// Copyright 2014 Google Inc. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Created by postproc-cld2 4.0 on 2014-10-16 15:46:15
// From command line:
//  --nearby_probs=0.5 --extra_entries=be-Cyrl bh-Deva bs-Latn hr-Latn 
//  sr-Latn gl-Latn es-Latn id-Latn ms-Latn sv-Latn  --cld2 --cc 
//  --just_read_raw --quad --standard --minchars=2 --mincount=2 
//  --max_items_per_langscript=6000 --flatmap --rr_alloc --freq_alloc 
//  --boostcloseweakerpercent=00 --indirectbits=16 --thresh=224 --v25 
//  --kentries=256 --tablename=QuadChrome1015_2 --remap=xxx-Latn=>ut-Latn 
//  tw-Latn=>ak-Latn nd-Latn=>nr-Latn blu-Latn=>hmn-Latn nn-Latn=>no-Latn  
//  --include=af-Latn ar-Arab be-Cyrl bg-Cyrl bs-Latn ca-Latn cs-Latn 
//  cy-Latn   da-Latn de-Latn el-Grek en-Latn es-Latn et-Latn fa-Arab 
//  fi-Latn fr-Latn   ga-Latn gd-Latn hi-Deva hr-Latn hu-Latn id-Latn 
//  is-Latn it-Latn iw-Hebr   ja-Hani ko-Hani lg-Latn lt-Latn lv-Latn 
//  mk-Cyrl ms-Latn nl-Latn no-Latn   pl-Latn pt-Latn ro-Latn ro-Cyrl 
//  ru-Cyrl rw-Latn sh-Cyrl sh-Latn sk-Latn sl-Latn sr-Cyrl   sv-Latn 
//  sw-Latn th-Thai tl-Latn tr-Latn uk-Cyrl vi-Latn yi-Hebr   zh-Hani zh-TW 
//  zhT-Hani   sq-Latn az-Latn eu-Latn bn-Beng gl-Latn ht-Latn mt-Latn 
//  sr-Latn ur-Arab   bh-Deva mr-Deva ne-Deva lg-Latn rw-Latn gd-Latn   
//  ut-Latn ut-Deva   ceb-Latn blu-Latn hmn-Latn jw-Latn   kk-Cyrl ku-Latn 
//  ky-Cyrl mg-Latn ny-Latn st-Latn su-Latn tg-Cyrl uz-Latn uz-Cyrl  
//  --ko_english --force_to_lang_soft --nosoft_cram2 --nomsidlevel 
//  --shapeflatprob --langpriorpercent=10 --skipnuc --noshapeforcetop 
//  --noshapeeventop --noshapesteep2 --langcounts --writebin 
//  --list_items=120 --max_langs_per_item=3 
//  /hdb1/cld2/probs/p90_raw_quadgrams_2014b.utf8 
// 
// CLD2_pslangs
// 
// See compact_lang_det.cc for usage
// 
#include "cld2tablesummary.h"
namespace CLD2 {

// For this build date, looking up 'qpdbmrmxyzptlkuuddlrlrbas' gives TURKISH
static const uint32 kQuadChrome1015_2BuildDate = 20141016;    // yyyymmdd


// Of 416959 offered items into 262144 table entries:
// 248448 filled (59%), 781 merged (0%), 167730 dropped (40%)

// Nil-grams: 19 languages
//     GREEK MALAYALAM TELUGU TAMIL GUJARATI THAI KANNADA PUNJABI 
//     GEORGIAN SINHALESE ARMENIAN LAOTHIAN KHMER DHIVEHI CHEROKEE 
//     SYRIAC LIMBU ORIYA INUKTITUT 

// Uni-grams: 4 languages
//     Japanese Korean Chinese ChineseT 

// Words/Quads: 71 languages in range ENGLISH..NYANJA:
//     ENGLISH DANISH DUTCH FINNISH FRENCH GERMAN HEBREW ITALIAN 
//     NORWEGIAN POLISH PORTUGUESE RUSSIAN SPANISH SWEDISH CZECH 
//     ICELANDIC LATVIAN LITHUANIAN ROMANIAN HUNGARIAN ESTONIAN 
//     BULGARIAN CROATIAN SERBIAN IRISH GALICIAN TAGALOG TURKISH 
//     UKRAINIAN HINDI MACEDONIAN BENGALI INDONESIAN MALAY WELSH 
//     NEPALI ALBANIAN BELARUSIAN JAVANESE URDU BIHARI ARABIC CATALAN 
//     BASQUE SCOTS_GAELIC SWAHILI SLOVENIAN MARATHI MALTESE 
//     VIETNAMESE SLOVAK SUNDANESE UZBEK AZERBAIJANI PERSIAN BOSNIAN 
//     SESOTHO KYRGYZ YIDDISH KURDISH MONGOLIAN AFRIKAANS KAZAKH 
//     TAJIK HAITIAN_CREOLE KINYARWANDA MALAGASY GANDA CEBUANO HMONG 
//     NYANJA 

// TopLanguage  TokenCount
//  ENGLISH 3337
//  DANISH 3306
//  DUTCH 3254
//  FINNISH 3352
//  FRENCH 3320
//  GERMAN 3313
//  HEBREW 3373
//  ITALIAN 2642
//  NORWEGIAN 3347
//  POLISH 3358
//  PORTUGUESE 3389
//  RUSSIAN 3379
//  SPANISH 3645
//  SWEDISH 4407
//  CZECH 6748
//  ICELANDIC 3324
//  LATVIAN 3389
//  LITHUANIAN 3297
//  ROMANIAN 6717
//  HUNGARIAN 3376
//  ESTONIAN 3297
//  BULGARIAN 3344
//  CROATIAN 4249
//  SERBIAN 6924
//  IRISH 3389
//  GALICIAN 3668
//  TAGALOG 2444
//  TURKISH 3364
//  UKRAINIAN 3375
//  HINDI 6631
//  MACEDONIAN 3331
//  BENGALI 3389
//  INDONESIAN 3596
//  MALAY 2798
//  WELSH 3342
//  NEPALI 3339
//  ALBANIAN 3344
//  BELARUSIAN 4370
//  JAVANESE 3355
//  URDU 3393
//  BIHARI 4716
//  ARABIC 3371
//  CATALAN 3326
//  BASQUE 3277
//  SCOTS_GAELIC 3309
//  SWAHILI 3315
//  SLOVENIAN 3349
//  MARATHI 3239
//  MALTESE 3347
//  VIETNAMESE 3370
//  SLOVAK 3315
//  SUNDANESE 3317
//  UZBEK 6560
//  AZERBAIJANI 3352
//  PERSIAN 3394
//  BOSNIAN 2847
//  SESOTHO 2697
//  KYRGYZ 3268
//  YIDDISH 3270
//  KURDISH 3391
//  MONGOLIAN 13
//  AFRIKAANS 3319
//  KAZAKH 3303
//  TAJIK 3296
//  HAITIAN_CREOLE 3343
//  KINYARWANDA 3248
//  MALAGASY 2987
//  GANDA 3298
//  CEBUANO 2216
//  HMONG 2131
//  NYANJA 2830



// Recognized language-script combinations [74]:
static const char* const kQuadChrome1015_2RecognizedLangScripts = 
  "af-Latn ar-Arab az-Latn be-Cyrl bg-Cyrl bh-Deva bn-Beng bs-Latn "
  "ca-Latn ceb-Latn cs-Latn cy-Latn da-Latn de-Latn en-Latn es-Latn "
  "et-Latn eu-Latn fa-Arab fi-Latn fr-Latn ga-Latn gd-Latn gl-Latn "
  "hi-Deva hmn-Latn hr-Latn ht-Latn hu-Latn id-Latn is-Latn it-Latn "
  "iw-Hebr jw-Latn kk-Cyrl ku-Latn ky-Cyrl lg-Latn lt-Latn lv-Latn "
  "mg-Latn mk-Cyrl mn-Latn mr-Deva ms-Latn mt-Latn ne-Deva nl-Latn "
  "no-Latn ny-Latn pl-Latn pt-Latn ro-Cyrl ro-Latn ru-Cyrl rw-Latn "
  "sk-Latn sl-Latn sq-Latn sr-Cyrl sr-Latn st-Latn su-Latn sv-Latn "
  "sw-Latn tg-Cyrl tl-Latn tr-Latn uk-Cyrl ur-Arab uz-Cyrl uz-Latn "
  "vi-Latn yi-Hebr ";

static const uint32 kQuadChrome1015_2Size = 65536;    // Bucket count
static const uint32 kQuadChrome1015_2KeyMask = 0xffff0000;    // Mask hash key

static const IndirectProbBucket4 kQuadChrome1015_2[kQuadChrome1015_2Size] = {
  // hash_indirect[4], tokens[4] in UTF-8
   {{0xe9da0002,0x7c2e0003,0x20070004,0x65630005}},	// [000] вка_, ssbr, _huni_, kenh, 
   {{0x20070006,0xbddb0007,0x63bb0008,0x7bc40009}},	//   _kuni_, stèr, hiun, sniu, 
   {{0xddc4000a,0x6563000b,0x52e2000c,0x02e2000d}},	//   _križ, denh, _पर्स, _पर्न, 
   {{0x6443000e,0x4916000f,0x63bb0010,0x20070011}},	//   duni, _प्रो_, jiun, _muni_, 
   {{0x20070012,0xdb810013,0x27ed0014,0x63a90015}},	//   _luni_, _эҳти, _dhen_, dhen, 
   {{0x65630016,0x64430017,0x6fdd0018,0xef1f0019}},	//   genh, funi, léct, tjük_, 
   {{0x6443001a,0x2451001b,0x9486001c,0x26cd001d}},	//   guni, _cơm_, рылд, _exeo_, 
   {{0x63bb001e,0xef1f0019,0x63a9001f,0xf7430020}},	//   giun, rjük_, ghen, _месо, 
   {{0x36670021,0x65630022,0x21270023,0x06070024}},	//   _като_, benh, _benh_, _внук_, 
   {{0x20070025,0x63a90026,0x6f040027,0x68050028}},	//   _buni_, ahen, _agic, _sėdi, 
   {{0x2b9c0029,0x7528002a,0x6aad002b,0x63bb002c}},	//   _tích_, _iedz, zzaf, biun, 
   {{0x63a9002d,0x63bb002e,0x4ea7002f,0x20070030}},	//   chen, ciun, арга, _duni_, 
   {{0x69dc0031,0x75280032,0xc6080033,0x6d470034}},	//   _okre, _kedz, রীরা_, tgja, 
   {{0x75280035,0x20070036,0x6e240037,0x71730038}},	//   _jedz, _funi_, _dwib, _وهنا, 
   {{0x75280039,0xddc4003a,0x212c0014,0x2007003b}},	//   _medz, _friž, madh_, _guni_, 
   {{0x212c003c,0x69c5003d,0x6d41003e,0x7e99003f}},	//   ladh_, wnhe, ólab, _منبر_, 
   {{0xafb80040,0x6b8d0041,0x69d70042,0x64430043}},	// [010] _خطوط_, rjag, toxe, zuni, 
   {{0x212c003c,0x63bb0044,0x20070045,0x64430046}},	//   nadh_, ziun, _yuni_, yuni, 
   {{0x65630047,0x27ed0048,0x69d70049,0x69c5004a}},	//   venh, _phen_, roxe, rnhe, 
   {{0x69dc004b,0x212c004c,0xc7c4004d,0xa804004e}},	//   _ekre, hadh_, осчи, ізіл, 
   {{0x75280035,0x63a9004f,0x64430050,0x672b0051}},	//   _bedz, vhen, wuni, ragj, 
   {{0x27ed0052,0x26df0053,0xdb1d0054,0x672b0034}},	//   _when_, _vyuo_, _eksô, sagj, 
   {{0x65630055,0x63bb0012,0x27ed0056,0x212c0057}},	//   renh, tiun, _then_, dadh_, 
   {{0x65630058,0x7e6d0059,0x2007005a,0xb385005b}},	//   senh, _osap, _runi_, слил, 
   {{0x63a9005c,0x6443005d,0xe299005e,0x63bb005f}},	//   rhen, suni, уап_, riun, 
   {{0x63a90060,0x212c003c,0x63bb0061,0x20070062}},	//   shen, gadh_, siun, _puni_, 
   {{0x63a90063,0x7e6d0064,0x2ee00065,0xddc40066}},	//   phen, _asap, _syif_, _priž, 
   {{0x66010067,0x6fdd0068,0x63a90026,0x66090069}},	//   _hilk, xéct, qhen, _kuek, 
   {{0x6601006a,0x7e6d006b,0x212c006c,0x6729006d}},	//   _kilk, _csap, badh_, _meej, 
   {{0x212c006e,0x6729006f,0xb2760070,0x7e6d0054}},	//   cadh_, _leej, _לענג_, _dsap, 
   {{0x10150071,0x66010072,0xfce60073,0x7e6d0074}},	//   _ابتد, _milk, сово, _esap, 
   {{0x69dc0075,0xee3f0076,0x260a0077,0x67290078}},	//   _skre, brý_, ादमी_, _neej, 
   {{0x0aea0079,0x6d41007a,0xddc4007b,0x6e24007c}},	// [020] удай_, ólac, _kriż, _uwib, 
   {{0x4425007d,0x46db007e,0x7995007f,0x66010080}},	//   _owl_, _बड़ह, _cozw, _nilk, 
   {{0xaad80081,0x7528002a,0xdceb0082,0x79950083}},	//   _भुरक, _redz, _ćiće, _dozw, 
   {{0xbb860084,0xa3e7000f,0xf7460085,0x06d10086}},	//   _الحي, _मील_, седо, ়েছি, 
   {{0x66010087,0x65940088,0x66090089,0x4425008a}},	//   _bilk, жалу, _cuek, _awl_, 
   {{0x69dc008b,0xdb16008c,0x8e57008d,0x5d7a0070}},	//   _ukre, ábær, מינג_, ראַק, 
   {{0x6601008e,0xe644008f,0xb8960038,0x44250090}},	//   _dilk, ğlığ, _الزع, _cwl_, 
   {{0x52140091,0xe6440092,0x53980093,0xddc4008a}},	//   одит, şlığ, рвия_, _ariż, 
   {{0x212c0094,0x6fc80095,0x6601008a,0x6fdd0096}},	//   tadh_, rıcl, _filk, kécr, 
   {{0x20090097,0xddcd0098,0xb0340099,0x26f6009a}},	//   _čair_, _krať, онош, ेशीर_, 
   {{0x212c003c,0x6729009b,0xdb0d003e,0x7413009c}},	//   radh_, _yeej, knað, _فولا, 
   {{0x6601009d,0xbb1b009e,0x212c009f,0x7f9f0034}},	//   _zilk, _anîn, sadh_, _këqi, 
   {{0x4ad80081,0x212c00a0,0xeabf00a1,0x27fc0032}},	//   _भुलव, padh_, _ceùl_, ívny_, 
   {{0xa2c500a2,0xfee700a3,0xddc400a4,0x491a00a5}},	//   ापर्, _қўйм, _griż, मुमो_, 
   {{0x7995006a,0x5ba700a6,0x71bb00a7,0x7c84002e}},	//   _rozw, браз, _תצוג, путе, 
   {{0xdb0d008c,0x2d8c00a8,0x7e6d00a9,0x48ef00aa}},	//   gnað, öder_, _tsap, _अरबो_, 
   {{0x799500ab,0x7e6d00ac,0x681500ad,0x74df00ae}},	// [030] _pozw, _usap, _işdə, _पुनः, 
   {{0x5a3400af,0x672900b0,0xaa7b0098,0x00000000}},	//   янут, _seej, _ozýv, --, 
   {{0xe71900b1,0x98b800b2,0x9b9500b3,0x660900b4}},	//   ليات_, _barı_, _динц, _suek, 
   {{0xe00b00b5,0x00000000,0x00000000,0x00000000}},	//   _संसद_, --, --, --, 
   {{0x660100b6,0x442500b7,0xd24600b8,0xbddb00b9}},	//   _pilk, _swl_, _تن_, crèc, 
   {{0xcfcf0086,0x441500ba,0x00000000,0x00000000}},	//   রতিন, офит, --, --, 
   {{0x660100bb,0x70d700bc,0x672900bd,0xddc400a4}},	//   _vilk, _डडेल, _teej, _rriż, 
   {{0x36d500be,0x9487004e,0x57a400bf,0x660100c0}},	//   _добр, _қызд, _ешуа, _wilk, 
   {{0x660100c1,0x660900c2,0xddc400c3,0x00000000}},	//   _tilk, _uuek, _priż, --, 
   {{0x869800c4,0x11d60038,0xd19900b3,0x00000000}},	//   _укус_, يوية_, ртич_, --, 
   {{0xe2a800c5,0xfbd900c6,0x98b8008f,0x00000000}},	//   لاین_, भकाम, _yarı_, --, 
   {{0x14d600c7,0x225900c8,0x63b90027,0x00000000}},	//   _וועל_, _виды_, _umwn, --, 
   {{0xc8e600c9,0xddc400ca,0x00000000,0x00000000}},	//   _कर्म_, _asiš, --, --, 
   {{0xa0a500cb,0x853c0028,0x00000000,0x00000000}},	//   _малд, _alėj, --, --, 
   {{0x09c400cc,0x8b9600cd,0x3b9600ce,0xdb0d003e}},	//   ্তমা, орач, ојат, tnað, 
   {{0xeb9a00cf,0x7c3a00d0,0xc05200d1,0x00000000}},	//   шиб_, štro, _חזה_, --, 
   {{0x7c2900d2,0xdb0d003e,0x00000000,0x00000000}},	// [040] ćera, rnað, --, --, 
   {{0xed5a00d3,0x2b5800d4,0x98b8008f,0xbc6600d5}},	//   _тоо_, _گیرد_, _sarı_, _двок, 
   {{0xc8ca00d6,0xd90d00d7,0x00000000,0x00000000}},	//   جوان_, ایف_, --, --, 
   {{0xddcd00d8,0x00000000,0x00000000,0x00000000}},	//   _vrať, --, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xe5a300d9,0xddcd00da,0x00000000,0x00000000}},	//   мичи, _trať, --, --, 
   {{0x07a600db,0xdb06002c,0x83aa00a3,0x533400dc}},	//   _давн, _alké, итиб_, пейт, 
   {{0xd32600dd,0x81e70086,0xaa7b00de,0x68b700df}},	//   цьки, _মূল_, _vzýv, _וללא_, 
   {{0xdcfe00e0,0x9f4000e1,0x00000000,0x00000000}},	//   _kopē, _fhiú_, --, --, 
   {{0x2a6200e2,0x27e600e3,0xd25700e4,0xa69700d1}},	//   _mpkb_, llon_, іцы_, _וכמה_, 
   {{0x201800e5,0xdb060019,0x6ac600e6,0x261000e7}},	//   ëri_, _elké, लपुर, _hào_, 
   {{0x27e600e8,0x75ed00e9,0x45220033,0x28bd00ea}},	//   nlon_, púzc, _নাটক_, ्पति, 
   {{0xd25000eb,0xa2d6009c,0x201800ec,0x5f9400ed}},	//   _أنت_, _بيشت, ūri_, фият, 
   {{0x27e600ee,0x2a7f00ef,0x26100023,0xdd8400f0}},	//   hlon_, _šubo_, _mào_, мысп, 
   {{0x27e600f1,0x261000e7,0x2ca500f2,0x6f1600f3}},	//   klon_, _lào_, áld_, _ffyc, 
   {{0x2a6200f4,0xdb1f0034,0x764200f5,0x248e00f6}},	//   _bpkb_, miqë, kroy, ixfm_, 
   {{0x261000f7,0x291c00ad,0x27e600f8,0x672200f9}},	// [050] _nào_, ıvan_, dlon_, dboj, 
   {{0x764200fa,0xceb20070,0x3ea400fb,0x290700fc}},	//   droy, _ניי_, ømte_, øna_, 
   {{0x984b00fd,0x00000000,0x00000000,0x00000000}},	//   ряза_, --, --, --, 
   {{0xf09300fe,0x261000e7,0x27e600f8,0x201e0028}},	//   ונע_, _bào_, glon_, ipti_, 
   {{0x26100023,0x79a700ff,0xff7c0070,0x4ae400a3}},	//   _cào_, _дрве, יטאמ, _жўра, 
   {{0x5a340100,0x99640101,0xbafa00d1,0x27e60102}},	//   _інст, _отсл, _להרש, alon_, 
   {{0x27e60103,0x185400a3,0x27220104,0x00000000}},	//   blon_, _оврў, _fаn_, --, 
   {{0xd90e0105,0x9f4000a1,0x76420106,0x00000000}},	//   _لیے_, _fhiù_, broy, --, 
   {{0x76420107,0x35b500d9,0x26100108,0x00000000}},	//   croy, _ебар, _gào_, --, 
   {{0xd6c60109,0x661b010a,0x14190038,0x00000000}},	//   _عملی, _ituk, _هيئة_, --, 
   {{0x3cdb010b,0xbb1b010c,0xc8bd00bc,0x00000000}},	//   _खुले_, _anîm, ्पिट, --, 
   {{0x6d41010d,0xe3b3010e,0x00000000,0x00000000}},	//   ólan, _غرض_, --, --, 
   {{0xa3ca010f,0x26100023,0xb2c7010e,0x64df0110}},	//   ोवर_, _xào_, _بغاو, _पुतळ, 
   {{0xdd9200c5,0x427a0111,0x6722003a,0x7c290112}},	//   روز_, _לאנג, zboj, ćern, 
   {{0x27e60113,0x0c790114,0xa0a50115,0xc0e2004f}},	//   ylon_, осты_, _хайд, _пошк, 
   {{0x5f760116,0x661b0117,0xbebb0034,0x3c180118}},	//   _رابر, _otuk, mbën, _nčve_, 
   {{0xeb970119,0x27e60104,0x6722011a,0x661b011b}},	// [060] чит_, vlon_, vboj, _ntuk, 
   {{0x673b011c,0x261000e7,0x7e64011d,0xfa490038}},	//   _aduj, _rào_, _ipip, تشفى_, 
   {{0x661b011e,0x478600d3,0x26100108,0x6843011f}},	//   _atuk, зылб, _sào_, енха, 
   {{0x2d9a00a7,0x76420120,0x64430121,0xa2dc009a}},	//   _hope_, troy, drni, _पडल्, 
   {{0x672200e0,0x2d9a0122,0x6d5c0036,0xa613004f}},	//   rboj, _kope_, ofra, еміч, 
   {{0x6d4e0123,0x26100124,0x6d5c0125,0x76420126}},	//   ngba, _vào_, nfra, rroy, 
   {{0x27e60127,0x2d9a0026,0x661b0128,0x290a011c}},	//   plon_, _mope_, _etuk, _igba_, 
   {{0x69de0129,0x7e6400d2,0x7642012a,0x9734009c}},	//   lope, _opip, proy, _آکاا, 
   {{0x321f012b,0x6d5c012c,0x04fe0033,0x41e6012d}},	//   gpuy_, kfra, ুরের_, зіна, 
   {{0x6d4e012e,0x69de012f,0x30140130,0x56370070}},	//   jgba, nope, мдор, _מאמע_, 
   {{0xe8df00e7,0x7ae60131,0xf99300d1,0x6d5c0132}},	//   _trục_, _lykt, תרת_, dfra, 
   {{0xd36f0133,0x69de0134,0x4f0900d3,0xbddb011c}},	//   _مهم_, hope, өнүн_, grèn, 
   {{0x6d5c0135,0x644a003a,0x69de0136,0xe3b30137}},	//   ffra, lufi, kope, _אױף_, 
   {{0x72eb0138,0x2d9a0139,0x00000000,0x00000000}},	//   _פֿאַ, _cope_, --, --, 
   {{0xd5c800f7,0x6458013a,0x7c290112,0x5ba7013b}},	//   yền_, ntvi, ćero, праз, 
   {{0x6d4e013c,0xc1780009,0x399f009e,0x00000000}},	//   agba, ldė_, _lîst_, --, 
   {{0xb999013d,0xdd95013e,0x6d5c013f,0x99990140}},	// [070] овах_, _жапы, bfra, окат_, 
   {{0x5c070141,0xc178012d,0x64430142,0x7ae6004f}},	//   _няма, ndė_, yrni, _dykt, 
   {{0x3ea6002a,0x661b0143,0x75ed00da,0x661c0144}},	//   _ļoti_, _stuk, fúzn, _črka, 
   {{0x64430145,0x2d9a0146,0xdc360147,0x98c40148}},	//   vrni, _zope_, _קארט_, хсул, 
   {{0x7bdf001d,0x399f009e,0x69de0149,0x4b7a00d1}},	//   moqu, _bîst_, bope, _וארו, 
   {{0x7bdf014a,0xddd6014b,0x6443014c,0x7bcd014d}},	//   loqu, _kryš, trni, lnau, 
   {{0x6458014e,0x33f5014f,0x64430150,0xbddb0151}},	//   gtvi, мчис, urni, yrèn, 
   {{0x22150152,0x7bcd0153,0x260a0154,0x64430155}},	//   мфор, nnau, ादशी_, rrni, 
   {{0x6d5c0156,0x661b0157,0x42540158,0xd24e007a}},	//   yfra, _utuk, нтэт, لني_, 
   {{0xa2e300cf,0x7bcd0159,0x10a5015a,0x23c30118}},	//   моқд, hnau, дион, _bèjè_, 
   {{0x5455015b,0x2d9a015c,0x00000000,0x00000000}},	//   _цвет, _rope_, --, --, 
   {{0xd24e015d,0x7c3a015e,0xe291015f,0x69de0160}},	//   دنی_, štrk, _لذت_, zope, 
   {{0xd1750161,0x69de0053,0x6d5c0162,0x7bcd0106}},	//   _жыйы, yope, tfra, dnau, 
   {{0x90c50163,0x7ae60164,0x69de0165,0x3f890090}},	//   _обле, _rykt, xope, _enau_, 
   {{0xfce30166,0x6d5c0167,0x1d070168,0x7bdf0169}},	//   воро, rfra, дери_, foqu, 
   {{0x8ffa00d4,0x320f016a,0x764b016b,0x32070054}},	//   _برتر_, _kugy_, kugy, _hiny_, 
   {{0x2fc0016c,0x3207007c,0x00000000,0x00000000}},	// [080] _imig_, _kiny_, --, --, 
   {{0x3207016d,0x320f011c,0x7ae60028,0x00000000}},	//   _jiny_, _mugy_, _vykt, --, 
   {{0xeb9a016e,0x69de016f,0x8b260170,0x7bdf0171}},	//   _дин_, rope, _одне, boqu, 
   {{0xfaa600cf,0x46ea0172,0x7bdf0173,0xdb1f010c}},	//   _жамо, оден_, coqu, liqî, 
   {{0x69de0174,0x9f520175,0x6a8600a3,0x35c40176}},	//   pope, _chyé_, _ўлга, надҳ, 
   {{0x64580177,0x644a0178,0x32070054,0x28d90179}},	//   ttvi, tufi, _niny_, _बुकि, 
   {{0xd90d017a,0x6458017b,0x799c017c,0x00000000}},	//   _ایم_, utvi, _iorw, --, 
   {{0x28bd017d,0x6458017e,0x02a6017f,0x32070180}},	//   ्परि, rtvi, дром, _ainy_, 
   {{0x200e0181,0x96180086,0x6aa40182,0x6f09014b}},	//   _sufi_, _ডটকম_, nyif, žeck, 
   {{0xb5aa0038,0x7bdf0183,0xc1780028,0x00000000}},	//   _بارك_, zoqu, udė_, --, 
   {{0x26ee0184,0x799c0185,0x61e80186,0xc1780028}},	//   _जरुर_, _morw, rldl, rdė_, 
   {{0xdce50187,0x64a30188,0x73360189,0x3383018a}},	//   _pohľ, _шаха, _آرائ, _аушв, 
   {{0xa3e7018b,0x799c018c,0x7bdf018d,0x442c010c}},	//   _मीट_, _oorw, voqu, _hwd_, 
   {{0x2907012d,0x320700b9,0xd0d400fd,0x442c018e}},	//   žnai_, _giny_, _полъ, _kwd_, 
   {{0x7bdf00ce,0xd139018f,0x00000000,0x00000000}},	//   toqu, _ххі_, --, --, 
   {{0x26ee0190,0x62820191,0x53de00a2,0x66080192}},	//   _जरूर_, _kroo, मविश, _lidk, 
   {{0x7bcd0193,0x799c0194,0xdee70195,0x6f0d0196}},	// [090] rnau, _borw, _تأثي, _igac, 
   {{0x5c750197,0xf9930198,0x6e2d0199,0xdb0d0107}},	//   _злот, خبر_, _iwab, chaî, 
   {{0x2009019a,0xa37d019b,0x7bdf019c,0x00000000}},	//   _kiai_, loŵe, poqu, --, 
   {{0x6e2d019d,0xa635019e,0x68e7014b,0x764b019f}},	//   _kwab, енді, _vyjd, tugy, 
   {{0x628201a0,0x6e2d016a,0x799c00d1,0x68e70083}},	//   _nroo, _jwab, _forw, _wyjd, 
   {{0x6e2d01a1,0xba430009,0xe29901a2,0xc58b0080}},	//   _mwab, žįst, ҷаи_, ющее_, 
   {{0x69c50180,0x76590156,0x6e2d01a3,0x628201a4}},	//   mihe, stwy, _lwab, _aroo, 
   {{0x6f0d01a5,0xe29901a2,0x628201a6,0x320701a7}},	//   _ngac, заи_, _broo, _siny_, 
   {{0x09c40033,0x62820139,0x6b9d01a8,0x00000000}},	//   ্তরা, _croo, _mosg, --, 
   {{0x628201a9,0x6b9d01aa,0x7c3a015e,0x6f0d0199}},	//   _droo, _losg, štri, _agac, 
   {{0xa0a501ab,0x6e2d01ac,0x628201ad,0x853c0009}},	//   ханд, _awab, _eroo, _plėv, 
   {{0x7ddb009e,0x6e2d01ae,0x69c501af,0x828301b0}},	//   mîsy, _bwab, hihe, _ақид, 
   {{0xee3701b1,0x628201b2,0x63a901b3,0x320700df}},	//   ння_, _groo, mken, _tiny_, 
   {{0x7c2201b4,0x236d006d,0x4cc10033,0x69c501b5}},	//   _čorb, leej_, _শুধু, jihe, 
   {{0x3074004e,0x6b9d01b6,0x61e101b7,0x6e2d01b8}},	//   _ауыс, _bosg, moll, _ewab, 
   {{0xddcd00e4,0x63a901b9,0x2009001b,0xeb9701ba}},	//   _graž, nken, _giai_, нис_, 
   {{0x6b6301bb,0x799c01bc,0x63a901bd,0x6b9d01be}},	// [0a0] ыкта, _porw, iken, _dosg, 
   {{0x61e101bf,0x63a901c0,0x236d01c1,0x69c501c2}},	//   noll, hken, heej_, gihe, 
   {{0x63a901c3,0x799c01c4,0x6b9d01c5,0x574601c6}},	//   kken, _vorw, _fosg, енеб, 
   {{0x61e101c7,0x63a901c8,0x1bba01c9,0x224d01ca}},	//   holl, jken, _راجع_, kuek_, 
   {{0x61e101cb,0x63a901cc,0x9980012d,0x69c501cd}},	//   koll, dken, usių_, bihe, 
   {{0x63a901ce,0x224d01cf,0x99800028,0x00000000}},	//   eken, duek_, rsių_, --, 
   {{0x186701d0,0x316c0187,0x61e101d1,0x63a901d2}},	//   _пари_, vedz_, doll, fken, 
   {{0x63a901d3,0x628201d4,0x645c00c2,0x6f0900ca}},	//   gken, _proo, _ärim, žeci, 
   {{0x6d4101d5,0x224d01d6,0xd25701d7,0x81c601d8}},	//   ólak, guek_, нцэ_, ещне, 
   {{0xbddb01d9,0x6e2d0199,0x628201da,0x7abb00d1}},	//   trèm, _rwab, _vroo, פציו, 
   {{0xddcd01db,0x6e2d01dc,0x20090065,0x316c01dd}},	//   _praž, _swab, _piai_, redz_, 
   {{0x645a01de,0x63a901df,0x657a01e0,0xd46900eb}},	//   _iqti, cken, _hath, _تحكم_, 
   {{0x657a01e1,0xddcd01e2,0x71a600e4,0x69c501e3}},	//   _kath, _vraž, _падз, yihe, 
   {{0x61e101e4,0xd12f00c5,0x657a01e5,0x40940038}},	//   coll, _همه_, _jath, _للتر, 
   {{0xddcd01e6,0x6b9d01e7,0x628001e8,0x657a01e9}},	//   _traž, _posg, lvmo, _math, 
   {{0x657a01ea,0x6e2d01eb,0x25dc01ec,0x6f0d01ed}},	//   _lath, _twab, मकुण, _ugac, 
   {{0x245a01ee,0x3df50141,0xef640093,0x6b9d01ef}},	// [0b0] hëm_, _изис, _също, _vosg, 
   {{0xdb0d00eb,0x3eb301f0,0x63a901f1,0xddcd01f2}},	//   mhaí, ıntı_, zken, _jraż, 
   {{0x69c501f3,0x63a901f4,0x6b9d01f5,0x00000000}},	//   rihe, yken, _tosg, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xe618005e,0x8b9a00a7,0x69c501f6,0x8a1801f7}},	//   еді_, _חברת, pihe, _пояс_, 
   {{0xb6a200cf,0x657a01f8,0x61e101f9,0xd24300a3}},	//   ришл, _cath, xoll, қмоқ, 
   {{0x61e101fa,0x657a01fb,0x69d501c8,0xa71501fc}},	//   voll, _dath, _ijze, _амбі, 
   {{0xc178012d,0x657a01fd,0x68e301c4,0x224d01f1}},	//   klės_, _eath, ündu, tuek_, 
   {{0x61e101fe,0x853c0009,0xddcd007b,0xe1f901ff}},	//   toll, _plėt, _braż, мги_, 
   {{0x926400eb,0x67d30200,0x236d0201,0x777b01f1}},	//   اديم, _роғу, seej_, _haux, 
   {{0x63a90202,0x224d01cf,0x00000000,0x00000000}},	//   pken, suek_, --, --, 
   {{0x61e10203,0x657a0204,0x224d00b4,0x43740205}},	//   soll, _zath, puek_, _бушт, 
   {{0x61e10206,0x657a0204,0xddcd00a4,0x00000000}},	//   poll, _yath, _fraż, --, 
   {{0x61450207,0x777b0108,0x61e10208,0x7e7600de}},	//   _река, _laux, qoll, _vsyp, 
   {{0xb02400f7,0xfce60073,0x1fb60209,0x2b3a00b3}},	//   _trườ, тово, _аспр, дязэ_, 
   {{0x1e86020a,0xf4130086,0x8e4a0038,0x9f42020b}},	//   _алим, _সবার_, _قلبك_, blká_, 
   {{0xc3320052,0x245a00e5,0xdcfe01dd,0x00000000}},	// [0c0] יון_, zëm_, _kopī, --, 
   {{0xe9d7020c,0x9f4000b9,0xa923020d,0x00000000}},	//   вку_, _thió_, идул, --, 
   {{0x657a020e,0x9f42010c,0xdd05020f,0x777b0210}},	//   _rath, vokê_, ăsăt, _baux, 
   {{0x657a0211,0x7bda0212,0xe3b80213,0x46a6011f}},	//   _sath, étud, _atın_, каев, 
   {{0xeb970214,0x657a0215,0x4991010e,0x9f420216}},	//   _рия_, _path, _گیلر, tokê_, 
   {{0x245a01ee,0x7c3a0217,0x645c00c2,0xceb30147}},	//   tëm_, štru, _ärik, סיג_, 
   {{0x9f420218,0x629d0219,0x02ca021a,0x7414021b}},	//   rokê_, äson, ाप्न, دوبا, 
   {{0x657a0204,0x07a3021c,0xe8f7021d,0x245a021e}},	//   _wath, _касн, _рлс_, rëm_, 
   {{0xc606021f,0xa6650198,0xe737004e,0x245a0034}},	//   _азай, _مطلو, _шет_, sëm_, 
   {{0x657a00eb,0x601e00e0,0xd5fb0210,0x00000000}},	//   _uath, _līme, _trú, --, 
   {{0x7f590220,0x9f350221,0x8f350222,0x255a0118}},	//   нанс_, лені, ленц, _vņlč_, 
   {{0x1fa70223,0xdb0d00eb,0x67f800bc,0xddcd0035}},	//   трог, thaí, bíje, _wraż, 
   {{0xecdb000f,0x443e0224,0x7c220032,0x798e0118}},	//   _मुजफ, _hvt_, _čora, _onbw, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa3d600c9,0x443c0183,0x443e0054,0xc1780028}},	//   _सदा_, nsv_, _jvt_, slės_, 
   {{0x644a0038,0x7d08010e,0x547b0225,0xbddb0151}},	//   irfi, _sérü, וטלו, guèr, 
   {{0x39580226,0x62840009,0x443c0097,0x777b0227}},	// [0d0] _bcrs_, _šioj, hsv_, _raux, 
   {{0x23b10228,0x4c950229,0x395801be,0x9935022a}},	//   _mája_, _биос, _ccrs_, افات, 
   {{0x2907022b,0x98140038,0x4cc10033,0xf8b6022c}},	//   äna_, لبنا, _শুরু, гөт_, 
   {{0x9b9500d9,0x2cac017b,0xdb0d00b4,0xc864022d}},	//   _симц, ødde_, piañ, ртфи, 
   {{0x75ed022e,0x9f440212,0x7bda0212,0x4993010e}},	//   lúzi, ômé_, étue, _پیار, 
   {{0x248500f4,0x2b5900ef,0x6d55022f,0xf48300d4}},	//   _prlm_, _hcsc_, ngza, لاعی, 
   {{0xe8940230,0x69d8009a,0x00000000,0x00000000}},	//   _карь, _मदती, --, --, 
   {{0x29070028,0x443e0231,0xf1d1022c,0x00000000}},	//   žnas_, _dvt_, өөлө, --, 
   {{0x443e0232,0x36d5002e,0x11e50233,0xddcf020b}},	//   _evt_, _соар, лжим, pucň, 
   {{0xdb040038,0x67f8020b,0x00000000,0x00000000}},	//   thiú, ríje, --, --, 
   {{0xcea90137,0x8fa60234,0x90c50235,0x443e0236}},	//   _צי_, гане, убне, _gvt_, 
   {{0x26190108,0xdb0f0151,0x3c180237,0x00000000}},	//   _kèo_, _ulcè, _sčvo_, --, 
   {{0xe1ee0238,0x2bc60239,0x443e023a,0x00000000}},	//   _гг_, रोफा, _zvt_, --, 
   {{0x237d023b,0x261900e7,0x5fc600b0,0x00000000}},	//   _hawj_, _mèo_, _लगवल, --, 
   {{0xbb46023c,0x225f023d,0x26190210,0x00000000}},	//   левк, ltuk_, _lèo_, --, 
   {{0xc0520056,0x3a22016a,0x6d5501d2,0x9f42023e}},	//   _הזה_, _ptkp_, agza, koké_, 
   {{0x225f023f,0x198a0240,0xdd040241,0x00000000}},	// [0e0] ntuk_, нбаи_, ırıs, --, 
   {{0x237d0201,0x6e2401f0,0x7c3e0242,0x4427016a}},	//   _lawj_, _itib, _tvpr, kpn_, 
   {{0x601e0243,0x00000000,0x00000000,0x00000000}},	//   _tīme, --, --, --, 
   {{0x237d023b,0x26190023,0xfaff0034,0x6e2400a4}},	//   _nawj_, _bèo_, _ibën_, _ktib, 
   {{0x569400b3,0x443e014e,0xe5a60244,0xe5c60245}},	//   ралт, _svt_, лиди, лско, 
   {{0x443e0246,0x281600d4,0x644a0097,0x6e240247}},	//   _pvt_, _موسس, trfi, _mtib, 
   {{0xdd320248,0x8cca0249,0x00000000,0x00000000}},	//   zəşt, _हेमो, --, --, 
   {{0x7f44024a,0x644a024b,0x9f42024c,0xbebb021e}},	//   _ndiq, rrfi, boké_, mbëv, 
   {{0x237d006d,0x6e24024d,0x27e6024e,0x85560071}},	//   _dawj_, _ntib, moon_, _مخاط, 
   {{0xd6cf024f,0x27e60250,0x104a0251,0x237f0082}},	//   _عقل_, loon_, нями_, aduj_, 
   {{0x6e240252,0x94260253,0xb6030254,0x7bc60255}},	//   _atib, _смее, íšen, _omku, 
   {{0x27e60256,0x2a600257,0x1fc50258,0x23660144}},	//   noon_, ktib_, рроҳ, _uboj_, 
   {{0x623400d9,0x44ce00ad,0x20670259,0x26190108}},	//   _телу, _hə_, _ұшып_, _xèo_, 
   {{0x27e6025a,0x63a2007e,0x7bc6025b,0x2a79016c}},	//   hoon_, _hoon, _amku, _rssb_, 
   {{0x63a2025c,0x27e6025d,0x6e24025e,0xef1100d3}},	//   _koon, koon_, _etib, _мүнө, 
   {{0x764b017c,0x63a2025f,0x7dea010c,0x27e60260}},	//   yrgy, _joon, _pêsî, joon_, 
   {{0x27e6011d,0x38c90019,0x68ee01ff,0x44ce00ad}},	// [0f0] doon_, ھائی_, _aybd, _lə_, 
   {{0x63a20261,0x26180262,0x2bc60263,0x60d300e0}},	//   _loon, _पढ़ी_, रोबा, ņemš, 
   {{0x44ce0264,0x27e60265,0x6d450266,0xbc950267}},	//   _nə_, foon_, _idha, _танј, 
   {{0x63a20268,0x27e60269,0xbddb026a,0x68ee01e8}},	//   _noon, goon_, ssèd, _dybd, 
   {{0x9f42010c,0x69cb010e,0x00000000,0x00000000}},	//   kokî_, éges, --, --, 
   {{0x9f42026b,0x3a2900e2,0xce3800d1,0x320e01a7}},	//   roké_, mpap_, נאות_, _nify_, 
   {{0x63a2026c,0x2905026d,0x9f42026e,0x6d45026f}},	//   _boon, _àla_, soké_, _mdha, 
   {{0x44ce0270,0xc2450271,0x225f010e,0x67d50272}},	//   _də_, аник, ttuk_, _тобу, 
   {{0x63a201a4,0x6d450273,0x7e6d0102,0xa3d6009a}},	//   _doon, _odha, _npap, _सदर_, 
   {{0xb5fd00f1,0x6d45009c,0xf4850274,0x7dc90097}},	//   _opši, _ndha, _پائی, džso, 
   {{0x7e6d0275,0x225f0276,0x7c2200ef,0x237d006f}},	//   _apap, stuk_, _čoro, _tawj_, 
   {{0x6d450277,0x8e860278,0x63a20279,0xc49a027a}},	//   _adha, агме, _goon, _בשעת, 
   {{0x7c25027b,0x69c7027c,0x44250097,0x20020097}},	//   _athr, _omje, _htl_, rmki_, 
   {{0x63a2027d,0x44ce00ad,0x291f027e,0x27e6027f}},	//   _zoon, _yə_, _şuan_, zoon_, 
   {{0x63a20280,0x417400d4,0x30790070,0x7e6d0281}},	//   _yoon, _دانس, _יאַנ, _epap, 
   {{0x44250282,0x8b260283,0x63a20210,0x00000000}},	//   _mtl_, рдае, _xoon, --, 
   {{0x6a830284,0x3f92011d,0x19c6011f,0x98b10237}},	// [100] олта, _inyu_, абам, _dezč_, 
   {{0x27e60285,0xd9460286,0x2a600287,0x644100bc}},	//   woon_, режи, rtib_, _ovli, 
   {{0xe73a0288,0x27e60289,0xb60700e0,0xa3c600c9}},	//   вее_, toon_, _mašī, _उगल_, 
   {{0x0686028a,0xd62a028b,0xc6a6028c,0xb6cb0019}},	//   иген, воде_, ирли, ھانے_, 
   {{0x27e6028d,0x6441028e,0x2bc6028f,0x88840290}},	//   roon_, _avli, रोणा, _گیان, 
   {{0xbebb01ee,0x27e60291,0x44250292,0x224d00b0}},	//   mbët, soon_, _btl_, drek_, 
   {{0x44250293,0x63a20294,0x27e60295,0x88840296}},	//   _ctl_, _poon, poon_, _دیان, 
   {{0x44ce0297,0x7bd60298,0x67f80228,0x66030201}},	//   _və_, nnyu, bíja, amnk, 
   {{0x6441008f,0xe57a0267,0x0ec50299,0xf669029a}},	//   _evli, _иза_, _लेंड, _محله_, 
   {{0x63a2029b,0xd5aa00b0,0x2ade007e,0x2bc6029c}},	//   _woon, _कविज, _कुछु_, रोता, 
   {{0x63a2029d,0x9f42010c,0x4185004e,0x09f7029e}},	//   _toon, rokî_, стығ, שמים_, 
   {{0xc4770056,0x224d029f,0x3f8002a0,0x232a01ba}},	//   _כתבו_, brek_, _caiu_, _роди_, 
   {{0x539b02a1,0x6d4502a2,0x442502a3,0xef1f02a4}},	//   _שידו, _pdha, _ztl_, rcü_, 
   {{0xdb0d0165,0x4425027e,0x7de700f0,0x3f9202a5}},	//   lhaç, _ytl_, рімд, _enyu_, 
   {{0xab9502a6,0x8bc702a7,0xd1380083,0x00000000}},	//   бављ, асад, ając_, --, 
   {{0x69c702a8,0x5b1502a9,0xdb0d02aa,0xbf3500fd}},	//   _smje, смат, nhaç, _унищ, 
   {{0x2fc901fd,0x6d41008c,0x2bc602ab,0x7e6d02ac}},	// [110] _imag_, ólas, रोधा, _upap, 
   {{0x6d4502ad,0x61e802ae,0x67f80032,0x48ab00f0}},	//   _udha, nodl, víja, ктем_, 
   {{0x4dda00d1,0x00000000,0x00000000,0x00000000}},	//   _תחתו, --, --, --, 
   {{0x442502af,0x61e80076,0x93bc020f,0x224d0241}},	//   _rtl_, hodl, _stăn, yrek_, 
   {{0x7bcd012d,0x2d81007e,0x2d8302b0,0x5a440158}},	//   miau, _kahe_, odje_, _мэра, 
   {{0x69c702b1,0x2d8302b2,0x7bcd00e4,0x2d8102b3}},	//   _umje, ndje_, liau, _jahe_, 
   {{0xf77302b4,0x2d8102b5,0x61e800a3,0x776901f2}},	//   _وار_, _mahe_, dodl, _tbex, 
   {{0x86b3005e,0x224d02b6,0x7bcd012d,0x2d8100b0}},	//   _мәлі, trek_, niau, _lahe_, 
   {{0x27ed02b7,0x6aad02b8,0x11390028,0x130900d9}},	//   _iken_, nyaf, ляны_, ыний_, 
   {{0x527502b9,0x224d02ba,0x3f8002bb,0x2d83012e}},	//   _ҳуку, rrek_, _saiu_, jdje_, 
   {{0x600a02bc,0x7bcd02bd,0xbf9b02be,0x25a500a1}},	//   лном_, kiau, rmên, _ioll_, 
   {{0x25a502bf,0x439402c0,0x224d02c1,0xdb0d0165}},	//   _holl_, _махс, prek_, chaç, 
   {{0x216902c2,0x25a5014e,0x4ac702c3,0x41b60161}},	//   _били_, _koll_, _रेलव, рсөт, 
   {{0x2d8302a8,0x2fc900b3,0x412602c4,0x63bb02c5}},	//   gdje_, _emag_, _лошо_, lhun, 
   {{0x27ed02c6,0x628b02c7,0x7055010e,0x645c00c2}},	//   _oken_, _hrgo, _انعا, _ärit, 
   {{0x7bcd012d,0x3f9200f4,0x69d70183,0x2d8302b0}},	//   giau, _unyu_, enxe, adje_, 
   {{0xe9da02c8,0xdb1d02c9,0x394602ca,0x63bb02cb}},	// [120] гка_, _omsæ, йнаг, ihun, 
   {{0x645c02cc,0x27ff02cd,0x25a502ce,0x27ed02cf}},	//   _årig, _ahun_, _noll_, _aken_, 
   {{0x6c860084,0x27ff02d0,0x63bb02d1,0x7bcd012d}},	//   _الجم, _bhun_, khun, biau, 
   {{0x27ff02d2,0x7bcd02d3,0x628b02d4,0xb73a00eb}},	//   _chun_, ciau, _orgo, اثاء_, 
   {{0x63bb02d5,0x95ca02d6,0x25a502d7,0x27ff01fd}},	//   dhun, лука_, _boll_, _dhun_, 
   {{0x6b8402ae,0x27ed02d8,0x27ff01f1,0x7a4102d9}},	//   ldig, _eken_, _ehun_, sátý, 
   {{0x31cd00cc,0x628b02da,0x61e802db,0x6d5e00b4}},	//   রকাশ, _argo, vodl, _mcpa, 
   {{0x63bb02dc,0x2d8302dd,0x2012016c,0x78a100f6}},	//   ghun, zdje_, _niyi_, _àlva, 
   {{0xd13000eb,0x1a9a00c7,0x6b8402de,0x25a502df}},	//   ومة_, ריִע, idig, _foll_, 
   {{0x361b00a7,0x2fc902e0,0x154302e1,0x25a500f8}},	//   _עובד, _smag_, _неум, _goll_, 
   {{0x2d8300ef,0x63bb007a,0x20120027,0x61e802e2}},	//   vdje_, bhun, _biyi_, rodl, 
   {{0x63bb02e3,0x753a012e,0xf8b300a7,0x200002e4}},	//   chun, _hetz, פשר_, _chii_, 
   {{0x6b8402e5,0xa3e502e6,0xddc40228,0x200001be}},	//   ddig, पकर_, _spiš, _dhii_, 
   {{0x753a02e7,0x75ff010c,0x6b8402e8,0x6d5e00b9}},	//   _jetz, rêzg, edig, _ccpa, 
   {{0x7bcd02e9,0x2d8302ea,0x19ab004e,0x753a02eb}},	//   tiau, rdje_, қтап_, _metz, 
   {{0x753a02ec,0x5c0702ed,0xddc402ee,0x2fc902ef}},	//   _letz, сяга, _vpiš, _umag_, 
   {{0x7bcd00e4,0x6e3602f0,0x0dcb02f1,0x2d8101a4}},	// [130] riau, _gwyb, _буни_, _tahe_, 
   {{0x753a02f2,0x213e01fd,0x7bcd02f3,0x6b8402f4}},	//   _netz, nath_, siau, adig, 
   {{0xddc402f5,0x6aad02f6,0x27ff00e7,0x25a502f7}},	//   _upiš, syaf, _phun_, _roll_, 
   {{0x25a502ec,0x64c302f8,0xbddb023e,0x00000000}},	//   _soll_, _वेगळ, près, --, 
   {{0xb5fd02f9,0x25a502fa,0x959902fb,0x1c1f02fc}},	//   _opšt, _poll_, итку_, _मंडल_, 
   {{0x7afd02fd,0x7dc902fe,0x59dd02ff,0x3c180300}},	//   _izst, džsk, _मदिर, _sčvi_, 
   {{0x63bb0301,0x25a501c4,0x27ff0302,0x799501c4}},	//   thun, _voll_, _thun_, _inzw, 
   {{0xb2250303,0x27ed004f,0x628b0304,0x31bb0218}},	//   омил, _uken_, _prgo, _mêze_, 
   {{0x25a50305,0x753a0306,0x00000000,0x00000000}},	//   _toll_, _fetz, --, --, 
   {{0x63bb00cf,0x81c90307,0x628b0308,0x673b0175}},	//   shun, ргов_, _vrgo, _heuj, 
   {{0xc9520309,0x6b84030a,0x63bb030b,0x673b030c}},	//   ומי_, ydig, phun, _keuj, 
   {{0x628b030d,0xe3b3030e,0x661b030f,0x64430310}},	//   _trgo, _عرض_, _kuuk, msni, 
   {{0x61450311,0x333f026d,0x64430312,0x661b00b0}},	//   _дела, maux_, lsni, _juuk, 
   {{0x6d410313,0x41290314,0x661b0315,0x00000000}},	//   ólap, _токо_, _muuk, --, 
   {{0x8fa60316,0xdb1d014e,0x64430317,0x70520038}},	//   _маке, _omsä, nsni, _قنوا, 
   {{0x6b840318,0x333f026a,0xbebb024a,0x64430319}},	//   udig, naux_, rbër, isni, 
   {{0x49ca031a,0x37cf0033,0xba29031b,0x00000000}},	// [140] алан_, িকার, مسلم_, --, 
   {{0x6b84031c,0x23b8031d,0xf783008a,0x75ff010c}},	//   sdig, _méja_, _leħħ_, hêzb, 
   {{0xdb06024a,0xa2cb031e,0x2d95012d,0x3e64031f}},	//   _kokë, _तेस्, _хрыс, löt_, 
   {{0x6d5c0320,0x753a0321,0xbddb0322,0x661b0323}},	//   lgra, _setz, nsèn, _buuk, 
   {{0x25e60081,0x3e640324,0x2b400325,0x7c2e0326}},	//   टवली_, nöt_, maic_, lpbr, 
   {{0x27380029,0x67220327,0xc7b9010e,0xd639004f}},	//   ẩn_, scoj, _elő_, сяці_, 
   {{0xe73a0328,0x263600ab,0x6d5c0329,0x753a032a}},	//   _веб_, sło_, igra, _vetz, 
   {{0x66e6032b,0x938a032c,0x2b400038,0x6d5c032d}},	//   _доба, рска_, naic_, hgra, 
   {{0x4392032e,0x386d032f,0x00000000,0x00000000}},	//   зақс, _ćeri_, --, --, 
   {{0x6d5c0330,0x23b80107,0x62840028,0x201a011c}},	//   jgra, _déja_, _šios, _épik_, 
   {{0x213e0331,0x6d5c0332,0xc4860333,0xdfd1007a}},	//   rath_, dgra, _флек, فيد_, 
   {{0xa2cb02f8,0x333f026a,0x442e0334,0x75ff010c}},	//   _तेव्, caux_, mpf_, rêze, 
   {{0xdefb0335,0x22940093,0x64580336,0xdcfe0337}},	//   рын_, _хиля, luvi, _dapč, 
   {{0x6d5c0338,0x291800a3,0xe2a9015f,0xdce50339}},	//   ggra, _ngra_, _دامن_, _abhā, 
   {{0x5ba7033a,0xe0d400c7,0x602101dd,0x6458033b}},	//   ораз, _מײַ_, _tēma, nuvi, 
   {{0xdeb3032e,0x6d5c0084,0xdb0f033c,0x2d9e0219}},	//   _жұмы, agra, _alcá, öter_, 
   {{0x2bbc0081,0x201c00b0,0x6458033d,0x673b033e}},	// [150] _ईतरा, _huvi_, huvi, _reuj, 
   {{0x64430310,0x6458033f,0x661b0340,0xdce70083}},	//   ysni, kuvi, _ruuk, zeję, 
   {{0xe7190038,0x333f0107,0xf8b10296,0x673b002c}},	//   ميات_, yaux_, رکس_, _peuj, 
   {{0x8699005e,0x2cac0219,0x6c7a00c7,0x661b0341}},	//   йкес_, ädde_, _פארפ, _puuk, 
   {{0x333f026d,0x7afd00e0,0xa5f90342,0xcb9a00a7}},	//   vaux_, _uzst, беду_, _הסרט, 
   {{0x64430343,0x201c02a0,0xdb040042,0x3d190083}},	//   tsni, _ouvi_, chiñ, _दलों_, 
   {{0x333f026a,0x22460344,0x201c0345,0x64580346}},	//   taux_, _avok_, _nuvi_, guvi, 
   {{0x64430347,0x3a390348,0x661b0349,0x3e640080}},	//   rsni, _kwsp_, _tuuk, yöt_, 
   {{0x76b900cf,0x6443034a,0x6d5c034b,0x333f026a}},	//   _улар_, ssni, ygra, raux_, 
   {{0x644300e4,0x2b40020f,0x23b1020b,0x65780241}},	//   psni, zaic_, _máji_, cevh, 
   {{0x6d5c034c,0x645c007e,0x4fea0240,0x333f0107}},	//   vgra, _ärip, ймон_, paux_, 
   {{0xbebb024a,0x201c0068,0xdee60200,0x3e6400c8}},	//   rcën, _duvi_, зоми, töt_, 
   {{0xcaea034d,0x5ec5004e,0x3fc9009c,0x6d5c034e}},	//   _झुंड_, дияғ, تگوی_, tgra, 
   {{0xda1f0262,0x6d5c034f,0x3e640350,0x00000000}},	//   _बढ़त_, ugra, röt_, --, 
   {{0x9f920351,0xdb06024a,0x22460352,0xeb9a0353}},	//   lší_, _tokë, _zvok_, бив_, 
   {{0x6561012b,0x9f420098,0x3a2b0354,0x3a260355}},	//   _lclh, boká_, _btcp_, змаг, 
   {{0x6e4600eb,0x9f920356,0x6d5c0357,0x2b400358}},	// [160] _عندم, nší_, pgra, raic_, 
   {{0x2b400359,0xa9670258,0x64580027,0x00000000}},	//   saic_, зифа_, yuvi, --, 
   {{0x9d1b00c7,0x9f920032,0x9856035a,0xdc81035b}},	//   _לויט, hší_, яташ, _иқро, 
   {{0xdc9b035c,0xdb060096,0x6b5a00b3,0x2cbe035d}},	//   _היטל, _loké, _ушор_, ıydı_, 
   {{0x9f92035e,0x656d035f,0x7f8d0070,0xbddb011c}},	//   jší_, đahn, ינאַ, ksèl, 
   {{0x64580360,0x8afb00a7,0x9f920356,0x00000000}},	//   tuvi, _להכי, dší_, --, 
   {{0x80d000cc,0x69ce0361,0xdd570070,0x00000000}},	//   _সুন্, _imbe, לבסט_, --, 
   {{0x64580362,0xdb060036,0x7d070363,0xc8db00df}},	//   ruvi, _pokè, léré, _הקלט, 
   {{0x6b860364,0x201c0365,0xd0460248,0x00000000}},	//   _makg, _suvi_, əmək, --, 
   {{0x7d070107,0xdb060096,0x9f4200da,0x00000000}},	//   néré, _coké, voká_, --, 
   {{0x69ce02cd,0x26150366,0xf99300d1,0x00000000}},	//   _mmbe, _फूटी_, גרת_, --, 
   {{0x09b90367,0x6028031e,0x78fb0070,0x57da0035}},	//   _इत्य, _něme, מפיו, _भदोह, 
   {{0x69ce0368,0x9f4b0369,0x23b8033e,0x5f94036a}},	//   _ombe, nocé_, _héjo_, хият, 
   {{0x9f42014b,0x23b80096,0x442c018e,0x7d070175}},	//   roká_, _kéjo_, _ktd_, jéré, 
   {{0x7d07036b,0x9f42026e,0x6b86036c,0x00000000}},	//   déré, soká_, _bakg, --, 
   {{0x69ce036d,0x23cf036e,0x00000000,0x00000000}},	//   _ambe, तोपद, --, --, 
   {{0x31bb0218,0xdcf200e0,0x6b86036f,0x442c00d1}},	// [170] _hêza_, īgāk, _dakg, _ltd_, 
   {{0x6e2d0370,0xceb200c7,0x7d070371,0x64480372}},	//   _itab, _סיי_, géré, _ovdi, 
   {{0xd7fb0013,0x6e2d0175,0xa3be0035,0xf1b30070}},	//   буд_, _htab, ीफा_, עסע_, 
   {{0x69ce0373,0xff5f0218,0x256f008f,0x68f5014b}},	//   _embe, ngî_, zılı_, _vyzd, 
   {{0xd246006b,0x7d070374,0x64480375,0x442c0376}},	//   _جن_, béré, _avdi, _atd_, 
   {{0xcb120056,0x442c0226,0x9f920377,0x68f50228}},	//   _שלך_, _btd_, vší_, _tyzd, 
   {{0x62820378,0x7dc20379,0xa50601a2,0x2409037a}},	//   _asoo, _fôsf, меша_, онки_, 
   {{0x9f92031e,0xdcfe01dd,0xc2e60033,0x6e2d037b}},	//   tší_, _japā, খেছি_, _otab, 
   {{0x2a69037c,0x6e2d037d,0x6448037e,0xd766010e}},	//   ntab_, _ntab, _evdi, _تنقی, 
   {{0x9f92037f,0xab5b0380,0x27ef0381,0x442c0382}},	//   rší_, _flüg, logn_, _ftd_, 
   {{0xd37100eb,0x6e2d0383,0x256f0384,0xe7c402e6}},	//   _لها_, _atab, rılı_, लोकप, 
   {{0x9f920385,0x2a6902f1,0x672901f2,0x256f0241}},	//   pší_, ktab_, _jfej, sılı_, 
   {{0xee370386,0x6b860026,0x6e2d00a1,0x63ab0387}},	//   мня_, _rakg, _ctab, _iogn, 
   {{0x7987006a,0x6e2d0038,0x6b860388,0x00000000}},	//   _najw, _dtab, _sakg, --, 
   {{0x6e2d0389,0x2c8700bc,0x98ba0339,0x7f4d008a}},	//   _etab, vídá_, kapā_, _fdaq, 
   {{0xeb97038a,0x6729008a,0x00000000,0x00000000}},	//   мис_, _nfej, --, --, 
   {{0x63ab038b,0x63a6022b,0xf1e10249,0x6b86038c}},	// [180] _mogn, ökni, _पदान, _vakg, 
   {{0x63ab038d,0x99e300a3,0x00000000,0x00000000}},	//   _logn, вжуд, --, --, 
   {{0x76490212,0xe786038e,0x6b86011c,0x07a60080}},	//   _avey, дуло, _takg, мажн, 
   {{0x442c038f,0x2a69006d,0xb7be0033,0x61aa0390}},	//   _rtd_, btab_, েক্ট, _चक्ष, 
   {{0x4cd30086,0x442c0391,0x4733004f,0x7d070212}},	//   _দুপু, _std_, тніс, péré, 
   {{0x69ce0392,0x442c0348,0x63ab00a1,0x569300d3}},	//   _umbe, _ptd_, _aogn, ташт, 
   {{0x76490118,0x442c02aa,0x644d01dd,0xbb1b009e}},	//   _evey, _qtd_, ņain, _anîy, 
   {{0x63ab0393,0x31bb009e,0x75ff0216,0xae1e0299}},	//   _cogn, _rêza_, rêza, पदान_, 
   {{0xe7bd0394,0x2d9a0126,0x63ab0395,0x9f55003e}},	//   ्फरप, _onpe_, _dogn, ófíl_, 
   {{0x66e4005e,0x442c016a,0x602802d9,0x6e2d008a}},	//   _жоға, _ttd_, _němc, _rtab, 
   {{0x39570056,0x63ab0396,0x195700d1,0x00000000}},	//   ושים_, _fogn, וביל_, --, 
   {{0x628201a0,0xe29a00e4,0x26c6006d,0x63ab0036}},	//   _tsoo, _мае_, ozoo_, _gogn, 
   {{0xdde20397,0x26c60126,0x31c60398,0x00000000}},	//   _šušk, nzoo_, _оскв, --, 
   {{0xe0cf0399,0x63ab039a,0x69de039b,0x00000000}},	//   ازی_, _zogn, jnpe, --, 
   {{0xdb060019,0x79870237,0x00000000,0x00000000}},	//   _elkü, _rajw, --, --, 
   {{0x2a69039c,0x2cac0219,0x7c220097,0x3eae0034}},	//   ttab_, ädda_, _čort, ëjtë_, 
   {{0x6e2d039d,0x27ef01e8,0xef1f0384,0x26c60201}},	// [190] _utab, vogn_, ndüm_, jzoo_, 
   {{0x2a69039e,0x3df40080,0x6729008a,0x00000000}},	//   rtab_, _изыс, _sfej, --, 
   {{0x2a690077,0x917b0023,0x22510083,0x998f039f}},	//   stab_, _hệ_, ązki_, égű_, 
   {{0x2a6903a0,0xb6c503a1,0xaad003a2,0x00000000}},	//   ptab_, нөзд, _सेवक, --, 
   {{0xcb360056,0x798703a3,0x63ab03a4,0x1fc10033}},	//   _ראשי_, _tajw, _rogn, _উদাস, 
   {{0x63ab03a5,0x659403a6,0x0579007a,0x00000000}},	//   _sogn, качу, سمعة_, --, 
   {{0xc86403a7,0x672901f2,0x917b0210,0x00000000}},	//   _итти, _tfej, _lệ_, --, 
   {{0x26c60201,0x7c2a02be,0xd2a90080,0x00000000}},	//   bzoo_, _éfre, зкие_, --, 
   {{0x645c03a8,0x63ab03a9,0xd24e0195,0xe73903aa}},	//   _årin, _vogn, مني_, _мең_, 
   {{0x63ab039b,0x11e20259,0xd1c60080,0x130203ab}},	//   _wogn, лжым, елье_, ызым, 
   {{0x672403ac,0x63ab03ad,0xddcb0241,0xe0d600b3}},	//   žije, _togn, _şişe, евэ_, 
   {{0x8fa603ae,0x00000000,0x00000000,0x00000000}},	//   хаме, --, --, --, 
   {{0xe29903af,0x7f1900f0,0xfce30176,0xf1a800d7}},	//   _хал_, діру_, ҳоро, سایه_, 
   {{0x92c103b0,0xdd9203b1,0x7bdf03b2,0xd24e03b3}},	//   ığın, دوس_, enqu, _انو_, 
   {{0xfce303b4,0xddcd00d9,0x61e6010e,0xeb9a03b5}},	//   горо, _spaţ, ékle, пив_, 
   {{0xa2d40081,0xfaa603b6,0x7a160237,0x00000000}},	//   _बेड्, набо, _pņto, --, 
   {{0xf41200c7,0x395603b7,0xdb0603a0,0xfbd1031e}},	// [1a0] רפן_, ењет, _alkò, _सगरम, 
   {{0xac8603b7,0x6f04016c,0x26c6006d,0xdcfe00b3}},	//   _згол, _izic, vzoo_, _capă, 
   {{0xa81a03b8,0x2fc000b4,0x5be40259,0xc17200d1}},	//   ستار_, _klig_, _айнұ, רחב_, 
   {{0xfaa603b9,0xe66603ba,0x2fc00175,0x00000000}},	//   _замо, етко, _jlig_, --, 
   {{0x7bd6023e,0x98ac0095,0x91b40035,0x75ff0216}},	//   miyu, ğlıq_, ेसमै, rêzn, 
   {{0xe5a303bb,0x7bd603bc,0x98ac0095,0xa4d403bd}},	//   личи, liyu, şlıq_, колі, 
   {{0x26c6006d,0xa3cc03be,0x3c3e02d9,0x00000000}},	//   szoo_, रफल_, nův_, --, 
   {{0x7bd6016c,0x00000000,0x00000000,0x00000000}},	//   niyu, --, --, --, 
   {{0x6aa40183,0x6f04016c,0x00000000,0x00000000}},	//   nxif, _nzic, --, --, 
   {{0x64a603bf,0xb5ca006b,0xef1f03c0,0xbbad03c1}},	//   _паза, _عوام_, rdüm_, _टक्क, 
   {{0x3f8903c2,0xdb12008c,0x6f0403c3,0x2fc00175}},	//   _paau_, _ágæt, _azic, _blig_, 
   {{0x64580304,0x00000000,0x00000000,0x00000000}},	//   mrvi, --, --, --, 
   {{0x661a03c4,0x644a03c5,0x7bc4023e,0x2e2603c6}},	//   _kitk, lsfi, dhiu, _côf_, 
   {{0x9f4b031e,0x661a03c7,0x917b0108,0x00000000}},	//   mocí_, _jitk, _vệ_, --, 
   {{0x317e03c8,0xb3a400e6,0x661a03c9,0x443e039b}},	//   metz_, _खचाख, _mitk, _jwt_, 
   {{0x7bc403ca,0x7bdf00fd,0xd1380009,0x7b6400b3}},	//   ghiu, unqu, lbą_, лтуе, 
   {{0x66d3006b,0x443e02a2,0x9f4b0327,0x6d5a007a}},	// [1b0] _műkö, _lwt_, nocí_, ótac, 
   {{0x661a03cb,0x317e0380,0x64580304,0x644a03cc}},	//   _nitk, netz_, krvi, ksfi, 
   {{0x6d4703cd,0x20090029,0xa3c003ce,0x201b0151}},	//   maja, _khai_, ँसा_, _épis_, 
   {{0x6d4703cf,0x2009006d,0x7bc403d0,0x661a03d1}},	//   laja, _jhai_, chiu, _aitk, 
   {{0x661a03d2,0x6b9d03d3,0x6b8d03d4,0x46a4004f}},	//   _bitk, _insg, mdag, лаїв, 
   {{0x6d4703d5,0xb90700cc,0x6b8d03d6,0x443e03d7}},	//   naja, _পর_, ldag, _bwt_, 
   {{0xab5b02f2,0x80d00086,0x644a03d8,0x443e03d9}},	//   _glüc, _সুস্, gsfi, _cwt_, 
   {{0x69d703da,0x6d4703db,0xe29903dc,0xe65d01f0}},	//   lixe, haja, даи_, ştığ, 
   {{0xd7e401fc,0xdb0f03dd,0x6b8d01ff,0x248503de}},	//   _сіро, _alcú, idag, _wslm_, 
   {{0x6d4703df,0x27fd00f8,0x93bc020f,0x2fc000a1}},	//   jaja, llwn_, _stăt, _slig_, 
   {{0x6d4703e0,0x2fc001c1,0xf99203e1,0x443e03e2}},	//   daja, _plig_, ברי_, _gwt_, 
   {{0x200903e3,0x6b8d03e4,0xc3cb022a,0x661a039b}},	//   _chai_, jdag, _عظام_, _zitk, 
   {{0x63a902b1,0x6b8d0343,0x93b60056,0xddcd03e5}},	//   mjen, ddag, _שלנו_, _spaš, 
   {{0x6d4703e6,0x63bb03e7,0x1d0a0161,0x7bd60199}},	//   gaja, lkun, деги_, wiyu, 
   {{0x69d70183,0xdc6701a2,0x22510035,0x6da303e8}},	//   dixe, кард_, ązku_, шира, 
   {{0x63a903e9,0x2eb603ea,0x6b8d03eb,0x63bb03ec}},	//   njen, _асос, gdag, nkun, 
   {{0x6d4703ed,0x395100ef,0x4b2300dd,0x63bb03ee}},	// [1c0] baja, _bdzs_, рмув, ikun, 
   {{0x6d4703ef,0x63a903f0,0x2bc60035,0x76590156}},	//   caja, hjen, रोजा, drwy, 
   {{0x63bb03f1,0x63a903f2,0x661a03f3,0x6b8d01ff}},	//   kkun, kjen, _ritk, bdag, 
   {{0x7bd602cd,0x6e240053,0x63a903f4,0xe73a03dc}},	//   qiyu, _kuib, jjen, фед_, 
   {{0x63a903f5,0x661a030f,0x443e03f6,0x765902bf}},	//   djen, _pitk, _swt_, grwy, 
   {{0x69c503f7,0xd49a03f8,0x645803f9,0x644a03fa}},	//   chhe, дри_, trvi, tsfi, 
   {{0x18a303fb,0x98a300d3,0x63bb03fc,0x948603fd}},	//   _карм, _кире, fkun, тылд, 
   {{0x63a903fe,0x63bb03ff,0x6d470400,0x64a302a6}},	//   gjen, gkun, zaja, раћа, 
   {{0xfbd30056,0x200902bf,0x661a0401,0x644a0402}},	//   יתה_, _rhai_, _titk, ssfi, 
   {{0xa3f5000d,0x661a0318,0x6b8d0403,0x8af000ad}},	//   ější_, _uitk, zdag, lgəs, 
   {{0x6d470404,0x63a90405,0xd138012d,0x200900e7}},	//   vaja, bjen, rbą_, _phai_, 
   {{0x317e01c4,0x63bb02f2,0x6d470406,0x63a90407}},	//   setz_, ckun, waja, cjen, 
   {{0x6d470408,0x6e240409,0x00000000,0x00000000}},	//   taja, _cuib, --, --, 
   {{0x69d7040a,0x6e24006c,0xbf9b040b,0x00000000}},	//   xixe, _duib, dlêe, --, 
   {{0x7f95040c,0x6d47040d,0x6b8d040e,0x80a3040f}},	//   _байх, raja, tdag, _نمون, 
   {{0x6d470410,0x5f770411,0x20090053,0x8e270148}},	//   saja, _شاعر, _uhai_, _ифод, 
   {{0x6d470412,0xbf9b0218,0x321c0180,0x49750413}},	// [1d0] paja, rlêd, _kivy_, ллас, 
   {{0x63bb0414,0x6b8d0343,0x7e6d0415,0x68fc0416}},	//   zkun, sdag, _iqap, _byrd, 
   {{0x3eb90417,0x69d70418,0xf7950028,0xa2d40154}},	//   lyst_, rixe, лажэ, _बेस्, 
   {{0x765902bf,0x69c50034,0x6b8d01ff,0xe1150070}},	//   trwy, shhe, qdag, אַנז_, 
   {{0x6d450419,0xe784041a,0x63a9041b,0x61e100f8}},	//   _keha, рухо, vjen, ynll, 
   {{0xa934041c,0xa509041d,0x6d45025b,0x63bb02b0}},	//   _верш, нела_, _jeha, wkun, 
   {{0x6d45041e,0x63a9041f,0x7afd0420,0x63bb0421}},	//   _meha, tjen, _hyst, tkun, 
   {{0x6d450364,0x7afd0422,0x7c250423,0x93bc00b3}},	//   _leha, _kyst, _muhr, _stăr, 
   {{0x63a90424,0x59b70425,0x7c250096,0xd3a400f0}},	//   rjen, _आकार, _luhr, рлық, 
   {{0x63bb0426,0x6d450427,0x9f600042,0x63a90428}},	//   skun, _neha, _ásúa_, sjen, 
   {{0x04670429,0x7afd042a,0x1c1f042b,0x63a901f2}},	//   _штам, _lyst, _मंगल_, pjen, 
   {{0xdb0f03b7,0xc43a042c,0x442500d9,0xdb06042d}},	//   _você, _נתני, _iul_, _loká, 
   {{0x4425042e,0x6d45042f,0x7afd0430,0x69d50431}},	//   _hul_, _beha, _nyst, _omze, 
   {{0x44250432,0x614503b7,0x4ed5004f,0x42520433}},	//   _kul_, _сека, рюют, _انور, 
   {{0x224d0434,0x6d450435,0x44250436,0x30790070}},	//   lsek_, _deha, _jul_, _טאַנ, 
   {{0x7afd0098,0x2d8c0437,0x44250077,0x7dd40095}},	//   _byst, žde_, _mul_, _müsə, 
   {{0x7afd0156,0xdcfc026e,0x44250438,0x6d450126}},	// [1e0] _cyst, merč, _lul_, _feha, 
   {{0x6d450439,0x7afd043a,0x4425043b,0x3f82043c}},	//   _geha, _dyst, _oul_, leku_, 
   {{0xdb060076,0x7afd043d,0x31ba00c7,0x9f4b02aa}},	//   _doká, _eyst, עזענ, locá_, 
   {{0x6d4502ba,0x224d01f0,0x3f82043e,0x46ea043f}},	//   _zeha, ksek_, neku_, нден_, 
   {{0x644102cd,0x7f3b00c7,0x7afd0156,0x7c250440}},	//   _awli, גענו, _gyst, _zuhr, 
   {{0x65940441,0x44250442,0xd5b1001b,0x6d4501d6}},	//   раку, _bul_, _có_, _xeha, 
   {{0x44250443,0xd46702a6,0xe56f021b,0x88840444}},	//   _cul_, гије_, سطو_, _خیان, 
   {{0x44250084,0x3f8203e5,0x53980445,0x93b40446}},	//   _dul_, jeku_, твия_, рбиц, 
   {{0x6441007b,0xbebb024a,0x798e0447,0xdb06010e}},	//   _ewli, ncët, _kabw, _elkö, 
   {{0xc05a0448,0x602100e0,0x44250449,0xdb0f022c}},	//   нім_, _lēmu, _ful_, _docè, 
   {{0x4425044a,0x798e044b,0x09f7029e,0x224d01d6}},	//   _gul_, _mabw, רמים_, asek_, 
   {{0x6d45044c,0x020600f0,0x798e044d,0xddc4008a}},	//   _seha, _өзен, _labw, _epiż, 
   {{0x6d45044e,0x4425044f,0x7c25040c,0x601e0450}},	//   _peha, _zul_, _suhr, _dūma, 
   {{0xbb1b026d,0xa1580451,0x44250452,0x7afd0453}},	//   _maît, _раку_, _yul_, _ryst, 
   {{0x9f35005e,0x442503da,0x6d450454,0x3ebf0455}},	//   _кейі, _xul_, _veha, šut_, 
   {{0xc4c40456,0x7afd0088,0x246e0095,0x798e02a5}},	//   _ہے_, _pyst, _cəmi_, _aabw, 
   {{0x6d450457,0x1dc40161,0x79d5004f,0x798e0458}},	// [1f0] _teha, рөөн, ажає, _babw, 
   {{0x7afd0459,0x2b490183,0xdcf501dd,0x75ff0216}},	//   _vyst, saac_, udzē, rêzk, 
   {{0x7afd006a,0x2d83024d,0x798e045a,0xd7c8009c}},	//   _wyst, meje_, _dabw, گونه_, 
   {{0x31e1045b,0x2d83045c,0x7afd045d,0xe71900eb}},	//   _पद्ध, leje_, _tyst, نيات_, 
   {{0x4425045e,0xb6a5045f,0xa2d4000c,0x98aa01dd}},	//   _sul_, рилл, _बेल्, ējām_, 
   {{0x44250460,0x2d830461,0xf4830274,0xa3d2031e}},	//   _pul_, neje_, ماعی, होस_, 
   {{0x44250462,0xb7770259,0x00000000,0x00000000}},	//   _qul_, _бөлу_, --, --, 
   {{0x44250265,0xddc40463,0xdb1d008c,0x2d830464}},	//   _vul_, _spiż, _umsó, heje_, 
   {{0x6b8f0465,0xae150466,0x64a30467,0x290c00eb}},	//   _macg, णगान_, рақа, _údar_, 
   {{0x2d830468,0x44250469,0x224d046a,0x2d9100ef}},	//   jeje_, _tul_, rsek_, jdze_, 
   {{0x2d83046b,0x66ca0019,0x3fe6046c,0xd49b046d}},	//   deje_, _töké, ижов, _яра_, 
   {{0x224d046e,0xe0d6046f,0x52d90080,0xbddb023e}},	//   psek_, рвю_, _имею_, ksès, 
   {{0x2bc900bd,0x8e760470,0x324500b9,0x00000000}},	//   रसना, шунч, _телг, --, 
   {{0x3f820471,0x6cc60472,0x628b0090,0x2d8302b8}},	//   seku_, айга, _isgo, geje_, 
   {{0xdd0e027e,0x8c460473,0x93bc0474,0x798e0118}},	//   _dışa, ребе, _ouăl, _rabw, 
   {{0xc05200a7,0x798e0475,0xb7b00033,0x00000000}},	//   _וזה_, _sabw, _কষ্ট, --, 
   {{0xeab70161,0x2d830476,0x09c10033,0x798e044d}},	// [200] айт_, beje_, োচনা, _pabw, 
   {{0xdebb0225,0xc8960477,0x00000000,0x00000000}},	//   _סמיל, ирењ, --, --, 
   {{0xdca600cf,0x6e2201d8,0xdb060054,0x87260478}},	//   _тани, _èobb, _alkô, амеж, 
   {{0x6e930116,0x628b0479,0x798e047a,0x00000000}},	//   _الیا, _osgo, _wabw, --, 
   {{0xb8fd047b,0x23a9047c,0x6b84047d,0x672402fe}},	//   _ते_, कानद, meig, žijo, 
   {{0xb8660019,0x6b84047e,0x00000000,0x00000000}},	//   _پاسو, leig, --, --, 
   {{0x92e200cc,0x29270228,0x03c6047f,0x00000000}},	//   _ধরে_, ávať_, исим, --, 
   {{0x0fc10086,0x6b840480,0x290a0481,0x68e30068}},	//   _উদ্ধ, neig, _izba_, únde, 
   {{0x27e60008,0xc1a600ff,0xa3c7042b,0xe61a0482}},	//   mnon_, ајни, _उतर_, _ада_, 
   {{0x22590483,0xda160484,0x629900f3,0x00000000}},	//   áska_, थगित_, _drwo, --, 
   {{0x628b0485,0xd4d500e4,0x5f9500b3,0xc9530486}},	//   _esgo, _ліцэ, бинт, חמת_, 
   {{0x27e60487,0x53a30258,0xa3d2042b,0x03a30488}},	//   nnon_, _махб, होश_, _михо, 
   {{0x63a20489,0x5f94048a,0x2d83048b,0x9258048c}},	//   _inon, цият, teje_, _салт_, 
   {{0x7bc6048d,0xa3d2048e,0x2002048f,0x63a20032}},	//   _alku, होर_, alki_, _hnon, 
   {{0x2d830490,0xf2e80086,0x70540491,0x63a20118}},	//   reje_, _পরিণ, _انبا, _knon, 
   {{0x628b02f0,0xe45700c7,0x75ff010c,0x2d830492}},	//   _ysgo, יילט_, rêzi, seje_, 
   {{0x29050493,0xac180494,0x27e60495,0x290a0118}},	// [210] _šla_, роту_, dnon_, _azba_, 
   {{0x39470496,0x780f0497,0x2d830034,0x00000000}},	//   úns_, िष्क_, qeje_, --, 
   {{0x63a20498,0x6b8401dd,0xbef80499,0x6d5700ad}},	//   _onon, beig, _مریض_, _idxa, 
   {{0x27e6049a,0x201400d3,0xdc9a0070,0x7d0800c2}},	//   gnon_, _èxit_, _עירל, üdse, 
   {{0xc987049b,0x6e2202be,0x1ade049c,0x00000000}},	//   _куви, _éobt, _नेपथ, --, 
   {{0x63a2049d,0x27e6049e,0x5f0a049f,0xdcfe00bc}},	//   _anon, anon_, _सरस्_, _napě, 
   {{0x97a704a0,0x057400d4,0x27e6012b,0x29050369}},	//   _крал, تاند, bnon_, _ála_, 
   {{0x69c704a1,0xc245004f,0xdcfc01dd,0xab5b00b0}},	//   _hlje, бник, nerā, _olüm, 
   {{0xe1f904a2,0x248c04a3,0xe7300019,0xdd2c012d}},	//   лги_, _esdm_, _آصف_, vėži, 
   {{0xa2e504a4,0x6b8402ec,0x79850026,0xbec40028}},	//   _қолд, zeig, nehw, šūki, 
   {{0x69c7027c,0x7dc20228,0xf0760019,0x6e3601d2}},	//   _mlje, _dôsl, میوں_, _styb, 
   {{0x7dc20187,0x6d570068,0x9f420098,0x629904a5}},	//   _pôso, _adxa, boký_, _trwo, 
   {{0x69c704a6,0x6fc60038,0xdcfc01dd,0x6299016c}},	//   _olje, _cóca, derā, _urwo, 
   {{0x6b8404a7,0xb6da0070,0x6feb0083,0x225f04a8}},	//   weig, אַלט, ręca, mruk_, 
   {{0x6b560013,0x6b8404a9,0xdb1d00b9,0xacea00b3}},	//   йтах, teig, _alsà, умва_, 
   {{0x69c704aa,0xdcfe0032,0x6fc6007a,0x00000000}},	//   _alje, _topľ, _fóca, --, 
   {{0x69c704ab,0xfaa304ac,0x6b8404ad,0x7f3b0070}},	// [220] _blje, пато, reig, _געפו, 
   {{0x6b8404ae,0x5d8600eb,0x3f92005f,0xdb0f04af}},	//   seig, _الدل, _hayu_, _alcó, 
   {{0x3f9204b0,0x6d4e04b1,0x291c04b2,0x6fc604b3}},	//   _kayu_, maba, äva_, _zóca, 
   {{0x6d4e04b4,0x7bc604b5,0x78a302ae,0xd62a04b6}},	//   laba, _ulku, ånva, годе_, 
   {{0xa3ab04b7,0x2b4004b8,0x3f9202a5,0x248c0065}},	//   खान_, mbic_, _mayu_, _ssdm_, 
   {{0x6d4e04b9,0x225f04ba,0x3f9204bb,0xe1e704bc}},	//   naba, druk_, _layu_, _رس_, 
   {{0x2bbf04bd,0xef1f04be,0x6d4e0183,0x69de04bf}},	//   _एकमा, ndür_, iaba, mipe, 
   {{0x69de04c0,0x6d4e04c1,0xa85700a7,0x69c700ef}},	//   lipe, haba, _לילה_, _zlje, 
   {{0x6d4e04c2,0x7dcb0092,0xaade009a,0x36c603a1}},	//   kaba, _hüse, _नेमक, _убаг, 
   {{0x8c000086,0x69de04c3,0x9f42014b,0x905404c4}},	//   ্দিন_, nipe, roký_, овоц, 
   {{0x64a304c5,0x672d00d0,0x3f9204c6,0x9f42014b}},	//   _нафа, žaje, _bayu_, soký_, 
   {{0x69de04c7,0x225f04c8,0x63a204c9,0x00000000}},	//   hipe, bruk_, _unon, --, 
   {{0x69de04ca,0x3f9202a2,0x394a04cb,0x2bbf04cc}},	//   kipe, _dayu_, _oebs_, _एकबा, 
   {{0x6d4e04cd,0x30a604ce,0x3fc900d4,0x7de700f0}},	//   gaba, _грив, ادگی_, сімд, 
   {{0x69de04cf,0x61fa00cf,0xc05a0451,0x2a6000b0}},	//   dipe, motl, _сіл_, erib_, 
   {{0x69c702a8,0x61fa00cf,0xa3ab00c2,0x2246023e}},	//   _slje, lotl, खाय_, _kwok_, 
   {{0x6d4e04d0,0x69c704d1,0x2a6004d2,0x8d8700b3}},	// [230] baba, _plje, grib_, _лунд, 
   {{0x6f0d04d3,0x7f4f02a3,0x24890035,0x69de04d4}},	//   _izac, lacq, łami_, gipe, 
   {{0x2fc904d5,0x66030098,0x6d4104d6,0x3f9200d7}},	//   _klag_, vlnk, ılad, _yayu_, 
   {{0x1da704d7,0x61fa04d8,0x7f4f0036,0x6e22019c}},	//   खावत, hotl, nacq, _éobr, 
   {{0x7bdf04d9,0x7bcd04da,0x61fa04db,0x966500f0}},	//   miqu, mhau, kotl, ікке, 
   {{0x7bdf04dc,0x6f0d019b,0x69de04dd,0x7bcd04de}},	//   liqu, _mzac, cipe, lhau, 
   {{0xddcc00e4,0x224600e2,0x996502d9,0x61fa04df}},	//   _žiūr, _awok_, _kůži_, dotl, 
   {{0x7bdf04e0,0x6d4e04e1,0x2d930496,0x7bcd04e2}},	//   niqu, zaba, _laxe_, nhau, 
   {{0x66030187,0x6d4e04e3,0x3f9204e4,0x27ff0405}},	//   plnk, yaba, _rayu_, _ikun_, 
   {{0x3f9204e5,0x2fc9012b,0x7bdf0107,0x6d4e04e6}},	//   _sayu_, _alag_, hiqu, xaba, 
   {{0x3f9204e7,0x2fc904e8,0x7bdf023e,0xe10904e9}},	//   _payu_, _blag_, kiqu, ренд_, 
   {{0x6d4e04ea,0x27ff0405,0x69de04eb,0x7e66016a}},	//   waba, _jkun_, zipe, tukp, 
   {{0x6d4e04ec,0x7bdf04ed,0x7bcd04ee,0xf8a600a2}},	//   taba, diqu, dhau, _गप्प, 
   {{0xdb0f0068,0x2b4b04ef,0x3f92011c,0x112b017b}},	//   _cocí, _aecc_, _wayu_, _сюди_, 
   {{0x6d4e04f0,0x7bdf04f1,0x7f4f01d8,0xcfaa04f2}},	//   raba, fiqu, bacq, _ناظم_, 
   {{0x7bdf04f3,0x7e66011d,0x6d4104f4,0x2fc901be}},	//   giqu, pukp, ðlar, _glag_, 
   {{0xe9da04f5,0x6d4e04f6,0xed5a04f7,0x4aaa0161}},	// [240] ака_, paba, _коп_, шкан_, 
   {{0x27ff04f8,0x6d4e04f9,0xdcf50384,0x27ed033e}},	//   _akun_, qaba, _çağr, _ajen_, 
   {{0x7bcd04fa,0xe8f704fb,0x320504fc,0x7bdf0173}},	//   bhau, олф_, illy_, biqu, 
   {{0xeb9a04fd,0x7bdf04fe,0x394a04ff,0x7bcd0500}},	//   _тим_, ciqu, _webs_, chau, 
   {{0x2a6002cd,0x61fa02f1,0xacf6009c,0x2bbf0501}},	//   qrib_, yotl, _دسکت, _एकता, 
   {{0x69de01ee,0x27ed0348,0xfe9b008d,0x75d30038}},	//   qipe, _ejen_, יינמ, وينا, 
   {{0x69dc00eb,0x6fc60183,0xab5b0502,0x602802d9}},	//   _imre, _nóco, _blüh, _těmi, 
   {{0x78a10503,0xa3ba00eb,0x27ed024a,0x7bc40504}},	//   _álva, شاعر_, _gjen_, nkiu, 
   {{0x69dc02a2,0x6f040505,0xa3db00a5,0x61fa0506}},	//   _kmre, _nyic, _डगर_, totl, 
   {{0x2fc90507,0x7a450216,0x61e801c4,0x7bdf0508}},	//   _slag_, lîtî, undl, ziqu, 
   {{0xeb070509,0x2fc9050a,0xf1d9050b,0xdb0f050c}},	//   _शर्त_, _plag_, योधन, _rocí, 
   {{0x932500c5,0x4ea7050d,0x320500a7,0x7bdf050e}},	//   _فرهن, орга, ally_, xiqu, 
   {{0x442c050f,0x69dc0510,0x6b960156,0x2fc90511}},	//   _hud_, _omre, ddyg, _vlag_, 
   {{0x442c0062,0x72e900c7,0x61fa00a3,0x6e3d0512}},	//   _kud_, _פֿײַ, qotl, rpsb, 
   {{0x7bdf0513,0x442c00b3,0x7bcd0514,0x3a2302b0}},	//   tiqu, _jud_, thau, _rijp_, 
   {{0x5a350515,0x3a3902c7,0x69dc0516,0x7bcd0517}},	//   знат, _ptsp_, _amre, uhau, 
   {{0x7bdf0518,0x442c0519,0x7bcd051a,0x2d93051b}},	// [250] riqu, _lud_, rhau, _taxe_, 
   {{0x7bdf051c,0x7bcd051d,0x442c051e,0x683300a4}},	//   siqu, shau, _oud_, _aħda, 
   {{0x6e2d0201,0x20ca051f,0x7bdf0520,0x48ab0521}},	//   _huab, ानिध, piqu, штам_, 
   {{0x6e2d0522,0x6282011c,0x69dc0241,0xbddb023e}},	//   _kuab, _opoo, _emre, spèd, 
   {{0xf7700523,0x27ed00e5,0xd6db0524,0xe5a502f1}},	//   ضان_, _vjen_, јте_, зили, 
   {{0x442c0525,0x6e2d0526,0x644800f3,0x20ca0527}},	//   _bud_, _muab, _bwdi, ानाध, 
   {{0xd8380528,0x27ff0529,0xddcd052a,0x6282052b}},	//   _мэт_, _tkun_, _opaž, _apoo, 
   {{0x442c052c,0x69c503c5,0xc245052d,0x7995052e}},	//   _dud_, lkhe, пник, _hazw, 
   {{0x7995016c,0x6448008a,0x442c052f,0x6729016c}},	//   _kazw, _ewdi, _eud_, _igej, 
   {{0x442c00eb,0x69c50530,0x34950531,0x76490532}},	//   _fud_, nkhe, _назр, _iwey, 
   {{0x442c0533,0x7995045a,0x2a6901a0,0x6e2d00a1}},	//   _gud_, _mazw, huab_, _auab, 
   {{0x764901a3,0xbf9b0106,0x60330474,0x6e2d0534}},	//   _kwey, blêm, _căma, _buab, 
   {{0x6e2d00b9,0x69c5010e,0x6729018e,0xd1bb0535}},	//   _cuab, kkhe, _mgej, _پاشا_, 
   {{0x69c50536,0x7995006a,0x6e2d0537,0xa2d400b0}},	//   jkhe, _nazw, _duab, _बेट्, 
   {{0x61e10538,0x76490539,0x00000000,0x00000000}},	//   mill, _lwey, --, --, 
   {{0x61e1053a,0x6729053b,0x69dc053c,0x6724053d}},	//   lill, _ngej, _smre, žiji, 
   {{0x61e1053e,0x37e10086,0x629b00c8,0x3c19012d}},	// [260] oill, যকার, nvuo, іўся_, 
   {{0x3ea0053f,0x6d410540,0xa96a0038,0x61e10541}},	//   _irit_, ılac, إمام_, nill, 
   {{0x7649025b,0x79950502,0x61e10542,0x77860543}},	//   _awey, _dazw, iill, злез, 
   {{0x442c0544,0x2d980545,0x2d8a0546,0x76490547}},	//   _rud_, ldre_, lebe_, _bwey, 
   {{0xc61500cc,0x2a69023b,0x3f800548,0x6594013e}},	//   াদনা_, cuab_, _mbiu_, далу, 
   {{0x2d980549,0x61e1054a,0x2d8a0216,0x95f60083}},	//   ndre_, jill, nebe_, इवेट_, 
   {{0xf746054b,0x6282054c,0xb4c6000d,0x764902a5}},	//   _нево, _spoo, उने_, _ewey, 
   {{0x7dcb054d,0x9f59026a,0x2d8a054e,0x61e10080}},	//   _müsa, posé_, hebe_, eill, 
   {{0x63b9054f,0x61e10550,0x603300d9,0x2bbf0551}},	//   _down, fill, _răma, _एकसा, 
   {{0x442c0552,0x7f4d0065,0x7c260553,0x2d8a0372}},	//   _tud_, _seaq, _likr, jebe_, 
   {{0x442c0554,0xdcf500e0,0x2d8a0555,0x3ea00556}},	//   _uud_, rdzī, debe_, _arit_, 
   {{0x61e10557,0x7f4d0415,0x9f420216,0x7c260558}},	//   aill, _qeaq, likê_, _nikr, 
   {{0xdefb0335,0x71a60559,0x7649055a,0x1ee70274}},	//   сын_, _надз, _xwey, سوسی_, 
   {{0x61e1055b,0x217603dc,0x4426055c,0x57b9055d}},	//   cill, _худр, _hio_, _आव्ह, 
   {{0x3ea00118,0x48dc00a2,0x7c26055e,0x717b00d1}},	//   _erit_, _गेलो_, _bikr, _הנוס, 
   {{0xcf2700eb,0x3ea0055f,0x2d980560,0x6e2d0561}},	//   _عربي, _frit_, adre_, _tuab, 
   {{0x44260562,0x7c260563,0x61eb0019,0x2d8a0564}},	// [270] _mio_, _dikr, _állí, bebe_, 
   {{0x2d8a02a0,0x44260565,0xeb9f0566,0xdb0f00b9}},	//   cebe_, _lio_, _skød_, _vocà, 
   {{0x7c260567,0x69c50568,0x2a69006f,0xc1780009}},	//   _fikr, rkhe, suab_, lnės_, 
   {{0x61e10569,0x4426056a,0xb8d502e6,0xf6f5009c}},	//   zill, _nio_, _जप_, وزشگ, 
   {{0xcb9a00a7,0x63b9056b,0x61e1056c,0x920c00a5}},	//   _וסרט, _rown, yill, हताज_, 
   {{0xd1260084,0x06f400d4,0xb6a200a3,0x00000000}},	//   _لم_, رسنج, тишл, --, 
   {{0x442603ef,0xdb060300,0x6fc6007a,0x63b901d2}},	//   _bio_, _ankè, _sócm, _pown, 
   {{0x4426056d,0x3f8b056e,0x2911056f,0x2d8a0532}},	//   _cio_, jecu_, _izza_, zebe_, 
   {{0x44260570,0x3f8b0571,0x2d8a0572,0x2489020b}},	//   _dio_, decu_, yebe_, ňam_, 
   {{0x61e1026a,0x63b902a2,0x555500d4,0x3ea00034}},	//   uill, _wown, _آپار, _rrit_, 
   {{0x61e10573,0x7dd00088,0x442602a0,0x9fa00574}},	//   rill, _jäse, _fio_, _héés_, 
   {{0x61e10575,0x44260576,0xdee60577,0x3ea00578}},	//   sill, _gio_, доми, _prit_, 
   {{0x7dd0014e,0x6fc60068,0x2d8a0579,0x7c26057a}},	//   _läse, _hóck, tebe_, _rikr, 
   {{0x7c26057b,0x61e102f1,0x4426057c,0x3e7602c9}},	//   _sikr, qill, _zio_, ræt_, 
   {{0x2d98057d,0x3e76055f,0x3b9603b7,0x2d8a057e}},	//   rdre_, sæt_, мјат, rebe_, 
   {{0x6ff6057f,0x3ea00580,0xea01001b,0x2d8a0581}},	//   _تستط, _trit_, _đạp_, sebe_, 
   {{0x2bbf0582,0x3b070141,0x7c260583,0x29110584}},	// [280] _एकरा, дето_, _vikr, _azza_, 
   {{0xc9860038,0x7dcb0585,0x7c2604c6,0x602802d9}},	//   بشري, _hüsn, _wikr, _těmt, 
   {{0x8cb50586,0x7c2600e4,0xdb0f0587,0x19b9004f}},	//   _उपयो, _tikr, _vocá, чуть_, 
   {{0x672d0588,0xb0b60070,0xf0b60147,0x00000000}},	//   žajn, ופעס_, ולער_, --, 
   {{0x442600ce,0xdb0f001d,0x12e80033,0x29110589}},	//   _rio_, _tocá, _পর্দ, _ezza_, 
   {{0x44260010,0x3f8b015e,0xe5a3058a,0x645e019c}},	//   _sio_, zecu_, кичи, ápio, 
   {{0xd497058b,0x9f42010c,0x52b8058c,0x69ce058d}},	//   дры_, rikê_, ेन्स, _ilbe, 
   {{0xf2c6058e,0xc1780028,0x29180083,0x7c2a02be}},	//   дсон, ynės_, ągać_, _éfru, 
   {{0x8cb5058f,0x44260590,0xd16600fd,0x3f8b00ca}},	//   _उपभो, _vio_, мъни, vecu_, 
   {{0xe29f008c,0x00000000,0x00000000,0x00000000}},	//   æða_, --, --, --, 
   {{0x44260591,0x3f8b00ef,0xd36f0592,0xf99300d1}},	//   _tio_, tecu_, _ич_, דרת_, 
   {{0x443e006b,0x72c60593,0xdb0d003e,0x44260594}},	//   _itt_, _обез, kkað, _uio_, 
   {{0x441b0137,0xa3ab0262,0xff040595,0x3f8b015e}},	//   _וואס, खार_, вярн, recu_, 
   {{0x443e016a,0x9f5900b9,0x6fc60534,0x00000000}},	//   _ktt_, mosí_, _lóch, --, 
   {{0xc1780009,0xc04f004e,0x443e025b,0xac190596}},	//   snės_, _ші_, _jtt_, зову_, 
   {{0x69ce0597,0xcbcd0086,0x7dd003c5,0x5f9500fd}},	//   _albe, রচ্ছ, _räse, _чиит, 
   {{0x6feb006a,0xbbbf0598,0x9f42024a,0xda780599}},	// [290] jęci, _एकीक, zikë_, дях_, 
   {{0x443e059a,0x6458059b,0x62770486,0x00000000}},	//   _ott_, ksvi, וגמא_, --, 
   {{0x443e059c,0x6d47059d,0xab5b0380,0xa3c0059e}},	//   _ntt_, mbja, _blüt, ुसा_, 
   {{0x6d5501a7,0x69ce059f,0x645805a0,0x7dd00219}},	//   laza, _elbe, dsvi, _väse, 
   {{0x443e05a1,0xb90604b7,0x6fc600eb,0x6b8d05a2}},	//   _att_, _बे_, _dóch, meag, 
   {{0x6d5505a3,0x9f4200e5,0x443e05a4,0xdcee0009}},	//   naza, tikë_, _btt_, gebė, 
   {{0x26c902f5,0x645805a5,0x443e02be,0x83db0083}},	//   šao_, gsvi, _ctt_, यफलआ, 
   {{0x6d5505a6,0x443e0036,0x9f420034,0xa3d90083}},	//   haza, _dtt_, rikë_, डों_, 
   {{0x443e05a7,0x601605a8,0xd175001c,0x644e003d}},	//   _ett_, náme, ныны, _ħbie, 
   {{0xf1b100eb,0x765b007c,0x6b8d05a9,0xf5030176}},	//   اءة_, _ivuy, heag, _иҷло, 
   {{0x6d5505aa,0x9f4205ab,0x672400bc,0x14740038}},	//   daza, liké_, žijt, _لانج, 
   {{0x649a0056,0x644305ac,0x14d8009a,0x7605009e}},	//   _מסעד, mpni, _भेटण, _fîzî, 
   {{0xe1ee0141,0x6d5505ad,0x6d410540,0x3f9e02d9}},	//   _бг_, faza, ılan, ětu_, 
   {{0x7bcf048a,0x200b05ae,0x6833008a,0xdb15010c}},	//   _alcu, alci_, _aħdm, şbûn, 
   {{0xafe605af,0xb042001b,0xdb8605b0,0x1e8300f0}},	//   _покл, _trưở, нгви, _ұлым, 
   {{0x6b8d05b1,0x8b2605b2,0x00000000,0x00000000}},	//   geag, едбе, --, --, 
   {{0x6d5505b3,0xada605b4,0x200205b5,0x7dd002ae}},	// [2a0] baza, _запл, moki_, _väsb, 
   {{0xdb0d010d,0x200205b6,0x7bcf0126,0x673b02a5}},	//   rkað, loki_, _elcu, _afuj, 
   {{0x7dcb05b7,0x6b8d05b8,0x765b02b8,0xdb0d01d5}},	//   _müsl, beag, _avuy, skað, 
   {{0x2d9a0364,0x48c30086,0x601605b9,0x2ca5055f}},	//   _hape_, ্পূর, lámb, ælde_, 
   {{0x2d9a05ba,0x443e05bb,0x56940028,0x69d10243}},	//   _kape_, _stt_, талт, _ūdeņ, 
   {{0x63ab05bc,0x645805bd,0xab5b01c4,0x2002059e}},	//   _angn, tsvi, _flüs, hoki_, 
   {{0x6573009e,0x200201f1,0x2d9a05be,0xa3ab00c2}},	//   _şehî, koki_, _mape_, खां_, 
   {{0x64580343,0x9f5904b3,0x6d5505bf,0x2d9a05c0}},	//   rsvi, tosí_, zaza, _lape_, 
   {{0x6d5505c1,0x645805c2,0x200205c3,0x46b70035}},	//   yaza, ssvi, doki_, _आपयह, 
   {{0x27e605c4,0x2d9a05c5,0x6b8d01f1,0x31c5009e}},	//   lion_, _nape_, zeag, _rêzê_, 
   {{0xc05705c6,0x443e00e0,0x6d5505c7,0x30a300fd}},	//   нія_, _utt_, vaza, гряв, 
   {{0x27e605c8,0x6d5505c9,0x200205ca,0x6306007a}},	//   nion_, waza, goki_, _كوال, 
   {{0x6d5505cb,0x2d9a05cc,0xf8ad0425,0x26c605cd}},	//   taza, _bape_, _टप्प, nyoo_, 
   {{0x7d0305ce,0xbbc905cf,0x2bc905d0,0xa19300d3}},	//   _ønsk, रस्क, रस्थ, _башч, 
   {{0x6d5505d1,0x26ec05d2,0x5ff50141,0x27e605d3}},	//   raza, जपुर_, _изку, kion_, 
   {{0x9f42009e,0x6d5a05d4,0x27e605d5,0x60160183}},	//   likî_, ótar, jion_, táme, 
   {{0x27e605d6,0x6b8d05d7,0x6d5505d8,0x497505d9}},	// [2b0] dion_, reag, paza, клас, 
   {{0x601605da,0x6b8d05db,0x49740283,0x644300fc}},	//   ráme, seag, ллус, ypni, 
   {{0x6fc60165,0x27e60156,0x7e7d05dc,0x7dd00380}},	//   _sóci, fion_, ltsp, _wäsc, 
   {{0x27e605dd,0x765900f8,0xb8d900c2,0x67d405de}},	//   gion_, tswy, _अऊ_, лоху, 
   {{0xa3b403a2,0x7e7d05df,0x2b4900b3,0x9f4b0369}},	//   ञान_, ntsp, mbac_, locó_, 
   {{0xd5bb05e0,0xa50905e1,0x7e7d05e2,0x2a6901ff}},	//   ясе_, мела_, itsp, mrab_, 
   {{0x27e60156,0x02c900d8,0x94ab00a3,0x764002a5}},	//   bion_, िन्न, ятда_, _etmy, 
   {{0x27e605e3,0x25ac0068,0x644305e4,0x261605e5}},	//   cion_, _endl_, rpni, _पीठी_, 
   {{0x7dd0022b,0x2a69006d,0x67d405e6,0x7e6f00ca}},	//   _läsa, nrab_, _соту, jucp, 
   {{0x644305e7,0x9f65009e,0x7e7d05e8,0x00000000}},	//   ppni, îtîk_, dtsp, --, 
   {{0x660301e0,0x200205e9,0x7dd00219,0x2a6905ea}},	//   monk, toki_, _näsa, hrab_, 
   {{0xb4bf0081,0x2d9a05eb,0x7e7d05ec,0x23e9009c}},	//   ुनी_, _sape_, ftsp, _غذای_, 
   {{0x200205ed,0x3f9b008a,0x7e7d05ee,0x9f420216}},	//   roki_, _daqu_, gtsp, bikî_, 
   {{0x008505ef,0x660305f0,0x27e605f1,0xd65600d1}},	//   _алко, nonk, zion_, כישת_, 
   {{0x7e7d05f2,0x1d0705f3,0x200205f4,0x8d760535}},	//   atsp, вери_, poki_, _یادا, 
   {{0x27e6026d,0x660305f5,0x225900da,0x2d9a025b}},	//   xion_, honk, šsku_, _wape_, 
   {{0x3ae800c5,0xf1b505f6,0x501b00a7,0x7e7d05f7}},	// [2c0] ربری_, _अचान, _קופו, ctsp, 
   {{0x26160366,0xdcfc00e0,0xd94605f8,0x9f89009e}},	//   _पीढी_, ndrī, тежи, _pûç_, 
   {{0x27e605f9,0x8e3a05fa,0xdb060035,0xdcfc01dd}},	//   tion_, _عسکر_, _pokó, idrī, 
   {{0x46ea01bb,0x81ca0033,0x7e6905fb,0x5b1603a1}},	//   мден_, রোপ_, šepe, _үмүт, 
   {{0x27e605fc,0xa3ab05fd,0x644105fe,0xb4aa05ff}},	//   rion_, खाई_, _atli, खम्_, 
   {{0x27e60600,0xd9430601,0xe4e3031e,0xdb060035}},	//   sion_, _вери, _केहि_, _wokó, 
   {{0x09e30602,0x27e60603,0x64410604,0x9f59010e}},	//   _торн, pion_, _ctli, őzés_, 
   {{0x7bd60605,0x799c0606,0xdb1d011c,0xc2740165}},	//   nhyu, _harw, _bosè, глиј, 
   {{0x64410607,0x66030608,0x877b00c7,0x31340609}},	//   _etli, bonk, _קאמי, лепр, 
   {{0xf1a6060a,0x2fc001be,0xdb1d011c,0x799c060b}},	//   трин, _aoig_, _dosè, _jarw, 
   {{0x7bd6060c,0x799c060d,0x2fc003dd,0x9f420216}},	//   khyu, _marw, _boig_, rikî_, 
   {{0x7e7d060e,0x9f4b060f,0x6d41008f,0x2fc001fd}},	//   ttsp, vocó_, ılam, _coig_, 
   {{0xdbdc003e,0x00000000,0x00000000,0x00000000}},	//   _ráðn, --, --, --, 
   {{0xdd11026e,0x2d85014b,0x799c0610,0x644102ae}},	//   _výži, ýle_, _narw, _ytli, 
   {{0x61e803a9,0x2fd20611,0xf41400c7,0x7e7d02eb}},	//   midl, _flyg_, ָפּ_, stsp, 
   {{0xef670141,0x3ec700e4,0xdb1d01e5,0x2fc003dd}},	//   _ръко, _асоб, _hosé, _goig_, 
   {{0x799c0612,0x2009011c,0x2b490613,0x5b150614}},	// [2d0] _barw, _ikai_, rbac_, умат, 
   {{0x799c0615,0x6f0d016c,0xdb1d0616,0xc27b0486}},	//   _carw, _iyac, _josé, ורמי, 
   {{0x2d910199,0x48c30086,0xd2460116,0x7bd6011c}},	//   meze_, ্প্র, _گن_, bhyu, 
   {{0x2d910617,0x66030618,0x61e80619,0x2d8302b0}},	//   leze_, wonk, hidl, lfje_, 
   {{0xd246006b,0x799c00f8,0x644100a3,0x6603061a}},	//   _دن_, _farw, _stli, tonk, 
   {{0x799c061b,0x2d91061c,0x09ad0033,0xca7a0070}},	//   _garw, neze_, _গতকা, _אנשט, 
   {{0x6603061d,0x6b9d012b,0x61e8061e,0xb4bf061f}},	//   ronk, _kasg, didl, ुने_, 
   {{0x7bcd0620,0x66030621,0x799c007c,0x2d910622}},	//   nkau, sonk, _zarw, heze_, 
   {{0x56940623,0x6603008b,0x2d910624,0x2fc003a1}},	//   _катт, ponk, keze_, _roig_, 
   {{0xe5730625,0x61e80626,0x2d910627,0x2d8302b0}},	//   _خطر_, gidl, jeze_, jfje_, 
   {{0x7bcd030f,0x80ad047c,0x6f0d0628,0x43750629}},	//   kkau, टमें, _ayac, _مهار, 
   {{0x5275062a,0xeb9f055f,0x7bcd006d,0x6f0d02b8}},	//   _буку, _skøn_, jkau, _byac, 
   {{0x6f0d0199,0xee3700fd,0x61e8062b,0x6033020f}},	//   _cyac, лня_, bidl, _mămi, 
   {{0x63bb062c,0x2d91024d,0xfce6062d,0xdb1d00b9}},	//   ljun, geze_, гого, _gosé, 
   {{0x6b9d062e,0x8fa6062f,0x6f0d0327,0x3205010e}},	//   _basg, _байе, _eyac, moly_, 
   {{0x63bb0630,0xeb970631,0x7bcd0632,0x799c0633}},	//   njun, лис_, gkau, _sarw, 
   {{0xc3320309,0x799c04c6,0x60160634,0x2d910539}},	// [2e0] מון_, _parw, cáma, beze_, 
   {{0x7bd6024d,0x4d4a0635,0xfd4a004f,0x6b9d0387}},	//   shyu, _япон_, _язок_, _easg, 
   {{0x63bb003e,0x6b9d0636,0x07a60637,0x7d7b0225}},	//   kjun, _fasg, лажн, _אריג, 
   {{0x61e8026e,0x799c0638,0x32050639,0x6b9d00f8}},	//   zidl, _warw, holy_, _gasg, 
   {{0x320500a9,0x799c01d2,0x63bb063a,0x00000000}},	//   koly_, _tarw, djun, --, 
   {{0xd49a022c,0x7dd00032,0x00000000,0x00000000}},	//   ери_, _mäso, --, --, 
   {{0x61e8063b,0x395a0626,0xd56500f0,0x487900b3}},	//   vidl, maps_, ртіп, _истя_, 
   {{0x2d91063c,0x6f090035,0x63bb063d,0x83340176}},	//   zeze_, żeci, gjun, шних, 
   {{0xd13000eb,0x46a3063e,0xdb1d04ed,0x1546063f}},	//   يمة_, _латв, _posé, _безм, 
   {{0x6f0d0610,0x2d910474,0x7a7b0147,0x00000000}},	//   _ryac, xeze_, עריס, --, 
   {{0x2d91044e,0x20090640,0x63bb0641,0x61e80642}},	//   veze_, _pkai_, bjun, ridl, 
   {{0x09c100a2,0x2d910643,0x61e80644,0x8f47012d}},	//   _शक्य, weze_, sidl, ыход, 
   {{0x61e80645,0x320505f0,0x2d910646,0x6b9d0647}},	//   pidl, boly_, teze_, _rasg, 
   {{0x7dcb0077,0x23270648,0x6aa9034c,0x6f0d0649}},	//   _küsi, _сочи_, _šefo, _vyac, 
   {{0x2d91064a,0x6b84064b,0x6b9d064c,0xd13f00ab}},	//   reze_, ffig, _pasg, łącz_, 
   {{0x672d053d,0x2d91064d,0x6280064e,0x6b84039f}},	//   žaji, seze_, otmo, gfig, 
   {{0xf96b064f,0x99550650,0x7bcd0651,0x29180652}},	// [2f0] ерей_, икац, rkau, _azra_, 
   {{0x7bcd0653,0x6b9d0654,0xdb1d009e,0x995400b3}},	//   skau, _wasg, _fosî, йкуц, 
   {{0x6b9d0014,0x4735011f,0x3e7f0216,0x3ea90098}},	//   _tasg, анес, lît_, _hrat_, 
   {{0x3ea90655,0x6b9d007a,0x6d570656,0x62800657}},	//   _krat_, _uasg, _hexa, ktmo, 
   {{0x29180658,0x248c00e2,0x6d5701ca,0x395a00f6}},	//   _ezra_, _apdm_, _kexa, baps_, 
   {{0x4ade0659,0xb5fd00bc,0xe5a5065a,0x7c2f0585}},	//   _नेटव, _ovše, рики, _hicr, 
   {{0x23d5065b,0xdb060019,0x6d57065c,0x32050180}},	//   ицир, _inká, _mexa, voly_, 
   {{0xea0100f7,0x3ea90096,0x6265065d,0x57b200f0}},	//   _đẹp_, _orat_, авиа, _мұхт, 
   {{0xd7f8065e,0xe3b6065f,0x00000000,0x00000000}},	//   _сур_, рбы_, --, --, 
   {{0x7c2f0660,0x3e7f010c,0x6ff201dd,0x98a10585}},	//   _licr, dît_, māci, lahı_, 
   {{0x7dd0022b,0xf99200a7,0x6ff200e0,0x3ea90661}},	//   _säso, חרי_, lāci, _arat_, 
   {{0xf1d90662,0x7c2f01be,0x6d570354,0x543a0070}},	//   योजन, _nicr, _aexa, _סענא, 
   {{0x6ff200e0,0x2bbf0663,0x442f01c8,0x6d5701ff}},	//   nāci, _एकजा, _iig_, _bexa, 
   {{0x3ea9016a,0x442f0664,0x10a50665,0x7c2f0534}},	//   _drat_, _hig_, _викн, _aicr, 
   {{0x3ea90666,0xa3cc0667,0x2d9e0228,0x442f0668}},	//   _erat_, _रकम_, ľte_, _kig_, 
   {{0x6ff200e0,0x2d9e063b,0x442f0669,0x0b46066a}},	//   kāci, žte_, _jig_, рнан, 
   {{0x442f066b,0x7c2f066c,0x225f016a,0x3e7f00b3}},	// [300] _mig_, _dicr, nsuk_, cît_, 
   {{0x442f066d,0xe9d7066e,0x7c2f01be,0x6ff20243}},	//   _lig_, аку_, _eicr, dāci, 
   {{0xd91000d6,0x60160183,0x6fcd0212,0x2bbf00bd}},	//   سیر_, námo, _bûch, _एकचा, 
   {{0xc60e034d,0x7afd016a,0x225f066f,0x628001ff}},	//   ित्य_, _fxst, ksuk_, ytmo, 
   {{0x7c240670,0x7ae90588,0xeb970093,0x2d85022c}},	//   mmir, _žetv, _тия_, òleg_, 
   {{0x6d5c0671,0x04660672,0x442f0673,0x7c240095}},	//   nara, атим, _aig_, lmir, 
   {{0x442f0674,0x601d026d,0x2bdd00a2,0xdb0f023e}},	//   _big_, léme, नोका, _ancè, 
   {{0x442f0675,0x938a0676,0x60160042,0x62800677}},	//   _cig_, тска_, dámo, ttmo, 
   {{0x442f0678,0x3c3c0679,0x601d067a,0x7c24067b}},	//   _dig_, _lív_, néme, imir, 
   {{0x6d5c067c,0x31c6067d,0x442f067e,0x6033020f}},	//   jara, рсив, _eig_, _lămu, 
   {{0x3958067f,0x62800680,0x442f00a7,0x60160681}},	//   _mers_, stmo, _fig_, gámo, 
   {{0x6d570682,0x41a60081,0x3ea90683,0x6fc60684}},	//   _sexa, _कोरस, _prat_, _sócr, 
   {{0xdefb0335,0x6d5c0685,0x7c240588,0x7c2f00fd}},	//   тын_, fara, dmir, _ricr, 
   {{0x6d5c0686,0x442f0687,0x7c2f02bf,0x3ea90688}},	//   gara, _zig_, _sicr, _vrat_, 
   {{0x6d570689,0x6ff2002a,0x442f068a,0x6016068b}},	//   _vexa, zāci, _yig_, cámo, 
   {{0x7c24068c,0x3ea90502,0xc1780028,0x60290083}},	//   gmir, _trat_, lgė_, _ośmi, 
   {{0x6d5c068d,0x8d87068e,0x69d5031e,0xba550038}},	// [310] bara, _кунд, _plze, صناع, 
   {{0xe29f010d,0xc178012d,0xa8a7068f,0x6ff201dd}},	//   æði_, ngė_, ирек, vāci, 
   {{0x39580690,0x00000000,0x00000000,0x00000000}},	//   _ders_, --, --, --, 
   {{0x39580691,0x22460692,0x6ff200e0,0x7c2400b3}},	//   _eers_, _otok_, tāci, cmir, 
   {{0x9f42014b,0x60160019,0x39580151,0xb6a50693}},	//   niká_, zámo, _fers_, силл, 
   {{0x442f0694,0x6ff2002a,0x39580695,0x601d0696}},	//   _sig_, rāci, _gers_, némb, 
   {{0xe3b100eb,0x22460697,0x60160042,0x442f0698}},	//   كرة_, _atok_, xámo, _pig_, 
   {{0x6d5c0699,0x442f0201,0x6016069a,0xb7bd020f}},	//   zara, _qig_, vámo, _piţu, 
   {{0x36d4004f,0xdcfe01dd,0xc6f9069b,0x64a300f0}},	//   _дотр, _papī, _снах_, сақа, 
   {{0x6d5c069c,0x7c2401dd,0xdb1d0098,0x39410549}},	//   xara, zmir, _nosí, nchs_, 
   {{0x2ed00081,0x442f069d,0x1bf90509,0x2246023e}},	//   हन्त, _tig_, ्काल_, _etok_, 
   {{0x6d5c069e,0xcdc90056,0x6016069f,0xdb0f06a0}},	//   wara, _אך_, rámo, _encé, 
   {{0x6d5c06a1,0x539a00a7,0xdb2406a2,0x1e830028}},	//   tara, _תינו, üsün, плям, 
   {{0x32b80038,0x60160042,0xddd40032,0x7dd00080}},	//   _خدمة_, pámo, ťažo, _täsm, 
   {{0xc88500ad,0xcb6a06a3,0x8c4602a0,0x7c2406a4}},	//   naşı_, лаве_, себе, tmir, 
   {{0x9f82008c,0x2b5906a5,0x7dd006a6,0xa3ca02e6}},	//   _góð_, _cesc_, _käsk, रॉप_, 
   {{0x2b40032f,0x093606a7,0x00000000,0x00000000}},	// [320] rcic_, مراج, --, --, 
   {{0x2a6006a8,0x6d5c06a9,0x601d06aa,0x2b59008a}},	//   rsib_, qara, réme, _eesc_, 
   {{0xfbd206ab,0x395806ac,0x2a6006ad,0x601d0107}},	//   _فتح_, _vers_, ssib_, séme, 
   {{0xc88504be,0x9f4b0034,0x395806ae,0xdb0f010c}},	//   daşı_, vicë_, _wers_, _incî, 
   {{0xe5c606af,0x39580241,0xada90296,0xe77500ad}},	//   йско, _ters_, _صدیق_, zıçı, 
   {{0x6b9606b0,0x00000000,0x00000000,0x00000000}},	//   leyg, --, --, --, 
   {{0x224606b1,0x7bc606b2,0xe9d706b3,0x66d1039f}},	//   _stok_, _koku, _укр_, tókö, 
   {{0x6b9606b4,0x644a0036,0x2b5900b9,0x7bc606b5}},	//   neyg, rpfi, _xesc_, _joku, 
   {{0x7ae906b6,0x7bc606b7,0x7f5d0183,0x7dcb06b8}},	//   _þett, _moku, vasq, _küst, 
   {{0x7bc606b9,0x7f440065,0x6aa900ef,0x104a06ba}},	//   _loku, _afiq, _šefk, лями_, 
   {{0x7dcb06bb,0xe45206bc,0x442400e2,0x9f4b0369}},	//   _xüsu, _رضا_, pmm_, licé_, 
   {{0x7bc606bd,0xdb1d0183,0x4e1100aa,0x942606be}},	//   _noku, _sosí, _दीजै_, _умее, 
   {{0x7f5d0068,0xdb1d06bf,0x22460495,0xe18800f0}},	//   rasq, _posí, _utok_, _көне_, 
   {{0x270700f7,0xe9df033c,0x63a206c0,0xdb110107}},	//   ống_, _atún_, _haon, _âgée, 
   {{0x7bc606c1,0x63a206c2,0x7a290009,0x7f5d0036}},	//   _boku, _kaon, _užti, pasq, 
   {{0x63a200a9,0xdb1d02be,0x1b020033,0x660a040b}},	//   _jaon, _rosâ, লেছে_, hofk, 
   {{0x63a206c3,0x200b06c4,0x39410107,0x601d033e}},	// [330] _maon, moci_, tchs_, pémb, 
   {{0x2ba904d7,0x200b06c5,0x63a206c6,0x394102eb}},	//   _चोरा, loci_, _laon, uchs_, 
   {{0xa89900f0,0x8a7701a2,0x394106c7,0x7dcb06c8}},	//   ркеу_, риҷӣ_, rchs_, _düst, 
   {{0x61c506c9,0x63a206ca,0x39410382,0xc8850213}},	//   _लक्ष, _naon, schs_, vaşı_, 
   {{0x25ed02f8,0xb5fd014b,0x4ae4012d,0x7dcb039f}},	//   _अगदी_, _avša, _еўра, _füst, 
   {{0x7bc6044d,0xdcfc01dd,0x3e5c0070,0x00000000}},	//   _zoku, cerē, נדוס, --, 
   {{0x7bc606cb,0x63a206cc,0xdb060219,0x6d4500a1}},	//   _yoku, _baon, _enkä, _mfha, 
   {{0x69c706cd,0x7dcb06ce,0x77d7007a,0x63a206cf}},	//   _hoje, _küss, _اغسط, _caon, 
   {{0x69c702f5,0x644806d0,0x200b04d1,0x85b906d1}},	//   _koje, _etdi, doci_, _клас_, 
   {{0x7dcb02ec,0x7dd0014e,0x672d02fe,0x806506d2}},	//   _müss, _väsk, žajs, овож, 
   {{0x69c706d3,0xd5b806d4,0x645e0228,0x7e64008c}},	//   _moje, _уст_, špir, _svip, 
   {{0x6d450265,0x200b03a1,0x246501dd,0xd00a06d5}},	//   _afha, goci_, mēm_, реме_, 
   {{0xa2940100,0xd9fb00a2,0x6d450387,0x246501dd}},	//   _наці, ्वात_, _bfha, lēm_, 
   {{0x7dd006d6,0x224d06d7,0x69c706d8,0xed5700d9}},	//   _käsi, mpek_, _noje, жор_, 
   {{0x7bc606d9,0x63a206da,0x7dcb06db,0x8c43005b}},	//   _poku, _yaon, _rüst, десе, 
   {{0xb06800d6,0x7dcb007e,0x200b06dc,0x3d1a00b0}},	//   _اصول_, _süst, coci_, _धरीं_, 
   {{0x7dcb00b0,0x224d0097,0xed360158,0x19c606dd}},	// [340] _püst, npek_, _мэнэ, обам, 
   {{0x7bc6044d,0x69c706de,0x3ea006df,0x7dcb01c4}},	//   _woku, _coje, _isit_, _düss, 
   {{0x69c706e0,0x5faf00a2,0x601d06e1,0x4d1506e2}},	//   _doje, _जोडल, léma, _ньют, 
   {{0x2d9806e3,0x510c0137,0x224d06e4,0x246501dd}},	//   lere_, נהאַ, kpek_, dēm_, 
   {{0xd5ba0088,0x63a206e5,0x601d06e6,0x69c701ff}},	//   иск_, _raon, néma, _foje, 
   {{0x2d9806e7,0x63a206e8,0x69c706e9,0xe4520038}},	//   nere_, _saon, _goje, وضع_, 
   {{0xb4d406ea,0x2d9806eb,0x63a20036,0x601d06ec}},	//   हने_, iere_, _paon, héma, 
   {{0x2d9806ed,0x326606ee,0x9faf031e,0x6aa90112}},	//   here_, отов, tří_, _šefi, 
   {{0x2d9806ef,0xdb1d0019,0x200b06f0,0x63a20054}},	//   kere_, _kosá, voci_, _vaon, 
   {{0x2d9806f1,0x63a206f2,0x601d0212,0x3f800009}},	//   jere_, _waon, déma, _aciu_, 
   {{0x2d9806f3,0x63a206f4,0x246501dd,0x78450028}},	//   dere_, _taon, cēm_, _tėve, 
   {{0x7a290028,0x2d98052b,0x00000000,0x00000000}},	//   _užtv, eere_, --, --, 
   {{0x2d9806f5,0x200b06f6,0x00000000,0x00000000}},	//   fere_, roci_, --, --, 
   {{0x2d9806f7,0xddcf00b3,0x61ea00b3,0x2b5f00ca}},	//   gere_, ducţ, _umfl, _žuc_, 
   {{0xfbd30084,0xa1770056,0x69c706f8,0xc05a004e}},	//   وتر_, _ועוד_, _roje, _тіл_, 
   {{0x69c70121,0xdb1d00b9,0x7dcb00c2,0x80d7017d}},	//   _soje, _posà, _püss, मनरे, 
   {{0x2d9806f9,0x69c706fa,0x3a7506fb,0x246501dd}},	// [350] bere_, _poje, ялар, zēm_, 
   {{0x2d9806fc,0x3f9906fd,0xdb1d007a,0xdb0f00b9}},	//   cere_, lesu_, _cosá, _socó, 
   {{0xe7f70081,0x69c7026e,0x764906fe,0x2d8100a1}},	//   ंचला_, _voje, _stey, _iche_, 
   {{0x320c06ff,0x69c700ab,0x4c9a042c,0x76b90700}},	//   hody_, _woje, _פברו, йлер_, 
   {{0x320c0083,0x00000000,0x00000000,0x00000000}},	//   kody_, --, --, --, 
   {{0x27ef00df,0x246500e0,0x64a50701,0x69de0702}},	//   sign_, tēm_, зака, chpe, 
   {{0x2d81025b,0xc8640703,0x7ce301ff,0x00000000}},	//   _mche_, _отти, _bеri, --, 
   {{0x3cfc0111,0x3f990704,0x2d980705,0xe3b90706}},	//   ילונ, jesu_, zere_, сби_, 
   {{0x27ed0707,0x2d98004f,0x37da0070,0x246501dd}},	//   _imen_, yere_, _פֿלע, sēm_, 
   {{0x320c0035,0x2d980708,0x6d480585,0x24650243}},	//   gody_, xere_, ıdak, pēm_, 
   {{0x2d980709,0x224d070a,0x6016070b,0x2fc901f5}},	//   vere_, spek_, lámi, _boag_, 
   {{0x2d98070c,0x2fc90068,0x601d009c,0xd8d600d1}},	//   were_, _coag_, téma, פורט_, 
   {{0x25a5070d,0x320c070e,0xc3290038,0x27ed0118}},	//   _kall_, body_, _اكشن_, _mmen_, 
   {{0x7dd002ae,0xd1bb070f,0x27ff0710,0x7bcb003e}},	//   _läsv, _خاصا_, _ljun_, ögun, 
   {{0x2d980711,0x27ed0712,0xdb1d0713,0xed5a0188}},	//   rere_, _omen_, _rosá, _қон_, 
   {{0x2d980714,0x4a460715,0x9e660716,0x2d81001d}},	//   sere_, знав, _евид, _eche_, 
   {{0x2d980717,0x6d410718,0xe9da0719,0xdb1d014b}},	// [360] pere_, ılar, бка_, _posá, 
   {{0xdb04071a,0x27ff071b,0xddcf020f,0x8af000ad}},	//   ndié, _ajun_, rucţ, vbəd, 
   {{0x6d5e00e0,0x63760585,0x6d3b00d1,0xbddb03dd}},	//   _iepa, nünü, _לתינ, rpèt, 
   {{0x7bdf071c,0xf1ba0023,0x69de021e,0x25a5071d}},	//   chqu, _nhơn_, shpe, _aall_, 
   {{0x6d5e071e,0xb4e400a5,0x27ff00a4,0x25a5071f}},	//   _kepa, _पेड़_, _djun_, _ball_, 
   {{0x6d5e0720,0x25a50721,0x7c3e0722,0x3f9901f1}},	//   _jepa, _call_, _kupr, zesu_, 
   {{0x25a5048a,0x320c037f,0x7ae400b3,0x3f990723}},	//   _dall_, vody_, lzit, yesu_, 
   {{0x6d5e0724,0x7bd60725,0x07a30726,0x320c0035}},	//   _lepa, nkyu, _пасн, wody_, 
   {{0x7ae40727,0x320c0728,0xdb040107,0x25a50729}},	//   nzit, tody_, udiè, _fall_, 
   {{0x64a6072a,0x200303ef,0x672002a8,0x6d5e06dd}},	//   _наза, čkim_, _izmj, _nepa, 
   {{0x320c072b,0x9316010e,0x9f99072c,0x63760213}},	//   rody_, _کوشش, овну_, günü, 
   {{0x2d8102eb,0x443e0212,0x320c0054,0x6720072d}},	//   _sche_, _iut_, sody_, _बराक_, 
   {{0x6d5e051e,0xe80d072e,0xb80d072f,0x7c3e026a}},	//   _bepa, िकता_, िकतम_, _aupr, 
   {{0x6d5e0730,0x443e0731,0x224b0228,0x3f9900f8}},	//   _cepa, _kut_, ícke_, sesu_, 
   {{0x7c3e002e,0x3f99033d,0x443e010e,0x9f4b02d9}},	//   _cupr, pesu_, _jut_, licí_, 
   {{0x443e0732,0x69dc0733,0xd1170070,0x6d5e0102}},	//   _mut_, _alre, _מקוה_, _eepa, 
   {{0x5a350172,0x601d0734,0x443e0735,0x6d5e0736}},	// [370] днат, lémo, _lut_, _fepa, 
   {{0x443e0052,0x6d5e0737,0x7bdf0738,0x20190739}},	//   _out_, _gepa, shqu, llsi_, 
   {{0x7c3e04c6,0x69dc01be,0x7ae402a5,0x443e073a}},	//   _gupr, _dlre, azit, _nut_, 
   {{0x60160183,0x25a5073b,0x69dc010e,0x00000000}},	//   támi, _sall_, _elre, --, 
   {{0xf770073c,0x35a500d3,0x443e073d,0xe5a5073e}},	//   طان_, далг, _aut_, дили, 
   {{0x443e0052,0x6016073f,0xf6500740,0x6d470035}},	//   _but_, rámi, ائن_, ncja, 
   {{0x25a503a1,0x27ed02a2,0x98170038,0x64a20093}},	//   _vall_, _tmen_, _فبرا, ваща, 
   {{0x7dd00741,0x443e02ba,0x601d0742,0x25a50743}},	//   _häst, _dut_, démo, _wall_, 
   {{0x91e50744,0x64490745,0xd175013e,0x443e0107}},	//   допе, _žlič, мыны, _eut_, 
   {{0x443e0746,0x5ef1031e,0xdb040380,0x7dd00747}},	//   _fut_, ँछन्_, heiß, _jäst, 
   {{0x65630748,0x7bdd0749,0x7dd0014e,0x443e074a}},	//   manh, _olsu, _mäst, _gut_, 
   {{0x7dd0074b,0x637603c0,0x5ec60086,0x27fd00f8}},	//   _läst, rünü, _লেগে, nnwn_, 
   {{0x6d5e074c,0x7c3e074d,0x63a9074e,0x2169074f}},	//   _pepa, _supr, mden, _дили_, 
   {{0x518703dc,0x7dd00750,0x63a90751,0x601d0183}},	//   _худа, _näst, lden, bémo, 
   {{0x601d0042,0x62890752,0x6b8d0753,0x443e00f6}},	//   cémo, lteo, ffag, _xut_, 
   {{0x63a90754,0x673b0755,0x7ae401f1,0x65630756}},	//   nden, _nguj, tzit, hanh, 
   {{0x7dd00750,0x6d5e0757,0x62890758,0x65630759}},	// [380] _bäst, _tepa, nteo, kanh, 
   {{0x673b04b3,0x63a900c8,0x2259014b,0x62890038}},	//   _aguj, hden, ásky_, iteo, 
   {{0x0c2600a3,0xdb0f022c,0xd910009c,0x59c4075a}},	//   _омон, _encà, ایز_, लॉगर, 
   {{0x63a9075b,0x3eb2014b,0xdb1d02ae,0x00000000}},	//   jden, _kryt_, _bosä, --, 
   {{0x443e02bf,0x7dd0014e,0xd76500d4,0x6563019c}},	//   _sut_, _fäst, رنوی, fanh, 
   {{0x7dd0075c,0x63a9075d,0x443e075e,0x6563075f}},	//   _gäst, eden, _put_, ganh, 
   {{0x7dd00760,0x7845012d,0x443e0104,0x601d0068}},	//   _häss, _tėva, _qut_, xémo, 
   {{0xd7640019,0x601d0183,0x60080761,0x63a90762}},	//   _سنئی, vémo, nımd, gden, 
   {{0x29180763,0xa80203c0,0x65630764,0x443e0765}},	//   _hyra_, ğıda, banh, _wut_, 
   {{0x7abb00a7,0x7dd00766,0x601d0767,0x63a90768}},	//   קציו, _mäss, témo, aden, 
   {{0x7dd002f2,0xc0570769,0x443e007e,0x3eb20054}},	//   _läss, мія_, _uut_, _aryt_, 
   {{0x601d076a,0x2918076b,0x7640076c,0x3eb2076d}},	//   rémo, _myra_, _kumy, _bryt_, 
   {{0x6289076e,0x4426076f,0x7dd00770,0x15f200bd}},	//   cteo, _iho_, _näss, _अगार_, 
   {{0x76400771,0xdb040502,0xdb060216,0x00000000}},	//   _mumy, weiß, _takê, --, 
   {{0x44260772,0xa0a3004e,0x9e3400b3,0x2bbb0038}},	//   _kho_, _ашыл, терч, يارة_, 
   {{0x2ba90773,0xdb0601e5,0x3eb2021e,0x00000000}},	//   _चोखा, _kakè, _fryt_, --, 
   {{0xa3d60394,0x656302dc,0x6b8d0774,0x69c50364}},	// [390] _हवन_, yanh, rfag, tjhe, 
   {{0x44260775,0x63a90776,0x49740777,0x7e7d033d}},	//   _lho_, zden, клус, musp, 
   {{0x7dd0022b,0x44260778,0x63a90779,0x6563077a}},	//   _väst, _oho_, yden, vanh, 
   {{0x65630065,0xdb0f0042,0x4426077b,0xddcd014b}},	//   wanh, _encá, _nho_, _staň, 
   {{0x200303ef,0x7c2d05a1,0x7dd0030f,0x6563075f}},	//   čkih_, mmar, _täst, tanh, 
   {{0x4426077c,0x2918022b,0x00000000,0x00000000}},	//   _aho_, _fyra_, --, --, 
   {{0x4426004c,0x6563077d,0x28680161,0xfc460228}},	//   _bho_, ranh, _орто_, žíva_, 
   {{0x4426077e,0x7c2d077f,0x7e7d0780,0x65630781}},	//   _cho_, nmar, kusp, sanh, 
   {{0x66f3075a,0x65630782,0x2a690783,0x44260784}},	//   _अधिक_, panh, nsab_, _dho_, 
   {{0x60080785,0x62890786,0x60e90787,0x44260026}},	//   zımd, rteo, змом_, _eho_, 
   {{0x62890788,0x7c2d0789,0xdb06024a,0x9f4b00f6}},	//   steo, kmar, _pakë, ficà_, 
   {{0x64410012,0x7c2d078a,0x6561017e,0x776000a4}},	//   _iuli, jmar, _helh, _xemx, 
   {{0x442d078b,0x81d5078c,0x6441078d,0x213c00e2}},	//   mme_, _подх, _huli, _fgvh_, 
   {{0x7c26078e,0x3f84003d,0x270e00e7,0xfbdf02be}},	//   _shkr, żmu_, ộng_, _alê_, 
   {{0x65610316,0xfce6078f,0xa3b40790,0x64410791}},	//   _melh, хово, _छोड_, _juli, 
   {{0x442d0792,0x64410793,0x7c2d0794,0xf0620093}},	//   nme_, _muli, gmar, _скъп, 
   {{0x291e03ef,0xe9da0795,0x160f0796,0x64410797}},	// [3a0] _šta_, пка_, िवार_, _luli, 
   {{0x442d0798,0x7c2d0799,0xdb06031e,0x3d1100a2}},	//   hme_, amar, _jaké, _दुवे_, 
   {{0x6441079a,0x442d079b,0xdb06079c,0x2ca50566}},	//   _nuli, kme_, _maké, ældt_, 
   {{0x442d079d,0x7dd0030f,0x3f82079e,0xe85300d4}},	//   jme_, _täss, ngku_, انند, 
   {{0x4426079f,0x442d07a0,0x656107a1,0x9f4b019c}},	//   _rho_, dme_, _belh, nicá_, 
   {{0x644107a2,0x442d07a3,0x442600a3,0xe4a607a4}},	//   _buli, eme_, _sho_, ерио, 
   {{0xd49707a5,0xdcfc00e0,0x442d01d2,0xdb0600d7}},	//   еры_, derī, fme_, _sakè, 
   {{0x442601c1,0x69ce02ba,0x644107a6,0xdb060300}},	//   _qho_, _hobe, _duli, _pakè, 
   {{0x6561006b,0x69ce07a7,0x644107a8,0xf5ea00b3}},	//   _felh, _kobe, _euli, _емал_, 
   {{0x44260056,0xef1f07a9,0x442d07aa,0xf1ba00e7}},	//   _who_, ngüe_, ame_, _thơm_, 
   {{0x644107ab,0x33d602fb,0x442d07ac,0x442607ad}},	//   _guli, _підт, bme_, _tho_, 
   {{0x7e7d03f0,0xa2e607ae,0x442d07af,0x04db00a7}},	//   tusp, _поед, cme_, _מקבל, 
   {{0x0cc903a2,0x644107b0,0xa3d50077,0x9f4b03a1}},	//   रह्म, _zuli, _सकत_, ricà_, 
   {{0x644107b1,0x7afb0112,0x7c2d07b2,0x2d8507b3}},	//   _yuli, _žuto, wmar, üle_, 
   {{0x7e7d07b4,0x644107b5,0xac1907b6,0x00000000}},	//   susp, _xuli, дову_, --, 
   {{0x7e7d07b7,0x9d180176,0x00000000,0x00000000}},	//   pusp, хост_, --, --, 
   {{0x69ce07b8,0x2ec2004e,0xda7807b9,0x7f490369}},	// [3b0] _bobe, _көрм, еях_, ñequ, 
   {{0x9f59007a,0x7e6d01d6,0x5b1400b3,0x00000000}},	//   insí_, _ivap, умут, --, 
   {{0xd36601e5,0x69ce07ba,0x2a69045a,0xe3c30241}},	//   _په_, _dobe, ssab_, ngıç_, 
   {{0x7e6d07bb,0x442d07bc,0x2d8300fc,0x7f4d01f2}},	//   _kvap, xme_, lgje_, _jfaq, 
   {{0xe7e207bd,0xb6a507be,0x442d07bf,0x656107c0}},	//   _खतरा_, тилл, vme_, _pelh, 
   {{0x69ce07c1,0x442d052b,0x2d8307c2,0x8882010e}},	//   _gobe, wme_, ngje_, _چیلن, 
   {{0x442d07c3,0x656107c4,0xdb0607c5,0x644107c6}},	//   tme_, _velh, _raké, _quli, 
   {{0x7bcf0012,0x644107c7,0x69ce07c8,0xdb0607c9}},	//   _jocu, _vuli, _zobe, _makî, 
   {{0x130902fb,0x9f4200e5,0x122902f1,0x656107ca}},	//   ьний_, shkë_, моий_, _telh, 
   {{0x7bcf0012,0xb63507cb,0xb14500a3,0x00000000}},	//   _locu, _شفاع, ънол, --, 
   {{0xf8e107cc,0x442d07cd,0x644107ce,0xdb1d00eb}},	//   पनिय, pme_, _uuli, _cosú, 
   {{0x13a700d4,0x2d8301d2,0x9f4b02be,0x00000000}},	//   _سنتی_, egje_, ticá_, --, 
   {{0x69c40497,0x3f8c00ab,0xdb060228,0x15e500c6}},	//   रामी, ędu_, _také, _कतार_, 
   {{0x7e6d0112,0x827600c7,0x63ab003e,0xd24e07cf}},	//   _dvap, _יענע_, _hagn, _بنو_, 
   {{0x0d220161,0x8c4603a1,0xa0a507d0,0xa3d50083}},	//   рүнү, тебе, _райд, _सका_, 
   {{0x63ab07d1,0xeb9707d2,0x2d8301c8,0xd00f0038}},	//   _jagn, кис_, agje_, _ولو_, 
   {{0x69ce07d3,0x7bcf07d4,0xe7f707d5,0x2907009e}},	// [3c0] _pobe, _docu, ूचना_, ûnan_, 
   {{0xdb0d003e,0x63ab07d6,0x69ce07d7,0x1c4607d8}},	//   rjað, _lagn, _qobe, _ином, 
   {{0x1d0a07d9,0x7bcf07da,0x69ce07db,0xa9a301ff}},	//   _цени_, _focu, _vobe, рихд, 
   {{0x69ce07dc,0x63ab07dd,0x78b500ef,0x27e00038}},	//   _wobe, _nagn, _drzv, óin_, 
   {{0x69ce07d7,0xe7f300ab,0xe73707de,0x34da00bc}},	//   _tobe, _आगरा_, вец_, बन्द, 
   {{0x557307df,0xa613012d,0x6b8407e0,0x6aa40610}},	//   агшт, аміч, lgig, mwif, 
   {{0x63ab0141,0x629906df,0xbf000035,0x046307e1}},	//   _bagn, _apwo, ैथुन_, атым, 
   {{0x63ab07e2,0x00000000,0x00000000,0x00000000}},	//   _cagn, --, --, --, 
   {{0x63ab07e3,0x6f090083,0x41e6012d,0x8c1b07e4}},	//   _dagn, żecz, віна, ווקי, 
   {{0xdb1d07e5,0x27e607e6,0xf1ba0023,0x7d090241}},	//   _posú, lhon_, _khơi_, şesi, 
   {{0x601d07e7,0xb97b00a7,0x25be07e8,0x7e6d02a3}},	//   lémi, וניי, _intl_, _svap, 
   {{0x63ab07e9,0xb4c00081,0x7ec900e5,0x27e602dc}},	//   _gagn, ुही_, _nëpë, nhon_, 
   {{0xd25000eb,0xf8bf0586,0xa19407ea,0x00000000}},	//   _انت_, _एप्प, _балч, --, 
   {{0x6aa407eb,0x63ab00f9,0x7bcf020f,0x62800243}},	//   dwif, _zagn, _socu, mumo, 
   {{0xa3d603c1,0x628007ec,0x2d8307ed,0x7bcf07ee}},	//   _हवा_, lumo, rgje_, _pocu, 
   {{0x6008027e,0x6aa4019b,0x6b8407ef,0x63a000fc}},	//   rımc, fwif, ggig, nemn, 
   {{0x27e607f0,0x62800626,0x41a90790,0x683a00d8}},	// [3d0] dhon_, numo, _कसमस, _půdn, 
   {{0x601d07f1,0x3ea907f2,0x9f40022c,0x3f8901be}},	//   démi, _isat_, _aliè_, _hcau_, 
   {{0xf1ba00f7,0x628007f3,0xf77507f4,0x7bcf020f}},	//   _chơi_, humo, гулю, _tocu, 
   {{0xf09307f5,0x63a007f6,0x628007f7,0x1a65006b}},	//   ינע_, jemn, kumo, _میری_, 
   {{0x63ab07f8,0xe94707f9,0x628000e0,0x600807fa}},	//   _ragn, _ахбо, jumo, nıma, 
   {{0x63ab07fb,0x27e607fc,0x7c3d03c6,0x628007fd}},	//   _sagn, ahon_, _hisr, dumo, 
   {{0x63ab07fe,0x20020035,0x7dcb039f,0x478b0267}},	//   _pagn, ynki_, _büsz, _осам_, 
   {{0x27e607ff,0x3f890201,0x3d3c042c,0x63a00800}},	//   chon_, _ncau_, וגוס, gemn, 
   {{0x63ab0801,0x23c507d5,0x67d40802,0x62800803}},	//   _vagn, वाबद, _тоту, gumo, 
   {{0x79850089,0x228b017b,0xa3b500f0,0x3f8900f3}},	//   nghw, røk_, _әбді, _acau_, 
   {{0x54550804,0x63ab0805,0x69c400a2,0x228b00dd}},	//   _свет, _tagn, राती, søk_, 
   {{0x7c3d007b,0x92b50198,0xdb0d00c2,0x62800806}},	//   _nisr, _محتا, ljaõ, bumo, 
   {{0xe2990807,0x3ea90808,0x62c7007a,0xfeba00d7}},	//   _чал_, _csat_, _جزاك, راحت_, 
   {{0x200200ef,0x7c3d0809,0xc33200d1,0x27e6080a}},	//   snki_, _aisr, _הוד_, zhon_, 
   {{0xfce3080b,0x1d07080c,0x3ea9080d,0xd1b80019}},	//   боро, гери_, _esat_, _جانا_, 
   {{0xfaa6080e,0x81bc01dd,0xd0120038,0x60dc00fc}},	//   лабо, smēt, _دلع_, ørme, 
   {{0xfe7200d6,0xdb0603a0,0x6b84080f,0xac070810}},	// [3e0] _ادب_, _ankò, rgig, унта_, 
   {{0x63a00811,0xf1ba0023,0x7a220032,0xd6c4009c}},	//   zemn, _phơi_, rôto, یمای, 
   {{0x81bc002a,0x27e60812,0xcb6a01fc,0x443d02a5}},	//   slēg, thon_, _пане_, _oiw_, 
   {{0x4b550093,0x443d02be,0xdb1d0237,0xd70a0080}},	//   _върт, _niw_, _onsè, ннее_, 
   {{0x6d5c0813,0xcc3b00c7,0xddc40352,0xdb0605d5}},	//   obra, _רעכט, _zviš, _enkò, 
   {{0x601d0814,0xe9df00eb,0x27e60815,0xb8660816}},	//   rémi, _dtús_, shon_, _مارو, 
   {{0xe0c70817,0xdb1d0300,0x63a00818,0x09890148}},	//   _از_, _ansè, temn, _шарқ_, 
   {{0x02a60819,0xb274081a,0xc274081b,0x6e3e081c}},	//   гром, алиш, алиј, _lipb, 
   {{0x060a081d,0x248e0626,0x3706081e,0x443d0300}},	//   _знак_, stfm_, _спаг, _diw_, 
   {{0x63a0081f,0x62800820,0xf1a60821,0xb6a400a3}},	//   semn, rumo, урин, _йиғл, 
   {{0x438600d6,0x62800822,0xb97b00c7,0x6d5c0823}},	//   _ملاق, sumo, ענטי, dbra, 
   {{0x273a0824,0x9f59024a,0x6280001d,0x752801dd}},	//   _günü_, misë_, pumo, _izdz, 
   {{0x9f59024a,0x98b8007b,0x244a0108,0x6458040b}},	//   lisë_, _ferħ_, _hùm_, lpvi, 
   {{0x2fc00825,0x6d5c0826,0x60080585,0xc3330147}},	//   _enig_, gbra, rıma, _פוס_, 
   {{0x9f5900e5,0xfaff00e5,0xa2ac0827,0xdb1d0828}},	//   nisë_, _ndër_, जिक्, _insé, 
   {{0x61fa0829,0x81bc00e0,0xdb0f0183,0x6d5c0387}},	//   litl, slēd, _incú, abra, 
   {{0x6d5c0141,0x3ea903dd,0xe51b034d,0x9f49027e}},	// [3f0] bbra, _usat_, _पुनि_, _amaç_, 
   {{0x6d5c00a1,0x61fa082a,0x9f59024a,0xdcfc01dd}},	//   cbra, nitl, kisë_, sgrā, 
   {{0xa3d50077,0xdb04001d,0x9f59024a,0xf9880038}},	//   _सकल_, rdiá, jisë_, انمي_, 
   {{0x9f590034,0x61fa082b,0x7e7d000b,0xa8020761}},	//   disë_, hitl, orsp, şına, 
   {{0xd90f082c,0x61fa082d,0xa764082e,0x224605d5}},	//   _کیا_, kitl, скід, _nuok_, 
   {{0x443d082f,0xaaa80093,0x9f590034,0xab5b0502}},	//   _siw_, _съюз_, fisë_, _unüb, 
   {{0x7aed00fd,0x244a0830,0x61fa065c,0x780501a2}},	//   lzat, _cùm_, ditl, _кӯда, 
   {{0x7bcd0831,0x2246012b,0x6d5c0832,0x244a00e7}},	//   njau, _buok_, zbra, _dùm_, 
   {{0x7aed0833,0x11e50834,0x6d5c0835,0xdb060054}},	//   nzat, ижим, ybra, _zakâ, 
   {{0x437500c5,0x84670141,0x20090836,0x61fa00a3}},	//   _چهار, _бъде, _ajai_, gitl, 
   {{0xe5c40837,0x23c50838,0x53c507d5,0x9f5900e5}},	//   _усто, वादद, वादश, cisë_, 
   {{0x22950839,0x6d5c083a,0xb4b1083b,0xdb1d0126}},	//   _видя, wbra, टटी_, _ensé, 
   {{0x6d5c083c,0x61fa083d,0x5f1900bd,0xda150110}},	//   tbra, bitl, _युद्_, तकात_, 
   {{0x20090065,0x7aed0204,0xdb0402aa,0x7bcd0028}},	//   _ejai_, dzat, ldiç, ejau, 
   {{0x6d5c083e,0x6f0d083f,0xdca60840,0x7f760841}},	//   rbra, _exac, шави, _купц, 
   {{0x35c7000f,0xdb0400ce,0xac070842,0x2fc002bf}},	//   लाड़, ndiç, анса_, _unig_, 
  
   {{0x89660843,0xbea603a1,0x9f590034,0x68e100c2}},	// [400] икаж, _тапк, zisë_, _üldj, 
   {{0x48b60093,0x692603fd,0x7d1e0844,0x27e400a1}},	//   ищет, амза, _typs, _slmn_, 
   {{0x18a60845,0xac0a0846,0x987402d9,0x320500d1}},	//   раем, _анна_, _týče_, inly_, 
   {{0x7bdf0847,0x244a0014,0x7e640610,0x61fa0848}},	//   ckqu, _rùm_, _kwip, zitl, 
   {{0xe5c60849,0x7e64018e,0xdcfe020b,0x7aed0083}},	//   иско, _jwip, _napĺ, czat, 
   {{0xd49a084a,0x5d7a0137,0x672901dd,0x9f590034}},	//   ври_, דאַק, _dzej, tisë_, 
   {{0x53e6084b,0xdb060054,0x672902a5,0x00000000}},	//   ициа, _hakà, _ezej, --, 
   {{0x9f59078e,0x7afb034c,0x6458084c,0x7a2b04a8}},	//   risë_, _žuti, rpvi, rüte, 
   {{0x9f5900e5,0x66e3084d,0x6729008a,0x61fa084e}},	//   sisë_, _дота, _gzej, titl, 
   {{0x9f59084f,0xeb0400b0,0x64580850,0x244a0108}},	//   pisë_, _रखैत_, ppvi, _tùm_, 
   {{0x7aed0851,0x9f590852,0x31670175,0x661800da}},	//   zzat, lisé_, _denz_, movk, 
   {{0x65680853,0x61fa0854,0x6618014b,0x7aed0855}},	//   _hedh, sitl, lovk, yzat, 
   {{0x61fa0856,0x64480857,0x9f590858,0x656800d4}},	//   pitl, _hudi, nisé_, _kedh, 
   {{0x64480859,0x6568023e,0x249e085a,0x7e64085b}},	//   _kudi, _jedh, _kptm_, _dwip, 
   {{0x4035085c,0x315700a7,0x6568085d,0x7b670088}},	//   _лекс, _דיון_, _medh, итае, 
   {{0x81e800cc,0x6448085e,0x2cba085f,0x7aed0860}},	//   _যদি_, _mudi, _drpd_, tzat, 
   {{0x6e95057f,0x7bcd030f,0x5e9500eb,0x15f80662}},	// [410] _الخا, rjau, _الخط, ्चार_, 
   {{0x7bcd0861,0x20190862,0xa8020384,0x64480863}},	//   sjau, losi_, şıla, _oudi, 
   {{0x6618026e,0x6d45012b,0x6008027e,0x57a700a3}},	//   dovk, _igha, kıml, ишда, 
   {{0xdce70864,0xdb06023a,0x6568052b,0xb8ff0865}},	//   najč, _fakà, _aedh, _तथ_, 
   {{0xef1f07fa,0x6568009c,0x60080248,0x79a70165}},	//   zgün_, _bedh, dıml, _крве, 
   {{0xc9840866,0x20190867,0x6568009c,0xbb3a00d1}},	//   _муси, hosi_, _cedh, _תעשי, 
   {{0x20190868,0x6d450869,0x656801e5,0x6448086a}},	//   kosi_, _mgha, _dedh, _cudi, 
   {{0xd774086b,0x316701d8,0x6448010c,0x2019086c}},	//   _واقع, _senz_, _dudi, josi_, 
   {{0x6568086d,0x2019086e,0x69d5086f,0x316c0870}},	//   _fedh, dosi_, _koze, fadz_, 
   {{0x656800c5,0x6d4502bf,0x69d50871,0x64480872}},	//   _gedh, _ngha, _joze, _fudi, 
   {{0x273300f7,0xd175005e,0x7e640873,0x201900fd}},	//   _ảnh_, _ғылы, _swip, fosi_, 
   {{0x6d450874,0xdb060875,0xfaff0876,0xef1f0384}},	//   _agha, _laká, _reën_, rgün_, 
   {{0x6d45008a,0xfaff0876,0xdb1d010e,0xfe7800d3}},	//   _bgha, _seën_, _mosó, шүп_, 
   {{0xc5f20137,0x9f590088,0x64480877,0x2be0031e}},	//   ִדן_, ensä_, _yudi, नस्थ, 
   {{0x76410878,0xdcf706d0,0xed570879,0x6448087a}},	//   _mily, _baxı, сос_, _xudi, 
   {{0x6a8600b9,0x6618026e,0x7769087b,0x2019087c}},	//   йлба, zovk, _neex, cosi_, 
   {{0x69d5087d,0x6b630161,0xef1f087e,0xdd110098}},	// [420] _boze, якта, ngül_, _výši, 
   {{0x3ea0011d,0xe9d705d9,0x9f590212,0x0d76009c}},	//   _ipit_, бку_, visé_, _دیسک_, 
   {{0x6568087f,0x442f0880,0x600807fa,0xb8650881}},	//   _redh, _ohg_, yıml, قانو, 
   {{0x6568009c,0x64480882,0x76490126,0x9f590883}},	//   _sedh, _rudi, _buey, tisé_, 
   {{0x6448034c,0xc5f8004e,0x76410884,0x6618014b}},	//   _sudi, аға_, _bily, tovk, 
   {{0x64480767,0x7c240885,0x9f59026d,0x69d500ad}},	//   _pudi, llir, risé_, _goze, 
   {{0xdcf706d0,0xd4670886,0x442f0887,0x66180888}},	//   _yaxı, бије_, _bhg_, rovk, 
   {{0xdb060076,0x656800c5,0x938a0889,0x3254088a}},	//   _zaká, _wedh, уска_, овир, 
   {{0x316c0757,0x60080384,0x2019088b,0xaac8088c}},	//   tadz_, rıml, vosi_, रमिक, 
   {{0xc05a032e,0x76410156,0x31c6088d,0x9098088e}},	//   лім_, _gily, ссив, авот_, 
   {{0x6448088f,0x20190890,0x3ea00891,0x40350892}},	//   _uudi, tosi_, _apit_, женс, 
   {{0x442f0102,0x7c29003d,0x1ac8031e,0x20190028}},	//   _ghg_, ċerk, रमाथ, uosi_, 
   {{0x2d980893,0xdefb004e,0x44240065,0x8af000ad}},	//   ffre_, уын_, mlm_, ncəd, 
   {{0x6d48003a,0xddcd00ab,0x10f90019,0xa158004f}},	//   ždan, _stał, ابیں_, _таку_, 
   {{0x69d50894,0x7c24008a,0x3ea00118,0x20190895}},	//   _roze, flir, _epit_, posi_, 
   {{0x68e1007e,0xdb0f0369,0x9b590896,0x69d50216}},	//   _üldi, _hacé, риат_, _soze, 
   {{0x69d50897,0xdd9100eb,0x4424007e,0x3a750898}},	// [430] _poze, _قوة_, ilm_, юлар, 
   {{0x44240219,0x6d450548,0x7c2401a3,0x00000000}},	//   hlm_, _ugha, alir, --, 
   {{0x7c240899,0x69d5089a,0xdb1d089b,0xdcf700ad}},	//   blir, _voze, _insí, _taxı, 
   {{0x7641089c,0x69d5089d,0x7649089e,0x76b900d3}},	//   _sily, _woze, _puey, илер_, 
   {{0x442402cd,0x9a84089f,0xdb23009c,0xdb0608a0}},	//   dlm_, _нурл, _روسی, _taká, 
   {{0x442f08a1,0x27fd0156,0x4efc0486,0x764101ff}},	//   _shg_, siwn_, נהגו, _qily, 
   {{0x644208a2,0x36230019,0x628008a3,0x00000000}},	//   _bioi, _ہورہ, ermo, --, 
   {{0x84360038,0xd79400fd,0x00000000,0x00000000}},	//   يكور_, _нисъ, --, --, 
   {{0x64420068,0xdb0f0096,0x7641040c,0x00000000}},	//   _dioi, _bacé, _tily, --, 
   {{0xe1f908a4,0x113908a5,0xfaff0876,0x56940258}},	//   рго_, ияны_, _reël_, _хафт, 
   {{0xe5c408a6,0x600a08a7,0x3ea008a8,0x628001f5}},	//   _эсто, ином_, _spit_, armo, 
   {{0xd9a608a9,0x64420093,0x7a30014e,0xdb1d001d}},	//   _ऑस्ट, _gioi, mäte, _ansí, 
   {{0xdb0f08aa,0x8db6004f,0x11d508ab,0x51f5029a}},	//   _facé, осві, _мікр, _وستر, 
   {{0xacea08ac,0x2cb800ca,0x00000000,0x00000000}},	//   амга_, tvrd_, --, --, 
   {{0x9d4308ad,0x7a3008ae,0x51840176,0x00000000}},	//   дерд, näte, _хуча, --, 
   {{0xdb0d0038,0x0c2608af,0xfaff08b0,0xec1600d7}},	//   adaí, іман, _teël_, آورد, 
   {{0x3ea008b1,0x53360137,0xeab70161,0x2d9808b2}},	// [440] _upit_, ַנען_, ойт_, pfre_, 
   {{0xa2b108b3,0xa2cc08b4,0x7a3008b5,0xa6ca08b6}},	//   _अनन्, _तपस्, käte, یوال_, 
   {{0xeb9a00d9,0x0d230161,0x7c2408b7,0x44240679}},	//   _кин_, _жүрү, plir, ylm_, 
   {{0xdb04007a,0x7a3000c8,0xc72608b8,0xb09a0070}},	//   idiú, däte, одей, ייער, 
   {{0x7bc608b9,0xdce701dd,0xc7a30165,0x00000000}},	//   _inku, majā, ќичк, --, 
   {{0x78af00c8,0xdce70243,0xfa6708ba,0x00000000}},	//   äivä, lajā, _фарк_, --, 
   {{0x37e600dd,0xa6d80033,0x00000000,0x00000000}},	//   _довг, _দেশট, --, --, 
   {{0x68e308bb,0x7dd000c8,0xdce701dd,0xdb0f0096}},	//   ønde, _väsy, najā, _sacé, 
   {{0x776208bc,0xc1a608bd,0xdb0f0574,0x6280039b}},	//   mbox, ојни, _pacé, urmo, 
   {{0x68e900bc,0x77620844,0x2be10035,0x64a608be}},	//   _ředi, lbox, _नवभा, _маза, 
   {{0x7bc608bf,0xc95300a7,0xd36f08c0,0xdce701dd}},	//   _onku, ומת_, _оч_, kajā, 
   {{0x645a08c1,0x683108c2,0x776208c3,0x6d480588}},	//   _itti, rådg, nbox, ždal, 
   {{0xf77300a7,0xf1a900d7,0x00000000,0x00000000}},	//   וקר_, _گانه_, --, --, 
   {{0x7bc608c4,0x00000000,0x00000000,0x00000000}},	//   _anku, --, --, --, 
   {{0xdb6b08c5,0xf1a901c9,0xc31c0033,0xdb0d007a}},	//   ирал_, _دانه_, দেশি_, rdaí, 
   {{0x3eb00088,0x3d1a009a,0xdce70243,0xff66009e}},	//   ältä_, _मुळे_, gajā, _çîpa_, 
   {{0x161a08c6,0x2aab021c,0xfd4708c7,0x00000000}},	// [450] धवार_, штво_, _мэнн, --, 
   {{0x645a08c8,0x7bc60298,0x19ab0165,0x39470453}},	//   _otti, _enku, јтап_, øns_, 
   {{0xa89900f0,0x6d550035,0x00000000,0x00000000}},	//   скеу_, mcza, --, --, 
   {{0x59c9031e,0x27e9010e,0x99980009,0x284800f0}},	//   राहर, óan_, _virš_, ізіп_, 
   {{0x645a08c9,0xf1bc0081,0x68e3055f,0xc21a00c9}},	//   _atti, ्ञान, øndb, नकाब_, 
   {{0x7a3001c4,0x6b8d08ca,0x00000000,0x00000000}},	//   täte, lgag, --, --, 
   {{0x69cd009a,0x7d18017b,0x00000000,0x00000000}},	//   साठी, _øvst, --, --, 
   {{0xd7f803dd,0xf77308cb,0x7a3008cc,0x59c90110}},	//   _дуу_, _زار_, räte, रावर, 
   {{0x645a08cd,0xdb0f033c,0x35f508ce,0xc7b20486}},	//   _etti, _incó, _епар, _אבן_, 
   {{0x765b08cf,0x200b0083,0x7a3008d0,0x95c808d1}},	//   _ituy, enci_, päte, _муха_, 
   {{0x6d5500ab,0xc61708d2,0x69c708d3,0x6aad08d4}},	//   dcza, दकीय_, _mnje, hwaf, 
   {{0xdb04007a,0xc48400f0,0x2477020f,0x6d550083}},	//   rdiú, _ілік, măm_, ecza, 
   {{0x63a908d5,0xa3b4007e,0x33f4070f,0x2477020f}},	//   meen, _छोट_, _تسلس, lăm_, 
   {{0xed5708d6,0x63a90326,0x6b8d02a5,0x00000000}},	//   зор_, leen, egag, --, 
   {{0x8af00095,0xdce701dd,0xdb0f0126,0xa3cf02e6}},	//   hbət, tajā, _oncó, शाप_, 
   {{0x245108d7,0x69c708d8,0x60dc08d9,0x63a908da}},	//   _mám_, _anje, ärme, neen, 
   {{0x200208db,0x765b08dc,0xca8600d9,0x225f011c}},	// [460] miki_, _ntuy, ягай, npuk_, 
   {{0x14bd08dd,0x63a900c8,0xe9d708de,0x4efb00d1}},	//   ्माण, heen, пку_, _להפו, 
   {{0x245108df,0x63a908e0,0x02a808e1,0x7a2b0380}},	//   _nám_, keen, _कन्न, mütl, 
   {{0x7bc6007c,0x63a901c8,0x3ce500fc,0x24770474}},	//   _unku, jeen, ølve_, dăm_, 
   {{0x63a908e2,0xdb060219,0x56940515,0xa3cf042b}},	//   deen, _bakå, фалт, शान_, 
   {{0xf1d0001b,0xdb0f0042,0x69c708e3,0x9f59014b}},	//   _mạch_, _encó, _gnje, visí_, 
   {{0x2451001b,0x247700d9,0x18a308e4,0x63a908e5}},	//   _cám_, găm_, _парм, feen, 
   {{0x63a908e6,0x245108e7,0xa6d30086,0x6d5500ab}},	//   geen, _dám_, _দেওয়, zcza, 
   {{0x366708e8,0x200208e9,0x6d5500ab,0xdce501dd}},	//   _нато_, diki_, ycza, _mehā, 
   {{0x68310310,0x2b46020b,0xdce70474,0x24770474}},	//   råde, ľoch_, najă, băm_, 
   {{0x200208ea,0x80df00cc,0x63a908eb,0xf1af0038}},	//   fiki_, _ফেব্, been, اءً_, 
   {{0xf1d0001b,0x27e608ec,0x64a601a2,0x6d550035}},	//   _bạch_, nkon_, _маҷа, wcza, 
   {{0xf19400c8,0xf1d00210,0x00000000,0x00000000}},	//   _жиль, _cạch_, --, --, 
   {{0xdb0f00b9,0x7a2b0241,0x752402d9,0x27e608ed}},	//   _oncò, gütl, řizu, hkon_, 
   {{0x200208ee,0x321e01a7,0x6d550035,0x24510023}},	//   biki_, moty_, rcza, _xám_, 
   {{0x69c7027c,0x1bd408ef,0xe50d017d,0x394a0502}},	//   _snje, нося, िपति_, _agbs_, 
   {{0xf1d000e7,0x2477020f,0x49d908f0,0x00000000}},	// [470] _gạch_, zăm_, одаю_, --, 
   {{0x2fc90201,0x8af00095,0x20b008f1,0xceb40486}},	//   _hnag_, vbət, _जनाध, _טיפ_, 
   {{0x63a908f2,0x67d508f3,0x765b039b,0x2fc90175}},	//   yeen, можу, _stuy, _knag_, 
   {{0xdb0f08f4,0x321e08f5,0x2a60006d,0x27e608f6}},	//   _hací, hoty_, bpib_, gkon_, 
   {{0x2451026e,0x321e08f7,0x63a908e6,0x9f4b0369}},	//   _sám_, koty_, veen, licó_, 
   {{0x200208f8,0x27e608f9,0x247700b3,0x69c70372}},	//   ziki_, akon_, tăm_, _unje, 
   {{0x588408fa,0x63a908fb,0xdb0f001d,0x9f4b0369}},	//   _пыта, teen, _mací, nicó_, 
   {{0x245108fc,0x7a3008fd,0x247700b3,0xf8b200d1}},	//   _vám_, mäta, răm_, _בשל_, 
   {{0x63a901a6,0x765b0199,0x27ed0096,0x2477020f}},	//   reen, _utuy, _ilen_, săm_, 
   {{0x1306030f,0x81bc00e0,0x2451001b,0x63a908fe}},	//   ьный_, blēm, _tám_, seen, 
   {{0x200208ff,0x66030900,0xf1d0001b,0xdb060218}},	//   tiki_, mink, _sạch_, _bakû, 
   {{0x9f4b05b9,0x2fc90901,0x351a0070,0x00000000}},	//   dicó_, _cnag_, _ווענ, --, 
   {{0x20020902,0x62890903,0xddcd08b1,0x8af006d0}},	//   riki_, queo, _svaš, hbər, 
   {{0x66030904,0xc33200a7,0x9f4b05b9,0xdca60307}},	//   nink, _סוג_, ficó_, маги, 
   {{0x27ed0905,0x80160906,0x81bc00e0,0x20020907}},	//   _olen_, _офиц, klēj, piki_, 
   {{0x2d840908,0x66030909,0xbf9b019c,0x22470844}},	//   şme_, hink, liên, _hink_, 
   {{0x6603090a,0xdb0f0496,0x78a9090b,0x2247090c}},	// [480] kink, _fací, _ćeva, _kink_, 
   {{0xceb40264,0x6603090d,0x27ed0588,0x6286090e}},	//   _isə_, jink, _alen_, škog, 
   {{0x6603090f,0x2fc90910,0xe4f4031e,0x27e60911}},	//   dink, _ynag_, ेपछि_, tkon_, 
   {{0xbf9b0023,0xfbdf0023,0x9f4b02a3,0x69d90216}},	//   hiên, _hiên_, licò_, êwer, 
   {{0x27e60912,0x22470913,0xfbdf00e7,0xdb1d055f}},	//   rkon_, _oink_, _kiên_, _ansæ, 
   {{0x27e60914,0x27ed0915,0x27ff0916,0x22470175}},	//   skon_, _elen_, _emun_, _nink_, 
   {{0xdcfe01f0,0xbf9b02a0,0x69dc01a7,0x27ed0917}},	//   _kapı, diên, _iore, _flen_, 
   {{0x69dc0918,0xfbdf00f7,0x21e90126,0x2247002c}},	//   _hore, _liên_, _búho_, _aink_, 
   {{0x51860919,0x12be0033,0x232702a6,0x7ae4091a}},	//   муна, েন্দ, моћи_, nyit, 
   {{0xfbdf001b,0x6603091b,0x958300b3,0x70c9017d}},	//   _niên_, cink, _алфе, िमूल, 
   {{0x69dc091c,0x22470691,0x27ed00c8,0x9f4b02a3}},	//   _more, _dink_, _ylen_, dicò_, 
   {{0xd011091d,0x321e091e,0xdce70083,0x926a0165}},	//   الح_, soty_, nają, _дрка_, 
   {{0xe81f000c,0x3f85091f,0x22470920,0xfbdf001b}},	//   यकता_, ğlu_, _fink_, _biên_, 
   {{0xbf9b02a0,0x69dc00fc,0x9f4b0369,0x06e10086}},	//   ciên, _nore, ticó_, _মেডি, 
   {{0x62860921,0xdb0f08f4,0x76480922,0xdce70035}},	//   škod, _vací, _midy, kają, 
   {{0xdb0d02a0,0x69dc0054,0x683102ae,0x1bb80038}},	//   ndaç, _aore, kåda, واقع_, 
   {{0x66030923,0x63a20924,0x5a350925,0xdce700ab}},	// [490] yink, _mbon, енат, dają, 
   {{0x69dc0926,0xddc40704,0x7e6d0927,0x27ff011c}},	//   _core, _zviž, _iwap, _smun_, 
   {{0x66030928,0x69dc0929,0x27ed06df,0x3d10009a}},	//   vink, _dore, _plen_, णपणे_, 
   {{0xdd0d00ab,0x6603092a,0x7e6d092b,0xdce70035}},	//   półp, wink, _kwap, gają, 
   {{0x69dc092c,0x660300e4,0x3669092d,0xf7700625}},	//   _fore, tink, чало_, شان_, 
   {{0x69dc092e,0x7e6d092f,0xfbdf0108,0x04b500fd}},	//   _gore, _mwap, _xiên_, есия, 
   {{0xdcfe0792,0xa3e3007e,0x66030930,0x76480931}},	//   _yapı, _नकद_, rink, _didy, 
   {{0x66030932,0x69dc0933,0xdb060228,0x7e6d045a}},	//   sink, _zore, _rakú, _owap, 
   {{0x69c4034d,0x3d0604d7,0xc2450934,0x7bdd0935}},	//   राची, _हेने_, нник, _mosu, 
   {{0xdb1d014e,0x69dc0287,0x7bdd0936,0x70e701a2}},	//   _insä, _xore, _losu, дгоҳ_, 
   {{0xbf9b03b7,0x672902a2,0x7e6d0937,0x2000016a}},	//   riên, _hyej, _awap, _pmii_, 
   {{0x6e250938,0x7bdd0939,0x60dc0219,0x34bd093a}},	//   _akhb, _nosu, ärma, ्मीद, 
   {{0x63bb093b,0x6264004f,0xbf9b02be,0x63b9017c}},	//   mdun, _авіа, piên, _iawn, 
   {{0x63bb093c,0xf1d0001b,0x4095093d,0x63b9003d}},	//   ldun, _hạnh_, _зрит, _hawn, 
   {{0xdca3093e,0xfbdf00f7,0x3205093f,0x7bdd0940}},	//   лари, _viên_, mily_, _bosu, 
   {{0x63bb0757,0xc4d20137,0x7bdd00d9,0x6724003d}},	//   ndun, נגן_, _cosu, żiji, 
   {{0x69dc00f1,0x629b08fa,0xfbdf0029,0xf1d00029}},	// [4a0] _pore, ntuo, _tiên_, _mạnh_, 
   {{0xf1d00029,0x81e10086,0x0d220161,0xdce70035}},	//   _lạnh_, নোর_, _бүгү, wają, 
   {{0x69dc0941,0xdcfe0785,0xdce70035,0xdb1d0380}},	//   _vore, _tapı, tają, _ansä, 
   {{0x7648012b,0x629b0009,0x6729052b,0xe73a0942}},	//   _sidy, ktuo, _byej, пее_, 
   {{0x69dc0943,0x63bb0944,0xdce70035,0x7c2600c3}},	//   _tore, ddun, rają, _ikkr, 
   {{0xb90600cc,0x629b012b,0x7bdd0945,0x68310946}},	//   _বই_, dtuo, _zosu, råda, 
   {{0x7bdd0947,0x06d80086,0x76480948,0x68e100b0}},	//   _yosu, _দেখি, _vidy, _üldp, 
   {{0xf1d0001b,0x76480949,0x3266094a,0x63bb0008}},	//   _cạnh_, _widy, нтов, gdun, 
   {{0x63b9094b,0x3205014b,0x7648094c,0x629b02dc}},	//   _dawn, fily_, _tidy, gtuo, 
   {{0xa2b1094d,0x75280035,0x26c401d6,0x51f70080}},	//   _अनर्, _tydz, _irmo_, енью_, 
   {{0x681500ab,0xdb1d0219,0x63b9094e,0xdb0f007a}},	//   ląda, _inså, _fawn, _macá, 
   {{0x63a2094f,0x20d50028,0x26c40144,0x22990950}},	//   _ubon, džią_, _krmo_, bèk_, 
   {{0x91e60951,0x2d850952,0x32050953,0x629b0954}},	//   _поде, óleo_, bily_, ctuo, 
   {{0x92f203c0,0x7bdd0955,0x00000000,0x00000000}},	//   ığım, _sosu, --, --, 
   {{0xe57100c7,0x63b90956,0x23c4017d,0x44260957}},	//   יַן_, _yawn, _वफाद, _kko_, 
   {{0xb5fd0226,0x44260604,0x7e6d0958,0x00000000}},	//   _itše, _jko_, _twap, --, 
   {{0xbbe10586,0x7e6d0959,0x4426095a,0xafdb02c9}},	// [4b0] _नवीक, _uwap, _mko_, rmød, 
   {{0x99990009,0x3ea9011c,0xafdb02c9,0x7bdd0532}},	//   _rusų_, _ipat_, smød, _wosu, 
   {{0x442602f5,0xa775095b,0x78ba0187,0x7bdd095c}},	//   _oko_, влеч, _štvr, _tosu, 
   {{0x4426095d,0xdb1d0219,0x6b670107,0xfbdf0023}},	//   _nko_, _anså, _dégâ, _kiêm_, 
   {{0x7c2d095e,0x212b00e7,0x69c1095f,0x8af000ad}},	//   mlar, ́ch_, _óleo, ncəl, 
   {{0x44260960,0x7c2d0961,0xeb9f02fb,0xe5a50962}},	//   _ako_, llar, _gjør_, тики, 
   {{0x32050963,0x34bd0964,0x97a70965,0xfbdf0023}},	//   vily_, ्मेद, _прал, _liêm_, 
   {{0x7c2d0966,0x3ea9005f,0x629b0967,0xd6d80086}},	//   nlar, _opat_, ttuo, _দেওয, 
   {{0x63bb0968,0x7c2d01f1,0x44260969,0x60dc0219}},	//   rdun, ilar, _dko_, ärmn, 
   {{0x3d1a006a,0x4426096a,0x7c2d096b,0x229200c5}},	//   _मुझे_, _eko_, hlar, گلیس, 
   {{0x7c2d096c,0x3205096d,0x629b096e,0x23e700dd}},	//   klar, rily_, stuo, _підв, 
   {{0x7c2d096f,0xdee602f1,0x32050970,0x442600b4}},	//   jlar, воми, sily_, _gko_, 
   {{0x443f0971,0x7c2d0972,0x442d0973,0x644b0102}},	//   mmu_, dlar, mle_, _iigi, 
   {{0x644b0974,0x3ea90975,0x7c2d0976,0x600b00c8}},	//   _higi, _dpat_, elar, tömä, 
   {{0x442d0977,0xed570978,0x7c2d0979,0x644b097a}},	//   ole_, тос_, flar, _kigi, 
   {{0x2d81097b,0x7c2d097c,0x443f097d,0xb7bc00cc}},	//   _edhe_, glar, nmu_, _অক্ট, 
   {{0x442d006c,0x443f097e,0xdb0f00eb,0x8c43097f}},	// [4c0] ile_, imu_, _pacá, рете, 
   {{0x644b0980,0x442d0981,0x443f0982,0x7c2d0983}},	//   _ligi, hle_, hmu_, alar, 
   {{0x7c2d0984,0x443f0985,0x442d0986,0x81c30033}},	//   blar, kmu_, kle_, _একা_, 
   {{0x443f024c,0x442d0987,0x18670988,0x644b0989}},	//   jmu_, jle_, таци_, _nigi, 
   {{0x442d000d,0x443f098a,0x96960141,0x6d5c098b}},	//   dle_, dmu_, треш, ocra, 
   {{0x442600c1,0x7c240742,0x443f098c,0x6289098d}},	//   _sko_, loir, emu_, dreo, 
   {{0x644b098e,0x69ce098f,0xeb9f00dd,0x44260990}},	//   _bigi, _inbe, _kjøp_, _pko_, 
   {{0x68e30991,0x644b0992,0xe4e300dd,0x53340993}},	//   ände, _cigi, рішн, лейт, 
   {{0x644b0994,0xf7430995,0xb27300d3,0x44260996}},	//   _digi, _вето, алыш, _vko_, 
   {{0x442d0997,0x7c2d0998,0x644b0999,0xdb0403da}},	//   ale_, zlar, _eigi, ndiñ, 
   {{0x442d099a,0x4426099b,0x7c2d099c,0xf99300a7}},	//   ble_, _tko_, ylar, ברת_, 
   {{0x4426099d,0x442d099e,0x644b099f,0x628909a0}},	//   _uko_, cle_, _gigi, breo, 
   {{0x7c2409a1,0x69ce09a2,0x7c2d09a3,0x68380183}},	//   doir, _onbe, vlar, cíde, 
   {{0x82770137,0x644b09a4,0xfbdf001b,0x2458001b}},	//   _יעדע_, _zigi, _viêm_, _kém_, 
   {{0x7c2d09a5,0x2bc40827,0x2d5809a6,0x644b09a7}},	//   tlar, _लोहा, тись_, _yigi, 
   {{0x69ce09a8,0x0a6b0843,0xfbdf00e7,0x6c6a0019}},	//   _anbe, држи_, _tiêm_, علقہ_, 
   {{0x7c2d09a9,0x3b5409aa,0x644000c8,0x3ea902dc}},	// [4d0] rlar, ркур, immi, _upat_, 
   {{0x7c2d0848,0x442409ab,0x442d09ac,0x7e7d09ad}},	//   slar, hom_, zle_, mssp, 
   {{0x442d09ae,0x7c2d096f,0x7c2409af,0x443f09b0}},	//   yle_, plar, boir, ymu_, 
   {{0x7c2d09b1,0x442409b2,0xb8db09b3,0xe679005e}},	//   qlar, jom_, _अन_, ейді_, 
   {{0x442d0343,0xc1780009,0x6d4800ca,0x644b09b4}},	//   vle_, nkės_, ždat, _rigi, 
   {{0x683809b5,0xdb0600bc,0x69d80019,0x1a6800d4}},	//   víde, _jaký, övet, _شیمی_, 
   {{0x442d09b6,0x443f09b7,0x18b80088,0x58d409b8}},	//   tle_, tmu_, _игры_, _корт, 
   {{0x442402f5,0x442d09b9,0x628909ba,0x443f09bb}},	//   gom_, ule_, treo, umu_, 
   {{0x442d09bc,0x644b09bd,0x11d900eb,0xd175001c}},	//   rle_, _vigi, فوظة_, лыны, 
   {{0x442d09be,0x443f09bf,0xe0d90665,0x628909c0}},	//   sle_, smu_, ево_, rreo, 
   {{0x442d09c1,0x443f09c2,0x644b09c3,0x33950019}},	//   ple_, pmu_, _tigi, _ملاز, 
   {{0x442409c4,0x644b09c5,0x683809c6,0x442d09c7}},	//   com_, _uigi, píde, qle_, 
   {{0x21a502f1,0x7c24026a,0x7e7d09c8,0x3f9e0035}},	//   _билм, voir, gssp, ętu_, 
   {{0x7bcf09c9,0x645c02aa,0xdb0409ca,0x86350070}},	//   _ancu, _éric, leiç, טאָג_, 
   {{0x7c24026d,0x0c79058b,0x201909cb,0x6d5c09cc}},	//   toir, ксты_, éric_, rcra, 
   {{0x6d5c09cd,0xf09200d1,0x00000000,0x00000000}},	//   scra, _הנה_, --, --, 
   {{0x7c2409ce,0x00000000,0x00000000,0x00000000}},	// [4e0] roir, --, --, --, 
   {{0x7bcf09cf,0x7c2409d0,0x7a2b00c2,0x00000000}},	//   _encu, soir, kütu, --, 
   {{0xfaa302b9,0x2fd700c5,0xdb0409d1,0x7c2409d2}},	//   _қаро, _شوید_, rdiñ, poir, 
   {{0x78800076,0x27e0010d,0x61e009d3,0x442409d4}},	//   _návš, ðin_, _पक्ष, xom_, 
   {{0x4a7509d5,0x442409d6,0x2bd109d7,0xfbd109d8}},	//   _выст, vom_, हारा, हारम, 
   {{0x69ce02f2,0x442402dc,0x7e64019b,0x490409d9}},	//   _unbe, wom_, _mtip, _күзг, 
   {{0xdb040165,0xa3cf0299,0xb4ce00bd,0x344a00b9}},	//   feiç, शां_, शमे_, нчин_, 
   {{0xd90d00c5,0x644000ef,0x3a2a06d7,0x7e6409da}},	//   _تیم_, ummi, _hkbp_, _otip, 
   {{0x81bc002a,0x644009db,0x659609dc,0x00000000}},	//   klēt, rmmi, _مجار, --, 
   {{0x442409dd,0x506600b9,0x683800bc,0x245809de}},	//   som_, лтма, bídc, _tém_, 
   {{0x442409df,0xf99300a7,0xddcd09e0,0x30a30093}},	//   pom_, זרת_, _ataş, бряв, 
   {{0xde59012d,0x7e7d09e1,0x1e1d09e2,0x442401ff}},	//   камі_, tssp, पक्ष_, qom_, 
   {{0xbb1b0474,0x81e30033,0x00000000,0x00000000}},	//   _adîn, _নগর_, --, --, 
   {{0xdb070019,0x7e7d098d,0xdb06010e,0x52830038}},	//   ámít, rssp, _lakó, _الوك, 
   {{0x403509e3,0x9f520118,0x709409e4,0x00000000}},	//   _кекс, _olyè_, _тайф, --, 
   {{0xf1d209e5,0x3a2a02a2,0x7a300228,0x7a2b0380}},	//   तावन, _akbp_, bätk, hütt, 
   {{0x200b09e6,0x497509e7,0xdb060228,0x397500a3}},	// [4f0] mici_, илас, _taký, илаё, 
   {{0xdd9109e8,0xd91b09e9,0x2c510083,0x00000000}},	//   _بود_, нье_, _sądu_, --, 
   {{0x87e70995,0xd7e703bd,0x00000000,0x00000000}},	//   люде, лідо, --, --, 
   {{0x200b090b,0xff5f010c,0x7bcf09ea,0x69d809eb}},	//   nici_, ncî_, _uncu, över, 
   {{0x7c3a0107,0xb5fd0009,0xdb1d0034,0x6fa709ec}},	//   ître, _atša, _masë, ट्यू, 
   {{0x487709ed,0xdb0e008c,0x7bd70009,0x200b09ee}},	//   _مدرس, _þjál, šbuč, hici_, 
   {{0xdb1d055f,0x200b027e,0x25b60038,0x00000000}},	//   _ansø, kici_, شهيد_, --, 
   {{0x73e5093d,0xd6d8004e,0x69c909ef,0x28e200c2}},	//   роиз, _өту_, _होती, पहरि, 
   {{0x200b09f0,0x221509f1,0x45d500bf,0x628609f2}},	//   dici_, ифор, _коас, škon, 
   {{0x9f5902a3,0x7a3000c8,0x02050176,0xdb060118}},	//   misù_, vätk, рзон, _kakò, 
   {{0x200b09f3,0xa0a509f4,0x7e6409f5,0x3f6a09f6}},	//   fici_, шанд, _stip, кино_, 
   {{0x76430110,0x200b09f7,0xf3f10108,0x2cba0175}},	//   lmny, gici_, _dục_, _rspd_, 
   {{0x32630019,0x32670207,0xdb060300,0xd343009c}},	//   _انتہ, _стев, _lakò, _افشی, 
   {{0x61450623,0x7e64026e,0x3f8c00ad,0x00000000}},	//   _кела, _vtip, şdu_, --, 
   {{0x443d006f,0x7643016a,0x61e309f8,0x1d0709f9}},	//   _khw_, imny, _ionl, аери_, 
   {{0x200b05ae,0x61e30019,0xab6609fa,0x78450028}},	//   cici_, _honl, рвал, _tėvy, 
   {{0x395600ce,0x7a2b0019,0xda650038,0x1a0609fb}},	// [500] ањет, yütt, مالي, апам, 
   {{0xada602f1,0x2fc000f6,0xdb060118,0xdb1d09fc}},	//   _таол, _haig_, _bakò, _masè, 
   {{0x61e300b9,0xd82609fd,0xdb1d0237,0x443d039b}},	//   _monl, аджи, _lasè, _ohw_, 
   {{0xb8ce05fd,0x443d02bf,0xb8fe0790,0x2d9806df}},	//   _कह_, _nhw_, _तप_, lgre_, 
   {{0x2fc00161,0xddd6026e,0x660a02f6,0xb866010e}},	//   _maig_, _zvyš, tifk, _چارو, 
   {{0x2d9809fe,0x200b031e,0x2fc009ff,0x645e0165}},	//   ngre_, zici_, _laig_, ípio, 
   {{0x443d02cd,0x200b0384,0x9f4200c8,0x3ea0008a}},	//   _bhw_, yici_, lkkä_, _lqit_, 
   {{0x25a90112,0xe8d700a7,0x76430a00,0xdb1d0542}},	//   đala_, _דולר_, amny, _basè, 
   {{0x61e30a01,0x78af090e,0x9f4902b7,0x68380183}},	//   _bonl, čivš, _ilaç_, cída, 
   {{0xc05a0a02,0x61e30a03,0x00000000,0x00000000}},	//   кім_, _conl, --, --, 
   {{0x61e30a04,0x3a3700a7,0x39570486,0x2fc002a5}},	//   _donl, שרים_, ישים_, _baig_, 
   {{0x2fc0006d,0xdb1d0118,0xf42700b3,0x00000000}},	//   _caig_, _fasè, _кохл_, --, 
   {{0x200b0a05,0x2fc00a06,0x00000000,0x00000000}},	//   rici_, _daig_, --, --, 
   {{0x62820a07,0x62800844,0x9f490a08,0x2d850212}},	//   _ivoo, msmo, _llaç_, ûle_, 
   {{0x52b60a09,0x02b60827,0x6e270a0a,0x200b0a0b}},	//   _अनुस, _अनुन, rojb, pici_, 
   {{0x3b550a0c,0xd0f700d1,0x2fc000b9,0x61e30a0d}},	//   скар, _כמות_, _gaig_, _zonl, 
   {{0xa3a80a0e,0xdb1d0a0f,0xab390a10,0x61fa01a4}},	// [510] ख्य_, _kasé, упау_, ohtl, 
   {{0xf9930625,0x6838031e,0x98c70a11,0x320c023a}},	//   تبر_, vída, исел, nidy_, 
   {{0xdb1d0a12,0x2fc00201,0xb9c40038,0x00000000}},	//   _masé, _yaig_, تقلي, --, 
   {{0x3f990a13,0x62800a14,0x38c800f6,0x320c01a7}},	//   ngsu_, ksmo, шуун_, hidy_, 
   {{0x6fd800a2,0x443d0226,0x27e4020f,0x320c01a7}},	//   यातू, _rhw_, _domn_, kidy_, 
   {{0x76430870,0xe29901a2,0xdb1d0096,0x96210299}},	//   umny, ҳаи_, _nasé, यवेट_, 
   {{0xfc3f0029,0x7aed0a15,0x764302a2,0x320c0180}},	//   _khí_, lyat, rmny, didy_, 
   {{0x24890a16,0xe3b90a17,0x81c30086,0x61e30a18}},	//   čam_, уби_, _একই_, _sonl, 
   {{0xfc3f00eb,0x320c00a9,0x62800a19,0xf1d200a2}},	//   _mhí_, fidy_, gsmo, तांन, 
   {{0x673b0a1a,0x7a300a1b,0x20090a1c,0x61fa00d1}},	//   _izuj, täti, _amai_, ghtl, 
   {{0x7aed016a,0xdb1d0175,0x62800326,0x61e30a1d}},	//   hyat, _dasé, asmo, _vonl, 
   {{0xfc3f00e7,0xfbdf0023,0x7a300a1e,0xafdb0a1f}},	//   _nhí_, _kiêu_, räti, smøn, 
   {{0x2fc000d3,0x7a300088,0x320c0180,0x0cd00a20}},	//   _vaig_, säti, bidy_, हम्म, 
   {{0x61fa0a21,0xfc3f0a22,0x7aed0a23,0xdb0f0068}},	//   chtl, _ahí_, dyat, _facú, 
   {{0x4095057f,0xfc3f057f,0x2fc00201,0xfbdf0023}},	//   _العر, _bhí_, _taig_, _liêu_, 
   {{0x3ce5022b,0xfc3f0029,0x7ff60a24,0x798703a0}},	//   älva_, _chí_, _دستا, _adjw, 
   {{0x68e30a25,0xbb430a26,0x44c70108,0x7aed039f}},	// [520] ändn, зетк, _lđ_, gyat, 
   {{0xc3320056,0x200e00ab,0x27e400b3,0xddcd014b}},	//   לון_, ślić_, _somn_, _zvaž, 
   {{0xe93a0843,0x224b0228,0x6cc601ff,0x44c70023}},	//   учај_, ícky_, _уйна, _nđ_, 
   {{0xd49a0a27,0x62800a28,0x8b96004f,0x60dc02ae}},	//   ҳри_, ysmo, _уроч, ärmi, 
   {{0x661a016a,0x673b0035,0x7aed007c,0x683800bc}},	//   _pjtk, _czuj, cyat, bídn, 
   {{0x99d6024f,0xd49a0a29,0x600f05d5,0xdb1d010c}},	//   _اتحا, гри_, _kòmè, _kasî, 
   {{0x320c0180,0x7589004f,0x44c700e7,0xdb1d0212}},	//   vidy_, рсів_, _cđ_, _rasé, 
   {{0x7bc40a2a,0xc7a30a2b,0x62800a2c,0x628606a3}},	//   ndiu, _ниск, tsmo, škom, 
   {{0x6aa40a2d,0x200900e2,0x6d43014b,0xdb1d0a2e}},	//   ntif, _rmai_, _únav, _pasé, 
   {{0x60ca02a2,0x62800a2f,0x20090065,0xaac900bc}},	//   _prfm, rsmo, _smai_, रितक, 
   {{0xdb1d009e,0x201902a0,0x320c0a30,0x44c70108}},	//   _nasî, ério_, ridy_, _gđ_, 
   {{0x6aa404bb,0x7aed06d0,0xf53700a7,0xdb0f0042}},	//   ktif, yyat, _פנאי_, _vacú, 
   {{0x657a009c,0x733600d4,0xdef80a31,0x645a0a32}},	//   _keth, _ارائ, быр_, _huti, 
   {{0x329b0a33,0xe7cf0a34,0x7aed0a35,0xacf90a36}},	//   _עבוד, _सोनप, vyat, ангу_, 
   {{0xf1a900c5,0xfc3f0029,0xfbab09d9,0x657a0a37}},	//   _خانه_, _phí_, лтай_, _meth, 
   {{0x645a0a38,0x657a0a39,0x317e01c4,0xdb16078a}},	//   _muti, _leth, latz_, meyê, 
   {{0x645a0a3a,0x1a5b00eb,0xdb16010c,0x7aed0532}},	// [530] _luti, اشرة_, leyê, uyat, 
   {{0x645a026d,0xa3a80586,0x9f4b02d9,0x600f05d5}},	//   _outi, ख्त_, nkcí_, _fòmè, 
   {{0xe8e00124,0x2bc40a3b,0xfbdf0023,0x317800ab}},	//   ười_, _लोका, _siêu_, órzy_, 
   {{0x317e0a3c,0x657a017c,0x47350a3d,0x00000000}},	//   hatz_, _aeth, онес, --, 
   {{0x657a0a3e,0x6aa40a3f,0xe70b00d4,0x3f890548}},	//   _beth, ctif, دتان_, _mdau_, 
   {{0x645a0a40,0x25a90112,0x63ab0065,0x657a009c}},	//   _buti, đalo_, _sbgn, _ceth, 
   {{0x69d50a41,0x645a0a42,0xe7870a43,0x8ccc0a44}},	//   _inze, _cuti, _гузо, हियो, 
   {{0xfbdf0029,0xdb16010c,0x657a01d2,0x61f801d2}},	//   _tiêu_, deyê, _eeth, _alvl, 
   {{0xe1f90a45,0x6fdd00a2,0x657a0a46,0xdb1d0a47}},	//   иги_, यानं, _feth, _insó, 
   {{0x69c50a48,0x26cd0a49,0x657a0a4a,0x645a0a4b}},	//   ndhe, _ireo_, _geth, _futi, 
   {{0xf9920a33,0x69c5004c,0x645a0a4c,0x7a300088}},	//   ורי_, idhe, _guti, mätt, 
   {{0x7a300a4d,0x26cd0a4e,0x777b026a,0x81bc00e0}},	//   lätt, _kreo_, _jeux, slēp, 
   {{0x3f890156,0x69d50a4f,0x645a087d,0x2bc4034d}},	//   _ddau_, _onze, _zuti, _लोगा, 
   {{0x2019046e,0x317e018e,0xdb160216,0xdb1d0216}},	//   ansi_, catz_, beyê, _pasî, 
   {{0x69c503c6,0x68e30380,0xb147009c,0x27150a50}},	//   ddhe, ändl, _دیدم_, तपुर_, 
   {{0x69d50a51,0x7a300a52,0x6aa40a53,0x63a90a54}},	//   _anze, hätt, ttif, nfen, 
   {{0xb4b60351,0xfaa30a55,0x7bc40a56,0x6aa40a57}},	// [540] _छन्_, мато, rdiu, utif, 
   {{0x69c50a58,0xe9d70a59,0x8eb30019,0x99630098}},	//   gdhe, оку_, _کمیش, _píšu_, 
   {{0x02b60239,0xd9100a5a,0x657a0a5b,0x26cd0054}},	//   _अन्न, ریر_, _reth, _areo_, 
   {{0x657a0a5c,0x26cd0183,0x5fdd00a2,0x69c50a5d}},	//   _seth, _breo_, यायल, adhe, 
   {{0xaa46032e,0x26cd0a5e,0x645a0a5f,0x777b026a}},	//   _мемл, _creo_, _suti, _deux, 
   {{0x7c36003e,0x63a90a60,0x26cd0379,0xdb1d023a}},	//   llyr, efen, _dreo_, _masì, 
   {{0x63a90a61,0x5fca09e5,0x26cd0054,0x645a01ff}},	//   ffen, ियाल, _ereo_, _quti, 
   {{0x657a01c8,0x26cd0068,0x442f0065,0x63a90156}},	//   _weth, _freo_, _ckg_, gfen, 
   {{0xdb16009e,0x26cd012b,0x442f0a62,0x7a300844}},	//   weyê, _greo_, _dkg_, bätt, 
   {{0x914a0a63,0x645a0a64,0xdb16010c,0x15460a65}},	//   ична_, _tuti, teyê, _дезм, 
   {{0x645a030f,0x425400d4,0x96c207d5,0x53a60a66}},	//   _uuti, _کنتر, लिकॉ, _мажб, 
   {{0x317e01c4,0xdb160218,0x765b02a5,0x00000000}},	//   satz_, reyê, _yuuy, --, 
   {{0x41e6012d,0x238c0028,0x531600d7,0x386a0354}},	//   _міка, gėjų_, _بذار, _ltbr_, 
   {{0x81f80a67,0xc6930225,0x3f8401d5,0x00000000}},	//   _دفتر_, ואש_, ómur_, --, 
   {{0x271c0029,0x71260038,0x1bd500fd,0x00000000}},	//   ỉnh_, _برشل, повя, --, 
   {{0x602402a6,0xdfd10038,0x929d0083,0x00000000}},	//   _одја, _أية_, szłe, --, 
   {{0x34b70a68,0x64420a69,0xdb1d0237,0x8af000ad}},	// [550] _आन्द, _mhoi, _ansò, dcəs, 
   {{0x78a5010d,0x69c501d2,0x59d20501,0x00000000}},	//   tthv, udhe, सागर, --, 
   {{0x26cd090b,0x69c50a6a,0x62860098,0xd7590a6b}},	//   _sreo_, rdhe, škoh, ملات_, 
   {{0x76410a6c,0x69c50034,0x78a50a6d,0x00000000}},	//   _shly, sdhe, rthv, --, 
   {{0x2bc40081,0x7c2d0074,0x7bda00a7,0x7a300a1b}},	//   _लोटा, moar, _הקרו, tätt, 
   {{0x7c2d0a6e,0x26cd00d9,0x1dcb045b,0x236600ca}},	//   loar, _vreo_, ायित, _afoj_, 
   {{0x7a300a6f,0x644202d0,0x6ab90095,0xdb1d0a70}},	//   rätt, _bhoi, şafı, _masí, 
   {{0x7a300a6f,0x57b40a71,0x64420a72,0x7c2d0a73}},	//   sätt, _обст, _choi, noar, 
   {{0xd5bb0a74,0x64420a75,0x63a90a76,0x7c2d01cf}},	//   _все_, _dhoi, rfen, ioar, 
   {{0x7c2d0a77,0xdb0d0a78,0x63a90a79,0x13060080}},	//   hoar, ndañ, sfen, яный_, 
   {{0xf99207f5,0x64420544,0x7c2d02ba,0x3eb20a7a}},	//   ערט_, _fhoi, koar, _spyt_, 
   {{0xb4d70a7b,0xa3bb0a7c,0x64420a69,0x442f02a2}},	//   ामी_, _خاطر_, _ghoi, _ukg_, 
   {{0x7c2d0a7d,0x64490a7e,0x317c0604,0x00000000}},	//   doar, mmei, _fevz_, --, 
   {{0x442d0149,0x64490a7f,0xfce60a80,0x238c0028}},	//   loe_, lmei, пого, rėjų_, 
   {{0x1fb60a81,0xdb060054,0xe6b80527,0x7c2d0a82}},	//   _еспр, _lakô, _इन्ज, foar, 
   {{0x442d0a83,0x644901c5,0x1e860a84,0x7c2d0a85}},	//   noe_, nmei, _елим, goar, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [560] --, --, --, --, 
   {{0x3f820a86,0x442d0a87,0xff5f010c,0xdcfc0a88}},	//   laku_, hoe_, ndîn_, larč, 
   {{0x23bd0367,0x442d0a89,0x6e2e0a8a,0x9f590327}},	//   ्याद, koe_, mobb, cisó_, 
   {{0x3f820a8b,0x442d07d7,0x7a3001c4,0xdb1d00bc}},	//   naku_, joe_, täts, _zasí, 
   {{0x5fdd00a2,0x442d0a8c,0x644900b0,0xfbb900bc}},	//   यातल, doe_, dmei, उजरम, 
   {{0x7bc60a8d,0xe5340a8e,0x64420a8f,0x3f820a90}},	//   _haku, мель, _shoi, haku_, 
   {{0x7bc60a91,0x64420a92,0x3f82024a,0x75fd05d5}},	//   _kaku, _phoi, kaku_, _bèzb, 
   {{0x293700c7,0x442d07d7,0x7bc60a93,0x00000000}},	//   _זאלן_, goe_, _jaku, --, 
   {{0x3f820a94,0xdb0d003e,0x64a000ca,0xdcfc0a95}},	//   daku_, ndað, dšiš, darč, 
   {{0x7bc60a96,0x7c2d0a97,0x6e2e0a98,0x64420a99}},	//   _laku, zoar, jobb, _whoi, 
   {{0x64420a9a,0x5f950a9b,0x6e2e0a9c,0x3f820a9d}},	//   _thoi, минт, dobb, faku_, 
   {{0x3f820a9e,0x04db00a7,0x442d0026,0x7c2d0a9f}},	//   gaku_, _לקבל, coe_, xoar, 
   {{0x7c2d0aa0,0x63a20139,0xdb0d02aa,0xdb1d0aa1}},	//   voar, _icon, meaç, _pasí, 
   {{0x91e30aa2,0x61140aa3,0x7bc6044d,0x60dc02ae}},	//   _поче, _одлу, _aaku, ärms, 
   {{0x7c2d0aa4,0x7bc60aa5,0x313301a2,0x6fa5009a}},	//   toar, _baku, _пешр, _कापू, 
   {{0x7bc60aa6,0x2c0d00a2,0x61ea0aa7,0x6c540aa8}},	//   _caku, _सगळं_, _hofl, ексу, 
   {{0x4a550aa9,0x7c2d0a9f,0x7bc60aaa,0x645c0036}},	// [570] дкас, roar, _daku, _èrif, 
   {{0x7c2d0aab,0x6838000d,0xa2bf0aac,0x61ea02fe}},	//   soar, bídk, _वनस्, _jofl, 
   {{0x7bc60aad,0x2d830aae,0x63a20aaf,0x7c2d0ab0}},	//   _faku, maje_, _ocon, poar, 
   {{0x2d9c0750,0x27e906b6,0x65680ab1,0x2d830ab2}},	//   _över_, ðan_, _afdh, laje_, 
   {{0x6fa50ab3,0x442d0ab4,0x7e6900d9,0x76ab0ab5}},	//   _कानू, voe_, _împă, стев_, 
   {{0x7bc60ab6,0x2d830ab7,0xdb1d0054,0xdcfc0352}},	//   _zaku, naje_, _iasà, zarč, 
   {{0xb4d70790,0x3f82011c,0x64490ab8,0x00000000}},	//   ामे_, yaku_, tmei, --, 
   {{0x683101e8,0x588500f0,0x3cfc0ab9,0x2d830aba}},	//   råds, _ныға, מלונ, haje_, 
   {{0x69c70abb,0x64490abc,0x26cb06e6,0xdcfc0abd}},	//   _kaje, rmei, _éco_, varč, 
   {{0x63a20abe,0x442d0364,0x64490abf,0x78a10219}},	//   _econ, soe_, smei, _älvs, 
   {{0x3f820ac0,0x7e6d0ac1,0x442d0ac2,0x61ea0a4e}},	//   taku_, _atap, poe_, _dofl, 
   {{0x69c70ac3,0x63a20038,0x683802d9,0x00000000}},	//   _laje, _gcon, vídk, --, 
   {{0x3f820ac4,0x63bb0ac5,0xb5fd00ec,0xcb0c0299}},	//   raku_, meun, _atši, _सेंड_, 
   {{0x7bc60ac6,0x69c70ac7,0x63bb0ac8,0x2d830ac9}},	//   _saku, _naje, leun, gaje_, 
   {{0xed570aca,0x7bc60acb,0xdca30acc,0x6286014b}},	//   дор_, _paku, кари, ákov, 
   {{0x63bb005f,0xaac907d5,0xdb1d0379,0x8c430acd}},	//   neun, रिंक, _basà, весе, 
   {{0x69c70ace,0x7bc60acf,0xf41200a7,0x2d830ad0}},	// [580] _baje, _vaku, דפן_, baje_, 
   {{0x7bc60ad1,0x7c2903ef,0x69c70ad2,0x63bb005f}},	//   _waku, čera, _caje, heun, 
   {{0xb4d700bd,0x63bb005f,0x3f800ad3,0x1c460ad4}},	//   ामो_, keun, _keiu_, _оном, 
   {{0x63bb0ad5,0x00000000,0x00000000,0x00000000}},	//   jeun, --, --, --, 
   {{0xa3e105f6,0x63bb005f,0x6b840ad6,0x56940097}},	//   दान_, deun, maig, халт, 
   {{0x6b840a92,0x69c70ad7,0x63a20ad8,0xe46a0acd}},	//   laig, _gaje, _scon, ошил_, 
   {{0x61ea0ad9,0xdb0f0106,0x628f0ada,0x00000000}},	//   _rofl, _abcè, ácon, --, 
   {{0x69c703ef,0x6b840adb,0x2d830adc,0xd9430add}},	//   _zaje, naig, zaje_, _реси, 
   {{0x83fc0a1a,0x752d0540,0x27e601ff,0x69c70ade}},	//   _nuđe, ğaza, mjon_, _yaje, 
   {{0x27e60adf,0x6b840ae0,0x24f60ae1,0x68380183}},	//   ljon_, haig, _очер, dídi, 
   {{0xdb1d026e,0x2d830ae2,0x63bb005f,0x6b840ae3}},	//   _masá, vaje_, beun, kaig, 
   {{0x68e30ae4,0x27e60ae5,0x83fc0112,0x2d830ae6}},	//   ändi, njon_, _buđe, waje_, 
   {{0x6b840ae7,0x3f800175,0xfe6e010e,0xe46a01d5}},	//   daig, _deiu_, یگی_, blöð_, 
   {{0x61ac0086,0xdb1d0098,0x26c4019c,0x00000000}},	//   _কোরআ, _nasá, _msmo_, --, 
   {{0x2d830ae8,0x69c70ae9,0x6b840038,0x7c8400d9}},	//   raje_, _raje, faig, куте, 
   {{0x2d830aea,0x25a9034c,0x69c70aeb,0xa00800eb}},	//   saje_, đali_, _saje, _يقول_, 
   {{0x69c70aec,0x44ce011f,0x79a70aed,0x2d830aee}},	// [590] _paje, _lę_, дрее, paje_, 
   {{0x2fc90aef,0x1e1400d9,0xdb1d03c6,0x63bb00b4}},	//   _haag_, _амья, _casá, zeun, 
   {{0x6b84012d,0x61e7014e,0x69c70af0,0x63bb002c}},	//   baig, öjli, _vaje, yeun, 
   {{0x69c70af1,0x6b840af2,0x27e60af3,0x2fc90326}},	//   _waje, caig, gjon_, _jaag_, 
   {{0xb4d70af4,0xdb1d0af5,0x2fc90af6,0x69c70af7}},	//   ाम्_, _ansö, _maag_, _taje, 
   {{0x2fc90af8,0x7a2b02f2,0x63bb005f,0xa5940093}},	//   _laag_, hütz, weun, връщ, 
   {{0x63bb0af9,0x97a70afa,0x6fa500a2,0xdb0f0afb}},	//   teun, _орал, _काढू, _tacó, 
   {{0x44ce0afc,0xee3f0228,0x2d810afd,0x75fd0237}},	//   _dę_, dtým_, _lehe_, _dèza, 
   {{0xc6a40afe,0x63bb0aff,0xb06500c8,0x17f80038}},	//   _архи, reun, kyää, _غرفة_, 
   {{0xddc400f1,0xb5fd0b00,0xdb040b01,0x63bb0b02}},	//   _otiš, _buše, nfiá, seun, 
   {{0x83fc00f1,0x63bb005f,0xdcfc0b03,0x27ff0604}},	//   _suđe, peun, karā, _klun_, 
   {{0x2fc90201,0xb5fd0b04,0xaad200bc,0x7985016c}},	//   _caag_, _duše, सिमक, hahw, 
   {{0x79850640,0x2fc90b05,0x2d810b06,0x27ed0b07}},	//   kahw, _daag_, _behe_, _moen_, 
   {{0x27ff0156,0x20020b08,0x11d90038,0x27ed0b09}},	//   _llun_, shki_, _روعة_, _loen_, 
   {{0x62860b0a,0xb5fd090e,0x6b840b0b,0x7c290397}},	//   škot, _guše, taig, čern, 
   {{0x27ed0b0c,0x8b950b0d,0x83fc00d2,0x2d81045a}},	//   _noen_, круч, _tuđe, _eehe_, 
   {{0x64590b0e,0xdb1d0b0f,0x4a460b10,0x499600b3}},	// [5a0] _miwi, _pasá, енав, ешет, 
   {{0x27ff0b11,0x6b84009f,0x2d8102f2,0x64590b12}},	//   _alun_, saig, _gehe_, _liwi, 
   {{0x7d7b00a7,0xdb1d0019,0x6d5e02dc,0x6b840b13}},	//   _מניו, _vasá, _igpa, paig, 
   {{0xc6a60b14,0x64590b15,0x25a500f3,0x27ff00f3}},	//   ерки, _niwi, _acll_, _clun_, 
   {{0x27ed01b2,0x79850199,0xf9840176,0x27e60b16}},	//   _doen_, bahw, _аҳзо, rjon_, 
   {{0x27e60b0c,0x2d8101d6,0x6d5e019c,0x3e660108}},	//   sjon_, _xehe_, _jgpa, _môt_, 
   {{0xd9430b17,0x69dc0b18,0x8cd30964,0xb4bc00c9}},	//   _бери, _inre, डियो, ेटे_, 
   {{0x44ce011f,0xb4b0007e,0x64590b19,0x27ff0b1a}},	//   _vę_, _ओही_, _ciwi, _glun_, 
   {{0x7ae40496,0x64590b1b,0xaac9031e,0xf1db009a}},	//   nxit, _diwi, रिएक, बांन, 
   {{0xb5fd044e,0x44ce00ab,0x645901c8,0x2fc90b1c}},	//   _puše, _tę_, _eiwi, _saag_, 
   {{0x7a2b02f2,0x98b30b1d,0x2d810b1e,0x200001f5}},	//   tütz, čeće_, _rehe_, _blii_, 
   {{0x2d8101c4,0x6d5e0102,0x200001be,0x7af60080}},	//   _sehe_, _agpa, _clii_, kyyt, 
   {{0x69dc0b1f,0xddc4090e,0xee3f014b,0x200001be}},	//   _onre, _stiš, stým_, _dlii_, 
   {{0x2ee10b20,0x84e402e6,0xb5fd0b21,0x2fc90b22}},	//   _पपीत, _कपाट_, _tuše, _waag_, 
   {{0x2fc9006d,0x765a0b23,0x9c470b24,0x61f5039f}},	//   _taag_, _mity, ехал, özle, 
   {{0x69dc0b25,0xd7cf0b26,0x765a0b27,0xc1780009}},	//   _anre, _सोंच, _lity, lbė_, 
   {{0x5a350172,0x27ed0b28,0x3b5500d3,0x2d810b29}},	// [5b0] внат, _roen_, ткар, _tehe_, 
   {{0x27ed0b2a,0x61fa0b2b,0xb4b000b0,0xfe70007a}},	//   _soen_, nktl, _ओहू_, _ادي_, 
   {{0xdcfc01dd,0x27ed0b2c,0xe611010e,0x2e360566}},	//   parā, _poen_, یشت_, ræft_, 
   {{0x69dc051c,0x87e40b2d,0xe71900eb,0x6d450b2e}},	//   _enre, люче, ويات_, _izha, 
   {{0xf77003b1,0xe5a50b2f,0x7bdd0b30,0x765a0b31}},	//   صان_, вили, _insu, _bity, 
   {{0x0c7400c5,0x6aad0548,0x04b50258,0xdb04003e}},	//   _جدید, mtaf, всия, meið, 
   {{0x27ed0b32,0xdb04008c,0x765a00d7,0xb7c500f0}},	//   _toen_, leið, _dity, _ирақ, 
   {{0x7bcd0b33,0x19580b34,0xc4470019,0x765a0028}},	//   ndau, _часы_, ریشن_, _eity, 
   {{0x248003ef,0x7c3a026a,0x64590548,0x3863019b}},	//   ćima_, îtri, _viwi, _hujr_, 
   {{0x62890b35,0x64590ac3,0x33f10042,0x765a0b36}},	//   rseo, _wiwi, _páxs_, _gity, 
   {{0x7bdd0b37,0xbf9b078a,0x34940b38,0x62890b39}},	//   _onsu, rhên, _бахр, sseo, 
   {{0xdb04003e,0xb4bd00b0,0x765a0b3a,0xbbe00249}},	//   keið, इबी_, _zity, _पचेक, 
   {{0x6d450b3b,0x76480088,0x62860b3c,0x6729008a}},	//   _azha, _yhdy, škor, _jxej, 
   {{0x7bdd0b3d,0x518703b7,0x645c02a3,0x7af60080}},	//   _ansu, _чуда, _èric, vyyt, 
   {{0x6e3c04a8,0x15f40b3e,0x75fd0237,0x645c0574}},	//   rlrb, _अवसर_, _lèzo, _érit, 
   {{0x3e660b3f,0x7ae401f1,0x7bcd0495,0x6aad0a6d}},	//   _tôt_, txit, gdau, ftaf, 
   {{0xdfd2006b,0xafdb00fc,0xa9a60b40,0x6aad0b41}},	// [5c0] _ميں_, rmøt, киад, gtaf, 
   {{0xfe9b042c,0x6d5e012b,0x7bdd0b42,0xafdb004f}},	//   _קיימ, _ugpa, _ensu, smøt, 
   {{0x7e640088,0x83fc0b43,0x7af600c8,0xeb9f02c9}},	//   _huip, _luđa, syyt, _blød_, 
   {{0xdb0401d5,0x59e0000d,0x7e640b44,0x765a0300}},	//   beið, नाहर, _kuip, _sity, 
   {{0x779100d6,0x765a0b45,0xc7a30b46,0xc178012d}},	//   صیلا, _pity, ричк, ybė_, 
   {{0x68380165,0x69dc0b47,0x86430314,0x00000000}},	//   vídu, _unre, анчж, --, 
   {{0xf483004e,0x3863011c,0x48e30176,0x7e640b22}},	//   ауын, _gujr_, _корв, _luip, 
   {{0x83fc0ab4,0xb0d500b0,0x765a05d5,0xeb9f0b48}},	//   _buđa, धिनग, _wity, _glød_, 
   {{0x2a66007a,0xd4030b49,0x765a052b,0xfe130249}},	//   íobh_, рящи, _tity, _डगलस_, 
   {{0x320500d1,0x2cba01f2,0x765a05d5,0x7bcd0528}},	//   ghly_, _oppd_, _uity, zdau, 
   {{0x3b0902cd,0x68380165,0xa99b00c7,0xbb1b00b3}},	//   zzaq_, sídu, וביר, _neîn, 
   {{0xc05800e4,0x80a30b4a,0xeb9f00fb,0x66180b04}},	//   кія_, _कमरे, _kløe_, livk, 
   {{0x44260b4b,0x7e64011c,0xa294012d,0x6601021e}},	//   _ijo_, _cuip, _салі, _yllk, 
   {{0x27310029,0xb5fd0397,0xdb04003e,0x32050b4c}},	//   ỡng_, _kuša, veið, chly_, 
   {{0x4426078e,0xdfd5032e,0xdeb2005e,0x7bcd0b4d}},	//   _kjo_, _бойы, _құры, tdau, 
   {{0x6aad0b4e,0x44260539,0xa4b700d1,0xb5fd0b4f}},	//   ttaf, _jjo_, כללה_, _muša, 
   {{0x20190b50,0xab840b51,0x7e640a78,0x7bcd0b52}},	// [5d0] misi_, руск, _guip, rdau, 
   {{0xdb04008c,0x7bcd0b53,0x66180121,0xd91b0080}},	//   reið, sdau, jivk, мье_, 
   {{0x44260b54,0x67d502a0,0x7e6401d2,0x99640b55}},	//   _ojo_, ложу, _zuip, ртул, 
   {{0x20190b56,0xc7940b57,0xe8940965,0x6e35032f}},	//   nisi_, аршы, раць, lozb, 
   {{0x4b7a0a33,0x3a840b58,0xa3e102e6,0x4ae402f1}},	//   _ראשו, _высв, दास_, _кўра, 
   {{0xd1260b59,0x4426078e,0xa2b800c6,0x20190b5a}},	//   _هم_, _ajo_, ्बन्, hisi_, 
   {{0x37ab004e,0x2baa00d8,0xb4bd00b0,0x44260b5b}},	//   _отан_, ङ्का, इबे_, _bjo_, 
   {{0x20190b5c,0x42c90b5d,0x6e3501d6,0x00000000}},	//   jisi_, егин_, hozb, --, 
   {{0x20190b5e,0xe3b60b5f,0x44260237,0x55a5010e}},	//   disi_, убы_, _djo_, _مجاہ, 
   {{0x44260199,0x6e35044e,0xb5fd0604,0x964700b3}},	//   _ejo_, jozb, _fuša, _рэбд, 
   {{0x20190b60,0x7c29008b,0x7e640387,0x00000000}},	//   fisi_, čerj, _suip, --, 
   {{0xc50c0070,0xbb1b00b3,0x20190b61,0x7e640534}},	//   _קלאָ, _reîn, gisi_, _puip, 
   {{0x443f0b62,0xd24e00d4,0x00000000,0x00000000}},	//   mlu_, تنی_, --, --, 
   {{0x443f0b63,0xdca60258,0x831a00c7,0x229200eb}},	//   llu_, лаги, _אונז, _الوس, 
   {{0x20190b64,0x443f00c2,0x5bb60148,0xafdb00fb}},	//   bisi_, olu_, лсаф, rmør, 
   {{0x6618044e,0xeb9f03a9,0x443f008f,0x20190b65}},	//   zivk, _smør_, nlu_, cisi_, 
   {{0x9e5a0b66,0x443f0b67,0x2baa00bc,0x8c430b68}},	// [5e0] _проф_, ilu_, ङ्गा, сете, 
   {{0xd8390118,0x7a300380,0x00000000,0x00000000}},	//   _akō_, lätz, --, --, 
   {{0x443f0b69,0x3ea20b6a,0x2d8a0b6b,0x3ce502ae}},	//   klu_, lukt_, mabe_, älvt_, 
   {{0x2bab0b6c,0x2d8a0b6d,0xdc9b0486,0x2a69006d}},	//   _छाया, labe_, _איטל, bqab_, 
   {{0xa3d7034d,0x443f0b6e,0x60060b6f,0x68e30219}},	//   ायन_, dlu_, _góme, ändr, 
   {{0xb5fd0112,0x7c2400d9,0x45d40a10,0x7a3001c4}},	//   _puša, lnir, рокс, hätz, 
   {{0x20190b70,0x5faa00a2,0x29550141,0x442602fe}},	//   yisi_, _काढल, _вътр, _pjo_, 
   {{0x69ce0b71,0x68e308c2,0x7c240b72,0x2d8a0b73}},	//   _habe, ånde, nnir, habe_, 
   {{0x69ce0b74,0x6b860364,0x2d8a0b75,0xf74300d9}},	//   _kabe, _mekg, kabe_, _гето, 
   {{0x6b860194,0x20190b76,0x69ce0a9f,0x32b700eb}},	//   _lekg, wisi_, _jabe, ادية_, 
   {{0x69ce0b77,0x443f0b78,0x03140b79,0xb5fd0372}},	//   _mabe, blu_, _तेरह_, _kušn, 
   {{0x7c24003a,0x443f0b7a,0x69ce0b7b,0xb5fd06e0}},	//   jnir, clu_, _labe, _jušn, 
   {{0xa3e106c9,0x20190b7c,0x26c602a2,0xdefb013e}},	//   दार_, risi_, nwoo_, хын_, 
   {{0x20190b7d,0xd2500b7e,0x2fcd0062,0x64400b7f}},	//   sisi_, _بنت_, žeg_, llmi, 
   {{0x6e350b80,0x021700a7,0x5ce40b81,0xafdb02c9}},	//   rozb, _תחום_, бюта, rløb, 
   {{0xfbdf00f7,0x69a70077,0x6b860065,0x69ce0b82}},	//   _thêm_, _चाही, _cekg, _aabe, 
   {{0x3f8b0ab1,0x2d8a0b83,0x3d950b84,0x7a3000c8}},	// [5f0] macu_, babe_, _кипр, läty, 
   {{0x69ce0b85,0x443f0b86,0xd9990189,0x5fd90586}},	//   _cabe, zlu_, ئنات_, _बोतल, 
   {{0x69ce0b87,0x443f0b88,0x7a3000c8,0xf773029a}},	//   _dabe, ylu_, näty, ماش_, 
   {{0x8d7400d4,0x3f8b0b89,0x60060126,0x443f00ad}},	//   _پایا, nacu_, _tóme, xlu_, 
   {{0x66e50b8a,0x443f0b8b,0x68e30b48,0x00000000}},	//   рола, vlu_, åndb, --, 
   {{0x69ce0b8c,0x3f8b0b8d,0x7bcf016c,0x00000000}},	//   _gabe, hacu_, _hacu, --, 
   {{0x62820b8e,0x6b86009e,0x7bcf0b8f,0x3dd70086}},	//   _awoo, _yekg, _kacu, _সকাল, 
   {{0x629b0b90,0x3f8b0b91,0x33d5004e,0x628201b8}},	//   truo, jacu_, рікт, _bwoo, 
   {{0x443f0b92,0x491900a2,0x02050b93,0x69ce0b94}},	//   rlu_, _येतो_, изин, _yabe, 
   {{0x443f01d5,0xd24e00b1,0x7bcf0b95,0x91f500d9}},	//   slu_, وني_, _lacu, рчич, 
   {{0x443f0b96,0x61450b97,0x2d8a0b98,0x6faa009a}},	//   plu_, рена, vabe_, _कादं, 
   {{0xdcfe01dd,0x79870026,0x7bcf0027,0x2d8a0b99}},	//   _nepā, _lejw, _nacu, wabe_, 
   {{0x91e50b9a,0x2d8a0b9b,0xd17500d3,0xf38c0070}},	//   _воле, tabe_, _кыйы, _טראָ, 
   {{0x44d50b9c,0xee370b9d,0x7a3002f2,0x21660623}},	//   _kā_, иня_, sätz, _киши_, 
   {{0x2d8a0b9e,0x69ce0b9f,0x44d500e0,0x7bcf0ba0}},	//   rabe_, _rabe, _jā_, _bacu, 
   {{0x44d50b03,0x2d8a0ba1,0x8b260ba2,0x31c50ba3}},	//   _mā_, sabe_, адбе, _वसुध, 
   {{0xfaa60ba4,0x69ce0ba5,0xcb0000ab,0x25db00b0}},	// [600] разо, _pabe, लैंड_, _गोभी_, 
   {{0x69ce0405,0x2d960ba6,0x7bcf0ba7,0x9976004e}},	//   _qabe, _трис, _eacu, руаш, 
   {{0x44d50339,0xfce60ba8,0x44c70019,0x7bcf0ba9}},	//   _nā_, _тоно, _nő_, _facu, 
   {{0x69ce0baa,0x7bcf0bab,0xb5fd090e,0xfaa60bac}},	//   _wabe, _gacu, _bušo, _камо, 
   {{0x7bc400b3,0x41a602e6,0x671601ec,0x16a70bad}},	//   meiu, _खालस, _देशक_, ивци_, 
   {{0xa61300dd,0x28880274,0x96f70bae,0x7bc40baf}},	//   оміч, _مصری_, решт_, leiu, 
   {{0x291e022b,0x7bcf007c,0xb5fd0372,0xb4e00790}},	//   _äta_, _yacu, _tušn, दमे_, 
   {{0x07a30bb0,0x75f400f6,0x7bcf0096,0xf3f80243}},	//   _масн, _vàzq, _xacu, _kuģi_, 
   {{0xe5a60bb1,0xb5fd00ef,0x3f8b044e,0x521400c8}},	//   _визи, _kušl, vacu_, йдит, 
   {{0x44c70019,0xe2140235,0x83fc090e,0x7c290bb2}},	//   _fő_, ёмны, _tuđo, čeri, 
   {{0x7e760bb3,0x6aa401c8,0xf99300d1,0x69d90070}},	//   _atyp, huif, חרת_, אַרו, 
   {{0xa3d70790,0x24f501bb,0xb5fc00c3,0xdb1d010e}},	//   ायण_, _учур, _diġe, _vasú, 
   {{0xc7b30056,0x69a70190,0x3f8b0ab4,0x44d50054}},	//   חבר_, _चाली, racu_, _zā_, 
   {{0x2723001b,0x3f8b0b91,0x00000000,0x00000000}},	//   ằng_, sacu_, --, --, 
   {{0x40940bb4,0x7bcf0bb5,0x3f8b02cd,0x6adf00aa}},	//   _البر, _pacu, pacu_, नम्र, 
   {{0x3ced003a,0x41a60bb6,0x79870415,0x95fe0033}},	//   ćev_, _खाँस, _sejw, ্চিম_, 
   {{0x99670bb7,0x7bcf0bb8,0x798700f4,0xa3d70bb9}},	// [610] ател, _vacu, _pejw, ायत_, 
   {{0x2aaf00ad,0x7bcf0bba,0x2b850108,0xd3570225}},	//   rüb_, _wacu, ặc_, שימי_, 
   {{0x7bcf0bbb,0xdcfc0242,0x60060bbc,0x00000000}},	//   _tacu, varć, _hóma, --, 
   {{0x44d50339,0x7bc400b3,0xf7f4009c,0x60060bbd}},	//   _rā_, ceiu, يسند, _kóma, 
   {{0xa3ea0ba3,0x6b8d0bbe,0xd6d900ab,0x09cf0086}},	//   मान_, maag, _była_, রাবা, 
   {{0x44d50339,0x6b8d0bbf,0x80af0086,0x3f890027}},	//   _pā_, laag, য়িত্, _leau_, 
   {{0x69c50bc0,0xcd9800d1,0x00000000,0x00000000}},	//   mehe, בדות_, --, --, 
   {{0x6b8d0bc1,0x69c50bc2,0x53c902bc,0x44d50b03}},	//   naag, lehe, угим_, _vā_, 
   {{0x6006033c,0x659500b3,0xe5c70002,0x00000000}},	//   _nóma, _газу, _всео, --, 
   {{0x44d50bc3,0xa2050bc4,0x69c50bc5,0x26cd02a3}},	//   _tā_, спод, nehe, _iseo_, 
   {{0x3f890bc6,0x6b8d0bc7,0x629d014b,0x7e760083}},	//   _beau_, kaag, ásob, _styp, 
   {{0x69c50bc8,0x76430bc9,0x6b8d0bca,0xdb04007a}},	//   hehe, llny, jaag, rfiú, 
   {{0x69c50bcb,0x6b8d0511,0xaac60262,0x60060183}},	//   kehe, daag, _रैंक, _cóma, 
   {{0x63a90bcc,0x3f9e01f0,0x6006003e,0x69c5024a}},	//   lgen, ştu_, _dóma, jehe, 
   {{0x61e30bcd,0xeb9a0bce,0x63a90bcf,0x764302a2}},	//   _innl, лив_, ogen, ilny, 
   {{0x6b8d0b8e,0x78a503f5,0x60dc01e8,0x06f90035}},	//   gaag, duhv, ærme, ्नाव_, 
   {{0x63a90bd0,0x69c501a7,0xfe720038,0xed5700f0}},	// [620] igen, fehe, _عدة_, _қою_, 
   {{0x69c50bd1,0xb5fd00ef,0x443d0380,0x0dca0bd2}},	//   gehe, _bušm, _lkw_, _слой_, 
   {{0xa3d70bd3,0x395c014e,0x26cd04b3,0x63a907d7}},	//   ाया_, ävs_, _aseo_, kgen, 
   {{0x20020088,0xb5fd08e3,0x9f40023a,0x63a90bd4}},	//   nkki_, _dušm, _anié_, jgen, 
   {{0xadec0bd5,0xa3e105fd,0x69c50bd6,0xb4e00299}},	//   ञापन_, दाई_, behe, दम्_, 
   {{0x63a90bd7,0x25db083b,0x78a50ab4,0x48e60726}},	//   egen, _गोदी_, buhv, _логв, 
   {{0x63a90bd8,0x7c29014b,0x18a30bd9,0x7d7b0070}},	//   fgen, červ, _нарм, אנצו, 
   {{0x6815006a,0x63a90bda,0x83fc0062,0x3a3a014e}},	//   ządz, ggen, _tuđm, lopp_, 
   {{0x645c02a3,0xfbd300df,0x00000000,0x00000000}},	//   _èrim, לתה_, --, --, 
   {{0x60060bdb,0xd9cf0086,0xddcd0082,0x3a3a0bdc}},	//   _róma, রাথম, _otaš, nopp_, 
   {{0x3f89026a,0xb5fc00a4,0x4546007a,0x00000000}},	//   _peau_, _tiġb, _اناق, --, 
   {{0x82a60bdd,0x3a3a0611,0x63a90bde,0xc4d300df}},	//   _гадж, hopp_, cgen, _מגע_, 
   {{0x69c50bdf,0x3f890212,0x3a3a0be0,0x00000000}},	//   yehe, _veau_, kopp_, --, 
   {{0xddcd00ab,0x6b8d0be1,0x387800a1,0x00000000}},	//   _uważ, waag, _otrr_, --, 
   {{0x321e0be2,0x6b8d0298,0x69c5039f,0x00000000}},	//   mity_, taag, vehe, --, 
   {{0x321e0be3,0x69c50be4,0x27e40102,0x6006003e}},	//   lity_, wehe, _nnmn_, _tóma, 
   {{0x6b8d0be5,0x69c502f2,0xfaff024a,0x15fa00bc}},	// [630] raag, tehe, _afër_, ्सार_, 
   {{0x321e0be6,0xddab0be7,0x6b8d0be8,0x7e7d0be9}},	//   nity_, _стил_, saag, mpsp, 
   {{0x094b0bea,0x6b8d0beb,0x69c50bec,0x237f0083}},	//   учаи_, paag, rehe, ybuj_, 
   {{0x69c502ec,0xb8f10bed,0xad1a00a7,0x167300f0}},	//   sehe, _वन_, _כותר, зқар, 
   {{0x69c50364,0x00000000,0x00000000,0x00000000}},	//   pehe, --, --, --, 
   {{0x20090156,0xb5fd0121,0x443d08b0,0x00000000}},	//   _llai_, _tušm, _skw_, --, 
   {{0x63a90bee,0xb5fd00d2,0x443d0bef,0x2002003e}},	//   tgen, _hušk, _pkw_, ykki_, 
   {{0x5fd90bf0,0xdb0d0bf1,0x6683006b,0x26cd0194}},	//   _बोलल, leañ, _فیصل, _tseo_, 
   {{0x23290bf2,0xe29900d3,0x66f400d9,0x320700da}},	//   ропи_, шап_, _епту, _plny_, 
   {{0xb5fd00f1,0x63a90bf3,0x312500c8,0x200901ca}},	//   _mušk, sgen, ждог, _alai_, 
   {{0x443d0bf4,0x2fd200a3,0x3207014b,0xafdb00fb}},	//   _tkw_, _payg_, _vlny_, rløn, 
   {{0xa3ea00d8,0xb4d50bf5,0x443d0bf6,0xafdb0bf7}},	//   माण_, िटी_, _ukw_, sløn, 
   {{0x20020088,0xe2da0019,0x1e830bf8,0xb5fd0604}},	//   rkki_, _پانچ_, млям, _nušk, 
   {{0x27380029,0x321e0bf9,0x27e001dd,0x20090bfa}},	//   ứng_, city_, ķini_, _elai_, 
   {{0xed5a0bfb,0xdbc7008c,0x00000000,0x00000000}},	//   ров_, töðu, --, --, 
   {{0xb5fd0bfc,0xc4d20486,0x20040243,0x1c460bfd}},	//   _bušk, וגל_, ījis_, інам, 
   {{0xa3ea00a2,0x3a3a0bfe,0x198a0176,0x00000000}},	// [640] मात_, topp_, ибаи_, --, 
   {{0xb5fd032f,0xc18c0070,0xae370176,0x00000000}},	//   _dušk, ָטאָ, _дӯст_, --, 
   {{0xd6d9006a,0x3a3a0bff,0x2e3f0216,0x00000000}},	//   _było_, ropp_, rîft_, --, 
   {{0x8c460c00,0x321e0a30,0x386d00da,0x3a3a00fc}},	//   _феме, zity_, _čert_, sopp_, 
   {{0x628600bc,0xddde0026,0xa3cd00b0,0x00000000}},	//   škoz, _lipō, शजन_, --, 
   {{0xd49a0c01,0x2ba80c02,0x35f30c03,0x321e0c04}},	//   ари_, गलवा, мпір, xity_, 
   {{0x25a00c05,0x1db20c06,0x321e0c07,0xd5ad0019}},	//   ğil_, _जानत, vity_, اہم_, 
   {{0x2d9a0026,0x25a0027e,0xaa7b00bc,0x18670165}},	//   _ldpe_, şil_, _frýd, _фати_, 
   {{0x248908b1,0x6ab60035,0x6e3c0c08,0x1dca0110}},	//   ćama_, ntyf, korb, ाजात, 
   {{0xff5f0216,0x00000000,0x00000000,0x00000000}},	//   feîn_, --, --, --, 
   {{0xa3b50081,0x60060503,0x321e0056,0x104b0088}},	//   _चॉक_, _cómo, rity_, иями_, 
   {{0xf1ae00bd,0xdb21014b,0x8f350c09,0x320c0c0a}},	//   ज्जन, _štíh, земц, shdy_, 
   {{0x6e3c0c0b,0x21fb0218,0xa3d703a2,0x185b0147}},	//   forb, _pêht_, ायर_, יכטע, 
   {{0x60060183,0xf2870019,0x7e7d0c0c,0x6e3c01d6}},	//   _fómo, _بھٹو_, rpsp, gorb, 
   {{0x48c500cc,0x3f8202cd,0x00000000,0x00000000}},	//   _এপ্র, bbku_, --, --, 
   {{0x3a7500cf,0x7aed0c0d,0x7e7d0c0e,0x83fc0082}},	//   злар, txat, ppsp, _buđi, 
   {{0xf96b0c0f,0x7f4d00ad,0x671f00aa,0x09cf0033}},	// [650] арей_, _uzaq, _मेढक_, রাসা, 
   {{0x527b0137,0x600d0151,0xc9840c10,0x7aed00b9}},	//   ינמא, _dûme, дуци, rxat, 
   {{0x2d910c11,0x2d83024a,0x81bc01dd,0x7e6d0175}},	//   maze_, mbje_, tnēj, _huap, 
   {{0x2d910112,0x61f80c12,0x7c29014b,0xb5fd0242}},	//   laze_, _lovl, čers, _tušk, 
   {{0xeb7600c7,0x76c701c9,0xb5fc007b,0x00000000}},	//   _מערץ_, تغال, _siġa, --, 
   {{0xe61800dd,0x2d910c13,0xb5fc008a,0x00000000}},	//   оді_, naze_, _piġa, --, 
   {{0xa3d70c14,0x7e6d02a2,0xf505012d,0xb5fd00ca}},	//   ायल_, _luap, язко, _juši, 
   {{0xb5fd053d,0x25db0c15,0x13e90c16,0xfbdf00e7}},	//   _muši, _गोरी_, смий_, _thêu_, 
   {{0x26d9001d,0x38b50c17,0x29ff0083,0xddde0118}},	//   _éso_, lår_, ałań_, _sipō, 
   {{0xddc400f1,0x69d50c18,0x11d50038,0x10a50c19}},	//   _stiž, _jaze, ستخد, пион, 
   {{0x6d450c1a,0xb5fd0c1b,0x61f80c1c,0x2901010e}},	//   _nyha, _nuši, _dovl, nyha_, 
   {{0x6e3c0380,0xd4c40c1d,0x00000000,0x00000000}},	//   worb, _юсуп, --, --, 
   {{0x63bb05ce,0xa2e509e3,0xdb1d001d,0x2d910c1e}},	//   mfun, _холд, _masó, faze_, 
   {{0x2d8c0c1f,0x63bb0c20,0x600d010c,0x2d91011b}},	//   úde_, lfun, _rûme, gaze_, 
   {{0xe16600c5,0x61420c21,0x63bb0c22,0x59df00c9}},	//   _عضوی, _пеша, ofun, _नफ़र, 
   {{0xc4d207f5,0xbc630c23,0x80b10086,0x77690175}},	//   עגן_, евск, _জনপ্, _ngex, 
   {{0x7e6d0c24,0x2fc00268,0x2d910c25,0x63bb0c26}},	// [660] _guap, _ibig_, baze_, ifun, 
   {{0xa3e200ea,0x4a430c27,0x2d910c28,0x25db0a09}},	//   _फोन_, енув, caze_, _गोली_, 
   {{0x38b50c29,0xdb1d0c2a,0x63bb0c2b,0xb5fd090e}},	//   går_, _basó, kfun, _guši, 
   {{0xdb1d0c2c,0x83fc090b,0xde6d001b,0x69d50036}},	//   _obsè, _tuđi, _hươn, _eaze, 
   {{0x69d50316,0x6b840c2d,0x63bb008a,0x6d40008f}},	//   _faze, mbig, dfun, şmad, 
   {{0x69d50c2e,0x6b840c2f,0x7c3b0b91,0x28160c30}},	//   _gaze, lbig, čure, _کورس, 
   {{0xdb0f026d,0x63bb0c31,0xdb1d0c32,0x2d85010e}},	//   _accè, ffun, _absè, űleg_, 
   {{0xde6d001b,0x6b840c33,0x02a60c34,0x320502c9}},	//   _lươn, nbig, пром, ekly_, 
   {{0xa3e10c35,0x6b840c36,0x81d50033,0x798e052b}},	//   दाज_, ibig, হান_, _kebw, 
   {{0xdb0d02a0,0xde6d00e7,0x8afb027a,0x6faa09ec}},	//   sfaç, _nươn, צהיי, _काउं, 
   {{0x6aa40c37,0x7e6d0938,0x403505ef,0xd2500019}},	//   hrif, _suap, денс, ٹنگ_, 
   {{0x6aa40c38,0xe45a0c39,0xa3d70c3a,0x2ee00156}},	//   krif, _уже_, ायः_, _brif_, 
   {{0xf2060021,0x64420379,0x7e6d039b,0xeb9f0566}},	//   _няко, _ikoi, _quap, _fløj_, 
   {{0x6aa402fb,0xde6d00e7,0x9c830228,0x32050c3b}},	//   drif, _cươn, účov, ckly_, 
   {{0xde6d0029,0x69d50c3c,0xc1bb00a7,0x38a000b3}},	//   _dươn, _raze, _המוש, nără_, 
   {{0x6aa402bf,0x6b840c3d,0x2d9105b3,0x6d450098}},	//   frif, gbig, saze_, _vyha, 
   {{0x6aa40c3e,0x2ee00c3f,0xb038035c,0x8f9c00a7}},	// [670] grif, _grif_, _מנהג_, _היחי, 
   {{0x38b50a40,0xde6d001b,0x3ea4020b,0x6b840c40}},	//   tår_, _gươn, ámte_, abig, 
   {{0x6b84014e,0x29070c41,0xf8b600d3,0xee780116}},	//   bbig, ána_, мөт_, _وصیت_, 
   {{0x29070405,0x69d50053,0x6aa40c42,0x76410009}},	//   ġna_, _waze, brif, _skly, 
   {{0xdb1d04fe,0x38b50c43,0x7c2d0c44,0x7c3f0c45}},	//   _obsé, sår_, mnar, moqr, 
   {{0xde6d001b,0x64420054,0x68e1010e,0x38b50219}},	//   _xươn, _akoi, _áldo, pår_, 
   {{0x24890062,0x442f02cd,0xf8d10c46,0xd7fb00b3}},	//   ćamo_, _pjg_, _सनिय, _луа_, 
   {{0x7c2d0c47,0xdb0f0c48,0x67d40a43,0x130900af}},	//   nnar, _accé, _посу, жний_, 
   {{0x63bb0c49,0x7c2d0c4a,0x7c280183,0x98b80028}},	//   rfun, inar, édri, _vyrą_, 
   {{0x3eab0c4b,0xb5fd0c4c,0x644201f1,0x2ee000ca}},	//   duct_, _aušv, _ekoi, _rrif_, 
   {{0x63bb0c4d,0x7c2d008c,0x32050c4e,0xc6090551}},	//   pfun, knar, rkly_, वसीय_, 
   {{0x2ee002bf,0x81b50086,0xe3b00038,0xde6d00e7}},	//   _prif_, _চোখ_, _مره_, _sươn, 
   {{0xa3ea0796,0x7c2d02ee,0xe28e0c4f,0x443f0c50}},	//   मार_, dnar, _ша_, mou_, 
   {{0x64490c51,0x7c2d0c52,0x645b0c53,0xacea0c54}},	//   llei, enar, lmui, омга_, 
   {{0x442d0021,0xe1f00c55,0x3eb90536,0x9d4306b3}},	//   one_, _حسن_, atst_, верд, 
   {{0x443f0c56,0x7c2d0c57,0x64490c58,0xa3b10c59}},	//   nou_, gnar, nlei, ञ्च_, 
   {{0x442d0c5a,0xde6d0029,0x6b840c5b,0x644901fd}},	// [680] ine_, _tươn, rbig, ilei, 
   {{0x6aa40c5c,0x443f0c5d,0x6b840104,0x2b8c0029}},	//   rrif, hou_, sbig, ếc_, 
   {{0x443f0c5e,0x442d076b,0x851c0262,0x64490c5f}},	//   kou_, kne_, _भेंट_, klei, 
   {{0x442d0c60,0x798e01a9,0x443f0c61,0xc3140086}},	//   jne_, _webw, jou_, াপতি_, 
   {{0x442d0032,0x443f0c62,0x7c240539,0xb865015f}},	//   dne_, dou_, miir, رامو, 
   {{0x64490bf3,0x3e7402ae,0x44ce02d9,0xafdb00fc}},	//   elei, _mät_, _př_, tløk, 
   {{0x443f0c63,0xa3ea0c64,0x3e740219,0x1dc00c65}},	//   fou_, माल_, _lät_, श्यत, 
   {{0x442d0c66,0xe73a0c67,0x443f0c1f,0x68e301cc}},	//   gne_, _деб_, gou_, ænde, 
   {{0x3e740219,0x00000000,0x00000000,0x00000000}},	//   _nät_, --, --, --, 
   {{0x442d0c68,0x64490080,0x7c240c69,0x00000000}},	//   ane_, alei, hiir, --, 
   {{0x443f0c6a,0x8506040f,0x442d0c6b,0x25eb0527}},	//   bou_, _توان, bne_, चारी_, 
   {{0x443f0c6c,0x62800c6d,0x60320243,0x64490c6e}},	//   cou_, ppmo, tāma, clei, 
   {{0x64400c6f,0x2bdf07d5,0x7c2d0218,0x44b000f0}},	//   momi, _पोषा, vnar, _рұқс, 
   {{0x603201dd,0x600d0216,0x14c2009a,0xddc40243}},	//   rāma, _dûma, _शहाण, _puiš, 
   {{0x7c240c70,0x7c2d0c71,0x623300f0,0xb5fc00a4}},	//   fiir, tnar, _шешу, _riġl, 
   {{0xfc300c72,0x80c40033,0x2bdf0c73,0x00000000}},	//   لحق_, ষিদ্, _पोशा, --, 
   {{0xa3b60509,0xcd0400bc,0xb5fd0455,0x645c02a3}},	// [690] _जान_, vněž_, _kušt, _èriu, 
   {{0x443f0c74,0x442d0c75,0x64400c76,0x7c2d0c77}},	//   zou_, zne_, homi, snar, 
   {{0x442d0c78,0x64400c79,0xdb04010e,0x7c240c7a}},	//   yne_, komi, rgiá, biir, 
   {{0x442404d1,0x27e90c7b,0x443f0c7c,0x442d0c7d}},	//   jim_, ñan_, xou_, xne_, 
   {{0x442d0c7e,0x443f0c7f,0x64490876,0x7bcd0c80}},	//   vne_, vou_, vlei, meau, 
   {{0x442d006a,0x443f03a0,0x6aad0065,0xb5fd00ca}},	//   wne_, wou_, muaf, _nušt, 
   {{0x443f0c81,0x442d0c7e,0x60060084,0x44240c82}},	//   tou_, tne_, _fómh, fim_, 
   {{0x442d0012,0x61ea0c83,0x64400c84,0x248c0183}},	//   une_, _anfl, gomi, _dwdm_, 
   {{0x442d0c85,0x64490c86,0x63a60c87,0x963507a4}},	//   rne_, rlei, ókna, _знац, 
   {{0x443f0042,0x442d0c88,0xe1f10084,0x7c240c89}},	//   sou_, sne_, اسة_, ziir, 
   {{0x60260c8a,0x65940c8b,0x64490c8c,0x443f0c8d}},	//   една, _раху, plei, pou_, 
   {{0x64400c8e,0xa3b60c8f,0x61ea0c90,0x44240c88}},	//   comi, _जाय_, _enfl, cim_, 
   {{0x7bcd0c91,0x7c240c92,0x2ac301dd,0x4f070c93}},	//   deau, viir, nībā_, енян_, 
   {{0xa3d70c94,0xb5fd04ab,0x2d9e0107,0x2c75055f}},	//   ायक_, _gušt, ûte_, _båd_, 
   {{0x7c240c95,0x1b1d0086,0xd00a0c96,0xa3b60c97}},	//   tiir, _ভুলে_, _неке_, _जाम_, 
   {{0x7bcd011c,0x3e740c98,0xb5fc00c3,0x00000000}},	//   geau, _tät_, _riġm, --, 
   {{0x7c240c99,0xf41200c7,0x60060c9a,0x1f66004f}},	// [6a0] riir, אפן_, _nómi, _яким, 
   {{0xe9d70c9b,0x7c3b0bad,0x5fc1031e,0x0b430161}},	//   нку_, čura, ष्ठल, унун, 
   {{0x7c240c9c,0x44240c9d,0x1bea02c4,0x7bcd0c9e}},	//   piir, yim_, _едни_, beau, 
   {{0x44240c9f,0x95fa0ca0,0x7bcd0106,0x929d0083}},	//   xim_, ्स्ट_, ceau, zyła, 
   {{0xa3b604d7,0x644000cf,0x60060503,0x00000000}},	//   _जाब_, vomi, _cómi, --, 
   {{0x44240ca1,0x6b960ca2,0x600604f4,0x64400083}},	//   wim_, layg, _dómi, womi, 
   {{0x7c2f00eb,0x39e70ca3,0xb5fd0098,0xc7a60ca4}},	//   _áirí, _ядро_, _rušt, _пивк, 
   {{0xb5fd0ca5,0xd9430ca6,0xccf3042c,0xd4670886}},	//   _sušt, _сеси, רכה_, није_, 
   {{0x44240ca7,0xb5fd02f5,0x64400ca8,0x2ac300e0}},	//   rim_, _pušt, romi, cībā_, 
   {{0x64400ca9,0x6b96040c,0x00000000,0x00000000}},	//   somi, hayg, --, --, 
   {{0x64a30caa,0x64400cab,0x91f10366,0x2a6a0036}},	//   _баха, pomi, _अचरज_, _mibb_, 
   {{0x2c750cac,0x929d0035,0x44240cad,0xdcfc020f}},	//   _råd_, syła, qim_, zbră, 
   {{0x7bcd0cae,0x93fb00d1,0xb5fd0028,0xdcfc0caf}},	//   veau, _מלאי, _tušt, karē, 
   {{0x61ea0118,0x81bc0243,0xa3b60110,0x91e30bad}},	//   _unfl, gnēt, _जाड_, _боље, 
   {{0x7bcd0cb0,0x645c02a3,0x71f7010e,0x2ac30243}},	//   teau, _èris, _سروس_, zībā_, 
   {{0x59c607d5,0x6b96011d,0x2c750566,0x7c840165}},	//   _रॉबर, gayg, _våd_, ѓусе, 
   {{0x7bcd0cb1,0x7b7400eb,0xb5fd0bfc,0x39a70cb2}},	// [6b0] reau, اطفا, _mušr, ешев, 
   {{0x7bcd0cb3,0x2bcf0035,0x13d90033,0x49d80cb4}},	//   seau, हजहा, থায়, ндую_, 
   {{0x6b96040c,0x7bcd0cb5,0x48ab0cb6,0x5d5505b2}},	//   bayg, peau, ятам_, _шкот, 
   {{0xfbab0088,0x9f49011c,0x629d010e,0x38690219}},	//   _этой_, _anaé_, ások, öar_, 
   {{0x79a708bd,0x6aad02a3,0xc66b00c8,0xa3ea02ff}},	//   _прве, quaf, чшее_, माई_, 
   {{0x60060169,0xd54900b3,0x2ac301dd,0x64a50cb7}},	//   _vómi, мпле_, rībā_, вака, 
   {{0xda34058b,0x70af04cc,0x2d9302aa,0x2ac301dd}},	//   _серы, _झमेल, _mexe_, sībā_, 
   {{0x73e50488,0xa3b60110,0x00000000,0x00000000}},	//   тоиз, _जाण_, --, --, 
   {{0x65c3004e,0x69c10cb8,0x425500d3,0x961d0243}},	//   _бұла, र्थी, ктот, _atņe, 
   {{0x2d9300f6,0x85b80cb9,0x27ff0cba,0x00000000}},	//   _nexe_, _плус_, _houn_, --, 
   {{0x76430cbb,0x3f9200b9,0x27ff0237,0x00000000}},	//   mony, _peyu_, _koun_, --, 
   {{0x76430cbc,0x27ff0118,0x69c10cbd,0xe1f10535}},	//   lony, _joun_, र्ती, اسک_, 
   {{0xa3b60cbe,0x27ff0cbf,0x20190034,0x7643095a}},	//   _जात_, _moun_, ëria_, oony, 
   {{0xed5a0229,0xaae000bc,0x76430cc0,0x00000000}},	//   дог_, निसक, nony, --, 
   {{0xdcfc00e0,0x27ed0cc1,0x629b0009,0xef1f04d6}},	//   varē, _onen_, lsuo, lbül_, 
   {{0x7ae90062,0x76430204,0x2a6a00a1,0x20d30474}},	//   _šeta, hony, _sibb_, _iţi_, 
   {{0xee3a0cc2,0xab2702c2,0xe9da05d9,0x76430cc3}},	// [6c0] _они_, вота_, мка_, kony, 
   {{0x5ac707f9,0x2000011c,0x27ed0cc4,0x48e60bad}},	//   ълум_, _hoii_, _anen_, козв, 
   {{0x2d980cc5,0x76430cc6,0x27ff0118,0x940c00ad}},	//   mare_, dony, _boun_, _evdə_, 
   {{0x2d980cc7,0x629b0009,0x09cf0033,0x661d0009}},	//   lare_, ksuo, রাগা, _įska, 
   {{0x76430cc8,0x2a6a00ad,0x27ff00b4,0x20000cc9}},	//   fony, _tibb_, _doun_, _moii_, 
   {{0x2d980cca,0xe5340ccb,0x00000000,0x00000000}},	//   nare_, лель, --, --, 
   {{0x69dc0ccc,0xb5fc003d,0x6846035b,0x00000000}},	//   _iare, _jiġi, _анва, --, 
   {{0x64590ccd,0x69dc0cce,0x2d980ccf,0x34c2000f}},	//   _chwi, _hare, hare_, _शहीद, 
   {{0x69dc0cd0,0x2d980cd1,0x51860a43,0x76430cd2}},	//   _kare, kare_, куна, bony, 
   {{0x69dc0cd3,0x2d980cd4,0x69de0cd5,0xa3e20cd6}},	//   _jare, jare_, ndpe, _फोर_, 
   {{0x25db0081,0x2d980be0,0x27ff0cd7,0x2d930068}},	//   _गोटी_, dare_, _youn_, _rexe_, 
   {{0x2d930cd8,0x03260cd9,0xaa7b00bc,0x03a30cda}},	//   _sexe_, _иден, _brýl, _вицо, 
   {{0xa2c4005e,0x2d9802a3,0x63a20cdb,0xdcf500e0}},	//   _сәйк, fare_, _idon, pazī, 
   {{0x69dc0cdc,0x2d9805a1,0xc0aa0399,0xa3ea01a4}},	//   _nare, gare_, _قابل_, माक_, 
   {{0x6d400cdd,0xdd940cde,0x5a350cdf,0x20d30ce0}},	//   şman, расы, ҳнат, _نتيج, 
   {{0x76430ce1,0xec340ce2,0xb5fc007b,0x2d980ce3}},	//   zony, ансь, _diġi, aare_, 
   {{0x2d980ce4,0x81d500cc,0x6b7400b9,0x5a350ce5}},	// [6d0] bare_, হার_, рлуу, гнат, 
   {{0x2d980ce6,0x69dc0ce7,0x25e2000d,0x628202be}},	//   care_, _care, _टोली_, _mtoo, 
   {{0x69dc0ce8,0x99670ce9,0x63a20b81,0x27ff03a0}},	//   _dare, ттал, _odon, _poun_, 
   {{0x63a20cea,0x3f990ceb,0xac1900dd,0xb8cb0c14}},	//   _ndon, nasu_, _чому_, _खि_, 
   {{0x501c0cec,0xf7700625,0xe5a50623,0x1dc007d5}},	//   וואו, زان_, гили, श्वत, 
   {{0x69dc0ced,0x627200ab,0x7bdd0cee,0xfb1a0070}},	//   _gare, _młod, _hasu, _טורמ, 
   {{0x7bdd0cef,0x25a903c0,0x5e5800c7,0x3f990cf0}},	//   _kasu, ğal_, דיגע_, kasu_, 
   {{0x2d980012,0xa3ea000f,0x27ed0cf1,0x629b0cf2}},	//   zare_, माग_, _unen_, tsuo, 
   {{0x7bdd0cf3,0x2d980cf4,0x76430cf5,0x69dc02b8}},	//   _masu, yare_, pony, _yare, 
   {{0x386d0cf6,0x611306d0,0x63a201f1,0x69dc00b9}},	//   _hier_, lələ, _edon, _xare, 
   {{0x2d980cf7,0x629b0cf8,0x7f4d00ad,0x69c70034}},	//   vare_, ssuo, _ayaq, _mbje, 
   {{0x7bdd0cf9,0x43740cfa,0x66010cfb,0x3f990304}},	//   _nasu, _кушт, _holk, gasu_, 
   {{0x2d980cfc,0x7ae90062,0x386d0cfd,0x0eb90cfe}},	//   tare_, _šetn, _mier_, куры_, 
   {{0x61130095,0xddcd0cff,0x60060d00,0x51870d01}},	//   hələ, _etaž, _rómu, _руда, 
   {{0x2d980cca,0x611306d0,0x44e309c7,0x3f990d02}},	//   rare_, kələ, _jı_, basu_, 
   {{0x69dc0d03,0x2d980d04,0x44e30c05,0x66010d05}},	//   _sare, sare_, _mı_, _lolk, 
   {{0x79950cd7,0x2d980d06,0x7bdd0d07,0x61130095}},	// [6e0] _bezw, pare_, _dasu, dələ, 
   {{0x69dc0d08,0x7bdd0354,0x2d980034,0xafdb0d09}},	//   _qare, _easu, qare_, bløs, 
   {{0x69dc0d0a,0x386d0d0b,0x61130095,0x77860d0c}},	//   _vare, _bier_, fələ, глез, 
   {{0xe73a030f,0x765a00e5,0xb8dc0d0d,0x69dc0d0e}},	//   нее_, _shty, _आम_, _ware, 
   {{0x69dc0d0f,0x386d0d10,0xc7a30d11,0x86260afc}},	//   _tare, _dier_, сичк, льке, 
   {{0x38bc0d12,0x44e3035d,0x386d0d13,0x7ae401e8}},	//   pír_, _bı_, _eier_, mvit, 
   {{0x386d0d14,0x44e30095,0x7ae40d15,0x7bdd0c25}},	//   _fier_, _cı_, lvit, _yasu, 
   {{0x611306d0,0x33740176,0x44e30d16,0x7bc400e2}},	//   cələ, шгир, _dı_, nfiu, 
   {{0x66010d17,0x52140aed,0xe7370d18,0x7ae40d19}},	//   _folk, идит, _бет_, nvit, 
   {{0xddcd0d1a,0x66010d1b,0xa3b60077,0x3f99019b}},	//   _staž, _golk, _जाव_, wasu_, 
   {{0x7c260d1c,0x7f4d02cd,0x59c60d1d,0x3f9900b0}},	//   _omkr, _syaq, र्यर, tasu_, 
   {{0x66010065,0x63a20d1e,0x7e76040b,0x628201b8}},	//   _zolk, _udon, _buyp, _ttoo, 
   {{0x7bdd0d1f,0x44260d20,0x6d4003c0,0xa29401fc}},	//   _rasu, _imo_, şmal, _талі, 
   {{0x442601a0,0x7bdd0d21,0x2731001b,0x44e3027e}},	//   _hmo_, _sasu, ạng_, _yı_, 
   {{0x317b00fe,0x3ea00d22,0xdb0d00eb,0x3f99014b}},	//   _ארומ, _evit_, rgaí, pasu_, 
   {{0x3a380054,0x6006003e,0xafdb01e8,0x4426025b}},	//   _ajrp_, _dóms, rløs, _jmo_, 
   {{0x59c60586,0xaed502f1,0xafdb01e8,0x7bdf0d23}},	// [6f0] र्भर, _топш, sløs, rdqu, 
   {{0x386d02fb,0x7bdd0d24,0xafdb0a1f,0xe29f003e}},	//   _sier_, _wasu, pløs, áði_, 
   {{0x7bdd0077,0x61130095,0xc795013e,0x7ae40d25}},	//   _tasu, tələ, арлы, avit, 
   {{0x20da0d26,0x2ee90348,0x4773004e,0x99640d27}},	//   mšić_, _kraf_, сқау, стул, 
   {{0x6b8d0d28,0x386d0439,0x2d940187,0x66010d29}},	//   mbag, _vier_, ždeň_, _polk, 
   {{0x6b8d0d2a,0x611306d0,0x69c704a1,0x386d01d2}},	//   lbag, sələ, _ubje, _wier_, 
   {{0x66010bf3,0x20190379,0xf8c9034d,0x22450326}},	//   _volk, khsi_, _रहिय, volk_, 
   {{0x66010d2b,0x61130095,0x6b8d0d2c,0x22450d2d}},	//   _wolk, qələ, nbag, wolk_, 
   {{0x2bc700a2,0xa3b60d2e,0x21f5004f,0x62590240}},	//   ऱ्या, _जार_, аїнс, крор_, 
   {{0x20da0112,0x42250d2f,0x20c5004f,0x69c5007a}},	//   kšić_, рдов, айом, nfhe, 
   {{0x3ea00d30,0x2ee9017c,0x6aad0d31,0x00000000}},	//   _svit_, _araf_, hraf, --, 
   {{0x44260d32,0xa4fa00c7,0x6aad0d33,0x504600b3}},	//   _gmo_, _בלעט, kraf, ремб, 
   {{0x1f56058b,0x636b03c0,0x7d010219,0xc7d600d1}},	//   ртнё, _dönü, älsn, בורי_, 
   {{0x91fc0bc3,0x62890d34,0x6aad0d35,0x2ee90d36}},	//   rmāc, mpeo, draf, _draf_, 
   {{0x3b960d37,0xdca302f1,0x8b960d38,0x2ee90d39}},	//   ијат, жаси, ирач, _eraf_, 
   {{0xafdb03a9,0x6b8d0d3a,0xe8e0001b,0x636b027e}},	//   slør, gbag, _hiệp_, _gönü, 
   {{0xada60d3b,0xa3d6072f,0x3a260d3c,0x6da60d3d}},	// [700] _капл, ाजत_, амаг, _кипа, 
   {{0x7ae40d3e,0xa9a60d3f,0xac76009c,0x600601d5}},	//   rvit, рижд, _پادش, _tóms, 
   {{0xdb0d014b,0x7ae40d40,0xc7ba0009,0x636b008f}},	//   čkác, svit, вёл_, _yönü, 
   {{0xbc7b00a7,0xebe60d41,0xdb20010e,0x7c260d42}},	//   _שנכת, _томп, ítóg, _umkr, 
   {{0x2bdf009a,0xdcfc0028,0x9f400354,0x68e500a1}},	//   _पोटा, tarė, _aniú_, avhd, 
   {{0x7aeb055f,0xe4a60d43,0x25a50090,0x69c50d44}},	//   ægte, арио, _cdll_, cfhe, 
   {{0xd49700cb,0x18a30d45,0x44260d46,0x98a30d47}},	//   ары_, _марм, _pmo_, _мире, 
   {{0xa6860d48,0x7c360156,0xf2c60d49,0xddcd0083}},	//   _влад, nnyr, асон, _staż, 
   {{0x20190034,0x75fd0118,0xb5fc008a,0x00000000}},	//   ërim_, _lèzy, _siġu, --, 
   {{0x1db200a2,0x64a60d4a,0x3878024a,0x442602b0}},	//   _जागत, _важа, _kurr_, _wmo_, 
   {{0xe3ba04a0,0x2ee90082,0xe8e00023,0x80270d4b}},	//   _абе_, _sraf_, _diệp_, لرحم, 
   {{0x7c3b0d4c,0x2ee900d9,0x6f1d0d4d,0x44260d4e}},	//   čurk, _praf_, tzsc, _umo_, 
   {{0xa18603a1,0x00000000,0x00000000,0x00000000}},	//   _кыйл, --, --, --, 
   {{0xa3b60d4f,0x6aad02a3,0x6f1d0502,0x9f4902be}},	//   _जाँ_, vraf, rzsc, _unaí_, 
   {{0x61fc02ae,0x6b8d0d50,0xac190d51,0xdd9500f0}},	//   örlu, tbag, гову_, _қаны, 
   {{0x6aad0d52,0xa3b60d53,0x20da0372,0x2ee90d54}},	//   traf, जलि_, ršić_, _traf_, 
   {{0x6b8d0d55,0xda780d56,0xf9930038,0x8c3a0176}},	// [710] rbag, аях_, قبض_, уотӣ_, 
   {{0xd999003f,0x80da0964,0x3da7005b,0x6aad0d57}},	//   انات_, _बनाइ, _триб, rraf, 
   {{0x290700b3,0xa3d602e6,0x69c5007a,0xa3b609d7}},	//   âna_, ाजा_, rfhe, जला_, 
   {{0x6aad002e,0x62890626,0x248508dc,0x7d0802ae}},	//   praf, ypeo, _rtlm_, ädse, 
   {{0x7c2d0d58,0x66e50258,0xa6c90d59,0x6aad00ad}},	//   miar, сола, улла_, qraf, 
   {{0x929d00ab,0x4aac0d5a,0xb0b602e6,0x59c60299}},	//   syłk, _चितव, _अमंग, र्दर, 
   {{0x38780226,0x649803a1,0x610a0248,0x53a503a1}},	//   _gurr_, атыр_, nəld, байб, 
   {{0xf77f091f,0xa954004f,0x2a710d5b,0xd83b011f}},	//   _üç_, _єкті, _hizb_, _рэг_, 
   {{0xd17508a5,0x26cd0548,0xa3d60d53,0xa3c800b0}},	//   йыны, _upeo_, ाज़_, _लउर_, 
   {{0xe1f90d5c,0x7c2d0d5d,0xe6130071,0x00000000}},	//   уго_, hiar, _بشر_, --, 
   {{0x7c2d0a9f,0xd24e00d4,0x7c360d5e,0x91e50176}},	//   kiar, رچه_, ynyr, _ҳоле, 
   {{0x60060d5f,0x9f060038,0x6d400d60,0xc50c0070}},	//   _cómp, موجو, şmak, _שלאָ, 
   {{0x91e50d61,0x201e00e4,0x528500eb,0x64490d62}},	//   _голе, ėti_, _التك, moei, 
   {{0x442d0d63,0x64490d64,0xe29f003e,0x62720035}},	//   lie_, loei, áðu_, _włoc, 
   {{0xf004005e,0x442d0b22,0x7c2d0d65,0x0c7900c8}},	//   _дүни, oie_, fiar, исты_, 
   {{0x442d0d66,0x7c2d0d67,0xb5fc007b,0x75fd0118}},	//   nie_, giar, _jiġr, _vèzy, 
   {{0x63a60d68,0x7c360009,0x0aea0a31,0x442d0d69}},	// [720] ókni, rnyr, ыдай_, iie_, 
   {{0x442d0d6a,0xc3010086,0x3ea20d6b,0x644901d2}},	//   hie_, এনপি_, mskt_, hoei, 
   {{0x442d0d6c,0x7c2d0d6d,0x3ea20d6e,0x1d0a08ac}},	//   kie_, biar, lskt_, _сени_, 
   {{0x442d0d6f,0x2d9a0d70,0xa3b600b0,0x6e2e0d71}},	//   jie_, _hepe_, _जाइ_, libb, 
   {{0x442d0d72,0x3ea20d73,0xdcfc00e0,0xe737021d}},	//   die_, nskt_, karī, бец_, 
   {{0x6e2e0405,0x27e00d74,0x9e7b0070,0x19fa00b3}},	//   nibb, žin_, אנספ, _сэмь_, 
   {{0xdcfc00e0,0x344a0d75,0x291e004f,0x2d9a023e}},	//   darī, лчин_, _åta_, _mepe_, 
   {{0x442d0d76,0x2d9a0d77,0x64490068,0x6e2e0d78}},	//   gie_, _lepe_, goei, hibb, 
   {{0x3866014e,0xe73a02a0,0x610a00ad,0x00000000}},	//   mmor_, _сеа_, zəld, --, 
   {{0x7c2d0d79,0x442d0d7a,0x2d9a03a0,0x3f820083}},	//   ziar, aie_, _nepe_, ecku_, 
   {{0x442d0d7b,0xa1580849,0xa3b60d7c,0xf99300d1}},	//   bie_, рану_, _जाऊ_, הרת_, 
   {{0x442d0d7d,0x395700a7,0xe29a01a2,0x7c2d0d7e}},	//   cie_, משים_, _бад_, xiar, 
   {{0x7c2d0d7f,0x799e0d80,0x6e2e0036,0xa2b20110}},	//   viar, kapw, fibb, _आमट्, 
   {{0xdb0d02a0,0x2d9a0d81,0x6e2e052b,0x7c2d0083}},	//   lgaç, _cepe_, gibb, wiar, 
   {{0x7c2d0d82,0x2d9a0089,0x6c850038,0x6a690009}},	//   tiar, _depe_, تلزم, _užfi, 
   {{0x388100e4,0x9f3500f0,0x7bd6011c,0x00000000}},	//   _nėra_, _мейі, geyu, --, 
   {{0x7c2d02ba,0x99990d83,0xa3b605d2,0x2d9a0415}},	// [730] riar, икат_, _जाई_, _fepe_, 
   {{0x442d0d84,0x6fb50399,0x7c2d0d85,0xff1800d1}},	//   zie_, _امکا, siar, _לקחת_, 
   {{0x442d0237,0x9f5203a0,0x3c5900d9,0x7bd60027}},	//   yie_, _anyè_, _винэ_, beyu, 
   {{0x28ba034d,0x64490183,0x38660d86,0x00000000}},	//   _उमरि, xoei, gmor_, --, 
   {{0x442d0d87,0xc9870d88,0xb6c70d89,0x6605069b}},	//   vie_, _губи, ссей, жпла, 
   {{0x442d0d8a,0xd9fd0509,0xa3b60d8b,0x853c012d}},	//   wie_, _उचित_, _जाउ_, _idėj, 
   {{0x442d0d8c,0x69d70d8d,0x64490d8e,0x00000000}},	//   tie_, mexe, toei, --, 
   {{0x52a90d8f,0xd7f800f6,0x3ea203c5,0x69d70d90}},	//   авим_, _луу_, yskt_, lexe, 
   {{0x28e10081,0x2d8300ab,0x64490511,0x130600c8}},	//   फिकि, kcje_, roei, жный_, 
   {{0x442d0d91,0x69d70151,0x7d080bf7,0x7bd60027}},	//   sie_, nexe, ødsk, zeyu, 
   {{0x442d0d92,0x64490d93,0x7bd60d94,0xdbc600c2}},	//   pie_, poei, yeyu, mööd, 
   {{0xa3b60d95,0xa2b202f8,0x62860032,0x245800b3}},	//   _जाए_, _आमच्, íkoc, _лахь_, 
   {{0x2d9a0d96,0xe2990d97,0xb7da00d1,0x6d5802d9}},	//   _pepe_, _тал_, בקרי, _úvaz, 
   {{0x63bb0d98,0x5fdc0d99,0x3ea20d9a,0x712508b6}},	//   lgun, _बसवल, rskt_, _ورغل, 
   {{0xc5f200a7,0x7c3a0d9b,0x69d70d9c,0x3866017c}},	//   ודם_, étro, dexe, ymor_, 
   {{0x3ead0d9d,0x26df0082,0x6e2e0d9e,0x799e095a}},	//   šeta_, _osuo_, sibb, wapw, 
   {{0x61e30d9f,0x81dc0086,0x32070da0,0x799e0da1}},	// [740] _kanl, ডার_, _kony_, tapw, 
   {{0x63bb0da2,0x00000000,0x00000000,0x00000000}},	//   hgun, --, --, --, 
   {{0x32070379,0x61e30da3,0x63bb0da4,0x5fc10da5}},	//   _mony_, _manl, kgun, ष्कल, 
   {{0xb8f20da6,0x46ea0da7,0x6d5e0da8,0x61e303c6}},	//   _वह_, иден_, _izpa, _lanl, 
   {{0x38660c43,0x0aa3004e,0xe6660da9,0x4e0e0bb9}},	//   rmor_, _оңтү, отко, _हवाई_, 
   {{0xb0a9047c,0x320700a9,0x61e30daa,0x63bb0dab}},	//   _किंग, _nony_, _nanl, egun, 
   {{0xa3d600a5,0x9f4500bc,0x69ce0dac,0xf8b0010e}},	//   ाजल_, ělé_, _ibbe, _سکا_, 
   {{0x799c0dad,0x61e301a9,0x87b903dc,0x2fc001a0}},	//   _herw, _aanl, _гуфт_, _ncig_, 
   {{0x61e30dae,0x2d830035,0x69c109d8,0x764a0daf}},	//   _banl, ycje_, र्की, pofy, 
   {{0x61e30db0,0x3218006a,0x799c0026,0x320700f6}},	//   _canl, óry_, _jerw, _cony_, 
   {{0x63bb0a9f,0x32070db1,0x799c0876,0xb97b042c}},	//   bgun, _dony_, _merw, יניי, 
   {{0x68e301cc,0x27e60db2,0x69ca0db3,0x799c0db4}},	//   ændi, ndon_, स्ती, _lerw, 
   {{0x26c60db5,0x73360019,0x2ee00183,0x61e302f1}},	//   ntoo_, _برائ, _csif_, _fanl, 
   {{0xd34400c5,0x63a00db6,0x61e30156,0x32070d35}},	//   _ویژه_, lamn, _ganl, _gony_, 
   {{0x27e6012b,0x64b802e6,0x6b84032f,0x0b270033}},	//   kdon_, _इमोश, fcig, _মডেল_, 
   {{0x27e405a1,0x32070db7,0xe3ac0086,0x27e60db8}},	//   _namn_, _zony_, ক্রব, jdon_, 
   {{0x799c0db9,0xa3cc0239,0x0dcb00cf,0x69d703da}},	// [750] _berw, श्य_, _куни_, texe, 
   {{0x3eb90dba,0xaaac0466,0x63a00dbb,0x61e30248}},	//   must_, _चिरक, hamn, _xanl, 
   {{0x799c0dbc,0x69d7040a,0x3eb9007e,0xa3ab007e}},	//   _derw, rexe, lust_, _कएल_, 
   {{0x69d70dbd,0x69ce0dbe,0x6b8402a3,0x661a0dbf}},	//   sexe, _ebbe, ccig, _altk, 
   {{0xd6db0dc0,0x799c0dc1,0x69d70dc2,0x3eb900b0}},	//   рте_, _ferw, pexe, nust_, 
   {{0x95cb0dc3,0x62720035,0x20090023,0xd5b10038}},	//   руда_, _słon, _loai_, رفع_, 
   {{0x1c0f0dc4,0x91fc00e0,0x63bb0dc5,0x6b9d040c}},	//   _सवाल_, rmāl, tgun, _kesg, 
   {{0xd7c900d4,0x61e30dc6,0x3eb9007e,0xe2990dc7}},	//   _دوره_, _sanl, kust_, баи_, 
   {{0x63bb0dc8,0x61e30dc9,0x799c052b,0x32070dca}},	//   rgun, _panl, _yerw, _pony_, 
   {{0x2ea8072f,0x66080dcb,0x3eb90dba,0x63bb0dcc}},	//   _कटौत, _godk, dust_, sgun, 
   {{0x61e30dcd,0xa3bb0116,0x610a00ad,0x3207023a}},	//   _vanl, _ناشر_, vəlc, _vony_, 
   {{0x63a00dce,0xb4e7047c,0x22800cd7,0x54370116}},	//   camn, यटी_, _fòk_, _برطر, 
   {{0xe8030dcf,0x61e300cf,0x3eb90dd0,0xe2850dd1}},	//   _रचना_, _tanl, gust_, _элли, 
   {{0x321e0dd2,0xfc3f0369,0x27380108,0xc4bf00bc}},	//   chty_, _ají_, ẩng_, _एमाओ, 
   {{0xed5a0dd3,0x7aef0dd4,0x27e60dd5,0xdbd9008c}},	//   сов_, _arct, ydon_, tæðu, 
   {{0x799c0da6,0x6b9d0dd6,0x6aa40dd7,0x3eb90dd8}},	//   _serw, _cesg, tsif, bust_, 
   {{0x0b430dd9,0x799c0dda,0x6b840ddb,0xdbd9008c}},	// [760] ентн, _perw, rcig, ræðu, 
   {{0x6aa4005c,0x6b840ddc,0x09e30ddd,0x63a00248}},	//   rsif, scig, ноун, zamn, 
   {{0x799c0dde,0x63a00ddf,0x6b9d0068,0x1b040086}},	//   _verw, yamn, _fesg, _রেখে_, 
   {{0xdcf500ab,0x799c0de0,0x79850de1,0x26c60de2}},	//   jczę, _werw, achw, ttoo_, 
   {{0x799c0de3,0x66080de4,0x27e60de5,0xe3c30033}},	//   _terw, _podk, rdon_, ্যাব, 
   {{0xd49a0de6,0x26c60088,0x98a60de7,0xa96a0ca4}},	//   бри_, rtoo_, _ниге, _гига_, 
   {{0x628b00f8,0x27e60de8,0x80da0035,0x26c60de9}},	//   _atgo, pdon_, _बनें, stoo_, 
   {{0xb60300e0,0xa3b6010b,0x04630dea,0x94dc00c2}},	//   īšan, _जाओ_, нтым, _मनीआ, 
   {{0x27f7000d,0x2bce00a2,0x186703b9,0xf2c30009}},	//   šení_, ह्या, _хати_, нсэн, 
   {{0x59cf00a2,0xe8e000e7,0x3eb9007e,0x63a0008c}},	//   स्पर, _nhịp_, vust_, samn, 
   {{0x69c10cb8,0x3eb9012e,0x00000000,0x00000000}},	//   र्टी, wust_, --, --, 
   {{0x3eb90077,0x5ed60033,0x8fa405b2,0xa3b6072d}},	//   tust_, দিনে, наџе, _जाट_, 
   {{0x6b9d0deb,0x798500f8,0x24490dec,0x3f1401d8}},	//   _resg, ychw, _بجلي_, едяс, 
   {{0x99ce00cc,0x6b9d001d,0x3eb90ded,0x00000000}},	//   রযুক, _sesg, rust_, --, 
   {{0x61f80318,0x3eb9007e,0x248c0036,0xddde010e}},	//   _invl, sust_, _jtdm_, _cipő, 
   {{0x3eb90dee,0x5c740def,0x315700d1,0x25fe058c}},	//   pust_, елст, _מיון_, लाडी_, 
   {{0x3eb90df0,0x3a7502f1,0x00000000,0x00000000}},	// [770] qust_, длар, --, --, 
   {{0xdce701f0,0xa3cc0262,0xdcf50035,0x9967048c}},	//   sajı, श्त_, zczę, птел, 
   {{0x02d90351,0x79850df1,0xb4d601a4,0x52d900bc}},	//   _भन्न, rchw, िबो_, _भन्स, 
   {{0x798502f2,0x69c8027e,0x69c10df2,0x00000000}},	//   schw, _öden, र्जी, --, 
   {{0x601f00e5,0x55e50df3,0x068400f0,0x61f8040b}},	//   _këmb, долб, егін, _onvl, 
   {{0x7bcd0df4,0x7aed0df5,0x8afa00d1,0x7e77008a}},	//   lfau, mvat, _והשי, _jixp, 
   {{0x20f007c7,0x04450df6,0x7aed0df7,0xa50600fd}},	//   nđić_, мекн, lvat, деща_, 
   {{0x3ea90df8,0xfcaa07f5,0x61f805d5,0x3e640219}},	//   _ovat_, קיפּ, _anvl, möte_, 
   {{0x7aed0df9,0x6612039f,0xf1a503a1,0x00000000}},	//   nvat, ükkö, үрүн, --, 
   {{0xbebb024a,0x7aed0dfa,0x6d45021e,0x00000000}},	//   tzën, ivat, _oxha, --, 
   {{0x7aed090b,0x6d45006d,0xa06a0dfb,0xa3c807d5}},	//   hvat, _nxha, жана_, _लॉक_, 
   {{0x7aed00d2,0xe4d40019,0x00000000,0x00000000}},	//   kvat, _ستمب, --, --, 
   {{0x7aed0a1a,0x6d49020f,0x00000000,0x00000000}},	//   jvat, şeal, --, --, 
   {{0x7a200019,0x59cf0c64,0x7aed0dfc,0x00000000}},	//   _köte, स्मर, dvat, --, 
   {{0xafe600cf,0x42520019,0x7bcd0dfd,0x7aed0dfe}},	//   _жойл, _جنور, ffau, evat, 
   {{0x7a20014e,0xc17200a7,0x442f0dff,0x2019024a}},	//   _möte, _בחו_, _jmg_, ërit_, 
   {{0xfaa30e00,0x442f0e01,0x7989010c,0x2eff0380}},	// [780] като, _mmg_, _şewa, äuft_, 
   {{0xee37005e,0xe9d70e02,0x601f024a,0x4a430b97}},	//   _оны_, мку_, _vëme, внув, 
   {{0xb4ac00a5,0xd7e6004f,0x3ea9035f,0x6d400e03}},	//   _कटे_, діло, _zvat_, ğmas, 
   {{0x9f400e04,0x6a8600cf,0x6d40091f,0xafdb0a1f}},	//   _unió_, _олма, şmas, rnøg, 
   {{0xa3c800ab,0xc7a30aa3,0xd6d00e05,0x7aed00b3}},	//   _लॉग_, тичк, اقت_, cvat, 
   {{0x7a200219,0x3eaf02c9,0x6b96050f,0xe8df0023}},	//   _böte, _ægte_, lbyg, _luộc_, 
   {{0xf8d20c46,0x68e302c9,0xa5c40083,0x00000000}},	//   _सहिय, ændt, _राठौ, --, 
   {{0x6b9600dd,0xd4670267,0x00000000,0x00000000}},	//   nbyg, мије_, --, --, 
   {{0x427400cf,0xd4030e06,0x00000000,0x00000000}},	//   нгис, тящи, --, --, 
   {{0x61e804a8,0xf8d20e07,0xdb150107,0x00000000}},	//   uddl, _सहाय, ébéc, --, 
   {{0xd130057f,0x7a20022b,0x7aed08b1,0xe8df001b}},	//   امج_, _göte, zvat, _buộc_, 
   {{0xe8df0029,0x7aed026e,0x442f0036,0x4de70790}},	//   _cuộc_, yvat, _gmg_, _छोड़े_, 
   {{0xd6d900ab,0x6b960e08,0x2ef200f8,0x00000000}},	//   _były_, dbyg, _cryf_, --, 
   {{0x7aed02f1,0x2ef20326,0x6ab60326,0x00000000}},	//   vvat, _dryf_, dryf, --, 
   {{0x1bd50141,0xfe240e09,0x645c01dd,0x00000000}},	//   новя, тьян, _īrij, --, 
   {{0x506700cf,0x20f00097,0x5fc602e6,0xec6807f4}},	//   _ўтка, rđić_, _वायल, друк_, 
   {{0x2ef20e0a,0x20190e0b,0xafdb0d09,0x625d011c}},	// [790] _gryf_, ūris_, rnød, kèol, 
   {{0x6d450e0c,0xe9d30038,0x69ca0e0d,0x9e670e0e}},	//   _txha, ضغط_, स्ली, _تابن, 
   {{0x5884058b,0x7aed0e0f,0x5c750e10,0x47c70033}},	//   выча, svat, _плот, _রোগী, 
   {{0x20190e11,0x99640e12,0x39580b48,0x00000000}},	//   nksi_, ттул, _dyrs_, --, 
   {{0x201900c8,0x59c70d0d,0x97350e13,0x00000000}},	//   iksi_, _लापर, رکرا, --, 
   {{0x68e3055f,0x644200c8,0x2ba7009a,0x649903a1}},	//   ænds, _ajoi, गणका, птир_, 
   {{0x19580e14,0xafdb017b,0x00000000,0x00000000}},	//   _жары_, sløy, --, --, 
   {{0xe73900f8,0x1309004f,0x58d40bfd,0xafdb00fc}},	//   _ddŵr_, зний_, _шост, pløy, 
   {{0x7c3a03b7,0x9f9d008c,0xf6b50019,0x95cb0e15}},	//   étri, væði_, _سماج, _мужа_, 
   {{0x569403dc,0x20190088,0xc879010c,0x7a200380}},	//   _рафт, eksi_, _hiş_, _töte, 
   {{0x6e3504d1,0xf8df00bd,0x442f0e16,0x69c20083}},	//   dizb, नबिय, _tmg_, _लासी, 
   {{0xcdc90056,0x80a000ab,0x59cf0e17,0x3cf900c9}},	//   _לך_, _खबरे, स्तर, _उपजे_, 
   {{0xef170e18,0x9f9d008c,0x6e3503c8,0x00000000}},	//   емя_, ræði_, fizb, --, 
   {{0xfce60e19,0x645b0e1a,0x91e201a2,0xc6920070}},	//   ного, llui, _боше, ראם_, 
   {{0xa3cc08b3,0xeb9a02f1,0x81c80086,0x1d0a0e1b}},	//   श्व_, зиб_, _লোক_, чеви_, 
   {{0x443f0e1c,0x645b0e1d,0xa0a20240,0x0eaa00b3}},	//   nnu_, nlui, _саъд, _екий_, 
   {{0x34dc03be,0x443f0e1e,0x6b960e1f,0x7ae9014b}},	// [7a0] _मन्द, inu_, rbyg, _šetr, 
   {{0x6b960e20,0x8e9700d1,0x443f0e21,0x6d400248}},	//   sbyg, _רדיו_, hnu_, şmaq, 
   {{0x2d980e22,0xf1c20e23,0x69c801f0,0x6b9604f4}},	//   mbre_, _शासन, _ödem, pbyg, 
   {{0x443f0e24,0x7afb0a1a,0xcfb20033,0x41cf0110}},	//   jnu_, _šute, ট্রন, त्तस, 
   {{0x443f0e25,0xc8790384,0x68e30566,0x2caa00b9}},	//   dnu_, _diş_, ændr, lsbd_, 
   {{0x443f0e26,0x45d40e27,0xa3c802e6,0x9f4000b9}},	//   enu_, токс, _लॉज_, _maià_, 
   {{0x443f0e28,0x69de0548,0x5fc600a2,0x1dd20c73}},	//   fnu_, mepe, _वाढल, द्यत, 
   {{0x66e60e29,0x6b7b00c7,0x25fe00a2,0x645b0e2a}},	//   _поба, ּרינ, लाही_, glui, 
   {{0xe7d503c0,0x66b200f0,0x00000000,0x00000000}},	//   lığı, _сұлу, --, --, 
   {{0x443f00d9,0x9fd00086,0x69de0e2b,0xe5a30e2c}},	//   anu_, িযোগ, nepe, _бифи, 
   {{0x7c240e2d,0x443f0e24,0x3a3700d1,0x610a00ad}},	//   khir, bnu_, תרים_, cəll, 
   {{0x645b0e2e,0x351b00a7,0x2d980126,0x25fe0110}},	//   clui, _מובנ, ebre_, लावी_, 
   {{0x69de0e2f,0x20190e30,0x6e350502,0xdefb0e31}},	//   kepe, rksi_, tizb, чын_, 
   {{0xa3cc034d,0x9325010e,0x63a20175,0x127b0070}},	//   श्र_, _جرمن, _heon, _זאגע, 
   {{0x63a20e32,0x69de0e33,0x6282011c,0xc0e30477}},	//   _keon, depe, _huoo, _бојк, 
   {{0xe7d50749,0x63a20e34,0x61ea0e35,0x6282018e}},	//   dığı, _jeon, _hafl, _kuoo, 
   {{0xf1a40e36,0x61ea0d68,0x63a20e37,0x320e0054}},	// [7b0] _खजान, _kafl, _meon, _kofy_, 
   {{0x63a20e38,0x443f0e39,0x69de0e3a,0x5a340e3b}},	//   _leon, znu_, gepe, гнут, 
   {{0x443f0e3c,0x7c240e3d,0x47bc0033,0xdb16039f}},	//   ynu_, bhir, োজনী, rgyá, 
   {{0x7c240e3e,0x61ea0e3f,0x610a00ad,0x28d200c2}},	//   chir, _lafl, vəll, _सहरि, 
   {{0x443f02f5,0x44240084,0x69de0a58,0x66e50e40}},	//   vnu_, dhm_, bepe, тола, 
   {{0x27e900f1,0xe6180e41,0x69de0e42,0x7bdf0e43}},	//   žan_, нді_, cepe, lequ, 
   {{0x443f0112,0x645b0e44,0x6e200034,0x3eb90502}},	//   tnu_, tlui, ëmbi, hrst_, 
   {{0x7bdf02aa,0x33d500f0,0x00000000,0x00000000}},	//   nequ, тікт, --, --, 
   {{0x63a20e45,0x645b0e46,0x045600eb,0x320e0054}},	//   _deon, rlui, خلية_, _bofy_, 
   {{0x443f090b,0x645b0e47,0xd24e00b1,0x7bdf0e48}},	//   snu_, slui, يني_, hequ, 
   {{0x25fe0e49,0x61450e4a,0x63a201a7,0x61ea00f8}},	//   लारी_, тена, _feon, _dafl, 
   {{0x69de0e4b,0x7a2002ae,0x6d5a01a4,0x00000000}},	//   zepe, _möta, ütam, --, 
   {{0x69c702a8,0xf1d100f6,0x69de0e4c,0xdb060098}},	//   _ocje, _көнө, yepe, _odká, 
   {{0xdd920040,0x61ea0e4d,0x69de00b4,0x00000000}},	//   شور_, _gafl, xepe, --, 
   {{0xed570e4e,0xada30e4f,0x7c240e50,0x63a20089}},	//   вор_, расл, thir, _yeon, 
   {{0x1c430e51,0x63a20042,0x60d607e4,0x69de018e}},	//   ансм, _xeon, _יוצא_, wepe, 
   {{0x6a830e52,0xeab1006b,0x7c2403c6,0xc1e50e53}},	// [7c0] илта, یعے_, rhir, _कसाब_, 
   {{0x7c240e54,0xceb9000d,0x68f5026e,0x61ea01cf}},	//   shir, áře_, _brzd, _xafl, 
   {{0x291c0c7f,0x7c240364,0x69de0e55,0x7bdf0e56}},	//   áva_, phir, repe, bequ, 
   {{0x69de0e57,0x7bc600ef,0xe73a0209,0x7ae60102}},	//   sepe, _ucku, мее_, _tskt, 
   {{0x63a200ef,0xc5f8004e,0x69de0e58,0x627200ab}},	//   _reon, нға_, pepe, _głow, 
   {{0x4a750088,0x63a20e59,0x7bc40e5a,0x7ae40e5b}},	//   _быст, _seon, lgiu, mwit, 
   {{0x63a20e5c,0x98a30e5d,0x7a200219,0x7ae40326}},	//   _peon, _висе, _göta, lwit, 
   {{0x61ea02bf,0x7bc40e5e,0xa78500eb,0xf1cf0249}},	//   _safl, ngiu, _مشكو, त्सन, 
   {{0x7c23002e,0x59cf000c,0x7ae401f2,0x32540e5f}},	//   _înre, स्वर, nwit, лвир, 
   {{0x610a0095,0x63a20126,0x05c90035,0x7aeb02c9}},	//   səlm, _weon, _रायब, ægti, 
   {{0x859b02a1,0x9f4e026e,0x3ea00e60,0x85060e61}},	//   _חשבו, čným_, _awit_, _جوان, 
   {{0xc9530056,0x7ae40e62,0xe7b400b0,0x7d0300f6}},	//   ימת_, kwit, ुलिप, _ànsi, 
   {{0xd5c9007e,0x05c90c59,0x61ea0e63,0x81d40165}},	//   _रामज, _रामब, _tafl, _болх, 
   {{0x6e940088,0x7ae4044d,0x7bc400c2,0x00000000}},	//   риру, dwit, egiu, --, 
   {{0x6272006a,0x7bdf0e64,0x1dd205d0,0xc27b035c}},	//   _słow, tequ, द्धत, _קרוי, 
   {{0xd10f034d,0x7bc40141,0xe3c90183,0xa17700d1}},	//   ाहरण_, ggiu, mañá_, _בעוד_, 
   {{0xdb1d05d5,0x41cf021a,0x7a2002ae,0x3e6b03a1}},	// [7d0] _absò, त्वस, _söta, _ошон_, 
   {{0x7bdf06a5,0x200b044e,0xf7f400c5,0x2ee900f8}},	//   sequ, ljci_, یسند, _isaf_, 
   {{0x2d81016c,0xf8b600d3,0xac190596,0xa7b900f0}},	//   _ighe_, лөт_, _зону_, елеу_, 
   {{0x787a031e,0xc8640e65,0x7ae40e66,0x3ea00118}},	//   _důvo, атчи, bwit, _ywit_, 
   {{0xdb0d00c2,0x601f021e,0x00000000,0x00000000}},	//   ngaü, _lëmo, --, --, 
   {{0x69c70e67,0x65c50e68,0x6b8d0e69,0x26360035}},	//   _ucje, убка, lcag, słon_, 
   {{0x6aad0a04,0x00000000,0x00000000,0x00000000}},	//   lsaf, --, --, --, 
   {{0x6b8d0e6a,0x2fc9006d,0x69c50e6b,0x32cb00dd}},	//   ncag, _ncag_, lghe, tøy_, 
   {{0x2bd50e6c,0x65950e6d,0x69ca0e6e,0x00000000}},	//   ड्या, _базу, स्की, --, 
   {{0x2d810029,0x27ed0e6f,0xb22200d3,0x32cb004f}},	//   _nghe_, _haen_, ймыл, røy_, 
   {{0xe4cb0e70,0x69c50094,0x1acf0086,0x2ee90e71}},	//   _زبان_, ighe, রিয়া, _asaf_, 
   {{0x27ed0e72,0x7643016a,0xf3f00038,0x6aad0e73}},	//   _jaen_, lnny, _وأن_, ksaf, 
   {{0x25a50e74,0x27ed0e75,0x63a90e76,0xdcee04be}},	//   _kell_, _maen_, maen, vabı, 
   {{0x27ed0e77,0x63a90e78,0x3d28009c,0x6aad0e79}},	//   _laen_, laen, نتزی_, dsaf, 
   {{0x61e10e7a,0x27ff0e7b,0x03e600cc,0xdcee07fa}},	//   mell, _onun_, কারী_, tabı, 
   {{0x61e10e7c,0x6b8d0574,0xf1cf0e7d,0x63a90e7e}},	//   lell, gcag, त्रन, naen, 
   {{0xab660353,0x200002cd,0x764302cd,0x6459044d}},	// [7e0] увал, _inii_, knny, _mkwi, 
   {{0x25a5048a,0xdcee07fa,0x787a031e,0x63a907d7}},	//   _nell_, sabı, _půvo, haen, 
   {{0x7ae40e7f,0x61e10093,0x610a0095,0x60c10e80}},	//   swit, iell, vəlk, nulm, 
   {{0x61e10e81,0x6b8d0e82,0x27ed0e83,0x201200a3}},	//   hell, ccag, _caen_, _joyi_, 
   {{0x61e10e84,0x7e7e0e85,0x63a90e86,0x25a500df}},	//   kell, _kipp, daen, _bell_, 
   {{0x7e7e0405,0x61e10e87,0x25a50e88,0x64590e89}},	//   _jipp, jell, _cell_, _akwi, 
   {{0x61e10e8a,0x25a50e8b,0x83fd0019,0x63a900b9}},	//   dell, _dell_, klőd, faen, 
   {{0x76430730,0x3a3a0e8c,0x44220019,0x7e7e0e8d}},	//   anny, lipp_, ók_, _lipp, 
   {{0x61e10e8e,0x57460e8f,0x610a0095,0xe3af0e90}},	//   fell, _снаб, məli, سري_, 
   {{0x61e10e91,0x64590e92,0xf1c6031e,0x200000d9}},	//   gell, _ekwi, _část_, _anii_, 
   {{0x63a90c36,0x20120e93,0x2bd50299,0xca570147}},	//   baen, _boyi_, ड्डा, רייז_, 
   {{0x0eeb0088,0x25a50e94,0x69c50474,0x610a0248}},	//   ньги_, _zell_, zghe, nəli, 
   {{0x9f42010c,0xe29603b7,0x248501ff,0x69c502c9}},	//   lekê_, _среќ, _zulm_, yghe, 
   {{0x61e10e95,0x7e7e02a3,0x7a2002ae,0x25a500b9}},	//   cell, _cipp, _sötn, _xell_, 
   {{0x9f42010c,0x23b800b0,0xdd940e96,0x9ed80259}},	//   nekê_, _इयाद, сасы, _ұмыт_, 
   {{0x60df006b,0x7c8400f0,0xc0c704b6,0x6d5e021e}},	//   őzmé, суре, _суше_, _dypa, 
   {{0x5a350e97,0x765a0e98,0x76430e99,0xc88000ad}},	// [7f0] анат, _okty, ynny, əşir_, 
   {{0x27ed03da,0x321e00ab,0x6b8d0e9a,0x6aad0e9b}},	//   _saen_, nkty_, scag, rsaf, 
   {{0xa3e50262,0x69c50e9c,0x6aad0e9d,0x99670e8f}},	//   _फसल_, rghe, ssaf, утал, 
   {{0x61e10e9e,0x765a0e9f,0x627200ab,0x67d50ea0}},	//   zell, _akty, _złot, роду, 
   {{0x25a50ea1,0x60c10ea2,0x7643016a,0x35a5022c}},	//   _pell_, zulm, tnny, аалг, 
   {{0xf7700ea3,0x61e10a3f,0x60c104be,0xbb3a035c}},	//   سان_, xell, yulm, _יערי, 
   {{0x25a50ea4,0x61e10ea5,0x63a90ea6,0x7643016a}},	//   _vell_, vell, taen, rnny, 
   {{0x61e10ea7,0x25a50056,0x7643016a,0x321e0083}},	//   well, _well_, snny, ekty_, 
   {{0x61e1074a,0xcb1200c7,0x25a500a7,0x52a60009}},	//   tell, ַלט_, _tell_, авым_, 
   {{0x63a90ea8,0x60c10540,0x22150ea9,0x046700f0}},	//   saen, tulm, рфир, _өтем, 
   {{0xc5fa00c7,0x63a90eaa,0x386d0118,0xb5fa00c7}},	//   _שפעט, paen, _kher_, _שלעכ, 
   {{0x61e10eab,0x43750593,0x60c1091f,0x64590199}},	//   sell, _култ, rulm, _ukwi, 
   {{0x60c10eac,0xe7d70ead,0x7afb0eae,0x7e7e0eaf}},	//   sulm, ण्यप, _šutn, _pipp, 
   {{0x387f085f,0x6da30eb0,0x60c10eb1,0x610a00ad}},	//   _liur_, жира, pulm, zəli, 
   {{0xed5a0eb2,0xe8160081,0x6286026e,0xdca60eb3}},	//   тов_, _थकला_, íkov, раби, 
   {{0x20000eb4,0x6d5e037f,0xff5f009e,0x387f00a1}},	//   _unii_, _vypa, mgîn_, _niur_, 
  
   {{0x7e7e0eb5,0xdee600cf,0x627200ab,0x6d5e00ab}},	// [800] _tipp, _топи, _głos, _wypa, 
   {{0x9f420216,0x386d016a,0x6d4100eb,0x3c3f00c8}},	//   yekê_, _aher_, úlac, tävä_, 
   {{0xff5f010c,0x78a200ef,0x6e3c0eb6,0x57a600a3}},	//   ngîn_, ćovo, mirb, ашла, 
   {{0x386d026d,0xd7f900f0,0xe8df0108,0xd90d0eb7}},	//   _cher_, луі_, _cuốc_, ریق_, 
   {{0x66f40eb8,0x386d01be,0x387f0eb9,0xc6a30eba}},	//   сплу, _dher_, _diur_, орщи, 
   {{0xfaa30ebb,0x386d02f2,0x9f42009e,0xdb060034}},	//   _фаро, _eher_, tekê_, _lekë, 
   {{0x29070219,0x7589004f,0x00000000,0x00000000}},	//   änat_, усів_, --, --, 
   {{0x9f42009e,0x6a6b0380,0x986a00b3,0x68e20083}},	//   rekê_, rüfe, _рибб_, łods, 
   {{0xf5ea04a0,0x7989010c,0x6e3c0104,0xdb0d003e}},	//   _имал_, _şewi, kirb, ngað, 
   {{0xd4d600e4,0x387f01ca,0xe8040110,0x00000000}},	//   _відэ, _ziur_, ळावा_, --, 
   {{0x6e3c0ebc,0x7416009c,0x60190009,0x506701ff}},	//   dirb, _پوشا, гоня_, итма, 
   {{0xdb060ebd,0x76580ebe,0x7d1c0ebf,0x91fc0243}},	//   _vekê, lovy, dyrs, flāc, 
   {{0x22940ec0,0x44260ec1,0x329400eb,0xd0420095}},	//   _التس, _ilo_, _التأ, ntlə, 
   {{0x4426006f,0x7c26052b,0x765800da,0x91e30080}},	//   _hlo_, _alkr, novy, _моче, 
   {{0x44260ec2,0xda05000f,0x2ba70aa3,0x627200ab}},	//   _klo_, रासत_, ијав, _włos, 
   {{0xf21c0262,0x5bb80088,0x717b00a7,0xd04200ad}},	//   _पकड़_, ился_, _בנוס, ktlə, 
   {{0xb06600b0,0x32d00023,0x44260548,0x3cfa00b9}},	// [810] svää, này_, _mlo_, _erpv_, 
   {{0x44260ec3,0xb98502c0,0x6e3c00ef,0x386d0dc5}},	//   _llo_, стақ, cirb, _sher_, 
   {{0xda780ec4,0x44260ec5,0x4f580a24,0xfb870b58}},	//   рят_, _olo_, _مجید_, _выгн, 
   {{0xe8df00f7,0xd1260105,0xa7750ec6,0x7aeb02c9}},	//   _quốc_, _ہم_, блеч, ægts, 
   {{0xff5f009e,0x6eaa0d53,0x6f1d0ec7,0x610a0248}},	//   zgîn_, जीपु, nysc, məlu, 
   {{0xe5a20ec8,0xcb120486,0x2d910ec9,0x00000000}},	//   пиши, _צלם_, ncze_, --, 
   {{0x4426008b,0x29070eca,0xb4e1009a,0x00000000}},	//   _blo_, ånad_, धबे_, --, 
   {{0x43690ecb,0x44260ecc,0x13e902f1,0xd5c902e6}},	//   лайн_, _clo_, умий_, _रावज, 
   {{0x44260cd7,0x56940ecd,0x765800de,0x00000000}},	//   _dlo_, _матт, bovy, --, 
   {{0x44260ece,0xb2250ecf,0xaac80299,0x786a00da}},	//   _elo_, смол, िंतक, mýva, 
   {{0x6d4006a2,0x7afb0372,0x1b1b0033,0x786a0ed0}},	//   şmaz, _šutl, _নেমে_, lýva, 
   {{0x44260ed1,0xdee60ed2,0x92d60033,0x6e3c0502}},	//   _glo_, боми, ায়ে_, wirb, 
   {{0x28c902e6,0x2bcb0ed3,0x6e3c0a6d,0x527502aa}},	//   ांडि, िलना, tirb, _луку, 
   {{0xe29c00c7,0x216902f1,0x7d1c0034,0x51950038}},	//   _ישׂר, _йили_, tyrs, _الغذ, 
   {{0x82340ed4,0x1d1902fb,0x6fc1009a,0x50db0ed5}},	//   _برنا, ають_, _वाचू, _बहिष, 
   {{0x61b700a2,0x3b860ed6,0x6f1d0ed7,0x2d910083}},	//   _आयुष, слаг, bysc, acze_, 
   {{0xe9da0ed8,0xc05300a7,0x3b0702c4,0x62720083}},	// [820] лка_, _מזה_, бето_, _kłop, 
   {{0x7dea0080,0xdb0d01d5,0xf9c40e0e,0x00000000}},	//   _смог_, rgað, تحری, --, 
   {{0xe804009a,0xd23a0070,0x76580ed9,0x00000000}},	//   ळाला_, נגעל, vovy, --, 
   {{0xa96700fd,0xa2aa0eda,0xbb7601d8,0x00000000}},	//   щиха_, _फ़िल्, _гугъ, --, 
   {{0x2907014e,0x628f0edb,0x442600ca,0x765800da}},	//   änar_, ícol, _rlo_, tovy, 
   {{0x44260edc,0xd0420095,0xe4a60edd,0x644b00b9}},	//   _slo_, rtlə, брио, _ajgi, 
   {{0x26190ede,0xd497012d,0xd0420095,0x6f1d0035}},	//   _बकरी_, бры_, stlə, zysc, 
   {{0x290500d0,0x786a0edf,0x941800c8,0x3c2700c2}},	//   _šlag_, býva, ржит_, _kõva_, 
   {{0x59cf0ee0,0x27e60ee1,0x6a700219,0x69c80ee2}},	//   स्कर, meon_, räff, _ödes, 
   {{0x6d4003c0,0xdb060574,0x20f700b3,0x09e60033}},	//   şmay, _ceké, _băi_, নাকা, 
   {{0x69dc0ee3,0x44260ee4,0x69ce0118,0x20f7020f}},	//   _mbre, _tlo_, _mcbe, _căi_, 
   {{0x438600eb,0x44260ee5,0x2d9100ab,0x442000e7}},	//   _الإق, _ulo_, wcze_, _ôi_, 
   {{0x69dc0ee6,0x00000000,0x00000000,0x00000000}},	//   _obre, --, --, --, 
   {{0x44f800e7,0xdd9403fd,0x2d85017b,0x25fe0299}},	//   _kĩ_, зары, øle_, लाटी_, 
   {{0x786a0377,0x2d910035,0xb4250083,0xceb400ad}},	//   zýva, rcze_, łżeń, _evə_, 
   {{0x9f42009e,0xa3cc0ee7,0x44f80023,0x00000000}},	//   mekî_, श्च_, _mĩ_, --, 
   {{0x7b670ee8,0x9f42010c,0x9f52009e,0x69dc008a}},	// [830] стве, lekî_, _layê_, _bbre, 
   {{0x69dc00a1,0x6495007b,0x00000000,0x00000000}},	//   _cbre, _uġig, --, --, 
   {{0x9f42010c,0x9f520218,0xf96b0ee9,0xa3e800bd}},	//   nekî_, _nayê_, урай_, मजा_, 
   {{0x7c670eea,0x69dc0eeb,0x7aee00c8,0x7d1a0eec}},	//   _داخل, _ebre, äntä, ätse, 
   {{0x7c2d0eed,0x9f420eee,0xdcf506a2,0x6a620379}},	//   mhar, hekî_, mazı, zôfi, 
   {{0x7c2d0eef,0x69d80ef0,0x9f52010c,0x786a014b}},	//   lhar, न्दी, _bayê_, rýva, 
   {{0x24090152,0xafdb055f,0xdb060175,0x25fe0ef1}},	//   инки_, rnøj, _reké, लाजी_, 
   {{0x7afd0571,0x7c2d0ef2,0x601f01ee,0x44f800e7}},	//   _krst, nhar, _fëmi, _dĩ_, 
   {{0xc7b90019,0x20f700b3,0x7afb02c7,0x20d10126}},	//   _idő_, _săi_, _šutj, wái_, 
   {{0x1ddb0827,0xdcf50ef3,0x82350e90,0x20f7020f}},	//   म्मत, hazı, تربا, _păi_, 
   {{0x21690c67,0x7c2d0ef4,0x7bcf0ef5,0x71690148}},	//   рини_, khar, _occu, ранг_, 
   {{0x7c2d0026,0xe8e00108,0x20d10ef6,0x7afd0ef7}},	//   jhar, _chộp_, rái_, _orst, 
   {{0x7c2d0ef8,0x442d006e,0x6d410ef9,0xc7d600d1}},	//   dhar, mhe_, úlan, חורי_, 
   {{0x443f0efa,0x442d03b7,0x7bcf0efb,0x628b0efc}},	//   liu_, lhe_, _accu, _iugo, 
   {{0x27e60605,0x7afd0efd,0x628307fc,0x6495008a}},	//   yeon_, _arst, _iino, _fġie, 
   {{0x443f0efe,0x64490eff,0x442d03b7,0x628b0f00}},	//   niu_, nnei, nhe_, _kugo, 
   {{0xda050f01,0x63ab0019,0x64490f02,0x6a700f03}},	// [840] रांत_, _megn, inei, häfe, 
   {{0x63ab0f04,0x64490f05,0x628b0f06,0x62830f07}},	//   _legn, hnei, _mugo, _jino, 
   {{0x7afd0f08,0x7c2d0f09,0x442d0204,0x443f012d}},	//   _erst, bhar, khe_, kiu_, 
   {{0x7c2d0f0a,0x442d0f0b,0x62990035,0x645b0107}},	//   char, jhe_, _otwo, joui, 
   {{0x442d0f0c,0x443f0f0d,0x44f80029,0x7c240f0e}},	//   dhe_, diu_, _sĩ_, mkir, 
   {{0x9f42009e,0x7c240f0f,0xdb06010c,0x8c1f00cc}},	//   yekî_, lkir, _yekî, নোদন_, 
   {{0x7a2001c4,0x291c00b0,0x443f0f10,0x628b01dd}},	//   _nöti, ävad_, fiu_, _augo, 
   {{0x442d0f11,0x443f0f12,0x7c240f13,0x62830088}},	//   ghe_, giu_, nkir, _aino, 
   {{0x62830f14,0x63ab0f15,0x628b00ca,0x63b90090}},	//   _bino, _degn, _cugo, _ddwn, 
   {{0x38660f16,0x628b02f5,0x7c240218,0x442d0102}},	//   llor_, _dugo, hkir, ahe_, 
   {{0xf9930056,0x7c240f17,0x443f0f18,0x69fb00fe}},	//   ורת_, kkir, biu_, בליק, 
   {{0x443f0f19,0x9f420218,0x63ab0f1a,0x628b0f1b}},	//   ciu_, rekî_, _gegn, _fugo, 
   {{0xe1ef0f1c,0x62830f1d,0xc7b30056,0x386600d9}},	//   رسی_, _fino, ובר_, ilor_, 
   {{0x7c2d0f1e,0x62830f1f,0x63ab0054,0x7c2408e5}},	//   whar, _gino, _zegn, ekir, 
   {{0x7c2d0f20,0x61e80c43,0xfe6e015f,0x7c240f21}},	//   thar, medl, دگي_, fkir, 
   {{0x62830f22,0x38660f23,0x60c8011d,0xdd9a0176}},	//   _zino, jlor_, mudm, ишӣ_, 
   {{0x7c2d0f24,0x8d870f25,0xdceb03c0,0x628b0183}},	// [850] rhar, _мунд, ınız, _xugo, 
   {{0x7c2d0f26,0x61e802bf,0x64400f27,0x443f0f28}},	//   shar, nedl, himi, ziu_, 
   {{0x64400f29,0x7c2d0f2a,0xf8b10274,0x44240065}},	//   kimi, phar, عکس_, kkm_, 
   {{0xdce50029,0x443f0f2b,0x64400f2c,0x25ac0068}},	//   _nghĩ, xiu_, jimi, _aedl_, 
   {{0x63ab0f2d,0x66050f2e,0x443f0f2f,0xe8e000e7}},	//   _regn, зпла, viu_, _khớp_, 
   {{0x63ab048a,0x61e80f30,0x628b0f31,0x7aed0f32}},	//   _segn, jedl, _rugo, mwat, 
   {{0x442d0f33,0x443f0f34,0x64400f35,0x628b0f36}},	//   the_, tiu_, fimi, _sugo, 
   {{0x7bcd0f37,0x64400f38,0x3f890f39,0x628b0f3a}},	//   ngau, gimi, _ngau_, _pugo, 
   {{0x443f0f3b,0x63ab010d,0x62830f3c,0x442d0f3d}},	//   riu_, _vegn, _pino, rhe_, 
   {{0x442d0f3e,0x443f0f3f,0x7c240f40,0x63ab0f41}},	//   she_, siu_, zkir, _wegn, 
   {{0x442d0f42,0x63ab0f43,0x64400f44,0x3ea90f45}},	//   phe_, _tegn, bimi, _awat_, 
   {{0x64400f46,0x7aed0f47,0x628b0f48,0x3ea906df}},	//   cimi, kwat, _tugo, _bwat_, 
   {{0x62830f49,0x7c24078a,0xd5d200bd,0x62990035}},	//   _tino, vkir, _सामज, _utwo, 
   {{0x7aed0f4a,0x3ea906df,0xe80200a5,0xe8e00023}},	//   dwat, _dwat_, _रोना_, _chớp_, 
   {{0x7c240f4b,0x32070035,0x00000000,0x00000000}},	//   tkir, _inny_, --, --, 
   {{0x5fc602f8,0x3ebf0f4c,0x7bcd002c,0xdddc014b}},	//   _वाटल, šuta_, ggau, zorň, 
   {{0x7c240f4d,0x6e460f4e,0x6fa2058f,0x7aed0f4f}},	// [860] rkir, _неиз, _क्यू, gwat, 
   {{0x7c240f50,0x64400f51,0x4efb0070,0x1efb0070}},	//   skir, zimi, _פליג, _פליע, 
   {{0x64400f52,0xae1b00c7,0x7aed085b,0x7c24010c}},	//   yimi, _הויכ, awat, pkir, 
   {{0x7aed0f53,0x7c240216,0x00000000,0x00000000}},	//   bwat, qkir, --, --, 
   {{0x64400f54,0x38660f55,0xa2bd0367,0x00000000}},	//   vimi, rlor_, _शिष्, --, 
   {{0x97c3004e,0x442400e2,0x160300a5,0x64400f56}},	//   _үйре, wkm_, लागर_, wimi, 
   {{0xf8e00081,0x443d0f57,0x61e80f58,0x64400f59}},	//   _नहिय, _bmw_, vedl, timi, 
   {{0x7afb01b4,0x18a60f5a,0x60c80f5b,0x329802a0}},	//   _šuti, _маҳм, vudm, овиќ_, 
   {{0x5fc6009a,0x61e8015c,0x00000000,0x00000000}},	//   _वाजल, tedl, --, --, 
   {{0x64400f5c,0x80c00b3e,0xa2bd0e17,0x248c00e2}},	//   simi, _विदे, _शिर्, _tudm_, 
   {{0x64a30f5d,0x660801cc,0x859b00a7,0xb38600b3}},	//   _заха, _indk, _השבו, _елел, 
   {{0x7aed006a,0x35d20262,0x61e80f5e,0x64400f5f}},	//   ywat, _साड़, sedl, qimi, 
   {{0x82fa0116,0x661a0f60,0x22a5010c,0xd5b10210}},	//   _دراز_, _kotk, rêkî_, _món_, 
   {{0x661a030f,0xe3b00499,0xf2c500f0,0x00000000}},	//   _jotk, _سرچ_, _ісін, --, 
   {{0x601f00e5,0x61db02a1,0x5fc600a2,0x7bcd0f61}},	//   _sëmu, _הקוד, _वाचल, tgau, 
   {{0x7aed0f62,0x8c6400f0,0x7bcd0028,0x00000000}},	//   twat, етуд, ugau, --, 
   {{0xa3de0239,0x35d20f63,0x20090640,0x601f024a}},	// [870] द्य_, _साढ़, _inai_, _dëmt, 
   {{0x24860084,0x91fc002a,0x7c8701d7,0x661a008c}},	//   _liom_, klām, _нуме, _notk, 
   {{0x7aed0149,0xf9880038,0x3e64003e,0x9f520151}},	//   swat, أنمي_, götu_, _rayé_, 
   {{0xa2bd0f64,0x9f52009e,0xa3de00bd,0x5fbf0f65}},	//   _शिल्, _mayî_, द्म_, ्लिल, 
   {{0xd6db0f66,0x2366006d,0x9f520107,0x200900a1}},	//   сте_, _nyoj_, _payé_, _mnai_, 
   {{0x443d016a,0x992b0f67,0x661a009e,0x95cb0f68}},	//   _smw_, _люба_, _cotk, суда_, 
   {{0x80db00aa,0x649803a1,0x661a0f69,0xf8ae00d7}},	//   _बहें, птыр_, _dotk, _نکن_, 
   {{0x3e64039f,0x00000000,0x00000000,0x00000000}},	//   lött_, --, --, --, 
   {{0x661a0f6a,0x65950f6b,0xe1f2010e,0x00000000}},	//   _fotk, _жазу, چسپ_, --, 
   {{0x20090f6c,0x80d9004f,0x45d409f9,0x7a2001d5}},	//   _anai_, оєму_, _поус, _fötu, 
   {{0x76430f6d,0x248602a3,0xb7bd00b3,0x443d0036}},	//   miny, _fiom_, _alţi, _tmw_, 
   {{0xa3ae08c6,0x59dd0f6e,0xeb0d0f6f,0x9f52009e}},	//   करण_, न्तर, _सपूत_, _dayî_, 
   {{0x7a200f70,0xd09206d0,0xdb06033c,0x3e640f71}},	//   _kött, _müəy, _pekí, kött_, 
   {{0xfce600dd,0x3e64010e,0x7a20039f,0x00000000}},	//   мого, jött_, _jött, --, 
   {{0x91fc00e0,0x7a200f72,0x3e64010e,0x00000000}},	//   klāj, _mött, dött_, --, 
   {{0x76430f73,0x601f024a,0x00000000,0x00000000}},	//   hiny, _dëms, --, --, 
   {{0x76430f74,0xcb670f75,0xdd8f006b,0xbb430f76}},	// [880] kiny, дате_, اوہ_, ветк, 
   {{0x76430f77,0x67220548,0x7a2002ae,0x3e64010e}},	//   jiny, vyoj, _nött, gött_, 
   {{0x76430f78,0x6ab603c5,0x00000000,0x00000000}},	//   diny, ssyf, --, --, 
   {{0x3b0a0f79,0x50c50f7a,0x80c001a4,0x27e00a6d}},	//   _демо_, _विनष, _विसे, ýin_, 
   {{0x76430f7b,0x24860f7c,0x00000000,0x00000000}},	//   finy, _riom_, --, --, 
   {{0xd49a0f7d,0x59dd0a50,0x9d450019,0xceb902d9}},	//   ори_, न्दर, _آئین, áři_, 
   {{0xa96700c8,0x7a2002ae,0x00000000,0x00000000}},	//   _жира_, _dött, --, --, 
   {{0xa8030141,0xb7fb031e,0xf3180176,0x9f520216}},	//   _изсл, _एफएम_, зоиш_, _rayî_, 
   {{0x7a20014e,0x76430f7e,0x02a300b3,0x9f520216}},	//   _fött, biny, крэм, _sayî_, 
   {{0x7a200f7f,0x76430f80,0x20090036,0x9f520216}},	//   _gött, ciny, _snai_, _payî_, 
   {{0x248601be,0x00000000,0x00000000,0x00000000}},	//   _tiom_, --, --, --, 
   {{0x3e64006b,0x5346093d,0x03260f81,0xdb0f02be}},	//   zött_, _охла, _оден, _decê, 
   {{0xdef80f82,0x00000000,0x00000000,0x00000000}},	//   мыр_, --, --, --, 
   {{0xdb040151,0x00000000,0x00000000,0x00000000}},	//   mbiè, --, --, --, 
   {{0xdd9408ad,0x00000000,0x00000000,0x00000000}},	//   тасы, --, --, --, 
   {{0x76430f83,0x61f80f84,0x20090f85,0x9f420379}},	//   ziny, _havl, _unai_, bekà_, 
   {{0x61f80f86,0x76430f87,0x3a750f88,0x2ef40161}},	// [890] _kavl, yiny, елар, _азыр, 
   {{0x61f803ef,0x61fa00fb,0x4a540edd,0x998700d8}},	//   _javl, ndtl, вкус, ónů_, 
   {{0xa3ae0077,0x64dd0f65,0x7a200760,0x76430f89}},	//   करा_, _महेश, _rött, viny, 
   {{0x2c2702fb,0xfc3f00bc,0x6d5701f2,0x76430090}},	//   _цьог, _umí_, _ixxa, winy, 
   {{0x76430f8a,0x6b9a00d1,0x787102ae,0xd5e509f9}},	//   tiny, _משרד, gåva, ежли, 
   {{0xf7700399,0xe618005e,0x321c014b,0x00000000}},	//   جام_, мді_, _novy_, --, 
   {{0x76430f8b,0x80c00f8c,0x9f4e02d9,0x00000000}},	//   riny, _विषे, čném_, --, 
   {{0x76430f8d,0xc7c400b3,0x9f4b02be,0x00000000}},	//   siny, _асфи, recê_, --, 
   {{0xa3de0f8e,0x76430f8f,0x61f80f90,0xe8df00e7}},	//   द्ध_, piny, _bavl, _khỏa_, 
   {{0x80c009d3,0x3eb9004f,0xf52700b3,0x00000000}},	//   _विशे, dsst_, _офен, --, 
   {{0x61f80c67,0xe0460f91,0x9046009c,0x64450f92}},	//   _davl, енни, فنده, éhis, 
   {{0x44f10904,0xdb060187,0xb4fa00d1,0xa3de0f93}},	//   _iš_, _leká, _מפעי, द्द_, 
   {{0xc2c8024f,0x93270491,0xd12e0f94,0x69d50035}},	//   _قبول_, _تران, لمی_, _ocze, 
   {{0x2d8c0f95,0x32d903a0,0x61f80f96,0x8f810259}},	//   øde_, mèy_, _gavl, шқыл, 
   {{0xdb040f97,0x1d070f98,0xb4ad0077,0x32d906df}},	//   mbié, нери_, _कबो_, lèy_, 
   {{0x44f1014b,0x3c2e0032,0xdb0f011c,0x321c01a7}},	//   _mš_, _býva_, _kecè, _zovy_, 
   {{0x32d905d5,0x44f10df4,0x2903003d,0x442f0f99}},	// [8a0] nèy_, _lš_, _arja_, _mlg_, 
   {{0x4a430f9a,0xdb0f011c,0x6f040f9b,0x2d9a02be}},	//   гнув, _mecè, _iric, _ufpe_, 
   {{0x4c860f9c,0xd8260f9d,0x442f0f9e,0x7a2002ae}},	//   _плов, нджи, _olg_, _söts, 
   {{0x6f040f9f,0xa01b0fa0,0x69d50fa1,0xdc9b0070}},	//   _kric, rmög, _ecze, _מיטל, 
   {{0xdcfc06d0,0x44f100e4,0xc5f8004e,0x45d40fa2}},	//   marı, _aš_, мға_, волс, 
   {{0xdcfc0fa3,0xceb3035c,0x6aa40180,0x6f0401e5}},	//   ları, ריג_, mpif, _mric, 
   {{0x442f0fa4,0xdb1d0118,0x6e200034,0x00000000}},	//   _blg_, _adsè, ëmby, --, 
   {{0x6f040012,0x61f80fa5,0xdcfc0761,0x442f007a}},	//   _oric, _savl, narı, _clg_, 
   {{0x44f102fe,0x53340fa6,0xe7370fa7,0x99610243}},	//   _eš_, тепт, _зет_, _cīņa_, 
   {{0x2d8c0377,0xdb0f00b9,0x442f0fa8,0x44f10604}},	//   ždej_, _decè, _elg_, _fš_, 
   {{0x40350fa9,0xdcfc01f0,0x6f040faa,0x44f102fe}},	//   венс, karı, _aric, _gš_, 
   {{0x6f040c04,0x32d90237,0x00000000,0x00000000}},	//   _bric, bèy_, --, --, 
   {{0x61f80fab,0x6d480634,0x44f1014b,0x93460fac}},	//   _tavl, údan, _zš_, _янде, 
   {{0x6f04014e,0xbe880fad,0xeda7021d,0x00000000}},	//   _dric, ессе_, эшмо, --, 
   {{0xf1b30056,0xcfb00033,0x2d850fae,0xd12f004f}},	//   _עסק_, _কারন, äle_, _сх_, 
   {{0x6f040faf,0x3ea00405,0x628a01a7,0xac180267}},	//   _fric, _ftit_, _hifo, носу_, 
   {{0x6c540fb0,0xf9c70fb1,0x06e80086,0xdb16009e}},	// [8b0] укту, ещен, পিডি, layê, 
   {{0xddde0082,0x8b0800d8,0x00000000,0x00000000}},	//   _tipš, _spřá, --, --, 
   {{0xe8020081,0x628a0fb2,0xdcfc06a2,0x6c5501a2}},	//   _रोहा_, _mifo, barı, _акну, 
   {{0x69d500ab,0x628a0fb3,0xdcfc00ad,0x99640fb4}},	//   _wcze, _lifo, carı, утул, 
   {{0xe8df001b,0x799c0156,0x44f10fb5,0x80380070}},	//   _thỏa_, _ffrw, _sš_, ענדע_, 
   {{0xb5c20fb6,0x442f0068,0x69d500ab,0x628a0180}},	//   айшл, _slg_, _ucze, _nifo, 
   {{0x442f0fb7,0x22450352,0xaa540d3d,0x00000000}},	//   _plg_, vilk_, _сврш, --, 
   {{0x13090934,0xd13800ab,0x44f10098,0x7d05008a}},	//   дний_, dzą_, _vš_, _mrhs, 
   {{0x628a014e,0x56950093,0x95d90fb8,0x35f50fb9}},	//   _bifo, _разт, _одат_, _ипар, 
   {{0xdcfc0092,0x32d906df,0x644201f1,0xdb160216}},	//   zarı, rèy_, _emoi, fayê, 
   {{0xa2bd08dd,0x442f0fba,0xf99200a7,0x26cf0fbb}},	//   _शिक्, _tlg_, ירי_, lugo_, 
   {{0x6f040fbc,0xdcfc0095,0x442f0fbd,0x3ea00fbe}},	//   _pric, xarı, _ulg_, _ptit_, 
   {{0x539a02a1,0x628a0180,0xdcfc008f,0x26cf06e4}},	//   _חינו, _fifo, varı, nugo_, 
   {{0x628a0fbf,0x4df508af,0x6fa20fc0,0x7878019c}},	//   _gifo, ляст, _क्रू, míve, 
   {{0xdcfc0fc1,0xd1380035,0x2ee900b9,0xd7b30ef1}},	//   tarı, czą_, _epaf_, ुणाच, 
   {{0x5184013d,0x21880137,0x63a90fc2,0x26cf0fc3}},	//   _суча, _אָפּ, nben, kugo_, 
   {{0x787800ce,0x27fd02bf,0xa3c400a5,0x3b860fc4}},	// [8c0] níve, ddwn_, ौलत_, тлаг, 
   {{0xdcfc01f0,0x00000000,0x00000000,0x00000000}},	//   sarı, --, --, --, 
   {{0xd7fa0fc5,0x63a90fc6,0x28c90c14,0xdcfc0761}},	//   дул_, kben, ांगि, parı, 
   {{0x63a90e67,0x26cf0053,0x3ead020f,0xb6a602aa}},	//   jben, fugo_, ţete_, видл, 
   {{0x63a906e0,0xdb16009e,0xfaa600ff,0x00000000}},	//   dben, zayê, _јаго, --, 
   {{0x63a90fc7,0xdb16009e,0x787800bc,0xa4d80fc8}},	//   eben, yayê, díve, едку_, 
   {{0x628a0fc9,0xd9460fca,0xdb0f0fcb,0x9f5b0216}},	//   _rifo, _реви, _recé, _caqê_, 
   {{0xd7060fcc,0x63a90fcd,0x7c3602bf,0x13f40472}},	//   _изби, gben, nhyr, узия, 
   {{0x97ea0095,0xa686004e,0x26dd00ab,0x9f4b04b3}},	//   ışdı, _алад, ctwo_, pecé_, 
   {{0x6206004f,0x06760cfe,0xdb16009e,0x00000000}},	//   тчиз, _рубя, tayê, --, 
   {{0xc4c50fce,0x1be20fcf,0x6457001d,0x6d48001d}},	//   _متنو, खभाल_, éxic, údal, 
   {{0x23ba0fd0,0xdb16010c,0x200d0068,0x14d70486}},	//   _آداب_, rayê, ñei_, _יובל_, 
   {{0xd13800ab,0x628a0fd1,0x7878019c,0x00000000}},	//   szą_, _tifo, cíve, --, 
   {{0x324300a3,0x00000000,0x00000000,0x00000000}},	//   _кечг, --, --, --, 
   {{0x69c80241,0x00000000,0x00000000,0x00000000}},	//   _ödey, --, --, --, 
   {{0xdb0f020f,0xc61f0fd2,0x00000000,0x00000000}},	//   _decî, _भव्य_, --, --, 
   {{0x06d70033,0xeb0d00bc,0x26cf09c6,0x00000000}},	// [8d0] _দৈনি, समेत_, xugo_, --, 
   {{0x63a90fd3,0x394b00d4,0x26cf0199,0x6abd017b}},	//   zben, وشاپ_, vugo_, _vvsf, 
   {{0x27ef01e8,0xaab500f0,0x98480d16,0x00000000}},	//   tegn_, _әйгі, _ağı_, --, 
   {{0xdb060fd4,0xdcb10210,0x26cf0027,0x00000000}},	//   _bekä, ẩu_, tugo_, --, 
   {{0x7c2d0fd5,0x78780165,0x63a90844,0x27ef0fd6}},	//   mkar, xíve, vben, regn_, 
   {{0xd77400eb,0x26cf0fd7,0x78780165,0xbb3a0070}},	//   جامع, rugo_, víve, _טערי, 
   {{0xd4690fd8,0xa89801a2,0x26dd0035,0x5edf0033}},	//   нике_, _аксу_, stwo_, মিটে, 
   {{0x78780fd9,0x63a90fda,0xa3e302e6,0xc6a700d9}},	//   tíve, uben, _पॉश_, _аржи, 
   {{0xc7b200a7,0x7c2d0fdb,0x17550009,0x069b0499}},	//   _לבן_, ikar, _свая, _آخرت_, 
   {{0x96f80fdc,0x63a90fdd,0xd24302f1,0x7c2d0fde}},	//   _جعفر_, sben, рмоқ, hkar, 
   {{0x7c2d0fdf,0x78780165,0x9f4e031e,0x9f5b0034}},	//   kkar, síve, čním_, _faqë_, 
   {{0xddd5031e,0xdb0a014b,0x7c2d0fe0,0x2ba508f1}},	//   mozř, šnéh, jkar, गुमा, 
   {{0x91e50fe1,0x7c2d0fe2,0xed570f5a,0x64490068}},	//   _боле, dkar, ҳор_, miei, 
   {{0x442d0fe3,0xdd92003f,0xf7760070,0x7c2d0fe4}},	//   lke_, صور_, טערי_, ekar, 
   {{0x442d0fe5,0x7c360fe6,0xed570fe7,0x09b20086}},	//   oke_, thyr, гор_, _চালা, 
   {{0x7c2d0fe8,0x8c430fe9,0x09cc009a,0xaca90019}},	//   gkar, бесе, ाल्य, کھیے_, 
   {{0x9b9300eb,0x442d0fea,0x7c360feb,0x5a4400f0}},	// [8e0] إلكت, ike_, rhyr, амағ, 
   {{0xe9d70316,0x05d20fec,0x3b830fed,0x442d0fee}},	//   лку_, _साइब, слуг, hke_, 
   {{0x442d0fef,0x7c2d00ad,0xf4be0033,0x068600f0}},	//   kke_, bkar, _আহ্ব, ңген, 
   {{0x442d0ff0,0x7c2d0ff1,0xdbd70380,0x3eb20ff2}},	//   jke_, ckar, mäßi, _kwyt_, 
   {{0x442d0ff3,0xe5b409d9,0x64490090,0xd7070080}},	//   dke_, айлы, diei, лнце_, 
   {{0x442d09a2,0x9f5b0034,0x00000000,0x00000000}},	//   eke_, _saqë_, --, --, 
   {{0x04660ff4,0x64490156,0x7af600f8,0x629d001d}},	//   лтим, fiei, lwyt, íson, 
   {{0x25f000ab,0x7bd60ff5,0x442d005f,0xd4670267}},	//   _इसकी_, ngyu, gke_, лије_, 
   {{0xa6ca086b,0x91fc00e0,0xd5d60019,0x386608b0}},	//   _سوال_, klāt, _متاث, moor_, 
   {{0xd6cf003f,0xe29f010d,0x7c2d02ba,0xdb160cd7}},	//   _رقم_, íða_, zkar, rayè, 
   {{0xf5930084,0x05560ff6,0xa1580ff7,0x7af60083}},	//   _المج, _стая, тану_, hwyt, 
   {{0x764a0ff8,0x557700c7,0x64490ff9,0xe29a0ffa}},	//   lify, _געבן_, ciei, _зад_, 
   {{0x09cc00cc,0x7c2d0ffb,0x80c00ffc,0xe80b0a34}},	//   র্যা, vkar, _विके, _सोफा_, 
   {{0xe80b000f,0x7c2d0ffd,0x3866018c,0xb80b0ffe}},	//   _सोना_, wkar, hoor_, _सोनम_, 
   {{0x16d10fff,0x7c2d1000,0x38661001,0x00000000}},	//   _सम्ब, tkar, koor_, --, 
   {{0x09cc00cc,0x7c2d0026,0x3866000b,0xa3e70fc0}},	//   র্মা, ukar, joor_, म्प_, 
   {{0x5b151002,0xead51003,0x38661004,0x3c5800d9}},	// [8f0] шмат, розь, door_, уитэ_, 
   {{0x7c2d0414,0x442d1005,0x7f3c0070,0x6d411006}},	//   skar, zke_, _רעזו, úlas, 
   {{0x764a1007,0x442d1008,0x1c000e17,0x38661009}},	//   dify, yke_, _लोकल_, foor_, 
   {{0x38660326,0xdb16009e,0x00000000,0x00000000}},	//   goor_, mayî, --, --, 
   {{0x6449100a,0x6f1b0380,0x76ab02a6,0xb6c2009e}},	//   viei, äuch, хтев_, _şûrê, 
   {{0x09cc100b,0x80aa100b,0xa3e709e5,0x1994004f}},	//   র্বা, _কিন্, म्न_, _гаря, 
   {{0x442d100c,0x64490183,0x3d08100d,0x84590093}},	//   tke_, tiei, हिये_, крит_, 
   {{0x442d100e,0x6a6b0380,0x1425100f,0x72c51010}},	//   uke_, rüfu, рдим, абиз, 
   {{0x7cec010e,0xe80b1011,0x00000000,0x00000000}},	//   _körö, _सोया_, --, --, 
   {{0x442d1012,0xc2450d2f,0xdb0f0098,0x9f40019c}},	//   ske_, рнок, _necí, _maiô_, 
   {{0x69dd07cc,0xc32300cc,0x78780327,0x62811013}},	//   _पानी, _বেশি_, líva, rmlo, 
   {{0xdb0f02a0,0xd71c0086,0xdb16010c,0x5f061014}},	//   _mecâ, _দেয়া_, dayî, азма, 
   {{0x92b70084,0x63bb1015,0x939408cb,0x02a70267}},	//   _إحصا, maun, _اجما, _срем, 
   {{0x63bb1016,0xed5a0886,0xdb0f1017,0x27ff1018}},	//   laun, вог_, _cecí, _laun_, 
   {{0x61420a43,0xdb0f0503,0x229b0216,0xa01b0080}},	//   _меша, _decí, _hêk_, mmön, 
   {{0x63bb1019,0xbb7600fd,0x27ff101a,0x3ead020f}},	//   naun, аузъ, _naun_, ţeta_, 
   {{0xe9da101b,0xeb97049b,0x3866012e,0x4a46101c}},	// [900] кка_, риу_, voor_, анав, 
   {{0x63bb101d,0x7af60156,0x787800bc,0xab5b101e}},	//   haun, rwyt, díva, _idül, 
   {{0xf1dd0586,0x41dd101f,0x63bb001a,0x26190964}},	//   _मानन, _मानस, kaun, पानी_, 
   {{0xa3e7000d,0xdb0f002e,0x63bb00e0,0xc6a61020}},	//   म्म_, _decâ, jaun, арки, 
   {{0x27ff1021,0x764a1022,0x63bb1023,0x3866018c}},	//   _daun_, tify, daun, roor_, 
   {{0x69dd0081,0x20c502e6,0x7cec010e,0xb8dc0033}},	//   _पायी, _विंध, _görö, _আম_, 
   {{0x01bb100b,0x764a1024,0x38661025,0x26df1026}},	//   ংলাদ, rify, poor_, _equo_, 
   {{0x27ff1027,0x290a011c,0x63bb1028,0x9486013e}},	//   _gaun_, _irba_, gaun, шылд, 
   {{0xd3771029,0xdb160216,0x09cc0033,0x46a3102a}},	//   ичь_, zayî, র্ণা, _матв, 
   {{0x27e6102b,0xa3e7102c,0x2012102d,0x27ff0502}},	//   lfon_, म्ब_, _anyi_, _zaun_, 
   {{0x7bc6102e,0x63bb102f,0x9f400054,0x64a31030}},	//   _odku, baun, _abià_, _даха, 
   {{0x4ea700cf,0x78a1010e,0x920201dd,0x27e600f8}},	//   ирга, _élve, _šāda, nfon_, 
   {{0xdb0f0183,0x63a21031,0x200500bc,0x44f80108}},	//   _pecí, _ifon, ěli_, _hũ_, 
   {{0x2005006a,0x7a32055f,0x290a1032,0x20120d94}},	//   śli_, _sætn, _orba_, _enyi_, 
   {{0x9c470cfe,0x7e67011c,0x00000000,0x00000000}},	//   ахал, rojp, --, --, 
   {{0x8f471033,0x705500d4,0x1dd30262,0x44f800e7}},	//   _вход, _دنبا, _ताकत, _mũ_, 
   {{0x290a00e4,0xfb870c0f,0xaa7b0228,0xdb0f0183}},	// [910] _arba_, рывн, _opýt, _tecí, 
   {{0x39a71034,0x63bb087d,0x27ff1035,0x00000000}},	//   ршав, zaun, _saun_, --, 
   {{0x27ff0926,0x7cec010e,0x69dd009a,0xa3e702e6}},	//   _paun_, _vörö, _पाठी, म्ड_, 
   {{0xdd1c00bc,0x765a024a,0x63a200b9,0xd7c81036}},	//   _nářa, _ajty, _nfon, لومه_, 
   {{0xd6db1037,0x290a1038,0x8c1a00a7,0x7cec0019}},	//   тте_, _erba_, _עושי, _törö, 
   {{0x63a21039,0x95cb103a,0x78780183,0x63bb0247}},	//   _afon, туда_, ríva, waun, 
   {{0x27ff103b,0x44f80029,0x63bb103c,0xe802103d}},	//   _taun_, _cũ_, taun, _रोका_, 
   {{0x229b078a,0xed5800a7,0x80c0101f,0x6d480038}},	//   _pêk_, יבור_, _विजे, údai, 
   {{0x86980c8a,0x63bb103e,0x386d103f,0xdb061040}},	//   _вкус_, raun, _iker_, _sekú, 
   {{0x629b026d,0xe4e702fb,0xdb0f022c,0xb06300c8}},	//   rquo, _відн, _mecà, äänt, 
   {{0x92d700cc,0x26190dc4,0x9f5e000d,0x63bb1041}},	//   াবে_, पाठी_, ětí_, paun, 
   {{0x66011042,0xaac70c64,0x229b009e,0x6e2500a1}},	//   _halk, _लिंक, _têk_, _aohb, 
   {{0x69c70eae,0x44e10019,0x539a00a7,0x43850038}},	//   _odje, ló_, _עיסו, _الشق, 
   {{0x69c701ee,0x6da31043,0x66010088,0x7bdd0183}},	//   _ndje, зира, _jalk, _acsu, 
   {{0x44e11044,0x2d8c0219,0xdca600d9,0x386d01ca}},	//   nó_, äde_, саби, _oker_, 
   {{0x69dc1045,0x62991046,0x7aef1047,0x44e10126}},	//   _scre, _kuwo, _bpct, ió_, 
   {{0x290a00f1,0xa3df0262,0x63b90156,0x69c70372}},	// [920] _srba_, _तान_, _mewn, _bdje, 
   {{0xbf9b03b7,0xdb0f03dd,0xa3e7059e,0x387f00b4}},	//   ndên, _decà, म्त_, _ahur_, 
   {{0x31ba0137,0x44e11048,0x93f900a2,0x5fbe0a34}},	//   רזענ, jó_, ्याच_, _्याल, 
   {{0x387f1049,0x44e1104a,0xe73a030f,0x44f800e7}},	//   _chur_, dó_, лее_, _rũ_, 
   {{0x27e6104b,0x44e10183,0x6299104c,0x387f01be}},	//   rfon_, eó_, _nuwo, _dhur_, 
   {{0x63a2104d,0xceb3035c,0xfaa3104e,0x290a0082}},	//   _sfon, ליד_, _харо, _trba_, 
   {{0x44e1104f,0x96c40035,0x68fc00ca,0x7c261050}},	//   gó_, _रिकॉ, _usrd, _kokr, 
   {{0x44f80029,0x62991051,0x69c71052,0x7c26008a}},	//   _vũ_, _buwo, _zdje, _jokr, 
   {{0x8c1b0052,0x82381053,0x32661054,0x2b4000ca}},	//   רופי, изис_, йтов, nzic_, 
   {{0x41dd02f8,0x8afb00c7,0x11d800eb,0x66011055}},	//   _माणस, נהיי, جودة_, _galk, 
   {{0x04960084,0x44e108f4,0xdb0f1056,0xdfd11057}},	//   _الصح, có_, _mecá, ويد_, 
   {{0x6e2501f0,0x7ae41058,0x7c2600fc,0x78780228}},	//   _sohb, ktit, _nokr, zívn, 
   {{0x447b0137,0xdb1d014b,0x62990539,0xbf9b02be}},	//   _ענדע, _odsá, _guwo, bdên, 
   {{0x44260364,0x7ae404c6,0x63b900ab,0x66010508}},	//   _hoo_, dtit, _zewn, _xalk, 
   {{0x7c261059,0x90a6105a,0x63b9010c,0x8bc700b3}},	//   _bokr, _احتم, _yewn, йсад, 
   {{0x63b9010c,0x7c26105b,0x4426105c,0x6299016a}},	//   _xewn, _cokr, _joo_, _yuwo, 
   {{0x2fc9105d,0x44e1006b,0x78780039,0x4426105e}},	// [930] _idag_, zó_, tívn, _moo_, 
   {{0x4426105f,0x386d02cc,0x44e105b9,0x6f0d1060}},	//   _loo_, _sker_, yó_, _irac, 
   {{0xda781061,0x7d081062,0x6f0d026e,0xc795004e}},	//   сят_, ådst, _hrac, орлы, 
   {{0x44261063,0x44e11064,0x6f0d1065,0x78780228}},	//   _noo_, vó_, _krac, sívn, 
   {{0x66011066,0xe6100274,0x7d031067,0xfaff01dd}},	//   _palk, کشن_, bírá, šību_, 
   {{0x44e10105,0xd1260133,0x44260026,0x6aad0054}},	//   tó_, _قم_, _aoo_, mpaf, 
   {{0x63b9006a,0x44261068,0xe3b10084,0x66011069}},	//   _pewn, _boo_, ورة_, _valk, 
   {{0x44e1106a,0xf4290e65,0x386d00dd,0x6601106b}},	//   ró_, роил_, _uker_, _walk, 
   {{0x44e1106c,0xe81600a2,0x27ed106d,0x6601106e}},	//   só_, णारा_, _iben_, _talk, 
   {{0x44e11048,0x63b900ab,0x317c0397,0x60e90849}},	//   pó_, _wewn, _bzvz_, амом_, 
   {{0x3ea9002e,0x6f0d106f,0xbf9b02be,0x7a3b0107}},	//   _atat_, _arac, rdên, _gîte, 
   {{0x44c501dd,0x68e500f8,0xa01b1070,0x62991071}},	//   mē_, ithd, lmöj, _tuwo, 
   {{0x44c500e0,0x7c261072,0x6f0d1073,0x6495007b}},	//   lē_, _rokr, _crac, _eġit, 
   {{0x7ae41074,0x5bb200a5,0x64a300ca,0x44261075}},	//   vtit, जर्व, _gđic, _zoo_, 
   {{0x44261076,0x27ed02ec,0x8c0100cc,0x3ea91077}},	//   _yoo_, _oben_, _একজন_, _etat_, 
   {{0x6a7002f2,0x4426006d,0xeb971078,0x27ed00b4}},	//   häft, _xoo_, жит_, _nben_, 
   {{0x3b070172,0x7ae40369,0x6f0d1079,0x3a26107a}},	// [940] оето_, utit, _grac, омаг, 
   {{0x7ae40df7,0x7878107b,0x320500df,0x2b40107c}},	//   rtit, tívo, ndly_, rzic_, 
   {{0x7ae4107d,0x644b0310,0x6f0d034c,0x7c26008b}},	//   stit, _omgi, _zrac, _tokr, 
   {{0x7ae4107e,0x44c501dd,0x6bd60816,0xdb24010e}},	//   ptit, dē_, _بتدر, _فوجی, 
   {{0xdb0f0126,0xaac7031e,0x7a3b010c,0x6f0d02be}},	//   _tecá, _लिएक, _dîtb, _xrac, 
   {{0x2d4e01f1,0x4426107f,0xa3e71080,0x27ed1081}},	//   _eнee_, _soo_, म्स_, _eben_, 
   {{0xd4971082,0x44261083,0xd5b91084,0xd0b100ad}},	//   оры_, _poo_, ссі_, _təəs, 
   {{0x442602a2,0x68e3022c,0xf2c61085,0xa3df0110}},	//   _qoo_, ànde, осон, _ताण_, 
   {{0x44261086,0x69da0241,0xe7371087,0x00000000}},	//   _voo_, _ötes, _дет_, --, 
   {{0x81d200cc,0x26c00028,0x6f0d0034,0x00000000}},	//   হ্ন_, šios_, _rrac, --, 
   {{0x4a7b0137,0x442600a7,0x649500bc,0xa3e70c46}},	//   שריב, _too_, _všic, म्ह_, 
   {{0x6f0d0f69,0x35e000c9,0x40340080,0x00000000}},	//   _prac, _नाड़, деюс, --, 
   {{0xa3e302e6,0x64950604,0x3d9505f3,0xe67b0210}},	//   _पॉट_, _išia, зигр, _hưở, 
   {{0xdef800e4,0xafdb0566,0xa2f80299,0x00000000}},	//   цыю_, tiøs, ्टीज_, --, 
   {{0xdd941088,0x6ce4004f,0x6f0d1089,0x4035108a}},	//   дары, міте, _wrac, _некс, 
   {{0x6f0d108b,0xafdb03a9,0x261100ab,0x69dd009a}},	//   _trac, riøs, _धोनी_, _पाही, 
   {{0x6f0d108c,0x44c501dd,0x5a35108d,0x97ea0384}},	// [950] _urac, zē_, пнат, ışlı, 
   {{0x78a3039f,0xda78108e,0x00000000,0x00000000}},	//   ínvo, оях_, --, --, 
   {{0xa3da00c2,0x00000000,0x00000000,0x00000000}},	//   ़ला_, --, --, --, 
   {{0xdb1f024a,0xae190035,0xa8020241,0x3d080c46}},	//   naqë, दावन_, _çılg, हिरे_, 
   {{0x8c1a00a7,0xe5a5108f,0x628801ff,0x00000000}},	//   _הורי, пили, kmdo, --, 
   {{0xe5a503dc,0xafdb00dd,0x38660082,0x59e2009a}},	//   чики, rnøy, čora_, _पायर, 
   {{0x19581090,0x6a701091,0x25ec00b0,0x7af9035d}},	//   _дары_, räft, _आउरी_, şatı, 
   {{0x44391092,0xa01b02ae,0x44c501dd,0x57f400ff}},	//   ós_, smöj, rē_, _опст, 
   {{0xf7490084,0x44c501dd,0xdb041093,0x051b0033}},	//   _الذي_, sē_, rbiç, তনের_, 
   {{0x363700c5,0x29050126,0xc2421094,0xd5b10210}},	//   _بررس, _álas_, еньк, _góp_, 
   {{0x216900cf,0xd00a1095,0xdb1d02c9,0x86220296}},	//   сини_, бене_, _udsæ, _سکول, 
   {{0x293600c7,0x644b1096,0xc2f30033,0x3e7601d5}},	//   פארן_, _umgi, জিবি_, mæti_, 
   {{0x20040039,0x3e7601d5,0x00000000,0x00000000}},	//   ľmi_, læti_, --, --, 
   {{0x443f1097,0x3d080d7c,0xf3f90474,0x61451098}},	//   lhu_, हिले_, leţ_, _нела, 
   {{0xc69200a7,0x91ba00d1,0xafdb0a1f,0xed52010e}},	//   תאם_, _המצי, riør, رپر_, 
   {{0x2055032e,0xaac700ab,0x4ac70b79,0xf3f90474}},	//   _отыр, _लिखक, _लिखव, neţ_, 
   {{0x6b631099,0x49ca109a,0xf09300df,0x00000000}},	// [960] екта, йлан_, _אנה_, --, 
   {{0xdb1d078a,0x499a0b24,0xd0420248,0x00000000}},	//   _kesê, стая_, vrlə, --, 
   {{0x443f109b,0xa96a0038,0x290e003e,0xd88a010e}},	//   khu_, حمام_, ífa_, مپئن_, 
   {{0xfc3200eb,0xdb04012e,0x26110790,0x3e7f0216}},	//   _أحد_, ncië, _धोबी_, mîta_, 
   {{0xfbd30056,0xf3f900b3,0x4cb10033,0x3e7f0216}},	//   _אתר_, deţ_, _জয়পু, lîta_, 
   {{0xe8df0029,0x7c2400d2,0x4b7b00d1,0xdb0f02aa}},	//   _giữa_, ljir, _לאכו, _secç, 
   {{0xb509009a,0x5fbe00bc,0x344a01d8,0x645b109c}},	//   विषय_, ्णाल, йчин_, fnui, 
   {{0x7c240705,0x443f003d,0x4394109d,0xb3c609e2}},	//   njir, ghu_, майс, रृंख, 
   {{0xdb06010e,0x6fd60110,0x7a3304a8,0x26190110}},	//   _nekü, _भाजू, _fıtı, पाशी_, 
   {{0x443f109e,0x69de005f,0x6283006c,0x55e302a0}},	//   ahu_, ngpe, _chno, _поуб, 
   {{0x64950082,0xf1dd093a,0x00000000,0x00000000}},	//   _išin, _मारन, --, --, 
   {{0x395700a7,0xdb06010e,0x7c2401a3,0xe1ef010e}},	//   לשים_, _bekü, jjir, پسی_, 
   {{0xee8700c8,0x4ea70cfe,0x26c6109f,0x00000000}},	//   зыво, ярна, nsoo_, --, 
   {{0xd2500499,0x6ca70995,0x62830465,0x9f59021e}},	//   _جنت_, зраж, _ghno, lesë_, 
   {{0xa15710a0,0xe9ff00e7,0xda0a00b0,0x61fa10a1}},	//   _нашу_, _ngạc_, _होइत_, metl, 
   {{0x31c6031e,0x61fa10a2,0x442400ef,0x415b00d1}},	//   bízí_, letl, njm_, _לדוג, 
   {{0x60da02cd,0xdb04026a,0xa3df00a2,0xdb060380}},	// [970] lutm, nciè, _तास_, _gekü, 
   {{0x61fa10a3,0x7c24095a,0xe29f003e,0x02d400c6}},	//   netl, ajir, íði_, _दिनभ, 
   {{0x6ca410a4,0x7c38033c,0x24890032,0xa3bc00b0}},	//   _пряж, ñará, ňami_, अरा_, 
   {{0x61fa10a5,0xf77000d4,0xdb0d001d,0x9f590034}},	//   hetl, گام_, lbaí, jesë_, 
   {{0x261910a6,0x61fa10a7,0x644000eb,0xdb160369}},	//   पाली_, ketl, dhmi, payá, 
   {{0xf7700625,0x61fa02a8,0xa3df00a5,0xf3f9020f}},	//   دام_, jetl, _ताह_, inţe_, 
   {{0x443f10a8,0x7a3b010c,0x00000000,0x00000000}},	//   thu_, _gîta, --, --, 
   {{0xc9520056,0x7bdf10a9,0xdb1d024a,0x52a910aa}},	//   _סמן_, ngqu, _nesë, овим_, 
   {{0x130610ab,0xd83803dd,0x645b10ac,0x61fa027e}},	//   дный_, _ээр_, rnui, fetl, 
   {{0x443f10ad,0xa3df10ae,0x645b00d9,0x68e10219}},	//   shu_, _ताव_, snui, _älds, 
   {{0x443f10af,0xa2cf10b0,0x3de30033,0xdb1d0034}},	//   phu_, _दिव्, য়াল, _besë, 
   {{0xcdc90056,0x644010b1,0x78a910b2,0x291100ef}},	//   _כך_, chmi, _čevl, _mrza_, 
   {{0xdb060cd7,0x437410b3,0xdb0401c8,0x09d50086}},	//   _lekò, _пушт, rcië, স্যা, 
   {{0x291110b4,0x443d00c3,0xa294017b,0x999800de}},	//   _orza_, _hlw_, _зачі, _smrž_, 
   {{0x1d070a63,0xfce310b5,0x443d10b6,0x6da310b7}},	//   мери_, коро, _klw_, тиса, 
   {{0x320700a9,0xdb1d10b8,0x6e21003e,0x3e7f010c}},	//   _hany_, _kesè, ölbr, rîta_, 
   {{0x7c240926,0x1a060701,0x290310b9,0xfaff00e0}},	// [980] rjir, мпам, _asja_, šīnu_, 
   {{0x291110ba,0x6f0410bb,0x7c36012d,0x64850038}},	//   _brza_, _isic, skyr, lóid, 
   {{0xeb9a0906,0x8c4610bc,0x32070056,0xae1b00c7}},	//   _мин_, _жене, _many_, _וויכ, 
   {{0x320700a9,0x3ea010bd,0x61fa10be,0x9f5906df}},	//   _lany_, _kuit_, zetl, fesè_, 
   {{0x61fa10bf,0x41dd0367,0x787802be,0x00000000}},	//   yetl, _मांस, nívi, --, 
   {{0x28db0586,0x6f040053,0x3207023a,0x443d00f8}},	//   मूहि, _msic, _nany_, _alw_, 
   {{0x61fa10c0,0x5e570137,0x644010c1,0x9f59024a}},	//   vetl, ויסע_, thmi, tesë_, 
   {{0x7bc410c2,0x32070054,0xdb1d011c,0xda1c00c2}},	//   naiu, _aany_, _besè, नावत_, 
   {{0xa3df083b,0x68e1022b,0x3ea0026d,0x61fa10c3}},	//   _तार_, _äldr, _nuit_, tetl, 
   {{0x644010c4,0x2fc000b9,0xa68300f0,0xdb1d10c5}},	//   shmi, _aeig_, _алуд, _desè, 
   {{0x61fa10c6,0xae220b79,0x443d019c,0x320710c7}},	//   retl, मानन_, _flw_, _dany_, 
   {{0x68e1022b,0x61fa10c8,0xf99300a7,0x660810c9}},	//   _ålde, setl, כרת_, _hadk, 
   {{0x32070e34,0x69ce0187,0x61fa07d7,0x27e40065}},	//   _fany_, _odbe, petl, _mcmn_, 
   {{0x3ea010ca,0x2e260054,0x32070118,0x683a00b9}},	//   _duit_, _kôfy_, _gany_, _oïdo, 
   {{0xd30800f7,0x2bd00077,0x2486023b,0x6e9410cb}},	//   _hệ_, तृभा, _khom_, тиру, 
   {{0x320705f0,0x69ce0ae3,0x3ea010cc,0x629810cd}},	//   _zany_, _adbe, _fuit_, _hivo, 
   {{0x661a0b1f,0x629810ce,0xae0c0ca0,0xb4bb00c9}},	// [990] _ontk, _kivo, िएशन_, _अब्_, 
   {{0x20090b22,0x2486008a,0xdb060118,0x2fc00502}},	//   _haai_, _lhom_, _pekò, _zeig_, 
   {{0xd308001b,0x629800a9,0xa3df0d1d,0xdb1d010e}},	//   _lệ_, _mivo, _ताल_, _mesé, 
   {{0xa2cf10cf,0xec350137,0x629810d0,0x315700c7}},	//   _दिल्, _נאָר_, _livo, ויבן_, 
   {{0x660810d1,0x2ee90065,0x20090ff2,0x9958020b}},	//   _badk, _jqaf_, _maai_, háňa_, 
   {{0x629810d2,0x20090876,0xdb1d10d3,0xfb160070}},	//   _nivo, _laai_, _odsú, _אַלט_, 
   {{0x660810d4,0x6d470405,0x320710d5,0x69c510d6}},	//   _dadk, nzja, _rany_, mahe, 
   {{0xcd980a33,0x69c510d7,0x248610d8,0x588710d9}},	//   ודות_, lahe, _chom_, _цыга, 
   {{0xfe0f10da,0x629810db,0x443d0165,0x320700f6}},	//   ायास_, _bivo, _vlw_, _pany_, 
   {{0x69c510dc,0x44e8010c,0x660810dd,0x3ea010de}},	//   nahe, bû_, _gadk, _ruit_, 
   {{0x09d500cc,0xd00a10df,0xdb1d0068,0xdb0410e0}},	//   স্থা, пене_, _desé, rcié, 
   {{0x7a32010d,0x7878026e,0x764302cd,0x2360014b}},	//   _hætt, tívi, lhny, _žije_, 
   {{0x32070489,0x69c510e1,0x2009018c,0x629800a9}},	//   _tany_, kahe, _daai_, _fivo, 
   {{0x09d5100b,0xfc3f09a1,0x63a910e2,0x3ea003a1}},	//   স্তা, _alí_, lcen, _vuit_, 
   {{0x75f30092,0x69c510e3,0x7a32008c,0x2fc010e4}},	//   mızı, dahe, _mætt, _teig_, 
   {{0x98a700bc,0x3ea0083a,0x26dd044d,0x2009040b}},	//   šně_, _tuit_, kuwo_, _gaai_, 
   {{0x1e960099,0xfc3f00eb,0xab6610e5,0x2be1031e}},	// [9a0] _прор, _dlí_, хвал, _फारा, 
   {{0x75f305b7,0x69c510e6,0x19b9012d,0x7a320566}},	//   nızı, gahe, дуць_, _nætt, 
   {{0xa3df10e7,0x660810e8,0xba3b022c,0x63a910e9}},	//   तला_, _radk, _suïc, kcen, 
   {{0x63a910ea,0xc18c00c7,0xe786004f,0x248d10eb}},	//   jcen, קטאָ, нуло, jmem_, 
   {{0xe73710ec,0x69c510ed,0x26dd105b,0x660810ee}},	//   нец_, bahe, guwo_, _padk, 
   {{0x63a910ef,0x69ce055f,0x69c51032,0x200b0098}},	//   ecen, _udbe, cahe, zdci_, 
   {{0x629810f0,0x2486006f,0x64950304,0x614610f1}},	//   _rivo, _phom_, _išij, _mélé, 
   {{0xdb0f0183,0x7643030c,0xdb1d009e,0x44e80218}},	//   _recú, ahny, _mesî, rû_, 
   {{0xa01b008c,0x6d47003d,0xdb080212,0x20090326}},	//   llög, zzja, élèv, _raai_, 
   {{0xd3080029,0x63a910f2,0x200910f3,0xddc70352}},	//   _vệ_, acen, _saai_, kojš, 
   {{0xa3e80190,0x63a910f4,0xb7bd00d9,0x200908b0}},	//   _बाप_, bcen, _soţi, _paai_, 
   {{0x23660e0c,0x63a910f5,0x44cc031e,0xd30800e7}},	//   _txoj_, ccen, mě_, _tệ_, 
   {{0x69c510f6,0xbb1b010c,0x00000000,0x00000000}},	//   yahe, _azîn, --, --, 
   {{0x6146026a,0x20090876,0xfc3f0038,0x28d100bd}},	//   _célé, _waai_, _slí_, _हिलि, 
   {{0x69c510f7,0xbd6810f8,0x44cc031e,0x61460107}},	//   vahe, ерте_, ně_, _délé, 
   {{0x9f520bf1,0x3f1500d3,0x69c510f9,0xb7bd020f}},	//   _cayó_, _адис, wahe, _toţi, 
   {{0x69c510fa,0x3a7502f1,0x657a017c,0x6146039f}},	// [9b0] tahe, влар, _lyth, _félé, 
   {{0x996710fb,0xddc710fc,0xbbeb00d4,0x614610fd}},	//   нтел, bojš, _کردم_, _gélé, 
   {{0x69c510fe,0x7a320a6d,0xe61f001b,0x99670cdf}},	//   rahe, _rætt, _đô_, хтал, 
   {{0x7a3210ff,0x44cc000d,0x69c51100,0xd759091d}},	//   _sætt, dě_, sahe, ولات_, 
   {{0xd90f0105,0x764302cd,0x69c50149,0x00000000}},	//   _گیا_, thny, pahe, --, 
   {{0x7aed0019,0x657a1101,0x64951102,0x46d200bc}},	//   mtat, _byth, _všim, _सिरह, 
   {{0xd90f0105,0xd4691103,0x657a017c,0xae2200b0}},	//   _دیا_, мике_, _cyth, मातन_, 
   {{0x7643016a,0x7aed02a3,0x6d581104,0x26dd019b}},	//   shny, otat, _žvak, puwo_, 
   {{0x248d1105,0x7a3202c9,0x48640093,0x7c2f1106}},	//   rmem_, _tætt, _сърб, _mocr, 
   {{0x63a91107,0x7aed1108,0x7c2f02a3,0x44cc02d9}},	//   scen, itat, _locr, bě_, 
   {{0x7aed024a,0x63a90844,0xe816009a,0x387d00f8}},	//   htat, pcen, णाचा_, olwr_, 
   {{0x61461109,0x7c2f0d07,0xa3e8075a,0x00000000}},	//   _sélé, _nocr, _बाय_, --, 
   {{0xe28e110a,0x09cc0086,0x61460096,0xa2e5022c}},	//   _ва_, র্টা, _pélé, _ролд, 
   {{0xc0a809e8,0xda110081,0x7aed110b,0x2d9e004f}},	//   بایل_, _डोलत_, dtat, øte_, 
   {{0x442f0df4,0x1fb6110c,0xed5a110d,0x7aed110e}},	//   _kog_, _испр, фов_, etat, 
   {{0x442f110f,0xe8df00e7,0xbc631110,0x7aed1111}},	//   _jog_, _nhựa_, авск, ftat, 
   {{0x61460518,0x442f0201,0x7aed0268,0x4f0701bb}},	// [9c0] _télé, _mog_, gtat, _анын_, 
   {{0x4a431112,0x442f00a7,0xd5e00586,0xa01b0219}},	//   анув, _log_, _नाइज, smöt, 
   {{0x442f0318,0x2dd900c7,0x26cd1113,0x77690183}},	//   _oog_, _אַרב, _aveo_, _axex, 
   {{0x442f1114,0x44cc000d,0x76411115,0x657a026a}},	//   _nog_, vě_, _ally, _ryth, 
   {{0x7aed1116,0xb8651117,0x17840240,0x657a1118}},	//   ctat, دالو, уҳам, _syth, 
   {{0x09cc00cc,0x649500d2,0x44cc031e,0x98a700d9}},	//   র্জা, _ušij, tě_, ână_, 
   {{0x442f1119,0x77690183,0xe97600d4,0x0466111a}},	//   _bog_, _exex, _شهرد, ктим, 
   {{0x442f01a0,0x00000000,0x00000000,0x00000000}},	//   _cog_, --, --, --, 
   {{0x657a02bf,0x65c6111b,0x4274111c,0x442f00d1}},	//   _wyth, _абза, лгис, _dog_, 
   {{0x44cc02d9,0x442f0090,0xb355009c,0x00000000}},	//   pě_, _eog_, دیها_, --, 
   {{0x7aed111d,0xd48f111e,0x442f0019,0xd3e400d4}},	//   ztat, _вр_, _fog_, _مقای, 
   {{0x320a08fc,0x76580010,0xe53700c7,0x442f111f}},	//   žby_, livy, _שטאט_, _gog_, 
   {{0x64421120,0xdb0d019c,0x6f161121,0xdd3b107c}},	//   _iloi, mbaç, _cryc, _băşt, 
   {{0x442f01c1,0x7c2f1122,0x6f161123,0x6442084c}},	//   _zog_, _socr, _dryc, _hloi, 
   {{0x442f1124,0x16df0a09,0x2d8501e8,0xe80b007e}},	//   _yog_, _नम्ब, åle_, _सोझा_, 
   {{0x7aed1125,0x3d0802f8,0x46d21126,0x09cb00a2}},	//   ttat, हिजे_, _सिंह, ाण्य, 
   {{0x7aed00d9,0x5b150161,0x4c941127,0xc4c4010e}},	// [9d0] utat, ымат, ритс, _ڈے_, 
   {{0x7aed1128,0x9f59001d,0x5fb60035,0x850200bc}},	//   rtat, nesí_, ूरथल, लबाट_, 
   {{0x7aed1129,0xda780ec4,0x26cd015e,0x6f16112a}},	//   stat, тят_, _sveo_, _zryc, 
   {{0x7aed112b,0xdb1d0183,0x7a3b009e,0x00000000}},	//   ptat, _hesí, _kîtk, --, 
   {{0x442f112c,0x4421001b,0xe5a300a3,0xf6e7112d}},	//   _rog_, _đh_, қиқи, тцен, 
   {{0x6442030f,0x442f02f1,0x6d58012d,0x69dd00a2}},	//   _aloi, _sog_, _žvai, _पाटी, 
   {{0x442f112e,0x6442112f,0xdb1d001d,0xb7bd00b3}},	//   _pog_, _bloi, _mesí, _soţu, 
   {{0x13091130,0x64421131,0x442f1132,0x845800c8}},	//   ений_, _cloi, _qog_, крыт_, 
   {{0x628a0084,0x97ea0c05,0x442f1133,0x26cd034c}},	//   _bhfo, ıştı, _vog_, _uveo_, 
   {{0x42251134,0x64421135,0x442f1136,0x649a00d3}},	//   удов, _eloi, _wog_, мтөр_, 
   {{0xa2cf05f6,0x56940200,0xe4e4004f,0x95c81137}},	//   _दिक्, _тафт, _вічн, _шута_, 
   {{0x64421138,0x00000000,0x00000000,0x00000000}},	//   _gloi, --, --, --, 
   {{0x63bb09c2,0xa3e81139,0xbec5004e,0xba3b113a}},	//   mbun, _बात_, аңыз_, _ruïn, 
   {{0xa2d809ec,0x63bb0c98,0xfce6113b,0xc0e5113c}},	//   _मित्, lbun, лого, _бокк, 
   {{0xdb1d00bc,0x9d43113d,0x27200083,0x63bb018e}},	//   _desí, берд, _मप्र_, obun, 
   {{0x6f16113e,0x6e3c113f,0x4095012d,0x2a781140}},	//   _tryc, skrb, _крыт, _skrb_, 
   {{0x63bb02f2,0x3b8600f6,0x20021141,0xc05300d1}},	// [9e0] ibun, улаг, meki_, _לזה_, 
   {{0x2002074c,0x01d50033,0xd9ae0299,0x00000000}},	//   leki_, ত্রদ, टडेट, --, 
   {{0x291e0f23,0x38cb0116,0x46c602e6,0x9c66009c}},	//   _štab_, فانی_, रीनह, _مهدو, 
   {{0x649500a4,0xa3df0c46,0xdb1d1142,0x81760147}},	//   _eġiz, _ताग_, _desâ, אגעס_, 
   {{0xa2cf10b0,0x601b0080,0x63bb1143,0xbf9b0216}},	//   _दिग्, _hämä, dbun, ldêr, 
   {{0x64420557,0x7bc6024a,0xa5f81144,0xe9a30701}},	//   _sloi, _heku, теку_, _гарп, 
   {{0xa3e81145,0x7bc61146,0x644200d9,0x76580300}},	//   _बाद_, _keku, _ploi, rivy, 
   {{0x20021147,0x63bb1148,0x76581149,0x7bc6018e}},	//   jeki_, gbun, sivy, _jeku, 
   {{0x3855048a,0xdb04114a,0x200201f0,0x05240086}},	//   _търс, mbió, deki_, বনের_, 
   {{0x7bc6114b,0x64a6114c,0x27e6114d,0x00000000}},	//   _leku, _бажа, lgon_, --, 
   {{0xdb1d114e,0x601b0080,0x00000000,0x00000000}},	//   _resí, _nämä, --, --, 
   {{0x27e60bc1,0x7bc6114f,0x648506a7,0x71f7006b}},	//   ngon_, _neku, lóin, پریس_, 
   {{0xdef8109a,0x63a21150,0xa85700d1,0x27e60108}},	//   лыр_, _igon, ריכה_, igon_, 
   {{0x539b0111,0x291801c5,0x25e810da,0xdb1d02aa}},	//   _ניגו, _orra_, च्ची_, _lesã, 
   {{0xdb1d0068,0x63a20364,0xdd950009,0x7e751151}},	//   _vesí, _kgon, равы, rozp, 
   {{0x200201f0,0x63a202be,0x5b271152,0xade900bc}},	//   ceki_, _jgon, льза, ञ्जन_, 
   {{0x29180019,0x63a20927,0x7bc61153,0xba55021c}},	// [9f0] _arra_, _mgon, _deku, авај, 
   {{0x320e0379,0x63bb00b3,0x00000000,0x00000000}},	//   _jafy_, zbun, --, --, 
   {{0x63a21154,0x320e05f0,0x648503b3,0x3eb90243}},	//   _ogon, _mafy_, dóin, lpst_, 
   {{0x63a21155,0x7bc61156,0x27e60b74,0x64b101dd}},	//   _ngon, _geku, ggon_, _jāie, 
   {{0x29181157,0x61f80352,0x65c502f1,0x7c2d1158}},	//   _erra_, _obvl, абла, mjar, 
   {{0xe618005e,0x63a21159,0x20020938,0x27e9115a}},	//   лді_, _agon, zeki_, żan_, 
   {{0xce3800a7,0x7bc60095,0x290500fd,0x63bb0aa7}},	//   ראות_, _yeku, _èla_, tbun, 
   {{0x7afd012b,0xa3df017d,0xafdb0566,0x00000000}},	//   _kpst, _ताओ_, shøj, --, 
   {{0x42c603a1,0x63bb115b,0xa3b4034d,0x3aef0241}},	//   агын_, rbun, झड़_, nüp_, 
   {{0x69c7115c,0xdb04115d,0x63a20a9f,0x63bb115e}},	//   _jeje, nciá, _egon, sbun, 
   {{0x2169115f,0x60261160,0x7c2d1161,0xafdb055f}},	//   тини_, адна, kjar, dkøb, 
   {{0x7afd1162,0x7a3b078a,0x69c71163,0x20560aed}},	//   _opst, _dîti, _leje, ртор, 
   {{0x387e1164,0x20021165,0x442d1166,0x320e0054}},	//   _être_, reki_, mje_, _fafy_, 
   {{0x443f0527,0x64491167,0x69c7031e,0x66031168}},	//   lku_, lhei, _neje, nenk, 
   {{0x7afd002a,0x442d012d,0xdd921169,0x7c2d008c}},	//   _apst, oje_, زور_, fjar, 
   {{0x6449116a,0x6603116b,0x44f1001b,0xfce60f5a}},	//   nhei, henk, _mơ_, лоҳо, 
   {{0x69c7006b,0x207b00c7,0x68fc0112,0x443f116c}},	// [a00] _beje, _באקא, _sprd, iku_, 
   {{0xba23116d,0x601b030f,0x442d116e,0x7bc6116f}},	//   одук, _tämä, hje_, _weku, 
   {{0x443f033d,0x442d00fc,0x7bc61170,0x69c71171}},	//   kku_, kje_, _teku, _deje, 
   {{0x1ae61172,0x443f00f1,0x6449012e,0xf09300c7}},	//   _комм, jku_, jhei, ַנג_, 
   {{0x27e61173,0x442d1174,0x443f1175,0xc5f8005e}},	//   rgon_, dje_, dku_, лға_, 
   {{0x443f002a,0x66031176,0x442d00ab,0xaa461177}},	//   eku_, genk, eje_, _тегл, 
   {{0x44f100f7,0x7ae41178,0x644900eb,0xdb1d02a0}},	//   _cơ_, luit, fhei, _tesã, 
   {{0x442d1179,0x6449117a,0x6281117b,0x443f00e2}},	//   gje_, ghei, ello, gku_, 
   {{0x32660849,0x23380088,0x779400d4,0xf743117c}},	//   итов, уппы_, _ایشا, _дето, 
   {{0x442d117d,0x443f0584,0x7c2d117e,0xe5a300d9}},	//   aje_, aku_, zjar, _дифи, 
   {{0x8506040f,0x443f0098,0x442d02ee,0x64490465}},	//   _خوان, bku_, bje_, bhei, 
   {{0x6449117f,0x442d0da6,0x38661180,0x443f06c4}},	//   chei, cje_, nnor_, cku_, 
   {{0xfe221181,0x7c2d1182,0xfe7f022c,0x62810034}},	//   मांस_, vjar, juïc_, bllo, 
   {{0x7ae41183,0x30a61184,0x6e950b68,0x78a0045a}},	//   duit, _крив, сигу, _limv, 
   {{0x69c71185,0x0ed3009a,0x44f10023,0xb0f81186}},	//   _reje, _तिकड, _xơ_, _сейф_, 
   {{0xe5170509,0x69c71187,0x66031188,0x64401189}},	//   थिति_, _seje, zenk, nkmi, 
   {{0x7ae4118a,0x7c2d118b,0x66fa00e0,0xdb0f118c}},	// [a10] guit, rjar, nākā, _recó, 
   {{0x443f063b,0xdb1d118d,0x442d118e,0x656d0095}},	//   zku_, _cesá, zje_, şahi, 
   {{0x442d118f,0x69c71190,0x6449018c,0x3ea900e2}},	//   yje_, _veje, yhei, _huat_, 
   {{0x3ea91191,0x7ae41192,0x386601d8,0x660301a3}},	//   _kuat_, buit, gnor_, wenk, 
   {{0x66031193,0x443f1194,0x44f10029,0x442d1195}},	//   tenk, vku_, _sơ_, vje_, 
   {{0x3ea91196,0x64a501a2,0x2fc91197,0x6f0d018e}},	//   _muat_, бака, _leag_, _msac, 
   {{0x442d1198,0x3ea91199,0x6449119a,0x58d404fb}},	//   tje_, _luat_, thei, _морт, 
   {{0xa2d8119b,0x442d00e4,0x6603119c,0x443f119d}},	//   _मिश्, uje_, senk, uku_, 
   {{0x6449119e,0xa3e8119f,0x6603090f,0xc322021d}},	//   rhei, _बार_, penk, змык, 
   {{0x442d11a0,0x644903fc,0xa2d80a20,0x44f10023}},	//   sje_, shei, _मिर्, _tơ_, 
   {{0x2fc911a1,0x442d11a2,0x84670141,0x3f8611a3}},	//   _beag_, pje_, _къде, _šou_, 
   {{0x3ea911a4,0x644011a5,0x442d024a,0x66fa0243}},	//   _buat_, ckmi, qje_, bākā, 
   {{0x02a70b0d,0x6f630b58,0x147400eb,0x9f590042}},	//   _трем, звяз, _بالج, tesá_, 
   {{0x6d4e0380,0x7ae411a6,0xccf800a3,0x00000000}},	//   tzba, vuit, ақо_, --, 
   {{0x320511a7,0x50b511a8,0x386611a9,0x6efd0219}},	//   mely_, _услу, ynor_, _påbö, 
   {{0x7ae411aa,0xb603063b,0x68e5012b,0x27ed01e5}},	//   tuit, _hráč, duhd, _ncen_, 
   {{0xab2711ab,0x9ce80033,0xb6030098,0x7ae4019c}},	// [a20] бота_, খবেন_, _kráč, uuit, 
   {{0x78a90bfc,0xac08004e,0x3ea10304,0x78a011ac}},	//   _čevr, ынға_, _giht_, _simv, 
   {{0xa3e80bf5,0x7ae411ad,0x645902b0,0xb60300de}},	//   _बाल_, suit, _omwi, _mráč, 
   {{0xa2d8000c,0x320511ae,0x69c6109f,0x201205d5}},	//   _मिल्, hely_, िरही, _jayi_, 
   {{0x320511af,0x386611b0,0x78bb11b1,0x6ecb05e5}},	//   kely_, rnor_, _čuve, तीपु, 
   {{0x32050180,0xdb1d02c9,0x645911b2,0x91fc0243}},	//   jely_, _besæ, _amwi, gnāl, 
   {{0x78a011b3,0x186a0267,0x320511b4,0xaa470082}},	//   _timv, _бави_, dely_, _упра_, 
   {{0xe8e0001b,0xa2b411b5,0x66fa01dd,0xa3e8009a}},	//   _chụp_, обич, tākā, _बाळ_, 
   {{0x6440008c,0x661100c8,0x2fc90036,0x239b0028}},	//   rkmi, ökkä, _reag_, jąjį_, 
   {{0x6440007e,0x66fa01dd,0x60cd0083,0xc50a11b6}},	//   skmi, rākā, _łama, _متصل_, 
   {{0x20121146,0x531611b7,0x09d50033,0x3ea911b8}},	//   _bayi_, _گذار, স্কা, _suat_, 
   {{0x9f9911b9,0x3ea9011c,0x6f0d036e,0xfe7f00f6}},	//   ивну_, _puat_, _psac, duïa_, 
   {{0x3ea911ba,0x320511bb,0x28af103d,0x649511bc}},	//   _quat_, bely_, _जूनि, _všit, 
   {{0x6d1411bd,0xfbdf03c6,0x32050de2,0x00000000}},	//   डिंग_, _clên_, cely_, --, 
   {{0x64a3015e,0x64950026,0x20120027,0x2fc901be}},	//   _uđit, _tšit, _fayi_, _teag_, 
   {{0x0ca811be,0x6f0d11bf,0x649500da,0x00000000}},	//   стри_, _tsac, _ušit, --, 
   {{0x6f0d045a,0xe7cc0035,0xdefb09d9,0x6a3502a6}},	// [a30] _usac, ारनप, _сый_, онађ, 
   {{0x27ed11c0,0x6aad0034,0xfe7f00b9,0xfbdf03c6}},	//   _scen_, rqaf, buïa_, _glên_, 
   {{0x2012044d,0x6e250054,0xa3e811c1,0x27ed00fc}},	//   _yayi_, _inhb, बला_, _pcen_, 
   {{0xac1911c2,0x76480175,0xb9010367,0xc0b20023}},	//   _тому_, _aldy, _दि_, _sưởi_, 
   {{0xd6db11c3,0xd7f803dc,0x6675009c,0xb06600c8}},	//   уте_, сух_, يدتر, ltää, 
   {{0xf7700a7c,0x95cb00d3,0x00000000,0x00000000}},	//   ران_, ууда_, --, --, 
   {{0xb0660088,0x91fc00e0,0x320511c4,0x27ed0036}},	//   ntää, rnāl, vely_, _tcen_, 
   {{0x99540235,0x00000000,0x00000000,0x00000000}},	//   _эксц, --, --, --, 
   {{0x52a611c5,0x32050bf9,0xe7330e61,0x201211c6}},	//   овым_, tely_, _عصر_, _rayi_, 
   {{0xf1a500d3,0x5f1d05ff,0x201211c7,0xe4e7017b}},	//   өрүн, मिन्_, _sayi_, _гідн, 
   {{0x386d11c8,0x69d803b7,0xe3b30625,0x320500d1}},	//   _kjer_, óvei, _فرش_, rely_, 
   {{0xdb1d030f,0x764303a9,0x64590199,0x44f311c9}},	//   _kesä, lkny, _umwi, mã_, 
   {{0x7643016a,0x3205014b,0x44f302aa,0x2d8511ca}},	//   okny, pely_, lã_, ülen_, 
   {{0x764311cb,0xe8df0108,0xa01b11cc,0xdca611cd}},	//   nkny, _chừa_, llöl, жави, 
   {{0x2d8c0310,0x6da311ce,0x764310b6,0xf3f900d9}},	//   åde_, дира, ikny, enţi_, 
   {{0xed5a0200,0x00000000,0x00000000,0x00000000}},	//   гоҳ_, --, --, --, 
   {{0xe7ff0964,0x764302cd,0xd0420095,0xa09b027a}},	// [a40] ोजना_, kkny, xslə, _דיקט, 
   {{0x25fb0a09,0x386d11cf,0x387f11d0,0x5e570038}},	//   ल्मी_, _ajer_, _akur_, _وليس_, 
   {{0xda1b0262,0x57a602f1,0x291c11d1,0xe7aa11d2}},	//   _नफरत_, ошла, íva_, авел_, 
   {{0xdb1d0c98,0x778611d3,0xfe7f00f6,0x00000000}},	//   _besä, олез, nuïn_, --, 
   {{0x7c2611d4,0x386d023e,0x00000000,0x00000000}},	//   _inkr, _djer_, --, --, 
   {{0x386d01cc,0xd04200ad,0x1dbf021a,0xc4da0bad}},	//   _ejer_, rslə, ्रयत, ађи_, 
   {{0x3af403c5,0x344a00af,0x8675012d,0xd04200ad}},	//   läp_, ичин_, чыцц, sslə, 
   {{0x386d00fc,0x7643016a,0x7e7c11d5,0xf48300f0}},	//   _gjer_, akny, horp, муын, 
   {{0x7e7c11d6,0x16660141,0x213e0156,0x3a38007b}},	//   korp, _двам, wyth_, _korp_, 
   {{0x7af600e4,0x764311d7,0x518600a3,0xb06600c8}},	//   ityt, ckny, жума, ytää, 
   {{0x7c2611d8,0x6e3711d9,0x3a380065,0x7e7c11da}},	//   _onkr, _roxb, _morp_, dorp, 
   {{0x8cb10110,0x00000000,0x00000000,0x00000000}},	//   _आंबो, --, --, --, 
   {{0xdefb11db,0x442611dc,0x09d50086,0x289b0070}},	//   шын_, _ino_, স্টা, ייטא, 
   {{0x442611dd,0x3f85002a,0x7c2611de,0x2057004e}},	//   _hno_, ālu_, _ankr, стүр, 
   {{0x25b900ad,0xf3f90474,0x91bb00df,0x00000000}},	//   _əsl_, liţa_, _דמוי, --, 
   {{0x4426016a,0x8cdc0fcf,0x1bbb0038,0x7a3b0216}},	//   _jno_, _फिरो, شارع_, _nîtr, 
   {{0xa3e811df,0xb0660088,0x442611e0,0xe8df001b}},	// [a50] _बाई_, stää, _mno_, _thừa_, 
   {{0x7c2602ee,0x09e30086,0x387f11e1,0x9f5902c9}},	//   _enkr, ন্না, _skur_, geså_, 
   {{0x3a380318,0x999102d9,0x386d11e2,0x7a3b0216}},	//   _dorp_, _vozů_, _pjer_, _bîtr, 
   {{0x44260547,0x3a3801be,0xdb1d0080,0xf77311e3}},	//   _nno_, _eorp_, _pesä, واش_, 
   {{0x8707009c,0x2b520083,0x6d5a11e4,0xab84022d}},	//   تبال, czyc_, útav, _журк, 
   {{0x442611e5,0xd12600eb,0x64a511e6,0x58d500c8}},	//   _ano_, _كم_, пака, _ногт, 
   {{0x044511e7,0x764311e8,0xe5a20e65,0x386d021e}},	//   зейн, rkny, ниши, _tjer_, 
   {{0x387f11e9,0x7643016a,0x44f302be,0x442601be}},	//   _ukur_, skny, rã_, _cno_, 
   {{0xa01b02ae,0x27ff11ea,0x28af00aa,0x44f302be}},	//   glöm, _ibun_, _जूति, sã_, 
   {{0x442611eb,0xd17511ec,0x00000000,0x00000000}},	//   _eno_, зымы, --, --, 
   {{0xf8cb00a5,0x0519007a,0x44260664,0xfe7f00b9}},	//   ाठिय, _دياب_, _fno_, tuïn_, 
   {{0x44d7002e,0xe8df001b,0xbbaa072d,0xafdb0a1f}},	//   mă_, _chứa_, _कलेक, skøn, 
   {{0x7d1e11ed,0x644b11ee,0x44d7002e,0x09e30086}},	//   _srps, _ilgi, lă_, ন্যা, 
   {{0x629d031e,0x00000000,0x00000000,0x00000000}},	//   ůsob, --, --, --, 
   {{0x44d70012,0x44260156,0x00000000,0x00000000}},	//   nă_, _yno_, --, --, 
   {{0x5baa11ef,0x09e30086,0x7af6076b,0x00000000}},	//   скам_, ন্মা, ttyt, --, 
   {{0x78bb00f1,0xe9da0ed8,0xab2711f0,0xa2bf009a}},	// [a60] _čuva, йка_, пота_, लीच्, 
   {{0x3af402ae,0x6a8300d9,0x9e0a007a,0x00000000}},	//   räp_, елуа, _ايدك_, --, 
   {{0xe8fa0fe1,0x7af611f1,0x44d700d9,0x644b11f2}},	//   сле_, styt, jă_, _olgi, 
   {{0xa3ea000c,0xfaa604c5,0xafdb08bb,0x44d700d9}},	//   _टाइप_, _намо, lhør, dă_, 
   {{0x7bc411f3,0x3a380343,0xf74311f4,0x44260604}},	//   mbiu, _torp_, нецо, _rno_, 
   {{0x644b0009,0x4426098d,0x27ff0d07,0x7ae411f5}},	//   _algi, _sno_, _ebun_, mrit, 
   {{0x69dc00dd,0x44d700d9,0x290c02a3,0xf8e00035}},	//   _idre, gă_, _èda_, _पटिय, 
   {{0xb603002a,0x69ce11f6,0x68e31056,0xdb0d001d}},	//   ēšan, _hebe, ánde, zcaí, 
   {{0x69ce11f7,0x66e311f8,0x228611f9,0x7ae40a6d}},	//   _kebe, _пота, зунг, nrit, 
   {{0x64aa000d,0x69ce08e3,0x78ae045a,0x25fb07d5}},	//   _přid, _jebe, _kubv, ल्दी_, 
   {{0x44d70012,0x69ce11fa,0x7ae402f2,0x55bb00d1}},	//   că_, _mebe, hrit, _המבו, 
   {{0x442611fb,0x69ce11fc,0x6f0400e1,0x00000000}},	//   _uno_, _lebe, _bpic, --, 
   {{0x69dc03ef,0xa8570486,0x69ce011c,0x00000000}},	//   _odre, ליטה_, _oebe, --, 
   {{0x8cb10f01,0x69ce11fd,0x626611fe,0xbeed11ff}},	//   _आंदो, _nebe, _عاشق, _जमीन_, 
   {{0x7ae4007e,0xd7cc00a2,0x09e30086,0x01fb00d1}},	//   erit, ाराच, ন্ডা, _הפול, 
   {{0x69dc1200,0x7ae41201,0x69ce01f1,0x3cfe1202}},	//   _adre, frit, _aebe, _लहरे_, 
   {{0x69ce1203,0x44d70012,0x6fc31204,0x91fc01dd}},	// [a70] _bebe, ză_, _व्यं, ciāc, 
   {{0x19ab1205,0x200b1206,0x69da0379,0x69ce1207}},	//   стап_, leci_, _ôtel, _cebe, 
   {{0x69ce1208,0x39471209,0x7ae402a3,0x5eed00c9}},	//   _debe, áns_, arit, _जमुई_, 
   {{0x44d700d9,0x9cd600d1,0xf9900038,0x200b120a}},	//   vă_, _קורה_, ابك_, neci_, 
   {{0xa2d80299,0x00000000,0x00000000,0x00000000}},	//   _मिग्, --, --, --, 
   {{0x69ce120b,0x44d70012,0x19590161,0x1dbf0d1d}},	//   _gebe, tă_, _дагы_, ्रित, 
   {{0x7bcf04bb,0x78a2026e,0x200b0228,0xdb1d0228}},	//   _kecu, ňova, keci_, _nesú, 
   {{0x44d70012,0x200b0f30,0x27ff120c,0xa01b014e}},	//   ră_, jeci_, _ubun_, slöj, 
   {{0x44d7002e,0x7bcf120d,0x1dbf00a2,0xd5b100e7}},	//   să_, _mecu, ्रात, _các_, 
   {{0xe0d9120e,0x69ce00ad,0x44d700d9,0x6ed7120f}},	//   ово_, _xebe, pă_, _बिजु, 
   {{0x69c501c5,0x7ae40187,0xafe602f1,0x741200d7}},	//   ibhe, zrit, монл, رویا, 
   {{0x7bcf00d9,0x7ae400c8,0x6aa702b0,0xdb1d00f6}},	//   _necu, yrit, _lijf, _desú, 
   {{0x99830028,0x00000000,0x00000000,0x00000000}},	//   _kojų_, --, --, --, 
   {{0x09e30086,0x7ae41210,0x3d0a017d,0x62341211}},	//   ন্তা, vrit, ाबले_, _печу, 
   {{0xbea31212,0x7bcf1213,0x3ea30470,0xafdb00fb}},	//   тарк, _becu, тирг, rhør, 
   {{0x69ce1214,0xd9f01215,0xdd8f0ce0,0xb5fc01f2}},	//   _sebe, _चाहत_, شوق_, _imġe, 
   {{0x78ae1216,0x78bc00ef,0x7bcf1217,0xd91011b7}},	// [a80] _subv, _strv, _decu, گیز_, 
   {{0x7ae41218,0x1cba0040,0xe8df001b,0x6aa7012e}},	//   rrit, _واجب_, _chữa_, _cijf, 
   {{0xfbc61219,0xdb1d03da,0x7bcf04ef,0x2618121a}},	//   _обно, _xesú, _fecu, _योगी_, 
   {{0xab2a121b,0x31360137,0x66e6121c,0x7bcf121d}},	//   _дома_, ונעם_, дода, _gecu, 
   {{0x69ce121e,0x09e30086,0x394601dd,0xe737121f}},	//   _tebe, ন্ধা, ņos_, мец_, 
   {{0x69dc1220,0x69ce0380,0xa01b02ae,0x22900054}},	//   _udre, _uebe, tlök, kàka_, 
   {{0x693502d9,0xdb060566,0x3e890216,0x00000000}},	//   _přeš, _afkø, lîtê_, --, 
   {{0xdb1d0634,0x64aa031e,0x09e30033,0xd7061221}},	//   _resú, _přib, ন্দা, _озби, 
   {{0x41e61222,0x25fb1223,0x200b1224,0x64aa02d9}},	//   міна, ल्ही_, veci_, _břic, 
   {{0xd2501225,0xd6260195,0x51f8004f,0xf5e700d9}},	//   اند_, _تعري, чною_, _омул_, 
   {{0xa01b00c8,0x66e60176,0x629a1226,0x6283018e}},	//   llöi, _хоҷа, rmto, _dkno, 
   {{0xa3e8000d,0xc32a00eb,0xd5b10108,0x00000000}},	//   _बाट_, _وكان_, _tác_, --, 
   {{0xa2d80262,0x7bcf1227,0x200b1228,0x67000299}},	//   _मिट्, _recu, reci_, ोबिक_, 
   {{0x200b03ef,0x7bcf1229,0x1e720259,0x00000000}},	//   seci_, _secu, лғыс, --, 
   {{0x38b70529,0x6d550036,0x320c122a,0x6ca7122b}},	//   _oħra_, uzza, medy_, драж, 
   {{0xfc150afc,0x28d8122c,0x320c122d,0xa3c3122e}},	//   эмбэ, _डिजि, ledy_, ्रय_, 
   {{0x7bcf00e0,0x4ba800d3,0x7b67122f,0xfe1a1230}},	// [a90] _vecu, дөрү_, фтве, _फोकस_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa3c309d3,0x1bd51231,0x69c51232,0x6aa7012e}},	//   ्रम_, _поня, rbhe, _vijf, 
   {{0x779903fd,0x78a20032,0x6aa701d2,0x00000000}},	//   пкер_, ňovn, _wijf, --, 
   {{0xa3e80d2e,0x320c0187,0x7d020571,0x7c3d0358}},	//   _बाज_, kedy_, _ćosi, _iosr, 
   {{0x2451063b,0x7aed1233,0x46e000b0,0xf1c70ed0}},	//   _máme_, muat, _निरह, ďáky_, 
   {{0x7aed0a2d,0xc9841234,0x7c3d040b,0x245100de}},	//   luat, _аути, _kosr, _láme_, 
   {{0xe7f9000d,0xdb1d09a8,0xe8cb009a,0x00000000}},	//   _एउटा_, _besø, ाठीच, --, 
   {{0x25a900d4,0x64aa00bc,0x3f891235,0x7c3d021e}},	//   _فضای_, _přic, _nyau_, _mosr, 
   {{0x291e0009,0xd24302f1,0x78a90054,0x4ae200bd}},	//   _štai_, тмоқ, _hiev, _पिसव, 
   {{0x7aed1236,0x7c3d08b0,0x00000000,0x00000000}},	//   huat, _oosr, --, --, 
   {{0x7aed1237,0x717900f0,0x1b060033,0x22900379}},	//   kuat, жбүр_, রিতে_, ràka_, 
   {{0xe80102f8,0x7aed1238,0x64490380,0x23290258}},	//   ळ्या_, juat, mkei, _холи_, 
   {{0x443d0056,0x78a91239,0x644900c8,0x2451014b}},	//   _how_, _liev, lkei, _dáme_, 
   {{0x443d123a,0xda020f8c,0x7c3d123b,0x644602ae}},	//   _kow_, र्फत_, _bosr, ökig, 
   {{0x7aed086d,0x78a9123c,0x6449123d,0x64850183}},	//   fuat, _niev, nkei, cóit, 
   {{0x3b07048a,0xfe72006b,0x7aed123e,0xadee00a2}},	// [aa0] нето_, _مدد_, guat, _जाऊन_, 
   {{0x9b9300eb,0x443d00a7,0x7c36017b,0x09e30033}},	//   الكت, _low_, sjyr, ন্সা, 
   {{0x6449048d,0xd943123f,0xeabf01be,0xef180243}},	//   kkei, лефи, _crùb_, āļu_, 
   {{0x443d0056,0x7aed1191,0x78a90032,0x3eb21240}},	//   _now_, buat, _ciev, _kuyt_, 
   {{0x62811241,0x78a91242,0x91fc00e0,0x7bd61243}},	//   kolo, _diev, onāt, mayu, 
   {{0x25fb0d95,0x62811244,0x7bd61245,0x443d1246}},	//   ल्ली_, jolo, layu, _aow_, 
   {{0x291e11e9,0x7c3d0640,0x3eb20ff2,0x443d1247}},	//   _éta_, _yosr, _luyt_, _bow_, 
   {{0x98a31248,0x644902ec,0xd4971249,0x78a9124a}},	//   _бисе, gkei, нры_, _giev, 
   {{0x0edc0f63,0x6281124b,0x68e10219,0x57cc031e}},	//   _बिगड, folo, _åldr, ारीह, 
   {{0x6281124c,0x7bd6124d,0xa683124e,0x427303a1}},	//   golo, hayu, _блуд, лгыс, 
   {{0x320c124f,0xa3b3031e,0x75d3007a,0x00000000}},	//   redy_, जुङ_, _إيما, --, 
   {{0x44fa078e,0x661a00ef,0xa3c30f8c,0x38661250}},	//   më_, _hatk, ्रण_, nior_, 
   {{0x62811251,0xff041252,0x44fa00e5,0x661a1253}},	//   bolo, лярн, lë_, _katk, 
   {{0x661a030f,0x3866007c,0x7bc20068,0x7c3d1254}},	//   _jatk, hior_, ñoun, _sosr, 
   {{0x44fa078e,0x661a1255,0x7c3d06e0,0x5ce41256}},	//   në_, _matk, _posr, люта, 
   {{0x7aed1257,0x661a1258,0x64851259,0xdc880a10}},	//   tuat, _latk, lóir, есул_, 
   {{0x44fa00e5,0x78a9125a,0xeab30038,0x4ea7125b}},	// [ab0] hë_, _riev, اعر_, _проа, 
   {{0x78a9002a,0xda78125c,0x44fa00e5,0x661a125d}},	//   _siev, нях_, kë_, _natk, 
   {{0xdd91125e,0x78a9002a,0x7aed0730,0x44fa01ee}},	//   _خود_, _piev, suat, jë_, 
   {{0x6281125f,0x648500eb,0x7aed1260,0x44fa0034}},	//   zolo, hóir, puat, dë_, 
   {{0x661a02fe,0xdb070088,0x44fa018c,0xd8740816}},	//   _batk, ämäs, eë_, دالب, 
   {{0x443d00e2,0x62811261,0x99d40133,0xa50900ce}},	//   _sow_, xolo, _متفا, дека_, 
   {{0x62811262,0x648500eb,0x44fa00e5,0x443d1263}},	//   volo, dóir, gë_, _pow_, 
   {{0x588701bb,0x386600d9,0x629802f1,0xed640098}},	//   _чыга, cior_, _ahvo, loží_, 
   {{0xe2990a43,0x64491264,0x661a024a,0x2486023e}},	//   маи_, rkei, _fatk, _dkom_, 
   {{0x69d70496,0x64491265,0x648500eb,0x7bd60053}},	//   naxe, skei, góir, zayu, 
   {{0x201b0065,0xa3c300c9,0x7bd60626,0x44fa0034}},	//   _baqi_, ्रद_, yayu, cë_, 
   {{0x200408d7,0xd5640559,0xa3d20c64,0x62811266}},	//   ými_, _ступ, वरण_, solo, 
   {{0x62811267,0x6e3e0082,0x60c40352,0x2374020b}},	//   polo, _popb, _čime, čajú_, 
   {{0x248d1268,0x63bb0141,0xfce61269,0x9f61010e}},	//   llem_, lcun, кого, ását_, 
   {{0x7bd6126a,0xfc3f00f6,0x8d63126b,0x6d47126c}},	//   tayu, _boí_, авре, gyja, 
   {{0x63bb126d,0x998d0218,0xa3c3126e,0x4f260240}},	//   ncun, _şeş_, ्रि_, _адиб, 
   {{0x6e3e126f,0xcb671270,0x0b431271,0x44fa024a}},	// [ac0] _topb, вате_, антн, zë_, 
   {{0x7bd61272,0xbea61273,0x248d09c7,0x6fa71274}},	//   sayu, _шапк, hlem_, _गणतं, 
   {{0x661a0088,0xfe3700a7,0xa3c305f6,0x249f1275}},	//   _ratk, _סרטי_, ्रा_, kmum_, 
   {{0x44fa024a,0x076a1117,0x5ee900c9,0xb90a1276}},	//   vë_, وماً_, _जिम्_, _मि_, 
   {{0x248d1277,0x69d70183,0x69ca003e,0x38661278}},	//   dlem_, baxe, ðfes, rior_, 
   {{0x44fa078e,0x629d10de,0x2ca000b0,0x22900054}},	//   të_, ïsol, lmid_, vàko_, 
   {{0x81d70086,0x38660219,0x661a1279,0x00000000}},	//   িলা_, pior_, _vatk, --, 
   {{0x44fa078e,0x4394127a,0xe4e30586,0x6298011c}},	//   rë_, лайс, _गिरि_, _shvo, 
   {{0x44fa078e,0x661a0ab1,0x6d4700ab,0x648500eb}},	//   së_, _tatk, zyja, tóir, 
   {{0x91fc002a,0x60c4127b,0x44fa024a,0xd05d0095}},	//   ciāl, _čimb, pë_, əyəc, 
   {{0x6722127c,0x248d127d,0x648500eb,0x38640054}},	//   lvoj, blem_, róir, _kmmr_, 
   {{0xdb04127e,0x64850038,0xf365004e,0x60da127f}},	//   nció, sóir, _өтін, rstm, 
   {{0x733603b1,0xf09f022c,0xdb04033c,0x657a00a1}},	//   _جرائ, rmà_, ició, _hxth, 
   {{0x52d700a7,0x201b02cd,0x2ca000b0,0xc6940070}},	//   _יודע_, _waqi_, emid_, טאָ_, 
   {{0x201b0165,0xdb040019,0x3a7502f1,0x7e6702b0}},	//   _taqi_, kció, ҳлар, rijp, 
   {{0x5c740ec6,0x57cc1280,0x09cb1281,0x3f8500ad}},	//   алст, ारोह, िर्य, ğlub_, 
   {{0x3a751282,0x29181283,0x6e45007a,0x2de71284}},	// [ad0] глар, _asra_, _منظم, _июнг, 
   {{0x672202f5,0x68e31056,0x99d51117,0x4a541285}},	//   dvoj, ándo, اقات, акус, 
   {{0x69d71286,0xa3d20081,0x248d058c,0x8af000ad}},	//   raxe, वरा_, ylem_, lzəl, 
   {{0x69d703da,0x69ca008c,0xa01b00a8,0x00000000}},	//   saxe, ðfer, mlös, --, 
   {{0x29181287,0x7c2f1288,0x64aa031e,0xd6db1289}},	//   _esra_, _incr, _přin, фте_, 
   {{0xe29a00f7,0xdb04128a,0xf3f900b3,0x0684128b}},	//   _như_, ació, miţi_, агін, 
   {{0x91fc002a,0xa8a70161,0x58d4128c,0xa01b128d}},	//   riāl, _арак, _вост, nlös, 
   {{0xdb04128e,0x69d5128f,0x33261290,0xafdb00fb}},	//   cció, _heze, _brox_, ljøf, 
   {{0x69d51291,0x248d1292,0x569500d3,0xa3e4031e}},	//   _keze, rlem_, _баат, _भएर_, 
   {{0x69d51293,0x63bb1294,0xa3c31295,0x248d1296}},	//   _jeze, scun, ्रह_, slem_, 
   {{0x10a61297,0x69d51298,0xa06a1299,0x248d129a}},	//   лион, _meze, еана_, plem_, 
   {{0xcea907f5,0x69d50b32,0xf992042c,0xa01b02ae}},	//   _זי_, _leze, מרי_, dlös, 
   {{0x442f0817,0xe28e129b,0x643a00d1,0xdb1d001d}},	//   _ing_, _га_, _רעננ, _mesó, 
   {{0x442f0175,0xa01b01c4,0x7c2f129c,0x7641040b}},	//   _hng_, flös, _ancr, _joly, 
   {{0xed5a129d,0x1d07129e,0x2d8c01cc,0x442f129f}},	//   хов_, лери_, æde_, _kng_, 
   {{0x442f12a0,0xfe7f022c,0x09cd0033,0x61f1020f}},	//   _jng_, duïu_, _লাগা, şelă, 
   {{0x69d512a1,0xdd9600f0,0x2ca000b0,0x442f12a2}},	// [ae0] _beze, таңы, rmid_, _mng_, 
   {{0x442f12a3,0xa9a608ac,0x2ca012a4,0x00000000}},	//   _lng_, гизд, smid_, --, 
   {{0x442f12a5,0x69d512a6,0x499612a7,0x9d4612a8}},	//   _ong_, _deze, ушат, _сенд, 
   {{0xd7f712a9,0x442f02a5,0xf3f9020f,0x00000000}},	//   гуш_, _nng_, biţi_, --, 
   {{0xdb040a5e,0xdb1d0126,0x69d512aa,0x5b35002e}},	//   rció, _desó, _feze, _кэру, 
   {{0x442f12ab,0x69d512ac,0x20d1032f,0x672212ad}},	//   _ang_, _geze, kši_, rvoj, 
   {{0xdb04128a,0x442f09a1,0x20d111c8,0x78b5090b}},	//   pció, _bng_, jši_, _guzv, 
   {{0x332612ae,0x26c612af,0x44de003d,0x69d501f1}},	//   _prox_, ppoo_, rċ_, _zeze, 
   {{0x7641006b,0x442f12b0,0x3254002e,0x78a20036}},	//   _foly, _dng_, ивир, mmov, 
   {{0x442f12b1,0x764102bf,0x78a212b2,0xb6a602f1}},	//   _eng_, _goly, lmov, _сизл, 
   {{0xd48f12b3,0xa19412b4,0x2d8c00ab,0x321c00a9}},	//   _гр_, ранч, żdej_, _vavy_, 
   {{0x78a212b5,0xd0e5000c,0x442f0102,0x4254009c}},	//   nmov, _किरण_, _gng_, انگر, 
   {{0xe29a0029,0xdd2500e0,0x78a202aa,0x9f590126}},	//   _thư_, dīša, imov, vesó_, 
   {{0x98bc031e,0x644212b6,0x20d10352,0xa01b12b7}},	//   ávě_, _hooi, bši_, tlös, 
   {{0x442f02f0,0x78a202ee,0xfe7f03a1,0x644202b0}},	//   _yng_, kmov, duït_, _kooi, 
   {{0x78a200d0,0xa01b128d,0xf3f900b3,0x69d512b8}},	//   jmov, rlös, tiţi_, _seze, 
   {{0x64420285,0x90980a7c,0xa01b0fd4,0x69d501f1}},	// [af0] _mooi, _حضور_, slös, _peze, 
   {{0x69d50c45,0xa01b0219,0xf3f900d9,0xdb1d03dd}},	//   _qeze, plös, riţi_, _besò, 
   {{0x69d512b9,0x391512ba,0x57b512bb,0x985100ab}},	//   _veze, рмер, абет, nąć_, 
   {{0x64420e47,0x69d512bc,0xdddc00b3,0x81b50033}},	//   _nooi, _weze, porţ, _ছড়া_, 
   {{0x7bda03e1,0xf6e70b68,0xfe7f022c,0x2d9c0032}},	//   _בקרו, уцен, buït_, _úver_, 
   {{0xf62512bd,0x7aed12be,0x7bcd12bf,0xb5c2004f}},	//   рдко, mrat, lbau, ойшл, 
   {{0xe3b1057f,0x764112c0,0x7a4100bc,0x98510035}},	//   يرة_, _voly, _vítě, jąć_, 
   {{0x20d100f1,0x130902fb,0x7aed12c1,0x7bcd12c2}},	//   vši_, вний_, orat, nbau, 
   {{0x644212c3,0x2bb81202,0x442f12c4,0x7aed12c5}},	//   _dooi, _अलसा, _vng_, nrat, 
   {{0x248000f1,0x7aed12c6,0x212712c7,0x6aae0201}},	//   čima_, irat, _prnh_, _xibf, 
   {{0x290112c8,0xdddc0571,0x27e0003e,0x7aed12c9}},	//   ntha_, jorš, ðing_, hrat, 
   {{0x672912ca,0x20d112cb,0xff2602f1,0x644201c8}},	//   _krej, rši_, аммо, _gooi, 
   {{0xe3ae12cc,0x99980121,0x00000000,0x00000000}},	//   _фб_, _morš_, --, --, 
   {{0x21a500a3,0x8cb10035,0x78a20098,0x4e19128b}},	//   _килм, _आंखो, zmov, люся_, 
   {{0xada612cd,0xdb1206b6,0x6da612ce,0x7aed0187}},	//   равл, _ágús, рива, erat, 
   {{0x672912cf,0x7aed0821,0x3b0012d0,0x7bcd12d1}},	//   _orej, frat, ttiq_, gbau, 
   {{0x5baa12d2,0xfe7f03a1,0x2d8512d3,0xdd2500e0}},	// [b00] ткам_, tuït_, üler_, rīša, 
   {{0x2bb80081,0x09e612d4,0xdd2501dd,0x9958020b}},	//   _अलवा, рожн, sīša, ráža_, 
   {{0x290100eb,0x78a212d5,0x7aed0093,0xe8fa12d6}},	//   gtha_, tmov, arat, тле_, 
   {{0x672912d7,0x64aa02d9,0xafdb0566,0x00000000}},	//   _brej, _přim, lkør, --, 
   {{0x2bd311bd,0x78a2026e,0x29010094,0x644212d8}},	//   तररा, rmov, atha_, _rooi, 
   {{0x6729078e,0x290112d9,0xd9f00c46,0x24580151}},	//   _drej, btha_, _चाटत_, _méme_, 
   {{0x2508017a,0x75cb005e,0xafdb03a9,0xfa670e65}},	//   ارتی_, ттің_, ljøe, _тарк_, 
   {{0x672911e1,0x249d0090,0x91680108,0x94180080}},	//   _frej, _chwm_, _lực_, ужит_, 
   {{0x672912da,0xa2b300c8,0xd1ca12db,0xe61a12dc}},	//   _grej, обыч, кунд_, _ида_, 
   {{0x166312dd,0x325412de,0x6f0d12df,0x26c00474}},	//   _двум, свор, _rpac, ţios_, 
   {{0x7aed00a3,0x6f0d12e0,0x67290228,0x91a900e7}},	//   zrat, _spac, _zrej, _đã_, 
   {{0xe19300f6,0x7aed01ff,0xa3c30c65,0x50670fa7}},	//   өлөө, yrat, ्रः_, ртоа, 
   {{0x53a612e1,0xfe7f03dd,0x00000000,0x00000000}},	//   _тадб, duïr_, --, --, 
   {{0x7aed12e2,0x9f4002f2,0x2d8401f0,0x69d8008c}},	//   vrat, _weiß_, ğmen_, ðvel, 
   {{0x25fb12e3,0x7aed00c3,0x8c670188,0xa3bd072e}},	//   ल्टी_, wrat, атад, _आलम_, 
   {{0x7aed12e4,0x20090065,0x228b017b,0x00000000}},	//   trat, _ubai_, søkt_, --, 
   {{0x7bcd12e5,0x6f0d12e6,0x64aa031e,0x451c0086}},	// [b10] rbau, _upac, _přij, থমিক_, 
   {{0x62880156,0xe9ab06bc,0xab8412e7,0x29010065}},	//   nodo, ندان_, цуск, ttha_, 
   {{0x15b9005e,0x67290082,0x19ab09d9,0x29010415}},	//   қылы_, _srej, ттап_, utha_, 
   {{0x672912e8,0x628812e9,0x7aed12ea,0x290112eb}},	//   _prej, hodo, prat, rtha_, 
   {{0x290112ec,0x7aed12ed,0x57e800f0,0xdc36027a}},	//   stha_, qrat, рдім_, _הארט_, 
   {{0xb60712ee,0xdd2800e0,0x628802c1,0x29010038}},	//   рядк, lēša, jodo, ptha_, 
   {{0xd46912ef,0x628812f0,0x48ab08a5,0x00000000}},	//   лике_, dodo, _атам_, --, 
   {{0x672912f1,0xdd2801dd,0x00000000,0x00000000}},	//   _trej, nēša, --, --, 
   {{0x672902ee,0x9f4407fa,0x62880156,0x320512f2}},	//   _urej, ümü_, fodo, tfly_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xf5950084,0x008600d3,0x00000000,0x00000000}},	//   _الاج, йлоо, --, --, 
   {{0x20560b58,0x237d023b,0xd17500f0,0xb7bd107c}},	//   стор, _txwj_, _қылы, _faţe, 
   {{0x628812f3,0x443f0e26,0x645b0557,0xdd2801dd}},	//   bodo, mju_, mhui, dēša, 
   {{0xb6cc06a2,0x645b12f4,0x00000000,0x00000000}},	//   _şükü, lhui, --, --, 
   {{0xc692035c,0x443f0009,0xdd920625,0xafdb00fb}},	//   פאל_, oju_, سور_, rkør, 
   {{0x645b12f5,0x78a30b1f,0xd5b10023,0x24580032}},	//   nhui, ïnvl, _cái_, _téme_, 
   {{0xbbb800a2,0x3a4401a2,0x8c4312f6,0x09e600d9}},	// [b20] _अलीक, омаҳ, чете, йоан, 
   {{0x443f007e,0x64aa00bc,0xe9d709fa,0x00000000}},	//   hju_, _přik, йку_, --, 
   {{0x499a0b58,0x645b038c,0xafdb004f,0x090603ae}},	//   утая_, khui, sjøe, спен, 
   {{0x443f12f7,0xdd2801dd,0xb8eb0019,0xd5b10108}},	//   jju_, cēša, ابلے_, _gái_, 
   {{0x443f12f8,0xf3ff0086,0x645b12f9,0x7c2412fa}},	//   dju_, ্যার_, dhui, mdir, 
   {{0x7c2412fb,0x443f12fc,0x645b12fd,0x89f5012d}},	//   ldir, eju_, ehui, _мясц, 
   {{0x628809b2,0x69de0727,0x645b12fe,0x89db00d1}},	//   vodo, mape, fhui, _תחלי, 
   {{0x7c2412ff,0x69de1300,0xa3a900c6,0x628800ab}},	//   ndir, lape, _गृह_, wodo, 
   {{0x35fa03b1,0x98a300b3,0x18a30176,0x938a1301}},	//   _مراد_, _хите, _хатм, ыска_, 
   {{0x69de1302,0xdd2801dd,0x05070033,0x443f1303}},	//   nape, zēša, লয়ের_, aju_, 
   {{0x443f1304,0x7c241305,0x81b00033,0x00000000}},	//   bju_, kdir, টুন_, --, 
   {{0x443f05ae,0x645b1306,0x69de1307,0xb27500d3}},	//   cju_, chui, hape, йлөш, 
   {{0x62881308,0x69de05a1,0x7c241309,0x09e30086}},	//   podo, kape, ddir, ন্টা, 
   {{0x3dd900cc,0xdce50228,0x69de130a,0x5eb80033}},	//   _তাহল, _vzhľ, jape, _অবশে, 
   {{0x69de130b,0x64aa000d,0x2600130c,0x44240102}},	//   dape, _přih, _रानी_, odm_, 
   {{0xfe770161,0x7c24130d,0x60c700bc,0x00000000}},	//   рүү_, gdir, íjme, --, 
   {{0xdd2800e0,0x7d1e012b,0xeabf00e7,0xf3fa0033}},	// [b30] rēša, _esps, _trùm_, _আসার_, 
   {{0x443f0405,0x7b7400eb,0x69de0064,0xdd280243}},	//   zju_, أطفا, gape, sēša, 
   {{0x7c24130e,0x984b130f,0xdd280243,0x6d4e0027}},	//   bdir, ляда_, pēša, cyba, 
   {{0x19a81310,0xd9a808ba,0x987c02d9,0x00000000}},	//   ступ_, съуд_, bíč_, --, 
   {{0xe7391311,0x443f1312,0x69de1313,0x00000000}},	//   рел_, vju_, bape, --, 
   {{0xdb1d0750,0x7bdf0068,0xd6291314,0x1b060033}},	//   _besö, laqu, роке_, রিখে_, 
   {{0x443f1315,0xf53200ce,0x845900d9,0x3eb31316}},	//   tju_, дејќ, ирит_, _mixt_, 
   {{0x7bdf1317,0x94790267,0x443f0e0b,0x00000000}},	//   naqu, јску_, uju_, --, 
   {{0x443f1318,0x645b0af8,0xa5f902a6,0x727900b3}},	//   rju_, rhui, _везу_, исос_, 
   {{0x443f1319,0x645b131a,0xdd1c014b,0x7c24131b}},	//   sju_, shui, váže, zdir, 
   {{0x443f131c,0x6145131d,0x9327015f,0x7c24131e}},	//   pju_, цена, _گران, ydir, 
   {{0x69de131f,0x1faa1320,0x60cd02fe,0x80b80033}},	//   zape, икни_, _čamd, _আবশ্, 
   {{0x7bdf1321,0x6f630235,0x93270296,0x69de025b}},	//   daqu, двяз, _دران, yape, 
   {{0xda0b0262,0x64590026,0x6d4e1322,0x02a700d9}},	//   स्मत_, _hlwi, tyba, _урем, 
   {{0xa3bd02f8,0x69de1323,0x7bdf024a,0x7c241324}},	//   _आला_, vape, faqu, tdir, 
   {{0x69de1325,0xdb1d02aa,0x7c240036,0x6d4e0028}},	//   wape, _lesõ, udir, ryba, 
   {{0x69de1326,0x7c241327,0x200506d0,0xf41202a1}},	// [b40] tape, rdir, əli_, ופן_, 
   {{0x22470326,0x7c241328,0x49961329,0xee0a00b3}},	//   _jonk_, sdir, ошет, _теол_, 
   {{0x69de132a,0x8c46132b,0xdd0f01f0,0x1dd0031e}},	//   rape, _дене, mışt, _त्यत, 
   {{0xdd0f01f0,0x7c24132c,0x9f4800e7,0x9f590219}},	//   lışt, qdir, _điêu_, resö_, 
   {{0xcfbc0086,0xfaa6132d,0x64aa02d9,0x60c40144}},	//   _অজান, _мамо, _křiv, _čimm, 
   {{0x7ae4132e,0x6459132f,0xf4ea1330,0xdd0f0241}},	//   msit, _alwi, афий_, nışt, 
   {{0xd90d017a,0x7ae400eb,0x81cf0086,0x261b031e}},	//   _میل_, lsit, ষণা_, _यसरी_, 
   {{0x7bc41331,0x7ae41332,0xdb1d00bd,0x00000000}},	//   nciu, osit, _eesõ, --, 
   {{0x69dc1333,0x7ae41334,0x22470372,0xdd0f0241}},	//   _kere, nsit, _bonk_, kışt, 
   {{0x69dc1335,0x442402a2,0x24510038,0x200000a1}},	//   _jere, sdm_, _lámh_, _acii_, 
   {{0x69dc1336,0x22471337,0xd2570904,0x7bdf1338}},	//   _mere, _donk_, іць_, yaqu, 
   {{0x69dc1339,0x7ae4133a,0xe0cf06bc,0x6618133b}},	//   _lere, ksit, کزی_, levk, 
   {{0x7648016a,0x69dc0226,0xdb1d01a7,0x20050083}},	//   _kody, _oere, _jesô, ęli_, 
   {{0x24890228,0x764803a0,0xe60e0259,0x9f59002c}},	//   čame_, _jody, едi_, ngsé_, 
   {{0x7bdf026a,0x7648133c,0xec6b0b38,0x7ae4133d}},	//   taqu, _mody, арак_, esit, 
   {{0x69dc0093,0x67200eae,0x3ced133e,0x6618010c}},	//   _aere, _osmj, čev_, hevk, 
   {{0x2019133f,0x7ae407fc,0xb6060228,0x06cf0033}},	// [b50] mesi_, gsit, _kráľ, _রিভি, 
   {{0x20191340,0x66180f4c,0x69dc1229,0x7bc401d8}},	//   lesi_, jevk, _cere, aciu, 
   {{0x69dc1341,0x7bdf1342,0x48151343,0x78bc1344}},	//   _dere, paqu, змес, _curv, 
   {{0x765a1345,0x78bc1346,0x7ae41347,0xb17b00c7}},	//   _alty, _durv, bsit, סטאר, 
   {{0x69dc1348,0x27e0008c,0x7bdd00b4,0xf7700499}},	//   _fere, ðina_, _iesu, پان_, 
   {{0x69dc1349,0x7bdd134a,0x2ca900b0,0xc987134b}},	//   _gere, _hesu, lmad_, _дуби, 
   {{0x7bdd134c,0x69c5134d,0x2019134e,0x67d5134f}},	//   _kesu, mche, kesi_, _нову, 
   {{0x69c51350,0x7bdd1351,0x69dc1352,0x7d7c00c7}},	//   lche, _jesu, _zere, ינוו, 
   {{0x2bdc0081,0x7bdd1353,0x69dc1354,0x76d500eb}},	//   बरता, _mesu, _yere, _رياض, 
   {{0x69dc1355,0x7bdd1356,0x69c51357,0x09af0086}},	//   _xere, _lesu, nche, _চ্যা, 
   {{0x69c51358,0x20191359,0x2c0c0790,0x386d011c}},	//   iche, fesi_, ड्डू_, _kmer_, 
   {{0x2458135a,0x7bdd00e4,0x69c5135b,0x2d840241}},	//   _téma_, _nesu, hche, şmek_, 
   {{0x2451135c,0x64aa00bc,0x22470096,0x6e250175}},	//   _námi_, _přiv, _tonk_, _bahb, 
   {{0x68e7035f,0x6e25135d,0x69c5135e,0x248d064e}},	//   _ovjd, _cahb, jche, loem_, 
   {{0x61e1030f,0x386d135f,0xdca6041d,0x7bdd1360}},	//   mall, _omer_, зави, _besu, 
   {{0x7ae41361,0x20191362,0x61e11363,0x248d018c}},	//   tsit, cesi_, lall, noem_, 
   {{0x69dc1364,0x7bdd055f,0x7bc40019,0x2d9e026e}},	// [b60] _pere, _desu, rciu, ťte_, 
   {{0x7bc40141,0xed5a00b9,0xba231365,0x69dc1366}},	//   sciu, _гоо_, ндук, _qere, 
   {{0x7ae41367,0x7648012d,0xda020c64,0x7bc41368}},	//   ssit, _rody, र्गत_, pciu, 
   {{0x61e11369,0x69dc136a,0x7bdd136b,0x7ae4136c}},	//   hall, _were, _gesu, psit, 
   {{0x61e10eaf,0x387f014e,0x69c5136d,0x7648136e}},	//   kall, _djur_, bche, _pody, 
   {{0x69c50141,0x78bc0e0f,0x61e1136f,0x7bdd02a5}},	//   cche, _turv, jall, _zesu, 
   {{0x20c100f7,0x7bdd019a,0xfaa31370,0x20191371}},	//   _nói_, _yesu, _чаро, yesi_, 
   {{0x7bdd0042,0x7648125f,0x6d4100c8,0x06661372}},	//   _xesu, _wody, älai, _کارپ, 
   {{0x66180039,0x61e11373,0x67200f30,0x55c4004e}},	//   pevk, fall, _usmj, _жазғ, 
   {{0x61e11374,0x20191375,0x20c10023,0x3f850241}},	//   gall, wesi_, _bói_, şluk_, 
   {{0x20191376,0x60cd090b,0x6e2500cf,0x69c3008b}},	//   tesi_, _čamc, _rahb, žneg, 
   {{0x7c261377,0xe3a70019,0xb606014b,0x20c102aa}},	//   _nakr, _کشمی, _dráž, _dói_, 
   {{0x61e11378,0x20191379,0xaa7b00bc,0x6d4802ae}},	//   ball, resi_, _svým, ädan, 
   {{0x4426137a,0x7bdd11f7,0x61e1137b,0x8ca20035}},	//   _hao_, _sesu, call, _कीबो, 
   {{0x442602f5,0xe19600b9,0x7c26137c,0x20c1001b}},	//   _kao_, _эрдэ, _bakr, _gói_, 
   {{0x7c26137d,0x6e250065,0x4426023a,0x2019137e}},	//   _cakr, _wahb, _jao_, qesi_, 
   {{0xd6d7100b,0x4426137f,0x69c51380,0x2ca91381}},	// [b70] _সম্প, _mao_, tche, rmad_, 
   {{0x44261382,0x27e0010d,0x69c51383,0x386d1384}},	//   _lao_, ðinn_, uche, _smer_, 
   {{0x69c50600,0x7bdd1385,0x291903b8,0x44260026}},	//   rche, _tesu, تقاد_, _oao_, 
   {{0x69c51386,0x44261387,0xd75900eb,0x77991388}},	//   sche, _nao_, يلات_, окер_, 
   {{0x69c51389,0x61e1138a,0x68e50065,0x7ea0138b}},	//   pche, yall, sshd, löpa, 
   {{0x7c26138c,0x61e1089f,0x660d015e,0xf1ba0023}},	//   _zakr, xall, đako, _ngơ_, 
   {{0x4426138d,0x7c3a007a,0x387f138e,0x00000000}},	//   _bao_, _úcrá, _tjur_, --, 
   {{0x442600f7,0x61e1138f,0x24581390,0x2baa00bd}},	//   _cao_, wall, _démo_, चेवा, 
   {{0x61e11391,0x56950161,0x20c10023,0x248d1392}},	//   tall, _жаат, _sói_, roem_, 
   {{0x81bc01dd,0x7ea00747,0x25a002d9,0x44261393}},	//   ldēj, köpa, řila_, _eao_, 
   {{0x26cd0267,0x61e11394,0x35550740,0x64aa00bc}},	//   _hteo_, rall, _تناز, _přit, 
   {{0xd36e00c5,0x20e70588,0x81bc0243,0x20c10210}},	//   اهی_, rđi_, ndēj, _vói_, 
   {{0x61e11395,0x7c261396,0xfe7803a1,0xafa201ff}},	//   pall, _rakr, зүп_, ъқиқ, 
   {{0x6da60c67,0x44261397,0x644b1398,0xafdb00fb}},	//   дига, _zao_, _hogi, ljøl, 
   {{0x4426086d,0x7c26012d,0xb6060098,0xc692027a}},	//   _yao_, _pakr, _uráž, דאם_, 
   {{0x26cd0571,0x442600e7,0x8af000ad,0x27ed0241}},	//   _oteo_, _xao_, yyəd, _nden_, 
   {{0x644b1399,0xeb97139a,0x7c26004f,0x2012016c}},	// [b80] _mogi, дит_, _vakr, _ibyi_, 
   {{0x7c260053,0x24800352,0x63bc02d9,0xcf9300d1}},	//   _wakr, čimi_, ěrni, _בטח_, 
   {{0x7c26139b,0xa3bd00a2,0xa80600e4,0xafdb017b}},	//   _takr, _आलं_, дзел, kjøl, 
   {{0x9f42010c,0x26c8004e,0x644b139c,0xd7ef0038}},	//   vakê_, зған_, _nogi, لكم_, 
   {{0x44260029,0xdd8f009c,0xdb1d02c9,0x47360038}},	//   _rao_, _موی_, _afsæ, براز, 
   {{0x4426139d,0x27ed139e,0xdd1d0356,0x644b00a1}},	//   _sao_, _eden_, lášt, _aogi, 
   {{0x2299011c,0x7af6139f,0x00000000,0x00000000}},	//   mèkh_, lryt, --, --, 
   {{0xe9a313a0,0x644b13a1,0x7af60035,0xfc3f0108}},	//   _расп, _cogi, oryt, _khía_, 
   {{0x442613a2,0x60cd034c,0xd70313a3,0x84ea0b3e}},	//   _vao_, _čama, _изти, _टिकट_, 
   {{0x4426086d,0x24890062,0x64aa031e,0x4571004e}},	//   _wao_, čama_, _přis, _өңір, 
   {{0x442613a4,0x09f70056,0xd48f13a5,0x55e30176}},	//   _tao_, ומים_, _ар_, _рохб, 
   {{0xdbd603f0,0x644b00f3,0x00000000,0x00000000}},	//   _jääd, _gogi, --, --, 
   {{0xfe730133,0x9f42011c,0xff5f0216,0x00000000}},	//   ندس_, nakè_, tbîq_, --, 
   {{0x63a213a6,0x7af613a7,0x245100da,0x00000000}},	//   _izon, dryt, _dámu_, --, 
   {{0xdd9400e4,0xafdb01e8,0xdc140213,0x00000000}},	//   вары, ljøm, _ağız, --, 
   {{0xaa7b026e,0x7af6024a,0x4ba700d3,0x9f4201e5}},	//   _zvýh, fryt, дөгү_, kakè_, 
   {{0x5a3513a8,0xf09400a7,0xfc3f0369,0x7af613a9}},	// [b90] ннат, _בנק_, _chía_, gryt, 
   {{0x3b09008a,0x00000000,0x00000000,0x00000000}},	//   rtaq_, --, --, --, 
   {{0x29070218,0x80e00086,0xdb0d001d,0x0fe30083}},	//   îna_, পূর্, rcañ, परपढ, 
   {{0x7af613aa,0xdb0d0126,0xc19b00d1,0x00000000}},	//   bryt, scañ, חשבי, --, 
   {{0x6d55010e,0xa3c213ab,0x81bc0243,0x63a2007c}},	//   lyza, ंशन_, rdēj, _nzon, 
   {{0xe5a513ac,0x35a513ad,0x644b13ae,0x00000000}},	//   нили, налг, _sogi, --, 
   {{0x63a213af,0x629a13b0,0x04b513b1,0x00000000}},	//   _azon, dlto, нсия, --, 
   {{0x032513b2,0x27ed0022,0x63a2007b,0x629a13b3}},	//   един, _uden_, _bzon, elto, 
   {{0xe61013b4,0x64aa00bc,0x59b90035,0x200c010e}},	//   _چشم_, _přir, ेडकर, ődik_, 
   {{0x63a213b5,0x60c70228,0x64b101dd,0x24510098}},	//   _dzon, íjmo, _jāiz, _rámu_, 
   {{0x9f4213b6,0x644b052b,0x63a201b8,0x00000000}},	//   maké_, _togi, _ezon, --, 
   {{0xe730006b,0x644b0028,0x2cb901be,0x200413b7}},	//   _حصہ_, _uogi, _nisd_, ümi_, 
   {{0x63880034,0x00000000,0x00000000,0x00000000}},	//   rënë, --, --, --, 
   {{0x2cb901be,0x60c40121,0x2299011c,0x9f4200d4}},	//   _aisd_, _čimv, kèki_, naké_, 
   {{0x40960593,0xdd920491,0x9f42023e,0xe762009e}},	//   _прит, اوز_, iaké_, kêşî, 
   {{0xfc3f001b,0x9f4200c5,0x6da603dc,0x7af613b8}},	//   _phía_, haké_, диҳа, tryt, 
   {{0x9f4209e8,0x7bd60102,0x63a213b9,0xd0060259}},	// [ba0] kaké_, rbyu, _xzon, _жоққ, 
   {{0x9f42026e,0xdbd600c8,0xcfb700d1,0x2cb901f5}},	//   jaké_, _sääd, _אלפי_, _eisd_, 
   {{0xdbd613ba,0x9f4200d7,0x69a513bb,0x00000000}},	//   _pääd, daké_, _करणी, --, 
   {{0x27e013bc,0xe3a703b1,0xfc3f0108,0x2299011c}},	//   úin_, _مر_, _thía_, sèkh_, 
   {{0x81d60033,0x9f4200d7,0xb9070299,0x00000000}},	//   িণত_, faké_, _मौ_, --, 
   {{0xae04009a,0x9f4201e5,0xf526019c,0x00000000}},	//   श्चन_, gaké_, ефин, --, 
   {{0xa9a308ac,0xe9a313bd,0x65930470,0xbf9b010c}},	//   _бирд, _барп, лашу, nfêr, 
   {{0x25a000bc,0xf483004e,0x2bd3031e,0x43940f89}},	//   řilo_, луын, धुपा, кайс, 
   {{0x087700c7,0xb5fc00a4,0x27e613be,0x68fe011f}},	//   _נעמט_, _alġe, maon_, lupd, 
   {{0x27e613bf,0x3eba13c0,0x9f42023e,0x00000000}},	//   laon_, _nipt_, caké_, --, 
   {{0xd5a40c14,0x64a613c1,0x00000000,0x00000000}},	//   _ओरिज, _зажа, --, --, 
   {{0x27e613c2,0xf1a313c3,0x25a10502,0x83860080}},	//   naon_, ырын, ühle_, _пыле, 
   {{0x3ce3009a,0xf1d100bc,0xafdb00fb,0x2cb90027}},	//   टीने_, _द्वन, ljøk, _risd_, 
   {{0x27e613c4,0xfc3f00e7,0x6d550035,0x3eba0175}},	//   haon_, _chín_, tyza, _cipt_, 
   {{0x321e13c5,0x27e60495,0x6ca713c6,0x7e7513c7}},	//   mety_, kaon_, ераж, rizp, 
   {{0x321e1175,0x6d5500ab,0x2d9a00fc,0x00000000}},	//   lety_, ryza, _dype_, --, 
   {{0x200c06d0,0x9f42009e,0x29180036,0x00000000}},	// [bb0] ədi_, lakî_, _apra_, --, 
   {{0x321e13c8,0x19590a31,0x9e670038,0xafdb00fc}},	//   nety_, мазы_, _ساخن, kjøk, 
   {{0xa3e00d4f,0xa3c20497,0x9f420218,0xfe7f00b9}},	//   थरा_, ्डा_, nakî_, duïx_, 
   {{0x2918016a,0x321e023a,0xab5b09c6,0x00000000}},	//   _dpra_, hety_, _agüe, --, 
   {{0x321e026e,0x7c2d13c9,0x58b80038,0xe758004f}},	//   kety_, mdar, رامج_, ниці_, 
   {{0x7c2d13ca,0xe73613cb,0xf6d400d7,0x00000000}},	//   ldar, теш_, ازند, --, 
   {{0x64aa000d,0xc98413cc,0x9f4200d4,0x27e613cd}},	//   _přip, _бути, raké_, baon_, 
   {{0x248906f6,0x3d190083,0x9f4200d4,0x00000000}},	//   čamo_, _पहने_, saké_, --, 
   {{0x56e1004e,0x9f4213ce,0x130600c8,0x588413cf}},	//   _тұлғ, paké_, вный_, _сыра, 
   {{0xa77413d0,0x7c2d13d1,0xd3a4004e,0x68e102c9}},	//   _случ, hdar, ылық, _ælds, 
   {{0x7c2d13d2,0x320b00ab,0x216913d3,0x3eba040c}},	//   kdar, ęcy_, фини_, _ript_, 
   {{0x7c2d13d4,0x205613d5,0x337500f0,0x00000000}},	//   jdar, ттор, _игер, --, 
   {{0x7c2d13d6,0x442d13d7,0xf8b20137,0xe81300a2}},	//   ddar, mde_, ישט_, ण्या_, 
   {{0x644913d8,0x443d039b,0x2d9a0ff2,0x00000000}},	//   ljei, _hnw_, _pype_, --, 
   {{0xfc3f0183,0x1d0713d9,0x2d9a13da,0x67220035}},	//   _chío_, кери_, _qype_, zwoj, 
   {{0x7c2d0c36,0x61e313db,0x645b13dc,0x644912aa}},	//   gdar, _henl, nkui, njei, 
   {{0xc05300a7,0x6281105b,0x3eba01d2,0x27e601a7}},	// [bc0] _כזה_, onlo, _tipt_, vaon_, 
   {{0x442d030f,0x7c2d13dd,0x78a90054,0x628113de}},	//   hde_, adar, _ahev, nnlo, 
   {{0x442d13df,0x27e613e0,0x7c2d13e1,0xbf9b02aa}},	//   kde_, taon_, bdar, ngên, 
   {{0x442d13e2,0x38600084,0x321e0db7,0x68fe02a2}},	//   jde_, óir_, zety_, rupd, 
   {{0x442d13e3,0xe1e7040f,0x27e613e4,0xf11e00c6}},	//   dde_, _پس_, raon_, _बन्द_, 
   {{0x442d13e5,0x27e60495,0x443d039b,0x645b08b0}},	//   ede_, saon_, _anw_, ekui, 
   {{0x442d0e47,0xa80613e6,0x321e0180,0xd94313e7}},	//   fde_, _извл, vety_, _кери, 
   {{0x9f42010c,0xb8b4004e,0x6abb0183,0x78bb107c}},	//   vakî_, _сөзі, _éufr, _giuv, 
   {{0x68e101cc,0x321e0db7,0xd70700d9,0x799c0156}},	//   _ældr, tety_, _инте_, _hyrw, 
   {{0x386600ce,0x442d13e8,0x7c2d13e9,0x443d02bf}},	//   lhor_, ade_, zdar, _enw_, 
   {{0x26c413ea,0x442d01e8,0x7c2d13eb,0xa5d813ec}},	//   _humo_, bde_, ydar, _न्यौ, 
   {{0xf9930056,0x386602a0,0x321e13ed,0x68e31385}},	//   ירת_, nhor_, sety_, ândi, 
   {{0x260907d5,0x321e1175,0x7c2d13ee,0x69ce003e}},	//   _सामी_, pety_, vdar, _ofbe, 
   {{0xdce50039,0x27e4002e,0x61e313ef,0x42560843}},	//   _vyhľ, _lemn_, _genl, _штет, 
   {{0x7c2d13f0,0xac1913f1,0x0d8413f2,0xa3e600a5}},	//   tdar, нову_, алён, _बजा_, 
   {{0xfbd3040f,0x69ce0b32,0x7c2d13f3,0x61e813f4}},	//   شتر_, _afbe, udar, ladl, 
   {{0x386613f5,0x6a1500f0,0x78a90379,0x9be400f0}},	// [bd0] dhor_, лмау, _rhev, ріск, 
   {{0x442d13f6,0xf09f00d3,0x78a913f7,0x7c2d13f8}},	//   zde_, llà_, _shev, sdar, 
   {{0x442d13f9,0x9f4e0019,0x7c2d0339,0x6abc13fa}},	//   yde_, önöm_, pdar, _dirf, 
   {{0x61e813fb,0x248608b1,0x26c4035f,0x7c2d00ad}},	//   hadl, _njom_, _bumo_, qdar, 
   {{0x442d13fc,0x61e813fd,0x3707123f,0xdbd100b0}},	//   vde_, kadl, тчев, _müüd, 
   {{0x442d13fe,0x7aed13ff,0x6abc008a,0x66051400}},	//   wde_, msat, _girf, упка, 
   {{0x260900a2,0x61e81401,0x442d1402,0x26c400b9}},	//   _साठी_, dadl, tde_, _eumo_, 
   {{0x6281054f,0x61e31403,0x29011404,0x26c41405}},	//   wnlo, _senl, muha_, _fumo_, 
   {{0x442d1406,0x7aed0f08,0x645b1407,0x387c0107}},	//   rde_, nsat, rkui, èvre_, 
   {{0x442d1408,0xb7bd002e,0x645b1409,0x6729140a}},	//   sde_, _naţi, skui, _isej, 
   {{0x61e3140b,0x42c803a1,0x26c4140c,0x2901140d}},	//   _venl, нгөн_, _zumo_, nuha_, 
   {{0x44e100e4,0xbf9b03b7,0x8335105a,0x26c4095a}},	//   mų_, rgên, _مرتض, _yumo_, 
   {{0x44e1012d,0x27e00a6d,0x7bcd140e,0x26c4040c}},	//   lų_, ðini_, dcau, _xumo_, 
   {{0x249f140f,0x29011410,0x7aed0d86,0x3f9e00e0}},	//   llum_, kuha_, dsat, ātu_, 
   {{0x44e100e4,0x00000000,0x00000000,0x00000000}},	//   nų_, --, --, --, 
   {{0xa3e60262,0xc0061411,0x29011412,0x8c9601fc}},	//   _बड़ा_, _спик, duha_, ургі, 
   {{0xfc3f0076,0x7aed1413,0xcb671414,0x6a8602be}},	// [be0] _dní_, gsat, гате_, глаа, 
   {{0x44e100e4,0xfeba024f,0x6b9d02bf,0x27e400b3}},	//   kų_, _ثابت_, _dysg, _semn_, 
   {{0x44e100e4,0x7aed1415,0x3e66026a,0x386600a7}},	//   jų_, asat, _côte_, thor_, 
   {{0x8c461416,0x44e1012d,0x6abc1417,0x61e81418}},	//   _семе, dų_, _wirf, zadl, 
   {{0x09e80086,0x6b9d017c,0x81bc01dd,0xd7f9004f}},	//   _পাঠা, _gysg, ldēt, тує_, 
   {{0x2ca01419,0x2901141a,0xa3e600aa,0xfc3f02d9}},	//   llid_, buha_, _बजह_, _zní_, 
   {{0x61e8141b,0x44e1012d,0x2ca000c2,0xa3c2103d}},	//   vadl, gų_, olid_, ्डल_, 
   {{0x2609141c,0x5454141d,0x955300eb,0x26c4141e}},	//   _साथी_, рвит, إخوا, _tumo_, 
   {{0x41e60769,0x61e8141f,0x18670267,0x2ca001a4}},	//   ліна, tadl, _сати_, ilid_, 
   {{0x471b00c7,0xdbd1007e,0x44e10009,0x42741420}},	//   _אומג, _süüd, bų_, ргос, 
   {{0x3de21421,0x26091422,0x249f1423,0x2ca0007e}},	//   _বাংল, _साती_, blum_, klid_, 
   {{0x7aed0a6d,0xfc3f001b,0xa2e60104,0x61e81424}},	//   ysat, _phím_, _бодд, sadl, 
   {{0x543b0137,0x61e81425,0xd9e407d5,0x2901090e}},	//   _רעדא, padl, गरात_, zuha_, 
   {{0x6a60003e,0x2ca01009,0x2901016c,0x00000000}},	//   _söfn, elid_, yuha_, --, 
   {{0x6d4a02be,0xf09f03dd,0x00000000,0x00000000}},	//   _àfal, plà_, --, --, 
   {{0x7aed1426,0x2ca000b0,0xfc3f0023,0x10e31427}},	//   tsat, glid_, _thím_, _уюшм, 
   {{0x3a751428,0x998c0ab4,0x0ca800c8,0x2df401a2}},	// [bf0] алар, _ćoše_, утри_, шҷӯё, 
   {{0x7aed13d7,0x7ed40084,0x7bcd1429,0x2901142a}},	//   rsat, _ازيا, scau, tuha_, 
   {{0x7aed142b,0x667500c5,0xc984142c,0x2ca0142d}},	//   ssat, یدتر, буци, blid_, 
   {{0x2901142e,0x2c2702fb,0x7aed142f,0x2ca01430}},	//   ruha_, _сьог, psat, clid_, 
   {{0xf7451431,0x26001432,0x29011433,0xd6db1434}},	//   рело, _राखी_, suha_, хте_, 
   {{0x44e100e4,0x09df0086,0xa2c303c1,0x2901016c}},	//   tų_, _ঢাকা, रदस्, puha_, 
   {{0x58d4121b,0x249f1435,0x7c2f1436,0xafdb0a1f}},	//   _гост, tlum_, _kacr, ljøu, 
   {{0x99840084,0x44e1012d,0x67290149,0x60c41437}},	//   _الفو, rų_, _tsej, _čimp, 
   {{0x76b90161,0xc8641438,0x09e80086,0x67291439}},	//   _алар_, _утри, _পাতা, _usej, 
   {{0x7c2f143a,0xaa7b143b,0x4255143c,0x81ae0086}},	//   _lacr, _zvýr, ртит, কশন_, 
   {{0xa06a143d,0xc4f800b1,0x249f0b8b,0x2ca000f8}},	//   вана_, _معنا_, plum_, ylid_, 
   {{0xb4c1143e,0x7c2f0062,0x54a7143f,0xcea9042c}},	//   ंदी_, _nacr, _صحاف, _חי_, 
   {{0x2ca01440,0x00000000,0x00000000,0x00000000}},	//   vlid_, --, --, --, 
   {{0x442f1441,0x3ebe0875,0x2ca00ef8,0x00000000}},	//   _hag_, ött_, wlid_, --, 
   {{0xfce60303,0x442f1442,0x00000000,0x00000000}},	//   робо, _kag_, --, --, 
   {{0x442f1443,0xbc631444,0xa3ac03c1,0x2fdf01d5}},	//   _jag_, овск, _गरम_, ðugt_, 
  
   {{0x91fc00e0,0x6b850038,0x2ca01445,0xb4c11446}},	// [c00] bkād, مشكل, rlid_, ंदु_, 
   {{0xe9d71447,0x442f1448,0x7ea0014e,0x4a431449}},	//   ику_, _lag_, köpi, онув, 
   {{0x7e7c02fe,0xa926004e,0x7c2f00a1,0xdca6144a}},	//   mirp, рдел, _facr, _вани, 
   {{0x442f144b,0x7e7c0065,0x4907007e,0x6d5c144c}},	//   _nag_, lirp, _हमरो_, myra, 
   {{0x7c24144d,0xd7070d0c,0x6d5c144e,0x2813144f}},	//   meir, инце_, lyra, تونس, 
   {{0x7c241450,0xb4c11451,0x7c2f0112,0x80db0033}},	//   leir, ंदू_, _zacr, _ভিন্, 
   {{0x3947022b,0x2bd3034d,0x6d5c1452,0x442f1453}},	//   änst_, धुवा, nyra, _bag_, 
   {{0x7c241454,0x442f1455,0x8af00095,0x73d700fd}},	//   neir, _cag_, yyəl, адър_, 
   {{0x27e0008c,0xd5b100e7,0x6d5c00f8,0x8ccd00b0}},	//   ðinu_, _máy_, hyra, _दूनो, 
   {{0x80ca03c1,0x7d1e02fb,0x7c241456,0x442f0387}},	//   _संदे, _opps, heir, _eag_, 
   {{0x3a370056,0xd57500dd,0x51861457,0x442f1458}},	//   ברים_, _луць, рупа, _fag_, 
   {{0x442f1459,0x78a202f1,0x7c24145a,0x1b1d0033}},	//   _gag_, nlov, jeir, নিতে_, 
   {{0x7c24145b,0x4424145c,0x236d00ab,0x78a2026e}},	//   deir, mem_, czej_, ilov, 
   {{0xa2c300a5,0x442f145d,0x78a2145e,0xbe880080}},	//   रदर्, _zag_, hlov, ассе_, 
   {{0x7c2402bf,0x78a2145f,0xd08700c8,0x6d5c1460}},	//   feir, klov, _выпи, gyra, 
   {{0x44241461,0x78a21462,0x7c241463,0x26161464}},	//   nem_, jlov, geir, प्ती_, 
   {{0x78a2026e,0x44241465,0xf9c71231,0x80ca00bd}},	// [c10] dlov, iem_, ащен, _सूते, 
   {{0x44241466,0x24891467,0xae1600b0,0x753a01ca}},	//   hem_, čami_, द्दन_, _ortz, 
   {{0x7c241468,0x7c2f1469,0x78a200da,0x644201f5}},	//   beir, _tacr, flov, _onoi, 
   {{0x7c24146a,0x28f8017b,0x00000000,0x00000000}},	//   ceir, рець_, --, --, 
   {{0x2b470afc,0x442f146b,0x753a01f1,0xafdb01e8}},	//   _тэнг, _rag_, _artz, ljøs, 
   {{0x6442057f,0x442f146c,0x78a2146d,0x00000000}},	//   _anoi, _sag_, alov, --, 
   {{0xe299146e,0x442f146f,0x78a21470,0xb4c109ef}},	//   ған_, _pag_, blov, ंदे_, 
   {{0x44241471,0xf8b91472,0x628a0f23,0x442f0201}},	//   gem_, _сөз_, _ajfo, _qag_, 
   {{0x442f1473,0xe29901a2,0x753a0a9f,0xd8b60019}},	//   _vag_, лаи_, _ertz, _اگلا_, 
   {{0x442f1474,0x7c2402a0,0x9f421102,0x673b01cf}},	//   _wag_, zeir, jaká_, _iruj, 
   {{0x236d006a,0x442f1475,0x44241476,0x291301f1}},	//   szej_, _tag_, bem_, ntxa_, 
   {{0x44241477,0x7c24146a,0x442f050a,0x673b0034}},	//   cem_, xeir, _uag_, _kruj, 
   {{0x7c240c7c,0x43741478,0x6d4105ac,0x6d5c00f8}},	//   veir, _мушт, ålan, wyra, 
   {{0xda0304d7,0x6d5c1479,0x1d0a147a,0x539a00d1}},	//   _लागत_, tyra, леги_, _גינו, 
   {{0x7c24147b,0x78a2147c,0x98a702d9,0x3ce300bc}},	//   teir, ylov, íně_, टीले_, 
   {{0xeb9a147d,0x3fe60843,0x673b147e,0xab2a147f}},	//   гиб_, _ужив, _oruj, лоба_, 
   {{0x7c241480,0x387d0156,0x64aa00bc,0x5baa021d}},	// [c20] reir, diwr_, _přiz, укам_, 
   {{0x7c241481,0x09e80086,0x0f3700d1,0x00000000}},	//   seir, _পাহা, _פריט_, --, 
   {{0x7d1e1482,0xe8fa1483,0x7c241484,0x8bf40033}},	//   _upps, уле_, peir, ঙ্গন_, 
   {{0x44241485,0x673b0ad2,0x16050077,0xafdb00fb}},	//   xem_, _bruj, _राउर_, ljør, 
   {{0x44241486,0x78a20e25,0x7bc6012b,0x673b0369}},	//   vem_, rlov, _igku, _cruj, 
   {{0x78a21487,0xa4d81488,0x442400ab,0x13e002e6}},	//   slov, адку_, wem_, नर्भ, 
   {{0x26091489,0x7bc6012b,0x9ac3003d,0xa96a0fa7}},	//   _सारी_, _kgku, ċċes, _сива_, 
   {{0xafdb00fb,0x4424148a,0x00000000,0x00000000}},	//   hjør, uem_, --, --, 
   {{0xe737030f,0x5334148b,0x9f5e078a,0x673b148c}},	//   _лет_, цепт, ştê_, _gruj, 
   {{0x4424148d,0x3d190da6,0x6f060527,0x00000000}},	//   sem_, _पहले_, dukc, --, 
   {{0x4424073d,0x3a3700a7,0x1a9b00c7,0xe69307cb}},	//   pem_, זרים_, רייע, _علمد, 
   {{0x5edd0033,0xc95300d1,0x9f4b0212,0x518600a3}},	//   _বিবে, למת_, lacé_, _қула, 
   {{0xa3bc148e,0xdef809d9,0xa3ac00bc,0xafdb00fc}},	//   _आणि_, йыр_, _गरि_, fjør, 
   {{0x63a2148f,0xafdb00dd,0x161b109f,0x9f4000f6}},	//   _iyon, gjør, प्पर_, _deià_, 
   {{0x865b1490,0xdd3a00b3,0x63a21032,0x00000000}},	//   נדלי, văţa, _hyon, --, 
   {{0x63a20298,0x4fc700d9,0x8bd91491,0x61ea0679}},	//   _kyon, _уска, рмас_, _hefl, 
   {{0x62881492,0x26091493,0x6d480219,0xafdb1494}},	// [c30] ondo, _साली_, ädar, bjør, 
   {{0x62881495,0x80db0086,0xe9ab00d7,0x00000000}},	//   nndo, _ভিত্, هدان_, --, 
   {{0x63a21496,0x628808a3,0x09e80033,0xac950258}},	//   _lyon, indo, _পাশা, _маош, 
   {{0x629a0a41,0xf77000d6,0x6e271497,0x27e9070b}},	//   hoto, کام_, lejb, úan_, 
   {{0x629a1498,0x65c51499,0x61f8149a,0x387d00f8}},	//   koto, обла, _odvl, riwr_, 
   {{0xe618005e,0x673b0082,0x34b30fcf,0xddc502d9}},	//   йді_, _vruj, ुद्द, _pohř, 
   {{0x69c702fb,0x63a201a3,0xa01b02ae,0x00000000}},	//   _igje, _ayon, rnöj, --, 
   {{0x06d80086,0x63a20a8b,0xe459149b,0x6e2700de}},	//   _সিরি, _byon, ржи_, hejb, 
   {{0x629a149c,0x60ca01c4,0x42c603aa,0x63a202b8}},	//   foto, _aufm, огын_, _cyon, 
   {{0x629a149d,0x63a205d5,0x60d800b9,0xbbc60299}},	//   goto, _dyon, _btvm, _वल्क, 
   {{0x60260504,0x63a20539,0xdddc0009,0x63f9149e}},	//   одна, _eyon, sirū, _نفاس_, 
   {{0x6288149f,0x50460886,0x99580228,0xe45f00b0}},	//   ando, цемб, náša_, ööd_, 
   {{0x629a14a0,0x63a20547,0xe1ee11f0,0x69c3020b}},	//   boto, _gyon, _ог_, žneh, 
   {{0x61ea14a1,0x629a14a2,0x68f50098,0x69c70034}},	//   _gefl, coto, _ovzd, _ngje, 
   {{0xed570161,0x8c7a0093,0xdd9208cb,0x2c6700c2}},	//   оор_, ащат_, ذور_, _sõda_, 
   {{0x69c700e5,0x69d501c8,0x8c4314a3,0x9f4000f6}},	//   _agje, _afze, месе, _teià_, 
   {{0x20e7010e,0xfc3f0108,0x2ea7010e,0x00000000}},	// [c40] lői_, _nhíu_, _ڈپٹی_, --, 
   {{0xafdb14a4,0x67200175,0xa01b039f,0x00000000}},	//   ljøp, _rpmj, ynök, --, 
   {{0x38cb00d6,0xc7c614a5,0xc92a00fd,0x60c414a6}},	//   لانی_, осли, роеж_, _kiim, 
   {{0x69da14a7,0x629a14a8,0x09aa009a,0x186a1329}},	//   _प्री, zoto, _करीय, јади_, 
   {{0x41c9000c,0x3ced003a,0x629a0010,0xc5f30086}},	//   रशास, ćeve_, yoto, চ্ছা_, 
   {{0x473302fb,0xa3dc009a,0x7c3614a9,0x60c414aa}},	//   ьніс, तुन_, ldyr, _liim, 
   {{0x629a14ab,0xafdb017b,0x63a202a5,0x00000000}},	//   voto, kjøp, _syon, --, 
   {{0x69c701ee,0x7c3614ac,0x629a14ad,0x60c414ae}},	//   _zgje, ndyr, woto, _niim, 
   {{0x629a0268,0x9f4b023e,0x00000000,0x00000000}},	//   toto, pacé_, --, --, 
   {{0xd25a1297,0x6288019c,0x7ae904a8,0x63a2016c}},	//   рци_, undo, _çete, _vyon, 
   {{0x6288050f,0x403514af,0xfc3f0108,0x00000000}},	//   rndo, пенс, _khít_, --, 
   {{0x7ea00219,0x629a14b0,0x6a6001d5,0x00000000}},	//   köps, soto, _döfi, --, 
   {{0x63a2012b,0x628f0212,0x06cc0033,0xdfa7007a}},	//   _uyon, écoc, রীরি, تحدي, 
   {{0x5edd0086,0xf8ca00bd,0x69da08e1,0x00000000}},	//   _বিদে, िदाय, _प्ली, --, 
   {{0xa6e90108,0x70590176,0x00000000,0x00000000}},	//   _giươ, _гайр_, --, --, 
   {{0x60c40008,0x3f8c0241,0x00000000,0x00000000}},	//   _giim, ğdur_, --, --, 
   {{0x3f8c0095,0x27ef14b1,0x69c70126,0x00000000}},	// [c50] şdur_, vagn_, _pgje, --, 
   {{0xe80d04d7,0x0b8800dd,0x2451014b,0x60c414b2}},	//   _हाहा_, істи_, _dámy_, _ziim, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xb8f314b3,0xfc3f0023,0x88c8017b,0x245100de}},	//   _हं_, _chít_, ілів_, _fámy_, 
   {{0x87270038,0x4907072d,0x09e30033,0x20e7039f}},	//   تعام, _हमको_, মণবা, zői_, 
   {{0x27ef00fb,0xb9010033,0xd62914b4,0x96050249}},	//   sagn_, _দি_, соке_, रलेट_, 
   {{0x224914b5,0x3b090065,0x2fc90102,0xb06600c8}},	//   _đak_, luaq_, _ogag_, nsää, 
   {{0x2fc90008,0x20e7010e,0xd7f0007a,0x00000000}},	//   _ngag_, vői_, _لكِ_, --, 
   {{0xeda8031e,0x66f414b6,0xc6a714b7,0x3b09023e}},	//   _गर्छ, _опту, _држи, nuaq_, 
   {{0x27ed0af8,0xcb1203e1,0x2fc90118,0x20e7010e}},	//   _heen_, עלי_, _agag_, tői_, 
   {{0xa0a614b8,0x60c414b9,0x2d840241,0x61450cda}},	//   занд, _piim, şmez_, чена, 
   {{0x26c5086d,0xc4d200a7,0x24890126,0x00000000}},	//   _hilo_, _נגד_, _ñam_, --, 
   {{0x60c414ba,0x27ed14bb,0x7c360bf7,0x25a514bc}},	//   _viim, _meen_, vdyr, _hyll_, 
   {{0xd356042c,0x27ed14bd,0x2ee90226,0x645914be}},	//   _מיני_, _leen_, _dwaf_, _howi, 
   {{0x2fcd14bf,0x60c414c0,0x9d4314c1,0x7c360657}},	//   žega_, _tiim, нерд, tdyr, 
   {{0x628114c2,0x27ed02b0,0x3eb80a1a,0x6b8900ca}},	//   lilo, _neen_, smrt_, _žega, 
   {{0x20120610,0x26c501d6,0x2d850212,0x645914c3}},	// [c60] _icyi_, _oilo_, ûler_, _mowi, 
   {{0x62810012,0x6a6002ae,0xee3700b3,0x64590216}},	//   nilo, _löfv, _ень_, _lowi, 
   {{0x27ed0056,0x2f1601cc,0x7c2a0afc,0x7c36076b}},	//   _been_, læg_, _лонг_, pdyr, 
   {{0x628114c4,0xc18c00c7,0x645914c5,0xa3ac0790}},	//   hilo, סטאָ, _nowi, _गरल_, 
   {{0x628114c6,0x16340445,0xb8f310cf,0xd7ef0038}},	//   kilo, деля, _हू_, اكه_, 
   {{0x6b8906b6,0x98ac07fa,0x26c500ca,0xfe1f1280}},	//   _þega, ılır_, _cilo_, म्पस_, 
   {{0x628114c7,0x26c514c8,0x645914c9,0x3494012d}},	//   dilo, _dilo_, _bowi, макр, 
   {{0x27ed14ca,0x18a314cb,0x48e60176,0x7bd60027}},	//   _geen_, _засм, _моҳв, ncyu, 
   {{0x645900ab,0x26c514cc,0x386614cd,0x00000000}},	//   _dowi, _filo_, mkor_, --, 
   {{0x628114ce,0x25a514cf,0x26c5011c,0xb273069b}},	//   gilo, _fyll_, _gilo_, ельш, 
   {{0x764814d0,0x27ed0065,0xfc3f0038,0xa15800b3}},	//   _indy, _yeen_, _mhír_, цану_, 
   {{0xa3e6000f,0x386614d1,0x7af600c8,0xdfd800fd}},	//   _बजट_, nkor_, ksyt, зър_, 
   {{0x9f5e078a,0x6a60010d,0x765a14d2,0xe29a14d3}},	//   ştî_, _höfu, _koty, _лад_, 
   {{0x628100d9,0x644701dd,0x645914d4,0x386601ff}},	//   cilo, ējie, _zowi, hkor_, 
   {{0x765a14d5,0x386614d6,0x645900d7,0x9f4b02d9}},	//   _moty, kkor_, _yowi, mací_, 
   {{0x4fc70235,0xea0000e7,0x9f4b0356,0x765a14d7}},	//   _эска, _đạn_, lací_, _loty, 
   {{0x5a351130,0xb0660088,0xfbd000eb,0x27ed0326}},	// [c70] мнат, ssää, اتف_, _reen_, 
   {{0x32d2001b,0x765a14d8,0x27ed00a7,0x9f4b02d9}},	//   _mây_, _noty, _seen_, nací_, 
   {{0x80a4040f,0x26c5012b,0x32d20023,0x6dc3008a}},	//   _زمین, _rilo_, _lây_, _qċaċ, 
   {{0x2c0900c5,0x9f4b14d9,0x00000000,0x00000000}},	//   _بعدی_, hací_, --, --, 
   {{0x2ca914da,0xcc5603e1,0x9f4b00bc,0x27ed064e}},	//   mlad_, _חברי_, kací_, _veen_, 
   {{0x2ca914db,0x645914dc,0x62810a9f,0x62790254}},	//   llad_, _sowi, xilo, lňov, 
   {{0x64590da6,0x765a14dd,0x27ed14de,0x628114df}},	//   _powi, _doty, _teen_, vilo, 
   {{0x3866022b,0x61e402a6,0x32d2001b,0x26c514e0}},	//   ckor_, _đila, _bây_, _wilo_, 
   {{0x628114e1,0x32d20029,0x2ca90156,0x386d14e2}},	//   tilo, _cây_, ilad_, _iler_, 
   {{0x32d2001b,0x2ca914e3,0x2f1614e4,0x00000000}},	//   _dây_, hlad_, væg_, --, 
   {{0x62810aa4,0x2ca914e5,0x356b14e6,0x44290042}},	//   rilo, klad_, _уран_, _ºa_, 
   {{0x628114e7,0x1de6102c,0x6279014b,0x6a6014b1}},	//   silo, कर्ष_, jňov, _höft, 
   {{0x32d20029,0x2ca914e8,0x6279014b,0xd3d80038}},	//   _gây_, dlad_, dňov, _ربنا_, 
   {{0x5edd00cc,0x248d14e9,0x7cd5012d,0x386614ea}},	//   _বিশে, lnem_, _sąra, zkor_, 
   {{0x248d14eb,0x6da314ec,0xdca614ed,0x386d0126}},	//   onem_, вира, дави, _oler_, 
   {{0x248d14ee,0x4e1f0d0d,0x2ca914ef,0x6a600219}},	//   nnem_, म्बई_, glad_, _löft, 
   {{0xa5a40509,0x3ced14f0,0x32d20029,0xdca314f1}},	// [c80] _चुनौ, ćeva_, _xây_, тати, 
   {{0x1e8307b9,0x386d00b9,0x2ca901a4,0x7af614f2}},	//   _альм, _aler_, alad_, rsyt, 
   {{0x2ca914f3,0x9f420032,0x249f0151,0x729a0147}},	//   blad_, jakú_, koum_, קסעס, 
   {{0x20d30029,0x248d14f4,0x9f4b00bc,0x315600c7}},	//   _mãi_, jnem_, zací_, ויען_, 
   {{0x248d14f5,0x20d300e7,0x386614f6,0xfc3f007a}},	//   dnem_, _lãi_, rkor_, _thír_, 
   {{0x386614f7,0xa3c1072d,0x387f0175,0xa01b14f8}},	//   skor_, ंधन_, _emur_, lnöt, 
   {{0x386d14f9,0x9f4b035e,0xceb30137,0x656300f8}},	//   _fler_, vací_, דיג_, gynh, 
   {{0x38b50c29,0x29180982,0x60cd00ef,0x684300d3}},	//   gård_, _iqra_, _čamp, _инса, 
   {{0x27e614fa,0xd62600eb,0x41c90b3e,0x765a14fb}},	//   mbon_, _يعطي, रशंस, _toty, 
   {{0x20d300e7,0x27e601f1,0x518614fc,0x32d20023}},	//   _bãi_, lbon_, дума, _vây_, 
   {{0x248d14fd,0x9f4b0356,0x20d300e7,0x1bee0299}},	//   bnem_, rací_, _cãi_, जराल_, 
   {{0x32d20029,0x27e614fe,0x20d30108,0x9f4b00da}},	//   _tây_, nbon_, _dãi_, sací_, 
   {{0x80ca06c9,0x2ca914ff,0x44fa01dd,0x62791102}},	//   _संके, vlad_, lī_, vňov, 
   {{0x2ca9017c,0x20050540,0x8d6b02a0,0x91f20790}},	//   wlad_, şli_, ојба_, _आजिज_, 
   {{0x44fa01dd,0x6279014b,0x20d30108,0x00000000}},	//   nī_, tňov, _gãi_, --, 
   {{0x8af00264,0x2ca00102,0xa3b500c9,0xfc3f0108}},	//   yyət, goid_, छेक_, _chíp_, 
   {{0x7b1800c8,0x2918003d,0x2d9e1500,0x62790098}},	// [c90] мотр_, _aqra_, üter_, rňov, 
   {{0xd5a40105,0x248d1501,0x62790098,0x2ca000a1}},	//   _نہ_, znem_, sňov, aoid_, 
   {{0x6279026e,0x386d011c,0xfbd0010e,0x2ca0011c}},	//   pňov, _pler_, اتہ_, boid_, 
   {{0x44fa0b03,0x2ca01502,0x59df1503,0x765e0080}},	//   dī_, coid_, _प्रर, öpyn, 
   {{0xf6251504,0x248d02ee,0x7c2d1505,0x38b5014e}},	//   едло, vnem_, mear, vård_, 
   {{0x7c2d1506,0x8cb91507,0xb0cf0c64,0x453500fd}},	//   lear, ्दको, _संलग, ехит, 
   {{0xe5a21508,0x248d02ee,0x64a51509,0x35a202f1}},	//   лиши, tnem_, нака, лашг, 
   {{0x7c2d150a,0x20d300e7,0x386d150b,0x27e60108}},	//   near, _rãi_, _uler_, cbon_, 
   {{0x248d150c,0x6d430082,0x27ff150d,0x00000000}},	//   rnem_, _šnal, _idun_, --, 
   {{0x7c2d009f,0x248d150e,0xc0e5150f,0x00000000}},	//   hear, snem_, ноок, --, 
   {{0x00860245,0x7c2d01ca,0x2c0f00bd,0x248d1510}},	//   елно, kear, िलां_, pnem_, 
   {{0x20d30023,0x7c2d1511,0x00000000,0x00000000}},	//   _vãi_, jear, --, --, 
   {{0xe28e1512,0x442d1513,0x7c2d1514,0x270d00a2}},	//   _ба_, mee_, dear, _समोर_, 
   {{0x442d1515,0x877a07e4,0xdca302f1,0x82350296}},	//   lee_, לארי, ҳаси, _سرتا, 
   {{0x6fa01516,0x26170fec,0x8af00095,0x7c2d1517}},	//   _गुरू, _नानी_, yyəs, fear, 
   {{0x442d1518,0x7c2d1519,0xdca60804,0xdca3151a}},	//   nee_, gear, хаби, гаси, 
   {{0x644b02cd,0xab270b81,0xdb1c00ad,0xeb9700b9}},	// [ca0] _mngi, нота_, _özüm, еит_, 
   {{0x442d151b,0x27ff1233,0x7f44151c,0x2ca0011c}},	//   hee_, _adun_, _iriq, soid_, 
   {{0x442d151d,0x7c2d151e,0x644b151f,0x26df02be}},	//   kee_, bear, _ongi, _atuo_, 
   {{0x7c2d1520,0x442d1521,0x27e602b0,0xb05b059e}},	//   cear, jee_, ubon_, rmäg, 
   {{0x3a38012d,0x7d0e1522,0xfe170c46,0xb5fc008a}},	//   _tarp_, lubs, _तामस_, _joġg, 
   {{0x7ae41523,0x6e2e1524,0x200002a2,0x27ff1525}},	//   mpit, nebb, _ldii_, _edun_, 
   {{0x442d1526,0x7ae41527,0x69dc1528,0x2b401529}},	//   fee_, lpit, _ifre, lvic_, 
   {{0x442d0691,0x44fa0caf,0x7ae40053,0x6e2e152a}},	//   gee_, rī_, opit, hebb, 
   {{0x7ae4152b,0x760a00b3,0x96ba152c,0xb05b0080}},	//   npit, _неаг_, _فائز_, nmäe, 
   {{0x644b152d,0x7c2d0a9f,0xda100e07,0x75d60038}},	//   _engi, zear, ालित_, _أيضا, 
   {{0xd48f152e,0xa194152f,0x06d80033,0x7f441530}},	//   _бр_, танч, _সিটি, _ariq, 
   {{0x7ae41531,0x442d1532,0x7f441533,0x7c2d01ca}},	//   kpit, cee_, _briq, xear, 
   {{0x69dc128a,0xbfab13f2,0x7c2d1534,0x7f441535}},	//   _ofre, ятое_, vear, _criq, 
   {{0x2b400121,0x6e2e010e,0x69ce0096,0x78a200c2}},	//   dvic_, gebb, _ngbe, hoov, 
   {{0x7c2d1536,0x3ced034c,0xdd940161,0xac191537}},	//   tear, ćevo_, гары, мову_, 
   {{0x69dc1538,0xa01b0219,0x7f4400b9,0x9f52009e}},	//   _afre, rnös, _friq, _meyê_, 
   {{0x7c2d1539,0xddc50228,0x7ae40daa,0x5f95153a}},	// [cb0] rear, _dlhš, gpit, _шиит, 
   {{0x7c2d153b,0x442d153c,0x6f0f02a3,0x1dd5153d}},	//   sear, zee_, mucc, _दलित, 
   {{0x9f520218,0x6f0f153e,0x7c2d153f,0x6f1d0380}},	//   _neyê_, lucc, pear, ltsc, 
   {{0x442d050a,0xdddc012d,0x69dc1540,0x6f1d01c8}},	//   xee_, mirš, _efre, otsc, 
   {{0xd3661541,0xab8707f9,0x6f1d1542,0xb8d80262}},	//   _ئه_, _чунк, ntsc, _घी_, 
   {{0x442d1543,0x6d4a00eb,0x6f1d0380,0x6d480566}},	//   wee_, _áfac, itsc, ædag, 
   {{0x442d1544,0x78a200ef,0x6f1d127f,0x628f0151}},	//   tee_, boov, htsc, écom, 
   {{0x69ce00ca,0x442d0102,0xc3250033,0x00000000}},	//   _zgbe, uee_, বিসি_, --, 
   {{0x2ba70509,0x36d502fb,0x442d0056,0x9f4b1545}},	//   _कुमा, _розр, ree_, yacá_, 
   {{0x6f0f1546,0x442d1547,0xcb1400c7,0x20000065}},	//   ducc, see_, אלץ_, _sdii_, 
   {{0xd00a1548,0x3555024f,0x6d450201,0x6e2e010e}},	//   мене_, _جناز, _nrha, vebb, 
   {{0x6e2e0539,0x7bcf0226,0x644b1549,0x60dc0068}},	//   webb, _ngcu, _ungi, írma, 
   {{0xa3a800a2,0x6e2e154a,0x547a00d1,0x6f0f0036}},	//   _खुप_, tebb, _קטנו, gucc, 
   {{0xdee3154b,0x6d4502cd,0x7bdd00a3,0x8cd60299}},	//   рори, _brha, _afsu, _मंदो, 
   {{0x7afd154c,0x6da60099,0x6e2e048a,0xada6154d}},	//   _avst, тива, rebb, тавл, 
   {{0x7f44154e,0x6e2e154f,0x69dc1550,0x6f0f1551}},	//   _triq, sebb, _sfre, bucc, 
   {{0x7d0e1552,0x6d4502f2,0x6b631553,0x7d1c02ee}},	// [cc0] subs, _erha, акта, strs, 
   {{0x63ab0102,0x7ae41554,0x2b400604,0xb5fc008a}},	//   _mygn, rpit, rvic_, _koġe, 
   {{0x2ba70081,0x7ae41555,0xa3a81556,0x1bea0080}},	//   _कुठा, spit, _खुन_, _одни_, 
   {{0x66e61557,0xe7861558,0x7ae41559,0xe3a7155a}},	//   вода, куло, ppit, _نر_, 
   {{0x62830032,0x9f520216,0x994f009e,0x78a2059e}},	//   _omno, _seyê_, _tûşa_, roov, 
   {{0xb7d20086,0x20ee00bc,0x78a200b0,0x6594022c}},	//   ারেট, yři_, soov, лалу, 
   {{0x6f0f0036,0x91fc01dd,0xd3e90033,0xf8ad022c}},	//   zucc, skāk, _গাড়ি_, _гө_, 
   {{0x63ab155b,0x6283155c,0xfaa601a2,0x394702c9}},	//   _bygn, _amno, _чаҳо, ænse_, 
   {{0xa7a7155d,0x63ab155e,0x8725155f,0xe61a1560}},	//   _акта_, _cygn, _معلم, _ода_, 
   {{0x63ab014e,0x20ee00d8,0x00000000,0x00000000}},	//   _dygn, tři_, --, --, 
   {{0x26171561,0x60f8012d,0x7c2610ea,0x2b46020b}},	//   _नाती_, эння_, _obkr, ťoch_, 
   {{0xdddc0009,0x6f0f01d8,0x6f1d1562,0x30a400fd}},	//   virš, tucc, ttsc, иряв, 
   {{0x44261563,0x6f1d0380,0xd36f144f,0x2d9a00b4}},	//   _ibo_, utsc, _وهم_, _axpe_, 
   {{0x6f1d1564,0x6f0f1565,0x2c7501cc,0x6d450121}},	//   rtsc, rucc, _måde_, _prha, 
   {{0x26cc1566,0x2bc51567,0x6f1d1568,0x7c2601d6}},	//   _mido_, लेना, stsc, _bbkr, 
   {{0x91f200b0,0x20050028,0x6f1d0502,0x6d4500da}},	//   _आजुओ_, ėlis_, ptsc, _vrha, 
   {{0x201e0264,0x09bd09d8,0x44261569,0x26cc04b3}},	// [cd0] əti_, ्ख्य, _mbo_, _oido_, 
   {{0x6288156a,0x9967156b,0x160e156c,0x2ba7156d}},	//   nido, ктел, _सागर_, _कुणा, 
   {{0x60cd156e,0x7ac4156f,0x67291570,0x49a41571}},	//   _kiam, рсте, _spej, ајца, 
   {{0x2c750cac,0x24580187,0x9f520118,0x60cd1572}},	//   _både_, _témy_, _beyè_, _jiam, 
   {{0x60cd1573,0x26cc02fe,0xb8fa1574,0x160e00a2}},	//   _miam, _bido_, _डू_, _साखर_, 
   {{0x44261575,0x7c3d1576,0xa3e50a34,0x98b3091f}},	//   _abo_, _hasr, बुन_, ıdır_, 
   {{0x62880b85,0x6ed5072f,0x63ab1577,0x442601a3}},	//   dido, _यूसु, _sygn, _bbo_, 
   {{0x60cd1578,0x26cc03da,0x7c3d0065,0x44260026}},	//   _niam, _eido_, _jasr, _cbo_, 
   {{0x26cc1579,0x7c3d157a,0x42c9157b,0x5884082e}},	//   _fido_, _masr, нгин_, _тыра, 
   {{0x6288157c,0x78a2157d,0xe3b6157e,0x60cd00c2}},	//   gido, čove, ыбы_, _aiam, 
   {{0x78bb006d,0x60cd0118,0x44260226,0x64150038}},	//   _khuv, _biam, _fbo_, _مواط, 
   {{0x7c3d157f,0x60cd1580,0xdee61581,0x20560a10}},	//   _nasr, _ciam, ломи, утор, 
   {{0x60cd1582,0xb4c10e07,0x00000000,0x00000000}},	//   _diam, ूदी_, --, --, 
   {{0x62881408,0x443f1583,0x26cc0183,0x6283034c}},	//   cido, ldu_, _xido_, _umno, 
   {{0x443d1584,0x443f012d,0x60cd1585,0xff140086}},	//   _kaw_, odu_, _fiam, িবেশ_, 
   {{0x60cd1586,0x7c3d01be,0x645b1587,0x443d1588}},	//   _giam, _casr, njui, _jaw_, 
   {{0x4bd91589,0x3a2600cf,0x443d0156,0x3b0704a0}},	// [ce0] ться_, лмаг, _maw_, лето_, 
   {{0x443d00a7,0xfaaa009c,0x443f158a,0x2c7500fb}},	//   _law_, رهاي_, hdu_, _råde_, 
   {{0x09060fc8,0x9f52158b,0x26cc158c,0xe8ea0602}},	//   упен, _seyè_, _rido_, хмед_, 
   {{0x26cc158d,0x3860010d,0x443d00f8,0x78bb0c7c}},	//   _sido_, ðir_, _naw_, _chuv, 
   {{0x443f158e,0x26cc158f,0x9f520096,0x5fc700bc}},	//   ddu_, _pido_, _beyé_, रेपल, 
   {{0x0f370056,0x62880042,0x443f1590,0x7c241591}},	//   טרנט_, xido, edu_, lfir, 
   {{0x443d1592,0xaad8009a,0x00000000,0x00000000}},	//   _baw_, _भूतक, --, --, 
   {{0xdd0400e4,0x443d1593,0x7c241594,0x26cb0036}},	//   ūrėt, _caw_, nfir, _ècon_, 
   {{0x443d1595,0xb2741596,0xf7431597,0x26cc1598}},	//   _daw_, илиш, _лето, _tido_, 
   {{0x60cd1599,0x59b80c14,0x443f00f8,0x60dc0068}},	//   _siam, _अरार, adu_, írmo, 
   {{0x7c24159a,0x443f00a4,0x1da41011,0xa055004f}},	//   kfir, bdu_, _खुलत, авні, 
   {{0xf5370056,0x60cd0640,0x6288159b,0x443d159c}},	//   _תנאי_, _qiam, sido, _gaw_, 
   {{0x44240065,0x248600a3,0x7c3d159d,0x9f59021e}},	//   mfm_, _imom_, _rasr, masë_, 
   {{0x35a900a5,0x6440159e,0x6e3e159f,0x7c3d023e}},	//   _चुड़, ldmi, _capb, _sasr, 
   {{0x60cd006f,0x61fa15a0,0x7c2415a1,0x7c3d02b3}},	//   _tiam, matl, ffir, _pasr, 
   {{0x61fa15a2,0x443d006d,0xfe7701bb,0x644015a3}},	//   latl, _xaw_, түү_, ndmi, 
   {{0x3b5515a4,0x9990034c,0x50b80071,0x6e9500dd}},	// [cf0] шкар, _čaša_, _حدود_, _випу, 
   {{0x61fa15a5,0x443f15a6,0xda7815a7,0x78a90844}},	//   natl, zdu_, лях_, _skev, 
   {{0x394715a8,0x443f15a9,0x628f0107,0xa9350a10}},	//   íns_, ydu_, écoi, рееш, 
   {{0x2617148e,0x61fa15aa,0x443f00ad,0x19a800d3}},	//   _नाही_, hatl, xdu_, утуп_, 
   {{0xe73915ab,0x61fa09a3,0x443f15ac,0x07a5081b}},	//   тел_, katl, vdu_, јалн, 
   {{0xa50913f2,0x61fa00a3,0x443d00d1,0xe6450079}},	//   века_, jatl, _saw_, рекп, 
   {{0x443d15ad,0x61fa15ae,0x3e7400b0,0x442400ca}},	//   _paw_, datl, _jäta_, ffm_, 
   {{0x443f15af,0x64980a31,0x3e7415b0,0xc6060086}},	//   udu_, лтыр_, _mäta_, ল্লা_, 
   {{0xa3a805fd,0x443f15b1,0xfc3f06b6,0x645b15b2}},	//   _खुद_, rdu_, _maí_, rjui, 
   {{0xc6a715b3,0x644008f9,0x61fa15b4,0x161c07d5}},	//   _срби, admi, gatl, _नायर_, 
   {{0x443d15b5,0x6e3e0089,0x7c24003e,0xfba700aa}},	//   _taw_, _rapb, yfir, _कुसम, 
   {{0x443f007b,0x10a600a3,0x44f300b3,0xa0a615b6}},	//   qdu_, римн, mţ_, рамд, 
   {{0x61fa132c,0x3cdb00b0,0x6e3e15b7,0xa3c10110}},	//   batl, _खूबे_, _papb, ंधळ_, 
   {{0x200c0095,0x614515b8,0x673b018e,0x00000000}},	//   şdi_, _века, _msuj, --, 
   {{0x44f300d9,0x8d6315b9,0xa3dc15ba,0xb05b0080}},	//   nţ_, овре, तुक_, mmän, 
   {{0xb05b15bb,0x673b0a1a,0xebe60a10,0x2ba70790}},	//   lmän, _osuj, роап, _कुहा, 
   {{0x7c2415bc,0x6a8615bd,0xfc3f0165,0x638801dd}},	// [d00] rfir, алаа, _daí_, cīnī, 
   {{0xab2715be,0x7bdf01d8,0xb05b15bf,0x00000000}},	//   рофа_, acqu, nmän, --, 
   {{0xd00f15c0,0x19b900e4,0x7c2402b8,0x6d430604}},	//   _علی_, гуць_, pfir, _šnav, 
   {{0x8c4615c1,0xa01b0080,0x61fa15c2,0x07ba007a}},	//   _теме, tiöi, zatl, نهضة_, 
   {{0x61fa15c3,0x27e915c4,0xbb4300dd,0xeb9715c5}},	//   yatl, ñana_, _деяк, _вия_, 
   {{0x29130068,0xa01b00c8,0xbb4302a0,0x2486040b}},	//   buxa_, riöi, _ќерк, _smom_, 
   {{0xd49a0020,0x61fa15c6,0x442415c7,0x261715c8}},	//   кри_, vatl, tfm_, _नारी_, 
   {{0x61fa084c,0x186715c9,0x98a315ca,0x493b00df}},	//   watl, _каси_, _дисе, _בגלו, 
   {{0x61fa15cb,0xc178012d,0x3ced0b1d,0x644015cc}},	//   tatl, ybės_, ćevi_, rdmi, 
   {{0x09ca0086,0x672215cd,0xdd1c0032,0xa6ca15ce}},	//   _ল্যা, mtoj, _záťa, _شوال_, 
   {{0x61fa15cf,0xd25702f3,0x27200300,0x2c750219}},	//   ratl, рцы_, lòn_, _låda_, 
   {{0x6722012d,0x61fa15d0,0x44320023,0x23480535}},	//   otoj, satl, _úy_, _مستی_, 
   {{0x6722127c,0x61fa15d1,0x2cb215d2,0xc1a50259}},	//   ntoj, patl, dlyd_, _қышқ, 
   {{0xea0000f7,0x61fa065c,0xfc3f02aa,0x67220b58}},	//   _đến_, qatl, _saí_, itoj, 
   {{0xb2bb0056,0xbd6815d3,0xfc3f0126,0x672215d4}},	//   _שמור, арте_, _paí_, htoj, 
   {{0x2c75022b,0x672215d5,0xdb0f001d,0x5c7415d6}},	//   _båda_, ktoj, _azcá, олст, 
   {{0x3a7500cf,0x6722024a,0xa9e70038,0x9f59011c}},	// [d10] блар, jtoj, لثان, kasé_, 
   {{0x29130183,0x6d430613,0x19590cfe,0x3e7402ae}},	//   tuxa_, _šnau, лазы_, _täta_, 
   {{0x2ba7000d,0xdd9115d7,0x61f815d8,0x672215d9}},	//   _कुरा, _روح_, _mevl, etoj, 
   {{0x201915da,0x31570137,0x272006df,0x6722024a}},	//   ngsi_, ייבן_, fòn_, ftoj, 
   {{0xf74515db,0x272015dc,0x60d800b9,0x9f59023e}},	//   село, gòn_, _luvm, fasé_, 
   {{0x2ca9054f,0x78a20076,0xbb3a00c7,0x29130183}},	//   load_, čova, _געשי, puxa_, 
   {{0xfbdb0081,0x28f815dd,0x2b4b0532,0x195815de}},	//   _भलाम, _весь_, _hrcc_, _кары_, 
   {{0x29010053,0x4adb15df,0x6722006d,0xe78706ba}},	//   msha_, _बढाव, btoj, _кузо, 
   {{0x290115e0,0x61f815e1,0x9f59023e,0x4e1700bc}},	//   lsha_, _bevl, basé_, तलाई_, 
   {{0x38bc00eb,0xb5a715e2,0x6e350372,0x2901095a}},	//   ríre_, _крей, jezb, osha_, 
   {{0x61f815e3,0xa06a15e4,0xb05b15e5,0xc2c8007a}},	//   _devl, гана_, rmän, جبيل_, 
   {{0xf99200a7,0x290115e6,0xb05b15e7,0x00000000}},	//   לרי_, isha_, smän, --, 
   {{0x248d0bc3,0x764115e8,0x720500d4,0x889a035c}},	//   miem_, _kaly, _هوشم, רברי, 
   {{0x248d00e0,0x61f815e9,0xb05b00c8,0x27fd00f8}},	//   liem_, _gevl, lmäl, hawn_, 
   {{0x764115ea,0xfce615eb,0x7643016a,0x01c50033}},	//   _maly, собо, idny, _শ্রদ, 
   {{0x248d15ec,0x672200e4,0xb05b014e,0x6d4a0183}},	//   niem_, ytoj, nmäl, _áfam, 
   {{0xf1bf00bc,0x6e350097,0xd5b10023,0x2901011c}},	// [d20] řád_, bezb, _lý_, esha_, 
   {{0x6f0415ed,0xa9a60161,0x248d15ee,0x290115ef}},	//   _ivic, бизд, hiem_, fsha_, 
   {{0xfe370056,0x248d15f0,0xab2702f1,0xdca615f1}},	//   _פרטי_, kiem_, _қора_, _гани, 
   {{0x248d0bc3,0x91fc00e0,0x17fa00eb,0x6f0415f2}},	//   jiem_, nkār, اراة_, _kvic, 
   {{0x248d002a,0x764115f3,0x501b0a33,0x672202f3}},	//   diem_, _baly, רונו, utoj, 
   {{0x672215f4,0x1ae315f5,0xa3ab00aa,0xa3cb00aa}},	//   rtoj, _хорм, _गड़_, लधन_, 
   {{0x672206fa,0x764100e4,0x394a00b9,0x9f5915f6}},	//   stoj, _daly, _urbs_, rasé_, 
   {{0x248d15f7,0x7c3615f8,0x6722024a,0x6f0400ef}},	//   giem_, neyr, ptoj, _ovic, 
   {{0xa3a8010b,0x76410054,0x00000000,0x00000000}},	//   _खुश_, _faly, --, --, 
   {{0x764115f9,0x066500d4,0xda7b0070,0x7d15018e}},	//   _galy, _والپ, ָנטר, yuzs, 
   {{0xd0110629,0xa3a800bd,0x20190226,0x248d0243}},	//   ولد_, _खुर_, tgsi_, biem_, 
   {{0x248d15fa,0x764102a5,0x00000000,0x00000000}},	//   ciem_, _zaly, --, --, 
   {{0x61f815fb,0x5f9415fc,0x27e40054,0x3e970038}},	//   _tevl, зият, _mfmn_, مؤسس, 
   {{0x6f0402fe,0x64420358,0x539b00d1,0x92570176}},	//   _dvic, _haoi, _גידו, _гашт_, 
   {{0x90e615fd,0x7c36003e,0xb5fc008a,0x2ca915fe}},	//   _استن, feyr, _loġo, toad_, 
   {{0x81df0033,0xdd9403a1,0x764315ff,0x00000000}},	//   তরণ_, часы, zdny, --, 
   {{0x64421600,0x9b951601,0x5eb80086,0xd9f9018a}},	// [d30] _maoi, циац, _ইংরে, инац_, 
   {{0x7f4d1602,0x29011603,0x64420a75,0x248d1604}},	//   _iraq, tsha_, _laoi, ziem_, 
   {{0x6f04024a,0x20090065,0xb05b00c8,0xd9990038}},	//   _zvic, _kdai_, ymäl, جنات_, 
   {{0x6d40002a,0x76411605,0xdb0f1606,0x29011607}},	//   āmat, _saly, _lycé, rsha_, 
   {{0x3ced090b,0x248d1608,0xa3a80262,0x7641012d}},	//   ćevu_, viem_, _खुल_, _paly, 
   {{0xf1c80a09,0x9f59009e,0x248d0035,0x00000000}},	//   रधान, yasî_, wiem_, --, 
   {{0x248d002a,0x9f40008c,0x76411609,0x7643160a}},	//   tiem_, _leið_, _valy, rdny, 
   {{0x1309160b,0x644202d0,0x7b08008c,0x7643016a}},	//   аний_, _caoi, _ástæ, sdny, 
   {{0x6442003c,0x248d1608,0x7641160c,0x7aed160d}},	//   _daoi, riem_, _taly, npat, 
   {{0x248d002a,0x20090053,0x38bc0098,0x2f10003e}},	//   siem_, _adai_, míra_, _lögð_, 
   {{0x6442006e,0x6f04160e,0x7f4d160f,0x645d01c4}},	//   _faoi, _svic, _araq, ösis, 
   {{0x437511c3,0x64420a69,0x2bbe02e6,0x9fca02c4}},	//   _мулт, _gaoi, ्धमा, игна_, 
   {{0xe28e1610,0x9998034c,0x9f5b010c,0x7f4d1611}},	//   _жа_, _marš_, _heqê_, _craq, 
   {{0xacea02f1,0xa3e500c2,0x7aed058c,0x91fc0243}},	//   имга_, बुर_, dpat, skār, 
   {{0x7aed1612,0xa3c1047c,0x9f59009e,0x9d4303a1}},	//   epat, ंधक_, qasî_, мерд, 
   {{0x7f4d1613,0x1bea0176,0x6f040237,0x7ebb009e}},	//   _fraq, рдаи_, _tvic, rîpa, 
   {{0x7aed1614,0x7c36008c,0x68e90352,0x8eba00d9}},	// [d40] gpat, reyr, _čeda, _вынт_, 
   {{0xf22100a5,0x63b6004f,0x7c3601d5,0x6d5a0080}},	//   _माफ़_, _øyne, seyr, ätas, 
   {{0x649700e0,0x05a91615,0x6ee5015f,0x7c2a1616}},	//   rģij, _चुलब, _وسیل, _конг_, 
   {{0xd7ef0038,0x78a20098,0xcfad0033,0x6286039f}},	//   نكم_, čovo, _গণতন, ékoz, 
   {{0xa6ca1617,0xa01b1618,0x64420465,0x8af00248}},	//   алда_, shög, _raoi, yyəy, 
   {{0x6442009f,0x00000000,0x00000000,0x00000000}},	//   _saoi, --, --, --, 
   {{0x692309f9,0x385a1619,0xd8390118,0x00000000}},	//   _омра, _краю_, _djōb_, --, 
   {{0xe8140cd6,0xa3e51126,0x00000000,0x00000000}},	//   _डाटा_, बुल_, --, --, 
   {{0x53340a65,0x00000000,0x00000000,0x00000000}},	//   чепт, --, --, --, 
   {{0x026a00dd,0x3f82161a,0xa50a161b,0x00000000}},	//   рший_, dzku_, _вежа_, --, 
   {{0x3a3703e1,0x6442161c,0x8cd6048e,0x7aed0083}},	//   חרים_, _taoi, _मंगो, zpat, 
   {{0xb05b0080,0x00000000,0x00000000,0x00000000}},	//   mmäk, --, --, --, 
   {{0xe29a0886,0xb05b0080,0x00000000,0x00000000}},	//   _кад_, lmäk, --, --, 
   {{0x29070019,0x63a200b4,0x9f5b021e,0xa01b161d}},	//   ának_, _ixon, _heqë_, tiös, 
   {{0xb05b0080,0xafdb0664,0x00000000,0x00000000}},	//   nmäk, ldøm, --, --, 
   {{0xa01b161e,0xe57100c7,0x2b49035f,0x9b890038}},	//   riös, ײַל_, tvac_, منزل_, 
   {{0x6d5a161f,0x3a7502f1,0x6d4802ae,0x9f5b0034}},	// [d50] ätar, плар, ådar, _meqë_, 
   {{0x68e303da,0x00000000,0x00000000,0x00000000}},	//   índo, --, --, --, 
   {{0x05a9047c,0x629a00c8,0xa3ca009a,0x09070d3b}},	//   _चुंब, into, ळेत_, ючам, 
   {{0x7aed1620,0x63a2016a,0x7c590038,0x6d5800da}},	//   ppat, _oxon, _الحر_, _švag, 
   {{0x78ab1621,0xfc5a00df,0x8cba0083,0x00000000}},	//   rogv, _הכרמ, ्षरो, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2d830035,0x00000000,0x00000000,0x00000000}},	//   nzje_, --, --, --, 
   {{0x629a1622,0x00000000,0x00000000,0x00000000}},	//   ento, --, --, --, 
   {{0x38341623,0x00000000,0x00000000,0x00000000}},	//   _інфр, --, --, --, 
   {{0x629a1341,0xb05b1624,0xaabd0e0d,0x00000000}},	//   gnto, lmäh, ्गिक, --, 
   {{0x27e00412,0x850500d6,0x91fc00e0,0xe45f00c2}},	//   žine_, _روشن, rkāp, öös_, 
   {{0x8fa61625,0x55ba00d1,0x61ee00ad,0x44290210}},	//   заме, _המעו, ıbla, _ùa_, 
   {{0xc31900cc,0x7fd5004e,0xe80c009a,0x442f1626}},	//   _তৈরি_, дірі, हणता_, _ibg_, 
   {{0x68e91627,0x00000000,0x00000000,0x00000000}},	//   _čedn, --, --, --, 
   {{0xbea31628,0xdd921629,0xa01b02ae,0x3f82162a}},	//   харк, رور_, riör, szku_, 
   {{0x442f0d26,0xaf060e1b,0xda1e009a,0x00000000}},	//   _jbg_, _епил, _पाहत_, --, 
   {{0x2002162b,0x3aeb0019,0x60c4162c,0x207b0070}},	// [d60] maki_, مبلی_, _ihim, _לאקא, 
   {{0x2002162d,0xdb060035,0xa6e90023,0x00000000}},	//   laki_, _szkó, _khươ, --, 
   {{0xceb3162e,0x4ddb00d1,0xe853009c,0x442f019c}},	//   _איז_, _לחיו, کنند, _obg_, 
   {{0x38cb0399,0xc604047c,0xdca603dc,0xda1e00b0}},	//   مانی_, रण्य_, _хами, _पावत_, 
   {{0x629a0090,0x60c4162f,0x00000000,0x00000000}},	//   ynto, _mhim, --, --, 
   {{0x442f1630,0xd6d900dd,0x20021631,0x00000000}},	//   _abg_, іті_, haki_, --, 
   {{0x20020e32,0xe9a31632,0x442f1633,0x00000000}},	//   kaki_, _зарп, _bbg_, --, 
   {{0x20021634,0x399b00a7,0x2bc300c9,0x2a6a008a}},	//   jaki_, _הילד, _शरमा, _hobb_, 
   {{0x20020c05,0x6b841635,0x98a300d9,0x2fc002a5}},	//   daki_, nzig, _чите, _nzig_, 
   {{0x2a6a1636,0xb05b030f,0x27e61637,0x60c41638}},	//   _jobb_, mmäi, lcon_, _ahim, 
   {{0x2bb906ea,0xa6e90029,0x249700c5,0xbbb91516}},	//   _आर्थ, _chươ, _کنند_, _आर्क, 
   {{0x442f02ae,0x20021639,0x60c4163a,0x63a201cf}},	//   _gbg_, gaki_, _chim, _txon, 
   {{0x6b840b32,0x60c400e5,0x291a163b,0x60d6163c}},	//   jzig, _dhim, hupa_, _diym, 
   {{0x291a163d,0x6b84163e,0xd35700d1,0xf8dc0299}},	//   kupa_, dzig, _מידי_, यदाय, 
   {{0x2002163f,0x68e90097,0x3a3a1640,0x60c400c3}},	//   baki_, _čedo, depp_, _fhim, 
   {{0x30a400e4,0x60c400b3,0x60d60241,0x20020083}},	//   _прыв, _ghim, _giym, caki_, 
   {{0x3f9e01f0,0xcb3400fd,0x7c2f1641,0x27e60664}},	// [d70] ştur_, нетъ, _vbcr, dcon_, 
   {{0x291a1642,0x6d41003e,0x1ab40a10,0x321e0210}},	//   fupa_, ælas, ебуя, ngty_, 
   {{0x29071643,0x291a1644,0xf8b11372,0x6b84052b}},	//   éna_, gupa_, نکر_, azig, 
   {{0x386906b6,0x6a730384,0x9f0400d7,0x00000000}},	//   ðar_, _sıfı, _تویو, --, 
   {{0x7c2d1645,0x649700b3,0x36691646,0x00000000}},	//   mfar, nţie, жало_, --, 
   {{0x55c3005e,0x442f1647,0x20021648,0x7c2d1649}},	//   налғ, _sbg_, zaki_, lfar, 
   {{0xa934164a,0x200200d7,0x291a164b,0xa3ca009a}},	//   _перш, yaki_, cupa_, ळेस_, 
   {{0x7c2d164c,0x2002019c,0x00000000,0x00000000}},	//   nfar, xaki_, --, --, 
   {{0x2002164d,0x27ff0175,0x72c50176,0x7c2d0c20}},	//   vaki_, _ieun_, мбиз, ifar, 
   {{0x60c4164e,0xa6e90029,0x2002164f,0x27ff0175}},	//   _shim, _phươ, waki_, _heun_, 
   {{0x20021650,0xa0a61651,0x27ff005f,0x26c50026}},	//   taki_, данд, _keun_, _ihlo_, 
   {{0x66031652,0x60d61653,0x39430126,0x205601a2}},	//   lank, _qiym, _msjs_, фтор, 
   {{0x20020121,0x644902bf,0x7c2d1654,0x64591655}},	//   raki_, mdei, dfar, _inwi, 
   {{0x442d02ec,0xa6e900f7,0x66031656,0x20021657}},	//   lfe_, _thươ, nank, saki_, 
   {{0x20021658,0x6d58015e,0x60c41659,0x2a6a165a}},	//   paki_, _švab, _thim, _robb_, 
   {{0x6449165b,0x6b84165c,0x442d165d,0x7c2d165e}},	//   ndei, tzig, nfe_, gfar, 
   {{0x649700d9,0x3e7400b0,0x06e30033,0x442d165f}},	// [d80] cţie, _läti_, নীতি, ife_, 
   {{0xfbc302c0,0x291a1660,0x3a23019b,0x62810023}},	//   тбуо, tupa_, _ccjp_, nhlo, 
   {{0x66031661,0x22470300,0x3a3a0d6b,0x6e3c01d2}},	//   dank, _mank_, repp_, merb, 
   {{0x291a1662,0x7d1c1663,0x22471664,0x7c2d1665}},	//   rupa_, murs, _lank_, cfar, 
   {{0x073a1666,0xc6f70769,0x660300a9,0x44e30126}},	//   تساب_, дніх_, fank, _añ_, 
   {{0x26c50b1a,0x66031667,0x44fa0b03,0xea000023}},	//   _chlo_, gank, tū_, _đặn_, 
   {{0x442d1668,0x69dc0c7c,0x644901d5,0x7d1c1669}},	//   ffe_, _igre, fdei, nurs, 
   {{0x3ae4022b,0x6e3c166a,0x27ff166b,0x4422039f}},	//   _köp_, herb, _geun_, ük_, 
   {{0x2247166c,0x7ae2007a,0xb5fc00a4,0x2b40011c}},	//   _bank_, íoth, _loġi, nwic_, 
   {{0x66030372,0x64491086,0x22470027,0x386602ae}},	//   cank, adei, _cank_, ljor_, 
   {{0x2247166d,0x765a166e,0x7c2d0156,0x7f440369}},	//   _dank_, _inty, yfar, _asiq, 
   {{0x7d1c166f,0x1c1d0527,0x386612e6,0x62811670}},	//   durs, _फाइल_, njor_, ahlo, 
   {{0x69dc1671,0x6e3c1672,0x22470082,0x76481673}},	//   _ogre, ferb, _fank_, _kady, 
   {{0x62811674,0x69dc1675,0x7e7e0118,0x2ee00d62}},	//   chlo, _ngre, _clpp, _duif_, 
   {{0x76481676,0xf1aa00d4,0x7d1c1677,0xc34800e7}},	//   _mady, _باشه_, gurs, _hổ_, 
   {{0x66031678,0x69dc1679,0x6e3c02a3,0x2247167a}},	//   zank, _agre, aerb, _zank_, 
   {{0x3ec7167b,0x66030727,0x386612be,0x7c2d1649}},	// [d90] _особ, yank, djor_, rfar, 
   {{0x27ff018c,0x7648167c,0x68fc0156,0x7a38167d}},	//   _seun_, _nady, _bwrd, мпур_, 
   {{0x6f1d0068,0x4815167e,0x644900f8,0x3e660054}},	//   lusc, емес, ydei, _nôty_, 
   {{0x6d45167f,0x66031680,0x765a1681,0x38660034}},	//   _isha, wank, _anty, gjor_, 
   {{0x764813cd,0xc34800e7,0x7bdd02dc,0x785e00b3}},	//   _bady, _nổ_, _igsu, _săvâ, 
   {{0x68fc00f8,0x645900a1,0x00000000,0x00000000}},	//   _fwrd, _snwi, --, --, 
   {{0x27ff1682,0xf09f0379,0x224700d1,0x64490a1d}},	//   _teun_, knà_, _rank_, tdei, 
   {{0x93451683,0x6603030b,0xc348001b,0x61ea1684}},	//   ение, sank, _bổ_, _affl, 
   {{0xc3480029,0x442d1685,0xa3ca00a2,0x7d1c1686}},	//   _cổ_, rfe_, ळेल_, zurs, 
   {{0x27291056,0x660309c7,0x76480300,0xda0f1687}},	//   mún_, qank, _gady, ाणित_, 
   {{0x6d451688,0x27290038,0x386d00b0,0x442d1689}},	//   _nsha, lún_, _koer_, pfe_, 
   {{0x386d0369,0x6e3c168a,0x628100cf,0x6601168b}},	//   _joer_, werb, shlo, _helk, 
   {{0x6601168c,0x6d45168d,0xda0f00a2,0xada302f1}},	//   _kelk, _asha, ाणात_, ҳарл, 
   {{0x7d1c0a6d,0x386d0876,0x249f003e,0x6e3c168e}},	//   turs, _loer_, lnum_, uerb, 
   {{0x387f0749,0x6da3168f,0x66011690,0x7afd1691}},	//   _olur_, гира, _melk, _awst, 
   {{0x249f010d,0x6e3c1692,0x7f4402cd,0x66010019}},	//   nnum_, serb, _tsiq, _lelk, 
   {{0x6d451693,0xc34800e7,0x249f003e,0xb09b07e4}},	// [da0] _esha, _xổ_, inum_, _מיקר, 
   {{0x6d4500e5,0x387f1694,0x32051695,0x2d8c0126}},	//   _fsha, _alur_, naly_, údes_, 
   {{0x76481696,0x387f1697,0x386d1698,0x249f008c}},	//   _rady, _blur_, _boer_, knum_, 
   {{0xd706065b,0x76480c36,0x3ae40679,0xa2c10299}},	//   езди, _sady, _töp_, _रीस्, 
   {{0x2729128a,0x6136006b,0x66011699,0x3205169a}},	//   gún_, _külö, _belk, kaly_, 
   {{0x660108d7,0x32050180,0xc3480023,0x387f169b}},	//   _celk, jaly_, _rổ_, _elur_, 
   {{0xc348001b,0x2ca0169c,0xfaa3104e,0x249f008c}},	//   _sổ_, onid_, _саро, fnum_, 
   {{0x249f008c,0x5454169d,0x660100b0,0x95530fce}},	//   gnum_, твит, _eelk, اخوا, 
   {{0xb05b014e,0xc7a3169e,0x6601169f,0x764807fc}},	//   lläg, _битк, _felk, _tady, 
   {{0x2c7c0634,0x32050379,0x2ca0007a,0x717816a0}},	//   _oído_, galy_, hnid_, дбор_, 
   {{0xb05b022b,0x2b910228,0xbbbe0f7a,0x5a170070}},	//   nläg, môcť_, ्धुक, עקטן_, 
   {{0xc3480029,0xbebb024a,0x6f1d16a1,0x69c30035}},	//   _tổ_, ntëv, tusc, żneg, 
   {{0x442616a2,0xb05b01c4,0xfebb0038,0x660116a3}},	//   _ico_, hläg, كاست_, _yelk, 
   {{0x6f1d16a4,0xa01b0380,0xb05b02ae,0x7c2616a5}},	//   rusc, chön, kläg, _ackr, 
   {{0xac950cb4,0x8d7716a6,0x4c95017b,0x00000000}},	//   вавш, راسا, вивс, --, 
   {{0xdcb8048a,0x6f1d1217,0xb05b02ae,0x6d45039b}},	//   ещу_, pusc, dläg, _vsha, 
   {{0x649700d9,0x386d000b,0x38730cdf,0xfaf016a7}},	// [db0] nţia, _roer_, ққат, مثل_, 
   {{0x6d450e0c,0x6f0d16a8,0x3b0916a9,0xdb26009c}},	//   _tsha, _ivac, rsaq_, ئولی, 
   {{0x3b0900a4,0x6d4516aa,0x44260042,0x98b30352}},	//   ssaq_, _usha, _oco_, žeča_, 
   {{0x442601c1,0x6f0d015e,0x66010088,0x487808af}},	//   _nco_, _kvac, _selk, нсія_, 
   {{0xf745095b,0x386d0318,0x66010088,0xb05b16ab}},	//   тело, _voer_, _pelk, lmäs, 
   {{0x272916ac,0x693506d4,0xe9d30444,0x386d040b}},	//   rún_, _ингу, _مغز_, _woer_, 
   {{0x660116ad,0x320516ae,0x386d0876,0x44260226}},	//   _velk, valy_, _toer_, _bco_, 
   {{0x660116af,0x6f0d044e,0x3e740502,0x58d416b0}},	//   _welk, _ovac, _hätt_, _бост, 
   {{0x249f008c,0x320516b1,0xd84202d9,0x69c80098}},	//   rnum_, taly_, áčů_, _úder, 
   {{0xb05b02ae,0x249f16b2,0x442616b3,0x00000000}},	//   kmäs, snum_, _eco_, --, 
   {{0x320516b4,0xb05b16b5,0x6f0d16b6,0x3e740219}},	//   raly_, kläd, _avac, _mätt_, 
   {{0x3e74022b,0xdee616b7,0x320516b8,0x64970243}},	//   _lätt_, коми, saly_, rģis, 
   {{0x443f16b9,0xab5b010e,0x320516ba,0xcdc50259}},	//   meu_, _szün, paly_, ғатқ, 
   {{0x6da616bb,0x443f16bc,0x644b16bd,0x63a40009}},	//   вига, leu_, _hagi, _žing, 
   {{0x644b16be,0x6f0d16bf,0x27ed0502,0x2907020f}},	//   _kagi, _evac, _ofen_, ânal_, 
   {{0x443f16c0,0x7f8600eb,0x7cdc00a1,0x6f960038}},	//   neu_, _للبن, _cōra, _للعض, 
   {{0x644b16c1,0x443f16c2,0x7c2b0014,0xeb9716c3}},	// [dc0] _magi, ieu_, ògra, вит_, 
   {{0x644b16c4,0x443f16c5,0xaa7b003e,0x4ce600a3}},	//   _lagi, heu_, _stýr, _ижоб, 
   {{0x443f0096,0x6f0d16c6,0xb05b1279,0x00000000}},	//   keu_, _zvac, mmär, --, 
   {{0x644b16c7,0x63a4008c,0xb05b16c8,0x7f56024a}},	//   _nagi, _þing, rläg, _kryq, 
   {{0x443f16c9,0x27e016ca,0xb05b0219,0xbebb0034}},	//   deu_, žino_, släg, rtëv, 
   {{0x7bc611c8,0x7c2416cb,0xca761249,0xbebb024a}},	//   _izku, lgir, _румы, stëv, 
   {{0x644b16cc,0x92de00cc,0xc5d500cc,0x443f16cd}},	//   _bagi, _তবে_, _স্বপ, feu_, 
   {{0x7c2416ce,0x38c8040f,0x443f00d3,0x00000000}},	//   ngir, _سازی_, geu_, --, 
   {{0xb05b16cf,0x938a16d0,0x66e616d1,0x82d816d2}},	//   kmär, ьска_, _роза, ндис_, 
   {{0x78a216d3,0x6f0d035f,0x7c2416d4,0x649700b3}},	//   lnov, _rvac, hgir, rţia, 
   {{0x443f16d5,0x7c24009e,0x644b16d6,0x442603c5}},	//   beu_, kgir, _fagi, _tco_, 
   {{0x443f16d7,0x78a216d8,0x044616d9,0xa19301fc}},	//   ceu_, nnov, _једн, раюч, 
   {{0x6440027e,0x9f5902ae,0x82a600d3,0x78a200de}},	//   memi, kaså_, _ишке, inov, 
   {{0x644016da,0x644b16db,0x6497002e,0x4ea416dc}},	//   lemi, _zagi, nţin, арса, 
   {{0x3e740750,0xdd94022c,0x644b0b31,0x7bc601ca}},	//   _rätt_, аары, _yagi, _azku, 
   {{0x644016dd,0x3e740750,0x7c2416de,0x6abd16df}},	//   nemi, _sätt_, ggir, ्ग्र, 
   {{0x4ea716e0,0x5a3516e1,0xb05b16e2,0xbebb024a}},	// [dd0] _арна, лнат, smäs, ftët, 
   {{0x443f16e3,0x644016e4,0xdce70035,0x9b440019}},	//   zeu_, hemi, zyję, ؤنلو, 
   {{0x391516e5,0x7bc601f1,0x291e0219,0x83fd010e}},	//   умер, _ezku, _åtal_, rkőz, 
   {{0x2bae0fec,0x443f022c,0x28f80a10,0x78a216e6}},	//   _झुका, xeu_, тець_, gnov, 
   {{0x644b16e7,0x443f16e8,0x3e740219,0x291a02a3}},	//   _ragi, veu_, _tätt_, arpa_, 
   {{0x644b16e9,0xe5a516ea,0x00000000,0x00000000}},	//   _sagi, лили, --, --, 
   {{0x644b16eb,0x443f16ec,0x78a216ed,0x27ee02d9}},	//   _pagi, teu_, bnov, émní_, 
   {{0x644016ee,0x69c716ef,0x332d0405,0xddde03a0}},	//   gemi, _izje, ttex_, _enpň, 
   {{0x443f16f0,0x2cb9016a,0x67d40a10,0xbebb024a}},	//   reu_, _mksd_, _воту, ntës, 
   {{0x443f16f1,0x7c2416f2,0x644b16f3,0x36d516f4}},	//   seu_, zgir, _wagi, _созр, 
   {{0x644b16f5,0xab5b006b,0xe4e702fb,0x443f16f6}},	//   _tagi, _szül, _різн, peu_, 
   {{0xa3550fdc,0xc87900b3,0xbebb0034,0xa3ea0299}},	//   _مختص, _fişe_, ktës, _मलय_, 
   {{0xbebb00e5,0xed5703dc,0x6d570095,0x7c24010c}},	//   jtës, қот_, _arxa, vgir, 
   {{0xdee316f7,0x78a2133e,0x539a035c,0x10a3004e}},	//   сори, znov, _אינו, _қиын, 
   {{0x78a216f8,0x649700d9,0x7c2416f9,0x25eb00b0}},	//   ynov, nţio, tgir, _चलनी_, 
   {{0xb05b007e,0xdd8f0038,0x78a216fa,0xbebb0034}},	//   smär, سوق_, xnov, ftës, 
   {{0x7c240218,0xb05b014e,0x78a216fb,0x5aca16fc}},	// [de0] rgir, pmär, vnov, елам_, 
   {{0x7c2416fd,0xddb60195,0x644016fe,0x66e60283}},	//   sgir, _محجب, zemi, ҳода, 
   {{0x644016ff,0x7c2403dd,0xdce801dd,0x78a21700}},	//   yemi, pgir, ēlēt, tnov, 
   {{0xe3a700c5,0xd70a0f6b,0x6440009e,0x66e61701}},	//   _هر_, енде_, xemi, года, 
   {{0xb8eb04b7,0x78a211bc,0x2bba00eb,0x7bc61702}},	//   _री_, rnov, _ساحة_, _uzku, 
   {{0x09e313cc,0xbebb021e,0xc7a3121f,0x00000000}},	//   _горн, ltër, щичк, --, 
   {{0x64400c05,0xafdb03a9,0x3a2a02fe,0x649700b3}},	//   temi, ndør, _icbp_, rţin, 
   {{0x649700d9,0x78a2014b,0xe3140165,0x00000000}},	//   sţin, čovs, амињ, --, 
   {{0x6d580b91,0xb5fc008a,0xf2061703,0x88b300d7}},	//   _šval, _anġe, ляно, _اینچ, 
   {{0x7ae61704,0x86c60038,0x67220009,0x6440107d}},	//   _mukt, _صيان, muoj, semi, 
   {{0x27e902ee,0x64401705,0x3cf80228,0x649700d9}},	//   žane_, pemi, jprv_, cţio, 
   {{0xf993042c,0x649700d9,0x1fdf02e6,0x44ea01f5}},	//   מרת_, nţil, नखेड, _iù_, 
   {{0x6722012d,0x44ea1706,0xf487006b,0x26de1707}},	//   nuoj, _hù_, _حالی, _kito_, 
   {{0x81d41708,0xc7b302a1,0x660a0ab1,0xb05b1709}},	//   _колх, מבר_, nafk, fläc, 
   {{0x629a170a,0x7ae6170b,0x6ca7170c,0xc27b0070}},	//   mito, _aukt, граж, _ארגי, 
   {{0x7ae6170d,0x26de170e,0x1f75170f,0x44ea00e7}},	//   _bukt, _lito_, _влия, _mù_, 
   {{0x4bc5022c,0x3a381027,0x26de0c7c,0x3a2a0097}},	// [df0] рөнг, _bbrp_, _oito_, _bcbp_, 
   {{0x44ea0518,0x195911c5,0x26de148f,0x7ae61710}},	//   _où_, казы_, _nito_, _dukt, 
   {{0x60cd1711,0x81b60086,0xbebb0034,0x2aa81712}},	//   _kham, চের_, stës, утто_, 
   {{0x89340084,0xa56500d4,0x629a1713,0x200b1714}},	//   إعلا, یگان, hito, naci_, 
   {{0x629a1715,0xe758004f,0x66051716,0xd6291717}},	//   kito, лиці_, апла, воле_, 
   {{0x629a1718,0x87040088,0x6b8d00ef,0x44ea00e7}},	//   jito, сяце, mzag, _bù_, 
   {{0x26de0268,0x44ea1719,0x6f1d01c4,0x200b00bc}},	//   _dito_, _cù_, hrsc, kaci_, 
   {{0x44ea0029,0x200b171a,0x7ae6011c,0x26de0183}},	//   _dù_, jaci_, _yukt, _eito_, 
   {{0x200b00f1,0x6b8d171b,0x26de0180,0x6283026e}},	//   daci_, nzag, _fito_, _plno, 
   {{0x6595171c,0x68e700e5,0x26de0490,0x60cd09a7}},	//   _казу, _kujd, _gito_, _aham, 
   {{0x7643171d,0x60cd00a1,0x4254012d,0x6f1d171e}},	//   meny, _bham, стыт, ersc, 
   {{0x7643171f,0x60cd1720,0x236002fe,0x200b1721}},	//   leny, _cham, _šije_, gaci_, 
   {{0x60cd1722,0x6b8d015e,0xdee61723,0x224900b3}},	//   _dham, jzag, роги, _апли_, 
   {{0x78a904ab,0x76430547,0x62881724,0x6b8d044d}},	//   _ljev, neny, chdo, dzag, 
   {{0x200b04d1,0x75231725,0x78bb0a8b,0x6722012d}},	//   baci_, nunz, _okuv, zuoj, 
   {{0x76431726,0x200b1727,0x60cd1728,0x3207023a}},	//   heny, caci_, _gham, _heny_, 
   {{0x76431729,0x4e1a0088,0x60d7035c,0x7523172a}},	// [e00] keny, _июня_, _דוקא_, hunz, 
   {{0x75230199,0x61e300e2,0xef1f010e,0xda79004f}},	//   kunz, _jgnl, zzük_, ляє_, 
   {{0x2bb80262,0x26de0c3d,0x7643172b,0xfe3700c7}},	//   _आडवा, _rito_, deny, _דריי_, 
   {{0x26de048a,0x628801ee,0x629a172c,0x60cd172d}},	//   _sito_, zhdo, zito, _xham, 
   {{0x78a902a8,0x26de172e,0x629a172f,0x87031730}},	//   _djev, _pito_, yito, ояще, 
   {{0x75231731,0x629a1732,0x76431733,0x6722012d}},	//   funz, xito, geny, ruoj, 
   {{0x6d581734,0x629a1735,0x321800ab,0x6722134f}},	//   _švaj, vito, órym_, suoj, 
   {{0x7c360679,0x26de0053,0x629a1736,0x6b9b0f23}},	//   nfyr, _wito_, wito, _žugi, 
   {{0x629a1737,0x26de1738,0x76431739,0x3207173a}},	//   tito, _tito_, beny, _beny_, 
   {{0x3207173b,0xab5b006b,0x200b00f4,0x7643016a}},	//   _ceny_, _szük, waci_, ceny, 
   {{0x60cd173c,0x68e012fb,0x200b173d,0x6b8d173e}},	//   _pham, _kimd, taci_, zzag, 
   {{0x629a173f,0x859b00d1,0x6f0402b8,0x6d410241}},	//   sito, _בשבו, _bwic, çlam, 
   {{0x4fc70afc,0x32071740,0x3eb81741,0x2d9e1742}},	//   рсна, _feny_, fort_, úten_, 
   {{0x200b0ab4,0x6f1d1743,0x68e000a3,0x61e302a5}},	//   saci_, rrsc, _limd, _ggnl, 
   {{0xa3ea047b,0x7059040c,0x60cd1744,0xbc071745}},	//   _मला_, _байр_, _tham, ичай, 
   {{0x320c0dd2,0x60cd0bab,0x3d180d4f,0x6b8d01f1}},	//   lady_, _uham, _फिरे_, tzag, 
   {{0x2486023b,0xa3ca00a2,0xdb5400f0,0x76431746}},	// [e10] _mlom_, ळेच_, овты, yeny, 
   {{0x78a90f30,0x78bb13b0,0x6286024a,0xdb260116}},	//   _sjev, _skuv, ëkoh, صومی, 
   {{0x78a903e5,0xbebb00e5,0x99671747,0x27e402a2}},	//   _pjev, rrëd, штал, _bgmn_, 
   {{0x320c05f0,0x76431748,0x660800b4,0x2547039f}},	//   hady_, weny, _aedk, _ről_, 
   {{0x320c1749,0x78a902c7,0x629810de,0xa01b0380}},	//   kady_, _vjev, _omvo, rhöh, 
   {{0x7523174a,0x7bda00a7,0x320c174b,0x2486174c}},	//   tunz, _תקשו, jady_, _alom_, 
   {{0x7643174d,0x2486174e,0x320700a9,0x6608174f}},	//   reny, _blom_, _reny_, _dedk, 
   {{0x76431750,0x68e0012d,0x78bb0199,0x752308dc}},	//   seny, _gimd, _ukuv, runz, 
   {{0x75231751,0x320c0180,0x76431752,0xb3d200c9}},	//   sunz, fady_, peny, देलख, 
   {{0xf67400eb,0x75230199,0x2547010e,0x53a51753}},	//   _والخ, punz, _től_, _қалб, 
   {{0xd00a1754,0x3eb81755,0xb80b00b0,0x555500d7}},	//   лене_, vort_, _हजाम_, _دپار, 
   {{0x3eb802f2,0xb7bd002e,0x200900b3,0x42c800d3}},	//   wort_, _acţi, _ceai_, лгөн_, 
   {{0xd12e040f,0x32070489,0x42d500dd,0x320c0379}},	//   ومی_, _teny_, _ліку, bady_, 
   {{0x201e1756,0x200900a1,0x24861757,0x00000000}},	//   şti_, _eeai_, _zlom_, --, 
   {{0x22451758,0x2d7e0397,0xb05b0844,0x3eb81759}},	//   melk_, _oćeš_, mlän, rort_, 
   {{0x27e00688,0xb05b175a,0x6e3b0082,0x3eb8175b}},	//   žini_, llän, đuba, sort_, 
   {{0x3eb8175c,0x7c36175d,0xcb67175e,0x6f04007c}},	// [e20] port_, rfyr, бате_, _uwic, 
   {{0x34d300ab,0xb05b00a8,0xa96a175f,0x68e01760}},	//   दगुद, nlän, лиза_, _simd, 
   {{0x6608008b,0xb05b128d,0x7aed040c,0x6281040b}},	//   _redk, ilän, aqat, iklo, 
   {{0x0aea0038,0x00000000,0x00000000,0x00000000}},	//   _مرسي_, --, --, --, 
   {{0x68fb0abd,0xb05b02ae,0x628100fc,0x00000000}},	//   _čude, klän, kklo, --, 
   {{0xfd650029,0x2486090e,0x62810082,0x00000000}},	//   _nguồ, _slom_, jklo, --, 
   {{0x9986057f,0x27e902f5,0xb05b014e,0x320c00a9}},	//   _الأو, žana_, dlän, vady_, 
   {{0xa2f41761,0x00000000,0x00000000,0x00000000}},	//   опич, --, --, --, 
   {{0x320c05f0,0xc44500d4,0xd20a011f,0xf3ef0038}},	//   tady_, زیون_, лэнд_, رأي_, 
   {{0x273200d9,0x9f520369,0xbae50033,0xe5a61762}},	//   mân_, _leyó_, _পৌঁছ, _лизи, 
   {{0x273200f3,0x320c1763,0x3abb035c,0xd257012d}},	//   lân_, rady_, רמינ, сцы_, 
   {{0x320c1764,0x629d0107,0x628108a3,0x00000000}},	//   sady_, ésor, aklo, --, 
   {{0x320c1765,0x937a1766,0xdb0f019c,0x27320216}},	//   pady_, _حصار_, _excê, nân_, 
   {{0x62811767,0xacf91768,0xddde0237,0xfe7901a2}},	//   cklo, ингу_, _enpō, рӯи_, 
   {{0x40351769,0x273200f8,0x00000000,0x00000000}},	//   _дейс, hân_, --, --, 
   {{0xce3300c5,0xa0a400ce,0x7f4d02cd,0xd011006b}},	//   _کودک, _најд, _tsaq, _کلک_, 
   {{0x3a75176a,0xf09f022c,0x00000000,0x00000000}},	// [e30] олар, mià_, --, --, 
   {{0x9e07176b,0x2eb4007e,0xf09f03a1,0x7aed02f1}},	//   _учил, ंकृत, lià_, rqat, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x50c9176c,0xed8800d3,0xb0c9176d,0x17fb0038}},	//   रतिष, _ысык_, रतिग, ارضة_, 
   {{0x2ca9176e,0x7aed00a3,0x6281176f,0x6a7b0216}},	//   mnad_, qqat, yklo, _bîft, 
   {{0x45191770,0xf09f0036,0x2ca9076d,0x00000000}},	//   ация_, hià_, lnad_, --, 
   {{0x20c900a2,0x22450243,0x00000000,0x00000000}},	//   रताध, velk_, --, --, 
   {{0x2ca9007e,0x236002fe,0x833902a0,0xf1c302d9}},	//   nnad_, _šija_, ачот_, _liší_, 
   {{0x2d8c1771,0xb05b0c98,0xf09f022c,0x649700b3}},	//   údez_, tlän, dià_, nţii, 
   {{0x2ca90156,0xe29902a6,0x00000000,0x00000000}},	//   hnad_, рао_, --, --, 
   {{0xe046080b,0xb05b1772,0x62811773,0xc66800ce}},	//   онни, rlän, rklo, _уште_, 
   {{0x61fc07fa,0xb05b1774,0x00000000,0x00000000}},	//   ırla, slän, --, --, 
   {{0x62811775,0xb05b1562,0x443d02a5,0x3f841776}},	//   pklo, plän, _ibw_, ámu_, 
   {{0x7c2f1777,0x3f8c0035,0x248d1778,0x2eb41779}},	//   _accr, ądu_, lhem_, ंकेत, 
   {{0xe7fc031e,0x1d0a177a,0x3f840032,0xf09f00b9}},	//   उँमा_, реби_, šmu_, bià_, 
   {{0x90c3177b,0x248d177c,0x9f5206df,0xf09f022c}},	//   _обще, nhem_, _deyò_, cià_, 
   {{0xab2a177d,0xdca300cf,0x8af70095,0x2d910036}},	// [e40] роза_, фати, _şəra, azze_, 
   {{0xa01b177e,0x443d177f,0x4a430165,0x00000000}},	//   nkön, _lbw_, мнув, --, 
   {{0xdb060219,0x249f1780,0x57ea1781,0x443d0298}},	//   _nykö, kium_, адем_, _obw_, 
   {{0x442f0042,0xab2a1782,0xd7f0007a,0xa01b1279}},	//   _ncg_, _кома_, ركت_, hkön, 
   {{0x05260086,0x249f1783,0x649700b3,0xa01b1784}},	//   _মনের_, dium_, cţii, kkön, 
   {{0x057603b1,0x63a400e4,0x442f01be,0x16a702f1}},	//   قاعد, _žino, _acg_, овчи_, 
   {{0x443d1785,0x442f052b,0x2907020f,0x38cb00d7}},	//   _bbw_, _bcg_, ânat_, _چاقی_, 
   {{0x69ce1786,0x442f1787,0x248d1788,0x684300b3}},	//   _izbe, _ccg_, ghem_, _онса, 
   {{0xb6a61789,0x684300e4,0xd7ef0038,0xe3af0019}},	//   _диал, _інфа, _شكل_, ہری_, 
   {{0xa5f702a6,0x2ca0059e,0xb5fc008a,0xc217004f}},	//   _међу_, hiid_, _inġo, оєю_, 
   {{0x2b420065,0xe3af015f,0xdb0f178a,0xf09f00b9}},	//   _lpkc_, فری_, _excè, tià_, 
   {{0x248d178b,0x27e00062,0x6e3e0065,0x442f016a}},	//   chem_, žinu_, _abpb, _gcg_, 
   {{0x98b3090e,0x2ca002a5,0xf09f03a1,0x2ca90611}},	//   žeća_, diid_, rià_, vnad_, 
   {{0x6d5e016a,0x6263013b,0x69ce01ff,0x9f520237}},	//   _brpa, _овча, _ozbe, _peyò_, 
   {{0x2d85063b,0x66cd0187,0xb05b0a52,0x628a00b3}},	//   ále_, núka, lläm, _ilfo, 
   {{0x51840f5a,0xbca50038,0x6d5e00ca,0x6722178c}},	//   _муқа, أمري, _drpa, kroj, 
   {{0x2d85034c,0x7de7005e,0x6d5e011d,0x2a78178d}},	// [e50] šle_, _мінд, _erpa, _borb_, 
   {{0x249f178e,0x248d0ab4,0x2a78178f,0xa9c71790}},	//   zium_, zhem_, _corb_, осек, 
   {{0x984b1617,0xdcef01dd,0x2ca90946,0x5f74009c}},	//   ияда_, ēdēt, pnad_, _فایر, 
   {{0x63ad003e,0xb05b02ae,0x64970474,0x2289020b}},	//   _þang, kläm, pţii, _múka_, 
   {{0x69ce1791,0xae1f0b3e,0x648e01f5,0x6f160175}},	//   _ezbe, _बयान_, _mùid, _xvyc, 
   {{0x442f1792,0x7bda00a7,0x5b7a00df,0x00000000}},	//   _scg_, _לקרו, _הרשא, --, 
   {{0x442f0183,0xa8a71793,0x20020035,0xb5fc008a}},	//   _pcg_, _драк, ybki_, _inġl, 
   {{0x672203ef,0xddc70032,0x1309017b,0x00000000}},	//   broj, rejň, бний_, --, 
   {{0x248d1794,0xf5590296,0xec790108,0x7c2d1795}},	//   rhem_, _گلاب_, _độc_, igar, 
   {{0x248d00e5,0x7c2d0156,0xc879027e,0x8af000ad}},	//   shem_, hgar, _hoş_, dvəl, 
   {{0x63ad1796,0x7c2d1797,0x648e00a1,0x6b890083}},	//   _žand, kgar, _bùid, _żegl, 
   {{0x2eb60b6c,0x628a0019,0xdb0f057d,0x7c2d1798}},	//   ृत्त, _elfo, _excé, jgar, 
   {{0xe28e0925,0x44f100ce,0x6d5e1799,0xb4b700a2}},	//   _за_, _há_, _srpa, चकी_, 
   {{0x442d14a4,0x7c2d179a,0x44f110d4,0x6449179b}},	//   lge_, egar, _ká_, leei, 
   {{0x44f1179c,0x2ca000b4,0x648e01be,0x6722179d}},	//   _já_, tiid_, _fùid, zroj, 
   {{0x7c2d179e,0x768f004f,0xb5fc007b,0xc006179f}},	//   ggar, _høyd, _anġl, _эпик, 
   {{0x44f117a0,0x442d17a1,0x20d200eb,0x2ca000b0}},	// [e60] _lá_, ige_, ráid_, riid_, 
   {{0x7c2d01c5,0x394302a2,0x20d20038,0x6d5e17a2}},	//   agar, _bpjs_, sáid_, _trpa, 
   {{0x44f117a3,0xd7fa07f9,0xc8790540,0x8e7b00d1}},	//   _ná_, бул_, _boş_, _הניה, 
   {{0xc87917a4,0x9f590126,0x26c70604,0x00000000}},	//   _coş_, casó_, elno_, --, 
   {{0x27e00088,0x442d00a7,0x6d5c17a5,0xf0930070}},	//   äin_, dge_, lvra, ענד_, 
   {{0xa96a17a6,0x44f117a7,0x672217a8,0x442d17a9}},	//   _лига_, _bá_, rroj, ege_, 
   {{0x44f117aa,0x6d5c17ab,0x69ce02f1,0xa4d817ac}},	//   _cá_, nvra, _uzbe, одку_, 
   {{0x44f117ad,0x442d17ae,0x7bc602a5,0xb4c8072d}},	//   _dá_, gge_, _kyku, ोगे_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x7c2d17af,0xaabe17b0,0x44f117b1,0x442d17b2}},	//   zgar, ्तिक, _fá_, age_, 
   {{0x44f10084,0x7c2d17b3,0x044617b4,0x768f00fc}},	//   _gá_, ygar, _нежн, _døyd, 
   {{0xc87900ad,0x66cd0228,0x78a200da,0x849606a7}},	//   _xoş_, núkn, niov, _عجائ, 
   {{0xaabe1280,0xb05b00c8,0x623417b5,0xa01b0502}},	//   ्ताक, lläk, _желу, fhör, 
   {{0x68fc00e0,0x1df80b58,0x2ee50380,0xddc502d9}},	//   _otrd, зеры_, ölf_, _zahř, 
   {{0x291c006b,0xd23b00a7,0xdb1d00bc,0x44f10023}},	//   ával_, _הגול, _vysí, _xá_, 
   {{0x7c2d17b6,0x5d541628,0xd1380028,0xb4fb027a}},	//   ugar, экст, mtą_, מפלי, 
   {{0x7c2d17b7,0x649700b3,0x768f00dd,0x291802a3}},	// [e70] rgar, cţiu, _høye, _avra_, 
   {{0x7c2d17b8,0x442d17b9,0x6ce700dd,0x1eea009c}},	//   sgar, zge_, _німе, _گویی_, 
   {{0xd138012d,0x69f2004e,0x4c9500a3,0x442d00fb}},	//   ntą_, түст, _жинс, yge_, 
   {{0x44f117ba,0x6d45084c,0x78a202a3,0xd1380009}},	//   _rá_, _ipha, giov, itą_, 
   {{0x29180886,0x2d8300e4,0xb8f400a5,0x44f1008c}},	//   _evra_, lyje_, _सी_, _sá_, 
   {{0xd138012d,0x44f117bb,0x320e0054,0x61ea011c}},	//   ktą_, _pá_, _nefy_, _ngfl, 
   {{0x442d01bb,0x2d83012d,0xe61017bc,0x3f8217bd}},	//   tge_, nyje_, اشه_, zyku_, 
   {{0x44f117be,0x290117bf,0x442d17c0,0x78a20254}},	//   _vá_, mpha_, uge_, ciov, 
   {{0x26c7014b,0x44f10023,0xe78400b3,0xafdb0bf7}},	//   plno_, _wá_, _пуфо, nfød, 
   {{0x44f117c1,0x6d4517c2,0x442d01c5,0x644917c3}},	//   _tá_, _opha, sge_, seei, 
   {{0x6d45023b,0xbebb0034,0x442d02ae,0x7ae717c4}},	//   _npha, trën, pge_, _mijt, 
   {{0xbe250086,0x6724015e,0x7fd6004e,0x8fa617c5}},	//   ম্মদ_, šije, дігі, даме, 
   {{0x6d450daf,0x320e01a7,0x3ea313c0,0x7afd17c6}},	//   _apha, _fefy_, fijt_, _ntst, 
   {{0xdd92015f,0xafdb00fb,0x6497020f,0x6d5c0202}},	//   پور_, dfød, rţiu, tvra, 
   {{0x7afd17c7,0xed5717c8,0xe810000d,0xa01b074b}},	//   _atst, мор_, ारमा_, rhör, 
   {{0x69da03b7,0x78a20068,0x291c0032,0x5f2a0148}},	//   _útei, xiov, ávam_, _доим_, 
   {{0x60c417c9,0x7ae717ca,0xab5b010e,0xa01b02ae}},	// [e80] _ikim, _bijt, _szür, phör, 
   {{0x7bc617cb,0xab5b0019,0x68ee17cc,0x00000000}},	//   _vyku, _gyüm, _pubd, --, 
   {{0xceb30137,0xbebb024a,0x994a091d,0x6abe0502}},	//   _ביז_, ytëz, تلال_, ropf, 
   {{0x672b17cd,0x7aef020f,0xcb6a17ce,0xb4b700bc}},	//   fugj, _fuct, _даме_, चको_, 
   {{0x78a217cf,0x7bc6027e,0x60c4095a,0x9b0301d8}},	//   riov, _uyku, _mkim, _изяд, 
   {{0xd13817d0,0xa92617d1,0x68ee01ff,0x6b840027}},	//   ytą_, _одгл, _tubd, myig, 
   {{0x98a617d2,0x320e023a,0x68fc0121,0x2507010e}},	//   _живе, _refy_, _utrd, ورٹی_, 
   {{0x3d11034d,0xb05b02ae,0x60c417d3,0x399b00d1}},	//   _तबसे_, rläk, _nkim, _וילד, 
   {{0x6b8417d4,0xb05b02ae,0x320e0379,0xa2ac0299}},	//   nyig, släk, _pefy_, ीकल्, 
   {{0x60c417d5,0x325417d6,0xa01b0502,0x32050ff2}},	//   _akim, хвор, rköm, gbly_, 
   {{0x60f803bd,0xb05b0080,0x403517d7,0x6b840610}},	//   яння_, lläi, ненс, hyig, 
   {{0xd13817d8,0x60d602bf,0x2d830028,0xa50717d9}},	//   rtą_, _chym, vyje_, _цеца_, 
   {{0xd13817da,0x320e0379,0x64970474,0x00000000}},	//   stą_, _tefy_, rţit, --, 
   {{0x60c417db,0x2bd517dc,0x2d83012d,0xd1380009}},	//   _ekim, _दरबा, tyje_, ptą_, 
   {{0x7aef17dd,0x68fb16ef,0x6d5817de,0x7ae701c8}},	//   _suct, _čudo, _švar, _rijt, 
   {{0x96140086,0x2d83012d,0xdfd500f0,0xbf35004f}},	//   সলিম_, ryje_, _пойы, _знищ, 
   {{0x3f4f0405,0x7ebf00bc,0x3ea302b0,0x92c20033}},	// [e90] _użu_, tápě, pijt_, ্দী_, 
   {{0x2d830009,0xdddc00d2,0x6f0d0199,0x2fc90102}},	//   pyje_, skrš, _iwac, _iyag_, 
   {{0xb05b0080,0x6b8401b8,0xdeb20259,0x00000000}},	//   eläi, ayig, _сұры, --, 
   {{0x3869128a,0xc8790749,0x6f0d17df,0xa715004e}},	//   ñar_, _kişi_, _kwac, емді, 
   {{0x59d41422,0x7afd05a7,0x366917e0,0xfc3f010e}},	//   _थरथर, _utst, зало_, _amíg_, 
   {{0x644217e1,0xaa450088,0x6f0d0727,0x628802b0}},	//   _aboi, ävää_, _mwac, jkdo, 
   {{0xa2c200b0,0xaabe16df,0xafdb017b,0x00000000}},	//   रकन्, ्तरक, rdøy, --, 
   {{0xa3ba0a44,0x3ea10108,0x2fc90574,0xf9920486}},	//   _आँख_, _lmht_, _oyag_, _ערן_, 
   {{0x27ed17e2,0x644200a1,0x60d617e3,0x00000000}},	//   _igen_, _dboi, _rhym, --, 
   {{0xe1f80161,0x00000000,0x00000000,0x00000000}},	//   үгө_, --, --, --, 
   {{0x68e9006a,0x216917e4,0x6f0d17e5,0x320517e6}},	//   _kied, чини_, _awac, rbly_, 
   {{0x20560200,0x22800237,0x6f0d02b8,0xc8790241}},	//   хтор, _bòks_, _bwac, _bişi_, 
   {{0x68e917e7,0x6f0d02a5,0x443f0447,0x6497020f}},	//   _mied, _cwac, mfu_, bţir, 
   {{0x52390137,0x443f17e8,0x68e917e9,0x645917ea}},	//   _זײַנ, lfu_, _lied, _hawi, 
   {{0xfaff01ee,0x9d431088,0x64591694,0x27ed012e}},	//   _atë_, лерд, _kawi, _ogen_, 
   {{0x68e917eb,0x63a4012d,0x60c40010,0x645917ec}},	//   _nied, _žini, _ukim, _jawi, 
   {{0x6d410c05,0x645917ed,0x443f0053,0x645b0080}},	// [ea0] çlar, _mawi, ifu_, idui, 
   {{0x27ed04bb,0x6b84016c,0x248f0090,0x00000000}},	//   _agen_, ryig, _llgm_, --, 
   {{0x68e917ee,0xd7fa17ef,0x35c400a5,0xdb1d014b}},	//   _bied, пул_, _लुढ़, _vysá, 
   {{0x7e7e05ac,0x645900ab,0xb5fc007b,0x00000000}},	//   _hopp, _nawi, _inġi, --, 
   {{0x7e7e17f0,0x175400c8,0x17c801a2,0xd7070168}},	//   _kopp, твля, фҳаи_, енче_, 
   {{0x27ed17f1,0x443f17f2,0x7e7e17f3,0x645906e4}},	//   _egen_, efu_, _jopp, _aawi, 
   {{0x80d100cc,0x7e7e17f4,0x443f17f5,0x6abe17f6}},	//   _সংস্, _mopp, ffu_, ्तीर, 
   {{0xd49717f7,0x7e7e17f8,0x645917f9,0x63ad17fa}},	//   ерь_, _lopp, _cawi, _žana, 
   {{0x645917fb,0x82a617fc,0x645d0054,0x7e7e17fd}},	//   _dawi, ешне, ôsia, _oopp, 
   {{0x68e900e0,0x443f17fe,0x3d1100c2,0x07a30846}},	//   _zied, afu_, _तबले_, _саун, 
   {{0x7d0900ef,0x13ea00bf,0x3ce1009a,0x644201be}},	//   ćesk, _емей_, _कळले_, _tboi, 
   {{0x645917ff,0x765a0065,0x6abe0e0d,0x6f0d0118}},	//   _gawi, _haty, ्तुर, _pwac, 
   {{0x765a1800,0x6d580082,0x768f004f,0x00000000}},	//   _katy, _švap, _høya, --, 
   {{0x6459006a,0xa6e700e7,0x7e7e0e8b,0xdc030ed0}},	//   _zawi, _nhữ, _copp, rčík, 
   {{0xb81011bd,0x7e7e1801,0x765a1802,0x20d20038}},	//   ाराम_, _dopp, _maty, máin_, 
   {{0x765a1803,0x6ca41804,0x20d20038,0x6f0d007c}},	//   _laty, груж, láin_, _twac, 
   {{0x68e91805,0xeeb900cf,0xfaf30019,0x7e7e1806}},	// [eb0] _ried, _олиш_, اثر_, _fopp, 
   {{0x765a1807,0x68e91808,0x645b00b3,0x20d20038}},	//   _naty, _sied, zdui, náin_, 
   {{0x68e91809,0x394703a1,0x4815170f,0x5e9c00d1}},	//   _pied, ïns_, вмес, _מבזק, 
   {{0x20d2057f,0x26c5026e,0xe0df06df,0x7e7e02a3}},	//   háin_, _sklo_, nmò_, _zopp, 
   {{0x64591436,0x68e9180a,0x765a180b,0x20d90038}},	//   _rawi, _vied, _baty, méid_, 
   {{0x68e9180c,0x645909e8,0x945d00ab,0xe5a5180d}},	//   _wied, _sawi, końc, кили, 
   {{0x68e9030f,0x6459180e,0x443f180f,0x20d20038}},	//   _tied, _pawi, tfu_, dáin_, 
   {{0x67241810,0x27ed055f,0x20d9007a,0x929d0083}},	//   šija, _ugen_, néid_, dpła, 
   {{0xe29911db,0x645b1811,0x443f1812,0x23db00c9}},	//   дап_, rdui, rfu_, मेंद, 
   {{0x273b055a,0x64590010,0x09e50086,0x443f1813}},	//   mên_, _wawi, _প্যা, sfu_, 
   {{0x273b055a,0x81c9100b,0x20120cbf,0x64591814}},	//   lên_, লেন_, _peyi_, _tawi, 
   {{0x387f0518,0x7e0a0081,0x7e7e1815,0xa3ba1615}},	//   _jour_, वर्ग_, _sopp, _आँच_, 
   {{0x273b1816,0xa4d402fb,0x80d10086,0x087600c7}},	//   nên_, _соці, _সংশ্, דערט_, 
   {{0x9f9e03b7,0x20d203b3,0xe0df02a3,0x387f0237}},	//   _ação_, cáin_, amò_, _lour_, 
   {{0x273b078a,0xada303dd,0x71640038,0x2d8c0032}},	//   hên_, аарл, _مايك, áde_, 
   {{0x273b055a,0x09b00086,0x1f661817,0xeaed058c}},	//   kên_, _করলা, _аким, जदूत_, 
   {{0x7e7e0c17,0xf4120137,0x273b0218,0x5a44004e}},	// [ec0] _topp, יפן_, jên_, лмағ, 
   {{0x273b0218,0x386d01e8,0xdee61818,0x3ceb0027}},	//   dên_, _aner_, _шопи, _eicv_, 
   {{0xceb902d9,0x386d1819,0x64950ed0,0x00000000}},	//   éře_, _bner_, _káid, --, 
   {{0x273b0218,0x387f026a,0x765a181a,0x20d9007a}},	//   fên_, _cour_, _saty, céid_, 
   {{0x765a012d,0x69d50019,0xb8f90a34,0x929d0035}},	//   _paty, _ezze, _ठी_, zpła, 
   {{0x6f020c05,0x649500eb,0x9634181b,0x648e01be}},	//   _çocu, _láid, ункц, _cùin, 
   {{0x64b300d9,0xfaa3181c,0xc60b0086,0x387f181d}},	//   răin, _таро, _রাখা_, _four_, 
   {{0x273b0218,0xb4cc00a2,0x00000000,0x00000000}},	//   bên_, ळते_, --, --, 
   {{0x20d20038,0x273b010c,0xd2500038,0xa6e6181e}},	//   táin_, cên_, منة_, _ажал, 
   {{0x7c2900e0,0x38bc00da,0x69da00da,0x42740229}},	//   _ķerm, víry_, _útes, угос, 
   {{0x387f181f,0x63ad010d,0x20d20038,0xe1341820}},	//   _your_, _þann, ráin_, ынны, 
   {{0x20d20084,0x63a400e4,0x2ebd0ffc,0x66181821}},	//   sáin_, _žinu, ोत्त, lavk, 
   {{0xe0df01d8,0x20d2007a,0x909800fd,0x64950354}},	//   rmò_, máil_, твят_, _dáid, 
   {{0x44f81822,0x395802fe,0x6fe901dd,0x66181823}},	//   _ké_, _osrs_, _rīcī, navk, 
   {{0x273b078a,0x44f81824,0x395800ef,0x9c830098}},	//   zên_, _jé_, _nsrs_, áčov, 
   {{0x273b1825,0x44f8057f,0x80d10033,0x23661826}},	//   yên_, _mé_, _সূর্, _kroj_, 
   {{0x20191827,0x44f81828,0x1af41829,0x273b0218}},	// [ed0] masi_, _lé_, иптя, xên_, 
   {{0x273b055a,0x20d20084,0x7e5500dd,0x44f80038}},	//   vên_, háil_, _своє, _oé_, 
   {{0x387f182a,0x6618026e,0x20d900eb,0x69c808bb}},	//   _pour_, davk, péid_, _ødel, 
   {{0x273b078a,0xdb1d00c8,0xb4cc009a,0x5c0400fd}},	//   tên_, _pysä, ळतो_, _вяра, 
   {{0xfeb8182b,0x9cd60cec,0x20d200eb,0x2366023b}},	//   _سایت_, _תורה_, dáil_, _nroj_, 
   {{0x273b1816,0x44f8182c,0x2ca902bf,0x201902f1}},	//   rên_, _bé_, liad_, hasi_, 
   {{0x2019182d,0x273b078a,0x44f80084,0x888300c5}},	//   kasi_, sên_, _cé_, _پیشن, 
   {{0x236600f1,0x20d20084,0x44f8182e,0x2ca902bf}},	//   _broj_, gáil_, _dé_, niad_, 
   {{0x661811b1,0x69da00bc,0xb5fc01f2,0x273b010c}},	//   bavk, _úter, _anġu, qên_, 
   {{0x2019002e,0x44f8182f,0x6f1d1830,0x2ca900f8}},	//   easi_, _fé_, dssc, hiad_, 
   {{0x20191831,0xa29f0077,0x44f8005f,0x2366007b}},	//   fasi_, गोष्, _gé_, _eroj_, 
   {{0x20191832,0x68f51833,0x20d200eb,0x27e90a1a}},	//   gasi_, _muzd, cáil_, žanu_, 
   {{0x32451834,0x2ca902f0,0x44f81835,0xb05b02ae}},	//   _белг, diad_, _zé_, poän, 
   {{0xed5a16d9,0x248d031e,0xf20706ba,0x44f817cc}},	//   ног_, lkem_, _рядо, _yé_, 
   {{0x20191836,0x2ca902bf,0x68f500d2,0x29030415}},	//   basi_, fiad_, _nuzd, _ntja_, 
   {{0x6abe0cb8,0x2ca902bf,0x1bea0b68,0x20191837}},	//   ्त्र, giad_, едби_, casi_, 
   {{0xab661838,0xb05b0219,0xab271839,0xeb97183a}},	// [ee0] ывал, rlät, лота_, гит_, 
   {{0x248d0077,0x68f5183b,0xed5a0398,0x2bc703a1}},	//   hkem_, _buzd, _зоо_, улуп_, 
   {{0xb05b01c4,0x248d183c,0x648e00a1,0xdca6183d}},	//   plät, kkem_, _bùil, _бани, 
   {{0x44f8183e,0xb05b183f,0x648e01be,0x39580352}},	//   _ré_, llär, _cùil, _vsrs_, 
   {{0x44f81840,0x7643016a,0x23690097,0x91ca03ce}},	//   _sé_, ffny, _šajn_, _सुनै, 
   {{0x44f81841,0x4ab8000c,0x20191842,0x248d01c8}},	//   _pé_, _आदिव, zasi_, ekem_, 
   {{0x20191843,0x20d20084,0xc879009e,0x2b401844}},	//   yasi_, táil_, _pişt_, ltic_, 
   {{0x6f040d26,0x44f8001b,0x23661845,0x768f00fc}},	//   _otic, _vé_, _proj_, _høyl, 
   {{0x201909c2,0x3636024f,0xe80a02f8,0x20d20084}},	//   vasi_, _مراس, _ह्या_, ráil_, 
   {{0x44f81846,0x20191847,0xfaff024a,0x20d200eb}},	//   _té_, wasi_, _orën_, sáil_, 
   {{0xc879078a,0x6f040628,0x32630009,0xe3af0a5a}},	//   _tişt_, _atic, стыв, قری_, 
   {{0x68e21848,0x6f040036,0x6f1d1849,0x248d184a}},	//   nmod, _btic, tssc, ckem_, 
   {{0xb4c005fd,0xb4c202f8,0x2366024a,0x68e2019b}},	//   ंकी_, ृती_, _uroj_, imod, 
   {{0x25630c05,0x2ca9056b,0x3eaa0380,0x6f1d1176}},	//   _yıl_, wiad_, gibt_, rssc, 
   {{0x2019120c,0x6f0409e6,0x69ce0075,0xdd94013e}},	//   pasi_, _etic, _nybe, бары, 
   {{0xb05b1709,0x2b4000ef,0x201900a3,0x2b4b03dd}},	//   rläs, ftic_, qasi_, _ppcc_, 
   {{0x2ca9184b,0x68f5184c,0xb05b03d8,0xddde0118}},	// [ef0] riad_, _suzd, släs, _lapň, 
   {{0x69ce0691,0x2ca90156,0x8f9c00c7,0x68f50032}},	//   _bybe, siad_, _ריזי, _puzd, 
   {{0x81e60033,0xb9b50d4b,0x2ca9184d,0x248d184e}},	//   যুর_, جماع, piad_, ykem_, 
   {{0x69ce02c9,0x21370070,0x7648184f,0x00000000}},	//   _dybe, רטאל_, _abdy, --, 
   {{0x65681850,0x2b401851,0xdc360137,0x648e00a1}},	//   _ardh, ctic_, _דארט_, _cùim, 
   {{0x7aee01c4,0x83fd0019,0xab6601dd,0x8af000ad}},	//   _gibt, zdőd, _daļē, rvət, 
   {{0x248d1852,0xd6180038,0x291c00bc,0x68e2019c}},	//   tkem_, اتها_, ávat_, bmod, 
   {{0x03251853,0xc4850a66,0x06b102d9,0x693400d9}},	//   адин, рлик, _řídí_, _ынсу, 
   {{0x656800e5,0xc6140086,0x67d4004f,0x248d1854}},	//   _erdh, _সারা_, _готу, rkem_, 
   {{0x78ab03a9,0x64870327,0x248d1855,0x2d9c039f}},	//   ligv, _añit, skem_, _üveg_, 
   {{0xe0da1856,0x26c71857,0x39411858,0x6f041859}},	//   кво_, mono_, nths_, _stic, 
   {{0x6e250014,0x26c7185a,0xafe600a3,0x78ab0d62}},	//   _adhb, lono_, ионл, nigv, 
   {{0xe28e185b,0x7fd6005e,0xa3e9185c,0x7d050038}},	//   _да_, ріні, _मणि_, _aths, 
   {{0x91e5185d,0x26c7185e,0x539a00a7,0x2b400082}},	//   _коле, nono_, _בינו, vtic_, 
   {{0xb05b0844,0x26c700fd,0x5fd8009a,0x68e200f3}},	//   rlär, iono_, _ठरवल, ymod, 
   {{0x26c7185f,0xdd8f0c72,0x2b40002c,0x62831860}},	//   hono_, ذوق_, ttic_, _hono, 
   {{0x6f041861,0x26c71862,0x68e215f2,0x78ab02c9}},	// [f00] _utic, kono_, vmod, digv, 
   {{0x26c7012d,0x2b401863,0xa01b1864,0x62831865}},	//   jono_, rtic_, sköt, _jono, 
   {{0x2b401866,0xd83a011f,0x26c70093,0x8c4608a5}},	//   stic_, вэл_, dono_, _кене, 
   {{0x69ce0076,0xa01b1867,0x2d9514c1,0xb5fc00c3}},	//   _vybe, lkör, _ырыс, _maġe, 
   {{0x26c71868,0xbebb00e5,0x4733004f,0x15e802e6}},	//   fono_, rrëv, жніс, टेनर_, 
   {{0x62831869,0x68e2050f,0x69ce186a,0xafdb01e8}},	//   _nono, smod, _tybe, dføl, 
   {{0xa01b0219,0xa3e302e6,0x68e2186b,0x768f00fc}},	//   ljöe, फेस_, pmod, _gøym, 
   {{0xd706170f,0x2606051f,0x776900b4,0xfaa6186c}},	//   _взаи, _स्री_, _frex, _саҳо, 
   {{0x6283186d,0xf74900d4,0xa2c200a2,0x26c7186e}},	//   _bono, _مجله_, रकल्, bono_, 
   {{0x6283186f,0x26c71870,0xe5a600a3,0x20d902be}},	//   _cono, cono_, _кизи, déia_, 
   {{0x62831871,0xd48f1872,0x7c261873,0x99f70056}},	//   _dono, _др_, _odkr, יזיה_, 
   {{0xdcee012d,0x62830379,0x75d3009c,0xb97b00d1}},	//   mybė, _eono, _بيما, דנטי, 
   {{0x44261874,0x62831875,0xe3b2024f,0xbfa81876}},	//   _ido_, _fono, _برا_, атре_, 
   {{0x62831877,0x00000000,0x00000000,0x00000000}},	//   _gono, --, --, --, 
   {{0x44261878,0x57d302a2,0xdcee0009,0x6ca7012d}},	//   _kdo_, _तर्ह, nybė, араж, 
   {{0x30150165,0x26c71879,0x80d10086,0x27e0014b}},	//   _удир, zono_, _সংক্, žiny_, 
   {{0x60cd187a,0x26c7187b,0x6d480241,0x4426095a}},	// [f10] _ikam, yono_, çdar, _mdo_, 
   {{0x9967187c,0xdcee0009,0x3b0900ad,0x442602be}},	//   ител, kybė, rpaq_, _ldo_, 
   {{0xd366182b,0x161a006a,0x26c70141,0x442610d4}},	//   _که_, _नज़र_, vono_, _odo_, 
   {{0x77690496,0xa3cc017d,0x44260053,0xb4c0031e}},	//   _prex, _शुभ_, _ndo_, ंको_, 
   {{0x26c7187d,0x60cd187e,0x36d5187f,0xc7b9039f}},	//   tono_, _mkam, бодр, _idők_, 
   {{0xc9871880,0x44261881,0x6b8d1882,0x2bb40179}},	//   _куби, _ado_, myag, ंपरा, 
   {{0x09e5100b,0x99850084,0x1a6800c5,0x60cd1883}},	//   _প্রা, _الزو, _خیلی_, _okam, 
   {{0xa8a4013d,0x442600e5,0x26c71884,0xe459005b}},	//   _друк, _cdo_, sono_, ужи_, 
   {{0x6b8d1885,0x26c71886,0x44261887,0x78a91888}},	//   nyag, pono_, _ddo_, _imev, 
   {{0x60cd1889,0x44260414,0x81c200cc,0xafdb03a9}},	//   _akam, _edo_, ্ধন_, rføl, 
   {{0x6283188a,0xa01b02ae,0xb5a7188b,0xa202012d}},	//   _vono, vkör, _трай, япэд, 
   {{0x656e057f,0x6283188c,0x160b188d,0xafdb004f}},	//   _ábha, _wono, _स्तर_, pføl, 
   {{0x23290a43,0x628305f0,0xafdb01cc,0x80d10086}},	//   _соли_, _tono, lføj, _সংখ্, 
   {{0x629a188e,0xb05b0219,0x60cd0226,0x78bb02ae}},	//   chto, släp, _ekam, _ljuv, 
   {{0x7c960ca9,0x753c01c4,0x69a700b5,0xa01b188f}},	//   брац, _ärzt, _टेली, rkör, 
   {{0xa9240228,0x20d91890,0xdca31891,0xa01b1892}},	//   _úžit, péia_, паси, skör, 
   {{0xc9f600eb,0x09e50086,0xa01b0f71,0xbc1900f0}},	// [f20] مساع, _প্লা, pkör, рісі_, 
   {{0xe8101893,0x2bac009a,0x78a90548,0xa01b0c98}},	//   ार्थ_, _घेणा, _amev, lköp, 
   {{0x81c9100b,0x443d1894,0x997c0243,0x6b8d01b8}},	//   লের_, _ocw_, sāža_, ayag, 
   {{0xa01b014e,0x443d1895,0xdcee0009,0xe81a1896}},	//   nköp, _ncw_, vybė, ازات_, 
   {{0x20020df4,0x649c007a,0x26de0175,0xb8651897}},	//   icki_, _héig, _phto_, تالو, 
   {{0xa01b030f,0xdcee012d,0xb4c200b0,0x38600082}},	//   hköp, tybė, ृत्_, žir_, 
   {{0x25e31898,0x2bac009a,0xeae40d0d,0xdcfc0028}},	//   टेली_, _घेता, कगीत_, tyrę, 
   {{0x69dc06e0,0x44261899,0xdcee0009,0x8366189a}},	//   _izre, _qdo_, rybė, مدخل, 
   {{0x4426050a,0x57fb00fe,0x649c00eb,0xa01b0219}},	//   _vdo_, _תלמו, _léig, dköp, 
   {{0x60cd189b,0x6d5e189c,0x32180187,0xe810031e}},	//   _skam, _ospa, úry_, ारका_, 
   {{0x4426189d,0x637a00f0,0x672201dd,0xa055004f}},	//   _tdo_, _әсер_, lsoj, овні, 
   {{0x55770137,0x661a0e0f,0x629a189e,0x442602eb}},	//   _לעבן_, _hetk, shto, _udo_, 
   {{0xc8830218,0x7e2b012d,0x2d8c0453,0x09c5009a}},	//   _hişê_, ліва_, øden_, _वड्य, 
   {{0x69dc015e,0x2486023b,0xa19413cb,0x2002055f}},	//   _ozre, _hoom_, _малч, acki_, 
   {{0x248601c1,0x321e072b,0xdd94189f,0x6495007a}},	//   _koom_, maty_, пары, _máin, 
   {{0x60cd18a0,0x6b8d18a1,0x321e174b,0x672218a2}},	//   _ukam, tyag, laty_, ksoj, 
   {{0x6d5e18a3,0xfbd30133,0x69dc00e2,0x6f1600f8}},	// [f30] _espa, ستر_, _azre, _gwyc, 
   {{0x661a18a4,0xbebb024a,0x6b8d007c,0x321e18a5}},	//   _netk, rrës, ryag, naty_, 
   {{0x2bd50b79,0x6f160035,0x2907024a,0x7e990296}},	//   _दरका, _zwyc, ëna_, _منکر_, 
   {{0x2486023b,0x290701dd,0x66cd04f4,0xd7d50267}},	//   _noom_, īna_, júkr, ожењ, 
   {{0xf1cf0262,0x201b016a,0x41cf031e,0x321e18a6}},	//   _सुनन, _meqi_, _सुनस, katy_, 
   {{0x661a00d2,0xda7b012d,0x57a9009a,0x7bdd18a7}},	//   _cetk, _сям_, _कधीह, _izsu, 
   {{0x78bb0611,0x7d020032,0xe810009a,0x24860df7}},	//   _tjuv, _čosk, ारखा_, _boom_, 
   {{0x629803a9,0x6722006d,0x661a10de,0x44890e2c}},	//   _alvo, bsoj, _eetk, рбин_, 
   {{0x20d918a8,0x321e0180,0x254e00ad,0x64950038}},	//   téin_, faty_, _cəlb_, _fáin, 
   {{0x312518a9,0x52a900c8,0x81bd0033,0x114900d9}},	//   одог, рвом_, _আরব_, апой_, 
   {{0x2486006f,0x649c0354,0x6f1618aa,0x00000000}},	//   _foom_, _béid, _swyc, --, 
   {{0xa91107d5,0x649c007a,0x24860106,0x00000000}},	//   डीएफ_, _réig, _goom_, --, 
   {{0x661a096f,0x321e18ab,0x2d8512b7,0xa01b03d8}},	//   _yetk, baty_, älen_, rköp, 
   {{0x216918ac,0x644918ad,0xfc3f022c,0xddde00b3}},	//   _вики_, lfei, _ací_, _nopţ, 
   {{0x649c057f,0x71a518ae,0xed5a18af,0x6724003d}},	//   _féid, _файз, шов_, ġiji, 
   {{0x248618b0,0x2fc00201,0x644911a5,0x672400d2}},	//   _xoom_, _txig_, nfei, šiji, 
   {{0x6d5e00ab,0xbb4318b1,0x8b260080,0xbbb40110}},	// [f40] _wspa, метк, юдае, ंपेक, 
   {{0x649c00eb,0x1ae318b2,0x62810574,0x00000000}},	//   _téig, доум, njlo, --, 
   {{0x661a18b3,0xa01b0219,0xa96700fd,0x00000000}},	//   _retk, ljöa, жиха_, --, 
   {{0x661a18b4,0x50ca00ab,0x20ca031e,0x672200c8}},	//   _setk, रविष, रविध, tsoj, 
   {{0x661a0412,0x248600a7,0xe8e00023,0x67560491}},	//   _petk, _room_, hiệt_, تخار, 
   {{0x2a6302fe,0x248618b5,0x6b8b0219,0x649c02be}},	//   _gajb_, _soom_, ägge, _méie, 
   {{0xd49a18b6,0x248618b7,0x661a18b8,0x69dc01dd}},	//   ири_, _poom_, _vetk, _uzre, 
   {{0xb19800e7,0x734a00d9,0x672d18b9,0xe9d7004f}},	//   _ngưỡ, ачов_, šaja, _єкт_, 
   {{0x61ef0095,0x649c0038,0x68fc18ba,0x160b0fc0}},	//   əklə, _réid, _hurd, _स्वर_, 
   {{0x68fc18bb,0x386618bc,0x649500e1,0x00000000}},	//   _kurd, ldor_, _háil, --, 
   {{0xe45a02fb,0x2486023b,0x7f4418bd,0x321e18be}},	//   _вже_, _toom_, _aqiq, raty_, 
   {{0x386618bf,0x68fc18c0,0x290a02fe,0x92ca0086}},	//   ndor_, _murd, _mtba_, লগে_, 
   {{0x610100e0,0x91ca02e6,0x270c0033,0x321e18c1}},	//   _vēla, _सुरै, _হয়তো_, paty_, 
   {{0x81c90086,0x76580053,0x809f0035,0xbbb4009a}},	//   লেই_, nevy, खोजे, ंपैक, 
   {{0xbd6818c2,0x009500b3,0x00000000,0x00000000}},	//   орте_, _никэ, --, --, 
   {{0x90c4081b,0x321c0054,0x90e7009c,0x649502be}},	//   _обје, _hevy_, _بستن, _náil, 
   {{0x1eab00eb,0x7bc10035,0x386618c3,0xe0d00e0e}},	// [f50] _نادي_, _ślub, ddor_, _جزو_, 
   {{0x1b040033,0x68fc18c4,0x291803c6,0x229b009e}},	//   _লিখে_, _burd, _bwra_, _têke_, 
   {{0xad2700d4,0x27890161,0xa907015f,0xe9f8004f}},	//   _برخو, өрдү_, زبان, інці_, 
   {{0xe8f818c5,0x649500eb,0x68fc18c6,0xfe4300f6}},	//   ілі_, _cáil, _durd, _эмүү, 
   {{0xb9020081,0xcb4400ce,0x7d0200ef,0x6d4718c7}},	//   _नी_, _охри, _čosi, ltja, 
   {{0x7afd18c8,0x9662004e,0x8afa00d1,0x24670023}},	//   _iust, екше, _להשי, _ốm_, 
   {{0xceb40137,0x6d4718c9,0x855700d6,0x649500eb}},	//   ויס_, ntja, تیار_, _fáil, 
   {{0x7af50a9f,0x81c20033,0x00000000,0x00000000}},	//   _hizt, ্ধা_, --, --, 
   {{0x644918ca,0xe3b100eb,0x68fc123c,0x765818cb}},	//   rfei, عرب_, _zurd, bevy, 
   {{0x7afd18cc,0x644918cd,0x68fc18ce,0xe29902a6}},	//   _must, sfei, _yurd, сао_, 
   {{0x68fc0496,0xc6920225,0x76b20035,0x7af500b4}},	//   _xurd, _ראב_, słyc, _mizt, 
   {{0x7b090032,0x7af501cf,0x69d5021e,0x00000000}},	//   _kľud, _lizt, _myze, --, 
   {{0x7afd00e4,0xb4c900a2,0x3f8f003d,0xbf9b02aa}},	//   _nust, ोती_, _żgur_, scên, 
   {{0x91fc01dd,0x649c0534,0x249f0096,0x00000000}},	//   ndāl, _géib, lhum_, --, 
   {{0x7c96013d,0x649500eb,0xe7eb0fc0,0x00000000}},	//   прац, _láim, जेता_, --, 
   {{0x7afd18cf,0x249f00ce,0xa3e2007e,0x7af500e0}},	//   _bust, nhum_, _धरम_, _aizt, 
   {{0x7af518d0,0x7afd18d1,0x649c0354,0xdca318d2}},	// [f60] _bizt, _cust, _héic, хати, 
   {{0x5cf600b3,0x7afd18d3,0x00000000,0x00000000}},	//   _няму, _dust, --, --, 
   {{0x7afd01f1,0x68fc18d4,0x7af500b4,0xc6c600f0}},	//   _eust, _qurd, _dizt, үйек, 
   {{0x7afd18d5,0x20d218d6,0x68fc14a4,0x69d518d7}},	//   _fust, máis_, _vurd, _dyze, 
   {{0x7afd18d8,0x68fc02e7,0x672d0112,0x386618d9}},	//   _gust, _wurd, šajn, rdor_, 
   {{0x68fc18da,0x35d416b7,0x648e00a1,0x2d8703dd}},	//   _turd, молё, _lùit, _ànec_, 
   {{0x7afd18db,0x321c18dc,0x64950038,0x290a18dd}},	//   _zust, _revy_, _táil, _utba_, 
   {{0x2ca006e4,0x7de70019,0xf74618de,0x957c0035}},	//   nhid_, lésé, _небо, _rząd, 
   {{0x7afd09a1,0xa786189a,0x00000000,0x00000000}},	//   _xust, _عشرو, --, --, 
   {{0xa3d202f1,0xcb1300d1,0x61010243,0x7de7039f}},	//   моқч, עלת_, _cēlo, nésé, 
   {{0xa3cc0081,0xfbc40086,0x59be18df,0x648e01fd}},	//   _शुर_, ্ধিত, ्थिर, _bùit, 
   {{0x64a30009,0x7bc300b3,0x20d218e0,0x249f18e1}},	//   _паха, şnui, dáis_, chum_, 
   {{0xcb1b02e6,0x8143009c,0x7e650175,0x7de70175}},	//   _पौंड_, ونین, _pahp, késé, 
   {{0x6d4718e2,0x26ce0054,0x6f0f0326,0x7afb019c}},	//   ttja, nofo_, rpcc, _éuti, 
   {{0x71f70133,0x7de70019,0x7afd18e3,0x20d20369}},	//   _عروس_, désé, _sust, gáis_, 
   {{0x6d4718e4,0x628a18e5,0x768f004f,0x9f4001d6}},	//   rtja, _hofo, _høyt, _egiñ_, 
   {{0x6d4703f1,0xc6220086,0x20090369,0x7af501f1}},	// [f70] stja, _নানা_, _ifai_, _pizt, 
   {{0xbd020126,0x6d4718e6,0x26ce0054,0x8f9c00d1}},	//   ñéca, ptja, jofo_, _ליחי, 
   {{0xb5fc0405,0x628a18e7,0x20d218e8,0x2ca000a1}},	//   _paġn, _mofo, cáis_, bhid_, 
   {{0xddde1861,0x69d50187,0x2ca018e9,0x20d20038}},	//   _uopš, _vyze, chid_, láir_, 
   {{0xf74518ea,0x26ce06c2,0x7afd01a4,0x00000000}},	//   фело, fofo_, _uust, --, 
   {{0x628a18eb,0x20d200eb,0x64420068,0x768f017b}},	//   _nofo, náir_, _acoi, _nøyt, 
   {{0x249f0090,0x24e918ec,0x00000000,0x00000000}},	//   thum_, омки_, --, --, 
   {{0x9f650228,0x649500eb,0x130918ed,0xc21f00a5}},	//   _štýl_, _táim, оний_, _मजहब_, 
   {{0xf77f01b8,0x628a18ee,0x6f0d0199,0x80c90086}},	//   _çç_, _bofo, _ntac, রগঞ্, 
   {{0xd0480095,0x20d20369,0xe3b61193,0xaabf0ed5}},	//   əməy, yáis_, ьбы_, ्विक, 
   {{0x249f0574,0x648e01c5,0x610101dd,0x5bba00ae}},	//   phum_, _cùis, _vēlo, _इश्व, 
   {{0x644200eb,0x7de70019,0xe2f9004e,0xf4850116}},	//   _gcoi, zésé, _деді_, _تائی, 
   {{0xe3ae0845,0x628a18ef,0x10a318f0,0xa01b18f1}},	//   _рб_, _fofo, тиян, mjöl, 
   {{0x12fa00a7,0xa3e218f2,0x20d2060f,0x443f18f3}},	//   _והסב, _धरत_, táis_, lgu_, 
   {{0x2ca00014,0x9d43021f,0x443f05b5,0x768f004f}},	//   thid_, керд, ogu_, _høys, 
   {{0x443f18f4,0x2ca002cd,0x672904b3,0x20d200eb}},	//   ngu_, uhid_, _ovej, ráis_, 
   {{0x7de70019,0xaec618b2,0x236d055f,0x9f440088}},	// [f80] tésé, _обил, nvej_, ämä_, 
   {{0x2ca018f5,0xed5a18f6,0x6b8b0219,0x629d0034}},	//   shid_, _доо_, ägga, ësoh, 
   {{0x443f0938,0x610800bc,0xfe14031e,0xd7fa002e}},	//   kgu_, _těle, _त्यस_, оул_, 
   {{0x648e01f5,0x236d0566,0x00000000,0x00000000}},	//   _lùir, kvej_, --, --, 
   {{0x7c2418f7,0x2b4918f8,0x67290082,0xfbdf010c}},	//   mair, ctac_, _cvej, _ecêb_, 
   {{0x7c2418f9,0x64420084,0x443f18fa,0x2458001b}},	//   lair, _scoi, egu_, _ẩm_, 
   {{0x26ce0180,0xa01b008c,0x3d1200a2,0x645b18fb}},	//   rofo_, fjöl, धीचे_, feui, 
   {{0x7c2418fc,0x628a02f2,0x66df009e,0x443f18fd}},	//   nair, _sofo, rêka, ggu_, 
   {{0x648e01fd,0x63ad18fe,0x26ce045a,0x64420108}},	//   _bùir, _žanr, pofo_, _vcoi, 
   {{0x7c2418ff,0x628a00c3,0x648e0465,0x6f0d00a3}},	//   hair, _qofo, _cùir, _rtac, 
   {{0x3a371900,0x7c241901,0x60cf00d9,0x6f0d1902}},	//   ורים_, kair, tocm, _stac, 
   {{0x78a21903,0x628a019b,0x645b1904,0x9f3500f0}},	//   nhov, _wofo, ceui, немі, 
   {{0x7c241905,0xe2860c67,0x23e21223,0xb4ca0f8c}},	//   dair, _олди, _परिद, लकी_, 
   {{0x44241906,0x768f02fb,0x78a2059e,0x00000000}},	//   lam_, _høyr, hhov, --, 
   {{0x20c70a2b,0xa2cb072f,0x7c241907,0xa01b02ae}},	//   _осиг, सकर्, fair, ljöm, 
   {{0x44241908,0x64401909,0x7c240a92,0xa3e2190a}},	//   nam_, ngmi, gair, _धरा_, 
   {{0x3a750c67,0x4424190b,0x7b090032,0x6f0d190c}},	// [f90] нлар, iam_, _sľub, _utac, 
   {{0x5a34190d,0x2b49190e,0x81c90086,0xe7d200a5}},	//   кнут, rtac_, লেও_, _तड़प, 
   {{0x4424190f,0x6729090e,0x443f1910,0x38351911}},	//   kam_, _svej, ygu_, енер, 
   {{0x7c241912,0xe80a0f65,0xdbd9003e,0xd0f90070}},	//   cair, हुला_, _fæði, פּער, 
   {{0xfe70010e,0x00000000,0x00000000,0x00000000}},	//   _صدی_, --, --, --, 
   {{0x81c90086,0x45191913,0xa01b010e,0xb4c90299}},	//   লেট_, пция_, gköz, ोत्_, 
   {{0x44241914,0x645b1915,0xddde0035,0x32f60083}},	//   fam_, teui, _zapł, _płyn_, 
   {{0x78a208fc,0xfdf800a7,0x443f1916,0x69c7008a}},	//   chov, וצות_, ugu_, _ixje, 
   {{0x610100e0,0x254e0095,0x645b1917,0x00000000}},	//   _vēlm, _həll_, reui, --, 
   {{0x443f02bf,0x236d055f,0xf1bf0032,0x2d1f00a5}},	//   sgu_, rvej_, ášok_, _बबूल_, 
   {{0x236d055f,0xa06a1918,0x00000000,0x00000000}},	//   svej_, пана_, --, --, 
   {{0x7ea20379,0x20050035,0x236d02c9,0xd11b0299}},	//   _môpe, ślin_, pvej_, भीषण_, 
   {{0x442f1919,0x9f4c07fa,0x7c2400e0,0x47d10033}},	//   _idg_, _ölüm_, vair, _তৃতী, 
   {{0x78a2026e,0xade400c2,0xa3b80038,0xdbd901d5}},	//   zhov, _गरदन_, _تامر_, _ræði, 
   {{0x7c24191a,0xc69200fe,0x649c0354,0x69c700e5}},	//   tair, נאל_, _méin, _nxje, 
   {{0x23ce000d,0x649c00eb,0xa01b0019,0x442f191b}},	//   _हुँद, _léin, zköz, _jdg_, 
   {{0x7c24191c,0xfa3607cb,0x69cb027e,0x442f191d}},	// [fa0] rair, فراد, şgel, _mdg_, 
   {{0x7c24191e,0x4a43088a,0xd00f009c,0xa9a6191f}},	//   sair, лнув, _پلی_, низд, 
   {{0x442f1920,0xf2960070,0x7c241921,0x00000000}},	//   _odg_, עכער_, pair, --, 
   {{0xafdb155b,0x44241922,0xb05b0380,0x442f095a}},	//   mfør, xam_, mnäc, _ndg_, 
   {{0xa01b0019,0x78a21923,0x69c70126,0xafdb08bb}},	//   tköz, rhov, _exje, lfør, 
   {{0x44241924,0x78a21925,0x60c40082,0xfaff021e}},	//   wam_, shov, _ljim, _erës_, 
   {{0xb7bd002e,0x78a2014e,0x442f1926,0xafdb1927}},	//   _reţe, phov, _bdg_, nfør, 
   {{0x442f04fe,0xb4ca04b7,0x2a6a008a,0x18670176}},	//   _cdg_, लके_, _habb_, _паси_, 
   {{0xe7370676,0x64400077,0x98a31928,0x442f00b9}},	//   _пет_, rgmi, _сите, _ddg_, 
   {{0x44241929,0x649c00e1,0x929402a6,0xafdb00fc}},	//   sam_, _géin, таоц, kfør, 
   {{0x442f0aaf,0xa2a60fc0,0x648e00a1,0xd36f03dd}},	//   _fdg_, टोग्, _fùip, _өч_, 
   {{0x4424192a,0xafdb09a8,0x395814e2,0x442f03c6}},	//   qam_, dfør, _mprs_, _gdg_, 
   {{0x6108031e,0xa01b02ae,0x2d8c0f03,0xb5fc00c3}},	//   _děla, ljök, äden_, _raġj, 
   {{0x6234049b,0xd36f009c,0xd4910210,0x94b00249}},	//   _реку, _دهه_, _rùi_, _जगुआ, 
   {{0xafdb192b,0x6ee002ae,0xa3c60790,0x7c2f0027}},	//   gfør, möbl, _उखड_, _pdcr, 
   {{0x11db0056,0x629a192c,0x768f004f,0x225e012b}},	//   _מחוב, lkto, _løyp, letk_, 
   {{0x213e192d,0x6fb9004f,0x00000000,0x00000000}},	// [fb0] luth_, _ігор_, --, --, 
   {{0x629a192e,0x60dd098d,0xa9c70a84,0x2efa040b}},	//   nkto, llsm, нсек, _gipf_, 
   {{0x649c0107,0xdeb2004e,0xb8120033,0x2bd100bd}},	//   _réin, _тұры, _হয়ত_, _थुरा, 
   {{0xb4ca0351,0x4c95192f,0x89341930,0x66df009e}},	//   लको_, _римс, اعلا, têko, 
   {{0x36690978,0x649c0038,0x442f1931,0x00000000}},	//   дало_, _péin, _rdg_, --, 
   {{0x442f1932,0x6e2702c7,0xd1380009,0x629a039b}},	//   _sdg_, najb, krą_, jkto, 
   {{0x6abf1933,0x64a51934,0x5692122f,0x442f1935}},	//   ्वीर, кака, рајт, _pdg_, 
   {{0x629a1936,0x291101d6,0x25ba1937,0xd1381938}},	//   ekto, _itza_, úpla_, drą_, 
   {{0x03220ee9,0x290301b5,0xc482022c,0x27ff0574}},	//   адын, _huja_, рлык, _igun_, 
   {{0x29031939,0x60d602ae,0x649c007a,0x60c4040b}},	//   _kuja_, _skym, _héil, _sjim, 
   {{0xa0a603dc,0x10a600dd,0x2903021e,0xbbde00ae}},	//   ванд, винн, _juja_, _मर्क, 
   {{0x92c300cc,0x2efa00ef,0x442f193a,0x2903193b}},	//   ্ষে_, _sipf_, _udg_, _muja_, 
   {{0x6265193c,0x6f63012d,0x68fb1484,0x68e9193d}},	//   _авла, авяз, _miud, _mhed, 
   {{0x764311f7,0xed5a193e,0x68fb0009,0x200b02a3}},	//   ngny, мог_, _liud, acci_, 
   {{0x2a6a02f6,0x63a9193f,0x29031940,0x60c40118}},	//   _rabb_, lzen, _nuja_, _tjim, 
   {{0xafdb08bb,0x3958016c,0x6fb60038,0x6cc301ff}},	//   rfør, _rprs_, _لمعا, айса, 
   {{0x63a91941,0x1eca0176,0xafdb14a4,0xab27149f}},	// [fc0] nzen, _олии_, sfør, кота_, 
   {{0x68e91942,0x63a901c8,0x27ff011c,0xafdb004f}},	//   _ahed, izen, _agun_, pfør, 
   {{0x6cc61943,0x68e900a1,0x29030165,0x68fb0009}},	//   _айна, _bhed, _cuja_, _biud, 
   {{0x68fb1944,0x779400d4,0x649c0038,0x6f040548}},	//   _ciud, هیزا, _céil, _kuic, 
   {{0x68e3010c,0x63a901c8,0x649c0038,0x68e91945}},	//   înda, jzen, _déil, _dhed, 
   {{0x63a91946,0x27ff0414,0x6d4e040b,0x533400f0}},	//   dzen, _egun_, otba, ңейт, 
   {{0xd9e604d7,0x68461947,0x649c00eb,0x2d981948}},	//   _करित_, _инва, _féil, nyre_, 
   {{0x68fb0141,0x68e91949,0x7afc194a,0x3eb8007a}},	//   _giud, _ghed, _hirt, hirt_, 
   {{0x69dc014e,0x7afc194b,0xbebb0034,0x6d4e194c}},	//   _hyre, _kirt, rrëz, htba, 
   {{0x7afc00a4,0xd9e60a34,0xd1380009,0x6d4e194d}},	//   _jirt, _करात_, trą_, ktba, 
   {{0x2d980034,0x63a900b4,0x7afc194e,0x00000000}},	//   jyre_, azen, _mirt, --, 
   {{0x6f0400eb,0x213e006c,0x2366194f,0x69dc1950}},	//   _buic, ruth_, _tsoj_, _myre, 
   {{0x63a90da6,0x7afc0a75,0xb4be1951,0x6d4e064e}},	//   czen, _oirt, ँची_, etba, 
   {{0x3eb8010c,0x6f041952,0x717400d7,0xf77300df}},	//   girt_, _duic, _مهتا, בקש_, 
   {{0x5c071953,0x69dc0075,0xb5fc003d,0x6e270082}},	//   вяза, _nyre, _baġi, rajb, 
   {{0x7afc0084,0x3eb80094,0x672d00e0,0x2fc9006d}},	//   _airt, airt_, šaji, _txag_, 
   {{0x649c00eb,0x29031954,0x68e90156,0x7afc1955}},	// [fd0] _réil, _suja_, _rhed, _birt, 
   {{0x29031956,0x6abf0a34,0x68fb0809,0x64950038}},	//   _puja_, ्वेर, _siud, _háit, 
   {{0x68e91957,0xdd9503fd,0x2d8c01e8,0x69dc1958}},	//   _phed, _саны, ødet_, _cyre, 
   {{0x69dc1959,0xf8d100cc,0x7afc195a,0x08d4017b}},	//   _dyre, িষ্ঠ, _eirt, ація, 
   {{0xab84195b,0x68fb195c,0x6f040068,0x3a23195d}},	//   _курк, _viud, _xuic, _tejp_, 
   {{0xf770195e,0x64950084,0x4aa713ec,0x69dc03a9}},	//   غان_, _láit, _गतिव, _fyre, 
   {{0x68e9195f,0x20d91960,0xe82701a2,0x6fd502e6}},	//   _thed, néis_, _афзо, _युसू, 
   {{0x200500ab,0x63a91961,0x7d051962,0xe8940009}},	//   ślij_, tzen, _muhs, _кась, 
   {{0x638302f1,0x63a91963,0xe8941964,0x610802d9}},	//   рҳла, uzen, _тать, _bělo, 
   {{0x63a91965,0x45451966,0x42c603dd,0x6908010e}},	//   rzen, _منطق, лгын_, _ördö, 
   {{0x63a91967,0x20d90126,0x7f4d0036,0x386d059e}},	//   szen, jéis_, _aqaq, _kaer_, 
   {{0x20d91968,0x237507cf,0x7f4d008a,0x386d1969}},	//   déis_, _ماتح, _bqaq, _jaer_, 
   {{0x6f0400a7,0x386d196a,0x7bdd0175,0x7d0502be}},	//   _quic, _maer_, _nysu, _auhs, 
   {{0x2d9800e5,0x66e300a2,0x386d0876,0x6d4e196b}},	//   tyre_, गतिक_, _laer_, ttba, 
   {{0xada31428,0x5187196c,0x09be00cc,0x6da3196d}},	//   барл, _шуда, _অর্থ, бира, 
   {{0x7afc196e,0x7d05023e,0x09e20033,0x6f04196f}},	//   _sirt, _duhs, _বললা, _tuic, 
   {{0x2d9e020b,0x7afc1970,0x09be1971,0x3eb8024a}},	// [fe0] šte_, _pirt, ्थ्य, pirt_, 
   {{0x0e661972,0x649c00eb,0x20d91973,0x9a6a031b}},	//   _скон, _réim, béis_, عمال_, 
   {{0x20d90bf1,0x7afc1974,0xddde01dd,0x649c007a}},	//   céis_, _virt, _sapņ, _séim, 
   {{0x7afc1975,0x386d1976,0x20d90038,0x69dc1977}},	//   _wirt, _caer_, léir_, _vyre, 
   {{0x7afc1978,0x386d1979,0x3ce0004f,0x7c260243}},	//   _tirt, _daer_, mliv_, _iekr, 
   {{0x356a0161,0x7afc0038,0x20d90038,0x387f0175}},	//   ерин_, _uirt, néir_, _enur_, 
   {{0x2aa4006b,0x64950084,0x7c26105b,0x386d00f3}},	//   _több_, _náis, _kekr, _faer_, 
   {{0xa01b197a,0x386d017c,0x8334197b,0xb4de009a}},	//   ljöv, _gaer_, аних, णते_, 
   {{0x649500eb,0x5c370070,0x00000000,0x00000000}},	//   _ráit, ארפן_, --, --, 
   {{0x4154197c,0x59b80bb9,0x326604fb,0xa5da0038}},	//   авос, _आधार, утив, _كبار_, 
   {{0x6e2501f0,0x4ea703dc,0xdd1200ad,0x7c2610f3}},	//   _rehb, ҳрва, _rüşv, _oekr, 
   {{0x7c2602f5,0x93e600cf,0x629d024a,0x7d05197d}},	//   _nekr, _йўлл, ësor, _ruhs, 
   {{0xe29a00e4,0x44260054,0xe0df02a3,0x91fc01dd}},	//   _пад_, _ieo_, rlò_, edāt, 
   {{0x20d9197e,0x4426197f,0x4ea71980,0x7c2601cf}},	//   téis_, _heo_, урма, _aekr, 
   {{0x44261981,0x254e00ad,0x6e251982,0x00000000}},	//   _keo_, _bəli_, _vehb, --, 
   {{0x4426090b,0x649500eb,0x6e25008a,0x20d91983}},	//   _jeo_, _háir, _wehb, réis_, 
   {{0x7c261984,0x20d91985,0x2d8c055f,0x44260108}},	// [ff0] _dekr, séis_, øder_, _meo_, 
   {{0x44261986,0x20d91987,0x39a7049b,0x7bdd0098}},	//   _leo_, péis_, лшев, _vysu, 
   {{0x64950038,0x7c2601f2,0x386d00b9,0xb5fc01f2}},	//   _máir, _fekr, _paer_, _kaġu, 
   {{0x4426004c,0x7c2601a9,0xb4c0000d,0xddde031e}},	//   _neo_, _gekr, ूको_, _např, 
   {{0xd3660817,0xddd706d0,0x2ca900eb,0x97d81988}},	//   _به_, _yaxş, mhad_, льшу_, 
   {{0x9a871989,0xca4900d4,0xd1260195,0x6495007a}},	//   _сумл, _جلسه_, _وم_, _náir, 
   {{0x4426198a,0x1ddb07d5,0x7c260216,0x35a5198b}},	//   _beo_, _मुमत, _yekr, райг, 
   {{0x4426015c,0xa4230033,0xf1cf198c,0x387f198d}},	//   _ceo_, ফল্য_, _सुगन, _unur_, 
   {{0x4426198e,0xd05d0095,0x730505b2,0x6495007a}},	//   _deo_, _üzər, јпоз, _báir, 
   {{0x649500e1,0x4426198f,0xe2990267,0x7eab0502}},	//   _páis, _eeo_, тао_, _hüpf, 
   {{0x00860b46,0x44261990,0x91e51991,0x332d1992}},	//   ално, _feo_, роне, ssex_, 
   {{0x672d1993,0x44261994,0x64950183,0x93590701}},	//   šaju, _geo_, _váis, _арку_, 
   {{0x81bd00cc,0x249f1995,0x20d9007a,0x248d00ca}},	//   _আরও_, mkum_, téir_, mjem_, 
   {{0xe2961996,0x249f1997,0x64950038,0x03a201a2}},	//   _ваш_, lkum_, _gáir, _фишо, 
   {{0x4426084c,0x20d900eb,0x3ce01950,0xb60600da}},	//   _yeo_, réir_, tliv_, _uváž, 
   {{0x44261998,0x64ba0405,0x2ca91999,0x249f003e}},	//   _xeo_, nċip, ghad_, nkum_, 
  
   {{0x3b07199a,0x644b199b,0x3b8602f1,0x2d8512b7}},	// [1000] ието_, _mcgi, шлаг, äler_, 
   {{0x3ce0199c,0x248d01e8,0x249f199d,0x3f8f02be}},	//   sliv_, hjem_, hkum_, _àgua_, 
   {{0x249f003e,0x7c2601f0,0x6459199e,0x186a1853}},	//   kkum_, _tekr, _obwi, кажи_, 
   {{0x315600c7,0x6d5e003d,0x2ca90014,0x248d0405}},	//   ייען_, _ippa, chad_, jjem_, 
   {{0x4426199f,0x91fc00e0,0x00000000,0x00000000}},	//   _reo_, ndār, --, --, 
   {{0x442619a0,0x645919a1,0xfaa6065b,0x1dbc02e6}},	//   _seo_, _abwi, _таго, ोपपत, 
   {{0x442619a2,0x26c00372,0xfc3f020b,0x00000000}},	//   _peo_, đio_, _ulíc_, --, 
   {{0xd766006b,0x44260415,0x2ca019a3,0x248d021e}},	//   _پارٹ, _qeo_, nkid_, gjem_, 
   {{0x442619a4,0x64950084,0xb5fc003d,0xf2c601a2}},	//   _veo_, _páir, _raġu, исон, 
   {{0x6d5e19a5,0x68e219a6,0x66e619a7,0xd257017b}},	//   _oppa, llod, _тоза, ацю_, 
   {{0x44260489,0x64a619a8,0x691300a4,0x6ecd00bd}},	//   _teo_, _кажа, _għed, _सदबु, 
   {{0xd83f0356,0x644b012b,0xd130010e,0x00000000}},	//   _účtu_, _gcgi, _ہمت_, --, 
   {{0x64950084,0x6d5e19a9,0xb05b0080,0x58f70147}},	//   _táir, _appa, snäo, ימטע_, 
   {{0x68e20149,0xd0650095,0x291a016a,0x539b00d1}},	//   hlod, _əsər, kppa_, _בידו, 
   {{0x3cf300a2,0xfc3f0126,0x2ca901c5,0x611300b3}},	//   ंगले_, _alía_, thad_, _căld, 
   {{0x20d20183,0x76b20083,0x0ca819aa,0xbd44007a}},	//   záiz_, pływ, атуи_, تنفي, 
   {{0x2ca919ab,0x5a3519ac,0x90a70019,0xb603014b}},	// [1010] rhad_, йнат, _محکم, áško, 
   {{0x66df0218,0xda780088,0x9b5801a2,0x2ca919ad}},	//   pêki, иях_, рифт_, shad_, 
   {{0xceb20138,0x83fd0019,0x249f19ae,0xfc3f0126}},	//   _זיי_, ndőr, ykum_, _elía_, 
   {{0x68e219af,0x00000000,0x00000000,0x00000000}},	//   glod, --, --, --, 
   {{0x7c2d19b0,0x69ce0d07,0x291a19b1,0xa01b02ae}},	//   maar, _exbe, appa_, ljös, 
   {{0x7c2d19b2,0xe5a51427,0x7b3d107c,0x00000000}},	//   laar, йили, _căuş, --, 
   {{0x248d008b,0xd57501f7,0x6d9e007b,0x637209c7}},	//   tjem_, суль, _għaġ, yınç, 
   {{0x7c2d19b3,0xc48519b4,0x6495007a,0x250a009c}},	//   naar, слик, _cáip, دروی_, 
   {{0xf773040f,0x248d19b5,0x657a02bf,0x249f19b6}},	//   _باز_, rjem_, _erth, rkum_, 
   {{0x249f19b7,0xd5bb00b3,0x777b00b4,0x00000000}},	//   skum_, _исе_, _irux, --, 
   {{0x7c2d19b8,0x6f1619b9,0x00000000,0x00000000}},	//   kaar, _styc, --, --, 
   {{0x7c2d19ba,0x645919bb,0x6f1600b4,0x00000000}},	//   jaar, _ubwi, _ptyc, --, 
   {{0x527304c5,0x7fd6005e,0x442d19bc,0xe28e049b}},	//   _ҳуқу, сіні, mae_, _еа_, 
   {{0x442d19bd,0x644919be,0xc7d6008d,0xd8390118}},	//   lae_, lgei, מורי_, _blōk_, 
   {{0x0d9908ad,0xf1cf0662,0x628319bf,0x7c2d19c0}},	//   атты_, _सुचन, _inno, faar, 
   {{0x7c2d19c1,0x644919c2,0xdd8f143f,0x442d0548}},	//   gaar, ngei, روق_, nae_, 
   {{0x09b500cc,0x2ca000e2,0x442d0183,0xbebb00e5}},	// [1020] _জুলা, rkid_, iae_, rsër, 
   {{0x442d19c3,0xe3a7006b,0x2ca019c4,0xe7db00aa}},	//   hae_, _ہر_, skid_, _बड़प, 
   {{0x7c2d12f4,0x442d19c5,0x9e7b00c7,0x6d5e19c6}},	//   baar, kae_, _ענטפ, _uppa, 
   {{0x6c8619c7,0x6e2e19c8,0x777b19c9,0xe3a70e61}},	//   _الحم, labb, _brux, _فر_, 
   {{0x62830511,0xb8d004cc,0xddd502d9,0x66e603e8}},	//   _onno, _ओत_, dezř, бода, 
   {{0xcd29086b,0x569303dc,0x6e2e19ca,0xa01b0219}},	//   _حسین_, зашт, nabb, njör, 
   {{0x64950038,0x2b4019cb,0xb9960038,0x7ea20054}},	//   _páip, lric_, _الزب, _rôpl, 
   {{0x628319cc,0x6e2e19cd,0x5fc8031e,0x290a012b}},	//   _anno, habb, रपाल, _iuba_, 
   {{0xdc9b0137,0x213e02bf,0x78a2014b,0x657a0156}},	//   טיקל, wrth_, mkov, _wrth, 
   {{0x290a1575,0x78a219ce,0x02c502f1,0x6e2e19cf}},	//   _kuba_, lkov, оқчи_, jabb, 
   {{0xd48f19d0,0x290a0077,0x442d0268,0x867b00a7}},	//   _ер_, _juba_, bae_, _תרבו, 
   {{0x7d1c014b,0x628301a3,0x232a19d1,0x2fc619d2}},	//   dprs, _enno, _боди_, _žoga_, 
   {{0x7c2d19d3,0x2bd80ede,0x439419d4,0x6e2e19d5}},	//   vaar, _भुला, _фалс, fabb, 
   {{0x291819d6,0x7c2d16af,0xae14051f,0x6e2e19d7}},	//   _otra_, waar, तुलन_, gabb, 
   {{0x7c2d19d8,0x6ca719d9,0x8af006d0,0xb05b0088}},	//   taar, браж, ktəb, nnäk, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x7c2d19da,0x78a2026e,0x291819db,0x6e2e19dc}},	// [1030] raar, dkov, _atra_, babb, 
   {{0x7c2d19dd,0xff500038,0x442d19de,0x290a19df}},	//   saar, _أخي_, zae_, _buba_, 
   {{0x290a19e0,0x7c2d19e1,0x78a219e2,0x291806a5}},	//   _cuba_, paar, fkov, _ctra_, 
   {{0x6d4719e3,0xec6b170f,0x290a0474,0xfc3f02d9}},	//   muja, _срок_, _duba_, _zlín_, 
   {{0x6d550414,0x442d025b,0x660519e4,0x6d4719e5}},	//   ltza, vae_, опла, luja, 
   {{0x442d19e6,0x290719e7,0x2bc6031e,0x6d5519e8}},	//   wae_, ínas_, लपरा, otza, 
   {{0x6d550414,0x6d47008b,0x290a19e9,0x78a2014b}},	//   ntza, nuja, _guba_, bkov, 
   {{0x6e2e19ea,0x78a219eb,0x6d550a9f,0x67d519ec}},	//   zabb, ckov, itza, _добу, 
   {{0x442d19ed,0x6d4719ee,0x9868006b,0x78a90379}},	//   rae_, huja, _دینے_, _ilev, 
   {{0xadf9000f,0x27ed0a9f,0x644919ef,0x60cd19f0}},	//   ंधान_, _izen_, sgei, _ajam, 
   {{0x6e2e19f1,0x208a19f2,0x6113020f,0x71b50080}},	//   vabb, айни_, _sălb, ющих, 
   {{0x25d607f5,0x6d470187,0x3eba016a,0x50b601fc}},	//   _ווען_, duja, _smpt_, існу, 
   {{0x78a919f3,0x6e2e19f4,0x60cd19f5,0xa85600d1}},	//   _mlev, tabb, _djam, חירה_, 
   {{0x78a919f6,0x78a2026e,0x6113020f,0x6b8d00b4}},	//   _llev, zkov, _călc, dxag, 
   {{0x78a906d6,0xde0302fb,0x6e2e19f7,0xfc3f0183}},	//   _olev, дпри, rabb, _clío_, 
   {{0x290a19f8,0x8b260cf8,0x6e2e010e,0x2b4019f9}},	//   _ruba_, ждае, sabb, tric_, 
   {{0x78a219fa,0x290a19fb,0x3eba1415,0x7eab01f0}},	// [1040] vkov, _suba_, _tmpt_, _süpe, 
   {{0xa01b0219,0x61e3003e,0x78bb19fc,0x29180175}},	//   ljöp, _kynl, _amuv, _ptra_, 
   {{0x78a21194,0x78a90022,0x386619fd,0x2d78034c}},	//   tkov, _blev, teor_, _uče_, 
   {{0x290a0199,0x80370070,0x588303a1,0xb7e619fe}},	//   _vuba_, ַנצע_, дыша, ожек, 
   {{0x78a21194,0x61e302c9,0x8af000ad,0x236f018e}},	//   rkov, _lynl, rtəb, _nsgj_, 
   {{0x290a19ff,0x7b0903f9,0x649c00eb,0x65610175}},	//   _tuba_, _džud, _léit, _bplh, 
   {{0x98a61a00,0x78a21a01,0x27ed1a02,0x78a91a03}},	//   _диве, pkov, _ezen_, _flev, 
   {{0xf74603dc,0x32070379,0x74a900f0,0x78a900f6}},	//   _мебо, _agny_, йсың_, _glev, 
   {{0xccf302a1,0xf366004f,0x00000000,0x00000000}},	//   וכה_, ітин, --, --, 
   {{0x2904018e,0x60cd1a04,0xc1780028,0x78a902d9}},	//   _hima_, _sjam, tvė_, _zlev, 
   {{0x61e302f0,0x29041a05,0x52aa0790,0x649c007a}},	//   _cynl, _kima_, _छतीस, _béit, 
   {{0x29041a06,0x649c0354,0x61e303c6,0x00000000}},	//   _jima_, _céit, _dynl, --, 
   {{0x24861a07,0x29041a08,0x78fb027a,0x7e670144}},	//   _inom_, _mima_, יפטו, tejp, 
   {{0x26dc034c,0x6d471a09,0x6f1d01d2,0x00000000}},	//   novo_, tuja, rpsc, --, 
   {{0xdcbb1a0a,0x61e30156,0x361b0070,0x60cd084c}},	//   аща_, _gynl, שולד, _tjam, 
   {{0x5b1513d5,0x29041a0b,0x62981a0c,0x6d5502ba}},	//   змат, _nima_, _hovo, rtza, 
   {{0x629817cb,0x24860062,0x63a00ed0,0x6d551a0d}},	// [1050] _kovo, _mnom_, nymn, stza, 
   {{0x78a9000d,0x78bb0097,0x60dd1a0e,0xd3080023}},	//   _slev, _smuv, losm, _nệm_, 
   {{0x248604d1,0x29041a0f,0x89d900eb,0x26dc1a10}},	//   _onom_, _bima_, حوار_, dovo_, 
   {{0xf771057f,0x29040ec6,0x6f0d0010,0x62981a11}},	//   فات_, _cima_, _kuac, _lovo, 
   {{0x7c220503,0xf21b0035,0x78a902d9,0x0a6b0267}},	//   ñore, पुड़_, _vlev, _крви_, 
   {{0xd6db1a12,0x24861a13,0x6f0d00e7,0x29041a14}},	//   ште_, _anom_, _muac, _eima_, 
   {{0x6f0d009f,0x78a900ef,0x95cb01a2,0xa954004f}},	//   _luac, _tlev, шуда_, _окрі, 
   {{0x78bb0199,0x78a91a15,0x29040036,0x27ed01ca}},	//   _umuv, _ulev, _gima_, _tzen_, 
   {{0x6f0d0084,0x649c00eb,0x61e30310,0xf7700189}},	//   _nuac, _réit, _synl, _لال_, 
   {{0xd2a90088,0x649c0afb,0x62981a16,0x2486009c}},	//   ское_, _béis, _covo, _enom_, 
   {{0x62981a17,0x21691a18,0x2b490126,0x672900c3}},	//   _dovo, щини_, huac_, _hwej, 
   {{0x20090068,0x67291a19,0x6f0d161c,0x92cb0086}},	//   _cgai_, _kwej, _buac, লতে_, 
   {{0x61fe0076,0x7ea21606,0x2d850c17,0x09b80c73}},	//   _úpln, _hôpi, ålen_, _आध्य, 
   {{0x6f0d0348,0xe3b00a24,0x59bd00e6,0x523900c7}},	//   _duac, _جرم_, ्पार, _הײַנ, 
   {{0xb7bd00d9,0xf3f900d9,0x10a61a1a,0x91e21a1b}},	//   _deţi, deţi_, _никн, _поше, 
   {{0x649c00eb,0x6ab400a5,0x5f761a1c,0xac0a019c}},	//   _héir, ंफ्र, _فاخر, снаа_, 
   {{0x6b631a1d,0x69c30068,0x62980532,0x00000000}},	// [1060] нкта, únen, _yovo, --, 
   {{0x6d410084,0x2cab01e5,0x0f7b0225,0x29041a1e}},	//   álac, _elcd_, _פריל, _sima_, 
   {{0xfe9b00c7,0x5886013e,0x29041a1f,0x5e9b00d1}},	//   _היימ, зыла, _pima_, _הביק, 
   {{0x649c0084,0xe96a01a2,0x67291a20,0xa2bb1a21}},	//   _léir, _қабл_, _bwej, षोत्, 
   {{0x7c24047a,0x66e61a22,0xc7a30398,0x7eab01a4}},	//   mbir, пода, ницк, _hüpa, 
   {{0x7c240626,0xb603014b,0xf3f900d9,0x672900c3}},	//   lbir, _otáč, ceţi_, _dwej, 
   {{0x2904003a,0x6298015e,0x7d061a23,0x00000000}},	//   _tima_, _rovo, _kiks, --, 
   {{0x26dc0571,0x7c241a24,0x649c0387,0x6298056f}},	//   sovo_, nbir, _réis, _sovo, 
   {{0x62981a25,0x7d061a26,0xe6460d27,0xf7431a27}},	//   _povo, _miks, _неап, _пето, 
   {{0x2cfa051f,0x7d061a28,0x649c1a29,0x0bb700d1}},	//   ्दुल_, _liks, _céir, פלים_, 
   {{0xb7bd00d9,0x62980180,0x649c00e1,0x00000000}},	//   _reţi, _vovo, _déir, --, 
   {{0x7d061a2a,0x62981a2b,0x24860495,0x75d30038}},	//   _niks, _wovo, _unom_, _ثيما, 
   {{0x7c241a2c,0x62981a2d,0xdfdb0093,0x6f0d1502}},	//   dbir, _tovo, сън_, _quac, 
   {{0xd24f00b1,0x7c2402a5,0xdb230019,0x649c00e1}},	//   _منه_, ebir, ہوری, _géir, 
   {{0x7d060243,0x51861a2e,0xa2d908dd,0xf3f90474}},	//   _biks, _хула, नकर्, veţi_, 
   {{0x7c241a2f,0x6f0d1a30,0x2a7f0241,0x4c941a31}},	//   gbir, _tuac, _şub_, нисс, 
   {{0x2d8c1a32,0x3a7500cf,0x7d061a33,0xf3f9002e}},	// [1070] äder_, млар, _diks, teţi_, 
   {{0x0dcb1a34,0xa5771a35,0x7c2401a3,0x67291a36}},	//   _гуми_, ščić, abir, _rwej, 
   {{0x7c241a37,0xa9071a38,0xf3f9020f,0xa3de0110}},	//   bbir, سبان, reţi_, _दुस_, 
   {{0xe9f8004f,0x7ea20054,0x6ef202c9,0x58d40176}},	//   їнці_, _rôpi, ræbe, нохт, 
   {{0x3b640021,0x691300a4,0x2d571a39,0xf3f90474}},	//   _първ, _għen, lçe_, peţi_, 
   {{0x6447012d,0x451909fd,0x00000000,0x00000000}},	//   ėjim, оция_, --, --, 
   {{0x672400e0,0x2d571a3a,0x7c2f1a3b,0x00000000}},	//   ģija, nçe_, _kecr, --, 
   {{0xc95200a7,0x8af00248,0x6729052b,0x00000000}},	//   _שמן_, ntən, _twej, --, 
   {{0x2d5701f0,0x649c007a,0x7eb00080,0xb60300da}},	//   hçe_, _péir, _häpe, _stáč, 
   {{0x2d57027e,0x21a51a3c,0x99910604,0x957c0083}},	//   kçe_, диом, _zdzš_, _cząs, 
   {{0x3ce90300,0x904600d4,0xa06a00b3,0x00000000}},	//   klav_, ونده, оана_, --, 
   {{0xcea9162e,0x7c241a3d,0xb603020b,0xa8790070}},	//   _די_, xbir, _vtáč, קאָר, 
   {{0x7d061a3e,0x7c24009e,0x5f270176,0x00000000}},	//   _riks, vbir, моям_, --, 
   {{0x7d061a3f,0x442f1a40,0xc332027a,0x1d0a1a41}},	//   _siks, _heg_, _יוד_, жеви_, 
   {{0xfce61a42,0x7d0600c5,0x38600532,0x8af00248}},	//   дово, _piks, ŵiri_, ftən, 
   {{0x442f1a43,0x3ce91a44,0x2cfa0790,0x7c2f1a45}},	//   _jeg_, glav_, ्देल_, _cecr, 
   {{0x442f1a46,0x7c241a47,0x0c26004e,0x7c2f1a48}},	// [1080] _meg_, rbir, змұн, _decr, 
   {{0xa9a602f1,0x7c2411a9,0x7d0603a0,0x4a4303b7}},	//   мизд, sbir, _wiks, кнув, 
   {{0xa96a03b1,0x7d061a49,0xd910009c,0x00000000}},	//   تمام_, _tiks, ایر_, --, 
   {{0x442f06df,0x53ad0586,0x7c2f1a4a,0x3ce91a4b}},	//   _neg_, टनाश, _gecr, clav_, 
   {{0xd7f71a4c,0x69d51a4d,0xafdb0566,0x291c0528}},	//   муш_, _exze, lgør, ūva_, 
   {{0x442f0077,0xd7f9017b,0x64d61a4e,0x7c2f02a5}},	//   _aeg_, чує_, डक्श, _zecr, 
   {{0x442f1a4f,0xafdb0c85,0x443d008a,0x98560283}},	//   _beg_, ngør, _bdw_, _оташ, 
   {{0x442f006f,0xb05b0080,0x00000000,0x00000000}},	//   _ceg_, nnät, --, --, 
   {{0x442f1a50,0xfc3f003e,0x443d0090,0xd7080033}},	//   _deg_, _slík_, _ddw_, রীড়া_, 
   {{0x3958006d,0x6722011f,0x00000000,0x00000000}},	//   _kqrs_, mpoj, --, --, 
   {{0x6722002a,0x44240065,0x442f03c5,0x691301f2}},	//   lpoj, pbm_, _feg_, _nħel, 
   {{0x3f861a51,0x3cfa0035,0x2d57009e,0x2a78011c}},	//   _šoua_, ्दों_, vçe_, _larb_, 
   {{0xceeb17ba,0x5f941a52,0x7c2f1a53,0x26ce01d8}},	//   قرآن_, вият, _recr, onfo_, 
   {{0x442f012e,0x7c2f1a54,0x2d570241,0x2d810604}},	//   _zeg_, _secr, tçe_, _prhe_, 
   {{0x26ce1a55,0x9d180978,0xafdb055f,0x443d00f8}},	//   info_, дост_, ggør, _ydw_, 
   {{0x9f5500dd,0x2d571a56,0x2cb20156,0xec681a57}},	//   _звич, rçe_, ghyd_, мрук_, 
   {{0x7c220634,0x7c2f01dd,0xd1380028,0x7e77015c}},	// [1090] ñora, _vecr, lsą_, _taxp, 
   {{0x2d5704a8,0x8af00248,0xe9ab007a,0x48be0033}},	//   pçe_, stən, يدان_, ইকোর, 
   {{0x7c2f0908,0x2a781a58,0x3d250118,0x6913007b}},	//   _tecr, _darb_, _dèwò_, _għel, 
   {{0x2cb202bf,0x628a012b,0x2019010e,0x2a7800a1}},	//   chyd_, _lnfo, ncsi_, _earb_, 
   {{0x442f1a59,0xb8d70262,0x2366023b,0xe76b0071}},	//   _reg_, _छत_, _npoj_, تحان_, 
   {{0x442f0b0c,0x99670995,0xd1380028,0xddd5010e}},	//   _seg_, _отбл, ksą_, lező, 
   {{0x26c901b4,0xb05b17f8,0x00000000,0x00000000}},	//   đao_, nnäs, --, --, 
   {{0x628a1a5a,0x2ca902ae,0x66e50216,0x00000000}},	//   _anfo, nkad_, _bîkî, --, 
   {{0x442f1a5b,0xe3b10038,0x29110027,0x05df00c2}},	//   _veg_, طرة_, _huza_, _पुरब, 
   {{0x442f1a5c,0x291102b8,0x312505e6,0x75380175}},	//   _weg_, _kuza_, ндог, bsvz, 
   {{0x442f1a5d,0x2a630065,0x2f140219,0xc87906a2}},	//   _teg_, _mbjb_, _säg_, _kaş_, 
   {{0x8cc100aa,0x6e3e00ef,0x628a1a5e,0x442f00b9}},	//   रोमो, _sdpb, _enfo, _ueg_, 
   {{0xc00000cc,0xe3ae1a5f,0x6d411a60,0x2ca907fc}},	//   ূর্ণ_, _сб_, álan, dkad_, 
   {{0x539a1a61,0x2f14022b,0xafdb02c9,0xc8790218}},	//   _מינו, _väg_, tgør, _laş_, 
   {{0x2174004e,0x98a700bc,0x2911016c,0x9f6302d9}},	//   _ауыр, éně_, _nuza_, ěvák_, 
   {{0xfce60a43,0xfce30082,0xfe780028,0xde030176}},	//   хобо, госо, žį_, упси, 
   {{0xbb431a62,0xcb671a63,0x60c61a64,0x60d700d1}},	// [10a0] летк, нате_, mikm, _רופא_, 
   {{0xd9bd00aa,0x691300c3,0x60c61a65,0x29111a66}},	//   ्पूट, _iħej, likm, _buza_, 
   {{0xc8791a67,0xdca61a68,0xc8661a69,0x98a60c19}},	//   _baş_, _зани, етли, ниже, 
   {{0x60c60730,0x2ca9014e,0x6d4e1a6a,0x48be0033}},	//   nikm, ckad_, muba, ইক্র, 
   {{0x6d4e1a6b,0xb05b1a6c,0x7c361a6d,0xc87900ad}},	//   luba, onär, mayr, _daş_, 
   {{0x26ce1a6e,0x7e7c02fe,0xb05b1a6f,0x691300c3}},	//   unfo_, ndrp, nnär, _mħej, 
   {{0x23660588,0x2911090e,0x3ab300f0,0x550600b3}},	//   _spoj_, _guza_, _сәтт, нчиа, 
   {{0x6d5c1a70,0x672200c8,0x39470183,0xb05b0502}},	//   itra, ppoj, ánse_, hnär, 
   {{0x6d4e1a71,0x29111a72,0x68e200b0,0x6913008a}},	//   huba, _zuza_, mood, _nħej, 
   {{0x6d4e1a73,0x8af00095,0x66e90218,0x68e21a74}},	//   kuba, xtəl, rêkê, lood, 
   {{0xe3af040f,0x6d5c044e,0xc87903c0,0x6d4e1a75}},	//   لری_, jtra, _yaş_, juba, 
   {{0xe61f0029,0x6d5c1a76,0x68e21a77,0xd1380009}},	//   _đôi_, dtra, nood, rsą_, 
   {{0xb4be1a78,0xdefb0088,0x82a61a79,0x6d5c0c53}},	//   ुची_, зыв_, _падж, etra, 
   {{0x6d5c1a7a,0xbb1b010c,0x628a00d1,0xe2970726}},	//   ftra, _brîn, _unfo, _пач_, 
   {{0x6d5c1a7b,0x6d4e1a7c,0x6e351a7d,0xc27b00a7}},	//   gtra, guba, razb, _מרגי, 
   {{0xdef80405,0x8af00095,0x67200372,0x29111a7e}},	//   ċċa_, stəl, _otmj, _ruza_, 
   {{0x68e21a7f,0x29110062,0x6d5c1a80,0x2ca91a81}},	// [10b0] dood, _suza_, atra, rkad_, 
   {{0x6d4e1a82,0x2ca91a83,0x6b7400d3,0x9b44009c}},	//   buba, skad_, ылуу, انلو, 
   {{0xc9841a84,0x7c361a85,0xc8790218,0x6720011c}},	//   луци, bayr, _paş_, _atmj, 
   {{0xcd9600d1,0x61ea0118,0x7afe0ff2,0x00000000}},	//   _סדרת_, _myfl, ampt, --, 
   {{0x4c9a042c,0xd763009c,0xe6950080,0x00000000}},	//   _חברו, انتی, киды, --, 
   {{0xc7a21a86,0xc66802a6,0x64460313,0x29111a87}},	//   ришк, ешће_, ókin, _tuza_, 
   {{0xc879027e,0x68e208b0,0x20e109ec,0xd57506b3}},	//   _taş_, bood, नवाध, туль, 
   {{0xc48500a3,0x00000000,0x00000000,0x00000000}},	//   тлик, --, --, --, 
   {{0xa3de0262,0x6d4e1a88,0x77550cf8,0x67d41a89}},	//   _दुआ_, zuba, _шкаф, _боту, 
   {{0x6d4e1a8a,0xd7f30259,0x8cc10083,0x00000000}},	//   yuba, _азғы, रोतो, --, 
   {{0x26c71a8b,0x61ea02f0,0x60c61a8c,0x7c360102}},	//   mino_, _cyfl, tikm, yayr, 
   {{0xf485006b,0x6d5c1a8d,0x2b491a8e,0x3cf9040b}},	//   _جائی, vtra, krac_, _nhsv_, 
   {{0x7fd6005e,0x3f84031e,0xb05b0219,0x6d5c193d}},	//   тіні, ímu_, tnär, wtra, 
   {{0x6d5c1a8f,0x26c71a90,0x2b491a91,0x6d4e1a92}},	//   ttra, nino_, drac_, tuba, 
   {{0xed571a93,0x61ea02bf,0xb05b02ae,0x00000000}},	//   кор_, _gyfl, rnär, --, 
   {{0x6d4e1a94,0x26c71a95,0x6d5c1a96,0xf8db0299}},	//   ruba, hino_, rtra, यकोप, 
   {{0x26c71a97,0x6d4e1a98,0x387d00f8,0x8af000ad}},	// [10c0] kino_, suba, ddwr_, stəm, 
   {{0x26c71a99,0x7c360626,0x0f370070,0x00000000}},	//   jino_, sayr, _שריט_, --, 
   {{0xa3de000d,0x68e21a9a,0x3864084c,0xda650038}},	//   _दुई_, tood, _pbmr_, طالي, 
   {{0xd3080023,0xd9430e8f,0xca66040c,0xdca61a9b}},	//   _hệt_, реци, _etkа, _рами, 
   {{0x60c41a9c,0x00000000,0x00000000,0x00000000}},	//   _mmim, --, --, --, 
   {{0x26c713c6,0x65680065,0x68e21a9d,0xb05b0a1b}},	//   gino_, _ppdh, sood, hnäp, 
   {{0xceb30056,0xd30800e7,0xd5af0195,0xd04800ad}},	//   שיו_, _mệt_, يفه_, şməy, 
   {{0x98a31a9e,0xb4be10ae,0x00000000,0x00000000}},	//   _кисе, ुचे_, --, --, 
   {{0x26c71a9f,0x6ef202c9,0x98a31aa0,0xd4670bad}},	//   bino_, væbn, _тите, тиње_, 
   {{0x26c71aa1,0x60c40054,0x5f950176,0x00000000}},	//   cino_, _amim, ҳимт, --, 
   {{0x40351aa2,0xa3e702e6,0x3a3700d1,0x78a01aa3}},	//   ленс, _मुठ_, כרים_, _komv, 
   {{0x30a71aa4,0x93461aa5,0x6abf0586,0x03c5004e}},	//   тров, _анде, _एग्र, _өсім, 
   {{0x2d8c0c29,0x78a00532,0x644201cf,0x2d9e1aa6}},	//   åden_, _momv, _idoi, äten_, 
   {{0x41dd143e,0x60c401a3,0x00000000,0x00000000}},	//   _नुकस, _emim, --, --, 
   {{0x7b091aa7,0xd3080023,0x2d850038,0xeda41aa8}},	//   _džul, _dệt_, íle_, ашто, 
   {{0x78a01aa9,0x629a0571,0xf0470158,0x60d60034}},	//   _nomv, ljto, _рэко, _gjym, 
   {{0x09bd05d0,0x1be300aa,0x0bf51aaa,0x59d51aab}},	// [10d0] ्प्य, _कुशल_, упаю, _दशहर, 
   {{0x26c70068,0x3d951aac,0xdd03008f,0x6d481aad}},	//   xino_, _биор, ırıc, ádac, 
   {{0x26c71aae,0x81e40086,0x78a01aaf,0x6cd50eea}},	//   vino_, পের_, _bomv, _مقدا, 
   {{0x26c71ab0,0x6442007a,0x3cf60110,0x57b51ab1}},	//   wino_, _ndoi, ्षणे_, лбет, 
   {{0x78a00864,0x3ea1007e,0xff5f009e,0x7b090009}},	//   _domv, _koht_, ntî_, _užuo, 
   {{0x64420496,0x00000000,0x00000000,0x00000000}},	//   _adoi, --, --, --, 
   {{0x26c71ab2,0xfc3f0354,0x3ea1040c,0x00000000}},	//   rino_, _flít_, _moht_, --, 
   {{0xf773039f,0xff5f009e,0xe6f20210,0x00000000}},	//   _پار_, ktî_, _vườ, --, 
   {{0x26c71ab3,0x13091ab4,0xdce500e0,0xa0a61ab5}},	//   pino_, нний_, _arhī, ҳанд, 
   {{0xd7f81ab6,0x6b6701dd,0x78a00532,0x68fb052b}},	//   _рус_, mīgā, _zomv, _hhud, 
   {{0xa0a61ab7,0x24550071,0x68fb1ab8,0x27fa00ab}},	//   ганд, _مناس, _khud, ępne_, 
   {{0xff5f010c,0x5fc500b0,0xd3080108,0x00000000}},	//   ftî_, _लेहल, _sệt_, --, 
   {{0x7ae51ab9,0x27ed0118,0x68fb095a,0x6b670243}},	//   koht, _jyen_, _mhud, nīgā, 
   {{0x290d0226,0x7ae500c8,0x63a91aba,0x63bb095a}},	//   _liea_, joht, myen, mzun, 
   {{0xdefa032e,0x27ed158b,0x270f00c6,0xc87901f0}},	//   дың_, _lyen_, ादुर_, _ekşi_, 
   {{0xeb9a12e1,0x7b091612,0x60c41abb,0x27ed0126}},	//   ниб_, _džum, _umim, _oyen_, 
   {{0x63bb1abc,0x8b26012d,0x27ed1abd,0xf4120070}},	// [10e0] nzun, удзе, _nyen_, מפן_, 
   {{0xfeba00c5,0x68e90589,0x63bb1abe,0x68fb1abf}},	//   _ساخت_, _aked, izun, _ahud, 
   {{0x27ed05d5,0x09f61730,0x78a0019b,0x8cc10249}},	//   _ayen_, учая, _pomv, रोहो, 
   {{0xd7fa1ac0,0x270f0081,0x68fb1ac1,0x7e7e1ac2}},	//   нул_, ादूर_, _chud, _happ, 
   {{0x7e7e1ac3,0x96ea1619,0x68fb01e5,0x3d1a0d2e}},	//   _kapp, нька_, _dhud, _मंडे_, 
   {{0x7e7e0405,0xddc71ac4,0x68e9084c,0x78a0019b}},	//   _japp, lejš, _eked, _womv, 
   {{0x7e7e1ac5,0x7b091799,0xd639004f,0x1c1e0ba3}},	//   _mapp, _ožuj, тячі_, युअल_, 
   {{0xddc71ac6,0x3a3a1ac7,0x63bb0502,0x00000000}},	//   nejš, lapp_, fzun, --, 
   {{0xa3de0509,0x63a91ac8,0xff5f0216,0xa3e701a4}},	//   _दुख_, gyen, xtî_, _मुद_, 
   {{0x7e7e1ac9,0xf1261aca,0x77c71acb,0x2258035d}},	//   _napp, льмо, _слуг_, ürk_, 
   {{0xc610017d,0x6b8400c2,0x63a9040b,0xa5261acc}},	//   ाशीय_, hvig, ayen, _смед, 
   {{0x657a011c,0x7e7e1acd,0x63a91ace,0x6f160354}},	//   _isth, _aapp, byen, _buyc, 
   {{0x7e7e02a2,0xdb041acf,0xa29408af,0x4fc71ad0}},	//   _bapp, nzió, _валі, усна, 
   {{0xff5f078a,0x7e7e1ad1,0x00000000,0x00000000}},	//   rtî_, _capp, --, --, 
   {{0xff5f055a,0x7e7e1ad2,0xccfb0886,0x291c0098}},	//   stî_, _dapp, ећа_, íval_, 
   {{0x61f51ad3,0x00000000,0x00000000,0x00000000}},	//   üzle, --, --, --, 
   {{0x5a351ad4,0x7afc00a1,0x00000000,0x00000000}},	// [10f0] инат, _bhrt, --, --, 
   {{0x68e91ad5,0x68fb0104,0x290d07d7,0x6113020f}},	//   _sked, _shud, _siea_, _săli, 
   {{0xdd95005e,0x657a0201,0x4975004e,0x7ae51ad6}},	//   _таны, _nsth, рлес, roht, 
   {{0xf7710523,0x7e7e1ad7,0xddc71ad8,0x4bc5013e}},	//   قات_, _zapp, cejš, _көзг, 
   {{0x69dc06a5,0x2ab60566,0x4e191ad9,0x00000000}},	//   _exre, _sæbe_, _दलाई_, --, 
   {{0x6b6700e0,0xe4630585,0x89370296,0x63bb1ada}},	//   rīgā, şmüş, _معرا, vzun, 
   {{0x7d0f006b,0x5e5800c7,0x290d0415,0x68fb1adb}},	//   _kics, טיגע_, _tiea_, _thud, 
   {{0x63bb1adc,0x58d500dd,0x68fb1add,0x3f8900f8}},	//   tzun, _тобт, _uhud, _orau_, 
   {{0x3f89006d,0x7c2d1ade,0xe2990097,0x27ed0108}},	//   _nrau_, ibar, вап_, _uyen_, 
   {{0x7c2d00cf,0x52a91adf,0x63a91ae0,0x387f1ae1}},	//   hbar, твом_, ryen, _haur_, 
   {{0x63a91ae2,0x7c2d1ae3,0x7e7e1ae4,0x3f8901f1}},	//   syen, kbar, _rapp, _arau_, 
   {{0x7e7e1ae5,0x7c2d00ab,0xf8b5034d,0x3f891ae6}},	//   _sapp, jbar, ंसिय, _brau_, 
   {{0x442d1ae7,0x7e7e1ae8,0xddc71ae9,0x387f1aea}},	//   mbe_, _papp, vejš, _maur_, 
   {{0x442d1aeb,0xf306010c,0x387f1aec,0x7b090082}},	//   lbe_, şûrê_, _laur_, _džuk, 
   {{0x3f89002e,0x3c420019,0xddc70217,0x7c2d1aed}},	//   _erau_, _lévő_, tejš, fbar, 
   {{0x442d0cd7,0x3f890321,0xed5703b7,0x387f0175}},	//   nbe_, _frau_, јот_, _naur_, 
   {{0x3f891aee,0x7e7e1aef,0xddc702ee,0x7a400bdb}},	// [1100] _grau_, _tapp, rejš, játí, 
   {{0x6b841af0,0x62811af1,0xaa461af2,0x00000000}},	//   rvig, ndlo, режл, --, 
   {{0x6e3c0075,0x7c2d1af3,0x2d850cac,0x7d0f0557}},	//   marb, bbar, ålet_, _fics, 
   {{0x442d1af4,0x6e3c1af5,0x57a602f1,0x387f01dd}},	//   jbe_, larb, ишла, _caur_, 
   {{0x7d041af6,0x442d1af7,0xdddc0019,0x387f1af8}},	//   mmis, dbe_, merő, _daur_, 
   {{0x7d041af9,0x6b8b01cc,0x442d1afa,0x6e3c1afb}},	//   lmis, ægge, ebe_, narb, 
   {{0x38560093,0xb5a303a1,0x387f107c,0x00000000}},	//   _възс, жрый, _faur_, --, 
   {{0x387f02ba,0xa3e70262,0x6e3c1afc,0x48e31afd}},	//   _gaur_, _मुह_, harb, _досв, 
   {{0x7d041afe,0x291801f1,0x649c0183,0x38661aff}},	//   imis, _hura_, _méix, mfor_, 
   {{0x29181b00,0x7c2d1b01,0xf2061b02,0x6d4118b9}},	//   _kura_, zbar, ияно, šlai, 
   {{0x6e3c1b03,0x442d1b04,0x29181b05,0x7b0900ef}},	//   darb, bbe_, _jura_, _džuh, 
   {{0x38661b06,0x29181b07,0x7c2d1b08,0xd57700a7}},	//   nfor_, _mura_, xbar, _כתבה_, 
   {{0x2918003d,0x7d04007e,0x6e3c1b09,0x6d481b0a}},	//   _lura_, dmis, farb, ádan, 
   {{0xa1581b0b,0x6e3c1b0c,0x7d041b0d,0x3f890034}},	//   _баку_, garb, emis, _vrau_, 
   {{0x7d0f1b0e,0x02fb07e4,0x29181b0f,0x7d040b41}},	//   _pics, _שלומ, _nura_, fmis, 
   {{0x7d041b10,0xb0351b11,0x7c2d1b12,0xc0351b11}},	//   gmis, _униш, ubar, _униј, 
   {{0x7c2d1b13,0x29181b14,0x2fcf014e,0x649c0042}},	// [1110] rbar, _aura_, _ägg_, _déix, 
   {{0x442d1b15,0x7c2d1b16,0x19ab1b17,0x387f005f}},	//   zbe_, sbar, ктеп_, _saur_, 
   {{0x29181b18,0x7c2d1b19,0x442d1b1a,0x3a381b1b}},	//   _cura_, pbar, ybe_, _derp_, 
   {{0x38690679,0x7c9500eb,0x9b6b02f1,0x6d551b1c}},	//   ýar_, _الحص, _ишга_, muza, 
   {{0x3cf404d7,0x29180eae,0x2b4400b9,0x7bd801f0}},	//   ंतरे_, _eura_, _мэрг, şvur, 
   {{0x29181b1d,0x442d0237,0x1fd90033,0x69c30068}},	//   _fura_, wbe_, _সরাস, únes, 
   {{0x20d20039,0x27fa00ab,0x29181b1e,0x6a22006b}},	//   lšie_, ępna_, _gura_, _رہنم, 
   {{0x442d01c4,0x3a3800ca,0x6e3c1b1f,0x9dd800d1}},	//   ube_, _zerp_, zarb, יווק_, 
   {{0x6e3c1b20,0x7c220634,0x6d551b21,0x29181b22}},	//   yarb, ñori, huza, _zura_, 
   {{0x442d1b23,0x6d551b24,0x62810102,0x29181b25}},	//   sbe_, kuza, udlo, _yura_, 
   {{0x62811b26,0x7d041b27,0x20d20228,0x29180183}},	//   rdlo, ymis, hšie_, _xura_, 
   {{0x6d550068,0x349406d4,0x6e3c010c,0x24190080}},	//   duza, _махр, warb, _соды_, 
   {{0x20d20039,0x6e3c1b28,0xa0a61753,0xfbc7017d}},	//   jšie_, tarb, _ҳайд, _रेलम, 
   {{0xed5a1b29,0x249f1b2a,0x6d551b2b,0x6da61b2c}},	//   лог_, ljum_, fuza, бига, 
   {{0x7d040077,0xa0a61b2d,0x6e3c1b2e,0x6d551b2f}},	//   tmis, _гайд, rarb, guza, 
   {{0x6e3c1b30,0x3a381b31,0xceb400ad,0x6d4e1b32}},	//   sarb, _serp_, _atət_, rrba, 
   {{0x7e75173b,0x29181b33,0x6a160b7e,0x22470640}},	// [1120] bezp, _sura_, مبار, _kdnk_, 
   {{0x3f8f03b7,0x6d551b34,0x7d041b35,0x2b400474}},	//   _água_, buza, smis, rsic_, 
   {{0x8fc500d4,0x5d8600eb,0x249f003e,0xd23a0070}},	//   _هزین, _الجل, kjum_, רגעל, 
   {{0xb4c60790,0x3a380b22,0x20d2020b,0x29181b36}},	//   _उगे_, _werp_, bšie_, _vura_, 
   {{0x26c8005e,0x38661b37,0xdd8f0444,0xa3e71b38}},	//   аған_, rfor_, _قوی_, _मुल_, 
   {{0xe9440296,0x00000000,0x00000000,0x00000000}},	//   _ورزی, --, --, --, 
   {{0x05861b39,0x237d00e2,0xaadd00a2,0x249f01d5}},	//   сулм, _aswj_, _मदतक, fjum_, 
   {{0x249f01d5,0x00000000,0x00000000,0x00000000}},	//   gjum_, --, --, --, 
   {{0x64a61b3a,0x6d551b3b,0x644f1b3c,0x00000000}},	//   _қада, zuza, ócia, --, 
   {{0x2561006b,0xe6431b3d,0x224700b4,0x290601d6}},	//   ból_, _неуп, _cdnk_, lmoa_, 
   {{0xf09f00d3,0x764802bf,0xf4861753,0xd6cf149e}},	//   tjà_, _iddy, _гулн, _ثقل_, 
   {{0x2ca01b3e,0x26ce1b3f,0x6d550027,0x00000000}},	//   jjid_, lifo_, vuza, --, 
   {{0x33f6105a,0xc7b40070,0x2ca01032,0x7e7501d6}},	//   _اساس, קבֿ_, djid_, tezp, 
   {{0x20d20187,0x6d551b40,0x3d9500c8,0x3d1100c9}},	//   všie_, tuza, оигр, _दूजे_, 
   {{0x3b1100a3,0x00000000,0x00000000,0x00000000}},	//   _rizq_, --, --, --, 
   {{0x6ca41b41,0x6d551b42,0x8cf50c8b,0x26ce1b43}},	//   пруж, ruza, ізац, hifo_, 
   {{0xab870141,0x7b141a68,0x76481308,0x5b1419fe}},	// [1130] щувк, здух, _oddy, змут, 
   {{0x20d20228,0x705504f2,0x6d550610,0x249f0035}},	//   ršie_, _انکا, puza, zjum_, 
   {{0xceb207e4,0x69c80588,0x2d87039b,0x249f01d5}},	//   _חיי_, _žder, _éne_, yjum_, 
   {{0x764802bf,0x20d20187,0x515b035c,0x8af00248}},	//   _addy, pšie_, רכאו, ftəs, 
   {{0xf74500d9,0x291e0183,0x6561023e,0x75280243}},	//   цело, _étan_, _sqlh, _atdz, 
   {{0x2561006b,0x79820035,0xf7701b44,0x7f3c0070}},	//   tól_, łowa, عان_, נעוו, 
   {{0x79a4004e,0x04590038,0x00000000,0x00000000}},	//   _ерте, للغة_, --, --, 
   {{0xc3251b45,0x2561006b,0x03251b46,0x7eab00b0}},	//   омик, ról_, один, _küps, 
   {{0x7b0900ef,0x249f008c,0x386d1b47,0xd299004f}},	//   _džuv, rjum_, _iber_, атні_, 
   {{0x02c502fb,0x68eb039b,0x42c91b48,0x63a60219}},	//   ійно, logd, ргон_, äkna, 
   {{0xe0da1b49,0x21691b4a,0xd4e702fb,0x2bd00527}},	//   иво_, шини_, _люди, _सेना, 
   {{0xd00a1b4b,0x237d01a0,0x60cf0151,0x672900c3}},	//   иене_, _tswj_, gicm, _ktej, 
   {{0x443f1b4c,0x332b069b,0x6d450946,0xe9ff0108}},	//   mau_, _сцен_, _avha, _trặc_, 
   {{0x443f1b4d,0x645b1b4e,0x67291b4f,0x9983008a}},	//   lau_, lgui, _mtej, _bejż_, 
   {{0x2d8c1b50,0x386d1b51,0x62831b52,0xa1560267}},	//   íde_, _ober_, _iano, _дају_, 
   {{0x443f1b53,0x628305f0,0xed5a07f9,0x3f860082}},	//   nau_, _hano, лоҳ_, _šouu_, 
   {{0x5aca12d2,0x62831b54,0xeab20019,0x7eb000c8}},	// [1140] алам_, _kano, وٹر_, _läpi, 
   {{0x386d02e7,0x443f1b55,0x2ca0156e,0x62831b56}},	//   _aber_, hau_, sjid_, _jano, 
   {{0x443f1b57,0xdca60577,0xb05b014e,0x6d410019}},	//   kau_, _дани, miär, álat, 
   {{0x186a1b58,0x443f1b59,0xb05b06ce,0x61ee06ce}},	//   ради_, jau_, chäd, übli, 
   {{0x443f1b5a,0x27e01b5b,0xd70a1b5c,0x4733004f}},	//   dau_, çin_, анде_, дніс, 
   {{0x62831b5d,0x29060a9f,0x386d011d,0x9f610019}},	//   _nano, smoa_, _eber_, ését_, 
   {{0x68eb1b5e,0x443f0156,0xe1e7195e,0x7c240036}},	//   bogd, fau_, _آس_, ocir, 
   {{0x443f02bf,0x20050095,0x26ce00b4,0x636a0bad}},	//   gau_, əlif_, sifo_, арог_, 
   {{0x62831b5f,0x7c2400ca,0x6913008a,0x8af000ad}},	//   _bano, icir, _għeq, qtəs, 
   {{0x62830090,0x78a204cb,0x645b0deb,0x386d0032}},	//   _cano, ljov, agui, _zber_, 
   {{0x443f1b60,0xe29a00f7,0x69c11b61,0x8af000ad}},	//   bau_, _chưa_, _žlez, ntəq, 
   {{0x78a21b62,0x62830415,0xbb1b009e,0x00000000}},	//   njov, _eano, _krît, --, 
   {{0x62831b63,0x64401b64,0xe3b21b65,0x5fc500bc}},	//   _fano, mami, _ترا_, _लेखल, 
   {{0x62831b66,0x7c261b67,0x92571b68,0xfbdf0090}},	//   _gano, _afkr, _дашт_, _ddêl_, 
   {{0xeca70843,0x9c8300bc,0x64400548,0x442602a5}},	//   ојан, íčov, oami, _kfo_, 
   {{0x6aaa01c4,0x44240096,0xac941b69,0x00000000}},	//   öffn, ncm_, масш, --, 
   {{0x62831b6a,0xdfd1030e,0x26cc1b6b,0x00000000}},	// [1150] _yano, _سيد_, _omdo_, --, 
   {{0x64401b6c,0x4424001b,0x443f1b6d,0xba98004f}},	//   hami, hcm_, zau_, овує_, 
   {{0xceb207f5,0x64401b6e,0x6729000d,0xe2a6010d}},	//   _ניט_, kami, _stej, _áður_, 
   {{0x5d7a00c7,0xbb1b010c,0x443f023b,0x2d811b6f}},	//   _פארק, _brît, xau_, _ishe_, 
   {{0x64401b70,0x443f012d,0x7b640cf8,0x60cd1b71}},	//   dami, vau_, _отре, _mmam, 
   {{0x8af006d0,0x442600a9,0x443f1b72,0x7c3d12ed}},	//   stər, _afo_, wau_, _hesr, 
   {{0x443f1b73,0x628300a9,0x7c3d1b6b,0x60cd1b74}},	//   tau_, _rano, _kesr, _omam, 
   {{0x64401b75,0x62831b76,0x44261b77,0x16190035}},	//   gami, _sano, _cfo_, दशहर_, 
   {{0x443f02f0,0x7c3d1b78,0x20d20228,0x4426084c}},	//   rau_, _mesr, jšia_, _dfo_, 
   {{0x443f1b79,0x78a9051e,0x60cd1b7a,0x628300a3}},	//   sau_, _hoev, _amam, _qano, 
   {{0x62831b7b,0x443f1b7c,0x64401b7d,0x78a91b7e}},	//   _vano, pau_, bami, _koev, 
   {{0x62831b7f,0xe1f800d3,0x44240548,0x00000000}},	//   _wano, өгө_, ccm_, --, 
   {{0x62831b80,0xa29500dd,0x7c241b81,0x78bb031e}},	//   _tano, _наді, vcir, _mluv, 
   {{0x78bb08f4,0x443d0218,0xe29a00e7,0x2bef00b0}},	//   _lluv, _hew_, _thưa_, _आड़ू_, 
   {{0xde031b82,0x443d0300,0x6da61b83,0x7c3d0588}},	//   епри, _kew_, чива, _besr, 
   {{0xdca31b84,0x61fc01f0,0x8b260810,0xc5f200d1}},	//   наси, ürle, здае, גדל_, 
   {{0xeb971b85,0x6d4101d5,0x945d0083,0x5f46152c}},	// [1160] пит_, álar, lińs, _عندل, 
   {{0x443d1b86,0x09e61a9e,0x7c241b87,0x7c3d01a4}},	//   _lew_, позн, scir, _eesr, 
   {{0x64401b88,0x78a20126,0x78a901d2,0x00000000}},	//   yami, tjov, _boev, --, 
   {{0x443d0052,0x6e3e0175,0x64401b89,0x60cd0065}},	//   _new_, _hepb, xami, _xmam, 
   {{0x64401b8a,0x8af00095,0x6b8900ca,0x7d1e1b8b}},	//   vami, stəq, _šegv, _hups, 
   {{0xab27048a,0x64401b8c,0xd9460161,0x7d1e0532}},	//   _хора_, wami, _неги, _kups, 
   {{0x64401b8d,0x09e31b8e,0xeab71b8f,0x44240183}},	//   tami, _зорн, _эйр_, tcm_, 
   {{0x443d016a,0x78bb1b90,0x89db00d1,0x00000000}},	//   _cew_, _gluv, _החלי, --, 
   {{0x64401b91,0xe737030f,0x68e31b92,0x443d17e3}},	//   rami, _нет_, énde, _dew_, 
   {{0xbebb0034,0xa01b1618,0x6e3e039b,0x78a9039b}},	//   hpër, rdöm, _nepb, _zoev, 
   {{0x443d00a7,0x705517bc,0x7d1e01a4,0x00000000}},	//   _few_, وندا, _nups, --, 
   {{0x443d1b93,0xdfd5012d,0x644001ff,0x69c100c2}},	//   _gew_, домы, qami, _ülee, 
   {{0x2d8c02c9,0xdcb10023,0x00000000,0x00000000}},	//   æden_, ểm_, --, --, 
   {{0x7bc41b94,0x20d21b95,0x7c3d1b96,0x00000000}},	//   dziu, ršia_, _sesr, --, 
   {{0x443d1b97,0xdd941b98,0x290400ca,0x9cf508af}},	//   _yew_, нары, _ohma_, дзві, 
   {{0x60cd1b99,0x443d0216,0x20d20032,0x62881b9a}},	//   _umam, _xew_, pšia_, lddo, 
   {{0x2bc70aac,0x5b1503dc,0x9f54012d,0xfbd31897}},	// [1170] _रेखा, дмат, _звыч, رتر_, 
   {{0x7b090571,0x62881b9b,0x2d81023b,0xf8b50299}},	//   _ažur, nddo, _tshe_, ंस्प, 
   {{0x2d8c0533,0x60dd1b9c,0x2d9e02ae,0x7bc4107c}},	//   ådet_, onsm, ätet_, aziu, 
   {{0x6d550b1d,0x31570070,0x60dd1b9d,0x29041b9e}},	//   mrza, ליבן_, nnsm, _chma_, 
   {{0x7b0900ef,0x62980af8,0x443d03c6,0x2bc81b9f}},	//   _džur, _onvo, _rew_, _еуро_, 
   {{0x443d003d,0x6b8d02b8,0x00000000,0x00000000}},	//   _sew_, mvag, --, --, 
   {{0x58d502fb,0x78a90265,0x6f170126,0x7c221ba0}},	//   _жовт, _toev, _mixc, žore, 
   {{0xe3b91ba1,0x6add02e6,0x6288017c,0x6d48007a}},	//   жби_, _मदुर, eddo, ádai, 
   {{0xa3e707cc,0xf7700040,0x27ff1ba2,0x62881ba3}},	//   _मुख_, _مال_, _uzun_, fddo, 
   {{0x443d1ba4,0x25e802c3,0xfc3f1ba5,0x04fd0033}},	//   _wew_, _चुकी_, _leí_, ঁদের_, 
   {{0x76431ba6,0x443d00f3,0x41b411e7,0x6d550035}},	//   many, _tew_, есят, jrza, 
   {{0x62981ba7,0x6d551993,0x76431ba8,0x644b01cc}},	//   _envo, drza, lany, _udgi, 
   {{0x7d1e003a,0x6d550083,0x945d0083,0x00000000}},	//   _sups, erza, sińs, --, 
   {{0x76431ba9,0xe299002e,0xa3d3059e,0x7bc40034}},	//   nany, _фак_, _हेय_, vziu, 
   {{0x9fa01baa,0x00000000,0x00000000,0x00000000}},	//   _méér_, --, --, --, 
   {{0x76431bab,0xc10600eb,0x7bc400b4,0x00000000}},	//   hany, _توبي, tziu, --, 
   {{0x76431bac,0xbb431bad,0xbebb024a,0x6d4700b0}},	// [1180] kany, кетк, rpër, asja, 
   {{0x76430f80,0x290400a3,0x0f5700d1,0xae22017d}},	//   jany, _shma_, _קיים_, _मलिन_, 
   {{0x76431bae,0x673b00d4,0x7e7c1baf,0x5e9b00d1}},	//   dany, _awuj, merp, _וביק, 
   {{0x6d5c1bb0,0x673b016c,0x395a1bb1,0xbebb021e}},	//   mura, _bwuj, rups_, qpër, 
   {{0x76431bb2,0x6d5c12e6,0x628802f0,0xb90609e2}},	//   fany, lura, yddo, _पद_, 
   {{0x395a1bb3,0x76431bb4,0x3ced044e,0x07a302a6}},	//   pups_, gany, čeve_, таљн, 
   {{0x6d5c1bb5,0xf9831bb6,0x7e7c040b,0x00000000}},	//   nura, _игро, ierp, --, 
   {{0x2ebb075a,0x7e7c1bb7,0x7b090613,0x764302a5}},	//   _उत्त, herp, _užur, aany, 
   {{0x76431bb8,0x13f41bb9,0x00000000,0x00000000}},	//   bany, эзия, --, --, 
   {{0xd25000c5,0x7643024d,0xeb9100c7,0x7e7c017b}},	//   دند_, cany, אָט_, jerp, 
   {{0x628802bf,0x7e7c1bba,0x24861bbb,0x20d2035f}},	//   rddo, derp, _taom_, ršin_, 
   {{0x6d5c1bbc,0x67200548,0x04930038,0x9fa001d2}},	//   dura, _kumj, _للمح, _zéér_, 
   {{0x6f17016a,0xfc3f0126,0x60dd1bbd,0x20d20082}},	//   _pixc, _reí_, rnsm, pšin_, 
   {{0x6d5c0010,0x62981bbe,0x7e7c1bbf,0x6d471bc0}},	//   fura, _unvo, gerp, tsja, 
   {{0xf1a202e6,0x9f99040b,0x291e0096,0x00000000}},	//   _ओपिन, _dáár_, _étah_, --, 
   {{0x76431bc1,0x6d471bc2,0x20c20038,0xfe7703a1}},	//   zany, rsja, _cóid_, чүү_, 
   {{0x76431bc3,0x2d9e02f2,0x2d8c03a9,0x6d471bc4}},	// [1190] yany, äter_, åder_, ssja, 
   {{0x6d5c1bc3,0x9af500eb,0xf3880108,0x673b016c}},	//   bura, ركات, _mợ_, _rwuj, 
   {{0x76431bc5,0x6d5c1bc6,0x6b8d1bc7,0xc9840a10}},	//   vany, cura, svag, куци, 
   {{0x2bd01bc8,0x76431bc9,0xe0df01d8,0x69c502eb}},	//   _सेवा, wany, nnò_, rzhe, 
   {{0x7d0d1bca,0x76431bcb,0xf388001b,0xd629124e}},	//   mmas, tany, _nợ_, поле_, 
   {{0x7d0d1bcc,0xddde1bcd,0x66051bce,0x7dc30104}},	//   lmas, _hapš, нпла, _fеst, 
   {{0x76431bcf,0x492301a2,0x00000000,0x00000000}},	//   rany, _рӯзҳ, --, --, 
   {{0x7d0d1bd0,0x76431bd1,0xb3851bd2,0x23351a57}},	//   nmas, sany, елил, нхор, 
   {{0x76431bd3,0x7d0d1bd4,0x3755009c,0x76751bd5}},	//   pany, imas, _سپاس, _плаф, 
   {{0x1306030f,0x6d5c1bd6,0x25680218,0x7d0d1bd7}},	//   нный_, yura, bûl_, hmas, 
   {{0xe4a71bd8,0xd12e015d,0x7d0d1bd9,0xe1f9012d}},	//   _ордо, یمی_, kmas, яго_, 
   {{0x76410105,0xf9920137,0x2ec8130c,0x3cfb0035}},	//   _hely, ארט_, रफ्त, ्षों_, 
   {{0x42cd0086,0x6d5c1bda,0x76411bdb,0xbebb0034}},	//   রকৌশ, wura, _kely, rqën, 
   {{0x91e50ee8,0x6d5c1bdc,0xe0df0036,0x3ebe003e}},	//   _поле, tura, anò_, ótt_, 
   {{0x76411bdd,0xa3d302e6,0x7c361bde,0xc5f20070}},	//   _mely, _हेत_, tbyr, ָדן_, 
   {{0x7d0d1bdf,0x76411be0,0x7af502a5,0x7f5d0106}},	//   gmas, _lely, _akzt, busq, 
   {{0x6d5c1be1,0x245a027e,0x6b890613,0x75210034}},	// [11a0] sura, lümü_, _šegr, _lulz, 
   {{0x160f0827,0xb05b1709,0x7d0d1be2,0xea871be3}},	//   ाधार_, nhän, amas, нбул_, 
   {{0x6d5c1be4,0x8c460ca6,0x67200242,0x245a06a2}},	//   qura, _пене, _sumj, nümü_, 
   {{0x7eb0007e,0x22451be5,0x20d2044e,0x00000000}},	//   _täps, halk_, kšim_, --, 
   {{0x20d2008b,0xa2b4031e,0x2b49020f,0x22451be6}},	//   jšim_, ेसम्, csac_, kalk_, 
   {{0x09bf0033,0x76410090,0x0cc30033,0xf3880210}},	//   _আশরা, _cely, ্কৃত, _rợ_, 
   {{0xf388001b,0xceb300d1,0x7641017c,0x1ae31be7}},	//   _sợ_, ריו_, _dely, _сорм, 
   {{0x752100e9,0xd3a60eba,0x69c100c2,0x33740176}},	//   _dulz, ероп, _ülea, вгир, 
   {{0xa34300f6,0x22451be8,0xb05b0502,0x76411be9}},	//   лээл, falk_, fhän, _fely, 
   {{0xf3880029,0x76411bea,0x7d0d15c3,0x7f5d016a}},	//   _vợ_, _gely, zmas, vusq, 
   {{0x6d1f0394,0x1dcf0262,0x7d0d1beb,0x3ce00343}},	//   _मूंग_, _हेंत, ymas, kniv_, 
   {{0x254c00bc,0x7d0d00ad,0x6add1bec,0x61f80ed0}},	//   měl_, xmas, _मद्र, _vyvl, 
   {{0xe29a1bed,0xb05b01c4,0xe0df01d8,0x5f940093}},	//   _над_, bhän, rnò_, гият, 
   {{0x64420387,0x245a0241,0xb60600de,0x00000000}},	//   _heoi, bümü_, _etáž, --, 
   {{0x7d0d12fb,0x31850259,0x20c20354,0x00000000}},	//   tmas, _атың, _dóib_, --, 
   {{0xdc880a10,0xccf802a6,0x628a1bee,0x00000000}},	//   нсул_, ећу_, _hafo, --, 
   {{0x7d0d134c,0x628a1bef,0xddde00ca,0x7e2b128b}},	// [11b0] rmas, _kafo, _vapš, _ніна_, 
   {{0x64421bf0,0x628a0508,0x00000000,0x00000000}},	//   _leoi, _jafo, --, --, 
   {{0x76411bf1,0xd99900eb,0x628a1bf2,0x2d930068}},	//   _rely, بنات_, _mafo, _urxe_, 
   {{0x76411bf3,0x628a1bf4,0x64420387,0x254c00bc}},	//   _sely, _lafo, _neoi, děl_, 
   {{0x167300cf,0x81bc01dd,0x7eb01bf5,0x245a0213}},	//   лқар, ucēj, _käpp, zümü_, 
   {{0x75211bf6,0x20d2044e,0x69d500a2,0xf653006b}},	//   _pulz, všim_, _येथी, ائش_, 
   {{0x35a51bf7,0x644200eb,0x22451bf8,0x76410028}},	//   тайг, _beoi, valk_, _vely, 
   {{0xe7d21bf9,0x64420038,0x3af402ae,0x7eb01bfa}},	//   _देवप, _ceoi, läpp_, _läpp, 
   {{0x628a1bfb,0xe3b100eb,0x13090eba,0x69d5009a}},	//   _bafo, شرة_, мний_, _येती, 
   {{0x628a0156,0x7eb00341,0xb2250258,0xb6060098}},	//   _cafo, _näpp, ъмол, _stáž, 
   {{0xd5bb00cf,0x91e51bfc,0x628a1bfd,0xb05b0f03}},	//   _эса_, тоне, _dafo, rhän, 
   {{0x64420d44,0xe3b011b7,0x20d2090e,0xe5080038}},	//   _geoi, _گرم_, pšim_, _كيلو_, 
   {{0xb05b022b,0xbb1b0216,0x628a019b,0x2ca900c2}},	//   mhäl, _asîm, _fafo, djad_, 
   {{0x798200ab,0x628a0156,0x00000000,0x00000000}},	//   łowi, _gafo, --, --, 
   {{0xbea30843,0x20040228,0x8af000ad,0x20c20354}},	//   шарк, ťmi_, frən, _cóic_, 
   {{0x248d1bfe,0xa3e51126,0x1fb61bff,0x1d071c00}},	//   ndem_, _नशा_, _асор, веси_, 
   {{0x2c070299,0x236d006f,0x628a1b7a,0x248d0527}},	// [11c0] _शरणं_, ntej_, _yafo, idem_, 
   {{0x1d260e65,0x63a60219,0x3ce0006d,0x6d481c01}},	//   _имом, äkni, sniv_, ádas, 
   {{0xc96605e0,0xae5700d1,0xbea31c02,0x41c10299}},	//   твей, _בסיס_, _таэк, शनिस, 
   {{0x799500ab,0x38cb1c03,0xd7fa01d7,0x290f012b}},	//   _drzw, وانی_, мул_, gmga_, 
   {{0x6d5a012d,0xf093008d,0xe7d2009a,0x23d00035}},	//   štad, ינא_, _देशप, _तेंद, 
   {{0x248d003d,0x254c00bc,0x6442007a,0x7ccc0248}},	//   edem_, těl_, _seoi, rşru, 
   {{0xe9a31c04,0x628a1c05,0xa9a31c06,0x3ab300f0}},	//   _карп, _rafo, _кирд, _тәтт, 
   {{0xb8660a24,0x628a1c07,0x2a071c08,0x00000000}},	//   _جاسو, _safo, _респ_, --, 
   {{0x2c6d0019,0x628a1c09,0xaa82003e,0x69e7020f}},	//   lódó_, _pafo, _þýsk, ăreţ, 
   {{0x68e21c0a,0x00000000,0x00000000,0x00000000}},	//   lnod, --, --, --, 
   {{0x9f4f008c,0x64421c0b,0x628a00a3,0xc8b600b0}},	//   _ágú_, _teoi, _vafo, _अकाट, 
   {{0xe3ba1c0c,0x9f35004e,0x68e200f8,0x628a0532}},	//   _обе_, лемі, nnod, _wafo, 
   {{0x35a8000f,0x628a1c0d,0x68e20183,0x2ca90352}},	//   _कपड़, _tafo, inod, vjad_, 
   {{0x6b841c0e,0x290f00a3,0x7a4801dd,0x00000000}},	//   dwig, zmga_, nūtē, --, 
   {{0x1df81c0f,0x910702f1,0x2ca900b0,0x20d20a1a}},	//   веры_, _ичид, tjad_, kših_, 
   {{0x20d202ee,0xa3d601a4,0x2d9c00de,0x00000000}},	//   jših_, _सधा_, _švec_, --, 
   {{0x3a751c10,0x68e20076,0x2ca91c11,0x7eb01c12}},	// [11d0] ллар, dnod, rjad_, _täpp, 
   {{0x5a341b46,0x3f8900ef,0x248d1c13,0x68e20354}},	//   инут, _isau_, zdem_, enod, 
   {{0x68e31056,0x68e202bf,0xceb2042c,0xe7030023}},	//   éndo, fnod, _היי_, _nướ, 
   {{0x68e2017c,0x5c0700f6,0x6b84007c,0x00000000}},	//   gnod, _аяга, bwig, --, 
   {{0x27e91c14,0xe9ff00e7,0x20c202aa,0xdcb10023}},	//   çan_, _trắc_, _jóia_, ểu_, 
   {{0x7d1d1c15,0x7c2d1c16,0xfbdf03c6,0xe7030108}},	//   _hiss, lcar, _ddêt_, _bướ, 
   {{0xc9841891,0x45191c17,0x68e21c18,0xb05b01c4}},	//   _кути, нция_, bnod, thäl, 
   {{0x7c2d1c19,0x7d1d003d,0xdb1e014b,0xc4851c1a}},	//   ncar, _jiss, _švéd, улик, 
   {{0x7d1d1c1b,0x248d1c1c,0xb05b1709,0x7c2d0028}},	//   _miss, rdem_, rhäl, icar, 
   {{0x248d105b,0x236d1c1d,0xd24302f1,0x27e00038}},	//   sdem_, rtej_, шмоқ, úine_, 
   {{0x291e026d,0x236d1c1e,0x7c2d0216,0x3f8900f3}},	//   _état_, stej_, kcar, _asau_, 
   {{0x7c2d1c1f,0xd5ba00c7,0x7dc300a3,0x6b840326}},	//   jcar, _אזעל, _rеsp, ywig, 
   {{0xe28e1c20,0x7c2d1c21,0x442d1c22,0x442f0379}},	//   _ла_, dcar, mce_, _ifg_, 
   {{0x442d1c23,0x7d1d1c24,0x35d800a5,0x66f51c25}},	//   lce_, _aiss, _भेड़, ेतिक_, 
   {{0x62811c26,0x7d1d1c27,0x3f891c28,0x5de60093}},	//   melo, _biss, _esau_, ужва, 
   {{0x442d1c29,0x62811c2a,0x777b0068,0x6b9b1c2b}},	//   nce_, lelo, _opux, _šuga, 
   {{0x68e2090e,0x60c41c2c,0x20d2044e,0xcefd010c}},	// [11e0] vnod, _ilim, vših_, îşên_, 
   {{0xc3320056,0x7bc006d0,0x62811c2d,0xdd0404be}},	//   צוב_, _ümum, nelo, ırır, 
   {{0x442d000d,0x2d9615b3,0x7d1d1c2e,0x68e21c2f}},	//   kce_, _српс, _fiss, tnod, 
   {{0x62811c30,0x7c2d1c31,0x5ca61c32,0x7d1d1c33}},	//   helo, ccar, _симб, _giss, 
   {{0x62811c34,0x442d1c35,0x60c41c36,0x6d4e1c37}},	//   kelo, dce_, _mlim, lsba, 
   {{0x62811c38,0x6d5c1c39,0x442f02f1,0x60c41c3a}},	//   jelo, orra, _afg_, _llim, 
   {{0x62811c3b,0xf1a70038,0x7aeb039f,0x00000000}},	//   delo, _اء_, égte, --, 
   {{0x442f1c3c,0x6f1e00ab,0x6d4e1c3d,0x44b41c3e}},	//   _cfg_, _lipc, isba, рбис, 
   {{0x62811c3f,0xb4e405f6,0x6d5c01c4,0x8af000ad}},	//   felo, _नदी_, hrra, hrəm, 
   {{0x60c41c40,0x6281051e,0x442d1c41,0x26c7031e}},	//   _alim, gelo, ace_, chno_, 
   {{0x60c41b6b,0x442d031e,0x645d001d,0xd48f1c42}},	//   _blim, bce_, ósic, _лр_, 
   {{0x38661c43,0x442d0141,0x2bef0086,0x6d4e03fa}},	//   ngor_, cce_, চেয়ে_, dsba, 
   {{0xb4c004bd,0x2d9e0f5b,0x6d5c1c44,0x8af000ad}},	//   ँसी_, åten_, erra, stəy, 
   {{0x7d1d0077,0x62341c45,0x3866017c,0x2f04003e}},	//   _siss, _теку, hgor_, sögn_, 
   {{0x7d1d1c46,0x60c40405,0x40350bf8,0x7c2d064e}},	//   _piss, _flim, _кейс, tcar, 
   {{0x60c41c47,0x3f89023b,0x7d1d00a3,0xd13817d0}},	//   _glim, _tsau_, _qiss, mpą_, 
   {{0x7d1d1c48,0x6d5c1c49,0x6d4e1c4a,0xafdb02c9}},	// [11f0] _viss, arra, asba, dbøg, 
   {{0x7d1d1c4b,0x442d1c4c,0x7c2d1c4d,0xacbb010c}},	//   _wiss, zce_, scar, _siûd, 
   {{0x7d1d1c4e,0x442d1c4f,0x60c400c8,0x7c2d1c50}},	//   _tiss, yce_, _ylim, pcar, 
   {{0x62811c51,0x69c1007e,0x6d5a0097,0x386602ae}},	//   zelo, _ülem, štac, ggor_, 
   {{0x442d01e2,0x07a51c52,0x36691c53,0xa3d31c54}},	//   vce_, ралн, вало_, _हें_, 
   {{0x05551c55,0x442d1c56,0x38691c57,0x62811c58}},	//   атия, wce_, żar_, xelo, 
   {{0x62811c59,0x442d0484,0x49930e13,0x3eb3008a}},	//   velo, tce_, _دیار, _moxt_, 
   {{0x62811c5a,0xed64026e,0x47351a18,0x442d1c5b}},	//   welo, leží_, _внас, uce_, 
   {{0x442d1c5c,0x62811c5d,0xe7300491,0x64491c5e}},	//   rce_, telo, _فصل_, raei, 
   {{0x442d1c5f,0x60c41c60,0x27ff0460,0xd7f8002e}},	//   sce_, _slim, _iyun_, _сус_, 
   {{0x62811c61,0x442f1c62,0x442d0e25,0x26c51c63}},	//   relo, _tfg_, pce_, _illo_, 
   {{0x62811c64,0x65630165,0x27ff01e5,0x272b055f}},	//   selo, munh, _kyun_, _køn_, 
   {{0x7bcd1c65,0x62811c66,0x68e9024a,0x9db900f0}},	//   jzau, pelo, _mjed, қыру_, 
   {{0xed5a16d9,0x6d4e1c67,0x59b5119b,0x7bcd1c68}},	//   ког_, tsba, ंहार, dzau, 
   {{0x68fb1c69,0x63bb1c6a,0x272b0c85,0x6d5c1c6b}},	//   _okud, lyun, _løn_, urra, 
   {{0xdcfc03ef,0x60c41c6c,0x27ff03c0,0x2247064e}},	//   tvrđ, _ulim, _oyun_, _henk_, 
   {{0x63bb1c6d,0x63a91c6e,0x26c503da,0x6d4e1c6f}},	// [1200] nyun, nxen, _ollo_, ssba, 
   {{0xc87906d0,0x68e91c70,0xed4615dd,0x63a91c71}},	//   _abş_, _ajed, _кноп, ixen, 
   {{0xada600cf,0x63bb08a1,0x27ff1c72,0x290d00ca}},	//   _танл, hyun, _ayun_, _bhea_, 
   {{0x290d03da,0xe73a03dc,0x26c50141,0x27ff0e34}},	//   _chea_, вед_, _allo_, _byun_, 
   {{0x16340141,0x68e9027c,0x18670804,0x386601f2}},	//   беля, _djed, рачи_, rgor_, 
   {{0x68fb1c73,0x22470696,0xd70707a4,0x8b191087}},	//   _ekud, _nenk_, анче_, _бюст_, 
   {{0x656309a1,0x20d20032,0x290d00a1,0x68e902c9}},	//   gunh, lšiu_, _fhea_, _fjed, 
   {{0x26c515c4,0x5fa600a2,0xb4c012e3,0x290d016a}},	//   _ello_, खमाल, ँसे_, _ghea_, 
   {{0x63bb0019,0x22471c74,0x20d2020b,0x2ef8040b}},	//   gyun, _benk_, nšiu_, korf_, 
   {{0x291f002e,0xb273058b,0x9f4f0212,0x68e90f69}},	//   _ziua_, ольш, _âgé_, _zjed, 
   {{0x22471c75,0x26dc1c76,0xadf2185c,0x2ef801c4}},	//   _denk_, mivo_, _आँगन_, dorf_, 
   {{0x64a316b0,0x26dc1c77,0x76481c78,0xddc500bc}},	//   _маха, livo_, _hedy, _schů, 
   {{0x76481c79,0xdc2e0095,0x20d20228,0xa294012d}},	//   _kedy, _sığo, jšiu_, _галі, 
   {{0x764800ab,0x75280727,0x22471c7a,0x7b100380}},	//   _jedy, _kudz, _genk_, läuf, 
   {{0xe3e8100b,0x75281c7b,0xec6b1c7c,0x9c471c7d}},	//   _পরিব, _judz, крак_, ихал, 
   {{0xc05b02fb,0x75280727,0x7bcd1c7e,0x25de007e}},	//   _рік_, _mudz, tzau, _कइनी_, 
   {{0x7528006a,0x2bba0035,0x2d9a1c7f,0x0ca800d9}},	// [1210] _ludz, jącą_, _erpe_, штри_, 
   {{0x68e91c80,0x68fb1c81,0x69c100b0,0x764800d7}},	//   _sjed, _skud, _ülek, _nedy, 
   {{0x272b03a9,0xc8ab0141,0x2484003d,0x63a40068}},	//   _søn_, къде_, kemm_, _áinf, 
   {{0xf77117c1,0x00000000,0x00000000,0x00000000}},	//   كات_, --, --, --, 
   {{0x2bde10a6,0x68e900e5,0x752800e0,0x2bcb0afc}},	//   _नेपा, _vjed, _audz, _руно_, 
   {{0x65631c82,0x20d20082,0x75281c83,0xdc3c01f2}},	//   tunh, lšit_, _budz, _iġġo, 
   {{0x68e902a8,0xa8a71c84,0x785713b4,0x290d1c85}},	//   _tjed, _крак, _نیاز_, _thea_, 
   {{0x68e903ef,0x65631c86,0x224706df,0x68fb03c3}},	//   _ujed, runh, _senk_, _ukud, 
   {{0x764800f3,0x00000000,0x00000000,0x00000000}},	//   _fedy, --, --, --, 
   {{0x63a90496,0x68f900a4,0x65631c87,0x2120085b}},	//   rxen, lowd, punh, _siih_, 
   {{0x63bb134a,0x386d0372,0x95c81c88,0x22470237}},	//   syun, _kcer_, _куца_, _venk_, 
   {{0x297a0111,0x67211c89,0x397a00a7,0x60dd1c8a}},	//   נטרא, _hilj, נטרנ, gism, 
   {{0x443f1c8b,0x6d45012b,0x20050095,0x22471c8c}},	//   mbu_, _awha, əlik_, _tenk_, 
   {{0x443f1c8d,0x6d450102,0x7d18039f,0x75280175}},	//   lbu_, _bwha, _évsz, _yudz, 
   {{0xdca61c8e,0x2d951184,0x01351c8f,0x719600d4}},	//   бави, ортс, _اعتد, _هنوز_, 
   {{0x443f1c90,0x67211c91,0x6da6004e,0xa96a1c92}},	//   nbu_, _lilj, _ғима, ғида_, 
   {{0x1d071c93,0x63a41c94,0x443f1c95,0x2d840098}},	// [1220] сети_, _àint, ibu_, ňme_, 
   {{0x443f00cf,0x2d9a1993,0x2907010c,0x8e860038}},	//   hbu_, _trpe_, înan_, _الده, 
   {{0x499a1c0f,0x76481c96,0xef17002e,0x6d4503c6}},	//   ытая_, _redy, _ымь_, _gwha, 
   {{0x76481c97,0x443f007b,0x75281c98,0x20d21b95}},	//   _sedy, jbu_, _rudz, pšiu_, 
   {{0x7d041c99,0x4b550093,0x75281c9a,0xc0530070}},	//   mlis, _мърт, _sudz, לזא_, 
   {{0x7d041c9b,0xf1ca000d,0x386d02cd,0x60dd1c9c}},	//   llis, ानमन, _ecer_, zism, 
   {{0x26dc1c9d,0x67211c9e,0x2d981c9f,0x60dd1ca0}},	//   rivo_, _dilj, nvre_, yism, 
   {{0x7d041ca1,0x60dd1ca2,0x76480156,0x2d980107}},	//   nlis, xism, _wedy, ivre_, 
   {{0x47c600ce,0x26dc1ca3,0xf7430d11,0x7d041ca4}},	//   _убав, pivo_, _нето, ilis, 
   {{0x660102fb,0x60dd016a,0x41541ca5,0x7648011c}},	//   _fylk, wism, овос, _uedy, 
   {{0x443f1ca6,0x8afb00c7,0xff5f03c6,0x63a41ca7}},	//   bbu_, רהיי, wrî_, _šind, 
   {{0x7d0400cf,0x7c260175,0x60dd1ca8,0x00000000}},	//   jlis, _ngkr, uism, --, 
   {{0x44261ca9,0xe6c4010d,0x7d040187,0x6d5a0187}},	//   _igo_, _þjóð, dlis, átan, 
   {{0x7d160228,0x60dd076b,0xff5f0216,0x7d041caa}},	//   emys, sism, rrî_, elis, 
   {{0x6d5a00f1,0x7d041cab,0x44261cac,0x91fc01dd}},	//   štan, flis, _kgo_, zgāj, 
   {{0xd9041cad,0x7d041cae,0xa2d40ed5,0x9c391caf}},	//   _سی_, glis, योर्, рпат_, 
   {{0x2d8c01cc,0x63a40183,0x88bd0035,0x44260210}},	// [1230] æder_, _áind, _liśc, _mgo_, 
   {{0x7d041cb0,0x443f1cb1,0x2d980151,0x61ff039f}},	//   alis, zbu_, bvre_, _ízlé, 
   {{0x7d041cb2,0x443f1cb3,0x44261cb4,0x6d3416d0}},	//   blis, ybu_, _ogo_, _неэф, 
   {{0x44261cb5,0x2d810415,0x67211cb6,0x20d20097}},	//   _ngo_, _iphe_, _silj, lšir_, 
   {{0xd3661cb7,0x672908f4,0x443f026e,0xdbe30183}},	//   _ته_, _quej, vbu_, _téño, 
   {{0xe5a51cb8,0xa3be0bb6,0x3ce900b3,0x91fc01dd}},	//   жики, ीनन_, lnav_, rgāj, 
   {{0x67211cb9,0x44260102,0x5fe002e6,0x0319009c}},	//   _vilj, _bgo_, _पेनल, یتخت_, 
   {{0x2d81084c,0x44260354,0x443f1cba,0x00000000}},	//   _mphe_, _cgo_, ubu_, --, 
   {{0x443f1cbb,0x7b1001c4,0x44260126,0xb05b0380}},	//   rbu_, bäud, _dgo_, nhäu, 
   {{0x66010da6,0x443f1cbc,0x7d161cbd,0xa7b800d3}},	//   _tylk, sbu_, zmys, _улуу_, 
   {{0x00861cbe,0x7d041cbf,0x75220054,0xd04f00ad}},	//   олно, ylis, _fioz, licə, 
   {{0x2eb41cc0,0xc952008d,0x7d0400a3,0xafa21cc1}},	//   ुस्त, ומט_, xlis, дқиқ, 
   {{0xfc460187,0xbebb024a,0x7d041cc2,0x64590096}},	//   šíka_, jqës, vlis, _idwi, 
   {{0x61451b02,0x7d04008a,0x644b0610,0x752201d6}},	//   _дека, wlis, _hegi, _zioz, 
   {{0x7d041cc3,0x644b1cc4,0xdddc0a1a,0x7e2302a0}},	//   tlis, _kegi, ferš, ддрж, 
   {{0x0ce80086,0xb05b161f,0xdca302f1,0x7d041cc5}},	//   পত্ত, lkän, маси, ulis, 
   {{0x7d041cc6,0xeb970088,0x644b1cc7,0xcb6a1cc8}},	// [1240] rlis, оит_, _megi, разе_, 
   {{0xda6600eb,0xb05b1cc9,0x7d1602d9,0xda650038}},	//   تاري, nkän, smys, كامي, 
   {{0x1d0a1cca,0x645900ab,0xdddc1826,0xe9da0267}},	//   _вени_, _odwi, berš, јке_, 
   {{0x644b1ccb,0xa8a3021c,0xe8fa0d3d,0x6459045a}},	//   _negi, дршк, шле_, _ndwi, 
   {{0xb05b02ae,0x44260106,0x163402a3,0x00000000}},	//   phäv, _rgo_, пеля, --, 
   {{0x8f9b1ccc,0xd94603dc,0xe0df01d8,0xbf9b0147}},	//   ייני, _меги, ziò_, יינש, 
   {{0x2bde072e,0xb05b014e,0xe5a30267,0x91fc0243}},	//   _नेता, dkän, дији, rgāk, 
   {{0x644b186a,0x18671ccd,0x75cb0259,0xd37a019c}},	//   _cegi, _маси_, штің_, ачо_, 
   {{0x644b1cce,0xe0df0036,0xe7371ccf,0x00000000}},	//   _degi, viò_, _мет_, --, 
   {{0x29061cd0,0x8af00095,0x64591cd1,0x3ce0007e}},	//   lloa_, qsəd, _edwi, hiiv_, 
   {{0x27300029,0x644b1cd2,0x29061cd3,0x7522019c}},	//   _hàn_, _fegi, oloa_, _tioz, 
   {{0x6ab70c59,0x44261cd4,0xbebb024a,0x644b1cd5}},	//   _आक्र, _ugo_, yqës, _gegi, 
   {{0x6d5a09b2,0x69c1007e,0x3ce90352,0x290600b4}},	//   štal, _ülev, vnav_, iloa_, 
   {{0xdefb0e14,0x2005002a,0x27300029,0x2bd5031e}},	//   рым_, āli_, _màn_, _ठेगा, 
   {{0x27301cd6,0x62881cd7,0xc8bc1615,0xdd9801a2}},	//   _làn_, medo, ्घाट, ошт_, 
   {{0x62881cd8,0x5ce7017b,0x00000000,0x00000000}},	//   ledo, іюва, --, --, 
   {{0x60c01cd9,0x27300023,0x3ce9010c,0x00000000}},	// [1250] ömme, _nàn_, rnav_, --, 
   {{0x62881cda,0x29061cdb,0x3ce90339,0xb4c7072d}},	//   nedo, eloa_, snav_, _उत्_, 
   {{0xdc3f026e,0x19ab00d3,0xb05b02eb,0x00000000}},	//   líčk, штап_, shäu, --, 
   {{0xd04f06d0,0x27301cdc,0x26f51cdd,0xb05b0380}},	//   ticə, _bàn_, ेत्र_, chät, 
   {{0xf7451cde,0x23d9010f,0xdc3f05a8,0x6d55010e}},	//   чело, _बेंद, níčk, lsza, 
   {{0x27301cdf,0x644b1ce0,0x62880eae,0x6b8d1ce1}},	//   _dàn_, _segi, jedo, mwag, 
   {{0x62881ce2,0x6b8d0b32,0xb05b02ae,0x00000000}},	//   dedo, lwag, vkän, --, 
   {{0xe7870e65,0x28f8004f,0x00000000,0x00000000}},	//   _музо, _десь_, --, --, 
   {{0x644b1ce3,0x6b8d1ce4,0xf41f0088,0xdc3f014b}},	//   _vegi, nwag, ää_, jíčk, 
   {{0x62881ce5,0x04fd0086,0x644b02a5,0x425508b8}},	//   gedo, ুদের_, _wegi, чтит, 
   {{0x644b1ce6,0xb05b161f,0xe2990e65,0x6b8d1ce7}},	//   _tegi, rkän, _ҳал_, hwag, 
   {{0x6b8d1ce8,0xb05b02ae,0x69c101a4,0x00000000}},	//   kwag, skän, _üleu, --, 
   {{0xa3d300a2,0xe2991ce9,0x2004008c,0x7643006d}},	//   _हेच_, _гал_, æmi_, obny, 
   {{0x6d5a07c7,0x2cb901be,0x62881cea,0xb05b161d}},	//   štam, _aosd_, cedo, lkäl, 
   {{0x2d9e0076,0x6da31c93,0x764302cd,0x6d550019}},	//   íte_, нира, ibny, gsza, 
   {{0xd7bd009a,0x2cb901be,0xb05b17f8,0xdc3f0098}},	//   ्नाच, _cosd_, nkäl, bíčk, 
   {{0xab660ff6,0x673b023b,0x6b8d1ceb,0x00000000}},	// [1260] явал, _ntuj, gwag, --, 
   {{0x0e661cec,0x3f921a71,0x80aa0ead,0xcff700d1}},	//   _экон, _isyu_, टावे, _מצפה_, 
   {{0x98b0034c,0x2730001b,0x3ebb00a7,0xdebb00a7}},	//   šači_, _sàn_, _הציב, _המיל, 
   {{0x77621ced,0x6b8d1cee,0x186a1cef,0xeb9f01e8}},	//   trox, bwag, сади_, _frø_, 
   {{0xfc3f1cf0,0x65630380,0x47331cf1,0x6b8d0610}},	//   _unía_, ernh, еніс, cwag, 
   {{0x62881cf2,0x996400bc,0x2b401cf3,0x27300108}},	//   xedo, může_, mpic_, _vàn_, 
   {{0xb0cc0c73,0x673b0080,0xdc3f00da,0x9d000033}},	//   ासाग, _etuj, zíčk, ্দীন_, 
   {{0x628802bf,0x273000e7,0x77621cf4,0x6f02007a}},	//   wedo, _tàn_, prox, _íocf, 
   {{0x7643039f,0x656300a1,0x00000000,0x00000000}},	//   bbny, arnh, --, --, 
   {{0xb6c8006b,0x7afe1cf5,0x68e21cf6,0x86ea0038}},	//   _بارے_, nopt, liod, _اعرف_, 
   {{0x6d5a00f1,0x6b8d1cf7,0x69c100b0,0xe3af0444}},	//   štaj, zwag, _ület, نری_, 
   {{0xeafa058f,0x68e21cf8,0x62881cf9,0x2347009c}},	//   ्तुत_, niod, sedo, _کلوپ_, 
   {{0x62881cfa,0x98a70112,0xa4b700d1,0x3eba00b9}},	//   pedo, šići_, _מלאה_, _bopt_, 
   {{0x628800e5,0x6d551cfb,0x3eba00b3,0xe2971cfc}},	//   qedo, tsza, _copt_, _нач_, 
   {{0xf29703e1,0x3ebe14b1,0x200c00ad,0x6b8d1cfd}},	//   _זכור_, ötta_, ədim_, wwag, 
   {{0x6d551cfe,0x6b8d1cff,0xfbde00a2,0x2bde1d00}},	//   rsza, twag, _नेहम, _नेहा, 
   {{0x6d55006b,0x68e21d01,0xa3be00bd,0xbab91d02}},	// [1270] ssza, diod, ीनि_, огах_, 
   {{0x6b8d1d03,0x88bd0035,0xb05b0380,0x6d551d04}},	//   rwag, _ciśn, chär, psza, 
   {{0xc178012d,0x673b02cd,0x2cb901be,0xceb20147}},	//   ntė_, _stuj, _tosd_, _סיט_, 
   {{0xa3be05fd,0xc178012d,0x2ee3012e,0xec6b1d05}},	//   ीना_, itė_, lijf_, _урок_, 
   {{0x60cd009c,0x3a38016c,0x66cf00fc,0xab841d06}},	//   _mlam, _ffrp_, _løke, _пурк, 
   {{0x60cd1d07,0x25de000d,0x7afe1d08,0xc7a203a1}},	//   _llam, _केही_, copt, тишк, 
   {{0x60cd1d09,0xf6500133,0xb05b00c8,0x00000000}},	//   _olam, ائه_, tkäl, --, 
   {{0x68e2002e,0x2ee301c8,0x387f1d0a,0xe894012d}},	//   ciod, hijf_, _ubur_, _пась, 
   {{0xc1780009,0x673b1d0b,0x78a91d0c,0x00000000}},	//   etė_, _utuj, _inev, --, 
   {{0x78bb1d0d,0x69c1007e,0x66cf00dd,0x130600c8}},	//   _houv, _üles, _bøke, мный_, 
   {{0x78bb1d0e,0x208a1d0f,0xf38000f0,0x60cd1d10}},	//   _kouv, ойни_, _ұғым, _blam, 
   {{0xafe602fb,0xd00a02a0,0x15e31d11,0x78bb10cc}},	//   домл, жеме_, _केयर_, _jouv, 
   {{0x78bb1d12,0x60cd1d13,0x92b50038,0x00000000}},	//   _mouv, _dlam, _يحتا, --, 
   {{0x78bb1d14,0x60cd007e,0xafdb1341,0x68e21d15}},	//   _louv, _elam, mbøl, ziod, 
   {{0x99980082,0x60cd1d16,0x78a91a0d,0x00000000}},	//   _serž_, _flam, _onev, --, 
   {{0x78bb1d17,0x7afe0237,0x68e20068,0xb05b1d18}},	//   _nouv, wopt, xiod, shär, 
   {{0xb05b01c4,0x32070090,0xa2d40659,0x00000000}},	// [1280] phär, _hyny_, योक्, --, 
   {{0x273b00b3,0x60cd1d19,0x78a9107c,0xd9460ca4}},	//   _mână_, _zlam, _anev, дежи, 
   {{0x2d9c0019,0xdce9027e,0x78bb1d1a,0x2b400144}},	//   _éve_, _çoğu, _bouv, spic_, 
   {{0x5883058b,0x78bb026d,0x60cd0065,0x52bc00bd}},	//   выша, _couv, _xlam, _ोत्स, 
   {{0x78bb0300,0xba560093,0xd5af009c,0x711b0070}},	//   _douv, _отвъ, یفه_, קונפ, 
   {{0x68e21d1b,0xc1780009,0x78a91d1c,0x46a31d1d}},	//   siod, ytė_, _enev, качв, 
   {{0x26190c46,0x06c20033,0xdddc00da,0x00000000}},	//   येली_, ্চলি, berť, --, 
   {{0x78bb1d1e,0x6abc008c,0x78a904cb,0x23c9009a}},	//   _gouv, _horf, _gnev, िनंद, 
   {{0x66cf00dd,0x69c100c2,0x60cd01fd,0x00000000}},	//   _søke, _üler, _rlam, --, 
   {{0x60cd1d1f,0xc17a004f,0xf7d7008d,0x6abc00f6}},	//   _slam, оїм_, _חומש_, _jorf, 
   {{0xa50a0a10,0xb05b12b7,0xa2d41d20,0x00000000}},	//   _дежа_, skäm, योग्, --, 
   {{0x224907c7,0xc178012d,0x30a70a74,0xd4c60038}},	//   _đake_, rtė_, фров, _تغطي, 
   {{0x351b00c7,0xc178012d,0x60cd0511,0x60c00219}},	//   _וואנ, stė_, _vlam, ömma, 
   {{0x39411d21,0x32070156,0x213c0023,0xdd95022c}},	//   yphs_, _fyny_, _ttvh_, нагы, 
   {{0x63a21d22,0x67281d23,0x27fa00ab,0x60cd0364}},	//   _hron, _midj, ępny_, _tlam, 
   {{0x60cd1d24,0x629a1d25,0x6ee900d0,0x51831d26}},	//   _ulam, ldto, džbe, _руша, 
   {{0x5b151d27,0x63a200c5,0x62981d28,0x6abc1d29}},	// [1290] емат, _jron, _kavo, _borf, 
   {{0x78bb1d2a,0x629800cf,0x6abc0156,0x672802fe}},	//   _souv, _javo, _corf, _nidj, 
   {{0x78bb1d2b,0x25de02f8,0x78a9008b,0x21291780}},	//   _pouv, _केली_, _pnev, _kiah_, 
   {{0x62981d2c,0x20090633,0x63a20a77,0x7d090405}},	//   _lavo, _kyai_, _oron, ċess, 
   {{0x6abc1d2d,0x21290065,0x67280300,0x7f4d00a4}},	//   _forf, _miah_, _bidj, _jwaq, 
   {{0x6abc02bf,0xda7e020b,0x7f4d00a4,0x2d870151}},	//   _gorf, íďte_, _mwaq, _ânes_, 
   {{0x63a21d2e,0xd5b11c8f,0x2d91016c,0x7ae50175}},	//   _aron, افع_, nwze_, miht, 
   {{0x273b002e,0xe3b91d2f,0x21290065,0x7ae51d30}},	//   _până_, зби_, _niah_, liht, 
   {{0x03251d31,0x65930095,0x20091d32,0x32071d33}},	//   ндин, _məhə, _nyai_, _syny_, 
   {{0x7dee0019,0x629800fd,0x3f4d1d34,0xe3c300d3}},	//   nősé, _cavo, džu_, ерүү, 
   {{0x62981d35,0x21290065,0x69c50a98,0x46ac0e6e}},	//   _davo, _biah_, nyhe, चारह, 
   {{0x0ef8047c,0xf9da00c7,0x629a1d36,0x21290096}},	//   ंक्स_, פֿיל, adto, _ciah_, 
   {{0x63a21d37,0x2129170d,0xada300a3,0xafdb0566}},	//   _gron, _diah_, қатл, lbøj, 
   {{0x248d050a,0xe3b000d6,0x6d420082,0xe29916d2}},	//   leem_, _خرم_, _čoab, _хак_, 
   {{0x57bd0351,0xdd921d38,0x00000000,0x00000000}},	//   ्नुह, دوز_, --, --, 
   {{0x248d0691,0x91fc01dd,0x659300ad,0xeafa00b0}},	//   neem_, rgāt, _cəhə, ्त्त_, 
   {{0x6abc1d39,0xc4d200c7,0x2cab0126,0x62980027}},	// [12a0] _porf, אגן_, _dncd_, _yavo, 
   {{0x248d006f,0x629800a3,0x19f60bae,0x00000000}},	//   heem_, _xavo, нџер, --, 
   {{0x672802fe,0xa84a0038,0x6abc1d3a,0x2cab0237}},	//   _ridj, كلام_, _vorf, _fncd_, 
   {{0x67281d3b,0xab2a0176,0x00000000,0x00000000}},	//   _sidj, _нома_, --, --, 
   {{0x66e61d3c,0x1c1c1d3d,0x6abc1d3e,0x248d1d3f}},	//   нода, पेशल_, _torf, deem_, 
   {{0x6d411d40,0x3cff0242,0x69c51d41,0x659300ad}},	//   ílag, čuve_, byhe, _zəhə, 
   {{0x67281d42,0x248d006d,0x62981d43,0xa2c30e07}},	//   _vidj, feem_, _ravo, ाउन्, 
   {{0x62981d44,0x67281d45,0x692c020f,0x6911042a}},	//   _savo, _widj, _eşec, låen, 
   {{0x62981d46,0xf31801a2,0xe3b20195,0xa6860478}},	//   _pavo, моиш_, ارع_, _плад, 
   {{0x2129033e,0x00000000,0x00000000,0x00000000}},	//   _siah_, --, --, --, 
   {{0x200902cd,0x629800a9,0x21290065,0x63a200d1}},	//   _syai_, _vavo, _piah_, _wron, 
   {{0x63a20124,0x6298019b,0x3cfa0035,0x00000000}},	//   _tron, _wavo, ंवों_, --, 
   {{0x09dd09d3,0xbfa81d47,0x62981d48,0x240a00cf}},	//   _मध्य, нтре_, _tavo, _энди_, 
   {{0x63ad032f,0x61eb0019,0xb3e90038,0x659300ad}},	//   _šang, állá, _تعمل_, _səhə, 
   {{0xe29b00c7,0x7ae50121,0xe2971329,0x51861d49}},	//   _זשור, viht, _чај_, _чула, 
   {{0xb05b00c8,0x2f1602c9,0xfd13189a,0x7f4d003d}},	//   kkäi, væge_, اجس_, _twaq, 
   {{0x3a751d4a,0x7dee006b,0xe7e00f63,0x2d9e0eca}},	// [12b0] клар, tősé, _खेला_, åter_, 
   {{0x69111d4b,0x3a741d4c,0x63bd03a9,0x257a0034}},	//   gåen, ллур, øsni, kël_, 
   {{0x1df90088,0x7ae51d4d,0x291d0027,0xb05b1279}},	//   _цены_, riht, tmwa_, tkäh, 
   {{0xf7711b44,0xa9070411,0x248d0201,0x69c50326}},	//   لات_, ربان, xeem_, ryhe, 
   {{0x7d0d1d4e,0x57bd00bc,0xadfc0035,0x257a0326}},	//   mlas, ्नेह, _एडऑन_, eël_, 
   {{0x7d0d1d4f,0x00000000,0x00000000,0x00000000}},	//   llas, --, --, --, 
   {{0x6d5a03ef,0x1af41d50,0x257a00e5,0x8aa40093}},	//   štav, _спря, gël_, _сряд, 
   {{0x7d0d1d51,0xa3be0110,0x00000000,0x00000000}},	//   nlas, ीनं_, --, --, 
   {{0x58d411db,0x3f8901a0,0x07351d52,0x248d1d53}},	//   _сотт, _npau_, _резю, reem_, 
   {{0x7d0d1d54,0x248d18b5,0xc3c800eb,0x257a0034}},	//   hlas, seem_, عظيم_, bël_, 
   {{0xa06a1d55,0x3de100cc,0x7d0d1d56,0x860200d4}},	//   мана_, _মুসল, klas, _پژوه, 
   {{0xa2a11d57,0x34950477,0xf99200d1,0xca75040c}},	//   _कोर्, _јадр, ברט_, _nizо, 
   {{0xe28e1d58,0x64491d59,0x7d0d1d5a,0x2d8c003d}},	//   _ка_, mbei, dlas, ħdem_, 
   {{0xa3da1d5b,0x200c01dd,0x64491d5c,0x20c20038}},	//   _डेट_, ādi_, lbei, _cóir_, 
   {{0xfc3f0032,0xe0da1d5d,0x644901d6,0x443d1d5e}},	//   _kníh_, _овк_, obei, _kfw_, 
   {{0x64491d5f,0x443d016a,0xa0a30cdf,0x753c0019}},	//   nbei, _jfw_, _ваъд, _érze, 
   {{0x69111d60,0x1d071d61,0x442f016a,0x60dd0034}},	// [12c0] tåen, тети_, _mgg_, ërme, 
   {{0x6281007b,0x4a431438,0x7d0d00b0,0x692c0474}},	//   nflo, инув, alas, _aşea, 
   {{0x7d0d1d62,0x00000000,0x00000000,0x00000000}},	//   blas, --, --, --, 
   {{0xf74613e6,0x442f14e2,0xc8631d63,0x8af00248}},	//   ведо, _ngg_, атши, msəm, 
   {{0xd7ef0084,0x7d041d64,0x09290038,0xe7371d65}},	//   يكم_, mois, رسمي_, веч_, 
   {{0x7d041d66,0xa2a11d67,0x6d5a0187,0x442f1d68}},	//   lois, _कोल्, štau, _agg_, 
   {{0x6d5c03d8,0x1ae30cf8,0x442f17c3,0x09e61d69}},	//   nsra, _торм, _bgg_, _ровн, 
   {{0x7d041d6a,0x224907c7,0xd3a61d6b,0x69c300c8}},	//   nois, _đaka_, вроп, änee, 
   {{0x613e00e0,0x62810844,0x623412de,0x64a30bae}},	//   _mīle, fflo, лепу, рања, 
   {{0x7d0d1d6c,0x02a61d6d,0x7d041d6e,0x91b80165}},	//   zlas, трим, hois, егот_, 
   {{0xf48400c5,0x7d04030f,0x7d0d00cf,0xd48f1d6f}},	//   _ماشی, kois, ylas, _кр_, 
   {{0x6d5c1d70,0x63ad0082,0x6ee90372,0x7d040080}},	//   dsra, _šane, džba, jois, 
   {{0x7d041d71,0xb4c00e7d,0xfbdf040b,0x6d5c1d72}},	//   dois, ुसी_, _leêr_, esra, 
   {{0x752b0068,0x76580010,0xf1a60c1d,0x69c102be}},	//   _zigz, navy, _арин, _àleg, 
   {{0x2fcd00f1,0x7d0d1d73,0x3cff1d74,0x6d5c03c5}},	//   šeg_, tlas, लवले_, gsra, 
   {{0x656a0038,0x48bd0086,0x9d181d75,0x8c3b0380}},	//   irfh, _আগ্র, вост_, _maßg, 
   {{0x7d0d1d76,0xe7bd0086,0x5c070141,0x20c200eb}},	// [12d0] rlas, _অধ্য, тява, _tóir_, 
   {{0x7d0d1d77,0x76581d78,0xf09f03dd,0x00000000}},	//   slas, javy, ldà_, --, 
   {{0x7d0d1d79,0x7d041d7a,0x6f0200eb,0x1a9401ff}},	//   plas, bois, _íoca, рахў, 
   {{0x7d0d00cf,0x48e10086,0xf09f1d7b,0x658a00ad}},	//   qlas, যক্র, ndà_, _məhd, 
   {{0x973500d6,0x62811d7c,0xf0940147,0x00000000}},	//   اکرا, yflo, ינף_, --, 
   {{0x442f0175,0xfc3f02d9,0x00000000,0x00000000}},	//   _sgg_, _sníh_, --, --, 
   {{0xceb41a61,0x940d00ad,0x2486019c,0xa5091d7d}},	//   ייס_, ənən_, _bbom_, нека_, 
   {{0x39460082,0x26190eda,0x8a181d7e,0x00000000}},	//   ćost_, येगी_, _росс_, --, 
   {{0x64491d7f,0x57f51d80,0x27e000eb,0x76580927}},	//   rbei, _спат, úint_, bavy, 
   {{0x3ce901c1,0xf09f022c,0x64491d81,0x7d04025b}},	//   hiav_, edà_, sbei, zois, 
   {{0x62811d82,0x312603a1,0x693700ca,0x7d040548}},	//   rflo, лдог, _oćem, yois, 
   {{0x6281003e,0x20c20038,0x3f6a1d83,0x27391d84}},	//   sflo, _cóip_, нимо_, _kèn_, 
   {{0x7d041d71,0x6e290095,0x273906df,0xe3ae0097}},	//   vois, əmbə, _jèn_, _уб_, 
   {{0xe2961d85,0x249f1d86,0x249d01a0,0xfc3f00f6}},	//   _баш_, ldum_, _hawm_, _afí_, 
   {{0xa0a61d87,0x7d040088,0x249d01c1,0x69110310}},	//   _байд, tois, _kawm_, tåel, 
   {{0x249f010d,0x7b1001c4,0x6d5c1d88,0x72420019}},	//   ndum_, räum, rsra, _پھیل, 
   {{0xcb671ac0,0x237f1d89,0xca860635,0x8fa60528}},	// [12e0] лате_, ntuj_, лгай, _сапе, 
   {{0xda650084,0x249d0e0c,0x6d5a0496,0x8f9b00a7}},	//   لامي, _lawm_, átas, _טיפי, 
   {{0x7d041d8a,0xbebb0034,0xfce61d8b,0x15e30299}},	//   pois, yqëz, _боно, _केलर_, 
   {{0x249d006d,0x237f1d8c,0x27391d8d,0x7658025b}},	//   _nawm_, ktuj_, _bèn_, wavy, 
   {{0x76581d8e,0x249f1d8f,0xc6e600f0,0x4b5500fd}},	//   tavy, ddum_, лікп, _въст, 
   {{0xb8cb1d90,0x3b0a0088,0x2ca0007e,0x4e7a00c7}},	//   _को_, _чего_, ldid_, גאַצ, 
   {{0x45d41d91,0x2ca000c2,0xa2d70110,0x76581d92}},	//   ройс, odid_, यसन्, ravy, 
   {{0x2ca01d93,0x249d006f,0x76581d94,0x2ed11d95}},	//   ndid_, _cawm_, savy, _हत्त, 
   {{0xc6761169,0xe6461d96,0x667600b8,0x249d0201}},	//   _مطاب, _безп, _مدار, _dawm_, 
   {{0x63ad026e,0x2ca01d97,0x4b7b0070,0x2d9a01cf}},	//   _šanc, hdid_, עטיג, _ospe_, 
   {{0x249d006d,0xf0b51d98,0x50f50176,0x7f441d99}},	//   _fawm_, айнь, изот, _atiq, 
   {{0x249d006d,0x273900c5,0x2ca000e2,0x00000000}},	//   _gawm_, _yèn_, jdid_, --, 
   {{0xf09f00d3,0x2d9a0118,0x9f351d9a,0x2ca01d9b}},	//   rdà_, _aspe_, регі, ddid_, 
   {{0x11d60040,0x539b042c,0x249d006d,0x8c3b0502}},	//   _متعد, _ניוו, _zawm_, _maße, 
   {{0x7f441d9c,0x1df80504,0x249d006f,0x02b1009a}},	//   _etiq, геры_, _yawm_, जारभ, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x4a551d9d,0xba5500ff,0x6d471d9e,0xaa55065b}},	// [12f0] икас, ивај, spja, иваш, 
   {{0xb05b01c4,0x3ce9006d,0x27391d9f,0x658a00ad}},	//   rkäu, siav_, _rèn_, _məhb, 
   {{0x6d5a1da0,0x249f0213,0x27390300,0x66cf0566}},	//   štar, ydum_, _sèn_, _søko, 
   {{0x6d451da1,0x237f0035,0x5c0700fd,0x27391da2}},	//   _itha, ytuj_, _бяга, _pèn_, 
   {{0xc98402f1,0x0a6b1da3,0x249d0201,0xff5f010c}},	//   _қури, _први_, _rawm_, nsî_, 
   {{0x249d023b,0x65c500a3,0xb6a500a3,0xe7361da4}},	//   _sawm_, ибла, рикл, шеш_, 
   {{0xa56400eb,0xb05b00c8,0x249f00ad,0xb925007a}},	//   مدين, nkäs, tdum_, _نفسي, 
   {{0x386000eb,0xdb06011c,0x6d451da5,0xff5f0216}},	//   óirt_, _arkè, _mtha, ksî_, 
   {{0x249f05b7,0x6d45012b,0x7d1d011c,0xb05b1da6}},	//   rdum_, _ltha, _mhss, hkäs, 
   {{0x237f00ab,0x6d451da7,0x68eb1da8,0xa2e509d9}},	//   rtuj_, _otha, ligd, роод, 
   {{0x249d01c1,0x2a7600a7,0x6d45030b,0x25b90629}},	//   _tawm_, בעתך_, _ntha, _جهاد_, 
   {{0x68eb0b1f,0x20561da9,0x25de00bc,0x60261daa}},	//   nigd, штор, _केटी_, идна, 
   {{0x6d451dab,0x10a3021f,0x443f1dac,0x60dd024a}},	//   _atha, циян, mcu_, ërma, 
   {{0x443f1dad,0x7d1d01be,0x68eb0008,0x8e7600d3}},	//   lcu_, _ahss, higd, шумч, 
   {{0x5046005e,0xa01b0019,0xddc31dae,0x68eb0008}},	//   _кейб, lföl, обри, kigd, 
   {{0x1c461daf,0x6d451db0,0x645b0502,0x00000000}},	//   рнам, _dtha, naui, --, 
   {{0x6d451db1,0x6f07015e,0x68eb1db2,0x2ca0007e}},	// [1300] _etha, bojc, digd, rdid_, 
   {{0x60c41db3,0x645b02be,0xc3320486,0xb05b01a4}},	//   _hoim, haui, קוב_, skät, 
   {{0x2d9a1db4,0x29060415,0x00000000,0x00000000}},	//   _uspe_, tooa_, --, --, 
   {{0x270e0aac,0xa9671db5,0xdca61db6,0x200c0095}},	//   ित्र_, рица_, _тами, ədir_, 
   {{0xbc19004e,0x60c41db7,0x443f1db8,0x02b500c9}},	//   _бірі_, _moim, dcu_, _अचंभ, 
   {{0x658a06d0,0x60c41db9,0x236d1dba,0x3f8200e2}},	//   _rəhb, _loim, drej_, itku_, 
   {{0x6d4501be,0x2906018e,0x00000000,0x00000000}},	//   _xtha, pooa_, --, --, 
   {{0x399b0111,0x798e011c,0x63ad1dbb,0x386400b3}},	//   _בילד, _ipbw, _šana, _udmr_, 
   {{0xdb060a13,0xe6171dbc,0xff5f0216,0xe73a1dbd}},	//   _arké, лдә_, xsî_, _рез_, 
   {{0x78a21dbe,0xf2c61dbf,0xdce70083,0x443f1dc0}},	//   ldov, рсин, mują, acu_, 
   {{0x3a370056,0x6f07003a,0x60c40149,0x78a01dc1}},	//   ירים_, vojc, _boim, _kamv, 
   {{0x60c40a9a,0x69de01f1,0x236d1dc2,0xd4671dc3}},	//   _coim, izpe, brej_, _вице_, 
   {{0x77f41a4e,0x60c41dc4,0x6d45008a,0xdce70035}},	//   _अशोक_, _doim, _stha, nują, 
   {{0x0eeb00af,0x28dd00b0,0xb05b0080,0x6ee900da}},	//   тьми_, _मतभि, tkäs, ržbo, 
   {{0x3f821dc5,0xeda41dc6,0xdef81dc7,0xd2f80019}},	//   atku_, ошто, рыя_, _لکھا_, 
   {{0x78a21dc8,0xdce700ab,0x60d61dc9,0xb05b1dca}},	//   jdov, kują, _glym, rkäs, 
   {{0x78a201d8,0xab3811b9,0x68eb1dcb,0x6d5a0613}},	// [1310] ddov, ипту_, vigd, štap, 
   {{0x6e950084,0x60c40532,0x49cb177d,0x443f1dcc}},	//   _الدا, _zoim, куем_, zcu_, 
   {{0x6d451dcd,0x68eb10de,0x2b490212,0x60c40532}},	//   _utha, tigd, spac_, _yoim, 
   {{0xa3c71dce,0x271f00e6,0xcd340c30,0x00000000}},	//   _उथल_, यग्र_, _گریب, --, 
   {{0x443f034c,0x2d83012e,0x07a51dcf,0x60c01dd0}},	//   vcu_, ltje_, салн, ömmi, 
   {{0x6b9d0068,0x64420379,0x236d0ab4,0x98bc01dd}},	//   _issg, _afoi, vrej_, īvā_, 
   {{0x2d831dd1,0xe299005e,0x443f1dd2,0x645b0be0}},	//   ntje_, қан_, tcu_, taui, 
   {{0xfdf800a7,0x66cf01cc,0x947908af,0x2d8302b0}},	//   ימוש_, _køkk, уску_, itje_, 
   {{0x60c4006e,0x68e91dd3,0x130906d4,0x443f1dd4}},	//   _roim, _imed, лний_, rcu_, 
   {{0x443f0012,0xd7f81dd5,0x236d1dd6,0xa01b1dd7}},	//   scu_, _тус_, rrej_, rföl, 
   {{0xa0a61dd8,0x66cf01cc,0x60d61dd9,0x2d831dda}},	//   банд, _løkk, _plym, jtje_, 
   {{0x236d02ee,0x26c51ddb,0xa01b0219,0x90c80148}},	//   prej_, _holo_, pföl, рғиз_, 
   {{0x60c40088,0x6f1e0183,0x66cf00dd,0x68e9084c}},	//   _voim, _phpc, _nøkk, _mmed, 
   {{0x64591ddc,0x3f821ddd,0x78a21c77,0x291f006d}},	//   _hewi, rtku_, zdov, _lhua_, 
   {{0x60c41dde,0x64590da2,0x68e90219,0x63ab016a}},	//   _toim, _kewi, _omed, _hrgn, 
   {{0xeb9a1ddf,0x26c51de0,0xb05b09eb,0xcd2a1de1}},	//   либ_, _lolo_, skär, ужбе_, 
   {{0x63bb09a1,0x2d83012e,0x5baa0009,0x212002a3}},	// [1320] nxun, atje_, ыкам_, _ihih_, 
   {{0x68fb1de2,0x64591de3,0xf4121a61,0x68e91de4}},	//   _ajud, _lewi, לפן_, _amed, 
   {{0x68fb014e,0x2722001b,0xdb041de5,0x63a40183}},	//   _bjud, _hưng_, nvié, _áinv, 
   {{0x291f1de6,0x645902bf,0x26c50054,0xd7fa1de7}},	//   _chua_, _newi, _aolo_, лул_, 
   {{0x26c50039,0x96ea1de8,0x68fb023e,0xe9670240}},	//   _bolo_, лька_, _djud, _қатл_, 
   {{0xdce70035,0x78a00532,0x68fb052b,0x68e91de9}},	//   rują, _wamv, _ejud, _emed, 
   {{0x6b841dea,0x64591deb,0x2722001b,0xdce70035}},	//   ltig, _bewi, _lưng_, sują, 
   {{0x63ab02a2,0xdce70035,0xd4971dec,0x64590175}},	//   _brgn, pują, брь_, _cewi, 
   {{0x68e300e5,0x645902bf,0xd2500084,0x26c500a9}},	//   ënde, _dewi, ونة_, _folo_, 
   {{0x6b841ded,0x68e90352,0x63ab1dee,0x00000000}},	//   itig, _zmed, _drgn, --, 
   {{0x6b841def,0xd9fa00bc,0xd3d700d7,0xe4a60165}},	//   htig, ्थित_, لبیا_, _грло, 
   {{0x64591df0,0x6b841df1,0x2ed10a34,0x63bb0068}},	//   _gewi, ktig, हस्त, bxun, 
   {{0xdfd80141,0x765a1df2,0x272200e7,0x6b84039b}},	//   бър_, _kety, _cưng_, jtig, 
   {{0xd9fa1df3,0x27220023,0x6459009e,0x66cf076b}},	//   ्थात_, _dưng_, _zewi, _røkk, 
   {{0x765a1df4,0x6b840511,0x691804b3,0xfd1f0023}},	//   _mety, etig, víen, _phì_, 
   {{0x2d830b32,0x6b841df5,0x628801da,0x753a0027}},	//   rtje_, ftig, lfdo, _mutz, 
   {{0x6b841df6,0x2d831df7,0x3ea11df8,0x6c5400d3}},	// [1330] gtig, stje_, _taht_, якту, 
   {{0x68e91df9,0x765a1dfa,0xf41a0033,0x63bd02ae}},	//   _smed, _nety, _ডলার_, äsni, 
   {{0xfd1f00f7,0x753a02ec,0x6b841dfb,0x291f0201}},	//   _thì_, _nutz, atig, _phua_, 
   {{0x26c51dfc,0x291f006f,0x48150caa,0xa3b800bc}},	//   _solo_, _qhua_, омес, ङमा_, 
   {{0x66040824,0x765a0dcb,0x6c7a00c7,0x26c51dfd}},	//   şikl, _bety, _דארפ, _polo_, 
   {{0x35c904b6,0x321c00de,0x64591dfe,0x00000000}},	//   игло_, _ozvy_, _sewi, --, 
   {{0x765a01ee,0x26c51dff,0x291f1e00,0xd05d0095}},	//   _dety, _volo_, _thua_, sisə, 
   {{0x93451e01,0x6459010c,0xf99207e4,0x68e91e02}},	//   оние, _qewi, _קרן_, _umed, 
   {{0x26c51e03,0xdcfc00e0,0x03a51e04,0x76b900d9}},	//   _tolo_, ntrā, ципо, _клар_, 
   {{0xdddc0019,0x21201e05,0x765a01da,0x79850026}},	//   zerű, _shih_, _gety, othw, 
   {{0x63bb0183,0x64591e06,0x27220023,0x7985019b}},	//   sxun, _tewi, _sưng_, nthw, 
   {{0x297a00c7,0x79850156,0x63ab0588,0x7b100380}},	//   סטרא, ithw, _trgn, läut, 
   {{0xa3bb11b7,0x9405009c,0x63ab0036,0x79500118}},	//   _حاضر_, _بوشه, _urgn, _kòwò, 
   {{0x673b095a,0x63a91e07,0x217500b3,0x161d1e08}},	//   _muuj, mven, _дуир, _फरार_, 
   {{0x63a91e09,0x6da31e0a,0xed5a1c3e,0xada31e0b}},	//   lven, мира, роб_, марл, 
   {{0x63a91e0c,0x161e00c9,0x272200e7,0xb4c702e6}},	//   oven, येटर_, _tưng_, _ईको_, 
   {{0xab6600dd,0x63a41e0d,0x6b841e0e,0x798500f8}},	// [1340] ювал, _áint, utig, ethw, 
   {{0x6b841e0f,0x63a91e10,0x00000000,0x00000000}},	//   rtig, iven, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x765a1e11,0xac760019,0x274a05b2,0x6d4e0657}},	//   _sety, _بادش, ачко_, mpba, 
   {{0x765a1e12,0x63a9012e,0x6b840104,0xd7061e13}},	//   _pety, jven, qtig, озди, 
   {{0x356a1e14,0x63a91e15,0x645d008c,0x2d8503a1}},	//   арин_, dven, ðsin, àleg_, 
   {{0xd54700ce,0xa9671e16,0xe6da0262,0x63a91e17}},	//   опје_, _мира_, _भतीज, even, 
   {{0x94aa0da9,0x387f0038,0x7d1600fb,0x67e6040c}},	//   ртка_, _gcur_, nlys, _hаjm, 
   {{0xdb0400b9,0x63a91e18,0x00000000,0x00000000}},	//   nviï, gven, --, --, 
   {{0x63a41e19,0xd56400d9,0x7d1600f8,0x6f02007a}},	//   _šins, _еӂип, hlys, _íoch, 
   {{0xdb040183,0x7d161e1a,0x6d4e01d2,0x60dd1e1b}},	//   nxiñ, klys, jpba, thsm, 
   {{0x63a91216,0x40350235,0x00000000,0x00000000}},	//   bven, яемс, --, --, 
   {{0x4ea717ac,0x63a9002e,0x7522007c,0x66cf00fc}},	//   орва, cven, _ihoz, _søki, 
   {{0xe2971e1c,0xe7f200c9,0x7d1617c6,0x00000000}},	//   _мач_, _आइना_, elys, --, 
   {{0x78170c59,0x7b1001c4,0x75220026,0xddc50241}},	//   _तर्क_, häus, _khoz, _dehş, 
   {{0xd5a4082c,0x63a40183,0xdcee01dd,0x69c300b0}},	//   _یہ_, _áins, tubā, änem, 
   {{0x28ab1615,0x79850226,0x6d4e123b,0x00000000}},	// [1350] _घोषि, wthw, apba, --, 
   {{0x7e990019,0x387f1e1d,0x395803c6,0x00000000}},	//   _اندر_, _scur_, _bwrs_, --, 
   {{0xdcfc002a,0x39580156,0x0e9a00d1,0x658a00ad}},	//   strā, _cwrs_, _השתל, _səhn, 
   {{0x236603ef,0xe5a5196c,0x79851e1e,0x6ee91e1f}},	//   _ovoj_, ҷики, rthw, džbi, 
   {{0x7d0d1e20,0xba7700eb,0x66dd1e21,0xf68000d8}},	//   moas, _واست, _lèke, ěžně_, 
   {{0x7d0d1e22,0x63a91e23,0x60dd024a,0x752201f1}},	//   loas, vven, ërmj, _ahoz, 
   {{0x39580156,0x6f060216,0x546903a1,0x00000000}},	//   _gwrs_, lîbû, байм_, --, 
   {{0x7d0d1e24,0x2ec81e25,0x75221e26,0xb4d500c2}},	//   noas, _रक्त, _choz, हसे_, 
   {{0x63a9026a,0xf3f900b3,0x6f06009e,0x225c0604}},	//   uven, faţa_, nîbû, _bevk_, 
   {{0x67211e27,0x225c0604,0x23660ed9,0x2b4b0210}},	//   _uhlj, _cevk_, _dvoj_, _mtcc_, 
   {{0x66dd011c,0xa0a61e28,0x7d0d0080,0x00000000}},	//   _cèke, панд, koas, --, 
   {{0x21060aac,0x2b4b012b,0x7d0d00b3,0x00000000}},	//   रवेश_, _otcc_, joas, --, 
   {{0x087600c7,0xe45600c7,0x2d9c0068,0xdfd20195}},	//   הערט_, _זינט_, _ávez_, ريس_, 
   {{0x75291e29,0x6f06010c,0x00000000,0x00000000}},	//   lmez, dîbû, --, --, 
   {{0x2cf9190a,0x412a1e2a,0x7d0d020f,0x7d16076b}},	//   ्कूल_, _локо_, foas, tlys, 
   {{0x0b461e2b,0x201e06d0,0x2b5901f2,0xb05b0080}},	//   знан, ətin_, _bwsc_, ljän, 
   {{0x7d16050f,0xfc030e43,0x2b5903c6,0xfce3058e}},	// [1360] rlys, епто, _cwsc_, хото, 
   {{0x7d161e2c,0x6d4e1e2d,0xdb0400b4,0x00000000}},	//   slys, ppba, txiñ, --, 
   {{0x7d160fd6,0x2d930183,0xbe3b00d1,0xdb040183}},	//   plys, _gpxe_, _לעית, uxiñ, 
   {{0x7d0d1e2e,0x68431e2f,0x6f0e0888,0xc18c0070}},	//   coas, енца, lobc, שטאָ, 
   {{0xdc370137,0x68e31e30,0x00000000,0x00000000}},	//   _מאכט_, ënda, --, --, 
   {{0x75221e31,0x7b100380,0x66e303bd,0x658a0248}},	//   _shoz, räus, ноча, _fəhl, 
   {{0x23660c88,0x8af00095,0xceb300d1,0x39e700fd}},	//   _svoj_, ssəs, תיו_, _едро_, 
   {{0x18a31e32,0x68130035,0x15ba00f0,0xd37a09f9}},	//   _пасм, _będą, _қызы_, бчо_, 
   {{0x66dd023e,0x225c0604,0x20050241,0x00000000}},	//   _sèke, _pevk_, ğlik_, --, 
   {{0xfc3f0183,0xe5a61e33,0x66dd011c,0x20050213}},	//   _maía_, _низи, _pèke, şlik_, 
   {{0x74161372,0x7d0d025b,0x00000000,0x00000000}},	//   _کوشا, yoas, --, --, 
   {{0x693703e5,0x23661e34,0x09f700d1,0x55bb00d1}},	//   _kćer, _tvoj_, למים_, _למבו, 
   {{0x7d0d1e35,0xa3cd1489,0xbff80bf8,0xdfd800fd}},	//   voas, रहण_, зеях_, пър_, 
   {{0x63a20199,0xdefb001c,0x3d95028a,0xdd9500d3}},	//   _ison, сым_, мигр, магы, 
   {{0x7d0d1e36,0x629a1e37,0xbbc5021a,0xec6b1e38}},	//   toas, meto, लङ्क, йрак_, 
   {{0x7aee01c8,0xc8ab00a5,0xfc3f0587,0x51fb00d1}},	//   _ambt, _घोंट, _baía_, _להוצ, 
   {{0x7d0d002e,0x9ccb03aa,0xfc3f0169,0x3f9d01e5}},	// [1370] roas, _ғына_, _caía_, _èwu_, 
   {{0x63a21e39,0x7d0d1e3a,0x7f4d1e3b,0x6f06009e}},	//   _mson, soas, _itaq, rîbû, 
   {{0x63a202a2,0x7d0d1e3c,0x7529021e,0x69da01a4}},	//   _lson, poas, ymez, _ütel, 
   {{0x3ce01e3d,0x63a21e3e,0x629a1e3f,0x00000000}},	//   chiv_, _oson, heto, --, 
   {{0x6d4a00e5,0xdcfc00d9,0x63a20298,0xd3661e40}},	//   _çfar, stră, _nson, _جه_, 
   {{0x629a1e41,0x658a06d0,0x2ca91e42,0x7b100502}},	//   jeto, _təhl, ldad_, säur, 
   {{0x63a21e43,0x65920267,0x7f4d00a4,0xa9a408ba}},	//   _ason, вају, _ltaq, _пиёд, 
   {{0x2ca91e44,0x7f4d0095,0xddde0118,0x00000000}},	//   ndad_, _otaq, _depň, --, 
   {{0x75290405,0x290f0730,0xb05b022b,0x629a0122}},	//   rmez, moga_, tjän, feto, 
   {{0x2bdf031e,0xe3ca0126,0x658a00ad,0x69c802be}},	//   पैया, _soñó_, _zəhm, _àdec, 
   {{0x7f4d0b85,0x63a21e45,0x93ca010e,0xdb24010e}},	//   _ataq, _eson, مایہ_, ésén, 
   {{0x290f1e46,0x386d011c,0x6aa70604,0x00000000}},	//   noga_, _jder_, _lajf, --, 
   {{0x2ca91e47,0x27200054,0x03a500d9,0x290f00b9}},	//   ddad_, lòna_, _цило, ioga_, 
   {{0x2ca90369,0xe29600d3,0x629a1e48,0x290f1e49}},	//   edad_, _жаш_, ceto, hoga_, 
   {{0x386d02e7,0x290f0112,0x6f0e0076,0xa0a608a5}},	//   _oder_, koga_, robc, _жайд, 
   {{0x386d024a,0x7f4d008a,0xb05b0080,0xb5fc01f2}},	//   _nder_, _ftaq, njäl, _weġg, 
   {{0x6aa70082,0x394d0352,0x290f01ff,0xdb0600da}},	// [1380] _bajf, _česa_, doga_, _arká, 
   {{0x386d00e2,0xb05b183f,0x63a61e4a,0x7d090352}},	//   _ader_, hjäl, ækni, česa, 
   {{0xe8200081,0x888608a7,0x290f1e4b,0x62830126}},	//   _बरहा_, длеж, foga_, _mcno, 
   {{0xa3bf00a5,0xa3cd1e4c,0x61ee0183,0x27200379}},	//   ीहा_, रहा_, úbli, dòna_, 
   {{0x8cdb07d5,0x66e61e4d,0x629a1e4e,0xd70a00b3}},	//   नसरो, мода, yeto, онде_, 
   {{0x473300dd,0x386d1e4f,0x629a0183,0xb5fc01f2}},	//   вніс, _eder_, xeto, _leġe, 
   {{0xe8200081,0x290f1e50,0x69d8192b,0x66cf0664}},	//   _बरवा_, boga_, øved, _røkt, 
   {{0x32db009e,0x3eba0065,0x629a1e51,0x66cf017b}},	//   _rêya_, _lnpt_, weto, _søkt, 
   {{0xd90d182b,0x629a1e52,0xa68602f1,0x22490241}},	//   _این_, teto, _олад, _şaka_, 
   {{0xb6cb0105,0x68e200da,0xd62a1e53,0x45d609f9}},	//   _والے_, lhod, _дозе_, _оцет, 
   {{0x94861e54,0x629a1e55,0x658a06d0,0x02a3012d}},	//   _жылд, reto, _məhk, трым, 
   {{0x63a21e56,0x75490019,0x386d00e2,0x68e2019c}},	//   _tson, őszö, _xder_, nhod, 
   {{0x3eba016a,0x26cc1e57,0x04431c52,0x63a21e58}},	//   _bnpt_, _kodo_, _речн, _uson, 
   {{0xe1ef125e,0x7ce30077,0x3eba0183,0xfc3f001d}},	//   اسی_, _kõrg, _cnpt_, _caín_, 
   {{0x9f341e59,0xdc3a0c05,0xc32700eb,0x290f1e5a}},	//   тері, _açık, _تكون_, yoga_, 
   {{0xe7ab0228,0x66dd011c,0x68e200da,0x6aa71e5b}},	//   _ďaľš, _mèka, jhod, _sajf, 
   {{0x2ca91e5c,0x68e20412,0x290f1e5d,0x00000000}},	// [1390] rdad_, dhod, voga_, --, 
   {{0x26cc1e5e,0x60cd1e5f,0xcf270195,0x27e60175}},	//   _nodo_, _hoam, _تربي, dzon_, 
   {{0x290f1e60,0x2ca90102,0x7ce300b0,0xb05b0080}},	//   toga_, pdad_, _nõrg, yjäl, 
   {{0xf8690038,0x2fe4027e,0x00000000,0x00000000}},	//   سمتي_, _örgü_, --, --, 
   {{0x26cc1e61,0x6aa71e62,0x60cd07d7,0xf7f41372}},	//   _bodo_, _tajf, _moam, پسند, 
   {{0x26cc033c,0x290f1e63,0x6f02007a,0x60cd0175}},	//   _codo_, soga_, _íoct, _loam, 
   {{0x04451e64,0x27e60379,0x68e20604,0x62831e65}},	//   нейн, azon_, bhod, _rcno, 
   {{0x68e2173b,0x27e6027e,0x60cd0054,0x2f16003e}},	//   chod, bzon_, _noam, lægt_, 
   {{0x248d0588,0xe3b10ce0,0x7d030068,0x92f501fc}},	//   rfem_, ارب_, _ínsu, ечні, 
   {{0xd17500f0,0x26cc1e66,0xb05b1e67,0x248d0a35}},	//   нымы, _godo_, själ, sfem_, 
   {{0x78a900b0,0xcb120486,0x80a90bf1,0x6738020b}},	//   _kaev, רלי_, গান্, žajú, 
   {{0x26c702f5,0x98b800e0,0xfc3f0068,0xe454012d}},	//   ljno_, _kurā_, _saín_, _акцы, 
   {{0x95220105,0x60cd002e,0x78a906e8,0xb05b00c8}},	//   _حکوم, _doam, _maev, nkäy, 
   {{0x68e208d7,0x78a91e68,0x6da60240,0xd36e1e69}},	//   zhod, _laev, нига, _اهو_, 
   {{0x7d09090b,0x60cd1e6a,0x3eba0023,0x27e6010e}},	//   česn, _foam, _vnpt_, zzon_, 
   {{0xdca31e6b,0x76930540,0x64491e6c,0x62811e6d}},	//   ласи, lıyı, ncei, lglo, 
   {{0xeb970dc0,0xac071e6e,0x68e21e6f,0x683601f0}},	// [13a0] нит_, ента_, vhod, _müdü, 
   {{0x09e61e70,0x4e1100bc,0x76930585,0x00000000}},	//   нозн, _दुवै_, nıyı, --, 
   {{0xae5b0056,0xd910006b,0x68e20dd0,0x26cc1e71}},	//   _מכיר, لیس_, thod, _rodo_, 
   {{0xa01b022b,0x38600084,0x26cc0009,0x68e200bc}},	//   mför, úir_, _sodo_, uhod, 
   {{0xa01b014e,0x26cc1e72,0x68e21e73,0x6d4a019c}},	//   lför, _podo_, rhod, _éfab, 
   {{0xb5a61e74,0x644b055f,0x27e61e75,0x56941e76}},	//   ерий, _afgi, rzon_, такт, 
   {{0x68e20ca5,0xa01b1e77,0x26cc02ee,0xab27186c}},	//   phod, nför, _vodo_, _чора_, 
   {{0x7ce300b0,0xd37a1e78,0x69340eb7,0x7cfb0080}},	//   _võrg, пчо_, _شکار, märä, 
   {{0x26cc0e2e,0x29041e79,0x22860258,0x68e00104}},	//   _todo_, _ijma_, нунг, _ilmd, 
   {{0x60cd1e7a,0xa01b014e,0x026a0088,0x62810219}},	//   _soam, kför, чший_, gglo, 
   {{0x73d903a1,0xb5fc01f2,0x00000000,0x00000000}},	//   здөр_, _weġb, --, --, 
   {{0xa01b014e,0xfbe000a5,0x644903dd,0x443d052b}},	//   dför, फनाम, ccei, _ggw_, 
   {{0x60cd0180,0x673a0180,0xddcc00bc,0x4e161e7b}},	//   _voam, _kitj, _čišt, _दुबई_, 
   {{0x661a1e7c,0x673a00c3,0x00000000,0x00000000}},	//   _kytk, _jitj, --, --, 
   {{0xdd941088,0x673a0161,0x60cd1e7d,0xa01b0219}},	//   лары, _mitj, _toam, gför, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2f1602c9,0xb05b0080,0x00000000,0x00000000}},	// [13b0] tægt_, hjäk, --, --, 
   {{0xff500038,0x78a900bd,0x673a1e7e,0x00000000}},	//   _اخي_, _saev, _nitj, --, 
   {{0x317e1e7f,0x661a0080,0x78a91e80,0x6d5e00f3}},	//   nutz_, _nytk, _paev, _gwpa, 
   {{0x6ee20228,0x00000000,0x00000000,0x00000000}},	//   _vôbe, --, --, --, 
   {{0x07a514ec,0x317e01c4,0x7ce3007e,0xc7a50093}},	//   талн, hutz_, _võrd, тилк, 
   {{0xcf9400c7,0x7e6702c7,0x24860054,0x6b8d1e81}},	//   רטס_, najp, _acom_, mtag, 
   {{0x6b8d0525,0xceb4042c,0x673a0194,0xa39e0218}},	//   ltag, טיס_, _ditj, _pêşî_, 
   {{0xdb06074b,0x62811e82,0x248601be,0x673a02b0}},	//   _erkä, wglo, _ccom_, _eitj, 
   {{0x6b8d1e83,0x47351e84,0x479411b7,0x644918d1}},	//   ntag, _анас, _مجلس, rcei, 
   {{0x57f41e85,0x64491e86,0x291d0149,0x6b8d1e87}},	//   _спут, scei, llwa_, itag, 
   {{0x05740109,0xc0e6021d,0x291d1e88,0x69c50034}},	//   _ماند, вонк, olwa_, nxhe, 
   {{0xe3751472,0x63ad0bfc,0xa01b0219,0x6b8d1e89}},	//   _алды, _šanu, vför, ktag, 
   {{0xa85600a7,0x660405b7,0x2129023e,0x332701d2}},	//   כירה_, şikt, _dhah_, _thnx_, 
   {{0xe1f109e8,0x6b8d1e8a,0x249f1e8b,0x658a06d0}},	//   _پست_, dtag, leum_, _səhi, 
   {{0x213b1e8c,0x8d630886,0x92580038,0x0d9911ec}},	//   _fiqh_, ивре, _أشهر_, нтты_, 
   {{0xa01b1e8d,0x00000000,0x00000000,0x00000000}},	//   rför, --, --, --, 
   {{0xa01b022b,0xcb671e8e,0x6b8d1e8f,0xaa460d3b}},	// [13c0] sför, кате_, gtag, везл, 
   {{0xa01b0219,0x249f1e90,0x00000000,0x00000000}},	//   pför, heum_, --, --, 
   {{0xfaa31e91,0xef1f010e,0x673a01d2,0xa96700fd}},	//   рахо, ztük_, _ritj, виха_, 
   {{0x673a1e92,0x080a009c,0x1b4a00a3,0x249f0096}},	//   _sitj, وزشي_, _озми_, jeum_, 
   {{0x673a1e93,0x2ca0007e,0x27290228,0x18671e94}},	//   _pitj, meid_, kúnd_, тачи_, 
   {{0x2ca01e95,0x98b8011c,0xc1780009,0x66dd0118}},	//   leid_, _bură_, yrė_, _dèko, 
   {{0x5fa9000f,0x888413b4,0x4420012d,0xb0e207d5}},	//   _चैनल, _میان, _ši_, _पतंग, 
   {{0x4420001b,0x2ca000b0,0x249f0096,0xef1f010e}},	//   _ơi_, neid_, geum_, ttük_, 
   {{0xccf30056,0x2b4600eb,0x673a003d,0x07a31e96}},	//   יכה_, íoch_, _titj, _катн, 
   {{0x2ca01e97,0x21291e98,0x2d9a03a9,0x673a12b6}},	//   heid_, _shah_, _oppe_, _uitj, 
   {{0x60f91e99,0x2ca01e9a,0x6b8d01ca,0xf2c300f0}},	//   ення_, keid_, ztag, рсын, 
   {{0x6b8d1e9b,0xdb0400c8,0x249f1e9c,0x64a61329}},	//   ytag, lviä, ceum_, _јада, 
   {{0x442000e7,0x44321e9d,0x2ca000b0,0x996200bc}},	//   _ái_, _ày_, deid_, _níže_, 
   {{0x4426037d,0x2d471e9e,0x6b8d1e9f,0x6d4304c6}},	//   _izo_, _põe_, vtag, _énak, 
   {{0x44260054,0x00000000,0x00000000,0x00000000}},	//   _hzo_, --, --, --, 
   {{0x6b8d1ea0,0x2009006d,0x2ca000bd,0x5c741271}},	//   ttag, _txai_, geid_, илст, 
   {{0xbab90278,0x6b8d1ea1,0x00000000,0x00000000}},	// [13d0] нгах_, utag, --, --, 
   {{0x6b8d1ea2,0x7a40026e,0xbb1900eb,0x249f1ea3}},	//   rtag, vští, رياض_, zeum_, 
   {{0x6b8d1ea4,0x2ca01ea5,0x291d07d7,0x49751ea6}},	//   stag, beid_, tlwa_, улес, 
   {{0xf7711ea7,0x2ca000a1,0x98ad00ab,0x60dd012d}},	//   مات_, ceid_, _mieć_, nksm, 
   {{0xd7f50f6b,0x6d451ea8,0xb05b1624,0x44260bcf}},	//   ызды, _huha, rjäh, _nzo_, 
   {{0x6d451ea9,0x6f151eaa,0xb3850f5a,0xd6db06ba}},	//   _kuha, nozc, ҳлил, ьте_, 
   {{0x44260489,0x6d451eab,0x29881eac,0xa8a71ead}},	//   _azo_, _juha, _исто_, _ирак, 
   {{0xf3f900d9,0x60dd02b0,0xd92800b3,0x15b81eae}},	//   laţi_, jksm, _ацул_, тышы_, 
   {{0x249f005f,0xe7960116,0x58d400a3,0x42d51eaf}},	//   reum_, _مالک, _тотт, гіну, 
   {{0x63ad00f1,0xdb0400ce,0x2fd902bf,0xf3f900b3}},	//   _šans, rviç, dysg_, naţi_, 
   {{0x44260547,0xf8c70466,0x658a00ad,0x00000000}},	//   _ezo_, _रचाय, _səhv, --, 
   {{0xcea90a33,0xf4871b11,0x455a00d1,0x61fc007a}},	//   _מי_, _јужн, _נכנס, úrla, 
   {{0x645b1eb0,0x7f441eb1,0x7760006d,0x8e7602f1}},	//   mbui, _quiq, _xwmx, лувч, 
   {{0x6d451eb2,0x201e00e0,0xf3f900b3,0x645b1eb3}},	//   _buha, āti_, jaţi_, lbui, 
   {{0xfce61eb4,0x2ca0007e,0xe2960141,0xf3f900b3}},	//   гово, teid_, _сащ_, daţi_, 
   {{0x6d451eb5,0xee370a10,0x645b01d2,0x6cc603a1}},	//   _duha, унс_, nbui, ыйба, 
   {{0x2ca01eb6,0x0c261e53,0x6d451eb7,0xa01b1eb8}},	// [13e0] reid_, уман, _euha, ngöl, 
   {{0x2ca00077,0xf3f900b3,0x6d450054,0xb602019c}},	//   seid_, gaţi_, _fuha, _àágu, 
   {{0x3f821eb9,0x6d45024d,0x2d9a014e,0x2ca01eba}},	//   luku_, _guha, _uppe_, peid_, 
   {{0x7d7b0111,0xa3e300ab,0x645b039b,0x00000000}},	//   _אנטו, नना_, jbui, --, 
   {{0x7d041ebb,0x6d451ebc,0x3f821ebd,0x69c31ebe}},	//   mnis, _zuha, nuku_, äner, 
   {{0xf3f9002e,0x7d041ebf,0x236d0032,0x645b040b}},	//   caţi_, lnis, dsej_, ebui, 
   {{0x3f820204,0x224e00b4,0xe5100249,0xdcfc0121}},	//   huku_, _rffk_, ावलि_, hurč, 
   {{0x33741ec0,0x3f821ec1,0x7d04107d,0x44260372}},	//   агир, kuku_, nnis, _pzo_, 
   {{0xd70a01d0,0x7d041ec2,0x3f821ec3,0xb5c6004e}},	//   _знае_, inis, juku_, _әйел, 
   {{0x7d041ec4,0x78a21ec5,0x92b60038,0x3f821ec6}},	//   hnis, leov, احظا, duku_, 
   {{0x7d041ec7,0x6f150098,0xe3b20296,0x645b02a5}},	//   knis, vozc, _گرا_, bbui, 
   {{0x338619aa,0x6d451ec8,0x3f821ec9,0x2ba51eca}},	//   _букв, _ruha, fuku_, _ऑनला, 
   {{0x6d451ecb,0x3f821ecc,0x60dd1ecd,0x644202dc}},	//   _suha, guku_, rksm, _igoi, 
   {{0x6d451ece,0x7d041ecf,0x62341ed0,0xf1a61ed1}},	//   _puha, enis, _келу, _брин, 
   {{0x59a4006a,0x7d041ed2,0xf3f9020f,0x6f1518c1}},	//   _गैलर, fnis, vaţi_, rozc, 
   {{0x3f821ed3,0x6d451ed4,0xd9041c03,0xdb040ff2}},	//   buku_, _vuha, _ری_, bwië, 
   {{0xf3f900d9,0x78a21ed5,0xdbc601c4,0x69d801e8}},	// [13f0] taţi_, deov, röße, øven, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x7d0402f2,0x658a0095,0xad270274,0xf3f900d9}},	//   bnis, _məhs, _مرحو, raţi_, 
   {{0xe82000b0,0x3ea31bf6,0x64421ed6,0xf3f900b3}},	//   _बरखा_, lejt_, _ngoi, saţi_, 
   {{0x62981425,0x2d910a9f,0xd5b80339,0x96651ed7}},	//   _obvo, ltze_, _arā_, акле, 
   {{0x4b7a0070,0x64421ed8,0x2d9101d6,0x00000000}},	//   _באשו, _agoi, otze_, --, 
   {{0x2d831175,0x2d9101f1,0x645b1a77,0x3f821ed9}},	//   nuje_, ntze_, tbui, zuku_, 
   {{0x09e11933,0x67d51eda,0x6298045a,0x2d9101cf}},	//   पनीय, _кобу, _abvo, itze_, 
   {{0x2d830a41,0xb4d50a44,0xe7871edb,0x645b1edc}},	//   huje_, _सकी_, _љубо, rbui, 
   {{0x3ae4022b,0x64421edd,0x3f82034c,0xa3c60d0d}},	//   _köpa_, _egoi, vuku_, _उपर_, 
   {{0x41061ede,0x20c6040c,0x7d041edf,0x03c70259}},	//   изов, айнм, ynis, _әсем, 
   {{0xf5300038,0xdddc0604,0x00000000,0x00000000}},	//   _فإن_, jgrš, --, --, 
   {{0x7d040d26,0x8c3b0502,0x00000000,0x00000000}},	//   vnis, _maßs, --, --, 
   {{0x3f8202f5,0x2d831ee0,0xc8e20035,0xef1700d9}},	//   ruku_, fuje_, _खत्म_, имя_, 
   {{0x7d041ee1,0x3f821ee2,0x6da615dd,0xacf61b11}},	//   tnis, suku_, шива, ачај, 
   {{0x3f821ee3,0x26f204cc,0x7ce300b0,0xdb0f00b9}},	//   puku_, _अग्र_, _põra, _arcà, 
  
   {{0x7d040ea5,0x5a660df3,0x8fa61ee4,0x2d9100b4}},	// [1400] rnis, икаб, _тапе, atze_, 
   {{0x2d831ee5,0xeb971ee6,0x658a00ad,0xba26012d}},	//   buje_, риф_, _məhr, адзк, 
   {{0x7e7b00a7,0xc8661ee7,0xed5a1ee8,0xb5fc008a}},	//   _באיז, атли, _шон_, _reġo, 
   {{0x7c96011f,0x00000000,0x00000000,0x00000000}},	//   _троц, --, --, --, 
   {{0x27e0057f,0xc60e017d,0x78a200df,0x4b5500fd}},	//   áin_, िथ्य_, reov, _гъст, 
   {{0x78a21ee9,0x6442004c,0x6b841eea,0x00000000}},	//   seov, _sgoi, muig, --, 
   {{0x35671472,0x5f0907d5,0x6b8400a1,0x27e01eeb}},	//   арын_, _सदस्_, luig, šin_, 
   {{0xd9431eec,0x63b90090,0x658a00ad,0x00000000}},	//   _фети, _brwn, _bəhr, --, 
   {{0x667600c5,0xb4d600a2,0x26161bec,0x1afb0033}},	//   _ندار, _हवी_, _पुरी_, ্তরে_, 
   {{0x4ac91eed,0x2d83016c,0x00000000,0x00000000}},	//   रायव, yuje_, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2d830076,0x29061cd3,0xd5fb00d1,0x6b84018e}},	//   vuje_, nnoa_, _בפבר, kuig, 
   {{0x658a06d0,0x893700c7,0x61ff0095,0x2d830035}},	//   _təhs, ירטע_, _əylə, wuje_, 
   {{0xdefb00e4,0x539b0486,0x6b841eee,0x00000000}},	//   тым_, _סיוו, duig, --, 
   {{0x27290038,0x3ea3024a,0x69d801e8,0xcf8e009c}},	//   núna_, rejt_, øvel, وژی_, 
   {{0x3ea31eef,0x2d9101f1,0x2c78017b,0x00000000}},	//   sejt_, rtze_, ийсь_, --, 
   {{0x3a751617,0x3ea300e5,0x6f950038,0x6b840151}},	// [1410] йлар, pejt_, _الخض, guig, 
   {{0x3ce9006f,0xdd8700d9,0xed4e010e,0x00000000}},	//   shav_, _кымп, بھی_, --, 
   {{0xc9871ef0,0xf9f90038,0x29871ef1,0x3ce9004f}},	//   рузи, دفاع_, рызг, phav_, 
   {{0xb4d509e2,0x6d5701f1,0x6b8401da,0xa3c600bc}},	//   _सके_, _itxa, buig, उमा_, 
   {{0x6d48014b,0xb05b0080,0x00000000,0x00000000}},	//   ídav, ljäs, --, --, 
   {{0x9a841ef2,0x29061a14,0x00000000,0x00000000}},	//   _мусл, anoa_, --, --, 
   {{0x7ae70065,0x25ac0108,0x00000000,0x00000000}},	//   _iljt, _csdl_, --, --, 
   {{0xe91900dd,0x79850bcf,0x00000000,0x00000000}},	//   _собі_, muhw, --, --, 
   {{0xdd0202c7,0xa8250444,0x658a00ad,0xdb0f02d9}},	//   šuću, _اکان, _qəhr, _zrcá, 
   {{0x6d5701ca,0x00000000,0x00000000,0x00000000}},	//   _otxa, --, --, --, 
   {{0x6d5701a0,0x6b8401c8,0xd9f91126,0x00000000}},	//   _ntxa, zuig, ्पित_, --, 
   {{0x628801da,0x21a50148,0x658a0248,0x00000000}},	//   agdo, _ҳикм, _təhr, --, 
   {{0x6d5701ca,0xfe7a012d,0x5eb10033,0x63b9016c}},	//   _atxa, лёвы_, ঞানে, _urwn, 
   {{0x63a91ef3,0xd9f91a4e,0x00000000,0x00000000}},	//   mwen, ्पात_, --, --, 
   {{0x63a91ef4,0x8db5004f,0x79850175,0x80b00033}},	//   lwen, ості, juhw, টাব্, 
   {{0x6b841ef5,0xb4d51ef6,0x1c46011f,0x307a0038}},	//   tuig, _सको_, снам, _صحبة_, 
   {{0x60c41ef7,0x63a91ef8,0x3ce0017e,0x6d5701f1}},	// [1420] _inim, nwen, rkiv_, _etxa, 
   {{0xff2601d7,0x4bd90080,0x00000000,0x00000000}},	//   _ымпо, шься_, --, --, 
   {{0x63a91ef9,0xbed700c7,0x60d6027e,0x79850175}},	//   hwen, _הויז_, _koym, guhw, 
   {{0xb4d60bf0,0x6d5c0b01,0x63a91efa,0xe89400dd}},	//   _हवे_, mpra, kwen, іаль, 
   {{0x29061efb,0xa77301fc,0xbcb700d1,0x628802c9}},	//   rnoa_, зліч, _הפכו_, ygdo, 
   {{0x6ffc00e0,0xef1f01f0,0x63a91efc,0xc3480108}},	//   mācī, ltür_, dwen, _bổn_, 
   {{0x60c403ef,0x6d5c0cd7,0x6d4302be,0xc7af010e}},	//   _onim, npra, _énat, وڑے_, 
   {{0xdbdd0228,0x98bc01dd,0x98a60613,0x63a91efd}},	//   zšír, īvē_, dmoć_, fwen, 
   {{0x96961efe,0x63a91eff,0x7e6e01dd,0xb7f21f00}},	//   _греш, gwen, kabp, _आइटम_, 
   {{0x68e20019,0x69c10183,0x6d5c1f01,0x59dc1f02}},	//   lkod, _álec, kpra, _यथार, 
   {{0xba9b0070,0x658a00ad,0x5a9b0070,0x62881f03}},	//   נסטי, _təhq, נשטא, rgdo, 
   {{0xa1930451,0x63a901a1,0x6d5c1f04,0x68e21f05}},	//   чаюч, bwen, dpra, nkod, 
   {{0x7afe010d,0x5f941b4b,0x53a30fc8,0xb05b02ae}},	//   kipt, пият, _нацб, fjär, 
   {{0xb5fc0405,0x7afe024a,0x60c41f06,0xdef800f0}},	//   _reġj, jipt, _enim, быс_, 
   {{0x6d5c1b10,0x68e21f07,0x0dc81f08,0xab5b1f09}},	//   gpra, kkod, бути_, _krüg, 
   {{0x9986006a,0x657c14a4,0x2d730b91,0x25e0034d}},	//   łoś_, _århu, rće_, _कथनी_, 
   {{0x8b580038,0x2d730082,0x09e1009a,0x8af9013b}},	// [1430] مجلس_, sće_, पन्य, анас_, 
   {{0x2d731f0a,0x3a75004e,0x39eb021d,0x6e990009}},	//   pće_, ілер, льен_, _твор_, 
   {{0x7f3c00c7,0x69de0dec,0x63a91f0b,0x2a7801a7}},	//   _געזו, gype, zwen, _ddrb_, 
   {{0x63a91f0c,0x9bc70238,0xad270399,0x3869010d}},	//   ywen, _лёгк, _درخو, úar_, 
   {{0x63a9010c,0x395800b9,0xd6c301ff,0x00000000}},	//   xwen, _etrs_, зилқ, --, 
   {{0xab5b02f2,0xe7391f0d,0xb5791ca5,0x201e0474}},	//   _prüf, шел_, ащих_, ştig_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x68e21f0e,0x63a91f0f,0x280400bc,0x00000000}},	//   ckod, twen, ásná_, --, 
   {{0x63a90b32,0x25a0020f,0x00000000,0x00000000}},	//   uwen, ăila_, --, --, 
   {{0x60c400f1,0x81d400cc,0x68e9000d,0x63a91f10}},	//   _snim, _সেই_, _hled, rwen, 
   {{0x63a90149,0x68e91f11,0x545502c4,0x68fb02a2}},	//   swen, _kled, _двет, _kmud, 
   {{0x6d5c008b,0x60d60095,0x68e9011c,0x00000000}},	//   vpra, _qoym, _jled, --, 
   {{0xb05b014e,0xfc3f1f12,0x68fb1f13,0x2b591f14}},	//   tjär, _maís_, _mmud, _ntsc_, 
   {{0x6d5c1f15,0x68e21f16,0x539a0486,0x68e900f8}},	//   tpra, zkod, _כינו, _lled, 
   {{0x82370a24,0x290d0068,0x2b590096,0x98a40009}},	//   _ارشا, _ojea_, _atsc_, _gimė_, 
   {{0x39581f17,0x2a6a00e2,0xb05b1f18,0xac0a00a3}},	//   _rtrs_, _sebb_, sjär, анба_, 
   {{0xa11300eb,0x2a78016a,0xa2cd1f19,0x394a1f1a}},	// [1440] _تويت, _pdrb_, ताप्, _subs_, 
   {{0x68fb1f1b,0x6d5c1f1c,0x68e9001d,0x290d00b4}},	//   _amud, ppra, _aled, _ajea_, 
   {{0x8c461f1d,0x7afe1f1e,0x6f1c1f1f,0xdcfc00b3}},	//   _мене, ript, morc, gură, 
   {{0x69de1f20,0x319a0070,0xc7c600c8,0xab5b0380}},	//   rype, יבענ, жски, _brüd, 
   {{0x7d090588,0x68e9011c,0x69de0098,0x26c50534}},	//   čest, _dled, sype, _bnlo_, 
   {{0x7afe078e,0x68e21f21,0x6f1c0954,0x394a0293}},	//   qipt, skod, norc, _tubs_, 
   {{0xbb430934,0xc448017a,0xa2cd1f22,0xab5b00b0}},	//   _церк, میان_, तान्, _prüg, 
   {{0xd4971f23,0x151700eb,0xd250009c,0x00000000}},	//   орь_, يزية_, کند_, --, 
   {{0x394400f4,0x6f1c0db8,0x6b961f24,0x00000000}},	//   _iims_, korc, ntyg, --, 
   {{0xb5fc003d,0xe5a61f25,0xa3140083,0x00000000}},	//   _leġi, _мизи, डवेज_, --, 
   {{0x7ce300b0,0x3f821f26,0x6104039f,0xdcfc0243}},	//   _sõrm, erku_, zőle, ntrē, 
   {{0x69c80151,0x00000000,0x00000000,0x00000000}},	//   _àdeu, --, --, --, 
   {{0x6f1c1f27,0x7afc0604,0x00000000,0x00000000}},	//   forc, _omrt, --, --, 
   {{0x6f1c003a,0x63a2084c,0x3cfd0299,0x415401d8}},	//   gorc, _ipon, रोने_, _евкс, 
   {{0x3eb30095,0x2b4b01d8,0xdb0d02aa,0x273200b3}},	//   _vaxt_, _succ_, lvaç, mând_, 
   {{0x1fa71f28,0x9f6b02a6,0x8b670038,0x3b551f29}},	//   _дрог, _кроз_, قائم, зкар, 
   {{0x200c06d0,0x6f1c1f2a,0x2d680474,0x00000000}},	// [1450] şdir_, borc, aşe_, --, 
   {{0x68fb1f2b,0x63a21f2c,0x6f1c1f2d,0xf43b00a7}},	//   _smud, _mpon, corc, שתמש, 
   {{0xdcf50035,0xa2b200bc,0x99990d75,0x68e91f2e}},	//   erzą, _असन्, скет_, _pled, 
   {{0x63a21f2f,0x394403dd,0xaac91f30,0xc23700d1}},	//   _opon, _cims_, राहक, קראו_, 
   {{0x995400bc,0x37ab1f31,0x39440b41,0xdcfc0474}},	//   _výše_, ртен_, _dims_, sură, 
   {{0x2ca91f32,0x26e30086,0xb34502aa,0x68e900f8}},	//   lead_, কোনো_, _liçã, _wled, 
   {{0x63a21f33,0x68e9105b,0x39440237,0xfc3f019c}},	//   _apon, _tled, _fims_, _taís_, 
   {{0x68fb1f34,0x2ca91f35,0xaac91f36,0xe918004f}},	//   _umud, nead_, रावक, _досі_, 
   {{0xe2990a31,0x291d1f37,0x629a02a5,0x39951950}},	//   бап_, mowa_, ffto, lås_, 
   {{0x2ca91f38,0x291d1f39,0x386d0d2d,0x273200b3}},	//   head_, lowa_, _heer_, gând_, 
   {{0x386d1f3a,0x63a21f3b,0x7d08014b,0x39951f3c}},	//   _keer_, _epon, édsk, nås_, 
   {{0x23751b65,0x7cf10075,0x291d1f3d,0xd59a00d1}},	//   _فاتح, _hårf, nowa_, _לבעל, 
   {{0x386d1f3e,0xb5fc0405,0x7ce300c2,0x2d831f3f}},	//   _meer_, _reġi, _tõrj, erje_, 
   {{0x386d1f40,0x291d1f41,0x273200d9,0x248d1f42}},	//   _leer_, howa_, când_, lgem_, 
   {{0xa928026e,0xed5a0cdf,0x291d1f43,0x63bb003e}},	//   ližš, соб_, kowa_, lvun, 
   {{0x2ca901be,0x7afc00d8,0x6f1c001d,0x386d0318}},	//   gead_, _smrt, sorc, _neer_, 
   {{0xfc3f0496,0x291d00ab,0x2d831f44,0x3b860e31}},	// [1460] _saír_, dowa_, arje_, ялаг, 
   {{0xe81f0c06,0x6b96014e,0x8b2300c8,0x7cea003e}},	//   _बड़ा_, rtyg, едуе, _dýra, 
   {{0x39950430,0x6edb00d1,0x66dd011c,0x61e11e3a}},	//   gås_, _החיפ, _lèks, nyll, 
   {{0x2fc0017e,0x3eaa0380,0x273200b3,0x3e5700bc}},	//   _krig_, lebt_, zând_, pětí_, 
   {{0x4cbb0056,0x2d981f45,0xdcfc002a,0x2d8a1f46}},	//   _הזכו, ltre_, strē, lube_, 
   {{0x6d461f47,0xb4b40262,0x6b841f48,0x7997006d}},	//   _hika, _छोड़_, mrig, btxw, 
   {{0x6d461f49,0x2d981f4a,0x291d1f4b,0x2d8a1f4c}},	//   _kika, ntre_, bowa_, nube_, 
   {{0x94aa1f4d,0x6eeb06d0,0x6d4603f6,0x2d981f4e}},	//   стка_, _müba, _jika, itre_, 
   {{0x6d461f4f,0x6b841f50,0x2fc0006f,0x273200b3}},	//   _mika, nrig, _nrig_, tând_, 
   {{0x386d0b32,0x61e11f51,0x248d02a0,0xdb0d02a0}},	//   _zeer_, fyll, agem_, rvaç, 
   {{0x6b841f52,0x273200d9,0x2d8a1f53,0x64a61f54}},	//   hrig, rând_, jube_, _нажа, 
   {{0x2fc002bf,0xc058004e,0x9f4e014b,0xdb0f022c}},	//   _brig_, зір_, žným_, _escè, 
   {{0x613f002a,0x3869003e,0x273200d9,0x63a21f55}},	//   _jūli, ðari_, pând_, _upon, 
   {{0x44261f56,0x6d46030f,0x6136003e,0x61e11f57}},	//   _iyo_, _aika, jálf, byll, 
   {{0x6d461f58,0x44261f59,0x06fd031e,0x6b841f5a}},	//   _bika, _hyo_, _říká_, erig, 
   {{0x6d461f5b,0x44260547,0x2d8300e5,0x2fc01f5c}},	//   _cika, _kyo_, rrje_, _frig_, 
   {{0x2d9c14f9,0x6d461f5d,0x57c600a2,0x2ca912eb}},	// [1470] _även_, _dika, लमोह, read_, 
   {{0x7cea0076,0x3995105d,0xf1b01f5e,0x386d0876}},	//   _výra, tås_, _जनान, _seer_, 
   {{0x6d461f5f,0x291d1f60,0x75221f61,0xab5b0380}},	//   _fika, towa_, _okoz, _brüc, 
   {{0xf7710523,0x3995022b,0xddde031e,0x6d460bc1}},	//   نات_, rås_, _nepř, _gika, 
   {{0x291d1f62,0x7997006d,0x44261f63,0x611200e0}},	//   rowa_, stxw, _nyo_, nāla, 
   {{0x386d01b2,0x291d1f64,0x6d461f65,0xd24600eb}},	//   _weer_, sowa_, _zika, _لن_, 
   {{0xc9841f66,0x44261f67,0x672102ee,0x752200ef}},	//   _пути, _ayo_, _vklj, _bkoz, 
   {{0x7d0d1f68,0x44261f69,0x61120243,0x61e10080}},	//   nnas, _byo_, kāla, vyll, 
   {{0x248d1f6a,0x4426024d,0xdb1d1f6b,0x61e10156}},	//   rgem_, _cyo_, _arsé, wyll, 
   {{0x672100f1,0x7cf11f6c,0x7d0d02bf,0x61e11f6d}},	//   _uklj, _hård, hnas, tyll, 
   {{0x3dc1006d,0x7d0d1f6e,0x44260298,0x6147023e}},	//   _nrhw_, knas, _eyo_, dèlè, 
   {{0x61e11f6f,0x7d0d00ef,0x63a4020f,0x66dd1e21}},	//   ryll, jnas, _ţine, _tèks, 
   {{0x61e102f0,0x6d461f70,0xdb0f1f71,0xe28e1f72}},	//   syll, _rika, _escé, _иа_, 
   {{0x2d981f73,0x6d461f74,0x75291f75,0x2d8a1f76}},	//   ttre_, _sika, llez, tube_, 
   {{0x31161f77,0x6b841f78,0x5f271f79,0x7d0d003e}},	//   _офис, wrig, форм_, fnas, 
   {{0xd1321f7a,0x2d981f7b,0x7d0d008c,0xdca302f1}},	//   _جمع_, rtre_, gnas, каси, 
   {{0xeb971f7c,0xddc71f7d,0x0b4600dd,0x4426006d}},	// [1480] мит_, rajš, днан, _xyo_, 
   {{0x6d460c3d,0xa01b1f7e,0x7c26014b,0x7d0d1f7f}},	//   _wika, rgöt, _vykr, anas, 
   {{0x6d461f80,0x644b01d8,0x810200a5,0x7c260035}},	//   _tika, _oggi, _लगाओ_, _wykr, 
   {{0x6b841f81,0xa3bf031e,0x644b00d4,0x186702a6}},	//   prig, ुमा_, _nggi, даци_, 
   {{0x75290b91,0xa01b02ae,0x7d041f82,0x753b01d2}},	//   dlez, lgör, miis, dmuz, 
   {{0x644b048a,0x7d041f83,0x75291f84,0x752202ee}},	//   _aggi, liis, elez, _skoz, 
   {{0x7ae30088,0xa01b1f85,0x4426011d,0xdcf50035}},	//   önte, ngör, _syo_, erzę, 
   {{0x75291f86,0x2902014e,0x44261f87,0x7cf11d4b}},	//   glez, _öka_, _pyo_, _gård, 
   {{0x38661f88,0xdb040068,0xddde02d9,0x60cb00a1}},	//   mbor_, lviñ, _vepř, _ògmi, 
   {{0x6d5e02f5,0x65c60141,0x7d0400bd,0x644b1f89}},	//   _otpa, _обза, hiis, _eggi, 
   {{0x7d041f8a,0x7cf10dcb,0xe8df00e7,0x75291f8b}},	//   kiis, _håre, _hiền_, blez, 
   {{0x44261f8c,0x7cf10fd6,0xf5031f8d,0x75290036}},	//   _tyo_, _kåre, _изхо, clez, 
   {{0x7d041f8e,0x6d5e1f8f,0x7ce3007e,0x44260204}},	//   diis, _atpa, _kõrv, _uyo_, 
   {{0xe8df001b,0x3f991f90,0x69c10082,0x3f8b0384}},	//   _miền_, rtsu_, _šlem, rucu_, 
   {{0xc3480029,0x7d0401b8,0xdd941f91,0xe8df001b}},	//   _nổi_, fiis, кары, _liền_, 
   {{0x7d041f92,0x30a70aa3,0x40351f93,0x201e00b3}},	//   giis, _цркв, _пейс, ştia_, 
   {{0xfd44012d,0x6148023e,0x00000000,0x00000000}},	// [1490] тэрн, sèlè, --, --, 
   {{0x7d0d1f94,0x4ac9000f,0x0dcb0141,0xc98702f1}},	//   snas, राइव, _думи_, дуди, 
   {{0xceb200c7,0x212b00f8,0x5a4400b3,0x7d041f95}},	//   _גיי_, olch_, вэца, biis, 
   {{0x61360126,0x7aee1f96,0x7cf100fb,0xa8151f97}},	//   rálg, _elbt, _båre, ндеш, 
   {{0x7cf1022b,0xa875005e,0x7864004e,0xc7ab1f98}},	//   _vård, _үлгі, ткіз, تدال_, 
   {{0x6d580107,0x6b8d0548,0x6d4a02a3,0x7ac41f99}},	//   _évac, muag, _èfac, _иссе, 
   {{0x752901d2,0x260200c9,0xa954128b,0x69d800fb}},	//   tlez, _वेदी_, _аксі, øvet, 
   {{0x7cf10f96,0x7e7500b4,0x672a1a77,0x00000000}},	//   _hårb, hazp, alfj, --, 
   {{0x6136014b,0x752902b0,0x68e400c8,0x387f00c3}},	//   nále, rlez, öide, _idur_, 
   {{0x752902d9,0xaad21f9a,0x00000000,0x00000000}},	//   slez, सायक, --, --, 
   {{0x91e51e13,0x290f1f9b,0x00000000,0x00000000}},	//   хоне, onga_, --, --, 
   {{0x290f1f9c,0x387f00c3,0x2732020f,0x68f90213}},	//   nnga_, _jdur_, mâna_, _çadı, 
   {{0x290f1f9d,0x7d041f9e,0x13a700d4,0x6b8d0369}},	//   inga_, viis, _آنتی_, juag, 
   {{0x6136026e,0x7e7501ca,0x3cfd1d00,0x386600da}},	//   dále, gazp, रोसे_, zbor_, 
   {{0x7d041f9f,0xdca61311,0x6da31270,0x290f012b}},	//   tiis, нави, лира, knga_, 
   {{0x7cea08d7,0xe05800d4,0xa2cd1898,0xa01b1fa0}},	//   _výro, _زیست_, ताव्, rgör, 
   {{0x7d041fa1,0x61361fa2,0x6b8d02a3,0xbb4a0274}},	// [14a0] riis, ráld, guag, سلان_, 
   {{0x7d041fa3,0x2cb90183,0xa01b02ae,0x387f1fa4}},	//   siis, _easd_, pgör, _adur_, 
   {{0x6d5e150d,0x88861fa5,0x7cf11fa6,0xf969004f}},	//   _utpa, ележ, _såre, дрій_, 
   {{0xdd2f031e,0x395100ca,0xdb040068,0x2cb901f5}},	//   pěšn, _duzs_, rviñ, _gasd_, 
   {{0x3c7700d1,0x5fc30466,0x387f193d,0x3eba0326}},	//   _אתכם_, शियल, _ddur_, _kapt_, 
   {{0x290f1fa7,0x7cf114cf,0xa82400d4,0x3866012c}},	//   anga_, _våre, _یکشن, sbor_, 
   {{0x186a01a2,0x212b0156,0x77620183,0x940a00ad}},	//   _нави_, ylch_, spox, əbə_, 
   {{0xe8df00f7,0xd9431fa8,0x7cf101e8,0x7e7501cf}},	//   _tiền_, _беси, _tåre, zazp, 
   {{0xc6c3004e,0x7ce300c2,0x290601cf,0x00000000}},	//   _өйтк, _tõrv, mioa_, --, 
   {{0x13f300c8,0xdb9700c7,0x290601f1,0x877b0486}},	//   узья, עדיט_, lioa_, _מאמי, 
   {{0xb05b02ae,0x6136014b,0xc1780028,0xe6d9003e}},	//   ndäg, zále, usė_, _þráð, 
   {{0x26de00ca,0x6b8d016a,0x29061fa9,0x00000000}},	//   _hoto_, yuag, nioa_, --, 
   {{0xa30b0105,0x201e0218,0xa2e61faa,0xe8df001b}},	//   _کرنے_, ştin_, _подд, _hiển_, 
   {{0x26de0053,0x9f351fab,0x61361fac,0x290601d6}},	//   _joto_, тегі, vále, hioa_, 
   {{0x3eba1fad,0xf1a300d9,0x7e751fae,0xa2cd1faf}},	//   _dapt_, _брын, razp, तार्, 
   {{0x6b8d1fb0,0x0ccf0086,0x7cf10075,0x61360098}},	//   tuag, রস্ত, _sårb, tále, 
   {{0x60cd024d,0x3eba002e,0x26cc0a9f,0x27e606df}},	// [14b0] _inam, _fapt_, _ondo_, jyon_, 
   {{0x26de1fb1,0x6b8d1fb2,0x3ce90121,0x28c60249}},	//   _noto_, ruag, skav_, _रोबि, 
   {{0xab5b02f2,0x290f0495,0x7b0b01dd,0xef1400d3}},	//   _grün, tnga_, kļuv, _сүрө, 
   {{0xa95400dd,0x6c7900c7,0x2cb90126,0x290f0548}},	//   укці, _קאָפ, _uasd_, unga_, 
   {{0x27e6006b,0x60cd0053,0x26de1fb3,0x69d81494}},	//   gyon_, _mnam, _boto_, øver, 
   {{0xe8df0029,0x26de033c,0xb6a51fb4,0x60df008a}},	//   _biển_, _coto_, тикл, _loqm, 
   {{0x9f59009e,0x5b14081b,0x387f016a,0x27e606e4}},	//   îyên_, _смрт, _tdur_, ayon_, 
   {{0x81c80033,0x387f1fb5,0x60cd0547,0xe8df0210}},	//   োনা_, _udur_, _nnam, _diển_, 
   {{0x249f1fb6,0xe78402c0,0xf6990886,0x1fcb009a}},	//   rfum_, _бухо, _овај_, ामोड, 
   {{0x60cd1fb7,0x78bb1fb8,0xa2e5022c,0x26de0139}},	//   _anam, _hauv, тоод, _goto_, 
   {{0x67231fb9,0x60cd0126,0xe4e7004f,0x60df0508}},	//   monj, _bnam, _підн, _boqm, 
   {{0x60cd00a1,0x65610149,0xd00a02a0,0x3eba020f}},	//   _cnam, _itlh, деме_, _sapt_, 
   {{0x3ae4014e,0x78bb026a,0xe2991fba,0xfe7800d3}},	//   _köpt_, _mauv, _жал_, нүп_, 
   {{0x29060414,0x0204005e,0x60cd1fbb,0x67230c49}},	//   zioa_, _өзін, _enam, nonj, 
   {{0x27e61fbc,0x7c961fbd,0xc692008d,0xeab20019}},	//   zyon_, крац, יאם_, یٹر_, 
   {{0x67231fbe,0xfbe700e7,0x645b1fbf,0x78bb1fc0}},	//   honj, _thể_, ncui, _nauv, 
   {{0x3eba1fc1,0x1c4612d6,0x00000000,0x00000000}},	// [14c0] _tapt_, тнам, --, --, 
   {{0x67231fc2,0x00000000,0x00000000,0x00000000}},	//   jonj, --, --, --, 
   {{0x26de1fc3,0x67231fc4,0x65610149,0xd9461fc5}},	//   _roto_, donj, _ntlh, вежи, 
   {{0xe78600e4,0xa9671fc6,0x27e60300,0x480a1fc7}},	//   вуко, тица_, tyon_, меен_, 
   {{0xa2b202f8,0x26de1fc8,0x26c8004e,0x29060a9f}},	//   _असल्, _poto_, нған_, rioa_, 
   {{0x67231fc9,0x7bc6007b,0x29060a9f,0x27e61fca}},	//   gonj, _irku, sioa_, ryon_, 
   {{0x27e61fcb,0x66e303b7,0x290601f1,0x78bb0151}},	//   syon_, роја, pioa_, _fauv, 
   {{0x399c03a1,0x6abc1fcc,0x75390237,0x95c71fcd}},	//   mís_, _harf, _chwz, туша_, 
   {{0x26de0076,0x29040405,0x6abc1fce,0x78a2032f}},	//   _toto_, _imma_, _karf, mfov, 
   {{0x78bb090e,0x60cd1fcf,0x78a203ac,0x672300b3}},	//   _zauv, _snam, lfov, conj, 
   {{0x399c07a9,0x6abc1fd0,0x68e01fd1,0x6d5a003e}},	//   nís_, _marf, _komd, ítal, 
   {{0x7bc61fd2,0x645b1fd3,0xab5b1fd4,0x6abc03c6}},	//   _orku, ccui, _brül, _larf, 
   {{0x399c00eb,0x7bd6006d,0x53b6153d,0x68e3019c}},	//   hís_, jxyu, _अनिश, êndi, 
   {{0x3d951fd5,0xdd9503a1,0x28a402e6,0xa19403a1}},	//   лигр, лагы, _गॉसि, _бакч, 
   {{0x5e5802fb,0x7bc61fd6,0x5b150cdf,0xdef800e4}},	//   тися_, _arku, ҳмат, тыя_, 
   {{0x518300a3,0x8c64049b,0x60cd1fd7,0x399c1fd8}},	//   _туша, итуд, _unam, dís_, 
   {{0x6abc1fd9,0x6d581fda,0x2129002c,0x7bc60604}},	// [14d0] _barf, _évan, _ikah_, _crku, 
   {{0x290406d0,0x78bb026d,0xe8df0029,0x6136010d}},	//   _amma_, _sauv, _miễn_, mála, 
   {{0xce331fdb,0xd366009c,0x61360019,0x67231fdc}},	//   _خودک, _گه_, lála, vonj, 
   {{0xfc64048a,0xfc3f05b9,0x68e00534,0x2d911fdd}},	//   _върн, _maíz_, _comd, muze_, 
   {{0xd3660133,0x61360019,0x78bb030f,0x07a51fde}},	//   _ده_, nála, _vauv, уалн, 
   {{0x6abc1fdf,0xddce1fe0,0xb38501a2,0xa5b90267}},	//   _garf, labš, қлол, ећих_, 
   {{0x67231fe1,0x613600eb,0x399c1fe2,0x78bb1fe3}},	//   ronj, hála, cís_, _tauv, 
   {{0xe3b91fe4,0x260200a2,0x69c7085b,0x38c2010e}},	//   еби_, _वेळी_, _irje, térő_, 
   {{0x67231fe5,0xecc50033,0x527503a1,0xdb040080}},	//   ponj, _একাড, луну, rviö, 
   {{0xe8df00f7,0x61e802bf,0x645b1fe6,0x2d911fe7}},	//   _diễn_, fydl, scui, kuze_, 
   {{0x04951fe8,0x394d09a2,0x13a70296,0xb1461fe9}},	//   _ملاح, _kies_, رنگی_, лнол, 
   {{0xa6e2010d,0x201e027e,0x8f841cc1,0x9f840176}},	//   _öðru, ştim_, ақил, аҳид, 
   {{0x394d1fea,0x61361feb,0xdcfc01dd,0x7bcb02ae}},	//   _mies_, gála, strī, ågul, 
   {{0x272903da,0xe2991fec,0x69c71fed,0xe8d015c8}},	//   múns_, _чак_, _orje, _सच्च, 
   {{0x52390137,0xd33600d1,0x26ca0183,0x2d911fee}},	//   _אײַנ, _גרסה_, _óboe_, guze_, 
   {{0x399c1fef,0x394d0405,0xa3b71615,0x6abc1ff0}},	//   vís_, _nies_, _चना_, _sarf, 
   {{0x2d8a00ef,0x69c71ff1,0x68e01ff2,0x5f2a0165}},	// [14e0] srbe_, _arje, _romd, _поим_, 
   {{0x80a00509,0xa3d4006a,0x7cf1014e,0x2d911ff3}},	//   ग्रे, हमत_, _våra, buze_, 
   {{0x6abc1ff4,0x8cbf00aa,0x7ce3007e,0x80d8009a}},	//   _varf, _लोको, _võrr, यापे, 
   {{0x399c1ff5,0x7cf10219,0xdb0f022c,0x394d00b9}},	//   rís_, _tåra, _escà, _cies_, 
   {{0xb8dc1ff6,0x394d1ff7,0x66e61ff8,0x7bc61ff9}},	//   _अस_, _dies_, лода, _urku, 
   {{0xd5ba1ffa,0xf36600a3,0x394d00fc,0x399c1ffb}},	//   еси_, қтин, _eies_, pís_, 
   {{0x69c702c7,0x68e00104,0xdb23010e,0xc7b9039f}},	//   _grje, _tomd, _óráj, _eső_, 
   {{0x2904086d,0xfc3f0503,0x62830156,0xc44800d4}},	//   _umma_, _raíz_, _adno, نیان_, 
   {{0x272909a1,0xd2500084,0x12e6004e,0x9cd700d1}},	//   gúns_, ينة_, гінг, רופה_, 
   {{0x7cf80496,0x61e8014e,0xe8df001b,0x61360019}},	//   _fírg, tydl, _viễn_, vála, 
   {{0x62341ffc,0x7cf800b9,0xc4861ffd,0xd1c70176}},	//   рену, _gírg, _блек, гуяд_, 
   {{0x2d91024d,0x61361ffe,0xe8df00e7,0x62830237}},	//   vuze_, tála, _tiễn_, _edno, 
   {{0x8cbf006a,0x41b000bd,0xe47b0070,0x2d91019b}},	//   _लोगो, _जनकस, _טראכ, wuze_, 
   {{0x43831930,0x613600eb,0xef1f04be,0xb3bb00d1}},	//   _الوق, rála, mrük_, _נמוכ, 
   {{0x61361fff,0x6d58026d,0x9f4402d9,0xa19400b9}},	//   máln, _éval, ámá_, _тайч, 
   {{0x69c700e5,0x557700c7,0x6136010e,0xf193010e}},	//   _rrje, טעלן_, láln, _اُٹھ, 
   {{0xe8df00f7,0x3a752000,0x1bd40093,0xa3e40c46}},	// [14f0] _hiện_, илар, ботя, नहि_, 
   {{0x6136135a,0xe8df0029,0x2fc92001,0x69c70372}},	//   náln, _kiện_, _irag_, _prje, 
   {{0xc3330056,0x28c62002,0x08550080,0x00000000}},	//   צוע_, _रोहि, авею, --, 
   {{0x80d80a34,0x2fc9018c,0x69c72003,0xd7f10038}},	//   याये, _krag_, _vrje, يكا_, 
   {{0x394d2004,0xdb0f0503,0x1be700cf,0x61362005}},	//   _vies_, _escá, _сўнг, káln, 
   {{0x6b8d2006,0x6d4f2007,0x394d02eb,0x2fc900a1}},	//   mrag, _hica, _wies_, _mrag_, 
   {{0x6d4f0da2,0x25ac012b,0x7e770369,0xf773009c}},	//   _kica, _cpdl_, _mexp, _گاز_, 
   {{0x56940a27,0x2bc90fec,0x6d570287,0x63852008}},	//   _ҳафт, रिपा, _muxa, агиа, 
   {{0x2fc9006d,0x28f800c8,0xe69500b3,0x613600da}},	//   _nrag_, _сеть_, _визы, fáln, 
   {{0x6d4f01a0,0x42552009,0x6136200a,0xe8df00e7}},	//   _lica, штит, gáln, _biện_, 
   {{0x7cf8006b,0x6b8d200b,0xa06a200c,0x2fc90144}},	//   _híre, hrag, кана_, _arag_, 
   {{0x6d4f200d,0xe8df0029,0xe046200e,0x6b8d200f}},	//   _nica, _diện_, инни, krag, 
   {{0xf3672010,0x61360483,0x611201dd,0x2fc900a1}},	//   _стен, báln, nāli, _crag_, 
   {{0x32451834,0x7d0600e2,0x7cf80038,0x3f670176}},	//   _келг, _smks, _míre, риро_, 
   {{0x6d4f0f74,0x2d9e2011,0x6d570042,0xed5a02c0}},	//   _bica, îte_, _cuxa, тоб_, 
   {{0x6b8d2012,0xb4e300a2,0xa2cd00a2,0x3fe6004f}},	//   frag, _नको_, ताक्, _вжив, 
   {{0x6d4f2013,0x6b8d2014,0x61360019,0x7cf10fd6}},	// [1500] _dica, grag, lálo, _tårn, 
   {{0x6d570068,0xff7b00c7,0x7bc400b3,0x442f0566}},	//   _fuxa, _שטימ, rviu, _myg_, 
   {{0x6d4f00ce,0x6136115d,0x442f0009,0x2a7a02be}},	//   _fica, nálo, _lyg_, rapb_, 
   {{0xdbdc0076,0x3ead003a,0x2c5c00ab,0x98a62015}},	//   lšíc, đete_, _bądź_, риде, 
   {{0xc7a30b68,0x38692016,0x78b00028,0x5746058e}},	//   жичк, ñara_, _įkvė, андб, 
   {{0x7cf80084,0x7e7c04f4,0x6d442017,0x613d0019}},	//   _díre, narp, lmia, méle, 
   {{0x7cf8007a,0x442f2018,0xd5b00038,0x6d4f0610}},	//   _tírd, _ayg_, سفة_, _yica, 
   {{0x442f055f,0x7d162019,0x6d4302a3,0x7e7c201a}},	//   _byg_, nnys, _ènat, harp, 
   {{0x2bc9048e,0x61360076,0xfbc902d9,0x27200054}},	//   रिया, táln, रियम, zòny_, 
   {{0xdbdc026e,0xa2cd0249,0xb5f200f0,0x6eeb201b}},	//   jšíc, ताग्, _мүлі, _tübi, 
   {{0x6136201c,0x7e770065,0xdbdc0098,0x7e7c201d}},	//   ráln, _rexp, dšíc, darp, 
   {{0xb356086b,0x03a6065b,0xab5b02f2,0xe8df0029}},	//   _پیدا_, _видо, _früh, _viện_, 
   {{0x6d4f1782,0x7cf109a8,0x7e62010c,0x7e770175}},	//   _rica, _dårl, _şopa, _pexp, 
   {{0x6b8d201e,0xe8df0029,0x6d57114e,0x7e7c201f}},	//   vrag, _tiện_, _puxa, garp, 
   {{0x13b61e25,0xab5b2020,0x395801be,0x61362021}},	//   _अनुभ, _trük, _nurs_, cálo, 
   {{0x6136010e,0x00000000,0x00000000,0x00000000}},	//   náll, --, --, --, 
   {{0xa2cb009a,0x2fc90096,0xdbdc00da,0xdd2f02d9}},	// [1510] _थोड्, _urag_, bšíc, _těžb, 
   {{0x6b8d2022,0xf9c709a6,0x6d4f2023,0xaa672024}},	//   rrag, ищен, _wica, ртак, 
   {{0x39582025,0x6d4f2026,0x6b8d2027,0x7cf80534}},	//   _curs_, _tica, srag, _dírb, 
   {{0x39582028,0x611201dd,0xe0df0379,0x58872029}},	//   _durs_, tāli, njò_, рыжа, 
   {{0x7d0d00ab,0x2366023b,0x49a6004e,0x00000000}},	//   mias, _ntoj_, _қырғ, --, 
   {{0x3958202a,0x442f202b,0x7cf8007a,0x611201dd}},	//   _furs_, _ryg_, _víre, rāli, 
   {{0xa50903b7,0x442f202c,0x3958056f,0xfc3f0534}},	//   лека_, _syg_, _gurs_, _mbím_, 
   {{0x7d0d0528,0x6136010e,0x201e00d9,0x92c30033}},	//   nias, gáll, ştii_, _একে_, 
   {{0x57f502a0,0x44391bde,0x24860121,0xe3b10038}},	//   _упат, ås_, _ddom_, سرة_, 
   {{0x81e200cc,0x7d0d202d,0x61360b85,0x6d4400ab}},	//   _নেই_, hias, tálo, zmia, 
   {{0x7e7c008c,0x6d440156,0xdbdc0032,0x2b5900b9}},	//   varp, ymia, všíc, _lusc_, 
   {{0x5f050351,0x61360483,0x387d0156,0x3f6a02a6}},	//   होस्_, rálo, nawr_, лимо_, 
   {{0x7e7c202e,0x442f02f1,0x320b0035,0xdbdc11bb}},	//   tarp, _uyg_, ńcy_, tšíc, 
   {{0x613d202f,0x752902b0,0x3f5d0108,0xc8f42030}},	//   véle, loez, _dìu_, _आत्म_, 
   {{0x61462031,0xdbdc026e,0x7e7c2032,0x6d442033}},	//   _лека, ršíc, rarp, tmia, 
   {{0x3d0800a2,0x2b590068,0x7e7c03c5,0x4bda00c8}},	//   _सगळे_, _busc_, sarp, льзя_, 
   {{0x6d442034,0xdbdc026e,0x4aaa2035,0x2bca0a31}},	// [1520] rmia, pšíc, лкан_, ылап_, 
   {{0x3f8204d1,0x6d442036,0xeb9803dc,0xaad20484}},	//   msku_, smia, лиғ_, साइक, 
   {{0x7cf80952,0xc8792037,0x2b59008a,0x387d00f8}},	//   _círc, _beş_, _eusc_, fawr_, 
   {{0x273200d9,0x2b5902a3,0x7c962038,0x3f820083}},	//   mâni_, _fusc_, _уроц, osku_, 
   {{0x3f822039,0x09e00086,0x6136203a,0x02b702ab}},	//   nsku_, _যেখা, váll, _असून, 
   {{0xb8ef0d95,0x3ce0203b,0xe3e80019,0x3f82203c}},	//   _वो_, ljiv_, یکشن_, isku_, 
   {{0xceb300a7,0x9f4f004f,0x368900f0,0x395802b0}},	//   פיה_, _ågå_, рсін_, _uurs_, 
   {{0xdb1d014e,0x18a3203d,0x3ce0090e,0xc879009e}},	//   _ersä, _насм, njiv_, _geş_, 
   {{0x3f8203ef,0x2418058b,0xe73a03b7,0xbee8009a}},	//   jsku_, ропы_, _беа_, _ऐकून_, 
   {{0x3f820062,0x4ace00aa,0x7d0d203e,0x3f5d00e7}},	//   dsku_, _होमव, zias, _rìu_, 
   {{0xd2500a7c,0x752902a5,0x00000000,0x00000000}},	//   بند_, boez, --, --, 
   {{0x3a370056,0x463b00c7,0x6136010e,0xca3700d1}},	//   מרים_, _געבע, lálj, מניה_, 
   {{0x39460647,0x00000000,0x00000000,0x00000000}},	//   imos_, --, --, --, 
   {{0x61360019,0xdefb004e,0xdb1d0165,0x28cf203f}},	//   nálj, уым_, _essê, _सोनि, 
   {{0xc27b07f5,0x2b5900ef,0x7d0d2040,0x00000000}},	//   _גרוי, _susc_, tias, --, 
   {{0xdb060019,0x3f822041,0xe21700df,0x00000000}},	//   _eskü, bsku_, _לקוח_, --, 
   {{0xc8790218,0x212b2042,0x6eeb00ad,0xa2cd009a}},	// [1530] _reş_, moch_, _sübu, ताच्, 
   {{0x629a2043,0x7d0d2044,0xda670084,0xbb1b010c}},	//   ngto, sias, صائي, _evîn, 
   {{0xb9b52045,0x9962026e,0x7d0d00a9,0x2b59019b}},	//   تماع, _píše_, pias, _wusc_, 
   {{0x212b2046,0x319b0147,0x00000000,0x00000000}},	//   noch_, רבאנ, --, --, 
   {{0x656800e5,0x7d1d01c8,0x6fc90299,0x00000000}},	//   _atdh, _ijss, िटिं, --, 
   {{0x212b2047,0x3cef009a,0x85b90038,0x52b70299}},	//   hoch_, _इकडे_, لابس_, _असेस, 
   {{0x2d832048,0x212b0187,0x19942049,0x057900eb}},	//   nsje_, koch_, _наря, جمعة_, 
   {{0x2d8301c8,0x212b0032,0x6ab702aa,0xe919004f}},	//   isje_, joch_, lexf, _тобі_, 
   {{0x212b204a,0x290f204b,0x7ae7006d,0xd7fb02f1}},	//   doch_, miga_, _kojt, _сув_, 
   {{0x290f204c,0xf6f5015d,0xdb1d014e,0x13090088}},	//   liga_, _بزرگ, _ursä, рной_, 
   {{0xf7480084,0x7ae70588,0x2d8302b0,0x61460c10}},	//   _اللي_, _mojt, jsje_, жена, 
   {{0x3f8202f5,0x290f204d,0xa4f700d4,0x7ae7024a}},	//   tsku_, niga_, _دکتر_, _lojt, 
   {{0x3f84035e,0x61360019,0x2d8302b0,0x6ef000c2}},	//   ému_, lálk, esje_, _häbi, 
   {{0x3f82204e,0x290f204f,0x71590024,0x68f801dd}},	//   rsku_, higa_, _крис_, īvdi, 
   {{0xdd92024f,0xddc315d3,0x6cc62050,0x212b0032}},	//   ظور_, мбри, ойва, boch_, 
   {{0x3f8214f0,0x4c6a2051,0x212b2052,0x611201dd}},	//   psku_, риан_, coch_, tālu, 
   {{0x290f2053,0x6ef0007e,0x7ae72054,0x2d8302b0}},	// [1540] diga_, _läbi, _bojt, asje_, 
   {{0x2d9100ab,0xdcfc00e0,0x80d800a2,0x60c42055}},	//   brze_, turē, यावे, _haim, 
   {{0x60c42056,0xfce62057,0x3eb82058,0x409300d4}},	//   _kaim, _доно, mert_, _علیر, 
   {{0xeb9a2059,0x2d98205a,0x290f205b,0x3eb8205c}},	//   _ким_, mure_, giga_, lert_, 
   {{0x3946205d,0x60c4205e,0xdb040511,0x394000e0}},	//   rmos_, _maim, ntië, ķis_, 
   {{0x39461408,0x60c4205f,0x6b842060,0x3eb82061}},	//   smos_, _laim, msig, nert_, 
   {{0x2d982062,0x290f2063,0x6b842064,0x7769192d}},	//   nure_, biga_, lsig, _etex, 
   {{0x443d02f2,0x3eb801c4,0x60d602a5,0xdb1d0106}},	//   _bzw_, hert_, _nnym, _assè, 
   {{0x6b842065,0x3eb82066,0xa686032c,0x14a60b6c}},	//   nsig, kert_, _млад, क्षण, 
   {{0x61360019,0xe73a2067,0x2d982068,0x212b01c4}},	//   lálh, _тез_, kure_, woch_, 
   {{0xd62a0088,0x3eb82069,0x60c4206a,0x629a206b}},	//   _тоже_, dert_, _baim, rgto, 
   {{0x60c40465,0x613d008c,0x61360019,0xdb1d022c}},	//   _caim, féla, nálh, _essè, 
   {{0x60c4206c,0x6b841993,0x3eb8206d,0x212b206e}},	//   _daim, jsig, fert_, roch_, 
   {{0x6b84055f,0x2d8302b0,0x3eb801b9,0x69ce206f}},	//   dsig, tsje_, gert_, _orbe, 
   {{0x290f2070,0x7ae72071,0x41e62072,0x2d982073}},	//   yiga_, _rojt, _філа, gure_, 
   {{0x290f2074,0x6b842075,0xac592076,0x2d832077}},	//   xiga_, fsig, сааф_, rsje_, 
   {{0x2002006a,0x6b842078,0x69de2079,0x290f207a}},	// [1550] czki_, gsig, expe, viga_, 
   {{0x3eb800f6,0xdb040107,0x2d980610,0x290f0b15}},	//   cert_, ntiè, bure_, wiga_, 
   {{0x290f1e38,0x6d35207b,0x7ae7207c,0x80b000cc}},	//   tiga_, _неоф, _vojt, য়ার্, 
   {{0x52b7207d,0x6b840126,0x02b701a4,0x7cf80068}},	//   _अस्स, bsig, _अस्न, _tíra, 
   {{0x290f207e,0x69ce207f,0x3f992080,0x628a0032}},	//   riga_, _erbe, nusu_, _odfo, 
   {{0x290f2081,0xb05b2082,0x00000000,0x00000000}},	//   siga_, ddäm, --, --, 
   {{0x3f992083,0x290f086d,0x2bc90d1d,0xb8870200}},	//   husu_, piga_, रिवा, _муай, 
   {{0xd5ae00eb,0x6136014b,0x7bcf0082,0x3f992084}},	//   افي_, rálk, _krcu, kusu_, 
   {{0x2d982085,0x48fa00c7,0x1309004f,0x3f990097}},	//   zure_, _פּלא, йний_, jusu_, 
   {{0x61362086,0x60c42087,0x613d2088,0x68e92089}},	//   máli, _saim, véla, _hoed, 
   {{0x3eb8208a,0x2d98208b,0x60c4208c,0xc6a402f1}},	//   vert_, xure_, _paim, _юрти, 
   {{0x3ea1208d,0x6b84208e,0x3eb802f2,0x443d0035}},	//   _acht_, ysig, wert_, _tzw_, 
   {{0xe28e208f,0x26c502f8,0x68e90d62,0x3eb82090}},	//   _па_, _kalo_, _moed, tert_, 
   {{0x2d982091,0x60c42092,0xdb0f2093,0x3eb80380}},	//   ture_, _waim, _escú, uert_, 
   {{0x26c52094,0x62812095,0x60c42096,0x57b800ab}},	//   _malo_, malo, _taim, _इन्ह, 
   {{0x3ea12097,0xab660504,0x3eb802fb,0xfce32098}},	//   _echt_, звал, sert_, носо, 
   {{0x2d982099,0x2fc0209a,0x3f9906a2,0x64590204}},	// [1560] sure_, _usig_, cusu_, _mgwi, 
   {{0x2d980141,0x6b84209b,0x26c5187e,0x798507d7}},	//   pure_, rsig, _nalo_, fshw, 
   {{0x68fb209c,0x68e9209d,0x14bd1276,0xdb040126}},	//   _blud, _boed, ्याण, ntié, 
   {{0x62810364,0x7e7e209e,0x68e9209f,0x6d5e20a0}},	//   halo, _hepp, _coed, _iupa, 
   {{0x7e7e008c,0x68e2003d,0xe73a20a1,0x68e90156}},	//   _kepp, rjod, бед_, _doed, 
   {{0x6d5e20a2,0x6281044e,0xf1db00ae,0x7e7e20a3}},	//   _kupa, jalo, यमान, _jepp, 
   {{0x628120a4,0xbb4320a5,0x69da0228,0x7e7e20a6}},	//   dalo, _черк, _štef, _mepp, 
   {{0x68e920a7,0x7e7e20a8,0x6d5e20a9,0x68fb20aa}},	//   _goed, _lepp, _mupa, _glud, 
   {{0x6d5e20ab,0x26c5145a,0x613620ac,0x38660183}},	//   _lupa, _falo_, cáli, mcor_, 
   {{0x628120ad,0xe3af20ae,0x26c520af,0x98b8012d}},	//   galo, اري_, _galo_, _kurį_, 
   {{0xd48f20b0,0xb5ca1766,0xdceb0b1d,0xa50a20b0}},	//   _пр_, _دوام_, _žiča, _лежа_, 
   {{0x64a603dc,0x3f9920b1,0x386620b2,0x63a400b3}},	//   _хада, tusu_, ncor_, _ţinu, 
   {{0x6d5e20b3,0x7e7e01d8,0xe50520b4,0x255501dd}},	//   _aupa, _bepp, _تبلي, _tālr_, 
   {{0x628a01cc,0x6d5e0720,0x7e7e20b5,0x3f9920b6}},	//   _udfo, _bupa, _cepp, rusu_, 
   {{0xa2a100a2,0x1df80b58,0x3f9920b7,0x7e7e20b8}},	//   _खात्, перы_, susu_, _depp, 
   {{0x291c20b9,0x3f9920ba,0x6d5e00de,0x00000000}},	//   éval_, pusu_, _dupa, --, 
   {{0x201e20bb,0x68e902f0,0xd0080886,0x6d5e002c}},	// [1570] ştir_, _roed, _неће_, _eupa, 
   {{0x68fb00e0,0x79850364,0x7cf80019,0x6d5e0415}},	//   _slud, tshw, _hírl, _fupa, 
   {{0x68fb20bc,0x68e920bd,0xed5802a0,0x6d5e20be}},	//   _plud, _poed, _ноќ_, _gupa, 
   {{0xf99000b8,0x613620bf,0x7e7e20c0,0x7985023e}},	//   ابل_, táli, _zepp, rshw, 
   {{0x2b9315c0,0x26c50149,0x68e9051e,0x37ab20c1}},	//   _سیاس, _palo_, _voed, стен_, 
   {{0x68e90b1f,0x613620c2,0x26c50415,0x62810183}},	//   _woed, ráli, _qalo_, xalo, 
   {{0x628120c3,0x26c520c4,0x68e920c5,0x7cf80126}},	//   valo, _valo_, _toed, _oírl, 
   {{0x628120c6,0x26c520c7,0x69da0097,0x68fb027e}},	//   walo, _walo_, _šteg, _ulud, 
   {{0xa2a10239,0x26c520c8,0x25a701c8,0x6e3702ae}},	//   _खाद्, _talo_, stnl_, _lyxb, 
   {{0x21cc02d9,0x7bcd20c9,0x657a00f3,0x6136039f}},	//   _běh_, ivau, _fwth, nálv, 
   {{0x387f20ca,0x63a4020f,0x7e7e20cb,0x22020175}},	//   _keur_, _ţint, _repp, _réhé_, 
   {{0x6d5e20cc,0xdb04060f,0x7e7e20cd,0xe5070038}},	//   _rupa, rtié, _sepp, _عباي, 
   {{0x6d5e20ce,0x387f20cf,0x73e4004f,0xe8df0023}},	//   _supa, _meur_, _поїз, _nhọn_, 
   {{0x387f0518,0x63a920d0,0x628120d1,0x56b50147}},	//   _leur_, mten, qalo, ופֿן_, 
   {{0x6da30d47,0xdca602f1,0xce4a00f0,0xada300a3}},	//   кира, мави, ізбе_, карл, 
   {{0x249f010d,0x205620d2,0x7cf820d3,0x387f20d4}},	//   ngum_, _отпр, _víro, _neur_, 
   {{0xe8df00f7,0x0fc311db,0x7e7e20d5,0x0aea1628}},	// [1580] _chọn_, _айын, _tepp, одай_, 
   {{0x63a920d6,0x6d5e20d7,0xc31f0033,0xf1b1017d}},	//   iten, _tupa, _নীতি_, _जहान, 
   {{0x63a920d8,0x80a50466,0x9965004e,0x18a620d9}},	//   hten, _कामे, етіл, даем, 
   {{0x63a920da,0x00000000,0x00000000,0x00000000}},	//   kten, --, --, --, 
   {{0x387f20db,0x2ca0012b,0xd6b400fd,0x6d4600c2}},	//   _deur_, mgid_, ейлъ, _ihka, 
   {{0x386620dc,0x6136008c,0xdcfc0009,0x2ca000c2}},	//   scor_, málu, turė, lgid_, 
   {{0xfaa30013,0x63a9002e,0x941806d0,0xceb300a7}},	//   _шаро, eten, ərə_, דיו_, 
   {{0x387f20dd,0x2ca020de,0x63a920df,0x6128008f}},	//   _geur_, ngid_, ften, nıld, 
   {{0x63a920e0,0x77910296,0x2ca000b0,0x69e300b3}},	//   gten, _مینا, igid_, ăteş, 
   {{0x69c80183,0x7cf11950,0x2732020f,0x387f039b}},	//   _ádes, _hårt, râns_, _zeur_, 
   {{0x6128027e,0x611520e1,0x2b5820e2,0x00000000}},	//   kıld, едну, _mirc_, --, 
   {{0x63a920e3,0x1e7200f0,0x160700ae,0x00000000}},	//   bten, ңғыс, _वेटर_, --, 
   {{0x63a920e4,0xa2940c8b,0x7cf10219,0x1fb40cfe}},	//   cten, _залі, _mårt, ксёр, 
   {{0x442620e5,0x2fd21bde,0xf09f0054,0x7cf80534}},	//   _ixo_, _dryg_, sgà_, _dírm, 
   {{0x6d46016a,0x9e34177d,0x81d40283,0x527520e6}},	//   _bhka, верч, _чойх, _чучу, 
   {{0x2b5820e7,0xa2d600a5,0x2ca0095a,0x6d460104}},	//   _airc_, बाक्, ggid_, _chka, 
   {{0x2b5800ca,0x8aa720e8,0x6d461e1b,0x2fd203c6}},	// [1590] _birc_, дред, _dhka, _gryg_, 
   {{0x2d8505b9,0x7bcd0341,0xab94004f,0x00000000}},	//   áles_, rvau, тифі, --, 
   {{0x63a920e9,0x387f026a,0x6f1516a3,0x7bcd0080}},	//   zten, _peur_, mizc, svau, 
   {{0x63a920ea,0xf77100b1,0x09b10086,0x2b58012b}},	//   yten, هات_, ছিলা, _eirc_, 
   {{0x2b580183,0x6d4d20eb,0x387f039b,0x6442045a}},	//   _firc_, mmaa, _veur_, _nzoi, 
   {{0xd24620ec,0x6d4d20ed,0x61360019,0xb6a202f1}},	//   _من_, lmaa, lált, гишл, 
   {{0x63a920ee,0x4426019c,0xa8a71f0d,0x00000000}},	//   wten, _axo_, _орак, --, 
   {{0x6d4d20ef,0x61360019,0xe3c80023,0xc98414b7}},	//   nmaa, nált, _bự_, _јури, 
   {{0x752200ef,0xe3b60b58,0x249f20f0,0x7cf10c17}},	//   _djoz, ебы_, rgum_, _hårs, 
   {{0xe3c80029,0x644200ef,0x8af00095,0x6d4d018e}},	//   _dự_, _dzoi, qqət, hmaa, 
   {{0xa0a603dc,0x44260e34,0x6d4d12b6,0x612806a2}},	//   нанд, _exo_, kmaa, yıld, 
   {{0xcea90052,0xc879009e,0x248400b9,0x61280248}},	//   _לי_, _goşt_, camm_, xıld, 
   {{0x6d4d0b1f,0xd3c400f0,0x613603b3,0xdb1d20f1}},	//   dmaa, _ақыл_, dált, _assí, 
   {{0x6d4601ee,0x656120f2,0x6d4d11da,0x201e020f}},	//   _shka, _kulh, emaa, ăti_, 
   {{0x656103b7,0xe81600ab,0x612805b7,0x613608b2}},	//   _julh, _देना_, tıld, fált, 
   {{0x656100ce,0x6d4d20f3,0x6b9620f4,0xa0a303dc}},	//   _mulh, gmaa, tryg, _баъд, 
   {{0x612807fa,0xf1c9001b,0x2ca020f5,0x0c2620f6}},	// [15a0] rıld, _hạ_, rgid_, хман, 
   {{0x6d4d0341,0x6b960566,0x20ac072d,0x61280241}},	//   amaa, rryg, ट्रध, sıld, 
   {{0x753b026e,0x499a20f7,0x612805b7,0x91fc0243}},	//   kluz, ятая_, pıld, ecāj, 
   {{0x6d4d0339,0x6d4600c8,0x57a60d47,0xf1c90023}},	//   cmaa, _uhka, ешка, _mạ_, 
   {{0xf1c9001b,0xe73a1daa,0x69c302c9,0x7cf10946}},	//   _lạ_, пед_, æner, _vårt, 
   {{0x7bc602f5,0xe5c61853,0x8f9b00c7,0x66e31628}},	//   _isku, есио, פיצי, лоча, 
   {{0xe3c800f7,0x7cf10430,0xfc3f0183,0xf1c900e7}},	//   _sự_, _tårt, _icía_, _nạ_, 
   {{0x2d9804ef,0x6561023e,0xe8b506a2,0x273b0023}},	//   irre_, _dulh, mışı, hênh_, 
   {{0xd90d0399,0xe8b5091f,0x248420f8,0x00000000}},	//   _بین_, lışı, ramm_, --, 
   {{0xf1c900e7,0x55e6004f,0x23d201a4,0xe81600bd}},	//   _bạ_, _позб, तिबद, _देया_, 
   {{0xe8b50785,0x7d0420f9,0x7aee0082,0x61362086}},	//   nışı, khis, _mobt, jáls, 
   {{0xe3c800f7,0x78a220fa,0x7d0420fb,0xf1c900e7}},	//   _tự_, ngov, jhis, _dạ_, 
   {{0x66f40081,0x04570084,0x7d0420fc,0x656120fd}},	//   _अवाक_, _كلمة_, dhis, _zulh, 
   {{0x3ea50019,0x1ee700d4,0xe8b5027e,0xbb1b0216}},	//   ült_, روزی_, kışı, _xwîd, 
   {{0x7bc600e5,0x6d4d20fe,0xf1c90108,0x6abe011c}},	//   _asku, tmaa, _gạ_, depf, 
   {{0x7d0420ff,0x23b7143e,0xa8a60218,0xd904009c}},	//   ghis, _अहमद, şkêş_, _طی_, 
   {{0x6d4d2100,0x61361930,0x7aee084c,0x628e0035}},	// [15b0] rmaa, rált, _bobt, óbow, 
   {{0x6d4d2101,0xadf500e4,0x0a682102,0xab18004f}},	//   smaa, _апош, ерци_, нієї_, 
   {{0x7bc60414,0x7d040014,0xf1c900e7,0x6d4d10f3}},	//   _esku, bhis, _xạ_, pmaa, 
   {{0x7d042103,0x38c90019,0x7cf12104,0xf0940070}},	//   chis, بائی_, _vårs, ָנס_, 
   {{0xa2a1055d,0x656120cb,0xb6a52105,0x00000000}},	//   _खाल्, _sulh, вилл, --, 
   {{0x7aee011f,0x00000000,0x00000000,0x00000000}},	//   _gobt, --, --, --, 
   {{0xb8b3032e,0x50b10ede,0x656100e2,0x2bc903a2}},	//   _бөлі, जभाष, _qulh, रिका, 
   {{0x69c7056e,0x78a200ef,0x09e70033,0x00000000}},	//   _isje, cgov, পনদা, --, 
   {{0x3f8b00ab,0xd4680038,0x753b2106,0x77551acb}},	//   jscu_, رحيم_, rluz, _акаф, 
   {{0x466b2107,0x77900019,0xdcfc01dd,0x69d50035}},	//   _храм_, _ایوا, turī, _krze, 
   {{0x7d042108,0x3f8b2109,0x65940176,0x412a210a}},	//   yhis, escu_, _баху, доно_, 
   {{0x69d50d9d,0xdddc0097,0x7d04210b,0xf1c90108}},	//   _mrze, jarš, xhis, _vạ_, 
   {{0xc95200c7,0x03a500d9,0xdddc0144,0xab5b00bd}},	//   ימט_, _рило, darš, _asüm, 
   {{0x69c702b1,0x78a202f5,0x69d50035,0xf1c900e7}},	//   _osje, zgov, _orze, _tạ_, 
   {{0x7d04210c,0x386d210d,0x98ad008a,0x7d16210e}},	//   this, _ofer_, _gieħ_, tiys, 
   {{0x6283210f,0x7aee022c,0xad39004f,0x6ef900a1}},	//   _heno, _sobt, ечує_, _lìbh, 
   {{0x62832110,0x7aee0201,0x7d042111,0x6b631d63}},	// [15c0] _keno, _pobt, rhis, икта, 
   {{0x7d042112,0x62832113,0x386d2114,0x799e0548}},	//   shis, _jeno, _afer_, tupw, 
   {{0x62831622,0x7d040364,0x1d0a01d0,0x7cf81c62}},	//   _meno, phis, _жени_, _líri, 
   {{0xe8b5091f,0x69d50035,0x290002aa,0x00000000}},	//   rışı, _drze, óia_, --, 
   {{0x98a32115,0x69d52116,0x66e62117,0x56941a31}},	//   риче, _erze, кода, галт, 
   {{0x62832118,0x47330769,0xa3d52119,0x799e018e}},	//   _neno, аніс, हिन_, pupw, 
   {{0x27e0002e,0x69d500ab,0x0583004e,0x69d802c9}},	//   ţin_, _grze, ауым, æved, 
   {{0x3f4f01f2,0xaae000bc,0x00000000,0x00000000}},	//   _jżur_, नावक, --, --, 
   {{0x6283211a,0x7d0300d9,0x366a00a3,0x7cf8019c}},	//   _beno, _înse, _жазо_, _círi, 
   {{0x80a50077,0x7cf80038,0xe6c50038,0x613d211b}},	//   _काहे, _díri, _متمي, méli, 
   {{0x26de0056,0xe816143e,0x31c30093,0xe4c600a3}},	//   _into_, _देता_, асяв, _аёлн, 
   {{0x2906211c,0x7cf80038,0x628308a3,0x00000000}},	//   nhoa_, _fíri, _eeno, --, 
   {{0x26cc211d,0x4394211e,0x2906211f,0xef1f2120}},	//   _kado_, _салс, ihoa_, ssüm_, 
   {{0x62832121,0x04430925,0xe571010e,0x80a52122}},	//   _geno, _течн, _خطے_, _कावे, 
   {{0x62882123,0xdddc026e,0x29060149,0x26cc0102}},	//   mado, tarš, khoa_, _mado_, 
   {{0x26cc0b85,0x6d580036,0x3ead00d8,0x00000000}},	//   _lado_, _èval, řet_, --, 
   {{0x63a01191,0x7c842124,0x0fe40161,0x2b4a0014}},	// [15d0] numn, русе, _көрү, _bhbc_, 
   {{0x69d52125,0x62882126,0x26cc0496,0x613d026a}},	//   _prze, nado, _nado_, déli, 
   {{0x60cd2127,0x612807fa,0x63a0015e,0xc9872128}},	//   _kaam, lıla, humn, тузи, 
   {{0x63a02129,0x60cd212a,0x26de212b,0x3873212c}},	//   kumn, _jaam, _anto_, рқат, 
   {{0xb8cb0ede,0x26cc086d,0x60cd212d,0x6d5d212e}},	//   _खा_, _bado_, _maam, _iisa, 
   {{0x6288212f,0x69d5006a,0xa3d61615,0x6d5d2130}},	//   jado, _trze, ाटन_, _hisa, 
   {{0x26cc0e2e,0x7cf82131,0x69c702c7,0xdb0402aa}},	//   _dado_, _síri, _usje, stiã, 
   {{0x23ab01cc,0x29062132,0x62832133,0xbcfb2134}},	//   tøj_, choa_, _seno, _diég, 
   {{0x6b8d0316,0x6d5d2135,0x62831b79,0x63a00121}},	//   nsag, _misa, _peno, gumn, 
   {{0x6d5d05d2,0x61280092,0x26cc2136,0xd1750f82}},	//   _lisa, dıla, _gado_, лымы, 
   {{0x60cd2137,0x62830228,0x05960274,0x7c3d0f96}},	//   _baam, _veno, _مانگ, _lysr, 
   {{0x6d5d0704,0x60cd03da,0x63a00870,0xd5fa0070}},	//   _nisa, _caam, bumn, _אפער, 
   {{0xe2992138,0x61280241,0x60cd0eb1,0x80a5072d}},	//   _зал_, gıla, _daam, _कारे, 
   {{0x62882139,0x6da6213a,0x339200eb,0x6d5d213b}},	//   cado, лига, _الوز, _aisa, 
   {{0x6d5d0bc1,0x60cd01b8,0x78a900d2,0xb17600e7}},	//   _bisa, _faam, _ocev, _trượ, 
   {{0x6d5d213c,0xa0a603dc,0x60cd0539,0x61280761}},	//   _cisa, _саид, _gaam, bıla, 
   {{0x6128213d,0x6d5d213e,0x6b8d213f,0xff660216}},	// [15e0] cıla, _disa, gsag, _şîfa_, 
   {{0x78a9033c,0x4aa70161,0x2bc91464,0x4e362140}},	//   _acev, лкун_, रिजा, _معجز, 
   {{0x6d5d00a9,0x2d9515c5,0x60cd2141,0x2906084c}},	//   _fisa, _кряс, _yaam, thoa_, 
   {{0x613d2142,0x6d5d2143,0xfce603dc,0x26cc2144}},	//   téli, _gisa, _сомо, _sado_, 
   {{0x62882145,0xbcfb2146,0x01370070,0x443d052b}},	//   yado, _diéd, אָגט_, _nyw_, 
   {{0x62882147,0x6d5d2148,0x613d2149,0xbcfb0212}},	//   xado, _zisa, réli, _piég, 
   {{0xe1e7214a,0x61280749,0x7d03002e,0x26cc1054}},	//   _اس_, zıla, _însc, _vado_, 
   {{0x80d407bd,0x26cc0096,0x443d02bf,0x6288214b}},	//   _बोले, _wado_, _byw_, wado, 
   {{0x62880b85,0x2904214c,0x60cd088f,0x28e113ec}},	//   tado, _ilma_, _raam, फारि, 
   {{0x60cd214d,0xc87904be,0x443d00f8,0xadf600c9}},	//   _saam, _inşa_, _dyw_, ीनान_, 
   {{0x63a0090e,0x2258214e,0x38690571,0x60cd214f}},	//   sumn, ärk_, žare_, _paam, 
   {{0x612803c0,0x6b8d026a,0x443d0156,0x29040175}},	//   tıla, ysag, _fyw_, _jlma_, 
   {{0x62882150,0x60cd2151,0x33f616a7,0x6b4b0502}},	//   pado, _vaam, _حساس, lüge, 
   {{0x61280824,0x6d5d2152,0x60cd17f2,0x628801ff}},	//   rıla, _sisa, _waam, qado, 
   {{0x60cd177f,0xbcfb026a,0x69da10d4,0x6b4b01c4}},	//   _taam, _liée, _šten, nüge, 
   {{0x61280c05,0x6b8d2153,0x2fc9006d,0x6d5d2154}},	//   pıla, tsag, _tsag_, _qisa, 
   {{0x6d5d2155,0x5b152156,0x443d006d,0x6e95002e}},	// [15f0] _visa, амат, _xyw_, _кипу, 
   {{0x6d5d2157,0xa3d52158,0x6b8d2159,0x91a80e7d}},	//   _wisa, हित_, rsag, _कमाई, 
   {{0x6b8d215a,0x6d5d215b,0xba47128b,0x06cd0086}},	//   ssag, _tisa, ухай, লামি, 
   {{0xc9130086,0xd7d502a0,0xe816109f,0x6b8d215c}},	//   িক্ত_, ижењ, _देहा_, psag, 
   {{0xdb040a47,0x37e51284,0x2129039b,0x75dc0474}},	//   stiá, ролг, _mjah_, _lăză, 
   {{0x6b4b02f2,0x443d00f8,0x2904215d,0x00000000}},	//   füge, _ryw_, _elma_, --, 
   {{0x6ead000d,0x5a440904,0xba74006b,0x256a0465}},	//   _जानु, _гэта, _چاہت, _cùl_, 
   {{0xb46502b9,0x2d9e1a51,0x195800f0,0xe816215e}},	//   шкил, šteg_, _басы_, _देवा_, 
   {{0xf77000c5,0xab5b00b0,0x67d400b3,0x320c0032}},	//   _فال_, _psüh, _лоту, ezdy_, 
   {{0x2129215f,0x82f52160,0x981408cb,0x57f40267}},	//   _ajah_, рчиц, _طبقا, _упут, 
   {{0x394d023b,0xf8c90fc0,0x2486023a,0xc8830216}},	//   _khes_, _रसाय, _feom_, _goşê_, 
   {{0x33d50769,0x248602a3,0xa3d50035,0x628e12aa}},	//   _вікт, _geom_, हिद_, óbor, 
   {{0x95541fdb,0x212902fe,0x036800f0,0xa93600d1}},	//   _اخلا, _djah_, _биік_, שטרה_, 
   {{0xe29907a4,0xa85600a7,0x394d114e,0x23d203ce}},	//   _рак_, יירה_, _lhes_, तिरद, 
   {{0x21a52161,0x2cb901be,0x71a5040c,0x764e0098}},	//   _тийм, _bbsd_, _тайз, _úbyt, 
   {{0x25ed0bd3,0xa3c90035,0xb05b2162,0x395f2163}},	//   _अपनी_, _ऊना_, rdär, _nius_, 
   {{0xed57088e,0x4aaa2164,0x81cc0086,0xcb672165}},	// [1600] рот_, ккан_, রমণ_, иате_, 
   {{0x316711a5,0x0d862166,0x1e962167,0x00000000}},	//   _kunz_, _клон, _трир, --, 
   {{0x395f120c,0x6f1c2168,0xbcfb0175,0x7e9b00d1}},	//   _bius_, mirc, _diéb, _בסיו, 
   {{0x613d0ada,0x6f1c0036,0x394d0090,0x00000000}},	//   bélu, lirc, _ches_, --, 
   {{0x67d42169,0x7d03107c,0x395f022c,0x394d011c}},	//   солу, _însa, _dius_, _dhes_, 
   {{0x97130451,0x7cf8216a,0x6f1c216b,0xb8fd0299}},	//   оміц, _víru, nirc, _थो_, 
   {{0x4420002e,0x95ca216c,0x24860054,0x395f216d}},	//   _ţi_, тула_, _peom_, _fius_, 
   {{0x395f0036,0xc44800d7,0x00000000,0x00000000}},	//   _gius_, هیان_, --, --, 
   {{0xdcef090e,0x6f1c0380,0x14a700c9,0x00000000}},	//   žeće, kirc, _गारण, --, 
   {{0x2129216e,0x00000000,0x00000000,0x00000000}},	//   _sjah_, --, --, --, 
   {{0x8ad90070,0xd627216f,0x98af01dd,0xf1a32170}},	//   אַרפ, _кофе_, logā_, орян, 
   {{0x67382171,0x25be095a,0x656801f5,0x23660028}},	//   lovj, _iptl_, _iudh, _tuoj_, 
   {{0x65682172,0x44320210,0x9f590151,0x8535010e}},	//   _hudh, _ây_, lysé_, _اونچ, 
   {{0x65682173,0x31670036,0xe7f9029c,0x3160040c}},	//   _kudh, _funz_, ्नता_, _eiiz_, 
   {{0x51862174,0xe29702a6,0x656800d4,0x31670231}},	//   _тула, _тај_, _judh, _gunz_, 
   {{0x65682175,0x6f1c0387,0x00000000,0x00000000}},	//   _mudh, airc, --, --, 
   {{0x186900cf,0x2d5815dd,0x395f022c,0x656801be}},	// [1610] қали_, рить_, _rius_, _ludh, 
   {{0x67380eae,0x21390034,0x656812b6,0xaaac0fc0}},	//   jovj, losh_, _oudh, _चाणक, 
   {{0x67382176,0x656801e5,0x9c830144,0x7c29129a}},	//   dovj, _nudh, _ščuk, _žerd, 
   {{0xa3d605f6,0xbcfb10fd,0x21390034,0x00000000}},	//   ाटा_, _diéc, nosh_, --, 
   {{0x395f022c,0x37ab03fd,0xb0aa0035,0x2d910035}},	//   _vius_, ттен_, _कासग, lsze_, 
   {{0x65682177,0x16a9141d,0x67382178,0xa3d5119b}},	//   _budh, увки_, govj, हिस_, 
   {{0x394d2179,0xdcfb1615,0xc5d503bd,0x2139024a}},	//   _thes_, _एकाध_, сіль, kosh_, 
   {{0x2ca9217a,0xbb1b0218,0x28cf12e3,0x7af5217b}},	//   ngad_, _xwîn, _सोचि, _hozt, 
   {{0x291d217c,0x2139217d,0x261700bc,0x6f1c0241}},	//   miwa_, dosh_, _भेरी_, yirc, 
   {{0x291d2083,0xddde1c77,0x7305217e,0x656802cd}},	//   liwa_, _lepš, споз, _fudh, 
   {{0xdb0402a0,0x6568217f,0x7af52180,0x2d910035}},	//   stiç, _gudh, _mozt, jsze_, 
   {{0x291d2181,0x21392182,0x14ca00d7,0x00000000}},	//   niwa_, gosh_, _مهمی_, --, 
   {{0xc50c00c7,0x9fd60033,0xb05b0080,0xa2d2102c}},	//   _בלאָ, সঙ্গ, seän, _भोक्, 
   {{0x65682183,0x291d2184,0x644b052a,0x84e500a5}},	//   _yudh, hiwa_, _izgi, कावट_, 
   {{0x291d2083,0x6b500750,0x78bb2185,0x7d0600e0}},	//   kiwa_, lägg, _obuv, _plks, 
   {{0x2ca9014e,0x291d0010,0x3c6600e4,0x38600082}},	//   ggad_, jiwa_, скаг, žiri_, 
   {{0x09b211bd,0x6128213d,0x291d0010,0x7af52186}},	// [1620] ीब्य, nılm, diwa_, _bozt, 
   {{0x2ca90102,0x78bb016c,0xbcfb0212,0xee390176}},	//   agad_, _abuv, _piéc, унӣ_, 
   {{0x8db600dd,0x291d0053,0x613d0126,0x6d4f00a1}},	//   _успі, fiwa_, céls, _fhca, 
   {{0x98a62187,0x6128027e,0x291d2188,0x6d4f01be}},	//   сиде, kılm, giwa_, _ghca, 
   {{0x656801e5,0xc7a32189,0x31b10019,0x6d44218a}},	//   _sudh, зичк, ház_, mlia, 
   {{0x61280095,0x6d44218b,0xd37a02f1,0x05d3009a}},	//   dılm, llia, қчи_, थिंब, 
   {{0x386904d1,0x6d4402bf,0x6738218c,0x291d0010}},	//   žara_, olia, rovj, biwa_, 
   {{0x539810df,0x69ce218d,0x6d44007a,0x67380082}},	//   авия_, _isbe, nlia, sovj, 
   {{0x2d851056,0x6738027c,0x442f0042,0x6d44218e}},	//   ález_, povj, _cxg_, ilia, 
   {{0x6d44218f,0x35c40f5a,0x03a6035b,0x65681372}},	//   hlia, _мазҳ, _ҳидо, _tudh, 
   {{0xe3af1cad,0x6d44012d,0x69da008b,0x21392190}},	//   وری_, klia, _štej, tosh_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2d91006a,0xff660218,0xb0aa000f,0x6d440156}},	//   wsze_, şîne_, _कारग, dlia, 
   {{0xa3d52191,0x291d2192,0x69dc2193,0x65620054}},	//   हिर_, ziwa_, _orre, _hioh, 
   {{0x7af52194,0x8cda00a2,0x2d852195,0x291d2196}},	//   _rozt, _पोहो, èle_, yiwa_, 
   {{0x6d44048a,0x2d912197,0xbc7911e6,0x50672198}},	//   glia, rsze_, рбах_, _утка, 
   {{0x69dc2199,0x7af5219a,0x2ca9219b,0x6562023a}},	// [1630] _arre, _pozt, rgad_, _mioh, 
   {{0x2d9100ab,0xaa67219c,0x6d44219d,0x69dc219e}},	//   psze_, стак, alia, _brre, 
   {{0x291d219f,0x612803c0,0x7d0300b3,0x628a0415}},	//   tiwa_, zılm, _înso, _mefo, 
   {{0x612807fa,0x628a21a0,0x6ca70cb4,0xe894004f}},	//   yılm, _lefo, _урож, заць, 
   {{0x69dc21a1,0x629821a2,0x291d21a3,0x7d0d21a4}},	//   _erre, _odvo, riwa_, mhas, 
   {{0x7d0d006b,0x291d21a5,0xab5b0019,0xdb0d0038}},	//   lhas, siwa_, _csüt, otaí, 
   {{0x24e9048a,0xceb4042c,0x442f0042,0xdb0d0038}},	//   имки_, פיק_, _sxg_, ntaí, 
   {{0x612805b7,0x7d1f02f1,0x6abc0082,0x77690126}},	//   tılm, niqs, _zbrf, _tuex, 
   {{0x628a21a6,0x130921a7,0x248d019c,0x00000000}},	//   _befo, иний_, raem_, --, 
   {{0x61280824,0x422521a8,0xe29908bd,0x569421a9}},	//   rılm, ждов, јан_, _наут, 
   {{0x90c6030f,0x7d0d21aa,0x60c600e0,0x6d440156}},	//   обне, khas, tekm, ylia, 
   {{0xf9920056,0x7bcf21ab,0x612821ac,0x69da21ad}},	//   ורט_, _oscu, pılm, _štek, 
   {{0x7529002e,0x7d0d00d4,0x6b50074b,0x60c6027e}},	//   mnez, dhas, läge, rekm, 
   {{0x26c721ae,0xa3d60dc4,0x628a21af,0x753b21b0}},	//   neno_, ाटर_, _gefo, louz, 
   {{0x628121b1,0x7bcf002e,0x6d4421b2,0x752921b3}},	//   mblo, _ascu, tlia, onez, 
   {{0x7d0d21b4,0x628121b5,0x26c721b6,0x6d4421b7}},	//   ghas, lblo, heno_, ulia, 
   {{0x8c4321b8,0x26c721b9,0x6d5621ba,0x8eba00d9}},	// [1640] дете, keno_, rmya, _кынт_, 
   {{0xb0aa15ba,0xac08004e,0x7bcf0126,0x98ad0032}},	//   _काँग, анға_, _dscu, _cieľ_, 
   {{0x7d0d21bb,0x26c721bc,0x49ca21bd,0xa3d5120f}},	//   bhas, deno_, рлен_, हिँ_, 
   {{0xdb0400eb,0x31ba00c7,0xd7fa002e,0x00000000}},	//   ntiú, יזענ, иул_, --, 
   {{0x765f06d0,0x26c721be,0x752921bf,0x628121c0}},	//   əyyə, feno_, dnez, kblo, 
   {{0x7d040088,0x26c702a3,0x69ce0226,0x752921c1}},	//   lkis, geno_, _tsbe, enez, 
   {{0xb0aa21c2,0xaa4311db,0x69dc21c3,0x20aa04cc}},	//   _कांग, _жерл, _urre, _कांध, 
   {{0x7d0421c4,0x628a21c5,0x99750283,0xa3d521c6}},	//   nkis, _sefo, _хурш, हिं_, 
   {{0x26c721c7,0x394621c8,0x628a0118,0xd9430267}},	//   beno_, mlos_, _pefo, _цети, 
   {{0x3946128a,0x26c721c9,0xb2b7011f,0x20d70023}},	//   llos_, ceno_, ольф_, _ủi_, 
   {{0xd48f21ca,0x7d0421cb,0xdb040369,0xb5ca00d7}},	//   _ор_, kkis, guié, _خوام_, 
   {{0x394602f2,0x657a010e,0x3860032f,0x7d0d21cc}},	//   nlos_, _itth, žiru_, xhas, 
   {{0x628a0026,0x628121cd,0x7d0d21ce,0x7d04039b}},	//   _tefo, bblo, vhas, dkis, 
   {{0x62980112,0xbcfb001d,0x628121cf,0xdb0421d0}},	//   _udvo, _cién, cblo, quiè, 
   {{0x7d0d21d1,0xf27b0056,0x394600e4,0x61fc0219}},	//   thas, _דרוש, klos_, ärld, 
   {{0xdb0400eb,0x26c71293,0x3946006d,0x80a521d2}},	//   ctiú, zeno_, jlos_, _काटे, 
   {{0x7d0d21d3,0x39460880,0xdb0d00eb,0x26c7044d}},	// [1650] rhas, dlos_, staí, yeno_, 
   {{0x657a0019,0x7d0d21d4,0x26c70042,0x3946060f}},	//   _otth, shas, xeno_, elos_, 
   {{0xceb21a61,0x7d04006d,0x7d0d21d5,0xaaac00bc}},	//   _איי_, bkis, phas, _चारक, 
   {{0x6b50014e,0x394621d6,0x7d0421d7,0x26c721d8}},	//   väge, glos_, ckis, weno_, 
   {{0x657a0640,0x26c721d9,0x66e521da,0x60dc00c7}},	//   _atth, teno_, зола, יקאנ, 
   {{0x628101cc,0x39460183,0xff7c0070,0x00000000}},	//   xblo, alos_, סטומ, --, 
   {{0x26c70112,0x80ac02f8,0x394621db,0x27e90474}},	//   reno_, _झाले, blos_, ţan_, 
   {{0x394621dc,0x6136006b,0x6b5001c4,0x6281039b}},	//   clos_, bály, räge, wblo, 
   {{0x628121dd,0x26c721de,0x753b0183,0x6b501096}},	//   tblo, peno_, rouz, säge, 
   {{0x13090b34,0x753b02d9,0xcfd10033,0x77f900c9}},	//   сной_, souz, ামান, ्नीक_, 
   {{0x753b090e,0x7d040533,0xbcfb0126,0x614621df}},	//   pouz, ykis, _rién, зена, 
   {{0xbcfb0369,0x00000000,0x00000000,0x00000000}},	//   _sién, --, --, --, 
   {{0xb4d702e6,0x628121e0,0x4aac009a,0xbcfb0126}},	//   ायी_, pblo, _चालव, _pién, 
   {{0x3f9e026e,0x657a0327,0xe7f31dce,0x63a9095a}},	//   čtu_, _ytth, _आपना_, muen, 
   {{0x7d0421e1,0xdb040107,0xbcfb0369,0x32420176}},	//   tkis, quié, _vién, _пешг, 
   {{0x2571008c,0x61fc02ae,0x41b20038,0xa01b01d5}},	//   _mál_, ärle, _أمير, mbön, 
   {{0xeb9a0623,0x7d0421e2,0x21220026,0xfbdf019c}},	// [1660] сиз_, rkis, mikh_, _crê_, 
   {{0x7d0421e3,0xa3dc06ea,0x60d621e4,0xe8160035}},	//   skis, डित_, _haym, _देगा_, 
   {{0x9d461f28,0xfbdf010c,0x60d6027e,0xa3d200bc}},	//   _неод, _erê_, _kaym, _हैन_, 
   {{0x7ae7024a,0x6136010e,0xaa57007a,0x00000000}},	//   _enjt, tály, سلنا_, --, 
   {{0x394621e5,0xe8160d0d,0x2efa01c4,0xf74621e6}},	//   rlos_, _देखा_, _kopf_, педо, 
   {{0x6136010e,0x1769004e,0x394621e7,0x60d60104}},	//   rály, іріп_, slos_, _laym, 
   {{0x25710183,0x394621e8,0x00000000,0x00000000}},	//   _cál_, plos_, --, --, 
   {{0x399b00a7,0x2571031e,0x63a904ef,0xd3a621e9}},	//   _לילד, _dál_, fuen, проп, 
   {{0x63a921ea,0x2a6a016a,0x07a302a0,0x6b9621eb}},	//   guen, _kgbb_, _патн, nsyg, 
   {{0xa3ab006a,0x877b035c,0x957c0083,0xff660216}},	//   गढ़_, _לאמי, _prąd, _şîna_, 
   {{0x290621ec,0xbcfb0151,0xa3b80249,0x00000000}},	//   okoa_, _biél, _चहक_, --, 
   {{0x63a921ed,0x29061efb,0x974700ca,0x60d621ee}},	//   buen, nkoa_, rićš, _caym, 
   {{0x63a9127e,0xbcfb21ef,0xe8df0023,0xdbf102d9}},	//   cuen, _diél, _nhờn_, tříc, 
   {{0x290f021e,0x957c0083,0x7d1d020b,0x00000000}},	//   zhga_, _trąd, _smss, --, 
   {{0x2d9e02f5,0x29060088,0xb2bb00d1,0x00000000}},	//   šten_, kkoa_, _המור, --, 
   {{0x614402a0,0x00000000,0x00000000,0x00000000}},	//   _пеја, --, --, --, 
   {{0xa3d5006a,0x3c5800d9,0xe8df0108,0x00000000}},	// [1670] हिए_, зитэ_, _chờn_, --, 
   {{0x290600b4,0x00000000,0x00000000,0x00000000}},	//   ekoa_, --, --, --, 
   {{0x2a780175,0x63a901ca,0x60d60585,0x5d550e9a}},	//   _dfrb_, zuen, _yaym, _окот, 
   {{0x25e004b7,0x5fb10366,0x00000000,0x00000000}},	//   किनी_, _जमाल, --, --, 
   {{0x257121f0,0x61360183,0x333e01d6,0x63a901cf}},	//   _sál_, rálx, kotx_, xuen, 
   {{0x290f0c67,0xb90421f1,0x857921f2,0x290601d6}},	//   shga_, _भो_, осит_, akoa_, 
   {{0x69da11c8,0x20020035,0x00000000,0x00000000}},	//   _štev, zyki_, --, --, 
   {{0x58d421f3,0x63a90a9f,0xb4d70c06,0x6b4b01c4}},	//   _пост, tuen, ाये_, zügl, 
   {{0x2be00d1d,0x195821f4,0x68e921f5,0x29070009}},	//   निया, _хаты_, _ined, ūnas_, 
   {{0x68fb21f6,0x63a921f7,0x68e90228,0x212200e2}},	//   _houd, ruen, _hned, wikh_, 
   {{0x68fb21f8,0x80d70086,0x10a621f9,0x60d621fa}},	//   _koud, ধান্, минн, _paym, 
   {{0x200200ab,0x68fb21fb,0x63a90126,0x60d60287}},	//   tyki_, _joud, puen, _qaym, 
   {{0x212219e0,0xe29921fc,0x63a921fd,0x68fb21fe}},	//   rikh_, _дал_, quen, _moud, 
   {{0x672321ff,0x290602ba,0xbcfb0696,0x20020083}},	//   ninj, zkoa_, _diém, ryki_, 
   {{0xdd1c026e,0x644f015e,0x60d62200,0x68e92201}},	//   _vážn, škić, _taym, _oned, 
   {{0xdb0d01c4,0x68fb2202,0x2d840098,0x7bc3020f}},	//   traß, _noud, ďme_, ănun, 
   {{0xab662203,0x21200574,0x2efa0502,0xe3b9010e}},	// [1680] двал, _imih_, _topf_, ntű_, 
   {{0x290d2204,0x68e92205,0x68fb008a,0x67232206}},	//   _alea_, _aned, _aoud, jinj, 
   {{0x68fb1c9f,0x68e9007b,0x3ebe00c2,0x6b960566}},	//   _boud, _bned, õttu_, ssyg, 
   {{0xc7c62207,0x660300ab,0x68fb0107,0xb4d7031e}},	//   дски, dynk, _coud, ायो_, 
   {{0x4c3600e4,0x68fb2208,0x29062209,0xe73a0a36}},	//   _цэнт, _doud, rkoa_, оед_, 
   {{0x291f0065,0x290601f1,0x68e9220a,0xdddc0083}},	//   _emua_, skoa_, _ened, karż, 
   {{0x8a06093e,0x68fb0212,0x7afc00b4,0xdd1d00da}},	//   _ўзбе, _foud, _iort, lášs, 
   {{0x25a0220b,0x7afc220c,0x68fb220d,0xe81f0c14}},	//   čil_, _hort, _goud, _मेवा_, 
   {{0x6723220e,0x644e0035,0x96ba220f,0x00000000}},	//   binj, ębio, _мужу_, --, 
   {{0x672304d1,0x68fb0b32,0x21200574,0x00000000}},	//   cinj, _zoud, _amih_, --, 
   {{0x36060629,0xbcfb10fd,0x2d9e02d9,0x66e30d3d}},	//   _تواف, _diéj, átel_, _јоха, 
   {{0x7afc02ba,0x249d018e,0x7bc6039b,0x261709d3}},	//   _lort, _gdwm_, _opku, _भेटी_, 
   {{0x7afc018c,0x2d9e02ef,0x7d03107c,0x611400b3}},	//   _oort, štel_, _însi, тдяу, 
   {{0x7afc1dfd,0x2120002c,0x05c202e6,0x15f21126}},	//   _nort, _emih_, _शहाब, _अपार_, 
   {{0xa3d60f01,0x7bc601dd,0x64550083,0xdb0d019c}},	//   ाटक_, _apku, ęzie, ltaç, 
   {{0x50670925,0x6b500219,0x6ca42210,0xa115009c}},	//   _отпа, väga, круж, _سوخت, 
   {{0xdb0d03b7,0x3b552211,0x7afc05a1,0x68fb2212}},	// [1690] ntaç, екар, _bort, _roud, 
   {{0x291f2213,0x68fb2214,0xdb0d0165,0x68e92215}},	//   _smua_, _soud, itaç, _sned, 
   {{0x68fb2216,0x7afc2217,0x8c420241,0x00000000}},	//   _poud, _dort, öğre, --, 
   {{0x2d8301c8,0xe7f30083,0x38352218,0x6ebb1507}},	//   mpje_, _आपदा_, ннер, श्रु, 
   {{0x672303ef,0x69da00f1,0x68fb026a,0x31b8010e}},	//   tinj, _štet, _voud, héz_, 
   {{0x7afc2219,0xe73300b8,0x68fb10de,0x6b5002ae}},	//   _gort, خصص_, _woud, lägn, 
   {{0x672311c8,0xe81f221a,0x2367024a,0x68fb03a0}},	//   rinj, _मेरा_, _rinj_, _toud, 
   {{0x67d5221b,0x6723221c,0x7afc0a9f,0x68e90156}},	//   _побу, sinj, _zort, _uned, 
   {{0x77680183,0x7afc040c,0x386d221d,0x75d300ad}},	//   _fidx, _yort, _iger_, _məzə, 
   {{0x7afc221e,0xcb1200c7,0xfbd200a7,0x21200065}},	//   _xort, ָלט_, נתי_, _smih_, 
   {{0x7648221f,0x7d0f0019,0xe1262220,0x7c290082}},	//   _gydy, _olcs, емни, _žerl, 
   {{0x75d306d0,0x70aa2221,0xbcfb0a13,0xe8df0023}},	//   _nəzə, कलेल, _diék, _khốn_, 
   {{0xa3d50081,0x31692222,0x13f40093,0x2d8302b0}},	//   हिओ_, _diaz_, _изця, epje_, 
   {{0x2d9e0062,0x63bb2223,0x69c702c7,0x00000000}},	//   štem_, mtun, _opje, --, 
   {{0x63bb2224,0x2f14022b,0x9db9004e,0xed5a2225}},	//   ltun, _lägg_, мыту_, зов_, 
   {{0x7afc2226,0xc5f200c7,0x629c00da,0x621a00d1}},	//   _sort, נדן_, órov, _מוצק, 
   {{0x60c40199,0xe81f2227,0xa3d52228,0x2d83039b}},	// [16a0] _ibim, _मेला_, हिट_, apje_, 
   {{0x7afc003d,0x63bb2229,0x386d222a,0x2907010c}},	//   _qort, itun, _ager_, ênan_, 
   {{0x63bb222b,0x7afc0f08,0xfbdf0023,0x3944011c}},	//   htun, _vort, _uyên_, _pkms_, 
   {{0x63bb222c,0x764802bf,0x7afc222d,0xe8fa0028}},	//   ktun, _rydy, _wort, яле_, 
   {{0x6d46222e,0x67d4222f,0xe8df0023,0x69d52230}},	//   _ikka, толу, _chốn_, _esze, 
   {{0x6b842231,0x98c50243,0x63bb2232,0x8f9b2233}},	//   mpig, ītās_, dtun, ליני, 
   {{0x60c42234,0xceb300c7,0x63bb2235,0xdb040212}},	//   _obim, טיג_, etun, vriè, 
   {{0x63bb2236,0x75d30095,0xa3dc0c02,0x6b84025b}},	//   ftun, _xəzə, डिल_, opig, 
   {{0x63bb2237,0xd4e30088,0xdb040107,0x61e32238}},	//   gtun, ующи, triè, _arnl, 
   {{0xdb0d2239,0x0bb700d1,0x2d830034,0x6b84223a}},	//   rtaç, עלים_, ypje_, ipig, 
   {{0x6d46223b,0xdb04026d,0x95ca223c,0xdb0d02a0}},	//   _okka, rriè, _хлеб_, staç, 
   {{0x7c290097,0xdb0d0165,0xdcdf0366,0x26ce084c}},	//   _žerm, ptaç, _पोंछ, lefo_, 
   {{0xa3e4000d,0xdb040183,0x5067002e,0x00000000}},	//   _पछि_, ntió, этоа, --, 
   {{0x545302fb,0x6d46223d,0xdef8223e,0x60c40547}},	//   _світ, _akka, ныс_, _ebim, 
   {{0x0dc811ab,0x7c870267,0xac95134b,0x7203010e}},	//   нути_, еузе, кавш, _مووم, 
   {{0x2b58223f,0x2d8302b0,0x26ce2240,0x75d300ad}},	//   _ahrc_, rpje_, hefo_, _qəzə, 
   {{0x8aa72241,0x69c72242,0xfaa70445,0x6b8406e4}},	// [16b0] еред, _spje, ешен, gpig, 
   {{0x60dd2243,0x2fc92244,0x6d460547,0xef1103a1}},	//   ldsm, _ipag_, _ekka, _түгө, 
   {{0xf99306ab,0x63bb20e9,0x27e4011c,0x7dc40019}},	//   ابط_, ztun, _armn_, _یقین, 
   {{0x60dd2245,0x2fc9011d,0x2d8100a0,0x63bb071d}},	//   ndsm, _kpag_, _ithe_, ytun, 
   {{0xb8c92246,0x69d500ab,0x60dd2247,0x26ce084c}},	//   _गए_, _wsze, idsm, fefo_, 
   {{0x6d4d2248,0x2f140219,0x752201b8,0xd2462249}},	//   llaa, _vägg_, _amoz, _نن_, 
   {{0xa3b300a2,0x98c7224a,0x6d46003e,0x6d4d040b}},	//   जून_, _псал, _ykka, olaa, 
   {{0x63bb224b,0x386d01cc,0x60dd055f,0x6d4d224c}},	//   ttun, _uger_, jdsm, nlaa, 
   {{0x76b9005e,0x63bb0088,0x7d0300b3,0x7c290121}},	//   _олар_, utun, _însu, _žerj, 
   {{0x613d006b,0x63bb0305,0x7522224d,0x2d9e00bc}},	//   mély, rtun, _emoz, átek_, 
   {{0x63bb224e,0x6d4d224f,0x3f80002e,0x2d810201}},	//   stun, klaa, _stiu_, _nthe_, 
   {{0x2d9e2250,0xbcfb02aa,0x6d4d01d2,0x00000000}},	//   štek_, _fiéi, jlaa, --, 
   {{0x889a00a7,0x6d4d2251,0x2f14014e,0x2d812252}},	//   וברי, dlaa, _läge_, _athe_, 
   {{0x4ed52253,0xdb04026d,0x656b2254,0x63a92255}},	//   люст, prié, _high, mren, 
   {{0x63a92256,0x656b2257,0x3f6708d6,0x60c400a1}},	//   lren, _kigh, тиро_, _tbim, 
   {{0x6d4d2258,0x63a92259,0x657c010e,0x61280585}},	//   glaa, oren, _érhe, rıls, 
   {{0x656b225a,0x26c50036,0xeb97225b,0x63a9225c}},	// [16c0] _migh, _oblo_, кит_, nren, 
   {{0x6d4d225d,0x613d0019,0x656b225e,0x6b84225f}},	//   alaa, dély, _ligh, rpig, 
   {{0x2be00081,0x63a92260,0x644b012d,0x656b0a69}},	//   निहा, hren, _lygi, _oigh, 
   {{0x63a9090b,0xfbab190a,0x656b2261,0x6b842256}},	//   kren, _चमचम, _nigh, ppig, 
   {{0x68430b58,0x26ce07d7,0x18670fa7,0x613d039f}},	//   анца, tefo_, ваци_, gély, 
   {{0x656b02d0,0x6d442262,0xd09a00ad,0xfaa60080}},	//   _aigh, loia, rçək, _шаго, 
   {{0xdb04128a,0x63a92263,0x28dd0fcf,0x2be00fc0}},	//   stió, eren, _नोकि, निवा, 
   {{0x6d442264,0x7d03020f,0x26ce0379,0x644b03c6}},	//   noia, _înst, sefo_, _bygi, 
   {{0x63a92265,0xdb040183,0x7e7e023e,0x00000000}},	//   gren, ltiñ, _ofpp, --, 
   {{0xbcfb0183,0x86ea0038,0x14ae009a,0xd2500499}},	//   _viéi, _تعرف_, _टाकण, ینک_, 
   {{0xdb040496,0x63a92266,0x656b00d1,0x60cf0183}},	//   ntiñ, aren, _figh, tecm, 
   {{0x94260088,0xdb040183,0x6913027e,0x6d44019c}},	//   _имее, itiñ, _içec, joia, 
   {{0xc3c4004e,0x60dd2267,0x6d442268,0x63a92269}},	//   _сөйл, rdsm, doia, cren, 
   {{0x4ea401ff,0xdb25039f,0x00000000,0x00000000}},	//   ирса, épül, --, --, 
   {{0x7e281222,0x6d4d226a,0x6e94226b,0x2749009e}},	//   віта_, tlaa, рису, _hînî_, 
   {{0xe7f300a2,0x6d44226c,0x1bd500fd,0xd1c70176}},	//   _आपला_, goia, лобя, _рушд_, 
   {{0xdc550316,0x6d4d01a9,0x2d7800ef,0x69da226d}},	// [16d0] увањ, rlaa, _učen_, _štep, 
   {{0x6d4d09a2,0xf1b617f6,0x20040502,0xb05b0080}},	//   slaa, _अमान, ämie_, seäs, 
   {{0x6d4d226e,0x7b64005e,0x2d81019b,0x63a9226f}},	//   plaa, ртте, _uthe_, zren, 
   {{0xe0df2270,0x7d16014b,0xa3d2007e,0x2be00299}},	//   ndò_, chys, _हईं_, निशा, 
   {{0x656b0056,0xfd561490,0x7d0d2271,0x4993010e}},	//   _righ, _תשרי_, mkas, _چیئر, 
   {{0x656b2272,0xe8df0108,0x00000000,0x00000000}},	//   _sigh, _phồn_, --, --, 
   {{0x99672273,0xdb0421dc,0x656b2274,0xbcfb023e}},	//   _атал, quiá, _pigh, _diév, 
   {{0x693c07c7,0x2749010c,0x2578010e,0x00000000}},	//   včeg, _bînî_, _dél_, --, 
   {{0xe299001c,0x63a92275,0x38352276,0x7d0d2277}},	//   нап_, uren, _снар, ikas, 
   {{0xe1f9030f,0x63a92278,0x656b2279,0x25780019}},	//   его_, rren, _wigh, _fél_, 
   {{0x7d0d227a,0xaaab0586,0x257808a0,0x656b227b}},	//   kkas, _चयनक, _gél_, _tigh, 
   {{0x386905ae,0x64550095,0x656b1430,0x6d4401d6}},	//   žaru_, əzin, _uigh, xoia, 
   {{0x03a5227c,0x53a5227d,0x7d0d227e,0x6d44227f}},	//   _сило, _салб, dkas, voia, 
   {{0x75292280,0xfd650108,0x7d0d059e,0x00000000}},	//   liez, _truồ, ekas, --, 
   {{0xc0e62281,0xdd1d00bc,0xdb040165,0xe7da0035}},	//   _бойк, lářs, luiç, _मैनप, 
   {{0x7d0d2282,0x7e7c0369,0x75292283,0x9f4000b9}},	//   gkas, scrp, niez, _triï_, 
   {{0x0aea2284,0x6eac00ab,0xdb040165,0x6d442285}},	// [16e0] ндай_, _जयपु, nuiç, roia, 
   {{0x7d0d0088,0x8a3a00c8,0x6d442286,0x945d0035}},	//   akas, няет_, soia, leńs, 
   {{0x88860141,0x6d442287,0x75292288,0x7d162289}},	//   глеж, poia, kiez, phys, 
   {{0xdb0403da,0x8884004e,0x25aa004f,0x2bac0c46}},	//   rtiñ, рғал, _åbli_, _चिपा, 
   {{0xa3d22125,0xdb04228a,0x6ac90086,0x2578005f}},	//   _हैं_, stiñ, রয়ো, _sél_, 
   {{0xaa460ca9,0xdd1d00bc,0x3ce0228b,0x25780175}},	//   _бегл, dářs, ldiv_, _pél_, 
   {{0x645d010d,0xceb300a7,0xe5c621a9,0xbcfb00d7}},	//   ýsin, ציה_, усло, _dhéf, 
   {{0x752901ca,0xfaa60258,0xd946228c,0x257801d5}},	//   giez, _шаҳо, _себи, _vél_, 
   {{0x28dd000f,0xdb040165,0x46b60625,0x257801c8}},	//   _नोटि, guiç, _محاس, _wél_, 
   {{0x3946228d,0x2578228e,0x9bbb00c7,0x5186228f}},	//   loos_, _tél_, עציפ, лума, 
   {{0xaac62290,0x80de00cc,0xd25000c5,0x7d0d2291}},	//   र्यक, যান্, تند_, ykas, 
   {{0xdb0402a0,0x26de2292,0x75292293,0xdd1d02d9}},	//   buiç, _hato_, ciez, bářs, 
   {{0xa3b305fd,0xc2e600cf,0x26de2294,0x7d0d2295}},	//   जूद_, _бўйи, _kato_, vkas, 
   {{0x4ea71b17,0x26de18ef,0x52762296,0x1ee7009c}},	//   ырма, _jato_, _суду, دوسی_, 
   {{0xc27b07f5,0xdd950161,0x7d0d2297,0x627b042c}},	//   _ארוי, рабы, tkas, _אנונ, 
   {{0x629a2298,0xf1a900ab,0x26de2299,0x257100d2}},	//   lato, _कितन, _lato_, _ušle_, 
   {{0x3946229a,0xdfd500f0,0x00000000,0x00000000}},	// [16f0] doos_, _топы, --, --, 
   {{0x212b02e7,0x7d0d229b,0x6d480218,0x60df040c}},	//   lich_, skas, îdar, _haqm, 
   {{0x98750c09,0x00000000,0x00000000,0x00000000}},	//   алец, --, --, --, 
   {{0x629a229c,0x212b01c5,0x26de0054,0xaa64229d}},	//   hato, nich_, _aato_, стук, 
   {{0x26de229e,0xbcfb229f,0x752922a0,0xab5b00f6}},	//   _bato_, _diét, viez, _aqüe, 
   {{0x7ceb0750,0x212b22a1,0x945d00ab,0xd62911c3}},	//   _förä, hich_, zeńs, коле_, 
   {{0x212b006a,0x26de22a2,0x629a2265,0xbcfb0042}},	//   kich_, _dato_, dato, _chég, 
   {{0x212b08fc,0xdb0403b7,0x19590235,0x77900116}},	//   jich_, tuiç, _рабы_, _کیوا, 
   {{0x212b01fd,0x26de02a0,0x629a22a3,0x80de0086}},	//   dich_, _fato_, fato, যাম্, 
   {{0x032522a4,0x26de22a5,0x13090088,0x7644010c}},	//   рдон, _gato_, тной_, şiya, 
   {{0x752922a6,0xcb1400a7,0xe1f6002e,0xdce60243}},	//   piez, מלץ_, агэ_, _likā, 
   {{0x212b22a7,0x9567048a,0x75ca06d0,0x6146192f}},	//   gich_, _създ, _qəze, рема, 
   {{0x248d22a8,0x5edf0086,0x33871416,0x2fdb008a}},	//   mbem_, মানে, _суев, _csqg_, 
   {{0x629a22a9,0xb05b0f03,0x91e522aa,0x6d5d22ab}},	//   cato, pfän, _воке, _ahsa, 
   {{0xde030dc0,0x78bb03f5,0x212b0237,0xb05b0380}},	//   опри, _ocuv, bich_, lfäl, 
   {{0xac8622ac,0x212b0187,0x3946006d,0x25dd00b0}},	//   ргал, cich_, xoos_, _कईनी_, 
   {{0x998d22ad,0x8b2622ae,0x4c6a22af,0xbea622b0}},	// [1700] _ćeš_, адае, тиан_, _капк, 
   {{0x6d5d22b1,0xdb040080,0x8d760e0e,0x00000000}},	//   _ehsa, htiö, _پادا, --, 
   {{0xa2bd00c6,0xbcfb0212,0x6b5000c2,0x394622b2}},	//   _शान्, _piét, nägi, toos_, 
   {{0x629a22b3,0xfce60c67,0x26de22b4,0x4973012d}},	//   zato, _томо, _sato_, іліс, 
   {{0x26c8032e,0x629a22b5,0xbcfb10fd,0x394622b6}},	//   лған_, yato, _dhéd, roos_, 
   {{0x3946006d,0x212b188e,0x38af0241,0x2d5700b9}},	//   soos_, zich_, törü_, nçen_, 
   {{0xfaa322b7,0x26de00a9,0xa9a300f0,0x80d7009a}},	//   _фасо, _vato_, _мирд, _बसले, 
   {{0x629a00c5,0xd94322b8,0x44f422b9,0x69ce04c6}},	//   wato, _деси, спис, _ipbe, 
   {{0x26de22ba,0x212b22bb,0x2fc00201,0x629a22bc}},	//   _tato_, vich_, _nqig_, tato, 
   {{0x68e022bd,0x69dc0082,0x29040548,0x6fad0299}},	//   _hamd, _ksre, _homa_, _जिबू, 
   {{0x290422be,0xbcfb22bf,0x212b22c0,0xd25a00fd}},	//   _koma_, _miér, tich_, ъци_, 
   {{0x68e222c1,0x29040caf,0x644600c2,0x61b60083}},	//   ndod, _joma_, ükis, _अमीष, 
   {{0x212b22c2,0x2f14022b,0xa3dc0b6c,0x68e20036}},	//   rich_, _säga_, डिओ_, idod, 
   {{0x290422c3,0x212b01c5,0x69dc008b,0x69ce22c4}},	//   _loma_, sich_, _osre, _opbe, 
   {{0x2d85051e,0x4d2702a0,0x709522c5,0x68e208b0}},	//   ële_, аќаа, _лайф, kdod, 
   {{0x5c7522c6,0x2f140077,0x290422c7,0x629822c8}},	//   слат, _väga_, _noma_, _hevo, 
   {{0x212911e9,0x68e202bf,0x69dc22c9,0x645c00ad}},	// [1710] _imah_, ddod, _asre, əric, 
   {{0xf1da006a,0x4ea70acd,0x2129011c,0x2d780121}},	//   _बनान, _триа, _hmah_, _očeh_, 
   {{0x2904030b,0x257100ca,0xceb20070,0xda7800d9}},	//   _boma_, _ošla_, _ציט_, ряу_, 
   {{0x290422ca,0xc8790092,0x68e00156,0xdb160019}},	//   _coma_, _başa_, _camd, rtyá, 
   {{0x27e922cb,0x68e022cc,0xe0df03dd,0x00000000}},	//   ían_, _damd, llòs_, --, 
   {{0x629822cd,0x81cd00cc,0x7bdd0056,0xc724004f}},	//   _nevo, রিত_, _issu, одій, 
   {{0x63a222ce,0xe7f3006a,0xf96b14c1,0x212900d4}},	//   _avon, _आपका_, _арай_, _omah_, 
   {{0xce380a33,0x25a922cf,0xd5b800a5,0x693c00ca}},	//   יאות_, čal_, _इमरज, rčec, 
   {{0x629822d0,0xe78422d1,0xa3d20262,0x64a522d2}},	//   _bevo, _духо, हौल_, _ғала, 
   {{0xf7700084,0xc2e9006b,0x212922d3,0x629822d4}},	//   _قال_, اعظم_, _amah_, _cevo, 
   {{0x7c3b010d,0x395f006d,0xa2e502f1,0x629822d5}},	//   _þurf, _khus_, _ҳолд, _devo, 
   {{0xa3d20f63,0x443d006d,0x628e008c,0x9f840e65}},	//   _हैक_, _txw_, ðbor, оҳид, 
   {{0xe28e1a9e,0x4385057f,0x63850267,0x212900b9}},	//   _на_, _التق, _угла, _dmah_, 
   {{0x62981f3a,0xe7fa00a2,0x21290574,0xe29922d6}},	//   _gevo, ्हता_, _emah_, _сак_, 
   {{0x63a20e24,0x7bdd22d7,0xa3b31c54,0xdb0d22d8}},	//   _zvon, _assu, जूर_, guaí, 
   {{0x31a30749,0x61430f2e,0x2bac0299,0x628122d9}},	//   mız_, _неща, _चिदा, lclo, 
   {{0x290422da,0xed5700ce,0x68e022db,0x5aca02f1}},	// [1720] _roma_, сот_, _ramd, ллам_, 
   {{0x290422dc,0x628122dd,0x394d011c,0x68e022de}},	//   _soma_, nclo, _akes_, _samd, 
   {{0x31a322df,0x7bdd0a8b,0x588622e0,0x290422e1}},	//   nız_, _essu, была, _poma_, 
   {{0xd83a1dbc,0x395f22e2,0x75ca0095,0x61fc0a25}},	//   лэл_, _chus_, _nəza, ärli, 
   {{0xe1e7086b,0x68e222e3,0xc79616d0,0x765a162a}},	//   _کس_, rdod, ёрды, _szty, 
   {{0x2904019b,0x9976123f,0xdb04001d,0x612f05d5}},	//   _woma_, _гуаш, briá, _kòlè, 
   {{0x63a2010d,0x69dc08b1,0x6d41010d,0x3ce205ae}},	//   _svon, _usre, élag, _kakv_, 
   {{0x186a08e4,0x75ca0095,0x7644027e,0x7d060f3d}},	//   _баби_, _cəza, şiyo, _joks, 
   {{0x7d0600e4,0xa3b3034d,0x68fd01be,0x00000000}},	//   _moks, जूल_, _òsda, --, 
   {{0x628122e4,0x7d0622e5,0xfc3f001d,0xaab3031e}},	//   gclo, _loks, _odín_, ुभएक, 
   {{0x60f922e6,0x14ca0088,0x8afb008d,0x2d9e0151}},	//   ання_, _были_, אליז, âtel_, 
   {{0x63a20089,0x7d0622e7,0x657a01be,0xeb050299}},	//   _tvon, _noks, _iuth, _शक्त_, 
   {{0x25710062,0x629822e8,0x321e0035,0x4ad8034d}},	//   _ušla_, _tevo, szty_, ड़ाव, 
   {{0x657a22e9,0x543b00c7,0x612f05d5,0x2bb7034d}},	//   _kuth, _געדא, _bòlè, इंसा, 
   {{0x91860e61,0xdd94001c,0x5186022c,0x3ce2040b}},	//   _اجتم, засы, _уула, _bakv_, 
   {{0x212922ea,0x657a0727,0x40350afc,0x5d5507f4}},	//   _umah_, _muth, _мейс, ікат, 
   {{0x2d582241,0x657a22eb,0x60cd22ec,0xba99004f}},	// [1730] сить_, _luth, _ibam, иває_, 
   {{0x3f890165,0x2dd517d7,0x657a03c5,0x9f530083}},	//   _itau_, _джор, _outh, ądów_, 
   {{0x395f006d,0x657a023e,0x2d9e22ed,0xbcfb0175}},	//   _phus_, _nuth, šter_, _chéc, 
   {{0x26cc22ee,0x7644027e,0xfbd0010e,0x98bd0083}},	//   _abdo_, ğiyl, بتہ_, kową_, 
   {{0x7bc422ef,0x2b931fdb,0x657a0056,0x60cd22f0}},	//   ctiu, _ریاس, _auth, _mbam, 
   {{0x6b8d22f1,0xdb23161f,0x31a3008f,0x657a22f2}},	//   mpag, örän, yız_, _buth, 
   {{0x451922f3,0x60cd22f4,0x6b8d22f5,0x7d0601f0}},	//   иция_, _obam, lpag, _yoks, 
   {{0x69c522f6,0xc984058e,0x6b8d22f7,0x75ca0095}},	//   mthe, _хури, opag, _qəza, 
   {{0x31d10c14,0x3f890e0c,0x4ac622f8,0x69c522f9}},	//   तब्ध, _ntau_, र्वव, lthe, 
   {{0x657a22fa,0x693c1425,0x60cd22fb,0x69c522fc}},	//   _futh, nčen, _abam, othe, 
   {{0x3f8922fd,0x657a22fe,0x69c522ff,0xc5d92300}},	//   _atau_, _guth, nthe, _خواص_, 
   {{0xe56e02fb,0x69c50adb,0x291d1f87,0x27ed2301}},	//   _із_, ithe, nhwa_, _kren_, 
   {{0x31a303c0,0x505a0d3b,0xb05b0502,0x62832302}},	//   sız_, ршня_, nfäh, _tfno, 
   {{0x6b8d2303,0xe3b02304,0x69c52305,0x693c0254}},	//   dpag, _سره_, kthe, jčen, 
   {{0x693c014b,0x78a92306,0xec9a1571,0x291d0415}},	//   dčen, _odev, итај_, khwa_, 
   {{0x2d78015e,0x27ed2307,0x78a90d4e,0xa01b2308}},	//   _očev_, _oren_, _ndev, rbör, 
   {{0x7d0609a8,0x6b8d1a71,0xdee62309,0xa01b230a}},	// [1740] _voks, gpag, _допи, sbör, 
   {{0x78a90012,0x249f01a0,0x7bc4230b,0xab5b0380}},	//   _adev, haum_, rtiu, _spür, 
   {{0x7bc4230c,0xe9da230d,0xed5a230e,0xaac60662}},	//   stiu, рке_, _вон_, र्षक, 
   {{0x6b8d230f,0x657a2310,0x7bc416cd,0x57ea0f7d}},	//   bpag, _ruth, ptiu, идем_, 
   {{0x2ca02311,0x657a2312,0x27ed2313,0x3f890640}},	//   maid_, _suth, _cren_, _xtau_, 
   {{0xfdfe1422,0x6d562314,0x657a2315,0x69c50e16}},	//   _उपास_, llya, _puth, bthe, 
   {{0x27ed2316,0xd5b000eb,0x657a2317,0x69c52318}},	//   _eren_, رفة_, _quth, cthe, 
   {{0x291d2319,0x4ac600ab,0x2ca0231a,0x98bd0035}},	//   chwa_, र्रव, naid_, tową_, 
   {{0xdddc01b4,0x27ed231b,0x2be0009a,0x657a011c}},	//   jbrž, _gren_, निटा, _wuth, 
   {{0xbcfb00eb,0xdb0d0183,0x98bd0083,0x28c80249}},	//   _mhéa, traé, rową_, रभवि, 
   {{0x3f8900d9,0xdcfc0009,0x2ca000b0,0x6b500c98}},	//   _stau_, sprę, kaid_, lägs, 
   {{0x645c0264,0x2ca0007e,0x249f02be,0x00000000}},	//   ərin, jaid_, caum_, --, 
   {{0xb4d6190a,0xc05b005e,0xb4b6100d,0x5f94231c}},	//   ाजी_, рін_, जली_, мият, 
   {{0xa3d70509,0xf651006b,0x6d5a010c,0x764d0248}},	//   ाबर_, _آئے_, îtan, şaye, 
   {{0x6b8d231d,0x69c501f5,0xf1c300bc,0x656207d7}},	//   wpag, xthe, _vaší_, _khoh, 
   {{0xbcfb00eb,0x2ca0231e,0x60cd007c,0x81cd0033}},	//   _bhéa, gaid_, _ubam, রিশ_, 
   {{0xbcfb0084,0x0ca80093,0x7c3b090e,0x6b8d231f}},	// [1750] _chéa, ютри_, _žurb, upag, 
   {{0xbcfb057f,0x6b8d2320,0x81cd0086,0x249f2321}},	//   _dhéa, rpag, রির_, zaum_, 
   {{0xa2bd119b,0x291d2322,0x13d30086,0x6b8d2323}},	//   _शास्, thwa_, ়িয়, spag, 
   {{0xa2ca1276,0xbcfb0084,0x2ca02324,0x69c52325}},	//   त्त्, _fhéa, caid_, rthe, 
   {{0x6cfa00d1,0xbcfb007a,0x693c10d4,0x6b8d023e}},	//   _הפרס, _ghéa, pčen, qpag, 
   {{0x291d2326,0x2486023a,0x6562016c,0xb05b0502}},	//   shwa_, _afom_, _ahoh, rfäh, 
   {{0x6ecd000c,0xb05b0380,0xa8a71d6b,0x249f019c}},	//   द्यु, sfäh, _мрак, taum_, 
   {{0x27ed2327,0xd4d902fb,0x65622328,0xdb042329}},	//   _tren_, ські_, _choh, triç, 
   {{0x27ed232a,0x249f0f08,0x481502f1,0xe3b10038}},	//   _uren_, raum_, _эмас, ررة_, 
   {{0x249f0201,0x6b5002ae,0xb225232b,0xdb0402be}},	//   saum_, lägr, змол, rriç, 
   {{0xdb0d1056,0x656200a1,0x06760070,0x00000000}},	//   ntañ, _fhoh, _זײער_, --, 
   {{0x24840183,0xdb0d10f3,0xfbac0466,0x00000000}},	//   ccmm_, kraï, _चिलम, --, 
   {{0x2ca00077,0x656900fb,0x2056232c,0x645d00c2}},	//   vaid_, mmeh, ятор, üsid, 
   {{0x65620065,0x6569232d,0xd343010e,0x6826040c}},	//   _zhoh, lmeh, _تفتی, _bаdj, 
   {{0xdb0d026a,0x551f0667,0xbcfb0038,0x6569023a}},	//   traî, _बताए_, _shéa, omeh, 
   {{0x3b8612dc,0xec7a232e,0x753b02a3,0x65691624}},	//   злаг, спа_, nnuz, nmeh, 
   {{0x1d07232f,0x6d56011d,0x25dd0035,0x98af0028}},	// [1760] чети_, rlya, _कैसी_, logė_, 
   {{0x2ca02330,0x6b50014e,0x7c3b2331,0x63a62332}},	//   said_, vägs, _žurc, ákni, 
   {{0x2ca02333,0x6d560102,0x6d4d023a,0x49ca0e1b}},	//   paid_, plya, boaa, слен_, 
   {{0xbcfb00eb,0xa9672334,0x00000000,0x00000000}},	//   _théa, пиха_, --, --, 
   {{0xdb040876,0x24c30033,0x80ce09d3,0x00000000}},	//   nsië, ্যাহ, ध्ये, --, 
   {{0x6562189e,0x45d42335,0xa9a62336,0xdbc700b0}},	//   _shoh, докс, _нигд, tööt, 
   {{0xc1da000f,0xdb04014e,0x7c2400d9,0x65620026}},	//   _बनेग, rriä, lzir, _phoh, 
   {{0xdce42337,0x48e32338,0xb4d610ae,0x7d042339}},	//   kmič, _посв, ाजे_, njis, 
   {{0xd9430593,0x7c24233a,0xa2bd1451,0x00000000}},	//   _чети, nzir, _शाश्, --, 
   {{0x645c06d0,0xdce4209c,0x78a201a7,0x98bd0035}},	//   əril, dmič, laov, dowę_, 
   {{0x6562233b,0x867500e4,0x00000000,0x00000000}},	//   _thoh, _жыцц, --, --, 
   {{0x78a205f0,0x2d5701f0,0xbcfb002c,0x3a3700d1}},	//   naov, rçek_, _ahén, לרים_, 
   {{0x50640886,0x75ca0095,0x0f7300a3,0x2d780604}},	//   етра, _məzm, нғир, _očes_, 
   {{0x70770274,0x78a20054,0x69c1017b,0x941e035d}},	//   _کاغذ, haov, _åleg, ığıy, 
   {{0x78a2090f,0x975707e4,0x9f4402d9,0xbcfb233c}},	//   kaov, פילו_, ímá_, _dhén, 
   {{0xd23b0052,0x7d0401ee,0x9ce400b3,0x91bb00df}},	//   _לגול, gjis, нцул, _המהי, 
   {{0x2b5102fe,0x6f01010e,0xdb0d02aa,0x4bc203a1}},	// [1770] _pkzc_, ölcs, nuaç, көрг, 
   {{0x501c00d1,0x4424233d,0x3b541c7d,0xdb0d00f6}},	//   _לוחו, izm_, екур, rraï, 
   {{0xceb207f5,0xdb04026a,0x99d91a1c,0x89d90296}},	//   _ביי_, isiè, تواء_, توار_, 
   {{0x7c240a1a,0xb4d600aa,0xa3ac009a,0xdb0d007a}},	//   bzir, ाजो_, गळा_, mraí, 
   {{0xdb0d0c9a,0x66e5233e,0xc615233f,0xa8780038}},	//   stañ, дола, तन्य_, أحمر_, 
   {{0x8ae402fb,0x3ea32340,0xdb0d0165,0x3ce900b0}},	//   _післ, najt_, duaç, ldav_, 
   {{0x65692341,0xdb0d0038,0x2d860372,0x78a22342}},	//   tmeh, nraí, _čoek_, baov, 
   {{0xfdf800a7,0x7ae72343,0x3ce900b0,0xa2ca0bed}},	//   לצות_, _hajt, ndav_, त्स्, 
   {{0x65692344,0x0477006b,0x7ae7008b,0xdb0d2345}},	//   rmeh, _ہلاک_, _kajt, hraí, 
   {{0x394f00e0,0x65692346,0xdb160126,0x27e01240}},	//   logs_, smeh, tuyé, çine_, 
   {{0x7ae72347,0x7d1d2348,0x645c0095,0x216a2349}},	//   _majt, _olss, ərim, жини_, 
   {{0xcea90052,0x7ae7234a,0x8fa6234b,0x6fb200a5}},	//   _כי_, _lajt, маме, _जिदं, 
   {{0xd9aa017d,0xbcfb026a,0xe7f01d00,0x25a0090e}},	//   _चट्ट, _phén, चिया_, ćile_, 
   {{0x69d5012e,0xdce40b21,0xff5f0218,0xdb040326}},	//   _opze, rmič, stîn_, rsië, 
   {{0xdb0d0084,0xc10600eb,0x63bb234c,0xdce4234d}},	//   graí, _يوتي, luun, smič, 
   {{0x7c2401f1,0x2f1400c2,0x7c3b234e,0x8d551934}},	//   tzir, _mägi_, _žura, етуч, 
   {{0x3ce60039,0x63bb234f,0x7d042350,0x7d1600da}},	// [1780] ľov_, nuun, rjis, rkys, 
   {{0x3ce60228,0x7d162351,0xd9101c03,0x7ae70144}},	//   žov_, skys, گیر_, _cajt, 
   {{0x78a200a9,0x3ce92352,0x7ae72353,0xdb0d007a}},	//   taov, bdav_, _dajt, craí, 
   {{0xdb0d008c,0x3cf90183,0x693c0032,0x63bb2354}},	//   stað, _gnsv_, mček, kuun, 
   {{0x98a30834,0x87da17ba,0x97da0eea,0xdb0400eb}},	//   тиче, تباس_, تظار_, iriú, 
   {{0x63bb2355,0x758a004f,0x78a20054,0x66e30267}},	//   duun, осив_, saov, воља, 
   {{0x60c4090b,0x693c0032,0x78a20054,0x6b8401ff}},	//   _ocim, nček, paov, lqig, 
   {{0xdb0d03b7,0x7ae71f7d,0x63bb2356,0x38ca010e}},	//   tuaç, _zajt, fuun, _گاڑی_, 
   {{0x7ae7006d,0x693c02d9,0x33742357,0x63bb2358}},	//   _yajt, yčej, нгир, guun, 
   {{0x764d0824,0x60c403b7,0x59d2188d,0x78a00219}},	//   şaya, _acim, _सहार, _hemv, 
   {{0xe1352359,0xdb04235a,0x81d60033,0x65c3235b}},	//   енны, friú, সিভ_, _абха, 
   {{0x26dc235c,0xdb040107,0x92be0086,0x63bb0539}},	//   levo_, ssiè, ঁজে_, buun, 
   {{0x78a008a1,0xc1780009,0xdb0d02aa,0x3f800474}},	//   _memv, tvės_, quaç, _cuiu_, 
   {{0xdef8005e,0xdb0d235d,0x26dc02a3,0x78a00566}},	//   мыс_, traí, nevo_, _lemv, 
   {{0x7ae70019,0x3ea3235e,0x7d1d0102,0xdb040038}},	//   _rajt, rajt_, _plss, briú, 
   {{0x7ae7235f,0xa2ca2360,0x3ea32361,0xacbb078a}},	//   _sajt, त्र्, sajt_, _amûr, 
   {{0x7ae72362,0x60dd08b0,0xc1790009,0x3f672363}},	// [1790] _pajt, mesm, svės_, _отоб, 
   {{0x60dd2364,0x26dc2365,0xbcfb2366,0xc87900d9}},	//   lesm, jevo_, _théo, _iaşi_, 
   {{0x7ae72367,0x26dc2368,0x7ac40093,0x394f02ae}},	//   _vajt, devo_, ъсте, togs_, 
   {{0x25f42369,0x60dd236a,0x2561003e,0xaa6403a1}},	//   ्मनी_, nesm, kóla_, ттук, 
   {{0x7ae7236b,0x06e80033,0x394f236c,0x00000000}},	//   _tajt, পানি, rogs_, --, 
   {{0x2b000586,0x7c200241,0x00000000,0x00000000}},	//   राणु_, _ümra, --, --, 
   {{0x60dd236d,0x6aa5236e,0x62880369,0x9f4000a1}},	//   kesm, mahf, dcdo, _criù_, 
   {{0x63bb236f,0x3ea12370,0xfba32369,0x6aa50065}},	//   tuun, _leht_, _ओबाम, lahf, 
   {{0x2fc9006d,0x68fb2371,0x36d50fb9,0x2d8500bc}},	//   _nqag_, _inud, _поар, ílej_, 
   {{0x291f023b,0x26dc00fd,0x60c42372,0xa2052373}},	//   _hlua_, cevo_, _scim, епод, 
   {{0x68e919e0,0x68fb2374,0x63bb2375,0x00000000}},	//   _kaed, _knud, suun, --, 
   {{0xaacf1276,0x4acf05d0,0x290d00ca,0x628a2376}},	//   स्तक, स्तव, _joea_, _effo, 
   {{0x7c3b2377,0x290d0364,0x6aa50065,0x653a00c7}},	//   _žurn, _moea_, kahf, _צענד, 
   {{0x63a92378,0xbcfb023e,0xfd1f0036,0x2d812085}},	//   msen, _dhém, _alì_, _buhe_, 
   {{0x63a92379,0x52390070,0x60dd237a,0x6fb2009a}},	//   lsen, _מײַנ, besm, _जिवं, 
   {{0xfce3237b,0x693c0187,0x60c40ab4,0x1d071f99}},	//   лосо, rček, _ucim, неси_, 
   {{0x63a90df7,0x6b4b010e,0xab66237c,0x78a001d2}},	// [17a0] nsen, lügy, евал, _remv, 
   {{0x3ea102ec,0x63a9237d,0x68fb147e,0x291f01d6}},	//   _geht_, isen, _anud, _alua_, 
   {{0x81cd0086,0x26dc237e,0x25710082,0x291f011c}},	//   রিক_, vevo_, _ešli_, _blua_, 
   {{0xc7c6237f,0x63a92380,0x80de0086,0x291f00b9}},	//   ески, ksen, যাক্, _clua_, 
   {{0xb05b0219,0x26dc2381,0x63a92382,0x6459095a}},	//   lfär, tevo_, jsen, _nywi, 
   {{0x63a914a9,0x290d0118,0x36d40846,0x60dd2383}},	//   dsen, _eoea_, токр, zesm, 
   {{0xd91015c0,0x26dc2384,0x68e90938,0x78a0008b}},	//   _پیش_, revo_, _faed, _temv, 
   {{0x628a00ef,0x26dc02fe,0xd90d0c30,0x44f4021c}},	//   _sffo, sevo_, _ویل_, тпис, 
   {{0x64592385,0x26dc00fd,0x65790226,0x63a92386}},	//   _cywi, pevo_, _diwh, gsen, 
   {{0x21202387,0x6d1c031e,0x2bd100b0,0x290d025b}},	//   _alih_, नसँग_, हऽता, _zoea_, 
   {{0x225801cc,0x63a92388,0x5f9402f1,0x75d30195}},	//   ærk_, asen, ғист, _ميلا, 
   {{0x2d812389,0xb05b02ae,0x3ea10502,0x8c43009e}},	//   _ruhe_, dfär, _seht_, êşke, 
   {{0x2d81238a,0x64590156,0xc879020f,0x777a238b}},	//   _suhe_, _gywi, _paşi_, _kitx, 
   {{0xb05b0a25,0x60dd238c,0x2d811279,0x00000000}},	//   ffär, sesm, _puhe_, --, 
   {{0xa01b0019,0x1df8134f,0x2ca20118,0x777a01ca}},	//   nböz, неры_, _bekd_, _mitx, 
   {{0x81cd00cc,0xbcfb026a,0x21200352,0x2d8c0684}},	//   রিখ_, _thém, _glih_, ídea_, 
   {{0x7ff70038,0x5c75238d,0x80de0033,0x2d810027}},	// [17b0] _أسعا, тлат, যাখ্, _wuhe_, 
   {{0x79a70f6b,0x2120090e,0x68fb238e,0x291f007a}},	//   ерде, _zlih_, _snud, _slua_, 
   {{0xc33300a7,0x291f0201,0x290d07fc,0xdb04238f}},	//   נוע_, _plua_, _poea_, guiñ, 
   {{0x9f5205d5,0x777a01d6,0x75ca0248,0x61fe0151}},	//   _aryè_, _aitx, _gəzi, _àplu, 
   {{0x25710112,0x672300e5,0x777a0a9f,0x7afc00a1}},	//   _ušli_, thnj, _bitx, _fnrt, 
   {{0x45d50ec6,0x63a90657,0x6126003e,0x7bcd2390}},	//   вцит, vsen, _gólf, mtau, 
   {{0x7d0f010e,0xb8950038,0x5a4400b3,0x66180032}},	//   _kocs, _للأع, _бэта, _čaká, 
   {{0x63a92391,0x6723024a,0x68fb00ad,0x7d0f2392}},	//   tsen, shnj, _unud, _jocs, 
   {{0x777a2393,0x25a00112,0xab5b00f6,0xe2992394}},	//   _fitx, ćila_, _aqüi, мап_, 
   {{0x765a00e5,0x777a01ca,0x82f519fe,0x00000000}},	//   _fyty, _gitx, тчиц, --, 
   {{0x63a92395,0x7bcd00c8,0x3362011f,0x6fa400b0}},	//   ssen, htau, рвэг, _कबहू, 
   {{0x63a92276,0xbcfb01e5,0xa2bd088c,0x7bcd02eb}},	//   psen, _dhék, _शाक्, ktau, 
   {{0xa3e510a6,0x61e10156,0xab5b02be,0x7429007a}},	//   _पनि_, swll, _eqüi, _تكشف_, 
   {{0xb464004f,0x81bc01dd,0xb05b0c98,0x539a00d1}},	//   _скіл, izēj, tfär, _חיסו, 
   {{0x7d0f2396,0xed5a2397,0xdca62398,0x693c0864}},	//   _bocs, дов_, кави, mčev, 
   {{0xb05b0a25,0x25f41f5e,0x693c203b,0x316900c3}},	//   rfär, ्मती_, lčev, _ghaz_, 
   {{0x75ca06d0,0xed570316,0xb05b1096,0x7bcd2399}},	// [17c0] _vəzi, тот_, sfär, gtau, 
   {{0x693c239a,0x81bc00e0,0x387f01f1,0x27f80121}},	//   nčev, dzēj, _agur_, _črn_, 
   {{0x18a6239b,0x7d0f239c,0xb05b0a1b,0x99f5004f}},	//   ваем, _focs, ngän, ляці, 
   {{0xdcfe239d,0x6721239e,0xe995009c,0x00000000}},	//   _kupč, _allj, اهنگ, --, 
   {{0x2ba9093a,0x693c0082,0xdb040183,0x765a00c8}},	//   _चौपा, kčev, suiñ, _syty, 
   {{0xcf9300c7,0x387f01cf,0x80de0033,0xdcef0474}},	//   סטו_, _egur_, যাট্, _tică, 
   {{0x644e0095,0xdb0403da,0x19b900c8,0xe9a302a6}},	//   əbiy, quiñ, _путь_, _васп, 
   {{0xaa43239f,0x291c01dd,0x765a00da,0x186a05ef}},	//   _тесл, īvas_, _vyty, _жаби_, 
   {{0xf36623a0,0x765a0083,0x00000000,0x00000000}},	//   ктон, _wyty, --, --, 
   {{0x518602b9,0xd76400d4,0x764d010e,0x81d60033}},	//   кума, _صنای, ényé, সিস_, 
   {{0x69130c05,0xaad409e5,0x6d460613,0x54c600b3}},	//   _içer, ठ्यक, _ojka, _абеб, 
   {{0x7bcd0009,0xf48323a1,0x00000000,0x00000000}},	//   ytau, _кушн, --, --, 
   {{0x69c402e6,0xc058004f,0x693c0144,0x46c9036e}},	//   ांडी, вір_, bčev, _रामह, 
   {{0x82330274,0x545301fc,0xdb23027e,0x81cd0033}},	//   اریا, _твіт, örün, রিজ_, 
   {{0x5faf0081,0x752223a2,0xd37b027a,0x2e270104}},	//   _झटकल, _kloz, _קרוט, _nеft_, 
   {{0x7bcd0088,0xaac60df2,0xdb21027e,0x00000000}},	//   ttau, र्घक, ştür, --, 
   {{0x2d58030f,0x8aa70665,0x213923a3,0x7522018e}},	// [17d0] тить_, вред, mish_, _mloz, 
   {{0xd5a4082c,0x7bcd23a4,0xdd1100e0,0xbcfb0038}},	//   _وہ_, rtau, _kļūd, _mhéi, 
   {{0x9a84022c,0x7bcd23a5,0x9f4901f0,0xdcfe00d0}},	//   руул, stau, _araç_, _zupč, 
   {{0x213923a6,0x9f4903dd,0xc8b400f0,0x7bcd23a7}},	//   nish_, _braç_, асшы, ptau, 
   {{0x2ca900c2,0x75ca00ad,0x00000000,0x00000000}},	//   maad_, _məzu, --, --, 
   {{0x7522009e,0x2ca900bd,0x213900a3,0xd2460195}},	//   _aloz, laad_, hish_, _هن_, 
   {{0xa4930a24,0x44290228,0x213901ff,0x693c203b}},	//   لیات, _ťa_, kish_, včev, 
   {{0x2ca923a8,0xa3e923a9,0x13e9123f,0x29f30097}},	//   naad_, едиа_, емий_, _ića_, 
   {{0xbcfb0084,0xdb0d02a0,0x291d23aa,0xd3a400f0}},	//   _chéi, graç, mkwa_, алық, 
   {{0x21390102,0xdcfe0304,0x2ca9039b,0x20191b95}},	//   eish_, _rupč, haad_, dysi_, 
   {{0xc6920137,0x693c0688,0xbbd0031e,0x4615031b}},	//   _האב_, rčev, _सङ्क, _حوار, 
   {{0xbcfb00eb,0x0d8600cf,0xa2d307d5,0xdb0d0165}},	//   _fhéi, ғлан, _बॉर्, braç, 
   {{0x2ca908b0,0xb4df0d2e,0xb05b128d,0xf5390032}},	//   daad_, दजी_, sgän, miť_, 
   {{0x248d23ab,0xf5390187,0x752223ac,0x2d8c09c6}},	//   lcem_, liť_, _zloz, ídeo_, 
   {{0x63bb00e0,0x2f140219,0xd20303a1,0xa30a010e}},	//   lrun, _sägs_, _түнк, _سروے_, 
   {{0xf5390187,0x248d21bc,0x67380e67,0xed5a01a2}},	//   niť_, ncem_, zivj, хоб_, 
   {{0xb7be00cc,0x0b4623ad,0xa2ca0299,0x61260169}},	// [17e0] _ইন্ট, гнан, त्क्, _cóle, 
   {{0x81d60086,0x5eae0033,0x63bb23ae,0x4f9b0147}},	//   সির_, ঞ্জে, irun, _רביצ, 
   {{0x63bb02ec,0x2ca909c7,0x248f0183,0x09f616d0}},	//   hrun, baad_, _ofgm_, ычая, 
   {{0xf5390228,0xb95a0038,0x63a423af,0x248d23b0}},	//   jiť_, رجاء_, _çing, jcem_, 
   {{0xe73a0a43,0xf5390187,0x6d4423b1,0xb8dc0f8e}},	//   нед_, diť_, mnia, _आय_, 
   {{0x6d4417d8,0x6d5600cf,0x213923b2,0xfc3f0068}},	//   lnia, loya, zish_, _edís_, 
   {{0x63bb02f2,0x25a0090b,0x75c9004e,0x6ed607d5}},	//   erun, ćilo_, втың_, म्यु, 
   {{0x6d4423b3,0x6d5602f1,0xdb0d0165,0x7aee23b4}},	//   nnia, noya, traç, _habt, 
   {{0x63bb23b5,0xd90d006b,0x6d4423b6,0x7aee0495}},	//   grun, _تین_, inia, _kabt, 
   {{0x7c3b23b7,0x6d440938,0xdb0d0165,0x6d5600a3}},	//   _žurk, hnia, rraç, hoya, 
   {{0xf5390187,0x2d9823b8,0x2ca9018e,0x6d5623b9}},	//   biť_, jpre_, yaad_, koya, 
   {{0x6d44006f,0x7aee23ba,0x46130dec,0xfc3f0369}},	//   jnia, _labt, _دومر, _leía_, 
   {{0x213923bb,0x6d4423bc,0x63bb23bd,0x29370070}},	//   rish_, dnia, crun, ראכן_, 
   {{0x69dc23be,0x7aee0201,0xa29400e4,0x2ca91a77}},	//   _opre, _nabt, _такі, waad_, 
   {{0x693c23bf,0x213900a3,0x6d440156,0x65600038}},	//   nčes, pish_, fnia, olmh, 
   {{0x6d5623c0,0x213902f1,0x5c070093,0x6b860026}},	//   goya, qish_, ляза, _bukg, 
   {{0x2ca9228d,0x9f400126,0x69ce007b,0x81c60033}},	// [17f0] raad_, _crió_, _aqbe, _উনি_, 
   {{0x61f8090e,0xf5390039,0x63a223c1,0x2ca923c2}},	//   _krvl, ziť_, _mwon, saad_, 
   {{0x6d4423c3,0x7aee01a0,0x69dc1e31,0x6d5623c4}},	//   bnia, _dabt, _cpre, boya, 
   {{0x2ba912e3,0x57f523c5,0x9f400126,0x6d560126}},	//   _चौथा, ипет, _frió_, coya, 
   {{0xf5390039,0x6b86011c,0x7d0d23c6,0xac180259}},	//   viť_, _gukg, mjas, _бояу_, 
   {{0x7d0d23c7,0xc5f900cc,0xbcfb1cf0,0xf7960038}},	//   ljas, _অথবা_, _chév, جنوب_, 
   {{0xf5390187,0x2ba9000d,0x7c2d23c8,0x63a223c9}},	//   tiť_, _चौता, lzar, _awon, 
   {{0xdb0423ca,0x63a223cb,0xe78700b3,0xb605010e}},	//   brió, _bwon, _бужо, _aláí, 
   {{0x7c2d23cc,0xf5390187,0xf57600eb,0x693c0082}},	//   nzar, riť_, جميع_, rčet, 
   {{0xadf717dc,0x63bb23cd,0x6d4423ce,0xc6a403b7}},	//   ुमान_, rrun, znia, _грци, 
   {{0x6d4402bf,0xf5390187,0x248d23cf,0x6d5623d0}},	//   ynia, piť_, pcem_, yoya, 
   {{0x63bb23d1,0x61f8015e,0x81d60086,0x25f202e6}},	//   prun, _drvl, সিং_, ंटरी_, 
   {{0x53a523d2,0xe28e23d3,0x6d4423d4,0x6d5623d5}},	//   _талб, _ма_, vnia, voya, 
   {{0x6d4423b1,0x26c723d6,0x823500d4,0x08760070}},	//   wnia, ngno_, _پرتا, יערט_, 
   {{0xada623d7,0x7aee003d,0x442d23d8,0x7bdd23d9}},	//   рабл, _rabt, lze_, _apsu, 
   {{0x7aee1415,0xef86196d,0x06af0086,0x7d0d23da}},	//   _sabt, _клип, চ্চি, gjas, 
  
   {{0x69dc23db,0x2d9823dc,0x6d4423dd,0xafe623de}},	// [1800] _spre, spre_, rnia, _топл, 
   {{0x6aa700ef,0x2561003e,0x442d23df,0x69dc23e0}},	//   _cejf, fólk_, ize_, _ppre, 
   {{0x09e60445,0xfc3f04b3,0x7d0d00ef,0x888623e1}},	//   роен, _veía_, bjas, алеж, 
   {{0x442d06ff,0xdb04070b,0x290023e2,0x753b0053}},	//   kze_, trió, ñia_, jiuz, 
   {{0x7aee23e3,0x442d23e4,0x06af0086,0x7c2d0035}},	//   _tabt, jze_, চ্ছি, czar, 
   {{0x442d23e5,0x5804004e,0x6996004f,0xdb041771}},	//   dze_, _қозғ, _врах, rrió, 
   {{0xe1e723e6,0x69dc0228,0x6136015e,0x693c00ef}},	//   _بس_, _upre, ršlj, učes, 
   {{0x7c3b090b,0x628323e7,0xa96a05b4,0x752923e8}},	//   _žuri, _agno, _риба_, ghez, 
   {{0x39461056,0x4306004f,0x00000000,0x00000000}},	//   mnos_, аїна, --, --, 
   {{0xdb040183,0x394623e9,0xf3660477,0x00000000}},	//   oriñ, lnos_, јтин, --, 
   {{0x798023ea,0x442d052b,0x7c2d0ad8,0x80ab0033}},	//   _kimw, aze_, zzar, _কাব্, 
   {{0x752923eb,0x394623ec,0x63a223ed,0xdb040068}},	//   chez, nnos_, _twon, iriñ, 
   {{0x442d0da6,0x63a223ee,0x506723ef,0x394623f0}},	//   cze_, _uwon, ртна, inos_, 
   {{0xdced026e,0x6d4823f1,0x394600f8,0x63bd23f2}},	//   rmač, édan, hnos_, ásne, 
   {{0xfd880013,0xa69700a7,0xeca7081b,0x623303dc}},	//   иёти_, שכלה_, ијан, _мешу, 
   {{0x7c2d23f3,0xdb0403da,0x80c100a2,0x39460019}},	//   tzar, driñ, _वाटे, jnos_, 
   {{0x29e8002e,0x7bc423f4,0x67da01dd,0x957c0083}},	// [1810] _aşa_, guiu, nājā, _brąz, 
   {{0x7d0d23f5,0x394623f6,0xa91d00ca,0xf8ef034d}},	//   sjas, enos_, _miže, _घोड़ा_, 
   {{0x442d23f7,0x7c2d23f8,0x79800199,0xdb0423f9}},	//   zze_, szar, _bimw, griñ, 
   {{0x394623fa,0x442d23fb,0x645d00b0,0x798003c6}},	//   gnos_, yze_, üsik, _cimw, 
   {{0x6126008c,0xa91d00d0,0x6d5d0ae3,0x693c0082}},	//   _jóla, _niže, _iksa, tčer, 
   {{0x66e50ca9,0x394623fc,0x6d5d012b,0xdb040042}},	//   сока, anos_, _hksa, briñ, 
   {{0x7ae523fd,0x7afa003e,0xa3a91e7b,0x753b044d}},	//   meht, _ótta, गीन_, tiuz, 
   {{0x442d23fe,0x7ae51066,0x69c523ff,0x60cd016c}},	//   tze_, leht, muhe, _ncam, 
   {{0x8508032e,0x3d080081,0xc9520a33,0x442d2400}},	//   рдың_, हाते_, _זמן_, uze_, 
   {{0x442d0964,0x78a92401,0x27ed042a,0x798002b8}},	//   rze_, _heev, _isen_, _zimw, 
   {{0x442d2402,0x568c00c7,0x752902eb,0x78a900c2}},	//   sze_, _סטאַ, phez, _keev, 
   {{0x61262403,0x2d6802f2,0x7ae5024a,0x764e010c}},	//   _bóla, eßen_, heht, şiyê, 
   {{0x249f019c,0x78a92404,0x3f810027,0x69c52405}},	//   mbum_, _meev, _bihu_, huhe, 
   {{0x6d5d2406,0x6126158d,0x539a0056,0x249f2407}},	//   _aksa, _dóla, _עיצו, lbum_, 
   {{0xe16400d4,0xfbdf019c,0xada31c42,0x39460028}},	//   _وضعی, _apê_, засл, ynos_, 
   {{0x2ba9000f,0x4c862408,0x61362409,0x61fc059b}},	//   _चौहा, слав, kšli, ærle, 
   {{0x79800199,0x394602fe,0x3f89240a,0xf38800e7}},	// [1820] _rimw, vnos_, _guau_, _lợn_, 
   {{0x6ac600eb,0x6d5d240b,0xdb04240c,0xbc1900f0}},	//   إقام, _eksa, isiç, шісі_, 
   {{0x69c5078a,0x1efb00c7,0x27ed05d5,0x78a9240d}},	//   guhe, _עלטע, _asen_, _beev, 
   {{0x1d0a240e,0xdb04240f,0x984a0d3b,0x78a9023b}},	//   _семи_, rriñ, ляла_, _ceev, 
   {{0x39462123,0xaab80a24,0x7bc42410,0x2ca000c2}},	//   rnos_, _نگار_, quiu, mbid_, 
   {{0x39462411,0x96f80a10,0xe9aa009c,0x254c00bc}},	//   snos_, рект_, _مدرن_, děla_, 
   {{0x2d820053,0x78a92412,0x29e8020f,0xa91d0243}},	//   _kike_, _feev, _uşa_, _siže, 
   {{0x77860088,0xf8b000d4,0x2ca00326,0x2d82025b}},	//   _глаз, _آکا_, nbid_, _jike_, 
   {{0xc7a32413,0x4acf2414,0x2d8200d1,0xccf30486}},	//   _нитк, स्कव, _mike_, לכה_, 
   {{0x2d822415,0xaaa80598,0x78a902b0,0x60cd2416}},	//   _like_, गरिक, _zeev, _scam, 
   {{0xd5b902fb,0x712700eb,0x23a900a5,0xe7f008d2}},	//   _всі_, مرحل, चीबद, चिका_, 
   {{0x59c92417,0x81bc002a,0xa1592418,0x61262419}},	//   ांतर, dzēt, раму_, _póla, 
   {{0xa2d3241a,0xd8d70070,0xf09f00f6,0x00000000}},	//   _बॉक्, זוכט_, rbà_, --, 
   {{0x437400c5,0x6e94241b,0x4ac707d5,0x2d680380}},	//   _بهتر, зиру, _लाइव, ußen_, 
   {{0xd0470095,0x2d82241c,0xe18900e7,0x9cf502c8}},	//   _əməl, _bike_, _hẳn_, озві, 
   {{0xbcfb0574,0x2d821f57,0x6144022d,0x00000000}},	//   _ahér, _cike_, _неја, --, 
   {{0x2d821816,0x78a9241d,0xe50900a5,0x7ae5241e}},	// [1830] _dike_, _reev, वाति_, teht, 
   {{0x9a8705e0,0x69c5241f,0xbcfb2420,0x2d82019c}},	//   суал, tuhe, _chér, _eike_, 
   {{0x78a90201,0x2ba90262,0x81d60086,0x7ae52421}},	//   _peev, _चौरा, সিক_, reht, 
   {{0x69c52422,0x5c072423,0xf3880023,0x2d82016c}},	//   ruhe, _ляга, _rợn_, _gike_, 
   {{0xf7712424,0x212914e2,0x693c0304,0x78a92425}},	//   وات_, _mlah_, rčep, _veev, 
   {{0x69c500c8,0x2d820082,0x25a500f8,0x21292426}},	//   puhe, _zike_, _pwll_, _llah_, 
   {{0x78a92427,0xf5920d4b,0x69c50034,0x46150038}},	//   _teev, ولوج, quhe, توغر, 
   {{0x58d40648,0xe3b92428,0x254c00bc,0x27ed0026}},	//   _ност, аби_, těla_, _tsen_, 
   {{0x981700c5,0x395f0a9f,0x27ed04ff,0x00000000}},	//   _ابزا, _ikus_, _usen_, --, 
   {{0x21292429,0xdb160088,0x15ab00fd,0xaacc00bc}},	//   _alah_, styö, _бъди_, ालयक, 
   {{0x9f4901c4,0x81bc01dd,0x21290139,0x00000000}},	//   _spaß_, dzēs, _blah_, --, 
   {{0x6f050108,0x00000000,0x00000000,0x00000000}},	//   _anhc, --, --, --, 
   {{0x2d82242a,0x394d242b,0x28d1048e,0xd24e009c}},	//   _rike_, _mjes_, _हानि, فنی_, 
   {{0xe2991aaa,0x321e242c,0x2129242d,0x2d821ca0}},	//   _так_, byty_, _elah_, _sike_, 
   {{0x395f242e,0xad3a004f,0x2ca00354,0x8e831fde}},	//   _okus_, ачає_, tbid_, дгре, 
   {{0x4d660965,0x6da602f1,0xc5f200d1,0x644a0242}},	//   ікав, йиҳа, ודל_, šmiš, 
   {{0x6f17242f,0x25a00704,0x2ca0090c,0xcb050035}},	// [1840] _foxc, ćili_, rbid_, रांड_, 
   {{0x5ec10086,0x98a600ca,0x395f059e,0x00000000}},	//   শ্বে, rhoč_, _akus_, --, 
   {{0xa3a90bf5,0x80b100ab,0x2d822430,0x7f5c2431}},	//   गीत_, _अजमे, _tike_, morq, 
   {{0x6d410107,0x7f5c0036,0x69cb0c46,0xdd0f0241}},	//   élat, lorq, _हमरी, mışs, 
   {{0x394d00ef,0xbcfb0107,0x7d060028,0x321e0083}},	//   _djes_, _thér, _inks, zyty_, 
   {{0xd5ba2432,0x394d2433,0xab2a0886,0x27e9022c}},	//   аси_, _ejes_, _тога_, çana_, 
   {{0x386d2434,0xc8830218,0x76a900dd,0x7f5c0183}},	//   _ezer_, _paşê_, стів_, iorq, 
   {{0xb6030032,0x00000000,0x00000000,0x00000000}},	//   úšal, --, --, --, 
   {{0x25a90062,0x73fa0086,0x78a22435,0x7bd60102}},	//   ćala_, েন্ট_, mbov, ntyu, 
   {{0x2129105b,0x1fd00033,0x395f02d9,0xd3700195}},	//   _slah_, িবাস, _zkus_, عهد_, 
   {{0xaacf00e6,0x92582436,0x28d10586,0x612602be}},	//   स्टक, сант_, _हामि, _cólo, 
   {{0x69c30352,0x7bd607fc,0xd13b0176,0x321e138c}},	//   šneg, ktyu, рхо_, ryty_, 
   {{0xb97b0111,0x212900ef,0xf8b30486,0xb0340080}},	//   ינטי, _vlah_, ושר_, дняш, 
   {{0x7d06012d,0x321e0032,0x25450243,0x00000000}},	//   _anks, pyty_, vēli_, --, 
   {{0x212910b6,0xdef800e4,0x612611d1,0xdd941bb9}},	//   _tlah_, цыя_, _gólo, дасы, 
   {{0x212911e9,0x4add0299,0x254501dd,0x69c100fc}},	//   _ulah_, न्नव, tēli_, _ålei, 
   {{0x61260183,0xb7c50086,0xbcfb023e,0xa91d0121}},	// [1850] _móll, _এন্ট, _dhép, _niža, 
   {{0x395f23f2,0xdea1010e,0x99d70038,0x539b2437}},	//   _skus_, _سیری, قتصا, יימו, 
   {{0x386d0855,0x4c9500b3,0xdb0d0054,0x394d021e}},	//   _szer_, _нинс, ssaï, _pjes_, 
   {{0xdb0d0038,0x254c00d8,0x00000000,0x00000000}},	//   msaí, dělo_, --, --, 
   {{0x3d08000f,0x07a51d65,0x8cd8007e,0x395f00da}},	//   हारे_, чалн, मभरो, _vkus_, 
   {{0x3eba00e2,0x37070080,0x00000000,0x00000000}},	//   _xdpt_, ючев, --, --, 
   {{0x7af500b4,0x394d01d2,0xf6250eba,0x98a600de}},	//   _iazt, _tjes_, ядко, choď_, 
   {{0x395f003a,0x61260068,0x7af52438,0x67d50e65}},	//   _ukus_, _cóll, _hazt, _нобу, 
   {{0x7f5c0369,0x61262439,0x59c9009a,0x69d701d6}},	//   yorq, _sólo, ांवर, ltxe, 
   {{0xfbd2042c,0x27ff243a,0x6126243b,0x395d00d1}},	//   עתי_, _irun_, _pólo, lows_, 
   {{0x644d00e4,0x7af5243c,0x69d701ca,0xeccb0083}},	//   _žaid, _mazt, ntxe, िलाफ, 
   {{0x70c600a2,0x7af501cf,0x69d700b4,0x61fc017b}},	//   वलेल, _lazt, itxe, ærla, 
   {{0x7f5c0106,0xd12f243d,0x00000000,0x00000000}},	//   torq, امُ_, --, --, 
   {{0x2d96243e,0xe7e304bd,0x395d243f,0x78a2020b}},	//   зрас, _गहना_, hows_, zbov, 
   {{0x80ab100b,0x78bb0062,0x69d70201,0x78a20098}},	//   _কার্, _oduv, jtxe, ybov, 
   {{0x80da0086,0x7af500b4,0xc5f2027a,0x91ba00d1}},	//   _বোর্, _aazt, עדן_, _המקי, 
   {{0xc1db07d5,0x3b182440,0x7af50a9f,0xe8df00e7}},	// [1860] _बहुग, _porq_, _bazt, _ngựa_, 
   {{0x61360082,0x59d000c9,0xd9e00033,0xa91d0604}},	//   ršlu, _हमदर, ণিসম, _riža, 
   {{0x273000f7,0xe9da2441,0xed5a0afc,0xdb0d007a}},	//   _hàng_, ске_, _гон_, csaí, 
   {{0xd9100274,0xa91d2442,0xdb04007a,0x78a202d9}},	//   خیر_, _piža, nsiú, ubov, 
   {{0x78a22443,0x27ff01f5,0xdb04007a,0xa09b027a}},	//   rbov, _crun_, isiú, ציסט, 
   {{0x7af50414,0x273000e7,0x28d100a5,0x7bc4022c}},	//   _gazt, _màng_, _हाथि, mriu, 
   {{0x09e306ee,0x2730001b,0x98a62444,0xa5d70038}},	//   _порн, _làng_, _ниве, كبير_, 
   {{0x53982445,0x27ff02ae,0x00000000,0x00000000}},	//   овия_, _frun_, --, --, 
   {{0x27300029,0x83f802be,0x27ff2446,0x7af502a5}},	//   _nàng_, цепс_, _grun_, _yazt, 
   {{0x59d0006a,0xaacc2447,0x798e2448,0x96661913}},	//   _हमार, ालिक, _kubw, _екзе, 
   {{0xc4862449,0x2000244a,0x00000000,0x00000000}},	//   _елек, _arii_, --, --, 
   {{0xa91d00ca,0x27300023,0x798e244b,0xbb1b0151}},	//   _ližn, _bàng_, _mubw, _huît, 
   {{0xc05b244c,0xb4e8007e,0x27300029,0x61260098}},	//   сін_, मजी_, _càng_, _gólm, 
   {{0x2730001b,0x7bc40009,0xa91d244d,0x00000000}},	//   _dàng_, driu, _nižn, --, 
   {{0x7bc4007e,0x7af5008b,0x798e0199,0x00000000}},	//   eriu, _razt, _nubw, --, 
   {{0x7bc40036,0x8d741897,0x00000000,0x00000000}},	//   friu, فاقا, --, --, 
   {{0x6c54244e,0xc1580056,0x31ae0086,0x705500d4}},	// [1870] екту, _משהו_, _কমিশ, _زندا, 
   {{0x798e0539,0x60dd244f,0x00000000,0x00000000}},	//   _bubw, lfsm, --, --, 
   {{0x79a41730,0xa2cf1230,0x69c8017b,0x00000000}},	//   ерче, _दास्, _ådel, --, 
   {{0xba7411e3,0x6562016c,0x637403dd,0x7bc42450}},	//   رالت, _nkoh, lànd, briu, 
   {{0x7bc400d3,0x6d4d00b0,0x6cfa00d1,0x637400b9}},	//   criu, mnaa, _ופרס, càng, 
   {{0x6d5f0508,0x65622451,0x6d4d2452,0x0f1b009a}},	//   loqa, _akoh, lnaa, _नकोस_, 
   {{0x25a9090b,0x6d4d14b9,0xc5d501fc,0x798e02a5}},	//   ćalo_, onaa, філь, _gubw, 
   {{0x6d4d2453,0x27ff00ef,0x63bd014b,0x62982454}},	//   nnaa, _trun_, ásno, _afvo, 
   {{0x47d50084,0x68eb0df4,0x27ff2455,0x6ece00a2}},	//   _زيار, megd, _urun_, _तालु, 
   {{0x273000e7,0x68eb1aaf,0x798e016c,0x20fa0108}},	//   _ràng_, legd, _yubw, _ỏi_, 
   {{0x6d4d2456,0x69c50156,0x27300023,0x60dd2457}},	//   knaa, nrhe, _sàng_, ffsm, 
   {{0xd7d12458,0x254500e0,0xe7d1017d,0x68eb090e}},	//   _समाच, tēlu_, _समाप, negd, 
   {{0x6d4d2459,0x69c501c4,0x6b9d0026,0x644e010c}},	//   dnaa, hrhe, _ntsg, şbir, 
   {{0x6569245a,0x27300029,0x6d4d245b,0xef83012d}},	//   lleh, _vàng_, enaa, кляп, 
   {{0x8e55032e,0x4ac707d5,0xa91d0a1a,0xa3a91e7b}},	//   етті, _लाजव, _nižo, गीर_, 
   {{0x6d4d245c,0x273000e7,0x1d07245d,0x798e007c}},	//   gnaa, _tàng_, меси_, _rubw, 
   {{0x63ad010c,0x3b86245e,0x8c43245f,0x6b87012e}},	// [1880] _çand, длаг, вете, _bijg, 
   {{0x6d4d2460,0xdcfd00e0,0x65690149,0xfaa32461}},	//   anaa, _visā, hleh, вафо, 
   {{0x2eaa00a2,0xfe720038,0x68eb0082,0x200501dd}},	//   करीत, _جدة_, fegd, ālie_, 
   {{0xeb9f03a9,0x7bc40158,0x2d57003d,0x00000000}},	//   _brød_, priu, għed_, --, 
   {{0x69c50af8,0x9f4900f6,0x6d44095a,0x798e0027}},	//   arhe, _graó_, miia, _wubw, 
   {{0xa91d0352,0x6569084c,0x6aae0034,0x81e40033}},	//   _fižo, eleh, _uebf, নিত_, 
   {{0xdce4014b,0x80cf031e,0xa3b00154,0xb05b1096}},	//   hlič, _थाले, टीन_, ngär, 
   {{0x6ba5014e,0xdce4008b,0x6d4400ef,0x65692462}},	//   _åtgä, klič, niia, gleh, 
   {{0xf8632463,0x7c242464,0xd8d70137,0xa3a9009a}},	//   _авто, nyir, _קומט_, गील_, 
   {{0x6126010d,0xdce4014b,0x52140cf8,0x00000000}},	//   _fólk, dlič, едот, --, 
   {{0x65690626,0xa2cf0667,0x7c240199,0x6d44018e}},	//   bleh, _दार्, hyir, kiia, 
   {{0xf3880029,0x65620027,0x03a60398,0x60dd0502}},	//   _lợi_, _ukoh, _жидо, ufsm, 
   {{0xdce4026e,0x60dd008c,0x28d109e2,0x6374022c}},	//   glič, rfsm, _हासि, tànd, 
   {{0x442400ab,0x636f03a9,0x272b004f,0x68eb02b0}},	//   mym_, lønn, _lønn_, zegd, 
   {{0x1df811c5,0x44242465,0x6d4d2466,0x200d00d9}},	//   меры_, lym_, tnaa, ţei_, 
   {{0xdce422d4,0x6d4d11e9,0xa91d2467,0x65602468}},	//   blič, unaa, _rižo, nomh, 
   {{0x44242469,0x6d4d013c,0x4ea7246a,0x313402c0}},	// [1890] nym_, rnaa, _орна, _шеър, 
   {{0xdb1606df,0x65600038,0x6d4d12b6,0xb05b0219}},	//   nsyè, homh, snaa, sgäs, 
   {{0x442400de,0x6d4d123b,0x637400f6,0x636f0566}},	//   hym_, pnaa, càne, kønn, 
   {{0x636f00dd,0x7c240199,0x44240377,0x6b9d012b}},	//   jønn, byir, kym_, _ttsg, 
   {{0x68eb246b,0x6b8701c8,0x25ac00f3,0xa7fd039f}},	//   regd, _tijg, _awdl_, _gyűl, 
   {{0x442402bf,0x7d1d0019,0x00000000,0x00000000}},	//   dym_, _hoss, --, --, 
   {{0x65690364,0xf388001b,0x7d1d246c,0xacbb0212}},	//   tleh, _gợi_, _koss, _flût, 
   {{0x7d1d030f,0x00000000,0x00000000,0x00000000}},	//   _joss, --, --, --, 
   {{0x7d1d246d,0xa3c10b79,0x6569246e,0x13e600c8}},	//   _moss, ौंध_, rleh, емый_, 
   {{0x6569246f,0x69c1004f,0xdce42470,0x657b06e4}},	//   sleh, _åles, vlič, smuh, 
   {{0xcb12042c,0x216a2471,0x7bcd02aa,0x79891a77}},	//   אלי_, зини_, huau, _kiew, 
   {{0x7d1d0316,0xdce4008b,0x44241089,0xbcfb0175}},	//   _noss, tlič, bym_, _skén, 
   {{0xb427195e,0x442400ab,0xdce4034c,0x394f2472}},	//   _تعاو, cym_, ulič, ings_, 
   {{0x75290019,0x7989018c,0xdce41194,0x7bcd00c2}},	//   lkez, _liew, rlič, duau, 
   {{0xdd92024f,0x61462473,0xfce60073,0x6e9316a7}},	//   اور_, _пека, ново, الفا, 
   {{0x798900ab,0x7d1d2474,0xdce419e2,0x5ec10033}},	//   _niew, _coss, plič, শ্লে, 
   {{0x7d1d2475,0xf38800e7,0x7d1602c9,0x2bca09d9}},	// [18a0] _doss, _sợi_, rjys, ялап_, 
   {{0xbfa20218,0x272b017b,0x637400f6,0x6560018e}},	//   _şêwa, _sønn_, mànc, zomh, 
   {{0x7d1d2476,0x3cfb109f,0x3f920010,0x7c242477}},	//   _foss, _लोके_, _huyu_, syir, 
   {{0x69c30503,0x59d208d2,0xed5a2478,0x6126063d}},	//   ánea, दंबर, _хом_, _bóli, 
   {{0x6f1e2479,0xa7fd010e,0x7989247a,0x61260684}},	//   _kopc, _szűr, _diew, _cóli, 
   {{0xa847247b,0x57f302a6,0x44240098,0x254c02d9}},	//   علوم_, упшт, vym_, měli_, 
   {{0x4424006a,0x6126247c,0x3f92033e,0x6560247d}},	//   wym_, _eóli, _luyu_, tomh, 
   {{0x6126247e,0x4424247f,0x7d1d2480,0x7529010e}},	//   _fóli, tym_, _xoss, gkez, 
   {{0x39462481,0x849700eb,0x636f017b,0x3f92016c}},	//   mios_, رئيس_, rønn, _nuyu_, 
   {{0x656005ce,0x39460028,0xa91d02ee,0x2eaa00a2}},	//   somh, lios_, _nižj, करोत, 
   {{0x041e0086,0x6ed721f1,0x44242482,0xd94301d7}},	//   _বেশী_, _बाबु, sym_, _реӂи, 
   {{0x39462483,0x6374022c,0x2a6a2484,0x75292485}},	//   nios_, fànc, _mybb_, ckez, 
   {{0x7d1d2486,0x5f942487,0xb8032488,0x3cfb00c9}},	//   _ross, лият, लियम_, _लोगे_, 
   {{0x254c00bc,0x539b035c,0x6f1e2489,0x3cf9040b}},	//   děli_, _ציוו, _copc, _sasv_, 
   {{0x7d1d248a,0x3946012d,0xdd95021f,0x80a2248b}},	//   _poss, kios_, табы, _क्वे, 
   {{0x9d1814ec,0xe7f1009a,0xe8031f9a,0xa91d00de}},	//   ност_, _आईला_, लिमा_, _pižm, 
   {{0x3946248c,0xeb9302b4,0xdb0d02a0,0x70bf0790}},	// [18b0] dios_, اظر_, nsaç, ्लील, 
   {{0xdb0d248d,0x7989248e,0x7bcd0065,0xa91d0144}},	//   trañ, _siew, ruau, _vižm, 
   {{0xa2d809d3,0xa7fd0019,0x3946248f,0x75ca00ad}},	//   _मान्, _gyűj, fios_, _təzy, 
   {{0x39462490,0x6126003e,0x3f922491,0x260409d8}},	//   gios_, _póli, _yuyu_, विनी_, 
   {{0x79890056,0x2ca92492,0x7c672493,0x00000000}},	//   _view, mbad_, _ساحل, --, 
   {{0x2d8b0033,0x2ca90495,0x6d580218,0x36691b85}},	//   _hice_, lbad_, _êvar, мало_, 
   {{0x7529006b,0x369400f0,0xb98500f0,0xc6a42494}},	//   tkez, ушіс, _атақ, урчи, 
   {{0x39460e2e,0x2ca92495,0x00000000,0x00000000}},	//   cios_, nbad_, --, --, 
   {{0x80a208b4,0x75292496,0x2d932497,0x442b2498}},	//   _क्षे, rkez, _luxe_, ác_, 
   {{0x2d8b00f1,0x3eb30056,0x69ca02a0,0xdce5008a}},	//   _lice_, _next_, áfeg, _fuhħ, 
   {{0x68fb2499,0x6f1e249a,0xa0a61478,0x2d8b249b}},	//   _kaud, _ropc, канд, _oice_, 
   {{0x2eaa0c64,0x637403a1,0x3f9200e2,0x68fb1916}},	//   कर्त, tànc, _puyu_, _jaud, 
   {{0x2004249c,0x68fb249d,0x291f006d,0x2d930d7e}},	//   ími_, _maud, _moua_, _auxe_, 
   {{0x2d8b0094,0xf1d10161,0x80a21489,0x3946249e}},	//   _aice_, _көмө, _क्रे, zios_, 
   {{0x2d8b249f,0x63bb24a0,0x7ed624a1,0x00000000}},	//   _bice_, lsun, _یزدا, --, 
   {{0x291f002e,0x68fb24a2,0x39460496,0x57d106ea}},	//   _noua_, _naud, xios_, _समूह, 
   {{0x63bb24a3,0x39461fc3,0xac86011f,0x6f1e24a4}},	// [18c0] nsun, vios_, тгал, _topc, 
   {{0x6f1e027c,0x5fb700a7,0x81e40086,0x2d930183}},	//   _uopc, _שהיא_, নির_, _fuxe_, 
   {{0x39460634,0x68fb24a5,0x2ca924a6,0xfe751dbc}},	//   tios_, _baud, bbad_, _бүр_, 
   {{0x3eb824a7,0xc7c624a8,0x1e5700d1,0x621a0070}},	//   lart_, вски, _ישיר_, וועק, 
   {{0x394624a9,0x68fb24aa,0x291f0012,0x2d8024ab}},	//   rios_, _daud, _doua_, mmie_, 
   {{0x394600e4,0x63bb24ac,0xfaa324ad,0x2d8b00d9}},	//   sios_, dsun, _варо, _zice_, 
   {{0x39461a6e,0x68fb026a,0x7afc24ae,0x48fd02e6}},	//   pios_, _faud, _iart, _रोको_, 
   {{0x7afc24af,0x29dc128a,0x68fb24b0,0x3eb8004c}},	//   _hart, mía_, _gaud, hart_, 
   {{0x29dc248d,0x63bb24b1,0x3eb824b2,0x1c0515c8}},	//   lía_, gsun, kart_, रियल_, 
   {{0x68fb24b3,0x7afc0a9f,0x77630183,0xa6c707a4}},	//   _zaud, _jart, conx, _алфа_, 
   {{0x29dc128a,0x7c3a06d0,0x68fb00f4,0xdb040503}},	//   nía_, _ətra, _yaud, lsió, 
   {{0x7afc01ee,0x64a624b4,0x2d930068,0x68e200f8}},	//   _lart, _рада, _ruxe_, nfod, 
   {{0xdb04128a,0xb4ae11ff,0x29dc24b5,0x3eb8050f}},	//   nsió, करी_, hía_, fart_, 
   {{0x0ccb0e36,0x63a224b6,0x3eb824b7,0x2d8b031e}},	//   िल्म, _iton, gart_, _sice_, 
   {{0x29dc04b3,0x2ca901d2,0x39440054,0xdb040151}},	//   jía_, tbad_, _omms_, mpiè, 
   {{0x29dc1056,0xa3e600a2,0x7afc24b8,0x3eb3010c}},	//   día_, _पहा_, _aart, _wext_, 
   {{0x3eb324b9,0x3eb805ac,0x25a9003a,0x2ca924ba}},	// [18d0] _text_, bart_, ćali_, rbad_, 
   {{0x29dc128a,0x7afc24bb,0xe4e2141c,0x69de24bc}},	//   fía_, _cart, क्ति_, ftpe, 
   {{0x29dc0a5e,0x2d8b03ef,0x612624bd,0x68e200f8}},	//   gía_, _tice_, _vólv, ffod, 
   {{0x63a224be,0x7afc24bf,0x23c209ef,0xe85924c0}},	//   _oton, _eart, _शिंद, наеш_, 
   {{0xb8db0394,0x69dc24c1,0x63a224c2,0x68fb24c3}},	//   _आज_, _eqre, _nton, _vaud, 
   {{0x7afc24c4,0x29dc128a,0x2abc02d9,0x61ea039b}},	//   _gart, bía_, rábí_, _opfl, 
   {{0x29dc128a,0x63a224c5,0x3a84012d,0x74d70035}},	//   cía_, _aton, _вытв, _यादृ, 
   {{0x63bb24c6,0x7afc24c7,0x394401f2,0x7995018e}},	//   tsun, _zart, _gmms_, _iuzw, 
   {{0xa85524c8,0x0ed307d5,0x25be01c4,0x63bb24c9}},	//   _скач, _तांड, _evtl_, usun, 
   {{0x63bb24ca,0x386d24cb,0x98ad0082,0x316905d5}},	//   rsun, _iyer_, _mleč_, _akaz_, 
   {{0x63bb24cc,0x3eb824cd,0x63a224ce,0xe8df00e7}},	//   ssun, vart_, _eton, _ngừa_, 
   {{0x7fd624cf,0x8fa60dea,0x349524d0,0x672100ca}},	//   лігі, ламе, _садр, _holj, 
   {{0xa2e51088,0x672124d1,0xb14324d2,0x63740054}},	//   _болд, _kolj, снял, sàna, 
   {{0x386d198f,0xdbd10380,0x6126010e,0x08760070}},	//   _myer_, _süße, _rólu, טערט_, 
   {{0xa2d81b38,0x29dc24d3,0xe4f924d4,0xf38800e7}},	//   _मात्, xía_, ्यपि_, _vợt_, 
   {{0x7afc24d5,0x29dc128a,0x5c160088,0xfc3f0327}},	//   _sart, vía_, льзу, _reír_, 
   {{0x3eb80151,0x386d24d6,0x2d8024d7,0xed570e65}},	// [18e0] part_, _nyer_, rmie_, уот_, 
   {{0x7afc00e5,0x29dc0503,0x2d800032,0x0eaa012d}},	//   _qart, tía_, smie_, _якой_, 
   {{0x7afc09d5,0x386d24d8,0x9d4624d9,0xbf9b0165}},	//   _vart, _ayer_, _бенд, nvên, 
   {{0x29dc128e,0x7afc24da,0x61fc0422,0x386d01e8}},	//   ría_, _wart, ærli, _byer_, 
   {{0x7afc24db,0x684624dc,0x6d460824,0x29dc1056}},	//   _tart, ында, _imka, sía_, 
   {{0xa2d824dd,0xdb04127e,0x29dc24de,0xbcfb24df}},	//   _माध्, rsió, pía_, _akéh, 
   {{0xf41f0df8,0x672100d0,0xe9a3012d,0x63a224e0}},	//   ään_, _dolj, _гасп, _ston, 
   {{0xb4ae0f01,0x60c4047a,0x80d600a2,0x186a24e1}},	//   करे_, _ndim, _भाषे, _заби_, 
   {{0x6721235e,0x14d5058c,0xb7f100b0,0xb6a600a3}},	//   _folj, _धारण, _आईएम_, _бизл, 
   {{0xa3b504d7,0x60c424e2,0x23650e67,0x70bf059e}},	//   _जबर_, _adim, golj_, ्ल्ल, 
   {{0xe693057f,0x415524e3,0x6d46008a,0x611524e4}},	//   _المد, ивос, _omka, адну, 
   {{0x672102fe,0x6ed70f8c,0x6b8e24e5,0x63a20539}},	//   _zolj, _बाहु, _libg, _tton, 
   {{0x63a224e6,0x60c424e7,0x5ede0033,0xc05824e8}},	//   _uton, _ddim, য়নে, гір_, 
   {{0xdef824e9,0x88bd00ab,0x6d46044d,0x2fc00352}},	//   лыс_, _kośc, _amka, _dvig_, 
   {{0x2bc71451,0xd2b724ea,0x2fc0042a,0xa3b002e6}},	//   _लिहा, _גלות_, _evig_, टीर_, 
   {{0x798200ab,0x31690144,0x7995016c,0x00000000}},	//   jmow, _ukaz_, _ruzw, --, 
   {{0x7522050a,0xdb040068,0xdd9300f0,0x8aa724eb}},	// [18f0] _mooz, esiñ, рағы, гред, 
   {{0xf09f022c,0x9b440038,0x20090212,0x386d040b}},	//   lcà_, منقو, _irai_, _ryer_, 
   {{0xeb9f0c85,0xdb580088,0x386d00e2,0x6b8e0090}},	//   _grøn_, уют_, _syer_, _dibg, 
   {{0x2009236e,0xb4ae01a4,0x9a8403dd,0x752224ec}},	//   _krai_, करो_, суул, _nooz, 
   {{0xdcef0083,0x00000000,0x00000000,0x00000000}},	//   _chcą, --, --, --, 
   {{0x8cad00bc,0x386d02d7,0x637d011c,0x00000000}},	//   जरको, _vyer_, mèng, --, 
   {{0x236502ee,0x7bcd003e,0x61ed0ab4,0xe73600fd}},	//   volj_, lrau, _ćalo, рещ_, 
   {{0x2009012d,0xf8b900c2,0xa52524ed,0x00000000}},	//   _orai_, _उजिय, рмид, --, 
   {{0x36d524ee,0xa3b024ef,0xe3b624f0,0x7bcd24f1}},	//   _возр, टील_, абы_, nrau, 
   {{0x27ed24f2,0x7bcd24f3,0x00000000,0x00000000}},	//   _ipen_, irau, --, --, 
   {{0x88bd00ab,0x7bcd24f4,0xb59500d3,0x72790283}},	//   _gośc, hrau, _тиеш, ъсис_, 
   {{0x291d16aa,0x7bcd24f5,0x00860b46,0x200924f6}},	//   njwa_, krau, илно, _brai_, 
   {{0x656b0026,0x2739023e,0x23650ab4,0x68e9009c}},	//   _ikgh, _cèng_, polj_, _mbed, 
   {{0x82a5030f,0x7bcd24f7,0x200924f8,0x56b500c7}},	//   _такж, drau, _drai_, יפֿן_, 
   {{0xdefa146e,0x63a924f9,0xa0a624fa,0x99d70086}},	//   ның_, lpen, _кайд, সবুক, 
   {{0xf38800f7,0x27ed24fb,0x63a924fc,0x200900b4}},	//   _hợp_, _open_, open, _frai_, 
   {{0x63a924fd,0x7bcd24fe,0xfc0300d3,0x4d63004f}},	// [1900] npen, grau, опто, ікув, 
   {{0x68e924ff,0x09e607a4,0x63a91fa9,0xb4ab003e}},	//   _abed, иозн, ipen, íþjó, 
   {{0xa2d807d5,0xe9da2500,0xfce62501,0x27ed01d2}},	//   _मास्, тке_, _коно, _apen_, 
   {{0x7bcd2502,0xa3e60a09,0x57a600d3,0x88e600c8}},	//   brau, _पहल_, ашка, ржде, 
   {{0x798200ab,0x76002503,0x63a901c8,0x6d562504}},	//   rmow, kázá, jpen, mnya, 
   {{0x6d56016a,0x88bd0083,0x68e91240,0x637403dd}},	//   lnya, _pośc, _ebed, vàno, 
   {{0xd5b70335,0x6d562505,0x291d0226,0x63a92506}},	//   асы_, onya, bjwa_, epen, 
   {{0x6d562507,0xa91d2508,0x25a1020b,0x00000000}},	//   nnya, _bižu, íhla_, --, 
   {{0x63a92509,0x07a31cc1,0xc7a30ec6,0x27e9250a}},	//   gpen, _матн, _митк, çant_, 
   {{0x2739011c,0x7522052b,0x00000000,0x00000000}},	//   _rèng_, _wooz, --, --, 
   {{0x6d56250b,0x752200ef,0xfa97008d,0x7bcd01dd}},	//   knya, _tooz, ידיש_, zrau, 
   {{0x948600d3,0x9d210033,0x2bc7250c,0x70220033}},	//   _кылд, _নগ্ন_, _लिला, _পেইজ_, 
   {{0xc05b032e,0xe53b0056,0xb4c4072e,0x637d00f6}},	//   тін_, _בתאר, ौली_, fènd, 
   {{0x2009026d,0x6d56250d,0x637d01e5,0xf09f00f6}},	//   _vrai_, enya, gènd, scà_, 
   {{0x937b008d,0x00000000,0x00000000,0x00000000}},	//   _שטות, --, --, --, 
   {{0x7bcd250e,0x20090029,0xc0cb250f,0x6d562510}},	//   trau, _trai_, _руке_, gnya, 
   {{0xe4f92511,0x2d9c039f,0x00000000,0x00000000}},	// [1910] ्यति_, _éven_, --, --, 
   {{0x6d560364,0xfaa72512,0x7bcd2513,0xdced00ca}},	//   anya, ршан, rrau, mlač, 
   {{0x81e40086,0x63a90a9f,0xceb2035c,0x0b882128}},	//   নিক_, zpen, _מיי_, рсти_, 
   {{0x27390107,0x637d2514,0x63a92515,0x7bcd2516}},	//   _mène_, mène, ypen, prau, 
   {{0x98e40038,0xb6a52517,0x6d4d2518,0x9ac7010e}},	//   تكنو, билл, miaa, _نگاہ_, 
   {{0x7c2d011c,0x9b450290,0x6aa90241,0xb7672519}},	//   myar, _طنزو, _şeff, штей, 
   {{0x80c200cc,0x7c2d251a,0x291d0415,0x760000d8}},	//   ষ্ট্, lyar, pjwa_, vázá, 
   {{0x58d4251b,0x68e90267,0x63a9251c,0x1e5800d1}},	//   _мост, _ubed, tpen, ישור_, 
   {{0x7c2d099d,0xe2991472,0x63a9251d,0xb7f104cc}},	//   nyar, лап_, upen, _आईटम_, 
   {{0xf5e700dd,0x63a9251e,0x56940258,0xdced251f}},	//   _відм, rpen, _дафт, dlač, 
   {{0xa2d81f30,0x7c2d2520,0x412a00b9,0x22492521}},	//   _मार्, hyar, гоно_, упни_, 
   {{0x04950038,0x645e0035,0x61e100b9,0x00000000}},	//   _الإح, _śpie, rtll, --, 
   {{0xdced035f,0x7c2d02b8,0x65690054,0x753b018e}},	//   jmađ, jyar, moeh, mhuz, 
   {{0x442d2522,0x3ea302f1,0xdced00ad,0x65692523}},	//   mye_, зирг, tmağ, loeh, 
   {{0x442d2524,0x6d5602cd,0x637d2525,0x6da60200}},	//   lye_, tnya, rènd, сиба, 
   {{0x6d4d2526,0xe0da0886,0xdced2527,0x6da62528}},	//   giaa, _сви_, rmağ, _қима, 
   {{0x442d2529,0x7c2d006b,0xec7a252a,0x443f252b}},	// [1920] nye_, gyar, упа_, nzu_, 
   {{0x8a3a0088,0x442d252c,0x2ca002a4,0x443f01cf}},	//   ляет_, iye_, scid_, izu_, 
   {{0xb4f9119b,0xd91000c5,0xdce400d0,0x442d024a}},	//   ्याय_, ویس_, jlić, hye_, 
   {{0x7c2d23ea,0x6d4d0b32,0x442d252d,0xf969017b}},	//   byar, ciaa, kye_, арій_, 
   {{0xa2d8252e,0x291203c0,0x442d0ac9,0x2bba0038}},	//   _माल्, ıya_, jye_, _حاجة_, 
   {{0x442d252f,0x7d042530,0x443f2531,0x290007bb}},	//   dye_, ldis, dzu_, žia_, 
   {{0xe7f40e36,0x442d052b,0x7bd62532,0xdce4015e}},	//   _इनका_, eye_, luyu, glić, 
   {{0x7d042533,0x442d0cd7,0xdce40097,0x6abe0082}},	//   ndis, fye_, koič, lapf, 
   {{0x442d2534,0x7d042535,0x78a2014b,0xf3662536}},	//   gye_, idis, mcov, йтон, 
   {{0xdced0112,0x7d040088,0x78a2014b,0xd6d200b8}},	//   vlač, hdis, lcov, _رقص_, 
   {{0x442d2537,0x6569011c,0x31b2009e,0x00000000}},	//   aye_, boeh, dûzî_, --, 
   {{0x78a20076,0x442d2538,0xd25705c6,0x753b0010}},	//   ncov, bye_, сць_, chuz, 
   {{0x7d042539,0x5067253a,0x443f00ab,0xd9c500bd}},	//   ddis, стна, czu_, _लट्ट, 
   {{0x6d5a253b,0x7bd6253c,0xa85700d1,0x623400b3}},	//   étan, duyu, מיכה_, _мелу, 
   {{0xdced034c,0x6d4d253d,0x8d770629,0x2d9a0474}},	//   slač, tiaa, مارا, _cupe_, 
   {{0xdced02ee,0x7d04253e,0x78a2253f,0xbd6b0080}},	//   plač, gdis, jcov, урге_, 
   {{0xac182540,0x6d4d2541,0x7bd62542,0x78a20377}},	// [1930] боту_, riaa, guyu, dcov, 
   {{0x7c2d2543,0x6d4d2544,0xfb840235,0x64402545}},	//   ryar, siaa, пыхн, izmi, 
   {{0x7c2d2546,0x637d00d3,0x7d042547,0x442d0300}},	//   syar, lènc, bdis, zye_, 
   {{0x273000f7,0x26de1056,0x7bd6002c,0xcebc0095}},	//   _hành_, _acto_, buyu, _şəxs_, 
   {{0x26de0226,0x81e40086,0x637d022c,0xb90100c9}},	//   _bcto_, নিট_, nènc, _दा_, 
   {{0xe73617d2,0x442d2548,0x443f0460,0xdce4044e}},	//   жеш_, vye_, vzu_, tlić, 
   {{0xf77000c5,0x78a22549,0x442d254a,0xca24254b}},	//   راه_, bcov, wye_, _ефти, 
   {{0x442d0cd7,0x443f0a9f,0x273000e7,0xdce4254c}},	//   tye_, tzu_, _lành_, rlić, 
   {{0x442d254d,0xdce40b91,0x753b039f,0x00000000}},	//   uye_, slić, rhuz, --, 
   {{0xa1c50593,0x443f254e,0x442d254f,0x637d00d3}},	//   обод, rzu_, rye_, dènc, 
   {{0x442d2550,0x2d570529,0xe7842551,0x5f1d048e}},	//   sye_, għek_, _хуто, मान्_, 
   {{0x3eba2552,0x442d06df,0x208a2553,0x6abe2554}},	//   _sept_, pye_, ийни_, zapf, 
   {{0x41c5034d,0x637d03a1,0xe8df0023,0x7d042555}},	//   _विकस, gènc, _ngửa_, vdis, 
   {{0xee3a07f9,0x6d5d2556,0x78bb2557,0x3f8100a1}},	//   анг_, _ajsa, _leuv, _chhu_, 
   {{0x27300029,0x78bb026a,0x6da30e65,0x272b0453}},	//   _dành_, _oeuv, диса, _høns_, 
   {{0x78bb2558,0x0d991c0f,0x2fcd02ee,0x7d042559}},	//   _neuv, стры_, šega_, udis, 
   {{0x637d00d3,0x78a2014b,0xac071cfc,0x6abe1ce7}},	// [1940] cènc, vcov, онта_, tapf, 
   {{0x7bd6255a,0x91ed1f02,0x2d9a255b,0x63a4007a}},	//   ruyu, _जहाज_, _tupe_, _éine, 
   {{0x6abe02b8,0x3e830212,0x09e30080,0x78bb0151}},	//   rapf, rété_, дохн, _beuv, 
   {{0x7d0409c7,0x1d0a255c,0x69c3255d,0x7cda03a1}},	//   qdis, _теми_, ânea, _өмүр_, 
   {{0x78a214e7,0x26c8004e,0x7af7255e,0x386000ad}},	//   rcov, йған_, bext, çir_, 
   {{0x78a2255f,0x00000000,0x00000000,0x00000000}},	//   scov, --, --, --, 
   {{0xa3dc09ef,0x3f4d00ef,0x78a223f2,0xae0d109f}},	//   तून_, džul_, pcov, हियन_, 
   {{0x6374022c,0x03c60205,0x7bc40009,0x64400502}},	//   màni, осом, osiu, tzmi, 
   {{0x7bc42560,0x741400eb,0x64400112,0x539700e4}},	//   nsiu, سودا, uzmi, овыя_, 
   {{0x29042561,0x799c024d,0x637d03a1,0x27e62562}},	//   _hama_, _kurw, vènc, mton_, 
   {{0x29041bb2,0x6abc01f2,0x2ef80326,0x27300023}},	//   _kama_, _merf, derf_, _rành_, 
   {{0x09cf00cc,0x29062563,0x637d00d3,0x273000e7}},	//   _রহমা, ndoa_, tènc, _sành_, 
   {{0x29042564,0x64400065,0x6abc02e5,0x7413007a}},	//   _mama_, qzmi, _oerf, _يوما, 
   {{0x290411f7,0x637d0161,0x6abc2565,0x26dc0528}},	//   _lama_, rènc, _nerf, ngvo_, 
   {{0xdcbb2566,0x637d00d3,0xce940141,0x6e942567}},	//   ища_, sènc, даръ, диру, 
   {{0x5c992568,0xa3ae2569,0x27e6256a,0x6e280219}},	//   ская_, _ओझा_, kton_, ädba, 
   {{0x6abc256b,0xdfdb0141,0x27e6024a,0x7bc4137f}},	// [1950] _berf, _тъй_, jton_, gsiu, 
   {{0x6abc256c,0x60dd256d,0x6e2a0034,0x27e600ca}},	//   _cerf, lgsm, ëmbë, dton_, 
   {{0x6abc1b37,0x78bb026d,0x637403a1,0x7bc400b0}},	//   _derf, _peuv, gàni, asiu, 
   {{0x7af7256e,0x2904256f,0x69d704fe,0x27e62570}},	//   sext, _cama_, ruxe, fton_, 
   {{0x01e000cc,0x2d892571,0x6abc2572,0x78bb0151}},	//   ববিদ, mmae_, _ferf, _veuv, 
   {{0x69d70042,0xb6a52573,0x27390118,0xdb04019c}},	//   puxe, чикл, _bèna_, rpiã, 
   {{0x27e60df8,0x672803ef,0x6b9d2237,0x6374022c}},	//   aton_, _dodj, _husg, càni, 
   {{0xe3b92574,0x29042575,0x2ee11e9f,0x6b9d2576}},	//   бби_, _gama_, _lchf_, _kusg, 
   {{0x27ff0366,0x1c0e017d,0x395f0175,0xc6e7128b}},	//   _usun_, सियल_, _ijus_, _міжп, 
   {{0x29042577,0x466b117c,0x6b9d0ada,0x69c52578}},	//   _zama_, _крем_, _musg, oshe, 
   {{0x69c52579,0xe8030aac,0x2904257a,0x6b95009e}},	//   nshe, लिका_, _yama_, _mizg, 
   {{0x69c5257b,0x6723257c,0x21290126,0x2ef8000b}},	//   ishe, ljnj, _coah_, werf_, 
   {{0x88bd00ab,0x2ee10226,0x200f257d,0x24640034}},	//   _rośl, _bchf_, _ágil_, rëmë_, 
   {{0x69c7027c,0x395f014e,0x2d9c010e,0x69c5257e}},	//   _ovje, _ljus_, _évek_, kshe, 
   {{0x6b9d02ec,0x69c5257f,0x6b402580,0x88bd0083}},	//   _ausg, jshe, _högg, _pośl, 
   {{0x69c51b77,0x6abc0218,0x2bc70d7c,0x6b9501dd}},	//   dshe, _serf, _लिखा, _aizg, 
   {{0x29042581,0x2ef82582,0x27e61f14,0x6b9500a3}},	// [1960] _rama_, perf_, xton_, _bizg, 
   {{0x799c2583,0x7bc42584,0x637403a1,0x69c50034}},	//   _purw, rsiu, tàni, fshe, 
   {{0x6abc2585,0x7bc42586,0x4ae202f8,0x672814f0}},	//   _verf, ssiu, _पाठव, _rodj, 
   {{0x69c70e67,0x0edc031e,0x27e62587,0x6374022c}},	//   _dvje, _बाँड, tton_, ràni, 
   {{0x67282588,0x290402f5,0x29062589,0x6abc1b79}},	//   _podj, _vama_, rdoa_, _terf, 
   {{0x395f05d5,0x7d06258a,0x2904258b,0x28d8258c}},	//   _ejus_, _haks, _wama_, _डाकि, 
   {{0x2904258d,0x7d06258e,0x27e6258f,0x672821d9}},	//   _tama_, _kaks, ston_, _vodj, 
   {{0x7d062590,0x27e62591,0xda5b0486,0x34941b2c}},	//   _jaks, pton_, _הכלל, майр, 
   {{0x69c72592,0x0edc00e6,0x00000000,0x00000000}},	//   _zvje, _बांड, --, --, 
   {{0x883b00a7,0x637d06df,0x63ab0175,0x394d2593}},	//   _התמו, tèna, _dtgn, _zmes_, 
   {{0x7643006a,0x26cc02bf,0xa3b009ec,0x325300d9}},	//   czny, _iddo_, टीज_, евэр, 
   {{0xf487017a,0x867b0070,0x27390118,0x60dd0243}},	//   _کامی, _פראו, _jènn_, ugsm, 
   {{0xfc3f033c,0x60dd2594,0xcfa70080,0x637d011c}},	//   _afín_, rgsm, яшни, sèna, 
   {{0x3da72595,0x7d0607fc,0x69c52596,0x6b9d01be}},	//   зраб, _aaks, yshe, _rusg, 
   {{0x6b952597,0x9e14004f,0x21290096,0x2bda0299}},	//   _rizg, ндрі, _toah_, यूसा, 
   {{0x6b9502f1,0x6b9d1b03,0x69c50b41,0x00000000}},	//   _sizg, _pusg, vshe, --, 
   {{0x69c702b1,0x60cd0f73,0x2d8904c6,0x7d062598}},	// [1970] _svje, _idam, rmae_, _daks, 
   {{0x69c50194,0x394d007b,0x23d415ba,0x69c3019c}},	//   tshe, _smes_, _दिनद, âneo, 
   {{0x6aa52599,0xa3dc02e6,0xf9f9091d,0x394d02be}},	//   rchf, तूत_, تفاع_, _pmes_, 
   {{0x69c5259a,0xac19259b,0xe9d00625,0x26cc259c}},	//   rshe, _дому_, اغل_, _addo_, 
   {{0x394d0352,0x69c5259d,0xfc6400fd,0x69da00fc}},	//   _vmes_, sshe, _зърн, _åten, 
   {{0xe29a00e7,0x69c5259e,0xa2d800bc,0x69c70144}},	//   _ngư_, pshe, _माग्, _tvje, 
   {{0x69c702b1,0xba7700d6,0x60cd00cf,0x945d0035}},	//   _uvje, _راست, _odam, kańc, 
   {{0x60cd259f,0xbe3c00d1,0x26cc02a5,0x76430035}},	//   _ndam, מעות, _eddo_, rzny, 
   {{0xb4ad119f,0x387f25a0,0x67d425a1,0x395d006d}},	//   _कभी_, _uzur_, _поту, mnws_, 
   {{0x60cd25a2,0x644d012d,0xd75b0109,0x81c900c8}},	//   _adam, _žais, _اجرا_, огов_, 
   {{0x7764022c,0x61e8012b,0x6ed7055d,0x00000000}},	//   éixe, gtdl, _बाजु, --, 
   {{0x33d50259,0x00000000,0x00000000,0x00000000}},	//   _жікт, --, --, --, 
   {{0x7d060bc3,0xa2e51088,0x6b40014e,0x60cd25a3}},	//   _raks, _жолд, _höge, _ddam, 
   {{0x6d4f25a4,0x4f9500b3,0x60cd12ed,0x00000000}},	//   _amca, ерсу, _edam, --, 
   {{0x7d0625a5,0x2d9e026d,0x4df500dd,0x2d9616b0}},	//   _paks, ête_, нятт, драс, 
   {{0x395d006d,0x6b4025a6,0xd2dd0249,0x00000000}},	//   jnws_, _möge, _माँझ, --, 
   {{0x9b060a43,0x7d0600fc,0xed5725a7,0x5ed30086}},	// [1980] мзад, _vaks, фот_, দ্ধে, 
   {{0x5fd300a5,0x9f480080,0x4c830165,0x27390118}},	//   _तितल, öhän_, тлув, _sènn_, 
   {{0x7d0625a8,0x0d8600b9,0x6374022c,0x48e625a9}},	//   _taks, _олон, mànt, доев, 
   {{0x395d006d,0x637425aa,0xa3ae00c9,0x00000000}},	//   gnws_, lànt, _ओझल_, --, 
   {{0xf74625ab,0xc7a319e4,0x07fa16a7,0x07a325ac}},	//   медо, вичк, تراع_, вачн, 
   {{0xeb9f155b,0xb86525ad,0xf1c00032,0x6b4002eb}},	//   _prøv_, رانو, úšky_, _böge, 
   {{0x8a030fa7,0x395d0201,0xdbe60216,0x752b107c}},	//   _изре, bnws_, _bêça, _bogz, 
   {{0x490600a5,0x3ce000bd,0x00000000,0x00000000}},	//   _सोचो_, ngiv_, --, --, 
   {{0x671e0f01,0x1418007a,0x00000000,0x00000000}},	//   पादक_, سيدة_, --, --, 
   {{0xf7721930,0x778300b3,0x6b4002ae,0x00000000}},	//   _شاء_, _алуз, _högb, --, 
   {{0x2fc925ae,0x945d0083,0x00000000,0x00000000}},	//   _svag_, tańc, --, --, 
   {{0x92be00cc,0x914b0c8b,0xae0d00b0,0xd2570810}},	//   ইলে_, ічна_, हिसन_, ьцы_, 
   {{0x4420055a,0xb4da00a5,0xf41f0080,0x6b400380}},	//   _çi_, ़ली_, äät_, _zöge, 
   {{0x5f9425af,0x6b4001d5,0x09e50033,0x00000000}},	//   кият, _lögb, নবতা, --, 
   {{0xf2060141,0x752b045a,0x7f9425b0,0x7bd6023e}},	//   _цяло, _yogz, тарх, eryu, 
   {{0x9d181a52,0x60cd0532,0x2c0b009a,0xe0df00b9}},	//   мост_, _udam, हटलं_, riòs_, 
   {{0x63ad25b1,0x2139016a,0x395d006d,0x7b151a57}},	// [1990] _çant, mksh_, vnws_, ндах, 
   {{0xdb0d003e,0x637400b9,0x00000000,0x00000000}},	//   gsað, cànt, --, --, 
   {{0x69c80566,0x00000000,0x00000000,0x00000000}},	//   _ædel, --, --, --, 
   {{0xa2d8047b,0x656201ee,0x6d4f00ef,0xbb24078a}},	//   _माझ्, _njoh, _umca, vnîş, 
   {{0x7ac71853,0xdce401f0,0x2ca900ca,0xdbe6009e}},	//   _осве, lliğ, mcad_, _rêça, 
   {{0x6d910187,0x395d006d,0xd70625b2,0x254c00d8}},	//   _sťah, snws_, енше_, měly_, 
   {{0x58d525b3,0xdce401f0,0x2d9925b4,0xd5b10038}},	//   _повт, nliğ, _kise_, دفع_, 
   {{0x6b400380,0xd6181036,0x00000000,0x00000000}},	//   _vöge, بتها_, --, --, 
   {{0x2d9925b5,0x47d50084,0x6d5a026d,0x6562016a}},	//   _mise_, _سيار, étai, _djoh, 
   {{0x422525b6,0x2d9925b7,0xdce4027e,0xc48200d3}},	//   едов, _lise_, kliğ, ылык, 
   {{0x78a425b8,0x4ae21080,0x443900e0,0x2d990107}},	//   žive, _पासव, šs_, _oise_, 
   {{0x2d9925b9,0xa06a0267,0x00000000,0x00000000}},	//   _nise_, зама_, --, --, 
   {{0xff5f010c,0x4fa30cdf,0x98a401dd,0xa2d702e6}},	//   rsîn_, лияв, _jomā_, _मयप्, 
   {{0xa35700c5,0x2d9925ba,0xd37b00b3,0xcad50033}},	//   _تخصص, _aise_, _ьче_, স্তফ, 
   {{0x2d9925bb,0x3e870d2f,0x637400b9,0x637d011c}},	//   _bise_, ейро_, rànt, nènm, 
   {{0x628302f5,0x7159004e,0x2d9901be,0xa1c200fd}},	//   _izno, _орыс_, _cise_, _сбъд, 
   {{0x2d9925bc,0xe7da00cc,0x4f961c52,0xbea60846}},	// [19a0] _dise_, _ধন্য, _проу, _папк, 
   {{0xfaa325bd,0x2d990326,0x2d9e0165,0xdce40e03}},	//   гафо, _eise_, ítes_, bliğ, 
   {{0xdebb00fe,0x53360137,0x2d9925be,0x5ebb00d1}},	//   _ממיל, ענען_, _fise_, _מזיק, 
   {{0xe1ff00ab,0xeb9a25bf,0x597600d4,0x97c625c0}},	//   łów_, _ним_, رداز, ейде, 
   {{0x6d5625c1,0x4e96009c,0x6d4425c2,0x3f9a25c3}},	//   miya, _تشکر, mhia, _kipu_, 
   {{0x6d5625c4,0xa5a40035,0x56780235,0x6d44012b}},	//   liya, _चंदौ, мбля_, lhia, 
   {{0xceb30056,0x6b6325c5,0x7c24040c,0x2d990610}},	//   ניה_, _скра, lxir, _yise_, 
   {{0x6d5625c6,0x60c625c7,0x69de0204,0x6d4425c8}},	//   niya, jakm, mupe, nhia, 
   {{0xe3af040f,0x60c60870,0x69de25c9,0x12e601fc}},	//   یری_, dakm, lupe, нінг, 
   {{0xfd1f0029,0x3f9a25ca,0x68e225cb,0x637d023e}},	//   _nhìn_, _nipu_, lgod, lènj, 
   {{0x6d440da2,0xb5f2004e,0x00c900d3,0xf41f00c2}},	//   khia, _сүйі, үлүк_, äär_, 
   {{0x68e225cc,0x88bd00ab,0xdced00d2,0x84660093}},	//   ngod, _dośw, mlać, _пъле, 
   {{0x6d5625cd,0x54330133,0x69de25ce,0xb4bc031e}},	//   diya, _مرور, hupe, अरी_, 
   {{0x69de25cf,0xae0d0081,0x2d9925d0,0x15f42002}},	//   kupe, हिलन_, _sise_, _आहार_, 
   {{0x2d9904d1,0x63a225d1,0x6d5625d2,0xf8d000a2}},	//   _pise_, _huon, fiya, हणाय, 
   {{0x63a225d3,0x6d5625d4,0x6d4410df,0xdce401f0}},	//   _kuon, giya, ghia, rliğ, 
   {{0x2ca90534,0x63a200c8,0x68e225d5,0x65601197}},	// [19b0] rcad_, _juon, dgod, inmh, 
   {{0x63a21642,0x5f9502a6,0x69de045a,0x6d44023a}},	//   _muon, _шипт, fupe, ahia, 
   {{0x63a225d6,0x6d5625d7,0xda6700eb,0xaa671753}},	//   _luon, biya, رائي, хтак, 
   {{0x6d4425d8,0x637d0cd7,0xacbb026a,0x6d5625d9}},	//   chia, vènm, _coût, ciya, 
   {{0x7c8425da,0x63a225db,0x66e525dc,0x7d0d003e}},	//   _буре, _nuon, вола, mdas, 
   {{0x7d0d25dd,0x68e20183,0xf72b012d,0x61f81a77}},	//   ldas, agod, яцей_, _opvl, 
   {{0xae1405fd,0x7bdf0327,0xc179012d,0x77640068}},	//   डियन_, luqu, ntės_, éixa, 
   {{0x63a225de,0x7d0d25df,0xacbb026a,0xc1790009}},	//   _buon, ndas, _goût, itės_, 
   {{0x6b400219,0x63a200e7,0xa3dc02e6,0x78a400ca}},	//   _höga, _cuon, तूल_, živc, 
   {{0x6d5625e0,0x63a225e1,0x88bd0035,0x7d0d00c8}},	//   ziya, _duon, _pośw, hdas, 
   {{0x216a25e2,0x6d5625e3,0x614602c4,0x7d1d0326}},	//   дини_, yiya, вена, _onss, 
   {{0x26c725e4,0x8fa625e5,0x7afe25e6,0x6d5625e7}},	//   lano_, каме, zept, xiya, 
   {{0xf9920137,0xa3a802f8,0x7d0d25e8,0x6d5625c1}},	//   ירט_, _खूप_, ddas, viya, 
   {{0x26c725e9,0x752922ad,0x60c625ea,0xd24e009c}},	//   nano_, ljez, sakm, _ژنو_, 
   {{0x6d5625eb,0x6d4402bf,0x50b625ec,0x26c725ed}},	//   tiya, thia, _испу, iano_, 
   {{0x26c725ee,0x75290727,0x7d0d25ef,0x26121295}},	//   hano_, njez, gdas, थिती_, 
   {{0x26c725f0,0x6d44120c,0x7afe002e,0x644902f2}},	// [19c0] kano_, rhia, tept, nzei, 
   {{0x6d4401a0,0x6d5625f1,0x60c425f2,0x69de00da}},	//   shia, siya, _heim, tupe, 
   {{0x60c40f24,0x3ed900c7,0x644901c4,0x7d0d0800}},	//   _keim, _אַרא, hzei, bdas, 
   {{0x69de25f3,0x7afe25f4,0x798925f5,0x6d5600a3}},	//   rupe, sept, _chew, qiya, 
   {{0xb90a25f6,0x26c725f7,0x798900c5,0x87e300c8}},	//   _मा_, fano_, _dhew, ающе, 
   {{0x6a860161,0x3d1601ec,0x68e225f8,0x60c425f9}},	//   _алга, _पोते_, sgod, _leim, 
   {{0x2d9c006b,0x63a225fa,0x248000e0,0x98a4020f}},	//   _éves_, _suon, _šim_, _comă_, 
   {{0x6b9c0090,0x644901c4,0x63a2084c,0x00000000}},	//   _hirg, fzei, _puon, --, 
   {{0x26c725fb,0x07a60f3d,0x46ea004e,0x6b9c25fc}},	//   bano_, _разн, _одан_, _kirg, 
   {{0xdced00f1,0x394603b7,0x63a225fd,0x7d0d0019}},	//   plać, lhos_, _vuon, zdas, 
   {{0x53d400a2,0x7d0d15aa,0x6b9c25fe,0x60c425ff}},	//   _दिवश, ydas, _mirg, _beim, 
   {{0x394600ce,0x63a22600,0x518702a6,0xdb0f03dd}},	//   nhos_, _tuon, ђуна, _etcè, 
   {{0x93460119,0x14d70111,0x60c42601,0x2ba702e6}},	//   _инде, _יואל_, _deim, _कंधा, 
   {{0x69d307d5,0x5333122f,0x6b9c2602,0x00000000}},	//   _डिली, _вешт, _nirg, --, 
   {{0x2fc02603,0xa3a82604,0x139b00d1,0x60c42605}},	//   _ewig_, _खंड_, _קבוע, _feim, 
   {{0x60c42606,0xe7d207d5,0xc1790009,0xd7d20fc0}},	//   _geim, _सिंप, rtės_, _सिंच, 
   {{0x7d0d2607,0x6b9c2608,0x2bda0c14,0xdd942609}},	// [19d0] rdas, _birg, यंगा, раты, 
   {{0x26c7040a,0x7d0d0626,0x7cde00d9,0x7989260a}},	//   xano_, sdas, tărâ, _shew, 
   {{0x26c7260b,0xfaa401a2,0x6b9c260c,0x995c02d9}},	//   vano_, ршун, _dirg, líř_, 
   {{0x26c7260d,0x7d0d260e,0x6b9c0534,0x6d5a260f}},	//   wano_, qdas, _eirg, état, 
   {{0x26c72610,0xb6a300a3,0x7bdf00ad,0x75290372}},	//   tano_, қиқл, ququ, vjez, 
   {{0x38690529,0xa03c00a7,0x6b9c2611,0x394600ca}},	//   ħar_, ועדפ, _girg, ahos_, 
   {{0x78a403ef,0xa3a80e36,0x79892612,0xa2b8031e}},	//   živa, _खूब_, _thew, ोरन्, 
   {{0xf3ff2613,0x26c72614,0x39462615,0xb4ad02f8}},	//   ção_, sano_, chos_, कडे_, 
   {{0x26c72616,0xd176004e,0xf8ae0019,0xc952008d}},	//   pano_, ғыны, _رکن_, _המן_, 
   {{0x644902ec,0x60c42617,0x753b031e,0x7ae50574}},	//   rzei, _seim, skuz, nght, 
   {{0x64492618,0x7ae52619,0x7bcd261a,0x2fc00ff2}},	//   szei, ight, hsau, _swig_, 
   {{0x26c5261b,0xe4cb00d4,0x6d1202e6,0x00000000}},	//   _helo_, _آبان_, _ढोंग_, --, 
   {{0xb4df00a2,0xdb0f0634,0xfd1f00e7,0x25a5261c}},	//   तली_, _etcé, _chìm_, _hull_, 
   {{0x25a50529,0xe8e000bc,0x26c50062,0x200900e2}},	//   _kull_, _पञ्च, _jelo_, _dsai_, 
   {{0x60c4261d,0x16090239,0x68e907c7,0x2009261e}},	//   _teim, विटर_, _oced, _esai_, 
   {{0x2d8b1175,0x26c5261f,0x6b9c2620,0x61e12621}},	//   _chce_, _lelo_, _sirg, mull, 
   {{0x61e12622,0xac860f88,0x7bcd0920,0x21202623}},	// [19e0] lull, угал, gsau, _inih_, 
   {{0x68e90587,0xec772624,0x61e10183,0xaf062625}},	//   _aced, упу_, oull, _спол, 
   {{0x61e12626,0x290d0415,0x637d0c32,0x212000bc}},	//   null, _baea_, gèni, _knih_, 
   {{0xfaa31cc1,0x68e92627,0x6b40003e,0x290d03c6}},	//   _ҳаро, _cced, _gögn, _caea_, 
   {{0x6b9c2628,0x26c52629,0x7e7e262a,0x290d0415}},	//   _tirg, _belo_, _hypp, _daea_, 
   {{0x61e101ee,0x26c5262b,0xfaa3262c,0x6b9c01be}},	//   kull, _celo_, _гаро, _uirg, 
   {{0x212003ef,0x26c5262d,0x39460626,0x637d022c}},	//   _onih_, _delo_, phos_, cèni, 
   {{0x9d22100b,0x61e1262e,0xa534262f,0x290d03c6}},	//   _নতুন_, dull, рнич, _gaea_, 
   {{0x786608ef,0x26c52630,0x77862631,0x6fa00466}},	//   _сказ, _felo_, _блаз, _गंगू, 
   {{0x25a52632,0x26c52633,0x61e12634,0x29260ab4}},	//   _full_, _gelo_, full, štač_, 
   {{0x61e12635,0xa5c4004e,0x521300b3,0x25a52636}},	//   gull, _төле, бдэт, _gull_, 
   {{0x26c511c8,0x613f021e,0x64a62637,0xa1592638}},	//   _zelo_, _gëll, _сада, таму_, 
   {{0x543600b8,0x26c52639,0x2d80263a,0x26120865}},	//   _حرار, _yelo_, dlie_, थिवी_, 
   {{0x26c50183,0xa2940fb6,0x9294263b,0x2d80263c}},	//   _xelo_, _калі, _калц, elie_, 
   {{0x1df8058b,0x61e1263d,0x25a50183,0x23d400bc}},	//   леры_, cull, _xull_, _दिँद, 
   {{0x2d8009f0,0x7bcd263e,0x7e7e0b48,0x27390118}},	//   glie_, tsau, _dypp, _vèni_, 
   {{0x2009263f,0x5c990b58,0x3b552640,0x6fd90790}},	// [19f0] _usai_, ткая_, акар, _भटिं, 
   {{0x7bcd2641,0x3ea1012b,0x6d5a2642,0x7ae500d1}},	//   rsau, _ught_, étar, ught, 
   {{0x2d800bc6,0x26c52639,0x63a402a3,0x9b682643}},	//   blie_, _relo_, _èinf, ушта_, 
   {{0x26c5044e,0x98c700eb,0x25a52644,0x78a42645}},	//   _selo_, اغان, _rull_, živn, 
   {{0xf77117c1,0x26c52646,0x25a50141,0x61e12647}},	//   يات_, _pelo_, _sull_, zull, 
   {{0x61e124d6,0x7bda00d1,0xaae2031e,0x45d51da4}},	//   yull, _בקשו, _पाएक, ацит, 
   {{0x6b4002ec,0x26c52648,0xb0b507d5,0x65c2170f}},	//   _mögl, _velo_, ंडाग, обща, 
   {{0xb4df2649,0x613f00e5,0x61e1264a,0x25a500d3}},	//   तले_, _qëll, vull, _vull_, 
   {{0xa3e50ede,0x9345171c,0xa3dc0081,0x26c5264b}},	//   बंध_, иние, तंग_, _telo_, 
   {{0x61e1264c,0xe299264d,0x63a9024a,0x25a5264e}},	//   tull, кап_, rqen, _tull_, 
   {{0xe126264f,0x00000000,0x00000000,0x00000000}},	//   амни, --, --, --, 
   {{0xa3e507d5,0x00000000,0x00000000,0x00000000}},	//   बंद_, --, --, --, 
   {{0x22590035,0x7fd500f0,0x316903a0,0x8fa60a26}},	//   ńsk_, йірі, _djaz_, раге, 
   {{0x61e12650,0xfe462651,0x3f9e2652,0x8f762653}},	//   pull, анго, ötu_, румі, 
   {{0x3f8400e0,0x427900c7,0xed5a1730,0x7d0f2654}},	//   ēmu_, _באַג, вов_, _bacs, 
   {{0x20562655,0xdca32656,0x21200604,0x637d011c}},	//   _втор, жати, _unih_, gènv, 
   {{0x0c261eda,0xe4f801a4,0x6da40259,0x7d0f03c6}},	// [1a00] шман, ्जति_, риға, _dacs, 
   {{0x973c0613,0x7e7e2657,0x7d0f0534,0x6ab62658}},	//   _kiće, _typp, _eacs, рсах, 
   {{0x6edb00a7,0xa3e52659,0x2d800151,0xf1ab0eda}},	//   _בחיפ, बूत_, plie_, _घूमन, 
   {{0xaae202f8,0x387f0d07,0xdb06024a,0xd94602a6}},	//   _पाकक, _byur_, _kukë, једи, 
   {{0x7d04265a,0xfaa6265b,0xd7060161,0x88bd0035}},	//   meis, _ваго, изди, _pośr, 
   {{0x7d040931,0x26120b26,0xed590228,0x73d808ba}},	//   leis, थिली_, ďže_, қдор_, 
   {{0x96b900d3,0x645d003e,0x1c0e02e6,0x356a1a3c}},	//   уучу_, úsin, सिकल_, крин_, 
   {{0x7d040088,0x2b5803e2,0x00000000,0x00000000}},	//   neis, _hmrc_, --, --, 
   {{0xc34a0141,0xa4140086,0xf36601a2,0x66e61571}},	//   вяне_, িহ্য_, итон, _воза, 
   {{0x7d04265c,0x79820056,0x973c265d,0x60d6265e}},	//   heis, llow, _biće, _adym, 
   {{0x7d041838,0x6b400219,0x6d460080,0x00000000}},	//   keis, _rögl, _olka, --, 
   {{0x92570080,0x8556010e,0xdb060034,0x7d040080}},	//   рают_, _خیبر_, _bukë, jeis, 
   {{0x7522265f,0x7d042660,0x3202031e,0x661a0082}},	//   _inoz, deis, ňky_, _hrtk, 
   {{0x6d462661,0xc05800dd,0x973c00ca,0x79820415}},	//   _alka, рію_, _fiće, hlow, 
   {{0xd37802f5,0x7d042662,0x79820083,0x637d00b9}},	//   moć_, feis, klow, gènu, 
   {{0x929b0056,0x7c872663,0x7d042664,0xe29b2665}},	//   _ביות, аузе, geis, _בשור, 
   {{0xdfd100eb,0xfaa72666,0x30340cdf,0x69d8014b}},	// [1a10] _عيد_, ашен, _меъё, áven, 
   {{0x6d462667,0xd3780571,0x98b80339,0x7c200372}},	//   _elka, noć_, _ērā_, _šmrc, 
   {{0x3f8300f1,0x387f08a1,0x98bf05ae,0x75220532}},	//   mlju_, _syur_, _smuđ_, _onoz, 
   {{0xae1a00a7,0x3e160070,0xfcab0296,0x79822668}},	//   _עורכ, _פֿיל_, _جادو_, glow, 
   {{0xd3780b43,0x1b0f0086,0xf8072669,0x00000000}},	//   koć_, সাবে_, рчен, --, 
   {{0xd2460040,0x75220027,0xdb230444,0x7982266a}},	//   _فن_, _anoz, _بوسی, alow, 
   {{0x6eba0299,0x69de0082,0x79820035,0x00000000}},	//   ्रतु, crpe, blow, --, 
   {{0x89380f89,0x3ce9059e,0xa52500a3,0x637d01e5}},	//   _кпсс_, ngav_, смид, hènt, 
   {{0x973c0097,0x52e200c9,0x46150eb7,0x2eb70659}},	//   _siće, पलूस, _گوار, _अभूत, 
   {{0x973c090e,0x27ff00d7,0x75220604,0x7d04266b}},	//   _piće, _ipun_, _enoz, zeis, 
   {{0x3f830372,0x7d040548,0x00000000,0x00000000}},	//   dlju_, yeis, --, --, 
   {{0x752200ef,0x973c0082,0x9f42011c,0xdb06021e}},	//   _gnoz, _viće, muké_, _pukë, 
   {{0x44290518,0x7d04266c,0xd3a70d47,0x057400eb}},	//   _ça_, veis, _треп, _بالد, 
   {{0x63bb0b92,0x02391f7a,0x7d0402f2,0x59a70a34}},	//   mpun, _مثبت_, weis, गदार, 
   {{0x7d04266d,0x68fb266e,0x63bb266f,0x6ade0086}},	//   teis, _obud, lpun, ন্ডো, 
   {{0x90c6088a,0x2b5800ca,0xed571cc1,0x27ff0474}},	//   _убие, _smrc_, бос_, _opun_, 
   {{0x3f8308b1,0x63bb2670,0x4fea02f1,0x637d023e}},	// [1a20] blju_, npun, _ёмон_, bènt, 
   {{0x7d041eab,0x68fb02a5,0x637d2671,0x00000000}},	//   seis, _abud, cènt, --, 
   {{0x993a0769,0xe9da2672,0x7d0408fe,0x6b400219}},	//   ляду_, уке_, peis, _högk, 
   {{0x63bb2673,0x6d4602f1,0x68fb00a1,0x7982019b}},	//   kpun, _ulka, _cbud, ulow, 
   {{0xe73a0676,0x7982040b,0xacf7010e,0x6fcb0a0e}},	//   лед_, rlow, _اسپت, तीपू, 
   {{0x63bb2674,0x97a5004e,0x78250038,0x00000000}},	//   dpun, іріл, تعمل, --, 
   {{0xceb3035c,0x8f9b027a,0xa96a2675,0xd6d92676}},	//   ליג_, ניצי, _бива_, рті_, 
   {{0x63bb0c0c,0x73d800a3,0xdb06011c,0x93b4017b}},	//   fpun, адир_, _sukè, обиц, 
   {{0x63bb2677,0x684603a1,0x2906025b,0x00000000}},	//   gpun, _унаа, meoa_, --, 
   {{0xdb042678,0x27e602dc,0x68fb2679,0x1b0f0033}},	//   mpió, muon_, _zbud, সাথে_, 
   {{0x3f8302f5,0x63bb01ca,0x2e1805d5,0x9f4200d7}},	//   vlju_, apun, _nčf_, cuké_, 
   {{0x73e600e4,0xddcb003d,0x938800f0,0x1a9b0070}},	//   _годз, ġiżl, ысқа_, טייע, 
   {{0x637d022c,0x27e602dc,0x3f830a1a,0xc05b00f0}},	//   tènt, nuon_, tlju_, уін_, 
   {{0xc90500c9,0x2e1805d5,0x26ce0379,0xf1f71372}},	//   _रस्म_, _bčf_, nafo_, جعیت_, 
   {{0x20000118,0x7e281003,0x290601d6,0x637d267a}},	//   _epii_, біта_, keoa_, rènt, 
   {{0x52830084,0x78a40f30,0x27e6267b,0x6b4002ae}},	//   _عليك, živj, kuon_, _högh, 
   {{0xfd4f0029,0x3f83032f,0x26ce00a9,0x29060a9f}},	// [1a30] _khiế, plju_, kafo_, deoa_, 
   {{0x27e6267c,0x00000000,0x00000000,0x00000000}},	//   duon_, --, --, --, 
   {{0x27ff002e,0x3ce9267d,0xc987267e,0x00000000}},	//   _spun_, pgav_, буди, --, 
   {{0x63bb267f,0x224a020b,0x00000000,0x00000000}},	//   ypun, úbky_, --, --, 
   {{0x6aa900b3,0x27300054,0x6d4d2680,0xdd9801d7}},	//   _şefu, _hàny_, mhaa, _ышь_, 
   {{0x70b52681,0xfd4f00e7,0x6d5f2682,0xdced02c7}},	//   ंडुल, _nhiế, liqa, mlađ, 
   {{0x27ff0065,0xc5d5004f,0x00000000,0x00000000}},	//   _wpun_, ціль, --, --, 
   {{0x63bb02f5,0x68fb2683,0x6d4d2684,0x261a007e}},	//   tpun, _ubud, nhaa, _मछरी_, 
   {{0x69da0750,0x63bb00c8,0x7c2d2685,0x383400b3}},	//   _åter, upun, nxar, _ентр, 
   {{0xfd4f00f7,0x6d4d2686,0x63bb2687,0xe1f908a7}},	//   _chiế, hhaa, rpun, аго_, 
   {{0x63bb2688,0xdced0b1d,0x6d4d2689,0x6f0700bc}},	//   spun, hlađ, khaa, dejc, 
   {{0xdced268a,0x63bb268b,0xd24e009c,0x00000000}},	//   klađ, ppun, خچه_, --, 
   {{0x6d4d268c,0x2329268d,0x297a0147,0x00000000}},	//   dhaa, _воли_, שטרא, --, 
   {{0x6da6268e,0x6569268f,0x973c0082,0x63ab011d}},	//   жива, lneh, _kića, _iugn, 
   {{0xad5a2690,0x63ab2691,0xa3e50262,0x41760a24}},	//   арах_, _hugn, बूर_, _وابس, 
   {{0x63a32692,0x65692693,0x6d4d2694,0x6d4300d9}},	//   _hinn, nneh, ghaa, _înal, 
   {{0x63a32695,0x443f2696,0x442d0496,0xfd1f00e7}},	// [1a40] _kinn, nyu_, nxe_, _nhìu_, 
   {{0x261a0f63,0x63a32697,0x62830c6a,0x63ab02a3}},	//   _मछली_, _jinn, _kyno, _mugn, 
   {{0x63ab014e,0x2d8c2698,0x9a6a00eb,0xdce42699}},	//   _lugn, ïdes_, جمال_, lnič, 
   {{0x63a3269a,0x6d4d0b32,0x443f269b,0x98a601ba}},	//   _linn, chaa, kyu_, циде, 
   {{0x186a00cf,0xd70a0161,0x63ab011d,0xc8cc031e}},	//   шади_, инде_, _nugn, ारबट, 
   {{0x1754269c,0xd04e0095,0x501b042c,0x6d44269d}},	//   явля, ükəs, יונו, lkia, 
   {{0xd94624d9,0x26ce269e,0x5693269f,0x628302fb}},	//   _деви, rafo_, машт, _nyno, 
   {{0x6d4400e4,0x63ab26a0,0x7d1626a1,0xdb040634}},	//   nkia, _bugn, ndys, mpiñ, 
   {{0x63a31f3a,0xdce404d1,0x443f26a2,0xfd4f001b}},	//   _binn, jnič, gyu_, _phiế, 
   {{0x63a30544,0x63ab26a3,0x6d5f00a3,0x321c26a4}},	//   _cinn, _dugn, ziqa, _prvy_, 
   {{0x442d0496,0x62830156,0x6d4400c8,0x63a326a5}},	//   axe_, _cyno, kkia, _dinn, 
   {{0x63a3010d,0x62830156,0x80b502e6,0x443f011d}},	//   _einn, _dyno, ंडें, byu_, 
   {{0x63a326a6,0xfd4f00f7,0x61e10183,0x63ab0036}},	//   _finn, _thiế, arll, _gugn, 
   {{0xdced0a1a,0xf4870296,0x26cc0121,0x93770038}},	//   vlađ, _بامی, _jedo_, _وصور_, 
   {{0x26cc26a7,0x6d5f26a8,0x6d4d2680,0x628300f8}},	//   _medo_, tiqa, thaa, _gyno, 
   {{0x91b700d6,0x63a326a9,0x7c2d01f1,0x61e80495}},	//   _بطور_, _zinn, txar, mudl, 
   {{0x6d4d26aa,0x6d5f26ab,0x61e826ac,0xdce400da}},	// [1a50] rhaa, riqa, ludl, cnič, 
   {{0xce950141,0x26cc02fe,0x6d5f00a3,0x656926a4}},	//   _напъ, _nedo_, siqa, zneh, 
   {{0x60cd1146,0xdced034c,0x2fc907fc,0x61e802dc}},	//   _keam, slađ, _hwag_, nudl, 
   {{0x6d5f02f1,0x6d4400e1,0x644026ad,0x889500b3}},	//   qiqa, ckia, kymi, пиех, 
   {{0x26cc26ae,0x880700d6,0x2be20c46,0x6d5d26af}},	//   _bedo_, تظام, _पिया, _imsa, 
   {{0x60cd0557,0x26cc26b0,0x973c00ca,0xe73626b1}},	//   _leam, _cedo_, _pića, зеш_, 
   {{0x63a326b2,0x63ab0915,0x656926b3,0x61e826b4}},	//   _rinn, _sugn, tneh, judl, 
   {{0x60cd24ae,0x442d0860,0x63ab26b5,0x61e826b6}},	//   _neam, txe_, _pugn, dudl, 
   {{0x656926b7,0xb4bb119f,0xb4ab1615,0x442d0165}},	//   rneh, _अभी_, _खली_, uxe_, 
   {{0x442d0496,0xdce426b8,0x6d9326b9,0x6d440a9f}},	//   rxe_, vnič, lçad, zkia, 
   {{0x63a326ba,0x6d4426bb,0x60cd26bc,0x6d5d09ad}},	//   _vinn, ykia, _beam, _omsa, 
   {{0xdce400f1,0x6d9326bd,0x216a26be,0x63ab26bf}},	//   tnič, nçad, сими_, _tugn, 
   {{0x60cd26c0,0xe81e0fec,0x4acb0c46,0x823500d4}},	//   _deam, पिया_, िराव, زرگا, 
   {{0x61e826c1,0x63a30465,0x987a00d1,0x00000000}},	//   budl, _uinn, מארט, --, 
   {{0x614626c2,0x23c5010c,0x60cd1bf0,0x00000000}},	//   _нека, bêjî_, _feam, --, 
   {{0x60cd26c3,0xdce4127b,0x2d9526c4,0x6d440009}},	//   _geam, pnič, друс, ukia, 
   {{0x6d4426c5,0x2fc900f8,0x7d1626c6,0x00000000}},	// [1a60] rkia, _gwag_, rdys, --, 
   {{0x78a900fd,0x8eea004f,0xbcfb0118,0x6d4426c7}},	//   _agev, _умов_, _améd, skia, 
   {{0x7ae326c8,0x644026c9,0x00000000,0x00000000}},	//   ónta, zymi, --, --, 
   {{0x4c6a1be7,0xdb0426ca,0x7e73010c,0x26cc26cb}},	//   _гимн_, rpiñ, şepê, _sedo_, 
   {{0x2d821a43,0x26cc26cc,0xdb040183,0x0c23012d}},	//   _ikke_, _pedo_, spiñ, _змян, 
   {{0x6d9302aa,0x6440020b,0xeb9726cd,0x00000000}},	//   açad, vymi, _ния_, --, 
   {{0x78ad02f5,0x26cc26ce,0x6440186a,0xdb0f010e}},	//   žava, _vedo_, wymi, _utcá, 
   {{0x644026cf,0xe5a30267,0x6d930212,0x26cc011c}},	//   tymi, нији, rçag, _wedo_, 
   {{0x7bd626d0,0x60cd26d1,0x26cc0144,0x00000000}},	//   nsyu, _ream, _tedo_, --, 
   {{0x60cd26d2,0x656000a4,0x61e802dc,0x394626d3}},	//   _seam, simh, tudl, lkos_, 
   {{0x62870529,0x7bd602cd,0x60cd007e,0x6728003d}},	//   żjon, hsyu, _peam, _indj, 
   {{0x3946012d,0xf8cc26d4,0x673a0026,0x7bd606e4}},	//   nkos_, ारिय, _hotj, ksyu, 
   {{0x61e826d5,0x60cd26d6,0x23c5009e,0x673a07d7}},	//   sudl, _veam, rêjî_, _kotj, 
   {{0x973c0ab4,0x2d8202a5,0x673a021e,0x909800fd}},	//   _mićo, _akke_, _jotj, явят_, 
   {{0xf8cc0c59,0x6fd900a2,0x673a07d7,0xfe700038}},	//   ाराय, _भटकं, _motj, هدف_, 
   {{0x2d5826d7,0x6b40008c,0x2fc90102,0x673a039b}},	//   пись_, _mögu, _twag_, _lotj, 
   {{0x67280e67,0xb0c30827,0x6b40008c,0x84ea0a34}},	// [1a70] _ondj, _व्यग, _lögu, _टाईट_, 
   {{0xe1ab0366,0x2aab02a6,0x2d8226d8,0x7b141a57}},	//   _घूँघ, стао_, _ekke_, ндух, 
   {{0x7f3c00a7,0x62860035,0x442b0023,0x3946040b}},	//   _לעזו, ękow, ̣c_, fkos_, 
   {{0x67280097,0xbcfb0a22,0x394626d9,0x6d5d26da}},	//   _andj, _ejér, gkos_, _umsa, 
   {{0x248626db,0x6d9326dc,0x673a0364,0xe73926dd}},	//   _nyom_, rçad, _botj, жел_, 
   {{0x2be217dc,0x66e526de,0x00000000,0x00000000}},	//   _पिता, фока, --, --, 
   {{0x673a02c7,0x248610fd,0xe51e0f6f,0xf8ae0019}},	//   _dotj, _ayom_, _मोहि_, اکہ_, 
   {{0x25de04cc,0xe3b926df,0xf99313b4,0x6b40008c}},	//   _गिरी_, оби_, _سبز_, _dögu, 
   {{0x395f26e0,0x25a626e1,0x394d0616,0x2d89011c}},	//   _imus_, _diol_, _iles_, ilae_, 
   {{0x673a0ab4,0x212926e2,0xc24526e3,0xaadd009a}},	//   _gotj, _anah_, днок, मणिक, 
   {{0x779013b4,0x69d70183,0x6b9b0036,0x25a626e4}},	//   _حیوا, nsxe, _èugu, _fiol_, 
   {{0x69d802a0,0x6b40014e,0x2ec610b0,0x77630183}},	//   ávei, _högt, वर्त, linx, 
   {{0x657c039f,0x00000000,0x00000000,0x00000000}},	//   _írha, --, --, --, 
   {{0x394d26e5,0x6265005b,0x77630068,0x21290175}},	//   _lles_, _овла, ninx, _enah_, 
   {{0x8fa31431,0xdef9012d,0x945d0083,0x00000000}},	//   таре, чыў_, pańs, --, 
   {{0xa1870093,0x00000000,0x00000000,0x00000000}},	//   _обща_, --, --, --, 
   {{0x24860201,0x316026e6,0x00000000,0x00000000}},	// [1a80] _xyom_, _imiz_, --, --, 
   {{0x394d002e,0x7bd6005c,0x2d890226,0xa3e500aa}},	//   _ales_, rsyu, alae_, _फिन_, 
   {{0x6b5201cc,0x973c0082,0x6cc626e7,0x5de608b8}},	//   _lægg, _sićo, _ойна, _южна, 
   {{0x3946012d,0x395f0068,0x9cb6009c,0x394d26e8}},	//   ukos_, _cmus_, _زمست, _cles_, 
   {{0x394626e9,0x6b40008c,0x77630183,0x00000000}},	//   rkos_, _sögu, finx, --, 
   {{0xd5ba036a,0x394d0c1f,0x569426ea,0x394626eb}},	//   оси_, _eles_, налт, skos_, 
   {{0x394d013c,0x09d80086,0xfbb00033,0xda650038}},	//   _fles_, _সহকা, _ছবিত, _كافي, 
   {{0xb4e80586,0x2d800036,0x00000000,0x00000000}},	//   बले_, noie_, --, --, 
   {{0xd90d1fdb,0x25a60e83,0xdc1100ad,0x00000000}},	//   _دین_, _viol_, _məğl, --, 
   {{0x25f60035,0x628f0035,0x764326ec,0x31600508}},	//   _एमपी_, ęcon, byny, _amiz_, 
   {{0x6b40022b,0x212902cd,0x25a60183,0x3b180106}},	//   _högs, _pnah_, _tiol_, _marq_, 
   {{0x056626ed,0x78a400da,0x2d4702be,0x00000000}},	//   _ювен, živu, _põem_, --, 
   {{0x6d43002e,0x59ce00a2,0x104b004f,0x63a40036}},	//   _înai, हीतर, іями_, _èino, 
   {{0x2bb511bd,0x00000000,0x00000000,0x00000000}},	//   _अंबा, --, --, --, 
   {{0x3da700e4,0x27e626ee,0x2d890226,0x6f17023e}},	//   драб, hron_, tlae_, _vaxc, 
   {{0xa3e50081,0x21f8005f,0x98a40237,0x21290096}},	//   बूक_, méh_, _anmč_, _unah_, 
   {{0x6f170126,0x1eab0038,0x301426ef,0x27e60104}},	// [1a90] _taxc, _وادي_, _адыр, jron_, 
   {{0x27e626f0,0x7f5926f1,0xa3e626f2,0x6ec0009a}},	//   dron_, _хаос_, _बटन_, वडणु, 
   {{0x27e608f4,0x21f811e9,0xab8426f3,0x27e000eb}},	//   eron_, néh_, тутк, áinn_, 
   {{0x26de02dc,0x0e9a00d1,0xab5b0241,0x00000000}},	//   _adto_, _משתל, _stüd, --, 
   {{0x7d0d26f4,0x78ad090b,0x21f80574,0xf21000a5}},	//   meas, žavo, héh_, ़बड़_, 
   {{0xf773030e,0xae0300a2,0x7d0d26f5,0x76430088}},	//   خاص_, _लहान_, leas, tyny, 
   {{0x776326f6,0x27e626f7,0x6a1401a2,0xfbb508b3}},	//   rinx, aron_, _имру, _अंडम, 
   {{0x764326f8,0x7d0d26f9,0x394d0175,0x21f80096}},	//   ryny, neas, _ules_, déh_, 
   {{0x764300c8,0x9985010e,0xf8b2027a,0x31600237}},	//   syny, _élő_, _תשמ_, _rmiz_, 
   {{0x7d0d26fa,0x6b40022b,0x6b5202c9,0x7c2000ca}},	//   heas, _högr, _vægg, _šmrk, 
   {{0x26c702ee,0x7d0d0088,0xe1f6049b,0x6d4f26fb}},	//   mbno_, keas, нгэ_, _olca, 
   {{0x361a00a7,0x261100ca,0x7d0d26fc,0xdb07021e}},	//   _מועד, _išo_, jeas, _bijë, 
   {{0x2d8026fd,0xdb060483,0x7d0d26fe,0xab6406a2}},	//   voie_, _luká, deas, lmüş, 
   {{0x6d4f0edb,0x6b40008c,0x21f8005f,0x3eac192b}},	//   _alca, _lögr, béh_, ødt_, 
   {{0x2365022b,0x7d0d0387,0x2d961dbd,0x6b52192b}},	//   milj_, feas, ерас, _jæge, 
   {{0x27e626ff,0x1de109ef,0xf11a003f,0x7d0d2700}},	//   yron_, _फिरत, _رغبت_, geas, 
   {{0x6b5201cc,0xec772701,0x63ad02a3,0xed572702}},	// [1aa0] _læge, епт_, _èand, хот_, 
   {{0x27e62703,0x2d800036,0x236502ae,0x06e50033}},	//   vron_, soie_, nilj_, প্তি, 
   {{0x2d730571,0x7d0d2704,0xdb07011c,0xeef700d1}},	//   mćen_, beas, _mijè, _אמיר_, 
   {{0x27e62705,0xb4de00bd,0x6d4f00a1,0xdb062706}},	//   tron_, _तये_, _glca, _duká, 
   {{0x58832707,0x27e62708,0x00000000,0x00000000}},	//   лыша, uron_, --, --, 
   {{0x7bc42709,0xf0930137,0x27e6270a,0x27e0270b}},	//   mpiu, אנד_, rron_, šino_, 
   {{0x27e6270c,0x387200d9,0x06cf0033,0xe1e703b8}},	//   sron_, _ţară_, _রাশি, _حس_, 
   {{0xe9a3005e,0x69dc2259,0xdb1d0118,0x27e6270d}},	//   _басп, _ivre, _atsè, pron_, 
   {{0xb60300e0,0x888100d4,0x7bc40065,0xd7ca007a}},	//   āšan, _پیون, npiu, _رواه_, 
   {{0xb5f2004e,0x973c0082,0x26de012b,0x7783270e}},	//   _бүкі, _mićk, _udto_, _блуз, 
   {{0xdb07270f,0x2fc00090,0x00000000,0x00000000}},	//   _dijè, _atig_, --, --, 
   {{0x613f00e5,0x2902014e,0x399502ae,0xd04600ad}},	//   _pëlq, _ökad_, påse_, lakə, 
   {{0x65620102,0x23650ab4,0xe53b00d1,0x2bb509ef}},	//   _imoh, bilj_, _מתאר, _अंधा, 
   {{0x4ea72710,0x6d480218,0xdb070034,0x69dc0121}},	//   ерба, êdan, _vijë, _ovre, 
   {{0x3ea52711,0x7d0d2712,0xdcfd00c3,0xd24f2713}},	//   ält_, teas, _jisħ, _сц_, 
   {{0xdb06026e,0x2bb511ff,0x3ceb00c9,0x6ab90e07}},	//   _ruká, _अंदा, टलें_, इड्र, 
   {{0x69dc1ad1,0x65620364,0xe7cf0035,0x7d0d2714}},	// [1ab0] _avre, _mmoh, _सौंप, reas, 
   {{0x2009016a,0x7d0d2715,0x64c402d9,0x00000000}},	//   _ipai_, seas, lčič, --, 
   {{0x7d0d2716,0x26c70352,0xdcfd2717,0x69dc0604}},	//   peas, vbno_, _eksā, _cvre, 
   {{0x3f832718,0x64c410ea,0x21392719,0xb7bd107c}},	//   loju_, nčič, njsh_, _arţa, 
   {{0xb909271a,0x69dc271b,0x399e02d9,0xa2b800bc}},	//   _मय_, _evre, _růst_, ोरञ्, 
   {{0x65620364,0x3f830450,0x00000000,0x00000000}},	//   _amoh, noju_, --, --, 
   {{0xc8f5048a,0xda050fec,0xf77017ba,0xc4470116}},	//   _извъ, _रहित_, حان_, کیشن_, 
   {{0xb8b2004e,0xab6406a2,0x7c2000ca,0xdb0f011c}},	//   _көші, rmüş, _šmri, _sucè, 
   {{0x290f271c,0x3f83271d,0x2365032f,0x00000000}},	//   mega_, koju_, tilj_, --, 
   {{0x69c5271e,0x290f271f,0x65622720,0x628a0b48}},	//   ophe, lega_, _emoh, _byfo, 
   {{0x2fc02245,0x628a0156,0xa3e502e6,0x2d730082}},	//   _stig_, _cyfo, बूज_, vćen_, 
   {{0x290f11c8,0x291d2721,0x628a0156,0x50460886}},	//   nega_, ndwa_, _dyfo, вемб, 
   {{0x6594011f,0x61e82722,0x628a2723,0x307602aa}},	//   _сацу, ardl, _eyfo, тунс, 
   {{0x290f2724,0xdf1502fb,0x3f8308e3,0x5f0600fd}},	//   hega_, льсь, goju_, ъзга, 
   {{0x290f11c8,0x5ed400cc,0x628a00f8,0x200901cf}},	//   kega_, _তাদে, _gyfo, _epai_, 
   {{0x290f2725,0x7c290372,0xd026040c,0x00000000}},	//   jega_, _šera, _амий, --, 
   {{0xc4d20137,0x290f0077,0x6da3213a,0x291d0a8b}},	// [1ac0] יגן_, dega_, рита, ddwa_, 
   {{0x7bc40528,0x6d9300b9,0x00000000,0x00000000}},	//   rpiu, rçaa, --, --, 
   {{0xab5b02f2,0xe8fa00e4,0xa9a60093,0xed5a183a}},	//   _stüc, дле_, вижд, _жон_, 
   {{0x290f2726,0xd7e60965,0x81bc01dd,0x09e30267}},	//   gega_, віко, lvēc, роцн, 
   {{0xa41c00cc,0x798202a5,0xe7b32727,0x00000000}},	//   _তথ্য_, roow, لمند, --, 
   {{0x6d932728,0xbcfb000d,0x69d8063b,0x69c50201}},	//   nçan, _jmén, áves, bphe, 
   {{0x6f030c05,0x69dc14f0,0x69c50465,0x290f2729}},	//   _önce, _uvre, cphe, bega_, 
   {{0x290f090b,0x1514272a,0x38c80a5a,0xd94308ac}},	//   cega_, удия, _ساری_, _кеси, 
   {{0xa8872273,0x98a318ac,0xdb0f0068,0x4917009a}},	//   _айта_, _вите, _sucé, _नसतो_, 
   {{0x5fdc02c3,0x2bb500a5,0xdcfd007b,0x00000000}},	//   _बिजल, _अंसा, _tisħ, --, 
   {{0xe737272b,0x3f83272c,0xb5f200f0,0x00000000}},	//   _шеф_, voju_, _түйі, --, 
   {{0xbcfb026a,0x27e9052a,0x628a0098,0xdb07009e}},	//   _amén, šane_, _vyfo, _nijî, 
   {{0x6d562279,0x5064272d,0xc0ab0740,0x3f832409}},	//   dhya, атра, بادل_, toju_, 
   {{0x442602dc,0x973c0588,0x628a272e,0x643b0070}},	//   _iro_, _bići, _tyfo, _קעגנ, 
   {{0x3f83272f,0xdb070218,0x1df813f2,0x290f2730}},	//   roju_, _bijî, керы_, yega_, 
   {{0x44262731,0x63ad01d8,0x6e2502c7,0xf1a42732}},	//   _kro_, _èanc, _vrhb, _крын, 
   {{0x290f2733,0xdb07010c,0x27e00f4c,0x4426023e}},	// [1ad0] vega_, _dijî, šinj_, _jro_, 
   {{0x44262734,0x69c52735,0x3b542736,0x207c2737}},	//   _mro_, tphe, акур, _קאזא, 
   {{0x290f2738,0x7c260380,0x66e500a3,0x7866040c}},	//   tega_, _erkr, ҳола, _nаvb, 
   {{0x44262739,0xa6cf0033,0x00000000,0x00000000}},	//   _oro_, _রাইট, --, --, 
   {{0x290f273a,0x6d4d273b,0x69c5273c,0x4426273d}},	//   rega_, mkaa, sphe, _nro_, 
   {{0x290f05d2,0x77840100,0x6d4d273e,0xdced044e}},	//   sega_, аліз, lkaa, inač, 
   {{0x4426273f,0x290f1bf8,0x6446004f,0x69d80304}},	//   _aro_, pega_, økin, šver, 
   {{0xdb0d127e,0x6d4d2740,0x7d1d2741,0x6b8500a3}},	//   mpañ, nkaa, _jass, lohg, 
   {{0x7d1d0df7,0x44262742,0x38600038,0x7d1b0183}},	//   _mass, _cro_, úirt_, _óusu, 
   {{0x7d1d2743,0x96ca047c,0xdced003a,0x95cb00cf}},	//   _lass, _स्पॉ, dnač, _жуда_, 
   {{0x6d4d2740,0x44262744,0xfb1600c7,0x6146152f}},	//   kkaa, _ero_, אַכט_, гена, 
   {{0x442600f8,0x6d4d2745,0x7bc100d8,0x00000000}},	//   _fro_, jkaa, _člun, --, 
   {{0x44262746,0x6d4d2747,0x65690088,0x79890053}},	//   _gro_, dkaa, mieh, _mkew, 
   {{0x973c0613,0x06e50086,0x65692748,0x645b0548}},	//   _pići, প্রি, lieh, mzui, 
   {{0x7d1d2749,0xfce62540,0xfbdf010c,0x6d560532}},	//   _bass, лово, _avê_, thya, 
   {{0x7d1d274a,0x6d4d274b,0xbacd0033,0xe6d010b0}},	//   _cass, gkaa, _লাগছ, _सज्ज, 
   {{0x5f7600d4,0xdce400ca,0x2b0200b0,0x0c26012d}},	// [1ae0] _مادر, hnić, _रउआँ_, ыман, 
   {{0x6d56024d,0x7d1d0226,0x7989044d,0x6d9306a2}},	//   shya, _eass, _akew, lçal, 
   {{0x7d1d274c,0x6d4d040b,0x6e461853,0xdce40613}},	//   _fass, bkaa, _сенз, jnić, 
   {{0x3940003e,0x6d93274d,0x799b018e,0xfe7511ec}},	//   ðis_, nçal, _chuw, _түс_, 
   {{0x6f1e0105,0x799b00c5,0x48e3274e,0x6569042a}},	//   _kapc, _dhuw, сочв, dieh, 
   {{0x779100d6,0x7c240711,0x7d1d14d8,0xa77308ab}},	//   قیقا, mvir, _zass, бліч, 
   {{0xdced19eb,0x4426274f,0x1c1c048e,0x63a40036}},	//   znač, _sro_, निकल_, _èini, 
   {{0x442610a6,0x69de2750,0x74142751,0x645b01c8}},	//   _pro_, mspe, لوبا, fzui, 
   {{0x7c242752,0x136a04a0,0x69de2753,0x06f6024f}},	//   nvir, ешни_, lspe, _مساج, 
   {{0xa3e5119f,0xbcfb026d,0xe3bf03da,0x07a602a6}},	//   _फिर_, _amél, íña_, _сазн, 
   {{0xe1352754,0x69de2755,0xa2940965,0x92942756}},	//   анны, nspe, рані, ранц, 
   {{0x25f30081,0x44262757,0x69de00eb,0x65690228}},	//   ्झरी_, _tro_, ispe, cieh, 
   {{0x442602ee,0x644600b0,0x50670009,0x60d60208}},	//   _uro_, äkid, утна, _deym, 
   {{0x2b8f02f2,0x7d1d2758,0x69de2759,0x7c290df4}},	//   rück_, _sass, kspe, _šero, 
   {{0x7d04275a,0xd904006b,0x6d4d275b,0x8d770629}},	//   ffis, _ٹی_, tkaa, هارا, 
   {{0x629800f1,0x69de0c29,0x7d1d275c,0x9d18275d}},	//   _izvo, dspe, _qass, лост_, 
   {{0x81b600cc,0x7d1d275e,0xdd94275f,0x69de2760}},	// [1af0] _ছবি_, _vass, саты, espe, 
   {{0x7d1d2761,0x656902f2,0x6d4d2544,0xda7b012d}},	//   _wass, zieh, skaa, няе_, 
   {{0x7d1d2762,0x69de2763,0x6d4d2764,0xae362765}},	//   _tass, gspe, pkaa, _күрт_, 
   {{0xa3e5051f,0x973c032f,0xe0e70033,0xdce40035}},	//   _फिल_, _miću, গ্রহ_, knię, 
   {{0x6d932766,0x69de00b3,0xdb0d033c,0x5fb50299}},	//   nçam, aspe, spañ, ंदिल, 
   {{0x6d5800e4,0xb8ec07d5,0x99d70fd0,0x645b00a3}},	//   _įvai, _श्_, _مترا, vzui, 
   {{0xb8db00cc,0x65692767,0xf8c9026a,0xeef800d1}},	//   _আজ_, tieh, _créé_, אמור_, 
   {{0xdce4034c,0x79a403b7,0x7bdf2768,0x2d4702be}},	//   rnić, _груе, osqu, _iões_, 
   {{0x8508004e,0xdb0f2769,0x6569042a,0xdce4276a}},	//   удың_, _lucí, rieh, snić, 
   {{0xe787276b,0x7bdf0165,0x60d6276c,0x645b01c8}},	//   _субо, isqu, _seym, rzui, 
   {{0x60d60218,0xdb0e0218,0x291f00b0,0x7d04276d}},	//   _peym, _bibê, _kaua_, yfis, 
   {{0x6026021d,0x291f0369,0x0eee01a4,0xc4f80038}},	//   адма, _jaua_, जल्स_, _معها_, 
   {{0xb4c308dd,0xdb0e078a,0x291f0053,0x6d930540}},	//   ्री_, _dibê, _maua_, rçal, 
   {{0x2d8b031e,0x69de276e,0x25af0082,0x644600c8}},	//   _akce_, yspe, _higl_, äkie, 
   {{0x7d04276f,0xbea60f4e,0x23bb0218,0x6d9303a1}},	//   tfis, равк, _hêj_, pçal, 
   {{0x7c2400e4,0x27e006e0,0x69de0343,0xccc60079}},	//   tvir, šini_, vspe, рбай, 
   {{0xdee62770,0xab6623e1,0x7d04008c,0x69de2771}},	// [1b00] _копи, авал, rfis, wspe, 
   {{0x68fb2772,0x69de2773,0x21200065,0xb4c30c64}},	//   _acud, tspe, _haih_, ्रु_, 
   {{0xbd8a0040,0x7c242774,0x399c00eb,0x69de2775}},	//   _لندن_, svir, híse_, uspe, 
   {{0x6d4300d9,0x68fb00a1,0x63a402a3,0xc7c62776}},	//   _înap, _ccud, _èinv, аски, 
   {{0x779413b4,0x27e0161c,0xdb0d01d5,0xdb0f0474}},	//   میرا, éin_, ppað, _ducâ, 
   {{0x69de2777,0xd70703a1,0x7bc60080,0x00000000}},	//   pspe, инче_, _itku, --, 
   {{0x25af0082,0xdb0e024a,0xcb67002e,0x7f9b0216}},	//   _bigl_, _libë, _таре_, qîqe, 
   {{0x27e90bc3,0xa534122f,0x399c0038,0x291f01ca}},	//   šana_, снич, físe_, _gaua_, 
   {{0x973c00d2,0xd497049b,0x8cd701a4,0x00000000}},	//   _siću, ирь_, बरतो, --, 
   {{0x3944022c,0x316b0035,0x733801a2,0xb3542778}},	//   _homs_, wicz_, узор_, скош, 
   {{0xe81e2369,0x26dc2779,0x44e80086,0x7c29003d}},	//   पिका_, mavo_, ক্ষক_, _ġerm, 
   {{0x7bc602f5,0x26dc277a,0x2b061779,0x8c480540}},	//   _otku, lavo_, स्तु_, _kağı, 
   {{0xb4d21aab,0x7afc00d2,0x1b1d0033,0x64a6277b}},	//   वरी_, _ocrt, নাতে_, _тада, 
   {{0x2005003d,0x26dc277c,0xdb0e021e,0x6d93277d}},	//   ċli_, navo_, _dibë, rçam, 
   {{0x139b042c,0x539b00a7,0x629800d2,0x2b430455}},	//   _שבוע, _שיוו, _uzvo, _rojc_, 
   {{0x3944277e,0x3a2d277f,0xac1903a1,0x26dc2780}},	//   _noms_, _čep_, лобу_, havo_, 
   {{0x291f01a4,0x26dc2781,0x60dd2782,0x316901cf}},	// [1b10] _raua_, kavo_, masm, _imaz_, 
   {{0x7bdf026d,0x26dc2783,0x2ef52784,0x68fb00fd}},	//   rsqu, javo_, _узор, _scud, 
   {{0x26dc012d,0x79a7187f,0x6f150369,0x1ddb0249}},	//   davo_, арде, mezc, _बबित, 
   {{0x39442785,0x8c48091f,0xdb0e06df,0x6f152786}},	//   _coms_, _bağı, _libè, lezc, 
   {{0xdc350138,0x27ff0151,0xec350147,0x26dc0528}},	//   _האָט_, _qqun_, _האָר_, favo_, 
   {{0x8c480824,0x6f152787,0x6dbc008b,0xf3fe0086}},	//   _dağı, nezc, _očal, ্টার_, 
   {{0x6b52055f,0x291f2788,0x19ab0f82,0xb34502aa}},	//   _mægl, _taua_, _атап_, _loçã, 
   {{0xb4c30cbd,0xe3bf03da,0x741500eb,0x69c72789}},	//   ्रे_, íño_, موعا, _itje, 
   {{0x69c70f30,0x212004bb,0x26dc008b,0xb3450165}},	//   _htje, _raih_, bavo_, _noçã, 
   {{0xda0e1230,0x26dc01d8,0x4374004f,0x36d4278a}},	//   _सहमत_, cavo_, жуют, _моур, 
   {{0xe69500eb,0x6f150bf1,0xdb0e011c,0xf1d100d3}},	//   _الاد, dezc, _dibè, чөлө, 
   {{0x6721278b,0x8c4807fa,0xf65202a1,0x04c917bc}},	//   _halj, _yağı, _מצב_, _صوتي_, 
   {{0x6721278c,0x63bb0104,0x21670176,0x98790070}},	//   _kalj, qqun, сияи_, ראָט, 
   {{0x2002278d,0x69c7027c,0x6721016a,0x00000000}},	//   rtki_, _otje, _jalj, --, 
   {{0xed5a129d,0x2002278e,0x60dd278f,0x6b6f0009}},	//   гов_, stki_, basm, _mėgė, 
   {{0x26dc2790,0x7afc02fe,0xc21200d1,0x2d680241}},	//   zavo_, _scrt, _זהה_, mşek_, 
   {{0xdca302f1,0x39442791,0x7cf20104,0x6fb20083}},	// [1b20] зати, _roms_, _dаrа, _इंटू, 
   {{0x394409a2,0xb05b014e,0xef1a0886,0x67212792}},	//   _soms_, rbät, _смо_, _nalj, 
   {{0x26010496,0x26dc0009,0x3f8a2793,0xfe752794}},	//   jóo_, vavo_, mobu_, _дүр_, 
   {{0xd91000d6,0xb4c32795,0x69c30038,0x3f8a00da}},	//   بیر_, ्रो_, ínea, lobu_, 
   {{0x7d162796,0xdb0e026a,0x6d46011c,0x2be20cd6}},	//   meys, _libé, _ioka, _पिटा, 
   {{0xa09b0137,0x06d800cc,0x6d462797,0x7d162798}},	//   ניסט, _সাহি, _hoka, leys, 
   {{0x6d462799,0x60c404ef,0x3944279a,0x6dbc0032}},	//   _koka, _ofim, _toms_, _očam, 
   {{0x6d46279b,0x7d16279c,0x26dc279d,0x8c480248}},	//   _joka, neys, savo_, _tağı, 
   {{0x6721024a,0x61e3040c,0x26dc0afc,0x00000000}},	//   _falj, _avnl, pavo_, --, 
   {{0x69c10518,0x8c1b00a7,0x26010183,0x60c405d5}},	//   _élec, נויי, bóo_, _afim, 
   {{0x60c90496,0x611513f2,0x71792336,0x60dd0a9f}},	//   ñemo, одну, ибор_, tasm, 
   {{0x27e00062,0xdb0e0a0f,0x6d46279e,0xd13b279f}},	//   šinu_, _dibé, _noka, ухо_, 
   {{0xc05827a0,0x60dd27a1,0xd4671853,0x7d16027e}},	//   бір_, rasm, _лице_, deys, 
   {{0x3f8a27a2,0x6d462240,0xc05803bd,0x2bdb08c6}},	//   gobu_, _aoka, сію_, मीफा, 
   {{0x6d4627a3,0x6f1508f4,0x75220379,0xdb0e011c}},	//   _boka, rezc, _kaoz, _gibé, 
   {{0x22ae0264,0x2b94128d,0x75220054,0x00000000}},	//   mək_, bäck_, _jaoz, --, 
   {{0x6d930518,0x69c700fb,0x7ff70038,0x752200ca}},	// [1b30] nçai, _stje, _اسعا, _maoz, 
   {{0x6d4601a7,0x75220379,0x8aa70165,0x00000000}},	//   _eoka, _laoz, бред, --, 
   {{0xc8b516d0,0x2bb5009a,0x26010183,0x98b927a4}},	//   ослы, _अंका, xóo_, алет_, 
   {{0x6dbc0062,0x75220187,0x7d1609c7,0x00000000}},	//   _očaj, _naoz, ceys, --, 
   {{0x672114ba,0x261b0081,0xf80700d9,0xf7450080}},	//   _palj, _मनही_, счен, жело, 
   {{0x2fc9012b,0xdb070126,0x27e9203b,0x7bcd27a5}},	//   _mtag_, _fijá, šano_, mpau, 
   {{0x672102f5,0x69c70f30,0x672304d1,0x7c2902fe}},	//   _valj, _utje, rdnj, _šerh, 
   {{0x672123ae,0x22ae0095,0xdb0e211b,0x195800b3}},	//   _walj, dək_, _ribé, _ласы_, 
   {{0xe3b627a6,0x7bcd27a7,0x672127a8,0x27e000eb}},	//   обы_, npau, _talj, áint_, 
   {{0x1957005e,0x98ad0228,0x43690afc,0x798b27a9}},	//   _тағы_, _hneď_, раон_, logw, 
   {{0x44270399,0x2fc901d2,0xd0640248,0x7d160ad9}},	//   _گراف, _atag_, ərəs, yeys, 
   {{0xe4350296,0x164803a1,0x00000000,0x00000000}},	//   _وفاد, _учуп_, --, --, 
   {{0x6d4627aa,0x2bb52360,0x7bcd27ab,0x656b27ac}},	//   _roka, _अंगा, jpau, _imgh, 
   {{0x6d4627ad,0xbf9b03b7,0x83fd0019,0x2b940219}},	//   _soka, stên, rződ, räck_, 
   {{0x22ae0264,0xdb0e055a,0x3f8a026e,0x614603dc}},	//   cək_, _bibî, robu_, _мека, 
   {{0xed570104,0xb05b02ae,0x68e900d7,0x2b940502}},	//   оос_, rbär, _nded, päck_, 
   {{0x6d4627ae,0xdb0e078a,0x0b4603dc,0x7d1627af}},	// [1b40] _voka, _dibî, онан, reys, 
   {{0x6d4627b0,0x68e927b1,0x786601ff,0x290d0474}},	//   _woka, _aded, _dаvl, _abea_, 
   {{0x32050056,0x6d4627b2,0x1d0a03a1,0xc8ca27b3}},	//   ntly_, _toka, _кени_, لوان_, 
   {{0xc27a0070,0x25ef009a,0x798b27b4,0x00000000}},	//   ברעי, ींनी_, gogw, --, 
   {{0x88162751,0x68e927b5,0x6dbc0228,0x3ce0006d}},	//   تباط, _dded, _očak, maiv_, 
   {{0x05ea27b6,0xe3a704bc,0x75220054,0x68e90216}},	//   афии_, _زر_, _saoz, _eded, 
   {{0xd6d927b7,0xda0e07cc,0xd5b727b8,0x7522023a}},	//   сті_, _सहित_, осы_, _paoz, 
   {{0x7c291993,0xca640148,0x00000000,0x00000000}},	//   _šeri, _деҳқ, --, --, 
   {{0x8d5b0070,0x00000000,0x00000000,0x00000000}},	//   יכקי, --, --, --, 
   {{0xc7b9010e,0x3ce00201,0x46a6012d,0xd7640296}},	//   _erős_, haiv_, _дазв, _عنای, 
   {{0x2c060086,0x2b9401c4,0x20120237,0x7522023a}},	//   রিয়ে_, räch_, _apyi_, _taoz, 
   {{0x81bc0bc3,0x22ae06d0,0x6dbc0242,0x9cfc0033}},	//   lvēk, rək_, _ečak, ঁজুন_, 
   {{0x22ae0248,0x320500df,0x69c802be,0x00000000}},	//   sək_, atly_, _édef, --, 
   {{0x6d9327b9,0xdefb27ba,0x7c3b00b9,0x389b0147}},	//   nçav, шым_, _àuri, ייכנ, 
   {{0xd25000eb,0x320527bb,0x6d580009,0x20120118}},	//   _سنة_, ctly_, _įvar, _epyi_, 
   {{0x395d006d,0x6ecb0fc0,0x8d77010e,0x7bcd115b}},	//   xhws_, _त्रु, زازا, tpau, 
   {{0x4c9400c8,0x0cab27bc,0x2fc90175,0x9b59035b}},	// [1b50] дитс, ртви_, _utag_, биат_, 
   {{0x7bcd27bd,0x399c003e,0x88d70033,0x00000000}},	//   rpau, vísa_, _হাইক, --, 
   {{0x391516a0,0x7bcd012d,0x0a681da4,0x998702d9}},	//   змер, spau, орци_, ínů_, 
   {{0x28f827be,0x9b45009c,0x7bcd0080,0x628e0083}},	//   жець_, _کنسو, ppau, żbow, 
   {{0x798b27bf,0xdd3a00d1,0x5d3a00d1,0x3d3a00d1}},	//   rogw, _הערכ, _התרא, _הגרס, 
   {{0x9a87217e,0x798b016c,0x70b708dd,0xc87904a8}},	//   _дубл, sogw, ःशुल, _neşe_, 
   {{0xd90f006b,0x6446033d,0xe6190176,0xb9010033}},	//   _لیا_, äkin, ёди_, _দা_, 
   {{0xea0000e7,0xab5b0502,0x6d9302be,0x78660104}},	//   _hiếp_, _stüh, açav, _mаvj, 
   {{0x657e026a,0xb7d5009c,0xea000023,0xf3f10038}},	//   épha, _رقاب, _kiếp_, رأة_, 
   {{0x0cb80ed3,0xdce40241,0x6d5a0243,0x00000000}},	//   _अल्म, kniğ, ītai, --, 
   {{0x23290258,0x00000000,0x00000000,0x00000000}},	//   _ҳоли_, --, --, --, 
   {{0x9f42031e,0xe29927c0,0xf8cb017d,0x320500df}},	//   mské_, _қай_, ाडिय, rtly_, 
   {{0x9f42037f,0x44290c7c,0x659a008d,0x23290962}},	//   lské_, _éa_, _פינק, _голи_, 
   {{0x442f0508,0x00000000,0x00000000,0x00000000}},	//   _irg_, --, --, --, 
   {{0x9f42035e,0x6da627c1,0x2bb5000f,0x442f02a2}},	//   nské_, зива, _अंजा, _hrg_, 
   {{0x442f0870,0xf8b900e7,0xc692027a,0x657b27c2}},	//   _krg_, _ngũ_, גאל_, nnuh, 
   {{0x27e927c3,0xaaba08cb,0xf3f900b3,0x81a501c9}},	// [1b60] šanj_, مدار_, nuţ_, _تحول, 
   {{0x8b2317fc,0xed160035,0xdb1d0216,0x8b26012d}},	//   ндуе, _łódź_, _husê, ядзе, 
   {{0x9f42014b,0x7c2f27c4,0xbed70225,0x69da0038}},	//   jské_, _ercr, _מויז_, صباح_, 
   {{0xa6d80086,0x9f420356,0xf99227b3,0x00000000}},	//   _সাইট, dské_, ربا_, --, 
   {{0x181800c5,0x98a627c5,0x28cb27c6,0x00000000}},	//   تراک_, чиде, ाड़ि, --, 
   {{0xbb4a0084,0x7bcb2772,0x569427c7,0x00000000}},	//   _الآن_, ígue, малт, --, 
   {{0x442f03d8,0x6d93010c,0xfaa60148,0xdb0f019c}},	//   _arg_, rçav, _хаво, _sucç, 
   {{0x6d4427c8,0x442f085f,0xd90d0a24,0xceb3042c}},	//   njia, _brg_, _نیم_, עיה_, 
   {{0x9f59022b,0x68e201a7,0x00000000,0x00000000}},	//   ltså_, maod, --, --, 
   {{0x442f08a1,0x325427c9,0x68e20364,0xdb1d0165}},	//   _drg_, двор, laod, _ausê, 
   {{0x442f0285,0x6d5602a5,0x27e627ca,0x98bf008a}},	//   _erg_, kkya, lson_, _qmuħ_, 
   {{0x26de06e4,0x463b00c7,0x68e227cb,0x55bb0486}},	//   _heto_, _לעבע, naod, _המאו, 
   {{0x26de00e5,0x24aa0086,0x62830369,0xbf9b019c}},	//   _keto_, _গ্রহ, _exno, stêm, 
   {{0x27e60518,0xd37000c5,0xbf9b0107,0x23270080}},	//   ison_, _جهت_, ptêm, _ночи_, 
   {{0x2cb9016a,0x80dc0086,0x6b5b0218,0x26de27cc}},	//   _pgsd_, _ভার্, _nîga, _meto_, 
   {{0x26de27cd,0x5d9900e4,0x6d44021e,0xebd900fd}},	//   _leto_, ікаў_, gjia, ждаш_, 
   {{0x68e227ce,0x27e60ab4,0x7bc00212,0x61fa27cf}},	// [1b70] daod, json_, _émul, lutl, 
   {{0x6d5f0c67,0x8aa70cd9,0x6d5627d0,0x32130083}},	//   shqa, пред, akya, łbyś_, 
   {{0x98bf00d9,0x61fa27d1,0x6b5b0218,0xdd91029a}},	//   _nouă_, nutl, _cîga, _لود_, 
   {{0x1a68040f,0x9f42026e,0xdb0627d2,0x0dba0019}},	//   سیقی_, vské_, _zukü, _گئیں_, 
   {{0x26de27d3,0xea0000f7,0xbcfb0068,0x7d0d27d4}},	//   _beto_, _tiếp_, _alég, mfas, 
   {{0x9f420076,0x7c2d27d5,0xe7360eb0,0x61fa0364}},	//   tské_, mvar, деш_, kutl, 
   {{0x442f27d6,0x26de0065,0xa3df02ab,0x6286010c}},	//   _srg_, _deto_, धीन_, şkoj, 
   {{0x7d0d27d7,0x98bf002e,0x9f42063b,0xd4d90769}},	//   nfas, _două_, rské_, цькі_, 
   {{0xb4bd02f8,0x7c2d27d8,0xdc0b0086,0xbcfb0019}},	//   _आली_, nvar, রিকস_, _elég, 
   {{0x04ff0086,0xdb1d0219,0x9f4200bc,0xa774012d}},	//   ্যের_, _utsä, pské_, _злуч, 
   {{0x6d5d27d9,0x61fa124a,0x7c2d27da,0xbcfb011c}},	//   _olsa, gutl, hvar, _kléd, 
   {{0x442f0688,0xdb060068,0x6560161c,0x7d0d039b}},	//   _trg_, _yukó, chmh, jfas, 
   {{0x442f27db,0x7d0d27dc,0x995c0ed0,0x7c2d0604}},	//   _urg_, dfas, níš_, jvar, 
   {{0xdfcf0084,0x442d27dd,0x61fa27de,0x6d5d27df}},	//   شيف_, mve_, butl, _alsa, 
   {{0x7d0d27e0,0x7c2d0009,0x78bb0539,0x00000000}},	//   ffas, evar, _oguv, --, 
   {{0x752927e1,0x78bb086d,0x6da327e2,0x6d56012b}},	//   ndez, _nguv, виса, ukya, 
   {{0x7c2d27e3,0x442d27e4,0xdced27e5,0x8eba00b3}},	// [1b80] gvar, nve_, znać, _мынт_, 
   {{0xa3df0586,0xeb9f00dd,0x995c014b,0xda660038}},	//   धीय_, _spør_, díš_, واضي, 
   {{0x442d27e6,0x7c2d27e7,0x69c1010e,0xdb1d01e5}},	//   hve_, avar, _élel, _musè, 
   {{0x98a027e8,0x6f1c27e9,0x26de27ea,0xfbc627eb}},	//   žič_, lerc, _seto_, _обмо, 
   {{0xa3f80086,0x442d00e5,0x8b660274,0x75290036}},	//   _অন্য_, jve_, _قاسم, ddez, 
   {{0x27e60673,0xdb07010c,0x644600b0,0x442d27ec}},	//   rson_, _mijû, äkim, dve_, 
   {{0xe1e70105,0x442d27ed,0x26de27ee,0x27e627ef}},	//   _جس_, eve_, _veto_, sson_, 
   {{0x6f1c27f0,0xfaa303dc,0x98a600d3,0xbcfb011c}},	//   herc, _расо, _жибе, _gléd, 
   {{0x26de27f1,0xea0000e7,0x15ea09ef,0x33270175}},	//   _teto_, _khắp_, _टिकर_, _banx_, 
   {{0x6d9327f2,0x68e027f3,0x61fa27f4,0xbf9b0218}},	//   nçar, _hemd, tutl, rtêk, 
   {{0x442d27f5,0x68e00e34,0x7d0d27f6,0xf7430b68}},	//   ave_, _kemd, yfas, _шефо, 
   {{0x442d27f7,0x68e000ef,0x394627f8,0xf8de04cc}},	//   bve_, _jemd, njos_, मरिय, 
   {{0x394602aa,0x6f1c27f9,0x672827fa,0x00000000}},	//   ijos_, ferc, _kadj, --, 
   {{0x6f1c27fb,0x61fa27fc,0x399527fd,0xdb070216}},	//   gerc, putl, låst_, _dijû, 
   {{0x672800e5,0x7d0d132f,0x6e9427fe,0xbf9b019c}},	//   _madj, tfas, виру, ntêi, 
   {{0xbcfb27ff,0x67282800,0xfe7703a1,0x2fc003dd}},	//   _amér, _ladj, зүү_, _fuig_, 
   {{0x7d0d2801,0x6f1c2802,0xdd942803,0xe81e12e3}},	// [1b90] rfas, berc, таты, _मैला_, 
   {{0x6f1c2804,0x672811ed,0x38662805,0x7d0d2806}},	//   cerc, _nadj, dzor_, sfas, 
   {{0x442d2807,0x2bdf1779,0x25a600b4,0x69dc03c6}},	//   zve_, _पौरा, _ohol_, _cwre, 
   {{0xb4bd02f8,0x8aa41c8e,0x63b82808,0xdb1d2809}},	//   _आले_, труд, _livn, _musé, 
   {{0xe739280a,0x27e9280b,0xdd91006b,0xc879010c}},	//   зел_, éan_, _لوگ_, _beşa_, 
   {{0x25a60019,0x2129085b,0x442d280c,0x2904008a}},	//   _ahol_, _laah_, vve_, _ecma_, 
   {{0xf7700625,0x995c0076,0x7ae5280d,0xe61113b4}},	//   جان_, síš_, maht, اشت_, 
   {{0x442d280e,0x6f1c0076,0x6934280f,0x94252810}},	//   tve_, zerc, _инсу, емие, 
   {{0x442d2811,0x291d2812,0x75290019,0x96ca047c}},	//   uve_, mewa_, rdez, _स्कॉ, 
   {{0x291d086d,0x1b1d00cc,0x6298018c,0x13092813}},	//   lewa_, নাকে_, _byvo, чной_, 
   {{0x63b8044e,0x442d2814,0x6f1c1240,0x395f2815}},	//   _divn, sve_, verc, _klus_, 
   {{0x2fc003a1,0x291d0204,0x2129002c,0x61460afc}},	//   _puig_, newa_, _caah_, хема, 
   {{0x25ad2816,0x394d0691,0xdbd71eab,0x442d0034}},	//   mmel_, _moes_, _jäät, qve_, 
   {{0x7ae51415,0x291d187e,0x63b82817,0x2bb20118}},	//   jaht, hewa_, _givn, _gņch_, 
   {{0x291d2818,0x38662819,0x62980028,0xdbd700c2}},	//   kewa_, zzor_, _gyvo, _läät, 
   {{0xa0a6281a,0x2fc01272,0xb4bd009a,0x2129011c}},	//   _пайд, _tuig_, _आलो_, _gaah_, 
   {{0xac8605d9,0x291d281b,0x2bdb031e,0xbcfb023e}},	// [1ba0] хгал, dewa_, मीला, _bléb, 
   {{0x395f281c,0xe6250029,0x6b5202c9,0x31720098}},	//   _alus_, _đông_, _nægt, _hmyz_, 
   {{0x6728281d,0x68e0281e,0xfce6281f,0x212902a2}},	//   _radj, _pemd, _поно, _yaah_, 
   {{0x8c462820,0x672802ee,0xab5b0380,0x02b60070}},	//   _земе, _sadj, _stüt, גלעך_, 
   {{0x394d2821,0x67282822,0xea000023,0x2d802823}},	//   _does_, _padj, _thắp_, mnie_, 
   {{0x2d80006a,0x69dc02aa,0x395f2824,0x96f82825}},	//   lnie_, _twre, _elus_, фект_, 
   {{0xfaa3196c,0x56932826,0x395f003d,0x2d801c96}},	//   _баро, лашт, _flus_, onie_, 
   {{0x291d0666,0x248603da,0xa5341297,0x2d802827}},	//   cewa_, _pxom_, тнич, nnie_, 
   {{0x63b82828,0x21290054,0x2d802829,0x2bb20118}},	//   _pivn, _raah_, inie_, _pņch_, 
   {{0x7c3b20ac,0x2d80282a,0x3f850a1a,0xd62a02a0}},	//   _áure, hnie_, čluk_, _нозе_, 
   {{0x7d060750,0x3f91282b,0xd2571d98,0x63b80201}},	//   _ocks, vozu_, еця_, _vivn, 
   {{0x25d909e8,0xea0000f7,0x7c26282c,0x629805a8}},	//   _آهنگ_, _nhập_, _oskr, _vyvo, 
   {{0x2d80006a,0xe5a31918,0x00000000,0x00000000}},	//   dnie_, _сици, --, --, 
   {{0x4426282d,0x2d8000ab,0x21291694,0x291d282e}},	//   _iso_, enie_, _waah_, zewa_, 
   {{0xbe88282f,0x59b02830,0x3da72831,0x31600036}},	//   есте_, जगार, ераб, _fliz_, 
   {{0x2d802832,0x44262833,0x2d922834,0xdd940079}},	//   gnie_, _kso_, goye_, гасы, 
   {{0x44260097,0x7ae514b9,0xbcfb0096,0x60cd01a7}},	// [1bb0] _jso_, taht, _aléc, _ifam, 
   {{0x6d5a078e,0x2d800035,0x6e250226,0x63ad0036}},	//   ëtar, anie_, _tshb, _èant, 
   {{0xf7711fdb,0x395f2376,0x6e2500cf,0x2d92024d}},	//   یات_, _plus_, _ushb, boye_, 
   {{0xdbd7030f,0x442602ba,0x2d8000ab,0xd879247b}},	//   _päät, _oso_, cnie_, ومات_, 
   {{0xb8e90081,0xbcfb1056,0x7ae5030f,0x291d2835}},	//   _ईल_, _eléc, paht, rewa_, 
   {{0x394d018c,0x291d2836,0x6d4f01f0,0xbcfb0212}},	//   _woes_, sewa_, _hoca, _fléc, 
   {{0x44262837,0x291d21a3,0x6d4f2838,0x6b52055f}},	//   _aso_, pewa_, _koca, _vægt, 
   {{0x741503b1,0x1da7093a,0x44262839,0xdb08039f}},	//   نوعا, _कीमत, _bso_, ülöt, 
   {{0xc9840e65,0x26cc0026,0x42d5012d,0xe4c80195}},	//   _сури, _ffdo_, кіну, ربين_, 
   {{0x2d80283a,0x6b52003e,0x98740009,0xdd020082}},	//   znie_, _hægr, _слуц, _čučk, 
   {{0x4426283b,0x96ca047c,0x36d40088,0x3160035f}},	//   _eso_, _स्टॉ, _сохр, _pliz_, 
   {{0x27e90bc3,0x2902014e,0x6dbc100c,0x6aba0313}},	//   šanu_, _ökat_, _očar, _útfe, 
   {{0xd24e00d6,0x44260144,0xdb150216,0x2d920106}},	//   منی_, _gso_, _rizî, voye_, 
   {{0x7bc00165,0x3ebe004f,0x2d801af1,0x636400b9}},	//   _émui, øtt_, wnie_, _cònd, 
   {{0x6d4f283c,0xdee3283d,0x2d80006a,0xfce60152}},	//   _boca, роси, tnie_, ково, 
   {{0x2bc3283e,0xc5f200c7,0xab640241,0x2b140e6e}},	//   _वंशा, ידל_, zlüğ, न्नु_, 
   {{0x2d80283f,0x2d92007c,0x81bc0243,0x00000000}},	// [1bc0] rnie_, roye_, svēt, --, 
   {{0x998d2840,0xab5b0380,0x2d800035,0x6d4f0354}},	//   _češ_, _stür, snie_, _eoca, 
   {{0x6d4f0084,0x6dbc02ee,0xea0000e7,0xeb9702a6}},	//   _foca, _včas, _thập_, њих_, 
   {{0x6d4f1f57,0x00000000,0x00000000,0x00000000}},	//   _goca, --, --, --, 
   {{0xf7460316,0x7c260062,0x6e932841,0x00000000}},	//   кедо, _uskr, _ملیا, --, 
   {{0x7d042842,0x6d4f00e9,0x636403a0,0x7c242843}},	//   lgis, _zoca, _kòne, mwir, 
   {{0x27ed0056,0x752b0082,0xab6401f0,0x439400f0}},	//   _even_, _bagz, rlüğ, ғанс, 
   {{0x59b40a31,0x6d4f2844,0x00000000,0x00000000}},	//   _сөзс, _xoca, --, --, 
   {{0x7c240380,0x27ed0304,0x7bd6012b,0xfbdf009e}},	//   nwir, _gven_, npyu, _xwê_, 
   {{0x4426008b,0x60cd02a3,0xe8f901a2,0x80dc0033}},	//   _vso_, _sfam, _олӣ_, _ভাগ্, 
   {{0x21790b58,0xd5af2845,0x7c242846,0xa2660093}},	//   ейны_, _вс_, hwir, тъпл, 
   {{0x442601c1,0x7c242847,0x925700c8,0xd5e90038}},	//   _tso_, kwir, тают_, _أعلن_, 
   {{0x656201ff,0x250b010e,0x81bc0243,0x7520025b}},	//   _iloh, _آرمی_, tvēs, memz, 
   {{0x65622848,0x69c102a3,0x7c24044d,0x64a30bad}},	//   _hloh, _èleg, dwir, _тача, 
   {{0xd378090e,0xf1a72849,0xbcfb0107,0x3135284a}},	//   mić_, _ирин, _aléa, _бейр, 
   {{0x798200ab,0x7d04284b,0x9f59026e,0x2d5502c9}},	//   jnow, ggis, musí_, _nået_, 
   {{0x6c54284c,0x7c24030b,0x65620372,0x9f59001d}},	// [1bd0] акту, gwir, _mloh, lusí_, 
   {{0x7d04284d,0x76580080,0x3179284e,0xf0e30083}},	//   agis, kyvy, lisz_, _ख़ुद_, 
   {{0x3f83090e,0xdb050084,0x27ed284f,0x65622850}},	//   mnju_, gmhá, _sven_, _oloh, 
   {{0xd3780519,0x6d4f00ef,0x7c24024d,0x9f420356}},	//   hić_, _uoca, bwir, mská_, 
   {{0xd37803ef,0x9f4205a8,0xbcfb0038,0x4424006d}},	//   kić_, lská_, _gléa, jwm_, 
   {{0xd37800f1,0x65622851,0x66e203dc,0x490800a5}},	//   jić_, _aloh, боша, _हाथो_, 
   {{0xd37800f1,0x9f420076,0x2d5501cc,0x95c5009c}},	//   dić_, nská_, _fået_, ديبه, 
   {{0xdb1d08d7,0x2d5501cc,0xb8b3004e,0x661a0640}},	//   _musí, _gået_, _көлі, _dptk, 
   {{0x3f830eae,0x65622852,0xe70500d7,0x00000000}},	//   knju_, _dloh, _مسای, --, 
   {{0xd3780519,0x2902014e,0x656224b8,0x3f83044e}},	//   gić_, _ökar_, _eloh, jnju_, 
   {{0x3f8300f1,0xdb1c0218,0x9f420377,0xc0e62853}},	//   dnju_, _birê, jská_, лонк, 
   {{0x741200d4,0x9f42014b,0xd4350a7c,0x7c240218}},	//   جویا, dská_, _معتب, ywir, 
   {{0xdb1c078a,0xd3782854,0xa3df22f8,0x7d041bcc}},	//   _dirê, bić_, धीश_, vgis, 
   {{0xd37800ab,0x2d992855,0x3f830372,0x23261cc1}},	//   cić_, _akse_, gnju_, _боши_, 
   {{0x31790035,0xa3df1d57,0x79820035,0x81bd01dd}},	//   bisz_, धीर_, ynow, rvēr, 
   {{0xdb1c078a,0x2d960b58,0x7c242856,0x81bd01dd}},	//   _girê, ургс, twir, svēr, 
   {{0x09cc00a2,0x3f831a35,0x9db9004e,0x6da31ab6}},	// [1be0] ाऱ्य, bnju_, тыру_, сита, 
   {{0x7c242857,0xfbcd0086,0xdb1d11c9,0x98a401dd}},	//   rwir, _লিখত, _fusí, _namā_, 
   {{0xe8fa2858,0x20022859,0x7c24285a,0xed5a285b}},	//   еле_, luki_, swir, _зон_, 
   {{0xd378285c,0x786a0019,0x88e600c8,0xd7ea00f0}},	//   zić_, _növé, ужде, емде_, 
   {{0x2002285d,0xe3c800e7,0x4424006d,0x7982285e}},	//   nuki_, _mực_, xwm_, rnow, 
   {{0xe3c80029,0xdb1c00e5,0x79820083,0x2d5500fb}},	//   _lực_, _mirë, snow, _fåes_, 
   {{0xd37800f1,0x6b63285f,0xd6d92860,0xb90a00cc}},	//   vić_, _укра, тті_, _মা_, 
   {{0x7bc62861,0x3f830d26,0x1db402f8,0xd37800ab}},	//   _kuku, znju_, ंगित, wić_, 
   {{0xd37802f5,0x7bc62862,0xe64403c0,0xa3df00a2}},	//   tić_, _juku, ılığ, धील_, 
   {{0x20022863,0x7bc62864,0x44240156,0x52142865}},	//   duki_, _muku, rwm_, адот, 
   {{0xd37802f5,0x7bc62866,0x3f832867,0xe3c80023}},	//   rić_, _luku, vnju_, _bực_, 
   {{0x40351c0f,0xe3c80029,0x9f42026e,0xf1ab00c5}},	//   аемс, _cực_, vská_, عاده_, 
   {{0x3f83003a,0x7bc62868,0x69c1026a,0xf59300eb}},	//   tnju_, _nuku, _élev, _النج, 
   {{0x9f42026e,0x317900ab,0x00000000,0x00000000}},	//   tská_, sisz_, --, --, 
   {{0x3179006a,0x3f830112,0x539b027a,0x7bc62869}},	//   pisz_, rnju_, _ריוו, _auku, 
   {{0x7bc6286a,0x3f83090b,0x9f42026e,0x27e00098}},	//   _buku, snju_, rská_, šiny_, 
   {{0x7bc6286b,0x3f831799,0x6b7500f0,0xab75286c}},	// [1bf0] _cuku, pnju_, алау, агаш, 
   {{0x7bc6286d,0x9f4202d9,0x332e00c3,0xa3e608dd}},	//   _duku, pská_, _jafx_, यीय_, 
   {{0xfaa711f9,0x2b141d11,0x0b88286e,0x8aa7286f}},	//   ушан, न्धु_, усти_, урад, 
   {{0xdc34026e,0x3835016e,0x2d9900c2,0xa3ab00aa}},	//   _zúča, инер, _ukse_, _कीन_, 
   {{0x7bc62870,0x3b0a00b9,0x6d4d2871,0x00000000}},	//   _guku, _fcbq_, mjaa, --, 
   {{0x6d4d2872,0x29060a9f,0x2b140527,0x28d51e7b}},	//   ljaa, agoa_, न्दु_, _ड्रि, 
   {{0x7bc601c4,0xd0560095,0xf1c900e7,0xcf5800a7}},	//   _zuku, _deyə, _mạc_, רבות_, 
   {{0x6d4d177f,0xf1c90029,0x69d501ca,0xdb1d02aa}},	//   njaa, _lạc_, _itze, _fusã, 
   {{0x7bc60508,0x68eb1ae0,0x7ae72873,0xe3c800e7}},	//   _xuku, magd, _kejt, _rực_, 
   {{0x69c72874,0x68eb042a,0xdced0384,0x466b004f}},	//   _kuje, lagd, ynağ, _прем_, 
   {{0x216a2875,0x67231db4,0x7ae72876,0x75d100e0}},	//   вини_, menj, _mejt, _bāze, 
   {{0x69c703ed,0x672302ee,0xdc340187,0x68eb0c3d}},	//   _muje, lenj, _súča, nagd, 
   {{0x66032877,0xe3c80029,0xf1c9001b,0xb4d100a2}},	//   lunk, _vực_, _bạc_, वडी_, 
   {{0x7bc62878,0xdee32879,0x6723287a,0x2002287b}},	//   _ruku, жори, nenj, ruki_, 
   {{0x7bc6287c,0x13da00cc,0x200204bb,0x6603287d}},	//   _suku, _দিয়, suki_, nunk, 
   {{0x7bc6287e,0x6723287f,0x6446014e,0x6d4d2880}},	//   _puku, henj, åkig, gjaa, 
  
   {{0x672307a1,0x64490496,0x69d502ba,0x66032881}},	// [1c00] kenj, nxei, _atze, hunk, 
   {{0x66032882,0xaaba0a24,0x65692883,0x7bc62884}},	//   kunk, ندار_, hheh, _vuku, 
   {{0x7ae72885,0x69c704d1,0x672306e0,0x6da62886}},	//   _dejt, _cuje, denj, _вина, 
   {{0x7bc62887,0xe3c8001b,0xdb0f2888,0xd7fa012d}},	//   _tuku, _lựa_, _bucó, вук_, 
   {{0x29062889,0x3860288a,0x65690548,0x7bc6288b}},	//   rgoa_, áir_, dheh, _uuku, 
   {{0x6723288c,0x78a900ef,0x3f98288d,0x7ae7288e}},	//   genj, _dzev, noru_, _gejt, 
   {{0x25fd288f,0x9f590107,0xb4d1009a,0xa2c402ff}},	//   रंगी_, ursé_, वडू_, रशस्, 
   {{0x3f98031e,0xdb1c2890,0xa6e9001b,0x7ae72891}},	//   horu_, _sirè, _ngươ, _zejt, 
   {{0x67232892,0xdb072893,0x69c700ef,0xe3c800e7}},	//   benj, _gijó, _zuje, _bựa_, 
   {{0x4aaa2894,0x672300f1,0x69c02895,0x60c42896}},	//   _कराव, cenj, _hime, _agim, 
   {{0x69c1006b,0x69c02897,0xe3c800e7,0xc1b90148}},	//   _élet, _kime, _dựa_, ллох_, 
   {{0x50672898,0xf1c900e7,0x69c02899,0x2c5e00e0}},	//   атга, _sạc_, _jime, _kādā_, 
   {{0x938a0141,0x8ca20b79,0x69c0289a,0xb4c203c1}},	//   _иска_, _खरगो, _mime, ंशी_, 
   {{0x69c0289b,0x3f98090b,0x09d70086,0x6d4d012e}},	//   _lime, goru_, _হিসা, wjaa, 
   {{0x7ae7289c,0xdef800e4,0xa187134f,0x9ce7289d}},	//   _rejt, шыя_, _выпл, ицал, 
   {{0x69c0289e,0x672300d2,0x69c7007c,0x7ae7289f}},	//   _nime, zenj, _ruje, _sejt, 
   {{0x69c728a0,0x6d4d28a1,0x660328a2,0x672328a3}},	// [1c10] _suje, rjaa, zunk, yenj, 
   {{0x69c028a4,0x6d4d28a5,0xaad2059e,0x69c700b9}},	//   _aime, sjaa, दुलक, _puje, 
   {{0x69c028a6,0x672328a7,0xdb0f00b9,0xc879020f}},	//   _bime, venj, _bucò, _ieşi_, 
   {{0x98a9090e,0xdb0f0126,0x69c700ca,0xc9841137}},	//   žač_, _pucó, _vuje, оучи, 
   {{0x7ae70039,0x67230121,0xe8f828a8,0x68eb0c3d}},	//   _tejt, tenj, рлі_, ragd, 
   {{0x2fc901c1,0x69c728a9,0x660328aa,0xa7a90235}},	//   _muag_, _tuje, tunk, ыкла_, 
   {{0x6723090b,0x2fc901c1,0xdb1c0218,0x65690364}},	//   renj, _luag_, _kirî, theh, 
   {{0x67230571,0x660328ab,0x99850084,0x799b28ac}},	//   senj, runk, _الرو, _ukuw, 
   {{0x681a00e0,0x672328ad,0x660328ae,0xdb1c28af}},	//   gādā, penj, sunk, _mirî, 
   {{0x69c01c6c,0x656928b0,0x68e901b8,0xb4e60035}},	//   _zime, sheh, _heed, _बड़ी_, 
   {{0xb635024f,0x657b28b1,0x644600c8,0x68e900c2}},	//   _دفاع, piuh, äkir, _keed, 
   {{0x68e90379,0x65690226,0xdb1c0151,0x3f980083}},	//   _jeed, qheh, _viré, woru_, 
   {{0x3438017a,0x68e928b2,0x2fc901a0,0xe3c800e7}},	//   _پسند_, _meed, _cuag_, _tựa_, 
   {{0x50d80c94,0x98a008b1,0x68e928b3,0xdb1c0212}},	//   _भ्रष, žić_, _leed, _tiré, 
   {{0xdb1c010c,0xc87900d9,0xbcfb0212,0xdee600a3}},	//   _birî, _deşi_, _elém, _қони, 
   {{0xbf9b02a0,0x68e900a7,0x3f9828b4,0xc6920070}},	//   quên, _need, soru_, פאן_, 
   {{0x69c028b5,0x26c500ef,0x3f9828b6,0x7ff628b7}},	// [1c20] _rime, _oglo_, poru_, _اسبا, 
   {{0x69c01fc8,0x290d00d9,0x2b4300f6,0x6d4b02ae}},	//   _sime, _acea_, _cnjc_, ögar, 
   {{0xcf570052,0xe80a0081,0x69c019c2,0x0f5700c7}},	//   _הבית_, हूना_, _pime, _היים_, 
   {{0xdb1c055a,0xb4e60b3e,0x2fc9023b,0xea000023}},	//   _girî, _बजे_, _yuag_, _nhấp_, 
   {{0x69c028b8,0x68e928b9,0x00000000,0x00000000}},	//   _vime, _deed, --, --, 
   {{0xaa4628ba,0xb4c202e6,0x681a0243,0x98a40028}},	//   _легл, ्ड्_, vādā, _namą_, 
   {{0x69c028bb,0x68e928bc,0x6b6328bd,0x1b7b00c7}},	//   _time, _feed, _экра, _עטלע, 
   {{0xf3f800cf,0xea00001b,0xbcfb0126,0xf8b813c3}},	//   аниш_, _chấp_, _aléj, _көл_, 
   {{0x78661e16,0x7c290097,0xb4c200bc,0x00000000}},	//   _указ, _šerz, ्डौ_, --, 
   {{0x681a002a,0x2fc928be,0x68e901d2,0x00000000}},	//   rādā, _ruag_, _zeed, --, 
   {{0x6b9b00c7,0xcb9b07e4,0x21320175,0xbcfb023e}},	//   רשיד, רסיט, _bayh_, _slém, 
   {{0x2fc901a0,0xe5720411,0xbcfb011c,0x216728bf}},	//   _puag_, _عطا_, _plém, стог, 
   {{0x2fc9006d,0xf8ba0fc0,0x91ca00c6,0x00000000}},	//   _quag_, ेशिय, _संवै, --, 
   {{0x2fc9006f,0x995c02d9,0x25ef009a,0x00000000}},	//   _vuag_, jíž_, ींची_, --, 
   {{0xf1c90029,0x995c02d9,0xdbd109c7,0x234b0eb7}},	//   _hạn_, díž_, _küçe, _حسنی_, 
   {{0x2fc928c0,0x0dc828c1,0xf1c90108,0x00000000}},	//   _tuag_, сури_, _kạn_, --, 
   {{0x68e928c2,0xd05d06d0,0x636d28c3,0x00000000}},	// [1c30] _reed, yasə, _dúnf, --, 
   {{0xf1c900e7,0x68e928c4,0xdb1c010c,0x00000000}},	//   _mạn_, _seed, _wirî, --, 
   {{0x9d1900d9,0x6aba01d5,0x79990326,0x68e928c5}},	//   _конт_, _útfl, toww, _peed, 
   {{0xbcfb00bc,0x9f520118,0x8ed81c03,0xad271c03}},	//   _mlék, _avyè_, _پذیر_, _اردو, 
   {{0x26060f63,0xf1c9001b,0xbae80086,0x31690588}},	//   सूसी_, _nạn_, _পারছ, _mlaz_, 
   {{0xe7391e54,0x7c2f048a,0x45d525b3,0xaded00a5}},	//   рек_, _iscr, оцит, _जबान_, 
   {{0x636d21dc,0x68e900b0,0x27e001dd,0x00000000}},	//   _húng, _teed, ģina_, --, 
   {{0xf1c90124,0xf7730f1c,0xf1cf031e,0x160b0035}},	//   _bạn_, _کار_, _संबन, संबर_, 
   {{0x25fd0d4f,0xf1c90023,0x7c3b00ca,0x6d5a0151}},	//   रूजी_, _cạn_, _šurj, êtai, 
   {{0x6d9328c6,0x3205014b,0x437406ba,0xf2c500d3}},	//   lħad, tuly_, зуют, өсүн, 
   {{0xea00001b,0x2d890e34,0xe12628c7,0x31690604}},	//   _thấp_, knae_, омни, _blaz_, 
   {{0x261303b7,0x24190088,0x10a621f9,0x61fc28c8}},	//   mão_, _воды_, жимн, árla, 
   {{0x261303b7,0xafe302f1,0x442928c9,0x00000000}},	//   lão_, моял, _èa_, --, 
   {{0x88ba00a7,0x5334147d,0xfe4628ca,0xbcfb0096}},	//   יזרי, _нечт, онго, _flék, 
   {{0x3ebe28cb,0x443d28cc,0x26130165,0x3eac0453}},	//   ätt_, _hrw_, não_, ådt_, 
   {{0x2d8902a2,0x9f420228,0x3cf600c2,0xf1c90023}},	//   gnae_, nskú_, ेलें_, _hạo_, 
   {{0x26130165,0x636d007a,0xdca328cd,0x00000000}},	// [1c40] hão_, _cúng, дати, --, 
   {{0x443d033c,0x8a3a0080,0x636d0354,0x670e2002}},	//   _mrw_, ияет_, _dúng, _साधक_, 
   {{0x442f02a2,0x26130165,0x2d9e0107,0xf1c900e7}},	//   _lsg_, jão_, îtes_, _mạo_, 
   {{0x261303b7,0x8c46156b,0x443d01b8,0x9f42020b}},	//   dão_, _деме, _orw_, jskú_, 
   {{0x274a00be,0x6d4628ce,0x443d28cf,0x00000000}},	//   ичко_, _inka, _nrw_, --, 
   {{0x29d700c3,0x261302aa,0xf1c90108,0xa09b027a}},	//   _bħad_, fão_, _rạn_, סיסט, 
   {{0x261302a0,0xf1c9001b,0xfaa300a3,0x356a28d0}},	//   gão_, _sạn_, _жаро, ирин_, 
   {{0x545428d1,0xf1c90108,0x69de0080,0x442f28d2}},	//   звит, _pạn_, mppe, _bsg_, 
   {{0x68e228d3,0xf1c900e7,0x186728d4,0xe947009c}},	//   mbod, _bạo_, _дати_, _ظرفی, 
   {{0x2d6801f0,0x26130165,0xf1c90023,0x68e2004f}},	//   rşey_, bão_, _vạn_, lbod, 
   {{0x261302a0,0x31690a95,0x29d7003d,0xf1c900e7}},	//   cão_, _plaz_, _għad_, _dạo_, 
   {{0xdb1d02f2,0x443d0199,0x68e21176,0x2b5800a1}},	//   _zusä, _frw_, nbod, _lorc_, 
   {{0x60c90082,0xdb1c007a,0x6b5b009e,0x26060299}},	//   žemo, _airí, _mîgr, सूरी_, 
   {{0x6d4628d5,0x533428d6,0xf1c900e7,0x59ca00bd}},	//   _anka, _хект, _gạo_, िदार, 
   {{0xdb1c0183,0x9e340a10,0xcdd80267,0xbcfb00d8}},	//   _cirí, мерч, жњу_, _ulék, 
   {{0x316904d1,0xdb1c0503,0x200202fe,0xd65700d1}},	//   _ulaz_, _dirí, brki_, חילת_, 
   {{0x261302a0,0x636d0068,0x2004022c,0x2d8928d7}},	// [1c50] zão_, _fúnd, àmit_, rnae_, 
   {{0xfaa728d8,0x6d4628d9,0x8aa71a27,0x628b044e}},	//   ошен, _enka, оред, šloš, 
   {{0x261303b7,0x2d5c0042,0x539b00d1,0x00000000}},	//   xão_, _cíes_, סיבו, --, 
   {{0xa2da17f6,0x261302aa,0x2d5c00f6,0x98b91da4}},	//   पुत्, vão_, _díes_, блет_, 
   {{0xf74528da,0xb8d302e6,0x9cd60486,0x9f420032}},	//   зело, _ऑर_, _מורה_, vskú_, 
   {{0x26130316,0x7d0d28db,0x7c2d28dc,0x6fdc008d}},	//   tão_, lgas, mwar, סקוס, 
   {{0xf993024f,0xf1c602e6,0x3c2d00ca,0x9f420032}},	//   _قبر_, _रंगन, _hžv_, tskú_, 
   {{0x261300ce,0x7d0d28dd,0x442f28de,0x2ba900bd}},	//   rão_, ngas, _psg_, कतवा, 
   {{0x261300ce,0xa3e60081,0x7c2d28df,0x68fb07fc}},	//   são_, यील_, nwar, _idud, 
   {{0x261302a0,0x31b6058c,0x6d930405,0x326303dc}},	//   pão_, ृद्ध, nħab, деоҳ, 
   {{0xe29928e0,0x7c2d28e1,0x7d0d28e2,0x636d0038}},	//   сан_, hwar, kgas, _rúnd, 
   {{0x22580219,0xf8cb02e6,0x798b0149,0x3a31010e}},	//   ärka_, िशिय, nngw, _mszp_, 
   {{0xf1c900f7,0xdb1c0183,0x7c2d010c,0x5552010e}},	//   _tạo_, _sirí, jwar, _سپور, 
   {{0x442d28e3,0x7c2d28e4,0x752928e5,0xdc3a0095}},	//   mwe_, dwar, leez, xçıv, 
   {{0x442d28e6,0xf2d200c7,0x68fb0613,0x2ca700ad}},	//   lwe_, _טעג_, _odud, əndi_, 
   {{0x7d0d28e7,0xdb1c28e8,0xfe4601a2,0x442d0035}},	//   ggas, _virí, онҳо, owe_, 
   {{0x7c2d0405,0x442d28e9,0x2b581116,0xed5728ea}},	// [1c60] gwar, nwe_, _porc_, чот_, 
   {{0x7d0d28eb,0x636d04ef,0xf1c90023,0x442d0326}},	//   agas, _fúne, _lạm_, iwe_, 
   {{0xa92628ec,0x442d28ed,0xdb1c02aa,0x68e2243f}},	//   здел, hwe_, _pirâ, tbod, 
   {{0x442d28ee,0x6d4628ef,0xc7c61b11,0xfc3f01d5}},	//   kwe_, _unka, пски, _frí_, 
   {{0x07a628f0,0x684628f1,0x442d099d,0x68e228f2}},	//   падн, янда, jwe_, rbod, 
   {{0xe3a71f7a,0x501b00a7,0x21200ab1,0x1b030086}},	//   _سر_, מונו, _lbih_, র্বে_, 
   {{0x442d018c,0xbcfb0038,0x752901a3,0x00000000}},	//   ewe_, _sléi, feez, --, 
   {{0x69ce00d9,0x75290298,0xbcfb007a,0x6b9e28f3}},	//   _iube, geez, _pléi, lopg, 
   {{0x442d28f4,0x69dc00a1,0x00000000,0x00000000}},	//   gwe_, _htre, --, --, 
   {{0x69ce28f5,0xb4ac000d,0x27f7000d,0x212028f6}},	//   _kube, _गरी_, ření_, _abih_, 
   {{0x52130afc,0xcfc40086,0x442d28f7,0xe3b80540}},	//   ндэт, ্ঠান, awe_, rmı_, 
   {{0x442d28f8,0x798200ab,0x69ce28f9,0xe3b8027e}},	//   bwe_, niow, _mube, smı_, 
   {{0x43461c8e,0x69ce28fa,0x7c2d010c,0x30a728fb}},	//   _недв, _lube, xwar, яров, 
   {{0x69dc28fc,0x69ce02a5,0x00000000,0x00000000}},	//   _otre, _oube, --, --, 
   {{0xd78800f7,0x212028fd,0x69ce0503,0x798b0156}},	//   yển_, _fbih_, _nube, yngw, 
   {{0xbcfb28fe,0x7c2d28ff,0x7aee01d6,0x7d0d0679}},	//   _llév, twar, _aebt, ugas, 
   {{0x7d0d2900,0x2d5815dd,0x69ce0f92,0x7c2d01c8}},	// [1c70] rgas, чить_, _aube, uwar, 
   {{0x212b2901,0x69ce2902,0x65a5010e,0x2019006d}},	//   lech_, _bube, róhi, mtsi_, 
   {{0x69ce2903,0x442d2904,0x200b00d2,0x7c2d2905}},	//   _cube, zwe_, luci_, swar, 
   {{0xfc3f2906,0x212b2907,0x69ce2908,0x442d2909}},	//   _trí_, nech_, _dube, ywe_, 
   {{0xf770040f,0x442d078a,0x2019290a,0x200b044e}},	//   گان_, xwe_, ntsi_, nuci_, 
   {{0x7bdd290b,0xf09400c7,0xb6a51cc1,0xdb1c019c}},	//   _itsu, ענס_, милл, _virã, 
   {{0xf7700071,0xa3c21951,0x69ce290c,0x442d0876}},	//   دان_, ्दन_, _gube, wwe_, 
   {{0x442d2538,0x798200ab,0x7bc70126,0x1a680296}},	//   twe_, ciow, _hiju, _عینی_, 
   {{0x442d290d,0x200b1993,0x212b031e,0x69ce290e}},	//   uwe_, juci_, dech_, _zube, 
   {{0xe1f928d1,0x442d290f,0x7bcf2910,0xdb1c0019}},	//   ого_, rwe_, _mucu, _kirá, 
   {{0x7bcf2911,0x442d2912,0x3f831d34,0xf1c9001b}},	//   _lucu, swe_, diju_, _tạm_, 
   {{0x7bdd2913,0xdb1c033c,0x5ec50033,0x442d2914}},	//   _otsu, _mirá, ্রাই, pwe_, 
   {{0x7bdd01c1,0x200b00d2,0xbf9b02a0,0x7bcf2915}},	//   _ntsu, guci_, rrên, _nucu, 
   {{0x3f8303ef,0xdb1c0126,0x1b030033,0x7bc7095a}},	//   giju_, _oirá, র্তে_, _niju, 
   {{0x7bcf0518,0xada62916,0xad5a0ccb,0xddd40032}},	//   _aucu, давл, орах_, ňažn, 
   {{0x7bcf0012,0xc6920070,0x2019006f,0x29f80032}},	//   _bucu, דאל_, btsi_, vča_, 
   {{0x3f83265d,0x7bc72917,0x7bcf0a13,0x672102ef}},	// [1c80] biju_, _biju, _cucu, _oblj, 
   {{0x09e62918,0x7bcf016c,0x7bc70096,0x290f0664}},	//   дожн, _ducu, _ciju, egga_, 
   {{0x7bc7067c,0x7bdd07d7,0x69ce0248,0x6b9e2919}},	//   _diju, _etsu, _qube, ropg, 
   {{0x7aee291a,0xdb1c033c,0x6b9e02c9,0x7bcf01be}},	//   _webt, _dirá, sopg, _fucu, 
   {{0xb4ac000d,0x7bc7015e,0x7bcf0199,0x2baf1df3}},	//   _गरे_, _fiju, _gucu, _जीवा, 
   {{0x212b08dd,0x63a30175,0x5b3500d9,0x7afc0604}},	//   zech_, _nknn, _пэсу, _udrt, 
   {{0x69dc291b,0x200b291c,0xdb1c0068,0x8b03031e}},	//   _utre, zuci_, _girá, _úřad, 
   {{0xd82608bd,0x636400b9,0x6d56007c,0x00000000}},	//   _одби, _iòni, njya, --, 
   {{0xf8b20262,0x212b02d9,0x7bc7016c,0x7641017c}},	//   _जरिय, vech_, _yiju, _erly, 
   {{0xd37011fe,0x200b090b,0x212b017c,0x00000000}},	//   اهد_, vuci_, wech_, --, 
   {{0x3f830062,0x212b031e,0x69c8010e,0x63a8291d}},	//   viju_, tech_, _édes, rldn, 
   {{0x80fb0e0d,0x6364022c,0xe7f50035,0x7c261b67}},	//   ्लेख_, _mòni, ुंचा_, _opkr, 
   {{0x3f830571,0x212b291e,0x7522291f,0xbcfb011c}},	//   tiju_, rech_, _iboz, _mlét, 
   {{0x200b003a,0xa2940904,0x44260053,0xf487009c}},	//   ruci_, _палі, _ipo_, _تامی, 
   {{0x290f2920,0x7bcf2921,0x200b04c6,0x212b253f}},	//   ygga_, _sucu, suci_, pech_, 
   {{0x7bcf2922,0x7bc70010,0x44260226,0xa2da2923}},	//   _pucu, _siju, _kpo_, पुर्, 
   {{0x60cd02b8,0x9f4205a8,0x75221302,0x4426008a}},	// [1c90] _igam, lský_, _mboz, _jpo_, 
   {{0x44262924,0x79802925,0x7bcf04a8,0x00000000}},	//   _mpo_, _ammw, _vucu, --, 
   {{0x9f42063b,0xdeb2005e,0x60cd2926,0x7bc71050}},	//   nský_, _бұры, _kgam, _viju, 
   {{0x4adf1b38,0x3949128a,0x442600c5,0xdb1c0019}},	//   _प्रव, ñas_, _opo_, _virá, 
   {{0x44262927,0x636d00eb,0x60cd2928,0xba7411b7}},	//   _npo_, _lúna, _mgam, _یافت, 
   {{0xbcfb03b7,0x6d5d2929,0x7522292a,0xe736292b}},	//   _elét, _hosa, _aboz, ееш_, 
   {{0x4426292c,0x6d5d292d,0x386907d1,0x9f42014b}},	//   _apo_, _kosa, šar_, jský_, 
   {{0x60cd292e,0x6d5d292f,0x9f42014b,0x77ad0042}},	//   _ngam, _josa, dský_, púxo, 
   {{0x6d5d2930,0x64422931,0x4426016a,0x63a30065}},	//   _mosa, _croi, _cpo_, _pknn, 
   {{0x64421183,0x60cd1bd1,0x6d5d2932,0xf1c9001b}},	//   _droi, _agam, _losa, _hại_, 
   {{0x44262933,0x80c207d5,0x636d0038,0x64422934}},	//   _epo_, रेने, _cúna, _eroi, 
   {{0x64422935,0x6d5d2936,0x44262937,0x27ed0300}},	//   _froi, _nosa, _fpo_, _kwen_, 
   {{0xf1c90029,0x27ed06df,0x65691111,0x00000000}},	//   _mại_, _jwen_, mkeh, --, 
   {{0xf1c900f7,0x27ed0cbf,0xa3c0047c,0x443f2938}},	//   _lại_, _mwen_, ंगण_, mvu_, 
   {{0x6d5d2939,0x60cd0068,0x443f293a,0x27ed06df}},	//   _bosa, _fgam, lvu_, _lwen_, 
   {{0x6d5d293b,0x753b293c,0xed57293d,0xf65200c7}},	//   _cosa, nduz, нос_, נצן_, 
   {{0x6d5d293e,0x443f0298,0xf1ac0f6f,0xf1ca0023}},	// [1ca0] _dosa, nvu_, _टीएन, _nại_, 
   {{0x5ba701d7,0x99710083,0x909b00d1,0xbcfb01d5}},	//   екум_, jął_, _מספק, _slét, 
   {{0x6d5d07d7,0x0906293f,0x443f2940,0xdce400ef}},	//   _fosa, епен, hvu_, lkič, 
   {{0x443f02f5,0x7e61022b,0x69c9085b,0xebe62941}},	//   kvu_, älpe, _ciee, _помп, 
   {{0x69c919e1,0x63a12942,0x18672943,0x9f4202d9}},	//   _diee, koln, наци_, zský_, 
   {{0x6d5d0204,0xf1ca0023,0x44262944,0x27ed0118}},	//   _zosa, _dại_, _rpo_, _dwen_, 
   {{0xe5c62945,0x443f0e26,0x27ed01be,0x6d5d2946}},	//   нсио, evu_, _ewen_, _yosa, 
   {{0x9f420076,0xd5b72947,0xdb1c0908,0x636d2948}},	//   vský_, нсы_, _birç, _rúna, 
   {{0x70af0b3e,0xbcfb023e,0xe4522949,0x443f0231}},	//   _घरेल, _klér, اضع_, gvu_, 
   {{0x8883294a,0x9f42026e,0xbf9b026a,0x60cd294b}},	//   _служ, tský_, trêm, _sgam, 
   {{0xa2940965,0x66e30258,0x25710098,0xc0cb00f0}},	//   тані, _соха, _sále_, зуге_, 
   {{0x3202294c,0x6442294d,0x9f420254,0x673a294e}},	//   čky_, _troi, rský_, _hatj, 
   {{0x386603a1,0x4426294f,0x63a12950,0x644200b4}},	//   nyor_, _upo_, boln, _uroi, 
   {{0x6d5d2951,0x533303dc,0xbf9b0212,0x9f4211bb}},	//   _sosa, _бешт, prêm, pský_, 
   {{0x673a2952,0x644700e0,0x1c0300b0,0x1dac02e6}},	//   _matj, ājie, _लिहल_, चतंत, 
   {{0x8d84022c,0x60cd2520,0xbcfb2953,0x6d5d0026}},	//   гууд, _ugam, _alér, _qosa, 
   {{0x6d5d2954,0xfbd30071,0xbcfb011c,0x63860212}},	// [1cb0] _vosa, اتر_, _roéd, _génè, 
   {{0x673a1f0a,0xf1bf0183,0x6d5d0204,0xe1cf00aa}},	//   _natj, lmá_, _wosa, _सूँघ, 
   {{0x6d5d0084,0x69c9002a,0x61fa2955,0x443f05a8}},	//   _tosa, _piee, nstl, zvu_, 
   {{0xbcfb006b,0x27ed06df,0xfaa428ca,0xd70e0bb9}},	//   _elér, _pwen_, ушун, _साउथ_, 
   {{0xa3c20351,0xa3c02956,0x673a2957,0x29d70405}},	//   ्दा_, ंगा_, _batj, _għan_, 
   {{0xdb050038,0x25a62958,0x61fa2959,0x00000000}},	//   rmhó, _akol_, kstl, --, 
   {{0xc8830216,0x63a1295a,0x21040028,0xab94004f}},	//   _beşê_, voln, lčių_, _сирі, 
   {{0xf1ca00f7,0x63a100ab,0x67240f23,0xdb1c009e}},	//   _tại_, woln, đija, _pirç, 
   {{0x02c90239,0x210400e4,0xe89400dd,0x656902f2}},	//   रश्न, nčių_, _бать, rkeh, 
   {{0x443f295b,0x6569295c,0x934216d0,0x21040009}},	//   rvu_, skeh, анье, ičių_, 
   {{0x779006bc,0x443f295d,0x395f0300,0xc0e609e4}},	//   _دیوا, svu_, _kous_, конк, 
   {{0x395f05d5,0x63a1010e,0x63860151,0x00000000}},	//   _jous_, soln, _pénè, --, 
   {{0x63a111c8,0xb0a513ab,0x61e4044e,0x2d820065}},	//   poln, _गुदग, _čile, _rmke_, 
   {{0x25ad295e,0xa28300d4,0x25bf00d9,0xafe300a3}},	//   llel_, _میخو, lmul_, рорл, 
   {{0xbea61e6e,0xe3c800e7,0xdce4015e,0x21040009}},	//   тавк, _cựu_, skič, ečių_, 
   {{0x395f295f,0x386600a3,0x41b60019,0x2fd200a3}},	//   _nous_, yyor_, _جمعر, _tuyg_, 
   {{0x91bb00d1,0xccc62960,0x29d70248,0x00000000}},	// [1cc0] _קמפי, тбай, _aça_, --, 
   {{0x395f00a1,0x0e662961,0x25ad0415,0x394d2962}},	//   _aous_, _акон, hlel_, _anes_, 
   {{0xc332042c,0x395f2963,0x673a2964,0x00000000}},	//   שוב_, _bous_, _ratj, --, 
   {{0x395f2965,0x272200bc,0x38662966,0x02b60070}},	//   _cous_, _oční_, tyor_, דלעך_, 
   {{0x395f2967,0x394d08fc,0x2614072f,0x2d920065}},	//   _dous_, _dnes_, नूनी_, mnye_, 
   {{0x394d2968,0xbf9b026a,0x2d9202cd,0x38662969}},	//   _enes_, quêt, lnye_, ryor_, 
   {{0xe9d718ae,0x6aa301c4,0x2bd8296a,0x395f296b}},	//   _акс_, ünft, _भंडा, _fous_, 
   {{0x2d92296c,0x316001f1,0x2ef80380,0x395f296d}},	//   nnye_, _noiz_, harf_, _gous_, 
   {{0x2d920065,0xd0e3296e,0x47c6012d,0xdcc500bc}},	//   inye_, _क्षण_, _абав, लेपछ, 
   {{0x27e605f0,0x2d9200e2,0x316000b4,0x6376020f}},	//   mpon_, hnye_, _aoiz_, _mâng, 
   {{0x27e6296f,0xcb1300a7,0xc2240a24,0x2d92030c}},	//   lpon_, בלת_, اکتو, knye_, 
   {{0x25a60c36,0x2bd800ae,0x7af7009e,0x395f00b9}},	//   _ukol_, _भूभा, zaxt, _xous_, 
   {{0x44320237,0x27e62970,0x2d920065,0xf1bf09c6}},	//   _èy_, npon_, dnye_, rmá_, 
   {{0x29d70405,0x27e607fc,0x69c101e5,0x0f720259}},	//   _bħal_, ipon_, _èlev, йғыр, 
   {{0x316000a3,0x636d0038,0xc3330486,0x260600bc}},	//   _foiz_, _múnl, _כוס_, सूची_, 
   {{0x51872971,0x316001ca,0x9f590151,0x00000000}},	//   _шула, _goiz_, issé_, --, 
   {{0x0dc82972,0x5bb913f2,0x64440bfc,0xc05b004f}},	// [1cd0] тури_, елая_, _šiij, _цій_, 
   {{0x395f2973,0x6b7400d3,0x2d922974,0x25712975}},	//   _sous_, алуу, anye_, _mála_, 
   {{0x29d72976,0x395f2977,0xe8cb1281,0x2104012d}},	//   _għal_, _pous_, िश्च, sčių_, 
   {{0x3a380379,0x67d52978,0x69c80036,0x26de0354}},	//   _dsrp_, году, _èdel, _afto_, 
   {{0x395f182a,0x6d4f2979,0xb80a02e6,0xd825297a}},	//   _vous_, _inca, हंगम_, удли, 
   {{0xa3b20262,0xf1ca001b,0x4639002e,0x394d00f8}},	//   _झील_, _hạt_, ечия_, _wnes_, 
   {{0x395f1164,0x637600b3,0x25bf020f,0x00000000}},	//   _tous_, _mând, tmul_, --, 
   {{0x224902f5,0x394d00d3,0x845903b7,0x7af501cf}},	//   _čak_, _unes_, ерот_, _hezt, 
   {{0x69d5297b,0x6d4f02cd,0x321e001d,0x7af500b4}},	//   _huze, _mnca, etty_, _kezt, 
   {{0x25bf002e,0x25ad014b,0x69d5297c,0xa7b80161}},	//   smul_, slel_, _kuze, _алуу_, 
   {{0x7515057f,0xa18a1297,0x6d4f01e5,0x64a2004e}},	//   _مواض, ебна_, _onca, _қаша, 
   {{0x69d5297d,0xdb1c010c,0xd00a297e,0x9f5e00bc}},	//   _muze, _birû, неме_, čtí_, 
   {{0x69d5297f,0xaac3000d,0x2d892980,0xe44e0cf8}},	//   _luze, वेतक, diae_, _уж_, 
   {{0x6d4f2981,0xdb1c010c,0xe2990cfe,0x77ad0183}},	//   _anca, _dirû, _пал_, fúxi, 
   {{0xa3c2000f,0x2d922982,0xdb1d068b,0x6376020f}},	//   ्दर_, tnye_, _lusó, _sâng, 
   {{0x261400a2,0xcd36010e,0x7e6102ae,0x00000000}},	//   नंती_, درآب, älpa, --, 
   {{0x1c462983,0xcdc500f0,0x69d504c7,0xf1ca0108}},	// [1ce0] ынам, ратқ, _auze, _dạt_, 
   {{0x6d4f2984,0x637600d9,0x69d52985,0x2d920065}},	//   _enca, _gând, _buze, snye_, 
   {{0xd9461ad1,0x2d920065,0x68e40126,0x3f8a007c}},	//   лежи, pnye_, ñido, mibu_, 
   {{0x2d890068,0xed572986,0x99900228,0x257802b0}},	//   ciae_, _бою_, ťaži_, _zélf_, 
   {{0x77611c62,0xe7862987,0x69e00121,0x58d7017b}},	//   _bolx, луко, _žveč, удія_, 
   {{0x27e6005f,0xfaa61628,0x69d52988,0x07a32989}},	//   rpon_, _баго, _fuze, бачн, 
   {{0x27e6298a,0xe1e70019,0x2a3501d7,0x69d5298b}},	//   spon_, _دس_, _кэтр, _guze, 
   {{0x6a83040c,0x3f8a095a,0x636d007a,0x78b1003e}},	//   _улса, hibu_, _dúnm, ðkvæ, 
   {{0xa3c202f8,0x7bce298c,0x69d50414,0x3494298d}},	//   ्दल_, _kibu, _zuze, рапр, 
   {{0x3f8a086d,0x69c20d62,0x41e608af,0x7bce018e}},	//   jibu_, lmoe, ліма, _jibu, 
   {{0x6b7b1490,0x637600d9,0x80c202e6,0x2d5c04ff}},	//   גרינ, _rând, रेसे, _díez_, 
   {{0x8446298e,0x7bce298f,0xdb1c0587,0x69c210f3}},	//   _مختل, _libu, _cirú, nmoe, 
   {{0x69c2016a,0x200000a1,0x200b0212,0x645d00fb}},	//   imoe, _cvii_, urci_, øsit, 
   {{0x447b07f5,0x7bce0199,0xf4870116,0x841700d1}},	//   _אנדע, _nibu, _حامی, _עקוב_, 
   {{0x29040062,0x63760474,0x63030038,0x00000000}},	//   _odma_, _vând, _طويل, --, 
   {{0x3d0f02e6,0x7bce095a,0x69d5016c,0x656202be}},	//   िलें_, _aibu, _ruze, _jooh, 
   {{0x7bce23cb,0x3f8a0447,0x69d52990,0x6562011c}},	// [1cf0] _bibu, bibu_, _suze, _mooh, 
   {{0x59d90190,0x34d11223,0x2d890139,0x6376107c}},	//   _बंदर, _हल्द, siae_, _fâne, 
   {{0x5a351186,0x6fdd0033,0xf1ca0108,0x2d8902c5}},	//   рнет, _বিয়ে, _tạt_, piae_, 
   {{0xe9ab0444,0x69c20b22,0xe0df0036,0x2bb700b0}},	//   ردان_, gmoe, ncò_, _अठवा, 
   {{0x68f9006a,0xda010081,0x2129067c,0xf80711a8}},	//   rawd, _लटकत_, _mbah_, учен, 
   {{0xf7451e2b,0x7bce1272,0x68f90156,0x2904023e}},	//   реко, _gibu, sawd, _edma_, 
   {{0x7f3c00c7,0x29040175,0x62fa0033,0x21292991}},	//   געוו, _fdma_, ংলায়_, _obah_, 
   {{0xdb150183,0x656200ca,0x7bce2992,0x3f8a0298}},	//   _tizó, _cooh, _zibu, zibu_, 
   {{0x798b0102,0x7bce02b8,0xb0c702e6,0x320b0035}},	//   migw, _yibu, रेमग, ącym_, 
   {{0x25a01af7,0x42252521,0x21292993,0x671c17dc}},	//   čila_, адов, _abah_, _नायक_, 
   {{0xe2992994,0x45d52995,0xe3b600d9,0x00000000}},	//   тан_, _тоес, рбэ_, --, 
   {{0x69d803b7,0xe04600a3,0x798b2996,0xa06a0267}},	//   ívei, анми, nigw, вама_, 
   {{0x3f8a086d,0x671c00b5,0x00000000,0x00000000}},	//   tibu_, _नामक_, --, --, 
   {{0xb4c1143e,0x2129011c,0xa3c22997,0x798b02b8}},	//   ंधी_, _ebah_, ्दः_, higw, 
   {{0x3f8a086d,0x7bce2998,0x0fc300dd,0xc0e62999}},	//   ribu_, _ribu, ійсн, _койк, 
   {{0x3f8a299a,0xb04a18ae,0x257105a8,0x4aa900a5}},	//   sibu_, _азиз_, _málo_, _कड़व, 
   {{0x3b86299b,0x798b299c,0x9c870032,0x7bce0096}},	// [1d00] алаг, digw, vočí, _pibu, 
   {{0xfbdf0124,0x6ffb008d,0x1db8009a,0x29d7008a}},	//   _trên_, _שפיג, _आठवत, _għak_, 
   {{0x69c201a9,0xe8fa299d,0x7bce299e,0xca560477}},	//   tmoe, вле_, _vibu, штањ, 
   {{0xc8ca0133,0x636d001d,0xfd120038,0x7bce0610}},	//   نوان_, _búnk, _بجد_, _wibu, 
   {{0x7bce1272,0x69c2299f,0x97c628d8,0x656229a0}},	//   _tibu, rmoe, айде, _rooh, 
   {{0x6562016a,0x637600d9,0x69c229a1,0x00000000}},	//   _sooh, _mânc, smoe, --, 
   {{0x9c87026e,0xbcfb011c,0x29040096,0xd6d9017b}},	//   počí, _moén, _tdma_, уті_, 
   {{0xfaa602c0,0x290429a2,0xa4f80499,0x3426121f}},	//   _баҳо, _udma_, اکار_, афов, 
   {{0xf3f7021f,0x68ed0042,0xf1d00299,0xa3e70267}},	//   аныш_, ñade, _संजन, адња_, 
   {{0xf3660ecb,0x6562016a,0x7655010e,0x00000000}},	//   ртин, _wooh, ógyí, --, 
   {{0x1b0300cc,0x0bb700a7,0xa2a60299,0x81de0bf1}},	//   র্কে_, שלים_, _घुश्, দীন_, 
   {{0x672d00d0,0x51f71193,0xa1941623,0x00000000}},	//   đaje, шнюю_, жаюч, --, 
   {{0x63760165,0x04140086,0x4907009a,0x50640e27}},	//   _cânc, _তৈরী_, हणतो_, отра, 
   {{0x93fb0056,0x798b29a3,0x257802d9,0x00000000}},	//   _ילדי, zigw, _déle_, --, 
   {{0x63a829a4,0x798b29a5,0x00000000,0x00000000}},	//   modn, yigw, --, --, 
   {{0x21290666,0x63a829a6,0x2baf0b79,0x2578010e}},	//   _ubah_, lodn, _जीजा, _féle_, 
   {{0x91bc00d1,0x00000000,0x00000000,0x00000000}},	// [1d10] _במהי, --, --, --, 
   {{0x8ae702fb,0x09de0086,0x3f1529a7,0x63a800ef}},	//   ріал, _ডিজা, _удос, nodn, 
   {{0xcfe200cc,0x69da0019,0x1fe20033,0x798b1a20}},	//   _বিএন, _étel, _বিএস, tigw, 
   {{0x63a829a8,0xac95058e,0x2bd924a1,0x00000000}},	//   hodn, _гамш, _ماسک_, --, 
   {{0x8d5a0056,0x66e529a9,0xf1d002e6,0x00000000}},	//   _עכשי, бола, _संघन, --, 
   {{0xcc3a0137,0xdc3a0137,0xf1ca0023,0x80380070}},	//   _געשט, _געשר, _lạp_, ינדע_, 
   {{0x798b0010,0xb9e4017b,0xa3c000c9,0x644601d5}},	//   pigw, _міти, ंगई_, ækin, 
   {{0xf1ca00e7,0x7bc529aa,0xe299004e,0xddd5039f}},	//   _nạp_, lmhu, ғам_, nyző, 
   {{0x79890053,0xe80e0366,0x26131011,0x636d0118}},	//   _imew, _सिया_, _धमकी_, _húni, 
   {{0xf773125e,0x63a829ab,0xc6a7122f,0x83390080}},	//   _بار_, godn, _креи, учит_, 
   {{0x216a00cf,0x636d0019,0x61461271,0x82a529ac}},	//   гини_, _júni, бена, санж, 
   {{0xdb050219,0x249d01a0,0x636d1771,0xf1ca0023}},	//   llhä, _txwm_, _múni, _cạp_, 
   {{0x63a80e24,0x232929ad,0x7989025b,0x00000000}},	//   bodn, _боли_, _mmew, --, 
   {{0x2bdb05fd,0x5334093d,0xdee329ae,0x442f00e2}},	//   _बढ़ा, _мечт, зори, _ipg_, 
   {{0x22580f03,0x31b2039f,0xdb050151,0x1d0a29af}},	//   ärkt_, házi_, cohé, леви_, 
   {{0xf1d029b0,0xa1930843,0x1c030077,0x442f00e2}},	//   _सूचन, _најч, _लिखल_, _kpg_, 
   {{0xd1172233,0x00000000,0x00000000,0x00000000}},	// [1d20] _הקפה_, --, --, --, 
   {{0xf3f9100b,0x79890053,0x636d003e,0x799b025b}},	//   _আমার_, _amew, _búni, _ajuw, 
   {{0x6e4609e8,0x200229b1,0x2571003e,0x7c3d01f2}},	//   _انجم, lski_, _páll_, _essr, 
   {{0x9f4906b6,0x442f0242,0xed5a03a1,0xf8fa0038}},	//   _hvað_, _opg_, _сом_, اءات_, 
   {{0xbf9b0212,0x6cc603a1,0x657b29b2,0x443d074a}},	//   prêt, _ыйма, dhuh, _nsw_, 
   {{0x6d4402ba,0x3940012d,0x7c2429b3,0x20020102}},	//   ldia, žis_, mtir, iski_, 
   {{0x644b29b4,0x7c2429b5,0x65be024a,0x8afb042c}},	//   _argi, ltir, hëhe, _תהלי, 
   {{0x25a029b6,0x63a800ab,0xb99600eb,0x657b29b7}},	//   čilo_, wodn, _الرب, ghuh, 
   {{0x7c2429b8,0x69c00088,0x6d4429b9,0xb4d81567}},	//   ntir, _ihme, idia, _ाली_, 
   {{0x2002034c,0x68e201d2,0x2d850183,0x7afe29ba}},	//   dski_, lcod, élez_, napt, 
   {{0x7c2400cf,0x442f29bb,0xe13529bc,0xdb1c09ce}},	//   htir, _epg_, онны, _chré, 
   {{0x7afe00d7,0x5a9b00c7,0x442f0183,0x63a829bd}},	//   hapt, רשטא, _fpg_, sodn, 
   {{0x6d4402f0,0x63a800f1,0x7afe29be,0x644b1a35}},	//   ddia, podn, kapt, _grgi, 
   {{0x60d60019,0x6d4429bf,0x7c2429c0,0x7c3d00b4}},	//   _egym, edia, dtir, _rssr, 
   {{0x41e61896,0xf1ca001b,0xdb1c0038,0xa293017b}},	//   _استف, _tạp_, _ghré, _наші, 
   {{0x161902f8,0xd01109ed,0x200229c1,0x636d29c2}},	//   नंतर_, _قلب_, bski_, _rúni, 
   {{0xac1929c3,0x7c2407fc,0x442f019c,0xe52029c4}},	// [1d30] розу_, gtir, _xpg_, _यानि_, 
   {{0x69c029c5,0x6d440379,0x636d114a,0x2efa040b}},	//   _ahme, adia, _púni, _gepf_, 
   {{0x6d4429c6,0x7c2429c7,0xce590ec6,0x7a350038}},	//   bdia, atir, _танц_, تفاص, 
   {{0xac1929c8,0x68e229c9,0x7c2429ca,0x69c00098}},	//   _кому_, gcod, btir, _chme, 
   {{0x7c240183,0x7afe29cb,0x44240065,0xe8f81afd}},	//   ctir, bapt, jtm_, слі_, 
   {{0x69c029cc,0x7afe29cd,0xd7c829ce,0x442f0d90}},	//   _ehme, capt, مونه_, _rpg_, 
   {{0x442f0089,0x657b29cf,0x443d29d0,0x00000000}},	//   _spg_, thuh, _ssw_, --, 
   {{0x240929d1,0x68e229d2,0x442f0090,0x79890548}},	//   ании_, ccod, _ppg_, _umew, 
   {{0x75ca00ab,0xdced0ab4,0x00000000,0x00000000}},	//   _języ, jkač, --, --, 
   {{0x657b0010,0x645b0183,0x644b00ca,0x020529d3}},	//   shuh, rxui, _vrgi, озон, 
   {{0x200200ab,0xcb120a33,0x644402fe,0x7c2401f1}},	//   wski_, ולי_, _šiit, ztir, 
   {{0x200202f5,0x68fb026d,0x443d006f,0x7c2400cf}},	//   tski_, _jeud, _tsw_, ytir, 
   {{0x442f0068,0x443d01c4,0x7afe02f1,0xbee500a2}},	//   _upg_, _usw_, yapt, कडून_, 
   {{0x94740740,0x68fb01c5,0x65be024a,0xdb1c0038}},	//   _عدنا, _leud, rëhe, _thré, 
   {{0xfc3f127e,0xdce40bad,0x00000000,0x00000000}},	//   _así_, nkić, --, --, 
   {{0x2002265d,0x7c2429d4,0x75290093,0x291f006f}},	//   pski_, ttir, nfez, _ncua_, 
   {{0xab6629d5,0x644929d6,0x21200574,0x7afe29d7}},	// [1d40] овал, nvei, _icih_, tapt, 
   {{0x6d4429d8,0x2fd7009c,0x25780096,0x75e70241}},	//   sdia, _گوید_, _méla_, _kızd, 
   {{0x7afe29d9,0xdce4053d,0x68e201d2,0x68fb29da}},	//   rapt, jkić, tcod, _beud, 
   {{0x671c00b0,0x68fb0465,0x2d9629db,0x7afe29dc}},	//   _नाहक_, _ceud, _фрос, sapt, 
   {{0x68fb29dd,0x68ed0503,0x183600b1,0x68e229de}},	//   _deud, ñada, تراح, rcod, 
   {{0x68e229df,0x69d829e0,0x644929e1,0xbb56007a}},	//   scod, íves, dvei, _بنسب, 
   {{0x7afc00b3,0x699600d9,0x21200096,0xd95a0267}},	//   _iert, _драх, _ocih_, _краљ_, 
   {{0x186a00cf,0x7ae90082,0x68fb29e2,0x22a40176}},	//   _каби_, _đeti, _geud, ҷумҳ, 
   {{0x7afc29e3,0x69dc29e4,0x6603006d,0x00000000}},	//   _kert, _hure, asnk, --, 
   {{0x69dc29e5,0x442400e2,0x394629e6,0x68fb01f1}},	//   _kure, rtm_, ldos_, _zeud, 
   {{0xc4e629e7,0x394629e8,0x644902be,0x00000000}},	//   _джей, odos_, avei, --, 
   {{0x69dc29e9,0x39462450,0x7afc01ca,0x21200118}},	//   _mure, ndos_, _lert, _ccih_, 
   {{0x81ba0086,0x394629ea,0x84960019,0x434629eb}},	//   _অংশ_, idos_, _بجائ, _медв, 
   {{0x69dc09a1,0x25a90f4c,0x67380e67,0xdb1c0183}},	//   _oure, čale_, nevj, _miró, 
   {{0xccfb02a6,0xed8b29ec,0x645d0080,0x00000000}},	//   ића_, асак_, äsiv, --, 
   {{0xdb1c0183,0x394401dd,0x7afc29ed,0xfc3f11bb}},	//   _oiró, _nams_, _aert, _psí_, 
   {{0x7afc0d82,0x0bd500eb,0x2139024a,0xef6700fd}},	// [1d50] _bert, سياح, mesh_, _дъно, 
   {{0x69dc29ee,0x7afc0c04,0x201929ef,0x67380a9d}},	//   _bure, _cert, musi_, jevj, 
   {{0x20190d55,0x7afc29f0,0xea00001b,0x68fb0126}},	//   lusi_, _dert, _đảo_, _peud, 
   {{0x69dc29f1,0x3f9104d1,0xe9d800e4,0x777a01f1}},	//   _dure, lizu_, ікі_, _altx, 
   {{0x69dc29f2,0x66e50ed8,0x201929f3,0xa3ca00a2}},	//   _eure, пола, nusi_, लगा_, 
   {{0x7afc29f4,0x39460b85,0x213900e5,0xa3de29f5}},	//   _gert, ados_, hesh_, _दूध_, 
   {{0x7bdd29f6,0x69dc0a9f,0x7c3901f0,0xf7700fd0}},	//   _husu, _gure, şarı, خان_, 
   {{0x7bdd29f7,0x201929f8,0x7afc29f9,0x23670082}},	//   _kusu, kusi_, _zert, _sonj_, 
   {{0x201929fa,0x7bdd29fb,0x69dc29f9,0x752929fc}},	//   jusi_, _jusu, _zure, rfez, 
   {{0x644929fd,0x7bdd29fe,0x2571008c,0x201929ff}},	//   rvei, _musu, _máli_, dusi_, 
   {{0xcb1207f5,0x64492a00,0x7ae50014,0xa91d012d}},	//   עלט_, svei, icht, _amži, 
   {{0x291d2a01,0x20192a02,0xcf89008d,0x241900c8}},	//   ngwa_, fusi_, _גט_, _годы_, 
   {{0x7bdd141e,0x20192a03,0x316901ca,0x4375074f}},	//   _nusu, gusi_, _doaz_, _нукт, 
   {{0xdb1c01be,0x636d007a,0x7bd52a04,0x39460028}},	//   _chrì, _cúnt, _nizu, zdos_, 
   {{0xed5a2a05,0x272f03c0,0x3ebe05a7,0x291d0364}},	//   бов_, mını_, ått_, kgwa_, 
   {{0x7afc11a4,0x20192a06,0x7bdd2a07,0xa0a62a08}},	//   _sert, busi_, _busu, _найд, 
   {{0x7afc2a09,0xdca311b5,0x7bdd00b3,0x7bd52a0a}},	// [1d60] _pert, еати, _cusu, _bizu, 
   {{0xef860a8e,0x272f0540,0x7afc078a,0x39442a0b}},	//   _хлоп, nını_, _qert, _sams_, 
   {{0x7afc2a0c,0x19ba15dd,0x7bdd0068,0x7bd50a9f}},	//   _vert, будь_, _eusu, _dizu, 
   {{0x7ae5057f,0x7afc2a0d,0x7bdd2a0e,0xdb1c0c2a}},	//   acht, _wert, _fusu, _piró, 
   {{0x7afc11f7,0x2d922a0f,0x672d00d2,0x25ad0318}},	//   _tert, miye_, đajn, doel_, 
   {{0x69dc2a10,0xa3c2000d,0x2d922a11,0x636d0042}},	//   _ture, ्दछ_, liye_, _xúnt, 
   {{0x6d462a12,0x272f0092,0xfaa32a13,0x25ad033e}},	//   _kaka, dını_, _заро, foel_, 
   {{0x6d462a14,0x2d922a15,0x7ec70019,0xdb1c2a16}},	//   _jaka, niye_, lépé, _tiró, 
   {{0x6d462a17,0x7bdd00cf,0x6618014b,0xb4c807d5}},	//   _maka, _xusu, suvk, ोखे_, 
   {{0x6d462524,0x68432a18,0x20192a19,0x29d70405}},	//   _laka, _януа, vusi_, _għas_, 
   {{0x2d922a1a,0x213900e5,0x25ad2a1b,0x69c80036}},	//   kiye_, tesh_, boel_, _èdes, 
   {{0x6d462a1c,0x20192a1d,0x63640118,0x071c00c2}},	//   _naka, tusi_, _jònz, _नाँव_, 
   {{0x2d9201f0,0x2139024a,0x2d801ec3,0x645d2a1e}},	//   diye_, resh_, dhie_, äsit, 
   {{0x20192a1f,0x6d4606e4,0x1be300a5,0x2139024a}},	//   rusi_, _aaka, _कंबल_, sesh_, 
   {{0x7bdd2a20,0x4ea42a21,0x20192a22,0x213900e5}},	//   _susu, ерта, susi_, pesh_, 
   {{0x20192a23,0x6d4619e0,0x2d92024d,0xe3b807fa}},	//   pusi_, _caka, giye_, llı_, 
   {{0x071c1ff6,0x6d462a24,0x5c990238,0xea000029}},	// [1d70] _नांव_, _daka, цкая_, _đạo_, 
   {{0xe3b80718,0x7ae501c4,0xad271372,0x0bb406ba}},	//   nlı_, ucht, _کردو, ебую, 
   {{0x7bd52a25,0x6d462a26,0x68ed1056,0x2d922a27}},	//   _vizu, _faka, ñado, biye_, 
   {{0x44260068,0x7ae501c4,0x64420088,0x2d922a28}},	//   _oqo_, scht, _osoi, ciye_, 
   {{0x25ad01a9,0xe3b801f0,0x44262a29,0xb90500a5}},	//   voel_, klı_, _nqo_, _नल_, 
   {{0xe80e034d,0x32050098,0xe3b80761,0x7ec70096}},	//   _सिरा_, ysly_, jlı_, cépé, 
   {{0x6d462a2a,0x25ad2a2b,0xda34012d,0xe3b800ad}},	//   _yaka, toel_, _перы, dlı_, 
   {{0x5ebf0086,0xa3de02e6,0x6d46040c,0x1dbf2a2c}},	//   _আলাই, _दंश_, _xaka, ्षित, 
   {{0xe3b80785,0x272f091f,0x290d2a2d,0x31b2010e}},	//   flı_, tını_, _idea_, zázs_, 
   {{0x2d922a2e,0xe3b62a2f,0x29d7003d,0xd389004f}},	//   ziye_, мбы_, _għar_, ійне_, 
   {{0x272f2a30,0x2d922a31,0x9f5900c8,0x25ad2a32}},	//   rını_, yiye_, issä_, poel_, 
   {{0x272f03b0,0x72070019,0xe3b800ad,0x645d0080}},	//   sını_, _ہفتہ_, alı_, äsis, 
   {{0x6d462a33,0xa01b006b,0xe3ae0904,0xd4691818}},	//   _raka, szön, _аб_, _филе_, 
   {{0x6d462a34,0x2d920199,0xdb1c00eb,0x656b2a35}},	//   _saka, wiye_, _phrí, _hogh, 
   {{0x2d922a36,0x6d462a37,0xa2c901ec,0x1d0a03b7}},	//   tiye_, _paka, हेश्, жеби_, 
   {{0xed5718ae,0x9f5900c8,0xa2a6059e,0xe80e0790}},	//   мос_, essä_, _घुट्, _सिला_, 
   {{0x2d922a38,0x6d462a39,0x61e40f4c,0x656b2a3a}},	// [1d80] riye_, _vaka, _čili, _mogh, 
   {{0x6d462a3b,0x2d922a3c,0x656b2a3d,0x290d2a3e}},	//   _waka, siye_, _logh, _adea_, 
   {{0x6d462a3f,0x2d802a40,0x443f2a41,0x637f2a42}},	//   _taka, phie_, hwu_, _gêne, 
   {{0x3d1804d7,0xe3b805b7,0x443f2a43,0xed5700f0}},	//   _फाटे_, zlı_, kwu_, _жою_, 
   {{0x7d042a44,0xe3b80824,0xd90d00d6,0xb8f600a2}},	//   mais, ylı_, صیل_, _सण_, 
   {{0x7d042a45,0x752201d8,0x656b01be,0x290d011c}},	//   lais, _scoz, _aogh, _edea_, 
   {{0x27ed2a46,0xa3c30a34,0x656b2a47,0xa3c12a48}},	//   _eten_, ्षन_, _bogh, ंतन_, 
   {{0x7d042a49,0x2578026a,0x753b0053,0x656b0b1a}},	//   nais, _vélo_, geuz, _cogh, 
   {{0xe3b803c0,0x656b2a4a,0xa2d02a4b,0xdb0500da}},	//   tlı_, _dogh, डेन्, lohá, 
   {{0x7d042a4c,0x636d00b9,0x67240082,0x656b2619}},	//   hais, _búnq, đijs, _eogh, 
   {{0x7d042a4d,0x656b0a9a,0xa3de2659,0x81bd002a}},	//   kais, _fogh, _दूर_, stēm, 
   {{0xe3b804be,0x7d042a4e,0x2d9e010e,0x64422a4f}},	//   slı_, jais, étel_, _tsoi, 
   {{0x9f5900c8,0xe3b80241,0xdb1c00a1,0x637f08b0}},	//   yssä_, plı_, _ohrà, _sêne, 
   {{0xe3b806d0,0x81bd00e0,0xc05801fc,0xd250247b}},	//   qlı_, otēk, фію_, _منت_, 
   {{0xdfd42a50,0xd90415c0,0x8d7700eb,0x7d041a30}},	//   торы, _پی_, وارا, fais, 
   {{0x7d042a51,0x656b007b,0x7520018e,0x00000000}},	//   gais, _xogh, ngmz, --, 
   {{0x637f078a,0xfbdf2a52,0x7982011c,0xdb1c0465}},	// [1d90] _wêne, _quê_, dhow, _bhrà, 
   {{0x31a403c0,0xa3c31bec,0xdb1c01fd,0x60c02a53}},	//   mıza_, ्षय_, _chrà, ümme, 
   {{0x7d042a54,0xdb1c2a55,0x27ed2a56,0xc91502a6}},	//   bais, _virð, _sten_, едећ, 
   {{0x7d042a57,0x00000000,0x00000000,0x00000000}},	//   cais, --, --, --, 
   {{0x656b0544,0x31a403c0,0x69cb2a58,0xa3c300c9}},	//   _rogh, nıza_, rmge, ्षम_, 
   {{0xf1ca001b,0x656b00eb,0xdb07004f,0xdb1c0465}},	//   _dạy_, _sogh, _skjæ, _ghrà, 
   {{0x81bd002a,0xd90f00d6,0x45d50172,0xbbbd05d0}},	//   rtēj, _نیا_, нцит, ्गीक, 
   {{0x7982006a,0x443f0035,0x81bd01dd,0x290d00b4}},	//   chow, twu_, stēj, _udea_, 
   {{0x27ed02fb,0x656b01d8,0xfbdf2a59,0x753b2a5a}},	//   _uten_, _vogh, _trêu_, reuz, 
   {{0xc48205e0,0x2d8c0212,0xc8a800c2,0x00000000}},	//   ульк, édez_, _छुटट, --, 
   {{0x68e4003a,0x656b0038,0x1ddb00bd,0x753b02be}},	//   žide, _togh, _मंगत, peuz, 
   {{0x92df0086,0xe4510038,0x31a40241,0x00000000}},	//   তরে_, _مضت_, fıza_, --, 
   {{0x600702fb,0x7d042a5b,0x00000000,0x00000000}},	//   нням_, vais, --, --, 
   {{0x7d04018e,0xdb1c0098,0x00000000,0x00000000}},	//   wais, _ohrá, --, --, 
   {{0xf77200fe,0x00000000,0x00000000,0x00000000}},	//   נקל_, --, --, --, 
   {{0x61ee05b9,0x7bc714b3,0xdb1c01fd,0x5d6700d9}},	//   íble, _ahju, _shrà, нисм_, 
   {{0x7d042a5c,0xdee62a5d,0xc19b00d1,0xdb1e0080}},	// [1da0] rais, _попи, _משקי, ympä, 
   {{0x7d042a5e,0x60c42a5f,0x8fa60dec,0xdb1c0038}},	//   sais, _izim, _سمجه, _bhrá, 
   {{0xdb1c0076,0xe9da2a60,0xc33202a1,0x4efb00a7}},	//   _chrá, чке_, רוב_, _מהיו, 
   {{0xfbdf026a,0x4aaf009a,0x307a0070,0x2571003e}},	//   _prêt_, _जुळव, ּאַנ, _máls_, 
   {{0xb8e80d4f,0xdb1c0465,0x75e704a8,0x00000000}},	//   _उर_, _thrà, _rıza, --, 
   {{0x38cb1fdb,0x60c41c36,0xfc3f0042,0x2bd80035}},	//   سانی_, _mzim, _uxía_, _भूचा, 
   {{0xfaa601a2,0xdb1c007a,0xe2870038,0x00000000}},	//   _чаво, _ghrá, _إذ_, --, 
   {{0xfaa600cf,0x046611f0,0x00000000,0x00000000}},	//   _жаҳо, етом, --, --, 
   {{0x60c42192,0x81e70033,0x18a32a61,0x98a31dbd}},	//   _nzim, মীম_, _батм, _бите, 
   {{0x2906084c,0x00000000,0x00000000,0x00000000}},	//   laoa_, --, --, --, 
   {{0x60c42a62,0x637602be,0x00000000,0x00000000}},	//   _azim, _jâni, --, --, 
   {{0xf2c30d18,0x546a0093,0x4a9b00c7,0xc486002e}},	//   ысын, _наем_, לייג, _плек, 
   {{0xc953042c,0x2571010e,0x06d50033,0x74132a63}},	//   אמר_, _vált_, _স্পি, _مونا, 
   {{0xa3c300ea,0x60c400e0,0x25a002ee,0xd5df08dd}},	//   ्षण_, _dzim, čilu_, _पूँज, 
   {{0x60c401a3,0x27e601ff,0x5e5800b3,0x00000000}},	//   _ezim, hqon_, ниря_, --, 
   {{0x3eba017b,0x2906025b,0x212f00a1,0x00000000}},	//   _dypt_, jaoa_, _ùgh_, --, 
   {{0x2ef5048a,0xe802031e,0xdb1c007a,0xafdb00fb}},	// [1db0] _изпр, रीमा_, _shrá, rvøs, 
   {{0xc5f60086,0x200b2a64,0x8aa72a65,0x7e610219}},	//   _ঘটনা_, msci_, нред, älps, 
   {{0xd5df000f,0x321e2a66,0xdd91009c,0x200b0036}},	//   _पूंज, nuty_, _نود_, lsci_, 
   {{0x1a680296,0x39781623,0x27e6039b,0x00000000}},	//   ریقی_, нсію_, fqon_, --, 
   {{0x6d5d2a67,0x200b0036,0x684500a3,0x00000000}},	//   _insa, nsci_, тнла, --, 
   {{0x7c2d01ee,0x39492a68,0x6d4d0511,0x321e1151}},	//   mtar, žas_, ldaa, kuty_, 
   {{0xfbdf03b7,0xe7080133,0xcf5800a7,0x6d5d011d}},	//   _três_, رتون_, תבות_, _knsa, 
   {{0x6d4d2a69,0x49042751,0x7c2d2a6a,0xd4d500e4}},	//   ndaa, _موفق, otar, кіпэ, 
   {{0x200b00d2,0xd7fb03dc,0xd6db2a6b,0x6d5d0102}},	//   jsci_, _хуб_, _ете_, _mnsa, 
   {{0x7c2d2a6c,0x6d4d2a6d,0x69da2a6e,0x637f010c}},	//   itar, hdaa, _éter, _bêna, 
   {{0x7c2d2a6f,0x69c901c1,0x6f070228,0x6d5d2a70}},	//   htar, _khee, dajc, _onsa, 
   {{0x04b500fd,0xafe62a71,0x00000000,0x00000000}},	//   _исля, комл, --, --, 
   {{0x6d4d0547,0x7c2d024a,0x1b0c0033,0x69c901be}},	//   ddaa, jtar, স্টে_, _mhee, 
   {{0x6d5d2a72,0x42550a10,0x6d4d11da,0x65692a73}},	//   _ansa, _атит, edaa, ljeh, 
   {{0x7c2d2a74,0x20192a75,0x637f0212,0xee150009}},	//   etar, arsi_, _gêna, льтэ, 
   {{0x7c2d2a76,0xe8021451,0x65692a77,0x69db011c}},	//   ftar, रीडा_, njeh, _niue, 
   {{0x7c2d2a78,0x1ae62a79,0x61e32a7a,0x6376020f}},	// [1dc0] gtar, возм, _hunl, _sâni, 
   {{0x6d5d2a7b,0xa3c105fd,0x6f0700f1,0x6d4d2a7c}},	//   _ensa, ंति_, cajc, adaa, 
   {{0x442d2a7d,0xbcfb2a7e,0x3f980062,0x6d4d0640}},	//   hte_, _poét, miru_, bdaa, 
   {{0x3f981630,0x69c92a7f,0xa91d0098,0x6376019c}},	//   liru_, _chee, _alžb, _vâni, 
   {{0x69c90201,0x7c2d2a80,0xa3c1100d,0x69db03a1}},	//   _dhee, ctar, ंता_, _diue, 
   {{0x442d2a81,0x3f982a82,0xbb760093,0xa9250032}},	//   dte_, niru_, _румъ, _rožň, 
   {{0x442d26d8,0xe1e7021b,0xb5a62a83,0x00000000}},	//   ete_, _خس_, крий, --, 
   {{0x7bdc2a84,0x657b2a85,0x628816fb,0xfaa32a86}},	//   _hiru, gkuh, vzdo, _тасо, 
   {{0x442d2a87,0x75e701f0,0x37e600dd,0x73d82a88}},	//   gte_, _hızl, _розг, ндир_, 
   {{0x671c119b,0x61e30749,0x2019090b,0x2904078a}},	//   _नाटक_, _bunl, vrsi_, _hema_, 
   {{0x442d2a89,0xf36308a5,0x7bdc2a8a,0xe5262a8b}},	//   ate_, ртын, _miru, _адеп, 
   {{0x442d2a8c,0x7c2d2a8d,0x29042a8e,0xbcfb011c}},	//   bte_, ytar, _jema_, _loér, 
   {{0x442d2a8f,0x7c2d2a90,0x533411ef,0x29042a91}},	//   cte_, xtar, _белт, _mema_, 
   {{0x29042a92,0x7bdc2a93,0x3f982a94,0xdce601dd}},	//   _lema_, _niru, giru_, _rokā, 
   {{0xdced0082,0x91e302a6,0x7c2d0035,0x6d4d000b}},	//   nkać, _које, wtar, tdaa, 
   {{0x7c2d2a95,0x672d0112,0xdd1100ad,0x2000045a}},	//   ttar, đaji, _düşd, _fwii_, 
   {{0x6d4d0265,0x7bdc2a96,0xd1b811b7,0x69c918b5}},	// [1dd0] rdaa, _biru, _جاوا_, _rhee, 
   {{0x09cb0c94,0x2d820e47,0xd9cb2a97,0x7bdc0647}},	//   िष्य, _elke_, िष्ट, _ciru, 
   {{0x442d2a98,0x7bdc2a99,0x69c901a0,0x29042a9a}},	//   zte_, _diru, _phee, _bema_, 
   {{0x7c2d078e,0x6d5d0bc1,0x27e40110,0x6d4d02a5}},	//   ptar, _unsa, _bumn_, qdaa, 
   {{0x2904055a,0x442d2a9b,0x7bdc2a9c,0x69db022c}},	//   _dema_, xte_, _firu, _viue, 
   {{0x442d026e,0x25a6002c,0x7bdc2a9d,0xf1bf2a9e}},	//   vte_, _ajol_, _giru, hlá_, 
   {{0x69c92a9f,0xc79400d4,0x6abc0156,0x442d2aa0}},	//   _thee, جشنب, _gyrf, wte_, 
   {{0x6f0500bc,0x7bdc2aa1,0xa3e709ef,0x78a900f6}},	//   _lehc, _ziru, _मंद_, _txev, 
   {{0x442d2aa2,0xf1bf0039,0x7793006b,0x25a605d5}},	//   ute_, dlá_, _پیغا, _djol_, 
   {{0xe1f92aa3,0x394d0026,0x657b2aa4,0x61e30f3a}},	//   нго_, _haes_, skuh, _punl, 
   {{0x35f52aa5,0x656903e5,0x25a60219,0x29040126}},	//   _спер, pjeh, _fjol_, _yema_, 
   {{0x29042aa6,0x216a05de,0x06d50033,0x3f982aa7}},	//   _xema_, хими_, _স্থি, wiru_, 
   {{0x394d02bf,0x442d024a,0xd09617fc,0xdb150098}},	//   _maes_, qte_, ушны, _ekzé, 
   {{0x749a2aa8,0x649a0137,0x61e32aa9,0x25bf27ea}},	//   _אינפ, _אינה, _tunl, llul_, 
   {{0xe1f1182b,0x20002aaa,0x3f982aab,0x61e3011d}},	//   _است_, _wwii_, riru_, _uunl, 
   {{0x0ce20086,0x2258055f,0x8c462aac,0x7f9400ad}},	//   বর্ত, ærke_, лебе, _müqə, 
   {{0x3f980112,0x64440bfc,0x25bf00b3,0x29042aad}},	// [1de0] piru_, _šiiz, ilul_, _rema_, 
   {{0xdd040e7b,0x29042aae,0x09dc009a,0x69c30212}},	//   ısın, _sema_, यद्य, înen, 
   {{0xdca32aaf,0x75e70095,0x7bdc2ab0,0x29042ab1}},	//   _ғари, _qızl, _viru, _pema_, 
   {{0x394d08b2,0x2578010e,0x888600a3,0xdcf7020f}},	//   _caes_, _téli_, ллеж, ăcăr, 
   {{0x29040053,0xed572ab2,0x9f4000a1,0x2b410216}},	//   _vema_, _соя_, _stiù_, behc_, 
   {{0x6fb4000f,0x7d062ab3,0x29040053,0xc3190086}},	//   ंकिं, _heks, _wema_, ত্তি_, 
   {{0x7d062ab4,0xfbde0183,0x637600b3,0x394d00f8}},	//   _keks, _iiª_, _mânt, _faes_, 
   {{0x782600eb,0xe5c602f3,0x746a0088,0x5e5700c7}},	//   _معطل, ысло, еров_, ריקע_, 
   {{0x644d0082,0xa3e7109f,0x5fb40249,0x49910290}},	//   _šair, _मूद_, ंकाल, _بینر, 
   {{0x7d060bff,0x883b00d1,0x25bf00b3,0x38cb0296}},	//   _leks, _אתמו, alul_, _ساقی_, 
   {{0x4ebf00cc,0xf1bf0032,0x25bf020f,0x877b0070}},	//   _আল্ল, tlá_, blul_, _ראבי, 
   {{0x6fc00a25,0x25bf00b3,0x7d062ab5,0x00000000}},	//   böck, clul_, _neks, --, 
   {{0x33f600b3,0x8cb0109f,0x637f02be,0x63760474}},	//   _счес, _अँगो, _gêno, _sânu, 
   {{0x637600d9,0xf1bf0377,0x1b1a0033,0x00000000}},	//   _cânt, slá_, ন্তে_, --, 
   {{0xa3c317dc,0xa3c1156d,0x7d062ab6,0x3da72ab7}},	//   ्षर_, ंतर_, _beks, граб, 
   {{0xdd941b17,0x9e43014b,0xfc15002e,0x00000000}},	//   басы, žďov, имбэ, --, 
   {{0x7d062ab8,0xbcfb0634,0x6376020f,0x394d0096}},	// [1df0] _deks, _anéc, _fânt, _raes_, 
   {{0x7d06011d,0x395f028e,0x3dc006e4,0x394d09c6}},	//   _eeks, _snus_, aliw_, _saes_, 
   {{0x7d062ab9,0x394d2aba,0x00000000,0x00000000}},	//   _feks, _paes_, --, --, 
   {{0x4dfa0137,0xa9072abb,0x7d062abc,0x00000000}},	//   _שפרא, ابان, _geks, --, 
   {{0xd7050b97,0x1b1a0033,0x00000000,0x00000000}},	//   азли, ন্ধে_, --, --, 
   {{0x257801e5,0x07a50165,0x394d01d2,0x17f8007a}},	//   _mélu_, јакн, _waes_, ارنة_, 
   {{0x6d4f019a,0x25bf00d9,0x7d061093,0x27f8008b}},	//   _kaca, tlul_, _yeks, _črne_, 
   {{0x395f2abd,0x2d892abe,0x6d4f2abf,0x00000000}},	//   _unus_, nhae_, _jaca, --, 
   {{0xb81c0e0d,0x8727195e,0x27f8026e,0x64a52ac0}},	//   _नियम_, _معام, čený_, рапа, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x49b8010e,0x25bf2ac1,0x01661271,0x5ef60299}},	//   _شاہد_, plul_, акно, ्रस्_, 
   {{0x249600c5,0x672d0112,0xe80200c9,0xe2962ac2}},	//   انید_, đaju, रीवा_, раю_, 
   {{0x764e008c,0x7d06008c,0x63762ac3,0xafe619b1}},	//   _ábyr, _reks, _pânt, рогл, 
   {{0x64592ac4,0x6d4f0175,0x248d0201,0x6376020f}},	//   _irwi, _aaca, mzem_, _dâns, 
   {{0xe81c0262,0x7d062ac5,0x3ebe008c,0xfd960009}},	//   _निभा_, _peks, ætt_, ашаю, 
   {{0x6d4f2ac6,0xa1930d3d,0x64590083,0x00000000}},	//   _caca, _мајч, _krwi, --, 
   {{0x7d0600fc,0x81bd01dd,0x195800f0,0x637602be}},	// [1e00] _veks, rtēt, ғалы_, _tânt, 
   {{0x644b00c5,0x6d4f01fd,0x2578008c,0x2d890415}},	//   _msgi, _eaca, _hélt_, ahae_, 
   {{0x7d06076b,0x6d4f0014,0x4a462ac7,0x81e70086}},	//   _teks, _faca, рнев, মীর_, 
   {{0x6d4f2904,0x6e3e0065,0x2d891572,0x323600c7}},	//   _gaca, _ippb, chae_, יטען_, 
   {{0x6d442ac8,0x69da0036,0x7c3d01d6,0xa01b010e}},	//   meia, _ètem, _gpsr, szöv, 
   {{0x248d291c,0x2d8000ab,0x6d4f2ac9,0xab090189}},	//   dzem_, lkie_, _zaca, _متفق_, 
   {{0xfaa32aca,0xeb972acb,0x644b0415,0x6d4f016c}},	//   _даро, _тир_, _asgi, _yaca, 
   {{0x2d800691,0xdb0700fc,0x6d4f0068,0xa3e700c9}},	//   nkie_, _skjø, _xaca, _मूह_, 
   {{0x533411db,0xb71600d4,0x69c200c2,0xa3c30110}},	//   бепт, _نباش, mloe, ्षं_, 
   {{0x443d016a,0x69c22acc,0x6e3e004f,0x66e3019c}},	//   _dpw_, lloe, _oppb, _дофа, 
   {{0x2d800691,0x0cc30b3e,0x443d0065,0xa6961b11}},	//   kkie_, _शर्म, _epw_, _трај, 
   {{0x7c242178,0xdb1c0534,0x00000000,0x00000000}},	//   kuir, _chrú, --, --, 
   {{0x7bce0065,0x6d442acd,0xdb050183,0x248d0035}},	//   _ohbu, deia, rohú, czem_, 
   {{0x6d4f2ace,0xdb05014e,0x7c242acf,0x69c2084c}},	//   _saca, llhö, duir, hloe, 
   {{0x8de82ad0,0x6d4f2ad1,0xf2060093,0x69c201cf}},	//   ифта_, _paca, _тяло, kloe, 
   {{0x69c8002a,0xdb1c0038,0xccf80267,0x7c242ad2}},	//   _ūden, _ghrú, ићу_, fuir, 
   {{0x44242ad3,0x65620076,0x7bce02fe,0x69c30107}},	// [1e10] num_, _mnoh, _bhbu, înem, 
   {{0x6d4f12e6,0x25a91dba,0x68e400da,0xde470535}},	//   _waca, čali_, židl, _پیرو_, 
   {{0x6d4f2ad4,0x44241272,0x5a351d65,0xa91d0228}},	//   _taca, hum_, снет, _dlžn, 
   {{0x2d802ad5,0x79a42ad6,0xac1900dd,0xd5a62ad7}},	//   ckie_, орче, _йому_, _رف_, 
   {{0x765a006a,0x44242ad8,0xbcfb0038,0x7d0d2ad9}},	//   _arty, jum_, _gnéa, maas, 
   {{0xbb85057f,0x44242ada,0x7d0d2adb,0x248d02ee}},	//   _السي, dum_, laas, vzem_, 
   {{0x69c22adc,0x4424002c,0xff1800d1,0x443d2add}},	//   bloe, eum_, בקות_, _spw_, 
   {{0x7d0d2ade,0x4424010d,0x248d03a1,0xa01b01c4}},	//   naas, fum_, tzem_, nzös, 
   {{0x44242adf,0xe3b92ae0,0x00000000,0x00000000}},	//   gum_, лби_, --, --, 
   {{0x64a5032e,0xd7740084,0x248d2ae1,0x2d8001f1}},	//   _қала, _والع, rzem_, zkie_, 
   {{0x7d0d2ae2,0x248d2197,0xdb1c01fd,0x29d701f2}},	//   kaas, szem_, _chrù, _bħax_, 
   {{0x44242ae3,0x7d0d2ae4,0xdb1c01be,0xa06a0bad}},	//   bum_, jaas, _dhrù, гама_, 
   {{0x44242ae5,0x5552006b,0x6e3e0065,0x645d055f}},	//   cum_, _رپور, _sppb, æsid, 
   {{0xa027010d,0x75292ae6,0x644900f8,0x00000000}},	//   _stöð, lgez, mwei, --, 
   {{0x51f51966,0x644901c4,0x7d0d2ae7,0xdb1c00a1}},	//   _استر, lwei, faas, _ghrù, 
   {{0x7d0d2ae8,0x75292ae9,0x7c242aea,0x29d70405}},	//   gaas, ngez, tuir, _għax_, 
   {{0x69c201a9,0x644902f2,0x3b862aeb,0x2d80206b}},	// [1e20] vloe, nwei, благ, rkie_, 
   {{0x2d802aec,0x4f260834,0xdca618ae,0x7c242aed}},	//   skie_, _удоб, _ҳами, ruir, 
   {{0x64492aee,0x7c24090b,0x7d0d2aef,0x6e3e1f7e}},	//   hwei, suir, baas, _uppb, 
   {{0x44242af0,0x7d0d02a5,0x588600f0,0x752902b0}},	//   yum_, caas, йыла, jgez, 
   {{0x7c242af1,0xe80b000f,0xa3e71432,0x44242af2}},	//   quir, _सौदा_, _मूल_, xum_, 
   {{0x64490156,0x9f4000b9,0x00000000,0x00000000}},	//   dwei, _juià_, --, --, 
   {{0x44242af3,0x3f9a0065,0xd5ba2af4,0x69c210de}},	//   wum_, _mmpu_, лси_, ploe, 
   {{0x9f410218,0x75292af5,0x64490380,0x9f8400c8}},	//   _cihê_, ggez, fwei, löä_, 
   {{0x12e6004e,0x64491417,0x39462af6,0x77ca2af7}},	//   йінг, gwei, meos_, _благ_, 
   {{0x44242af8,0x39462af9,0xa3e700a2,0x52141a31}},	//   rum_, leos_, _मूळ_, одот, 
   {{0x7d0d0539,0xb7d70ce0,0x3e5803a0,0x6f0e00f6}},	//   yaas, _اولا_, _nčt_, dabc, 
   {{0x798200ab,0x39462afa,0x4424003e,0x65620088}},	//   nkow, neos_, pum_, _unoh, 
   {{0x543306bc,0x657d02ae,0x7d0d2afb,0x00000000}},	//   _فرور, öshe, vaas, --, 
   {{0x7d0d2afc,0x3e5803a0,0x92580258,0x2d992afd}},	//   waas, _bčt_, _вакт_, _smse_, 
   {{0x7d0d2afe,0x7a1c00d9,0x877b008d,0xdb1c05d5}},	//   taas, nătă, נאלי, _ikrè, 
   {{0x63ba2aff,0x32530093,0xdb170042,0x3f9a00d7}},	//   lotn, _хвър, moxé, _empu_, 
   {{0x79820035,0x2d5800c8,0x7d0d2afb,0xdb990d5c}},	// [1e30] dkow, щить_, raas, авач_, 
   {{0x7d0d2aef,0x5b15004e,0x3e5806df,0x60cd02b8}},	//   saas, імет, _fčt_, _izam, 
   {{0x39460634,0x27f8008b,0xdb170183,0x7d0d0080}},	//   feos_, _črna_, noxé, paas, 
   {{0x41c90425,0xf1c90527,0x63ba2b00,0x61ea2b01}},	//   रतिस, रतिन, hotn, _mufl, 
   {{0x63ba2b02,0xf8b10535,0x00000000,0x00000000}},	//   kotn, ذکر_, --, --, 
   {{0x36190088,0xa09c00c7,0x60cd2b03,0xb09c0070}},	//   ацию_, ניגט, _mzam, ניגר, 
   {{0x752901c8,0x994d0228,0x3946001d,0xf1c9009a}},	//   tgez, môžu_, beos_, रतान, 
   {{0xe5792b04,0x64492b05,0x39460a47,0x60cd2b06}},	//   рзи_, twei, ceos_, _ozam, 
   {{0xe10100cc,0x61ea01c4,0x75292b07,0x60cd2b08}},	//   ্লাহ_, _aufl, rgez, _nzam, 
   {{0x290f2b09,0x64492b0a,0x75292b0b,0x13090080}},	//   laga_, rwei, sgez, шной_, 
   {{0x64492b0c,0x60cd2b0d,0x76ab2b0e,0x7989270f}},	//   swei, _azam, _став_, _klew, 
   {{0x61ea0212,0x98a400a4,0x00000000,0x00000000}},	//   _dufl, _qamħ_, --, --, 
   {{0x637f010c,0x437503a1,0x799b0539,0x798901f2}},	//   _lêni, _мукт, _mmuw, _mlew, 
   {{0x60cd2b0f,0x290f2b10,0xd347009c,0x7989017c}},	//   _dzam, haga_, _ایده_, _llew, 
   {{0xe2962b11,0x290f2b12,0xdee32b13,0x79892b14}},	//   _маш_, kaga_, дори, _olew, 
   {{0xa3c30c59,0xa0a62b15,0x72420019,0x52740283}},	//   ्षक_, _майд, _کھیل, _хушу, 
   {{0x290f2b16,0x9f8400c8,0xada300a3,0xdc6a058e}},	// [1e40] daga_, töä_, фатл, шаад_, 
   {{0x76410022,0x79892b17,0x3f9a016a,0xa2d007d5}},	//   _oply, _alew, _umpu_, डेक्, 
   {{0x7982006a,0x8a06004e,0x290f046d,0x61e40341}},	//   tkow, ізде, faga_, _kiil, 
   {{0x5f460399,0xed5a2b18,0x290f2b19,0x08c61faa}},	//   _انگل, _том_, gaga_, обен, 
   {{0x39462123,0x79822b1a,0x61e42b1b,0x63ba02f1}},	//   reos_, rkow, _miil, yotn, 
   {{0x39461056,0x798200ab,0x39520009,0x79892b1c}},	//   seos_, skow, žys_, _elew, 
   {{0x63ba2b1d,0x39460503,0x290f2b1e,0x637f02aa}},	//   votn, peos_, baga_, _gêni, 
   {{0x6d562b1f,0x61e400c8,0x290f2b20,0x63ba0035}},	//   ndya, _niil, caga_, wotn, 
   {{0x98a32b21,0x60c42b22,0x7c360727,0x61ea002e}},	//   _жите, _nyim, ntyr, _sufl, 
   {{0xd37a2b23,0x63a8016a,0x61e400a1,0xdb170068}},	//   рчи_, undn, _aiil, toxé, 
   {{0x63ba2b24,0x326600dd,0xa3ab02e6,0x60cd23f8}},	//   rotn, ітов, _गदर_, _szam, 
   {{0x63ba2b25,0xdb170068,0x60c40610,0xe5780243}},	//   sotn, roxé, _byim, _puķu_, 
   {{0x63ba008b,0x9f490165,0x490b119b,0x60c40610}},	//   potn, _itaú_, ारतो_, _cyim, 
   {{0x290f2b26,0xa2940965,0x60cd008b,0xdb170183}},	//   zaga_, _налі, _vzam, poxé, 
   {{0x290f2b27,0x3f83003e,0x61e42b28,0x60c401b8}},	//   yaga_, rkju_, _fiil, _eyim, 
   {{0xf1a4005e,0x3f832b29,0x1b040086,0x61e40008}},	//   _орын, skju_, _লাগে_, _giil, 
   {{0x6ebb0509,0x60cd2b2a,0x290f2b2b,0x637f019c}},	// [1e50] _शुरु, _uzam, vaga_, _sêni, 
   {{0x290f2b2c,0x69c024a5,0x637f2b2d,0xddeb009c}},	//   waga_, _akme, _pêni, _پرده_, 
   {{0xdced08b1,0x290f2b2e,0xdb07003e,0xfc3f0108}},	//   ljač, taga_, _skjó, _axít_, 
   {{0xb9e8004e,0xe81c029c,0x00000000,0x00000000}},	//   іміз_, _निशा_, --, --, 
   {{0x290f2b2f,0x64460095,0xa804012d,0xf84b00b3}},	//   raga_, çkil, дзіл, рчей_, 
   {{0x290f2b30,0x637f02a0,0x69c0027e,0x20092b31}},	//   saga_, _têni, _ekme, _mwai_, 
   {{0x64420c1f,0xf96b2b32,0x290f2b33,0x38690474}},	//   _apoi, _край_, paga_, ţar_, 
   {{0xe79500d6,0x76410228,0x799b0c36,0x64420038}},	//   _کارک, _vply, _umuw, _bpoi, 
   {{0xdced14f0,0xd7f80978,0x68e9008a,0x69d90532}},	//   jjač, _дух_, _iged, mmwe, 
   {{0xdced044e,0x69d92b34,0x61e42b35,0x644202be}},	//   djač, lmwe, _siil, _dpoi, 
   {{0x4b7c0137,0x7641014b,0x61e40341,0xbcfb2b36}},	//   יאזו, _uply, _piil, _aném, 
   {{0xe80209e5,0x644f055f,0x42c800d3,0x27ed023e}},	//   रीका_, æcis, өгөн_, _kuen_, 
   {{0x27e52279,0x290d084c,0x61e42b37,0xe5c4012d}},	//   _kiln_, _meea_, _viil, _ўсхо, 
   {{0xdce4090e,0x2d8b02be,0x221500fd,0xdb1c009e}},	//   ljić, _alce_, _ефир, _akrî, 
   {{0x61e42b38,0x63a12b39,0x257100da,0x68e9052b}},	//   _tiil, miln, _sály_, _oged, 
   {{0x68e92b3a,0xdce403f5,0x63a12725,0x6579018e}},	//   _nged, njić, liln, _jowh, 
   {{0x8c432b3b,0x27ed0a9f,0x27f8008b,0x63ad0183}},	// [1e60] нете, _nuen_, _črno_, _íans, 
   {{0xe7ef0262,0x63a11eeb,0x68e905ca,0x753b2b3c}},	//   _चढ़ा_, niln, _aged, hfuz, 
   {{0x7c362379,0x6ac600eb,0x628108f5,0x5eda0033}},	//   styr, أقام, nylo, _ব্রে, 
   {{0xb4ea0081,0x27ed0086,0x290d002e,0x7e6101cc}},	//   _मले_, _buen_, _ceea_, ælpe, 
   {{0x7d042b3d,0xa3cb11c1,0x63a12b3e,0x9f41011c}},	//   mbis, लता_, kiln, _sihé_, 
   {{0x26c5000d,0x27ed02ba,0x69d92b3f,0x68ff0095}},	//   _bylo_, _duen_, amwe, ıqda, 
   {{0x63a12b40,0x6b632b41,0x68ed2b42,0xa3c1007e}},	//   diln, _якра, žada, ूतन_, 
   {{0xb608031e,0x7f8b0095,0x7d042b43,0xe9440116}},	//   jišť, _müqa, nbis, _ترسی, 
   {{0xdb050634,0x7d042b44,0xbcfb0032,0x7ae1009e}},	//   cohó, ibis, _poéz, _ûltr, 
   {{0xfbbe1971,0x63a11bae,0x57fb00a7,0xb5fc00a4}},	//   ्तिम, giln, _ללמו, _arġe, 
   {{0x27ed0414,0x7c2402f1,0x2009095a,0x00000000}},	//   _zuen_, hrir, _swai_, --, 
   {{0xa3e7190a,0x7c242b45,0x320200da,0x63a101be}},	//   _मूक_, krir, ďky_, ailn, 
   {{0x63a12b46,0x53342b47,0x7d040fd3,0xfbbe2b48}},	//   biln, _желт, dbis, ्ताम, 
   {{0x62812b49,0x7c242b4a,0x7d0400c2,0x00000000}},	//   bylo, drir, ebis, --, 
   {{0xdced1993,0x433b00a7,0x777a2b4b,0xe3b30070}},	//   sjač, _העוב, _motx, _אױס_, 
   {{0x7c242b4c,0x7d041a71,0xb6060613,0x3eac00de}},	//   frir, gbis, mošć, _šitý_, 
   {{0x7c242b4d,0xb6061993,0x3b552b4e,0x00000000}},	// [1e70] grir, lošć, мкар, --, 
   {{0x44240a92,0x290d0415,0x2fc70108,0xeb9b039f}},	//   irm_, _seea_, _óng_, حضرت_, 
   {{0xdd9511db,0xb606003a,0x7c242b4f,0xbefb0299}},	//   _жаны, nošć, arir, ्रीन_, 
   {{0x290d0226,0xdb1c007a,0x442400da,0xf1bf02be}},	//   _qeea_, _bhró, krm_, noá_, 
   {{0x27ed2b50,0xdb1724d3,0x62810db7,0x7c240107}},	//   _quen_, loxí, zylo, crir, 
   {{0x777a00d3,0x3dc92b51,0x7d1d0864,0xf7710038}},	//   _cotx, llaw_, _hdss, ضات_, 
   {{0x63a12b52,0x4424008a,0x7d0f010e,0x777a00b4}},	//   viln, erm_, _kecs, _dotx, 
   {{0xb60600d0,0x63a10035,0x3dc90f39,0x4975012d}},	//   došć, wiln, nlaw_, _ўлас, 
   {{0x63a12b53,0x473502f1,0xbcfb0175,0x69c30107}},	//   tiln, _онас, _anék, îneu, 
   {{0x645b2b54,0x62812b55,0x7d0f010e,0x00000000}},	//   rvui, tylo, _lecs, --, 
   {{0x63a102ee,0xb6062b56,0xa91d0a1a,0x3ce60228}},	//   riln, gošć, _alži, ľovi_, 
   {{0xa0a62b57,0x7d0f0226,0x7c24003e,0x777a00b4}},	//   дамд, _necs, yrir, _zotx, 
   {{0x63a12b58,0xbcfb0228,0x3dc902dc,0x31b90098}},	//   piln, _inéh, dlaw_, nézy_, 
   {{0x7c242b59,0x637f02be,0xf8ab0108,0x7df50028}},	//   vrir, _cênt, _đời_, _sąsa, 
   {{0xafe32b5a,0x7d0f010e,0xdb170042,0x25ad0b41}},	//   торл, _becs, goxí, onel_, 
   {{0x25ad2b5b,0x7c242b5c,0x25bf020f,0x637f02be}},	//   nnel_, trir, noul_, _vênu, 
   {{0x7d042b5d,0xdca32b5e,0x629c23f2,0xa01b00c8}},	// [1e80] rbis, вати, úrov, lyön, 
   {{0x25bf0237,0x7c242b5f,0xdcef020f,0x637f02be}},	//   houl_, rrir, _pocă, _tênu, 
   {{0xdb1c01fd,0x68ed0032,0x3dc900f8,0x00000000}},	//   _bhrò, ľadn, blaw_, --, 
   {{0x7c240093,0x3dc92b60,0xdb1c0358,0xda650038}},	//   prir, claw_, _phró, عالي, 
   {{0xb8f60d95,0xdb1c01be,0x25bf2b61,0x6c0300b3}},	//   _हर_, _dhrò, doul_, _изяз, 
   {{0xbcfb0574,0x4b5500fd,0xa634017b,0x00000000}},	//   _anéh, _пъст, енкі, --, 
   {{0x2b580097,0x9f8d003e,0x00000000,0x00000000}},	//   _iarc_, nþá_, --, --, 
   {{0xa5341a68,0x2d9202a2,0xb606090e,0xbf0a009a}},	//   хнич, nhye_, vošć, वरुन_, 
   {{0xa8c302f1,0x29062b62,0x777a2b63,0x00000000}},	//   _айтд, mboa_, _totx, --, 
   {{0xb606090e,0x2b582b64,0x42742b65,0x00000000}},	//   tošć, _jarc_, егос, --, 
   {{0xa2c112e3,0x3218026e,0x2b582b66,0x25bf2b67}},	//   _रुद्, éry_, _marc_, boul_, 
   {{0xe4a611f0,0xc4861745,0x68e400ef,0xb6060a1a}},	//   _орло, _олек, židu, rošć, 
   {{0xa3e705fd,0xbf0a00a2,0xc05824cf,0x10742b68}},	//   _मंच_, वरून_, мір_, вляю, 
   {{0x0efb2b69,0x2b582b6a,0x47cc0086,0x533400d3}},	//   ्रेस_, _narc_, াদকী, _чект, 
   {{0x9e340161,0x3ceb2b6b,0x5e5800b3,0xf1bf02be}},	//   керч, _pgcv_, миря_, poá_, 
   {{0x3dc9012b,0xcdd80267,0x637f040b,0xa1a80259}},	//   ulaw_, дњу_, _fêns, _отыз_, 
   {{0x7d02033c,0x3dc92b6c,0x7d0f2b6d,0x2b58017c}},	// [1e90] ñosa, rlaw_, _vecs, _barc_, 
   {{0xdb1c01f5,0xdb1e023e,0x00000000,0x00000000}},	//   _shrò, nopè, --, --, 
   {{0xb50e00a5,0x7d0f2b6e,0xdb1c01c5,0x25ad2b6f}},	//   सराय_, _tecs, _phrò, ynel_, 
   {{0x645c00e0,0x68ed0228,0x31b92b70,0x00000000}},	//   ārij, ľado, tézy_, --, 
   {{0x68ed026e,0x2b582b71,0x201900c8,0x6cfa0486}},	//   žado, _farc_, nssi_, _מפרס, 
   {{0x7c2d2b72,0xb17b0b48,0x00000000,0x00000000}},	//   muar, lmåd, --, --, 
   {{0x7c2d03f6,0x2bbe0497,0x1995058b,0xbcfb0165}},	//   luar, ्तरा, _завя, _anéi, 
   {{0xc8670093,0x6d4d2b73,0x25ad107c,0x00000000}},	//   _отзи, neaa, unel_, --, 
   {{0x38342b74,0x7c2d2b75,0x25bf00b3,0x68fb0027}},	//   _интр, nuar, roul_, _ifud, 
   {{0x25ad2b76,0xe29902a6,0x25bf0034,0x69cb2b77}},	//   snel_, зао_, soul_, llge, 
   {{0x2d89016a,0x25ad01be,0x7c2d2b78,0x69cb0326}},	//   kkae_, pnel_, huar, olge, 
   {{0x7c2d2b79,0xa3cf017d,0x6026286c,0x865a00df}},	//   kuar, _वीर_, ндма, _מדעי, 
   {{0x656b2b7a,0xbcfb00eb,0x7c2d2b7b,0x04450488}},	//   _ingh, _gnéi, juar, _челн, 
   {{0x7c2d2b7c,0xdb1e024a,0x442d2b7d,0x69cb0380}},	//   duar, ropë, mue_, hlge, 
   {{0x442d2b7e,0x2019216b,0x68fb052b,0x00000000}},	//   lue_, assi_, _ofud, --, 
   {{0xbefb02e6,0x7c2d007a,0x0efb0299,0x68fb01b8}},	//   ्रॉन_, fuar, ्रॉस_, _nfud, 
   {{0x2b582b7f,0x7c2d2b80,0x6aa803a2,0x656b02cd}},	// [1ea0] _parc_, guar, कप्र, _mngh, 
   {{0x2d92024d,0xa3c108b4,0x68fb0539,0x68ed23f2}},	//   shye_, ूति_, _afud, žadl, 
   {{0x3ea62b81,0xa92624a8,0x27ff1e89,0x6376020f}},	//   _чинг, едел, _atun_, _pânz, 
   {{0xb17b014e,0x442d2b82,0xdb050218,0x7c2d2b83}},	//   rmåg, kue_, nihê, buar, 
   {{0xc7c62128,0x7d1601ff,0x6376002e,0x6e2e017e}},	//   нски, mays, _vânz, lubb, 
   {{0x7d162b84,0x656b2b85,0xfaa60f91,0x29062b86}},	//   lays, _angh, _заго, sboa_, 
   {{0xbbbe09d8,0x442d0212,0x6e3c084c,0x21200574}},	//   ्तीक, eue_, ntrb, _odih_, 
   {{0x7d1606e4,0x09e32b87,0xd49a0176,0x2c520118}},	//   nays, _босн, зро_, _kņd_, 
   {{0x442d24bb,0x73d80470,0x98af0028,0x34940afc}},	//   gue_, мдир_, degė_, тапр, 
   {{0x656b0156,0x7d162782,0x96962b88,0x21200118}},	//   _engh, hays, _преш, _adih_, 
   {{0x7c2d2b89,0x7d160080,0xd5af00f0,0xbcfb0212}},	//   zuar, kays, _бс_, _inév, 
   {{0x6e2e2b8a,0xdce605d5,0xdb05009e,0x0efb017d}},	//   dubb, _ankč, gihê, ्र्स_, 
   {{0x5fd2007e,0x7d162b8b,0x7c2d2b8c,0xa2cc0249}},	//   _दीहल, days, xuar, _हरक्, 
   {{0x201901ad,0x21200175,0x7c2d021e,0x00000000}},	//   rssi_, _edih_, vuar, --, 
   {{0x5d672b8d,0x6f1514fd,0x656b02bf,0x6e2e2b8e}},	//   нтаз, razc, _yngh, gubb, 
   {{0x7d160104,0x7c22003d,0x7c2d2b8f,0x40950038}},	//   gays, ġorn, tuar, _للبر, 
   {{0xb81c1c25,0x6d4d2b90,0xdefb14c1,0x00000000}},	// [1eb0] _निगम_, reaa, _нын_, --, 
   {{0x7c2d21c3,0x6e2e2b91,0x3df52675,0xb17b02c9}},	//   ruar, bubb, _изос, småd, 
   {{0x442d0a9f,0x6d4d2b92,0x6db50ecf,0xf778008a}},	//   zue_, peaa, _айну, _jiħu_, 
   {{0x27ff085b,0xa91d008b,0x3c4301dd,0xdeb200f0}},	//   _ptun_, _možg, tīvā_, _тұсы, 
   {{0x7c2d2b93,0xe10c00c7,0x8d8400b3,0x89340038}},	//   quar, פּאָ, _суэд, اعما, 
   {{0x442d2b94,0xb6a502f1,0xa3cf0035,0x39440102}},	//   vue_, килл, _वीं_, _ebms_, 
   {{0xead400c8,0x00000000,0x00000000,0x00000000}},	//   _борь, --, --, --, 
   {{0x442d2b95,0x27ff00b4,0x05652b96,0xa01b0080}},	//   tue_, _ttun_, твин, työl, 
   {{0xe43200eb,0x27ff002c,0x00000000,0x00000000}},	//   لفيد, _utun_, --, --, 
   {{0x442d2b97,0x394f2b98,0xdb1e2b99,0x260e009a}},	//   rue_, legs_, topé, णीही_, 
   {{0x200000d9,0x442d00a7,0x27f80352,0xfbd200d1}},	//   _stii_, sue_, _črni_, שתי_, 
   {{0xdb1e2b9a,0x656b2b9b,0x0f0a0179,0xe4d90038}},	//   ropé, _ungh, वर्स_, _قوات_, 
   {{0x442d2b9c,0x8edf00cc,0x45d400c8,0x21200604}},	//   que_, _ব্লগ, _соцс, _vdih_, 
   {{0x03a511f8,0xdb1c024c,0x00000000,0x00000000}},	//   _шило, _okrá, --, --, 
   {{0x6da607a4,0x7d162b9d,0x7d02033c,0x224701d6}},	//   вива, tays, ñoso, _upnk_, 
   {{0x6e2e2b9e,0x12e800c7,0xdd9208cb,0x320500d1}},	//   rubb, _אַפּ, جور_, mply_, 
   {{0xa91d02f5,0x7d162b9f,0x2bf62ba0,0x67211a35}},	// [1ec0] _možd, rays, тябр, _odlj, 
   {{0x6e2e2ba1,0x7d162ba2,0xaf0a0038,0xb17b0566}},	//   pubb, says, _تقدم_, rmåe, 
   {{0xa3c22ba3,0x7d160212,0x00000000,0x00000000}},	//   ंवत_, pays, --, --, 
   {{0x7d16040c,0x637e02d9,0x7bde011c,0x00000000}},	//   qays, _záně, smpu, --, 
   {{0xe947010e,0x2578020b,0x17a20176,0x00000000}},	//   ئرمی, _gély_, ақаҳ, --, 
   {{0xfaa603dc,0xe81301a4,0x6cb30259,0xa09b2737}},	//   _ҷаҳо, _डबरा_, _төст, וינט, 
   {{0x6ae000cc,0xfaa601a2,0x98b2027e,0x00000000}},	//   _প্রো, _раво, ıyı_, --, 
   {{0x32540176,0x80d30110,0x00000000,0x00000000}},	//   ҳвор, _ठरले, --, --, 
   {{0xdb1c00bc,0x00000000,0x00000000,0x00000000}},	//   _zkrá, --, --, --, 
   {{0xf3662ba4,0x27f9023e,0xa91d0144,0x00000000}},	//   ттин, _ésna_, _požg, --, 
   {{0x79800727,0x66e6220f,0x00000000,0x00000000}},	//   _komw, _рожа, --, --, 
   {{0x316d2ba5,0xfbdf00f8,0x00000000,0x00000000}},	//   ñez_, _apêl_, --, --, 
   {{0x79800727,0x60d60083,0x9476007a,0x00000000}},	//   _momw, _czym, _جداا, --, 
   {{0x9e352ba6,0x547b00a7,0x79800727,0x9f5205d5}},	//   легч, _קטגו, _lomw, _juyè_, 
   {{0x2bec02e6,0xdb0602d9,0x63a82ba7,0x236e018e}},	//   _अंजू_, ámýc, midn, _infj_, 
   {{0xa91d026e,0x7bc70dcb,0x7e6522ed,0x62882ba8}},	//   _kože, _skju, _vrhp, mydo, 
   {{0xdb1c2ba9,0xebd907a4,0x62880009,0xfbd908bd}},	// [1ed0] _skrá, едаш_, lydo, едај_, 
   {{0xa91d02f5,0x4ea72baa,0x8f5502fb,0x61ed00a9}},	//   _može, _арма, _свої, _hial, 
   {{0x61ed2bab,0xa91d015e,0x7980040b,0x00000000}},	//   _kial, _lože, _bomw, --, 
   {{0xaa642bac,0x60cd0547,0xafdb02c9,0x629a01d6}},	//   штук, _kyam, stød, izto, 
   {{0xa3c2047b,0x61ed2bad,0xa91d044e,0x6d5d2bae}},	//   ंवा_, _mial, _nože, _iasa, 
   {{0x75222baf,0x60cd016c,0xab842bb0,0x00000000}},	//   _adoz, _myam, _куск, --, 
   {{0x6d5d2bb1,0xe5a52bb2,0x7bc52bb3,0x27ec00a7}},	//   _kasa, лики, mohu, _didn_, 
   {{0x61ed2bb4,0xe4591853,0x60cd2bb5,0x7bc52bb6}},	//   _nial, ежи_, _oyam, lohu, 
   {{0x60cd2bb7,0xa91d0bad,0x69c90102,0x00000000}},	//   _nyam, _vožd, _ikee, --, 
   {{0x6d5d2bb8,0x2bd902c3,0x490b000d,0x75220a9f}},	//   _lasa, _बीमा, ारको_, _edoz, 
   {{0x61ed2bb9,0x60cd2bba,0x6d5d0054,0x7980030b}},	//   _bial, _ayam, _oasa, _yomw, 
   {{0x6d5d2bbb,0x60cd23cb,0x74b9065b,0x00000000}},	//   _nasa, _byam, _пулс_, --, 
   {{0x44292bbc,0x343900c7,0x0d8602f1,0x7bc50fae}},	//   _ía_, _נײַע, қлан, kohu, 
   {{0x94740071,0x443f2bbd,0x63a805ae,0x6d5d2bbe}},	//   _خدما, mtu_, cidn, _aasa, 
   {{0xa2ca0f01,0x61ed2bbf,0x2258055f,0x62880035}},	//   _सुप्, _fial, ærkt_, cydo, 
   {{0xed572bc0,0x5bbe0cbd,0x61ed2bc1,0x5de62bc2}},	//   лос_, ्त्व, _gial, ужба, 
   {{0x443f2bc3,0xbcfb00b9,0x2004007a,0x3ba40176}},	// [1ee0] ntu_, _anés, ímid_, алаҳ, 
   {{0x443f2bc4,0xa09b0070,0x69c92bc5,0x69db025b}},	//   itu_, _נייט, _akee, _ahue, 
   {{0x443f2bc6,0x6da62bc7,0x69db0038,0xba2600d9}},	//   htu_, _бина, _bhue, удек, 
   {{0x6d5d2bc8,0x644b02c9,0x8d5621f3,0x7d56004f}},	//   _gasa, _opgi, _сточ, _стої, 
   {{0x443f2bc9,0xa2ca036e,0xbcfb033c,0x8eb3009c}},	//   jtu_, _सुन्, _enés, _نمیش, 
   {{0x6d5d138c,0xdb1c055f,0x7c2b0a6d,0x79800727}},	//   _zasa, _skræ, ágre, _womw, 
   {{0x6d5d2bca,0xb8eb000c,0xbb3b00c7,0x56942bcb}},	//   _yasa, _रु_, _רעלי, райт, 
   {{0xa91d00d0,0x6d5d0287,0x7df50009,0x69c900b4}},	//   _pože, _xasa, _sąsk, _gkee, 
   {{0x61ed057f,0x63a8014e,0x20e30367,0x7bdc2bcc}},	//   _rial, tidn, _गणेश_, _khru, 
   {{0x2d822bcd,0x61ed2bce,0xdb052bcf,0xf2062bd0}},	//   _loke_, _sial, tihé, лямо, 
   {{0xf3632bd1,0x443f2bd2,0x3f812bd3,0xd5af0296}},	//   стын, atu_, _rohu_, _کفن_, 
   {{0x443f2bd4,0x62882bd5,0xa91d008b,0x7bc50053}},	//   btu_, rydo, _tože, zohu, 
   {{0x629a2bd6,0x61ed2bd7,0x7bc50053,0x143900d4}},	//   szto, _vial, yohu, _لينک_, 
   {{0x6d5d2bd8,0x60cd17ed,0x98a90083,0xd3700038}},	//   _sasa, _vyam, żać_, _ذهب_, 
   {{0x6d5d2bd9,0xcddb0d37,0x6d442bda,0x2d822bdb}},	//   _pasa, ења_, ffia, _boke_, 
   {{0x2d582bdc,0x6d5d2bdd,0xdb05078a,0x5d5502a0}},	//   лись_, _qasa, gihî, јкат, 
   {{0x6d5d2bde,0x7bdc0094,0x65600038,0xbf9b0216}},	// [1ef0] _vasa, _bhru, idmh, npêk, 
   {{0x6d5d2bdf,0x7bdc0a9a,0x69c92be0,0x9d150086}},	//   _wasa, _chru, _skee, িলেন_, 
   {{0x6d5d2be1,0x443f02ba,0xdeb2005e,0x2d8202a2}},	//   _tasa, ztu_, _дұры, _foke_, 
   {{0x6d5d0a75,0xbcfb2be2,0x64402be3,0x25fb0035}},	//   _uasa, _enér, ktmi, _लंबी_, 
   {{0x443f2be4,0xb8fd15c8,0xe8f82be5,0x9987010e}},	//   xtu_, _डर_, улі_, énő_, 
   {{0x8ae71222,0x7bdc0a75,0xab9500f0,0x321e0035}},	//   _бібл, _ghru, _тигі, ksty_, 
   {{0x69db2be6,0x61fc0183,0x01d60033,0x98a700ca}},	//   _thue, írll, _সংসদ, điđi_, 
   {{0x443f2be7,0x14252be8,0x7c2d2bc1,0x7bdc0356}},	//   ttu_, адим, orar, _zhru, 
   {{0x998400eb,0x443f2be9,0xa91d008b,0x765a00f8}},	//   _القو, utu_, _tožb, _esty, 
   {{0x395f2bea,0x443f2beb,0x25a62bec,0x7d0d10fd}},	//   _haus_, rtu_, _emol_, hbas, 
   {{0x395f2bed,0x65952bee,0xd57520f7,0xe10a15f5}},	//   _kaus_, _кажу, _вуль, кенд_, 
   {{0x9f49008c,0x7c2d2bef,0x6459084c,0x29350070}},	//   _stað_, krar, _tswi, סאָן_, 
   {{0x2d82008b,0x395f2bf0,0x64590548,0x20ba16d0}},	//   _roke_, _maus_, _uswi, тынь_, 
   {{0x395f01a0,0xa2e501bb,0x442d2265,0x765a02bf}},	//   _laus_, _колд, mre_, _ysty, 
   {{0xeab0100b,0xa3c22bf1,0x7c2d01f1,0x2d822bf2}},	//   _কর্ম, ंवर_, erar, _poke_, 
   {{0x442d0141,0x7bdc2bf3,0x7d0d2bf4,0x395f2bf5}},	//   ore_, _shru, gbas, _naus_, 
   {{0x7c2d2bf6,0x6db70112,0x6d442bf7,0xed572bf8}},	// [1f00] grar, pćan, rfia, шот_, 
   {{0x442d2bf9,0x31602bfa,0x8b26004f,0x25a902d9}},	//   ire_, _haiz_, рдже, čaly_, 
   {{0x6f1c04ff,0x442d2bfb,0x7d0d2bfc,0x9d462bfd}},	//   marc, hre_, bbas, _кенд, 
   {{0xd9462bfe,0x442d2bff,0xdb1c014e,0x395f2c00}},	//   реди, kre_, _skrä, _caus_, 
   {{0x7c2d002e,0x395f023b,0x442d2c01,0xed570093}},	//   crar, _daus_, jre_, _тоя_, 
   {{0x442d0bf7,0x0eba00a5,0x7df52c02,0xa50e0551}},	//   dre_, _उखाड, _sąsi, सर्च_, 
   {{0x395f023b,0xe8fa002e,0x660302a0,0x70d3031e}},	//   _faus_, _алб_, опја, _सर्ल, 
   {{0x442d2c03,0x6f1c2c04,0x31600a9f,0x85742c05}},	//   fre_, harc, _naiz_, слих, 
   {{0x57ea1472,0x442d0be0,0x6fc6009a,0x18a62c06}},	//   _адам_, gre_, लकां, _таам, 
   {{0x46a60141,0x07a31eec,0x394604ef,0x883b00a7}},	//   _казв, _даун, lfos_, _בתמו, 
   {{0x442d2c07,0x64402c08,0x6f1c2c09,0x395f006f}},	//   are_, stmi, darc, _yaus_, 
   {{0x442d2c0a,0x044616e1,0xa91d015e,0xa50a2c0b}},	//   bre_, _ведн, _koža, _реда_, 
   {{0x6f1c1115,0x2fc70023,0xdcef01dd,0x9f84003e}},	//   farc, _ưng_, ādīt, töð_, 
   {{0x6f1c1c6e,0x7c2d0012,0xa91d0121,0x53332c0c}},	//   garc, vrar, _moža, _дешт, 
   {{0x31602c0d,0x3da72c0e,0xbe882c0f,0xa3110032}},	//   _faiz_, араб, асте_, äčšo, 
   {{0x527b042c,0xdd982c10,0xb1152c11,0x70591271}},	//   _ינוא, ашу_, _умиш, _баир_, 
   {{0x7d0d2c12,0x7c2d2c13,0xdce6012d,0x395f2c14}},	// [1f10] rbas, urar, _mokė, _raus_, 
   {{0x7c2d01d6,0x395f2c15,0x6f1c2c16,0xd9bf0586}},	//   rrar, _saus_, carc, एक्ट, 
   {{0x395f2c17,0x2bbe0394,0x442d010e,0x7d0d039b}},	//   _paus_, ्तजा, zre_, pbas, 
   {{0x442d2c18,0x395f006d,0x7c2d2c19,0x75e7010e}},	//   yre_, _qaus_, prar, _tűzi, 
   {{0x395f006d,0x9f40022c,0x4dda00d1,0x3b1812ed}},	//   _vaus_, _guió_, _תחרו, _ferq_, 
   {{0x442d2c1a,0x06b20086,0xd874009c,0x9a8711e6}},	//   vre_, য়েছি, تامب, _кубл, 
   {{0xa6c92c1b,0x395f006f,0x442d010c,0xbf9b010c}},	//   ылка_, _taus_, wre_, rpêh, 
   {{0x6f1c2c1c,0xa2c1009a,0xa2ca0425,0xa3cf009a}},	//   zarc, _रुग्, _सुध्, _वीज_, 
   {{0x442d2c1d,0x7f8b06d0,0x291d2c1e,0x31600deb}},	//   ure_, _hüqu, mawa_, _raiz_, 
   {{0x442d0549,0x291d2c1f,0x31600938,0x61f80571}},	//   rre_, lawa_, _saiz_, _buvl, 
   {{0xa2ca00a2,0x442d0019,0x6f1c2c20,0xb17b05ac}},	//   _सुद्, sre_, varc, rmån, 
   {{0x442d20b9,0x291d2c21,0xd00a2c22,0x68ed026e}},	//   pre_, nawa_, леме_, žadu, 
   {{0x6f1c2c23,0x3160192c,0x764302a2,0x7dfc03a0}},	//   tarc, _vaiz_, ltny, _pčso, 
   {{0x291d2c24,0x7643016a,0xafe62c25,0xdb1e2c26}},	//   hawa_, otny, согл, kopá, 
   {{0x291d2c27,0x2d962c28,0x7761010c,0x38660098}},	//   kawa_, брас, _malx, zvor_, 
   {{0x6da31996,0x6f1c2c29,0x2b4a016a,0x7643016a}},	//   писа, sarc, _sbbc_, itny, 
   {{0x249f027c,0x291d2c2a,0xcaf600eb,0xa06a004e}},	// [1f20] nzum_, dawa_, مساب, _сапа_, 
   {{0xa91d2c2b,0xa3dd07d5,0x61e6098d,0x76432c2c}},	//   _roža, _थीम_, lmkl, ktny, 
   {{0xdb070019,0x25ad2c2d,0xb17b14a4,0xa91d0144}},	//   ámár, kiel_, kmål, _soža, 
   {{0x291d2c2e,0x386614f0,0xa91d0e25,0x38cb0116}},	//   gawa_, tvor_, _poža, گامی_, 
   {{0x53c706c9,0x25ad0187,0x6d562c2f,0x39462c30}},	//   रकाश, diel_, meya, rfos_, 
   {{0x6d562c31,0x38cb00d4,0xdb1e0183,0x9b960038}},	//   leya, دامی_, bopá, _الست, 
   {{0x25ad0285,0xdb1c0032,0x00000000,0x00000000}},	//   fiel_, _okrú, --, --, 
   {{0xd9432c32,0x2d8008b0,0x6d562c33,0x25ad2c34}},	//   _неси, njie_, neya, giel_, 
   {{0x76432c35,0xf8dc00b0,0x61f82c36,0x9f41009e}},	//   atny, _बरिय, _suvl, _cihû_, 
   {{0x5c5b00c7,0x6d562c37,0x388e00e0,0x6dac010c}},	//   נדיק, heya, _vērā_, xşan, 
   {{0xa91d0f58,0x25ad12f5,0x6d562c38,0x21790504}},	//   _možn, biel_, keya, айны_, 
   {{0x25ad2c39,0x73d9022c,0xa91d00bc,0x6d56009e}},	//   ciel_, лдөр_, _ložn, jeya, 
   {{0x6d562c3a,0x2d80018c,0x7df50009,0x23e603bd}},	//   deya, djie_, _ląst, _лікв, 
   {{0x291d00ab,0xdbf1031e,0x2ca000ef,0x9294088a}},	//   zawa_, _příl, dzid_, _малц, 
   {{0x291d2c3b,0xfdc400a5,0x6d562c3c,0x00000000}},	//   yawa_, वकूफ, feya, --, 
   {{0x6d56009c,0x2d80021e,0x00000000,0x00000000}},	//   geya, gjie_, --, --, 
   {{0x21291275,0x4dd40038,0x00000000,0x00000000}},	// [1f30] _idah_, ستفس, --, --, 
   {{0xdea4040f,0x291d2b22,0x2009019b,0x25ad2c3d}},	//   _کیفی, wawa_, _itai_, ziel_, 
   {{0x6d562c3e,0x9f8400b0,0x21290574,0x2d850212}},	//   beya, töö_, _kdah_, êles_, 
   {{0x6ab90a34,0x291d0053,0x8f55009c,0xe3b800ad}},	//   _आशीर, uawa_, _انگش, hnı_, 
   {{0xf7700399,0x25ad2c3f,0x2d9901da,0xc9740038}},	//   کان_, viel_, _ilse_, ثالث, 
   {{0x291d2c40,0x25ad038c,0x776100ad,0xdb150237}},	//   sawa_, wiel_, _qalx, _ekzò, 
   {{0x19950009,0x291d095a,0x25ad2c41,0x21290574}},	//   _давя, pawa_, tiel_, _odah_, 
   {{0x20090348,0x76432c42,0x7d1f021e,0x558900d9}},	//   _otai_, rtny, naqs, рбим_, 
   {{0x25ad2c43,0x92e60086,0xb17b0075,0x76432c44}},	//   riel_, যুৎ_, rmål, stny, 
   {{0x42252c45,0xb17b0d17,0x25ad2c46,0x7643016a}},	//   одов, smål, siel_, ptny, 
   {{0x80d100cc,0x6d562c47,0x25ad2c48,0x09b500c7}},	//   সেম্, yeya, piel_, ַפֿט_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x10a32c49,0x6d562c4a,0x69c30218,0x61e62c4b}},	//   диян, veya, îney, rmkl, 
   {{0x6d562c4c,0x21292c4d,0xaab90263,0xe3b32c4e}},	//   weya, _edah_, _आशंक, _عرش_, 
   {{0x59c908dd,0x2d800691,0x394d0065,0xa91d2c4f}},	//   िकार, tjie_, _obes_, _rožn, 
   {{0x753b2c50,0xa01b0080,0xee3700b3,0x00000000}},	//   nguz, työt, юнс_, --, 
   {{0x3b8601ba,0x8c432c51,0x5baa1628,0xae1a00a5}},	// [1f40] олаг, мете, акам_, _फौरन_, 
   {{0xa91d2c52,0x6d5603a0,0x394d0065,0x2d9900d1}},	//   _božo, seya, _abes_, _else_, 
   {{0xe8fa2c53,0x29040415,0x69cb16fa,0xfaa32c54}},	//   але_, _pfma_, foge, мафо, 
   {{0x7d1f00ad,0xfd12007a,0xe3b809c7,0x00000000}},	//   caqs, _تجد_, znı_, --, 
   {{0xa91d008b,0x386d0587,0xbcfb2c55,0x97c62c56}},	//   _tožn, _crer_, _kaén, ойде, 
   {{0x7c242c57,0x7d042c58,0xf09307e4,0x81c20033}},	//   msir, lcis, ונד_, ্গি_, 
   {{0x41ca29b0,0x69cb2c59,0xbf9b0107,0x7c242c5a}},	//   रवास, boge, mpêt, lsir, 
   {{0x69cb2c5b,0x7d042c5c,0x386d0118,0xa2ca0ed5}},	//   coge, ncis, _frer_, _सुष्, 
   {{0x7c242c5d,0xdb1e055f,0xc31e0086,0xb8660296}},	//   nsir, ropæ, _দাবি_, _بازو, 
   {{0x779200c5,0x7c242c5e,0x21290870,0x926a2c5f}},	//   _زیبا, isir, _sdah_, арма_, 
   {{0x20092c60,0xe3b82c61,0x69c30126,0x7dfc0237}},	//   _stai_, rnı_, éneg, _dčsk, 
   {{0x96330fb6,0x7c242c62,0xa1940965,0x79822c63}},	//   _ініц, ksir, даюч, njow, 
   {{0xa2ca000c,0x7c24044e,0x78a2014b,0x48b80086}},	//   _सुर्, jsir, nzov, _জরুর, 
   {{0x442600d0,0xc05800dd,0x69cb02f2,0x09b72c64}},	//   _ivo_, цію_, zoge, _अद्य, 
   {{0x44262c65,0x69cb0298,0xddab00d9,0xdef4021d}},	//   _hvo_, yoge, атал_, дпры, 
   {{0x212902f8,0x7c242c66,0x2bbf2c67,0x7520095a}},	//   _udah_, fsir, ्वभा, namz, 
   {{0x78a20bfc,0x69cb2c68,0x7c242c69,0x4426023e}},	// [1f50] jzov, voge, gsir, _jvo_, 
   {{0x09b3047b,0x69cb0547,0x63ba01c4,0x78a20228}},	//   ंच्य, woge, nntn, dzov, 
   {{0x69cb2c6a,0x59752c6b,0x75202c6c,0x7c240539}},	//   toge, зылу, kamz, asir, 
   {{0x442603ef,0x7d041e0c,0x44240065,0xceb20147}},	//   _ovo_, ccis, ksm_, _טיי_, 
   {{0x18692c6d,0x7d1d03c6,0x6c790070,0x44262c6e}},	//   сали_, _iess, _האָפ, _nvo_, 
   {{0x7d1d2c6f,0x69cb2c70,0x29dc0183,0xbdf81c03}},	//   _hess, soge, ríaa_, _دریا_, 
   {{0x442600a9,0xa2ca1d11,0x98bf00ca,0x29dc2c71}},	//   _avo_, _सुल्, _obuć_, mían_, 
   {{0xc4850fa7,0xf1c00098,0x386d00fc,0xdb1c00fb}},	//   злик, čák_, _trer_, _skrø, 
   {{0x7d1d0e95,0xe3b10040,0x937900eb,0x799b0102}},	//   _mess, فرد_, مصدر_, _iluw, 
   {{0xf8ae00d6,0x29dc08f4,0x798901a9,0x63792b8d}},	//   _حکم_, nían_, _hoew, ссир_, 
   {{0x442602f5,0x799b2c72,0x216a2c73,0x442400ca}},	//   _evo_, _kluw, бини_, asm_, 
   {{0x7d1d199a,0xe610009c,0xbcfb00d4,0xafdb017b}},	//   _ness, _ششم_, _saén, støl, 
   {{0xb4fa00a7,0x764b012d,0x92b50499,0x798908b0}},	//   _הפני, žnyč, تحکا, _moew, 
   {{0x7c24040c,0x6dac027e,0x2245012b,0x9f580248}},	//   vsir, rşam, ptlk_, _özün_, 
   {{0x7d1d02f2,0x29dc0503,0x2d962c74,0x6d4f01be}},	//   _bess, dían_, прас, _bbca, 
   {{0x7c242c75,0x7d1d2c76,0xb88300bc,0x91e32c77}},	//   tsir, _cess, _klíč, _поще, 
   {{0x7d1d2c78,0x7d042c79,0xe3190023,0x6da32107}},	// [1f60] _dess, rcis, _điể, хита, 
   {{0xa01b0088,0x29dc00e9,0x799b0539,0x7d040df7}},	//   pyör, gían_, _aluw, scis, 
   {{0x4efb0056,0x61e42c7a,0x7c242c7b,0xc33200a7}},	//   _להיו, _khil, ssir, תוב_, 
   {{0xd7fa005b,0x7d1d2c7c,0x799b011c,0xdb052c7d}},	//   бук_, _gess, _cluw, rihá, 
   {{0x29dc1056,0x61e40a75,0x799b01e5,0x7989011c}},	//   bían_, _mhil, _dluw, _doew, 
   {{0xc7a3081b,0x29dc0503,0x78a22508,0x07a32c7e}},	//   ничк, cían_, rzov, начн, 
   {{0x442606b6,0x7d1d2c7f,0xdb1e01c4,0x799b2c80}},	//   _svo_, _yess, ropä, _fluw, 
   {{0x2abb00a7,0x44260fa5,0x79890326,0xfaa60283}},	//   _המלא, _pvo_, _goew, _даҳо, 
   {{0x3a3a0405,0x2122023e,0x75202c81,0xa5070267}},	//   lupp_, dakh_, ramz, чења_, 
   {{0xe44f0084,0x61e42c82,0x6f1e090e,0x00000000}},	//   اضي_, _ahil, _nepc, --, 
   {{0x61e40a75,0xaabe00ae,0x7dda0c0c,0x2bbf1a21}},	//   _bhil, ्थिक, eïsm, ्वता, 
   {{0x61e42c83,0x4426003e,0x867b00d1,0xc10800b3}},	//   _chil, _tvo_, _לרבו, зэре_, 
   {{0x7d1d2c84,0xa91d2c85,0x61e41430,0x44260097}},	//   _ress, _božj, _dhil, _uvo_, 
   {{0x7d1d2c86,0xa91d2c87,0x29dc0068,0x6447020f}},	//   _sess, _rožm, xían_, ăjit, 
   {{0x7d1d00ce,0xd3e513b4,0x29dc0634,0x6d980183}},	//   _pess, _تقوی, vían_, _vían, 
   {{0x61e42c88,0xbcfb0042,0x6dac2c89,0x5d6400fd}},	//   _ghil, _gaél, nşah, нтуз, 
   {{0x6ecd2c8a,0x29dc0634,0x6c542c8b,0xa3d00e07}},	// [1f70] _दुरु, tían_, нкту, वकप_, 
   {{0x7d1d08b0,0x69c00242,0x7e6102c9,0xa2a0009a}},	//   _wess, _ajme, ælps, खनप्, 
   {{0x29dc128a,0x7d1d2c8c,0xecf90fb6,0xbb8400eb}},	//   rían_, _tess, _менш_, علمي, 
   {{0x6f1e2c8d,0xbcfb0175,0x4c95040c,0x00000000}},	//   _zepc, _kaém, _жимс, --, 
   {{0xa3cc2c8e,0x6d4d016a,0xa3c1009a,0x00000000}},	//   लवा_, mfaa, ्कम_, --, 
   {{0x2d8b0519,0x6d4d2c8f,0x21222c90,0x7989011c}},	//   _hoce_, lfaa, zakh_, _woew, 
   {{0xb8f42c91,0x6b83008c,0x29dc0183,0x79892c92}},	//   _सु_, öngu, cíao_, _toew, 
   {{0x6d4d2c93,0x24092c94,0x799b02cd,0x2d8b2c95}},	//   nfaa, онии_, _uluw, _joce_, 
   {{0xd4692b65,0xafdb0566,0x93592167,0x00000000}},	//   ципе_, rtøj, орну_, --, 
   {{0x61e42c96,0x2d8b0068,0x69d92c97,0x9f530107}},	//   _shil, _loce_, llwe, _fixé_, 
   {{0x61e42c98,0x95cb1a41,0x2a630175,0x00000000}},	//   _phil, _луда_, _jsjb_, --, 
   {{0x2d8b2c99,0x22a20574,0x6f1e0474,0x00000000}},	//   _noce_, _séké_, _sepc, --, 
   {{0x81c20086,0x69d9084c,0x27ff00c2,0x291f03dd}},	//   ্গল_, ilwe, _juun_, _meua_, 
   {{0x82351fdb,0x67232c9a,0x61e40056,0xe2992c9b}},	//   _قربا, nanj, _whil, _мал_, 
   {{0x020500cf,0x61e42c9c,0x2d8b0112,0x6d4d2c9d}},	//   _ўзин, _thil, _boce_, ffaa, 
   {{0x656905f0,0x67232c9e,0x291f0201,0x68fb2c9f}},	//   ndeh, hanj, _neua_, _ngud, 
   {{0x64492ca0,0x67231af7,0xbfc62ca1,0x2d8b2ca2}},	// [1f80] ntei, kanj, _обик, _doce_, 
   {{0xd9b803a2,0xbf9b009e,0x69d92a5a,0x6d4d01b8}},	//   ेक्ट, spêr, elwe, afaa, 
   {{0x6da6005e,0x236702ee,0x64492ca3,0x6d4d006d}},	//   _жина, _manj_, htei, bfaa, 
   {{0x2d8b2ca4,0x64492ca5,0x3a3a2ca6,0x29dc0068}},	//   _goce_, ktei, rupp_, ríao_, 
   {{0x26030f46,0xdcb9030f,0xc7c62035,0x67232ca7}},	//   _año_, _ещё_, мски, fanj, 
   {{0x31bb1d5b,0x65690d2d,0x29062ca8,0xdce4014b}},	//   _उद्ध, edeh, scoa_, ndič, 
   {{0x6e3c0126,0xc34e00e7,0x45d404e9,0x291f01e5}},	//   nurb, _bổng_, нокс, _feua_, 
   {{0xc34e001b,0x64492ca9,0x21200054,0xafdb0664}},	//   _cổng_, ftei, _neih_, ttøk, 
   {{0x13f40f82,0x29e80095,0x394402aa,0x6db70372}},	//   нзия, _uşaq_, _icms_, pćav, 
   {{0x672302f5,0x96960141,0x6e3c003e,0x68fb00b3}},	//   canj, _ореш, kurb, _zgud, 
   {{0xa2940c8b,0x777a01ca,0xbcfb002c,0xf2c62caa}},	//   хані, _intx, _saém, ьсин, 
   {{0x14af009a,0x40352cab,0x200002a5,0x64490380}},	//   _जेवण, немс, _buii_, btei, 
   {{0x14e2203f,0x2d8b031e,0xdb1c2cac,0x3a2a0126}},	//   _परिण, _roce_, _skrý, _lvbp_, 
   {{0x61ee0187,0x200000a1,0x7c36023a,0x00000000}},	//   _ďale, _duii_, dryr, --, 
   {{0x2bbf2cad,0x2d8b0ab4,0xdb0e00f6,0x6e3c01d5}},	//   ्वसा, _poce_, _imbè, gurb, 
   {{0x23670707,0xa2ad000d,0x7d160326,0x21200175}},	//   _zanj_, ुपर्, gbys, _geih_, 
   {{0x2d8b12b3,0xf1bf026e,0xab7502f1,0x67232cae}},	// [1f90] _voce_, mná_, нгаш, yanj, 
   {{0xf1bf063b,0xa3e40790,0x291f03a1,0x6d4d2caf}},	//   lná_, _भीम_, _seua_, sfaa, 
   {{0x6e3c270f,0x2d8b0036,0xdb1c0098,0x69d9084c}},	//   curb, _toce_, _ukrý, tlwe, 
   {{0xf1bf2cb0,0xa91d0f4c,0x67232cb1,0x777a01f1}},	//   nná_, _koži, wanj, _antx, 
   {{0x672303ef,0xdb0e00d7,0x644911a5,0x31692cb2}},	//   tanj, _ombè, xtei, _maaz_, 
   {{0xf77100eb,0xa3dd00ab,0x23dd03ce,0x66e52cb3}},	//   طات_, _थीं_, _नींद, нола, 
   {{0x67232cb4,0x92c20086,0xe91900dd,0xa91d2cb5}},	//   ranj, ্ধু_, _нові_, _loži, 
   {{0x64492cb6,0xf1bf05a8,0xdb0e011c,0x7afc0372}},	//   ttei, jná_, _ambè, _zgrt, 
   {{0xf1bf08fc,0x656915fb,0x23672cb7,0xa91d03ac}},	//   dná_, rdeh, _panj_, _noži, 
   {{0x64492cb8,0x2fd100ca,0x4374004f,0x38341152}},	//   rtei, jozg_, вуют, _шнур, 
   {{0xc34e0029,0xfbd200a7,0x61462cb9,0xb34511c9}},	//   _tổng_, רתי_, нена, _acçã, 
   {{0x56942cba,0x216a2cbb,0x64492cbc,0x67212cbd}},	//   _шахт, чими_, ptei, _helj, 
   {{0x25bf002e,0x02cf051f,0x7f5c0b7f,0x66012cbe}},	//   mnul_, _सुरभ, terq, _hulk, 
   {{0x66012cbf,0x67210082,0x81bd01dd,0xa2ca2cc0}},	//   _kulk, _jelj, nsēj, _सुक्, 
   {{0x6601030f,0xe2992cc1,0xf1bf026e,0x25bf00b3}},	//   _julk, _хай_, bná_, onul_, 
   {{0x660102f1,0xf1bf014b,0xdd921ea7,0x4d631a69}},	//   _mulk, cná_, دور_, лксв, 
   {{0x7d162cc2,0xbcfb002c,0x45da0070,0x7e65040c}},	// [1fa0] rbys, _maéh, פֿלא, _eshp, 
   {{0xa3c1000f,0x67211ab9,0xf40100cc,0x9e662cc3}},	//   ्कि_, _nelj, _এবার_, _звод, 
   {{0x1b1f0086,0xdb1c0035,0xa91d0144,0x00000000}},	//   _পাশে_, _skró, _zoži, --, 
   {{0x9965004e,0x6da6004f,0x00000000,0x00000000}},	//   ктіл, _чима, --, --, 
   {{0x1b1f00cc,0x67211eeb,0x660101ca,0x69c30212}},	//   _পারে_, _belj, _aulk, énea, 
   {{0x672102ee,0xf1bf05a8,0x764a0219,0xd7ef0038}},	//   _celj, zná_, ttfy, مكن_, 
   {{0x1ae302f1,0x67212cc4,0x66010237,0x6db700ef}},	//   _борм, _delj, _culk, mćar, 
   {{0xa2ca08f1,0x66010009,0x25bf020f,0xf1bf0032}},	//   _सुग्, _dulk, gnul_, xná_, 
   {{0xf1bf143b,0xb7da1a38,0xe73a2cc5,0xdb0e002c}},	//   vná_, _فورا_, _неа_, _ambé, 
   {{0xc45300eb,0xa91d2cc6,0x25bf00b3,0xbcfb0175}},	//   اضيع, _roži, anul_, _paék, 
   {{0xf1bf0076,0x363613b4,0xe7372cc7,0x668105fa}},	//   tná_, _سراس, _чех_, _نیول, 
   {{0x672100d2,0xa91d2cc8,0xf484009c,0x6b8e008a}},	//   _zelj, _poži, _لاتی, _lobg, 
   {{0x55770137,0xf1bf0076,0x66012cc9,0xdb0e0175}},	//   _רעדן_, rná_, _zulk, _embé, 
   {{0xe47b0111,0x53342cca,0xf1bf026e,0xbcfb0175}},	//   _מרדכ, _рект, sná_, _taék, 
   {{0xf1bf026e,0x2fd100ca,0xade700fd,0x00000000}},	//   pná_, rozg_, ецак, --, 
   {{0x13d50086,0xa3e40a34,0xa91d0352,0xcdd802a6}},	//   _হওয়, _भीत_, _toži, ењу_, 
   {{0x41c40ce0,0x7de400f0,0x0dc81a57,0x00000000}},	// [1fb0] _حقيق, уірд, хури_, --, 
   {{0x752202be,0x9f5a0216,0x6d462ccb,0x00000000}},	//   _leoz, _lipê_, _ecka, --, 
   {{0x7cea039f,0x00000000,0x00000000,0x00000000}},	//   töré, --, --, --, 
   {{0xc98425b6,0xdd160032,0x98b90097,0x00000000}},	//   лучи, _päťd, млет_, --, 
   {{0x66012ccc,0x6721257c,0x6ce4004e,0xa3d0031e}},	//   _sulk, _pelj, _біре, वका_, 
   {{0x66012ccd,0x6d5f2cce,0xb17b02ae,0xfbd9120f}},	//   _pulk, leqa, llåd, _बीचम, 
   {{0x67212ccf,0xbbbf0ffc,0x36660093,0x19ab2cd0}},	//   _velj, ्वीक, ващо_, _етап_, 
   {{0x6d5f12ed,0x25bf00b3,0xbcfb0096,0x2d892cd1}},	//   neqa, unul_, _paéh, njae_, 
   {{0x67212cd2,0x9f530161,0x25bf00d9,0x57f52cd3}},	//   _telj, _així_, rnul_, _апат, 
   {{0x66012cd4,0x43752cd5,0xc6a71219,0xe87403b8}},	//   _tulk, туит, _преи, _حافظ, 
   {{0x2d892cd6,0xb2f400c8,0x0cde2830,0x6d5f009e}},	//   kjae_, ляющ, _मर्म, keqa, 
   {{0xe2962cd7,0x7afa2cd8,0xe1960080,0x75c800d8}},	//   таю_, _útte, троэ, těze, 
   {{0x6d5f0640,0x2ca92cd9,0x656b00a1,0x00000000}},	//   deqa, jzad_, _iagh, --, 
   {{0x656b0084,0x2ca902fe,0x7fd5004e,0xe3b30816}},	//   _hagh, dzad_, гісі, _حرص_, 
   {{0x443f2cda,0x6d46012b,0x7e231221,0xff07002e}},	//   luu_, _pcka, идрж, теск_, 
   {{0xdde900d4,0xfce62cdb,0x656b007b,0xa2ca009a}},	//   فرقه_, вобо, _jagh, _सुट्, 
   {{0x656b2cdc,0x443f2cdd,0xab2a1a57,0x00000000}},	// [1fc0] _magh, nuu_, доза_, --, 
   {{0x4e06078c,0x656b009f,0x9f4c00c8,0xb17b017b}},	//   _изоб, _lagh, ödä_, småt, 
   {{0x6a860141,0x3ea62cde,0x443f2cdf,0x91fc01dd}},	//   ължа, _ринг, huu_, lvār, 
   {{0x443f2ce0,0x656b1410,0x290d0068,0x645910f3}},	//   kuu_, _nagh, _cfea_, _opwi, 
   {{0x92bd00cc,0x91fc00e0,0x443f2ce1,0x68430a10}},	//   _আরো_, nvār, juu_, инца, 
   {{0x6d442ce2,0x244b055f,0xafdb01e8,0xeb9f00fb}},	//   lgia, døm_, støv, _støv_, 
   {{0x64590118,0xacbb0212,0xdce60118,0x00000000}},	//   _apwi, _jeûn, _makč, --, 
   {{0x6d442ce3,0xd49a03dc,0x443f0053,0xa91d0a1a}},	//   ngia, дро_, fuu_, _božu, 
   {{0x80e111bd,0x656b2ce4,0x443f0053,0x6d442ce5}},	//   _नरें, _dagh, guu_, igia, 
   {{0x6d442ce6,0xb4e2010f,0xa91d0242,0x69c20082}},	//   hgia, _धरी_, _dožu, lnoe, 
   {{0x752202fe,0x656b2ce7,0xc7d700d1,0xbb3b00d1}},	//   _teoz, _fagh, _יומי_, ועיי, 
   {{0x80d10086,0x443f018e,0x69c200f8,0xc05b017b}},	//   _সৃষ্, buu_, nnoe, міг_, 
   {{0xb17b0219,0xa3c102e6,0x753d039f,0x64a30e27}},	//   vlåd, ्कश_, ósze, _каца, 
   {{0x64402ce8,0x4fc42ce9,0x656b2cea,0xf45700d1}},	//   mumi, асса, _zagh, _סיור_, 
   {{0x64402ceb,0xa3c10bf5,0x93fb035c,0x75e5010e}},	//   lumi, ्कर_, _קלוי, lóza, 
   {{0x6d44048a,0x46b500b0,0x7bde039b,0x00000000}},	//   ggia, _अइसह, elpu, --, 
   {{0x64402cec,0x3b552ced,0x5c752cee,0x2d890183}},	// [1fd0] numi, лкар, ылат, rjae_, 
   {{0xbbbf000c,0x765a0035,0x5b14004f,0xd24d010e}},	//   ्वेक, _opty, имут, _بچی_, 
   {{0x6440086d,0xce950e65,0x6e950024,0x443f24fc}},	//   humi, _санъ, _сину, zuu_, 
   {{0x64402cef,0x99d10086,0x57cb009a,0xac1900b3}},	//   kumi, িষ্ক, िव्ह, _пому_, 
   {{0x7c842aa5,0x6440002a,0x656b2cf0,0x9f5a0118}},	//   _куре, jumi, _ragh, _bipè_, 
   {{0xb605035e,0x64402cf1,0x7d0d2cf2,0x7c2d2cf3}},	//   hláš, dumi, lcas, msar, 
   {{0x656b1410,0x7d0d02a3,0x45d50ec6,0xc6a700fd}},	//   _pagh, ocas, лцит, ърди, 
   {{0x4efc0056,0x443f0088,0xa91d0112,0x64402cf4}},	//   ולוג, tuu_, _požu, fumi, 
   {{0x64402cf5,0xa3c10239,0x656b02a3,0x7bc702a5}},	//   gumi, ्कल_, _vagh, _kjju, 
   {{0x443f2cf6,0x244b03a9,0x7d0d00a1,0xa77402a0}},	//   ruu_, røm_, hcas, _клуч, 
   {{0xe2992cf7,0x656b2cf8,0x6d4400f8,0x443f2cf9}},	//   хан_, _tagh, ygia, suu_, 
   {{0xe570195e,0x64402cfa,0x443f03f0,0x7c2d2cfb}},	//   _وطن_, bumi, puu_, ksar, 
   {{0xad9b2cfc,0x64400f77,0x7c2d02ae,0x7d0d2cfd}},	//   _miúd, cumi, jsar, dcas, 
   {{0x442d2cfe,0x7c2d0c43,0x442f2cff,0x75292d00}},	//   mse_, dsar, _ivg_, laez, 
   {{0x442d2d01,0xd5ac006b,0x442f010e,0x6da62ad6}},	//   lse_, _رہی_, _hvg_, гива, 
   {{0x442d2d02,0x69c3010e,0x7bc701a3,0x5d6700b3}},	//   ose_, énel, _ajju, лисм_, 
   {{0x442d2d03,0x707700eb,0x6d442d04,0x6abe0c3a}},	// [1fe0] nse_, _مميز_, rgia, ्थ्र, 
   {{0x442d2d05,0x442f2d06,0x7d0d0068,0x6d4400f8}},	//   ise_, _mvg_, acas, sgia, 
   {{0x64402d07,0x442d2d08,0x8ad500e4,0xb17b02c9}},	//   zumi, hse_, аюцц, slåe, 
   {{0x442d2d09,0x9f5a06df,0x7d0d02a3,0xafdb01e8}},	//   kse_, _sipè_, ccas, støt, 
   {{0x64e205fd,0x442d2d0a,0x69c22d0b,0xb4e200a5}},	//   _परेश, jse_, rnoe, _धरे_, 
   {{0x38cb0f1c,0x442d2d0c,0xb7d20086,0x64402d0d}},	//   رانی_, dse_, াষ্ট, vumi, 
   {{0xfaa607f9,0x7bcb2a7e,0x499413b4,0xaab82488}},	//   _саво, égue, _پیشر, _आधिक, 
   {{0x64402d0e,0xad9b007a,0xafdb00fb,0x442d2d0f}},	//   tumi, _giúd, ntør, fse_, 
   {{0xd3262d10,0x442d2d11,0xb99300eb,0x48e302c4}},	//   льни, gse_, _القب, _готв, 
   {{0x64402d12,0xf3661cde,0x39462d13,0x32542d14}},	//   rumi, утин, lgos_, авор, 
   {{0x442d2d15,0x7c2d002a,0xafdb03a9,0x66e600c8}},	//   ase_, zsar, ktør, _сожа, 
   {{0x39462d16,0x442f02a3,0xbcfb17f9,0x64402d17}},	//   ngos_, _fvg_, _kaét, pumi, 
   {{0xc5f300a7,0x442d2d18,0x88bd0035,0xdb1e2d19}},	//   _הדף_, cse_, _leśn, nopó, 
   {{0x6ed61898,0x7c2d03fa,0x7d0d2d1a,0x75e500da}},	//   _मुहु, vsar, wcas, nózn, 
   {{0x7c2d0920,0x539b0486,0x98ad0121,0xee842d1b}},	//   wsar, _איגו, _rdeč_, быто, 
   {{0x63ba035e,0x7c2d05f0,0x27ec00e2,0xc27b035c}},	//   litn, tsar, _lhdn_, _טרוי, 
   {{0x7d0d2d1c,0x69c3026d,0x26de016a,0x61ed2d1d}},	// [1ff0] rcas, énem, _lyto_, _ihal, 
   {{0x212b2d1e,0x39462d1f,0x63ba11bc,0x79800300}},	//   lach_, egos_, nitn, _anmw, 
   {{0x7c2d2d20,0x61ed2d21,0xf1ca0cb8,0x5fdc00d1}},	//   ssar, _khal, रवचन, _אחזק, 
   {{0x212b2d22,0x7c2d2d23,0x442d2d24,0x63ba01ff}},	//   nach_, psar, yse_, hitn, 
   {{0x3949002a,0x18692d25,0x63ba120c,0x61ed1232}},	//   ļas_, тали_, kitn, _mhal, 
   {{0x212b0094,0xe7362d26,0x629a012d,0x3946012d}},	//   hach_, аеш_, kyto, agos_, 
   {{0x212b2d27,0x442d2d28,0x8ae401fc,0x69ca0107}},	//   kach_, wse_, _гітл, éfec, 
   {{0x442d2d29,0x629a17da,0x212b0035,0x2bbf1f9a}},	//   tse_, dyto, jach_, ्वका, 
   {{0x212b2d1e,0x291d2d2a,0x442d2d2b,0x752901ca}},	//   dach_, mbwa_, use_, raez, 
   {{0xe7a90351,0x61ed2d2c,0x63ba2d2d,0x7bd70042}},	//   _कतिप, _ahal, gitn, noxu, 
   {{0x61ed2d2e,0x212b2d2f,0xa2e52d30,0x60cd040c}},	//   _bhal, fach_, ронд, _axam, 
   {{0x442d2d31,0x442f0496,0x76432d32,0x61ed2d33}},	//   pse_, _tvg_, muny, _chal, 
   {{0x61ed2d34,0x764301bb,0x15f40e05,0x3f9311bb}},	//   _dhal, luny, _اسلح, _boxu_, 
   {{0x629a2d35,0x63ba0fb5,0x7fd6004e,0x39462d36}},	//   byto, citn, рімі, zgos_, 
   {{0x212b2d37,0x3946012d,0x76432d38,0xc7b200d1}},	//   bach_, ygos_, nuny, קבל_, 
   {{0x61ed2d39,0x3d2000ab,0xd1ba006b,0x4ad909ec}},	//   _ghal, बरें_, _جاتا_, _बुधव, 
  
   {{0x8c462d3a,0x5ba40f5a,0x4b262831,0xafdb01e8}},	// [2000] резе, блағ, имав, rtør, 
   {{0x69db018e,0x109b03e1,0xafdb14a4,0x69c901b8}},	//   _akue, _סביב, stør, _ajee, 
   {{0x32070161,0x34e20964,0x7643085f,0x7f3b00a7}},	//   _juny_, _पर्द, juny, _בעיו, 
   {{0x3946012d,0x3207023e,0x7643033e,0xeae600a2}},	//   ugos_, _muny_, duny, _करीत_, 
   {{0x39462d3b,0x8eb300d4,0xa91d2d3c,0x629a0083}},	//   rgos_, _همیش, _požr, zyto, 
   {{0x81bd002a,0x394608f4,0x76430547,0x212b23bc}},	//   lsēt, sgos_, funy, zach_, 
   {{0x76432d3d,0x56942d3e,0x75e52041,0x798002a5}},	//   guny, сайт, rózn, _tnmw, 
   {{0x63ba2d3f,0x6d5606df,0xe5c602a6,0xd9432d40}},	//   witn, nfya, јско, _меси, 
   {{0x88bd006a,0x2fd8014e,0x77630068,0x29042d41}},	//   _jeśl, korg_, benx, _igma_, 
   {{0x386900e5,0x26de031e,0x76432d42,0x212b0035}},	//   çare_, _tyto_, buny, wach_, 
   {{0x212b2d43,0x61ed2d44,0x76432d45,0x6ed6031e}},	//   tach_, _phal, cuny, _मुलु, 
   {{0x29dc0634,0x96952d46,0x61ed084c,0x629a2d47}},	//   mías_, _уруш, _qhal, ryto, 
   {{0x212b2d48,0x29dc0634,0x67282d49,0xdb0e0054}},	//   rach_, lías_, _kedj, _ombà, 
   {{0x212b2d4a,0x2d822d4b,0x644f00d3,0xd83f063b}},	//   sach_, _anke_, àcie, _účet_, 
   {{0x61ed2d4c,0x67282d4d,0x29dc0634,0x212b2d4e}},	//   _thal, _medj, nías_, pach_, 
   {{0x67280d26,0x61ed0053,0xdda8002e,0xdce601dd}},	//   _ledj, _uhal, атул_, _sakā, 
   {{0x2fd82d4f,0xdce601dd,0x6be50038,0x3f9300b4}},	// [2010] borg_, _pakā, مكرم, _toxu_, 
   {{0x672802a8,0xa3e6141c,0x69db03a9,0x2d822d50}},	//   _nedj, पति_, _skue, _enke_, 
   {{0x68e90019,0x20010102,0x7ff420b4,0x29dc0369}},	//   _szed, _iihi_, _بسيا, jías_, 
   {{0x7643097a,0x29dc0503,0xe61902f1,0xbcfb0a0f}},	//   vuny, días_, қди_, _daér, 
   {{0xe7392d51,0xa3e600c9,0xa2d8047c,0x68e002bf}},	//   гел_, पता_, _नुस्, _cymd, 
   {{0x785a002a,0x76432d52,0x29dc1056,0x8a1700c5}},	//   dāvā, tuny, fías_, _نظرا, 
   {{0xf77000b8,0x29dc08f4,0x77630068,0x69c902b0}},	//   بان_, gías_, renx, _tjee, 
   {{0x76432129,0x2fd8012e,0x6b95019b,0x20090212}},	//   runy, zorg_, _hozg, _ouai_, 
   {{0xbee40351,0x76432d53,0x68e00156,0x69d92d54}},	//   _गर्न_, suny, _gymd, mowe, 
   {{0xe7840a27,0x76430985,0x29dc060f,0x69d92d55}},	//   _мухо, puny, bías_, lowe, 
   {{0x29dc0503,0x6b950a62,0xd575012d,0x70b21c54}},	//   cías_, _mozg, _гуль, ीप्ल, 
   {{0x35f52d56,0x200900e2,0x672800ef,0xdcfd05d5}},	//   _упер, _buai_, _zedj, _ansč, 
   {{0xd24e0399,0x200900e2,0x2fd8003e,0x212901be}},	//   ونی_, _cuai_, torg_, _deah_, 
   {{0x443f2d57,0x20090065,0xf41200a7,0x69d90083}},	//   mru_, _duai_, _צפו_, howe, 
   {{0x23652c9e,0xdee625a1,0x69d90035,0x394d0304}},	//   melj_, сови, kowe, _oces_, 
   {{0x2900012d,0x394d006d,0xdce40112,0xdced0228}},	//   žiai_, _nces_, ndić, adač, 
   {{0x69d900ab,0x20092d58,0x6b952d59,0x3f8c00c2}},	// [2020] dowe, _guai_, _bozg, ödus_, 
   {{0x68e00219,0x31720508,0x00000000,0x00000000}},	//   _rymd, _hayz_, --, --, 
   {{0x29dc0496,0x443f2d5a,0x490600eb,0x67280ab4}},	//   xías_, hru_, مواق, _redj, 
   {{0x5d860084,0x7053086b,0x29dc033c,0x6d980183}},	//   _الحل, _بنیا, vías_, _vías, 
   {{0x6b9500ef,0x67280097,0xdb0e0183,0xc7ba0504}},	//   _fozg, _pedj, _embá, лёк_, 
   {{0x443f2d5b,0x29dc2769,0x236502fe,0x394d002c}},	//   dru_, tías_, jelj_, _eces_, 
   {{0x443f2d5c,0x9f520126,0x386d0241,0x69d90083}},	//   eru_, _huyó_, _eser_, bowe, 
   {{0x29dc127e,0x98a62b88,0x443f2d5d,0x29040008}},	//   rías_, _либе, fru_, _ugma_, 
   {{0x443f2d5e,0x29dc0634,0x6b952d5f,0x9f5a02a3}},	//   gru_, sías_, _yozg, _pipì_, 
   {{0x29dc033c,0x23650144,0x21290096,0x00000000}},	//   pías_, gelj_, _seah_, --, 
   {{0x20090348,0x225800c8,0x4df80d53,0xe71700d1}},	//   _suai_, шины_, ंगाई_, _החבר_, 
   {{0x443f288e,0x25a6011d,0xeae600b0,0xf1a72d60}},	//   bru_, _ulol_, _करैत_, срон, 
   {{0x443f0012,0x20092d61,0x6ac4058c,0xf8a800bd}},	//   cru_, _quai_, वपुर, कनिय, 
   {{0x33f6081b,0x44260727,0x4fc700c8,0x69d92d62}},	//   _учес, _iwo_, ссма, zowe, 
   {{0x3da70845,0x69d90053,0xdced05ae,0x6b952d63}},	//   браб, yowe, rdač, _rozg, 
   {{0xd13100d4,0x200900e2,0xb60600ca,0x64402d64}},	//   _کمک_, _tuai_, mišć, ormi, 
   {{0xdcfd00ef,0xb6060864,0xf1bf0183,0xd011015f}},	// [2030] _posđ, lišć, miá_, _تلخ_, 
   {{0x6ac4141c,0x44262d65,0x66022d66,0x64400038}},	//   वपूर, _mwo_, _liok, irmi, 
   {{0x69d92d67,0x3cde00a2,0xdd9521f4,0x29dc2d68}},	//   towe, _कुठे_, _даны, víar_, 
   {{0x19592d69,0x127b00c7,0x443f2d6a,0x660205b5}},	//   рады_, טאבע, yru_, _niok, 
   {{0xf09f03a1,0x69d92d6b,0x6d5d2d6c,0x3c44011f}},	//   nyà_, rowe, _ibsa, _нэрв, 
   {{0x645c002e,0x01cf0086,0xbcfb011c,0x69d92d6d}},	//   ăril, রতিদ, _abég, sowe, 
   {{0x44262d6e,0x443f0463,0x64400aa7,0x23650352}},	//   _awo_, wru_, ermi, velj_, 
   {{0x44261f69,0x84592d6f,0xb6060308,0x394d16a8}},	//   _bwo_, арот_, dišć, _uces_, 
   {{0x386d0056,0x442602a2,0xf1bf0228,0x64400372}},	//   _user_, _cwo_, diá_, grmi, 
   {{0x443f2d70,0xdb0e003e,0xfe0902e6,0x44260118}},	//   rru_, _embæ, वदास_, _dwo_, 
   {{0x6d5d08d7,0x66020097,0x6d4f2099,0x6b83010e}},	//   _obsa, _fiok, _occa, öngy, 
   {{0xe56e0c67,0x443f2d71,0x659401a2,0x66020036}},	//   _ўз_, pru_, _наху, _giok, 
   {{0x44262d72,0x2365015e,0x25bf00b3,0xeae600bd}},	//   _gwo_, pelj_, miul_, _कर्त_, 
   {{0x6d4f0141,0x25bf00d9,0xbcfb00d7,0x3cdd02fc}},	//   _acca, liul_, _mbéd, _खड़े_, 
   {{0x2d962d73,0xbcfb0175,0x1d0a2d74,0xf1bf09c6}},	//   орас, _saép, иеви_, biá_, 
   {{0x25bf002e,0x3dc90495,0x1d072d75,0x0c260d3d}},	//   niul_, gnaw_, жети_, жман, 
   {{0x249f2d76,0x752b2d77,0x7d060226,0xa06a2d78}},	// [2040] nyum_, _megz, _vgks, _тапа_, 
   {{0x0fc3004e,0x25bf00b3,0x61e60677,0x6d4f0027}},	//   _ойын, hiul_, llkl, _ecca, 
   {{0xed5a00ce,0x3dc9011d,0x00000000,0x00000000}},	//   _кон_, bnaw_, --, --, 
   {{0xe9da2d79,0xd378044e,0x00000000,0x00000000}},	//   шке_, moće_, --, --, 
   {{0x25bf002e,0x25ad00d7,0x999c039f,0x00000000}},	//   diul_, dhel_, évő_, --, 
   {{0x4426024d,0xc7a315f5,0x66022d7a,0x3869019c}},	//   _rwo_, мичк, _siok, çara_, 
   {{0xd3780613,0x81c30033,0x7bce01d2,0x00000000}},	//   noće_, ্তত_, _ijbu, --, 
   {{0x2cbf0613,0x25ad2d7b,0x2d92024d,0x25bf00b3}},	//   _žudi_, ghel_, njye_, giul_, 
   {{0x938a2d7c,0xd37800ca,0xa73a010e,0xf1bf0d57}},	//   асна_, hoće_, _نثار_, viá_, 
   {{0xa3e40262,0x442601c8,0xd3780304,0xb60602c7}},	//   _भीख_, _vwo_, koće_, tišć, 
   {{0x86c600eb,0xf1bf03da,0x25bf2d7d,0xcb1300a7}},	//   _بيان, tiá_, biul_, ולת_, 
   {{0xb6062d7e,0x44260056,0x25bf002e,0x2900012d}},	//   rišć, _two_, ciul_, žiau_, 
   {{0x4426099d,0x25d900d4,0xcf0000ad,0xf1bf0032}},	//   _uwo_, _اهنگ_, əşən_, riá_, 
   {{0x437400d4,0xad9b00e1,0xdb1e0216,0x00000000}},	//   _رهبر, _ciún, sipê, --, 
   {{0x3ea50019,0x6d5d00a1,0xf1bf02be,0x00000000}},	//   ált_, _pbsa, piá_, --, 
   {{0x321e023e,0xdb170042,0x51872d7f,0x463b0070}},	//   mpty_, rixí, _фука, יעלע, 
   {{0x030e0d53,0xad9b2d80,0xa1f9010e,0xc19c00d1}},	// [2050] _सलाह_, _fiún, _پڑھا_, _כשהי, 
   {{0x09d30a0e,0x1fa704e9,0x6ed61f30,0xda7b2d81}},	//   तव्य, _фриг, _मुकु, ияе_, 
   {{0xf0b800d7,0xfd47010e,0xaf010033,0x00000000}},	//   _هایش_, _ویسٹ_, ্রহণ_, --, 
   {{0x249f0065,0x67ed04ef,0x7aed0243,0x2ca02d82}},	//   yyum_, dúja, _ģitā, byid_, 
   {{0xdb1e00b9,0x6d4d1162,0xb17c0070,0x5d7a0147}},	//   kipè, mgaa, יטאר, _פאשק, 
   {{0x81c3100b,0x2d990199,0x6cfa00a7,0x7b642d83}},	//   ্তি_, _hose_, _לפרס, _отсе, 
   {{0x2d992d84,0x67ed0019,0x25bf00b3,0xb902088c}},	//   _kose_, gúja, tiul_, _नु_, 
   {{0x6d4d2d85,0x391503bd,0x2d992d86,0x00000000}},	//   ngaa, _хмар, _jose_, --, 
   {{0x81c300cc,0x25bf002e,0x2d992d87,0x57b51daa}},	//   ্তা_, riul_, _mose_, _ебат, 
   {{0x25ad2d88,0x2d99071f,0x752b194c,0x249f2d89}},	//   shel_, _lose_, _wegz, ryum_, 
   {{0x69cb2d8a,0x95cb2d8b,0x249f2d8c,0x25bf00d9}},	//   onge, _куда_, syum_, piul_, 
   {{0x69cb2d8d,0xbcfb01e5,0x6d4d2d8e,0x2d992d8f}},	//   nnge, _mbéb, jgaa, _nose_, 
   {{0x69cb2d90,0x6d4d01da,0x920b093a,0x26110023}},	//   inge, dgaa, _सूरज_, _háo_, 
   {{0xd9b8000c,0x6d4d2d91,0x2d99011c,0xa4fa00d1}},	//   _अष्ट, egaa, _aose_, _פלסט, 
   {{0x2d99024d,0x59db05d0,0x76430ab1,0x6d4d038c}},	//   _bose_, यकार, nrny, fgaa, 
   {{0x6d4d2d92,0x2d990141,0x764302cd,0xa3b7109f}},	//   ggaa, _cose_, irny, घोर_, 
   {{0xdb1e2d93,0x6ac40598,0x7643016a,0x5baa2d94}},	// [2060] qipë, वप्र, hrny, бкам_, 
   {{0x6d4d2d95,0x65692d96,0x395f2d97,0xa3cb009a}},	//   agaa, heeh, _abus_, रचि_, 
   {{0x2d992d98,0x98b00062,0x2ca00da2,0x9f9b00d1}},	//   _fose_, đači_, syid_, _הסיפ, 
   {{0x5f460019,0x2d9901ca,0xe8fa0229,0x00000000}},	//   _بنگل, _gose_, бле_, --, 
   {{0xa3bd02f8,0xa3cb00a2,0x64492d99,0x7d7b00d1}},	//   ीचा_, रचा_, juei, _הנכו, 
   {{0x261100f7,0xdb1e2d9a,0x644900d3,0x2d990199}},	//   _báo_, kipé, duei, _zose_, 
   {{0x26110029,0x2d99024d,0xd5ba15eb,0x7c3605ac}},	//   _cáo_, _yose_, йси_, lsyr, 
   {{0x7bde2d9b,0x69c30019,0x00000000,0x00000000}},	//   lopu, énet, --, --, 
   {{0x64492d9c,0x76432d9d,0x7c360c17,0xdce40009}},	//   guei, arny, nsyr, keič, 
   {{0x3160085b,0x69c22d9e,0x78a200a3,0x29000028}},	//   _abiz_, lioe, myov, žias_, 
   {{0xe4d615c0,0x6d4d2d9f,0xf2c600a3,0x0edb2da0}},	//   _کتاب, ygaa, ясин, _मुंड, 
   {{0xfbc40086,0x6449022c,0x925700c8,0x69c22da1}},	//   ্তিত, buei, чают_, nioe, 
   {{0x64490518,0x7bde00c8,0x63aa0183,0xad9b0038}},	//   cuei, kopu, _tlfn, _diúl, 
   {{0x225900ab,0x69c200b4,0x00000000,0x00000000}},	//   ńska_, hioe, --, --, 
   {{0x6d4d20fe,0xdb1e00eb,0x69cb15d2,0x649501f2}},	//   tgaa, cipé, ynge, _eżiġ, 
   {{0xdd9408ad,0x91e402a6,0x69c201d6,0x00000000}},	//   насы, _поје, jioe, --, 
   {{0x113c00d1,0x9c190038,0x00000000,0x00000000}},	// [2070] _התחל, زياء_, --, --, 
   {{0x2a6302a2,0x7bde016a,0x6d4d2da2,0x09c5009a}},	//   _ppjb_, gopu, sgaa, लच्य, 
   {{0x2d992da3,0x6d4d2da4,0x671000b0,0x69c200b4}},	//   _tose_, pgaa, ाशनक_, fioe, 
   {{0x69cb2da5,0xdb1e00c8,0x69c22da6,0x26110023}},	//   unge, enpä, gioe, _ráo_, 
   {{0x7bde084c,0x26110023,0xeab00019,0x69cb2da7}},	//   bopu, _sáo_, نٹے_, rnge, 
   {{0x69da2da8,0xdb2300d4,0x66e51753,0xac182da9}},	//   _íten, _سوری, мола, _хору_, 
   {{0xe7302daa,0x69c201d6,0xe919017b,0x00000000}},	//   اصه_, bioe, _мові_, --, 
   {{0x69c22dab,0x395f02dc,0x64492dac,0x387f00fc}},	//   cioe, _ubus_, tuei, _trur_, 
   {{0x387f01ff,0x29000228,0x3a210226,0x798900d1}},	//   _urur_, žiar_, lphp_, _inew, 
   {{0x261100e7,0x799b01d2,0xad9b007a,0xe2a20108}},	//   _táo_, _houw, _siúl, _thử_, 
   {{0x799b0300,0xf6550165,0x7989040b,0x3f9a149a}},	//   _kouw, _цвеќ, _knew, _ropu_, 
   {{0x5ec10086,0x799b2dad,0xdb1e2dae,0x7bde1ea8}},	//   _শুভে, _jouw, ripé, zopu, 
   {{0x64492daf,0x799b01c8,0xad9b02aa,0xafdb017b}},	//   quei, _mouw, _ciúm, rrøn, 
   {{0x69c20a9f,0x02c50161,0x799b2db0,0xbef90110}},	//   zioe, _ойло, _louw, ंधून_, 
   {{0xdb0e0106,0x00000000,0x00000000,0x00000000}},	//   _embû, --, --, --, 
   {{0x69bf0f01,0xd3780613,0xdb1c1259,0x7c36023a}},	//   लोमी, moća_, _imré, tsyr, 
   {{0x7bde2db1,0x5f7603b1,0x61e42db2,0x7e6500a1}},	// [2080] topu, _قادر, _ikil, _ephp, 
   {{0xfaa60e65,0x78a2095a,0x00000000,0x00000000}},	//   мазо, vyov, --, --, 
   {{0x81c300cc,0x7c3602ae,0x799b0b32,0x7bde0590}},	//   ্তর_, ssyr, _bouw, ropu, 
   {{0xdca602f1,0x08c62db3,0x7bde2db4,0x00000000}},	//   _жами, мбен, sopu, --, 
   {{0x69c201f1,0x799b2db5,0x2a6d0082,0x61e40b29}},	//   rioe, _douw, _ćebe_, _mkil, 
   {{0x7a0c00d9,0xd3781a35,0x69c32db6,0x69c22db7}},	//   _aşte, koća_, éner, sioe, 
   {{0x799b0118,0x6b9c2a80,0x69c201cf,0x00000000}},	//   _fouw, _iorg, pioe, --, 
   {{0x6b9c2db8,0x61e42db9,0x320e02a3,0x799b000b}},	//   _horg, _nkil, _rufy_, _gouw, 
   {{0x69c02dba,0x6b9c0850,0xdb1c011c,0xbeeb02e6}},	//   _imme, _korg, _amré, _टर्न_, 
   {{0x61e40010,0xf3660e8f,0x00000000,0x00000000}},	//   _akil, фтин, --, --, 
   {{0x6b9c1649,0xbcfb0038,0x316b0083,0x00000000}},	//   _morg, _mbéa, tecz_, --, 
   {{0x6b9c0a75,0x61f60e0a,0xda64040c,0x00000000}},	//   _lorg, _chyl, _ko叢i_, --, 
   {{0x6b9c018c,0x0cc90086,0x6562016c,0x00000000}},	//   _oorg, _শর্ত, _iboh, --, 
   {{0x6b9c0b0c,0xe4c7009c,0xa5c604f4,0x00000000}},	//   _norg, _تصمی, bjóð, --, 
   {{0x69c02dbb,0x3ced00de,0xa3bd0083,0x00000000}},	//   _omme, _šev_, ीचर_, --, 
   {{0xc5f801dd,0x00000000,0x00000000,0x00000000}},	//   _spēj_, --, --, --, 
   {{0x3cfc01f1,0x6b9c2dbc,0x798902a3,0x799b02b0}},	// [2090] рvv_, _borg, _rnew, _rouw, 
   {{0x69c02dbd,0x799b0237,0x21f20228,0x6b9c2dbe}},	//   _amme, _souw, máha_, _corg, 
   {{0x6562014b,0x6b9c2dbf,0xafdb004f,0xfd10010e}},	//   _oboh, _dorg, nrøm, اجہ_, 
   {{0x9f5a00c8,0x4c951571,0x49b8009c,0x00000000}},	//   _eipä_, _зимс, واند_, --, 
   {{0x6b9c2dc0,0x2d8b027e,0x7e620ab4,0x799b02b0}},	//   _forg, _ince_, _ćopi, _vouw, 
   {{0x69c02dc1,0xdce40c05,0x65622dc2,0x6b9c2dc3}},	//   _emme, ldiğ, _aboh, _gorg, 
   {{0x4ae400e4,0x16a92dc4,0x4ad9034d,0xdcfd0009}},	//   _аўта, явки_, _बँटव, _posė, 
   {{0x6b9c2dc5,0xc8c002f8,0x7bc52dc6,0xdce401f0}},	//   _zorg, _शेवट, lihu, ndiğ, 
   {{0x44392dc7,0x290d02a3,0x6b9c2dc8,0xafdb017b}},	//   és_, _igea_, _yorg, støy, 
   {{0x61e42580,0x7bc52dc9,0x57f400b3,0xd3780613}},	//   _skil, nihu, _апут, toća_, 
   {{0x2d8b173f,0xa0a30188,0x98a4020f,0x969000d7}},	//   _once_, қард, _temă_, _نیوش, 
   {{0x22590035,0xe29a0023,0xa91d0009,0x68e9052b}},	//   ńsko_, _ngưu_, _požy, _kyed, 
   {{0x3209011d,0xa5c6008c,0x6abd09d8,0x7bc52dca}},	//   _diay_, sjóð, ्पुर, kihu, 
   {{0x3cf502e6,0x7bc50548,0x65620098,0xd3780372}},	//   ्धने_, jihu, _zboh, poća_, 
   {{0x645b2dcb,0x24592dcc,0x61f60090,0x68e9052b}},	//   ltui, lèm_, _thyl, _lyed, 
   {{0x657900e2,0x3209001b,0x628300e9,0x61e40548}},	//   _jawh, _giay_, _irno, _ukil, 
   {{0x68e92dcd,0xf39000e7,0x6b9c2dce,0x8c432dcf}},	// [20a0] _nyed, _mảnh_, _porg, лете, 
   {{0x2d8b0042,0x6abd0964,0x290d0bf1,0x7bc50199}},	//   _ence_, ्पूर, _agea_, gihu, 
   {{0x6b9c02f2,0x6da62dd0,0x645b2dd1,0x8ca000b0}},	//   _vorg, _зина, htui, _गॅरो, 
   {{0xe8fa2dd2,0x645b0ff2,0x68e902a5,0x6b9c08b0}},	//   пле_, ktui, _byed, _worg, 
   {{0x6b9c2dd3,0xd7e6012d,0xdb1e2dd4,0x645b02b0}},	//   _torg, ніко, lipí, jtui, 
   {{0x7c242dd5,0x290d0068,0x62832dd6,0x88811cc1}},	//   mpir, _egea_, _orno, шғул, 
   {{0xfa672dd7,0x56941269,0xd9462cdb,0x7c240bdd}},	//   _парк_, тайт, _певи, lpir, 
   {{0xd5b72dd8,0x69c02dd9,0xf3900029,0x657b0495}},	//   есь_, _umme, _cảnh_, gduh, 
   {{0x62832dda,0x7c242ddb,0xb8860356,0x94aa2ddc}},	//   _arno, npir, _blíž, ятка_, 
   {{0xafdb01e8,0x32090175,0x21f200da,0xdb1700ad}},	//   trøm, _siay_, váha_, rixç, 
   {{0x628300f1,0xf8bf010d,0x0bb700d1,0xf36300f0}},	//   _crno, _þér_, גלים_, утын, 
   {{0x645b0876,0x6579008a,0x62832ddd,0x777a00b4}},	//   btui, _gawh, _drno, _hatx, 
   {{0xdce4027e,0x777a01cf,0xf1c02dde,0xaed40176}},	//   vdiğ, _katx, शोधन, ҳорш, 
   {{0x229400eb,0x7c24008b,0x777a00b4,0x81c30033}},	//   _للتس, dpir, _jatx, ্তই_, 
   {{0xfe70006b,0x777a2ddf,0x0edb1d00,0xddab1e74}},	//   یدہ_, _matx, _मुखड, птал_, 
   {{0xdced0082,0x777a01d6,0x7bc5016c,0x00000000}},	//   ndać, _latx, wihu, --, 
   {{0x3cfc2de0,0xdce40c05,0x7bc52de1,0x7c242de2}},	// [20b0] लेले_, rdiğ, tihu, gpir, 
   {{0x657b2de3,0xa91d2de4,0xe1ff2de5,0x777a01d6}},	//   zduh, _inži, lmó_, _natx, 
   {{0xc33300a7,0xdcef00b3,0xa93509f9,0xad9b0354}},	//   רוע_, _bacă, вееш, _liúi, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x777a2de6,0x65792de7,0xf3900023,0xed6002d9}},	//   _batx, _rawh, _rảnh_, ížet_, 
   {{0xf7710198,0xf3900023,0x98a22de8,0x777a00f6}},	//   شات_, _sảnh_, рише, _catx, 
   {{0x067526c4,0xd91500e4,0x39152de9,0x777a00b4}},	//   туля, _адбы, _амбр, _datx, 
   {{0xd6ce0084,0x645b00c8,0xdb0e0118,0xa50900b3}},	//   تقى_, ttui, _albè, мейа_, 
   {{0x777a2dea,0x657b0102,0xad9b007a,0x7a0c0213}},	//   _fatx, rduh, _ciúi, _işta, 
   {{0x645b09a2,0x5ed70086,0x21320065,0x6283011c}},	//   rtui, _ধরনে, _seyh_, _prno, 
   {{0x645b2deb,0x65792dec,0xa91d00ef,0xdb1e02aa}},	//   stui, _tawh, _anži, lipã, 
   {{0x628302fe,0x2012023e,0x645b2a80,0xcec400d8}},	//   _vrno, _puyi_, ptui, hoří_, 
   {{0x75292ded,0x7c24011c,0x98a40009,0x99e80032}},	//   mbez, xpir, _temą_, liňá, 
   {{0x64492dee,0x64460613,0x43452def,0x03a20bae}},	//   mrei, škic, _рекв, _вишо, 
   {{0xed5a2df0,0xd0071ac0,0xdee62540,0x64492df1}},	//   мов_, тере_, тови, lrei, 
   {{0x661c0019,0xd00f006b,0xb602008c,0x75292df2}},	//   _érke, صلہ_, _þátt, nbez, 
   {{0xff260dc0,0x973c08b1,0x64492df3,0xcd0608a5}},	// [20c0] _импо, _hoće, nrei, тпай, 
   {{0x7c242df4,0x64492df5,0xd00f0274,0x442f017c}},	//   rpir, irei, _گلی_, _mwg_, 
   {{0x64492df6,0xf1c62df7,0x442f0201,0x2d9e026a}},	//   hrei, _लगान, _lwg_, êtes_, 
   {{0x6cc61472,0x64492df8,0x18a613f2,0x442f0065}},	//   _айма, krei, каем, _owg_, 
   {{0xb82200cc,0x442f023b,0x777a01f1,0x6e3c0097}},	//   _নিহত_, _nwg_, _patx, lsrb, 
   {{0x64492df9,0xb17b014e,0xbcfb01e5,0x00000000}},	//   drei, llåt, _mbél, --, 
   {{0x973c2dfa,0x163700eb,0x660b2dfb,0x2b582dfc}},	//   _noće, نسية_, _bigk, _icrc_, 
   {{0x64492dfd,0xd01a00cc,0x557401d0,0x442f0065}},	//   frei, তীয়_, угит, _bwg_, 
   {{0x64492dfe,0x660b0326,0xdb0e039f,0xa8062dff}},	//   grei, _digk, _albé, _азал, 
   {{0x6e3e0082,0x442f2e00,0x75c802d9,0x00000000}},	//   _ovpb, _dwg_, tězs, --, 
   {{0xf1f60035,0x69bf02e6,0x26110604,0xcb37027a}},	//   ीगढ़_, लोवी, _cšod_, כניק_, 
   {{0x64492e01,0x973c02fe,0x442f017c,0x00000000}},	//   brei, _doće, _fwg_, --, 
   {{0xc058005e,0xe1ff08f4,0x6e220b1d,0x10742253}},	//   кір_, rmó_, _čoba, аляю, 
   {{0x9f530161,0x2618001b,0x3869024a,0x9f43021e}},	//   _això_, _kéo_, çari_, mojë_, 
   {{0x4ea4278a,0x2fcd0112,0x9f342e02,0x9f43024a}},	//   арта, đeg_, ресі, lojë_, 
   {{0x442f01a0,0x24862e03,0x26180108,0x00000000}},	//   _ywg_, _krom_, _méo_, --, 
   {{0x6abd017d,0x69c3026a,0x9f43024a,0x26182e04}},	// [20d0] ्प्र, ènem, nojë_, _léo_, 
   {{0x8aa72e05,0x75290082,0x7c290218,0x2d9e0212}},	//   кред, zbez, _çerm, êter_, 
   {{0x26180212,0x237c040c,0x5c040080,0x9f43021e}},	//   _néo_, _mavj_, рята, hojë_, 
   {{0xdd9527a6,0x9a8403a1,0x9f43024a,0x21392e06}},	//   _самы, шуул, kojë_, nash_, 
   {{0x2486006d,0xafdb02c9,0x9f430034,0xf7452e07}},	//   _nrom_, gsøg, jojë_, гело, 
   {{0x261800e7,0x442f0201,0xdb070019,0x213900a3}},	//   _béo_, _rwg_, _eljá, hash_, 
   {{0xcf941490,0x24862e08,0xfc3f0a6d,0x442f00a1}},	//   יטס_, _arom_, _hví_, _swg_, 
   {{0x442f0201,0x2486123b,0x21392e09,0xafdb02c9}},	//   _pwg_, _brom_, jash_, bsøg, 
   {{0x752919e0,0x24862e0a,0x58d50f5a,0x9f432e0b}},	//   rbez, _crom_, _соат, rojê_, 
   {{0x64492e0c,0x973c0613,0x75292e0d,0x62810d62}},	//   rrei, _poće, sbez, tvlo, 
   {{0x64492e0e,0x660b012b,0x24862e0f,0x35552e10}},	//   srei, _tigk, _erom_, _مناز, 
   {{0x24860052,0x442f01c1,0x64492e11,0x6446012d}},	//   _from_, _twg_, prei, škia, 
   {{0x3fc800c5,0xf5390228,0x6281000b,0x291f2e12}},	//   ندسی_, mať_, svlo, _mfua_, 
   {{0xf5390228,0x25ad2e13,0x200c2e14,0x00000000}},	//   lať_, lkel_, ödi_, --, 
   {{0xfc3f00b9,0x61ef0d07,0x26180108,0x00000000}},	//   _aví_, blcl, _xéo_, --, 
   {{0x25ad2e15,0xf5390228,0x67380242,0xf1aa007a}},	//   nkel_, nať_, zavj, _ساعه_, 
   {{0xb17b0219,0xac860235,0x5ed70033,0xed3500b3}},	// [20e0] rlåt, ыгал, _ধরণে, рэсэ, 
   {{0xb34603b7,0x9f5e0088,0xb17b0eca,0xdb1e0183}},	//   moçõ, ötä_, blås, fipá, 
   {{0x25ad2e16,0x3ea62e17,0x533600c7,0xf5390228}},	//   kkel_, _синг, רנען_, kať_, 
   {{0x3ea52e18,0xf5390032,0x8c46109a,0xe9e5017b}},	//   älte_, jať_, _йеме, аціо, 
   {{0xe8942cd7,0xf5392e19,0x07a606b3,0xc7c61270}},	//   раль, dať_, ладн, лски, 
   {{0xafdb0022,0x9f43024a,0x61e60844,0x21392e06}},	//   rsøg, vojë_, hokl, zash_, 
   {{0x673811c8,0x61e600ef,0xad9b0587,0xdb07003e}},	//   ravj, kokl, _viúv, _smjö, 
   {{0xd49a2e1a,0x6d562e1b,0x2d802e1c,0x9f43024a}},	//   еро_, ngya, ndie_, tojë_, 
   {{0xa84a0e61,0x5692005e,0x61e600e0,0x2d802e1d}},	//   _سلام_, рақт, dokl, idie_, 
   {{0x9f4300e5,0x958600f0,0x21f202d9,0x248601d2}},	//   rojë_, _әлде, sáhl_, _vrom_, 
   {{0x9f43024a,0x21392e1e,0xe81a0035,0xf5390032}},	//   sojë_, tash_, _फंडा_, bať_, 
   {{0x24862e1f,0x2d80020f,0xf5390032,0x25ad2e20}},	//   _trom_, jdie_, cať_, ckel_, 
   {{0x21392e21,0xc2e300cf,0x5ff50a10,0x73c42841}},	//   rash_, _қўши, изму, _پيغم, 
   {{0x2a660035,0x14d700d1,0x21392e22,0xad9b0354}},	//   łoby_, _גודל_, sash_, _liút, 
   {{0x0ba7004e,0x39440126,0x2139021e,0x00000000}},	//   қшам, _odms_, pash_, --, 
   {{0x6d562e23,0x61e608a1,0x7c292e24,0xafdb0566}},	//   ggya, cokl, _çerk, jrøv, 
   {{0xeb4b2e25,0x48b60033,0x4c942e26,0x00000000}},	// [20f0] ечек_, জপুর, битс, --, 
   {{0x91fd002a,0xf5390187,0x2fca0082,0x2d802e27}},	//   stād, zať_, cibg_, adie_, 
   {{0x3a751088,0x20d41fdb,0x2ca91423,0x25ad2e28}},	//   рлер, _نتیج, syad_, ykel_, 
   {{0x6e2500a1,0x57dd009a,0x00000000,0x00000000}},	//   _ithb, यव्ह, --, --, 
   {{0xf5392e19,0xd5b10108,0xa3d40110,0x3d3a00df}},	//   vať_, _lúc_, सचा_, _בגרס, 
   {{0x225900ab,0x69ca2e29,0x1038035c,0xdd1c0028}},	//   ński_, éfer, נטום_, _iššo, 
   {{0xf5390187,0x25ad007e,0x1a6824a1,0xceb50147}},	//   tať_, tkel_, _میلی_, ייַ_, 
   {{0xa4451cb8,0x00000000,0x00000000,0x00000000}},	//   анид, --, --, --, 
   {{0x69cb2e2a,0x98480141,0xf5390187,0x6446012d}},	//   mige, _бяха_, rať_, škin, 
   {{0x69cb0430,0xf5390187,0x386d1e23,0x81bd01dd}},	//   lige, sať_, _iper_, spēl, 
   {{0x27e72e2b,0xd6d108cb,0x25b0010e,0xf5390032}},	//   monn_, _بقا_, álló_, pať_, 
   {{0x69cb2e2c,0x91e62e2d,0x61e60028,0x00000000}},	//   nige, роме, uokl, --, 
   {{0x6e2500eb,0x753b2e2e,0x80c000bc,0x00000000}},	//   _athb, mauz, _लेखे, --, 
   {{0x753b2e2f,0x69cb01c4,0xdfd20038,0x973c00ca}},	//   lauz, hige, زيز_, _koća, 
   {{0xa91d08d7,0x09b500a2,0x63a3004c,0x6da600c8}},	//   _každ, ंसाठ, _ionn, аива, 
   {{0x63a32e30,0x973c090e,0x27e72e31,0x32da00d1}},	//   _honn, _moća, honn_, _שחקנ, 
   {{0x63a32e32,0x2d80042e,0x69cb2e33,0x6d560274}},	// [2100] _konn, rdie_, dige, rgya, 
   {{0x443f2e34,0x63a32e35,0x9f43010c,0xeab20038}},	//   isu_, _jonn, lojî_, يعا_, 
   {{0x63a32e36,0x69cb2e37,0x973c034c,0x386d2e38}},	//   _monn, fige, _noća, _aper_, 
   {{0x88862e39,0x63a30038,0x69cb2e3a,0xa01b003e}},	//   илеж, _lonn, gige, kvöl, 
   {{0x91fd00e0,0x38cb015f,0x764105a1,0x6eca0659}},	//   ltāc, پانی_, _avly, _हेतु, 
   {{0x63a32e3b,0x98a400bc,0x973c2e3c,0xc66a00c8}},	//   _nonn, _země_, _boća, вшие_, 
   {{0x69cb2e3d,0x29560141,0xafdb03a9,0x443f2e3e}},	//   bige, _възр, prøv, esu_, 
   {{0xd37802f5,0x6d460065,0x18a61988,0xafdb00fc}},	//   moći_, _jdka, _кабм, lrøt, 
   {{0x2616006a,0x63a32e3f,0x443f0102,0xb0c50035}},	//   _पूरी_, _bonn, gsu_, _लेंग, 
   {{0x63a32e40,0x7980024d,0x79822e41,0x64460528}},	//   _conn, _hamw, ldow, škio, 
   {{0x6d4608d7,0x79802e42,0x63a316b3,0xd378034c}},	//   _odka, _kamw, _donn, noći_, 
   {{0x7c2600f1,0x63a30110,0x79822e43,0x31c72049}},	//   _otkr, _eonn, ndow, рсов, 
   {{0x79802e44,0xcfa72e45,0x84630093,0x63a32e46}},	//   _mamw, ашви, _дъще, _fonn, 
   {{0x44262e47,0x63a32e48,0x69cb2e49,0x64421077}},	//   _ito_, _gonn, zige, _ivoi, 
   {{0x7c2626eb,0xc3fb00a7,0x644001e8,0x69cb02b8}},	//   _atkr, _שלוש, lsmi, yige, 
   {{0xa91d090b,0x44262e4a,0x63a32e4b,0x798001a1}},	//   _kaže, _kto_, _zonn, _namw, 
   {{0x63a30298,0x61ed2e4c,0x69cb076d,0xdb1e00c8}},	// [2110] _yonn, _ikal, vige, kipä, 
   {{0x44262e4d,0x69d8026a,0xa91d012d,0x69cb2e4e}},	//   _mto_, éven, _maže, wige, 
   {{0x69cb2e4f,0x79800b31,0x386d00d9,0x61ed2e50}},	//   tige, _bamw, _sper_, _kkal, 
   {{0x44262e51,0x443f2e52,0x64402e53,0x79822e54}},	//   _oto_, ysu_, ksmi, gdow, 
   {{0x44262e55,0xfd9600a7,0x61ed06f2,0xe6cb008c}},	//   _nto_, _הדרך_, _mkal, _íbúð, 
   {{0x64402e56,0x628a2e57,0x67d400d3,0xdb1e00b0}},	//   dsmi, _orfo, оочу, gipä, 
   {{0x44262e58,0x3f8119e0,0x61ed2e59,0x64422e5a}},	//   _ato_, _mahu_, _okal, _avoi, 
   {{0x81bd0bc3,0x63a32e5b,0x973c2e5c,0x27e706df}},	//   spēj, _sonn, _voća, sonn_, 
   {{0x27e70cd7,0x63a32e5d,0x69c90548,0x64402e5e}},	//   ponn_, _ponn, _imee, gsmi, 
   {{0xd7fb030f,0x61ed2e5f,0x44262e60,0x3f8100e2}},	//   _руб_, _akal, _dto_, _nahu_, 
   {{0x443f2e61,0x44262e62,0x63a32e63,0x79802e64}},	//   ssu_, _eto_, _vonn, _yamw, 
   {{0x443f2e65,0x63a301a3,0x95c82e66,0x3f930104}},	//   psu_, _wonn, _куча_, _anxu_, 
   {{0x628a02ec,0x3f812e67,0x973c0062,0x644f19e7}},	//   _erfo, _bahu_, _moćn, ácid, 
   {{0x61ed2e68,0x2326263b,0x64a22e69,0x63ba2e6a}},	//   _ekal, _лоши_, _хаша, chtn, 
   {{0xdfcf00eb,0x65b5014b,0xa91d2e6b,0x69db0126}},	//   ريف_, _záha, _zaže, _ojue, 
   {{0x973c00f1,0x3d28009c,0x3ea502ae,0x2d952163}},	//   _noćn, شتری_, älta_, орус, 
   {{0x6da32e6c,0x3f810242,0x44260126,0x0b462024}},	// [2120] чита, _fahu_, _xto_, йнан, 
   {{0xa3ca094d,0x79802e6d,0x69c92e6e,0xed5901a2}},	//   रोप_, _samw, _amee, лоӣ_, 
   {{0x8e8600eb,0x79800204,0x2bb900a2,0x0a4a00c8}},	//   _الجه, _pamw, _इतरा, узей_, 
   {{0xe9da2e6f,0xe93a1930,0x8d560b2d,0x6d4602c9}},	//   ыке_, اسات_, _уточ, _udka, 
   {{0xa3e70e7d,0x79822e70,0x60000f71,0x515b00d1}},	//   पवा_, rdow, römf, רכנו, 
   {{0xd49a02f1,0x7980092f,0x69c92e71,0x64402032}},	//   ғри_, _wamw, _emee, vsmi, 
   {{0x442603ef,0x2d822e72,0xa91d2e73,0x65b51cf0}},	//   _sto_, _kake_, _saže, _sáha, 
   {{0x64400f96,0xa91d012d,0xd5b700d3,0xa3ca017d}},	//   tsmi, _paže, йсы_, रोन_, 
   {{0x2d820056,0xe5a602f1,0x442602aa,0x64402e74}},	//   _make_, _қиди, _qto_, usmi, 
   {{0xa91d0062,0x61ed2e75,0xd37a1a9e,0x44260097}},	//   _važe, _skal, учи_, _vto_, 
   {{0x9f8d00bc,0xc7b300d1,0xd2f800b3,0xdddc0121}},	//   uží_, _צבע_, ренц_, zvrš, 
   {{0xf2c311db,0xdb1c010d,0x2d820218,0x64402e76}},	//   ясын, _umræ, _nake_, psmi, 
   {{0xafdb03a9,0x673a0088,0xd4f60296,0x30e700f0}},	//   drør, _ketj, _اثاث, сінб, 
   {{0x62340648,0x4394069b,0x82330019,0x673a039b}},	//   _деку, _факс, _کروا, _jetj, 
   {{0x25a62e77,0x673a07d7,0x61ed0b3c,0x3f832e78}},	//   _kool_, _metj, _tkal, rdju_, 
   {{0x673a2e79,0x61ed2e7a,0x7bdc007b,0x21f90098}},	//   _letj, _ukal, _ajru, mého_, 
   {{0x3f812e7b,0x21f90076,0x2d822e7c,0xdb0e00f6}},	// [2130] _tahu_, lého_, _dake_, _albà, 
   {{0x673a0d2d,0x69c90b1f,0x75d300b3,0x2d870083}},	//   _netj, _smee, răzi, śne_, 
   {{0x21f908fc,0x1df916d0,0x973c00ca,0x2d8200df}},	//   ného_, _вены_, _poćn, _fake_, 
   {{0xd37800f1,0x25a601a4,0x2d82007c,0xad9b007a}},	//   moću_, _nool_, _gake_, _dhúc, 
   {{0x973c2e7d,0x21f9014b,0x673a03a9,0xe7390ec6}},	//   _voćn, hého_, _betj, аел_, 
   {{0x21f908d7,0x7c2d24bb,0x2d8223eb,0x661a2e7e}},	//   kého_, mpar, _zake_, _butk, 
   {{0x2d8225d3,0x201300a4,0x660505e0,0xd3780613}},	//   _yake_, _mixi_, опка, noću_, 
   {{0x94252b3b,0x69c92e7f,0x25a600d1,0x21f90098}},	//   омие, _umee, _cool_, dého_, 
   {{0x7c2d2e80,0xe3b92e81,0x57d503b7,0x673a0026}},	//   npar, иби_, _доаѓ, _fetj, 
   {{0xd3780397,0x387f2e82,0x673a040b,0x37f900d9}},	//   koću_, _isur_, _getj, _тезэ_, 
   {{0x395f0bfc,0xd6db134b,0x27e00038,0x65bc0096}},	//   _kcus_, _ста_, éine_, _béhd, 
   {{0x69d92e83,0x2013022c,0x25a6039b,0x387f007b}},	//   nnwe, _aixi_, _gool_, _ksur_, 
   {{0x09a70081,0x201301d6,0x2d822e84,0x64a52e85}},	//   _खवैय, _bixi_, _rake_, _фала, 
   {{0x2d822e86,0x44072e87,0x23bb009e,0x7c2d2e88}},	//   _sake_, _учеб, _bêje_, dpar, 
   {{0x2d822e89,0x442d2e8a,0x76432e8b,0x213b00e2}},	//   _pake_, lpe_, nsny, _feqh_, 
   {{0x6000014e,0x201b2e8c,0x69d901c8,0x7a40039f}},	//   döme, _fuqi_, jnwe, _látá, 
   {{0x90c32e8d,0xfaf8002a,0x442d0cd7,0x7c2d23c2}},	// [2140] _объе, _šī_, npe_, gpar, 
   {{0xdb1c0533,0x442d2e8e,0x7a0c06d0,0xe81d0262}},	//   _områ, ipe_, _işti, _पढ़ा_, 
   {{0x6da605af,0x2d820056,0x65b50254,0x60000f71}},	//   _дина, _take_, _náho, römd, 
   {{0xa96a12e1,0x442d0640,0x673a2e8f,0x2d82006f}},	//   рида_, kpe_, _setj, _uake_, 
   {{0xa3ca00e6,0x661a12ed,0x7c2d00a1,0x673a2e90}},	//   रोड_, _sutk, cpar, _petj, 
   {{0x661a00c8,0xe79302a6,0x25a62e91,0x395f00a1}},	//   _putk, дишњ, _sool_, _ecus_, 
   {{0xd5ba13bd,0x8f9b00fe,0x442d018c,0x673a2e92}},	//   иси_, ייסי, epe_, _vetj, 
   {{0x21f90c7f,0x746a2e93,0x77b400b9,0xe46a0165}},	//   vého_, аров_, _tàxo, ашол_, 
   {{0x764302cd,0x442d011d,0x7c292e94,0x65b500d8}},	//   asny, gpe_, _çert, _táhn, 
   {{0x661a2e95,0x21f905a8,0x83aa0e65,0x31602e96}},	//   _tutk, tého_, ртиб_, _aciz_, 
   {{0x25a62e97,0x7a0c09c7,0x741400d4,0x442d2e98}},	//   _tool_, _aşti, _کوتا, ape_, 
   {{0x21f90076,0xd46a2e99,0x442d023e,0x23bb009e}},	//   rého_, _виде_, bpe_, _rêje_, 
   {{0x38662e9a,0x65b52e9b,0x9f4e014b,0x7c2d2e9c}},	//   ntor_, _záho, šným_, xpar, 
   {{0xa91d012d,0xb4c80551,0x9f5a06df,0x38662e9d}},	//   _maža, ोपी_, _sipò_, itor_, 
   {{0xa91d032f,0x66022e9e,0x20132e9f,0x38662ea0}},	//   _laža, _khok, _vixi_, htor_, 
   {{0xdd940d18,0x65b50356,0xd3780035,0x22510032}},	//   масы, _náhl, leć_, ázke_, 
   {{0xa91d02f5,0xf1bf0038,0x3a2a0c36,0x3866024a}},	// [2150] _naža, mhá_, _atbp_, jtor_, 
   {{0x7c2d2ea1,0x660202a2,0xfa8b2ea2,0xd3780242}},	//   rpar, _lhok, исей_, poću_, 
   {{0x7a400084,0x37d00033,0x7658018e,0x00000000}},	//   _rátá, াকার, juvy, --, 
   {{0xa3ca048e,0xbd6b1c0f,0x195922e0,0x4e7a00c7}},	//   रोत_, _трое_, сады_, _פארצ, 
   {{0xf1b400a7,0x7643016a,0x69d902eb,0x00000000}},	//   וסף_, wsny, rnwe, --, 
   {{0xa91d2ea3,0xec3600d1,0xd3782ea4,0x66022ea5}},	//   _daža, _מאשר_, jeć_, _ahok, 
   {{0x6602018e,0x38662ea6,0x9aa5149e,0xc9772ea7}},	//   _bhok, ator_, _عمرو, _وارث, 
   {{0x66022ea8,0x3179006a,0x795818ae,0xdb07024a}},	//   _chok, jesz_, _миср_, _lojë, 
   {{0x442d2ea9,0x38662eaa,0x7643209d,0x6602009c}},	//   upe_, ctor_, ssny, _dhok, 
   {{0xdb07010c,0x75d300d9,0x65692eab,0x76432eac}},	//   _rojê, văzu, sfeh, psny, 
   {{0x656902f2,0x65151b44,0x00000000,0x00000000}},	//   pfeh, _فوائ, --, --, 
   {{0x442d0bda,0x216a0fac,0xd5b801dd,0x91fd0243}},	//   ppe_, щими_, _stāv_, stān, 
   {{0xd37800ca,0x43952ead,0xbcfb01e5,0x00000000}},	//   beć_, _надс, _mbés, --, 
   {{0x66092eae,0x35d100a5,0x1c1f00b0,0x21f20098}},	//   lmek, _तगड़, _बढ़ल_, váhu_, 
   {{0xa3b820b4,0xbcfb0212,0x59bd02e6,0x02040176}},	//   _ظاهر_, _obés, ्फार, _оҷон, 
   {{0x317900ab,0xf1bf026e,0x9c262eaf,0x38662eb0}},	//   cesz_, chá_, здад, ytor_, 
   {{0x386601ff,0x25bf00e2,0x60002eb1,0x90460038}},	// [2160] xtor_, ihul_, römb, _عنده, 
   {{0x0e662eb2,0xdb070034,0x66090eec,0xa91d2eb3}},	//   _екон, _gojë, hmek, _raža, 
   {{0xa91d00d2,0x66092eb4,0x200a0065,0x00000000}},	//   _saža, kmek, mmbi_, --, 
   {{0x38662eb5,0x25bf0a9d,0xa91d0009,0x9f4a014b}},	//   ttor_, jhul_, _paža, dobé_, 
   {{0xd90d0a24,0x660900c2,0xc18d0070,0x91fd0243}},	//   لیف_, dmek, יטאָ, dtāl, 
   {{0x38662eb6,0x66022eb7,0xa91d0062,0xaa462eb8}},	//   rtor_, _shok, _važa, _негл, 
   {{0x7bce2eb9,0x66022eba,0xd37808e3,0x3e8702d9}},	//   _imbu, _phok, već_, mítá_, 
   {{0xbcfb26ca,0x9adb00a7,0x2ca02ebb,0x38660b30}},	//   _ibér, _החלט, oxid_, ptor_, 
   {{0xa91d003a,0x6d4b0038,0x386600b9,0x00000000}},	//   _kažn, ógai, qtor_, --, 
   {{0xad9b001b,0x644f2ebc,0x00000000,0x00000000}},	//   _nhún, ácia, --, --, 
   {{0x7bce02cd,0x217916d0,0x66022ebd,0xdcfd01dd}},	//   _mmbu, ойны_, _thok, _masā, 
   {{0xa91d044e,0x25bf2ebe,0x80ab0086,0x7bce0042}},	//   _lažn, chul_, _চেষ্, _lmbu, 
   {{0x4420002e,0x2609143e,0xbcfb2ebf,0x00000000}},	//   _îi_, ागरी_, _océa, --, 
   {{0xad9b00f7,0xefc814fc,0x03a32ec0,0xdfdb01d8}},	//   _chún, пуск_, _пичо, съм_, 
   {{0xdb07011c,0xad9b007a,0x00000000,0x00000000}},	//   _gojè, _dhún, --, --, 
   {{0x8d84022c,0x22f700a7,0x9df901fc,0x7bce2ec1}},	//   нууд, _מזון_, інат_, _ambu, 
   {{0x23bb0218,0xa91d012d,0x6285003e,0x6c152ec2}},	// [2170] _hêja_, _bažn, _áhor, ддаф, 
   {{0xbcfb0354,0x91fd0243,0x66092ec3,0xad9b0354}},	//   _ccéa, itām, zmek, _ghún, 
   {{0xa91d00e4,0xfe240080,0xdb070175,0x00000000}},	//   _dažn, _пьян, _kojé, --, 
   {{0x6aaa022b,0x7bce2ec4,0x7af500d8,0x63aa017c}},	//   äffa, _embu, _vyzt, _lofn, 
   {{0x2d992ec5,0xdcfd0243,0x6f072ec6,0x00000000}},	//   _inse_, _fasā, bébé, --, 
   {{0xab842ec7,0xbcfb00eb,0xbcb600d1,0x75f702be}},	//   _пуск, _gcéa, _חפשו_, mãzi, 
   {{0x66092ec8,0x25bf2ec9,0x35a503a1,0x00000000}},	//   tmek, thul_, дайг, --, 
   {{0x6d5f00e2,0x2d892eca,0x75fe024a,0x9f4a2ecb}},	//   ngqa, ndae_, tëza, robé_, 
   {{0x91fd002a,0x394d00d2,0x66092ecc,0x6b870397}},	//   rtāl, _ides_, rmek, _kajg, 
   {{0x63aa0156,0xe3b10038,0x656202be,0x25bf0b41}},	//   _cofn, ئرة_, _ecoh, shul_, 
   {{0x91e62ecd,0x2d990727,0x61ef0534,0x2d89040b}},	//   доне, _onse_, focl, kdae_, 
   {{0x44b52ece,0xa91d0009,0x600002ae,0x00000000}},	//   _обес, _mažo, döma, --, 
   {{0xa91d00d2,0xa3ca0367,0x2d890ff2,0x657b0175}},	//   _lažo, रोह_, ddae_, meuh, 
   {{0x3fcc0086,0x21290054,0x2d992ecf,0x63aa00f8}},	//   লক্ষ, _efah_, _anse_, _gofn, 
   {{0x394d090b,0xa91d0b91,0x248d2ed0,0xdb1e0034}},	//   _odes_, _ražn, lvem_, shpë, 
   {{0xbcfb00eb,0x394d023e,0x217607f4,0x61ef011c}},	//   _scéa, _ndes_, _цукр, cocl, 
   {{0xa91d03ef,0xdcfd002a,0x6446034c,0x5baa2253}},	// [2180] _pažn, _pasā, škiv, окам_, 
   {{0x973c2ed1,0x657b2ed2,0x6b870082,0x394d00b9}},	//   _voćk, heuh, _cajg, _ades_, 
   {{0xa91d02f5,0x657b002c,0x00000000,0x00000000}},	//   _važn, keuh, --, --, 
   {{0xe8fa2ed3,0x394d02be,0x657b033e,0x00000000}},	//   оле_, _cdes_, jeuh, --, 
   {{0x6c7503dc,0x6b872ed4,0x394d0090,0x657b002c}},	//   _пурх, _fajg, _ddes_, deuh, 
   {{0x6d442ed5,0x394d0088,0xc5f82ed6,0x6b8700ef}},	//   laia, _edes_, ुष्य_, _gajg, 
   {{0xd90d006b,0x5a550141,0xba232ec7,0x00000000}},	//   لیہ_, _пъту, _адск, --, 
   {{0x77b400d3,0x6d442ed7,0x973c0a1a,0x1dde2ed8}},	//   _màxi, naia, _moći, नचित, 
   {{0x3329009e,0x186a1234,0x62832ed9,0x00000000}},	//   _şaxa_, _фази_, _asno, --, 
   {{0x6d4401f1,0xa91d08e3,0x69c22eda,0x69b4009a}},	//   haia, _lažl, lhoe, _आवडी, 
   {{0x6d440730,0x973c00d2,0x452a00b3,0x7c242edb}},	//   kaia, _noći, _джен_, hqir, 
   {{0x8506073c,0x225105a8,0xa1940965,0x69c22edc}},	//   _قوان, ázka_, ваюч, nhoe, 
   {{0x6d442edd,0x64b60189,0x3c2400ad,0x4613009c}},	//   daia, _تحار, _növ_, _شوهر, 
   {{0x7bde039b,0x00000000,0x00000000,0x00000000}},	//   jnpu, --, --, --, 
   {{0x05b207d5,0x69c207d7,0x6d441890,0xafdb00fc}},	//   _जवाब, khoe, faia, lsøk, 
   {{0xa91d002a,0x6d442ede,0x973c0082,0x600002ae}},	//   _ražo, gaia, _doći, röma, 
   {{0x26160366,0x2d890326,0x69c22edf,0xafdb0b48}},	// [2190] _पूछी_, rdae_, dhoe, nsøk, 
   {{0x2d890876,0x09d7009a,0x69c20d62,0xe3b80e03}},	//   sdae_, ढच्य, ehoe, nkı_, 
   {{0x6d442ee0,0x248d00bc,0x63a702ae,0xb17b017b}},	//   baia, zvem_, öjni, pnåd, 
   {{0xd5a62ee1,0x6d442ee2,0x6ce700f0,0x69c22ee3}},	//   _صف_, caia, _жіге, ghoe, 
   {{0xe7eb0081,0xe3b801f0,0x394d024a,0x6d4f27c7}},	//   टवला_, kkı_, _vdes_, _idca, 
   {{0x65bc2ee4,0x20220216,0x96652ee5,0xafdb1341}},	//   _réha, _êriş_, екке, dsøk, 
   {{0x65bc1a3b,0x99672ee6,0x00000000,0x00000000}},	//   _séha, _отал, --, --, 
   {{0x394d23b8,0x91fd00e0,0xff1800d1,0xc4852ee7}},	//   _udes_, stāj, וקות_, елик, 
   {{0x6000014e,0xa924026e,0x799b2ee8,0x00000000}},	//   dömn, _úžas, _inuw, --, 
   {{0xf7702ee9,0x42c92eea,0xa3ca2a97,0xb605014b}},	//   _نام_, згон_, रोल_, dnáš, 
   {{0xeb920137,0xe2992eeb,0x7989011c,0x142403a1}},	//   אָר_, чан_, _kaew, ндөм, 
   {{0xdb07010d,0x1df902e6,0xcb120486,0x56b60070}},	//   _hljó, ंतोष_, טלי_, _אפען_, 
   {{0xbcfb2eec,0x6d44019c,0x7989011c,0x33d5128b}},	//   _scén, vaia, _maew, _пікт, 
   {{0x6d440666,0x75292eed,0xb4cb034d,0x973c0372}},	//   waia, lcez, रछी_, _poći, 
   {{0x670f000c,0xa91d003a,0x64492eee,0x527500f6}},	//   ाधिक_, _pažl, lsei, _чулу, 
   {{0x973c00ca,0x443d0574,0x442f2eef,0xdca62ef0}},	//   _voći, _kww_, _ktg_, наби, 
   {{0x64492ef1,0x6d442ef2,0x6b5600eb,0x9f4a03dd}},	// [21a0] nsei, raia, فضائ, lobí_, 
   {{0x7c2b2ef3,0x6d442ef4,0x644901f5,0x442f2ef5}},	//   ígra, saia, isei, _mtg_, 
   {{0xc0a900c5,0x6d441b78,0x69c22ef6,0x443d2ef7}},	//   _فایل_, paia, thoe, _lww_, 
   {{0xdca62ef8,0x186a2ef9,0x394000eb,0x64492efa}},	//   _зами, зади_, úis_, ksei, 
   {{0x69c20511,0x65bc0175,0x201a025b,0xad1b00d1}},	//   rhoe, _béhn, _kipi_, _מוכר, 
   {{0x61e411b1,0x69c22efb,0x64492efc,0xc7a32756}},	//   _ljil, shoe, dsei, личк, 
   {{0x644b05a7,0x442f0844,0xa91d0613,0x69c208b0}},	//   _avgi, _atg_, _zažm, phoe, 
   {{0x38cb00d6,0x9f4a037f,0xa91d008b,0x75fe00e5}},	//   _کافی_, dobí_, _lažj, rëzo, 
   {{0x69c02efd,0x91fd00e0,0x39462efe,0xdb07008c}},	//   _ilme, stāk, maos_, _fljó, 
   {{0xa3ca0da6,0x61e4086d,0x442f085f,0xafdb00dd}},	//   रों_, _ajil, _dtg_, rsøk, 
   {{0xe3b803c0,0x443d0102,0x96962eff,0xa281009c}},	//   rkı_, _eww_, _яраш, لیوو, 
   {{0x644902f2,0x39462f00,0x752902a3,0xe3b8027e}},	//   bsei, naos_, ccez, skı_, 
   {{0x61e42f01,0x201a00ca,0xecd002e6,0x443d039b}},	//   _djil, _bipi_, _सेलफ, _gww_, 
   {{0x6d4f1f87,0x6446008b,0x24860027,0xa91d0144}},	//   _sdca, škis, _isom_, _ražm, 
   {{0x201a0175,0x7c2f039b,0x65bc0151,0xb60500d8}},	//   _dipi_, _stcr, _jého, snáš, 
   {{0x61e4024a,0x39462f02,0x00000000,0x00000000}},	//   _gjil, jaos_, --, --, 
   {{0x6ad900c9,0x39462f03,0xa01b0c98,0x32092f04}},	// [21b0] भप्र, daos_, rvös, _ihay_, 
   {{0x69c02f05,0xdb150183,0x61fd1c33,0x973c00ca}},	//   _alme, _alzá, llsl, _koću, 
   {{0x29040548,0x32090023,0x2a780027,0xb7b50108}},	//   _azma_, _khay_, _cprb_, _lịc, 
   {{0x28d22f06,0x248600ef,0x32090054,0x201a2f07}},	//   _देहि, _osom_, _jhay_, _zipi_, 
   {{0x69c000a1,0x50b30cb8,0x18690171,0x00000000}},	//   _dlme, ुनिष, фали_, --, 
   {{0x2d8b100b,0x9a872f08,0x7989011c,0x69c02f09}},	//   _hace_, _публ, _waew, _elme, 
   {{0x2d8b2f0a,0x973c015e,0x600002ae,0x2904040c}},	//   _kace_, _noću, döml, _ezma_, 
   {{0x2d8b090b,0x442f19e0,0x64492f0b,0x39460126}},	//   _jace_, _ptg_, tsei, caos_, 
   {{0x752901d8,0xa8150470,0xb4cb00aa,0x65bc033e}},	//   rcez, _адаш, रछे_, _téhn, 
   {{0x61f627dc,0x64492f0c,0x320901a7,0x7bc50108}},	//   _skyl, rsei, _ahay_, nhhu, 
   {{0x13090088,0xa2e52f0d,0x32090102,0x920d0035}},	//   ьной_, тонд, _bhay_, सगंज_, 
   {{0x442f2f0e,0x201a06e4,0x32092f0f,0x9f4a23f2}},	//   _ttg_, _sipi_, _chay_, robí_, 
   {{0x9f4a026e,0x644603f9,0x6385011f,0x442f2f10}},	//   sobí_, škir, _агла, _utg_, 
   {{0x2b430352,0x7fd600f0,0x61fd039b,0x00000000}},	//   _nejc_, тімі, alsl, --, 
   {{0x201a2f11,0xdb071102,0x61e42f12,0x68fb1530}},	//   _vipi_, _bojí, _tjil, _lyud, 
   {{0xc69200fe,0xdb070369,0x2d8b2f13,0x291f0108}},	//   סאן_, _cojí, _cace_, _ngua_, 
   {{0x201a2f14,0xab661daa,0x68fb2f15,0x2d8b2f16}},	// [21c0] _tipi_, квал, _nyud, _dace_, 
   {{0x291f2f17,0x2d8b016a,0x6d4b01d5,0xa01b2cd8}},	//   _agua_, _eace_, ógar, svör, 
   {{0x68fb2f18,0xcf570056,0x0f570137,0x2d8b2f19}},	//   _ayud, _בבית_, _ביים_, _face_, 
   {{0x68fb2f1a,0x2d8b02b8,0x7a47010e,0x00000000}},	//   _byud, _gace_, _sétá, --, 
   {{0x2d80002e,0x39462f1b,0x18742f1c,0x63ba017b}},	//   meie_, raos_, угля, yktn, 
   {{0x2d80004f,0x7bc5243f,0x7c362f1d,0x291f09c6}},	//   leie_, chhu, mpyr, _egua_, 
   {{0xfaa32f1e,0x2d8b2f1f,0xc7b80bfc,0x69262f20}},	//   _каро, _yace_, _niđe_, _амба, 
   {{0xa2c50e07,0x5e5700c7,0x2d8b0183,0x69c02f21}},	//   ानन्, דיקע_, _xace_, _ulme, 
   {{0x290400ef,0x68fb2f22,0x65b500de,0x00000000}},	//   _uzma_, _gyud, _náhu, --, 
   {{0x21200065,0x32090104,0x39440657,0x7afc0354}},	//   _agih_, _shay_, _hems_, _kyrt, 
   {{0x2d80018c,0xd7ef00eb,0xe3af091d,0x63ba01d2}},	//   keie_, _بكل_, تري_, rktn, 
   {{0xb6d900c7,0x2486006f,0x9f5f0183,0xa5da2f23}},	//   _אַנט, _tsom_, _árúa_, _غبار_, 
   {{0x2d8b2f24,0x61fd2f25,0x00000000,0x00000000}},	//   _race_, rlsl, --, --, 
   {{0x65bc0175,0x040d0108,0x39442f26,0x00000000}},	//   _méhm, _mườn, _lems_, --, 
   {{0x32090029,0x2d8b2f27,0xdb0e024a,0x040d0023}},	//   _thay_, _pace_, _dobë, _lườn, 
   {{0x3209011d,0x2120011c,0x39440054,0x60b5010e}},	//   _uhay_, _ggih_, _nems_, _ممبئ, 
   {{0x52e21893,0x00000000,0x00000000,0x00000000}},	// [21d0] _पशुस, --, --, --, 
   {{0x1ae70086,0xe1ff2f28,0x2d8b019b,0xad9b0038}},	//   _করবে_, lló_, _wace_, _mhúi, 
   {{0x68fb2f29,0x2d8b2f2a,0xab84021d,0x7afc03c6}},	//   _syud, _tace_, шутк, _cyrt, 
   {{0xe1ff0019,0x7bc502f1,0x68fb011d,0xa91d2f2b}},	//   nló_, shhu, _pyud, _kaži, 
   {{0x040d001b,0x3da400e4,0x7c220038,0x39440186}},	//   _cườn, _трэб, íort, _dems_, 
   {{0xa91d012d,0x69d804fe,0x040d00e7,0x7afc0c17}},	//   _maži, éver, _dườn, _fyrt, 
   {{0xf770214a,0xf96b004e,0x39442f2c,0xdb0e05d5}},	//   تان_, _орай_, _fems_, _nobè, 
   {{0x6e252f2d,0x7f45008a,0xad9b0534,0x291f018e}},	//   _muhb, _lehq, _bhúi, _ugua_, 
   {{0x7afc00e5,0xad9b00eb,0xc7b8044e,0x98680019}},	//   _zyrt, _chúi, _siđe_, _لینے_, 
   {{0x69d92f2e,0x52a91a63,0xd7740499,0xa91d00da}},	//   liwe, евом_, _نامع, _naži, 
   {{0xd575085c,0x61462f2f,0x216a12e1,0xdb0e0034}},	//   _буль, лена, нини_, _robë, 
   {{0x60000219,0x69d92f30,0x9f4a014b,0xe1ff0313}},	//   römm, niwe, dobá_, gló_, 
   {{0x753b2f31,0xe3b3009c,0xad9b0354,0x00000000}},	//   mbuz, _پرش_, _ghúi, --, 
   {{0xfce60200,0xe1ff0369,0x69d9019b,0x43452f32}},	//   қозо, aló_, hiwe, _секв, 
   {{0xe1ff2f33,0x3ebe008c,0x69d92f34,0xe2a800eb}},	//   bló_, átt_, kiwe, _لاين_, 
   {{0x69d90053,0x3f8c2f35,0xdee60283,0x7bd5018e}},	//   jiwe, ždu_, воҳи, _amzu, 
   {{0x645b2f36,0xdca32f37,0x67210352,0x2d802f38}},	// [21e0] nrui, бати, _oglj, reie_, 
   {{0x3ea61790,0x8b262f39,0x69d9040b,0x645b040b}},	//   _биог, удже, eiwe, irui, 
   {{0x7c362f3a,0x645b0038,0x7bcb021e,0xdb1c0502}},	//   spyr, hrui, ëgua, _umrü, 
   {{0x91fd002a,0xa91d1c77,0x645b0b1f,0x08c600d9}},	//   stāv, _zaži, krui, лбен, 
   {{0x6d4601dd,0xd7fa2f3b,0x645b039b,0x00000000}},	//   _ieka, нук_, jrui, --, 
   {{0x91fd002a,0x6d462f3c,0x645b2f3d,0xa63400dd}},	//   ltāt, _heka, drui, анкі, 
   {{0x6d462f3e,0x26050081,0xf1c1026e,0xad9b007a}},	//   _keka, _हीही_, ášky_, _shúi, 
   {{0x54542f3f,0x645b2f40,0x262700ef,0x040d001b}},	//   авит, frui, _gđom_, _tườn, 
   {{0xa2d92f41,0x973c0097,0x89d500f0,0x136a0093}},	//   _फेब्, _anće, _тірш, ншни_, 
   {{0x1ae7100b,0x6d460b07,0x42742f42,0x7c262f43}},	//   _করতে_, _leka, агос, _mukr, 
   {{0xb3450165,0xd3770528,0x75fe0034,0x26ca2be3}},	//   _seçã, учы_, hëzi, _åbo_, 
   {{0x645b2f44,0x04462f45,0xf1a72f46,0x0ecf00c2}},	//   brui, _бедн, урон, _हेगड, 
   {{0x645b2f47,0x10742f48,0xa91d012d,0x6e2502f1}},	//   crui, бляю, _paži, _suhb, 
   {{0xa3e82246,0x69d92f49,0x92942f4a,0x5334021f}},	//   _यदि_, ziwe, _вакц, _тект, 
   {{0xdd9b032e,0x6d462f4b,0x4426086d,0xa91d012d}},	//   нша_, _beka, _huo_, _važi, 
   {{0x6d462f4c,0x4426012d,0x7c262f4d,0x628a007b}},	//   _ceka, _kuo_, _bukr, _isfo, 
   {{0x62982f4e,0x4426058b,0x629e0183,0xa3e82f4f}},	// [21f0] _hrvo, _juo_, _ápob, _यदा_, 
   {{0xf1bf00bc,0x7c260009,0x67ff010c,0xdd9300f0}},	//   lká_, _dukr, rêjk, шағы, 
   {{0x6d462f50,0x3f830097,0x44262f51,0x69d92f52}},	//   _feka, meju_, _luo_, tiwe, 
   {{0xdd950d18,0x75222f53,0x3ebe155b,0x893700eb}},	//   _тамы, _ngoz, øtte_, اعضا, 
   {{0x44260904,0x69d92f54,0x98a52f55,0x18a52f56}},	//   _nuo_, riwe, риле, ралм, 
   {{0x6d462f57,0x65b50076,0x62980019,0xd2461b44}},	//   _zeka, _náhr, _orvo, _ون_, 
   {{0x79820068,0x6d462f58,0x00000000,0x00000000}},	//   beow, _yeka, --, --, 
   {{0x44260c36,0x644202a5,0x7c2602a5,0xf773039f}},	//   _buo_, _bwoi, _yukr, _گار_, 
   {{0x6298030f,0x442604d1,0x05a60088,0x58d515d3}},	//   _arvo, _cuo_, рвый_, _тоат, 
   {{0xf7730e61,0x67210062,0x645b2f59,0xe29902a6}},	//   _دار_, _uglj, rrui, вао_, 
   {{0x629805ae,0x645b2f5a,0xd5ae015f,0x59b91c54}},	//   _crvo, srui, سفی_, _आवार, 
   {{0x6298090b,0x645b0b22,0x947900b3,0x22582f5b}},	//   _drvo, prui, _аску_, árka_, 
   {{0x6d4603ef,0x03a502b9,0x628a2d9c,0x6298012e}},	//   _reka, _вило, _esfo, _ervo, 
   {{0x6d462f5c,0x91fd00e0,0x4ab502e6,0xfd6400f6}},	//   _seka, tuāc, ंहाव, өнгү, 
   {{0x7c262f5d,0xf233009c,0x629e02be,0xf1bf00de}},	//   _sukr, _ابتک, _àpop, bká_, 
   {{0xf1bf08d7,0x65b50187,0x3dc9209a,0x25bf2f5e}},	//   cká_, _záhr, ghaw_, nkul_, 
   {{0x0b462f5f,0xa91d00ca,0xd7c5009a,0xab2a04b6}},	// [2200] инан, _kažu, वसाच, воза_, 
   {{0x67ff078a,0x75fe00e5,0x91fd01dd,0x6d462f60}},	//   bêji, rëzi, grāf, _weka, 
   {{0x3ea602f1,0xa9262f61,0xed5a00d9,0xae1f00a5}},	//   _тинг, адел, _ион_, _मंचन_, 
   {{0x25ad2f62,0xd3780a1a,0x6d46011c,0xda650038}},	//   jjel_, miće_, _ueka, صامي, 
   {{0xd3780d26,0xa9672f63,0xe8942f64,0x83fd010e}},	//   liće_, рича_, саль, ntős, 
   {{0x91fd0bc3,0xd90d00d6,0x75220036,0xf1bf02d9}},	//   ntār, ریل_, _sgoz, zká_, 
   {{0x4426048a,0x4b7b0a33,0x6442006a,0xd37803f5}},	//   _suo_, _שאלו, _swoi, niće_, 
   {{0x44262f65,0x2d92158b,0xbcfb00eb,0xa3d30262}},	//   _puo_, ndye_, _scéi, सोस_, 
   {{0xa91d0082,0x569200f0,0xa4d4012d,0x98bd0083}},	//   _sažv, сақт, сопі, tawą_, 
   {{0x629809c4,0xd37800ca,0xa50702a6,0xa91d0028}},	//   _prvo, kiće_, шења_, _pažv, 
   {{0xe7e30081,0x3f830009,0xf1bf0377,0xd3780a1a}},	//   कचरा_, veju_, tká_, jiće_, 
   {{0x44262f66,0x28db1516,0xd37801b4,0x644200ab}},	//   _tuo_, _मेडि, diće_, _twoi, 
   {{0xe3af017a,0xdb0e01f0,0x75d30038,0x7c29009e}},	//   سری_, _albü, _بينا, _çerx, 
   {{0xf1bf0076,0xd3780588,0x33f32f67,0x245700b3}},	//   ská_, fiće_, _وسوس, _ташь_, 
   {{0x3dc92f68,0x3f832f69,0x2452010e,0x7fd70259}},	//   thaw_, reju_, _انڈس, гіңі, 
   {{0x67ff010c,0x3da42f6a,0x3dc907fc,0x3ead0372}},	//   rêji, оруб, uhaw_, ćet_, 
   {{0x91fd00e0,0x26e20035,0x4c940080,0xa3da00c9}},	// [2210] stās, गपुर_, оитс, _ठगा_, 
   {{0x3dc9006f,0x60c0155b,0xd3780571,0xde6700fd}},	//   shaw_, ømme, biće_, _къмп, 
   {{0x200300f1,0x6e950084,0x3a7511f0,0xad9b0354}},	//   mlji_, _الجا, слер, _bhút, 
   {{0x628600ab,0xdb0e0369,0xfbdf009e,0xaa5804b6}},	//   łkow, _albó, _avêt_, рицу_, 
   {{0x9f51031e,0x260a1567,0x18211489,0x9f58009e}},	//   hozí_, ातनी_, मदेव_, dorê_, 
   {{0x600000c8,0xdb1c00a1,0x26e2009a,0x68190118}},	//   tömi, _flrà, गपूर_, _kňdi, 
   {{0x7c2d00cf,0x200300ef,0x7bc700a4,0x25bf2f6b}},	//   lqar, ilji_, _ilju, tkul_, 
   {{0x59f90088,0x3940008c,0xc7b8090e,0x77bd022c}},	//   _себя_, ðist_, _viđa_, _mèxi, 
   {{0x7bc70412,0x26c10187,0x38600014,0x7c2d2f6c}},	//   _klju, šho_, àirt_, nqar, 
   {{0x25bf2f6d,0x84e5004e,0xd6db2f6e,0x68e40038}},	//   skul_, _қолж, _ите_, úide, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xd3782f6f,0xad9b007a,0x930d0241,0x00000000}},	//   viće_, _mhús, _ışık, --, 
   {{0x7bc72f70,0x34ab0038,0x61e603d8,0xe3ae2f71}},	//   _olju, _جداً_, rnkl, _еб_, 
   {{0xd378034c,0x65692f72,0x6d4b003e,0x9f580034}},	//   tiće_, lgeh, ðgan, morë_, 
   {{0xada6237f,0x6da62f73,0x75fe024a,0x63bc2f74}},	//   бавл, бива, rëzv, örne, 
   {{0x65692f75,0x7bc72f76,0xd378034c,0xb14600d9}},	//   ngeh, _alju, riće_, _унил, 
   {{0x0c232f77,0xd37807c7,0x7bc700d0,0x69d80107}},	// [2220] змун, siće_, _blju, èvem, 
   {{0x65bc026d,0x7f8600eb,0xd378034c,0x21f20098}},	//   _véhi, _الدن, piće_, váhy_, 
   {{0xdb0e05d5,0x387f01f1,0x09e62f78,0x1617103d}},	//   _albò, _apur_, божн, दगार_, 
   {{0x27e90038,0xdb1c0219,0x9f58024a,0xfce60eaf}},	//   éann_, _omrö, korë_, _гомо, 
   {{0x28d21276,0xfbd1010e,0x65692c33,0xa2d90a20}},	//   _देखि, ستے_, dgeh, _फेस्, 
   {{0xab27005b,0xfaa61fcd,0x207b027a,0x00000000}},	//   _гора_, _лаго, ראסא, --, 
   {{0x7bde2f79,0x8f9b00a7,0x65692f7a,0x9f58010c}},	//   mipu, טיסי, fgeh, torê_, 
   {{0x7bde0985,0x69cb2260,0x743400d9,0x65690aa7}},	//   lipu, chge, ониф, ggeh, 
   {{0xc34a2f7b,0xdb0e019c,0x387f00a1,0x00000000}},	//   ляне_, _mobí, _gpur_, --, 
   {{0x7bde09e8,0x32540cd9,0xd62a2f7c,0x66e62f7d}},	//   nipu, овор, _боже_, _лоза, 
   {{0xd5af2f7e,0x2003133e,0x38660065,0xc2050083}},	//   _ес_, vlji_, luor_, रतलब_, 
   {{0x645d1056,0x7bde00d4,0x31c700c8,0xba9b035c}},	//   ásic, hipu, ссов, אסטי, 
   {{0x7bde2f7f,0x10742f80,0x2bfa0299,0xf5062f81}},	//   kipu, пляю, ्तां_, _уздо, 
   {{0x75fe0034,0x8f3411f0,0x02a6063f,0xb4e4017d}},	//   rëzu, зерц, _грим, फपी_, 
   {{0x7bde2f82,0x91fd00e0,0x7de50009,0x637700a7}},	//   dipu, trād, lėsi, _הגוף_, 
   {{0x1ae70086,0x7bc7090e,0x7c2d2f83,0x3ebe004f}},	//   _করলে_, _slju, tqar, øtta_, 
   {{0x20030062,0xcf8e00d4,0x22ae0095,0xdb0e0356}},	// [2230] plji_, رژی_, dəki_, _dobí, 
   {{0x6569009e,0x7bde2f84,0x61ed2245,0xad9b00eb}},	//   zgeh, gipu, _hjal, _chúr, 
   {{0x387f2f85,0x7c2d00a3,0x7bc70352,0xc33300d1}},	//   _spur_, sqar, _vlju, פוף_, 
   {{0x39492f86,0x7bde1a77,0x38662f87,0xdb0e107c}},	//   úas_, aipu, fuor_, _bobâ, 
   {{0x7c2d008a,0x27e90503,0x61ed2f88,0xdd9800b3}},	//   qqar, éano_, _mjal, _ушэ_, 
   {{0x7bc71993,0x98482f89,0xad9b0534,0x61ed02f1}},	//   _ulju, сяца_, _thús, _ljal, 
   {{0x61ed2f8a,0x65692f75,0x3ffc0070,0xa01b0380}},	//   _ojal, tgeh, אפגע, rwöh, 
   {{0xe4592338,0x61ed2f8b,0x9f58024a,0x8beb0033}},	//   ажи_, _njal, torë_, _কঠিন_, 
   {{0x65692f75,0x69c92f8c,0x29190212,0xb3c900d9}},	//   rgeh, _ilee, _àsa_, илиз_, 
   {{0xd7fb2f8d,0xa3d3000f,0x61ed2f8e,0x65692f8f}},	//   _суб_, सों_, _ajal, sgeh, 
   {{0xf770125e,0x69c919b8,0x9f58024a,0xdb150216}},	//   _سال_, _klee, sorë_, _sozê, 
   {{0x216a2f90,0x3860044e,0x7bde2f91,0xb1da004f}},	//   шими_, šire_, zipu, рьох_, 
   {{0x61ed2f92,0x69c900ef,0x69db0415,0xdb0e0032}},	//   _djal, _mlee, _mmue, _robí, 
   {{0xee3a2f93,0xd9b62df7,0x61ed1b3e,0x69c22f94}},	//   инг_, _अक्ट, _ejal, zkoe, 
   {{0x61ed2f95,0x80db0086,0x9f582f96,0x98bd0035}},	//   _fjal, _যুদ্, noré_, rawę_, 
   {{0x61ed2f97,0x8066243e,0x22510076,0xd3780704}},	//   _gjal, _движ, ázku_, mića_, 
   {{0x7bde2f98,0xd378003a,0x394f2f99,0x1b4a0176}},	// [2240] tipu, lića_, dags_, изаи_, 
   {{0x69db0bf1,0x69c92f9a,0x61ed0082,0x81ac0033}},	//   _amue, _alee, _zjal, _গতি_, 
   {{0x7bde2f9b,0xd3780062,0x49a4004e,0xdb0e1cf0}},	//   ripu, nića_, зылғ, _tobí, 
   {{0x7bde2f9c,0x0906002e,0x7ae30038,0xa967263b}},	//   sipu, опен, únta, жица_, 
   {{0xd3782f9d,0x69c22f9e,0x91fd00e0,0x7bde00d4}},	//   hića_, rkoe, duāl, pipu, 
   {{0xd378034c,0xa09b035c,0x69c22f9f,0x56940a31}},	//   kića_, יינט, skoe, закт, 
   {{0xeb910137,0xd37801b4,0xa3bf00b0,0x3a2a012b}},	//   _אָן_, jića_, ीसन_, _uubp_, 
   {{0xd37800f1,0x35f700d7,0x00000000,0x00000000}},	//   dića_, يريد_, --, --, 
   {{0xb7e62fa0,0x249d0090,0x61ed00c3,0x7ccd040c}},	//   _джак, _crwm_, _rjal, _kўra, 
   {{0xd3780112,0x61ed2fa1,0x9f580107,0x7de50009}},	//   fića_, _sjal, boré_, rėsi, 
   {{0xd3781993,0x69c90088,0x27fc02fe,0x94a8004e}},	//   gića_, _ylee, movn_, ртқа_, 
   {{0xfec20033,0x2018021e,0x00000000,0x00000000}},	//   োপাধ, emri_, --, --, 
   {{0xa5071a9e,0xc953042c,0x60f813f2,0x7bdc2fa2}},	//   _деца_, ומר_, жняя_, _omru, 
   {{0xd3780112,0xcf2700eb,0x42550019,0x00000000}},	//   bića_, ترحي, _کنٹر, --, 
   {{0xcddb2fa3,0x61ed003e,0xd3780a1a,0x91fd01dd}},	//   ања_, _tjal, cića_, grāc, 
   {{0x61ed00da,0xad9b00e1,0x4ea50259,0xdda800d9}},	//   _ujal, _chúp, орға, отул_, 
   {{0x61fd2fa4,0x7e67006d,0x69c9019b,0xbcfb0173}},	// [2250] mosl, sujp, _rlee, _acér, 
   {{0x69c92fa5,0x7a33008a,0x9f430369,0x91fd01dd}},	//   _slee, _aħta, rojó_, zuāl, 
   {{0x69c92fa6,0x8ae702fb,0xaa9500eb,0x394f2fa7}},	//   _plee, ціал, ثلاث, tags_, 
   {{0x61fd2fa8,0xbcfb0228,0x160a0035,0x9f580216}},	//   nosl, _dcér, _हीलर_, norî_, 
   {{0x69c90af8,0xe7392fa9,0x2129012b,0x394f2faa}},	//   _vlee, бел_, _mgah_, rags_, 
   {{0x290402bf,0x61fd00da,0x00000000,0x00000000}},	//   _dyma_, hosl, --, --, 
   {{0x212908a1,0x6fc20228,0x91fd00e0,0x61fd0e25}},	//   _ogah_, _dôch, tuāl, kosl, 
   {{0xd37800f1,0xd90e006b,0x2d89023e,0x78a62fab}},	//   vića_, ئیے_, neae_, _škve, 
   {{0x478b0088,0x7bc52fac,0xe5a300a3,0x69c8010c}},	//   _всем_, okhu, зиқи, _îdea, 
   {{0xd37814f0,0x63b8006d,0x394d2fad,0x7bc50727}},	//   tića_, _covn, _hees_, nkhu, 
   {{0x88bd0086,0x7bc5109e,0x9f4e0356,0x6b952fae}},	//   _অধিক, ikhu, áním_, _mazg, 
   {{0xd378003a,0x2001085f,0x6b952faf,0x394d1279}},	//   rića_, _akhi_, _lazg, _jees_, 
   {{0x394d2fb0,0xd3780112,0xd9bd0086,0x9f4e02d9}},	//   _mees_, sića_, _আগাম, šním_, 
   {{0x394d2fb1,0x443f134c,0x437507f5,0xdd9211b7}},	//   _lees_, mpu_, _זײַן_, کور_, 
   {{0x443f2fb2,0x6012008c,0xc3320070,0x61fd2fb3}},	//   lpu_, væmd, _אוו_, bosl, 
   {{0xc8bd0f01,0x394d023b,0x63b8053d,0x62832fb4}},	//   ्नाट, _nees_, _zovn, _ipno, 
   {{0x6b950242,0x443f0118,0xdd8f09ed,0xafe62fb5}},	// [2260] _bazg, npu_, دوق_, _ноил, 
   {{0x6000183f,0x3a242fb6,0xa09b008d,0x2c7402ae}},	//   röms, _simp_, _פייט, räd_, 
   {{0x394d2fb7,0xc7b8090e,0x3f8a023e,0x00000000}},	//   _bees_, _rođ_, mebu_, --, 
   {{0xa96a0c67,0x3f8a2fb8,0x394d2fb9,0x62830054}},	//   сида_, lebu_, _cees_, _mpno, 
   {{0x6d441868,0x394d2fba,0x684323ef,0x7bc5006d}},	//   mbia, _dees_, енча, bkhu, 
   {{0x6d44012d,0x3f982fbb,0x6e26011d,0x3f8a00f8}},	//   lbia, ndru_, _hikb, nebu_, 
   {{0x3a240012,0x63b82fbc,0xd9461b85,0x2bc1009a}},	//   _timp_, _rovn, _неви, _शकता, 
   {{0x394d018c,0x6fcb0384,0x3f8a2fbd,0x3a24001d}},	//   _gees_, _müca, hebu_, _uimp_, 
   {{0x443f011d,0x6b951240,0xd49700b3,0x00000000}},	//   gpu_, _yazg, прэ_, --, 
   {{0x3f8a0613,0x60270212,0x260a009a,0x883b00d1}},	//   jebu_, hémè, ातही_, _לתמו, 
   {{0x394d01a0,0x61fd2fbe,0x7d060ff2,0xd6c4009c}},	//   _yees_, tosl, _lyks, _تمای, 
   {{0x394d0201,0x25a60156,0xdceb0352,0x3f9801dd}},	//   _xees_, _unol_, _žičn, edru_, 
   {{0x64a32fbf,0x61fd2fc0,0x77bd022c,0x660207d7}},	//   _паца, rosl, _tèxt, _ikok, 
   {{0xb7bd002e,0x3f8a2fc1,0x61fd00a3,0x00000000}},	//   _puţi, gebu_, sosl, --, 
   {{0xbcfb0183,0x64400511,0xddd02fc2,0xd37800ca}},	//   _acép, lpmi, _šeši, lićo_, 
   {{0x6d442fc3,0x6b95009e,0x00000000,0x00000000}},	//   gbia, _sazg, --, --, 
   {{0x394d2fc4,0x66022fc5,0x6ce4128b,0x6e26040b}},	// [2270] _rees_, _mkok, ніфе, _dikb, 
   {{0xfe6e15c0,0x60cf07fa,0x7dca0098,0xbca40038}},	//   دگی_, ınmı, _výsa, عملي, 
   {{0x6d442fc6,0x394d2fc7,0x6b95027e,0x7b640314}},	//   bbia, _pees_, _vazg, этте, 
   {{0x394d023b,0x3ebe2fc8,0x66022843,0x3eac1341}},	//   _qees_, ätte_, _nkok, ådte_, 
   {{0x394d2fc9,0x315800c7,0x6b950144,0x00000000}},	//   _vees_, ליאן_, _tazg, --, 
   {{0x394d042e,0x98a22fca,0x6d4f2fcb,0x66022fcc}},	//   _wees_, тише, _heca, _akok, 
   {{0x6d4f031d,0x996700b3,0x7c2f0ad9,0x00000000}},	//   _keca, _нтал, _hucr, --, 
   {{0x84592fcd,0x7c272fce,0x6d4f044e,0x3860044e}},	//   орот_, _hijr, _jeca, šira_, 
   {{0x855400d4,0x6f0900bc,0x6add2fcf,0x00000000}},	//   ریور_, řech, _मधुर, --, 
   {{0x6d4f2fd0,0x443f2fd1,0xd24300a3,0x00000000}},	//   _leca, rpu_, нмоқ, --, 
   {{0x7c2f0aa4,0xa18a24d2,0x6d5d0f6a,0x6d4400f8}},	//   _lucr, обна_, _odsa, ybia, 
   {{0x443f0d3e,0x6d4f2fd2,0x798b00f8,0x3f8a2fd3}},	//   ppu_, _neca, negw, webu_, 
   {{0xc4fb00d4,0x6e2600c3,0x66092fd4,0x9554009c}},	//   _اعضا_, _rikb, mlek, _سخنا, 
   {{0x661b2fd5,0x7d062fd6,0x9eaa00a3,0x443d0106}},	//   lmuk, _ryks, овга_, _itw_, 
   {{0x6d4f2eaa,0x442f2fd7,0x7d060088,0x3f8a2fd8}},	//   _beca, _hug_, _syks, rebu_, 
   {{0x44272fd9,0x6d4f2fda,0x7e61008c,0x66092fdb}},	//   _hin_, _ceca, álpa, nlek, 
   {{0x6d442617,0xfce30170,0x442f2b45,0x7c2f00e7}},	// [2280] rbia, вото, _jug_, _cucr, 
   {{0x8bf100cc,0x660907d7,0x7d06012d,0x7c2f0151}},	//   _জীবন_, hlek, _vyks, _ducr, 
   {{0x442f2fdc,0xbcfb023e,0x6eb52158,0x7c2f2fdd}},	//   _lug_, _adéd, _उपयु, _eucr, 
   {{0x44272fde,0x66092fdf,0x661b0065,0x442f00b3}},	//   _lin_, jlek, jmuk, _oug_, 
   {{0xa3bf0827,0x645d014b,0x443d006d,0x442f01a0}},	//   ीसा_, ásil, _ntw_, _nug_, 
   {{0x44272fe0,0xb8d629c4,0x6d4f02be,0x661b08e5}},	//   _nin_, _छप_, _zeca, emuk, 
   {{0x34b80a09,0xd6d000eb,0x443d0045,0x660202a2}},	//   ेन्द, طقة_, _atw_, _pkok, 
   {{0xd5b0057f,0x661b0daa,0x66090b48,0x442f2dc3}},	//   افة_, gmuk, glek, _bug_, 
   {{0x44272fe1,0x442f0561,0x443d0354,0x00000000}},	//   _bin_, _cug_, _ctw_, --, 
   {{0x3946012d,0xa3d800ab,0x66092fe2,0x17832fe3}},	//   lbos_, ठों_, alek, _игум, 
   {{0xbcfb2fe4,0x442f01fd,0x200f0028,0x00000000}},	//   _idée, _eug_, _ūgio_, --, 
   {{0x44272fe5,0x7dc3007e,0xf1a71fcd,0x39460d62}},	//   _ein_, _tõsi, фрон, nbos_, 
   {{0x6d4f257d,0x29f82fab,0x443d016a,0x39461d72}},	//   _reca, mčad_, _gtw_, ibos_, 
   {{0x6d4f2e7b,0x44272fe6,0x9f4300e5,0xa2d90249}},	//   _seca, _gin_, mijë_, _फेक्, 
   {{0x7c2f2fe7,0x7dd10075,0x442f0380,0x9f5800b9}},	//   _sucr, _låse, _zug_, corí_, 
   {{0x44272fe8,0x29f8090e,0x442f01a0,0xa01b0380}},	//   _zin_, nčad_, _yug_, gwör, 
   {{0x44272fe9,0x6d4f2fea,0x62970183,0x00000000}},	// [2290] _yin_, _veca, _áxor, --, 
   {{0x2fc700f7,0x44270029,0x60c0022b,0x66090019}},	//   _ông_, _xin_, ämme, zlek, 
   {{0x386600e2,0x6d4f2feb,0xf09f03dd,0x798b2fec}},	//   eror_, _teca, lvà_, tegw, 
   {{0x6d5d055f,0x6eae031e,0x7f550126,0x38660156}},	//   _udsa, ीहरु, lazq, fror_, 
   {{0xdd3a0056,0x660910ea,0x798b0199,0xe739181b}},	//   _מערכ, vlek, regw, пел_, 
   {{0x2d990149,0xe7392fed,0xe611009c,0xa69508bd}},	//   _hase_, чек_, گشت_, ериј, 
   {{0x44272fee,0x2d992fef,0x27e901b4,0x442f2ff0}},	//   _rin_, _kase_, đan_, _sug_, 
   {{0x44272ff1,0xfc3f00eb,0x9f580187,0x248602a2}},	//   _sin_, _tríd_, vorí_, _bpom_, 
   {{0x66092ff2,0x661b04bb,0x44272ff3,0x998a02d9}},	//   rlek, rmuk, _pin_, _zubů_, 
   {{0xe3b1057f,0xe8bd047c,0x2d992ff4,0x66092ff5}},	//   ارة_, ्नीच, _lase_, slek, 
   {{0x44272ff6,0x66092ff7,0x443d08b0,0x13091193}},	//   _vin_, plek, _wtw_, яной_, 
   {{0x442f2ff8,0x44272ff9,0x7643016a,0xe29611e7}},	//   _tug_, _win_, mpny, хаю_, 
   {{0x44272ffa,0x30752ffb,0x2ec818b4,0x10a32ffc}},	//   _tin_, курс, रन्त, гиян, 
   {{0x44272ffd,0xd0122e10,0x2d990b48,0x00000000}},	//   _uin_, الس_, _aase_, --, 
   {{0xf8bd000d,0x3946012d,0x91e608d1,0x2d992ffe}},	//   ्नुप, ybos_, _поке, _base_, 
   {{0x2d992fff,0xdb1c026a,0xa3cd0083,0x7dca00da}},	//   _case_, _forê, रसव_, _výso, 
   {{0xa3c302f8,0x3dd202f0,0x8fa61d05,0x2d990183}},	// [22a0] _एका_, rhyw_, _запе, _dase_, 
   {{0x61e60998,0xfc3f0084,0x395f3000,0x32023001}},	//   likl, _dtí_, _adus_, loky_, 
   {{0x160f09e2,0x66000548,0x7dd102ae,0xb17b02ae}},	//   ातार_, yomk, _såse, pnåt, 
   {{0x61e63002,0x2d993003,0x7dd11e9f,0x38663004}},	//   nikl, _gase_, _påse, tror_, 
   {{0xe8943005,0xa92702fb,0x3f9a3006,0x98a33007}},	//   таль, ніше_, _kapu_, лице, 
   {{0x2d991425,0x2d803008,0x38663009,0xa3e10299}},	//   _zase_, lfie_, rror_, नोम_, 
   {{0x3f9a2cb5,0xdb1c024a,0x61e6300a,0xd90d0019}},	//   _mapu_, _morë, kikl, میہ_, 
   {{0xceb30056,0x6d56300b,0x3f9a00e0,0x3949008c}},	//   ריה_, naya, _lapu_, ðast_, 
   {{0x61e6300c,0x186703b7,0x9418040c,0x29f80082}},	//   dikl, _пати_, мжит_, rčad_, 
   {{0x6d56300d,0xb34611c9,0x3f9a00ca,0x7dca003e}},	//   haya, diçõ, _napu_, _sýsl, 
   {{0x6d56300e,0xd257004f,0x2ca000b0,0xf773027a}},	//   kaya, нця_, hvid_, _תקע_, 
   {{0x6d5627c8,0xab64027e,0x25bd007b,0x61e60028}},	//   jaya, ldüğ, _gowl_, gikl, 
   {{0x7dca0076,0x6d56300f,0x1ae700cc,0x2ca010b7}},	//   _výsl, daya, _করছে_, jvid_, 
   {{0xb4be02e6,0x2ca0014e,0x6fcb0095,0x20050228}},	//   ीनी_, dvid_, _gücl, ôli_, 
   {{0x2d99158b,0x2d803010,0xdb1c00e5,0x6d5600e2}},	//   _pase_, ffie_, _dorë, faya, 
   {{0xdd941b17,0x6d563011,0x3253048a,0xb34603b7}},	//   ласы, gaya, _свър, biçõ, 
   {{0xdb15026e,0xacf83012,0xa91d16fb,0xbc790cfe}},	// [22b0] _vozí, енту_, _obža, ьбах_, 
   {{0xdb1c3013,0x9f5800b9,0xe7e200bc,0x00000000}},	//   _korè, corà_, कोमा_, --, 
   {{0x6d563014,0x20030009,0x2d993015,0x16200ba3}},	//   baya, moji_, _tase_, मगार_, 
   {{0x6d5600d7,0x20033016,0xaf4b010e,0x9f58019c}},	//   caya, loji_, _بشکل_, porã_, 
   {{0xdb1c023e,0x83fd010e,0x7dda02d9,0xa01b003e}},	//   _lorè, rtőz, růst, rtöf, 
   {{0x61e63017,0x20033018,0x3202023a,0x00000000}},	//   zikl, noji_, zoky_, --, 
   {{0x34c90a09,0x79a40259,0x00000000,0x00000000}},	//   िन्द, _өрте, --, --, 
   {{0x20030053,0x00000000,0x00000000,0x00000000}},	//   hoji_, --, --, --, 
   {{0x61e605ce,0x2003122d,0x99870028,0x3202023a}},	//   vikl, koji_, ūnų_, voky_, 
   {{0xad9b01d5,0xd7591f7a,0x6d563019,0x799b301a}},	//   _skúl, _آلات_, zaya, _hauw, 
   {{0x6d56301b,0x216a1b08,0x27e7008c,0x320200a9}},	//   yaya, мини_, minn_, toky_, 
   {{0xe3b11fdb,0x6d56011c,0x27e7301c,0xb3460165}},	//   ارک_, xaya, linn_, tiçõ, 
   {{0x61e6301d,0x3f9a301e,0x3202301f,0x799b3020}},	//   rikl, _papu_, roky_, _mauw, 
   {{0x200311c8,0x6d563021,0xb34602a0,0x27e73022}},	//   goji_, waya, riçõ, ninn_, 
   {{0x6d563023,0xb34602a0,0xa3d63024,0xdb1c00d7}},	//   taya, siçõ, _सतत_, _gorè, 
   {{0x27e7004c,0x799b3025,0x69cb02b0,0xdce40372}},	//   hinn_, _nauw, jkge, ngić, 
   {{0x6d56170d,0x61e43026,0x27e7008c,0x7e7c203b}},	// [22c0] raya, _imil, kinn_, strp, 
   {{0x6d563027,0x80db3028,0x9f4a060f,0xfaa63029}},	//   saya, _যুক্, robó_, казо, 
   {{0x6d56302a,0x799b302b,0x7c36024a,0x81f70274}},	//   paya, _bauw, sqyr, _سفیر_, 
   {{0x5e570137,0xe8ea302c,0x6d56302d,0x186a302e}},	//   _ביטע_, ммед_, qaya, дади_, 
   {{0xf7720040,0x27e7302f,0x61e43030,0x76410009}},	//   لاغ_, finn_, _mmil, _atly, 
   {{0x27e73031,0xf093035c,0x6a8600a3,0x69cb08a3}},	//   ginn_, ינד_, _илга, akge, 
   {{0xbcfb3032,0xd6cf00b1,0x7dc3007e,0xfc3f033c}},	//   _idéa, يقه_, _tõst, _iría_, 
   {{0x6b9c3033,0xd876006b,0x69cb01c4,0xd37808e3}},	//   _harg, _لائب, ckge, mići_, 
   {{0xb4be3034,0xb4cc11bd,0x6b9c3035,0xd378034c}},	//   ीने_, रने_, _karg, lići_, 
   {{0x61e43036,0x69c03037,0x27e701c5,0x79823038}},	//   _amil, _home, cinn_, lfow, 
   {{0xd6c41fdb,0xa3e30b3e,0xa3c30077,0x6b9c3039}},	//   _حمای, _नगर_, _एकर_, _marg, 
   {{0x6b9c303a,0xdb1c303b,0x38692470,0x80db0bf1}},	//   _larg, _coré, šare_, _যুগ্, 
   {{0xdb151cf0,0xdb1c303c,0xbcfb0054,0xd3780372}},	//   _mozá, _doré, _odéa, hići_, 
   {{0x61e4303d,0xa3e11276,0xbcfb00eb,0x60c0014e}},	//   _emil, नोद_, _ndéa, ämma, 
   {{0x9e0702fb,0x2003303e,0xdd9b004e,0xd37800d2}},	//   вчал, roji_, мша_, jići_, 
   {{0xd3780062,0x973c0242,0x2003303f,0xdb1c033e}},	//   dići_, _inću, soji_, _goré, 
   {{0x78a20df4,0x32092244,0xa3d600a5,0x799b02b0}},	// [22d0] jvov, _ikay_, _सता_, _rauw, 
   {{0x6b9c0e2e,0xd378265d,0xfc3f0634,0x9f580042}},	//   _carg, fići_, _cría_, porá_, 
   {{0x6b9c3040,0x69c03041,0x799b3042,0x65620032}},	//   _darg, _bome, _pauw, _odoh, 
   {{0x27e70380,0x644201ca,0x6b9c01be,0xceb20147}},	//   winn_, _otoi, _earg, _היט_, 
   {{0x27e73043,0x69cb0af8,0xfc3f24de,0x6b9c00fc}},	//   tinn_, rkge, _fría_, _farg, 
   {{0x6b9c3044,0xd378090b,0x628a055f,0x86990ca4}},	//   _garg, bići_, _opfo, етит_, 
   {{0x27e73045,0x69c03046,0x06e317f6,0xa2630108}},	//   rinn_, _fome, _केशव_, _cuố, 
   {{0x27e73047,0x69c03048,0x09ca0086,0x6b9c0104}},	//   sinn_, _gome, লোবা, _zarg, 
   {{0x3f910a9f,0x6b9c027e,0x753b02a3,0xdb1c010c}},	//   kezu_, _yarg, rcuz, _jorî, 
   {{0x69c03049,0x6b9c00b9,0x3a2d00e7,0x03951cc1}},	//   _zome, _xarg, _hiep_, урия, 
   {{0x42261c20,0xdb1c0c7c,0x645b304a,0x3f91304b}},	//   лдов, _poré, ssui, dezu_, 
   {{0x9f4e0076,0x7dca0377,0xa06a304c,0x645b2dbb}},	//   čník_, _výsk, нама_, psui, 
   {{0xc60f072f,0xa91d012d,0x6fcb01c4,0xd37800d2}},	//   ातीय_, _pažy, _küch, zići_, 
   {{0xdee6304d,0x3a2d01c8,0x701901fc,0x83350070}},	//   гоги, _liep_, віст_, _גאַס_, 
   {{0xdb1c304e,0x80a200b0,0xa2630108,0x00000000}},	//   _toré, खिहे, _xuố, --, 
   {{0xd37804d1,0xa01b0019,0x7dd11f3c,0x68fb00ad}},	//   vići_, gtöb, _påsa, _oxud, 
   {{0x3b86304f,0x69c03050,0x5baa2f48,0x6b9c078a}},	// [22e0] ллаг, _rome, нкам_, _parg, 
   {{0x69c03051,0xd3780112,0x5eff00c9,0x7f763052}},	//   _some, tići_, _शुक्_, _суиц, 
   {{0x68fb24d3,0x69c03053,0x6b9c3054,0x63bc0f70}},	//   _axud, _pome, _varg, örni, 
   {{0x6b9c090a,0xd3780112,0x9f5803a1,0x2b470241}},	//   _warg, rići_, forç_, ınca_, 
   {{0x2d923055,0x17540a74,0x3a2d0318,0xd7e60c8b}},	//   meye_, авля, _diep_, ліко, 
   {{0x6fcb02f2,0x78a2014b,0x69c03056,0xd378090e}},	//   _rück, rvov, _wome, pići_, 
   {{0x64423057,0xb4cc0299,0xe8f7004e,0x22400372}},	//   _stoi, रन्_, _ұлт_, _čiko_, 
   {{0x2d922a1a,0xa3d6072f,0xa2a20586,0xa5343058}},	//   neye_, _सतह_, गिस्, шнич, 
   {{0xf7463059,0x7c2e305a,0x601b009e,0xdb1e305b}},	//   _безо, _kibr, lîme, skpä, 
   {{0x7c2e305c,0xdcef0588,0xbcfb0096,0x2d920610}},	//   _jibr, šeće, _odén, heye_, 
   {{0x3f9104d1,0x8646305d,0x058600a3,0x2d92305e}},	//   vezu_, _снеж, _булм, keye_, 
   {{0x7c2e305f,0xf6510105,0x6fcb0380,0x2d9204a8}},	//   _libr, _گئے_, _züch, jeye_, 
   {{0x7c2e0084,0x3f910d26,0xbcfb10f1,0x2d9204a8}},	//   _oibr, tezu_, _adén, deye_, 
   {{0x7c2e0175,0x40341646,0x00000000,0x00000000}},	//   _nibr, серс, --, --, 
   {{0x629800f1,0x8bc70e65,0xddab0a10,0x442e01f2}},	//   _usvo, қсад, нтал_, _iif_, 
   {{0x7c2e00eb,0x442e3060,0xb8860228,0x320907fc}},	//   _aibr, _hif_, _zníž, _ukay_, 
   {{0x442e0529,0x3b553061,0x7c2e01d6,0x3a2d02b0}},	// [22f0] _kif_, икар, _bibr, _riep_, 
   {{0x7c2e0042,0x3a2d039b,0x00000000,0x00000000}},	//   _cibr, _siep_, --, --, 
   {{0x8aa7004e,0x2d9201e3,0x7c2e3062,0xfaa70cfe}},	//   ырад, beye_, _dibr, ышан, 
   {{0xd37800d0,0x2d923063,0x6fcb0502,0xdd91007a}},	//   miću_, ceye_, _süch, _بوح_, 
   {{0xd37801b4,0xbcfb2ee4,0x9984020f,0xdcfd0243}},	//   liću_, _idéo, _simţ_, _masī, 
   {{0xdcfd002a,0x7c2e3064,0xf7710eea,0x6d4d0af8}},	//   _lasī, _gibr, زات_, lbaa, 
   {{0x45d53065,0xd3780112,0x3a2d0023,0x00000000}},	//   ицит, niću_, _tiep_, --, 
   {{0x6d4d0265,0xb88600bc,0x44653066,0x442e3067}},	//   nbaa, _sníž, авив, _aif_, 
   {{0x851f3068,0xd37802fe,0xe4563069,0x6d4d306a}},	//   मेंट_, hiću_, ажы_, ibaa, 
   {{0x2d922a28,0x7c2e08bc,0x6d4d0118,0xd378044e}},	//   zeye_, _xibr, hbaa, kiću_, 
   {{0x629e1ac6,0x6d4d051e,0xd378090e,0x6b60010e}},	//   _špor, kbaa, jiću_, lágí, 
   {{0xd378003a,0x78a9306b,0x442e306c,0x6d4d01c8}},	//   diću_, _krev, _eif_, jbaa, 
   {{0x6d4d12b6,0x2d9203a0,0x7989030b,0x20d508af}},	//   dbaa, veye_, _mbew, бірс, 
   {{0xd3780112,0x2d92007c,0xfe46306d,0x78a90054}},	//   fiću_, weye_, инго, _mrev, 
   {{0xed5a306e,0x2d92306f,0xdbcf0228,0xd37805ae}},	//   ков_, teye_, bľúb, giću_, 
   {{0x3860034c,0x78a93070,0x6d4d15e9,0xfc3f0126}},	//   širi_, _orev, gbaa, _crío_, 
   {{0x2d922a1a,0xd00f006b,0x64493071,0x00000000}},	// [2300] reye_, سلہ_, npei, --, 
   {{0x2d923072,0x7c2e0508,0x79893073,0xd378090e}},	//   seye_, _qibr, _abew, biću_, 
   {{0x7f5c3074,0xeb973075,0xfc3f0503,0x78a93076}},	//   marq, рих_, _frío_, _arev, 
   {{0xa96a00cf,0x22513077,0x3a990b58,0x973c0588}},	//   тида_, ázky_, ытую_, _maće, 
   {{0x78a93078,0x386000eb,0x7c2e3079,0x913b00c7}},	//   _crev, éir_, _tibr, דענק, 
   {{0x78a92593,0x7f5c1d9c,0x600000c8,0xe66608bd}},	//   _drev, narq, tömy, атио, 
   {{0x442e307a,0xd9100444,0x6449039b,0x00000000}},	//   _rif_, _کیش_, epei, --, 
   {{0x69d90c3e,0x7dd800eb,0x442e307b,0x1dbf059e}},	//   chwe, _físe, _sif_, _एकछत, 
   {{0x030b00ab,0xd378015e,0xdb1c240a,0x2e3c008c}},	//   _सुबह_, ziću_, _morí, _líf_, 
   {{0x66e6307c,0x2b5803dd,0x442e307d,0x00000000}},	//   _коза, _jerc_, _qif_, --, 
   {{0xe7370088,0x29f8044e,0x442e307e,0xcb37027a}},	//   _тех_, nčao_, _vif_, יניק_, 
   {{0xd37800f1,0x973c0ab4,0x660b0096,0x92570080}},	//   viću_, _daće, _gkgk, шают_, 
   {{0x9098307f,0x7dd13080,0x107406ba,0x92b60033}},	//   авят_, _såso, оляю, ছনে_, 
   {{0xd3782e7d,0x92173081,0x7f5c1eb1,0x442e084c}},	//   tiću_, _धीरज_, garq, _uif_, 
   {{0x6d4d3082,0x637b008d,0xdb1c010e,0x63bc003e}},	//   tbaa, _סנהד, _borí, örnu, 
   {{0xd378034c,0xcdd80886,0xdb1c02aa,0x6d4d3083}},	//   riću_, ању_, _corí, ubaa, 
   {{0xdce60718,0x6d4d0af8,0x7f5c3084,0xd90400d4}},	// [2310] _bakı, rbaa, barq, _آی_, 
   {{0x6d4d3085,0x3ceb00a2,0xfaa73086,0xd378090e}},	//   sbaa, _घेणे_, ишен, piću_, 
   {{0x69d93087,0x6d4d0b1f,0xfc3f0634,0x78a90183}},	//   thwe, pbaa, _trío_, _srev, 
   {{0xf99300d4,0x7dd8031e,0x6ec400bc,0x80a424a1}},	//   تبط_, _píse, रहरु, _امین, 
   {{0x2d8b006d,0x18a53088,0x98a53089,0xf7451d75}},	//   _ibce_, салм, силе, бело, 
   {{0x69d9308a,0x78a9032f,0xc8842c61,0xe787308b}},	//   shwe, _vrev, dağı_, рудо, 
   {{0x69d90532,0x5a44012d,0x6b60039f,0x00000000}},	//   phwe, _мэта, ságí, --, 
   {{0x78a9308c,0xdce80035,0x29f80352,0x69d90226}},	//   _trev, śląs, nčal_, qhwe, 
   {{0xdce60c05,0xcdb800a7,0x6fcb0095,0x9f8f027e}},	//   _yakı, שפחה_, _hücu, _güç_, 
   {{0xa3e1308d,0x395d308e,0x3cff00ab,0x62811bc7}},	//   नों_, laws_, _रखने_, ttlo, 
   {{0x6449308f,0x2d8b1cb3,0x11d600eb,0x7c25007a}},	//   spei, _obce_, متحد, imhr, 
   {{0x64490dfa,0x9f51010e,0xc8840e03,0xf1c801ff}},	//   ppei, kozó_, bağı_, рқий_, 
   {{0xc884091f,0x53a5002e,0xd469250f,0x7f5c0e43}},	//   cağı_, _галб, _силе_, tarq, 
   {{0x248f0065,0x395d01a0,0xd91a24ea,0x66093090}},	//   _ipgm_, haws_, טורל, loek, 
   {{0x6fd00a25,0xdb1c0068,0x601201d5,0x00000000}},	//   _häck, _porí, næmi, --, 
   {{0xfe4603dc,0x25bf0a0f,0xdce6027e,0xad9b01d5}},	//   инҳо, njul_, _sakı, _ljúf, 
   {{0x2b580019,0x7f5c2033,0x395d023b,0x5b360ce0}},	// [2320] _perc_, parq, daws_, معار, 
   {{0x66093091,0x25bf042a,0x2f560267,0xa01b1da6}},	//   hoek, hjul_, _утис, ltön, 
   {{0x6fd0014e,0x66093092,0x4e1a0274,0xdce60241}},	//   _läck, koek, _متحد_, _vakı, 
   {{0x29f80a1a,0x200a3093,0xc8840213,0x7dd8235d}},	//   rčao_, lobi_, yağı_, _dísc, 
   {{0x1cba02b4,0xc7c6078c,0x06e500cc,0xdce60c05}},	//   _صاحب_, йски, _পুলি, _takı, 
   {{0x200a2018,0x29f800ef,0x69c30218,0x3a383094}},	//   nobi_, pčao_, êner, _turp_, 
   {{0xe0df01d8,0x91fd0243,0x00000000,0x00000000}},	//   zzò_, nsāc, --, --, 
   {{0x6fd00fd4,0xd6d92e02,0xd49a3095,0xc8840213}},	//   _bäck, шті_, гро_, tağı_, 
   {{0x200a044e,0x73d800cf,0xdb1c03dd,0x70b400bc}},	//   kobi_, идир_, _horà, ुहोल, 
   {{0x6fd00219,0x249d0118,0xc88406a2,0x25bf020f}},	//   _däck, _dswm_, rağı_, ajul_, 
   {{0x66090d2d,0x51f900dd,0x200a0352,0xe56a058e}},	//   boek, иною_, dobi_, _биед_, 
   {{0x38600082,0xdb1c00b9,0xc884035d,0x00000000}},	//   širu_, _morà, pağı_, --, 
   {{0x63bc3096,0x91fd01dd,0x2ed102ff,0x00000000}},	//   örns, drāt, सन्त, --, 
   {{0x3fe70033,0x03a300b3,0x2cad00da,0x00000000}},	//   পক্ষ, _ничо, _šedo_, --, 
   {{0xd35b0a33,0xe2460198,0xed8b0470,0x6fd00380}},	//   _גדול, _اختي, лсак_, _mäch, 
   {{0x395d023b,0x6fd00380,0x3ebf0242,0x3d1d00b0}},	//   xaws_, _läch, ćut_, _मरदे_, 
   {{0xf1f800d6,0x71f8155f,0x320b00ab,0x91a90023}},	// [2330] _دعوت_, _دروس_, mocy_, _giá_, 
   {{0x6fd002f2,0x66090b32,0x9f51010e,0xad9b020b}},	//   _näch, zoek, rozó_, _akút, 
   {{0x6fb500d4,0xad270499,0xfbd00038,0x00000000}},	//   _همکا, _گردو, رتك_, --, 
   {{0x7dd10022,0x6fcb01f0,0x7dd80183,0x39153097}},	//   _måsk, _vücu, _vísc, омер, 
   {{0x7dca063b,0x9ccb3098,0x6d5f1530,0x893400eb}},	//   _výst, _сына_, maqa, أعما, 
   {{0x6fd0022b,0x6d5f3099,0x395d006d,0x61ef19f9}},	//   _räck, laqa, saws_, hicl, 
   {{0x7ac4309a,0x6fd012b7,0xf625309b,0x6609309c}},	//   _есте, _säck, одко, toek, 
   {{0xa2d7059e,0xa4450cdf,0x59f90088,0x6d5f01ff}},	//   मनस्, онид, _тебя_, naqa, 
   {{0x22470110,0x6609309d,0x38600038,0x61ef15b7}},	//   _stnk_, roek, áirt_, dicl, 
   {{0xdb1c0fd9,0xd265093d,0x6d5f1db3,0x6609018c}},	//   _horá, окой, haqa, soek, 
   {{0xdb1c309e,0x4425084c,0x6d5f0415,0x2ca9309f}},	//   _korá, rml_, kaqa, hvad_, 
   {{0x6fd0014e,0x249d023b,0x61ef30a0,0x850400d7}},	//   _täck, _tswm_, gicl, _کوهن, 
   {{0xdb1c30a1,0x200a00a3,0x3c3f010c,0x6d5f30a2}},	//   _morá, tobi_, _nîv_, daqa, 
   {{0x34b209e8,0x232930a3,0xb4c700b0,0x25e517dc}},	//   _آموز, _коли_, ैनी_, जोरी_, 
   {{0xa2e500cf,0x443f30a4,0x200a30a5,0x61ef24bc}},	//   _фойд, lqu_, robi_, bicl, 
   {{0x63a330a6,0xdd92298e,0x657b1b75,0xa01b30a7}},	//   _hann, بور_, nguh, ltöl, 
   {{0x63a330a8,0x7bc730a9,0x973c0082,0x443f0856}},	// [2340] _kann, _boju, _laća, nqu_, 
   {{0x63a330aa,0xad9b30ab,0xf1bf0042,0x443f0151}},	//   _jann, _skút, nmán_, iqu_, 
   {{0x63a330ac,0x7bc7090e,0x3f980404,0x6d5f02f1}},	//   _mann, _doju, meru_, baqa, 
   {{0x63a330ad,0xdb1c04ef,0x29f800ca,0x6fd00502}},	//   _lann, _corá, pčam_, _säch, 
   {{0x91a00023,0xdb1c00da,0x00000000,0x00000000}},	//   _chỉ_, _dorá, --, --, 
   {{0x63a330ae,0x466a30af,0x6d44149f,0x3f9830b0}},	//   _nann, арим_, lcia, neru_, 
   {{0xdb1c0038,0xd90d0019,0x3c3f0216,0x00000000}},	//   _forá, نیہ_, _zîv_, --, 
   {{0x6d4430b1,0x26c004d1,0x39420077,0x63a30a58}},	//   ncia, ćio_, _üks_, _aann, 
   {{0x63a330b2,0x224930b3,0x6d4430b4,0x3f9830b5}},	//   _bann, _čaka_, icia, keru_, 
   {{0x69c209a2,0x3f9802f5,0x63a319a9,0x7dd130b6}},	//   ljoe, jeru_, _cann, _påsk, 
   {{0x61ef30b7,0x63a330b8,0x973c0613,0x29f80082}},	//   ticl, _dann, _gaća, jčak_, 
   {{0x69c230b9,0x51f816d0,0x63a31a29,0x6d4430ba}},	//   njoe, жнюю_, _eann, jcia, 
   {{0x63a330bb,0x3f9830bc,0xa3c300a2,0x68e20104}},	//   _fann, feru_, _एकच_, nzod, 
   {{0xa3ce0190,0x3f980097,0x656030bd,0x6d5f0065}},	//   _रवि_, geru_, lamh, waqa, 
   {{0x9f34005e,0xbcfb02a0,0x534302f1,0x24400108}},	//   дері, _idéi, _ўхша, _hòm_, 
   {{0x63a330be,0x24400cd7,0x656000eb,0x7dd80228}},	//   _zann, _kòm_, namh, _písa, 
   {{0x61ed0112,0x3f9830bf,0x63a330c0,0xad9b0187}},	// [2350] _imal, beru_, _yann, _skús, 
   {{0x6d5f09c7,0xdb1c0019,0x7dd8003e,0x68e2019b}},	//   saqa, _sorá, _vísa, dzod, 
   {{0xdd910084,0x5a350d11,0x61ed008b,0x3f810026}},	//   _كود_, чнет, _kmal, _ichu_, 
   {{0x6d440141,0xfe9a00c7,0x6d5f2789,0xf1bf30c1}},	//   ccia, _פירמ, qaqa, zmán_, 
   {{0x6d5d00e0,0x61ed30c2,0x656030c3,0xf74517e0}},	//   _iesa, _mmal, damh, пело, 
   {{0x6d5d30c4,0x05a304cc,0x67d430c5,0x60c014aa}},	//   _hesa, _खोजब, мочу, ämmi, 
   {{0x63a330c6,0x6d5d30c7,0x61ed30c8,0x7c3d30c9}},	//   _rann, _kesa, _omal, _husr, 
   {{0x63a330ca,0x3f9830cb,0x6d5d30cc,0x959930cd}},	//   _sann, zeru_, _jesa, стку_, 
   {{0x6d5d30ce,0x63a330cf,0xb4d50d53,0xf1ba0023}},	//   _mesa, _pann, सने_, _đơ_, 
   {{0x61ed30d0,0x443f30d1,0x6d5d30d2,0x3ea10034}},	//   _amal, rqu_, _lesa, _osht_, 
   {{0x63a330d3,0x443f026d,0x3f980e39,0x7c350118}},	//   _vann, squ_, veru_, _mizr, 
   {{0x63a330d4,0x6d5d30d5,0xdb1c01cc,0x3f9830d6}},	//   _wann, _nesa, _foræ, weru_, 
   {{0x7c3d30d7,0x63a330d8,0x2fda02a2,0x3ea1024a}},	//   _nusr, _tann, _plpg_, _asht_, 
   {{0xf8a509e8,0x61ed30d9,0x69db30da,0x63a30664}},	//   _یک_, _emal, _llue, _uann, 
   {{0x6d5d2e7b,0x7c3d02f2,0x443d032d,0x68e20036}},	//   _besa, _ausr, _huw_, zzod, 
   {{0xf0662756,0x3f9830db,0x1c4630dc,0x7c3530dd}},	//   _екип, seru_, знам, _aizr, 
   {{0x6d5d30de,0xdb1c00e5,0x3f9830df,0x7c3d016a}},	// [2360] _desa, _korç, peru_, _cusr, 
   {{0x6d4430e0,0x69db030f,0xe81b00a5,0x6d5d059e}},	//   scia, _alue, _पीला_, _eesa, 
   {{0x69c2040b,0x160b0a34,0x69c9084c,0xcf5700d1}},	//   tjoe, हकार_, _boee, _מבית_, 
   {{0x6d5d30e1,0x7bde30e2,0x79a327eb,0xf3f10210}},	//   _gesa, shpu, ерше, hị_, 
   {{0x2d82014e,0xb4d500c2,0x9f51009e,0x00000000}},	//   _icke_, सनो_, dizê_, --, 
   {{0x56941504,0x244030e3,0x68e230e4,0x69c230e5}},	//   дакт, _ròm_, rzod, sjoe, 
   {{0x69db30e6,0x6d5d30e7,0x6459007b,0x8f9b027a}},	//   _flue, _yesa, _awwi, מיסי, 
   {{0xe9a330e8,0x7c3d0da2,0x64590175,0x66040032}},	//   _пасп, _yusr, _bwwi, čiko, 
   {{0xdb1c008f,0x2816010e,0xd49a0283,0x656030e9}},	//   _borç, _فورس, ёри_, ramh, 
   {{0x46a630ea,0x656030eb,0x61ed00a7,0xa01b0088}},	//   _назв, samh, _smal, ttöm, 
   {{0xdb05011c,0x644b040c,0x6b67039f,0x244003a0}},	//   gdhè, _etgi, légí, _wòm_, 
   {{0x39461408,0x7ae1010e,0x443d03c6,0x00000000}},	//   ncos_, _ülte, _fuw_, --, 
   {{0xdb1c30ec,0x394621dc,0x7dd800bc,0x9426004e}},	//   _forç, icos_, _písn, _емде, 
   {{0x925700c5,0x3ea1016a,0x38660065,0xa01b003e}},	//   _کشور_, _psht_, isor_, mtök, 
   {{0x6d5d30ed,0x7c3d02f5,0x9f4a0327,0xdb05024a}},	//   _pesa, _susr, cibí_, rdhë, 
   {{0x61ed30ee,0x42fb00a7,0x7c3d30ef,0x6d5d1e1b}},	//   _umal, _להוס, _pusr, _qesa, 
   {{0x6d5d30f0,0x7bdc02a5,0x25a630f1,0xa01b30f2}},	// [2370] _vesa, _blru, _maol_, ntök, 
   {{0x6d5d052b,0x6e992d7c,0x394630f3,0x4ea730f4}},	//   _wesa, _двор_, ecos_, _ерма, 
   {{0xdb5800c8,0xdd0c0035,0x200430f5,0x61fd30f6}},	//   яют_, góło, émie_, onsl, 
   {{0x61fd30f7,0x23c8031e,0x3a240126,0x22580098}},	//   nnsl, ाउँद, _chmp_, árky_, 
   {{0x07a530f8,0x5fd1109f,0x660400ca,0xc7a511d2}},	//   далн, _सकाल, čikl, дилк, 
   {{0x39460126,0x0966009e,0xdb1c02ae,0x443d01d2}},	//   acos_, _çînê_, _borä, _ruw_, 
   {{0x443d011c,0x56921571,0x6446003e,0xa01b0080}},	//   _suw_, вајт, íkin, ttöj, 
   {{0x25a60a75,0x63b80118,0x394630f9,0xcb3400fd}},	//   _caol_, _anvn, ccos_, _чесъ, 
   {{0xf1bf30fa,0xdb1c0165,0x25a60054,0x443d011c}},	//   rmál_, _porç, _daol_, _quw_, 
   {{0x7dd80126,0x395f30fb,0xf1bf003e,0xc2450df6}},	//   _aísl, _heus_, smál_, мнок, 
   {{0x25a602f1,0x395f01c8,0x77630183,0xfc3f0038}},	//   _faol_, _keus_, manx, _luí_, 
   {{0x776308bc,0x25a60a75,0x67210eae,0x61fd30fc}},	//   lanx, _gaol_, _izlj, gnsl, 
   {{0x395f30fd,0x644b0f5b,0x20b50504,0xdb1c2768}},	//   _meus_, _utgi, нёрс, _torç, 
   {{0x7dd80228,0x61fd123b,0xe82008dd,0x395f00a1}},	//   _píso, ansl, यतया_, _leus_, 
   {{0xe7e5007e,0x628801d2,0x83fd039f,0x00000000}},	//   _कतना_, ctdo, lsőo, --, 
   {{0x26130165,0x395f30fe,0xe1f2009c,0x9f9400c8}},	//   mãos_, _neus_, _جست_, _sää_, 
   {{0x39a600e4,0xfc3f0038,0x9f940080,0x00000000}},	// [2380] _jūsų_, _cuí_, _pää_, --, 
   {{0x39a600e4,0x672130ff,0xafdb03a9,0x3ebe02ae}},	//   _mūsų_, _ozlj, spør, ätts_, 
   {{0x395f033e,0xa5bd0028,0x77633100,0x00000000}},	//   _beus_, rmųj, danx, --, 
   {{0xfc3f0369,0x395f00a1,0xbcfb00b9,0xa01b0080}},	//   _fuí_, _ceus_, _adéu, ytök, 
   {{0x395f3101,0x5fd2006a,0x1867169d,0x9f9400c8}},	//   _deus_, _हवाल, дачи_, _tää_, 
   {{0x25a600eb,0x7763022c,0x2d803102,0x7a2300b0}},	//   _saol_, ganx, lgie_, võte, 
   {{0xc7b80029,0xdb1c014e,0x69d800e5,0x61fd3103}},	//   _vnđ_, _borå, ëves, ynsl, 
   {{0x395f3104,0x746a3029,0x2d803105,0x69d801dd}},	//   _geus_, оров_, ngie_, īves, 
   {{0xd49a004f,0x211d2b69,0x38c30028,0x00000000}},	//   іри_, _नरेश_, gūrą_, --, 
   {{0x1b210086,0x77630183,0xf1bf014b,0x2613019c}},	//   _বলতে_, canx, rmám_, fãos_, 
   {{0xc7b3042c,0xdb1c03a9,0x26130165,0xa01b3106}},	//   _שבע_, _forå, gãos_, stök, 
   {{0xdb07010c,0x628801ff,0x22ac00bc,0x3cff007e}},	//   _bajê, rtdo, _věk_, _रखले_, 
   {{0x7dd10750,0x2ca03107,0x61fd03fa,0x9f580369}},	//   _måst, jwid_, rnsl, joró_, 
   {{0x7dd10343,0x752201ca,0x2d80040b,0x00000000}},	//   _låst, _izoz, egie_, --, 
   {{0x40343108,0xfc3f007a,0xa1953109,0xa01b0080}},	//   терс, _suí_, _зайч, ntöi, 
   {{0xdd9411db,0x2d80310a,0xd83800ca,0x6d56310b}},	//   касы, ggie_, _lič_, gbya, 
   {{0x395f00d3,0xfc3f0023,0x7bc50149,0x442c02b0}},	// [2390] _reus_, _quí_, tjhu, omd_, 
   {{0x395f310c,0xd838310d,0x75220548,0x7e7c01f1}},	//   _seus_, _nič_, _mzoz, burp, 
   {{0xe1ff310e,0x395f022c,0x7dd11bde,0x442c02b0}},	//   onó_, _peus_, _båst, imd_, 
   {{0x2011310f,0x66023110,0x9f5800e9,0x7522045a}},	//   lozi_, _njok, boró_, _ozoz, 
   {{0x7b670df8,0x386900eb,0x395f03a1,0x6e2d3111}},	//   _отве, éar_, _veus_, mmab, 
   {{0x48e00086,0x660200c8,0x20113112,0x6e2d3113}},	//   বপূর, _ajok, nozi_, lmab, 
   {{0x77630496,0x395f3114,0x260b05d0,0xe736183d}},	//   ranx, _teus_, ावली_, неш_, 
   {{0x442c0d2d,0xd5b1073c,0xdcef0785,0x201128ac}},	//   emd_, افظ_, _hacı, hozi_, 
   {{0x20112538,0xd8380082,0x6012055f,0x31603115}},	//   kozi_, _fič_, kæmp, _reiz_, 
   {{0x69d9000b,0x28be2f06,0xe1900108,0x72c53116}},	//   lkwe, ्हरि, _cẳng_, ебоз, 
   {{0xd24e0399,0x7dd81ff5,0xb81b0035,0x20113117}},	//   ینی_, _sísm, _पीएम_, dozi_, 
   {{0x7dd8026e,0x6602024a,0x442c1a77,0x7641107c}},	//   _písm, _gjok, amd_, _iuly, 
   {{0x7641140d,0xa3d5170f,0x644f0183,0x20113118}},	//   _huly, _подч, ícid, fozi_, 
   {{0x20113119,0x661b227a,0x4033012d,0x764101a3}},	//   gozi_, lluk, леўс, _kuly, 
   {{0x442702f2,0xdee61b49,0xdb150032,0x236500ca}},	//   _ihn_, хови, _pozý, malj_, 
   {{0x7641311a,0xd24e00eb,0x6da3311b,0x6e2d0495}},	//   _muly, _اني_, лиса, gmab, 
   {{0x2011099d,0xfce3311c,0x91fd00e0,0x921700c7}},	// [23a0] bozi_, гото, ksāj, _אַזױ_, 
   {{0x661b311d,0xfc3f00eb,0x26e50086,0xdb07023e}},	//   hluk, _arís_, _কখনো_, _kajè, 
   {{0x7dd10a40,0x442702a2,0xdb1c0187,0xd83800ca}},	//   _påst, _mhn_, _horú, _rič_, 
   {{0xceb302a1,0x661b032f,0x69d90daa,0xf866063f}},	//   _עיר_, jluk, gkwe, евдо, 
   {{0x661b311e,0xdb07023e,0x6d3b00d1,0x442c311f}},	//   dluk, _lajè, _מתכנ, ymd_, 
   {{0x44273120,0x66023121,0x76413122,0x998d0032}},	//   _nhn_, _sjok, _buly, _vieš_, 
   {{0xfc033123,0x69963124,0x3b0718ae,0xdb153125}},	//   _спро, _прах, _зеро_, _dozó, 
   {{0x661b3126,0x69d93127,0x7bce00b0,0x76410090}},	//   gluk, ckwe, _hobu, _duly, 
   {{0x09e33128,0xb4da0262,0x7bce3129,0xa492009c}},	//   _сотн, ठने_, _kobu, ایتت, 
   {{0x7bce00d9,0x236500ca,0x224e00b4,0xa3d4022c}},	//   _jobu, galj_, _ptfk_, тооч, 
   {{0x7641312a,0x442c012e,0x7bce312b,0x45e400e7}},	//   _guly, rmd_, _mobu, _đượ, 
   {{0x7982312c,0xf1a72651,0x2011312d,0xd26400f0}},	//   ngow, хрон, wozi_, нкүй, 
   {{0x2011312e,0x236507c7,0xe3b200d4,0x9f580036}},	//   tozi_, balj_, _مرغ_, vorò_, 
   {{0x644f2131,0x7bce312f,0xa3d7009a,0x44273130}},	//   ície, _nobu, _सवय_, _ghn_, 
   {{0x20113131,0x6e943132,0xe28f0038,0x79820415}},	//   rozi_, лиру, _هذي_, kgow, 
   {{0x63aa3133,0x8d8400d3,0x20113134,0x3f85007b}},	//   _hafn, лууд, sozi_, żlu_, 
   {{0x7dd83135,0x7bce3136,0x2011095a,0x5f110299}},	// [23b0] _získ, _bobu, pozi_, _दुर्_, 
   {{0x63aa010d,0x64423137,0x7bce3138,0x661b04a8}},	//   _jafn, _muoi, _cobu, zluk, 
   {{0xa03600a7,0x29d7027e,0xbb840038,0x63aa0054}},	//   _שאתה_, _uçak_, المي, _mafn, 
   {{0x65623139,0x9f58008c,0x8aa400f0,0xdb0e019c}},	//   _neoh, lorð_, ыруд, _robô, 
   {{0x7641313a,0x69d9313b,0x661b015e,0x9914004f}},	//   _suly, rkwe, vluk, льші, 
   {{0x62980318,0x69d9313c,0x63aa008c,0x3f83003e}},	//   _opvo, skwe, _nafn, ngju_, 
   {{0x2365032f,0x69d901d2,0x00000000,0x00000000}},	//   valj_, pkwe, --, --, 
   {{0xceb40137,0x7bce313d,0x661b313e,0xf993313f}},	//   ריק_, _zobu, uluk, _حبس_, 
   {{0x661b1630,0x23652f70,0xf8bf014b,0xb6a30200}},	//   rluk, talj_, _šéf_, тиқл, 
   {{0x9aa40019,0x764101a3,0x7dd83140,0xd7670019}},	//   _جمہو, _tuly, _písk, _سائٹ, 
   {{0x386d3141,0xb17b03a9,0xd6db3142,0x91e601a2}},	//   _hver_, rhån, _эта_, воне, 
   {{0x999800e0,0xa06a1eb4,0x2365015e,0xdb1c3143}},	//   _kurš_, мама_, salj_, _corù, 
   {{0x44270666,0x2365015e,0xd1320038,0xb17b02ae}},	//   _thn_, palj_, شمس_, mhål, 
   {{0xb4bf02f8,0x29f80f4c,0xb4cd00a2,0x3f8301d5}},	//   ीही_, nčar_, रही_, ggju_, 
   {{0x248d3144,0x91a000e7,0x6fd901be,0x924901ff}},	//   ltem_, _thì_, _mìch, _ўзиб_, 
   {{0x386d0056,0x7bce2926,0xb17b02ae,0xbcfb0212}},	//   _over_, _sobu, nhål, _adéq, 
   {{0x248d3145,0x9f58003e,0xe7f2093a,0x5baa0d3b}},	// [23c0] ntem_, borð_, _अगला_, мкам_, 
   {{0x7dd83146,0xeafa3147,0x248d3148,0x7bce3149}},	//   _mísi, ورات_, item_, _qobu, 
   {{0x386d0141,0xdb1c00a1,0xb4cd007e,0xed5a314a}},	//   _aver_, _yorù, रहु_, _оон_, 
   {{0xe9da00dd,0x7bce0f32,0x248d314b,0xe8fa314c}},	//   ьке_, _wobu, ktem_, мле_, 
   {{0xe894314d,0x7bce314e,0xa967314f,0x6b8700a1}},	//   уаль, _tobu, тича_, _fcjg, 
   {{0x248d3150,0x65623151,0xbcfb0175,0x25ad2f21}},	//   dtem_, _seoh, _keén, edel_, 
   {{0x386d00a7,0x973c0ab4,0xc8240259,0xc6a61284}},	//   _ever_, _jaći, _ұзақ, трли, 
   {{0x63aa008c,0xa01b010e,0xb4cd0c46,0xab273152}},	//   _safn, ltöt, रहू_, _роса_, 
   {{0x98a30161,0x7c3c078a,0xdb070096,0x18a303a1}},	//   _ките, _kirr, _rajé, _катм, 
   {{0x32020039,0x7c3c0405,0x660d3153,0x25ad3154}},	//   enky_, _jirr, čaka, adel_, 
   {{0x51f907f4,0x7c3c3155,0x386d09df,0x65620175}},	//   енню_, _mirr, _zver_, _teoh, 
   {{0xcb13042c,0x973c0613,0x91a00108,0x64420108}},	//   ילת_, _naći, _phí_, _tuoi, 
   {{0x6abf00a2,0x248d00f6,0x63aa0054,0x7c3c01c5}},	//   _एप्र, ctem_, _tafn, _oirr, 
   {{0xdb1c01e8,0x7c3c3156,0x200500c2,0x9f58009e}},	//   _forø, _nirr, õli_, lirê_, 
   {{0x973c0372,0xb5fc01f2,0x9f58003e,0x443c2af2}},	//   _baći, _ewġe, rorð_, _iiv_, 
   {{0x32530141,0x7c3c00a1,0x443c3157,0x61e60502}},	//   _твър, _airr, _hiv_, chkl, 
   {{0x443c3158,0x7c3c3159,0xbddb0107,0xdb050038}},	// [23d0] _kiv_, _birr, _lièg, rdhí, 
   {{0x3b54315a,0x7c840170,0xe7bd0086,0xac940240}},	//   икур, јуте, _অত্য, рафш, 
   {{0x443c315b,0x2003265d,0x9f58009e,0x248d0019}},	//   _miv_, mnji_, kirê_, ztem_, 
   {{0xe7e511bd,0x443c315c,0x973c01b4,0x00000000}},	//   कसभा_, _liv_, _gaći, --, 
   {{0x851e0790,0x7c3c05c2,0x67d5315d,0xe7360176}},	//   _परगट_, _firr, лоду, қеъ_, 
   {{0x443c315e,0x0e050176,0x7784017b,0xe7291271}},	//   _niv_, _рӯҳо, иліз, нолд_, 
   {{0x6e3d315f,0xb17b02ae,0x9f58009e,0x59670240}},	//   _kisb, thål, firê_, _аъза, 
   {{0x248d006b,0x26c90062,0x069600eb,0x443c006d}},	//   ttem_, ćao_, انية_, _aiv_, 
   {{0x6e3d3160,0xb17b022b,0x25ad2379,0xb4bf00aa}},	//   _misb, rhål, rdel_, ीहे_, 
   {{0x7dd8010d,0x2003090b,0x248d3161,0xb17b014e}},	//   _vísi, jnji_, rtem_, shål, 
   {{0x7d1d022b,0x17f800eb,0x998600ca,0xd7f828c9}},	//   _lyss, _شركة_, lmoš_, _рут_, 
   {{0x64b50fdc,0x6e3d3162,0xdee60258,0x5ed70033}},	//   _محتر, _nisb, қоби, _ডেভে, 
   {{0x443c3163,0x20041890,0x7d1d08b0,0x00000000}},	//   _fiv_, émio_, _nyss, --, 
   {{0x443c01cc,0x75fe00e0,0xa2ab08dd,0x9f58021e}},	//   _giv_, vīzi, _जनप्, mirë_, 
   {{0xdee31f66,0x6e3d3164,0xe81b00a5,0xf3f000eb}},	//   бори, _bisb, _पीछा_, _بأن_, 
   {{0x443c090b,0x52740623,0x7c3c3165,0x6d4f00b4}},	//   _ziv_, _тушу, _sirr, _cfca, 
   {{0x7c3c3166,0xa3d7185c,0x443c006d,0x61e43167}},	// [23e0] _pirr, _सवा_, _yiv_, _ilil, 
   {{0xfc3f00eb,0x61e407d7,0x20030ab4,0x3d040790}},	//   _tsín_, _hlil, cnji_, _रखीं_, 
   {{0x61e4011c,0x7c3c3168,0x9f58021e,0xdce40028}},	//   _klil, _virr, hirë_, maič, 
   {{0x7cda01dd,0xaa5707cf,0x5f460116,0x63a13169}},	//   _pārā, النا_, _جنگل, heln, 
   {{0xb4cd0081,0xd917013d,0x7c3c003d,0x2449316a}},	//   रहो_, льш_, _tirr, _núm_, 
   {{0x6281316b,0x63a1090b,0x61e40026,0xbddb0107}},	//   kulo, jeln, _llil, _pièg, 
   {{0x63a1316c,0xab27316d,0x1ae600c8,0x9f580216}},	//   deln, _бора_, _совм, tirê_, 
   {{0x443c0e0c,0x6e3d02be,0x20031993,0xa01b014e}},	//   _siv_, _xisb, znji_, ntör, 
   {{0x69c0316e,0x443c01a0,0x80a40f63,0x0906143a}},	//   _inme, _piv_, _चैले, _спан, 
   {{0x644f068b,0x61e4316f,0x443c006f,0x27f83170}},	//   ícia, _alil, _qiv_, _örn_, 
   {{0x443c3171,0xa01b3172,0x7bde00e2,0x20030372}},	//   _viv_, ktör, ikpu, vnji_, 
   {{0x15463173,0xa01b0088,0xe13500c8,0x61e400a1}},	//   _седм, ytös, инны, _clil, 
   {{0x2003003a,0x443c01a0,0x6e3d3174,0xc10800b3}},	//   tnji_, _tiv_, _risb, гэре_, 
   {{0x62813175,0x53341617,0x63a1090b,0x7d1d3176}},	//   bulo, _келт, celn, _ryss, 
   {{0x62813177,0x9f3500dd,0x539b00a7,0x7d1d0eca}},	//   culo, реві, _ניהו, _syss, 
   {{0x5d5518b6,0x200304d1,0x7d1d161f,0x7bde12b6}},	//   ркат, snji_, _pyss, ekpu, 
   {{0x6e3d3178,0x8f5500d4,0x20033179,0xad9b003e}},	// [23f0] _visb, _پنجش, pnji_, _hjúk, 
   {{0x69c0317a,0x0a6b0161,0x6d4d02b0,0xefc802f1}},	//   _anme, ерди_, scaa, _буюк_, 
   {{0xac9400cf,0x973c160e,0xa01b00c8,0xdd9503a1}},	//   _қарш, _kaću, stös, _каны, 
   {{0x5fc30b26,0x63a1317b,0xdb07003e,0x7d1d0eba}},	//   शावल, zeln, _snjó, _tyss, 
   {{0x79c90a5a,0x4773004e,0x6281317c,0x973c0304}},	//   _یوسف_, йқау, zulo, _maću, 
   {{0x69c0317d,0x244901d5,0x2d84027e,0x9f4a009e}},	//   _enme, _rúm_, _ömer_, dibû_, 
   {{0x0f5800d1,0xbddb0151,0x4af900fd,0x63a1317e}},	//   ניהם_, _tièd, _ревю_, veln, 
   {{0x660d02ee,0x9f58024a,0x78a90201,0x9f410228}},	//   čako, tirë_, _tsev, _dlhé_, 
   {{0x63a1317f,0xa78711b7,0x78a90df4,0xdb0e0216}},	//   teln, _مشاو, _usev, _nabê, 
   {{0x62813180,0x661926d9,0x9f58021e,0x23d500d9}},	//   tulo, _wkwk, rirë_, рцир, 
   {{0xc7c402f1,0x02063181,0x21290065,0xa2063182}},	//   _усти, изон, _azah_, ипод, 
   {{0x63a13183,0xd9f707d5,0x3a2d0065,0xdb0700bc}},	//   seln, ूचित_, _jhep_, _nají, 
   {{0x7dd8000d,0x63a13184,0x62813185,0x3d0400ab}},	//   _míst, peln, sulo, _रखें_, 
   {{0x7dd8026e,0x0eb300b0,0x2d991ca0,0x9f4a0126}},	//   _líst, ुमंड, _abse_, libú_, 
   {{0x316b006a,0x21763186,0xdb070126,0xfe7916d0}},	//   bacz_, _купр, _bají, лёты_, 
   {{0x260b0827,0x290d0183,0x61e43187,0x3a3f0574}},	//   ावटी_, _oxea_, _ulil, _niup_, 
  
   {{0xf1bf200a,0xa01b197a,0x9f5801e5,0x6b663188}},	// [2400] rmát_, rtör, hiré_, икаа, 
   {{0x6b56058e,0x973c0ab4,0xfbdf0ff2,0x3a2d0096}},	//   ртах, _zaću, _stêr_, _ahep_, 
   {{0xa01b3189,0x0f7b027a,0x00000000,0x00000000}},	//   ptör, _בריל, --, --, 
   {{0x2018318a,0x2d96318b,0x2367318c,0x9f58318d}},	//   lori_, _трос, _lenj_, diré_, 
   {{0xc7c61329,0x3a2d011c,0x9f51318e,0x69c00023}},	//   иски, _dhep_, lizá_, _vnme, 
   {{0xdb07000d,0x2018318f,0x224000c2,0x7dd801d5}},	//   _zají, nori_, _liik_, _vísu, 
   {{0xb76500dd,0xa5f83182,0x46673190,0x9f583191}},	//   стій, леку_, арым_, giré_, 
   {{0xd5b73192,0x9f4a010c,0x20183193,0xba57008d}},	//   ась_, tibû_, hori_, _כסלו_, 
   {{0xad9b008c,0x22470126,0xa4f800d4,0x20183194}},	//   _sjúk, _aunk_, دکار_, kori_, 
   {{0x9f4a0218,0x9f580369,0xf1bf010e,0xdd010372}},	//   ribû_, biré_, ymás_, šuće, 
   {{0x20183195,0x91fd00e0,0xa6ca00eb,0x0bb700a7}},	//   dori_, ksāt, _جوال_, בלים_, 
   {{0x05833196,0xd49a3197,0x7dd82aa3,0xdb1c0d34}},	//   _душм, _арк_, _míss, _horó, 
   {{0x76483198,0x24540189,0x291f006d,0x20183199}},	//   _hudy, _انتس, _xyua_, fori_, 
   {{0xb7f80239,0x76480204,0x7a2300b0,0x53a30176}},	//   ्चिम_, _kudy, võtm, _мачб, 
   {{0x623504a0,0xdb1c240a,0x5f1a0d2e,0xe817258c}},	//   _леку, _moró, _मुद्_, दकता_, 
   {{0x76480532,0x5d780080,0x2367319a,0xfe7902d9}},	//   _mudy, ийся_, _zenj_, čů_, 
   {{0x2018044e,0x409500eb,0x6b75004e,0xdb07014b}},	// [2410] bori_, _الخر, йлау, _vají, 
   {{0x3a3f016a,0xdb0e00d4,0x201806f0,0x321908f7}},	//   _siup_, _kabè, cori_, losy_, 
   {{0x2484012b,0x3a2d0023,0x2bc9319b,0xdb0e0237}},	//   humm_, _phep_, राबा, _jabè, 
   {{0x29d706a2,0x3219319c,0x00000000,0x00000000}},	//   _açar_, nosy_, --, --, 
   {{0x7dd820ac,0xa8a7319d,0xdb0e0542,0x76480083}},	//   _víst, ррек, _labè, _audy, 
   {{0xf7710523,0xab8408c5,0x764800ab,0x61fd319e}},	//   سات_, _муск, _budy, hisl, 
   {{0x9f58078a,0x61fd319f,0x2ca900f8,0x3219023a}},	//   kirî_, kisl, lwad_, kosy_, 
   {{0x61fd31a0,0x644f31a1,0x23670f4c,0x2d8931a2}},	//   jisl, ício, _senj_, ngae_, 
   {{0x442e02fe,0x201831a3,0x799b137f,0x2240007e}},	//   _bhf_, yori_, _ibuw, _riik_, 
   {{0x53c931a4,0xdb0e0118,0x60dd31a5,0xe2851918}},	//   угом_, _babè, dysm, блои, 
   {{0x216a31a6,0x7a23007e,0x321931a7,0x7bd531a8}},	//   лини_, võtj, fosy_, _mozu, 
   {{0x9f580218,0x442e008c,0x78bb31a9,0x3219023a}},	//   girî_, _ehf_, _kruv, gosy_, 
   {{0x63c200bc,0x799b31aa,0x442e31ab,0x672131ac}},	//   ávní, _mbuw, _fhf_, _hylj, 
   {{0xd91a00a7,0xb4e3190a,0x7648085b,0xe8df00e7}},	//   רושל, ननी_, _yudy, _ngọn_, 
   {{0x799b31ad,0x201831ae,0xdee327e2,0xc255195e}},	//   _obuw, rori_, пори, _اختت, 
   {{0xfbdf001b,0xa2c400bd,0x2291010e,0xdb1c0502}},	//   _quên_, िमर्, mák_, _vorü, 
   {{0xbddb026a,0x7bd501f0,0xeb9a31af,0x2ca9012b}},	// [2420] _sièc, _bozu, лиа_, gwad_, 
   {{0xbddb0518,0x9f861991,0xdb0e31b0,0x201802f1}},	//   _pièc, _угод, _habé, qori_, 
   {{0xfe722424,0x1c3900af,0xdb0e1d32,0x6c330038}},	//   _عدد_, рять_, _kabé, أفلا, 
   {{0xed3600b3,0x3eb80864,0x28ea0f82,0xed5a0093}},	//   _гэгэ, mvrt_, лдеп_, _щом_, 
   {{0xdb1c31b1,0xd7fa0161,0x25f607d5,0x6d46012b}},	//   _poró, лук_, एफसी_, _igka, 
   {{0x6e2413fa,0xa09b00fe,0x2291010e,0x2bc931b2}},	//   llib, ריסט, kák_, राणा, 
   {{0x229131b3,0x3eb8008b,0x1be70bae,0x78bb31b4}},	//   ják_, nvrt_, _удри_, _eruv, 
   {{0x545431b5,0x61fd0496,0xfbc90527,0x6e240c36}},	//   овит, xisl, राथम, nlib, 
   {{0x61fd0076,0x7bd531b6,0x6d46011d,0x78bb31b7}},	//   visl, _yozu, _mgka, _gruv, 
   {{0xb27431b8,0xd4970b58,0x76480102,0x13f4004f}},	//   олош, ёры_, _tudy, ізня, 
   {{0x61fd0039,0x9f58010c,0x764807fc,0x175707e4}},	//   tisl, tirî_, _uudy, _הסבר_, 
   {{0xd46a00ce,0x6446003e,0xdb0e0175,0x6d462720}},	//   _биде_, íkis, _cabé, _ngka, 
   {{0x321931b9,0xdb05010c,0xdce6008a,0xdb072c26}},	//   rosy_, gehê, _dekċ, _majá, 
   {{0x321905f0,0x229131ba,0x61fd31bb,0x6d4631bc}},	//   sosy_, bák_, sisl, _agka, 
   {{0x7bd531bd,0x8c000033,0x8234009c,0xdd9b31be}},	//   _rozu, ্তান_, تریا, лша_, 
   {{0x6e2431bf,0xbcfb0019,0x4cd10033,0x7bd531c0}},	//   glib, _idéz, _সেগু, _sozu, 
   {{0x7bd50095,0xe1ff31c1,0x76420548,0x7bf9286f}},	// [2430] _pozu, mió_, _mioy, анар_, 
   {{0xe1ff31c2,0xdb1c26ca,0x6e2401a3,0x6b750259}},	//   lió_, _enrí, alib, ілеу, 
   {{0xe7c700ab,0x7bd502fe,0x752201ff,0x00000000}},	//   लासप, _vozu, _lyoz, --, 
   {{0xe1ff0161,0x78bb31c3,0x3ebe055f,0xddab0890}},	//   nió_, _pruv, ætte_, _стол_, 
   {{0x3ea1016a,0x2bc90035,0x7c8400b3,0x672131c4}},	//   _hpht_, रादा, _нуре, _sylj, 
   {{0x2291010e,0xe7870cb4,0x8bcb00b3,0x67d20bad}},	//   yák_, судо, _сымб_, дољу, 
   {{0xdddc0ab4,0x752231c5,0x998531c6,0x7642040c}},	//   lurš, _ayoz, _ولسو, _bioy, 
   {{0x229131c7,0x91a90023,0xdb0e0216,0xe1ff0126}},	//   vák_, _nhà_, _kabî, jió_, 
   {{0xe1ff31c8,0xb4e300ab,0x13e931c9,0xa5090093}},	//   dió_, नने_, имий_, репа_, 
   {{0x2291309e,0xdb0e31ca,0x2251014b,0xe291007a}},	//   ták_, _sabé, ízko_, وذج_, 
   {{0xd5ae00c5,0x232903dc,0x645b31cb,0xe29931cc}},	//   رفی_, рони_, spui, шан_, 
   {{0xe1ff31cd,0xbba6047c,0x22910776,0x36340038}},	//   gió_, _ऑस्क, rák_, _فرنس, 
   {{0xdb0e010c,0x2291309e,0x6e24009e,0x601b020f}},	//   _nabî, sák_, vlib, tîmp, 
   {{0xa2e51c20,0x3eb80571,0x64590610,0x661b31ce}},	//   _молд, tvrt_, _itwi, louk, 
   {{0xe1ff0086,0xdb1c010d,0x7f4331cf,0x660921a3}},	//   bió_, _norð, держ, onek, 
   {{0xe1ff31d0,0x660931d1,0x644b099d,0x644331d2}},	//   ció_, nnek, _kugi, _hini, 
   {{0x6e24005c,0x656b006b,0x644b0082,0x442531d3}},	// [2440] rlib, _megh, _jugi, oll_, 
   {{0x9f580084,0xdb07006b,0x644b31d4,0x644331d5}},	//   oirí_, _sajá, _mugi, _jini, 
   {{0x442531d6,0x9d4631d7,0x661b31d8,0x644b31d9}},	//   ill_, _менд, kouk, _lugi, 
   {{0xa9260d61,0x66090082,0x661b00c8,0x2bdc031e}},	//   одел, jnek, jouk, _मकवा, 
   {{0xa7aa02f1,0x764200a3,0xdce60604,0x7dd802be}},	//   икда_, _rioy, _kekč, _uísq, 
   {{0x660901f1,0x644331da,0xdb1c003e,0xe1ff010e}},	//   enek, _nini, _forð, zió_, 
   {{0x644b012d,0x98a30009,0x656b02a3,0x64590610}},	//   _augi, _ąją_, _begh, _atwi, 
   {{0xd49a03ea,0x644b31db,0x442531dc,0xe1ff03a1}},	//   аро_, _bugi, ell_, xió_, 
   {{0x644331dd,0xe1ff05b9,0x644b31de,0x656b31df}},	//   _bini, vió_, _cugi, _degh, 
   {{0x644331e0,0xa2f400dd,0x539700c8,0x88bd0083}},	//   _cini, зпоч, овья_, _wyśc, 
   {{0xe1ff08f4,0x661b31e1,0xe3b801f0,0x644331e2}},	//   tió_, bouk, llık_, _dini, 
   {{0x644b31e3,0x64430f08,0x81e30033,0xd5a6009c}},	//   _fugi, _eini, ফোন_, _گلچی, 
   {{0xe1ff08f4,0xe3b801f0,0x644319a9,0x628131e4}},	//   rió_, nlık_, _fini, arlo, 
   {{0xe1ff0161,0x644331e5,0xd25000eb,0xbddb00d3}},	//   sió_, _gini, _كنت_, _cièn, 
   {{0x3a2631e6,0xbddb01e5,0x2ee5003e,0xe1ff318d}},	//   klop_, _dièn, álf_, pió_, 
   {{0x63a831e7,0x644302f1,0x628831e8,0xe3b8027e}},	//   ledn, _zini, mudo, klık_, 
   {{0x62880086,0x7dd800e9,0x25d7027a,0x644301ff}},	// [2450] ludo, _vísp, קומן_, _yini, 
   {{0xa2be05d0,0x9f3508af,0x60c002c9,0x9b270080}},	//   षिप्, _непі, æmme, офел, 
   {{0x62881c2b,0x660931e9,0x2bdc0299,0x67ef0566}},	//   nudo, ynek, _मकरा, _højg, 
   {{0xda7803bd,0x660002d9,0xdb1c0679,0x2bc902d9}},	//   іях_, jimk, _vorð, राहा, 
   {{0x442531ea,0x998d0187,0xad9b010e,0x656b31eb}},	//   yll_, _tiež_, _amúg, _regh, 
   {{0x63a80d26,0x644b31ec,0x656b02a3,0x660901f2}},	//   jedn, _rugi, _segh, wnek, 
   {{0x644b31ed,0xfbd20056,0x644331ee,0x661b31ef}},	//   _sugi, _אתם_, _rini, touk, 
   {{0x2bc9190a,0x644b31f0,0xc6210033,0xb95500fd}},	//   रावा, _pugi, _পূজা_, _хващ, 
   {{0x644331f1,0x656b31f2,0xdb0702be,0x5a440a10}},	//   _pini, _vegh, _enjô, _цэра, 
   {{0x64430104,0x656b31f3,0x682d0032,0x660931f4}},	//   _qini, _wegh, búda, snek, 
   {{0x442531f5,0x39400242,0x04c900d7,0xdce60118}},	//   rll_, žist_, _گوشي_, _rekč, 
   {{0x644b31f6,0x7a31076d,0x644331f7,0xdce600da}},	//   _tugi, båte, _wini, _sekč, 
   {{0x644331f8,0x63a80267,0x7bc701c8,0x64591736}},	//   _tini, bedn, _onju, _utwi, 
   {{0x62881175,0xdfd21036,0x682400b9,0x00000000}},	//   budo, ريز_, tòdi, --, 
   {{0xf1bf0084,0x628821dc,0xe7f30077,0xe3b8027e}},	//   mlán_, cudo, _अतना_, zlık_, 
   {{0x7bc731f9,0x409631fa,0x67ef055f,0x6d4b008b}},	//   _anju, _ерот, _højd, žgan, 
   {{0xdca31c7c,0x3202014b,0x00000000,0x00000000}},	// [2460] нати, miky_, --, --, 
   {{0xa09700fe,0x6600138a,0xdb1c02ae,0x320231fb}},	//   _צדיק_, zimk, _morö, liky_, 
   {{0x3ce6143b,0xf1bf0068,0x4a461aaa,0x34a8176d}},	//   šov_, ilán_, чнев, _कन्द, 
   {{0x8c4631fc,0x320231fd,0x63a800ab,0x628f00ab}},	//   _неме, niky_, zedn, ńcow, 
   {{0xd7c70bf0,0xe8940278,0x2bc9058c,0x39401279}},	//   लांच, фаль, राशा, äis_, 
   {{0xdb0e128a,0xe3b801f0,0x9f5831fe,0x7bc70372}},	//   _habí, rlık_, nirà_, _gnju, 
   {{0xcfb60086,0xfbc909e5,0x3a2631ff,0xa01b12b7}},	//   ঞাপন, रारम, plop_, krön, 
   {{0xf64f00d4,0xceb300d1,0x682d007a,0x9f580379}},	//   دئو_, תיה_, rúda, hirà_, 
   {{0x66003200,0x320213c5,0x00000000,0x00000000}},	//   rimk, diky_, --, --, 
   {{0x62883201,0xb05b0219,0x66003202,0x32543203}},	//   tudo, lväg, simk, мвор, 
   {{0x63a83204,0xa75b00a7,0x3202301f,0x9f583205}},	//   redn, _הדבר, fiky_, dirà_, 
   {{0xdb0e0351,0x6288055f,0xddcb00ef,0x63a821bc}},	//   _nabí, rudo, _žiža, sedn, 
   {{0x68e202f1,0x2fda03c2,0x2465010c,0xbddb011c}},	//   nyod, _bopg_, rêmî_, _dièl, 
   {{0xf1bf3206,0xa01b010e,0x2d9c010e,0x3202023a}},	//   clán_, ltöz, ővel_, aiky_, 
   {{0xa3b504bd,0x245200e7,0x32020032,0xe3b806a2}},	//   _चोट_, _hâm_, biky_, mdı_, 
   {{0xe3b80749,0xdb0e0684,0x3ebe3207,0x61e63208}},	//   ldı_, _cabí, ætta_, ckkl, 
   {{0x61ed3209,0x67ef01cc,0x9f58320a,0x2bc9320b}},	// [2470] _ilal, _høje, birà_, राला, 
   {{0xe3b80749,0x68e2320c,0x61ed0364,0x9f5801d8}},	//   ndı_, dyod, _hlal, cirà_, 
   {{0x2452001b,0xbd0202b0,0xdb0e02be,0x00000000}},	//   _lâm_, _éénm, _fabí, --, 
   {{0x9f58118d,0xa954004f,0x00000000,0x00000000}},	//   mirá_, екці, --, --, 
   {{0x61ed2fc5,0x9f580369,0xbc770032,0x00000000}},	//   _mlal, lirá_, ýšľa, --, 
   {{0xb8d50509,0x7bc7320d,0x61ed320e,0xdb0e1102}},	//   _जन_, _unju, _llal, _zabí, 
   {{0xdce600e0,0x9f582d3b,0xe69200d4,0xb8d400b0}},	//   _iekā, nirá_, نلود, _छै_, 
   {{0x200311e9,0xb9c500eb,0xe459320f,0x61ed023e}},	//   hiji_, _تقري, ожи_, _nlal, 
   {{0xf1bf0bf1,0xdcfd05b7,0x69c93210,0x24520108}},	//   tlán_, _kası, _inee, _câm_, 
   {{0x61ed3211,0x20033212,0x69c90201,0x2452001b}},	//   _alal, jiji_, _hnee, _dâm_, 
   {{0x3202026e,0x61ed3213,0x69db0326,0xf1bf0679}},	//   tiky_, _blal, _koue, rlán_, 
   {{0x471a07f5,0x69db0518,0x9f583214,0xd6d80088}},	//   _וועג, _joue, dirá_, _эту_, 
   {{0x2509182b,0x32023215,0x69db3216,0x2bb20249}},	//   _برای_, riky_, _moue, ीयमा, 
   {{0xdcfd0c05,0xdb0e0b6f,0x69db3217,0xdce600e0}},	//   _nası, _sabí, _loue, _nekā, 
   {{0x9f583218,0x69c93219,0x5043321a,0x3202023a}},	//   rirà_, _onee, терб, piky_, 
   {{0x61ed011c,0x69db321b,0x69c90547,0x2003018e}},	//   _glal, _noue, _nnee, aiji_, 
   {{0x20031462,0xdcfd03c0,0x205602f1,0x245200e7}},	// [2480] biji_, _bası, _ўтир, _xâm_, 
   {{0x9f580503,0x69c9321c,0xe50e00c6,0x68e20548}},	//   birá_, _anee, ापति_, vyod, 
   {{0x9f580634,0x69db321d,0xfc3f033c,0x00000000}},	//   cirá_, _boue, _asís_, --, 
   {{0xa9670b46,0x79a32189,0x27ec0065,0xe3b80540}},	//   дица_, врше, _sldn_, zdı_, 
   {{0xd6cf00d4,0x7a23007e,0xe3b803c0,0xb05b014e}},	//   یقه_, võtt, ydı_, rväg, 
   {{0x6a8600cf,0xb05b014e,0x68e2321e,0x236500ef}},	//   _олга, sväg, ryod, jblj_, 
   {{0x2452321f,0x7a2300b0,0x69db0212,0x7bdc007a}},	//   _sâm_, tõtt, _foue, _ioru, 
   {{0xc88301f0,0x69db3220,0x00000000,0x00000000}},	//   üğü_, _goue, --, --, 
   {{0x7bdc3221,0xdb1c0379,0xe3b800ad,0x9f58019c}},	//   _koru, _eorô, tdı_, zirá_, 
   {{0x61ed0df4,0x88bd00ab,0x32000054,0x7bdc00fc}},	//   _slal, _myśl, _amiy_, _joru, 
   {{0x2003090b,0xe3b80749,0x7bdc0364,0x61ed3222}},	//   viji_, rdı_, _moru, _plal, 
   {{0x245200f7,0x9f580169,0xd25700e4,0xdb1c02ae}},	//   _tâm_, virá_, ьць_, _inrä, 
   {{0x60f8058b,0xdb0e0118,0x7bdc040b,0xd5cf0210}},	//   дняя_, _labà, _ooru, _kềnh_, 
   {{0x9f580a47,0x67ef02c9,0x14d7027a,0x00000000}},	//   tirá_, _tøje, _קוגל_, --, 
   {{0x61ed0364,0xe7e6007e,0xdb1505d5,0xd5cf0108}},	//   _tlal, _कवना_, _gazè, _mềnh_, 
   {{0x2003034c,0x9f583214,0x63b808bb,0x61ed0532}},	//   siji_, rirá_, _havn, _ulal, 
   {{0x69db026a,0x22983223,0x629a0fac,0xad9b003e}},	// [2490] _roue, lék_, ltto, _djúp, 
   {{0x7bdc3224,0xfe71006b,0x69c93225,0x21293226}},	//   _coru, _مگر_, _snee, _iyah_, 
   {{0x7bdc01e2,0x69db3227,0xdb0e0e43,0x2298010e}},	//   _doru, _poue, _cabà, nék_, 
   {{0x7bdc0118,0xdb0e0165,0x629a0080,0xa87500f0}},	//   _eoru, _sabã, itto, елді, 
   {{0x18691d52,0x07a50925,0xd5cf0108,0x2249018e}},	//   чали_, еалн, _bềnh_, _miak_, 
   {{0x63b83228,0x7bdc3229,0xdb0703a1,0x76b300ad}},	//   _navn, _goru, _majú, _həyə, 
   {{0x26c10351,0xd6d119c7,0xb6a5322a,0x229807c5}},	//   ího_, اقع_, хийл, jék_, 
   {{0x22980019,0x7bdc01f0,0x99980009,0x7a312104}},	//   dék_, _zoru, _durų_, båta, 
   {{0x7bdc0792,0x2129322b,0xdb070032,0x629a1761}},	//   _yoru, _nyah_, _najú, etto, 
   {{0xf6e71761,0x629a322c,0x2bd2009a,0x224900b4}},	//   _оцен, ftto, साया, _aiak_, 
   {{0x63b803ef,0x21292998,0xdb15026e,0xdb0e247e}},	//   _davn, _ayah_, _bazé, _kabá, 
   {{0x70cb322d,0xbddb023e,0x2249322e,0x386d0118}},	//   ामूल, _dièk, _ciak_, _kwer_, 
   {{0x629a0088,0x64a500e4,0x25ad322f,0xa43916d0}},	//   atto, _чала, meel_, _езду_, 
   {{0x22983230,0x21293231,0xdb0e02ae,0x63b802c9}},	//   bék_, _dyah_, _inbö, _gavn, 
   {{0x6da63232,0x5f1a0262,0x76b30095,0xada600c8}},	//   нива, _मुख्_, _bəyə, навл, 
   {{0x7bdc22df,0x25ad051e,0xc1ba00b1,0x22493233}},	//   _soru, neel_, _رابط_, _giak_, 
   {{0x7bdc3234,0x76b30095,0x1de1007e,0x248d3235}},	// [24a0] _poru, _dəyə, _नवरत, nuem_, 
   {{0x7bdc06d0,0xa09b0137,0x25ad0d2d,0x1f661afd}},	//   _qoru, _צייט, heel_, _яком, 
   {{0x386d011c,0x79a61b17,0x88bd00ab,0x7bdc008c}},	//   _awer_, ерле, _wyśl, _voru, 
   {{0x60c43236,0xd9100274,0x70770444,0x386d3237}},	//   _krim, لیز_, _تمیز_, _bwer_, 
   {{0x25ad0318,0x21290065,0x7bdc3238,0x2298010e}},	//   deel_, _xyah_, _toru, zék_, 
   {{0x22983239,0xdb0e0054,0xe7c700aa,0x60c42925}},	//   yék_, _tabà, लागप, _mrim, 
   {{0x63b806e0,0x629a01be,0x2cb20156,0xa96a323a}},	//   _ravn, xtto, lwyd_, _нива_, 
   {{0x63b8323b,0x60c4323c,0x2d92323d,0x04662713}},	//   _savn, _orim, ngye_, нтом, 
   {{0x248d26bd,0x22493107,0x2cb202bf,0x60c400d7}},	//   guem_, _riak_, nwyd_, _nrim, 
   {{0x2298006b,0xa87b0056,0xa01b323e,0xdb0e2f09}},	//   ték_, _מאמר, tröm, _zabá, 
   {{0x60c4323f,0x05663240,0x7dd80019,0x7c3e02a3}},	//   _arim, _звен, _dísz, impr, 
   {{0x22983241,0x60c43242,0x20010219,0x629a3243}},	//   rék_, _brim, _smhi_, rtto, 
   {{0x60c43244,0xd5af08cb,0x629a3245,0x66023246}},	//   _crim, _دفن_, stto, _imok, 
   {{0x2cb20156,0x22983247,0x7c3e039b,0x00000000}},	//   dwyd_, pék_, jmpr, --, 
   {{0x443e02ec,0x60c43248,0x6e261032,0x22490175}},	//   mmt_, _erim, _bkkb, _tiak_, 
   {{0x7c3e20ac,0x644a3249,0x442c324a,0x60c4042a}},	//   empr, _hifi, lld_, _frim, 
   {{0x644a324b,0x60c4238e,0x66020415,0x2cb20156}},	// [24b0] _kifi, _grim, _mmok, gwyd_, 
   {{0x62880036,0x644a00a4,0xdb150032,0xdb0e08b2}},	//   ordo, _jifi, _enzý, _sabá, 
   {{0x644a0180,0x442c003e,0x67ef02c9,0x19b9324c}},	//   _mifi, ild_, _nøja, дуль_, 
   {{0x443e0380,0x644a324d,0xf1bf00da,0x81e30033}},	//   hmt_, _lifi, dlák_, ফোর_, 
   {{0x25ad0e47,0x644a003c,0x7ae50080,0x67d51560}},	//   veel_, _oifi, syht, коду, 
   {{0x644a324e,0x660202b8,0x07a5324f,0x6e2d3250}},	//   _nifi, _amok, такн, llab, 
   {{0x79a700e4,0x25ad2425,0x6e2d3251,0x201102a3}},	//   _прае, teel_, olab, inzi_, 
   {{0x6e2d3252,0xa91d009d,0x2bc9031e,0x248d3253}},	//   nlab, _adže, राका, tuem_, 
   {{0x6e2d0056,0x8cc400ab,0x628804b3,0x644a3254}},	//   ilab, रियो, erdo, _bifi, 
   {{0x6e2d0149,0xd6db00d9,0xee0e0299,0xd7f808d1}},	//   hlab, _нте_, _िद्ध_, _пух_, 
   {{0xd24400cf,0x60c404c6,0x6e2d3255,0x6d5d3256}},	//   лмоқ, _srim, klab, _ofsa, 
   {{0xd70d0586,0x442c01c8,0x443e0e16,0x20113257}},	//   िपीठ_, ald_, amt_, enzi_, 
   {{0x248d3258,0xe3ae080b,0x644a00a9,0xdd920296}},	//   quem_, _кб_, _fifi, یوس_, 
   {{0x656903a9,0x7a383259,0x1304004e,0x6e2d325a}},	//   lbeh, míte, _өзім, elab, 
   {{0x91fd00e0,0x6e2d325b,0x442700e2,0x7a380189}},	//   mpān, flab, _ikn_, líte, 
   {{0x6e2d325c,0xa6e9001b,0x6569325d,0x60c41229}},	//   glab, _trươ, nbeh, _trim, 
   {{0x1d071a9e,0x7a38325e,0x4427019a,0x60c4325f}},	// [24c0] вети_, níte, _kkn_, _urim, 
   {{0x2bd20e17,0x6e2d3260,0x2cb20156,0x26c502a3}},	//   साधा, alab, rwyd_, _orlo_, 
   {{0xee3a3261,0x44273107,0xeb973262,0xef1700b3}},	//   _оно_, _mkn_, тих_, _амэ_, 
   {{0x58860b58,0x656901c8,0xa96a00a3,0xa3c83263}},	//   выка, jbeh, фида_, _लोन_, 
   {{0x443e1f7e,0xdce40112,0x442c3264,0x26c501f1}},	//   ymt_, obič, yld_, _arlo_, 
   {{0x65690228,0x66023265,0x62880844,0xc8650038}},	//   ebeh, _smok, yrdo, اطني, 
   {{0x6009044e,0x644a3266,0xa3d53267,0x764b3268}},	//   nžma, _rifi, हान_, _bigy, 
   {{0x44273269,0x644a326a,0x6adb0086,0x54b8326b}},	//   _akn_, _sifi, _যেকো, егия_, 
   {{0x41d6000c,0x4427085f,0x7a380019,0x644a0180}},	//   धानस, _bkn_, gíte, _pifi, 
   {{0x3866326c,0x442c0056,0x52d8017b,0xa8880259}},	//   mpor_, uld_, емою_, _ойға_, 
   {{0x443e0f96,0x764b006b,0x442c326d,0xd5af326e}},	//   rmt_, _figy, rld_, _кс_, 
   {{0x6e2d0183,0x6602326f,0x764b0090,0xe4a63270}},	//   xlab, _umok, _gigy, _арко, 
   {{0x442c0065,0xd3a500f0,0x644a3271,0x25a60175}},	//   pld_, _әріп, _tifi, _ibol_, 
   {{0x44270183,0x6e2d3272,0xf2c621f9,0x6e9500b9}},	//   _gkn_, wlab, _асин, лигу, 
   {{0x6e2d3273,0xd3780035,0xdbdc003e,0x38660175}},	//   tlab, mać_, _ráðl, hpor_, 
   {{0x518714fc,0x228302f1,0x6e2401f1,0xb28300d3}},	//   _рука, _тушг, goib, _тышк, 
   {{0x6e2d3274,0x5d5403a1,0x25a626e2,0x31793275}},	// [24d0] rlab, ркут, _mbol_, masz_, 
   {{0x31790105,0xd37800ab,0x6e2d3276,0xa3d50f8c}},	//   lasz_, nać_, slab, हाय_, 
   {{0xf09f3277,0x16223278,0x78a90228,0x6e243279}},	//   ltà_, मवार_, _spev, boib, 
   {{0xd378327a,0xdb1c010c,0xa01b003e,0x166508ba}},	//   hać_, _karê, fsög, қвим, 
   {{0xd37800ab,0xf09f327b,0xa7a9327c,0x9d14017b}},	//   kać_, ntà_, екла_, _вдяч, 
   {{0xe739245f,0xf09f2d58,0xd3780083,0x7a38327d}},	//   нел_, ità_, jać_, víte, 
   {{0xd378006a,0x9f5108f4,0x317923f8,0x6569243f}},	//   dać_, lizó_, kasz_, tbeh, 
   {{0x26c502f5,0xe3b80095,0xa2d6176d,0x00000000}},	//   _vrlo_, dlıq_, यमन्, --, 
   {{0x9f5104b3,0x75f5031e,0x3915327e,0x78a9014b}},	//   nizó_, _náze, _смар, _upev, 
   {{0x7a380b7e,0x7c25014b,0xd3780035,0x9f41020b}},	//   ríte, nohr, gać_, _dlhú_, 
   {{0x420a177b,0xf09f0141,0x7a38327f,0xa91d0062}},	//   енно_, età_, síte, _udžb, 
   {{0xdb1c009e,0x28c70598,0x7a38010e,0x44271a0d}},	//   _barê, लिपि, píte, _wkn_, 
   {{0x44273280,0xdb1c3281,0x6609123b,0x53a53282}},	//   _tkn_, _carê, miek, _балб, 
   {{0x66093283,0x25bd0156,0xdb1c010c,0xd3780083}},	//   liek, _hawl_, _darê, cać_, 
   {{0x44253284,0x249f3285,0x539a00a7,0x9324009c}},	//   mol_, ltum_, _ניקו, _پرون, 
   {{0x66090bc3,0xe1f200c5,0x25bf3286,0x44253287}},	//   niek, _دست_, ndul_, lol_, 
   {{0xccc63288,0xa3c82002,0x6e243289,0xf09f00f6}},	// [24e0] ыбай, _लोड_, roib, ctà_, 
   {{0x442502f0,0xeb970a10,0x249f328a,0x2d9900a1}},	//   nol_, лиу_, itum_, _ecse_, 
   {{0xdee6328b,0x7f9b00a7,0xdca3328c,0xc986328d}},	//   _сони, _אביז, _қари, гули, 
   {{0x4425328e,0x249f328f,0xd3780035,0xceb30070}},	//   hol_, ktum_, zać_, _פיר_, 
   {{0x44253290,0x7a1c00bc,0xb4bf017d,0xdbd200c2}},	//   kol_, jčte, ुमो_, _küüs, 
   {{0x2ca00c29,0x44253291,0x38663292,0xbddb05d5}},	//   mtid_, jol_, rpor_, _chèf, 
   {{0x2ca03293,0x4425328e,0x38663294,0x09a900cc}},	//   ltid_, dol_, spor_, ওয়া, 
   {{0xd3780da6,0x200a1ba2,0xb05b014e,0x2bd23295}},	//   wać_, hibi_, dvän, सावा, 
   {{0x442502bf,0x2ca003fa,0xc79600b8,0xd37800ab}},	//   fol_, ntid_, _مشاب, tać_, 
   {{0x44253296,0x3a2601a9,0xa158004e,0xe3b800ad}},	//   gol_, loop_, ғару_, tlıq_, 
   {{0xa91d02fe,0x66093297,0xd3780035,0x25bf00a4}},	//   _idža, biek, rać_, bdul_, 
   {{0xf09f048a,0xdb1c0218,0xe3b80095,0xd37800ab}},	//   ttà_, _parê, rlıq_, sać_, 
   {{0x44253298,0x3dc00156,0xf1bf3299,0x6d0301a4}},	//   bol_, ddiw_, rdá_, _रेंग_, 
   {{0x4425329a,0xf09f329b,0xc356048a,0x682d07ca}},	//   col_, rtà_, _съдъ, túdi, 
   {{0x3a260b1f,0xa36f0228,0xf09f329c,0xdb1c010c}},	//   koop_, äčši, stà_, _warê, 
   {{0x270e06d0,0x9f5104b3,0xdeb3004e,0xa3d501a4}},	//   _mən_, tizó_, _құбы, हाथ_, 
   {{0x9f4100e5,0xa91d032f,0x200a329d,0x1ae20086}},	// [24f0] _kohë_, _odža, bibi_, _গেলে_, 
   {{0x320b329e,0x6609329f,0xbcfb0183,0x9f510327}},	//   licy_, ziek, _aféc, rizó_, 
   {{0xddd001f0,0x9e352c54,0xa3d532a0,0x28c700bc}},	//   _çeşi, _венч, हात_, लिभि, 
   {{0xac9532a1,0x320b0035,0x442532a2,0x4c9500a3}},	//   _камш, nicy_, zol_, _кимс, 
   {{0x442532a3,0xa3e505e5,0x2ca000f8,0xdb1c05d5}},	//   yol_, _नवल_, ctid_, _larè, 
   {{0xba770fd0,0x660900ab,0x25bd0156,0x00000000}},	//   _مارت, wiek, _sawl_, --, 
   {{0x660932a4,0x5884005e,0x442532a5,0xec3600a7}},	//   tiek, _қыта, vol_, _כאשר_, 
   {{0x249f32a6,0x442532a7,0x270e0095,0xc48502f1}},	//   ttum_, wol_, _dən_, алик, 
   {{0x442532a8,0x25bf32a9,0xfa34009c,0x443c32aa}},	//   tol_, rdul_, _طرفد, _bhv_, 
   {{0x660932ab,0x249f32ac,0x78bb0ab4,0xdb150054}},	//   siek, rtum_, _isuv, _kazà, 
   {{0x249f32ad,0xddc700e4,0x216a32ae,0xc5d532af}},	//   stum_, gpjū, кини_, _віль, 
   {{0x442532b0,0xb05b022b,0x249f003e,0xdb1c023e}},	//   sol_, rvän, ptum_, _darè, 
   {{0xb05b0219,0x200a32b1,0x0467049b,0xdb1c024a}},	//   svän, tibi_, _стем, _parë, 
   {{0x88bd00ab,0x248d32b2,0x442532b3,0xb4fa00d1}},	//   _wyśw, mrem_, qol_, _בפני, 
   {{0x645b0f46,0x200a32b4,0x527532b5,0xdb1c32b6}},	//   lqui, ribi_, _тулу, _garè, 
   {{0xdd9232b7,0x8e5532b8,0x06af0086,0x245b078a}},	//   تور_, стрі, কিপি, _kêm_, 
   {{0x248d016a,0xb05b0080,0x51f6010e,0x245b040b}},	// [2500] nrem_, nväl, _مسکر, _jêm_, 
   {{0x907b0137,0x2ca032b9,0x307b00a7,0x27220228}},	//   _שטיי, rtid_, _שאינ, nčné_, 
   {{0x2ca032ba,0xdb1502a0,0x78bb06a6,0xdb1c033e}},	//   stid_, _razã, _asuv, _karé, 
   {{0x657b32bb,0x7ae316b5,0xb05b014e,0x705311b7}},	//   jauh, änta, kväl, _دنیا, 
   {{0x684632bc,0x270e0095,0xdb070126,0xdb1c32bd}},	//   анда, _sən_, _bajó, _maré, 
   {{0xdb0732be,0x61e40415,0xb227003e,0x186702a6}},	//   _cajó, _loil, _klæð, шаљи_, 
   {{0x645b0126,0xdb1502aa,0xa01b02ae,0xdb050380}},	//   equi, _vazã, pröv, gehä, 
   {{0xe5c6129d,0x61e432bf,0x786600dd,0x443c32c0}},	//   рско, _noil, _вказ, _shv_, 
   {{0x7a3818f8,0x6aa900ef,0x91830023,0xdb1c01e5}},	//   cíta, _ćefi, _nếu_, _sarè, 
   {{0x69c000a9,0x69c20265,0xdb1c06df,0x53e632c1}},	//   _hame, ldoe, _parè, рциа, 
   {{0x78a232c2,0x869a1b2d,0x4b7b00c7,0xdb0e010c}},	//   ltov, _штат_, כטיג, _rabû, 
   {{0x61e40094,0x248d32c3,0x69c232c4,0xdb1c32c5}},	//   _coil, brem_, ndoe, _caré, 
   {{0x78a20098,0x69c032c6,0xfeb8040f,0x61e432c7}},	//   ntov, _mame, یافت_, _doil, 
   {{0xd7d9009a,0xdb070118,0xb22701d5,0x00000000}},	//   ढायच, _majò, _blæð, --, 
   {{0x69c00012,0x61e41600,0x75f50019,0xdb1c0068}},	//   _oame, _foil, _háza, _faré, 
   {{0x5d550d61,0xdb050750,0x78a20098,0x69c032c8}},	//   скат, nehå, ktov, _name, 
   {{0x78a232c9,0xbddb0107,0x69c200f8,0xdb070118}},	// [2510] jtov, _bièr, ddoe, _najò, 
   {{0x6fb50a5a,0x7a38200a,0xeb9309ed,0x61e432ca}},	//   _امدا, víta, تظر_, _zoil, 
   {{0xdb150187,0x69c032cb,0x645b00e9,0xbddb00b9}},	//   _bazá, _bame, zqui, _dièr, 
   {{0xc9871a63,0x69c02c07,0x645b0126,0x34b60035}},	//   ружи, _came, yqui, _अनूद, 
   {{0xb05b0219,0xf1bf010e,0xf09400c7,0x69c032cc}},	//   kväm, llás_, ַנק_, _dame, 
   {{0x645d1056,0x65620379,0xf1bf0068,0xe8f8012d}},	//   ísim, _afoh, xoán_, шлі_, 
   {{0x69c032cd,0x657b0c36,0x7a3832ce,0xc66802a6}},	//   _fame, tauh, síta, ашње_, 
   {{0x248d32cf,0x69c032d0,0xff18042c,0xdb1c009e}},	//   trem_, _game, יקות_, _karî, 
   {{0x32f70095,0xf1bf0228,0x9f41011c,0x78a200de}},	//   məyə_, hlás_, _dohé_, ctov, 
   {{0x61e41c49,0x69c032d1,0x248d32d2,0xdb1c32d3}},	//   _soil, _zame, rrem_, _saré, 
   {{0x645b32d4,0x61e432d5,0x69c032d6,0xdb1c32d7}},	//   squi, _poil, _yame, _paré, 
   {{0x245b03b7,0xb0c332d8,0xa06a32d9,0x248d32da}},	//   _têm_, शिंग, лама_, prem_, 
   {{0x61e4026d,0x705600eb,0x68fc00ad,0x00000000}},	//   _voil, إنسا, _ərdo, --, 
   {{0x7afe32db,0x76aa06d0,0xe29932dc,0x51f6009c}},	//   yzpt, _həya, _бак_, _گستر, 
   {{0x670d0351,0x229500eb,0x52850038,0x27e502ae}},	//   िपटक_, _العس, _البك, _moln_, 
   {{0x78a20076,0x645932dd,0x51f60109,0xb17b2379}},	//   ytov, _kuwi, _دستر, skår, 
   {{0x22830c05,0x5baa32de,0x78a2026e,0x7ae30219}},	// [2520] lık_, лкам_, xtov, äntn, 
   {{0x69c00ef7,0x3a2d32df,0x62810a1a,0x6459045a}},	//   _same, _akep_, oslo, _muwi, 
   {{0x69c00daf,0x628117f0,0xdcef002a,0x7d09044e}},	//   _pame, nslo, _vecā, _žest, 
   {{0xe8fa32e0,0x5ca632e1,0x657932e2,0x78a232e3}},	//   лле_, _лимб, _newh, ttov, 
   {{0x69c232e4,0x17540251,0x9f41023e,0xb3b71a21}},	//   rdoe, овля, _rohé_, _असंख, 
   {{0x69c02083,0x78a232e5,0xab2a0dfb,0x6283044e}},	//   _wame, rtov, _бога_, _ovno, 
   {{0x69c032e6,0x78a232e7,0x76aa0095,0x46670b58}},	//   _tame, stov, _bəya, брым_, 
   {{0x8a0632e8,0x78a232e9,0x228301f0,0x64590c36}},	//   _узбе, ptov, dık_, _buwi, 
   {{0x628300d2,0x7a38010e,0x6459023e,0x628132ea}},	//   _avno, líto, _cuwi, eslo, 
   {{0x645932eb,0x75f50d12,0x9f4100d7,0x00000000}},	//   _duwi, _váza, _wohé_, --, 
   {{0x02a309a6,0xdb050219,0x22580216,0x7a38039f}},	//   прям, pehå, êrk_, níto, 
   {{0x224032ec,0xa3c800b0,0x6579010c,0x00000000}},	//   _chik_, _लोर_, _gewh, --, 
   {{0x25b700d4,0x224000d7,0x9f410032,0x777a00b4}},	//   _دهند_, _dhik_, _dlhý_, _ketx, 
   {{0x765a32ed,0x26cc0082,0xb4e4009a,0xb4d4009a}},	//   _kuty, _krdo_, नही_, हमी_, 
   {{0xa3d50d0d,0x2283027e,0x0cd100c6,0x777a32ee}},	//   हार_, cık_, सम्म, _metx, 
   {{0xdb1c009e,0x765a01a3,0xf1bf0019,0x7bcb01dd}},	//   _parî, _muty, rlás_, ēgum, 
   {{0xc4b611bd,0xae022030,0x13ac0033,0x00000000}},	// [2530] _अनोख, रोइन_, _কোয়, --, 
   {{0x3a2d018c,0x60cd016c,0x41a5000c,0x26cc32ef}},	//   _skep_, _iram, ग्रस, _ordo_, 
   {{0x1dc432f0,0xbddb06df,0xb4e432f1,0x4ea703a1}},	//   _लोकत, _chèc, नहु_, _урпа, 
   {{0x60cd32f2,0xdb1c32f3,0x777a00b4,0x2bf50110}},	//   _kram, _tarî, _aetx, _इतकं_, 
   {{0x26cc32f4,0x27e50352,0x2283027e,0x32f700ad}},	//   _ardo_, _poln_, zık_, rəyə_, 
   {{0x26cc04d1,0x765a32f5,0x628132f6,0x26c7015e}},	//   _brdo_, _buty, yslo, tvno_, 
   {{0x7bd532f7,0xa91d02fe,0xe73932f8,0xa3dc017d}},	//   _inzu, _idžm, шек_, डान_, 
   {{0x7d0906b6,0x7aea00a8,0x60cd32f9,0x291f023b}},	//   _þess, äfte, _oram, _txua_, 
   {{0xa3d50527,0x79890118,0x777a00b4,0x41dd1281}},	//   हाल_, _idew, _fetx, यानस, 
   {{0x7bc500c5,0x22830c05,0x52a90849,0x981728b7}},	//   ndhu, tık_, авом_, _ابرا, 
   {{0x60cd32fa,0x28c70394,0xe9ff00e7,0x765a0458}},	//   _aram, लिवि, _nhẫn_, _guty, 
   {{0x645932fb,0x75f50254,0x60cd32fc,0x6aa532fd}},	//   _tuwi, _zázn, _bram, ithf, 
   {{0x628132fe,0x64590102,0x316d1f6b,0x04c92841}},	//   sslo, _uuwi, ñeza_, _خوشي_, 
   {{0x628132ff,0x8db500f0,0x62833300,0xae0202e6}},	//   pslo, үсті, _tvno, रोईन_, 
   {{0x60cd3301,0xe299284a,0xd34700d4,0x22403302}},	//   _eram, _тай_, _دیده_, _thik_, 
   {{0x60cd3303,0x7bd502f2,0x660b0065,0x61fd0380}},	//   _fram, _anzu, _jmgk, chsl, 
   {{0x10a3004e,0xac0a32d4,0x442e0054,0x640200d7}},	// [2540] _жиын, анаа_, _ykf_, _رژیم, 
   {{0x7bc53304,0x602600dd,0xa01b02ae,0x91a60019}},	//   gdhu, _єдна, srör, _اچھے_, 
   {{0x75f53305,0x2bce02f8,0x1c3900af,0xa01b0219}},	//   _názo, _होणा, сять_, prör, 
   {{0xa3d50ef0,0x19a900f0,0x26cc0054,0x7bd53306}},	//   हाँ_, йтіп_, _rrdo_, _enzu, 
   {{0x79890156,0x2db700a7,0x7a380019,0x636600bc}},	//   _ddew, _ולכן_, síto, nční, 
   {{0x7a383307,0xdb1c05b9,0x368a00a3,0x2d803308}},	//   píto, _harí, асин_, laie_, 
   {{0x56943309,0xf1ca000c,0x26c30242,0x75fc039f}},	//   чайт, ियान, _šjor_, _léze, 
   {{0x2bce203f,0x442e0844,0x95ca02a6,0x636602d9}},	//   _होता, _skf_, рука_, kční, 
   {{0xdb1c330a,0xa3d51d00,0x75fc0019,0xe9ff00e7}},	//   _marí, हां_, _néze, _hiến_, 
   {{0xe9ff0029,0xdb1c0183,0x26cc0121,0x765a0547}},	//   _kiến_, _larí, _trdo_, _tuty, 
   {{0x6fde0184,0x32190379,0x75f5039f,0x5fde02d9}},	//   मानं, tnsy_, _gázo, मानल, 
   {{0x60cd330b,0x320b035b,0xe9ff0108,0x683f009e}},	//   _pram, рхон_, _miến_, rêde, 
   {{0x107414d3,0x845a0165,0x2bbb00bc,0x4fc72776}},	//   мляю, _трет_, _उसला, осва, 
   {{0x24860304,0xe9ff0023,0x05a600bc,0x442e330c}},	//   _ivom_, _phẫn_, क्रब, _ukf_, 
   {{0x22630228,0xdb1c04ef,0xe2971571,0x15ee00c2}},	//   ľské_, _barí, _дај_, _जवार_, 
   {{0x442c330d,0x2d582241,0xc3330111,0x02fb0486}},	//   lod_, жить_, _קוק_, _כלומ, 
   {{0xa80201f0,0xdb1c0503,0x60cd330e,0x75fc039f}},	// [2550] şıyo, _darí, _uram, _kézb, 
   {{0x442c330f,0xe9ff0029,0x6d5a00ad,0xbddb01f5}},	//   nod_, _biến_, _ştat, _dhèa, 
   {{0x20113310,0xdb1c3311,0x7bc53312,0x9e352cb9}},	//   mizi_, _farí, rdhu, _неоч, 
   {{0x248603ef,0x20113313,0x442c3314,0x6aa50156}},	//   _ovom_, lizi_, hod_, rthf, 
   {{0x442c3315,0x7e620352,0x6e2d3316,0x00000000}},	//   kod_, _čopi, moab, --, 
   {{0xcc760111,0x20113317,0x442c3318,0x7ae302c9}},	//   _מעשה_, nizi_, jod_, ønts, 
   {{0x442c3319,0x69a602e6,0xea630019,0x2486040c}},	//   dod_, _टॉकी, _آپری, _avom_, 
   {{0x7642331a,0x2011331b,0x9f580036,0x7a312be3}},	//   _choy, hizi_, nirò_, gått, 
   {{0x442c02bf,0x2011331c,0x764201e5,0x6fcb009a}},	//   fod_, kizi_, _dhoy, ायां, 
   {{0x442c331d,0x730500fd,0x2011025b,0x24863204}},	//   god_, зпоз, jizi_, _dvom_, 
   {{0x2011331e,0x2329331f,0xdb070098,0x97a400a3}},	//   dizi_, сони_, _objí, _юртл, 
   {{0x27340038,0x00000000,0x00000000,0x00000000}},	//   súnú_, --, --, --, 
   {{0x442c3320,0xa01b02f2,0x455a042c,0x764902a5}},	//   bod_, rsön, _הכנס, mmey, 
   {{0x76493321,0x7fd53322,0x644f022c,0x201101eb}},	//   lmey, місі, ïcid, gizi_, 
   {{0xdb1c3323,0x2d8000b3,0xdee6004f,0xd007251b}},	//   _parí, taie_, чови, чере_, 
   {{0x661b3324,0xe1ff3325,0xee3a3326,0x764901f0}},	//   nnuk, chó_, ёна_, nmey, 
   {{0xdb1c3327,0xd34700d4,0x20111b2f,0xb05b00c8}},	// [2560] _varí, _دیگه_, bizi_, yväi, 
   {{0x2d800107,0x5ebb0033,0x20110474,0x1d19017b}},	//   saie_, _উপরে, cizi_, іють_, 
   {{0x4aaa004e,0x7a380019,0x05bd009a,0x661b0102}},	//   скен_, sítm, ्याब, knuk, 
   {{0x442c3328,0xdb1c02aa,0xa3c800c2,0x7a380098}},	//   zod_, _parâ, _लोई_, mítk, 
   {{0x442c3329,0xed5200d4,0x6443014b,0xdb1c02aa}},	//   yod_, _سپس_, _ohni, _barã, 
   {{0xe9ff0029,0x2609000f,0xdb0e00bc,0x6d3b00d1}},	//   _tiến_, ़ोसी_, _zabý, _לתכנ, 
   {{0x8c431ca5,0x248603ef,0x36330274,0x76420532}},	//   _чере, _svom_, کروس, _phoy, 
   {{0xd49a0fa7,0xceb30056,0x442c00f8,0x6443332a}},	//   бро_, גיה_, wod_, _ahni, 
   {{0x38c809e8,0x442c332b,0x7d04332c,0x2902022b}},	//   _بازی_, tod_, nzis, _åka_, 
   {{0x6e2d0042,0xa2f400dd,0x64430387,0xdb1c0379}},	//   zoab, дпоч, _chni, _karà, 
   {{0x644800e0,0xa195332d,0x2011332e,0x644300a1}},	//   rmdi, манч, vizi_, _dhni, 
   {{0x248604d1,0x442c332f,0x7a38014b,0x79820053}},	//   _tvom_, sod_, dítk, naow, 
   {{0x50673330,0x20113331,0x644300a1,0x683f010c}},	//   ятна, tizi_, _fhni, lêda, 
   {{0x1ae200cc,0xdb0e3332,0x7d043333,0x644301fd}},	//   _গেছে_, _jabó, dzis, _ghni, 
   {{0x20113334,0xc43b00a7,0xbddb023e,0x53333335}},	//   rizi_, _התגי, _dhèn, _пешт, 
   {{0x63ba3336,0x67ef055f,0x753d00ab,0x76aa0095}},	//   letn, _højt, ższe, _rəyl, 
   {{0x629a3337,0x271800ab,0x9f5802a3,0x76aa0248}},	// [2570] luto, धपुर_, rirò_, _səyl, 
   {{0xf0450a24,0xdb1c0379,0x7a380740,0x6e2d084c}},	//   _تعبی, _barà, líth, soab, 
   {{0x3f8303ef,0x629a0e2e,0xdb1c00d3,0x9f580036}},	//   maju_, nuto, _carà, pirò_, 
   {{0x39153338,0x63ba0019,0x7aea0219,0xdb1704fe}},	//   ммер, hetn, äfta, nexé, 
   {{0x629a3339,0x25e0333a,0x7649035d,0x76aa0248}},	//   huto, कानी_, vmey, _dəym, 
   {{0x63ba333b,0x629a333c,0x2ca90219,0xfe70009c}},	//   jetn, kuto, mtad_, _جدی_, 
   {{0x2ca9333d,0x63ba0800,0x7649027e,0xdb1c019c}},	//   ltad_, detn, tmey, _varã, 
   {{0x629a333e,0x3f831a08,0x644300a3,0x7bc7333f}},	//   duto, haju_, _shni, _haju, 
   {{0x3f8300f1,0x2ca93340,0x764901f0,0x7bc73341}},	//   kaju_, ntad_, rmey, _kaju, 
   {{0x3f8300f1,0xdb1c2f33,0x386d3342,0xdb0e0183}},	//   jaju_, _hará, _iter_, _gabó, 
   {{0x3f8300f1,0x7bc70ace,0x629a3343,0x2eac0394}},	//   daju_, _maju, guto, _चहेत, 
   {{0x7bc722d3,0x2ca93344,0xa91d0082,0xe5e5009c}},	//   _laju, ktad_, _adži, _تزئی, 
   {{0xa3c81422,0x63ba0096,0x53a53345,0x3ce00183}},	//   _लोक_, betn, _жалб, xxiv_, 
   {{0xdb0e0068,0x3f831060,0xad9b00f6,0x00000000}},	//   _xabó, gaju_, _llúd, --, 
   {{0xe9ff0029,0x67ef055f,0x3ea30161,0xdb0e00b9}},	//   _nhắn_, _højs, кирг, _labò, 
   {{0xee3a1222,0x51563346,0x600900ef,0x3ce00201}},	//   іна_, _отпу, džmu, txiv_, 
   {{0x3f8303ef,0xbc6a0e61,0x2ca93347,0x7a3800bc}},	// [2580] baju_, زمان_, gtad_, sítk, 
   {{0x3f8303ef,0x60c43348,0x7d043349,0xdb1c03a1}},	//   caju_, _isim, rzis, _parà, 
   {{0x09e60fc8,0xdb1c334a,0x386d009c,0xe9ff001b}},	//   можн, _bará, _ater_, _chắn_, 
   {{0xdb1c334b,0xdb0e26c8,0x25ad01c8,0xad9b0038}},	//   _cará, _sabó, jfel_, _clúd, 
   {{0x7a38334c,0x307a00c7,0xdb0e318d,0x61fd0034}},	//   níti, קאַנ, _pabó, ërli, 
   {{0x60c40010,0x7bc70589,0xdb0e03a0,0x75f5010e}},	//   _msim, _gaju, _dabò, _házh, 
   {{0xa3c81139,0xdb1c334d,0x25ad334e,0x63ba334f}},	//   _लोग_, _fará, ffel_, vetn, 
   {{0xdb1c135a,0x3f8300d2,0x683f078a,0x629a3350}},	//   _gará, zaju_, rêda, vuto, 
   {{0x7bc73351,0x60c43352,0x8cc400bc,0x629a0027}},	//   _yaju, _nsim, रिटो, wuto, 
   {{0xa3d50c8f,0x427402be,0x79800216,0xdb1c3353}},	//   हाग_, нгос, _hemw, _zará, 
   {{0x3f8303ef,0xe215134f,0x629a011d,0x65c61d91}},	//   vaju_, емны, uuto, _обжа, 
   {{0x629a1aa3,0x51f80b58,0x27ec0228,0x63ba25f2}},	//   ruto, днюю_, _hodn_, setn, 
   {{0x3f8300f1,0xbddb011c,0xc5f300d1,0x79800300}},	//   taju_, _dhèl, _בדף_, _memw, 
   {{0x629a3354,0x67ef01cc,0x7a38010e,0xbbc83355}},	//   puto, _højr, síth, रयोक, 
   {{0x3f8303ef,0x60c43356,0x7bc73357,0xa01b02ae}},	//   raju_, _esim, _raju, lsök, 
   {{0x3f8304d1,0x7bc73358,0x2ca93359,0x64580180}},	//   saju_, _saju, ttad_, _hivi, 
   {{0x6458335a,0xe81f335b,0x7bc7335c,0x5c9916d0}},	// [2590] _kivi, _बदला_, _paju, якая_, 
   {{0x2ca9335d,0x2c64014e,0x9f45010e,0x61ed0210}},	//   rtad_, _död_, óló_, _hoal, 
   {{0x3a2f335e,0x2ca9335f,0x62883360,0x386d0a58}},	//   togp_, stad_, nsdo, _ster_, 
   {{0x64583361,0xdb2600c5,0x61ed0194,0x7bc70010}},	//   _livi, رونی, _joal, _waju, 
   {{0x7bc73362,0x61ed3363,0x9f5800eb,0x6d5d0008}},	//   _taju, _moal, mhrá_, _igsa, 
   {{0x645801a7,0x07a204a0,0xf745049b,0xb05b08b5}},	//   _nivi, гашн, нело, lväs, 
   {{0x25ad0012,0x49bb00c5,0x75f50019,0x61ed011c}},	//   tfel_, _وارد_, _házi, _ooal, 
   {{0xcf580052,0xad9b0183,0x64992025,0x628809ad}},	//   ובות_, _flúe, птор_, dsdo, 
   {{0x64583364,0x25ad3365,0x7a3803da,0xa91d0032}},	//   _bivi, rfel_, xíti, _beže, 
   {{0x69cb3366,0x25ad0219,0xc7470038,0x130900c8}},	//   ldge, sfel_, _قضاي, зной_, 
   {{0xa91d008b,0x61ed3367,0x7980030b,0x25ad0380}},	//   _deže, _boal, _yemw, pfel_, 
   {{0x69cb0439,0x25e000a2,0x60c40112,0x6d5d3368}},	//   ndge, काणी_, _psim, _ngsa, 
   {{0xe9ff00f7,0x69c93369,0x645801a7,0xbddb05d5}},	//   _nhận_, _maee, _fivi, _chèm, 
   {{0x7a38336a,0x2c64014e,0x99dd0098,0x2003095a}},	//   ríti, _röd_, _ohňo, ghji_, 
   {{0x6e29014b,0xa3dc0bf5,0x6288336b,0x00000000}},	//   čebn, डार_, csdo, --, 
   {{0x6458336c,0x71a302c0,0xfce6336d,0x60c4336e}},	//   _zivi, _баъз, нобо, _tsim, 
   {{0xdd8f0a7c,0x60c40053,0x6b8500e2,0x28bf0586}},	// [25a0] صول_, _usim, fahg, _शैलि, 
   {{0x61ed0536,0x26c502fb,0x7aea0219,0x38a9336f}},	//   _zoal, _oslo_, äfto, dúr_, 
   {{0xdb1c03b7,0x8f9b00c7,0x69cb02b0,0xb05b3370}},	//   _març, _ציטי, fdge, svät, 
   {{0xa9263371,0x5fde031e,0x491100bd,0xb05b02ae}},	//   ндел, मावल, _देहो_, mvär, 
   {{0x6b850640,0x27fe02a2,0xb05b3372,0x0d2300d3}},	//   bahg, _pltn_, lvär, _бүтү, 
   {{0x656b3373,0x2d82078a,0xfaa63374,0x29061c62}},	//   _afgh, _heke_, _паго, rzoa_, 
   {{0x4df43375,0x320000cf,0x2d823376,0xbb433377}},	//   _इकाई_, _oliy_, _keke_, _берк, 
   {{0x64583378,0xc1ca0a09,0x2d820026,0xd49a3379}},	//   _sivi, ियोग, _jeke_, про_, 
   {{0xdb1c337a,0x765902bf,0x61ed337b,0x64580054}},	//   _barç, _diwy, _roal, _pivi, 
   {{0xa01b0750,0x61ed337c,0x66e62309,0x656b00ca}},	//   rsök, _soal, _поза, _efgh, 
   {{0x64582769,0x61ed020f,0xb05b0080,0x00000000}},	//   _vivi, _poal, yväs, --, 
   {{0x2d82090b,0x6288337d,0xb05b0219,0xa01b02ae}},	//   _neke_, rsdo, dvär, psök, 
   {{0x61ed0489,0x7bdc0511,0x6458337e,0x62880144}},	//   _voal, _onru, _tivi, ssdo, 
   {{0xa91d337f,0xdb1c3380,0xd499004e,0xa3c800aa}},	//   _idžt, _garç, _ірі_, _लोच_, 
   {{0x2d8207d7,0x00000000,0x00000000,0x00000000}},	//   _beke_, --, --, --, 
   {{0xbddb026d,0xe9ff001b,0x7bdc01c4,0xdb1c02ae}},	//   _thèm, _phận_, _anru, _marä, 
   {{0x76aa06d0,0x4c94227c,0x5d553381,0x2d823382}},	// [25b0] _dəyi, литс, ткат, _deke_, 
   {{0xb6030187,0xb60600d0,0xfe711372,0x9c3800b3}},	//   čšin, lešć, _نگر_, епут_, 
   {{0xb05b02ae,0x2249011c,0x201300c3,0xa01b039f}},	//   sväs, _khak_, _imxi_, kröz, 
   {{0x38a93383,0xe9ff00e7,0x98bf008a,0x614901dd}},	//   túr_, _thận_, _jfuħ_, _tūlī, 
   {{0x69cb0f41,0x28f8004f,0x491100c9,0x07a519d1}},	//   rdge, нець_, _देशो_, валн, 
   {{0xe7393384,0x673a08b0,0x69c90175,0x00000000}},	//   мел_, _bytj, _waee, --, 
   {{0x38a90038,0x2d82009e,0x3d15009a,0x200100a1}},	//   súr_, _yeke_, _नेते_, _mlhi_, 
   {{0xa91d1e1f,0x9b5803dc,0xb60608e3,0x660d0228}},	//   _vežb, _чист_, ješć, ďako, 
   {{0xdb1c3385,0xf1bf0228,0xc48203a1,0x395f0175}},	//   _parç, deá_, алык, _igus_, 
   {{0x75f50076,0xf09f00b9,0x33652d60,0x00000000}},	//   _názv, duà_, ъвог, --, 
   {{0xf1dd047b,0xfbd200a7,0x56940e65,0x41dd0425}},	//   यांन, בתי_, _бахт, यांस, 
   {{0x2249158b,0x15153386,0xbddb023e,0x7a38010e}},	//   _chak_, _идея, _dhèk, sítv, 
   {{0x2d823387,0xd9e30086,0x2249011c,0x28c73024}},	//   _reke_, _মতাম, _dhak_, लिटि, 
   {{0x35a7000f,0x2d823388,0xe2993389,0x505911e7}},	//   _गाड़, _seke_, _жак_, ешся_, 
   {{0x2d82338a,0xb05b0219,0x8e8300b3,0x0eb9134f}},	//   _peke_, tvär, игре, нуты_, 
   {{0x25bf338b,0xf1bf00eb,0xcdc5004e,0x395f00a1}},	//   neul_, ceá_, ласқ, _ngus_, 
   {{0xb05b014e,0x25b201f0,0x2d8200fc,0xd24f0038}},	// [25c0] rvär, _öyle_, _veke_, _بني_, 
   {{0x395f338c,0x2d82338d,0x0e66338e,0xb05b338f}},	//   _agus_, _weke_, _икон, svär, 
   {{0x395f0ab1,0x76aa0095,0x387f12e6,0xb05b0219}},	//   _bgus_, _təyi, _awur_, pvär, 
   {{0x20183390,0xb33c0405,0x75f50098,0x60d63391}},	//   liri_, ngħa, _zázv, _krym, 
   {{0x186715f5,0x25bf3392,0xf1aa109f,0x8b660411}},	//   вачи_, deul_, _कानन, _لازم, 
   {{0xe9ff0029,0xf1e40262,0x6d462b25,0x20183393}},	//   _phản_, गाड़_, _izka, niri_, 
   {{0x1ae31e13,0xcac731a4,0x2ca00d2d,0x25bf020f}},	//   _корм, _игре_, luid_, feul_, 
   {{0x20183394,0x7c3e1af5,0x25bf3395,0xbddb0118}},	//   hiri_, llpr, geul_, _chèh, 
   {{0x20183396,0x69d3026e,0xb60607c7,0x2ca03397}},	//   kiri_, ádež, vešć, nuid_, 
   {{0x20183398,0x9f5a00f6,0xe9ff0023,0x00000000}},	//   jiri_, _alpí_, _thản_, --, 
   {{0x25bf3399,0x60d60054,0x2bf7027a,0x2ca0339a}},	//   beul_, _arym, דמין_, huid_, 
   {{0x7a380b85,0xdb15014b,0x2ca0007e,0x25bf00b3}},	//   pítu, _nazý, kuid_, ceul_, 
   {{0x2018339b,0x6602339c,0x3eba339d,0xf1bf007a}},	//   firi_, _ilok, _appt_, reá_, 
   {{0xdb1702a0,0x66020194,0x3eba02a2,0x59c9049f}},	//   nexã, _hlok, _bppt_, _रसभर, 
   {{0x6602339e,0xbe88339f,0x6d460a9f,0x0d670093}},	//   _klok, ксте_, _azka, възм, 
   {{0x443e33a0,0xa91d334f,0x60d600e5,0xd35700a7}},	//   llt_, _leža, _frym, _בשוק_, 
   {{0x201833a1,0x60d61123,0x32190180,0xebd933a2}},	// [25d0] biri_, _grym, misy_, ндаш_, 
   {{0x321933a3,0x201833a4,0x25bf00d9,0x6b7400f6}},	//   lisy_, ciri_, zeul_, илуу, 
   {{0x443e33a5,0x999908ad,0xfb152f23,0xf1aa0a09}},	//   ilt_, екет_, دواج, _कामन, 
   {{0x443e02f2,0x321933a6,0x7c3e08a3,0x0a94017b}},	//   hlt_, nisy_, alpr, рацю, 
   {{0x69342408,0xa91d33a7,0xdb1c078a,0x0c840235}},	//   анцу, _beža, _karû, _высм, 
   {{0x660233a8,0x7e6502a2,0x16a933a9,0x3eba0096}},	//   _alok, _kuhp, евки_, _yppt_, 
   {{0x7a38006b,0x2be00d1d,0x25bf33aa,0xc98700d9}},	//   gíts, नारा, teul_, _аузи, 
   {{0x201833ab,0xe51400bd,0x154533ac,0xdb1e33ad}},	//   ziri_, _तेहि_, лейм, depè, 
   {{0x629a33ae,0x89370740,0x644a00eb,0x17c70cdf}},	//   erto, _شعرا, _bhfi, _аҳли_, 
   {{0x6602030f,0x3fce0086,0x25bf00b3,0xede00e49}},	//   _elok, _রক্ষ, seul_, _पच्छ, 
   {{0x660233af,0x7a382ef3,0x201833b0,0xb33c003d}},	//   _flok, mítr, viri_, tgħa, 
   {{0x2018030b,0x443e33b1,0x75242331,0x673c00fc}},	//   wiri_, alt_, _žize, _ørja, 
   {{0x25e006ea,0x201833b2,0x657b0db6,0x629a039b}},	//   कारी_, tiri_, mbuh, arto, 
   {{0x5ebb00cc,0x6fde00ab,0x049200eb,0xf1dd031e}},	//   _উপজে, माइं, _الوح, याउन, 
   {{0x201833b3,0x657b090b,0x44270065,0x539a00d1}},	//   riri_, obuh, _ijn_, _טיסו, 
   {{0x201833b4,0x657b012b,0x60d633b5,0x61fd33b6}},	//   siri_, nbuh, _trym, cksl, 
   {{0x271f07cc,0x248d33b7,0xfce319e4,0x9c2633b8}},	// [25e0] यपुर_, nsem_, бото, гдад, 
   {{0xdb150183,0x2018024a,0x6d460356,0xb05b0380}},	//   _nazó, qiri_, _vzka, nwäl, 
   {{0xa91d2cb7,0x657b06e4,0x9eaa2965,0xda650038}},	//   _reža, kbuh, _явна_, لاني, 
   {{0x3f8a33b9,0x533600c7,0x248d33ba,0x6e9b00d1}},	//   labu_, אנען_, ksem_, _אבטח, 
   {{0x443e33bb,0x81ce0086,0x461400d4,0xddc40035}},	//   ylt_, রাপ_, یوتر, rmiń, 
   {{0x67d433bc,0x660233bd,0x3f8a025b,0xbcfb02be}},	//   року, _slok, nabu_, _efés, 
   {{0x660233be,0x25e000c6,0x7bce0102,0xfc0333bf}},	//   _plok, काली_, _iabu, _упро, 
   {{0x442700ef,0x7bce33c0,0x3f8a33c1,0x629a0228}},	//   _ajn_, _habu, habu_, vrto, 
   {{0xa91d27e8,0x7a3833c2,0x248d010e,0x32191ca8}},	//   _teža, síts, gsem_, visy_, 
   {{0x443e33c3,0x78a233c4,0x4394122f,0x3f8a0548}},	//   ult_, muov, јанс, jabu_, 
   {{0x7bce33c5,0x321933c6,0x81ce0033,0xdb150054}},	//   _mabu, tisy_, রান_, _hazò, 
   {{0x7bce33c7,0xd7e2009a,0x25e0009a,0x4427008a}},	//   _labu, पावच, काळी_, _ejn_, 
   {{0x78a201d8,0x61fd33c8,0x321901a7,0x44f7021b}},	//   nuov, rksl, risy_, _مروج_, 
   {{0x7bce33c9,0xbcfb0183,0x629a0352,0x32190180}},	//   _nabu, _ofér, prto, sisy_, 
   {{0x32191763,0xa91d33ca,0x78a212af,0x6562084c}},	//   pisy_, _nežn, huov, _kgoh, 
   {{0x7bce06e4,0x2bc700a5,0x78a233cb,0x51870197}},	//   _aabu, रजभा, kuov, _сука, 
   {{0x3f8a086d,0x7bce33cc,0x69c2155b,0xdb0502ae}},	// [25f0] babu_, _babu, deoe, nehö, 
   {{0x5d54062a,0x26e402fc,0xa91d0187,0x3f15017b}},	//   скут, _कपूर_, _bežn, _вдос, 
   {{0xdb1533cd,0x5e470038,0x7bce0caf,0x656200a3}},	//   _razó, _مضحك, _dabu, _ogoh, 
   {{0xdb15001d,0x248d33ce,0xa91d0352,0x656233cf}},	//   _sazó, ysem_, _dežn, _ngoh, 
   {{0xa3d4059e,0x225902d9,0x00000000,0x00000000}},	//   हया_, írky_, --, --, 
   {{0xb8cd0b3e,0x248d008b,0x969533d0,0xa6951b11}},	//   _कम_, vsem_, ариш, ариј, 
   {{0x69c2123b,0x00000000,0x00000000,0x00000000}},	//   beoe, --, --, --, 
   {{0x7bce33d1,0x6b870ab4,0x5b140650,0x78a21102}},	//   _zabu, _hejg, _умст, buov, 
   {{0x81ce100b,0xccf20137,0xdb0501c4,0x7bce2834}},	//   রাম_, ַכט_, gehö, _yabu, 
   {{0x3ea300e5,0x248d33d2,0x00000000,0x00000000}},	//   kujt_, rsem_, --, --, 
   {{0x248d33d3,0x232933d4,0xfbcf0086,0x422633d5}},	//   ssem_, тони_, রাপত, идов, 
   {{0xdb0533d6,0xc049035c,0x3f8a0937,0xc10600eb}},	//   behö, _חז_, wabu_, لوجي, 
   {{0x3f8a33d7,0x7d0d0a1a,0xa91d0243,0x00000000}},	//   tabu_, jzas, _mežo, --, 
   {{0x2bd504d7,0x7d0d27b0,0x2480078a,0x661b012d}},	//   _डोला, dzas, _çima_, liuk, 
   {{0x539a00a7,0x3f8a33d8,0x7bce33d9,0xa22500d4}},	//   _סיקו, rabu_, _rabu, _گروه, 
   {{0x7bce33da,0x3f8a0053,0x75f5014b,0xa91d33db}},	//   _sabu, sabu_, _zázr, _režn, 
   {{0xed5a00ce,0x91e407f9,0x3b862756,0x6b87003d}},	// [2600] тоа_, _воқе, илаг, _bejg, 
   {{0x7bce00cf,0x4f9633dc,0x2d9c0218,0x644133dd}},	//   _qabu, _триу, şve_, nlli, 
   {{0x4aaa33de,0xbf9b0111,0x644133df,0x661b33e0}},	//   ткен_, _בייש, illi, kiuk, 
   {{0x7bce33e1,0xbcfb0019,0xe8fa33e2,0x66090a9d}},	//   _wabu, _igén, кле_, jhek, 
   {{0x7fe90f94,0xe7e21951,0x7d0d0083,0x660900d7}},	//   _شریف_, पालप, czas, dhek, 
   {{0xdb170068,0x4813004f,0x9b891372,0x69c201cf}},	//   sexá, оміс, _مخفف_, seoe, 
   {{0x36871b17,0xe5c633e3,0x290033e4,0xddc400e0}},	//   асын_, аспо, šia_, rmiņ, 
   {{0xa01b33e5,0x64410088,0x8881006b,0x75fc010e}},	//   nsör, elli, _کیون, _kézi, 
   {{0x07a633e6,0x186a004f,0x75fc0118,0x37e60ca4}},	//   _вазн, _рази_, _jézi, _коаг, 
   {{0xe9ff00f7,0xf36633e7,0x690803c0,0x6441012b}},	//   _phần_, штин, ırdı, glli, 
   {{0x7bd900c7,0x326600ff,0xbcfb33e8,0x533433e9}},	//   אַרק, јтов, _ngén, сент, 
   {{0x9f5800eb,0x660933ea,0x644133eb,0xd5b011b7}},	//   bhrú_, chek, alli, _رفت_, 
   {{0x600202aa,0xbcfb10fd,0xba57027a,0xa3d402be}},	//   _cômo, _agén, יסטו_, _голч, 
   {{0xe9ff0029,0x2005008c,0x3317009c,0xfe7309ed}},	//   _thần_, óli_, ازید_, قدر_, 
   {{0x2286198b,0x543900c7,0x798b33ec,0x22940195}},	//   _тулг, _געװא, yagw, _البس, 
   {{0x443c00ca,0x2cb20326,0x683f010c,0x75fc0212}},	//   _hkv_, ftyd_, rêdi, _bézi, 
   {{0x6b87024a,0x7c8733ed,0xacf82540,0x2cb20ff2}},	// [2610] _pejg, рубе, анту_, gtyd_, 
   {{0x60cd33ee,0x81ce0086,0x3ea30034,0x798b28ee}},	//   _isam, রাণ_, pujt_, wagw, 
   {{0xa91d0082,0x5975223e,0xdce70585,0xf09f03dd}},	//   _pežo, былу, ılıd, lrà_, 
   {{0xa2d72488,0x60cd33ef,0xdb050574,0x00000000}},	//   यित्, _ksam, nghé, --, 
   {{0x98c733f0,0xe9ff001b,0x26cc0183,0x644133f1}},	//   рсел, _nhấn_, _asdo_, ylli, 
   {{0x60cd06f2,0x8d5a00d1,0xa7a900d3,0x798b33f2}},	//   _msam, _תכשי, укка_, sagw, 
   {{0x660933f3,0xa91d015e,0xfeca0070,0x661b33f4}},	//   thek, _težo, ָמפּ, tiuk, 
   {{0xc48533f5,0x5bc70ede,0x60cd33f6,0x9f580038}},	//   блик, _रघुव, _osam, thrú_, 
   {{0x999f026e,0xe9ff00e7,0x661b02f3,0x644133f7}},	//   _chuť_, _chấn_, riuk, tlli, 
   {{0x75f50d5f,0xf09f23a9,0x660933f8,0xf7700038}},	//   _vázq, drà_, shek, _قام_, 
   {{0xd7f82cd7,0x60cd33f9,0x660933fa,0x7c22026a}},	//   _тут_, _asam, phek, éori, 
   {{0x60cd0065,0x7bc5024a,0xe1f80200,0x644133fb}},	//   _bsam, hehu, рҳи_, slli, 
   {{0x7bc533fc,0x798912b6,0x60cd33fd,0xf09f00f6}},	//   kehu, _meew, _csam, grà_, 
   {{0x438500eb,0x183500c7,0x7989052b,0x81ce0086}},	//   _الثق, מאָל_, _leew, রাধ_, 
   {{0x60cd33fe,0xf09f022c,0x249f16fa,0x7bc501e8}},	//   _esam, arà_, lrum_, dehu, 
   {{0x4d6633ff,0x249f3400,0xf09f022c,0x629c0243}},	//   скав, orum_, brà_, šroc, 
   {{0x61e43401,0x1b150086,0x4d4a02a6,0xa01b0219}},	// [2620] _inil, _তুলে_, упан_, rsör, 
   {{0xf1bf00eb,0x7bc53402,0x2cb20876,0xa01b02ae}},	//   nnán_, gehu, rtyd_, ssör, 
   {{0x249f3403,0x61e407fc,0x201a0096,0x34c4072e}},	//   hrum_, _knil, _impi_, _वन्द, 
   {{0x61f600cf,0xbddb00d4,0x994a0038,0x26cc0415}},	//   _joyl, _dhès, هلال_, _rsdo_, 
   {{0x2d803404,0x98a30e06,0x249f3405,0x60cd3406}},	//   mbie_, зиче, jrum_, _xsam, 
   {{0x249f3407,0xdb1e32ce,0x2bb700bc,0x7bc53408}},	//   drum_, lepí, _věcí_, cehu, 
   {{0xfaa33409,0x66740116,0x05240033,0xdb0e0080}},	//   _наро, زگار, _পরের_, äjän, 
   {{0xe5c632f8,0x2be015c8,0xe9ff00e7,0x61e40415}},	//   сско, नाका, _phấn_, _nnil, 
   {{0x8cdb017d,0x2a6a0065,0xb906340a,0x201a0126}},	//   नियो, _hubb_, _узак, _ompi_, 
   {{0xf09f0093,0x2ca0340b,0x64a601a2,0x7989340c}},	//   vrà_, irid_, _ҳада, _zeew, 
   {{0x61f616a3,0x60cd052b,0x798901a3,0x00000000}},	//   _boyl, _ssam, _yeew, --, 
   {{0x64a6340d,0xf09f340e,0x201a01d8,0x02a800a5}},	//   _гада, trà_, _ampi_, _कमीन, 
   {{0x41aa340f,0x33940009,0x2ca00065,0x44fa17bc}},	//   _कारस, _далё, jrid_, _حراج_, 
   {{0x3e6e000d,0xf09f3410,0x6e3d0065,0x61e40156}},	//   _být_, rrà_, _sksb, _enil, 
   {{0xa3d5031e,0x7bc500fb,0xa3c53411,0x32b7007a}},	//   ाएर_, vehu, उजर_, _هدية_, 
   {{0x60cd0194,0xf09f01d8,0xa91d0352,0x201a02a5}},	//   _tsam, prà_, _dežj, _empi_, 
   {{0x32090a49,0x7bc53412,0x00000000,0x00000000}},	// [2630] _ilay_, tehu, --, --, 
   {{0x7b673413,0xbddb2195,0x79893414,0xdcfd0028}},	//   стае, _chèr, _seew, _nesą, 
   {{0x2ca0007e,0xb9950fd0,0xbddb01e5,0x998c00ca}},	//   arid_, قلاب, _dhèr, _šoša_, 
   {{0x80cc0086,0xdb1c003e,0x7bc50657,0x249f3415}},	//   ামর্, _farþ, sehu, yrum_, 
   {{0xb05b0228,0x320906c2,0x7bc53416,0x75fc010e}},	//   dväz, _mlay_, pehu, _jézu, 
   {{0x249f3417,0xbddb0107,0x86993418,0x4cba0070}},	//   vrum_, _thès, атит_, _דזשו, 
   {{0x41aa0f7a,0x2d8b02a2,0x32093419,0x59d4059e}},	//   _कालस, _kece_, _olay_, _ठोकर, 
   {{0xf1d9000f,0xb05b01c4,0x32ee00ad,0xa91d1a01}},	//   _बोलन, swäh, cəyi_, _ježk, 
   {{0xdb1e00d9,0xc7ab009c,0x24091a57,0x00000000}},	//   cepâ, _مدال_, инии_, --, 
   {{0x3209341a,0x61e4341b,0x249f341c,0x2d8b0304}},	//   _alay_, _snil, rrum_, _lece_, 
   {{0xf1bf341d,0x249f341e,0x320900f6,0x81ce0033}},	//   rnán_, srum_, _blay_, রাস_, 
   {{0x2d8b090b,0xcad600a7,0x201a0640,0xa91d0604}},	//   _nece_, קורת_, _smpi_, _nežk, 
   {{0xa06a341f,0x628e010e,0x05743420,0xb5c800d7}},	//   рага_, ábor, _راند, _دونم_, 
   {{0xee3f0228,0x3a2d0372,0x00000000,0x00000000}},	//   _aký_, _ljep_, --, --, 
   {{0x32090118,0x0f040299,0x2486039b,0x9e053421}},	//   _flay_, रनेस_, _zwom_, रसंघ_, 
   {{0x3d1505d2,0x2d8b3422,0x2bac00bc,0x00000000}},	//   _नइखे_, _cece_, _चाहा, --, 
   {{0x2d8b02a6,0xbddb026a,0xee3708ab,0xdb1e069a}},	// [2640] _dece_, _chèq, іну_, repí, 
   {{0xeb9a3423,0xa91d0352,0x41aa0586,0x2ca0059e}},	//   риж_, _težj, _काँस, rrid_, 
   {{0x2d8b00fd,0xf1bf010e,0x6ac608cb,0x298a0398}},	//   _fece_, knál_, تقام, асло_, 
   {{0xa3d5006a,0x3a3f04e4,0xfce63424,0x2d8b05b7}},	//   ाएँ_, _ckup_, _домо, _gece_, 
   {{0x3a2d021e,0x00000000,0x00000000,0x00000000}},	//   _djep_, --, --, --, 
   {{0x2d8b00d9,0x7aea02ae,0xec341c03,0xdb1e02be}},	//   _zece_, äfts, _روزگ, repâ, 
   {{0x491a000d,0x6fad000f,0xdb1c00e5,0x02a808b4}},	//   _मेरो_, _जासू, _mbrë, _कमेन, 
   {{0x16370084,0x7ae1006b,0xd5b72bdc,0xf1bf2e9b}},	//   يسية_, _álta, ось_, gnál_, 
   {{0xa3d5006a,0x79820621,0x6fca00a2,0x69dd001d}},	//   ाएं_, mbow, ाजां, _ósea, 
   {{0x22400019,0x25da01a4,0x78a22fb3,0x96ba0afc}},	//   _akik_, _खोरी_, mrov, _вуду_, 
   {{0x32093425,0xe73a004f,0x2a64025b,0x48f400bc}},	//   _play_, _теж_, _kimb_, ्नको_, 
   {{0x6010022b,0x80ac0d53,0x78a2014b,0x00000000}},	//   _jämf, _जमशे, orov, --, 
   {{0xd2580904,0x2d8b3426,0xf99307e4,0xddcd0083}},	//   юць_, _rece_, ורר_, ymał, 
   {{0xb4d60e17,0x2d8b0082,0x600b00b0,0x78a20028}},	//   ाटी_, _sece_, _sümb, irov, 
   {{0x28d1000c,0x65790107,0x2d8b00da,0xed8b02a6}},	//   _दैनि, _éché, _pece_, исак_, 
   {{0xdb1c02f2,0xb5fc008a,0x5c753427,0x1277007a}},	//   _darü, _buġi, злат, _بحوث_, 
   {{0x2d8b04d1,0x31690019,0x78a20bfc,0x69c6003e}},	// [2650] _vece_, _igaz_, jrov, _ókey, 
   {{0xdb1c3428,0x26de3429,0x9f58008c,0x5fb2009a}},	//   _naró, _orto_, skrá_, _जायल, 
   {{0x3f9104d3,0xa91d02ee,0x81ce0086,0x78a2342a}},	//   mazu_, _težk, রার_, erov, 
   {{0x3f910062,0x2a64342b,0xdb1c0369,0x78a200da}},	//   lazu_, _cimb_, _aaró, frov, 
   {{0x78a2026e,0xdb1c2a16,0xdb150165,0x26de342c}},	//   grov, _baró, _razõ, _arto_, 
   {{0xf7710523,0xdb1c03da,0xa3da190a,0x3f91053d}},	//   رات_, _caró, _ढोल_, nazu_, 
   {{0x78a20180,0x1ab41d3c,0x3a2d0175,0x7bd5020f}},	//   arov, _обря, _tjep_, _iazu, 
   {{0xc4850e51,0xa91d342d,0xdce40035,0x7bd5342e}},	//   плик, _leži, ecię, _hazu, 
   {{0x629c0496,0x442e0082,0xf1bf342f,0xdb1c3430}},	//   áron, _bjf_, rnál_, _abrè, 
   {{0xa91d3431,0xf1bf010e,0x22403432,0x4374004f}},	//   _neži, snál_, _skik_, муют, 
   {{0x7bd53433,0x09be0033,0x3f9101ca,0xf770009c}},	//   _mazu, _ইফতা, dazu_, _شال_, 
   {{0xdb1c0035,0x06c30086,0x386d3434,0xad9b3435}},	//   _zaró, ্মদি, _kuer_, _flúi, 
   {{0xa91d239a,0xad9b0038,0x799b3436,0x0ef602e6}},	//   _beži, _glúi, _mduw, ीन्स_, 
   {{0x60020379,0x316900b4,0xdb1c05d5,0x25ad00bd}},	//   _kômi, _egaz_, _marò, lgel_, 
   {{0xdee33437,0x6d4f0369,0x6e2f0175,0x25ad00f8}},	//   нори, _azca, _bjcb, ogel_, 
   {{0x799b00c5,0x386d018c,0x75fc011c,0xe9ff0108}},	//   _nduw, _ouer_, _hézr, _thẹn_, 
   {{0x7bd53438,0xed573439,0x602600b3,0x00000000}},	// [2660] _bazu, зот_, _ндиа, --, 
   {{0x7bd50012,0x2a640640,0x799b343a,0x60c4016c}},	//   _cazu, _simb_, _aduw, _ipim, 
   {{0xf1bf014b,0x386d343b,0x7bd50380,0xd9100535}},	//   znám_, _auer_, _dazu, چیز_, 
   {{0x38c80116,0x25ad0082,0xdb1c343c,0x6abb090e}},	//   قاتی_, jgel_, _barò, _ćuft, 
   {{0x2d92343d,0xdb1c343e,0xdce40035,0x386d24f6}},	//   maye_, _paró, ycię, _cuer_, 
   {{0x2d92343f,0x25ad3440,0x0ee0058c,0x386d0d09}},	//   laye_, egel_, _पछाड, _duer_, 
   {{0xdb1c0634,0x2a640065,0xb05b0219,0x386d0380}},	//   _varó, _timb_, rväx, _euer_, 
   {{0x78a23250,0x25ad3441,0x2d923442,0x386d0380}},	//   prov, ggel_, naye_, _fuer_, 
   {{0x7bd53443,0xb4d60f8e,0xb05b0219,0x7e663444}},	//   _yazu, ाटे_, pväx, _mikp, 
   {{0x2d920199,0x6d4600e2,0xd77600eb,0x6b8e0372}},	//   haye_, _myka, _رائع, _jebg, 
   {{0x600b06d0,0x60c43445,0x26de3446,0x2d923447}},	//   _nüma, _apim, _urto_, kaye_, 
   {{0xb05b02eb,0xa91d0144,0x00000000,0x00000000}},	//   hwät, _seži, --, --, 
   {{0x2d923448,0x463b0070,0x6d4606cd,0x3f913449}},	//   daye_, _פעדע, _nyka, tazu_, 
   {{0x545300dd,0x644f344a,0x7c3e0096,0x68e0040c}},	//   _звіт, ïcit, jopr, _mrmd, 
   {{0x645a010d,0x69c00187,0x3f91072b,0xa91d344b}},	//   mmti, _obme, razu_, _veži, 
   {{0x443e344c,0x2d92024d,0x7e660065,0x6d460876}},	//   lot_, gaye_, _cikp, _byka, 
   {{0x42380a33,0xa91d02f5,0x7bd5344d,0x443e344e}},	// [2670] _מנהל_, _teži, _pazu, oot_, 
   {{0x443e344f,0xf0920a33,0x442c3450,0x69c00380}},	//   not_, _שני_, nnd_, _abme, 
   {{0x2d923451,0x7bd5002e,0x386d011c,0xbb450148}},	//   baye_, _vazu, _suer_, ффақ, 
   {{0xa2a40586,0x7bd523d0,0x2d9202b8,0xdb1c3452}},	//   _किन्, _wazu, caye_, _parò, 
   {{0xddc40e7b,0x386d03b7,0x89370084,0xa3ac00a2}},	//   lmiş, _quer_, أعضا, गला_, 
   {{0xd3660084,0x443e002a,0x7c3e01d8,0xf74504e9}},	//   _له_, jot_, copr, мело, 
   {{0x443e3453,0x6e2d3454,0xddc405b7,0x69dd001d}},	//   dot_, onab, nmiş, _óseo, 
   {{0x6e2d0298,0x442c3455,0x64481b26,0x386d0107}},	//   nnab, end_, eldi, _tuer_, 
   {{0x69cb3456,0x62980093,0x443e3457,0x442c008c}},	//   mege, _avvo, fot_, fnd_, 
   {{0x443e3458,0x69d93459,0x69cb345a,0x25ad00ca}},	//   got_, ldwe, lege, sgel_, 
   {{0x81d70086,0xdb1c008c,0x2d92345b,0xd1ca00c8}},	//   সান_, _jarð, yaye_, олне_, 
   {{0x69cb345c,0x64480a9f,0x442c345d,0x7ae300c8}},	//   nege, aldi, and_, änty, 
   {{0x200402a0,0x5155345e,0x2d9205d5,0x6e2d0156}},	//   êmio_, етру, vaye_, dnab, 
   {{0x2d92345f,0x81ce0086,0x44213460,0x7e66023e}},	//   waye_, রাই_, _öh_, _sikp, 
   {{0x7c3e0d26,0x7f430088,0x2d923461,0x69cb3462}},	//   vopr, верж, taye_, kege, 
   {{0x6e2d3463,0x76493464,0x69cb3465,0x6b8e00c3}},	//   gnab, nley, jege, _sebg, 
   {{0x7c3e3466,0x2d923467,0x69cb3468,0x60c43469}},	// [2680] topr, raye_, dege, _upim, 
   {{0xa91d0082,0x2d92346a,0x6d46014b,0xdca3346b}},	//   _ježu, saye_, _vyka, тафи, 
   {{0x7649346c,0x62810237,0x600b007e,0x6d460035}},	//   kley, nplo, _kümn, _wyka, 
   {{0x69cb346d,0x6b8e0a9f,0x443e346e,0x3a990504}},	//   gege, _webg, zot_, ятую_, 
   {{0x443e00cf,0x64480c43,0x442c008c,0x2fc100e2}},	//   yot_, yldi, ynd_, _ybhg_, 
   {{0x6e24346f,0x443e3470,0x656b02a3,0x93bc020f}},	//   liib, xot_, _aggh, lnăv, 
   {{0x443e00d8,0xdb1c008c,0x6b633471,0x7d043472}},	//   vot_, _garð, _акра, lyis, 
   {{0xd49a0de6,0xceb30056,0x442c3473,0x35b400a3}},	//   оро_, דיה_, wnd_, хбир, 
   {{0x7d040298,0x64a302a0,0x442c0231,0x26c501a4}},	//   nyis, вања, tnd_, _eplo_, 
   {{0x442c0056,0x9f5a0034,0xb05b0502,0x765b02a5}},	//   und_, _copë_, hwär, amuy, 
   {{0x443e3474,0x442c3475,0x76493476,0x6e243477}},	//   rot_, rnd_, bley, kiib, 
   {{0x20ca047c,0x7d040088,0x84ea070f,0xdb053478}},	//   िबंध, kyis, _وفاق_, nghá, 
   {{0x6e243479,0xdb1e1ece,0x628108b0,0x92be0033}},	//   diib, lepä, aplo, ঁটে_, 
   {{0xa294347a,0xdb1e0165,0x443e02f1,0xddc4008f}},	//   _закі, cepç, qot_, tmiş, 
   {{0x69cb347b,0x81d70033,0xb05b0502,0x15f203a2}},	//   yege, সাব_, fwär, _आचार_, 
   {{0xddc40092,0xc33300a7,0x7640347c,0x600b00b0}},	//   rmiş, _שוק_, nomy, _gümn, 
   {{0x69cb347d,0xd904347e,0xde6400fd,0xdc5505b2}},	// [2690] vege, _ئی_, търп, евањ, 
   {{0x69cb347f,0x9f89003e,0x76490213,0xeb4b0080}},	//   wege, _góðu_, zley, очек_, 
   {{0x69cb3480,0x76403481,0x764901f0,0x6e24052b}},	//   tege, komy, yley, biib, 
   {{0xdb1c008c,0x764000ab,0xd9f924d2,0xdddd0083}},	//   _varð, jomy, янец_, _wisł, 
   {{0xf1c100bd,0x69d9000b,0x7d1600ab,0x5d7a0070}},	//   ष्यन, rdwe, czys, _מארק, 
   {{0x78ab0b1f,0x3e750611,0x9f5a0237,0x00000000}},	//   rugv, _kåt_, _bopè_, --, 
   {{0x76493482,0x69cb29a4,0x00000000,0x00000000}},	//   tley, pege, --, --, 
   {{0xb8d500cc,0x6ec200a5,0x53d700b0,0xad9b3483}},	//   _জন_, _लहसु, _भोजश, _glút, 
   {{0x3e753484,0x76493485,0xe7e0075a,0xf1bf007a}},	//   _låt_, rley, _गोवा_, dfá_, 
   {{0x37072669,0x76493486,0x62813487,0xa93400d9}},	//   _очев, sley, tplo, _реуш, 
   {{0x3e75014e,0x76491041,0xc7d600d1,0x53a50176}},	//   _nåt_, pley, _רועי_, _ҷалб, 
   {{0x62813488,0x7640011c,0x7d160083,0x10a601ff}},	//   rplo, comy, yzys, нимн, 
   {{0x53a5058e,0xdee300a3,0x70ca00bc,0x00000000}},	//   _залб, қоти, िबेल, --, 
   {{0x66091923,0x3e750f5b,0x25bf23bd,0x62811074}},	//   lkek, _båt_, lful_, pplo, 
   {{0x20c3005e,0x64413489,0x6e240298,0x84640093}},	//   _ұйым, moli, tiib, _ръце, 
   {{0x7d04030f,0xee3a00dd,0x6441348a,0xa2a40425}},	//   tyis, їна_, loli, _कित्, 
   {{0xdca3348b,0x44251600,0xa3b6000d,0x25bf0870}},	// [26a0] лати, oil_, ङ्क_, iful_, 
   {{0x7d160da6,0x4425348c,0x6e24348d,0x41c1031e}},	//   rzys, nil_, siib, ष्ठस, 
   {{0xa3b702f8,0x387f348e,0xad9b348f,0x93bc00b3}},	//   _छान_, _atur_, _clús, mnăt, 
   {{0x4425148f,0x387f0175,0x13d80033,0x81ce0033}},	//   hil_, _btur_, তায়, রাক_, 
   {{0x44253490,0x64413491,0x25bf017c,0x7640016c}},	//   kil_, koli, dful_, vomy, 
   {{0x4425079e,0x64413492,0xf09300d1,0x6609177f}},	//   jil_, joli, ננו_, ekek, 
   {{0x64413493,0x0cd01516,0xa3b30366,0x45d4021d}},	//   doli, _हनुम, टलन_, войс, 
   {{0xe7e007d5,0xdb1e00b0,0x44253494,0x9f5a0212}},	//   _गोरा_, repä, eil_, _copé_, 
   {{0x64413495,0xddde00e0,0xf8d412e3,0xdb1e14c0}},	//   foli, _atpū, _धनिय, sepä, 
   {{0x644102bf,0x600b0092,0x76400458,0xdcef01dd}},	//   goli, _cüml, somy, _secī, 
   {{0xa3b6031e,0xdb1c3496,0x03c3004e,0x46a60ab5}},	//   ङ्ग_, _obrí, усым, _чаев, 
   {{0x44250a92,0x66093497,0xad9b00b9,0x3e750566}},	//   ail_, ckek, _llúr, _råt_, 
   {{0xf2c3005e,0xc05b00dd,0x2906095a,0xf1bf007a}},	//   _ұсын, зів_, nyoa_, rfá_, 
   {{0x44253498,0x20d60ca5,0x64413499,0xdb1c26ca}},	//   cil_, džić_, coli, _abrí, 
   {{0x9f34005e,0x80c40086,0xdd95012d,0x28e2349a}},	//   гері, শিষ্, кавы, पिडि, 
   {{0xe7e700a5,0x3e750bff,0x629a349b,0x00000000}},	//   _टोना_, _våt_, msto, --, 
   {{0x61ed349c,0x629a1c60,0xd2f80019,0x9055349d}},	// [26b0] _inal, lsto, _رکھا_, _ивиц, 
   {{0x600b349e,0x61ff0104,0x61ed349f,0x629a26ad}},	//   _kümm, _hoql, _hnal, osto, 
   {{0xd0110105,0x61ed34a0,0xe9d90035,0x76aa00ad}},	//   _ملک_, _knal, _paź_, _təyy, 
   {{0xdbd71066,0x629a34a1,0x7c2500ef,0xe80934a2}},	//   _sääs, isto, sihr, वस्थ_, 
   {{0xdbd706d6,0x442534a3,0xfd9602a1,0x644134a4}},	//   _pääs, yil_, _בדרך_, yoli, 
   {{0x442506d0,0x2ca934a5,0x644134a6,0xb6a534a7}},	//   xil_, mrad_, xoli, викл, 
   {{0x629a00f1,0x25bf34a8,0x442534a9,0x61ed00a3}},	//   jsto, tful_, vil_, _onal, 
   {{0x442534aa,0x78a4003a,0x2d8900f4,0x644134ab}},	//   wil_, šiva, nbae_, woli, 
   {{0x644134ac,0x629a0187,0x6fb200ab,0x25bf34ad}},	//   toli, esto, _जालं, rful_, 
   {{0x61ed34ae,0x69db02ba,0x629a34af,0x2b9c031e}},	//   _anal, _haue, fsto, mácí_, 
   {{0x15b91088,0x442534b0,0x629a34b1,0x2ca9014b}},	//   _жылы_, ril_, gsto, hrad_, 
   {{0x442534b2,0x412a004f,0xdb170068,0xe5e5009c}},	//   sil_, домо_, lexó, _جزئی, 
   {{0x442534b3,0x66060019,0x224234b4,0x69db0380}},	//   pil_, ökke, rokk_, _maue, 
   {{0x7fd5004e,0x64a20f5a,0x442534b5,0x2ca934b6}},	//   лісі, _таша, qil_, drad_, 
   {{0xa06734b7,0x629a34b8,0x7db634b9,0x539a00d1}},	//   тара_, csto, ксац, _חיצו, 
   {{0x645801ee,0xf1bf033c,0x657b00e2,0x69db087d}},	//   _zhvi, lián_, ncuh, _naue, 
   {{0x2ca9265d,0xdc6a058e,0xdd8f0740,0x38bb010c}},	// [26c0] grad_, даад_, زول_, jêr_, 
   {{0x61ed34ba,0x628607c7,0x81ce0033,0x38bb010c}},	//   _znal, ćkov, রাও_, dêr_, 
   {{0x69db01c4,0x61ff01ff,0x93bc020f,0xbf9b2737}},	//   _baue, _yoql, onăr, _קיטש, 
   {{0x3ced015e,0x69db3216,0x2ca900b0,0x38bb03c6}},	//   _ševe_, _caue, brad_, fêr_, 
   {{0x69db25e6,0xa96734bb,0xd7fa00b3,0x629a34bc}},	//   _daue, вица_, дуй_, zsto, 
   {{0xbcfb006b,0x25da1687,0x629a34bd,0xdb210032}},	//   _egés, _खोजी_, ysto, štát, 
   {{0x48ee006a,0x59dd34be,0x5b3500b3,0xf1bf0098}},	//   _आपको_, _नोकर, _бэту, onát_, 
   {{0x7bdc34bf,0xe5c634c0,0x3f9834c1,0x765934c2}},	//   _haru, тско, haru_, _chwy, 
   {{0x260334c3,0x7bdc34c4,0x629a34c5,0x3f9834c6}},	//   _años_, _karu, wsto, karu_, 
   {{0x7bdc0096,0x629a34c7,0x7bde000b,0x61ed0704}},	//   _jaru, tsto, ndpu, _snal, 
   {{0x7bdc34c8,0x81dc0086,0x629a34c9,0xa19534ca}},	//   _maru, ঠান_, usto, ланч, 
   {{0x7bdc34cb,0x3f9334cc,0xa526227f,0xe8df0108}},	//   _laru, _sexu_, _имед, _uyển_, 
   {{0xf1bf070b,0x629a34cd,0x68e202fe,0x3f9834ce}},	//   bián_, ssto, nvod, faru_, 
   {{0x629a050f,0xf1bf0183,0xb4be03ce,0x7bde02ae}},	//   psto, cián_, ँझी_, jdpu, 
   {{0x5f9434cf,0x81ce0033,0xbcfb0a13,0x260301d6}},	//   рист, রাজ_, _ngér, _iñor_, 
   {{0x61ed34d0,0x7bdc34d1,0x2ca902e5,0xdb050f96}},	//   _unal, _aaru, trad_, nghå, 
   {{0x7bdc34d2,0x68e2265d,0x5d550665,0xe3900023}},	// [26d0] _baru, jvod, укат, _điề, 
   {{0x600b0824,0x7bdc34d3,0x69db34d4,0x2ca934d5}},	//   _mümk, _caru, _saue, rrad_, 
   {{0xba740038,0x69db34d6,0xb4ce00aa,0x38bb010c}},	//   لانت, _paue, शबु_, wêr_, 
   {{0xc3330056,0xb05b074b,0x60100219,0x2ca90228}},	//   בוע_, städ, _jämn, prad_, 
   {{0x7bdc34d7,0x76590156,0x80d934d8,0x07a51d75}},	//   _faru, _rhwy, मिटे, галн, 
   {{0x60100750,0x7bdc34d9,0xf1bf0068,0x38bb08b0}},	//   _lämn, _garu, xián_, rêr_, 
   {{0x8cdb09e5,0x20010508,0xf1bf0183,0x60020379}},	//   निको, _mohi_, vián_, _mômp, 
   {{0x7bdc34da,0x6010014e,0xb4ce00a5,0x24590212}},	//   _zaru, _nämn, शबू_, ième_, 
   {{0x291934db,0x7bdc34dc,0x58d434dd,0x24590151}},	//   _åsa_, _yaru, _котт, hème_, 
   {{0x7bdc1c6e,0x6b95003a,0x22490938,0xa2a407d5}},	//   _xaru, _jezg, _akak_, _किश्, 
   {{0x3f9834de,0xf1bf34df,0x6b9534e0,0xa22a26f1}},	//   varu_, rián_, _mezg, ежна_, 
   {{0x6b950216,0x3f9834e1,0x34951d06,0x7999236e}},	//   _lezg, waru_, _бадр, naww, 
   {{0x64a534e2,0x93bc020f,0x425500b3,0xdb1c00e1}},	//   _сала, rnăr, ртэт, _mbrá, 
   {{0x70562e10,0x2a6d0380,0xdb150151,0x00000000}},	//   انسا, _lieb_, _eczé, --, 
   {{0xc05a032e,0xdb1c08d7,0x6da61d52,0x7bdc002c}},	//   дің_, _obrá, лива, _raru, 
   {{0x7bdc34e3,0x2bc6072f,0x394d0126,0x628300ca}},	//   _saru, र्ना, _oyes_, _itno, 
   {{0x1bea03dc,0x3f9834e4,0x629c253f,0x229802d9}},	// [26e0] ндаи_, paru_, árov, _týká_, 
   {{0x2013016a,0xb05b00c8,0xdb1c0354,0xd0f700d1}},	//   _glxi_, ttäe, _abrá, _עמית_, 
   {{0x7bdc34e5,0x81d70086,0x6b95020f,0x09e60650}},	//   _varu, সার_, _dezg, ложн, 
   {{0x7bdc34e6,0xe98434e7,0xe9470274,0x02b60070}},	//   _waru, рқан, گرمی, טלעך_, 
   {{0x69261b17,0x7bdc34e8,0xa3b300a2,0xfaa30e65}},	//   ымда, _taru, टला_, _қато, 
   {{0xd6da152e,0xa2a400a2,0xbddb00d7,0x78a4015e}},	//   ети_, _किल्, _akèh, šivo, 
   {{0x5fb20081,0x96f800d3,0xfd500023,0x394d00d1}},	//   _जाईल, тейт_, _nghẹ, _eyes_, 
   {{0xa5bd0009,0x00000000,0x00000000,0x00000000}},	//   liųj, --, --, --, 
   {{0x27ef000d,0x201829c6,0x75fc039f,0x00000000}},	//   ální_, khri_, _kézz, --, 
   {{0x1cbb0070,0x7a1c0026,0xe7ae009a,0xa5bd0028}},	//   עמיע, pōts, _घाटप, niųj, 
   {{0xa68634e9,0x2bc60e6e,0xfbc60cb8,0xe9ff00e7}},	//   _след, र्या, र्यम, _chặn_, 
   {{0x54e60e61,0xf1bf34ea,0xdb050380,0xa2d524d4}},	//   _مستق, ciál_, pfhö, _बनर्, 
   {{0x93e600a3,0x75d30038,0xbcfb0096,0x00000000}},	//   _бўйл, _دينا, _ngép, --, 
   {{0x2bc606ea,0xddd0044e,0x75fc010e,0x60100502}},	//   र्मा, _češk, _nézz, _dämo, 
   {{0x20010054,0xe1ff010e,0x6b9534eb,0x00000000}},	//   _vohi_, tmód_, _rezg, --, 
   {{0x66020077,0x628802a3,0x6b9534ec,0xfc240033}},	//   _jook, mpdo, _sezg, বকোষ_, 
   {{0x82340a24,0xfbab1829,0x660207d7,0x200100b0}},	// [26f0] _دروا, етей_, _mook, _tohi_, 
   {{0xbd681c0f,0x660234ed,0x6fb200ab,0x60cd34ee}},	//   урсе_, _look, _जाएं, _ipam, 
   {{0xdddc090e,0x49750c09,0xf09f00b9,0x625d0175}},	//   sprš, алес, lsà_, géog, 
   {{0xfde90fcf,0x660202a5,0x2bc61503,0x394d34ef}},	//   _ऑफिस_, _nook, र्बा, _pyes_, 
   {{0x26cc0102,0x02d1176d,0x200c02ae,0x6b9534f0}},	//   _apdo_, _तन्न, ödig_, _tezg, 
   {{0x60cd34f1,0x601034f2,0x799934f3,0xd70502f1}},	//   _mpam, _näml, saww, изли, 
   {{0x660234f4,0xe57100eb,0xc98702f1,0x00000000}},	//   _book, يطة_, _бузи, --, 
   {{0x7aea01cc,0x60cd34f5,0x660234f6,0x79990065}},	//   æfte, _opam, _cook, qaww, 
   {{0xf1bf0076,0xc7d90093,0x628808b0,0x6602138c}},	//   riál_, _имах_, epdo, _dook, 
   {{0x68e901f2,0x291d095a,0x4ac90110,0x72c534f7}},	//   _ired, mzwa_, _रहाव, абоз, 
   {{0xfbd200a7,0x60cd34f8,0x244b34f9,0x85b9049b}},	//   חתי_, _apam, dømt_, _алес_, 
   {{0x0166307f,0x998f0009,0xb34500f6,0x660201b8}},	//   икно, mogų_, _alçà, _gook, 
   {{0xe0d70141,0x201802cd,0x291d34fa,0xf1bf0032}},	//   авя_, thri_, nzwa_, ciám_, 
   {{0x6e260065,0x6602052b,0x68e9023e,0x7bc501d2}},	//   _smkb, _zook, _mred, jfhu, 
   {{0x44d60da6,0x249f01d5,0x2d9634fb,0x9e66011c}},	//   _zł_, lsum_, ирас, لارن, 
   {{0x0d8634fc,0xed5a03ea,0x3ced015e,0x7e6f0369}},	//   рлан, воб_, _ševa_, _cicp, 
   {{0x8fa634fd,0x249f34fe,0x601034ff,0x5ba40259}},	// [2700] _капе, nsum_, _hämm, йлағ, 
   {{0x69c90298,0x515b00d1,0x60103500,0x00000000}},	//   _abee, _בכפו, _kämm, --, 
   {{0xf1eb0f63,0xdef90904,0xf778003d,0x69c901b8}},	//   _जोड़_, _быў_, _naħa_, _bbee, 
   {{0x68e90c17,0xb05b014e,0x249f02cd,0xda6500eb}},	//   _bred, ptäc, ksum_, ماني, 
   {{0x68e92c07,0x66023501,0x60100088,0x80c40086}},	//   _cred, _rook, _lämm, শিক্, 
   {{0xb8ce3502,0x44273503,0x66023504,0x9986253f}},	//   _कि_, _nmn_, _sook, dnoť_, 
   {{0x68e918d0,0xfaa33505,0x7aa318ae,0x2bc605d0}},	//   _ered, _маро, _мирз, र्णा, 
   {{0x68e90533,0x2d802479,0x28da0077,0x3e7c031e}},	//   _fred, ncie_, _मैथि, _mít_, 
   {{0x68e93506,0xfbc61f22,0x3e7c3507,0x2bc60425}},	//   _gred, र्थम, _lít_, र्था, 
   {{0x5fb20081,0xe3b80fc1,0x66020110,0x44270e34}},	//   _जागल, lnız_, _wook, _cmn_, 
   {{0x2d803508,0x68e900f9,0x660200c2,0x3e7c0108}},	//   kcie_, _zred, _took, _nít_, 
   {{0x2bc60c64,0x2ca00077,0x2d800035,0xe4e6004f}},	//   र्ता, ksid_, jcie_, _вікн, 
   {{0x601002ae,0x44273509,0x25a6015c,0x00000000}},	//   _täml, _fmn_, _idol_, --, 
   {{0x44270110,0x2d8000ab,0x24860008,0x2ca000b0}},	//   _gmn_, ecie_, _itom_, dsid_, 
   {{0x6448350a,0xf09f350b,0x442c350c,0x6d4f03c6}},	//   modi, ssà_, mid_, _syca, 
   {{0xfe7700d3,0xef190035,0x131700d1,0x5187350d}},	//   лүү_, ąż_, _כחול_, _тука, 
   {{0x60cd350e,0x442c350f,0xddc40243,0x00000000}},	// [2710] _upam, oid_, kliņ, --, 
   {{0x64483510,0x442c3511,0x46a70366,0x7e770126}},	//   nodi, nid_, _गिलह, _tuxp, 
   {{0x2bc63512,0x25a63513,0x7e6401e5,0x2ca001a4}},	//   र्धा, _odol_, bmip, asid_, 
   {{0x68e93514,0x2d8002a3,0x7e64023e,0x00000000}},	//   _pred, ccie_, cmip, --, 
   {{0x442c3515,0x2ca03516,0xb9c400eb,0x2486006d}},	//   kid_, csid_, تقني, _ntom_, 
   {{0x68e93517,0x6e2d3518,0xe7393519,0xc7c7286c}},	//   _vred, liab, лел_, рсди, 
   {{0x2486351a,0x7d0d351b,0x2d99351c,0x68e9351d}},	//   _atom_, lyas, _kese_, _wred, 
   {{0x249f050a,0x68e90dcb,0x442c351e,0xdb160038}},	//   tsum_, _tred, eid_, _ócái, 
   {{0x2d99351f,0x7d0d3520,0x442c3521,0x39150200}},	//   _mese_, nyas, fid_, _умар, 
   {{0x6e2d3522,0x249f3523,0x2d993524,0xf8ae00d4}},	//   hiab, rsum_, _lese_, _سکه_, 
   {{0x249f3525,0x8c1a00a7,0x2d800035,0x2486011c}},	//   ssum_, רותי, ycie_, _etom_, 
   {{0x2d993526,0x442c3527,0x28ae031e,0xc8790241}},	//   _nese_, aid_, _घिमि, _kuş_, 
   {{0xddc6090b,0x44270ab1,0x442c3528,0x661b0548}},	//   _nikš, _tmn_, bid_, mhuk, 
   {{0x7d0d13ef,0x60100080,0x3e7c3529,0x6448352a}},	//   dyas, _tämm, _pít_, codi, 
   {{0x2d99352b,0x81bf00cc,0xddc6012d,0x81cd0086}},	//   _bese_, ীয়_, _aikš, রয়_, 
   {{0x2d990634,0x2ca0352c,0xdb170165,0xf2d200c7}},	//   _cese_, tsid_, nexõ, _זעה_, 
   {{0x2d99352d,0x7fd61222,0x2d80352e,0x7d0d0019}},	// [2720] _dese_, _ліні, rcie_, gyas, 
   {{0xe7e700b0,0x80ad0c64,0x78a40098,0x2ca0352f}},	//   _टोला_, _जिते, šivk, rsid_, 
   {{0x2ca000b0,0x661b3530,0xb5fd00ef,0x6e2d08f9}},	//   ssid_, khuk, zmša, biab, 
   {{0x442c2836,0x6e2d3531,0x753d0035,0x2d990876}},	//   zid_, ciab, ższy, _gese_, 
   {{0xdb1e0019,0xe3b8027e,0x28f83532,0x91bb00d1}},	//   lepü, ygı_, рель_, רמני, 
   {{0xf09300d1,0xc8793533,0x00000000,0x00000000}},	//   לנד_, _duş_, --, --, 
   {{0x24863534,0x09e6338e,0x07a31221,0x2d993535}},	//   _stom_, _ловн, чајн, _yese_, 
   {{0x442c3536,0xd5ba2ffb,0x3f9a07c7,0xf1bf010e}},	//   wid_, уск_, _lepu_, riák_, 
   {{0x38cb11b7,0xa3b300a2,0x693400d7,0x00000000}},	//   _مالی_, टलं_, _بکار, --, 
   {{0x3e41012d,0x6e2d2264,0x2a6602aa,0x79820035}},	//   mėte_, ziab, lmob_, lcow, 
   {{0x442c3537,0x64483538,0x95ca00dd,0x4bfb035c}},	//   rid_, rodi, _була_, אליס, 
   {{0x64483539,0x442c05d2,0x661b086d,0xdb1e0035}},	//   sodi, sid_, chuk, lepó, 
   {{0x2486353a,0x2d9902a3,0x6b9e1b10,0x442c353b}},	//   _utom_, _rese_, kapg, pid_, 
   {{0x3f9a353c,0x7d0d353d,0x442c008a,0x09cc0033}},	//   _cepu_, vyas, qid_, _রোমা, 
   {{0x2d99353e,0x877b02a1,0x59c8047c,0x5333324f}},	//   _pese_, ראלי, रभार, _нешт, 
   {{0x7d0d353f,0x313500f0,0x3eac3540,0x2d99021e}},	//   tyas, _мейр, ádta_, _qese_, 
   {{0x2d993541,0x6e2d3542,0x443c09c7,0xdb993543}},	// [2730] _vese_, riab, _kjv_, ивач_, 
   {{0x224b3544,0x6e2d050a,0x7d0d3545,0x2d993546}},	//   lock_, siab, ryas, _wese_, 
   {{0x7d0d3547,0x2d993548,0x6a73008a,0x78a20098}},	//   syas, _tese_, _aħfr, esov, 
   {{0x224b0118,0x443c0242,0xddc601dd,0xbf05017d}},	//   nock_, _ljv_, _tikš, रहीन_, 
   {{0x26de01cf,0x2bc602e6,0x6e3d3549,0x7d0d354a}},	//   _asto_, र्हा, _ijsb, qyas, 
   {{0x1869354b,0x6d5d01dd,0x09a2010c,0x00000000}},	//   шали_, _izsa, _çînî_, --, 
   {{0x661b354c,0xb05b0088,0x2a66023b,0xe3ae0033}},	//   thuk, ytän, bmob_, কভাব, 
   {{0xc485354d,0x7bd7354e,0x9a840104,0x0609354f}},	//   олик, lexu, _хурл, рник_, 
   {{0x2bc61280,0x26de0f46,0xe3b11966,0xe61600dd}},	//   र्वा, _esto_, ورد_, ідь_, 
   {{0x661b3550,0x42c901a2,0x799b0326,0x7bd73551}},	//   shuk, агон_, _heuw, nexu, 
   {{0xb05b0088,0xd7f8001b,0x26de0102,0x661b0532}},	//   ttän, _khăn_, _gsto_, phuk, 
   {{0xb6860019,0x00000000,0x00000000,0x00000000}},	//   _بھول_, --, --, --, 
   {{0x03a533d4,0xb05b08b5,0x53a53552,0x799b0096}},	//   _дило, rtän, _далб, _meuw, 
   {{0xb05b3553,0x799b20ca,0x00000000,0x00000000}},	//   stän, _leuw, --, --, 
   {{0xdee33335,0x3f6a07d9,0x248d02aa,0x7bd70474}},	//   мори, риво_, lpem_, dexu, 
   {{0x224b192d,0xe1ff0634,0xd7f80023,0x799b3554}},	//   cock_, lmón_, _nhăn_, _neuw, 
   {{0xad6600c5,0x3f9a3555,0x8f760451,0x248d0065}},	// [2740] زاره, _tepu_, _муні, npem_, 
   {{0x61e63556,0x80d70035,0xb05b00c8,0x60c401f2}},	//   ldkl, यबरे, ntäl, _iqim, 
   {{0x61e40268,0x799b0149,0xfe460e9a,0x00000000}},	//   _kail, _beuw, _мноо, --, 
   {{0xd7f800e7,0x8884004e,0xdcfd0009,0x78a23557}},	//   _chăn_, зғал, _nesė, tsov, 
   {{0xe8943558,0x68463559,0x2d92355a,0x63ba02c9}},	//   чаль, онда, mbye_, ygtn, 
   {{0x76aa17ef,0xacd90137,0x2cb202bf,0x78a2355b}},	//   атив_, _פֿרי, mryd_, rsov, 
   {{0xa01b00c8,0x26de0036,0x7bce00a4,0x00000000}},	//   mpöt, _qsto_, _ibbu, --, 
   {{0x78ad03ef,0x6b9c355c,0x2bc60a68,0x2bd800a5}},	//   šava, _herg, र्रा, ड़वा, 
   {{0x07a60161,0x6b9c007e,0x7aee008b,0xdb070118}},	//   _маан, _kerg, _hrbt, _adjè, 
   {{0x136a355d,0x3eb800e5,0x6b9c355e,0x61f60054}},	//   ишни_, kurt_, _jerg, _anyl, 
   {{0x61e4355f,0x26de0372,0x6b9c3560,0x4b7b0070}},	//   _bail, _usto_, _merg, יטיג, 
   {{0x61e43561,0x201a3562,0x6b9c3563,0x00000000}},	//   _cail, _alpi_, _lerg, --, 
   {{0x660f00a8,0x61e43564,0x6b9c017c,0x7bce02a5}},	//   öcke, _dail, _oerg, _obbu, 
   {{0xcbd500cc,0x3eb83565,0x6b9c3566,0x104b18ec}},	//   _হচ্ছ, furt_, _nerg, рями_, 
   {{0x61e41974,0x93cb0019,0x3ea5010e,0x3eb80c2e}},	//   _fail, _خانہ_, élt_, gurt_, 
   {{0x3ead08fc,0x61e43567,0x7bce003d,0x2cb200f8}},	//   čet_, _gail, _abbu, fryd_, 
   {{0x6b9c3568,0xc05b02fb,0x40353569,0x6fb60444}},	// [2750] _berg, _він_, _неис, _کمپا, 
   {{0xa2a40e49,0x6b9c356a,0x61e40a9f,0x3eb80380}},	//   _किञ्, _cerg, _zail, burt_, 
   {{0x23c2000f,0x6b9c356b,0x0a6b0e65,0xb05b00c8}},	//   _शानद, _derg, арди_, ntäm, 
   {{0x6b9c10f3,0x69c00118,0x248d0183,0x2cb200f8}},	//   _eerg, _ccme, ypem_, bryd_, 
   {{0x6b9c356c,0x6d5d00ec,0xd945356d,0x00000000}},	//   _ferg, _uzsa, џели, --, 
   {{0x3abb09e8,0x6b9c356e,0xa6951b11,0x66e502f1}},	//   _پاسخ_, _gerg, приј, зока, 
   {{0x1995356f,0x9f410096,0x09c20033,0x799b0175}},	//   _навя, _bahé_, োয়া, _teuw, 
   {{0x6b9c0a9f,0xd6ce00eb,0xbcfb3570,0x6b8500f8}},	//   _zerg, اقي_, _izéb, lchg, 
   {{0x69d93571,0x6d4301c4,0x6b9c00a3,0x3a2d00b9}},	//   mewe, ßnah, _yerg, _imep_, 
   {{0x69d93572,0x94223573,0x6b9c0183,0x69cb3574}},	//   lewe, емье, _xerg, lfge, 
   {{0x81e500cc,0xef2000ab,0xb05b0219,0x3209023a}},	//   নান_, ążki_, rtäl, _boay_, 
   {{0xb05b0750,0x61463575,0x69d93576,0x00000000}},	//   stäl, зема, newe, --, 
   {{0xd175001c,0x61e608b0,0x61e43577,0xf99200d1}},	//   дыры, rdkl, _vail, ערך_, 
   {{0x61e4044d,0xb4d7042b,0xe3b3009c,0xa06a1e38}},	//   _wail, ाबी_, _آرش_, сага_, 
   {{0x61e43578,0x6aba00bc,0x00000000,0x00000000}},	//   _tail, _उमेर, --, --, 
   {{0x2cb2018c,0x69d901d2,0xac863579,0xbc760038}},	//   tryd_, jewe, згал, كهرب, 
   {{0x6b9c357a,0x69d9357b,0x5baa0235,0x3eb8357c}},	// [2760] _perg, dewe, йкам_, surt_, 
   {{0xdce600e0,0xef1a0267,0x27e5040b,0x3eb8357d}},	//   _iekļ, _гмо_, _naln_, purt_, 
   {{0x6b9c357e,0x9f9700a7,0x2cb202ae,0x69d9019b}},	//   _verg, _מדיה_, sryd_, fewe, 
   {{0x6b9c15fb,0x69d90bf3,0xe8fa2eb8,0x63a1357f}},	//   _werg, gewe, йле_, haln, 
   {{0x6b9c3580,0xc5c30086,0x3a3f05a1,0xb4ca00b0}},	//   _terg, ্যাপ, _djup_, _ऊहे_, 
   {{0xfaa63581,0xac0a00cf,0xb05b00c8,0x7e7e3582}},	//   _наго, _унга_, ytäm, _kupp, 
   {{0x8c1b00a7,0x7c2e3583,0x69d93584,0xbb4300c8}},	//   _פולי, _imbr, bewe, _зерк, 
   {{0x44f41033,0xbb3b042c,0x09e33585,0xd5e20108}},	//   дпис, _העלי, _посн, _khỏ, 
   {{0x63a1090e,0x81e50086,0x7e7e19b1,0x32090574}},	//   faln, নাম_, _lupp, _roay_, 
   {{0xd48f0ecf,0xb05b030f,0x2281003e,0x32090db4}},	//   _үр_, ttäm, _bók_, _soay_, 
   {{0x31603586,0xe1d902fb,0xd5af1918,0x95ca0504}},	//   _aziz_, одні_, _пс_, _глеб_, 
   {{0xa1940965,0x250b0274,0x63a100b0,0xb05b00c8}},	//   наюч, _گرمی_, aaln, rtäm, 
   {{0xd6250084,0xf1a40009,0xb05b3587,0x0cd70086}},	//   _تعلي, эрэн, stäm, _সপ্ত, 
   {{0x63a13588,0xb4e802e6,0x3e410028,0x00000000}},	//   caln, मटी_, dėta_, --, 
   {{0x628a33fc,0x316012ed,0xddab0ecf,0x69d90548}},	//   _utfo, _eziz_, йтал_, yewe, 
   {{0x433b00d1,0xd25117bc,0x7e7e0657,0x66e73589}},	//   _לעוב, _جنب_, _dupp, léká, 
   {{0x442e0379,0x69d9358a,0xb05b358b,0x5d550115}},	// [2770] _kmf_, vewe, ntäk, фкат, 
   {{0x7055009c,0x69d9358c,0xf77800c3,0xaded00b0}},	//   _زنجا, wewe, _daħk_, _चोरन_, 
   {{0x69d90218,0x442e032f,0x34d9000d,0xd7f8001b}},	//   tewe, _mmf_, _भन्द, _chăm_, 
   {{0x63a1358d,0xf1bf358e,0x7c2e358f,0x6b850380}},	//   zaln, ngá_, _embr, schg, 
   {{0x37e53590,0x7e7e01d8,0x69cb34c7,0x7c2e039b}},	//   долг, _zupp, rfge, _fmbr, 
   {{0x69d90727,0xacfa00a7,0x78ad032f,0x9be43591}},	//   sewe, _והשכ, šavo, _піск, 
   {{0x63a111c8,0xb05b0088,0x69d93592,0xb7c80038}},	//   valn, ttäj, pewe, سبوك_, 
   {{0x6010022b,0x26c70688,0x63a10035,0x00000000}},	//   _hämt, rtno_, waln, --, 
   {{0xe8ff010c,0x26c702ee,0xf2b60033,0xb4d700c9}},	//   _çû_, stno_, _জনগণ, ाबे_, 
   {{0x60100219,0x52a9268e,0xb05b00c8,0x26c70242}},	//   _jämt, овом_, stäj, ptno_, 
   {{0x387f17ab,0x56940886,0xfbcf048e,0x04ef0033}},	//   _huur_, _захт, स्यम, য়নের_, 
   {{0x63a13593,0x387f3594,0x600b00c2,0x15151761}},	//   saln, _kuur_, _sümp, _одея, 
   {{0x7e7e3595,0x63a13596,0xe44e3597,0xa5bd012d}},	//   _supp, paln, _аж_, siųs, 
   {{0x2281008c,0x387f0318,0x7e7e3598,0x2bcf1f9a}},	//   _tók_, _muur_, _pupp, स्मा, 
   {{0x41c60035,0x79893599,0x387f0175,0x93450afc}},	//   _वापस, _ofew, _luur_, _юнке, 
   {{0x25bf359a,0x625d011c,0x8e550259,0x00000000}},	//   ngul_, néol, етуі, --, 
   {{0xdca3359b,0xed5703b7,0x387f095a,0x7e7e359c}},	// [2780] кати, дот_, _nuur_, _wupp, 
   {{0x7e7e359d,0x8d6300c8,0x4d63004f,0xbcfb039f}},	//   _tupp, твуе, ткув, _széc, 
   {{0x78a9048a,0x78ad1c2b,0x0e661c45,0xb9e600dd}},	//   _avev, šavl, _окон, діли, 
   {{0xd3780112,0x387f359e,0x81e50033,0xb05b0080}},	//   meće_, _buur_, নাথ_, ytäk, 
   {{0xd37811b1,0x02da0497,0x41c60249,0xb4d700c9}},	//   leće_, _बन्न, _वानस, ाबो_, 
   {{0x387f0318,0xd7f8001b,0x368a004f,0x6d4600c3}},	//   _duur_, _thăm_, осин_, _ixka, 
   {{0x6a830a31,0xd37807c7,0x81e50033,0xd5ba359f}},	//   _алса, neće_, নাত_, осп_, 
   {{0x973c02f5,0x3ced00ca,0xd5b0010e,0xd6d9017b}},	//   _neće, _ševi_, اہش_, яті_, 
   {{0xe3ce0029,0x47c60886,0x6010161f,0x442e35a0}},	//   _dựng_, _обав, _jäms, _pmf_, 
   {{0x78630a10,0x25bf020f,0x7c3e35a1,0x3cfb0225}},	//   _акуз, agul_, nnpr, קלינ, 
   {{0x0bb70056,0xd37822ad,0x225900c8,0xe2f8004f}},	//   ולים_, jeće_, зины_, чені_, 
   {{0xd37802f5,0x442e0920,0x26180175,0x00000000}},	//   deće_, _wmf_, _kéom_, --, 
   {{0xf1bf0126,0x00000000,0x00000000,0x00000000}},	//   rgá_, --, --, --, 
   {{0xdb1c35a2,0x656202f1,0x442e35a3,0x7c3e01d2}},	//   _acrí, _izoh, _umf_, jnpr, 
   {{0xe6dc35a4,0x768701f0,0x660b006d,0x443e35a5}},	//   _मनोज, _kıya, _yogk, mnt_, 
   {{0x645a02bf,0xf1d0001b,0x601001c4,0x7c3e00b4}},	//   llti, _hạng_, _sämt, enpr, 
   {{0x443e01c5,0x2d5809e7,0xf4bc0086,0x9cc800c8}},	// [2790] ont_, дить_, _অনুব, дыха_, 
   {{0x443e35a6,0xdefb35a7,0x3dc0011d,0x2bbb0038}},	//   nnt_, _дым_, agiw_, تارة_, 
   {{0x443e35a8,0xf1d00029,0x387f007e,0x645a35a9}},	//   int_, _mạng_, _suur_, ilti, 
   {{0x443e02f2,0x321935aa,0xdb1c0038,0x387f35ab}},	//   hnt_, nksy_, _gcrí, _puur_, 
   {{0x7e6d35ac,0x625d0151,0xa3be35ad,0x497400d7}},	//   mmap, véol, इला_, ندهآ, 
   {{0xb9070d95,0xd36620b4,0x81d30086,0x7e6d35ae}},	//   _बन_, _مه_, _হোম_, lmap, 
   {{0x7ac418b6,0x2aa8020f,0x6562016c,0x443e35af}},	//   _исте, _отто_, _azoh, dnt_, 
   {{0x443e35b0,0xceb42aa8,0x387f35b1,0xb05b14aa}},	//   ent_, דיק_, _tuur_, stäh, 
   {{0x2bcf2290,0x2ca91041,0xa9542e02,0x25bf35b2}},	//   स्था, nsad_, _акті, rgul_, 
   {{0xd378003a,0x443e35b3,0x69320019,0x7305122f}},	//   zeće_, gnt_, _حکمر, епоз, 
   {{0xf1d0001b,0x973c00ca,0xc6a41098,0x656201cf}},	//   _dạng_, _peće, _арчи, _ezoh, 
   {{0x2bcf0b79,0x443e35b4,0x2ca935b5,0xfbcf176d}},	//   स्ता, ant_, ksad_, स्तम, 
   {{0x973c04d1,0xa155048a,0xd378034c,0x443e0387}},	//   _veće, върш, veće_, bnt_, 
   {{0xdb1c0084,0x201e35b6,0x62840f4c,0x6606003e}},	//   _scrí, óti_, _čiov, ökkv, 
   {{0xd378265d,0x60100219,0x00000000,0x00000000}},	//   teće_, _säms, --, --, 
   {{0x201835b7,0x7e6d0f3a,0x7c3e35b8,0x2ca902ae}},	//   skri_, gmap, wnpr, fsad_, 
   {{0xd3780112,0x15f20262,0x2b58011c,0xfe4335b9}},	// [27a0] reće_, _अफसर_, _syrc_, унто, 
   {{0xaf9a0088,0x24820228,0xd3781c2b,0x25af1d0b}},	//   _этих_, íkmi_, seće_, _ldgl_, 
   {{0x3f9835ba,0x2bc60f8e,0x7c3e35bb,0xe803296a}},	//   mbru_, र्गा, rnpr, लाना_, 
   {{0xda650038,0x2d9635bc,0x39460080,0x0f370070}},	//   ناني, _ярос, ннег, _טריט_, 
   {{0x443e35bd,0x64431fe0,0x00000000,0x00000000}},	//   ynt_, _ojni, --, --, 
   {{0xb05b030f,0x6e24012b,0x2bc6061f,0xf6e600d9}},	//   ttäi, lhib, र्खा, ецин, 
   {{0x8c4335be,0xd6d735bf,0x765b35c0,0x443e08bb}},	//   _сере, еты_, fluy, vnt_, 
   {{0x443e35c1,0xa3d22ed8,0x2bd800c9,0xfaf700d1}},	//   wnt_, ह्न_, ड़का, _אצלי_, 
   {{0x7d040068,0x290200e5,0x2bc70667,0xd94335c2}},	//   nxis, _çka_, _लामा, _бети, 
   {{0xe8d700a7,0x443e35c3,0x69c210f3,0xb05b08b5}},	//   _אומר_, unt_, lgoe, ltäv, 
   {{0xa19535c4,0x443e35c5,0x7bde040b,0xf1d00210}},	//   канч, rnt_, iepu, _vạng_, 
   {{0x765b15c4,0x2bc70081,0x69c235c6,0xb05b00c8}},	//   cluy, _लाभा, ngoe, ntäv, 
   {{0x6e240010,0x7bde35c7,0xf1d00023,0x6606003e}},	//   dhib, kepu, _tạng_, ökku, 
   {{0xb05b0088,0x6010014e,0xb80335c8,0xe8030035}},	//   htäv, _sämr, लायम_, लाया_, 
   {{0x69c21a77,0xdb1c0534,0x00000000,0x00000000}},	//   kgoe, _mbró, --, --, 
   {{0x6e2435c9,0x09d50086,0x2ca9219b,0x6abe007c}},	//   ghib, _সোনা, tsad_, dupf, 
   {{0xd904125e,0x7e6d35ca,0xe803031e,0x2ca9011d}},	// [27b0] _ای_, rmap, लामा_, usad_, 
   {{0x2ca902fe,0x2bd80035,0x7bde35cb,0x2d890054}},	//   rsad_, ड़गा, gepu, scae_, 
   {{0x2ca935cc,0xa3d22158,0x69c201c8,0x1eab0038}},	//   ssad_, ह्य_, fgoe, _عادي_, 
   {{0x6e2435cd,0x625d0175,0xddc40474,0x00000000}},	//   chib, déok, rmiţ, --, 
   {{0x260417dc,0x601035ce,0x2ca900a3,0x9f5a0237}},	//   वानी_, _kämp, qsad_, _anpè_, 
   {{0x7bde0012,0xec350137,0xa3d200a2,0xe7870531}},	//   cepu, _יאָר_, ह्म_, худо, 
   {{0xf4c200cc,0x765b0241,0x625d0175,0x9985007a}},	//   ্টোব, tluy, géok, _للزو, 
   {{0x601035cf,0x00000000,0x00000000,0x00000000}},	//   _lämp, --, --, --, 
   {{0xe1ff0035,0x9f5a0118,0x5a441099,0x68e2011c}},	//   lmów_, _enpè_, _сэра, cwod, 
   {{0xa93402a0,0x6e240352,0x2496009c,0x28da35d0}},	//   _сеуш, zhib, کنید_, _मैटि, 
   {{0x232935d1,0x2bc635d2,0xfbc60fc0,0x00000000}},	//   фони_, र्टा, र्टम, --, 
   {{0x65951cbe,0x7aea055f,0x22161137,0x80cb0033}},	//   _раду, æfti, тфор, িবন্, 
   {{0x78640379,0xc24335d3,0xbcfb010e,0x661b018e}},	//   lòva, рняк, _szén, mkuk, 
   {{0xc0e31acc,0x00000000,0x00000000,0x00000000}},	//   јорк, --, --, --, 
   {{0x8fa32f2f,0x6e2435d4,0x60100fd4,0xb05b00c8}},	//   расе, thib, _dämp, ytäv, 
   {{0x63a335d5,0x68e202bf,0x7bd501c4,0xfe4335d6}},	//   _henn, ywod, _abzu, ансо, 
   {{0x644135d7,0x7bde35d8,0x6e2435d9,0x628335da}},	// [27c0] onli, tepu, rhib, _huno, 
   {{0x7d040218,0x62830383,0x644135db,0xd378034c}},	//   rxis, _kuno, nnli, leća_, 
   {{0x81e5100b,0x260407d5,0x63a335dc,0xb05b030f}},	//   নার_, वामी_, _menn, ttäv, 
   {{0x63a335dd,0x7bde35de,0x628335df,0x644101c4}},	//   _lenn, sepu, _muno, hnli, 
   {{0xe3a70456,0x69c235e0,0x92cd0086,0x628335e1}},	//   _پر_, rgoe, রিয়_, _luno, 
   {{0x63a335e2,0x64410b32,0xb05b0088,0x8d77010e}},	//   _nenn, jnli, stäv, _جاپا, 
   {{0x29000012,0x973c00d2,0xc5eb0086,0x4ab900d9}},	//   ţia_, _beća, কানা_, _путя_, 
   {{0xd37802a8,0x644135e3,0x661b0c3d,0xbb4335e4}},	//   jeća_, enli, gkuk, _теск, 
   {{0x70dc02f8,0xd37803ef,0x63a335e5,0x6283011d}},	//   यबोल, deća_, _benn, _auno, 
   {{0x63a335e6,0xe7c900ab,0x2bc6031e,0x628335e7}},	//   _cenn, _रायप, र्चा, _buno, 
   {{0x63a3017e,0x62830012,0x427529a7,0x601000c2}},	//   _denn, _cuno, лгос, _rämp, 
   {{0x62831acd,0x644135e8,0x9f410098,0x058335e9}},	//   _duno, anli, _nahá_, _кушм, 
   {{0xc05b02fb,0x63a335ea,0xa3d400d3,0xe7c91779}},	//   дів_, _fenn, _болч, _रामप, 
   {{0x63a335eb,0x442535ec,0xe44f0296,0x628300b4}},	//   _genn, chl_, _وضو_, _funo, 
   {{0x628335ed,0x63a835ee,0x645800e0,0x9f4135ef}},	//   _guno, madn, _ikvi, _bahá_, 
   {{0x78ad003a,0x337700a7,0xf365004f,0x2bc62122}},	//   šavi, _בתוך_, _стін, र्घा, 
   {{0x63a30298,0x39490035,0x61ed011d,0xde58004f}},	// [27d0] _yenn, żasz_, _iaal, таті_, 
   {{0x61ed35f0,0xddc435f1,0x27fe016a,0x63a821de}},	//   _haal, rmiš, _nntn_, nadn, 
   {{0x61ed35f2,0xfe6e13b4,0x9be435f3,0x00000000}},	//   _kaal, تگی_, шітк, --, 
   {{0x61ed02a5,0x63a82b70,0xc33300a7,0x3a260102}},	//   _jaal, hadn, סוף_, ghop_, 
   {{0x61ed35f4,0x394900ce,0x660902a8,0x7e7d35f5}},	//   _maal, ças_, vjek, _iisp, 
   {{0xd37800f1,0xa3d22681,0x973c10fc,0xab9400dd}},	//   zeća_, _हॉल_, _seća, _вирі, 
   {{0x63a335f6,0x4ae402f1,0x973c05ae,0x644114a4}},	//   _renn, _кўта, _peća, vnli, 
   {{0x61ed35f7,0x2bcf0865,0x7e7d003d,0x3a2602b0}},	//   _naal, स्रा, _jisp, chop_, 
   {{0x69cc026e,0x7e7d35f8,0x62831ae0,0xd378034c}},	//   ílež, _misp, _suno, veća_, 
   {{0x7bc535f9,0x628335fa,0x660935fb,0x63a835fc}},	//   nghu, _puno, sjek, gadn, 
   {{0x63a335fd,0xc5d502fb,0x61ed0298,0xbcfb0019}},	//   _venn, _біль, _baal, _szél, 
   {{0x63a305f2,0x7e7d35fe,0x260435ff,0x63a800ef}},	//   _wenn, _nisp, वाणी_, aadn, 
   {{0x61ed02b0,0x04c80038,0x63a33600,0xf48402a0}},	//   _daal, _لوني_, _tenn, _кујн, 
   {{0x62833601,0xf7780405,0x34b200d4,0x63a80175}},	//   _tuno, _taħt_, _اموز, cadn, 
   {{0xb05b0003,0x61ed01f0,0x6d5d1240,0x7e7d3602}},	//   kräf, _faal, _aysa, _bisp, 
   {{0xc6920137,0x61ed01a3,0x69c9006f,0xfce63603}},	//   מאל_, _gaal, _ncee, лобо, 
   {{0x4d66012d,0xdd8f0625,0x26043604,0xb05b2693}},	// [27e0] укав, سول_, वाती_, ttät, 
   {{0x69c9002e,0x309b0a33,0x61ed0547,0xab2a183d}},	//   _acee, _רשימ, _zaal, ноза_, 
   {{0x61ed0539,0x68e93605,0xb05b12b7,0x00000000}},	//   _yaal, _ased, rtät, --, 
   {{0xb05b02f2,0x63a8008b,0xebe3004e,0x7e7d00f6}},	//   stät, zadn, _қосп, _gisp, 
   {{0x522d00c7,0x27fe0175,0xd5e20108,0x0936007a}},	//   וואַ, _pntn_, _nhó, دراج, 
   {{0x8a06005e,0xcaa600eb,0x3a263606,0xdd3b0070}},	//   _өзге, _مصري, shop_, _װעלכ, 
   {{0x63a81c76,0x0b593607,0xd5e20108,0x6fd60299}},	//   vadn, _арты_, _phò, म्यू, 
   {{0xd49a03dc,0xa28100ab,0xe4e600dd,0x34b402c0}},	//   нро_, łość_, гіон, абиё, 
   {{0x61ed2764,0x394602a6,0x2ba80662,0xe0070790}},	//   _raal, _снаг, गरपा, शामद_, 
   {{0x03b500f0,0x2507010e,0x00000000,0x00000000}},	//   ақшы_, ارٹی_, --, --, 
   {{0x26040239,0x61ed3608,0xb05b0219,0xcc570070}},	//   वादी_, _paal, ktär, רביי_, 
   {{0x63a81ea3,0x64a63505,0xf8c80e7d,0x2d82002c}},	//   sadn, _бада, _रमाय, _ngke_, 
   {{0x7e7d0851,0x61ed3609,0x68e90065,0xf1bf360a}},	//   _risp, _vaal, _xsed, bhán_, 
   {{0x4394360b,0x61ed360c,0xf1bf0084,0x7e7d06df}},	//   _такс, _waal, chán_, _sisp, 
   {{0x61ed360d,0x7e7d078a,0x3e410009,0x248600c8}},	//   _taal, _pisp, lėti_, _huom_, 
   {{0x92b30fd0,0x95e200aa,0x00000000,0x00000000}},	//   _احوا, _खसोट_, --, --, 
   {{0x7e7d002a,0x3e41012d,0xc047347e,0x00000000}},	// [27f0] _visp, nėti_, _مخدو, --, 
   {{0x25a60156,0xb05b0219,0x6d5d05a8,0x7e7d040b}},	//   _leol_, dräg, _vysa, _wisp, 
   {{0xb05b360e,0x78bc00e0,0x7e7d360f,0xe8030fc0}},	//   träf, _ārva, _tisp, लासा_, 
   {{0x973c0fd3,0x3e41012d,0x2bc7009a,0x2d8200b4}},	//   _pećn, kėti_, _लावा, _ggke_, 
   {{0xe945009c,0x05260033,0xae950108,0x00000000}},	//   جرای, মপুর_, _kẹos, --, 
   {{0x3e4100e4,0x25a9008b,0x973c0097,0x201301d6}},	//   dėti_, _žal_, _većn, _joxi_, 
   {{0xbddb0118,0x00000000,0x00000000,0x00000000}},	//   _skèy, --, --, --, 
   {{0x25a60a92,0x9b5800b3,0x22493610,0x24862a59}},	//   _ceol_, _сист_, _njak_, _buom_, 
   {{0x387e3611,0xf1bf0038,0x68e93612,0x25a60175}},	//   _fitr_, thán_, _used, _deol_, 
   {{0x39143613,0x395f0096,0x893800d9,0x00000000}},	//   _умур, _iyus_, _спус_, --, 
   {{0x2a6d3614,0x69cc000d,0x2a7f00e2,0x63bc008c}},	//   _kheb_, _हामी, _kiub_, órna, 
   {{0xd57530cd,0x2001012b,0x25a63615,0xa4d5004f}},	//   _куль, _anhi_, _geol_, _воді, 
   {{0x64a53616,0xddde107c,0x00000000,0x00000000}},	//   _тала, _lupţ, --, --, 
   {{0xa06a3617,0x8fa33618,0xfaf801dd,0x00000000}},	//   тага_, жаре, _šīm_, --, 
   {{0xdee63619,0x25a60e34,0xb05b00c8,0xbea60cfe}},	//   шови, _yeol_, ttär, рабк, 
   {{0x644f026a,0x2249024a,0x9ac700c3,0x3dd9017c}},	//   écif, _gjak_, _miċħ, _cbsw_, 
  
   {{0x6fd600dd,0xc0e622b0,0xb05b03d8,0xa2a12002}},	// [2800] _кінц, _топк, rtär, कीर्, 
   {{0x2a6d019b,0xb05b1df5,0xef1a361a,0xd00f007a}},	//   _aheb_, stär, _амо_, _يلي_, 
   {{0x395f07fc,0xe6d403ce,0xca7600f0,0x79a602aa}},	//   _ayus_, _दहेज, ауды, арле, 
   {{0xb05b02e7,0xe984004e,0x2efa04ff,0x2a6d361b}},	//   träg, сқан, _irpf_, _cheb_, 
   {{0x2604141c,0x386c0098,0xb05b02ae,0xda65007a}},	//   वासी_, _phdr_, bräd, حالي, 
   {{0xdca319d4,0x25a600eb,0x68431219,0x9856002e}},	//   _фари, _seol_, онча, штеш, 
   {{0x973c0112,0x387e361c,0x00000000,0x00000000}},	//   _većo, _vitr_, --, --, 
   {{0xb05b1091,0x6b63017b,0x387e0210,0x00000000}},	//   präg, _єкта, _witr_, --, 
   {{0x87da040f,0x6f1c00f8,0x81ac0033,0x00000000}},	//   _لباس_, hyrc, খলা_, --, 
   {{0xbcfb0019,0x3e410009,0xa923020b,0x00000000}},	//   _szék, rėti_, úžen, --, 
   {{0x233800e4,0x05ea00b3,0xb6cb010e,0x00000000}},	//   упны_, _афли_, _لانے_, --, 
   {{0xd25800dd,0xd377361d,0x25dd361e,0x3e410028}},	//   иця_, шчы_, _कॉपी_, pėti_, 
   {{0x0494361f,0x660210d4,0x625d0151,0x6abe02eb}},	//   _التح, _inok, déot, hrpf, 
   {{0x251b027a,0x04db0147,0x443a3620,0x2604009a}},	//   _בודא, _סקול, _öp_, वावी_, 
   {{0x6f1c02bf,0xbe883621,0x66023622,0x63670093}},	//   gyrc, исте_, _knok, _кръг_, 
   {{0x30a73623,0xdd983624,0x2249044e,0x9e0403a1}},	//   _кров, ишу_, _ujak_, очул, 
   {{0xb05b014e,0x8bd92971,0x786d02aa,0x629a3625}},	// [2810] träd, лмас_, lúve, lpto, 
   {{0x2bb8007a,0x00000000,0x00000000,0x00000000}},	//   لامة_, --, --, --, 
   {{0x19b93626,0x66021051,0xb05b1df5,0x00000000}},	//   гуль_, _onok, rräd, --, 
   {{0x2a6d023b,0x4975112d,0x660202a5,0x9f43021e}},	//   _qheb_, блес, _nnok, hejë_, 
   {{0x26de2139,0x8cf4012d,0xe803009a,0x26180574}},	//   _apto_, _дзяц, लाला_, _léos_, 
   {{0x66023627,0x1d1600d1,0xb8ff1f22,0x00000000}},	//   _anok, _הקשר_, _तह_, --, 
   {{0x2a7f0640,0x6dbb0083,0x00000000,0x00000000}},	//   _tiub_, ałał, --, --, 
   {{0xb8cd00cc,0x3dc91041,0x26de2016,0x1c0503ce}},	//   _কম_, ngaw_, _dpto_, रावल_, 
   {{0x638302f1,0x81d60033,0xe4590cda,0x629a08a3}},	//   оҳла, _সফল_, лжи_, epto, 
   {{0x981400c5,0x9b440105,0x68fb02ba,0x66023628}},	//   _وبلا, _انہو, _irud, _enok, 
   {{0x68fb014b,0xe7193629,0x26180096,0x00000000}},	//   _hrud, _حيات_, _péot_, --, 
   {{0x68fb362a,0xa44400d3,0x625d0151,0xb40601ff}},	//   _krud, йнөд, déos, _қўчқ, 
   {{0x2604362b,0x291d362c,0x850500d4,0xfbe80218}},	//   वारी_, nywa_, _دوشن, lkêş_, 
   {{0x3cfe00bc,0xc2c8009c,0xe3b80241,0x656b01f2}},	//   _čtv_, دبیل_, lkın_, _izgh, 
   {{0x66f9176c,0xfbcd0033,0x66f7362d,0xd7f10108}},	//   ्मिक_, রজাত, ंटिक_, _mã_, 
   {{0x0d861796,0x68fb1aa9,0xe3b802a4,0x442701d2}},	//   слан, _orud, nkın_, _hln_, 
   {{0x61e6362e,0x6fb100aa,0x0c26362f,0x00000000}},	// [2820] mekl, _जयचं, бман, --, 
   {{0x69db08f4,0x4427286b,0x61e63630,0x3b0a1876}},	//   _abue, _jln_, lekl, лезо_, 
   {{0xfc3f0161,0x6d4f05a4,0x25ad3631,0x60c6105b}},	//   _avís_, _exca, kael_, lukm, 
   {{0x68fb050f,0x80cb00cc,0x61e63632,0xb3460165}},	//   _brud, িবর্, nekl, leçõ, 
   {{0x25ad0156,0xddcd3633,0x656f0228,0x7e643634}},	//   dael_, llaş, ýchl, mlip, 
   {{0xe4470816,0xbc1900f0,0x66022032,0x629a1247}},	//   _رض_, _кісі_, _snok, ypto, 
   {{0xddcd0092,0x61e601f0,0x2604042b,0x00000000}},	//   nlaş, kekl, वाली_, --, 
   {{0x61e60e67,0x7e640c36,0x46a600a3,0x291d0083}},	//   jekl, nlip, _ҳажв, bywa_, 
   {{0xa9260088,0x44273635,0x61e63636,0x998d0082}},	//   _удал, _bln_, dekl, _umeš_, 
   {{0xddcd01f0,0xb346019c,0xe824010e,0xa2b404ac}},	//   klaş, jeçõ, _بذری, обоч, 
   {{0x5c5b00c7,0x2bf700d1,0x7bdc3637,0x04fa0033}},	//   רדיק, זמין_, _mbru, েনের_, 
   {{0xad9b03b7,0x260400a2,0x5b7b035c,0xc0cb3638}},	//   _anún, वाळी_, טריא, луге_, 
   {{0x661d08b5,0x629a0d57,0xdb07021e,0x44273639}},	//   öske, spto, _pejë, _fln_, 
   {{0xa2c01503,0x973c00ca,0x7f94363a,0x70a9017d}},	//   _विप्, _nećk, зарх, _कबील, 
   {{0x443e363b,0x543b00c7,0x7c3e363c,0x644f026a}},	//   mit_, _געגא, dipr, écie, 
   {{0x645a363d,0x7bdc363e,0x61e6363f,0x7e6429b7}},	//   loti, _abru, cekl, glip, 
   {{0x973c2873,0x7bdc00a1,0x64483640,0x443e3641}},	// [2830] _bećk, _bbru, ondi, oit_, 
   {{0x645a3642,0x628a3643,0x7afc016a,0x64483644}},	//   noti, _kufo, _brrt, nndi, 
   {{0x64483645,0x443e0096,0x68fb0242,0xdb6b02be}},	//   indi, iit_, _srud, урал_, 
   {{0x443e3646,0xc1b7109f,0x1df90088,0x7e643647}},	//   hit_, _अयोग, _темы_, clip, 
   {{0x443e3648,0x645a3649,0x65620027,0x89a8017b}},	//   kit_, koti, _nyoh, сків_, 
   {{0x629809c4,0x443e364a,0x63aa010d,0x645a364b}},	//   _otvo, jit_, _nefn, joti, 
   {{0xa3be0fec,0x443e364c,0x645a364d,0x65620495}},	//   ेलन_, dit_, doti, _ayoh, 
   {{0xe619364e,0x6448029d,0x68fb364f,0x6e2d3650}},	//   рди_, endi, _trud, nhab, 
   {{0x4427075a,0x25ad3651,0x645a145e,0x64483652}},	//   _pln_, rael_, foti, fndi, 
   {{0x443e3653,0xddcd213d,0x63aa02bf,0xe705009c}},	//   git_, ylaş, _cefn, _وسای, 
   {{0x63aa02f0,0x27e73654,0x6e2d3655,0xdb1c00eb}},	//   _defn, menn_, khab, _scrú, 
   {{0x69cb031d,0x27e73656,0x60c62546,0x64480010}},	//   ngge, lenn_, tukm, andi, 
   {{0xe3ae3657,0x645a3658,0x61e63659,0xdb070126}},	//   _об_, boti, rekl, _dejé, 
   {{0x442c365a,0x61e6365b,0x645a365c,0x27e7365d}},	//   chd_, sekl, coti, nenn_, 
   {{0xa3d2006a,0x26c7365e,0x61e6365f,0xb34602aa}},	//   _हॉट_, nuno_, pekl, reçõ, 
   {{0x22b500e0,0xddcd0785,0x27e73660,0x76493661}},	//   māk_, rlaş, henn_, nney, 
   {{0x7e640fba,0x22b500e0,0x81d30086,0x27e706df}},	// [2840] rlip, lāk_, _হোক_, kenn_, 
   {{0xebe33662,0x27e73663,0xddcd0e03,0x7e643664}},	//   моуп, jenn_, plaş, slip, 
   {{0x27e705d5,0xd24f0274,0x22b500e0,0x0aea03fd}},	//   denn_, _سنی_, nāk_, рдей_, 
   {{0xe8fa3665,0x443e3666,0x6e2d0364,0xddcd002e}},	//   иле_, zit_, chab, rmaţ, 
   {{0x3ead00f1,0x64483667,0x645a00cf,0x28f83668}},	//   ćete_, yndi, yoti, сель_, 
   {{0x443e3669,0x973c00ef,0x27e700a1,0xfaa6366a}},	//   xit_, _heći, genn_, _маго, 
   {{0xdcf60092,0x26c7366b,0x368703aa,0xe5c6366c}},	//   mayı, guno_, осын_, оспо, 
   {{0xdcf60824,0x443e366d,0x76490102,0x22a7010e}},	//   layı, wit_, gney, dők_, 
   {{0x443e366e,0x629803ef,0x645a366f,0x27e703a0}},	//   tit_, _stvo, toti, benn_, 
   {{0x186a048a,0x47c30ec4,0xd378090b,0x64483670}},	//   _тази_, _обув, leći_, undi, 
   {{0x443e0c2e,0x2bcf0551,0x1bfb00c7,0x26c71e5e}},	//   rit_, स्टा, בליב, cuno_, 
   {{0x443e3671,0x95c715b9,0xd378090b,0xa2c0009a}},	//   sit_, _душа_, neći_, _विठ्, 
   {{0x443e3672,0xda7b0056,0x51843673,0xbcfb0096}},	//   pit_, ינטר, дура, _ayén, 
   {{0x7640012d,0x22b500e0,0xc05b3674,0x443e2e1e}},	//   limy, bāk_, рім_, qit_, 
   {{0x69cb155b,0x6e2d3675,0x973c053d,0x539b042c}},	//   ygge, thab, _beći, _דיוו, 
   {{0x2bdd0a34,0xd3780062,0x27e70237,0x6e24011d}},	//   न्ना, jeći_, zenn_, gkib, 
   {{0xd37802f5,0x6e2d3676,0xacf83677,0x26c700b4}},	// [2850] deći_, rhab, онту_, zuno_, 
   {{0x6e2d3678,0x26c73679,0x1c050262,0xad9b0165}},	//   shab, yuno_, राइल_, _inúm, 
   {{0x2c000081,0xce5902be,0x7649367a,0x7640367b}},	//   राजू_, _ганц_, yney, kimy, 
   {{0x76490216,0x26c70548,0x656f0032,0x7640016c}},	//   xney, vuno_, ýchk, jimy, 
   {{0x8cc20838,0x22b500e0,0x22a70019,0x27e7367c}},	//   _लियो, zāk_, zők_, tenn_, 
   {{0xf807367d,0x26c70156,0x00000000,0x00000000}},	//   ючен, tuno_, --, --, 
   {{0xd3780571,0x27e7367e,0x2a660f3a,0x5ed90033}},	//   beći_, renn_, blob_, ডিকে, 
   {{0x0609367f,0x22a7010e,0x22b50243,0x76400027}},	//   сник_, vők_, vāk_, gimy, 
   {{0x27e73680,0xe4d600eb,0x443c0126,0x76493681}},	//   penn_, كويت_, _bmv_, rney, 
   {{0x22a70019,0x26c71041,0x870700eb,0x22b501dd}},	//   tők_, puno_, _وبال, tāk_, 
   {{0x2bdd0f8e,0xfbdd049c,0x625d0212,0x28f80a10}},	//   न्या, न्यम, téop, _леӂь_, 
   {{0x22b50bc3,0x2c6d3077,0x26f90c06,0xe8030484}},	//   rāk_, _vždy_, ्मीर_, लाका_, 
   {{0x48fe072e,0x22b501dd,0xdcf6035d,0x00000000}},	//   लियो_, sāk_, yayı, --, 
   {{0xd3780d26,0xb4fa0486,0x2bc73682,0x9f4c1fac}},	//   zeći_, _לפני, _लागा, ždí_, 
   {{0x64413683,0x973c034c,0x0e6a00eb,0xf1d402e6}},	//   mili, _peći, مصري_, _थापन, 
   {{0xe1ff1056,0xa2c00b3e,0x79893684,0xddcd00ef}},	//   llón_, _वित्, _ngew, tmaš, 
   {{0x973c02f5,0x52db119b,0xd378090b,0x6e243685}},	// [2860] _veći, _बहुस, veći_, rkib, 
   {{0x6e243686,0xddcd0bfc,0x798902a5,0x61f63687}},	//   skib, rmaš, _agew, _hayl, 
   {{0x61f63688,0xd3780062,0xdcf60540,0x6297033c}},	//   _kayl, teći_, rayı, _éxod, 
   {{0x64413689,0x98a0368a,0x78a9045a,0x2242004f}},	//   hili, šič_, _bwev, nikk_, 
   {{0x6441368b,0x201a368c,0xd37804d1,0x61f6368d}},	//   kili, _kopi_, reći_, _mayl, 
   {{0xd378090b,0x4425368e,0x64410053,0xb05b01c4}},	//   seći_, jkl_, jili, hrän, 
   {{0x6441368f,0xd378090e,0x442500e2,0x443c3690}},	//   dili, peći_, dkl_, _rmv_, 
   {{0xa3d91cc0,0x61f63691,0x64413692,0xfaa61cc1}},	//   ड्स_, _nayl, eili, _маҳо, 
   {{0xbcfb3693,0x76403694,0xe1ff001d,0x786d0032}},	//   _nyél, rimy, flón_, súva, 
   {{0x39490068,0x682f0a1f,0x76403695,0x3a26206b}},	//   úase_, _rødg, simy, lkop_, 
   {{0x644f0518,0x46a305af,0x61f60495,0x224200dd}},	//   écia, _захв, _bayl, fikk_, 
   {{0xb05b022b,0x7ae101c4,0x2242017b,0x3a2608a3}},	//   grän, _älte, gikk_, nkop_, 
   {{0x21672cd7,0x2baf00ab,0xe1ff3696,0x682f0bf7}},	//   ятог, टरमा, blón_, _fødd, 
   {{0x201a00f8,0xe1ff033c,0x80df0033,0xbddb011c}},	//   _copi_, clón_, মিল্, _njèr, 
   {{0x629c063b,0xf1c600a2,0xb05b2162,0x61f632b1}},	//   írod, _वाचन, brän, _fayl, 
   {{0x61f63697,0x00000000,0x00000000,0x00000000}},	//   _gayl, --, --, --, 
   {{0x32092bbb,0xbcfb006b,0x91bc00a7,0xc1bc00a7}},	// [2870] _inay_, _azér, _המחי, _המחש, 
   {{0x682f02c9,0x32090108,0x628602be,0x201a017c}},	//   _køde, _hnay_, _éhor, _gopi_, 
   {{0x682f14a4,0x998900bc,0x61f63698,0xdb0e010c}},	//   _jøde, íkům_, _yayl, _hebê, 
   {{0x682f01cc,0x3a260c36,0x64410961,0x78a90237}},	//   _møde, gkop_, zili, _pwev, 
   {{0xa3be0582,0xbcfb0019,0xd37800d2,0x64413699}},	//   ेला_, _ezér, meću_, yili, 
   {{0xd378032f,0x66e5369a,0xdb0e0216,0x00000000}},	//   leću_, дока, _mebê, --, 
   {{0xe81e190a,0x3209027e,0x6441107d,0x682f1341}},	//   _बकरा_, _onay_, vili, _rødd, 
   {{0xc7440084,0x644102f0,0xdb07031e,0x63a400ef}},	//   عضوي, wili, _její, _đina, 
   {{0x3d000c15,0x8508005e,0x280800bc,0xdb07240a}},	//   रिये_, здың_, átní_, _mejí, 
   {{0x61f6369b,0xe7b513b4,0x3209369c,0x0325369d}},	//   _sayl, _آماد, _anay_, ддон, 
   {{0x61f60749,0xb05b1772,0x3a2d369e,0x1b1f0086}},	//   _payl, trän, _klep_, _যেতে_, 
   {{0x6441369f,0xd378268a,0x2bdd1f22,0xdb0e0165}},	//   sili, jeću_, न्ता, _bebê, 
   {{0x644136a0,0xd37801b4,0xb05b0a52,0x2242004f}},	//   pili, deću_, rrän, rikk_, 
   {{0x682f0c85,0x224200dd,0x232936a1,0xdee600c8}},	//   _føde, sikk_, _моли_, моги, 
   {{0x61f636a2,0xa0670176,0x682f0566,0x00000000}},	//   _tayl, фара_, _kødb, --, 
   {{0x7bc301d5,0x9f4300d8,0x00000000,0x00000000}},	//   ónun, cejí_, --, --, 
   {{0x2240001a,0x201a36a3,0xac8636a4,0xdb0e0ff2}},	// [2880] _imik_, _topi_, дгал, _gebê, 
   {{0x25dd1d95,0x32090054,0x3a2d36a5,0x93bc020f}},	//   क्ती_, _znay_, _alep_, lhăr, 
   {{0x2bdd031e,0x63bc0d68,0x3e4800b3,0x5f46009c}},	//   न्धा, órni, eşte_, _آنجل, 
   {{0xfaf800e0,0x3a2d0175,0x1d0a03dd,0xb9e3017b}},	//   _šīs_, _clep_, _деми_, віши, 
   {{0x2bc736a6,0x249d006d,0x089736a7,0x3a2636a8}},	//   _लाचा, _ntwm_, وضوع_, rkop_, 
   {{0x0ee20a09,0x2bdd21c2,0x68ed0165,0x9f4302d9}},	//   _पहाड, न्दा, çada, zejí_, 
   {{0xdb830a65,0x7c2e0036,0x3a2636a9,0xe8030249}},	//   _агри, _ilbr, pkop_, लाजा_, 
   {{0x26c036aa,0x2487003c,0x44f436ab,0xe5c618b2}},	//   čio_, _ainm_, епис, фско, 
   {{0x83fc056e,0x25af0036,0x682f0453,0x25bd0090}},	//   hođe, _degl_, _søde, _ddwl_, 
   {{0x83fc02a8,0xd378034c,0x224036ac,0x00000000}},	//   kođe, zeću_, _amik_, --, 
   {{0xd6cf0071,0x9726009c,0x78a20242,0x00000000}},	//   _نقل_, _تفاو, lpov, --, 
   {{0xc7b802f5,0x64a636ad,0xd251347e,0x7afa003e}},	//   _dođe_, _жада, انح_, _áttu, 
   {{0xd378090e,0xe803009a,0x7c2e36ae,0x5f940a65}},	//   veću_, लाचा_, _olbr, ӂист, 
   {{0x656f01c4,0xdb0e0218,0x9f4302d9,0x00000000}},	//   üche, _vebê, sejí_, --, 
   {{0x83fc00f1,0xd3780082,0x442e00b4,0x2d8b01fd}},	//   gođe, teću_, _ilf_, _pgce_, 
   {{0x41e71222,0x5c990b58,0x3209012b,0xddc40083}},	//   _ціка, зкая_, _unay_, enił, 
   {{0x5c750088,0x78a22e7d,0xd378090b,0x7bde36af}},	// [2890] елат, jpov, reću_, ffpu, 
   {{0x78a20076,0x83fc04d1,0x9f4c026e,0x6f030183}},	//   dpov, bođe, ždá_, _ánco, 
   {{0xb5fd03f5,0x00000000,0x00000000,0x00000000}},	//   loše, --, --, --, 
   {{0xdb1c26ca,0xd37b0070,0x8c490241,0x2cc40213}},	//   _acró, קראט, _başö, ürdü_, 
   {{0x5d8536b0,0xb5fd00d0,0x682f1341,0x00000000}},	//   _سلسل, noše, _rødb, --, 
   {{0x46f5004f,0x2c050035,0xb05b0080,0x25af36b1}},	//   ечит, राओं_, ttäy, _segl_, 
   {{0xa2c02122,0x7b6436b2,0x661d1cc9,0xf4140033}},	//   _विष्, _атте, ösko, িসার_, 
   {{0x248f0065,0x442e264e,0xbcfb3230,0x3a3f023e}},	//   _pugm_, _alf_, _nyék, _umup_, 
   {{0xb5fd0bad,0xc48502f1,0x26042a48,0xdb1c06df}},	//   joše, нлик, वाजी_, _adrè, 
   {{0xa2c008b3,0xb5fd2467,0x7af50035,0xc7b8044e}},	//   _विश्, doše, _kszt, _pođe_, 
   {{0x31692120,0x25af0b48,0x4374017b,0x33f403a1}},	//   _ayaz_, _tegl_, куют, тчыс, 
   {{0x83fc03ef,0xc7b80d26,0x3495081b,0xe60e0200}},	//   vođe, _vođe_, _задр, _ёд_, 
   {{0x660b182b,0x659402a6,0xb5fd0097,0x2bff00c9}},	//   _ingk, _рачу, goše, ईयां_, 
   {{0x26c70141,0x7af50019,0x95cc0095,0x31690237}},	//   orno_, _oszt, _çərç, _dyaz_, 
   {{0xdee336b3,0xbcfb0019,0x260400a2,0xe29a00e7}},	//   лори, _szép, वाची_, _trưa_, 
   {{0x26120a09,0x83fc0062,0x9f5836b4,0xd7df00b0}},	//   थायी_, rođe, ndré_, प्तच, 
   {{0x61e402ba,0x660b0ab1,0x7af50019,0xed5736b5}},	// [28a0] _ibil, _mngk, _aszt, еот_, 
   {{0x799b02a5,0x660b0175,0x6b560cb4,0xa7fc0241}},	//   _afuw, _lngk, нтех, _akın, 
   {{0x4fd707f5,0xe7c90366,0x7fd70137,0x660b36b6}},	//   _אויב_, _राजप, _אויס_, _ongk, 
   {{0x6ad00035,0x660b011c,0x78a200ca,0xdca6022c}},	//   _हमीर, _nngk, tpov, _пами, 
   {{0x61e4086d,0x67d436b7,0xe984005e,0x2bdd36b8}},	//   _mbil, волу, тқан, न्हा, 
   {{0x660b2e9a,0x25dd1d5b,0x7c2e0243,0xa2c03421}},	//   _angk, क्सी_, _ulbr, _विल्, 
   {{0x61e403ef,0x78a20d26,0x442e0226,0x799b02a5}},	//   _obil, spov, _rlf_, _ffuw, 
   {{0x78a200ca,0x7d090183,0xdb0e05d5,0x442e357d}},	//   ppov, _áesc, _rebè, _slf_, 
   {{0x545436b9,0x69c0008a,0x00000000,0x00000000}},	//   квит, _idme, --, --, 
   {{0x660b15da,0xccf300a7,0x26c736ba,0x88bb00d1}},	//   _engk, רכז_, brno_, _מזמי, 
   {{0x6fd7007e,0xdb0e23fc,0x31690065,0x61e400c3}},	//   _बाबू, _bebé, _syaz_, _bbil, 
   {{0x5ab707f5,0x29040604,0x625d0175,0x00000000}},	//   עלכע_, _krma_, léoz, --, 
   {{0x442e155b,0x64a30b38,0xdb0e033c,0xa4d436bb}},	//   _tlf_, _бача, _debé, _ролі, 
   {{0x61e40149,0xb5fd0688,0xdb07010e,0x63ad14b5}},	//   _ebil, roše, _lejá, _đang, 
   {{0xa3d936bc,0x9e070c16,0xb5fd0d02,0x69c036bd}},	//   _डॉट_, нчал, soše, _odme, 
   {{0xdb0e023e,0x28d136be,0x00000000,0x00000000}},	//   _gebé, _समलि, --, --, 
   {{0xf1bf0483,0x8bc736bf,0x7642045a,0xb05b02ae}},	// [28b0] nkám_, есед, _mmoy, nräk, 
   {{0x69c036c0,0x61e436c1,0x61fd36c2,0xf1bf0032}},	//   _adme, _zbil, ldsl, chár_, 
   {{0x8f3500b3,0xb5fd0372,0xdb07010e,0x66f30248}},	//   _ренц, nošc, _bejá, _təkə, 
   {{0x61fd27d5,0x61ef36c3,0x68ed36c4,0x00000000}},	//   ndsl, necl, çado, --, 
   {{0xd36600c5,0x7e6d36c5,0xdb0704b3,0x61fd36c6}},	//   _چه_, mlap, _dejá, idsl, 
   {{0xd36600c5,0x7e6d36c7,0x2904090e,0x76420532}},	//   _نه_, llap, _drma_, _amoy, 
   {{0x6c540bf8,0x8f9c00c7,0xcc5400fd,0x316c0083}},	//   _скру, ליגי, _свръ, ędzi_, 
   {{0x24992126,0x59d802e6,0x7e6d0019,0x60dd36c8}},	//   ísmo_, _डायर, nlap, ktsm, 
   {{0x9f4a03a1,0x25dd0239,0xe895012d,0x78bb0548}},	//   rebé_, क्षी_, _разь, _uvuv, 
   {{0x7e6d36c9,0x61e402a3,0x195700f0,0x764236ca}},	//   hlap, _sbil, _жағы_, _emoy, 
   {{0x6fdf07d5,0xe6c700eb,0x26dc0377,0x13a708b6}},	//   _पॉइं, _ستاي, ctvo_, ونکی_, 
   {{0x660b1021,0xa69600fe,0x60dd36cb,0x61e4008a}},	//   _ungk, _סכנה_, ftsm, _qbil, 
   {{0x463a0137,0xdb0e009e,0x628e0098,0x7e6d36cc}},	//   _קענע, _nebî, íbor, dlap, 
   {{0x6a782dab,0x25dd2158,0xb5fd00ef,0x701908af}},	//   mífe, क्री_, bošc, ніст_, 
   {{0x998f012d,0x61e436cd,0x644336ce,0x3ea10054}},	//   nigų_, _tbil, _imni, _ctht_, 
   {{0x61e4003a,0xe8d10394,0x7e6d13cd,0xa7fc027e}},	//   _ubil, _समूच, glap, _akıl, 
   {{0x0d8636cf,0xc7b80304,0x6a781c62,0x3e5a02d9}},	// [28c0] тлан, _lođa_, nífe, jďte_, 
   {{0xe0b70cec,0x9f5a0034,0xbbcc00bc,0x00000000}},	//   _שליט_, _japë_, ालेक, --, 
   {{0x3ea61b68,0xe9da36d0,0x3daa0080,0x6fd700aa}},	//   _шинг, дке_, _окно_, _बातू, 
   {{0x98a636d1,0x831a00c7,0x60c90097,0xceb80009}},	//   виде, וועז, šeme, šęs_, 
   {{0x83fc00ef,0xb17b0a1f,0x00000000,0x00000000}},	//   hođa, leår, --, --, 
   {{0x26ce001d,0xf1bf0098,0x6b9c019c,0x913b0225}},	//   tufo_, vkám_, _ufrg, וענק, 
   {{0xddcd00d9,0xd6d700f0,0x27ee00f8,0xcf9300d1}},	//   noaş, вты_, refn_, סטה_, 
   {{0x35f41eb4,0xd49a01a2,0xf1bf0098,0xceb30486}},	//   упир, мро_, tkám_, ביה_, 
   {{0x29040012,0xd9100274,0xba5500fd,0x61ef36d2}},	//   _urma_, _دیش_, _стръ, vecl, 
   {{0x1e1f36a6,0xa84a04f2,0x7e6d36d3,0x7e64045a}},	//   _यक्ष_, _غلام_, zlap, hoip, 
   {{0x83fc0112,0x1db21c54,0x0bb70486,0xf1bf2706}},	//   gođa, जरात, כלים_, skám_, 
   {{0x27e90519,0x76420204,0x60dd0611,0x6443027e}},	//   đane_, _umoy, ttsm, _emni, 
   {{0x6a780183,0x61fd36d4,0x041e0033,0xdb05007a}},	//   cífe, rdsl, যোগী_, rbhé, 
   {{0xdb05003e,0x69b407d5,0xb5fd0243,0x60dd0dd8}},	//   rahú, आरडी, moša, rtsm, 
   {{0x7e6d36d5,0x442c36d6,0x69d300b0,0xf487009c}},	//   tlap, mkd_, _डाली, _شاهی, 
   {{0x2d8f055f,0x64430035,0xfda40267,0x442c0096}},	//   øge_, _zmni, ијум, lkd_, 
   {{0x23b6000f,0x3d0d00ab,0xd7d200b0,0xb5fd00e0}},	// [28d0] _आजाद, समें_, _सांच, noša, 
   {{0x7e6d36d7,0x644836d8,0x628d0054,0xdb0e010c}},	//   slap, nidi, _hiao, _vebî, 
   {{0x68e90141,0xef1400d3,0xe0df02a3,0x6138039f}},	//   _sped, _күрө, ltò_, _túlé, 
   {{0x6e36026e,0xe1ff36d9,0xb5fd01dd,0x2c7402ae}},	//   chyb, ndó_, koša, räda_, 
   {{0x6e2d0053,0xe0df36da,0xb5fd01dd,0x89a8004f}},	//   mkab, ntò_, joša, тків_, 
   {{0xb5fd00e0,0x00000000,0x00000000,0x00000000}},	//   doša, --, --, --, 
   {{0x644836db,0x366936dc,0x81cb0086,0x81b90086}},	//   didi, нако_, র্য_, _চান_, 
   {{0x83fc02f5,0x6e2d36dd,0xc7b8003a,0x64430065}},	//   vođa, nkab, _vođa_, _smni, 
   {{0x644805f0,0x9f4300c8,0x629c03da,0xb5fd0243}},	//   fidi, lejä_, íron, goša, 
   {{0x644836de,0x628d00a1,0x6a780183,0xe5762609}},	//   gidi, _aiao, rífe, ызы_, 
   {{0x6e2d36df,0xe2861f72,0x84580093,0x05130033}},	//   kkab, ллои, ърът_, িনের_, 
   {{0x83fc01b4,0xa0a62ffc,0x628d36e0,0x82361c03}},	//   rođa, ламд, _ciao, اردا, 
   {{0x644836e1,0x7d09090b,0x628d36e2,0xa5c60183}},	//   bidi, _šesn, _diao, spóñ, 
   {{0xddc4031e,0x9f430088,0x9f5a0096,0x661b36e3}},	//   dliš, kejä_, _hapé_, ljuk, 
   {{0x75290019,0xd5b7072f,0x3ebe008c,0xe1ff0126}},	//   lyez, _इजाज, étt_, bdó_, 
   {{0x661b1630,0x6e2d2282,0x81cb0086,0x76490102}},	//   njuk, gkab, র্ব_, niey, 
   {{0x752936e4,0x753b36e5,0xec7a36e6,0x7e640126}},	// [28e0] nyez, nzuz, епа_, roip, 
   {{0x661b14b9,0xbc6a1896,0x1c0e1274,0x00000000}},	//   hjuk, رمان_, साइल_, --, 
   {{0x49ca36e7,0x6e2d04cd,0xae1c00aa,0x7e6436e8}},	//   елен_, bkab, _पचपन_, poip, 
   {{0x644836e9,0xb05b0219,0x9f5a05d5,0xddc40604}},	//   zidi, tsäg, _rapè_, bliš, 
   {{0x28f80c39,0xad9b0187,0x627c0035,0x644836ea}},	//   тель_, _vnút, _głoś, yidi, 
   {{0x7d0436eb,0xb8dc007e,0xb5fd00e0,0xdb150218}},	//   mvis, _आब_, voša, _mezê, 
   {{0xa3d70827,0xddc401dd,0xfaa30477,0xdb150216}},	//   िलन_, rniņ, _гасо, _lezê, 
   {{0xb5fd002a,0xceb300a7,0x644802bf,0xb05b0219}},	//   toša, זיה_, widi, psäg, 
   {{0x81cb00cc,0x7d040533,0x3ce036ec,0x7529010e}},	//   র্ড_, nvis, ntiv_, gyez, 
   {{0xb5fd00e0,0x2a660c3d,0xbddb00b9,0x5c370070}},	//   roša, loob_, _amèl, ָרטן_, 
   {{0xd7930084,0xe2152cee,0xb5fd36ed,0xddc40376}},	//   _المخ, амны, mošn, zliš, 
   {{0xb5fd36ee,0x644836ef,0x2a66050a,0x7d040844}},	//   lošn, sidi, noob_, kvis, 
   {{0x644836f0,0xa2c00f8e,0xe1ff36f1,0xc5f300a7}},	//   pidi, _विक्, rdó_, _לדף_, 
   {{0xb5fd00ef,0xe0df01d8,0x2a66006f,0x682f0453}},	//   nošn, rtò_, hoob_, _nødl, 
   {{0xd9040456,0xf8d136f2,0x27fe02f1,0x9f342e02}},	//   _کی_, _सम्प, _matn_, бері, 
   {{0xddc40097,0x3ceb00b9,0x7d0436f3,0x00000000}},	//   tliš, _ppcv_, fvis, --, 
   {{0xdb0e0503,0xbcfb1a3b,0x5bcb0267,0x661d0080}},	// [28f0] _debí, _nyét, ећег_, öski, 
   {{0xad9b0c1f,0x6e2d01cc,0x224b36f4,0x63ba36f5}},	//   _saúd, skab, lick_, natn, 
   {{0x81cb0086,0x7d0436f6,0x09bc0086,0x1a650019}},	//   র্ণ_, avis, _ইউজা, لیسی_, 
   {{0x98a9265d,0xdb07014e,0x7d040126,0x63ba36f7}},	//   šač_, _rejä, bvis, hatn, 
   {{0x212b36f8,0x61ff00a4,0x3ce000d9,0x30840499}},	//   nych_, _maql, ctiv_, _خلیف, 
   {{0x63ba0fd3,0x2ca900d4,0xb5fd00ef,0xfbcc0086}},	//   jatn, mpad_, gošn, র্বত, 
   {{0xac5801a2,0x75d5009c,0x2ca936f9,0xc7c400c8}},	//   _сарф_, ليغا, lpad_, ссчи, 
   {{0x0609196d,0x212b0187,0x248e01f2,0x81cb0033}},	//   тник_, kych_, _aifm_, র্ত_, 
   {{0xe6161e54,0x680b002a,0x63ba36fa,0xb5fd02fe}},	//   рды_, _pēdē, fatn, bošn, 
   {{0x212b36fb,0x661b0164,0x13090088,0x63ba36fc}},	//   dych_, sjuk, вной_, gatn, 
   {{0x35f515dd,0x7529094c,0x9f4c0228,0x63791cc1}},	//   _впер, syez, ždú_, ъсир_, 
   {{0x224b36fd,0x7d0436fe,0x2ca9040b,0x00000000}},	//   gick_, yvis, kpad_, --, 
   {{0x63ba36ff,0xd1761088,0x25ad3700,0xae0005d2}},	//   batn, рыны, mbel_, _लोगन_, 
   {{0x7d040fc9,0x98a002f5,0x645d3701,0x63ba3702}},	//   vvis, šić_, ésid, catn, 
   {{0xc4470105,0x6fd70586,0xdfcf00eb,0x71a63703}},	//   _لیکن_, _बारू, ظيف_, _кайз, 
   {{0x7d043704,0xada603dd,0x3ce00405,0x31260093}},	//   tvis, раал, ttiv_, _вдиг, 
   {{0x212b006a,0x1c463705,0x683400a1,0x68fb052b}},	// [2900] cych_, анам, _làda, _nsud, 
   {{0x629e1408,0x69db15c4,0xafe603a1,0x3ce03706}},	//   _époc, _acue, _тоол, rtiv_, 
   {{0x68fb3707,0x25ad3708,0x7d0426ad,0x3ce03709}},	//   _asud, kbel_, svis, stiv_, 
   {{0x09e6370a,0x7d04370b,0x25ad01c8,0x3f940d16}},	//   родн, pvis, jbel_, şbuğ_, 
   {{0x63ba370c,0xb5fd370d,0x9f5803a1,0x25ad0082}},	//   yatn, tošn, ldrà_, dbel_, 
   {{0x5694370e,0xd90d0274,0x69db001d,0x25ad370f}},	//   бакт, عیل_, _ecue, ebel_, 
   {{0x63ba00f1,0x212b00ab,0x9f583710,0x27fe0c86}},	//   vatn, zych_, ndrà_, _vatn_, 
   {{0x27e903ef,0x2c0a02f8,0x63ba1191,0xddcd0613}},	//   đana_, _होतं_, watn, zmaž, 
   {{0x63ba1175,0x15e200a2,0x088a004e,0x3d0900c9}},	//   tatn, क्षर_, _абай_, सिये_, 
   {{0x61ff00cf,0x3cf90d53,0x212b014b,0x683400a1}},	//   _saql, _उनसे_, vych_, _fàda, 
   {{0x212b0da6,0x25ad3711,0x14c20110,0x9f51021e}},	//   wych_, bbel_, _शिकण, rezë_, 
   {{0x2ca93712,0x212b3713,0x05861b9f,0x63ba3714}},	//   ypad_, tych_, _кулм, satn, 
   {{0x224b3715,0x63ba3716,0x925800fd,0x320500d8}},	//   rick_, patn, раят_, ěly_, 
   {{0x212b3717,0xf1a704cc,0x104b1ca5,0x32020032}},	//   rych_, _क्रन, тями_, adky_, 
   {{0xc05802fb,0xe29700ce,0x3e6b0f5a,0x645d3718}},	//   рія_, _кај_, вшан_, ésie, 
   {{0xdd9409d9,0xdda800d9,0x2ca93719,0x63b8371a}},	//   жаты, итул_, tpad_, _hevn, 
   {{0xdb050084,0xb5fd371b,0x63b8078a,0x387e0054}},	// [2910] rbhí, došl, _kevn, _ohtr_, 
   {{0x6298371c,0x63b8004f,0x2ca9371d,0x0ba71820}},	//   _kuvo, _jevn, rpad_, ршам, 
   {{0xb9950038,0xdb15010e,0xddc40083,0x6298371e}},	//   ملاب, _kezé, nniś, _juvo, 
   {{0x63b8031e,0x629802f1,0x2ca90219,0x3a240df7}},	//   _levn, _muvo, ppad_, _comp_, 
   {{0x2001371f,0xe1ff3720,0xa3b63024,0xb05b0502}},	//   _kahi_, llós_, जरा_, sräu, 
   {{0x9f5804b3,0x63b800dd,0x81dd0086,0x7bdc0038}},	//   ldrá_, _nevn, ড়ি_, _gcru, 
   {{0x26c1294c,0x2001002c,0x62983721,0xad9b0165}},	//   ého_, _mahi_, _nuvo, _gaúc, 
   {{0xa2c02369,0x9f580a22,0x26c914f0,0x20011a71}},	//   _विज्, ndrá_, čao_, _lahi_, 
   {{0x81dd00cc,0x68fb0704,0x25ad3722,0xa445186c}},	//   ড়া_, _usud, rbel_, йнид, 
   {{0xc6e70b0c,0x20010414,0x62980009,0x224901ca}},	//   _відп, _nahi_, _buvo, _amak_, 
   {{0x2a7f023b,0xd6db0886,0xe36500af,0x9f5a0036}},	//   _khub_, _шта_, скни, _capì_, 
   {{0x69d93723,0xf59500eb,0x81cb0086,0xb21b02c9}},	//   ngwe, _الإج, র্স_, smæn, 
   {{0x20013724,0x66ea00ad,0xdb1500da,0x5fdc03a2}},	//   _bahi_, _təkc, _dezé, _बादल, 
   {{0x8fa33725,0x22493726,0xa8790070,0xb21b01d5}},	//   заре, _emak_, טאָר, lmæl, 
   {{0xdb1c014b,0xb05b0219,0x20010d16,0x629800a3}},	//   _odrá, vrät, _dahi_, _guvo, 
   {{0x2a7f006d,0xb05b1df5,0x7bc73727,0xdb0e00da}},	//   _nhub_, tsäc, _adju, _nebá, 
   {{0x629801c4,0x20010379,0x3a243728,0xb05b02ae}},	// [2920] _zuvo, _fahi_, _romp_, trät, 
   {{0xd37e1993,0xddcd0083,0x69d9039b,0xb05b1df5}},	//   šćem_, gnał, egwe, rsäc, 
   {{0xb05b3729,0x5f062f89,0x3a24372a,0x9f5a0118}},	//   rrät, _узна, _pomp_, _enpò_, 
   {{0xb05b014e,0xd6da01a2,0xfce6372b,0x9acb010e}},	//   srät, ҳти_, _ломо, ادلہ_, 
   {{0xa3d70f8e,0xb05b0219,0xe918372c,0xc7b80082}},	//   िला_, prät, ролі_, _peđ_, 
   {{0xdca30013,0x6c360a24,0xd6da372d,0xc5e50033}},	//   _хари, _افسا, гти_, _খোলা_, 
   {{0xb5fd03ef,0x68e2372e,0x63b8372f,0x6e260219}},	//   pošl, stod, _revn, _kokb, 
   {{0xb8ce100b,0x60c40112,0x63b81db4,0xf1bf010e}},	//   _কি_, _ovim, _sevn, nkát_, 
   {{0x63b83077,0x62982fc2,0xdb050585,0x00000000}},	//   _pevn, _suvo, zahü, --, 
   {{0x96ba3730,0x22493731,0x682f00fb,0x9f58020b}},	//   _буду_, _smak_, _nødh, zdrá_, 
   {{0xe69600eb,0x88810444,0xd5af3732,0x629800a3}},	//   _الصد, _تیون, _нс_, _quvo, 
   {{0xe7170056,0x80dd00cc,0x3cf9000d,0xddcd0083}},	//   _לחבר_, যবস্, _उनले_, znał, 
   {{0x914b26f1,0xdb15010e,0x20010175,0x645d014a}},	//   учна_, _vezé, _pahi_, ésic, 
   {{0xf1db00f4,0x25de1e25,0xdb1c055f,0x234800d4}},	//   _भावन, _गाडी_, _idræ, _پستی_, 
   {{0x81cb0033,0x9f34004f,0x80ce009a,0x8f343733}},	//   র্ষ_, пері, _तिथे, перц, 
   {{0x6602007e,0x224900d0,0x2001025b,0x6a7800e9}},	//   _jaok, _umak_, _wahi_, dífo, 
   {{0x20013734,0x61ed1041,0x6e26011c,0x66020226}},	// [2930] _tahi_, _ibal, _dokb, _maok, 
   {{0xb606265d,0x44e2008c,0x81cb0086,0x66023735}},	//   lašć, ið_, র্শ_, _laok, 
   {{0x999900d3,0xaab5004f,0x2a7f0387,0x3d950a36}},	//   акет_, ійді, _phub_, _минр, 
   {{0x2a7f0201,0x66023736,0x497500d9,0x998d3737}},	//   _qhub_, _naok, олес, _aleš_, 
   {{0x61ed3738,0x4ac50081,0x7bc3010d,0xd8253739}},	//   _mbal, _लटकव, ónus, ждли, 
   {{0x16a92463,0xbcfb026a,0x23d402e6,0x7bc704c6}},	//   авки_, _exéc, _दागद, _udju, 
   {{0xe739373a,0x4639373b,0x6602373c,0xb21b003e}},	//   рей_, ичия_, _baok, tmæl, 
   {{0xe7f500ab,0x25de00a2,0x79e70019,0xb5fd0fb5}},	//   _इसका_, _गाणी_, _دورہ_, mošk, 
   {{0x998d0d9d,0x66020054,0x8459373d,0xd83805d5}},	//   _fleš_, _daok, ирот_, _flč_, 
   {{0x61ed0f47,0x72c500d9,0x81b90033,0xb21b373e}},	//   _abal, обоз, _চাষ_, smæl, 
   {{0x60c402f5,0xfbd2042c,0x7c270082,0x61ed01a3}},	//   _svim, ותי_, _mojr, _bbal, 
   {{0x7c27024a,0x7b20032f,0xe5ef00c8,0x290d02c5}},	//   _lojr, _ušuš, äkää, _krea_, 
   {{0x644f026d,0xe44e373f,0x25de02e6,0xb1433740}},	//   écis, _жж_, _गाती_, днял, 
   {{0xb5fd03ac,0x61ed3741,0xdfd20038,0x1617009a}},	//   košk, _ebal, بيس_, थावर_, 
   {{0xb5fd04d1,0x81b90086,0xa3a91503,0x44272d1a}},	//   jošk, _চার_, गुण_, _ion_, 
   {{0x44273742,0xee373743,0x78a9031e,0x6d0502e6}},	//   _hon_, онс_, _otev, रिंग_, 
   {{0x44273744,0x9c2604a0,0xec4a0088,0x60c4095a}},	// [2940] _kon_, одад, азал_, _uvim, 
   {{0x44273745,0xb05b02ae,0x61ed3746,0xee390176}},	//   _jon_, lsän, _zbal, анӣ_, 
   {{0x44271164,0xdb15010c,0x290d3747,0x78a90054}},	//   _mon_, _wezî, _area_, _atev, 
   {{0x44273748,0x290d3749,0x38c80116,0x8f7b00d1}},	//   _lon_, _brea_, ماتی_, _כניק, 
   {{0x290d2d58,0xa88a24e9,0xe9f7005e,0x4427374a}},	//   _crea_, айда_, інші_, _oon_, 
   {{0x4427374b,0xb8f20cb8,0x764b02bf,0x6602374c}},	//   _non_, _वि_, _amgy, _saok, 
   {{0xab2a0021,0xb5fd00ef,0xd8380864,0xd6d00038}},	//   _това_, cošk, _vlč_, رقة_, 
   {{0x44271049,0x290d0183,0x25bf374d,0xcf9300d1}},	//   _aon_, _frea_, gaul_, וטו_, 
   {{0x4427374e,0xe4e602fb,0x25eb05d2,0x290d00b3}},	//   _bon_, ційн, _अउरी_, _grea_, 
   {{0x4427374f,0x44e2010d,0x61ed3750,0x6602095a}},	//   _con_, rð_, _sbal, _waok, 
   {{0x44270056,0x2be22649,0xd25100c5,0xe7f7190a}},	//   _don_, _पाना, فند_, ंजरा_, 
   {{0x787f009e,0x92580080,0x9f4514d9,0xe80200bc}},	//   rêve, жают_, ýlí_, लयका_, 
   {{0x44273751,0xc21800dd,0xb60600d2,0x8556009c}},	//   _fon_, ією_, rašć, _بخاط, 
   {{0x44273752,0x9f4c063b,0xdb1e02aa,0xddcd0083}},	//   _gon_, ždý_, rapê, znań, 
   {{0x764b02bf,0x62353668,0xb6060b91,0x61ed00a1}},	//   _ymgy, _неку, pašć, _tbal, 
   {{0x44273753,0x61ed3754,0xc7b800d0,0x4d9905e0}},	//   _zon_, _ubal, _dođi_, скаю_, 
   {{0x44273755,0x2d8f02e7,0x9f580218,0xe04b00d4}},	// [2950] _yon_, äge_, nerê_, _نشده_, 
   {{0xfbab3756,0x645a3757,0xae14017d,0xdb170042}},	//   ртай_, nnti, डाउन_, saxí, 
   {{0xdb1c0218,0xc7b80082,0xdefb3758,0x1df9021d}},	//   _herê, _gođi_, _тып_, _лены_, 
   {{0xb5fd11c8,0x290d002e,0xf9c702fb,0x9f58010c}},	//   rošk, _prea_, іщен, kerê_, 
   {{0xf9902daa,0x25bf00ef,0x00000000,0x00000000}},	//   نبه_, vaul_, --, --, 
   {{0x290d002e,0x2be2009a,0xb5fd3759,0x7e6d375a}},	//   _vrea_, _पाया, pošk, loap, 
   {{0x443e375b,0x2b57009c,0x4427375c,0x00000000}},	//   dht_, _بیاد_, _ron_, --, 
   {{0x44270656,0x682f155b,0x443e01c4,0x645a375d}},	//   _son_, _nødv, eht_, enti, 
   {{0x9f58009e,0x60c902c7,0x3d0e00bd,0x25bf375e}},	//   gerê_, šemj, ठिये_, raul_, 
   {{0x443e0052,0x442702f1,0x7e6d0379,0x00000000}},	//   ght_, _qon_, hoap, --, 
   {{0x4427375f,0xa82200d4,0xdb0e01c4,0x25bf3760}},	//   _von_, _سکون, _gebä, paul_, 
   {{0x9f580218,0x645a3761,0xfc3f288a,0xc04900a7}},	//   berê_, anti, _stíl_, _גז_, 
   {{0x44273762,0x443e0557,0x645a0201,0xb05b0c98}},	//   _ton_, bht_, bnti, rsän, 
   {{0x443e3763,0x25bd0218,0x9f5a00fd,0xc7b800ca}},	//   cht_, _hewl_, _papà_, _pođi_, 
   {{0xe7ed148e,0x25bd0102,0xfbd20019,0xdb1e021e}},	//   च्या_, _kewl_, ہتا_, rapë, 
   {{0x9f4b010e,0xc7b8032f,0xdb1c010c,0x00000000}},	//   áját_, _vođi_, _ferê, --, 
   {{0x2bca08a5,0x629c0098,0xb5fd3764,0xdb1c3765}},	// [2960] йлап_, írov, goši, _gerê, 
   {{0x62963766,0x628401be,0x9f58021e,0x00000000}},	//   _hiyo, _hhio, nerë_, --, 
   {{0xeb972918,0x62963767,0x4f9b00d1,0x9f58010c}},	//   чих_, _kiyo, _לביצ, zerê_, 
   {{0x6296059c,0x9f583768,0xdb1c024a,0x83fc0097}},	//   _jiyo, yerê_, _herë, rođi, 
   {{0x645a3769,0x62840094,0x6296376a,0x6e240548}},	//   ynti, _mhio, _miyo, mjib, 
   {{0x9f583768,0x186704fb,0xdb1e0175,0x6d44018e}},	//   verê_, пачи_, hapé, mzia, 
   {{0x81d400cc,0x8f9b035c,0xf1be031e,0xe3c30086}},	//   স্য_, זיצי, ्णान, ্ভাব, 
   {{0x9f58009e,0x6296376b,0x645a35b8,0x6e360009}},	//   terê_, _niyo, wnti, nkyb, 
   {{0x6d44048a,0x682f192b,0xa4f8015f,0xdb1e02be}},	//   nzia, _rødv, تکار_, dapé, 
   {{0x7bde376c,0x81b90086,0x533411ce,0x644f0107}},	//   ngpu, _চাই_, деот, écip, 
   {{0x6296376d,0xddcd031e,0x6284004c,0xe41a0228}},	//   _biyo, hlaš, _bhio, _kľúč, 
   {{0x443e078e,0x6284376e,0x6d44376f,0xdb1e3770}},	//   sht_, _chio, kzia, rapè, 
   {{0x62963771,0x62843772,0x6d44023b,0x2c660054}},	//   _diyo, _dhio, jzia, sôdy_, 
   {{0x6d44006a,0xc9530056,0xc05b0448,0x9f580034}},	//   dzia, תמש_, сім_, cerë_, 
   {{0x6284003c,0x7e6d3773,0x9f5a0634,0xb17b055f}},	//   _fhio, toap, _papá_, dgåe, 
   {{0x33770056,0x62843774,0x443c00e7,0xdb1e0107}},	//   _מתוך_, _ghio, _hlv_, capé, 
   {{0x7e6d002e,0x8d7700eb,0xdb1c03dd,0x69c200b4}},	// [2970] roap, سارا, _herè, daoe, 
   {{0x62963775,0x9f4a009e,0xdb1c0118,0x7e6d020f}},	//   _ziyo, nebû_, _kerè, soap, 
   {{0x3cf9119f,0x62963776,0x682f02c9,0xdb1c0237}},	//   _उनके_, _yiyo, _mødt, _jerè, 
   {{0xdb0e0218,0xddcd3777,0xdb1c00b9,0x629601ff}},	//   _hebû, blaš, _merè, _xiyo, 
   {{0x8c3b02ec,0x9984031e,0x443c1895,0xc7b80613}},	//   _auße, _domů_, _olv_, _lođu_, 
   {{0x7d0d3778,0x66ea0095,0xddc4015e,0xe8f8012d}},	//   mvas, _təkl, moiš, ялі_, 
   {{0x7d0d3779,0x261900c9,0x69c202be,0x00000000}},	//   lvas, भाली_, baoe, --, 
   {{0x443c00c8,0xbddb0118,0x80b30033,0x69c202be}},	//   _alv_, _imès, _জিন্, caoe, 
   {{0xc9873270,0x799b012b,0x58d4377a,0x7d0d377b}},	//   _хуви, _iguw, _потт, nvas, 
   {{0x629600cf,0x6284377c,0xdb0e009e,0xdb1c0118}},	//   _siyo, _shio, _nebû, _berè, 
   {{0xb05b022b,0x6fd700a2,0x7d0d06a6,0x6d44377d}},	//   rsäl, _बाजू, hvas, zzia, 
   {{0xc7b804d1,0x63ad078a,0x1c0a00a2,0x5eac0086}},	//   _dođu_, _şand, _होईल_, _ছিলে, 
   {{0xdb1c00e5,0xdb1e0634,0xd0120019,0x443c377e}},	//   _perë, rapé, پلز_, _flv_, 
   {{0x40950715,0x6609377f,0xddcd2e7d,0xdfd20038}},	//   ерст, ldek, vlaš, ضير_, 
   {{0xdee33780,0x6284009f,0xdb1c3781,0x26c70a1a}},	//   кори, _thio, _verë, nsno_, 
   {{0x6d440a9f,0xa3a90c59,0x799b3782,0x4425019b}},	//   tzia, गुर_, _nguw, ljl_, 
   {{0x6e24016a,0x7d0d18c7,0xb17b0f96,0xfd6500f6}},	// [2980] rjib, gvas, tgåe, ентү, 
   {{0x6d443783,0x660900c8,0x3eba02aa,0x2fc30ab4}},	//   rzia, hdek, _twpt_, cajg_, 
   {{0x7d0921bc,0xdb1c3784,0x25de00b5,0xf09307e4}},	//   _šest, _keré, _गाली_, _שנת_, 
   {{0x8c480095,0xa2d53785,0xceb3042c,0xddcd01dd}},	//   _başç, _भिन्, _שיר_, plaš, 
   {{0x81cb0086,0x201a016a,0x66090547,0x81d40086}},	//   র্ক_, _knpi_, ddek, স্থ_, 
   {{0x76aa3786,0x9f5806df,0x645d0107,0xfbd50033}},	//   отив_, terè_, ésil, স্বত, 
   {{0x64410673,0x8c3b01c4,0x61e40082,0x443c0226}},	//   dhli, _fußb, _ocil, _rlv_, 
   {{0x60c9090e,0x81d40086,0x682f0566,0x9f5801e5}},	//   šemi, স্ত_, _bøds, geré_, 
   {{0x998d026e,0x69c000e0,0x7d090183,0x6ad30086}},	//   _pleť_, _ieme, _áest, _সহযো, 
   {{0x69c03787,0x29043788,0x682f08bb,0x61e43789}},	//   _heme, _isma_, _døds, _acil, 
   {{0x69c0378a,0xbbd7035c,0x3946001d,0x78a0016c}},	//   _keme, וויץ_, lzos_, _humv, 
   {{0x69c0378b,0x51871b68,0x78a019bb,0x682f08bb}},	//   _jeme, дуга, _kumv, _føds, 
   {{0x69c01630,0x3946378c,0x656f01c4,0xdb1e0216}},	//   _meme, nzos_, ücht, xapî, 
   {{0x6441378d,0xdb0e378e,0x69c0378f,0x78a03790}},	//   chli, _qebû, _leme, _mumv, 
   {{0xfe73195e,0x32670093,0x9f4102a3,0xdb0e010c}},	//   ندر_, _отив, _xchè_, _vebû, 
   {{0x27e903ef,0x69c03791,0xdb15026e,0xe508001b}},	//   đani_, _neme, _nezá, _kỷ_, 
   {{0xa2da09d3,0x61fd3792,0xddc40b04,0x682f01e8}},	// [2990] पूर्, mesl, bliž, _mødr, 
   {{0x69c01c62,0x320907fc,0x6609027e,0x4ea700f0}},	//   _aeme, _haay_, zdek, _орма, 
   {{0x69c03793,0x29040985,0x3ce93794,0x7d0d3795}},	//   _beme, _asma_, stav_, svas, 
   {{0xfe350137,0x61fd3796,0xdb053797,0x6f0500a3}},	//   _נאָך_, nesl, nché, _ishc, 
   {{0x69c013d7,0xadd6042c,0x9f580216,0x2904012b}},	//   _deme, _אורח_, nerî_, _csma_, 
   {{0xa3b000c2,0x682f00fb,0x013800d1,0x61fd00da}},	//   टुम_, _røds, ורדת_, hesl, 
   {{0x69c03798,0x7bc53799,0x66090d2d,0xb5fd0242}},	//   _feme, mahu, tdek, košt, 
   {{0x69c0379a,0x7bc5379b,0x9f580216,0x3209012b}},	//   _geme, lahu, kerî_, _naay_, 
   {{0x6441379c,0x2904379d,0x00000000,0x00000000}},	//   thli, _gsma_, --, --, 
   {{0xc984379e,0x69c0379f,0x7bc50bc1,0x61e40038}},	//   _руси, _zeme, nahu, _scil, 
   {{0x69c032fa,0x35b51afd,0x32090237,0xdb1c37a0}},	//   _yeme, _збер, _baay_, _peré, 
   {{0xcb120137,0x61fd01a9,0x6a78118d,0x683400d3}},	//   אלט_, gesl, tífi, _ràdi, 
   {{0x7bc52282,0xdb1c010c,0x78a0006d,0x9f58010c}},	//   kahu, _nerî, _xumv, gerî_, 
   {{0xf8b200a7,0x3a2d12b6,0x7bc537a1,0x15f90110}},	//   רשם_, _loep_, jahu, ्यकर_, 
   {{0xdb1c247e,0x3a3f37a2,0x61fd37a3,0x7bc537a4}},	//   _teré, _olup_, besl, dahu, 
   {{0x61e4015e,0xdb1c010c,0x9f58009e,0x2be2009a}},	//   _ucil, _berî, berî_, _पाहा, 
   {{0xc6920cec,0x69c037a5,0x7afb1b90,0x224037a6}},	// [29a0] ראן_, _reme, _ćuta, _ilik_, 
   {{0x7bc537a7,0x6cd30038,0xdb1c009e,0x09d8009a}},	//   gahu, اقلا, _derî, डल्य, 
   {{0x69c037a8,0x3a2d040b,0x06b40033,0x229a0243}},	//   _peme, _boep_, _টিভি, _kūka_, 
   {{0x4ad100a2,0xc9861768,0x9fb80033,0xdb1c009e}},	//   _हिरव, нули, _জায়গ, _ferî, 
   {{0xa3cf3512,0xdb1c078a,0x7bc537a9,0x69c00034}},	//   षणा_, _gerî, bahu, _veme, 
   {{0x26dc37aa,0x394637ab,0x7bc537ac,0x7bce055f}},	//   tuvo_, rzos_, cahu, _udbu, 
   {{0x81cb00cc,0x8c1b0137,0x316c00ab,0xcb6737ad}},	//   র্ট_, _צולי, ędzy_, _заре_, 
   {{0x3a3f0704,0xb21b02c9,0x7c2e37ae,0x9b1700d1}},	//   _glup_, mlæg, _hobr, _אחלה_, 
   {{0xdb1c078a,0x7c2e37af,0xb21b02c9,0x61fd1240}},	//   _xerî, _kobr, llæg, vesl, 
   {{0xb05b022b,0x224037b0,0xb806006b,0x73380e8f}},	//   rsäk, _alik_, _سکتے_, дзор_, 
   {{0x1de10c15,0x224037b1,0x9f580218,0xb21b37b2}},	//   _फालत, _blik_, werî_, nlæg, 
   {{0xe5080029,0x60dd03f0,0x22400096,0xb0a500a5}},	//   _tỷ_, tusm, _clik_, _गंदग, 
   {{0xdb0537b3,0x61fd37b4,0x7bc537b5,0x3ea106a6}},	//   rché, resl, yahu, _suht_, 
   {{0x7c2e37b6,0x32090102,0x224037b7,0xdb050534}},	//   _nobr, _waay_, _elik_, sché, 
   {{0xb5fd00d2,0xe1930161,0x9f58009e,0xddc40035}},	//   pošt, _өлкө, serî_, bliż, 
   {{0x442e37b8,0xa2d5000d,0xb21b055f,0xdb1e0369}},	//   _hof_, _भित्, dlæg, gapí, 
   {{0x7bc537b9,0x5c7504c5,0x5c9913f2,0x3a2d15e9}},	// [29b0] tahu, влат, дкая_, _roep_, 
   {{0xddeb00c5,0x3a2d01c8,0xe1ff30da,0x7c2e37ba}},	//   _کرده_, _soep_, leó_, _cobr, 
   {{0x7bc537bb,0x442e37bc,0x3a2d12b6,0xfbe20249}},	//   rahu, _mof_, _poep_, _पारम, 
   {{0x7bc50a41,0x442e37bd,0xe1ff0126,0xdb1c009e}},	//   sahu, _lof_, neó_, _terî, 
   {{0x26cc02fe,0x7bc537be,0xbddb03a1,0x8d8401a2}},	//   _avdo_, pahu, _elèc, _бурд, 
   {{0x81cb00cc,0xbddb37bf,0x7d090183,0x28d221d2}},	//   র্চ_, _flèc, _áesq, _सिरि, 
   {{0x1c0a37c0,0x3a2d0876,0xaa5937c1,0x6e2f0144}},	//   _होटल_, _toep_, _живу_, _kocb, 
   {{0x7c2e0c7f,0x60cd05ae,0xb9070033,0xe1ff0126}},	//   _zobr, _ovam, _বন_, jeó_, 
   {{0xe1ff0019,0xe81e0262,0x26cc02a2,0x98f40040}},	//   deó_, पाशा_, _evdo_, _مثلا, 
   {{0x224000fc,0x442e00f8,0xddcd0035,0x9f580036}},	//   _slik_, _cof_, niał, ferì_, 
   {{0xb21b37c2,0x60cd00b0,0xe81e02e6,0x22400035}},	//   klæd, _avam, पारा_, _plik_, 
   {{0x6b9a003e,0x27e90b91,0x81cb0033,0x6e2f00a1}},	//   _útge, đanu_, র্ঘ_, _nocb, 
   {{0xf1bf0019,0x7e69090e,0xa50937c3,0xdd0102d9}},	//   pján_, čepl, _цела_, čtět, 
   {{0xd47900c7,0x60cd0372,0x03a201a2,0x65940267}},	//   _קאַל, _dvam, _кишо, _сачу, 
   {{0xe45600c7,0x660b012b,0xd46637c4,0x60cd0a6d}},	//   _ביסט_, _kagk, _шише_, _evam, 
   {{0xb17b014e,0x22400693,0x28d202ff,0xb21b0566}},	//   mgån, _ulik_, _सिलि, glæd, 
   {{0xed571ba1,0x660b37c5,0x7c2e37c6,0xdca337c7}},	// [29c0] вот_, _magk, _pobr, иати, 
   {{0x14d400a2,0x1c1c00b0,0x660b0c17,0x21370070}},	//   _दिसण, नाइल_, _lagk, _סטיל_, 
   {{0x9f480088,0xb17b02ae,0x8b961f79,0x403b029e}},	//   ähän_, ngån, трач, _חגיג, 
   {{0x660b03eb,0xb21b37c8,0xd8380864,0x7c2e017c}},	//   _nagk, rlæg, _miče_, _wobr, 
   {{0x61f600e5,0xd838044e,0x7d090183,0x09e337c9}},	//   _mbyl, _liče_, _áesp, рочн, 
   {{0xddcd00ab,0x9873012d,0x7c2e044e,0x7d0402b8}},	//   ciał, аліц, _uobr, mwis, 
   {{0x442000f7,0x7d0437ca,0x660b37cb,0x5a960cdf}},	//   _đi_, lwis, _bagk, _араф, 
   {{0x26192cad,0xb17b0219,0x442e37cc,0xddcd00da}},	//   भागी_, dgån, _sof_, plať, 
   {{0x18a637cd,0x2ca60084,0x57ea37ce,0x660b37cf}},	//   _разм, íodh_, _одам_, _dagk, 
   {{0xdb1c0126,0x6a780d57,0x683400b9,0xd83800de}},	//   _lerí, rífu, _pàdu, _biče_, 
   {{0x60cd37d0,0x9f580126,0xe1ff0369,0x442e01d2}},	//   _svam, ferí_, teó_, _vof_, 
   {{0x7d0437d1,0xddcd0035,0x44eb017b,0x80d735ad}},	//   kwis, ział, bø_, _बिदे, 
   {{0x442e37d2,0x6600095a,0x628f039b,0x76420104}},	//   _tof_, memk, rmco, _iloy, 
   {{0x76420415,0xb21b0566,0xe1ff0126,0x244003a0}},	//   _hloy, gmær, seó_, _fòma_, 
   {{0x9f530068,0x4ea4286c,0x6738010e,0x925937d3}},	//   _raxó_, ирта, nyvj, _пакт_, 
   {{0x6d0e11bd,0xd258002e,0xddcd0035,0x1287009c}},	//   सिंग_, _аць_, wiał, _جمعی_, 
   {{0xd9041cad,0x2d58030f,0x22590310,0xebc70886}},	// [29d0] _بی_, вить_, misk_, вљен, 
   {{0x764237d4,0x22590430,0x5fb72488,0x660037d5}},	//   _lloy, lisk_, _अभिल, hemk, 
   {{0xddcd00ab,0x9f35004e,0x0ba437d6,0x98b801dd}},	//   riał, _сені, ршум, _ārā_, 
   {{0x22590310,0x629e026a,0x66000352,0xddcd0035}},	//   nisk_, _épou, jemk, siał, 
   {{0x4dda0056,0xdb1c37d7,0x62560121,0x660b0175}},	//   _אחרו, _cerâ, dšol, _ragk, 
   {{0xd36629ce,0x764237d8,0x00000000,0x00000000}},	//   _هه_, _aloy, --, --, 
   {{0x660b146f,0x225905ac,0xf0940070,0x00000000}},	//   _pagk, kisk_, בנס_, --, 
   {{0xd83802fe,0xf5091444,0xda0b00b0,0xdb07039f}},	//   _riče_, енил_, _सोचत_, _bejö, 
   {{0x22592379,0x03a50978,0x9f580032,0xa97800f0}},	//   disk_, липо, verí_, _айту_, 
   {{0x2c1c0035,0x58870b34,0x76420118,0xb17b02ae}},	//   नाएं_, _рыба, _eloy, tgån, 
   {{0x22590310,0xc73500d6,0x660b37d9,0x7d0437da}},	//   fisk_, _حفاظ, _tagk, zwis, 
   {{0x22590310,0x764200f3,0xb17b0219,0xd838090e}},	//   gisk_, _gloy, rgån, _viče_, 
   {{0x51560afc,0x7fd6128b,0x515502be,0xb21b0566}},	//   утну, ліві, атру, tmær, 
   {{0xdb1c128a,0x25ad37db,0xc5e300a5,0xb17b02ae}},	//   _serí, lcel_, _गाँठ_, pgån, 
   {{0xdb1c37dc,0x22592379,0xb21b0566,0x644337dd}},	//   _perí, bisk_, rmær, _ilni, 
   {{0x25ad37de,0x6d4106d0,0x7d0437df,0x22590035}},	//   ncel_, _əlav, twis, cisk_, 
   {{0xdb1c37e0,0x00000000,0x00000000,0x00000000}},	// [29e0] _verí, --, --, --, 
   {{0x7d0437e1,0x66000076,0xc00637e2,0x629e03a1}},	//   rwis, zemk, _спок, _èpoc, 
   {{0xdb1c37e3,0x91a937e4,0x28c6047c,0x41b8007e}},	//   _terí, _hoá_, रीनि, _आभास, 
   {{0x66ea06d0,0x9f58245d,0x32020379,0xfe4237e5}},	//   _məkt, merà_, neky_, _اکسی, 
   {{0x9f5801d8,0xc7b80304,0xbddb023e,0xed3600d9}},	//   lerà_, _anđa_, _klèn, _сэнэ, 
   {{0xdcfd00e0,0xe89401fc,0x6d4800ad,0x80d735d0}},	//   _uzsā, шаль, _ədal, _बिसे, 
   {{0xdc671a57,0xf1ba0029,0x9f5801d8,0x660000b4}},	//   _сард_, _đơn_, nerà_, temk, 
   {{0x963437e6,0x7e64007e,0xb05b0219,0x7c3e000b}},	//   рниц, nnip, lsät, lkpr, 
   {{0x80a037e7,0x3d170b79,0x896615a7,0x888637e8}},	//   _गंगे, निये_, _скаж, _блаж, 
   {{0x261900a2,0x54540093,0x7c3e2a73,0xb05b37e9}},	//   _मोठी_, рвот, nkpr, nsät, 
   {{0x22590310,0xa3e502f8,0xb89300eb,0x7e641a0d}},	//   tisk_, _फार_, _اللع, knip, 
   {{0x9f5837ea,0xdb050165,0xbb3b0070,0xe5a637eb}},	//   derà_, lchã, געטי, _сиди, 
   {{0x22590310,0xf1bf0019,0xbddb023e,0xe3af00d4}},	//   risk_, lják_, _blèn, غری_, 
   {{0x22590310,0xbddb023e,0xdb1e0126,0x439400d3}},	//   sisk_, _clèn, zapá, _калс, 
   {{0x645a37ec,0x225937ed,0x33170740,0x2139024a}},	//   miti, pisk_, _مزيد_, sysh_, 
   {{0x443e37ee,0x442c0219,0x7e64137f,0x31660097}},	//   lkt_, ljd_, gnip, _žoze_, 
   {{0xdc550aa3,0xad9b0068,0x26c10019,0x628d0379}},	// [29f0] авањ, _naút, ához_, _ihao, 
   {{0xe7e011bd,0x645a37ef,0x2ca9008a,0xb05b014e}},	//   _नागप, niti, rqad_, gsät, 
   {{0x443e37f0,0xdb0e01c4,0x628d0149,0x629f114e}},	//   ikt_, _gebü, _khao, _épos, 
   {{0x645a37f1,0xdb1c03b7,0x39151219,0x200337f2}},	//   hiti, _serã, имер, leji_, 
   {{0x628d1232,0xfc3f0038,0x9f580126,0xb5fd00ca}},	//   _mhao, _dtír_, merá_, jnša, 
   {{0x443e0536,0x645a37f3,0x201137f4,0x7c3e1096}},	//   jkt_, jiti, ndzi_, ckpr, 
   {{0xfc3f1056,0x645a37f5,0xdb1c02a0,0xaa9500dd}},	//   _guía_, diti, _verã, _вивч, 
   {{0xceb41a61,0x6e2d37f6,0xe61900cf,0x443e13fe}},	//   זיק_, njab, тди_, ekt_, 
   {{0x645a37f7,0x7bc70982,0x87e703b1,0xdb1c02a0}},	//   fiti, _keju, _مثال, _terã, 
   {{0x69cb37f8,0x7bc737f9,0xdb1c0068,0x25ad37fa}},	//   lage, _jeju, _herá, scel_, 
   {{0x38ab01e8,0x20030356,0x9f58022c,0x7bd50532}},	//   _hør_, deji_, xerà_, _mdzu, 
   {{0x628d1600,0x69cb37fb,0x7bc72fea,0x443e012e}},	//   _chao, nage, _leju, akt_, 
   {{0x645a37fc,0x628d11a1,0x9f580c1f,0x3202014b}},	//   biti, _dhao, derá_, reky_, 
   {{0x443e37fd,0x69cb37fe,0x9f583721,0x261937ff}},	//   ckt_, hage, terà_, _मोती_, 
   {{0x69cb3800,0x38ab03a9,0x628d0014,0x2fca0082}},	//   kage, _lør_, _fhao, rabg_, 
   {{0x628d0094,0x9f583801,0xfe432669,0x6da300b3}},	//   _ghao, gerá_, онсо, жита, 
   {{0xb05b0a52,0x7afc3802,0x6486003e,0x753b3803}},	// [2a00] tsät, _sprt, iðin, nyuz, 
   {{0x9f583804,0x7bc70126,0x765b0495,0x68e200c8}},	//   perà_, _ceju, hiuy, vuod, 
   {{0xb05b074b,0x9f583805,0xf1da1cdd,0x7bc700b3}},	//   rsät, berá_, _भयान, _deju, 
   {{0x9f580e2e,0x38ab1b37,0xdb1c0503,0xfce63806}},	//   cerá_, _bør_, _cerá, _комо, 
   {{0x76493807,0x39403808,0x645a3809,0x443e380a}},	//   dhey, áis_, yiti, ykt_, 
   {{0x645a380b,0x26dc380c,0xf1bf0019,0x60c4380d}},	//   xiti, trvo_, tják_, _mwim, 
   {{0x69cb380e,0x12e00086,0x394036d7,0x683d023e}},	//   bage, _বন্দ, šis_, _mèdh, 
   {{0x38ab1b37,0x26193355,0x69cb380f,0xf1bf010e}},	//   _før_, _मोदी_, cage, rják_, 
   {{0x38ab0022,0x645a3810,0xb8db0086,0xd94304b6}},	//   _gør_, titi, _আয়_, _дети, 
   {{0x628d009f,0x9f580228,0x443e01dd,0x7e6902c7}},	//   _shao, zerá_, ukt_, čepi, 
   {{0x443e3811,0x63a300e2,0x6d4d0547,0xd5af3812}},	//   rkt_, _dgnn, zzaa, _мс_, 
   {{0x443e0177,0x645a3813,0x64483814,0xdb1c0068}},	//   skt_, siti, shdi, _xerá, 
   {{0x645a0ad1,0x9f5802a0,0xc05b00dd,0x68e4004c}},	//   piti, verá_, вів_, àidh, 
   {{0x69cb3815,0xc05b3816,0xdb1e022c,0x44f03817}},	//   zage, тім_, capç, mà_, 
   {{0x628d11a1,0x69cb3818,0x9f58118d,0x44f03819}},	//   _thao, yage, terá_, là_, 
   {{0x7bc70730,0xf8a60827,0xb05b00c8,0x2003044d}},	//   _seju, खदाय, tsäs, seji_, 
   {{0x7bc7381a,0xdb05143b,0x629f026a,0x6e2d381b}},	// [2a10] _peju, dchá, _époq, rjab, 
   {{0xdb1c128a,0x6d4d0b32,0x69cb381c,0x38ab01e8}},	//   _será, rzaa, wage, _rør_, 
   {{0x69cb381d,0x38ab00fc,0xb05b17f8,0x6d4d381e}},	//   tage, _sør_, ssäs, szaa, 
   {{0xceb20138,0x44f00379,0xbddb03a0,0x00000000}},	//   _מיט_, kà_, _klèm, --, 
   {{0xdb1c381f,0xe9d80b57,0x81d40086,0x798000f8}},	//   _verá, ркі_, স্ক_, _cymw, 
   {{0x44f03820,0xdb050038,0x81ad0033,0x7bd53821}},	//   dà_, achá, গরি_, _udzu, 
   {{0xdb1c28e8,0x61ed3822,0xdd26009e,0xb9e7004f}},	//   _terá, _ocal, _kêşa, _візи, 
   {{0x38ab03a9,0x683d03a1,0x6aa01792,0x81cc0086}},	//   _tør_, _mèdi, _gimf, _লাভ_, 
   {{0x6486010d,0xf80700dd,0x79800156,0x76493823}},	//   rðin, _вчен, _gymw, rhey, 
   {{0xe0df01d8,0x61ed2953,0x7649018e,0xddcd0352}},	//   drò_, _acal, shey, jlaž, 
   {{0x78a90033,0x9f5800d3,0xe0df02a3,0x60c43824}},	//   _huev, merç_, erò_, _swim, 
   {{0x78a13825,0xbddb0054,0x66ea00ad,0x44f003dd}},	//   _hilv, _blèm, _təkr, bà_, 
   {{0xd1760335,0x78a93826,0x25bf1275,0xf6741930}},	//   сыны, _juev, mbul_, _بالخ, 
   {{0x78a905b9,0x25bf3827,0x7e7d3828,0xf1bf02aa}},	//   _muev, lbul_, _aksp, abá_, 
   {{0xddcb2e7d,0x7ae5007e,0xf1bf010e,0x61ed008a}},	//   _šiša, juht, bbá_, _fcal, 
   {{0x25bf0c05,0x290d3829,0xdb1c010c,0xf8a500d4}},	//   nbul_, _osea_, _herç, _يک_, 
   {{0x78a934c3,0x7c35382a,0xddcd0304,0x925a0499}},	// [2a20] _nuev, _bozr, blaž, _لشکر_, 
   {{0xeb9a0623,0xdd8f04bc,0x09d000a2,0x3212382b}},	//   гиз_, رول_, हण्य, _hayy_, 
   {{0xdb1c382c,0x25bf382d,0xb09b00a7,0x6441382e}},	//   _merç, kbul_, _תייר, ikli, 
   {{0xd910017a,0x6441239e,0xdb1e00c2,0x0dba007a}},	//   ویز_, hkli, vapä, _حادث_, 
   {{0x6441382f,0x78a9033c,0xd7fa3830,0x78a1098d}},	//   kkli, _cuev, гуй_, _bilv, 
   {{0x78a10bc3,0x44f03831,0xaad100c9,0x78a90036}},	//   _cilv, và_, _हिचक, _duev, 
   {{0x6441014e,0x290d0126,0x26193832,0x6aa00354}},	//   dkli, _esea_, _मोही_, _timf, 
   {{0x44f03833,0xc8e0000f,0x44b400dd,0xbb3b00c7}},	//   tà_, _निपट, обис, _געלי, 
   {{0xdb1c3834,0x7afb0b91,0xd49a0176,0x3ebf0304}},	//   _berç, _ćuti, лро_, ćuti_, 
   {{0x44f03835,0x15ea0586,0xe0df01d8,0x9f5a022c}},	//   rà_, _टावर_, vrò_, _japó_, 
   {{0x6d4106d0,0x92953836,0xd7640019,0x44f03837}},	//   _əlaq, жанц, _بنای, sà_, 
   {{0x78a1012e,0x6441018c,0x3ea200ab,0xe0df00fd}},	//   _zilv, akli, _nikt_, trò_, 
   {{0xdb1c0088,0x64410b41,0x867b0ab9,0xf596007a}},	//   _herä, bkli, _גראו, _الشج, 
   {{0x64413838,0xdb1c3839,0xe0df01d8,0x61ed0035}},	//   ckli, _gerç, rrò_, _wcal, 
   {{0x62350a43,0x7c351d8c,0xc0580c8b,0xce6b383a}},	//   _меку, _rozr, сія_, град_, 
   {{0x4caa0086,0xbddb011c,0xe0df02a3,0xddcd00ca}},	//   _চৌধু, _ilèk, prò_, slaž, 
   {{0x7c350039,0x7cd900d4,0x3ea2383b,0xdd94383c}},	// [2a30] _pozr, شواز_, _dikt_, заты, 
   {{0x4d981838,0x9f5a240a,0x25bf018e,0x00000000}},	//   скую_, _capó_, zbul_, --, 
   {{0x25a602a0,0x78a90042,0x5f950165,0xa91d0144}},	//   _ogol_, _suev, _финт, _izži, 
   {{0x6441342a,0x7e99383d,0x7d0e1279,0x00000000}},	//   zkli, _خنجر_, änsä, --, 
   {{0x78a1383e,0x78a9318d,0xbcfb145a,0x7c8715d3}},	//   _pilv, _quev, _exér, _гуве, 
   {{0x8aa70676,0xdb1c022b,0xe7390ca6,0x25b30249}},	//   _град, _berä, иел_, ीर्ण, 
   {{0x81d4100b,0xa6b40086,0x387e0175,0x78a1383f}},	//   স্ট_, _টিউট, _dktr_, _vilv, 
   {{0xdb1c3840,0x62560098,0xd8380604,0xb05b0502}},	//   _serç, lšov, _fičo_, lpäd, 
   {{0x78a13841,0xdb1c3842,0x89370e05,0xe9d90035}},	//   _tilv, _perç, _اعزا, _idź_, 
   {{0xf9901666,0x22493843,0x25bf3844,0x2619190a}},	//   _سبق_, _alak_, sbul_, _मोरी_, 
   {{0x64413845,0xdb1c3846,0x224910fd,0xb21b055f}},	//   rkli, _gerä, _blak_, rlæn, 
   {{0x81e200cc,0x64413847,0x28e01276,0x22490574}},	//   ন্ন_, skli, _निमि, _clak_, 
   {{0xdb1c03b7,0xa2d51f19,0xbddb03a0,0x22490352}},	//   _terç, _भिक्, _elèk, _dlak_, 
   {{0x22493848,0x3ea231b7,0xbddb023e,0x2d823849}},	//   _elak_, _sikt_, _flèk, _ryke_, 
   {{0x032500dd,0x8fa3384a,0x2d820eba,0x4fa300fd}},	//   _єдин, даре, _syke_, дирв, 
   {{0x00e6384b,0x1e86128b,0x3f840243,0x00000000}},	//   _джин, ілам, āmu_, --, 
   {{0x3ea2014e,0x30760176,0x00000000,0x00000000}},	// [2a40] _vikt_, _муос, --, --, 
   {{0x6286384c,0x2a6d0175,0x2a7f0175,0xc8e000c9}},	//   llko, _ajeb_, _akub_, _निबट, 
   {{0x6da616e1,0x2beb37e7,0xe7ed00a2,0x3ea2384d}},	//   _мина, _चारू_, च्छा_, _tikt_, 
   {{0x387e02a2,0xdb1c1bde,0x2d8200b9,0x66fc0243}},	//   _sktr_, _nerå, _tyke_, nākš, 
   {{0xa3e9047b,0xa96a0e65,0x9f5a0126,0x15e3384e}},	//   यला_, шида_, _tapó_, _गाजर_, 
   {{0xd6da384f,0xdb1c0088,0xa3e5034d,0x201300b4}},	//   ати_, _perä, _फाग_, _xaxi_, 
   {{0x27e00c05,0x81e20086,0xdca33850,0x2a7f011c}},	//   ğin_, ন্য_, _цари, _fkub_, 
   {{0xa5343851,0x27e03852,0x91e604bd,0xdb1c02f2}},	//   знич, şin_, _कागज_, _verä, 
   {{0x746a0879,0xd4062595,0x69c23853,0xe46a02aa}},	//   иров_, ояни, mboe, ишол_, 
   {{0x81e20086,0xb35400dd,0xdb1c00c8,0x69c23854}},	//   ন্ম_, зкош, _terä, lboe, 
   {{0x28c60c94,0x683d00f6,0x68e2039b,0x68e4007a}},	//   रीरि, _cèdu, lrod, áidf, 
   {{0x64a63855,0x69c20b32,0x68e2095a,0x00000000}},	//   _дада, nboe, orod, --, 
   {{0x22493856,0x1a9b0137,0x2beb00a2,0x6256014b}},	//   _vlak_, ייטע, _चालू_, yšov, 
   {{0x9f5a06df,0x628600bd,0x741400d7,0x60db0450}},	//   _rapò_, alko, _روبا, šumo, 
   {{0xd8383857,0x644a016a,0x69c201da,0x2ca301c8}},	//   _moč_, _ilfi, kboe, _rijd_, 
   {{0x68e23858,0xa91d00bc,0x2cb90345,0x5f943859}},	//   krod, _lyža, _ptsd_, фист, 
   {{0xa3ae00a5,0x5d5501d0,0xfbab00af,0x6b9a01d5}},	// [2a50] _कला_, чкат, атей_, _útgj, 
   {{0x64dd02f8,0x68e2385a,0xd838008b,0x83fc0613}},	//   _मिसळ, drod, _noč_, biđe, 
   {{0x62561194,0x69c2040b,0x00000000,0x00000000}},	//   ršov, fboe, --, --, 
   {{0xc3330137,0x69c20b1f,0x5a352cdb,0x68e2017c}},	//   ווע_, gboe, янет, frod, 
   {{0x2ca30536,0x68e200ab,0xb5fd034c,0x6256014b}},	//   _tijd_, grod, niše, pšov, 
   {{0xd7fb385b,0x7d0d385c,0x38b000a1,0x9f580036}},	//   руд_, mwas, _dàr_, ffrè_, 
   {{0xe739385d,0x44290029,0x7d0d385e,0x3ffc0137}},	//   сей_, _đa_, lwas, יפגע, 
   {{0xb0dc04d7,0xc95b02f1,0xdb170068,0xecdf0035}},	//   _बिलग, _кўз_, saxó, _फटाफ, 
   {{0xdb0502ec,0x81e200cc,0x7d0d385f,0x83fc2cd9}},	//   schä, ন্ড_, nwas, ziđe, 
   {{0x28e01cdd,0xb5fd015e,0xd8380082,0x7d0d06e4}},	//   _निति, diše, _goč_, iwas, 
   {{0x59cf0239,0x7d0d3860,0x3ce901a0,0x5884012d}},	//   _हजार, hwas, huav_, _цыта, 
   {{0x7d0d0547,0x83fc003a,0x80b30086,0xdb120019}},	//   kwas, viđe, _জিজ্, égév, 
   {{0x216703dc,0x6f1e0ab4,0xa567009c,0x271c0023}},	//   зияи_, _srpc, _بدان, _ảnh_, 
   {{0x3af50219,0xdb150380,0x66093861,0xa3e508f1}},	//   kåp_, _bezü, leek, _फाट_, 
   {{0x44273862,0xdb1c010c,0x00000000,0x00000000}},	//   _inn_, _derû, --, --, 
   {{0x6f1e00d0,0x7c273863,0x66093864,0x442701be}},	//   _vrpc, _anjr, neek, _hnn_, 
   {{0x7d0d0ae3,0x28e0017d,0x78bb0027,0x6abb0604}},	// [2a60] gwas, _निधि, _ntuv, _čufa, 
   {{0x69db0126,0x8b960d47,0x8cdd0586,0xac83125b}},	//   _adue, преч, _पिरो, егул, 
   {{0x0b590504,0x69c210f3,0x103b00d1,0x291f3865}},	//   орцы_, tboe, _הגיע, _arua_, 
   {{0xdca6338e,0x20183866,0x200a3867,0x442700a1}},	//   _нами, ldri_, lebi_, _lnn_, 
   {{0x44273868,0x291f00eb,0x69c212b6,0xb05b007e}},	//   _onn_, _crua_, rboe, späe, 
   {{0x68e23869,0x69db0183,0x69c20511,0xb17b0bff}},	//   rrod, _edue, sboe, pgåv, 
   {{0xa91d026e,0x1c02047c,0x7bdc34c4,0x78bb386a}},	//   _vyža, _रॉयल_, _idru, _etuv, 
   {{0x4427386b,0x81e2100b,0x200a1b3e,0xbddb011c}},	//   _ann_, ন্ত_, hebi_, _dlèw, 
   {{0x7bce386c,0x48e3386d,0x291f024a,0xb17b017b}},	//   _kebu, _потв, _grua_, ngåt, 
   {{0xb5fd0519,0x7bce2991,0x200a08e3,0xaae0017d}},	//   više, _jebu, jebi_, _पटाक, 
   {{0xf366386e,0x7bce07d7,0x2120023e,0x67bb00d1}},	//   ятин, _mebu, _arih_, _המבק, 
   {{0x44270c86,0x7bce386f,0x3ce9006d,0xdb1c0218}},	//   _enn_, _lebu, yuav_, _serû, 
   {{0x3ce9006f,0x81cc0033,0x7d0d009e,0x958600d3}},	//   xuav_, _লাশ_, xwas, _элде, 
   {{0x7bce3870,0xb5fd07d1,0x29040054,0xc058012d}},	//   _nebu, riše, _mpma_, піс_, 
   {{0x54330a24,0xff040fac,0x81e20086,0x8c3b0380}},	//   _سرور, нятн, ন্ধ_, _mußt, 
   {{0x7d0d3871,0xb5fd203b,0x00000000,0x00000000}},	//   twas, piše, --, --, 
   {{0x7bce3872,0x9c393873,0xdcef01dd,0x200a027e}},	// [2a70] _bebu, опат_, _izcī, bebi_, 
   {{0x81e200cc,0xfbab3874,0x200a0165,0x66093875}},	//   ন্দ_, стай_, cebi_, zeek, 
   {{0x78bb0343,0x3ce9023b,0x7ac400d9,0x2b47039f}},	//   _stuv, suav_, есче, ánc_, 
   {{0xdb15026e,0xfd1f001b,0xa3dc0527,0x291f02a3}},	//   _sezó, _trì_, तृत_, _prua_, 
   {{0x9f5105b9,0x7e6d3876,0x7bce044d,0xdb150126}},	//   pezó_, mnap, _febu, _pezó, 
   {{0x7bce3877,0x66093878,0x6fbf02e6,0xdb150300}},	//   _gebu, week, ्रिं, _dezò, 
   {{0x66090a8b,0xac9417d2,0xe73600fd,0x6d4000c2}},	//   teek, _чарш, дещ_, _ümar, 
   {{0x7bdc1ae9,0x7e6d3879,0xb5fd00ef,0xdb260116}},	//   _zdru, nnap, dišc, _توفی, 
   {{0x5fbf000d,0x66090af8,0x14dd00a2,0x81cc0086}},	//   ्राल, reek, _मिळण, _লাল_, 
   {{0x68e4057f,0x6609387a,0x7e6d387b,0xb4ad009a}},	//   áide, seek, hnap, _कढी_, 
   {{0x7e6d1a77,0x91e6387c,0x21200065,0x420a387d}},	//   knap, моне, _srih_, онно_, 
   {{0xd9ff0bf5,0x9f580126,0x68e40098,0x7bc5007a}},	//   ोजित_, perú_, šide, hbhu, 
   {{0x7e6d387e,0x68eb02dc,0x290f0026,0xd4350038}},	//   dnap, nugd, nwga_, _يعتب, 
   {{0xe8000cb8,0xa91d014b,0x67210a1a,0xd49b387f}},	//   ल्पा_, _lyžo, _krlj, _уре_, 
   {{0xa0a33880,0x7bce3881,0x10a33882,0x00000000}},	//   тард, _rebu, тирн, --, 
   {{0x7bce3883,0x67210112,0x7ae500d2,0x7bdc00bc}},	//   _sebu, _mrlj, drht, _sdru, 
   {{0x7bce02a2,0x62843884,0x2bb20366,0x6296040c}},	// [2a80] _pebu, _ikio, _जलदा, _ihyo, 
   {{0x1daa0790,0x7bce0248,0x67210372,0x8b6a0093}},	//   _कलकत, _qebu, _orlj, оизв_, 
   {{0x28e00586,0x3cea00a5,0x7bce010c,0x00000000}},	//   _निहि, _चमके_, _vebu, --, 
   {{0x1bf00262,0x7bce3885,0x53360070,0x00000000}},	//   _चावल_, _webu, ונען_, --, 
   {{0x7bce3886,0x83fc00ef,0xb17b0343,0x644f01dd}},	//   _tebu, hiđa, lgår, īcij, 
   {{0x7bdc02f5,0x59cc000d,0x6721090e,0x7e643887}},	//   _udru, ारहर, _brlj, liip, 
   {{0xb17b0430,0x2bc429b0,0x68e4007a,0x28e01446}},	//   ngår, _ल्या, áidb, _निवि, 
   {{0x44203888,0x67210571,0x15143889,0x7c3c2278}},	//   _şi_, _drlj, едия, _horr, 
   {{0x7c3c388a,0x6d44388b,0xd838034c,0x68e400ca}},	//   _korr, nyia, _liči_, šidb, 
   {{0xdb1c03a9,0x62840053,0x7c3c01f1,0x6721044e}},	//   _berø, _akio, _jorr, _frlj, 
   {{0x67210613,0xbddb0237,0x00000000,0x00000000}},	//   _grlj, _klèt, --, --, 
   {{0x81e20086,0x63ad388c,0xb17b0343,0xb5fd0d9d}},	//   ন্স_, _şant, dgår, rišc, 
   {{0xa1940451,0x62960102,0xbddb011c,0x7c3c0326}},	//   каюч, _dhyo, _mlèt, _oorr, 
   {{0x7c3c388d,0x628400b4,0x78a8107c,0x00000000}},	//   _norr, _ekio, _jidv, --, 
   {{0xe800148e,0x9f5f0c05,0x7522026e,0xb5fd003a}},	//   ल्या_, _ürün_, _hroz, liša, 
   {{0x443c0c1a,0x7e640102,0xe3b804a8,0x00000000}},	//   _hov_, giip, lcı_, --, 
   {{0x443c388e,0x660200c5,0x4fc7388f,0x7c3c3890}},	// [2a90] _kov_, _mbok, _осна, _borr, 
   {{0x7c3c3891,0xe3b805b7,0x6f05001b,0xbddb0118}},	//   _corr, ncı_, _tphc, _alèt, 
   {{0x443c3892,0x7c3c3893,0x60cd016a,0xda7b01a2}},	//   _mov_, _dorr, _hwam, ояд_, 
   {{0x60cd3894,0x443c3895,0x625600ef,0x75223896}},	//   _kwam, _lov_, nšop, _oroz, 
   {{0x7c3c35fd,0xa80301f0,0x6e3d012b,0x6721044e}},	//   _forr, _çıkt, _iosb, _srlj, 
   {{0x672104d1,0x60cd3897,0x7c3c3898,0x66023899}},	//   _prlj, _mwam, _gorr, _abok, 
   {{0x3949389a,0xddc402ee,0x60cd01a3,0x98bf008f}},	//   šas_, lniš, _lwam, ırım_, 
   {{0x83fc090b,0x75220a1a,0x7c3c1128,0xddc4389b}},	//   viđa, _broz, _zorr, oniš, 
   {{0x75222259,0xd7fb389c,0x6e3d021e,0xc8f400fd}},	//   _croz, _муж_, _mosb, _изтъ, 
   {{0x443c1124,0x20cd389d,0x67210112,0xdd220218}},	//   _cov_, dži_, _trlj, hîşt, 
   {{0x443c389e,0x60cd389f,0x798908a1,0x63ad38a0}},	//   _dov_, _awam, _hyew, _şans, 
   {{0x23bf05f6,0xd8380613,0x60cd2834,0xd57515a7}},	//   _श्रद, _riči_, _bwam, _пуль, 
   {{0x752238a1,0x1bf00081,0xddc4133e,0xc56b0411}},	//   _groz, _चालल_, jniš, _بحال_, 
   {{0x6aa938a2,0xddc416ef,0x653a00c7,0x44f90300}},	//   _lief, dniš, _מענד, mè_, 
   {{0x44f90cd7,0xfe780161,0x6619115a,0x1e9638a3}},	//   lè_, дүн_, _kawk, ерар, 
   {{0x661b38a4,0xb17b0c29,0x62840548,0x443c006f}},	//   nduk, rgår, _ukio, _zov_, 
   {{0xfce338a5,0x60cd01a3,0x44f906df,0x1d070665}},	// [2aa0] лото, _gwam, nè_, нети_, 
   {{0x443c01c1,0x7e7b034c,0x7d1b003d,0x31570070}},	//   _xov_, čupa, _ġust, _ניין_, 
   {{0x7c3c38a6,0x6d4438a7,0x798903a0,0x6aa938a8}},	//   _vorr, syia, _ayew, _bief, 
   {{0xddc411c8,0x7ae338a9,0x661b1a35,0x2bb2072f}},	//   bniš, ánta, jduk, _जलवा, 
   {{0x28f838aa,0x6aa90511,0x44f906df,0x7c3c38ab}},	//   фель_, _dief, jè_, _torr, 
   {{0x752438ac,0x98a338ad,0x661b08f9,0x76492bc3}},	//   _šizo, гиче, eduk, ekey, 
   {{0x443c01c1,0x09e602fb,0x798938ae,0x201a27e8}},	//   _rov_, _повн, _eyew, _mapi_, 
   {{0x752238af,0x443c38b0,0xfaa31628,0x661b0495}},	//   _proz, _sov_, _басо, gduk, 
   {{0x443c01a0,0xc8ca20b4,0x09cc0790,0xbddb023e}},	//   _pov_, _روان_, ारीय, _klèr, 
   {{0xa2b40081,0x60cd38b1,0x61f624bc,0x07a61afd}},	//   _ईंद्, _rwam, _acyl, _зазн, 
   {{0x443c38b2,0xddc4008b,0xcf120086,0x3946010e}},	//   _vov_, zniš, হমুদ_, lyos_, 
   {{0xb5fd38b3,0x764938b4,0x752238b5,0x201a07fc}},	//   lišn, ckey, _troz, _aapi_, 
   {{0x81a900cc,0x443c38b6,0x26190f63,0x39460019}},	//   খুন_, _tov_, _मोटी_, nyos_, 
   {{0x201a38b7,0xb5fd38b8,0xc5692e10,0x229238b9}},	//   _capi_, unšv, _تحمل_, ráka_, 
   {{0x141b00d1,0x6e3d38ba,0xddd40613,0x00000000}},	//   _מוגב, _posb, _šaša, --, 
   {{0x6d1c07d5,0xddc41af7,0xbddb00b9,0x60cd38bb}},	//   निंग_, tniš, _alèr, _twam, 
   {{0x30a70091,0x313524d9,0x22ac00bc,0x2a660082}},	// [2ab0] _пров, _репр, _věku_, diob_, 
   {{0xb5fd04d1,0xddc4008b,0x7989016a,0x63ba38bc}},	//   jišn, rniš, _ryew, nctn, 
   {{0xb5fd02f5,0xddc40112,0x5b241c0f,0xcfb600a7}},	//   dišn, sniš, льца, _בלתי_, 
   {{0x44f906df,0xd8380864,0xddc40813,0x3cea009a}},	//   yè_, _miču_, pniš, _चमचे_, 
   {{0xca7438bd,0x201a38be,0x00000000,0x00000000}},	//   دالغ, _yapi_, --, --, 
   {{0x6bd40a67,0xd94238bf,0x201a00b4,0x661900a1}},	//   _متفر, реши, _xapi_, _sawk, 
   {{0x6aa901c4,0xd838015e,0x79c900eb,0x394606e4}},	//   _tief, _niču_, _يوسف_, ayos_, 
   {{0x9a8403dd,0x44f906df,0x3946011c,0x7bd700da}},	//   _буул, tè_, byos_, laxu, 
   {{0x764938c0,0xb5fd05ae,0x3d17009a,0x661b38c1}},	//   rkey, bišn, निटे_, rduk, 
   {{0xd8380082,0x44f903a0,0x7bd70210,0x03a502a6}},	//   _biču_, rè_, naxu, кипо, 
   {{0x201a2e67,0x3a3f06df,0x44f90300,0x3a2d05ac}},	//   _rapi_, _koup_, sè_, _knep_, 
   {{0x216a38c2,0x201a38c3,0x44f938c4,0x3ce90d17}},	//   дими_, _sapi_, pè_, krav_, 
   {{0xd1760d18,0x212400eb,0x6486008c,0x9f5801d5}},	//   тыны, ímh_, gðis, rfrí_, 
   {{0x3a3f21d0,0xb05b0c98,0xa506314f,0x00000000}},	//   _loup_, spän, _реша_, --, 
   {{0xe1ff38c5,0xfc3f145a,0x627a0e65,0x7bd700b4}},	//   mión_, _luís_, _осиё_, daxu, 
   {{0x201a0010,0x224b38c6,0x3dc90495,0x33760486}},	//   _wapi_, ckck_, gbaw_, _בעצם_, 
   {{0x201a3200,0xbea338c7,0xe7f2009a,0xe7d10c46}},	// [2ac0] _tapi_, ратк, _घाला_, हराप, 
   {{0xe1ff0f97,0xf1a700bc,0x3eab0027,0x224000b4}},	//   nión_, _गणतन, _eict_, _hoik_, 
   {{0xb5fd0062,0x3a3f0237,0x8fa60165,0x00000000}},	//   višn, _boup_, _јане, --, 
   {{0x3a3f026d,0xc3320486,0x9f5800b9,0x00000000}},	//   _coup_, יוב_, mfrà_, --, 
   {{0x99dd0118,0xc7b80613,0x3ea038c8,0xee3700b3}},	//   _alňs, _lađe_, mmit_, _рня_, 
   {{0xdb1c006b,0x3ea038c9,0xb7d80038,0x39460102}},	//   _kerü, lmit_, روبا_, ryos_, 
   {{0xc7b80062,0xb5fd032f,0x7c2e38ca,0x81d90033}},	//   _nađe_, rišn, _inbr, ালত_, 
   {{0xeb971ca5,0x9f580126,0x692600b3,0x5eea00bc}},	//   _рис_, leró_, _имба, _छिन्_, 
   {{0x4a750f6b,0x00000000,0x00000000,0x00000000}},	//   _сырт, --, --, --, 
   {{0xe1ff38cb,0x9f580327,0xb5fd23f2,0x3ea00034}},	//   gión_, neró_, bišo, hmit_, 
   {{0x22520876,0x3a3f01d2,0x25bd0090,0x00000000}},	//   _blyk_, _youp_, _ffwl_, --, 
   {{0xdb1c38cc,0xacbb0107,0x550603a1,0x3ea038cd}},	//   _heró, _brûl, _ачка, jmit_, 
   {{0xe1ff0496,0x81cc0086,0x7c2e11da,0x00000000}},	//   bión_, _লাখ_, _onbr, --, 
   {{0xe1ff38ce,0x545338cf,0xd838090b,0x14d70137}},	//   ción_, _квіт, _tiču_, _יודל_, 
   {{0x3eab02a2,0x9f5804b3,0x5c750176,0x00000000}},	//   _pict_, deró_, ҳлат, --, 
   {{0x320f006b,0x02a40238,0x5bcb102c,0x7c2e38d0}},	//   _úgy_, _крым, िर्व, _anbr, 
   {{0x3c49009e,0x5c7538d1,0xcc990267,0x3eab016c}},	// [2ad0] _nîvê_, глат, евац_, _vict_, 
   {{0x7ae338d2,0x3a2d38d3,0x3a3f38d4,0x4d981193}},	//   ánto, _snep_, _soup_, ткую_, 
   {{0x629f00fd,0xe81d07d5,0x3ea000a7,0x201138d5}},	//   _èpos, _योगा_, bmit_, mezi_, 
   {{0x3ce902ee,0x201138d6,0x7c2e01d6,0x3ce61ca7}},	//   prav_, lezi_, _enbr, šova_, 
   {{0x26de38d7,0x9f5806a5,0x99d400d7,0x628f023e}},	//   _avto_, beró_, شتنا, ilco, 
   {{0x201138d8,0xe1ff1056,0x81d90033,0x9f5800f6}},	//   nezi_, xión_, ালি_, ceró_, 
   {{0x27e9091f,0x8aa708a5,0xead40ccb,0x2a640054}},	//   ğan_, _арад, _вось, _fmmb_, 
   {{0x27e93852,0x1dd30081,0x442e0626,0x3a2d1572}},	//   şan_, तरित, _anf_, _unep_, 
   {{0xe1ff1cf0,0x2a640141,0x442e38d9,0xe8001493}},	//   tión_, _търг, _bnf_, ल्हा_, 
   {{0x69d938da,0x3ea000e5,0x42c903a1,0x20110808}},	//   lawe, zmit_, нгон_, jezi_, 
   {{0x7bd538db,0x25af02cd,0x32460a31,0x9f5801d8}},	//   _mezu, _tggl_, генг, herò_, 
   {{0xe1ff128e,0x69d9086d,0xddd6026e,0xdb0538dc}},	//   sión_, nawe, chyň, lchó, 
   {{0x648601d5,0x2240040b,0x2fd80083,0x00000000}},	//   rðir, _voik_, targ_, --, 
   {{0x201138dd,0xdb1c0068,0x9f5809bd,0x69d938de}},	//   gezi_, _xeró, derò_, hawe, 
   {{0x69d938df,0x2d8f01c4,0x37d80033,0x9f580369}},	//   kawe, ügen_, _সামর, veró_, 
   {{0x69d938e0,0xdb050038,0x229938e1,0x3ea00f44}},	//   jawe, hchó, téke_, umit_, 
   {{0x3ea038e2,0x628638e3,0x7bd538e4,0x69d938e5}},	// [2ae0] rmit_, moko, _bezu, dawe, 
   {{0x628638e6,0x09cc0e17,0xdb1c0019,0x3ea038e7}},	//   loko, ार्य, _terü, smit_, 
   {{0x27230749,0x7bd538e8,0xdb1c03dd,0x8cb00083}},	//   _nın_, _dezu, _aerò, _अंको, 
   {{0x248538e9,0x69d938ea,0x9f4100e9,0x80cb109f}},	//   holm_, gawe, _echó_, तीके, 
   {{0x1ae036bc,0x186a25dc,0x9f5838eb,0x09e338ec}},	//   _पटकथ, нади_, peró_, сочн, 
   {{0x628638ed,0x7bd538ee,0x98732072,0x26dc02fe}},	//   hoko, _gezu, бліц, tsvo_, 
   {{0xeb9738ef,0x628638f0,0xdb1c033c,0x69d938f1}},	//   _бир_, koko, _veró, bawe, 
   {{0x60c438f2,0x61e42223,0x2bc0048e,0x201121b3}},	//   _otim, _ndil, शुरा, zezi_, 
   {{0x20112bba,0xb21b01e8,0x29560093,0x60c402b8}},	//   yezi_, klær, _съвр, _ntim, 
   {{0xe64404be,0x59cc00bc,0xb7b50210,0x20110474}},	//   ılış, ारकर, _hạn, xezi_, 
   {{0x60c438f3,0x439438f4,0x628638f5,0x201138f6}},	//   _atim, ранс, foko, vezi_, 
   {{0x201138f7,0xe45206bc,0x628638f8,0x61e400a1}},	//   wezi_, _گفتگ, goko, _cdil, 
   {{0x201138f9,0x61e40156,0x9f41023e,0xb7b50023}},	//   tezi_, _ddil, _idhé_, _mạn, 
   {{0x61e438fa,0x9f5801d8,0x27170095,0xf5930038}},	//   _edil, verò_, _sənə_, _الهج, 
   {{0x201138fb,0xa91d0254,0x69d938fc,0xda040179}},	//   rezi_, _vyži, yawe, रभात_, 
   {{0x7bd538fd,0x628638fe,0x7642016a,0x9f5802a3}},	//   _sezu, coko, _jooy, terò_, 
   {{0xdb0501c4,0x32090102,0xe6d11432,0x7bd50034}},	// [2af0] schü, _ibay_, _सब्ज, _pezu, 
   {{0x69c038ff,0x69d90010,0x9f5801d8,0x2129009c}},	//   _afme, wawe, rerò_, _irah_, 
   {{0x7bd50f23,0x5b1500dc,0x8af90fcc,0x69d93900}},	//   _vezu, рмет, тнес_, tawe, 
   {{0x7f3a00c7,0x2129024a,0x7d1600f8,0xd0110019}},	//   _סערו, _krah_, bwys, _الگ_, 
   {{0x69d93901,0x6728023e,0xe0df3902,0x65ab0248}},	//   rawe, _ardj, nsò_, _möhü, 
   {{0xe8002290,0xb34601f0,0x67280ab4,0x635300ad}},	//   ल्ला_, _kaçı, _brdj, sənə, 
   {{0xe7393903,0x62863904,0x76423905,0x39b90a65}},	//   тей_, yoko, _booy, _албэ_, 
   {{0x8aa43906,0x21290397,0xb5fd0009,0xb346027e}},	//   _груд, _orah_, mišk, _maçı, 
   {{0xb5fd3907,0xf1c800bc,0x76423908,0x543524eb}},	//   lišk, ndář_, _dooy, ахну, 
   {{0x62863909,0x3209390a,0x588700f0,0x290d019c}},	//   woko, _abay_, _сыба, _ipea_, 
   {{0x6286390b,0x212909c2,0xb5fd3907,0xe29a0886}},	//   toko, _arah_, nišk, као_, 
   {{0x51561d06,0x69ac00aa,0x5694390c,0x5435039f}},	//   атгу, ुँची, _лахт, ارکر, 
   {{0x6286390d,0x2129023e,0x2d8f0380,0xb5fd0352}},	//   roko, _crah_, ügel_, hišk, 
   {{0x9f58008c,0x25bf390e,0xb5fd012d,0x7e660065}},	//   ferð_, lcul_, kišk, _smkp, 
   {{0x6286390f,0x9f58008c,0xb5fd3910,0x764202a5}},	//   poko, gerð_, jišk, _yooy, 
   {{0x25bf04bb,0x13da0086,0x64433911,0x21290379}},	//   ncul_, _দায়, _honi, _frah_, 
   {{0x64433912,0x21291e27,0xb21b00dd,0x60c4190c}},	// [2b00] _koni, _grah_, plær, _utim, 
   {{0x64433913,0x7d16018c,0x26c50026,0xddd50243}},	//   _joni, rwys, _otlo_, ābša, 
   {{0x64433914,0xb5fd012d,0xc7b80ab4,0xe9da3915}},	//   _moni, gišk, _nađa_, вке_, 
   {{0xa9263916,0x62872867,0x6aa20c28,0xdb1e0080}},	//   идел, čkog, umof, kapö, 
   {{0xd37803ef,0x672807c7,0x76423917,0x2ba73918}},	//   maće_, _srdj, _rooy, केबा, 
   {{0xdb1c010d,0x76420110,0x64433919,0x6aa2391a}},	//   _ferð, _sooy, _noni, smof, 
   {{0xdb1c010d,0x290d0a9f,0xd9af009a,0xd7f800a3}},	//   _gerð, _epea_, टशॉट, вуқ_, 
   {{0x9634391b,0x7e760626,0xddcd020f,0x960a012d}},	//   сниц, nnyp, mnaţ, тэка_, 
   {{0xd90e1fdb,0xd49a391c,0x26c50415,0x3ce2011c}},	//   _آیت_, кро_, _etlo_, _jvkv_, 
   {{0x656f391d,0x7642391e,0x32090102,0x66e6391f}},	//   úcha, _wooy, _sbay_, _вожа, 
   {{0xc5e800cc,0x0bb70056,0x6f0900ab,0xc7b8015e}},	//   ক্ষা_, ילים_, łecz, _gađa_, 
   {{0xd378265d,0x4394212c,0x2129203b,0x9f58003e}},	//   jaće_, _қайс, _prah_, verð_, 
   {{0xdfdb0141,0x64433920,0xd37800d0,0x316801a2}},	//   къв_, _foni, daće_, ашро_, 
   {{0x64433921,0x64a33922,0xd48f004f,0xe0df0036}},	//   _goni, _дача, _єр_, rsò_, 
   {{0x09d70086,0xe0df13cb,0x6e670bf8,0xdfd500f0}},	//   _হাসা, ssò_, атаж, _қоны, 
   {{0xb5fd012d,0x443e0219,0xd3780097,0x877b0070}},	//   višk, ljt_, gaće_, דאלי, 
   {{0x656d0187,0x64433923,0x2129008b,0x2d8f055f}},	// [2b10] _ľahk, _yoni, _urah_, æge_, 
   {{0xa8020e03,0xb5fd012d,0x270e0095,0x8bc70258}},	//   çıla, tišk, _kənd_, рсад, 
   {{0xfbab11ec,0xd3780f23,0x95ff0033,0x6aa302b0}},	//   ттай_, baće_, ্যতম_, ïnfo, 
   {{0xdb1c06b6,0xb5fd3907,0xc7b8090b,0xd3780082}},	//   _verð, rišk, _rađa_, caće_, 
   {{0x645a030c,0x634a06d0,0xb5fd012d,0x692500a3}},	//   khti, lənd, sišk, смла, 
   {{0x8934006b,0x1ed80274,0x7e6d0cfe,0xb5fd0028}},	//   تعما, _حبیب_, liap, pišk, 
   {{0x81e200cc,0x6d4d3924,0x36693925,0x7d0f023e}},	//   ন্ট_, lyaa, лако_, _hpcs, 
   {{0x64433926,0xe6193927,0x80b800cc,0x44293928}},	//   _soni, уди_, _অবস্, _şa_, 
   {{0x64433929,0xb5fd0c1b,0x25bf00d9,0xd54900c8}},	//   _poni, niši, rcul_, уппе_, 
   {{0x628d187e,0x25bf222f,0x6d4d02a5,0x2ab7008a}},	//   _akao, scul_, iyaa, _aħbi_, 
   {{0xd7950084,0x6443392a,0x7e6d21d8,0x62580183}},	//   _الاخ, _voni, kiap, _nãoc, 
   {{0xc049392b,0x64430536,0x425623de,0x2299200a}},	//   _אז_, _woni, стот, téka_, 
   {{0xd378003a,0x2ba700a2,0x6443392c,0xc29900d9}},	//   vaće_, केता, _toni, ртэц_, 
   {{0x645a392d,0xa076005e,0x10a6002e,0x2299392e}},	//   chti, сымш, сигн, réka_, 
   {{0xd3782cd9,0x934500d9,0xddc40474,0x00000000}},	//   taće_, _ынке, ghiş, --, 
   {{0x765b392f,0x6d4d018e,0x7e6d3930,0x00000000}},	//   nhuy, fyaa, giap, --, 
   {{0xd37801b4,0x6da33931,0x101605e0,0x6d4d3932}},	// [2b20] raće_, зита, _льня, gyaa, 
   {{0x3ce03933,0xd378032f,0xb3d50033,0x00000000}},	//   rsiv_, saće_, _দাঁড়, --, 
   {{0x6d4d3934,0xff260c19,0xeafa009c,0xd3781c2b}},	//   ayaa, _умно, طرات_, paće_, 
   {{0xeb9715dd,0x6d4d01b8,0xddcd00d9,0xb5fd0242}},	//   щих_, byaa, rnaţ, biši, 
   {{0xdd92195e,0x2d840107,0x645a00c8,0x00000000}},	//   _روس_, _âme_, yhti, --, 
   {{0x799b044d,0x99dd0098,0xb90000c9,0x6e240067}},	//   _dzuw, _voňa, _दब_, ldib, 
   {{0x6b633935,0x368a1cb8,0x09d70086,0x04200086}},	//   _екра, лсин_, _হারা, বামী_, 
   {{0x6e243936,0xdb1c014e,0x645d00e5,0xceb300a7}},	//   ndib, _berö, ësin, היה_, 
   {{0x7d043937,0xb05b00c8,0xfaa31cc1,0x3eba0474}},	//   ntis, späi, _хато, _lupt_, 
   {{0x7bde3938,0xe7f204bd,0x634a06d0,0x7d043939}},	//   napu, _घाटा_, yənd, itis, 
   {{0x7d04393a,0x539800dd,0x9f45008f,0xe9ff0023}},	//   htis, рвня_, ülü_, _xoắn_, 
   {{0x645a393b,0x7d040f2d,0x7ae30634,0xf363393c}},	//   shti, ktis, ánti, ятын, 
   {{0x7bde393d,0x68e2393e,0xc05b004f,0x6e24393f}},	//   kapu, nsod, гів_, ddib, 
   {{0x80b80086,0x634a0095,0x7bde3940,0x612e0054}},	//   _অবশ্, tənd, japu, _sôlô, 
   {{0x6fda0c8f,0x7e6d3071,0xe3b80384,0x612e0054}},	//   _बजरं, tiap, ndım_, _pôlô, 
   {{0xdceb143b,0x7d043941,0x6e243942,0x3d14007e}},	//   žičk, ftis, gdib, _नईखे_, 
   {{0x32d2009e,0x68e20121,0x7d043943,0x0dc81d06}},	// [2b30] bûyî_, jsod, gtis, суси_, 
   {{0x7e6d19e0,0xb5fd090e,0x68e23944,0x5ba73945}},	//   siap, riši, dsod, брез, 
   {{0x6d4d03f6,0x6e242244,0xb5fd0097,0x200400ad}},	//   syaa, bdib, mišv, əmi_, 
   {{0xb5fd1a44,0x27fe0242,0xac1800f0,0x5a353946}},	//   piši, _actn_, _қосу_, юнет, 
   {{0xab620824,0x645815c4,0xe9d80904,0x7d043947}},	//   _çünk, _olvi, скі_, ctis, 
   {{0xdb1e0054,0xe9d90083,0x00000000,0x00000000}},	//   tapô, _weź_, --, --, 
   {{0x70b50035,0x765b3948,0x00000000,0x00000000}},	//   ंदुल, thuy, --, --, 
   {{0x245b0518,0x248e0379,0x79960083,0x656f3949}},	//   _même_, _akfm_, żywa, úcho, 
   {{0x1fa618b4,0xe4590925,0x69db00f8,0x29190118}},	//   _खण्ड, ижи_, _ieue, _èsa_, 
   {{0xdb1c394a,0x69db033e,0x7c25394b,0x765b016c}},	//   _verö, _heue, ndhr, shuy, 
   {{0x2c0b00bd,0x69db002c,0x765b007c,0x00000000}},	//   स्यं_, _keue, phuy, --, 
   {{0x7bde394c,0xa3b50527,0x7d0419b6,0x7de60019}},	//   zapu, _झलक_, ytis, _késő, 
   {{0x7bde394d,0xe820000d,0xdb1c0054,0x69db394e}},	//   yapu, _यसमा_, _herô, _meue, 
   {{0x9f58026a,0x660914d2,0x69db394f,0xddcd0ab4}},	//   lgré_, lfek, _leue, vnaš, 
   {{0xe29a3950,0x1faa2918,0x7bde2b92,0x75293951}},	//   _как_, ркви_, vapu, lvez, 
   {{0x69db02ec,0x7bde2b03,0x6e242259,0xe1ff0035}},	//   _neue, wapu, udib, diów_, 
   {{0x7bde2a85,0x0eb6000f,0xd3780112,0x1c460115}},	// [2b40] tapu, _आंकड, maća_, онам, 
   {{0x765902bf,0x212000c5,0x6e243952,0x8b963953}},	//   _llwy, _isih_, sdib, ореч, 
   {{0x8fa63954,0x3bd500c8,0x69db3955,0x9f0617bc}},	//   _фане, яютс, _beue, _بوجو, 
   {{0x20183956,0x212002cd,0x634a0095,0x7ff6015f}},	//   leri_, _ksih_, lənc, _اسکا, 
   {{0x69c20496,0x7bde3957,0xcaa500eb,0xdca60161}},	//   rcoe, papu, أصلي, _мами, 
   {{0x20183958,0xab2a0d43,0x75290019,0x212012c7}},	//   neri_, _кога_, dvez, _msih_, 
   {{0xf8bf0b32,0x66090f96,0x68e23959,0x69db01c4}},	//   _één_, ffek, ssod, _feue, 
   {{0x7bdc395a,0x68e2395b,0xe3b8091f,0x2018395c}},	//   _heru, psod, rdım_, heri_, 
   {{0x7bdc395d,0xd3780e67,0xdb210080,0xbddb0237}},	//   _keru, daća_, ätös, _plèz, 
   {{0x201802f5,0xddc41c77,0x344a142c,0x29060548}},	//   jeri_, jniž, рчин_, mtoa_, 
   {{0x7bdc2e7b,0x765902bf,0x2120395e,0xdb0501c4}},	//   _meru, _flwy, _asih_, schö, 
   {{0x7bdc395f,0xbddb0107,0x7529203b,0x29063887}},	//   _leru, _poèm, bvez, otoa_, 
   {{0xe5343960,0x29063961,0xddcd00bc,0xe3af0019}},	//   _хель, ntoa_, chař, ٹری_, 
   {{0x20181ba8,0xe3af0019,0x270e0095,0x9597027a}},	//   geri_, عری_, _gənc_, _וכדו_, 
   {{0x6abc02cd,0xcddb0843,0x212000d7,0xff04134f}},	//   _nurf, иња_, _esih_, мятн, 
   {{0x7bdc3962,0x290601d6,0x2018052b,0x00000000}},	//   _aeru, ktoa_, aeri_, --, 
   {{0x7bdc3963,0x20183964,0x69db033e,0xb5fd1a35}},	// [2b50] _beru, beri_, _reue, mišt, 
   {{0xb5fd02f5,0x20183965,0x7bdc3966,0x69db3967}},	//   lišt, ceri_, _ceru, _seue, 
   {{0x7bdc3968,0x20013969,0x69db396a,0x6abc007a}},	//   _deru, _ichi_, _peue, _curf, 
   {{0x61fd1950,0x78bb06a6,0x3219023a,0x81d90086}},	//   ngsl, _puuv, nesy_, ালক_, 
   {{0x3ea9030f,0x61fd1e86,0x7bdc396b,0x69db022c}},	//   mmat_, igsl, _feru, _veue, 
   {{0x7bdc0bf3,0x3ea9396c,0xb5fd008b,0xeafb0499}},	//   _geru, lmat_, hišt, _پرست_, 
   {{0x7bc5396d,0x69db01c4,0x645d0034,0x7d190585}},	//   mchu, _teue, ësim, şası, 
   {{0xe9df06b6,0xb5fd0e25,0x9a8400f6,0x2249396e}},	//   _þú_, jišt, _жуул, _noak_, 
   {{0x1958058b,0x7bdc396f,0x1c0b000d,0x1a6800d4}},	//   _даты_, _yeru, स्थल_, _بینی_, 
   {{0x20012083,0x7529006b,0x7bc53970,0x7bdc0042}},	//   _nchi_, rvez, nchu, _xeru, 
   {{0x3ea92998,0x7ae5024a,0x44250415,0xb5fd02fe}},	//   kmat_, nsht, rdl_, fišt, 
   {{0x6721015e,0x20183971,0x7bc53772,0x6446010c}},	//   _islj, weri_, hchu, êkir, 
   {{0x20183972,0x3ea90938,0xd3780112,0x55ba00d1}},	//   teri_, dmat_, raća_, _המנו, 
   {{0x394000c8,0xb5fd3973,0x2a7f0352,0x7bc500da}},	//   äisi_, rišu, _ljub_, jchu, 
   {{0x7bdc3974,0x20183975,0x43750137,0x634a00ad}},	//   _reru, reri_, _מײַן_, rənc, 
   {{0x7bdc3976,0x3ea93977,0xb5fd015e,0xf1bf001d}},	//   _seru, gmat_, cišt, ldán_, 
   {{0x7bdc27a5,0x20183978,0x6abc3979,0x0d9a0009}},	// [2b60] _peru, peri_, _surf, ствы_, 
   {{0xf1bf397a,0x8fa6397b,0x2a7f0175,0x20180034}},	//   ndán_, _напе, _ajub_, qeri_, 
   {{0x7bdc397c,0x2ba70c14,0x68f901c8,0x1c020035}},	//   _veru, केला, euwd, र्गल_, 
   {{0xfc3f03da,0x7bdc397d,0x290600c8,0xda650195}},	//   _xuíz_, _weru, ttoa_, واني, 
   {{0x7bdc0348,0xa9a6286c,0x3a26000b,0xf918009c}},	//   _teru, чидд, rdop_, تراژ_, 
   {{0x7bc5397e,0xb5fd0704,0x2a7f397f,0x6e260c36}},	//   cchu, zišt, _ejub_, _hakb, 
   {{0x29063980,0x98a4020f,0xc66a0080,0x7ae53981}},	//   stoa_, _armă_, йшие_, csht, 
   {{0xb86600d6,0xa5343982,0x6e260035,0xddc40035}},	//   _کارو, днич, _jakb, jniż, 
   {{0xb5fd2365,0xfc3f1771,0x6e263983,0x32190032}},	//   višt, _ruíz_, _makb, vesy_, 
   {{0x3ea900cf,0x6e263984,0x83860259,0xe9ff0210}},	//   zmat_, _lakb, зыме, _toản_, 
   {{0xb5fd282b,0x04fe0086,0x3ea93985,0x22490054}},	//   tišt, ্টের_, ymat_, _poak_, 
   {{0x20013986,0x76bb00d1,0x3ea900a3,0x00000000}},	//   _schi_, _המאפ, xmat_, --, 
   {{0xb5fd02f5,0x321933c6,0x7bc53987,0x61fd09ad}},	//   rišt, resy_, ychu, rgsl, 
   {{0x04200086,0xb5fd0242,0x32190180,0x75220a4c}},	//   বাহী_, sišt, sesy_, _isoz, 
   {{0xb5fd031e,0xe9ff001b,0x6e263988,0x98a60097}},	//   pišt, _loạn_, _bakb, jvoč_, 
   {{0x5f943989,0x644a398a,0x5eb42010,0x3ea9398b}},	//   хист, _hofi, ейст, umat_, 
   {{0x7bc50204,0x628f0187,0x644a398c,0x61ed0204}},	// [2b70] tchu, moco, _kofi, _idal, 
   {{0x5ba7062a,0x60cd398d,0x628f2953,0x20012504}},	//   през, _itam, loco, _uchi_, 
   {{0xead9005e,0x7bc5398e,0x644a0026,0x66020082}},	//   імді_, rchu, _mofi, _ocok, 
   {{0x7bc5398f,0x7ae500e5,0x6e263990,0xfaf0070f}},	//   schu, rsht, _gakb, اثل_, 
   {{0xa95400dd,0x08c4004e,0x0e0201a2,0x61ed3991}},	//   нкці, ебін, _шӯро, _mdal, 
   {{0xf77009e8,0x60cd2f53,0x644a3992,0x7ae5024a}},	//   گاه_, _mtam, _nofi, psht, 
   {{0x16a93993,0x628f3994,0x61ed3995,0xaa6702f1}},	//   овки_, koco, _odal, _етак, 
   {{0x61ed3996,0x7c273997,0x60cd3998,0x2a7f3999}},	//   _ndal, _hajr, _otam, _ujub_, 
   {{0x68e400eb,0x60cd01eb,0x644a399a,0x7c27399b}},	//   áidt, _ntam, _bofi, _kajr, 
   {{0x61ed399c,0x644a399d,0x55ff0033,0x68e9399e}},	//   _adal, _cofi, ্যেক_, _ived, 
   {{0x60cd399f,0x1c020964,0x672104a1,0x628f39a0}},	//   _atam, र्टल_, _uslj, foco, 
   {{0x628f0068,0x68e936a4,0x76960216,0x00000000}},	//   goco, _kved, rûyê, --, 
   {{0x98a400d9,0x61ed39a1,0x6e2639a2,0x644a39a3}},	//   _urmă_, _ddal, _rakb, _fofi, 
   {{0x764b006b,0x7c2739a4,0x661b39a5,0x61ed39a6}},	//   _hogy, _najr, leuk, _edal, 
   {{0x628f39a7,0x28dd2569,0x92e800eb,0xe1ff39a8}},	//   boco, नीति, _فريق_, giós_, 
   {{0x442739a9,0x644a39aa,0x661b39ab,0xf1bf11d1}},	//   _han_, _zofi, neuk, ndál_, 
   {{0x4427238e,0x7c2739ac,0x644a39ad,0xfce30088}},	// [2b80] _kan_, _bajr, _yofi, кото, 
   {{0xee3903dc,0x442700a7,0x61ed1ea3,0xb05b219b}},	//   онӣ_, _jan_, _zdal, spär, 
   {{0x4427349b,0x6e2639ae,0xe1ff39af,0xa05700c7}},	//   _man_, _takb, ciós_, _חסיד_, 
   {{0x442739b0,0xe1ff00ab,0x7c2701ca,0x49a40259}},	//   _lan_, chód_, _eajr, нылғ, 
   {{0x09e311a8,0x44270023,0xe3e30086,0x7c270537}},	//   точн, _oan_, _মানব, _fajr, 
   {{0x442739b1,0x68e90082,0x69c90026,0xb8e601a4}},	//   _nan_, _dved, _efee, _ईं_, 
   {{0xc87f009e,0xeb970fac,0x644a39b2,0x69c901a3}},	//   îşan_, _жир_, _rofi, _ffee, 
   {{0x442739b3,0x661b0053,0x7c270035,0x764b00f3}},	//   _aan_, geuk, _zajr, _cogy, 
   {{0x442739b4,0x948611db,0x628f39b5,0xe7cf3604}},	//   _ban_, дынд, voco, _स्वप, 
   {{0x442739b6,0xddd626a4,0x00000000,0x00000000}},	//   _can_, skyň, --, --, 
   {{0x442739b7,0x764b0019,0x68e92645,0xd3700038}},	//   _dan_, _fogy, _zved, اهج_, 
   {{0xc7b839b8,0x442739b9,0x925800c8,0x6602045a}},	//   _nađi_, _ean_, дают_, _ucok, 
   {{0xe8050c15,0x644a0248,0x7522016c,0xe1ff39ba}},	//   _रामा_, _tofi, _usoz, rgó_, 
   {{0x442739bb,0xa3df21c6,0xd4c50038,0x245b009e}},	//   _gan_, तरण_, _أغني, _têma_, 
   {{0x764b39bc,0x2bdd009a,0x3f853063,0x00000000}},	//   _yogy, यरसा, çlu_, --, 
   {{0x61ed39bd,0x442739be,0x7c2700d4,0x2cb8161c}},	//   _udal, _zan_, _sajr, _aird_, 
   {{0x442739bf,0x60cd27c8,0xce940093,0xe1ff39c0}},	// [2b90] _yan_, _utam, татъ, biór_, 
   {{0x442739c1,0x69c9012e,0x4cc80086,0x2299010e}},	//   _xan_, _sfee, _লিখু, déki_, 
   {{0x68e939c2,0x2ef400b3,0xa3df02e6,0x7c2739c3}},	//   _sved, _изэр, तरत_, _vajr, 
   {{0x5ba400d9,0xdd912300,0xdb0e039f,0x37d80033}},	//   труз, _موج_, áján, _সাগর, 
   {{0xe6ed0187,0xcce700eb,0xbd94004e,0x7c2702f1}},	//   _väčš, _تسجي, _ақтө, _tajr, 
   {{0x07a5032c,0xa15800d1,0x00000000,0x00000000}},	//   налн, ובדה_, --, --, 
   {{0x442739c4,0x3eb939c5,0x661b39c6,0x2bae0484}},	//   _ran_, _kist_, teuk, झेदा, 
   {{0x442739c7,0x2d9900c8,0x1c10009a,0x66c70241}},	//   _san_, _kyse_, ठ्ठल_, _cıka, 
   {{0x68e9063b,0x3eb939c8,0xe5790088,0x442717e3}},	//   _uved, _mist_, язи_, _pan_, 
   {{0x3eb939c9,0x442739ca,0x98ad0082,0x00000000}},	//   _list_, _qan_, _kreč_, --, 
   {{0x442739cb,0xe29a39cc,0x2d9901e8,0x3eb9011d}},	//   _van_, зан_, _lyse_, _oist_, 
   {{0x4427055a,0x00000000,0x00000000,0x00000000}},	//   _wan_, --, --, --, 
   {{0xdb1c022b,0x442739cd,0x634a00ad,0x00000000}},	//   _ifrå, _tan_, lənl, --, 
   {{0x442739ce,0x3eb900a1,0x6d4039cf,0x00000000}},	//   _uan_, _aist_, _àmai, --, 
   {{0x3eb939d0,0x66c7027e,0x6d4b02ae,0x32290080}},	//   _bist_, _yıka, ägan, ötyä_, 
   {{0x3eb939d1,0x2d9903c6,0x00000000,0x00000000}},	//   _cist_, _byse_, --, --, 
   {{0x61e639d2,0x0d8639d3,0x626b00bc,0x6e9339d4}},	// [2ba0] makl, хлан, třov, القا, 
   {{0x61e639d5,0xa3df109f,0x9f41010c,0x3eb939d6}},	//   lakl, तरि_, _mehê_, _eist_, 
   {{0x09d700cc,0xb3460165,0x20c600e7,0x629602a5}},	//   _হাজা, maçõ, _hôi_, _kkyo, 
   {{0x2cb802e7,0xb34602a0,0x320239d7,0x61e639d8}},	//   _wird_, laçõ, ngky_, nakl, 
   {{0xb4de00b0,0x626b02d9,0xa3df0c97,0x00000000}},	//   _तबे_, přov, तरा_, --, 
   {{0xd6da39d9,0xeee700c5,0x20c6001b,0xb3460165}},	//   пти_, _تغیی, _môi_, naçõ, 
   {{0x4c9302b9,0xf0930111,0x61e639da,0x20c600e7}},	//   _сиёс, אנג_, kakl, _lôi_, 
   {{0x96341fde,0x3eb9010c,0x3546122b,0x7e64025b}},	//   тниц, _xist_, ехов, nhip, 
   {{0x06e0051f,0x61e62d76,0x7afe39db,0x20c60023}},	//   _गौरव_, dakl, lupt, _nôi_, 
   {{0x54543065,0x6d560065,0x629639dc,0xdb1c024a}},	//   твот, iyya, _akyo, _ngrë, 
   {{0x7afe39dd,0xb34602aa,0xd37a39de,0x66c70241}},	//   nupt, daçõ, ячи_, _tıka, 
   {{0x20c600e7,0xa75b0486,0xbddb0118,0x634a00ad}},	//   _bôi_, _מדבר, _inèg, səno, 
   {{0x7e64023e,0x3eb932ba,0x20c60023,0xc68f010e}},	//   dhip, _rist_, _côi_, _اِن_, 
   {{0x3eb902fb,0xb34639df,0x634a0095,0x7afe39e0}},	//   _sist_, gaçõ, lənm, kupt, 
   {{0x61f40219,0x5f9539e1,0xe812009a,0x78ba0502}},	//   ådlö, тивт, ढ्या_, _mitv, 
   {{0x78ba39e2,0x61e601f0,0x439b00a7,0x7e6439e3}},	//   _litv, cakl, _מבוג, ghip, 
   {{0x3eb939e4,0x8d770c72,0x442c0156,0x6702009a}},	// [2bb0] _vist_, رارا, odd_, रंडक_, 
   {{0x645a39e5,0xb34603b7,0xe8050a34,0x3eb9012e}},	//   nkti, caçõ, _राधा_, _wist_, 
   {{0x442c39e6,0x443c0082,0x2d990876,0x7afe39e7}},	//   idd_, _mnv_, _wyse_, gupt, 
   {{0x7e640727,0x59750161,0x7d09020f,0x443c039b}},	//   chip, кылу, _ţesu, _lnv_, 
   {{0x6e3d01c4,0x26de39e8,0x20c60023,0x88c8004f}},	//   _insb, _awto_, _xôi_, елів_, 
   {{0xa3bc130c,0x2003033e,0xc7b800ef,0x443c00ef}},	//   _अलग_, ngji_, _lađu_, _nnv_, 
   {{0x7d0d39e9,0xddcd00d9,0x81e70033,0xdb1c01e5}},	//   ltas, ciaţ, _পান_, _ngrè, 
   {{0xb34600ce,0x442c02f0,0x443c39ea,0xc7b8034c}},	//   zaçõ, edd_, _anv_, _nađu_, 
   {{0x12bd00cc,0x443c39eb,0xc48539ec,0x2c64014e}},	//   _আবেদ, _bnv_, клик, _född_, 
   {{0x7d0d39ed,0x61e60065,0x629d0326,0x443c39ee}},	//   itas, wakl, elso, _cnv_, 
   {{0x61e639ef,0x7d0d39f0,0x20c600e7,0xb3460165}},	//   takl, htas, _sôi_, vaçõ, 
   {{0x27e739f1,0x799b016a,0x7d0d39f2,0x443c39f3}},	//   lann_, _kyuw, ktas, _env_, 
   {{0x61e639f4,0x6e2d052b,0xb34603b7,0x443c39f5}},	//   rakl, ddab, taçõ, _fnv_, 
   {{0x27e70084,0x7d0d01cc,0x10a636b9,0x61e639f6}},	//   nann_, dtas, тигн, sakl, 
   {{0xb34603b7,0xdee339f7,0xafe30073,0xa284009c}},	//   raçõ, иори, росл, _میدو, 
   {{0x20c600f7,0x27e739f8,0xdcf402fe,0x6d440a9f}},	//   _tôi_, hann_, žačk, txia, 
   {{0x7d0d29b7,0x614639f9,0x799b00c5,0xdbdf003e}},	// [2bc0] gtas, _репа, _nyuw, tíði, 
   {{0x61e425f2,0xe3b80785,0x3f9a1763,0x27e70300}},	//   _heil, mdır_, _typu_, jann_, 
   {{0xbddb39fa,0x27e739fb,0x09e639fc,0x61e439fd}},	//   _poèt, dann_, воен, _keil, 
   {{0x6aa939fe,0x60c41ef3,0x7afe39ff,0x6abb3a00}},	//   _chef, _kuim, rupt, _ciuf, 
   {{0x442c1b5a,0x7d0d3a01,0xe3b80092,0x27e73a02}},	//   ydd_, ctas, ndır_, fann_, 
   {{0xcee915c0,0x27e73a03,0x61e43a04,0x60c43a05}},	//   _ترین_, gann_, _leil, _muim, 
   {{0x8a060d5c,0xb8c90d4f,0xa7fc05b7,0x60c4007a}},	//   _изве, _गी_, _alıc, _luim, 
   {{0xfaa63a06,0x61e43a07,0x442c02bf,0x765b0495}},	//   _рабо, _neil, wdd_, gkuy, 
   {{0xd37814f0,0x27e73a08,0x47e10086,0x09061b11}},	//   maći_, bann_, _নারী, _шпан, 
   {{0x78ba051e,0xdb1c026a,0x27e70358,0x6b9c3a09}},	//   _uitv, _agré, cann_, _kyrg, 
   {{0x442c02f0,0x61e43a0a,0x7d0d3a0b,0x2c1407d5}},	//   rdd_, _beil, ztas, न्यू_, 
   {{0xd37808b1,0x7d0d3a0c,0x442a008b,0x645a3a0d}},	//   naći_, ytas, žb_, skti, 
   {{0x61e43a0e,0x60c411a1,0x39463a0f,0xd2510019}},	//   _deil, _cuim, nxos_, لنگ_, 
   {{0xe5a31d98,0xa2ca121a,0x645d024a,0x39463a10}},	//   _тичи, _संप्, ësit, ixos_, 
   {{0x61e43a11,0x260f1489,0x2003024a,0x3ce800a5}},	//   _feil, थ्वी_, rgji_, _चौबे_, 
   {{0x60c43a12,0x7d0d357d,0x61e43a13,0x27e73828}},	//   _fuim, ttas, _geil, zann_, 
   {{0x16df12e3,0x60c43a14,0xd3780372,0xf1c40098}},	// [2bd0] _नब्ब, _guim, daći_, ášť_, 
   {{0x7d0d3a15,0xbbdd047c,0x61e43a16,0x6aa93a17}},	//   rtas, यरेक, _zeil, _shef, 
   {{0x27e73a18,0xddc600ab,0x39460068,0x6aa9084c}},	//   vann_, _dokł, exos_, _phef, 
   {{0x27e73a19,0x66e502f1,0xa2ca121a,0x99d40195}},	//   wann_, ҳока, _संन्, لتها, 
   {{0xe9d800e4,0x27e73a1a,0xee3f0187,0xa3e300aa}},	//   ткі_, tann_, _iný_, _फजल_, 
   {{0xfa230086,0xd7093a1b,0x6b9c3a1c,0x00000000}},	//   ফাইল_, енке_, _fyrg, --, 
   {{0x27e73a1d,0x12bd0086,0xe3b8008f,0x6aa93a1e}},	//   rann_, _আব্দ, zdır_, _thef, 
   {{0x27e73a1f,0xddcd002a,0x06093a20,0xf6250ec6}},	//   sann_, skaņ, хник_, удио, 
   {{0xe616004e,0x27e73a21,0x61e43a22,0x3a3f012b}},	//   уды_, pann_, _reil, _inup_, 
   {{0x60c4051e,0x61e43a23,0x9f43009e,0xe3e30033}},	//   _ruim, _seil, vajî_, _মাহব, 
   {{0x91e63a24,0x60c43a25,0x212911d0,0x6569010e}},	//   лоне, _suim, _asah_, szeh, 
   {{0xe3b800ad,0x22990096,0x00000000,0x00000000}},	//   tdır_, déks_, --, --, 
   {{0x61e43a26,0x645d01ee,0x290f00a3,0x3a2d0379}},	//   _veil, ësis, ntga_, _maep_, 
   {{0xe3b80749,0x26c53a27,0x61e4194c,0x99dd00d8}},	//   rdır_, _kulo_, _weil, _koňs, 
   {{0x61e43a28,0x21290065,0x99750083,0x4c8608ba}},	//   _teil, _esah_, nęło_, ҳлав, 
   {{0xa2062cdd,0x26c53a29,0x2baa00b0,0x6fd40154}},	//   _спид, _mulo_, _करबा, _ब्रू, 
   {{0x0eb909d5,0x20760f5a,0x4c863a2a,0x224003a0}},	// [2be0] туры_, _бунё, глав, _inik_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xd37803f5,0xfaa60267,0x2240206b,0x00000000}},	//   taći_, гажо, _knik_, --, 
   {{0x1efb035c,0xc9860cda,0x2cb00028,0x198a0176}},	//   _אלטע, лули, _žodį_, нбеи_, 
   {{0xed573a2b,0xf992031b,0xd3780613,0x00000000}},	//   _боя_, حبا_, raći_, --, 
   {{0x3ea03a2c,0x66c70c05,0xf772006b,0xf72a123f}},	//   llit_, _tıkl, یاں_, еций_, 
   {{0x26c53a2d,0xb8eb0d1d,0xd3780397,0x224001cf}},	//   _culo_, _रू_, paći_, _onik_, 
   {{0x7c2e15c4,0x36870f82,0x26c50c36,0x3ea0003e}},	//   _habr, лсын_, _dulo_, nlit_, 
   {{0x59863a2e,0x634a06d0,0x7c2e3a2f,0xca750009}},	//   _слаб, məni, _kabr, _туры, 
   {{0x634a0095,0x7c2e3a30,0xd91b008d,0x245200b3}},	//   ləni, _jabr, _אומל, _câmp_, 
   {{0x7c2e3a31,0x3ea03a32,0x26c53a33,0x36060625}},	//   _mabr, klit_, _gulo_, _مواف, 
   {{0x7c2e3a34,0xa2950769,0x21b500dd,0xdbdf003e}},	//   _labr, рамі, ийня, _líðu, 
   {{0x667b00c7,0x463b0070,0x3ea03a35,0x26c501ca}},	//   _אטאק, _רעדע, dlit_, _zulo_, 
   {{0xe1ff033c,0x53343a36,0x3e6700b0,0x22403a37}},	//   chón_, _вект, _mõte_, _enik_, 
   {{0xe7f71516,0x442e014e,0x634a0095,0x316b3a38}},	//   ीलता_, _iaf_, kəni, szcz_, 
   {{0x3ea03a39,0x442e3a3a,0xddcd2c1c,0x2bdd1f22}},	//   glit_, _haf_, snaž, यर्थ, 
   {{0x3cee006a,0x21293a3b,0x634a06d0,0x442e3a3c}},	// [2bf0] ेंगे_, _usah_, dəni, _kaf_, 
   {{0x442e3a3d,0x3ea00a4b,0x9f4300bc,0x3a3f02c9}},	//   _jaf_, alit_, lají_, _snup_, 
   {{0x2baa02f8,0x442e3a3e,0x3ea03a3f,0x0ba728f0}},	//   _करणा, _maf_, blit_, ушам, 
   {{0x27e50bfc,0x9f4300bc,0x442e3a40,0x7c2e00a1}},	//   _seln_, nají_, _laf_, _eabr, 
   {{0x7c2e3a41,0xd3780112,0xc77303a1,0x00000000}},	//   _fabr, maću_, өткө, --, 
   {{0x7c2e0474,0x46f53108,0x442e3a42,0x26c53a43}},	//   _gabr, ачит, _naf_, _pulo_, 
   {{0xf771105a,0x36693a44,0x270e0095,0x18660093}},	//   غات_, како_, _yəni_, ращи_, 
   {{0x7c2e1293,0xbb840084,0x2baa02f8,0x7ae300d9}},	//   _zabr, _الفي, _करता, ântu, 
   {{0x81eb0086,0x9f43031e,0x98b93a45,0xa4d60267}},	//   মলা_, dají_, _алат_, адњу_, 
   {{0xd3781612,0x26c53a46,0x7c2e0068,0xf8b920b4}},	//   haću_, _tulo_, _xabr, _شهاب_, 
   {{0xd3780a1a,0x03a50846,0x53a53a47,0x383400d9}},	//   kaću_, рино, ранб, _ынфр, 
   {{0x67b80198,0xcb1200d1,0xd3780082,0x00000000}},	//   _صالح_, חלט_, jaću_, --, 
   {{0x442e0379,0xd378090e,0x04451d7d,0x00000000}},	//   _faf_, daću_, _велн, --, 
   {{0x442e3a48,0x05a800dd,0x270e0095,0xad9b0038}},	//   _gaf_, _свій_, _səni_, _gcúi, 
   {{0x7c2e0082,0x634a0095,0x3ea03a49,0xa2a7009a}},	//   _rabr, yəni, tlit_, _टीव्, 
   {{0x442e3a4a,0xdbdf010d,0x3f8c003d,0x3ea03a4b}},	//   _zaf_, _síðu, ħdu_, ulit_, 
  
   {{0x7c2e3a4c,0x3ea0008c,0x645c3a4d,0x37e60033}},	// [2c00] _pabr, rlit_, örig, _নাসর, 
   {{0xa7fc0749,0x3ea03a4e,0x2baa00b0,0x7c2e3a4f}},	//   _alın, slit_, _करदा, _qabr, 
   {{0x62870076,0xf1a9009c,0x634a0095,0xd3780a1a}},	//   čkov, _لایه_, təni, baću_, 
   {{0xeb973a50,0x2c64014e,0x62863a51,0x3e7f0080}},	//   ших_, _döda_, nnko, rätä_, 
   {{0xd82618ae,0x7c2e3a52,0x634a00ad,0x93bc00b3}},	//   идди, _tabr, rəni, ndăr, 
   {{0x7d043884,0xceb40095,0x2c640219,0x187301fc}},	//   muis, lmə_, _föda_, огія, 
   {{0x7d043a53,0xa2ca03c1,0x81e70033,0x00000000}},	//   luis, _संध्, _পাস_, --, 
   {{0x2bd20e7d,0x95d700fd,0xceb40248,0x634a0248}},	//   दुरा, адът_, nmə_, qəni, 
   {{0x9f43031e,0x7d043a54,0x00000000,0x00000000}},	//   vají_, nuis, --, --, 
   {{0x442e3a55,0x62863a56,0xb80600d4,0x6e2401c4}},	//   _qaf_, enko, _خبره, heib, 
   {{0x7d043a57,0x439408bd,0x9f4a009e,0x22920098}},	//   huis, санс, sabê_, láky_, 
   {{0x7d043a58,0x442e3a59,0x62860bf7,0x00000000}},	//   kuis, _waf_, gnko, --, 
   {{0x442e1691,0x7d043a5a,0x61f602bf,0xd378044e}},	//   _taf_, juis, _ddyl, vaću_, 
   {{0x03770274,0x7d043a5b,0x251b008d,0x99860032}},	//   احیت_, duis, _סווא, rgoň_, 
   {{0xf0b400dd,0xc2e602f1,0x1df916d0,0xd3780ab4}},	//   ійсь, _тўли, левы_, taću_, 
   {{0x2c64014e,0x5f943a5c,0xdce601f0,0xcdd80bad}},	//   _röda_, цист, _aykı, ињу_, 
   {{0x7d043a5d,0xd90413b4,0xa2ca1779,0xd378044e}},	// [2c10] guis, _تی_, _सूत्, raću_, 
   {{0x38a93a5e,0x80dd0033,0xd3780f23,0x2292024c}},	//   kúra_, _বিপ্, saću_, dáky_, 
   {{0x5b153a5f,0x7642052b,0x00000000,0x00000000}},	//   смет, _onoy, --, --, 
   {{0x7d0402a3,0xe8f500eb,0x3d0702e6,0x00000000}},	//   buis, مستخ, िंदे_, --, 
   {{0x3cfe006a,0x8d841c3e,0x7d043a60,0xb7c302be}},	//   _लिये_, _дурд, cuis, çãoz, 
   {{0x2bcb0a43,0xf1bf010e,0x26d90098,0x7642040c}},	//   _шумо_, ldás_, _čsob_, _anoy, 
   {{0xda351c0f,0x99863a61,0x62860035,0x9f430379}},	//   _левы, rdoš_, ynko, najà_, 
   {{0x7c253a62,0xf1bf039f,0x229200da,0x80dd0033}},	//   lehr, ndás_, báky_, _বিন্, 
   {{0x95990504,0x2aff0790,0x78bd0036,0x673a0ff2}},	//   ытку_, शंकु_, _èsvo, _ertj, 
   {{0xb465030f,0x98650019,0xe3c300b9,0x81bf0033}},	//   скол, _دیتے_, өрүү, েরা_, 
   {{0x6e243a63,0x673a039b,0x36d40892,0x60d618aa}},	//   yeib, _grtj, _дохр, _stym, 
   {{0x99800039,0x201a0065,0x628601f1,0x17683a64}},	//   žiť_, _sbpi_, unko, _труп_, 
   {{0xf65200a7,0xd5480fce,0x7c250380,0x62860bfe}},	//   _מצא_, _نجوم_, kehr, rnko, 
   {{0x1c0305d2,0x753600c7,0x75293a65,0x66093a66}},	//   _लागल_, _לאנד_, mwez, lgek, 
   {{0x44253a67,0x64433a68,0xa1c4005e,0xceb40095}},	//   mel_, _inni, _мұнд, tmə_, 
   {{0x7d040445,0xf1d1017d,0x7529095a,0x00000000}},	//   tuis, थुआन, owez, --, 
   {{0x75290b32,0x6e243a69,0x291f006f,0xceb40095}},	// [2c20] nwez, reib, _npua_, rmə_, 
   {{0x2292014b,0xa3ab215e,0x7c250380,0xc006197c}},	//   váky_, _खरा_, gehr, _упок, 
   {{0x291f0088,0x7d043a6a,0x20180657,0x7529016c}},	//   _apua_, suis, mfri_, hwez, 
   {{0x75293a6b,0x44253a6c,0x7d043a6d,0x2292014b}},	//   kwez, hel_, puis, táky_, 
   {{0x44253a6e,0x64430088,0xfaa60f5a,0x2baa02c3}},	//   kel_, _onni, _ҳаво, _करवा, 
   {{0xbb4609e7,0xd90d00d6,0x38a93a6f,0x2292014b}},	//   _легк, ئیل_, túra_, ráky_, 
   {{0xe80e1422,0xf1bf0228,0xf1c810b0,0xd7f900f0}},	//   _साठा_, ndár_, रखान, руі_, 
   {{0x44250265,0x66093a70,0x673a0372,0x64433a71}},	//   eel_, ggek, _vrtj, _anni, 
   {{0x44253a72,0x896620e1,0xc966012d,0xd90d0535}},	//   fel_, _укаж, _увай, _لین_, 
   {{0x44253a73,0x29063a74,0xe8d700d1,0x00000000}},	//   gel_, muoa_, _לומר_, --, 
   {{0xf7433a75,0x21200574,0x2906084c,0x9f4a00d7}},	//   _нефо, _apih_, luoa_, babé_, 
   {{0x32670bce,0x64433a76,0x2120016a,0x466900dd}},	//   стов, _enni, _bpih_, _крім_, 
   {{0x44253a77,0x2018003d,0x9f4100b9,0x7529016c}},	//   bel_, ffri_, _vehí_, cwez, 
   {{0x44253a78,0x27ee003e,0xe81b02ab,0x20180e79}},	//   cel_, nafn_, प्पा_, gfri_, 
   {{0x447b00d1,0x29060415,0x00000000,0x00000000}},	//   _תנוע, huoa_, --, --, 
   {{0x7c250380,0x62870098,0x2906025b,0x00000000}},	//   wehr, čkos, kuoa_, --, 
   {{0xdc5502a6,0xa7fc027e,0x463b00c7,0xdb1c022c}},	// [2c30] овањ, _alım, נעמע, _agrà, 
   {{0x61ef01be,0x8bc73a79,0xba3d00bc,0x66090532}},	//   lacl, ссад, _lhůt, zgek, 
   {{0x50d4006b,0x212b02bf,0xfbab0028,0x99d700eb}},	//   _وزیر, lwch_, утай_, متشا, 
   {{0x44253a7a,0x61ef3a7b,0x00000000,0x00000000}},	//   zel_, nacl, --, --, 
   {{0x44253a7c,0x212b0156,0x75290216,0xa2bc0070}},	//   yel_, nwch_, xwez, אמאט, 
   {{0xb901007e,0xf9902f67,0x7e6d2eef,0x00000000}},	//   _दऽ_, ربن_, lhap, --, 
   {{0x44253a7d,0x2bdf0eda,0xb8d005f6,0x66090a58}},	//   vel_, _प्या, _टी_, tgek, 
   {{0x44253a7e,0x0f7c00a7,0x7e6d3a7f,0x75293a80}},	//   wel_, טרול, nhap, twez, 
   {{0x44253a81,0x61ef0183,0x66092ff7,0x201813db}},	//   tel_, dacl, rgek, yfri_, 
   {{0x66091013,0x212b0156,0x752901c8,0x44251be5}},	//   sgek, dwch_, rwez, uel_, 
   {{0x44253a82,0x7e6d3a83,0x224a0165,0x634a0248}},	//   rel_, khap, апни_, dəns, 
   {{0x44253a84,0xd6ab2ee1,0x2f3805d5,0x7e6d0175}},	//   sel_, _صدام_, _rčg_, jhap, 
   {{0xa4f70a24,0x7e6d00d7,0x212b00f8,0x00000000}},	//   _اکبر_, dhap, gwch_, --, 
   {{0x6443008c,0x44253a85,0x7bc73a86,0x316c0083}},	//   _unni, qel_, _ngju, ądz_, 
   {{0x1fb53a87,0xe81b009a,0xae7a07f4,0x749a0225}},	//   зстр, प्या_, асах_, _דיספ, 
   {{0x00ca0962,0xf1bf0183,0x7bd502b0,0xaaa800c2}},	//   _клик_, meán_, _afzu, _छींक, 
   {{0x63a302bf,0xec7a3a88,0xf1bf00eb,0x1bea03dc}},	// [2c40] _hynn, апа_, leán_, идаи_, 
   {{0x0c233a89,0x63a33a8a,0x6721003a,0x3e6700b0}},	//   ммун, _kynn, _oplj, _võta_, 
   {{0x49ca16e1,0x7e6d01e5,0xddc4020f,0x5b26007a}},	//   ален_, bhap, ghiţ, تفال, 
   {{0x7e6d3a8b,0x09e303b7,0x63a33a8c,0x29060149}},	//   chap, доцн, _mynn, tuoa_, 
   {{0xb5fd0032,0x67d43a8d,0x522d0147,0x00000000}},	//   chši, полу, טואַ, --, 
   {{0x6e36012d,0x3a26016a,0x29060026,0x00000000}},	//   ldyb, seop_, ruoa_, --, 
   {{0x2906084c,0x7d163a8e,0x61ef0248,0x63a30657}},	//   suoa_, ltys, yacl, _nynn, 
   {{0x6e363a8f,0xf1bf00eb,0x7bc7024a,0x27ee008c}},	//   ndyb, deán_, _zgju, safn_, 
   {{0xceb3042c,0x7d163a90,0x7afa04f4,0x00000000}},	//   ויה_, ntys, _ættb, --, 
   {{0x31e300a2,0x33743a91,0x63a30156,0xc8660038}},	//   पर्ध, згор, _bynn, _بطري, 
   {{0x63a302f0,0x61ef3a92,0xe3b8027e,0x7e6400c8}},	//   _cynn, tacl, ldız_, kkip, 
   {{0x212b0156,0x63b5014b,0x63a300f8,0x00000000}},	//   twch_, ýzna, _dynn, --, 
   {{0xa2ca04d7,0x26cc3a93,0x61ef0de2,0x00000000}},	//   _सूर्, _hudo_, racl, --, 
   {{0x80dd00cc,0x26cc024a,0x212b0156,0x61ef02a3}},	//   _বিদ্, _kudo_, rwch_, sacl, 
   {{0x63a302f0,0x8f343a94,0x7e6d07d7,0x64580036}},	//   _gynn, мерц, thap, _iovi, 
   {{0x64583a95,0xa19507f4,0x60dd1bbd,0x975700df}},	//   _hovi, _найч, ppsm, חילו_, 
   {{0x64583a96,0x7e6d3a97,0x7bf93a98,0xa3b600bc}},	// [2c50] _kovi, rhap, йнар_, चेर_, 
   {{0x6458032f,0x61ed3a99,0x7e6d3a9a,0xc8a900c9}},	//   _jovi, _heal, shap, _चींट, 
   {{0x64583a9b,0x7e6d1c28,0x61ed0ab1,0x26cc3a9c}},	//   _movi, phap, _keal, _nudo_, 
   {{0x64583a9d,0x60cd0010,0xf1af0586,0x7e643a9e}},	//   _lovi, _kuam, _घरान, ckip, 
   {{0xcfbd0086,0x6d4b014e,0x60cd3a9f,0xa3ca031e}},	//   _অভিন, ågad, _juam, लखा_, 
   {{0x60cd02f1,0x61ed3aa0,0x629d3aa1,0x26cc0539}},	//   _muam, _leal, hoso, _budo_, 
   {{0x26cc05ae,0x25a90688,0x7522045a,0xad9b0038}},	//   _cudo_, _šal_, _apoz, _gcúr, 
   {{0x26cc0369,0x7c353aa2,0xdb1c0019,0x629d08b2}},	//   _dudo_, _hazr, _ugrá, joso, 
   {{0x63a33aa3,0x656000f8,0x69c901d6,0xf8f400b3}},	//   _synn, gymh, _igee, _оптэ, 
   {{0x26cc3aa4,0xf1bf0038,0x13090080,0x00000000}},	//   _fudo_, teán_, бной_, --, 
   {{0x61ed3aa5,0x7c353aa6,0x64583aa7,0xbddb00f6}},	//   _beal, _mazr, _dovi, _anèm, 
   {{0xf1bf00eb,0x61ed3aa8,0x7d1600c8,0x60cd3aa9}},	//   reán_, _ceal, ytys, _buam, 
   {{0xf1bf00eb,0x61ed3aaa,0x64580126,0x15452631}},	//   seán_, _deal, _fovi, _хелм, 
   {{0x653a00c7,0x7c353aab,0x63a33aac,0x09a90035}},	//   _לענד, _nazr, _tynn, _औरैय, 
   {{0x61ed3aad,0xbbaa1574,0x1faa11b9,0x69c902a5}},	//   _feal, _करेक, скви_, _ogee, 
   {{0x61ed0094,0x644600e0,0x64583aae,0x69c902a5}},	//   _geal, ēkie, _zovi, _ngee, 
   {{0xf1bf00eb,0x60cd00e2,0x7d16039b,0x6e360566}},	// [2c60] neál_, _guam, utys, rdyb, 
   {{0x7e643aaf,0xeb9a0161,0x69c901b8,0x61ed3ab0}},	//   skip, биз_, _agee, _zeal, 
   {{0xe8052221,0x6d4b014e,0x7d163769,0x8b26004f}},	//   _राजा_, ägar, stys, ядже, 
   {{0x765900ab,0x60cd006d,0x0ae90038,0xdce40ab4}},	//   _nowy, _yuam, تركي_, jzić, 
   {{0x7c350065,0x63a60035,0x00000000,0x00000000}},	//   _fazr, ękni, --, --, 
   {{0xb8f41e4c,0x26cc08f4,0xa3ab009a,0x2bdb2830}},	//   _सं_, _pudo_, _खरं_, मुदा, 
   {{0xd6d73338,0x75221467,0x629d3ab1,0x25c10095}},	//   пты_, _spoz, yoso, ərlə_, 
   {{0x80dd00cc,0xfaa300dd,0xb17b01e8,0x629d0068}},	//   _বিস্, _засо, dbån, xoso, 
   {{0x64583ab2,0xd49a197b,0x68e90156,0xb5fd01dd}},	//   _povi, йро_, _gwed, ukša, 
   {{0x26cc00ce,0x7d043ab3,0xb5fd01dd,0x61ed3ab4}},	//   _tudo_, iris, rkša, _seal, 
   {{0x60cd0730,0x61ed05d2,0xe61a0cc2,0x7d043ab5}},	//   _suam, _peal, _где_, hris, 
   {{0x7d043ab6,0xad9b0068,0xbddb0300,0x60cd0118}},	//   kris, _ocúp, _enèj, _puam, 
   {{0x68e9055a,0x629d3ab7,0xf4870c30,0xe5340fac}},	//   _xwed, roso, _کانی, _цель, 
   {{0x629d3ab8,0x7d043ab9,0x61e0008f,0x55bb0486}},	//   soso, dris, ımla, _המדו, 
   {{0xda0d05fd,0x25af3aba,0x60c500b0,0x61ed3abb}},	//   _हालत_, _zzgl_, _vihm, _teal, 
   {{0x7d043abc,0x7c35034c,0x60cd3abd,0x816b1918}},	//   fris, _sazr, _tuam, _гроб_, 
   {{0xe7cc0081,0x22490187,0x823420b4,0x786f004f}},	// [2c70] ाशाप, _inak_, _سريا, _høve, 
   {{0xdfd10038,0xdb1c02ae,0x00000000,0x00000000}},	//   _جيد_, _ogrä, --, --, 
   {{0xaac70a7c,0x7d043abe,0xde59004f,0x78bd0036}},	//   ستان, aris, _дані_, _èsvi, 
   {{0x7d180084,0x68e90c3d,0x37e60086,0x386c0054}},	//   éasá, _pwed, _নাগর, _aldr_, 
   {{0x20d300c9,0x3ea90219,0x2616007e,0x786f01e8}},	//   _धूमध, mlat_, _भउजी_, _løve, 
   {{0x3ea93abf,0xc7a500dd,0x013800a7,0x07a50925}},	//   llat_, милк, פרות_, малн, 
   {{0xe80e0366,0xb8f40c15,0x12c70086,0x76593ac0}},	//   _सारा_, _सू_, _শব্দ, _powy, 
   {{0xd87709e8,0x645c3ac1,0x386c008a,0x7afa01d5}},	//   _کارب, örin, _eldr_, _ætta, 
   {{0xbddb0237,0xdce40ab4,0xddcd0009,0xc7c70165}},	//   _anèk, rzić, kiaž, _есеи, 
   {{0x22493ac2,0x2a6d3ac3,0x25a603a0,0x9f51009e}},	//   _anak_, _hleb_, _dyol_, razê_, 
   {{0xa22a3ac4,0x04ff0033,0x2a6d0542,0x80dd0033}},	//   ожна_, ্বের_, _kleb_, _বিষ্, 
   {{0x7d04008c,0x2a6d016a,0x1fc50086,0x38b200b3}},	//   yris, _jleb_, ্রাস, râre_, 
   {{0x3ea93ac5,0x66c7027e,0xbbaa0a0e,0x13a700d7}},	//   dlat_, _fıkr, _कर्क, تنگی_, 
   {{0x80dd100b,0x22493ac6,0x63850cd9,0x7d043ac7}},	//   _বিশ্, _enak_, _огла, vris, 
   {{0xe29f008c,0x4f953ac8,0x8fa33ac9,0x3ea93aca}},	//   boð_, ерту, варе, flat_, 
   {{0xe1ff23f2,0xecea2c77,0xe058009c,0x00000000}},	//   lkón_, ждал_, _کیست_, --, 
   {{0x32d30029,0xe80e119b,0xbea33acb,0xd12f009c}},	// [2c80] _hãy_, _साला_, татк, _نمي_, 
   {{0x645700b9,0x3ea900f6,0x3cf9019c,0x3ac80248}},	//   _òxid, alat_, _dvsv_, _aşpa_, 
   {{0x3ea93acc,0x00000000,0x00000000,0x00000000}},	//   blat_, --, --, --, 
   {{0x7d040c04,0x224900e2,0x3ea9022c,0x2a6d0175}},	//   pris, _xnak_, clat_, _cleb_, 
   {{0x20d41eab,0xaac5009c,0xbdfb0296,0x2bdf058c}},	//   _jäi_, رتمن, _برپا_, _प्वा, 
   {{0xd6da03b9,0xbddb011c,0x2a6d0175,0x18673acd}},	//   оти_, _anèh, _eleb_, мачи_, 
   {{0xdca31829,0xf79300e4,0x32d30023,0x45d40afc}},	//   _рари, кашэ, _nãy_, нойс, 
   {{0xa3c308b3,0xa53439f7,0x786f0f95,0x00000000}},	//   ्शन_, енич, _røve, --, 
   {{0x64c83ace,0x26c6095a,0x6d4000de,0x00000000}},	//   रदेश, _vioo_, _šmaj, --, 
   {{0x68e2023a,0x2249202b,0x838600f0,0x09030cfe}},	//   mpod, _snak_, дыме, _шпун, 
   {{0xd37a00dd,0x2249011c,0x00000000,0x00000000}},	//   ючи_, _pnak_, --, --, 
   {{0x05660012,0x32d30023,0x475900b3,0xb5fd0028}},	//   _овен, _dãy_, _эруя_, nkšl, 
   {{0x3ea90c67,0xa2ca000c,0x0fe300d3,0xd8380144}},	//   vlat_, _संक्, көнү, _kač_, 
   {{0xdbf307fa,0x9f430228,0x961d01dd,0x29060183}},	//   _işçi, majú_, miņa, iroa_, 
   {{0xc0580fb6,0x442c3acf,0xd838044e,0x490800a5}},	//   фія_, med_, _mač_, _समझो_, 
   {{0x442c3ad0,0x3ea93ad1,0xd8380118,0x29060379}},	//   led_, ulat_, _chčz_, kroa_, 
   {{0x442c0156,0xdfd517fc,0xc05b00f0,0x9f430032}},	// [2c90] oed_, _попы, _дін_, najú_, 
   {{0x3ea9031e,0xb5fd01dd,0x29063ad2,0xa1f9010e}},	//   slat_, ekšl, droa_, _بڑھا_, 
   {{0x2a6d006d,0x9f433ad3,0x5ba70f67,0x29063071}},	//   _pleb_, hajú_, фраз, eroa_, 
   {{0x442c3ad4,0xdd140039,0x9f430228,0x2299014b}},	//   hed_, _súťa, kajú_, téky_, 
   {{0x26de0093,0x442c3ad5,0xf1a50586,0x6e2d001d}},	//   _atto_, ked_, _गुमन, meab, 
   {{0x442c3ad6,0x7d0d0666,0x9f430228,0x6e2d0358}},	//   jed_, muas, dajú_, leab, 
   {{0x442c0052,0x7d0d3ad7,0xc7a23ad8,0x46a52831}},	//   ded_, luas, лишк, накв, 
   {{0xbb4800c5,0x2a7f023e,0x290600b4,0x628f039b}},	//   _تلفن_, _umub_, broa_, jnco, 
   {{0x442c3ad9,0x2bc30c14,0x79a7081b,0x7d0d00e1}},	//   fed_, _वृता, _црве, nuas, 
   {{0xe4510084,0x442c3ada,0x291a00b3,0x628f1f57}},	//   اضة_, ged_, ăpat_, enco, 
   {{0xe2860a2b,0x4e0f031e,0x7d0d3adb,0x69c40028}},	//   елни, िलाई_, huas, žiet, 
   {{0x7d0d04bb,0x644a3adc,0x9f430032,0x442c00c2}},	//   kuas, _enfi, bajú_, aed_, 
   {{0x764b006b,0x442c3add,0x3e6e003e,0xf477004e}},	//   _ingy, bed_, _nýta_, _жөні_, 
   {{0x2bdf09ec,0x442c2821,0xa06a3ade,0x7d0d0065}},	//   _प्ला, ced_, чага_, duas, 
   {{0x3ea00eb1,0x6258019c,0x00000000,0x00000000}},	//   toit_, _mãoz, --, --, 
   {{0xbea304e9,0x6e2d3adf,0x7d0d0053,0xdb0e0175}},	//   гаск, geab, fuas, _uzbé, 
   {{0x62863ae0,0x7d0d3ae1,0x3ea03ae2,0x3d07109f}},	// [2ca0] miko, guas, roit_, िंगे_, 
   {{0x62863ae3,0x69db3ae4,0xc19b0486,0xeb9a3ae5}},	//   liko, _afue, _משפי, пиз_, 
   {{0x9f430228,0x961d00e0,0xb5fd01dd,0x09ba3ae6}},	//   zajú_, ziņa, ekšm, ेश्य, 
   {{0xfce63ae7,0x62863ae8,0x442c3ae9,0x29063aea}},	//   _помо, niko, zed_, troa_, 
   {{0xa967252a,0xd83802ee,0x442c00a7,0xb21b34f9}},	//   ница_, _pač_, yed_, onær, 
   {{0x9f430187,0x62863aeb,0x29060a9f,0x442c00a7}},	//   vajú_, hiko, rroa_, xed_, 
   {{0x62863aec,0xab273aed,0x442c0056,0x7bce0495}},	//   kiko, _пора_, ved_, _igbu, 
   {{0x442c3aee,0x62863aef,0x9f430032,0x68e20695}},	//   wed_, jiko, tajú_, ppod, 
   {{0x442c0052,0xdb1c007a,0xf09f00b9,0x00000000}},	//   ted_, _ngrú, dràn_, --, 
   {{0x6aa201a9,0x9980012d,0x9f430228,0x764b3af0}},	//   loof, žių_, rajú_, _engy, 
   {{0x442c3af1,0x62863af2,0xdb1c0068,0xe1f90161}},	//   red_, fiko, _agrú, үгү_, 
   {{0x442c3af3,0x62863af4,0x99890228,0x934600f0}},	//   sed_, giko, žať_, _үнде, 
   {{0x2418004e,0x442c00a7,0x7bdc0034,0xf4861a41}},	//   _жолы_, ped_, _ofru, _пукн, 
   {{0x741300d4,0x6aa23af5,0xc0583af6,0x41a500bc}},	//   _موها, hoof, ніс_, _गुणस, 
   {{0x53343af7,0x62860b31,0xc90d031e,0x6e2d3af8}},	//   _рейт, biko, _सम्म_, teab, 
   {{0x7d0d3af9,0x7bce012b,0x7bdc3afa,0x62863afb}},	//   tuas, _agbu, _afru, ciko, 
   {{0x6e2d3afc,0x9f4a019c,0xbbeb0038,0x6aa2039b}},	// [2cb0] reab, rabá_, كرام_, doof, 
   {{0x6e2d3afd,0xf8b80023,0x2129002c,0xed04010e}},	//   seab, _nhĩ_, _ipah_, اولپ, 
   {{0x68fb003a,0x7d0d025b,0x7afc203b,0x394400df}},	//   _svud, suas, _cvrt, _arms_, 
   {{0x7d0d0666,0x636b010e,0x212900e7,0xd7f100e7}},	//   puas, lönö, _kpah_, _sẽ_, 
   {{0x7d0d0036,0xb5fd0028,0x5fd51503,0x625802be}},	//   quas, ukšm, _दलाल, _pãoz, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x62863afe,0xdb1505d5,0x394400b9,0xa6951571}},	//   yiko, _egzò, _erms_, криј, 
   {{0x62863aff,0x212903bc,0x6edc0352,0xbddb0237}},	//   xiko, _opah_, _učbe, _enèv, 
   {{0x58d500dd,0x69c43b00,0x62862b92,0x383500b3}},	//   _розт, žier, viko, _инар, 
   {{0x446534c0,0x2bb80394,0x58d40925,0x290f3b01}},	//   твов, _अरमा, _софт, muga_, 
   {{0xe29a31d7,0x62863b02,0xfbd20056,0x63aa02bf}},	//   дан_, tiko, יתי_, _cyfn, 
   {{0x20013b03,0x63aa017c,0x00000000,0x00000000}},	//   _adhi_, _dyfn, --, --, 
   {{0x62863b04,0xa56400eb,0x290f3b05,0x291d07d7}},	//   riko, _مدون, nuga_, ntwa_, 
   {{0x291d0053,0x9f51010c,0x290f059e,0xe8040083}},	//   itwa_, razî_, iuga_, रणया_, 
   {{0x8fa63b06,0x63aa0156,0xb21b092c,0x290f3b07}},	//   таве, _gyfn, rnær, huga_, 
   {{0x7bdc3b08,0x291d06df,0x290f00b0,0xb1460a10}},	//   _sfru, ktwa_, kuga_, _анил, 
   {{0xc5f21a61,0x21760258,0x290f3b09,0x6f1c00de}},	// [2cc0] ידן_, _шукр, juga_, strc, 
   {{0x1f663b0a,0x20040009,0xf0ba0535,0xa2d800bc}},	//   _аком, ėmis_, _تابش_, _नंम्, 
   {{0x78a33b0b,0x00000000,0x00000000,0x00000000}},	//   donv, --, --, --, 
   {{0x290f0547,0x00000000,0x00000000,0x00000000}},	//   fuga_, --, --, --, 
   {{0xfe7508a5,0x6aa23b0c,0x78a33b0d,0x290f3b0e}},	//   _сүт_, roof, fonv, guga_, 
   {{0x7afc3b0f,0xa3c30fec,0xa7fc0540,0x67280065}},	//   _tvrt, ्शा_, _alır, _ppdj, 
   {{0x7c3c1049,0x6d46090e,0x7afc0a1a,0x3944019c}},	//   _iarr, _hrka, _uvrt, _wrms_, 
   {{0x290f355a,0x6d4602fe,0x7c3c2b8f,0x963418b2}},	//   buga_, _krka, _harr, униц, 
   {{0x7c3c3b10,0x291d0035,0x08c63b11,0xe60f009c}},	//   _karr, ctwa_, _абан, زشي_, 
   {{0x7c3c0414,0x6d460097,0x25e207d5,0xdb1c01c5}},	//   _jarr, _mrka, _ट्री_, _sgrù, 
   {{0x7c3c3a97,0xd7a91615,0xd25113b4,0x64a303b7}},	//   _marr, _चुपच, مند_, раќа, 
   {{0x7c3c02ba,0x6d463b12,0xa77b0070,0x00000000}},	//   _larr, _orka, _קראפ, --, 
   {{0x955300d4,0x51843b13,0x316d033c,0xaf3400d7}},	//   _نخوا, аура, áez_, یرفت, 
   {{0x8cd60262,0x9f58010c,0x8c080086,0x3e7500dd}},	//   _बढ़ो, marê_, র্তন_, _måte_, 
   {{0x5433195e,0x443c023b,0xdef8016e,0x6d463b14}},	//   _ضرور, _iav_, кыт_, _arka, 
   {{0x443e3b15,0x443c3b16,0x3cfe000f,0x6d46090e}},	//   ldt_, _hav_, _लिखे_, _brka, 
   {{0x80dd00cc,0x443c01a0,0x21291415,0x6d46034c}},	// [2cd0] _বিক্, _kav_, _upah_, _crka, 
   {{0x443e3b17,0x7c3c3037,0x290f099d,0x443c2f5d}},	//   ndt_, _carr, vuga_, _jav_, 
   {{0x7c3c0161,0x443c3b18,0x6d463b19,0x443e3b1a}},	//   _darr, _mav_, _erka, idt_, 
   {{0x443c3b1b,0x7c3c11a1,0x9984012d,0x9f58010c}},	//   _lav_, _earr, _namų_, karê_, 
   {{0x9f580218,0x7c3c3b1c,0xe8df00e7,0x443c01ff}},	//   jarê_, _farr, _trọn_, _oav_, 
   {{0x443c3b1d,0x7c3c1218,0x9f58009e,0x443e012e}},	//   _nav_, _garr, darê_, jdt_, 
   {{0x6e3d00a3,0x6d460228,0x291d3b1e,0x290f3b1f}},	//   _kasb, _zrka, stwa_, suga_, 
   {{0x443e012e,0x7e6d3b20,0x7c3c3b21,0xc1e32a2c}},	//   edt_, nkap, _zarr, _क्लब_, 
   {{0x6e3d3b22,0x9a8400cf,0x7c3c3b23,0xb8b30259}},	//   _masb, _турл, _yarr, _көкі, 
   {{0x443c006f,0x649d00d3,0x7c3c3b24,0x62840387}},	//   _cav_, nèix, _xarr, _smio, 
   {{0x443c01a0,0x46152daa,0x7e6d3b25,0xf77003b8}},	//   _dav_, _موار, kkap, _وام_, 
   {{0x6e3d3b26,0xe0c900c7,0x6d032369,0x9f58078a}},	//   _nasb, _זײ_, _लिंग_, barê_, 
   {{0x81ac0086,0x321e0035,0x443e0183,0xfbc3031e}},	//   কেন_, ęty_, bdt_, वेतम, 
   {{0x409513f1,0x443c3b27,0x6602014b,0x2c7602c9}},	//   арст, _gav_, _zdok, _kæde_, 
   {{0x6e3d3b28,0x65690102,0x6d460604,0x9f58021e}},	//   _basb, lyeh, _srka, marë_, 
   {{0x7e6d3b29,0x7c3c3b2a,0x44270065,0x6aa90097}},	//   gkap, _sarr, _hbn_, _nkef, 
   {{0x0c26156b,0x443c01a0,0x61463b2b,0x6e3d085b}},	// [2ce0] лман, _yav_, _сепа, _dasb, 
   {{0x443c0e0c,0x7c3c007b,0x786f01e8,0x6e3d0465}},	//   _xav_, _qarr, _søvn, _easb, 
   {{0x7c3e3b2c,0x61f63b2d,0x7c3c3b2e,0x6e3d0082}},	//   rdpr, _keyl, _varr, _fasb, 
   {{0x6d4607c7,0x9f58010c,0x998d00ab,0xe3c50086}},	//   _trka, yarê_, _oceń_, _এভাব, 
   {{0x7c3c3b2f,0x6abb01be,0x442703c8,0x58860028}},	//   _tarr, _dhuf, _obn_, лыка, 
   {{0x61f606a2,0x44273b30,0x60d60102,0x6e24098d}},	//   _leyl, _nbn_, _muym, lfib, 
   {{0x6d442ddc,0x9f583b31,0xbddb00f6,0xfbb80f7a}},	//   lvia, darë_, _inèr, _अरिम, 
   {{0x7ae3334c,0x443c3b32,0xfaa63b33,0x9b9300eb}},	//   ínte, _sav_, _сабо, _الفت, 
   {{0x443c3b34,0x6d4400d3,0xd94319fe,0x65940009}},	//   _pav_, nvia, _лети, рапу, 
   {{0xd5c00509,0x19b93b35,0x443c023b,0x443e064e}},	//   शेषज, _русь_, _qav_, udt_, 
   {{0x443e3b36,0x26d8078a,0x5fa40081,0x7e6d06e4}},	//   rdt_, _îro_, _खुलल, ykap, 
   {{0x201a01f2,0x673a0e67,0x61f604a8,0xd7f80023}},	//   _acpi_, _istj, _ceyl, _xoăn_, 
   {{0x443c3b37,0x6d440187,0x9f51014b,0x6e3d03c5}},	//   _tav_, jvia, razí_, _rasb, 
   {{0x443c3b38,0x60d60384,0x6d440032,0x83660038}},	//   _uav_, _duym, dvia, _مدبل, 
   {{0xb4c00179,0xb4c200a5,0x7e6d3b39,0x80d50586}},	//   ंगी_, ्दी_, tkap, _यूरे, 
   {{0xe80e0838,0x6e3d00c3,0x4ea700d3,0x76403b3a}},	//   _साझा_, _qasb, урга, ndmy, 
   {{0xb80435ff,0x6e3d3b3b,0x5d5502c4,0x38bb0326}},	// [2cf0] रणाम_, _vasb, шкат, lêre_, 
   {{0x7e6d3b3c,0x9ed90d38,0x673a00b0,0x6e3d10de}},	//   skap, _имот_, _ostj, _wasb, 
   {{0x6e3d00e2,0x649d00d3,0x38bb3b3d,0xdd9400f0}},	//   _tasb, rèix, nêre_, _ғары, 
   {{0x61f600ad,0xb4c23b3e,0xbddb00f6,0x81f30033}},	//   _xeyl, ्दु_, _enèr, _ঝাঁপ_, 
   {{0x38bb010c,0x673a008a,0xa3ab031e,0xc27c0070}},	//   hêre_, _astj, _कुन_, ערדי, 
   {{0x1bd43b3f,0x7d0d3b40,0x41c70ba3,0x00000000}},	//   _горя, mras, रेयस, --, 
   {{0x38bb010c,0x9f580034,0x44270604,0x1a650535}},	//   jêre_, varë_, _rbn_, _پیشی_, 
   {{0x9a871aa8,0x00000000,0x00000000,0x00000000}},	//   _сугл, --, --, --, 
   {{0xb4c23b41,0x9f5800e5,0x7d0d3b42,0xb4c03024}},	//   ्दू_, tarë_, nras, ंगू_, 
   {{0x03253b43,0xddc40009,0x61f63b44,0x38bb08b0}},	//   адон, nkiš, _seyl, fêre_, 
   {{0x7d0d00cf,0xe1ff00ab,0x3a3f3b45,0xe70b021b}},	//   hras, nków_, _kaup_, _ستان_, 
   {{0x80dd100b,0x614602f3,0x216a00dd,0x58853b46}},	//   _বিজ্, аема, вими_, _сыға, 
   {{0xe2973b47,0x9f583b48,0x201a0042,0x61e90183}},	//   рая_, maré_, _pcpi_, ñela, 
   {{0x7d0d3b49,0xd46616d9,0x442700e2,0x6d4401d8}},	//   dras, _више_, _ubn_, vvia, 
   {{0x26cf3b4a,0x6e240036,0x7d0d3b4b,0x61f63b4c}},	//   _kigo_, tfib, eras, _teyl, 
   {{0xddc93b4d,0x26cf3b4e,0xe1ff0035,0x29000009}},	//   _šošt, _jigo_, dków_, šiai_, 
   {{0x7d0d3b4f,0xac86041a,0x291f006d,0x26cf0126}},	// [2d00] gras, агал, _nqua_, _migo_, 
   {{0xd12f00d6,0x26cf3b50,0x0eb800a2,0x6d443b51}},	//   _کمی_, _ligo_, _आठवड, rvia, 
   {{0x2abc0bf1,0x7d0d3b52,0xdddd0019,0x64411f96}},	//   híbe_, aras, _első, idli, 
   {{0x9f580369,0x6441016a,0x6da6004f,0x00000000}},	//   jaré_, hdli, _вима, --, 
   {{0x44e90b85,0x7d0d3b53,0x22403b54,0x290002a0}},	//   _nº_, cras, _maik_, éia_, 
   {{0x20183b55,0x26cf02a2,0x37060fac,0x7afe0065}},	//   ngri_, _aigo_, ачив, pspt, 
   {{0x26cf3b56,0x291f02a3,0x9f5800b9,0xb17b3b57}},	//   _bigo_, _equa_, faré_, lbåt, 
   {{0x22403b58,0x644102f2,0xeb9700dd,0x26cf035f}},	//   _naik_, edli, _тис_, _cigo_, 
   {{0x26cf1408,0xd5b73b59,0x644101d2,0x00000000}},	//   _digo_, ись_, fdli, --, 
   {{0xb4c0006a,0x53462960,0xb4c226f2,0x2bc300b0}},	//   ंगे_, ахма, ्दे_, वेवा, 
   {{0x22402e7b,0x2252085f,0x3e75014e,0x3946012d}},	//   _baik_, _bnyk_, _låta_, lvos_, 
   {{0xc5f000cc,0x38bb0326,0x7d0d3b5a,0xe81c0299}},	//   _টাকা_, rêre_, yras, _नाडा_, 
   {{0x22400065,0x39460068,0xd5b02f67,0xe1ff0083}},	//   _daik_, nvos_, _عفت_, zków_, 
   {{0x83f819aa,0x27fc01e8,0x7d0d3b5b,0x20cf008a}},	//   _секс_, navn_, vras, _eżin_, 
   {{0x06fd00bc,0x22403b5c,0x3eb200fc,0xcf150033}},	//   žívá_, _faik_, flyt_, াব্দ_, 
   {{0x27fc0c85,0x2c19009a,0x2a640237,0x00000000}},	//   havn_, _पाहू_, _nomb_, --, 
   {{0xddc4034c,0x61fd00a3,0x61ef0065,0xdb1c0035}},	// [2d10] tkiš, masl, mbcl, _ogró, 
   {{0xe1ff0035,0x61fd12ed,0x9f583b5d,0xa3aa3b5e}},	//   tków_, lasl, marî_, _खडा_, 
   {{0x1da73b5f,0x9e353b60,0x9f580216,0x3a3f0118}},	//   _कुरत, _ленч, larî_, _paup_, 
   {{0x7d0d3b61,0xde590769,0xa3e60c94,0xdb1c033c}},	//   pras, _самі_, युत_, _agró, 
   {{0x39491056,0x0dcb00ce,0x26cf3b62,0x64413b63}},	//   ías_, _јуни_, _rigo_, ydli, 
   {{0x26cf3b64,0xb4c2031e,0xb4c00ee0,0x00000000}},	//   _sigo_, ्दो_, ंगो_, --, 
   {{0xb4c20351,0x61fd02ba,0x261b00a2,0x9f583b65}},	//   ्दै_, kasl, _यादी_, taré_, 
   {{0x9a8403dd,0x9f580218,0x3ea902f1,0x20180864}},	//   _дуул, karî_, noat_, zgri_, 
   {{0x26cf24d3,0xc4852164,0x88070a67,0x9f583b66}},	//   _vigo_, йлик, _نظام, raré_, 
   {{0x9f583b67,0x26c40036,0x26cf095a,0x66d50604}},	//   darî_, ammo_, _wigo_, _aške, 
   {{0x42ca01bb,0x64413b68,0x4425084c,0x22403b69}},	//   лгон_, rdli, rfl_, _paik_, 
   {{0x272133cd,0x6f153b6a,0x7d020028,0x00000000}},	//   món_, duzc, šosi, --, 
   {{0x27213b6b,0xa5091b49,0x5a9a0147,0x9f58009e}},	//   lón_, _села_, רשרא, garî_, 
   {{0x645c3b6c,0xafe300a3,0x0d2203a1,0x00000000}},	//   örit, зорл, үүнү, --, 
   {{0x272109a1,0xdee63b6d,0x224000e2,0xb21b055f}},	//   nón_, соби, _taik_, dhæf, 
   {{0x61fd0bad,0x9f58009e,0x27210183,0x39460028}},	//   casl, barî_, ión_, yvos_, 
   {{0xed573b6e,0x27213b6f,0x00000000,0x00000000}},	// [2d20] бот_, hón_, --, --, 
   {{0xa3ab3b70,0x27213b71,0xb17b05a1,0x290f056f}},	//   कअप_, kón_, rbåt, drga_, 
   {{0x27213b72,0xdb1c00f6,0x5f46030e,0xfbc3109f}},	//   jón_, _agrò, _انجل, वेलम, 
   {{0x27213b73,0xa3c9009a,0x82d60070,0xef220083}},	//   dón_, लेय_, צונג_, ążę_, 
   {{0x186a0c67,0x1958032e,0xceb40095,0x92e30086}},	//   лади_, ралы_, mlə_, _ফটো_, 
   {{0xfce33b74,0x27213b75,0x6e361bcc,0x39463b76}},	//   _хоро, fón_, leyb, rvos_, 
   {{0x27211056,0x39463b77,0x9f58009e,0xa3c902ab}},	//   gón_, svos_, zarî_, लेम_, 
   {{0x9f580218,0xceb40095,0x20cf00c3,0x27fc02c5}},	//   yarî_, nlə_, _ażil_, savn_, 
   {{0x2d803b78,0xf8b8021f,0x7e663b79,0xb5fd00e0}},	//   nzie_, _көк_, _mokp, ekšs, 
   {{0xd6d2073c,0xb8653b7a,0x27210503,0x61fd016a}},	//   _فقط_, _والو, bón_, wasl, 
   {{0x27210b6f,0xceb40095,0xd5b200d4,0x9f58009e}},	//   cón_, klə_, _کفش_, warî_, 
   {{0x9c8700bc,0x38bb010c,0x9f58009e,0x29000028}},	//   _kočá, mêra_, tarî_, šiau_, 
   {{0x61e40068,0x64a63b7b,0xa3c903ce,0xb5fd0028}},	//   _dfil, _лада, लेब_, rkšt, 
   {{0x2d800da6,0x61e43b7c,0x61fd3b7d,0x994c0032}},	//   dzie_, _efil, sasl, _vôňa_, 
   {{0x93fb00fe,0x4fc43b7e,0x61fd3b7f,0x61e40156}},	//   _גלוי, зста, pasl, _ffil, 
   {{0xa19510df,0x5f940fcc,0x00000000,0x00000000}},	//   _майч, чист, --, --, 
   {{0x2721128a,0x925702b9,0x2d58269c,0x32093b80}},	// [2d30] zón_, _вақт_, бить_, _iday_, 
   {{0x27210126,0xf21f034d,0x6f153b81,0xaae70038}},	//   yón_, _भाड़_, puzc, مسؤو, 
   {{0x272103da,0xb5fd008b,0xb21b003e,0xddcf020f}},	//   xón_, ljše, rhæf, _focş, 
   {{0x2721001d,0x7d16012b,0xdb1f04f4,0x290f3b82}},	//   vón_, buys, _ávís, trga_, 
   {{0xae1a0137,0xd5a60a5a,0xb5fd0352,0x786f00fc}},	//   _דורכ, _آف_, njše, _høvi, 
   {{0xd7fb28c1,0x2721070b,0x628f020f,0x00000000}},	//   ууд_, tón_, hico, --, 
   {{0x3209002c,0x628f3b83,0x7b640a31,0x9b6b01ff}},	//   _oday_, kico, _етте, _ёшга_, 
   {{0x27213b84,0x628f044e,0x32093b85,0xb5fd01dd}},	//   rón_, jico, _nday_, ekšr, 
   {{0x2721070b,0x00000000,0x00000000,0x00000000}},	//   són_, --, --, --, 
   {{0x27210634,0x61e43b86,0xe5760235,0x730500dd}},	//   pón_, _sfil, юзы_, опоз, 
   {{0x628f1408,0xe7ef00a2,0x32093688,0x68e90082}},	//   fico, _घ्या_, _bday_, _hted, 
   {{0x628f3b87,0xf1bf0126,0xe2972989,0x00000000}},	//   gico, rfán_, жаю_, --, 
   {{0xd17526ef,0x51ba0028,0x21750176,0x2a3a0070}},	//   пыры, рыня_, пурр, בערמ, 
   {{0x68e90204,0x201e2e14,0x661b2eef,0x753b0027}},	//   _mted, üti_, lguk, mwuz, 
   {{0xceb40095,0x64433b88,0x7e663b89,0xbbb8109f}},	//   tlə_, _iani, _pokp, _अरेक, 
   {{0x64433b8a,0xee3a0843,0xfdea3b8b,0x2d8001d6}},	//   _hani, јна_, рдак_, tzie_, 
   {{0x64433b8c,0xa3c3034d,0x7fd60100,0xceb406d0}},	// [2d40] _kani, ्शक_, _міні, rlə_, 
   {{0xa3bd0394,0x2d800dfe,0x6fde02e6,0xab2a3b8d}},	//   _आरा_, rzie_, _मलिं, иоза_, 
   {{0xe9da3b8e,0x6a863b8f,0x7e66011c,0x68e93b90}},	//   аке_, олжа, _tokp, _ated, 
   {{0x64433b91,0x4aaa13c3,0x9c8700bc,0x394d0090}},	//   _lani, шкен_, _počá, _bres_, 
   {{0x81ac00cc,0x394d3b92,0xa3c9009a,0xdb0700bc}},	//   কের_, _cres_, लेत_, _vyjá, 
   {{0x64433b93,0xb9023b94,0xd90d00d4,0x3a2d0068}},	//   _nani, _नं_, ایل_, _ebep_, 
   {{0x394d3b95,0xe3a7017a,0x8b230aa3,0xd6d735bf}},	//   _eres_, _آر_, _одре, оты_, 
   {{0x628f380b,0x64433b96,0x395d006d,0x661b3b97}},	//   xico, _aani, bxws_, gguk, 
   {{0x7d043b98,0x64433b99,0xd49a3b9a,0x261b0790}},	//   nsis, _bani, иро_, _यारी_, 
   {{0x64433b9b,0x7d043b9c,0xe46a3b9d,0xa25b02aa}},	//   _cani, isis, ршил_, rmôm, 
   {{0x628f3b9e,0x64470054,0x7d043b9f,0x00000000}},	//   tico, ôjia, hsis, --, 
   {{0x7d043ba0,0xd377012d,0x95ca1efe,0xdb213ba1}},	//   ksis, ючы_, _кула_, étét, 
   {{0x628f3ba2,0x64433ba3,0x66000ab1,0xe1ff3ba4}},	//   rico, _fani, mamk, raó_, 
   {{0x628f3ba5,0x64433ba6,0xdfd80093,0x3e6e00de}},	//   sico, _gani, жът_, _mýtu_, 
   {{0x628f3ba7,0x81ac0086,0x44e03ba8,0x7d043ba9}},	//   pico, কেল_, _hò_, esis, 
   {{0x44e00cd7,0x66003baa,0x7c2e3bab,0x2a7d006d}},	//   _kò_, namk, _abbr, xhwb_, 
   {{0xd904086b,0x7d040268,0x442e00ca,0xdddd0035}},	// [2d50] _جی_, gsis, _kbf_, _posł, 
   {{0x44e03bac,0x64433bad,0x66001233,0xfc330038}},	//   _mò_, _xani, hamk, بحر_, 
   {{0x44e03bae,0x68e93baf,0x66003bb0,0x442e0640}},	//   _lò_, _sted, kamk, _mbf_, 
   {{0x66003bb1,0x7c2e3bb2,0x787d0237,0x00000000}},	//   jamk, _ebbr, _mève, --, 
   {{0x6600085f,0x44e00300,0x628d045a,0x81cd0033}},	//   damk, _nò_, _mmao, শুর_, 
   {{0xbca500eb,0x68e90228,0x3e7c00bc,0x48ab031a}},	//   _رمزي, _vted, _víte_, штем_, 
   {{0xf77100b8,0x6443090b,0x68e900ab,0xb902007e}},	//   عات_, _rani, _wted, _नू_, 
   {{0x394d3bb3,0x44e03bb4,0x6d4f090e,0x442e3bb5}},	//   _tres_, _bò_, _krca, _abf_, 
   {{0x64433bb6,0x44e03bb7,0x798200ab,0x6d4f012b}},	//   _pani, _cò_, czow, _jrca, 
   {{0x629d3bb8,0xc4822f48,0x64433bb9,0x44e03bba}},	//   éron, ельк, _qani, _dò_, 
   {{0xf1a90138,0x2292012d,0xa3ab12e3,0x324603b6}},	//   _עס_, eška_, _कुश_, пенг, 
   {{0x64432e67,0xe29a3bbb,0x44e006df,0x2eb5049f}},	//   _wani, сам_, _fò_, ंतोत, 
   {{0x64433bbc,0xbbb8000d,0xa7fc027e,0x44e000e7}},	//   _tani, _अर्क, _alıy, _gò_, 
   {{0xf09f1c71,0x628d0379,0x15420ec6,0x6443018e}},	//   dràs_, _emao, _чешм, _uani, 
   {{0xa06a005e,0x1fb53bbd,0xa0a30104,0x44e00cba}},	//   _ғана_, дстр, хард, _zò_, 
   {{0x3e6e008c,0x7d043bbe,0x6d4f3bbf,0x71a63bc0}},	//   _nýtt_, tsis, _brca, _найз, 
   {{0x320200a9,0xed573bc1,0x44e002a3,0x6d4f00a1}},	// [2d60] maky_, пот_, _xò_, _crca, 
   {{0x7d043bc2,0x32023001,0x99dd0228,0xe058009c}},	//   rsis, laky_, _raňa, _بیست_, 
   {{0x2baf00a5,0xbddb023e,0x645d010c,0x6d4f0241}},	//   _जुदा, _kaèl, êsiy, _erca, 
   {{0x32023215,0x81ac0086,0xfaa33bc3,0x7d043bc4}},	//   naky_, কেঃ_, нахо, psis, 
   {{0x2fda0065,0x6d4f00ca,0x9f58022c,0xbddb011c}},	//   _kgpg_, _grca, larà_, _maèl, 
   {{0x79820035,0x44e03bc5,0x66003bc6,0x3202023a}},	//   rzow, _rò_, wamk, haky_, 
   {{0x44e03bc7,0xa3ab00b5,0x9f5803a1,0x66003bc8}},	//   _sò_, _कुल_, narà_, tamk, 
   {{0x44e03bc9,0x3202014b,0x7e6402a2,0x45d41b2d}},	//   _pò_, jaky_, njip, мойс, 
   {{0xa3c9000c,0x9f5a0096,0x1dbe021a,0x787d0118}},	//   लेस_, _depé_, ्धित, _sève, 
   {{0x628d11a1,0xa3e602e6,0x2292008b,0x66003bca}},	//   _smao, युं_, vška_, samk, 
   {{0xd25113b4,0x44e00118,0x32020379,0x9f5803dd}},	//   نند_, _wò_, faky_, jarà_, 
   {{0x9f5803a1,0x44e01d9f,0xa75b00d1,0x11d90038}},	//   darà_, _tò_, _לדבר, توحة_, 
   {{0xc05b00dd,0x442e3bcb,0x41c70035,0x29060097}},	//   бів_, _tbf_, रेंस, nsoa_, 
   {{0x98bf090e,0x26de3bcc,0x29060026,0x9f3500f0}},	//   _vruć_, _kuto_, isoa_, мегі, 
   {{0xb5fd0412,0x64583bcd,0x6d4f00d2,0x9f5803a1}},	//   ljša, _invi, _srca, garà_, 
   {{0x81ac0086,0x26de0458,0x02a400e4,0x628d0532}},	//   কেই_, _muto_, _прым, _umao, 
   {{0x2d58030f,0x26de3bce,0xb5fd008b,0x442c3bcf}},	// [2d70] пить_, _luto_, njša, ofd_, 
   {{0x64481aed,0x9f5803a1,0xf09f022c,0x6d4f0613}},	//   nddi, barà_, rràs_, _vrca, 
   {{0x20033bd0,0x9f5803a1,0x64480156,0x29060226}},	//   maji_, carà_, iddi, esoa_, 
   {{0x2ea802f8,0x6d4f090b,0x629d004f,0x20033bd1}},	//   ककृत, _trca, nnso, laji_, 
   {{0x9f58248c,0x6d4f00b3,0x6458243f,0x60d701d6}},	//   mará_, _urca, _onvi, _kixm, 
   {{0x26de3bd2,0x9f581a6e,0x660b02cd,0x20033bd3}},	//   _buto_, lará_, _sdgk, naji_, 
   {{0xa6c913e6,0x6d4d3bd4,0x61e60219,0x47d00086}},	//   олка_, lvaa, yckl, _স্বী, 
   {{0x9f581a6e,0x24e9366a,0x442c01c8,0xa3c226f2}},	//   nará_, омии_, efd_, ्धन_, 
   {{0x6d4d3bd5,0x20033bd6,0x32020180,0x9f582134}},	//   nvaa, kaji_, vaky_, iará_, 
   {{0x20030010,0xd90d0019,0x629d0c0c,0x2b43008a}},	//   jaji_, _میچ_, enso, _ksjc_, 
   {{0x32020180,0x9f58022c,0x3e7c003e,0x06d70033}},	//   taky_, xarà_, _líta_, _সবকি, 
   {{0x64583bd7,0x9f583bd8,0x66d50009,0xa3c902e6}},	//   _envi, jará_, _iško, लेष_, 
   {{0x9f5824a9,0x5155049b,0x32020180,0x26de0a1a}},	//   dará_, нтру, raky_, _zuto_, 
   {{0x9f5803a1,0x20033bd9,0x320213c5,0x6e2d01c8}},	//   tarà_, gaji_, saky_, efab, 
   {{0x4aad0081,0xa3c904b7,0x75293bda,0x6d4d3bdb}},	//   टकाव, लेश_, ltez, evaa, 
   {{0x9f583bdc,0x76493bdd,0x22920121,0x6d4d040b}},	//   gará_, ndey, mško_, fvaa, 
   {{0x75292d5e,0xdb0e031e,0x9f5803a1,0x60d7011c}},	// [2d80] ntez, _vybí, sarà_, _fixm, 
   {{0x69db3281,0x7e7d00a1,0xfbd202b4,0x9f58022c}},	//   _ague, _elsp, نتا_, parà_, 
   {{0xaec60099,0x9f58248c,0x22923bbf,0x68fb011c}},	//   _обол, bará_, nško_, _awud, 
   {{0x9f582142,0x29063bde,0x99dd026e,0xed5a3bdf}},	//   cará_, tsoa_, _daňo, _дом_, 
   {{0x64481b5a,0x764915f3,0xa9670843,0x61fb0a6d}},	//   yddi, ddey, мица_, ðuli, 
   {{0x290609a1,0xd6ea1a9e,0x3ead0121,0x69c00352}},	//   rsoa_, офил_, čete_, _vzme, 
   {{0x29063be0,0x7bdc3be1,0x00000000,0x00000000}},	//   ssoa_, _igru, --, --, 
   {{0x2003086d,0xc956030f,0x26de0727,0x00000000}},	//   zaji_, _отзы, _vuto_, --, 
   {{0x6f1c3be2,0x26de011c,0x66d50028,0x00000000}},	//   hurc, _wuto_, _iškl, --, 
   {{0x9f583be3,0x26de031e,0x162000a2,0xb4b83263}},	//   zará_, _tuto_, _यावर_, चते_, 
   {{0xd62a1da4,0x64483be4,0xa3c9009a,0x7bdc00ca}},	//   _може_, rddi, लेल_, _mgru, 
   {{0x6f1c02f2,0x20030053,0xae1d03ce,0x9f580587}},	//   durc, waji_, _फाइन_, xará_, 
   {{0x20033be5,0x9f5824a9,0x752900b3,0x629d1226}},	//   taji_, vará_, ctez, rnso, 
   {{0xddcd11b1,0x656f01c4,0x7bdc00d4,0x443a3be6}},	//   jkaš, äche, _ngru, _úp_, 
   {{0x9f581408,0x26c63be7,0xb4ca009a,0xf41307e4}},	//   tará_, _khoo_, लगी_, _ספק_, 
   {{0x4ea43065,0x7bdc3be8,0x6d4d12fd,0x20033be9}},	//   вруа, _agru, tvaa, saji_, 
   {{0x9f582f17,0xdd94058b,0x200323d0,0x20c709f9}},	// [2d90] rará_, ваты, paji_, _осог, 
   {{0x31560056,0x6d4d3bea,0x9f5824a9,0x60c50102}},	//   _ניתן_, rvaa, sará_, _uhhm, 
   {{0x9f582126,0x6f1c00b3,0x75293beb,0x6d4d3bec}},	//   pará_, curc, ztez, svaa, 
   {{0xb4ca0c14,0x387e0036,0x6d4d02b0,0x7f4500a3}},	//   लगु_, _altr_, pvaa, _ishq, 
   {{0x22493bed,0x801806bc,0x3a240183,0xd90f0a5a}},	//   _maak_, _عزیز_, _dcmp_, شیا_, 
   {{0x68e01f01,0x2b4303dd,0x2249039b,0xb4b80110}},	//   _dumd, _tsjc_, _laak_, चतो_, 
   {{0x7afc0156,0x200100c2,0x38c90019,0x7c30039f}},	//   _gwrt, _mehi_, _ہائی_, ékrő, 
   {{0x26c63bee,0x06093346,0x75293bef,0x75453bf0}},	//   _choo_, чник_, ttez, ениз, 
   {{0xf5480029,0x76493bf1,0x2a7f0008,0x75290183}},	//   _cụ_, rdey, _ilub_, utez, 
   {{0x27280218,0x75293bf2,0x2a7f01c1,0x33652918}},	//   bûn_, rtez, _hlub_, евог, 
   {{0xa3c90c06,0xe8d600a7,0x291d2e5f,0xf7700296}},	//   लें_, _נוער_, luwa_, _پال_, 
   {{0xbbdc000f,0x25a0203b,0x22921a44,0x7529020f}},	//   _बल्क, _žile_, rško_, ptez, 
   {{0xb5fd0082,0x70ab0035,0x20013bf3,0x26cd216b}},	//   ljšo, चकूल, _behi_, mmeo_, 
   {{0xd11c190a,0x2a6d3bf4,0x38a90032,0x6f1c3bf5}},	//   भूषण_, _loeb_, túry_, turc, 
   {{0xc7b207f5,0x2baf00b5,0x2a7f06d0,0x291d3bf6}},	//   ָבן_, _जुला, _olub_, huwa_, 
   {{0x291d1bb2,0x9f5c3bf7,0x68330e7b,0xb21b02c9}},	//   kuwa_, _því_, lıdı, lhæn, 
   {{0xafe62c54,0xf8af0a34,0xec7a0200,0x20010054}},	// [2da0] _попл, टवाय, ппа_, _fehi_, 
   {{0x64572126,0x2249012e,0x291d3530,0xb21b055f}},	//   _óxid, _zaak_, duwa_, nhæn, 
   {{0xddcd14f0,0x3ce500a5,0x386c0183,0x2249016a}},	//   rkaš, _झूठे_, _rodr_, _yaak_, 
   {{0x09e63bf8,0x2a7f3bf9,0x39440045,0x7d163bfa}},	//   ходн, _club_, _psms_, prys, 
   {{0x291d3bfb,0x6386005f,0x3ea03bfc,0xe2970070}},	//   guwa_, _kéné, mnit_, עכנט_, 
   {{0x6d463bfd,0x3b0a152e,0x3ea03bfe,0x272800f3}},	//   _iska, _него_, lnit_, tûn_, 
   {{0x3ea0024a,0x26c6006d,0xdca33bff,0x63863c00}},	//   onit_, _phoo_, _сари, _méné, 
   {{0x3ea016b5,0x291d3c01,0x940500ad,0x27280216}},	//   nnit_, buwa_, milə_, rûn_, 
   {{0x22490691,0x3ea03c02,0xb21b055f,0xe9a30a31}},	//   _raak_, init_, fhæn, _батп, 
   {{0xf54800f7,0x2249018c,0x638610fd,0x3ea03c03}},	//   _vụ_, _saak_, _néné, hnit_, 
   {{0x7ae92e7d,0x26c63c04,0x22493c05,0xd764009c}},	//   _četk, _thoo_, _paak_, _جنای, 
   {{0x6d463c06,0x09d400cc,0xf54800e7,0x877b0070}},	//   _oska, _হ্যা, _tụ_, _מאבי, 
   {{0x22490b32,0x6386026d,0x20010226,0x3ea002d9}},	//   _vaak_, _béné, _pehi_, dnit_, 
   {{0x6386023e,0xf1c70035,0x7c3e042a,0x66023c07}},	//   _céné, रेगन, jepr, _heok, 
   {{0x443e0034,0x6d463c08,0x9f34019e,0x22490b1f}},	//   met_, _aska, лері, _taak_, 
   {{0x644a3c09,0x2001011c,0x291d052b,0x626728b7}},	//   _hafi, _wehi_, yuwa_, _سابق, 
   {{0xdb0e026e,0x7c3e0304,0x61ed3c0a,0x66020415}},	// [2db0] _rybá, fepr, _ifal, _meok, 
   {{0x63860518,0x64840014,0x644a023a,0x4cb80235}},	//   _géné, _dòig, _jafi, елую_, 
   {{0x6d460414,0x7f4500e5,0xa3c232f0,0x291d019b}},	//   _eska, _ushq, ्धि_, wuwa_, 
   {{0x443e3c0b,0x644a3c0c,0xd99900eb,0x291d3c0d}},	//   het_, _lafi, ونات_, tuwa_, 
   {{0x443e3c0e,0xd9453c0f,0x61ed0053,0x27ec0065}},	//   ket_, тели, _mfal, _bfdn_, 
   {{0x443e3c10,0xa3c2075a,0xe7393c11,0x291d3c12}},	//   jet_, ्धा_, дек_, ruwa_, 
   {{0x443e3c13,0x291d3c14,0x66020082,0x94240095}},	//   det_, suwa_, _beok, _ötən_, 
   {{0x81ac0086,0x291d3c15,0x6d460326,0x443e0080}},	//   কেট_, puwa_, _yska, eet_, 
   {{0x443e3c16,0x644a3c17,0x26cd2f94,0xe5710038}},	//   fet_, _bafi, rmeo_, شطة_, 
   {{0x443e08c2,0xf9900629,0x61ed3c18,0x3ea03c19}},	//   get_, _طبق_, _afal, znit_, 
   {{0x03a50099,0x644a3c1a,0x6602023a,0x68330540}},	//   тино, _dafi, _feok, rıdı, 
   {{0x7c3e00ab,0x68330540,0x63860107,0xe1ff01d5}},	//   zepr, sıdı, _séné, sjón_, 
   {{0x443e3c1b,0x644a3c1c,0xb14305e0,0x63860107}},	//   bet_, _fafi, анял, _péné, 
   {{0x764b006b,0x61ed02bf,0x644a3c1d,0x648400a1}},	//   _hagy, _efal, _gafi, _ròig, 
   {{0x764b3c1e,0xdee63c1f,0x7c3e2426,0x63861390}},	//   _kagy, тоби, vepr, _véné, 
   {{0x644a3c20,0x940500ad,0x00000000,0x00000000}},	//   _zafi, vilə_, --, --, 
   {{0x764b0105,0x7c3e3c21,0x3ea03c22,0x1d0705b4}},	// [2dc0] _magy, tepr, rnit_, кети_, 
   {{0x3ea03c23,0x711b00c7,0xac831628,0x2bc617dc}},	//   snit_, _קויפ, агул, _वरदा, 
   {{0x290d0012,0x7c3e0087,0x6d4600ab,0xa3d10586}},	//   _avea_, repr, _wska, वधि_, 
   {{0x764b0105,0x443e3c24,0x7c3e3c25,0x940500ad}},	//   _nagy, zet_, sepr, rilə_, 
   {{0x443e3c26,0x94050095,0x6d463c27,0x3d19034d}},	//   yet_, silə_, _uska, _पिये_, 
   {{0x66023c28,0x443e3c29,0x68ed3c2a,0x270c00d8}},	//   _seok, xet_, íada, těn_, 
   {{0x443e0310,0x644a3c2b,0x764b3c2c,0x569400d3}},	//   vet_, _rafi, _bagy, лакт, 
   {{0x443e3c2d,0x6e243c2e,0x644a3c2f,0x442703a1}},	//   wet_, ngib, _safi, _acn_, 
   {{0x7ae900f1,0x443e0c2e,0x48e602fb,0xd9433c30}},	//   _četi, tet_, _розв, _кети, 
   {{0x443e3c31,0x442700f6,0x61ed0036,0x644a3c32}},	//   uet_, _ccn_, _sfal, _qafi, 
   {{0x443e3c33,0x8c1b0137,0x261b00a2,0xd6cf237b}},	//   ret_, וויי, _याची_, _вт_, 
   {{0x443e3c27,0x92580088,0x644a187e,0xa3e60598}},	//   set_, вают_, _wafi, युज_, 
   {{0x644a00a9,0x3e750219,0xf1c40098,0x44270b41}},	//   _tafi, _mått_, _ruší_, _fcn_, 
   {{0x443e01ee,0x1c1e04bd,0x843800eb,0x74140019}},	//   qet_, _पागल_, _أكثر_, _صوبا, 
   {{0xf2c73c34,0x7f94011f,0x61fb0679,0x66c5010e}},	//   _исин, аарх, ðuls, lóka, 
   {{0x3e75014e,0x6e243c35,0x61ed0053,0x2ebf1276}},	//   _nått_, ggib, _ufal, ्षेत, 
   {{0x51870c8b,0x5d5512d2,0x6aa21377,0xfd7400d9}},	// [2dd0] _шука, ыкат, dnof, алтэ, 
   {{0x1acb0c94,0x041400cc,0x673a3c36,0x6e24052b}},	//   िष्ठ, ত্রী_, _optj, agib, 
   {{0x290d1070,0x76400080,0xc61a0033,0x787d0237}},	//   _svea_, kemy, থ্যা_, _sèvo, 
   {{0xb21b055f,0xdea1010e,0x7520018e,0x6aa2040b}},	//   skæf, _ایری, kumz, gnof, 
   {{0x76403c37,0x66ea0035,0x0d6400fd,0x7d1f01ff}},	//   demy, _ręka, _кърм, quqs, 
   {{0xfaf3024f,0xb4ac031e,0x66d50009,0x17c900a3}},	//   _نثر_, कको_, _iški, нгли_, 
   {{0x3e7505a1,0x4427140c,0xe7393c38,0x764b3c39}},	//   _fått_, _rcn_, хей_, _pagy, 
   {{0x3e7503a8,0x9f513c3a,0x7bc70caf,0x7d0d13ba}},	//   _gått_, lazó_, _izju, osas, 
   {{0x764b3c3b,0x955500eb,0xdd1203c0,0x673a0415}},	//   _vagy, اخبا, _müşt, _eptj, 
   {{0x764b02a5,0x22920352,0x7c253c3c,0x9f510369}},	//   _wagy, mški_, nghr, nazó_, 
   {{0x22920304,0x7c25007a,0x6d440083,0x7d0d023e}},	//   lški_, ighr, zwia, hsas, 
   {{0xad9b3c3d,0x7d0d3c3e,0x95551ea7,0x6d443c3f}},	//   _reún, ksas, _مختا, ywia, 
   {{0x648400a1,0xd5bb012d,0xf1a53c40,0x6609039b}},	//   _dòib, _ўсе_, арён, maek, 
   {{0x628600e5,0xc48408af,0x20cf008a,0x659a027a}},	//   shko, _клік, _bżiq_, _אינק, 
   {{0xe29a199a,0xa3c93512,0xa3ab3b5f,0x66d500ca}},	//   _пак_, लेख_, _कुच_, _aški, 
   {{0x64413c41,0x26dd23ae,0xb2261fde,0x539a0486}},	//   leli, _jiwo_, _смил, _ריקו, 
   {{0xa3e73b41,0x7d0d0268,0x44e9003e,0x62843c42}},	// [2de0] _भला_, gsas, _jú_, _ilio, 
   {{0x64413c43,0x629d026e,0x764000ab,0x442531e0}},	//   neli, érov, zemy, ngl_, 
   {{0x44e900eb,0x61e93c44,0x644100d9,0x66093c45}},	//   _lú_, žele, ieli, kaek, 
   {{0xa3ab3c46,0x64410905,0x200a3c47,0x60de016a}},	//   _कुछ_, heli, labi_, _hipm, 
   {{0x44e906b6,0xd37800ab,0x7d0d3c48,0x62840548}},	//   _nú_, zyć_, csas, _mlio, 
   {{0x7ae900f1,0x64413c49,0x200a0268,0x2242003d}},	//   _četv, jeli, nabi_, hekk_, 
   {{0x64413c4a,0xd6da3c4b,0x09b50086,0x26dd06df}},	//   deli, нти_, জেলা, _biwo_, 
   {{0x200a2836,0x44e93507,0xdca60258,0x64413c4c}},	//   habi_, _bú_, _раҳи, eeli, 
   {{0xd49a3c4d,0x76403c4e,0x44e93c4f,0x49ca02a6}},	//   ерн_, remy, _cú_, _члан_, 
   {{0x64413c50,0x27f7000d,0x6284219f,0x66e63c51}},	//   geli, čení_, _alio, _божа, 
   {{0xd7ef00eb,0x44e90228,0x628400a1,0x7d0d039f}},	//   _ركن_, _eú_, _blio, zsas, 
   {{0xf1270965,0x62840465,0x75200053,0x0cb00fc0}},	//   льго, _clio, pumz, जकुम, 
   {{0x64413c52,0x44e91998,0xdef8004e,0x628401f5}},	//   beli, _gú_, ғыс_, _dlio, 
   {{0x64410213,0x200a3c53,0x224d3c54,0x200535b6}},	//   celi, gabi_, žek_, úli_, 
   {{0x447b0137,0x1ee700d4,0xdfd50b34,0xe80c0827}},	//   _אנגע, اوری_, ровы, _सजना_, 
   {{0x628426c0,0x7d0d3c55,0xf3131117,0xe3131117}},	//   _glio, tsas, _ابوظ, _ابوب, 
   {{0xe21400b1,0x200a3c56,0xd83800da,0xddc60028}},	// [2df0] _طبيع, babi_, _obč_, _pokš, 
   {{0x7d0d3c57,0x22920352,0x320b0083,0xb21b0566}},	//   rsas, vški_, lacy_, skæd, 
   {{0x7d0d014f,0x62840088,0xfbab058e,0x9f510126}},	//   ssas, _ylio, хтай_, razó_, 
   {{0x64413c58,0xa3c90659,0x7c250038,0xdb1c0034}},	//   zeli, लेट_, sghr, _zyrë, 
   {{0x44250156,0x64413c59,0x7ae90352,0xdb1c020b}},	//   ygl_, yeli, _četu, _vzrá, 
   {{0x07153c5a,0x7e6d007e,0xfc670093,0x64413c5b}},	//   афия, ljap, _съмн, xeli, 
   {{0x44e93c5c,0xb5fd008b,0x26dd3c5d,0x00000000}},	//   _sú_, ljši, _piwo_, --, 
   {{0x64413c5e,0x7f3c00c7,0x7e6d3c5f,0xd8380118}},	//   weli, געהו, njap, _ebč_, 
   {{0xc48515a4,0x26c300e0,0xe8df00e7,0xc9873c60}},	//   илик, ējo_, _trốn_, _суви, 
   {{0x99840084,0x7ae700e5,0x44e900e7,0x6284161c}},	//   _الكو, _kujt, _vú_, _slio, 
   {{0x6266306e,0x442508d4,0x068400d3,0x200a3c61}},	//   авна, rgl_, ргөн, vabi_, 
   {{0x44e9057f,0xc5d502fb,0x67233c62,0x200a3c63}},	//   _tú_, _кіль, munj, wabi_, 
   {{0x273100f7,0xa3c91011,0x200a3c64,0x67233c65}},	//   _hơn_, लेज_, tabi_, lunj, 
   {{0xe3b000d4,0x64413c66,0x69c9018e,0x057400d7}},	//   _کره_, qeli, _mzee, _دامد, 
   {{0x672337a8,0x200a3c67,0xb4c30367,0xb4c12a48}},	//   nunj, rabi_, ्षी_, ंती_, 
   {{0x6284086d,0x200a0268,0x7e6d016a,0x39490098}},	//   _ulio, sabi_, gjap, ťasy_, 
   {{0xb2bb00a7,0x61e423a8,0x61463c68,0x4d663c69}},	// [2e00] _במקר, _igil, _тепа, шкав, 
   {{0x6723019b,0xc5d70086,0x6abb0727,0xf1bf3c6a}},	//   kunj, _সভাপ, _akuf, ogán_, 
   {{0x0b4618f0,0xa3c9009a,0x66cc010c,0x66ea0083}},	//   рнен, लेच_, lûke, _ręko, 
   {{0x53360137,0xb4c1241a,0x67231993,0x7e6d1f57}},	//   ינען_, ंतु_, dunj, cjap, 
   {{0x656f01c4,0x68463c6b,0x186a3c6c,0xe6da01d5}},	//   ächl, инда, кади_, ðsíð, 
   {{0xfb2600d4,0x57f32189,0x6abb052b,0x657b0102}},	//   _پرسپ, општ, _ekuf, dyuh, 
   {{0x3cec047c,0xe8ff009e,0x61e40219,0xcb6732e1}},	//   _अंडे_, _çûn_, _ogil, _каре_, 
   {{0x2baf07bd,0x66c5010d,0x61e43c6d,0xfaa63a91}},	//   _जुटा, sókn, _ngil, _табо, 
   {{0x320b3c6e,0x657b0102,0x54b83c6f,0x3e7c020b}},	//   vacy_, gyuh, лгия_, _cíti_, 
   {{0x67233c70,0x37b20033,0x22920028,0x7ae000e1}},	//   bunj, টেগর, išku_, _himt, 
   {{0x9473057f,0x7ae03c71,0x0eb60790,0x00000000}},	//   تديا, _kimt, ंवाड, --, 
   {{0x48fd000d,0x9f610212,0x7ae000c3,0x69c01279}},	//   रीको_, _épée_, _jimt, _kyme, 
   {{0x64a63c72,0xe29800e4,0x320b3c73,0xe693015f}},	//   _када, раў_, racy_, _بلند, 
   {{0x653b035c,0x61e43c74,0x69c03c75,0x04431b2d}},	//   _סעוד, _egil, _myme, _мечн, 
   {{0xa3b70a24,0x9e070229,0x92593c76,0xcebb02a6}},	//   _پاور_, ичал, _байт_, вља_, 
   {{0x33db00d1,0xdc0f0484,0x7ae03c77,0x290402a5}},	//   _בחוד, ाण्ड_, _nimt, _owma_, 
   {{0x629d3c78,0x7e6d14aa,0x0e0800d9,0x291d016c}},	// [2e10] miso, rjap, рэси_, xrwa_, 
   {{0x629d3c79,0xfd4d00f7,0x91bc00a7,0x6abb03a9}},	//   liso, _khoả, _במחי, _skuf, 
   {{0x7ae0016a,0x69c03c7a,0xbddb011c,0x60990019}},	//   _bimt, _ayme, _paès, _لنکس_, 
   {{0x67233c7b,0x69c00876,0xbddb01e5,0x7ae0039b}},	//   vunj, _byme, _daèr, _cimt, 
   {{0x2731001b,0x69c00156,0xc879107c,0x00000000}},	//   _sơn_, _cyme, _huşi_, --, 
   {{0x67232998,0x6c8500eb,0x629d0364,0x6d9e008a}},	//   tunj, _السم, hiso, _dħaħ, 
   {{0x29040175,0x3e7c02d9,0x7ae03c7c,0x00000000}},	//   _ewma_, _síti_, _fimt, --, 
   {{0x9aa500c5,0x6abb0532,0xe51800bd,0x7ae0012d}},	//   _امرو, _ukuf, _दिशि_, _gimt, 
   {{0x629d3c7d,0xddc600ab,0x1fd403be,0x69c00156}},	//   diso, _zakł, _दण्ड, _gyme, 
   {{0xe5a5093e,0xd8740084,0xb4c33c7e,0x61e43c7f}},	//   _қили, _والب, ्षे_, _sgil, 
   {{0xdb1c026a,0x7ae0006d,0x657b137f,0xf1d00df2}},	//   _pyré, _yimt, syuh, _सृजन, 
   {{0x68e13c80,0x629d3c81,0xbb3a027a,0xeb3a0070}},	//   _hild, giso, נערי, נערש, 
   {{0x68e10422,0x940c00ad,0x61e4008a,0x00000000}},	//   _kild, hidə_, _vgil, --, 
   {{0x03790a5a,0x44fb0183,0xa3b200a5,0x68e101ff}},	//   _محبت_, _iª_, _झुक_, _jild, 
   {{0x629d3c12,0x03a20a27,0x44fb0068,0x61e9174f}},	//   biso, _нишо, _hª_, žela, 
   {{0x6e3b0126,0x681b01dd,0x3a2d0175,0x020600a3}},	//   _ñubl, lādē, _ncep_, _узин, 
   {{0x6ab900a1,0x7ae00009,0x648401fd,0xde0301ff}},	// [2e20] dowf, _rimt, _mòin, япти, 
   {{0x7ae93c82,0x7ae03c83,0x44fb3c84,0xada603dc}},	//   _četr, _simt, _mª_, _ҳамл, 
   {{0xb5fd008b,0x394d00b9,0x6f6300d9,0x22520118}},	//   ljšu, _ases_, _евэз, _kayk_, 
   {{0x69c005b9,0x7f3b00c7,0x09d10033,0x68e90657}},	//   _pyme, _געטו, িশনা, _bued, 
   {{0x68e13c85,0x391300dd,0x7ae0006d,0x394d008a}},	//   _bild, змір, _vimt, _cses_, 
   {{0xb4c3072f,0x69c0143b,0x629d3c86,0x68e13c87}},	//   ्षो_, _vyme, ziso, _cild, 
   {{0x394d0496,0xd6d00b7e,0xbb860038,0x78b83c88}},	//   _eses_, وقت_, _الأي, rovv, 
   {{0xdd080039,0x44f42d25,0x56783c89,0x994c0228}},	//   _môže, опис, рбия_, môže_, 
   {{0x68e93c8a,0xd5ba0235,0x648400a1,0xc9aa012d}},	//   _gued, ыск_, _dòin, _свае_, 
   {{0x68e1008c,0x44fb0068,0x629d017c,0x00000000}},	//   _gild, _dª_, wiso, --, 
   {{0x629d00cf,0x44fb0183,0x00000000,0x00000000}},	//   tiso, _eª_, --, --, 
   {{0x25a9034c,0x85030dec,0xe7f8109f,0x68e13c8b}},	//   _žale_, _کوون, ुरवा_, _zild, 
   {{0x68e100cf,0x787d0cd7,0xe1ff3c8c,0xc50a0038}},	//   _yild, _sèvi, rbó_, _إتصل_, 
   {{0x629d3c8d,0x68e10508,0xfd4d001b,0xc8790474}},	//   siso, _xild, _thoả, _puşi_, 
   {{0x443c3a61,0x66d50009,0xe7f0072d,0xe43700d1}},	//   _ibv_, _iškr, _चलना_, _הרוח_, 
   {{0x9df93c8e,0x6e940bc4,0x00000000,0x00000000}},	//   рнат_, пису, --, --, 
   {{0xe29f010d,0x5c753c1f,0x5c99021d,0x7e2100b0}},	// [2e30] mið_, олат, акая_, यलौग_, 
   {{0xe29f010d,0x68e93c8f,0xa3cf0d4f,0xb5fd0372}},	//   lið_, _rued, _शरम_, ljšt, 
   {{0xda7b0fb6,0xe80c0262,0x68e93c90,0x7bda014b}},	//   ляд_, _सज़ा_, _sued, _útul, 
   {{0x68e934c3,0x02c9034d,0x66f1002a,0xe29f008c}},	//   _pued, रतिभ, _nāka, nið_, 
   {{0x68e93c91,0x68e13c92,0xa9693c93,0x3ea93c94}},	//   _qued, _pild, рила_, mnat_, 
   {{0x46f504c4,0xbcfb3c95,0x68e100cf,0x26c401d8}},	//   очит, _préf, _qild, elmo_, 
   {{0xe29f06b6,0x68e13c96,0x3ea93c97,0xf7710198}},	//   kið_, _vild, onat_, ظات_, 
   {{0x3ea93c98,0xa3bc00c9,0x68e13c99,0x442e3c9a}},	//   nnat_, _आड़_, _wild, _acf_, 
   {{0xe29f003e,0x68e13c9b,0x442e0226,0x94252160}},	//   dið_, _tild, _bcf_, омпе, 
   {{0x6d5d090b,0x3ea93c9c,0x6d4f0379,0x7af20054}},	//   _mrsa, hnat_, _msca, _ôktô, 
   {{0xe29f010d,0x3ea93c9d,0x37ab1c04,0x52aa354b}},	//   fið_, knat_, _стан_, ивом_, 
   {{0x6d4f3c9e,0xe29f010d,0x6d5d3c9f,0x442e3ca0}},	//   _osca, gið_, _orsa, _ecf_, 
   {{0xa5093ca1,0x3ea900bc,0x442e00b9,0x20561d91}},	//   _тела_, dnat_, _fcf_, отвр, 
   {{0x39400095,0x70b4109f,0xbcfb011c,0xdee63ca2}},	//   çisi_, ंकेल, _mréd, жови, 
   {{0xafe302f1,0x6d5d3ca3,0x935800b3,0xe3d70033}},	//   дорл, _arsa, _грыу_, _দ্রব, 
   {{0x3ea93ca4,0x6d5d030c,0xd132243d,0xbddb0118}},	//   gnat_, _brsa, _قمع_, _obèd, 
   {{0x660b006b,0x207612e1,0x3ce3012e,0x9f490228}},	// [2e40] _megk, _дунё, _bijv_, _škôl_, 
   {{0x3ea93ca5,0x85210c02,0x660b0019,0x6b5a1753}},	//   anat_, _मिनट_, _legk, ишер_, 
   {{0x6d5d3ca6,0x2a640065,0x6d4f3ca7,0xbddb270f}},	//   _ersa, _pnmb_, _esca, _abèd, 
   {{0x6d4f00b9,0xfaa3193c,0x00000000,0x00000000}},	//   _fsca, махо, --, --, 
   {{0xbcfb3ca8,0x195811db,0x3ea03ca9,0x82d70070}},	//   _créd, салы_, miit_, קונג_, 
   {{0x3ea03caa,0xb4b3000f,0x66f101dd,0x100a29c4}},	//   liit_, झको_, _sāka, वरिश_, 
   {{0xbcfb04fe,0x443c0082,0x8cb9029c,0x368a3cab}},	//   _prég, _rbv_, ्तरो, исин_, 
   {{0x9f58240a,0xbcfb0107,0x3ea03cac,0x7bce3393}},	//   laró_, _fréd, niit_, _izbu, 
   {{0xe29f01d5,0xe9a30a31,0x442e0151,0x2d800d94}},	//   við_, _жатп, _pcf_, nyie_, 
   {{0x6fc000a2,0xf7463cad,0x7a4001d5,0x201a040c}},	//   _शुभं, _мезо, _fátæ, _ndpi_, 
   {{0xe29f06b6,0xa3cf3cae,0x249e3caf,0xbcfb201a}},	//   tið_, _शरण_, ritm_, _trég, 
   {{0x442e008a,0x81af0033,0x2289009e,0x00000000}},	//   _wcf_, _করব_, _bûka_, --, 
   {{0xe29f06b6,0x3ea9031e,0x443c01d2,0x61e93cb0}},	//   rið_, vnat_, _tbv_, želo, 
   {{0xe29f008c,0x3394021d,0xf8ca0eda,0x38c5010c}},	//   sið_, _налё, ितिय, mêrê_, 
   {{0xc05802fb,0x3f850076,0x4fc406b3,0x64483b14}},	//   ція_, álu_, дста, medi, 
   {{0x64483cb1,0x3ea007fc,0xe2980524,0x442c3cb2}},	//   ledi, giit_, _мај_, lgd_, 
   {{0x3ea93cb3,0x7bce0097,0x442c01c8,0x98ca0035}},	// [2e50] rnat_, _azbu, ogd_, िताए, 
   {{0x64483cb4,0x442c3cb5,0x6d5d2cb7,0x4d980009}},	//   nedi, ngd_, _vrsa, цкую_, 
   {{0x20113cb6,0x442c3cb7,0xa801001d,0x3ea93cb8}},	//   mazi_, igd_, _íñig, pnat_, 
   {{0x201102f5,0x64483cb9,0xbcfb3cba,0x6d5d0864}},	//   lazi_, hedi, _préd, _trsa, 
   {{0x64483cbb,0x6d4f00d9,0x6d5d3cbc,0x660b0326}},	//   kedi, _usca, _ursa, _regk, 
   {{0x644803ef,0xbcfb0518,0x20113790,0x1fdf0033}},	//   jedi, _crée, nazi_, _ব্যস, 
   {{0x64483cbd,0x6d4d3cbe,0x3e7c0a6d,0x00000000}},	//   dedi, lwaa, _títt_, --, 
   {{0x6e2d3cbf,0x20113cc0,0x442c02b0,0xbcfb007a}},	//   ngab, hazi_, egd_, _tréd, 
   {{0x20111a73,0x64483cc1,0x6d4d3cc2,0x648400a1}},	//   kazi_, fedi, nwaa, _eòim, 
   {{0x442c0219,0x68fb3cc3,0x20113cc4,0xa3cf248b}},	//   ggd_, _itud, jazi_, _शरद_, 
   {{0x395f08a1,0xe7f00035,0x6e2d0149,0x20110532}},	//   _hrus_, _चलता_, kgab, dazi_, 
   {{0x6d4d3cc5,0x442c0b32,0x395f3cc6,0x64480183}},	//   kwaa, agd_, _krus_, aedi, 
   {{0x64480194,0x7649052b,0x6f1500ab,0x648d0183}},	//   bedi, meey, eszc, _púid, 
   {{0x64482de5,0x764901b8,0x6d4d3cc7,0x20113cc8}},	//   cedi, leey, dwaa, gazi_, 
   {{0x6e2d01c4,0x5f061b8e,0x66f101dd,0x3ea03cc9}},	//   fgab, язва, _māko, tiit_, 
   {{0x76490539,0x88d10086,0x6d4d10f3,0xa7fc0384}},	//   neey, াদিক, fwaa, _anıl, 
   {{0x6d4d3cca,0x20113ccb,0x9f5803a1,0x395f006d}},	// [2e60] gwaa, bazi_, taró_, _nrus_, 
   {{0x31370056,0x66f100e0,0x3ea03ccc,0x62863ccd}},	//   _צריך_, _nāko, siit_, lkko, 
   {{0x7649052b,0x307b00a7,0x3ea0011d,0x68fb3cce}},	//   keey, _האינ, piit_, _atud, 
   {{0x31603ccf,0x7bce3cd0,0x66c501d5,0x62861a6f}},	//   _kriz_, _vzbu, bóki, nkko, 
   {{0x764901b8,0x9f583cd1,0x442c383b,0xb9e3004f}},	//   deey, paró_, ygd_, ніши, 
   {{0x644803da,0x7d16039b,0x752900b4,0x648d00e1}},	//   xedi, msys, duez, _lúib, 
   {{0xbb430ba6,0x6b663cd2,0x7d16098d,0x68fb3cd3}},	//   _перк, _эква, lsys, _etud, 
   {{0xd90d1fdb,0x20110010,0x7649052b,0x64483cd4}},	//   _چین_, zazi_, geey, wedi, 
   {{0x64480c05,0x395f0c17,0x7d163cd5,0x20113cd6}},	//   tedi, _grus_, nsys, yazi_, 
   {{0x67230613,0x6aa20053,0x6f150035,0xc917008d}},	//   brnj, liof, yszc, _מחמת_, 
   {{0x76490539,0x442c012e,0x64483cd7,0x20113cd8}},	//   beey, rgd_, redi, vazi_, 
   {{0x64483cd9,0x20113cda,0xa25b026a,0x4422010c}},	//   sedi, wazi_, plôm, şk_, 
   {{0x20113cdb,0x64483cdc,0x7aee0201,0xd627004f}},	//   tazi_, pedi, _lubt, _хоче_, 
   {{0xe521000d,0x7d160844,0xe4d7009c,0x44f2017c}},	//   _मिति_, dsys, _فونت_, _iâ_, 
   {{0x20113cdd,0x543b00c7,0x643b00d1,0x316001d6}},	//   razi_, _לעגא, _העונ, _eriz_, 
   {{0x6d4d3cde,0x20113cdf,0x8c090033,0xd25800b3}},	//   twaa, sazi_, _লাইন_, _ець_, 
   {{0x6e2d3ce0,0xbc793ce1,0x31600304,0x2011044d}},	// [2e70] rgab, обах_, _griz_, pazi_, 
   {{0x6d4d16af,0x6e2d3ce2,0x44f20532,0x628d084c}},	//   rwaa, sgab, _mâ_, _hlao, 
   {{0x81af00cc,0x628d3ce3,0x6d4d3ce4,0x1a650a24}},	//   _করি_, _klao, swaa, ویسی_, 
   {{0x7aee00d3,0x225937ed,0xfbd000eb,0x66f100e0}},	//   _dubt, ndsk_, اتك_, _sāko, 
   {{0x6d4d0ab1,0x44f20090,0x2d4d00d0,0x81df0086}},	//   qwaa, _nâ_, _uže_, দুর_, 
   {{0x81af100b,0x76490539,0x224b3ce5,0xbcfb3ce6}},	//   _করা_, weey, heck_, _eréc, 
   {{0x764901b8,0x44f23599,0x648d0534,0x00000000}},	//   teey, _aâ_, _lúic, --, 
   {{0x61e900d0,0x395f3ce7,0xbcfb0228,0x656400ef}},	//   želj, _trus_, _gréc, _šiha, 
   {{0x395f3ce8,0x764903c5,0xb34503b7,0x394400e2}},	//   _urus_, reey, _opçã, _gpms_, 
   {{0x764901b8,0x212b014b,0xdeff003d,0xb21b02c9}},	//   seey, duch_, ċċju_, skæl, 
   {{0x78a3008b,0x628d00a9,0xdc380070,0x00000000}},	//   minv, _blao, לאזט_, --, 
   {{0x56943ce9,0x31603cea,0x628d161c,0xd29a004f}},	//   _пахт, _priz_, _clao, ітні_, 
   {{0x75290952,0x6286030f,0x628d0354,0x00000000}},	//   quez, rkko, _dlao, --, 
   {{0x62860077,0x92ae0086,0x648d007a,0x7afb0144}},	//   skko, কতে_, _dúic, _čutn, 
   {{0x23d10035,0x81df0086,0x224b3ceb,0xf4860116}},	//   _हरिद, দুল_, beck_, _زاوی, 
   {{0x212b3cec,0x628d161c,0xad9b014b,0xee3a00e4}},	//   buch_, _glao, _neús, ўна_, 
   {{0x6da3002e,0xec7a1ede,0x7aee3ced,0x7afc0604}},	// [2e80] вита, опа_, _subt, _strt, 
   {{0x7aee006d,0x79820053,0xd8380ab4,0x7d16115b}},	//   _pubt, vyow, _omča_, rsys, 
   {{0xbcfb0518,0x00000000,0x00000000,0x00000000}},	//   _préc, --, --, --, 
   {{0x8b651930,0x49ca3cee,0x00000000,0x00000000}},	//   عالم, олен_, --, --, 
   {{0xd91000d4,0x7bc701d5,0x00000000,0x00000000}},	//   ایط_, _eyju, --, --, 
   {{0x7aee3cef,0x787d0212,0x6aa23cf0,0x67d43cf1}},	//   _tubt, _sèvr, siof, нолу, 
   {{0xfaa600cf,0x44f200b3,0x93bc020f,0x212b0083}},	//   _жаво, _sâ_, ngăt, zuch_, 
   {{0xdb0e0035,0x7c3e040b,0xdced0241,0x96341c88}},	//   _wybó, lfpr, nyağ, хниц, 
   {{0xfaa30267,0xd44a0176,0xbcfb0a13,0xfbb00bf1}},	//   _рато, оянд_, _kréa, _করিত, 
   {{0x337424d9,0xb8662f67,0x628d01fd,0x200702be}},	//   егор, _تارو, _slao, _ônix_, 
   {{0xd251091d,0xe8ca009a,0x628d00a1,0x224b02eb}},	//   هند_, ितीच, _plao, teck_, 
   {{0x68e800d1,0x6d4602c9,0x3267366c,0x212b0502}},	//   _hidd, _opka, фтов, tuch_, 
   {{0x68e83cf2,0x224b0f55,0x656f01c4,0x628d00ca}},	//   _kidd, reck_, ächt, _vlao, 
   {{0x55770137,0x212b3cf3,0x3dcd003d,0x68e83cf4}},	//   _קעגן_, ruch_, _ġew_, _jidd, 
   {{0x68e810de,0x6d463cf5,0x212b01c4,0x64580054}},	//   _midd, _apka, such_, _iavi, 
   {{0x443e3cf6,0x68e8052b,0x64583cf7,0xbcfb0d07}},	//   lft_, _lidd, _havi, _aréa, 
   {{0x7bca01c4,0x76423cf8,0xbcfb0038,0x61ed3cf9}},	// [2e90] üfun, _mboy, _bréa, _igal, 
   {{0x645800d0,0xbcfb0518,0x443e02f2,0x68e8094e}},	//   _javi, _créa, nft_, _nidd, 
   {{0x443e3cfa,0x78a300c8,0x61ed2322,0xbcfb0038}},	//   ift_, vinv, _kgal, _dréa, 
   {{0x64583cfb,0x69dd014b,0x41d309d7,0x65623cfc}},	//   _lavi, _úsek, _सरास, _oroh, 
   {{0x18693c40,0xdb1c05a8,0x61ed3cfd,0x7e7d025b}},	//   зали_, _vyrá, _mgal, _iosp, 
   {{0x68e80092,0xbcfb0084,0x443e0b32,0x7e7d1555}},	//   _cidd, _gréa, jft_, _hosp, 
   {{0x656207d7,0x68e80156,0x78a33cfe,0xf0940486}},	//   _aroh, _didd, rinv, כנס_, 
   {{0x61ed3cff,0x443e012e,0x68e80156,0x64583d00}},	//   _ngal, eft_, _eidd, _aavi, 
   {{0x443e2a0d,0xc4e5040c,0x7e7d0034,0x05a900a3}},	//   fft_, нжий, _mosp, явий_, 
   {{0xe1fa072e,0x64583d01,0x61ed3d02,0xb4b9119b}},	//   ूर्ण_, _cavi, _agal, चवे_, 
   {{0x53c900dd,0x7ae90009,0x3d160586,0x69c91fc0}},	//   ягом_, _kiet, _पौने_, _hyee, 
   {{0x7e7d00e0,0x60c51032,0x68e83d03,0x656f0380}},	//   _nosp, _akhm, _zidd, ächs, 
   {{0x7ae93d04,0x81e80033,0x00000000,0x00000000}},	//   _miet, মুন_, --, --, 
   {{0x7ae93d05,0x61ed3d06,0x68e8040c,0xb8020299}},	//   _liet, _egal, _xidd, रुपम_, 
   {{0xb4cb3d07,0x6443008a,0x3f670176,0x7ae900b4}},	//   लती_, _ibni, ниро_, _oiet, 
   {{0x7ae93d08,0x645809b2,0x139a00a7,0xd16402f1}},	//   _niet, _zavi, _מבצע, _аниқ, 
   {{0x7e7d0f90,0x753b3d09,0x69c901a0,0xbcfb3d0a}},	// [2ea0] _dosp, ntuz, _nyee, _préa, 
   {{0xe0d23d0b,0x6ab80838,0x64583d0c,0x7ae901cf}},	//   _حزب_, इक्र, _xavi, _aiet, 
   {{0x7ae93d0d,0x69c91051,0xa09b00c7,0xcb09017b}},	//   _biet, _ayee, _זייט, дхід_, 
   {{0x68e801cc,0x7ae900e0,0x7e7d3d0e,0xc33200a7}},	//   _sidd, _ciet, _gosp, רוא_, 
   {{0xe9470019,0x64430035,0x443e2580,0xbcfb007a}},	//   ٹرنی, _obni, yft_, _tréa, 
   {{0x7d043d0f,0x7ae90ff2,0x644300a4,0x00000000}},	//   mpis, _eiet, _nbni, --, 
   {{0x64583d10,0x7ae93d11,0x0cbe2cad,0x7d043d12}},	//   _ravi, _fiet, ्तीम, lpis, 
   {{0x64583d13,0xd6d73d14,0xddcd01b4,0x7d040088}},	//   _savi, нты_, ljaš, opis, 
   {{0x64583d15,0xa90a00b1,0x7d043d16,0x7ae30d2d}},	//   _pavi, _ريال_, npis, ïnte, 
   {{0xd91b0056,0x443e01c4,0xddcd02fe,0x81af0033}},	//   _מומל, uft_, njaš, _করল_, 
   {{0x443e3d17,0x64583d18,0x22952cdb,0x61ed0065}},	//   rft_, _vavi, виня, _pgal, 
   {{0x273a00e5,0x64583d19,0x0cbe0e0d,0x00000000}},	//   mën_, _wavi, ्तुम, --, 
   {{0x273a00e5,0xd25100c5,0x64583d1a,0x1a9b00c7}},	//   lën_, هنگ_, _tavi, ליטע, 
   {{0x7e7d3d1b,0xbcfb3d1c,0x81c50086,0x21240038}},	//   _sosp, _brén, ৌশল_, ámha_, 
   {{0x273a01ee,0x6e671d3c,0xd9040105,0x7e7d3d1d}},	//   nën_, нтаж, _گی_, _posp, 
   {{0x41de0081,0x61ed3d1e,0xd13b3d1f,0x00000000}},	//   नेहस, _ugal, _ехо_, --, 
   {{0xd90415c0,0xdd94058b,0x273a00e5,0x7ae93d20}},	// [2eb0] _دی_, гаты, hën_, _riet, 
   {{0x7ae93d21,0x273a00e5,0xe802031e,0x387e0144}},	//   _siet, kën_, रुमा_, _notr_, 
   {{0x7ae93d22,0x273a00e5,0x7e7d3d23,0x69c90102}},	//   _piet, jën_, _tosp, _syee, 
   {{0xed510105,0x386c02fe,0x273a024a,0xe52100bd}},	//   _پھر_, _andr_, dën_, _मिलि_, 
   {{0x7ae93d24,0xe8f824cf,0x273a012e,0xddcd044e}},	//   _viet, елі_, eën_, bjaš, 
   {{0x07a5386d,0x26c6236e,0x5c140116,0x2ca5003e}},	//   калн, _akoo_, _مظفر, _öld_, 
   {{0x7ae93d25,0x273a00e5,0x6b83014e,0x648d008c}},	//   _tiet, gën_, ängd, _búin, 
   {{0xdddd00e0,0xd90c04f2,0x648d007a,0x16650bad}},	//   _nosū, _کیو_, _cúin, твим, 
   {{0x648d00eb,0x765b3d26,0x387e2ddd,0x00000000}},	//   _dúin, rduy, _fotr_, --, 
   {{0xb4cb100d,0x753b3d27,0x78050176,0x273a021e}},	//   लते_, rtuz, _рӯда, bën_, 
   {{0x7d04282c,0x273a024a,0x648d007a,0x2a7f05d5}},	//   zpis, cën_, _fúin, _koub_, 
   {{0xddcd090e,0x61f90032,0x753b01d6,0x00000000}},	//   zjaš, _čalú, ptuz, --, 
   {{0xe2973d28,0x66093d29,0x649911f0,0x22b60243}},	//   тая_, mbek, _откр_, gāka_, 
   {{0x91033d2a,0xbcfb3d2b,0x93451853,0x26cd001d}},	//   рпре, _prén, _анке, lleo_, 
   {{0x3f8c014b,0x00000000,0x00000000,0x00000000}},	//   ádu_, --, --, --, 
   {{0x7d0403ef,0xbcfb2890,0xe3e800c7,0x2eeb0118}},	//   tpis, _créo, _אַפֿ, _cicf_, 
   {{0xdee33d2c,0x7bd50093,0x273a00e5,0x75293d2d}},	// [2ec0] роти, _azzu, zën_, nrez, 
   {{0x0cbe05fd,0xbcfb247e,0x7d04005c,0x225e00e0}},	//   ्तेम, _trén, rpis, ētku_, 
   {{0x20183d2e,0x91f6000f,0x75291b6b,0x26cd3d2f}},	//   mari_, _इलाज_, hrez, kleo_, 
   {{0x20183d30,0x273a00e5,0x7d043d31,0x85210299}},	//   lari_, vën_, ppis, _मिंट_, 
   {{0xdb0e0219,0x2a7f03a0,0x66093d32,0xc02f0023}},	//   _nybö, _doub_, dbek, _điếu_, 
   {{0x273a078e,0xd90d00d6,0xfc033d33,0x18673d34}},	//   tën_, سیم_, _впро, качи_, 
   {{0xdca33d35,0xdb1c017e,0x752901a3,0xd6da3d36}},	//   _тари, _byrå, erez, мти_, 
   {{0x273a01ee,0x20183d37,0x6b830991,0x3eb20088}},	//   rën_, hari_, änge, nnyt_, 
   {{0x20183d38,0x64413d39,0x273a01ee,0xd9460886}},	//   kari_, ffli, sën_, _јези, 
   {{0x20183d3a,0x3eb20088,0x273a024a,0x29063d3b}},	//   jari_, hnyt_, pën_, mpoa_, 
   {{0x75293d3c,0xbddb011c,0xbcfb0096,0x273a0034}},	//   arez, _abèl, _arél, qën_, 
   {{0xe5c604c5,0x26cd1e0c,0x20133d3d,0x26c60548}},	//   _исло, cleo_, _sexi_, _ukoo_, 
   {{0x75291b4b,0x20181e37,0x8576152c,0x290600b4}},	//   crez, fari_, _جدائ, npoa_, 
   {{0x64a33d3e,0x9f353d3f,0x26c43d40,0xf36634fd}},	//   _кача, легі, lomo_, _атин, 
   {{0xbcfb0107,0x78ad0212,0x14b11295,0x2ca300c3}},	//   _préo, éavi, ीकरण, _rmjd_, 
   {{0xe80208f1,0xceb80267,0x5eb43d41,0x00000000}},	//   रुता_, вљу_, айст, --, 
   {{0x20183d42,0x321908f7,0x00000000,0x00000000}},	// [2ed0] bari_, masy_, --, --, 
   {{0x321916b4,0x26c43d43,0x66090104,0x00000000}},	//   lasy_, homo_, zbek, --, 
   {{0x26c42a62,0x00000000,0x00000000,0x00000000}},	//   komo_, --, --, --, 
   {{0x3e040093,0x3219023a,0x00000000,0x00000000}},	//   _вярв, nasy_, --, --, 
   {{0xbcfb135a,0x3ea93d44,0xf9900038,0x26c43d45}},	//   _krém, miat_, يبه_, domo_, 
   {{0x3ea93d46,0x32190379,0x75293d47,0x47593d48}},	//   liat_, hasy_, vrez, ерия_, 
   {{0xb6a500cf,0x3219023a,0x26c40415,0x46a500fd}},	//   ликл, kasy_, fomo_, лакв, 
   {{0x75293d49,0x20183d4a,0x26c43d4b,0x3ea93d4c}},	//   trez, zari_, gomo_, niat_, 
   {{0xd4152a50,0x20183d4d,0x59b7000f,0x32190db7}},	//   льны, yari_, _आखिर, dasy_, 
   {{0x1309030f,0x75293d4e,0x34a30258,0x66093d4f}},	//   нной_, rrez, ргоҳ, sbek, 
   {{0x26cd15c4,0x3eb2030f,0x64413d50,0x216703dc}},	//   pleo_, ynyt_, rfli, ҳияи_, 
   {{0x20183d51,0x32190489,0x26c43137,0x64413d52}},	//   wari_, gasy_, como_, sfli, 
   {{0x3ea93d53,0xe56e3d54,0x64410380,0x648401f5}},	//   diat_, _уз_, pfli, _còis, 
   {{0x03190084,0x291f0053,0x50b53d55,0xbcfb0212}},	//   _كتبت_, _mvua_, ассу, _crém, 
   {{0x20183d56,0x32193d57,0x3ea916bf,0x7f1900f0}},	//   rari_, basy_, fiat_, кіту_, 
   {{0xbea33d58,0xe3b001c9,0xc3320225,0x22b60243}},	//   баск, _بره_, _הוה_, māko_, 
   {{0xcbb0100b,0x8d662f89,0xa3e7000c,0x20183d59}},	// [2ee0] _করেছ, ывае, _मृत_, pari_, 
   {{0x201802f1,0x0dc732e1,0x219b0225,0x7af53d5a}},	//   qari_, улуй_, _נביא, _buzt, 
   {{0x4b263d5b,0x26c406f2,0x3ea93d5c,0x1bba0038}},	//   умев, yomo_, biat_, رائع_, 
   {{0x3ea90fb4,0x7b20014b,0x648d0038,0x7e5617e0}},	//   ciat_, _náuš, _súil, _стоц, 
   {{0xa9670b66,0x229202d9,0xd7fa0f67,0x648401be}},	//   лица_, ušky_, нуй_, _mòir, 
   {{0x6e363d5d,0x62960034,0xbddb0118,0x32190083}},	//   lgyb, ëzoj, _obèj, zasy_, 
   {{0x7af50414,0x26c43d5e,0x37a700fd,0x38cb00d7}},	//   _guzt, tomo_, лтън_, راهی_, 
   {{0x212003ef,0x7f3b00c7,0x212b0156,0xa7fc04a8}},	//   _ovih_, געקו, yrch_, _anıt, 
   {{0x26c40194,0xa836006b,0xddc40405,0x3f8a014b}},	//   romo_, _معاش, jjiż, hybu_, 
   {{0xb99300eb,0x26c422dc,0x212b014b,0xb80a0038}},	//   _الكب, somo_, vrch_, _أيام_, 
   {{0x321900a9,0x61ea00ad,0xa3d40009,0x64840465}},	//   tasy_, əllə, ронч, _sòis, 
   {{0x925800c8,0x64840465,0x26c40415,0x7bce0ff2}},	//   гают_, _còir, qomo_, _mybu, 
   {{0x3ea93d5f,0xf2c4011f,0xbddb0237,0x648401be}},	//   viat_, ссэн, _ebèj, _dòir, 
   {{0xe3a400d4,0x859b00a7,0x92b50086,0x22b601dd}},	//   _پشتی, _אשדו, ঝতে_, bāko_, 
   {{0x7ae2014e,0xd36f3d60,0x32193d61,0xbcfb009c}},	//   kmot, _уч_, pasy_, _gréj, 
   {{0x5e5800dd,0x6e36016a,0x7de7004e,0x648401c5}},	//   лися_, ggyb, гізд, _tòis, 
   {{0x22490574,0xbcfb2a6e,0x7af500b4,0x7bce0104}},	// [2ef0] _ibak_, _trém, _suzt, _aybu, 
   {{0x3ea90ef4,0xe1ff3d62,0x61e90352,0x28a924d4}},	//   siat_, lcó_, žels, _औषधि, 
   {{0x3ea93d63,0x75eb0019,0x29043d64,0x04190033}},	//   piat_, _közü, _atma_, _দামী_, 
   {{0x291d0364,0xe1ff0369,0x7ae23d65,0x60c70034}},	//   tswa_, ncó_, gmot, lojm, 
   {{0x22490775,0x8d872999,0x00000000,0x00000000}},	//   _mbak_, _сунд, --, --, 
   {{0x60c7024a,0xf7713d66,0x00000000,0x00000000}},	//   nojm, قاب_, --, --, 
   {{0x9695068e,0x37753288,0x7ae211a5,0xdd0e0241}},	//   ириш, рылс, bmot, _kışl, 
   {{0x31690da6,0xada60228,0x068514a5,0xa5253d67}},	//   _oraz_, slúž, ргин, амид, 
   {{0x60c73d68,0xef190035,0x3a742943,0x04190033}},	//   kojm, ąży_, _ултр, _দাবী_, 
   {{0x66f1002a,0x6aab0f95,0x2249011c,0xbcfb0107}},	//   _sāku, ligf, _abak_, _préj, 
   {{0x212003ef,0xe29a1a68,0x798b0156,0x290000b3}},	//   _svih_, ван_, lygw, ţiat_, 
   {{0x91e613cc,0x3169019c,0x61fa02d9,0x22b60243}},	//   ионе, _braz_, ětlo, rāko_, 
   {{0x6f0500a0,0x7d09021e,0x75eb0248,0x00000000}},	//   _athc, _çesh, _dözü, --, 
   {{0x661b3d69,0x7ae2034c,0x22490102,0x60c70034}},	//   lauk, zmot, _ebak_, gojm, 
   {{0x44fb3d6a,0xc05a032e,0xbcfb033e,0xafe63d6b}},	//   _hê_, нің_, _frék, ровл, 
   {{0x44fb3d6c,0x75eb03c0,0x31693d6d,0xddd6012d}},	//   _kê_, _gözü, _fraz_, аўзэ, 
   {{0x44fb078a,0x394d023b,0x6e363d6e,0x31693d6f}},	// [2f00] _jê_, _npes_, rgyb, _graz_, 
   {{0x44fb001b,0x6e360156,0x661b3d70,0xcb6a3d71}},	//   _mê_, sgyb, hauk, казе_, 
   {{0x44fb3d72,0x66f1002a,0x7ae22032,0xf1aa2488}},	//   _lê_, _māks, tmot, _चेतन, 
   {{0x7bce014b,0x661b3d73,0x6b83014e,0x628400f6}},	//   _vybu, jauk, änga, _joio, 
   {{0x44fb3d74,0x661b3d75,0x7bce0035,0x88e61761}},	//   _nê_, dauk, _wybu, ажде, 
   {{0x62843d76,0x9915012d,0x6aab00a1,0x00000000}},	//   _loio, сьці, aigf, --, 
   {{0x44fb019c,0xe7e1007e,0x394d0096,0xc1d30390}},	//   _aê_, गेला_, _epes_, _सर्ग, 
   {{0x44fb3d77,0xdca602c0,0x35463d78,0x628401d8}},	//   _bê_, _саҳи, ахов, _noio, 
   {{0x44fb019c,0x7d060065,0x66f101dd,0x67210604}},	//   _cê_, _jtks, _sākt, _evlj, 
   {{0x44fb3d79,0x75eb0092,0x07a6391b,0xd8380082}},	//   _dê_, _sözü, _казн, _omči_, 
   {{0xbcfb0096,0x316902d9,0x628402be,0x57fb0147}},	//   _prék, _sraz_, _boio, _סלאו, 
   {{0x661b02a2,0x44fb2c3c,0x628400a1,0x31690474}},	//   cauk, _fê_, _coio, _praz_, 
   {{0x6602014e,0xe1ff283b,0x60c7024a,0x44fb0210}},	//   _ifok, rcó_, tojm, _gê_, 
   {{0xe1ff3d7a,0x62963d7b,0x00000000,0x00000000}},	//   scó_, _elyo, --, --, 
   {{0x4ea73d7c,0x629602a2,0x60c73d7d,0x443c03a1}},	//   араа, _flyo, rojm, _icv_, 
   {{0x44fb055a,0x316902a0,0x60c7024a,0x62843d7e}},	//   _yê_, _traz_, sojm, _goio, 
   {{0x44fb0108,0x00000000,0x00000000,0x00000000}},	// [2f10] _xê_, --, --, --, 
   {{0x70550e70,0xcc7402a6,0x661b3d7f,0x7d02007a}},	//   _اندا, огућ, zauk, íosa, 
   {{0x6a1700eb,0x394d3d80,0x6aab3d81,0x443c0474}},	//   لبشر, _spes_, tigf, _mcv_, 
   {{0x752202f1,0x497500f0,0x99d90038,0x00000000}},	//   _ovoz, йлес, هواء_, --, 
   {{0x7afb032f,0x661b0810,0x644a0083,0x00000000}},	//   _čutu, vauk, _obfi, --, 
   {{0x44fb0218,0x88c800dd,0x6d5d3d82,0x66020379}},	//   _rê_, алів_, _issa, _afok, 
   {{0xfbe51421,0x44fb3d83,0xbb8500eb,0x6d4f023e}},	//   _প্রত, _sê_, _الزي, _hpca, 
   {{0x44fb055a,0xbcfb3d84,0xcfb800d1,0x66f101dd}},	//   _pê_, _préh, ילוי_, _sāks, 
   {{0x661b3d85,0x6aa90053,0x443c0126,0x056803b7}},	//   rauk, _imef, _bcv_, ајќи_, 
   {{0x44fb055a,0x661b3d86,0x75221a35,0xbcfb022c}},	//   _vê_, sauk, _dvoz, _créi, 
   {{0x44fb055a,0x661b0088,0xe64304be,0x97a7069b}},	//   _wê_, pauk, şmış, _трал, 
   {{0x44fb055a,0xc7b200d1,0xe29a02be,0x25a900ca}},	//   _tê_, _צבא_, уам_, _žalu_, 
   {{0xd6c600c5,0x7522265d,0xe3b10109,0xbcfb0534}},	//   _امنی, _gvoz, ترک_, _fréi, 
   {{0xbcfb0038,0x40953d87,0xba3d00d8,0x6ab3072d}},	//   _gréi, орст, _smůl, ंचुर, 
   {{0xdfd200eb,0x6d5d3d88,0x661900c3,0x1e960a65}},	//   سير_, _assa, _kewk, брар, 
   {{0xed5a01a2,0x6abb00ef,0xada602f1,0xb21b055f}},	//   лоб_, _njuf, бабл, skær, 
   {{0x0c263d89,0x6b833d8a,0x44270640,0xa2c52158}},	// [2f20] йман, ängn, _kdn_, रवर्, 
   {{0x6aa90053,0xa3ab0586,0x8db51fab,0x6f130068}},	//   _amef, _गधा_, істі, ñecé, 
   {{0x6d5d3d8b,0x0b461d3c,0x69db0126,0xa3db0110}},	//   _essa, снен, _azue, ढेच_, 
   {{0xc3320486,0xfe9400d7,0x00000000,0x00000000}},	//   לוב_, _بیرج, --, --, 
   {{0x44270613,0x14c7017d,0xda650195,0x823b0070}},	//   _odn_, रकाण, تالي, רענצ, 
   {{0xddcd0095,0x6d44050a,0xc7b0010e,0x7e6400bd}},	//   ldaş, mtia, وڑا_, ldip, 
   {{0x6d443d8c,0x9f580369,0xb8ff01a4,0x656b0474}},	//   ltia, mbró_, _धी_, _argh, 
   {{0xddcd0092,0x201a3d8d,0x7e643d8e,0xaa433d8f}},	//   ndaş, _lepi_, ndip, _несл, 
   {{0x6d443d90,0x44273d91,0x5eff034d,0x661d01d5}},	//   ntia, _bdn_, _शून्_, ðska, 
   {{0x201a11e9,0xb4c237e7,0x81ae0033,0x6d443d92}},	//   _nepi_, ंवे_, কথা_, itia, 
   {{0x6d443d93,0xddcd04d6,0x0ec81a4e,0x00000000}},	//   htia, kdaş, लवाड, --, 
   {{0x6d443d94,0x442703e2,0x00000000,0x00000000}},	//   ktia, _edn_, --, --, 
   {{0xbcfb00eb,0xad9b0183,0x7e643d95,0xe29800e4}},	//   _tréi, _afún, ddip, саў_, 
   {{0x201a3d96,0x443c0126,0x6d5d00b4,0xbcfb02be}},	//   _cepi_, _ucv_, _rssa, _uréi, 
   {{0x201a158b,0xd36f0161,0xbc690019,0xddcd00ad}},	//   _depi_, _эч_, یجئے_, fdaş, 
   {{0xdef8004e,0x64481a77,0x00000000,0x00000000}},	//   сыр_, lfdi, --, --, 
   {{0x7bdc00e2,0x6d440201,0x00000000,0x00000000}},	// [2f30] _azru, gtia, --, --, 
   {{0x1dba0299,0x00000000,0x00000000,0x00000000}},	//   _इशरत, --, --, --, 
   {{0x69c02af2,0xd9f91271,0x6d443d97,0x00000000}},	//   _axme, анец_, atia, --, 
   {{0x6d5d0054,0x705537e5,0x629d0210,0xe80b00c9}},	//   _tssa, _انگا, nhso, सुना_, 
   {{0xa92400dd,0x2bdb051f,0xbcfb001d,0x6d5d040c}},	//   зділ, _भरवा, _arév, _ussa, 
   {{0x200300ab,0x18693d98,0xd8380ab4,0xd7093d99}},	//   ncji_, раки_, _omču_, анке_, 
   {{0x7d0d3d9a,0x44273d9b,0xbcfb011c,0xcb3401d8}},	//   lpas, _rdn_, _préw, _неръ, 
   {{0x44270938,0x6aa90053,0x7d0d130a,0xdd09020b}},	//   _sdn_, _umef, opas, _môžt, 
   {{0x2003006a,0x7d0d3d9c,0x3a3f00b9,0xe9e5019c}},	//   kcji_, npas, _icup_, ãºdo_, 
   {{0xd6db004e,0x03251ee6,0x8d5c0486,0xb4a90314}},	//   _өте_, одон, רכזי, ркоз_, 
   {{0x6d4402ba,0x68fb00c8,0xa2e600a3,0xddcd02a4}},	//   ztia, _huud, жонд, ydaş, 
   {{0x201a3d9d,0x68fb3d9e,0x6d4400f3,0x00000000}},	//   _sepi_, _kuud, ytia, --, 
   {{0x7d0d02b0,0x68fb1ece,0x00000000,0x00000000}},	//   jpas, _juud, --, --, 
   {{0x68fb0077,0xa06a012d,0x442702eb,0x00000000}},	//   _muud, шага_, _udn_, --, 
   {{0xe29a03dc,0x6b83128d,0xaac91687,0x7d0d3d9f}},	//   _вай_, ängl, िकाक, epas, 
   {{0x6d443da0,0x35ce0366,0x61f601e8,0x764900f8}},	//   ttia, _हुड़, _ugyl, nfey, 
   {{0x201a2129,0x7d0d1e8f,0xddcd0095,0x649600d9}},	// [2f40] _tepi_, gpas, rdaş, _mâin, 
   {{0x3a3f00b9,0x40960acd,0xec772dd2,0x7f763197}},	//   _acup_, _фрит, опу_, _думц, 
   {{0x6d443da1,0x7d0d3da2,0xaec600b3,0x2b3a002e}},	//   stia, apas, _мбол, рязэ_, 
   {{0x68fb0082,0x7bdc014b,0x6d443da3,0x2e6a01d7}},	//   _buud, _vzru, ptia, _тимп_, 
   {{0x18740c8b,0xc98300c8,0xc7b80613,0x764900f8}},	//   згля, дущи, _međe_, dfey, 
   {{0xf72a3da4,0xbcfb3da5,0x24870cd7,0x67230bfc}},	//   аций_, _prév, _nonm_, fsnj, 
   {{0xab273da6,0x7bdc3da7,0x00000000,0x00000000}},	//   _мора_, _uzru, --, --, 
   {{0xc7b800ef,0x22400065,0x649600b3,0x70c60249}},	//   _neđe_, _ncik_, _câin, लकुल, 
   {{0x7e9b035c,0x22b601dd,0x20030035,0x248703a0}},	//   יסקו, cāki_, ycji_, _bonm_, 
   {{0x7afc3da8,0x22403da9,0x60c200eb,0x394636d7}},	//   _kurt, _acik_, _íomh, mtos_, 
   {{0xc60600e4,0x7afc3daa,0x31603dab,0xa3e4072d}},	//   _дзей, _jurt, _asiz_, पें_, 
   {{0x7afc3dac,0x929400e4,0x39460009,0x2a640118}},	//   _murt, даюц, otos_, _jamb_, 
   {{0x39460952,0x28df036e,0x7afc1ca5,0x50671fc7}},	//   ntos_, _पीडि, _lurt, отва, 
   {{0x39463dad,0x6ab7059e,0xc0cb3dae,0xf8ca00a5}},	//   itos_, _अद्र, руме_, ाकिय, 
   {{0xdefb00b9,0x7d0d0036,0x14c71295,0xeeab3daf}},	//   рыг_, wpas, रकरण, атак_, 
   {{0x39463db0,0xc33300a7,0x9df90d38,0x539b00d1}},	//   ktos_, _חוק_, снат_, _כיוו, 
   {{0x7afc0a9f,0x3ebe003e,0x7d0d2657,0x20030083}},	// [2f50] _aurt, étta_, upas, pcji_, 
   {{0x7afc3db1,0x21393db2,0x68fb3db3,0xc058017b}},	//   _burt, mush_, _ruud, _дію_, 
   {{0x518500cf,0x68fb007e,0xdce4014b,0x7afc3db4}},	//   _фуқа, _suud, cvič, _curt, 
   {{0x7d0d3db5,0x68fb0077,0xbcfb3db6,0x67380e67}},	//   ppas, _puud, _brét, duvj, 
   {{0xa9693db7,0x21393db8,0x2a6400b9,0xbcfb0212}},	//   сила_, nush_, _damb_, _crét, 
   {{0x7afc3db9,0xacfa00d1,0x26cf0082,0x22b601dd}},	//   _furt, _להשכ, _skgo_, rāki_, 
   {{0x7afc3dba,0x2a6607fc,0x8cba0299,0x649600b3}},	//   _gurt, bdob_, ्वरो, _pâin, 
   {{0xbcfb06b6,0x213900e5,0xba770fce,0x395f006d}},	//   _frét, kush_, _باست, _tsus_, 
   {{0x39463dbb,0x395f3dbc,0xc7b804cb,0xbcfb2cd8}},	//   ctos_, _usus_, _ređe_, _grét, 
   {{0x7afc3dbd,0x65693dbe,0x00000000,0x00000000}},	//   _yurt, rveh, --, --, 
   {{0x7afc010c,0x61f100ad,0x42ca3dbf,0x27070023}},	//   _xurt, ədlə, йгон_, _qđnd_, 
   {{0x213902a2,0x24870237,0x00000000,0x00000000}},	//   fush_, _wonm_, --, --, 
   {{0xe80200bc,0x248703a0,0x00000000,0x00000000}},	//   रुका_, _tonm_, --, --, 
   {{0xdce41cb1,0x03a500d9,0xa07500f0,0x648d007a}},	//   tvič, _нило, мысш, _cúit, 
   {{0x39460019,0x09b8009a,0x66de024a,0xdee63dc0}},	//   ztos_, _अश्य, lëka, зови, 
   {{0x39460028,0x21393dc1,0x224007bc,0x9046011c}},	//   ytos_, bush_, _ucik_, _کنده, 
   {{0x7afc3dc2,0xf5390228,0x67380e67,0xd00f0019}},	// [2f60] _surt, nuť_, zuvj, ئلہ_, 
   {{0x7afc1192,0xc173008d,0xe1ff070b,0x2a640da4}},	//   _purt, _נחת_, ndón_, _samb_, 
   {{0x7afc3dc3,0xbcfb0107,0xf53900da,0x6ffb2665}},	//   _qurt, _brés, huť_, _להיפ, 
   {{0xbcfb0107,0x37d10033,0x6f030175,0xdb2300d8}},	//   _prét, াধার, _énca, írán, 
   {{0xbcfb002c,0x39463dc4,0x2bac0299,0x90a500d7}},	//   _drés, utos_, _टेरा, _رحیم, 
   {{0x98a3196d,0x7afc0930,0x22b60243,0x00000000}},	//   ниче, _turt, māku_, --, 
   {{0xfbc30769,0x7afc01c8,0x2a643dc5,0x22b601dd}},	//   _збро, _uurt, _tamb_, lāku_, 
   {{0x39463dc6,0x7e663dc7,0xb9020086,0xbddb022c}},	//   ptos_, _jakp, _নং_, _ibèr, 
   {{0xf7f6039f,0xbcfb04c6,0x00000000,0x00000000}},	//   _فساد, _urét, --, --, 
   {{0x3ebf0352,0xb82700b3,0x213901ff,0x00000000}},	//   čuti_, _ноуз_, vush_, --, 
   {{0x62353dc8,0x225902c5,0x00000000,0x00000000}},	//   мену, tesk_, --, --, 
   {{0xe1f90161,0x0bb707e4,0x51870080,0xf53900da}},	//   өгү_, ללים_, пуга, buť_, 
   {{0x5bb901a4,0xcfaa0086,0x22593dc9,0x61fb1a35}},	//   _आश्व, _খুলন, resk_, žulo, 
   {{0x212d031e,0xa3b400dd,0x65623dca,0x533400d3}},	//   šeho_, _облі, _isoh, _жект, 
   {{0x4fc41184,0xc7b80108,0x00000000,0x00000000}},	//   еста, _gdđt_, --, --, 
   {{0x443e3dcb,0x9ed901fc,0x3ea0107c,0x00000000}},	//   lgt_, імат_, ghit_, --, 
   {{0x7e663dcc,0x443e01c8,0xbcfb0175,0x5d5426ef}},	// [2f70] _dakp, ogt_, _arér, нктт, 
   {{0x645a3dcd,0x672802b1,0x443e01b9,0xa2c50484}},	//   neti, _ovdj, ngt_, रवक्, 
   {{0xbcfb0518,0x9e1500dd,0x46cc3832,0x443e17a9}},	//   _prés, _одні, ावाह, igt_, 
   {{0xd36600c5,0x7c3e01c8,0xdd953dce,0x629d0034}},	//   _یه_, agpr, _жамы, ëroh, 
   {{0x22b601dd,0xbddb05d5,0x6562007c,0x00000000}},	//   cāku_, _ebèr, _nsoh, --, 
   {{0x443e0b32,0xbcfb10cc,0x648d0354,0x00000000}},	//   jgt_, _frér, _lúir, --, 
   {{0x645a3dcf,0xbcfb04ae,0x65620610,0x8aa700d9}},	//   deti, _trés, _asoh, _ерад, 
   {{0x443e3dd0,0x22b600e0,0x67280604,0xe7360176}},	//   egt_, nākt_, _dvdj, феъ_, 
   {{0xdddd00ab,0x3a2d011c,0x645a3dd1,0x00000000}},	//   _hasł, _idep_, feti, --, 
   {{0x443e3dd2,0x648d0038,0x3ea0024a,0x27e000bc}},	//   ggt_, _rúis, zhit_, řina_, 
   {{0xe1ff0503,0x9c87031e,0x648d0354,0xd6ce0e0e}},	//   rdón_, _začá, _búir, طقی_, 
   {{0xd5ae1fdb,0xe297085c,0x443e0b32,0x648d0038}},	//   افی_, даю_, agt_, _cúir, 
   {{0x648d00eb,0x9f4e020b,0x22930218,0xd1831d02}},	//   _dúir, ľník_, _sûkê_, вляй, 
   {{0x645a3dd3,0x7e663dd4,0x753b0204,0x9f4e1102}},	//   ceti, _sakp, muuz, žník_, 
   {{0x7e663dd5,0x96e1031e,0x130502f1,0x3ea03dd6}},	//   _pakp, _पठाउ, _ўзим, thit_, 
   {{0xdee32df0,0xf1fa3dd7,0xdee63dd8,0x3d021230}},	//   воси, _بعثت_, фоби, _वंदे_, 
   {{0x3ea010f3,0x6fe73dd9,0x00000000,0x00000000}},	// [2f80] rhit_, técé, --, --, 
   {{0x6286003a,0xc7b80062,0x3ea000e5,0xb21b055f}},	//   ljko, _leđa_, shit_, hjæl, 
   {{0x307b00a7,0x290d3dda,0x3ea01f96,0xbea61bb9}},	//   _ואינ, _atea_, phit_, _жанк, 
   {{0x645a3ddb,0xe9da3a5f,0x753b044d,0x3a2d107c}},	//   zeti, оке_, kuuz, _cdep_, 
   {{0x443e0a40,0x645a3ddc,0xbcfb026a,0x6e243be2}},	//   ygt_, yeti, _fréq, maib, 
   {{0xf2bb1615,0x645a3ddd,0x6e243dde,0x96f83ddf}},	//   _उद्घ, xeti, laib, пект_, 
   {{0x290d0183,0x36d4117c,0x22b601dd,0x8c430aa8}},	//   _etea_, нокр, nāks_, _шере, 
   {{0xebe31c0f,0xcfc00086,0x6e243de0,0x769c011c}},	//   _росп, _ইরান, naib, _béya, 
   {{0x645a3de1,0x2bbe031e,0xdddd0035,0x7ae3020f}},	//   teti, ्थवा, _zasł, înte, 
   {{0x443e3de2,0x84e70038,0x00000000,0x00000000}},	//   ugt_, وفيق_, --, --, 
   {{0x443e3de3,0xd6cf156b,0x6e240c3d,0xc7b800ef}},	//   rgt_, _ат_, kaib, _feđa_, 
   {{0x645a0571,0x6e2402f6,0x65620364,0x6b833de4}},	//   seti, jaib, _tsoh, ängi, 
   {{0x7c2e2337,0x65960eea,0xbcfb0068,0x6e243de5}},	//   _odbr, _تجار, _asén, daib, 
   {{0xe3af2ee9,0x69b101ec,0x645a037e,0x00000000}},	//   اری_, _आइसी, qeti, --, 
   {{0xf363001c,0xceb40095,0xdfd80093,0x442e0151}},	//   _атын, fiə_, дът_, _idf_, 
   {{0x76401f87,0x6e243de6,0xd5e20667,0x21290065}},	//   ngmy, gaib, _पराज, _tvah_, 
   {{0x3d1a031e,0xbcfb0212,0x00000000,0x00000000}},	// [2f90] मीले_, _crép, --, --, 
   {{0x66de0034,0x61e00241,0x22b601dd,0x442e0151}},	//   këko, ümle, sākt_, _jdf_, 
   {{0x5a35149b,0x6e243de7,0x3eb0007a,0x9f450080}},	//   енет, baib, últú_, älä_, 
   {{0x6e243de8,0x442e3de9,0x6aa200f8,0x628d019c}},	//   caib, _ldf_, ghof, _joao, 
   {{0xc7b80082,0x49b800d4,0x00000000,0x00000000}},	//   _ređa_, واهد_, --, --, 
   {{0x2bbe0fc0,0xf09f00f6,0xf749007a,0x00000000}},	//   ्थशा, mpàs_, كلتي_, --, 
   {{0x46f53dea,0xcb440013,0xb906000d,0x7c253deb}},	//   нчит, _ихти, _यी_, mahr, 
   {{0x6aa23dec,0x61fb090e,0x056502a6,0x32c40e03}},	//   chof, žulj, евин, kıya_, 
   {{0x81b400cc,0x04b533c4,0x959905e0,0x765b033e}},	//   _জুন_, есня, ятку_, reuy, 
   {{0xb21b055f,0x442e0610,0x7c253ded,0x00000000}},	//   sjæl, _cdf_, nahr, --, 
   {{0x032200b3,0x889a00d1,0x543500d7,0xe3b600b3}},	//   лдэн, _צבעי, ورگر, ебэ_, 
   {{0x51f7006b,0x7c250065,0x753b0053,0x442e1904}},	//   کسپر, hahr, puuz, _edf_, 
   {{0xbddb026a,0xe281004e,0x349500e4,0x442e0b41}},	//   _scèn, рғын, _падр, _fdf_, 
   {{0x92c200cc,0x442e3dee,0x7c250380,0x628600ca}},	//   ্গে_, _gdf_, jahr, sjko, 
   {{0x6e243def,0xada300a3,0x64413df0,0x00000000}},	//   taib, ҳатл, mgli, --, 
   {{0xf1d2022c,0xbcfb026d,0x66093df1,0x64413df2}},	//   _бөгө, _prép, ncek, lgli, 
   {{0x7c2502ec,0x6e243df3,0xed5700ce,0xd165005e}},	// [2fa0] fahr, raib, нот_, _анық, 
   {{0x64413df4,0x6e243df5,0x7d042e22,0x61e40104}},	//   ngli, saib, rqis, _izil, 
   {{0x20183df6,0x6aa208d4,0x6e240f3a,0x2ef900a1}},	//   mbri_, thof, paib, _fisf_, 
   {{0x44253df7,0x2ebd0c59,0xfaa33df8,0x629d0009}},	//   hal_, ्कृत, лахо, ūrov, 
   {{0x44253df9,0xfaa60a43,0x7d040619,0x7bc706a5}},	//   kal_, _ҷаво, qqis, _exju, 
   {{0x6cd600eb,0x6aa23dfa,0x7c2e055f,0xfbd10019}},	//   _أقسا, shof, _udbr, اتے_, 
   {{0x442e3dfb,0x59dc000f,0xf09300a7,0x2bbe009a}},	//   _rdf_, _बरकर, רנו_, ्थळा, 
   {{0x61e40571,0x44253dfc,0x7d09068b,0x6441322f}},	//   _ozil, eal_, _éesc, egli, 
   {{0x44253dfd,0xfaa30e8f,0x6aa0040c,0x00000000}},	//   fal_, _сато, _ilmf, --, 
   {{0x44253dfe,0x182800d4,0x33741b69,0x64413dff}},	//   gal_, _آقای_, вгор, ggli, 
   {{0x61e43e00,0xc61f0033,0x5c370070,0x00000000}},	//   _azil, _ধারা_, ערטן_, --, 
   {{0x44253e01,0x64413e02,0x7c2500da,0x59b701ec}},	//   aal_, agli, zahr, _अधमर, 
   {{0x44253a99,0x628d0180,0xa3e4017d,0x672a004f}},	//   bal_, _voao, पेज_, lsfj, 
   {{0x44253e03,0x442e0204,0x32c40213,0x00000000}},	//   cal_, _udf_, rıya_, --, 
   {{0x7ea3007e,0xdfd52f89,0xbcfb010e,0x61e43e04}},	//   _lõpe, товы, _esél, _ezil, 
   {{0x7c2501c4,0x6b8100f6,0x32c40213,0x5e680267}},	//   wahr, _àlgi, pıya_, нјуг_, 
   {{0x661d010d,0x2d58154d,0xa2ce1080,0x20183c88}},	// [2fb0] ðski, нить_, सवर्, bbri_, 
   {{0x6ac90cbd,0x2d8715ed,0xc60d2c8a,0xc7b800ef}},	//   िक्र, ćne_, _सभ्य_, _neđo_, 
   {{0x212b2df2,0x2be6009a,0xfbab1f25,0xf09f03dd}},	//   lsch_, _करणं_, чтай_, spàs_, 
   {{0x44253e05,0xc5fe0243,0x00000000,0x00000000}},	//   zal_, šējo_, --, --, 
   {{0x212b0991,0x7de4004e,0x68fa3e06,0x44253e07}},	//   nsch_, _бірд, _bitd, yal_, 
   {{0x44253e08,0x7e6d3e09,0x212b01c4,0xa3c00ffe}},	//   xal_, ldap, isch_, ंपा_, 
   {{0x2bb80084,0x23cf3e0a,0x6d4d3e0b,0x46a50925}},	//   _كافة_, _सुंद, ltaa, какв, 
   {{0x44253e0c,0x7e6d1237,0x6d4d3e0d,0x6b83239e}},	//   wal_, ndap, otaa, ängu, 
   {{0x6d4d3e0e,0x644102ec,0xa874004e,0x66093e0f}},	//   ntaa, tgli, _өлті, rcek, 
   {{0x97a73e10,0xd90d00c5,0x75293e11,0x64413e12}},	//   _прел, _هیچ_, rsez, ugli, 
   {{0x44253e13,0x28b604d7,0x64413e14,0x6d4d0088}},	//   ral_, _अगति, rgli, htaa, 
   {{0xddc4002e,0x64410156,0xe29a3e15,0x6d4d3e16}},	//   ndiţ, sgli, фам_, ktaa, 
   {{0x7afb010e,0x67240082,0x7ae900a1,0x00000000}},	//   _miut, ćije, _mhet, --, 
   {{0x7e7d3e17,0x44253e18,0xe3b91d05,0x90c500f0}},	//   _ansp, qal_, _обл_, лғыз_, 
   {{0x03a50f5a,0x03a2004f,0x7ae901d6,0xd00714c1}},	//   _шико, _вищо, _ohet, тесе_, 
   {{0x6d4d2c8f,0x7e6d0495,0x212b0502,0xa2d30110}},	//   ftaa, gdap, bsch_, ठवण्, 
   {{0x6d4d1a71,0x61e401ff,0x8d6600fd,0x00000000}},	// [2fc0] gtaa, _uzil, ъвае, --, 
   {{0xeb9a0c67,0x7afb048a,0x7e7d0300,0x7ae93e19}},	//   миз_, _aiut, _ensp, _ahet, 
   {{0x8fa63e1a,0x69db0096,0x7ae93e1b,0x0a4a00e4}},	//   _ране, _ayue, _bhet, дзей_, 
   {{0x7afb0161,0x78a13e1c,0x7ae93e1d,0x769c12e6}},	//   _ciut, _allv, _chet, _réyo, 
   {{0x6d4d01d2,0x7ae901c5,0x7ceb01c4,0x83fc090e}},	//   ctaa, _dhet, dürf, leđe, 
   {{0xf77228b7,0x7ae93e1e,0x7ae302b0,0x69db03c6}},	//   لاع_, _ehet, ïntr, _dyue, 
   {{0x6b830a25,0x7afb3e1f,0xb6c602a3,0x00000000}},	//   ängt, _fiut, ксий, --, 
   {{0x7afb3e20,0xe6cc09e2,0x3ce63e21,0x61fb0028}},	//   _giut, ावेज, _जीते_, žuli, 
   {{0xceb30052,0xc1e10083,0x00000000,0x00000000}},	//   ייה_, _नरेग, --, --, 
   {{0x68fa051e,0xb4cc3e22,0xb86513b4,0x7ae90096}},	//   _uitd, लवे_, _مامو, _zhet, 
   {{0xa2953e23,0x387e0012,0x29040529,0x83fc0f30}},	//   гані, _intr_, _huma_, jeđe, 
   {{0x29043e24,0x7bdc0348,0x387e0065,0x26c0012d}},	//   _kuma_, _myru, _hntr_, čios_, 
   {{0xe5341838,0x29043e25,0xe29800e4,0x386c3e26}},	//   _сель, _juma_, таў_, _kadr_, 
   {{0x212b1562,0x29040bcf,0x7ceb3e27,0x2ebd176d}},	//   rsch_, _muma_, mürg, ्क्त, 
   {{0x29043e28,0xff043e29,0x7e6d07fc,0xf1d301a4}},	//   _luma_, иятн, tdap, _धुरन, 
   {{0x6d4d0088,0x29043e2a,0x26c6318d,0x03d700d1}},	//   ttaa, _ouma_, _jjoo_, _שוהם_, 
   {{0x7e6d3e2b,0xdef80d18,0x290403b7,0x7afb3e2c}},	// [2fd0] rdap, тыр_, _numa_, _riut, 
   {{0x7ae93e2d,0x7afb3e2e,0x80c10086,0x7bdc139f}},	//   _shet, _siut, _শীর্, _byru, 
   {{0x6d4d3e2f,0x50b820ae,0x7afb3e30,0x7ae90194}},	//   staa, _جديد_, _piut, _phet, 
   {{0x83fc0082,0x7ae90226,0x26c63baa,0x2904039b}},	//   ceđe, _qhet, _njoo_, _buma_, 
   {{0x386c3e31,0x5c0700d3,0x7d02007a,0x3a243e32}},	//   _badr_, _аяба, íost, _demp_, 
   {{0x98e500eb,0x68450451,0x6b830a25,0x7ae900a7}},	//   دكتو, унка, ängs, _whet, 
   {{0x7ae93e33,0x0058042c,0x224901f0,0x3a240183}},	//   _thet, דשות_, _ocak_, _femp_, 
   {{0xdb24057f,0x69c9006f,0x629d02b0,0xd75601c9}},	//   _úsái, _txee, jkso, اليت_, 
   {{0xb5fd0f30,0xdced00ca,0x59b71f22,0x78b8052b}},	//   ješe, hvač, _अधिर, bivv, 
   {{0x34853e34,0x2a7f0e0c,0x2001001b,0x22491147}},	//   угог, _hnub_, _nghi_, _acak_, 
   {{0x947500c5,0x6f030068,0xbcfb0175,0x00000000}},	//   ندگا, _énch, _asék, --, 
   {{0x97a43e35,0x200102a3,0xaad31503,0x33f400d3}},	//   _трул, _aghi_, तविक, шчыс, 
   {{0x661b3e36,0x83fc0082,0x29040226,0xd4680296}},	//   mbuk, veđe, _xuma_, رحیم_, 
   {{0x9103054b,0x55ba00a7,0x661b3e37,0x629d3e38}},	//   спре, _אמנו, lbuk, ëror, 
   {{0x2d8f1772,0x3f9e026e,0xb4c11e25,0xf8b200a7}},	//   ägen_, átu_, ्की_, משך_, 
   {{0x661b3e39,0xc2460398,0xa3c00299,0x00000000}},	//   nbuk, _сник, ंपर_, --, 
   {{0x83fc03ef,0x394d006f,0xecea3e3a,0x661b0548}},	// [2fe0] ređe, _nqes_, едал_, ibuk, 
   {{0xf0663e3b,0x29043e3c,0x661b016a,0x2a7f0102}},	//   _скоп, _ruma_, hbuk, _anub_, 
   {{0xeb9702c0,0xddd40035,0x7ceb0761,0x00000000}},	//   лиф_, _łańc, dürd, --, 
   {{0x094a2c25,0x753b00d2,0x7524027e,0x7bdc3e3d}},	//   ечки_, kruz, _çizg, _vyru, 
   {{0x78b804cb,0x5f760116,0x38a2008c,0x753b0ab4}},	//   tivv, _شاگر, _aðra_, jruz, 
   {{0x4b26105a,0x2ee026b6,0x386c3e3e,0x2a6d01cf}},	//   _معرف, llif_, _qadr_, _eaeb_, 
   {{0xd6d03dd7,0x3a243a77,0xc1e1072d,0x00000000}},	//   يقت_, _temp_, _नर्ग, --, 
   {{0xa534275d,0x661b3e3f,0x6b83014e,0x29043e40}},	//   анич, gbuk, ånge, _tuma_, 
   {{0x656d00ef,0x6e260097,0xb4c13e41,0x29040102}},	//   _šahr, _mekb, ्कू_, _uuma_, 
   {{0xd563048a,0xb8820098,0xf4290080,0x44b43e42}},	//   стъп, čísl, viää_, рбос, 
   {{0x2ee015aa,0xe737197b,0x661b3e43,0x00000000}},	//   klif_, _бех_, bbuk, --, 
   {{0x753b0036,0x66e30ab5,0x6e263e44,0x95ca286c}},	//   bruz, _лоха, _nekb, _пула_, 
   {{0x629d05ce,0xc05b02fb,0x753b2d3b,0x66023e45}},	//   rkso, нів_, cruz, _igok, 
   {{0x6fd6047c,0xdced090e,0xf4840e0e,0x00000000}},	//   _मुहू, tvač, _خاصی, --, 
   {{0xb5fd3e46,0x7d063e47,0x660207d7,0x60d50de4}},	//   reše, _auks, _kgok, rozm, 
   {{0x7d063e48,0x8e153e49,0xdced0098,0x93e400a3}},	//   _buks, рдац, rvač, _йўқл, 
   {{0xa3b800a2,0x6e26013c,0xb5fd0352,0x9df909f9}},	// [2ff0] _घेत_, _dekb, peše, тнат_, 
   {{0x7d06024a,0x7522052b,0x00000000,0x00000000}},	//   _duks, _mwoz, --, --, 
   {{0xdce40ab4,0x70fa00d1,0x7ae30474,0x60fa00d1}},	//   zvić, _שהתח, înto, _שהתק, 
   {{0x66023e4a,0x7ceb3e4b,0x19b9012d,0xa3be0466}},	//   _ngok, würd, куль_, _ेशन_, 
   {{0xa9692c6d,0xe9693052,0x7ceb06a2,0x6458070e}},	//   тила_, талл_, türd, _obvi, 
   {{0xe7393e4c,0x7c873e4d,0x3ea9010e,0x660201b8}},	//   век_, _суме, lhat_, _agok, 
   {{0x6e26078a,0x07a53e4e,0x75223e4f,0x7ceb2120}},	//   _yekb, райн, _awoz, rürd, 
   {{0x753b3e50,0x7d0602f1,0x75223e51,0x3ea93e52}},	//   truz, _yuks, _bwoz, nhat_, 
   {{0x661b2546,0x7e6f0465,0x78470019,0x67240ab4}},	//   rbuk, _macp, _مضام, ćija, 
   {{0x753b3e53,0x55c3004e,0x660202ba,0xb4c129b0}},	//   rruz, _қалғ, _egok, ्के_, 
   {{0xe28614ec,0x61e106d0,0x23cf051f,0x75220237}},	//   ални, əlli, _सुखद, _ewoz, 
   {{0x753b090b,0x25b600d4,0x6d5d3e54,0x644a01f2}},	//   pruz, اهید_, _opsa, _ecfi, 
   {{0x6e263e55,0xcad600a7,0x6fdb0a34,0x3ea9270d}},	//   _rekb, שורת_, _मुबं, dhat_, 
   {{0x7d063e56,0x7c2700bc,0x00000000,0x00000000}},	//   _ruks, _nejr, --, --, 
   {{0x7d063e57,0x6d5d05fe,0x8c240086,0xbcfb014b}},	//   _suks, _apsa, _পালন_, _fréz, 
   {{0x44273e58,0xa3ea0081,0x3ea93e59,0x6d5d0bfc}},	//   _hen_, _मरत_, ghat_, _bpsa, 
  
   {{0xcbe2100b,0x44273e5a,0x0d8600cf,0x0c2617b4}},	// [3000] _বলেছ, _ken_, шлан, иман, 
   {{0x4427000d,0x7d060a1a,0xed571cc1,0x4c8302a0}},	//   _jen_, _vuks, роф_, олув, 
   {{0x442700a7,0x6e263e5b,0x80a60274,0x9f4c0080}},	//   _men_, _tekb, _ممکن, ädä_, 
   {{0x44272e19,0x3ea93e5c,0x7d063e5d,0x49a400f0}},	//   _len_, chat_, _tuks, йылғ, 
   {{0x7c27055f,0x6d5d01f1,0x44273e5e,0x7e64095a}},	//   _fejr, _gpsa, _oen_, meip, 
   {{0xb4c13e5f,0x7c270096,0xdca607be,0xddcd020f}},	//   ्को_, _gejr, _таги, leaş, 
   {{0x478600d3,0x6d44020f,0xc87f0216,0xb4c100bc}},	//   рылб, luia, êşan_, ्कै_, 
   {{0x83fc0f30,0x3ea03e60,0x44273e61,0xdc2e0095}},	//   jeđa, nkit_, _aen_, _yığm, 
   {{0xe8fa0f6b,0xc7b80304,0x74c60093,0x6d440474}},	//   _ала_, _međi_, ищож, nuia, 
   {{0x44273e62,0x3ea9010e,0xa3ea00b0,0xed5700d1}},	//   _cen_, zhat_, _मरद_, סביר_, 
   {{0x442708bb,0x7b1301f2,0x7ae20036,0xb5fd00ca}},	//   _den_, _għud, olot, tešc, 
   {{0x44273e63,0x96fa2e10,0x96070cfe,0x6b8108b2}},	//   _een_, _شعار_, _кэша_, _álge, 
   {{0x44273e64,0x7ae20036,0x20d70038,0x75220027}},	//   _fen_, ilot, لتسج, _uwoz, 
   {{0x44270cbf,0x7ae23e65,0x3ea900df,0x00000000}},	//   _gen_, hlot, what_, --, 
   {{0x442c3e66,0xb5fd3e67,0x9f34004e,0x3ea93e68}},	//   mad_, meša, жесі, that_, 
   {{0x44270414,0x93fb0137,0x7c273e69,0x442c0da3}},	//   _zen_, _בלוי, _sejr, lad_, 
   {{0x44273e6a,0xbc071988,0xfd7400b3,0x00000000}},	// [3010] _yen_, ачей, олтэ, --, 
   {{0x442c0be0,0x3ea93e6b,0x3ea007fc,0x7cf00380}},	//   nad_, shat_, akit_, härf, 
   {{0x7c27055f,0x64480c3d,0x3b550a31,0x25ad3e6c}},	//   _vejr, igdi, скер, zzel_, 
   {{0x442c322f,0xdd91006b,0x3ea03e6d,0x7ae23e6e}},	//   had_, _فوج_, ckit_, glot, 
   {{0x8d873e6f,0x777a0a9f,0x6d4400b3,0x6d5d3e70}},	//   _тунд, _artx, cuia, _upsa, 
   {{0x442c05d2,0x6e2d3e71,0xb5fd0f30,0x81e90086}},	//   jad_, laab, ješa, _বলা_, 
   {{0x442c3e72,0xb5fd003a,0xf773009c,0xccf200d1}},	//   dad_, deša, تاش_, _מכך_, 
   {{0x44273e73,0x6e2d0298,0xead414d3,0x25ad3e74}},	//   _sen_, naab, _дось, tzel_, 
   {{0xddc611c8,0x442c3e75,0xf84b00b3,0x777a00b4}},	//   _kakš, fad_, _ачей_, _ertx, 
   {{0x442c3e76,0x3eb90065,0x6e2d3e77,0x4427024a}},	//   gad_, _lmst_, haab, _qen_, 
   {{0xe29a3e78,0x4dde0351,0xc62600cc,0x6e2d3e79}},	//   ган_, _कुनै_, _যারা_, kaab, 
   {{0x44273e7a,0x6e2d052b,0x656b0226,0x644812b6}},	//   _wen_, jaab, _tsgh, agdi, 
   {{0x83fc07c7,0x6e2d3e7b,0xc7b80082,0x442700d1}},	//   ređa, daab, _ređi_, _ten_, 
   {{0x442c3e7c,0x76493bf1,0xb5fd04cb,0x7cf000b0}},	//   cad_, lgey, ceša, märg, 
   {{0x65693e7d,0x628f00b9,0x8fa33d87,0x00000000}},	//   lweh, bjco, паре, --, 
   {{0x76493e7e,0x539a042c,0x6e2d3e7f,0xb2263e80}},	//   ngey, _תיקו, gaab, _умил, 
   {{0x395f006d,0x3ea03e81,0x7e643e82,0x628400e1}},	// [3020] _npus_, rkit_, reip, _inio, 
   {{0x6296005f,0x3ea03e83,0x6d442051,0x3eb9039b}},	//   _hoyo, skit_, ruia, _emst_, 
   {{0x6e2d3e7b,0x395f3e84,0x2d8f055f,0x6296009c}},	//   baab, _apus_, øger_, _koyo, 
   {{0x442c0571,0x6b830219,0xc5f20033,0xdc67035b}},	//   zad_, ånga, ছুটা_, _қасд_, 
   {{0x442c3e85,0x6d442147,0x62963e86,0xb95602a6}},	//   yad_, quia, _moyo, стећ, 
   {{0x7ae23e87,0x28f83e88,0x62963e89,0x3cd502f1}},	//   slot, шель_, _loyo, _дўст, 
   {{0x442c3e8a,0x7ae23e8b,0xd6da01ba,0xb5fd0243}},	//   vad_, plot, лти_, veša, 
   {{0x442c3e8c,0xe6661619,0x7cf00219,0xdca601a2}},	//   wad_, стко, färg, _таҳи, 
   {{0x442c3e8d,0xb5fd02fe,0x4ab900b3,0xb21b1341}},	//   tad_, teša, _туря_, kjær, 
   {{0x3f7800ca,0x62843e8e,0x6aa217dc,0x442c3e8f}},	//   _oču_, _anio, lkof, uad_, 
   {{0x442c3e90,0x6e2d0539,0xdbe6031e,0x38ab00fb}},	//   rad_, yaab, _करोड_, _sørg_, 
   {{0x442c3e91,0xb5fd0304,0xd6272831,0x7cf003c5}},	//   sad_, mešn, _гоце_, lärd, 
   {{0xb5fd3e92,0x629604c6,0x39463e93,0x914b0009}},	//   peša, _doyo, nuos_, ычна_, 
   {{0x6e2d0547,0x224d3e94,0x442c3e95,0x24f600b3}},	//   waab, żek_, qad_, _учер, 
   {{0xdbf1031e,0x6e2d3e96,0xe45700c7,0xa2953e97}},	//   _přím, taab, _ליגט_, _макі, 
   {{0x629612e6,0x62840465,0x7cf003d8,0xf1a73579}},	//   _goyo, _gnio, härd, _грон, 
   {{0x6e2d0539,0x38ab03a9,0xd83802fe,0x998d0112}},	// [3030] raab, _høre_, _elči_, _odeš_, 
   {{0x394621dc,0x6e2d0539,0x38ab01cc,0xa3cc00ab}},	//   duos_, saab, _køre_, _रखा_, 
   {{0x395f002e,0xb5fd0f30,0x62960010,0xce950141}},	//   _spus_, ješn, _yoyo, _данъ, 
   {{0xbcfb0574,0x38ab00dd,0xdb08010e,0xaa5910b5}},	//   _asét, _møre_, álás, риду_, 
   {{0xc7b803ef,0xddc602ee,0x39463e98,0x2bd90262}},	//   _među_, _takš, guos_, _बुरा, 
   {{0x7cf0014e,0x61ed0053,0x88c8004f,0x58d40b49}},	//   gärd, _mzal, блів_, почт, 
   {{0x7c3a023a,0x00000000,0x00000000,0x00000000}},	//   _ôtra, --, --, --, 
   {{0x61ed0237,0x66f20170,0x6aa23e99,0x06093e9a}},	//   _ozal, мпју, ckof, шник_, 
   {{0x1a6800d6,0x76493e9b,0x5fdb35ff,0xf99300eb}},	//   _دینی_, rgey, _मुसल, _عبر_, 
   {{0x65693e9c,0xb5fd0082,0x62963e9d,0xd8380144}},	//   rweh, bešn, _soyo, _gdč_, 
   {{0x61ed3e9e,0x62662e07,0x97a73e9f,0x65690502}},	//   _azal, овна, _урал, sweh, 
   {{0x38ab02c9,0x26dd0610,0x00000000,0x00000000}},	//   _døre_, _ukwo_, --, --, 
   {{0x7cf00fd4,0x62961904,0x6abb01b8,0x00000000}},	//   läre, _voyo, _mmuf, --, 
   {{0x2ee20527,0x03a53ea0,0x5fdb0b79,0x628400ab}},	//   पत्त, _мило, _मुहल, _wnio, 
   {{0x38ab0022,0x7cf0074b,0x61ed3ea1,0x1e963ea2}},	//   _gøre_, näre, _ezal, орар, 
   {{0xb5fd3ea3,0x6f1c02fe,0x62843ea4,0x00000000}},	//   nešo, rprc, _unio, --, 
   {{0xe1ff0634,0x85f600c7,0x7cf002eb,0x216a3ea5}},	// [3040] león_, ַמעס_, häre, _типи_, 
   {{0x6aa90180,0x61e4027e,0x6abb3ea6,0x5f2a03a1}},	//   _alef, _iyil, _amuf, _коом_, 
   {{0xbcfb3ea7,0x7cf03ea8,0x8b6a3ea9,0x643a00c7}},	//   _spéc, värd, риев_, שעענ, 
   {{0x6aa93eaa,0xb5fd008b,0x61e402a5,0x39463eab}},	//   _clef, ješo, _kyil, tuos_, 
   {{0xe8fa0978,0x7ceb0248,0x00000000,0x00000000}},	//   алд_, süra, --, --, 
   {{0x98a30ec4,0x7cf0014e,0x2a660e34,0x2d54007e}},	//   миче, färe, seob_, mäe_, 
   {{0xf09307f5,0xfaa62898,0xb86500eb,0x59a8031e}},	//   ונג_, _даво, ثانو, कनहर, 
   {{0x60dc3eac,0x96343ead,0xb5fd3eae,0xd94601a2}},	//   horm, чниц, rešn, _меби, 
   {{0x61e43eaf,0x6d563eb0,0x60dc010e,0x39460106}},	//   _nyil, ntya, korm, quos_, 
   {{0xb5fd1384,0x59c0072f,0x5fbc0e49,0x81e90086}},	//   pešn, _शेयर, ोपाल, _বলল_, 
   {{0x61ed2197,0x60dc3eb1,0x00000000,0x00000000}},	//   _szal, dorm, --, --, 
   {{0x2bbd0a09,0xddcd00b3,0x61e40027,0x00000000}},	//   ्पता, ndaţ, _byil, --, 
   {{0x672d0112,0x61e40610,0x00000000,0x00000000}},	//   ćaje, _cyil, --, --, 
   {{0x6ab7055d,0x61ed014b,0xd83803a0,0x0458007a}},	//   _आग्र, _vzal, _elčv_, _طلبة_, 
   {{0x09b708dd,0xb4e600a2,0x78800228,0xcebb0267}},	//   _अध्य, पती_, _závä, аља_, 
   {{0xf2c4005e,0x9d153eb2,0x645a04f4,0x00000000}},	//   _осын, здач, lfti, --, 
   {{0x61ed3eb3,0x6d56011d,0x5fdb0154,0x61e4010e}},	// [3050] _uzal, gtya, _मुरल, _gyil, 
   {{0x645a3eb4,0x6aa93eb5,0x21290096,0xb5fd02d9}},	//   nfti, _slef, _iwah_, dešl, 
   {{0x0a6b0c16,0xd7df00a2,0x7cf00502,0x6d56052b}},	//   ирди_, _पुढच, färb, atya, 
   {{0x9fbf0098,0x00000000,0x00000000,0x00000000}},	//   nčím_, --, --, --, 
   {{0xa92400dd,0x0dc803b7,0xbddb011c,0x6728007b}},	//   дділ, _дури_, _ecèr, _awdj, 
   {{0x279518f0,0x645a01c8,0x7cf03eb6,0x21293eb7}},	//   зшир, jfti, täre, _mwah_, 
   {{0x6562012b,0x248900e7,0x386701e8,0xb6a53eb8}},	//   _apoh, _đam_, renr_, зийл, 
   {{0x32090029,0x6abb02b8,0x9fbf0032,0x645a3eb9}},	//   _ngay_, _umuf, jčím_, efti, 
   {{0x60dc027e,0x645a00f8,0xb5fd0098,0x7cf03eba}},	//   yorm, ffti, rešo, säre, 
   {{0x32090495,0x00000000,0x00000000,0x00000000}},	//   _agay_, --, --, --, 
   {{0x61e40348,0x60dc2492,0x65620571,0x3a2d00a7}},	//   _syil, vorm, _epoh, _keep_, 
   {{0x216a0093,0x29053ebb,0x60dc3ebc,0x3a2d015c}},	//   бими_, _hila_, worm, _jeep_, 
   {{0x29052083,0xb7bc002a,0xd175013e,0x765b0027}},	//   _kila_, _reģi, мыры, mfuy, 
   {{0x32090102,0x2d5400b0,0x2905018e,0x657b016c}},	//   _egay_, väe_, _jila_, mvuh, 
   {{0x29053ebd,0xd00f1ea7,0x6b830219,0x212900d7}},	//   _mila_, الف_, ångl, _ewah_, 
   {{0x290511e9,0x52760a27,0x60dc3217,0x539a00d1}},	//   _lila_, _хуку, sorm, _ליצו, 
   {{0x60dc1e8f,0xa11300eb,0x290502f1,0xdb0d0032}},	// [3060] porm, _كويت, _oila_, ľkým, 
   {{0x290537c5,0xb17b035c,0xf8a50a24,0x6d563ebe}},	//   _nila_, _פטיר, _شک_, rtya, 
   {{0x309b00a7,0x6d560218,0xda0a0038,0xeaaf010e}},	//   _השימ, stya, مياه_, گٹن_, 
   {{0xf1e10394,0x7ceb2a53,0x3a2d01f2,0xed5a3ebf}},	//   _गुड़_, büro, _ceep_, _лом_, 
   {{0xbefa000f,0x6e240547,0x3a2d3ec0,0xade30f7a}},	//   ्दीन_, mbib, _deep_, _कुपन_, 
   {{0x290501ee,0x6e24004f,0xa3cc00b0,0x7ceb0213}},	//   _cila_, lbib, _रखल_, nürl, 
   {{0x29053ec1,0x38cb11b7,0x7c2e01dd,0x00000000}},	//   _dila_, حانی_, _iebr, --, 
   {{0x6e2402a5,0x6d440fae,0x7c2e3ec2,0x7ceb04d6}},	//   nbib, oria, _hebr, hürl, 
   {{0x2905076b,0xd9433ec3,0x7c2e1b6b,0x9c830352}},	//   _fila_, _пети, _kebr, ščet, 
   {{0x2905005c,0x6d443ec4,0x3a2d02b0,0x691c027e}},	//   _gila_, iria, _zeep_, rçeğ, 
   {{0x6d443ec5,0x7ceb027e,0x672d0082,0x645a3ec6}},	//   hria, dürl, ćajc, rfti, 
   {{0x29053ec7,0xa3bd0035,0x6d443ec8,0x21290574}},	//   _zila_, _इधर_, kria, _pwah_, 
   {{0x867b00a7,0xc50a00eb,0x518702a6,0x27e0020f}},	//   _לראו, _اتصل_, чуна, şind_, 
   {{0x200c2fab,0x6d443ec9,0xbcfb033c,0x7ceb027e}},	//   ždin_, dria, _apén, gürl, 
   {{0x71270a24,0x443c01d8,0x442e008a,0x6d443eca}},	//   _کربل, _idv_, _ief_, eria, 
   {{0xdce400f1,0x442e010d,0x6e240268,0x21293ecb}},	//   dviđ, _hef_, gbib, _twah_, 
   {{0x1df8058b,0x7c2e3ecc,0x5c9913f2,0x6d443ecd}},	// [3070] зеты_, _bebr, окая_, gria, 
   {{0x7c2e3ece,0xd0110411,0x3a2d3ecf,0x7eaa014b}},	//   _cebr, _جلد_, _seep_, _výpa, 
   {{0xdced08b1,0x7c2e3ed0,0x3a2d3ed1,0x6e2401a3}},	//   hvać, _debr, _peep_, bbib, 
   {{0x29053ed2,0x3f5700ad,0x442e3ed3,0x00000000}},	//   _sila_, mçu_, _lef_, --, 
   {{0x29050bc1,0x6d4402aa,0x3f5700ad,0x6e3d040b}},	//   _pila_, cria, lçu_, _idsb, 
   {{0x7c2e3ed4,0x26f72c64,0x442e3ed5,0x2ee93ed6}},	//   _gebr, ुद्र_, _nef_, llaf_, 
   {{0xb8f50dc4,0x3f573ed7,0x6b8302c9,0xf77115ce}},	//   _हद_, nçu_, ængd, ئات_, 
   {{0x443c1ad2,0xaa580886,0x7c2e3ed8,0x7c250038}},	//   _adv_, _нису_, _zebr, lbhr, 
   {{0x29053ed9,0xa91d00d2,0x442e3eda,0x7cf0183f}},	//   _tila_, _brže, _bef_, lära, 
   {{0x6e240a1a,0x443c2839,0xb5fd234d,0x2ee90380}},	//   zbib, _cdv_, lešk, hlaf_, 
   {{0x62030264,0x443c02ee,0x765b0199,0xa91d21de}},	//   ətlə, _ddv_, pfuy, _drže, 
   {{0x7d070b32,0x7c250ae7,0x7ceb04be,0x6d443edb}},	//   _lijs, hbhr, dürm, yria, 
   {{0x7ceb39d0,0x27e001f0,0x7cf01cc9,0x7d1d0379}},	//   türl, ğine_, hära, _ntss, 
   {{0x1dd8000f,0x442e15bc,0x7d07039b,0x27e02f5e}},	//   _भुगत, _gef_, _nijs, şine_, 
   {{0x7c2e3edc,0xdee63edd,0x91030170,0xd0073ede}},	//   _rebr, дови, тпре, дере_, 
   {{0xb5fd0e67,0x26cd0183,0x7d0f2950,0xdde200ca}},	//   ješk, nneo_, _bucs, đužu, 
   {{0xed573edf,0x7c2e3ee0,0x7d07012e,0xd00f0019}},	// [3080] мот_, _pebr, _bijs, الہ_, 
   {{0x6f062440,0x442e03dd,0x10a6002e,0x6d443ee1}},	//   _wikc, _xef_, _цион, rria, 
   {{0xddcd3ee2,0xbddb023e,0x7cf00219,0x7d073ee3}},	//   rdaš, _adèd, gära, _dijs, 
   {{0x7d0f3ee4,0x6d443ee5,0xada600a3,0x20180036}},	//   _fucs, pria, _жамл, lcri_, 
   {{0x26cd0bad,0x7c2e3ee6,0x2d8f02ae,0xd8380604}},	//   dneo_, _tebr, äget_, _loče_, 
   {{0xfbd90838,0xab2a0141,0x7d07064e,0x44250604}},	//   _बुकम, _мога_, _gijs, jbl_, 
   {{0xfc033ee7,0x443c0107,0xd8380352,0x8c430267}},	//   _апро, _rdv_, _noče_, _јесе, 
   {{0x442e3ee8,0x6b8301cc,0xb5a61628,0x20070032}},	//   _sef_, ænge, дрой, _únie_, 
   {{0x443c08b1,0xa91d0112,0x672d07c7,0xae0102e6}},	//   _pdv_, _prže, ćaja, लेपन_, 
   {{0x83fc090e,0xdced00ca,0x442e0034,0x75243ee9}},	//   leđi, rvać, _qef_, _çizm, 
   {{0x7eb100dd,0x442e3eea,0xf7720038,0xa91d3eeb}},	//   _håpe, _vef_, _جاء_, _vrže, 
   {{0xe5c63eec,0xa50a1a63,0x38ab01e8,0x36360535}},	//   _осло, _деда_, _jørn_, _آراس, 
   {{0xa3080105,0x26c43eed,0xa91d0352,0xbefa031e}},	//   _کرتے_, mimo_, _trže, ्दैन_, 
   {{0x26c43eee,0x39461454,0xd8381f17,0x7ceb3eef}},	//   limo_, iros_, _foče_, türm, 
   {{0x7d07012e,0x4fc43ef0,0x2d82039b,0x00000000}},	//   _rijs, вста, _arke_, --, 
   {{0x26c43ef1,0x2d8200ef,0x83fc0eae,0x816b088a}},	//   nimo_, _brke_, jeđi, _дроб_, 
   {{0x2fdf00ab,0xb5fd008b,0x2d580fac,0xf1a7004f}},	// [3090] ług_, vešk, мить_, _ірин, 
   {{0x3f81026e,0x26c42ce4,0x26cd3ef2,0xebc70bad}},	//   _trhu_, himo_, zneo_, мљен, 
   {{0x38ab0022,0x26c4012d,0x39463ef3,0x92c30086}},	//   _børn_, kimo_, eros_, ্তী_, 
   {{0x26c400e4,0x2d8200d2,0x7d0701c8,0xdd951193}},	//   jimo_, _frke_, _wijs, _замы, 
   {{0x26c43ef4,0x39463ef5,0x2d82015e,0xe1ff0019}},	//   dimo_, gros_, _grke_, deók_, 
   {{0x7cf03ef6,0x7b670839,0x99d400d4,0xa3c0258c}},	//   pära, _отбе, ختما, ूपा_, 
   {{0xc87806a2,0x83fc0097,0x6d4d3ef7,0xb5fd3ef8}},	//   _dağ_, beđi, luaa, pešk, 
   {{0x3946128a,0x3ea93ef9,0xb5fd3efa,0x26c40009}},	//   bros_, nkat_, leši, gimo_, 
   {{0x26cd3efb,0x3a3f0ab1,0x2f1505a1,0xf50525ec}},	//   rneo_, _idup_, _låg_, нзио, 
   {{0xb5fd05fe,0x03253efc,0x26cd0bad,0x3a3f02cd}},	//   neši, ндон, sneo_, _hdup_, 
   {{0x3ea93efd,0xc2c600eb,0x26c43efe,0x4425084c}},	//   kkat_, فيدي, bimo_, rbl_, 
   {{0x7cf0022b,0x6d4d3eff,0xc5d503bd,0xa25b023a}},	//   järn, kuaa, _піль, siôn, 
   {{0xd00a004e,0xb5fd3f00,0x7e6d00b3,0xc878008f}},	//   зеге_, keši, deap, _yağ_, 
   {{0xb5fd0f30,0x0ef83263,0x6d4d3f01,0xd8380604}},	//   ješi, ंग्स_, duaa, _toče_, 
   {{0xb4bd02f8,0x7ea30077,0x645c03a1,0xb4cb00a2}},	//   ीची_, _lõpu, òrie, रची_, 
   {{0x3ea93f02,0x7eaa026e,0xf1bf397a,0x2018107c}},	//   gkat_, _výpo, mbán_, scri_, 
   {{0x291f023b,0xf1bf001d,0x00000000,0x00000000}},	// [30a0] _ntua_, lbán_, --, --, 
   {{0x26c4090e,0x39460170,0x2120008a,0x201a02be}},	//   zimo_, vros_, _itih_, _ufpi_, 
   {{0x291f3f03,0x23670065,0x2d8f1774,0x205700d1}},	//   _atua_, _jpnj_, äger_, _אייל_, 
   {{0x39461408,0x26c40b85,0x3ea93f04,0xc87807fa}},	//   tros_, ximo_, ckat_, _sağ_, 
   {{0x26c43f05,0x83fc04d1,0xada33f06,0xf5390187}},	//   vimo_, ređi, _баял, jsť_, 
   {{0x39460d34,0x672d1861,0x200703a1,0x6e36011d}},	//   rros_, ćajn, _únic_, layb, 
   {{0xcb673f07,0x2d803f08,0xf5390032,0x7d090036}},	//   _паре_, lvie_, esť_, _èesa, 
   {{0x6e36137f,0x224001e5,0x2d800036,0x21200096}},	//   nayb, _ndik_, ovie_, _otih_, 
   {{0x26c43f09,0x7ae23d00,0x2d803227,0xceb300d1}},	//   rimo_, moot, nvie_, טיה_, 
   {{0x22400db6,0x7ae23f0a,0xed5700d1,0x6e360508}},	//   _adik_, loot, עביר_, hayb, 
   {{0x26c417d5,0xd6cf011f,0x2120002c,0x1cb700d1}},	//   pimo_, _бт_, _atih_, גליל_, 
   {{0x7ae23f0b,0x7ceb0213,0x3ea901cf,0x00000000}},	//   noot, türk, xkat_, --, 
   {{0x64a63f0c,0x24582cd7,0x2f1505a1,0x7eaa014b}},	//   _пада, _жаль_, _såg_, _výpl, 
   {{0x2ed90598,0x2bd92191,0x92c30086,0x0cc40033}},	//   भक्त, _बुझा, ্তে_, ্তুত, 
   {{0x7e6d00d9,0x30a40093,0x7ae23f0d,0xdfd4012d}},	//   teap, уряв, koot, горы, 
   {{0x6d4d06a6,0x2f152be3,0x00000000,0x00000000}},	//   tuaa, _våg_, --, --, 
   {{0x628d0010,0xdce400ab,0xb5fd3f0e,0xfd130198}},	// [30b0] _inao, zwią, teši, اجر_, 
   {{0x3ea93f0f,0x2f150219,0x6d4d033e,0x6c5400d3}},	//   skat_, _tåg_, ruaa, лкуу, 
   {{0x6e363f10,0xb5fd0b21,0x6d4d033d,0x3b5526ef}},	//   bayb, reši, suaa, ткер, 
   {{0x7ae2052b,0x3ea90034,0x9f9607e4,0x60c701d2}},	//   goot, qkat_, _סדרה_, lijm, 
   {{0x629f084c,0x628d3f11,0x6d4d01d2,0xa3de02d9}},	//   _moqo, _mnao, quaa, _věří_, 
   {{0xf77103b1,0xf7451ed7,0xa9a202f1,0xa25b02be}},	//   لاب_, веко, ришд, diôm, 
   {{0x628d0054,0x377526ef,0xd7fb385b,0x00000000}},	//   _onao, тылс, чуд_, --, 
   {{0x629f3f12,0x7cf003c5,0x7ae23f13,0x068500a3}},	//   _noqo, härl, coot, тгин, 
   {{0x7cf00844,0x00000000,0x00000000,0x00000000}},	//   kärl, --, --, --, 
   {{0xb4bd2de0,0x628d3f14,0x27e000b3,0xb4cb009a}},	//   ीचे_, _anao, şina_, रचे_, 
   {{0x629f2328,0x21200571,0x68e33f15,0x394f20f8}},	//   _boqo, _stih_, mond, lugs_, 
   {{0x68e33f16,0x83fc0eae,0x9f5e020b,0x00000000}},	//   lond, jeđu, ätí_, --, 
   {{0x645c03a1,0x6a3a00d1,0x7cf002ae,0x00000000}},	//   òric, וגרפ, färl, --, 
   {{0x64a23f17,0x68e33f18,0x7cf003c5,0x628d3817}},	//   _ваша, nond, gärl, _enao, 
   {{0xafe60934,0x7ae228e5,0x20cd02fe,0x629f0226}},	//   товл, yoot, džid_, _foqo, 
   {{0x661b3f19,0x68e33f1a,0xfe433f1b,0x7c290304}},	//   ncuk, hond, инсо, _đera, 
   {{0x68e33f1c,0xec7a0fcc,0x21200065,0x753b3f1d}},	// [30c0] kond, мпа_, _utih_, nsuz, 
   {{0x31370056,0xa3d5190a,0x2d803f1e,0x21370070}},	//   _שנים_, _सखा_, rvie_, _שטיל_, 
   {{0xfe463f1f,0x7ae23f20,0x83fc0df4,0xda7a00fd}},	//   _инно, toot, beđu, дял_, 
   {{0x0a670170,0xbb431d02,0x2007020b,0x49ca30c5}},	//   врши_, рецк, _únia_, млен_, 
   {{0x90cb01f1,0x7ae23f21,0x38653f22,0x2912009e}},	//   _vvрv, root, _bblr_, êya_, 
   {{0x68e33f23,0x91bb00a7,0x48d00086,0x7524027e}},	//   gond, ומני, িত্র, _çizi, 
   {{0xb8ea0a09,0x2a7d006d,0x7ae23f24,0x98a302a6}},	//   _लग_, bdwb_, poot, рије, 
   {{0xfaa33f25,0x7d1b0042,0x38b000a1,0xcb67049b}},	//   _касо, _éusc, _dàra_, _шасе_, 
   {{0xa91d3f26,0x09063f27,0xfaa33f28,0x628d00a1}},	//   _trža, _апан, _тато, _rnao, 
   {{0xe8f7005e,0x68e30e95,0xd8382f0a,0x7cf00219}},	//   _алу_, cond, _foča_, kärm, 
   {{0x7cf0014e,0x92590158,0x62353f29,0xbcfb002c}},	//   värl, нант_, лену, _spék, 
   {{0xa91d02f5,0x66e3004f,0xf8d20249,0x629f3f2a}},	//   _mržn, _коха, _तदुप, _qoqo, 
   {{0x61f600ab,0xc6490038,0xc05b004f,0xe5722c4e}},	//   _czyl, _أجمل_, мів_, _خطا_, 
   {{0x290c06df,0x7522016c,0x628d018e,0x00000000}},	//   _jida_, _itoz, _wnao, --, 
   {{0x290c3f2b,0xb4de0081,0xcfa43f2c,0x40343f2d}},	//   _mida_, थकी_, ашти, ресс, 
   {{0x68e33f2e,0x628d086d,0x290c3f2f,0x32551a9e}},	//   zond, _unao, _lida_, _свир, 
   {{0x83fc0062,0x68e33f30,0x00000000,0x00000000}},	// [30d0] ređu, yond, --, --, 
   {{0x6adb2290,0xb5fd02a6,0x61ed02cd,0x4fc71eae}},	//   यक्र, mešt, _iyal, _асма, 
   {{0x68e33f31,0xddc4012d,0x76420054,0x00000000}},	//   vond, reiš, _odoy, --, 
   {{0x7b643931,0x68e33f32,0x6e951fc5,0x61ed0298}},	//   ртфе, wond, _симу, _kyal, 
   {{0x68e33f33,0x290c3f34,0xb5fd1104,0x4a44004f}},	//   tond, _bida_, nešt, рнів, 
   {{0x290c02be,0x61ed2460,0x6d5d00c3,0x394f02c5}},	//   _cida_, _myal, _iqsa, rugs_, 
   {{0xf0940111,0xdce400ab,0x57a402a6,0x75223f35}},	//   ינס_, jwię, ишћа, _atoz, 
   {{0x68e33f36,0x7cf01066,0xf77000d4,0xe5793f37}},	//   sond, järj, تاه_, ези_, 
   {{0x68e33f38,0xb5fd02a8,0x61ed3f39,0xa3b50c8f}},	//   pond, ješt, _nyal, चैन_, 
   {{0x290c01f1,0x68e33e06,0x38ab01e8,0x2d840a1a}},	//   _gida_, qond, _mørk_, _šmek_, 
   {{0x7afb3f3a,0x7e7d00b3,0x7ae9011c,0x7c351240}},	//   _khut, _oasp, _kket, _mezr, 
   {{0x7e7d3f3b,0xe29a3f3c,0x290c3f3d,0x7cf00219}},	//   _nasp, хам_, _zida_, värm, 
   {{0x20cd0bfc,0x78a13f3e,0xfdbe0033,0x7e660054}},	//   džib_, _kolv, _আড্ড, _rbkp, 
   {{0xdddd00ab,0x438500eb,0x61ed0300,0x7ae90226}},	//   _obsł, _ملتق, _dyal, _lket, 
   {{0x61ed0298,0x2b180d4f,0x7afb14b9,0x6d5d00a4}},	//   _eyal, _बंधु_, _ohut, _aqsa, 
   {{0x7e7d3f3f,0x7ea3007e,0x7ae90415,0x00000000}},	//   _casp, _sõpr, _nket, --, 
   {{0x61ed19ea,0x0d862803,0x7e7d3f40,0x7c353f41}},	// [30e0] _gyal, ылан, _dasp, _bezr, 
   {{0x7cf03f42,0xddc6063b,0xa91d0df4,0x64580183}},	//   märk, _takž, _pržn, _xcvi, 
   {{0x290c3f43,0xa91d00ca,0x8fa61fcd,0x5f7620b4}},	//   _rida_, _bržo, _сане, _صادر, 
   {{0xe9da34c0,0x290c3f44,0x7afb3f45,0xbae502fb}},	//   нке_, _sida_, _chut, ацій, 
   {{0x290c00e9,0x5a33004f,0x9e630504,0x19940009}},	//   _pida_, сніт, _увяд, раля, 
   {{0xa91d06e0,0x7ae90364,0x7d1b019c,0x7afb00b4}},	//   _tržn, _eket, _éusa, _ehut, 
   {{0x69dc00ab,0x65790065,0xf6e62831,0x3b0d008a}},	//   _śred, _aswh, лцин, _fieq_, 
   {{0xd6d73f46,0x7afb161c,0x7d0e00a3,0xd7c3009a}},	//   лты_, _ghut, _hibs, _वेळच, 
   {{0x45d40aa3,0xbcfb00eb,0x290c00fc,0x7bd9020f}},	//   ропс, _spéi, _tida_, ăbuţ, 
   {{0xb5fd02a6,0x63a803a9,0x78a13f47,0x7ea3007e}},	//   vešt, tydn, _golv, _lõpp, 
   {{0x61ed02cd,0x7d0e0118,0xf4830259,0x00000000}},	//   _syal, _mibs, суын, --, 
   {{0x7d0e00a4,0x387e01a7,0x63a814a9,0x64430604}},	//   _libs, _hatr_, rydn, _edni, 
   {{0xf486012d,0x63a80102,0x7d0e01be,0x75223a80}},	//   _буйн, sydn, _oibs, _utoz, 
   {{0x26c6006f,0xb5fd3f48,0x61ed29a0,0x7e7d01dd}},	//   _hmoo_, rešt, _vyal, _sasp, 
   {{0xa3cb0035,0x3ea202b0,0x387e0818,0x7e643f49}},	//   _रेप_, _bokt_, _matr_, ffip, 
   {{0x4ea43f4a,0x7d0e00a1,0x9f5e020b,0x00000000}},	//   бруа, _aibs, ätá_, --, 
   {{0x7e7d1810,0xdd943f4b,0x61ed01ff,0x8d770296}},	// [30f0] _vasp, баты, _uyal, دازا, 
   {{0x7e7d053b,0x80d30086,0x27e000bc,0x7d0e03c6}},	//   _wasp, _দীর্, řiny_, _cibs, 
   {{0x7f9501a2,0x7afb3f4c,0x5f952b11,0x672d0f23}},	//   _танх, _phut, _тинт, ćajk, 
   {{0x78a13f4d,0x8f9a00fe,0xa3c300bc,0xfc45010e}},	//   _solv, _סירי, náší_, _چھاپ, 
   {{0x6e2d3f4e,0x78a13f4f,0x7bdc0065,0x3cea0144}},	//   mbab, _polv, _exru, _fkbv_, 
   {{0x07a5048a,0x6e2d2d38,0x6b83014e,0x64de00a2}},	//   иалн, lbab, ångs, नकोश, 
   {{0x78a13f50,0x7afb0194,0x64470369,0x6d4d19b3}},	//   _volv, _thut, ójim, lraa, 
   {{0xd83800ef,0x6f0f01f2,0x69db00b4,0x7afb3f51}},	//   _fočo_, _jicc, _txue, _uhut, 
   {{0x6f0f28c9,0x2919010c,0x6d4d3f52,0x69db00b4}},	//   _micc, _îsa_, nraa, _uxue, 
   {{0x7eaa026e,0x99d40eea,0x2a7f023b,0x33650bf8}},	//   _výpi, _اتفا, _haub_, авог, 
   {{0xf7990411,0x2a7f0201,0x6d4d3f53,0x33d500f0}},	//   _جناب_, _kaub_, hraa, ріпт, 
   {{0x6f0f3f54,0x6d4d3f55,0x7cf034f2,0x65790226}},	//   _nicc, kraa, tärk, _tswh, 
   {{0x27e9009e,0x2a7f0201,0x6e2d0b3c,0x7ceb0585}},	//   şand_, _maub_, dbab, nürs, 
   {{0x6d4d3f56,0x2a7f023b,0x75290c7c,0xacbb009e}},	//   draa, _laub_, mpez, _stûn, 
   {{0x6f0f3f57,0x2d8f27fd,0x8fa300d9,0x7cf025c3}},	//   _bicc, ågen_, оаре, särk, 
   {{0xddc6006a,0x6e2d0268,0x6f0f00fd,0xa18a00b3}},	//   _takż, gbab, _cicc, _абиа_, 
   {{0x6f0f3f58,0x6d4d3f59,0x395f023b,0xccc603a1}},	// [3100] _dicc, graa, _nqus_, абай, 
   {{0x8c463f5a,0x7eb100fc,0x6e2d052b,0x00000000}},	//   реже, _håpl, abab, --, 
   {{0x7989011c,0x6f0f3f5b,0x6e2d3f5c,0x6d4d3f5d}},	//   _arew, _ficc, bbab, araa, 
   {{0x2a7f0201,0x6d4d3f5e,0x79a609d9,0x8b23004f}},	//   _caub_, braa, ирле, ідче, 
   {{0x39403f5f,0x6f043f60,0x79893f61,0x2a7f012b}},	//   éis_, mmic, _crew, _daub_, 
   {{0x6f0401fd,0x798900ab,0x4a7500f0,0x7cf000c8}},	//   lmic, _drew, _қыст, käri, 
   {{0xd6da11ab,0xbb433f62,0xd90d06bc,0x7989040b}},	//   кти_, _мерк, ریم_, _erew, 
   {{0xb4de017d,0x6f0401fd,0x3869044e,0x2f1c0019}},	//   थक्_, nmic, đara_, _míg_, 
   {{0xbddb023e,0x79890090,0xd8380604,0x6f043f63}},	//   _ndèl, _grew, _hočm_, imic, 
   {{0xd4063f64,0x2a7f01a0,0x1beb00b0,0x45d400a3}},	//   ияни, _zaub_, _जुडल_, _қолс, 
   {{0x6f0402f5,0xdddd00e0,0x7eb80165,0x6e2d39ee}},	//   kmic, _pasū, _zípe, ybab, 
   {{0xf2c73f65,0x20cd012d,0x6f040571,0x2a7f006d}},	//   рсон, džia_, jmic, _xaub_, 
   {{0x6f0403f5,0x6f0f0141,0x442c016a,0x914b00fd}},	//   dmic, _ricc, pbd_, ъчна_, 
   {{0x3d1a0f63,0x6d4d0265,0x104802f1,0x6f0f00fd}},	//   _बढ़े_, vraa, ияси_, _sicc, 
   {{0x6f0f048a,0xd8381462,0x04040086,0x13a9009c}},	//   _picc, _meč_, _শ্রী_, _منوی_, 
   {{0x5eb42595,0x6d4d3f66,0x6f040ab4,0xd8382c87}},	//   ойст, traa, gmic, _leč_, 
   {{0x6e2d0938,0x2a7f3f67,0x672d090e,0x6f0f3f68}},	// [3110] rbab, _raub_, ćaji, _vicc, 
   {{0x6d4d3f69,0xac272651,0x2a7f006f,0xfbab3f6a}},	//   rraa, рфак, _saub_, ктей_, 
   {{0x2a7f0e0c,0x6d4d2ff7,0xfb890259,0x200701be}},	//   _paub_, sraa, ырақ_, _àni_, 
   {{0x6e9519c7,0x6d4d01a9,0x38b9026a,0x2a7f023b}},	//   _الحا, praa, _mère_, _qaub_, 
   {{0xdced090b,0xd838034c,0xf1bf1f6b,0xda78060a}},	//   svađ, _beč_, nzá_, рях_, 
   {{0x2d8b0082,0x7ceb06a2,0xe73900d3,0x08c4128b}},	//   _irce_, rürs, гек_, обін, 
   {{0x2a7f01a0,0x79893f6b,0x00000000,0x00000000}},	//   _taub_, _wrew, --, --, 
   {{0x24890585,0x7cf014aa,0x79893f6c,0x00000000}},	//   _şam_, väri, _trew, --, 
   {{0x798901f2,0x00000000,0x00000000,0x00000000}},	//   _urew, --, --, --, 
   {{0x67d5177d,0x8b0800bc,0x7cf03f6d,0x9848002e}},	//   _лозу, pořá, täri, _вяца_, 
   {{0x130a00c8,0x75293f6e,0x74070033,0x00000000}},	//   лной_, spez, োর্ট_, --, 
   {{0xfbd200a7,0x75293c88,0x00000000,0x00000000}},	//   לתי_, ppez, --, --, 
   {{0xd4693f6f,0xa2e60e65,0xf8db0035,0x7cf002ae}},	//   _биле_, _қоид, _बदाय, märv, 
   {{0x7cf02ca3,0xd7f10108,0x00000000,0x00000000}},	//   päri, _kỹ_, --, --, 
   {{0xf4120052,0x2d8b033c,0x38b90212,0xa91d0604}},	//   _צפה_, _arce_, _gère_, _bržk, 
   {{0x291d0226,0x93243d66,0x2d8b0604,0xd7f10108}},	//   kqwa_, _برون, _brce_, _mỹ_, 
   {{0xbea3125c,0xa3cb0262,0xdce600e0,0xddea009c}},	// [3120] чатк, _रेत_, _apkā, ارزه_, 
   {{0xed572e45,0xc5f2035c,0x6da4004e,0x7cf002ae}},	//   соф_, לדן_, биға, härv, 
   {{0x7f860084,0xd8382c52,0x9f5e00c8,0xdee61bd5}},	//   _الجن, _reč_, ätä_, _гони, 
   {{0x93bc002e,0xba160086,0x7cf00341,0xd83800da}},	//   mbăt, ার্ড_, järv, _seč_, 
   {{0x2fd70274,0xd8380352,0xa3a9009a,0x26cd0175}},	//   _نوید_, _peč_, _गॅस_, dieo_, 
   {{0xd7fa3f70,0x3ea7002e,0x52a5047c,0x48e30141}},	//   луй_, _într_, _ऑक्स, почв, 
   {{0xd83829b6,0xf1bf006b,0x6d563f71,0x07a30170}},	//   _več_, zzá_, luya, зајн, 
   {{0xc6f80267,0x7c3e3f72,0x00000000,0x00000000}},	//   јних_, lapr, --, --, 
   {{0x94863f73,0xe8fa1fc5,0x20cd0082,0xe9da3f74}},	//   бынд, _бла_, džin_, _ска_, 
   {{0x38b93f75,0xb86611b7,0x44383f76,0xb5fd020b}},	//   _père_, _دارو, úr_, rešp, 
   {{0xd2512300,0x2cb83f77,0x6d563f78,0x7aed3f79}},	//   وند_, _mlrd_, huya, _întî, 
   {{0x6d563f7a,0x7c3e3f7b,0xddcd00d9,0x3f8501d5}},	//   kuya, hapr, neaţ, ælum_, 
   {{0x9c8311c8,0x7cf001c4,0x7c3e3f7c,0x00000000}},	//   ščit, läru, kapr, --, 
   {{0xc0c83f7d,0x6d56011d,0x1fb90161,0x9a290023}},	//   бусе_, duya, алгы_, _mươi_, 
   {{0x443e3f7e,0xaab80d95,0xbcfb026d,0xb4c60e49}},	//   mat_, _आतंक, _opér, ैची_, 
   {{0xd2510105,0x38ab03a9,0x3ea0024a,0xff0708ab}},	//   _کچھ_, _hørt_, gjit_, сягн, 
   {{0x38ab055f,0xdd940a31,0x9c393f7f,0x22493f80}},	// [3130] _kørt_, паты, ипат_, _idak_, 
   {{0xbcfb3f81,0xd999010e,0x00000000,0x00000000}},	//   _apér, ینات_, --, --, 
   {{0x25ad0118,0x443e00d9,0xbcfb3f82,0xea193f83}},	//   zyel_, iat_, _spés, ажеш_, 
   {{0x443e3f84,0xdd95005e,0x2d8b015e,0x6d563f85}},	//   hat_, _дамы, _trce_, buya, 
   {{0x443e3f86,0x5d330019,0xd9453f87,0x7cf000c2}},	//   kat_, _رہائ, цели, värv, 
   {{0x7c3e005f,0x02c600a2,0xac183f88,0x2204011c}},	//   capr, _लग्न, _гору_, lèhé_, 
   {{0x443e3f89,0x26cd0026,0x3eb9003e,0x6fcf075a}},	//   dat_, tieo_, _klst_, _हेमं, 
   {{0xe61907f9,0x22493f8a,0x645a3f8b,0xa5253f8c}},	//   шди_, _ndak_, egti, омид, 
   {{0x99d40084,0x2129395d,0x93bc0474,0x00000000}},	//   _فتكا, _ntah_, zbăt, --, 
   {{0xe4c502fb,0x20cd012d,0x26cd0226,0x00000000}},	//   ійни, džio_, sieo_, --, 
   {{0xe29a15bd,0x22490065,0x7cf000c8,0x2129033e}},	//   аан_, _bdak_, märt, _atah_, 
   {{0xae0907bd,0x7c3e3f8d,0x22493f8e,0x645a3f8f}},	//   वधान_, zapr, _cdak_, agti, 
   {{0x443e03f6,0x6d560218,0x672d090b,0x7c3e0102}},	//   bat_, xuya, ćaju, yapr, 
   {{0x443e3f90,0xbf020c64,0x6ab500a5,0xd8380604}},	//   cat_, लग्न_, ंसुर, _ročk_, 
   {{0xa91d100c,0x3f8c014b,0x7c3e3f91,0x2129002c}},	//   _drži, ídu_, vapr, _etah_, 
   {{0x765b3f92,0x93bc00d9,0x6d5601a3,0x7f190259}},	//   nguy, rbăt, tuya, сіру_, 
   {{0x27e00c05,0xed5a3f93,0x62963f94,0x3ea00065}},	// [3140] ğini_, роз_, _inyo, rjit_, 
   {{0x27e03f95,0x6296006d,0x62863f96,0xb4c7034d}},	//   şini_, _hnyo, ldko, _ईगो_, 
   {{0x7c3e3f97,0x628401d6,0x3ea63f98,0xbea61792}},	//   rapr, _kaio, _динг, _данк, 
   {{0x443e3f99,0x62863f9a,0xed5a3ca1,0x7c3e3f9b}},	//   zat_, ndko, _ком_, sapr, 
   {{0x62841454,0x443e3f9c,0xe8943ce1,0x7c293f9d}},	//   _maio, yat_, заль, _şere, 
   {{0x443e3f9e,0x5fcf0035,0x62841286,0xceb40095}},	//   xat_, _हेडल, _laio, lkə_, 
   {{0x443e3f9f,0x6d443fa0,0x994900ab,0xa09b008d}},	//   vat_, lsia, góły_, ייסט, 
   {{0x7c3c3fa1,0x6e243fa2,0x9a29001b,0xd8383fa3}},	//   _herr, ncib, _tươi_, _moči_, 
   {{0x443e3fa4,0x7c3c030f,0x5692005e,0xd8380121}},	//   tat_, _kerr, зақт, _loči_, 
   {{0x27e90218,0x443e3fa5,0x62963fa6,0xc9d5009c}},	//   şana_, uat_, _anyo, _عملک, 
   {{0x7c3c3fa7,0x6d440348,0x62843fa8,0xd8380352}},	//   _merr, hsia, _baio, _noči_, 
   {{0x672d1a35,0x6b83055f,0x7c3c3fa9,0x628409c6}},	//   ćajt, ængi, _lerr, _caio, 
   {{0x443e3faa,0xf1c500a2,0x65943fab,0xd25100d4}},	//   pat_, _लेखन, _халу, ونگ_, 
   {{0x443e3fac,0x843800eb,0x69c201c8,0x6d440032}},	//   qat_, _اكثر_, izoe, dsia, 
   {{0x22490870,0x6d462104,0x6d4423d9,0x7cf002ae}},	//   _tdak_, _avka, esia, härs, 
   {{0x443c3fad,0x62840587,0x76403fae,0xd8380372}},	//   _hev_, _gaio, namy, _doči_, 
   {{0x7c3c3faf,0x443c3fb0,0xa91d02f5,0x6d443fb1}},	// [3150] _berr, _kev_, _trži, gsia, 
   {{0x7c3c3fb2,0x2d893fb3,0xd8382f0a,0x7640024d}},	//   _cerr, rvae_, _foči_, hamy, 
   {{0x7eaa026e,0x443c3fb4,0x76403fb5,0x6d4414c0}},	//   _výpr, _mev_, kamy, asia, 
   {{0x0f7a0137,0x7cf00003,0x6d44006d,0x70550296}},	//   _פארב, färs, bsia, _بنگا, 
   {{0x7c3c3fb6,0x27fe00ca,0x6b8e007b,0xdb05010e}},	//   _ferr, _aztn_, _erbg, gyhá, 
   {{0x443c023b,0x7c3c3fb7,0x3f810034,0x315800d1}},	//   _nev_, _gerr, _kshu_, קיון_, 
   {{0xda351c0f,0x7d1d0ef8,0xe7390088,0x78a8015e}},	//   _невы, _huss, щей_, _dodv, 
   {{0x7d1d3fb8,0x7c3c0a9f,0x76401fee,0x7c253fb9}},	//   _kuss, _zerr, gamy, lchr, 
   {{0x62843fba,0x7cf000c8,0x7d1d3fbb,0x7c253fbc}},	//   _raio, märr, _juss, ochr, 
   {{0x443c01c1,0x7d1d3fbd,0x6aa9012e,0x7c3c3fbe}},	//   _cev_, _muss, _hoef, _xerr, 
   {{0x7d1d0fc9,0x62840036,0x6d443fbf,0x443c3fc0}},	//   _luss, _paio, zsia, _dev_, 
   {{0x6d440156,0x443c008a,0x6e3d076b,0x7c253f63}},	//   ysia, _eev_, _nesb, hchr, 
   {{0x361a0111,0x34953fc1,0x443c3fc2,0x5ec30086}},	//   _הונד, _надр, _fev_, ্কাই, 
   {{0x7e6f00ca,0x6abb00b9,0x6284025b,0x7d153fc3}},	//   _abcp, _lluf, _waio, _nizs, 
   {{0x7d1d3fc4,0xdfd200eb,0x6abb01a3,0x7c25007a}},	//   _auss, رير_, _oluf, dchr, 
   {{0x7d1d3fc5,0x7d15002a,0x6d443fc6,0xd8380228}},	//   _buss, _aizs, tsia, _voči_, 
   {{0x7c3c3fc7,0x6d443fc8,0x6e3d3fc9,0x6e240503}},	// [3160] _perr, usia, _desb, rcib, 
   {{0x6e241727,0x443c050a,0x6d440139,0x22423fca}},	//   scib, _xev_, rsia, lakk_, 
   {{0xd8380062,0x6e3d033e,0x6d443fcb,0x6aa901d2}},	//   _uoči_, _fesb, ssia, _boef, 
   {{0xe80f1516,0x7c3c007b,0x7d1d3fcc,0x69c202b0}},	//   ाधना_, _werr, _fuss, tzoe, 
   {{0x64413fcd,0x7c3c3fce,0x44273fcf,0xe0df00b9}},	//   kali, _terr, _ofn_, cròs_, 
   {{0x69c20536,0x81be0086,0x7640052b,0x6abb3fd0}},	//   rzoe, _আশা_, wamy, _eluf, 
   {{0x6abb3fd1,0xf09300a7,0x76403fd2,0xa3cb09e2}},	//   _fluf, תנו_, tamy, _रेल_, 
   {{0x443c3fd3,0x69cd2cad,0xdbc73d00,0x7d1d3fd4}},	//   _sev_, _देवी, töör, _yuss, 
   {{0x64413fd5,0x443c0201,0x76400610,0x442708b0}},	//   fali, _pev_, ramy, _bfn_, 
   {{0x64413fd6,0x443c023b,0x7d090036,0x76403fd7}},	//   gali, _qev_, _èest, samy, 
   {{0x61e420ac,0x443c006f,0x81aa0086,0x6f1e001d}},	//   _axil, _vev_, _গেল_, _nupc, 
   {{0x201a0042,0x64410341,0x443c006d,0x32670080}},	//   _agpi_, aali, _wev_, чтов, 
   {{0x443c3fd8,0x64413fd9,0x6e3d2b71,0xfbc40033}},	//   _tev_, bali, _resb, ্থিত, 
   {{0x64a300e4,0x6e3d3fda,0xc0c800d9,0x20cd00d8}},	//   _пача, _sesb, пусе_, mžik_, 
   {{0x7d1d3fdb,0x7f943fdc,0x2d823fdd,0x6e3d033e}},	//   _suss, нарх, _aske_, _pesb, 
   {{0x6727010e,0x33db00d1,0x7d153fde,0x00000000}},	//   _éjje, _לחוד, _sizs, --, 
   {{0x3d1700a5,0xd83800ca,0x7c253fdf,0x7cf002ae}},	// [3170] _भूखे_, _hoču_, tchr, värr, 
   {{0xad9b0bf1,0xc1bc00a7,0x3f81006d,0x5ce4069b}},	//   _azúc, _למחש, _tshu_, нюха, 
   {{0x09aa00cc,0x7d150019,0x2d8206df,0x6f1e00ca}},	//   _খেলা, _vizs, _eske_, _gupc, 
   {{0x7d1d1e97,0x7c253fe0,0x64413fe1,0xc33300a7}},	//   _tuss, schr, zali, תוף_, 
   {{0x64413fe2,0x6f1e00d2,0x0ef902e6,0x69341988}},	//   yali, _zupc, ंतीस_, енчу, 
   {{0x64410095,0x20cd0097,0x6aa90c4e,0xd83e0121}},	//   xali, džik_, _woef, ščna_, 
   {{0x238c031e,0x66e53fe3,0x6aa90231,0x98a200fd}},	//   _něj_, мока, _toef, тище, 
   {{0x2bd3007e,0x7e6d0183,0x4427039b,0xa56200d7}},	//   _धेया, nfap, _sfn_, چگون, 
   {{0x26c300e4,0x44250065,0xc6480038,0x7d090036}},	//   ėjo_, tcl_, سجيل_, _èess, 
   {{0x3a3f3fe4,0xa91d00da,0x00000000,0x00000000}},	//   _heup_, _držt, --, --, 
   {{0x68e4007a,0x61f600c8,0x4425084c,0x291f018e}},	//   éide, _syyl, rcl_, _huua_, 
   {{0xe29a3fe5,0x80d0047c,0x216a3fe6,0x35b53fe7}},	//   цам_, डोने, оими_, _обер, 
   {{0x44273fe8,0xf6520486,0x21a30080,0x291f00c2}},	//   _tfn_, _יצא_, виям, _juua_, 
   {{0xd83800ef,0x6ada048e,0x644125e7,0x44270054}},	//   _foču_, _भद्र, qali, _ufn_, 
   {{0xdb15010c,0xdce4003d,0x291f00b0,0xbef9009a}},	//   îbûn, stiċ, _luua_, ंतून_, 
   {{0x61f60088,0x61e401ca,0x00000000,0x00000000}},	//   _tyyl, _txil, --, --, 
   {{0xf1bf18e8,0x65693fe9,0x7c29010c,0x29050226}},	// [3180] lcán_, nteh, _şera, _ohla_, 
   {{0x315707f5,0x24870cd7,0xec773fea,0x9bd600d9}},	//   _קיין_, _janm_, мпу_, мцеш, 
   {{0x9a860013,0x24870cd7,0x22400626,0x38b00465}},	//   дулл, _manm_, _keik_, _màrt_, 
   {{0x21200348,0xa3d40790,0x291f0026,0x38b000a1}},	//   _kuih_, _सेफ_, _buua_, _làrt_, 
   {{0x397a1966,0x2d8200d0,0x290500a1,0x65690082}},	//   تصاد_, _uske_, _bhla_, jteh, 
   {{0x3a26222f,0x22403103,0x212034c4,0x24870300}},	//   scop_, _leik_, _muih_, _nanm_, 
   {{0x39461de2,0xdb83183d,0x2120023e,0xcb6700d9}},	//   ssos_, _игри, _luih_, _оаре_, 
   {{0x81c400cc,0xf5263feb,0x38c811b7,0x66de00e0}},	//   _এখন_, мфон, _کاری_, rīko, 
   {{0x78663fec,0x24870300,0xe5c600c8,0xe4e6004f}},	//   _оказ, _banm_, ьско, дінн, 
   {{0x090300b3,0x00000000,0x00000000,0x00000000}},	//   _апун, --, --, --, 
   {{0xf483004e,0xb8650411,0x24870118,0x366a0fb9}},	//   туын, _سالو, _danm_, _мажо_, 
   {{0x21203fed,0x929400e4,0x63c400ca,0xe693007a}},	//   _buih_, ваюц, _đunđ, _للمد, 
   {{0x24870cd7,0xf1bf0bf1,0xf5b611b7,0x2120011c}},	//   _fanm_, acán_, _تصاد, _cuih_, 
   {{0xfd4f0023,0x21200175,0x660200b4,0x2d800083}},	//   _triế, _duih_, _izok, dwie_, 
   {{0xc58800f7,0x21200096,0x46b23fee,0x6d5602a5}},	//   _hồ_, _euih_, _जवाह, erya, 
   {{0x3869090e,0x0efb0299,0x6e3608b0,0x24870237}},	//   đari_, ्षेस_, gbyb, _zanm_, 
   {{0x3a3f002c,0xfd1f3137,0x7cf03fef,0x248705d5}},	// [3190] _reup_, _quì_, tärp, _yanm_, 
   {{0xc58800e7,0x2240039b,0x00000000,0x00000000}},	//   _mồ_, _zeik_, --, --, 
   {{0xc58800e7,0x50d40038,0xf4290080,0x6e360664}},	//   _lồ_, _جزير, lkää_, bbyb, 
   {{0x0dcb0849,0x527c0070,0x6f0600a1,0x290501be}},	//   _дуги_, ַנוא, _ghkc, _shla_, 
   {{0x5e5600c7,0x394900eb,0x6602007c,0xf4290080}},	//   _אירע_, éas_, _nzok, nkää_, 
   {{0x6f0d3ff0,0xb06600c8,0x6b8302c9,0x7ceb0502}},	//   lmac, _ikää, ængs, hürz, 
   {{0x66023ff1,0x7ceb3ff2,0x20cd0613,0x3a3f0096}},	//   _azok, kürz, ržih_, _teup_, 
   {{0x6f0d3ff3,0xc58800e7,0xf42900c8,0x291f00b0}},	//   nmac, _bồ_, kkää_, _tuua_, 
   {{0x98753ff4,0xa3d40394,0x788801dd,0x661d0098}},	//   _плац, _सेब_, _būvē, žsko, 
   {{0x65693ff5,0x6f0d3ff6,0x79583ff7,0x00000000}},	//   rteh, hmac, _цифр_, --, 
   {{0x65693ff8,0x6f0d3ff9,0xccf200a7,0xc6a73ffa}},	//   steh, kmac, רכי_, _орди, 
   {{0x87b600c7,0x24870065,0xe7b60070,0x6f0d039b}},	//   _אלעס_, _wanm_, _אהער_, jmac, 
   {{0x463a07f5,0xa3d4007e,0xf1bf0038,0x672100ca}},	//   _זענע, _सेठ_, scán_, _hulj, 
   {{0x73e5048a,0x67213ffb,0x30750088,0x7f5c12ed}},	//   _полз, _kulj, кусс, turq, 
   {{0x91030ee8,0x21203ffc,0x22400065,0xf8520032}},	//   упре, _wuih_, _teik_, ížiť_, 
   {{0x2d800035,0x67213ffd,0x6da63ffe,0xdce417a2}},	//   twie_, _mulj, ниба, rtič, 
   {{0x6721003d,0xf38900e7,0x82770070,0x00000000}},	// [31a0] _lulj, _hả_, _טעקע_, --, 
   {{0x9f863fff,0x26df00d2,0x6f0d0d44,0x6c860038}},	//   _згод, hnuo_, amac, علام, 
   {{0x26df0062,0x6e462338,0x395d01c8,0x103b00d1}},	//   knuo_, _пенз, euws_, _מגיע, 
   {{0xe60700eb,0x6da60d38,0x7c3b0242,0xa96a1dd5}},	//   _مش_, _зима, _đure, зида_, 
   {{0xd6d000d6,0x7ae304c6,0xda6500eb,0xb0d70d4f}},	//   یقت_, énta, ضاني, _डगमग, 
   {{0x98a3196d,0x67d41de7,0x7d0902a3,0x38b90118}},	//   личе, колу, _èesp, _fèrm_, 
   {{0x66024000,0x38b00465,0x00000000,0x00000000}},	//   _szok, _bàrr_, --, --, 
   {{0x67214001,0x26df00d0,0x7d1b1f2d,0x7dc901ff}},	//   _dulj, gnuo_, _èusc, _bоsh, 
   {{0x67210175,0xe8ca002e,0x09e30ca4,0x00000000}},	//   _eulj, _егал_, _ботн, --, 
   {{0xa2a302e6,0x672100a4,0x07a6012d,0x38b000a1}},	//   गाभ्, _fulj, _пазн, _eàrr_, 
   {{0xf38900f7,0x6f0d4002,0x92594003,0x38b001be}},	//   _cả_, ymac, мант_, _fàrr_, 
   {{0x26df0613,0x9f5e020b,0xf4290080,0x95ca1853}},	//   cnuo_, ätý_, tkää_, _нула_, 
   {{0x672100ef,0xe0df03dd,0x290e03dd,0xc1b808f0}},	//   _zulj, bsòl_, omfa_, елях_, 
   {{0x13f40093,0x645c019c,0x6f0d01d2,0x00000000}},	//   _изля, órid, wmac, --, 
   {{0x6f0d4004,0xbddb011c,0xf3890108,0x00000000}},	//   tmac, _ndèr, _gả_, --, 
   {{0x60d54005,0x7522095a,0x7dc9040c,0x61e20028}},	//   sizm, _kuoz, _hоsi, _žole, 
   {{0x7c3b02fe,0x98830032,0x75220009,0x60d51f57}},	// [31b0] _đurb, víľu_, _juoz, pizm, 
   {{0x6f0d4006,0x26df090e,0x00000000,0x00000000}},	//   smac, znuo_, --, --, 
   {{0xc4d300c7,0xf38900e7,0x00000000,0x00000000}},	//   נגע_, _xả_, --, --, 
   {{0x59d200ab,0x6721044e,0x764200e9,0x19591ab1}},	//   _देहर, _rulj, _neoy, дады_, 
   {{0x6721030f,0x41b3153d,0x7982011d,0xdeb200f0}},	//   _sulj, ुनिस, gwow, _тұты, 
   {{0xdb23040f,0x3ea94007,0x9dd600a7,0x00000000}},	//   _موسی, ljat_, _יורק_, --, 
   {{0x07a54008,0x26df044e,0xf09424ea,0xb8d9009a}},	//   тайн, tnuo_, טנס_, _चव_, 
   {{0x3ea94009,0x59d21204,0xf1b307d5,0x6721400a}},	//   njat_, _देवर, ुनान, _vulj, 
   {{0xceb40cec,0x3915400b,0x4ae400cf,0x26df034c}},	//   טיק_, _амар, _сўра, rnuo_, 
   {{0x26df0112,0x2246032f,0x6721400c,0x85081dbc}},	//   snuo_, _žok_, _tulj, ндың_, 
   {{0x3ea902fe,0x3fdc0086,0x26df0a1a,0xa3cb00a5}},	//   kjat_, _ধর্ষ, pnuo_, _रेख_, 
   {{0x3ea9400d,0xf38900e7,0xe29714fc,0x6d5f1e1b}},	//   jjat_, _vả_, ваю_, kuqa, 
   {{0xcb120137,0x20d600dd,0x3ea9400e,0x00000000}},	//   ילט_, вівс, djat_, --, 
   {{0xf389001b,0x3ea900b9,0x3e7c0210,0x00000000}},	//   _tả_, ejat_, _ật_, --, 
   {{0x10a3400f,0x7eb80e43,0xddca0035,0x64434010}},	//   ширн, _hípi, łoży, _ieni, 
   {{0x20cd0009,0xa2a30c46,0x394d129a,0xdc34020b}},	//   džiu_, गाण्, _oves_, rúčk, 
   {{0x64434011,0xd83e014b,0xf18700d3,0xa7fc0213}},	// [31c0] _keni, áčka_, _айыл_, _acıl, 
   {{0x64432e67,0x3ea90080,0x00000000,0x00000000}},	//   _jeni, ajat_, --, --, 
   {{0x394d0952,0x7eb84012,0xd83e0352,0x20553705}},	//   _aves_, _lípi, ščka_, _стыр, 
   {{0x64432a0c,0x79820035,0xdb21039f,0xda7700fd}},	//   _leni, twow, átás, вяш_, 
   {{0x3eab014b,0x20cd015e,0x4a534013,0x7e9b00d1}},	//   žitá_, rživ_, ркіс, _חסכו, 
   {{0x64434014,0x798200ab,0x6abd02e6,0x2d92016c}},	//   _neni, rwow, ्फॉर, mvye_, 
   {{0xf6e62f4a,0x7d1b0036,0x26c44015,0x36d40097}},	//   кцин, _èusa, thmo_, локр, 
   {{0xd6d74016,0x7e6400c5,0x7b0300c2,0x00000000}},	//   кты_, ngip, lõun, --, 
   {{0x64434017,0x2d9206df,0x75220036,0x68464018}},	//   _beni, nvye_, _quoz, _анза, 
   {{0xd90e0a24,0xe7ed241a,0x64434019,0x7d1c401a}},	//   _بیت_, _चुका_, _ceni, _jirs, 
   {{0x7d1c401b,0x6443401c,0x645c022c,0x9f4f0540}},	//   _mirs, _deni, òriq, ünüz_, 
   {{0x7ae2401d,0x41e70fb6,0x394d401e,0x7d1c021e}},	//   nnot, віга, _yves_, _lirs, 
   {{0xb3560399,0x7c29009e,0x7d1c01d2,0x00000000}},	//   ریکا_, _şerm, _oirs, --, 
   {{0x61e200ca,0x00000000,0x00000000,0x00000000}},	//   _žolc, --, --, --, 
   {{0x9295401f,0x251b1490,0x3ea94020,0x442e08f9}},	//   _байц, _קווא, tjat_, _iff_, 
   {{0x64484021,0x64434022,0x7d1c0673,0xaf3400d4}},	//   ladi, _zeni, _airs, شرفت, 
   {{0x64430718,0x7ae208fc,0x5c750013,0x3ea94023}},	// [31d0] _yeni, dnot, ллат, rjat_, 
   {{0x64434024,0x3e530029,0x27e900b3,0x64484025}},	//   _xeni, ệt_, şani_, nadi, 
   {{0x5a351fde,0x442e0844,0x6448022c,0xfc300d4b}},	//   гнет, _mff_, iadi, تحق_, 
   {{0x64484026,0x941500c7,0x628f2557,0x7ae24027}},	//   hadi, אַנד_, ndco, gnot, 
   {{0x7d1c0056,0x442e0056,0x69cd34be,0xd5a60625}},	//   _firs, _off_, _देखी, _اف_, 
   {{0x7c34314d,0x7d1c4028,0x7ae200c8,0xb4b10a34}},	//   _верх, _girs, anot, _टके_, 
   {{0x644300a9,0xccf200d1,0x8af90095,0xab8400d3}},	//   _reni, _לכך_, _atəş, _кутк, 
   {{0x6e2d4029,0xb5fd00e0,0x38b9023e,0xe1ff00b9}},	//   ncab, egša, _mèri_, nfós_, 
   {{0x6448402a,0x6d4d402b,0x65600183,0x6f1d07da}},	//   fadi, nsaa, gumh, _misc, 
   {{0x6448402c,0x6f1d402d,0x6443024a,0x7989402e}},	//   gadi, _lisc, _qeni, _isew, 
   {{0x32461bb9,0x442e03c5,0x628f01d2,0x00000000}},	//   ленг, _dff_, fdco, --, 
   {{0x6443402f,0x6d4d4030,0x68ed0084,0x442e4031}},	//   _weni, ksaa, éadf, _eff_, 
   {{0x64434032,0x645c1408,0x64484033,0x442c023e}},	//   _teni, óric, badi, bcd_, 
   {{0x6f1d0084,0x6d4d0876,0x644301e8,0x7989044d}},	//   _aisc, dsaa, _ueni, _msew, 
   {{0x1fb50d83,0x7d1c0183,0xd36e0038,0xbd020042}},	//   астр, _rirs, _فهو_, ñémo, 
   {{0x63bc03a9,0x7c3b0b91,0x6d4d0876,0x7d1c4034}},	//   ørne, _đura, fsaa, _sirs, 
   {{0x7d1c4035,0xed574036,0xada302f1,0x7e644037}},	// [31e0] _pirs, лот_, батл, rgip, 
   {{0x6f1d25ff,0x764902a2,0x7ff600eb,0x28b80484}},	//   _eisc, haey, _مسجا, _अवधि, 
   {{0x7d1c3cf5,0xad9b0bf1,0x7ae24038,0x79890532}},	//   _virs, _ayúd, tnot, _asew, 
   {{0xbea638aa,0x6d4d0065,0x6e2d1684,0x7d1c01c4}},	//   _самк, bsaa, ccab, _wirs, 
   {{0x7ae24039,0x7d1c403a,0x2d84026d,0x6448403b}},	//   rnot, _tirs, _ème_, yadi, 
   {{0x7ae2403c,0xb6050097,0x2cb10352,0x47340f67}},	//   snot, _mišč, _gozd_, анкс, 
   {{0x6448403d,0x9cd7042c,0xe3a7155f,0x442e0a77}},	//   vadi, _עולה_, _ار_, _rff_, 
   {{0x442e0b91,0x6448403e,0x65aa02a6,0x41b4017d}},	//   _sff_, wadi, етог_, ँहास, 
   {{0x6448403f,0xceb30486,0x442c4040,0xbddb0118}},	//   tadi, מיה_, tcd_, _neèl, 
   {{0x33744041,0x3a09347e,0xe8f707a4,0x00000000}},	//   агор, _شکنی_, _блу_, --, 
   {{0x64484042,0xd6d90035,0x442e4043,0x442c023e}},	//   radi, bił_, _vff_, rcd_, 
   {{0x644825e7,0x291e4044,0x6d4d2c8f,0xd6d90035}},	//   sadi, _hita_, ysaa, cił_, 
   {{0x291e4045,0x6f1d01d8,0x64484046,0xa3d400b0}},	//   _kita_, _risc, padi, _सेर_, 
   {{0x6f1d4047,0x1be4047c,0x644800a3,0xf1c20352}},	//   _sisc, कपाल_, qadi, dišč_, 
   {{0x40340088,0x248e00e2,0x226a0080,0x889b0070}},	//   сесс, _iafm_, ätkö_, עבלי, 
   {{0x291e4048,0x290c0026,0x6d4d4049,0x59c4258c}},	//   _lita_, _lhda_, tsaa, वनार, 
   {{0x2d5806ba,0x272a404a,0xe9050023,0x6f1d37ba}},	// [31f0] лить_, _lùn_, _lượ, _visc, 
   {{0x32090a49,0x6d4d404b,0x6e2d033c,0x0f3500d4}},	//   _izay_, rsaa, scab, _نکرد, 
   {{0x6d4d404c,0x6f1d404d,0xbc07170f,0x711a07e4}},	//   ssaa, _tisc, учай, _שותפ, 
   {{0x6f1d00eb,0x291e404e,0x224b0219,0x4fd600a7}},	//   _uisc, _aita_, nack_, _כותב_, 
   {{0x1869404f,0x684500cf,0xa9a50a66,0x291e4050}},	//   вали_, анла, рилд, _bita_, 
   {{0x2d990634,0xd6d90035,0x272a0023,0xbebb040b}},	//   _irse_, wił_, _bùn_, _diëe, 
   {{0x291e4051,0xa3d41e7b,0x00000000,0x00000000}},	//   _dita_, _सेल_, --, --, 
   {{0xca48057f,0x2d990ab4,0x291e4052,0x272a0465}},	//   _ملفه_, _krse_, _eita_, _dùn_, 
   {{0x291e4053,0x7ac43786,0x00000000,0x00000000}},	//   _fita_, _усре, --, --, 
   {{0x291e4054,0x04b53423,0x67d54055,0xa5090267}},	//   _gita_, рсия, _козу, ђена_, 
   {{0x645c0165,0xb6050242,0x7ae9017b,0xd5a3009c}},	//   ória, _sišč, _kjet, _گلشی, 
   {{0x2d8b4056,0xb605008b,0x95d900c8,0x60c50e32}},	//   _osce_, _pišč, _идет_, _alhm, 
   {{0x7afb0010,0x261134d8,0x7ae900e5,0x64a54057}},	//   _mkut, देशी_, _mjet, _вала, 
   {{0x7ae902a8,0x6ac23512,0x63ba0566,0x27e900b3}},	//   _ljet, _शत्र, bytn, şanu_, 
   {{0x224b4058,0x7afb4059,0x5efa405a,0x2d8b0036}},	//   back_, _okut, вхар_, _asce_, 
   {{0x5de62831,0xf1c20121,0x7afb405b,0xb6050121}},	//   ажба, tišč_, _nkut, _tišč, 
   {{0x1c4605af,0xada60896,0xa2a3126e,0x30761a57}},	// [3200] инам, шаал, गार्, _кунс, 
   {{0x7afb030b,0x7ae9405c,0xf1c20121,0x3b960267}},	//   _akut, _ajet, rišč_, ијет, 
   {{0x0c79005e,0x2d8b00fd,0xe1ff405d,0x60dc405e}},	//   ысты_, _esce_, ngón_, mirm, 
   {{0x291e405f,0x2bda00a2,0x78a105d5,0x60dc0384}},	//   _sita_, _येणा, _anlv, lirm, 
   {{0x7ae902a8,0xbb750e65,0x3f9a2867,0xed570093}},	//   _djet, _қуръ, _hrpu_, _коя_, 
   {{0x60dc4060,0xd8f700dd,0x7afb0539,0xd90d0116}},	//   nirm, анії_, _ekut, فیق_, 
   {{0x3cf5009a,0x7ae90034,0x57a64061,0x1c0a0110}},	//   ्तरे_, _fjet, ршла, _वरिल_, 
   {{0x7ae903fe,0x12c100cc,0x7eb80019,0x291e4062}},	//   _gjet, _উদ্দ, _típu, _wita_, 
   {{0x291e4063,0x2bda00a2,0xe4a64064,0x25a00df4}},	//   _tita_, _येता, арно, _šilb_, 
   {{0xd49a0715,0x291e00d9,0xe9050108,0x00000000}},	//   три_, _uita_, _tượ, --, 
   {{0x60dc4065,0x9295122f,0x224b4066,0xf8ad0c30}},	//   dirm, банц, tack_, _سکو_, 
   {{0x63ba4067,0x81c301dd,0x5693004f,0x2b470474}},	//   rytn, ņēmi, _маєт, ânci_, 
   {{0x60dc4068,0x20b4000f,0xd5340a24,0xeeb902f1}},	//   firm, ुसंध, _افتخ, қлаш_, 
   {{0x26c6006d,0x7c3b07c7,0x60dc00a3,0x224b0502}},	//   _hloo_, _đuro, girm, sack_, 
   {{0xb5e800cc,0x232716d9,0xd43700c7,0x26c60054}},	//   _পরিচ, _који_, _דרוק_, _kloo_, 
   {{0x32c90218,0x3a240065,0xa2d602e6,0x61ed01f1}},	//   _bûye_, _ngmp_, मोद्, _txal, 
   {{0x60dc4069,0x67280372,0x8d8700a3,0x32090241}},	// [3210] birm, _ludj, шувд, _uzay_, 
   {{0x7afb08f5,0x7ae90e67,0x60dc406a,0x2d9905ae}},	//   _skut, _sjet, cirm, _vrse_, 
   {{0x443e02f2,0x68f8406b,0x77630183,0x7ae90feb}},	//   ibt_, dovd, xunx, _pjet, 
   {{0x212902f6,0x66e800bc,0x8f9a00d1,0x00000000}},	//   _kuah_, děko, _עירי, --, 
   {{0x7ae9406c,0x3a240183,0x2d8b0082,0xe9f8004f}},	//   _vjet, _dgmp_, _usce_, анці_, 
   {{0xe8f8013d,0x6728406d,0xb4d500a5,0x22490139}},	//   алі_, _budj, _सगे_, _leak_, 
   {{0x7ae9078e,0x212934c4,0x26c60102,0x8aa7406e}},	//   _tjet, _luah_, _bloo_, _крад, 
   {{0x7afb406f,0x7ae94070,0x443e4071,0x645c003e}},	//   _ukut, _ujet, ebt_, órin, 
   {{0x6eba0081,0x60dc00ad,0x2eaa0070,0x00000000}},	//   _एकसु, yirm, רשפּ, --, 
   {{0x21210870,0x60dc0183,0x7b2c0585,0x55e50259}},	//   _nihh_, xirm, _oğul, _қолб, 
   {{0x80ab2cad,0x33d5004e,0xdced0097,0x67284072}},	//   ञाने, сіпт, jtač, _gudj, 
   {{0x21293eac,0xe1ff001d,0x60dc010c,0x799b011c}},	//   _buah_, rgón_, wirm, _kruw, 
   {{0x60dc4073,0x443e022b,0xd36e00d4,0x2129011c}},	//   tirm, bbt_, وهی_, _cuah_, 
   {{0xdce40082,0x2d894074,0x65c100f0,0x7af94075}},	//   mtić, dwae_, _мұқа, howt, 
   {{0xe29a4076,0xbea60b66,0x60dc4077,0x66de00ec}},	//   _бай_, бавк, rirm, lūka, 
   {{0xc24613cc,0x2a6d0201,0x2bc604cc,0x60dc4078}},	//   _уник, _nceb_, लनसा, sirm, 
   {{0x62864079,0x60dc407a,0xbcfb023e,0x93bc00b3}},	// [3220] meko, pirm, _aqéq, scăt, 
   {{0x308600eb,0x0ffa0038,0x81b10033,0x00000000}},	//   _الدف, _معجب_, _টেক_, --, 
   {{0x799b04cd,0x20290032,0x93bc0474,0x00000000}},	//   _aruw, átiť_, lcăr, --, 
   {{0xdce40242,0x799b2ec9,0x67280175,0x2485407b}},	//   ktić, _bruw, _rudj, helm_, 
   {{0x67282592,0x6f04407c,0x9dba3098,0xdce40df4}},	//   _sudj, mlic, _сыну_, jtić, 
   {{0x6f04407d,0x6728016a,0x7c29009e,0x799b023e}},	//   llic, _pudj, _şerv, _druw, 
   {{0x68f80405,0x35d000a5,0x38cb015f,0x6f041727}},	//   rovd, _तेज़, دانی_, olic, 
   {{0x62862e73,0x2bb50081,0x6f0402f2,0x9f5f0107}},	//   jeko, ंहरा, nlic, érée_, 
   {{0x645c03b7,0x62862731,0x6f04407e,0x7c2900ef}},	//   ório, deko, ilic, _đerz, 
   {{0x6728006b,0x21290ab1,0x6f0402f2,0x058602c0}},	//   _tudj, _ruah_, hlic, _ҳукм, 
   {{0x6f04407f,0x23650a1a,0x443e4080,0x26c60226}},	//   klic, gulj_, rbt_, _tloo_, 
   {{0x62860bf3,0x93e600cf,0x212102a2,0xd5a4015f}},	//   geko, _қўлл, _sihh_, _ولای, 
   {{0x6f044081,0xc05b00dd,0x7ae34082,0x6f1600da}},	//   dlic, лів_, énti, dmyc, 
   {{0xf61700a7,0x24181628,0x6f04243f,0x40344083}},	//   _החדש_, _колы_, elic, зерс, 
   {{0x6f044084,0x62864085,0xf4870444,0x6722018e}},	//   flic, beko, _دانی, _kioj, 
   {{0x6f044081,0x212903f6,0x66020298,0x62864086}},	//   glic, _tuah_, _kyok, ceko, 
   {{0xdced4087,0xd04e00ad,0x22640098,0x672221bd}},	// [3230] stač, hibə, šské_, _mioj, 
   {{0x0ba73d3e,0xddd000b3,0xf2df019b,0x660200de}},	//   йшем, ţeşt, liâ_, _myok, 
   {{0x66020539,0x6d46007b,0x644a2c3c,0x799b023e}},	//   _lyok, _ewka, _mefi, _sruw, 
   {{0x644a4088,0x799b4089,0x99993a64,0x660231c5}},	//   _lefi, _pruw, икет_, _oyok, 
   {{0xd8250c67,0x645816ef,0x6602408a,0x00000000}},	//   одли, _odvi, _nyok, --, 
   {{0x47590021,0x98a202c4,0x6286408b,0xdce40082}},	//   ария_, дише, zeko, vtić, 
   {{0xe7390088,0x66023268,0x16a9408c,0x6286408d}},	//   шей_, _ayok, ивки_, yeko, 
   {{0x2ee902bf,0x6458408e,0x3f810226,0x628601ca}},	//   nnaf_, _advi, _mphu_, xeko, 
   {{0x6286408f,0x644a05ec,0xb8830228,0x785b01dd}},	//   veko, _befi, _príč, tāvē, 
   {{0x753b4090,0xdce408e3,0x644a0090,0x00000000}},	//   rpuz, rtić, _cefi, --, 
   {{0x62864091,0xdce400f1,0x6498082e,0xe2862cb9}},	//   teko, stić, стыр_, олни, 
   {{0x67220126,0x24854092,0x64584093,0xdce400ca}},	//   _gioj, selm_, _edvi, ptić, 
   {{0x412a4094,0xe56e02f1,0x34954095,0x23650097}},	//   рого_, _юз_, _мадр, sulj_, 
   {{0x644a4096,0x64a50f5a,0xa06a0843,0x7e7d01c4}},	//   _gefi, _фака, јава_, _absp, 
   {{0x6f0402ec,0x64414097,0x68e400eb,0x93bc00d9}},	//   tlic, mbli, éidi, scăr, 
   {{0xee3a1ee4,0xf41200a7,0x752302f2,0x764b0019}},	//   рна_, _קפה_, _hinz, _jegy, 
   {{0x6f044098,0x5d6a4099,0x764b006b,0x6441409a}},	// [3240] rlic, ризм_, _megy, obli, 
   {{0x764b006b,0x4427005c,0x81c20086,0x64412457}},	//   _legy, _jgn_, ্পদ_, nbli, 
   {{0x6f04409b,0x61fb0405,0x7523052b,0x25bf00e2}},	//   plic, żult, _minz, hyul_, 
   {{0x7c290218,0x4427016a,0x764b409c,0x59db29c4}},	//   _şert, _lgn_, _negy, _मेहर, 
   {{0x67221771,0x4427409d,0x2d8f02c9,0x00000000}},	//   _rioj, _ogn_, æget_, --, 
   {{0x764b02a2,0x4427409e,0x25bf1041,0x25fd00a5}},	//   _aegy, _ngn_, dyul_, _लड़ी_, 
   {{0x764b409f,0x67220327,0x66020065,0x68ed0038}},	//   _begy, _pioj, _syok, éada, 
   {{0x35b41fe9,0x752b011c,0x38600540,0xd04e00ad}},	//   збир, _bugz, şir_, ribə, 
   {{0xd04e06d0,0x94aa40a0,0x2cb8007e,0x2db700c7}},	//   sibə, атна_, _kord_, ַלטן_, 
   {{0x752340a1,0x2cb80310,0x7c3b0b91,0x644110de}},	//   _cinz, _jord_, _đurk, gbli, 
   {{0x44273b58,0x2cb8170b,0x764b010e,0x644a003e}},	//   _dgn_, _mord_, _fegy, _vefi, 
   {{0x752302ec,0x04fc00cc,0x050a0086,0x32c9009e}},	//   _einz, ীদের_, রদের_, _bûya_, 
   {{0x644140a2,0x644a07d7,0x75231e23,0x66de01dd}},	//   bbli, _tefi, _finz, lūko, 
   {{0x64580022,0x2cb840a3,0x644a00ca,0x00000000}},	//   _udvi, _nord_, _uefi, --, 
   {{0x5f9440a4,0x00000000,0x00000000,0x00000000}},	//   мирт, --, --, --, 
   {{0x7e7d023e,0x442702b0,0x00000000,0x00000000}},	//   _qbsp, _zgn_, --, --, 
   {{0x2cb840a5,0x752305b3,0x00000000,0x00000000}},	// [3250] _bord_, _yinz, --, --, 
   {{0x44270183,0x752340a6,0xf1bf0369,0x2cb840a7}},	//   _xgn_, _xinz, scás_, _cord_, 
   {{0xd0f840a8,0x2d8240a9,0xfe700019,0xfbab40aa}},	//   ंकरण_, _epke_, عدہ_, штай_, 
   {{0x6ffa00d1,0x6e96010e,0x3eb4020b,0x00000000}},	//   _להתפ, _فلپا, ľatá_, --, 
   {{0x64410156,0x2cb840ab,0xd94540ac,0x764b0539}},	//   ybli, _ford_, чели, _regy, 
   {{0x752b02b0,0x3eb940ad,0x00000000,0x00000000}},	//   _rugz, _host_, --, --, 
   {{0x3eb940ae,0x26cd0364,0x4427040b,0x8ae7004f}},	//   _kost_, theo_, _rgn_, _діал, 
   {{0x7e6d40af,0x752323ea,0x64410118,0xa7fc0213}},	//   ngap, _sinz, wbli, _acıs, 
   {{0x3eb90056,0x95550084,0x442702a2,0x764b0019}},	//   _most_, أخبا, _pgn_, _vegy, 
   {{0xe73300eb,0x644140b0,0x3eb900d1,0x26cd0126}},	//   _قصص_, ubli, _lost_, sheo_, 
   {{0x644140b1,0x3eb9012e,0x03a511b5,0x764b0019}},	//   rbli, _oost_, чино, _tegy, 
   {{0xc6a40104,0x290740b2,0x752340b3,0x644140b4}},	//   _орчи, llna_, _winz, sbli, 
   {{0x442740b5,0x26110586,0x59bd0df2,0x752340b6}},	//   _tgn_, देखी_, ्निर, _tinz, 
   {{0x974214f0,0x659a0111,0x859a00d1,0x442702ae}},	//   šćen, _לינק, _לשנו, _ugn_, 
   {{0x3f570529,0x3eb940b7,0x8fa30d11,0x27310228}},	//   għu_, _bost_, наре, _ján_, 
   {{0x7e6d36fa,0x63bc02ae,0x2731003e,0x3eb938ab}},	//   ggap, ärne, _mán_, _cost_, 
   {{0x2ee040b8,0x273113bc,0x62960f3a,0x4d660009}},	// [3260] riif_, _lán_, _iayo, якав, 
   {{0x629640b9,0x7e6d0102,0x27310108,0xcce60038}},	//   _hayo, agap, _oán_, أسري, 
   {{0x3eb940ba,0x629640bb,0x656940bc,0x2d8f02c9}},	//   _fost_, _kayo, hueh, æger_, 
   {{0x2fc5155b,0x2cb800a7,0xb4c800bd,0xfe42010e}},	//   ølge_, _word_, _ईत्_, _سکری, 
   {{0xe8941310,0x673a0065,0x200e08e3,0x629640bd}},	//   даль, _sttj, šlić_, _mayo, 
   {{0x273100f7,0x629640be,0xddc40083,0x6d5634e8}},	//   _bán_, _layo, raiń, msya, 
   {{0xd6da40bf,0x2731001b,0xaa460477,0x6d56011c}},	//   йти_, _cán_, _невл, lsya, 
   {{0x7c3b1462,0x987802ee,0x629640c0,0x273140c1}},	//   _đuri, _išči_, _nayo, _dán_, 
   {{0x6d5640c2,0x7ae240c3,0xa3d43081,0x49ca3d3e}},	//   nsya, miot, _सेज_, _улан_, 
   {{0x7ae240c4,0x38c80274,0x629629b7,0x273103b3}},	//   liot, _باری_, _aayo, _fán_, 
   {{0x629640c5,0x6d561415,0x78a837b2,0xd91b00c7}},	//   _bayo, hsya, _indv, _פובל, 
   {{0xddc400e0,0x6d5640c6,0x62960626,0x27f30218}},	//   maiņ, ksya, _cayo, şanê_, 
   {{0x64a640c7,0x629602dc,0x3eb940c8,0x2458021d}},	//   _нада, _dayo, _rost_, _даль_, 
   {{0x760b0137,0xf8be0586,0xc8be1779,0x3eb90036}},	//   _פּאַ, ्सिय, ्सिट, _sost_, 
   {{0x3eb90056,0x78ba40c9,0x2005003e,0x62960104}},	//   _post_, _motv, æli_, _fayo, 
   {{0x62960268,0x7ae200b4,0x00000000,0x00000000}},	//   _gayo, jiot, --, --, 
   {{0x7e6d40ca,0xa2aa0179,0x3eb940cb,0x00000000}},	// [3270] rgap, टार्, _vost_, --, 
   {{0x2b4a0226,0xb0350386,0x629640cc,0xddd6039f}},	//   _bwbc_, _юнош, _zayo, ggyő, 
   {{0xa3e2047c,0x629640cd,0x2907014b,0x316c0035}},	//   _नेम_, _yayo, vlna_, ądze_, 
   {{0x6d5600e2,0xd83803a0,0xd6c60816,0x629600a3}},	//   bsya, _afč_, _شق_, _xayo, 
   {{0x27310210,0x00000000,0x00000000,0x00000000}},	//   _sán_, --, --, --, 
   {{0x2731014b,0xf7710816,0xa9a200a3,0x00000000}},	//   _pán_, ناب_, тишд, --, 
   {{0xb90500a5,0x690d0068,0x78ba0098,0x00000000}},	//   _पग_, búen, _dotv, --, 
   {{0x7ae240ce,0x78a840cf,0x27310023,0xd8380237}},	//   ciot, _endv, _ván_, _efč_, 
   {{0x629640d0,0x78270133,0xbbdd2a2c,0x2d9f00da}},	//   _rayo, _فعال, _मधुक, _šuej_, 
   {{0x629640d1,0x273140d2,0xddc40528,0xbebb040b}},	//   _sayo, _tán_, ngiš, _siël, 
   {{0xb4cd0081,0x629640d3,0x6aa90054,0x00000000}},	//   _रती_, _payo, _knef, --, 
   {{0x91e640d4,0x629601ff,0x36d440d5,0xe1ff0083}},	//   доме, _qayo, _похр, ngów_, 
   {{0xdc0a1567,0x6abb10cc,0x425500b3,0x00000000}},	//   _वर्ड_, _mouf, этэт, --, 
   {{0x62960383,0xf99200d1,0x6abb0151,0x92de0033}},	//   _wayo, דרך_, _louf, তকে_, 
   {{0x629604b4,0x6aa9039b,0x7b0300c2,0xf4b60535}},	//   _tayo, _onef, nõus, _تشنگ, 
   {{0x68e340d6,0x7ae20183,0x7c2940d7,0x28a40299}},	//   hind, xiot, _şerp, _गोनि, 
   {{0x7ae240d8,0xad9b039f,0x00000000,0x00000000}},	// [3280] viot, _szúr, --, --, 
   {{0x6d5640d9,0x6aa905f0,0x3cfa00ab,0x69c20053}},	//   rsya, _anef, ्तें_, vyoe, 
   {{0x6d5602cd,0xb4fa00c7,0x6abb0107,0x0d2300d3}},	//   ssya, קלער, _bouf, түрү, 
   {{0x6d5623c4,0x78ba40da,0x6abb40db,0x00000000}},	//   psya, _sotv, _couf, --, 
   {{0x68e340dc,0x78ba2365,0x7ae240dd,0xe8fa1d7d}},	//   find, _potv, riot, олд_, 
   {{0x68e340de,0x7ae340df,0x97a63a88,0x20040248}},	//   gind, éntr, дрил, əmir_, 
   {{0xad9b0019,0x7ae240e0,0x6abb40e1,0x2a7d0201}},	//   _nyúj, piot, _fouf, bfwb_, 
   {{0x6abb0151,0x656d0032,0x00000000,0x00000000}},	//   _gouf, _ťaha, --, --, 
   {{0x68e340e2,0x69d6031e,0x78ba02be,0x00000000}},	//   bind, _मेची, _totv, --, 
   {{0x78a83080,0x68e340e3,0x6abb02d9,0x73d8034f}},	//   _undv, cind, _zouf, здор_, 
   {{0x6abb039b,0xca750104,0x00000000,0x00000000}},	//   _youf, _kuzа, --, --, 
   {{0x658702ae,0xe769070f,0xe3c403a1,0x00000000}},	//   örhå, _رحمن_, _үркү, --, 
   {{0x471b0147,0xf49324a1,0x98a4107c,0x00000000}},	//   _וואג, رشید, _gumă_, --, 
   {{0x660f01c4,0x3cfa0035,0x00000000,0x00000000}},	//   ücke, ्तों_, --, --, 
   {{0xdfd51193,0x261a0299,0xad9b039f,0xcebb0267}},	//   ховы, मेरी_, _gyúj, оља_, 
   {{0x68e340e4,0x00000000,0x00000000,0x00000000}},	//   zind, --, --, --, 
   {{0xa3e204d7,0x68e340e5,0x9d150197,0x40351dbd}},	// [3290] _नेत_, yind, едач, _пепс, 
   {{0x6abb1d12,0x68e340e6,0xee3f0032,0xdd9300f0}},	//   _souf, xind, _iným_, нағы, 
   {{0xf09200d1,0xa2d62b69,0x6abb40e7,0xddc40028}},	//   _גני_, मोक्, _pouf, rgiš, 
   {{0x68e340e8,0x6fae000d,0x00000000,0x00000000}},	//   wind, ीहरू, --, --, 
   {{0x690d0183,0x66e802d9,0x69af0110,0x00000000}},	//   búel, něku, ंमधी, --, 
   {{0x7b0300b0,0x3f87019c,0x00000000,0x00000000}},	//   tõus, _ânus_, --, --, 
   {{0x68e340e9,0x6abb40ea,0x98a4020f,0x00000000}},	//   rind, _touf, _sumă_, --, 
   {{0x68e340eb,0x00000000,0x00000000,0x00000000}},	//   sind, --, --, --, 
   {{0x68e340ec,0x32092d6c,0x00000000,0x00000000}},	//   pind, _nyay_, --, --, 
   {{0x974202f5,0x68e340ed,0x391440ee,0x00000000}},	//   šćan, qind, _амур, --, 
   {{0x32090118,0xe29a40ef,0x28ac0239,0x290500a4}},	//   _ayay_, пан_, चारि, _ikla_, 
   {{0xd0550095,0x63bc014e,0xdce401f0,0xe9df003e}},	//   mizə, ärna, ktiğ, _þús_, 
   {{0xd17500d3,0xa2d60179,0xcb122737,0x00000000}},	//   кыры, मोग्, טלט_, --, 
   {{0x657b095a,0x00000000,0x00000000,0x00000000}},	//   mtuh, --, --, --, 
   {{0x657b40f0,0x3f160165,0x394d0118,0x60c101d5}},	//   ltuh, еќат, _lwes_, ölma, 
   {{0x52760272,0x670f00bc,0x11680e0e,0x00000000}},	//   _чуку, ातिक_, _قلبی_, --, 
   {{0x657b40f1,0x7c3b0095,0x25790cd7,0x29050065}},	// [32a0] ntuh, _şura, nèl_, _okla_, 
   {{0xfa150086,0x657b018e,0x26cf03c6,0x00000000}},	//   িশাল_, ituh, _llgo_, --, 
   {{0x225207fc,0x0b460093,0x7c330216,0x612b00a4}},	//   _keyk_, хнен, _şerê, _iżla, 
   {{0x657b0daa,0xb4bc0299,0x68e100f3,0x29050241}},	//   ktuh, _इक्_, _amld, _akla_, 
   {{0x28ac0509,0x199440f2,0x6284055c,0xd8380118}},	//   चालि, таля, _mbio, _ončt_, 
   {{0x26cf0e2e,0x6d440489,0xd90d00d6,0x02cc10ae}},	//   _algo_, mpia, قیق_, ासुन, 
   {{0x569440f3,0x662500ad,0x628400f6,0x00000000}},	//   вайт, ərkə, _obio, --, 
   {{0xd6d70088,0x290505d5,0x20d400c2,0xba533629}},	//   еть_, _ekla_, _häid_, _منفع, 
   {{0x888615f5,0x6d4440f4,0x16370038,0xa96740f5}},	//   _плаж, npia, رسية_, _пита_, 
   {{0x628422c9,0x20d400b0,0x6d440028,0x44f303a1}},	//   _abio, _jäid_, ipia, лпыс, 
   {{0x628400a1,0xe2f940f6,0x02cc0110,0x00000000}},	//   _bbio, дені_, ासून, --, 
   {{0x28a400b0,0x257940f7,0x00000000,0x00000000}},	//   _गोति, bèl_, --, --, 
   {{0x248c016a,0x63a30175,0x6eba1aab,0x00000000}},	//   pedm_, _ernn, _एकजु, --, 
   {{0x2ec900ea,0xe817017d,0x7c2e0175,0x00000000}},	//   रस्त, धेका_, _ngbr, --, 
   {{0x439440f8,0x00000000,0x00000000,0x00000000}},	//   _райс, --, --, --, 
   {{0x752a40f9,0xdce401f0,0x442e011c,0x6e9400b3}},	//   _hifz, ttiğ, _hgf_, лису, 
   {{0xb8160086,0x6d4440fa,0x8c6700f0,0x442e019c}},	// [32b0] াশিত_, gpia, етед, _kgf_, 
   {{0x629d40fb,0x3a2d0183,0x62840035,0x66e7023e}},	//   ldso, _sgep_, _zbio, _kèkè, 
   {{0x37e50086,0xdce40241,0x00000000,0x00000000}},	//   _পুনর, stiğ, --, --, 
   {{0x2579158b,0x7b2c01f0,0x2905014b,0x394d011d}},	//   yèl_, _ağus, _skla_, _pwes_, 
   {{0x7bc540fc,0x6f0d40fd,0x629d40fe,0x2bad00aa}},	//   syhu, mlac, idso, _टपका, 
   {{0x6f0d40ff,0x25790cd7,0x013800d1,0x00000000}},	//   llac, vèl_, ערות_, --, 
   {{0x628f0065,0x6f0d0557,0x973c00ca,0x9d184100}},	//   keco, olac, _prća, _чорт_, 
   {{0x25794101,0x6f0d4102,0x442e02c9,0xd05500ad}},	//   tèl_, nlac, _agf_, rizə, 
   {{0x629d0156,0xf99f011c,0x443c0054,0x394d01e5}},	//   ddso, _éè_, _bfv_, _uwes_, 
   {{0x6f0d4103,0x657b4104,0xa3e200b0,0x257906df}},	//   hlac, rtuh, _नेह_, rèl_, 
   {{0x657b4105,0xe7b51117,0x6f0d4106,0x97a700a3}},	//   stuh, _جماد, klac, _ярал, 
   {{0x2d4f006a,0x6e3d02fe,0x644800ef,0x6f0d0228}},	//   kże_, _nfsb, abdi, jlac, 
   {{0x76494107,0x69d94108,0x443c017b,0x64480be0}},	//   mbey, nzwe, _ffv_, bbdi, 
   {{0x61431ca5,0x442e01c4,0x6f0d007a,0x672b0034}},	//   рера, _ggf_, elac, _higj, 
   {{0xe29a021f,0xfe780161,0x44210023,0xd0071103}},	//   _жай_, нүн_, _àh_, вере_, 
   {{0x6f0d4109,0x8e7503a1,0x628f016c,0x437408bd}},	//   glac, лууч, ceco, _сушт, 
   {{0xed570316,0xf65200c7,0x65690f3a,0x672b410a}},	// [32c0] кот_, יצן_, nreh, _migj, 
   {{0x672b01ee,0x6f0d1600,0xa3c80262,0x315700c7}},	//   _ligj, alac, लैक_, _שיין_, 
   {{0x6f0d410b,0xd8380704,0x6d44410c,0x79890247}},	//   blac, _jače_, spia, _apew, 
   {{0xd946095b,0x6d44170f,0x0ea93355,0xa96a0e65}},	//   веди, ppia, _चोपड, дида_, 
   {{0xd910086b,0x8884004e,0x69d9039b,0x00000000}},	//   میر_, лғал, gzwe, --, 
   {{0x8c43410d,0x6569410e,0x7d07011c,0xdced00ca}},	//   _вере, dreh, _gkjs, vtać, 
   {{0x20d400b0,0x00000000,0x00000000,0x00000000}},	//   _käib_, --, --, --, 
   {{0x25a91a44,0x628f0183,0x00000000,0x00000000}},	//   _šala_, xeco, --, --, 
   {{0x6569410f,0x80d300cc,0x628f4110,0x672b024a}},	//   greh, _সদস্, veco, _digj, 
   {{0x39463ba5,0xe4a64111,0x63bc0747,0x81b80033}},	//   mpos_, трио, ärno, চনা_, 
   {{0xdced0571,0xd4970b34,0x394636d7,0x6f0d0035}},	//   stać, тры_, lpos_, ylac, 
   {{0x65694112,0x290e0156,0xdce42d3c,0x20d400c2}},	//   breh, llfa_, drič, _näib_, 
   {{0x628f4113,0x6f0d04d1,0x629d4114,0x27380210}},	//   reco, vlac, rdso, _hén_, 
   {{0x39461056,0xd3a600d9,0x27384115,0x443c02be}},	//   ipos_, _арип, _kén_, _ufv_, 
   {{0x4fc44116,0xd83800ca,0x628f019c,0xf4290080}},	//   аста, _gače_, peco, rjää_, 
   {{0xdd9513c3,0xb27500c8,0x25a601d2,0x3d954117}},	//   лабы, _слиш, _krol_, либр, 
   {{0x6f0d4118,0x1be802e6,0x9df94119,0x2738411a}},	// [32d0] rlac, _टेबल_, хнат_, _lén_, 
   {{0xdce40d9d,0x26050394,0xe7e3007e,0x2259411b}},	//   brič, _हँसी_, _कइला_, lask_, 
   {{0x6f0d1c5c,0x273800e7,0x09bd049c,0x1fe10033}},	//   plac, _nén_, ्न्य, _মুরস, 
   {{0x69d902f2,0x6d5d02fe,0x25a6411c,0x00000000}},	//   tzwe, _tvsa, _orol_, --, 
   {{0x99851d38,0xda7806ba,0x39463dd5,0x7649010c}},	//   التو, тях_, gpos_, vbey, 
   {{0x69d91849,0xd914012d,0x2738411d,0x672b03a0}},	//   rzwe, адчы, _bén_, _sigj, 
   {{0xe81e1422,0x27380084,0x66e5411e,0x660b00e2}},	//   येला_, _cén_, лока, _sygk, 
   {{0x6569411f,0x38692037,0x3946006d,0x25a64120}},	//   treh, şar_, bpos_, _brol_, 
   {{0x273801c8,0x25a60242,0x28a410b0,0x76494121}},	//   _eén_, _crol_, _गोवि, rbey, 
   {{0x7b2c0785,0x6f040068,0xb4bf00b0,0x25a60118}},	//   _uğur, zoic, ीसे_, _drol_, 
   {{0x03260161,0x27384122,0x42ea4123,0x25a60241}},	//   лдон, _gén_, емно_, _erol_, 
   {{0x216a02fb,0x65694124,0xd7f800b9,0x25a60183}},	//   ними_, preh, _руу_, _frol_, 
   {{0x7d052e22,0xd469002e,0xca7a0070,0x6f044125}},	//   kohs, _зиле_, ענשט, voic, 
   {{0x273811e9,0xdce44126,0x19b600d1,0x04420d5c}},	//   _yén_, trič, אפשר_, _лешн, 
   {{0x82a64127,0xf45600fe,0x2d994128,0x2d8b4129}},	//   _байж, _עיקר_, _asse_, _apce_, 
   {{0x26cd01a7,0x9442010e,0xdee3412a,0x00000000}},	//   nkeo_, _پھین, боси, --, 
   {{0xac86022c,0x6f042e31,0x3dc9012b,0xceb400ad}},	// [32e0] лгал, roic, gyaw_, lmək_, 
   {{0xdce406e0,0x6ea4119b,0x85030c59,0x5b3600b3}},	//   prič, _चोरु, रकिट_, гэду, 
   {{0x2d9900ce,0xe7e302f8,0x160a00a5,0x3dc9011d}},	//   _esse_, _केला_, _हुनर_, ayaw_, 
   {{0xa3c80262,0x39460102,0x2d860165,0xdd1200e0}},	//   लैट_, tpos_, çoes_, _kļūs, 
   {{0x9f06006b,0xaa570195,0x3946412b,0x27380175}},	//   _لوگو, الها_, upos_, _sén_, 
   {{0x307a00c7,0xfce6412c,0xceb400ad,0x3ea01e1b}},	//   גאַנ, _сого, kmək_, ldit_, 
   {{0x3946412d,0xf72a412e,0xb8ec35c8,0x2d80412f}},	//   spos_, нций_, _लव_, ltie_, 
   {{0x3ea0078e,0x27384130,0x25a639b5,0x963401ba}},	//   ndit_, _vén_, _prol_, шниц, 
   {{0x2d804131,0xb8ea0086,0xe8fa2f78,0x225900fb}},	//   ntie_, _লগ_, _зла_, vask_, 
   {{0x27380068,0x3ea04132,0x7d7b00d1,0xf36400d9}},	//   _tén_, hdit_, עניו, аӂин, 
   {{0xa92305a8,0x8cd90035,0x3160020f,0x00000000}},	//   ížen, फोटो, _aviz_, --, 
   {{0x57fb00a7,0x81e60086,0x26cd0126,0x2d804133}},	//   _אלבו, _বুধ_, ckeo_, ktie_, 
   {{0x22590028,0x313527eb,0xf1ab007a,0x00000000}},	//   rask_, регр, راحه_, --, 
   {{0x2240023e,0x31600237,0x63bc0a1f,0xe7b60033}},	//   _efik_, _dviz_, ørns, জনীয, 
   {{0xde59004f,0xdfd800fd,0x00000000,0x00000000}},	//   каві_, гът_, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xdc554134,0xa18708ad,0x7d1c00a1,0xec6b2794}},	// [32f0] ивањ, _сыйл, _bhrs, ерек_, 
   {{0x443e4135,0x7d1c00a1,0x629f01ff,0x28a40083}},	//   nct_, _chrs, _haqo, _गोलि, 
   {{0x5a351fe9,0x2d804136,0x316002fe,0x25e60a34}},	//   анет, atie_, _zviz_, _जेसी_, 
   {{0x645a4137,0x4c944138,0xf9910116,0x3dc9011d}},	//   hati, _қисс, قبت_, pyaw_, 
   {{0x2d804139,0x629f00cf,0x50b800d6,0xbebb12b6}},	//   ctie_, _maqo, _شدید_, _diët, 
   {{0xb4c3413a,0x645a413b,0x25a90352,0x20d400b0}},	//   _एके_, jati, _šalo_, _käia_, 
   {{0x9854004f,0xac18413c,0x00000000,0x00000000}},	//   стіш, _бору_, --, --, 
   {{0x0565413d,0x16a900c8,0x443e00b3,0xb4cd2b69}},	//   авин, твии_, ect_, रस्_, 
   {{0x6341002a,0x645a2112,0xe61903dc,0x057600eb}},	//   _mēne, fati, ъди_, لمية_, 
   {{0xc482413e,0x7aeb413f,0x645a4140,0x2ed210b0}},	//   ольк, ligt, gati, _सत्त, 
   {{0x29074141,0x629f4142,0x394000b3,0x69cb4143}},	//   mona_, _baqo, ţist_, lyge, 
   {{0x29074144,0xceb406d0,0x443e4145,0xf7700071}},	//   lona_, rmək_, act_, _رام_, 
   {{0xa91d0009,0xb21b0566,0x443e040b,0x00000000}},	//   _apži, sfæn, bct_, --, 
   {{0x645a4146,0x03a50b0c,0x290705f0,0x04454147}},	//   cati, _вико, nona_, _текн, 
   {{0xd838003a,0xb21b01cc,0x7aeb0495,0x7e5627fe}},	//   _jača_, lfæl, kigt, итац, 
   {{0xe51900b5,0x29074148,0x765b0495,0x2d804149}},	//   _नीति_, hona_, nauy, ttie_, 
   {{0x3ea0414a,0x7aeb414b,0xee370bf2,0xd176001c}},	// [3300] rdit_, digt, рну_, _тыйы, 
   {{0x2d80414c,0xb4c3252e,0x3865414d,0x765b012b}},	//   rtie_, _एको_, _ndlr_, hauy, 
   {{0xa7fc0824,0x2d80414e,0xad9b0042,0x799b414f}},	//   _adın, stie_, _axúd, _asuw, 
   {{0x645a4150,0x2d804151,0x0a6700fd,0x201a01cf}},	//   zati, ptie_, арши_, _izpi_, 
   {{0x69263880,0x645a00cf,0x660f01c4,0x49964152}},	//   амда, yati, ückl, ршет, 
   {{0x29074153,0x645a4154,0xd83800de,0x00000000}},	//   gona_, xati, _bača_, --, 
   {{0x645a4155,0xe0b70070,0x030602e6,0x7aeb4156}},	//   vati, ילסט_, रवाह_, bigt, 
   {{0x645a4157,0xf102031e,0xd8380097,0x79b70019}},	//   wati, लकुद_, _dača_, _چھوڑ_, 
   {{0x29071575,0x01cb0086,0x386502b8,0x629f00a3}},	//   bona_, _লেনদ, _fdlr_, _raqo, 
   {{0x29074158,0x37e600d3,0x04aa00a3,0xae1901a4}},	//   cona_, _козг, тъий_, _दरसन_, 
   {{0x645a4159,0xb4d60a34,0x9259415a,0x9f45027e}},	//   rati, _सती_, лант_, çlü_, 
   {{0x645a18fb,0x6d4602f5,0x629f008a,0xd05c00ad}},	//   sati, _otka, _qaqo, mirə, 
   {{0xc05b0b0c,0x7982006a,0x645a415b,0x6aa0016a}},	//   ків_, ntow, pati, _mamf, 
   {{0x645a415c,0x6aa0019b,0x6562023a,0x41e82bcb}},	//   qati, _lamf, _ivoh, рфюм_, 
   {{0x251b0111,0x6d461f8f,0x6458002a,0x79822505}},	//   _שווא, _atka, _ievi, htow, 
   {{0x64580489,0x798200ab,0x6aa0415d,0x00000000}},	//   _hevi, ktow, _namf, --, 
   {{0x6458415e,0x2907415f,0x040b0033,0x6b9c0508}},	// [3310] _kevi, yona_, হেদী_, _asrg, 
   {{0x40950084,0x64584160,0xd05c0095,0x29074161}},	//   _الدر, _jevi, kirə, xona_, 
   {{0x29074162,0x645802fe,0xd00800ce,0x7aeb4163}},	//   vona_, _mevi, _веќе_, tigt, 
   {{0x290c0c3d,0x69cb0219,0xd05c0095,0x29074164}},	//   _akda_, tyge, dirə, wona_, 
   {{0x29074165,0x7aeb4166,0x18690eaf,0x66d50098}},	//   tona_, rigt, гали_, _náka, 
   {{0x64584167,0x7aeb4168,0xe9d82983,0x270f0e17}},	//   _nevi, sigt, шкі_, ात्र_, 
   {{0x29074169,0x60c50065,0x79820035,0x7aeb416a}},	//   rona_, _mohm, atow, pigt, 
   {{0x20d4030f,0x2907416b,0x799b0415,0x6d4002be}},	//   _näin_, sona_, _tsuw, _émac, 
   {{0x7ae9416c,0x6458416d,0x2738001b,0x799b0035}},	//   _imet, _bevi, _lĩnh_, _usuw, 
   {{0x04b5416e,0x7ae90065,0xa91d0009,0x6458416f}},	//   ссия, _hmet, _apžv, _cevi, 
   {{0x64584170,0x7ae902ee,0xd6db0267,0x65601197}},	//   _devi, _kmet, _итд_, asmh, 
   {{0x7afb02a5,0x6aa000b9,0x72c82d60,0x98a5107c}},	//   _jjut, _xamf, рғиб_, _filă_, 
   {{0x64a54171,0x45450071,0x68e802bf,0x7ae94172}},	//   _гала, _انتق, _ymdd, _mmet, 
   {{0x7afb090e,0x05b80a24,0x64584173,0x6ac40790}},	//   _ljut, _خدمت_, _gevi, _वक्र, 
   {{0x66d508d7,0x96db031e,0x7ae94174,0x60c500ca}},	//   _záka, _बताउ, _omet, _dohm, 
   {{0x7afb4175,0x64580218,0x79820035,0x63120033}},	//   _njut, _zevi, ytow, _সংকট_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [3320] --, --, --, --, 
   {{0x7afb4176,0x7ae94177,0x6aa04178,0x6441276c}},	//   _ajut, _amet, _samf, ncli, 
   {{0x7ae90036,0xa09b0225,0x2fd0020f,0x00000000}},	//   _bmet, _גייט, ângă_, --, 
   {{0x765902f0,0xdbd0063b,0x291e4179,0x63bc02ae}},	//   _newy, _užív, _shta_, ärni, 
   {{0xe3a7082c,0x78a100e0,0x6d46417a,0xcb6700f0}},	//   _کر_, _balv, _utka, _қате_, 
   {{0x7982006a,0x7ae9417b,0x398003a1,0x6cd60198}},	//   rtow, _emet, ròs_, _اقسا, 
   {{0x6458417c,0xf09300a7,0x7982417d,0x7659018c}},	//   _revi, פנה_, stow, _bewy, 
   {{0x64583fde,0xd6d7417e,0x3ea20f5b,0xe81e0035}},	//   _sevi, йты_, _jakt_, येगा_, 
   {{0x7ae317ab,0x645802a2,0x3ea2383b,0x00000000}},	//   ënte, _pevi, _makt_, --, 
   {{0x78a1417f,0xd49a4180,0x7afb008b,0xe73a00b3}},	//   _galv, ури_, _zjut, _беж_, 
   {{0x387e2083,0xa68617d2,0x24181c0f,0x60c53615}},	//   _ictr_, _глед, роны_, _rohm, 
   {{0x6443008c,0x76590876,0x690d0068,0xd8380604}},	//   _efni, _gewy, búes, _kačo_, 
   {{0x61200d6b,0x64584181,0xa6a907cb,0x98ac03a0}},	//   köld, _tevi, _خالق_, _lidč_, 
   {{0x64a34182,0x273800f7,0x7e7d00ef,0x673a4183}},	//   _нача, _cũng_, _scsp, _kutj, 
   {{0x673a2de8,0x273800e7,0xdfd4004e,0x534600a3}},	//   _jutj, _dũng_, поры, _ухла, 
   {{0x2bac0c64,0x2738001b,0xfbdf0086,0x5d5500fd}},	//   घटना, _vĩnh_, _বুঝত, жкат, 
   {{0x60c54184,0x628d011d,0x673a024a,0xe1671897}},	// [3330] _tohm, _ibao, _lutj, _ادبي, 
   {{0x273800e7,0xbcfb0107,0x7afb4185,0xa7fc0384}},	//   _tĩnh_, _evén, _sjut, _adım, 
   {{0x3ea24186,0x9e354187,0x7afb007b,0x00000000}},	//   _fakt_, _менч, _pjut, --, 
   {{0x78a10df7,0x64410126,0xd8380604,0x26190790}},	//   _salv, zcli, _bačo_, _परली_, 
   {{0x78a1030f,0x387e0226,0x1a6811b7,0x5d790070}},	//   _palv, _bctr_, صیلی_, _דאָק, 
   {{0xd90f00d6,0x6d4d1066,0x673a0149,0x17c91a63}},	//   ریا_, mpaa, _butj, игли_, 
   {{0x78a14188,0x940500ad,0x6d4d4189,0x00000000}},	//   _valv, belə_, lpaa, --, 
   {{0x7ae9418a,0x7afb00f1,0x2ca30bfc,0x78a110f3}},	//   _umet, _ujut, _hajd_, _walv, 
   {{0x78a1418b,0x2a7f00b9,0xe5a53d8f,0x00000000}},	//   _talv, _icub_, ципи, --, 
   {{0x3365418c,0x98f70a24,0xaf010086,0x5fc90367}},	//   овог, _اثرا, ্ষিণ_, रहाल, 
   {{0x2ca3006b,0x6441418d,0x7659040b,0x00000000}},	//   _majd_, rcli, _tewy, --, 
   {{0xc5d51222,0xc049035c,0x64411ffb,0x6b850156}},	//   _міль, _יז_, scli, ithg, 
   {{0x80b50086,0x3ea2014e,0x628d00a1,0x66d538b9}},	//   ুসন্, _rakt_, _dbao, _háko, 
   {{0xceb400ad,0x27310604,0x3ea2418e,0x6d4d039b}},	//   hmət_, _kšno_, _sakt_, dpaa, 
   {{0x6120418f,0x3ea24190,0x7ce90095,0x273800e7}},	//   völd, _pakt_, _görə, _vũng_, 
   {{0xa3e23cae,0xee3f01d5,0x715a2f32,0x63ae0566}},	//   _नेट_, _snýr_, _крос_, æbne, 
   {{0x6d4d2a85,0xceb40095,0x2ca300a4,0x3ea2328f}},	// [3340] gpaa, dmət_, _bajd_, _vakt_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xeb9a0234,0x3ea20f96,0x6d4d02a5,0x00000000}},	//   рие_, _takt_, apaa, --, 
   {{0x094a275d,0xc9aa4191,0xb4d6072d,0x673a039b}},	//   ачки_, ивее_, _सत्_, _rutj, 
   {{0x673a4192,0x00000000,0x00000000,0x00000000}},	//   _sutj, --, --, --, 
   {{0x83fc0112,0xb503072f,0x765d008c,0xd76a2e69}},	//   lađe, रकोप_, ðsyn, ашид_, 
   {{0xd6da4193,0xcb67373a,0xdb833a20,0x00000000}},	//   ити_, _маре_, _огри, --, 
   {{0x83fc02f5,0x758a117c,0x00000000,0x00000000}},	//   nađe, асов_, --, --, 
   {{0xc6f7012d,0xe5c6021d,0x7c39039f,0x6b60007a}},	//   ўных_, юско, _ábrá, _fágá, 
   {{0x673a0034,0x394903da,0x00000000,0x00000000}},	//   _tutj, íase_, --, --, 
   {{0xc7a60012,0x00000000,0x00000000,0x00000000}},	//   _фиек, --, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x66d508fc,0x64a64194,0x1611109f,0xe298012d}},	//   _záko, _мада, _डुपर_, цаў_, 
   {{0x7ce90095,0x00000000,0x00000000,0x00000000}},	//   _törə, --, --, --, 
   {{0x7ce04195,0x40344196,0xceb40095,0x67220026}},	//   _körf, дерс, ymət_, _khoj, 
   {{0x6f164197,0x66d50076,0x83fc14f0,0x7308152c}},	//   glyc, _nákl, gađe, _وقوف_, 
   {{0x3f9e003e,0xdce60241,0x6722018e,0x00000000}},	// [3350] ætur_, _askı, _mhoj, --, 
   {{0x2001006d,0x6d4d4198,0xfbab00b3,0x00000000}},	//   _txhi_, rpaa, итей_, --, 
   {{0x6d4d4199,0x6b85012b,0x6d40419a,0x309a00d1}},	//   spaa, uthg, _éman, _השתמ, 
   {{0xb5fd02ee,0x6d4d0088,0x6b85017c,0xdced12e2}},	//   laše, ppaa, rthg, mrač, 
   {{0xdce706a2,0x3179419b,0xceb400ad,0x2ca3008a}},	//   şlıc, nusz_, rmət_, _tajd_, 
   {{0xe7391428,0x6722419c,0x9d180093,0x47590093}},	//   бек_, _ahoj, _моят_, брия_, 
   {{0x67222279,0xd7fb03dc,0xd378090e,0x7b64419d}},	//   _bhoj, шуд_, juć_, _отте, 
   {{0x6f0d419e,0x3179419f,0x67220083,0x00000000}},	//   noac, kusz_, _choj, --, 
   {{0x80cc00bd,0xa2bf2c67,0xe5710038,0x7ce00502}},	//   _सकले, षान्, رطة_, _dörf, 
   {{0x66d508d7,0xdced0076,0x6f0d0626,0xb5fd0eae}},	//   _zákl, krač, hoac, jaše, 
   {{0x7ce0022b,0xd3780112,0x33f541a0,0x130a0b24}},	//   _förf, guć_, ячис, йной_, 
   {{0xf8bd0086,0xdced008b,0xbddb05d5,0x2721020b}},	//   _অতিথ, drač, _afèm, fóne_, 
   {{0x171a0137,0x14a600a2,0x83fc034c,0x672941a1}},	//   _פונע, _कोकण, vađe, mmej, 
   {{0xb5fd02fe,0x66dc0175,0xdced0098,0x25af0604}},	//   gaše, _gékb, frač, _irgl_, 
   {{0x602341a2,0x2467010e,0x7ce041a3,0x63bc02ae}},	//   едра, _című_, _hörg, ärnt, 
   {{0xee3a41a4,0x660f0380,0x66dc0175,0x00000000}},	//   сна_, ückw, _téke, --, 
   {{0x83fc02f5,0xde0341a5,0xdee31ef0,0x7ce041a6}},	// [3360] rađe, епти, хоти, _jörg, 
   {{0x83fc044e,0xdced00da,0x7ce0008c,0xb8860228}},	//   sađe, brač, _mörg, _kríž, 
   {{0x6f0d09a1,0x6f160096,0xfb8a03ab,0x6729011c}},	//   boac, plyc, сбек_, kmej, 
   {{0xdce4003a,0x672941a7,0x63ae0566,0x00000000}},	//   krić, jmej, åbni, --, 
   {{0xdce400ef,0x7ae310de,0xd3780083,0x67290175}},	//   jrić, ënta, zuć_, dmej, 
   {{0xdce4090b,0x2b5802aa,0x00000000,0x00000000}},	//   drić, _twrc_, --, --, 
   {{0xb8f441a8,0x6027005f,0xddc6009e,0x27210228}},	//   _हक_, mémé, _yekş, zóne_, 
   {{0xb8d31230,0x35b441a9,0xfaa341aa,0xd3780242}},	//   _जो_, дбир, _пасо, vuć_, 
   {{0x186a41ab,0x09e301ff,0xe9da41ac,0x00000000}},	//   _гази_, _зотн, _ука_, --, 
   {{0x656f41ad,0xb4d600ab,0x07a641ae,0xc7a606ba}},	//   ácha, ससे_, _назн, _низк, 
   {{0x7b372873,0x672241af,0x66dc0096,0x224d01ca}},	//   _ućut, _thoj, _cékc, ñeko_, 
   {{0x7ce00219,0x66020a9f,0xd7ef0038,0xdced0352}},	//   _förg, _txok, _حكم_, vrač, 
   {{0x7ce0014e,0xbcfb00bc,0xdb0e0034,0x6f0d00b3}},	//   _körd, _svém, _arbë, voac, 
   {{0x63bc0219,0x335815d3,0x290e023a,0x00000000}},	//   ärns, _дакэ_, nofa_, --, 
   {{0xbebb01ee,0x7ce0074b,0xb5fd052a,0x0f1b00eb}},	//   _dhën, _mörd, raše, مغرب_, 
   {{0x59be1422,0x7ce0022b,0x290e0379,0x80c102e6}},	//   ्हार, _lörd, hofa_, रॉजे, 
   {{0xdd942ac0,0x290e41b0,0x00000000,0x00000000}},	// [3370] наты, kofa_, --, --, 
   {{0x81e60086,0xdd93004e,0xdced00ef,0xa1150038}},	//   _বুক_, мағы, prač, _زوجت, 
   {{0x6ce4004f,0x6f0d41b1,0xc4d30225,0x00000000}},	//   хіте, poac, עגע_, --, 
   {{0x386c011c,0x2ee000f8,0xb5fd00ca,0xdb230444}},	//   _addr_, chif_, našc, روشی, 
   {{0x290e318e,0x7ce01096,0x98a5109a,0x00000000}},	//   fofa_, _börd, диле, --, 
   {{0x008a00c7,0xdce4032f,0x7ff4009c,0x00000000}},	//   ַרפֿ, vrić, _آسیا, --, 
   {{0x7ce004be,0x26df0026,0x917a0108,0x9be4017b}},	//   _dörd, thuo_, _mất_, _зітк, 
   {{0xdce41c2b,0x3169020f,0xd54919fe,0x00000000}},	//   trić, _ovaz_, опие_, --, 
   {{0x7ce033d6,0x2d8941b2,0x2a6d019c,0xf99000d7}},	//   _förd, ntae_, _ideb_, _مبل_, 
   {{0x672941b3,0x7ce0091f,0x2249023a,0xbddb0118}},	//   smej, _görd, _afak_, _afèk, 
   {{0xf7700fdc,0x316941b4,0xb7d5195e,0xe29a046c}},	//   _مان_, _avaz_, _تقاب, оан_, 
   {{0xbebb01ee,0x32d3010c,0x25a9090e,0xa2842ea7}},	//   _shën, _rûyê_, _šalu_, ریخو, 
   {{0x7ce001c4,0x3ea941b5,0x82360444,0xe5a541b6}},	//   _höre, ddat_, بردا, _цили, 
   {{0xda20119b,0x224900b9,0xbddb0118,0xf48741b7}},	//   _बरसत_, _efak_, _efèk, _худн, 
   {{0x25ad00b0,0x3169040c,0x657b0096,0x00000000}},	//   lvel_, _evaz_, luuh, --, 
   {{0xef1a0769,0x394d00ef,0x3f6800ad,0xf41200d1}},	//   іма_, _otes_, rğu_, _שפה_, 
   {{0xbebb00e5,0x394d006f,0x2d890102,0x9f3600f0}},	// [3380] _thën, _ntes_, gtae_, зеңі, 
   {{0x2ee0095a,0x3ea601dd,0x62840118,0x66dc031d}},	//   shif_, žot_, _hcio, _méka, 
   {{0x4f26041d,0x66dc031e,0x7ce002ae,0xdee600a3}},	//   _одоб, _léka, _rörd, _жони, 
   {{0x83fc1c2b,0x657b0080,0xd8380121,0x00000000}},	//   nađa, kuuh, _tačk_, --, 
   {{0xd00f0399,0xd94341b8,0xe8942b68,0x290e41b9}},	//   _ملی_, вечи, еаль, tofa_, 
   {{0x83fc0112,0xd8380082,0x7ce00241,0x7e64011f}},	//   hađa, _kači_, _böre, laip, 
   {{0xd8382e7d,0xb906049f,0x394d41ba,0x778a00ad}},	//   _jači_, _पत_, _etes_, _təxm, 
   {{0x356a41bb,0x290e41bc,0x7e641eea,0xf56a019c}},	//   орон_, sofa_, naip, ошок_, 
   {{0x66dc0891,0xa5341ca5,0xd49a04ac,0x00000000}},	//   _céka, ннич, орн_, --, 
   {{0x7ce00003,0x29180019,0x38cb006b,0xe0df0cd7}},	//   _före, _óra_, _والی_, npòt_, 
   {{0x7ce041bd,0x7e6441be,0x917a0023,0xc1c700d8}},	//   _göre, kaip, _rất_, रङ्ग, 
   {{0x83fc02f5,0x7e6441bf,0xeb9100c7,0x7ae241c0}},	//   gađa, jaip, אָך_, nhot, 
   {{0x518441c1,0x6d44023b,0x660f0380,0x7ce00844}},	//   кура, jqia, ückt, _mörb, 
   {{0x78a800a3,0x7ce00241,0x3015041d,0x00000000}},	//   _jadv, _yöre, едгр, --, 
   {{0x83fc003a,0xb5fd0112,0x3ea90b1f,0x7ae241c2}},	//   bađa, maša, tdat_, khot, 
   {{0xb5fd0b1d,0x62840038,0x2249027e,0x7ae20226}},	//   laša, _gcio, _ufak_, jhot, 
   {{0x78ba1f3a,0x3ea941c3,0x629d41c4,0x7ae2023e}},	// [3390] _ontv, rdat_, meso, dhot, 
   {{0x78a841c5,0x629d3a73,0x00000000,0x00000000}},	//   _nadv, leso, --, --, 
   {{0x3a751472,0x394d00b9,0x00000000,0x00000000}},	//   елер, _stes_, --, --, 
   {{0x7ce0014e,0x7ae2016a,0x628f01d8,0xdbdc01d5}},	//   _röre, ghot, nfco, ráða, 
   {{0x644a41c6,0x991501fc,0x672d0228,0x7ce02f74}},	//   _offi, нькі, ňajk, _söre, 
   {{0x8d5a02a1,0x66dc41c7,0x443c3744,0xf7710038}},	//   _מכשי, _réka, _ngv_, هاب_, 
   {{0x7ce00750,0x629d41c8,0xb5fd00ca,0x66dc011c}},	//   _förb, keso, daša, _séka, 
   {{0x644a41c9,0x7ae20e50,0xbcfb031e,0x6d5d0065}},	//   _affi, chot, _svéh, _kwsa, 
   {{0x91ee07d5,0x25ad1106,0x00000000,0x00000000}},	//   _चेंज_, uvel_, --, --, 
   {{0x628441ca,0x25ad41cb,0x7622004e,0x7ce041cc}},	//   _scio, rvel_, ымыз, _töre, 
   {{0x6abb41cd,0x398941ce,0x2af300b0,0x9475009c}},	//   _knuf, lús_, _आगाँ_, ودگا, 
   {{0x629d41cf,0x644a41d0,0x660f01c4,0x78a800ca}},	//   geso, _effi, ücks, _zadv, 
   {{0xa4d502fb,0x398941d1,0x83fc015e,0x443c41d2}},	//   _поді, nús_, rađa, _fgv_, 
   {{0x628b014e,0x83fc0d02,0x64a241d3,0xbebb024a}},	//   _ögon, sađa, _баша, _dhëm, 
   {{0x398941d4,0x629d41d5,0x6d4f41d6,0x656941d7}},	//   hús_, beso, _atca, lseh, 
   {{0x629d41d8,0x62840ab4,0xbea3015a,0x76490241}},	//   ceso, _ucio, ласк, ncey, 
   {{0x7e6441d9,0x1d26108e,0xbddb011c,0x55890d16}},	// [33a0] raip, емам, _ngèd, _çığı, 
   {{0x6d440065,0x31570070,0x7ce041da,0x6abb0090}},	//   rqia, _ריין_, _sörb, _anuf, 
   {{0x7ae241db,0x7e6441dc,0xd83804cb,0x27213a5e}},	//   thot, paip, _tači_, zóna_, 
   {{0xca26144a,0x69c201ca,0xb21b01d5,0x656941dd}},	//   нфли, txoe, mfær, kseh, 
   {{0x7ae241de,0xb21b37c2,0x78a841df,0x00000000}},	//   rhot, lfær, _padv, --, 
   {{0x97a641e0,0x7ae241e1,0x66dc0175,0x3d1800c2}},	//   ерил, shot, _cékn, _बीचे_, 
   {{0x7a3638fa,0x7ae241e2,0x629d22c1,0xeb9741e3}},	//   _bütü, phot, yeso, _пир_, 
   {{0xdb0701d5,0x00000000,0x00000000,0x00000000}},	//   _trjá, --, --, --, 
   {{0x948608ad,0x8cc402e6,0x398941e4,0x1a9b0070}},	//   нынд, रापो, cús_, _צימע, 
   {{0xdce4003a,0x629d0539,0xe8f70c1b,0x00000000}},	//   ksič, weso, _злу_, --, 
   {{0xb5fd41e5,0x629d41e6,0xbebb0034,0x6ee300b0}},	//   raša, teso, _shëm, _hõbe, 
   {{0xb5fd003a,0x15eb007e,0x1db2009a,0x925800c8}},	//   mašn, _जेकर_, ीमात, нают_, 
   {{0xb5fd05ae,0x443c41e7,0x25a000fd,0x00000000}},	//   lašn, _tgv_, _èil_, --, 
   {{0x644a41e8,0x00000000,0x00000000,0x00000000}},	//   _uffi, --, --, --, 
   {{0x629d163b,0x213a0415,0x612041e9,0x66dc0096}},	//   peso, _diph_, möll, _jéko, 
   {{0xb2870161,0xdd95022c,0x629d0034,0x612000c8}},	//   _чыкк, кабы, qeso, löll, 
   {{0xb27400c8,0x781d10cf,0x00000000,0x00000000}},	// [33b0] _слыш, _फर्क_, --, --, 
   {{0xb5fd090e,0x6abb01da,0x612000c8,0x7ae00844}},	//   kašn, _snuf, nöll, _almt, 
   {{0xb5fd03ef,0xf09200d1,0x9f4b0080,0xe0df00b9}},	//   jašn, _דני_, ömät_, spòs_, 
   {{0xb5fd00f1,0xf41300c7,0xd838090e,0x612041ea}},	//   dašn, אפע_, _jaču_, höll, 
   {{0xa9a50a66,0x612041eb,0x6d4f010e,0x00000000}},	//   тилд, köll, _utca, --, 
   {{0x2d9941ec,0x76490218,0x66d5003e,0x6aa9095a}},	//   _ipse_, wcey, _jákv, _waef, 
   {{0x39891eb1,0x66e5270e,0x3f4701a4,0x00000000}},	//   sús_, кока, _jõu_, --, 
   {{0x656941ed,0x66dc41ee,0x6abb018e,0x00000000}},	//   tseh, _déko, _unuf, --, 
   {{0x06091ca5,0x7ce002ae,0xd3780035,0xd6ce0038}},	//   ьник_, _höra, erć_, تقي_, 
   {{0x8cc40a34,0x656901c4,0x83fc0082,0x66d5003e}},	//   रायो, rseh, rađn, _nákv, 
   {{0x2d99016a,0xd8380082,0x65692c6f,0xa2e641ef}},	//   _lpse_, _baču_, sseh, вонд, 
   {{0x05210086,0x7c3a01d5,0x614600b3,0x656900c2}},	//   নদের_, _útre, кема, pseh, 
   {{0xe730024f,0x64a503a1,0x00000000,0x00000000}},	//   _اصل_, _аала, --, --, 
   {{0x6d4041f0,0xfd6600e7,0xb21b41f1,0x20d42b92}},	//   _émai, _thuầ, tfær, _näit_, 
   {{0x2d9941f2,0x26cf0083,0x6f630165,0x00000000}},	//   _apse_, _kogo_, иврз, --, 
   {{0xf7720137,0x26cf00ce,0xb21b41f3,0x3329007b}},	//   יקל_, _jogo_, rfær, _ghax_, 
   {{0x26cf015e,0xb21b01e8,0x8c46397b,0x629602b8}},	// [33c0] _mogo_, lgæn, везе, _ibyo, 
   {{0x2728009e,0x317b008d,0xb21b008c,0x8116010e}},	//   mûne_, _קרימ, pfær, _جذبا, 
   {{0xd00a41f4,0x3eab00a7,0x5f0641f5,0x66dc0800}},	//   _цене_, _fact_, _азна, _békl, 
   {{0x68e1014e,0x290502fe,0x26cf0352,0x66dc2c55}},	//   _alld, _ajla_, _nogo_, _réko, 
   {{0x66dc04c6,0x6296052b,0x00000000,0x00000000}},	//   _dékl, _mbyo, --, --, 
   {{0x7ce0014e,0x3ea041f6,0x3f9a016a,0x0d220161}},	//   _föra, leit_, _kppu_, _түзү, 
   {{0x7ce0014e,0xa3c3037f,0x26cf41f7,0x569441f8}},	//   _göra, yšší_, _bogo_, гайт, 
   {{0x81e800cc,0xeb0d0e17,0x3ea001f5,0x20d400b0}},	//   _যখন_, िकृत_, neit_, _käis_, 
   {{0xd94641f9,0x66d50076,0x26cf0548,0xe4e6012d}},	//   _рези, _náku, _dogo_, вінн, 
   {{0x3ea041fa,0x70d105d2,0x22400065,0x80d10035}},	//   heit_, _सकेल, _agik_, _सकें, 
   {{0x3ea002f2,0x83fc2ed1,0x26cf02bb,0xa3f40451}},	//   keit_, rađo, _fogo_, упні, 
   {{0x26cf41fb,0x61200080,0x8cc41ad9,0x00000000}},	//   _gogo_, söll, राडो, --, 
   {{0x3944389a,0xdb21006b,0x2a64016a,0x316d026a}},	//   _jums_, ítés, _memb_, éez_, 
   {{0x3944389a,0xab6541fc,0x104b00c8,0x62960298}},	//   _mums_, ngüí, ьями_, _ebyo, 
   {{0xd838002a,0x60180386,0x33940cdf,0xdb0e02be}},	//   _taču_, воря_, _сайё, _arbí, 
   {{0x26cf0496,0x2728009e,0x7ce041fd,0x2a64011c}},	//   _xogo_, bûne_, _röra, _nemb_, 
   {{0x1df82f89,0x9f34005e,0xadb503a1,0x00000000}},	// [33d0] веты_, реті, ыбаш, --, 
   {{0x09be00c9,0x00000000,0x00000000,0x00000000}},	//   ्हैय, --, --, --, 
   {{0xdfd5005e,0x3ea002f2,0x66d5014b,0x644f0083}},	//   _соны, beit_, _záku, ścig, 
   {{0x2d800aa4,0xca74004e,0xeb0d009a,0x7b180183}},	//   buie_, аушы, िकेत_, díus, 
   {{0xadf002f8,0x26cf41fe,0xeab007cf,0xddcd0083}},	//   _घेऊन_, _rogo_, تعل_, ngaż, 
   {{0x26cf41ff,0x9b4503b1,0x7ce00a25,0x8cc40083}},	//   _sogo_, _منسو, _hörn, राणो, 
   {{0x7ce0006b,0x26cf4200,0x61200219,0x0b8800ff}},	//   _körn, _pogo_, följ, _исти_, 
   {{0xbb840084,0x394400f6,0x05a9004f,0x00000000}},	//   _خلفي, _fums_, евий_, --, 
   {{0xeb1f009a,0x04451219,0xb5fd4201,0x88830019}},	//   बतीत_, лепн, rašo, _نیشن, 
   {{0x3ea002f2,0x645e007e,0x68e14099,0x70d210cf}},	//   zeit_, _õpil, _ulld, _हवेल, 
   {{0x33d5004e,0x7b180183,0x69d9196a,0xdce401dd}},	//   уіпт, cíus, lywe, nsiā, 
   {{0x645a012b,0xe1ff4202,0x73e227eb,0xb21b0566}},	//   abti, raón_, союз, rgæn, 
   {{0x765b0705,0x69d923cb,0x3ea04203,0xcb12027a}},	//   mbuy, nywe, veit_, מלט_, 
   {{0x3ea002f2,0x61434204,0x657b0548,0x00000000}},	//   weit_, сера, mruh, --, 
   {{0x3ea01f3a,0xdee617d9,0xba20047c,0x7ce0008c}},	//   teit_, гови, _बर्फ_, _börn, 
   {{0x7e550cd9,0xeabe0086,0xada60a55,0x2d804205}},	//   итуц, _আত্ম, лабл, tuie_, 
   {{0x3ea04206,0xb21b055f,0x518502a0,0x00000000}},	// [33e0] reit_, ngæl, _куќа, --, 
   {{0x3f9a016a,0xb5fd0ab4,0x69d94207,0x44270ff2}},	//   _tppu_, vašl, dywe, _kzn_, 
   {{0x7ce0014e,0x78ae0165,0x2d804208,0x28c708c6}},	//   _förn, _óbvi, suie_, लानि, 
   {{0x62864209,0xdca3004e,0x657b420a,0x20d400b0}},	//   ngko, _қаси, kruh, _täis_, 
   {{0xf54800f7,0xceb3035c,0x442700ef,0x2d80420b}},	//   _mục_, _פיש_, _lzn_, quie_, 
   {{0x6f04420c,0xf548001b,0x37aa03a1,0x7b180183}},	//   lnic, _lục_, етин_, tíus, 
   {{0x6f04268a,0x6d46420d,0xebe6420e,0x44270028}},	//   onic, _huka, _совп, _nzn_, 
   {{0x6d46420f,0x6f044210,0xa3c900aa,0x39442082}},	//   _kuka, nnic, ोहन_, _tums_, 
   {{0x1a064211,0x442706d0,0x6f044212,0x634802d9}},	//   _спам, _azn_, inic, _pěno, 
   {{0x6d464213,0x6f044214,0x44f400dd,0x7e664215}},	//   _muka, hnic, рпос, _lekp, 
   {{0xd4974216,0x6d464217,0x6f040372,0x4438014e}},	//   уры_, _luka, knic, är_, 
   {{0xf548001b,0x51874218,0x62862be3,0x6aa24219}},	//   _cục_, луга, ggko, neof, 
   {{0x6f042365,0xf5480029,0x7ae302b0,0x6d46421a}},	//   dnic, _dục_, ënti, _nuka, 
   {{0x6f04421b,0x28c71615,0x00000000,0x00000000}},	//   enic, लायि, --, --, 
   {{0xc4f7008d,0x6d4625f2,0x6f040626,0x4035112d}},	//   _תמוז_, _auka, fnic, ревс, 
   {{0x6d46421c,0xc10301bb,0x4ea700d3,0xdce40ab4}},	//   _buka, рүүл, ырга, driđ, 
   {{0x6d46421d,0x644f00ab,0x7055006b,0x69d6017b}},	// [33f0] _cuka, ście, _پنجا, øyel, 
   {{0xeb0d0239,0x6f0402a3,0xbcfb0212,0x65620027}},	//   िक्त_, anic, _avér, _mwoh, 
   {{0x6d46421e,0x6e95421f,0xfff900d6,0x7ce00f71}},	//   _euka, _кину, _شکست_, _törn, 
   {{0xdced003a,0x7ce00219,0x3f83009c,0x6aa20326}},	//   krać, _föro, muju_, geof, 
   {{0x09d80086,0xb5fd00ef,0x6d463c4e,0x7ce04220}},	//   _দেবা, tašm, _guka, _körl, 
   {{0x26181215,0x02e20bf5,0xd36616a6,0x69d90691}},	//   _पड़ी_, _पत्न, _وه_, rywe, 
   {{0x3f8304b0,0x6d464221,0x3f9101f1,0x65624222}},	//   nuju_, _zuka, ntzu_, _awoh, 
   {{0x6d4601f0,0x2b4d02d9,0x657b4223,0x6562007c}},	//   _yuka, _čech_, truh, _bwoh, 
   {{0xdced0097,0xc98708bd,0x6d4600b4,0xbcfb02d9}},	//   grać, _љуби, _xuka, _uvés, 
   {{0x3f83090b,0x8508005e,0xb46508a7,0x81cb0086}},	//   kuju_, лдың_, школ, লনা_, 
   {{0x3f8302f5,0x78a34224,0x02c629a7,0x657b4225}},	//   juju_, menv, айно, sruh, 
   {{0xdced2337,0x3f8304d1,0xd7f80161,0x63b800d0}},	//   brać, duju_, _суу_, _drvn, 
   {{0x41a70220,0x62864226,0x78c4010e,0xd1751bb9}},	//   авян_, rgko, _átvé, йыры, 
   {{0x6d464227,0x6f04006a,0x412a4228,0x2728010c}},	//   _ruka, wnic, того_, mûna_, 
   {{0xf5480029,0x52760a63,0x3f8301b4,0x7e664229}},	//   _tục_, _купу, guju_, _pekp, 
   {{0xb5fd052a,0xdb0e422a,0x66d5014b,0x78a3422b}},	//   jašk, _orbá, _zákr, henv, 
  
   {{0x7ce0022b,0xee3a1efe,0x5d6a422c,0x78a3383f}},	// [3400] _förl, тна_, тизм_, kenv, 
   {{0x6f040e25,0x6d46044e,0xccc300c8,0x3f83122d}},	//   snic, _vuka, обуй, buju_, 
   {{0x3f8304d1,0x307b00a7,0x6f04422d,0x6aa20534}},	//   cuju_, _באינ, pnic, teof, 
   {{0xe9da08ad,0x41b313b4,0x2ee9422e,0xf5480023}},	//   кке_, _امیر, chaf_, _lụa_, 
   {{0x26cd00d2,0x7ce0422f,0x6aa24230,0xc7b80242}},	//   djeo_, _hörm, reof, _srđ_, 
   {{0xdced003a,0x78a34231,0xfce64232,0x6aa2007a}},	//   vrać, genv, _того, seof, 
   {{0xe3a709e8,0x96f81e6e,0x176708a5,0xb5fd0242}},	//   _بر_, лект_, арып_, bašk, 
   {{0xd6d700c8,0xdced032f,0x64434233,0xe72f1897}},	//   иты_, trać, _agni, وصي_, 
   {{0x3f8303ef,0x645e00c2,0x78a34234,0x7ae302be}},	//   zuju_, _õpik, benv, ênte, 
   {{0x63b8000d,0x83fc0112,0x0d9700d1,0x6f090588}},	//   _prvn, lađi, סכים_, čeci, 
   {{0x66e60bea,0x34940f5a,0x7ce00219,0xbddb01e5}},	//   _кожа, _ғайр, _rörl, _ngèn, 
   {{0x2728078a,0x83fc003a,0xdced090b,0x3f830f23}},	//   bûna_, nađi, prać, vuju_, 
   {{0xd499004e,0xbddb4235,0xe4e600dd,0xf8da00a5}},	//   _әрі_, _agèn, _війн, _बकाय, 
   {{0x3f83421d,0x3d100035,0x64a34236,0x00000000}},	//   tuju_, ़कों_, _мача, --, 
   {{0x438400eb,0x533504fb,0x2ee902bf,0x644f00ab}},	//   _العق, _лект, thaf_, ścic, 
   {{0x2fcd02f5,0x3f8300f1,0x643b00df,0x3f9101cf}},	//   ćeg_, ruju_, _בעונ, rtzu_, 
   {{0x3f8304d1,0xb5fd02ee,0x7ce0010e,0x78a34237}},	// [3410] suju_, vašk, _törl, yenv, 
   {{0x7ce0022b,0x3f83003a,0xfd1007cf,0xa2bf017d}},	//   _förm, puju_, وجل_, षाक्, 
   {{0x7ce00749,0xb5fd4238,0x78a34239,0xfb870cfe}},	//   _görm, tašk, venv, рызн, 
   {{0x83fc1993,0x00000000,0x00000000,0x00000000}},	//   gađi, --, --, --, 
   {{0x78a3423a,0x26cd00ef,0x39a70082,0x00000000}},	//   tenv, vjeo_, ршев, --, 
   {{0xac1915e4,0x315800a7,0xf745423b,0x7e6d423c}},	//   _богу_, סיון_, беко, laap, 
   {{0x3a871838,0x48781222,0xb5fd090e,0x78a3423d}},	//   _вызв, рсія_, maši, renv, 
   {{0x78a3310c,0xb5fd14f0,0xfc4a0038,0xa3ba0366}},	//   senv, laši, _tríú_, घिन_, 
   {{0x78a3423e,0x25b9423f,0x00000000,0x00000000}},	//   penv, ísl_, --, --, 
   {{0x7e6d2694,0xb5fd4240,0x6444027e,0x26cd02c7}},	//   haap, naši, _şiir, sjeo_, 
   {{0x7ce00750,0x7e6d4241,0x26cd00ef,0xc2c60038}},	//   _börj, kaap, pjeo_, ميدي, 
   {{0xc049008d,0x473508ce,0x03a51753,0x778a0248}},	//   _טז_, _унес, _ҳико, _təxr, 
   {{0xb5fd032f,0x7ce00219,0x29074242,0x65944243}},	//   kaši, _sörm, onna_, _мацу, 
   {{0x64430009,0xb5fd1c2b,0x270c00bc,0x2ee000d8}},	//   _ugni, jaši, měna_, नस्त, 
   {{0xa3552751,0x1fb54244,0x2907031f,0x6353020f}},	//   _اختص, остр, inna_, _băne, 
   {{0xe9ff001b,0x70160d1d,0xf54800e7,0x630600d4}},	//   _ngắn_, _दुःख_, _mụn_, _دوبل, 
   {{0xb5fd0112,0xe29800f0,0x270c02d9,0xed574245}},	// [3420] faši, _бақ_, něna_, йот_, 
   {{0xad9b0183,0xee374246,0xb5fd015e,0x7ce000c8}},	//   _axús, сну_, gaši, _törm, 
   {{0xaf0a0071,0x3ea64247,0x7d1c00ca,0xa3c901a4}},	//   _مقدم_, _линг, _vkrs, ोहि_, 
   {{0x7ce01cd9,0x2618009a,0x29074248,0x8f9b2737}},	//   _körk, _पडली_, enna_, _גיטי, 
   {{0x83fc0062,0xb5fd0eae,0xceb40095,0xdce40035}},	//   rađi, baši, mdə_, esią, 
   {{0x7ce00d73,0xceb40095,0x83fc044e,0x7d1c0f23}},	//   _mörk, ldə_, sađi, _ukrs, 
   {{0x6ecc1eed,0xd8380604,0x69cf02be,0xace73a20}},	//   हापु, _obče_, _àcen, _умра_, 
   {{0xceb40270,0x2907057f,0x973c0f30,0x2d804249}},	//   ndə_, anna_, _opće, orie_, 
   {{0xceb300a7,0x2d800126,0x1dc813bb,0xbddb00d7}},	//   ליה_, nrie_, रमित, _ngèl, 
   {{0x628d00eb,0x2d80424a,0x92c50086,0x3374424b}},	//   _scao, irie_, _এতে_, огор, 
   {{0xceb406d0,0x5335424c,0xd6cf424d,0x3cf00035}},	//   kdə_, жент, _ет_, _इतने_, 
   {{0x2d80424e,0x1dc81f9a,0x00000000,0x00000000}},	//   krie_, रमात, --, --, 
   {{0x656f00eb,0x7e6d26ad,0x644f00ab,0xceb40095}},	//   ácht, vaap, ścia, ddə_, 
   {{0x1c0800b0,0x7e6d2c6c,0x00000000,0x00000000}},	//   वपाल_, waap, --, --, 
   {{0xb5fd424f,0x7ae20080,0x4fc40d3d,0xceb40248}},	//   vaši, kkot, пста, fdə_, 
   {{0x7ce0022b,0x3f73090b,0x25ec00a5,0x2d8001e8}},	//   _förk, rću_, आईपी_, frie_, 
   {{0xb5fd034c,0x29074250,0x7ce0087e,0x7e6d00c2}},	// [3430] taši, ynna_, _görk, raap, 
   {{0x6d4d0065,0x5c75004e,0x9c474251,0x6115017b}},	//   rqaa, ілет, схал, _єдну, 
   {{0x2d804252,0x28c7017d,0xfb84012d,0x7e6d2356}},	//   arie_, लासि, зычн, paap, 
   {{0x2d80002e,0x291e4253,0x271200b0,0x6d400036}},	//   brie_, _akta_, डकोर_, _èman, 
   {{0x684500cf,0xb5fd0bfc,0x29070026,0x60d700b4}},	//   онла, paši, tnna_, _koxm, 
   {{0xb4d70081,0x6eea0187,0x2907005f,0x83fc07c7}},	//   _सवे_, _výbe, unna_, lađu, 
   {{0x60dc008d,0x28da1615,0xa6c93109,0x2aa00118}},	//   רקונ, _बकरि, илка_, _bčbč_, 
   {{0xe5794254,0xba77040f,0x83fc0112,0x290c0082}},	//   ази_, _داست, nađu, _ejda_, 
   {{0x7ae90c05,0x24e90176,0x00000000,0x00000000}},	//   _ilet, имии_, --, --, 
   {{0xceb40095,0x69c600ca,0xdced0864,0xbddb023e}},	//   zdə_, _škeg, ksač, _ngèm, 
   {{0x7ae94255,0x130a0088,0x46e8022c,0xceb400ad}},	//   _klet, иной_, рдөн_, ydə_, 
   {{0xdb1c026d,0x7afb00c3,0x92f6017b,0xceb40248}},	//   _arrê, _jmut, ічні, xdə_, 
   {{0x7ce0022b,0x635300b3,0x25a902a3,0x60d7359e}},	//   _förh, _bănc, _èal_, _boxm, 
   {{0x7ae94256,0x64a20161,0xa0671b3d,0x7ae22f94}},	//   _llet, _жаша, жара_, zkot, 
   {{0x48e13e8a,0x7ae90e0f,0xceb40095,0x7afb0a8b}},	//   _कवनो_, _olet, tdə_, _omut, 
   {{0xbebb01ee,0x2d804257,0x83fc00d2,0x7ce00080}},	//   _shër, trie_, gađu, _törk, 
   {{0xceb40264,0x163600c7,0xef171003,0x0dca0104}},	// [3440] rdə_, ַנער_, іму_, шлай_, 
   {{0x2d804258,0xd83e014b,0x7afb019d,0xb5fd0097}},	//   rrie_, íčka_, _amut, bašv, 
   {{0xa09b00c7,0xb5fd090e,0x7ae94259,0x5baa00f0}},	//   _דייט, mašu, _blet, ркем_, 
   {{0x2d80425a,0xdce4034c,0xb5fd008b,0x639a0070}},	//   prie_, ksić, lašu, יסענ, 
   {{0xdb210019,0xbebb024a,0x7ae90604,0x69cf0151}},	//   ítás, _thër, _dlet, _àcel, 
   {{0x7ae9425b,0x3a2d0b91,0x7afb425c,0xb5fd0009}},	//   _elet, _dzep_, _emut, našu, 
   {{0x7ae9425d,0xd90d06bc,0x386e0054,0x3f680248}},	//   _flet, دیل_, rafr_, nşu_, 
   {{0x7c2e425e,0xddc40243,0x00000000,0x00000000}},	//   _izbr, rciņ, --, --, 
   {{0x29000165,0xe4a63a5f,0xc8960267,0x9f9f0151}},	//   éias_, орно, _мржњ, réée_, 
   {{0x07a6425f,0xb5fd0082,0x79824260,0xb4e44261}},	//   _мазн, jašu, mrow, नसे_, 
   {{0xd6da00d4,0xb6cc0585,0x66dc0a13,0x28c700c9}},	//   _پوشش_, çüsü, _séku, लारि, 
   {{0x7c2e016a,0xfc4600bc,0x27210032,0x6120010e}},	//   _mzbr, šího_, fónu_, zölt, 
   {{0xc6491930,0x79824262,0x00000000,0x00000000}},	//   _اجمل_, nrow, --, --, 
   {{0x3a240102,0x7c2e0098,0x7ce00a19,0x00000000}},	//   _mymp_, _ozbr, _föri, --, 
   {{0x291c00d9,0x270c02d9,0xdcde040c,0x3e6b0165}},	//   iova_, něno_, _a築o_, ишан_, 
   {{0x291c4263,0xa3c91230,0x79824264,0x9f050038}},	//   hova_, ोहर_, krow, أورو, 
   {{0x6120006b,0xdd944265,0x83fc02f5,0x3d943a2a}},	// [3450] tölt, маты, rađu, митр, 
   {{0xb5fd04d1,0x7ae9155b,0x613202c9,0x83fc0a1a}},	//   mašt, _slet, gæld, sađu, 
   {{0xf0920052,0xb5fd03ef,0x2249016a,0xddc40009}},	//   _אני_, lašt, _kgak_, raiš, 
   {{0x224900e2,0x79820035,0x66dc0096,0x00000000}},	//   _jgak_, frow, _méks, --, 
   {{0x386c02fe,0x79824266,0xc964017b,0x7ae900de}},	//   _bedr_, grow, двій, _vlet, 
   {{0x3ea94267,0xe8f81afd,0xf54800e7,0x4dda00d1}},	//   leat_, олі_, _cụm_, _החשו, 
   {{0xf77100eb,0x98a200dd,0x2721014b,0x7ae94268}},	//   ءات_, хище, zónu_, _tlet, 
   {{0x7ae904d1,0x7afb099d,0x22494269,0xdce400ab}},	//   _ulet, _umut, _ngak_, dsię, 
   {{0x291c14f0,0xe81b088c,0xb5fd02fe,0xdce40083}},	//   bova_, _पुरा_, jašt, esię, 
   {{0x22490730,0x291c426a,0xb5fd0ab4,0xceb400ad}},	//   _agak_, cova_, dašt, llət_, 
   {{0x644f00ab,0x2a6d006f,0x66dc0175,0x3ea90080}},	//   ścio, _keeb_, _pékt, keat_, 
   {{0x2121016a,0x66dc0175,0x473500d3,0xe29a22c5}},	//   _akhh_, _déks, _энес, щам_, 
   {{0x2a6d006d,0x21330023,0x66dc0574,0x3ea926ad}},	//   _meeb_, _bhxh_, _vékt, deat_, 
   {{0xd47900c7,0x2a6d0201,0x55ba00d1,0xa7fc035d}},	//   _האַל, _leeb_, _למנו, _adıy, 
   {{0xa3cc07cc,0xb5fd3bbf,0xe01612e3,0x20130183}},	//   रमण_, rašu, _दुखद_, _cxxi_, 
   {{0x2a6d006f,0xc7b200c7,0x2005022c,0x2721426b}},	//   _neeb_, עבן_, úlia_, móns_, 
   {{0x0d861ab7,0x25ad426c,0x27211f12,0x394d426d}},	// [3460] ялан, nwel_, lóns_, _nues_, 
   {{0x6d2302a6,0x394536d4,0xdb1c0107,0xd7bd2a4b}},	//   едуз, _nils_, _irré, ्माच, 
   {{0x613201cc,0x6ecc031e,0x7ac60093,0x27210042}},	//   ræld, हादु, зсле, nóns_, 
   {{0x2a6d01c1,0x3ea9008a,0x3f8a0495,0x79820035}},	//   _ceeb_, ceat_, mubu_, trow, 
   {{0x25ad012e,0x3f98426e,0x27210183,0x2a6d0118}},	//   jwel_, ltru_, hóns_, _deeb_, 
   {{0x394d0161,0xd90d0a5a,0xdb07008c,0xddcd0241}},	//   _dues_, لیق_, _brjó, lbaş, 
   {{0x3f983888,0x2a6d006f,0x7c2e426f,0xb5fd090e}},	//   ntru_, _feeb_, _uzbr, zašt, 
   {{0x291c4270,0x7d1e014e,0x798200ab,0x4ad00c64}},	//   sova_, lops, prow, _सचिव, 
   {{0x291c044e,0x39454271,0x394d0096,0xa5342713}},	//   pova_, _fils_, _gues_, мнич, 
   {{0xb5fd0613,0x3f8a4272,0x27210183,0x69c0017b}},	//   vašt, kubu_, fóns_, _irme, 
   {{0x7ce00750,0x2a6d01a0,0xf8b3008d,0x27210042}},	//   _förv, _yeeb_, _רשע_, góns_, 
   {{0x2a6d01c1,0xdb0e03dd,0xb5fd0588,0x69c00e24}},	//   _xeeb_, _arbú, tašt, _krme, 
   {{0x37ae0086,0x41c416d0,0xe298012d,0x67224273}},	//   _কপির, нёра, чаў_, _ikoj, 
   {{0xa63b00a7,0xb5fd1104,0x7d1e00ef,0x27210068}},	//   _הגדר, rašt, jops, bóns_, 
   {{0x7d1e0089,0x27210068,0x3f8a4274,0x37de0033}},	//   dops, cóns_, gubu_, _ভেতর, 
   {{0xdb150042,0xb5fd0eae,0x7bc10028,0x00000000}},	//   _orzá, pašt, _šluo, --, 
   {{0xceb406d0,0x634802d9,0x3ea94275,0x6722095a}},	// [3470] vlət_, _věnu, reat_, _mkoj, 
   {{0x6eea026e,0x3ea94276,0x2a6d0201,0x394d0107}},	//   _výba, seat_, _seeb_, _rues_, 
   {{0x2a6d006d,0x3ea94277,0x3f98107c,0x7b644278}},	//   _peeb_, peat_, ctru_, етче, 
   {{0x394d15c4,0x628f4279,0x2a6d023b,0x3945427a}},	//   _pues_, ngco, _qeeb_, _sils_, 
   {{0x272124d3,0x6f0d427b,0x394501dd,0x394d427c}},	//   zóns_, mnac, _pils_, _ques_, 
   {{0xa3cc0351,0x394d026d,0xa3be000d,0x4759427d}},	//   रमा_, _vues_, ीमा_, ория_, 
   {{0x2a6d427e,0xceb40095,0x25ad01f2,0x6d470379}},	//   _teeb_, mlər_, wwel_, _iija, 
   {{0x6d47427f,0xceb40095,0x645801cc,0x6d4f4280}},	//   _hija, llər_, _afvi, _kuca, 
   {{0x6d4f002e,0x6d474281,0xa2d100ae,0x69c03e46}},	//   _juca, _kija, धान्, _grme, 
   {{0x7ce01e8d,0xceb406d0,0x6f0d4282,0x6d5d044d}},	//   _föru, nlər_, hnac, _mtsa, 
   {{0x6d474283,0x6d4f4284,0x7ce00019,0xd90c0296}},	//   _mija, _luca, _törv, _دیو_, 
   {{0x6d5d4285,0x272103da,0x6d472054,0xdced04be}},	//   _otsa, róns_, _lija, yrağ, 
   {{0x23600062,0xceb406d0,0x6d5d4286,0x6d4f4287}},	//   _čije_, klər_, _ntsa, _nuca, 
   {{0x67294288,0x6d474289,0x3f98007b,0x27210042}},	//   llej, _nija, ttru_, póns_, 
   {{0x6d5d428a,0xceb40095,0xdced00ca,0x6d4f08b0}},	//   _atsa, dlər_, jrađ, _auca, 
   {{0x6d4f428b,0x6f0d428c,0xdced00ca,0x798b428d}},	//   _buca, gnac, drađ, kugw, 
   {{0x442702f0,0x3f98428e,0x6d47428f,0xddcd07fa}},	// [3480] _hyn_, stru_, _bija, rbaş, 
   {{0x3e6c00f7,0x6f0d4290,0x6e2b02f2,0x44271549}},	//   ết_, anac, ügba, _kyn_, 
   {{0xdced02f5,0x6d4703f6,0x7d1e4291,0x6d5d0364}},	//   građ, _dija, rops, _etsa, 
   {{0x442718ad,0x673b00ab,0xdced027e,0x7d1e28f3}},	//   _myn_, jmuj, prağ, sops, 
   {{0x6d474292,0xceb406d0,0x44272ab3,0x67294293}},	//   _fija, blər_, _lyn_, dlej, 
   {{0x6f04018e,0xdced044e,0x764b01a3,0x76590326}},	//   liic, brađ, _aggy, _afwy, 
   {{0x672908f4,0xb8d60f65,0x6288012d,0xbcfb005f}},	//   flej, _जस_, ėdoj, _awéw, 
   {{0xd6d00084,0x6d4f0327,0x6729008b,0x2cb83455}},	//   اقة_, _yuca, glej, _hard_, 
   {{0x7ce0022b,0x94864294,0x2cb84295,0x69c0002e}},	//   _fört, мынд, _kard_, _urme, 
   {{0x6f0d00ab,0x764b0547,0x2cb80082,0x44274296}},	//   znac, _eggy, _jard_, _byn_, 
   {{0x442702bf,0x6ef101cc,0x7ce00fd4,0x2cb84297}},	//   _cyn_, _håbe, _hörs, _mard_, 
   {{0x44270156,0x2d4d015e,0x966329af,0x7ce00219}},	//   _dyn_, _užeg_, _акце, _körs, 
   {{0xdced090e,0xceb400ad,0x290e02a3,0xf66503a1}},	//   zrađ, ylər_, onfa_, _чечү, 
   {{0x44274298,0x6d4f4299,0x7ce0429a,0x34942776}},	//   _fyn_, _ruca, _mörs, _чакр, 
   {{0x6d47429b,0x44270615,0xe8df0023,0x6d4f429c}},	//   _rija, _gyn_, _cuộn_, _suca, 
   {{0x6d4f00f1,0x6d47429d,0x7de7004e,0x2cb80b1f}},	//   _puca, _sija, мізд, _aard_, 
   {{0xceb40095,0x9df92831,0x50670093,0x4427429e}},	// [3490] tlər_, чнат_, _отна, _zyn_, 
   {{0x6f0d429f,0x973c0b43,0x2cb842a0,0x798b0199}},	//   snac, _općo, _card_, vugw, 
   {{0xceb40264,0x6d4742a1,0x67200e67,0x2cb842a2}},	//   rlər_, _vija, komj, _dard_, 
   {{0x7ce042a3,0x6d4742a4,0x4ea702f1,0xceb40095}},	//   _börs, _wija, _ўрна, slər_, 
   {{0xa9692c6d,0x6d4742a5,0x6d5d0f5b,0x672042a6}},	//   чила_, _tija, _utsa, domj, 
   {{0xa3be00b0,0x2cb842a7,0x3eb9074a,0x798b42a8}},	//   ँटा_, _gard_, _hast_, rugw, 
   {{0xddc600e0,0x3eb942a9,0x6729007e,0x25a600f6}},	//   _iekš, _kast_, tlej, _apol_, 
   {{0x7ce042aa,0x442742ab,0xe9ff0023,0x3eb90604}},	//   _förs, _ryn_, _ngần_, _jast_, 
   {{0x7ce042ac,0x99670769,0x7cf201cc,0x673b1763}},	//   _tört, _італ, _færd, rmuj, 
   {{0x67bb1169,0x644e034c,0x44270876,0x672942ad}},	//   _واضح_, žbin, _pyn_, slej, 
   {{0xc20900a7,0x232a42ae,0x672942af,0xddc6090e}},	//   _פה_, зони_, plej, _mekš, 
   {{0x7af90092,0xbebb024a,0x2a7f01f2,0xddd6039f}},	//   _çatı, _skën, _jdub_, zgyű, 
   {{0x35a542b0,0x442742b1,0x7cf214a4,0xe5a542b2}},	//   _чалг, _wyn_, _hære, _чили, 
   {{0x7cf2055f,0x26dd023e,0x442742b3,0xa3cc048e}},	//   _kære, _howo_, _tyn_, रमश_, 
   {{0x8fa312cc,0x6ee300b0,0x9fc700a3,0x3eb942b4}},	//   ларе, _lõbu, нгра_, _bast_, 
   {{0x6eea0076,0x26dd00d4,0x660442b5,0xe1ff033c}},	//   _výbo, _jowo_, _žiki, mbón_, 
   {{0x7cf2155b,0x6f0400a1,0xdee603dc,0x395f023b}},	// [34a0] _lære, riic, _ҷони, _ntus_, 
   {{0x26dd011c,0xdd8f0fdc,0x6f0400a1,0x3eb942b6}},	//   _lowo_, صوم_, siic, _east_, 
   {{0x3eb942b7,0xc1010d18,0x395f42b8,0x61e642b9}},	//   _fast_, _түрл, _atus_, lykl, 
   {{0x3eb942ba,0x60de42bb,0x7cf201e8,0x6ef101e8}},	//   _gast_, _hopm, _særd, _påbe, 
   {{0x2cb842bc,0xe8940e02,0x7ce0014e,0xda6300cf}},	//   _tard_, валь, _dörr, увчи, 
   {{0x7cf203a9,0x6ef1055f,0x290e033c,0xf5480023}},	//   _bære, _våbe, unfa_, _tụi_, 
   {{0x7ce0022b,0x25a642bd,0x7cf201cc,0x09d80086}},	//   _förr, _spol_, _værd, _দেখা, 
   {{0x8f9b1a61,0x61e600e4,0xbb431cbe,0x26dd0110}},	//   ליצי, kykl, _беск, _cowo_, 
   {{0x550642be,0x26dd00d7,0xd251009c,0x60de0326}},	//   ечна, _dowo_, یند_, _oopm, 
   {{0x8386005e,0xdb1501c4,0x644d04be,0x61e60009}},	//   ныме, _erzä, _şair, dykl, 
   {{0xccf30056,0x6720018e,0x00000000,0x00000000}},	//   רכת_, pomj, --, --, 
   {{0xf1bf0377,0x26dd01e5,0x78ba039f,0x00000000}},	//   tvá_, _gowo_, _hatv, --, 
   {{0x3eb942bf,0x250b010e,0x78ba42c0,0x84e60080}},	//   _rast_, _کرنی_, _katv, _подж, 
   {{0x313542c1,0x7521022c,0x3eb90326,0xf1bf02be}},	//   тегр, colz, _sast_, rvá_, 
   {{0x78ba42c2,0x3ea03217,0x3ec70200,0x3eb900a7}},	//   _matv, ffit_, нсаб, _past_, 
   {{0x78ba42c3,0x61e642c4,0x7cf22e76,0xbbbc0083}},	//   _latv, bykl, _nærb, ोमैक, 
   {{0x7d250019,0xbddb011c,0x43920240,0x3eb942c5}},	// [34b0] نفرن, _ngèt, _рақс, _vast_, 
   {{0x645a42c6,0xac9400f0,0x3eb942c7,0x2ee942c8}},	//   ncti, лауш, _wast_, skaf_, 
   {{0x3eb942c9,0x7cf201e8,0x3fc803a1,0x7d0542ca}},	//   _tast_, _bærb, _зыян_, rihs, 
   {{0xc01c001b,0x9980027e,0x3f7a00d1,0x0f7a0147}},	//   _lược_, çiş_, _קארס, _קארב, 
   {{0x442b00e7,0x26dd1b6b,0x7cf214a4,0x75380210}},	//   ́c_, _rowo_, _sære, _ohvz, 
   {{0x7cf201e8,0x315800d1,0x09e2017b,0xe9ff0210}},	//   _pære, עיון_, рошн, _ngấn_, 
   {{0x8aa700e4,0x61e642cb,0xac1842cc,0x26dd0118}},	//   _прад, zykl, _зору_, _powo_, 
   {{0x78a402f5,0x7cf208bb,0x645a002e,0x2a7f12ed}},	//   điva, _være, ecti, _udub_, 
   {{0x236014f0,0x7ce042cd,0x940b00ad,0xa2c5102c}},	//   _čija_, _körp, əcə_, ियन्, 
   {{0x78ba42ce,0x6abb0364,0x61e642cf,0x25bf0326}},	//   _gatv, _hauf, vykl, rvul_, 
   {{0xc6e702fb,0x6abb02ec,0x4ac6047c,0xc01c001b}},	//   _підп, _kauf, _रोडव, _dược_, 
   {{0x290742d0,0xe1ff42d1,0x61e60028,0x00000000}},	//   lina_, rbón_, tykl, --, 
   {{0x399b02a0,0x6abb044d,0x95e90019,0x98be020f}},	//   nês_, _mauf, _تباہ_, _uită_, 
   {{0x290742d2,0x6abb394a,0x2d890876,0x61e60028}},	//   nina_, _lauf, drae_, rykl, 
   {{0x61e62072,0x657b30fc,0xe1ff039f,0x00000000}},	//   sykl, lsuh, lból_, --, 
   {{0x290742d3,0xe1f21666,0x3f84044e,0xbddb023e}},	//   hina_, _نسخ_, čmu_, _ngès, 
   {{0x60de42d4,0x657b42d5,0xe29800f0,0x3ea0039f}},	// [34c0] _topm, nsuh, _жақ_, rfit_, 
   {{0x6da3067d,0x98be012d,0xee370bf2,0xa3d50035}},	//   рифа, _kitą_, тну_, _सपा_, 
   {{0x644f00ab,0x7e7642d6,0x6abb42d7,0x657b02be}},	//   ściw, payp, _bauf, hsuh, 
   {{0xe1ff0019,0x2d8942d8,0x78ba01dd,0xdee642d9}},	//   kból_, brae_, _satv, _роми, 
   {{0x290742da,0x78ba24a5,0x7ce0014e,0xcee3004e}},	//   fina_, _patv, _förp, _тұтқ, 
   {{0x97a600c4,0xc8780241,0x00000000,0x00000000}},	//   врил, _boğa_, --, --, 
   {{0x8b2642db,0x6abb22ee,0x28c7017d,0xca7600f0}},	//   _адве, _fauf, लाजि, _аузы, 
   {{0xa3d50c14,0x29070379,0x399b0165,0x8c1b042c}},	//   समन_, aina_, bês_, _חולי, 
   {{0x81e70086,0x399b03b7,0x78ba42dc,0xaa431628}},	//   _যেন_, cês_, _tatv, _ветл, 
   {{0x7ae00226,0x6abb42dd,0x00000000,0x00000000}},	//   _homt, _zauf, --, --, 
   {{0x7ae0050a,0xd25100d4,0x69c215e9,0x2b9c0032}},	//   _komt, ینگ_, lvoe, níc_, 
   {{0x69dd02be,0x518727c7,0x958600f6,0x7ae00354}},	//   _àsec, куга, _алде, _jomt, 
   {{0x69c20a58,0x394c42de,0x7ae302aa,0x213a00a1}},	//   nvoe, _kids_, ênti, _bhph_, 
   {{0x55770137,0x2d890876,0xf5480108,0x656242df}},	//   _יעדן_, vrae_, _cụt_, _itoh, 
   {{0xa3cc00a5,0xbddb023e,0xcebb0267,0x394c339d}},	//   _रपट_, _ngèr, мља_, _mids_, 
   {{0x7ae0006d,0x2d8942e0,0x200c0228,0xd5b61615}},	//   _nomt, trae_, údia_, _अनाज, 
   {{0x290742e1,0x6abb42e2,0x69c202b0,0x6aa20175}},	// [34d0] yina_, _rauf, jvoe, dfof, 
   {{0x290724d3,0x2d890068,0x2c7c00bc,0x0fe300d3}},	//   xina_, rrae_, vádí_, _көбү, 
   {{0xa3d50c14,0x7ae0084c,0x99d4009c,0x69c201da}},	//   समय_, _bomt, یتها, evoe, 
   {{0x7ae042e3,0x290742e4,0x3f9142e5,0xbcfb0038}},	//   _comt, wina_, muzu_, _dtéa, 
   {{0xdcef06d0,0xdb0e0183,0x69c20876,0x387300f0}},	//   şdır, _arbó, gvoe, иқат, 
   {{0x693442e6,0xdb1c00b9,0x613202c9,0x399b0216}},	//   анчу, _errà, jæll, rês_, 
   {{0x290742e7,0x6abb12c7,0x3f91008f,0x656242e8}},	//   rina_, _tauf, nuzu_, _atoh, 
   {{0x290742e9,0xe1ff010e,0x7bc701f2,0x69c208a3}},	//   sina_, tból_, _irju, bvoe, 
   {{0x613202c9,0xc98700ff,0xfec50033,0x2b4d025b}},	//   fæll, _јуби, _একাধ, _iiec_, 
   {{0x394c42ea,0x04b500d3,0x3f910175,0x7cf2003e}},	//   _gids_, усия, kuzu_, _kæra, 
   {{0xe29a24dc,0xa2e642eb,0xe1ff010e,0x290542ec}},	//   нан_, гонд, sból_, _imla_, 
   {{0x68e142ed,0x5885032e,0xdb150042,0x6562024a}},	//   _hold, _шыға, _arzú, _ftoh, 
   {{0x64a52994,0x68e142ee,0x26cf42ef,0xdbe70086}},	//   _бала, _kold, _ingo_, _গেমস_, 
   {{0x68e100ef,0x293500c7,0x3f9142f0,0xd5ac010e}},	//   _jold, טאָן_, fuzu_, _کہی_, 
   {{0x68e142f1,0x4424017a,0x3f910a9f,0x34390070}},	//   _mold, _پروف, guzu_, _אײַע, 
   {{0x6ee30077,0x2b9c031e,0x69c600ca,0x00000000}},	//   _sõbr, víc_, _škem, --, 
   {{0x7bc742f2,0xa2d142f3,0x7ae01d98,0xf5480023}},	// [34e0] _arju, धार्, _romt, _tụt_, 
   {{0x69ba0035,0x7ae042f4,0x59c70249,0x612002eb}},	//   _एनबी, _somt, लिनर, hölz, 
   {{0xb09b0111,0xa2d81276,0xdb1c2888,0x409b00c7}},	//   _אייר, याप्, _arrá, _אביס, 
   {{0x69c2051e,0x3cf0009a,0xdb0e00b9,0x9b251003}},	//   tvoe, _इतके_, _arbò, афіл, 
   {{0x2b9c037f,0x68e142f5,0x187442f6,0x2b4d42f7}},	//   síc_, _bold, агля, _diec_, 
   {{0x69c20265,0x26cf010c,0x290500a1,0x3eb20102}},	//   rvoe, _ango_, _cmla_, leyt_, 
   {{0x7ae042f8,0x2d9204b3,0x68e142f9,0x69c20511}},	//   _tomt, luye_, _dold, svoe, 
   {{0x6d4e42fa,0x6284044d,0x69c2000b,0x47340165}},	//   _hiba, _ndio, pvoe, јнис, 
   {{0x6d4e42fb,0xa2d80c64,0x589600d4,0x2d920199}},	//   _kiba, यान्, _مجاز, nuye_, 
   {{0x6d4e42fc,0xd94608ac,0x68e142fd,0xd49a0283}},	//   _jiba, _сези, _gold, хри_, 
   {{0x6d4e42fe,0x2d9202b8,0x3eb20102,0xc6250033}},	//   _miba, huye_, keyt_, মেলা_, 
   {{0x6d4e1658,0x973c02a8,0x68e142ff,0x2d9202b8}},	//   _liba, _opći, _zold, kuye_, 
   {{0x68e10092,0x62840156,0x7c2e4300,0x6d4e00b4}},	//   _yold, _ddio, _lybr, _oiba, 
   {{0x6d4e4301,0x3f9101f1,0x62844302,0x68e101ff}},	//   _niba, tuzu_, _edio, _xold, 
   {{0xe44f4303,0x339412e1,0x7c2e05ac,0x96a10299}},	//   _عضو_, _тайё, _nybr, क्वॉ, 
   {{0x3f914304,0xaf373420,0x2d920610,0x00000000}},	//   ruzu_, ارست, fuye_, --, 
   {{0x6d4e4305,0x2d920199,0x5c7501ba,0x635300b3}},	// [34f0] _biba, guye_, илат, _răni, 
   {{0x2d874306,0x6d4e4307,0x2b4d3c3f,0xd7b4009a}},	//   čne_, _ciba, _siec_, ंबाच, 
   {{0x6d4e4308,0x68e10042,0xca75005e,0xaa552db3}},	//   _diba, _rold, аулы, авеш, 
   {{0x2d924309,0x6d4e0a9f,0xdd95430a,0x7c2e0090}},	//   buye_, _eiba, _камы, _dybr, 
   {{0x68e1430b,0x7e6d430c,0x442e430d,0x2b4d00e7}},	//   _pold, mbap, _lyf_, _viec_, 
   {{0x6d4e430e,0x68e100cf,0x2b4d0035,0xb6c20218}},	//   _giba, _qold, _wiec_, çûnê, 
   {{0x68e13622,0xe3e400cc,0x46f5430f,0xa2d8031e}},	//   _vold, _ফেসব, ичит, याम्, 
   {{0x6d4e4310,0x45854311,0x95854312,0x68e14313}},	//   _ziba, агив, алие, _wold, 
   {{0x68e14314,0x19594315,0x6aa90054,0x6d4e02b8}},	//   _told, _разы_, _ibef, _yiba, 
   {{0xb3a901f0,0x6d4e0183,0x69c9039b,0x00000000}},	//   _çıkı, _xiba, _iree, --, 
   {{0x53a54316,0x03a51e13,0xb4e5009a,0x26cf0126}},	//   шанб, шино, _नवी_, _tngo_, 
   {{0xb6c90105,0x69c94317,0x26cf025b,0x442e03c6}},	//   _جائے_, _kree, _ungo_, _dyf_, 
   {{0x69c9085b,0x956733c4,0x7f570107,0x2d920218}},	//   _jree, _съед, _auxq, xuye_, 
   {{0x672401b4,0x2d920199,0x200c0032,0x65694318}},	//   čije, vuye_, údio_, mpeh, 
   {{0x437500b9,0x6aa902ae,0x6003040c,0xafe303a1}},	//   _тулт, _obef, _dеmo, оорл, 
   {{0xe8df0029,0x6d4e4319,0x0e66431a,0x539a042c}},	//   _muốn_, _siba, ркан, _סיפו, 
   {{0xed570316,0x69c9006d,0x98a50237,0x6d4e431b}},	// [3500] иот_, _nree, _aklč_, _piba, 
   {{0x2d920ad0,0x6aa92843,0x6ef102c9,0xdd8f007a}},	//   ruye_, _abef, _håbl, بوك_, 
   {{0x1d1902fb,0xeb9a2595,0x6d4e0010,0xbea6431c}},	//   ують_, тие_, _viba, _канк, 
   {{0x7c2e035e,0xfaa6431d,0x69d9010c,0x6d4e431e}},	//   _vybr, радо, fxwe, _wiba, 
   {{0x6d4e16be,0x7c2e00ab,0x2a690634,0xc33300d1}},	//   _tiba, _wybr, ñaba_, קוד_, 
   {{0x6f16431f,0xa3d5031e,0x69c94320,0xa3c700bc}},	//   lnyc, समा_, _dree, ैमा_, 
   {{0xe8df001b,0xc60e0299,0x1d07198b,0x2d804321}},	//   _cuốn_, ाप्य_, _тери_, lsie_, 
   {{0x6f164322,0x69c94323,0x6b8300d9,0x7f4400b9}},	//   nnyc, _free, ânge, nmiq, 
   {{0x2d804324,0x69c94325,0x1dc9058c,0x3f5c0210}},	//   nsie_, _gree, रियत, _líu_, 
   {{0x44f44326,0x3f5c0183,0x2d804327,0x00000000}},	//   спос, _oíu_, isie_, --, 
   {{0x3f5c4328,0x44384329,0x2d800ed9,0xcc572737}},	//   _níu_, år_, hsie_, יסיק_, 
   {{0xe5a60d5c,0x2d800691,0x6f1600ab,0x442e018c}},	//   _види, ksie_, jnyc, _vyf_, 
   {{0x6f163713,0x2d800228,0x2369014b,0xc1b811e6}},	//   dnyc, jsie_, _čaje_, алях_, 
   {{0xddcf00b3,0xa50702f1,0x00000000,0x00000000}},	//   _lecţ, _кеча_, --, --, 
   {{0x7528030b,0x6353020f,0x40350543,0x00000000}},	//   modz, _bănu, севс, --, 
   {{0x7528432a,0x27210254,0xa2d8031e,0xc29904b6}},	//   lodz, fóny_, याण्, _ских_, 
   {{0x7cf200fb,0x63530474,0x25ec0083,0x00000000}},	// [3510] _værn, _dănu, आईटी_, --, 
   {{0xeb1f1e25,0x69d90216,0x6aa90036,0xacf800d3}},	//   यक्त_, vxwe, _sbef, ануу_, 
   {{0x6f1600ab,0x2d80432b,0x00000000,0x00000000}},	//   bnyc, asie_, --, --, 
   {{0x69c9432c,0x7528432d,0x2b5802a3,0x6f16432e}},	//   _pree, hodz, _durc_, cnyc, 
   {{0xa2d80239,0xe1ff333d,0x7cf2432f,0x7f3a00a7}},	//   यात्, nzó_, _kærl, _תערו, 
   {{0x69d9010c,0x6f0d4330,0x69c901a9,0xb4e500a2}},	//   rxwe, liac, _vree, _नवे_, 
   {{0x6fd7047c,0x69c90b22,0x3f5c0023,0x00000000}},	//   डमिं, _wree, _xíu_, --, 
   {{0x6f0d4331,0x6d450a92,0x660d003e,0x7cf24332}},	//   niac, lmha, _þakk, _lærl, 
   {{0x9f4e004f,0x00000000,0x00000000,0x00000000}},	//   _åfå_, --, --, --, 
   {{0x6f164333,0x6d45009f,0x6f0d4334,0x25ec017d}},	//   znyc, nmha, hiac, आईजी_, 
   {{0x03260e65,0x2721014b,0x65690d9d,0xf8b300a5}},	//   йдон, zóny_, speh, ंजीप, 
   {{0x65950528,0x216a4335,0x8a140019,0x6132008c}},	//   _гаду, лими_, _اظہا, mæli, 
   {{0xe2970088,0x7528044d,0x6f160228,0xbcfb0175}},	//   щая_, bodz, vnyc, _atém, 
   {{0xd46602fb,0x6f1600ab,0x2a7d01c1,0x61462831}},	//   _лише_, wnyc, hawb_, сега, 
   {{0x33951930,0xc2ea00b8,0x6f164336,0x43850d4b}},	//   _العز, _معظم_, tnyc, _البق, 
   {{0x09bd100b,0x2d804337,0x836407cf,0x2732009e}},	//   _আপনা, tsie_, _بدول, mûnê_, 
   {{0xee3a4338,0xac860f89,0x0dca0f82,0x829700a7}},	// [3520] уна_, йгал, ылай_, _הדפס_, 
   {{0x2d801936,0xddcf00d9,0x5c564339,0x3f5c003e}},	//   rsie_, _secţ, стаф, _tíu_, 
   {{0x2d80433a,0xb5fd00e4,0xf5360070,0x2732009e}},	//   ssie_, rašy, צטער_, nûnê_, 
   {{0x6f0d0edb,0x2d80433b,0x6d450a75,0x27210098}},	//   ciac, psie_, amha, póny_, 
   {{0x0854004f,0x7cfb010c,0x7528019b,0xfe4600d9}},	//   овлю, _bîrd, yodz, _ынмо, 
   {{0x6eea014b,0x6d45161c,0xd83a00b3,0x25f60249}},	//   _výbu, cmha, лэй_, एनसी_, 
   {{0x3706170f,0x00000000,0x00000000,0x00000000}},	//   йчив, --, --, --, 
   {{0xe8df001b,0xe80700a2,0x75280035,0xfb16015f}},	//   _buồn_, _वेळा_, wodz, _اورج, 
   {{0x186a3dc0,0x25af0027,0xe8df0210,0x00000000}},	//   _бази_, _cpgl_, _cuồn_, --, 
   {{0x6f0d433c,0xe29f01d5,0x00000000,0x00000000}},	//   ziac, miði_, --, --, 
   {{0x63a502f2,0x7cf209a8,0x75282d27,0x4789004f}},	//   _ähnl, _nærm, rodz, _всім_, 
   {{0x7cf2155b,0x083b00c7,0xe737433d,0x6f0d0183}},	//   _særl, _געבל, _лех_, xiac, 
   {{0x798200ab,0x2d4d0bad,0x26c300e0,0x6f0d433e}},	//   nsow, _džej_, ējot_, viac, 
   {{0x27320218,0x290e433f,0xe3b20038,0x2b460032}},	//   bûnê_, nifa_, _فرع_, ňoch_, 
   {{0x6f0d4340,0xff290038,0xf04400d9,0x7cf200fb}},	//   tiac, لكسي_, зэто, _værl, 
   {{0x290e00cf,0x877b035c,0x79820035,0x8c000033}},	//   hifa_, טאלי, ksow, ্থান_, 
   {{0x28b902c3,0x75b6009a,0xed5b0296,0x290e4341}},	// [3530] _इसलि, _अनोळ, اشرت_, kifa_, 
   {{0x6f0d0039,0x6d454342,0x59c702e6,0x290e0379}},	//   siac, umha, लिसर, jifa_, 
   {{0x25a44343,0x6d454344,0x2d4d00d2,0x6f0d4345}},	//   html_, rmha, _užem_, piac, 
   {{0x539b00a7,0x6d450a75,0xf2d400c7,0xac580240}},	//   ריאו, smha, ּעס_, _ҳарф_, 
   {{0xb2bc00c7,0x6f1d01d2,0x443c039b,0x00000000}},	//   טמאר, _ijsc, _lzv_, --, 
   {{0x2a7d006d,0x00000000,0x00000000,0x00000000}},	//   sawb_, --, --, --, 
   {{0x0a6b0d3d,0x798202a5,0xf7454346,0x00000000}},	//   _брзи_, asow, оеко, --, 
   {{0x46e90161,0x3b6400fd,0xdce40243,0x00000000}},	//   рдин_, _хърв, mpiā, --, 
   {{0xa2d81276,0xa8a74347,0x3ea90156,0x443c0210}},	//   यास्, _грек, ifat_, _azv_, 
   {{0x67240082,0xa2a70299,0xa25b02be,0x00000000}},	//   čija, ट्स्, udôn, --, 
   {{0x28150084,0x443c0082,0x6ef84348,0x7cfb0216}},	//   _بواس, _czv_, _líba, _gîre, 
   {{0x4acf35ff,0xe29a4349,0x232a434a,0xa2d10299}},	//   _सोमव, шам_, роми_, धाग्, 
   {{0x9f4c00bc,0x02031003,0xb5c900d7,0x98a70083}},	//   ádí_, дзян, _خوشم_, alną_, 
   {{0x2d4d0097,0x6eea02d9,0x00000000,0x00000000}},	//   _džek_, _nýbr, --, --, 
   {{0xc44700d4,0x3ea9434b,0x7ce0010e,0x00000000}},	//   _دیدن_, ffat_, _törz, --, 
   {{0x290e0db8,0x9f59010e,0x7cf200fc,0x00000000}},	//   zifa_, ázás_, _værm, --, 
   {{0x236003ef,0x6da3434c,0x82fa06bc,0xec7a2756}},	// [3540] _čiji_, мита, _مرکز_, ипа_, 
   {{0x9d43004e,0xa2d80110,0x00000000,0x00000000}},	//   деуд, याव्, --, --, 
   {{0xdee60a43,0x60d70070,0x7cfb0216,0x00000000}},	//   _дони, _וויא_, _bîrb, --, 
   {{0x49ca08c5,0x3f98434d,0xa25b0032,0x7982434e}},	//   илен_, muru_, jdôl, tsow, 
   {{0x3f982e67,0x290e434f,0x3a200241,0x69264350}},	//   luru_, tifa_, çip_, омда, 
   {{0xf77232b7,0x7cf201cc,0x58d34351,0xe29f003e}},	//   واع_, _mærk, дошт, riði_, 
   {{0x290e4352,0x31a4010e,0x63a30175,0x7cf20566}},	//   rifa_, höz_, _nqnn, _lærk, 
   {{0x78ad0112,0x27e0003a,0x290e4353,0xa3cd320b}},	//   đava, ćin_, sifa_, रिन_, 
   {{0x26c20187,0x3f984354,0x7cf20b48,0x75d4007a}},	//   ľko_, huru_, _nærk, سيدا, 
   {{0x3f984355,0x69c0006b,0x26c24356,0x32020032}},	//   kuru_, _isme, žko_, dzky_, 
   {{0x7e644357,0x3f980199,0xdb1c023e,0x4acf009a}},	//   kcip, juru_, _asré, _सोडव, 
   {{0x3f984358,0x46d10035,0x7ae24359,0x443c00de}},	//   duru_, _दोपह, njot, _vzv_, 
   {{0x68e81ecd,0x332b00fc,0x443c0210,0x31a40d16}},	//   _kodd, rocx_, _wzv_, göz_, 
   {{0x443c435a,0x3f98435b,0xf9932665,0x3f910083}},	//   _tzv_, furu_, ורש_, trzu_, 
   {{0x3f98435c,0x68e8435d,0x443c2fab,0x290c011d}},	//   guru_, _modd, _uzv_, _mmda_, 
   {{0x69c007c7,0x37bc0086,0x68e82243,0x25600237}},	//   _osme, _অপার, _lodd, _kòl_, 
   {{0xa2d82122,0x290c0054,0x7cf2003e,0x57b700b0}},	// [3550] यार्, _omda_, _gærk, _आन्ह, 
   {{0x3f98435e,0x68e800f8,0x629d00fb,0x25600118}},	//   buru_, _nodd, lgso, _mòl_, 
   {{0xa3cd1721,0x69c0435f,0x3f9802b8,0xb3a90241}},	//   रिय_, _asme, curu_, _çıtı, 
   {{0x629d2244,0x7bce4360,0xae0c4361,0x60c500c8}},	//   ngso, _drbu, _सेवन_, _hahm, 
   {{0x7e7d0bc3,0x68e84362,0x18694363,0x7cfb107c}},	//   _iesp, _bodd, бали_, _cîrc, 
   {{0x91bc00a7,0x68e811a9,0x7e7d010c,0x7cf20422}},	//   ימדי, _codd, _hesp, _nærh, 
   {{0x20031c57,0x69c04364,0x6d5d4365,0x9a8707f9}},	//   nzji_, _esme, _husa, _муал, 
   {{0x6d5d4366,0x6d554367,0x7e7d4368,0x6b830634}},	//   _kusa, _hiza, _jesp, ángu, 
   {{0x6d554369,0x3f98436a,0xbcfb01e5,0x68e8017c}},	//   _kiza, zuru_, _atéi, _fodd, 
   {{0x6d5d436b,0x7afb010d,0x7e7d0cd7,0x6d5501ff}},	//   _musa, _hlut, _lesp, _jiza, 
   {{0x7ae9436c,0x6d55436d,0x6d5d436e,0xd91a0486}},	//   _koet, _miza, _lusa, _פועל, 
   {{0xf7700f94,0x6d5d114e,0x7ae9436f,0x25600118}},	//   _شام_, _ousa, _joet, _fòl_, 
   {{0x7ae94370,0x7cf301f0,0x60c50474,0x25600300}},	//   _moet, _kırı, _bahm, _gòl_, 
   {{0x6d554371,0x7cf201cc,0x3f984372,0x7ae94373}},	//   _niza, _værk, turu_, _loet, 
   {{0x7afb4374,0x79990640,0x6d5d4375,0xd9b80a09}},	//   _olut, huww, _ausa, _इन्ट, 
   {{0xdee34376,0x3f984377,0x6d554378,0x7ae900f3}},	//   носи, ruru_, _aiza, _noet, 
   {{0x6d554379,0x7e7d3ced,0xae0c07d5,0x6d5d437a}},	// [3560] _biza, _desp, _सेशन_, _cusa, 
   {{0xdd8f003f,0x6d5d437b,0x7afb437c,0x3f98437d}},	//   اول_, _dusa, _alut, puru_, 
   {{0x7ae9437e,0x46bd00a2,0x68e80156,0x7afb01c4}},	//   _boet, ्याह, _rodd, _blut, 
   {{0x7e7d38a2,0x68e8437f,0x7ae94380,0xdb050858}},	//   _gesp, _sodd, _coet, nthè, 
   {{0x6d5d4381,0x63820019,0x6d5500a9,0x7ae20088}},	//   _gusa, _kíná, _fiza, rjot, 
   {{0x7bce08b1,0x6d5502ba,0x7e7d00ab,0x7afb4382}},	//   _trbu, _giza, _zesp, _elut, 
   {{0x7afb4383,0x6d5d02ec,0x7cf24384,0xf76f00d4}},	//   _flut, _zusa, _næri, هاي_, 
   {{0x67241993,0x799900e2,0x6d550199,0x39bd05d5}},	//   čijo, buww, _ziza, _fňs_, 
   {{0x69c04385,0x6d5d0104,0xbcfb2e31,0x7cf3008f}},	//   _usme, _xusa, _stéi, _fırı, 
   {{0x7ae94386,0x6d55009e,0x765900f8,0x9f451259}},	//   _zoet, _xiza, _egwy, álú_, 
   {{0xa2950769,0x92954387,0x256006df,0x7cfb010c}},	//   мані, манц, _wòl_, _jîra, 
   {{0x60c54388,0x7cfb0216,0x6b650009,0x883b00d1}},	//   _sahm, _mîra, _jėga, _פתאו, 
   {{0x2360090b,0x6b650028,0xd24400d9,0x69c209ec}},	//   _čiju_, _mėga, еэри, लिटी, 
   {{0x6d5d4389,0x0cc70086,0x26c6018e,0x7cf201d5}},	//   _rusa, _শক্ত, _haoo_, _færi, 
   {{0x6d55438a,0x443a0029,0x387e438b,0x7e7d438c}},	//   _riza, _áp_, _metr_, _pesp, 
   {{0x6d5d134c,0x6d55438d,0x539b00a7,0xf8b91cc0}},	//   _pusa, _siza, _היהו, _इस्प, 
   {{0x7e7d438e,0x5d55438f,0x6d554390,0x7ae90876}},	// [3570] _vesp, дкат, _piza, _roet, 
   {{0x7afb4391,0x7cfb010c,0x7ae94392,0x81fc00d1}},	//   _slut, _bîra, _soet, _להחז, 
   {{0x7afb4393,0x7cfb009e,0x7e7d4394,0x6d5d009c}},	//   _plut, _cîra, _tesp, _wusa, 
   {{0x6d5d4395,0x6d554396,0xa3cd08b3,0xbcfb0212}},	//   _tusa, _wiza, रित_, _suéd, 
   {{0x6d5d0c3d,0x7ae9051e,0xa2a54397,0x99890187}},	//   _uusa, _voet, _कान्, ťaž_, 
   {{0xbcfb1cf0,0x7cf300ad,0x78ad0097,0x76960585}},	//   _quéd, _qırı, đavo, yüyü, 
   {{0x7ae94398,0x7afb4399,0x00000000,0x00000000}},	//   _toet, _tlut, --, --, 
   {{0x628d439a,0x7afb439b,0x8cdb0083,0x00000000}},	//   _ndao, _ulut, नावो, --, 
   {{0x387e439c,0x917a0108,0x7cf31240,0xdbd71279}},	//   _fetr_, _mật_, _tırı, sääv, 
   {{0x628d0204,0x83890cb4,0x67d503a1,0x00000000}},	//   _adao, обов_, _оозу, --, 
   {{0xccf20111,0x6ef82768,0xd7c100c2,0x673a01d5}},	//   דכי_, _bíbl, _शनिच, ðbjö, 
   {{0x395f00b0,0xc878027e,0x52b8017d,0x76960384}},	//   _kuus_, _doğu_, इजेस, rüyü, 
   {{0x64a5302c,0xe60e1087,0xf5480108,0xa06a439d}},	//   _жала, _рд_, _lụy_, жага_, 
   {{0x7cf20453,0x395f439e,0xdb0500d7,0x00000000}},	//   _hærv, _muus_, sthè, --, 
   {{0x2d8f0369,0x225f00ef,0x8fa30596,0xfe7f040b}},	//   ágen_, žuka_, каре, _beï_, 
   {{0x6ef80126,0x98bf007b,0x00000000,0x00000000}},	//   _víbo, _ftuħ_, --, --, 
   {{0x395f042e,0xf1c3021f,0xe1ff0634,0x312608bd}},	// [3580] _nuus_, _айып, lcón_, _одиг, 
   {{0x7cfb009e,0x00000000,0x00000000,0x00000000}},	//   _pîra, --, --, --, 
   {{0xe1ff3826,0xa2a50249,0x25bf02eb,0x00000000}},	//   ncón_, _काम्, hwul_, --, 
   {{0x3160439f,0xa2d41d00,0x7cf243a0,0x200c0032}},	//   _kuiz_, _बोम्, _nærv, údiu_, 
   {{0x7bda310d,0x387e031e,0x31600165,0x094a43a1}},	//   _štud, _petr_, _juiz_, очки_, 
   {{0xa2a5031e,0x31600065,0x8b660534,0xbcfb43a2}},	//   _काभ्, _muiz_, _يازم, _stév, 
   {{0xdca32aaf,0x6b630aca,0xb9060262,0x316043a3}},	//   _шари, _акса, _बच_, _luiz_, 
   {{0x3ea043a4,0x8c431205,0x758a0088,0x44200613}},	//   ngit_, _ресе, осов_, _ći_, 
   {{0xb8f40086,0x395f43a5,0x7cfb107c,0xd5ba017b}},	//   _হক_, _guus_, _mîrn, іси_, 
   {{0x628d00a1,0xbcfb0151,0x7c220474,0x00000000}},	//   _sdao, _tuée, şoru, --, 
   {{0x38cb00d6,0x00000000,0x00000000,0x00000000}},	//   _باقی_, --, --, --, 
   {{0x26cb0296,0x395f2dfc,0x7d0b039f,0x00000000}},	//   _وطنی_, _yuus_, égsz, --, 
   {{0xe7070a24,0x55730965,0x98a70243,0xe7e421f1}},	//   _تسلی, _агіт, lonā_, _कपडा_, 
   {{0x672d0112,0xdb0543a6,0x7cf2003e,0x98a702d9}},	//   čaje, rthé, _kæru, dlně_, 
   {{0xd5c800e7,0x613b010c,0xe1f90009,0xdb050212}},	//   _hề_, lîlk, šų_, sthé, 
   {{0x3ea043a7,0xd5c80023,0x628d045a,0xceb80267}},	//   ggit_, _kề_, _udao, мљу_, 
   {{0x9f341d9a,0x7cf243a8,0x6722019b,0x3cd543a9}},	// [3590] теті, _læru, _mjoj, нжас, 
   {{0x3d940650,0xd5c80210,0x00000000,0x00000000}},	//   тифр, _mề_, --, --, 
   {{0xd5c80023,0x395f43aa,0x98a70243,0x7cf243ab}},	//   _lề_, _suus_, jonā_, _næru, 
   {{0xbcfb026a,0xdced0bad,0x6ef100fb,0x00000000}},	//   _québ, mpač, _påbu, --, 
   {{0x31600183,0x38c40009,0xd8380118,0xd5c80023}},	//   _xuiz_, kūrė_, _ayč_, _nề_, 
   {{0x7f4d00ad,0xdb0702ae,0x270c02d9,0x7cf234cd}},	//   lmaq, _spjä, měny_, _bæru, 
   {{0x6d4700ef,0x2d4d0097,0x38c40009,0x8aa700a3}},	//   _ihja, _džet_, dūrė_, _орад, 
   {{0xa3cd0c64,0x7c220095,0xd5c800e7,0x395f43ac}},	//   रिस_, ğort, _bề_, _tuus_, 
   {{0x2d8943ad,0xc8ab0093,0xe61943ae,0x67221b6b}},	//   nsae_, _мъже_, яди_, _djoj, 
   {{0xa8980161,0x6b650009,0x613202c9,0x5a4400b3}},	//   _окуу_, _jėgo, jælp, _рэса, 
   {{0x260f1011,0x00000000,0x00000000,0x00000000}},	//   _तेरी_, --, --, --, 
   {{0xe1ff1771,0x67220034,0xa2a508dd,0x1ddf1f22}},	//   rcón_, _gjoj, _काण्, नमात, 
   {{0x6d470088,0x3afa0070,0x316043af,0xe1ff1ff5}},	//   _ohja, פּטע, _quiz_, scón_, 
   {{0x64a543b0,0xdce400ca,0xdbd714aa,0x673b43b1}},	//   _чака, mpić, _käär, lluj, 
   {{0x41270f5a,0x6d4b0028,0xdbd72b92,0x00000000}},	//   хоро_, įgal, _jäär, --, 
   {{0xdbd714ba,0x644343b2,0xa3be43b3,0x6d4743b4}},	//   _määr, _izni, ुटर_, _ahja, 
   {{0x628643b5,0xe195022c,0xa2a50e17,0xdce601dd}},	// [35a0] mako, _ирээ, _कात्, _atkā, 
   {{0x7cfb0218,0x628643b6,0xa2d8031e,0xbfc63197}},	//   _dîro, lako, याक्, _збок, 
   {{0xbcfb02aa,0x6d470034,0x907b00d1,0x00000000}},	//   _suéc, _dhja, _מטיי, --, 
   {{0xed5a0a43,0x44270369,0xbcfb003e,0x98a702d9}},	//   _ном_, _mxn_, _stét, plně_, 
   {{0x260f0663,0xddcd00d9,0x00000000,0x00000000}},	//   _तेली_, rbaţ, --, --, 
   {{0x628643b7,0xb866009c,0x6f0443b8,0xd8380237}},	//   hako, راتو, lhic, _pyč_, 
   {{0x8c4343b9,0xddcd034c,0x629a0009,0x673b0369}},	//   _бере, mbaš, ėtoj, fluj, 
   {{0xa6aa0038,0xcf9300d1,0x7791009c,0xcc3b0070}},	//   سابق_, אטה_, شیها, _זעלט, 
   {{0x644300e2,0xa92601fc,0xe56f00d7,0xbcfb0106}},	//   _azni, _здал, یطی_, _itér, 
   {{0xd5c80124,0x81e60086,0xc42a2918,0x753a01f1}},	//   _về_, পনা_, зюме_, ultz, 
   {{0x44270108,0x77610508,0x5c970147,0x00000000}},	//   _cxn_, _gulx, עכטע_, --, 
   {{0x6aa243ba,0x628643bb,0xa2d8031e,0xf2c70176}},	//   ngof, gako, याग्, хсон, 
   {{0x6f0401c5,0x394e00f6,0x613b0216,0x00000000}},	//   dhic, omfs_, lîli, --, 
   {{0xa3cd43bc,0x248500f6,0x7cf2055f,0x656f43bd}},	//   रिश_, calm_, _mærs, íche, 
   {{0x6286323d,0xa2d80aac,0xddcd00ef,0x442700e7}},	//   bako, याख्, dbaš, _gxn_, 
   {{0x7cfb010c,0x6f0443be,0x643b00a7,0x69dd0183}},	//   _pîro, ghic, _מעונ, _áseg, 
   {{0xdd94005e,0x3d9415db,0x25f60f6f,0x7f4d00ad}},	// [35b0] латы, литр, एनटी_, rmaq, 
   {{0xbebb0034,0x69c2040b,0x00000000,0x00000000}},	//   _gjën, dwoe, --, --, 
   {{0x2d89008a,0x6f040465,0x6562039b,0x69c2040b}},	//   ssae_, bhic, _luoh, ewoe, 
   {{0x9e150100,0x6f0443bf,0x59bf0484,0x8bc41eaf}},	//   _адмі, chic, _एनआर, ысуд, 
   {{0xdb1c0019,0x2d8b0082,0xdbd7033d,0xab640035}},	//   _arró, _uvce_, _säär, ężar, 
   {{0x628643c0,0xdbd713ba,0xbcfb0ada,0x613b009e}},	//   zako, _päär, _etér, fîli, 
   {{0x628643c1,0x7cf234f9,0x37e501ff,0xdce40083}},	//   yako, _vært, тойг, jpię, 
   {{0xdbd71ab9,0x7cf2010d,0x98b601dd,0xe7390080}},	//   _väär, _færs, īgās_, ьей_, 
   {{0xe7f30cbd,0xdb1c0086,0xa6e2001c,0xdb0e00f6}},	//   _अथवा_, _erró, ржыл, _esbó, 
   {{0x673b0813,0x628643c2,0xd9551c03,0x7cf2003e}},	//   sluj, wako, _شناخ, _hærr, 
   {{0xe29a43c3,0x628643c4,0x232a03dc,0xdce41a35}},	//   ман_, tako, дони_, spić, 
   {{0x64430076,0x4612015f,0x7bd500de,0x069b039f}},	//   _vzni, اویر, _mrzu, _رخصت_, 
   {{0x628643c5,0x248543c6,0x718400f0,0x9f4502d9}},	//   rako, palm_, ықпе, álý_, 
   {{0x628643c7,0xf4871ba1,0xdd920274,0x25ad0027}},	//   sako, _чудн, یوز_, mtel_, 
   {{0x6f0443c8,0x25ad43c9,0xa06743ca,0xbe8400a3}},	//   thic, ltel_, таса_, лқни, 
   {{0x7cf201d5,0x7b1123f2,0x8fa30bae,0x0b130033}},	//   _nærr, sťuj, јате, িকুল_, 
   {{0x66090204,0x7bd50785,0x0e6343cb,0xc2c90038}},	// [35c0] nzek, _arzu, ркун, _سبيل_, 
   {{0x672428fd,0x6f0402f1,0xbcfb43cc,0x7bd50035}},	//   čiji, shic, _stér, _brzu, 
   {{0xdf4a07f9,0xe0fb035c,0x26180586,0x6ef843cd}},	//   _озод_, _חליל, _बेनी_, _líbi, 
   {{0xe6bd00a2,0xdb1c03a1,0x00000000,0x00000000}},	//   ्योज, _arrò, --, --, 
   {{0xe89443ce,0x628443cf,0xa2a50c64,0xa9672413}},	//   галь, _meio, _कास्, вича_, 
   {{0x6609002a,0x69c215e9,0x7cf20c85,0x26dd06df}},	//   dzek, rwoe, _værs, _anwo_, 
   {{0x7cf243d0,0x38cb06bc,0x6d5c30bd,0x25ad43d1}},	//   _færr, بانی_, _iira, etel_, 
   {{0x6d5c43d2,0xdb1c03dd,0x3e860009,0xbcfb0212}},	//   _hira, _errò, būtų_, _utér, 
   {{0x6f030012,0x28e200ab,0xa5341da4,0x7bd50083}},	//   _înce, पादि, лнич, _zrzu, 
   {{0x6d5c43d3,0x672d04d1,0xc79643d4,0x628402be}},	//   _jira, čaja, _арды, _aeio, 
   {{0x6d5c43d5,0xdc9b008d,0x4c9b00d1,0x25ad43d6}},	//   _mira, וייל, וביו, atel_, 
   {{0x6d5c43d7,0x656200c8,0x200a0372,0x7c3c0a6d}},	//   _lira, _tuoh, dzbi_, _myrr, 
   {{0x659443d8,0xa34400f6,0x25ad240a,0x628401d6}},	//   _салу, рээл, ctel_, _deio, 
   {{0xa2a511ff,0x6d5c43d9,0x65933cab,0xe13500b3}},	//   _काव्, _nira, _ташу, унгы, 
   {{0xa15843da,0x543311b7,0xa43800dd,0x6e9515f5}},	//   тару_, _پرور, _язку_, ливу, 
   {{0x6d5c43db,0xbcfb04b3,0x216700c8,0x78ad00ef}},	//   _aira, _cuén, _итог, đavi, 
   {{0x23694356,0x00000000,0x00000000,0x00000000}},	// [35d0] _čaji_, --, --, --, 
   {{0x6d5c43dc,0x7cfb009e,0xdb05341d,0x7c3c0090}},	//   _cira, _tîrm, rthí, _byrr, 
   {{0xa2d8047b,0x6d5c27c8,0x2d4d0704,0x8c64004e}},	//   याच्, _dira, _džep_, ртуд, 
   {{0x6d5c43dd,0xbddb011c,0x443c03a0,0xd2590243}},	//   _eira, _nyèg, _myv_, žņu_, 
   {{0x6d5c43de,0x99150c8b,0x7bd500ab,0x7e2b004f}},	//   _fira, лькі, _wrzu, _ціна_, 
   {{0x6d5c43df,0x7c3c010d,0xd8250508,0x7bc7076b}},	//   _gira, _fyrr, лдли, _tsju, 
   {{0x6e3d02bf,0x7c3c0156,0x443c0054,0x98a743e0}},	//   _hysb, _gyrr, _nyv_, joną_, 
   {{0x66090414,0x25ad43e1,0x7e6d0730,0x27e914f0}},	//   tzek, ttel_, ncap, ćan_, 
   {{0x6d5c007c,0x25ad43e2,0x26cd001d,0x25fe1276}},	//   _yira, utel_, rdeo_, शैली_, 
   {{0x660943e3,0x2ed0000f,0x6d5c43e4,0x25ad43e5}},	//   rzek, _हफ्त, _xira, rtel_, 
   {{0x25ad43e6,0x66090019,0x7e6d016a,0x29070358}},	//   stel_, szek, kcap, mhna_, 
   {{0x7f5d008a,0x7cfb0216,0x6ef827c7,0x16140eda}},	//   _nisq, _bîrk, _tíbi, _तेवर_, 
   {{0xa2a508dd,0xe4c811b7,0x7e6d039b,0x62842ac3}},	//   _कार्, ربین_, dcap, _veio, 
   {{0x361a0137,0xa2d40497,0x8fa643e7,0x256900eb}},	//   _אונד, _बोर्, лаге, _iúl_, 
   {{0x7f5d0008,0x60260141,0x6d5c43e8,0x6569021e}},	//   _bisq, удва, _rira, lqeh, 
   {{0xbcfb43e9,0x7e6d01d2,0x69c943ea,0x00000000}},	//   _quén, gcap, _osee, --, 
   {{0xa06a43eb,0x256943ec,0x7f5d43ed,0xd7f8001b}},	// [35e0] _папа_, _júl_, _disq, _ngăn_, 
   {{0xee370161,0x6d5c43ee,0x29070352,0x7e6d0036}},	//   уну_, _qira, jhna_, acap, 
   {{0x6d5c43ef,0x9f5800e5,0x290701c5,0x69c914aa}},	//   _vira, nyrë_, dhna_, _asee, 
   {{0x6d5c2583,0x6a863cab,0x7e6d01d8,0x00000000}},	//   _wira, улда, ccap, --, 
   {{0x6d5c43f0,0x427b00c7,0x98a743f1,0x63a143f2}},	//   _tira, גאנג, zoną_, huln, 
   {{0xa3e3000d,0xbebb00e5,0xa3d60fec,0x63a143f3}},	//   नमा_, _njëj, सिम_, kuln, 
   {{0xc5f1100b,0xa2a51bf9,0x69c902a5,0x9f580034}},	//   _জেলা_, _काल्, _esee, jyrë_, 
   {{0x63a143f4,0xa2d443f5,0xa6f443f6,0xb6f408bd}},	//   duln, _बोल्, рзиш, рзиј, 
   {{0xe9da02fb,0x948643f7,0x443c14a4,0xfaf700d1}},	//   _яка_, лынд, _syv_, _עצמי_, 
   {{0x38c8017a,0x2907031e,0x78ad0032,0x661d01d5}},	//   _جاری_, chna_, ľový, úska, 
   {{0xd48f004e,0x4c9b00c7,0x78ad0098,0xd6cf00b9}},	//   _қр_, עשטע, žový, _лт_, 
   {{0x69dd0183,0x395e1741,0xa2a5009a,0x00000000}},	//   _ásec, _hits_, _काळ्, --, 
   {{0x7f5d026d,0x925800c8,0x0eab00c9,0x395e0c04}},	//   _risq, лают_, _छाबड, _kits_, 
   {{0xbcfb0126,0x98a70009,0xbebb0034,0x443c43f8}},	//   _cuél, poną_, _gjëj, _tyv_, 
   {{0xffe41b2d,0x395e43f9,0x7e6d00b9,0x53a811c1}},	//   бютн, _mits_, tcap, _कमिश, 
   {{0x395e43fa,0x7e75286c,0x2bc800a2,0x7f5d02f1}},	//   _lits_, ргах, रबना, _qisq, 
   {{0x7e6d02f6,0x2d8f0019,0x7f5d19cb,0x9d1543fb}},	// [35f0] rcap, ége_, _visq, адач, 
   {{0x395e022c,0x22490ff2,0x00000000,0x00000000}},	//   _nits_, _izak_, --, --, 
   {{0x9c4708af,0x1cb80195,0xa3cd0a09,0x6e3d040b}},	//   ухал, طالب_, रिए_, _wysb, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xdd010c05,0x7cdb00e0,0x09e543fc,0x6b650009}},	//   ştır, _pārē, ролн, _mėgi, 
   {{0x69c9008b,0x6ce707f4,0x395e01dd,0x27950c21}},	//   _vsee, _сіме, _cits_, ашир, 
   {{0x80ad1230,0x395e43fd,0xbebb024a,0x2569007a}},	//   _जाने, _dits_, _njëk, _súl_, 
   {{0xb8fc43fe,0x497543ff,0x69c90e0c,0x395e0089}},	//   _तो_, _влас, _tsee, _eits_, 
   {{0x46e601bb,0x09b8024f,0x290700ef,0x55860235}},	//   рдын_, _مطلع_, phna_, абым_, 
   {{0xe7870965,0x63a14400,0x9f58024a,0x3eab00e2}},	//   _будо, tuln, tyrë_, _lcct_, 
   {{0x0445418c,0xd8741169,0x29054401,0x28e21cdd}},	//   ренн, _طالب, _illa_, पारि, 
   {{0x216a4402,0x25690019,0x28d9241a,0x69cf0183}},	//   кими_, _túl_, _योति, _áces, 
   {{0x63a14403,0x26cf4404,0x61462ca1,0xe29707a5}},	//   suln, _iago_, иема, шая_, 
   {{0x81b800cc,0x26cf0033,0x84670093,0xd61800d4}},	//   ছিল_, _hago_, _съде, _حتما_, 
   {{0x3f1602a0,0xbddb011c,0x224901cf,0x26cf0118}},	//   аќат, _nyèb, _ezak_, _kago_, 
   {{0x26cf4405,0x2caa016a,0x8236009c,0x527603a1}},	//   _jago_, _scbd_, _پربا, _туку, 
   {{0x29051dde,0xa3cd0527,0x8d760c72,0x62964406}},	// [3600] _olla_, रिक_, شاءا, _idyo, 
   {{0xef864407,0x80ad3e22,0x40960cda,0xaefb00a1}},	//   _клоп, _जाये, _трит, _ciùb, 
   {{0x24870cbf,0x6cd32751,0x8ca708d2,0x28a91d11}},	//   _menm_, تقلا, _चारो, च्छि, 
   {{0x29054408,0x26cf4409,0xeb972cdd,0xbebb024a}},	//   _alla_, _nago_, риц_, _njëh, 
   {{0x395e440a,0x6f0300d9,0x28e21464,0x2b5f01f5}},	//   _pits_, _înca, पालि, _diuc_, 
   {{0x89da0a24,0xdb05007a,0x493708af,0x32aa109f}},	//   _یوزر_, rthá, азію_, _काऽऽ, 
   {{0xb8ce3e22,0x26cf0268,0xf09300d1,0x370600c8}},	//   _का_, _bago_, קנה_, ичив, 
   {{0xd6d7440b,0x2905440c,0xfaa3440d,0x26cf0369}},	//   ать_, _ella_, _масо, _cago_, 
   {{0x26cf440e,0xf526440f,0xa96a4410,0x6ed60083}},	//   _dago_, ифон, _риза_, _zębó, 
   {{0xd9463e42,0x62964411,0x04661acc,0x00000000}},	//   _тези, _adyo, штим, --, 
   {{0x80c52c8a,0x26cf0042,0x2240023e,0x291c4412}},	//   ाजसे, _fago_, _ayik_, miva_, 
   {{0x291c4413,0x26cf4414,0xe61a3dc8,0x236700ca}},	//   liva_, _gago_, _иде_, _dunj_, 
   {{0x7bda0a1a,0x26c40813,0x8b57008d,0x50670093}},	//   _štul, memo_, ייטס_, итва, 
   {{0x26c40194,0x291c4415,0x26cf4416,0x24870237}},	//   lemo_, niva_, _zago_, _genm_, 
   {{0x5f941829,0xaefb01be,0x00000000,0x00000000}},	//   жист, _niùc, --, --, 
   {{0x2fcd00ab,0x6d4e4417,0x224901cf,0x40342e8d}},	//   łego_, _ahba, _tzak_, цесс, 
   {{0x2249027e,0x291c4418,0xdcb900a3,0x00000000}},	// [3610] _uzak_, kiva_, лгач_, --, 
   {{0x61fd4419,0xe1ff00ab,0xd65700a7,0x00000000}},	//   mysl, wców_, שימת_, --, 
   {{0x9f35441a,0x2618007e,0x7055009c,0x52380116}},	//   _гені, _बेसी_, _دندا, _مسیح_, 
   {{0xf21c000f,0xaefb01be,0x6e3202d9,0x7cfb009e}},	//   _पेड़_, _diùc, _žebř, _nîrv, 
   {{0xa9c70a10,0x66e500bc,0xe1ff0083,0xaefb00a1}},	//   рсек, कासक_, rców_, _tiùb, 
   {{0x3169441b,0x291c0036,0x7c280097,0x3ea9441c}},	//   _muaz_, giva_, _ždre, lgat_, 
   {{0x26cf2f17,0x260f05fd,0xb3a906d0,0x9d18441d}},	//   _pago_, _तेजी_, _çıxı, _торт_, 
   {{0x3ea9441e,0x656f1102,0xaacf0586,0x44291c2b}},	//   ngat_, ícho, _सोचक, _ća_, 
   {{0x98c72f73,0x291c441f,0xa3a9009a,0x3a3f4420}},	//   _всел, biva_, गून_, _uyup_, 
   {{0xdb1c0518,0x29050dc2,0x00000000,0x00000000}},	//   _aprè, _ulla_, --, --, 
   {{0x26cf4421,0x2bda00ab,0x26c40027,0x3ea908b0}},	//   _tago_, णिया, bemo_, kgat_, 
   {{0x26c411b1,0x442e0626,0x6ef8001d,0x05170033}},	//   cemo_, _dxf_, _líbr, ঠকের_, 
   {{0x61fd0028,0x24870237,0x00000000,0x00000000}},	//   gysl, _tenm_, --, --, 
   {{0x657b4422,0x463a0070,0xdb1c05d5,0x7bda4423}},	//   mpuh, _גענע, _eprè, _štum, 
   {{0xa3cd04d7,0xd007062a,0xdee64424,0x6abb0547}},	//   रिओ_, бере_, бови, _obuf, 
   {{0x291c090b,0x98a700ab,0x3ea94425,0x0e664426}},	//   ziva_, ronę_, ggat_, скан, 
   {{0xc27b00a7,0x10a600dd,0x5e4a4427,0xaefb01f5}},	// [3620] _גרפי, _липн, упам_, _siùc, 
   {{0x26c44428,0x6abb00e2,0xa96a0cdf,0x291c03dd}},	//   zemo_, _abuf, ҳида_, xiva_, 
   {{0xcfea09e8,0x26c40199,0x69db011c,0x29020243}},	//   _صفحه_, yemo_, _arue, _ēka_, 
   {{0xfaa61b85,0xa96a02f1,0x69db0549,0xb4e40249}},	//   садо, гида_, _brue, _पच्_, 
   {{0xd9463ca1,0xd91a1b2d,0x3157015f,0xda65007a}},	//   беди, льк_, _خلیج_, زاني, 
   {{0x26c44429,0x7f44442a,0x69db442b,0x9db903a1}},	//   wemo_, lliq, _drue, _тыюу_, 
   {{0x291c442c,0x26c402b8,0x2a6900ca,0x7d1e442d}},	//   riva_, temo_, žaba_, mips, 
   {{0xa3d61516,0xc6f8442e,0x69db0751,0x7d1e442f}},	//   सिस_, рних_, _frue, lips, 
   {{0x26c44430,0x69db4431,0x291c4432,0x27fc0210}},	//   remo_, _grue, piva_, syvn_, 
   {{0x26c44433,0x7d1e011d,0xbf0500b5,0x69c0008a}},	//   semo_, nips, _रत्न_, _ipme, 
   {{0x2618051f,0xdb1c4434,0x7bda0372,0x201e4435}},	//   _बेरी_, _apré, _štuj, útil_, 
   {{0xa3cd00a5,0x366a0283,0x61fd0080,0xdb1c0534}},	//   रिज_, _садо_, tysl, _bpré, 
   {{0x7d1e4436,0x66e54437,0x3ea94438,0x00000000}},	//   kips, कारक_, vgat_, --, 
   {{0x2d920876,0xf1274439,0x76420027,0xdb050218}},	//   dsye_, сьмо, _iyoy, guhê, 
   {{0x24b700a7,0x7642059c,0xa2d409d8,0x753a27bd}},	//   _ההון_, _hyoy, _बोक्, motz, 
   {{0x69c00265,0x3ea900d9,0x76420539,0xda08009a}},	//   _opme, ugat_, _kyoy, वनात_, 
   {{0x7bdc443a,0xd0d50141,0xa3d600c9,0x644f0035}},	// [3630] _arru, _допъ, सिव_, ęcie, 
   {{0x8c67005e,0x753a01d6,0x6abb0036,0x764201b8}},	//   стад, notz, _sbuf, _myoy, 
   {{0x69c0002a,0x7f44443b,0xbc4b35bf,0x6f0300b3}},	//   _apme, bliq, учае_, _înco, 
   {{0x69db15c4,0x672d443c,0x753a01f1,0xdecb01a2}},	//   _prue, čajk, hotz, _суол_, 
   {{0x6f0d0544,0xe1ff443d,0x7bdc0a9f,0x69350161}},	//   mhac, nyó_, _erru, онду, 
   {{0xf7710198,0x6f0d02be,0x60c7443e,0x4fb40296}},	//   واب_, lhac, nejm, _بصیر, 
   {{0x628f443f,0x77624440,0x37860093,0xda7b012d}},	//   kaco, _biox, общо_, _бяз_, 
   {{0x6d454441,0x69db08bb,0x6abb0199,0x6f0d4442}},	//   llha, _true, _ubuf, nhac, 
   {{0xd6294443,0x628f4444,0x76420027,0x9f4a0151}},	//   ропе_, daco, _cyoy, ômée_, 
   {{0x8508004e,0x26d90228,0x753a01f1,0xdb0512b7}},	//   йдың_, ôsob_, gotz, sthä, 
   {{0x02c60ec4,0x6f0d4445,0x60c70035,0x657b0dfa}},	//   ойно, khac, dejm, spuh, 
   {{0x7bda4446,0x6d454447,0x7d1e16c6,0x657b4448}},	//   _štuk, hlha, zips, ppuh, 
   {{0x6f0d0465,0x3204014b,0x2d4d1a51,0x67293204}},	//   dhac, ámy_, _džez_, mnej, 
   {{0x67294449,0x320c0083,0x627e0083,0x00000000}},	//   lnej, ądy_, dłoż, --, 
   {{0x656b444a,0xbf050ede,0x6b65012d,0x44213fef}},	//   _hugh, रसून_, _mėgs, _äh_, 
   {{0x0d8602f1,0x6f0d3772,0x656b0247,0x6729444b}},	//   жлан, ghac, _kugh, nnej, 
   {{0x6563444c,0x80a50019,0x20110036,0x7f442edb}},	// [3640] _kinh, _کمپن, azzi_, rliq, 
   {{0x6563444d,0xdca31c32,0x644327dc,0x61fb0502}},	//   _jinh, дафи, _kyni, äule, 
   {{0x0b5a1e54,0x6563444e,0x7d1e444f,0x656b4450}},	//   арды_, _minh, rips, _lugh, 
   {{0xe9da4451,0x65634452,0x6f0d4453,0x67294454}},	//   ике_, _linh, chac, jnej, 
   {{0x77620068,0x6d450156,0x7528020b,0x2bbc00b0}},	//   _riox, blha, yndz, _ईहवा, 
   {{0x628f4455,0x1d0a4456,0xf8060088,0x656343a3}},	//   zaco, _теги_, жчин, _ninh, 
   {{0xe3a70399,0xeb9718de,0x7bdc0a9f,0x56944457}},	//   _تر_, _мир_, _urru, пайт, 
   {{0x6f042b4a,0x656b4458,0x656301ca,0x67290121}},	//   nkic, _bugh, _ainh, gnej, 
   {{0x65634459,0x644302f1,0x3cf804b2,0x628f445a}},	//   _binh, _ayni, _korv_, vaco, 
   {{0xa3d60509,0x2b46022c,0x656b445b,0x32d700e7}},	//   सिल_, lloc_, _dugh, _ủy_, 
   {{0x6563445c,0x64430156,0x6729445d,0x628f445e}},	//   _dinh, _cyni, bnej, taco, 
   {{0x6563445f,0x67290187,0x64434460,0x753a0a9f}},	//   _einh, cnej, _dyni, sotz, 
   {{0x628f08f5,0x7d1c00ef,0x753a4461,0x65634462}},	//   raco, _omrs, potz, _finh, 
   {{0x656313cd,0x628f4463,0x67204464,0x00000000}},	//   _ginh, saco, limj, --, 
   {{0x6f0d4465,0x20054466,0x628f4467,0x60c74468}},	//   thac, áli_, paco, rejm, 
   {{0xe7f21139,0x2b4600b3,0x3eaf0380,0x63a80352}},	//   _अपना_, jloc_, ügt_, mudn, 
   {{0x200521a2,0x6d450149,0x63a8171a,0xbcfb0126}},	// [3650] šli_, tlha, ludn, _muév, 
   {{0x6729220b,0x7c280a1a,0x65634469,0x61e0003e}},	//   znej, _ždra, _xinh, æmle, 
   {{0x63a8008b,0xa2a505ff,0x290e025b,0x00000000}},	//   nudn, _काञ्, dhfa_, --, 
   {{0xddcd446a,0x7d1c02a5,0xfbde02be,0x00000000}},	//   mbaž, _emrs, _drª_, --, 
   {{0x67291c76,0x63a80990,0xed5b015f,0x6f1d0038}},	//   vnej, hudn, _نشست_, _imsc, 
   {{0xb17c042c,0x69dd0183,0x656b446b,0x2585009e}},	//   סטור, _ásem, _rugh, hêlî_, 
   {{0xa2ac02f8,0x6729446c,0x3d0000a2,0x07a53005}},	//   _झाल्, tnej, _शकते_, чайн, 
   {{0x656b446d,0x2b4603b2,0x69cc017d,0x6ef12c2c}},	//   _pugh, cloc_, _दैवी, _påby, 
   {{0x6443446e,0x6729446f,0x656317e4,0x00000000}},	//   _syni, rnej, _pinh, --, 
   {{0xe6164470,0x67294471,0x656b4472,0x23950243}},	//   яды_, snej, _vugh, tāj_, 
   {{0x65634473,0x6f1d012e,0x628d00a1,0x67294474}},	//   _vinh, _omsc, _beao, pnej, 
   {{0x64434475,0x798901a3,0x656b0465,0x00000000}},	//   _vyni, _kwew, _tugh, --, 
   {{0x55e51db6,0x65634452,0x6443006a,0x9f5e02d9}},	//   _холб, _tinh, _wyni, átí_, 
   {{0x63a84476,0x79894477,0x6f1d0354,0x00000000}},	//   budn, _mwew, _amsc, --, 
   {{0x6f0429a6,0xdee64478,0xbebb024a,0x044203dc}},	//   tkic, пови, _njës, _пешн, 
   {{0x7d1c090e,0xdce60b91,0x1b010033,0x3e7c00d8}},	//   _smrs, _vukč, লোতে_, kátů_, 
   {{0x6f0400d2,0x7989052b,0x57b80299,0x00000000}},	// [3660] rkic, _nwew, _आह्ह, --, 
   {{0x6f044479,0x600a0cfe,0xe81c00b0,0x6145009e}},	//   skic, _гном_, _भइला_, rîlê, 
   {{0x798911e9,0x5fe00d5a,0xe0fb0486,0x7f460080}},	//   _awew, _पछिल, _הליל, _неож, 
   {{0x79890539,0xd5bd0299,0x00000000,0x00000000}},	//   _bwew, ्बाज, --, --, 
   {{0xd946447a,0xda1600b0,0x2b460036,0x3cf82379}},	//   педи, _देखत_, rloc_, _torv_, 
   {{0x2d80447b,0xed571330,0xfe6f0019,0x6b51447c}},	//   mpie_, _ноя_, _لگے_, våge, 
   {{0x2b460626,0xab640380,0x2ca7001d,0x7989177f}},	//   ploc_, grüß, ónde_, _ewew, 
   {{0x290e0053,0x63a8447d,0x6b5116fa,0x32021279}},	//   shfa_, vudn, tåge, kyky_, 
   {{0x963409a6,0xceb30070,0xb6c80019,0xbddb023e}},	//   ьниц, גיח_, ماکے_, _nyèl, 
   {{0x63a8007b,0xf778008a,0xa2a502d9,0x00000000}},	//   tudn, _erħa_, _काङ्, --, 
   {{0x68e802c9,0xa84a0038,0x290c447e,0x00000000}},	//   _indd, _الام_, _ilda_, --, 
   {{0x68fa447f,0x63a80ed3,0xddcd0474,0x00000000}},	//   _hotd, rudn, ncaţ, --, 
   {{0xaefb01fd,0xc693027a,0x75214480,0x00000000}},	//   _diùl, _נאס_, bilz, --, 
   {{0xbebb00e5,0xd62509dc,0xa5f70176,0x6f1d4481}},	//   _njër, _تعمي, _хешу_, _smsc, 
   {{0xdb1c4482,0x94bb00d1,0x2d800326,0x337401ff}},	//   _aprí, _המות, epie_, _ўгир, 
   {{0xdb1c0038,0xaefb0465,0x2b5e0237,0xdb0501d5}},	//   _bprí, _giùl, _ètch_, sthú, 
   {{0x69dd0165,0xf1b1055d,0xe3b8008f,0xfe7020b4}},	// [3670] _àsex, _जमिन, ltı_, ادف_, 
   {{0x4d980235,0x291e0027,0x68fa0502,0xa3b00299}},	//   якую_, _nmta_, _notd, टंप_, 
   {{0xe3b803c0,0xe4ed0484,0x9f55004f,0x7989040b}},	//   ntı_, जाति_, _овоч, _swew, 
   {{0xf1b1000f,0x290c4483,0x6f1d0380,0xa3d4017d}},	//   _जमान, _alda_, _umsc, _हनन_, 
   {{0xeab00038,0xa9f900bc,0x68fa0104,0x00000000}},	//   اعم_, ्नेछ_, _botd, --, 
   {{0xd04506d0,0xe3b805b7,0xbebb00e5,0x3e7c00bc}},	//   _sahə, ktı_, _gjër, rátů_, 
   {{0xb8d50b26,0x3202014b,0x7b08010e,0xb09c0070}},	//   _झा_, zyky_, ártó, מיגר, 
   {{0xe5794484,0xfbd200a7,0x290c4485,0x68e8055f}},	//   ози_, _בתל_, _elda_, _endd, 
   {{0x7ae94486,0xc9870e52,0x00000000,0x00000000}},	//   _inet, _хуби, --, --, 
   {{0x7afb0265,0x320200da,0x2572017c,0x61e20604}},	//   _hout, vyky_, _dâl_, _šolo, 
   {{0x7afb0cd7,0xbcfb04b3,0x7ae91f03,0x00000000}},	//   _kout, _hués, _knet, --, 
   {{0x6f03002e,0x7afb0088,0x2d990604,0x320200da}},	//   _înch, _jout, _ovse_, tyky_, 
   {{0x60d70095,0xd706004f,0x68e80156,0x7afb4487}},	//   _baxm, _інше_, _yndd, _mout, 
   {{0x6606004f,0xbcfb0126,0x672d0a1a,0x7afb4488}},	//   økke, _mués, čaju, _lout, 
   {{0x233602c0,0x7ae901f1,0xdb1c0228,0xa0674489}},	//   _охир, _onet, _sprí, дара_, 
   {{0x7afb448a,0x7ae90149,0x7dd8010e,0x3cc903a1}},	//   _nout, _nnet, júsá, үктү_, 
   {{0x60d700e8,0xddc60035,0x88c502d9,0x00000000}},	// [3680] _faxm, _szkł, _změř, --, 
   {{0x2d803bfa,0x6da33f74,0xed57021d,0x51f7010e}},	//   rpie_, тифа, доу_, _آسٹر, 
   {{0x7afb2811,0x6286006d,0x8e860bb7,0x3eb30080}},	//   _bout, obko, _огне, äntö_, 
   {{0xe51d448b,0x7afb448c,0xbcfb0d57,0x7ae90106}},	//   योति_, _cout, _suét, _cnet, 
   {{0x7afb448d,0xfe42006b,0xb17b01cc,0xddcd020f}},	//   _dout, _شکری, rvåg, rcaţ, 
   {{0xe3b800ad,0x7ae9448e,0xbebb0034,0xddcd0474}},	//   ytı_, _enet, _ujër, scaţ, 
   {{0x7afb448f,0x33200068,0xe3b80095,0x3b0a00b3}},	//   _fout, _omix_, xtı_, _дево_, 
   {{0x7afb4490,0x7ae94491,0xd7570038,0xb9052122}},	//   _gout, _gnet, وجيا_, _बो_, 
   {{0x68fa4492,0xa3b04493,0x34944494,0x88c502d9}},	//   _totd, टून_, напр, _směř, 
   {{0x7afb0cd7,0xe3b801f0,0xbcfb00e9,0x29070219}},	//   _zout, ttı_, _huér, ckna_, 
   {{0x7afb4495,0x2be104cc,0x60d701ff,0x48eb00c9}},	//   _yout, फिया, _raxm, चारो_, 
   {{0xe3af015d,0x38630019,0xe3b8008f,0x257200f8}},	//   گری_, _újra_, rtı_, _tâl_, 
   {{0x672d008b,0x3320023e,0xe3b8035d,0x6f03020f}},	//   čajt, _dmix_, stı_, _înci, 
   {{0xe3af00d6,0xe3b8027e,0xb51d2002,0x00000000}},	//   دری_, ptı_, योदय_, --, 
   {{0x62860844,0x00000000,0x00000000,0x00000000}},	//   bbko, --, --, --, 
   {{0xdcc70cbd,0xa3db00b0,0x80bf02e6,0xae1a00b0}},	//   रज्ञ, ठिर_, _लॉरे, _नइखन_, 
   {{0xa3d629b0,0x5d554496,0x7afb4497,0x98be0237}},	// [3690] सिक_, екат, _rout, _aktč_, 
   {{0x2fd30042,0x224906e4,0x7ae94498,0xbc4b0b49}},	//   _tsxg_, _iyak_, _snet, очее_, 
   {{0x7afb4499,0xfe700105,0x28d90bed,0x3b0d021e}},	//   _pout, ادہ_, _योगि, _pleq_, 
   {{0x224902a2,0xd6d90035,0x3f83003d,0x80bb26f2}},	//   _kyak_, koła_, mpju_, श्रे, 
   {{0x7afb449a,0x7ae9008b,0x7bda0097,0x01340e0e}},	//   _vout, _vnet, _štut, _سعید, 
   {{0xc984449b,0xe8f81222,0x2369023b,0xe9d8449c}},	//   туци, млі_, _liaj_, ькі_, 
   {{0x7afb449d,0xf745449e,0xbcfb0126,0x5ed20033}},	//   _tout, неко, _fuér, হারে, 
   {{0x236901a0,0x7ae9449f,0xbcfb0107,0x6fc200b0}},	//   _niaj_, _unet, _guér, _लहसू, 
   {{0x224944a0,0x0565049b,0x00000000,0x00000000}},	//   _nyak_, нвин, --, --, 
   {{0xf807030f,0x04b503dc,0x00000000,0x00000000}},	//   _очен, хсия, --, --, 
   {{0x8cc135ff,0x2249027e,0x64a50176,0x6e290121}},	//   र्यो, _ayak_, _ҷала, _žebl, 
   {{0x236901a0,0x672d1627,0x628600d8,0x00000000}},	//   _ciaj_, čajs, ubko, --, 
   {{0x64a544a1,0xa06a3ae5,0xe60e44a2,0x1303017b}},	//   _зала, зага_, _сд_, узям, 
   {{0x25ad44a3,0x261805fd,0x80bb000c,0x656f41ad}},	//   muel_, _बेटी_, श्ले, íchu, 
   {{0x79820035,0x00000000,0x00000000,0x00000000}},	//   zpow, --, --, --, 
   {{0xdb1c026e,0xdcba185c,0x21210175,0x15e300c9}},	//   _oprá, ैज्ञ, _emhh_, _कछार_, 
   {{0x6da311c3,0xada302f1,0x9db90235,0x7bc744a4}},	// [36a0] лита, латл, дыху_, _apju, 
   {{0x02c13cae,0x00000000,0x00000000,0x00000000}},	//   ष्ठभ, --, --, --, 
   {{0x25ad0369,0x7ac644a5,0x1ee80019,0xbcfb0107}},	//   huel_, есле, _ہوگی_, _puér, 
   {{0xbcfb2a7e,0x25ad2c7a,0x60dc0f23,0xdb1c0534}},	//   _quér, kuel_, ldrm, _bprá, 
   {{0x61e22f6f,0xdced0405,0x00000000,0x00000000}},	//   _šolj, ssaġ, --, --, 
   {{0x6b51014e,0x63ba44a6,0x25ad0151,0x3eb20528}},	//   råga, yttn, duel_, lgyt_, 
   {{0xfaa600e4,0xed570283,0x96f844a7,0xb7661761}},	//   _паво, _чор_, дейт_, нтий, 
   {{0x61e444a8,0x7d050218,0xd90e0296,0x00000000}},	//   _oril, _tîrê, _گیت_, --, 
   {{0x25ad44a9,0x6d5e00e1,0xc5260165,0x00000000}},	//   guel_, ompa, еќни, --, 
   {{0xe9d700dd,0x6b9c08e3,0x3a2306b3,0x00000000}},	//   _яку_, _kvrg, _смуг, --, 
   {{0x66e644aa,0xdb1c000d,0x22493107,0x24180b5f}},	//   _пожа, _zprá, _syak_, фоны_, 
   {{0x20180065,0x61e444ab,0x6b9c039b,0x00000000}},	//   dzri_, _bril, _mvrg, --, 
   {{0x236944ac,0x6906010d,0x3f570212,0x61e40844}},	//   _viaj_, _aðei, nçue_, _cril, 
   {{0x2eeb0107,0x61e444ad,0x5f240176,0x6b9c0604}},	//   _sncf_, _dril, ҳфуз, _ovrg, 
   {{0x2369023b,0x61e40e0f,0xb4ac1451,0xe9ff001b}},	//   _tiaj_, _eril, गली_, _khảo_, 
   {{0x61e444ae,0x2249011d,0x1c1e0110,0x6d5e1279}},	//   _fril, _tyak_, _येइल_, empa, 
   {{0x6722086d,0x6ca709a6,0x3172011c,0x7bc744af}},	// [36b0] _mmoj, ереж, _guyz_, _spju, 
   {{0x63a844b0,0x656a007b,0x00000000,0x00000000}},	//   ordn, _jifh, --, --, 
   {{0xdb1c08d7,0x61e40242,0x6e2a00ad,0x7bda23d9}},	//   _sprá, _zril, _əlbə, _štur, 
   {{0xa5a10035,0x6d5e44b1,0x00000000,0x00000000}},	//   _खिलौ, ampa, --, --, 
   {{0x25ad44b2,0x0ab4022a,0x0dc844b3,0x644a44b4}},	//   xuel_, احمد, _пури_, _lyfi, 
   {{0x7f4d15ef,0xbb850038,0x7bcb00b3,0x6722018e}},	//   llaq, _للسي, ăgub, _amoj, 
   {{0xe73944b5,0x644a44b6,0x58940038,0x00000000}},	//   мек_, _nyfi, اجهز, --, 
   {{0x25ad44b7,0xe9ff0023,0xb88302d9,0xa3e4048e}},	//   tuel_, _chảo_, _svíč, निन_, 
   {{0x6f0300b3,0xaefb01c5,0x6b6c0241,0x6d47008a}},	//   _încu, _ciùi, _işga, _kkja, 
   {{0x25ad1771,0x80ad29b0,0xaefb01be,0x58d9004f}},	//   ruel_, _जागे, _diùi, _ідея_, 
   {{0x63a800d2,0x644a0156,0x25ad44b8,0x3f81019b}},	//   grdn, _cyfi, suel_, _nthu_, 
   {{0x644a44b9,0x00000000,0x00000000,0x00000000}},	//   _dyfi, --, --, --, 
   {{0x25ad44ba,0x1c1e02f8,0x63a8016a,0x6d5e4143}},	//   quel_, _येईल_, ardn, ympa, 
   {{0x7e7d44bb,0xe5a211f0,0x64a544bc,0x20d544bd}},	//   _afsp, _тиши, _рака, лісс, 
   {{0x764b0156,0xb40300f0,0x644a00f8,0xa1c10259}},	//   _hygy, _сүнд, _gyfi, _құрд, 
   {{0x61e444be,0x69c9038c,0x84640093,0x05c50299}},	//   _tril, _opee, _съче, _वहाब, 
   {{0x61e444bf,0x0e660161,0x69c9006d,0x6b9c034c}},	// [36c0] _uril, ткан, _npee, _svrg, 
   {{0xc00612cc,0xdced00ad,0x6aa00566,0x4c8344c0}},	//   _апок, rpağ, _sdmf, илув, 
   {{0xeb9744c1,0x7d03014e,0x6b51014e,0xdbcc0068}},	//   вих_, önsa, rågn, _póña, 
   {{0xfaa644c2,0x620701d5,0x00000000,0x00000000}},	//   тадо, _örlí, --, --, 
   {{0xceb30137,0x827700c7,0x8ac500f0,0xbe810259}},	//   _דיר_, דענע_, ықта_, _ықти, 
   {{0x92ce0086,0x6b5844c3,0x8cc10c64,0x6722035f}},	//   রায়_, díge, र्दो, _smoj, 
   {{0xdbcc008c,0xc01000e7,0xaefb01f5,0x69c944c4}},	//   _góða, _đuổi_, _siùi, _epee, 
   {{0xceb40095,0x63a80613,0x94050095,0x9f580946}},	//   ciət_, vrdn, qalə_, byrå_, 
   {{0x94862a8b,0xaa4703fd,0x5b3500b3,0xb0b200c9}},	//   кынд, _апта_, _сэру, _जांग, 
   {{0x6ad20fec,0xb4ac2360,0x44f41853,0x03f80267}},	//   _ससुर, गले_, упос, еној_, 
   {{0xe9ff0029,0x929544c5,0xa2951003,0xd6cf2776}},	//   _thảo_, ланц, лані, _кт_, 
   {{0xdb9b00fe,0x6722086d,0x387e0054,0x762600b3}},	//   וסטר, _umoj, _hftr_, _имез, 
   {{0x69dd01d5,0x83340bf8,0x644a0326,0x656a00a4}},	//   _áset, рнях, _wyfi, _tifh, 
   {{0x349444c6,0xdb050212,0x00000000,0x00000000}},	//   _сакр, rrhé, --, --, 
   {{0xe7e526f2,0x7528044d,0x403503b7,0x7f4d44c7}},	//   किया_, midz, уевс, tlaq, 
   {{0xb7db035c,0x6d4744c8,0x752844c9,0xfcd90019}},	//   וקלי, _skja, lidz, کارڈ_, 
   {{0x2d8f026d,0x7e55004f,0x7f4d1324,0x26c6025b}},	// [36d0] ège_, уває, rlaq, _mboo_, 
   {{0x752809c7,0x48bd0033,0x9d140a10,0xe9ff0210}},	//   nidz, _আফ্র, адуч, _nhạo_, 
   {{0x69c944ca,0x7a0a01dd,0xf1bf08b2,0x7f4d0151}},	//   _spee, _lētā, ltá_, plaq, 
   {{0x7b3c0112,0x6b510219,0x6f160527,0x61e200ca}},	//   jčud, rågo, chyc, _šoli, 
   {{0xf1bf44cb,0x8d8700cf,0x98a544cc,0x6f0d089d}},	//   ntá_, _шунд, гиле, mkac, 
   {{0x26c602a5,0xb4ac009a,0x6f0d44cd,0xf1bf019c}},	//   _aboo_, गलो_, lkac, itá_, 
   {{0xf771073c,0x6d4544ce,0x614a0216,0x31580070}},	//   حات_, moha, _hêlî, דיגן_, 
   {{0x6d4544cf,0xdb0500eb,0x6f0d44d0,0x6b5808b2}},	//   loha, rthó, nkac, tíge, 
   {{0x752802cd,0x645c003e,0x3eb90226,0x660544d1}},	//   fidz, ýrin, _mcst_, уппа, 
   {{0x6d4544d2,0x7c2802c7,0x6b5844d3,0x63830148}},	//   noha, _ždri, ríge, аҳка, 
   {{0xc20907e4,0xf1bf019c,0x00000000,0x00000000}},	//   _צה_, etá_, --, --, 
   {{0xa77a00c7,0x6d45084c,0xd83800d9,0x82f60165}},	//   _טרעפ, hoha, _рэу_, учоц, 
   {{0xa3d311bd,0x6d4544d4,0x672944d5,0xe5a50fcc}},	//   _सैर_, koha, miej, _сили, 
   {{0x6d4544d6,0x3ea202cd,0x6729012d,0xf48744d7}},	//   joha, _sdkt_, liej, _рудн, 
   {{0x37c300cc,0x26dd44d8,0x6d4544d9,0x3ea208a1}},	//   ্মকর, _kawo_, doha, _pdkt_, 
   {{0x672944da,0x26df0009,0x25bf00b3,0x8cc10249}},	//   niej, nduo_, otul_, र्सो, 
   {{0x25bf0012,0x660944db,0xccc60161,0xecea44dc}},	// [36e0] ntul_, nyek, лбай, ндал_, 
   {{0x26dd0204,0x62960f3a,0x6d4544dd,0xa3c735a4}},	//   _lawo_, _heyo, goha, _उहा_, 
   {{0x629644de,0x67290083,0xb17b02ae,0xa25b02be}},	//   _keyo, kiej, nvån, nfôn, 
   {{0x26dd0727,0xa3e426f2,0x6f0d23ac,0x629603a0}},	//   _nawo_, नित_, ckac, _jeyo, 
   {{0x25bf0a9d,0xe81c0035,0x672944df,0x752844e0}},	//   jtul_, _भेजा_, diej, yidz, 
   {{0x6d4544e1,0xdb1c0219,0x6f0300d9,0xdb0500f2}},	//   coha, _sprä, _încr, ruhá, 
   {{0x60de44e2,0x26dd44e3,0x6d5c44e4,0xc7c644e5}},	//   _mapm, _bawo_, _ihra, усли, 
   {{0x758a0386,0x752844e6,0xf1bf0098,0x60de44e7}},	//   нсов_, widz, ytá_, _lapm, 
   {{0x75280532,0x163444e8,0xe9ff0023,0x8cc10c65}},	//   tidz, репя, _thạo_, र्वो, 
   {{0x88bc031e,0x838600f0,0x7cfb0216,0x00000000}},	//   _změn, лыме, _bîry, --, 
   {{0x25bf00b3,0xdb1e024a,0x8335058e,0x752844e9}},	//   atul_, jtpë, инох, ridz, 
   {{0xa3a9000f,0x667600eb,0x660944ea,0x26dd0204}},	//   गंज_, _إدار, byek, _gawo_, 
   {{0x25bf002e,0x6d5c2725,0x6d4544eb,0x659400b9}},	//   ctul_, _ohra, yoha, _талу, 
   {{0x26dd0727,0x863700d1,0x60de44ec,0xf1bf44ed}},	//   _zawo_, _גאדג_, _capm, rtá_, 
   {{0x6d4544ee,0xf1bf0254,0xe47b00a7,0x26dd0204}},	//   voha, stá_, _ארוכ, _yawo_, 
   {{0xdb1e078a,0x645844ef,0xdce70304,0xfe73031b}},	//   stpê, _izvi, _vijč, صدر_, 
   {{0x6d4544f0,0x6d5c0a92,0x439201b0,0x6f0d44f1}},	// [36f0] toha, _bhra, _тақс, rkac, 
   {{0xb0b2006a,0x6d5c006c,0x67290009,0x88bc02d9}},	//   _जाएग, _chra, ziej, _směn, 
   {{0x6d4544f2,0x62960010,0x3a751f28,0x2d5400c2}},	//   roha, _yeyo, алер, mäel_, 
   {{0x98a90062,0xdeb2004e,0xbb22009e,0x8c6444f3}},	//   đač_, _мұсы, _şîrk, студ, 
   {{0x60de0c05,0x6d5c02d0,0x39a744f4,0x25bf00b3}},	//   _yapm, _fhra, ушев, xtul_, 
   {{0x6d5c0a75,0x26dd04c6,0xbebb0034,0x7cfb009e}},	//   _ghra, _sawo_, _njëz, _nîrx, 
   {{0xdb1c1df1,0xb8cd00c2,0x487802c8,0x26dd044d}},	//   _språ, _कय_, усія_, _pawo_, 
   {{0x6609011c,0x88bc00bc,0x661b01f1,0xaefb01be}},	//   tyek, _uměn, tzuk, _dhùg, 
   {{0x629644f5,0xa8a744f6,0x453532e3,0x67290028}},	//   _reyo, _брек, ихот, riej, 
   {{0x25bf002e,0x6296102b,0xcaa3010c,0x660902a5}},	//   rtul_, _seyo, _çêbû, ryek, 
   {{0x25bf0012,0x661b006a,0x26dd0bc1,0x47d50038}},	//   stul_, szuk, _tawo_, _خيار, 
   {{0x25bf0012,0x394744f7,0xb17b014e,0x232a05ef}},	//   ptul_, lons_, rvån, томи_, 
   {{0x80df0086,0xbbd10662,0xaefb01be,0x00000000}},	//   মান্, सबुक, _liùs, --, 
   {{0x394744f8,0x66060088,0x73e544f9,0x25ad0228}},	//   nons_, äkke, _вокз, mrel_, 
   {{0x5f0644fa,0xdfd200eb,0x1e9644fb,0x6e3d011c}},	//   азва, غير_, ирар, _axsb, 
   {{0x6d5c44fc,0x39470107,0x60de44fd,0xdb1e021e}},	//   _shra, hons_, _wapm, rtpë, 
   {{0xa1560141,0x60de44fe,0x113a00f6,0x6d5c44ff}},	// [3700] _външ, _tapm, _аяны_, _phra, 
   {{0xdca64500,0x39474501,0x2fdf0083,0x257b4502}},	//   ражи, jons_, ługa_, _mêl_, 
   {{0xcdc500f0,0x60c3010e,0x61e64503,0x00000000}},	//   _қарқ, _önma, lvkl, --, 
   {{0xdee64504,0x25ad0566,0x00000000,0x00000000}},	//   _томи, krel_, --, --, 
   {{0x6d5c01fb,0x39474505,0xd90d0a24,0xaefb01be}},	//   _thra, fons_, کیل_, _shùg, 
   {{0x97a64506,0x6d5c4507,0x39474508,0x00000000}},	//   арил, _uhra, gons_, --, 
   {{0xf0930056,0xeb97227f,0x81cc0033,0x320b0083}},	//   חנו_, _вис_, রটি_, zycy_, 
   {{0xbb433ffa,0xa3e40a0e,0x7bdb00d1,0xaefb00a1}},	//   _деск, निस_, _בקלו, _hiùr, 
   {{0xc6f74216,0x394700f6,0x140e017d,0x2b3900b3}},	//   рных_, bons_, ान्ह_, _сярэ_, 
   {{0x7ae24509,0x7ae0450a,0x81cc0033,0xd90e0499}},	//   ldot, _hamt, রটা_, _زیب_, 
   {{0x2f150219,0x69c2450b,0x7ae219b1,0x3c770486}},	//   _låga_, ltoe, odot, יתים_, 
   {{0x7ae2450c,0xaefb01be,0x8646275d,0x7ae003c5}},	//   ndot, _liùr, _кнеж, _jamt, 
   {{0x69c2450d,0x273a0243,0x7ae21b03,0x00000000}},	//   ntoe, cīna_, idot, --, 
   {{0x29c20029,0x7ae200c8,0x2d05009a,0x7ae0450e}},	//   _mưa_, hdot, _शकेल_, _lamt, 
   {{0x753d006b,0x6458450f,0x69c20088,0x61e24510}},	//   észe, _uzvi, htoe, _šolt, 
   {{0x7ae04511,0x69c24512,0x00000000,0x00000000}},	//   _namt, ktoe, --, --, 
   {{0x629d4513,0x3947026a,0x7ae24514,0xaefb01f5}},	// [3710] maso, yons_, ddot, _biùr, 
   {{0x30a74515,0x39474516,0x3f780097,0x6abb4517}},	//   _трив, xons_, _očuh_, _scuf, 
   {{0x3947026a,0x7ae0019b,0xaefb01fd,0x25ad020b}},	//   vons_, _bamt, _diùr, zrel_, 
   {{0x06ac00cc,0x7ae000e2,0x28c4048e,0x69c21a77}},	//   ক্তি, _camt, ल्सि, ftoe, 
   {{0xa2bc2290,0x39474518,0x7ae04360,0xa6be0033}},	//   ष्ट्, tons_, _damt, ্যায়, 
   {{0x629d4519,0x88bc031e,0x29c200e7,0x693403a1}},	//   haso, _uměl, _dưa_, ончу, 
   {{0x3947451a,0xb8ff451b,0xdb6b451c,0xbddb0237}},	//   rons_, _तस_, _арал_, _tyès, 
   {{0x4975451d,0x7ae0012d,0x257b00f8,0x3947451e}},	//   _глас, _gamt, _pêl_, sons_, 
   {{0x629d451f,0x69c204ef,0x25ad0126,0x39474487}},	//   daso, ctoe, urel_, pons_, 
   {{0x25ad4520,0x273a0243,0x00000000,0x00000000}},	//   rrel_, rīna_, --, --, 
   {{0xe29a4521,0x04453128,0x94070095,0x7ae04522}},	//   лан_, сенн, _yenə_, _yamt, 
   {{0x29054523,0x2d851c76,0x68e1357d,0x629d4524}},	//   _hola_, _člen_, _hald, gaso, 
   {{0x68e14525,0x29054291,0x33290dff,0x29c2001b}},	//   _kald, _kola_, _dmax_, _xưa_, 
   {{0x61e202ee,0x68e300e5,0x0fda02f3,0x70b2009a}},	//   _šols, ndnd, льбы_, जलेल, 
   {{0x8cca0366,0x09d405f6,0x629d4526,0x29054527}},	//   स्फो, _धन्य, baso, _mola_, 
   {{0x29054528,0x629d0634,0x69c24529,0xaefb01be}},	//   _lola_, caso, ytoe, _siùr, 
   {{0x60d500ef,0x7ae002c9,0x63a302a5,0xaefb00a1}},	// [3720] bezm, _ramt, _hvnn, _piùr, 
   {{0x7ae0452a,0x290502ba,0x2f1534db,0xaefb01f5}},	//   _samt, _nola_, _våga_, _chùb, 
   {{0x940c06d0,0x7ae0452b,0x2360006d,0xaefb01f5}},	//   fadə_, _pamt, _khij_, _dhùb, 
   {{0xb21b003e,0x9b251afd,0x2b5f00e7,0x3329452c}},	//   mbær, офіл, _chuc_, _xmax_, 
   {{0x68e1452d,0xd9100399,0x59f8452e,0xadc300e7}},	//   _bald, ویر_, реля_, _thạc, 
   {{0x69c2452f,0x7ae0187e,0xd94300c8,0xa802027e}},	//   rtoe, _wamt, печи, şıml, 
   {{0x29054530,0x69c219b3,0x6d4e007b,0x629d3971}},	//   _dola_, stoe, _ikba, yaso, 
   {{0xdc3700c7,0x69c21a77,0x6f060604,0x98bc0028}},	//   _האלט_, ptoe, _jokc, dovą_, 
   {{0x6b584531,0x68e14532,0x80df0086,0x629d4533}},	//   lígo, _fald, মাত্, vaso, 
   {{0x68e14534,0x28c407d5,0x629d4535,0x18a31dbd}},	//   _gald, ल्शि, waso, _наум, 
   {{0x24584536,0x629d4537,0x8cca0035,0x06e00033}},	//   рань_, taso, स्यो, ভাবি, 
   {{0x23a9000f,0x2360023b,0x68e14538,0x228401a2}},	//   _किरद, _chij_, _zald, зург, 
   {{0x629d061d,0x290507fa,0xdcef00d9,0x7d032580}},	//   raso, _yola_, _jucă, önsk, 
   {{0x463b00c7,0x629d4539,0x777a01f1,0xd7dc009a}},	//   _געדע, saso, _kutx, _मनाच, 
   {{0xaac81ff6,0x629d453a,0x5f94453b,0x4ac80527}},	//   रभाक, paso, зист, रभाव, 
   {{0x6d4e453c,0x777a32ee,0x9f55017b,0x80df0033}},	//   _akba, _mutx, івач, মাধ্, 
   {{0x246e00ad,0x777a01cf,0x3f9e01d5,0xaefb00a1}},	// [3730] ləm_, _lutx, átur_, _phùb, 
   {{0xe29f008c,0x61ed01d6,0xfe7f0106,0x00000000}},	//   lað_, _iral, _saïd_, --, 
   {{0x2905453d,0x4fc7453e,0x2b5f00e7,0xf2dc0033}},	//   _rola_, _успа, _phuc_, ধারণ, 
   {{0x61ed034c,0xe29f010d,0xdcef00b3,0x6b58453f}},	//   _kral, nað_, _bucă, sígn, 
   {{0x290503da,0x99d700eb,0x68e14540,0x210d009a}},	//   _pola_, إتصا, _pald, _सकाळ_, 
   {{0xa9690099,0x68e10095,0x777a4541,0x27ec00a1}},	//   шила_, _qald, _butx, _brdn_, 
   {{0x68e14542,0xe29f008c,0x290505f0,0x2b5f00e7}},	//   _vald, kað_, _vola_, _thuc_, 
   {{0x68e14543,0x05a918ed,0x777a2b4b,0x06ac0033}},	//   _wald, авий_, _dutx, ক্সি, 
   {{0x68e10414,0xe5764544,0x7bc54545,0x5bc9007e}},	//   _tald, озы_, lthu, _रहुव, 
   {{0xb4b34546,0xdb1c01e8,0x628406dc,0xe6164547}},	//   टले_, _sprø, _sfio, юды_, 
   {{0x61ed4548,0x7bc54549,0x777a02ba,0x394000eb}},	//   _aral, nthu, _gutx, éise_, 
   {{0x61ed10ea,0xe29f003e,0x7bc53970,0x6aa9008a}},	//   _bral, gað_, ithu, _jdef, 
   {{0x64a5304d,0x61ed00a1,0x7bc5429e,0x00000000}},	//   _дала, _cral, hthu, --, 
   {{0x61ed454a,0xd567454b,0x7bc5454c,0xe3b1454d}},	//   _dral, _утеп, kthu, _قرب_, 
   {{0xe7ec1422,0xa06a3b33,0x61ed454e,0x2360006d}},	//   झिया_, рава_, _eral, _thij_, 
   {{0x61ed454f,0x6aa90548,0xb21b3667,0x224000b4}},	//   _fral, _ndef, rbær, _txik_, 
   {{0x61ed4550,0x6d4300da,0x6e294551,0x30760e52}},	// [3740] _gral, čnan, _žebr, _мунс, 
   {{0x27161e7b,0x7d070ab4,0xdb050098,0x6b584552}},	//   _तत्र_, _cojs, vrhá, tígo, 
   {{0x8b2600dd,0x7989016c,0x672b017b,0x7bc54553}},	//   одже, _atew, _omgj, gthu, 
   {{0xa802027e,0x39ea2849,0xb0660080,0xdb0500da}},	//   şıkl, идео_, _enää, trhá, 
   {{0x6aa902bf,0x2d4f03a1,0xa3bb0035,0x3ea04554}},	//   _ddef, gües_, इंड_, mait_, 
   {{0x3ea04555,0xed570f91,0xf1bf0019,0xd8381db4}},	//   lait_, _моя_, szág_, _leče_, 
   {{0xfbc34556,0xd7fa1de7,0x7989052b,0x7bc50210}},	//   _обро, рул_, _etew, cthu, 
   {{0x3ea04557,0xc6f8442e,0xd838035f,0xaa460bae}},	//   nait_, сних_, _neče_, _дебл, 
   {{0xe29f008c,0x18a603dc,0xb17b004f,0xb0ca3278}},	//   vað_, _ҳаҷм, rvåk, िभाग, 
   {{0x61ed00e5,0x38c806bc,0xdb210019,0x38cb0274}},	//   _rral, _داری_, ütör, _نامی_, 
   {{0xe29f010d,0x3ea04558,0x06ac0086,0xa42300f0}},	//   tað_, kait_, ক্ষি, дьял, 
   {{0x066500c5,0x246e06d0,0x61ed4559,0x8cca2369}},	//   _کامپ, rəm_, _pral, स्तो, 
   {{0xe29f008c,0x3ea0455a,0x41e402c8,0x36362abb}},	//   rað_, dait_, міра, _براس, 
   {{0x7bc500f8,0xe29f003e,0x25a6039b,0x00000000}},	//   ythu, sað_, _ivol_, --, 
   {{0xbbc90351,0x7d0702ee,0xe29f003e,0x7bc50219}},	//   _रहेक, _rojs, pað_, xthu, 
   {{0x61ed455b,0x3ced010c,0x06ac0086,0xd6ac0086}},	//   _tral, _şev_, ক্রি, ক্রয, 
   {{0x61ed455c,0x3f570241,0x753a01ca,0x00000000}},	// [3750] _ural, lçuk_, ontz, --, 
   {{0xacf800d3,0x7bc5455d,0xa2c1075a,0x00000000}},	//   онуу_, tthu, _वाड्, --, 
   {{0x3ea0455e,0x7d07171a,0x753a01f1,0x7bc5455f}},	//   bait_, _vojs, intz, uthu, 
   {{0x61291612,0x7d070035,0x8aa700f0,0x77620108}},	//   džli, _wojs, іред, _nhox, 
   {{0x7bc54560,0xa3e13081,0x7d070201,0x1959013e}},	//   sthu, _नैन_, _tojs, бады_, 
   {{0x279502f1,0x090408af,0x92d70033,0x00000000}},	//   пшир, мпін, সায়_, --, 
   {{0x48092f7b,0x00000000,0x00000000,0x00000000}},	//   сейн_, --, --, --, 
   {{0x753a0a9f,0x7b3c0082,0x6aa91143,0x6568040b}},	//   entz, nčul, _udef, emdh, 
   {{0x64460e7b,0xd8383bbf,0x80dc07d5,0x7989016c}},	//   şkil, _reče_, _फसले, _utew, 
   {{0x58bb00b8,0x6e20007e,0xe5764561,0xd8380097}},	//   _خارج_, _ümbe, язь_, _seče_, 
   {{0x6d890039,0xd8380455,0x3ea04562,0x76754563}},	//   _hľad, _peče_, yait_, _елеф, 
   {{0x96b84564,0x62810035,0x753a01ca,0x776201f2}},	//   _душу_, ślon, antz, _ghox, 
   {{0xd83811b1,0x3ea04565,0x213102cd,0x2bd2055d}},	//   _veče_, vait_, fizh_, _सहभा, 
   {{0x645d0264,0x3ea04566,0xeb1802e6,0xdd92006b}},	//   əsin, wait_, _दत्त_, ہور_, 
   {{0x2fd30068,0x44210430,0x3ea04567,0xd25901dd}},	//   _cpxg_, _åh_, tait_, ļņa_, 
   {{0x673b4568,0x77690126,0x0d864569,0xdd92456a}},	//   nnuj, nmex, злан, فور_, 
   {{0x3ea0456b,0xfe43456c,0xb2bb00a7,0xc33307e4}},	// [3760] rait_, енто, _המפר, _רוח_, 
   {{0x3ea0456d,0x4096456e,0x00000000,0x00000000}},	//   sait_, _эрит, --, --, 
   {{0xa3e4456f,0xc0470023,0x0c2605b2,0x307b00d1}},	//   निए_, _mượn_, џмен, _לאינ, 
   {{0x63be00dd,0xc0470023,0x707600d7,0x00000000}},	//   _åpne, _lượn_, _واگذ, --, 
   {{0xceb307f5,0x673b015e,0xd6c30086,0x62860df4}},	//   _איר_, dnuj, ্যায, icko, 
   {{0x776200a3,0xf806004f,0x6e24018e,0x00000000}},	//   _shox, зчин, mzib, --, 
   {{0x48fe00aa,0x8c434570,0xd7f70259,0x00000000}},	//   लाबो_, _зере, зуы_, --, 
   {{0x1ae34571,0x753d010e,0x673b138c,0x00000000}},	//   _посм, észn, gnuj, --, 
   {{0xbb434572,0x6e244573,0x6aa24574,0xa92602be}},	//   _четк, nzib, maof, _едал, 
   {{0x47d40086,0x6b5102ae,0x18a600a3,0x753a01d6}},	//   থিবী, bågs, _хажм, untz, 
   {{0x4ae0009a,0x52d9021d,0xa2c108e1,0x753a00b4}},	//   _नसाव, омню_, _वाद्, rntz, 
   {{0x1dac4575,0xf6e500dd,0x6aa20053,0x290b0216}},	//   _चिंत, _оцін, naof, _îcar_, 
   {{0x6f042c1c,0x9f47011c,0x87250038,0x00000000}},	//   djic, _éné_, _تعلم, --, 
   {{0x98a700d9,0x6e243ed8,0xdc03024c,0xe3af039f}},	//   mină_, dzib, _sčít, خری_, 
   {{0x3d0008a9,0xaefb0465,0x6aa20548,0x98a7020f}},	//   राने_, _dhùn, kaof, lină_, 
   {{0x63ba4576,0x6d430352,0x643b00d1,0x6aa2023a}},	//   mutn, čnam, _לעונ, jaof, 
   {{0xa3e4048e,0xa2a20262,0x6aa20165,0x7b3c4577}},	// [3770] निक_, _ख़त्, daof, rčul, 
   {{0xf1b20035,0x673b10ea,0xdb1c0035,0x5d540a10}},	//   _जितन, znuj, _opró, екут, 
   {{0x4fc72ee5,0x6e2401b8,0x00000000,0x00000000}},	//   _эспа, azib, --, --, 
   {{0xdb05024a,0x6f164578,0x5a3509f9,0xdc0300de}},	//   mshë, ckyc, мнет, _učít, 
   {{0xdb1c0019,0x63ba014b,0x629f0415,0x4a741bb9}},	//   _apró, hutn, _meqo, нышт, 
   {{0x63ba1415,0xe9d808ab,0x629f0026,0xdb1c0038}},	//   kutn, які_, _leqo, _bpró, 
   {{0x1bd44579,0xdb05024a,0x62860219,0x67d202a0}},	//   _поря, nshë, ycko, воју, 
   {{0xe61933c4,0xa3bb0083,0x7b3c0ed0,0x63ba0175}},	//   жди_, इंस_, hčuj, dutn, 
   {{0x98a700d9,0x3dc9003d,0x98bc02d9,0xdb05021e}},	//   gină_, ntaw_, nově_, hshë, 
   {{0x3d000262,0xe6c42cd9,0xdb05024a,0xd6d90083}},	//   राये_, češć, kshë, seł_, 
   {{0x2d540077,0xdb05024a,0xe3b601d7,0x78a3457a}},	//   päev_, jshë, мбэ_, manv, 
   {{0x57270198,0x3dc9457b,0x98bc02d9,0x26cf016c}},	//   _عراق, ktaw_, kově_, _ubgo_, 
   {{0x3d0003ce,0xdb05024a,0x98a700b3,0xaefb0023}},	//   रामे_, eshë, cină_, _phùn, 
   {{0x63ba457c,0xdb05024a,0x26cd001d,0xdb1c0380}},	//   butn, fshë, lfeo_, _sprü, 
   {{0x63ba0065,0x06e00086,0xa2e600a3,0x6f160032}},	//   cutn, ভারি, _жойд, tkyc, 
   {{0xdbd903b7,0xd00f010e,0x9f550267,0x799b01b8}},	//   nçõe, گلہ_, ењуј, _owuw, 
   {{0xd8381810,0xdbd9114e,0xaefb00e7,0xada302f1}},	// [3780] _meča_, içõe, _thùn, катл, 
   {{0x61e4457d,0x5d674191,0x6f160032,0xd8380144}},	//   _isil, диум_, skyc, _leča_, 
   {{0x6f66457e,0x0aea123f,0xb6a30023,0xdbf202d9}},	//   _овоз, ждей_, _phầ, příp, 
   {{0x60dc457f,0x7c65024f,0xdb1c0118,0xddcb4580}},	//   lerm, رالل, _aprò, žišk, 
   {{0xa2c107d5,0xdb1c0035,0x2baa00a5,0xfaa30009}},	//   _वास्, _spró, _चटका, тачо, 
   {{0x60dc4581,0xa91d034c,0x7d030219,0x61e40d4e}},	//   nerm, _nužd, önst, _msil, 
   {{0x38cb086b,0xd83800d2,0x4425277f,0x799b01a3}},	//   تانی_, _beča_, jzl_, _ewuw, 
   {{0x60dc4582,0x8cca21d2,0x61e44583,0x98a7020f}},	//   herm, स्रो, _osil, tină_, 
   {{0x60dc19a5,0x75d400eb,0x08c61a57,0x61e402a5}},	//   kerm, ريدا, _обан, _nsil, 
   {{0x2fdf006a,0x63ba4584,0xdbd90165,0x60dc004f}},	//   ługi_, tutn, açõe, jerm, 
   {{0x61e44585,0x18a31dd8,0x290c4586,0x291e00c8}},	//   _asil, _рахм, _ioda_, _ilta_, 
   {{0x290c0062,0x68e84587,0x798018a0,0x63ba0ab1}},	//   _hoda_, _hadd, _kumw, rutn, 
   {{0x60dc1868,0x63ba03ef,0x6aa00666,0x68e801a3}},	//   ferm, sutn, _memf, _kadd, 
   {{0x660f074b,0xdb0500e5,0x79804588,0x290c4589}},	//   äcke, tshë, _mumw, _joda_, 
   {{0x68e80749,0x61e4458a,0x63ba458b,0x7b3c14f5}},	//   _madd, _esil, qutn, rčuj, 
   {{0xc3280084,0xdb0500e5,0x3dc9003d,0xdb170068}},	//   _يكون_, rshë, ttaw_, puxé, 
   {{0x6458030f,0x68fa0265,0x8d790038,0xdb050034}},	// [3790] _hyvi, _ontd, سماء_, sshë, 
   {{0x290c0440,0x68e80547,0x60dc458c,0xa91d1c77}},	//   _noda_, _nadd, cerm, _kuže, 
   {{0x3dc9458d,0xa3e4121a,0x691401f5,0x5eab0033}},	//   staw_, निट_, _gàei, ঙ্গে, 
   {{0x160e36a6,0xbebb024a,0x290c00a1,0xfbd0009c}},	//   िहार_, _emër, _aoda_, شتم_, 
   {{0x290c458e,0x68e80547,0x3f81458f,0x61e40065}},	//   _boda_, _badd, _huhu_, _xsil, 
   {{0x41b200ab,0x290c0799,0x3f81007e,0xd8381920}},	//   _जिसस, _coda_, _kuhu_, _seča_, 
   {{0xa91d015e,0x78a302ae,0xa92701dd,0x6aa026e4}},	//   _ružd, ranv, _režī, _femf, 
   {{0x68fa01c4,0x78a30547,0x59b10a34,0x06094590}},	//   _entd, sanv, ुंदर, зник_, 
   {{0x7afb4591,0x290c02a0,0xb9b50740,0x64a54592}},	//   _inut, _foda_, _سماع, напа, 
   {{0x290c4593,0x68e84594,0x7afb014b,0x7ae900c8}},	//   _goda_, _gadd, _hnut, _haet, 
   {{0x29c904b3,0x7afb2755,0xdbd902aa,0x7ae94595}},	//   lúa_, _knut, pçõe, _kaet, 
   {{0x78a14596,0xe29716d0,0x61e40626,0x60c54597}},	//   _helv, наю_, _psil, _achm, 
   {{0xa2c1000c,0x68e84598,0x29c91056,0x78a14599}},	//   _वार्, _yadd, núa_, _kelv, 
   {{0x7ae9459a,0xafe6112d,0x68e8040c,0x61e40121}},	//   _laet, ногл, _xadd, _vsil, 
   {{0x69cb459b,0xf48409fa,0x7ae9084c,0xb4ab009a}},	//   htge, _ручн, _oaet, गणी_, 
   {{0xdee3459c,0xe45600c7,0x60dc459d,0x61e4459e}},	//   лоси, _איצט_, serm, _tsil, 
   {{0xc69200c7,0x69c9006d,0xce470093,0xf7720070}},	// [37a0] טאן_, _nqee, езте_, רקן_, 
   {{0x798002b8,0x69cb0502,0x2d5400c2,0xece7049b}},	//   _rumw, dtge, väes_, ндул_, 
   {{0x68e8459f,0x7ae90149,0x69c90065,0x6aa02f84}},	//   _radd, _baet, _aqee, _pemf, 
   {{0x6d5545a0,0x7ae945a1,0x61220187,0x291e04a3}},	//   _ekza, _caet, _dôle, _slta_, 
   {{0xb17b0430,0x7ae90156,0x78a145a2,0x2bd20fc0}},	//   lvår, _daet, _belv, _सहवा, 
   {{0x68e845a3,0x2919010c,0x612202aa,0x7ae900b4}},	//   _qadd, _îsal_, _fôle, _eaet, 
   {{0xa2c10190,0xb90815c8,0x78a1050f,0x9d4324c8}},	//   _वाल्, _बस_, _delv, _серд, 
   {{0x68e80547,0x8b6600c5,0x7ae945a4,0x765902bf}},	//   _wadd, _سازم, _gaet, _bywy, 
   {{0x290c1408,0xa84a00d6,0x78a10019,0x68e845a5}},	//   _toda_, _کلام_, _felv, _tadd, 
   {{0x3c250414,0x2d8245a6,0xb17b014e,0xa91d1c2b}},	//   _vзvv_, _muke_, kvår, _puže, 
   {{0x7d0e45a7,0x929545a8,0xa29501fc,0x7ae90096}},	//   _mobs, канц, кані, _yaet, 
   {{0x46a6286c,0x60c502f2,0xd48f005e,0x6458014b}},	//   _чадв, _schm, _әр_, _vyvi, 
   {{0xd2440a65,0x6e3b0228,0x7d0e0102,0x926803a1}},	//   гэри, _ľubo, _oobs, ерра_, 
   {{0x3f811525,0xd5b900f0,0x83aa02f1,0x7d0e008a}},	//   _puhu_, _ісі_, _етиб_, _nobs, 
   {{0xdfd80141,0x332000f6,0x6b580183,0xbf1c093a}},	//   нът_, _flix_, lígu, नसून_, 
   {{0x2d8245a9,0x61180e03,0x61220212,0x3320019c}},	//   _buke_, _ağlı, _rôle, _glix_, 
   {{0x2d8202fe,0xe7e20035,0x5d551c00,0xc1b816d0}},	// [37b0] _cuke_, _कैसा_, вкат, _злых_, 
   {{0x7ae945aa,0x2d8245ab,0x7afb0946,0xe6dd00b5}},	//   _saet, _duke_, _snut, _मस्ज, 
   {{0x2369006d,0x7ae945ac,0x78a100b0,0xf1bf0369}},	//   _khaj_, _paet, _relv, luá_, 
   {{0x78a145ad,0x29c90503,0x26c60201,0x33200183}},	//   _selv, túa_, _ncoo_, _xlix_, 
   {{0x7afb0ed0,0x09e545ae,0x00000000,0x00000000}},	//   _vnut, толн, --, --, 
   {{0x69cb0439,0x88bc00bc,0x29c90d00,0x7ae900f8}},	//   rtge, _směr, rúa_, _waet, 
   {{0x69cb45af,0x7ae90226,0x29c91cf0,0x2d5402eb}},	//   stge, _taet, súa_, päer_, 
   {{0xf7710523,0x26c605a4,0x78a110f3,0x6b880126}},	//   جات_, _ccoo_, _welv, _édga, 
   {{0x49750d18,0x9fb6031e,0x99d40816,0x645c45b0}},	//   _алас, vřít_, _متلا, ürin, 
   {{0xe97536a7,0x26c60036,0x2ca3008a,0x64bd0249}},	//   _شهاد, _ecoo_, _jejd_, ्भेश, 
   {{0xa91d14f0,0xecc62414,0xa80206a2,0x3f570212}},	//   _tužb, र्टफ, şırl, nçus_, 
   {{0x6f0f01d8,0x76590156,0x236903a0,0xf1bf001d}},	//   _nocc, _tywy, _chaj_, rzán_, 
   {{0xf1bf02aa,0x3ea2039b,0xe60e45b1,0x00000000}},	//   guá_, _rekt_, _тд_, --, 
   {{0x2d8202f5,0x2bd200a5,0x3ea245b2,0xa06a45b3}},	//   _ruke_, _सहला, _sekt_, дага_, 
   {{0x10a345b4,0x2d820640,0x6f0f0093,0xb17b02ae}},	//   рисн, _suke_, _bocc, tvår, 
   {{0x22160235,0x2d820c36,0x6f0f45b5,0xdcf50237}},	//   _афор, _puke_, _cocc, _dizč, 
   {{0x6f0f0093,0xb17b0219,0x3ea200dd,0x1e8301a2}},	// [37c0] _docc, rvår, _vekt_, рлум, 
   {{0x2a7f00a1,0xb17b0219,0x25a00218,0x3ea201d2}},	//   _agub_, svår, _çile_, _wekt_, 
   {{0xa7fc008f,0x64460216,0xfce345b6,0x00000000}},	//   _azın, şkiv, рохо, --, 
   {{0x6f0f00fd,0x2d8245b7,0x61f603c5,0x98a743e0}},	//   _gocc, _tuke_, _kryl, minę_, 
   {{0x98a743f1,0x7d0e332a,0x00000000,0x00000000}},	//   linę_, _tobs, --, --, 
   {{0x6f0f01d8,0x25bf012b,0x7b3c0097,0xb227003e}},	//   _zocc, duul_, jčuv, _hræð, 
   {{0x6a863ae5,0xec773346,0xb8da0263,0x97a345b8}},	//   _алба, _апр_, _आए_, арыл, 
   {{0x6d5e45b9,0x2ca345ba,0x2fda0065,0xd7f71365}},	//   llpa, _zejd_, _mppg_, туш_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xe29a0029,0x660f014e,0xa8020095,0xfe7f022c}},	//   _đưa_, äcka, şıql, _raïm_, 
   {{0x2369023b,0x337545bb,0x918200e7,0x39490042}},	//   _phaj_, лгор, yện_, éase_, 
   {{0x61f603a9,0x98a70028,0xe3b80241,0xa1953ae5}},	//   _bryl, dinę_, rrı_, ламч, 
   {{0x6f0f0093,0x672200a3,0x2b460032,0xba9b00d1}},	//   _rocc, _iloj, čoch_, וסכי, 
   {{0x2f1505a1,0x61f6017c,0x6d5e064e,0xf1bf02be}},	//   _lågt_, _dryl, jlpa, ruá_, 
   {{0xb4be04bd,0x236901a0,0x443a00b0,0x6f0f0036}},	//   इली_, _thaj_, _äp_, _pocc, 
   {{0x43930a27,0x5eb4093d,0x2007022c,0xa91d00ca}},	//   _таъс, ийст, _ànim_, _muža, 
   {{0xdd9500f0,0x6ca706d2,0x2ca30604,0x00000000}},	// [37d0] уазы, вреж, _pejd_, --, 
   {{0x672200e5,0x98a717d0,0xdb170183,0xaefb01be}},	//   _lloj, binę_, ruxí, _mhùi, 
   {{0x6f0f0093,0xb227008c,0xa91d08e3,0x672245bc}},	//   _tocc, _fræð, _nuža, _oloj, 
   {{0xec680f67,0x3f570212,0x27f902d9,0x6d5e059e}},	//   трук_, rçus_, _čsn_, alpa, 
   {{0x3ea945bd,0x6eba00d1,0x271f29c4,0x2ca3008a}},	//   maat_, _אזרח, _बतौर_, _tejd_, 
   {{0xeb930e61,0x672245be,0x3ea93f0b,0x186945bf}},	//   _نظر_, _aloj, laat_, нали_, 
   {{0x98a20088,0xb8db3e41,0x3d000249,0xa3e100bc}},	//   щище, _अय_, रारे_, _नैं_, 
   {{0xa6e545c0,0xa91d268a,0x3ea913b3,0xaefb0465}},	//   ужил, _duža, naat_, _bhùi, 
   {{0x8cca0c64,0xaefb01c5,0xe57945c1,0x98c745c2}},	//   स्को, _chùi, нзи_, _асел, 
   {{0x69db0415,0x34a301a2,0x3ea945c3,0xaefb0465}},	//   _ipue, шгоҳ, haat_, _dhùi, 
   {{0x25bf0175,0x672245c4,0x656a01be,0x656f02d9}},	//   suul_, _floj, _dhfh, ůcho, 
   {{0x15f51fe8,0x61f6014e,0x3ea902f1,0x6b581eb1}},	//   _مستح, _pryl, jaat_, lígr, 
   {{0x3ea945c5,0xddd4020b,0xba3d02d9,0x6d4701b8}},	//   daat_, _ťažn, _zdůr, _ojja, 
   {{0x64a545c6,0x25ad45c7,0x98a7012d,0x672200ef}},	//   _сака, msel_, tinę_, _zloj, 
   {{0x25ad45c8,0x3ea945c9,0xb40313c3,0x201e45ca}},	//   lsel_, faat_, _түнд, áti_, 
   {{0xa3b8190a,0x98a70009,0x69db04b3,0x543a00c7}},	//   _चित_, rinę_, _opue, _רעקא, 
   {{0x201e45cb,0x25ad45cc,0x3d0018b4,0x98a70028}},	// [37e0] šti_, nsel_, राले_, sinę_, 
   {{0x319b0111,0xb19b035c,0x25ad0f41,0x527b0070}},	//   _רבינ, _רייכ, isel_, _אנפא, 
   {{0xf5360137,0x69db08f4,0xeb9a0c0f,0x5886004e}},	//   נטער_, _apue, хие_, қыла, 
   {{0x25ad45cd,0x3ea945ce,0xa91d090e,0x60db0082}},	//   ksel_, caat_, _ruža, đume, 
   {{0x99d300eb,0x2c780bfc,0xa91d0009,0x291c0082}},	//   متوا, dždž_, _suža, tkva_, 
   {{0x5f260033,0xe9730195,0x20051e9f,0x7ba6243d}},	//   _যদিও_, مهند, ålig_, _مصرم, 
   {{0xd90d00d4,0x25ad3414,0xdce60009,0xdc67011f}},	//   بیل_, esel_, _sukė, _бард_, 
   {{0xc6f845cf,0x63ba00ca,0xa2ba3cae,0x25ad10f3}},	//   тних_, vrtn, ्लफ्, fsel_, 
   {{0x25ad050f,0x7ae245d0,0x00000000,0x00000000}},	//   gsel_, meot, --, --, 
   {{0xa91d090e,0x80d6141c,0x29560141,0x7ae245d1}},	//   _tuža, म्मे, _събр, leot, 
   {{0xa3bb07d5,0x3ea945d2,0x613400ad,0x7d57008d}},	//   इंग_, yaat_, _gülə, רייד_, 
   {{0x23a50081,0xf54203a1,0xa91d12e2,0x273a0028}},	//   _खबरद, рдүү, _južn, būna_, 
   {{0xa596048a,0x3ea90326,0x25ad45d3,0xa2d90299}},	//   _срещ, vaat_, csel_, _फॉण्, 
   {{0xa2c10367,0xf0e845d4,0x98a700bc,0x53c40035}},	//   _वाक्, льск_, dině_, लंदश, 
   {{0x3ea93e01,0x753a45d5,0xceb40095,0x7ae21fc0}},	//   taat_, mitz, rkən_, keot, 
   {{0x753a01bb,0xa91d03e5,0x3e070093,0x69c20026}},	//   litz, _nužn, лязв, kuoe, 
   {{0x3ea945d6,0x7bdc45d7,0xdb1e026a,0x7ae245d8}},	// [37f0] raat_, _apru, cupé, deot, 
   {{0x753a0161,0x3ea945d9,0xd7f800d9,0x628f0097}},	//   nitz, saat_, _oră_, lcco, 
   {{0x3ea945da,0x69db0382,0x00000000,0x00000000}},	//   paat_, _spue, --, --, 
   {{0x753a0a9f,0x7f4403a1,0x25ad45db,0x3ea902a5}},	//   hitz, cniq, ysel_, qaat_, 
   {{0xa91d02f5,0x6f0d45dc,0x753a0a9f,0x00000000}},	//   _dužn, mjac, kitz, --, 
   {{0x6f0d02f5,0xe8f845dd,0x7a2a010e,0x25ad45de}},	//   ljac, ллі_, _söté, vsel_, 
   {{0xd7052cdb,0x753a0a9f,0x6d5702be,0x6d450108}},	//   изки, ditz, moxa, mnha, 
   {{0x6d5745df,0x6f0d45e0,0x25ad45e1,0xa2c1049c}},	//   loxa, njac, tsel_, _वाग्, 
   {{0xd7060088,0x6e2d45e2,0x753a00ca,0x25ad45e3}},	//   рные_, nzab, fitz, usel_, 
   {{0x25ad45e4,0x753a01f1,0x6d45077b,0x628800bc}},	//   rsel_, gitz, nnha, ědom, 
   {{0xe29a45e5,0x232a0f5a,0x612b0019,0x8cca45e6}},	//   кан_, вони_, _külf, स्टो, 
   {{0x6f0d090b,0x2498091f,0xf7700629,0x067545e7}},	//   jjac, ırma_, _فان_, _куля, 
   {{0xe5a53c30,0x6f0d11b1,0x753a45e8,0x35a50ecf}},	//   _тили, djac, bitz, _талг, 
   {{0x6d4545e9,0xa91d0228,0x6e2d044d,0x629d011d}},	//   jnha, _mužo, dzab, abso, 
   {{0x2bb1006a,0x68fc05b9,0x6446010c,0x68e345ea}},	//   jąc_, _órde, şkir, iend, 
   {{0x68e345eb,0x63bc45ec,0x2bc90110,0x2bb10083}},	//   hend, árne, ांना, dąc_, 
  
   {{0x661b2a07,0xa91d0062,0x8e7602f1,0x7f4445ed}},	// [3800] nyuk, _ružn, рувч, rniq, 
   {{0xf1bf010e,0x7f44024a,0x61e90241,0xa91d0144}},	//   zzák_, sniq, çele, _sužn, 
   {{0x68e345ee,0xa3bb047c,0x7ae245ef,0xa91d0304}},	//   dend, इंट_, teot, _pužn, 
   {{0x753a02ba,0x6f0d00ab,0x7c4400ef,0x50d202e6}},	//   zitz, cjac, _čurć, द्रष, 
   {{0x2bd245f0,0x272a001b,0x67291f57,0x0d760cfe}},	//   _सहका, _hùng_, dhej, _вывя, 
   {{0x68e32e3f,0x8b9645f1,0xa91d0613,0x661b07fc}},	//   gend, _врач, _dužo, dyuk, 
   {{0x8c4345f2,0x37a71b17,0xa91d003a,0x753a45f3}},	//   _дере, атын_, _tužn, vitz, 
   {{0x6d5c008b,0xd83800ef,0x272a0108,0x753a02eb}},	//   _hkra, _ječi_, _mùng_, witz, 
   {{0x550645f4,0x753a45d5,0x5692004e,0xa53400d9}},	//   ачна, titz, бақт, йнич, 
   {{0xd8380bad,0x3d09034d,0x63a302a5,0x612b2120}},	//   _leči_, साये_, _bwnn, _zülf, 
   {{0x753a45f5,0x6e2d45f6,0xb0aa0035,0x6b8000a3}},	//   ritz, zzab, करनग, _kimg, 
   {{0x753a45f7,0xd6d900ab,0x48fe031e,0x612b00b0}},	//   sitz, koły_, लाको_, _külg, 
   {{0x78a8006b,0xf5940084,0x6d5c45f8,0x224d1b20}},	//   _kedv, _التج, _okra, çek_, 
   {{0x78a800f1,0x272a0023,0x753d010e,0x628401d6}},	//   _jedv, _bùng_, észt, _egio, 
   {{0x272a00f7,0x4ea703b7,0xd018366a,0xaad700bc}},	//   _cùng_, ираа, афт_, ण्डक, 
   {{0x68e345f9,0x272a00f7,0x78a845fa,0x6e2d45fb}},	//   zend, _dùng_, _ledv, tzab, 
   {{0x68e345fc,0x6f0d45fd,0xdceb42bd,0x8cc21011}},	// [3810] yend, rjac, šičk, _लाखो, 
   {{0x9f8f010c,0x61ed45fe,0xa91d0187,0x6e2d45ff}},	//   _nûçe_, _isal, _ružo, rzab, 
   {{0x6d454600,0xee8717fc,0x6aab3ecb,0xaefb01fd}},	//   rnha, _выго, tagf, _bhùt, 
   {{0x68e34601,0x28c900a2,0x3b84004e,0xddd40352}},	//   wend, _राहि, іліг, žašk, 
   {{0xe91900dd,0x3be80248,0xaefb0465,0x61ed00c3}},	//   лоді_, _eşq_, _dhùt, _jsal, 
   {{0xf1bf248c,0x98a2183d,0x61ed4602,0xa2d902e6}},	//   irá_, пише, _msal, _फॉस्, 
   {{0xe7394603,0xf1bf4604,0x60da00c2,0x67294605}},	//   лек_, hrá_, õtmi, thej, 
   {{0x61ed4606,0x7bc54607,0x6b8000a4,0xf1bf008c}},	//   _osal, muhu, _gimg, krá_, 
   {{0x612b006b,0x68e34608,0x7bc5031d,0x65610226}},	//   _küld, pend, luhu, tllh, 
   {{0x6aa9290d,0xb8fc00cc,0xf1bf4609,0x6729024d}},	//   _heef, _তো_, drá_, shej, 
   {{0x61ed460a,0x661b134c,0x6aa9460b,0xf1bf033c}},	//   _asal, syuk, _keef, erá_, 
   {{0x7981460c,0x272a0023,0x91e6460d,0xf1bf04f4}},	//   _hilw, _rùng_, боме, frá_, 
   {{0xd838460e,0x61ed006b,0x7bc5460f,0x753d006b}},	//   _reči_, _csal, huhu, észs, 
   {{0x6aa90265,0x7bc54610,0xd8380604,0x660600fc}},	//   _leef, kuhu, _seči_, åkke, 
   {{0xa0a64611,0x61ed4612,0x79814613,0xf1bf23fc}},	//   _қанд, _esal, _milw, ará_, 
   {{0xf1bf4614,0x272a001b,0x1e864615,0x7bc54616}},	//   brá_, _vùng_, слам, duhu, 
   {{0x2fdf00b3,0xc5880023,0x1d8a0038,0xd348009c}},	// [3820] ăuga_, _lồn_, ائري_, _میگه_, 
   {{0x25bf4617,0x23db0527,0x272a001b,0xdca604ce}},	//   irul_, _बहाद, _tùng_, сажи, 
   {{0x6aa94618,0x25bf40fc,0xb53a00c7,0xd8380352}},	//   _beef, hrul_, נגעש, _teči_, 
   {{0xaefb01f5,0x78a82be3,0x798100f3,0x25bf08b0}},	//   _dhùs, _sedv, _ailw, krul_, 
   {{0x28c93e0a,0x3ea04619,0x61ed0065,0x7981461a}},	//   _राशि, mbit_, _xsal, _bilw, 
   {{0x25bf461b,0xc5880023,0x7bc5461c,0x612b0761}},	//   drul_, _bồn_, buhu, _güld, 
   {{0x93bc00d9,0x6ab70086,0x25bf00b3,0xc5880023}},	//   nzăt, _ইউরো, erul_, _cồn_, 
   {{0x6aa90b32,0x6d890bfc,0xa3ab456f,0xbc1b00a7}},	//   _geef, _džaf, गठन_, _גולש, 
   {{0xc6f711c5,0x94861b17,0xa91d0112,0xe9a30170}},	//   сных_, йынд, _mužj, _натп, 
   {{0xb6060112,0xa2c10b6c,0x73d8461d,0xd90e0444}},	//   vršć, _वाङ्, адор_, _سیب_, 
   {{0x3ea03942,0x25bf1213,0xaefb01be,0x61ed461e}},	//   kbit_, arul_, _mhùr, _ssal, 
   {{0x3f82009c,0x25bf1213,0x95ca461f,0xf1bf4620}},	//   _niku_, brul_, _бука_, trá_, 
   {{0x25bf00b3,0xd7570038,0x3ea02e9c,0x00000000}},	//   crul_, _النت_, dbit_, --, 
   {{0xa2d911bd,0xecc700ab,0xdcfc2873,0x00000000}},	//   _फॉर्, _लाइफ, _birč, --, 
   {{0x7d151175,0x653b00a7,0x61ed0065,0x00000000}},	//   _rozs, _תעוד, _wsal, --, 
   {{0x61ed4621,0x3f820065,0xa91d0e67,0x6e994622}},	//   _tsal, _ciku_, _ružm, рвар_, 
   {{0x61ed4623,0x9c8700eb,0x6aa94624,0x3f82024a}},	// [3830] _usal, مشاه, _reef, _diku_, 
   {{0x7bc5086d,0x25e00077,0xdcfc0082,0xd13111b7}},	//   tuhu, _कहनी_, _firč, _آمد_, 
   {{0x25bf00e2,0xaefb01fd,0x656f0054,0x3ea04625}},	//   zrul_, _dhùr, ïchi, bbit_, 
   {{0x7bc54626,0x79814627,0xd9f94191,0x25a6011c}},	//   ruhu, _silw, инец_, _owol_, 
   {{0xd8382ed1,0x7bc54628,0xbddb03a1,0x7981085b}},	//   _meču_, suhu, _exèr, _pilw, 
   {{0x2d994629,0x92e500cc,0x3f8200ef,0x2795462a}},	//   _itse_, নায়_, _ziku_, ошир, 
   {{0x279400d3,0x25a60102,0x612b462b,0xd709462c}},	//   пшыр, _awol_, _güle, инке_, 
   {{0xf38900f7,0x2d8b003a,0x25bf462d,0xd83800ca}},	//   _bản_, _kuce_, trul_, _neču_, 
   {{0x2d8b03f5,0xf38900e7,0x2d83462e,0xe61609e9}},	//   _juce_, _cản_, _kije_, жды_, 
   {{0x45190839,0xc58800e7,0x2d8306df,0x25a60237}},	//   рция_, _tồn_, _jije_, _dwol_, 
   {{0x2d8b462f,0xd83801b4,0xd4694630,0x25bf02f6}},	//   _luce_, _beču_, рине_, srul_, 
   {{0x2d9900b0,0x00000000,0x00000000,0x00000000}},	//   _otse_, --, --, --, 
   {{0x2d994631,0x6d890228,0xfe7f4632,0x3f824633}},	//   _ntse_, _uľah, _maïs_, _riku_, 
   {{0x2d8302f5,0xe7dd119b,0x3f822083,0xf992042c}},	//   _nije_, _महाप, _siku_, ורך_, 
   {{0xe29a03dc,0x3f8200ef,0x33292bcc,0x3ea04634}},	//   _кай_, _piku_, _flax_, tbit_, 
   {{0xf389001b,0x6d4b4635,0x2d8b2085,0x1f660009}},	//   _hảo_, égan, _buce_, ікам, 
   {{0xe7e9000f,0x3f82008c,0x612b4636,0x6d0502e6}},	// [3840] झौता_, _viku_, _süle, रांग_, 
   {{0x2d831993,0x2d8b4637,0xe0da0398,0x3f8204c6}},	//   _cije_, _duce_, _тво_, _wiku_, 
   {{0x98780039,0x2d990149,0x3f6a149b,0x2d834638}},	//   _páči_, _etse_, _вино_, _dije_, 
   {{0x27f8003e,0xbddb00f6,0x3eab008a,0x612b0d16}},	//   _árni_, _exèq, _gect_, _gülb, 
   {{0xe8943558,0x2b4d00ef,0x6f064639,0xc333008d}},	//   паль, _djec_, _inkc, ווא_, 
   {{0x2d830118,0x26dd2bc3,0x25a6007b,0x00000000}},	//   _gije_, _abwo_, _rwol_, --, 
   {{0xb8f2463a,0xf38900f7,0xf72a17f7,0x26dd02a5}},	//   _वा_, _sản_, иций_, _bbwo_, 
   {{0x4b3400d4,0x29050126,0x2d83463b,0x2d8b0054}},	//   _عکاس, _enla_, _zije_, _yuce_, 
   {{0xf38900f7,0x569200f0,0x7afd463c,0x454a04b6}},	//   _bảo_, пақт, _ósta, ичом_, 
   {{0x61300003,0x08c312e1,0xd8380082,0x01d00033}},	//   _hälf, _обун, _seču_, িবাদ, 
   {{0xd7ef00eb,0xad9b0679,0x2cfb0070,0x69c21a77}},	//   _لكل_, _trúg, בליא, lroe, 
   {{0x5187463d,0x78ba24bc,0xf3890023,0xc7a30165}},	//   жува, _hdtv, _tản_, _цицк, 
   {{0x69c2463e,0x00000000,0x00000000,0x00000000}},	//   nroe, --, --, --, 
   {{0x2d8b00bc,0x3eab23bd,0x98bc0009,0x395c01dd}},	//   _ruce_, _sect_, rovė_, novs_, 
   {{0x28d20081,0x69c2463f,0x2d8b4640,0x656f0107}},	//   _सानि, hroe, _suce_, îche, 
   {{0x6d4e02fe,0x2bc900a2,0x2d834641,0x2d8b4642}},	//   _ajba, ांसा, _sije_, _puce_, 
   {{0x395c01dd,0xa802035d,0xd08700d9,0x35c20299}},	// [3850] kovs_, ğıyl, _мыни, _शिफ़, 
   {{0x2d8b090b,0xf3890023,0x459b0070,0xa802035d}},	//   _vuce_, _xảo_, יסמע, şıyl, 
   {{0xd251009c,0x2d830034,0xfe7f00b9,0x69c20c0c}},	//   _زنگ_, _vije_, _païs_, eroe, 
   {{0x2d8b032f,0x39900465,0x63b52c26,0xad9b0032}},	//   _tuce_, _bàs_, ázni, _prúd, 
   {{0x69c201a9,0x2d833768,0x2b4d024a,0x8cd83263}},	//   groe, _tije_, _vjec_, न्हो, 
   {{0xa91d2fab,0x399002aa,0x201e0502,0x200c042a}},	//   _kuži, _dàs_, ätig_, ådig_, 
   {{0xa91d00ca,0xb886003e,0x00000000,0x00000000}},	//   _juži, _svíþ, --, --, 
   {{0x69c211da,0xa3bb4643,0x399001c5,0xf3890108}},	//   broe, ेंस_, _fàs_, _sảo_, 
   {{0x3d00009a,0xad9b0032,0x6abb4644,0xa91d00de}},	//   राचे_, _hrúb, _iduf, _luži, 
   {{0xc588001b,0x799b4645,0xd8380604,0xe7870082}},	//   _gồm_, _ituw, _pečt_, _дудо, 
   {{0x59f8002e,0xdb1e00da,0xdbd3009e,0x7bd701ca}},	//   _леӂя_, lupá, _dûça, ntxu, 
   {{0x26dd099d,0x9595004e,0x91e608bd,0xd6d90083}},	//   _ubwo_, _ешкі, поме, biła_, 
   {{0x6d890039,0x6130007e,0xf3890023,0xd6d90083}},	//   _zľav, _jälg, _tảo_, ciła_, 
   {{0x867a0056,0xa91d04a1,0x3dc9012b,0x25e0093a}},	//   _פרסו, _buži, duaw_, _कहती_, 
   {{0x645c00c2,0xa06a4646,0x00000000,0x00000000}},	//   ürit, сава_, --, --, 
   {{0xa91d03ef,0x6abb019b,0x799b01b8,0x6296018e}},	//   _duži, _nduf, _otuw, _ufyo, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [3860] --, --, --, --, 
   {{0x4d6303b7,0x61e407d7,0xd00f0019,0x69c2123b}},	//   екув, _ipil, خلہ_, vroe, 
   {{0x711b0137,0xa7fc0092,0x28d20d0d,0x5ba5004f}},	//   _הויפ, _ayın, _साबि, дріз, 
   {{0x6d892f6f,0x61e40065,0x00000000,0x00000000}},	//   _džab, _kpil, --, --, 
   {{0x61300219,0xa96a186c,0xc33300d1,0xe8fa245e}},	//   _välf, бида_, עוד_, йлд_, 
   {{0x612b0077,0x27fe0065,0x61e40180,0x672b003e}},	//   _küla, _prtn_, _mpil, _algj, 
   {{0xfaa64647,0xd7fa4648,0x3d090c46,0x8b660499}},	//   _наво, сул_, सारे_, _فارم, 
   {{0xf38900f7,0x96ea4649,0x69c20511,0x61300219}},	//   _cảm_, ська_, proe, _fälg, 
   {{0x9a15464a,0x00000000,0x00000000,0x00000000}},	//   _оффш, --, --, --, 
   {{0x63bc0098,0x00000000,0x00000000,0x00000000}},	//   árno, --, --, --, 
   {{0x32000104,0xd6d90083,0x00000000,0x00000000}},	//   _ariy_, siła_, --, --, 
   {{0xa91d464b,0x61e40534,0xdbd30216,0x00000000}},	//   _ruži, _bpil, _wûça, --, 
   {{0x637f00e0,0xa91d012d,0xd7090790,0xf67a009c}},	//   _jūni, _suži, वारथ_, _امشب_, 
   {{0x6b9c00d2,0x6d5e0112,0xa91d00ca,0x28df017d}},	//   _otrg, jopa, _puži, प्पि, 
   {{0x6d5e464c,0x04db00d1,0x80ce2122,0x6b8e0027}},	//   dopa, _הקול, _तारे, _nubg, 
   {{0x65680219,0x657a01d2,0x00000000,0x00000000}},	//   lldh, lmth, --, --, 
   {{0xbf1d047b,0x78830019,0x32000237,0x9259049b}},	// [3870] _नवीन_, _kívü, _griy_, _фапт_, 
   {{0xa91d00f1,0x63520b03,0xfc460377,0x4cb908af}},	//   _tuži, māna, čína_, ілею_, 
   {{0x3eb2464d,0x799b064e,0xa02200c2,0x612b04d6}},	//   bayt_, _stuw, ööta, _güla, 
   {{0xceeb0296,0x7bd701ca,0x201e05f5,0xad9b00e1}},	//   _اردن_, rtxu, ätie_, _crúc, 
   {{0x6d5e464e,0xa2c01779,0x6b9c0144,0x7f5f01ff}},	//   bopa, _वयस्, _etrg, moqq, 
   {{0x5d8500d6,0x6130464f,0x612201a7,0xad9b4650}},	//   _زلزل, _välg, _pôli, _trúb, 
   {{0x81e30086,0x6e2000b0,0xe7394651,0x77f702e6}},	//   নটি_, _ümbr, жей_, ंटेक_, 
   {{0x66044652,0x28d2017d,0x7f4d01f2,0x65684653}},	//   _šika, _साथि, nnaq, eldh, 
   {{0x27314654,0x0609004f,0x80ce02e6,0x45d40afc}},	//   _láng_, інок_, _ताले, нцэт, 
   {{0x7aeb01c4,0x69cb0c25,0x81e30033,0x05760038}},	//   legt, muge, নটা_, ومية_, 
   {{0x61e43141,0xa3a800a2,0x69cb4655,0x69d901c4}},	//   _spil, खील_, luge, ltwe, 
   {{0xe29708ef,0x6130007e,0x6d5e4656,0x2743023e}},	//   маю_, _mäle, zopa, _dènè_, 
   {{0x69cb19e3,0x69d94657,0x6d5e0053,0x7bc501c4}},	//   nuge, ntwe, yopa, hrhu, 
   {{0xafe61768,0x212c007a,0x69d94658,0x3860020f}},	//   могл, ódh_, itwe, şire_, 
   {{0xe0d2009c,0x21670176,0x35d300c9,0x69cb0027}},	//   _یزد_, фири_, _दमड़, huge, 
   {{0xa91d044e,0x2731001b,0xf41200a7,0x69cb4659}},	//   _gužv, _dáng_, _יפו_, kuge, 
   {{0x6b9c2c9e,0x61e4465a,0x25700379,0x0d8601ff}},	// [3880] _strg, _upil, làla_, длан, 
   {{0x28d2059e,0x417600d4,0xa06a192f,0x69cb0096}},	//   _साधि, _تابس, _мапа_, duge, 
   {{0x6d5e465b,0x61300750,0x5fe2465c,0x69cb0df4}},	//   ropa, _väld, _पहिल, euge, 
   {{0x69d927d7,0x6d5e465d,0x4a46465e,0x61300502}},	//   ftwe, sopa, мнев, _wäld, 
   {{0xceb32665,0x63763b73,0x6d5e465f,0x28c9031e}},	//   _שיש_, mánd, popa, _राखि, 
   {{0xfbc6372d,0x7bc30126,0xdd870093,0x63764660}},	//   _обго, ánuc, _обяд_, lánd, 
   {{0x56944661,0xa91d0009,0x63760369,0xa2cf00bc}},	//   найт, _nužu, cáng, _थाल्, 
   {{0xc5880029,0x63760634,0xd5ba00d3,0x69cb4662}},	//   _hồi_, nánd, осо_, buge, 
   {{0x6e244663,0xbb434664,0x63760068,0x69d90035}},	//   nyib, _ретк, iánd, ctwe, 
   {{0x77694665,0x6376001d,0x272a00a1,0xd6d918aa}},	//   alex, hánd, _gùnn_, biło_, 
   {{0xa3a80077,0xc58800e7,0xe2f94666,0x7f4d0248}},	//   खीं_, _mồi_, пені_, ynaq, 
   {{0x3d05006a,0x7d1c026d,0x7988011d,0x27310108}},	//   _होने_, _lors, _hidw, _ráng_, 
   {{0x7d1c01a9,0x27310029,0x660f014e,0x63760634}},	//   _oors, _sáng_, äckt, dánd, 
   {{0x7d1c0b0c,0x63880cd7,0x61fd055f,0x6e240102}},	//   _nors, tènè, rvsl, dyib, 
   {{0xdfd80093,0xc58800e7,0x69cb01c4,0x63760183}},	//   мът_, _nồi_, zuge, fánd, 
   {{0x63760634,0x15f200b0,0x7bc50098,0x1ee70296}},	//   gánd, _अनार_, vrhu, بوری_, 
   {{0x171b0137,0xbf1f0262,0x9378024f,0x3cf80352}},	// [3890] קומע, _यकीन_, _تصور_, _barv_, 
   {{0x7d1c0e82,0xad9b0183,0xc58800e7,0x66024667}},	//   _cors, _crúa, _bồi_, _mrok, 
   {{0xe3b80fc1,0xe1ff0369,0x628d07d7,0x6376001d}},	//   nsı_, lvó_, _kgao, bánd, 
   {{0x0f2700dd,0x63760503,0x66024668,0x69cb4669}},	//   _цьом, cánd, _orok, tuge, 
   {{0x7d1c43d0,0x7aeb466a,0xdddd00ab,0x798800c3}},	//   _fors, regt, _wysł, _bidw, 
   {{0x69cb466b,0x7d1c466c,0x69d94224,0xad9b00e9}},	//   ruge, _gors, rtwe, _grúa, 
   {{0x6d453b93,0x69d9466d,0x3d0500a5,0x69cb2f1d}},	//   miha, stwe, _होये_, suge, 
   {{0x6d45466e,0xf7712e10,0xe619466f,0x66024670}},	//   liha, دات_, зди_, _brok, 
   {{0x798800c3,0x2cb1039f,0xdb050b48,0x00000000}},	//   _fidw, _kezd_, dshø, --, 
   {{0x6f1d4671,0x6d454672,0xf3890029,0x63760634}},	//   _losc, niha, _hải_, zánd, 
   {{0x6b890019,0x93464673,0x63760369,0x66024674}},	//   _kieg, енне, yánd, _erok, 
   {{0x66021341,0x63760042,0x660f02ae,0xdbc600c2}},	//   _frok, xánd, äcks, _töög, 
   {{0x6b894675,0x6d454676,0x63a10098,0xf3890108}},	//   _mieg, kiha, spln, _mải_, 
   {{0x6b894677,0x412a00dd,0x2bd00586,0x6d452a8e}},	//   _lieg, чого_, _हमला, jiha, 
   {{0xdee64678,0xd4664679,0x63761056,0x6d45467a}},	//   нови, _пише_, tánd, diha, 
   {{0xc58800f7,0x6729467b,0x6f1d467c,0x6b89467d}},	//   _rồi_, nkej, _cosc, _nieg, 
   {{0xee3a11ab,0xdcf4003a,0x612b467e,0x6d450180}},	// [38a0] чна_, šačk, _küll, fiha, 
   {{0x6d45467f,0xa91d026e,0x63760634,0x98a7012d}},	//   giha, _mužs, sánd, minė_, 
   {{0x7d1c02ec,0x6f1d4680,0x6b894681,0x79880e32}},	//   _vors, _fosc, _bieg, _ridw, 
   {{0x28d24682,0x6b894683,0x298a0207,0xb6050352}},	//   _साहि, _cieg, пско_, _košč, 
   {{0x7d1c1950,0x63761f71,0xf38a001b,0x58d44684}},	//   _tors, cáne, _cải_, волт, 
   {{0x6604014b,0x44254685,0xf38a0023,0xc5880023}},	//   _šiko, kyl_, _dải_, _tồi_, 
   {{0xfc1a2f67,0xb6050604,0xfce3017b,0x00000000}},	//   _عقرب_, _lošč, _щоро, --, 
   {{0x3d0e119b,0x28d21507,0x44254686,0x6b89008a}},	//   ठावे_, _सावि, dyl_, _gieg, 
   {{0x2d8a0da0,0x6561019c,0x612b0248,0x798800a4}},	//   _kibe_, folh, _büll, _tidw, 
   {{0x442503c6,0x645d0095,0x65614687,0xca750235}},	//   fyl_, əsiz, golh, _русы, 
   {{0x290c4688,0xd5c20f7a,0x61f6050f,0x38610380}},	//   _inda_, _शिवज, _asyl, ührt_, 
   {{0xb60500ef,0x2d8a4689,0x6d4511b2,0x291e468a}},	//   _bošč, _libe_, ziha, _hota_, 
   {{0x291e468b,0xe5a300a3,0x6d45468c,0x8c240086}},	//   _kota_, _бичи, yiha, _যেমন_, 
   {{0x656100ce,0x291e468d,0x612b04be,0xe1ff3c3a}},	//   colh, _jota_, _güll, rvó_, 
   {{0xb4be215e,0xf2b00086,0x291e0a9f,0x6f1d0228}},	//   ेली_, _কারণ, _mota_, _posc, 
   {{0x291e468e,0x6376468f,0x628d0f23,0x6d454690}},	//   _lota_, táne, _ugao, wiha, 
   {{0x290c02f5,0x2d8a055a,0x6d454691,0x6b894692}},	// [38b0] _onda_, _bibe_, tiha, _rieg, 
   {{0x63760098,0x6b894693,0xf38a001b,0x612b007e}},	//   ráne, _sieg, _rải_, _külm, 
   {{0x2d8a055a,0x6d454694,0x6b894695,0x63ba2759}},	//   _dibe_, riha, _pieg, nstn, 
   {{0x290c071e,0x6d4515da,0xffa300b9,0x6b89003d}},	//   _anda_, siha, _илүү, _qieg, 
   {{0x291e4696,0x6d454697,0x6b8900e0,0x290c00e2}},	//   _bota_, piha, _vieg, _bnda_, 
   {{0x18690bce,0x290c016a,0xf38a00e7,0x291e4698}},	//   мали_, _cnda_, _vải_, _cota_, 
   {{0x6b892976,0x63ba4699,0x9c65009c,0x7d540267}},	//   _tieg, jstn, _شهرو, _сврх, 
   {{0x3d05469a,0x290c469b,0x060908a7,0xf38a0029}},	//   _होते_, _enda_, дник_, _tải_, 
   {{0xb4be000f,0x6729005c,0xceb4035c,0x3f8b469c}},	//   ेलू_, rkej, ניץ_, _micu_, 
   {{0x7afb469d,0x3f8b0062,0x4425469e,0x290c0102}},	//   _haut, _licu_, tyl_, _gnda_, 
   {{0x7afb469f,0x67290082,0x3ea90102,0xa2d60598}},	//   _kaut, pkej, kbat_, _भाद्, 
   {{0x7afb29fa,0x394746a0,0x98a700e4,0x3dc900e2}},	//   _jaut, lins_, tinė_, kraw_, 
   {{0x7afb46a1,0x55c300f0,0x6561019c,0x612b46a2}},	//   _maut, _салғ, polh, _tüll, 
   {{0x660601cc,0x3dc946a3,0x7afb1624,0x39473216}},	//   ække, draw_, _laut, nins_, 
   {{0xa06746a4,0x612b46a5,0xd05946a6,0x3f8b46a7}},	//   вара_, _gülm, ерті_, _bicu_, 
   {{0x6d550097,0x3f8b0242,0x69db00b9,0xe4560070}},	//   _ajza, _cicu_, _oque, _שיקט_, 
   {{0x3dc946a8,0x2d8a46a9,0x3f8b1eb7,0x3f672631}},	// [38c0] graw_, _pibe_, _dicu_, тито_, 
   {{0xad9b46aa,0x394746ab,0xed570267,0xef1f059e}},	//   _trún, jins_, воу_, _eoü_, 
   {{0x69db1f1d,0x3ea946ac,0x80d700ab,0x8fa646ad}},	//   _aque, bbat_, _बाते, _шане, 
   {{0x291e00d3,0x7afb0ba9,0xf1bf0126,0x6d8946ae}},	//   _sota_, _caut, iyán_, _užan, 
   {{0x7fe20d0d,0x291e46af,0x8c960451,0x2b460038}},	//   _पहुँ, _pota_, _арбі, rioc_, 
   {{0xdca32e6c,0x7afb023e,0x394746b0,0x63ba0035}},	//   _вари, _eaut, gins_, ystn, 
   {{0x291e46b1,0x8c4646b2,0x7afb026a,0x69db1684}},	//   _vota_, _реве, _faut, _eque, 
   {{0x7afb46b3,0x8a061efe,0x39470348,0x291e46b4}},	//   _gaut, _избе, ains_, _wota_, 
   {{0x291e46b5,0xae05034d,0xc6f707a5,0x6d8905ae}},	//   _tota_, रियन_, тных_, _ožal, 
   {{0xb4be4682,0x290c02f1,0x394746b6,0x7afb1a72}},	//   ेले_, _unda_, cins_, _zaut, 
   {{0x3cfa00ab,0x332003dd,0x7ae20415,0x3ea946b7}},	//   _उसने_, _boix_, ofot, ybat_, 
   {{0x63ba46b8,0x46a60093,0x65c600d3,0x6376010e}},	//   rstn, _радв, _абда, vánc, 
   {{0x613003c5,0x201e0080,0x63ba017b,0x7bde00c2}},	//   _säla, ätin_, sstn, htpu, 
   {{0xdfd53b46,0x7bde190f,0x154301ff,0x00000000}},	//   логы, ktpu, _кечм, --, 
   {{0x5ea40086,0x33203d0c,0x7ae2200f,0xa3b600c2}},	//   _ওয়ে, _foix_, kfot, _छबि_, 
   {{0x3ea92622,0x6376031e,0x394746b9,0xaad10e07}},	//   ubat_, ránc, zins_, _हाइक, 
   {{0x3ea946ba,0x7afb46bb,0x3f8b0613,0x3ea60183}},	// [38d0] rbat_, _raut, _vicu_, ñota_, 
   {{0x7afb46bc,0x394746bd,0x637646be,0x612b04be}},	//   _saut, xins_, mána, _mülk, 
   {{0x7afb46bf,0x637646c0,0xc3160033,0x31580070}},	//   _paut, lána, াসরি_, _ביזן_, 
   {{0x5a35088a,0x60db00ef,0x7ae246c1,0x629d010e}},	//   лнет, đumu, gfot, ncso, 
   {{0x394746c2,0xa2d611bd,0x21210102,0xa3d402e6}},	//   tins_, _भास्, _kohh_, िंड_, 
   {{0xe8f846c3,0x7afb0532,0x4cad0033,0x78b8052b}},	//   клі_, _waut, _চাকু, gavv, 
   {{0x7afb46c4,0x394746c5,0xdcfc4179,0xe5160390}},	//   _taut, rins_, _sirć, तानि_, 
   {{0x394746c6,0x23690201,0x98bc00d9,0x2121016a}},	//   sins_, _nkaj_, tivă_, _lohh_, 
   {{0x46e603aa,0x2121016a,0x394746c7,0x4975011f}},	//   удын_, _oohh_, pins_, _блас, 
   {{0xe297004e,0x6b9546c8,0x637646c9,0xdb1c0118}},	//   ғар_, _kuzg, dána, _avrè, 
   {{0x6b9546ca,0xa34a1d6b,0x98bc020f,0xb3861827}},	//   _juzg, езна_, sivă_, ллол, 
   {{0x2579026d,0x11d60965,0x28df1f30,0x69cb0c0c}},	//   dèle_, лігр, प्रि, orge, 
   {{0xaad1000f,0x84e503fd,0x3320026a,0xe60e2b3b}},	//   _हाईक, _болж, _voix_, _уд_, 
   {{0xb602031e,0x399946cb,0x661d076b,0x00000000}},	//   čátk, _mès_, øsku, --, 
   {{0x74d846cc,0x399946cd,0x3d173024,0x69cb0380}},	//   _मातृ, _lès_, नाने_, hrge, 
   {{0x6d8928fd,0x69c4000f,0xd0070267,0x26f10299}},	//   _džam, _रिली, ћете_, _अघोर_, 
   {{0xc69200c7,0x80b30086,0x3f80019c,0x7ae246ce}},	// [38e0] מאן_, _জার্, rmiu_, vfot, 
   {{0xc8d2058f,0xe6d002d9,0x7bde32fe,0x6b9514cd}},	//   _साइट, _सञ्ज, ttpu, _buzg, 
   {{0xa3bb1011,0x5aca3192,0x80aa02ab,0x69cb46cf}},	//   ेंट_, елем_, _ज्ये, erge, 
   {{0x2ca738fa,0xda7a00c8,0xeafa0019,0x39990237}},	//   ında_, нял_, عرات_, _bès_, 
   {{0x82d70137,0xb17b0a40,0x59f846d0,0xe3a70a24}},	//   רונג_, ståe, теля_, _گر_, 
   {{0x3999026d,0x7ae21baf,0x27310098,0x27380175}},	//   _dès_, sfot, _rána_, _kéng_, 
   {{0xe3a70817,0xd90d1fdb,0x69cb038c,0x8b951ca5}},	//   _در_, ظیم_, arge, _вруч, 
   {{0xb8cb00ab,0x78b846d1,0x2cba012b,0x27310098}},	//   _क्_, savv, lapd_, _pána_, 
   {{0xa53430c5,0x6b8246d2,0xe66616d0,0x290f0038}},	//   инич, mmog, ытко, álaí_, 
   {{0x46a40367,0x236946d3,0x598300c8,0xad9b0369}},	//   _ग्रह, _skaj_, _глуб, _brúj, 
   {{0xd6c40f1c,0xb893057f,0x86e600cf,0x245800dd}},	//   _نمای, _المع, _бўлд, тань_, 
   {{0x80d72649,0x25790107,0x926b46d4,0x69c602ae}},	//   _बाहे, vèle_, ерга_, _åkes, 
   {{0x96b946d5,0xa195011f,0x6d8907c7,0x637d0a13}},	//   _руху_, рагч, _džaj, héng, 
   {{0x98a7003a,0x63760d4b,0x25790107,0xe3af0019}},	//   čići_, rána, tèle_, _کرو_, 
   {{0x629d0105,0x09d11f9a,0x6722023b,0x63760019}},	//   pcso, _सम्य, _kooj, sána, 
   {{0x613046d6,0x637d005f,0x672246d7,0x63761259}},	//   _häll, déng, _jooj, pána, 
   {{0x6b82090e,0x6130022b,0x926b1b8e,0x612b00b0}},	// [38f0] dmog, _käll, _ярка_, _lüli, 
   {{0x627c0056,0x61301eab,0x32090489,0x61ed46d8}},	//   _אנחנ, _jäll, _iray_, _ipal, 
   {{0xbc07012d,0x768b027e,0x5b2746d9,0x637d0175}},	//   ычай, _köyü, льда, géng, 
   {{0x612b00ad,0x399905d5,0x00000000,0x00000000}},	//   _sülh, _pès_, --, --, 
   {{0x99d70084,0x6d4b03da,0xf9c72a08,0x69cb46da}},	//   اتصا, égas, ущен, urge, 
   {{0xa4f300a2,0x637d002c,0x6b820036,0x61ed2ded}},	//   _असेच_, lénd, amog, _mpal, 
   {{0xe7390a31,0xd8b817bc,0x07a5069b,0x6d47008a}},	//   кек_, ادها_, шайн, _imja, 
   {{0x3209033e,0x637d001d,0xd7090080,0x291801c5}},	//   _oray_, nénd, тние_, _òran_, 
   {{0x672202a2,0x7d12010e,0x857902a0,0x7ae90054}},	//   _dooj, _újsá, ксот_, _ibet, 
   {{0x60c50108,0x63520243,0x660601d5,0x00000000}},	//   _ndhm, māni, ækka, --, 
   {{0x768b06d0,0x61ed46db,0xf7700296,0xad9b0a6d}},	//   _böyü, _apal, _کال_, _brúk, 
   {{0xe286252a,0x320946dc,0x60c50038,0xb60200bc}},	//   илни, _bray_, _adhm, čárk, 
   {{0x7ae946dd,0x61300991,0x99800187,0x7bc3014b}},	//   _mbet, _fäll, šiť_, ánuj, 
   {{0x61300750,0x25bf0ab1,0x64a500a6,0x320901a7}},	//   _gäll, msul_, _така, _dray_, 
   {{0xa06a04f5,0x80d70497,0x7ae946de,0x6722006f}},	//   тава_, _बारे, _obet, _yooj, 
   {{0x637611d1,0x66040242,0x752302d9,0x6d4746df}},	//   máno, _šiki, _honz, _amja, 
   {{0x7dc600c5,0x25bf002e,0x63760019,0xd17600b3}},	// [3900] شقان, nsul_, láno, _выны, 
   {{0x7ae946e0,0x127b00c7,0x75230104,0x02b6009a}},	//   _abet, _באפע, _jonz, _अजुन, 
   {{0xc5f246e1,0xf5360137,0x752346e2,0xdee646e3}},	//   _अन्य_, סטער_, _monz, _кони, 
   {{0x25bf007e,0x637d46e4,0x752346e5,0x305b0486}},	//   ksul_, cénd, _lonz, _ידיד, 
   {{0x6b8246e6,0x672246e7,0x6800039f,0x00000000}},	//   rmog, _rooj, kájá, --, 
   {{0x637d46e8,0x6722007e,0xed5a002e,0x7ae90149}},	//   méne, _sooj, _рог_, _ebet, 
   {{0xd7fa32e1,0x02b6009a,0x4aba00b3,0xc6230033}},	//   тул_, _अजून, _аузя_, _বেলা_, 
   {{0x3ea046e9,0x6130014e,0xab2702c4,0x96ea1988}},	//   ncit_, _säll, _коса_, тька_, 
   {{0x66e203a2,0x25bf0495,0x94aa0d47,0xe8fa00a3}},	//   क्षक_, gsul_, ктна_, _ила_, 
   {{0x96a6047c,0x612b46ea,0xb4d000bc,0x768b0248}},	//   _ट्रॉ, _tüli, षले_, _söyü, 
   {{0x61ed46eb,0xa41400cc,0x6d8902fe,0x672246ec}},	//   _spal, ান্য_, _džah, _tooj, 
   {{0x61ed46ed,0x3dc0011d,0x320946ee,0x637d039f}},	//   _ppal, ksiw_, _pray_, kéne, 
   {{0x6130030f,0x15a70093,0xa3d41e08,0x6d400009}},	//   _täll, _къщи_, िंह_, _įman, 
   {{0x752346ef,0xf1bf0038,0xf669009c,0x59c90551}},	//   _gonz, rsá_, _صحنه_, _रिसर, 
   {{0x637d03da,0x757b027a,0xdb050212,0xe3a40296}},	//   ténd, _שטופ, sphé, _اشتی, 
   {{0x75230126,0x61300341,0x656846f0,0x3f8f003e}},	//   _zonz, _jälj, lodh, ögu_, 
   {{0x442c46f1,0x637d46f2,0x2cb846f3,0x443e0502}},	// [3910] lyd_, rénd, _berd_, lzt_, 
   {{0x40350ecf,0x60c5018e,0xeca714b7,0x9d14049b}},	//   _геос, _udhm, рјан, одуч, 
   {{0x2cb812ed,0x443e46f4,0x656f0212,0x442c46f5}},	//   _derd_, nzt_, îchi, nyd_, 
   {{0x2731026e,0x63760019,0x635201dd,0x65682c2a}},	//   _ráno_, jánl, tāni, hodh, 
   {{0x98a524a8,0x2cb8017b,0x442c00f8,0x2579011c}},	//   биле, _ferd_, hyd_, hèla_, 
   {{0x63a40076,0x26c600ef,0x3eb946f6,0x6e2d02b8}},	//   _činn, _adoo_, _hest_, myab, 
   {{0x013800a7,0x2d9946f7,0x59c900a5,0x752302a3}},	//   שרות_, _huse_, _रिवर, _ronz, 
   {{0x3eb92125,0x25a600e2,0x442c0156,0x00580486}},	//   _jest_, _btol_, dyd_, ישות_, 
   {{0x6e2d46f8,0x3eb93c13,0xd7060088,0x752302a3}},	//   nyab, _mest_, сные_, _ponz, 
   {{0xf990073c,0x442c02f0,0xd7e702fb,0x25bf002e}},	//   _قبل_, fyd_, _відо, rsul_, 
   {{0x442c46f9,0x232a46fa,0x3cfa00ab,0x2d9146fb}},	//   gyd_, гони_, _उससे_, _mize_, 
   {{0xe6950084,0x25bf46fc,0x63760187,0x613002ae}},	//   _الإد, psul_, ráno, _välm, 
   {{0x6568011c,0x2d99024a,0x752302a5,0x637d0042}},	//   bodh, _nuse_, _tonz, xéne, 
   {{0xa0a346fd,0x753a17a9,0x637611d1,0x442c46fe}},	//   зард, chtz, páno, byd_, 
   {{0x3eb946ff,0x251a00a7,0x1dda0e07,0x61431790}},	//   _best_, _תוצא, यूनत, чера, 
   {{0xdd9200eb,0x637d010e,0x2d9101d6,0x2d994700}},	//   كور_, téne, _aize_, _buse_, 
   {{0x3eb9055a,0x6130030f,0x2d914701,0x0eb9012d}},	// [3920] _dest_, _jälk, _bize_, русы_, 
   {{0x3eb90077,0x3ea04702,0x2d910032,0x98a70028}},	//   _eest_, scit_, _cize_, dinį_, 
   {{0x4176082c,0xdd8f298e,0x3eb94703,0x2cb84704}},	//   _پاکس, روم_, _fest_, _verd_, 
   {{0x2cb84705,0xcee3005e,0x2ca1004c,0xfe05049f}},	//   _werd_, _нұсқ, achd_, रिशस_, 
   {{0x7c3e010e,0x2d910237,0x61300080,0x660d0028}},	//   szpr, _fize_, _nälk, _šakn, 
   {{0x61300750,0x6f044706,0xada34707,0x2d9102a5}},	//   _sälj, ldic, _харл, _gize_, 
   {{0xb9000da6,0xa7fc07fa,0x6d5c0175,0xa09b0070}},	//   _था_, _ayır, _ijra, ניקט, 
   {{0x6f040139,0xed5a03dc,0x96344708,0x629607fc}},	//   ndic, _роҳ_, жниц, _ngyo, 
   {{0x61304709,0x442c02f0,0x612b470a,0xa8050042}},	//   _välj, wyd_, _kült, _poñí, 
   {{0x443e02e7,0x442c0691,0x637d0175,0x00000000}},	//   tzt_, tyd_, kénc, --, 
   {{0x78ba00e0,0x65680c0a,0x838700f0,0x69c21788}},	//   _ietv, rodh, йыме, lsoe, 
   {{0x442c470b,0x443e01c4,0x6aa2470c,0x637d0183}},	//   ryd_, rzt_, ncof, dénc, 
   {{0x66760fdc,0x443e2bd6,0x78ba012d,0x69c2018c}},	//   _ادار, szt_, _ketv, nsoe, 
   {{0x3eb90077,0x70d300a2,0x2d99470d,0x6d5c011c}},	//   _sest_, तलेल, _ruse_, _njra, 
   {{0x4034470e,0x50670c67,0xdbf1031e,0x3f9a470f}},	//   перс, ётга, _příj, _cupu_, 
   {{0x2d914710,0x6e2d4711,0x2d994712,0xdd26078a}},	//   _size_, tyab, _puse_, _pêşn, 
   {{0x3eb94713,0x7f4d4714,0x2d91011c,0x612b0241}},	// [3930] _vest_, riaq, _pize_, _bült, 
   {{0x78ba4715,0x3eb900a7,0x6e2d37a4,0x52740038}},	//   _netv, _west_, ryab, _عايز, 
   {{0x6e2d0ab1,0x3eb94716,0x28d2010b,0x7bf926f1}},	//   syab, _test_, _साजि, рнер_, 
   {{0x2d91007c,0x98a7012d,0x3a752076,0x2d990474}},	//   _wize_, tinį_, олер, _tuse_, 
   {{0x7ccb01dd,0x69c200d7,0x00000000,0x00000000}},	//   tērē, gsoe, --, --, 
   {{0x527c00c7,0x612b4717,0x98a70009,0xc27c027a}},	//   אנדא, _gült, rinį_, ארדי, 
   {{0xe80905f6,0xb8f1009a,0x78ba0032,0x612b4718}},	//   विधा_, _वय_, _detv, _hüls, 
   {{0x3d17451b,0x612b0019,0x661b01f1,0xdb231bfa}},	//   नावे_, _küls, txuk, öräl, 
   {{0x78ba4719,0x673b471a,0xa3cb0c46,0x7bd746f3}},	//   _fetv, rhuj, _लिह_, luxu, 
   {{0x28e007cc,0x6130022b,0xe809047c,0x6f0414bf}},	//   _नायि, _välk, विदा_, zdic, 
   {{0xe8551b65,0x79810026,0x09be0033,0x2bd100c9}},	//   _بناد, _ihlw, _উৎপা, _हिफा, 
   {{0x3f9a0112,0x78ba0082,0x799b0548,0x65951252}},	//   _rupu_, _zetv, _kuuw, _даду, 
   {{0x4ade08d2,0xbebb0876,0x3cfa031e,0x3f9a471b}},	//   फ्टव, _voël, _उसले_, _supu_, 
   {{0xb17b022b,0x3f9a471c,0x66090204,0x799b025b}},	//   stån, _pupu_, mvek, _muuw, 
   {{0x6609471d,0xa2e60093,0x5f06471e,0x6abb0107}},	//   lvek, _дойд, озва, _oeuf, 
   {{0x6f0400a1,0x6abb471f,0x637d4720,0x28e02488}},	//   udic, _neuf, rénc, _नाभि, 
   {{0x25ad0089,0x1d264721,0x3f9a044d,0x63764722}},	// [3940] npel_, омам, _wupu_, hánk, 
   {{0x637d4723,0x3f9a0548,0xbd8303bd,0x27314724}},	//   ména, _tupu_, дгук, _bánk_, 
   {{0x64410380,0x2738023e,0x61e60b39,0xb53a0070}},	//   nzli, _léna_, ltkl, סגעש, 
   {{0x78ba4725,0xfa250086,0x799b084c,0x69c24726}},	//   _setv, _মেইল_, _buuw, tsoe, 
   {{0x394e026d,0xe8fa1ffd,0x3d05007e,0x6aa206f0}},	//   tifs_, илд_, _होके_, rcof, 
   {{0x8c461e54,0x97a62e17,0x69c20691,0x6abb08b0}},	//   _деге, орил, rsoe, _eeuf, 
   {{0x3d17000f,0x394e026a,0x78ba4727,0xfaa603dc}},	//   नारे_, rifs_, _vetv, _маво, 
   {{0xa2d6119b,0x64410065,0x61e62032,0x394e0107}},	//   _भाग्, dzli, ktkl, sifs_, 
   {{0x9989203b,0xdb1e0183,0x5b210019,0xdb054728}},	//   šaš_, supó, _سہول, tshö, 
   {{0x2bd134d8,0x6b9c4729,0x73d80cdf,0xd49a0258}},	//   _हिमा, _kurg, бдор_, шри_, 
   {{0x66e645c6,0x60dc0bfc,0x6b9c472a,0x61e4008e}},	//   _можа, dgrm, _jurg, _aqil, 
   {{0x6b9c472b,0xe3af0a24,0xad9b2c7d,0x28e002e6}},	//   _murg, کری_, _krút, _नाडि, 
   {{0x637d2e29,0x7ae00065,0xe4da009c,0x6b9c472c}},	//   géna, _mcmt, _نوشت_, _lurg, 
   {{0xa3b502e6,0x3ebf0613,0x3cf60035,0xa2b90299}},	//   _चौक_, _žut_, ीयों_, _्यक्, 
   {{0x2731001b,0x2f1900c8,0x6b9c00b0,0x53350398}},	//   _bánh_, бовь_, _nurg, _нект, 
   {{0x2fcd0704,0x2731001b,0x637d023e,0x213a36d2}},	//   čeg_, _cánh_, béna, _elph_, 
   {{0x6edc0a34,0x3d17031e,0x68f80201,0xd2510e61}},	// [3950] _फारु, नाले_, kevd, _سند_, 
   {{0xdfdb0021,0x63a403ef,0xe6b707bd,0x2fd8472d}},	//   _към_, _činj, _इज्ज, burg_, 
   {{0x6b9c239c,0x92dd0033,0xdc98004f,0xe4e20f7a}},	//   _curg, ড়ী_, івці_, _खानि_, 
   {{0xdd9508a5,0x6b9c472e,0x200100a3,0x63762c26}},	//   _намы, _durg, _ishi_, vánk, 
   {{0x6d580eae,0xe9d80451,0x7e7d0243,0x6b9c0090}},	//   čvar, жкі_, _uzsp, _eurg, 
   {{0x3f89472f,0xa92400f0,0x63762b70,0x68f800c2}},	//   lmau_, мділ, tánk, gevd, 
   {{0x6abb0380,0x27380096,0x00000000,0x00000000}},	//   _teuf, _séna_, --, --, 
   {{0x63764730,0x61300905,0x7bc54731,0x96230086}},	//   ránk, _väli, mshu, _বেগম_, 
   {{0xe6161b17,0x7bc54732,0x59d200b0,0x6b9c0c52}},	//   зды_, lshu, _सियर, _zurg, 
   {{0x80d711bd,0x644102f2,0x66094733,0x69d94734}},	//   _बागे, tzli, rvek, muwe, 
   {{0x69d94735,0x3f890065,0x29050054,0xd4694736}},	//   luwe, kmau_, _iala_, сине_, 
   {{0x29054737,0x64414738,0x61e64739,0x637d002c}},	//   _hala_, rzli, ttkl, téna, 
   {{0x7bc5473a,0x69d9473b,0x2d8300c8,0x2001040c}},	//   hshu, nuwe, _ohje_, _ashi_, 
   {{0x2907473c,0x2731001b,0x29fd0187,0x2fd8473d}},	//   ndna_, _sánh_, _mňa_, turg_, 
   {{0x2905473e,0x69d9473f,0xb4d7009a,0x61e614a1}},	//   _mala_, huwe, िली_, stkl, 
   {{0x29054740,0x69d94741,0x7bc50c43,0x6e960038}},	//   _lala_, kuwe, dshu, سلطا, 
   {{0x0e630601,0x3eb202ae,0x0f1c00c2,0x2905020f}},	// [3960] ектн, rbyt_, _पचीस_, _oala_, 
   {{0x29054742,0x69d94743,0xee37442e,0xa91c0228}},	//   _nala_, duwe, чну_, _ohľa, 
   {{0xc2f10086,0x69d901c8,0xad9b4744,0xa09b027a}},	//   য়ারি_, euwe, _brús, _לייט, 
   {{0x23a100ab,0x2907007b,0x6b9c027e,0x69d94745}},	//   _mój_, edna_, _vurg, fuwe, 
   {{0x29054746,0x63761056,0x387e0082,0x28e002e6}},	//   _bala_, gáni, _sztr_, _नादि, 
   {{0x29054747,0x6b9c4748,0x6f060938,0x29fd0187}},	//   _cala_, _turg, _hakc, _dňa_, 
   {{0x6d4e4749,0xad9b2403,0x7c651169,0x3b0a0477}},	//   _imba, _frús, _قافل, _лево_, 
   {{0x5694474a,0x2907474b,0xceb40095,0x290531d3}},	//   майт, adna_, nbə_, _eala_, 
   {{0xb0dc0ede,0x20dc4493,0x63761056,0x2905474c}},	//   _बांग, _बांध, cáni, _fala_, 
   {{0xd5af1dbc,0xaa3b00d1,0x637d474d,0x00000000}},	//   _үс_, _התמח, génn, --, 
   {{0xa4380965,0xd6cf08de,0x6d4e474e,0x3f89474f}},	//   ізму_, _пт_, _mmba, ymau_, 
   {{0x66e30c59,0x29054750,0x6d4e0065,0x66e64751}},	//   _गायक_, _zala_, _lmba, _хода, 
   {{0x9586005e,0x51874752,0x29054753,0x200102a2}},	//   _елде, зува, _yala_, _sshi_, 
   {{0x92dd0086,0x66024754,0xa50702f1,0x29052c89}},	//   ড়ে_, _isok, _неча_, _xala_, 
   {{0x9f5a00b9,0x6f064755,0x69d90380,0x00000000}},	//   _espí_, _bakc, zuwe, --, 
   {{0x6d4e4756,0x5f941dbd,0x6f06002c,0x637d4757}},	//   _amba, еист, _cakc, méno, 
   {{0x4d9816d0,0x6f064758,0x3f8900f8,0x610f0028}},	// [3970] зкую_, _dakc, rmau_, tėlė, 
   {{0x7bc54759,0x2bd100a5,0x66020532,0x00000000}},	//   tshu, _हिदा, _msok, --, 
   {{0x629a031e,0xd25111b7,0x3d0c009a,0x2905084c}},	//   ětov, _سنگ_, _डोळे_, _rala_, 
   {{0x6376033c,0x6d4e475a,0x69d92cb1,0x6602475b}},	//   táni, _emba, tuwe, _osok, 
   {{0x2905475c,0x613002ae,0x66d60241,0x920d0249}},	//   _pala_, _välv, zükü, िटिज_, 
   {{0x6376475d,0x2905475e,0x6d4e02cd,0x7bc5475f}},	//   ráni, _qala_, _gmba, pshu, 
   {{0x29074760,0x6376001d,0x66024761,0x7bc501ff}},	//   rdna_, sáni, _asok, qshu, 
   {{0x29054762,0x05a902fb,0x2b4d0183,0xeab30038}},	//   _wala_, овий_, _umec_, _سعر_, 
   {{0x6d8908b1,0x2905357d,0x05b900d4,0xa3df00a2}},	//   _užas, _tala_, زگشت_, धून_, 
   {{0xb4d7465c,0x9f45009e,0xd4990161,0x98a50118}},	//   िले_, îlê_, өрү_, _kolč_, 
   {{0xa3d4143e,0x7d0709b2,0x66024763,0x637d4764}},	//   िंग_, _majs, _esok, rénn, 
   {{0x7d07032f,0x00000000,0x00000000,0x00000000}},	//   _lajs, --, --, --, 
   {{0xe56e1512,0x6f060144,0xceb40248,0x00000000}},	//   _аз_, _rakc, vbə_, --, 
   {{0xe281005e,0x8281004e,0x65941329,0x00000000}},	//   ығын, ыңыз, _зачу, --, 
   {{0x6f060938,0x10a34765,0xd0074766,0xafe302f1}},	//   _pakc, тисн, мере_, корл, 
   {{0x672b38c3,0x26df0548,0xf1bf039f,0x00000000}},	//   _jogj, nguo_, gyás_, --, 
   {{0x63a400f1,0x6f064767,0x7d0714f8,0x613002ae}},	// [3980] _čini, _vakc, _bajs, _bält, 
   {{0x672b024a,0x6f06002c,0xe6070c30,0xef190176}},	//   _logj, _wakc, _یش_, омӣ_, 
   {{0x711b00c7,0x69c901b8,0x672b02b0,0x3b060028}},	//   _וויפ, _avee, _oogj, _lūpų_, 
   {{0x3cfa006a,0x6ea500a5,0x973c032f,0x28e02221}},	//   _उसके_, _कलयु, _kuće, _नाहि, 
   {{0x636803c0,0x6d4e02cd,0x61300219,0x637d014b}},	//   mınd, _tmba, _fält, zéno, 
   {{0x63680749,0xb4d7000d,0x7d074768,0x6d4e4769}},	//   lınd, िलो_, _gajs, _umba, 
   {{0x6130022b,0xfce30314,0x315700c7,0x69da00a5}},	//   _häls, _шоро, ויסן_, _नमकी, 
   {{0x63680749,0x6d8900d2,0x85a603b7,0x2d9800df}},	//   nınd, _užar, мјод, _hire_, 
   {{0x2d98476a,0xd379044e,0x63ad0097,0x672b0034}},	//   _kire_, nuće_, _čana, _dogj, 
   {{0x637d476b,0x2d980237,0x63680585,0x6d5e076b}},	//   téno, _jire_, hınd, nnpa, 
   {{0x2d98476c,0x44381acf,0x9980012d,0x672b010e}},	//   _mire_, ár_, šių_, _fogj, 
   {{0x2d98476d,0x2bd10b3e,0xd3790112,0x6602476e}},	//   _lire_, _हिसा, kuće_, _tsok, 
   {{0xd37903ef,0x636803c0,0xc1b814d3,0xa50a129d}},	//   juće_, dınd, млях_, _меда_, 
   {{0xd379003a,0x26c4476f,0x2d9802ba,0xe44f13b4}},	//   duće_, lamo_, _nire_, اضی_, 
   {{0xa3cb2125,0x6368213d,0x4fc44770,0xa1944771}},	//   _लिए_, fınd, кста, тарч, 
   {{0x2d983afc,0x26c44772,0x660d4773,0x63680b8b}},	//   _aire_, namo_, _šaki, gınd, 
   {{0xd37902f5,0x2d984774,0xf1a702f1,0x8af70095}},	// [3990] guće_, _bire_, _ўрин, şəkk, 
   {{0x26c44775,0x2d984776,0x00000000,0x00000000}},	//   hamo_, _cire_, --, --, 
   {{0x2d984777,0x613034ff,0x636804be,0x6aa90380}},	//   _dire_, _vält, bınd, _pfef, 
   {{0x26c44778,0xf38a001b,0x2d980752,0x6d5e4779}},	//   jamo_, _bảy_, _eire_, anpa, 
   {{0xad9b00eb,0x637642d1,0x6130477a,0x672b00ef}},	//   _grúp, mánt, _tält, _rogj, 
   {{0x6376477b,0xd1221516,0xde1600c7,0x3ea9477c}},	//   lánt, मायण_, _אַלץ_, lcat_, 
   {{0xb9070077,0x3f9911f5,0xb6a51e38,0x28e0477d}},	//   _भा_, _kisu_, нийл, _नारि, 
   {{0x3ea9477e,0x26c4477f,0x9ac7010e,0x6e290083}},	//   ncat_, gamo_, _آگاہ_, _żeby, 
   {{0x29d50ce0,0x3f990242,0x3171010e,0x59c910cf}},	//   _سياس, _misu_, kozz_, _रिटर, 
   {{0x9a844780,0x14254781,0x06820161,0x6368008f}},	//   _русл, едом, ыгын, zınd, 
   {{0x26c44782,0x973c00ef,0x63680540,0x61f600fc}},	//   bamo_, _suće, yınd, _spyl, 
   {{0x3f9903ef,0x26c41060,0x636800ad,0x3ea94783}},	//   _nisu_, camo_, xınd, jcat_, 
   {{0xf38a001b,0xb606008c,0x15f300c2,0x00000000}},	//   _xảy_, rráð, _अहिर_, --, 
   {{0x6e2000d3,0xb606008c,0x25d600c7,0xd3790372}},	//   _àmbi, sráð, _נוצן_, vuće_, 
   {{0x63680e7b,0x3f9902cd,0x2d980107,0xe46500c2}},	//   tınd, _bisu_, _rire_, ööde_, 
   {{0x6d5e0626,0x539a00d1,0x61300219,0x2ba300aa}},	//   wnpa, _ציפו, _päls, _ओढ़ा, 
   {{0x63682a30,0x3dc94784,0x31714785,0x2d984776}},	// [39a0] rınd, gsaw_, bozz_, _pire_, 
   {{0x63684786,0x59c90262,0x26c44429,0x61300219}},	//   sınd, _रिजर, zamo_, _väls, 
   {{0xf5360137,0x2d9806df,0xd379443c,0xeb9a4787}},	//   עטער_, _vire_, suće_, чие_, 
   {{0x3ea94788,0x20570137,0x2bd11ad9,0x27310183}},	//   ccat_, _טייל_, _हिरा, _máns_, 
   {{0x2d984789,0x00000000,0x00000000,0x00000000}},	//   _tire_, --, --, --, 
   {{0x26c40bab,0xf806478a,0xdbc700b0,0x67d427eb}},	//   wamo_, ечин, _rööv, воку, 
   {{0x26c4478b,0x777b09c6,0xdb1c02ae,0xd90d009c}},	//   tamo_, flux, _avrå, تیل_, 
   {{0x62840036,0x14dd00bc,0xf4150033,0x00000000}},	//   _ozio, _माउण, াহার_, --, 
   {{0x26c4478c,0xbb43058b,0x6e240068,0x637d0096}},	//   ramo_, _сетк, nxib, bénj, 
   {{0xa3cb0e36,0x7ae2478d,0xd90d0116,0x61fb02aa}},	//   _लिख_, lgot, _وین_, çulm, 
   {{0x6284478e,0x7bde478f,0x26c44790,0x25bd008a}},	//   _azio, nupu, pamo_, _ewwl_, 
   {{0x7ae24791,0xdbc700b0,0x799a007c,0x35a64792}},	//   ngot, _tööv, _hitw, _задг, 
   {{0x7bde0938,0x799a4793,0x00000000,0x00000000}},	//   hupu, _kitw, --, --, 
   {{0xa4d402fb,0x3f99007e,0x799a007b,0x6376003e}},	//   _рокі, _sisu_, _jitw, fáns, 
   {{0x799a4794,0x3ea933ad,0x7ae20364,0x3f994795}},	//   _mitw, tcat_, kgot, _pisu_, 
   {{0x799a4796,0x3f9900a4,0x69c10299,0x52153859}},	//   _litw, _qisu_, रीडी, _адит, 
   {{0x3ea94797,0x3f994798,0x637606a7,0xdef414c1}},	// [39b0] rcat_, _visu_, ránt, ыпты, 
   {{0xceeb00c5,0x3ea94799,0xfd61001b,0x3dc935b8}},	//   _کردن_, scat_, _huyế, rsaw_, 
   {{0x3f99479a,0x60c7123a,0x8c6735c2,0x9c190038}},	//   _tisu_, majm, хтад, بياء_, 
   {{0x5b243b35,0x60c7479b,0x799a0548,0x7f44479c}},	//   льча, lajm, _aitw, chiq, 
   {{0x6f1d0656,0x799a479d,0xd7f800d9,0x4a7400d3}},	//   _insc, _bitw, _apă_, лышт, 
   {{0x7ae201f1,0x799a0118,0x7bde0415,0xfd610108}},	//   agot, _citw, bupu, _luyế, 
   {{0xd9422c77,0x1866479e,0x63683063,0xdb1e373e}},	//   рещи, каши_, nınc, dspæ, 
   {{0xe6190013,0x6d57479f,0x78b802a5,0x60c70813}},	//   дди_, lixa, abvv, hajm, 
   {{0x7b6447a0,0xd7060088,0x64480187,0x3b640093}},	//   _стре, тные_, ezdi, _сърв, 
   {{0x2bd80a44,0x6f0d407e,0xdb050380,0x6368027e}},	//   _डिमा, hdac, sphä, kınc, 
   {{0x6f1d47a1,0x69cb47a2,0xdb052082,0x1422012d}},	//   _onsc, lsge, pphä, адэм, 
   {{0x69d90511,0xdd0200ca,0x63680585,0x6f0d30ba}},	//   orwe, _čuči, dınc, jdac, 
   {{0xad9b0183,0x673b47a3,0x799a0199,0xe809153d}},	//   _asúm, mkuj, _yitw, विका_, 
   {{0x6f1d02f2,0x69cb47a4,0x60c70707,0x672947a5}},	//   _ansc, isge, gajm, ljej, 
   {{0xe36600cf,0x69d901c4,0x7f440107,0x6d5701d6}},	//   _икки, hrwe, thiq, dixa, 
   {{0x973c03e5,0xd36f00eb,0x672947a6,0x66f90c64}},	//   _kuća, _وهو_, njej, ्यटक_, 
   {{0xdca647a7,0x63a30be0,0x7f44024a,0x8e7600a3}},	// [39c0] вази, _hunn, rhiq, тувч, 
   {{0x63a347a8,0x7bde47a9,0xc8e00586,0x6f1d01c8}},	//   _kunn, tupu, _नाइट, _ensc, 
   {{0x7c9647aa,0x40d90137,0x7f44026d,0x823600d6}},	//   трац, _אַרײ, phiq, _سرکا, 
   {{0x6b8947ab,0x799a47ac,0x673b47ad,0x63a347ae}},	//   _cheg, _sitw, jkuj, _munn, 
   {{0x7bde47af,0x6b89023e,0x8b650fdc,0x63a347b0}},	//   supu, _dheg, دالم, _lunn, 
   {{0x4973013d,0x7bde47b1,0x6d4501c4,0x7ae247b2}},	//   аліс, pupu, chha, sgot, 
   {{0x6b9b1fd3,0x69cb0876,0x63a30fae,0x27380096}},	//   _fiug, asge, _nunn, _héni_, 
   {{0x6b9b048a,0x60c701b4,0x799a0199,0xe3af0086}},	//   _giug, zajm, _witw, _কিংব, 
   {{0xe9a6048a,0xd3790062,0x25f4031e,0xe8ea0200}},	//   _разп, juća_, ्बधी_, _омад_, 
   {{0x6a84005e,0x973c4001,0xd379265d,0x637d47b3}},	//   _алға, _duća, duća_, méni, 
   {{0x291e47b4,0x63a30014,0x18a31cc1,0x290c47b5}},	//   _inta_, _cunn, _тахм, _iada_, 
   {{0xfd610029,0x63a347b6,0x54530093,0x2b460108}},	//   _quyế, _dunn, рвют, nhoc_, 
   {{0x290c03ef,0xd3790062,0x63a3016a,0xa5f80267}},	//   _kada_, guća_, _eunn, _челу_, 
   {{0x63a347b7,0xf8b405d2,0x290c47b8,0x63681305}},	//   _funn, ुरिय, _jada_, tınc, 
   {{0x63a347b9,0x290c47ba,0xfd610029,0x291e02cd}},	//   _gunn, _mada_, _tuyế, _mnta_, 
   {{0xf1a747bb,0x6f0d4210,0x88bc00bc,0xe3af20b4}},	//   _ирон, udac, _hněd, _برو_, 
   {{0x6f0d182e,0xc29902fb,0x291e47bc,0x5f94004f}},	// [39d0] rdac, _яких_, _onta_, ритт, 
   {{0x290c0b85,0x4fc734e7,0x50b747bd,0x6f0d00a1}},	//   _nada_, _исма, _अभिष, sdac, 
   {{0x290e0156,0x69c0008a,0x636806a2,0xd0110038}},	//   ddfa_, _awme, lına, _الج_, 
   {{0x41c400d6,0x69cb47be,0x6f1d06c7,0xcb1d0035}},	//   _حقیق, tsge, _unsc, फाइड_, 
   {{0x290c02ba,0x637d3e9d,0x61ef47bf,0x195947c0}},	//   _bada_, géni, ntcl, нады_, 
   {{0x69cb47c1,0xc4bd0086,0x291e0175,0x3209045a}},	//   rsge, _ইঞ্জ, _cnta_, _msay_, 
   {{0x60c547c2,0x6d550092,0xf7f50189,0xd37900ef}},	//   _mehm, _imza, استد, zuća_, 
   {{0x80dc00cc,0x60c547c3,0x291e47c4,0x63a347c5}},	//   ম্প্, _lehm, _enta_, _runn, 
   {{0x63a3357d,0x637d1f71,0x290c009f,0x672947c6}},	//   _sunn, céni, _fada_, rjej, 
   {{0x290c0bc3,0xc98747c7,0x60c502f2,0x63a347c8}},	//   _gada_, _руби, _nehm, _punn, 
   {{0x61ed0104,0x36d500d9,0x7e7d00fb,0x6566039f}},	//   _aqal, _боер, _lysp, ékha, 
   {{0xc65400d4,0x63a347c9,0x4425084c,0x3f4700c2}},	//   افیک, _vunn, rxl_, _jõud_, 
   {{0x973c00f1,0xf7700fdc,0x60c502fe,0x290c05b7}},	//   _kućn, _بال_, _behm, _yada_, 
   {{0x06e31215,0xa1160a5a,0x63a347ca,0x290c0065}},	//   _गाँव_, دوست, _tunn, _xada_, 
   {{0xd37947cb,0x33d5005e,0xa06747cc,0xd6d90083}},	//   suća_, _сілт, гара_, wiły_, 
   {{0x6d5547cd,0x2eb51b11,0x1c4600f0,0xff0700b3}},	//   _amza, исус, ңнам, леск_, 
   {{0x60c547ce,0x637d03da,0x332001f2,0xdb1e02ae}},	// [39e0] _fehm, xéni, _inix_, nspå, 
   {{0x6464012d,0x7e7d47cf,0xa9a60258,0x910602aa}},	//   štiš, _dysp, ҳидд, _спое, 
   {{0x06e347d0,0xdd8f00eb,0x9f5e010e,0xdb1e0080}},	//   _गांव_, أول_, ító_, yspä, 
   {{0x290c00f1,0xbda600d6,0x60c547d1,0xbae500dd}},	//   _sada_, _محسو, _zehm, ицій, 
   {{0x290c47d2,0x00000000,0x00000000,0x00000000}},	//   _pada_, --, --, --, 
   {{0xdca347d3,0x290c47d4,0x637d0212,0xed35049b}},	//   _гари, _qada_, réni, _кэсэ, 
   {{0x8c4647d5,0x290c47d6,0xb8cc00bd,0x637d1cf0}},	//   _севе, _vada_, _गल_, séni, 
   {{0x7d0e47d7,0x473447d8,0x290c47d9,0xbb431110}},	//   _habs, рнис, _wada_, _леск, 
   {{0xa3e60838,0x261102e6,0x660d00ef,0xe4c60080}},	//   यून_, तिषी_, _šakr, лённ, 
   {{0x291e47da,0x9f4c009e,0xa9760477,0x290c02a5}},	//   _unta_, îdê_, _субј, _uada_, 
   {{0x2498014e,0x60c547db,0xb9930038,0x3f800028}},	//   ärm_, _rehm, _اللب, kliu_, 
   {{0x92951b4b,0xdc3b0070,0x7d0e47dc,0x91820108}},	//   ианц, געטר, _labs, yễn_, 
   {{0x60c503f0,0x3636195e,0xc0580259,0x00000000}},	//   _pehm, _حراس, ңіс_, --, 
   {{0x973c090e,0x61ef1a0d,0x23a8009e,0xc6930225}},	//   _kućo, rtcl, _tûj_, _פאס_, 
   {{0xdfd80093,0xe81700c9,0x68f50241,0x7e7d0382}},	//   лът_, थिया_, _özde, _sysp, 
   {{0x7d0e0102,0x32090054,0x72d5186c,0x1fb43c40}},	//   _aabs, _tsay_, _тоиф, ссёр, 
   {{0x5d5547dd,0x6e990082,0x60c50216,0x61ed0104}},	// [39f0] акат, твар_, _tehm, _uqal, 
   {{0x7d0e0036,0x7ae947de,0x7e7d014b,0x00000000}},	//   _cabs, _scet, _vysp, --, 
   {{0x63ad0082,0x7e7d0035,0x3ea63ef8,0x81b70033}},	//   _čank, _wysp, žota_, _চটি_, 
   {{0xb17b014e,0x681c00b3,0x00000000,0x00000000}},	//   fråg, _mădă, --, --, 
   {{0x36de00a5,0x6f0f0036,0xfbd10299,0x2bd100c9}},	//   _गाड़ी_, _iacc, _हिकम, _हिका, 
   {{0x26c908b1,0x00000000,0x00000000,0x00000000}},	//   _žao_, --, --, --, 
   {{0xb17b0533,0xe7310038,0x6f0f47df,0xab95017b}},	//   mråd, قصة_, _kacc, _виві, 
   {{0x25a6016a,0xb17b0075,0xdb0702c9,0x6f0f43a5}},	//   _buol_, lråd, _stjæ, _jacc, 
   {{0x6f0f47e0,0x00000000,0x00000000,0x00000000}},	//   _macc, --, --, --, 
   {{0x5a3447e1,0x6f0f00fd,0x25a60102,0x394002b0}},	//   _унут, _lacc, _duol_, ëist_, 
   {{0xd46947e2,0x33663d33,0x6f0f02ae,0xc86702da}},	//   тине_, ивог, _oacc, _стаи, 
   {{0xa3ab051f,0xad9b0183,0x6f0f47e3,0x17f80038}},	//   _कंठ_, _crúz, _nacc, _حركة_, 
   {{0xf77047e4,0x6d8947e5,0xa3e609ec,0xb17b47e6}},	//   _عام_, _džaz, यूब_, kråd, 
   {{0xd3790062,0xe0460e65,0xa06a47e7,0xd1760f82}},	//   vrće_, анги, вага_, рымы, 
   {{0x1fb50769,0x6f0f47e8,0xd47900c7,0x0fd913f2}},	//   йстр, _bacc, _באַל, льты_, 
   {{0x6f0f0093,0x7d0e011d,0x33200d90,0x24a70528}},	//   _cacc, _sabs, _unix_, šumą_, 
   {{0x2a7f006d,0x6f0f2259,0xdcf50237,0xb17b2379}},	// [3a00] _nyub_, _dacc, _ekzč, rtår, 
   {{0x8cb647e9,0xb17b47ea,0xfe4400a3,0x3f8047eb}},	//   рсач, står, анғо, sliu_, 
   {{0x6f0f0141,0x6c4a0411,0x2a7f10fd,0xd3790097}},	//   _facc, خلاف_, _ayub_, srće_, 
   {{0x394547ec,0xa3e602f8,0x3dc202aa,0x00000000}},	//   _alls_, यंत_, _twkw_, --, 
   {{0x7d0e01a0,0x637d2af9,0xdca613e6,0x201a00ca}},	//   _tabs, mént, _ваги, _hrpi_, 
   {{0x6f0402ec,0x6f0f1e23,0xb4cf00bd,0xa3e6072d}},	//   leic, _zacc, षणो_, यूड_, 
   {{0x2a7f023e,0xed5747ed,0xe758004f,0x25a60036}},	//   _eyub_, _тор_, ликі_, _suol_, 
   {{0x394500d3,0x681c00b3,0x00000000,0x00000000}},	//   _ells_, _rădă, --, --, 
   {{0x48e647ee,0x758a0b49,0x00000000,0x00000000}},	//   _возв, ксов_, --, --, 
   {{0x98a301d7,0x236901b4,0x25a600fd,0x6b8247ef}},	//   _дифе, _sjaj_, _vuol_, llog, 
   {{0xd6c400d4,0x6b8247f0,0xf8b41898,0xc8b500f0}},	//   _همای, olog, ुरीप, _ысты, 
   {{0x6b8247f1,0x395c0bff,0x637d0574,0x00000000}},	//   nlog, livs_, jént, --, 
   {{0x6f0f47f2,0x05b40071,0x6b8247f3,0x6f0447f4}},	//   _racc, _امتح, ilog, deic, 
   {{0xd5fb0056,0x6f0f25f7,0x6722014b,0x63680213}},	//   _ספור, _sacc, _hnoj, lınl, 
   {{0x6f0f0093,0x201a0613,0x6b82012b,0x6f04007a}},	//   _pacc, _crpi_, klog, feic, 
   {{0xddc400ab,0xf8b4031e,0x637d47f5,0xc49b027a}},	//   dził, ुरुप, ténu, _בשות, 
   {{0x212100e7,0xb17b0430,0x7bde01d2,0x59d21230}},	// [3a10] _tnhh_, tråd, erpu, _सिगर, 
   {{0x6b8247f6,0x00000000,0x00000000,0x00000000}},	//   elog, --, --, --, 
   {{0x6f0f47f7,0x6b820156,0xb17b0075,0x6368027e}},	//   _tacc, flog, rråd, kınl, 
   {{0x637d40df,0xb17b0d17,0x59d50038,0x5ea60176}},	//   cént, sråd, مغتر, _гурҷ, 
   {{0x63680749,0xf8b40035,0x7bde47f8,0xde6400fd}},	//   dınl, ुरूप, arpu, _дърп, 
   {{0xdb07022b,0x186947f9,0x261a00bc,0xe778010e}},	//   _stjä, лали_, बिनी_, یلوں_, 
   {{0x98f41896,0x6d4747fa,0x1bd447fb,0xdb090380}},	//   تثنا, _ilja, _моря, _gieß, 
   {{0x6b8203dd,0x7d051780,0x2ee947fc,0x00000000}},	//   clog, lehs, ngaf_, --, 
   {{0x7afb02dc,0xe579088a,0x6d471c2b,0x8c450259}},	//   _ibut, лзи_, _klja, _теңе, 
   {{0x6f0402f2,0x672247fd,0x394503a1,0xa3c80586}},	//   zeic, _enoj, _ulls_, _लौह_, 
   {{0x6d470304,0x6f04018e,0x00000000,0x00000000}},	//   _mlja, yeic, --, --, 
   {{0x672206e0,0x6f040068,0x7d05011c,0x637d0096}},	//   _gnoj, xeic, hehs, déns, 
   {{0xb5a720b0,0xd77400eb,0x527647fe,0x7afb47ff}},	//   _трей, _بالع, суну, _mbut, 
   {{0x66094800,0x67220e24,0x6f040380,0x2bd84801}},	//   mwek, _znoj, weic, _डिला, 
   {{0x637d0a5e,0x6b8246bd,0x7afb4802,0x6f0400e0}},	//   tént, ylog, _obut, teic, 
   {{0x27ea055f,0x6609095a,0x26cd0054,0x00000000}},	//   _åbne_, owek, naeo_, --, 
   {{0x6f0402e7,0xf1d503dd,0x637d079a,0x63680785}},	// [3a20] reic, _мөрө, rént, nınm, 
   {{0x637d4803,0x7afb4804,0x6f040465,0xc7b80372}},	//   sént, _abut, seic, _hrđe_, 
   {{0x63680c05,0x0d990f82,0x61e64805,0x7afb02a5}},	//   yınl, ртты_, lukl, _bbut, 
   {{0xf09300a7,0x66093cbe,0x63680095,0xdb00009e}},	//   _מנת_, kwek, xınl, _zimê, 
   {{0xceb307f5,0x6b824806,0xb34703b7,0x61e64807}},	//   _מיר_, rlog, luçõ, nukl, 
   {{0xa7b84808,0xe91801fc,0x6609019b,0x7afb02a5}},	//   алку_, рокі_, dwek, _ebut, 
   {{0x6c36182b,0xd7fa022c,0x6d5e4809,0x395c0219}},	//   _افزا, уул_, mipa, rivs_, 
   {{0x6d5e37c5,0x3eb20183,0xa3e60fcf,0x61e6480a}},	//   lipa, ncyt_, यंस_, kukl, 
   {{0x61e6480b,0xfa6a00b3,0x3f4700c2,0x63680213}},	//   jukl, _саак_, _jõua_, rınl, 
   {{0x61e6480c,0xf8ac0366,0x636806a2,0x7afb0034}},	//   dukl, _चलिय, sınl, _zbut, 
   {{0x4395480d,0xa3ab0262,0x16160366,0x995b009e}},	//   жанс, _कूद_, तिहर_, lêş_, 
   {{0xdc9b0137,0x6d5e480e,0x2be00bb6,0x973c0b1d}},	//   טייל, hipa, _पटना, _mućk, 
   {{0x6d5e480f,0x98ac0e07,0x66e34810,0xf8ac3355}},	//   kipa, _चलाए, _хоча, _चलाय, 
   {{0x067b0137,0x6d5e4811,0xe3af13b4,0xdb000034}},	//   _ענגל, jipa, بری_, _bimë, 
   {{0x53351088,0x6d5e4812,0xd48f4813,0x657a4814}},	//   _мект, dipa, _хр_, moth, 
   {{0x3ceb4815,0x657a3e7d,0x7eb90141,0xbfa82c22}},	//   _चाहे_, loth, ргас_, стре_, 
   {{0x171b0137,0x6d4700f1,0x61e601f0,0x7d050095}},	// [3a30] נומע, _plja, cukl, tehs, 
   {{0x657a0465,0x628d4816,0x973c0082,0x4c4b0b24}},	//   noth, _izao, _bućk, ляем_, 
   {{0x443e4817,0xfbd000d4,0x7d054818,0xb34702aa}},	//   nyt_, فتن_, rehs, cuçõ, 
   {{0x657a103c,0xdb000118,0x7d050502,0x6d5e07a1}},	//   hoth, _jimè, sehs, aipa, 
   {{0xdd95004e,0x657a4819,0x443e481a,0x6d5e481b}},	//   _мамы, koth, hyt_, bipa, 
   {{0x7ff400c5,0x6d4725d0,0x6e201f6b,0x973c0242}},	//   _بسیا, _ulja, _ámba, _fućk, 
   {{0x61e6027e,0x443e0080,0x657a0656,0x00000000}},	//   zukl, jyt_, doth, --, 
   {{0x7afb099d,0x59c6000d,0x443e481c,0xe739481d}},	//   _ubut, रीहर, dyt_, реи_, 
   {{0xdb1c008c,0x05a60088,0x63aa01c4,0x657a481e}},	//   _evró, овый_, _aufn, foth, 
   {{0x61e6090e,0xd379003a,0x58d4481f,0x66094820}},	//   vukl, vrća_, _ноут, rwek, 
   {{0xf6d500dd,0xd8474821,0x66094822,0xe29f003e}},	//   _діля, _ухап, swek, veða_, 
   {{0xf7700084,0x61e64823,0x6d5e4824,0x27e701c5}},	//   _كان_, tukl, zipa, munn_, 
   {{0x657a07d7,0xdb0033ad,0xdb1e01e8,0x1539009c}},	//   both, _dimè, rspø, _پزشک_, 
   {{0x29074825,0x443e1151,0x31af07fa,0xa3e602e6}},	//   nena_, byt_, _düz_, यूह_, 
   {{0xa0a32bfd,0x61e64826,0x48fb031e,0x628d0300}},	//   дард, sukl, ल्यो_, _ezao, 
   {{0x77694827,0x29074828,0xb3470165,0x61e64829}},	//   nnex, hena_, ruçõ, pukl, 
   {{0x2907482a,0x0e664494,0x98a50083,0x00000000}},	// [3a40] kena_, цкан, _wolę_, --, 
   {{0x63a4007e,0xf1b900bc,0x98ac020f,0x320d0241}},	//   _hiin, íše_, _modă_, çeye_, 
   {{0x6d5e2b84,0x63a4151d,0x3ea61cb8,0xbc6a0019}},	//   ripa, _kiin, _минг, جمان_, 
   {{0x6d5e482b,0x31af0540,0x657a17e5,0x7c3e040b}},	//   sipa, _yüz_, zoth, rypr, 
   {{0x63a4482c,0xdb00482d,0x6d5e3c5f,0x657a2b03}},	//   _miin, _jimé, pipa, yoth, 
   {{0x63a414b9,0xceb400ad,0x27e700fc,0x6d5e021e}},	//   _liin, lcə_, funn_, qipa, 
   {{0x98be00d9,0xa7fc00ad,0x2731010e,0xdc670240}},	//   _altă_, _axır, _hány_, _дард_, 
   {{0x442008d7,0x63a4482e,0x96340849,0x973c0062}},	//   _či_, _niin, зниц, _kući, 
   {{0x550611c5,0x62840065,0xc9661b8e,0xa3cc059e}},	//   очна, _nyio, _двай, शीन_, 
   {{0x6376482f,0x443e4830,0xb6030032,0x88bc00bc}},	//   mány, tyt_, úšaj, _zněn, 
   {{0xd6cf4831,0xad1b00c7,0xceb40095,0x777b0068}},	//   _от_, בויר, kcə_, boux, 
   {{0x74ba0509,0x657a0194,0x443e4832,0x63b5253f}},	//   _श्रृ, soth, ryt_, ízna, 
   {{0xd3790613,0x657a4833,0xdb9b035c,0x443e4834}},	//   nući_, poth, יסטר, syt_, 
   {{0x657a0026,0x443e4835,0x660203a0,0x63b800e7}},	//   qoth, pyt_, _ipok, _ttvn, 
   {{0x63a40012,0xb4d6000c,0x40354836,0x6376010e}},	//   _fiin, िणी_, чевс, hány, 
   {{0x3cfd000d,0x29074837,0xd3790112,0x63a41272}},	//   र्ने_, zena_, kući_, _giin, 
   {{0xd37903ef,0x29074838,0xdb004839,0x764003c6}},	// [3a50] jući_, yena_, _gimé, nymy, 
   {{0xd37902f5,0x29071286,0x7f4d483a,0x66020548}},	//   dući_, xena_, shaq, _mpok, 
   {{0x4ab9483b,0x764000f8,0xd7a90035,0x92ad0033}},	//   буля_, hymy, _चूंच, গরী_, 
   {{0x6d5c439f,0xa3cc0663,0x2907483c,0x6602483d}},	//   _emra, शीय_, wena_, _opok, 
   {{0xd37904d1,0x776900e2,0xdb00001d,0x6376010e}},	//   gući_, vnex, _ximé, gány, 
   {{0xe817483e,0x00000000,0x00000000,0x00000000}},	//   थिला_, --, --, --, 
   {{0x2907483f,0x6d454840,0x684511e6,0xe7390259}},	//   rena_, mkha, янка, йек_, 
   {{0x6d454841,0x27e74842,0x3f57003d,0x6d5c0098}},	//   lkha, runn_, għux_, _zmra, 
   {{0x29074843,0x77694844,0x63a44845,0x764003c6}},	//   pena_, rnex, _riin, gymy, 
   {{0x6d450727,0x63a44846,0x682700d9,0x69c902a5}},	//   nkha, _siin, _мьез, _iwee, 
   {{0xa3e60a44,0xdb004847,0x66024848,0x62840065}},	//   यूल_, _simé, _epok, _syio, 
   {{0xd87404bc,0x69c94849,0xd7fa00d1,0x00000000}},	//   _غالب, _kwee, _להעל, --, 
   {{0x63a4484a,0x69c902a5,0x6d450664,0x00000000}},	//   _viin, _jwee, kkha, --, 
   {{0x25bf484b,0xd1320019,0xc7b80372,0x55ba00d1}},	//   mpul_, رمز_, _hrđa_, _המסו, 
   {{0x6561484c,0x6023484d,0x3d0f0035,0x63a4484e}},	//   milh, ндра, ड़ने_, _tiin, 
   {{0x0eaa0904,0x6aa902a2,0x4f95286c,0x6d451797}},	//   скай_, _ngef, друу, ekha, 
   {{0xdb000218,0x6d5c0065,0xc7b80097,0x248e0082}},	// [3a60] _bimî, _pmra, _mrđa_, _zzfm_, 
   {{0xd3790062,0x65610165,0x6aa9484f,0x98ac0009}},	//   vući_, nilh, _agef, _kodą_, 
   {{0x31570138,0x644102bf,0xdb000218,0x913b00d1}},	//   _זיין_, nyli, _dimî, _העיק, 
   {{0x6da64850,0x6e200042,0x6d4517c3,0xeb974851}},	//   _нима, _ámbo, akha, пих_, 
   {{0xf38d0147,0x00000000,0x00000000,0x00000000}},	//   בראָ, --, --, --, 
   {{0x6d5c4852,0xd37900d2,0x69c90626,0x6376010e}},	//   _umra, rući_, _dwee, rány, 
   {{0x65614853,0x06e30086,0x660211b4,0x69c901a3}},	//   dilh, _মসজি, _spok, _ewee, 
   {{0xf1be0df2,0xddc401dd,0x85b84854,0x45b81279}},	//   ्ठान, rziņ, олис_, огию_, 
   {{0x7538220b,0xeb9707a4,0xbebb064e,0x69c94855}},	//   _povz, _хит_, _poëz, _gwee, 
   {{0x73d84856,0x2c00007e,0xdb0700fc,0x661d0566}},	//   одор_, _ईहां_, _stjø, æska, 
   {{0x7640030f,0x69c901c8,0x046639de,0xa2be009a}},	//   symy, _zwee, ятим, _व्ह्, 
   {{0xc7b3042c,0x6d4b01dd,0x394c007a,0xaacc00ae}},	//   _טבע_, īgai, _hlds_, ारिक, 
   {{0x7afd4857,0x66024858,0xf8d03267,0xf1bf00d8}},	//   _öste, _upok, _सजाय, upá_, 
   {{0x3f824859,0xad9b033c,0x61e0010e,0x92ad0033}},	//   _akku_, _apún, ámla, গরে_, 
   {{0x6441485a,0x7d1502ee,0x34fb00d1,0x4acc009a}},	//   cyli, _razs, _ההוד, ाराव, 
   {{0x35d10262,0x8f343cd2,0x9f344013,0xa3e60083}},	//   _दौड़, несц, несі, यूः_, 
   {{0x6d451de6,0xc434006b,0x02c3153d,0x00000000}},	// [3a70] tkha, _رکھت, _व्यभ, --, 
   {{0x9d14485b,0x0cab01a2,0x00000000,0x00000000}},	//   ндуч, стаи_, --, --, 
   {{0x661b17a2,0x69c9485c,0x69ca2414,0x9f4302d9}},	//   zvuk, _swee, सीसी, lují_, 
   {{0x6d45485d,0x7fd6042c,0xd5dd034d,0x395e485e}},	//   skha, _קורס_, _मिलज, _amts_, 
   {{0x63760183,0xe9d8012d,0x7ae4397a,0x6441485f}},	//   ránx, зкі_, óita, zyli, 
   {{0x3f890156,0x67394860,0xc7b80a1a,0x7ac400f0}},	//   llau_, _sowj, _srđa_, _үсте, 
   {{0x656102a0,0x3f890156,0x9f4300bc,0x2d830034}},	//   vilh, olau_, hují_, _ikje_, 
   {{0x69c93c99,0xf094035c,0xeab00038,0xec34017b}},	//   _twee, ענק_, _معك_, _янсь, 
   {{0x50bf000f,0xa8a7005e,0xd379265d,0x65614861}},	//   ्राष, _ерек, nuću_, tilh, 
   {{0x25bf4862,0x044508d1,0x9f4300bc,0x3f894863}},	//   rpul_, деон, dují_, hlau_, 
   {{0x65614853,0xa2e602c0,0xb17b02ae,0x3f890339}},	//   rilh, монд, trån, klau_, 
   {{0x8c1a00a7,0x3cfd00a2,0x6561019c,0xd379090e}},	//   קורי, र्ते_, silh, kuću_, 
   {{0xd3790112,0xa3b2000f,0x7e690352,0xe5e6009c}},	//   juću_, _झूठ_, _žepn, _قزوی, 
   {{0x59e000a2,0x320d010c,0x2242004f,0x26cf01f1}},	//   _निसर, çeya_, rykk_, _hego_, 
   {{0x21a341a9,0xb4e9215e,0x3075022d,0x71a328c1}},	//   тирм, यली_, еутс, тарз, 
   {{0x60c10e7b,0x26cf006a,0xdb070369,0x9f4300bc}},	//   ılma, _jego_, _bují, bují_, 
   {{0xd1ba298e,0xd379090e,0x2fcd0b43,0x88bc00bc}},	// [3a80] _بابا_, guću_, ćega_, _sněm, 
   {{0x626402f1,0x3eb9008c,0x00000000,0x00000000}},	//   _овқа, _efst_, --, --, 
   {{0x409602f1,0x3f890dbc,0x201c010e,0xfb82010e}},	//   _юрит, blau_, _évi_, نگری, 
   {{0x26cf02f5,0x0b464864,0x394c0369,0x6e291fe0}},	//   _nego_, ьнен, _slds_, _šebe, 
   {{0x3dcb03c6,0x00000000,0x00000000,0x00000000}},	//   _gwcw_, --, --, --, 
   {{0xe8944865,0xc9831761,0x4acc00c9,0xdb0e021e}},	//   наль, кущи, ारहव, _kubë, 
   {{0x9f4300bc,0x26cf4866,0xb9061126,0x59e0176c}},	//   zují_, _bego_, _भय_, _निवर, 
   {{0x26cf0587,0x261a00c2,0xa6144867,0x628800ad}},	//   _cego_, बिली_, емич, ədov, 
   {{0xe9d73346,0x6a834868,0xe4e6004f,0x00000000}},	//   _окт_, _алта, мінн, --, 
   {{0x26cf02a5,0x4a5700a7,0x69c21a77,0x5692004e}},	//   _eego_, _חשמל_, mpoe, нақт, 
   {{0xdb004869,0x973c0308,0x61e6486a,0x3f8900f8}},	//   _limí, _suću, erkl, ylau_, 
   {{0xf6d61fdb,0x26cf00ca,0x25af43a0,0xe6661d91}},	//   _آزاد, _gego_, _fugl_, _отло, 
   {{0x51871112,0x25af0df4,0xa2db0fcf,0x69c2123b}},	//   дува, _gugl_, पृष्, npoe, 
   {{0x9f4302d9,0x3015011f,0x7e690144,0x00000000}},	//   rují_, ндгр, _žepo, --, 
   {{0x1fa7486b,0xdb000534,0x26cf0610,0x7414007a}},	//   драг, _aimí, _yego_, _أوبا, 
   {{0x2bd80838,0x5f94486c,0x9f580cd7,0x2d83004f}},	//   _डिजा, вист, ntrè_, _skje_, 
   {{0x2005031e,0xd2520019,0x88bc00bc,0x11d90038}},	// [3a90] ůli_, _منٹ_, _vněj, _عودة_, 
   {{0x3015418c,0x9f4a02a3,0x4d98021d,0x00000000}},	//   _здор, hubè_, дкую_, --, 
   {{0xd379443c,0x99490228,0x2b4d486d,0x69c2486e}},	//   suću_, núť_, _plec_, epoe, 
   {{0x309a0056,0x6d4e486f,0xceeb009c,0xd3790242}},	//   _משתמ, _elba, _بردن_, puću_, 
   {{0x26cf4870,0x9f5a003e,0x6f0d4871,0x6eba07e4}},	//   _rego_, _uppá_, meac, _מזרח, 
   {{0x6f0d0a9a,0xdd9800f0,0x681300ad,0xdb0e01e5}},	//   leac, _жшс_, _hədə, _lubè, 
   {{0x26cf0e43,0x2d810415,0x7c844872,0x68130248}},	//   _pego_, mohe_, _ауте, _kədə, 
   {{0x6f0d4873,0xac94134f,0x2d814874,0x00000000}},	//   neac, _расш, lohe_, --, 
   {{0x681306d0,0x6abb0026,0xd4f50cfe,0xb17b1950}},	//   _mədə, _ifuf, няны, trål, 
   {{0xe00f1204,0x6f0d11a1,0x26cf00e2,0x60d50571}},	//   ाबाद_, heac, _wego_, jazm, 
   {{0x26cf0da6,0x6368027e,0x78ac014b,0x69d934c7}},	//   _tego_, kınt, ňové, lswe, 
   {{0x81d70086,0x06750cfe,0x681300ad,0x59c61f30}},	//   _সহজ_, _пуля, _nədə, रीकर, 
   {{0x6f0d355f,0x69d94875,0x15f30035,0x25a70054}},	//   deac, nswe, _आमिर_, _tinl_, 
   {{0x69d94876,0x463a0070,0x61e60844,0x00000000}},	//   iswe, _מענע, rrkl, --, 
   {{0xf1dc0838,0x6f0d00eb,0x681300ad,0xf8b20070}},	//   _बिकन, feac, _bədə, רשל_, 
   {{0x6f0d4877,0xd25203b1,0x6fe100b0,0xa3c80d53}},	//   geac, _منع_, _फिरं, _लौट_, 
   {{0x9f584878,0xdb000165,0x3f80020f,0x00000000}},	// [3aa0] ntré_, _limã, roiu_, --, 
   {{0x69d9437e,0xa3e300a5,0x60d54879,0x98a50237}},	//   dswe, _फटा_, cazm, _anlč_, 
   {{0xdd8f1d38,0xd91000d4,0xc17300a7,0x69d90326}},	//   حول_, ییر_, _תחת_, eswe, 
   {{0x6f0d00a0,0x3ce6487a,0x69d903fc,0x00000000}},	//   ceac, şov_, fswe, --, 
   {{0xdcfc01dd,0x05d4009a,0x2d81487b,0x69d9487c}},	//   _ekrā, _धबधब, bohe_, gswe, 
   {{0x69c2487d,0x6abb052b,0x48fb0cb8,0x672b487e}},	//   rpoe, _efuf, ल्लो_, _angj, 
   {{0x2d9802ec,0x69c21b26,0x69d90326,0x6abb02a5}},	//   _ihre_, spoe, aswe, _ffuf, 
   {{0xa84700eb,0xe5c603dd,0x3ea601dd,0x9f58003e}},	//   عليم_, нсоо, žotu_, ftré_, 
   {{0x3cfd047c,0x6b823251,0xdb0e33ad,0xdb0000a1}},	//   र्वे_, moog, _rubè, _iimà, 
   {{0x6b820077,0x672b2f88,0xdb00022c,0xa96715d3}},	//   loog, _engj, _himà, _зиуа_, 
   {{0xd49802fb,0xdb1c001d,0x6f0d0548,0x35f700d7}},	//   ької_, _atré, yeac, ورید_, 
   {{0x290e487f,0x88bc00bc,0xd5ba00d9,0xd251010e}},	//   lefa_, _sněh, _еск_, لنج_, 
   {{0xf20402f3,0x60d500ef,0x6cf002e6,0xd46a347e}},	//   ляро, tazm, _चांग_, تحکم_, 
   {{0x6b824880,0x290e05f0,0x291c4881,0xdb1c00e1}},	//   hoog, nefa_, ndva_, _dtré, 
   {{0x6f0d1049,0xdb070369,0x60d54882,0x746700fd}},	//   teac, _lujá, razm, _пръв_, 
   {{0x681306d0,0x290e0489,0x6b821fa3,0x69c00f23}},	//   _qədə, hefa_, joog, _otme, 
   {{0x62354883,0x6f0d4884,0xf1a74885,0x7bdc01f0}},	// [3ab0] _репу, reac, _прон, _avru, 
   {{0x6f0d4873,0x4ea40bf8,0x32090104,0x00000000}},	//   seac, урса, _ipay_, --, 
   {{0x41b7000f,0x290e0379,0x2fd900eb,0x69c04886}},	//   _इंडस, defa_, _توجد_, _atme, 
   {{0x69d90194,0xeab00133,0xdb07069a,0x6b824887}},	//   tswe, معه_, _bujá, goog, 
   {{0xdb07010d,0xc9de009e,0x61fd4888,0xdb004889}},	//   _stjó, _şêrî, ntsl, _dimà, 
   {{0xceb40264,0xfbd30133,0x69d9083c,0x3ceb109f}},	//   ndən_, _متر_, rswe, _चाटे_, 
   {{0x69c00c05,0x3a240065,0x6b820fea,0xac94488a}},	//   _etme, _ermp_, boog, _барш, 
   {{0x7bc5488b,0x6abb0548,0x7c3a488c,0x61fd0bff}},	//   mphu, _ufuf, _àtra, ktsl, 
   {{0x65f800b9,0x7bc5271e,0x490303dd,0xceb40095}},	//   нээр_, lphu, _бүлг, kdən_, 
   {{0x637d006b,0xdb0e050c,0x64a51716,0xdb0002aa}},	//   mény, _rubé, капа, _timã, 
   {{0x9f58488d,0xdb1c0175,0x29050036,0x7983011d}},	//   stré_, _stré, _ibla_, monw, 
   {{0x069900eb,0x61fd488e,0x3fc80019,0x672b488f}},	//   _قناة_, ftsl, ہدری_, _ungj, 
   {{0xe2974890,0x20d600dd,0xceb400ad,0x52754891}},	//   каю_, ківс, fdən_, гуру, 
   {{0x6e204892,0xb464004e,0xf8d11615,0xdb09040b}},	//   _ámbi, _өкіл, हरिय, _bieë, 
   {{0x29050054,0x61fd11da,0x998f0028,0x00000000}},	//   _mbla_, atsl, lygų_, --, 
   {{0xa3e60a34,0xdb0e001d,0x290e15ff,0xdb09040b}},	//   _पित_, _tubé, zefa_, _dieë, 
   {{0xfe4308de,0x2738010e,0xceb400ad,0x29050118}},	// [3ac0] анто, _pénz_, bdən_, _obla_, 
   {{0x64450077,0x302a0161,0x63ae0038,0xf29700d1}},	//   _ühis, _жооп_, _úiné, _בכפר_, 
   {{0x6b824893,0x69c001f2,0x00000000,0x00000000}},	//   toog, _stme, --, --, 
   {{0xb4ae00a5,0xa3e64261,0x27384894,0x1b9a0038}},	//   _कल्_, यूट_, _fény_, ذئاب_, 
   {{0x6b821d53,0x637d010e,0x79830156,0x290e4895}},	//   roog, gény, fonw, tefa_, 
   {{0x7bc537e4,0xf8064896,0x3ea60243,0x00000000}},	//   bphu, вчин, žots_, --, 
   {{0x9d1b00c7,0x290e4897,0x7d1c0038,0xd7fa0ddd}},	//   _קולט, refa_, _iars, фул_, 
   {{0xe7e30262,0x290e4898,0xbb432067,0xceb40095}},	//   _गिरा_, sefa_, _кеск, zdən_, 
   {{0x7d1c2df4,0x68ed0019,0xbb4304c4,0x69c0017b}},	//   _kars, ándé, _тетк, _utme, 
   {{0xf1dc456f,0xdcfe0613,0x7e690121,0x7d1c0aa8}},	//   _बिजन, kopč, _žepk, _jars, 
   {{0x29550093,0xe2f946a6,0xae1900aa,0x26174899}},	//   _сътр, нені_, _नैनन_, _बैठी_, 
   {{0x7d1c0cac,0x61fd05a7,0x7bdb00a7,0x6fdc034d}},	//   _lars, ttsl, וקטו, _फिजू, 
   {{0x7d1c01f1,0xa3e62956,0xceb40095,0x00000000}},	//   _oars, यूज_, tdən_, --, 
   {{0x7d1c489a,0x70bf0239,0x61ef044e,0xa2c50033}},	//   _nars, ्रेल, rucl, ্লেখ, 
   {{0xceb406d0,0xd37b14ec,0x224d1a17,0xdfd80141}},	//   rdən_, _очи_, šek_, кът_, 
   {{0xd43700a7,0x6568489b,0x3eaf0f95,0x7d1c489c}},	//   _ירוק_, lidh, øgt_, _aars, 
   {{0xe3b800ad,0x680a00ad,0x60c2020f,0x6448011f}},	// [3ad0] lqı_, _hədd, _şome, lydi, 
   {{0x7d1c489d,0xbebb01ee,0x2b8e0076,0x63ad05f0}},	//   _cars, _anët, lých_, _hian, 
   {{0x7d1c489e,0x6ca70aa3,0x2ca7489f,0x63ad48a0}},	//   _dars, траж, änd_, _kian, 
   {{0x2b8e08fc,0x7d1c01be,0x656848a1,0x9f3548a2}},	//   ných_, _ears, hidh, _семі, 
   {{0x7d1c48a3,0x63ad48a4,0xe1ff1044,0x64480156}},	//   _fars, _mian, ntó_, hydi, 
   {{0x63ad48a5,0x7d1c48a6,0x656800e5,0x2b8e026e}},	//   _lian, _gars, jidh, hých_, 
   {{0x2b8e0c7f,0xccf20056,0xb8cb153d,0x6f1d3d6f}},	//   kých_, _לכם_, _गण_, _kasc, 
   {{0xe6192675,0x63ad48a7,0x442948a8,0x656802b0}},	//   еди_, _nian, _ča_, eidh, 
   {{0x2b8e014b,0x6b9b48a9,0xe1ff010e,0x656848aa}},	//   dých_, _ihug, jtó_, fidh, 
   {{0x6f1d48ab,0x28ac000d,0xc98448ac,0x63ad00c2}},	//   _lasc, _चलचि, _кухи, _aian, 
   {{0x63ad48ad,0x2d4402ae,0x628d018e,0x645a0028}},	//   _bian, _köer_, _ayao, gzti, 
   {{0x6f1d48ae,0xc7b200a7,0x63ad48af,0x18a4004f}},	//   _nasc, _הבא_, _cian, _таєм, 
   {{0x63ad281e,0x65680010,0x6b890026,0xbbe00c46}},	//   _dian, bidh, _mkeg, _पट्क, 
   {{0x660b0065,0xe00f02e6,0x6b890026,0xf8c60d1d}},	//   _ipgk, ाबंद_, _lkeg, रुपय, 
   {{0xdee6122b,0x63ad48b0,0x1fb548b1,0x442148b2}},	//   лови, _fian, истр, _éh_, 
   {{0x63ad48b3,0xe29a48b4,0xd6d90035,0x6d4300c8}},	//   _gian, _пай_, nał_, önan, 
   {{0x7d1c48b5,0xe1ff05b9,0xdd920071,0x764948b6}},	// [3ae0] _pars, ctó_, مور_, nyey, 
   {{0xdca63af7,0x442748b7,0x7d1c00cf,0x6f1d1197}},	//   гази, _krn_, _qars, _easc, 
   {{0x0aea3288,0x6f1d0df7,0x504600f0,0xd6d90083}},	//   едей_, _fasc, _сенб, kał_, 
   {{0x7d1c48b8,0x6b9b00eb,0x7afd0f03,0xb6050604}},	//   _wars, _chug, _östl, _kašč, 
   {{0x298a1a9e,0x673b0ca5,0x6b9b01e5,0xa96a02c0}},	//   нско_, djuj, _dhug, нида_, 
   {{0xc27b00c7,0xb605008b,0xb17b1bde,0x6f1d149a}},	//   ערסי, _mašč, rsåg, _zasc, 
   {{0xd5b7005e,0x8b9638f2,0x6e2402a3,0xb6050144}},	//   қсы_, _брач, lvib, _lašč, 
   {{0xdb0e253f,0x6a8400f0,0x6b9b00a1,0xfaa648b9}},	//   _kubí, _ұлға, _ghug, _бабо, 
   {{0x2b8e0c7f,0x63ad48ba,0x644848bb,0x6e240876}},	//   vých_, _rian, wydi, nvib, 
   {{0xa9a635e4,0x7bde0065,0x64482f1d,0xe3b800ad}},	//   _сизд, ospu, tydi, tqı_, 
   {{0x656848bc,0x337548bd,0x2b8e0076,0x291e00d9}},	//   ridh, игор, tých_, _iata_, 
   {{0x291e48be,0xb605053d,0xd49748bf,0x76490199}},	//   _hata_, _bašč, ыры_, byey, 
   {{0x291e48c0,0x2b8e0076,0x645a006b,0x63ad48c1}},	//   _kata_, rých_, szti, _vian, 
   {{0xd379090e,0xe1ff48c2,0xe69300eb,0x6f1d02eb}},	//   vrću_, rtó_, _الهد, _sasc, 
   {{0x291e48c3,0x63ad05f0,0xe1ff48c4,0x6f040ef5}},	//   _mata_, _tian, stó_, ffic, 
   {{0x2f1815dd,0x7bde03a9,0x291e48c5,0xe1ff04b3}},	//   лось_, dspu, _lata_, ptó_, 
   {{0xdb0e0126,0x59e00e07,0x7bde36f3,0x628d018e}},	// [3af0] _cubí, _निगर, espu, _uyao, 
   {{0x291e48c6,0x6b9b219f,0x6f04318d,0x6f1d01c4}},	//   _nata_, _shug, afic, _wasc, 
   {{0xb60511c8,0xc17400a7,0x6f1d48c7,0xe8140f6f}},	//   _zašč, _לחץ_, _tasc, _थैला_, 
   {{0xfbd000c5,0x4c940080,0x291e00bd,0x2ef948c8}},	//   ستم_, щихс, _aata_, _ucsf_, 
   {{0x291e48c9,0x00000000,0x00000000,0x00000000}},	//   _bata_, --, --, --, 
   {{0x684500cf,0xd6d9006a,0x18690dd9,0xed51006b}},	//   инла, wał_, кали_, _بھر_, 
   {{0x6b9b0a9a,0x291e48ca,0x8835011f,0x60d70508}},	//   _thug, _data_, рэлц, _mexm, 
   {{0x5ba43f2d,0x25ae01be,0x6b9b48cb,0x6b890027}},	//   _груз, _aifl_, _uhug, _ukeg, 
   {{0x291e0012,0xdb0e0183,0x44270bbd,0xd6d90083}},	//   _fata_, _xubí, _srn_, rał_, 
   {{0x05652423,0x291e48cc,0xd6d900ab,0xb605034c}},	//   рвон, _gata_, sał_, _rašč, 
   {{0x281500d4,0x00000000,0x00000000,0x00000000}},	//   _خواس, --, --, --, 
   {{0xe81b000f,0x25ee009a,0x638648cd,0x291e0ad9}},	//   _भैया_, _आमची_, ргма, _zata_, 
   {{0x291e0c36,0x26cd001d,0x4427016a,0xeb3a0070}},	//   _yata_, mbeo_, _wrn_, דערש, 
   {{0x64a548ce,0x4427032f,0xdb15024a,0x3c0500a5}},	//   _кала, _trn_, _buzë, _रहूँ_, 
   {{0xa0a648cf,0x442748d0,0xdb1c003e,0xdb0e033c}},	//   равд, _urn_, _strí, _subí, 
   {{0x6d5542e0,0xcc36006b,0xb6050352,0x6e24339d}},	//   _alza, یراع, _tašč, tvib, 
   {{0x6f041684,0x2baf051f,0x3dc90102,0x21ff0218}},	// [3b00] rfic, _जंजा, gpaw_, cîh_, 
   {{0x6f04121d,0x6e24001d,0x7bde48d1,0x7afb48d2}},	//   sfic, rvib, tspu, _acut, 
   {{0x161c0262,0x3dc907fc,0x516703a1,0x6f0400b9}},	//   _बैनर_, apaw_, _түрү_, pfic, 
   {{0x291e02f5,0x60dc48d3,0x7bde48d4,0xdb0e0183}},	//   _sata_, larm, rspu, _tubí, 
   {{0xda6321a8,0x32020098,0x7bde0382,0x00000000}},	//   овци, ntky_, sspu, --, 
   {{0x60dc48d5,0x3f921f87,0x291e48d6,0x07e648d7}},	//   narm, llyu_, _qata_, ацим, 
   {{0x291e48d8,0xb8de3e41,0xa8a30093,0xeaba0240}},	//   _vata_, _इल_, орък, _айб_, 
   {{0xab7400d4,0x36d402a6,0xdb07003e,0x47340a10}},	//   _انرژ, љопр, _stjö, снис, 
   {{0x291e2e9a,0x60dc48d9,0x00000000,0x00000000}},	//   _tata_, karm, --, --, 
   {{0x60dc48da,0xe4a648db,0x95380165,0x00000000}},	//   jarm, ирно, узот_, --, 
   {{0x60dc48dc,0x332000d3,0xd49a48dd,0x3cfe1d11}},	//   darm, _baix_, ъри_, _लाने_, 
   {{0x680a06d0,0x3d06156c,0x349448de,0x60d7010c}},	//   _tədb, स्ते_, _қайр, _sexm, 
   {{0x60c2020f,0xdb0e00b9,0x98be0118,0x00000000}},	//   _şoma, _mubà, _lotč_, --, 
   {{0x224b014e,0xa18700e4,0x32d50108,0x518748df}},	//   ryck_, рымл, ấy_, рума, 
   {{0x320223f2,0x656f0212,0x21ff0216,0x657d010e}},	//   atky_, èche, sîh_, éshe, 
   {{0x9f430032,0x64470080,0x09d70033,0xa85700d1}},	//   lujú_, äjie, _সমসা, בילה_, 
   {{0x236906df,0x60dc0a9f,0x5d5500d9,0x60d748e0}},	// [3b10] _imaj_, barm, бкат, _texm, 
   {{0x60dc48e1,0x7afb00d9,0x9f430032,0x91a00108}},	//   carm, _scut, nujú_, _trí_, 
   {{0x92d90086,0x63b80027,0x98bc02d9,0x3cfd48e2}},	//   ালী_, _juvn, skvě_, र्गे_, 
   {{0x9f430228,0x5a3500f0,0x98be0237,0x09ce0033}},	//   hujú_, йнет, _dotč_, _রমজা, 
   {{0x0dcb00a3,0x9f430032,0x600c039f,0xe9f8017b}},	//   _шуни_, kujú_, _tömö, инці_, 
   {{0xe8f846a6,0xdcfc0083,0x2bd9015f,0xe9870267}},	//   илі_, _okrę, _مارک_, шћен, 
   {{0xfbab48e3,0x315800d1,0x9f430032,0x9f580126}},	//   _атай_, שיון_, dujú_, ltrá_, 
   {{0x32020098,0x00000000,0x00000000,0x00000000}},	//   ytky_, --, --, --, 
   {{0xd4d90100,0x60dc48e4,0x80dd0086,0x9f5848e5}},	//   льні_, yarm, _বান্, ntrá_, 
   {{0x2121016a,0x453516f4,0x60dc00ad,0x451901d8}},	//   _nahh_, схит, xarm, уция_, 
   {{0xb8950084,0x60dc48e6,0x2b9c031e,0xdb00009e}},	//   _الاع, varm, síce_, _nimû, 
   {{0x60dc48e7,0x212148e8,0x63b80613,0xdb0e2c26}},	//   warm, _aahh_, _duvn, _kubá, 
   {{0x9f430228,0xa5093da6,0xdb1c0035,0x65c52c54}},	//   bujú_, _бела_, _zwró, _убла, 
   {{0x3202014b,0xd176013e,0x9f430032,0x846a0259}},	//   rtky_, сымы, cujú_, _өзің_, 
   {{0x3202026e,0x212102cd,0x03a608bd,0x63b801f2}},	//   stky_, _dahh_, _лико, _guvn, 
   {{0x394507fc,0xdb1c0098,0x249848e9,0x00000000}},	//   _lols_, _otrá, ürme_, --, 
   {{0xf1bf039f,0x7bc70028,0x00000000,0x00000000}},	// [3b20] lván_, _atju, --, --, 
   {{0x2369044e,0x60dc02f1,0xf1b50299,0xdb1c01fd}},	//   _zmaj_, qarm, ंदरन, _strà, 
   {{0xdb1c48ea,0x61e41b37,0x3f6a0f5a,0xbc6a009c}},	//   _atrá, _hvil, _бино_, دمان_, 
   {{0x9f430228,0xa3cc0d2e,0xd1044437,0x7bc300f6}},	//   zujú_, शीट_, श्रण_, ínua, 
   {{0x212100f4,0x394540cb,0x98be05d5,0x00000000}},	//   _yahh_, _bols_, _wotč_, --, 
   {{0x39453216,0x6f160065,0x636f05d5,0xdb1c007a}},	//   _cols_, leyc, _kònè, _dtrá, 
   {{0xa3f2100b,0x3d1400b0,0x9f430228,0x394548eb}},	//   _জন্য_, ड़ीं_, vujú_, _dols_, 
   {{0xb8ef010b,0x61e41070,0x3c63021d,0x00000000}},	//   _व्_, _ovil, _эксг, --, 
   {{0x9f43020b,0x63b801ff,0xdcfc0083,0x00000000}},	//   tujú_, _suvn, _skrę, --, 
   {{0xb9960084,0xa3b92c8a,0x394548ec,0xc7b80242}},	//   _الطب, _अंश_, _gols_, _srđu_, 
   {{0x61e448ed,0xdb150218,0xdb1c00bc,0x9f430032}},	//   _avil, _muzî, _ztrá, rujú_, 
   {{0x04630cfe,0x9f43020b,0x00000000,0x00000000}},	//   ятым, sujú_, --, --, 
   {{0xc6960019,0x926b41a2,0x9f430032,0xd70700d9}},	//   _اشاع, урна_, pujú_, _ынце_, 
   {{0x92d90086,0xd258012d,0x602302d9,0x00000000}},	//   ালে_, сцю_, jímá, --, 
   {{0xf48400c5,0x51870f5a,0xc8cf02e6,0x656a0534}},	//   _باشی, _ҳуна, _स्फट, _imfh, 
   {{0xe7f00f8e,0x2121105b,0x3d06241a,0x67220379}},	//   _घटना_, _wahh_, स्से_, _jaoj, 
   {{0x93bc00b3,0x518701a2,0x6722023a,0x21210175}},	// [3b30] zvăl, _гуна, _maoj, _tahh_, 
   {{0xf2df019b,0x6ca74792,0xdb000218,0x9f4a02be}},	//   laâ_, бреж, _timû, rubá_, 
   {{0xdb1c294c,0xd2510399,0xdb0e069a,0x61e448ee}},	//   _strá, _رنگ_, _subá, _zvil, 
   {{0x394542e3,0x33fb0147,0x6bd4007a,0xf2df0175}},	//   _sols_, רהאנ, ستمر, naâ_, 
   {{0x394548ef,0xd94548f0,0x6ab800da,0x22a4011c}},	//   _pols_, жели, _šafá, mèké_, 
   {{0x680a00ad,0x22a4011c,0x00000000,0x00000000}},	//   _səda, lèké_, --, --, 
   {{0x394536c0,0xf9900133,0x4ae702f1,0xddd600ab}},	//   _vols_, ربه_, _гўза, czył, 
   {{0x6d4748f1,0x9b5848f2,0x290c0405,0x58940038}},	//   _hoja, _лист_, _ebda_, أجهز, 
   {{0x7ae92b45,0x857902a0,0x28f9049b,0x6d4748f3}},	//   _idet, исот_, _везь_, _koja, 
   {{0x6b8b48f4,0xe5692f73,0xf1bf0019,0x394500e2}},	//   logg, риод_, tván_, _uols_, 
   {{0x61e40141,0xe78707d9,0x04450028,0x99841a1c}},	//   _svil, _лудо, ценн, _علمو, 
   {{0x6d4748f5,0x6722006d,0x6b8b0876,0xd2aa384a}},	//   _loja, _gaoj, nogg, икне_, 
   {{0x84e548f6,0x05740444,0xf1bf0126,0xe64548f7}},	//   _долж, _کاند, sván_, _фелп, 
   {{0x412a0934,0x28cf4437,0x6d4748f8,0x85a70267}},	//   шого_, _स्मि, _noja, _ујед, 
   {{0x75230548,0x06ae0033,0x00000000,0x00000000}},	//   _ianz, ছুদি, --, --, 
   {{0x7ae9099d,0x75230199,0x61e40310,0xd33600d9}},	//   _ndet, _hanz, _tvil, _фэкы, 
   {{0x6d470571,0x752348f9,0xee3a1fde,0x92e900b1}},	// [3b40] _boja, _kanz, шна_, _طريق_, 
   {{0x90c348fa,0x3d140035,0x7ae9027e,0x6d4748fb}},	//   _обье, ड़ें_, _adet, _coja, 
   {{0x752348fc,0x3a2d00c5,0x69c90547,0x6d4748fd}},	//   _manz, _arep_, _atee, _doja, 
   {{0x7523128a,0xeb970088,0x6b8b0876,0x409b00d1}},	//   _lanz, оих_, gogg, _כביס, 
   {{0xada63f98,0xf986022c,0x3a2d0082,0x6d4748fe}},	//   _мамл, огдо, _crep_, _foja, 
   {{0x6d47032f,0xe9180451,0x7ae9033d,0xed5a02a6}},	//   _goja, сокі_, _edet, _тог_, 
   {{0xd83a0528,0xd7f000eb,0x69c948ff,0xfc031a68}},	//   рэл_, ركة_, _etee, _опро, 
   {{0x75234900,0xdb1c1e4a,0xfb5600d4,0x6d47019b}},	//   _aanz, _stræ, _بپرد, _zoja, 
   {{0x75234901,0x6d470532,0xd04e00ad,0x3a2d4902}},	//   _banz, _yoja, rabə, _grep_, 
   {{0x70b902f8,0x75230093,0x98a6117c,0x94aa0d47}},	//   _आलेल, _canz, _дизе, итна_, 
   {{0x752321ea,0xf2df019b,0x661b052b,0x43954903}},	//   _danz, taâ_, awuk, занс, 
   {{0x80dd0033,0xaab1017d,0xd04e0248,0x00000000}},	//   _বাধ্, ुँचक, qabə, --, 
   {{0xa2bc1d11,0x2ee00372,0xe57a00d9,0xf2df019b}},	//   _एलर्, daif_, _кзд_, raâ_, 
   {{0x752302f2,0xd5af005e,0x9f5e009e,0x3d140035}},	//   _ganz, _іс_, îtî_, ड़ों_, 
   {{0x6d47078a,0x2099134f,0x4f6b4904,0x657a045a}},	//   _roja, сквы_, ашам_, mnth, 
   {{0x7523086d,0x99920228,0x6d5e0102,0x1fa44905}},	//   _zanz, ždňa_, ehpa, друг, 
   {{0x7c2e4906,0x75230458,0x3eaf02f2,0xdcbb00dd}},	// [3b50] _arbr, _yanz, ägt_, аще_, 
   {{0x80f5058b,0xdd91031b,0x442e42cc,0x657a0502}},	//   _эпох, روا_, _krf_, nnth, 
   {{0x5b154907,0x6d473204,0x69c944ca,0x657a1952}},	//   змет, _voja, _stee, inth, 
   {{0x501a0052,0x3a2d4908,0x795d011c,0x442e4909}},	//   _פורו, _prep_, _mèwe, _mrf_, 
   {{0x6d470082,0x7f3a0486,0x6b8b0326,0x7c2e0380}},	//   _toja, _הערו, rogg, _erbr, 
   {{0x6d5e0380,0x6b8b490a,0x6e2002aa,0xf771015f}},	//   chpa, sogg, _âmba, کات_, 
   {{0x6b8b00fd,0x7523490b,0x442e0664,0x00000000}},	//   pogg, _ranz, _nrf_, --, 
   {{0x752302a3,0x657a490c,0x3a2d00d7,0x69c901a3}},	//   _sanz, enth, _trep_, _ttee, 
   {{0x28cf0eda,0x61e9032f,0x442e490d,0x7523490e}},	//   _स्थि, šelj, _arf_, _panz, 
   {{0x442e0844,0xf7703570,0x00000000,0x00000000}},	//   _brf_, _یان_, --, --, 
   {{0x7523490f,0x232a03dc,0xb97a00c7,0xccf200c7}},	//   _vanz, бони_, _פרעז, עכט_, 
   {{0x28cf00aa,0x889a00a7,0x6376008b,0x75234910}},	//   _स्ति, _הבעי, kšne, _wanz, 
   {{0x75234911,0xd2520019,0x35831753,0x442e4912}},	//   _tanz, رنس_, _оқиб, _erf_, 
   {{0x75230548,0x442e020f,0x6f0f03c6,0x00000000}},	//   _uanz, _frf_, _abcc, --, 
   {{0x8fa64913,0x2f56004e,0x2ee0018e,0x00000000}},	//   заве, птас, taif_, --, 
   {{0x9f580034,0x00000000,0x00000000,0x00000000}},	//   murë_, --, --, --, 
   {{0xecea0104,0x2ee000eb,0x0e664914,0x63a44915}},	// [3b60] йдал_, raif_, чкан, _ihin, 
   {{0x6284016a,0xc0064916,0xceb400ad,0x28ac0659}},	//   _ixio, _епок, ddət_, टेडि, 
   {{0xa3de37ff,0x61e605a1,0x63a44917,0x79a600f0}},	//   दीप_, lskl, _khin, үрле, 
   {{0xeb9a0088,0x6d5e4918,0x0b46012d,0x88d80033}},	//   щие_, shpa, янен, _সাইক, 
   {{0x61e602ae,0x63a44919,0x60de016a,0x98be00b3}},	//   nskl, _mhin, _kepm, _notă_, 
   {{0xe89412d4,0xccf5005e,0xdb1c0003,0x9f580034}},	//   маль, _оқу_, _strä, kurë_, 
   {{0x55f800cc,0x7c2e00ca,0xab2a491a,0x63a4052b}},	//   _অনেক_, _urbr, _лова_, _ohin, 
   {{0x9634275d,0x442e00ef,0x63a40108,0x9f58021e}},	//   дниц, _rrf_, _nhin, durë_, 
   {{0xa3de0a44,0xbb3b00a7,0x80dd0086,0x26dd016a}},	//   दीन_, _פעמי, _বাস্, _dewo_, 
   {{0x5692005e,0x61e6098d,0x63a4491b,0x7ae207d7}},	//   мақт, dskl, _ahin, laot, 
   {{0x63a41a29,0xb4bc1bec,0x6d5c011c,0x657a491c}},	//   _bhin, _अली_, _mlra, rnth, 
   {{0x63a4491d,0x7ae20053,0xdb1c02ae,0xe5c6491e}},	//   _chin, naot, _uträ, _еско, 
   {{0x63a4491f,0xb7e0000c,0x46a312bd,0x61e61226}},	//   _dhin, _गौतम_, _зацв, gskl, 
   {{0x63b60640,0x7e640204,0x442e019c,0x64744920}},	//   _eiyn, dzip, _trf_, _оглу, 
   {{0xd5a500d4,0x3171003d,0x7ae24921,0x442e01ff}},	//   _تلوی, rizz_, kaot, _urf_, 
   {{0x63a44922,0x6d5c11f5,0xa2de009a,0x5f243a75}},	//   _ghin, _alra, परण्, нфуз, 
   {{0x7ae20495,0xceb400ad,0x00000000,0x00000000}},	// [3b70] daot, ddəs_, --, --, 
   {{0x6ca70093,0x6d5c00a1,0x63b64923,0xa25b0106}},	//   преж, _clra, _ziyn, ncôm, 
   {{0x8c190ce0,0xdb1c4924,0x7ae20054,0x00000000}},	//   تيار_, _kurè, faot, --, 
   {{0x63a40034,0x00000000,0x00000000,0x00000000}},	//   _xhin, --, --, --, 
   {{0x539c00a7,0x6f0d4925,0x19c40259,0x6925152e}},	//   זיאו, mfac, ебім, дмла, 
   {{0x6f0d4926,0x34db1204,0x92d90033,0x26dd011c}},	//   lfac, _मजेद, ালয়_, _sewo_, 
   {{0x29c206b6,0xdb1c0533,0x28de0262,0xb8e50239}},	//   _eða_, _strå, _नजरि, _एल_, 
   {{0x6f0d02ec,0x803800a7,0x6a154927,0x6d452032}},	//   nfac, לנוע_, _омбу, ljha, 
   {{0x629a0035,0xb17b1bde,0x09d70033,0x6abb007c}},	//   ętok, tsål, _সমকা, _iguf, 
   {{0x63a44928,0xdb1c02df,0x9f580034,0xe576012d}},	//   _shin, _aurè, turë_, дзь_, 
   {{0x63a44929,0xceb40095,0x00000000,0x00000000}},	//   _phin, ndər_, --, --, 
   {{0xe29a492a,0x63b600a3,0xdb0a0032,0x00000000}},	//   жам_, _qiyn, _šnúr, --, 
   {{0x27e022ad,0xa3b9203f,0xdb1c023e,0x6f0d0354}},	//   ćine_, _अंक_, _durè, dfac, 
   {{0x63a43712,0x10a6386d,0xa3e60586,0x6609492b}},	//   _whin, дигн, _पिच_, mtek, 
   {{0x63a40056,0x6609492c,0x6f0d492d,0x68e3492e}},	//   _thin, ltek, ffac, iand, 
   {{0x7e7b492f,0x67294930,0xe82000c9,0x63a44931}},	//   _župa, ndej, _मनसा_, _uhin, 
   {{0xdd9206ab,0x80dd00cc,0x66094932,0xe3a70274}},	// [3b80] نور_, _বার্, ntek, _تشوی, 
   {{0x68e34933,0x66094934,0x6abb2a0a,0x672902d9}},	//   jand, itek, _aguf, hdej, 
   {{0x68e34935,0x6f0d012b,0x7e644936,0x7ae24937}},	//   dand, bfac, szip, taot, 
   {{0x67294938,0xaefb00a1,0x25ee36be,0xdb1c0175}},	//   jdej, _clùd, _इटली_, _kuré, 
   {{0x68e34939,0x7ae20180,0xdb1c3dd9,0x6ffe107c}},	//   fand, raot, _juré, _făcî, 
   {{0x68e3493a,0x7ae205f0,0x6da61d27,0x9f430126}},	//   gand, saot, _цига, bujó_, 
   {{0xa3b90fc0,0x69db0175,0xd79400fd,0x6609493b}},	//   _अंग_, _ewue, никъ, etek, 
   {{0xdca348bd,0x6609493c,0x61e94201,0x1f5b0070}},	//   _раси, ftek, šeli, ַדיא, 
   {{0xf8cf0239,0x66093441,0x28cf0239,0x8a030093}},	//   _स्वय, gtek, _स्वि, _изте, 
   {{0x7afd493d,0x7ae00219,0x7bdc011c,0x6f0d0151}},	//   _östr, _hemt, _kwru, zfac, 
   {{0x291c493e,0xdb1c3084,0x6f0d017c,0x6609493f}},	//   meva_, _auré, yfac, atek, 
   {{0x69c04940,0x291c4941,0xdb1c00b9,0x672900b9}},	//   _kume, leva_, _buré, cdej, 
   {{0x69c04942,0xc3c303a1,0x394c01dd,0x442c01cf}},	//   _jume, нөөл, _kods_, svd_, 
   {{0x69c04943,0x291c4944,0xdb1c026d,0xceb40095}},	//   _mume, neva_, _duré, ydər_, 
   {{0x69c04945,0x394c2ff3,0x00000000,0x00000000}},	//   _lume, _mods_, --, --, 
   {{0x7ae04946,0x291c4947,0x69c04948,0x66f50248}},	//   _nemt, heva_, _oume, məkç, 
   {{0x68e34949,0x69c0352a,0xf1a7494a,0xdb000634}},	// [3b90] yand, _nume, _орон, _limó, 
   {{0x291c22ad,0x68e3494b,0x6e2d494c,0x4fc70978}},	//   jeva_, xand, rvab, _осма, 
   {{0x291c494d,0x66090a9f,0x7ae00455,0x77a50183}},	//   deva_, ztek, _bemt, lóxe, 
   {{0x68e317d3,0x69c04669,0x395e494e,0xe7f4009a}},	//   wand, _bume, _alts_, ींना_, 
   {{0x660903c5,0xdb1c0068,0xe9d842f6,0x77a50068}},	//   xtek, _xuré, дкі_, nóxe, 
   {{0x69c00364,0x7c3a0397,0xb4e800bd,0x291c00b0}},	//   _dume, _štre, यणो_, geva_, 
   {{0x7ae00c29,0xdb000183,0x61fd494f,0xa7b502a6}},	//   _femt, _cimó, husl, нсиј, 
   {{0x69c04950,0x9f584951,0x491b000d,0x61fd4952}},	//   _fume, turé_, _यसको_, kusl, 
   {{0x67294953,0xe61617fc,0xa2de2f4f,0x394c0566}},	//   rdej, еды_, परस्, _fods_, 
   {{0x66094954,0x291c4955,0x7bc8026a,0x61fd4956}},	//   rtek, ceva_, _éduc, dusl, 
   {{0x66094957,0xdb1c1109,0xff5f009e,0x9f580107}},	//   stek, _suré, _olî_, suré_, 
   {{0x68e14958,0x66094959,0xdb1c495a,0xd6d90083}},	//   _held, ptek, _puré, ykły_, 
   {{0x7e7b495b,0x68e1495c,0x63220086,0x69c0495d}},	//   _župn, _keld, যালয়_, _xume, 
   {{0xff5f078a,0x68e102c7,0xade300b0,0x2b5f03dd}},	//   _alî_, _jeld, गठनन_, _lluc_, 
   {{0x0396495e,0x68e1495f,0xd4790147,0x00000000}},	//   _прия, _meld, _מאַל, --, 
   {{0x3217009e,0x200503a1,0x291c00d2,0x2d830539}},	//   çeyê_, àlia_, zeva_, _ajje_, 
   {{0xc7b20111,0x291c4960,0x77a50183,0xe1ff001d}},	// [3ba0] רבן_, yeva_, cóxe, lzón_, 
   {{0x2cbc004f,0x7ae04961,0x8d760038,0x68e1237a}},	//   øvd_, _semt, راءا, _neld, 
   {{0x69c04962,0xdee618de,0x291c00fd,0xe1ff1771}},	//   _sume, _пони, veva_, nzón_, 
   {{0xb4bc02e6,0xe1ff0068,0x6d432162,0x2d8302a5}},	//   _अल्_, izón_, önar, _ejje_, 
   {{0x291c4963,0x68e14964,0xdb001771,0x395e016a}},	//   teva_, _beld, _simó, _plts_, 
   {{0xd943203d,0x68e100e9,0x680a0095,0x7bc5006d}},	//   лечи, _celd, _hədi, bqhu, 
   {{0xdca34965,0x291c4966,0x7bce014e,0x7ae04967}},	//   _бари, reva_, _utbu, _temt, 
   {{0x69c019c5,0x6d4e0364,0x56941e91,0x59dd031e}},	//   _tume, _hoba, кайт, नीहर, 
   {{0x291c4968,0x68e14969,0xe7e000c9,0x00000000}},	//   peva_, _feld, _गौरा_, --, 
   {{0x68e1496a,0xdb002033,0x6d4e496b,0x69f100d3}},	//   _geld, _timó, _joba, _түшт, 
   {{0x2360012e,0x98a400b0,0x6d4e496c,0x2498055f}},	//   _blij_, _ओरिए, _moba, ærm_, 
   {{0x6d4e496d,0x61fd496e,0x5fb40394,0x68e1496f}},	//   _loba, tusl, ंगफल, _zeld, 
   {{0xe1ff0183,0x3f800035,0x28ac0df2,0x7d1e040b}},	//   azón_, dniu_, टेरि, keps, 
   {{0x7d1e090b,0x6d4e4970,0x3f800035,0x77a50183}},	//   jeps, _noba, eniu_, róxe, 
   {{0x7d1e4971,0xa0c40038,0x680a00ad,0x61fd4972}},	//   deps, ايفو, _bədi, susl, 
   {{0x5f94032b,0x2d87008b,0x61fd4973,0xc49b00d1}},	//   гист, čnem_, pusl, _משות, 
   {{0x2b9c02d9,0xc0cb00b3,0x00000000,0x00000000}},	// [3bb0] mích_, _нуне_, --, --, 
   {{0x6d4e4974,0x2b9c02d9,0x31354975,0x61ed4976}},	//   _coba, lích_, _реор, _ival, 
   {{0x5f0c07d5,0xe802031e,0xe1ff0126,0x614402a0}},	//   _डॉक्_, रूमा_, luó_, _сеќа, 
   {{0x2b9c000d,0x68e14977,0x7c3a00ca,0xe0d000d7}},	//   ních_, _seld, _štrc, _پزی_, 
   {{0xaa584978,0x68e129b3,0xe1ff04b3,0xdd910816}},	//   ницу_, _peld, nuó_, _نوح_, 
   {{0x6d4e4979,0x61ed019b,0x00000000,0x00000000}},	//   _goba, _mval, --, --, 
   {{0x68e134cd,0x7c8404ac,0x013800d1,0xf81300d7}},	//   _veld, _буте, תרות_, استگ, 
   {{0x6d4e006a,0x2b9c00bc,0x3dc20027,0x68e1357e}},	//   _zoba, jích_, _yukw_, _weld, 
   {{0x27e003ef,0x68e1497a,0x59f822c5,0xab840eaf}},	//   ćina_, _teld, _петя_, _сурк, 
   {{0xdb1c09a8,0x236000ef,0xe1ff0126,0x7f4f0106}},	//   _strø, _slij_, duó_, _locq, 
   {{0x58d418ae,0x61ed497b,0x7e7b0242,0x845819fe}},	//   _сохт, _aval, _župl, ерят_, 
   {{0x2cb00095,0xe1ff04ff,0x2d930183,0x795d011c}},	//   ündə_, rzón_, hoxe_, _kèwo, 
   {{0x2d870187,0x63660183,0x98a50237,0x2d9301d6}},	//   čnej_, _lóng, _malč_, koxe_, 
   {{0xd176021f,0x61ed1645,0x00000000,0x00000000}},	//   тымы, _dval, --, --, 
   {{0x442101e5,0x6d4e497c,0xdee643ff,0xc0e31416}},	//   _èh_, _roba, кови, роск, 
   {{0x6d4e497d,0x2b9c035e,0x661900e2,0x93fa042c}},	//   _soba, cích_, _kpwk, _חלקי, 
   {{0x6d4e497e,0x672b00e5,0xaec3497f,0xcd0603a1}},	// [3bc0] _poba, _magj, рбул, кпай, 
   {{0x44270065,0x672b024a,0x3f800009,0x6d4e18e6}},	//   _ksn_, _lagj, sniu_, _qoba, 
   {{0x61ed04d1,0x2721271a,0x6faa0886,0xfbc34980}},	//   _zval, _मसूर_, _овог_, абхо, 
   {{0x7d1e4981,0x44274982,0x6d4e0532,0x2b3a00d9}},	//   seps, _msn_, _woba, ьязэ_, 
   {{0xa96a4983,0x2b9c014b,0x298a40f5,0x6d4e4984}},	//   мида_, níci_, мско_, _toba, 
   {{0x2b9c00bc,0x44270098,0x38c8015f,0x6d5802ae}},	//   zích_, _osn_, راتی_, övad, 
   {{0x8c434985,0xebe34986,0x2d9800ef,0x672b005f}},	//   _кере, _восп, _ikre_, _bagj, 
   {{0x59dd0c06,0x6f044987,0x00000000,0x00000000}},	//   _नौकर, ngic, --, --, 
   {{0xdb1c4988,0x692600ce,0x672b01c8,0x8f9b0486}},	//   _jurí, _имаа, _dagj, ויקי, 
   {{0x6b82035f,0x73d81a4c,0x201a4989,0x2b9c00da}},	//   lnog, ндор_, _oppi_, díci_, 
   {{0x4427498a,0x2b9c1102,0x6e240226,0x00000000}},	//   _csn_, tích_, hwib, --, 
   {{0xe1ff04b3,0x187700d1,0x6e24498b,0x00000000}},	//   tuó_, _בעבר_, kwib, --, 
   {{0x2b9c0038,0x2287498c,0x44270175,0x201a00c2}},	//   rích_, тунг, _esn_, _appi_, 
   {{0x66001415,0x3cfe2119,0x28c610da,0x6b8200f8}},	//   mumk, _लागे_, रुचि, hnog, 
   {{0xa184498d,0xdb1c3311,0x6faf0586,0x5335013e}},	//   рыял, _aurí, ंगलू, _бейт, 
   {{0x2d980102,0x636600e9,0x6f04498e,0x61ed008a}},	//   _akre_, _cónd, ggic, _tval, 
   {{0x636608f4,0x6b820062,0x61ed0704,0x66002a41}},	// [3bd0] _dónd, dnog, _uval, numk, 
   {{0x7c3a0571,0x63660327,0x80dd0086,0xdb1c1ff5}},	//   _štra, _póng, _বাক্, _durí, 
   {{0x6b8202bf,0xdb1c00b9,0x98a505d5,0x7f4f0106}},	//   fnog, _eurí, _palč_, _tocq, 
   {{0x4ea71dc7,0xfe700019,0x636606a5,0x2d930054}},	//   _арга, حدہ_, _gónd, soxe_, 
   {{0x2ee90ab1,0xad9b0183,0x98a505d5,0x00000000}},	//   maaf_, _opúx, _valč_, --, 
   {{0x77620496,0x2ee9206b,0xdb1c00b3,0x00000000}},	//   _alox, laaf_, _curâ, --, 
   {{0x87b900b3,0x672b021e,0x6b82203b,0x00000000}},	//   нуит_, _pagj, bnog, --, 
   {{0xc725498f,0x562904b6,0x2ee9039b,0x6c31010e}},	//   удий, ежим_, naaf_, _پہچا, 
   {{0xdb1c0496,0x225902c9,0x58d54990,0xda162ea7}},	//   _xurí, jysk_, _бозт, _مسلک, 
   {{0x9a840104,0x77624991,0x2ee90b22,0x256000a1}},	//   _тусл, _elox, haaf_, _pòla_, 
   {{0x672b010e,0xa2e614e6,0xe576002e,0x00000000}},	//   _tagj, лонд, узэ_, --, 
   {{0x67200eae,0x63760242,0xe611009c,0x201e0241}},	//   cemj, ršno, _هشت_, çtim_, 
   {{0x06b10086,0x527600d3,0x36340296,0x00000000}},	//   _ট্রি, ууну, _پرنس, --, 
   {{0x6e20240c,0xa50908bd,0x4427018e,0x6b8200ca}},	//   _âmbi, _чека_, _tsn_, znog, 
   {{0xb4df215e,0x44271439,0x63660183,0x2b9c00bc}},	//   तरी_, _usn_, _pónd, síci_, 
   {{0x80d42c64,0x6e3b0a1a,0x26cd4992,0xdb1c00b9}},	//   _ब्रे, _šuba, nceo_, _purí, 
   {{0x22460792,0x6b820112,0x8fa33a06,0xe1f2009c}},	// [3be0] _çok_, vnog, сате, _اسب_, 
   {{0x6e240ab1,0x8c464993,0x636600f6,0xab5d01f2}},	//   rwib, лезе, _dóne, _jiżf, 
   {{0x6b820372,0x201a003e,0xadf04994,0x44250156}},	//   tnog, _uppi_, _चिकन_, nwl_, 
   {{0xe513141c,0xdb1c4995,0x9a8602f1,0xb4df059e}},	//   त्ति_, _turí, лулл, तरु_, 
   {{0x32020187,0xf1bf309e,0xb17b00fc,0x00000000}},	//   nuky_, lvár_, rsåv, --, 
   {{0x6b82027c,0x75210019,0xe918128b,0x082a0080}},	//   snog, jelz, токі_, еции_, 
   {{0x8d634996,0x27e00082,0xd7fa00d9,0x67204997}},	//   _увре, ćino_, хул_, temj, 
   {{0x5884005e,0x998d00d9,0x17540093,0x6d5e4998}},	//   лықа, _preţ_, рвия, lkpa, 
   {{0x28cf047c,0xe4e64999,0x9f580126,0x6720499a}},	//   _स्कि, лінн, ltró_, remj, 
   {{0x75211176,0xf1bf499b,0x80d405f6,0x7c220083}},	//   gelz, kvár_, _ब्ले, łoru, 
   {{0x9f5805b9,0x0d9700a7,0xa3de02e6,0x2379499c}},	//   ntró_, רכים_, दीं_, tisj_, 
   {{0x78a822ad,0x3d140d1d,0x4395499d,0xdb1c00f6}},	//   _izdv, न्ते_, рамс, _jurà, 
   {{0xa77b00c7,0x0fe303a1,0x27ee0036,0x9f5800f6}},	//   _אראפ, өөнү, lsfn_, durà_, 
   {{0xa4d408af,0x4425017c,0x313517e0,0x0475010e}},	//   _токі, bwl_, шегр, ائیگ, 
   {{0xe3b00399,0x65680a92,0x657a499e,0xdb1c2332}},	//   تری_, mhdh, mith, _strý, 
   {{0x657a499f,0xaf370535,0x6d5e064e,0xdc0a0033}},	//   lith, درست, ekpa, রবাস_, 
   {{0x63ad49a0,0xccfb0886,0x1df817fc,0x2ee93bd4}},	// [3bf0] _ihan, еће_, леты_, raaf_, 
   {{0x637602ee,0x657a00eb,0x81e80086,0x4909034d}},	//   jšnj, nith, মূহ_, _साधो_, 
   {{0x2ca70c29,0x63ad49a1,0xab5d003d,0x645a2653}},	//   ånd_, _khan, _jiżg, nyti, 
   {{0x20030982,0xdd94005e,0xbe05006b,0x657a0038}},	//   muji_, _ғасы, _پوسٹ, hith, 
   {{0x63ad49a2,0xd8380118,0x61ef49a3,0x657a49a4}},	//   _mhan, _arč_, nscl, kith, 
   {{0x657a00e5,0x63ad49a5,0x645a49a6,0x63bf00a3}},	//   jith, _lhan, kyti, _liqn, 
   {{0x657a49a7,0x3158042c,0x20110a9f,0x63ad49a8}},	//   dith, ריון_, ntzi_, _ohan, 
   {{0x63ad0029,0x7bd502ba,0x61fd1ba0,0x657a00f8}},	//   _nhan, _itzu, krsl, eith, 
   {{0x7bc749a9,0xa3e7047c,0x7aeb49aa,0x7b642c25}},	//   _huju, मीन_, magt, _утре, 
   {{0x7bc749ab,0x0555286f,0xb4df36bc,0x63ad024d}},	//   _kuju, ртия, तरे_, _ahan, 
   {{0x64a549ac,0x7bc7170d,0x63ad49ad,0xd8380588}},	//   рана, _juju, _bhan, _grč_, 
   {{0x63ad49ae,0x7bc749af,0x7aeb49b0,0xab5d01f2}},	//   _chan, _muju, nagt, _diżg, 
   {{0x63ad49b1,0x55e5477c,0x7bc749b2,0x6b890034}},	//   _dhan, _толб, _luju, _mjeg, 
   {{0x290720ca,0x657a31c6,0x63ad0156,0x3202014b}},	//   ngna_, cith, _ehan, ruky_, 
   {{0x6b9b0a8b,0xafe649b3,0x7bc749b4,0x6366033c}},	//   _okug, робл, _nuju, _cónc, 
   {{0x63ad2d5a,0x7aeb49b5,0xab5d007b,0x6b9b17d3}},	//   _ghan, jagt, _jiżd, _nkug, 
  
   {{0x539b00a7,0x7aeb018c,0x7bd500f6,0xf1bf039f}},	// [3c00] _ביקו, dagt, _atzu, rvár_, 
   {{0x7bc749b6,0x6b9b0621,0x6b8910fd,0x200302d9}},	//   _buju, _akug, _ajeg, buji_, 
   {{0x0c2649b7,0xf0aa1c0f,0xa06a3ff4,0x6b8902c7}},	//   рмен, _школ_, _рана_, _bjeg, 
   {{0x657a044d,0x9f58022c,0x6d5e00c2,0x61e43e32}},	//   zith, rtró_, skpa, _kwil, 
   {{0x9f581973,0x657a49b8,0x6b89024a,0x692602f1}},	//   stró_, yith, _djeg, имда, 
   {{0x61e40010,0xdb1c3ba7,0x6b9b052b,0xb4df0249}},	//   _mwil, _durá, _ekug, तरो_, 
   {{0x75c9005e,0x657a0226,0x68ea49b9,0x7bc749ba}},	//   қтың_, vith, rafd, _guju, 
   {{0x7aeb0dec,0x2ca749bb,0x657a49bc,0x68ea1162}},	//   cagt, ünde_, with, safd, 
   {{0x63ad02bf,0x657a49bd,0x765b012b,0x200300bc}},	//   _rhan, tith, gyuy, zuji_, 
   {{0x63ad49be,0xa90600c5,0x7bc01272,0x998d00ca}},	//   _shan, _خبرن, _himu, _treš_, 
   {{0x657a0084,0x443849bf,0x7bc049c0,0x7e6d49c1}},	//   rith, ír_, _kimu, zzap, 
   {{0x68e849c2,0xf74303dc,0x657a49c3,0x645a49c4}},	//   _hedd, _мехо, sith, ryti, 
   {{0x645a49c5,0x27e90112,0xdb1c0183,0x61fd10de}},	//   syti, ćane_, _xurá, ursl, 
   {{0x63ad0186,0x7e6d008b,0x61e401e5,0x61ef039b}},	//   _whan, vzap, _dwil, rscl, 
   {{0x68e83742,0x63ad49c6,0x9692009c,0xdb1e00bc}},	//   _medd, _than, _دیکش, _švýc, 
   {{0x7bc749c7,0x68e849c8,0x7bc00199,0x63ad49c9}},	//   _ruju, _ledd, _nimu, _uhan, 
   {{0x7a1a00e0,0xba010086,0x68e80156,0x61e400f8}},	// [3c10] nātā, _এন্ড_, _oedd, _gwil, 
   {{0x200349ca,0x7bc70640,0x6b9b49cb,0x68e80547}},	//   puji_, _puju, _skug, _nedd, 
   {{0x6366006b,0x6b89035f,0x7bc00458,0x5c070093}},	//   _hóna, _pjeg, _bimu, ряза, 
   {{0x41c400d4,0x9f5802a3,0x7bc049cc,0x7bc700a3}},	//   _دقیق, strò_, _cimu, _vuju, 
   {{0x195949cd,0x7bc749ce,0x7bc00757,0xab5d49cf}},	//   лады_, _wuju, _dimu, _niże, 
   {{0x7bc7286b,0x98ac03c0,0x6366001d,0x7a1a01dd}},	//   _tuju, _aldı_, _móna, dātā, 
   {{0x7aeb140d,0x680a0095,0x68e80156,0x63663540}},	//   pagt, _sədr, _dedd, _lóna, 
   {{0xbb850084,0x6d5549d0,0x9b9449d1,0x6b9b498b}},	//   _الري, _hoza, _дисц, _ukug, 
   {{0x68e80156,0x16390038,0xa7620093,0x7a1a0243}},	//   _fedd, اسبة_, якъд, gātā, 
   {{0x68e849d2,0x3a2d016a,0xd7fb49d3,0x6d550300}},	//   _gedd, _isep_, _ауд_, _joza, 
   {{0x6d5549d4,0x69c9016a,0xd05c0095,0xc7d92ed3}},	//   _moza, _huee, barə, _смех_, 
   {{0x6d5549d5,0x69c149d6,0x6d41008c,0xd05c0095}},	//   _loza, _hile, _ólaf, carə, 
   {{0xe1ff1044,0x636600eb,0x7ae949d7,0x68e849d8}},	//   gró_, _cóna, _meet, _yedd, 
   {{0x7ae949d9,0x6d5549da,0x863600c7,0xd00a49db}},	//   _leet, _noza, _לאנג_, леге_, 
   {{0x0574024f,0x201e49dc,0xa06749dd,0xab5d00a4}},	//   _باند, ïti_, бара_, _miżb, 
   {{0x69c149de,0xa3e7017d,0xe1ff49df,0x637649e0}},	//   _lile, मीण_, bró_, kšni, 
   {{0xee3a49e1,0x69c10094,0x6b9903c6,0x7bc049e2}},	// [3c20] ына_, _oile, dowg, _rimu, 
   {{0x69c149e3,0xd05c0095,0xa3de11c1,0xab5d008a}},	//   _nile, zarə, दीक_, _niżb, 
   {{0x68e849e4,0xd5c8001b,0x3a2d005f,0xd05c0095}},	//   _redd, _nền_, _asep_, yarə, 
   {{0x387a06d0,0x69c149e5,0x68e849e6,0x8fc50109}},	//   _üzrə_, _aile, _sedd, _گزین, 
   {{0x6d5549e7,0x7ae9039b,0x7bc0018e,0x7998019b}},	//   _foza, _deet, _vimu, tovw, 
   {{0xdd92125e,0x6d5549e8,0xe6e00790,0x69c149e9}},	//   _روز_, _goza, नर्ज, _cile, 
   {{0x7bc049ea,0x69c149eb,0x2c1c00c9,0x7ae908b0}},	//   _timu, _dile, _नहिं_, _feet, 
   {{0x69c1004c,0x2d9a49ec,0x6d5549ed,0x7ae91c73}},	//   _eile, lope_, _zoza, _geet, 
   {{0xd5ba0161,0x09e30afc,0x6d5549ee,0xb4c00299}},	//   лсо_, _нотн, _yoza, ंख्_, 
   {{0x8e5700c7,0xd05c00ad,0x3d0b009a,0xdb1c0241}},	//   צייג_, sarə, ालये_, _burç, 
   {{0xe60f13b4,0x680a00ad,0x7ae901a3,0xb896007a}},	//   وشی_, _tədq, _yeet, _الضع, 
   {{0xf3671ddf,0x69c149ef,0xe1ff49f0,0x2d9a49f1}},	//   стон, _zile, tró_, hope_, 
   {{0xc797006b,0x363600eb,0xe1ff0126,0x86c30038}},	//   _اپنا_, _دراس, uró_, _عيون, 
   {{0x69c149f2,0xe1ff49f3,0x7c2e040b,0x00000000}},	//   _xile, rró_, _osbr, --, 
   {{0x6d5549f4,0x67d101dd,0xdb1c009e,0xe3c90210}},	//   _roza, _kāja, _gurç, _hằn_, 
   {{0x442e49f5,0x6d5549f6,0x2e4b00fd,0x9f0501c9}},	//   _isf_, _soza, лязо_, تورو, 
   {{0x67d1002a,0xa2a029f5,0x443c49f7,0x442e016a}},	// [3c30] _māja, _गुप्, _hrv_, _hsf_, 
   {{0x7ae93b1f,0x443c49f8,0x2d9a095a,0x00000000}},	//   _seet, _krv_, gope_, --, 
   {{0x6d5500f1,0x69c149f9,0x7ae949fa,0x2f190b58}},	//   _voza, _rile, _peet, _конь_, 
   {{0x442e49fb,0xcf27009c,0x443c49fc,0x6d5514d8}},	//   _msf_, _اردي, _mrv_, _woza, 
   {{0x7c2e49fd,0x7ae900b0,0x6d5500a3,0xe1ff0035}},	//   _esbr, _veet, _toza, rzów_, 
   {{0x7ae949fe,0xe1ff0035,0x98be0118,0x442e0354}},	//   _weet, szów_, _entč_, _osf_, 
   {{0x02fb32f0,0x69c149ff,0xa2a0055d,0x7ae94a00}},	//   ्लाह_, _vile, _गुन्, _teet, 
   {{0xf7710198,0x3f8902f0,0x23cf072f,0x09d80086}},	//   بات_, nnau_, _संबद, _সিরা, 
   {{0x14da148e,0x645c155b,0x69c14a01,0x443c01a4}},	//   _म्हण, ørin, _tile, _arv_, 
   {{0xe5794a02,0x2bb91971,0x442e0327,0x69c14a03}},	//   рзо_, ेदवा, _bsf_, _uile, 
   {{0x443c02a2,0xa34a15f5,0x2369020f,0xdce5020b}},	//   _crv_, азна_, _blaj_, kohľ, 
   {{0x2bd00d53,0x80a3009a,0x443c0144,0xbddb0542}},	//   _तूफा, _गरजे, _drv_, _krèd, 
   {{0x3dd9006d,0xe7960019,0xe2970b24,0x00000000}},	//   _ntsw_, _بالک, жая_, --, 
   {{0x6f1d02f2,0x200c022c,0x3f8900f8,0xe046108a}},	//   _absc, àdio_, enau_, онги, 
   {{0x2f564a04,0x3f8900f8,0x3ea24a05,0x3d100299}},	//   отас, fnau_, _sykt_, _ढाबे_, 
   {{0x3f890090,0x2087004f,0xa3de00b0,0x00000000}},	//   gnau_, ійти_, दीओ_, --, 
   {{0x27e003ef,0xbea34a06,0xee374a07,0x2d9a4a08}},	// [3c40] ćini_, датк, онт_, tope_, 
   {{0x6f1d4a09,0x443c0065,0x4c8600fd,0x63a61226}},	//   _ebsc, _yrv_, олзв, llkn, 
   {{0x7ac64813,0x2d9a4a0a,0x5aca1b2d,0x00000000}},	//   осле, rope_, алем_, --, 
   {{0xeb9a4a0b,0x8cda07d5,0x3e70026d,0x0caa4a0c}},	//   шие_, _प्रो, _côté_, _करीम, 
   {{0x094a3a2a,0xee37314d,0xbddb00d3,0x2d9a050a}},	//   ички_, _дня_, _crèd, pope_, 
   {{0x39450610,0x00000000,0x00000000,0x00000000}},	//   _cnls_, --, --, --, 
   {{0xdca34a0d,0xd90d009c,0x176a00d3,0x636d009e}},	//   _жари, ایم_, ирип_, _hûne, 
   {{0x3b071a9e,0x7bde00c8,0x290000b3,0xeb974a0e}},	//   _месо_, mppu, şia_, _дис_, 
   {{0x7ae24a0f,0x27e90062,0x598602a0,0x442e0664}},	//   mbot, ćana_, _длаб, _ssf_, 
   {{0x29180014,0x02e3031e,0xd6e20086,0x7ae24a10}},	//   _ùra_, पर्न, _যাওয, lbot, 
   {{0x3f8902bf,0x23694a11,0x32020228,0x61f601a7}},	//   ynau_, _plaj_, erky_, _avyl, 
   {{0x926b0b17,0x443c0144,0xd37b38bf,0x442e4a12}},	//   арга_, _vrv_, рчо_, _vsf_, 
   {{0x636d009e,0x81d30086,0x236900ca,0x442e018e}},	//   _nûne, হীন_, _vlaj_, _wsf_, 
   {{0x443c0144,0x386f06a2,0x61f60028,0xab5d00a4}},	//   _trv_, _ömrü_, _dvyl, _miża, 
   {{0xd5c80029,0x75280187,0xd24e0274,0x443c03dd}},	//   _mềm_, medz, نچی_, _urv_, 
   {{0x752827b0,0xa8570486,0xd5b801dd,0x636d0216}},	//   ledz, חילה_, lmā_, _bûne, 
   {{0x3f8900f8,0x636600da,0xd83805d5,0x00000000}},	// [3c50] rnau_, _zóno, _syčl_, --, 
   {{0x8c670038,0x7e7b0304,0x75284a13,0x6ca73a64}},	//   يطان, _žups, nedz, ореж, 
   {{0x25690228,0xa3de009a,0xd5b80243,0x00000000}},	//   _júla_, दीच_, imā_, --, 
   {{0xa2a004cc,0x7ae24a14,0xab5d00c3,0x2bc800f0}},	//   _गुड्, gbot, _biża, іліп_, 
   {{0x75283de7,0xd9450024,0x00000000,0x00000000}},	//   kedz, зели, --, --, 
   {{0x6f0d4a15,0xab5d007b,0x6e2d4a16,0x88bc02d9}},	//   lgac, _diża, mwab, _oběd, 
   {{0x77a509a1,0x6d474a17,0x6e3b00ef,0x7ae201d8}},	//   lóxi, _inja, _šubh, bbot, 
   {{0xdb1c4a18,0x6f0d4a19,0xe1ff0068,0x656a076b}},	//   _strö, ngac, nzós_, _alfh, 
   {{0x6d470097,0x70a81ad9,0x7afb070c,0x77a52888}},	//   _knja, _गर्ल, _idut, nóxi, 
   {{0x7ac4005e,0xa50902a6,0xaefb01f5,0x69db01d6}},	//   _істе, љена_, _dlùi, _itue, 
   {{0x0445418c,0x03a618de,0x6e2d02eb,0x3a3f0121}},	//   ченн, зино, hwab, _hrup_, 
   {{0x6e2d4a1a,0xb4ab09ef,0x06751628,0x25e8009a}},	//   kwab, _खरी_, _нуля, चीही_, 
   {{0x6d4701a7,0xe7c400a5,0x6b8b07fc,0xaefb01f5}},	//   _onja, _लूटप, ingg, _glùi, 
   {{0xb227008c,0xe20b003e,0x77a50183,0x63660098}},	//   _svæð, _stóð_, dóxi, _tóno, 
   {{0xa0674a1b,0x64a24a1c,0xee3f0054,0x66094a1d}},	//   пара_, _паша, _arý_, luek, 
   {{0x6d474a1e,0xdfcf00eb,0x10a3004f,0x221600b3}},	//   _anja, طيك_, хисн, _ефор, 
   {{0x7de5010c,0x77a503da,0x26c21ee5,0x6e2d05b3}},	// [3c60] vîsî, góxi, žkov_, gwab, 
   {{0x2d814a1f,0x7afb2085,0x67294a20,0x6b8b0102}},	//   gihe_, _adut, heej, engg, 
   {{0xa0a64a21,0x69db3a9f,0xdd8f00eb,0xdb0901f5}},	//   _ханд, _atue, دول_, _bheà, 
   {{0x7f4a1666,0xe3c9001b,0x6d470298,0x8025015f}},	//   _الحق_, _nằm_, _enja, _کریم, 
   {{0x7ae24a22,0x20184a23,0xf8dd000d,0x98dd031e}},	//   rbot, ltri_, नुभय, नुभए, 
   {{0xdb154a24,0x6d470588,0x2240011c,0xfe450296}},	//   _buzó, _gnja, _mrik_, _تکفی, 
   {{0xd83a011f,0x200a4a25,0xa7b84a26,0x75281b95}},	//   сэл_, nubi_, олку_, vedz, 
   {{0x95d80088,0x6a86004e,0x6e3b2467,0xe3c90023}},	//   одит_, _елба, _šubi, _cằm_, 
   {{0x7bce03f6,0xe6664a27,0x75280532,0x20180739}},	//   _hubu, ятко, tedz, htri_, 
   {{0x7bce2843,0x6b824a28,0x200a4a29,0x201800c2}},	//   _kubu, liog, kubi_, ktri_, 
   {{0x7528002a,0x6366008c,0xd5b8002a,0x43954a2a}},	//   redz, _tónl, rmā_, данс, 
   {{0x98ac002a,0x22404a2b,0xd5b800e0,0x7bce22fb}},	//   _gadā_, _brik_, smā_, _mubu, 
   {{0x27e00519,0x7bce4a2c,0x212a00ef,0xd2440a10}},	//   ćinu_, _lubu, febh_, нэри, 
   {{0x35b30c8b,0xdb090038,0x3a240054,0x22400566}},	//   _збір, _mheá, _mpmp_, _drik_, 
   {{0x200a0813,0x7bce4a2d,0x443a4a2e,0x3a24016a}},	//   gubi_, _nubu, _ép_, _lpmp_, 
   {{0x26c2014b,0xee3f00bc,0x77a54a2f,0x6b82095a}},	//   žkou_, _prý_, tóxi, jiog, 
   {{0x6d4702cd,0x6f0d4a30,0x22400065,0x7bdc01dd}},	// [3c70] _pnja, rgac, _grik_, _atru, 
   {{0x7bce4a31,0xdb1c001d,0x77a50684,0x853c0028}},	//   _bubu, _gurú, róxi, klėm, 
   {{0x69db03a9,0x5b1541a2,0x200a02a3,0x7bce2cdd}},	//   _stue, дмет, cubi_, _cubu, 
   {{0x23cf000c,0x7bce4a32,0xbddb0107,0xdb090534}},	//   _संसद, _dubu, _crèc, _bheá, 
   {{0x32190489,0xcf5600a7,0x3a3f0095,0xe3c90108}},	//   ntsy_, _חברת_, _qrup_, _rằm_, 
   {{0x98a500d3,0x6d4741ee,0xa3b40c65,0xdb090534}},	//   миле, _unja, _जीन_, _dheá, 
   {{0xb4ab00a2,0x5c040b58,0x7bce4a33,0x27e9044e}},	//   _खरे_, _пята, _gubu, ćano_, 
   {{0xeafb06bc,0x3a3f4a34,0x6b824a35,0x998c00d2}},	//   _درست_, _trup_, ciog, đoše_, 
   {{0x61fb0062,0x7bd200e0,0x67294a36,0x98ad00ad}},	//   šulj, ējuš, reej, ınıb_, 
   {{0xdce70121,0x7bce0610,0x66094a37,0x00000000}},	//   _oljč, _yubu, ruek, --, 
   {{0xe3c90108,0x660901d6,0x6fb00299,0x00000000}},	//   _tằm_, suek, ंतमू, --, 
   {{0x798342d6,0x92ec0033,0x22404a38,0x889a00d1}},	//   linw, কল্প_, _prik_, _ובעי, 
   {{0x0caa000c,0xf7700e61,0x2ef20065,0xfaf600df}},	//   _कर्म, _حال_, vayf_, וצרי_, 
   {{0xd5bb05c6,0x20182b29,0x200a4a39,0x6b8221f7}},	//   _усе_, ttri_, tubi_, ziog, 
   {{0xa0a333d4,0x8fa64a3a,0x40950a31,0x7f5a03b7}},	//   вард, даве, ертт, ојат_, 
   {{0x7bce4a3b,0x200a3aa6,0x20184a3c,0x6b820183}},	//   _rubu, rubi_, rtri_, xiog, 
   {{0x63a44a3d,0x1da90262,0x8fa32e87,0x200a28a3}},	// [3c80] _ikin, कतंत, тате, subi_, 
   {{0xdd8f07cf,0xab5d008a,0xe0d700b3,0x7bce4a3e}},	//   لوق_, _biżo, _овь_, _pubu, 
   {{0x7bce02cd,0x3a240065,0x63a401d6,0xfe71010e}},	//   _qubu, _spmp_, _kkin, ندے_, 
   {{0x61e9002e,0xdaaa4a3f,0xab5d00a4,0x200511bb}},	//   ţele, овед_, _diżo, álie_, 
   {{0x63a4095a,0xbbc500d7,0x7bce007c,0x79830027}},	//   _mkin, رآمو, _wubu, finw, 
   {{0x7bce4a40,0x6b82012d,0x7c3a4a41,0x63a4012b}},	//   _tubu, siog, _štru, _lkin, 
   {{0xa3ae034d,0x7bdc4a42,0xa2a01011,0x7bce011d}},	//   कता_, _utru, _गुस्, _uubu, 
   {{0x96340676,0xc6f844c1,0x6d5c2450,0x96ea08ab}},	//   ениц, чних_, _hora, цька_, 
   {{0x7e640537,0x00000000,0x00000000,0x00000000}},	//   nyip, --, --, --, 
   {{0x63a44a43,0xa3cf1215,0xb4e811bd,0x6d5c4a44}},	//   _akin, _वंश_, बरे_, _jora, 
   {{0x7bda026d,0xb4de00ab,0xd876189a,0x2388039f}},	//   _étud, _तभी_, _غائب, zője_, 
   {{0x63b602bf,0x6d5c4a45,0x69c609e5,0x4ab23e41}},	//   _chyn, _lora, ादकी, _जराव, 
   {{0x69c84a46,0x63a4012b,0x6d5c08b0,0x5a9b0070}},	//   _kide, _dkin, _oora, ַשלא, 
   {{0x6d5c4a47,0x63a44a48,0x69c84a49,0x272201ff}},	//   _nora, _ekin, _jide, lаn_, 
   {{0x69c84a4a,0x3ead00ef,0xe739019b,0x65934a4b}},	//   _mide, _šet_, loŵa_, _шашу, 
   {{0x69c84a4c,0xab5d003d,0x6d5c4a4d,0x2388010e}},	//   _lide, _riżo, _aora, tője_, 
   {{0x6d5c4a4e,0x69c80ae7,0x443e017e,0xd0d50093}},	// [3c90] _bora, _oide, lvt_, _попъ, 
   {{0x61ed0daf,0xbddb00a1,0x5bb90f8c,0x23b2010e}},	//   _iwal, _crèa, ेद्व, mája_, 
   {{0x753800cf,0x3cde0366,0x2ca7055f,0x61ed018e}},	//   _mavz, गड़े_, ænd_, _hwal, 
   {{0x61ed2c80,0x6d5c0038,0x2b490a78,0x69c84a4f}},	//   _kwal, _eora, ñac_, _aide, 
   {{0x69c84a50,0x6d5c4a51,0xb4bb00bd,0x61ed0194}},	//   _bide, _fora, _अण्_, _jwal, 
   {{0x6d5c4a52,0x61ed4a53,0x75381c76,0xb4e8109f}},	//   _gora, _mwal, _navz, बरो_, 
   {{0x69c830ef,0x98a24a54,0x61ed01a3,0x31580070}},	//   _dide, лише, _lwal, ויגן_, 
   {{0x69c84a55,0x61ed4a56,0x76424a57,0x23b2010e}},	//   _eide, _owal, _broy, kája_, 
   {{0x63b602bf,0x76424a58,0x61ed0102,0xd9ab00fd}},	//   _rhyn, _croy, _nwal, _дъжд_, 
   {{0x69c84a59,0x6d5c26b6,0xe57600d9,0x6366033c}},	//   _gide, _xora, езь_, _ióni, 
   {{0x809f0838,0x61ed4a5a,0x98141b44,0xa2c20c64}},	//   _खुले, _awal, _لبنا, रेन्, 
   {{0xe29a4a5b,0x7bc94a5c,0x61ed4a5d,0x6aa9052b}},	//   зам_, _jieu, _bwal, _kyef, 
   {{0x7bc9026d,0x76424a5e,0x998d0144,0xc7b22665}},	//   _mieu, _groy, _mrež_, _עבד_, 
   {{0x7bc94a5f,0x661b4a60,0x6aa90036,0x61ed000b}},	//   _lieu, mtuk, _myef, _dwal, 
   {{0x7f5d4a61,0x1fb623ef,0x61ed01a3,0xdfd200eb}},	//   _bosq, есар, _ewal, اير_, 
   {{0x7bc9290d,0x6d5c4a62,0xe29a0021,0x7f5d0369}},	//   _nieu, _sora, _най_, _cosq, 
   {{0x6d5c4a63,0x661b3976,0xdd920133,0x61ed25a3}},	// [3ca0] _pora, ntuk, هور_, _gwal, 
   {{0xa3b405fd,0x6d5c02f1,0x661b4a64,0xd29b00a7}},	//   _जीत_, _qora, ituk, _משפט, 
   {{0x6aba0081,0x6d5c4a65,0xaacb0c8f,0x261900e7}},	//   ेश्र, _vora, िशंक, hèo_, 
   {{0x69c84a66,0xeb974a67,0x673b00ab,0x7bc90371}},	//   _side, них_, jduj, _cieu, 
   {{0x6d5c4a68,0x7bc94a5f,0x69c84a69,0x6366033c}},	//   _tora, _dieu, _pide, _cóni, 
   {{0x61fb3c3d,0x44274a6a,0x443e0be0,0x2619011c}},	//   áuli, _opn_, yvt_, dèo_, 
   {{0x7dc9012d,0xc7c64a6b,0x8b964a6c,0x213a00a1}},	//   _užsa, нсии, _зрач, _maph_, 
   {{0xfaa64a6d,0x76424a6e,0x35e64a6f,0x63662403}},	//   _забо, _proy, нцов, _fóni, 
   {{0xf6521feb,0x69c80dcb,0xadc3001b,0x64434a70}},	//   ائع_, _tide, _hoạc, _arni, 
   {{0x4427016a,0x64430604,0xdcfc00ca,0x61ed4a71}},	//   _bpn_, _brni, _omrč, _rwal, 
   {{0x644304d1,0xddcd1a35,0x661b01f1,0x6ea229b0}},	//   _crni, izaš, atuk, _कुसु, 
   {{0x67224a72,0x442702cd,0x64432e3c,0x395e01f1}},	//   _uboj, _dpn_, _drni, _hots_, 
   {{0x44274a73,0x63660068,0x2a66023b,0x61f8012d}},	//   _epn_, _xóni, nyob_, нняў_, 
   {{0x44270ab4,0x64430604,0x25720151,0x61ed03a0}},	//   _fpn_, _frni, _bâle_, _vwal, 
   {{0xd3a73543,0x395e026d,0xbddb01e5,0x213a0237}},	//   _прип, _mots_, _crèn, _daph_, 
   {{0x9f34004e,0x61ed4a74,0xbddb011c,0x395e4a75}},	//   лесі, _twal, _drèn, _lots_, 
   {{0x7bc94a76,0x2a66006d,0xab5d00c3,0x4427020f}},	// [3cb0] _rieu, jyob_, _fiżj, _zpn_, 
   {{0x7bc94a77,0x673b0ab4,0x63b30028,0x00000000}},	//   _sieu, zduj, šenė, --, 
   {{0x7bc94a78,0x661b0a9f,0x63660126,0x7f5d4a79}},	//   _pieu, ztuk, _sóni, _tosq, 
   {{0xb5fd00d8,0x00000000,0x00000000,0x00000000}},	//   dyšn, --, --, --, 
   {{0x239600e0,0x7bc9026a,0xe9d82983,0x72ec0070}},	//   nāja_, _vieu, екі_, פֿאַ, 
   {{0x395e47bf,0x673901e5,0x333b01f2,0x2d8511ca}},	//   _cots_, _sawj, _laqx_, _öle_, 
   {{0xdd94001c,0x279502f1,0x01380486,0x7bc90023}},	//   _сары, кшир, גרות_, _tieu, 
   {{0x661b4a7a,0x63660d00,0x6ed502e6,0x394c4a7b}},	//   ttuk, _tóni, युचु, _ends_, 
   {{0x645c4a7c,0xd5c80108,0x1a5b0038,0x395e0be0}},	//   ärin, _lều_, _عشرة_, _fots_, 
   {{0x661b4a7d,0x893400c5,0x44274a7e,0x395e03dd}},	//   rtuk, _معما, _ppn_, _gots_, 
   {{0x661b4a7f,0xa2e64a80,0x3d193024,0x213a4a81}},	//   stuk, конд, _पाने_, _raph_, 
   {{0x6443008b,0x395e0118,0x661b4a82,0x442735c5}},	//   _vrni, _zots_, ptuk, _vpn_, 
   {{0xdcfc2ddd,0xa2f200c9,0xd2f211c1,0xbddb011c}},	//   _smrč, _अजीज_, _अजीब_, _srèn, 
   {{0x64434a83,0x44272e12,0x91e34a84,0x3ceb0035}},	//   _trni, _tpn_, роре, टरों_, 
   {{0x10a64346,0x64434a85,0x44274a86,0xab5d00a4}},	//   тивн, _urni, _upn_, _viżj, 
   {{0xd00f1f7a,0x20050a7f,0x20044a87,0x03260a10}},	//   تلف_, ália_, čmi_, _рдин, 
   {{0x0e6343a1,0x64414a88,0x52760148,0xab5d00a4}},	// [3cc0] актн, lvli, _шуку, _tiżj, 
   {{0x6d8b00e0,0x5bca1c25,0xf0663ee7,0x2b4d008a}},	//   kļau, िद्व, _акоп, _anec_, 
   {{0x6ea21516,0x5f0608a7,0x395e0b22,0xceea004f}},	//   _कुरु, _изна, _rots_, _одне_, 
   {{0x395e45f3,0x26cf009c,0x67d101dd,0x645e0151}},	//   _sots_, _nggo_, _gāji, _àpie, 
   {{0x395e00d3,0x2fc04a89,0x82d70070,0x644100c2}},	//   _pots_, mmig_, דונג_, hvli, 
   {{0xfce34a8a,0x66094a8b,0xc27b00d1,0x3913017b}},	//   _воро, drek, ורני, имір, 
   {{0x395e03a1,0x6d4e4a8c,0x66094a8d,0x2b4d00f6}},	//   _vots_, _inba, erek, _fnec_, 
   {{0xf0931900,0x47344a8e,0x466a2c54,0x00000000}},	//   ינו_, унис, дром_, --, 
   {{0x395e01bb,0x66094a8f,0x6d4e02a5,0x35f34a90}},	//   _tots_, grek, _knba, апыр, 
   {{0x569200f0,0xb5fd02d9,0x26cf0ff2,0xf1c700da}},	//   лақт, myšl, _eggo_, čáku_, 
   {{0x6ab20b26,0x660902ba,0x64410d62,0x00000000}},	//   _जरुर, arek, gvli, --, 
   {{0x2396002a,0x66e62c28,0x66094a91,0x68f83b57}},	//   tāja_, _рода, brek, lavd, 
   {{0x51870c27,0x2d8f0019,0x43940235,0x25a70054}},	//   вува, égek_, раяс, _fknl_, 
   {{0x2fcb00ca,0xd83800da,0x68f84a92,0x23960b03}},	//   _sicg_, _ksč_, navd, rāja_, 
   {{0x50644985,0x843800eb,0xa3b44a93,0xb4de031e}},	//   атта, _أكبر_, _जीव_, तडी_, 
   {{0x6ab20d95,0x6d4e4a94,0x63660bdb,0x2fc00f3a}},	//   _जरूर, _anba, _bónu, gmig_, 
   {{0x27e90112,0x68f81612,0x7c3a0ab4,0x1df80b24}},	// [3cd0] ćani_, kavd, _štrp, кеты_, 
   {{0xdcb10023,0x9be7004f,0x8afd00d8,0x00000000}},	//   _ở_, відк, _moře, --, 
   {{0x9f5805b9,0x6acb3cae,0x0cab03dc,0x66094a95}},	//   guró_, िश्र, фтаи_, zrek, 
   {{0x6d4e4a96,0x20114a97,0x09cb00a2,0xe9f9004e}},	//   _enba, muzi_, ाद्य, енді_, 
   {{0x20110204,0x3f894a98,0xd8380237,0xbf0f0d2e}},	//   luzi_, miau_, _asč_, िलीन_, 
   {{0x3f894a99,0xdb1c4a9a,0x0d640093,0xab5d01f2}},	//   liau_, _zurü, _късм, _miżi, 
   {{0xb8db2030,0x20114a9b,0x6609011c,0x9d180220}},	//   _घर_, nuzi_, wrek, _шорт_, 
   {{0x3f8902bf,0x4bc509d9,0x80bf0033,0x2b4d0604}},	//   niau_, _сөзг, ্ডপ্, _unec_, 
   {{0xdb1c4a9c,0xab8407f9,0x7bd54a9d,0x09dd0086}},	//   _euró, _турк, _huzu, _ঠিকা, 
   {{0x66094a9e,0x7bd51d8e,0x3f890156,0x20114a9f}},	//   rrek, _kuzu, hiau_, kuzi_, 
   {{0x78540399,0x7bd54aa0,0xb6a21753,0x3f890009}},	//   _نیوز_, _juzu, _қишл, kiau_, 
   {{0x7bd54aa1,0x36d500ce,0x201102be,0x64414aa2}},	//   _muzu, _содр, duzi_, rvli, 
   {{0x660505d9,0x2ed90086,0x3f890156,0x232a01a2}},	//   _спла, তরাষ, diau_, _ҷойи_, 
   {{0xbddb026a,0x20110298,0xe4e7004f,0xd56700b3}},	//   _crèm, fuzi_, _рідн, _штеп, 
   {{0x5f06048a,0x20114aa3,0x00000000,0x00000000}},	//   лзва, guzi_, --, --, 
   {{0x3f890904,0x63660042,0x61e64aa4,0xab5d007b}},	//   giau_, _cónt, ppkl, _fiżi, 
   {{0x200a02fe,0x7bd54aa5,0x539b00d1,0x00000000}},	// [3ce0] srbi_, _auzu, _ריפו, --, 
   {{0x61e40cd7,0xee372983,0x7bd54aa6,0x20110547}},	//   _itil, ыну_, _buzu, buzi_, 
   {{0x711b07f5,0x3f894aa7,0xbb4633c4,0x7ae40369}},	//   _אויפ, biau_, лежк, ñito, 
   {{0x7bd50a9f,0x3f894aa8,0x63664aa9,0x00000000}},	//   _duzu, ciau_, _tónu, --, 
   {{0x25a54aaa,0x6a8611db,0xe9180965,0xe9844aab}},	//   koll_, ылда, волі_, ақан, 
   {{0x6d4e4aac,0xdca64aad,0xd838014b,0x63a63233}},	//   _unba, _баги, _psč_, hokn, 
   {{0xebe31aa4,0x63a638c6,0x68f84aae,0x6366008c}},	//   _госп, kokn, ravd, _jóns, 
   {{0x7c9300eb,0x61e44aaf,0xdb1c0118,0x68f84ab0}},	//   _الفص, _otil, _eurò, savd, 
   {{0x569411db,0x7bd54ab1,0x7bc21535,0x853c0028}},	//   рапт, _zuzu, mmou, klėt, 
   {{0x7bd54ab2,0x7bc20d06,0x3f890009,0x2011007c}},	//   _yuzu, lmou, ziau_, yuzi_, 
   {{0x7c290267,0x61e44ab3,0xa2c20fc0,0x63554ab4}},	//   _ćerk, _atil, रेस्, авну, 
   {{0x7bc206df,0x20110458,0x61e402a5,0x61fd123b}},	//   nmou, vuzi_, _btil, tssl, 
   {{0x388e0264,0x25a50219,0x3f890009,0x20114ab5}},	//   _hər_, boll_, viau_, wuzi_, 
   {{0x51841b2d,0x25a50175,0x3f890156,0x61e900b3}},	//   буса, coll_, wiau_, ţelo, 
   {{0x61e40c67,0x21310118,0x63a64ab6,0x3f890156}},	//   _etil, rezh_, bokn, tiau_, 
   {{0x63a64ab7,0x20110199,0x7bd54ab8,0xc10303dd}},	//   cokn, ruzi_, _ruzu, шүүл, 
   {{0x8cf5129d,0x3f894ab9,0x518731a6,0xae0c02e6}},	// [3cf0] изац, riau_, _буна, िंगन_, 
   {{0x3f894aba,0x66cb0248,0x7bc20626,0x98ac0035}},	//   siau_, _hökü, emou, _wadę_, 
   {{0xe1ff0019,0x3f894abb,0xbddb011c,0x9c474abc}},	//   lsó_, piau_, _krèk, ыхал, 
   {{0x22494abd,0x25b207d5,0x6d584abe,0x00000000}},	//   _krak_, ुगुण, övar, --, 
   {{0xe9ff001b,0xe1ff4abf,0xfaa5122f,0x7bda01e5}},	//   _trận_, nsó_, јало, _étun, 
   {{0x2249090e,0x7bd54ac0,0xd94544f9,0xab5d00c3}},	//   _mrak_, _tuzu, реки, _niżv, 
   {{0x25a534d4,0x9f410054,0xe7391ad0,0x2249011c}},	//   voll_, _athé_, вей_, _lrak_, 
   {{0x16390038,0x66e50bae,0x00000000,0x00000000}},	//   نسخة_, јопа, --, --, 
   {{0x65f803dd,0x00000000,0x00000000,0x00000000}},	//   лээр_, --, --, --, 
   {{0x458541f8,0x6b8b4ac1,0x27050029,0x79c80740}},	//   ргов, ligg, ồn_, _موقف_, 
   {{0x61e428bb,0x47350bce,0xf1c8031e,0x22494ac2}},	//   _stil, _внес, ntář_, _arak_, 
   {{0x224929ab,0x03a612e1,0x53a64ac3,0x02c60080}},	//   _brak_, римо, рамб, ийно, 
   {{0x25a54ac4,0x27e90b1d,0x63a64ac5,0x66cb027e}},	//   poll_, ćanu_, rokn, _dökü, 
   {{0xa2c2048e,0xa509065b,0x69c30038,0x63a64ac6}},	//   रेष्, _река_, nmne, sokn, 
   {{0x69c34ac7,0xa2e600d3,0x22494ac8,0x7fd60259}},	//   imne, _койд, _erak_, рігі, 
   {{0x6840031e,0x224901f2,0x7fd500f0,0x644f1c2b}},	//   ládá, _frak_, сірі, čkić, 
   {{0x0d864ac9,0xa2c23295,0x7de50198,0x433b0070}},	// [3d00] алан, रेश्, مسلم, _יעקב, 
   {{0xab5d003d,0x01fb0070,0x5fb8009a,0xece7002e}},	//   _miżu, _שפיל, _आठवल, идул_, 
   {{0x22490cff,0x7bc20237,0x6b8b02a3,0x3a2d0175}},	//   _zrak_, tmou, figg, _apep_, 
   {{0x69c34aca,0x6b8b4acb,0x6563008a,0xe9e60229}},	//   emne, gigg, _lonh, ацко, 
   {{0x69c302a2,0x0eb90cfe,0x7bc22450,0x00000000}},	//   fmne, _буры_, rmou, --, 
   {{0x99f500dd,0x645c3d00,0xf806286e,0x1d0a4acc}},	//   сяці, ärik, ачин, _шеги_, 
   {{0xd83a00d9,0xa9672009,0xd7f7004e,0x31570070}},	//   тэл_, рија_, ауы_, ייסן_, 
   {{0xcb6701a2,0x7c2e2a6d,0xab5d0035,0x00000000}},	//   _касе_, _ipbr, _biżu, --, 
   {{0xba2902b4,0xae0c047c,0x65634acd,0x7c29044e}},	//   _مسلم_, िंटन_, _bonh, _ćeri, 
   {{0x656300ce,0x66cb06a2,0xab5d01f2,0xd56603a1}},	//   _conh, _sökü, _diżu, ртип, 
   {{0xe2f93816,0x3cf8012b,0xa73900ef,0x3d1900c2}},	//   лені_, _merv_, ščaš, _पासे_, 
   {{0x2249033e,0xe1ff010e,0xb6a60259,0x69cf09c6}},	//   _prak_, tsó_, _киел, _écer, 
   {{0x521409a6,0x363600d4,0x2ee00183,0xdb1b011c}},	//   одят, _خراس, dcif_, _dhuè, 
   {{0x7c2e4ace,0x2005090e,0xdd1a003d,0x3cf84acf}},	//   _opbr, šlim_, għżu, _nerv_, 
   {{0xb4d200a2,0x657a00eb,0xe1ff4ad0,0x22494ad1}},	//   वशी_, mhth, ssó_, _wrak_, 
   {{0xe1ff0126,0x853c0009,0x644a00a4,0xc2e700a3}},	//   psó_, plės, _irfi, _тўки, 
   {{0xdef8244c,0x3eaf4ad2,0x63ad054e,0x7d1c0226}},	// [3d10] рыс_, ægt_, _ikan, _bcrs, 
   {{0xdcf906ab,0x201e03a1,0x442e00e2,0x9ce74ad3}},	//   افات_, àtic_, _kpf_, рцал, 
   {{0x9f350965,0x442e0026,0x0dc83a87,0x63ad0547}},	//   _лені, _jpf_, рути_, _kkan, 
   {{0xe4570137,0x3d19007e,0x57e91753,0x442e019c}},	//   ייבט_, _पावे_, қдим_, _mpf_, 
   {{0x6b8b4ad4,0x63ad1e39,0x443c4ad5,0xaa454ad6}},	//   rigg, _mkan, _lsv_, селл, 
   {{0x443c0533,0xab5d0405,0x63ad4ad7,0x6b8b4ad8}},	//   _osv_, _riżu, _lkan, sigg, 
   {{0x66024ad9,0x63ad2f13,0x656302fe,0x7e6d4ada}},	//   _avok, _okan, _ronh, lyap, 
   {{0x656303b7,0x09e60086,0x69dc0655,0x63ad4adb}},	//   _sonh, _নিরা, _črev, _nkan, 
   {{0x3a750c67,0x9f5e0518,0x7e6d1bc3,0x443c00e0}},	//   _улар, été_, nyap, _asv_, 
   {{0x63ad4adc,0x657a4add,0x66e700c9,0xbddb00f6}},	//   _akan, ghth, _ट्रक_, _crèi, 
   {{0x64a54ade,0x442e0165,0xe3b904be,0x68401aad}},	//   сана, _cpf_, rtın_, rádá, 
   {{0xc16900d1,0x48ff00bc,0x00000000,0x00000000}},	//   _אח_, रणको_, --, --, 
   {{0x644a4adf,0x657a0557,0xc6a70267,0x999f0ed9}},	//   _erfi, bhth, _тржи, _zruš_, 
   {{0x63ad35df,0x657a4ae0,0x1ddb00ab,0x7e6d4ae1}},	//   _ekan, chth, _बढ़त, dyap, 
   {{0xafe602f1,0xe1f200d4,0x66020352,0x6e2f0118}},	//   собл, _کسب_, _zvok, _apcb, 
   {{0x43932189,0x63ad011c,0xef174ae2,0x6b9b025b}},	//   _најс, _gkan, ймс_, _njug, 
   {{0xa3b43e41,0x6ea2031e,0xa3dd009a,0x7c3c00b4}},	// [3d20] _जीए_, _कुखु, _थंड_, _ssrr, 
   {{0x636d0218,0x442e4461,0x3202445a,0x6b9b3f51}},	//   _rûni, _ypf_, msky_, _ajug, 
   {{0x0c260676,0xa06a4ae3,0x32024ae4,0x8fa64ae5}},	//   смен, _сана_, lsky_, _гане, 
   {{0xeafa247b,0x8afd031e,0xef2101dd,0x61f6040b}},	//   ارات_, _pořa, _ceļā_, _kwyl, 
   {{0x32024ae6,0xa96a00cf,0x6b9b0183,0x298a1da4}},	//   nsky_, лида_, _djug, лско_, 
   {{0x2d8f0019,0x7c334ae7,0x2d8c4ae8,0x2b404ae9}},	//   éget_, ñerí, _öde_, žic_, 
   {{0x764b0156,0x66024aea,0xbddb011c,0x9f4302ae}},	//   _argy, _svok, _brèw, rsjö_, 
   {{0x442e34fa,0x7f444aeb,0xbddb023e,0x9b960038}},	//   _rpf_, ndiq, _crèw, _الرت, 
   {{0x657a4aec,0xda630d38,0x671900c9,0x31bf010c}},	//   thth, _евти, _धारक_, lîze_, 
   {{0x442e4aed,0x32024aee,0x2c0d009a,0x6e240a6d}},	//   _ppf_, dsky_, ांचं_, itib, 
   {{0x6e240065,0x672000b0,0x32024aef,0xd7ea24e1}},	//   htib, _यापक_, esky_, _смее_, 
   {{0x12e4005e,0x6e244af0,0x4c9b00c7,0xf1da031e}},	//   зірг, ktib, רשטע, _यूहन, 
   {{0xe5a647c7,0x2d8a1c36,0x3d1900aa,0x5558227f}},	//   _лиди, _ombe_, _पाले_, _валя_, 
   {{0x443c4af1,0x2d8a0175,0x61f600f8,0xab5d01f2}},	//   _tsv_, _nmbe_, _dwyl, _jiżr, 
   {{0x7dc900e4,0x34930f5a,0xc0581afd,0x442e03dd}},	//   _užsi, _нашр, біт_, _upf_, 
   {{0x2d8a4af2,0x63ad4af3,0x44ce0095,0x7e6d197d}},	//   _ambe_, _ukan, mə_, tyap, 
   {{0x320f006b,0x44ce0095,0x61f602bf,0x6e2406e4}},	// [3d30] _így_, lə_, _gwyl, gtib, 
   {{0x69dc007e,0x6b890009,0x68fa4af4,0x29f60035}},	//   _पढ़ी, _smeg, _netd, dła_, 
   {{0x44ce0264,0x88bc02d9,0x6e241393,0x29f60083}},	//   nə_, _uběh, atib, eła_, 
   {{0x291e4af5,0x2d8a4af6,0xe3b9027e,0x7bc00083}},	//   _acta_, _embe_, ktım_, _chmu, 
   {{0x2d8f0019,0x2bb800eb,0x29f60035,0xdb26009c}},	//   éges_, حالة_, gła_, تونی, 
   {{0x6ea2288f,0x98be0540,0xbddb0107,0x69dc0604}},	//   _कुटु, _altı_, _brèv, _čret, 
   {{0x6d554af7,0x29f600ab,0x6b9b34db,0x6d454af8}},	//   _inza, ała_, _tjug, mdha, 
   {{0x44ce06d0,0x06090804,0x6b8921ec,0x6d454af9}},	//   də_, аник_, _umeg, ldha, 
   {{0x96b90fb6,0x200500d0,0xa2cb031e,0xb8d00f8c}},	//   шуку_, šlih_, सेम्, _टु_, 
   {{0x6d4509e8,0x7afb02ec,0xd7fb0a43,0x32024afa}},	//   ndha, _heut, _буд_, vsky_, 
   {{0x7afb4afb,0x6d4501be,0xbddb0107,0x6d550204}},	//   _keut, idha, _grèv, _mnza, 
   {{0x7c254afc,0x61f60156,0x0675085c,0x32024afd}},	//   ithr, _pwyl, _муля, tsky_, 
   {{0x32040076,0x7afb4afe,0xbb3a0070,0x68fa00a3}},	//   émy_, _meut, בערי, _yetd, 
   {{0x7afb4aff,0x32020ed9,0x6729007b,0x3f8b0ff2}},	//   _leut, rsky_, lfej, _amcu_, 
   {{0x6d4500f8,0xafe34b00,0x7ae2339d,0x5043011f}},	//   ddha, досл, ycot, мерб, 
   {{0x6d554b01,0x6e244b02,0x22460397,0x7c250465}},	//   _anza, ttib, _šoku_, dthr, 
   {{0x61464b03,0x20d600e4,0x69c100bc,0x7f440151}},	// [3d40] _депа, _мінс, _ohle, rdiq, 
   {{0x6e244b04,0x3f8b00ef,0x7f44132c,0x20110bfc}},	//   rtib, _emcu_, sdiq, brzi_, 
   {{0x7afb4b05,0x44254b06,0x3a3f11e9,0x0b46170f}},	//   _beut, ntl_, _asup_, жнен, 
   {{0xab2a3730,0x20184b07,0x6d450014,0x7afb10e0}},	//   рода_, muri_, adha, _ceut, 
   {{0x20184b08,0x7afb074a,0x7c250094,0x44ce0095}},	//   luri_, _deut, athr, zə_, 
   {{0x69c14b09,0x44ce06d0,0xbddb00d3,0xdb090354}},	//   _chle, yə_, _prèv, _bheó, 
   {{0x20184b0a,0x29f600ab,0x307a00c7,0x69c1006c}},	//   nuri_, sła_, יאַנ, _dhle, 
   {{0x44ce06d0,0x386000ef,0x7afb0574,0x201800b3}},	//   və_, ćir_, _geut, iuri_, 
   {{0x20184b0b,0x7bdc3226,0x69db011c,0x69c126c0}},	//   huri_, _huru, _guue, _fhle, 
   {{0x7bdc4b0c,0x637f01ee,0x20184b0d,0xa2cb05d0}},	//   _kuru, _këng, kuri_, _सृष्, 
   {{0x9cdb0137,0x7bdc4b0e,0x224038c6,0x7afb4b0f}},	//   יקיפ, _juru, _asik_, _yeut, 
   {{0xc5f900cc,0x20184b10,0x7bdc4b11,0x883b00a7}},	//   _আমরা_, duri_, _muru, _כתבו, 
   {{0x7bdc4b12,0x637f0034,0xd24400b3,0xa3b400aa}},	//   _luru, _lëng, мэри, _जीओ_, 
   {{0x7c254b13,0x20184b14,0x291c0009,0x98be03a0}},	//   ythr, furi_, ngva_, _latč_, 
   {{0x7bdc4b15,0x20184b16,0xe9ff001b,0x44ce0095}},	//   _nuru, guri_, _trần_, qə_, 
   {{0x20030035,0x3a26019c,0x65bd023e,0x00000000}},	//   rsji_, ktop_, mèha, --, 
   {{0x0ec511bd,0x7bdc4b17,0x7e60022c,0x7c254b18}},	// [3d50] लेंड, _auru, _àmpl, wthr, 
   {{0x7bdc4b19,0x20184b1a,0x3a3f016a,0x2b464b1b}},	//   _buru, buri_, _rsup_, edoc_, 
   {{0x20180012,0x7afb4b1c,0x7bdc3863,0x2fc200a1}},	//   curi_, _peut, _curu, _fhkg_, 
   {{0x7bdc4b1d,0x2396002a,0x7c254b1e,0xa2c21cc0}},	//   _duru, tāji_, rthr, रेक्, 
   {{0x69c14b1f,0xdb0901fd,0x0e084b20,0xdb0b0034}},	//   _phle, _bheò, _мэри_, logë, 
   {{0x7c254b21,0x7bdc4b22,0xdb090465,0x98be0023}},	//   pthr, _furu, _cheò, _antđ_, 
   {{0x7bdc4b23,0x7afb32df,0xdcfc090b,0xd0f800fe}},	//   _guru, _teut, _smrć, חמות_, 
   {{0x32191151,0x3a3f0102,0x16060fc0,0x60ca0248}},	//   kusy_, _tsup_, _शिखर_, ülmə, 
   {{0x20184b24,0xdb0901fd,0xbddb0118,0xa3af01a4}},	//   zuri_, _fheò, _irès, कवन_, 
   {{0x76494b25,0x637f024a,0x7bdc4b26,0x39144b27}},	//   rvey, _lënd, _yuru, _омур, 
   {{0x7bdc01ff,0x20182d00,0xb5fd0098,0x7dc90028}},	//   _xuru, xuri_, vyšu, _užsu, 
   {{0x442508d4,0x20184b28,0xddcd044e,0x21210175}},	//   rtl_, vuri_, jzaž, _achh_, 
   {{0xbebb00e5,0x20184b29,0x21380065,0x1dbd009a}},	//   _mbës, wuri_, terh_, ्गात, 
   {{0x20184b2a,0x65bd00d7,0x270c0028,0xa06a13b1}},	//   turi_, bèha, rėnų_, бага_, 
   {{0xdfd200eb,0x90c3005b,0x39454b2b,0x645c01ad}},	//   فيس_, ебре, _mals_, ärit, 
   {{0x20184b2c,0x32194b2d,0x7bdc4b2e,0x020615c5}},	//   ruri_, busy_, _ruru, _езин, 
   {{0x20184b2f,0x22404b30,0xd24f0038,0x3f670267}},	// [3d60] suri_, _usik_, _مني_, чито_, 
   {{0xf1bf38a9,0x20184b31,0x7bdc4b32,0xdca64b33}},	//   ltán_, puri_, _puru, пази, 
   {{0x7bdc1653,0x6bd603b8,0x6ec000bc,0xf1bf007a}},	//   _quru, ستار, लेजु, otán_, 
   {{0x7bdc4b34,0x8fa64b35,0x3a26076b,0xdb090465}},	//   _vuru, _хаме, ttop_, _sheò, 
   {{0x7bdc3684,0x7c3b0f23,0x3f920532,0xdca30176}},	//   _wuru, _ćure, miyu_, _ҷари, 
   {{0x239600e0,0x290201dd,0x3a264b36,0x88bc02d9}},	//   māju_, _ēkas_, rtop_, _obět, 
   {{0x07200509,0xdca34b37,0x3a264b38,0x394503c5}},	//   _यादव_, _зари, stop_, _dals_, 
   {{0x4c9b00d1,0xab272669,0x3a264b39,0x3f924b3a}},	//   _הבלו, _носа_, ptop_, niyu_, 
   {{0xc6f71838,0x39454b3b,0xf1e100b0,0x239601dd}},	//   чных_, _fals_, _गूढ़_, nāju_, 
   {{0x998600d6,0xe3b90241,0x7dc90028,0x00000000}},	//   _علاو, ptık_, _užst, --, 
   {{0xb60301dd,0x00000000,0x00000000,0x00000000}},	//   ēšam, --, --, --, 
   {{0x187700a7,0xbebb024a,0xe521031e,0x926b3ae5}},	//   _מעבר_, _mbër, _माथि_, брга_, 
   {{0x637f01ee,0x6fd6143e,0x95ca4b3c,0xe9ff00e7}},	//   _rënd, _मंजू, _лука_, _trấn_, 
   {{0x645c34ff,0x46c900bc,0xd6572233,0x23960243}},	//   äris, ाइरह, _מידת_, dāju_, 
   {{0xdb1b00eb,0x753a1c44,0x9f410354,0x00000000}},	//   _shuí, metz, _athá_, --, 
   {{0x637f00e5,0xa85700a7,0x753a45f7,0x3f80020f}},	//   _qënd, הילה_, letz, ghiu_, 
   {{0x63af173b,0x9d5500d6,0x9f8a0068,0x257b055a}},	// [3d70] mocn, وچست, _añón_, _hêla_, 
   {{0x61ed4b3d,0xdb0b4b3e,0x2fc94b3f,0x63af0032}},	//   _ital, mogé, smag_, locn, 
   {{0xbddb40f7,0x637f024a,0x3f9207fc,0xdb0b4b40}},	//   _près, _tënd, biyu_, logé, 
   {{0x290c4b41,0x3d190e49,0xdecb1790,0x3f80020f}},	//   _adda_, _पाके_, _гугл_, chiu_, 
   {{0xd9452f3f,0x39450293,0xdb0b4b42,0x657d0034}},	//   дели, _pals_, nogé, ëshk, 
   {{0x99670088,0xbddb026a,0xeab000eb,0xa2c207d5}},	//   ятел, _frèr, دعم_, रेट्, 
   {{0x753a0a9f,0x39454b43,0x61ed0008,0x9b953f28}},	//   detz, _vals_, _ltal, _живц, 
   {{0x290c4b44,0x61ed4b45,0x320901a7,0x2d930226}},	//   _edda_, _otal, _ovay_, lixe_, 
   {{0x6d471233,0xa3d10262,0x39454b46,0x7ae94b47}},	//   _kaja, वगन_, _tals_, _ifet, 
   {{0x6d474b48,0x656a01f5,0x7bcb03c5,0x3f920532}},	//   _jaja, _cofh, lmgu, ziyu_, 
   {{0x6d474b49,0x61ed4b4a,0x6fbf02f8,0xd4693f07}},	//   _maja, _atal, ्षां, цине_, 
   {{0x6d470cd7,0x32090118,0x61ed00a4,0xb4bd01ec}},	//   _laja, _bvay_, _btal, _आरी_, 
   {{0xa5092338,0x753a0a9f,0xc447009c,0xf1bf4b4b}},	//   _дела_, betz, زیکن_, rtán_, 
   {{0xdb0b022b,0xf1bf4b4c,0x661b4b4d,0xc7b9039f}},	//   llgä, stán_, muuk, llő_, 
   {{0x2bd90f01,0xdee64b4e,0x3f9e019c,0x3f924621}},	//   _बंगा, доби, étuo_, tiyu_, 
   {{0xe29a4b4f,0x2396002a,0x64430938,0xe3b70093}},	//   _май_, tāju_, _isni, _общ_, 
   {{0x6d474b50,0xc24300d3,0x3f924b51,0x2d933308}},	// [3d80] _baja, _анык, riyu_, fixe_, 
   {{0x6d471874,0x7ae94b52,0x4ab100aa,0x3f924b3a}},	//   _caja, _afet, _जड़व, siyu_, 
   {{0x6d474b53,0x6ad600a2,0x7c3e02b0,0x628602eb}},	//   _daja, धश्र, uwpr, lzko, 
   {{0x661b4b54,0xeb974b55,0x64434b56,0xbddb023e}},	//   kuuk, мих_, _msni, _isèn, 
   {{0x6f0401c5,0x09e306af,0x59f800d9,0x62864b57}},	//   maic, вочн, челя_, nzko, 
   {{0x644300f1,0x6d470a13,0x7ae903b7,0x6f04004c}},	//   _osni, _gaja, _efet, laic, 
   {{0x7ae94b58,0x8c430314,0x00000000,0x00000000}},	//   _ffet, _иере, --, --, 
   {{0x6f040014,0x6d4730ba,0x8b9503bd,0xdb1b00a1}},	//   naic, _zaja, _зруч, _ghuà, 
   {{0x753a0a9f,0x6d472cb1,0x64430106,0x45d43f74}},	//   tetz, _yaja, _asni, ноис, 
   {{0x62864b59,0x6f0401c5,0x28a91556,0x290c0219}},	//   dzko, haic, _चुकि, _udda_, 
   {{0x753a0a9f,0x443e02b0,0x63af171a,0x43953a64}},	//   retz, uwt_, tocn, еанс, 
   {{0x753a02ec,0x93bd002e,0x6b824b5a,0xdb0b4b5b}},	//   setz, ptăm, nhog, togé, 
   {{0xf8e240a8,0x6f040014,0x63af4b5c,0x16344b5d}},	//   _पलाय, daic, rocn, _челя, 
   {{0x257b009e,0x2d9302be,0x6f0400a1,0x00000000}},	//   _têla_, xixe_, eaic, --, 
   {{0xdb0b022b,0xd48f004f,0x6f041197,0x81d44b5e}},	//   llgå, _рр_, faic, торх, 
   {{0x6d474b5f,0x9f34004e,0x69dd0036,0x61ed01a3}},	//   _saja, кесі, _èseg, _ttal, 
   {{0x6d474b60,0x61ed4b61,0x5d5502c4,0x62860035}},	// [3d90] _paja, _utal, нкат, czko, 
   {{0x2005006b,0x71750038,0xdcbb00c8,0xc05b004f}},	//   ális_, _أهدا, още_, _дім_, 
   {{0x6d474b62,0x5b1516e1,0xa73907c7,0x2d933fa8}},	//   _vaja, емет, ščiš, rixe_, 
   {{0x6d474b63,0x6f044b64,0x4fc7012d,0x00000000}},	//   _waja, caic, _існа, --, 
   {{0x34bb40a8,0x6d474b65,0xa3c210b0,0x636600e9}},	//   _उर्द, _taja, ्गत_, _cóny, 
   {{0xda780080,0xf778008a,0xa80304a8,0x00000000}},	//   ьях_, _ruħa_, _çıks, --, 
   {{0xa3af1bf9,0xb4bd37e7,0x88bc00bc,0x00000000}},	//   कवा_, _आरे_, _sběr, --, 
   {{0x661b0a8b,0x7d054b66,0x8bc4012d,0xf4240033}},	//   tuuk, lahs, _асуд, ববার_, 
   {{0xeab3073c,0xf6511930,0x4a552072,0x9f510019}},	//   _شعر_, ائب_, _якас, lszó_, 
   {{0x661b4b67,0xb46517e0,0x3eb902be,0x4465203d}},	//   ruuk, екол, _myst_, евов, 
   {{0x5fdb0586,0x3eb903a9,0xf1bf4b68,0x7ae44b69}},	//   _मंगल, _lyst_, rtál_, žite, 
   {{0xf1bf2706,0x2fd900a1,0x22520ff2,0x62860502}},	//   stál_, _nisg_, _pryk_, tzko, 
   {{0x5559226b,0x59c402e6,0xa0a300a3,0x628600b4}},	//   _надя_, _लीडर, ҳард, uzko, 
   {{0x2396002a,0x62864b6a,0x66094b6b,0x00000000}},	//   tājs_, rzko, msek, --, 
   {{0xa0a34b6c,0xa06a4b6d,0x62864b6e,0x7d0504e4}},	//   гард, чава_, szko, dahs, 
   {{0x2252055f,0xdce70228,0x2d910027,0x3eb94b6f}},	//   _tryk_, _dojč, _amze_, _byst_, 
   {{0x6f04004c,0x539b0056,0x63a43974,0x7c3b0a1a}},	// [3da0] raic, _מיקו, _ijin, _ćura, 
   {{0x6f04004c,0xbd4600eb,0x660900c8,0x7d0503bc}},	//   saic, عناي, isek, gahs, 
   {{0x6b824b70,0x6f040a75,0x660900e2,0x6f0f0026}},	//   thog, paic, hsek, _fdcc, 
   {{0xc05300a7,0x637f00e5,0x63660042,0x66094b71}},	//   _עזר_, _këna, _cónx, ksek, 
   {{0x63a4086d,0x7d054b72,0x6b820d2d,0x66094b73}},	//   _mjin, bahs, rhog, jsek, 
   {{0xe8943eb2,0xa934004e,0x6b824b74,0xe29f003e}},	//   каль, текш, shog, naða_, 
   {{0xc30b00cc,0xa3c24b75,0x6da34b76,0x6d5c4b77}},	//   ষ্টি_, ्गा_, _сира, _inra, 
   {{0x96344b78,0x17544b79,0x189700eb,0x63a44b7a}},	//   вниц, твия, عضوة_, _njin, 
   {{0x940a0095,0xe72f20b4,0x637f0034,0x21e6020b}},	//   əmək_, صصي_, _nëna, _nôh_, 
   {{0x63a44b7b,0x3d1900a5,0x00000000,0x00000000}},	//   _ajin, _पाछे_, --, --, 
   {{0x98be00d9,0xbddb0118,0x69da4b7c,0xe52100c2}},	//   _dată_, _asèl, _iite, _मारि_, 
   {{0x69da4b7d,0x66094b7e,0x8afd02d9,0x26dd02a5}},	//   _hite, bsek, _poři, _ggwo_, 
   {{0x69da4b7f,0x201801f1,0x2fd900f8,0x98be020f}},	//   _kite, erri_, _risg_, _fată_, 
   {{0x9f41009e,0x6441045a,0x63a42b9e,0x60de0106}},	//   _guhê_, bwli, _ejin, _cgpm, 
   {{0x69da4b80,0x5f9503b7,0x27fe0065,0xf1bf0019}},	//   _mite, вивт, _jwtn_, lták_, 
   {{0x63a400e5,0x6d5c4b81,0x32551d7d,0x00000000}},	//   _gjin, _anra, _авир, --, 
   {{0x69da4b82,0xa3e40c97,0x2ee94b83,0xf1bf039f}},	// [3db0] _oite, _भूत_, rcaf_, nták_, 
   {{0x69da4b84,0xe1f0022a,0x9f51010e,0x63bd4b85}},	//   _nite, _اسي_, tszó_, llsn, 
   {{0x7d050348,0x628e00d0,0xf9910296,0x320b0083}},	//   rahs, ćnoš, یبت_, lscy_, 
   {{0x3f67030f,0x3eb94b86,0x69da0d44,0x3b640093}},	//   _чтоб, _tyst_, _aite, лъчв, 
   {{0x69da4b87,0xce580504,0xaa454b88,0x3ebf0228}},	//   _bite, _заяц_, телл, _áut_, 
   {{0x69da4b89,0x7f4d4b8a,0xf1bf010e,0x2b4908e3}},	//   _cite, ldaq, dták_, žac_, 
   {{0xdb0b0a5e,0x5ba70fb6,0xac950f5a,0xead10033}},	//   logí, _зраз, _равш, াডেম, 
   {{0x70de1615,0x66094b8b,0x69da4b8c,0x7f4d453c}},	//   _मल्ल, tsek, _eite, ndaq, 
   {{0x69da00a9,0x6e2d173f,0x63bd0036,0xf1bf039f}},	//   _fite, ntab, dlsn, gták_, 
   {{0x66094b8d,0x63b620ea,0x69da0199,0x6e2d4b8e}},	//   rsek, _skyn, _gite, itab, 
   {{0xc9844b8f,0xd6ab009c,0x6e2d040c,0x00000000}},	//   _сути, _کدام_, htab, --, 
   {{0x29073820,0xe29a4b90,0x91e606ee,0x6e2d4b91}},	//   lana_, дам_, коме, ktab, 
   {{0x69c8030f,0x29074b92,0xe29f003e,0x69da02b8}},	//   _yhde, oana_, taða_, _yite, 
   {{0x657a1f96,0x29074b93,0x200a0082,0x6b830034}},	//   ckth, nana_, tsbi_, ëngj, 
   {{0x20184b94,0x29074b95,0xafe602f1,0x442c0226}},	//   urri_, iana_, тобл, ctd_, 
   {{0x29074b96,0x63a40548,0x645e0304,0x7e7600c8}},	//   hana_, _ujin, _špig, tyyp, 
   {{0x6e2d02dc,0xdb0b033c,0x3ced009e,0x6abb025b}},	// [3dc0] gtab, gogí, _şeva_, _nyuf, 
   {{0x7bc90d8e,0x00000000,0x00000000,0x00000000}},	//   _aheu, --, --, --, 
   {{0x29074b97,0x69da4b98,0x61e44b99,0xe6be0239}},	//   dana_, _rite, _huil, _ऊर्ज, 
   {{0x69da4b9a,0x798102bf,0x7bc901c5,0x6e2d00f6}},	//   _site, _allw, _cheu, btab, 
   {{0x61e40518,0xdb150019,0x69da4b9b,0x7bc94b9c}},	//   _juil, óbál, _pite, _dheu, 
   {{0x644f0bc3,0x61e44b9d,0x6cc640a4,0x69da1f57}},	//   ācij, _muil, _айга, _qite, 
   {{0x69da4b9e,0x26c0012d,0xeb9a1271,0x97a62cb9}},	//   _vite, _šio_, _жив_, крил, 
   {{0x78ba08d7,0xf1bf0019,0x69da4b9f,0x798127f9}},	//   _vytv, tták_, _wite, _ellw, 
   {{0x29074ba0,0x09e608fa,0xe3b90c05,0x69da4ba1}},	//   bana_, _розн, ktır_, _tite, 
   {{0x69da051e,0xf1bf010e,0x00000000,0x00000000}},	//   _uite, rták_, --, --, 
   {{0x657a00e5,0xf4862220,0xa3d54ba2,0xe81900c2}},	//   rkth, тупн, лооч, _धिया_, 
   {{0x61e44ba3,0xc8840540,0x6e2d1279,0x00000000}},	//   _buil, ışı_, ytab, --, 
   {{0x81be00cc,0x61e44ba4,0xe5344ba5,0x7ae0012b}},	//   েদন_, _cuil, _бель, _mgmt, 
   {{0xc3c403dd,0x657d00e5,0x61e4004c,0xa3dd034d}},	//   лөөл, ësht, _duil, _थूक_, 
   {{0xb33b03b7,0x394c0f95,0xf4840444,0x83ab00a3}},	//   ança, _mads_, _حاشی, _отиб_, 
   {{0x29074ba6,0x6e2d4ba7,0x61e4006c,0x3dca02a5}},	//   zana_, ttab, _fuil, _ahbw_, 
   {{0x29074ba8,0x6ed60081,0xdfd80141,0x61e44ba9}},	// [3dd0] yana_, _मृदु, тър_, _guil, 
   {{0xbbcb000c,0x2907487a,0x22494baa,0x6e2d4bab}},	//   िष्क, xana_, _isak_, rtab, 
   {{0x29074bac,0x9f41011c,0x61e402b0,0x7bc900a1}},	//   vana_, _luhé_, _zuil, _pheu, 
   {{0x29074bad,0x261300a2,0xdd0306a2,0x777b01ca}},	//   wana_, _दिली_, ırın, xkux, 
   {{0x29074bae,0xee874baf,0xde6400fd,0x91660108}},	//   tana_, _рыно, _кърп, _sổ_, 
   {{0x98a54bb0,0x9aa40038,0x527c027a,0x394c00b9}},	//   лиле, جمهو, ונדא, _cads_, 
   {{0x29074bb1,0x013800a7,0x7bc94bb2,0xdd944bb3}},	//   rana_, דרות_, _theu, _тары, 
   {{0x29074bb4,0x394c4bb5,0x3869044e,0x7bc902be}},	//   sana_, _eads_, ćar_, _uheu, 
   {{0x29074bb6,0x645c2104,0x394c0118,0x999f008a}},	//   pana_, årin, _fads_, _kruż_, 
   {{0x61e44bb7,0x394c01dd,0x61e20212,0x893407cf}},	//   _ruil, _gads_, _éoli, _نعما, 
   {{0x232a03dc,0x290500e0,0x2249033e,0x9f600034}},	//   нони_, _iela_, _asak_, ërës_, 
   {{0x29050750,0x637f024a,0x888c0070,0xdb0b00b9}},	//   _hela_, _dëno, _קראַ, nogà, 
   {{0x22490105,0x61e44bb8,0x2d834bb9,0xe3b90241}},	//   _csak_, _quil, _olje_, ttır_, 
   {{0xff5f010c,0x2905310f,0x61e4038c,0x65944bba}},	//   _anî_, _jela_, _vuil, _качу, 
   {{0x29054bbb,0x224900e2,0xa3e7120f,0xa5da0070}},	//   _mela_, _esak_, _बढि_, _אַהי, 
   {{0x61e411a1,0x29054bbc,0x8afd02d9,0x60c14718}},	//   _tuil, _lela_, _mořs, ülma, 
   {{0x1fa74bbd,0xada600f6,0x733b00c7,0x2905084c}},	// [3de0] укти_, гаал, _טעקס, _oela_, 
   {{0x29054bbe,0x5bdc0527,0xe3b90241,0x00000000}},	//   _nela_, यद्व, ltıp_, --, 
   {{0x661b2abd,0x2d830352,0xe1ff0068,0x82361372}},	//   hruk, _dlje_, nxón_, _شرکا, 
   {{0xd9cc215e,0x09e64bbf,0x501b00a7,0xa09b00c7}},	//   ाष्ट, годн, _אוטו, _טייט, 
   {{0x2fc00cac,0xf1a9009c,0x394c4bc0,0x00000000}},	//   mlig_, _سایه_, _pads_, --, 
   {{0xfce30c39,0x29054bc1,0x661b2764,0xf84a00d9}},	//   _горо, _cela_, druk, ечий_, 
   {{0x29054bc2,0xdcfe01dd,0x6d4e02a5,0x6f060604}},	//   _dela_, sipē, _iaba, _kekc, 
   {{0x6d4e4bc3,0xa3e705fd,0x37a71ab1,0x2fc00d17}},	//   _haba, _बढ़_, лтын_, nlig_, 
   {{0x6d4e4bc4,0x29054bc5,0x030800c9,0x6b634bc6}},	//   _kaba, _fela_, _वज़ह_, _укта, 
   {{0x6d4e090a,0x163700eb,0x29054bc7,0x6f064bc8}},	//   _jaba, اسية_, _gela_, _lekc, 
   {{0x6d4e4bc9,0xc44500d4,0x2fc04bca,0x64570183}},	//   _maba, لیون_, klig_, _áxil, 
   {{0x6d4e4bcb,0x661b4bcc,0x2fc04bcd,0x29050a9f}},	//   _laba, bruk, jlig_, _zela_, 
   {{0x2fc039a9,0x290500e2,0x51874bce,0x6eb01dce}},	//   dlig_, _yela_, гува, _अँगु, 
   {{0x22494bcf,0x2905001d,0xa4d403bd,0x94d4002e}},	//   _vsak_, _xela_, _колі, _колц, 
   {{0xb40400a3,0x2fc00b48,0x6f064bd0,0x00000000}},	//   _тўлқ, flig_, _bekc, --, 
   {{0x6d4e4bd1,0x2fc00cac,0x5f944bd2,0x644a007b}},	//   _aaba, glig_, бист, _isfi, 
   {{0x645800ef,0x22494bd3,0x00000000,0x00000000}},	// [3df0] _hrvi, _usak_, --, --, 
   {{0x6d4e4bd4,0x8d77073c,0x66022141,0x40874b5e}},	//   _caba, دارا, _mwok, _бумб, 
   {{0x6add1422,0x6d4e17c7,0x29051415,0xa2d90c73}},	//   यश्र, _daba, _rela_, _नृत्, 
   {{0x64580704,0x8f471991,0x7ae4014b,0xdb0b010e}},	//   _mrvi, _сход, žitn, fogá, 
   {{0x29054bd5,0x6d4e4bd6,0x66024bd7,0xdb0b00b9}},	//   _pela_, _faba, _nwok, rogà, 
   {{0x6d4e4bd8,0x2d8300d0,0x64582965,0x09af1c25}},	//   _gaba, _ulje_, _orvi, टवेय, 
   {{0x29054bd9,0xa3e40c06,0x442e0226,0x6f06010c}},	//   _vela_, _भूल_, _nqf_, _yekc, 
   {{0x6d4e4bda,0x291b06d0,0x29054bdb,0x7d074bdc}},	//   _zaba, şqa_, _wela_, _hejs, 
   {{0x6d4e4bdd,0x29054bde,0x64584bdf,0x443c02a2}},	//   _yaba, _tela_, _arvi, _apv_, 
   {{0x6d4e00cf,0x80bb00a2,0x661b4be0,0xe7ed0a34}},	//   _xaba, _शुभे, rruk, _चंपा_, 
   {{0xa8a7387f,0x3f890226,0x657d0034,0x00000000}},	//   _срак, khau_, ëshq, --, 
   {{0xe72e4be1,0x7f4f4be2,0x661b033e,0x163500d9}},	//   _ќе_, _nacq, pruk, _ведя, 
   {{0x2fc00c29,0x442e008a,0x3f8900f8,0x644a3a14}},	//   vlig_, _eqf_, dhau_, _esfi, 
   {{0x6f064be3,0x7d07000d,0xbddb0118,0x2e2f0585}},	//   _sekc, _nejs, _erèz, düf_, 
   {{0x2fc04be4,0x6fb60195,0x637f0034,0x7f4f0106}},	//   tlig_, لمسا, _mënj, _bacq, 
   {{0x6d4e4be5,0x43931571,0x727a0148,0x1fa74be6}},	//   _saba, _мајс, _асос_, акси_, 
   {{0x2fc04be7,0x0e664be8,0x93bd020f,0xaefb00a1}},	// [3e00] rlig_, шкан, rtăt, _snùc, 
   {{0x6d4e4be9,0x2fc04bea,0x645e0684,0x4fea0240}},	//   _qaba, slig_, _ápic, _имон_, 
   {{0x6d4e0077,0x7d074beb,0x2d9a4bec,0x2fc04bed}},	//   _vaba, _dejs, ripe_, plig_, 
   {{0xfbc3177b,0x6d4e25f0,0x2d9a0cd7,0x3f894bee}},	//   обхо, _waba, sipe_, chau_, 
   {{0x6d4e4bef,0x7ae40076,0x7d0714f0,0x2d9a4bf0}},	//   _taba, žito, _fejs, pipe_, 
   {{0x2d9a00e5,0x93bd00d9,0xf1bf0032,0x66020027}},	//   qipe_, ntăr, stáv_, _rwok, 
   {{0xdc670a43,0x76590156,0x37aa00d3,0x2d984bf1}},	//   _кард_, _arwy, ктин_, _imre_, 
   {{0x69dd0036,0x765900f8,0x3f800028,0x660203a0}},	//   _èsen, _brwy, nkiu_, _pwok, 
   {{0xd0fb12e3,0xe9da4bf2,0x765900f8,0x7bc202d9}},	//   ्रमण_, _ака_, _crwy, mlou, 
   {{0x7bc24bf3,0x76590156,0x637f024a,0x00000000}},	//   llou, _drwy, _gënj, --, 
   {{0x2ec31933,0x7c3b07c7,0xa2d918b4,0xc5730038}},	//   _शर्त, _ćurk, नेन्, تطيع, 
   {{0x64580352,0x06ea0299,0x765900f8,0x6e24025b}},	//   _vrvi, _ऑलिव_, _frwy, kuib, 
   {{0x77624bf4,0xdd2100d8,0x765900f3,0x00000000}},	//   _inox, _růži, _grwy, --, 
   {{0x3f890090,0x7bc200d8,0xa63b00df,0x6e2401be}},	//   whau_, hlou, _סגור, duib, 
   {{0x7d074bf5,0x3f8902f0,0x74141c03,0x443c4bf6}},	//   _rejs, thau_, _اوبا, _upv_, 
   {{0x04db00d1,0x93bd020f,0x6e9508ba,0x661d020b}},	//   _בקול, drăg, бибу, šske, 
   {{0x3f890156,0x6e2428c9,0x7bc24bf7,0xea000023}},	// [3e10] rhau_, guib, dlou, _đếm_, 
   {{0x7bc20042,0x78ad04be,0x93bd020f,0x00000000}},	//   elou, şavi, ctăr, --, 
   {{0x70550a7c,0x8c6700d3,0x637f024a,0x2dd80038}},	//   _انجا, штад, _nënk, شبكة_, 
   {{0x2d984bf8,0x6e244bf9,0x7bc210cc,0x8b94017b}},	//   _emre_, buib, glou, оріч, 
   {{0x6f0d0b03,0x7f3a00c7,0x2d8f0107,0x6e242ac3}},	//   maac, _גערו, èges_, cuib, 
   {{0x5d850198,0x77624bfa,0x6f0d0339,0x7bc22f5a}},	//   _السل, _anox, laac, alou, 
   {{0x7bc24bfb,0xb4c23512,0xf1bf039f,0xe7390259}},	//   blou, ्धो_, ltás_, гей_, 
   {{0x6d454bfc,0x7bc24bfd,0xa76518ac,0x6f0d4bfe}},	//   leha, clou, скид, naac, 
   {{0x3f9900ca,0xf1bf010e,0x6b830034,0x7c250098}},	//   _mmsu_, ntás_, ëngu, luhr, 
   {{0x27170029,0x2d810204,0xc97400eb,0x00000000}},	//   ển_, nkhe_, _والث, --, 
   {{0x61f64bff,0xa2e600d3,0x04452b68,0x6f0d1a05}},	//   _styl, йонд, щенн, kaac, 
   {{0x03a645f1,0x6d454c00,0xc98502f1,0x76590156}},	//   симо, heha, _туғи, _trwy, 
   {{0x6d454c01,0xf66800d4,0xe56e4c02,0xd29a004f}},	//   keha, _نحوه_, _ез_, утні_, 
   {{0x9f580327,0x6d450054,0x7649044d,0x3a3f0175}},	//   mpré_, jeha, mwey, _mpup_, 
   {{0x64a24c03,0x6d454c04,0x65634c05,0x6f0d040c}},	//   _наша, deha, _innh, faac, 
   {{0x44254c06,0x93bd00d9,0x6e244c07,0x3f9901f5}},	//   mul_, stăr, tuib, _cmsu_, 
   {{0x44250aa4,0x0d8602f1,0x93bd020f,0x25fb0110}},	// [3e20] lul_, блан, ptăr, लीची_, 
   {{0x6d454c08,0xbea607f9,0x028700d3,0x9f470216}},	//   geha, _ҳамк, _ыйык_, _înî_, 
   {{0x44254c09,0x98a70009,0x69c30032,0x7649009e}},	//   nul_, menė_, dlne, hwey, 
   {{0xf1bf4c0a,0x442500d9,0x91660108,0x69c34c0b}},	//   stát_, iul_, _hồ_, elne, 
   {{0x44254c0c,0x7649016c,0x00000000,0x00000000}},	//   hul_, jwey, --, --, 
   {{0x44250757,0x76494c0d,0x7c250348,0x6d454c0e}},	//   kul_, dwey, buhr, ceha, 
   {{0x6c860084,0x44254c0f,0xa9672189,0x307a0070}},	//   _الأم, jul_, сија_, טאַנ, 
   {{0xf1bf0187,0x69c34c10,0x6563017c,0x22404c11}},	//   ntár_, alne, _annh, _opik_, 
   {{0x6a861dbc,0x35f700d4,0xb4c2059e,0x7c3b0613}},	//   _улаа, یرید_, ्ध्_, _ćuri, 
   {{0x44254c12,0x454a2166,0xd56602be,0x00000000}},	//   ful_, учим_, стип, --, 
   {{0x224000c5,0x290e4c13,0x7aed26b8,0x6f0d095a}},	//   _apik_, mafa_, žate, yaac, 
   {{0x29c90634,0xe29f008c,0x290e4c14,0x6b824c15}},	//   núan_, laði_, lafa_, nkog, 
   {{0x6d454c16,0x00000000,0x00000000,0x00000000}},	//   yeha, --, --, --, 
   {{0x442512fb,0xe29f008c,0x290e4c17,0x6f0d0053}},	//   bul_, naði_, nafa_, waac, 
   {{0x44250012,0x6f0d095a,0x61d80235,0x533500f0}},	//   cul_, taac, ёмся_, _дейт, 
   {{0x290e4c18,0x53a41b11,0x2240011c,0xc417010e}},	//   hafa_, _најб, _fpik_, _اغوا_, 
   {{0x6d454c19,0x6f0d4c1a,0xf1ab00d4,0x63ad4c1b}},	// [3e30] teha, raac, _ماده_, _ijan, 
   {{0xae1e00ab,0xf1bf039f,0x2d870228,0x91070a10}},	//   यंजन_, rtás_, óne_, _учид, 
   {{0x6d454c1c,0xe29f01d5,0x69c30032,0x76490027}},	//   reha, daði_, vlne, zwey, 
   {{0x6d45067c,0x53c92df7,0x7988011c,0x3f99016a}},	//   seha, रतिश, _aldw, _umsu_, 
   {{0x44254c1d,0x2bb1006a,0x290e4c1e,0x6d454c1f}},	//   zul_, jące_, fafa_, peha, 
   {{0x44254c20,0xe7ed0394,0x637f024a,0xb4e72659}},	//   yul_, _चंदा_, _dëni, _भले_, 
   {{0x442500d9,0x69dd01d8,0x29c90042,0xb17c2665}},	//   xul_, _èsem, búan_, רטור, 
   {{0xe61915eb,0x44254c21,0x63ad4c22,0x29c9001d}},	//   ади_, vul_, _njan, cúan_, 
   {{0x442504c6,0x69c30228,0x67294c23,0x290e4c24}},	//   wul_, plne, rgej, bafa_, 
   {{0x44254c25,0xae1e109f,0x290e1889,0x00000000}},	//   tul_, यूटन_, cafa_, --, 
   {{0x61fd064e,0x92e50086,0x63ad008a,0xf2c9008d}},	//   epsl, _পড়ে_, _bjan, _סע_, 
   {{0x44250aa4,0x394737b4,0xc169008d,0x76b93b60}},	//   rul_, lens_, _בח_, _клер_, 
   {{0x44254c26,0x63ad4c27,0x0cc63e22,0x7dd01d18}},	//   sul_, _djan, _वर्म, läse, 
   {{0x6b893f58,0x44254c28,0x39470533,0x66044c29}},	//   _lleg, pul_, nens_, _çika, 
   {{0xaf9a3740,0x6b9b0298,0x44250508,0x6b894c2a}},	//   атах_, _omug, qul_, _oleg, 
   {{0x82a600dd,0x290e4c2b,0x9f42009e,0x63ad021e}},	//   _майж, zafa_, _zikê_, _gjan, 
   {{0x1dc511bd,0x7ae4026e,0x2240016a,0x394718d3}},	// [3e40] वतंत, žitk, _upik_, kens_, 
   {{0x6b894c2c,0x6b9b4c2d,0x637f024a,0x39470b48}},	//   _aleg, _amug, _rëni, jens_, 
   {{0x39474c2e,0x29c90634,0x290e00ef,0xbddb0118}},	//   dens_, túan_, vafa_, _asès, 
   {{0x290e052b,0x00000000,0x00000000,0x00000000}},	//   wafa_, --, --, --, 
   {{0x5f0300e4,0x28f808de,0x39474c2f,0xade300a5}},	//   _ізра, бель_, fens_, _कंचन_, 
   {{0x39474c30,0x29c90068,0x3a260026,0x6b9b0539}},	//   gens_, súan_, ruop_, _emug, 
   {{0xda0b0262,0xe29f003e,0x00000000,0x00000000}},	//   सीबत_, raði_, --, --, 
   {{0x290e4c31,0x645e4c32,0xdff20299,0xe29f04f4}},	//   safa_, _špio, _आंनद_, saði_, 
   {{0x3cde05ff,0xbddb0107,0x056a122f,0xe29f01d5}},	//   _कृते_, _isèr, ајни_, paði_, 
   {{0x39474c33,0x63ad004f,0x2bb10083,0xf778007b}},	//   cens_, _sjan, rące_, _ruħu_, 
   {{0xa3e4000f,0x63ad4c34,0x290c0065,0x13f40504}},	//   _भूख_, _pjan, _ieda_, язня, 
   {{0xf74644f9,0x78ad0098,0x9f420034,0x290c4c35}},	//   _федо, ťový, _dikë_, _heda_, 
   {{0xcb1300a7,0x290c4c36,0x753d0019,0xe3b90095}},	//   ולר_, _keda_, ősza, brın_, 
   {{0x290c1eb9,0x637f0034,0x00000000,0x00000000}},	//   _jeda_, _nënv, --, --, 
   {{0xcf9b0886,0xdfd500c8,0x69d81b26,0xbddb011c}},	//   аја_, зовы, imve, _osèr, 
   {{0x63ad4c37,0x290c4c38,0x52154c39,0x2d8a00b3}},	//   _ujan, _leda_, _едит, _albe_, 
   {{0x3947026a,0x645a017e,0x2d8a00da,0x30e70259}},	// [3e50] yens_, lvti, _blbe_, _мінб, 
   {{0x63bd04d1,0x6b894c3a,0x3209040b,0x93bd00b3}},	//   losn, _sleg, _iway_, brăc, 
   {{0x39474c3b,0x6b894c3c,0xe1ff0126,0x61ed0354}},	//   vens_, _pleg, lpó_, _hual, 
   {{0x61ed04bb,0x3947018c,0x2d8a0f08,0xd0fb0299}},	//   _kual, wens_, _elbe_, ्रवण_, 
   {{0x290c4c3d,0x61ed1237,0x645e4c3e,0x7c3b0097}},	//   _beda_, _jual, _špil, _ćuru, 
   {{0x61ed4c3f,0x35cf00a5,0x39470876,0xa2ce0fc0}},	//   _mual, _सीढ़, uens_, _सरस्, 
   {{0x764215c4,0x290c4c40,0x39470f2d,0x6d550054}},	//   _apoy, _deda_, rens_, _iaza, 
   {{0x6b9b099d,0x6d554c41,0x39472379,0x61e50149}},	//   _umug, _haza, sens_, _lihl, 
   {{0x6d554c42,0x39474c43,0xd7060088,0x7ae900b9}},	//   _kaza, pens_, чные_, _iget, 
   {{0xb9982f89,0x9f42024a,0xd83b123f,0xdce70035}},	//   _двух_, _pikë_, _вэд_, _poję, 
   {{0x6d554c44,0x1b0e0086,0x7ae90364,0x32094c45}},	//   _maza, _হাতে_, _kget, _away_, 
   {{0x6d554c46,0xe1f803dc,0x61ed0a75,0x32090237}},	//   _laza, оҳи_, _bual, _bway_, 
   {{0x61ed4c47,0x69c10065,0x673b0082,0xe29f01d5}},	//   _cual, _kkle, mfuj, kaðu_, 
   {{0x6d554c48,0x61ed4c49,0x321e014b,0x61e502d9}},	//   _naza, _dual, čty_, _cihl, 
   {{0x61e50364,0x32090210,0x7ae900b4,0x63bd4bd0}},	//   _dihl, _eway_, _oget, bosn, 
   {{0x7ae92583,0x7ae40187,0x09a81f02,0x208a02c0}},	//   _nget, žiti, _औद्य, айҳи_, 
   {{0x6d5501cd,0x61ed4c4a,0x61e50364,0x71a63a88}},	// [3e60] _baza, _gual, _fihl, _наиз, 
   {{0x6d554c4b,0x637f024a,0xdee402f1,0x6e360009}},	//   _caza, _dënu, зоғи, rtyb, 
   {{0x64430065,0x0b464c4c,0x80da0033,0xb33b4c4d}},	//   _jpni, знен, _ব্র্, liça, 
   {{0x261c05fd,0x290c05d2,0x3b0d0226,0x7d0100b3}},	//   _मिली_, _seda_, _ceeq_, _pârâ, 
   {{0x6f044c4e,0x290c0574,0x00000000,0x00000000}},	//   mbic, _peda_, --, --, 
   {{0x64434c4f,0x6d554c50,0x69c1016a,0xe7ed00a5}},	//   _opni, _gaza, _ckle, _चूहा_, 
   {{0x8c434c51,0xd90d00c5,0xf772143f,0x290c4c52}},	//   _пере, شین_, فاظ_, _veda_, 
   {{0x69c14c53,0x6d5543d9,0x290c41ee,0xb6c400d3}},	//   _ekle, _zaza, _weda_, мөлд, 
   {{0x6d554c54,0x290c4c55,0x65780201,0x64434c56}},	//   _yaza, _teda_, _povh, _apni, 
   {{0x61eb026a,0x290c023e,0xb33b02aa,0x6d5500ad}},	//   _égli, _ueda_, diça, _xaza, 
   {{0x61ed4c57,0x6e243403,0x63bd4c58,0xa6e600f0}},	//   _sual, hrib, tosn, _ежел, 
   {{0x637f00e5,0x60c50088,0x6e244c59,0x61ed016a}},	//   _nënt, _ryhm, krib, _pual, 
   {{0x61ed4c5a,0x63bd4c5b,0x6e2402f1,0x61e5033d}},	//   _qual, rosn, jrib, _pihl, 
   {{0xbddb00f6,0x26c6023e,0x27e600a1,0x7dcb0241}},	//   _apèn, _iyoo_, _hion_, güsl, 
   {{0x6d554c5c,0x27e64c5d,0x637f024a,0x63bd4c5e}},	//   _raza, _kion_, _bënt, posn, 
   {{0x61ed4c5f,0x6d554c60,0xbddb00b9,0xb33b019c}},	//   _tual, _saza, _asèp, biça, 
   {{0x6d554c61,0x2bb100ab,0x27e60a75,0x6e2420bc}},	// [3e70] _paza, jąca_, _mion_, grib, 
   {{0x6d5506d0,0x7d1c02fe,0x60c500c8,0xec6b14c1}},	//   _qaza, _cdrs, _tyhm, йрек_, 
   {{0x6d554c62,0x645e003a,0x7dd00502,0x7d0e0508}},	//   _vaza, _špij, wäsc, _debs, 
   {{0x69c12679,0x6d552448,0x6e2401be,0x27e601ca}},	//   _skle, _waza, brib, _nion_, 
   {{0x6e244c63,0x6d554c64,0x2fc94c65,0xddeb2daa}},	//   crib, _taza, mlag_, _درجه_, 
   {{0xd90f0105,0x2fc94c66,0x27e6339d,0xbd450038}},	//   ایا_, llag_, _aion_, _تنسي, 
   {{0x236903ef,0x26c63974,0x27e64c67,0xdcf50237}},	//   _onaj_, _ayoo_, _bion_, _jozč, 
   {{0x69c10035,0x25ac00ca,0x27e61197,0x7d1c10ea}},	//   _wkle, endl_, _cion_, _zdrs, 
   {{0x6f0f4c68,0x645c36c2,0x673b19e2,0x7dd0161f}},	//   _mecc, ærin, rfuj, läsa, 
   {{0x6f0f4c69,0x2fc901c4,0x39150296,0x637f0ff2}},	//   _lecc, hlag_, _آواز, _oëns, 
   {{0x637f024a,0x27e64c6a,0xa34a20e8,0xc7bb16d0}},	//   _nëns, _fion_, озна_, _лёд_, 
   {{0x82a63ae5,0x7bda02a3,0x225203c5,0xb33b02be}},	//   дамж, _ètut, _psyk_, tiça, 
   {{0x9f420218,0x7ae40352,0xe2970b24,0x6e240248}},	//   _bikî_, žitv, дая_, xrib, 
   {{0x6f1d4c6b,0xb33b02a0,0x27e60a9f,0xd1751bb9}},	//   _adsc, riça, _zion_, нысы, 
   {{0x6f0f237e,0x14d10e7d,0x9f420218,0x64434c6c}},	//   _becc, _हरिण, _dikî_, _upni, 
   {{0x201e034c,0x6f0f4c6d,0x2fc94c6e,0x7d0e4c6f}},	//   štio_, _cecc, glag_, _sebs, 
   {{0x6f044c70,0x26c601c1,0x0eaa012d,0x00000000}},	// [3e80] rbic, _xyoo_, цкай_, --, 
   {{0x2369090b,0x6f044c71,0x6e244c72,0x4d4700d9}},	//   _znaj_, sbic, rrib, мпун_, 
   {{0x5f0605af,0x6c4a0fdc,0x51f60a5a,0x926500d4}},	//   _озна, تلاف_, _عسکر, _قدیم, 
   {{0x6e244c73,0x7d0e4c74,0x7d050038,0x5aca02a0}},	//   prib, _webs, abhs, олем_, 
   {{0x25be0369,0x6e244c75,0x9f5800b9,0x00000000}},	//   yotl_, qrib, mprà_, --, 
   {{0x2fc000eb,0x6f0f01d8,0x6d48014b,0xdd92010e}},	//   loig_, _zecc, ímač, _شوز_, 
   {{0xa3c305f6,0xa2a5072d,0x4b26007a,0x00000000}},	//   ्तम_, _चेन्, _يعرف, --, 
   {{0x97a30b34,0x3f92011c,0x44250144,0x00000000}},	//   крыл, nhyu_, drl_, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x26c6095a,0x4498017b,0x00000000,0x00000000}},	//   _vyoo_, звою_, --, --, 
   {{0x291e09a4,0x27e64c76,0xd49a4c77,0xe73a0e8a}},	//   _idta_, _tion_, юри_, _меж_, 
   {{0xdcf50098,0x926b4c78,0xc6a64c79,0x00000000}},	//   _rozč, орга_, _орли, --, 
   {{0x6f0f4c7a,0x44254c7b,0xf2074c7c,0x00000000}},	//   _recc, arl_, ьяно, --, 
   {{0x6f0f1d9c,0x2018018e,0x00000000,0x00000000}},	//   _secc, fsri_, --, --, 
   {{0x6f0f4c7d,0x656a00eb,0x40344c7e,0x00000000}},	//   _pecc, _infh, керс, --, 
   {{0x442c4c7f,0x9df91c93,0x69ca0502,0x00000000}},	//   mud_, знат_, hlfe, --, 
   {{0x442c4c80,0x2fc9050f,0x6f0f0141,0x2dd500d9}},	// [3e90] lud_, rlag_, _vecc, ежар, 
   {{0x2fc94c2e,0x6da40267,0x00000000,0x00000000}},	//   slag_, виђа, --, --, 
   {{0x442c4c81,0x2fc94c82,0x00000000,0x00000000}},	//   nud_, plag_, --, --, 
   {{0xad9b418f,0x61fb00b3,0x291e039f,0x3f920175}},	//   _stúd, ţulu, _adta_, chyu_, 
   {{0xa96908bd,0xa2a535a4,0xdbdc04f4,0x656a00a1}},	//   зила_, _चेम्, ráðn, _onfh, 
   {{0x442c4c83,0x7dd00219,0xac1917e0,0xdb0b0038}},	//   kud_, läsn, _ногу_, ingé, 
   {{0xb8f7190a,0x442c0985,0x1dbe09d8,0x645c003e}},	//   _सर_, jud_, ्तरत, æril, 
   {{0x442c4c84,0xa2f9047c,0x656a01be,0xd7f80023}},	//   dud_, ंडोज_, _anfh, _trăn_, 
   {{0x6e2d001d,0xaad30d5a,0x7afb2cb1,0x00000000}},	//   nuab, _तरिक, _ifut, --, 
   {{0x7bcb4c85,0xe5710038,0x00000000,0x00000000}},	//   llgu, اطة_, --, --, 
   {{0x442500a1,0xd4694c86,0x2907008b,0x9f97009e}},	//   url_, чине_, mbna_, rçê_, 
   {{0x4425084c,0x78530248,0x7f4d02be,0x00000000}},	//   rrl_, _nəvə, jeaq, --, 
   {{0x31c60216,0x442502a3,0x7afb044d,0xb3831b2d}},	//   _nêzî_, srl_, _mfut, улял, 
   {{0x442c0f96,0x201e0571,0x44250352,0x6e2d01a4}},	//   bud_, štim_, prl_, duab, 
   {{0x1beb0f01,0x25a54c87,0xa06702a6,0x442c4c88}},	//   _जंगल_, mill_, нара_, cud_, 
   {{0x3f890730,0x25a500bd,0xdee602be,0xdb000106}},	//   gkau_, lill_, еоби, _emmê, 
   {{0x63a602a2,0x78530095,0x4d66012d,0xc323021d}},	// [3ea0] mikn, _dəvə, нкав, _смык, 
   {{0x25a54c89,0x7dc60116,0xed5700b3,0x41064c8a}},	//   nill_, رقان, ноу_, _язов, 
   {{0xa0a601a2,0x10a6004f,0x98a70009,0x62864c8b}},	//   _чанд, _чинн, denį_, lyko, 
   {{0x63a6026e,0x6e2d4c8c,0x3f890502,0x00000000}},	//   nikn, buab, ckau_, --, 
   {{0x6f63030f,0x25a5008c,0xf1bf0634,0x19584c8d}},	//   _связ, kill_, irán_, далы_, 
   {{0xdca64c8e,0xf1bf00eb,0x442c4c8f,0x6f16027e}},	//   _заги, hrán_, yud_, layc, 
   {{0x442c025e,0x63a64c90,0xfdbe0035,0xa37b019c}},	//   xud_, kikn, ्तीफ, lmõe, 
   {{0x9fb8014b,0x442c0be0,0xca760080,0x63a60175}},	//   _očí_, vud_, _пузы, jikn, 
   {{0xf1bf08f4,0x25a54c91,0x442c09c2,0x5694004e}},	//   drán_, fill_, wud_, тапт, 
   {{0x442c3512,0x62864333,0x38c80274,0x162107d5}},	//   tud_, dyko, _قاضی_, _मिरर_, 
   {{0x46ea00ce,0xf1bf033c,0x63a64c92,0x43951d83}},	//   _еден_, frán_, fikn, ванс, 
   {{0x442c4c93,0xf1bf4c94,0x63a600e2,0x9f97024a}},	//   rud_, grán_, gikn, rçë_, 
   {{0x442c4c95,0x32190106,0xb33b0183,0xdb9b00d1}},	//   sud_, ussy_, siço, לסטר, 
   {{0x442c4c96,0xf1bf4660,0x63a601d2,0x66e34c97}},	//   pud_, arán_, aikn, _соча, 
   {{0xc4f707f5,0xf1bf4c98,0xd48f4c99,0x2134009e}},	//   _אזוי_, brán_, _ср_, _şahî_, 
   {{0x6e2d4c9a,0x394e0e16,0x00000000,0x00000000}},	//   tuab, hefs_, --, --, 
   {{0x28a71d00,0xb1840098,0x3f890028,0x8d870080}},	// [3eb0] _केनि, šťav, rkau_, нужд, 
   {{0x224902f5,0x3f894c9b,0x6e2d01ca,0xfd100038}},	//   _ipak_, skau_, ruab, مجم_, 
   {{0x6f160270,0x785300ad,0x00000000,0x00000000}},	//   bayc, _təvə, --, --, 
   {{0xa3c30b3e,0x28c400ab,0x501a00d1,0x1621017d}},	//   ्ति_, _लुधि, _קורו, _मिलर_, 
   {{0x2fd900f4,0x4174009c,0x5edf0033,0x6e2d0106}},	//   _ihsg_, _شایس, _ফ্রে, quab, 
   {{0x98a5004e,0x63a60065,0x7dcb00b0,0xf2d40070}},	//   киле, zikn, küsi, נעס_, 
   {{0xa3c30e6e,0x62861764,0x25a513d8,0x2d910243}},	//   ्ता_, zyko, vill_, _ilze_, 
   {{0x9ff300cc,0xf7711930,0x7afb025b,0xd7f10108}},	//   _জবাব_, شاب_, _ufut, _vũ_, 
   {{0xe80d0f63,0x63a60062,0x25a51f7e,0x995500d9}},	//   _सबका_, vikn, till_, _икац, 
   {{0xb46500dd,0x62864201,0x88e30033,0x00000000}},	//   вкол, vyko, নুষক, --, 
   {{0x232a18ae,0x63a63d94,0x2001023b,0x47353b8d}},	//   мони_, tikn, _nthi_, _анес, 
   {{0x03a602b9,0x628631bd,0xf8ae011c,0x25a54c9c}},	//   тимо, tyko, _بکه_, sill_, 
   {{0x63a62129,0x25a54c9d,0x20014c9e,0xf77007cb}},	//   rikn, pill_, _athi_, _دال_, 
   {{0x412a02fb,0x63a64c9f,0x62864ca0,0xdb000212}},	//   ього_, sikn, ryko, _emmè, 
   {{0xed5200d4,0x21210126,0x628603fa,0xa0a303dd}},	//   یپر_, _ddhh_, syko, аард, 
   {{0xe4e400dd,0x62664ca1,0x7e690455,0x7fd600f0}},	//   _січн, _авиа, _šepa, тігі, 
   {{0x69c34ca2,0xee3a0a8e,0x63a44ca3,0xed5a02f1}},	// [3ec0] kone, ьна_, _imin, моа_, 
   {{0x69c302fb,0xdb00026a,0x21751cb8,0x6e220082}},	//   jone, _immé, _буюр, šobo, 
   {{0x69c34ca4,0x7dd002ae,0xa7fc035d,0x00000000}},	//   done, säso, _arın, --, 
   {{0x09ca0fc0,0xa3d20d1d,0x661b4ca5,0xf1bf00bc}},	//   ित्य, वति_, ksuk, hrál_, 
   {{0x69c32379,0x63a44ca6,0xaefb00a1,0x7d170508}},	//   fone, _mmin, _cnùu, baxs, 
   {{0x69c34ca7,0x399000a1,0x8c4600f0,0x661b4ca8}},	//   gone, _bàsa_, _иеге, dsuk, 
   {{0xa3d2119b,0x6da34ca9,0x6d5c4caa,0x63a44cab}},	//   वता_, _тира, _iara, _omin, 
   {{0x368a02be,0x37a70161,0x661b016a,0x588309d9}},	//   дсон_, ктын_, fsuk, рыша, 
   {{0x6d5c2f6d,0x69c32538,0x661b1041,0x201e0b91}},	//   _kara, bone, gsuk, štih_, 
   {{0x63a44cac,0x69c34cad,0xe7ed02e6,0x55740d38}},	//   _amin, cone, _चूका_, угот, 
   {{0x92af1421,0x6d5c4cae,0x7c3e4caf,0x63a40065}},	//   _করে_, _mara, ntpr, _bmin, 
   {{0x6d5c0fe8,0x22490065,0x69dd0036,0x661b011c}},	//   _lara, _ppak_, _èser, bsuk, 
   {{0x2bb3034d,0x6d5c084c,0x00000000,0x00000000}},	//   ंचता, _oara, --, --, 
   {{0x63a44cb0,0xe5a32f0d,0x66024cb1,0x7c3e0bfe}},	//   _emin, _кичи, _itok, ktpr, 
   {{0x25ab026a,0xdb1b00e7,0xa5bd0028,0xdb000151}},	//   ècle_, _khuô, krųj, _emmé, 
   {{0x69c34cb2,0x6d5c0268,0x63a400ab,0x7e66011c}},	//   zone, _aara, _gmin, _brkp, 
   {{0x6d5c4cb3,0x69c34cb4,0xdef8004e,0x93b800d1}},	// [3ed0] _bara, yone, тыс_, _שלחו_, 
   {{0x63a44cb5,0x5c070ff6,0x7c3e076b,0x6602025b}},	//   _zmin, вяда, ftpr, _mtok, 
   {{0x26191567,0x3cde0e7d,0x7d173e06,0x69c34cb6}},	//   _मौनी_, केले_, raxs, vone, 
   {{0x69c34cb7,0xff04298d,0x66024cb8,0x6d5c1bf0}},	//   wone, _вярн, _otok, _eara, 
   {{0x6d5c4cb9,0x69da0bfc,0xa3ab320b,0x66024cba}},	//   _fara, _bhte, _गगन_, _ntok, 
   {{0x6d5c4cbb,0x64584cbc,0x644a02c9,0x69da11bb}},	//   _gara, _osvi, _opfi, _chte, 
   {{0xc7a5068e,0x66024cbd,0x6ce4004f,0x7c3e02b0}},	//   ликк, _atok, _віте, ctpr, 
   {{0x661b4cbe,0xdb1b00e7,0x69da00b0,0x69c34c72}},	//   tsuk, _chuô, _ehte, sone, 
   {{0x6d5c4cbf,0x7f5d4cc0,0x61fb0183,0x661b011d}},	//   _yara, _masq, íull, usuk, 
   {{0x6d5c4cc1,0x63a44cc2,0x39450026,0x69da09ec}},	//   _xara, _smin, _ubls_, _पीपी, 
   {{0xc98402f1,0x660202a5,0x6b80040c,0x98c700b3}},	//   _тути, _etok, _yomg, _рсал, 
   {{0x7f5d00f6,0x79814cc3,0x661b0eb1,0xe29a0165}},	//   _nasq, _holw, psuk, еам_, 
   {{0x6d474a41,0x69da0df8,0x154545f4,0x02de0035}},	//   _obja, _yhte, _белм, नेंभ, 
   {{0xf65200d1,0x41b503a1,0x00000000,0x00000000}},	//   _לצד_, асст, --, --, 
   {{0x6d5c4cc4,0x7c3e4cc5,0xb18400bc,0x9f97010c}},	//   _rara, xtpr, šťov, rçî_, 
   {{0x4f9500d3,0x6d474cc6,0x63a44cc7,0x7f5d026a}},	//   аруу, _abja, _umin, _casq, 
   {{0x0e66012d,0x29c90327,0x7d154cc8,0x6b804cc9}},	// [3ee0] ыкан, núas_, _bezs, _romg, 
   {{0x6d5c01de,0x3c3c4cca,0x79814ccb,0x7bc94ccc}},	//   _qara, tív_, _nolw, _akeu, 
   {{0x31570137,0x7f5d0068,0x3cf7010c,0x0c264ccd}},	//   _גיין_, _fasq, _şevê_, умен, 
   {{0x6d5c4b11,0x69da078e,0xeb974cce,0x2f5600dd}},	//   _wara, _shte, лих_, _стос, 
   {{0x6d5c13d7,0x79814ccf,0x8e754cd0,0xab3100ad}},	//   _tara, _bolw, _курч, zıçı_, 
   {{0x1db811bd,0xdd924cd1,0x6d5c10bb,0x443e4cd2}},	//   _आदित, _اوس_, _uara, ytt_, 
   {{0x6b800f96,0x3f824cd3,0x764b0028,0x798100f3}},	//   _tomg, _koku_, _apgy, _dolw, 
   {{0x3f82030f,0xf09300d1,0xdcfc0098,0x00000000}},	//   _joku_, מנו_, _morč, --, 
   {{0xaab80f7a,0x09360625,0x79814cd4,0xa91c0228}},	//   _अशिक, _مراج, _folw, _voľb, 
   {{0xa2a50a34,0x798148bb,0xaa9300eb,0x09e64cd5}},	//   _चेष्, _golw, _الكث, _созн, 
   {{0x94d44cd6,0x7e644cd7,0xdb1b0108,0xdcfc0121}},	//   ронц, hvip, _thuô, _norč, 
   {{0xdb0901ee,0xd497373a,0x837300a3,0x7dcb4cd8}},	//   _vjeç, урь_, сқич, lüst, 
   {{0x66024cd9,0x443e2e84,0x7f5d00f6,0x395e059e}},	//   _utok, stt_, _rasq, _kats_, 
   {{0xdcfc0d9d,0x365b00d1,0x7dcb0241,0x443e0106}},	//   _borč, _נכונ, nüst, ptt_, 
   {{0x6ab04cda,0x7f5d4cdb,0x4395012d,0x7d15010e}},	//   जपुर, _pasq, _вайс, _rezs, 
   {{0x29c9010d,0x9f34004e,0xf1a7004e,0x998600bc}},	//   núar_, йесі, _әрин, spoň_, 
   {{0xaaa43e5f,0x61f631ab,0x3f824cdc,0x4aa4252e}},	// [3ef0] _खेलक, _guyl, _doku_, _खेलव, 
   {{0x442c01b2,0x7bc90326,0x7bdb2e09,0x7dd002ae}},	//   ord_, _skeu, _shuu, näsh, 
   {{0x7f5d03a1,0xdcfc203b,0x3f8200b4,0x7dcb0241}},	//   _tasq, _gorč, _foku_, düst, 
   {{0xc1a7004e,0xc8ff07d5,0x442c161c,0x6ab000c2}},	//   _шыққ, ॉर्म_, ird_, जपूर, 
   {{0x6f0d3b58,0xee874cdd,0x7981085b,0xfe3500c7}},	//   mbac, _сыно, _polw, _דאָך_, 
   {{0x6f0d4cde,0xdd9503a1,0x940a00ad,0x395e00df}},	//   lbac, _тагы, şmək_, _cats_, 
   {{0x79810318,0x7bdb016a,0x6f0d1f96,0x201e0082}},	//   _volw, _thuu, obac, štiv_, 
   {{0x2d8300ce,0x6f0d4cdf,0x762502f1,0x6e2d0036}},	//   _hoje_, nbac, амиз, orab, 
   {{0x2d8303ef,0xe6164ce0,0x442c16af,0xbb8400eb}},	//   _koje_, ады_, erd_, _القي, 
   {{0x6f0d4ce1,0x2b5f006d,0x395e022c,0xd7fb4ce2}},	//   hbac, _hauc_, _gats_, _зуд_, 
   {{0x0445418c,0xa3c300f4,0x7dcb01c4,0x645e4ce3}},	//   шенн, ्तं_, lüss, _špir, 
   {{0xa2e64ce4,0x62663a8d,0x2d834ce5,0xf1bf4ce6}},	//   ионд, авма, _loje_, brák_, 
   {{0x3f821175,0x442c4ce7,0x69da0fcf,0xdb0b0054}},	//   _roku_, ard_, _पीडी, ingà, 
   {{0xdcfe00e0,0x48dc000d,0xdcfc00ef,0x6e2d4ce8}},	//   āvīg, गेको_, _porč, drab, 
   {{0x6f0d4ce9,0x0cb000cc,0xc0e64cea,0x66094ceb}},	//   fbac, _কর্ত, ровк, lpek, 
   {{0xa3c32511,0x64414cec,0x7e6400ef,0x25a700ca}},	//   ्तः_, mtli, tvip, _hmnl_, 
   {{0x2d8302f5,0x644101c4,0x25a700ca,0x66094ced}},	// [3f00] _boje_, ltli, _kmnl_, npek, 
   {{0xd24f009c,0x27ef4cee,0x64410326,0xe3b90241}},	//   _کنی_, _lign_, otli, brıs_, 
   {{0x64414cef,0x3f824cf0,0xed570c84,0xa3bd1615}},	//   ntli, _toku_, рох_, _आदम_, 
   {{0xab2a37d6,0x64414cf1,0x395e0c17,0xdb0b0165}},	//   тода_, itli, _sats_, ligê, 
   {{0x395e2a68,0x2360006d,0x6441349e,0x2d830528}},	//   _pats_, _maij_, htli, _foje_, 
   {{0x64414cf2,0x23600201,0x442c4cf3,0x2d834cf4}},	//   ktli, _laij_, yrd_, _goje_, 
   {{0x7dcb4717,0x66094cf5,0x5b360a65,0x98a52120}},	//   rüst, epek, _вэзу, _balı_, 
   {{0xf1bf1acf,0x2360006d,0x7dcb007e,0xddc40083}},	//   nuár_, _naij_, süst, ywiś, 
   {{0xd6d74cf6,0x64414cf7,0x00000000,0x00000000}},	//   ить_, etli, --, --, 
   {{0x64411b2e,0x80f515c8,0x6f0d0112,0x356a4cf8}},	//   ftli, _आलेख_, zbac, трин_, 
   {{0x442c012e,0x291c0e43,0x6f0d4cf9,0x660906e4}},	//   urd_, mava_, ybac, apek, 
   {{0x291c4cfa,0x236001c1,0x6e2d023a,0x00000000}},	//   lava_, _caij_, yrab, --, 
   {{0x9f42030f,0x48fd000d,0xda1900ab,0xf1bf010e}},	//   _mikä_, रुको_, नीपत_, nság_, 
   {{0x6e2d4cfb,0x98a500ad,0x442c00de,0xc1a60259}},	//   vrab, _zalı_, prd_, бысқ, 
   {{0x6441039b,0x2d834cfc,0x1fa74cfd,0x2fd202ae}},	//   ctli, _roje_, араг, flyg_, 
   {{0x6e2d2244,0xcf9816d9,0x291c4cfe,0xa3d20b6c}},	//   trab, ају_, hava_, वतः_, 
   {{0x2d830121,0x31351c42,0x74d80033,0x112b0176}},	// [3f10] _poje_, _лепр, _সলিউ, _июни_, 
   {{0x6e2d4cff,0x6f0d4d00,0xf1bf010e,0x2b5f01dd}},	//   rrab, sbac, dság_, _sauc_, 
   {{0x201e00bc,0x00000000,0x00000000,0x00000000}},	//   átit_, --, --, --, 
   {{0x6e2d17f9,0x3a754076,0xdea100d4,0x23600201}},	//   prab, йлер, _فیزی, _xaij_, 
   {{0xeab00195,0x6fc4009a,0x64414d01,0x80a4009c}},	//   وعه_, वकरं, ztli, _همین, 
   {{0x9f42030f,0x27ef0056,0x98a5027e,0x21fd0108}},	//   _eikä_, _sign_, _salı_, _mìh_, 
   {{0x7c950084,0x6c85003f,0x64414d02,0xdb0b02ae}},	//   _الأص, _الزم, xtli, dogö, 
   {{0x5ba409e7,0x9f97022c,0x00000000,0x00000000}},	//   _друз, nçà_, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x291c4d03,0x66094d04,0x660d0241,0x644135c5}},	//   cava_, rpek, _çakm, ttli, 
   {{0xd7fb01a2,0x845800fd,0x74ca048e,0x64414718}},	//   _руз_, арят_, _सुदृ, utli, 
   {{0x64414d05,0x23600201,0xad9b008c,0xdcfc01dd}},	//   rtli, _qaij_, _stúl, _morā, 
   {{0x660508a7,0x162109d8,0xd6294d06,0x80cd0299}},	//   _упла, _मिटर_, _соле_, _दुबे, 
   {{0x637f01ee,0x91030093,0x00000000,0x00000000}},	//   _mëny, зпре, --, --, 
   {{0xdcfc002a,0x436a03dc,0x23600201,0xf1bf039f}},	//   _norā, _байн_, _taij_, zság_, 
   {{0xd00f0fdc,0x291c4d07,0xe3b906a2,0x4fa30093}},	//   علق_, zava_, lsın_, писв, 
   {{0xa3bd0262,0xdd8f0274,0xdee3063f,0xea0000e7}},	// [3f20] _आदत_, کول_, зоти, _đắm_, 
   {{0x201e03b7,0x291c20dc,0x627b0070,0x6e2b010e}},	//   átis_, xava_, _ענינ, ágba, 
   {{0x261900a5,0xbddb05d5,0x0fda009c,0xcb6a0267}},	//   _मौसी_, _apès, _مبحث_, лаже_, 
   {{0xf3f900cc,0x201e012d,0xed5700f0,0x00000000}},	//   _আবার_, štis_, _қос_, --, 
   {{0xc6b20033,0xe3b90ef3,0x00000000,0x00000000}},	//   _চর্চ, ksın_, --, --, 
   {{0x5d860038,0x7d960038,0xfce6324c,0xf1bf039f}},	//   _الآل, _السؤ, _гого, rság_, 
   {{0xf1bf0019,0xc8664d08,0x3ea04d09,0xb7a0040c}},	//   sság_, стли, lzit_, _do壮t, 
   {{0xbb430088,0x3f9202a2,0xf76f0629,0xc6f84d0a}},	//   _неск, nkyu_, فاً_, шних_, 
   {{0xf66a00d4,0xd6d000eb,0xdb0b0151,0x9f9702be}},	//   احبه_, بقة_, digè, nçá_, 
   {{0x8afd00bc,0x39994d0b,0x7d1e4d0c,0x00000000}},	//   _vaře, _pèse_, naps, --, 
   {{0x2ed5000d,0x69ca0ab4,0x07a6021c,0x6fc8109f}},	//   _दर्त, mofe, _лажн, लवां, 
   {{0x69ca4d0d,0xc7f700a7,0x4871009c,0x7d1e4d0e}},	//   lofe, _הזאת_, _آگوس, haps, 
   {{0x7d1e2e33,0x2bc918b4,0xf6d64d0f,0x00000000}},	//   kaps, िकता, _ازاد, --, 
   {{0xf2070176,0x645c4d10,0x00000000,0x00000000}},	//   ияҳо, æris, --, --, 
   {{0x251b027a,0xbddb0212,0x00000000,0x00000000}},	//   _גווא, _opèr, --, --, 
   {{0xa3bd00b5,0x398b1494,0xd5b801dd,0x69ca4d11}},	//   _आदि_, _høst_, lnā_, hofe, 
   {{0x63af22ed,0x88bc031e,0x22590080,0x9f9700f6}},	// [3f30] micn, _sděl, _типы_, rçà_, 
   {{0xa3dd04d7,0x63af03ef,0x628f023e,0x320906e4}},	//   _तीत_, licn, myco, _itay_, 
   {{0xa91c0228,0xc8a71567,0xdb0b4d12,0xbddb01e5}},	//   _poľn, _केंट, ligé, _spès, 
   {{0x63af0d26,0x2d9802fe,0x93bd00d9,0x398b14a4}},	//   nicn, _elre_, crăt, _løst_, 
   {{0x7f3a0137,0xa91c0187,0x0e0843a9,0xba2400f0}},	//   _דערו, _voľn, _гэси_, здік, 
   {{0x69ca4d13,0xbddb00b9,0x63af0604,0x9f4b0354}},	//   gofe, _epèr, hicn, _micí_, 
   {{0x88bc031e,0xab95004f,0x00000000,0x00000000}},	//   _uděl, _диві, --, --, 
   {{0x6d574d14,0x91f907d5,0x7762011c,0xd5b801dd}},	//   lexa, ंदाज_, _caox, enā_, 
   {{0x7bcb02f5,0x69ca02aa,0x3b7800b3,0x2b4d0354}},	//   mogu, bofe, _уйтэ_, _ibec_, 
   {{0x7bcb4d15,0xdb0b4d16,0x6d571484,0x05a900c8}},	//   logu, digé, nexa, рвой_, 
   {{0xe3ba0088,0x32094421,0x7dd04d17,0xe3b9008f}},	//   ибо_, _atay_, mäst, rsın_, 
   {{0x3ce10da6,0x42ea4d18,0x7762008a,0x7dd04d19}},	//   _करने_, имно_, _gaox, läst, 
   {{0x7d1e01ff,0xdb0b0151,0x00000000,0x00000000}},	//   yaps, rigè, --, --, 
   {{0x7dd04d1a,0x6d57039b,0xdb0b01e5,0x00000000}},	//   näst, jexa, sigè, --, 
   {{0x63af034c,0x7bcb007e,0x2b4d05a8,0xea0000e7}},	//   bicn, kogu, _obec_, _đậm_, 
   {{0x673b0098,0x65634d1b,0x6443008a,0x2a6d0175}},	//   nguj, _hanh, _iqni, _oreb_, 
   {{0x2a6d0201,0x6563012b,0x3f990102,0x3f92016a}},	// [3f40] _nreb_, _kanh, _dlsu_, rkyu_, 
   {{0x5bd21f19,0x3ea0024a,0x00000000,0x00000000}},	//   तत्व, rzit_, --, --, 
   {{0x7bcb4d1c,0x7d1e4d1d,0x656324bb,0x6f1f0248}},	//   fogu, raps, _manh, baqc, 
   {{0x29054d1e,0xa91c0228,0x65634d1f,0x7d1e4d20}},	//   _afla_, _poľo, _lanh, saps, 
   {{0x7dd00219,0x6f040ab4,0x65630210,0xe9e61934}},	//   fäst, mcic, _oanh, оцко, 
   {{0x082a4d21,0x63af0613,0xf8060577,0x291a4d22}},	//   ации_, zicn, очин, úpa_, 
   {{0x69ca4d23,0x2a6d09c7,0x23ca1df3,0x7d1c0d62}},	//   rofe, _ereb_, रवाद, _iers, 
   {{0x7d1c120b,0x656301a9,0xebe3005e,0x7e6900ca}},	//   _hers, _aanh, _жосп, _šepi, 
   {{0x7d1c4d24,0x656303b7,0x63af0f23,0x2a6d02c9}},	//   _kers, _banh, vicn, _greb_, 
   {{0x48e64556,0x7dd04d25,0x65634d26,0x7d1c4d27}},	//   _дозв, mäss, _canh, _jers, 
   {{0x2cfb1a61,0x63af00d2,0x7d1c4d28,0x7dd04d29}},	//   יליא, ticn, _mers, läss, 
   {{0x6f0401b4,0x6b824d2a,0xf1bf031e,0x00000000}},	//   jcic, njog, hrát_, --, 
   {{0xf1bf037f,0x7d1c0c0c,0x65630379,0x3e4e0243}},	//   krát_, _oers, _fanh, nētā_, 
   {{0x656300ce,0x63af090b,0x628f2d41,0xc87e0095}},	//   _ganh, sicn, ryco, şğul_, 
   {{0x34940013,0x63af00d2,0xdb0b033e,0x6d570068}},	//   _хайр, picn, sigé, vexa, 
   {{0x6d4e4d2b,0x67204d2c,0x23280267,0x798802a5}},	//   _abba, namj, _доћи_, _lodw, 
   {{0x7d1c4d2d,0x63ad4d2e,0x59ca021a,0x6d574d2f}},	// [3f50] _bers, _iman, ाकार, texa, 
   {{0x7d1c4d30,0x93bd00d9,0x79880156,0x69da0035}},	//   _cers, crăr, _nodw, _पीली, 
   {{0x6d574d31,0x7d1c4d32,0x7dd00088,0x7bcb4d33}},	//   rexa, _ders, väst, togu, 
   {{0x7d1c1f3a,0x6d574d34,0x6d4e0298,0x6f0401d8}},	//   _eers, sexa, _ebba, ccic, 
   {{0x7d1c4d35,0xea00001b,0x63ad4d36,0x798803c6}},	//   _fers, _đảm_, _mman, _bodw, 
   {{0xa3dd1516,0x7d1c4d37,0x8dfa00a7,0x4e1600a7}},	//   _तीस_, _gers, _להשת, _מחשב_, 
   {{0x63ad4d38,0x7857015d,0x7bcb4d39,0x319c00d1}},	//   _oman, تیاز_, pogu, שבונ, 
   {{0x2a6d0c28,0x65634d3a,0xe61902f1,0x7d1c01c4}},	//   _treb_, _sanh, бди_, _zers, 
   {{0x65630008,0x6f1d4d3b,0x39640088,0x7d1c4d3c}},	//   _panh, _mesc, össä_, _yers, 
   {{0x63ad4d3d,0x6f1d4d3e,0x7d1c4d3f,0x79884d40}},	//   _aman, _lesc, _xers, _godw, 
   {{0x6563030f,0x5fbd3512,0x8afd00bc,0xb8d00033}},	//   _vanh, ्काल, _zařa, _টু_, 
   {{0x6f1d4d41,0x739a3e35,0x6b9b011c,0x8c490384}},	//   _nesc, стос_, _jlug, maşı, 
   {{0x63ad085b,0x8c4903c0,0x6f0400d2,0x6b894d42}},	//   _dman, laşı, vcic, _moeg, 
   {{0x63ad4d43,0xf1bf4d44,0x64a54d45,0xd1750f82}},	//   _eman, drás_, _нала, мысы, 
   {{0x6f1d4d46,0x251a042c,0x6b9b0298,0x6aa2245e}},	//   _besc, _הוצא, _olug, zzof, 
   {{0x63ad4d47,0x7d1c4d48,0x6e244d49,0x9f5a35ee}},	//   _gman, _sers, tsib, _kupé_, 
   {{0x6f1d24bb,0x59cb000c,0x6e244d4a,0x88d10086}},	// [3f60] _desc, िवार, usib, াধিক, 
   {{0x7d1c00e5,0x63ad02ee,0x6b9b4d4b,0x75214d4c}},	//   _qers, _zman, _alug, nalz, 
   {{0x7d1c0d2b,0x1b0d00cc,0x3ce100a2,0xa3c300a2}},	//   _vers, _হয়ে_, _करणे_, ्तच_, 
   {{0x6f1d1386,0x8c490c05,0x7d1c00ab,0xfbd21169}},	//   _gesc, daşı, _wers, رتا_, 
   {{0x7d1c1336,0x798800ab,0x6b890054,0x298a44e8}},	//   _ters, _podw, _doeg, йско_, 
   {{0x6f1d00d2,0xf1be017d,0x7dd000c8,0x442700fb}},	//   _zesc, ोविन, räss, _ovn_, 
   {{0x6b9b4d4d,0x2d8a0183,0xfce60104,0x7dd04d4e}},	//   _flug, _iobe_, _хово, säss, 
   {{0x3ce10da6,0x9f580327,0xa91c0228,0x6b9b008c}},	//   _करते_, mpró_, _koľk, _glug, 
   {{0xfaa30ec6,0x98b100e0,0x7bc002b0,0x44274d4f}},	//   _зато, ībām_, _ijmu, _avn_, 
   {{0x63ad00f1,0xf64f23e6,0x5a634d50,0x75214d51}},	//   _sman, ائي_, _якуб, galz, 
   {{0xdcfc0035,0x2d8a0415,0x6720024a,0xbebb0ff2}},	//   _gorą, _mobe_, pamj, _teëg, 
   {{0x291e4d52,0x69d84728,0x57fb00d1,0x63ad011c}},	//   _heta_, llve, _הלאו, _qman, 
   {{0x291e4d53,0xe7370f5a,0x2707001b,0x44274d54}},	//   _keta_, _хеч_, _ống_, _evn_, 
   {{0x291e00e5,0x752100d9,0x2d8a0054,0xa3dd0262}},	//   _jeta_, calz, _nobe_, _तीर_, 
   {{0x291e4d55,0xdfd50b34,0xd7b00110,0x44f7010e}},	//   _meta_, довы, _जगाच, _عروج_, 
   {{0x291e4d56,0xf1bf1056,0xc43b00d1,0xbfd9004f}},	//   _leta_, trás_, _התהי, ідає_, 
   {{0x6f1d4d57,0x2d8a07d7,0x7d054d58,0xddd000bc}},	// [3f70] _vesc, _bobe_, tchs, _řeši, 
   {{0xf1bf4d59,0x7d0501c4,0x506700a3,0x6b8900d7}},	//   rrás_, uchs, _етма, _soeg, 
   {{0x7d0502f2,0x64484d5a,0x6f1d28b6,0x2d8a4d5b}},	//   rchs, ntdi, _tesc, _dobe_, 
   {{0xfc3000b8,0x291e0102,0x69d84d5c,0x7d054d5d}},	//   احل_, _aeta_, elve, schs, 
   {{0x6e220112,0x6b89012e,0x957c0009,0x6b9b4d5e}},	//   šobr, _voeg, rmąj, _vlug, 
   {{0xac194d5f,0x3f8b04d1,0x64484d60,0x7f4d00e2}},	//   _могу_, _hocu_, ktdi, lfaq, 
   {{0x6b891f3a,0xb9050790,0x291e0300,0x246c00bc}},	//   _toeg, _नर_, _deta_, _něm_, 
   {{0x06094d61,0xefc800e7,0x8c4904be,0x2d8a0352}},	//   оник_, _địch_, raşı, _zobe_, 
   {{0x291e4d62,0xb659004f,0x7afb4d63,0x2d8a0027}},	//   _feta_, іших_, _igut, _yobe_, 
   {{0x291e010d,0x1dbf4a93,0x442701dd,0xbebb0326}},	//   _geta_, ्वित, _pvn_, _geëe, 
   {{0xb8081966,0x7afb0149,0xf8e10586,0x64a52fc2}},	//   _فيلم_, _kgut, _फरिय, фана, 
   {{0x7e6d026e,0x44254d64,0x3f8b0571,0x61c61df3}},	//   kvap, rsl_, _nocu_, लक्ष, 
   {{0x1dbf4d65,0x61ff008a,0x21e40380,0x44250502}},	//   ्वात, _cuql, höhe_, ssl_, 
   {{0x44274d66,0x776902ae,0xb6050352,0x00000000}},	//   _tvn_, ldex, _vešč, --, 
   {{0xdb000088,0x3f8b00d0,0x644801f2,0x7f4d00a3}},	//   _ymmä, _bocu_, ctdi, ffaq, 
   {{0xafe34d67,0x200c01dd,0x3f8b4d68,0xb6050144}},	//   восл, īdi_, _cocu_, _tešč, 
   {{0xa1c64d69,0x76494d6a,0xd26300d3,0x200c2f26}},	// [3f80] _обид, ntey, _акый, ūdi_, 
   {{0xa2ad00a2,0xee3700dd,0x225700d4,0x2d8a084c}},	//   ीपर्, ьну_, _کلید_, _qobe_, 
   {{0x0b464d6b,0x291e4d6c,0x1d19004f,0x013500c7}},	//   днен, _reta_, яють_, _אָרט_, 
   {{0x291e4d6d,0x3ebf0112,0x3f8b0ab4,0x69c14d6e}},	//   _seta_, _žute_, _gocu_, _ajle, 
   {{0x2d8a4d6f,0x656800f8,0x00000000,0x00000000}},	//   _tobe_, yddh, --, --, 
   {{0x291e07d7,0x7afb01f1,0x67c101dd,0x13bb1a21}},	//   _qeta_, _egut, vēja, _उद्भ, 
   {{0x291e4d70,0xf54e001b,0xeb9a4d71,0xfc0308bd}},	//   _veta_, _bụng_, _див_, _апсо, 
   {{0x76490218,0x3320022c,0x3a260f3a,0x6f160156}},	//   ftey, _neix_, psop_, nbyc, 
   {{0xf54e00f7,0x2b4400ef,0x39464d72,0x00000000}},	//   _dụng_, _icmc_, _онаг, --, 
   {{0x2a640c28,0xdcfc0df4,0x9f5e0216,0x67c101dd}},	//   _ismb_, _dorć, êtê_, rēja, 
   {{0x53ca00b0,0x332000b9,0x34940176,0x2b44025b}},	//   रवंश, _beix_, ханр, _kcmc_, 
   {{0x64484d73,0x67c101dd,0x6e360035,0x9f4c01e5}},	//   rtdi, pēja, kryb, _èlèk_, 
   {{0x64484d74,0x61f74d75,0xe29800e4,0x332000b9}},	//   stdi, _pixl, даў_, _deix_, 
   {{0x246c02d9,0x00000000,0x00000000,0x00000000}},	//   _těm_, --, --, --, 
   {{0x8557042c,0x104800c8,0x332000f6,0x1dbf021a}},	//   _חשוב_, мяти_, _feix_, ्वसत, 
   {{0x27e6012a,0x7e6d0844,0xa3e60249,0x00000000}},	//   _jhon_, tvap, _बीप_, --, 
   {{0x7f4d00e5,0x27e602a2,0x3f8b00ca,0x93bd020f}},	// [3f90] rfaq, _mhon_, _vocu_, nsăm, 
   {{0xaad20262,0xdb0b0369,0x7e6d14c0,0x5dd5189a}},	//   _तड़क, rigí, rvap, رقائ, 
   {{0x27e60495,0xdb0b020f,0x7f950176,0x39990118}},	//   _ohon_, vigâ, _занх, _sèso_, 
   {{0x2b440068,0x332000b9,0x27e60108,0x00000000}},	//   _ccmc_, _xeix_, _nhon_, --, 
   {{0xf54e0023,0x7649009e,0xdfd10e0e,0x00000000}},	//   _rụng_, xtey, _ليگ_, --, 
   {{0x6ce7005e,0xa3e60d4f,0x27e64d76,0x2b44016a}},	//   _жібе, _बीन_, _ahon_, _ecmc_, 
   {{0x27e60014,0x200100b0,0x21210175,0x00000000}},	//   _bhon_, _juhi_, _mehh_, --, 
   {{0xd0f80a33,0x7afb4d77,0x20014d78,0x27e64d79}},	//   ומות_, _ugut, _muhi_, _chon_, 
   {{0xb8d600a2,0xea0000e7,0xf54e0023,0x7a35010e}},	//   _चे_, _đầm_, _vụng_, _سٹائ, 
   {{0x2121016a,0x89384d7a,0x76494d7b,0x27e600a1}},	//   _nehh_, _опус_, rtey, _ehon_, 
   {{0x76494d7c,0x332003a1,0xf54e0023,0x20014d7d}},	//   stey, _peix_, _tụng_, _nuhi_, 
   {{0xf1bf0183,0x6e360028,0xdb0b00f6,0x00000000}},	//   usán_, yryb, nigà, --, 
   {{0x27ed4d7e,0xbb3a0070,0xd7cc009a,0x65950028}},	//   mmen_, הערי, ावरच, _паду, 
   {{0x20010008,0x74ca0299,0x15454d7f,0x00000000}},	//   _buhi_, _सुकृ, _чекм, --, 
   {{0xddc4034c,0x212102a2,0xaf9a0701,0x05740296}},	//   jviš, _dehh_, птах_, _جاند, 
   {{0x27ed158b,0xbebb0034,0x273a0384,0x21210175}},	//   nmen_, _ndës, münü_, _eehh_, 
   {{0xee3a4d80,0x27ed4d81,0xbea34d82,0x273a3063}},	// [3fa0] яна_, imen_, гатк, lünü_, 
   {{0x27ed02ec,0x6e361f87,0xdca62cc7,0x5d674d83}},	//   hmen_, rryb, нази, ниум_, 
   {{0x2369006d,0x273a06a2,0x27ed4d84,0x00000000}},	//   _yaaj_, nünü_, kmen_, --, 
   {{0x27ed4d85,0x67c101dd,0xa3e60299,0x6e360528}},	//   jmen_, dējo, _बीम_, pryb, 
   {{0xfeba0e61,0x27ed02eb,0xc333029e,0x00000000}},	//   _راحت_, dmen_, רוד_, --, 
   {{0x27e64d86,0x27ed4d87,0x7db60038,0x20010610}},	//   _shon_, emen_, _أصحا, _yuhi_, 
   {{0xfce31d05,0x395c4d88,0x27e60036,0xa3e009ec}},	//   _боро, revs_, _phon_, थता_, 
   {{0x2fc04d89,0x6d5e4d8a,0x7c3e00ef,0x00000000}},	//   nnig_, lepa, mupr, --, 
   {{0x7c3e0076,0x2fc04d8b,0xe60f1c03,0x00000000}},	//   lupr, inig_, یشی_, --, 
   {{0x6d5e4d8c,0x9f4000c8,0x2fc000f8,0xdcfc0083}},	//   nepa, lmiä_, hnig_, _porę, 
   {{0xd49715d3,0xd6da006b,0x27e64d8d,0x7c3e01dd}},	//   еря_, _کوشش_, _thon_, nupr, 
   {{0x6d5e4d8e,0x27e60008,0x20014d8f,0xb6a6112d}},	//   hepa, _uhon_, _ruhi_, _пиел, 
   {{0x6d5e0a13,0x20012c9e,0xddc40372,0x00000000}},	//   kepa, _suhi_, zviš, --, 
   {{0x6d5e056e,0x7c3e4d90,0x660f0032,0x1a9b0070}},	//   jepa, kupr, ícke, ליכע, 
   {{0xbebb078e,0x6d5e4d91,0x66020080,0x273a0761}},	//   _ndër, depa, _huok, cünü_, 
   {{0x443e4d92,0x987b0137,0x66024d93,0xb27537ce}},	//   mut_, האלט, _kuok, _алиш, 
   {{0x443e4d94,0x66021838,0x9df92831,0x69b10035}},	// [3fb0] lut_, _juok, днат_, _अगली, 
   {{0x443e0626,0x6d5e4d95,0x66020088,0x27ed4d96}},	//   out_, gepa, _muok, zmen_, 
   {{0x443e4d97,0x66020088,0x656a1ecb,0x27ed4d98}},	//   nut_, _luok, _mafh, ymen_, 
   {{0xddc40b91,0xdab90038,0x290c01f2,0xc4d30070}},	//   rviš, وهات_, _afda_, אגע_, 
   {{0x443e4d99,0xa9690849,0xa3c40527,0xd9454d9a}},	//   hut_, дила_, ्वत_, вели, 
   {{0x443e4d9b,0x6d5e4d9c,0x20d50081,0xade52030}},	//   kut_, cepa, _धडाध, _कठिन_, 
   {{0x443e0ab1,0x6d55006d,0x27ed39d8,0x18660141}},	//   jut_, _ibza, tmen_, ващи_, 
   {{0x3f894d9d,0xd7ee0038,0x67c101dd,0xdce700a4}},	//   njau_, يكو_, rējo, _lajċ, 
   {{0x64581f8f,0x3ea94d9e,0x762200f0,0x9f5e0212}},	//   _apvi, nzat_, амыз, êté_, 
   {{0xa8a70e4e,0xd5a30296,0x3ea9020f,0x443e4d9f}},	//   _прек, الدی, izat_, fut_, 
   {{0x443e4da0,0x03a61947,0x98170038,0x00000000}},	//   gut_, вино, _أبطا, --, 
   {{0x6722023e,0x6d5e4da1,0x273a0213,0x888a0147}},	//   _geoj, zepa, rünü_, _קרײַ, 
   {{0xa2d501a4,0x3ea9024a,0x6d5e4da2,0x273a0585}},	//   _युद्, jzat_, yepa, sünü_, 
   {{0x784a0095,0x67e50083,0x3ea94da3,0x6d5e01cf}},	//   _səvi, bójc, dzat_, xepa, 
   {{0x443e0012,0x6722009a,0x64a54da4,0x60234da5}},	//   cut_, _yeoj, _шака, идра, 
   {{0x3ebf01b4,0xa06703b7,0x6d554da6,0xdee64da7}},	//   _žuta_, њата_, _abza, воби, 
   {{0x6d5e2fcf,0x75234da8,0x2fc0010d,0xa7fc0785}},	// [3fc0] tepa, _kenz, rnig_, _asıl, 
   {{0xdb0b1acf,0x2fcd06e0,0xa3e60262,0x7c3e4da9}},	//   vigá, čega_, _बीत_, tupr, 
   {{0xdd100039,0x81d80086,0x2fc0012b,0xa0a64daa}},	//   _týžd, িষদ_, pnig_, _ранд, 
   {{0xeb974dab,0x99d300d4,0x75234dac,0x09ca0110}},	//   ких_, یتوا, _lenz, ाक्य, 
   {{0x443e0a6e,0x6d5e4dad,0x7c3e4dae,0x67220126}},	//   zut_, pepa, supr, _reoj, 
   {{0x6602030f,0x7f44026a,0x7523052b,0x59df00aa}},	//   _ruok, lgiq, _nenz, _पीआर, 
   {{0xa3c43dc7,0x1c3900c8,0x7d570225,0x7659017c}},	//   ्वा_, _пять_, _שילד_, _apwy, 
   {{0x443e4daf,0xf76f0038,0xf09300d1,0x66020028}},	//   vut_, قاً_, שנה_, _puok, 
   {{0x443e4db0,0x569400f0,0x9f590118,0x02e12030}},	//   wut_, уапт, _disè_, _नरेन, 
   {{0x6602030f,0x7bc200a1,0x60c94028,0x00000000}},	//   _vuok, lnou, şemi, --, 
   {{0x3ea94db1,0x443e0175,0x356700d9,0xd7ef4db2}},	//   zzat_, uut_, трын_, _ву_, 
   {{0x443e0b92,0x040d001b,0x752301c8,0x660217fc}},	//   rut_, _hưởn, _eenz, _tuok, 
   {{0x443e4db3,0xe5c61ed7,0x161b00b0,0x3f8f003e}},	//   sut_, _иско, पीआर_, ögum_, 
   {{0x656a055f,0x7bc200bc,0x75234db4,0x66e30665}},	//   _uafh, hnou, _genz, _точа, 
   {{0x75284db5,0x9f350769,0xd48f4db6,0x764001a3}},	//   madz, леві, _тр_, lumy, 
   {{0x3ea94db7,0x75234db8,0x9f340259,0x14d70147}},	//   tzat_, _zenz, иесі, _שוהל_, 
   {{0x7c2e05a7,0x5d550def,0x7bc200bc,0x7523016c}},	// [3fd0] _avbr, лкат, dnou, _yenz, 
   {{0x75284db9,0x3ea94dba,0x2605093a,0x9f590106}},	//   nadz, rzat_, _हंसी_, _misé_, 
   {{0x9cb5009c,0x3ea9010e,0x442c01d2,0x93bd020f}},	//   دمات, szat_, nsd_, drăz, 
   {{0xed51006b,0x201301f1,0x75284dbb,0x7c2e4702}},	//   _گھر_, _itxi_, hadz, _dvbr, 
   {{0x75284dbc,0x6f0d0108,0x199500fd,0x00000000}},	//   kadz, mcac, ладя, --, 
   {{0x7528002a,0xca7613b4,0x9f59022c,0xf2d400c7}},	//   jadz, اموش_, _sisè_, סעס_, 
   {{0x75234dbd,0x75284dbe,0x442c02b0,0x6e2d0caf}},	//   _renz, dadz, jsd_, lsab, 
   {{0x75234dbf,0x6d454dc0,0x2d914dc1,0x9f59011c}},	//   _senz, lgha, _hoze_, _bisé_, 
   {{0xaab729b0,0x2d9106df,0x752802cd,0x4ab73512}},	//   _अधिक, _koze_, fadz, _अधिव, 
   {{0x6d451630,0x7528044d,0x45854dc2,0x6e2d02eb}},	//   ngha, gadz, угов, isab, 
   {{0x2d91090b,0x48150c8a,0xfbb70aac,0x2013006d}},	//   _moze_, _смес, _आगाम, _ntxi_, 
   {{0xe72e16d9,0x75230010,0x2d91032f,0xf770155f}},	//   _ће_, _wenz, _loze_, _وان_, 
   {{0x69c3026d,0x75234dc3,0x442c4dc4,0x201300b4}},	//   onne, _tenz, asd_, _atxi_, 
   {{0x957c006a,0xa06a0904,0x040d00e7,0x200c02aa}},	//   gląd, нага_, _xưởn, ídio_, 
   {{0x69c30a9a,0x656103b7,0xd09513c3,0x442c0096}},	//   inne, melh, ашты, csd_, 
   {{0x64414dc5,0x6f0d0354,0xad9b0032,0xc31e0033}},	//   muli, gcac, _stúp, _থাকি_, 
   {{0x6e2d2282,0xd9e300a2,0x644f00b3,0x7f44426d}},	// [3fe0] gsab, गतात_, ăciu, rgiq, 
   {{0x51664dc6,0x63a4026e,0x7bc24dc7,0x65614dc8}},	//   _своб, _hlin, wnou, nelh, 
   {{0xdce70228,0x6f0d012b,0xdb070098,0x307605b2}},	//   _fajč, bcac, _šlág, _супс, 
   {{0x69c34dc9,0x20184416,0x6f0d4dca,0xd24f0274}},	//   enne, mpri_, ccac, _بنی_, 
   {{0xd00f040f,0x64414dcb,0x65614dcc,0x7bc218c4}},	//   _ولی_, huli, kelh, rnou, 
   {{0x64414dcd,0xe894030f,0xa3e604bd,0x63a44dce}},	//   kuli, иаль, _बीस_, _llin, 
   {{0x64414dcf,0x63a44dd0,0x65614dd1,0x201806df}},	//   juli, _olin, delh, npri_, 
   {{0x96340cd9,0x75284dd2,0x63a4011c,0x61fe0ab4}},	//   аниц, wadz, _nlin, _lipl, 
   {{0x2bb1006a,0x040d0029,0x75280532,0xa805001d}},	//   jący_, _tưởn, tadz, _peñí, 
   {{0x63a44dd3,0x64414dd4,0x54544dd5,0x35b44dd6}},	//   _alin, fuli, авот, рбор, 
   {{0x64414dd7,0x75284dd8,0x69da4dd9,0x63a44dda}},	//   guli, radz, _ikte, _blin, 
   {{0x75284ddb,0x63a41229,0xdc9b00a7,0x86e602f1}},	//   sadz, _clin, גיטל, _йўлд, 
   {{0x75284ddc,0xdce74ddd,0x3999023e,0x877b0070}},	//   padz, _rajč, _sèsi_, _ראדי, 
   {{0x64414dde,0x63a44ddf,0x9f4900eb,0x3ebf090e}},	//   buli, _elin, rmaí_, _žuto_, 
   {{0x6f0d00a1,0x6441426d,0xb97b0137,0x2d914de0}},	//   tcac, culi, ענלי, _roze_, 
   {{0x6e2d00a9,0x3f154de1,0xa3dd009a,0x2d9109c7}},	//   tsab, рдас, _तीच_, _soze_, 
   {{0xa3c44de2,0x2d914de3,0x7f980ada,0xbebb08a3}},	// [3ff0] ्वर_, _poze_, _níqu, _geël, 
   {{0x6e2d4de4,0x61fe0008,0x6f0d4de5,0xdef800f0}},	//   rsab, _gipl, scac, уыс_, 
   {{0x6e2d4de6,0x2d9100d2,0x2dd800eb,0x6d454de7}},	//   ssab, _voze_, ابقة_, rgha, 
   {{0x61fe4de8,0x1604143e,0x3a7500d3,0x6d450038}},	//   _zipl, रदार_, илер, sgha, 
   {{0x692500cf,0x3ce100ab,0x64414de9,0x15f607d5}},	//   амла, _करके_, zuli, ीदार_, 
   {{0x69c30a6d,0x67c101dd,0x00000000,0x00000000}},	//   unne, mēji, --, --, 
   {{0x65614dea,0x18a54deb,0x69c34dec,0x67c10243}},	//   velh, райм, rnne, lēji, 
   {{0x64414ded,0x69da004f,0x69c80241,0x00000000}},	//   vuli, _ekte, _ejde, --, 
   {{0x64410a8b,0x65614dee,0xa3d90262,0x2d9c010e}},	//   wuli, telh, ़कन_, öveg_, 
   {{0xd4f50f6b,0x7ae94def,0xbebb0876,0xe5760028}},	//   ияны, _izet, _reël, азь_, 
   {{0x63a44df0,0x65614df1,0x61fe0626,0x9f9703a1}},	//   _plin, relh, _ripl, nçó_, 
   {{0xe29a4df2,0x644101a4,0x61fe4df3,0x65614df4}},	//   вам_, ruli, _sipl, selh, 
   {{0x65614df5,0x63a40a58,0x61fe05d5,0x212a0118}},	//   pelh, _vlin, _pipl, tabh_, 
   {{0x64414df6,0x1a9a0137,0x463a00c7,0x67c101dd}},	//   puli, דישע, _יענע, dēji, 
   {{0x7ae900ef,0x1fb64df7,0x63a42980,0x5f064df8}},	//   _lzet, асар, _tlin, изва, 
   {{0x63a44df9,0x20184dfa,0x7ae906df,0xa2c300bc}},	//   _ulin, rpri_, _ozet, रपश्, 
  
   {{0x201806df,0x61fe04be,0x8fa30386,0xdcf40304}},	// [4000] spri_, _tipl, цате, _čađa, 
   {{0x637b0088,0x7bdb4dfb,0x7bc90574,0x0d834dfc}},	//   _tänä, _akuu, _ajeu, олун, 
   {{0x31570137,0xdd8f1feb,0xf53600c7,0xcb6a1853}},	//   _דיין_, بول_, שטער_, каже_, 
   {{0x3d163c7e,0x3ce60077,0xf4560070,0x79810090}},	//   _प्रे_, _करीं_, ייער_, _anlw, 
   {{0x7bc94dfd,0x67c10243,0x00000000,0x00000000}},	//   _djeu, cēji, --, --, 
   {{0xb33b00e5,0x7bc90175,0x7bdb052b,0x6da61ee4}},	//   thçk, _ejeu, _ekuu, _тига, 
   {{0x97a64dfe,0x588649e1,0x7c8503b7,0x7ae93899}},	//   ирил, рыла, _луѓе, _ezet, 
   {{0x9f4200c8,0x25a00107,0xc7c6021c,0xbb430028}},	//   _eikö_, _œil_, јски, _меск, 
   {{0xfaa34dff,0xe8950035,0x3ce60299,0xd9464e00}},	//   _дато, gółó, _करुं_, _вези, 
   {{0xcba401a2,0x9f9700b9,0xd90e1372,0x7c3e0175}},	//   _тағй, nçò_, _غیب_, orpr, 
   {{0xa3c402a2,0x31630df4,0x59df07d5,0x6d7900c7}},	//   ्वं_, vejz_, _पीटर, אָרװ, 
   {{0x69d80dd8,0x58bb00d1,0x00000000,0x00000000}},	//   love, _במבצ, --, --, 
   {{0x394c02a5,0x43950176,0x12e74e01,0x7c3e02eb}},	//   _kcds_, _ҳайс, рінг, hrpr, 
   {{0x14b70a5a,0x3f821e1b,0xddc401dd,0x67c10243}},	//   ادیث_, _anku_, ltiņ, vēji, 
   {{0x351b0070,0x06d80033,0x69d8020f,0x044302a0}},	//   _יוגנ, দেশি, iove, _дејн, 
   {{0x34fb00a7,0xdcfc0095,0xa7fc027e,0xddc401dd}},	//   _בהוד, _sorğ, _arız, ntiņ, 
   {{0x69d84e02,0x63bd4e03,0x7ae00379,0x7c3e0aa7}},	// [4010] kove, misn, _nymt, erpr, 
   {{0x63bd170d,0x443e4e04,0x67c100e0,0x69d84e05}},	//   lisn, ort_, rēji, jove, 
   {{0x69d8295c,0x6c55004e,0x7ae9010e,0x629d4e06}},	//   dove, скеу, _szet, lyso, 
   {{0x443e355f,0x63bd4e07,0x67c800bc,0x60db035d}},	//   irt_, nisn, dějo, ğumd, 
   {{0x443e02ec,0x7c3e08a3,0x69d84e08,0xaa674e09}},	//   hrt_, arpr, fove, ртек, 
   {{0x6ab70081,0x69d84e0a,0x32090345,0x7ae90352}},	//   _अधीर, gove, _muay_, _vzet, 
   {{0x013800a7,0x260c00a5,0x31580070,0xa3e702e6}},	//   ברות_, _डूबी_, ייגן_, भता_, 
   {{0x63bd1b3e,0x1bd400dd,0x443e0126,0x7bc9025b}},	//   jisn, _дося, drt_, _ujeu, 
   {{0x443e4e0b,0x7ae90519,0x63bd00d2,0x386c0226}},	//   ert_, _uzet, disn, _esdr_, 
   {{0xc9840258,0x69d82c07,0x55893c93,0x00000000}},	//   _мухи, cove, убом_, --, 
   {{0x232a4a02,0x332900a1,0xa7870019,0x443e00ca}},	//   лони_, _beax_, _پشاو, grt_, 
   {{0x63bd4e0c,0x06b800d4,0xdb0000f6,0x29fd00da}},	//   gisn, انیک_, _immò, _mňam_, 
   {{0x443e4e0d,0x998d078a,0x68e1055f,0x113a16d0}},	//   art_, _xweş_, _hyld, лявы_, 
   {{0x11391b17,0x3209012b,0x50b6131d,0x3d210035}},	//   иясы_, _duay_, бсбу, यरों_, 
   {{0x3ce60da6,0x63bd4e0e,0x443e0704,0xa0a34e0f}},	//   _करें_, bisn, crt_, пард, 
   {{0xaf064e10,0x2451026e,0x2a6d008b,0xdb190382}},	//   спал, mám_, _oseb_, nnwä, 
   {{0x69d84e11,0x2451014b,0x82360fd0,0x32090126}},	// [4020] yove, lám_, _اربا, _guay_, 
   {{0xaadb00b0,0x67c101dd,0x7c3e4e12,0x69d84e13}},	//   _बड़क, mēju, trpr, xove, 
   {{0x7ae00219,0x67c101dd,0x7c3e0d62,0xed570024}},	//   _symt, lēju, urpr, сох_, 
   {{0x29050679,0x7f860038,0x2d8300ca,0x661b011d}},	//   _agla_, _الحن, _enje_, kpuk, 
   {{0xca5603b7,0x2905011d,0x24512e9b,0x19940093}},	//   стењ, _bgla_, hám_, жаля, 
   {{0xa96700cf,0x443e4e14,0x20020010,0x63bd00ef}},	//   йича_, yrt_, _hiki_, zisn, 
   {{0x247700f7,0x8c43041d,0x20020547,0x27ef00e2}},	//   _năm_, _нере, _kiki_, _bhgn_, 
   {{0x24512cb0,0x37a7004e,0x69d84e15,0xada60013}},	//   dám_, йтын_, sove, _таҳл, 
   {{0x69d84e16,0x5ebb00c7,0x8f9b035c,0xddc401dd}},	//   pove, ָזיק, טיקי, rtiņ, 
   {{0x68e101cc,0x7afd026e,0xddc400e0,0x67c100e0}},	//   _fyld, _ústa, stiņ, dēju, 
   {{0x63bd4e17,0x443e22ce,0x68e103a9,0x6d5c4e18}},	//   tisn, urt_, _gyld, _mbra, 
   {{0x9f400518,0x20024e19,0x443e4e1a,0xd2510038}},	//   blié_, _niki_, rrt_, ونج_, 
   {{0x63bd15ed,0x32090029,0x51874e1b,0xdb0902ae}},	//   risn, _quay_, бува, _umeå, 
   {{0x20020175,0xc2e700cf,0x63bd4e1c,0x61144e1d}},	//   _aiki_, _қўйи, sisn, здру, 
   {{0xdd9b4e1e,0x681100e0,0x63bd4e1f,0x20024e20}},	//   қша_, _kāda, pisn, _biki_, 
   {{0x02a711c2,0x6d5c4e21,0xdefb4e22,0xdb004e23}},	//   _гром, _abra, гыз_, _almí, 
   {{0x6d5c016a,0x67c101dd,0x20024e24,0x7c3800ca}},	// [4030] _bbra, cēju, _diki_, švrl, 
   {{0x6d5c00a1,0xdcfc01dd,0x20024e25,0x8009010e}},	//   _cbra, _norē, _eiki_, _پردہ_, 
   {{0x247700e7,0x6d5c00a1,0x5f9501d7,0x7bd90083}},	//   _xăm_, _dbra, _динт, towu, 
   {{0x6d5c4e26,0x8f4700c8,0xe1ff0083,0x7e6e0080}},	//   _ebra, _уход, zwól_, änpä, 
   {{0x24510019,0xeb900c72,0x753814f5,0xc3340486}},	//   zám_, عظم_, _odvz, פוס_, 
   {{0xe3cf00cc,0x9f420088,0x6d5c01be,0x2fc908b0}},	//   রতিব, _ehkä_, _gbra, lnag_, 
   {{0xa3d9000f,0x319c00c7,0x91660108,0xc19c027a}},	//   ़का_, רבונ, _hộ_, רשוי, 
   {{0x6d5c3e8b,0x245105a8,0x2fc94e27,0x2a6d0201}},	//   _zbra, vám_, nnag_, _tseb_, 
   {{0xbebb0511,0xf1bf0d00,0x7e7b00ca,0x05a9004f}},	//   _beëi, nsás_, _šupj, ивий_, 
   {{0xdcf500e0,0x29054e28,0x2451026e,0x6d5c0065}},	//   _nozī, _ugla_, tám_, _xbra, 
   {{0xd38a08f0,0x661b4e29,0x91660210,0xe3664e2a}},	//   айне_, spuk, _lộ_, окни, 
   {{0xd8d607f5,0xe8d60137,0x24512332,0xe3bf00b4}},	//   _וועט_, _ווער_, rám_, giñ_, 
   {{0xddcd00ef,0x245100da,0x00000000,0x00000000}},	//   zvaš, sám_, --, --, 
   {{0xd3780da6,0x64a54e2b,0x00860161,0x20024e2c}},	//   ść_, _мала, олго, _siki_, 
   {{0x20024e2d,0xa06a0b66,0x67c101dd,0x91033732}},	//   _piki_, шава_, sēju, дпре, 
   {{0x1fa702f1,0xa2d51cc0,0x66034e2e,0xe3bf0183}},	//   окси_, _युक्, _hink, ciñ_, 
   {{0x672b4e2f,0x442702f0,0x66034e30,0xa3e600a5}},	// [4040] _megj, _hwn_, _kink, _बीए_, 
   {{0x20024e31,0x672b4e32,0x6603003d,0x660b02cd}},	//   _wiki_, _legj, _jink, _mugk, 
   {{0x66034e33,0x7e7d0380,0x660b08b0,0xc2c9010e}},	//   _mink, _ersp, _lugk, _نبیل_, 
   {{0x66034e34,0x644102d0,0x53370070,0xab834e35}},	//   _link, irli, ַנצן_, душк, 
   {{0xadeb08b3,0x644101c4,0x442700e2,0xbf9b0023}},	//   _जीवन_, hrli, _lwn_, _kiên, 
   {{0x66034e36,0x442700a7,0x6d5c4e37,0xe3bf00b4}},	//   _nink, _own_, _ubra, ziñ_, 
   {{0x672b4e38,0x99393b35,0x7afd1102,0x8c9500f0}},	//   _begj, сячу_, _ústn, _ерті, 
   {{0x2d984e39,0x3ebf0112,0xaa46004f,0x66034e3a}},	//   _hore_, _žuti_, _мебл, _aink, 
   {{0x2d984e3b,0x64414e3c,0x672b00e5,0x3ea04e3d}},	//   _kore_, erli, _degj, nyit_, 
   {{0x2d984e3e,0x7d1b0097,0x442703c6,0x68ed02d9}},	//   _jore_, _đusk, _bwn_, řada, 
   {{0x2d984e3f,0x66034e40,0x64410112,0x2ec617dc}},	//   _more_, _dink, grli, लपुत, 
   {{0x66034e41,0x2d980246,0xb4ea40a8,0x442700f3}},	//   _eink, _lore_, _मरी_, _dwn_, 
   {{0x660301f1,0x644110f3,0xdceb0304,0x2bdb0e07}},	//   _fink, arli, _čiča, यकता, 
   {{0xa1840238,0xbf9b02a0,0x66030009,0x69ca4e42}},	//   мысл, _ciên, _gink, nnfe, 
   {{0x65684e43,0x69ca4e44,0x84380038,0x44274e45}},	//   medh, infe, _اكبر_, _gwn_, 
   {{0x644811f7,0x66034e46,0x656800e5,0xe2ab0444}},	//   mudi, _zink, ledh, _ناخن_, 
   {{0x59bc000c,0xdce70035,0xb0db3b5f,0xdcee00ca}},	// [4050] ्चार, _mają, _मुरग, _dabč, 
   {{0xd9040a5a,0x2d984e47,0x65684e48,0xe1ff0035}},	//   _لی_, _core_, nedh, zwój_, 
   {{0x2d984e49,0x9b6b02f1,0xdb0000b9,0x67d30474}},	//   _dore_, ишда_, _almà, lăje, 
   {{0x6568009c,0x4a7503a1,0xdcee0ed9,0x00000000}},	//   hedh, зыкт, _gabč, --, 
   {{0x672b4e4a,0x7e7d33d6,0x2d984e4b,0x65680444}},	//   _regj, _ursp, _fore_, kedh, 
   {{0x2d98090b,0x656801ee,0xa9694e4c,0x672b010d}},	//   _gore_, jedh, сика_, _segj, 
   {{0x6c544e4d,0x660300e4,0x3f9902f5,0xe7394e4e}},	//   _окру, _rink, _kosu_, бей_, 
   {{0x2d98090b,0x66034e4f,0xfe6e006b,0x644802f1}},	//   _zore_, _sink, _جگہ_, dudi, 
   {{0x65680548,0x672b024a,0x645d00b3,0xf96b00d9}},	//   fedh, _vegj, ăsim, _врей_, 
   {{0x65680e0e,0x34a303dc,0x64484e50,0xe98000a3}},	//   gedh, дгоҳ, fudi, _ақшн, 
   {{0xbf9b0029,0x66034e51,0xb0db00a2,0x64410511}},	//   _riên, _vink, _मुलग, urli, 
   {{0x66034705,0x3f994e52,0x7bcb0210,0x660b0495}},	//   _wink, _nosu_, nngu, _tugk, 
   {{0x66034e53,0x213102cd,0x7bcb4e54,0x64484e55}},	//   _tink, fazh_, ingu, audi, 
   {{0x77690d07,0x67e500e9,0x7e6d044d,0xdce70083}},	//   leex, dóji, dwap, _zają, 
   {{0x03a60d5c,0x2b5f0372,0x7bcb0175,0xfbdb00bc}},	//   _нико, _obuc_, kngu, यकाम, 
   {{0x3f860496,0xf43a00a7,0xc0030d3d,0x032601ff}},	//   ñou_, _התקש, епск, _эдин, 
   {{0x7e6d163b,0xa3d90035,0x00000000,0x00000000}},	// [4060] gwap, ़कर_, --, --, 
   {{0xc27b0cec,0xf27b0111,0x3f8f008c,0x7bcb025b}},	//   _פריי, _פריש, ögur_, engu, 
   {{0x2d9800fc,0x1d1900dd,0x319b00d1,0xcb0a383d}},	//   _vore_, юють_, _הבינ, ميان_, 
   {{0x7bcb4e56,0x9f400126,0x7e6d4e57,0xdb004e58}},	//   gngu, rmió_, bwap, _almá, 
   {{0x2d984e59,0x7c2b0b91,0x93bd00b3,0x64484e5a}},	//   _tore_, ćgra, spăg, zudi, 
   {{0x7bcb4e5b,0xceb30070,0x00000000,0x00000000}},	//   angu, _טיר_, --, --, 
   {{0x64480496,0xb4ea09e2,0x65684e5c,0xb7d8007a}},	//   xudi, _मरे_, vedh, يوتا_, 
   {{0x69ca0242,0x6f16039b,0x64484e5d,0xcc5700d1}},	//   snfe, ncyc, vudi, _מבלי_, 
   {{0x65684e5e,0xaa431e70,0x6b63193c,0x00000000}},	//   tedh, _петл, _якта, --, 
   {{0x64481d9c,0xb21b008c,0x7bc20548,0x25a50065}},	//   tudi, lvæg, liou, gkll_, 
   {{0x92e900cc,0xb0db271a,0x65682179,0xaac000a2}},	//   _বলে_, _मुंग, redh, _शेतक, 
   {{0x64484e5f,0x6568009c,0xb4cc093a,0x28c900bc}},	//   rudi, sedh, _रखी_, िपरि, 
   {{0x51874e60,0x6448310f,0x3f9900d9,0x98a500e0}},	//   пува, sudi, _rosu_, _ielā_, 
   {{0x3f994e61,0xddcd00ab,0xfdeb00a5,0xe3b90540}},	//   _sosu_, ztał, _जींस_, nsız_, 
   {{0x50640a31,0x5577035c,0x1fa7002e,0xddcd0035}},	//   нтта, _מעגן_, праг, ytał, 
   {{0x94730084,0x213100e5,0x63a61096,0xd37800b3}},	//   _أدوا, sazh_, ckkn, _ечь_, 
   {{0x63ad4e62,0x7bc24e63,0xe3b90241,0xdcfc0028}},	// [4070] _ilan, diou, ksız_, _korė, 
   {{0x63ad07d7,0x7e6d0b22,0x799a074a,0x224b0502}},	//   _hlan, rwap, _notw, muck_, 
   {{0x63ad4e64,0x7bcb4e65,0xa3c4009a,0x200c00d8}},	//   _klan, tngu, ्वच_, ídit_, 
   {{0x79884e66,0xff25086b,0x63ad011c,0x3ebf1c2b}},	//   _andw, _تبدی, _jlan, _žutu_, 
   {{0x63ad0ac1,0x1ee70274,0xf8ae0019,0x9f9600d1}},	//   _mlan, _روسی_, یکم_, _חדרה_, 
   {{0x63ad4e67,0xddcd006a,0xdcfc012d,0x799a0090}},	//   _llan, stał, _norė, _cotw, 
   {{0x63ad4e68,0x7bcb4e69,0x7769011c,0x00000000}},	//   _olan, pngu, teex, --, 
   {{0xe6194e6a,0x63ad129f,0x79880547,0xbc56014b}},	//   оди_, _nlan, _endw, žšíc, 
   {{0x6d4a1cf0,0x6b9b00a1,0xbebb040b,0x799a00f3}},	//   ófag, _ioug, _geët, _fotw, 
   {{0x63ad4e6b,0xa3e635ff,0x224b076b,0x49750259}},	//   _alan, _बीज_, duck_, _ілес, 
   {{0x69c321e2,0x6b894e6c,0x6b9b040b,0x00000000}},	//   mine, _kneg, _koug, --, 
   {{0x63ad4e6d,0x21e40380,0x6b9b052b,0x03a60d75}},	//   _clan, höht_, _joug, фимо, 
   {{0x69c30a9a,0x6b8902cd,0x85b90038,0x6b9b4e6e}},	//   oine, _mneg, _واتس_, _moug, 
   {{0x63ad4e6f,0xdcee002a,0x6b9b4e70,0x6594012d}},	//   _elan, _labā, _loug, _пачу, 
   {{0x63ad4e71,0xc0e321df,0x05960e13,0x00000000}},	//   _flan, ворк, _تانگ, --, 
   {{0x6d430086,0xa3e6130c,0x69c34e72,0x2360015e}},	//   ónan, _बीच_, hine, _ubij_, 
   {{0x69c34e73,0x7bc200a7,0x6e36012d,0x6f1600df}},	// [4080] kine, viou, usyb, rcyc, 
   {{0x6ec20c14,0x6aa20053,0xfbd20019,0xad6601c9}},	//   _रेणु, vyof, ھتا_, باره, 
   {{0xbc6a00d4,0x2a64085b,0xdb0b3a0f,0x63ad01ff}},	//   تمان_, _spmb_, bigü, _ylan, 
   {{0x6b9b4e74,0x6aa20354,0x160d0110,0x00000000}},	//   _coug, tyof, सदार_, --, 
   {{0x7bc24e75,0x6b89016a,0x799a00ab,0x69c34e76}},	//   riou, _dneg, _potw, fine, 
   {{0x7bc22b6c,0x6b8902ee,0x00000000,0x00000000}},	//   siou, _eneg, --, --, 
   {{0xa3de2c91,0xb4cc0c06,0xa967122f,0xec1600d4}},	//   तका_, _रखे_, фија_, _آورد, 
   {{0x58830161,0x6d5e4e77,0xc6a617b4,0x69c34e78}},	//   тыша, lfpa, дрои, aine, 
   {{0x056a1571,0x799a02a5,0x00000000,0x00000000}},	//   ојни_, _totw, --, --, 
   {{0xdc3e014b,0xc986144f,0xe3b90248,0x799a0118}},	//   _líče, _تشري, qsız_, _uotw, 
   {{0x69dd0038,0x44384e79,0x98a7020f,0xc7964e7a}},	//   _ísea, ér_, rană_, _орды, 
   {{0x18a3456e,0xe71700d4,0xb8654e7b,0x00000000}},	//   _шахм, _قيمت_, _سامو, --, 
   {{0x5ede00b0,0x63ad0032,0xbebb0ff2,0xc17b017b}},	//   _कुल्_, _vlan, _leër, оїв_, 
   {{0xa4d402fb,0x63ad288b,0xab5d00c3,0x224b074a}},	//   _полі, _wlan, _imże, ruck_, 
   {{0x2eed003a,0xdb0b03da,0x224b016a,0xcf9b1b11}},	//   _šef_, tigü, suck_, оја_, 
   {{0x69c34e7c,0x6d5e1a0d,0x6e954e7d,0x24584e7e}},	//   zine, efpa, нибу, mém_, 
   {{0x24584e7f,0xb2740161,0x645a4e80,0x6b9b4e81}},	// [4090] lém_, _алыш, ltti, _roug, 
   {{0x6b89234d,0xdce70035,0xce9501a2,0x7bc04e82}},	//   _sneg, _zaję, _ҷамъ, _ammu, 
   {{0x645a030f,0x61e50da2,0xb4cc190a,0x2458031e}},	//   ntti, _ikhl, _रखो_, ném_, 
   {{0x290c0008,0x645a00c8,0xce950093,0x7e7b0588}},	//   _agda_, itti, _замъ, _šupu, 
   {{0x3f8b033e,0x645a02b0,0x24584e83,0x00000000}},	//   _incu_, htti, hém_, --, 
   {{0x68e802f0,0x2458031e,0x69c300a1,0x290c008a}},	//   _bydd, kém_, uine, _cgda_, 
   {{0x3d1a047b,0xe7394e84,0x69c34e85,0x98be027e}},	//   मुळे_, пей_, rine, _batı_, 
   {{0x69c328bb,0x68e802bf,0xa69502a0,0x6b894e86}},	//   sine, _dydd, ерој, _uneg, 
   {{0x92ea00cc,0x645a307f,0xb9064400,0xdb0b001d}},	//   _গল্প_, etti, _यु_, sigó, 
   {{0x68e802bf,0xdb0b001d,0x201c010e,0x69c31e1b}},	//   _fydd, pigó, _évig_, qine, 
   {{0x69c14e87,0x6578006d,0x64a54e88,0xf773010e}},	//   _imle, _davh, хана, _لاش_, 
   {{0xe3b211fe,0x61e5388b,0x61f700a1,0x7ae90547}},	//   ارد_, _akhl, _ahxl, _kyet, 
   {{0x645a4e89,0xda0f1df3,0x3ce6009a,0x86b300f0}},	//   atti, ादित_, _जुने_, _шәкі, 
   {{0x55c30259,0x65780508,0x6d434e8a,0x00000000}},	//   _шалғ, _gavh, ónal, --, 
   {{0xe3b200eb,0x24584e8b,0xceb400ad,0x7ae94e8c}},	//   _مرة_, cém_, hbət_, _lyet, 
   {{0xafe3197c,0x201e00e0,0xc1780028,0x7ae9052b}},	//   госл, īti_, žė_, _oyet, 
   {{0x7ae94e8d,0x765b4e8e,0x0d864e8f,0x201e4e90}},	// [40a0] _nyet, ntuy, нлан, ūti_, 
   {{0xe1f20198,0x62844e91,0x00000000,0x00000000}},	//   _حسب_, _irio, --, --, 
   {{0x28df0d95,0x31570137,0x0b4616a0,0xdca301a2}},	//   _पुलि, _איין_, енен, лафи, 
   {{0x7ae901a3,0x68e84e92,0x501b00d1,0x765b012b}},	//   _byet, _rydd, _מוטו, ktuy, 
   {{0xef834e93,0x24584e94,0x68e84e95,0x5b13017b}},	//   _сляп, zém_, _sydd, уміт, 
   {{0x7ae94e96,0x645a4e97,0x6e243919,0x00000000}},	//   _dyet, ytti, mpib, --, 
   {{0xab2a1853,0xf8064e98,0xd90d00d4,0x7ae90539}},	//   _нова_, нчин, زین_, _eyet, 
   {{0x62844e99,0x2458031e,0x7bc0030c,0x7ae90237}},	//   _orio, vém_, _ummu, _fyet, 
   {{0x4aaa00cf,0x68e80156,0x765b2078,0x7ae901a3}},	//   _экан_, _wydd, gtuy, _gyet, 
   {{0x24584e9a,0x98a70035,0xe9da4e9b,0xaa3b00df}},	//   tém_, waną_, _экз_, _מתמח, 
   {{0x62844e9c,0x77920535,0x645a0080,0xf4830176}},	//   _ario, _میثا, utti, гуян, 
   {{0x628401fb,0x24584e9d,0x645a4e9e,0x38cb00d4}},	//   _brio, rém_, rtti, _عالی_, 
   {{0x62841bf0,0x645a0c43,0x98a743e0,0x765b0108}},	//   _crio, stti, raną_, ctuy, 
   {{0x2244026e,0x6578004f,0x04940038,0x67e50083}},	//   ámka_, _uavh, _للتح, bójs, 
   {{0x62844e9f,0x2fc20089,0x32120096,0x00000000}},	//   _erio, _bmkg_, _euyy_, --, 
   {{0x62844ea0,0x8d77009c,0xddc404d6,0x9f5a00de}},	//   _frio, کارا, ttiş, _tupý_, 
   {{0x62844ea1,0xa3de0179,0x8afd02d9,0x5d554ea2}},	// [40b0] _grio, तकर_, _obřa, ккат, 
   {{0x64484ea3,0x30150013,0x201e022c,0x98b00083}},	//   ordi, _идор, ític_, जनाए, 
   {{0x7ae94ea4,0x9f5a00f6,0x9bc7186c,0x7c670038}},	//   _syet, _cupó_, нёдк, عائل, 
   {{0x7ae901ee,0x53e100a2,0x660a0082,0xa03a00c7}},	//   _pyet, नविश, _lifk, _קערפ, 
   {{0xbf360056,0x853c0009,0xdb0e003e,0xf8c90299}},	//   _בארץ_, rkėj, þjál, िप्प, 
   {{0x27e63712,0x89a800dd,0x7ae94ea5,0xfaa20e6d}},	//   _akon_, нків_, _vyet, рашо, 
   {{0x7ae90293,0xa3e100bd,0xbddb0118,0xceb400ad}},	//   _wyet, थवा_, _avèg, sbət_, 
   {{0x7c254ea6,0x7ae902a5,0xceb40248,0x00000000}},	//   mphr, _tyet, mbər_, --, 
   {{0x200b002e,0x443c245e,0x64484ea7,0x7bd80212}},	//   _mici_, _avv_, erdi, évue, 
   {{0x200b034c,0x69c14ea8,0x765b4ea9,0x3ce60083}},	//   _lici_, _umle, rtuy, _जुडे_, 
   {{0x6448015e,0x6f1d039b,0x765b4eaa,0x00000000}},	//   grdi, _ofsc, stuy, --, 
   {{0x200b0012,0x62841cae,0xe72e02a6,0x442e4eab}},	//   _nici_, _prio, _ње_, _dwf_, 
   {{0x27ff4eac,0x64484ead,0xe2972c1b,0x67294eae}},	//   mmun_, ardi, вая_, mbej, 
   {{0x27ed4eaf,0x200b4eb0,0xd175005e,0x6f0f0183}},	//   llen_, _aici_, лысы, _agcc, 
   {{0xddd60076,0x200b2d58,0xc0e64eb1,0xcfaa009c}},	//   jvyš, _bici_, товк, وارم_, 
   {{0x62844eb2,0x44254eb3,0x613f0241,0x9f4f01d5}},	//   _trio, mpl_, _açlı, ögð_, 
   {{0x200b09f7,0x27ed4eb4,0x6284040a,0x75f40054}},	// [40c0] _dici_, ilen_, _urio, làza, 
   {{0x27ed02ec,0xf4240033,0x7aef00da,0x00000000}},	//   hlen_, _ভিতর_, _úcty, --, 
   {{0x27ed01cc,0x27ff02cd,0x44250118,0x76494eb5}},	//   klen_, kmun_, npl_, hrey, 
   {{0x61ee4eb6,0xab2a03dc,0x27ed4eb7,0x8fa625ac}},	//   llbl, фода_, jlen_, _раме, 
   {{0x27ed4eb8,0xdb0901f5,0x00000000,0x00000000}},	//   dlen_, _smeò, --, --, 
   {{0x27ed4eb9,0xdb0b008c,0x76494eba,0x200b00b3}},	//   elen_, rigð, drey, _zici_, 
   {{0x660a016a,0xd7fa00b3,0x27ed4ebb,0x00000000}},	//   _rifk, муи_, flen_, --, 
   {{0x64480062,0x27ed3dfd,0x65ad0126,0x76494ebc}},	//   vrdi, glen_, _búho, frey, 
   {{0xb8e907bd,0x76494ebd,0xda650195,0x1a0614c1}},	//   _ले_, grey, _مالي, _апам, 
   {{0x644802ee,0x21384ebe,0x27ed4ebf,0xd8262b3b}},	//   trdi, jarh_, alen_, _аджи, 
   {{0x27ed193f,0x3a2601c8,0x67294ec0,0xa3de009a}},	//   blen_, lpop_, bbej, तकं_, 
   {{0x3015005e,0xd3a73c93,0xd5b000c5,0xa73a0491}},	//   ғдар, троп, _گفت_, _آثار_, 
   {{0x442e2e00,0xdcf50121,0x76491240,0x660a00a4}},	//   _wwf_, _razč, crey, _tifk, 
   {{0x442e017c,0xf3ff019c,0x3a26040b,0x00000000}},	//   _twf_, smã_, ipop_, --, 
   {{0x99990228,0xd17700f0,0x200b4ec1,0x00000000}},	//   _ísť_, ныңы, _pici_, --, 
   {{0x02a729e7,0xa347012d,0x61ee0c0c,0x9f5a0237}},	//   _аром, _рэкл, albl, _supò_, 
   {{0x291e022b,0xfe7000eb,0xdb000019,0x9ed94ec2}},	// [40d0] _ofta_, يدك_, _elmú, хмат_, 
   {{0x67290097,0x68ed031e,0x27ff1d97,0xbbdb00c9}},	//   zbej, řadi, zmun_, यक्क, 
   {{0x80ca017d,0x68110243,0x00000000,0x00000000}},	//   _हेपे, _tādi, --, --, 
   {{0x76490102,0x6f1d02be,0x291e1e1b,0x200000a1}},	//   yrey, _ufsc, _afta_, cmii_, 
   {{0xd94533dc,0x27ed00fb,0xeab00038,0x00000000}},	//   гели, vlen_, يعه_, --, 
   {{0x48791192,0xdb00010c,0x2fc90201,0x76490241}},	//   есия_, _komê, liag_, vrey, 
   {{0x27ed006b,0xac940161,0x2d18009c,0x76490216}},	//   tlen_, _карш, _شکلک_, wrey, 
   {{0x869900ce,0x291e4ec3,0x27ed4ec4,0x76494ec5}},	//   етот_, _efta_, ulen_, trey, 
   {{0x67290022,0x3ea94ec6,0x27ed4ec7,0x06093fe7}},	//   rbej, nyat_, rlen_, нник_, 
   {{0x27ed4ec8,0x76494ec9,0x98c70bae,0x00000000}},	//   slen_, rrey, _исел, --, 
   {{0xe61801bb,0x58d44eca,0x27ed4ecb,0x69350176}},	//   ндө_, _кофт, plen_, _анҷу, 
   {{0xc209181f,0xddcd02f5,0x3ea9134c,0x44254ecc}},	//   _זה_, jvaž, kyat_, rpl_, 
   {{0xdcf40bad,0x290a0183,0x4425011f,0x59b70299}},	//   _čača, _ºbac_, spl_, _अतार, 
   {{0x06e50086,0x3ea94ecd,0x7afd00da,0x00000000}},	//   _পৃথি, dyat_, _ústu, --, 
   {{0xa0674ece,0x75d2091d,0x436a113c,0x9f400080}},	//   лара_, _ديوا, _зайн_, yliä_, 
   {{0x645c03a1,0x1fb54ecf,0x224b00a1,0x00000000}},	//   àrie, асур, brck_, --, 
   {{0x3ea94ed0,0x93fb008d,0x4d664ed1,0x1e863f27}},	// [40e0] gyat_, _אלקי, лкав, ылам, 
   {{0xaf0300d9,0x00000000,0x00000000,0x00000000}},	//   спул, --, --, --, 
   {{0xacf61b11,0xf53600c7,0x28c302e6,0x10a60176}},	//   учај, רטער_, _वेलि, _синн, 
   {{0x65ad0187,0x22404ed2,0x7c65007a,0x00000000}},	//   _súhl, _kvik_, شامل, --, 
   {{0xbb4305e1,0x19580cfe,0xa9a60258,0x60d60243}},	//   сечк, валы_, лидд, šamā, 
   {{0xfce637e8,0x82770070,0x3f8000b9,0x09e30080}},	//   _бого, טענע_, ldiu_, бочн, 
   {{0xdca34ed3,0xcdc54ae3,0x7c294ed4,0x3a264ed5}},	//   _лари, _тарқ, _čerg, spop_, 
   {{0x7c3e0f96,0x3f804ed6,0x9486004e,0x00000000}},	//   mspr, ndiu_, ңынд, --, 
   {{0x7c3e2773,0x24870068,0x36d4328d,0x35b44ed7}},	//   lspr, _arnm_, ропр, ибир, 
   {{0x33200096,0xd90e0eb7,0x00000000,0x00000000}},	//   _afix_, _عیب_, --, --, 
   {{0xd7ef4ed8,0x6d430038,0x35671dbc,0x058300f0}},	//   _гу_, ónai, урын_, суым, 
   {{0x3ea90264,0x2fc90201,0x3f800034,0x7c3e4ed9}},	//   yyat_, xiag_, jdiu_, ispr, 
   {{0x6594272b,0xdcf500e0,0x3a240065,0xbee31230}},	//   _валу, _mazā, _jtmp_, _कुंभ_, 
   {{0x7c3e264e,0x00000000,0x00000000,0x00000000}},	//   kspr, --, --, --, 
   {{0xd48f4eda,0x351b035c,0x3ea94edb,0x31714edc}},	//   _ур_, _אוונ, wyat_, rezz_, 
   {{0x443e4edd,0x753a02ba,0x7c3e050f,0x69ca4ede}},	//   mst_, latz, dspr, hife, 
   {{0xe81b051f,0x443e4edf,0x7c3e4ee0,0xb81b3263}},	// [40f0] _पूना_, lst_, espr, _पूनम_, 
   {{0x753a0a9f,0x443e4ee1,0x3ea94ee2,0x2fc9023b}},	//   natz, ost_, ryat_, siag_, 
   {{0x443e076b,0x69ca4ee3,0x3ea902f6,0x998d027e}},	//   nst_, dife, syat_, _ateş_, 
   {{0x443e4ee4,0x753a4ee5,0xdb0006df,0x63af0098}},	//   ist_, hatz, _komè, nkcn, 
   {{0x753a02ba,0x2d8502a0,0x386c0183,0x443e01c4}},	//   katz, _óleo_, _apdr_, hst_, 
   {{0x443e4ee6,0x61e7032f,0x3a240183,0xd8250386}},	//   kst_, nojl, _dtmp_, адки, 
   {{0x443e4ee7,0x753a0a9f,0xa7b508bd,0x7c8404fb}},	//   jst_, datz, исиј, _луте, 
   {{0xc1d20179,0x443e4ee8,0xf7713d66,0x8af70248}},	//   _सद्ग, dst_, زاب_, çəsi, 
   {{0x443e4ee9,0x7bcb4eea,0x959508af,0xdb0000f6}},	//   est_, migu, ашні, _nomè, 
   {{0x27e006e0,0x6d574eeb,0x27330029,0x443e4eec}},	//   čina_, ngxa, ản_, fst_, 
   {{0x443e0751,0x232a4eed,0x2d810a75,0xa77534e9}},	//   gst_, кони_, idhe_, _влеч, 
   {{0x7bcb4eee,0xb4d51561,0x888a00c7,0xe28601a2}},	//   nigu, _सखी_, _שרײַ, алми, 
   {{0x2d91290d,0xdb004eef,0xa2c0031e,0x753a01f1}},	//   _onze_, _comè, _लेख्, batz, 
   {{0x7bcb02dc,0xdb004ef0,0x443e4ef1,0x61e70082}},	//   higu, _domè, bst_, gojl, 
   {{0x7bcb4ef2,0x84e902e6,0x7c3e02b0,0x9f49007a}},	//   kigu, _ऑडिट_, xspr, alaí_, 
   {{0x673b012d,0x788000bc,0xfe4600a3,0x3f8000b3}},	//   nauj, lává, инбо, udiu_, 
   {{0x3f804ef3,0xd00712b3,0x22404ef4,0xef174ef5}},	// [4100] rdiu_, рете_, _uvik_, рму_, 
   {{0x7c3e4ba1,0x9d460ec4,0x644e0068,0x63a4107c}},	//   tspr, режд, ábig, _hoin, 
   {{0x63a44ef6,0x98a7031e,0x9f400038,0x62864ef7}},	//   _koin, raně_, iliú_, lvko, 
   {{0x7c3e4ef8,0x753a02ba,0x1a2a00dd,0x63a44ef9}},	//   rspr, zatz, вжди_, _join, 
   {{0x63a40518,0x63b64efa,0xdb004efb,0x673b0009}},	//   _moin, _mlyn, _komé, dauj, 
   {{0x443e4efc,0x63a44efd,0x7c3e4efe,0x3eaf02c9}},	//   yst_, _loin, pspr, øgte_, 
   {{0xdca64eff,0x7b9602fb,0x8c434f00,0xb9c30084}},	//   _тави, _краї, _мере, تقوي, 
   {{0x96341d6d,0x2ca74f01,0xebe3471e,0x443e4f02}},	//   бниц, ände_, _досп, vst_, 
   {{0x753a4f03,0x443e00f8,0x3b074f04,0x6b82017c}},	//   tatz, wst_, _вето_, mdog, 
   {{0xdb004f05,0x443e0b32,0x5506243e,0x6b824f06}},	//   _nomé, tst_, ична, ldog, 
   {{0x753a0414,0x61e700cf,0x63a44f07,0x443e4f08}},	//   ratz, vojl, _boin, ust_, 
   {{0x63a44f09,0x443e4f0a,0x753a4f0b,0x63b62fc4}},	//   _coin, rst_, satz, _clyn, 
   {{0x443e4f0c,0x753a0a9f,0xc6761117,0x63a44f0d}},	//   sst_, patz, _خطاب, _doin, 
   {{0x463b0137,0xdb004f0e,0x7bcb0383,0x443e4f0f}},	//   _יעדע, _comé, zigu, pst_, 
   {{0xdb004f10,0x63a400eb,0x63b60156,0x4fc70165}},	//   _domé, _foin, _flyn, асаа, 
   {{0xff5f010c,0x63a400a7,0x6d5c4f11,0x63b600f8}},	//   _emîn_, _goin, _acra, _glyn, 
   {{0x6b820369,0xdb000183,0x7bcb0107,0x69c84f12}},	// [4110] ddog, _fomé, vigu, _omde, 
   {{0x71750fce,0x673b23f2,0x63a44f13,0x71790b49}},	//   _اهدا, zauj, _zoin, _сбор_, 
   {{0x2ca7002e,0x6fb5009c,0x2d81024a,0x7bcb37ba}},	//   ând_, _همدا, rdhe_, tigu, 
   {{0x6d5c051b,0x6f950038,0x6b80017c,0x2d81021e}},	//   _ecra, _الحض, _camg, sdhe_, 
   {{0x6b804f14,0x673b012d,0x60db008f,0xb21b003e}},	//   _damg, vauj, ğumu, kvæm, 
   {{0x7bcb4f15,0x75384f16,0x6d5c007a,0x7af700ad}},	//   sigu, _nevz, _gcra, əxtl, 
   {{0x7bcb00c5,0x673b00e0,0x788002d9,0x00000000}},	//   pigu, tauj, vává, --, 
   {{0xba77009c,0xb21b003e,0xacf900a3,0x69c80382}},	//   _پارت, tvæl, _анҳу_, _emde, 
   {{0x63a40544,0x673b26eb,0x7bc93202,0x76401bc7}},	//   _roin, rauj, _imeu, gsmy, 
   {{0xdb00009e,0x63a44f17,0x67da003d,0xe29a0200}},	//   _komî, _soin, rċja, ҳам_, 
   {{0x63b60076,0x63a44f18,0x2bc40586,0xb50a017d}},	//   _plyn, _poin, लोवा, _हृदय_, 
   {{0xe29a24d2,0x645c022c,0x79814f19,0x7bdb01b8}},	//   гам_, ària, _halw, _jjuu, 
   {{0x6d470144,0x63a44f1a,0x79814f1b,0x1b7a00c7}},	//   _odja, _voin, _kalw, נטשע, 
   {{0xc69200a7,0x79810026,0x13032d94,0x00000000}},	//   _מאד_, _jalw, язям, --, 
   {{0x63a40088,0x6b8203c6,0x86220535,0x00000000}},	//   _toin, ydog, _وکیل, --, 
   {{0x79810cd7,0x44274f1c,0x6441328f,0x6d5c1921}},	//   _lalw, _itn_, msli, _scra, 
   {{0xd2041088,0x244321ac,0x4427006d,0x8fa3169d}},	// [4120] _мүмк, lım_, _htn_, чате, 
   {{0x6b804f1d,0x7bc94f1e,0x44274f1f,0xfce64484}},	//   _samg, _ameu, _ktn_, бозо, 
   {{0xdefa005e,0x24430749,0x64414f20,0x7e7d0dac}},	//   тың_, nım_, nsli, _essp, 
   {{0x80c10086,0x44274f21,0x64414f22,0x79810ff2}},	//   _শুক্, _mtn_, isli, _aalw, 
   {{0x79814f23,0x24430761,0xab650243,0x00000000}},	//   _balw, hım_, daļā, --, 
   {{0x09e33065,0x644100ec,0x244301f0,0x64434f24}},	//   почн, ksli, kım_, _ovni, 
   {{0x3f824f25,0x58864f26,0x78b50095,0x7e644f27}},	//   _kaku_, сыла, _üzvl, ltip, 
   {{0x24430749,0xf09300a7,0x27e002ee,0x64414f28}},	//   dım_, לנו_, čino_, dsli, 
   {{0x201a4f29,0x64410876,0xd94600d3,0x3f824f2a}},	//   _lupi_, esli, _гези, _maku_, 
   {{0x44274f2b,0x79813296,0xb865009c,0x7bc9020f}},	//   _btn_, _galw, _ژانو, _zmeu, 
   {{0x539900dd,0x6441042a,0x7e6414aa,0x395e008a}},	//   авня_, gsli, htip, _icts_, 
   {{0x3f824f2c,0x61e11d5b,0xddcd0241,0x69d801dd}},	//   _naku_, पक्ष, ktaş, lnve, 
   {{0x6441018c,0x79812dc1,0x0ec70d2e,0x69d82c8f}},	//   asli, _yalw, _रेंड, onve, 
   {{0x44270082,0x69d84f2d,0xf43400b3,0xbddb10cc}},	//   _ftn_, nnve, _декэ, _avèn, 
   {{0xd48f183a,0x3f824f2e,0x44260fce,0x201a4f2f}},	//   _эр_, _baku_, _ارتف, _cupi_, 
   {{0x1fa41fde,0x7e7d0065,0x201a033e,0x69d84f30}},	//   пруг, _pssp, _dupi_, hnve, 
   {{0x680a006a,0x3f82030c,0x6e9903dc,0xdcfc0187}},	// [4130] _będz, _daku_, швар_, _darč, 
   {{0xbddb46cd,0x44270065,0x9f590126,0x201a0247}},	//   _evèn, _ytn_, _pisó_, _fupi_, 
   {{0xa3ad0a34,0x6ad11276,0x79810415,0x201a0604}},	//   _गवा_, तप्र, _ralw, _gupi_, 
   {{0x2d9c0219,0x79814f31,0x826400d4,0x628d00d7}},	//   över_, _salw, _بهین, _krao, 
   {{0x2443091f,0x69d8008c,0x6d434f32,0xc33400d1}},	//   zım_, fnve, ónas, לוף_, 
   {{0x244303c0,0x6e2d4f33,0x3f824f34,0x79810415}},	//   yım_, mpab, _zaku_, _qalw, 
   {{0x6e2d1771,0x3f820532,0x321300de,0x442c0096}},	//   lpab, _yaku_, _mixy_, jpd_, 
   {{0x44274f35,0x79814f36,0x2d830464,0xf6254f37}},	//   _rtn_, _walw, _haje_, одио, 
   {{0xe6164216,0x95994f38,0x79814f39,0x442710d4}},	//   оды_, атну_, _talw, _stn_, 
   {{0x64410343,0x2d830704,0x244303c0,0x44270e34}},	//   tsli, _jaje_, tım_, _ptn_, 
   {{0x87e72241,0xd4694f3a,0x628d4f3b,0x644114aa}},	//   _люде, шине_, _arao, usli, 
   {{0x24430749,0x201a4f3c,0xe695073c,0x628d4f3d}},	//   rım_, _rupi_, _ولاد, _brao, 
   {{0x628d0094,0x244301f0,0x64414f3e,0x44270090}},	//   _crao, sım_, ssli, _wtn_, 
   {{0x64411e4b,0x628d4f3f,0x3f824f40,0x2d834f41}},	//   psli, _drao, _saku_, _naje_, 
   {{0x03a61745,0xdcfc4f42,0x1faa4f43,0x644300bc}},	//   _мико, _parč, акви_, _uvni, 
   {{0xa3be02ab,0x25fd0081,0x628d0557,0x7e640e10}},	//   _इति_, _रीती_, _frao, ttip, 
   {{0xf7720111,0x628d4f44,0x64a312e1,0x0dca4f45}},	// [4140] וקן_, _grao, _фақа, алай_, 
   {{0xdd9206bc,0x3f82414f,0x00000000,0x00000000}},	//   بوط_, _waku_, --, --, 
   {{0x7e644f46,0x3f6a4f47,0x3f824f48,0x2a7f00b0}},	//   stip, _кино_, _taku_, _asub_, 
   {{0x2ca7014e,0xcb6a4f49,0x6d43003e,0x7e6417f4}},	//   ända_, раде_, ónar, ptip, 
   {{0x0d2203a1,0x00000000,0x00000000,0x00000000}},	//   _жүзү, --, --, --, 
   {{0x2d834f4a,0x8d76009c,0x7769039b,0x00000000}},	//   _gaje_, _باحا, efex, --, 
   {{0xc7b80372,0x69d84f4b,0xc7ba01a2,0xdcfc008a}},	//   _luđe_, rnve, иёи_, _forġ, 
   {{0xca764f4c,0x466a1cc8,0xdb001c62,0xf64629c3}},	//   _музы, аром_, _homí, охон, 
   {{0xdb00014b,0x2d830199,0x00000000,0x00000000}},	//   _komí, _yaje_, --, --, 
   {{0x395e0054,0x28960267,0x00000000,0x00000000}},	//   _ucts_, _мјес, --, --, 
   {{0x31781097,0xd5b7017b,0x00000000,0x00000000}},	//   derz_, ісь_, --, --, 
   {{0x628d4f4d,0x00000000,0x00000000,0x00000000}},	//   _prao, --, --, --, 
   {{0x9f4900d3,0x56943c76,0xc6d6010e,0xd5b903a1}},	//   llaç_, _халт, _بتات, рсө_, 
   {{0x442c012b,0x6756015f,0xd83803a0,0x00000000}},	//   ppd_, _ایکس_, _kwč_, --, 
   {{0x2d834f4e,0x855700d1,0x1fa72512,0xd6d90083}},	//   _raje_, _ושוב_, ораг, mała_, 
   {{0x09b72158,0x628d4f4f,0x2d834f50,0xcf980886}},	//   _अत्य, _trao, _saje_, оју_, 
   {{0xb40300b9,0x2d830610,0x00000000,0x00000000}},	// [4150] _нүүд, _paje_, --, --, 
   {{0xdb002888,0xc05b4f51,0xdc8b05b2,0xab5d008a}},	//   _comí, _кім_, исел_, _imżi, 
   {{0xdb004a2f,0x2d83008b,0xd8380237,0x68270241}},	//   _domí, _vaje_, _nwč_, _kıde, 
   {{0x207a0137,0x2d8308dc,0x307a00c7,0xbbb50d53}},	//   _פארא, _waje_, _פארנ, ंसेक, 
   {{0xbf9a042c,0x20094f52,0x720a010e,0x28c30299}},	//   _הירש, mmai_, _خفیہ_, _वेजि, 
   {{0x20094f53,0xd83805d5,0x00000000,0x00000000}},	//   lmai_, _bwč_, --, --, 
   {{0x013800d1,0xcb350093,0xd6d90083,0x2009011c}},	//   חרות_, _невъ, dała_, omai_, 
   {{0x2a7f006d,0xb6a500d9,0x20094f54,0x00000000}},	//   _tsub_, зиил, nmai_, --, 
   {{0xe81b130c,0x2a7f00c2,0x00000000,0x00000000}},	//   _पूरा_, _usub_, --, --, 
   {{0x77bc0183,0x959900b3,0x00000000,0x00000000}},	//   _réxe, стиу_, --, --, 
   {{0xe7870f5a,0x20090019,0xc7b802c7,0x845808b8}},	//   _мудо, kmai_, _suđe_, орят_, 
   {{0xd7fb3ae5,0x78fa00d1,0x00000000,0x00000000}},	//   _туз_, _הפעו, --, --, 
   {{0x65951273,0x3a2f0065,0x27ed4f55,0x538100f0}},	//   _наду, npgp_, moen_, тқыз, 
   {{0x7c29031e,0x27ed4f56,0x4e1f00b0,0x00000000}},	//   _čern, loen_, _बढ़ई_, --, 
   {{0x91034f57,0xf9920070,0x69b302e6,0x10a600fd}},	//   епре, ערל_, _अवनी, чивн, 
   {{0x20093b38,0xef1a4f58,0xc7b80112,0x27ed4f59}},	//   gmai_, сма_, _tuđe_, noen_, 
   {{0x7a190118,0xd12f010e,0x27ed01d6,0x00000000}},	// [4160] _lňtb, ئمہ_, ioen_, --, 
   {{0x27ed4f5a,0x22440098,0xdcfc008a,0x8cb82a2c}},	//   hoen_, ámku_, _jorħ, ऊनलो, 
   {{0x27ed4f5b,0x61ee4f5c,0x711b00c7,0x660f0032}},	//   koen_, mobl, _לויפ, ícky, 
   {{0xdb000012,0x161b05fd,0xe1ff0503,0x200900d9}},	//   _româ, नदार_, ntón_, cmai_, 
   {{0x27ed4f5d,0x7bc3024a,0xf38d0070,0x25650237}},	//   doen_, ënua, יראָ, _kňlč_, 
   {{0x61ee4f5e,0x8c462163,0x00000000,0x00000000}},	//   nobl, _неге, --, --, 
   {{0x2d980219,0x38c8009c,0x27ed4f5f,0x00000000}},	//   _inre_, غاتی_, foen_, --, 
   {{0x27ed02ba,0xd6d900ab,0x6d5e007e,0xdcfc01dd}},	//   goen_, wała_, lgpa, _garā, 
   {{0x9f400019,0x61ee0823,0xa3c00bb9,0xd6d90083}},	//   llió_, kobl, ंघन_, tała_, 
   {{0x6d5e4f60,0x61ee031e,0xe1ff001d,0x273a0023}},	//   ngpa, jobl, etón_, ẫn_, 
   {{0x4438023e,0x3dbe0086,0xb4b60262,0x61ee0121}},	//   èr_, _আদাল, छने_, dobl, 
   {{0x78fb00d1,0xd6d90083,0x23bb021e,0x00000000}},	//   _פלאפ, sała_, _bëja_, --, 
   {{0xa3be02f8,0x2fc02a6d,0x59b002e6,0xa5c40259}},	//   _इतर_, dhig_, _जकार, _жөне, 
   {{0xbf9b4f61,0xa91c0032,0xd49a004f,0x00000000}},	//   _chên, _maľo, _гри_, --, 
   {{0x657a4f62,0x00000000,0x00000000,0x00000000}},	//   meth, --, --, --, 
   {{0x320a0054,0x657a4f63,0x2d98020f,0x301400fd}},	//   amby_, leth, _anre_, едср, 
   {{0x645a4f64,0x20094f65,0x61ee4f66,0xdb1b02be}},	// [4170] luti, rmai_, bobl, _fluê, 
   {{0xd904182b,0x657a271e,0x27ed4f67,0x200900ec}},	//   _می_, neth, zoen_, smai_, 
   {{0xdcfc002a,0x645a4f68,0x69c04f69,0x2fc001be}},	//   _parā, nuti, वसनी, bhig_, 
   {{0x657a4f6a,0x4a750161,0x2fc04f6b,0xf1b90243}},	//   heth, дыкт, chig_, īšu_, 
   {{0x657a4399,0x645a4f6c,0xc5f800e0,0x3f990151}},	//   keth, huti, klē_, _insu_, 
   {{0x645a4f6d,0x657a4f6e,0xe9d84547,0x3f894f6f}},	//   kuti, jeth, пкі_, ldau_, 
   {{0x27ed4f70,0xe7390088,0xb7b50023,0x0ca800a3}},	//   toen_, оей_, _dụn, _етти_, 
   {{0x645a4f71,0x22494f72,0x3f894f73,0x96053cae}},	//   duti, _ovak_, ndau_, रष्ट_, 
   {{0x27ed4f70,0x386701cc,0xdce70009,0x657a017c}},	//   roen_, stnr_, _pajė, feth, 
   {{0x657a4f74,0x27ed4f75,0x645a4f76,0x776200f6}},	//   geth, soen_, futi, _ecox, 
   {{0x645a4f77,0x9f4b00bc,0x61ee00a3,0x3f993844}},	//   guti, _akcí_, vobl, _onsu_, 
   {{0xd6ce00d6,0x5804007a,0x00000000,0x00000000}},	//   اقی_, _كولك, --, --, 
   {{0x3f8902bf,0x61ee4f78,0xe1ff4202,0x657a35b8}},	//   ddau_, tobl, rtón_, beth, 
   {{0xe1ff0634,0x65bf010c,0x213e0038,0x657a00d7}},	//   stón_, _bêhe, úth_, ceth, 
   {{0xc7b8001b,0x436a058e,0xdb000183,0x645a4f79}},	//   _ttđt_, _дайн_, _momá, cuti, 
   {{0xee3a0bfd,0x3e66026d,0x61ee00cf,0x3a2d07fc}},	//   жна_, tôt_, sobl, _otep_, 
   {{0x7dc01a32,0x61ee4f7a,0x0d8600a3,0x3f860032}},	// [4180] _löse, pobl, млан, ľou_, 
   {{0x3f8902f0,0xfd1211fe,0x27e006e0,0xdb004f7b}},	//   adau_, نجا_, čini_, _romà, 
   {{0x93bd002e,0xdb1906df,0x3a2d3863,0xdb0000f6}},	//   mpăr, viwò, _atep_, _somà, 
   {{0x3e66026a,0x657a010e,0x00000000,0x00000000}},	//   pôt_, zeth, --, --, 
   {{0xe1ff010e,0x7f440126,0x657a4f7c,0xbb434f7d}},	//   któl_, maiq, yeth, течк, 
   {{0x082a36e7,0xfce60161,0x9f400369,0x7dc00380}},	//   оции_, _жого, plió_, _böse, 
   {{0xab2a1222,0xdb00063b,0x2c1800c2,0x701c0033}},	//   _мова_, _domá, _बंटू_, _তবুও_, 
   {{0x645a4f7e,0xf76f1b44,0x657a02bf,0xdb0003a1}},	//   vuti, لاً_, weth, _tomà, 
   {{0x6e220084,0xb4b6000d,0x89660386,0x7bc20c0c}},	//   íobh, छन्_, _окаж, mhou, 
   {{0x7bc24f7f,0x65ad0032,0xb8b60267,0x68ed0213}},	//   lhou, _súhr, _осећ, şada, 
   {{0xd7ef4f80,0x62840088,0x657a4f81,0x6d4e0065}},	//   _ау_, _asio, reth, _mdba, 
   {{0x7bc20af8,0x657a1e3a,0x65bf010c,0xb21b01d5}},	//   nhou, seth, _rêhe, kvæt, 
   {{0x6d4e03ef,0x7d1c0352,0x6aa20183,0xe5c64f82}},	//   _odba, _ogrs, nxof, _оско, 
   {{0x79884f83,0x31a6023a,0x7d030098,0x65bf010c}},	//   _jadw, _kôzy_, ýnsk, _pêhe, 
   {{0x79880405,0x645a040c,0x29180228,0x7bc24f84}},	//   _madw, quti, _úrad_, khou, 
   {{0x80a0047c,0x98a7044e,0x7bc201c8,0x6d4e4f85}},	//   _ऑपरे, žiću_, jhou, _adba, 
   {{0x799a1e97,0x443c023b,0x63ad00d9,0x7c2e00e0}},	// [4190] _ontw, _hwv_, _ioan, _atbr, 
   {{0x8d771fe8,0x63ad4f86,0x443c01a0,0x7bc20c4e}},	//   بارا, _hoan, _kwv_, ehou, 
   {{0xdb004f87,0x2d870228,0x63ad084c,0x798a0156}},	//   _romá, ľne_, _koan, ddfw, 
   {{0x799a4f88,0x63ad4f89,0x2d874f8a,0x7bc23c99}},	//   _antw, _joan, žne_, ghou, 
   {{0x63ad4f8b,0xdb0005a8,0x443c0201,0x79884f8c}},	//   _moan, _pomá, _lwv_, _badw, 
   {{0x63ad4f8d,0x9f40008c,0xd6d90035,0xf1bf4f8e}},	//   _loan, llið_, wało_, mpás_, 
   {{0x79880090,0xc7b80242,0x6448039b,0x00000000}},	//   _dadw, _suđa_, jsdi, --, 
   {{0x6d454f8f,0x7bc24f90,0x799a4f91,0x64481698}},	//   laha, chou, _entw, dsdi, 
   {{0x20190982,0xdb004f92,0x6b9b4f93,0xf7710444}},	//   _misi_, _tomá, _inug, ناک_, 
   {{0x77b51408,0x6d454f94,0x77bc09a1,0x20194f95}},	//   _máxi, naha, _véxa, _lisi_, 
   {{0x69c30094,0x63ad4f96,0x64483414,0xe1ff4f97}},	//   mhne, _boan, gsdi, rtól_, 
   {{0xceb406d0,0xc7b8090e,0xdb0002c9,0x8cb0034d}},	//   yyə_, _tuđa_, _domæ, ंहतो, 
   {{0x6d454f98,0x63ad4f99,0x6b89095a,0x644808b0}},	//   kaha, _doan, _maeg, asdi, 
   {{0x443c023b,0x1aec0086,0x7649027e,0x442e4f9a}},	//   _fwv_, জেকে_, msey, _ftf_, 
   {{0x6d450757,0x63ad05f0,0x7dc002f2,0x2019005f}},	//   daha, _foan, _lösc, _bisi_, 
   {{0x6729283b,0x66180a1a,0x93bd00b3,0x63ad2704}},	//   ncej, _zivk, spăr, _goan, 
   {{0x6d454f9b,0x76494f9c,0x62840053,0x20194f9d}},	// [41a0] faha, nsey, _usio, _disi_, 
   {{0x6b9b4852,0x443c0201,0x4d632831,0x69c30352}},	//   _anug, _ywv_, лкув, jhne, 
   {{0x7bc24f9e,0x20194f9f,0x443c023b,0x6b890415}},	//   thou, _fisi_, _xwv_, _baeg, 
   {{0xbea60fc8,0x79880156,0x63ad4fa0,0xddcd0083}},	//   _замк, _sadw, _xoan, grał, 
   {{0x6d45090a,0x7bc209a2,0xb21b03a9,0x79880326}},	//   baha, rhou, lvær, _padw, 
   {{0x28f8125c,0x6d450982,0x7bc24fa1,0x69c34fa2}},	//   мель_, caha, shou, ghne, 
   {{0x7c2e0f5b,0x307a00c7,0xa3c004cc,0x7bc21a77}},	//   _utbr, לאַנ, ंघा_, phou, 
   {{0x2d8a4fa3,0x661806e0,0x6b890118,0x6b9b02ae}},	//   _habe_, _sivk, _gaeg, _gnug, 
   {{0x7bc04fa4,0x2d8a4fa5,0x442e4fa6,0x66184fa7}},	//   _ilmu, _kabe_, _stf_, _pivk, 
   {{0x69c34fa8,0x63ad4fa9,0xe96700d9,0x2d8a01f1}},	//   chne, _soan, _паул_, _jabe_, 
   {{0x61fc04a8,0x81d60086,0x6448012d,0x63ad4faa}},	//   dlrl, িকা_, usdi, _poan, 
   {{0xd5b8002a,0x6d454fab,0x2d8a00bc,0xb21b34f9}},	//   skā_, zaha, _labe_, dvær, 
   {{0x6d454fac,0x63ad4fad,0x77bc0175,0xdb0b0502}},	//   yaha, _voan, _héxo, ckgä, 
   {{0x27e0034c,0x20193202,0x2d8a010c,0x7afd03a9}},	//   činu_, _sisi_, _nabe_, _øste, 
   {{0x7bc00e7b,0x63ad4fae,0x6d4505f0,0x443c02b0}},	//   _olmu, _toan, vaha, _uwv_, 
   {{0x77b54faf,0x00000000,0x00000000,0x00000000}},	//   _páxi, --, --, --, 
   {{0x2d8a27d0,0x20194fb0,0x28c0017d,0x80d102e6}},	// [41b0] _babe_, _visi_, षैति, _डेरे, 
   {{0x9ce70716,0x20194fb1,0x9f52010c,0x7bc301dd}},	//   нцел, _wisi_, noyê_, īnum, 
   {{0x6d454fb2,0x2d8a01f1,0xf99f0023,0x65bf0218}},	//   raha, _dabe_, _đè_, _jêha, 
   {{0x291e0102,0x77b5019c,0xbbbd1f9a,0x00000000}},	//   _agta_, _táxi, ्फेक, --, 
   {{0x6d454fb3,0x69c30a75,0x7f9400f0,0x68fa00a3}},	//   paha, thne, _саях, _aytd, 
   {{0x7bc03230,0x2d8a02ba,0x9f52010c,0x7e6d4fb4}},	//   _elmu, _gabe_, joyê_, mtap, 
   {{0x69c300ef,0x18a54fb5,0x3f8b4fb6,0x7e6d4fb7}},	//   rhne, тайм, _kacu_, ltap, 
   {{0x3f8b0613,0x2d8a0a1a,0xaad21f22,0x76491842}},	//   _jacu_, _zabe_, _देवक, tsey, 
   {{0x7e6d4fb8,0xba7420b4,0x69c30237,0x0609181b}},	//   ntap, _مالت, phne, мник_, 
   {{0x76494fb9,0xdb00074b,0xef1f4fba,0x67290082}},	//   rsey, _domä, _saül_, scej, 
   {{0x69c11092,0x39474fbb,0xf50200fd,0x7afd00fb}},	//   _ille, mans_, изьо, _østb, 
   {{0x39474fbc,0x7d1a003e,0x7e6d0844,0x4425084c}},	//   lans_, _útse, ktap, rql_, 
   {{0xe56901ff,0xd299004f,0x7dc002ae,0x95854fbd}},	//   _жилд_, нтрі_, _lösa, _алле, 
   {{0x39474fbe,0xdb1b022c,0x00000000,0x00000000}},	//   nans_, _lluï, --, --, 
   {{0xb21b01cc,0x2d8a4fbf,0x3f8b02b8,0x7e6d07a0}},	//   tvær, _rabe_, _bacu_, etap, 
   {{0x2d8a0b85,0x3f8b1aa9,0xc2c600eb,0x00000000}},	//   _sabe_, _cacu_, _ليبي, --, 
   {{0x321a0076,0x39474fc0,0x7e6d3e3f,0x69c14fc1}},	// [41c0] _tipy_, kans_, gtap, _olle, 
   {{0xb21b4fc2,0x39474fc3,0x6296007c,0x5d1624a1}},	//   svær, jans_, _iryo, نباز, 
   {{0x39474fc4,0x0b4600dd,0xc1bb042c,0xdd8f08cb}},	//   dans_, внен, _חמיש, تول_, 
   {{0x24871eb1,0x22404fc5,0x629600de,0x3f8b016c}},	//   _msnm_, _kwik_, _kryo, _gacu_, 
   {{0x39474fc6,0xaad2031e,0x2d8a4fc7,0xa3ea058c}},	//   fans_, _देशक, _tabe_, _मदन_, 
   {{0x7afb02dc,0x3f8b02b8,0x260601a4,0x39474fc8}},	//   _dyut, _zacu_, _सीढी_, gans_, 
   {{0x8c4321b8,0xdca32d60,0x25ae4fc9,0x588611db}},	//   _весе, _кари, _rofl_, тыла, 
   {{0x69c1017e,0xd90d0a24,0x77bc0183,0xfce32ee5}},	//   _elle, سین_, _véxo, _тосо, 
   {{0x83fd003a,0x39474fca,0x7c29400c,0x00000000}},	//   nuđe, bans_, _čeri, --, 
   {{0x39474fcb,0xe1ff4e58,0x69c103c6,0x00000000}},	//   cans_, rtók_, _glle, --, 
   {{0x3a244fcc,0x7e6d01ca,0x69d84fcd,0x62960610}},	//   _hump_, ztap, mive, _aryo, 
   {{0xccf30056,0x6296023e,0x3a240065,0x69d84fce}},	//   יכת_, _bryo, _kump_, live, 
   {{0x83fd160e,0xe29800e4,0x645d0009,0x27e6011c}},	//   juđe, ваў_, ąsia, _ijon_, 
   {{0x720500eb,0x3f8b0226,0x69d81cea,0xbbaf009a}},	//   اوسم, _sacu_, nive, _झक्क, 
   {{0x439507e1,0x3f670a27,0x2fc20ab1,0x3f8b4fcf}},	//   _байс, ктаб, _blkg_, _pacu_, 
   {{0x645a032f,0x39474fd0,0x7e6d4fd1,0x2b44025b}},	//   mrti, zans_, ttap, _nemc_, 
   {{0x39470cd7,0x69d8042a,0x61e50026,0x2ceb00b0}},	// [41d0] yans_, kive, _tjhl, _जुड़ल_, 
   {{0x7e6d4fd2,0x39470293,0x69d80352,0x645a0c0c}},	//   rtap, xans_, jive, orti, 
   {{0x39474fd3,0x7e6d4fd4,0x7afb4fd5,0x63bd0009}},	//   vans_, stap, _syut, oksn, 
   {{0x645a4fd6,0x83fd0704,0x7e6d41ee,0x39470548}},	//   irti, buđe, ptap, wans_, 
   {{0x39474fd7,0xb5fd0076,0x8aa700fd,0x81d60033}},	//   tans_, luše, ържд, িকর_, 
   {{0x69d805ce,0xe81b0586,0x6d3400b3,0x1a680499}},	//   give, _पूजा_, _верф, ئیلی_, 
   {{0x3947158b,0x2369015e,0xddc400d9,0x2d814fd8}},	//   rans_, _ocaj_, stiţ, mehe_, 
   {{0x39474fd9,0x236901a0,0x2d814fda,0x7afb0008}},	//   sans_, _ncaj_, lehe_, _tyut, 
   {{0xe6194fdb,0x69d84fdc,0x39474fdd,0x0a680082}},	//   нди_, bive, pans_, _архи_, 
   {{0x7dc0022b,0xb5fd16ef,0x2d8107d7,0xddcd0035}},	//   _lösn, kuše, nehe_, jważ, 
   {{0xddc417cb,0xa3c000a5,0x59b809ec,0xd87720b4}},	//   ntiš, ंघल_, _अवतर, _جاذب, 
   {{0x2d814fde,0xdb1b03a1,0x629615ad,0xe1ff0035}},	//   hehe_, _lluí, _pryo, otów_, 
   {{0xe1ff00ab,0x2d81084c,0x673b4fdf,0xe2971193}},	//   ntów_, kehe_, mbuj, гая_, 
   {{0x27ff4fe0,0x2d810e67,0xa5940093,0xddc40009}},	//   llun_, jehe_, _връщ, ktiš, 
   {{0x05740a5a,0x8f9a0148,0x645a0304,0xaf9a0ccb}},	//   _خاند, нъат_, crti, нтах_, 
   {{0xe1ff00ab,0x200b031e,0x69d84fe1,0x39454fe2}},	//   któw_, _chci_, zive, _lels_, 
   {{0xaf060bf8,0x27ff00c8,0xe81b093a,0x76550035}},	// [41e0] упал, ilun_, _पूछा_, ązyw, 
   {{0xdca64fe3,0x69d84771,0x531b00d1,0xd23b00d1}},	//   лази, xive, _אופצ, _רגיל, 
   {{0x27e94fe4,0x3a240626,0x69d821bd,0x83fd00d0}},	//   čanj_, _sump_, vive, suđe, 
   {{0x4fa61d52,0x0aea11db,0xab2a0637,0x0a6a306e}},	//   _симв, ндей_, хода_, ерки_, 
   {{0xdb1b4fe5,0x673b008b,0x68ff00ad,0x6934010e}},	//   _fluí, dbuj, əqdi, لکار, 
   {{0x7c290076,0x7d030380,0x645a003e,0xddc40144}},	//   _červ, ünsc, yrti, btiš, 
   {{0x39451f1d,0x1d073c30,0xa2db17dc,0x6e260c36}},	//   _dels_, _бери_, _पेन्, _hukb, 
   {{0x69d84fe6,0x57b4171c,0x8b954fe7,0x76aa4fe8}},	//   sive, рбит, _круч, етов_, 
   {{0x7f460226,0x2bb90c46,0x61f500a3,0x386e4fe9}},	//   _mekq, _आवता, yozl, stfr_, 
   {{0x80ba0086,0x6b823f63,0x64740091,0x645a0352}},	//   _উইন্, leog, агоу, trti, 
   {{0x6e260102,0x645a4d68,0x8d5b0070,0x27ff0175}},	//   _lukb, urti, עכטי, blun_, 
   {{0x645a4fea,0x3cdc00b0,0x6b820534,0x1bf4093a}},	//   rrti, _गइने_, neog, इकिल_, 
   {{0x59b807bd,0x63bd1b03,0x61f501ff,0xdb190502}},	//   _अवार, rksn, tozl, chwä, 
   {{0x645a008b,0x6b820102,0xb5fd0144,0x80d30033}},	//   prti, heog, tuše, _দুষ্, 
   {{0x86070eea,0xdb00128a,0x0489004e,0x61f54feb}},	//   _حقوق_, _comú, _ашық_, rozl, 
   {{0xb5fd05a8,0x2d814fec,0x6e26011c,0x20000527}},	//   ruše, wehe_, _bukb, glii_, 
   {{0xa3ea02f8,0x6b824fed,0x141c00a7,0xbebb00e5}},	// [41f0] _मदत_, deog, _אוהב, _afër, 
   {{0x21673a2a,0x76420547,0xbddb0212,0xb5fd0304}},	//   _стиг, _mwoy, _avèr, puše, 
   {{0x2d81086d,0x80d300cc,0x99d5009c,0x673b0dd2}},	//   rehe_, _দুর্, یتتا, ybuj, 
   {{0x67220ac5,0x2d814fee,0xa1340019,0x39450151}},	//   _ngoj, sehe_, _پریش, _sels_, 
   {{0x39450161,0xa9692d25,0xddc44fef,0x2d814ff0}},	//   _pels_, вила_, stiš, pehe_, 
   {{0x9f52026a,0xa8550843,0x985502f1,0xe1ff0035}},	//   voyé_, атиј, атиш, rtów_, 
   {{0xe1ff006a,0x39450082,0x6b821a51,0x764205d5}},	//   stów_, _vels_, beog, _awoy, 
   {{0x765b4ff1,0x98a500d9,0x9b89006b,0x6d47010c}},	//   truy, _află_, _جنرل_, _heja, 
   {{0x6d471146,0x673b0369,0xdb09008c,0x66e54ff2}},	//   _keja, rbuj, _gleð, ропа, 
   {{0x6d474ff3,0x7e7d0065,0x3ea900f6,0x765b4ff4}},	//   _jeja, _mpsp, ixat_, rruy, 
   {{0xa3ea119f,0x79834ff5,0x53a61dbc,0x9d220086}},	//   _मदद_, menw, аанб, _পড়ুন_, 
   {{0x6d474ff6,0x7e7d37b1,0x79830156,0xb60102d9}},	//   _leja, _opsp, lenw, _řáde, 
   {{0x98140040,0x75d5006b,0xe5a53859,0x628602b0}},	//   _ابلا, _پيغا, _вили, uwko, 
   {{0x6d474ff7,0x79834ff8,0x2c510083,0x321e1279}},	//   _neja, nenw, kąd_, öty_, 
   {{0x6e26012b,0x7e7d01dd,0x59b818b4,0x46d900c9}},	//   _sukb, _apsp, _अवसर, _बेतह, 
   {{0xa0670316,0x6d550727,0x442700d9,0x2fc91995}},	//   јата_, _adza, _iun_, ghag_, 
   {{0x44274ff9,0x6d474ffa,0xef1a4ffb,0x79834ffc}},	// [4200] _hun_, _beja, тма_, kenw, 
   {{0x44274ffd,0x44202083,0x7c273405,0x6d470369}},	//   _kun_, _hii_, _bujr, _ceja, 
   {{0x6d474ffe,0x6b824fff,0xa0a65000,0x44205001}},	//   _deja, teog, _танд, _kii_, 
   {{0x44275002,0xfc0308bd,0x7c290098,0x3e6f5003}},	//   _mun_, опхо, _čert, büt_, 
   {{0x442000d9,0x83fd00d0,0x79835004,0x19583e42}},	//   _mii_, nuđa, fenw, галы_, 
   {{0xe85417c1,0x79835005,0x44270300,0x9f590300}},	//   منتد, genw, _oun_, _aksè_, 
   {{0xfce33657,0x44275006,0x80b60086,0x7c27260a}},	//   _доро, _nun_, ৃপক্, _gujr, 
   {{0x442005d2,0xcdc40200,0x2fc05007,0x99dd0237}},	//   _nii_, _таҳқ, nkig_, _pwňc, 
   {{0x44275008,0x79830380,0x00000000,0x00000000}},	//   _aun_, benw, --, --, 
   {{0x77bc2f17,0x44275009,0x4420500a,0x28760504}},	//   _méxi, _bun_, _aii_, _выдр, 
   {{0x442724d3,0x2fc001a9,0x77bc247c,0x778616e1}},	//   _cun_, kkig_, _léxi, _влез, 
   {{0x4427500b,0xe73a0bce,0x67220097,0xdcfe0082}},	//   _dun_, _ред_, _ugoj, jepč, 
   {{0x4427500c,0x65941afd,0x2c510083,0x7642018e}},	//   _eun_, _галу, ząd_, _uwoy, 
   {{0x442700a7,0x2fc9012b,0x7c20500d,0x2fc0123b}},	//   _fun_, whag_, _limr, ekig_, 
   {{0x4427004c,0x44200012,0x6d47500e,0x0ce10086}},	//   _gun_, _fii_, _reja, _ভর্ত, 
   {{0x6d47500f,0x44205010,0x2fc05011,0x251b00d1}},	//   _seja, _gii_, gkig_, _בווא, 
   {{0xd2510084,0xab290f5a,0x5d550093,0x442701d6}},	// [4210] _عند_, қола_, йкат, _zun_, 
   {{0x44270268,0x44200532,0x628d0180,0x14ca009a}},	//   _yun_, _zii_, _isao, ानपण, 
   {{0x44274440,0x409500eb,0x7c29026e,0x6d475012}},	//   _xun_, _الجر, _čers, _veja, 
   {{0x44201c62,0x0c245013,0x0b583756,0x2fc01091}},	//   _xii_, імін, аршы_, ckig_, 
   {{0x79833a16,0x6d475014,0xeea80161,0x7c200034}},	//   tenw, _teja, _ктрк_, _dimr, 
   {{0xb5fd0112,0xb602014b,0x628d0054,0x6d55044d}},	//   kuša, _žánr, _msao, _udza, 
   {{0xb5fd00e0,0x798317a9,0x6e2d12ed,0x3b6700fd}},	//   juša, renw, lqab, _възв, 
   {{0x7c200065,0x442700a7,0x628d3c5f,0x79835015}},	//   _gimr, _run_, _osao, senw, 
   {{0x26cd0112,0x2d9103ef,0x44275016,0x6e2d00a4}},	//   uzeo_, _kaze_, _sun_, nqab, 
   {{0x44205017,0x44273883,0x66e5212c,0x69ca0502}},	//   _sii_, _pun_, _қола, chfe, 
   {{0x2d91024d,0x85110035,0x69fa00c7,0xdb0005d5}},	//   _maze_, डेंट_, _עלעק, _anmè, 
   {{0x44270210,0x2d910ab4,0x48155018,0x671b0586}},	//   _vun_, _laze_, _умес, _पृथक_, 
   {{0x44205019,0x79a400d9,0x1af70033,0x00000000}},	//   _vii_, _урӂе, েশকে_, --, 
   {{0x77bc09a1,0x4427501a,0xa06a501b,0x4420501c}},	//   _réxi, _tun_, лага_, _wii_, 
   {{0x4095021f,0x44270175,0x8fa6501d,0xd4350071}},	//   ортт, _uun_, баве, _اعتب, 
   {{0x4420016a,0x645c02fe,0x7f1a00f0,0x00000000}},	//   _uii_, šric, гізу_, --, 
   {{0x2d91501e,0x2a7f006d,0x63a4501f,0xd0072a65}},	// [4220] _baze_, _npub_, _inin, сете_, 
   {{0xd8380a1a,0xdee61cc1,0x63a45020,0xef175021}},	//   _hrče_, _ҳоми, _hnin, сму_, 
   {{0x63a41a35,0x46d903ce,0xa3be0790,0xa3bc02e6}},	//   _knin, _बेसह, _ेता_, _आका_, 
   {{0xc7b8090e,0x63b601ff,0xe1ff00b9,0xdee65022}},	//   _tuđi_, _joyn, btós_, _гоми, 
   {{0x7e645023,0xaad20d53,0x69ca5024,0x7afd004f}},	//   quip, _देखक, thfe, _østl, 
   {{0xcaa500eb,0x2244014b,0x63b6040c,0x9f49008c}},	//   تصمي, ámky_, _loyn, llað_, 
   {{0xc0f2001b,0x7c205025,0xa37b019c,0x00000000}},	//   _rượu_, _timr, liõe, --, 
   {{0x63b65026,0x96345027,0x63a401a3,0x69ca487e}},	//   _noyn, ониц, _nnin, shfe, 
   {{0xcf9300a7,0xa37b02a0,0x00000000,0x00000000}},	//   לטה_, niõe, --, --, 
   {{0x63a45028,0xf9c40274,0x7bc20102,0x545405b4}},	//   _anin, _بحری, lkou, овот, 
   {{0x26c25029,0x293707f5,0x02b3502a,0xc7af0088}},	//   ško_, _האבן_, ुन्न, _её_, 
   {{0x290c502b,0x63b600a1,0x7bc2502c,0x03c7035b}},	//   _izda_, _coyn, nkou, ссом, 
   {{0xadfa1e08,0x63a400a1,0x63b60104,0x59be072d}},	//   ्तान_, _dnin, _doyn, ्सपर, 
   {{0x236d00ab,0xb5fd026e,0x63a4502d,0x7bcb0034}},	//   żej_, lušn, _enin, zhgu, 
   {{0x2d910d22,0x7bc20080,0x00000000,0x00000000}},	//   _raze_, kkou, --, --, 
   {{0x543b0137,0x628d0038,0x290c014b,0xd83800ca}},	//   _געהא, _tsao, _mzda_, _mtč_, 
   {{0x2d9100d2,0xa37b02a0,0x69c8502e,0x5187502f}},	// [4230] _paze_, giõe, _olde, _луна, 
   {{0xcaae0033,0xd83805d5,0xe1ff039f,0x7bc21a77}},	//   কনাফ, _otč_, rtós_, ekou, 
   {{0xb5fd11c8,0x249c008a,0x9f4901d5,0x3a380144}},	//   kušn, _jrvm_, blað_, _črpa_, 
   {{0x69c85030,0xf8a900d4,0xfd1000eb,0xb5fd015e}},	//   _alde, یگاه_, رجل_, mrše, 
   {{0x957c00ab,0xd83805d5,0x2d915031,0x98c50082}},	//   ciąg, _atč_, _taze_, čuča_, 
   {{0x957c0035,0xdb1b022c,0x7bc25032,0x7bcb0508}},	//   niąd, _lluç, akou, shgu, 
   {{0xa7a902f1,0xd90e0019,0xa2db02ab,0xe1ff003e}},	//   икка_, ہیے_, _पेस्, próf_, 
   {{0xb5fd00ca,0x6fc9029c,0x69c85033,0x7bc25034}},	//   gušn, रसिं, _elde, ckou, 
   {{0x95c902f1,0x63a400a3,0x7bdb040b,0x969400b3}},	//   илиб_, _rnin, _imuu, прэш, 
   {{0xb5fd052a,0x63a45035,0x00000000,0x00000000}},	//   krše, _snin, --, --, 
   {{0x7bc916af,0xb5fd239a,0x63861d6b,0x6d58007a}},	//   _kleu, bušn, огна, óvai, 
   {{0x645c02a0,0xe29a5036,0xf1a92233,0x00000000}},	//   ária, аам_, _בס_, --, 
   {{0x7bdb00ef,0xbddb0118,0x87070433,0x00000000}},	//   _mmuu, _pwèl, _ابال, --, 
   {{0x83fd0062,0x38a0002e,0x7644010c,0x7bc90ea1}},	//   vrđe, _fără_, _çiya, _lleu, 
   {{0xd83800d0,0x7bc9017c,0x7bc25037,0x7bdb052b}},	//   _trče_, _oleu, ykou, _omuu, 
   {{0x63a45038,0x7c29026e,0x0fb300ab,0x6fda00bc}},	//   _unin, _čerp, ीसगढ, můck, 
   {{0x82361117,0x69c35039,0x0eaa503a,0xee37503b}},	// [4240] _بربا, kkne, шкай_, жну_, 
   {{0x7bc9503c,0x7bdb503d,0x715a00b3,0xad66029a}},	//   _aleu, _amuu, _трис_, تاره, 
   {{0x7bc9026a,0xa37b0165,0xc8d800b0,0xd00a1cc8}},	//   _bleu, siõe, _भेंट, _вене_, 
   {{0x2d0a00a2,0x61fc503e,0xcb6700e4,0xa2c1093a}},	//   _वरील_, lorl, жаце_, रैक्, 
   {{0xf38d00c7,0x198a00a3,0x7bc21247,0x98bc00d8}},	//   טראָ, ибди_, rkou, bavě_, 
   {{0x61fc503f,0x7bc9101a,0x3e7400c8,0x7bc25040}},	//   norl, _eleu, mät_, skou, 
   {{0xa9675041,0x7bc95042,0x7e762da2,0x91a90108}},	//   ција_, _fleu, ltyp, _quả_, 
   {{0x7bc95043,0x61fc5044,0x7e760102,0x17f70038}},	//   _gleu, horl, otyp, يرية_, 
   {{0x61fc5045,0x7e765046,0x3e741bfa,0x7c3e5047}},	//   korl, ntyp, nät_, lppr, 
   {{0xb5fd0613,0xd5ba5048,0xe80a04bd,0x69c35049}},	//   sušn, рси_, _हीरा_, ckne, 
   {{0x61fc02f1,0x439534bb,0x69a7031e,0x44384d5e}},	//   dorl, панс, चारी, ër_, 
   {{0xb5fd02f5,0x3e744abe,0x47c3092d,0x00000000}},	//   vrše, kät_, _обхв, --, 
   {{0x67160509,0x3e740088,0xddcd00d9,0x61fc504a}},	//   देशक_, jät_, ntaţ, forl, 
   {{0x35f700c5,0xdb000d5f,0x61fc504b,0x3e7400c8}},	//   _ورود_, _homó, gorl, dät_, 
   {{0x7e760626,0xdb000035,0xc1050038,0x10a4504c}},	//   etyp, _komó, سوري, миён, 
   {{0xc7b80571,0xd9c20033,0x394c0f57,0x443e504d}},	//   _tuđu_, ্চিম, _leds_, mpt_, 
   {{0x443e504e,0x7e76504f,0x80dc0033,0x61fc5050}},	// [4250] lpt_, gtyp, _মুদ্, borl, 
   {{0x7bc90318,0x443e012e,0x224900d4,0xdd910038}},	//   _sleu, opt_, _iwak_, عوا_, 
   {{0x7bc95051,0xc17200d1,0x98bc00bc,0x7c3e0102}},	//   _pleu, _אחי_, ravě_, gppr, 
   {{0x70fa00a7,0x60fa00a7,0x22495052,0x443e5053}},	//   _להתח, _להתק, _kwak_, ipt_, 
   {{0xbf36035c,0x7bc90a58,0x3f895054,0xa9a500a3}},	//   _מארץ_, _vleu, meau_, зилд, 
   {{0x22490053,0xe9d802c8,0x3f890151,0xb5fd00ca}},	//   _mwak_, окі_, leau_, gušl, 
   {{0x69c35055,0x4c6803dc,0x443e01c8,0x225e0083}},	//   rkne, _миён_, jpt_, ątki_, 
   {{0x3f895056,0x7bdb0c36,0xdb000038,0x443e00e2}},	//   neau_, _umuu, _comó, dpt_, 
   {{0x61fc5057,0xddcd00d9,0xb5fd0352,0x443e5058}},	//   yorl, ctaţ, vršb, ept_, 
   {{0xb5fd2f35,0x49b80740,0xdcfc0097,0x394c00a1}},	//   dršc, _والد_, _zarđ, _geds_, 
   {{0x22495059,0x61fc505a,0x64a5012d,0x232a1a18}},	//   _awak_, vorl, чана, йони_, 
   {{0x481500d3,0x2b4d00b9,0x7e760657,0xdc0300de}},	//   _эмес, _jeec_, ytyp, _očís, 
   {{0x61fc505b,0x3f89505c,0x29050068,0x443e02b0}},	//   torl, deau_, _hyla_, apt_, 
   {{0x3e740df8,0x3cdc007e,0x2905505d,0xc6920225}},	//   vät_, _गइले_, _kyla_, _נאו_, 
   {{0x550200ab,0x61fc505e,0x77bc03da,0xa0a3505f}},	//   _रुपए_, rorl, _téxt, нард, 
   {{0x3e745060,0x4abd5061,0x09b81a21,0xaabd0598}},	//   tät_, ्नाव, _अव्य, ्नाक, 
   {{0x4adb0c14,0x22490175,0x61fc5062,0x00000000}},	// [4260] _मेलव, _gwak_, porl, --, 
   {{0x3e745063,0x7d1a008c,0x00000000,0x00000000}},	//   rät_, _útsk, --, --, 
   {{0x7e762da2,0x91bb00d1,0x3e7400c8,0xdcfe00b3}},	//   styp, _המיי, sät_, depă, 
   {{0x3f891a16,0xcb6a0bad,0x00000000,0x00000000}},	//   ceau_, саде_, --, --, 
   {{0x200200cf,0x7f445064,0x29054bd0,0xf1b00484}},	//   _ikki_, mbiq, _ayla_, ञापन, 
   {{0x443e5065,0x2905000d,0x62845066,0xddcd020f}},	//   ypt_, _byla_, _mpio, rtaţ, 
   {{0x7dcb00ab,0x6d5c5067,0xddcd00d9,0xdb000035}},	//   yższ, _idra, staţ, _pomó, 
   {{0xf093042c,0x394c3dfc,0x9fa8010c,0x466a17e0}},	//   תנה_, _weds_, wşê_, бром_, 
   {{0x6d4e097d,0x5aca00d3,0x7c2e5068,0x45d45069}},	//   _keba, _улам_, _hubr, допс, 
   {{0x645c0316,0xddd600ab,0x7c2e506a,0x65aa13d0}},	//   ário, jwyż, _kubr, стиг_, 
   {{0x443e02f2,0x22490876,0x6d4e07d7,0x7c2e4fec}},	//   upt_, _swak_, _meba, _jubr, 
   {{0x6d4e506b,0x7e64506c,0x7c2e011c,0x62842e31}},	//   _leba, krip, _mubr, _bpio, 
   {{0x3f89506d,0x35a61211,0xd7a9009a,0xe3d300d3}},	//   veau_, _надг, कारच, _үйлө, 
   {{0x171b181f,0x6d4e506e,0xddcd090b,0x443e506f}},	//   _הודע, _neba, ktaš, ppt_, 
   {{0x3cdc02f8,0x3f895070,0x628400b4,0x757b00df}},	//   _गेले_, teau_, _epio, _הטופ, 
   {{0x6d5c02bf,0xdefb0161,0xb5fd0304,0x6d4e01d6}},	//   _adra, быз_, mrša, _aeba, 
   {{0x6d4e0b92,0x443c5071,0x7dc002f2,0x7c2e5072}},	// [4270] _beba, _htv_, _lösu, _aubr, 
   {{0x20023bf7,0x3f89026d,0x7c2e003a,0x6d4e033c}},	//   _ekki_, seau_, _bubr, _ceba, 
   {{0x7c2e1056,0x3f895073,0x6d5c00f8,0x442e064e}},	//   _cubr, peau_, _ddra, _juf_, 
   {{0x7c2e0fd3,0x2c750310,0x6d4e011d,0x7e6401a4}},	//   _dubr, råd_, _eeba, brip, 
   {{0x7e645074,0x6d4e2151,0x443c18b9,0x6d430241}},	//   crip, _feba, _ltv_, ınab, 
   {{0x6d4e0dde,0x20095075,0xb5fd003a,0x64585076}},	//   _geba, llai_, krša, _ovvi, 
   {{0x6d45023e,0x443c48c8,0xfc640093,0x7c2e02c1}},	//   mbha, _ntv_, _пътн, _gubr, 
   {{0x6d5c4306,0x6d45004c,0x6d4e5077,0xb6a500d9}},	//   _zdra, lbha, _zeba, диил, 
   {{0x442e375f,0x64585078,0xb9043b41,0x6d450a92}},	//   _auf_, _avvi, _पे_, obha, 
   {{0x6d4e0218,0x6b8b43e5,0x6d450a75,0x443c5079}},	//   _xeba, legg, nbha, _btv_, 
   {{0x62843057,0x442e0010,0x2009012d,0x6d45507a}},	//   _spio, _cuf_, klai_, ibha, 
   {{0xe72e507b,0xf77009e8,0x7dc0022b,0x6b8b507c}},	//   _је_, _ماه_, _höst, negg, 
   {{0xe56e507d,0x27380029,0x27ff0cd7,0x27ed507e}},	//   _из_, _ứng_, moun_, mnen_, 
   {{0x443c507f,0x6b8b0093,0xfe7800b9,0x27ed01c4}},	//   _ftv_, hegg, үүн_, lnen_, 
   {{0x27ed5080,0x957c00ab,0xb5fd05ae,0x33f65081}},	//   onen_, siąc, hušk, _очис, 
   {{0x6d4e5082,0x27ed5083,0x64413250,0x7e645084}},	//   _seba, nnen_, mpli, trip, 
   {{0x27ed5085,0x22160152,0xdee31ef2,0x6d4e02a2}},	// [4280] inen_, _офор, воти, _peba, 
   {{0x3f4c0029,0x1e8307f9,0xb5fd27f0,0x27ed02f2}},	//   ếu_, ълум, dušk, hnen_, 
   {{0x64415086,0x6e27039b,0xeb9a5087,0x225e0035}},	//   npli, _dijb, жие_, ątku_, 
   {{0x6d4e5088,0x27ed0b32,0xab830088,0xddcd5089}},	//   _weba, jnen_, вушк, rtaš, 
   {{0x6d4e508a,0xddcd01b4,0x27ff0118,0x27ed02eb}},	//   _teba, staš, doun_, dnen_, 
   {{0x27ed508b,0x7c2e508c,0xb5fd0e67,0x6d43008f}},	//   enen_, _tubr, sušj, ınac, 
   {{0xdcfc002a,0xd7a900a2,0x27ed01c4,0x64411895}},	//   _varē, कांच, fnen_, jpli, 
   {{0xb5fd14f0,0x442e508d,0x27ed508e,0x443c21d9}},	//   vrša, _ruf_, gnen_, _rtv_, 
   {{0x2d98508f,0x7dc0008c,0x442e5090,0x443c5091}},	//   _kare_, _föst, _suf_, _stv_, 
   {{0x7dc003b0,0xaa43002e,0x8916143f,0x2d985092}},	//   _göst, _рефл, _قبائ, _jare_, 
   {{0x9cec100b,0x2d985093,0x200900f8,0x83fd0242}},	//   _করুন_, _mare_, ylai_, luđi, 
   {{0x2d9802d5,0x443c00e7,0x61ee039b,0x00000000}},	//   _lare_, _vtv_, enbl, --, 
   {{0x2d9800d9,0x83fd07c7,0xdcf500e0,0xdb190502}},	//   _oare_, nuđi, _pazī, ckwä, 
   {{0x6b8b01c8,0x5184131d,0x8c140086,0x7dc01070}},	//   zegg, куса, িদিন_, _möss, 
   {{0x6e2701c8,0x26c40009,0x7dc00844,0x00000000}},	//   _rijb, lymo_, _löss, --, 
   {{0x2a660065,0xa8050183,0x3f640148,0x2d9800c2}},	//   krob_, miñá, ктуб, _aare_, 
   {{0xd90400d4,0x2d985094,0x6b8b5095,0x00000000}},	// [4290] _چی_, _bare_, vegg, --, 
   {{0x4429023b,0x2d9800a7,0x6d455096,0xbbc70466}},	//   _hia_, _care_, ubha, लस्क, 
   {{0x7dc0022b,0x44295097,0x6d450094,0x6b8b0093}},	//   _röst, _kia_, rbha, tegg, 
   {{0x26c4012d,0x2d980415,0xb5fd4356,0x7dc002ae}},	//   kymo_, _eare_, tušk, _böss, 
   {{0x44295098,0x6b8b5099,0x2d98509a,0x27ed14a4}},	//   _mia_, regg, _fare_, vnen_, 
   {{0x4429509b,0x2d98509c,0x26c4012d,0xba3d00bc}},	//   _lia_, _gare_, dymo_, _průb, 
   {{0x4429509d,0x3f99509e,0x7e6d509f,0x6b8b02a3}},	//   _oia_, _kasu_, luap, pegg, 
   {{0x442950a0,0x644150a1,0x27ed50a2,0x83fd0613}},	//   _nia_, vpli, unen_, buđi, 
   {{0x3f992f69,0x27ed0f03,0x2d9850a3,0x27ff50a4}},	//   _masu_, rnen_, _yare_, roun_, 
   {{0x7c2943e2,0xe61650a5,0xe938040f,0x442950a6}},	//   _hier, нды_, _قسمت_, _aia_, 
   {{0x442950a7,0x7c2950a8,0xf3e637e8,0x7e6d0574}},	//   _bia_, _kier, ежно, huap, 
   {{0x442950a9,0x644102b0,0x3f9900d2,0xc7c41876}},	//   _cia_, rpli, _nasu_, _исчи, 
   {{0x442950aa,0x644150ab,0x7c2950ac,0x2d830f30}},	//   _dia_, spli, _mier, _obje_, 
   {{0xb5fd3e6e,0x644150ad,0x50b60afc,0x6455039f}},	//   kuši, ppli, нсбу, ázis, 
   {{0xf50502fb,0xb5fd00e0,0xee3f023a,0x442950ae}},	//   _язко, juši, _atý_, _fia_, 
   {{0x442900f7,0x2d9850af,0xee3a50b0,0x7c2950b1}},	//   _gia_, _sare_, зна_, _nier, 
   {{0x9cec00cc,0x7dd201cc,0xd00f0038,0xdb004718}},	// [42a0] _করেন_, _læse, صلك_, _homö, 
   {{0x4429389e,0x224050b2,0x2b5f00d9,0xdb002341}},	//   _zia_, _itik_, _aduc_, _komö, 
   {{0x2d980310,0x3a3f012b,0x7c2950b3,0x4429006d}},	//   _vare_, _atup_, _bier, _yia_, 
   {{0x7c2950b4,0x2d9802e8,0x3f990613,0x6601429a}},	//   _cier, _ware_, _gasu_, holk, 
   {{0xb5fd02f5,0x7c2950b5,0x2d98002e,0x660150b6}},	//   vršn, _dier, _tare_, kolk, 
   {{0x98a50824,0x7c294aa2,0x6bda010e,0x3ea0475f}},	//   _adlı_, _eier, _کورس_, mvit_, 
   {{0x3ea050b7,0x83fd090e,0x7c29074d,0x603c05d5}},	//   lvit_, suđi, _fier, _fčme, 
   {{0x26c4012d,0xdb000042,0xdb2101c4,0xf76f00b1}},	//   tymo_, _enmá, _äuße, ماً_, 
   {{0xe1ff50b8,0xc6f802fb,0x66010310,0x36d41e70}},	//   drón_, ьних_, folk, топр, 
   {{0x442950b9,0xa3e33b3e,0x7c2950ba,0x26c40009}},	//   _sia_, फोन_, _zier, rymo_, 
   {{0xd7ef093e,0x44292083,0x22400cd7,0x62960237}},	//   _бу_, _pia_, _atik_, _asyo, 
   {{0x87da298e,0x07da03b1,0x44290201,0x7c29003d}},	//   _عباس_, _عذاب_, _qia_, _xier, 
   {{0x660114f5,0x51870c27,0x442950bb,0x799a50bc}},	//   bolk, нува, _via_, _katw, 
   {{0x80b53cae,0x4429039b,0x32050379,0x69ca02eb}},	//   _उपदे, _wia_, ôly_, nkfe, 
   {{0x442950bd,0x506414c1,0x224050be,0x3f9950bf}},	//   _tia_, лтта, _etik_, _pasu_, 
   {{0x645a50c0,0x442950c1,0x261400a2,0x7e6d019c}},	//   msti, _uia_, _नीती_, tuap, 
   {{0x645a50c2,0x63ad50c3,0x7c2900d3,0x3f994ed4}},	// [42b0] lsti, _inan, _rier, _vasu_, 
   {{0x7c2950c4,0xf41f0088,0x799a02b8,0xb21b055f}},	//   _sier, lmä_, _natw, dtæg, 
   {{0x7c2950c5,0x3a3f2808,0x7e6d2a41,0x63ad0102}},	//   _pier, _stup_, suap, _knan, 
   {{0xeaec0a44,0x7c290369,0x3244009c,0x69ca040b}},	//   जपूत_, _qier, _جنیف, ekfe, 
   {{0x7c2950c6,0x2bb80084,0xa30f00aa,0x645a01fd}},	//   _vier, عامة_, _सरोज_, hsti, 
   {{0x7c2950c7,0xf41f00c8,0x63ad0226,0xdcfc0009}},	//   _wier, hmä_, _lnan, _narė, 
   {{0x7c2950c8,0x63ad50c9,0x66010318,0x645a50ca}},	//   _tier, _onan, volk, jsti, 
   {{0xdb2300c5,0x645a00fb,0xf41f0187,0xa68503dc}},	//   _موزی, dsti, jmä_, влид, 
   {{0x645a50cb,0xe61900d3,0x79a750cc,0x468300a3}},	//   esti, мди_, _прже, уқла, 
   {{0x6b9b00dd,0x799a05b3,0x645a50cd,0x69ca1e2d}},	//   _haug, _gatw, fsti, ckfe, 
   {{0x6b9b3a39,0xe1ff50ce,0x224050cf,0x7d1a0a6d}},	//   _kaug, trón_, _stik_, _útst, 
   {{0xa3dc00ab,0x957c0035,0x6b9b0212,0x799a50d0}},	//   णों_, wnąt, _jaug, _zatw, 
   {{0xe1ff3fa2,0x3cf50ee0,0xdb1b0151,0xdb000502}},	//   rrón_, ्थडे_, _boué, _womö, 
   {{0xf505032c,0x63ad50d1,0xddc40ab4,0x645a1e6c}},	//   _изло, _enan, kuiš, bsti, 
   {{0x1c11000f,0x6d5700b4,0xdd921c03,0x91a90023}},	//   ़ताल_, daxa, یور_, _quá_, 
   {{0x6b9b50d2,0x91e601a2,0x63ad0604,0x673b253f}},	//   _naug, хоҳе, _gnan, ncuj, 
   {{0x35a60b79,0xd00750d3,0x2a7d006d,0x62960102}},	// [42c0] _कोड़, тете_, jtwb_, _usyo, 
   {{0xdca600cf,0x3ea050d4,0xa2db1489,0x9f40007a}},	//   кази, rvit_, _पेट्, nniú_, 
   {{0x6b9b50d5,0x9f400038,0x63ad040c,0x799a0226}},	//   _baug, iniú_, _ynan, _ratw, 
   {{0xfdbd047c,0x799a50d6,0x9f4000eb,0xaa4650d7}},	//   ोसॉफ, _satw, hniú_, ведл, 
   {{0xdaba00c5,0xe1ff0019,0x6b9b50d8,0x799a50d9}},	//   بهشت_, król_, _daug, _patw, 
   {{0x645a50da,0x9d4350db,0x35a600c2,0x799a02a5}},	//   ysti, _верд, _कोढ़, _qatw, 
   {{0x38c8015f,0x7d030380,0xf41f0080,0x645a0664}},	//   عاتی_, ünst, ymä_, xsti, 
   {{0x2ca702c9,0x799a50dc,0x6b9b015c,0xe7860398}},	//   ænde_, _watw, _gaug, туко, 
   {{0x4b7b00c7,0x645a27f9,0x60c70035,0x799a50dd}},	//   _קאמו, wsti, zyjm, _tatw, 
   {{0x645a0946,0x7bc04de8,0xd6d90035,0x9f40007a}},	//   tsti, _homu, nały_, gniú_, 
   {{0x81c900cc,0xc8ca00d4,0x7afd14a4,0xb8650491}},	//   লোড_, _توان_, _østr, _مانو, 
   {{0xf746386d,0x7bc050de,0x68fa008a,0x3d1a0083}},	//   _редо, _jomu, _ixtd, _भरने_, 
   {{0xe73750df,0x41e701fc,0x7bc050e0,0x61e70a0d}},	//   _реч_, віва, _momu, tijl, 
   {{0x7bc0052b,0x8af700ad,0x9f49007a,0x00000000}},	//   _lomu, _şəkl, rnaí_, --, 
   {{0xd497021f,0xcf9b03b7,0xdfd517fc,0x61e750e1}},	//   _ары_, мја_, говы, rijl, 
   {{0x63ad0268,0x7bc050e2,0x938b0141,0x00000000}},	//   _unan, _nomu, _цска_, --, 
   {{0x6d5702f1,0x3f1550e3,0x6b9b50e4,0x9f340259}},	// [42d0] taxa, удас, _raug, реуі, 
   {{0xab5d006a,0x6b9b00e4,0x290c01ff,0x2dd4034f}},	//   _może, _saug, _oyda_, ажур, 
   {{0x6b9b50e5,0x6d5700ad,0x7bc0017e,0x48de007e}},	//   _paug, raxa, _bomu, _कइगो_, 
   {{0x80dc00cc,0x8af700ad,0x6b82010e,0x764250e6}},	//   _মুক্, _çəkm, gfog, _otoy, 
   {{0x7bc050e7,0x0fe403dd,0x6a8502f1,0x290c008f}},	//   _domu, _төрү, улла, _ayda_, 
   {{0x6b9b50e8,0xbddb0118,0x00000000,0x00000000}},	//   _waug, _vwès, --, --, 
   {{0xe73950e9,0xdb000750,0x7bc050ea,0xe80f009a}},	//   ней_, _anmä, _fomu, ातला_, 
   {{0x9d1850eb,0x6d550218,0xccf20a33,0x7c3a026d}},	//   _рост_, _heza, _הכל_, _étra, 
   {{0x9be4005e,0x5a3409e7,0x6d5518bd,0x6fca014b}},	//   _тірк, _внут, _keza, _dých, 
   {{0xb5fd0571,0x6d5550ec,0x7bc050ed,0x00000000}},	//   jušt, _jeza, _zomu, --, 
   {{0x290c02f0,0xa3ea15f5,0x6d5550ee,0x7bc04a1a}},	//   _gyda_, една_, _meza, _yomu, 
   {{0x61e50358,0xe1ff010e,0x527600d3,0x65c9010c}},	//   _amhl, sról_, лугу, _bêhê, 
   {{0xe60e50ef,0x5b7a0147,0xe5780243,0x00000000}},	//   _гд_, ערשא, ziķi_, --, 
   {{0x6d5550f0,0x61e501be,0x69c150f1,0x265a00d1}},	//   _neza, _cmhl, _jole, _טכנא, 
   {{0x69c150f2,0x394200ad,0xdb190380,0x53a650f3}},	//   _mole, _əks_, chwö, _байб, 
   {{0x69c10204,0xd6d900ab,0xb5fd50f4,0x60c10c98}},	//   _lole, wały_, rušu, älma, 
   {{0x6d5550f5,0x0d8600cf,0x7bc00eaf,0xbd8607b9}},	// [42e0] _beza, ллан, _romu, лгак, 
   {{0xb5fd03ef,0x6d5550f6,0x69c150f7,0x4f070161}},	//   dršk, _ceza, _nole, унун_, 
   {{0x6d5550f8,0x7bc050f9,0x0b4608ab,0x0b8a1d3c}},	//   _deza, _pomu, гнен, если_, 
   {{0x9f06024f,0x2d9c1c2b,0x09be2dde,0xd9be0367}},	//   _موجو, žve_, ्स्य, ्स्ट, 
   {{0x69c150fa,0x160350fb,0x6fca0039,0x61e50156}},	//   _bole, रकार_, _rých, _ymhl, 
   {{0x6d5550fc,0x7bc02946,0x38a3027e,0x3f92044d}},	//   _geza, _womu, _bır_, leyu_, 
   {{0x69c150fd,0x7bc050fe,0x9965004e,0x082a50ff}},	//   _dole, _tomu, ртіл, нции_, 
   {{0xd7f7005e,0x69c1011c,0x3b0a0176,0x3f92044d}},	//   луы_, _eole, _зебо_, neyu_, 
   {{0x6fca0076,0x6e2e5100,0x7c225101,0x6b8400b0}},	//   _vých, _kibb, mmor, õigu, 
   {{0x69c15102,0x6d5509c7,0x6e2e5103,0x290c0946}},	//   _gole, _xeza, _jibb, _tyda_, 
   {{0x6fca0187,0xe7865104,0x2db7027a,0x3f92019b}},	//   _tých, _було, אלין_, keyu_, 
   {{0x6e2e5105,0x69c15106,0xdb1b0183,0x7c22039b}},	//   _libb, _zole, _gluó, nmor, 
   {{0x64433236,0x6e2e006d,0x69c1044d,0xdcfc01dd}},	//   _etni, _oibb, _yole, _barī, 
   {{0x69d8010d,0x869b00a7,0x26db00d1,0xbddb24f6}},	//   nhve, _ניוז, _אקדמ, _atèn, 
   {{0x69cc05fd,0xdcfc00e0,0xd01b5107,0xd0d400fd}},	//   _तकनी, _darī, ефа_, боръ, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x5d550ec6,0xb5fd02f5,0x6d555108,0x6e2e5109}},	// [42f0] икат, pušt, _peza, _bibb, 
   {{0x61e531d3,0x6d55510a,0xdcfc01dd,0xbddb03a0}},	//   _umhl, _qeza, _garī, _etèn, 
   {{0x27e6510b,0xa11500d4,0x628e090e,0x69c1510c}},	//   _omon_, _خودت, čnoš, _role, 
   {{0x69c1510d,0x6d55009e,0xdd94004e,0x7c221176}},	//   _sole, _weza, _қасы, gmor, 
   {{0x69c1510e,0xe50b00b0,0x6e2e1e23,0xbd6b0267}},	//   _pole, _सुनि_, _fibb, _прве_, 
   {{0x27e6510f,0x6e2e5110,0x68455111,0x1db90f7a}},	//   _amon_, _gibb, анка, _उचित, 
   {{0x69c15112,0x7e6d0343,0x1df80235,0x8c250038}},	//   _vole, lrap, _серы_, _نفسه, 
   {{0x16650cd9,0x2d935113,0x69c1044d,0x28b61f19}},	//   авим, lexe_, _wole, _अपरि, 
   {{0x7e6d00d4,0x78a80009,0x644f015e,0x27e60237}},	//   nrap, _erdv, ćcim, _dmon_, 
   {{0x2d935114,0x69d801c4,0x55e50531,0x27e65115}},	//   nexe_, chve, рооб, _emon_, 
   {{0x67d50acd,0x7e6d4edd,0x628d01d6,0x98bc0028}},	//   _кожу, hrap, _apao, davė_, 
   {{0x6aa95116,0xcc7600a7,0x98c45117,0x6b89008a}},	//   _kref, סגרת_, _усул, _jbeg, 
   {{0x6b893900,0xe72e478a,0xdcfc0243,0xb8110083}},	//   _mbeg, _фе_, _parī, _डीएम_, 
   {{0xe04600cf,0x64a535d6,0x6aa90010,0x764900c5}},	//   инги, _вака, _mref, mpey, 
   {{0x7c225118,0x90c30f4e,0x2d93009e,0x6b890219}},	//   ymor, обре, dexe_, _obeg, 
   {{0x3ead00d2,0x6aa95119,0x7e6d0eb1,0x00000000}},	//   _šeta_, _oref, frap, --, 
   {{0x7e6d511a,0x7c220eca,0xee37511b,0x300300f0}},	// [4300] grap, vmor, инт_, ізуг, 
   {{0x83fd0062,0x998c01dd,0x6b89511c,0x27e91102}},	//   vrđi, _vidū_, _abeg, čany_, 
   {{0x6aa9511d,0xd8380112,0xc1010023,0x00000000}},	//   _aref, _trči_, _mượt_, --, 
   {{0xc1010029,0x5aca0afc,0x8fa616e8,0x7ac6511e}},	//   _lượt_, клем_, _таме, исле, 
   {{0x7e6d24bc,0x6e2e511f,0x6aa900f8,0x2b490126}},	//   crap, _tibb, _cref, ñaca_, 
   {{0x20ba5120,0x6aa90156,0xceb300a7,0xc8665121}},	//   _उपाध, _dref, _ויש_, атии, 
   {{0xa3c62246,0x02b4000d,0x6aa95122,0x69d85123}},	//   _एवं_, ुहुन, _eref, rhve, 
   {{0x7bd901c4,0x4c9b00d1,0x57a64808,0x69d80679}},	//   chwu, _בבלו, ршка, shve, 
   {{0x6aa95124,0xab27424c,0x764d0585,0x19960267}},	//   _gref, _вота_, _çayl, _вјер, 
   {{0x14ca00c8,0xe4a62a86,0x99e35125,0x00000000}},	//   выми_, армо, _джуд, --, 
   {{0xd4970234,0xd5b75126,0x628d01a7,0x388e00ad}},	//   аря_, рсы_, _spao, _sərf_, 
   {{0xc7c700c8,0x46ea112d,0xd5b80243,0x00000000}},	//   _выше_, _иден_, mmām_, --, 
   {{0x926b0093,0x7f4d0216,0x00000000,0x00000000}},	//   ърна_, vbaq, --, --, 
   {{0x7e6d00fd,0xf207004f,0xab5d00c3,0x00000000}},	//   vrap, рямо, _moża, --, 
   {{0x9df90e65,0xa1585127,0xd17700f0,0x55bb00df}},	//   ҳнат_, расу_, лыңы, _במגו, 
   {{0x7e6d5128,0x25e2072d,0x2d8a09da,0xe1ff00b9}},	//   trap, टोरी_, _abbe_, tuós_, 
   {{0x51870a43,0xba3d031e,0x9df9088a,0xd8385129}},	// [4310] _куна, _prům, гнат_, _luč_, 
   {{0x7e6d512a,0x27050029,0xeca702a6,0x6aa9512b}},	//   rrap, ồng_, ијен, _rref, 
   {{0x7e6d512c,0x31740228,0x2d9316a8,0x7c673dd7}},	//   srap, ňazí_, rexe_, شاال, 
   {{0x2d93512d,0x5b2500eb,0x6608008b,0xddc400b3}},	//   sexe_, مفضل, hodk, triţ, 
   {{0x66080348,0xfaa51311,0xd9450fcc,0x7c3b0097}},	//   kodk, сало, бели, _čuru, 
   {{0xceb20138,0x76490218,0x81c90086,0x6fd800bc}},	//   _זיך_, vpey, লোর_, _více, 
   {{0xf09400c7,0x6fca014b,0xc1010108,0x6b8901f2}},	//   ַנץ_, _výcv, _rượt_, _tbeg, 
   {{0x6aa9512e,0xddcd06e0,0xd0f8042c,0x6ead0035}},	//   _tref, ntaž, ימות_, ीमपु, 
   {{0x06090925,0x6aa90053,0x66e5046c,0x00000000}},	//   лник_, _uref, сопа, --, 
   {{0x588708fa,0x660802ee,0x200911ba,0xb86b1329}},	//   _выда, godk, hoai_, _ајде_, 
   {{0xc3291a61,0xc101001b,0x03a6512f,0x02d0031e}},	//   _נו_, _vượt_, бино, हन्न, 
   {{0xe61803a1,0xd8380237,0xbddb0151,0x00000000}},	//   лдө_, _prčv_, _stèl, --, 
   {{0x27ed262a,0x870700c8,0xddc40082,0xe4d6009c}},	//   mien_, _тяже, hriš, لویت_, 
   {{0xd5b12045,0x61430701,0xddcd0f4c,0xddc40243}},	//   _رفع_, зера, etaž, kriš, 
   {{0x7dd201cc,0x3f6a5130,0x27ed01c8,0xdb0002be}},	//   _sæso, ливо_, oien_, _camê, 
   {{0x6ab70838,0xafe35131,0xd8380613,0x543a0070}},	//   _आपूर, посл, _grču_, _געקא, 
   {{0x44205132,0x75460019,0x44320175,0xb21b0566}},	// [4320] _ihi_, _érzé, _iiy_, mtæn, 
   {{0x27ed5133,0x4420019b,0xeef5012d,0x44325134}},	//   hien_, _hhi_, іятэ, _hiy_, 
   {{0x44200124,0x7dc0006b,0x27ed5135,0x61ee1d9c}},	//   _khi_, _kösz, kien_, mibl, 
   {{0x27ed0088,0x61ee5136,0x320a08f5,0x66085137}},	//   jien_, libl, loby_, zodk, 
   {{0x27ed5138,0xdcfc0a1a,0x69cc00a5,0x44320532}},	//   dien_, _obrć, _तकदी, _miy_, 
   {{0x61ee5139,0x27ed012e,0xddc40688,0xd8380097}},	//   nibl, eien_, briš, _puč_, 
   {{0x6d5e513a,0xa3ca1dce,0x4420513b,0x27ed513c}},	//   mapa, ोसा_, _ohi_, fien_, 
   {{0x6d5e3014,0x27ed0087,0x443246b4,0x4420001b}},	//   lapa, gien_, _niy_, _nhi_, 
   {{0x52b40351,0x95ca513d,0x96030035,0x320a036e}},	//   ुहोस, гуна_, रकूट_, koby_, 
   {{0x6d5e513e,0x4420513f,0x61ee5140,0x27ed012e}},	//   napa, _ahi_, jibl, aien_, 
   {{0xab5d006a,0x183609e8,0x27ed5141,0x320a2194}},	//   _możn, _طراح, bien_, doby_, 
   {{0x44205142,0x27ed5143,0xa3e30083,0x00000000}},	//   _chi_, cien_, फों_, --, 
   {{0x6d5e5144,0x44325145,0x44205146,0xbddb023e}},	//   kapa, _diy_, _dhi_, _stèm, 
   {{0x61ee5147,0x6d5e5148,0x867b02a1,0x83fd0112}},	//   gibl, japa, _תרגו, vrđu, 
   {{0x6d5e0e2d,0x8446024f,0xba3d00bc,0x44325149}},	//   dapa, _اختل, _průk, _fiy_, 
   {{0x44200029,0x61ee040b,0x1ee700d7,0x00000000}},	//   _ghi_, aibl, موزی_, --, 
   {{0xddcd514a,0x6d5e514b,0xa3ce00a2,0x61ee380a}},	// [4330] rtaž, fapa, _शकत_, bibl, 
   {{0x6d5e514c,0x27ed2a46,0x717500d4,0x61ee514d}},	//   gapa, zien_, _بهدا, cibl, 
   {{0x2bdd05d0,0x236902ee,0x9f35005e,0xddcd012d}},	//   _मतदा, _kdaj_, _мені, ptaž, 
   {{0x649e03f5,0x27ed514e,0x8d1701a2,0xe1ff0035}},	//   mšić, xien_, анҷӣ_, trów_, 
   {{0x27ed514f,0x6d5e5150,0x7e7900c7,0x649e0082}},	//   vien_, bapa, _דאָז, lšić, 
   {{0x7f5f5151,0xddcd0035,0xdb00023e,0x27ed5152}},	//   laqq, ntaż, _mamè, wien_, 
   {{0x27ed5153,0x64ac265d,0x3ea95154,0xb17c008d}},	//   tien_, nđić, lvat_, אטור, 
   {{0x236901ee,0x2249085f,0x7f5f5155,0x17c95156}},	//   _ndaj_, _otak_, naqq, ргии_, 
   {{0x27ed5157,0xb5fd00d2,0x959500e4,0x443201ff}},	//   rien_, kršt, ошні, _riy_, 
   {{0x27ed5158,0x649e034c,0x3ea90088,0x44325159}},	//   sien_, kšić, ivat_, _siy_, 
   {{0x2249515a,0x44200029,0x27ed515b,0x649e0bfc}},	//   _atak_, _phi_, pien_, jšić, 
   {{0x232a515c,0x4420006d,0xba3d02d9,0x98172ad7}},	//   иони_, _qhi_, _průh, _ابطا, 
   {{0xadfb07bd,0x6d5e515d,0xdb00024a,0xfdfb05f6}},	//   ्वान_, yapa, _ramë, ्वास_, 
   {{0xb21b01cc,0x6d5e0626,0xb5fd00ef,0xdb00023e}},	//   stæn, xapa, gršt, _damè, 
   {{0x442000f7,0x320a515e,0x61ee515f,0x412a1818}},	//   _thi_, roby_, ribl, рово_, 
   {{0x6d5e5160,0x442001c5,0x61ee173f,0x320a1d8c}},	//   wapa, _uhi_, sibl, soby_, 
   {{0x6e4611b7,0x63a400a9,0x61ee06df,0xdb00011c}},	// [4340] زنام, _iain, pibl, _gamè, 
   {{0x63a45161,0x236902ee,0x61ee5162,0x62865163}},	//   _hain, _zdaj_, qibl, mtko, 
   {{0x63a45164,0x6d5e5165,0x3ea90088,0xfce35166}},	//   _kain, rapa, avat_, мофо, 
   {{0xddcd00d9,0x63a401f1,0x2d855167,0x307b0070}},	//   tuaţ, _jain, _ölen_, _דאטנ, 
   {{0x6d5e5168,0x63a45169,0x1a960740,0x62862763}},	//   papa, _main, تجاج, ntko, 
   {{0xfce62a05,0x63a4516a,0xe7ec00b0,0x629a0083}},	//   _дого, _lain, _जगहा_, łtow, 
   {{0x6d5c002a,0xa37b03b7,0x628600b0,0x7e640102}},	//   _iera, lhõe, htko, lsip, 
   {{0x6d5c516b,0x62860eca,0xd90d00d4,0xf76f0ce0}},	//   _hera, ktko, دیم_, ناً_, 
   {{0x6d5c516c,0x7e64516d,0xab5d006a,0xa37b0165}},	//   _kera, nsip, _możl, nhõe, 
   {{0x7c3c516e,0x186a516f,0x7e645170,0xdb000212}},	//   _kurr, _важи_, isip, _ramè, 
   {{0x63a45171,0x6d5c5172,0x29185173,0x77660141}},	//   _bain, _mera, _ára_, _дълж, 
   {{0x63a45174,0x6d5c5175,0x7bc20518,0x69c800dd}},	//   _cain, _lera, njou, _hode, 
   {{0x63a45176,0x7c3c02ba,0x6d5c5177,0x68350009}},	//   _dain, _lurr, _oera, _išda, 
   {{0x69c85178,0xdb00026a,0x3ea900a3,0x63b603c6}},	//   _jode, _camé, vvat_, _enyn, 
   {{0xe502072f,0xdb00011c,0x62865179,0xe5e7009c}},	//   _रुचि_, _damé, atko, _بزنی, 
   {{0x6d5c517a,0x6fd8033c,0x63a42278,0x649e0304}},	//   _aera, _píca, _gain, ršić, 
   {{0x6d5c517b,0x7c3c0414,0x2249517c,0x443c01a0}},	// [4350] _bera, _aurr, _utak_, _huv_, 
   {{0x63a4517d,0x443c1124,0x7c3c517e,0x69c8517f}},	//   _zain, _kuv_, _burr, _node, 
   {{0x6d5c0be0,0x7c3c0056,0x63a45180,0x3ea95181}},	//   _dera, _curr, _yain, svat_, 
   {{0x69da5182,0x7c3c00e5,0x7f5f008a,0x443c5183}},	//   _alte, _durr, qaqq, _muv_, 
   {{0x443c5184,0x69c85185,0x7d770fd0,0x29f60035}},	//   _luv_, _bode, _واسط, kład_, 
   {{0xdb1b0165,0x7c3c5186,0x69c84bab,0x443c3227}},	//   _louç, _furr, _code, _ouv_, 
   {{0x69c85187,0x443c023b,0x7ae20054,0x6e3d5188}},	//   _dode, _nuv_, azot, _husb, 
   {{0x62860da6,0x6d455189,0x61c8188d,0x69da518a}},	//   ytko, lcha, _रक्ष, _elte, 
   {{0x69c8518b,0x443c0201,0x7f5d518c,0x6d45518d}},	//   _fode, _auv_, _mesq, ocha, 
   {{0x6d5c518e,0x6d45518f,0x7f5d026a,0x63a45190}},	//   _xera, ncha, _lesq, _sain, 
   {{0xb21b01cc,0x2b405191,0x63a45192,0xa5093d1f}},	//   rtæl, žice_, _pain, сена_, 
   {{0x6d455193,0x22845194,0x62860f5b,0x69c30352}},	//   hcha, tök_, ttko, ljne, 
   {{0x98a70824,0x63a45195,0x6d4501ff,0x7dd3027e}},	//   manı_, _vain, kcha, _kısı, 
   {{0x63a45196,0x6e35090e,0x7dd21341,0x853c0009}},	//   _wain, _nizb, _væsk, ndėl, 
   {{0x22845197,0x63a45198,0x6e3d02f2,0x7dd301f0}},	//   sök_, _tain, _ausb, _mısı, 
   {{0x6d5c5199,0x7e64519a,0x63a40a75,0xe1ff0035}},	//   _sera, tsip, _uain, wrót_, 
   {{0x6d5c2e67,0xdb004faf,0x6e3d01be,0x69cc0262}},	// [4360] _pera, _tamé, _cusb, _तकली, 
   {{0x443c519b,0x06c50086,0x6d5c519c,0x7bdb02a5}},	//   _yuv_, এনপি, _qera, _aluu, 
   {{0x6d5c2a0c,0x31570137,0x7e64519d,0x7bc22079}},	//   _vera, _מיין_, ssip, tjou, 
   {{0x6d450a9a,0x69c811c8,0x7bc9026d,0x6d5c519e}},	//   acha, _sode, _coeu, _wera, 
   {{0x6d4501a0,0xbe8103ea,0x7bc20088,0x65610f2d}},	//   bcha, _иқти, rjou, kalh, 
   {{0x7c3c519f,0x7bc251a0,0xed520499,0x09e327a4}},	//   _turr, sjou, _سپر_, ночн, 
   {{0x656151a1,0xed571753,0x764b4abb,0xa96705b2}},	//   dalh, _хос_, _atgy, чија_, 
   {{0x79980cd7,0x2d9a51a2,0x443c51a3,0xf09300d1}},	//   sevw, lepe_, _ruv_, גנה_, 
   {{0x69c8030f,0x443c51a4,0xa3c600c9,0xae1000aa}},	//   _tode, _suv_, _एवज_, ़कपन_, 
   {{0x69da51a5,0x2d9a51a6,0x443c006f,0xd5ba51a7}},	//   _ulte, nepe_, _puv_, сси_, 
   {{0x395e1e97,0x443c00cf,0x539900c8,0x244100b9}},	//   _iets_, _quv_, овня_, _cóm_, 
   {{0x395e0164,0x2d9a51a8,0x244151a9,0x6d4501ff}},	//   _hets_, hepe_, _dóm_, zcha, 
   {{0x656151aa,0x6d4551ab,0x395e016a,0x7f5d51ac}},	//   balh, ycha, _kets_, _resq, 
   {{0x2d9a027c,0xa410031e,0x656151ad,0x398f0540}},	//   jepe_, ětší_, calh, cısı_, 
   {{0x7f5d51ae,0x7ddb010c,0xd48f15d3,0x9f52010c}},	//   _pesq, _nîsa, _яр_, miyê_, 
   {{0x9f520218,0x34fb00a7,0x4abe0c46,0x395e51af}},	//   liyê_, _להוד, ्हाव, _lets_, 
   {{0x6d4551b0,0x9f40008c,0x69c30035,0x00000000}},	// [4370] tcha, rnið_, yjne, --, 
   {{0x9f52078a,0x6d4551b1,0xf1d1000d,0x7bc951b2}},	//   niyê_, ucha, _सकिन, _soeu, 
   {{0x6d4551b3,0x98a704be,0x244100e7,0x7bdb01a4}},	//   rcha, yanı_, _xóm_, _pluu, 
   {{0x9f52078a,0x6d4551b4,0x6e3d016a,0xbddb51b5}},	//   hiyê_, scha, _tusb, _suèd, 
   {{0x398f01f0,0xe8100f8c,0x9f52010c,0x6e3d4cf5}},	//   yısı_, ावना_, kiyê_, _uusb, 
   {{0x2d9a002e,0x9f520218,0xf9c72b68,0x6d4501ff}},	//   cepe_, jiyê_, ящен, qcha, 
   {{0x9f52078a,0xf89203b7,0x395e41dd,0x65611890}},	//   diyê_, вајќ, _dets_, valh, 
   {{0x656106da,0x2a66209a,0x24410a6d,0xb21b01d5}},	//   walh, bsob_, _róm_, ftæk, 
   {{0x656100ce,0x395e03a1,0xaa5803b7,0x98a704be}},	//   talh, _fets_, _ниту_, ranı_, 
   {{0xe6161b17,0x7c2b0844,0x98a70540,0x395e00d1}},	//   мды_, lmgr, sanı_, _gets_, 
   {{0x31631462,0x656151b6,0x398f008f,0x58d400d9}},	//   dajz_, ralh, rısı_, _пофт, 
   {{0x6fd804ef,0x656151b7,0x98a70248,0x64414c75}},	//   _cícl, salh, qanı_, rqli, 
   {{0xe60e0904,0x656102a0,0x398f0384,0xdcfc00a4}},	//   _ад_, palh, pısı_, _marġ, 
   {{0xc58e0029,0x24413507,0xc692027a,0x61460165}},	//   _hồng_, _tóm_, _סאו_, ќева, 
   {{0x2fcb00f6,0x3867264e,0x00000000,0x00000000}},	//   _bocg_, nsnr_, --, --, 
   {{0x442b51b8,0x00000000,0x00000000,0x00000000}},	//   cmc_, --, --, --, 
   {{0x2d9a51b9,0x2fcb02a3,0x0dca011f,0xc58e0108}},	// [4380] tepe_, _docg_, олай_, _mồng_, 
   {{0x270c00f7,0xc58e00e7,0xe1ff0126,0x25a70237}},	//   ớng_, _lồng_, lsón_, _janl_, 
   {{0x2d9a51ba,0xafe600a3,0xe81000bc,0x00000000}},	//   repe_, _жонл, ावमा_, --, 
   {{0x9f52078a,0x2d9a02a3,0xc58e00e7,0x395e00d1}},	//   ziyê_, sepe_, _nồng_, _sets_, 
   {{0xa3e30d4f,0xdb000118,0x2d9a0b56,0x20050151}},	//   फोट_, _anmò, pepe_, élie_, 
   {{0xc33300a7,0x3f800028,0x8d760296,0x629601b8}},	//   דוד_, lgiu_, _تاحا, _mpyo, 
   {{0x9f52010c,0x3ea010f3,0xc58e0023,0x224051bb}},	//   viyê_, lwit_, _bồng_, _luik_, 
   {{0x9f52010c,0x466a0073,0x6bda00d4,0x3f8051bc}},	//   wiyê_, ором_, _بورس_, ngiu_, 
   {{0x9f52078a,0x963451bd,0x442b0042,0xdb0000d8}},	//   tiyê_, нниц, vmc_, _kamí, 
   {{0xc6f707a5,0xb21b010d,0x20020082,0x25a700a1}},	//   ьных_, rtæk, _ljki_, _canl_, 
   {{0x9f52078a,0xdb002dab,0x25a70237,0xd83802d9}},	//   riyê_, _mamí, _danl_, _ksčm_, 
   {{0x9f52010c,0x2240013c,0x7e763a90,0x69d851be}},	//   siyê_, _buik_, kryp, lkve, 
   {{0xf7d700fe,0x518751bf,0xfd6500e7,0xf743004f}},	//   _קודש_, мува, _chuỗ, _речо, 
   {{0xe7ea04d7,0x69d851c0,0x224010f3,0x23af03c1}},	//   जोरा_, nkve, _duik_, _जोरद, 
   {{0x1fa7040c,0x506400f6,0x863707e4,0xe8df0023}},	//   мраг, ктта, _קרוב_, _kiềm_, 
   {{0x5f94110a,0x6fa900a2,0x14cb2923,0x3f802f87}},	//   кист, _चोखं, ाहरण, ggiu_, 
   {{0xee3f0029,0xc3090033,0x7e7651c1,0x69d851c2}},	// [4390] _quý_, রেজি_, gryp, kkve, 
   {{0x69d801d2,0xddcd0474,0x00000000,0x00000000}},	//   jkve, draţ, --, --, 
   {{0x61f503c0,0x3ea007fc,0xf3900023,0x32110054}},	//   mizl, awit_, _mảng_, mozy_, 
   {{0xe8df001b,0x69d8064e,0x61f551c3,0x321108f7}},	//   _niềm_, ekve, lizl, lozy_, 
   {{0xdb0030ec,0x3d0f04d7,0xc58e00e7,0x9f8a00b0}},	//   _famí, _तुरे_, _rồng_, tööd_, 
   {{0x92a900ab,0x61f5008f,0x8afd02d9,0x00000000}},	//   _załó, nizl, _neře, --, 
   {{0x5fd30509,0x2b40203b,0xdcfc01f2,0xba3d00d8}},	//   _सवाल, žica_, _tarġ, _průs, 
   {{0x01380a33,0xe3ca09a1,0xdb0002d9,0x321151c4}},	//   ורות_, _mañá_, _zamí, hozy_, 
   {{0xf390001b,0x3211174b,0xddcd00b3,0xc58e0108}},	//   _bảng_, kozy_, craţ, _vồng_, 
   {{0x2d8151c5,0x67220082,0xab6200b0,0xf39000e7}},	//   nghe_, _dzoj, _üüri, _cảng_, 
   {{0x32110054,0xa8a701ff,0xf77000d7,0x00000000}},	//   dozy_, _юрак, _چاه_, --, 
   {{0x1ac60086,0xe29a51c6,0x7dd2003e,0x22400326}},	//   _শেয়া, пам_, _hæst, _puik_, 
   {{0x45d551c7,0x2bc751c8,0x27ff096f,0xf1d200b9}},	//   _подс, _रचना, mnun_, гөнө, 
   {{0x25a70126,0xe5a20e52,0xf3ff02be,0x7a2403dd}},	//   _uanl_, _биши, anã_, pòte, 
   {{0xdb0051c9,0xc0e608d1,0x1fb651ca,0x25aa015f}},	//   _ramí, ховк, нсар, _رضوی_, 
   {{0x7dd201cc,0x27ff51cb,0x3ea051cc,0xb8860068}},	//   _læst, nnun_, twit_, laíñ, 
   {{0xdee351cd,0x3f8051ce,0xe81005e5,0xdb000165}},	// [43a0] готи, rgiu_, ावता_, _mamã, 
   {{0x7dd251cf,0xdcee027e,0xfce62170,0x00000000}},	//   _næst, _sabı, нозо, --, 
   {{0xeb9a26de,0x5ec80033,0x9f950343,0xbddb03dd}},	//   зие_, _রেখে, _såå_, _suèc, 
   {{0xe8fa00b9,0xab8351d0,0xfc390237,0xddcd00b3}},	//   үлд_, гушк, _ciŭ_, traţ, 
   {{0x2000020f,0x8a760176,0x00000000,0x00000000}},	//   mnii_, хилӣ_, --, --, 
   {{0x603c0118,0x2012044d,0xb33b019c,0x69340eb7}},	//   _fčmt, loyi_, meçe, نکار, 
   {{0xde0351d1,0x27ff008c,0x8b960009,0x1d0701a2}},	//   _спри, fnun_, _прач, _зери_, 
   {{0x69d851d2,0x61f50613,0x20120532,0xf3900108}},	//   skve, zizl, noyi_, _sảng_, 
   {{0xd5b00038,0x36870afc,0x7dd251d3,0x200051d4}},	//   لفة_, нсэн_, _fæst, inii_, 
   {{0x7dd201cc,0x2012019b,0xab5d008a,0xa96a01d8}},	//   _gæst, hoyi_, _rożi, _хижа_, 
   {{0x8afd031e,0xe8df00e7,0xddcd0009,0x20120204}},	//   _veře, _tiềm_, nraš, koyi_, 
   {{0x6b8251d5,0xab5d003d,0x27ff0213,0x982b010e}},	//   ngog, _pożi, cnun_, _فتنہ_, 
   {{0xf39000e7,0x70c9017d,0xdb1b02be,0x321108f7}},	//   _tảng_, रह्ल, _anuê, tozy_, 
   {{0xd5b801dd,0xddcd0009,0x2000020f,0x00000000}},	//   rmās_, kraš, enii_, --, 
   {{0x316100ef,0xc60c1df3,0xddcd0613,0x61f551d6}},	//   _vehz_, सकीय_, jraš, rizl, 
   {{0x43950a27,0x61f509a5,0xe8df001b,0x60d50083}},	//   _раис, sizl, _hiểm_, ryzm, 
   {{0x442951d7,0xe8df0029,0x6fd851d8,0xd8380118}},	// [43b0] _iha_, _kiểm_, _mích, _asčk_, 
   {{0x442900a1,0x443b0034,0x12fc00d1,0x200051d4}},	//   _hha_, _hiq_, _מהחב, anii_, 
   {{0x6fd800eb,0x2d8151d9,0xc5f300c7,0x442951da}},	//   _oích, rghe_, נדע_, _kha_, 
   {{0x442901f2,0xdfd5373a,0x6d58003e,0x6b8202a5}},	//   _jha_, _ромы, ðvar, ggog, 
   {{0x4429446d,0x443b51db,0x28a60083,0x00000000}},	//   _mha_, _miq_, _कैबि, --, 
   {{0x442900d4,0x443b00cf,0xe9d800e4,0xddcd51dc}},	//   _lha_, _liq_, нкі_, braš, 
   {{0x442951dd,0xd26201dd,0x603c05d5,0xcd370e13}},	//   _oha_, _ziņā_, _kōma, _سرسب, 
   {{0x44290029,0xe73951de,0x6fd800e1,0x2fc90574}},	//   _nha_, мей_, _cích, njag_, 
   {{0x7c2902b8,0x66e551df,0x6fd80038,0x7c3a02a3}},	//   _iher, топа, _dích, _ètra, 
   {{0x442951e0,0x69f200d3,0x7c3b00a1,0x7642040c}},	//   _aha_, _күчт, _hiur, _duoy, 
   {{0x44290673,0x7c291b6c,0x6fd80354,0xdb000534}},	//   _bha_, _kher, _fích, _iamá, 
   {{0x442951e1,0x443b0065,0x7c290118,0x603c0237}},	//   _cha_, _ciq_, _jher, _nōma, 
   {{0x442951e2,0x7c2951e3,0x00000000,0x00000000}},	//   _dha_, _mher, --, --, 
   {{0xdb0005b9,0x7c3b00a1,0x412a51e4,0x442951e5}},	//   _jamá, _liur, дого_, _eha_, 
   {{0xdb001048,0x7c2951e6,0x703a012d,0x64a50f67}},	//   _mamá, _oher, дчас_, _райа, 
   {{0x64430012,0x200000d9,0x656308bb,0x4429044d}},	//   _iuni, unii_, _henh, _gha_, 
   {{0xee3a0593,0x644351e7,0x0d8651e8,0x200051e9}},	// [43c0] дна_, _huni, клан, rnii_, 
   {{0x7c2951ea,0x7c3b16e3,0xdb000098,0x4429011c}},	//   _aher, _aiur, _namá, _zha_, 
   {{0x7c3b44da,0x644351eb,0xada324d2,0x6fd800b9}},	//   _biur, _juni, рахл, _líci, 
   {{0x7c2951ec,0x644351ed,0x6563019c,0x7c3b51ee}},	//   _cher, _muni, _lenh, _ciur, 
   {{0x644351ef,0x6b8251f0,0x6a8302be,0xe7c5031e}},	//   _luni, rgog, илца, वानप, 
   {{0x656300ce,0x7c2951f1,0x2d9e00bc,0xddcd51f2}},	//   _nenh, _eher, _úte_, praš, 
   {{0x644351f3,0x2ca702c9,0xdb000038,0x7c2901be}},	//   _nuni, ændt_, _damá, _fher, 
   {{0x7c3b51f4,0xd6da00af,0x7c2951f5,0xab2a00f0}},	//   _giur, дто_, _gher, _жоба_, 
   {{0xfaa34e84,0x6e3c090c,0x644351f6,0x2bab0ef1}},	//   _като, _kirb, _auni, _घोटा, 
   {{0x442951f7,0x644351f8,0x7c3b51f9,0x443b51fa}},	//   _sha_, _buni, _ziur, _siq_, 
   {{0xd82f3ffa,0x644351fb,0x442951fc,0x7d7b00a7}},	//   _вэ_, _cuni, _pha_, וניו, 
   {{0x644351fd,0x65630b1f,0xa7852751,0x4429006f}},	//   _duni, _eenh, _مشهو, _qha_, 
   {{0xa3c93034,0x80d00086,0x6443019b,0x44290d09}},	//   लॉग_, _হেল্, _euni, _vha_, 
   {{0x442951fe,0xdb000183,0x67fe01dd,0x656300f8}},	//   _wha_, _xamá, dīji, _genh, 
   {{0x4429365a,0x656851ff,0x64435200,0x629a00d9}},	//   _tha_, madh, _guni, ătoa, 
   {{0x656800d4,0xd7c500a2,0x442f5201,0xddc400ca}},	//   ladh, वायच, _òg_, griž, 
   {{0x6e3c03c0,0x7c29016a,0x64435202,0x63ad011d}},	// [43d0] _birb, _rher, _zuni, _iaan, 
   {{0xf41f440b,0x7c295203,0x3f7300f7,0x2d8749bb}},	//   llä_, _sher, ệu_, üne_, 
   {{0x6e3c5204,0x7c295205,0x64430068,0xd0100019}},	//   _dirb, _pher, _xuni, صلے_, 
   {{0x63ad007e,0x2d8700ab,0x65685206,0x6e3c01be}},	//   _jaan, żne_, hadh, _eirb, 
   {{0x63ad5207,0x7c3b00d3,0xdb0000bc,0x201907fc}},	//   _maan, _viur, _pamá, _iksi_, 
   {{0x7c290056,0x7d1c25f2,0x63ad5208,0x3ea602aa}},	//   _wher, _fyrs, _laan, çote_, 
   {{0x7c290052,0x3da4048a,0xc9845209,0x7e6d520a}},	//   _ther, _тряб, ручи, lsap, 
   {{0x656300ce,0x63ad520b,0x6443520c,0x7c29520d}},	//   _senh, _naan, _runi, _uher, 
   {{0x6568086d,0x7e6d520e,0x6443520f,0x65635210}},	//   fadh, nsap, _suni, _penh, 
   {{0x656811b7,0x7a240cd7,0x24485211,0x6fd802aa}},	//   gadh, pòta, _bûm_, _víci, 
   {{0x63ad0547,0x656302a0,0xa3df00a2,0x22525212}},	//   _baan, _venh, णसं_, _styk_, 
   {{0x63ad033e,0xf1a900a7,0x628f5213,0x7bcb0242}},	//   _caan, _מס_, ftco, njgu, 
   {{0x656300ce,0x65685214,0x63ad0c36,0x92f60965}},	//   _tenh, badh, _daan, учні, 
   {{0x201906b1,0x64430656,0xa50912de,0x7e6d039b}},	//   _aksi_, _tuni, _пела_, dsap, 
   {{0xe0d500dd,0xb21b055f,0x644301ad,0xdb000380}},	//   ають, kræf, _uuni, _unmö, 
   {{0x63ad0c3d,0xdce700bc,0x8c430540,0xbea600a3}},	//   _gaan, ůměr, ışla, лабк, 
   {{0x7e6d134a,0x628f01d2,0x6e3c0664,0xd0070080}},	// [43e0] gsap, ctco, _pirb, уете_, 
   {{0xe05800d4,0xef175215,0xcf250038,0xf1d503dd}},	//   _لیست_, уму_, شرقي, _көсө, 
   {{0xb33b03b7,0xf8a5017a,0x63ad0010,0xe5f600c7}},	//   meça, _بک_, _yaan, נזער_, 
   {{0x80a100ab,0x8afd00bc,0x3ebf02c7,0x6e3c0380}},	//   खबरे, _seřa, _šute_, _wirb, 
   {{0x6e3c453c,0x7e6d010e,0x77690126,0x388e00ad}},	//   _tirb, csap, daex, _tərk_, 
   {{0x9f52003e,0x48aa5216,0x6e3c007a,0xb33b5217}},	//   ábær_, етим_, _uirb, neça, 
   {{0x20190088,0xf41f00c8,0x7c3a02a3,0x65685218}},	//   _yksi_, ylä_, _ètro, vadh, 
   {{0x61d11516,0x9f49003e,0x65685219,0x27e2003e}},	//   _सक्ष, nnað_, wadh, ókn_, 
   {{0x23af0081,0x7bc0521a,0x628f01f5,0x6568521b}},	//   _जोगद, _inmu, xtco, tadh, 
   {{0x63ad521c,0xb5a60104,0x68251259,0x1a9b0070}},	//   _saan, урий, róda, _אימע, 
   {{0x63ad0268,0x4d7b0137,0x6568521d,0x9f49003e}},	//   _paan, ערטע, radh, knað_, 
   {{0x53350650,0x63ad011c,0xf746512f,0xd6d90083}},	//   иент, _qaan, _седо, był_, 
   {{0x6568009c,0x2d9803a1,0x63ad521e,0x2e260054}},	//   padh, _obre_, _vaan, zôfa_, 
   {{0x63ad0010,0xe5340bf8,0x6568030c,0x85560019}},	//   _waan, _кель, qadh, _حیدر_, 
   {{0x63ad521f,0x6fd800d3,0x9f49003e,0x388e0248}},	//   _taan, _lícu, fnað_, _bəri_, 
   {{0x7e6d5220,0x2d980b85,0xa3e900bc,0x9f49003e}},	//   tsap, _abre_, _यति_, gnað_, 
   {{0xa2c600c2,0xb33b0165,0x8c430384,0x388e00ad}},	// [43f0] ामण्, beça, ışma, _dəri_, 
   {{0x6b890141,0x2d8a01f2,0x9df804b6,0x6f1d00da}},	//   _sceg, _ccbe_, гнут_, _vysc, 
   {{0x8d7400b1,0x7e6d5221,0xa3e91d5b,0x67fe01dd}},	//   صالا, ssap, _यता_, līju, 
   {{0x2d985222,0x2cb80175,0x785101dd,0xa3bb1281}},	//   _ebre_, _drrd_, _jāve, घाट_, 
   {{0xe8df001b,0x3f8b0036,0xdefb5223,0x2d8a00b9}},	//   _kiệm_, _iccu_, _чын_, _fcbe_, 
   {{0x291e022b,0x764900ad,0x3eb90610,0xf3fd0033}},	//   _byta_, vqey, _irst_, ীতির_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xccf203e1,0x3eb92c1c,0x7df40035,0x291e0034}},	//   _וכל_, _krst_, yńsk, _dyta_, 
   {{0xda780141,0x6aa900d1,0x060919b1,0x00000000}},	//   _бях_, _usef, кник_, --, 
   {{0xdcf50718,0x67fe002a,0x45d5143a,0xe8df001b}},	//   _hazı, dīju, рцит, _niệm_, 
   {{0xa5091a9e,0x69c15224,0x78430019,0xdcf507fa}},	//   тена_, _inle, _bőve, _kazı, 
   {{0x78bc2cd8,0x672e010e,0x3f8b008a,0xceb40248}},	//   _árva, önjü, _nccu_, yvə_, 
   {{0xe9ff0029,0xa2c60425,0xf6790070,0xe1ff0083}},	//   _luận_, ामध्, _סאַמ, nsów_, 
   {{0xd9e5034d,0xdcf50e7b,0x3f8b5225,0x249c0379}},	//   कसित_, _lazı, _accu_, _fpvm_, 
   {{0xb33b5226,0x059600d4,0x3eb900b0,0x437600d9}},	//   reça, _خانگ, _arst_, _купт, 
   {{0x910300f0,0xf10602e6,0x316a00a3,0x853c0028}},	//   іпте, _रशीद_, sabz_, rdėt, 
  
   {{0x8d660088,0x67fe00e0,0x69c10175,0xddc4003d}},	// [4400] ивае, cīju, _onle, priż, 
   {{0x957c00ab,0x8d56401f,0x68350009,0xb21b5227}},	//   wiąz, ртач, _išdu, stær, 
   {{0x0b465228,0x3eb902f2,0x7b66093d,0x61fc5229}},	//   анен, _erst_, атле, mirl, 
   {{0x9f061fdb,0x61fc213d,0x69c1522a,0x3218522b}},	//   _نوجو, lirl, _anle, lory_, 
   {{0x61fc00eb,0x00000000,0x00000000,0x00000000}},	//   oirl, --, --, --, 
   {{0xed5741b8,0x61fc522c,0x291e522d,0x32180664}},	//   _вор_, nirl, _pyta_, nory_, 
   {{0x67fe00e0,0x99652e02,0x07e6522e,0x6c360816}},	//   zīju, стіл, ицим, _نفسا, 
   {{0xd90d125e,0xdb000187,0x69c1522f,0x61fc5230}},	//   رین_, _pamä, _enle, hirl, 
   {{0x28a60a44,0x61fc0092,0x321808f7,0x3a2c016a}},	//   _कैरि, kirl, kory_, _thdp_, 
   {{0x7c225231,0xd9435232,0xf8b80023,0x61fc00a3}},	//   llor, _дефи, _trĩ_, jirl, 
   {{0xdcf52a30,0x61fc15a5,0xc8ca11b7,0x32185233}},	//   _yazı, dirl, _جوان_, dory_, 
   {{0x67fe002a,0x00000000,0x00000000,0x00000000}},	//   tīju, --, --, --, 
   {{0x61fc5234,0x27e6386a,0x2909008f,0x3869090e}},	//   firl, _ilon_, şaat_, ćare_, 
   {{0x3d0f11bd,0xd9f824d4,0x7c225235,0x67fe00e0}},	//   _तुझे_, ्चित_, hlor, rīju, 
   {{0x10484316,0x7c225236,0x67fe00e0,0x8c430241}},	//   ияти_, klor, sīju, ışka, 
   {{0x645a5237,0x98a50028,0x6e2e5238,0x61fc01be}},	//   mpti, _eglė_, _ahbb, airl, 
   {{0x32181cbd,0xb33b02a0,0xdcf50095,0x61fc5239}},	// [4410] bory_, meço, _razı, birl, 
   {{0x61fc523a,0x3eb9008b,0xf1ab009c,0xb33b201a}},	//   cirl, _vrst_, _شاخه_, leço, 
   {{0x33180105,0xe9ff001b,0x27e600a9,0x680800bc}},	//   _مزید_, _quận_, _olon_, vědn, 
   {{0x1b1000cc,0x7c224143,0x6e951918,0x680101dd}},	//   ়েছে_, glor, _лиму, pēdi, 
   {{0x6fd81565,0xfaa70a74,0x22490640,0x7cfc01e8}},	//   _víct, ршен, _juak_, _pårø, 
   {{0xa2580056,0x22490ab1,0x27e6523b,0x78ba0308}},	//   סבוק_, _muak_, _alon_, _brtv, 
   {{0x78ba0496,0x6ce402fb,0x3ea9523c,0x27e6523d}},	//   _crtv, _діте, lwat_, _blon_, 
   {{0x61fc01de,0x321806ff,0x27e60126,0x3f89523e}},	//   zirl, zory_, _clon_, ngau_, 
   {{0xe619523f,0x61fc0785,0x27e601be,0x6b9b016c}},	//   лди_, yirl, _dlon_, _ibug, 
   {{0x61fc5240,0x69c100d1,0xc485306d,0x682c0218}},	//   xirl, _unle, блок, vûde, 
   {{0x32185241,0x3ea937a8,0x80d70086,0x3f890415}},	//   vory_, hwat_, _ডেস্, kgau_, 
   {{0x3ea95242,0x22490065,0x64a502f1,0xd7f80470}},	//   kwat_, _buak_, _ҳака, _куч_, 
   {{0x78ba090b,0x61fc5243,0x13a800d4,0x224900e2}},	//   _zrtv, tirl, هنگی_, _cuak_, 
   {{0xe1f803dc,0x765b5244,0x6abb018e,0x00000000}},	//   рҳо_, mpuy, _mruf, --, 
   {{0x50b55245,0x61fc5246,0x25a55247,0x3ea9012b}},	//   осту, rirl, mell_, ewat_, 
   {{0x25a55248,0x61fc5249,0x3ebf032f,0x037a015f}},	//   lell_, sirl, _šuta_, _صحبت_, 
   {{0x6280006b,0x63a6524a,0xf41300a7,0x61fc502f}},	// [4420] ámod, mekn, _מפה_, pirl, 
   {{0x25a5524b,0x00ca0f4e,0x62862d32,0x6b9b524c}},	//   nell_, _блок_, muko, _abug, 
   {{0xec7a524d,0x6286524e,0x1d1900e4,0x6b9b01a3}},	//   упе_, luko, аюць_, _bbug, 
   {{0x25a5524f,0x28bd3cae,0x6abb5250,0x3ea9011d}},	//   hell_, ्मनि, _bruf, bwat_, 
   {{0x7c225251,0x62865252,0xeafa36a7,0x2b44016a}},	//   rlor, nuko, درات_, _vgmc_, 
   {{0x27e65253,0xdb1b0183,0xe6070816,0x25a507ed}},	//   _slon_, _couñ, _رش_, jell_, 
   {{0x25a55254,0x62865255,0x7c2244ab,0x27e603a0}},	//   dell_, huko, plor, _plon_, 
   {{0x62865256,0x765b0027,0x00000000,0x00000000}},	//   kuko, fpuy, --, --, 
   {{0xe9ff0029,0x25a55257,0x69965258,0x6abb00f8}},	//   _quản_, fell_, _грех, _gruf, 
   {{0x25a55259,0x78bc02a0,0xe5c6525a,0xab5d00c3}},	//   gell_, _árvo, ссио, _inża, 
   {{0xd4970088,0xd5b70080,0x224901cf,0x9d260033}},	//   бря_, ссы_, _suak_, _বলুন_, 
   {{0x22490348,0x6286525b,0x645a2dc3,0x27e60096}},	//   _puak_, fuko, rpti, _ulon_, 
   {{0x25a5525c,0x998c00ef,0xb33b02a0,0x6286525d}},	//   bell_, _midž_, reço, guko, 
   {{0x25a5525e,0xe67700a7,0x073700a7,0x645a1bc7}},	//   cell_, _פתוח_, _האדם_, ppti, 
   {{0x6722016a,0x43951e2f,0x63a6525f,0x3ea9008a}},	//   _hyoj, _дайс, bekn, wwat_, 
   {{0x7ddb078a,0x672202a5,0x3ea95260,0x22490d07}},	//   _lîst, _kyoj, twat_, _tuak_, 
   {{0x9df90168,0x200c5261,0x9f34004e,0x644a095a}},	// [4430] анат_, édia_, зеті, _hufi, 
   {{0xdce7006a,0x644a5262,0xa2c616df,0x6b9b0036}},	//   _zdję, _kufi, ामर्, _sbug, 
   {{0x2127001b,0x656a1ca0,0x00000000,0x00000000}},	//   _ánh_, _mefh, --, --, 
   {{0x644a5263,0x60da00b0,0x661a2fb3,0x3ea907fc}},	//   _mufi, ätme, hotk, pwat_, 
   {{0x6a150161,0x7ddb010c,0xf42a00c8,0x661a5264}},	//   омду, _bîst, lvää_, kotk, 
   {{0x5ce75265,0x25a5022c,0xc98706ba,0x6ce70451}},	//   _люба, xell_, суди, _лібе, 
   {{0x25a55266,0x661a0098,0x644a0028,0x20090028}},	//   vell_, dotk, _nufi, onai_, 
   {{0x20095267,0x6b9b0199,0x869902a0,0x59c7031e}},	//   nnai_, _ubug, атот_, लाहर, 
   {{0x64585268,0x25a51ac7,0x785100e0,0x6abb0199}},	//   _atvi, tell_, _dāva, _uruf, 
   {{0x661a0112,0x63a65269,0x644a2843,0x7a2d526a}},	//   gotk, wekn, _bufi, sútb, 
   {{0x25a5526b,0x20090089,0x66830019,0x388e00ad}},	//   rell_, knai_, _کیخل, _dərs_, 
   {{0x25a5526c,0x6286526d,0x644a0199,0x59c709ef}},	//   sell_, tuko, _dufi, लावर, 
   {{0x8c1a0a33,0x25a5526e,0xe56e08ac,0x63a6526f}},	//   שורי, pell_, _оз_, rekn, 
   {{0x6d4701ee,0x27ff5270,0x644a00ef,0x27ed5271}},	//   _ngja, liun_, _fufi, lhen_, 
   {{0x62865272,0xd5b801dd,0xd6180019,0xc0e60995}},	//   suko, klāj_, _اتنا_, цовк, 
   {{0x543613b4,0x247500e0,0x73e60e65,0xf3ff0183}},	//   _برتر, mām_, _фоиз, ciã_, 
   {{0x44205273,0x76435274,0x9d2600cc,0x29f600ab}},	// [4440] _iki_, _kiny, _বলেন_, cław_, 
   {{0x10a61d6b,0x764b052b,0x7870039f,0x8d5a5275}},	//   _дион, _mugy, _jóvá, ршат_, 
   {{0x76432998,0x2475002a,0x44203fd0,0x764b052b}},	//   _miny, nām_, _kki_, _lugy, 
   {{0xeb9a5276,0x7ddb010c,0x76435277,0x661a0112}},	//   рид_, _sîst, _liny, zotk, 
   {{0x27ff5278,0x1fb5011f,0x27ed5279,0xa92311bb}},	//   diun_, _эсэр, dhen_, ížno, 
   {{0x7643527a,0x247500e0,0x27ed527b,0x09e30504}},	//   _niny, kām_, ehen_, мочн, 
   {{0x24750bc3,0xe786527c,0x4420527d,0xd7c500a2}},	//   jām_, оупо, _oki_, वांच, 
   {{0x27ff011c,0x4420527e,0x247500e0,0x644a527f}},	//   giun_, _nki_, dām_, _rufi, 
   {{0xa3ce1139,0x76435280,0x09c40086,0x661a4db0}},	//   रान_, _biny, ্সবা, totk, 
   {{0x44205281,0x18a65282,0x443205f0,0x764b0102}},	//   _aki_, _мазм, _ahy_, _dugy, 
   {{0x76435283,0x247500e0,0xf3ff0165,0x20090028}},	//   _diny, gām_, tiã_, ynai_, 
   {{0x27ed375f,0x27ff002e,0x2b400588,0x661a5284}},	//   chen_, ciun_, žicu_, sotk, 
   {{0x442000a2,0x76435285,0x764b02a5,0x534400fd}},	//   _dki_, _finy, _gugy, дхра, 
   {{0x44205286,0x247500e0,0x76435287,0x61ee0102}},	//   _eki_, bām_, _giny, ghbl, 
   {{0x645802fb,0xd48f5288,0x29f60035,0xf3ff019c}},	//   _utvi, _юр_, sław_, piã_, 
   {{0x35e00e36,0x187b00c7,0x316600ef,0x764311dc}},	//   _पकड़, יטלב, _đoze_, _ziny, 
   {{0x20095289,0x4439528a,0x5434009c,0x6b51528b}},	// [4450] rnai_, mms_, _ترور, _lógó, 
   {{0x3135528c,0x27ff1e1b,0xdcbb528d,0x44395188}},	//   _непр, ziun_, ище_, lms_, 
   {{0x4439528e,0xac9401a2,0x27ed0034,0x7a2400b9}},	//   oms_, дахш, yhen_, còti, 
   {{0xf5370070,0xdb1b02be,0x25b90243,0x27ed021e}},	//   קטאר_, _anuá, ēsli_, xhen_, 
   {{0x60130405,0xed150019,0x247501dd,0xddcd0304}},	//   għme, _کہاں_, zām_, mraž, 
   {{0xa96600ce,0x7f3a00d1,0x69c200bc,0x26df018e}},	//   пиша_, _לערו, लागी, vyuo_, 
   {{0x764b528f,0x27ed5290,0x76435291,0x68255292}},	//   _sugy, then_, _riny, lódi, 
   {{0x76435293,0x75ed1acf,0x44395294,0xf771073c}},	//   _siny, _múze, jms_, راب_, 
   {{0x27ed5295,0x76435296,0x27ff024a,0xeab05297}},	//   rhen_, _piny, riun_, _لعل_, 
   {{0x27ff2157,0x44325298,0x2475002a,0x4439012d}},	//   siun_, _shy_, tām_, ems_, 
   {{0x44201694,0x7a2d0183,0x26cd0068,0x388e0248}},	//   _pki_, cúta, sxeo_, _fərq_, 
   {{0x247500e0,0xdce7031e,0x764b01b8,0x889a00df}},	//   rām_, _nejč, _tugy, _לבעי, 
   {{0x76435299,0x247501dd,0xddcd529a,0x75ed0228}},	//   _tiny, sām_, draž, _púzd, 
   {{0x443200a7,0x4439529b,0x247501dd,0x66ba0486}},	//   _why_, ams_, pām_, _למנה, 
   {{0x31160081,0x4420529c,0x412a005b,0x200c0165}},	//   _दुखः_, _tki_, сово_, édio_, 
   {{0x6601529d,0xe043529e,0x8ca60262,0x44200175}},	//   lilk, енси, _टैगो, _uki_, 
   {{0x1e863756,0xbea32ee5,0x68130474,0x31710118}},	// [4460] ялам, натк, căde, bazz_, 
   {{0xf8bd059e,0x66010fb5,0xd8380237,0x42fb00d1}},	//   ्माय, nilk, _apčl_, _להפס, 
   {{0x63b60c05,0xddcd02ee,0x61fe529f,0xdd8f0629}},	//   _kayn, braž, _impl, اوم_, 
   {{0x2057035c,0x6601009e,0x1b150033,0x00000000}},	//   _מיטל_, hilk, তেছে_, --, 
   {{0x63b652a0,0x660119e3,0x61fe0231,0x00000000}},	//   _mayn, kilk, _kmpl, --, 
   {{0x63b60508,0x27fd03c6,0x66010175,0x2d8c0b48}},	//   _layn, _amwn_, jilk, _øde_, 
   {{0x660152a1,0x443952a2,0xb21b373e,0x00000000}},	//   dilk, yms_, kræn, --, 
   {{0x7a2d1d40,0x63b60216,0x7ddb009e,0xeb970bad}},	//   rúta, _nayn, _hîsp, _нис_, 
   {{0x61fe00d3,0x96341e33,0xd7ef01a2,0x2e3402ae}},	//   _ompl, мниц, _ҷу_, räff_, 
   {{0xf9c4086b,0x660102a2,0xddcd015e,0x644d0df4}},	//   _تحری, gilk, zraž, _čair, 
   {{0x69c852a3,0xdcfc01f0,0xb21b003e,0xd7ef2dd2}},	//   _inde, _karı, fræn, _зу_, 
   {{0xb21b01cc,0xff5f078a,0x61fe1227,0x63b612ed}},	//   græn, _anîn_, _ampl, _cayn, 
   {{0x69da52a4,0x443952a5,0xe9ff0029,0xddcd52a6}},	//   _kote, rms_, _quần_, vraž, 
   {{0x443952a7,0x69da030f,0x6601085f,0x22450219}},	//   sms_, _jote, cilk, ölk_, 
   {{0xddcd02f5,0x859b00a7,0x69da52a8,0xdce70304}},	//   traž, _השוו, _mote, _pejč, 
   {{0xa3ce3512,0xe9ff0029,0x61fe52a9,0x22960c85}},	//   राण_, _tuần_, _empl, bæk_, 
   {{0x69c82f44,0x4393005e,0xe9ff00e7,0x52154da5}},	// [4470] _onde, _жақс, _huấn_, _одит, 
   {{0x69da52aa,0x31710065,0xd5b801dd,0x63b652ab}},	//   _note, qazz_, ndā_, _zayn, 
   {{0x682502a0,0xdcfc03c0,0x26c00009,0x5c75002e}},	//   sódi, _barı, _šiol_, флет, 
   {{0x3eb20080,0xd7e6007a,0x00000000,0x00000000}},	//   äntä_, _شك_, --, --, 
   {{0x69da52ac,0xa3ce02f8,0x69c852ad,0x7ae252ae}},	//   _bote, रात_, _bnde, gyot, 
   {{0x69da52af,0xdea40116,0xa9a202f1,0xbde5011c}},	//   _cote, _سیمی, вишд, _dhèè, 
   {{0x7c8411c3,0x660152b0,0x69da52b1,0x9e3452b2}},	//   _путе, vilk, _dote, _черч, 
   {{0x2d8c027e,0x656400ca,0x69da00b4,0x7b08007a}},	//   _öder_, _điha, _eote, ástá, 
   {{0x660152b3,0x91d00035,0x6d4a00b2,0x00000000}},	//   tilk, दामै, şlaş, --, 
   {{0xd706030f,0xa37b00b0,0x32030054,0x00000000}},	//   ьные_, skõl, jijy_, --, 
   {{0xdcfc0749,0x6add00ab,0xb21b37c2,0x7bdb0379}},	//   _yarı, _मथुर, træn, _kouu, 
   {{0xd91a0138,0x66011021,0x68e33667,0xa3ce0ed5}},	//   _וועל, silk, mynd, राध_, 
   {{0x68e3003e,0xb21b52b4,0x28bd1f30,0x69da044d}},	//   lynd, rræn, ्मवि, _yote, 
   {{0xe618005e,0x229602c9,0x63b652b5,0x00000000}},	//   _еді_, ræk_, _wayn, --, 
   {{0x324308ad,0xa3ce07d5,0x1fb652b6,0x80ba0035}},	//   терг, राद_, мсар, ॉमें, 
   {{0xdfd200eb,0xc7b90019,0x7a2d52b7,0x1fb505de}},	//   خير_, ndő_, kúto, нсур, 
   {{0x1dc90f01,0xdb00008c,0x9f4900eb,0x2d9652b8}},	// [4480] रांत, _samþ, chaí_, дрес, 
   {{0xdcfc03c0,0xee3752b9,0x7ae20010,0x61fe00d9}},	//   _sarı, дну_, vyot, _umpl, 
   {{0x7e760118,0xd344009c,0xdcfc2120,0x00000000}},	//   ssyp, _تفکی, _parı, --, 
   {{0x69da52ba,0xdcfc0095,0x62861a77,0x7bc903c6}},	//   _sote, _qarı, orko, _cneu, 
   {{0xbb4300e4,0x245300e7,0x195852bb,0xdcfc0213}},	//   вецк, _lãm_, палы_, _varı, 
   {{0x7ae252bc,0x6fb400a2,0x98c61a18,0x628600c2}},	//   ryot, _उघडू, дсил, irko, 
   {{0x68e301cc,0x69da52bd,0xdcfc027e,0x7ae20102}},	//   gynd, _vote, _tarı, syot, 
   {{0x5fd100a2,0xb8d600c6,0x69da044d,0x682c010c}},	//   हायल, _छन_, _wote, rûdo, 
   {{0x69da52be,0x6d4322d4,0xab5d0083,0x00000000}},	//   _tote, žnat, _noży, --, 
   {{0x69c844ad,0xd49a52bf,0x7bc9026e,0x752f00ab}},	//   _unde, орм_, _zneu, ęczn, 
   {{0x628052c0,0x35f700eb,0xe9ff0023,0xd5b801dd}},	//   ámon, بريد_, _quấn_, rdā_, 
   {{0x9f490038,0x00000000,0x00000000,0x00000000}},	//   thaí_, --, --, --, 
   {{0x3dca0118,0x00000000,0x00000000,0x00000000}},	//   _onbw_, --, --, --, 
   {{0xe9ff001b,0xddcd0613,0xab5d0083,0x00000000}},	//   _tuấn_, ksaš, _doży, --, 
   {{0x301502a0,0x628652c1,0x00000000,0x00000000}},	//   едвр, arko, --, --, 
   {{0xdb003696,0xb21b008c,0x09db52c2,0x00000000}},	//   _jamó, mræm, _भव्य, --, 
   {{0xdb00001d,0x00000000,0x00000000,0x00000000}},	// [4490] _mamó, --, --, --, 
   {{0xdb0b52c3,0x442b0090,0xc7b9010e,0x9f3400f0}},	//   ndgå, llc_, zdő_, теуі, 
   {{0x7bc952c4,0x611400d9,0x3d9452c5,0xdcfc01dd}},	//   _pneu, _адэу, тихр, _marķ, 
   {{0xaa071df3,0x1a650535,0x00000000,0x00000000}},	//   वच्छ_, فیری_, --, --, 
   {{0x442b161c,0x00000000,0x00000000,0x00000000}},	//   ilc_, --, --, --, 
   {{0x7bc902bf,0x28bd0827,0x1c002ed6,0x68e30b41}},	//   _wneu, ्मलि, लोबल_, tynd, 
   {{0x4c170296,0xdcee0035,0xdd9452c6,0x442b0604}},	//   _قبرس, _odbę, _шары, klc_, 
   {{0x68e302a5,0x62860219,0xbddb0212,0xd7750038}},	//   rynd, yrko, _guèr, رابع, 
   {{0x68e3042a,0xa3ce1893,0xd7092cdb,0xd90e0019}},	//   synd, रास_, яние_, لیے_, 
   {{0xb4650ba6,0x7c2b52c7,0x9f400038,0x68e3076b}},	//   нкол, llgr, thiú_, pynd, 
   {{0x64c907d5,0xdb0052c8,0xc7bb16d0,0x2a6d00b4}},	//   िमेश, _famó, _мёд_, _hweb_, 
   {{0x8ca8109f,0xab5d0035,0xf8bd0e6e,0x00000000}},	//   _घनघो, _poży, ्मीप, --, 
   {{0xc7d60cec,0xd9e300c9,0x1ae10033,0x628652c9}},	//   _רוני_, _औकात_, _খেতে_, urko, 
   {{0xdb0000ab,0x7c2b52ca,0xe2a701d5,0x645c001d}},	//   _zamó, hlgr, óðar_, íric, 
   {{0xa0a352cb,0x1c1f0e07,0x307552cc,0xc952029e}},	//   лард, यकाल_, кутс, רמל_, 
   {{0x628652cd,0xdb000042,0x442b0c4e,0x00000000}},	//   prko, _xamó, clc_, --, 
   {{0x442252ce,0x63a452cf,0x8d6624e1,0xdb0005d5}},	// [44a0] mok_, _ibin, евзе, _lamò, 
   {{0xa3ce37ff,0x7c2b3414,0x2fcb0106,0xad6500d7}},	//   राव_, elgr, _encg_, نامه, 
   {{0xd20108ad,0xfce352d0,0x2d87033c,0x3b864e09}},	//   _түрк, лофо, ónea_, елег, 
   {{0x442252d1,0x00000000,0x00000000,0x00000000}},	//   nok_, --, --, --, 
   {{0x5b231838,0xdb004012,0x63a452d2,0xe7d3109f}},	//   льша, _ramó, _mbin, थानप, 
   {{0x442252d3,0x7e643919,0xdb000118,0xcb070038}},	//   hok_, mpip, _bamò, عيون_, 
   {{0x6d4e52d4,0x2244014b,0x996500f0,0xbad80033}},	//   _igba, ímky_, ттіл, _দেখছ, 
   {{0x8c4352d5,0x3ebf0e67,0x442252d6,0x6ec42b69}},	//   _бесе, _šuti_, jok_, रिपु, 
   {{0x442252d7,0x7c2252d8,0x62800019,0xa61402a6}},	//   dok_, moor, ámol, кмич, 
   {{0x47331bb9,0x9486013e,0x7c223b0c,0x80e000bd}},	//   ыныс, нымд, loor, नहाइ, 
   {{0x6d4e0102,0xa37b00b0,0x63a452d9,0xf9930070}},	//   _mgba, lkõi, _bbin, _תרע_, 
   {{0x442252da,0x2bc64801,0x988b010e,0x3eb2040b}},	//   gok_, _रोमा, _رحمہ_, kwyt_, 
   {{0xe5b408a5,0xa2be0367,0x6d5c06df,0x55e652db}},	//   _айлы, शिष्, _ofra, _подб, 
   {{0x7c2209a2,0xdb024ae7,0x442b00b9,0x63a40298}},	//   hoor, ndoñ, slc_, _ebin, 
   {{0x7c2252dc,0xa3ce00c9,0xb7bd0474,0x69d8039b}},	//   koor, राश_, soţe, ijve, 
   {{0x4422281e,0x629a00d9,0x2b490df4,0x6d4e52dd}},	//   cok_, ător, žaci_, _agba, 
   {{0x7e64134a,0x7c2252de,0xa3b8009c,0x764a018e}},	// [44b0] gpip, door, _ساير_, _kify, 
   {{0xdd9400f0,0xab5d00c3,0x629d019b,0x63bd043d}},	//   лауы, _inżi, mtso, ldsn, 
   {{0x55770137,0x7c2252df,0x628f1436,0x680701e5}},	//   געבן_, foor, luco, _jèjè, 
   {{0x6d5c52e0,0x7c22007e,0x63af014b,0x629d0415}},	//   _efra, goor, necn, otso, 
   {{0x629d52e1,0x6d5c0156,0xe8df00e7,0x628f00de}},	//   ntso, _ffra, _phỏm_, nuco, 
   {{0x442252e2,0x629d52e3,0xdb0b3c3a,0x00000000}},	//   zok_, itso, negé, --, 
   {{0x5ba70906,0x7c2252e4,0x2002016a,0x442252e5}},	//   _праз, boor, _ymki_, yok_, 
   {{0x63af0e67,0x7c223ebc,0x629d0a98,0xd5b80243}},	//   jecn, coor, ktso, klās_, 
   {{0x629d52e6,0xdcee031e,0x442252e7,0x195926ef}},	//   jtso, _odbě, vok_, _жазы_, 
   {{0x442236b6,0x628f52e8,0x316602fe,0x6280010e}},	//   wok_, duco, _đozo_, ámom, 
   {{0x442252e9,0x2912010c,0x629d084c,0x06df0033}},	//   tok_, şyar_, etso, _বেশি, 
   {{0xa2be190a,0x1ad80086,0x6ec408f1,0x629d52ea}},	//   शिल्, _দেয়া, रिमु, ftso, 
   {{0x21f400b0,0x06df0033,0x629d0d09,0x00000000}},	//   _lähe_, _বেরি, gtso, --, 
   {{0x442252eb,0x6aa9084c,0x6825001d,0x6d5b0241}},	//   sok_, _mpef, códr, _şuan, 
   {{0x442252ec,0x21f401c4,0x910308bd,0x7e7d52ed}},	//   pok_, _nähe_, апре, _avsp, 
   {{0x63a423d0,0x6d5c19d5,0xe3b200b8,0x00000000}},	//   _ubin, _sfra, _ضرب_, --, 
   {{0x539b0056,0x7c2209a2,0xf7720137,0x785101dd}},	// [44c0] _חיפו, voor, יקן_, _dāvi, 
   {{0x7c220e47,0x4d6352ee,0xb33b0241,0x00000000}},	//   woor, икув, reçt, --, 
   {{0xeb9a0648,0x7c2252ef,0x8c4612cc,0xc2c924a1}},	//   дие_, toor, веже, _قبیل_, 
   {{0x31780035,0xe7270e90,0x7a2d007a,0x00000000}},	//   larz_, _نص_, lúth, --, 
   {{0x7c2201a9,0x7f1a017b,0x00000000,0x00000000}},	//   roor, _ціну_, --, --, 
   {{0x7c2252f0,0xa3ce017d,0x6934009c,0xa8a652f1}},	//   soor, राँ_, هکار, врик, 
   {{0x7c220511,0xa37b00b0,0x09e300ff,0xdcee0118}},	//   poor, skõi, ројн, _kebč, 
   {{0x61df11bd,0x67f50039,0xb21b055f,0x201252f2}},	//   _नक्ष, _nájd, træk, nnyi_, 
   {{0x31780035,0x19c40259,0x682508b2,0x6807023e}},	//   karz_, _бәйг, tódr, _sèjè, 
   {{0xb21b51d3,0xe5c60176,0x00000000,0x00000000}},	//   rræk, тсио, --, --, 
   {{0x63af1026,0xb4cc00c2,0x624b0405,0x2caa0065}},	//   tecn, रमे_, _bżon, _jpbd_, 
   {{0x60130405,0xd5be01dd,0xbf9b02aa,0x629d0bff}},	//   għml, _šāda_, _amên, ttso, 
   {{0x61e1014e,0x63af1db4,0x387e0379,0x6825001d}},	//   öllo, recn, _hvtr_, pódr, 
   {{0x629d0414,0x63af044e,0xdcfc0237,0x349452f3}},	//   rtso, secn, _adrč, _бакр, 
   {{0x67f5010e,0x00000000,0x00000000,0x00000000}},	//   _fájd, --, --, --, 
   {{0xa3ce017d,0x660821e0,0xb4de0110,0x58bb00d1}},	//   राः_, lidk, णही_, ומלצ, 
   {{0x442952f4,0x2caa52f5,0x3869044e,0x2d87033c}},	// [44d0] _ika_, _apbd_, ćari_, óneo_, 
   {{0x2caa02a2,0x644d52f6,0x20120298,0x21f400c2}},	//   _bpbd_, _hiai, anyi_, _pähe_, 
   {{0x9f9c003e,0x645e129c,0x270e52f7,0x644d095a}},	//   _tíð_, _épid, ापुर_, _kiai, 
   {{0x21f400b0,0x44290118,0xddcd0032,0x8b94017b}},	//   _vähe_, _jka_, dsať, иріч, 
   {{0x53a504b7,0x200952f8,0x3b84004e,0x26c6023b}},	//   ग्यश, miai_, рліг, _nroo_, 
   {{0x20090904,0x644d52f9,0x2cb80175,0x44290104}},	//   liai_, _liai, _fsrd_, _lka_, 
   {{0x442952fa,0x9c470f89,0x660852fb,0xa3e402e6}},	//   _oka_, _ахал, didk, पॉड_, 
   {{0x20090904,0x442952fc,0x26c602a2,0x644d00a9}},	//   niai_, _nka_, _broo_, _niai, 
   {{0x7c2902ba,0xa3d70b3e,0x4a541faa,0x5b1502a6}},	//   _iker, सान_, _вкус, _смат, 
   {{0xe61624dc,0x44290bc1,0xf9930e61,0x200952fd}},	//   лды_, _aka_, _خبر_, hiai_, 
   {{0x2009012d,0x7c3b52fe,0x442940f0,0x240a0093}},	//   kiai_, _khur, _bka_, енни_, 
   {{0xa3ce185c,0x4429024a,0x443b0054,0x644d02be}},	//   राइ_, _cka_, _chq_, _ciai, 
   {{0xe5a5101b,0xe2c71619,0x2d83015e,0x35a54547}},	//   _били, гляд_, _odje_, _балг, 
   {{0x442952ff,0x27ed1d4b,0xab5d00c3,0x00000000}},	//   _eka_, lken_, _inżu, --, 
   {{0x644d05f0,0x7c2901f1,0x624b00c3,0x00000000}},	//   _fiai, _oker, _iżol, --, 
   {{0x27ed5300,0x20095301,0x2d835052,0x644d0023}},	//   nken_, giai_, _adje_, _giai, 
   {{0xee3a0804,0x27ed5302,0xada6022c,0x8f75441a}},	// [44e0] ена_, iken_, лаал, русі, 
   {{0xdd920071,0x7c3b5303,0x7c295304,0xe1ff001d}},	//   صوص_, _ahur, _aker, lpón_, 
   {{0x27ed5305,0x67f5031e,0x7c3b0d44,0xe3bf0068}},	//   kken_, _záje, _bhur, loña_, 
   {{0x27ed0536,0xa3d70239,0x20095306,0x7c3b5307}},	//   jken_, साय_, ciai_, _chur, 
   {{0x66080096,0x7c3b00e5,0xead45308,0x09e65309}},	//   yidk, _dhur, роль, лодн, 
   {{0x2d8302b1,0x27ed0b32,0x2fc0530a,0x61ee0626}},	//   _gdje_, eken_, ldig_, nkbl, 
   {{0x6608530b,0x3ea0530c,0x7c3b26c0,0xf969017b}},	//   vidk, ltit_, _fhur, трій_, 
   {{0xd6da530d,0x7c3b48aa,0x7c2900b4,0x38340d3d}},	//   ето_, _ghur, _gker, јнир, 
   {{0x3ea0530e,0xa3ce0a09,0xb4cc0c73,0x35f450ef}},	//   ntit_, राई_, रम्_, ипир, 
   {{0x442914f9,0x27ed530f,0xa96a00eb,0xceb3042c}},	//   _ska_, aken_, _أمام_, צית_, 
   {{0x2ed10ed5,0x644d0180,0xd82f00b3,0x25a702b0}},	//   _सप्त, _piai, _гэ_, _dbnl_, 
   {{0x27ed5310,0x3ea05311,0x78ba0019,0x2fc0012e}},	//   cken_, ktit_, _istv, jdig_, 
   {{0xa3d70509,0x2009012d,0x518700ce,0xe3bf5312}},	//   साब_, viai_, лува, goña_, 
   {{0x2fc05313,0x249c00e2,0x00000000,0x00000000}},	//   edig_, _tqvm_, --, --, 
   {{0x657a17bf,0x5064021f,0xb21b055f,0xf55b00d1}},	//   math, йтта, kræv, _אדומ, 
   {{0x657a5314,0x2fc00c3d,0x442f5315,0x087700c7}},	//   lath, gdig_, _óg_, טעלט_, 
   {{0x200900e4,0x33a8048a,0x6e955316,0x320a01a7}},	// [44f0] riai_, _също_, ризу, biby_, 
   {{0x78ba03ef,0x7c3b5317,0x200900e4,0x7c295318}},	//   _ostv, _shur, siai_, _sker, 
   {{0x2ee9030c,0xd7c400a2,0x40355319,0x7c3b531a}},	//   syaf_, वयाच, _венс, _phur, 
   {{0x657a531b,0x200c531c,0xce950093,0xa3ce456f}},	//   hath, édit_, _камъ, राए_, 
   {{0x657a531d,0x63bf0c45,0x3ea000f6,0x229f010c}},	//   kath, _maqn, ctit_, nîk_, 
   {{0x17ed0509,0x2d8303f5,0x88c500eb,0x657a531e}},	//   जस्व_, _udje_, لتعل, jath, 
   {{0x657a044d,0x27ed5040,0x28c518b4,0x14b03cae}},	//   dath, tken_, विधि, _जनगण, 
   {{0x7c3b4429,0x0685531f,0xa68502f1,0x27ed3cb7}},	//   _uhur, агин, алид, uken_, 
   {{0x27ed5320,0xe7e605d2,0x657a5321,0x229f009e}},	//   rken_, _ओकरा_, fath, jîk_, 
   {{0x657a5322,0x80bb0086,0xdb0009c6,0x75550267}},	//   gath, _উপন্, _camõ, шњиц, 
   {{0x21f4007e,0x2fc05323,0x7aeb5324,0xa8a700fd}},	//   _näha_, ydig_, lygt, _щрак, 
   {{0xab5d00c3,0xe3bf0042,0x02c633d4,0x09aa0033}},	//   _dażg, toña_, аймо, _গোপা, 
   {{0x657a5325,0x666725c0,0x63bf008a,0x59b9252e}},	//   bath, _съез, _daqn, _इसार, 
   {{0x657a5326,0x15455327,0xe1ff03da,0xe3bf1cf0}},	//   cath, _келм, spón_, roña_, 
   {{0xab5d006a,0x61465328,0x412a0cd9,0x61ee5329}},	//   _każd, рева, тово_, rkbl, 
   {{0x1f6630e8,0x2fc00265,0x3ea0532a,0xe3bf0042}},	//   ркам, udig_, ttit_, poña_, 
   {{0x2fc0532b,0xed5a3725,0x3ea040db,0x75380604}},	// [4500] rdig_, воз_, utit_, _zzvz, 
   {{0x3ea0532c,0xc27b07f5,0xa3d70838,0x645e0151}},	//   rtit_, _שריי, साथ_, _épic, 
   {{0x3ea0532d,0x8fa6532e,0x7a2d008c,0x9f420034}},	//   stit_, _кане, nútu, _kokë_, 
   {{0x657a532f,0x3ea05330,0x9f4000c8,0x8ba65331}},	//   zath, ptit_, tkiä_, ридж, 
   {{0xa3d74a93,0x6b9b00a1,0x62880035,0xdb000054}},	//   सात_, _dcug, ądow, _namô, 
   {{0x9f401279,0x00000000,0x00000000,0x00000000}},	//   rkiä_, --, --, --, 
   {{0x229f010c,0x44c500e0,0x218900c7,0x2c6c0118}},	//   zîk_, _nē_, אָפּ, _dòdò_, 
   {{0x657a0204,0x00000000,0x00000000,0x00000000}},	//   wath, --, --, --, 
   {{0x657a5332,0x8f9b0111,0xd6d732e1,0x0ec90249}},	//   tath, דיפי, атэ_, रियड, 
   {{0x26c0012d,0x7bc05333,0x7bc201d2,0xe7a60083}},	//   _šios_, _hamu, ldou, _कॉरप, 
   {{0xd7ef03dc,0x78ba2b52,0xc7ba02f1,0x7d7b03e1}},	//   _ду_, _ustv, _аёл_, כניו, 
   {{0x229f010c,0x7bc05334,0x0ed6000d,0x657a5335}},	//   tîk_, _jamu, ठमाड, sath, 
   {{0x7bc05336,0x6aa25337,0x657a5338,0x7a2d003e}},	//   _mamu, ntof, path, rútv, 
   {{0x7bc05339,0x229f009e,0x7a2d35b6,0x44c50118}},	//   _lamu, rîk_, sútv, _fē_, 
   {{0x16b6017d,0x8007533a,0xdfd50b58,0xa3d72830}},	//   _अनुब, ачае, бовы, साद_, 
   {{0x7bc0023f,0x74151fdb,0x6aa2533b,0x229f009e}},	//   _namu, _دوبا, ktof, pîk_, 
   {{0x6458088f,0xe7ee05d2,0x6578023b,0xdb2304be}},	// [4510] _huvi, _जवना_, _kevh, ürül, 
   {{0x6458533c,0x7bc00088,0x5d6701ab,0x6b9b0036}},	//   _kuvi, _aamu, ртаз, _scug, 
   {{0x7bc0355a,0xdcbb0093,0x8d74039f,0x628000da}},	//   _bamu, ъща_, زالا, ámov, 
   {{0x61e5533d,0x6458533e,0x81b80033,0x6578533f}},	//   _hohl, _muvi, ছাঃ_, _levh, 
   {{0x7bc05340,0x64585341,0x61e501c4,0x201e5342}},	//   _damu, _luvi, _kohl, étie_, 
   {{0x65781e6f,0x645803b7,0x6a1400d3,0x61e501f2}},	//   _nevh, _ouvi, омчу, _johl, 
   {{0x61e55343,0x7bc05344,0x00000000,0x00000000}},	//   _mohl, _famu, --, --, 
   {{0xe7395345,0x7bc05346,0xe3bf0068,0x61e507d7}},	//   лей_, _gamu, doño_, _lohl, 
   {{0x6abb1782,0x6013003d,0x61e5084c,0x66d30241}},	//   _usuf, għmi, _oohl, dıkö, 
   {{0x7bc05347,0x64585348,0x61e5008a,0x160701ff}},	//   _zamu, _buvi, _nohl, рмоқ_, 
   {{0x6458002e,0x7bc05349,0x628f2771,0x00000000}},	//   _cuvi, _yamu, erco, --, 
   {{0x69c1534a,0x645802a0,0x69c3534b,0x7bc001d6}},	//   _hale, _duvi, ldne, _xamu, 
   {{0xa3e904b7,0x61e50194,0x64580068,0x975600a7}},	//   _मकर_, _bohl, _euvi, _הינו_, 
   {{0x69c112e6,0x69c3534c,0x00000000,0x00000000}},	//   _jale, ndne, --, --, 
   {{0x67f50228,0x9f42024a,0x61e51102,0x38a1534d}},	//   _zája, _tokë_, _dohl, nór_, 
   {{0x69c10696,0x61e50149,0x6d55534e,0xdcfe020b}},	//   _lale, _eohl, _agza, tepľ, 
   {{0x0d861088,0x38a100eb,0x6458534f,0xb21b5350}},	// [4520] йлан, hór_, _zuvi, træt, 
   {{0x7bc02fcf,0x69c15351,0x6da30013,0xab8c01f0}},	//   _samu, _nale, зифа, _çözü, 
   {{0x3157042c,0x64580068,0xf1d54f69,0x8b6a02da}},	//   _ליין_, _xuvi, दारन, гиев_, 
   {{0x6d555352,0x6aa22dbd,0x2aa006df,0x7bc002a5}},	//   _egza, ttof, tòb_, _qamu, 
   {{0x7bc0052b,0x61e50149,0xe3bf0183,0xa9781628}},	//   _vamu, _yohl, zoño_, айлу_, 
   {{0x6aa25353,0xed570235,0x7bc05354,0xe2a7003e}},	//   rtof, _гор_, _wamu, óðir_, 
   {{0x6aa25355,0x69c15356,0xf8c500a2,0x7bc05357}},	//   stof, _dale, विषय, _tamu, 
   {{0xb8d005d2,0x7bc00010,0x67f505b9,0x9f4206df}},	//   _ओह_, _uamu, _pája, _pokè_, 
   {{0x69c15358,0x64585359,0xa3d7042b,0xa3dc00bc}},	//   _fale, _suvi, सास_, ठान_, 
   {{0x69c1535a,0xd5ba535b,0xceb302a1,0x38a10035}},	//   _gale, уси_, ליח_, bór_, 
   {{0x28130019,0x61e5535c,0xddc60028,0xc957007a}},	//   _کونس, _rohl, _atkū, _المش_, 
   {{0x69c1535d,0x61e5535e,0xe3bf040a,0xdb0b535f}},	//   _zale, _sohl, roño_, legá, 
   {{0x61e5037f,0xa3ce0497,0x69c15360,0x628f5361}},	//   _pohl, राज_, _yale, urco, 
   {{0x64585362,0x2bcf02e6,0x7afd027e,0x69c15363}},	//   _tuvi, _सोना, _üste, _xale, 
   {{0x817a0176,0x27e65364,0xb608020b,0x00000000}},	//   расӣ_, _koon_, _vyšľ, --, 
   {{0x27e65365,0x61e501c4,0xdb0b0042,0xb21b0566}},	//   _joon_, _wohl, hegá, træs, 
   {{0x6d4808d7,0x442b2b55,0x63ad5366,0x61e500bc}},	// [4530] _údaj, moc_, _iban, _tohl, 
   {{0xd04706d0,0x442b5367,0x63ad4360,0xa3d70586}},	//   _əmək, loc_, _hban, साव_, 
   {{0x69c30121,0x00000000,0x00000000,0x00000000}},	//   vdne, --, --, --, 
   {{0xb21b055f,0x69c15368,0xeb9020b4,0x38a15369}},	//   præs, _sale, فظه_, vór_, 
   {{0x69c1536a,0x63ad536b,0x8aa7129d,0x38a10035}},	//   _pale, _mban, сред, wór_, 
   {{0x7e6d536c,0x69c1536d,0xda782f89,0x442b0210}},	//   mpap, _qale, сяц_, hoc_, 
   {{0x69c31b2e,0xd942536e,0x16d100ab,0x6845536f}},	//   rdne, меши, तम्ब, онка, 
   {{0x69c15370,0x166552b9,0x57e91cb8,0x442b16cd}},	//   _wale, овим, рдим_, joc_, 
   {{0xa3bf1ff6,0x7c2b5371,0x69c15372,0x27e60c3d}},	//   ीयन_, mogr, _tale, _doon_, 
   {{0x63ad5373,0x69c100a1,0x27e60118,0x38c9010e}},	//   _aban, _uale, _eoon_, _پائی_, 
   {{0xca485374,0x0446418c,0x27e60876,0x442b022c}},	//   _الله_, женн, _foon_, foc_, 
   {{0x3885002a,0x7e6d5375,0x2bcf0790,0xddcd00ef}},	//   mēr_, kpap, _सोमा, jsaž, 
   {{0xe72e0b0c,0x645e0107,0x317a0175,0x6446009e}},	//   _це_, _épin, _pepz_, rmki, 
   {{0x63ad5376,0x27e6012e,0x6ecd031e,0xe1f80176}},	//   _eban, _zoon_, सिनु, сҳо_, 
   {{0x27e61f59,0xdfd220b4,0x05c200aa,0x442b0474}},	//   _yoon_, ويس_, _वोटब, boc_, 
   {{0x6280334d,0x6b895377,0xb4d55378,0x7c2b003d}},	//   ámos, _ndeg, समी_, jogr, 
   {{0xa3d7248b,0x7e6d148f,0x7c2b0062,0xc7b2042c}},	// [4540] सार_, gpap, dogr, ובן_, 
   {{0x0d865379,0x13a60019,0x6ab80033,0x68130474}},	//   ілен, _اچھی_, _আপলো, mădu, 
   {{0xb60700e0,0x67f50228,0xad65009c,0xd5fa0070}},	//   mašī, _nájo, ساله, ספער, 
   {{0x0a6a537a,0x35db00a5,0x7c2b0664,0x00000000}},	//   арки_, बाड़, gogr, --, 
   {{0x254e0095,0x27e60c36,0x6013003d,0x7d240019}},	//   zəl_, _roon_, għmu, _کہان, 
   {{0xc8c507d5,0x79a6004e,0x27e600d1,0x6b89537b}},	//   विंट, ірле, _soon_, _edeg, 
   {{0x27e61644,0x23ca017d,0x2e2f0380,0xdb0b00da}},	//   _poon_, ियाद, rüft_, regá, 
   {{0x76aa362f,0x254e06d0,0xeb97537c,0x7a3f0107}},	//   атов_, vəl_, _мис_, vête, 
   {{0x442b4dc0,0xfaa61ee6,0x27e60065,0x6a83537d}},	//   voc_, _фазо, _voon_, _олта, 
   {{0xd946537e,0x27e60b1f,0x80bb0086,0x63ad537f}},	//   _дези, _woon_, _উপস্, _sban, 
   {{0x27e60265,0xa3d7034d,0x442b5380,0x75c9004e}},	//   _toon_, साल_, toc_, стың_, 
   {{0x7a3f026a,0xe61800d3,0x926b00a3,0xab5d00c3}},	//   rête, рдү_, ирга_, _każa, 
   {{0x442b5381,0x23dd00a2,0x555800b3,0x6813020f}},	//   roc_, याबद, _лаля_, gădu, 
   {{0x67fc5382,0x14b7010e,0x00000000,0x00000000}},	//   _déje, حدیث_, --, --, 
   {{0x7c2b5383,0xba3d031e,0x957c0035,0x623400d9}},	//   yogr, _způs, ając, феру, 
   {{0x63ad5384,0x682500ab,0x6d580009,0x7e6d5385}},	//   _uban, wódz, žval, tpap, 
   {{0xab5d008a,0x00000000,0x00000000,0x00000000}},	// [4550] _naża, --, --, --, 
   {{0x7c2b0cd7,0xf2d200c7,0xe2a7003e,0x6b8902a3}},	//   wogr, _װעט_, óður_, _sdeg, 
   {{0x40351b3d,0x7e6d5386,0x61e1008c,0x31350d5c}},	//   _неос, spap, öllu, _хенр, 
   {{0x32111749,0xf3ff03b7,0x3c3c3ad3,0xab5d5387}},	//   lizy_, nhã_, tíva_, _baża, 
   {{0xa969041d,0xa3e90366,0xda35012d,0x00000000}},	//   била_, _मकई_, педы, --, 
   {{0xf1cb0299,0xb7bd00b3,0xf1de017d,0x32110054}},	//   ायिन, moţi, मायन, nizy_, 
   {{0x2d810bba,0x67f5010e,0xb6070009,0x997e020f}},	//   mahe_, _fájl, našū, săşi_, 
   {{0xe7a608f1,0x96951de8,0x2d8100d7,0x997e0474}},	//   क्लप, прош, lahe_, păşi_, 
   {{0x060921b8,0x41cb448b,0x321100a9,0xf1cb5388}},	//   йник_, ायास, kizy_, ायान, 
   {{0x2d815389,0xc9f70038,0xd7060080,0x245a0243}},	//   nahe_, _بسرع, яные_, _zīmi_, 
   {{0xc32900a7,0x9f49010c,0x645e0107,0x67fc0175}},	//   _עו_, ûkên_, _épil, _séje, 
   {{0x3d1900bc,0x2d81018e,0x21670176,0x00000000}},	//   _दशैं_, hahe_, ҷири_, --, 
   {{0xc5f50093,0x9665538a,0x9f590118,0x27ff0379}},	//   _някъ, _экле, _ilsè_, mhun_, 
   {{0x21670013,0x6813020f,0x2d810bba,0x27ff0175}},	//   зири_, rădu, jahe_, lhun_, 
   {{0xe3c206a2,0xdb0900b9,0xa06a538b,0x2d81023e}},	//   _alış_, _obeï, саба_, dahe_, 
   {{0xafe31d7e,0x26cf0ab4,0x27ff012b,0xddc40352}},	//   носл, _krgo_, nhun_, dpiš, 
   {{0x35d0000f,0x442000d7,0x44320379,0x67f50098}},	// [4560] _थोड़, _iji_, _iky_, _nájm, 
   {{0x628603ef,0x6146012d,0xb21b008c,0x6444011c}},	//   msko, _непа, nsæl, _hhii, 
   {{0xd7bd047b,0xc1730056,0xe7bd0367,0x6286538c}},	//   ्याच, _אחת_, ्याप, lsko, 
   {{0xeb9a01a2,0x26cf0183,0xfaa6515c,0x5f070035}},	//   сид_, _orgo_, задо, _सेक्_, 
   {{0x62860d26,0x44200010,0x27ff538d,0x64560241}},	//   nsko, _mji_, dhun_, _miyi, 
   {{0x201206d0,0x6286538e,0xbe67040c,0x64560539}},	//   liyi_, isko, _харж_, _liyi, 
   {{0x628600ef,0x7af200bc,0x4432538f,0x44205390}},	//   hsko, _řetě, _oky_, _oji_, 
   {{0xfaa65391,0xab665392,0x4420024a,0x764302cd}},	//   _набо, _хвал, _nji_, _ahny, 
   {{0x628603ef,0xfaa40274,0xf4220033,0x1de0122e}},	//   jsko, _تجزی, নতার_, नापत, 
   {{0x628600f1,0x44205393,0x44325394,0x64440027}},	//   dsko, _aji_, _aky_, _ahii, 
   {{0xbebb024a,0x20125395,0x67f500bc,0x62865396}},	//   _nxën, kiyi_, _zájm, esko, 
   {{0x64445397,0x6722006f,0x6b821a30,0x64565122}},	//   _chii, _txoj, naog, _ciyi, 
   {{0x644401f5,0x62865398,0x64565399,0x201206d0}},	//   _dhii, gsko, _diyi, diyi_, 
   {{0x6f04539a,0x171b00a7,0x44320a8b,0x26c301dd}},	//   dzic, _פוגע, _eky_, ājot_, 
   {{0x644401be,0x64a31329,0x2d81539b,0x32110379}},	//   _fhii, _заја, vahe_, rizy_, 
   {{0x75370056,0x999e012d,0xc10300d3,0x645637a2}},	//   _מאוד_, _kitų_, дүүл, _giyi, 
   {{0xdb08026a,0xa3d30db3,0x6b82539c,0x2d81539d}},	// [4570] _élèv, _होय_, daog, tahe_, 
   {{0x4439539e,0xddc4034c,0x6147539f,0x645653a0}},	//   lls_, tpiš, gélé, _ziyi, 
   {{0x64571056,0x999e012d,0x271e00e7,0x2d8153a1}},	//   _éxit, _litų_, ịnh_, rahe_, 
   {{0xa3d32414,0x44cc000d,0x200000d9,0x09aa0086}},	//   _होम_, _mě_, chii_, _গোলা, 
   {{0x443953a2,0xddc40571,0x2d8704b3,0x75ff010c}},	//   ils_, spiš, ónes_, _hêze, 
   {{0x4439508d,0x3ea953a3,0x2fc953a4,0x61470107}},	//   hls_, mtat_, ldag_, célé, 
   {{0xd90f006b,0x44cc00bc,0x443901dd,0x27ff53a5}},	//   دیا_, _ně_, kls_, thun_, 
   {{0x2fc910f3,0x443953a6,0x628653a7,0x75ff010c}},	//   ndag_, jls_, ysko, _mêze, 
   {{0x3ea953a8,0x3c4400e4,0x44390090,0xa3d710b0}},	//   ntat_, _чэрв, dls_, साई_, 
   {{0x645653a9,0x20125395,0x443953aa,0x7af6017b}},	//   _siyi, ziyi_, els_, øyte, 
   {{0x79830149,0x6f0400fd,0x75ff009e,0x645653ab}},	//   manw, zzic, _rêzd, _piyi, 
   {{0x62860112,0x2fc90b32,0x3ea953ac,0x44390caf}},	//   tsko, jdag_, ktat_, gls_, 
   {{0xe5a553ad,0x3ea900e5,0x35a500d3,0x62860080}},	//   _жили, jtat_, _жалг, usko, 
   {{0x425553ae,0xd2520019,0xdb190ff2,0x443953af}},	//   етст, ئنس_, tewê, als_, 
   {{0x62860347,0xa0a303dc,0x20561b8f,0x644453b0}},	//   ssko, кард, дтар, _thii, 
   {{0x628600f1,0x2fc92ba2,0x94260fb6,0x6f04012e}},	//   psko, gdag_, _імпе, tzic, 
   {{0xb22653b1,0x7983527f,0x2a6d011c,0x6b8200ca}},	// [4580] _омил, kanw, _nteb_, vaog, 
   {{0x6f0453b2,0xfbc600a5,0x201253b3,0xdb080212}},	//   rzic, _रोजम, siyi_, _élév, 
   {{0x614753b4,0xfce353b5,0x2a6d0156,0x2bcf00c2}},	//   rélé, кофо, _ateb_, _सोहा, 
   {{0xab5d00ab,0x7c650740,0x1ee80019,0xa3d7017d}},	//   _ważn, ءالل, _فوجی_, साए_, 
   {{0x3ea922ef,0xaaba04f2,0xdcfc01f2,0xbaba06a7}},	//   ctat_, تدار_, _kerċ, تداء_, 
   {{0x798353b6,0xab5d00c3,0xdcfe0032,0x286a0bad}},	//   ganw, _fażo, lapč, орио_, 
   {{0xada353b7,0x6da353b8,0xdcfc01f2,0x00000000}},	//   _шарл, _шира, _merċ, --, 
   {{0x368a0176,0x67fc2ec6,0xab2a53b9,0x63a4018e}},	//   осон_, _béja, _доба_, _ncin, 
   {{0x9f49027e,0x798353ba,0xdb0b53bb,0x00000000}},	//   rkaç_, banw, tegå, --, 
   {{0x4439007b,0x67fc53bc,0x6b8002ae,0x3e6402ae}},	//   wls_, _déja, _hemg, _möt_, 
   {{0x2fc9018c,0xdb0b39a9,0xcd9700d1,0xe415004f}},	//   ydag_, regå, ודית_, еднь, 
   {{0x69ca53bd,0x63a400a1,0x3ea9253f,0x69da0175}},	//   ldfe, _ccin, ytat_, _hnte, 
   {{0xf7730056,0x65942309,0x69c853be,0x6b8002cd}},	//   _סקס_, _залу, _kade, _memg, 
   {{0x69c853bf,0x6d5c00c5,0x69ca53c0,0x44cc00bc}},	//   _jade, _ngra, ndfe, _tě_, 
   {{0xa15853c1,0x246501dd,0x2fc9123b,0x683e021e}},	//   дару_, _tēma_, tdag_, nëdo, 
   {{0x76582083,0x3ea953c2,0x69da02dc,0x63a40038}},	//   _hivy, ttat_, _lnte, _gcin, 
   {{0x2fc910de,0x69da53c3,0x403453c4,0x63bd53c5}},	// [4590] rdag_, _onte, тетс, mesn, 
   {{0x3ea953c6,0x69c853c7,0xa3d32894,0x2fc90be0}},	//   rtat_, _nade, _होत_, sdag_, 
   {{0x3ea91277,0x629d53c8,0x26cd015e,0x69ca00f8}},	//   stat_, luso, zveo_, ddfe, 
   {{0x3ea953c9,0xf41f0088,0x60c553ca,0x6d5c53cb}},	//   ptat_, nnä_, _ishm, _egra, 
   {{0x69c853cc,0x3e6453cd,0x798353ce,0xa3e41230}},	//   _bade, _göt_, tanw, पॉट_, 
   {{0xa2d002e6,0xe29c00a7,0xd94553cf,0xa9691e70}},	//   दित्, קשור, нели, чика_, 
   {{0x28c21516,0x69c853d0,0x79830458,0x5ba700f0}},	//   _वैदि, _dade, ranw, _ораз, 
   {{0x63bd02a8,0x69c800a1,0x46e901bb,0x16bc00ab}},	//   jesn, _eade, здин_, ्टूब, 
   {{0x7bdb0c36,0x63bd53d1,0xfdf30c59,0xb21b14e4}},	//   _inuu, desn, _आकास_, gsæk, 
   {{0x69c853d2,0x629d53d3,0x6b8001dd,0xf41f0080}},	//   _gade, duso, _zemg, enä_, 
   {{0x03a6512f,0xc9842d25,0x7bc90574,0x45192e8d}},	//   нино, _шути, _kaeu, яция_, 
   {{0x9f4b0316,0x7981010c,0x69c81852,0x6b8053d4}},	//   _você_, _helw, _zade, _xemg, 
   {{0x7658006d,0x69da017c,0xe281004e,0x69c853d5}},	//   _fivy, _ynte, ағын, _yade, 
   {{0x80cc00a2,0xe5a500a3,0xa3e402e6,0x5bbc017d}},	//   हिले, _чики, पॉज_, _ईस्व, 
   {{0x602653d6,0x63bd07c7,0x3e640219,0x7e7d01f2}},	//   едва, besn, _söt_, _awsp, 
   {{0x63a453d7,0x6d5c53d8,0x2bcf00a2,0x63bd1fe0}},	//   _ucin, _sgra, _सोला, cesn, 
   {{0x6023058e,0x2d9653d9,0xa3bf009a,0x629d2ac3}},	// [45a0] удта, ерес, ीयर_, cuso, 
   {{0xee3753da,0x79810102,0x7bdb0175,0xab5d0083}},	//   ену_, _nelw, _anuu, _inży, 
   {{0x6d5c02ee,0x272100e7,0x7bc9002c,0xdc9a0f7d}},	//   _vgra, ỳnh_, _baeu, яташ_, 
   {{0x69c853db,0x7bcf02a0,0x2907045a,0x7981017c}},	//   _sade, _ócul, dzna_, _aelw, 
   {{0x69c853dc,0x7afd0241,0x7e6409c7,0x00000000}},	//   _pade, _üstl, qqip, --, 
   {{0x6d5c00f1,0x09e31094,0x63bd2c02,0x798100f3}},	//   _ugra, лочн, zesn, _celw, 
   {{0x9d431617,0x69c853dd,0x2907015e,0xf41f00c8}},	//   _берд, _vade, gzna_, ynä_, 
   {{0x69c82846,0x3f821993,0x76580548,0x7791010e}},	//   _wade, _jeku_, _sivy, لیما, 
   {{0x63bd53de,0x3a260fb6,0xdb0600c8,0xdcfc0613}},	//   vesn, _змаг, ämän, _merč, 
   {{0x69da02e7,0x48e61c45,0x3f8253df,0xb5a60508}},	//   _unte, _позв, _leku_, хрий, 
   {{0x29180077,0x2907006a,0x63bd53e0,0x69dd0662}},	//   _ära_, czna_, tesn, पारी, 
   {{0x3f8202f5,0x629d53e1,0x388c00bc,0x7a36020f}},	//   _neku_, tuso, měr_, râtu, 
   {{0x1dd10509,0x67fc0175,0xdb190218,0xfbd300d1}},	//   _सफलत, _héjo, hewî, אתר_, 
   {{0x63bd53e2,0x41e73197,0x00000000,0x00000000}},	//   sesn, хіма, --, --, 
   {{0x629d0096,0x63bd53e3,0xadc30023,0x1dce00b0}},	//   suso, pesn, _ngạc, _होइत, 
   {{0x653b00a7,0x629d53e4,0xb4be00ae,0x00000000}},	//   _מעוד, puso, ुटी_, --, 
   {{0x6e9400b3,0x75ff0216,0xf4580070,0x9f55149b}},	// [45b0] литу, _hêza, _איהר_, твач, 
   {{0x7bc9005f,0x4df4004f,0xbd680009,0x7c8700f0}},	//   _saeu, ляєт, ерце_, еуде, 
   {{0x41de059e,0x3f820082,0xe1ff0042,0x7bc90096}},	//   मारस, _feku_, spós_, _paeu, 
   {{0x2cb853e5,0xc61d2122,0xab5d008a,0x00000000}},	//   _dprd_, _पद्य_, _tażm, --, 
   {{0x16bc333a,0x69dd000d,0x7bcb0219,0xe29f003e}},	//   ्टोब, पाली, rdgu, nuð_, 
   {{0x3f820a1a,0xb7bd020f,0xdd9503dd,0xa3d3072e}},	//   _zeku_, inţe, _шагы, _होस_, 
   {{0x9f40003e,0x99830009,0x3f82011c,0x7bc9002c}},	//   lkið_, _ųjų_, _yeku_, _taeu, 
   {{0xe8c104d7,0x798153e6,0x628d0379,0x290753e7}},	//   _शनीच, _welw, _ovao, rzna_, 
   {{0x6d4800eb,0x2d830348,0x068200d3,0xa3e500c9}},	//   _údar, _keje_, агын, नान_, 
   {{0x2d8353e8,0x388c031e,0x5b14069b,0xc1cb00a2}},	//   _jeje_, běr_, _смут, ायोग, 
   {{0x2d8353e9,0x628d0379,0xa50921bd,0xb7bd020f}},	//   _meje_, _avao, фена_, enţe, 
   {{0x2d8353ea,0x9f40003e,0xe29f003e,0xff5f0216}},	//   _leje_, kkið_, fuð_, _qaîl_, 
   {{0x3f8241b3,0x72c300e4,0x65c553eb,0x7c3a0107}},	//   _reku_, абяз, _абла, _être, 
   {{0xb8230086,0x1a9a0070,0x7e600096,0x3f8253ec}},	//   _পঠিত_, וישע, _émpi, _seku_, 
   {{0x505a0235,0xdcfc53ed,0xb7bd00b3,0x3201020b}},	//   дшая_, _perč, anţe, _dlhy_, 
   {{0x601b00c8,0x2b5f0023,0x60231a57,0x00000000}},	//   vämä, _nguc_, адса, --, 
   {{0x2d8353ee,0x3f8253ef,0x64a31cc1,0x27ef0226}},	// [45c0] _beje_, _veku_, _рақа, _mogn_, 
   {{0x601b030f,0xf1d200d3,0x25f707d5,0xde2702f1}},	//   tämä, _төмө, एसटी_, вжуд_, 
   {{0x602600e4,0xd00a250f,0x3f820813,0x2d8353f0}},	//   _адна, _жене_, _teku_, _deje_, 
   {{0xa3e501a4,0x67fc0107,0x645e0036,0x388c02d9}},	//   नाय_, _réjo, _èpie, věr_, 
   {{0xe7e50ede,0x67fc026d,0x44220019,0x09e60451}},	//   काना_, _séjo, ink_, кодн, 
   {{0xc33302a1,0x67f50019,0x321800a9,0x5a33004f}},	//   בוד_, _máju, niry_, аніт, 
   {{0xfce353f1,0x3ea053f2,0xa3e5130c,0x6b6653f3}},	//   _коро, luit_, नाम_, _акба, 
   {{0x8c460088,0x321800a9,0x1de005e5,0x75ff010c}},	//   _ребе, hiry_, नावत, _rêza, 
   {{0x96341a9e,0x3ea053f4,0xa3dc00aa,0x28c2017d}},	//   лниц, nuit_, ठाई_, _वैरि, 
   {{0x25a753f5,0x7c2253f6,0x32180054,0x4422040b}},	//   _ccnl_, lnor, jiry_, enk_, 
   {{0xc7c60013,0x2a64024a,0x3218023a,0xddcd020f}},	//   _асли, _humb_, diry_, lpaţ, 
   {{0x7c2253f7,0xd7ef00eb,0x26c6006f,0xe29f003e}},	//   nnor, _وكل_, _tsoo_, tuð_, 
   {{0x518753f8,0x56942ffc,0xa2d01126,0x25be53f9}},	//   кува, _салт, दिष्, petl_, 
   {{0x3ea00518,0x7c2202f2,0xe4d408cb,0x569300d3}},	//   duit_, hnor, _مقتد, _ташт, 
   {{0x9258011f,0x225800c8,0xc05b004f,0x7c22076b}},	//   тарт_, тиры_, діа_, knor, 
   {{0xdefb032e,0x23aa00a2,0x28d30484,0x2d8353fa}},	//   мыз_, _कायद, थिति, _seje_, 
   {{0x3ea053fb,0x7c22072b,0xc0581fab,0x74d00299}},	// [45d0] guit_, dnor, тір_, धिवृ, 
   {{0x9f40003e,0x7c220156,0x63b600d8,0x00000000}},	//   rkið_, enor, _zbyn, --, 
   {{0x23aa000d,0x2d8353fc,0xe7e509d8,0x8334347e}},	//   _कामद, _veje_, कामा_, _مریض, 
   {{0x7c2253fd,0x3ea053fe,0x200c03a1,0xab5d003d}},	//   gnor, buit_, èdit_, _każi, 
   {{0xee8427a6,0x3ea000b3,0x2d83024a,0x600300b0}},	//   _высо, cuit_, _teje_, _tõmb, 
   {{0x27ef00dd,0x752a0210,0x2a6453ff,0x00000000}},	//   _sogn_, _oxfz, _dumb_, --, 
   {{0x89d60038,0x200214e2,0x6280039f,0x7c225400}},	//   طوير_, _ylki_, ámoz, bnor, 
   {{0x06c900b3,0x44220126,0xc30a0033,0x47c55401}},	//   егий_, xnk_, রপতি_, убив, 
   {{0x2a645402,0x27ef01e8,0x48df00bc,0x00000000}},	//   _gumb_, _vogn_, _कपको_, --, 
   {{0xab5d00c3,0x574614c1,0x67f5039f,0x00000000}},	//   _nażi, ызым_, _ráju, --, 
   {{0x3ea05403,0x44220054,0xe61600d9,0x00000000}},	//   zuit_, tnk_, удэ_, --, 
   {{0xe29a5404,0x4c9a035c,0x657a5405,0x6724014b}},	//   нам_, עברו, abth, _žije, 
   {{0x412703dc,0xab5d003d,0x32180054,0x00000000}},	//   ҳоро_, _bażi, tiry_, --, 
   {{0xfb160137,0x05295406,0x471a00c7,0xe1f801a2}},	//   אַלט_, _полк_, _אונג, тҳо_, 
   {{0x2fc05407,0x44220065,0x7c225408,0x1fb65409}},	//   teig_, pnk_, ynor, лсар, 
   {{0x3ea0540a,0xe3b20038,0xd9c03b70,0x32180054}},	//   tuit_, _طرب_, _एस्ट, siry_, 
   {{0xdee31fde,0x3218540b,0xab5d00c3,0x5faa02d9}},	// [45e0] боти, piry_, _fażi, ङ्गल, 
   {{0x3ea0540c,0xfce6540d,0x2a6403dd,0x1168347e}},	//   ruit_, лозо, _rumb_, _جلدی_, 
   {{0x3ea0540e,0x2a640640,0x7c22540f,0xab5d00a4}},	//   suit_, _sumb_, tnor, _każw, 
   {{0x9e6600eb,0xa3da00e6,0xab835410,0xdde30243}},	//   _ماسن, _डोम_, бушк, āršo, 
   {{0xa3e55411,0x7c225412,0x3ea040cb,0x6d4701cf}},	//   नात_, rnor, quit_, _ezja, 
   {{0xe9180009,0xddcd0474,0x656d0c45,0xdd9201c9}},	//   колі_, rpaţ, _şahn, _دوس_, 
   {{0x67f50228,0xb21b5413,0x6e2b010e,0x00000000}},	//   _nájs, msæt, égbe, --, 
   {{0xa3d3000f,0x8a064bb3,0xb21b055f,0x57a65414}},	//   _हों_, _өзбе, lsæt, ушка, 
   {{0xeb971d52,0x69965415,0x7bc237ba,0x00000000}},	//   _щит_, _брех, meou, --, 
   {{0xa6145416,0xb21b02c9,0x00000000,0x00000000}},	//   рмоч, nsæt, --, --, 
   {{0x75c9004e,0xddcd00ef,0xd5b70b5f,0xce3700d1}},	//   ттың_, npaš, усы_, ראית_, 
   {{0x7bc200d1,0x24192d1b,0x6355420e,0x00000000}},	//   neou, томы_, ивну, --, 
   {{0xa3d6143e,0xb21b055f,0xa837027a,0x6fa300c9}},	//   _सफर_, ksæt, _גראד_, गलसू, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xb21b055f,0xe4500444,0x661a5417,0x683e021e}},	//   dsæt, تضی_, mitk, tëdh, 
   {{0xd9040105,0xa2c50484,0x12e7017b,0xddcf107c}},	//   _ہی_, िबद्, _біог, _bucş, 
   {{0xdd9b5418,0x8e154100,0x44290204,0x7bc25419}},	// [45f0] еше_, адац, _ija_, deou, 
   {{0x273300f7,0x27210029,0xd9040a5a,0x4429541a}},	//   ợng_, ẳng_, _فی_, _hja_, 
   {{0x644d541b,0x2720456f,0x628f00eb,0x645f026a}},	//   _khai, मपुर_, lsco, _épis, 
   {{0x907a035c,0x442901b8,0x3d19009a,0x7a3f0216}},	//   _שטרי, _jja_, _येणे_, mêti, 
   {{0x644d006e,0x661a541c,0x628f541d,0x44292871}},	//   _mhai, kitk, nsco, _mja_, 
   {{0x3d1902f8,0xe9d8541e,0x661a016a,0x628f541f}},	//   _येथे_, лкі_, jitk, isco, 
   {{0xa3d6141c,0x661a5420,0x44295421,0x628f0534}},	//   _सफल_, ditk, _oja_, hsco, 
   {{0x44295422,0x7bc224bc,0xe7395423,0x66030228}},	//   _nja_, ceou, кей_, _slnk, 
   {{0x0ab80399,0x3d1900a2,0x628f00ab,0x6b8b5424}},	//   _مطلب_, _येते_, jsco, magg, 
   {{0x44295425,0x7c29155b,0x0f58035c,0x9f4b0098}},	//   _aja_, _hjer, ניזם_, _nocí_, 
   {{0x69c35426,0x644d1049,0xe00506ea,0x14260c0f}},	//   mene, _bhai, रसाद_, идом, 
   {{0x69c35427,0x6b8b5428,0x644d5429,0x7c29052b}},	//   lene, nagg, _chai, _jjer, 
   {{0x7c29542a,0x644d542b,0x7c3b0010,0x20094ff3}},	//   _mjer, _dhai, _mkur, dhai_, 
   {{0x412a418c,0x69c3542c,0x6f0d542d,0x27ff542e}},	//   вого_, nene, dzac, lkun_, 
   {{0x644d0a9a,0x7c290369,0x628f542f,0x78a300ad}},	//   _fhai, _ojer, asco, nunv, 
   {{0x7c295430,0x69c35431,0x644d5432,0x27ed5433}},	//   _njer, hene, _ghai, njen_, 
   {{0x69c35434,0x0d86114c,0x2bbb0484,0xfbbb058c}},	// [4600] kene, илан, ोजना, ोजनम, 
   {{0x7c3b5435,0xdbdf04f4,0x27ed024a,0x7c295436}},	//   _akur, _síðs, hjen_, _ajer, 
   {{0xb21b5437,0x7c295438,0x27ed00e5,0xc0e608de}},	//   rsæt, _bjer, kjen_, _тонк, 
   {{0x6b8b0547,0x27ff0bad,0x661a0af0,0xddcd02fe}},	//   gagg, jkun_, zitk, rpaš, 
   {{0x69c35439,0x27ed543a,0x661a016a,0xdb0b1cf0}},	//   fene, djen_, yitk, degó, 
   {{0x69c3543b,0x7c29543c,0xa3d305d2,0x2000543d}},	//   gene, _ejer, _होई_, lkii_, 
   {{0xf80623de,0x7c2909a8,0x661a543e,0x082a1faa}},	//   ичин, _fjer, vitk, кции_, 
   {{0x7c29543f,0x200026ad,0x27ed024a,0xd6da046c}},	//   _gjer, nkii_, gjen_, вто_, 
   {{0x69c35440,0x644d02f0,0x44290144,0x66d20241}},	//   bene, _rhai, _rja_, dıkç, 
   {{0x644d5441,0xe839031e,0xceb300a7,0x67fc0126}},	//   _shai, ější, קית_, _méji, 
   {{0x2dd907f5,0x644d5442,0x661a5443,0x442900ef}},	//   אַרב, _phai, ritk, _pja_, 
   {{0x20095444,0xb4c6000d,0x661a5445,0x79885446}},	//   xhai_, _उनी_, sitk, _hedw, 
   {{0x661a5447,0x628f01d8,0x629d5448,0x2fd200f8}},	//   pitk, usco, urso, ddyg_, 
   {{0xa3e50262,0x628f5449,0x3633544a,0x54660267}},	//   नाह_, rsco, _وروس, _књиз, 
   {{0x644d544b,0x0494057f,0x463900c7,0x6b8b544c}},	//   _thai, _البح, _געװע, yagg, 
   {{0x6f0d0161,0x69c3544d,0xa3bb03b1,0x14730019}},	//   tzac, zene, _شاعر_, _باوج, 
   {{0x69c3030b,0x60d300e4,0x63ad544e,0x9ed90161}},	// [4610] yene, _žemė, _ican, ымат_, 
   {{0xa3e50b3e,0x200901a0,0x69c3544f,0x2d873c3d}},	//   नाव_, shai_, xene, úne_, 
   {{0x6b8b5450,0x201e022c,0xd0100019,0x27ed00c8}},	//   tagg, ètic_, سلے_, yjen_, 
   {{0x44395451,0x69c35452,0xe29f0a6d,0x201b00ad}},	//   nos_, wene, orð_, qiqi_, 
   {{0x7c2902b1,0x44394d4b,0x6b8b5453,0x63ad0369}},	//   _vjer, ios_, ragg, _mcan, 
   {{0x44395454,0x89a802fb,0x6b8b5455,0xf99100eb}},	//   hos_, иків_, sagg, سبت_, 
   {{0x44395456,0x7c29078e,0x69c35457,0xdb0b5458}},	//   kos_, _tjer, rene, tegó, 
   {{0x44395459,0x7c3b545a,0x7c290010,0x6ebb000d}},	//   jos_, _ukur, _ujer, _उहाँ, 
   {{0x27ed3236,0xa9c7048a,0x69c3545b,0x26d924a9}},	//   rjen_, _всек, pene, íso_, 
   {{0x27ed1166,0x79881d37,0x44392033,0x85e9545c}},	//   sjen_, _gedw, eos_, удов_, 
   {{0x4439545d,0x6b89007e,0x27ed545e,0x63ad016a}},	//   fos_, _keeg, pjen_, _bcan, 
   {{0x27ed024a,0x63ad00e1,0xa6c9149e,0x00000000}},	//   qjen_, _ccan, _موصل_, --, 
   {{0x6b890af8,0x1dc71f02,0x63ad00a1,0x853c0028}},	//   _meeg, रजात, _dcan, ngėj, 
   {{0x6b89545f,0x63ad011c,0x3dd10083,0xf6760147}},	//   _leeg, _ecan, _nazw_, _הײסט_, 
   {{0x44395460,0x63ad5461,0x20000080,0x61463c40}},	//   bos_, _fcan, tkii_, сева, 
   {{0x44391408,0x6b895462,0x1f662f1c,0x6e3c5463}},	//   cos_, _neeg, скам, _skrb, 
   {{0x20000080,0xdee31918,0x62920032,0x7c390090}},	// [4620] rkii_, поти, ýkoľ, dowr, 
   {{0xbd8a00d4,0xe05800d4,0x200026ad,0x3eb21f57}},	//   انان_, _چیست_, skii_, rtyt_, 
   {{0xf8a55464,0xe05800c5,0x6b8901a3,0x59ae009a}},	//   _تک_, _نیست_, _beeg, _घाबर, 
   {{0x44d7002e,0xab830a10,0x798805d5,0x00000000}},	//   _mă_, пушк, _sedw, --, 
   {{0xa91c0039,0x6b895465,0xa4c20237,0x798800f8}},	//   _veľm, _deeg, _jãƒâ_, _pedw, 
   {{0x44395466,0xa2d91556,0x3ea0024a,0xdca400f0}},	//   zos_, मित्, mrit_, _қағи, 
   {{0x44395467,0xdca35468,0x6b89012b,0x6d580032}},	//   yos_, _нари, _feeg, ývad, 
   {{0x44392d9c,0x2d8a078a,0xc7c65469,0xe698149b}},	//   xos_, _hebe_, сски, авиш_, 
   {{0x2d8a0026,0xf76f0629,0xa3d30790,0xceb400ad}},	//   _kebe_, راي_, _होग_, ntə_, 
   {{0x2d8a0588,0x4439033e,0x63ad546a,0x44d70474}},	//   _jebe_, wos_, _scan, _bă_, 
   {{0x443924bb,0x44d70aa4,0xd7ef1a84,0x89db00a7}},	//   tos_, _că_, _еу_, _תחבי, 
   {{0x321a00a9,0xceb40095,0x44d700d9,0x2d8a546b}},	//   _ampy_, ktə_, _dă_, _lebe_, 
   {{0x41e702c8,0xe7e50ca0,0x25e80790,0xb3aa10b0}},	//   біва, कारा_, जादी_, _कारख, 
   {{0x2d8a546c,0x2d9c02a0,0xdb0f0107,0x3ea0546d}},	//   _nebe_, óvel_, édér, drit_, 
   {{0xa159546e,0x61fa0219,0x60250009,0x3ea0530c}},	//   раву_, ötla, lėmi, erit_, 
   {{0xceb40095,0x3ea0546f,0x4035012d,0xf1ad02d9}},	//   ftə_, frit_, цебс, ञ्जन, 
   {{0x6025012d,0x6b89007e,0xf41f00c8,0xbe19004f}},	// [4630] nėmi, _reeg, miä_, ажає_, 
   {{0x6b891e68,0xf41f0088,0xafdb5470,0x5d670acd}},	//   _seeg, liä_, _skød, стаз, 
   {{0x2d8a128a,0x3ea0024a,0x6b8900b0,0x8d74029a}},	//   _debe_, arit_, _peeg, سالا, 
   {{0x3ea05471,0xf41f0088,0xab94004f,0x9f4b00b9}},	//   brit_, niä_, зиці, _tocà_, 
   {{0x3ea036c0,0x7867010e,0x6b895472,0x2d8a0354}},	//   crit_, _műve, _veeg, _febe_, 
   {{0x6b895473,0x600a0187,0x2d8a06b8,0xf41f00c8}},	//   _weeg, _výme, _gebe_, hiä_, 
   {{0x2bd40081,0xe7e511bd,0xf41f0088,0x9f420118}},	//   _ठोका, काला_, kiä_, _ankè_, 
   {{0xdd0e03c0,0x2d810014,0xf41f00c8,0x969520e8}},	//   lışa, lbhe_, jiä_, орош, 
   {{0x44d70aa4,0x3f8b0f23,0x600300b0,0x060921f9}},	//   _să_, _mecu_, _nõmm, иник_, 
   {{0xe6195474,0xdd0e04be,0x06930019,0x5bc9031e}},	//   рдо_, nışa, _ہاتھ, _रसुव, 
   {{0xa3ea2f2f,0x25dd00a2,0xa3e55475,0xb4e300b0}},	//   адна_, _कोणी_, नां_, नमे_, 
   {{0x3f8b04d1,0x44d7002e,0x60250028,0x61e50108}},	//   _necu_, _vă_, bėmi, _anhl, 
   {{0x61f70180,0x26c900d7,0x672d0604,0x00000000}},	//   _boxl, _خطای_, _žajf, --, 
   {{0xc8ad0f6f,0xa3da0262,0x3ea05476,0x7af600fc}},	//   _टमाट, _डोर_, vrit_, øyti, 
   {{0x3f8b0f23,0x2d8a0026,0x75ff009e,0xdb20039f}},	//   _becu_, _rebe_, _nêzi, _ötöd, 
   {{0x1dac006a,0x3ea05477,0xa3e517dc,0x3f8b04cb}},	//   _चाहत, trit_, नाः_, _cecu_, 
   {{0x3f8b5478,0x3ea00876,0xd00702c4,0xda09009a}},	// [4640] _decu_, urit_, цете_, वसात_, 
   {{0x3ea05479,0x6296016c,0x61460176,0xfde700f6}},	//   rrit_, _ivyo, _мепа, одук_, 
   {{0xa91c0039,0x246501dd,0x7413009c,0xceb400ad}},	//   _veľk, _tēmu_, _رویا, stə_, 
   {{0x3ea0547a,0x2d8a0228,0x2ab20054,0x26dd052b}},	//   prit_, _webe_, tâb_, _orwo_, 
   {{0x2d8a090b,0x61f700ad,0xb4c60083,0xf41300d1}},	//   _tebe_, _yoxl, _उन्_, ופא_, 
   {{0xdd920a5a,0xddd501dd,0x60250028,0x20230083}},	//   _زور_, _aizņ, vėmi, ąpił_, 
   {{0x9d431472,0x23aa00a2,0xf1b200ab,0x8b960e8f}},	//   _жерд, _कांद, _जानन, _мрач, 
   {{0x3b860648,0x60250028,0xfaa608ba,0x6296018e}},	//   _флаг, tėmi, _мабо, _ovyo, 
   {{0xc6f71838,0xf41f0088,0x6b821fee,0x3b070093}},	//   жных_, viä_, mbog, _дето_, 
   {{0xa2d907d5,0x60250028,0xc5fa0165,0x00000000}},	//   मिस्, rėmi, рѓи_, --, 
   {{0x64740769,0xf41f0088,0x387202f1,0x62960300}},	//   ягну, tiä_, _ўқит, _avyo, 
   {{0x9f49003e,0xa3e5252e,0x6b82547b,0x387101e5}},	//   kkað_, नाइ_, nbog, _ézra_, 
   {{0x934700eb,0xf41f00c8,0xe51a031e,0xc34b0093}},	//   تخدم, riä_, _फेरि_, ряне_, 
   {{0xf41f030f,0x720500eb,0x41e401fc,0x644600bd}},	//   siä_, أوسم, міса, alki, 
   {{0xf41f00c8,0x386c0098,0x6aa2547c,0x00000000}},	//   piä_, _judr_, hrof, --, 
   {{0x53350278,0x7a3f026a,0x386c014b,0x75ff0218}},	//   _нейт, nêtr, _mudr_, _rêzi, 
   {{0x85560e70,0x656d2037,0x799a0035,0xfe703629}},	// [4650] _دیگر_, _şahi, _odtw, ندل_, 
   {{0x41b200a5,0x00000000,0x00000000,0x00000000}},	//   _जायस, --, --, --, 
   {{0x2d812619,0x27e6547d,0xdd0e0213,0xd7bc0110}},	//   rbhe_, _onon_, rışa, ्जाच, 
   {{0x3b550d18,0x6458022c,0xf8e400c9,0xa92302d9}},	//   пкер, _èxit, _कपड़ा_, ůžko, 
   {{0x7f760111,0x442b547e,0xde46009c,0x6d4e547f}},	//   _מערב_, inc_, _کیلو_, _ezba, 
   {{0x3ea95480,0x6d58014b,0x2452014b,0x28b900eb}},	//   muat_, ývac, máme_, مطبخ_, 
   {{0x3ea95481,0x47d40086,0x200b0065,0xc7b90019}},	//   luat_, থানী, _klci_, tfő_, 
   {{0x95f52414,0x6aa2017c,0xdb0b02ae,0xbcb400da}},	//   ेस्ट_, brof, degö, žším, 
   {{0xb4e30299,0xe6190c67,0x6b9b0495,0x3ea9477c}},	//   नम्_, йди_, _idug, nuat_, 
   {{0x442b00f6,0x97320eb7,0x386c0090,0x00000000}},	//   enc_, رکنا, _fudr_, --, 
   {{0x04460fb6,0x2452014b,0x0ee80035,0xe5763ffa}},	//   зенн, háme_, _ऐप्स_, язэ_, 
   {{0x3ea90e32,0x389700d9,0x24520098,0x7a3f0212}},	//   kuat_, măr_, káme_, cêtr, 
   {{0xe72e5482,0x66e51712,0x26dd0199,0x1dac00a2}},	//   _че_, _хола, _urwo_, _चालत, 
   {{0x2452026e,0xbb3a00c7,0x3ea95483,0xdcee0009}},	//   dáme_, מערי, duat_, _gebė, 
   {{0x389700b3,0x25e80bed,0xa7fc0241,0xaf9a5484}},	//   năr_, जारी_, _atıy, йтах_, 
   {{0x6b9b5485,0x2fc90326,0x3ea9095a,0x7c2b039b}},	//   _ndug, geag_, fuat_, jngr, 
   {{0xe7ec00b0,0xdfcf0038,0x3897020f,0x00000000}},	// [4660] झाता_, ديق_, hăr_, --, 
   {{0x273a001b,0x6b9b5486,0x9f49003e,0x7bde01dd}},	//   ừng_, _adug, rkað_, ēpum, 
   {{0x50465487,0x614602be,0x2fc901f5,0x00000000}},	//   _необ, _хена, beag_, --, 
   {{0x3ea90730,0x6aa25488,0x5bb8004f,0xa3e503be}},	//   buat_, trof, ілля_, नाए_, 
   {{0x6b825489,0x3f92548a,0x3ea9548b,0x6b9b03c6}},	//   rbog, mayu_, cuat_, _ddug, 
   {{0x3f922d95,0x4422548c,0xceb302a1,0xec16023e}},	//   layu_, hik_, _איש_, _کورد, 
   {{0xa3ac3295,0xa3cc00aa,0xa3be0a44,0x4422548d}},	//   खला_, रजा_, ीजा_, kik_, 
   {{0x4422548e,0xe7df00aa,0x3f92044d,0xc6a63097}},	//   jik_, _खोदा_, nayu_, прои, 
   {{0xfaa3548f,0xfaa60258,0x442b012b,0x2cbf0613}},	//   _пато, _хазо, vnc_, _ćudi_, 
   {{0x3f9241ee,0x4498004f,0x2a6501be,0x6e3e5490}},	//   hayu_, овою_, _gilb_, nopb, 
   {{0x44225491,0x26d902ae,0x3f920daf,0x69ca5492}},	//   fik_, åsor_, kayu_, mefe, 
   {{0x44225493,0x27e6012b,0xb7bd020f,0xe3bf00b4}},	//   gik_, _unon_, tiţe, kiñe_, 
   {{0x3f92105b,0xf8b700f6,0x69ca000b,0x442b00de}},	//   dayu_, _дөө_, oefe, rnc_, 
   {{0x69d85494,0x2452031e,0x69ca5495,0x442b0036}},	//   ndve, váme_, nefe, snc_, 
   {{0x7c2b0156,0x7c223071,0x00000000,0x00000000}},	//   yngr, kior, --, --, 
   {{0x44225496,0x3ea90fb4,0x69ca5497,0x3f92019b}},	//   cik_, tuat_, hefe, gayu_, 
   {{0x69ca0149,0x9df933d4,0xdb1b008c,0x386600e2}},	// [4670] kefe, онат_, _nauð, _mior_, 
   {{0xa3e50dc4,0x2452014b,0x3ea932df,0xdb070107}},	//   नाक_, ráme_, ruat_, _élég, 
   {{0x69ca5498,0x7c225499,0x7ae0549a,0x624006ce}},	//   defe, fior, _armt, möop, 
   {{0x7c22048a,0x389700b3,0x69d810de,0x00000000}},	//   gior, văr_, edve, --, 
   {{0x3ea903a1,0xa3d50fec,0xf42a0088,0x69ca549b}},	//   quat_, _सघन_, ltää_, fefe, 
   {{0x4422549c,0x69ca549d,0xdb1b003e,0xd9454792}},	//   zik_, gefe, _dauð, мели, 
   {{0x4422549e,0xf9901966,0xf42a0088,0x7c2200ab}},	//   yik_, ابه_, ntää_, bior, 
   {{0x7c22549f,0x2d9354a0,0x656a0175,0x63bd01c8}},	//   cior, laxe_, _agfh, jfsn, 
   {{0x442254a1,0x7bcb54a2,0x69ca54a3,0xf42a0080}},	//   vik_, megu, befe, htää_, 
   {{0x2d9354a4,0x49bb00c5,0x7bcb54a5,0x356901bb}},	//   naxe_, _دارد_, legu, өрүн_, 
   {{0x69c154a6,0x38660465,0x53a6191f,0xd5b801dd}},	//   _ible, _fior_, манб, enās_, 
   {{0x7bcb54a7,0xe82500d4,0x25dd02e6,0xc20900d1}},	//   negu, _غذای, _कोरी_, _דה_, 
   {{0x248002f5,0x15f50038,0xd17603ab,0x00000000}},	//   _čime_, _يستح, дыбы, --, 
   {{0x4422067c,0x7c2254a8,0xa06a252a,0x7bcb54a9}},	//   sik_, zior, жава_, hegu, 
   {{0x442254aa,0x614354ab,0x69c154ac,0x7e7d24a5}},	//   pik_, вера, _mble, _atsp, 
   {{0xdee654ad,0x7bcb54ae,0xdb0900f6,0x7c2254af}},	//   моби, jegu, _oceà, xior, 
   {{0x442054b0,0x69c154b1,0x4432045a,0x7e6702b0}},	// [4680] _imi_, _oble, _ijy_, _bijp, 
   {{0x442054b2,0x69bf1d11,0x2d930068,0xdb1b008c}},	//   _hmi_, ल्मी, gaxe_, _rauð, 
   {{0x7c220180,0x4420011d,0x7643016a,0xdd8f20b4}},	//   tior, _kmi_, _mkny, شون_, 
   {{0xf76717c1,0x7bcb54b3,0x69c154b4,0xfaa654b5}},	//   _لا_, gegu, _able, дадо, 
   {{0x7c2254b6,0x69ca54b7,0x44200f8e,0x2d930183}},	//   rior, tefe, _mmi_, baxe_, 
   {{0x7c2254b8,0xe6070444,0x38660d44,0x00000000}},	//   sior, _شش_, _sior_, --, 
   {{0x69ca54b9,0x386602a0,0x69d854ba,0x7c2254bb}},	//   refe, _pior_, rdve, pior, 
   {{0x69c1011c,0x443201a7,0xc6f8442e,0x23aa009a}},	//   _eble, _njy_, зних_, _कागद, 
   {{0x8b26012d,0x7c2001be,0x6f0454bc,0x00000000}},	//   _ўдзе, _immr, nyic, --, 
   {{0x442054bd,0xf42a00c8,0x44f4270e,0x644454be}},	//   _ami_, ytää_, епос, _akii, 
   {{0xf4be00cc,0x3dd800f8,0x49060038,0x00000000}},	//   েম্ব, _marw_, _تواق, --, 
   {{0x2d930496,0x69c10604,0x3e89009e,0x00000000}},	//   zaxe_, _zble, nîtî_, --, 
   {{0x27f7026e,0x236d008b,0x442054bf,0x63b40098}},	//   žená_, žejo_, _dmi_, _žená, 
   {{0xf42a030f,0x34942caa,0x69c10065,0x644401b8}},	//   ttää_, _закр, _xble, _ekii, 
   {{0x7e6701c8,0x7a490216,0x7bcb11b2,0x00000000}},	//   _rijp, lêtê, yegu, --, 
   {{0xf42a00c8,0x44de003d,0x442054c0,0x1fa40229}},	//   rtää_, _iċ_, _gmi_, круг, 
   {{0x2d9354c1,0x7bcb54c2,0xf42a0088,0x7e67012e}},	// [4690] taxe_, vegu, stää_, _pijp, 
   {{0x7bcb54c3,0x6d4754c4,0xdd9125ad,0x628d018e}},	//   wegu, _pyja, اوا_, _iwao, 
   {{0x7bcb54c5,0x2d9309d1,0x997302d9,0x5f954e7d}},	//   tegu, raxe_, těži_, _пинт, 
   {{0x2d930496,0x6d470377,0x628d29a0,0x7e7d02ae}},	//   saxe_, _vyja, _kwao, _ttsp, 
   {{0x823409e8,0x6f1600ab,0x26c6023b,0x6d4700ab}},	//   _سریا, czyc, _npoo_, _wyja, 
   {{0x7bcb54c6,0x08d554c7,0x628d2b03,0x9f5900b9}},	//   segu, еция, _mwao, _nosé_, 
   {{0x7bcb0096,0xa9660df4,0x00000000,0x00000000}},	//   pegu, ниша_, --, --, 
   {{0x200900e4,0x7643011d,0x2d9101d6,0x23c11281}},	//   nkai_, _skny, _heze_, ष्मद, 
   {{0x5a35268e,0x9f590126,0x20090028,0x2fd903c6}},	//   _знат, _bosé_, ikai_, _masg_, 
   {{0x69c10bfc,0x2009016a,0xe61600c8,0x645602b8}},	//   _uble, hkai_, едь_, _shyi, 
   {{0x2d9154c8,0x656d0ef3,0x387e54c9,0x628d095a}},	//   _meze_, _şahs, _gttr_, _awao, 
   {{0xafdb01cc,0x99870009,0x44201d97,0x246c02d9}},	//   _skøn, ponų_, _qmi_, _němu_, 
   {{0xe29754ca,0xb3b13e22,0x35a5322a,0xd61300d3}},	//   ная_, _झारख, _залг, _издө, 
   {{0x645d3362,0xd2520e61,0x20cb54cb,0x2fd903c6}},	//   amsi, انس_, ाबंध, _aasg_, 
   {{0x764154cc,0x7e60023e,0x2fd900f3,0x6ac80033}},	//   moly, _èmpi, _basg_, লিযো, 
   {{0xdb1b0068,0x76410219,0x2fd901fd,0x6444095a}},	//   _abuí, loly, _casg_, _ukii, 
   {{0xddc600e4,0xbea354cd,0x2a7f023b,0xdcf4090e}},	// [46a0] _aukš, латк, _ntub_, đačk, 
   {{0x8c96005e,0x9f590496,0x6e460e61,0xe3bf2313}},	//   ерді, _xosé_, رنام, miña_, 
   {{0x2d9154ce,0x6f16006a,0xe3bf03da,0xb0af0f63}},	//   _deze_, szyc, liña_, जूदग, 
   {{0xe7df0838,0x6011004f,0xe7ae15c8,0x2d91040b}},	//   _खोला_, _påme, _टाइप, _eeze_, 
   {{0xd12f00c5,0x764154cf,0xe3bf0042,0xdb8302be}},	//   _نمی_, koly, niña_, угчи, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x7641017c,0xe7ec00c2,0xed5a479e,0x2452039f}},	//   doly, झाला_, _хов_, záma_, 
   {{0xd6d000eb,0x2d9154d0,0x7d120241,0xe3bf01d6}},	//   لقب_, _zeze_, ıksı, kiña_, 
   {{0x27fd54d1,0x76410019,0x87e30088,0xaad400bd}},	//   _down_, foly, ующе, _धनिक, 
   {{0x764154d2,0xb9060086,0xe3bf0042,0x61fe0243}},	//   goly, _পথ_, diña_, _nopl, 
   {{0xd82f1628,0x54551d65,0xab5d008a,0x3e7601d5}},	//   _бэ_, квот, _ibża, _læt_, 
   {{0x38ba00e5,0x69da54d3,0x89370486,0x00000000}},	//   mër_, _hate, _ארבע_, --, 
   {{0x8c1b0486,0x61fe54d4,0xe3bf01d6,0x25ab00d8}},	//   לוטי, _bopl, giña_, áhlé_, 
   {{0x69da54d5,0x245254d6,0x61fe2704,0xd49a54d7}},	//   _jate, ráma_, _copl, _ери_, 
   {{0x61fe08fc,0xc0c818ac,0x2fc054d8,0x27fd0102}},	//   _dopl, нуте_, ffig_, _yown_, 
   {{0x50f401bb,0x69da54d9,0x20090009,0xe3bf0068}},	//   ызст, _late, ukai_, biña_, 
   {{0xe3bf0496,0x23c10790,0x40340088,0xfe731ea7}},	// [46b0] ciña_, ष्णद, уетс, ادر_, 
   {{0xe45f022b,0x20092409,0x2fd90156,0x38ba0034}},	//   lmö_, skai_, _wasg_, kër_, 
   {{0x2d9102f5,0x2a7f54da,0x02b112e3,0x463b00c7}},	//   _veze_, _stub_, _जमुन, לעמע, 
   {{0x38ba024a,0x2d2100a2,0xddc60242,0x76410508}},	//   dër_, _मधील_, _vukš, zoly, 
   {{0x69da54db,0x3f890fba,0xa3b937e7,0x38ba0876}},	//   _bate, mbau_, _चान_, eër_, 
   {{0x69da173f,0x3ea954dc,0x38ba0034,0xddc601dd}},	//   _cate, mrat_, fër_, _tukš, 
   {{0x6b7514ec,0x69da54dd,0x27fd00e2,0x7641504b}},	//   _албу, _date, _pown_, voly, 
   {{0x46e90f5a,0xf094008d,0x3f8901c4,0x3ea9022c}},	//   ддин_, אנק_, nbau_, orat_, 
   {{0x69da54de,0xe3bf0042,0x3ea954df,0x00000000}},	//   _fate, xiña_, nrat_, --, 
   {{0xe3bf03da,0x38ba024a,0xfbd00019,0x69da54e0}},	//   viña_, bër_, _پتہ_, _gate, 
   {{0x764154e1,0x3ea954e2,0x7bdb0102,0x27fd2e43}},	//   roly, hrat_, _kauu, _town_, 
   {{0x3ea954e3,0xe29a54e4,0x61fe54e5,0xe3bf0042}},	//   krat_, мам_, _sopl, tiña_, 
   {{0x69da5349,0x7bdb0c36,0xe7844ef5,0x29070931}},	//   _yate, _mauu, _сухо, lyna_, 
   {{0xe3bf0496,0x69da54e6,0x46a21cc1,0x6d5554e7}},	//   riña_, _xate, _ташв, _ozza, 
   {{0x3e7637c2,0x29070175,0x3ea954e8,0x3f8901c4}},	//   _sæt_, nyna_, erat_, fbau_, 
   {{0xa3b9000f,0x7bdb0c3d,0x777b0183,0xe3bf1f6b}},	//   _चाय_, _nauu, ncux, piña_, 
   {{0x61fe54e9,0x1f661ff8,0x3ea954ea,0x6d5554eb}},	// [46c0] _topl, ткам, grat_, _azza, 
   {{0xee3754ec,0x9f59010e,0x628608b0,0x4106285b}},	//   вну_, _alsó_, mpko, _азов, 
   {{0x3ea954ed,0x69da54ee,0xa3b90466,0x628601a4}},	//   arat_, _rate, _चाम_, lpko, 
   {{0xdca354ef,0x3ea954f0,0x3e7601cc,0x69da54f1}},	//   раци, brat_, _tæt_, _sate, 
   {{0x69da54f2,0x3ea954f3,0xbea30161,0x6d5501a3}},	//   _pate, crat_, _каяк, _ezza, 
   {{0x38ba01ee,0x195854f4,0x1dac02e6,0x69da54f5}},	//   tër_, налы_, _चाटत, _qate, 
   {{0xc2130056,0x69da54f6,0xed3500b3,0x7bdb00a1}},	//   שהו_, _vate, _бэтэ, _fauu, 
   {{0xc7c60ba4,0x69da01a6,0xf09300a7,0x7d03014e}},	//   тски, _wate, בנה_, änse, 
   {{0x69da54f7,0x38ba024a,0x15aa0093,0xa37b019c}},	//   _tate, sër_, мъни_, ndõe, 
   {{0x38ba01ee,0x35f454f8,0x7bc254f9,0x7ae200b9}},	//   për_, упор, lfou, mvot, 
   {{0x2618000c,0xa8a51f7a,0x7ae254fa,0x3ea954fb}},	//   योगी_, _مصنو, lvot, zrat_, 
   {{0xd9f00081,0x3ea92d88,0x657a0038,0x3c3c0032}},	//   चावत_, yrat_, scth, tívy_, 
   {{0x9f59048a,0x6d58014b,0x25b500fc,0x00000000}},	//   _così_, ývaj, åblå_, --, 
   {{0x3ea954fc,0x659415e4,0x00000000,0x00000000}},	//   vrat_, _саку, --, --, 
   {{0x3ea954fd,0xa19454fe,0xdfdb0258,0x628608b0}},	//   wrat_, расч, мъа_, apko, 
   {{0xe3bf09a1,0x3ea93d53,0xdcfc0097,0x7ae2238e}},	//   miño_, trat_, _nerđ, kvot, 
   {{0x9f5554ff,0x3ea95500,0xe3bf03da,0x7ae2090e}},	// [46d0] увач, urat_, liño_, jvot, 
   {{0x3ea95501,0x644f0a08,0x3f895502,0x629d5503}},	//   rrat_, llci, sbau_, msso, 
   {{0x7609010c,0x629d5504,0x3ea95505,0x7bdb011d}},	//   _hêzê, lsso, srat_, _pauu, 
   {{0x3ea95506,0x2d9c0183,0xe7c209ef,0x00000000}},	//   prat_, óver_, _वॉलप, --, 
   {{0x629d5507,0xe3bf0183,0x2a6c00a1,0x41c00fc0}},	//   nsso, hiño_, _bidb_, श्वस, 
   {{0x2a6c00e2,0x201e01dd,0x629d5508,0xf2d40070}},	//   _cidb_, ītie_, isso, שעס_, 
   {{0x8c673616,0xac190bad,0x7609009e,0x9f4001d5}},	//   _атад, _зову_, _lêzê, ljið_, 
   {{0x290700a9,0x315800a7,0x629d5509,0xe3bf228a}},	//   ryna_, כיון_, ksso, diño_, 
   {{0x2907550a,0x98be0009,0xf993030e,0x00000000}},	//   syna_, _rytą_, _نبض_, --, 
   {{0x3201026e,0x629d550b,0x6b99011d,0x9f590098}},	//   _nohy_, dsso, lawg, _nosí_, 
   {{0x25e80b79,0xdb00550c,0x629d1074,0x00000000}},	//   जाजी_, _admè, esso, --, 
   {{0x629d1f7e,0x9f4b0175,0xdd410539,0xb21b02c5}},	//   fsso, _encé_, _aŋŋa, spæl, 
   {{0x2bc502f8,0xd90f006b,0x46a5142c,0x629d1cd2}},	//   ळ्या, _دیں_, _салв, gsso, 
   {{0x9f5900f6,0xe3bf550d,0x00000000,0x00000000}},	//   _cosí_, biño_, --, --, 
   {{0xf6520056,0x8fa63617,0xe3bf03da,0x629d0844}},	//   _הצג_, лаве, ciño_, asso, 
   {{0x27ef016a,0x629d5509,0x6286550e,0xdd4101a3}},	//   _jngn_, bsso, ppko, _eŋŋa, 
   {{0x823609e8,0x63a4550f,0x64465510,0x32010180}},	// [46e0] _مردا, _idin, moki, _fohy_, 
   {{0xdcfc0082,0x4d165511,0xa37b02aa,0xdb0e0175}},	//   _serđ, льет, rdõe, _édég, 
   {{0x7bc20d07,0x61fa309f,0xed5a1279,0x00000000}},	//   tfou, ötlu, хож_, --, 
   {{0x0ecf000f,0xdb1900ab,0x64465512,0x3201023a}},	//   _सैकड, jewó, noki, _zohy_, 
   {{0x7bc2414d,0x69c35513,0x5f0602f1,0x2002011c}},	//   rfou, ffne, _ёзга, _ioki_, 
   {{0x64465514,0x82d70070,0x69bf2923,0x7ae25515}},	//   hoki, טונג_, ल्ली, rvot, 
   {{0xa3e404d7,0xed5707f9,0x64465516,0x20025517}},	//   नया_, _бор_, koki, _koki_, 
   {{0x8c461472,0xb8cc0190,0x63a41c36,0xe3bf26ca}},	//   _себе, _कट_, _ndin, viño_, 
   {{0x64465518,0x27ef0870,0x6b800604,0xe666022c}},	//   doki, _dngn_, _ifmg, лтоо, 
   {{0x63a4482a,0x94861b17,0xe3bf240f,0xd5ba0283}},	//   _adin, лымд, tiño_, хси_, 
   {{0x320100a9,0x644652fb,0x1dc600ae,0x69c801f2}},	//   _rohy_, foki, र्यत, _ibde, 
   {{0xe3bf50b8,0x64460a9f,0x629d5519,0xe8d700a7}},	//   riño_, goki, tsso, _תואר_, 
   {{0xe60f00c5,0x2d9a551a,0x63a40156,0x69c8012b}},	//   زشی_, kape_, _ddin, _kbde, 
   {{0x629d5507,0xd5763573,0x62840038,0xe3bf0042}},	//   rsso, _судь, _dtio, piño_, 
   {{0x2002551b,0x25dd0425,0x6d4e2379,0x6ea70790}},	//   _boki_, _कोटी_, _nyba, _चिहु, 
   {{0xa2ad009a,0xb3440248,0x9f4001d5,0x00000000}},	//   _जिप्, zaçə, tjið_, --, 
   {{0x442b551c,0xc058004e,0xa3cb07d5,0x69c8008b}},	// [46f0] mic_, уір_, _रॉय_, _obde, 
   {{0x442b551d,0x63a400ca,0xdb190083,0x6d4e017b}},	//   lic_, _zdin, zewó, _byba, 
   {{0x5c070fb6,0xdcf500e0,0x200203c5,0x63a4551e}},	//   ляда, _iezī, _foki_, _ydin, 
   {{0xdea1009c,0xac1800a3,0x6d4e03c6,0x24b70147}},	//   _ویزی, лоху_, _dyba, רהאן_, 
   {{0xfaa735d6,0x68e80156,0x3ec400bc,0x00000000}},	//   ушен, _ardd, ěstí_, --, 
   {{0x442b551f,0x2002239a,0x7c970dec,0x64465520}},	//   hic_, _zoki_, _مشرا, zoki, 
   {{0x200200cf,0x6ce400dd,0x27ef016a,0x9f4200c8}},	//   _yoki_, _літе, _pngn_, _enkä_, 
   {{0x442b1a44,0x57e900a3,0x644600b4,0x00000000}},	//   jic_, тдим_, xoki, --, 
   {{0x442b5521,0x64465522,0x6d4e0626,0x7af600c8}},	//   dic_, voki, _zyba, äytt, 
   {{0x7c2b5523,0x7ae905f0,0x76255524,0xe9d8010e}},	//   ligr, _iret, рмоз, _مذمت_, 
   {{0x442b5525,0x62845526,0xa8a4081b,0x7d030566}},	//   fic_, _stio, _грчк, ønsh, 
   {{0x0446005b,0xe3665527,0x442b5528,0x600a0032}},	//   ремн, икни, gic_, _tými, 
   {{0x64465529,0x2002552a,0x321800de,0xe7081897}},	//   roki, _roki_, thry_, _متون_, 
   {{0x64462d47,0x7ae94f6e,0x5bd20249,0x00861b68}},	//   soki, _mret, _सस्व, илго, 
   {{0x2d9a02c7,0x91034867,0x7c2b012b,0x016608af}},	//   vape_, опре, kigr, ркво, 
   {{0x63a4552b,0x4f9500b9,0x6d4e1765,0x1306552c}},	//   _udin, йруу, _ryba, _взим, 
   {{0xa067552d,0x2d9a026a,0x20020082,0x5ea60038}},	// [4700] рата_, tape_, _voki_, شمال, 
   {{0x6603030f,0x7bc900b9,0x7c2b040b,0x6ea7288f}},	//   _jonk, _abeu, eigr, _चिरु, 
   {{0xeb9a187c,0x7ae9552e,0x5ec507f9,0x2d9a552f}},	//   вие_, _aret, _қирғ, rape_, 
   {{0xa2ad141c,0x6d4e063b,0x7ae95530,0x7d03014e}},	//   _जिम्, _vyba, _bret, änsa, 
   {{0x2459026d,0x60180019,0x5fdf02e6,0x2d9a5531}},	//   néma_, _címe, _पोटल, pape_, 
   {{0x7ae95532,0xa8a65533,0x442b5534,0x6018001d}},	//   _dret, арик, zic_, _díme, 
   {{0x8ccd37c0,0x24595535,0x1dc60fc0,0xada30258}},	//   _सहयो, héma_, र्णत, _фасл, 
   {{0x57f45536,0x2d985537,0x442b5538,0x7ae95539}},	//   спит, _here_, xic_, _fret, 
   {{0x66031db3,0x2d98553a,0xf1a7007e,0x442b553b}},	//   _bonk, _kere_, _कएलन, vic_, 
   {{0xa3b90f63,0x2d98553c,0x9a6a073c,0x2606553d}},	//   _चाह_, _jere_, _شمال_, рчиг, 
   {{0x2d98553e,0x442b5528,0x660301a9,0x397b035c}},	//   _mere_, tic_, _donk, _סטאנ, 
   {{0x3ea0553f,0x2d985540,0x1dc602ab,0x00000000}},	//   ksit_, _lere_, र्तत, --, 
   {{0x66035541,0x2d980026,0x60180183,0x00000000}},	//   _fonk, _oere_, _oímb, --, 
   {{0x442b5542,0x2d985543,0x9f590036,0xa3b900c9}},	//   sic_, _nere_, _rosà_, _चाव_, 
   {{0x442b5544,0x3ea000e5,0xa19502f1,0xe4531b44}},	//   pic_, esit_, _қанч, _وضع_, 
   {{0x34fb0a33,0x2d981540,0x9f5900f6,0x00000000}},	//   _יהוד, _aere_, _posà_, --, 
   {{0x2d985545,0x7c2b5546,0x7875012d,0xdd9b11b9}},	// [4710] _bere_, vigr, _išve, вше_, 
   {{0x7ae901ee,0x273300f7,0x2d98002e,0x9ce75547}},	//   _rret, ảng_, _cere_, ицел, 
   {{0x7ae922ad,0x2d9802fb,0x0eac0790,0xd5b80243}},	//   _sret, _dere_, _चिथड, igā_, 
   {{0x37ac0086,0x1b050086,0x3f8002a3,0x5fdf009a}},	//   ক্তর, _শেষে_, cciu_, _पोचल, 
   {{0xf1ec05fd,0x2d985548,0x3ea00019,0x7648199e}},	//   _छोड़_, _fere_, csit_, kody, 
   {{0x2ba70029,0x7ae95549,0x2d982e00,0x1404009a}},	//   ốc_, _vret, _gere_, _लव्ह_, 
   {{0x4429554a,0xb7bd002e,0x7ae9554b,0x3f990b91}},	//   _oma_, liţi, _wret, _kesu_, 
   {{0x0138554c,0x2d81554d,0x3f99554e,0x6603554f}},	//   ירות_, lche_, _jesu_, _sonk, 
   {{0x7ae95550,0x7c295551,0x7b150097,0x6f0d5552}},	//   _uret, _imer, _удах, nyac, 
   {{0x44295553,0x2d815554,0xe6160d18,0x644d5555}},	//   _ama_, nche_, йды_, _akai, 
   {{0x2d815556,0x66030228,0x442929e2,0x3f800083}},	//   iche_, _vonk, _bma_, yciu_, 
   {{0x3f995557,0x24593230,0xe28401ff,0x645f040c}},	//   _nesu_, téma_, оғин, _chqi, 
   {{0xd7c8009c,0x7c2901a3,0x24525558,0x00000000}},	//   _خونه_, _mmer, námi_, --, 
   {{0x44295559,0x644d0a9f,0x27ff003d,0x661a3a16}},	//   _ema_, _ekai, ljun_, chtk, 
   {{0x7c29555a,0x2d98555b,0xee3a0258,0x2d81555c}},	//   _omer, _rere_, ҳна_, dche_, 
   {{0x2d98555d,0x3ea04abe,0x7c3b555e,0x00860176}},	//   _sere_, tsit_, _njur, илҳо, 
   {{0x2d98555f,0xee3a5560,0x7d030219,0x3f805561}},	// [4720] _pere_, гна_, änsn, rciu_, 
   {{0x823600c5,0xc33300fe,0x3ea05562,0x9f405563}},	//   _دربا, _מוח_, rsit_, ndié_, 
   {{0x442902f0,0xad5a38aa,0x2d9800fc,0x3ea05564}},	//   _yma_, урах_, _vere_, ssit_, 
   {{0x2d985565,0xa3cb00aa,0xeb9a5566,0x3ea05567}},	//   _were_, र्प_, اضات_, psit_, 
   {{0x7c3b5568,0x2d985569,0xcc8800d7,0x6f0d016c}},	//   _djur, _tere_, انچه_, cyac, 
   {{0x2d810093,0x7c3b0027,0x5dd603a1,0x00000000}},	//   cche_, _ejur, _уюму, --, 
   {{0x3f99556a,0xa3b91516,0x81cb0033,0x7c3b007b}},	//   _yesu_, _चाल_, _রোড_, _fjur, 
   {{0x6c360e05,0x7c3b024a,0xc7b9039f,0x00000000}},	//   _افرا, _gjur, ggő_, --, 
   {{0x62800496,0xa3cb2ed8,0xe8fa1dbc,0xf6460258}},	//   ímol, र्फ_, _әле_, йхон, 
   {{0x645f097b,0x644d556b,0xa3cb0c64,0x44290720}},	//   _shqi, _skai, र्न_, _sma_, 
   {{0x764800e4,0xb7bd002e,0xf8ac0262,0x7c29556c}},	//   rody, ziţi, _घटिय, _ymer, 
   {{0x25a70183,0x6f0d556d,0x6aa2016a,0x8384556e}},	//   _ednl_, yyac, osof, зыре, 
   {{0x4429556f,0x6d5c0065,0xdb0000bc,0x1dd800c9}},	//   _vma_, _lzra, _odmí, ड़ात, 
   {{0x98dc0586,0xf8dc0d0d,0x799a05d5,0x629603c6}},	//   _मनाए, _मनाय, _jetw, _dwyo, 
   {{0x9583006a,0x1fa71bf7,0x3f99033d,0x4de10033}},	//   łącz, йраг, _pesu_, নামূ, 
   {{0x44294be1,0x50670d3b,0xdb000183,0xb7bd00d9}},	//   _uma_, стга, _admí, tiţi, 
   {{0x44395570,0x6d5c5571,0x2c7e0151,0x00000000}},	// [4730] mns_, _azra, _aïd_, --, 
   {{0x44395572,0x7c29020b,0x799a12e4,0x2d815573}},	//   lns_, _smer, _netw, uche_, 
   {{0x2d8126e8,0x44395574,0x2264031e,0x7cd9297a}},	//   rche_, ons_, řské_, рмер_, 
   {{0x44395575,0x2d811386,0x3b555576,0xafdb017b}},	//   nns_, sche_, окер, _sjøf, 
   {{0xa3cb07d5,0x799a0056,0x44395577,0x2fc9004f}},	//   र्य_, _betw, ins_, mfag_, 
   {{0x79e70019,0xa8895166,0xe29c0070,0x2fc9017b}},	//   صوبہ_, айка_, נשור, lfag_, 
   {{0xf8a900c5,0x799a0300,0xb4c70077,0x600a0228}},	//   شگاه_, _detw, _उहे_, _týmt, 
   {{0xa3cb07d5,0x7c295578,0x6b820093,0x44395579}},	//   र्म_, _umer, ccog, jns_, 
   {{0xe6192b04,0xe7392960,0xa3dd0a44,0x1dc61f19}},	//   иди_, реп_, ड़न_, र्वत, 
   {{0xdce50785,0xf99302b4,0xf62500dd,0x4439557a}},	//   lahı, _ربط_, ідно, ens_, 
   {{0xa3cb0667,0x6b9b00e2,0xbf9b0107,0xafdb0664}},	//   र्भ_, _keug, _poêl, _gjøg, 
   {{0xd7e40769,0x6b9b0265,0x799a06df,0xdb1b0126}},	//   _нічо, _jeug, _zetw, _acué, 
   {{0x6b9b0096,0xe5a513b1,0x9346557b,0x799a02a5}},	//   _meug, _дили, інге, _yetw, 
   {{0xca7a00fe,0x6b9b0014,0x256900d3,0xdd1c0032}},	//   ינשט, _leug, _калп_, váža, 
   {{0x7d03014e,0x6b8224bc,0x44390118,0xc0e300b3}},	//   änsl, ycog, bns_, морк, 
   {{0x6b9b557c,0x64470588,0x28dc00bd,0x443900a1}},	//   _neug, čkic, _मनसि, cns_, 
   {{0x3e7f020f,0x4e0607be,0x00000000,0x00000000}},	// [4740] _cît_, озаб, --, --, 
   {{0x3e7f010c,0x7e560769,0x237f0032,0xdd1c0032}},	//   _dît_, ітац, ľuje_, ráža, 
   {{0x237f557d,0x6b9b557e,0xe7d900a5,0xb4c7007e}},	//   žuje_, _beug, ढ़ाप, _उहो_, 
   {{0x6aa2557f,0x799a5271,0x3e7f009e,0x27430028}},	//   tsof, _setw, _fît_, _kūną_, 
   {{0x6aa20065,0x6b824481,0x799a03a0,0x00000000}},	//   usof, rcog, _petw, --, 
   {{0x6b821771,0x6aa25580,0x48aa5581,0xa2ad5582}},	//   scog, rsof, атим_, _जिस्, 
   {{0xa3cb08c6,0x6b9b5583,0x6d5c5584,0x44395585}},	//   र्ड_, _feug, _uzra, yns_, 
   {{0x9989090e,0x32c4027e,0x6b9b5586,0xafdb017b}},	//   đaš_, köy_, _geug, _gjød, 
   {{0x4439055f,0x41ca00bd,0x799a01a3,0xdcfc0009}},	//   vns_, िभास, _tetw, _perė, 
   {{0x44395587,0x6b9b0380,0xf60a29ac,0x69961acb}},	//   wns_, _zeug, рхий_, _фрах, 
   {{0xd7fa0c8b,0x7d7b00a7,0x69d807a0,0x3958003e}},	//   _вул_, יניו, meve, _árs_, 
   {{0x44395588,0xd7ef00eb,0x24590d8d,0x3eb23b7f}},	//   uns_, _لكم_, rémo_, kryt_, 
   {{0x7875012d,0x47361b65,0x44395589,0xc2b8004f}},	//   _išva, _براز, rns_, оляє_, 
   {{0x69d8558a,0x9f400502,0x4439558b,0x00000000}},	//   neve, weiß_, sns_, --, 
   {{0xcf9b558c,0x6018008c,0xdce50095,0x3a2c0126}},	//   ија_, _síma, yahı, _mmdp_, 
   {{0x69d8558d,0xdc3a02a4,0xd91b2737,0x00000000}},	//   heve, kçıs, בולל, --, 
   {{0xa3cb09d3,0x69d800fc,0xd8380300,0xf3ff02aa}},	// [4750] र्ण_, keve, _avčk_, lmão_, 
   {{0x69d82467,0x63bd558e,0x2fc91494,0xed8b0470}},	//   jeve, lgsn, sfag_, рсак_, 
   {{0x69d8558f,0x628f445b,0xa25b0212,0x9f420118}},	//   deve, lpco, ntôm, _lakè_, 
   {{0x6018010d,0x3eb205a7,0x69ca050f,0x61e5084c}},	//   _tíma, bryt_, effe, _hahl, 
   {{0x61e55590,0x7ccc00e0,0x3ffa00d1,0xdb09039b}},	//   _kahl, vērš, _הפרע, _ideë, 
   {{0x69d85591,0x61e50508,0x00000000,0x00000000}},	//   geve, _jahl, --, --, 
   {{0x61e55592,0x5ba72831,0x6b9b5593,0xa9691d02}},	//   _mahl, _мраз, _teug, щика_, 
   {{0xb8d30366,0x97d900dd,0x61e50149,0x7e7501f1}},	//   _झट_, ську_, _lahl, _hizp, 
   {{0x2be0009a,0xb6a30108,0x3a2c040c,0x00000000}},	//   _नसता, _giấ, _fmdp_, --, 
   {{0x61e50076,0x69d85594,0x80d200cc,0x7e7d5595}},	//   _nahl, ceve, হিত্, _musp, 
   {{0x7e755596,0x888301ff,0x00000000,0x00000000}},	//   _mizp, _ўғил, --, --, 
   {{0x63bd0611,0x88830019,0x7bd90532,0x61e5076b}},	//   ggsn, _ٹیکن, newu, _aahl, 
   {{0x55c3005e,0x61e50364,0x7e7d5597,0x5ed30086}},	//   _жалғ, _bahl, _nusp, সিডে, 
   {{0xa1871782,0x61e5107c,0xbfa102be,0x00000000}},	//   збра_, _cahl, ãªnc, --, 
   {{0x7e7d5598,0xe3b200eb,0x6d550054,0xc5e10033}},	//   _ausp, _كرة_, _nyza, বাদপ, 
   {{0x7e7d0097,0x7e755599,0xa3cb2414,0xafdb02c9}},	//   _busp, _aizp, र्द_, _skør, 
   {{0x7e7d0094,0xd007559a,0x441b008d,0x61e5559b}},	// [4760] _cusp, чете_, _לוקס, _fahl, 
   {{0x9f42031e,0x7e7d0372,0x24520098,0x00000000}},	//   _jaké_, _dusp, rámu_, --, 
   {{0x9f42005f,0xdcfc00e0,0xb33b02aa,0xafdb004f}},	//   _maké_, _ierī, maça, _sjøe, 
   {{0x61e502f2,0xb33b559c,0x69d800a7,0x69c10175}},	//   _zahl, laça, weve, _acle, 
   {{0x1e830965,0xa3dd00b0,0x7e7d00b9,0x69d8559d}},	//   _плям, ड़त_, _gusp, teve, 
   {{0xb33b559e,0x69ca559f,0xdca655a0,0x69341372}},	//   naça, uffe, _наги, وکار, 
   {{0x69d855a1,0x7bd947a2,0x69ca02bf,0xdb021f6b}},	//   reve, bewu, rffe, rgoñ, 
   {{0xa2ad55a2,0x69d80baa,0x6011105d,0xebe31991}},	//   _जिल्, seve, _påmi, _посп, 
   {{0xc6f71838,0x8c430141,0x5eca0086,0xba3d031e}},	//   зных_, _чете, রিকে, _kvůl, 
   {{0x1dcf0aac,0x6018001d,0x69d80034,0x69c1007a}},	//   स्पत, _oímo, qeve, _gcle, 
   {{0xa3cb0077,0x9f4700bc,0x61e50352,0xb33b4a79}},	//   _रउआ_, ěné_, _rahl, daça, 
   {{0x61e555a3,0x43940235,0xf3ff019c,0x00000000}},	//   _sahl, наюс, rmão_, --, 
   {{0xf3ff02be,0xa25b02be,0xc34b01d8,0x00000000}},	//   smão_, stôm, сяне_, --, 
   {{0x27e60038,0x7e7d55a4,0xb33b02aa,0x9f550212}},	//   _haon_, _rusp, gaça, _âgée_, 
   {{0xdcfc01dd,0x2b520083,0x387e0144,0x81df0033}},	//   _derī, żych_, _jutr_, ণাল_, 
   {{0x61e508cc,0xd3db0038,0xceb400ad,0x855700d1}},	//   _wahl, _طبعا_, frə_, _משוב_, 
   {{0x644f0edb,0x61e555a5,0x63ad55a6,0x984e00ad}},	// [4770] moci, _tahl, _idan, nğın_, 
   {{0x628d55a7,0xb33b02aa,0xc0cb049b,0x27e60106}},	//   _itao, caça, _луме_, _laon_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x644f55a8,0x27e620ca,0x7e7d00ef,0xa3dd00b0}},	//   noci, _naon_, _tusp, ड़ि_, 
   {{0x63ad3991,0x9f4b019c,0x7e7d2b92,0x3f680165}},	//   _mdan, _cocô_, _uusp, _ниџо_, 
   {{0x2d850077,0x200b0228,0x628d025b,0x660a021e}},	//   _üle_, _hoci_, _mtao, _nofk, 
   {{0xa3dd0d95,0x63ad55a9,0x248900ef,0x27e606e4}},	//   ड़ा_, _odan, _čamo_, _baon_, 
   {{0x63ad55aa,0xd0f800a7,0x200b55ab,0x628d2faf}},	//   _ndan, למות_, _joci_, _otao, 
   {{0x200b55ac,0x628d0180,0x46e603dd,0x9f420574}},	//   _moci_, _ntao, ддын_, _paké_, 
   {{0x63ad55ad,0xa3cb1a4e,0x7b740038,0xa3dd007e}},	//   _adan, र्स_, _أطفا, ड़ऽ_, 
   {{0x04460934,0x1dcf000c,0x628d05f0,0x39151117}},	//   денн, स्यत, _atao, _تواز, 
   {{0x200b06c4,0xa71502a6,0x6018010e,0x63ad55ae}},	//   _noci_, _одељ, _címl, _cdan, 
   {{0x9f42000d,0x0cba0a09,0xe72e28d6,0xe2972f89}},	//   _také_, _उम्म, _ре_, мая_, 
   {{0x628d0038,0x1dcf00bd,0x0478009c,0x63ad55af}},	//   _dtao, स्मत, _کليک_, _edan, 
   {{0x200b55b0,0xb33b36c4,0x6b89022c,0x27e60c36}},	//   _boci_, raça, _ofeg, _yaon_, 
   {{0x644f0a03,0xdb1b26ca,0x63ad55b1,0x60180183}},	//   coci, _acuí, _gdan, _vímo, 
   {{0x200b04d1,0x6da63662,0xbea3332d,0xb33b55b2}},	// [4780] _doci_, диза, катк, paça, 
   {{0x6b8901bb,0x63ad138c,0xb21b192b,0x601855b3}},	//   _afeg, _zdan, spær, _tímo, 
   {{0xa3cb0367,0x61460bea,0xa2a400b0,0x200b010e}},	//   र्व_, _цена, _कबड्, _foci_, 
   {{0x200b0df4,0xd5ce0210,0x00000000,0x00000000}},	//   _goci_, _nềng_, --, --, 
   {{0x27e60094,0x34da55b4,0xb3c607d5,0x7bc655b5}},	//   _raon_, _बन्द, _वानख, _ökum, 
   {{0x2bae0029,0x09e302a6,0x2a650210,0x00000000}},	//   ộc_, вољн, _chlb_, --, 
   {{0x27e655b6,0xa3be1f5e,0x44220175,0x00000000}},	//   _paon_, आला_, khk_, --, 
   {{0xb8d61971,0x2fc055b7,0x76aa0080,0x2eed0604}},	//   _जि_, ngig_, отов_, _šefi_, 
   {{0x6fd00a44,0xd6da00dd,0x7c2255b8,0xc8ca009c}},	//   ड्यू, іти_, mhor, _ژوئن_, 
   {{0x7c2200ce,0x63ad02cd,0x47db0033,0xb993007a}},	//   lhor, _sdan, ভাগী, _للكب, 
   {{0xf9c71fdb,0x27e6148f,0x628d55b9,0x245955ba}},	//   _تحقی, _taon_, _stao, зань_, 
   {{0x7c2255bb,0x00000000,0x00000000,0x00000000}},	//   nhor, --, --, --, 
   {{0xa3cb0b3e,0x61ca0790,0x43940267,0x660a0216}},	//   र्ष_, िभूष, ђарс, _tofk, 
   {{0x200b350b,0x644f2c86,0x9f590038,0x32180326}},	//   _soci_, soci, _tosú_, gkry_, 
   {{0x200b023e,0x38660065,0xdfd517fc,0xdb0002c9}},	//   _poci_, _khor_, новы, _udmæ, 
   {{0xe3d0001b,0x7c220356,0xa3cb0367,0xa3b955bc}},	//   _hằng_, jhor, र्श_, _चाट_, 
   {{0x200b55bd,0x80a000a2,0x7c222b7b,0x628d0053}},	// [4790] _voci_, गीबे, dhor, _utao, 
   {{0xa3cb190a,0x786502a0,0x6b890036,0xb33b55be}},	//   र्र_, móve, _sfeg, laço, 
   {{0x291906d0,0x7c8455bf,0x6aa9003e,0x7c2255c0}},	//   _əsas_, вуче, _svef, fhor, 
   {{0x200b015e,0x7c2255c1,0xb33b0183,0xe0d20070}},	//   _uoci_, ghor, naço, _גײט_, 
   {{0x1dc70262,0x2444008f,0xdb000216,0x1e730259}},	//   _लापत, nıma_, _hemê, _ағас, 
   {{0x0d8413f2,0x00000000,0x00000000,0x00000000}},	//   _алён, --, --, --, 
   {{0x3ea955c2,0x386601be,0x8bc727eb,0x00000000}},	//   lsat_, _bhor_, _осад, --, 
   {{0x386655c3,0x3f8955c4,0x7d240274,0x7c221e37}},	//   _chor_, ncau_, _شفقن, chor, 
   {{0xe3d000f7,0x3ea955c5,0xf77100b1,0x1dc60586}},	//   _bằng_, nsat_, داث_, र्कत, 
   {{0xe3b20a24,0xe6e70218,0x244455c6,0x00000000}},	//   گرد_, _lêçû, dıma_, --, 
   {{0x25e0000d,0x068403a1,0x69c43295,0x3ea955c7}},	//   _कसरी_, нгөн, _राती, hsat_, 
   {{0xccf200c7,0xe3b20116,0x3ea955c8,0x1dcf102c}},	//   אכט_, درد_, ksat_, स्तत, 
   {{0x386d0c43,0x00000000,0x00000000,0x00000000}},	//   mmer_, --, --, --, 
   {{0x64a555c9,0x386d55ca,0x3ea955cb,0x44222e22}},	//   _зака, lmer_, dsat_, shk_, 
   {{0x25a555cc,0xa3cb07d5,0x3ea901be,0x614355cd}},	//   mall_, _रॉक_, esat_, гера, 
   {{0xd0072d51,0xdb000218,0x3ea90219,0x7c220034}},	//   несе_, _demê, fsat_, xhor, 
   {{0x63a655ce,0x9f420cd7,0x3ea9012b,0x671f3cae}},	// [47a0] makn, _ankò_, gsat_, यनिक_, 
   {{0xa3c005f6,0x63a636fa,0x442001a0,0x25a50a69}},	//   ुभव_, lakn, _hli_, nall_, 
   {{0x44e100e4,0x3ea90348,0x386d0187,0x7c2255cf}},	//   _jų_, asat_, kmer_, thor, 
   {{0xf76755d0,0x63a655d1,0xc5f800e0,0x7ac600f0}},	//   _ما_, nakn, nmēr_, еске, 
   {{0xa3b809e5,0xafdb004f,0x386d03c6,0x25a555d2}},	//   _चयन_, _kjøn, dmer_, kall_, 
   {{0x7c2255d3,0xc33300c7,0x63a655d4,0x386d0228}},	//   shor, נוג_, hakn, emer_, 
   {{0x442055d5,0xe3d00029,0xf1d20827,0xeb9a03b7}},	//   _oli_, _rằng_, द्यन, _нив_, 
   {{0xc6f827c1,0x63a655d6,0x81d40086,0xd5c20035}},	//   дних_, jakn, _সোম_, _शाहज, 
   {{0x63a655d7,0x25a50d33,0x09bf0033,0xbb431ab1}},	//   dakn, fall_, _ইসরা, _бетк, 
   {{0xceb30052,0x25a555d8,0x64470242,0x644455d9}},	//   נית_, gall_, čkim, _ajii, 
   {{0x43953b35,0x442055da,0x60180019,0xa3dd0077}},	//   канс, _bli_, _címk, ड़ल_, 
   {{0x63a623ae,0x443255db,0xa18400f0,0x07a60664}},	//   gakn, _cmy_, ғырл, _чадн, 
   {{0x25a555dc,0xb33b55dd,0xee3f031e,0x442055de}},	//   ball_, raço, _svým_, _dli_, 
   {{0x442055df,0x171b0137,0x7af600c8,0x2444008f}},	//   _eli_, _צוגע, äyty, rıma_, 
   {{0x9f47000d,0xa2ad0f63,0xb33b36c4,0x63a655e0}},	//   ění_, _जिक्, paço, bakn, 
   {{0x44200021,0x63a6085b,0x00000000,0x00000000}},	//   _gli_, cakn, --, --, 
   {{0x506455e1,0x5fe2009a,0x3f8916bf,0x7bc2039b}},	// [47b0] утра, _पसरल, rcau_, dgou, 
   {{0x645d55e2,0x3ea955e3,0x6ca71afd,0x386d0217}},	//   llsi, rsat_, ердж, zmer_, 
   {{0x09bf100b,0x3ea955e4,0x4420030f,0x6ad900a2}},	//   _ইসলা, ssat_, _yli_, णब्र, 
   {{0xa3d4000f,0xdb1b0634,0x3ea9031e,0xb33b027e}},	//   स्प_, _acuá, psat_, yaçl, 
   {{0x645d0038,0xdb00011c,0x00000000,0x00000000}},	//   ilsi, _jemè, --, --, 
   {{0xdc130092,0xdb00024a,0xf2d40070,0xcda929ce}},	//   rşıs, _zemë, רעס_, _زهره_, 
   {{0x63a63033,0x25a555e5,0x6d4200d9,0x2459014b}},	//   yakn, vall_, şoar, lému_, 
   {{0x75280243,0x386d0b48,0x7ae21ace,0x00000000}},	//   dzdz, umer_, bwot, --, 
   {{0x386d55e6,0x3a7501bb,0x2459026e,0x25a555e7}},	//   rmer_, _алар, nému_, tall_, 
   {{0xa3d4072f,0x386d55e8,0x458500fd,0x6444039b}},	//   स्न_, smer_, ъгов, _sjii, 
   {{0x44200cd7,0x63a600d0,0x25a555e9,0x24590098}},	//   _pli_, takn, rall_, hému_, 
   {{0x66b503ea,0x2459014b,0x44200036,0xe78755ea}},	//   _абду, kému_, _qli_, _чужо, 
   {{0xe3b80824,0x27ed55eb,0x25a555ec,0x044343c3}},	//   ğı_, mden_, pall_, реян, 
   {{0xe3b80092,0x63a61396,0x27ed55ed,0x3cfe0183}},	//   şı_, sakn, lden_, _átvg_, 
   {{0x69c355ee,0x63a63d9d,0x442055ef,0x205655f0}},	//   igne, pakn, _tli_, втар, 
   {{0x27ed55f1,0x442055f2,0x7848031e,0x26cd0bad}},	//   nden_, _uli_, pěve, oteo_, 
   {{0x27ed55f3,0x26cd0634,0x63a40243,0x672900b9}},	// [47c0] iden_, nteo_, _iein, nzej, 
   {{0x63a455f4,0x27ed0088,0x6f0403da,0x76413b57}},	//   _hein, hden_, rxic, nnly, 
   {{0x63a455f5,0x60183c91,0xdb00024a,0xafdb00dd}},	//   _kein, _lími, _temë, _kjøl, 
   {{0x27ed0536,0x69c4009a,0x62840247,0x63a401d6}},	//   jden_, _राही, _kuio, _jein, 
   {{0xa3d40ba3,0x27ed55f6,0x63a40f08,0x7bc217e1}},	//   स्य_, dden_, _mein, rgou, 
   {{0xbda506ab,0x63a455f7,0x27ed55f8,0xda63278a}},	//   _محفو, _lein, eden_, авчи, 
   {{0x7d03022b,0x27ed55f9,0xadd700d1,0xdca628c1}},	//   änst, fden_, _שולח_, _шави, 
   {{0x63a455fa,0x6b8500eb,0x27ed55fb,0xa3d4456f}},	//   _nein, _مشكل, gden_, स्म_, 
   {{0x7e7c55fc,0xc8ae0586,0x6d5c55fd,0x1dcf0fc0}},	//   _kirp, _टिकट, _hyra, स्वत, 
   {{0x4b55048a,0xdb0046cd,0xae050827,0x49ba0a5a}},	//   _съст, _remè, रायन_, _زائد_, 
   {{0x63a455fe,0x24e300e4,0x7e7c0a6c,0x661a1176}},	//   _bein, ацяг, _mirp, rktk, 
   {{0x61fe0cd7,0xd6d20040,0x63a455ff,0x6d5c0946}},	//   _anpl, _نقص_, _cein, _myra, 
   {{0x45d44985,0x63a44fa8,0x59c91898,0x26cd0068}},	//   _болс, _dein, _रामर, cteo_, 
   {{0x2459026e,0x752d02d9,0xe71700d1,0x62840474}},	//   vému_, _řaze, _בחדר_, _duio, 
   {{0x63a45600,0xdb0000f6,0xa1585601,0x41d21f19}},	//   _fein, _demé, вару_, द्धस, 
   {{0x349318ae,0x63a45602,0x61fe5603,0x6b800102}},	//   _таър, _gein, _enpl, _ngmg, 
   {{0x44395604,0x62840b6f,0x6d5c5605,0x9df91cc1}},	// [47d0] mis_, _guio, _ayra, ннат_, 
   {{0x27ed0c05,0x2459014b,0x63a401f1,0xeb9602f1}},	//   zden_, rému_, _zein, қиш_, 
   {{0x27ed5606,0x44395607,0x8d8400d3,0x7e7c017c}},	//   yden_, ois_, рууд, _dirp, 
   {{0x44395608,0xc4d30137,0x6d5c5609,0x6e37023e}},	//   nis_, יגע_, _dyra, sixb, 
   {{0x69c40662,0x8c160038,0x27ed560a,0x8f9a00d1}},	//   _राशी, طيور_, vden_, _רישי, 
   {{0x4439560b,0xa96955bf,0x6d5c05ac,0x78750009}},	//   his_, нила_, _fyra, _išvi, 
   {{0x443906dd,0x4879560c,0x69c3560d,0x6b840121}},	//   kis_, нсия_, rgne, žiga, 
   {{0x4439560e,0x27ed560f,0x26cd5610,0x317c00a7}},	//   jis_, uden_, tteo_, ורומ, 
   {{0x27ed5611,0x63a42395,0x9f4208b2,0x7bc90175}},	//   rden_, _rein, _kaká_, _iceu, 
   {{0x63a4115b,0x26cd5612,0xafdb00fc,0xf9930ea3}},	//   _sein, rteo_, _sjøl, _ضبط_, 
   {{0x63a45613,0xdb005614,0xb7b30161,0x26cd0369}},	//   _pein, _remé, _көпч, steo_, 
   {{0x60185615,0xe739019b,0xdb000175,0x9f4b009e}},	//   _tími, haŵi_, _semé, _vacê_, 
   {{0x8c1a0056,0x628427c7,0x63bb003e,0x9f595616}},	//   גורי, _quio, óuna, _mosó_, 
   {{0x63a45617,0x44395618,0x7ae90548,0x00000000}},	//   _wein, ais_, _mset, --, 
   {{0x44394f8f,0x63a45619,0x412a2c0b,0x28c6258c}},	//   bis_, _tein, хово_, रूपि, 
   {{0x7ae9561a,0xd5cf00a2,0x05cf2f41,0x2483014b}},	//   _oset, त्रज, त्रब, íjmu_, 
   {{0x7e7c561b,0x2d9644f6,0x1f662dd2,0xbe86243d}},	// [47e0] _pirp, грес, укам, اجرو, 
   {{0x7bc90574,0xee370bad,0x683e0243,0x61fe0de2}},	//   _aceu, гну_, mūde, _unpl, 
   {{0xa3cb1276,0x7ae9561c,0x273300e7,0x9f5900b9}},	//   र्क_, _aset, ảnh_, _bosó_, 
   {{0x6d5c1977,0xdb000216,0xc178012d,0x7ae90175}},	//   _vyra, _demî, žės_, _bset, 
   {{0x6d5c00ab,0x1b170033,0x7e7c561d,0xa3cc1aab}},	//   _wyra, _দেবে_, _tirp, _लान_, 
   {{0xa3d408e1,0x4439561e,0xb8850228,0x00000000}},	//   स्त_, zis_, zlíš, --, 
   {{0x7ae9006b,0x4439353f,0x69e202d9,0x98a30267}},	//   _eset, yis_, _čteč, бије, 
   {{0xed57088a,0x79810156,0x6b80012b,0x7865010e}},	//   _сос_, _eglw, _ugmg, tóva, 
   {{0xdb00009e,0x290700a1,0x95ca022c,0x00000000}},	//   _zemî, axna_, нуна_, --, 
   {{0x4439561f,0x68ed00ab,0x5a5600fd,0xdb000216}},	//   wis_, łada, _събу, _yemî, 
   {{0xdb092005,0xd7ef1fc6,0x97c60629,0xafdb017b}},	//   _ideá, _лу_, _مقاو, _sjøm, 
   {{0x225a00e2,0x35670a31,0x661d021e,0x2a7e040c}},	//   _akpk_, ырын_, ëskr, _hitb_, 
   {{0x443937ba,0xa3cb09ec,0x6a6403dd,0x23c60eda}},	//   ris_, र्ग_, nòfo, _वारद, 
   {{0x44395620,0x6594134f,0xf77300d1,0xc693027a}},	//   sis_, _таку, _פקס_, _האס_, 
   {{0xdef8004e,0x439535c2,0xa1595621,0x6671009c}},	//   қыт_, _кайс, таву_, _بگير, 
   {{0x9f4b0327,0x9f42020b,0x1fa45622,0x95820083}},	//   _hacé_, _saká_, йруг, łądk, 
   {{0xdb00009e,0x9f5900b9,0x00000000,0x00000000}},	// [47f0] _semî, _rosó_, --, --, 
   {{0xafdb004f,0x23690237,0xa3dd00c9,0x91c200f0}},	//   _kjøk, _izaj_, ड़क_, _мәсл, 
   {{0x9f5918e0,0xaed400f0,0x7ae95623,0xa8070241}},	//   _posó_, _қорш, _sset, ngıç, 
   {{0x7ae9015e,0xf41f0088,0xac74009c,0x1dc7009a}},	//   _pset, nkä_, مانش, _लावत, 
   {{0x9f420032,0x4c940148,0x00000000,0x00000000}},	//   _taká_, _ҳисс, --, --, 
   {{0xa3cc0c06,0x7ae9143b,0x48b50599,0xdcfc015e}},	//   _लाभ_, _vset, ащит, _zgrč, 
   {{0xafdb004f,0xf41f0080,0x6d43007a,0x00000000}},	//   _skøy, kkä_, únad, --, 
   {{0xb8cd05fd,0x69d50262,0xc88800eb,0xa80204be}},	//   _कब_, _मॉरी, دخول_, şınm, 
   {{0x78a408b1,0x762500cf,0x2a7e0175,0xb9c701c9}},	//   ćiva, имиз, _fitb_, _متاه, 
   {{0xe6165624,0x00000000,0x00000000,0x00000000}},	//   иды_, --, --, --, 
   {{0x998417c1,0xe7b500d7,0x64a50d3d,0x00000000}},	//   _المو, _نماد, јама, --, 
   {{0xf7700105,0xda033b5f,0x25a00082,0xdcfc007b}},	//   _کام_, लावत_, _đile_, _jerġ, 
   {{0x2bd7148e,0x59da07d5,0x32135625,0xb6a50e65}},	//   ण्या, _मॉडर, _boxy_, _тилл, 
   {{0xe297411e,0x05871a57,0x00000000,0x00000000}},	//   рар_, _судм, --, --, 
   {{0x28dd0b79,0x463a00c7,0xc0e600b3,0x505a0080}},	//   _महफि, _בעסע, шовк, вшая_, 
   {{0xdb0b003e,0x3ea20175,0x09af0033,0xd8380237}},	//   yggð, _pwkt_, চ্চা, _nwčl_, 
  
   {{0xe5a30023,0x64a35626,0x27ef01d5,0x84450038}},	// [4800] _điệ, _тақа, _magn_, _دخول, 
   {{0x2d9601a2,0xbda50038,0xa06800f0,0x00000000}},	//   ррас, محمو, таға_, --, 
   {{0xdddd00d9,0x91bb00d1,0xdcfc01f2,0x24800175}},	//   _susţ, _במיי, _berġ, _kiim_, 
   {{0x64465627,0x41d22122,0x60de0548,0x27ef5628}},	//   nnki, द्रस, _ippm, _nagn_, 
   {{0xa3cb1d57,0x64465629,0xe809203f,0x6e2000b3}},	//   र्ट_, inki, वाना_, _îmbo, 
   {{0xbea33c76,0xca5602a6,0x7c9600fd,0x3ceb0080}},	//   _фарк, штењ, _врац, äivä_, 
   {{0x68ed0035,0x1d071a41,0x2b4d562a,0x2c6700c2}},	//   ładn, _кери_, _exec_, sõda_, 
   {{0xf09300d1,0x8c462394,0x601801d5,0x237f02d9}},	//   חנה_, _тебе, _tímu, žuji_, 
   {{0x23600201,0x9634562b,0xf646562c,0xafdb00fc}},	//   _nyij_, йниц, ихон, _sjøk, 
   {{0x2258562d,0x60de00dd,0x248000a1,0x7afd008c}},	//   jork_, _oppm, _aiim_, _ásta, 
   {{0xf41f0088,0x248000a1,0x629602a5,0x200226ad}},	//   tkä_, _biim_, _atyo, _onki_, 
   {{0x38600038,0x27ef4b85,0x00000000,0x00000000}},	//   _óir_, _gagn_, --, --, 
   {{0xe69400eb,0x63b600f8,0x00000000,0x00000000}},	//   _التد, _ddyn, --, --, 
   {{0x20024db1,0x201e009e,0xa3cb08e1,0x6446562e}},	//   _anki_, êtin_, र्ज_, anki, 
   {{0x27ef02cd,0x69da02a2,0x26c4562f,0x817701a2}},	//   _yagn_, _mbte, lumo_, равӣ_, 
   {{0xcf9816d9,0x02a75630,0x63b65631,0xe8090035}},	//   ију_, _кром, _gdyn, वाया_, 
   {{0xa3cc40a8,0xf77300c7,0x2d830369,0x26c40028}},	// [4810] _लात_, ַקע_, _pgje_, numo_, 
   {{0x20025632,0x68fa01ff,0x60185633,0x00000000}},	//   _enki_, _ortd, _bíms, --, 
   {{0xa3d40081,0x63b60156,0xe80900bc,0x00000000}},	//   स्व_, _ydyn, वामा_, --, 
   {{0xa3cb1a21,0x26c45634,0x69da0380,0xccf80267}},	//   र्च_, kumo_, _abte, шћу_, 
   {{0xe21413b4,0x7848031e,0x2ef400e4,0x68fa5635}},	//   _طبیع, těvn, _дзяр, _artd, 
   {{0x26c45636,0xdb000126,0xa802008f,0x9ce70019}},	//   dumo_, _gemí, şılm, _پورے_, 
   {{0x601800bc,0x2b8d007a,0x89d6007a,0xdcfc007b}},	//   _tímt, _cócó_, صوير_, _terġ, 
   {{0x9f950077,0x26c45637,0x2fc95638,0x68ed0035}},	//   _nüüd_, fumo_, ngag_, łado, 
   {{0x6e2700ef,0xa3cb031e,0x26c40009,0x27ef5639}},	//   _kljb, र्छ_, gumo_, _vagn_, 
   {{0x7afb563a,0x2480563b,0x06091988,0xe58303a1}},	//   _irut, _siim_, унок_, өтүү, 
   {{0x249600d4,0xedf90033,0x248000c2,0xa3cc00c9}},	//   ینید_, _আকাশ_, _piim_, _लाद_, 
   {{0x0446563c,0x2258563d,0xd83800d9,0x26c40028}},	//   семн, work_, _кэч_, bumo_, 
   {{0xe60e563e,0x7349563f,0x7afb0175,0x7bdb0539}},	//   _ед_, ачёв_, _jrut, _mbuu, 
   {{0x7afb1572,0x6ec100bc,0x786c009e,0x00000000}},	//   _mrut, _लमजु, rûve, --, 
   {{0x01662f80,0xdb00426b,0xa1c305e6,0x14db009a}},	//   скво, _remí, ябрд, _बहिण, 
   {{0xa3ba1b65,0x61430a10,0xdfd20195,0x60180032}},	//   _صابر_, чеса, ثير_, _ríms, 
   {{0x92b6143f,0xa06702c4,0x386f01f5,0xc44800d7}},	// [4820] _احبا, сата_, _mhgr_, _میگن_, 
   {{0x7bdb0547,0xdcfc5640,0xa3d40035,0x6018039f}},	//   _abuu, _agrā, स्र_, _címr, 
   {{0x60de022b,0xa63a00c7,0x7afb5641,0x7bdb052b}},	//   _uppm, נגער, _arut, _bbuu, 
   {{0x20f800ca,0x26c40008,0xd00a537d,0x00000000}},	//   _iči_, yumo_, _семе_, --, 
   {{0x7afb006e,0xdb000169,0x20f80352,0xcf9300d1}},	//   _crut, _temí, _hči_, _מטר_, 
   {{0xed5a0dfb,0x6d430084,0x7bdb01b8,0x291c0028}},	//   _бог_, únac, _ebuu, tyva_, 
   {{0x26c4019b,0x7afb5642,0x6da3210a,0xd7fa03a1}},	//   wumo_, _erut, _хиса, гуп_, 
   {{0x7afb5643,0x69cd2c91,0x18a602f1,0x26c45644}},	//   _frut, _साथी, _ҳажм, tumo_, 
   {{0x7c2200cf,0x7d1e5645,0x7afb0b03,0xdb00019c}},	//   mkor, lyps, _grut, _demã, 
   {{0xba2334fd,0x26c45646,0xd6d70235,0x69da0027}},	//   _едук, rumo_, ёты_, _ubte, 
   {{0x8afd00bc,0xba3d02d9,0x00000000,0x00000000}},	//   _vyře, _tvůr, --, --, 
   {{0x69d85647,0x660302a5,0x3eb20080,0x6e3e039b}},	//   lfve, _ennk, ksyt_, hipb, 
   {{0xcc3b00c7,0x7c2201d6,0xa805001d,0xdcfc00a4}},	//   רעכט, ikor, señá, _ferħ, 
   {{0x69ca35f6,0x7c2201ff,0xa1944a79,0x44225648}},	//   ngfe, hkor, зарч, akk_, 
   {{0x463b00c7,0x7c225649,0x765a564a,0x24440248}},	//   _געגע, kkor, moty, zımi_, 
   {{0xef990602,0xb0880176,0x00000000,0x00000000}},	//   ркаш_, сёре_, --, --, 
   {{0x4429564b,0x7c22564c,0x63af0035,0xe809017d}},	// [4830] _ila_, dkor, macn, वाता_, 
   {{0x44293892,0xf1a7564d,0x3e6f00c2,0x69d801d2}},	//   _hla_, _урин, küte_, jfve, 
   {{0x7afb00a0,0x44290876,0x7c2b01f2,0x38950339}},	//   _srut, _kla_, thgr, _kāre_, 
   {{0x237f04d1,0x7afb564e,0x63af003a,0x44290144}},	//   žuju_, _prut, nacn, _jla_, 
   {{0x69c40d8b,0xd90f13b4,0x6e9517b4,0x5ba800e4}},	//   _राखी, کیا_, _фигу, скім_, 
   {{0x44293a6d,0xdb000183,0x6e9429ad,0xe9d80009}},	//   _lla_, _admó, _хиру, йкі_, 
   {{0x4429564f,0x1b170086,0xec6b0d11,0x442200dd}},	//   _ola_, _দেশে_, _брак_, ykk_, 
   {{0xe7391d47,0x7c22014e,0x4429011d,0x1bd417d7}},	//   ией_, ckor, _nla_, _нося, 
   {{0x7afb28dc,0x7c2901f0,0x7c3b5650,0x562902e1}},	//   _urut, _iler, _imur, ижим_, 
   {{0x44295651,0xc8ab048a,0x765a5652,0x4422016a}},	//   _ala_, _бъде_, goty, wkk_, 
   {{0x44295653,0xf3e6177b,0x67d502fb,0x7c295654}},	//   _bla_, ожно, _можу, _kler, 
   {{0x7bcb2e67,0x443b0093,0xc20900a7,0x60c700ca}},	//   nggu, _cmq_, _בה_, dujm, 
   {{0x44290da6,0x7c290532,0x61e7010e,0x7c3b008a}},	//   _dla_, _mler, fejl, _mmur, 
   {{0x44295655,0x765a011c,0x7c225656,0xdb0b0107}},	//   _ela_, coty, zkor, gagé, 
   {{0x7c3b5657,0x7c295658,0x44220065,0x71760038}},	//   _omur, _oler, pkk_, زهرا, 
   {{0xf1db00bc,0x7c3b0027,0x7c2201d6,0x00000000}},	//   म्बन, _nmur, xkor, --, 
   {{0xf99f001b,0xfe052414,0x69dc010e,0xdb0b2dcd}},	// [4840] _đèn_, रांस_, _öreg, bagé, 
   {{0x7c3b5659,0xdb000076,0x26c203ef,0x442900d2}},	//   _amur, _nemá, škog_, _zla_, 
   {{0x20f800d2,0x7c22565a,0x7c29565b,0x4177010e}},	//   _uči_, tkor, _bler, _واپس, 
   {{0xab66565c,0x6f0d0068,0x228f04be,0x7c29565d}},	//   овел, bxac, _yük_, _cler, 
   {{0x7c22565e,0x3ce60228,0x199413c6,0x65630566}},	//   rkor, ňov_, паля, _lynh, 
   {{0x7c22565f,0xdca620c1,0x7c295660,0xceb400ad}},	//   skor, _маги, _eler, msə_, 
   {{0x7c290cac,0x082a5661,0xdb000a22,0x69ca03d8}},	//   _fler, иции_, _demá, rgfe, 
   {{0xd6da0676,0xdb0003a1,0xc5b40033,0x7c295662}},	//   ато_, _temà, জ্ঞপ, _gler, 
   {{0xbb431b17,0x69960141,0x63af0ab4,0xaa4600b3}},	//   _жетк, _дрех, vacn, _деал, 
   {{0x44290b32,0x9f420183,0x19c3017b,0x00000000}},	//   _sla_, _bakú_, _обум, --, 
   {{0x44295663,0xa3cc0262,0x656302bf,0xc7af01a2}},	//   _pla_, _लाश_, _cynh, _оё_, 
   {{0x9f4b00da,0x6a6400f6,0x1e170ed5,0x65635664}},	//   _sací_, dòfi, _दक्ष_, _dynh, 
   {{0x63af15ea,0x44290a14,0x28132949,0x48f400bc}},	//   racn, _vla_, _تونس, ्मको_, 
   {{0x44290daa,0xe5340b34,0x6018022c,0x854600b3}},	//   _wla_, _нель, _símp, _мэйе, 
   {{0x44294e39,0x65630156,0xdb0b5665,0x644d08b0}},	//   _tla_, _gynh, ragé, _tjai, 
   {{0x4429009c,0x1ddd0509,0x363400c5,0x6f0d022c}},	//   _ula_, न्नत, _برچس, txac, 
   {{0x645d5666,0x2d87008b,0x51872f77,0x23280267}},	// [4850] mosi, žnem_, _муна, _моћи_, 
   {{0x645d5667,0xdd9b5668,0x60c70372,0xc33200d1}},	//   losi, рша_, pujm, _נוי_, 
   {{0x63ad39a7,0x69c41489,0xdb000183,0x60180068}},	//   _kean, _राजी, _remá, _tímp, 
   {{0x645d5669,0x515a00a7,0xdb00248c,0x6285023a}},	//   nosi, _לכתו, _semá, _hiho, 
   {{0xfaa5048a,0x7c29566a,0x63ad00a7,0x6285566b}},	//   чало, _vler, _mean, _kiho, 
   {{0x6285147c,0x645d0156,0x786505b9,0xa3e2047c}},	//   _jiho, hosi, móvi, _नॉन_, 
   {{0xa3cc0f01,0x628500a9,0x2019234d,0x645d566c}},	//   _लाल_, _miho, _kosi_, kosi, 
   {{0x63ad566d,0x1bb81f7a,0x7c3b099d,0x6285566e}},	//   _nean, _واقع_, _umur, _liho, 
   {{0xdb002142,0xd7060088,0x2019566f,0xafdb02c9}},	//   _temá, зные_, _mosi_, _imød, 
   {{0xe8090790,0x6618006d,0xdb00055f,0x80e10086}},	//   वाहा_, _covk, _bemæ, _পছন্, 
   {{0x63ad5670,0x1ddd0c59,0x6fcb009a,0x645d5671}},	//   _bean, न्यत, िलां, fosi, 
   {{0x63ad355f,0x645d5672,0x628500b4,0xda0300aa}},	//   _cean, gosi, _aiho, लाकत_, 
   {{0x63ad0a69,0x62855673,0x59d20f8e,0x050b0033}},	//   _dean, _biho, _सामर, শনের_, 
   {{0x1dc72de0,0xf7700e05,0x877a00c7,0xf67500c7}},	//   _लागत, _شان_, _פאסי, _צײַט_, 
   {{0x76415674,0x62855675,0x63ad0d44,0x20195676}},	//   mily, _diho, _fean, _bosi_, 
   {{0x20195677,0x6b891af8,0x63ad5678,0xa3ad0cd6}},	//   _cosi_, _ngeg, _gean, गरण_, 
   {{0xdee34b37,0x20195679,0x6285567a,0x6fad093a}},	// [4860] ноти, _dosi_, _fiho, _ज़रू, 
   {{0x0e63567b,0xceb40095,0x6b890539,0x6285567c}},	//   екун, rsə_, _ageg, _giho, 
   {{0xceb400ad,0x2bfd00c2,0x2019567d,0x00000000}},	//   ssə_, _रोहू_, _fosi_, --, 
   {{0x59c900bd,0x62854b19,0x6aa901b8,0xae055582}},	//   _राउर, _ziho, _bwef, राउन_, 
   {{0x41d30c14,0x7641567e,0x321a567f,0xab835680}},	//   _तामस, kily, _kopy_, нушк, 
   {{0x7848000d,0x69d50c05,0x3ea04ff3,0xa8a65681}},	//   pěvk, _özel, mpit_, прик, 
   {{0xfce305af,0x645d5682,0x20192244,0x76410102}},	//   _поро, yosi, _yosi_, dily, 
   {{0x25ee0081,0xafdb03a9,0xd83800de,0x00000000}},	//   _असही_, _hjør, _otče_, --, 
   {{0xae20000f,0x96f82b21,0x2bd102f8,0x645d5683}},	//   _मकान_, цепт_, _हाता, vosi, 
   {{0x63ad5684,0x3ea0288b,0x628b4dfd,0x984e0241}},	//   _sean, ipit_, _égoi, rşın_, 
   {{0xa96a15c0,0x63ad5685,0xaa5704bc,0x3ea00065}},	//   _امام_, _pean, _علما_, hpit_, 
   {{0xb865298e,0x9f405686,0x69dc014e,0x62855687}},	//   _قانو, ndió_, _öreb, _siho, 
   {{0xe80900b5,0x645d5688,0x62855689,0x7641568a}},	//   वारा_, rosi, _piho, bily, 
   {{0x321a00d1,0xdcf700ad,0x997e020f,0x7853020f}},	//   _copy_, zaxı, căţi_, răve, 
   {{0x63ad568b,0x645d568c,0x201933fb,0x92cd0086}},	//   _tean, posi, _posi_, রবে_, 
   {{0x2d980118,0xc5f801dd,0x6285016c,0x248e0151}},	//   _afre_, ldē_, _wiho, _iufm_, 
   {{0x6285568d,0xafdb568e,0x3ea00c36,0x74ae0086}},	// [4870] _tiho, _bjør, gpit_, _কমিউ, 
   {{0xf1a71427,0x9f4b02be,0xb1a713b1,0xc5f80243}},	//   _эрин, _cacá_, _эшик, ndē_, 
   {{0x403520e1,0xa3d409ec,0x20190088,0x8cc402e6}},	//   _женс, स्क_, _tosi_, ांगो, 
   {{0x2243290d,0x7641568f,0x7a2f00dd,0x8d741b65}},	//   lijk_, zily, _møte, رالا, 
   {{0xdcf70095,0xb6a30023,0xafdb004f,0x20d75690}},	//   raxı, _chấ, _fjør, lçi_, 
   {{0xafdb02fb,0xba2400f0,0x61f7040c,0x00000000}},	//   _gjør, ндік, _jaxl, --, 
   {{0xe809190a,0x23bf0e36,0x61f74732,0x20d75691}},	//   वाला_, ्लाद, _maxl, nçi_, 
   {{0xccf20056,0xf8dd0299,0xdb0012b7,0x764100f8}},	//   _בכל_, _महीप, _bemä, wily, 
   {{0x22430536,0x997e002e,0x76415692,0xaad10598}},	//   kijk_, tăţi_, tily, _समिक, 
   {{0x20d7008f,0x7a2f017b,0x00000000,0x00000000}},	//   kçi_, _bøte, --, --, 
   {{0xa3ea2f2f,0x76412244,0xa25b03b7,0x224301c8}},	//   одна_, rily, trôn, dijk_, 
   {{0x4ad145f0,0xdd1c0228,0xaad10299,0xd6ce009c}},	//   _समाव, náša, _समाक, دقی_, 
   {{0xdb0001c4,0x764107fc,0x8284186c,0x61f7040c}},	//   _gemä, pily, нқид, _baxl, 
   {{0x7a2f01e8,0x14c54261,0x00000000,0x00000000}},	//   _føte, _विपण, --, --, 
   {{0xa3cc0081,0x3eb9011c,0x61f701ff,0x987d035d}},	//   _लाऊ_, _avst_, _daxl, lçın_, 
   {{0xd007005e,0x98a700ab,0xd174004e,0x60c101d5}},	//   месе_, czną_, дығы, álma, 
   {{0x61f70626,0x44770070,0x8505010e,0x3ea002d9}},	// [4880] _faxl, _קעפל_, _روکن, upit_, 
   {{0x3ea05693,0xae0e2414,0xdee401ff,0xdddc0028}},	//   rpit_, साधन_, моғи, _birš, 
   {{0x3ea0027e,0xe8032f4f,0x0b8a5694,0x00000000}},	//   spit_, _शोभा_, осли_, --, 
   {{0x0ea90c14,0x0b465695,0x6f090304,0x6fb20035}},	//   _चौकड, мнен, _šece, _ज़िं, 
   {{0x25ee0f01,0x8db602fb,0x5f0600cf,0x9f4028fe}},	//   _असली_, _осві, _ўзга, rdió_, 
   {{0x2cb8090e,0x1ddd1503,0xef835696,0x00000000}},	//   _tvrd_, न्दत, _шляп, --, 
   {{0x261112e3,0x35a7000f,0xafdb02fb,0xda6500eb}},	//   तानी_, _ग़ज़, _kjøp, راهي, 
   {{0x7d0301cc,0xc7c61ffd,0xb6a30023,0xb6f408bd}},	//   ænse, фски, _thấ, езиј, 
   {{0xc6f71838,0x78ad14f0,0x6b635697,0x8c43017b}},	//   дных_, ćava, _акта, _рете, 
   {{0x6aa25698,0x3ead04a8,0x00000000,0x00000000}},	//   mpof, _çete_, --, --, 
   {{0x994a1169,0x6e2000b3,0xa3d54ea2,0x00000000}},	//   _بلال_, _îmbu, нонч, --, 
   {{0x61f706d0,0x46a600cf,0x2243012e,0x69da203f}},	//   _saxl, _жадв, wijk_, प्री, 
   {{0xd8380237,0xe298012d,0xdb000343,0x25ae199b}},	//   _dwčt_, маў_, _femå, _tefl_, 
   {{0x20d703c0,0x7d030219,0x785300b3,0x88c702d9}},	//   tçi_, ånsk, măva, spěš, 
   {{0x22430b32,0xd01b5699,0xf194562b,0x00000000}},	//   rijk_, офа_, тись, --, 
   {{0x4ea70aa3,0xd6f20c64,0x20d7569a,0x6d43007a}},	//   држа, _अनाथ_, rçi_, únam, 
   {{0xceff0033,0x4084569b,0x799a039b,0x20d702a4}},	// [4890] ৃন্দ_, турб, _oftw, sçi_, 
   {{0x2489006f,0xff0400c8,0xbd6b00c8,0xdddc0009}},	//   _hiam_, ъясн, орее_, _pirš, 
   {{0x24890118,0x644f02a3,0x224100b4,0x00000000}},	//   _kiam_, onci, _imhk_, --, 
   {{0xdddc00e4,0x447c00c7,0xdfa700eb,0x25e502e6}},	//   _virš, ַנגע, _تحدي, _जॉनी_, 
   {{0xa3d4075a,0xd6c60fdc,0x644f0038,0x2489569c}},	//   स्ट_, _حق_, inci, _miam_, 
   {{0x2489569d,0x661c0219,0x9f4200bc,0xdea4009c}},	//   _liam_, örkl, _jaký_, _شیمی, 
   {{0x9f40008c,0x1b1700cc,0x24890065,0x28c600b0}},	//   ldið_, _দেখে_, _oiam_, रंगि, 
   {{0x248901c1,0x3e7401c4,0xa25b02be,0x00000000}},	//   _niam_, räte_, drôm, --, 
   {{0xf625078c,0x9f40010d,0x2369569e,0x0685569f}},	//   едпо, ndið_, _nyaj_, нгин, 
   {{0xa3e208b3,0x644f248c,0xe6110038,0x69de00b0}},	//   न्न_, enci, اشة_, õpet, 
   {{0xd46a56a0,0x69340d75,0x00000000,0x00000000}},	//   зине_, _инфу, --, --, 
   {{0x2489023b,0x2c750566,0x00000000,0x00000000}},	//   _ciam_, både_, --, --, 
   {{0xe72e0676,0x27ed56a1,0x248956a2,0x87270eea}},	//   _се_, meen_, _diam_, _تعام, 
   {{0x27ed56a3,0x200b02a3,0x23690237,0x644f56a4}},	//   leen_, _anci_, _dyaj_, anci, 
   {{0x50b547c7,0xafe656a5,0x12d00086,0x42d00086}},	//   ксту, новл, িবেদ, িবেশ, 
   {{0x27ed030f,0x248900e7,0x6b9b0539,0x00000000}},	//   neen_, _giam_, _nfug, --, 
   {{0x644656a6,0x15f300bc,0xb3450216,0x00000000}},	// [48a0] miki, _असार_, raçê, --, 
   {{0x200b56a7,0x27ed56a8,0xd12f0019,0x6b9b0547}},	//   _enci_, heen_, جمہ_, _afug, 
   {{0x61d70138,0x27ed56a9,0x61ee56aa,0x682e01be}},	//   _אויף_, keen_, mebl, _lùda, 
   {{0x644656ab,0xdb1b0634,0x24890201,0xfe0e04cc}},	//   niki, _acuñ, _xiam_, साहस_, 
   {{0xa3e205f6,0x27ed165c,0x59f8307f,0xe80300a2}},	//   न्य_, deen_, деля_, _शोधा_, 
   {{0x644656ac,0x61fc56ad,0x61ee56ae,0x78ad0ab4}},	//   hiki, ndrl, nebl, ćavn, 
   {{0x644656af,0x88580b14,0xed57113d,0x7e7e0102}},	//   kiki, микс_, _зор_, mmpp, 
   {{0x683e002a,0x27ed4512,0xa3cc007e,0x644656b0}},	//   līdz, geen_, _लाग_, jiki, 
   {{0xc5f8002a,0x2489023b,0x26010d4f,0x26cd001d}},	//   klēt_, _riam_, _वोही_, gueo_, 
   {{0x2c754329,0x61ee56b1,0x682e00a1,0x6018039f}},	//   råde_, jebl, _dùda, _címz, 
   {{0xa3cc00ea,0x644656b2,0x27ed56b3,0x2489006f}},	//   _लाख_, fiki, been_, _piam_, 
   {{0x64460199,0x248956b4,0x27ed56b5,0x644f0026}},	//   giki, _qiam_, ceen_, unci, 
   {{0x248902be,0x38660379,0x644f01d2,0x00000000}},	//   _viam_, _ikor_, rnci, --, 
   {{0x61ee0502,0x518702a0,0xf10c0299,0x00000000}},	//   gebl, еуба, हमूद_, --, 
   {{0x2bd105fd,0x248901c1,0x644656b6,0x00000000}},	//   _हाला, _tiam_, biki, --, 
   {{0x63a903da,0x24890640,0x644656b7,0x68fc019c}},	//   ñend, _uiam_, ciki, _árdu, 
   {{0x9df956b8,0xe7e234be,0x9f420228,0xc2750477}},	// [48b0] мнат_, क्या_, _taký_, _илиј, 
   {{0x6b9b00fd,0x61ee56b9,0x04b70019,0x27ed01cf}},	//   _sfug, cebl, _تھیں_, zeen_, 
   {{0x27ed03c6,0x26110299,0x00000000,0x00000000}},	//   yeen_, ताती_, --, --, 
   {{0x09c92360,0x27ed01cf,0x442b0372,0x683e0028}},	//   रल्य, xeen_, nkc_, būdi, 
   {{0x27ed35f0,0x9f590034,0x00000000,0x00000000}},	//   veen_, _masë_, --, --, 
   {{0x644656ba,0xceb200c7,0x386656bb,0xa96956bc}},	//   ziki, _דיך_, _akor_, мила_, 
   {{0x27ed56bd,0x644656be,0xed15006b,0xa3e205d0}},	//   teen_, yiki, _جہاں_, न्ड_, 
   {{0x6e2000b3,0x644601f1,0xd70900c8,0x6b9b0548}},	//   _îmbr, xiki, дние_, _ufug, 
   {{0x27ed56bf,0x03ec0086,0x6847011c,0x6b840121}},	//   reen_, য়ামী_, _aèdè, žigr, 
   {{0x27ed0df8,0x3866005c,0x26c302ee,0x7c2b014e}},	//   seen_, _ekor_, čjo_, lkgr, 
   {{0x644656c0,0x03a601a2,0x853c012d,0x9f59010c}},	//   tiki, кино, lbėj, _qasê_, 
   {{0x27ed0065,0x61aa0598,0x61e50387,0x044656c1}},	//   qeen_, कर्ष, _abhl, темн, 
   {{0x386d56c2,0x26cd0503,0xdb091cf0,0x644656c3}},	//   mler_, queo_, _ideó, riki, 
   {{0x644656c4,0x66820019,0x7ae60219,0x7ae94f36}},	//   siki, _پیپل, _äkte, _mpet, 
   {{0x386d1135,0xa06a02c4,0x4f9602a0,0x9f4205d5}},	//   oler_, дава_, врзу, _nakò_, 
   {{0x386d0c05,0x70e214b3,0x7ae90088,0x61ee018c}},	//   nler_, _पहील, _opet, sebl, 
   {{0xa06756c5,0xc7b207f5,0x60dc56c6,0x69c1072b}},	// [48c0] тата_, יבן_, strm, _odle, 
   {{0x386d02f2,0xdee356c7,0x69c131c6,0x6da600cf}},	//   hler_, рофи, _ndle, тижа, 
   {{0x386d56c8,0x7ae921be,0xdb090183,0xf76756c9}},	//   kler_, _apet, _odeó, _چا_, 
   {{0x4420002e,0xf767195e,0x351a00c7,0x69c11417}},	//   _joi_, _نا_, ווענ, _adle, 
   {{0x80e20d95,0x442056ca,0x386d56cb,0x7ae90183}},	//   _पहुं, _moi_, dler_, _cpet, 
   {{0x442056cc,0xa3e237c0,0x386d56cd,0x7875012d}},	//   _loi_, न्त_, eler_, _išvy, 
   {{0x6e431bd2,0x386d56ce,0xc6c30086,0x61e3027e}},	//   _терз, fler_, ্বোচ, _önle, 
   {{0x442056cf,0xc6f827c1,0x386d17f1,0x764356d0}},	//   _noi_, ених_, gler_, _amny, 
   {{0xa3cc283e,0x7c2001c5,0xf76f0038,0x481300f0}},	//   _लाज_, _iomr, ياً_, рмыс, 
   {{0x644456d1,0xceb300a7,0x44200038,0x35e300dd}},	//   _amii, סית_, _aoi_, ацюв, 
   {{0xd7ef1c20,0x386d2379,0x44320691,0x2905044e}},	//   _ку_, bler_, _bly_, _grla_, 
   {{0x644453e5,0x442056d2,0x07a60886,0x6d4300eb}},	//   _cmii, _coi_, _радн, únai, 
   {{0xa3e200c6,0x27e656d3,0x442000d1,0x00000000}},	//   न्ध_, _ibon_, _doi_, --, 
   {{0x442056d4,0x7c2056d5,0x00000000,0x00000000}},	//   _eoi_, _lomr, --, --, 
   {{0x4420144d,0x76480118,0x443202f7,0x00000000}},	//   _foi_, midy, _fly_, --, 
   {{0xceb40264,0xc103022c,0x442056d6,0xa3e200b5}},	//   yyət_, гүүл, _goi_, न्द_, 
   {{0x09ca00cc,0xcddb0267,0xda02009a,0x00000000}},	// [48d0] ল্যা, дње_, लयात_, --, 
   {{0xe7e22158,0x386d05b7,0x387f56d7,0x0e340451}},	//   क्ता_, zler_, zmur_, аную, 
   {{0x7ae956d8,0xee8456d9,0x386d01f0,0x2d87349e}},	//   _spet, рыто, yler_, äne_, 
   {{0x9b59004e,0xd0110038,0x00000000,0x00000000}},	//   ниет_, _الح_, --, --, 
   {{0x7c2b123b,0x386d56da,0x76480102,0xdd1c020b}},	//   rkgr, vler_, kidy, _vášm, 
   {{0x386d56db,0x27e63d9d,0x853c0009,0xcda91036}},	//   wler_, _abon_, rbėj, _سهره_, 
   {{0x386d560a,0x18691911,0xbd6800d9,0x7e650175}},	//   tler_, наки_, _арте_, mohp, 
   {{0xb8db09e2,0x386d56dc,0x00000000,0x00000000}},	//   _अब_, uler_, --, --, 
   {{0x442056dd,0x386d56de,0x3b5556df,0x7643006d}},	//   _roi_, rler_, _скар, _pmny, 
   {{0x69c101cc,0x386d56e0,0x442056e1,0x7c200228}},	//   _udle, sler_, _soi_, _zomr, 
   {{0xc329162e,0xb7d5298e,0x4420048a,0x386d04a8}},	//   _צו_, _مقاب, _poi_, pler_, 
   {{0xe7b70662,0xf2a656e2,0x889a00d1,0x7a3400f6}},	//   _इजिप, лимп, _טבעי, _vàte, 
   {{0x442056e3,0xe29756e4,0x27fd02bf,0x55e50161}},	//   _voi_, лая_, _iawn_, _болб, 
   {{0x27fd0405,0x442002cd,0x27ff0a9f,0x68350183}},	//   _hawn_, _woi_, ldun_, _dáde, 
   {{0x442056e5,0x63a90183,0x6299023e,0xd8380118}},	//   _toi_, ñenc, _éwon, _otčl_, 
   {{0x64440c3d,0x27ff56e6,0x69cd034d,0xa0671c42}},	//   _umii, ndun_, _साझी, гаса_, 
   {{0x67291d8e,0x7c200026,0x7d0302c9,0x673b00de}},	// [48e0] nyej, _romr, ænsn, nzuj, 
   {{0xc3330056,0x63b61be5,0x6296012b,0x7c2056e7}},	//   _לוח_, _heyn, _iuyo, _somr, 
   {{0x7c200a1a,0xca86004e,0xdee300a3,0x6296025b}},	//   _pomr, ңгей, _қори, _huyo, 
   {{0x629656e8,0x27fd0090,0x76480f83,0x3cf800b9}},	//   _kuyo, _nawn_, zidy, _vsrv_, 
   {{0x61fe56e9,0x27ff56ea,0x4af82a08,0x682e01be}},	//   _kapl, ddun_, телю_, _dùdl, 
   {{0x673b0228,0x2ee00045,0x63b6003e,0x6296011b}},	//   dzuj, mtif_, _leyn, _muyo, 
   {{0x764803a0,0xdca356eb,0xa8a3012d,0x7c202e9c}},	//   vidy, _гаси, брык, _tomr, 
   {{0x26c202f5,0x61fe0300,0x76aa4986,0x63b656ec}},	//   škom_, _lapl, нтов_, _neyn, 
   {{0x963425b3,0x2ee049dc,0xa9a601bb,0x764856ed}},	//   иниц, ntif_, _бизд, tidy, 
   {{0x14ca030f,0xa3e20367,0x7d070068,0x00000000}},	//   ными_, न्स_, _yrjs, --, 
   {{0xb99319c7,0x63b6054d,0xd7e600dd,0x87e656ee}},	//   _المب, _beyn, _біло, _бюле, 
   {{0x6f04090e,0x87060274,0x62962b27,0x61fe56ef}},	//   kvic, _مبتل, _buyo, _aapl, 
   {{0xfe040509,0x200004f4,0x051400cc,0x629605b9}},	//   रयास_, ddii_, ানের_, _cuyo, 
   {{0x62960626,0x9f4b0038,0x6f0456f0,0x69d5027e}},	//   _duyo, _tacú_, dvic, _özet, 
   {{0x61fe56f1,0xd5b8002a,0x261156f2,0xa3e229f5}},	//   _dapl, skās_, तारी_, न्ह_, 
   {{0x9f52078a,0x62960065,0x63b60508,0x50671ee8}},	//   meyê_, _fuyo, _geyn, утга, 
   {{0x3da7005b,0x629656f3,0x9f52009e,0x61fe040b}},	// [48f0] греб, _guyo, leyê_, _fapl, 
   {{0x63b604be,0x61fe5038,0x68fa02eb,0x00000000}},	//   _zeyn, _gapl, _ostd, --, 
   {{0x2ee002f6,0x9f520218,0xe817000d,0xe7f900bc}},	//   atif_, neyê_, थामा_, ्यमा_, 
   {{0x8d8403dd,0x3e970038,0xaed51a27,0x69da56f4}},	//   сууд, _مؤسس, _комш, _acte, 
   {{0x26c208b1,0x2ee056f5,0x3d95004f,0x6f0400da}},	//   škoj_, ctif_, _вигр, cvic, 
   {{0x3ea93eac,0xdd940009,0x692502f1,0x9f52010c}},	//   mpat_, _гары, имла, keyê_, 
   {{0x443956f6,0x9f52010c,0x18a50aca,0x3ea956f7}},	//   khs_, jeyê_, шайм, lpat_, 
   {{0x9f52010c,0x26df02a3,0xec6856f8,0x00000000}},	//   deyê_, ttuo_, _брук_, --, 
   {{0x63b6010d,0xa3d90e0d,0xe7390f6b,0xdb26006b}},	//   _reyn, ालन_, теп_, _پولی, 
   {{0x673b02d9,0x63b60151,0x6296007c,0x3ea916cd}},	//   rzuj, _seyn, _ruyo, ipat_, 
   {{0x629656f9,0x6f0400ef,0x6729024a,0x61fe56fa}},	//   _suyo, zvic, syej, _rapl, 
   {{0xe29a56fb,0x63860def,0x629656fc,0x61fe56fd}},	//   кам_, игна, _puyo, _sapl, 
   {{0x61fe24a5,0x629600a3,0x63bb003e,0x8c1a0486}},	//   _papl, _quyo, ðuna, דורי, 
   {{0x63b60218,0x6f0401d8,0xe5a500a3,0xdb0000da}},	//   _weyn, vvic, _тики, _nemý, 
   {{0x602656fe,0x9f59010c,0x216a56ff,0x1fb65700}},	//   адва, _qasî_, тиви_, исар, 
   {{0x3204006a,0x44395701,0x3db20086,0x62965702}},	//   śmy_, chs_, _চাইল, _tuyo, 
   {{0x645d5703,0x26cd0379,0x2d9605de,0x00000000}},	// [4900] érie, nreo_, арес, --, 
   {{0xee375704,0x35dd0b20,0x2ee05705,0xa2bb0070}},	//   ану_, _माफ़, rtif_, _שמיט, 
   {{0x7afb5706,0x3ea906e4,0x2ee00151,0xf41f00c2}},	//   _asut, apat_, stif_, smäe_, 
   {{0xa3d908dd,0x2ee05707,0x26c2039f,0x00000000}},	//   ालय_, ptif_, ákok_, --, 
   {{0x6a8606fb,0x9f520216,0x539b00d1,0x00000000}},	//   алда, zeyê_, דינו, --, 
   {{0x98c61cbe,0x7a340465,0x7bdb052b,0x26cd2a5c}},	//   асил, _bàta, _ecuu, dreo_, 
   {{0x7a3400f6,0x7afb01b8,0x2d9c010e,0x00000000}},	//   _càta, _esut, űves_, --, 
   {{0x5886005e,0xb8ce05d2,0x4814471e,0xb8fe02e6}},	//   шыла, _कऽ_, смис, _तम_, 
   {{0xe7e200ea,0xfaa31ee6,0x9f52009e,0xea8a03a1}},	//   क्षा_, _мато, weyê_, _абал_, 
   {{0x9f520218,0xd9463cab,0xb3b00033,0x00000000}},	//   teyê_, _кези, _কাগজ, --, 
   {{0x0d9700a7,0xd82f5708,0x7ae25709,0x4439570a}},	//   יכים_, _дэ_, ltot, ths_, 
   {{0x66e62d26,0xe786570b,0x9f52010c,0x62980112}},	//   _вода, _куло, reyê_, _čvor, 
   {{0x7ae2570c,0x26cd033c,0x9f520216,0xc4580080}},	//   ntot, creo_, seyê_, риях_, 
   {{0x05dd02f8,0xb7e21e25,0xe7f91f30,0x25dd00aa}},	//   _मायब, क्रम_, ्यथा_, _खायी_, 
   {{0x6835014b,0x389501dd,0x7ae2033d,0xd258004f}},	//   _háda, _pāri_, htot, рця_, 
   {{0x3ea9011d,0x5f4500eb,0xdb000380,0x93b50bad}},	//   tpat_, منزل, _bemü, _убиц, 
   {{0xdb00570d,0xe7f905f6,0x3ea9570e,0x41e70009}},	// [4910] _memó, ्यता_, upat_, _кіна, 
   {{0x63bd570f,0x313545a8,0x3ea95710,0xf41f00c8}},	//   lasn, _геор, rpat_, ljä_, 
   {{0x03ec0086,0x26cd05ae,0x7c39446d,0xbe88018a}},	//   য়ারী_, zreo_, thwr, рсте_, 
   {{0x3ea95711,0xa2ce0667,0x69d8013c,0x61f55712}},	//   ppat_, _तिम्, egve, lezl, 
   {{0x09df00cc,0xdb0001c4,0xee87134f,0xa9a55713}},	//   _যোগা, _gemü, _выво, билд, 
   {{0x6ca74d9a,0x63bd5714,0xf41f0080,0x7a3400a1}},	//   _враж, hasn, hjä_, _pàta, 
   {{0x63bd03ef,0xd90f0274,0x2ef50095,0x261a296a}},	//   kasn, بیا_, şafı_, बानी_, 
   {{0x9b8900b8,0x320100a9,0x26cd5715,0x7ae23ebc}},	//   _منزل_, _lahy_, treo_, btot, 
   {{0x63bd00d2,0xdb000d00,0x68350183,0x1dcb0e17}},	//   dasn, _demó, _cáda, ाणपत, 
   {{0x26cd127e,0xa2ce0484,0x63bb008c,0x645e0082}},	//   rreo_, _तिब्, ðunn, čsim, 
   {{0x26cd1993,0x63bd5716,0xd54911b9,0x00000000}},	//   sreo_, fasn, упне_, --, 
   {{0xd79500eb,0x60d5034c,0xa4160033,0x7bd95717}},	//   _الإخ, duzm, াস্য_, ngwu, 
   {{0x32010102,0x3a2500c3,0x06d50033,0xd34800d7}},	//   _bahy_, _kolp_, _তৈরি, شیده_, 
   {{0xdb193f82,0xc6920070,0xdb000118,0x71a3286c}},	//   gawé, _זאג_, _kemò, зарз, 
   {{0x63bd5718,0x320101a7,0x41a900bc,0x00000000}},	//   basn, _dahy_, _कभरस, --, 
   {{0xdb0003a1,0x63bd149a,0x7ae20106,0x35dd00c9}},	//   _memò, casn, ytot, _माड़, 
   {{0x4f0a1472,0xe7e9047b,0x63a413c7,0x32010354}},	// [4920] ынан_, झ्या_, _ifin, _fahy_, 
   {{0x60c901dd,0x00000000,0x00000000,0x00000000}},	//   ņema, --, --, --, 
   {{0x23be0035,0xb7f95719,0x019700d1,0x00000000}},	//   _्याद, ्याम_, _לכיש_, --, 
   {{0x7ae2571a,0x7ff62f67,0xdee6134b,0x307508ba}},	//   ttot, _اسدا, _ломи, _муяс, 
   {{0xa3d90838,0x853c012d,0xdb000042,0x63a4571b}},	//   ालत_, lbėt, _remó, _mfin, 
   {{0x7ae2571c,0x2002086d,0x3e360a24,0x7c964243}},	//   rtot, _haki_, _افسر, _грац, 
   {{0x20022546,0xf41f0088,0x69d850c0,0x3ceb23f2}},	//   _kaki_, yjä_, rgve, čivá_, 
   {{0x6d5700c7,0x200200ab,0x63a40126,0xdb0003dd}},	//   _הילף_, _jaki_, _nfin, _demò, 
   {{0x368a4914,0x3b07571d,0x501b00a7,0x9f49003e}},	//   лсон_, _лето_, רופו, ndað_, 
   {{0x2002571e,0x63a4014a,0x63bd571f,0x3a250102}},	//   _laki_, _afin, wasn, _golp_, 
   {{0xe853040f,0x63bd5720,0x69c85721,0xdb000068}},	//   _کنند, tasn, _idde, _temó, 
   {{0x24805722,0x491700a7,0x32010180,0x20025723}},	//   _chim_, _לקבל_, _sahy_, _naki_, 
   {{0x63a4012b,0xb8653147,0x61f511c7,0x00000000}},	//   _dfin, _بالو, tezl, --, 
   {{0x290c00ef,0xe5341619,0x63a40679,0x9f4b010e}},	//   _krda_, _мель, _efin, ámít_, 
   {{0x20025724,0xdddc5725,0x25dd007e,0x63a45726}},	//   _baki_, _birž, _खाती_, _ffin, 
   {{0x290c0a1a,0x25be012b,0xf4850019,0xdb190216}},	//   _mrda_, latl_, _باتی, dawî, 
   {{0x69c85727,0x20025728,0xdddc0009,0x59c8009a}},	// [4930] _odde, _daki_, _dirž, रणार, 
   {{0x290c5729,0xdceb0032,0x20070083,0x78530474}},	//   _orda_, žiči, śni_, răvi, 
   {{0x5f95572a,0xacf900bf,0x59d2009a,0x2ca7572b}},	//   _минт, рнеу_, _साजर, ënd_, 
   {{0x69db2894,0xfbd000c5,0x69c80056,0x644f4508}},	//   _नाही, فته_, _adde, nici, 
   {{0xdc390405,0x290c572c,0x00000000,0x00000000}},	//   għġb, _arda_, --, --, 
   {{0x290c090b,0x644f572d,0x2002572e,0x8cbb313f}},	//   _brda_, hici, _zaki_, _مدرس_, 
   {{0xa3d9075a,0x2002011c,0x3a25006d,0x9f52009e}},	//   ाला_, _yaki_, _volp_, neyî_, 
   {{0x09ca00cc,0x69c80547,0x2907572f,0x63a90183}},	//   ল্লা, _edde, rvna_, ñenl, 
   {{0x25dd190a,0xba5503b7,0x290c01ff,0x9f590054}},	//   _खादी_, _двај, _erda_, _jasà_, 
   {{0x63a45730,0x248001ff,0x0a6b02a6,0x6aa90226}},	//   _sfin, _shim_, _срби_, _itef, 
   {{0x24805731,0x6e274699,0xe5710038,0x290c0144}},	//   _phim_, _mojb, بطة_, _grda_, 
   {{0x644f026d,0x9f52009e,0x787e0034,0x546a2363}},	//   gici, deyî_, tëve, рамм_, 
   {{0xe29a5732,0x67d40769,0x20025733,0x645d12aa}},	//   раг_, _хочу, _raki_, éria, 
   {{0xa5095734,0x20025735,0xe61100d7,0x787e021e}},	//   _века_, _saki_, _زشت_, rëve, 
   {{0xf41f030f,0x2480006f,0x20025736,0x66035737}},	//   mmän_, _thim_, _paki_, _iank, 
   {{0xf41f0a6f,0x66035738,0xf1dc5739,0xdbf2031e}},	//   lmän_, _hank, _बावन, _příz, 
   {{0x7e26196d,0x3e6f0019,0x26c2220b,0xef1a4ffb}},	// [4940] одаж, yütt_, škov_, шма_, 
   {{0x6603573a,0x7bc92953,0x4422573b,0x2002025b}},	//   _jank, _adeu, ljk_, _waki_, 
   {{0x6835026e,0x2002573c,0x9f4b00f6,0x6603573d}},	//   _nádo, _taki_, _bacó_, _mank, 
   {{0xd00a34c0,0x6603573e,0x717b0056,0x2aaa1c93}},	//   _теме_, _lank, _כניס, атко_, 
   {{0xd8381bcd,0xda660141,0xab83573f,0x7bc90156}},	//   _juče_, овди, мушк, _ddeu, 
   {{0x683c026d,0x66035740,0xd8380112,0x7bc90096}},	//   _méde, _nank, _muče_, _edeu, 
   {{0xed575741,0x644f5742,0x69db0ed5,0x683c0354}},	//   _дор_, yici, _नारी, _léde, 
   {{0x6603051e,0x00000000,0x00000000,0x00000000}},	//   _aank, --, --, --, 
   {{0xb5fc0405,0x7c222032,0x00000000,0x00000000}},	//   loġi, mjor, --, --, 
   {{0x69c85743,0x66035744,0x644f00ab,0x290c0121}},	//   _udde, _cank, wici, _trda_, 
   {{0x66034e3c,0x644f173f,0x29180082,0x290c5745}},	//   _dank, tici, _šraf_, _urda_, 
   {{0x7c225746,0xd6d90035,0xd838203b,0x00000000}},	//   njor, szła_, _buče_, --, 
   {{0x9f520218,0x660300a9,0x67560274,0x261a00e6}},	//   weyî_, _fank, _بخار, बादी_, 
   {{0x644f3c91,0x7e04000c,0x3869003a,0x44fa011f}},	//   sici, रयोग_, čare_, _tū_, 
   {{0x6e270216,0xe3bf0042,0xa1945747,0xf43500b3}},	//   _rojb, pañ_, дарч, _некэ, 
   {{0x66035748,0x9f52009e,0x26c2014b,0x2d985749}},	//   _zank, reyî_, škou_, _agre_, 
   {{0xdd9b574a,0x9f4b03a1,0x7c22574b,0x644d574c}},	// [4950] аше_, _racó_, djor, _imai, 
   {{0x4429574d,0x26c4574e,0x9f4b04b3,0x66030248}},	//   _hoa_, ismo_, _sacó_, _xank, 
   {{0x6aa9574f,0x44290a49,0x20160187,0x644d00e2}},	//   _stef, _koa_, ácií_, _kmai, 
   {{0x7c220ebf,0x8ccc0d1d,0x1c0b1c54,0x7a3d00d7}},	//   gjor, _हिरो, _सोशल_, _mète, 
   {{0x44290489,0x3b092e07,0x501a07e4,0xa9a55750}},	//   _moa_, село_, _הורו, пилд, 
   {{0xceb2392b,0x44295751,0x6f0f0036,0x3e660379}},	//   _איך_, _loa_, _ircc, kôty_, 
   {{0x66035752,0x644d00c8,0x7c225753,0x98a25754}},	//   _rank, _omai, bjor, нище, 
   {{0x59d70f01,0x44295755,0x66035756,0x3b0d016a}},	//   _ठाकर, _noa_, _sank, _treq_, 
   {{0x41dc00ae,0x26c40028,0x00000000,0x00000000}},	//   _बालस, gsmo_, --, --, 
   {{0x644d5757,0x3eb901c4,0x7c29083c,0x645d5758}},	//   _amai, _mwst_, _hoer, érin, 
   {{0x44295759,0x7c29575a,0x6603575b,0x7c3b575c}},	//   _boa_, _koer, _vank, _klur, 
   {{0x442924d3,0x6603575d,0x7c294f75,0xaacf00a5}},	//   _coa_, _wank, _joer, _हटाक, 
   {{0x6603176e,0x4429575e,0x7c29575f,0x987a008d}},	//   _tank, _doa_, _moer, _פאנט, 
   {{0x683c0019,0xd8380112,0x249600d4,0x386d0511}},	//   _véde, _vuče_, _کنيد_, loer_, 
   {{0x7c3b03c0,0x28cf0249,0x3eb90156,0xe7e217dc}},	//   _olur, सूचि, _awst_, क्का_, 
   {{0xd83801b4,0x7c295760,0x644d5761,0x60235762}},	//   _tuče_, _noer, _gmai, ндса, 
   {{0xe7e31215,0x7d0e1a01,0xee3a2cb9,0x2fc05763}},	// [4960] _गाना_, _srbs, бна_, raig_, 
   {{0x2fc05764,0x3ea00034,0x9f4b010e,0x386d1f03}},	//   saig_, rqit_, ámát_, hoer_, 
   {{0x7c295765,0xa06a0161,0x8fa65766,0x644d5767}},	//   _boer, _гана_, _нане, _ymai, 
   {{0x386d023e,0xd6d900ab,0x7c293499,0x7c3b2f22}},	//   joer_, kuł_, _coer, _clur, 
   {{0x7c223d23,0x08e60033,0x683502be,0x386d02c5}},	//   rjor, কিছু_, _cádm, doer_, 
   {{0x38a30092,0x7c3b5768,0x7c221128,0x776200c3}},	//   _sıra_, _elur, sjor, _rxox, 
   {{0x60c8007a,0x7c2905e8,0xf84a00d9,0x2d8c0151}},	//   ádmh, _foer, йчий_, _àde_, 
   {{0x9714048a,0xd6da00dd,0x8d5b00d1,0x7c3b01d2}},	//   дмиц, бто_, _הכלי, _glur, 
   {{0x442905f0,0xbbd8017d,0xa2ce016a,0xf6e30028}},	//   _roa_, डलीक, _तिष्, нцэн, 
   {{0xba293b7a,0xceb300a7,0xdce70035,0xdb000219}},	//   _وسلم_, עית_, _wyją, _bemö, 
   {{0x25dd0081,0x386d5769,0x4429576a,0x645d576b}},	//   _खारी_, boer_, _poa_, ério, 
   {{0x897b00c7,0x6249014b,0x644d008a,0x7bc20548}},	//   _פראצ, nžov, _qmai, naou, 
   {{0x288b040f,0x4429576c,0x69dc02ae,0xd05000ad}},	//   _اصلی_, _voa_, _öres, _ödəy, 
   {{0x26c2012d,0xa2ce00bc,0x3e660054,0x4429576d}},	//   škos_, _तिर्, pôty_, _woa_, 
   {{0x4429576e,0x0cd700cc,0xae0a031e,0x61144d6b}},	//   _toa_, _সন্ত, _होइन_, ндру, 
   {{0x644d576f,0xdefb03fd,0x656f0502,0x00000000}},	//   _umai, йыз_, ßche, --, 
   {{0x7c295770,0x92080243,0xddde02d9,0x2611009a}},	// [4970] _roer, _brāļ, lopř, ताची_, 
   {{0xd35800a7,0xb2bc00d1,0x93780038,0x46d400bc}},	//   _משחק_, _המזר, _عصير_, _दिनह, 
   {{0xd7dc047b,0x7c2900d7,0xfe700038,0x7a2f004f}},	//   _यांच, _poer, ادق_, _møtt, 
   {{0x645d5771,0x9f3500f0,0x98c402d9,0x317e0502}},	//   nnsi, _жемі, štěn_, ütze_, 
   {{0x7c2909a2,0xa3e20527,0x25dd34be,0x386d1698}},	//   _voer, न्ट_, _खाली_, voer_, 
   {{0x2009012d,0xae0a00a2,0x7c295772,0x645d0380}},	//   ldai_, _होऊन_, _woer, hnsi, 
   {{0x7c295773,0x2ee9010d,0x6f0d033c,0x9c470b58}},	//   _toer, ltaf_, lvac, _ехал, 
   {{0x20090fb7,0x77f91df3,0xd6d900ab,0x7a3d0237}},	//   ndai_, ्येक_, tuł_, _bètc, 
   {{0xfaf01057,0x2ee902bf,0xd7060088,0x6b9b0ae3}},	//   _مثل_, ntaf_, дные_, _igug, 
   {{0xd6d90035,0xafdb00fc,0x28dd009a,0x787e021e}},	//   szło_, _fløg, नंदि, rëva, 
   {{0x69c30b07,0x6f0d1993,0xab5d00c3,0x2284010e}},	//   mane, hvac, _beżg, nöke_, 
   {{0x69c35774,0x9f40008c,0x6285010e,0x629700f6}},	//   lane, keið_, _ahho, _aixo, 
   {{0x200902f0,0x7a3401f5,0x261a3e41,0x26c20097}},	//   ddai_, _bàth, बाशी_, škor_, 
   {{0x69c30364,0x27ed02f2,0x2009012d,0xf38100f0}},	//   nane, lfen_, edai_, ығым, 
   {{0x4096535b,0x62975775,0xafe600dd,0x261a0497}},	//   драт, _dixo, мовл, बारी_, 
   {{0x6d452998,0x62971321,0xd8380372,0x683c01e5}},	//   dzha, _eixo, _kuča_, _kéda, 
   {{0x69c35776,0x2cad0267,0xf41300a7,0x27ed01c4}},	// [4980] kane, _čeda_, _יפה_, ifen_, 
   {{0x20195777,0x683c5778,0x69c35779,0x0dca46c3}},	//   _ensi_, _méda, jane, ілей_, 
   {{0x621b07f5,0x61fc577a,0xafdb0c85,0xd8380ab4}},	//   _וויק, merl, _blød, _luča_, 
   {{0x61fc577b,0x629f00cf,0xeb9a2f7c,0xa3e20cd6}},	//   lerl, _yuqo, цид_, न्च_, 
   {{0x69c3577c,0xdb000187,0x624917cb,0xdb0b577d}},	//   fane, _nemô, ržov, dagó, 
   {{0x69c3577e,0x27ed577f,0x320a0b41,0x62975780}},	//   gane, efen_, ndby_, _xixo, 
   {{0x27ed2e0d,0x26f8215e,0xafdb02c9,0x998502d9}},	//   ffen_, ्ट्र_, _flød, _dolů_, 
   {{0x61e901b4,0x683c5781,0x27ed0156,0xec16011c}},	//   đeli, _béda, gfen_, _تورد, 
   {{0x69c35782,0xa3e20351,0x61fc5783,0x60dc321e}},	//   bane, न्छ_, kerl, hurm, 
   {{0x386903ef,0x61fc0588,0x645d5784,0x7bc02e5d}},	//   čara_, jerl, wnsi, _hemu, 
   {{0x61fc5785,0x7bc05786,0x6aa0095a,0x2455009c}},	//   derl, _kemu, _humf, فندس, 
   {{0x7bc05787,0x6835026e,0x6aa05788,0x60dc5789}},	//   _jemu, _nádh, _kumf, durm, 
   {{0x7bc0578a,0x61fc578b,0x645d578c,0xd8380097}},	//   _memu, ferl, rnsi, _guča_, 
   {{0x7bc0578d,0x60dc007b,0xc5d50086,0x6aa02d41}},	//   _lemu, furm, ত্বপ, _mumf, 
   {{0xa3e70d1d,0x62970068,0xe5f700a7,0xf7080023}},	//   _पाप_, _vixo, _חזור_, _hủ_, 
   {{0x7bc0578e,0x6f0d0613,0x7a3400b9,0x7a3d0542}},	//   _nemu, tvac, _dàti, _mèta, 
   {{0x61fc0c05,0x69c3578f,0x62975790,0x20095791}},	// [4990] berl, yane, _tixo, rdai_, 
   {{0x61fc5792,0x2ca70496,0xab5d458d,0x60dc5793}},	//   cerl, índo_, _jeże, burm, 
   {{0x69c35794,0x7bc00019,0x2ee91bc7,0x3e740219}},	//   vane, _bemu, staf_, vätt_, 
   {{0x443902f7,0x69c35795,0x7bc000e2,0x09d700a2}},	//   nks_, wane, _cemu, ठल्य, 
   {{0x7bc05796,0xa3e702f8,0xfb350028,0x44395797}},	//   _demu, _पान_, эндэ, iks_, 
   {{0xd3380056,0x683c026a,0x6aa03dfc,0xa2d71f02}},	//   ורדה_, _réda, _dumf, _बिन्, 
   {{0xdb0b0084,0x27ed0c05,0x3e74014e,0x7a34022c}},	//   tagó, tfen_, rätt_, _xàti, 
   {{0x7bc0381a,0x44390b32,0x69c35798,0x27ed02f2}},	//   _gemu, jks_, sane, ufen_, 
   {{0x27ed18db,0xf70800e7,0x9f4b014b,0x61e5145e}},	//   rfen_, _củ_, _obcí_, _ochl, 
   {{0x44395799,0xab84579a,0x7bc00267,0xd8380613}},	//   eks_, _руск, _zemu, _vuča_, 
   {{0x27ed01c4,0xc8c91c03,0x7bc001b8,0xab5d00a4}},	//   pfen_, _روشن_, _yemu, _deże, 
   {{0x69c1579b,0xd838265d,0x61e500f8,0x7a3400f6}},	//   _hele, _tuča_, _achl, _ràti, 
   {{0x2bd000a2,0x7a3400f6,0x163500d9,0x683500de}},	//   हणता, _sàti, _педя, _nádi, 
   {{0x69c1579c,0x975600a7,0x60dc579d,0x61fc0380}},	//   _jele, _אינו_, turm, uerl, 
   {{0x69c135d9,0xae0322f8,0x78a100b9,0x463a0070}},	//   _mele, रजनन_, _julv, _מעסע, 
   {{0x69c1579e,0x4439579f,0x61fc57a0,0xafdb03a9}},	//   _lele, cks_, serl, _smør, 
   {{0x68350503,0x1e860849,0x61fc1582,0x69c10026}},	// [49a0] _cádi, елам, perl, _oele, 
   {{0x7bc01336,0x2d9c155b,0x69c157a1,0x9f400b32}},	//   _semu, øve_, _nele, lgië_, 
   {{0x7bc004bb,0x163600c7,0x71bb00d1,0x41bb00d1}},	//   _pemu, ענער_, _מציג, _מציע, 
   {{0xdd8f0fdc,0x09c800a2,0xa06a03dc,0x3a3e0089}},	//   حوم_, रण्य, _хама_, _sltp_, 
   {{0x628e57a2,0x2905027e,0x9421009a,0xa3de3355}},	//   ombo, _asla_, यातच_, _ढाई_, 
   {{0xfce657a3,0x78a157a4,0xf70800e7,0x7a3d00f6}},	//   _пого, _bulv, _rủ_, _pèta, 
   {{0x7bc057a5,0x645d42f2,0xc7c60a81,0xf1b307e4}},	//   _temu, érik, нспи, נסה_, 
   {{0xfba40586,0x69c100bd,0x6aa0025b,0x571819fe}},	//   _ओलिम, _eele, _tumf, джия_, 
   {{0x69c157a6,0xc6f7058b,0x8c4300c8,0x6e2e57a7}},	//   _fele, еных_, _сете, _kobb, 
   {{0x69c157a8,0x6e2e57a9,0x78a102a3,0x3a060019}},	//   _gele, _jobb, _fulv, _سکتی_, 
   {{0x6e2e57aa,0x78a103a9,0x3ea257ab,0x06de0033}},	//   _mobb, _gulv, _lukt_, _বৈশি, 
   {{0x61e502e7,0xf708001b,0xda1e0c46,0x443957ac}},	//   _schl, _tủ_, पावत_, uks_, 
   {{0xa3e71516,0x443957ad,0x27e6175b,0x683c3227}},	//   _पाठ_, rks_, _icon_, _hédo, 
   {{0x443957ae,0x171b00a7,0x6e2e57af,0x69c10218}},	//   sks_, _מודע, _nobb, _xele, 
   {{0x6d590216,0x2cad015e,0x443900ef,0x68352033}},	//   şwaz, _čedo_, pks_, _sádi, 
   {{0x4ea70934,0x683c0151,0x3ea205a1,0xaf340e0e}},	//   ержа, _médo, _bukt_, گرفت, 
   {{0x6e2e57b0,0x63ad57b1,0x63bb003e,0x6e9957b2}},	// [49b0] _bobb, _ifan, ðunu, двар_, 
   {{0x6e2e57b3,0x54e400b0,0xa3d90df2,0x7f58181b}},	//   _cobb, _कमाए_, ालक_, хаус_, 
   {{0x6e2e57b4,0xf65300c7,0x660a57b5,0x248957b6}},	//   _dobb, נצע_, _mafk, _kham_, 
   {{0x3ea20946,0xfff9009c,0x00000000,0x00000000}},	//   _fukt_, _تکست_, --, --, 
   {{0x63ad086d,0x09e557b7,0x248957b8,0x00000000}},	//   _mfan, волн, _mham_, --, 
   {{0x660a134c,0x200b57b9,0x69c157ba,0x6e2e02a3}},	//   _nafk, _haci_, _qele, _gobb, 
   {{0x200b002c,0x18690258,0x63ad57bb,0x24890054}},	//   _kaci_, маки_, _ofan, _oham_, 
   {{0xe81e007e,0x69c157bc,0x200b090b,0xac94005e}},	//   भाषा_, _wele, _jaci_, _басш, 
   {{0xdcfc00e0,0xdb00008c,0x1dc50790,0xfae002d9}},	//   _izrā, _afmæ, _लजात, íště_, 
   {{0x63ad57bd,0x3b5450db,0x69c10548,0x78a101ad}},	//   _afan, _скур, _uele, _tulv, 
   {{0x0446030f,0x558923d7,0xd46a16d9,0x9f490038}},	//   венн, ьбом_, дине_, dfaí_, 
   {{0x200b04d1,0x25dd051f,0x2af5007e,0x248957be}},	//   _naci_, _खाकी_, _इहाँ_, _cham_, 
   {{0x66054a1c,0x248957bf,0x66e557c0,0x1de20083}},	//   _апла, _dham_, _рола, _पालत, 
   {{0xe2972568,0xe5a21e38,0x2d9c0187,0x63ad57c1}},	//   кая_, _киши, ľvek_, _efan, 
   {{0xe297189f,0xa2ce3832,0x63ad017c,0x00000000}},	//   тар_, _तिक्, _ffan, --, 
   {{0x63a90496,0x27ff005f,0x200b57c2,0x6e2e0036}},	//   ñent, neun_, _caci_, _sobb, 
   {{0x6da657c3,0xa3e70d1d,0x59d1009a,0x200b57c4}},	// [49c0] виза, _पात_, सणार, _daci_, 
   {{0x27ff005f,0x200b01f2,0x4f9557c5,0xae1c00bd}},	//   heun_, _eaci_, урсу, नाइन_, 
   {{0x27ff3104,0x200b57c6,0x614604ac,0xd7b30110}},	//   keun_, _faci_, _рена, ीराच, 
   {{0x27ff11e9,0x69d703da,0x7a3d0237,0x683c0175}},	//   jeun_, óxen, _bèto, _rédo, 
   {{0x6e2e57c7,0x7c6557c8,0x200000b3,0x63a90028}},	//   _tobb, دالل, meii_, ženg, 
   {{0x6f0402b8,0x683c0883,0x27ff0175,0xdb0b01d5}},	//   mwic, _pédo, eeun_, ragð, 
   {{0x98c30904,0x7c9600b3,0x63a10083,0x00000000}},	//   асыл, _арац, ślni, --, 
   {{0x27ff57c9,0x660a57ca,0x00000000,0x00000000}},	//   geun_, _safk, --, --, 
   {{0xe7e30081,0xfaa6285b,0xc05300a7,0x6f0457cb}},	//   _गारा_, _разо, יזה_, nwic, 
   {{0x63ad00d9,0x44ea02a3,0x14ca0080,0x00000000}},	//   _sfan, tù_, мыми_, --, 
   {{0x248957cc,0x980600d3,0x6f040282,0xd5b801dd}},	//   _pham_, _аялд, hwic, rbā_, 
   {{0x5fe116df,0x27ff033e,0xdceb00ef,0x6f040610}},	//   _फाइल, ceun_, žići, kwic, 
   {{0x1de21f5e,0x44ea0036,0xb03500a3,0x20000474}},	//   _पांत, sù_, қнаш, deii_, 
   {{0x7df3000d,0x200b57cd,0xab5d00c3,0x2ef90027}},	//   _měsí, _saci_, _jeża, _rpsf_, 
   {{0x248957ce,0x200b57cf,0xdfd5134f,0x0efd009a}},	//   _tham_, _paci_, ловы, ॉट्स_, 
   {{0x63ad0053,0x2369006f,0x261a0a34,0x644657d0}},	//   _ufan, _txaj_, बाकी_, chki, 
   {{0x44ce57d1,0x22840219,0x59b400c2,0x4ea457d2}},	// [49d0] lę_, söka_, ुरार, арха, 
   {{0x7a3d03dd,0x41a701a4,0xab5d01f2,0x27ff57d3}},	//   _rèto, _खलिस, _neża, zeun_, 
   {{0x44ce57d4,0x3cd52cdb,0x72340038,0x200b57d5}},	//   nę_, ужес, _خريط, _taci_, 
   {{0x1c1d09ec,0x2ef9018e,0x6f0457d6,0x20000474}},	//   फाइल_, _tpsf_, bwic, ceii_, 
   {{0x41a71615,0x00000000,0x00000000,0x00000000}},	//   _खलास, --, --, --, 
   {{0x44ce57d1,0x2fc957d7,0x3e6f02eb,0x00000000}},	//   kę_, laag_, hütz_, --, 
   {{0x44ce00ab,0x27ff57d8,0xe8f50038,0x99850144}},	//   ję_, teun_, استخ, _bolš_, 
   {{0xd70957d9,0x2fc907fc,0x44ce57da,0x22580380}},	//   ение_, naag_, dę_, zirk_, 
   {{0x27ff11e9,0xe5a50a81,0x3c5800b3,0xeac30259}},	//   reun_, липи, _ритэ_, _тұлп, 
   {{0x9a8735d3,0x27ff57db,0x7afb137f,0x26f300b0}},	//   _рубл, seun_, _iput, _अहीर_, 
   {{0x44ce57da,0x27ff005f,0x3866004f,0x00000000}},	//   gę_, peun_, _fjor_, --, 
   {{0xc2090052,0x999e0118,0x2fc90876,0x068403a1}},	//   _מה_, _antň_, jaag_, лгөн, 
   {{0x2fc90326,0x4de300bc,0x5a4400b3,0x2e360566}},	//   daag_, खलाई_, _сэӂа, _kæft_, 
   {{0x644657dc,0x387f33af,0x6fe102e6,0x44ce57dd}},	//   shki, llur_, _फाउं, bę_, 
   {{0x213e1930,0x44ce00ab,0x660157de,0x21670176}},	//   áth_, cę_, melk, гири_, 
   {{0x6f0402f2,0x320c014b,0x1fb50cd9,0xc95200d1}},	//   twic, ždy_, исур, צמן_, 
   {{0x442047d2,0x33260264,0x64560199,0x64440548}},	// [49e0] _ini_, _çox_, _imyi, _ilii, 
   {{0x443257df,0xa20657e0,0x6f0457e1,0x539b00d1}},	//   _hoy_, _спод, rwic, _איפו, 
   {{0x442057e2,0x63a91c76,0x4ac607d5,0x644414b9}},	//   _kni_, žene, रीनव, _klii, 
   {{0xf767182b,0x0b462595,0xfaa657e3,0xdd8f0133}},	//   _ها_, лнен, гадо, سون_, 
   {{0xa3e7130c,0x60c9002a,0xda7a069b,0xa09b00c7}},	//   _पास_, ņemt, няк_, _ריכט, 
   {{0xa2d7000c,0xada30028,0x44320104,0xf41f00c8}},	//   _बिस्, _гарл, _loy_, lmät_, 
   {{0x442003ef,0x660129b6,0x629e01a7,0x644457e4}},	//   _oni_, delk, _mipo, _olii, 
   {{0x629e4745,0xc6f854ec,0x387f008c,0x44ce0009}},	//   _lipo, вних_, glur_, vę_, 
   {{0xab66307f,0x44ce0035,0x660157e5,0xbf9a0070}},	//   _свал, wę_, felk, עיִש, 
   {{0x442057e6,0x44ce17da,0x644457e7,0x629e57e8}},	//   _ani_, tę_, _alii, _nipo, 
   {{0x442057e9,0x387f57ea,0x644401be,0x9e7700a7}},	//   _bni_, blur_, _blii, רגיה_, 
   {{0x69ca57eb,0x44ce1dfa,0x439533c4,0x2b9a0540}},	//   lafe, rę_, ианс, _gücü_, 
   {{0x442057ec,0x660157ed,0x443257ee,0x44ce44d5}},	//   _dni_, belk, _doy_, sę_, 
   {{0x442057ef,0x659457f0,0x69ca57f1,0x629e57f2}},	//   _eni_, _калу, nafe, _cipo, 
   {{0x629e57f3,0x443257f4,0x765a57f5,0xbe05010e}},	//   _dipo, _foy_, mity, یورٹ, 
   {{0x765a57f6,0xa2ce00a2,0x69ca57f7,0x7ae2012d}},	//   lity, _तिच्, hafe, kuot, 
   {{0xcddb2fa3,0xf3f000eb,0x2fc90d2d,0x7ae2012d}},	// [49f0] ење_, _رأي_, raag_, juot, 
   {{0x59e0000c,0x765a57f8,0x7ae2012d,0x629e57f9}},	//   _नागर, nity, duot, _gipo, 
   {{0x2d87014e,0x69ca57fa,0x44202e09,0x44320104}},	//   åne_, dafe, _yni_, _yoy_, 
   {{0x660100ab,0x765a0088,0x44323e06,0x644401be}},	//   zelk, hity, _xoy_, _xlii, 
   {{0x34c109d3,0x3ea900a3,0xf21a0b79,0x765a57fb}},	//   _शब्द, qqat_, _फोड़_, kity, 
   {{0x50b80f1c,0x08d557fc,0x6835026e,0xdb0b0054}},	//   _جدید_, ация, _nádr, dagô, 
   {{0x63bd0102,0x1a680019,0x7a3457fd,0x323800d1}},	//   kbsn, دیلی_, _pàtr, רטון_, 
   {{0x38aa00a1,0x660157fe,0x2bbb007a,0x00000000}},	//   _dùr_, welk, _سارة_, --, 
   {{0x7afb02f5,0x7bcb57ff,0xeab01fe8,0x442000a3}},	//   _uput, magu, _فعل_, _rni_, 
   {{0x44325800,0x7bcb5801,0x387f003e,0x26cd5802}},	//   _soy_, lagu, slur_, rseo_, 
   {{0x99673ce1,0x629e5803,0xb4665804,0x26cd5805}},	//   _стал, _ripo, икол, sseo_, 
   {{0x2aab0022,0x68e35806,0x629e5807,0x7bcb5808}},	//   _køb_, mund, _sipo, nagu, 
   {{0xa3e7190a,0x68e35809,0x4432580a,0x66010a9f}},	//   _पार_, lund, _voy_, pelk, 
   {{0x7bcb16aa,0x4420290c,0xa2d72c91,0x63830965}},	//   hagu, _wni_, _बिर्, ігра, 
   {{0x68e3580b,0x2056580c,0x4420580d,0x7bcb580e}},	//   nund, атар, _tni_, kagu, 
   {{0x4420580f,0xe0432b8d,0x645d5810,0x7bcb5811}},	//   _uni_, онси, érit, jagu, 
   {{0x7bcb5812,0xdee65813,0xd0070a2b,0x68e35814}},	// [4a00] dagu, рози, шете_, hund, 
   {{0x68e35815,0x7ae25816,0xa3e6034d,0x7e230267}},	//   kund, vuot, _काँप_, одуж, 
   {{0x68e3007e,0x63a40415,0x6b895817,0x61e10183}},	//   jund, _kgin, _azeg, ólle, 
   {{0xf09f5818,0x7ae24216,0x68e35819,0x683c011c}},	//   _già_, tuot, dund, _gédh, 
   {{0x69ca581a,0x6b8900ab,0xc5fe0086,0x8a0613ad}},	//   tafe, _czeg, ্ঞতা_, изде, 
   {{0x7ae200e4,0xaa53012d,0xda6302f1,0x63a4040c}},	//   ruot, овіш, овчи, _lgin, 
   {{0x68e32139,0x7bcb581b,0x69ca581c,0x765a0088}},	//   gund, bagu, rafe, vity, 
   {{0x63a4581d,0xa2d73278,0xd7fa0161,0xdca3581e}},	//   _ngin, _बिल्, тук_, _фати, 
   {{0xf1c6051f,0x09e6581f,0x2cad0097,0x68350038}},	//   वरान, _возн, _čedi_, _pádr, 
   {{0x63a402ba,0xd838090e,0x8c3d0216,0x7e620151}},	//   _agin, _muči_, _pişg, éoph, 
   {{0x24420f46,0x69c85820,0x63a4016a,0x765a5821}},	//   _cómo_, _iede, _bgin, rity, 
   {{0x69c85822,0x765a030f,0x290c1ae0,0x673b0027}},	//   _hede, sity, _isda_, byuj, 
   {{0x69c85823,0xc66a00d3,0x78a802ae,0x59ba009a}},	//   _kede, _ишке_, _hudv, _उभार, 
   {{0x69c83a62,0x63a40414,0x2245008c,0x7bcb5824}},	//   _jede, _egin, ólk_, zagu, 
   {{0x645d026d,0x7bcb1a82,0x2419004e,0xd1380200}},	//   éris, yagu, _бойы_, ахт_, 
   {{0x69c85825,0x7bcb5826,0xd8380604,0x859b00d1}},	//   _lede, xagu, _buči_, _בשוו, 
   {{0x78a85827,0x69c801d2,0x2d854ae9,0x7bcb059e}},	// [4a10] _ludv, _oede, _šle_, vagu, 
   {{0x645d5828,0x386903ef,0x68e35829,0x7bcb582a}},	//   lisi, čari_, yund, wagu, 
   {{0x5c071617,0x7bcb582b,0x6b890019,0xc0c2004e}},	//   ияда, tagu, _szeg, _нәти, 
   {{0x645d582c,0x68e3582d,0x70550535,0x7a3d0118}},	//   nisi, vund, _چنگا, _tètk, 
   {{0x68e3582e,0xd8380bad,0xf1db0586,0x290c582f}},	//   wund, _guči_, _बयान, _asda_, 
   {{0x7bcb5830,0x78a80571,0xa9693f28,0x68e35831}},	//   sagu, _budv, лила_, tund, 
   {{0x69c85832,0x7bcb5833,0x985500a3,0xab5d00a4}},	//   _dede, pagu, йтиш, _teżo, 
   {{0xb8ff000c,0xccf200a7,0x8c3d1b20,0x645d5834}},	//   _ति_, _מכל_, _bişe, jisi, 
   {{0x69c85835,0x9d4500f0,0x869902aa,0x6b805836}},	//   _fede, _теңд, лтот_, _gymg, 
   {{0x69c85837,0x68e35838,0x8c3d010c,0x7bc90096}},	//   _gede, pund, _dişe, _heeu, 
   {{0xda7a0070,0x63a400a3,0x7bc90175,0x391500d7}},	//   _ענער, _pgin, _keeu, _دواز, 
   {{0x4aab04d7,0x6aa102ec,0x7bc90175,0x8c3d5839}},	//   _चढाव, _hilf, _jeeu, _fişe, 
   {{0xd87400eb,0x69c8027e,0x7bc912b6,0xe5a530c5}},	//   _بالب, _yede, _meeu, _лили, 
   {{0xe5a5005e,0x7bc90af8,0x683c026a,0xdb020165}},	//   _уики, _leeu, _rédi, scoç, 
   {{0x6143130f,0x64b53d0b,0x6aa1583a,0x63a90304}},	//   пера, _احتر, _milf, žena, 
   {{0x63a4044e,0x645d173f,0x683c583b,0x44f1583c}},	//   _ugin, cisi, _pédi, má_, 
   {{0xef1a3f27,0x44f1583d,0x20120008,0x91e64854}},	// [4a20] ыма_, lá_, rdyi_, _лопе, 
   {{0x2d9600c8,0xee37583e,0x7a3d0237,0x76410657}},	//   брес, бну_, _fèti, nkly, 
   {{0x44f1583f,0x69c81114,0x9f590126,0xdee601a2}},	//   ná_, _rede, _basó_, роҷи, 
   {{0x69c85840,0xd8380b91,0x9f59033c,0xa3d83dc7}},	//   _sede, _tuči_, _casó_, ाणि_, 
   {{0x69c8338b,0x44f1026e,0x7ff70109,0xda340080}},	//   _pede, há_, _اسپا, желы, 
   {{0x69c85841,0x645d02a4,0x6e35044e,0x290c016a}},	//   _qede, zisi, _gozb, _psda_, 
   {{0x69c85842,0xfce35843,0x645d5844,0xa3d85845}},	//   _vede, _норо, yisi, ाणा_, 
   {{0xdd8f00eb,0x44f13077,0x69c85846,0xc879020f}},	//   _سوق_, dá_, _wede, goş_, 
   {{0x69c85847,0x6aa11c90,0x2ee00156,0x0b4600d9}},	//   _tede, _filf, nrif_, _унан, 
   {{0x225a0640,0x645d5848,0x7bc93f13,0x6aa10090}},	//   _nmpk_, wisi, _zeeu, _gilf, 
   {{0x645d5849,0xd7fa1f1d,0x998619c7,0x44f1019c}},	//   tisi, _бул_, _الاو, gá_, 
   {{0x3d00456f,0x2ee0584a,0x7a3d0118,0x9f400369}},	//   _रहने_, krif_, _bètw, nfió_, 
   {{0xd796057f,0x645d584b,0x073a00b8,0xafdb02c9}},	//   _الشخ, risi, _حساب_, _fløj, 
   {{0x44f10098,0x78a20180,0xa785070f,0x3dca052b}},	//   bá_, _hiov, _بشمو, _nebw_, 
   {{0x6e351175,0xd2581afd,0x44f1257d,0x78a2584c}},	//   _rozb, сця_, cá_, _kiov, 
   {{0xdbf1031e,0x2ee00156,0x8c3d00d9,0x645d0248}},	//   _přík, frif_, _mişc, qisi, 
   {{0x78a2584d,0x94120095,0x5f940a31,0x403400c8}},	// [4a30] _miov, _niyə_, зитт, четс, 
   {{0x7bc9584e,0xdd0409ec,0xe45f0080,0x7a3d0118}},	//   _seeu, रबंध_, liö_, _tèti, 
   {{0x9f5908f4,0x4035584f,0x7c8729c3,0x2fc014f8}},	//   _pasó_, _денс, буде, bbig_, 
   {{0x6aa15850,0xbebb024a,0x78a20180,0xd1b80499}},	//   _silf, _rrëf, _niov, _پایا_, 
   {{0x79815851,0xa3e7000f,0x44f15852,0xab295853}},	//   _sylw, _पाई_, zá_, рола_, 
   {{0x6ca75854,0x6e3500d2,0x683c5855,0x656f0474}},	//   _граж, _uozb, _médu, şchi, 
   {{0x44f102aa,0x7bc901d2,0x00000000,0x00000000}},	//   xá_, _teeu, --, --, 
   {{0x44f108d7,0x26df0369,0x81c10086,0xeaf813b4}},	//   vá_, truo_, ুলি_, _گرفت_, 
   {{0x6aa11341,0xed59005e,0x78a2023a,0xb8d0143e}},	//   _tilf, _соң_, _diov, _टू_, 
   {{0x44f15856,0xe81e00a2,0x8f9c0070,0xf9d4002e}},	//   tá_, _मोठा_, ניזי, _ноуэ, 
   {{0x78a20180,0x76415857,0xdddc0243,0x00000000}},	//   _fiov, rkly, _skrū, --, 
   {{0x78a2048a,0x683c0175,0x76415858,0x01e10033}},	//   _giov, _bédu, skly, ম্মদ, 
   {{0x683c2126,0x44f15859,0xd6292987,0x6842012d}},	//   _cédu, sá_, _воле_, _інша, 
   {{0x3869265d,0x2fd90068,0x44f14e94,0x683c0107}},	//   čaru_, _adsg_, pá_, _dédu, 
   {{0x6f1d0380,0x4ae001a4,0x21a301ff,0xc05a0267}},	//   _arsc, _निभव, дирм, арац_, 
   {{0xa3e70838,0x44d5002a,0xe3b21896,0x98a0032f}},	//   _पाए_, mā_, _غرب_, ćić_, 
   {{0x44d500e0,0x2480585a,0x44c70019,0xd8380082}},	// [4a40] lā_, _ikim_, lő_, _guču_, 
   {{0x24800175,0x22570038,0xde6d0108,0x9f4000f6}},	//   _hkim_, _وليد_, tươn, rgià_, 
   {{0x44d5002a,0x6f1d02f2,0xe7ea00a5,0x4fa61a31}},	//   nā_, _ersc, _टाला_, _минв, 
   {{0x984c031e,0xdee61cc1,0x321302be,0x00000000}},	//   věď_, _қоҳи, _zaxy_, --, 
   {{0xb6050352,0x3f820241,0xa01b02ae,0x3eb901d2}},	//   _kršč, _uyku_, _thör, _gtst_, 
   {{0x44d5002a,0x248000e2,0x78a2019b,0x7cdc0474}},	//   kā_, _lkim_, _siov, tără, 
   {{0x44d50bc3,0x8c46585b,0xf84a3888,0x78a2585c}},	//   jā_, _деве, ичий_, _piov, 
   {{0x44d500e0,0x2480023b,0xec774ccd,0x44c7010e}},	//   dā_, _nkim_, _дпс_, dő_, 
   {{0xf093585d,0x7bc2026d,0x466a585e,0xb6061e70}},	//   ונה_, mbou, иром_, оянк, 
   {{0x683c026d,0x7cdc020f,0x7bc2585f,0x7ec50216}},	//   _rédu, pără, lbou, lîpî, 
   {{0x29185860,0x683c0107,0x24800175,0xe45f00c8}},	//   _éra_, _sédu, _bkim_, tiö_, 
   {{0x8c3d0218,0x7bc25861,0x80b109ef,0x26c65862}},	//   _kişa, nbou, _आंबे, _twoo_, 
   {{0xfbd30056,0x61fe0065,0x06650290,0xe45f00c8}},	//   ותר_, _bbpl, _کانپ, riö_, 
   {{0xa3e73d07,0x248001f0,0x44d501dd,0x28d10035}},	//   _पाक_, _ekim_, bā_, _सबमि, 
   {{0xa2d70964,0x63b60156,0x7ae20502,0x3cf60083}},	//   _बिक्, _ffyn, hrot, ीबों_, 
   {{0xd8380b91,0x7ae25863,0x80dc059e,0x1eab1a1c}},	//   _tuču_, krot, _फिरे, لائي_, 
   {{0xddab0def,0x69da4699,0x8c3d0540,0x7bc201d2}},	// [4a50] ател_, _odte, _nişa, dbou, 
   {{0x291e0092,0x32550c8b,0x6f1d0082,0x9e15012d}},	//   _orta_, _хвор, _vrsc, ядзі, 
   {{0x62870519,0xdb070183,0x61f800ad,0x0ea70790}},	//   mljo, _ámús, _övla, _कंकड, 
   {{0x69da00e2,0x7bc202b0,0x8c3d010c,0x3ea3039b}},	//   _adte, gbou, _bişa, _wijt_, 
   {{0x44c7006b,0x7ae25864,0x291e5865,0x44d50243}},	//   ző_, grot, _arta_, zā_, 
   {{0x6f0d0548,0xab5d007b,0xfc7d00d8,0x66080604}},	//   mwac, _jeżi, _žádá_, jedk, 
   {{0xa3eb05fd,0x291e0112,0x7ae25698,0xa9a200a3}},	//   मला_, _crta_, arot, нишд, 
   {{0x3d0002c3,0x7ae20be0,0x44d500e0,0x2bcc009a}},	//   _रहते_, brot, vā_, ारणा, 
   {{0x7ae25866,0x787e024a,0x291e01ff,0x6f0d194c}},	//   crot, tëvr, _erta_, nwac, 
   {{0x44d5002a,0x44c7006b,0x24800938,0x1dcb00bd}},	//   tā_, tő_, _skim_, िरित, 
   {{0x69c3008b,0xfbcf00c2,0x6f0d01c4,0xa5092918}},	//   mbne, _हजाम, hwac, щена_, 
   {{0x44d500e0,0x6f0d044d,0x78fa00d1,0x44c7039f}},	//   rā_, kwac, _לפעו, rő_, 
   {{0x44d500e0,0x38b1003e,0x93431730,0xae1b0299}},	//   sā_, _hár_, еняе, नयान_, 
   {{0x27ed5867,0xe29a0afc,0x44d501dd,0x471a027a}},	//   lgen_, саг_, pā_, _לונג, 
   {{0x20d70405,0x38b1010e,0xb6050097,0xab5d01f2}},	//   għi_, _jár_, _vršč, _deżi, 
   {{0x27ed5868,0x38b10105,0x21675869,0x7bdb052b}},	//   ngen_, _már_, чиси_, _nduu, 
   {{0x27ed0c37,0x6287117e,0x38b100eb,0x2d870380}},	// [4a60] igen_, bljo, _lár_, ünen_, 
   {{0x7bdb586a,0x64460088,0x7a3d0118,0xee37586b}},	//   _aduu, lkki, _mèts, пну_, 
   {{0x6026586c,0x38b100eb,0x7bc2586d,0x7ae20035}},	//   _една, _nár_, tbou, wrot, 
   {{0x27ed0536,0x64460088,0xeb9a4191,0xb7ea0bf5}},	//   jgen_, nkki, бие_, _टाइम_, 
   {{0x2cbf0588,0x7bdb01b8,0xbb43586e,0x511c00c2}},	//   _čude_, _dduu, нецк, _पछुआ_, 
   {{0x27ed42ba,0x38b10019,0x7bc2586f,0x82d700c7}},	//   egen_, _bár_, sbou, לונג_, 
   {{0x660801e8,0x7ae25870,0x7bc202b0,0xdd860019}},	//   vedk, srot, pbou, _رجسٹ, 
   {{0x27ed5871,0x7e7e5872,0x291e203b,0x38b10038}},	//   ggen_, lopp, _vrta_, _dár_, 
   {{0xab5d0035,0x68e3039b,0x00000000,0x00000000}},	//   _odży, arnd, --, --, 
   {{0x291e22ed,0x7e7e5873,0x0f5700d1,0x683c0151}},	//   _trta_, nopp, פיים_, _cédr, 
   {{0xab5d0463,0x291e5874,0x66084d5b,0xa3d800f4}},	//   _reżi, _urta_, redk, ाणं_, 
   {{0x7e7e5875,0x33204f9a,0x66083a49,0x6f0d0083}},	//   hopp, _brix_, sedk, ywac, 
   {{0x62870ab4,0xafdb00fb,0x00000000,0x00000000}},	//   tljo, _kløv, --, --, 
   {{0x9fbf0098,0x00000000,0x00000000,0x00000000}},	//   rčík_, --, --, --, 
   {{0xd5fb00a7,0x64b30474,0x7e7e5876,0x3633347e}},	//   _הפור, _tăia, dopp, _سروس, 
   {{0xd46816d9,0xb4d800a2,0x11f700d4,0x628700ef}},	//   _није_, ाळी_, _کودک_, sljo, 
   {{0x44295877,0xb27500cf,0x644d19db,0x7a3d5878}},	// [4a70] _ina_, _олиш, _ilai, _mètr, 
   {{0x6f0d5879,0xddab4fe7,0x425500c5,0x644d023b}},	//   rwac, стал_, _آندر, _hlai, 
   {{0x644d587a,0x443b587b,0x6abb587c,0x27ed587d}},	//   _klai, _koq_, _stuf, ygen_, 
   {{0x442904d1,0x26d90019,0xa3bf3832,0x60d607e4}},	//   _jna_, ások_, ेरि_, _קורא_, 
   {{0x443b587e,0x4429587f,0xf41f00c8,0x38b15880}},	//   _moq_, _mna_, ylän_, _sár_, 
   {{0x38b15881,0x7e7e00fd,0x644d00f8,0x41bf048e}},	//   _pár_, copp, _llai, ्रिस, 
   {{0x64465882,0x27ed5883,0x7a3d0237,0x69c35884}},	//   ykki, tgen_, _bètr, rbne, 
   {{0x44290149,0x27ed5885,0x38b1010e,0xccf207e4}},	//   _nna_, ugen_, _vár_, _שכן_, 
   {{0x27ed02b0,0xf1bf1cdd,0x61fb00d2,0x683c023e}},	//   rgen_, ्रान, đulj, _pédr, 
   {{0x44295886,0x7c3b5887,0xa2d7031e,0x7aeb07fc}},	//   _ana_, _hour, _बिज्, mugt, 
   {{0x7c3b0cd7,0x644d5888,0x240a15fc,0x7aeb5889}},	//   _kour, _blai, онни_, lugt, 
   {{0x33200518,0x31c60f01,0x7c3b588a,0x7ae4257c}},	//   _prix_, वर्ध, _jour, šite, 
   {{0x7c3b0cd7,0x6446030f,0x386d076b,0x64ba00a4}},	//   _mour, rkki, mner_, _aċid, 
   {{0x4429588b,0x412a00d3,0x386d588c,0x64463f96}},	//   _ena_, оого_, lner_, skki, 
   {{0x386d0533,0x7c29588d,0xa3e700a2,0x321808b0}},	//   oner_, _oner, _पाच_, rdry_, 
   {{0x644d588e,0x4429012b,0xa2d700e6,0x7c3b588f}},	//   _glai, _gna_, _बिच्, _nour, 
   {{0x7e7e5890,0x2d9101a3,0x09e50033,0xa0675891}},	// [4a80] topp, _azze_, প্যা, фата_, 
   {{0x442902f5,0x7c295892,0x386d5893,0x7aeb5894}},	//   _zna_, _aner, hner_, dugt, 
   {{0x7e7e5895,0x442902bf,0x7c29016a,0x386d5896}},	//   ropp, _yna_, _bner, kner_, 
   {{0x7c3b588a,0x387f026d,0x44290054,0x7e7e5897}},	//   _cour, jour_, _xna_, sopp, 
   {{0x7c3b5898,0x386d4703,0x2905011c,0x387f0106}},	//   _dour, dner_, _apla_, dour_, 
   {{0x386d4888,0x4dfd031e,0xf6470038,0xa6e2003e}},	//   ener_, र्दै_, _شئ_, _æðis, 
   {{0x7c3b5899,0x7aeb0009,0x7a3d011c,0x00000000}},	//   _four, augt, _pètr, --, 
   {{0xd6da589a,0x386d589b,0x7c3b589c,0x69c5008c}},	//   ото_, gner_, _gour, ðher, 
   {{0x6e3c2e9a,0x63a911bc,0xd90e0019,0x629c01ff}},	//   _korb, ženk, _چیت_, kmro, 
   {{0x4429006e,0x644d589d,0xe81e00b0,0x2bcc1cdd}},	//   _sna_, _slai, _मोरा_, ारवा, 
   {{0x6e3c589e,0x644d0600,0x386d589f,0x7c3b00a7}},	//   _morb, _plai, bner_, _your, 
   {{0x386d58a0,0x21211eb1,0x6e3c58a1,0x387f58a2}},	//   cner_, _rrhh_, _lorb, cour_, 
   {{0x6e3c15e9,0x644d107c,0x43940d3b,0x44290231}},	//   _oorb, _vlai, каюс, _vna_, 
   {{0x6e3c58a3,0x6aa801f2,0x4429017c,0x2918007a}},	//   _norb, _jidf, _wna_, _áras_, 
   {{0x6aa858a4,0x00000000,0x00000000,0x00000000}},	//   _midf, --, --, --, 
   {{0x442958a5,0x44f858a6,0x439558a7,0x661858a8}},	//   _una_, mé_, _пайс, _havk, 
   {{0x6e3c03ef,0x44f858a9,0x63ad0087,0xdef80b34}},	// [4a90] _borb, lé_, _igan, дых_, 
   {{0x3ea758aa,0x7c3b58ab,0x7c291ecd,0xb6a500e7}},	//   önt_, _sour, _sner, _nhậ, 
   {{0x44f858ac,0x62852eba,0x7c3b0c04,0x2d87055f}},	//   né_, _ikho, _pour, æne_, 
   {{0x22840219,0x7aeb1041,0x6618004f,0x63ad0175}},	//   sökt_, tugt, _lavk, _jgan, 
   {{0x6e3c0c0b,0x44f858ad,0x386d03a9,0x2019002e}},	//   _forb, hé_, vner_, _iasi_, 
   {{0x201958ae,0x386d58af,0x63ad02f1,0x7aeb58b0}},	//   _hasi_, wner_, _lgan, rugt, 
   {{0x201958b1,0x387f58b2,0x386d0751,0x2b49034c}},	//   _kasi_, tour_, tner_, šac_, 
   {{0x672203ef,0x63ad58b3,0x44f858b4,0x0ccb00a2}},	//   _broj, _ngan, dé_, ाठीम, 
   {{0xb6a50a10,0xd70600c8,0x00000000,0x00000000}},	//   ниил, еные_, --, --, 
   {{0x201958b5,0x387f0065,0x63ad58b6,0x62850727}},	//   _lasi_, sour_, _agan, _nkho, 
   {{0x6618008b,0x44f858b7,0x201928c9,0x6d45010e}},	//   _davk, gé_, _oasi_, nyha, 
   {{0xa01b022b,0x201958b8,0x62850204,0x63ad0027}},	//   _skön, _nasi_, _akho, _cgan, 
   {{0x63ad016a,0x672258b9,0x64ba00c3,0x00000000}},	//   _dgan, _groj, _rċie, --, 
   {{0x3d000077,0x44f84620,0x63ad58ba,0xe6050080}},	//   _रहले_, bé_, _egan, ärää, 
   {{0x201923eb,0x7d02006a,0x44f8026a,0x2d870083}},	//   _basi_, łosz, cé_, żnej_, 
   {{0x201921ab,0x54360019,0x6e3c58bb,0x62850844}},	//   _casi_, _سربر, _sorb, _ekho, 
   {{0x2cbf0704,0x6b89061b,0x7e262bc2,0x649600eb}},	// [4aa0] _čuda_, _nyeg, ндаж, ráid, 
   {{0x6618006d,0x64960038,0x09e50086,0x6e3c58bc}},	//   _xavk, sáid, প্তা, _qorb, 
   {{0x6e3c58bd,0x10a618ac,0x201958be,0x09d80086}},	//   _vorb, _пион, _fasi_, সলমা, 
   {{0x27ff58bf,0x2d9511e6,0x201958c0,0xfbd20019}},	//   jfun_, трус, _gasi_, اتا_, 
   {{0xeb9a58c1,0xab8358c2,0x98a70009,0x6b890610}},	//   чид_, лушк, lynė_, _cyeg, 
   {{0xee3a00cf,0x44f80858,0xb86600d4,0xfaa30f67}},	//   _энг_, yé_, کاتو, гачо, 
   {{0x321a2194,0x44f8426d,0xa9340080,0x7ea90028}},	//   _mapy_, xé_, тейш, _užpa, 
   {{0x44f858c3,0x63a94306,0x6618032f,0x66030102}},	//   vé_, ženi, _savk, _abnk, 
   {{0xd5bd58c4,0xe6662338,0x63ad00cf,0x44f800d4}},	//   ोरंज, етно, _rgan, wé_, 
   {{0x44f858c5,0xa2d40081,0x63ad58c6,0x644058c7}},	//   té_, _बौध्, _sgan, ömin, 
   {{0x44f80212,0x00000000,0x00000000,0x00000000}},	//   ué_, --, --, --, 
   {{0x44f858c8,0xe7ea07d5,0x2d8a0065,0xe73a00c8}},	//   ré_, _टाटा_, _mybe_, _нее_, 
   {{0x44f858c9,0x63ad016a,0xfdf000a5,0x91a60023}},	//   sé_, _vgan, _चांस_, _đó_, 
   {{0x44f858ca,0x201958cb,0x8bcc00b0,0xbebb021e}},	//   pé_, _sasi_, ारुअ, _brën, 
   {{0xdfd54216,0x201901ee,0xc6930070,0x24820026}},	//   ковы, _pasi_, _גאס_, bokm_, 
   {{0x63ad58cc,0x8c3d0241,0x20193dc9,0xe1342765}},	//   _ugan, _pişm, _qasi_, ынсы, 
   {{0x02a72675,0x201958cd,0x747c008d,0x53352b3b}},	// [4ab0] _пром, _vasi_, _מנהג, _репт, 
   {{0x4439014e,0x62850532,0xbebb0034,0x20190548}},	//   ljs_, _ukho, _frën, _wasi_, 
   {{0x201900a3,0xc1bf017d,0x27ff1240,0x00000000}},	//   _tasi_, ्रीग, yfun_, --, 
   {{0x201958ce,0xae020fc0,0x2d8a0566,0x7e650216}},	//   _uasi_, र्बन_, _dybe_, sihp, 
   {{0x2fc958cf,0x7de700dd,0xee3f0023,0x6d45382b}},	//   mbag_, _півд, _buýt_, syha, 
   {{0x3eaa02ec,0x2fc90626,0xd2b80486,0xbb4258d0}},	//   _gibt_, lbag_, עלות_, решк, 
   {{0xdd9448bf,0x6d430219,0xf1b4027a,0x99d401c9}},	//   _бары, änad, נסק_, اتها, 
   {{0x2fc958d1,0x8c3d009e,0x480958d2,0x00000000}},	//   nbag_, _mişk, феин_, --, 
   {{0x39490bc3,0xc2210262,0x6b89016c,0xa3eb0299}},	//   ņas_, मयाब_, _uyeg, मलई_, 
   {{0xa01b0d6b,0xb0e102e6,0x9f4002a3,0x77821acb}},	//   _sköl, _फिंग, ggiù_, рльз, 
   {{0x2ee958d3,0x8c3d010c,0x57f5406e,0xa8040259}},	//   hraf_, _nişk, _апет, _әзіл, 
   {{0xbebb024a,0x2ee900e2,0x3d09017d,0x99644e2a}},	//   _rrën, kraf_, _सहने_, _стул, 
   {{0xae020551,0x321a58d4,0x52be109f,0x00000000}},	//   र्डन_, _papy_, ्ठेस, --, 
   {{0xdddc0b1d,0x8c3d0218,0x26d900da,0x2ee958d5}},	//   _okrš, _bişk, ásou_, draf_, 
   {{0xd17944bd,0x00000000,0x00000000,0x00000000}},	//   есті_, --, --, --, 
   {{0x2fc902dc,0x3eaa003d,0x88e30033,0xafdb00fb}},	//   gbag_, _sibt_, _মহাক, _slør, 
   {{0x2ee958d6,0x59d10077,0xf4870a5a,0xdfcf0038}},	// [4ac0] graf_, हरार, _جاوی, زيل_, 
   {{0x6d1d0299,0x78ab040b,0xdcf50241,0xbebb021e}},	//   फिंग_, _ligv, _agzı, _trën, 
   {{0x7779008a,0x8c3d009e,0xdee30a10,0xdca62def}},	//   _lxwx, _gişk, лоӂи, важи, 
   {{0x0b460769,0xee3f0023,0xd6d90083,0x628e58d7}},	//   кнен, _suýt_, szły_, llbo, 
   {{0x3eaa011c,0x00000000,0x00000000,0x00000000}},	//   _tibt_, --, --, --, 
   {{0xc4bc0033,0xee3f0023,0x298600f6,0x090658d8}},	//   _আয়োজ, _quýt_, кыйг, вчим, 
   {{0x9e63081b,0x00000000,0x00000000,0x00000000}},	//   _тврд, --, --, --, 
   {{0x8c4308a5,0xdd8f04bc,0xb8141b11,0x481458d9}},	//   _кесе, _ذوق_, удиј, умис, 
   {{0xae0215c8,0xc6f70088,0x09f60a10,0x78ab08b0}},	//   र्थन_, вных_, _ачея, _digv, 
   {{0x60de0082,0x8f9b0070,0x44ce02d9,0x3d0900c9}},	//   _ovpm, ויפי, tř_, _सहमे_, 
   {{0x39580533,0xe1f30019,0xa3d53a20,0xa01b003e}},	//   _års_, یسس_, лонч, _sköm, 
   {{0xae0208dd,0x69d858da,0x443f008c,0x2ee958db}},	//   र्तन_, lave, ðu_, yraf_, 
   {{0x38b806b6,0xc4580080,0x00000000,0x00000000}},	//   _hér_, тиях_, --, --, 
   {{0x8c3d0218,0xe2980904,0x61bf320b,0xdb0947b3}},	//   _pişk, каў_, ्रेष, énég, 
   {{0x2cbf0062,0x44390604,0x00000000,0x00000000}},	//   _čudo_, pjs_, --, --, 
   {{0x38b806b6,0x69d858dc,0x2ee90511,0xbbcc031e}},	//   _mér_, have, traf_, ारोक, 
   {{0x2fc92333,0xdddc015e,0x672402fe,0x2d8e0380}},	// [4ad0] rbag_, _skrš, _šijj, üfen_, 
   {{0xa2b04493,0x2ee958dd,0x1d6b1117,0x8fa40bad}},	//   ंदर्, rraf_, وصاً_, рађе, 
   {{0xf3ff00ce,0x3da7012d,0xa2b90035,0x9417009a}},	//   nião_, траб, _एंड्, _तसाच_, 
   {{0x8c3d0749,0xead900f0,0x32110de4,0x00000000}},	//   _kişi, емді_, lezy_, --, 
   {{0x81d60086,0x69d858de,0x38b80096,0x09e558df}},	//   _হাত_, fave, _aér_, голн, 
   {{0xfe711cad,0xf41f030f,0x69d83141,0x32110db7}},	//   _اگر_, hdä_, gave, nezy_, 
   {{0xdddc0b91,0x08d4012d,0xd90f0e0e,0x2489040c}},	//   _ukrš, ацыя, تیا_, _okam_, 
   {{0x38b858e0,0x649d0534,0x224158e1,0x00000000}},	//   _dér_, léif, _lohk_, --, 
   {{0x69d8063b,0x6456024a,0xfc640093,0x672d00ca}},	//   bave, ëzim, _търн, _šajb, 
   {{0x996758e2,0x7bd958e3,0x69d816b9,0x248958e4}},	//   _ител, lawu, cave, _akam_, 
   {{0xf3ff03b7,0x044658e5,0xe81e0d4f,0x6fd30110}},	//   gião_, генн, _मोका_, तरां, 
   {{0x8c3d23af,0x26d9010e,0x36d558e6,0x00000000}},	//   _bişi, ásos_, _бодр, --, 
   {{0x66e558e7,0x6f0701dd,0x00000000,0x00000000}},	//   _сола, nībā, --, --, 
   {{0x41a50a34,0x8c3d58e8,0x7bd958e9,0x2cad58ea}},	//   _गृहस, _dişi, hawu, _lied_, 
   {{0xb4041472,0x50b5192f,0x628e58eb,0xe29758ec}},	//   _күнд, исту, rlbo, уар_, 
   {{0x69d858ed,0x3dcd0086,0x8c3d00d9,0x64ba007b}},	//   zave, _লাগল, _fişi, _kċin, 
   {{0x7fd5004e,0x4e2a00a3,0x69d80508,0x7afd0502}},	// [4ae0] рісі, ноан_, yave, _ästh, 
   {{0x2bcc0aac,0x533700c7,0xed5a12d4,0xbbcc36be}},	//   ार्थ, _ענין_, ноз_, ार्क, 
   {{0x2d960842,0x2cad018c,0x69d858ee,0x216a08bd}},	//   урас, _bied_, vave, _чини_, 
   {{0x3ce60187,0xa2cb02e6,0x7bd902a5,0x00000000}},	//   čov_, तीक्, gawu, --, 
   {{0x38b806b6,0x201258ef,0x2d0d02e6,0x2cad00d1}},	//   _sér_, meyi_, सबॉल_, _died_, 
   {{0x201258f0,0x38b80574,0x2ab90118,0xd37b0070}},	//   leyi_, _pér_, _dèb_, ערסט, 
   {{0xdd92086b,0xf41f0088,0x64ba008a,0x7c9658f1}},	//   _طور_, ydä_, _aċin, _брац, 
   {{0xdb020496,0x201258f2,0x06c80086,0x645636d7}},	//   scoñ, neyi_, _শিবি, ūzij, 
   {{0xd5b00084,0x9487005e,0xc9f600eb,0x6f0701dd}},	//   يفة_, ғынд, _مساع, cībā, 
   {{0x6aca0086,0xfaa60258,0x24890ebf,0x38b8010e}},	//   _রিপো, _сазо, _skam_, _tér_, 
   {{0x5fb404d7,0xbebb024a,0x2459004f,0x659458f3}},	//   ंखाल, _rrëm, вань_, рану, 
   {{0x8c3d58f4,0xf3ff019c,0x872658f5,0x00000000}},	//   _pişi, rião_, _معتم, --, 
   {{0x6eb00f6f,0x4e1400a5,0xf3ff0165,0x290d090e}},	//   _अंगु, ड़ाई_, sião_, čkaš_, 
   {{0x290c02cd,0xa546010e,0xf3ff02aa,0xd62702a6}},	//   _kpda_, _مضبو, pião_, _боље_, 
   {{0x64960038,0x326400fd,0x321158f6,0x00000000}},	//   máin, стяв, rezy_, --, 
   {{0x6018013d,0x64960038,0x32110379,0x2012052b}},	//   лося_, láin, sezy_, geyi_, 
   {{0x2cad007b,0xe80624ef,0xe8150b20,0x2d980372}},	// [4af0] _ried_, व्या_, ढ़ता_, _azre_, 
   {{0x63a9014b,0x64961259,0x539c0486,0xdd9503a1}},	//   žens, náin, _איחו, аазы, 
   {{0x867b00fe,0x2cad58f7,0x9d1544a5,0x20120e3f}},	//   ערבו, _pied_, рдеч, beyi_, 
   {{0x644f4f8a,0x3d051215,0x6f070243,0x00000000}},	//   nkci, _रहीं_, tībā, --, 
   {{0x1614000f,0x649d007a,0x69d9093a,0x2cad0032}},	//   तजार_, méid, _नजदी, _vied_, 
   {{0x7bd958f8,0xeab000d4,0x628758f9,0x649d007a}},	//   sawu, سعه_, nojo, léid, 
   {{0x487958fa,0xa3c500ab,0x7bd91ace,0x6f0701dd}},	//   ксия_, एडा_, pawu, sībā, 
   {{0xaae70133,0xa6e52f42,0x644f01d2,0x332901be}},	//   _مسئو, ажил, jkci, _orax_, 
   {{0x62870400,0xfd10006b,0x61e5014b,0x869903b7}},	//   kojo, _وجہ_, _odhl, ктот_, 
   {{0xe7080084,0x60c558fb,0x7b74003f,0x9a8700d9}},	//   اتين_, _othm, _اطفا, _субл, 
   {{0x48152595,0x628718b9,0x6f160035,0x69c100a1}},	//   _вмес, dojo, zwyc, _ifle, 
   {{0xd46a58fc,0x61e5006c,0x386902ae,0x63ba02d9}},	//   тиме_, _adhl, _öar_, ětno, 
   {{0xd6c3040f,0xe81e0fec,0x628758fd,0x649603b3}},	//   _امتی, _मोटा_, fojo, báin, 
   {{0xe5a558fe,0x35a558ff,0xe29a5900,0x20120118}},	//   _кили, _калг, таг_, weyi_, 
   {{0xa06a1a41,0x2012027e,0x7643018e,0x00000000}},	//   вава_, teyi_, _iony, --, 
   {{0x6724160e,0x76435901,0x2eb100bc,0x00000000}},	//   _šiji, _hony, जदूत, --, 
   {{0x443205f0,0x76435902,0x33290369,0x20125903}},	// [4b00] _iny_, _kony, _grax_, reyi_, 
   {{0x44205904,0x443202a2,0x6444011c,0x114a0a10}},	//   _hai_, _hny_, _hoii, _апой_, 
   {{0x44205905,0x76435906,0x00000000,0x00000000}},	//   _kai_, _mony, --, --, 
   {{0x69c15907,0x09d800cc,0x44205908,0x649d0038}},	//   _afle, _সাধা, _jai_, réig, 
   {{0x44205909,0x2b1610ab,0xf1da00a5,0xee3f0108}},	//   _mai_, рьер, _बजान, _tuýp_, 
   {{0x4420590a,0x5eeb02e6,0x7643590b,0x290c0065}},	//   _lai_, _चित्_, _nony, _ppda_, 
   {{0x443216b4,0xfce32b68,0x09cf0086,0x4420590c}},	//   _ony_, _моро, _রাখা, _oai_, 
   {{0x44320379,0x69c102a5,0xd90d0296,0x7643095a}},	//   _nny_, _efle, عین_, _aony, 
   {{0x7643590d,0xa2b2590e,0x04f20086,0x7d090242}},	//   _bony, _इंग्, _জনের_, _ćesi, 
   {{0x44320056,0x7c22590f,0x7c2013ae,0x764306a5}},	//   _any_, ldor, _hamr, _cony, 
   {{0x44205910,0x7c205911,0x764300c5,0x62875912}},	//   _bai_, _kamr, _dony, vojo, 
   {{0x44205913,0x7aed5914,0x7c205915,0xe70400d4}},	//   _cai_, šate, _jamr, _هستی, 
   {{0x44205916,0x62875917,0x629e00ef,0x4432031e}},	//   _dai_, tojo, _bhpo, _dny_, 
   {{0x443205f0,0x8c3d010c,0x1779012d,0x442002be}},	//   _eny_, _hişt, _ёсць_, _eai_, 
   {{0x44205918,0x3d05000f,0x62875919,0x93e702f1}},	//   _fai_, _रहें_, rojo, _кўпл, 
   {{0x4420591a,0x7c2002ee,0x7643591b,0x64b3107c}},	//   _gai_, _namr, _zony, _căiu, 
   {{0x7c220156,0x6287342a,0x76430610,0x81d60033}},	// [4b10] ddor, pojo, _yony, _হার_, 
   {{0x7d01022b,0x4420591c,0x2cb8008a,0xe3b00038}},	//   _älsk, _zai_, _burd_, _ترى_, 
   {{0x4420591d,0x60c5591e,0x7c2200a3,0x6ca7591f}},	//   _yai_, _uthm, fdor, ардж, 
   {{0x44205920,0x7c205921,0x8c3d5922,0x4c9500c8}},	//   _xai_, _camr, _nişt, щиес, 
   {{0x69c101c4,0x26c601a0,0x7c205923,0xa2cb00a2}},	//   _pfle, _ntoo_, _damr, तीच्, 
   {{0x98e500eb,0x442200ef,0x6f0f00b4,0x768f017b}},	//   مكتو, zdk_, _ipcc, løyv, 
   {{0x76435924,0x1869286c,0x9417009a,0xf09f0108}},	//   _rony, лаки_, _तसंच_, _khà_, 
   {{0x3eb95925,0x64960038,0x27e61070,0x98710028}},	//   _kust_, gáil, _cdon_, _všį_, 
   {{0x44205926,0x3eb90056,0x76435927,0x2d9e00f6}},	//   _rai_, _just_, _pony, _úter_, 
   {{0x44205928,0x44325929,0x765a592a,0x3eb9592b}},	//   _sai_, _sny_, ghty, _must_, 
   {{0xb9950084,0x4420592c,0x200b026e,0x671c4361}},	//   _الاب, _pai_, _obci_, _बैठक_, 
   {{0xf09f0124,0x8c3d0218,0x645d012d,0x64960038}},	//   _nhà_, _gişt, ūrin, cáil, 
   {{0x4420592d,0x386d592e,0x47a50033,0x4b790070}},	//   _vai_, mier_, _গ্রী, ראָו, 
   {{0x386d592f,0x44205930,0x61462d25,0xe81500c2}},	//   lier_, _wai_, бега, ढ़वा_, 
   {{0x44205931,0x44320ab1,0x64a65932,0xf09f01f5}},	//   _tai_, _tny_, _лака, _bhà_, 
   {{0xe3b203b1,0x44e30824,0x386d5933,0x44325934}},	//   _عرب_, mı_, nier_, _uny_, 
   {{0x44e30718,0x8fa34a2a,0x127a0019,0xf09f01c5}},	// [4b20] lı_, зате, _محدث_, _dhà_, 
   {{0x7c205935,0x386d5936,0x2ee0011c,0x21760176}},	//   _samr, hier_, rsif_, _гумр, 
   {{0x44e303b0,0x6f1d5937,0x2ee0026a,0x7c205938}},	//   nı_, _essc, ssif_, _pamr, 
   {{0xaae60084,0xa3d803ce,0xa01b0219,0x7c203f12}},	//   مستو, िरि_, _sköv, _qamr, 
   {{0x7c225939,0x3eb94cad,0x386d32b9,0x9f4004b3}},	//   rdor, _gust_, dier_, rgió_, 
   {{0x4df5593a,0x09d800cc,0x44e306d0,0x7c22593b}},	//   _мяст, _সাহা, kı_, sdor, 
   {{0x8c3d078a,0x8d6332e1,0x386d593c,0xa3d8448b}},	//   _pişt, _евре, fier_, िरा_, 
   {{0x44e30749,0x7c2202f1,0x6f04593d,0x3eb100b4}},	//   dı_, qdor, otic, _zizt_, 
   {{0x2bce02f8,0x6f04593e,0x468402f1,0x64960038}},	//   _ह्या, ntic, оқда, ráil, 
   {{0x14ca005e,0x59cf3604,0xb8fe0086,0x386d10f3}},	//   лыми_, _स्पर, _তম_, aier_, 
   {{0x8c3d055a,0x69da002a,0x386d593f,0x994a0fdc}},	//   _tişt, _iete, bier_, _حلال_, 
   {{0x291e03ef,0x6f0401e2,0x7bc25940,0x69da5941}},	//   _ista_, ktic, ncou, _hete, 
   {{0x69da386c,0x7ae40084,0x7ae25942,0x136b013b}},	//   _kete, áith, nsot, ушни_, 
   {{0x69da00e5,0x1671004e,0x44e3008f,0x78ba040c}},	//   _jete, _оқыр, bı_, _kutv, 
   {{0x44e305b7,0x6f040036,0x7ea90009,0xa1585943}},	//   cı_, etic, _užpi, бару_, 
   {{0x69da5944,0x6f04107c,0x6f1d0065,0x7ae25945}},	//   _lete, ftic, _pssc, ksot, 
   {{0x78ba00ef,0x25570095,0x2ca6011d,0x69da039b}},	// [4b30] _lutv, vələ_, dmod_, _oete, 
   {{0x291e1ab9,0x386d012e,0xd35800d1,0xbebb0034}},	//   _osta_, zier_, _לשחק_, _orëv, 
   {{0xf09f5946,0x6f042d1c,0x7ae20054,0x93780296}},	//   _thà_, atic, esot, _نصیر_, 
   {{0x69da059e,0xa01b0a19,0xdda8049b,0xfebb009c}},	//   _aete, _sjöf, стул_, _ماست_, 
   {{0x69da2d0b,0x386d5947,0x291e5948,0x6f041229}},	//   _bete, vier_, _asta_, ctic, 
   {{0x44e30c05,0x291e011d,0x255700ad,0x386d08a3}},	//   yı_, _bsta_, sələ_, wier_, 
   {{0x386d5949,0x69da3a9b,0x645d594a,0x26c20098}},	//   tier_, _dete, khsi, íkon_, 
   {{0xd6d11930,0x7bc2594b,0x25e10a34,0x46e92f32}},	//   وقع_, ccou, पण्ण, адин_, 
   {{0x291e334b,0x386d1950,0x69ca0527,0x69da594c}},	//   _esta_, rier_, _स्वी, _fete, 
   {{0x69da4c08,0x44e30092,0xa01b003e,0x7bdb10f1}},	//   _gete, tı_, _fjög, _heuu, 
   {{0xe80602f8,0xa5090fa7,0x64a6594d,0x7d050102}},	//   व्हा_, шена_, жана, nths, 
   {{0x44e3594e,0x69da02b0,0x935a01fc,0x6abb0548}},	//   rı_, _zete, аргу_, _kuuf, 
   {{0x44e30fa3,0x69da01f0,0x55e50161,0x8c1a042c}},	//   sı_, _yete, _долб, בורי, 
   {{0x69da0218,0x26cd594f,0x59cf2795,0xa3d800a5}},	//   _xete, mpeo_, _स्मर, िरह_, 
   {{0x60264e93,0x26cd0126,0x69c3360a,0x6abb02a5}},	//   одва, lpeo_, icne, _luuf, 
   {{0x6f045950,0x645d5951,0xa9270009,0x00000000}},	//   ttic, chsi, mažė, --, 
   {{0x67295952,0x9f40003e,0xc61c0033,0x3b1f01f2}},	// [4b40] nvej, ggið_, তারা_, _nsuq_, 
   {{0xee375953,0xa01b5954,0x7bc23c04,0x2d963b0a}},	//   ону_, _sköt, wcou, орес, 
   {{0x69da5955,0x41d00351,0x32185956,0x09d80086}},	//   _rete, _त्यस, mery_, _সালা, 
   {{0x69da5957,0x7bc2026d,0x32185958,0x51f611b7}},	//   _sete, ucou, lery_, _اسکر, 
   {{0xbb431838,0x7bc25959,0x2ca6595a,0x69da595b}},	//   мецк, rcou, rmod_, _pete, 
   {{0x69da0364,0x98c6285f,0x7bc2595c,0x1ad900e4}},	//   _qete, осил, scou, сьць_, 
   {{0x7ae2595d,0x69da45ab,0x768f00fc,0x32180ff2}},	//   ssot, _vete, høys, iery_, 
   {{0x69da595e,0xe8e000f7,0x321800a9,0x070a01a2}},	//   _wete, hiệp_, hery_, ахои_, 
   {{0x69da595f,0x645d024a,0x321818d3,0x00000000}},	//   _tete, ërim, kery_, --, 
   {{0x78ba0077,0x321805f0,0x93f600ad,0x393600b3}},	//   _tutv, jery_, şələ, _мэес, 
   {{0x6802031e,0x32185960,0x332000b9,0xd7e6004f}},	//   _půjč, dery_, _asix_, _діло, 
   {{0x2bb10262,0xd7f708d1,0x2ef20326,0xafdb017b}},	//   ुँचा, _душ_, kryf_, _fløy, 
   {{0x59de0e53,0x78a25961,0xafdb004f,0x00000000}},	//   _नजार, _ihov, _gløy, --, 
   {{0x2ef2018c,0x645d01ff,0x7afd00fc,0x32185962}},	//   dryf_, shsi, _åste, gery_, 
   {{0x551e0035,0x768f017b,0x306b14b7,0x00000000}},	//   _बनिए_, røyt, ајан_, --, 
   {{0x91cb00ae,0x62950126,0x6aa60249,0x30a44196}},	//   _त्रै, slzo, गगुर, друв, 
   {{0x32185963,0x62800032,0xdb190502,0x5f9403ab}},	// [4b50] bery_, émoc, ubwü, дитт, 
   {{0x69ca07d5,0x551e4643,0x20090068,0x9f4001d5}},	//   _स्ली, _बनाए_, sfai_, rgið_, 
   {{0x7c875964,0x0cab00a3,0x8d680165,0x3b1f00c3}},	//   оуде, атди_, ојца_, _ssuq_, 
   {{0x212102cd,0x7d055965,0x00000000,0x00000000}},	//   _ishh_, rths, --, --, 
   {{0x2cbf00d0,0xab290283,0x00000000,0x00000000}},	//   _čudu_, сола_, --, --, 
   {{0xdcfb00d4,0xba2200ff,0x01d90033,0xa25b0054}},	//   _پرسش_, едшк, _তাঁদ, mpôs, 
   {{0xdd944985,0x76b20035,0xafdb00fc,0x768f004f}},	//   _жары, _płyn, _sløy, køyr, 
   {{0x78a25966,0x787e00e0,0xd6c300d4,0x769d023e}},	//   _chov, tīva, ومبی, dèya, 
   {{0xf771057f,0x15b90079,0xfe0202e6,0xf0940225}},	//   عاب_, йыны_, र्कस_, ונק_, 
   {{0x67295967,0x056500c8,0xf9932f67,0x38b10604}},	//   rvej, звон, _قبض_, _išrm_, 
   {{0x32185968,0xf96b00b3,0x26cd5969,0x6729596a}},	//   very_, _трай_, speo_, svej, 
   {{0x59cf0f8c,0x3218596b,0xae0b01a4,0x225a1a77}},	//   _स्तर, wery_, स्तन_, _slpk_, 
   {{0x3218596c,0x7ae4008b,0x3a25027e,0x2907596d}},	//   tery_, šitv, _kalp_, ltna_, 
   {{0xaadd0586,0x78a9596e,0x3a2501d2,0x768f017b}},	//   नीयक, lmev, _jalp_, røys, 
   {{0x2056596f,0x10a615b9,0xc69200a7,0x32185970}},	//   птар, зивн, _ראו_, rery_, 
   {{0xa01b14b1,0xa0671e74,0xaec600f0,0xd37f00ca}},	//   _skör, паса_, збал, šćak_, 
   {{0x32185971,0x1f6609fa,0x2480040c,0x00000000}},	// [4b60] pery_, чкам, _ijim_, --, 
   {{0x649d443f,0x0d2203a1,0x00000000,0x00000000}},	//   néin, нүгү, --, --, 
   {{0x628e5972,0xc1bb00d1,0x91bb00df,0x00000000}},	//   mobo, _למיש, _למיי, --, 
   {{0x78a900e5,0xdd8f0fd0,0xc50c0070,0x00000000}},	//   jmev, دوم_, שלאָ, --, 
   {{0x20070095,0x2a6c5973,0x290500a4,0x29075974}},	//   əni_, _pmdb_, _aqla_, etna_, 
   {{0x3b060104,0x78a25975,0x26c20187,0x2907044e}},	//   rtoq_, _shov, íkom_, ftna_, 
   {{0xa3ac0c59,0xbea35976,0x3d930148,0x69230165}},	//   केत_, _чарк, _зиёр, емја, 
   {{0x628e024d,0x78a20201,0x5d7b00d1,0x68f85977}},	//   hobo, _qhov, _האלק, ruvd, 
   {{0x628e5978,0x368a5979,0x649d597a,0x2907002c}},	//   kobo, йсон_, féin, atna_, 
   {{0x649d0534,0xc87f00ad,0x3a2502be,0x29070604}},	//   géin, ışam_, _galp_, btna_, 
   {{0x628e597b,0xd7ef597c,0x557300b3,0x229f0216}},	//   dobo, _пу_, егэт, jîka_, 
   {{0x35670afc,0xf8aa02a6,0x229f009e,0x00000000}},	//   ярын_, _увек_, dîka_, --, 
   {{0x21210db1,0xd90e00d4,0xa3be0d53,0x59c600bc}},	//   _sshh_, _شیک_, ेड़_, रुअर, 
   {{0x628e597d,0x2480011c,0x67220080,0x00000000}},	//   gobo, _ejim_, _isoj, --, 
   {{0x661a597e,0x06b102d9,0x65930028,0x00000000}},	//   metk, řící_, _пашу, --, 
   {{0xf0b40451,0xa01b0a52,0x661a597f,0x559700d1}},	//   ейсь, _sjöb, letk, _מדוע_, 
   {{0xead700cc,0x628e02c1,0xbebb0034,0x2cac0175}},	// [4b70] _সম্ম, bobo, _rrës, _éddy_, 
   {{0x661a5980,0x037800d1,0x672d032f,0xff5f03c6}},	//   netk, _מתחת_, _šajk, _ffîn_, 
   {{0xa25b0228,0x8c3d027e,0xef1f04a8,0x764a03c6}},	//   spôs, _ahşa, _eyüp_, _mofy, 
   {{0x69c85981,0xfc640093,0x661a14c0,0x00000000}},	//   _afde, нъчн, hetk, --, 
   {{0x661a5982,0x0dcb2cb9,0xcfab009c,0xbebb021e}},	//   ketk, _губи_, _دادم_, _erër, 
   {{0x29070a19,0x8c470216,0x2296003e,0x1de100c9}},	//   ttna_, _bişê, tæki_, _फ़ित, 
   {{0x661a5983,0x3a250946,0x67222bc3,0x649d007a}},	//   detk, _valp_, _asoj, véin, 
   {{0x29075984,0xfbd339d4,0x97d903bd,0x06c900c8}},	//   rtna_, _ستر_, цьку_, огий_, 
   {{0x628e099d,0x29075985,0x26010c06,0x229f010c}},	//   yobo, stna_, _शादी_, zîka_, 
   {{0x661a5986,0x7ae9342a,0xd5b900d3,0x628e0616}},	//   getk, _ivet, өсү_, xobo, 
   {{0x628e5987,0xa78700d4,0x6e2702f1,0x7ae91e92}},	//   vobo, _کشاو, _majb, _hvet, 
   {{0x7ae9143b,0x628e5988,0xecd50035,0x68fc004f}},	//   _kvet, wobo, डीएफ, _årda, 
   {{0x661a5989,0x44630093,0xdd1c0098,0x00000000}},	//   betk, твяв, mšťa, --, 
   {{0x661a04d1,0x764a02bf,0x229f0216,0x7ae9019b}},	//   cetk, _gofy, tîka_, _mvet, 
   {{0xe2974316,0xe7d14b75,0x412701a2,0x661c00c2}},	//   фар_, _सभाप, моро_, õrke, 
   {{0x27ff0877,0x628e598a,0x229f010c,0x10a3081b}},	//   ngun_, sobo, rîka_, висн, 
   {{0x628e598b,0xdee328c1,0x032300d9,0x787e0243}},	// [4b80] pobo, коти, _адын, zīvo, 
   {{0xe2922300,0x00000000,0x00000000,0x00000000}},	//   _جذب_, --, --, --, 
   {{0x7ae92445,0xdbc6007e,0x8c46004f,0x823b00d1}},	//   _avet, _mööd, меже, _ועיצ, 
   {{0xed57004f,0xae02048e,0x6aa602e6,0x69b30fc0}},	//   ьох_, र्जन_, गग्र, ेखनी, 
   {{0x7ae9598c,0x671c456f,0xb5e30033,0x00000000}},	//   _cvet, _बैंक_, _মানচ, --, 
   {{0xbe1600d4,0xd9d80299,0x27ff01d6,0x787e0243}},	//   _توسع, डरेट, egun_, tīvo, 
   {{0x661a598d,0x247601dd,0x5cf50cfe,0xdd92015f}},	//   vetk, nāms_, _пяту, _شور_, 
   {{0x33320026,0x764a1f5b,0xada306a3,0x2000598e}},	//   _oryx_, _sofy, _расл, ngii_, 
   {{0xf09300a7,0x661a598f,0x2d985990,0x00000000}},	//   כנה_, tetk, _hyre_, --, 
   {{0x6446006d,0x7afd0bff,0xae020249,0x00000000}},	//   ejki, _åsta, र्चन_, --, 
   {{0xe01e0bd3,0x38c80274,0x984c0035,0x64755991}},	//   _पसंद_, _راضی_, jść_, егну, 
   {{0x247601dd,0x2d985992,0x62805993,0x00000000}},	//   dāms_, _myre_, émon, --, 
   {{0xe6665994,0xd62a5995,0x661a3174,0x984c0083}},	//   _отко, _моде_, petk, eść_, 
   {{0x6cfe40a8,0xe56f015f,0x27e40102,0x38a11259}},	//   _उमंग_, اطی_, lamn_, móra_, 
   {{0xfbde04cc,0xa1940d75,0x38a15996,0x00000000}},	//   मराम, варч, lóra_, --, 
   {{0x6e270ab4,0x27e431b7,0x3eb83f63,0x00000000}},	//   _sajb, namn_, _airt_, --, 
   {{0x02a70258,0x3eb8003e,0x64ba01f2,0x3f850035}},	// [4b90] _ором, _birt_, _eċit, _ślub_, 
   {{0x5ec800cc,0x27e40164,0x80090019,0xdd9b0bad}},	//   _লিখে, hamn_, _کردہ_, оше_, 
   {{0x7ae95997,0x44295998,0x649d007a,0x3eb80139}},	//   _svet, _kaa_, héim, _dirt_, 
   {{0x44295999,0x2d9801e8,0x260e29b0,0xfbd00195}},	//   _jaa_, _dyre_, त्ती_, لته_, 
   {{0x44291eab,0x271d000d,0x2d980626,0x6e270405}},	//   _maa_, _भनेर_, _eyre_, _tajb, 
   {{0x4429599a,0x3eb8010c,0xf2d400c7,0x644d001d}},	//   _laa_, _girt_, דעס_, _loai, 
   {{0xdbd901d5,0x645f01ff,0x00000000,0x00000000}},	//   _fæðu, _olqi, --, --, 
   {{0x44291272,0x26011615,0x644d00b4,0xf8a80038}},	//   _naa_, _शाही_, _noai, وديه_, 
   {{0x2b9000d4,0x38a1599b,0x7ae90036,0x7c3b599c}},	//   _پیوس, góra_, _uvet, _inur, 
   {{0x7c29599d,0x7c2b599e,0x645f2723,0x984c0083}},	//   _haer, ldgr, _alqi, yść_, 
   {{0x4429599f,0xa90700d6,0x7c2959a0,0x644d0379}},	//   _baa_, _زبان, _kaer, _boai, 
   {{0x7c2b1bc7,0xc20900a7,0x3d0700ab,0x625901f5}},	//   ndgr, _לה_, _हमने_, _dìom, 
   {{0x644d59a1,0x7c3b59a2,0x442900fc,0xe73901a2}},	//   _doai, _mnur, _daa_, _хел_, 
   {{0x66f600a7,0x7c290876,0x24760243,0x1606072d}},	//   _נמצא_, _laer, tāms_, _शायर_, 
   {{0x442959a3,0xf9920137,0xc5f2035c,0x7c3b59a4}},	//   _faa_, ָרן_, _עדה_, _onur, 
   {{0x387f008c,0xe3da0086,0x644d0a77,0x3eb859a5}},	//   nnur_, _থাকব, _goai, _sirt_, 
   {{0x200059a6,0x3f8602a0,0x3eb800a1,0xa3ac3fee}},	// [4ba0] rgii_, çou_, _pirt_, केश_, 
   {{0x63a42a1a,0x7c3b3d92,0x7c2b1a77,0x387f02eb}},	//   _izin, _anur, edgr, hnur_, 
   {{0x442959a7,0x7c2959a8,0xa3ac00bc,0x3eb859a9}},	//   _yaa_, _baer, केर_, _virt_, 
   {{0x7c2902bf,0x3eb8007b,0x64960038,0xeb064083}},	//   _caer, _wirt_, máis, ечко, 
   {{0x7c29286b,0x649600eb,0x45250033,0x62810121}},	//   _daer, láis, যমিক_, člov, 
   {{0x2d98078e,0x63a40204,0x7c2959aa,0x7c2b040b}},	//   _tyre_, _mzin, _eaer, adgr, 
   {{0xada3005e,0x6da359ab,0x8e8301d8,0x00000000}},	//   _барл, _бира, _сгре, --, 
   {{0x3b0a0099,0x7c290156,0x387f0679,0x63a459ac}},	//   _небо_, _gaer, gnur_, _ozin, 
   {{0x63a459ad,0x442959ae,0x00000000,0x00000000}},	//   _nzin, _raa_, --, --, 
   {{0x442959af,0x62800496,0xb602000d,0x649d0038}},	//   _saa_, émol, _část, réim, 
   {{0x442959b0,0x63a459b1,0x83f900d9,0xa3d5134f}},	//   _paa_, _azin, менс_, конч, 
   {{0xe7860aed,0x63a459b2,0x629c01d2,0x00000000}},	//   _пуло, _bzin, elro, --, 
   {{0x644d01a7,0x442b0027,0x442959b3,0x00000000}},	//   _voai, rdc_, _vaa_, --, 
   {{0x4429011c,0x63a459b4,0x6726003e,0x6aba007b}},	//   _waa_, _dzin, ækju, _jitf, 
   {{0x63a459b5,0x6aba59b6,0x442959b7,0x30a759b8}},	//   _ezin, _mitf, _taa_, ерав, 
   {{0x759b03e1,0x442902a2,0x645f024a,0x6aba59b9}},	//   _מיוח, _uaa_, _ulqi, _litf, 
   {{0xf41f00c8,0x6496007a,0x09e60033,0x7c2902a5}},	// [4bb0] meä_, ráit, _নানা, _raer, 
   {{0x7c3b59ba,0x38a1008c,0x765a0009,0x2ee9017c}},	//   _snur, jórn_, nkty, rsaf_, 
   {{0x649600eb,0x7c2959bb,0x61e759bc,0x2296003e}},	//   cáis, _paer, majl, rækt_, 
   {{0x64960038,0x7c2900a3,0xafdb1341,0x61e71240}},	//   láir, _qaer, _snøf, lajl, 
   {{0x7c2b59bd,0x09d80033,0x27ef0027,0x7c2959be}},	//   rdgr, _সাজা, _rdgn_, _vaer, 
   {{0x7c2959bf,0x50d4015f,0x6496007a,0xd5b801dd}},	//   _waer, _جزیر, náir, ndās_, 
   {{0x6f0d59c0,0x9d1859c1,0x26cf0126,0xf41f00c8}},	//   ltac, _порт_, _stgo_, keä_, 
   {{0x61e759c2,0xa3ac0077,0x6f0d01fd,0xdd9409d9}},	//   hajl, केँ_, otac, _сасы, 
   {{0xb8c80081,0x7c84032e,0xd7060088,0x20c759c3}},	//   _खी_, _суре, вные_, _lõi_, 
   {{0x6285015e,0xd12102e6,0x61e708e3,0xdcff0028}},	//   _njho, मबाण_, jajl, _švęs, 
   {{0x63a4006b,0xc9595464,0x69ca0154,0x6f0d59c4}},	//   _szin, _تلاش_, _स्टी, htac, 
   {{0xa01b0219,0x6f0d57dd,0x765a59c5,0x00000000}},	//   _sjön, ktac, akty, --, 
   {{0x032300dd,0xa85600d1,0xa3ac08c6,0xd7f84955}},	//   адян, _שינה_, कें_, _чух_, 
   {{0x6496007a,0x6b9b007c,0x9987010e,0x61e74c88}},	//   gáir, _myug, lenő_, gajl, 
   {{0x26c20187,0x4096005b,0x09e60086,0x20c70023}},	//   íkov_, врат, _নামা, _cõi_, 
   {{0x20c7001b,0x4e14072f,0x3e6459c6,0x645d024a}},	//   _dõi_, न्नै_, _möte_, ërit, 
   {{0x6b9b59c7,0x63a459c8,0x53a32d60,0x00000000}},	// [4bc0] _nyug, _uzin, _каъб, --, 
   {{0x9f42078a,0xed5a0e65,0x3f9c01dd,0x0e630176}},	//   _yekê_, моз_, āvu_, акун, 
   {{0xa06a1f1d,0x8c3d010c,0x6f0d0465,0xf8b30c64}},	//   _жана_, _hişy, atac, ुदाय, 
   {{0xf53600c7,0xafe300d3,0x2d950176,0x6b9b59c9}},	//   כטער_, _коюл, урус, _byug, 
   {{0xa01b0f70,0x80af0035,0x6f0d59ca,0x6b9b016c}},	//   _mjöl, ंगरे, ctac, _cyug, 
   {{0x9f42024a,0x00000000,0x00000000,0x00000000}},	//   _lekë_, --, --, --, 
   {{0xda650038,0x9d4313cf,0xfbc60148,0x7aeb00a1}},	//   داني, _керд, _аббо, asgt, 
   {{0xdca659cb,0xd7f00038,0x5ca6002e,0x7c9559cc}},	//   _раби, حكة_, _рибб, _бруц, 
   {{0xe3e10086,0x9f49008c,0xa09b00d1,0x799a0035}},	//   _ভালব, ngað_, ויקט, _wytw, 
   {{0x2bce0c59,0x4aa712a9,0x6aba1a77,0x00000000}},	//   हुरा, _акун_, _uitf, --, 
   {{0x765a022b,0x4e350137,0x61e70df4,0x44b500d3}},	//   rkty, אָרן_, vajl, лбос, 
   {{0x89790070,0x2baf0c46,0x99790070,0x00000000}},	//   _אָנה, जेवा, _אָנפ, --, 
   {{0xae03051f,0x61e759cd,0x6f0d59ce,0xdcfc0028}},	//   _लालन_, tajl, xtac, _tyrė, 
   {{0x175700d1,0x97370225,0x07a30267,0x94210248}},	//   _בסדר_, _שרגא_, _тачн, _əsər_, 
   {{0xc6930138,0xa01b06b6,0x61e759cf,0x7ae0006d}},	//   _דאס_, _fjöl, rajl, _lwmt, 
   {{0x20c705d2,0x6f0d59d0,0x61e70c05,0x9f9d008c}},	//   _või_, ttac, sajl, _bæði_, 
   {{0x53350593,0xc6250086,0x3eaa00a1,0x628559d1}},	// [4bd0] _септ, বারা_, _bhbt_, _tjho, 
   {{0x6f0d59d2,0x3a2c0183,0x81dd0086,0x6d45006d}},	//   rtac, _nadp_, _ডাক_, txha, 
   {{0x7bf940a0,0xc7b9039f,0x2016020b,0x00000000}},	//   енер_, ndőr_, ícií_, --, 
   {{0x6f0d59d3,0x00000000,0x00000000,0x00000000}},	//   ptac, --, --, --, 
   {{0x4a7500d3,0x7ae00090,0x6d4a1341,0x61e559d4}},	//   лыкт, _cwmt, øfar, _kehl, 
   {{0x629559d5,0x3a2c0183,0xdd950161,0x61e502d9}},	//   nozo, _cadp_, _багы, _jehl, 
   {{0xa3e3207d,0x61e50364,0x645d59d6,0x3a3e023e}},	//   धरा_, _mehl, kksi, _dntp_, 
   {{0xccf20056,0x3949034c,0x61e50149,0x7af6012d}},	//   _לכל_, ćas_, _lehl, šyta, 
   {{0x62950019,0x60c50175,0xc79503a1,0x7ae003c6}},	//   kozo, _luhm, ыркы, _gwmt, 
   {{0xb7bd00d9,0xa2c20a34,0x629559d7,0x61e50098}},	//   deţe, लदस्, jozo, _nehl, 
   {{0x69c159d8,0xf3e62a79,0x1fb059d9,0xdd1204d6}},	//   _igle, лжно, _झण्ड, _müşr, 
   {{0xb7bd020f,0x38850243,0xd6d90083,0x00000000}},	//   feţe, mēro_, zyły_, --, 
   {{0x81d5100b,0xc879091f,0x7ae0006d,0x68e100a1}},	//   _হয়_, miş_, _xwmt, _hwld, 
   {{0x412a1589,0xc87904be,0x43751ca5,0x645d2d31}},	//   ного_, liş_, руют, ërir, 
   {{0x216a17a6,0x61e559da,0x515503a1,0x00000000}},	//   хиви_, _dehl, атту, --, 
   {{0xc8790824,0x3eaa0065,0x787e01dd,0x645d074a}},	//   niş_, _shbt_, tīvi, cksi, 
   {{0x442259db,0x69c11af7,0x61e502ec,0x4256024f}},	// [4be0] mek_, _ogle, _fehl, _منظر, 
   {{0x442259dc,0x69c10133,0xb22629e7,0xc87900ad}},	//   lek_, _ngle, _смол, hiş_, 
   {{0xf1a8000d,0xdca604a0,0xc87901f0,0x2d9c02c9}},	//   _गरिन, гажи, kiş_, æve_, 
   {{0x442259dd,0x16130fd2,0x61e559de,0xfb8a59df}},	//   nek_, त्तर_, _zehl, нбек_, 
   {{0x6d43014e,0x442201ca,0xc8791305,0x00000000}},	//   änar, iek_, diş_, --, 
   {{0x442259e0,0xe3bf0183,0x90e5015f,0x28f800b3}},	//   hek_, meñe_, _حسین, векь_, 
   {{0x442259e1,0x0d990f82,0x645d0088,0x9f420118}},	//   kek_, _атты_, yksi, _sekè_, 
   {{0x442259e2,0x6d4159e3,0xd6da09f9,0xb6f408bd}},	//   jek_, _šlag, нто_, азиј, 
   {{0x20570137,0x6e2e59e4,0x3b8615d6,0x629559e5}},	//   טיקל_, _kabb, _слаг, yozo, 
   {{0x91d4000f,0x838700f0,0x7c220474,0x62950042}},	//   _ब्लै, ғыме, leor, xozo, 
   {{0x6295031e,0x442259e6,0x61e559e7,0xa01b02ae}},	//   vozo, fek_, _rehl, _sjöm, 
   {{0x44220019,0x645d0088,0x6e2e59e8,0x60c50568}},	//   gek_, uksi, _labb, _ruhm, 
   {{0x61e51240,0xb8930038,0xb7bd020f,0xb36400fd}},	//   _pehl, _النع, teţe, бърк, 
   {{0x6e2e01a3,0x7c2259e9,0x25ee009a,0xae0315c8}},	//   _nabb, heor, _आयटी_, _लाइन_, 
   {{0xd49b2dc4,0x629559ea,0x27e6012b,0x7c22017b}},	//   _при_, rozo, _keon_, keor, 
   {{0x44220792,0x6e2e02a5,0x4fd559eb,0x787e01dd}},	//   cek_, _aabb, ржат, būve, 
   {{0x6e2e59ec,0x7c2259ed,0xf3ff02a0,0x61e559ee}},	// [4bf0] _babb, deor, lhão_, _tehl, 
   {{0xe45f014e,0x60c559ef,0xc8790248,0x27e60139}},	//   lkö_, _tuhm, ziş_, _leon_, 
   {{0xf3ff02a0,0xc8790785,0x6e2e59f0,0xfbd60033}},	//   nhão_, yiş_, _dabb, _হয়ত, 
   {{0x7c2259f1,0xdd9803a1,0xe45f0080,0x69c159f2}},	//   geor, ушу_, nkö_, _sgle, 
   {{0x6e2e59f3,0xab29126b,0xbb4541b6,0x200b01be}},	//   _fabb, тола_, релк, _icci_, 
   {{0x442259f4,0x2bd502e6,0x27e90d9d,0xe45f0080}},	//   zek_, _ड्रा, _žan_, hkö_, 
   {{0x442259f5,0x68453ac9,0x325800a7,0xe45f00c8}},	//   yek_, инка, רסום_, kkö_, 
   {{0x5d8400eb,0x7ccc03c0,0x6e2e01a3,0x442259f6}},	//   _الفل, _uğra, _zabb, xek_, 
   {{0xc8790749,0x46e603dd,0x27e60326,0x7b6759f7}},	//   riş_, адын_, _deon_, _стве, 
   {{0x442259f8,0x6e2e040c,0x00000000,0x00000000}},	//   wek_, _xabb, --, --, 
   {{0x442259f9,0xe5a50623,0x35a559fa,0xd46a59fb}},	//   tek_, рини, ранг, вине_, 
   {{0x3e640219,0x6f1d01c8,0x76b20035,0x200b040b}},	//   _möta_, _opsc, _błys, _ncci_, 
   {{0x442259fc,0x76b200ab,0x2489011c,0x66e559fd}},	//   rek_, _płyt, _djam_, _тола, 
   {{0x442259fe,0xe578005e,0x201959ff,0x368b5a00}},	//   sek_, _өзі_, _absi_, _ясен_, 
   {{0x44225a01,0xc0e65a02,0x64a61a68,0x6f1d0613}},	//   pek_, робк, _кака, _apsc, 
   {{0x7cc50009,0x251a00d1,0x44225a03,0x44e3010e}},	//   _gėri, _יוצא, qek_, mű_, 
  
   {{0x7d1c0ab4,0x6e2e008c,0x00000000,0x00000000}},	// [4c00] _sprs, _pabb, --, --, 
   {{0x2bde0b6c,0x9dba0296,0x2cbf020f,0x6e2e00a4}},	//   मर्थ, نداز_, _aiud_, _qabb, 
   {{0xa0a65a04,0x208a0e65,0x6e2e00fd,0x10a61ca5}},	//   _ванд, _айни_, _vabb, _винн, 
   {{0x6e2e5452,0x3d07007e,0xe3bf001d,0xa0810259}},	//   _wabb, _हमरे_, señe_, _еңсе, 
   {{0x7e6000d9,0x7bc4012d,0x7c225a05,0x6e2e5a06}},	//   _împo, žiuo, reor, _tabb, 
   {{0x7c220730,0xb8f40038,0xe9df00e7,0x7af60009}},	//   seor, مكتب, _đúc_, šyto, 
   {{0x672b00e5,0x6f040094,0x7c22033c,0x7d1c0613}},	//   _asgj, luic, peor, _uprs, 
   {{0x649d5a07,0x5fc600a5,0xc5f00033,0x00000000}},	//   néit, लखिल, জ্ঞা_, --, 
   {{0x44f10405,0x76aa00c8,0xbebb024a,0xeb9a5a08}},	//   eġ_, ктов_, _rrëz, _риа_, 
   {{0xfaa60e2c,0x27e60126,0x649d0212,0x1daa08c6}},	//   _тазо, _weon_, héit, _करात, 
   {{0x994a1c8f,0xe45f0088,0x2459563c,0x76b20035}},	//   _جلال_, tkö_, гань_, _słys, 
   {{0x291e0348,0x7d0303a1,0xd49815d3,0x26170083}},	//   _ipta_, ànsi, иря_, ब्बी_, 
   {{0x3d0800a2,0x38660474,0x00000000,0x00000000}},	//   ांडे_, _ilor_, --, --, 
   {{0x48fd000d,0x3d070035,0x2d87009e,0xe45f161d}},	//   रूको_, _हमले_, ûnek_, skö_, 
   {{0x2019016a,0x313500fd,0x00000000,0x00000000}},	//   _pbsi_, щевр, --, --, 
   {{0x4e193d07,0x61e20304,0xfe19009a,0xc1040038}},	//   न्नई_, _đole, न्नस_, توفي, 
   {{0x9f42055a,0x6f045a09,0x3e640219,0x25ed00a5}},	// [4c10] _wekî_, guic, _söta_, _आजमी_, 
   {{0x644f0112,0x7e6000b3,0x291e5a0a,0x386600b9}},	//   ljci, _împl, _opta_, _llor_, 
   {{0x38665a0b,0x6287044e,0xc2e500a3,0x9f4002be}},	//   _olor_, mnjo, _тўқи, raiá_, 
   {{0x6280026e,0x644f015e,0xbd440038,0x0ca800a3}},	//   émov, njci, تنمي, атчи_, 
   {{0x649d00e1,0xfca90259,0x9b270d75,0x00000000}},	//   léis, _ұсақ_, рфел, --, 
   {{0xa3ac2414,0x38665a0c,0x20095a0d,0x0dcb5a0e}},	//   केट_, _alor_, lgai_, _шуми_, 
   {{0xceb20137,0x5c0700c8,0x649d0038,0x20f300ca}},	//   _מיך_, _вяза, néis, nći_, 
   {{0x20091b59,0x6c8500eb,0x4c943052,0x38290267}},	//   ngai_, _الرم, _дисс, ужио_, 
   {{0xf74900d4,0x09e60033,0x62870304,0x649d107e}},	//   اجعه_, _নারা, knjo, héis, 
   {{0x6287090e,0xd4d900e4,0x38665a0f,0x20f300ef}},	//   jnjo, льмі_, _elor_, kći_, 
   {{0x628703ef,0xc32900fe,0x99351c8f,0x1acf0033}},	//   dnjo, _רו_, _دفات, _রিয়া, 
   {{0xdd38002a,0x15f31223,0x491c2569,0xe5a502f1}},	//   nāša, _आयकर_, _महतो_, _қийи, 
   {{0x38a1008c,0xa6c90235,0x27ed5a10,0x649d0183}},	//   jóri_, _ёлка_, maen_, véit, 
   {{0x27ed02bf,0xe611009c,0xb6680259,0x7d05011c}},	//   laen_, _رشت_, _киіз_, kuhs, 
   {{0x7643006a,0xa06a0141,0x21675a11,0x649d0354}},	//   _inny, гава_, бири_, téit, 
   {{0x320c00ab,0x27ed5a12,0x4f960165,0x00000000}},	//   żdy_, naen_, брзу, --, 
   {{0x64440c3d,0x628700ef,0x3fcb1c03,0x649d0038}},	// [4c20] _inii, bnjo, ادفی_, réit, 
   {{0x44325a13,0x6f040387,0xf41f0080,0x00000000}},	//   _hay_, ruic, nnän_, --, 
   {{0x4432482b,0x5bc600eb,0x200902cd,0x61ee5a14}},	//   _kay_, مقال, bgai_, mabl, 
   {{0xdd8f5a15,0x8b6a5a16,0x61ee5a17,0xe3bf0634}},	//   رون_, лиев_, labl, leña_, 
   {{0x44320052,0x645606df,0xa3ac009a,0xa2ce09ec}},	//   _may_, _moyi, केच_, _धूम्, 
   {{0x645600cf,0x523a0137,0x3320031e,0x649d00eb}},	//   _loyi, רײַנ, _mpix_, néir, 
   {{0xed57373a,0x27ed5a18,0xdd3801dd,0x443201a7}},	//   _лор_, faen_, bāša, _oay_, 
   {{0x76435a19,0x44322ffa,0xc6f854ec,0xb8810228}},	//   _anny, _nay_, аних_, _šíre, 
   {{0x7d1b00ef,0x254e0095,0x6d5e5a1a,0x67291a87}},	//   _ćusi, məli_, lypa, gwej, 
   {{0x4432012b,0xbb3b00c7,0x7e7e5a1b,0xa3af007e}},	//   _aay_, _געמי, nipp, _करब_, 
   {{0x44325a1c,0xd9432b3b,0x645600a3,0xfe9b008d}},	//   _bay_, _нефи, _boyi, ריימ, 
   {{0x76435a1d,0xfaa603dc,0x629e085b,0x44325a1e}},	//   _enny, _таҷо, _akpo, _cay_, 
   {{0x44325a1f,0x6287090b,0x3320084c,0x7e7e4ea8}},	//   _day_, tnjo, _cpix_, kipp, 
   {{0x61ee1eb1,0xa6b60093,0x649d0038,0x644402a5}},	//   gabl, _усещ, téis, _enii, 
   {{0x44325a20,0xf64f009c,0x64565a21,0x4a5b0147}},	//   _fay_, _سئو_, _foyi, נדלו, 
   {{0x20090009,0x644400a1,0x64565a22,0x649d0534}},	//   ugai_, _gnii, _goyi, réis, 
   {{0x62870242,0xe3bf2016,0x649d0534,0x00000000}},	// [4c30] pnjo, beña_, béir, --, 
   {{0x63ad5a23,0x51875a24,0x443200a9,0x6dc700c8}},	//   _izan, _гума, _zay_, ссаж, 
   {{0x6019116d,0x645601ff,0x6e25010c,0x254e0248}},	//   _коня_, _yoyi, rehb, fəli_, 
   {{0xac194564,0x44325a25,0xc1b50466,0x6e250502}},	//   роду_, _xay_, ंधीग, sehb, 
   {{0xa3ea0d1d,0x3de80086,0xdea40019,0x7d0502be}},	//   यरत_, _পারল, _کیلی, suhs, 
   {{0x63ad5a26,0xdcf40213,0x38850243,0x388c00d8}},	//   _mzan, _çağl, mēri_, věra_, 
   {{0x6d5e011c,0x27ed5a27,0xe7260218,0x00000000}},	//   cypa, taen_, _pêşê, --, 
   {{0x61ee08a2,0x63ad1ca0,0x8c6400f0,0x1fe70033}},	//   zabl, _ozan, _етуд, _ফাঁস, 
   {{0x27ed5a28,0x63ad0610,0x7d030183,0x44325a29}},	//   raen_, _nzan, ánsf, _ray_, 
   {{0x44325a2a,0x06960038,0xb659004f,0xe6160eba}},	//   _say_, ينية_, рших_, одь_, 
   {{0x63ad5a2b,0x443200a7,0xe3bf0183,0x64564b51}},	//   _azan, _pay_, veña_, _poyi, 
   {{0x29075a2c,0xdb070679,0x3a2700ef,0x87b909f1}},	//   muna_, _ímót, lenp_, _култ_, 
   {{0xd6db185b,0x6d5e00ab,0x61ee173f,0x44325a2d}},	//   _сте_, zypa, tabl, _vay_, 
   {{0x386d00ce,0x44320056,0x95cb5a2e,0x63ad044d}},	//   lher_, _way_, _суда_, _dzan, 
   {{0x61ee5a2f,0x443200f7,0x29075a30,0x059500d4}},	//   rabl, _tay_, nuna_, _باشگ, 
   {{0xe3bf0086,0x70b400e6,0xd12f010e,0x6d5e5a31}},	//   seña_, ंगेल, کمہ_, vypa, 
   {{0xa0670d61,0x8fa32655,0x29071272,0x7e7e5a32}},	// [4c40] цата_, дате, huna_, tipp, 
   {{0x29075a33,0xa3af2894,0x6d5e5a34,0x63a402b8}},	//   kuna_, _करत_, typa, _iyin, 
   {{0x29075a35,0xb5fa0070,0x629c5190,0x38a15a36}},	//   juna_, שלעכ, moro, lóru_, 
   {{0x29075a37,0xa3ea00aa,0x6d5e5a38,0xc50c0070}},	//   duna_, यरि_, rypa, רלאָ, 
   {{0x386d003d,0x9d0a0086,0xeaba5a39,0xda0505e5}},	//   dher_, রবেন_, айд_, _राखत_, 
   {{0x629c5a3a,0x29075a3b,0x6f165a3c,0xfce65a3d}},	//   noro, funa_, mtyc, _мого, 
   {{0x29075a3e,0xa3ea2569,0x6da31fc5,0xed5a004f}},	//   guna_, यरा_, _жира, _тов_, 
   {{0x629c5a3f,0x63a45a40,0x386d5a41,0x254e0248}},	//   horo, _oyin, gher_, qəli_, 
   {{0x63a45a42,0x290700d9,0x368a2bc7,0x6f161089}},	//   _nyin, auna_, исон_, ntyc, 
   {{0x629c5a43,0x2ca63869,0x76aa02a0,0xda66007a}},	//   joro, llod_, јтив_, _باري, 
   {{0x63a40547,0x63ad4b6e,0xd7ef0d11,0x2bba04cc}},	//   _ayin, _szan, _оу_, ेशवा, 
   {{0x386d5a44,0x6f1600ab,0x2ca60089,0x63a4024d}},	//   cher_, ktyc, nlod_, _byin, 
   {{0x629c5a45,0x63a40610,0x77920c30,0xf76f00d7}},	//   foro, _cyin, _زیدا, _لاو_, 
   {{0x59dd000d,0x65860161,0xcfe70033,0x629c1bdc}},	//   नुपर, _мыйз, _ফাইন, goro, 
   {{0xc0cb004e,0x63a401a3,0xc7ad0019,0x2ca606e4}},	//   руге_, _eyin, _لڑی_, klod_, 
   {{0x200f00b0,0x439508ab,0x62800212,0x7658095a}},	//   ügi_, _найс, émor, _hovy, 
   {{0x629c5a46,0x7658006d,0x29070a9f,0xa3af00b0}},	// [4c50] boro, _kovy, zuna_, _करि_, 
   {{0xe3bf0634,0x69c80096,0x29075a47,0x00000000}},	//   leño_, _ngde, yuna_, --, 
   {{0x20e8020f,0x2ca6238e,0x00000000,0x00000000}},	//   cşi_, flod_, --, --, 
   {{0xa3af148e,0x290734fa,0x6fda02e6,0x69c8004f}},	//   _करा_, vuna_, युदं, _agde, 
   {{0x3d07007e,0xfe730491,0xcfab15ce,0x386d0241}},	//   _हमके_, _قدس_, _خادم_, vher_, 
   {{0x29075a48,0xdc550019,0x76580098,0x00000000}},	//   tuna_, _کرسک, _novy, --, 
   {{0x386d0052,0xe3bf0126,0x2ca60343,0x6b8d00b3}},	//   ther_, keño_, blod_, _ţigă, 
   {{0x629c5a49,0x25ed009a,0xe3bf0126,0xbd440038}},	//   zoro, _आजही_, jeño_, _تنفي, 
   {{0x29075a4a,0x386d02f2,0x629c5a4b,0xe3bf033c}},	//   suna_, rher_, yoro, deño_, 
   {{0x386d5a4c,0x6e355a4d,0x629c00a3,0x7ae95a4e}},	//   sher_, _jazb, xoro, _iwet, 
   {{0x64a65a4f,0xe9d01896,0x386d1453,0x76585a50}},	//   зана, _شغل_, pher_, _dovy, 
   {{0x629c5a51,0x7ae95a52,0xdb000212,0x6f160083}},	//   woro, _kwet, _symé, ytyc, 
   {{0x87045a53,0x7ae95a54,0x888c0070,0x7bc9025b}},	//   _قبول, _jwet, _דראַ, _mgeu, 
   {{0x70b40c8f,0xf77013b4,0x2f140219,0x7ae95a55}},	//   ंग्ल, _جام_, väg_, _mwet, 
   {{0x629c5a56,0xe5a25a57,0x213e0038,0x7ae93e77}},	//   roro, _пиши, íth_, _lwet, 
   {{0x629c5a58,0x7bc911e9,0xe3bf0369,0xcfe70033}},	//   soro, _ngeu, ceño_, _ফাউন, 
   {{0x629c5a59,0x4420024d,0x0e6603a1,0x63a401ff}},	// [4c60] poro, _ibi_, пкан, _uyin, 
   {{0x7bc9033e,0x388501dd,0x6f160083,0xa01b5a5a}},	//   _ageu, mēru_, rtyc, _sjöt, 
   {{0x6f16006a,0x0c265a5b,0x6e350082,0x261301a4}},	//   styc, змен, _dazb, _दानी_, 
   {{0x3d1c5a5c,0x9b6a0769,0x7ae90547,0x7eab0241}},	//   _नहीं_, йшла_, _bwet, lüpl, 
   {{0x44205a5d,0xfaa65a5e,0x2ca65a5f,0x225a0118}},	//   _mbi_, падо, rlod_, _kopk_, 
   {{0x8d665a60,0x6f041f96,0xa3af007e,0x5a334e7d}},	//   _евге, mric, _करस_, еншт, 
   {{0x672201e2,0x6f045a61,0x7bc901be,0xfce6286c}},	//   _spoj, lric, _fgeu, _хобо, 
   {{0xdca339f7,0x44205a62,0x76585a63,0xe3bf0068}},	//   _заси, _nbi_, _sovy, xeño_, 
   {{0x07f700eb,0x6f045a64,0xa01b008c,0x76580098}},	//   سريع_, nric, _kjör, _povy, 
   {{0x44205a65,0xe67800dd,0x6f040a92,0x60c601dd}},	//   _abi_, ійні_, iric, _likm, 
   {{0x44205a66,0x7ae94249,0xe3bf001d,0x7afd3b57}},	//   _bbi_, _zwet, teño_, _åstr, 
   {{0x2b205a67,0x6f045a68,0x00000000,0x00000000}},	//   _यहाँ_, kric, --, --, 
   {{0xa5f83d5b,0xe3bf5a69,0x7ae9009e,0x6f04039b}},	//   _делу_, reño_, _xwet, jric, 
   {{0xe3bf128a,0x44205a6a,0xf7bb00d1,0x7afd0566}},	//   seño_, _ebi_, _הזדמ, _æste, 
   {{0xe3bf0634,0x6f045a6b,0xceb400ad,0x2ea90790}},	//   peño_, eric, ktəb_, _कठौत, 
   {{0x9f52010c,0x6e3502d9,0x30a403a6,0x64a40165}},	//   mayê_, _sazb, ерув, _паја, 
   {{0xa01b5a6c,0xbfab2f89,0x9f52009e,0x3ed90038}},	// [4c70] _björ, стве_, layê_, زواج_, 
   {{0x442b3204,0x44395a6d,0x7bc90014,0x7ae90226}},	//   lec_, lds_, _sgeu, _rwet, 
   {{0x7ae95a6e,0x9f52009e,0x6e3500bc,0x2dd80038}},	//   _swet, nayê_, _vazb, سبلة_, 
   {{0xc0ab06ab,0x44395a6f,0x442b5a70,0x78a20b3a}},	//   _داخل_, nds_, nec_, _nkov, 
   {{0x44395a71,0x6f0403da,0x1a650399,0x9f520218}},	//   ids_, cric, ویری_, hayê_, 
   {{0x9f52010c,0x78a200ef,0x60c65a72,0xbb425a73}},	//   kayê_, _akov, _zikm, тешк, 
   {{0xdd9400d3,0x442b4449,0x261300bc,0x63a80083}},	//   _зары, kec_, _दाबी_, ędni, 
   {{0xba7700d4,0x673b0a1a,0x44395a74,0x9f52009e}},	//   _کارت, tvuj, jds_, dayê_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x4439051e,0x44205a75,0x7c2b5a76,0x673b0098}},	//   eds_, _sbi_, legr, rvuj, 
   {{0xb5790088,0x44205a77,0x442b00f6,0x9f52009e}},	//   ющих_, _pbi_, fec_, gayê_, 
   {{0x6f04278f,0x442b2467,0x4420011c,0xe1e61f9a}},	//   yric, gec_, _qbi_, कर्ण_, 
   {{0xe60e5a78,0x78a9098d,0x44200096,0xe738004f}},	//   _ид_, mlev, _vbi_, _неї_, 
   {{0x60c65a79,0x6f045a7a,0x9f520218,0x27ef0566}},	//   _sikm, vric, bayê_, _hegn_, 
   {{0x442b2194,0x3d0c00ab,0x71a301a2,0x6f045a7b}},	//   bec_, _हमें_, варз, wric, 
   {{0x78a95a7c,0x26c75a7d,0x388501dd,0xa01b02ae}},	//   nlev, _hino_, mērs_, _sjör, 
   {{0x26c75a7e,0x26cf5a7f,0xaec62189,0x6f0400a1}},	// [4c80] _kino_, _jugo_, дбал, uric, 
   {{0x26cf5a80,0xdb000218,0x6f045a81,0x26c722ab}},	//   _mugo_, _ezmû, rric, _jino_, 
   {{0x26cf09a1,0x26c75a82,0x6f045a83,0x78a90c53}},	//   _lugo_, _mino_, sric, klev, 
   {{0x26c75a84,0x7c2b4e3c,0x50b632af,0x32d40088}},	//   _lino_, gegr, _існу, _käy_, 
   {{0x9f52010c,0x78a95a85,0xa01b2580,0x628e0664}},	//   zayê_, dlev, _tjör, onbo, 
   {{0x442b1dee,0x26c75a86,0x9f52010c,0x78a201cc}},	//   zec_, _nino_, yayê_, _skov, 
   {{0x7c2b194c,0x44395a87,0x628e1526,0x78a95a88}},	//   begr, yds_, inbo, flev, 
   {{0x29005a89,0x9f52009e,0x26c75a8a,0x8b2603b7}},	//   čia_, vayê_, _aino_, _одбе, 
   {{0x26c75a8b,0x61fe1fe0,0x9f52010c,0x388501dd}},	//   _bino_, _odpl, wayê_, vērt_, 
   {{0x7ae25a8c,0x26c7023e,0x24800180,0x98ae008f}},	//   mpot, _cino_, _amim_, ınır_, 
   {{0x26c75a8d,0x78a95a8e,0x7ae25a8f,0x7e6000b3}},	//   _dino_, blev, lpot, _împu, 
   {{0x9f52010c,0x27ef008c,0xa3d61f5e,0x628e1a77}},	//   rayê_, _gegn_, ाँग_, enbo, 
   {{0x44395a90,0x26c75a91,0x442b29a8,0x7ae25a92}},	//   rds_, _fino_, rec_, npot, 
   {{0x26c73c35,0x9f520216,0x65940220,0x31355a93}},	//   _gino_, payê_, _палу, негр, 
   {{0x6d580080,0x6aaa00f8,0x56935a94,0x00000000}},	//   äval, ilff, _шашт, --, 
   {{0x9ed95a95,0x2480016a,0x26c75a96,0x26cf0126}},	//   змат_, _gmim_, _zino_, _yugo_, 
   {{0x69da5a97,0xeb0d0a09,0x26cf0068,0x26c7019b}},	// [4c90] _ofte, _समेत_, _xugo_, _yino_, 
   {{0x26c700f6,0x78a03a80,0x00000000,0x00000000}},	//   _xino_, homv, --, --, 
   {{0x8c3d01f0,0xdb000068,0x61f5008f,0x78a0007c}},	//   _akşa, _gzmú, mazl, komv, 
   {{0x1ddf055d,0x69da44ad,0x1bd55a98,0x6d410369}},	//   _प्रत, _afte, ходя, _álam, 
   {{0x7c2b0042,0x27ef0310,0x4fc400a3,0x3897020f}},	//   regr, _regn_, _асра, năre_, 
   {{0xdcfb00c5,0x26cf0199,0x6f0d5a99,0x00000000}},	//   _ورزش_, _rugo_, muac, --, 
   {{0x6f0d3be8,0x26c75a9a,0x26cf5a9b,0xa9a202f1}},	//   luac, _rino_, _sugo_, лишд, 
   {{0x69da0678,0x26c75a9c,0x26cf0102,0x61f5008f}},	//   _efte, _sino_, _pugo_, hazl, 
   {{0x6f0d3c91,0x78a95a9d,0x26130f63,0x27ef00bd}},	//   nuac, rlev, _दादी_, _vegn_, 
   {{0x99672666,0x5b34015f,0x7afb007c,0xb7bd020f}},	//   _отел, _جعفر, _ivut, neţi, 
   {{0x78a91d4b,0x6f0d5a9e,0x27ef08bb,0x22a9010c}},	//   plev, huac, _tegn_, zîkê_, 
   {{0xa7755484,0x26c75a9f,0x764a017c,0x00000000}},	//   _плеч, _wino_, _enfy, --, 
   {{0x3ea10077,0x2f2301dd,0xe3b206a7,0x26dd0610}},	//   koht_, nīgā_, طرح_, _utwo_, 
   {{0xd77409ed,0x6f0d1d9c,0x7afb0548,0x64620035}},	//   _جامع, duac, _mvut, _świą, 
   {{0x628e1cd2,0x6acb17dc,0x3b0601ff,0x7bdb0539}},	//   rnbo, ादुर, zroq_, _ofuu, 
   {{0x638402c0,0x7afb5aa0,0x22a9009e,0x7bdb01a3}},	//   _аҳма, _ovut, tîkê_, _nfuu, 
   {{0x6f0d5aa1,0x06e30086,0x2d870634,0x61f55aa2}},	// [4ca0] guac, _মিডি, únen_, bazl, 
   {{0xa2d50c35,0xee375aa3,0x22a9010c,0x7bdb01a3}},	//   _यंत्, нну_, rîkê_, _afuu, 
   {{0x9f42030f,0x7afb5aa4,0xfce3286c,0x9e4314d9}},	//   _sekä_, _avut, гохо, áďat, 
   {{0xdee61a42,0x7ae203fa,0x6ab8017d,0x22a6009e}},	//   _поми, tpot, इग्र, _fêkî_, 
   {{0x7ae214f0,0x6f0d0edb,0x29075aa5,0x80d602e6}},	//   upot, cuac, erna_, _मंडे, 
   {{0x7ae25aa6,0x9f5206df,0x7bdb0539,0x7ae40474}},	//   rpot, vayè_, _efuu, ţito, 
   {{0xdd92057f,0x98c600d9,0x090300e4,0x389700b3}},	//   _صور_, нсил, гчым, zăre_, 
   {{0x9d1b042c,0x61f5090b,0x7ae25aa7,0x69d80082}},	//   _מולט, zazl, ppot, scve, 
   {{0x29070094,0x78a05aa8,0x3b0601ff,0x61f53fde}},	//   arna_, romv, qroq_, yazl, 
   {{0x3b833f28,0x9b930038,0xae105aa9,0x7bc40028}},	//   _слуг, _إلكت, ालिन_, žius, 
   {{0xf76f00d4,0x65945aaa,0xb9050033,0xc58a0080}},	//   لای_, тану, _ভয়_, ящие_, 
   {{0x7ccc04be,0x15f20110,0x00000000,0x00000000}},	//   _uğru, _आजवर_, --, --, 
   {{0x4e10000d,0x7eb002ae,0x66e32076,0x00000000}},	//   ालाई_, väpn, _боча, --, 
   {{0x1ee70019,0x00000000,0x00000000,0x00000000}},	//   ہوری_, --, --, --, 
   {{0xe4a724a8,0xe29f008c,0x291c010e,0x644002aa}},	//   _прио, nuði_, ntva_, ômic, 
   {{0x2ea90790,0xd49800e4,0x40340028,0x00000000}},	//   कत्त, _пры_, лесс, --, 
   {{0x644d5aab,0x9e075aac,0x3eb80bfc,0x290e0502}},	// [4cb0] _inai, ечел, _bhrt_, hufa_, 
   {{0x290e5aad,0x4fc4058e,0x80b307d5,0x443b4c3f}},	//   kufa_, усса, _आठवे, _haq_, 
   {{0x443b00e5,0x62875aae,0x3eaf01dd,0xb7bd020f}},	//   _kaq_, mijo, ēgt_, reţi, 
   {{0x62875aaf,0x9f52009e,0xfbd00038,0x644d00a1}},	//   lijo, mayî_, مته_, _jnai, 
   {{0x6f0d5ab0,0x443b084c,0x201c0095,0xf1d50ead}},	//   quac, _maq_, əvi_, _दलान, 
   {{0x62875ab1,0x290e0226,0x6db55ab2,0x2f2301dd}},	//   nijo, fufa_, _айгу, rīgā_, 
   {{0x644d5ab3,0xba741766,0x9f52009e,0x290e5ab4}},	//   _onai, دانت, nayî_, gufa_, 
   {{0x7e6000d9,0x443b0508,0x644d01be,0x645f0104}},	//   _împr, _naq_, _nnai, _noqi, 
   {{0x2ba80262,0x5b152072,0x6287134f,0x7c3b00b3}},	//   _छुपा, _шмат, kijo, _iaur, 
   {{0x7c3b5ab5,0x644d5ab6,0xada20228,0x7bd201dd}},	//   _haur, _anai, čúva, ājuš, 
   {{0x7c3b5ab7,0x62875ab8,0x644d00a1,0x291c253f}},	//   _kaur, dijo, _bnai, ctva_, 
   {{0x9f525ab9,0x7c3b02ba,0xddce031e,0x3201016a}},	//   dayî_, _jaur, _dobř, _adhy_, 
   {{0x7c3b5aba,0xe73901d0,0x987a00c7,0x3e645954}},	//   _maur, _цел_, _קאנט, _kött_, 
   {{0xd2520ce0,0x6287012d,0x1618072f,0x412a15dd}},	//   جنس_, gijo, _दायर_, мого_, 
   {{0x7fd60769,0x78b9006d,0x443b1357,0xc61600d1}},	//   візі, _khwv, _faq_, _יחסי_, 
   {{0x7c3b00c8,0x3eb80102,0x3945008a,0xc0030165}},	//   _naur, _shrt_, _mrls_, ипск, 
   {{0x62875abb,0xee3a292b,0x984500e0,0xef1a1488}},	// [4cc0] bijo, мна_, dēļ_, ьма_, 
   {{0x62870009,0x9f52010c,0x5d6a5abc,0x644d00a1}},	//   cijo, bayî_, мизм_, _znai, 
   {{0x5fa700a2,0x7c3b5abd,0x645f00a3,0x68e15abe}},	//   _कुठल, _baur, _yoqi, _ntld, 
   {{0xb5090a34,0x7c3b5abf,0x443b040c,0x81d90033}},	//   _विनय_, _caur, _xaq_, ারণ_, 
   {{0x7c3b2b63,0x33290065,0x6aa30844,0x6a6f0566}},	//   _daur, _xpax_, fonf, _søfa, 
   {{0xe1890a5a,0x290e08b2,0xc33300d1,0x291c0339}},	//   _آئین_, tufa_, יוד_, ttva_, 
   {{0x6e3c5ac0,0x7c3b5ac1,0x3e640219,0x00000000}},	//   _iarb, _faur, _dött_, --, 
   {{0x7c3b5ac2,0x6287012d,0x291c0019,0x290e003d}},	//   _gaur, zijo, rtva_, rufa_, 
   {{0x291c090b,0x9f520218,0x290e27a2,0x443b12ed}},	//   stva_, zayî_, sufa_, _raq_, 
   {{0x644d5ac3,0x9f52010c,0x7c3b01f1,0xb9080086}},	//   _snai, yayî_, _zaur, _বি_, 
   {{0xa96a1cad,0xb7bd00d9,0xd82f32e1,0x24195ac4}},	//   _تمام_, deţu, _кэ_, ноны_, 
   {{0x57a60c67,0x70be0a68,0x9f52009e,0xb97b035c}},	//   _ишла, ्दोल, vayî_, _קנאי, 
   {{0x62875ac5,0x63b600ab,0x764d010e,0xa3e20eda}},	//   tijo, _czyn, ányí, धड़_, 
   {{0x3e640219,0x8673004f,0x9f52010c,0x00000000}},	//   _möts_, _кліє, tayî_, --, 
   {{0x62875ac6,0x236d0187,0x644d0c3d,0x9f4b0228}},	//   rijo, šej_, _tnai, _vecí_, 
   {{0x62875ac7,0x6e3c5ac8,0x644d5ac9,0x6d410038}},	//   sijo, _aarb, _unai, _álai, 
   {{0xdef85aca,0xc0c8430f,0x6e3c074d,0x59a90bb6}},	// [4cd0] вых_, туре_, _barb, _चुनर, 
   {{0x7c3b5acb,0x63ad1272,0x5187004e,0xa3df031e}},	//   _saur, _iyan, _аума, दुर_, 
   {{0x6e3c5acc,0x7c225acd,0x7c3b0093,0x5bcb29b0}},	//   _darb, ffor, _paur, िश्व, 
   {{0x7c225ace,0x6e3c0465,0x63ad0547,0x3e6402ae}},	//   gfor, _earb, _kyan, _sött_, 
   {{0x6e3c5acf,0x4ea75ad0,0x78750126,0x63ad016c}},	//   _farb, _арва, _jáve, _jyan, 
   {{0x63ad5ad1,0xddde020f,0x6e3c5ad2,0x394501be}},	//   _myan, ripţ, _garb, _prls_, 
   {{0x7c3b5ad3,0x7c225ad4,0x63ad5ad5,0xdb000098}},	//   _taur, bfor, _lyan, _vymá, 
   {{0x81d900cc,0x63ad5ad6,0x6d471bf6,0xdd9400f0}},	//   ারি_, _oyan, _irja, _тасы, 
   {{0x62850536,0x63ad5ad7,0x7c8400af,0x9f400036}},	//   _omho, _nyan, _туре, laiò_, 
   {{0x3d0802f8,0x00000000,0x00000000,0x00000000}},	//   ांचे_, --, --, --, 
   {{0x63ad5ad8,0x81d90086,0x199400fd,0x4e360070}},	//   _ayan, ারা_, _кафя, אָכן_, 
   {{0x224607fa,0xa3df0d2e,0xf2c900c7,0x63ad5ad9}},	//   _şok_, दुल_, _זע_, _byan, 
   {{0x63ad5ada,0xd7f85adb,0xc4830f67,0x386d009e}},	//   _cyan, _рух_, сляк, mker_, 
   {{0xa3e40c59,0x454500d6,0x63ad5adc,0xd29500dd}},	//   _प्र_, _منتق, _dyan, арсь, 
   {{0x0446005e,0x63ad5add,0xf1a400c9,0x509602a6}},	//   _бейн, _eyan, _खुशन, грађ, 
   {{0x6e3c5ade,0x388c031e,0x63ad0118,0x00000000}},	//   _sarb, běru_, _fyan, --, 
   {{0x6d475adf,0x386d0af8,0x7c2201e8,0x6e3c0474}},	// [4ce0] _arja, iker_, vfor, _parb, 
   {{0x386d5ae0,0x00000000,0x00000000,0x00000000}},	//   hker_, --, --, --, 
   {{0x386d0fef,0x6e3c5ae1,0x78750187,0x8c465ae2}},	//   kker_, _varb, _záve, леже, 
   {{0xeb9a0834,0x386d5ae3,0xbf9b02aa,0x672b0566}},	//   ние_, jker_, _idên, _opgj, 
   {{0x6e3c5ae4,0x7c2228bb,0x5efe00bd,0xf41f5ae5}},	//   _tarb, rfor, _लिट्_, onär_, 
   {{0x7c2257b4,0x386d12b6,0xc7b9010e,0xee3a29ac}},	//   sfor, eker_, tfőn_, _янг_, 
   {{0xd6d7032e,0x14cf00a2,0x7c225ae6,0xd7fa00d3}},	//   қты_, _संगण, pfor, нуп_, 
   {{0x63a9006a,0x386d0045,0x660301d8,0xdca65ae7}},	//   żeni, gker_, _adnk, _саби, 
   {{0x44f100e4,0x6a1615d7,0xeb973b8d,0x1ddb0586}},	//   eš_, _مبار, _бит_, मुकत, 
   {{0x2ca65ae8,0xf41f0219,0x660300b4,0xe4e600f0}},	//   lood_, ynäs_, _cdnk, лімн, 
   {{0x63ad5ae9,0x38ba0ff2,0x00000000,0x00000000}},	//   _syan, eëre_, --, --, 
   {{0xd5b71088,0x2ca60c3d,0x386d5aea,0x997503dd}},	//   ысы_, nood_, cker_, _тууш, 
   {{0x657a0019,0x6d4100e9,0xf2070528,0x261c0299}},	//   szth, _álav, ляво, _मापी_, 
   {{0x63ad4fc0,0x2ca65aeb,0x44f10604,0x99850528}},	//   _vyan, hood_, bš_, _galų_, 
   {{0x63ad4758,0x2ca600b0,0x9f4b00f6,0x69ce5aec}},	//   _wyan, kood_, _secà_, _úbed, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x209811c5,0x26ce5aed,0x44295aee,0x2ca615e9}},	// [4cf0] укты_, _kifo_, _iba_, dood_, 
   {{0xdd9b3674,0xdddc0118,0x6d470144,0x11d9007a}},	//   нше_, _forō, _prja, _جودة_, 
   {{0x386d5aef,0xbc1901fc,0x261c0796,0x5184058e}},	//   yker_, вілі_, _मानी_, _гуяа, 
   {{0x2ca65af0,0xae19031e,0x442903a0,0x7a1e0237}},	//   good_, न्जन_, _jba_, _lņtč, 
   {{0x44290489,0x291e01f2,0x447c0070,0xb05b0502}},	//   _mba_, _aqta_, ענדע, _diät, 
   {{0xaa4553da,0x61f700f4,0x6d47016a,0xcb665af1}},	//   рекл, _jexl, _trja, раше_, 
   {{0x44290a8b,0x60cf00d2,0x3a3e0183,0xe509456f}},	//   _oba_, _kicm, _datp_, _विधि_, 
   {{0x6f0d00a0,0x248b0082,0x7c871221,0x4429015c}},	//   orac, jicm_, _суге, _nba_, 
   {{0x7c295af2,0x6c540161,0x6f0d161c,0x60cf011c}},	//   _iber, _укту, nrac, _micm, 
   {{0x386d5af3,0x44292538,0x06855af4,0xa5255af5}},	//   sker_, _aba_, ргон, амод, 
   {{0x6f0d1bf0,0x44295af6,0x6fa704cc,0x34a401a2}},	//   hrac, _bba_, _कुसं, йгоҳ, 
   {{0x6739023b,0x60cf00bc,0x7c2901f2,0x93460259}},	//   _tswj, _nicm, _jber, анме, 
   {{0x7c29099d,0x27ed5af7,0x61f72352,0xe3b20411}},	//   _mber, mben_, _bexl, ترد_, 
   {{0x27ed5af8,0x877a00c7,0x44295af9,0x60cf0038}},	//   lben_, _באני, _eba_, _aicm, 
   {{0x7c295afa,0x44290090,0x6f0d5afb,0x2b49020b}},	//   _ober, _fba_, erac, ťach_, 
   {{0x3fe65afc,0x27ed5afd,0x60cf5afe,0xafdb00fb}},	//   ржав, nben_, _cicm, _snør, 
   {{0x27ed02ec,0x7eb000c8,0x60cf00ca,0x261c215e}},	// [4d00] iben_, läpi, _dicm, _मामी_, 
   {{0x7c295aff,0x60cf0036,0x2ca653ff,0xe0da00be}},	//   _aber, _eicm, wood_, _иво_, 
   {{0x27ed006b,0x6f0d1600,0x61fc5b00,0x7c2902a5}},	//   kben_, arac, marl, _bber, 
   {{0x61fc5b01,0x5ede0083,0x8b6a2ee6,0x00000000}},	//   larl, _कंप्_, киев_, --, 
   {{0xa01b014e,0x7c29023e,0x612c010e,0x27ed010e}},	//   _omöj, _dber, _fölö, dben_, 
   {{0x61fc5b02,0x27ed02ec,0x60c41e80,0x7c295b03}},	//   narl, eben_, lmim, _eber, 
   {{0xed570a43,0x2ca600c2,0xe2a701d5,0xfa67022d}},	//   _кор_, pood_, úðir_, рајк_, 
   {{0x61fc5b04,0xec1613b4,0x27ed010e,0x58385b05}},	//   harl, _خورد, gben_, узия_, 
   {{0x61fc5b06,0xc6f7012d,0x98be00b3,0x5aca5b07}},	//   karl, аных_, _artă_, _алам_, 
   {{0x61fc2d68,0xa3bd0a09,0x7c295b08,0x645d006d}},	//   jarl, _अरब_, _zber, wjsi, 
   {{0x27ed5b09,0x61fc5b0a,0xa2b7000d,0x44293688}},	//   bben_, darl, ोगस्, _pba_, 
   {{0x746b1c8e,0x61f7050f,0x7c2900e2,0x6f0d017c}},	//   тров_, _sexl, _xber, yrac, 
   {{0xec710137,0x26ce5b0b,0xe7831ab5,0x44295b0c}},	//   פֿט_, _tifo_, _мушо, _vba_, 
   {{0x443f5b0d,0x7d03026e,0x6f0d10ea,0x248b02fe}},	//   žu_, ánsk, vrac, sicm_, 
   {{0x60c40065,0x6f0d0035,0x787501d5,0x00000000}},	//   fmim, wrac, _háva, --, 
   {{0x6f0d5b0e,0x44295b0f,0x38a10035,0x320d027e}},	//   trac, _uba_, wórz_, şey_, 
   {{0x61fc5b10,0xdddc1c2b,0xe2ab08cb,0x5fa7258c}},	// [4d10] barl, _smrš, _لادن_, _कुशल, 
   {{0x61fc5b11,0x7c290496,0xe45f014e,0x27ed0019}},	//   carl, _sber, ljö_, zben_, 
   {{0x6f0d004c,0x27ed0019,0x40350cfe,0x00000000}},	//   srac, yben_, _ленс, --, 
   {{0x6f0d1151,0x88bc00bc,0x2ba803ce,0x6fa20c46}},	//   prac, _zpěv, _छुहा, _कुकू, 
   {{0xdef80cfe,0xbb455b12,0x09e502da,0x7875024c}},	//   _выс_, селк, болн, _náva, 
   {{0x53380070,0x2489052b,0x7f3a0070,0x00000000}},	//   ינדן_, _lmam_, _געשו, --, 
   {{0x27ed006b,0xdd945b13,0xaa560267,0x7c2900a4}},	//   tben_, _дары, сију_, _tber, 
   {{0x61fc5b14,0x27ed5b15,0x78752033,0x22410121}},	//   zarl, uben_, _báva, _lahk_, 
   {{0x27ed5b16,0x8c45005e,0x61fc505b,0xbb8500eb}},	//   rben_, _кеңе, yarl, _الذي, 
   {{0x7875026e,0x60c400d2,0x24890180,0x27ed0019}},	//   _dáva, zmim, _amam_, sben_, 
   {{0xe5a50a66,0xd46a00d3,0x35a500a3,0x76410f43}},	//   сини, гине_, санг, rdly, 
   {{0x2545002a,0x3e76003e,0x261c00ae,0x6012040c}},	//   _vēl_, _mæta_, _माथी_, _nаmа, 
   {{0xb7da0070,0x2a652f21,0xd6290398,0x7eb00080}},	//   _עקסי, _kolb_, _боле_, säpi, 
   {{0x91e303dc,0x24890574,0x2cbf00a4,0xe1f80176}},	//   зоре, _emam_, _lhud_, шҳо_, 
   {{0x61fc5b17,0x7875026e,0xceb400ad,0x25aa1102}},	//   rarl, _záva, stək_, čilé_, 
   {{0x61fc5b18,0x34931571,0x78a90054,0x00000000}},	//   sarl, _најр, noev, --, 
   {{0x60c45b19,0x63a920f1,0x200f2f09,0x00000000}},	// [4d20] rmim, üent, ógia_, --, 
   {{0x9f590218,0x61fc00a3,0xc7b2035c,0x3e76008c}},	//   _kesê_, qarl, לבן_, _bæta_, 
   {{0xa3df0c14,0xa0a65b1a,0x628e5b1b,0x63a90405}},	//   दुक_, _ганд, mibo, żent, 
   {{0x628e5b1c,0x78a90ab4,0x8c95017b,0x31570070}},	//   libo, joev, орчі, _היטן_, 
   {{0x38ba024a,0x78a95b1d,0x2a650354,0x00000000}},	//   jëra_, doev, _bolb_, --, 
   {{0xdee32487,0x38b2009e,0x2ce80444,0x261300a5}},	//   _хори, kûrê_, _نظری_, _दागी_, 
   {{0xb50911c1,0x64960405,0x8c464494,0x88bc02d9}},	//   _विषय_, rġij, _леве, _opět, 
   {{0xe45f014e,0x7c96007a,0x38c8010e,0x00000000}},	//   xjö_, _الرص, جاتی_, --, 
   {{0x628e5b1e,0x1ddc017d,0x3f800228,0xe81937c0}},	//   kibo, _बलात, nziu_, _धारा_, 
   {{0x8c4400d9,0xda650195,0xbdf60033,0x00000000}},	//   ăşur, _والي, _চাঁদ_, --, 
   {{0xd7ef1029,0x998c1612,0x499a0093,0x628e5b1f}},	//   _ну_, _hadž_, _стая_, dibo, 
   {{0x7d030503,0x6aaa000b,0x75c90259,0x628e039b}},	//   ánsi, loff, штың_, eibo, 
   {{0x628e4c5d,0x938b183d,0x00000000,0x00000000}},	//   fibo, усна_, --, --, 
   {{0x386609a2,0xe45f0219,0x3f800009,0x628e0dfa}},	//   _hoor_, sjö_, dziu_, gibo, 
   {{0x54e60071,0x9f590691,0x659303dc,0x3866322f}},	//   _استق, _gesê_, _нашу, _koor_, 
   {{0x43955b20,0x7602031e,0x6aaa0e16,0x628e000b}},	//   _майс, bízí, hoff, aibo, 
   {{0x9df95b21,0x628e0458,0x38662ec9,0x6aaa243f}},	// [4d30] инат_, bibo, _moor_, koff, 
   {{0x7fd7005e,0x88bc00bc,0x2cad5b22,0x787500da}},	//   ріңі, _zpět, _sked_, _návn, 
   {{0x9cf5005e,0x6aaa0090,0xa15900f0,0x5fae00c9}},	//   ізді, doff, _тану_, _झुठल, 
   {{0x38665b23,0x2a65011d,0xf3ff02be,0x00000000}},	//   _noor_, _solb_, naã_, --, 
   {{0x629a014b,0x6d58358b,0xbca4007a,0x6aaa040b}},	//   čtov, ävar, أمني, foff, 
   {{0x6aaa5b24,0xbebb0034,0x996202d9,0x2cbf00c3}},	//   goff, _epër, líře_, _whud_, 
   {{0x7875014b,0x48790093,0x3866000b,0xeab0091d}},	//   _dávn, исия_, _boor_, رعه_, 
   {{0xd7090834,0x38660d8d,0x628e1d0b,0x201b008a}},	//   ание_, _coor_, zibo, ngqi_, 
   {{0x38665b25,0x628e5b26,0x78a95b27,0xa3e00e07}},	//   _door_, yibo, roev, _तलब_, 
   {{0x6aaa023e,0x7ae92926,0x69a409ef,0x628e03c5}},	//   coff, _itet, _चुकी, xibo, 
   {{0x628e0237,0x7ae90097,0x2d81007a,0x7e675b28}},	//   vibo, _htet, nzhe_, _mojp, 
   {{0x386612b6,0xa34a5b29,0xc35601d8,0x628e5b2a}},	//   _goor_, азма_, оъгъ, wibo, 
   {{0x28df0ede,0x628e5b2b,0x63ba0035,0x9f4205d5}},	//   _पंडि, tibo, ętno, _lekò_, 
   {{0x7875014b,0x7ae92fc5,0x27ff003e,0x479a0070}},	//   _kávo, _mtet, laun_, _דינס, 
   {{0x628e5b2c,0x764319e0,0xe2975b2d,0x9f590034}},	//   ribo, _iany, цар_, _fesë_, 
   {{0x76435b2e,0x628e5b2f,0x7ae95b30,0xdfea01a2}},	//   _hany, sibo, _otet, рдад_, 
   {{0x76435b31,0x44200518,0x628e002c,0x6d41176f}},	// [4d40] _kany, _ici_, pibo, _šlap, 
   {{0x64560201,0x3f805b32,0xaec300dd,0x290500ca}},	//   _hnyi, rziu_, дбул, _ovla_, 
   {{0x76435b33,0x78750076,0x64445b34,0x7ae95b35}},	//   _many, _návo, _kaii, _atet, 
   {{0x6143031e,0x64465b36,0xf22000b0,0x2b4d01be}},	//   sílá, ndki, _बाड़_, _brec_, 
   {{0x6aaa1176,0x2b4d00d3,0x64440c36,0x91de00bd}},	//   toff, _crec_, _maii, _मलाई, 
   {{0x76435b37,0x7125010e,0xf3ff02be,0x00000000}},	//   _nany, _بریل, zaã_, --, 
   {{0x6f041fd3,0x787c17e1,0x6aaa0915,0x1d072a65}},	//   lsic, _léve, roff, _мери_, 
   {{0x64440c3d,0x6aaa5b38,0x629e00ca,0x58d30093}},	//   _naii, soff, _ljpo, мощт, 
   {{0x38663e63,0x76435b39,0xf22005fd,0x6f045b3a}},	//   _voor_, _bany, _बाढ़_, nsic, 
   {{0x64565b3b,0x0f5700a7,0x6d4e0b3c,0xf76f0038}},	//   _anyi, קיים_, _krba, ضاً_, 
   {{0x76435b3c,0x2fc7001b,0x9f5900e5,0x38660876}},	//   _dany, ̀ng_, _pesë_, _toor_, 
   {{0x629e0641,0x9f590118,0x764301b8,0xa8a500f0}},	//   _ajpo, _fesè_, _eany, _ерік, 
   {{0x76431b55,0x7875031e,0xfbca0ef0,0x27e60300}},	//   _fany, _závo, िधिम, _ifon_, 
   {{0x787c0518,0x76435b3d,0x64565b3e,0x44205b3f}},	//   _déve, _gany, _enyi, _eci_, 
   {{0x81d40e52,0x867b00a7,0x644400a1,0x6f060144}},	//   дорх, _דרגו, _faii, _avkc, 
   {{0x76435b40,0x78750098,0x9f590175,0x6f040380}},	//   _zany, _návl, _hesé_, fsic, 
   {{0xcddb5041,0x2fcf022b,0x6d4e5b41,0x764328f5}},	// [4d50] ање_, ägg_, _arba, _yany, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x7ae95b42,0x7e670097,0x27e60118,0x7cf00118}},	//   _stet, _vojp, _ofon_, _ròrò, 
   {{0x2b4d433e,0x6f040502,0x4420011c,0x00000000}},	//   _prec_, bsic, _xci_, --, 
   {{0x09e55b43,0x6d4e5b44,0x44395b45,0x6f045b46}},	//   полн, _erba, ies_, csic, 
   {{0x44394497,0x27e60156,0x389700b3,0x6a85113c}},	//   hes_, _afon_, mări_, ялла, 
   {{0x6d4e0d26,0xc27c00a7,0x76430cc6,0x27ff0a0f}},	//   _grba, שרוי, _rany, taun_, 
   {{0x44395b47,0x76435b48,0x2b4d5b49,0x319c24ea}},	//   jes_, _sany, _trec_, יבונ, 
   {{0x76435b4a,0x27ff5b4b,0x7ae90010,0xbc560098}},	//   _pany, raun_, _utet, ššíc, 
   {{0x45850cd9,0x2fd94269,0x78755b4c,0x787c5b4d}},	//   згов, _lgsg_, _távo, _réve, 
   {{0x04465b4e,0x76435b4f,0x27ff016a,0x6444416a}},	//   пенн, _vany, paun_, _paii, 
   {{0x44395b50,0x76435377,0x6f04218b,0x03a60a36}},	//   ges_, _wany, ysic, зимо, 
   {{0xe72e00e4,0xb7da00a7,0x64960228,0xe60e5b51}},	//   _яе_, _הקני, jšie, _пд_, 
   {{0x11da00eb,0xb6cc0213,0x7643011c,0x2000015c}},	//   صورة_, şürü, _uany, waii_, 
   {{0x66012998,0x6b8200fd,0x95cb00c8,0x81b40033}},	//   malk, zzog, _туда_, জেন_, 
   {{0x44391907,0x66015b52,0x53a60100,0x26dd016c}},	//   ces_, lalk, _найб, _kuwo_, 
   {{0x27fd02f0,0x6d4e254c,0xa0672756,0x389700b3}},	// [4d60] _mewn_, _srba, чата_, gări_, 
   {{0x66012ed5,0x6f0402ec,0xddc70175,0x59cb0fc0}},	//   nalk, rsic, _gojū, ाधार, 
   {{0x44e1006b,0x6f045b53,0x8ebb0033,0x61fe0243}},	//   _jó_, ssic, _অংশগ, _iepl, 
   {{0x44e1057f,0x6d4e11b1,0x66015b54,0xfe1e00b0}},	//   _mó_, _vrba, halk, _पावस_, 
   {{0x387f01ee,0x61fe5b55,0x66015b56,0x389700d9}},	//   dhur_, _kepl, kalk, cări_, 
   {{0x44395b57,0x63b60088,0x9f59010c,0x66015b58}},	//   zes_, _myyn, _kesî_, jalk, 
   {{0x44e15b59,0x66014a5c,0x44395b5a,0xada35b5b}},	//   _nó_, dalk, yes_, _зарл, 
   {{0x8c435b5c,0x61fe5b5d,0x44395b5e,0x0d77009c}},	//   _песе, _lepl, xes_, _عینک_, 
   {{0x443907d4,0x649602fe,0x26dd011c,0x76aa00c8}},	//   ves_, kšib, _cuwo_, йтов_, 
   {{0x66011237,0x44395b5f,0x44e15b60,0xe72f17bc}},	//   galk, wes_, _bó_, اصي_, 
   {{0x44e15b61,0xb0db0f63,0x27fd02bf,0x389700d9}},	//   _có_, _मूंग, _fewn_, zări_, 
   {{0x44e1288a,0x44395b62,0x6fbe5b63,0x43950f89}},	//   _dó_, ues_, ्धां, дамс, 
   {{0x61fe12d8,0x23c71230,0x77920535,0xddc70028}},	//   _bepl, रेंद, _سیدا, _pojū, 
   {{0x66010175,0x61fe5b64,0x442b008a,0x550600b3}},	//   calk, _cepl, sfc_, _ечиа, 
   {{0x61fe5b65,0x44395b66,0xa5d713b4,0xf1a41f79}},	//   _depl, pes_, _عبور_, ертн, 
   {{0x44392e8c,0x389700d9,0x27fd009e,0xc0cb00f0}},	//   qes_, tări_, _xewn_, суге_, 
   {{0xbed83ac9,0x9f3400f0,0xe2aa009c,0x00000000}},	// [4d70] здух_, неті, _ژاپن_, --, 
   {{0x61fe3ed4,0xdcfc0749,0x389700d9,0x76480156}},	//   _gepl, _ayrı, rări_, nddy, 
   {{0x06e30086,0x389700b3,0xfe1e08dd,0x7055010e}},	//   _মিছি, sări_, _पारस_, _ہنگا, 
   {{0x69da0691,0x254c031e,0x6a6f1341,0x81d90033}},	//   _agte, _měl_, _løft, ারও_, 
   {{0xfebb00d4,0xdb1b0023,0x2e4b00fd,0xed600243}},	//   _هاست_, _nguô, _ляво_, āžas_, 
   {{0x52da0033,0x660109c7,0x00000000,0x00000000}},	//   বীকৃ, xalk, --, --, 
   {{0x66015b67,0xa3b4000d,0x6d341e0a,0xbd6800f0}},	//   valk, _जुन_, _перф, _ерте_, 
   {{0x69da0691,0x315800a7,0x44e15b68,0x46e9471e}},	//   _egte, ליון_, _ró_, один_, 
   {{0x44e11454,0x7bc00042,0x320300a9,0x00000000}},	//   _só_, _gzmu, kajy_, --, 
   {{0x387f01ee,0x6496090b,0x2caf012e,0x44e15b69}},	//   shur_, kšic, logd_, _pó_, 
   {{0x61fe5b6a,0xd9990084,0x64a65b6b,0xe5790965}},	//   _repl, _بنات_, дана, ізм_, 
   {{0x69c15b6c,0x66015b6d,0x61fe00d7,0x44e15b6e}},	//   _izle, salk, _sepl, _vó_, 
   {{0xf7455b6f,0x66015b70,0x61fe0237,0xae1e296e}},	//   _цело, palk, _pepl, _पालन_, 
   {{0x66010065,0x44e1039f,0x6d0d009a,0x36c4017b}},	//   qalk, _tó_, _हिंग_, _збіг, 
   {{0x67295b71,0x629c3fef,0x91e30846,0xafe60bfd}},	//   ltej, rnro, тосе, добл, 
   {{0x63a40a9f,0x7bdb01a3,0x63b60080,0x00000000}},	//   _txin, _nguu, _tyyn, --, 
   {{0xe4c70e70,0x61fe063b,0x67295b72,0x25821606}},	// [4d80] _تصوی, _tepl, ntej, _télé_, 
   {{0x80be0838,0xee375b73,0xaae10262,0x4ae101a4}},	//   _वीरे, мну_, _पढ़क, _पढ़व, 
   {{0x787c28e8,0xa06a58ec,0xa01b0fd4,0xf41f014e}},	//   _léva, _дана_, _blöd, miär_, 
   {{0x7875026e,0xe8193024,0x67295b74,0x6ab80249}},	//   _dávk, _धागा_, ktej, ेग्र, 
   {{0x69c15b75,0x76480156,0x6d5a0228,0x443201a7}},	//   _azle, yddy, _štad, _mby_, 
   {{0x3b0612ed,0x9f40024c,0x4432011c,0x35ce0790}},	//   rsoq_, ncií_, _lby_, हेड़, 
   {{0xa01b0219,0xb05b0219,0x290702ae,0x44325b76}},	//   _flöd, _ohäl, gsna_, _oby_, 
   {{0xa3ae034d,0x807b00c7,0xa01b41fd,0x6a7403dd}},	//   कथा_, ַניצ, _glöd, _màfi, 
   {{0x2907336b,0x9f400228,0x6f160156,0x69da0036}},	//   asna_, kcií_, nryc, _tgte, 
   {{0x4432515e,0x787c5b77,0x7791009c,0x00000000}},	//   _aby_, _déva, دیها, --, 
   {{0xc58a0088,0xeae60086,0x6d5a010e,0x7ae0095a}},	//   ющие_, _নিয়ম, _átad, _humt, 
   {{0x7ae05b78,0x291c5b79,0x6f160035,0x00000000}},	//   _kumt, muva_, kryc, --, 
   {{0x291c5b7a,0x7ae001dd,0x6f1602d9,0x00000000}},	//   luva_, _jumt, jryc, --, 
   {{0x7ae0331a,0x78ad4179,0x44320a8b,0xeb910070}},	//   _mumt, čave, _eby_, אָל_, 
   {{0x7ae000e5,0x4432016a,0x8637008d,0x40354836}},	//   _lumt, _fby_, _חרוב_, невс, 
   {{0xc10300f6,0x64a40242,0x3ce200aa,0x00000000}},	//   нүүл, rđic, _ओढ़े_, --, 
   {{0x7ae00891,0x4ade01a4,0xf2c7035b,0x00000000}},	// [4d90] _numt, _फूलव, _осон, --, 
   {{0x291c5b7b,0x752f0035,0x78a20097,0x645a01dd}},	//   kuva_, ńcze, _ljov, ētie, 
   {{0x60c9003d,0xe3b00499,0xdb000098,0xdd910038}},	//   ċemb, _مری_, _vymý, دوا_, 
   {{0x6f160035,0x320101a7,0x78a23592,0x291c5b7c}},	//   bryc, _hehy_, _njov, duva_, 
   {{0x60cd5b7d,0x7ae03f63,0x00000000,0x00000000}},	//   mmam, _cumt, --, --, 
   {{0x60cd03c0,0x32010054,0x78a25b7e,0x388c02d9}},	//   lmam, _jehy_, _ajov, měry_, 
   {{0x08d55b7f,0x63ba0035,0x291c5b80,0x2ebd00ae}},	//   нция, ętni, guva_, ्गीत, 
   {{0x29075b81,0x60cd03c0,0x67295b82,0x69c11a01}},	//   rsna_, nmam, ttej, _vzle, 
   {{0x2907022b,0x4bb41834,0xb9060bf5,0x28df3e41}},	//   ssna_, _айтс, _यू_, _पूरि, 
   {{0x4432067c,0x67295b83,0xa3d01223,0x5a3400b3}},	//   _sby_, rtej, _वृष_, _инут, 
   {{0x67295b84,0x291c4ed4,0x62955b85,0x60cd5b86}},	//   stej, cuva_, dizo, kmam, 
   {{0x67295b87,0x60cd0032,0x00000000,0x00000000}},	//   ptej, jmam, --, --, 
   {{0x4683005e,0x68e15b88,0x39450864,0x78bb00bc}},	//   _ақпа, _huld, _hsls_, mluv, 
   {{0x68e128c5,0x6295020f,0x4375004f,0x60cd0175}},	//   _kuld, gizo, туют, emam, 
   {{0x20564f57,0xa5640038,0xe6b4009c,0x21a31427}},	//   нтар, _لدين, _جلوگ, гирм, 
   {{0x6f165b89,0x60cd0268,0x6499005e,0xa01b014e}},	//   tryc, gmam, _отыр_, _smör, 
   {{0x91e65b8a,0xef1a11e7,0x78750068,0xaec61b11}},	// [4da0] _попе, яма_, _cávi, ебал, 
   {{0x68e10118,0x7a333321,0x60cd5698,0x0d2200d3}},	//   _ould, nıtı, amam, лүгү, 
   {{0xe82000a2,0x24804d5e,0x2c7e427c,0x6d5a5b8b}},	//   _याला_, _klim_, _aïda_, _štab, 
   {{0x44225b8c,0xab2a0200,0x8ba600f0,0x60cd5b8d}},	//   ngk_, зода_, ниеж, cmam, 
   {{0x26c700ef,0xfe1e00a2,0xb0bf02e6,0x228d0032}},	//   _ohno_, _पाऊस_, ्षरग, eľky_, 
   {{0x291c5b8e,0x68e15b8f,0x78a201cc,0x38ba024a}},	//   tuva_, _buld, _sjov, mëri_, 
   {{0xa3d017b0,0x7875026e,0xbea35b90,0x248000a3}},	//   वेत_, _závi, _сарк, _olim_, 
   {{0x20025b91,0x291c02ae,0x6da602f1,0x2b4402ae}},	//   _jeki_, ruva_, _жиҳа, _tsmc_, 
   {{0x9f405b92,0x7d1e01e8,0xab620241,0x00000000}},	//   ncià_, lups, ğüsl, --, 
   {{0x68e101cc,0x24805b93,0x20025b94,0x7e6e589f}},	//   _fuld, _alim_, _leki_, _jobp, 
   {{0x68e15b95,0x04b80019,0x60cd5b96,0x75d400d7}},	//   _guld, کھوں_, ymam, ضيحا, 
   {{0x629500ab,0x24800212,0x38cb0116,0x36330019}},	//   wizo, _clim_, _فانی_, پریس, 
   {{0xa6ca02a3,0x00000000,0x00000000,0x00000000}},	//   _елда_, --, --, --, 
   {{0x569426f1,0x68e102f1,0x7d1e0532,0x64960009}},	//   _шалт, _yuld, kups, ršia, 
   {{0xc1770fd0,0x60cd5b97,0x3e76008c,0x64960ab4}},	//   ردست, tmam, _gæti_, mšin, 
   {{0x60cd5b98,0x62955b99,0xae1e031e,0xfe1e009a}},	//   umam, sizo, _पाउन_, _पाउस_, 
   {{0xa3d00a44,0x7c225b9a,0x2002027e,0x764a02a5}},	// [4db0] वेद_, dgor, _deki_, _kafy, 
   {{0x2480015e,0x290c0097,0x60cd5b9b,0x6718007e}},	//   _zlim_, _ovda_, smam, _दिनक_, 
   {{0x98730012,0x4ea45b9c,0x20020548,0x60cd0ef3}},	//   nţă_, урта, _feki_, pmam, 
   {{0x7c225b9d,0x6ac936be,0x0fc500d3,0x764a03a0}},	//   ggor, िग्र, _үйүн, _lafy, 
   {{0x290c2769,0xbb450d38,0x68e15b9e,0x00000000}},	//   _avda_, телк, _suld, --, 
   {{0x7c2201ca,0xc33407e4,0x20020241,0x68e15b9f}},	//   agor, רוס_, _zeki_, _puld, 
   {{0xecbb1372,0x2002040c,0x68e125e7,0x00000000}},	//   _فطرت_, _yeki_, _quld, --, 
   {{0x787c026a,0x64960009,0xccf200d1,0x9f400036}},	//   _dévo, ešin, _ככל_, mbiò_, 
   {{0x3e76008c,0x6615010e,0xb6a500d9,0x2bd01f00}},	//   _sæti_, ózko, киил, तेदा, 
   {{0x68e15ba0,0x78bb3106,0x248016b3,0x00000000}},	//   _tuld, sluv, _slim_, --, 
   {{0xe5a55ba1,0x35a505e6,0x85780f67,0x764a00f8}},	//   тини, танг, есят_, _dafy, 
   {{0x6d5500ef,0xf770009c,0x3958007a,0x27940259}},	//   _mrza, _گام_, _ársa_, _өшір, 
   {{0xd175005e,0x20025ba2,0x987300b3,0xe3b20038}},	//   қыры, _reki_, aţă_, شرح_, 
   {{0x3ce20081,0x6d550496,0x09d50086,0xf7700625}},	//   _ओढले_, _orza, _স্যা, _دام_, 
   {{0x2b910029,0x9987012d,0x11390b58,0x910302a6}},	//   ạch_, menų_, няты_, ипре, 
   {{0x6603030f,0xa3e8102c,0x38ba0034,0x00000000}},	//   _henk, मुख_, tëri_, --, 
   {{0x6d470077,0xdee35ba3,0x66035ba4,0x6d555ba5}},	// [4dc0] _asja, иоти, _kenk, _arza, 
   {{0x6d550a1a,0x66035ba6,0x2b5800bc,0x7d1a2be3}},	//   _brza, _jenk, _črc_, _åtsk, 
   {{0x66035ba7,0x20025ba8,0xa3e900c2,0x221501d7}},	//   _menk, _teki_, _बलम_, _сфыр, 
   {{0x6d5503ef,0x66030e02,0x7d1e0720,0x38ba00e5}},	//   _drza, _lenk, rups, përi_, 
   {{0x4fa300dd,0x6d550218,0x38ba024a,0x7d1e5ba9}},	//   _вияв, _erza, qëri_, sups, 
   {{0x4ed5177d,0x290c01c8,0x6a132e69,0x6a7d0118}},	//   _бюст, _pvda_, амшу, _dèfo, 
   {{0x09d5100b,0x81b400cc,0x7d53006b,0xcdc50f5a}},	//   _স্বা, জের_, _پہنچ, _барқ, 
   {{0xada30240,0x00000000,0x00000000,0x00000000}},	//   _тасл, --, --, --, 
   {{0xf0931900,0x1ae602fb,0xbb430f6b,0x66035baa}},	//   ינה_, _розм, _кетк, _benk, 
   {{0x78ad03ef,0x66035bab,0x499600f6,0x64960009}},	//   čava, _cenk, _ишет, ušin, 
   {{0x66034f88,0xf76f00c5,0x649636aa,0x00000000}},	//   _denk, مای_, ršin, --, 
   {{0x7d0302a0,0x66030326,0x987300b3,0x764a018e}},	//   ânsi, _eenk, rţă_, _wafy, 
   {{0x660327f0,0x64965bac,0x16345bad,0x4e2200bc}},	//   _fenk, pšin, _беля, मलाई_, 
   {{0x261c007e,0x66030566,0x00000000,0x00000000}},	//   _माटी_, _genk, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x70bf04d7,0x3f8902c9,0xd49800b3,0x43850038}},	//   ्षेल, tzau_, _арь_, _ملعق, 
   {{0x44295bae,0x3d050081,0x24995baf,0xd904006b}},	// [4dd0] _ica_, हीने_, mism_, _ڈی_, 
   {{0xd9040e70,0x644d0b22,0xb0c309d8,0x00000000}},	//   _وی_, _haai, _वीरग, --, 
   {{0xf1ab00d4,0x4429019c,0x644d123b,0x6a7d05d5}},	//   _زاده_, _kca_, _kaai, _sèfo, 
   {{0x261c02f8,0x66085bb0,0x26dc00ca,0x44e8009e}},	//   _माझी_, hadk, _livo_, _mû_, 
   {{0x644d14ba,0x09cb06ea,0x44295bb1,0x7d0e01e5}},	//   _maai, ाध्य, _mca_, _evbs, 
   {{0x26dc5bb2,0x6e951efe,0x20090876,0x644d0326}},	//   _nivo_, _сигу, laai_, _laai, 
   {{0x44e8055a,0x66035bb3,0x60dd5bb4,0x66080104}},	//   _nû_, _renk, _kism, dadk, 
   {{0x44295bb5,0x66035bb6,0xc725058e,0x60dd5bb7}},	//   _nca_, _senk, гдий, _jism, 
   {{0x60dd5bb8,0x66031838,0x6eb9031e,0x1bd400b3}},	//   _mism, _penk, ्तपु, _вотя, 
   {{0x44e8055a,0x44290014,0x6603024a,0x7c290455}},	//   _bû_, _aca_, _qenk, _hcer, 
   {{0x44295bb9,0x7c291993,0x66035bba,0xf771009c}},	//   _bca_, _kcer, _venk, شاک_, 
   {{0x09d500cc,0x44293e8b,0x44e85bbb,0x6f0d5bbc}},	//   _স্থা, _cca_, _dû_, ksac, 
   {{0xe7395bbd,0x660338cf,0xddce0009,0x644d040b}},	//   _чел_, _tenk, _pobū, _daai, 
   {{0x81bf0086,0x7c290242,0x787c010e,0x27ed1118}},	//   েশন_, _lcer, _névj, lcen_, 
   {{0x64860183,0x24995bbe,0x76415bbf,0x3e7601d5}},	//   _póid, bism_, mely, _mætt_, 
   {{0x27ed5bc0,0x7fd6005e,0x26dc1993,0x60dd5bc1}},	//   ncen_, гізі, _zivo_, _cism, 
   {{0x44e80218,0xa3d05bc2,0x60dd5bc3,0xb4c252c2}},	// [4de0] _zû_, वेश_, _dism, ्गी_, 
   {{0x7c29334b,0x628700ef,0xe1fa0904,0x60dd0009}},	//   _acer, chjo, _яго_, _eism, 
   {{0x6720027c,0x6f0d0a75,0x8d760038,0x20095bc4}},	//   zumj, asac, داءا, baai_, 
   {{0x76415bc5,0x320a174b,0xac2500dd,0xb19b027a}},	//   hely, laby_, ифік, _טייכ, 
   {{0x7c290356,0x76410bf8,0x64960352,0x752112bf}},	//   _dcer, kely, jšim, hulz, 
   {{0x7c29290c,0x249903c5,0x4af900d9,0x636f040c}},	//   _ecer, zism_, тэця_, _mеnе, 
   {{0x26dc5bc6,0x64960082,0x78ad0352,0x66085bc7}},	//   _rivo_, tšil, čavn, vadk, 
   {{0x44e8009e,0x1874211e,0x75213c3a,0x26dc203b}},	//   _rû_, ргия, dulz, _sivo_, 
   {{0xb6065bc8,0x64961fe0,0x66081bde,0x644d5bc9}},	//   лянк, ršil, tadk, _raai, 
   {{0x76415bca,0xe96a0278,0x320a012b,0x644d4820}},	//   gely, _пазл_, jaby_, _saai, 
   {{0x64965bcb,0x05ce00a2,0x66085bcc,0x644d5bcd}},	//   mšij, हेंब, radk, _paai, 
   {{0x69c85bce,0xb4af0a34,0x64960604,0x00000000}},	//   _izde, कवे_, bšim, --, 
   {{0x24995bcf,0x66085bd0,0x60dd14e2,0x46f6170f}},	//   rism_, padk, _rism, _счет, 
   {{0x60dd5bd1,0x24995bd2,0x44e8009e,0x200910f3}},	//   _sism, sism_, _tû_, waai_, 
   {{0x30a75bd3,0x648600eb,0x44291047,0x6d5a5bd4}},	//   грав, _dóib, _tca_, _štan, 
   {{0x60dd132c,0xa3e9072f,0x44295bd5,0x6f0d2e0d}},	//   _qism, _बलि_, _uca_, tsac, 
   {{0x60dd00e0,0xe7f70827,0x200915e9,0x657a0090}},	// [4df0] _vism, ीरता_, raai_, lyth, 
   {{0x81b40086,0x6f0d5bd6,0x7c294514,0x518700c8}},	//   জেই_, rsac, _scer, _бума, 
   {{0x60dd5bd7,0x3e76003e,0xa3e900a5,0x22430097}},	//   _tism, _rætt_, _बला_, mejk_, 
   {{0x6f0d00a1,0x62850026,0xac195bd8,0xe46a0080}},	//   psac, _hlho, тоду_, mpöä_, 
   {{0xae1e0586,0x6f0f0548,0xe45f02ae,0x63ad00c3}},	//   _पाचन_, _uvcc, lmös_, _jxan, 
   {{0x78750076,0x657a0626,0xfbd020b4,0x64960098}},	//   _návr, kyth, ستن_, všim, 
   {{0x76415bd9,0xf8651134,0x62855bda,0x27ed01d6}},	//   vely, ивко, _mlho, tcen_, 
   {{0x69d50076,0x7af5004f,0x78ad015e,0x76410156}},	//   _územ, _взає, čavo, wely, 
   {{0x06855bdb,0x62855bdc,0x764155ba,0x9a270198}},	//   игин, _olho, tely, _معان, 
   {{0xbb8400eb,0x7a57010e,0x27ed107c,0xf5e90148}},	//   _الكي, _حضرا, scen_, ъмол_, 
   {{0x38ba0034,0x81eb0033,0x940b00ad,0x657a00f8}},	//   tërt_, মরা_, licə_, gyth, 
   {{0x62855bdd,0x752f00ab,0x75210065,0x9f5900c8}},	//   _alho, ńczo, rulz, _kesä_, 
   {{0xa3d00190,0x386d0f30,0x752100ad,0xa2e600b9}},	//   वें_, mjer_, sulz, рогд, 
   {{0x386d0c29,0x471a00c7,0x387f5bde,0x36691221}},	//   ljer_, _יונג, lkur_, _јако_, 
   {{0x62850187,0x3d05034d,0x3aeb004f,0x38ba0034}},	//   _dlho, _हौले_, _løp_, përt_, 
   {{0xe0df0141,0x386d27fd,0x64a300fd,0x787500da}},	//   _ciò_, njer_, _маща, _závr, 
   {{0x387f01d5,0x4e0637d6,0xe3b80095,0x7aed0183}},	// [4e00] ikur_, изаб, şıb_, íatl, 
   {{0x60ea0e65,0x7c3d0241,0xdd8f00d7,0x387f00c2}},	//   _имом_, _ısra, ژول_, hkur_, 
   {{0x387f5bdf,0x386d5be0,0x00000000,0x00000000}},	//   kkur_, kjer_, --, --, 
   {{0xf5360137,0x629c5be1,0x386d003d,0xe0580274}},	//   יטער_, liro, jjer_, _حیرت_, 
   {{0x386d056e,0xf41700c7,0xab270267,0xddc70604}},	//   djer_, בֿות_, иоца_, _vojš, 
   {{0x291c1462,0xd357029e,0x00000000,0x00000000}},	//   trva_, ייני_, --, --, 
   {{0xddc70bfc,0x64a40082,0x64965be2,0x38ba0034}},	//   _tojš, rđij, ršij, dërr_, 
   {{0xdca65be3,0x69c85be4,0x5ca60e65,0x629c5be5}},	//   _таби, _vzde, _тибб, hiro, 
   {{0xe66637e8,0x629c5be6,0x657a0156,0xdceb0028}},	//   атно, kiro, wyth, čiąj, 
   {{0x291c090e,0x629c0104,0xd6d715d3,0x8f370225}},	//   prva_, jiro, итэ_, סטיג_, 
   {{0xd7ef0925,0x629c5be7,0x69c81f8f,0x69961094}},	//   _му_, diro, _uzde, _трах, 
   {{0x629c2cfc,0xe2f9004e,0x657a5be8,0x2ca600f8}},	//   eiro, лемі_, ryth, nnod_, 
   {{0x6d5a090e,0x62850201,0x68e85be9,0x629c5bea}},	//   _štal, _plho, _hudd, firo, 
   {{0x68e85beb,0x27300118,0x629c5bec,0x00000000}},	//   _kudd, màn_, giro, --, 
   {{0x80075bed,0x68e8040c,0x27305bee,0x224302ae}},	//   ичае, _judd, làn_, rejk_, 
   {{0x68e85bef,0x63ad0a9f,0xc0cb00f0,0x629c040b}},	//   _mudd, _txan, туге_, airo, 
   {{0x62850364,0x68e85bf0,0x0eeb004f,0x27305bf1}},	// [4e10] _tlho, _ludd, тьби_, nàn_, 
   {{0x629c1cf0,0x387f00cf,0x9df852b2,0x787c0212}},	//   ciro, zkur_, инут_, _dévi, 
   {{0x2ca602bf,0xab62027e,0x6d5a010e,0x2ca70126}},	//   fnod_, _şüph, _átal, éndo_, 
   {{0xa5d900c7,0x940b0095,0x2ca65bf2,0xe8f91753}},	//   אַני, ticə_, gnod_, қли_, 
   {{0x7bc002bf,0x64860165,0xdefb00f0,0xb7c10033}},	//   _cymu, _jóia, _шын_, _উল্ট, 
   {{0x68e85bf3,0x1df802f3,0x7bc00156,0x8e850038}},	//   _budd, _веры_, _dymu, _السه, 
   {{0x68e85bf4,0x3cf00032,0x3a2c5bf5,0x386d00b9}},	//   _cudd, ľové_, _dcdp_, tjer_, 
   {{0x3cf0014b,0xbca50d4b,0x68e85bf6,0x394c0502}},	//   žové_, _امري, _dudd, _dsds_, 
   {{0x387f5bf7,0x7bc00156,0x7c3b0199,0x6a7d06df}},	//   rkur_, _gymu, _ibur, _lèfi, 
   {{0xba74057f,0x387f003e,0xca7400eb,0x386d004f}},	//   _والت, skur_, _والغ, sjer_, 
   {{0x68e8272e,0x629c5bf8,0x443b5bf9,0xe82000a2}},	//   _gudd, viro, _bbq_, _याचा_, 
   {{0x7ae15bfa,0xb4e7000d,0x629c1736,0x1bef031e}},	//   _hilt, _बढी_, wiro, _छलफल_, 
   {{0x7c3b5bfb,0x7ae15bfc,0x629c5bfd,0x69c10416}},	//   _mbur, _kilt, tiro, _hyle, 
   {{0x6d5a2337,0x412a0934,0x787c5bfe,0x26d900bc}},	//   _štam, лого_, _révi, ůsob_, 
   {{0x7ae90088,0x7c3b5bff,0x68e800a3,0xd179004f}},	//   _luet, _obur, _xudd, асті_, 
   {{0x629c012d,0x27ff5c00,0x6a7d022c,0x69c15c01}},	//   siro, nbun_, _dèfi, _myle, 
   {{0xee3a0925,0xa01b022b,0x64465c02,0x7ae90126}},	// [4e20] лна_, _glöm, meki, _nuet, 
   {{0x5d6a5c03,0x7c3b5c04,0xcf2500eb,0x42262373}},	//   лизм_, _abur, ترفي, _удов, 
   {{0x7bc002bf,0x2b4d0096,0x8d5a00d3,0xd9f800aa}},	//   _symu, _asec_, ышат_, ुरसत_, 
   {{0x64465c05,0xac0a0161,0x1d071a27,0x68e85c06}},	//   neki, унда_, сеци_, _rudd, 
   {{0x7ae15c07,0x7d1e090b,0x2057042c,0x7ae90126}},	//   _bilt, srps, _היכל_, _cuet, 
   {{0x60c45c08,0x64465c09,0xdd20031e,0xbae500dd}},	//   llim, heki, může, іцій, 
   {{0x5d860084,0x68e80405,0x7ae15c0a,0x7ae900b9}},	//   _الأل, _qudd, _dilt, _euet, 
   {{0x6d4e5c0b,0x6d5c5c0c,0x60c45c0d,0x64465c0e}},	//   _isba, _irra, nlim, jeki, 
   {{0xd6da1cca,0x69c101f0,0x661c5c0f,0xa01b0219}},	//   лто_, _eyle, órko, _blöj, 
   {{0x7ae15c10,0x60c408cc,0x27305c11,0x7bcf0183}},	//   _gilt, hlim, ràn_, _ºcur, 
   {{0xe72f1fdb,0x245f0088,0x6d5a133e,0x87e64e93}},	//   وصی_, _nämä_, _štaj, _люле, 
   {{0x60c400ef,0x996400bc,0x64465c12,0xab5d0083}},	//   jlim, _kůže_, geki, _wyże, 
   {{0x27e62fc3,0x7ae903c2,0xdc9b00d1,0x3eba5c13}},	//   _igon_, _xuet, ריכל, kopt_, 
   {{0x9964000d,0x442d0035,0x6d5c5c14,0x60c45c15}},	//   _může_, że_, _orra, elim, 
   {{0x7e751175,0x64465c16,0x9f49007a,0x29df007b}},	//   _rozp, beki, rcaí_, _għaċ_, 
   {{0x60c45c17,0x64a41eac,0x64465c18,0x9f490038}},	//   glim, _наја, ceki, scaí_, 
   {{0x6e99187f,0x6d5c5c19,0x68e25c1a,0x660a5c1b}},	// [4e30] авар_, _arra, _miod, _kefk, 
   {{0x44390e47,0xed8b09d9,0x68e200a1,0x61e501be}},	//   lfs_, лсек_, _liod, _ughl, 
   {{0x44395c1c,0x24895c1d,0x7e750126,0x7ae95c1e}},	//   ofs_, _klam_, _vozp, _suet, 
   {{0x7ae15c1f,0x8d8400f6,0x27e6001b,0xa3d01faf}},	//   _silt, чууд, _ngon_, वेक_, 
   {{0x6d5c5c20,0x7ae1007e,0x6d4e49fd,0xcb695c21}},	//   _erra, _pilt, _esba, рале_, 
   {{0x27e65c22,0x64465c23,0x09d20033,0x2b4d0144}},	//   _agon_, zeki, াশনা, _vsec_, 
   {{0x68e25c24,0x64465c25,0xaefb00a1,0x248900a3}},	//   _biod, yeki, _brùg, _olam_, 
   {{0x7c3b099d,0x69c1026e,0x644601cf,0xa01b0219}},	//   _ubur, _vyle, xeki, _slöj, 
   {{0x7ae11ec7,0x68e25c26,0x64460218,0x7c2400eb}},	//   _tilt, _diod, veki, óire, 
   {{0x24895c27,0x27e602ba,0x27ff00e2,0x2cbf0242}},	//   _alam_, _egon_, sbun_, _hkud_, 
   {{0x64465c28,0x68e25c29,0x24895c2a,0x660a00ca}},	//   teki, _fiod, _blam_, _defk, 
   {{0x7c2b56f3,0xf99200a7,0x6d5a00d0,0x2ee301c8}},	//   nggr, _קרא_, _štak, _lijf_, 
   {{0xe60e558c,0x64463787,0x24895c2b,0x78a95c2c}},	//   _од_, reki, _dlam_, mnev, 
   {{0x64465c2d,0x78bb031e,0x24895c2e,0x78a95c2f}},	//   seki, louv, _elam_, lnev, 
   {{0x248900b9,0x91e30176,0x7f5d01be,0x78a90034}},	//   _flam_, доре, _arsq, onev, 
   {{0x200b5c30,0x78bb5c31,0x53a600dd,0xe6d9008c}},	//   _ceci_, nouv, _майб, ðræð, 
   {{0x60c40938,0x200b5c32,0x26c55c33,0x3eba02b0}},	// [4e40] rlim, _deci_, ollo_, topt_, 
   {{0x245f030f,0x8d5a5c34,0x26c50042,0x66cf004f}},	//   _tämä_, ишет_, nllo_, bøke, 
   {{0x60c45c35,0x26c55c36,0x78bb06df,0x78a95c37}},	//   plim, illo_, kouv, knev, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2cad0eae,0x0a6a5c38,0x69c50ab8,0xaefb00a1}},	//   _djed_, ирки_, ühen, _crùd, 
   {{0x200b00d9,0xaefb01be,0x78a90c53,0xed5a0bad}},	//   _zeci_, _drùd, enev, _ког_, 
   {{0x6d5c5c39,0x660a00ef,0x6d4e5c3a,0xcb1c009a}},	//   _urra, _refk, _usba, _निवड_, 
   {{0xa774148b,0x26c55c3b,0xdd8f03b1,0x78a95c3c}},	//   злич, ello_, _شوق_, gnev, 
   {{0x920a0509,0x660a0df4,0x2bd9017d,0xa01b003e}},	//   वराज_, _pefk, बेदा, _slök, 
   {{0xd6d00740,0xd946187f,0x24890656,0x78a91f57}},	//   عقد_, _мези, _slam_, anev, 
   {{0x24895c3d,0xceb30137,0x994a0084,0x286a02a6}},	//   _plam_, ויז_, _خلال_, _врло_, 
   {{0x66e65c3e,0x78bb0518,0xe3b80824,0xe7860a27}},	//   _дода, couv, ğın_, _муло, 
   {{0x200b03ef,0x368900b9,0xe3b8091f,0x44395c3f}},	//   _reci_, рсөн_, şın_, rfs_, 
   {{0x9f590093,0xaaca031e,0x628e00d1,0x78a017e5}},	//   _gesù_, ितिक, ghbo, limv, 
   {{0x76485c40,0x31c4196d,0x7cf30405,0x2019012b}},	//   medy, дств, _oħra, _pdsi_, 
   {{0x76485c41,0x24895c42,0x75280727,0xda78014b}},	//   ledy, _ulam_, mudz, _loď_, 
   {{0x200b0187,0x75285c43,0x66cf004f,0x41e71084}},	// [4e50] _veci_, ludz, søke, _міна, 
   {{0x76485c44,0x2cbf04d5,0x78ad07c7,0x7cf300c3}},	//   nedy, _skud_, čavi, _aħra, 
   {{0x2ee3012e,0x92b400eb,0x64a400d2,0x64961c2b}},	//   _vijf_, _تحيا, rđiv, ršiv, 
   {{0xa3c41567,0x6ac3048e,0x7c845c45,0x76480daa}},	//   _्रम_, षत्र, муче, hedy, 
   {{0x395e4ba9,0x764813cd,0xdb0706a2,0x7528044d}},	//   _arts_, kedy, _ömür, hudz, 
   {{0x75280204,0x3f4d00ca,0x76480035,0x38665c46}},	//   kudz, _ižu_, jedy, _anor_, 
   {{0x7f4d003d,0x6ca75c47,0x09e2021d,0x78a95c48}},	//   lwaq, _драж, ношн, tnev, 
   {{0x2cad5c49,0x3a3e008a,0xb4b5031e,0x32110379}},	//   _ujed_, _ebtp_, जको_, hazy_, 
   {{0x32110076,0x78a95c4a,0x78bb5c4b,0x395e040b}},	//   kazy_, rnev, rouv, _erts_, 
   {{0x7afb06e4,0x78a95c4c,0x26c502a3,0x78bb5c4d}},	//   _itut, snev, ullo_, souv, 
   {{0xc8ab0141,0x64860038,0x26c50068,0x78a95c4e}},	//   _къде_, _fóil, rllo_, pnev, 
   {{0x3f4d2fab,0xc8642cdb,0x26c50183,0x35b50259}},	//   _ožu_, _отчи, sllo_, жбүр, 
   {{0x69c7055f,0x75280243,0x649600da,0x76485c4f}},	//   _øjeb, audz, dšit, bedy, 
   {{0x7afb095a,0x75285c50,0x5fb500bd,0x00000000}},	//   _mtut, budz, _अँजल, --, 
   {{0xd13200eb,0xa06a1a41,0x016336e6,0xe2975c51}},	//   عمر_, бава_, нкро, чар_, 
   {{0x4fea5c52,0x2b5f00ad,0xe45f0080,0x7afb4674}},	//   сман_, _oruc_, llön_, _otut, 
   {{0xe29a02c0,0x443202b8,0x1e865c53,0x03a640f5}},	// [4e60] _гап_, _icy_, плам, _хипо, 
   {{0xef170451,0x64565c54,0x78a0044d,0x64960028}},	//   яму_, _hayi, zimv, ršiu, 
   {{0x7afb5c55,0x64565c56,0x3f860377,0xaefb01f5}},	//   _atut, _kayi, šou_, _crùb, 
   {{0xdee62b23,0x2b5f5c57,0x64565c58,0x787c0106}},	//   _номи, _bruc_, _jayi, _lévr, 
   {{0x64565c59,0x648600eb,0x20125c5a,0x6f63012d}},	//   _mayi, _nóim, mayi_, _звяз, 
   {{0x645606d0,0x20125c5b,0x38665c5c,0x753d0083}},	//   _layi, layi_, _snor_, łszy, 
   {{0x9d435c5d,0xd90d11b7,0x7afb1f9f,0x64860038}},	//   _перд, لیل_, _etut, _póil, 
   {{0x20125c5e,0x64565c5f,0xc6f8583e,0xd6010108}},	//   nayi_, _nayi, оних_, _đún, 
   {{0x629e5c60,0x49080035,0x6486007a,0x3b07275d}},	//   _ompo, _सबको_, _cóim, _нето_, 
   {{0x9f9700a7,0xbafb00a7,0x645602a5,0x6b820dc5}},	//   פדיה_, _להמש, _aayi, myog, 
   {{0x64565c61,0x6b825c62,0x2fc7001b,0x76485c63}},	//   _bayi, lyog, ́ng_, redy, 
   {{0x3866002e,0x629e5c64,0x645602a5,0x2bd91898}},	//   _unor_, _ampo, _cayi, बेवा, 
   {{0x64565c65,0x787c026d,0x76485c66,0x75285c67}},	//   _dayi, _févr, pedy, sudz, 
   {{0x356a0ca4,0xe1f800b3,0x75282f5d,0x00000000}},	//   _грин_, зерч_, pudz, --, 
   {{0xe63b00a7,0x32111175,0x64565c68,0xa63b00d1}},	//   _התוכ, razy_, _fayi, _הגור, 
   {{0x629e5c69,0x645601a3,0x20125c6a,0x321101a7}},	//   _empo, _gayi, gayi_, sazy_, 
   {{0xa2b5152e,0x98a70112,0xe8d700a7,0x64960455}},	// [4e70] _обич, šiću_, לולר_, ršit, 
   {{0x64564ab2,0x201202a5,0x00000000,0x00000000}},	//   _zayi, aayi_, --, --, 
   {{0x7afb5c6b,0x64565c6c,0x2d875c6d,0xaefb01be}},	//   _stut, _yayi, áne_, _brùc, 
   {{0x317e01c4,0x64560104,0x64960097,0x76840237}},	//   ätze_, _xayi, lšir, _bòyk, 
   {{0x2d875c6e,0x61ec0019,0x69a202e6,0xaefb00a1}},	//   šne_, _állá, _केबी, _drùc, 
   {{0xa9690648,0x2b5f015e,0x6496015e,0x628703c5}},	//   жика_, _vruc_, nšir, nkjo, 
   {{0xa2a002f8,0x6d5a0b91,0xd9fe00b0,0xaed40148}},	//   _ऑगस्, _štav, _उभरत_, _чорш, 
   {{0x2b5f5c6f,0xa3ad0667,0x6b822f43,0x6ba8039f}},	//   _truc_, कपा_, byog, ásgá, 
   {{0x64565c70,0x64960ab4,0x7afb5c71,0x6b820027}},	//   _rayi, kšir, _utut, cyog, 
   {{0x64565c72,0x45850bae,0x20125c73,0x00000000}},	//   _sayi, дгов, zayi_, --, 
   {{0x64565c74,0xe3b803c0,0x20125c75,0xa90707cb}},	//   _payi, ğım_, yayi_, _ربان, 
   {{0xe3b803c0,0x03a65c76,0x64565c77,0x53a60ecd}},	//   şım_, димо, _qayi, дамб, 
   {{0x67295c78,0x20125c79,0x798300f8,0x7cf300c3}},	//   quej, vayi_, lynw, _oħro, 
   {{0xa5094be1,0x23600b32,0x64565c7a,0x69a204cc}},	//   _дека_, _vrij_, _wayi, _केडी, 
   {{0x2d1c047c,0x20560258,0x64565c7b,0xa2e31834}},	//   _पटेल_, мтар, _tayi, торд, 
   {{0x20555c7c,0xa0670188,0x00000000,0x00000000}},	//   нтур, маса_, --, --, 
   {{0x8fa33b3f,0xef1a0cfe,0x20122847,0xe29a5c7d}},	// [4e80] вате, юма_, rayi_, _маи_, 
   {{0x20125c7e,0x59dd0527,0x629e5c7f,0xc3c916a6}},	//   sayi_, मधार, _umpo, _عظيم_, 
   {{0x44f302be,0x6aa35c80,0x20121b7a,0xb05b1279}},	//   _jã_, dinf, payi_, _ikän, 
   {{0x44f30029,0x9b8a029a,0x6aa3059e,0x3f6a30c5}},	//   _mã_, ينال_, einf, _димо_, 
   {{0x44f35c81,0x4bda0499,0xcce50038,0xeaba3a64}},	//   _lã_, آباد_, رسمي, ойд_, 
   {{0x6b825c82,0x798300f8,0x1d0a28c1,0x00000000}},	//   ryog, fynw, _меги_, --, 
   {{0xa9672189,0x5de302f1,0x44f35c83,0x9f4b003e}},	//   дија_, _ажра, _nã_, élög_, 
   {{0x6496445d,0xd90d009c,0xdee60258,0x63b60027}},	//   zšir, صیه_, _хоҳи, _oxyn, 
   {{0xb05b014e,0xdca35c84,0x6d5e1494,0xab6501dd}},	//   _okän, _рати, lvpa, _peļņ, 
   {{0xda662424,0x44f30023,0xceb400ad,0x2ba400b0}},	//   _تاري, _bã_, qsəd_, _खेया, 
   {{0x998603b1,0x6fd50077,0x98a702d9,0x44f35c85}},	//   _تلاو, _दरभं, ntně_, _cã_, 
   {{0x25fe06c9,0x9f405c86,0x44f300e7,0x7ae802c9}},	//   _श्री_, nció_, _dã_, _hidt, 
   {{0x69c85c87,0x78750098,0xddce0035,0x7e7c206b}},	//   _hyde, _návy, _jabł, _oorp, 
   {{0x44f302a0,0x09d50086,0x81d80086,0x0320034d}},	//   _fã_, _স্টা, িশন_, _बिरह_, 
   {{0x7ae8155b,0x44f300e7,0xa15823ad,0x9f40010e}},	//   _midt, _gã_, мару_, kció_, 
   {{0x62870b39,0x7afc0121,0x76585c88,0x00000000}},	//   skjo, _črtn, _havy, --, 
   {{0x69c85c89,0xb3d300b0,0x776201f2,0xddd500d8}},	// [4e90] _lyde, _सरिख, _jrox, _pozů, 
   {{0x234800c5,0x51875750,0x765a08b0,0xc5f801dd}},	//   _کلیپ_, _жума, ndty, ncē_, 
   {{0x44f30029,0x7e7c5c8a,0x69c85c8b,0xa01b0219}},	//   _xã_, _dorp, _nyde, _blöt, 
   {{0x6ab9000c,0x7e7c0ae7,0x77620068,0x6aa3039b}},	//   ेत्र, _eorp, _orox, winf, 
   {{0x6aa35c8c,0x7e7c03a9,0x90980141,0x290c0065}},	//   tinf, _forp, _цвят_, _awda_, 
   {{0x9f4000d3,0x76585c8d,0x7e7c0a9f,0x69c85c8e}},	//   ació_, _navy, _gorp, _byde, 
   {{0x6aa35c8f,0x7ae802dc,0xa01b5c90,0x228d02d9}},	//   rinf, _didt, _flöt, užky_, 
   {{0x9f4001bb,0x44f35c91,0x7d020082,0x7762019c}},	//   cció_, _rã_, ćost, _brox, 
   {{0x44f343a3,0xf41f00c8,0x76585c92,0xe7a91761}},	//   _sã_, tkän_, _bavy, явил_, 
   {{0xb6cc091f,0xe3b801f0,0x44f3019c,0x7bc90096}},	//   şünü, şık_, _pã_, _iyeu, 
   {{0x76580237,0x9f4001d8,0x00000000,0x00000000}},	//   _davy, nciò_, --, --, 
   {{0x77620068,0xb05b3372,0x44f35c93,0xe7950165}},	//   _frox, _skän, _vã_, _пиењ, 
   {{0xf7455c94,0x7dee010e,0x00000000,0x00000000}},	//   _чело, nősí, --, --, 
   {{0x27395c95,0x09e30086,0xd1760a31,0x44f30023}},	//   mèn_, _ন্যা, ныбы, _tã_, 
   {{0x64a600e4,0x04465c96,0x7bc90118,0x673b5a08}},	//   _пака, _зейн, _lyeu, ltuj, 
   {{0x645a01dd,0xa0b50267,0xafe630c5,0x00000000}},	//   ētis, вљуј, еобл, --, 
   {{0x44205c97,0x7bc95c98,0x3cff003a,0x673b5c99}},	// [4ea0] _idi_, _nyeu, _čuva_, ntuj, 
   {{0xd1762c6b,0x21764ea2,0x00000000,0x00000000}},	//   _зымы, _зумр, --, --, 
   {{0xa01b5c9a,0x7bc920ca,0x9f590126,0x44205c9b}},	//   _plöt, _ayeu, _besó_, _kdi_, 
   {{0x673b2194,0x69c85c9c,0x6d5e00b0,0x44205c9d}},	//   ktuj, _ryde, rvpa, _jdi_, 
   {{0x7e7c0095,0xfaa61311,0x9f4003a1,0x98a700bc}},	//   _torp, надо, rció_, stně_, 
   {{0xada613cc,0x442000cf,0x27395c9e,0x00000000}},	//   _загл, _ldi_, dèn_, --, 
   {{0x6f045c9f,0x9f405ca0,0x7ae85ca1,0x644402a5}},	//   lpic, pció_, _vidt, _obii, 
   {{0x77623bb8,0x7ae85ca2,0x44205ca3,0xfce35ca4}},	//   _prox, _widt, _ndi_, _босо, 
   {{0x7658012d,0x7643016a,0x6563012e,0xc6a65ca5}},	//   _pavy, _bbny, _arnh, ерни, 
   {{0x69c85ca6,0x69963a2a,0x69f1004e,0x64445ca7}},	//   _tyde, _прех, _күшт, _abii, 
   {{0x44200034,0x673b02a5,0x00000000,0x00000000}},	//   _bdi_, atuj, --, --, 
   {{0x2ebe0586,0x644401be,0x273900d7,0x7658018e}},	//   ्तुत, _cbii, bèn_, _wavy, 
   {{0x366a030f,0x7643016a,0xa8872cdb,0x44205ca8}},	//   _надо_, _fbny, _яйца_, _ddi_, 
   {{0x44205ca9,0xa6aa073c,0x6f045caa,0xaefb00a1}},	//   _edi_, _عاشق_, dpic, _brùn, 
   {{0xe5f70056,0xaefb01be,0x44205cab,0xf1240cb4}},	//   _אזור_, _crùn, _fdi_, льто, 
   {{0xceb400ad,0x69d50110,0x00000000,0x00000000}},	//   zrət_, येटी, --, --, 
   {{0x6d47008c,0x5f9400d3,0xa01b5cac,0x7ff4009c}},	// [4eb0] _spja, гитт, _slös, اسفا, 
   {{0x644f5cad,0x44205cae,0x645d04f4,0x6d4700a4}},	//   leci, _zdi_, ldsi, _ppja, 
   {{0x7d1c034c,0x44205caf,0x6d5a4d5b,0x9f590126}},	//   _cvrs, _ydi_, _štar, _pesó_, 
   {{0x673b4087,0x645d5cb0,0x9f4000fd,0x27395c9e}},	//   ytuj, ndsi, rciò_, yèn_, 
   {{0x645d01c5,0x20091f14,0x60cd1ba2,0x6fd500a5}},	//   idsi, mbai_, mlam, _दरिं, 
   {{0xaa451818,0x78a24027,0xa9a55cb1,0x7dee010e}},	//   текл, _amov, килд, rősí, 
   {{0x644f5cb2,0x84ef0790,0xbdd40e8a,0x00000000}},	//   keci, _घूंट_, _борщ, --, 
   {{0x60cd5cb3,0x673b0088,0x27395cb4,0x2eea0082}},	//   nlam, ttuj, tèn_, _zibf_, 
   {{0x644f5cb5,0x752800ab,0x6d5a0183,0x442001ff}},	//   deci, erdz, _átar, _rdi_, 
   {{0x60cd5cb6,0x2d850077,0x44205cb7,0x27395cb8}},	//   hlam, _üles_, _sdi_, rèn_, 
   {{0x673b5cb9,0x44205cba,0x644f5cbb,0x66cf00fb}},	//   stuj, _pdi_, feci, søko, 
   {{0x64a65cbc,0x644f0369,0x27395cbd,0x673b00ab}},	//   тама, geci, pèn_, ptuj, 
   {{0x60cd5cbe,0x96b502a6,0x8c1a0486,0x44205cbf}},	//   dlam, _искљ, וורי, _vdi_, 
   {{0x68eb0495,0xcb1200a7,0x60cd00aa,0x67295cc0}},	//   _higd, שלם_, elam, mrej, 
   {{0x44205cc1,0x644f5cc2,0xa56400eb,0x76415cc3}},	//   _tdi_, beci, _مدين, mfly, 
   {{0x68fc006b,0x04464914,0x7641042a,0x68eb01f2}},	//   _érde, _реин, lfly, _jigd, 
   {{0xd9ad04d7,0x68eb5cc4,0x7d1c003a,0xc0e35cc5}},	// [4ec0] टपुट, _migd, _svrs, ротк, 
   {{0x60cd5cc6,0xaefb001b,0x76410131,0x1d0a5cc7}},	//   alam, _trùn, nfly, дежи_, 
   {{0x60cd5cc8,0x67295cc9,0xe0da0886,0x32185cca}},	//   blam, hrej, _ово_, mary_, 
   {{0x6aca0aac,0x68eb5ccb,0x6f045ccc,0x32185ccd}},	//   ित्र, _nigd, ppic, lary_, 
   {{0x7fd5005e,0x24800035,0x2ca65cce,0xda7a00b3}},	//   _бірі, _moim_, riod_, дяй_, 
   {{0x644f006a,0x60c45ccf,0x32185cd0,0xe45f02ae}},	//   zeci, loim, nary_, tlök_, 
   {{0xbea35117,0x7d1c203b,0x7641055f,0x6da65cd1}},	//   _тарк, _uvrs, dfly, _рива, 
   {{0x7d5700c7,0x321800a9,0xc9835cd2,0x8c46004e}},	//   _בילד_, hary_, руши, _шебе, 
   {{0x67295cd3,0x68eb1e21,0x644f57d5,0xf62a017b}},	//   grej, _digd, veci, міни_, 
   {{0x3aeb00d4,0x60cd403b,0x752800ef,0x60c40038}},	//   _قبلی_, zlam, trdz, hoim, 
   {{0xb05b014e,0x644f5cd4,0x2455091d,0x60c400c8}},	//   _skäm, teci, هندس, koim, 
   {{0x52bd1893,0x78a200d2,0x32135cd5,0x60cd0095}},	//   ोत्स, _umov, _sexy_, xlam, 
   {{0x24840219,0x248000a3,0x645d5cd6,0x60cd5cd7}},	//   ömma_, _doim_, rdsi, vlam, 
   {{0xc7d700d1,0x7afd5cd8,0x46a300fd,0x2ebe13bb}},	//   _סוגי_, _éste, _качв, ्तोत, 
   {{0x60cd5cd9,0x61143dc8,0xb6d900c7,0x2ba400c9}},	//   tlam, идру, _אַקט, _खेसा, 
   {{0xf0b402c8,0x6486007a,0x00000000,0x00000000}},	//   айсь, _sóiv, --, --, 
   {{0x6d5a0062,0x2009012d,0x32180180,0x9ed90d38}},	// [4ed0] _štap, rbai_, bary_, емат_, 
   {{0x60cd086d,0xd25100c5,0x248000ca,0xa2c4009a}},	//   slam, _اند_, _zoim_, ळवण्, 
   {{0x60cd5cda,0x672916ed,0xf1df215e,0x69a20110}},	//   plam, zrej, फेशन, _केली, 
   {{0x60c4012b,0x1b1900c8,0x60cd1ada,0x6adb0299}},	//   coim, ежды_, qlam, यग्र, 
   {{0x0c241222,0x291e0352,0xa09a00c7,0xab291c88}},	//   рмін, _avta_, _נישט, хола_, 
   {{0x67291810,0xbbd30c06,0xeab90528,0x00000000}},	//   vrej, _तरीक, эйл_, --, 
   {{0xa3aa0466,0x98ac06a2,0xa9a200a3,0xc27c2233}},	//   _गेन_, _ardı_, йишд, ורגי, 
   {{0x67295cdb,0xc17400a7,0x88c5031e,0x69c702c9}},	//   trej, שחק_, _ověř, _øjem, 
   {{0x46e95cdc,0x764159ba,0x68eb5cdd,0x3f89019b}},	//   ндин_, tfly, _vigd, nyau_, 
   {{0x67295cde,0x64ab02d9,0x24925cdf,0x278703a1}},	//   rrej, yřic, _slym_, ерүү_, 
   {{0x34aa1c93,0x32183d61,0x76410430,0xceb4035c}},	//   евно_, vary_, rfly, ייץ_, 
   {{0x67295ce0,0x76415ce1,0x232a286c,0x32180083}},	//   prej, sfly, номи_, wary_, 
   {{0x32185ce2,0x3ced1e0d,0x60c45ce3,0x386f0036}},	//   tary_, _miev_, voim, _ingr_, 
   {{0x78a95ce4,0xb6075ce5,0x64ab00d8,0x00000000}},	//   liev, _рядк, třic, --, 
   {{0x32185ce6,0x26c55ce7,0x60c45ce8,0x15453197}},	//   rary_, molo_, toim, _сейм, 
   {{0x26c55ce9,0x321800a9,0x78a95cea,0x66cf0566}},	//   lolo_, sary_, niev, køkk, 
   {{0xddd5063b,0x648600eb,0x60c45ceb,0x1f660504}},	// [4ee0] _rozš, _dóit, roim, ыкам, 
   {{0x26c55cec,0x20f8090b,0x94190095,0xee370267}},	//   nolo_, _učio_, disə_, лну_, 
   {{0xa0a634f7,0x60c402a0,0xa2c100a2,0x26c502a3}},	//   _банд, poim, लकर्, iolo_, 
   {{0x20565ced,0x26c55cee,0x317b00c7,0x628e5cef}},	//   _стор, holo_, _נאכד, lkbo, 
   {{0x26c55cf0,0x5fe0190a,0xa3aa1489,0x7f750aa4}},	//   kolo_, पेशल, _गेम_, _курц, 
   {{0xc3330a33,0x3b06021e,0x628e5cf1,0x386f0118}},	//   מוד_, rpoq_, nkbo, _angr_, 
   {{0x26c55cf2,0x2ca4016a,0x78a90036,0x98c608ba}},	//   dolo_, _tmmd_, fiev, лсил, 
   {{0x070a01a2,0x291c0216,0x00000000,0x00000000}},	//   нхои_, rsva_, --, --, 
   {{0x26c55cf3,0x64860038,0xf6e60528,0x386f00b4}},	//   folo_, _lóis, лцон, _dngr_, 
   {{0x26c55cf4,0x0f570056,0x9b930084,0xfb1b042c}},	//   golo_, ניים_, _الكت, _נובמ, 
   {{0x45d40176,0x88c502d9,0x090626f1,0x64751623}},	//   ронс, _svěř, _спен, агну, 
   {{0x6aaa5965,0x69950bf8,0x628e08b0,0xceb40248}},	//   liff, _трух, ekbo, xsən_, 
   {{0x26c55cf5,0x752f0083,0x00000000,0x00000000}},	//   bolo_, ącza, --, --, 
   {{0x26c5048a,0xb05b00c8,0x39ae00ad,0x6aaa017c}},	//   colo_, _ikäi, _kəs_, niff, 
   {{0x661a4fb8,0x34950258,0xa1945cf6,0x20f81a01}},	//   matk, _вайр, барч, _učil_, 
   {{0x661a5cf7,0x6aaa01c4,0x88bc02d9,0x98a7020f}},	//   latk, hiff, _uvěd, mună_, 
   {{0xb4c307d5,0x44fa021e,0x8e153725,0xceb40095}},	// [4ef0] ्ती_, _hë_, идац, rsən_, 
   {{0x645f0c67,0xc7d700a7,0x661a5cf8,0x44fa0034}},	//   _haqi, רומי_, natk, _kë_, 
   {{0x5d55548f,0xf1ab00d4,0x44fa1e1b,0x13b40296}},	//   ркет, _ساده_, _jë_, _نصیح, 
   {{0x44fa097b,0x661a005c,0x3af9158b,0x26c5044d}},	//   _më_, hatk, _pèp_, zolo_, 
   {{0x661a28a1,0x09dd5cf9,0x44fa024a,0x645f4015}},	//   katk, मध्य, _lë_, _maqi, 
   {{0xb4c33267,0x44fa018c,0x2ba400a2,0x39ae00ad}},	//   ्तु_, _oë_, _खेळा, _bəs_, 
   {{0x44fa5cfa,0x661a5cfb,0x78a95cfc,0x26c55cfd}},	//   _në_, datk, tiev, volo_, 
   {{0x645f5cfe,0x9ccb03a1,0x26c54f36,0x1d34049b}},	//   _naqi, _чыга_, wolo_, _ынся, 
   {{0x26c55cff,0x661a5d00,0x78a95d01,0x23690201}},	//   tolo_, fatk, riev, _nraj_, 
   {{0x661a5d02,0x201b3934,0x44fa024a,0x78a95d03}},	//   gatk, haqi_, _bë_, siev, 
   {{0x26c50364,0x645f0287,0xb4c3009a,0x78a90243}},	//   rolo_, _baqi, ्तू_, piev, 
   {{0x26c55d04,0x2369011c,0xe3661221,0x290501f2}},	//   solo_, _braj_, акми, _itla_, 
   {{0x661a1191,0x648600e1,0x645f00a3,0x6604010c}},	//   batk, _sóis, _daqi, _şike, 
   {{0x412a5d05,0xee0f1615,0x648600eb,0x27ff01d8}},	//   кого_, िरोध_, _cóir, lcun_, 
   {{0x7c3b0a22,0x91e60665,0x628e5d06,0xd1753cd2}},	//   _ocur, рове, rkbo, быты, 
   {{0x27ff24bc,0x7bcd00e0,0x66040372,0x92b60033}},	//   ncun_, ļauj, _điki, জতে_, 
   {{0xee3a0715,0x44fa024a,0xa3e51cdd,0x4fea2640}},	// [4f00] кна_, _zë_, भेद_, тман_, 
   {{0x2bdc0d4f,0x2905084c,0xa5ca02e6,0x27e001c5}},	//   _बरबा, _otla_, _सुडौ, _ùine_, 
   {{0xc27b0056,0x645f00cf,0x2b4d5d07,0x127b0070}},	//   _סרטי, _yaqi, _apec_, _סאטע, 
   {{0x8c460ee8,0xdd8f0b59,0x645f01ff,0xab660849}},	//   реде, بوم_, _xaqi, ивел, 
   {{0x661a5d08,0x7d09008b,0x39ae0095,0xbb4331b5}},	//   yatk, _čese, _səs_, жечк, 
   {{0x7c3b5d09,0x20000474,0x00000000,0x00000000}},	//   _ecur, lcii_, --, --, 
   {{0x6aaa5d0a,0x661a5d0b,0x00000000,0x00000000}},	//   riff, vatk, --, --, 
   {{0x6b8b1950,0x6d5c5d0c,0x661a12c7,0x200057e6}},	//   bygg, _isra, watk, ncii_, 
   {{0x44fa078e,0xd6da33c4,0x20050095,0x661a5d0d}},	//   _së_, кто_, _əli_, tatk, 
   {{0x3cf85d0e,0x7afd5d0f,0x443b0183,0x645f0104}},	//   _kurv_, _ésta, _scq_, _saqi, 
   {{0x44fa097b,0x661a5d10,0x20000187,0x645f0218}},	//   _që_, ratk, kcii_, _paqi, 
   {{0xb4c308a9,0x661a120c,0x69da5d11,0xf7465d12}},	//   ्ते_, satk, _izte, _ведо, 
   {{0x661a11a4,0x6d5c012b,0x9f590054,0x645f0248}},	//   patk, _lsra, _jesô_, _vaqi, 
   {{0x44fa5d13,0x171b042c,0x645f5d14,0x23690228}},	//   _të_, _יודע, _waqi, _vraj_, 
   {{0x645f02f1,0x30a75d15,0xa0a75d16,0xbbd3122e}},	//   _taqi, арав, ашал, _तर्क, 
   {{0x66180218,0xe3b80585,0x00000000,0x00000000}},	//   _hevk, ğır_, --, --, 
   {{0xe3b80092,0x6618006d,0x6d5c5d17,0x6d4e0243}},	// [4f10] şır_, _kevk, _asra, _apba, 
   {{0xde191fe8,0x42550a7c,0x44391341,0x6f020038}},	//   اقات_, _اندر, lgs_, íoca, 
   {{0x44390126,0x2d875d18,0xc21200d1,0x66180241}},	//   ogs_, âne_, _מהי_, _mevk, 
   {{0x44395d19,0x6618008b,0x315600c7,0x6722203b}},	//   ngs_, _levk, _פירן_, _ovoj, 
   {{0x6b6508a6,0x69da02ba,0x62855d1a,0x201900b3}},	//   скла, _azte, _koho, _iesi_, 
   {{0x62855d1b,0x201901cf,0x6b8b5d1c,0x67205d1d}},	//   _joho, _hesi_, rygg, dsmj, 
   {{0x62855d1e,0x2019086d,0x8d9500eb,0x69da0035}},	//   _moho, _kesi_, _الأش, _czte, 
   {{0xb4c3000d,0x6ca42398,0x20190eae,0x96010b3e}},	//   ्तो_, _друж, _jesi_, ोर्ट_, 
   {{0xb8fe1139,0x20195d1f,0xb4c3000d,0x27ff5d20}},	//   _दी_, _mesi_, ्तै_, rcun_, 
   {{0x62855d21,0x27ff350b,0x44393115,0xaefb01f5}},	//   _noho, scun_, egs_, _crùi, 
   {{0x79a75d22,0x74ea013b,0xaefb01fd,0x6618010c}},	//   _трае, лдог_, _drùi, _devk, 
   {{0x44395d23,0x648600eb,0xb4d22221,0xe45f02ae}},	//   ggs_, _cóip, वते_, dlös_, 
   {{0x62855d24,0x26d900d3,0xe60e5601,0x6446009e}},	//   _boho, ïsos_, _нд_, rfki, 
   {{0xcb1200a7,0xd295004f,0x443912b6,0xaefb00a1}},	//   הלך_, орсь, ags_, _grùi, 
   {{0x62851425,0x20191146,0x40960152,0xdddc00b3}},	//   _doho, _besi_, брат, _morţ, 
   {{0x387f580d,0x10a3017f,0xe0df5d25,0x6618027e}},	//   njur_, писн, _chò_, _zevk, 
   {{0xa067048a,0x20195d26,0x62850054,0x777b0042}},	// [4f20] щата_, _desi_, _foho, nxux, 
   {{0xdc1000c9,0x20000036,0x1fb5004f,0xe45f02ae}},	//   ार्ड_, scii_, істр, slöt_, 
   {{0x629c00eb,0x7bdb0539,0x387f003e,0x2000020b}},	//   mhro, _azuu, kjur_, pcii_, 
   {{0xeb9a5d27,0x62855d28,0x20190548,0x2bdc5d29}},	//   лие_, _zoho, _gesi_, _बरदा, 
   {{0x387f0219,0x69da010e,0x38c824a1,0x00000000}},	//   djur_, _szte, یابی_, --, 
   {{0x6e96057f,0x6d5c0038,0x20100083,0x69dc0299}},	//   _السا, _tsra, łnić_, _फरदी, 
   {{0x5fac02f8,0xd7fa01bb,0xd7f80a27,0x6d5c1929}},	//   _घेतल, луп_, қуқ_, _usra, 
   {{0x387f5d2a,0xceb40095,0x8c435d2b,0xb4d2009a}},	//   gjur_, ksək_, _несе, वतो_, 
   {{0x7f445d2c,0xdddc00d9,0x67200e67,0x66185d2d}},	//   ntiq, _forţ, usmj, _pevk, 
   {{0x69da00ef,0x3ce65d2e,0x2a960083,0x00000000}},	//   _tzte, lmov_, yłby_, --, 
   {{0x62855d2f,0x69da5d30,0x984a0093,0x98c4027e}},	//   _roho, _uzte, _бяла_, ştım_, 
   {{0x67225d31,0x3eaa0065,0x7f440065,0xfbdc1f00}},	//   _tvoj, _lmbt_, ktiq, _बराम, 
   {{0x62851c77,0x44395d32,0x20195d33,0x6722015e}},	//   _poho, rgs_, _resi_, _uvoj, 
   {{0x20195d34,0x65945d35,0x62850415,0x629c5d36}},	//   _sesi_, _малу, _qoho, ghro, 
   {{0x201902a3,0xe3b80241,0xc6930147,0x6285023a}},	//   _pesi_, şıp_, _מאס_, _voho, 
   {{0x3ce63053,0x3eaa01d2,0x62850118,0x00000000}},	//   jmov_, _ambt_, _woho, --, 
   {{0x44295d37,0x6285037f,0x20195d38,0x644d01f1}},	// [4f30] _ida_, _toho, _vesi_, _ibai, 
   {{0x43935d39,0x43d40038,0x41555d3a,0x395e0415}},	//   _мақс, _عزيز, _двос, _osts_, 
   {{0x20195d3b,0x7f44026a,0xe0df0108,0x00000000}},	//   _tesi_, atiq, _thò_, --, 
   {{0x42550019,0x3e8500bc,0x8c3701a2,0xdddc0474}},	//   _انگر, _sítě_, содӣ_, _sorţ, 
   {{0xa03a0137,0x644d00eb,0x7f445d3c,0xdddc00b3}},	//   _דערפ, _mbai, ctiq, _porţ, 
   {{0x660d0704,0x44295d3d,0x8cd90035,0x1c0a01ec}},	//   _đako, _lda_, _फीरो, हुबल_, 
   {{0x644d003c,0x44295d3e,0x6f0d5d3f,0x7bc00126}},	//   _obai, _oda_, lpac, _exmu, 
   {{0x6d455d40,0xa3aa3e8a,0x7afd05b9,0x44295d41}},	//   mtha, _गइल_, _ésto, _nda_, 
   {{0x66040749,0x68fa00b9,0x6d455d42,0xdddc020f}},	//   _şika, _eutd, ltha, _torţ, 
   {{0x44295d43,0x644d5d44,0xda02000f,0x6d455d45}},	//   _ada_, _abai, रुआत_, otha, 
   {{0x6d450727,0x7afb0088,0x44295d46,0xda783cab}},	//   ntha, _huut, _bda_, _уят_, 
   {{0x6d4502bf,0x44295d47,0x7afb5d48,0xa7750b68}},	//   itha, _cda_, _kuut, _млеч, 
   {{0x44295d49,0x7c290532,0x629c5429,0x7afb5999}},	//   _dda_, _mder, thro, _juut, 
   {{0x7afb1dde,0x3ce61ad8,0x2bdc10cf,0xf6e7017f}},	//   _muut, zmov_, _बरसा, _уцен, 
   {{0x04460141,0xa18702a0,0xf41f0080,0xd1750080}},	//   _дейн, обра_, tkät_, пыты, 
   {{0x7c295d4a,0x7ae10054,0x6f0d02b0,0x644d01be}},	//   _nder, _lhlt, fpac, _gbai, 
   {{0x6d4502bf,0x7afb018c,0x2caf012e,0x1e865c45}},	// [4f40] etha, _nuut, digd_, олам, 
   {{0x7c295d4b,0x6d455d4c,0x44295d4d,0x6ee900ca}},	//   _ader, ftha, _zda_, _ožbu, 
   {{0x7f445d4e,0x91e65d4f,0x22580b1f,0xed5a5d50}},	//   stiq, _фоне, merk_, рое_, 
   {{0x32df009e,0x82360019,0x7f445d51,0x0b8a5d52}},	//   rîye_, _ارکا, ptiq, исли_, 
   {{0x6d450094,0xdee60141,0x7c290156,0x7ae100a1}},	//   atha, _моми, _dder, _bhlt, 
   {{0x6da60a43,0x7c295d53,0x6d455d54,0x752f00ab}},	//   _дига, _eder, btha, ńczy, 
   {{0xb05b0a52,0xdd920019,0x6d455d55,0xdddc5d56}},	//   _fjäd, _غور_, ctha, _forš, 
   {{0xf8ba00cc,0xdddc2176,0xd90d009c,0x7afb052b}},	//   ুষ্ঠ, _gorš, این_, _fuut, 
   {{0xa3aa0077,0xda0b00a2,0x44295d57,0x22580b1f}},	//   _गेल_, _स्वत_, _rda_, kerk_, 
   {{0x44295d58,0x09e61329,0x368a5750,0x68fa4a25}},	//   _sda_, _дозн, рсин_, _tutd, 
   {{0x7c2901cc,0xc3220033,0xa806012d,0xf42303a1}},	//   _yder, ভূমি_, _дзел, үзүү, 
   {{0x6f0d5d59,0xe4a7004f,0xbfa30108,0xaaa60083}},	//   ypac, ірно, _biể, कोरक, 
   {{0x443f00e0,0x68e20379,0xa01b03c6,0x00000000}},	//   ļu_, _ihod, _glöy, --, 
   {{0x443f5d5a,0x6d455d5b,0x96a6009a,0x44290090}},	//   żu_, ytha, टोशॉ, _wda_, 
   {{0x68e25d5c,0x349529e7,0x60d600f8,0x7ea05aa8}},	//   _khod, _накр, flym, _köpf, 
   {{0x44295d5d,0xd5b900dd,0x26cc079c,0x6d450201}},	//   _uda_, _усі_, lodo_, vtha, 
   {{0x68e200a0,0x228700d3,0x4aca3b3e,0xf0050176}},	// [4f50] _mhod, _дунг, ाकाव, жӯҳи, 
   {{0x6f0d5d5e,0xa2b40088,0x7afb06a6,0x6d455d5f}},	//   rpac, _обыч, _ruut, ttha, 
   {{0x68e2026e,0x7afb03f0,0x6d455d60,0xdddc0097}},	//   _ohod, _suut, utha, _porš, 
   {{0x6d455d61,0x7afb1066,0x660d02fe,0xaefb01fd}},	//   rtha, _puut, _đakm, _brùt, 
   {{0x0f7907f5,0x26cc02a5,0xbd050175,0xcb695d62}},	//   _האָב, kodo_, _baéé, сале_, 
   {{0x24893dfc,0x68e2023a,0x4efa00d1,0x60cd5d63}},	//   _loam_, _ahod, _להשו, loam, 
   {{0x4a73004e,0x68e21bf0,0x7d2400d9,0x752f0083}},	//   зықт, _bhod, _офте, ączk, 
   {{0x60cd2016,0x31bc027a,0x7c290035,0x66dd009c}},	//   noam, יזונ, _uder, dèka, 
   {{0x68e2023e,0x64ab02d9,0xe7310038,0xa96701ff}},	//   _dhod, přij, رصة_, сиқа_, 
   {{0x776903da,0x26cc5d64,0x60cd26ad,0x00000000}},	//   rvex, godo_, hoam, --, 
   {{0x22585d65,0xd46a5d66,0x68e20387,0x66dd023e}},	//   verk_, бине_, _fhod, gèka, 
   {{0x225838a2,0x2a65349e,0x68e201f2,0x60cd1279}},	//   werk_, _halb_, _ghod, joam, 
   {{0x26cc5d67,0x68e95d68,0x22585d69,0x28b001a4}},	//   bodo_, mmed, terk_, _जगति, 
   {{0x68e95d6a,0x2cbf014e,0x68e20254,0x2a6502f1}},	//   lmed, _ljud_, _zhod, _jalb_, 
   {{0x409616e1,0x5bb8248b,0x66cf004f,0x66dd023e}},	//   прат, _अश्व, søks, cèka, 
   {{0x0326148b,0xb05b022b,0x68e95d6b,0x2360023b}},	//   _един, _skär, nmed, _tsij_, 
   {{0x44225d6c,0x225815e9,0x28cc0e49,0x2d875d6d}},	// [4f60] mak_, perk_, ावति, änen_, 
   {{0x44225d6e,0x68e90bfc,0x24890054,0x22165d6f}},	//   lak_, hmed, _zoam_, _эфир, 
   {{0x44220a9f,0x60cd5d70,0x60d6012b,0x4d4a00f0}},	//   oak_, boam, plym, спен_, 
   {{0x44225d71,0x60cd019c,0x68e95d72,0x00000000}},	//   nak_, coam, jmed, --, 
   {{0x68e25d73,0x44220a9f,0x00000000,0x00000000}},	//   _rhod, iak_, --, --, 
   {{0x4422134c,0x68e25d74,0x68e95d75,0x2a6500b9}},	//   hak_, _shod, emed, _calb_, 
   {{0x2007006a,0xda6500eb,0x68e25d76,0xceb300c7}},	//   śnie_, باني, _phod, _טיש_, 
   {{0x68e95d77,0x6da601a2,0x78bb0372,0x7ce300b0}},	//   gmed, _диҳа, gnuv, võrg, 
   {{0x44221237,0x68e20076,0x3f800183,0x7c2200fb}},	//   dak_, _vhod, nxiu_, maor, 
   {{0x7bcd01dd,0x59a7007e,0x24570023,0x44225d78}},	//   ļaut, _केकर, _ầm_, eak_, 
   {{0x26cc012d,0x1dbe29b0,0x68e90228,0xd82f123f}},	//   rodo_, ्थित, bmed, _пэ_, 
   {{0x44225d79,0x7c225d7a,0x938b02f1,0x26cc5d7b}},	//   gak_, naor, бсга_, sodo_, 
   {{0x24895d7c,0xb4bd319b,0x66dd00d7,0x00000000}},	//   _voam_, _आदी_, sèka, --, 
   {{0x1dbe0e0d,0x66dd009c,0x1adc07d5,0x44220537}},	//   ्थात, pèka, यतिथ, aak_, 
   {{0x44225d7d,0x31c454ad,0x7c225d7e,0x765a5d7f}},	//   bak_, еств, kaor, mety, 
   {{0x44225d80,0x765a18aa,0x753a5d81,0x66dd011c}},	//   cak_, lety, mutz, nèkn, 
   {{0x60cd033c,0x290c0b01,0x7c225d82,0xe3bf0126}},	// [4f70] roam, _ltda_, daor, fañe_, 
   {{0x60cd01a7,0xaefb01f5,0x2cad14a9,0x765a5d83}},	//   soam, _brùr, _smed_, nety, 
   {{0x753a02ec,0x68e95d84,0xf3ff02aa,0x60cd5d85}},	//   nutz, ymed, ndão_, poam, 
   {{0x765a00c8,0x00000000,0x00000000,0x00000000}},	//   hety, --, --, --, 
   {{0x753a5d86,0x68e95d87,0x290c0508,0x66dd011c}},	//   hutz, vmed, _atda_, dèkn, 
   {{0x44225d88,0x9f9600a7,0x2a655d89,0x88bc00bc}},	//   zak_, _חדשה_, _qalb_, _dvěm, 
   {{0x44225d8a,0x68e95d8b,0xbd450038,0xdca700b3}},	//   yak_, tmed, _تنزي, _ешап, 
   {{0x2cbf5d8c,0xd7095d35,0x05d000b0,0x442201f1}},	//   _ujud_, оние_, _हड़ब, xak_, 
   {{0xcb340141,0x765a023a,0x7e670f4c,0xa6e5040c}},	//   _петъ, fety, _kajp, мжил, 
   {{0x44225d8d,0x00000000,0x00000000,0x00000000}},	//   wak_, --, --, --, 
   {{0x44225d8e,0x753a0a9f,0xe5a55232,0x68e95d8f}},	//   tak_, gutz, фини, pmed, 
   {{0x7e675d90,0x442201f1,0x66dd011c,0x68360213}},	//   _lajp, uak_, cèkn, rüdü, 
   {{0x44225d91,0x765a11c0,0xd62914b7,0xb3830cb4}},	//   rak_, bety, _доле_, влял, 
   {{0x7e675d92,0x7ea05d93,0x59e102e6,0x7c22023a}},	//   _najp, _köpe, _फरार, zaor, 
   {{0x6143177d,0xaca300e7,0x2d4700c2,0x753a020f}},	//   кера, _chừn, jõe_, cutz, 
   {{0x98a01462,0x25d600c7,0xe0da02c8,0x00000000}},	//   čić_, _קוקן_, іва_, --, 
   {{0x7e670ab4,0x442000d9,0x7ea00219,0x044300d9}},	// [4f80] _bajp, _iei_, _löpe, _реын, 
   {{0xf7675d94,0x44205d95,0x3f800183,0x00000000}},	//   _یا_, _hei_, rxiu_, --, 
   {{0xa0a65d96,0x7c2200e2,0x629e02a3,0x1c460f81}},	//   _жанд, taor, _ilpo, днем, 
   {{0x442000e4,0xa3d20662,0x290c0027,0x765a023a}},	//   _jei_, _वडा_, _rtda_, zety, 
   {{0x7c2219d5,0x629e0065,0x26c31c2b,0xfaa601a2}},	//   raor, _klpo, čjoj_, мадо, 
   {{0x44205d97,0x3866006e,0x7c225d98,0x7125009c}},	//   _lei_, _saor_, saor, _تریل, 
   {{0xd90d040f,0x2f04022b,0x7c22023a,0x442001d2}},	//   میل_, _hög_, paor, _oei_, 
   {{0x44201b8e,0x00000000,0x00000000,0x00000000}},	//   _nei_, --, --, --, 
   {{0x6f0217c1,0x765a5d99,0xb6f4021c,0x629e0054}},	//   íoch, tety, нзиј, _olpo, 
   {{0x69960386,0x7c200844,0x753a5d9a,0x66dd011c}},	//   _орех, _hemr, tutz, sèkn, 
   {{0x44205d9b,0xf76f09e8,0x2f04008c,0x7c205d9c}},	//   _bei_, های_, _lög_, _kemr, 
   {{0x44200012,0x765a5d9d,0x629e59e5,0xf3ff0165}},	//   _cei_, sety, _alpo, rdão_, 
   {{0x44201caf,0xd7e22290,0xe7e2176c,0x7d09034c}},	//   _dei_, _परिच, _परिप, _česm, 
   {{0x44200183,0x7d035d9e,0x80dc0086,0xddd500da}},	//   _eei_, ínsk, _মূল্, _rozž, 
   {{0x44205d9f,0xd5af5da0,0xd4c711f8,0xe63b00d1}},	//   _fei_, _рс_, _осип, _ותוכ, 
   {{0x44205da1,0x660d0242,0x7c200a62,0x629e5da2}},	//   _gei_, _đaki, _nemr, _elpo, 
   {{0x645d5da3,0x7e675da4,0x00000000,0x00000000}},	// [4f90] mesi, _pajp, --, --, 
   {{0x44200b32,0x2bd200aa,0x7d1c00f3,0xaca30108}},	//   _zei_, _तड़ा, _bwrs, _thừn, 
   {{0x7e67006d,0x752801dd,0x7d1c03c6,0x21270210}},	//   _vajp, nsdz, _cwrs, _ình_, 
   {{0x645d053f,0x8b6b00e0,0x442008b2,0x2d81021e}},	//   nesi, ņēmē, _xei_, rxhe_, 
   {{0x511f007e,0x628e00d2,0x7e6701f2,0xaefb01be}},	//   _बबुआ_, žnoš, _tajp, _grùp, 
   {{0x645d5da5,0xa9690593,0x2d470165,0x7d1c0090}},	//   hesi, зика_, põe_, _fwrs, 
   {{0x7c2000e5,0x645d5da6,0xac190bf2,0x6e25002c}},	//   _femr, kesi, _нову_, mahb, 
   {{0x645d5da7,0xe3b8008f,0xa7652c0b,0x7c20023e}},	//   jesi, ğız_, екид, _gemr, 
   {{0x44205da8,0x59e10d53,0xbb190038,0x644400a1}},	//   _rei_, _फरवर, _رياض_, _rcii, 
   {{0x44205da9,0x3964030f,0x7c2000e5,0x4585386d}},	//   _sei_, ässä_, _zemr, егов, 
   {{0x04464864,0x55c300f0,0xd46a5daa,0x00000000}},	//   ненн, танғ, пине_, --, 
   {{0x645d5dab,0x64ca29b0,0xd46a0fb9,0x7ea002ae}},	//   gesi, रवेश, чиме_, _köpc, 
   {{0xe72e5dac,0xe56e4985,0x44205dad,0xaca30029}},	//   _ще_, _өз_, _vei_, _chứn, 
   {{0x44205dae,0xa764004f,0xf74200fd,0x6e250175}},	//   _wei_, _шкід, _сешо, jahb, 
   {{0xf09f00a1,0x44205daf,0x2bdc0ee0,0x6e25011c}},	//   _blà_, _tei_, _बर्थ, dahb, 
   {{0x645d5db0,0xf41f0080,0x20e80502,0x00000000}},	//   cesi, ljän_, ißig_, --, 
   {{0x672915c4,0x8fa31c8e,0x6f1d03c6,0x00000000}},	// [4fa0] nsej, гате, _cwsc, --, 
   {{0x6da6528c,0x76412245,0xf09f023a,0x200b00b9}},	//   низа, ngly, _elà_, _efci_, 
   {{0xe3bf0496,0x7c20580d,0x200603da,0x32180640}},	//   maña_, _pemr, ñois_, mbry_, 
   {{0xac075d27,0x0ca900eb,0x61e10f7f,0x67295db1}},	//   енца_, وطني_, ülle, ksej, 
   {{0xc5f8002a,0xeb9700c8,0x1dd000c2,0x7cfa02d9}},	//   ldēt_, ниц_, _तुरत, _důra, 
   {{0x6e2503bc,0x645d5db2,0x99661219,0xef110070}},	//   cahb, zesi, етил, _כּל_, 
   {{0x645d5db3,0x672b00dd,0xed5700c8,0xdc34020b}},	//   yesi, _avgj, _пор_, lúči, 
   {{0x17540176,0xd90d009c,0x00000000,0x00000000}},	//   ввия, زیه_, --, --, 
   {{0xb907047b,0xb8e80a20,0x6d5000ca,0x67295db4}},	//   _मी_, _ईद_, ždač, gsej, 
   {{0x645d5db5,0x95ca11f0,0xa96a1ed7,0x67530038}},	//   wesi, зума_, _низа_, اخير, 
   {{0x7d095db6,0x645d5db7,0xd5ba5db8,0xe3bf001d}},	//   _česk, tesi, яси_, daña_, 
   {{0x7afa2104,0x779200d4,0xddc700e0,0x00000000}},	//   _hitt, _میبا, _sajū, --, 
   {{0x087700c7,0x6e2500e2,0x20090201,0xddc736d7}},	//   _רעדט_, yahb, vcai_, _pajū, 
   {{0x7afa003d,0x877b00c7,0xe3bf00e9,0x3ce70790}},	//   _jitt, _מאדי, gaña_, _छीने_, 
   {{0x7afa5db9,0xf09f00f6,0x00000000,0x00000000}},	//   _mitt, _plà_, --, --, 
   {{0x7afa5dba,0x7bde00ab,0x645d024a,0x69da0f2d}},	//   _litt, ępuj, qesi, _myte, 
   {{0x9f34005e,0xe3bf04b3,0x6e25023e,0x00000000}},	// [4fb0] леті, baña_, tahb, --, 
   {{0x7afa01f2,0xa3aa1615,0x3f8701b4,0x6eba0c14}},	//   _nitt, _गेट_, ćnu_, ्वगु, 
   {{0xeab11fdb,0x200900e2,0x81d80033,0x69da076d}},	//   یعت_, pcai_, ়েব_, _nyte, 
   {{0x2bdc0081,0x7c845dbb,0x7afa01f0,0xa3e800b0}},	//   _बरखा, луче, _aitt, _भरम_, 
   {{0x7afa5dbc,0x69da5dbd,0x5fe45dbe,0xf41f0080}},	//   _bitt, _ayte, _бірж, yjän_, 
   {{0x7afa048a,0x69da5dbf,0x1ee724a1,0xfaa700b3}},	//   _citt, _byte, _سوزی_, эшен, 
   {{0x7afa4514,0x7f4d3e95,0xa9662625,0x291e0090}},	//   _ditt, ltaq, вища_, _cwta_, 
   {{0x7afa010d,0xa3c30659,0x67295dc0,0xb17c035c}},	//   _eitt, ्था_, tsej, לטור, 
   {{0x7f4d132c,0x81d70086,0x46e900d3,0x7afa5dc1}},	//   ntaq, িধি_, мдин_, _fitt, 
   {{0x7afa0c05,0x79a75dc2,0x7ea00219,0x7c2d003e}},	//   _gitt, _прее, _köpa, ðarf, 
   {{0x67295dc3,0x64a65dc4,0x7bdb016a,0x89340629}},	//   ssej, вана, _hyuu, _معنا, 
   {{0x7afa5dc5,0x232a03dc,0x7bdb5dc6,0x660d0097}},	//   _zitt, моми_, _kyuu, _đaku, 
   {{0xccf200c7,0xe3bf0634,0x7ea00219,0x386d5dc7}},	//   יכט_, taña_, _löpa, mder_, 
   {{0x386d0075,0x64410009,0x9f4c002c,0x7afd002c}},	//   lder_, ėlia, _éléh_, _éstu, 
   {{0xaca30124,0xe3bf5dc8,0xa01b014e,0xe5a2004f}},	//   _nhữn, raña_, _onöd, _вищи, 
   {{0x3a270102,0xe3bf033c,0xafe600a3,0xc5f80243}},	//   hanp_, saña_, вобл, rdēt_, 
   {{0xe3bf127e,0xb05b0750,0x386d55f1,0x6456024d}},	// [4fc0] paña_, _tjän, ider_, _ibyi, 
   {{0xb05b0750,0x386d00f8,0x2d965dc9,0xee3714b4}},	//   _hjäl, hder_, крес, кну_, 
   {{0x4432031e,0x2d9c0187,0x386d00e2,0xaca30108}},	//   _kdy_, áve_, kder_, _chữn, 
   {{0x7afa5dca,0x386d5dcb,0x6aa1547c,0x2ca00038}},	//   _sitt, jder_, _allf, óid_, 
   {{0x8c435dcc,0xef170088,0x69da5dcd,0xb05b0219}},	//   рече, _имя_, _syte, _mjäl, 
   {{0x386d4d95,0x63890034,0x61e902d9,0xdb11010e}},	//   eder_, _hënë, řele, ágáb, 
   {{0x69da01ee,0x7afa5dce,0x44320180,0x98c64a1b}},	//   _qyte, _vitt, _ody_, ксил, 
   {{0xfce60b0c,0x7afa4d95,0x44320096,0x69da4201}},	//   _робо, _witt, _ndy_, _vyte, 
   {{0x7afa5dcf,0xc6f809a6,0x473402a6,0x660d0241}},	//   _titt, нних_, ћнос, _şaka, 
   {{0x443205f0,0x7afa5dd0,0x64560610,0x4de60083}},	//   _ady_, _uitt, _abyi, _कराई_, 
   {{0xceb30056,0x2294007e,0x629c11bc,0xe5b40cfe}},	//   שית_, _läks_, dkro, уйны, 
   {{0x79b70056,0x35b32f80,0x6389024a,0x629c040b}},	//   _בלבד_, рбюр, _nënë, ekro, 
   {{0x78a25dd1,0xa3e8258c,0xf743017b,0x44320090}},	//   _ilov, _भरण_, _вечо, _ddy_, 
   {{0x28ae007e,0xf2c45dd2,0x78a20242,0x645602b8}},	//   जोरि, ассн, _hlov, _ebyi, 
   {{0xe2f83674,0xb05b0219,0x40355dd3,0xd9f40598}},	//   тері_, _fjäl, левс, ेखित_, 
   {{0xc10303dd,0x44325dd4,0x30a45dd5,0x61e5031e}},	//   лүүл, _gdy_, арув, _vzhl, 
   {{0xe3bf128a,0x6ab82379,0x0fe303a1,0x26de1504}},	// [4fd0] maño_, kivf, рөнү, olto_, 
   {{0xa3e804d7,0x7f4d2622,0xe3bf03da,0x78a25dd6}},	//   _भरत_, rtaq, laño_, _llov, 
   {{0x7f4d5dd7,0x386d5dd8,0x44320156,0xa1955dd9}},	//   staq, yder_, _ydy_, _санч, 
   {{0xe7e22a48,0x603e020f,0x2369021e,0x00000000}},	//   _परंप, rămâ, _ksaj_, --, 
   {{0x386d004f,0x6f02007a,0x00000000,0x00000000}},	//   vder_, íoct, --, --, 
   {{0x539c027a,0x78a20c45,0x386d00df,0x38ba0243}},	//   וידו, _alov, wder_, kīrs_, 
   {{0x27e65dda,0x79a70093,0x00000000,0x00000000}},	//   _azon_, ърде, --, --, 
   {{0x2ca65ddb,0xe616004e,0x386d012e,0x78a25ddc}},	//   chod_, ңды_, uder_, _clov, 
   {{0x386d5ddd,0xe3bf0183,0x629c5dde,0x00000000}},	//   rder_, daño_, ykro, --, 
   {{0xb05b0750,0x27e60082,0x7ea00219,0x386d11a9}},	//   _själ, _dzon_, _löpn, sder_, 
   {{0x39153b35,0x236900e5,0x69c400b3,0x78a25ddf}},	//   _смер, _asaj_, şier, _flov, 
   {{0x3a255de0,0xe3bf04b3,0xe80d252e,0x79b60486}},	//   _help_, gaño_, _सभटा_, _גלעד_, 
   {{0x29055de1,0x629c0704,0x2369010e,0x753a537b}},	//   _hula_, tkro, _csaj_, artz, 
   {{0x29055de2,0x2d731a35,0x2ebf0367,0xe762010c}},	//   _kula_, _oće_, ्वोत, _hêşî, 
   {{0x29055de3,0x629c0f96,0xe3bf033c,0x42e701a2}},	//   _jula_, rkro, baño_, умро_, 
   {{0x29055de4,0x629c3cb8,0xa0675de5,0xe3bf001d}},	//   _mula_, skro, ласа_, caño_, 
   {{0x29055de6,0xc0e314d3,0xbd8a009c,0x3fe615d6}},	// [4fe0] _lula_, сотк, کنان_, ужав, 
   {{0x3a25016a,0x673b0065,0xa3c326f2,0x11d60038}},	//   _nelp_, iruj, ्थर_, _متجد, 
   {{0x21765de7,0x88bc031e,0x2ca65de8,0x3d2b009c}},	//   _супр, _květ, thod_, فتنی_, 
   {{0x644603f6,0xa3e81011,0x6adc4f69,0x673b5de9}},	//   ngki, _भरा_, यत्र, kruj, 
   {{0x29054bb8,0x60c41dee,0x6d411e9f,0xc2c90296}},	//   _aula_, mnim, _ålan, _سبیل_, 
   {{0x78a25dea,0x29055deb,0xaa58078f,0xf96a01d7}},	//   _slov, _bula_, тику_, ерий_, 
   {{0x24800519,0xada65dec,0x1fbf0033,0x6da65ded}},	//   _onim_, _савл, _আরএস, _сива, 
   {{0x60c45dee,0x47345def,0x6d4e5df0,0x29055df1}},	//   nnim, анис, _iqba, _dula_, 
   {{0x7c930084,0x29050ae3,0x60c40dd7,0x86265df2}},	//   _القص, _eula_, inim, льне, 
   {{0x24800c3d,0x29055df3,0x6446039b,0x45d41137}},	//   _anim_, _fula_, egki, иопс, 
   {{0x24191c0f,0x7afd0093,0xe3bf0634,0x7e6e0226}},	//   коны_, _èsta, taño_, _mabp, 
   {{0x78a25df4,0x23690082,0xa3c300c6,0x60c45df5}},	//   _ulov, _psaj_, ्थल_, jnim, 
   {{0x60c43d1d,0x3a250656,0x6eeb5df6,0x2f0d020b}},	//   dnim, _yelp_, lübe, _oľga_, 
   {{0x6d5c1a17,0x24805df7,0x236902ee,0x3eba024a}},	//   _opra, _enim_, _vsaj_, jipt_, 
   {{0x6f065df8,0x6eeb5df9,0x290500f6,0x81dd0086}},	//   _aukc, nübe, _xula_, তেন_, 
   {{0x2369023b,0x60c45dfa,0x30155dfb,0x6f060104}},	//   _tsaj_, gnim, рдар, _bukc, 
   {{0x442b02f5,0x6d5c5dfc,0x6d4e00c3,0x73c2004e}},	// [4ff0] mac_, _apra, _aqba, _дәре, 
   {{0x32552f48,0x88bc00bc,0x64480009,0x60c400bd}},	//   _твор, _zvět, ėdie, anim, 
   {{0x60c4008b,0x6722052b,0x00000000,0x00000000}},	//   bnim, _lwoj, --, --, 
   {{0x442b00f1,0x60c40604,0x29055dfd,0xb19a00d1}},	//   nac_, cnim, _rula_, _ייתכ, 
   {{0xcb69485b,0x29055dfe,0x76580356,0x7ea01bc7}},	//   тале_, _sula_, _obvy, _köpl, 
   {{0xeb965dff,0x29055e00,0x442b5e01,0x7c2d01d5}},	//   риш_, _pula_, hac_, ðarb, 
   {{0x0dc802fb,0xe5090029,0x442b5e02,0xe762078a}},	//   _бути_, _mặc_, kac_, _pêşî, 
   {{0x38ba5e03,0x673b5e04,0x6e350372,0x05cf034d}},	//   tūra_, truj, _hdzb, _सुगब, 
   {{0x8b5809ed,0x3a25009a,0x6d5c031e,0x7d070144}},	//   _مجلس_, _telp_, _zpra, _hujs, 
   {{0x88bc000d,0x29050c3d,0x60c40352,0xe5090108}},	//   _svět, _tula_, znim, _nặc_, 
   {{0x3ced006d,0x60c45e05,0x05cf0035,0x00000000}},	//   _khev_, ynim, _सुखब, --, 
   {{0x3ced0065,0xa3c3016a,0x6e27008a,0x442b5e06}},	//   _jhev_, ्थं_, _lejb, gac_, 
   {{0x60c4008b,0x87e75e07,0x78a9017b,0x6e3500de}},	//   vnim, _сюже, mhev, _odzb, 
   {{0x6e2700bc,0xe5090023,0x7ea0027e,0x386f5664}},	//   _nejb, _cặc_, _röpo, _hagr_, 
   {{0x60c4052a,0x6f060035,0x00e4009c,0x7c2b5e08}},	//   tnim, _sukc, متری, kagr, 
   {{0xa3b13d07,0x661c027e,0x806608bd,0x00000000}},	//   _टेक_, ırke, јваж, --, 
  
   {{0xa0673065,0x6d5c5e09,0xb4c40a0e,0x60c45e0a}},	// [5000] шата_, _spra, ्वी_, rnim, 
   {{0x6f0600ef,0x60c45e0b,0x7d07021e,0x6d5c01f2}},	//   _vukc, snim, _bujs, _ppra, 
   {{0x69da00a2,0x78a9009e,0x4d4a00f0,0xc0e6012d}},	//   _पुढी, khev, тпен_, _вонк, 
   {{0x7d0902f5,0xeb9a0df8,0x6d5c11c8,0x3ced5e0c}},	//   _čest, кие_, _vpra, _chev_, 
   {{0x3ced006d,0x78bb02a3,0xfcaa0535,0x6205039f}},	//   _dhev_, diuv, _یارو_, _átlá, 
   {{0x442b090e,0x3d28009c,0x7ea002ae,0x00000000}},	//   zac_, _متری_, _köpm, --, 
   {{0x6722006a,0x81d80086,0x6d4e0640,0x28a602f1}},	//   _swoj, ়ের_, _uqba, ишиг, 
   {{0x8c430925,0x6eeb02f2,0x672206df,0x78a901d8}},	//   _месе, rübe, _pwoj, ghev, 
   {{0x442b00f1,0x6eeb0380,0xf7080210,0x00000000}},	//   vac_, sübe, _bủa_, --, 
   {{0xf7085b61,0x7d005e0d,0x442b0035,0x0f5700d1}},	//   _của_, _hims, wac_, סיים_, 
   {{0x442b5e0e,0x7d003520,0x588613f2,0x75d40038}},	//   tac_, _kims, _выла, إيجا, 
   {{0xd49b5e0f,0x6722006a,0x395e0640,0x08fa195e}},	//   тро_, _twoj, _ipts_, _شراب_, 
   {{0xbf9b02a0,0x34950148,0x20070083,0x00000000}},	//   _agên, _ҳайр, śnik_, --, 
   {{0x7c2b5e10,0xdddc00a4,0x1b030033,0x1de600b0}},	//   zagr, _borż, রীকে_, _करूष_, 
   {{0x64400634,0x4544010e,0xddce01dd,0x34950176}},	//   ómic, _انعق, _dabū, _гайр, 
   {{0xd25100c5,0xd5fb0056,0x7d005e11,0x8d87010e}},	//   _کند_, _בפור, _nims, یشان, 
   {{0x44290226,0xe5090023,0x644d0027,0x9e071221}},	// [5010] _iea_, _tặc_, _icai, ачел, 
   {{0x7d000adb,0x44290077,0x4fc45e12,0xdd9b1ffc}},	//   _aims, _hea_, іста, кше_, 
   {{0x442907d7,0xdef85e13,0x3ced006d,0x6915008a}},	//   _kea_, рыт_, _phev_, _iġeg, 
   {{0x3ced023b,0x7d000082,0x32110083,0x00000000}},	//   _qhev_, _cims, lczy_, --, 
   {{0x7c2b5e14,0x4429002e,0xa3dd00ab,0x3c0f031e}},	//   ragr, _mea_, _तुम_, ाडौँ_, 
   {{0x3e57031e,0x6e35090e,0xaa490841,0x691501f2}},	//   _dětí_, _udzb, упка_, _jġeg, 
   {{0x44290300,0x3ced023b,0x69da07d5,0x78a90034}},	//   _oea_, _thev_, _पुदी, thev, 
   {{0xc31d00cc,0x6d453f4e,0x44295e15,0xb7bd002e}},	//   _তিনি_, muha, _nea_, laţi, 
   {{0x6d45209a,0x78a90218,0x00000000,0x00000000}},	//   luha, rhev, --, --, 
   {{0x7c29051e,0x644d5e16,0x78a95e17,0x9a8402c0}},	//   _heer, _acai, shev, _мухл, 
   {{0x44295e18,0x7c293f20,0x78a9017b,0x00000000}},	//   _bea_, _keer, phev, --, 
   {{0x44290012,0xb4c42956,0x443e02f2,0x7c290237}},	//   _cea_, ्वे_, ßt_, _jeer, 
   {{0x44295e19,0x7c293ed4,0x6d455e1a,0xe7395e1b}},	//   _dea_, _meer, huha, _сел_, 
   {{0x7c295e1c,0x6d455e1d,0x442900a4,0x7e65016a}},	//   _leer, kuha, _eea_, jehp, 
   {{0x91e63b9d,0x44290369,0x6d455e1e,0xb7bd00b3}},	//   сове, _fea_, juha, daţi, 
   {{0x6d455e1f,0x7c295e20,0x3eb80e39,0x644d00eb}},	//   duha, _neer, _smrt_, _gcai, 
   {{0x4fea5e21,0x7f4a0038,0xe29a00f0,0x6d450d8e}},	// [5020] уман_, طلاق_, _бап_, euha, 
   {{0xb7bd00d9,0x44294480,0x6d455e22,0xe45f0080}},	//   gaţi, _zea_, fuha, nnön_, 
   {{0x7c295e23,0x2b5f020f,0x691501f2,0x66dd00d7}},	//   _beer, _apuc_, _jġed, lèks, 
   {{0x395e0183,0x30860038,0x7ea041da,0x3b86013e}},	//   _rpts_, _الحف, _köpk, йлег, 
   {{0x7c295e24,0x7c2d01d5,0x7f440660,0x395e00e2}},	//   _deer, ðara, quiq, _spts_, 
   {{0x6d455e25,0xb7bd002e,0x427a0070,0xdce80213}},	//   buha, caţi, ראַג, ılır, 
   {{0xfce65e26,0x6d451f87,0x7c29107c,0xd90d0296}},	//   _гово, cuha, _feer, نیل_, 
   {{0x7c295e27,0xb4c40249,0x3ae90038,0xc8664df8}},	//   _geer, ्वो_, rúpa_, стки, 
   {{0x44295e28,0x644d5e29,0x4fbb0070,0x66dd023e}},	//   _rea_, _rcai, ָציא, jèks, 
   {{0xed4f0105,0x644d00eb,0x7ae3012b,0x7c295e2a}},	//   _تھے_, _scai, clnt, _zeer, 
   {{0x4429007e,0xe73712e1,0x7c2901a3,0x2fc700e7}},	//   _pea_, _ҳеч_, _yeer, ̃ng_, 
   {{0xb7bd00d9,0xf1c000e7,0x44290415,0x32110083}},	//   zaţi, _ương_, _qea_, wczy_, 
   {{0x44295e2b,0xc6270033,0x16340995,0x6d455e2c}},	//   _vea_, _মারা_, _деля, zuha, 
   {{0x6d455e2d,0x44295e2e,0x46f600c8,0xddc70352}},	//   yuha, _wea_, _учет, _lajš, 
   {{0x30a75e2f,0x321100ab,0xff5f010c,0xd65700d1}},	//   брав, rczy_, _spî_, _ליגת_, 
   {{0xfd4d0029,0xd3a70a10,0xddc75e30,0x00000000}},	//   _thoạ, _гроп, _najš, --, 
   {{0x59df5e31,0x7c29052b,0xb7bd00d9,0x6d4513b6}},	// [5030] _पुनर, _reer, taţi, wuha, 
   {{0xdef811c5,0x6d455e32,0x7c295e33,0x2aab01cc}},	//   бых_, tuha, _seer, _købe_, 
   {{0x62855e34,0xb7bd002e,0xe5090023,0x6f0d01ff}},	//   _inho, raţi, _lặn_, sqac, 
   {{0xa3bd0a09,0x6aa8039b,0xb7bd0474,0x00000000}},	//   _आधा_, _aldf, saţi, --, 
   {{0x7c295e35,0x2aab055f,0x46c804cc,0xb7bd020f}},	//   _veer, _løbe_, िचाह, paţi, 
   {{0x7c291f3a,0xbdfb0019,0xfbd001c9,0x00000000}},	//   _weer, _مرزا_, رتن_, --, 
   {{0x9d185e36,0x7c295e37,0x59a40035,0xb05b02ae}},	//   _гост_, _teer, गैलर, _djäv, 
   {{0xddc70604,0x98bc0243,0x6aa85e38,0x00000000}},	//   _gajš, tuvā_, _eldf, --, 
   {{0xdddc0c05,0x7a34010e,0xe5090108,0x62851a77}},	//   _karş, _sütő, _cặn_, _onho, 
   {{0x8699123f,0xe5090023,0x77690216,0x62970104}},	//   ртит_, _dặn_, rwex, _noxo, 
   {{0xaca300e7,0xdddc06a2,0x478b0259,0x00000000}},	//   _chủn, _marş, _әсем_, --, 
   {{0x2b404306,0x394748ec,0x62855e39,0x00000000}},	//   šice_, muns_, _anho, --, 
   {{0x629700da,0x00000000,0x00000000,0x00000000}},	//   _boxo, --, --, --, 
   {{0xe0df0300,0x35a52163,0x2bc00299,0x00000000}},	//   _akò_, _малг, _शेफा, --, 
   {{0xc61600d1,0x629723bd,0x00000000,0x00000000}},	//   _וחצי_, _doxo, --, --, 
   {{0xd0075e3a,0x6ab60239,0x62855e3b,0x00000000}},	//   жете_, _अग्र, _enho, --, 
   {{0x62970183,0xdd0102d9,0xddc70121,0xe0d70bfd}},	// [5040] _foxo, štěs, _rajš, іву_, 
   {{0x7ea00219,0x9b8a009c,0x629701ca,0x7c2d01d5}},	//   _köpi, ینال_, _goxo, ðarn, 
   {{0xa01b0c98,0x3947020f,0x00000000,0x00000000}},	//   _knöl, juns_, --, --, 
   {{0x23771fdb,0x5cc5004e,0xa31e00bc,0x1cba007a}},	//   _امید_, псіз, _बझाङ_, جائب_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x5f275a02,0x62972acd,0xdddc09c7,0x00000000}},	//   _форм_, _xoxo, _garş, --, 
   {{0xa2cd09d3,0x39472766,0xda6500eb,0x48aa5e3c}},	//   _सदस्, guns_, ثاني, итим_, 
   {{0x7cf10c29,0x2902022b,0xbc63112d,0x7d1e0175}},	//   gård, öka_, _овск, mpps, 
   {{0xdb2400d6,0xe6665e3d,0xb866010e,0x3ce65e3e}},	//   _روای, отно, ماکو, mlov_, 
   {{0x7c225e3f,0x39470165,0xb50b55bc,0xe5090023}},	//   lbor, buns_, _संशय_, _vặn_, 
   {{0x39475955,0x291a1102,0x95ca10b7,0x00000000}},	//   cuns_, ípad_, рупа_, --, 
   {{0x7c225e40,0x1b1d0086,0xd7fa5e41,0x3ce600a3}},	//   nbor, _নিতে_, _кул_, nlov_, 
   {{0x290c5e42,0x04b80019,0x7c225e43,0x00000000}},	//   _huda_, تھوں_, ibor, --, 
   {{0x290c170d,0xaabc0586,0xaca30023,0x4abc009a}},	//   _kuda_, ्चिक, _thủn, ्चिव, 
   {{0x290c5e44,0x3ce65e45,0x7c225e46,0x8afd02d9}},	//   _juda_, klov_, kbor, _upře, 
   {{0x261604d7,0x290c5e47,0x3ce6234d,0x213e007a}},	//   पुरी_, _muda_, jlov_, átha_, 
   {{0x9f595e48,0x62970068,0x7c225e49,0x290c090e}},	// [5050] _også_, _toxo, dbor, _luda_, 
   {{0xdddc0264,0x62850183,0x518755c9,0xf3ff02aa}},	//   _qarş, _unho, _дума, leão_, 
   {{0xbc190965,0x80271930,0x290c5e4a,0x7cf15e4b}},	//   білі_, _ورحم, _nuda_, håre, 
   {{0x7cf127fd,0x3ce60604,0x00000000,0x00000000}},	//   kåre, glov_, --, --, 
   {{0x7cf1014e,0x290c5e4c,0x7ce300c2,0xf41f1279}},	//   vård, _auda_, kõrv, ljäs_, 
   {{0x2e480080,0xfbd05a53,0x7cf10b48,0x27190033}},	//   _мясо_, ختم_, dåre, _দিলো_, 
   {{0x81dd00cc,0x77620068,0x3ce65e4d,0xa3ab00aa}},	//   তের_, _apox, blov_, कैत_, 
   {{0x290c0e72,0x39470165,0x6d57006d,0x7e7501cf}},	//   _duda_, runs_, mtxa, _hazp, 
   {{0x7c3b4a8c,0xf3ff02be,0x6d5701d6,0x00000000}},	//   _idur, deão_, ltxa, --, 
   {{0x7e7501d6,0xca740038,0xe80d37ff,0x00000000}},	//   _jazp, _يالغ, _हलवा_, --, 
   {{0x290c01ca,0x6d5701f1,0x442201d6,0x1dbd5475}},	//   _guda_, ntxa, tbk_, ्पित, 
   {{0x895a07e4,0x7c3b00c3,0x7cf10bf7,0x00000000}},	//   _לדעת, _jdur, båre, --, 
   {{0x7c3b00ef,0x43750df3,0x00000000,0x00000000}},	//   _mdur, мурт, --, --, 
   {{0x290c5e4e,0xb77a00d1,0xfe1b0c73,0x7e755e4f}},	//   _yuda_, _לאנש, _प्लस_, _nazp, 
   {{0x64a65e50,0xd1790b0c,0x703a030f,0x3ce602f1}},	//   _нака, ості_, йчас_, ylov_, 
   {{0x7c2d003e,0x7c3b5e51,0x7cea0098,0x7c22040c}},	//   ðarl, _ndur, výro, xbor, 
   {{0xee3a5e52,0x7c225e53,0x7e7500b4,0x9f5800ad}},	// [5060] йна_, vbor, _bazp, _özüm_, 
   {{0x7c3b1e89,0xb05b02ae,0xd37b00d1,0xee3a0bd9}},	//   _adur, _sjät, _פריט, ёне_, 
   {{0x929b0056,0xe29b00a7,0x7c225e54,0x729b00d1}},	//   _היית, _השיר, tbor, _הסיס, 
   {{0x2fcd0242,0xdcb9004f,0x7f560151,0x00000000}},	//   _žege_, ощі_, ptyq, --, 
   {{0x290c044e,0x7c2239f5,0x3ce65e55,0x200700bc}},	//   _suda_, rbor, rlov_, ěnit_, 
   {{0x3ce65e56,0x7e751a65,0x6d57006d,0x7c3b5e57}},	//   slov_, _gazp, btxa, _edur, 
   {{0x3ce6090b,0x58d45e58,0x7c220216,0xe5090108}},	//   plov_, мокт, pbor, _bặm_, 
   {{0x6e2e290d,0xb05b022b,0x7e750a9f,0xaca30023}},	//   _hebb, _hjär, _zazp, _phụn, 
   {{0xd6da048a,0x7f4419e7,0xbb433a2a,0x6e2e5e59}},	//   йто_, nriq, _петк, _kebb, 
   {{0x7cf10c85,0x290c5e5a,0x61150054,0x61070054}},	//   råre, _tuda_, _ląla, _lŕla, 
   {{0x94d50170,0x270400b0,0x7cf127fd,0xaa431d91}},	//   донц, रदौर_, såre, _чехл, 
   {{0xd5b71472,0x443b0369,0x8ec40086,0x7cf102ae}},	//   ясы_, _qdq_, ্তিগ, påre, 
   {{0x7d0e5e5b,0x68e25e5c,0x99870082,0xd7e3004f}},	//   _lubs, _ikod, manš_, _пішо, 
   {{0x27e60268,0x6e2e5e5d,0x7f445e5e,0x29062170}},	//   _iyon_, _nebb, driq, _hioa_, 
   {{0x30a75e5f,0x26de5e60,0x7e7511c8,0x27e60027}},	//   прав, moto_, _razp, _hyon_, 
   {{0x61e50076,0xc7b9010e,0x4de6007e,0x6d57006d}},	//   _vyhl, kből_, _करजई_, vtxa, 
   {{0xb4d90c06,0xc43c00d1,0x6e2e5e61,0x2ca60102}},	// [5070] ़की_, _התחי, _bebb, dkod_, 
   {{0x645d00ef,0x7d0e00ca,0x61e502d9,0xb05b02ae}},	//   lfsi, _bubs, _tyhl, _pjäs, 
   {{0x6e2e5e62,0x27e65e63,0x26cc02a0,0x68e2019b}},	//   _debb, _lyon_, indo_, _okod, 
   {{0x26de5e64,0x7f445e65,0x644f033e,0x6e2e01d6}},	//   hoto_, briq, ngci, _eebb, 
   {{0x26de5e66,0x6e2e0141,0xb05b014e,0x60cd5e67}},	//   koto_, _febb, _fjär, mnam, 
   {{0x60cd5e68,0x68e25e69,0xe9a9009c,0xfe710499}},	//   lnam, _akod, يگان_, _جگر_, 
   {{0xac195e6a,0x27e60268,0x4a73004e,0x7d0e016a}},	//   _мову_, _ayon_, дықт, _gubs, 
   {{0x60cd5e6b,0x26cc5e6c,0xb4ac031e,0x645d02b0}},	//   nnam, endo_, _गते_, jfsi, 
   {{0x26de5e6d,0x60cd5e6e,0xa80600e9,0x7d0e018e}},	//   foto_, inam, _riñó, _zubs, 
   {{0x24895e6f,0x60cd5e70,0x6f0f00fd,0x68e201f2}},	//   _anam_, hnam, _mucc, _ekod, 
   {{0x044620f7,0x6f0f0093,0xa806033c,0x645d5e71}},	//   менн, _lucc, _piñó, ffsi, 
   {{0x60cd5e72,0x6f07006d,0x98bc012d,0x777b02ae}},	//   jnam, _lijc, tuvą_, pvux, 
   {{0x7ea0014e,0x68e9042a,0x26de5e73,0xe72e5e74}},	//   _köpt, mled, boto_, _ше_, 
   {{0x65c55af5,0x68e95e75,0x24895e76,0xda0d072f}},	//   _обла, lled, _enam_, िखित_, 
   {{0x81e600cc,0x91e35e77,0x6e2e007b,0x2cad007e}},	//   বেন_, воре, _rebb, _oled_, 
   {{0x60cd5e78,0x20fa0f8c,0x6f0f5e79,0x6e2e5e7a}},	//   gnam, ्देश_, _bucc, _sebb, 
   {{0x6f0f2fc6,0x63a00219,0x6d4501c4,0x68e95e7b}},	// [5080] _cucc, ämnd, erha, iled, 
   {{0x248902f5,0xee3a49cd,0x68e9000d,0x60cd5e7c}},	//   _znam_, іне_, hled, anam, 
   {{0xed571a79,0xd00a5e7d,0x60265e7e,0x68e95e7f}},	//   дох_, _мене_, _одна, kled, 
   {{0x6e2e5e80,0x68e901cc,0x60cd00eb,0x7fd6004e}},	//   _webb, jled, cnam, _жігі, 
   {{0x68e95e81,0x9987032f,0xb05b183f,0x68fb044e}},	//   dled, vanš_, _tjär, dmud, 
   {{0x2ca65e82,0x6d4300eb,0x60c45e83,0x7d0e5e84}},	//   skod_, ánac, liim, _tubs, 
   {{0xde030593,0x6f0f0093,0x6d4502bf,0xed5700d3}},	//   _апри, _zucc, crha, _оор_, 
   {{0x68e90062,0xa7742595,0x88bc031e,0x3f8201e2}},	//   gled, елич, _hvěz, _krku_, 
   {{0x26de086d,0x645d02f1,0x96460028,0xb8f60299}},	//   toto_, vfsi, мэнд, _सद_, 
   {{0x60cd1425,0x60c45e85,0x26cc5e86,0x24890036}},	//   znam, hiim, undo_, _snam_, 
   {{0x26de5e87,0x68e95e88,0x60c45e89,0x3a3e02be}},	//   roto_, bled, kiim, _idtp_, 
   {{0xb4d9000f,0x26de5e8a,0x7ea00219,0x3f82003e}},	//   ़के_, soto_, _köps, _orku_, 
   {{0x26de5e8b,0x80c12002,0x25080019,0x27e65e8c}},	//   poto_, रोफे, _کرتی_, _uyon_, 
   {{0x45d43e3a,0x60cd2482,0x68e000a3,0x80c1017d}},	//   _полс, wnam, lomd, रोने, 
   {{0x31c45e8d,0x6f0f2c07,0x60cd5e8e,0xf09f0054}},	//   вств, _succ, tnam, _diàn_, 
   {{0x24895e8f,0x60cd5e90,0x60c45e91,0x00000000}},	//   _unam_, unam, giim, --, 
   {{0x60cd5e92,0xa3c205f6,0x2bde18df,0xfbde5e93}},	// [5090] rnam, ्पण_, _फुला, _फुलम, 
   {{0x60cd5e94,0x291e2460,0x3d1700a4,0x63a002ae}},	//   snam, _otta_, _aħwa_, ämne, 
   {{0x68e95e95,0x60cd5e96,0x6915003d,0x201e00d9}},	//   yled, pnam, _aġen, _ştie_, 
   {{0x3f8205ae,0xb4bd119b,0x6f0f0036,0x20c501dd}},	//   _frku_, _इगो_, _tucc, rķis_, 
   {{0x291e01a3,0x68e95e97,0x00000000,0x00000000}},	//   _atta_, vled, --, --, 
   {{0xef1f027e,0xfaa700af,0xa3c20a34,0x68e95e98}},	//   _itü_, ьшен, ्पत_, wled, 
   {{0x68e95e99,0x09e21279,0x00000000,0x00000000}},	//   tled, лошн, --, --, 
   {{0xd7ca0035,0x7aea08b0,0x2b4601be,0x00000000}},	//   ापंच, alft, broc_, --, 
   {{0x68e9000b,0x68fb5e9a,0x291e5e9b,0x2b464c8c}},	//   rled, rmud, _etta_, croc_, 
   {{0x7d095e9c,0xe6180161,0xef1f00c2,0x19955e9d}},	//   _hies, үдө_, _mtü_, _пазя, 
   {{0x7d095e9e,0x35a55e9f,0x7ea05ea0,0xe4c65ea1}},	//   _kies, ханг, _köpr, ейни, 
   {{0x7c2d003e,0x68e9009e,0x00000000,0x00000000}},	//   ðarh, qled, --, --, 
   {{0x7d095ea2,0x386d5ea3,0x850b0497,0x60c414b9}},	//   _mies, meer_, _संकट_, viim, 
   {{0x386d01a9,0x78a95ea4,0xd6d90035,0x479a027a}},	//   leer_, lkev, tułu_, _מינס, 
   {{0x60c4524e,0x290a0175,0xe1f1010e,0x69dc0b48}},	//   tiim, _ébat_, لسِ_, _øret, 
   {{0xef1a0afe,0x7d095ea5,0x32e6078a,0x78a95ea6}},	//   зма_, _nies, _bêyî_, nkev, 
   {{0x60c40547,0x64560199,0xff24006b,0x1e8600a3}},	// [50a0] riim, _icyi, ئبری, нлам, 
   {{0x386d01a9,0x60c45ea7,0x7d095ea8,0x44320729}},	//   heer_, siim, _aies, _hey_, 
   {{0x6da30e65,0x386d0876,0x78a901e8,0x44324e47}},	//   лифа, keer_, kkev, _key_, 
   {{0x26c55ea9,0x629e0149,0x3f820f23,0x7d091946}},	//   hilo_, _hopo, _trku_, _cies, 
   {{0x7d095eaa,0x629e5eab,0x443200a9,0x386d0876}},	//   _dies, _kopo, _mey_, deer_, 
   {{0x443215c4,0xc3330056,0x2b46022c,0x2b400121}},	//   _ley_, רוג_, rroc_, šico_, 
   {{0x7d0905b9,0x2bc007d5,0x09063eb8,0x629e5eac}},	//   _fies, _शेरा, нчим, _mopo, 
   {{0x386d16af,0xa3c200a2,0x7d095ead,0x2b460474}},	//   geer_, ्पा_, _gies, proc_, 
   {{0x26c50141,0x3b8600b9,0x68e05eae,0xc6f85eaf}},	//   filo_, _ялаг, romd, мних_, 
   {{0xc6f7413e,0x629e5eb0,0x44324f6e,0x26c55eb1}},	//   нных_, _nopo, _aey_, gilo_, 
   {{0xceb30a33,0x386d0e47,0x2f16055f,0x44325eb2}},	//   רית_, beer_, _læg_, _bey_, 
   {{0xe8fa1f1d,0xb4cb009a,0x38ba01dd,0x78a95eb3}},	//   _эле_, ळचे_, tūru_, ckev, 
   {{0xdcf5006a,0x629e084c,0x7c2d003e,0x00000000}},	//   _urzą, _bopo, ðari, --, 
   {{0xda1004d7,0x629e5eb4,0x69dc34f9,0x171b0070}},	//   ाशित_, _copo, _øres, _צווע, 
   {{0x629e5eb5,0x44325eb6,0xd5af5eb7,0x00000000}},	//   _dopo, _fey_, _сс_, --, 
   {{0x44320248,0x00000000,0x00000000,0x00000000}},	//   _gey_, --, --, --, 
   {{0x7d095eb8,0x84640141,0xa923012d,0x8c3d027e}},	// [50b0] _ries, _съще, ąžin, _hoşg, 
   {{0x752d00ab,0x4432023a,0x59b000bd,0x386d02b0}},	//   _łazi, _zey_, जनार, zeer_, 
   {{0x7d095eb9,0x753a1176,0xbd18017b,0x611c0237}},	//   _pies, nstz, еції_, _pčle, 
   {{0x629e044d,0x38b1010e,0xef1f00c2,0x7d0900c3}},	//   _zopo, _márc_, _ttü_, _qies, 
   {{0x7d095eba,0x386d051e,0xa03600d1,0x7f4d02be}},	//   _vies, veer_, _בארה_, quaq, 
   {{0x386d0318,0x7d095ebb,0x23690065,0x2a7c00ef}},	//   weer_, _wies, _mpaj_, gdvb_, 
   {{0x7d095ebc,0x26c516ef,0x08d55ebd,0x386d0318}},	//   _ties, vilo_, кция, teer_, 
   {{0x7d0908b0,0x00000000,0x00000000,0x00000000}},	//   _uies, --, --, --, 
   {{0x386d5ebe,0x44325ebf,0x78a95ec0,0x236901a0}},	//   reer_, _rey_, rkev, _npaj_, 
   {{0x386d43e5,0x78a95ec1,0x443250c3,0xa6823f29}},	//   seer_, skev, _sey_, альд, 
   {{0x26c55c6e,0x19ab5ec2,0x44325ec3,0x63210086}},	//   rilo_, _этап_, _pey_, _বিষয়_, 
   {{0x629e5ec4,0x26c55ec5,0x7cea01d5,0x4432010c}},	//   _sopo, silo_, týri, _qey_, 
   {{0x629e5ec6,0xcc3a00c7,0x69dc02c9,0x33d500f0}},	//   _popo, וערט, _ører, гірт, 
   {{0x7ae305d1,0x44320369,0x7cf8240a,0x527500d3}},	//   nont, _wey_, míre, лусу, 
   {{0x4432010c,0x20565ec7,0xc7b90019,0x91e650ef}},	//   _tey_, ктар, lző_, тове, 
   {{0x20550593,0x7ae35ec8,0xe3b200d4,0x629e019b}},	//   лтур, hont, _نرخ_, _wopo, 
   {{0x629e5ec9,0xb2265eca,0x6d435ecb,0x4fea0afc}},	// [50c0] _topo, _импл, ánan, фман_, 
   {{0x3f805ecc,0xd0f400a2,0x7ae35ecd,0x2f165ece}},	//   rviu_, _आठवण_, jont, _væg_, 
   {{0x7ae35ecf,0xf1d5022c,0xdb08003e,0x00000000}},	//   dont, _бөтө, _ólét, --, 
   {{0x673b5ed0,0xed3500b3,0x8c4639cc,0x00000000}},	//   ksuj, уэфэ, теде, --, 
   {{0x7ae3018c,0xdbcc0183,0xc3260033,0x7cf802d9}},	//   font, _póño, _বিডি_, jíre, 
   {{0x7ae35ed1,0x59f800b3,0x6915008a,0x81dd0033}},	//   gont, неля_, _eġem, তেও_, 
   {{0xa9670170,0x987d0248,0x7e7c0354,0x00000000}},	//   вија_, _açıb_, _iarp, --, 
   {{0x7e7c5ed2,0x7cf803da,0xdca35ed3,0x6d5c556d}},	//   _harp, fíre, _каси, _iqra, 
   {{0xb50c0f01,0x4733005e,0xdca35ed4,0x7ae35ed5}},	//   _संजय_, аныс, _тати, bont, 
   {{0xa3e604d7,0x7ae31cea,0x41db0035,0xe81400aa}},	//   _बुध_, cont, _मुझस, _डलवा_, 
   {{0x7e7c2e84,0x6b824ed2,0x2459017b,0x00000000}},	//   _marp, lvog, нань_, --, 
   {{0x249f06b6,0x7e7c0068,0x7cf800bc,0x69da01ca}},	//   ðum_, _larp, bíre, _ixte, 
   {{0x6b8202a3,0x6d5e5ed6,0x00000000,0x00000000}},	//   nvog, htpa, --, --, 
   {{0x38660242,0x2d850082,0x63a002ae,0x7e7c5ed7}},	//   _hbor_, _šlem_, ämna, _narp, 
   {{0xf1a42d94,0xb50c00c9,0x62342010,0x201e020f}},	//   артн, _संचय_, ресу, _ştia_, 
   {{0x64550886,0x6b820372,0x55970486,0x38b10a6d}},	//   _свиђ, kvog, _ידוע_, _kára_, 
   {{0x44395ed8,0x7e7c00a3,0x7ae35ed9,0x3866011c}},	// [50d0] mas_, _barp, yont, _mbor_, 
   {{0xa3c21516,0x71795eda,0x7e7c213e,0x6d433540}},	//   ्पर_, _збор_, _carp, ánao, 
   {{0x7e7c02bf,0x7ae35edb,0x44390183,0xf09f0023}},	//   _darp, vont, oas_, _toà_, 
   {{0x44395edc,0x442b5edd,0x7ae35ede,0xac1906b3}},	//   nas_, nbc_, wont, ходу_, 
   {{0x44395edf,0x7ae35ee0,0xe5040964,0x7e7c0465}},	//   ias_, tont, रगति_, _farp, 
   {{0x44393e20,0xddce0019,0xeb900189,0x63a034f9}},	//   has_, _ebbő, تظم_, ømni, 
   {{0x44395ee1,0xceb200c7,0xdd941f91,0x2d9c0c85}},	//   kas_, _פיל_, _кары, øvet_, 
   {{0x44391f8f,0x7e7c0a78,0x48d10086,0x38665ee2}},	//   jas_, _zarp, াত্র, _cbor_, 
   {{0xe50a00f7,0xa6e500b3,0x7ae35ee3,0xe45f00c8}},	//   _mặt_, лжил, pont, tiön_, 
   {{0xc7b90019,0x1ab715c8,0x7e7c5ee4,0x8cbf02e6}},	//   rző_, _अतिथ, _xarp, लोरो, 
   {{0x64a65ee5,0x7cf80068,0x6e355ee6,0xe45f0080}},	//   гана, síre, _mezb, riön_, 
   {{0x44395ee7,0xb4de00a2,0x6e355ee8,0x67220034}},	//   gas_, तके_, _lezb, _ftoj, 
   {{0x889a0111,0xf7455ee9,0x387f5eea,0x6aa15eeb}},	//   _רבני, _село, mdur_, _kolf, 
   {{0x387f010d,0x38665eec,0x6e355eed,0xd17603a1}},	//   ldur_, _zbor_, _nezb, лыбы, 
   {{0x44395eee,0xa06a50b0,0x7643016a,0x6d5e00a1}},	//   bas_, нава_, _idny, xtpa, 
   {{0x44390952,0x387f5eef,0x2d5c05b9,0x039600fd}},	//   cas_, ndur_, víe_, _броя, 
   {{0x6e35265d,0x64445ef0,0x0e661297,0xa4fb00a7}},	// [50e0] _bezb, _idii, лкан, _אלקט, 
   {{0x7643016a,0x387d0156,0x425600b3,0xe29a1271}},	//   _jdny, _lawr_, _стит, _чао_, 
   {{0x6e3500d9,0x7e7c5ef1,0x9a8600a3,0x6d5e2f21}},	//   _dezb, _varp, ғулл, utpa, 
   {{0x6d5e5ef2,0x6adc0299,0x387d0156,0x2d5c001d}},	//   rtpa, मक्र, _nawr_, ríe_, 
   {{0x7e7c09d5,0x8c431818,0x9b94183d,0x387f5ef3}},	//   _tarp, сече, рилц, ddur_, 
   {{0x44395ef4,0x6b825ef5,0x44200626,0x0eba1628}},	//   zas_, rvog, _lfi_, _чумы_, 
   {{0x67225ef6,0x81e600cc,0x44200237,0x6aa15ef7}},	//   _stoj, বের_, _ofi_, _dolf, 
   {{0xb4de000d,0xa96700eb,0xfce60073,0xa3dd07d5}},	//   तको_, اميم_, _собо, _तुझ_, 
   {{0x7d025ef8,0xaefb01f5,0x629c01e5,0x67d40082}},	//   mmos, _spùi, kjro, ропу, 
   {{0x44395ef9,0x7643016a,0x44205efa,0x3ce6006d}},	//   was_, _cdny, _afi_, loov_, 
   {{0xa926237f,0x387d02bf,0x8b03031e,0x69260165}},	//   _сдел, _fawr_, ířen, _смеа, 
   {{0xd5b75efb,0x6aa102a3,0x764303c6,0x387d0090}},	//   усь_, _zolf, _edny, _gawr_, 
   {{0x44395efc,0x644401a3,0x3fe30790,0x44200b41}},	//   ras_, _ddii, _कुंआ_, _dfi_, 
   {{0xe2f9004e,0x78a25efd,0x8c3d0095,0x3ce65efe}},	//   тегі_, _hoov, _xoşb, hoov_, 
   {{0x2b400076,0xc693008d,0x31355eff,0x506702be}},	//   šich_, _לאס_, ребр, лтаа, 
   {{0x44395f00,0x7d023a5e,0x30a402a0,0xd46802a6}},	//   qas_, jmos, брув, _биће_, 
   {{0xe50a0029,0x611c008b,0xa01b02ae,0x81e60033}},	// [50f0] _vặt_, _včla, _snös, বেল_, 
   {{0xd251017a,0x78a200b0,0x0e3408af,0x387f06a2}},	//   _بند_, _loov, йную, zdur_, 
   {{0x2d875f01,0x6e350571,0xdd1e014b,0xef1f01c4}},	//   íne_, _vezb, _píše, _grün_, 
   {{0x611c02a6,0x387f06d0,0x78a202a5,0x00000000}},	//   _učla, xdur_, _noov, --, 
   {{0x2d9c03a9,0x79884a5e,0x6aa10144,0x00000000}},	//   øver_, _ardw, _polf, --, 
   {{0x69255406,0x7d025f02,0x8c3d107c,0x00000000}},	//   амка, amos, _boşc, --, 
   {{0x59df007e,0x7c2d003e,0x9ed808bd,0x48b51988}},	//   _पुखर, ðars, _смрт_, ищит, 
   {{0x6aa15f03,0x52d2283e,0xe7f00d2e,0x18a55f04}},	//   _wolf, _सद्स, _चरखा_, раим, 
   {{0x387f5f05,0x75240613,0x79885f06,0x6eeb0502}},	//   rdur_, _čiza, _erdw, sübu, 
   {{0x05651717,0xb05b014e,0x44200e73,0x6b895f07}},	//   авон, _smäl, _sfi_, _ireg, 
   {{0x9962014b,0xd99907cf,0x5fc70299,0x00000000}},	//   píše_, _جنات_, _रेसल, --, 
   {{0x38582751,0x6b895f08,0x84e6322a,0xdddc0243}},	//   _مشهد_, _kreg, ромж, _sarū, 
   {{0x7643016a,0xdddc2f26,0x00000000,0x00000000}},	//   _tdny, _parū, --, --, 
   {{0x23270f5a,0x7643055f,0x290f5f09,0x6d5a02ae}},	//   рори_, _udny, _higa_, _åtag, 
   {{0xe2975f0a,0x7d025f0b,0x67295f0c,0xdbda009e}},	//   шар_, ymos, lpej, jçîr, 
   {{0x60265f0d,0xdd2f031e,0x290f005f,0xd0265f0e}},	//   рдаа, _běžn, _jiga_, рмай, 
   {{0x1fa72886,0xaec65f0f,0x3ea3008a,0x672901e5}},	// [5100] акти_, абал, _bojt_, npej, 
   {{0x27f2017b,0x00000000,0x00000000,0x00000000}},	//   _øyne_, --, --, --, 
   {{0x24800201,0x65610194,0x6b895f10,0x290f0369}},	//   _kaim_, ntlh, _areg, _oiga_, 
   {{0xb4c43e8a,0x3b864914,0x6b895f11,0xab2a5f12}},	//   _एगो_, илег, _breg, вода_, 
   {{0x6b895f13,0x2480023b,0x7d020139,0x1be711d2}},	//   _creg, _maim_, rmos, адци_, 
   {{0x78a20077,0x3ce601a0,0x2480023b,0x6b895f14}},	//   _soov, soov_, _laim_, _dreg, 
   {{0xada603dc,0x9d435f15,0x6b8902b8,0x8c9600e4}},	//   _тавл, _мерд, _ereg, _краі, 
   {{0x7afd00e0,0x7cf8031e,0x290f5f16,0x24805f17}},	//   _īste, bíra, _ciga_, _naim_, 
   {{0x290f5f18,0x7c2d5f19,0x6b895f1a,0x00000000}},	//   _diga_, ñare, _greg, --, 
   {{0x4aaa051f,0x290f25f2,0x27ef0219,0x1b1d0033}},	//   _कविव, _eiga_, _dygn_, _নিচে_, 
   {{0x290f28c9,0x2480167c,0x78a24937,0x59241372}},	//   _figa_, _baim_, _toov, _اکتف, 
   {{0xe7861221,0x8c3d0241,0x248002be,0x7f4d0248}},	//   _вуко, _koşa, _caim_, yraq, 
   {{0x248001c1,0xe8d700a7,0x60d65f1b,0x00000000}},	//   _daim_, _דואר_, dnym, --, 
   {{0x290f02f1,0xa1595f1c,0x17570070,0x57b00259}},	//   _ziga_, лагу_, _כסדר_, _мұқт, 
   {{0x6ac41493,0x4de600a2,0x26cc3c3d,0x290f5f1d}},	//   _वगैर, _जुलै_, mido_, _yiga_, 
   {{0x224d0218,0x2d850183,0x248000b4,0x7f4d0106}},	//   şek_, _álei_, _gaim_, traq, 
   {{0x7eb200fc,0x00000000,0x00000000,0x00000000}},	// [5110] _væpn, --, --, --, 
   {{0x26cc2f17,0x6b8901ee,0x7f4d03dd,0x9f6600e7}},	//   nido_, _rreg, rraq, _đuôi_, 
   {{0x6b8900d7,0xafdb0453,0xb7bd0474,0x88bc00d8}},	//   _sreg, _idøm, rbţi, _rtěn, 
   {{0x40950084,0x8c3d0540,0x24800201,0x88bc00bc}},	//   _الحر, _boşa, _xaim_, _stěn, 
   {{0x26cc5f1e,0x290f5f1f,0x7cf10eca,0x2d8a5f20}},	//   kido_, _riga_, nåri, _erbe_, 
   {{0x290f5f21,0x60cd5f22,0x26cc05b9,0xe50a0023}},	//   _siga_, liam, jido_, _lặp_, 
   {{0x26cc0b85,0x290f5f23,0x27230228,0x7cf116fa}},	//   dido_, _piga_, kčný_, håri, 
   {{0x60cd5f24,0x6b8901ee,0x39495f25,0x52a4017d}},	//   niam, _treg, čas_, _ऐक्स, 
   {{0x6b895f26,0x290f00b0,0x26cc02a3,0x24805bf1}},	//   _ureg, _viga_, fido_, _raim_, 
   {{0x26cc5f27,0x67292fc1,0x60cd00fd,0x60d6161a}},	//   gido_, rpej, hiam, znym, 
   {{0x290f2f5c,0x60cd00e4,0x3cff006f,0x2480006d}},	//   _tiga_, kiam, _khuv_, _paim_, 
   {{0xe50a001b,0x2480006d,0x232a5f28,0x60cd0548}},	//   _cặp_, _qaim_, ломи_, jiam, 
   {{0x26cc334b,0x60cd19fe,0x24805f29,0x68e95f2a}},	//   bido_, diam, _vaim_, moed, 
   {{0x26cc1408,0x26c719e0,0x68e90156,0x27230032}},	//   cido_, _umno_, loed, ačný_, 
   {{0x60cd5f2b,0x55c40f5a,0x35c41cc1,0x24805f2c}},	//   fiam, _машғ, _машҳ, _taim_, 
   {{0xe50a0029,0x60cd5f2d,0x672d0405,0x2480360a}},	//   _gặp_, giam, _ħajj, _uaim_, 
   {{0x2d8a11b1,0xddd5008b,0x442202be,0x2d870566}},	// [5120] _srbe_, _razš, mck_, ænen_, 
   {{0x68e902f0,0xee370a8e,0x442253bb,0x1eaa1897}},	//   hoed, йну_, lck_, داري_, 
   {{0x60cd0141,0xc27b00c7,0x4d4a26f3,0x68e9016a}},	//   biam, _גריי, упен_, koed, 
   {{0x26cc02a0,0x7d1b008b,0x20560267,0x3cff0104}},	//   zido_, _čust, _утор, _chuv_, 
   {{0x44270264,0x68e902bf,0x6a8600f0,0x99930304}},	//   _ən_, doed, йлда, _češe_, 
   {{0x26cc09a1,0xd37b00d1,0x64a50299,0x00000000}},	//   xido_, טרנט, _ऑक्श, --, 
   {{0x26cc3ba7,0xae072b69,0x68e900f8,0x2d8a5f2e}},	//   vido_, वेदन_, foed, _urbe_, 
   {{0xa3b829b0,0x68e95f2f,0x6cd61117,0x26cc2bcc}},	//   चना_, goed, _اقرا, wido_, 
   {{0x26cc0b85,0xf09f001b,0x2fc05a83,0x070a0176}},	//   tido_, _giàu_, nzig_, лхои_, 
   {{0x60cd5f30,0x7d000096,0x6e3e5f31,0x44222a5a}},	//   ziam, _hhms, napb, eck_, 
   {{0x26cc0b85,0x7cf85f32,0xa5f85f33,0x7c220036}},	//   rido_, níro, рену_, ocor, 
   {{0x7c225f34,0x7aea5f35,0x2b400b1d,0x6d4300eb}},	//   ncor, loft, šicu_, ánai, 
   {{0x94030190,0x26cc014a,0x60cd5f36,0x2fc001c8}},	//   रेंच_, pido_, viam, jzig_, 
   {{0x2b440183,0x60cd0035,0x7cf10343,0x00000000}},	//   _mvmc_, wiam, råri, --, 
   {{0x60cd5f37,0x7cf800da,0x00000000,0x00000000}},	//   tiam, vírn, --, --, 
   {{0x7cf8334c,0xc8790474,0x7aea01d2,0x00000000}},	//   díro, toşi_, hoft, --, 
   {{0x60cd5f38,0x2aab01cc,0x40340088,0xddd40613}},	// [5130] riam, _købt_, яетс, _čaša, 
   {{0x765a012d,0x60cd5f39,0x443b3768,0x4255015f}},	//   ngty, siam, _heq_, _بندر, 
   {{0x443b00e5,0x3cff44ac,0x257a00e0,0x09ad0086}},	//   _keq_, _phuv_, _jūl_, _কেনা, 
   {{0xaca3001b,0x61fa3e27,0x7c2200b9,0x00000000}},	//   _miện, ütle, gcor, --, 
   {{0xeb99032c,0x68e90318,0xfaa55f3a,0xfd1009ed}},	//   рил_, voed, жало, رجم_, 
   {{0x7c225f3b,0x7cf8397a,0x443b07d7,0x2d871e9f}},	//   acor, bíro, _leq_, ånes_, 
   {{0x4422022b,0xaa560886,0x3cff0201,0x7cf85f3c}},	//   yck_, цију_, _thuv_, círo, 
   {{0x7c225f3d,0x81e60086,0x81fb0033,0x57495f3e}},	//   ccor, বেক_, _আলাপ_, азим_, 
   {{0x68e90156,0x78bb161f,0x8882009c,0xcb3400fd}},	//   roed, rhuv, بینن, _нетъ, 
   {{0x7c3b30f5,0x78bb00cf,0x68e948bb,0xf09f0465}},	//   _heur, shuv, soed, _fhàg_, 
   {{0x7c3b5f3f,0xa2af031e,0x21260228,0xe5a53e35}},	//   _keur, ुसन्, _čoho_, цини, 
   {{0x44220891,0x240a5f40,0x443b00a1,0x69150415}},	//   uck_, инни_, _ceq_, _tšeb, 
   {{0x7c3b5f41,0x43fa0451,0x7e775f42,0x7cf8010e}},	//   _meur, рхня_, kexp, zíro, 
   {{0x7c3b0518,0x00000000,0x00000000,0x00000000}},	//   _leur, --, --, --, 
   {{0x64a65f43,0x7cf80068,0xa3e6009a,0x611c05d5}},	//   _мака, xíro, _बँक_, _tčlm, 
   {{0x7c3b5f44,0x7c2203da,0x6e3e016a,0x38b8011c}},	//   _neur, xcor, wapb, _kéra_, 
   {{0xee3a0515,0x1eca01a2,0x611c05d5,0x260509d3}},	// [5140] ина_, алаи_, _kčlk, हेरी_, 
   {{0x7cf8397a,0x7c22039b,0x61e9020f,0x2fc00502}},	//   tíro, wcor, şela, rzig_, 
   {{0x7c3b5f45,0x6e3e1697,0xa0a603dc,0xb8860183}},	//   _beur, rapb, _данд, ntíñ, 
   {{0x61fe5d11,0x7c3b005f,0x2fc05f46,0x7cf8397a}},	//   _izpl, _ceur, pzig_, ríro, 
   {{0x7c225f47,0x7c3b5f48,0x752404d1,0x2d8715f2}},	//   rcor, _deur, _čizm, åner_, 
   {{0x7c225f49,0x7cf8247e,0x6d5703da,0x3a250118}},	//   scor, píro, buxa, _cflp_, 
   {{0x7c3b1f96,0x7aea3c03,0x6e3c020f,0x00000000}},	//   _feur, roft, _ierb, --, 
   {{0x6e3c5f4a,0x7c3b5f4b,0xbebb00e5,0x00000000}},	//   _herb, _geur, _atëh, --, 
   {{0xd6da0021,0xd7fa32af,0x7d1c5f4c,0x57a65f4d}},	//   ито_, шук_, _hurs, юшка, 
   {{0x6e3c0242,0x7c3b5f4e,0x7aea024a,0x99875f4f}},	//   _jerb, _zeur, qoft, žišu_, 
   {{0x69150351,0x6e3c5f50,0x611c0118,0x443b08b2}},	//   _všec, _merb, _dčlk, _peq_, 
   {{0x92da0086,0xef1f0380,0x7e770023,0x2ab000a1}},	//   ়তো_, _früh_, zexp, _sàbh_, 
   {{0x7bc25f51,0x7d1c5f52,0x443b024a,0x6e3c08a3}},	//   nzou, _lurs, _veq_, _oerb, 
   {{0xd6d900ab,0x6e3c5f53,0xa3c2109f,0x9f650096}},	//   kuły_, _nerb, ्पज_, _étéh_, 
   {{0x27200023,0x30a708e8,0x7d1c5f54,0x8c3d008f}},	//   _hòn_, орав, _nurs, _boşl, 
   {{0xa3e62414,0x272003a0,0x92bd0086,0x7cf80183}},	//   _बुक_, _kòn_, েকে_, fírm, 
   {{0x6e3c5f55,0x7c3b033e,0xb4e700c9,0x4adb02e6}},	// [5150] _berb, _reur, बकी_, _बदलव, 
   {{0x7c3b5f56,0x27205f57,0x6e3c5f58,0x7d1c5f59}},	//   _seur, _mòn_, _cerb, _burs, 
   {{0x7c3b5f5a,0x6e3c5f5b,0x62850102,0x6fdd3024}},	//   _peur, _derb, _iaho, _यशवं, 
   {{0x7d1c5f5c,0x6aba5f5d,0x62850194,0x317a00c7}},	//   _durs, _altf, _haho, _פארד, 
   {{0x7c3b0161,0x62855f5e,0x6aa85f5f,0x00000000}},	//   _veur, _kaho, _bodf, --, 
   {{0x628500cf,0x6e3c5f60,0x7d1c5f61,0x63a0014e}},	//   _jaho, _gerb, _furs, ämni, 
   {{0xf2d40137,0x7c3b5f62,0x6915008a,0x201e00b3}},	//   ועס_, _teur, _aġer, _ştii_, 
   {{0x6e3c02ba,0x6d455f63,0x272003a0,0x6f1d0380}},	//   _zerb, msha, _bòn_, _kusc, 
   {{0x272000f7,0x6d45044a,0x6e3c5f64,0x6f1d189d}},	//   _còn_, lsha, _yerb, _jusc, 
   {{0x62855f65,0x672604f4,0x6f1d5f66,0x86993d48}},	//   _naho, íkja, _musc, стит_, 
   {{0x6d455f67,0x7d1c00a3,0xbec301dd,0x481500f0}},	//   nsha, _xurs, _ķīli, _емес, 
   {{0x7f44026a,0xf2c900c7,0x6285011d,0x6d455f68}},	//   ysiq, _גע_, _aaho, isha, 
   {{0x62855f69,0x2720001b,0x6d455f6a,0x7cf11950}},	//   _baho, _gòn_, hsha, lårs, 
   {{0x6d45044a,0x628556dc,0xc8795f6b,0x0219017b}},	//   ksha, _caho, leş_, жіть_, 
   {{0x62855f6c,0x272006df,0x764156ef,0xdddc00d9}},	//   _daho, _zòn_, maly, _marţ, 
   {{0x6e3c5f6d,0x6f1d24a9,0x6d455f6e,0xc879027e}},	//   _serb, _busc, dsha, neş_, 
   {{0x6e3c4d9b,0x7d1c5f6f,0x6f1d02a3,0x628500a9}},	// [5160] _perb, _surs, _cusc, _faho, 
   {{0x1fb502fb,0x6f1d0003,0x22650032,0x6d455f70}},	//   єстр, _dusc, ľský_, fsha, 
   {{0xc27b0052,0x6e3c2a0c,0x7f44026a,0x6aa85f71}},	//   _פרטי, _verb, ssiq, _rodf, 
   {{0x6e3c5f72,0x13b00086,0x62855f73,0x6f1d5f74}},	//   _werb, _চেয়, _zaho, _fusc, 
   {{0x62850175,0x6e3c1336,0x6aa80704,0x6d454af2}},	//   _yaho, _terb, _podf, asha, 
   {{0x7d1c090b,0x3f821279,0xeb9a02f1,0x9d4633e2}},	//   _turs, _isku_, _қиз_, _негд, 
   {{0x6f1d01c4,0xfe550274,0x69dc5f75,0x76415f76}},	//   _zusc, _زینب_, _žreb, daly, 
   {{0x4ddb00a7,0xc87900b3,0xc173027a,0x00000000}},	//   _החלו, geş_, גחה_, --, 
   {{0xb763011f,0x80c10df2,0xb6050121,0x00000000}},	//   нтэй, रोटे, _lušč, --, 
   {{0x35b415a7,0x02ce0035,0x2ba901a4,0x76415f77}},	//   дбор, होमभ, कहरा, galy, 
   {{0x69c3006a,0x62855f78,0xc8795f79,0x645a0028}},	//   czne, _raho, beş_, ėtin, 
   {{0x62855f7a,0x2eb900c9,0xbec301dd,0xdcfc0144}},	//   _saho, _इत्त, _ķīmi, _osrč, 
   {{0xb6c408a5,0x645d5f7b,0x76415f7c,0x62855f7d}},	//   _жөнд, rgsi, baly, _paho, 
   {{0x764a055f,0x6d455f7e,0x6f1d5f7f,0xb05b0380}},	//   _udfy, ysha, _rusc, _kläg, 
   {{0x6f1d0018,0x291e3b58,0x628505f0,0x38b8011c}},	//   _susc, _juta_, _vaho, _jéro_, 
   {{0x62855f80,0x557700c7,0x291e2d1c,0x6f1d5f81}},	//   _waho, _זעהן_, _muta_, _pusc, 
   {{0x62855f82,0x291e5f83,0x44295f84,0x6f1500e9}},	// [5170] _taho, _luta_, _ifa_, _pizc, 
   {{0x6d455f85,0x80c10fc0,0x7cf802d9,0x6e250380}},	//   tsha, रोजे, bírk, uchb, 
   {{0x6f153b6a,0x7c2d0634,0x3f820a9f,0x6e250380}},	//   _vizc, ñaro, _esku_, rchb, 
   {{0xe45f0219,0x6e250380,0x6d455f86,0x2ab001be}},	//   ngö_, schb, rsha, _màbu_, 
   {{0x6d455f87,0x2d9c014e,0x68e40377,0xdddc00b3}},	//   ssha, äver_, čidl, _parţ, 
   {{0x28ca0b79,0xc879010c,0x1ee70444,0x7cf15f88}},	//   ़ोसि, weş_, _روزی_, tårs, 
   {{0x76415f89,0x0d845f8a,0x644d01be,0x44295f8b}},	//   valy, _плён, _odai, _ofa_, 
   {{0x291e2f84,0x7cf103a9,0xa3e61615,0xfc330eea}},	//   _duta_, rårs, _बुझ_, _سحر_, 
   {{0x3eaa5f8c,0xc8795f8d,0x69c34000,0xf70800e7}},	//   _yobt_, reş_, szne, _hủy_, 
   {{0x44295f8e,0x644d5f8f,0x2bcb03dc,0x291e5f90}},	//   _afa_, _adai, _куҷо_, _futa_, 
   {{0xb05b022b,0xa50a42c1,0xdddc5725,0x291e5f91}},	//   _kläd, жена_, _karš, _guta_, 
   {{0x2d91090b,0x76415f92,0x44295f93,0x87b9049b}},	//   _mrze_, saly, _cfa_, _мулт_, 
   {{0xaca3001b,0xdddc5f94,0x291e00d2,0x672b00dd}},	//   _chỉn, _marš, _zuta_, _utgj, 
   {{0x44290489,0x291e5f95,0x386d5f96,0xb6050352}},	//   _efa_, _yuta_, lfer_, _pušč, 
   {{0x776903d8,0x44295f97,0xa18702a6,0xe45f5f98}},	//   ltex, _ffa_, мбра_, giös_, 
   {{0xf1b80405,0xdddc012d,0x7c2d04b3,0xc5f200d1}},	//   ġġ_, _narš, ñarl, _שדה_, 
   {{0x98a61b90,0x4de60035,0x2d850082,0x77695f99}},	// [5180] žiće_, _जुड़े_, _šlep_, ntex, 
   {{0x2d91003a,0xb6050009,0x44291b33,0x7cf82706}},	//   _brze_, _tušč, _zfa_, pírk, 
   {{0x329b00a7,0x77690175,0x201e00d9,0xb05b0219}},	//   _וביד, htex, _ştiu_, _bläd, 
   {{0x291e5f9a,0x2d91090b,0x386d012e,0x44290126}},	//   _ruta_, _drze_, jfer_, _xfa_, 
   {{0x8c43203d,0x291e5f9b,0x7c2900b4,0x38b80096}},	//   тече, _suta_, _dfer, _séro_, 
   {{0x291e00f1,0x77691a13,0x2bd200a2,0x386d1b93}},	//   _puta_, dtex, _देणा, efer_, 
   {{0x2d8c02bb,0x7c290156,0x386d0dd8,0x7c240126}},	//   _éde_, _ffer, ffer_, ñirs, 
   {{0x52bb288f,0xb05b014e,0xdddc00e0,0x291e095a}},	//   _उत्स, _gläd, _garš, _vuta_, 
   {{0x291e00d7,0x8c43004e,0xc7c600c8,0x69150226}},	//   _wuta_, _шете, ьски, _tšen, 
   {{0xc6f7058b,0x291e5f9c,0x44290626,0x2002018e}},	//   мных_, _tuta_, _sfa_, _mzki_, 
   {{0x2bd25f9d,0x186a03b7,0x44295f9e,0xafdb02c9}},	//   _देता, _мажи_, _pfa_, _udøv, 
   {{0x7cf8007a,0xb8930038,0xf54200b9,0x20020144}},	//   fíri, _للمع, ндүү, _ozki_, 
   {{0x68e202f1,0x00000000,0x00000000,0x00000000}},	//   _ijod, --, --, --, 
   {{0x81770176,0x98bc0028,0x00000000,0x00000000}},	//   магӣ_, tuvė_, --, --, 
   {{0x29060029,0x44290036,0x00000000,0x00000000}},	//   _khoa_, _tfa_, --, --, 
   {{0xd788001b,0x44291e39,0x2b490a1a,0xe45f128d}},	//   _kể_, _ufa_, šaci_, riös_, 
   {{0xa2952072,0x7c2958bf,0x26de25ce,0x7c2d001d}},	// [5190] _запі, _rfer, onto_, ñarm, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x6d5a014e,0x7c2901c4,0x386d5f9f,0x2ab90118}},	//   _åtal, _pfer, yfer_, _sèbo_, 
   {{0x77695fa0,0x6fd0009a,0x68e2414f,0xfc3017bc}},	//   ytex, _ठेवू, _njod, لحه_, 
   {{0x225811b7,0x24895fa1,0xdddc5fa2,0x77695ee2}},	//   _عجیب_, _maam_, _varš, xtex, 
   {{0x4aa8005e,0x2489006d,0x8a0500b3,0x29065fa3}},	//   мкін_, _laam_, нзле, _ahoa_, 
   {{0x7ebb009e,0xdddc0028,0x7c2901f2,0x00000000}},	//   _hîpo, _tarš, _tfer, --, 
   {{0x24891e97,0x26de5fa4,0x6915026e,0x77691396}},	//   _naam_, ento_, _všeo, ttex, 
   {{0x386d5fa5,0x23690201,0x68e20096,0x78ab040b}},	//   rfer_, _nqaj_, _djod, _vogv, 
   {{0xd706030f,0x386d5fa6,0x2cad5fa7,0xfaa75c53}},	//   нные_, sfer_, _hoed_, _ўшан, 
   {{0x77695fa8,0x386d0380,0x41cf0299,0x2cbf5fa9}},	//   stex, pfer_, _हेलस, _klud_, 
   {{0x64a65faa,0x332000f6,0x38b14f92,0x79b62665}},	//   хама, _puix_, _páru_, _אלעד_, 
   {{0x2cad10f3,0x68fb027e,0x7c260216,0x24895fab}},	//   _moed_, mlud, _ûkre, _daam_, 
   {{0x290d5fac,0x68fb5fad,0x52755fae,0xc7d60225}},	//   lmea_, llud, кусу, _אוני_, 
   {{0xf65200fe,0x91e3183d,0x3d1800b0,0x11d500dd}},	//   _עצה_, горе, _बूझे_, вітр, 
   {{0xb05b014e,0x7cf80b85,0x21210175,0x8fa600f0}},	//   _smär, píri, _duhh_, набе, 
   {{0x64465faf,0x21210175,0x48fa0070,0x00000000}},	// [51a0] maki, _euhh_, פּלא, --, 
   {{0x644639bf,0x21210065,0x0e630161,0x2cbf0126}},	//   laki, _fuhh_, лкун, _alud_, 
   {{0x2cbf00ef,0x68fb32b9,0x24890201,0xd00f0019}},	//   _blud_, klud, _yaam_, للہ_, 
   {{0x8fa65fb0,0x64465fb1,0x7b66005e,0x5c062f80}},	//   _заме, naki, етке, няла, 
   {{0x69150098,0x65c60175,0x2cad0090,0xfbd200d7}},	//   _všel, _kéhé, _doed_, دتا_, 
   {{0x64465fb2,0x60c45fb3,0xd7880023,0x290607d7}},	//   haki, lhim, _rể_, _shoa_, 
   {{0x64465fb4,0x2d9e00ca,0xff0700b3,0x4df51ab1}},	//   kaki, _štef_, _черк_, _аятт, 
   {{0x2cad14ca,0x6d5e5fb5,0x7e7e5fb6,0x7d03038c}},	//   _goed_, mupa, lepp, ïnst, 
   {{0x6d5e3d3e,0x64465fb7,0x00000000,0x00000000}},	//   lupa, daki, --, --, 
   {{0x24890691,0x26de00fd,0x8c3d00d9,0xa49b022c}},	//   _saam_, unto_, _roşi, ològ, 
   {{0xd5b71ff8,0x68fb04d1,0x6446044d,0x998c0ab4}},	//   еся_, blud, faki, _hedž_, 
   {{0x68fb0056,0x94d53725,0x64465fb8,0x7e7e5fb9}},	//   clud, томц, gaki, hepp, 
   {{0x60c45fba,0x5ef50c3a,0x6d5e5fbb,0x7e7e003e}},	//   dhim, ्तम्_, hupa, kepp, 
   {{0x6d5e5fbc,0x8caa034d,0x179b2737,0xe737356d}},	//   kupa, _झकझो, _מידב, _џеј_, 
   {{0x64465fbd,0x24895fbe,0x6d5e1070,0x31c41416}},	//   baki, _taam_, jupa, гств, 
   {{0x6d5e0730,0xb5fb00fe,0x60c40bc1,0xd5fb0486}},	//   dupa, _מלוכ, ghim, _מפור, 
   {{0xf1b900e0,0x0fe400d3,0x44395fbf,0xb4dd009a}},	// [51b0] ņš_, гөрү, mbs_, णची_, 
   {{0xdd950088,0x212102cd,0xb05b014e,0xaca300e7}},	//   казы, _tuhh_, _bläc, _thịn, 
   {{0x6d5e2883,0xe2a7008c,0x2cad00c2,0x21210175}},	//   gupa, æður_, _poed_, _uuhh_, 
   {{0x60c42e7a,0x2bd21898,0xec1500c5,0xc5f30070}},	//   chim, _देहा, نواد, אדע_, 
   {{0x68fb5fc0,0x2cad0326,0xbc1846a6,0x00000000}},	//   vlud, _voed_, ніші_, --, 
   {{0x6d5e137d,0x64465fc1,0xeb961a93,0xb05b1774}},	//   bupa, zaki, тиш_, _fläc, 
   {{0x6446090a,0x38660226,0x6d5e0e8b,0x7ae40183}},	//   yaki, _bcor_, cupa, éita, 
   {{0xa3c1047b,0x2bd206c9,0x2919014e,0x6923090e}},	//   ंना_, _देवा, ösa_, _uđem, 
   {{0x5b155fc2,0x64465fc3,0xb0c907d5,0x290d5fc4}},	//   _амат, vaki, _रतनग, rmea_, 
   {{0x64464354,0xa695021c,0x68fb5fc5,0x7d1b5fc6}},	//   waki, триј, slud, _hius, 
   {{0x64465fc7,0x7d1b5fc8,0x7d090415,0xf09f0023}},	//   taki, _kius, _khes, _nhào_, 
   {{0x893400eb,0x60c40034,0x649a0176,0x04460080}},	//   _إعلا, xhim, фтор_, ъемн, 
   {{0x64465fc9,0x7d090010,0x78a95fca,0x387f5fcb}},	//   raki, _mhes, mjev, meur_, 
   {{0x387f5fcc,0x64465fcd,0x480402fb,0x6d5e2c69}},	//   leur_, saki, _спів, yupa, 
   {{0x44395fce,0x64465fcf,0x60c45fd0,0xf09f001b}},	//   bbs_, paki, thim, _chào_, 
   {{0x78a90412,0x8c3d01f0,0x387f5fd1,0x76435fd2}},	//   njev, _koşu, neur_, _heny, 
   {{0x76435fd3,0x2fc95fd4,0x60c45fd5,0x44205fd6}},	// [51c0] _keny, gzag_, rhim, _igi_, 
   {{0x60c45fd7,0x6d5e5fd8,0x06e30086,0x75235fd9}},	//   shim, tupa, _নীতি, _kunz, 
   {{0x76434b12,0x2b4d182a,0x78bb03f0,0x387f5fda}},	//   _meny, _avec_, kkuv, keur_, 
   {{0x6d5e1021,0x76435fdb,0x7e7e5fdc,0x75235fdd}},	//   rupa, _leny, sepp, _munz, 
   {{0x2bd200a2,0xfbd20e17,0x6d5e5fde,0x7e7e0844}},	//   _देशा, _देशम, supa, pepp, 
   {{0x628e5fdf,0x4420085f,0x38665fe0,0xc8820095}},	//   ndbo, _lgi_, _scor_, mişə_, 
   {{0x67220088,0x6df600eb,0x7d1b0065,0x752319d5}},	//   _suoj, _شكرا, _fius, _nunz, 
   {{0x7d1b048a,0x387f5fe1,0x78a900fc,0x44205fe2}},	//   _gius, geur_, gjev, _ngi_, 
   {{0x76435fe3,0xaca30029,0x6f1c5fe4,0x8c3d00b3}},	//   _beny, _giốn, _kirc, _coşu, 
   {{0x75230bcf,0x6f1c01f2,0x76435fe5,0x61e95839}},	//   _bunz, _jirc, _ceny, şeli, 
   {{0x76435fe6,0xceb30111,0xb8e800cc,0x6f1c5fe7}},	//   _deny, ייז_, _ঈদ_, _mirc, 
   {{0xb865009c,0x387f0107,0x629e05d5,0x644400a1}},	//   _ماهو, ceur_, _anpo, _ceii, 
   {{0x44395fe8,0x76435fe9,0x317a5fea,0x44205feb}},	//   rbs_, _feny, _appz_, _dgi_, 
   {{0x75235fec,0x7643158b,0x26c50228,0x44205fed}},	//   _funz, _geny, chlo_, _egi_, 
   {{0x349502f1,0x76485fee,0x442b5fef,0x550700b3}},	//   _байр, mady, pcc_, _ичиа, 
   {{0x76430053,0x629e0300,0x76482482,0x442001b8}},	//   _zeny, _enpo, lady, _ggi_, 
   {{0x7d0902bf,0x7643086d,0x7d1b0141,0x8c3d5ff0}},	// [51d0] _rhes, _yeny, _rius, _moşt, 
   {{0xfe701930,0x6f1c2c07,0x76485ff1,0x539a00a7}},	//   قدم_, _circ, nady, _ניתו, 
   {{0x387f026a,0x6f1c5ff2,0x7d0907d7,0x7d1b5ff3}},	//   yeur_, _dirc, _phes, _pius, 
   {{0x8c3d00b3,0x38b80175,0xaf37009c,0x387f0151}},	//   _noşt, _féri_, _لرست, xeur_, 
   {{0x387f5ff4,0x7d1b5ff5,0x6d4e5ff6,0x752d0242}},	//   veur_, _vius, _evba, _čazm, 
   {{0x6d58253f,0x69150009,0xf09f00a1,0xda6502da}},	//   ávac, _išei, _mhàm_, увки, 
   {{0x387f5ff7,0x7d090056,0x76430089,0x78a9024a}},	//   teur_, _thes, _reny, tjev, 
   {{0x7d090447,0x88bc02d9,0x752302a5,0x00000000}},	//   _uhes, _stěr, _runz, --, 
   {{0x76431146,0x78a95ff8,0x387f5ff9,0x8c3d0095}},	//   _peny, rjev, reur_, _qoşu, 
   {{0x387f5ffa,0xb7bd002e,0x6b8910b9,0x46e60161}},	//   seur_, ncţi, _iseg, лдын_, 
   {{0x04463005,0x78a9056e,0x387f0107,0x7cf80126}},	//   ленн, pjev, peur_, círs, 
   {{0x76431731,0x26c5332a,0x3f4f002a,0x8c3d010c}},	//   _weny, shlo_, kļu_, _goşt, 
   {{0x765c006a,0xe91800dd,0x7e9b00e0,0x76485ffb}},	//   óryc, _році_, _kāpē, bady, 
   {{0x291d0daa,0x64440065,0xf09f5ffc,0x7eb202c9}},	//   _hiwa_, _weii, _anà_, _næpp, 
   {{0x272906b6,0x291d5ffd,0x7ae35ffe,0x6729024a}},	//   _hún_, _kiwa_, innt, lqej, 
   {{0x291d04b0,0x442009e8,0x65615fff,0xdfd200eb}},	//   _jiwa_, _ugi_, mulh, ميز_, 
   {{0x272943ec,0x3f4f00e0,0x6f1c01dd,0x691502d9}},	// [51e0] _jún_, gļu_, _pirc, _všeh, 
   {{0x6da6252a,0x629e0293,0x27290023,0x291d4c9e}},	//   лиза, _unpo, _mún_, _liwa_, 
   {{0x6b896000,0x27296001,0x69150026,0x2d964ce0}},	//   _aseg, _lún_, _tšeh, ырас, 
   {{0x5fd500a2,0x9b6a1fde,0x1b4a1853,0x7d0310f3}},	//   _ठेवल, ешка_, езди_, ïnsp, 
   {{0xb05b3d8a,0x2d87055f,0x65616002,0x6f1c0036}},	//   _klän, æner_, hulh, _tirc, 
   {{0x69ca6003,0x61fe08e5,0x693454cd,0xaa944161}},	//   tzfe, _kypl, анку, рикч, 
   {{0x272915c4,0x6b896004,0x49a4005e,0xa9672189}},	//   _aún_, _eseg, рылғ, гија_, 
   {{0x37e80086,0x7ae3161c,0x27290023,0x17546005}},	//   _পরবর, annt, _bún_, авия, 
   {{0x291d29b7,0xd90d00d4,0x9487004e,0x7648011d}},	//   _diwa_, ذیه_, қынд, tady, 
   {{0x557450ef,0x27290038,0x00000000,0x00000000}},	//   агот, _dún_, --, --, 
   {{0x76486006,0x65610165,0xdef70070,0x00000000}},	//   rady, gulh, רמיט_, --, 
   {{0x76486007,0xf74608d6,0x26d96008,0xf09f0023}},	//   sady, _бедо, ésor_, _phàm_, 
   {{0xaab80081,0xf09f001b,0xb05b02ae,0x9cd700d1}},	//   _अवाक, _giày_, _blän, רוכה_, 
   {{0x248d09c4,0x291d0053,0x59a81d00,0x2d8a024a}},	//   žem_, _ziwa_, _कपार, _osbe_, 
   {{0x291d052b,0x6234004f,0x61fe00f3,0x2bdb0299}},	//   _yiwa_, сесу, _cypl, _मेना, 
   {{0x54556009,0x95531ea7,0x61fe0083,0xb05b358b}},	//   _твит, _اخوا, _dypl, _elän, 
   {{0x1ee700d4,0x2d98600a,0x7cb70148,0x27290108}},	// [51f0] هوری_, _arre_, ққат_, _xún_, 
   {{0xaca300e7,0x4ea70a31,0xb05b25a6,0x7f4d0c45}},	//   _phỏn, ырба, _glän, rsaq, 
   {{0x7f4d00c3,0x9e072ac2,0x6b89600b,0x61fe0090}},	//   ssaq, учал, _sseg, _gypl, 
   {{0x200706d0,0x6fd01446,0x7e9b0243,0xb5051f9a}},	//   ənin_, _सेकं, _sāpē, रतिय_, 
   {{0x2d98006b,0x90980f2e,0x7eb202c9,0x20c700b0}},	//   _erre_, _свят_, _tæpp, _võid_, 
   {{0x291d600c,0x6b89008b,0x27290b72,0xdd9500d3}},	//   _siwa_, _vseg, _rún_, _кагы, 
   {{0x6115012d,0x291d0083,0x20c700c2,0x00000000}},	//   _sąly, _piwa_, _tõid_, --, 
   {{0x6b89600d,0x52d14a0c,0x00000000,0x00000000}},	//   _tseg, सफुस, --, --, 
   {{0x6a67125e,0x2903002a,0x7e9b00e0,0x36c501ff}},	//   _مطال, ēja_, _tāpē, ибиг, 
   {{0x4905000f,0x81bb00cc,0x3f9900ef,0x681b00e0}},	//   _हीरो_, _আইন_, _mrsu_, _rādī, 
   {{0x64a6600e,0x3694004e,0x27e0003e,0x81c30243}},	//   аана, сшыс, _þinn_, šēji, 
   {{0xb05b014e,0x6561600f,0x232a2b04,0x27296010}},	//   _slän, rulh, коми_, _tún_, 
   {{0xf7456011,0xb6a516b7,0x437600a3,0xb05b0380}},	//   _тело, _вилл, шунт, _plän, 
   {{0x61fe6012,0x656102be,0x00000000,0x00000000}},	//   _pypl, pulh, --, --, 
   {{0x614607a4,0xa3e205f6,0xe297022d,0x00000000}},	//   реба, _दशक_, јас_, --, 
   {{0x61fe3077,0x92d600cc,0x91e300dd,0x00000000}},	//   _vypl, িকে_, іоте, --, 
   {{0x443202a2,0x52766013,0x00000000,0x00000000}},	// [5200] _ify_, _куну, --, --, 
   {{0xee376014,0xb3bb0225,0xe29a512f,0x00000000}},	//   ину_, _סמיכ, _рао_, --, 
   {{0x0d866015,0x72061c03,0x71a60176,0x5d6a00c8}},	//   рлен, _خودم, _танз, тием_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x6a8601ff,0x60c3020f,0x9abc003d,0x92e80033}},	//   илда, _înma, _liċe, বতী_, 
   {{0xd954031b,0x27e00009,0xca7600f0,0xb05b1279}},	//   منتخ, _žino_, руды, _yläo, 
   {{0x8c4604e9,0x27e000b3,0x98c6391b,0x2d986016}},	//   _вебе, _ţin_, исил, _urre_, 
   {{0xb4c501a4,0xfce66017,0x7c2d0369,0xf4c10086}},	//   _एते_, _тобо, ñart, _উদ্ব, 
   {{0xc6a60c67,0xc6f802a6,0x7d026018,0x00000000}},	//   арни, лних_, mlos, --, 
   {{0x597613f2,0xd6d40235,0x6d5e0e1d,0x00000000}},	//   _выду, ёжны, orpa, --, 
   {{0x7aed026a,0xd82f15d3,0x95ca6019,0x00000000}},	//   éate, _мэ_, тупа_, --, 
   {{0x7d0202f2,0x18a3601a,0xf8da0366,0x9abc003d}},	//   nlos, _махм, _बगिय, _diċe, 
   {{0x66e62124,0x56944b5e,0xd407601b,0x3ce60604}},	//   _кода, _галт, ряни, inov_, 
   {{0x7d0202f2,0x60c6601c,0x6d5e0242,0x1dc61f9a}},	//   hlos, _alkm, krpa, लनात, 
   {{0x7d02601d,0x2d85033c,0x8546012d,0x691500da}},	//   klos, _álex_, _тэле, _všev, 
   {{0x30a403b7,0x7d02015e,0x63a201dd,0x3f9900d8}},	//   орув, jlos, _šone, _prsu_, 
   {{0x6d58143b,0x3ce60352,0x98af0ab4,0x6d5e0664}},	// [5210] ávan, dnov_, žaće_, erpa, 
   {{0xc879601e,0x00000000,0x00000000,0x00000000}},	//   mişe_, --, --, --, 
   {{0x63bd601f,0x20c705d2,0xe3b00274,0x518745c1}},	//   lysn, _võib_, _فری_, _тупа, 
   {{0xb05b0219,0x78a20126,0x2d580a10,0xf3ff02aa}},	//   _kläm, _nnov, риць_, ngão_, 
   {{0x307a00c7,0x69de0228,0x3f8b0ab4,0x3f99020f}},	//   _גארנ, úpen, _uscu_, _ursu_, 
   {{0xe8e00108,0x00000000,0x00000000,0x00000000}},	//   ướt_, --, --, --, 
   {{0x6915026e,0x7c2d0634,0xfc670093,0x6ca76020}},	//   _ošet, ñars, _възн, _краж, 
   {{0x9abc0405,0xb05b0219,0x49a500f0,0x7d026021}},	//   _riċe, _oläm, _қызғ, clos, 
   {{0x28a904cc,0xb9950535,0x3f8900f8,0xf09f0108}},	//   काबि, _گلاب, nwau_, _chài_, 
   {{0x37e500cf,0x6b9b6022,0x78a26023,0x38b801d5}},	//   _қолг, _irug, _enov, _sért_, 
   {{0x8afa0070,0x00000000,0x00000000,0x00000000}},	//   _עפעק, --, --, --, 
   {{0xf41f00c8,0xe79908cb,0x39156024,0x9abc008a}},	//   ydät_, _مختص_, _умер, _viċe, 
   {{0xf09f01be,0x00000000,0x00000000,0x00000000}},	//   _ghài_, --, --, --, 
   {{0x216a068e,0x78a21425,0x23276025,0x7d0218c1}},	//   лиги_, _znov, сори_, zlos, 
   {{0xb05b030f,0x205652cb,0x7d020036,0x10a60ca4}},	//   _eläm, йтар, ylos, бивн, 
   {{0x2571010d,0x6b9b001d,0xb8860068,0xb05b1096}},	//   mál_, _orug, muíñ, _fläm, 
   {{0x543b00c7,0x8fa34f82,0x4fa30093,0x600a6026}},	// [5220] _געפא, пате, питв, унам_, 
   {{0x6d5e090e,0x528600eb,0x2eb7296e,0xc61b0033}},	//   trpa, _الدك, _आकृत, _দ্যা_, 
   {{0x7d0214f0,0x2571309e,0x6b9b6027,0x6d5e6028}},	//   tlos, nál_, _arug, urpa, 
   {{0x6b9b0941,0xab2a5316,0x6d5e03c5,0x00000000}},	//   _brug, года_, rrpa, --, 
   {{0x7d026029,0x2bd22191,0x6d43020f,0x6b9b0090}},	//   rlos, _देखा, ânar, _crug, 
   {{0x6b9b2d8f,0x7d02602a,0x6da6602b,0x3ce6107c}},	//   _drug, slos, _лига, snov_, 
   {{0xed35011f,0xf41f1096,0x6b9b602c,0x1c3a1628}},	//   _мэтэ, ndär_, _erug, _бязь_, 
   {{0x4734602d,0x6b9b055f,0x2571342f,0x9abc008a}},	//   онис, _frug, dál_, _biċc, 
   {{0x6b9b602e,0x78a20352,0x31980237,0x00000000}},	//   _grug, _vnov, _lčz_, --, 
   {{0x8c3d03c0,0x7e7c0118,0x38b80175,0xdd1c00da}},	//   _inşa, _jbrp, _pérs_, nážn, 
   {{0x7c2d2de3,0x3945008a,0xf76f009c,0x69230259}},	//   žare, _gwls_, وای_, _емха, 
   {{0x78a2008b,0x2419602f,0x63bd0080,0x00000000}},	//   _unov, ионы_, tysn, --, 
   {{0x69152e19,0x38cb015f,0x2efa2bf0,0x2f0f0380}},	//   _všet, _حالی_, kopf_, lüge_, 
   {{0x776004a8,0x7ae400eb,0x29046030,0xa49b00b9}},	//   mrmx, éith, llma_, clòn, 
   {{0xdefb005e,0x26de6031,0x69230a1a,0x6d58115d}},	//   ңыз_, mito_, _uđet, ával, 
   {{0x764a02f0,0x6915026e,0xdddc0c1b,0x00000000}},	//   _hefy, _ušet, _barž, --, 
   {{0x29041eab,0x6d58002a,0x9ed96032,0x63a917f1}},	// [5230] ilma_, šval, амат_, åend, 
   {{0x6b9b01ee,0xdddc012d,0x59a82369,0xfebb4cd1}},	//   _rrug, _darž, कमार, دارت_, 
   {{0x21226033,0x62876034,0x60c300b3,0x764a0118}},	//   _fikh_, mejo, _înmo, _mefy, 
   {{0xe9a900c5,0x6b9b0062,0x26de044d,0xd5fb00c7}},	//   یگان_, _prug, hito_, נפאר, 
   {{0x60cd6035,0xfb85009c,0x76580098,0x44780225}},	//   mham, تدای, _odvy, מעאל_, 
   {{0x62876036,0x60cd6037,0x6b9b018c,0x644f6038}},	//   nejo, lham, _vrug, haci, 
   {{0x26de6039,0x00000000,0x00000000,0x00000000}},	//   dito_, --, --, --, 
   {{0x60cd603a,0x2571010e,0x66c40118,0x6b9b603b}},	//   nham, vál_, _bòko, _trug, 
   {{0x6b9b024d,0x28d8000f,0x6287603c,0x752a01c4}},	//   _urug, बोधि, kejo, _aufz, 
   {{0x673b603d,0x29040102,0xb8860183,0x2571309e}},	//   rpuj, alma_, tuíñ, tál_, 
   {{0x34aa17d9,0x60cd41c2,0x80c90586,0x764a603e}},	//   авно_, kham, रसाइ, _defy, 
   {{0x644f4c6b,0x224e0082,0x69150098,0x673b00c8}},	//   gaci, _žfk_, _všes, ppuj, 
   {{0x26de603f,0x98f403b1,0x60cd0010,0x232a6040}},	//   bito_, _عثما, dham, роги_, 
   {{0x26de6041,0x68fb00c8,0xb05b0219,0x68e91950}},	//   cito_, loud, _fläk, lned, 
   {{0x69150352,0xdd1c0356,0x90b602a6,0x7641011f}},	//   _ušes, vážn, ољаш, mbly, 
   {{0x644f3c91,0x33660b2d,0x60cd6042,0x67236043}},	//   caci, _двиг, gham, _hinj, 
   {{0x67236044,0x672b0574,0x2f0f0380,0x62870028}},	// [5240] _kinj, _jugj, züge_, bejo, 
   {{0x68fb21f6,0xdddc012d,0x68e96045,0xb05b00c8}},	//   houd, _varž, hned, _yläk, 
   {{0xc27b0111,0x68fb0118,0x2d9c6046,0x527b07e4}},	//   _דריי, koud, íve_, _דניא, 
   {{0x60cd6047,0x67236048,0xdd1c014b,0xfbdb1d57}},	//   cham, _linj, sážn, _मेहम, 
   {{0x6d5500ef,0x75240054,0x26de0610,0x60c4025b}},	//   _evza, _miiz, yito_, mkim, 
   {{0x644f0503,0x60c46049,0x75243f0d,0x539b0147}},	//   zaci, lkim, _liiz, יסנא, 
   {{0x7c2f1a01,0x3f82016a,0x8db5004e,0x3eb801be}},	//   _širš, _hpku_, _есті, _iort_, 
   {{0x60c4604a,0x764a02bf,0x644f604b,0x3eb803a1}},	//   nkim, _sefy, xaci, _hort_, 
   {{0x3eb8238e,0x26de604c,0xb05b014e,0x6723604d}},	//   _kort_, tito_, _släk, _binj, 
   {{0x672304d1,0xddde00d9,0x60c4604e,0x26de019c}},	//   _cinj, cepţ, hkim, uito_, 
   {{0x644f0edb,0x3eb8604f,0x67230405,0x60c403f0}},	//   taci, _mort_, _dinj, kkim, 
   {{0x26de6050,0x46e800d3,0x62950035,0x26cc0034}},	//   sito_, рдүн_, wdzo, shdo_, 
   {{0x6d580076,0x26de6051,0x75246052,0x62876053}},	//   ávaj, pito_, _diiz, tejo, 
   {{0x2547006b,0x6723019a,0xe57209ed,0x68e00a18}},	//   ből_, _ginj, _قطع_, limd, 
   {{0x60cd6054,0x644f37ba,0x6d580082,0x752401b8}},	//   tham, paci, švaj, _fiiz, 
   {{0x628702a0,0x68e015c3,0x65683f80,0x67232068}},	//   sejo, nimd, mudh, _zinj, 
   {{0x3eb83293,0x44296055,0x60cd6056,0x62876057}},	// [5250] _bort_, _iga_, rham, pejo, 
   {{0x60cd293c,0x3eb86058,0xdd9b6059,0x68e0605a}},	//   sham, _cort_, ише_, himd, 
   {{0x3eb8605b,0x68e902bf,0x60cd605c,0x644d0640}},	//   _dort_, yned, pham, _keai, 
   {{0x4429090a,0x60cd084c,0x6ab80083,0x644d0354}},	//   _jga_, qham, _अवॉर, _jeai, 
   {{0x442912ab,0xeb99605d,0xfaa5605e,0x656802ad}},	//   _mga_, сил_, зало, hudh, 
   {{0x442902f1,0xda7b1d05,0x6568605f,0x68fb6060}},	//   _lga_, ряд_, kudh, woud, 
   {{0xceb207f5,0x44296061,0x6723024a,0x672b024a}},	//   _אים_, _oga_, _rinj, _sugj, 
   {{0x44296062,0x67236063,0xa3cb0eda,0x66036064}},	//   _nga_, _sinj, लना_, _rynk, 
   {{0x67236065,0x764102bf,0x66e50445,0x66036066}},	//   _pinj, tbly, зопа, _synk, 
   {{0x442905d2,0x25470019,0xddde1425,0x752400ef}},	//   _aga_, től_, lepš, _siiz, 
   {{0x44291a6d,0xb05b0088,0x76416067,0x60c46068}},	//   _bga_, _eläi, rbly, ykim, 
   {{0x2547006b,0x44296069,0x644d606a,0x81e90033}},	//   ről_, _cga_, _ceai, _বরং_, 
   {{0x672319e0,0xfbbd13bb,0x7c2901f2,0x66030ff2}},	//   _tinj, ्निम, _mger, _wynk, 
   {{0x4429606b,0x386d1b37,0xf67500c7,0x6568606c}},	//   _ega_, lger_, _זײַט_, budh, 
   {{0x2f1414f9,0x60c40088,0x505a0b58,0x44290183}},	//   lägg_, tkim, йшая_, _fga_, 
   {{0x386d03a9,0xf99207f5,0x7c29606d,0xddde0f30}},	//   nger_, ערן_, _nger, jepš, 
   {{0x60c4606e,0x386d17a9,0x1f66606f,0x3eb82376}},	// [5260] rkim, iger_, якам, _port_, 
   {{0x7c296070,0xd00f00eb,0x60c46071,0x442900a3}},	//   _ager, الك_, skim, _zga_, 
   {{0xf09f01f5,0x3eb80566,0x68e06072,0x60c46073}},	//   _chàs_, _vort_, yimd, pkim, 
   {{0x3eb801c4,0xf53600c7,0x386d6074,0x00000000}},	//   _wort_, לטער_, jger_, --, 
   {{0x3eb85f93,0x6e3b027e,0xb09b00d1,0x66060083}},	//   _tort_, _şube, _היכר, ękki, 
   {{0x386d6075,0x65682a06,0x7c296076,0x3eab003d}},	//   eger_, yudh, _eger, ċità_, 
   {{0x8c4625b3,0x24800571,0x7c2d032f,0x68e051c3}},	//   _неве, _obim_, žara, timd, 
   {{0x386d0075,0x200f0502,0x00000000,0x00000000}},	//   gger_, ügig_, --, --, 
   {{0x644d4d4b,0x36d411f0,0x68e06077,0x7b09008c}},	//   _reai, допр, rimd, ðstö, 
   {{0x692a0351,0x644d007a,0x65686078,0x2b5702d9}},	//   _před, _seai, tudh, řecí_, 
   {{0x59866079,0xceb30056,0x6aa801cc,0x28a937e7}},	//   _хлеб, תית_, _indf, काशि, 
   {{0x6aba607a,0xc9850038,0x6568607b,0x00000000}},	//   _hotf, _تشكي, rudh, --, 
   {{0x7bc202a2,0x46a6607c,0x28a90ffc,0x65684e5e}},	//   nyou, _надв, कारि, sudh, 
   {{0x44290626,0x971303bd,0x00000000,0x00000000}},	//   _wga_, _зміц, --, --, 
   {{0x5184607d,0x27320023,0x867b00d1,0x4ddc00c2}},	//   нута, _hân_, _הרוו, _गेलै_, 
   {{0x442909e8,0xd49800d9,0x116a00d7,0x6aba0106}},	//   _uga_, _ерь_, تلفی_, _lotf, 
   {{0xf09f01be,0xbefa0299,0xfbdb00c9,0x00000000}},	// [5270] _bhàr_, ्तून_, _मेंम, --, 
   {{0x20070243,0x2732607e,0x386d009e,0xf09f01f5}},	//   āni_, _mân_, zger_, _chàr_, 
   {{0x386d098d,0x2732607f,0x5c750028,0x00000000}},	//   yger_, _lân_, длет, --, 
   {{0x8d2a032e,0x8c94004e,0x5fde0d2e,0xd010010e}},	//   інің_, ерші, _नेवल, ئلے_, 
   {{0x05de05d0,0x386d009e,0x7aed0107,0x629701d6}},	//   _फेसब, vger_, éato, _kaxo, 
   {{0xf09f00a1,0x2f1402ae,0x629704df,0x00000000}},	//   _ghàr_, vägg_, _jaxo, --, 
   {{0x28a9031e,0x386d6080,0x2d83039b,0x7c2901f2}},	//   कालि, tger_, _upje_, _tger, 
   {{0x27326081,0x7c296082,0x386d0227,0xb4bc007e}},	//   _bân_, _uger, uger_, _आके_, 
   {{0x3a75005e,0x27326083,0x386d4497,0xcd020035}},	//   _олар, _cân_, rger_, _dość_, 
   {{0x273200f7,0x057500eb,0xd70600c8,0x79960035}},	//   _dân_, واجد, мные_, ływa, 
   {{0x7ae313f2,0x386d0219,0x00000000,0x00000000}},	//   mint, pger_, --, --, 
   {{0xcd0200ab,0xf2c9035c,0x69c300f8,0x2f1400bd}},	//   _gość_, _דע_, myne, mäge_, 
   {{0x1e0a36be,0x7e0a288f,0x7ae36084,0x27326085}},	//   _वर्ष_, _वर्ग_, oint, _gân_, 
   {{0xe0df05d5,0x06930019,0xdb0002be,0x6d580028}},	//   _amò_, _ساتھ, _armê, švai, 
   {{0xb0c929b0,0xdb2600ad,0x24f60104,0x62970106}},	//   रसंग, şqçi, _очир, _daxo, 
   {{0x7ae36086,0xf09f01f5,0x62970354,0x00000000}},	//   hint, _shàr_, _eaxo, --, 
   {{0x7ae36087,0xd0070163,0x31780083,0xe29a4c02}},	// [5280] kint, дете_, strz_, _дап_, 
   {{0x9d466088,0xbefa0f7a,0x7ae3012d,0x7bc26089}},	//   дежд, ्तेन_, jint, vyou, 
   {{0x7ae3608a,0x6aba1074,0x00000000,0x00000000}},	//   dint, _rotf, --, --, 
   {{0x04040086,0x7c2d203b,0x69c3608b,0x7c8300c8}},	//   রেণী_, žarn, dyne, вуше, 
   {{0xe7e800cc,0x7ae3608c,0x6d67012d,0x6aba0226}},	//   _পর্য, fint, _įraš, _potf, 
   {{0x7ae3608d,0x6d5700ad,0x00000000,0x00000000}},	//   gint, bsxa, --, --, 
   {{0x2732001b,0x7bc20237,0x6aba0082,0x00000000}},	//   _sân_, syou, _votf, --, 
   {{0x7ae30465,0x692a00bc,0xcc870e43,0x29020054}},	//   aint, _přeb, _обсе_, ôka_, 
   {{0x7ae3608e,0x692a02d9,0xb05b0502,0xfce31e70}},	//   bint, _břec, _gläu, _рото, 
   {{0x2732001b,0xcaa60038,0x35b400fd,0x6aa8608f}},	//   _vân_, _تصري, ебор, _undf, 
   {{0x27e9010d,0x62976090,0xb05b0219,0x7afd04f4}},	//   _þann_, _raxo, _klät, _ísta, 
   {{0x692a000d,0x27326091,0x62976092,0x00000000}},	//   _třeb, _tân_, _saxo, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x05760523,0x20c700c2,0x00000000,0x00000000}},	//   _قاعد, _võim_, --, --, 
   {{0x41e40965,0xdb00024a,0x26ce0118,0x00000000}},	//   віта, _armë, _ilfo_, --, 
   {{0x7ae36093,0x00000000,0x00000000,0x00000000}},	//   zint, --, --, --, 
   {{0x3cf200a5,0x7ae36094,0x13f40080,0x25780800}},	// [5290] ंचने_, yint, _изъя, lél_, 
   {{0x20c705d2,0x7ae300b4,0x66c40237,0x4439010e}},	//   _kõik_, xint, _bòki, lcs_, 
   {{0x7ae36095,0x25780019,0xb05b0380,0x3d29009c}},	//   vint, nél_, _blät, ستای_, 
   {{0x44396096,0x7ae36097,0x213e0038,0x6d570216}},	//   ncs_, wint, íthe_, rsxa, 
   {{0x7ae36098,0x60d60a33,0x44396099,0x7c2d0a95}},	//   tint, _נושא_, ics_, žaro, 
   {{0xdb250019,0x69c3609a,0x443900ef,0xe80200c9}},	//   _épül, tyne, hcs_, _लड़ा_, 
   {{0x64460035,0xb05b02ae,0x225e0083,0xa3cf02ff}},	//   ybki, _flät, ótki_, वैत_, 
   {{0x7ae3609b,0x2f1402f2,0xa3c10ef0,0x69c3609c}},	//   sint, räge_, ूना_, ryne, 
   {{0xc7250104,0x692a031e,0x69c3609d,0x7c3b0027}},	//   ндий, _přec, syne, _ifur, 
   {{0xb65900c8,0xf9834ea2,0x98a5107c,0x7ae31f57}},	//   чших_, _аҳко, _bulă_, qint, 
   {{0xa50a609e,0xaaac00bc,0x369400f0,0x4aac009a}},	//   зена_, चारक, тшыс, चारव, 
   {{0x92bc00cc,0x26ce609f,0xdb0000f6,0xcdda0070}},	//   _আগে_, _elfo_, _armè, פֿיר, 
   {{0x31c85378,0x78ab2750,0x61fb01f0,0x692a02d9}},	//   रन्ध, _ingv, şull, _třec, 
   {{0x387f60a0,0x60cf008a,0xb05b02ae,0xf6790070}},	//   lfur_, _alcm, _oläs, _זאַמ, 
   {{0xd1322e10,0x7c3b60a1,0x01661c02,0x00000000}},	//   امر_, _ofur, экво, --, 
   {{0x387f09c7,0x602607a4,0xa2c1075a,0x7c3b00c3}},	//   nfur_, едба, रॉब्, _nfur, 
   {{0xd00f0084,0x6e3b01f0,0x6fd6004f,0x00000000}},	// [52a0] ملف_, _şuba, хівц, --, 
   {{0x7c3b024d,0xb05b128d,0x4df600c8,0x00000000}},	//   _afur, _slät, няет, --, 
   {{0x63a4008c,0xb05b60a2,0x7c8600f0,0xa3ba1372}},	//   _hrin, _plät, еуле, _ذاکر_, 
   {{0x63a44cd2,0x00000000,0x00000000,0x00000000}},	//   _krin, --, --, --, 
   {{0x26060262,0x63a200ca,0x39d800aa,0x629c0c0c}},	//   _सुनी_, _šonj, _भेड़ि, odro, 
   {{0x629c60a3,0x63a4009c,0xb05b15e7,0x7c3b007c}},	//   ndro, _mrin, _fläs, _efur, 
   {{0xa3e702e6,0x629c60a4,0x7c3b02bf,0x9c8322ed}},	//   _येन_, idro, _ffur, ščar, 
   {{0x628e60a5,0x63a44fab,0x25785194,0xf1b300a7}},	//   hebo, _orin, vél_, רסה_, 
   {{0x7d0260a6,0x67d417e0,0xb05b0380,0x629c02ae}},	//   moos, топу, _klär, kdro, 
   {{0x257860a7,0x7d0260a8,0x6d5c0242,0x628e35bb}},	//   tél_, loos, _kvra, jebo, 
   {{0x63a460a9,0x6d4e016a,0xa4d508af,0x00000000}},	//   _arin, _jwba, воні, --, 
   {{0x7d0260aa,0x629c08b0,0x00000000,0x00000000}},	//   noos, edro, --, --, 
   {{0x443960ab,0xdb0060ac,0x68e260ad,0xf7430258}},	//   rcs_, _armé, _imod, _бечо, 
   {{0x69a405d0,0x628e0a61,0x44392586,0x569301bb}},	//   किपी, gebo, scs_, _башт, 
   {{0x63a460ae,0x30a70088,0x7d0260af,0xa0a700f0}},	//   _erin, нрав, koos, ншал, 
   {{0x69d800d2,0x00000000,0x00000000,0x00000000}},	//   izve, --, --, --, 
   {{0x63a460b0,0x2906086d,0x6d5c60b1,0x7d0220fe}},	// [52b0] _grin, _mkoa_, _avra, doos, 
   {{0xdef854ca,0x2bdb0fc0,0x6d4e03c6,0x7988040b}},	//   ных_, _मेगा, _bwba, _opdw, 
   {{0x6285006d,0x63a42e73,0x2d8760b2,0xf6530070}},	//   _ibho, _zrin, ïne_, רצע_, 
   {{0x7d02052b,0x2906084c,0x69a408f1,0x9e042a8b}},	//   goos, _nkoa_, किनी, учул, 
   {{0x6d5c60b3,0x6d4e60b4,0x660a040b,0x00000000}},	//   _evra, _ewba, _lyfk, --, 
   {{0x68e260b5,0xda620fac,0x29060054,0x212b0104}},	//   _amod, авши, _akoa_, _hich_, 
   {{0x212b60b6,0x68e2008a,0xdef40009,0x6d580032}},	//   _kich_, _bmod, _спры, ávat, 
   {{0x6d450b6b,0x212b00bc,0x200700ad,0x399160b7}},	//   mpha, _jich_, ənir_, _všs_, 
   {{0x212b02ec,0x6d4560b8,0x387f60b9,0x629c5124}},	//   _mich_, lpha, rfur_, ydro, 
   {{0x2cbf012e,0x2cad0376,0x68e260ba,0x63a42e8c}},	//   _houd_, _hned_, _emod, _rrin, 
   {{0xb9b536b0,0x63a43c04,0x2cbf60bb,0x628e60bc}},	//   _جماع, _srin, _koud_, vebo, 
   {{0x212b60bd,0x62850380,0x32cf027e,0x628e084c}},	//   _nich_, _abho, _rüya_, webo, 
   {{0x7565006b,0x629c60be,0x628e60bf,0x656860c0}},	//   ریکہ_, tdro, tebo, ardh, 
   {{0x212b01f5,0x63a41d72,0x68e20035,0x7d0200ca}},	//   _aich_, _vrin, _zmod, zoos, 
   {{0x628e38c6,0x23270a63,0xa2840499,0xe45f0c98}},	//   rebo, тори_, نیکو, rhör_, 
   {{0x307503a1,0x628e050f,0x55f600d1,0x7c2d0352}},	//   луус, sebo, _במצב_, žarj, 
   {{0x212b60c1,0x6e3b265d,0x290d60c2,0x63a460c3}},	// [52c0] _dich_, _đubr, ilea_, _urin, 
   {{0x212b02f0,0x7f44024a,0x69a42122,0x6da660c4}},	//   _eich_, rpiq, किमी, киза, 
   {{0x225860c5,0x6b892123,0x212b0237,0x2cbf0326}},	//   mark_, _apeg, _fich_, _boud_, 
   {{0x0b8a386d,0xcb6a1c93,0xbb460028,0x212b00a1}},	//   дски_, даде_, ведк, _gich_, 
   {{0x2bb700a2,0x6bd60fd0,0xa3c200b0,0x6d4560c6}},	//   _आपणा, ختار, ंहि_, apha, 
   {{0x212b0536,0xdd921fdb,0x6e4360c7,0x68e260c8}},	//   _zich_, _پور_, _верз, _smod, 
   {{0x6b8900ef,0x7d0260c9,0x6d451706,0x610c01c4}},	//   _epeg, poos, cpha, eßli, 
   {{0x2cbf60ca,0x290d02c7,0x69d860cb,0x5886012d}},	//   _goud_, glea_, rzve, тыка, 
   {{0x6c7b00c7,0x00000000,0x00000000,0x00000000}},	//   _קאמפ, --, --, --, 
   {{0x2b4603a1,0x291f0053,0x70bf031e,0x2bdb102c}},	//   mpoc_, amua_, _एक्ल, _मेटा, 
   {{0xd5b702fb,0x1e5700a7,0x290d01cf,0x29060054}},	//   вся_, כשיר_, blea_, _tkoa_, 
   {{0x77ca60cc,0x68e20204,0x290d06f0,0x77690042}},	//   _олег_, _umod, clea_, brex, 
   {{0x212b60cd,0x29040144,0x21200121,0x60d6018e}},	//   _rich_, moma_, dmih_, dhym, 
   {{0x212b375f,0x25fd0262,0x9abc01f2,0x59b6153d}},	//   _sich_, _रुकी_, _biċi, _अपार, 
   {{0x7aed026d,0x31c460ce,0xe71700a7,0xc1e800c8}},	//   éati, аств, _שחור_, вьте_, 
   {{0x290460cf,0xe4d9009c,0x2f141ebe,0x00000000}},	//   noma_, _سوخت_, väga_, --, 
   {{0x2cbf0026,0x2606119b,0x301541ef,0x6d4560d0}},	// [52d0] _roud_, _सुती_, удар, wpha, 
   {{0x290460d1,0x4ea4058e,0x20f302fe,0x2cbf00bc}},	//   homa_, ирха, pćio_, _soud_, 
   {{0x290460d2,0xa3e702f8,0x6b8960d3,0x6e9409f9}},	//   koma_, _येत_, _speg, риху, 
   {{0x0ce100cc,0x7bf902f1,0x60d660d4,0x5fde1d00}},	//   যক্ত, ннер_, chym, _नेकल, 
   {{0x290460d5,0x692a031e,0x752d13ed,0xfbd00038}},	//   doma_, _přen, _miaz, يته_, 
   {{0x3f9960d6,0x49993a2b,0x291f006d,0x2cbf0b22}},	//   _issu_, етия_, wmua_, _woud_, 
   {{0x290460d7,0x49bb00d4,0xc87906a2,0xb05b0080}},	//   foma_, باشد_, lişi_, _yläp, 
   {{0x60cd60d8,0x290460d9,0xf9900fce,0x2cad0156}},	//   nkam, goma_, تبه_, _uned_, 
   {{0x2fc960da,0x59d1000d,0x60cd60db,0x290d60dc}},	//   nyag_, तनहर, ikam, rlea_, 
   {{0x60cd60dd,0x752d0068,0x776960de,0x290d01f1}},	//   hkam, _aiaz, rrex, slea_, 
   {{0x7d1b3976,0x60cd14ae,0x290d0369,0xf8750629}},	//   _khus, kkam, plea_, _مهاج, 
   {{0xc3290056,0x290460df,0xaca30023,0xe7fc00aa}},	//   _זו_, coma_, _khốn, _उँचा_, 
   {{0x60cd60e0,0xb38314d3,0x225860e1,0x7d1b60e2}},	//   dkam, блял, tark_, _mhus, 
   {{0xb05b022b,0x68e960e3,0xdb200187,0x320c00ab}},	//   _släp, lied, _štúd, żdym_, 
   {{0x7d09016a,0x752d0054,0x60cd040b,0xe81f0cbd}},	//   _okes, _fiaz, fkam, मेरा_, 
   {{0xd174005e,0x60cd2282,0x68e915fa,0x752d0054}},	//   лығы, gkam, nied, _giaz, 
   {{0xef1a1872,0x10a3170f,0x1e8600a3,0x0eaa0009}},	// [52e0] ема_, щитн, ллам, нкай_, 
   {{0x539b0056,0x68e960e4,0x93b700a7,0x60cd1a19}},	//   _טיפו, hied, _עליו_, akam, 
   {{0xc27b0137,0x64563dbd,0x629e012b,0xc0e601a2}},	//   _אריי, _keyi, _iapo, _бонк, 
   {{0x7d1b60e5,0x629e0dc9,0x3a3e0626,0x00000000}},	//   _chus, _hapo, _sftp_, --, 
   {{0x629e60e6,0xaca30029,0x59b62488,0x645660e7}},	//   _kapo, _chốn, _अपहर, _meyi, 
   {{0x672102f5,0x8c6000f0,0x64561240,0x00000000}},	//   jmlj, дiң_, _leyi, --, 
   {{0x629e60e8,0x290460e9,0x3f80022c,0x68e960ea}},	//   _mapo, toma_, ltiu_, fied, 
   {{0x629e60eb,0xeb9a60ec,0x6d5e60ed,0x26d90034}},	//   _lapo, _пиб_, mspa, ëson_, 
   {{0x290460ee,0x752d0068,0x3f8060ef,0x2a76009c}},	//   roma_, _riaz, ntiu_, _مداح, 
   {{0x290460f0,0xcaa600eb,0x60cd60f1,0xdb000098}},	//   soma_, _حصري, zkam, _krmí, 
   {{0x68e960f2,0x752d0141,0x5886004e,0x44320102}},	//   bied, _piaz, _была, _bgy_, 
   {{0x68e91408,0x799a158b,0x60cd4acf,0xd7fa02c0}},	//   cied, _istw, xkam, _пул_, 
   {{0x645660f3,0x752d5c8d,0x629e60f4,0xa3cf36a6}},	//   _deyi, _viaz, _bapo, वैं_, 
   {{0x4432082c,0x629e0d6a,0x6d5e60f5,0x533460f6}},	//   _egy_, _capo, kspa, серт, 
   {{0x765a60f7,0x629e0096,0x160b35ff,0x403560f8}},	//   maty, _dapo, _सुपर_, иевс, 
   {{0x64560785,0x7c2d0588,0x765a60f9,0x60cd0009}},	//   _geyi, žari, laty, ukam, 
   {{0x7aea0533,0x4395004e,0xce6b00af,0x629e084c}},	// [52f0] kift, _тапс, еред_, _fapo, 
   {{0xc87905b7,0x7d1b60fa,0x68e901dd,0x799a60fb}},	//   rişi_, _shus, zied, _ostw, 
   {{0x3d954a6b,0x999e00e4,0x6d5e03d8,0xdd910625}},	//   риер, _metų_, gspa, توا_, 
   {{0x645600ad,0x9b75007a,0x1df5103d,0xdd980080}},	//   _xeyi, لاتص, _आशीष_, ышу_, 
   {{0x3f800161,0xa3e5000d,0x629e60fc,0xeb9960fd}},	//   ctiu_, पछि_, _yapo, тил_, 
   {{0x68e90da6,0xfaa560fe,0x629e03da,0x7aea1d4b}},	//   wied, рако, _xapo, gift, 
   {{0x68e960ff,0x7d1b0194,0x08d56100,0x69ca4687}},	//   tied, _thus, иция, gyfe, 
   {{0xaca30029,0x08c503dc,0x7d1b0010,0x00000000}},	//   _thốn, рбин, _uhus, --, 
   {{0x68e96101,0x645606df,0x799a6102,0x78bb6103}},	//   ried, _reyi, _estw, rjuv, 
   {{0x6b9b6104,0x45851ede,0xfaf306bc,0x24890065}},	//   _isug, агов, _اثر_, _abam_, 
   {{0x68e96105,0x2d816106,0x64566107,0x672105ae}},	//   pied, nthe_, _peyi, rmlj, 
   {{0x2d81057f,0x629e6108,0x03a60cf8,0xa3e70466}},	//   ithe_, _sapo, аимо, _येह_, 
   {{0x629e6109,0x0747327e,0x765a610a,0x81e30033}},	//   _papo, _схем, baty, _ফুল_, 
   {{0xe5a5610b,0xdb0002a0,0x6d5e245b,0x629e0415}},	//   _вики, _irmã, yspa, _qapo, 
   {{0x2056610c,0x6456610d,0x273b0108,0x451a00b3}},	//   итар, _teyi, _hên_, _иция_, 
   {{0x629e187e,0x6d5e2e9c,0x2d81199b,0x4432039f}},	//   _wapo, vspa, dthe_, _ugy_, 
   {{0x629e610e,0x4127088a,0x44260023,0x6d5e00d1}},	// [5300] _tapo, рото_, _ào_, wspa, 
   {{0x6d5e4d95,0x3f802d9c,0xf8d24f69,0x20c700c2}},	//   tspa, rtiu_, _तत्प, _sõit_, 
   {{0x273b00f7,0x3f80610f,0x2d81007a,0x3cf2059e}},	//   _lên_, stiu_, gthe_, ंचले_, 
   {{0x692a00bc,0xa0a66110,0xcd0603a1,0x3f8003dd}},	//   _přem, _тамд, шпей, ptiu_, 
   {{0x273b00f7,0xac070a10,0x7aea0c98,0x765a2ee8}},	//   _nên_, анца_, tift, yaty, 
   {{0x99666111,0x4ed5069b,0x6d5e6112,0x291d6113}},	//   атил, _люст, pspa, _ahwa_, 
   {{0x7aea2379,0xaca30029,0x291d02cd,0x49a400f0}},	//   rift, _chồn, _bhwa_, сылғ, 
   {{0x273b0029,0xdee618ae,0x291d6114,0x692a02d9}},	//   _bên_, _соҳи, _chwa_, _zřej, 
   {{0x69d50105,0x765a6115,0xd90d00c5,0xbb436116}},	//   _üzen, taty, ریه_, _метк, 
   {{0x6ae30528,0x273b6117,0xb6c66118,0x8c3d010c}},	//   _джуз, _dên_, рсий, _paşg, 
   {{0xdcfc44d5,0x765a6119,0x6b82611a,0xe80200c9}},	//   _sprę, raty, ltog, _लडका_, 
   {{0x1ad400cf,0x765a0118,0x57ea0afe,0xdb0000b3}},	//   _тўғр, saty, _идем_, _urmâ, 
   {{0x765a611b,0x386600b4,0x273b03c6,0x00000000}},	//   paty, _idor_, _gên_, --, 
   {{0x81e80086,0x2d81611c,0x3d080110,0x00000000}},	//   _বড়_, ythe_, िकडे_, --, 
   {{0xf1a42566,0x171b0137,0x9258611d,0x38660352}},	//   ортн, _שווע, раст_, _kdor_, 
   {{0x273b611e,0x403409e9,0x00000000,0x00000000}},	//   _yên_, жетс, --, --, 
   {{0x692a031e,0xc058004e,0x765800c8,0x2287611f}},	// [5310] _přej, ріс_, _kevy, _кунг, 
   {{0x539c00a7,0xc1b90235,0x22950038,0x42750477}},	//   _ייחו, _блох_, _الدس, _угос, 
   {{0x62956120,0x20070035,0x66cd003e,0x62870453}},	//   mezo, łni_, _súkk, mfjo, 
   {{0x645d25f1,0xdd95005e,0x76580088,0x62951fe0}},	//   nasi, _қабы, _levy, lezo, 
   {{0x57b0258c,0x61fb02a4,0x6b82040b,0x00000000}},	//   जमोह, ğulu, gtog, --, 
   {{0x76584475,0x62956121,0x61fb6122,0xc879009e}},	//   _nevy, nezo, şulu, hişt_, 
   {{0x645d6123,0x49931fdb,0xceb200c7,0x2d9c055f}},	//   kasi, تیار, _ציל_, ævet_, 
   {{0x645d6124,0x6d470415,0x1be700a3,0x62951f57}},	//   jasi, _itja, _кўзг, hezo, 
   {{0xa49b06df,0x6b9b0372,0x38660082,0x6d410107}},	//   vlòp, _usug, _ddor_, _élab, 
   {{0x629500ef,0x4ec50033,0x00000000,0x00000000}},	//   jezo, _এগুল, --, --, 
   {{0xdb26040f,0x645d6125,0x273b6126,0x09e50086}},	//   _اولی, fasi, _wên_, _পুরা, 
   {{0x645d6127,0x273b6128,0x6aa1000b,0xdb000496}},	//   gasi, _tên_, _half, _irmá, 
   {{0xb05b022b,0x6aa16129,0x3981612a,0xb38320f7}},	//   _poän, _kalf, lós_, плял, 
   {{0x8c1a00a7,0x6295612b,0xd17626ef,0x645d02a5}},	//   טורי, gezo, йыбы, aasi, 
   {{0x6aa1612c,0xf8db006a,0x645d612d,0x98db0964}},	//   _malf, _बताय, basi, _बताए, 
   {{0xaca300e7,0x645d0ea5,0x65610102,0xdb090ff2}},	//   _khổn, casi, mslh, _breë, 
   {{0x6d4700e0,0x6295127f,0xdb0901c8,0x3981019c}},	// [5320] _atja, bezo, _creë, hós_, 
   {{0x692a031e,0xfca905fa,0xe45f003e,0xe29a1918}},	//   _přek, یانو_, gjöf_, _сао_, 
   {{0x0d86586b,0x3981612e,0x20e800ad,0x00000000}},	//   слен, jós_, nşik_, --, 
   {{0x27030081,0x6b82612f,0xdd8f0198,0x26d90034}},	//   रकुर_, ttog, عون_, ësoj_, 
   {{0xdb006130,0x8c3d0690,0x6b74004f,0x2cb7024c}},	//   _armá, _başb, ілку, _šedé_, 
   {{0x645d6131,0x2ca00bfc,0x3981022c,0x0eba0235}},	//   zasi, žid_, fós_, _сумы_, 
   {{0x645d6132,0x6b826133,0xdca612cc,0x765846ce}},	//   yasi, stog, _лави, _revy, 
   {{0x6b826134,0x8c3d010c,0x160b00a5,0x645d6135}},	//   ptog, _paşe, _सुधर_, xasi, 
   {{0x38660144,0x00000000,0x00000000,0x00000000}},	//   _vdor_, --, --, --, 
   {{0x645d3313,0x64440539,0x6aa103c6,0x39816136}},	//   wasi, _afii, _galf, bós_, 
   {{0x645d6137,0x6295052a,0x398100f6,0x00000000}},	//   tasi, vezo, cós_, --, 
   {{0x2ed50f7a,0xf79a07cf,0xa9266138,0x6aa1039b}},	//   _धत्त, _منصب_, _удел, _zalf, 
   {{0x6295090e,0x645d6139,0x7643016a,0x31d10865}},	//   tezo, rasi, _ffny, सन्ध, 
   {{0xadfa3355,0x926b013e,0x6444052b,0x2f0f0502}},	//   ्थान_, ырма_, _efii, nügt_, 
   {{0x692a000d,0x36330491,0xd5af00d3,0x60c600fc}},	//   _přeh, _عروس, _эс_, _bokm, 
   {{0x957c006a,0x316c0187,0x645d132c,0x78a200e7}},	//   rząd, ádza_, qasi, _jaov, 
   {{0x6295613a,0x6d473841,0x78a20548,0xdb0903a0}},	// [5330] pezo, _stja, _maov, _freè, 
   {{0x63ad613b,0x60c6052b,0xd25124a1,0x00000000}},	//   _iran, _eokm, _تند_, --, 
   {{0x403500e4,0x6aa1613c,0x00000000,0x00000000}},	//   _менс, _ralf, --, --, 
   {{0x63ad613d,0x3981334c,0x81c10086,0x78a20613}},	//   _kran, vós_, ্ছদ_, _naov, 
   {{0x2d9c01cc,0x256304be,0x2f0f0380,0x63ad613e}},	//   æver_, zıl_, fügt_, _jran, 
   {{0x8e72005e,0x63ad00d7,0x398139af,0x25630e03}},	//   _оқуш, _mran, tós_, yıl_, 
   {{0x6aa1613f,0x78a200a9,0xfd130071,0x60c60241}},	//   _valf, _baov, _فجر_, _yokm, 
   {{0x63ad1336,0x39813c8c,0x69d50019,0x6aa10354}},	//   _oran, rós_, _üzem, _walf, 
   {{0x7644010c,0x63ad0d07,0x3ea35d90,0x6aa16140}},	//   _şiya, _nran, _kajt_, _talf, 
   {{0x46e96141,0x66e500dd,0x5589585e,0x8f9c027a}},	//   рдон_, іона, абом_, ריזי, 
   {{0xceb407e4,0x9abc01f2,0x3ea3021e,0x8c3d107c}},	//   ליץ_, _tiċr, _majt_, _gaşc, 
   {{0xa50a37e6,0x81c10086,0x3ea30082,0xe80a02e6}},	//   рема_, ্ছা_, _lajt_, _हुवा_, 
   {{0x25630c05,0x60c60228,0xe6130296,0x63ad6142}},	//   sıl_, _rokm, _کشش_, _cran, 
   {{0x63ad6143,0xe5710fd0,0x78a20ab4,0x60c66144}},	//   _dran, _قطب_, _zaov, _sokm, 
   {{0x63ad6145,0xdb096146,0xd7650019,0x333300c3}},	//   _eran, _creé, _انڈی, _dixx_, 
   {{0x63ad6147,0x26c705f0,0xddc70035,0x2f1400b0}},	//   _fran, _hono_, _wejś, mägi_, 
   {{0xaec637e8,0x26c700d4,0xa3e700a2,0x04040033}},	// [5340] обал, _kono_, _येऊ_, রেজী_, 
   {{0xafdb1341,0xe0d901a2,0x26c75666,0x3ea30144}},	//   _iføl, авӣ_, _jono_, _cajt_, 
   {{0x63ad026e,0xa2a300a2,0xe45f02ae,0xb22600b3}},	//   _zran, _छोट्, bjöd_, _фмнл, 
   {{0xa3c100a2,0x290f0026,0x00000000,0x00000000}},	//   ूनच_, _nkga_, --, --, 
   {{0x160b0081,0x7ed600dd,0xa2c102e6,0x78a200e7}},	//   _सुसर_, _дівч, रॉक्, _raov, 
   {{0x4402006a,0xf96a0a55,0x26c76148,0x290f0415}},	//   _लखनऊ_, арий_, _nono_, _akga_, 
   {{0x24800175,0xe607029a,0x7d0b0566,0xad670176}},	//   _ocim_, _آش_, bogs, _марз_, 
   {{0xe81e007e,0x478a354b,0x1d074f57,0xec7700fd}},	//   _परदा_, асом_, _деси_, _мпс_, 
   {{0x78a205f0,0x27e90304,0x291801dd,0x6b632776}},	//   _vaov, _žanr_, ēra_, _окта, 
   {{0x26c75802,0x2480033e,0x85740fac,0x78a20548}},	//   _cono_, _acim_, плох, _waov, 
   {{0xa2be04bd,0xd6d702fb,0x26c76149,0x957c00ab}},	//   शान्, іть_, _dono_, dząc, 
   {{0x63ad3a4c,0x2ca6614a,0xd05f0095,0xd90e0296}},	//   _pran, ndod_, biqə, _جیب_, 
   {{0x26c7614b,0x1818009c,0x63ad0248,0x224602a4}},	//   _fono_, _اراک_, _qran, _şoka_, 
   {{0x56930161,0x8c3d0213,0x2480021e,0x00000000}},	//   _жашт, _maşa, _ecim_, --, 
   {{0x692a031e,0x26f8051f,0x3ea3614c,0x63ad00f8}},	//   _dřev, ुवीर_, _rajt_, _wran, 
   {{0x63ad614d,0x3ea3614e,0x00000000,0x00000000}},	//   _tran, _sajt_, --, --, 
   {{0x63ad614f,0x26c76150,0x7d0b01d5,0x00000000}},	// [5350] _uran, _yono_, vogs, --, 
   {{0x957c006a,0xddab0def,0x7f4d0095,0xdbd801d5}},	//   cząc, ител_, rpaq, væða, 
   {{0x80c70086,0x3ea35d90,0xd9ea119b,0x26d9021e}},	//   রোগ্, _vajt_, _झेलत_, ësoi_, 
   {{0x8c3d01f0,0xd2510a24,0x8f356151,0x249900ef}},	//   _başa, _تنگ_, _немц, nesm_, 
   {{0x212940fc,0x7d0b6152,0x3ea357af,0x00000000}},	//   mmah_, rogs, _tajt_, --, 
   {{0x7f3a0056,0x8c3d12ed,0x21292c4d,0x539c008d}},	//   _לעשו, _daşa, lmah_, יידו, 
   {{0x7c970038,0x26c74e5e,0x00000000,0x00000000}},	//   _وشرا, _rono_, --, --, 
   {{0x26c70021,0x26de00c8,0x01fc00d1,0x2f1400c2}},	//   _sono_, ehto_, יפול, vägi_, 
   {{0x26c707d7,0x2499023a,0xacda0070,0xf771007a}},	//   _pono_, desm_, _פֿלי, راة_, 
   {{0x212910fd,0x3a743eb8,0xd7e61279,0x00000000}},	//   hmah_, _олур, ямые_, --, 
   {{0x21291021,0x26c76153,0x64a66154,0xd05f00ad}},	//   kmah_, _vono_, пана, siqə, 
   {{0x8c3d03b0,0x656e0038,0x64410035,0xe61800d3}},	//   _yaşa, ábha, ślin, өдө_, 
   {{0xf749057f,0x69ce02e7,0x692a031e,0xd05f0095}},	//   _التي_, _über, _přev, qiqə, 
   {{0x26de0076,0x68fb01a4,0x00000000,0x00000000}},	//   chto_, lnud, --, --, 
   {{0x76ba00d1,0x957c0083,0xca7a0508,0x052a00f6}},	//   _למספ, rząc, _mitа, _локк_, 
   {{0x68fb008c,0xa5070141,0x24800a1a,0xcf461a18}},	//   nnud, _неща_, _ucim_, знай, 
   {{0x2ca40065,0xb4ca0586,0xd47b00d1,0x752400b4}},	// [5360] _ramd_, ोसी_, _האפל, _ihiz, 
   {{0x44206155,0x6fb30038,0xbea32dd2,0x2ca46156}},	//   _izi_, عملا, наук, _samd_, 
   {{0x3cff02ae,0x68fb0b41,0x823b00d1,0x00000000}},	//   _bjuv_, knud, _לעיצ, --, 
   {{0x8c3d6157,0x64466158,0x0c260ca4,0x26f80299}},	//   _paşa, ncki, пмен, _ंद्र_, 
   {{0x2ca66159,0x60c40218,0xdb0903dd,0x3cdd0035}},	//   rdod_, mjim, _creï, _खतरे_, 
   {{0x60c402f5,0x05cb130c,0x9b010176,0x60d616c6}},	//   ljim, ाहाब, вҷуд, lkym, 
   {{0xd9100499,0x752401cf,0x7de20354,0xe8110299}},	//   پیش_, _ohiz, _dísé, _डुबा_, 
   {{0x60c403ef,0xa3cc007e,0x60d6058b,0x442001ff}},	//   njim, लहा_, nkym, _ozi_, 
   {{0xed35011f,0x4420527f,0x25ae019b,0x00000000}},	//   _цэрэ, _nzi_, _srfl_, --, 
   {{0xfa6700af,0x7c201c2b,0x7e7e012b,0x64460035}},	//   _наук_, _izmr, ngpp, ecki, 
   {{0x4420615a,0x3eb802a2,0xceb300a7,0x290d07d7}},	//   _azi_, _mnrt_, גית_, boea_, 
   {{0x7524615b,0x48e33ec3,0x60c4615c,0x44200474}},	//   _chiz, _похв, jjim, _bzi_, 
   {{0x60c4034c,0x00000000,0x00000000,0x00000000}},	//   djim, --, --, --, 
   {{0x4420615d,0x27f7014b,0x236d0352,0x752401ca}},	//   _dzi_, šená_, šejo_, _ehiz, 
   {{0x4420615e,0x854600d3,0x00000000,0x00000000}},	//   _ezi_, _ээле, --, --, 
   {{0xd5fb00a7,0x60c4024a,0x657a0204,0x3d060035}},	//   _לפור, gjim, muth, षकों_, 
   {{0x2129615f,0x657a6160,0x00000000,0x00000000}},	// [5370] rmah_, luth, --, --, 
   {{0x21296161,0x692a02d9,0x290d0053,0x3f1418de}},	//   smah_, _křes, zoea_, едус, 
   {{0x645f0034,0x0cab00a3,0x00000000,0x00000000}},	//   _keqi, йтди_, --, --, 
   {{0x60c400ef,0x645f00c3,0x00000000,0x00000000}},	//   cjim, _jeqi, --, --, 
   {{0x657a0532,0x0b443674,0x6f020107,0x00000000}},	//   huth, енін, éocc, --, 
   {{0x657a6162,0x4fd600d1,0x98af0118,0x00000000}},	//   kuth, _חושב_, _vigč_, --, 
   {{0xdd946163,0x3cff1bde,0x63a80243,0x3f896164}},	//   _пары, _tjuv_, ādni, ltau_, 
   {{0x236903ef,0x645f008a,0x26dc0165,0xdb190083}},	//   _ovaj_, _neqi, _alvo_, tywó, 
   {{0x3f896165,0x75243c04,0x7c3b6166,0x68fb6167}},	//   ntau_, _rhiz, _igur, rnud, 
   {{0x68fb0033,0x657a07d7,0x8c3d0216,0x3f890028}},	//   snud, futh, _kaşo, itau_, 
   {{0x657a6168,0x23690a1a,0xf77111b7,0x645f51fa}},	//   guth, _avaj_, راک_, _beqi, 
   {{0xb4ca0c15,0x3f890065,0x661d02d9,0x44200144}},	//   ोसे_, ktau_, řsko, _pzi_, 
   {{0x64466169,0x66df0216,0x321c00da,0x3669616a}},	//   rcki, _pêkd, _švy_, _дало_, 
   {{0xc72400dd,0x657a616b,0x60dd012e,0xe8e000e7}},	//   _здій, buth, _alsm, ượt_, 
   {{0x692a031e,0x7c3b616c,0x60c40604,0x7524019c}},	//   _třet, _ogur, tjim, _thiz, 
   {{0x387f616d,0x7c3b4b15,0x2b4d026e,0x6ee01774}},	//   ngur_, _ngur, _otec_, _möbe, 
   {{0x4420616e,0x60c4616f,0x60d60009,0x13066170}},	// [5380] _uzi_, rjim, rkym, _озим, 
   {{0x63a46171,0x290000e4,0x7c3b6172,0x645f024a}},	//   _isin, čiai_, _agur, _zeqi, 
   {{0xdb0905b9,0xa30100f0,0x6ee00241,0xc0e60009}},	//   _creí, _сүре, _nöbe, _жонк, 
   {{0xdb000019,0x628e1830,0xeaaf0019,0xeb9a6173}},	//   _ismé, lfbo, یٹن_, жид_, 
   {{0xab9a0a24,0x78a91c90,0xbb436174,0x3f890156}},	//   تخار_, ddev, вечк, ctau_, 
   {{0xed5a6175,0x63a4219f,0x657a07d7,0x78a900fd}},	//   _мог_, _msin, yuth, edev, 
   {{0x78a910f3,0x7c3b00a4,0x2b4d02be,0x63a40508}},	//   fdev, _fgur, _etec_, _lsin, 
   {{0x387f6176,0x63a46177,0x2b580019,0x6d4e0354}},	//   ggur_, _osin, _فیصد_, _itba, 
   {{0x47346178,0xb8f618f2,0x6d48023e,0x63a433a1}},	//   ннис, _हव_, _édab, _nsin, 
   {{0x692a000d,0x66cd0187,0x657a018e,0x7c3b6179}},	//   _přes, _súkr, tuth, _zgur, 
   {{0x9e770056,0x78a90bad,0x6e3c00ca,0x5886617a}},	//   וגיה_, bdev, _mgrb, _жыла, 
   {{0x657a009f,0x63a4008a,0x6aa800f3,0x628e0c0c}},	//   ruth, _bsin, _hadf, efbo, 
   {{0x629c617b,0x63a4006b,0x2b4d022c,0x657a617c}},	//   fero, _csin, _xtec_, suth, 
   {{0x81cd00cc,0x7f44132c,0x63a402a2,0xd5b0010e}},	//   _শেষ_, dqiq, _dsin, _مفت_, 
   {{0x8c3d2a30,0x63a4617d,0xf67b00a7,0x23c500e5}},	//   _başl, _esin, _ואומ, _bëjë_, 
   {{0xe7d21281,0x3f8902eb,0x00000000,0x00000000}},	//   _तथाप, ttau_, --, --, 
   {{0x6d4e002a,0x6d5c00d7,0x6aba000b,0x8c3d0248}},	// [5390] _atba, _awra, _ontf, _daşl, 
   {{0xdef807a5,0x66df078a,0x6d40015e,0x7c3b01fd}},	//   мых_, _têke, _čmar, _sgur, 
   {{0x2d87617e,0x3f891b7c,0x8c95004e,0x5c75617f}},	//   îne_, stau_, ерлі, елет, 
   {{0xd010006b,0x3f89020f,0x200f00c2,0x00000000}},	//   الے_, ptau_, ügis_, --, 
   {{0x6d5c6180,0xdcfc01dd,0x007600d1,0x20e82d5e}},	//   _ewra, _aprē, _אתרי_, rşit_, 
   {{0x21390065,0x6aa800f3,0x00000000,0x00000000}},	//   _hish_, _cadf, --, --, 
   {{0x8c3d0824,0x7e6500f4,0xf9910e61,0x6d5c0156}},	//   _yaşl, mahp, ابت_, _gwra, 
   {{0x6aba02f2,0x7e65085f,0x7c3b6181,0x78a90036}},	//   _entf, lahp, _ugur, udev, 
   {{0x62856182,0x8bd900cf,0x78a96183,0x629c6184}},	//   _ocho, _эмас_, rdev, yero, 
   {{0xb4ca0351,0xb6a5058e,0x629c2889,0x213902f1}},	//   ोस्_, хиол, xero, _lish_, 
   {{0x629c6185,0xa2be29b0,0x63a40539,0x67386186}},	//   vero, शास्, _ssin, _divj, 
   {{0x629c6187,0x62856188,0x63a402fe,0x213930e2}},	//   wero, _acho, _psin, _nish_, 
   {{0x36d54f37,0x934300c8,0x6b8901f2,0xdcf50243}},	//   _подр, лняе, _jqeg, _apzī, 
   {{0x213900f4,0xe0df0300,0x77690108,0x6b8901f2}},	//   _aish_, _alò_, msex, _mqeg, 
   {{0x629c6189,0x50b6004e,0x7e650640,0xf8d300a5}},	//   rero, нсау, dahp, _तवाय, 
   {{0xe45f618a,0x63a4618b,0x6738618c,0xe0df01c5}},	//   ljön_, _tsin, _zivj, _clò_, 
   {{0x629c618d,0x63a40056,0x2139618e,0xd00726f3}},	// [53a0] pero, _usin, _dish_, еете_, 
   {{0xef17618f,0x629c0034,0x21393905,0x2f1402ae}},	//   ему_, qero, _eish_, vägs_, 
   {{0x8c3d027e,0x213900d1,0xe0df0118,0x6aa80380}},	//   _taşl, _fish_, _flò_, _radf, 
   {{0xfce31ee6,0xd201004e,0x63f7009c,0x21a31a31}},	//   лохо, _түск, _آفیس_, _сиюм, 
   {{0xdb0901be,0x7bdd00ad,0x7769020b,0xbc671897}},	//   _breà, _üsul, jsex, رمون_, 
   {{0x79a62b3b,0x9f400187,0x6105012d,0x39a66190}},	//   ерие, nzií_, mėla, ешив, 
   {{0x7c96164a,0x6ee0006b,0x49a4004e,0x213900a3}},	//   _прац, _több, тылғ, _yish_, 
   {{0xed5a03dc,0x3eaa01c4,0xe8762ea7,0x38af010e}},	//   _моҳ_, _habt_, راعظ, yörű_, 
   {{0xa09b027a,0x1d076191,0x9b0608af,0xfce36192}},	//   ליקט, _чети_, _ззад, _сото, 
   {{0xc66a00c8,0x5ba71a57,0x00000000,0x00000000}},	//   чшие_, _якум_, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x62856193,0x26c30219,0x26d90034,0x12e40259}},	//   _scho, öjor_, ësor_, ңірг, 
   {{0x213902f1,0x6738008a,0x00000000,0x00000000}},	//   _rish_, _tivj, --, --, 
   {{0x29000904,0x2471001b,0x213901ff,0xe5e4009c}},	//   čiau_, ễm_, _sish_, _لزبی, 
   {{0x59a626d4,0x6285014b,0x201f0082,0xd6270267}},	//   _कैमर, _vcho, _šui_, _поље_, 
   {{0x213900cf,0x62850035,0x8c3d009e,0x00000000}},	//   _qish_, _wcho, _paşm, --, 
   {{0x2d98158b,0xb0351cb8,0x62856194,0xd25100d4}},	// [53b0] _apre_, тнаш, _tcho, _پنج_, 
   {{0x62856195,0x9e0700d9,0x26ce0054,0x213900d1}},	//   _ucho, нчел, _jofo_, _wish_, 
   {{0x7e652a41,0x26ce0180,0x213902f1,0xa49b00b9}},	//   rahp, _mofo_, _tish_, cnòc, 
   {{0x2b490684,0x00000000,0x00000000,0x00000000}},	//   íaco_, --, --, --, 
   {{0xdb096196,0x386f02aa,0x5c145df2,0x644d018e}},	//   _areá, _rdgr_, льшу, _mfai, 
   {{0x26ce00a9,0x2ca900ef,0xbb520038,0x3a3e09c6}},	//   _nofo_, žad_, جنوب, _cgtp_, 
   {{0x692a031e,0xdb091cf0,0x48e56197,0x00000000}},	//   _přep, _creá, кокв, --, 
   {{0x0c72009c,0x644d01be,0x776914a1,0x6b89007b}},	//   _نگهد, _nfai, tsex, _tqeg, 
   {{0x2d980604,0xdb0901be,0x4ab303a1,0x00000000}},	//   _zpre_, _treà, _бөйр, --, 
   {{0xdb090183,0xf1b31503,0xda676198,0x66df0216}},	//   _freá, ुमान, _سائي, _bêka, 
   {{0xa50a1fde,0x77690165,0xb8950038,0x369400f0}},	//   дена_, ssex, _للاع, ушыс, 
   {{0x43463065,0xc7950161,0x8e3600a7,0xe45f0219}},	//   кемв, _аркы, כנתא_, sjön_, 
   {{0xe72e6199,0x26ce619a,0x06b00086,0xd61300d3}},	//   _ве_, _fofo_, _চকরি, _өздө, 
   {{0x8c3d0c05,0xd252010e,0xf1aa00d7,0x644d619b}},	//   _başk, شنر_, وازه_, _efai, 
   {{0x45d21b11,0x016306d4,0x644d0156,0xf50600fd}},	//   _војс, икро, _ffai, _изко, 
   {{0x2eda00bc,0x78ab200f,0xdd1c0028,0x8c3d0248}},	//   णस्त, _jagv, ršūn, _daşk, 
   {{0x1e860002,0x2d98002e,0x7ae1007a,0x60cf0382}},	// [53c0] клам, _spre_, _ollt, _docm, 
   {{0xd37b0111,0x321a1c35,0xed5a0664,0xdfcf00eb}},	//   _קריט, _typy_, дож_, غيل_, 
   {{0x181e37c0,0xdca600c8,0x0d86327e,0x254c02d9}},	//   _पर्व_, кажи, тлен, _těle_, 
   {{0x7ae1619c,0x78ab08b0,0x60cf0210,0x00000000}},	//   _allt, _nagv, _gocm, --, 
   {{0x3eab00c8,0x3eaa02c9,0x28c509ec,0x3a9800b3}},	//   öitä_, _tabt_, वानि, еклэ_, 
   {{0xdb09033c,0xca7600f0,0x5b130009,0x63b600f3}},	//   _preá, туды, аміт, _mryn, 
   {{0x3f8011c9,0xa9c300fd,0x996303fd,0x78ab02c9}},	//   luiu_, исък, атыл, _bagv, 
   {{0x2bb400b0,0x00000000,0x00000000,0x00000000}},	//   ूमदा, --, --, --, 
   {{0xb8fa619d,0xbb4600c8,0x78ab619e,0x3f80019c}},	//   _ठक_, _резк, _dagv, nuiu_, 
   {{0x7d02100c,0x66df010c,0x644000ef,0xb9960038}},	//   lnos, _pêka, žmil, _للطب, 
   {{0x24f90b58,0xaaab0eda,0xa4d5017b,0x00000000}},	//   енны_, _टोटक, гоні, --, 
   {{0x7d02619f,0x63b661a0,0x29000009,0xd7fa00b3}},	//   nnos, _bryn, čias_, _оул_, 
   {{0x69d50c05,0x7d0219b1,0x63b600f8,0x853c0028}},	//   _üzer, inos, _cryn, tvės, 
   {{0x60cf61a1,0x68e261a2,0x78ab00ca,0x7d0261a3}},	//   _socm, _hlod, _zagv, hnos, 
   {{0x69d80019,0x68e261a4,0x7d0261a5,0x861901a2}},	//   nyve, _klod, knos, _пешӣ_, 
   {{0x63b661a6,0x28c500bd,0x00000000,0x00000000}},	//   _fryn, वायि, --, --, 
   {{0xb4df26d4,0x3f8061a7,0x506422af,0x63b661a8}},	// [53d0] णसी_, guiu_, ртса, _gryn, 
   {{0x5f9403dc,0x6449012d,0x78a0019b,0x62890588}},	//   рифт, žeid, hemv, đeos, 
   {{0x28c50366,0x60cf00d9,0x8c3d04d6,0x63ba01dd}},	//   वामि, _tocm, _haşi, ātne, 
   {{0x657a0a69,0x7d0261a9,0x3f80019c,0x2d580a10}},	//   irth, gnos, buiu_, тиць_, 
   {{0x248900e2,0x64410083,0x78a001d2,0x00000000}},	//   _mcam_, śliw, demv, --, 
   {{0xa9270187,0x8c3d002e,0xf41400d1,0x248900a1}},	//   _obľú, _maşi, ספס_, _lcam_, 
   {{0x69d8110f,0x7d0261aa,0x68e21950,0x248900ef}},	//   gyve, bnos, _blod, _ocam_, 
   {{0xe94600c5,0x7d0206c4,0x3ea10077,0x3ce6026e}},	//   دروی, cnos, leht_, chov_, 
   {{0xb05b02ae,0x68e200f3,0x00000000,0x00000000}},	//   _knäb, _dlod, --, --, 
   {{0xeb0e0586,0x68e20e83,0x8c3d61ab,0x69d84f28}},	//   ाकृत_, _elod, _naşi, byve, 
   {{0x68e261ac,0x2d8161ad,0xc98402a6,0xb9550093}},	//   _flod, nuhe_, _вучи, _свещ, 
   {{0x68e261ae,0x63b60156,0x248900b9,0x2a6501d6}},	//   _glod, _pryn, _ccam_, _helb_, 
   {{0x657a61af,0x2d8101c4,0x2a6500a4,0x394532aa}},	//   arth, huhe_, _kelb_, _huls_, 
   {{0x644909a1,0x434361b0,0x7d0216ef,0x877a0070}},	//   ñeir, серв, znos, _נאצי, 
   {{0x2a6502fe,0x7d0261b1,0x91e30b97,0xdb0902aa}},	//   _melb_, ynos, боре, _ereç, 
   {{0x205561b2,0xc4862009,0x25d6008d,0x3ce6006f}},	//   итур, _слик, _תוקן_, xhov_, 
   {{0x7d0261b3,0x60261a57,0x212b00a1,0x291f61b4}},	// [53e0] vnos, удаа, _dhch_, ilua_, 
   {{0x7d02186a,0x41aa0504,0x3ea10380,0x3f801890}},	//   wnos, _звон_, geht_, ruiu_, 
   {{0x66df0218,0xed570176,0xa06a06e2,0xed5a61b5}},	//   _lêko, гох_, _пана_, хое_, 
   {{0x0b8a61b6,0x5c061488,0x2cad0090,0x00000000}},	//   ески_, ляла, _caed_, --, 
   {{0x62810952,0x254c031e,0x6b9b008a,0x7af802d9}},	//   ólog, _měla_, _cpug, tivt, 
   {{0x68e261b7,0x4ed500fd,0x1a66009c,0x3ce661b8}},	//   _slod, _кюст, ایای_, shov_, 
   {{0x7d021425,0x39453216,0x3ce602ae,0x00000000}},	//   pnos, _culs_, phov_, --, 
   {{0x58d461b9,0x02d1000d,0xd90d13b4,0x3ce60201}},	//   роит, _सक्न, ویل_, qhov_, 
   {{0x6cc300d9,0x78a00664,0x00000000,0x00000000}},	//   _уйта, remv, --, --, 
   {{0x248961ba,0xb05b0219,0x2a650380,0xd94661bb}},	//   _scam_, _knäc, _gelb_, _бежи, 
   {{0x6b821b43,0xd5b7606f,0x9e7b0070,0x69c513ba}},	//   luog, гся_, ענטפ, ähet, 
   {{0xdb090316,0x657a00eb,0x777b61bc,0x2db700c7}},	//   _preç, rrth, brux, אלטן_, 
   {{0x8c3d010c,0x2d8100ca,0xf3ff019c,0x6b820028}},	//   _paşi, zuhe_, raão_, nuog, 
   {{0xf41f0219,0x8c3d009e,0x2d810610,0x00000000}},	//   ffär_, _qaşi, yuhe_, --, 
   {{0x31c4495e,0x8c3d0248,0x00000000,0x00000000}},	//   бств, _vaşi, --, --, 
   {{0x90552051,0x6ad1009a,0x6b82025b,0x00000000}},	//   рвац, _तक्र, kuog, --, 
   {{0x81cd0086,0x386600e2,0x2ef5193c,0x3ea101c4}},	// [53f0] _শেখ_, _meor_, азар, teht_, 
   {{0x442961bd,0xbd6b0f6b,0x38663aa5,0x26de61be}},	//   _iza_, ерде_, _leor_, nkto_, 
   {{0x752d61bf,0x71270071,0x6b9b53f5,0x644f01d8}},	//   _khaz, _مرحل, _spug, occi, 
   {{0x4ea5005e,0x2d8161c0,0x4c9503b7,0x62870219}},	//   ырға, ruhe_, ридс, lgjo, 
   {{0x60cd61c1,0xda650ae1,0x752d018e,0x00000000}},	//   mjam, авли, _mhaz, --, 
   {{0x450b0086,0x6287033e,0xe81e00b0,0x38690144}},	//   রতিক_, ngjo, _परजा_, _žar_, 
   {{0x60cd00e4,0x6ee00770,0xdb0061c2,0xc3340225}},	//   ojam, _möbl, _armó, זוס_, 
   {{0x442961c3,0x2cbf012b,0x6d5501f1,0x3b550093}},	//   _oza_, _unud_, _itza, _вкар, 
   {{0x7d1b0414,0x442961c4,0x386661c5,0x272b0d09}},	//   _ikus, _nza_, _deor_, høne_, 
   {{0x6d4761c6,0x5967048a,0x8c3d01f0,0x752d61c7}},	//   _kuja, _бъда, _başv, _ahaz, 
   {{0x28c5017d,0x442961c8,0xe4c661c9,0xf62561ca}},	//   वादि, _aza_, айни, рдно, 
   {{0x386906b6,0x66df010c,0x6d4761cb,0x752d61cc}},	//   _þar_, _têko, _muja, _chaz, 
   {{0x7d0961cd,0x8934298e,0x68e961ce,0x7d1b0247}},	//   _mjes, _اعلا, mhed, _mkus, 
   {{0x60cd00e0,0x7e67031e,0x7d0961cf,0x68e961d0}},	//   ejam, _nejp, _ljes, lhed, 
   {{0xa06a61d1,0x7d1b0a8b,0x442961d2,0x6d470f61}},	//   кава_, _okus, _eza_, _nuja, 
   {{0x752d61d3,0x68e961d4,0x0f1e017d,0x68fb61d5}},	//   _ghaz, nhed, भत्स_, niud, 
  
   {{0x27ed398f,0x03a651cd,0x644407fc,0x7c2961d6}},	// [5400] nzen_, _типо, _igii, _nzer, 
   {{0x442061d7,0x7d1b61d8,0x6d4746e9,0x27ed61d9}},	//   _iyi_, _akus, _buja, izen_, 
   {{0x7c2906d0,0xc27b0111,0x6aa361da,0x68e90876}},	//   _azer, _בריי, denf, khed, 
   {{0x6ec4059e,0x40963a64,0x60cd0035,0x79830226}},	//   राहु, _трот, cjam, dunw, 
   {{0x27ed0536,0x7c29006a,0x68e961db,0xdb000126}},	//   jzen_, _czer, dhed, _asmá, 
   {{0x7d1b61dc,0x6aa361dd,0x7c2901dd,0x798361de}},	//   _ekus, genf, _dzer, funw, 
   {{0xdcfe0613,0x38661056,0x27ed012e,0xaa65004e}},	//   lupč, _peor_, ezen_, стік, 
   {{0x68e961df,0x68fb0093,0x7d0961e0,0x764361e1}},	//   ghed, giud, _gjes, _agny, 
   {{0x442061e2,0x6d47044e,0x6d4061e3,0x6563008a}},	//   _nyi_, _zuja, _iima, _awnh, 
   {{0x7d1b031e,0x60cd5387,0x644401be,0x8c3d010c}},	//   _zkus, zjam, _agii, _paşv, 
   {{0x6d402f34,0x44200727,0x752d019b,0x3866114e}},	//   _kima, _ayi_, _phaz, _teor_, 
   {{0x68e961e4,0x6d4061e5,0x752d00e2,0x68fb61e6}},	//   ched, _jima, _qhaz, ciud, 
   {{0xdcfc00e0,0x6d4061e7,0x644f0126,0x628716fa}},	//   _aprī, _mima, rcci, tgjo, 
   {{0x6d4061e8,0x35f700d4,0xdb090c17,0x43680258}},	//   _lima, ارید_, _treå, раён_, 
   {{0x60cd03a1,0x752d019b,0xc1050038,0x628761e9}},	//   tjam, _thaz, موسي, rgjo, 
   {{0x6d4061ea,0x6d4761eb,0x44200246,0x955300d4}},	//   _nima, _ruja, _fyi_, _بخوا, 
   {{0x60cd61ec,0x6d4761ed,0x7d0961ee,0x692a031e}},	// [5410] rjam, _suja, _rjes, _břez, 
   {{0x63ad2e47,0x6d4761ef,0x539a00a7,0x518761f0}},	//   _isan, _puja, _עיתו, _кума, 
   {{0x7c29082c,0x7d0961f1,0x6d400c11,0x254c00bc}},	//   _szer, _pjes, _bima, _mělo_, 
   {{0xbd180b0c,0x6d4061f2,0x6d4761f3,0x8d740499}},	//   ації_, _cima, _vuja, زاما, 
   {{0x6d40286b,0x7c201b5a,0x8c3d61f4,0x7d1b0377}},	//   _dima, _cymr, _naşt, _vkus, 
   {{0xd945093e,0x63ad0ac1,0xfaa561f5,0x98ad0bfc}},	//   беки, _msan, сако, rmeč_, 
   {{0x7d09027c,0x6d400379,0x68fb61f6,0xa3a9093a}},	//   _tjes, _fima, tiud, _गैस_, 
   {{0x27ed61f7,0x6d4061f8,0x8c3d1b20,0x635402d9}},	//   tzen_, _gima, _başt, něný, 
   {{0x8aa70cd9,0x68e961f9,0x7c2002f0,0x68fb00e5}},	//   _вред, rhed, _gymr, riud, 
   {{0x6d4061fa,0x28c51516,0x39b5002a,0x27ed18db}},	//   _zima, वाहि, _tās_, rzen_, 
   {{0x4426002a,0x99d90084,0x6d4061fb,0x442002f6}},	//   _šo_, _حواء_, _yima, _syi_, 
   {{0x03a65d50,0x7d190035,0x44200118,0x00000000}},	//   бимо, nows, _pyi_, --, 
   {{0x386d03a9,0x291d018e,0x69cc020f,0x00000000}},	//   maer_, _ikwa_, ăneş, --, 
   {{0x63ad016a,0x386d1a77,0xd6db61fc,0x59bd1f19}},	//   _dsan, laer_, _ште_, ्मपर, 
   {{0x63ad61fd,0x41b5048a,0x69dc0c05,0x95cb03dc}},	//   _esan, остт, _üret, _шуда_, 
   {{0xe3b20411,0x386d61fe,0x8c3d0241,0x232a0176}},	//   _فرخ_, naer_, _yaşt, тоҳи_, 
   {{0x6d4061ff,0x44260029,0x442000a3,0x41272831}},	// [5420] _rima, _áo_, _uyi_, сото_, 
   {{0x6d406200,0x52aa02a6,0xdcfe0098,0x00000000}},	//   _sima, _свом_, rupč, --, 
   {{0x6d406201,0xdd8f01c9,0x291d01a3,0x6f1c0144}},	//   _pima, فول_, _okwa_, _vkrc, 
   {{0x237f4356,0x6d4000a3,0x291d0b77,0x61e100fb}},	//   šuje_, _qima, _nkwa_, ølle, 
   {{0xb05b02ae,0x3b960bad,0x2d85050f,0x00000000}},	//   _knän, сјет, _ålen_, --, 
   {{0x6f1c090e,0x3eb101cf,0x6e3a01d5,0x3f8000f6}},	//   _ukrc, _gazt_, _útbo, mriu_, 
   {{0xa9670aa3,0x6d40531d,0x693428c1,0x8c3d0213}},	//   бија_, _tima, онку, _başs, 
   {{0xa3a90077,0x386d6202,0x6d403d9e,0x8c3d020f}},	//   _गईल_, gaer_, _uima, _paşt, 
   {{0x7b072948,0x69b801a4,0x7bc60144,0x98be107c}},	//   órtá, ्मही, _škuf, _aută_, 
   {{0xb6c60088,0x675300eb,0x2ca6192d,0x6d410107}},	//   ссий, أخير, leod_, _élar, 
   {{0x63ad01a3,0x2a6e016a,0x386d6203,0x00000000}},	//   _ssan, mafb_, baer_, --, 
   {{0x63ad00bc,0x6fc809ef,0x386d001d,0x8c3d4028}},	//   _psan, रमां, caer_, _taşt, 
   {{0x28c50a09,0x254c00bc,0x635402d9,0x00000000}},	//   वारि, _tělo_, věný, --, 
   {{0x61050009,0x248d0035,0x3f806204,0x2245004f}},	//   mėli, żem_, driu_, ølk_, 
   {{0xa3a90509,0x31c42189,0x349500f6,0x61050009}},	//   _गैर_, пств, _дайр, lėli, 
   {{0x63ad6205,0x3f806206,0x705903dd,0x00000000}},	//   _tsan, friu_, раар_, --, 
   {{0x6105012d,0xa49b022c,0x2ca600b0,0xd5b80243}},	// [5430] nėli, riòd, deod_, lvā_, 
   {{0x7c2600da,0x3cfb0299,0x7b1f02be,0x00000000}},	//   _úkry, लोने_, nêut, --, 
   {{0x957c00ab,0xf5490023,0x74151372,0x7d190083}},	//   cząt, _lấn_, _دوکا, tows, 
   {{0x3f802b86,0x61050009,0x2d9301ca,0x00000000}},	//   briu_, kėli, rtxe_, --, 
   {{0x3f8000d3,0x7d196207,0xa2be009a,0xdfdb00fd}},	//   criu_, rows, शाच्, _сън_, 
   {{0x4ea76208,0x61050009,0x0a6b1d06,0x8c3d0241}},	//   _урма, dėli, урди_, _başr, 
   {{0xda780a8e,0x28c500ab,0x386d6209,0x00000000}},	//   сяч_, वालि, taer_, --, 
   {{0xa3a90035,0x7ae8240d,0xf5490210,0x00000000}},	//   _गईं_, _eldt, _bấn_, --, 
   {{0xdb23009c,0x98be00b3,0x46e90f25,0xf5490023}},	//   _فوری, _sută_, идин_, _cấn_, 
   {{0x7bc600ca,0x81c20033,0xf5490108,0x0a684885}},	//   _škug, ্নত_, _dấn_, _грци_, 
   {{0x7ac4620a,0xd629620b,0x64a6125b,0x66df0216}},	//   _эсте, роне_, оана, _jêki, 
   {{0xf2c900a7,0x291d0199,0x657c003e,0x399311c9}},	//   _בע_, _ukwa_, árha, mãs_, 
   {{0x66df009e,0x232a0267,0x399302be,0x00000000}},	//   _lêki, иоми_, lãs_, --, 
   {{0x7b1f0165,0x55e52675,0x77640c45,0xe7561897}},	//   cêut, _молб, _çixa, _بلوغ_, 
   {{0xc5d51222,0x3243001c,0x216a1a57,0x80fa1284}},	//   _філь, дерг, риби_, ахат_, 
   {{0x1f6638aa,0x3f80620c,0xe4520c72,0xd7110033}},	//   жкам, triu_, _غضب_, _হওয়া_, 
   {{0x66df009e,0x25450243,0x00000000,0x00000000}},	// [5440] _pêkh, _vēlu_, --, --, 
   {{0x3f803c2a,0x9e5a0240,0xe29a0082,0x00000000}},	//   rriu_, рраф_, _тао_, --, 
   {{0x412a004f,0x6da6456a,0x00000000,0x00000000}},	//   _воно_, تمام, --, --, 
   {{0x0c262a65,0x3f8057c5,0xc7b9010e,0x8c464854}},	//   омен, priu_, kvő_, цеде, 
   {{0x8c3d06d0,0xaa580229,0x00000000,0x00000000}},	//   _başq, билу_, --, --, 
   {{0xe81d0035,0xf21f0366,0x61050009,0x66df009e}},	//   _पड़ा_, _मुड़_, vėli, _fêki, 
   {{0xfce62207,0x399302be,0x8c3d0248,0x00000000}},	//   _дово, gãs_, _daşq, --, 
   {{0x6d5e0088,0x3942219b,0x61050028,0x1d0a0267}},	//   mppa, öks_, tėli, _теби_, 
   {{0xddc500ef,0xc6f800dd,0x629e0352,0x3b1e011c}},	//   mahš, йних_, _obpo, _tktq_, 
   {{0xf5490029,0xd6da620d,0x6b82067c,0x35f41a18}},	//   _vấn_, рти_, mrog, зпор, 
   {{0x81df0086,0x94050095,0xbb3b0070,0x6b8200b9}},	//   _দেন_, ələ_, _כעמי, lrog, 
   {{0xf549001b,0x98a661b0,0xf746620e,0x9c83253f}},	//   _tấn_, _фиде, _дедо, _účtu, 
   {{0x25a90ab4,0x7b1f02aa,0x629e0106,0x00000000}},	//   _ćale_, pêut, _bbpo, --, 
   {{0x394c00ef,0xdb0001c4,0x050b0086,0x6b820068}},	//   _kuds_, _ermö, রতের_, irog, 
   {{0x306b1571,0x8c3d0216,0x25450243,0x2a6c03c6}},	//   ијан_, _laşp, _dēls_, _medb_, 
   {{0xb05b0219,0x6ab7009a,0x394c00b9,0xd3a72c25}},	//   _gnäl, _आफ्र, _muds_, _дроп, 
   {{0xd8d70070,0x6e3a0a6d,0xdb0b00fc,0x00000000}},	// [5450] קומט_, _útbj, lvgå, --, 
   {{0x62350446,0x394c0ff2,0x00000000,0x00000000}},	//   _непу, _ouds_, --, --, 
   {{0xde190038,0x00000000,0x00000000,0x00000000}},	//   حقات_, --, --, --, 
   {{0x272b00fc,0x00000000,0x00000000,0x00000000}},	//   jønn_, --, --, --, 
   {{0xef93086b,0x6b822abd,0x7ba700eb,0x6d5e620f}},	//   _زیاد, grog, تصام, appa, 
   {{0x66df078a,0xe80e00ae,0x3993019c,0x0ac71279}},	//   _têki, ापना_, tãs_, ющем, 
   {{0x26c900e7,0xc27c0070,0x3ebe01d5,0xa49b00a1}},	//   _đao_, ברוי, _ótta_, anòi, 
   {{0x6b826210,0xab950165,0x00000000,0x00000000}},	//   brog, _набљ, --, --, 
   {{0xf09f023a,0xb903059e,0x6b7403a1,0x236903a0}},	//   _mbà_, _नक_, _олту, _nwaj_, 
   {{0xb05b014e,0x394c0082,0x66df010c,0x00000000}},	//   _snäl, _fuds_, _lêkv, --, 
   {{0x394c017e,0x28f900b3,0xd7c900d7,0x7d0b6211}},	//   _guds_, _лежь_, _گوشه_, ongs, 
   {{0x499a00a7,0x629e0082,0xa50a02a0,0x00000000}},	//   _לשעב, _sbpo, сема_, --, 
   {{0xddd50019,0x00000000,0x00000000,0x00000000}},	//   _mező, --, --, --, 
   {{0x78a90547,0xfbd2029e,0x00000000,0x00000000}},	//   leev, עתם_, --, --, 
   {{0x26c70d25,0x81df0033,0xdb1b02be,0x00000000}},	//   _inno_, _দেব_, _crué, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2369008a,0x8fa34117,0x00000000,0x00000000}},	// [5460] _gwaj_, нате, --, --, 
   {{0x63a46212,0x78a9006d,0x7d0b0891,0x59bd296e}},	//   _ipin, heev, engs, ्मार, 
   {{0x32db00d1,0x6b8200f8,0x629c155e,0x6d5e6213}},	//   _החינ, wrog, mfro, uppa, 
   {{0x31570137,0xf54900e7,0x629c0aa7,0x78a9133e}},	//   _מיטן_, _nấm_, lfro, jeev, 
   {{0xaac705fd,0xf8bf00a2,0xddc50228,0x6d5e0036}},	//   लांक, _शोधय, rahš, sppa, 
   {{0x63a46214,0xb4e9021a,0x99661cde,0xe45f0219}},	//   _mpin, _यत्_, птил, njör_, 
   {{0x394c04e4,0xf549001b,0xa9671571,0x7d0b0175}},	//   _quds_, _bấm_, пија_, bngs, 
   {{0x26c7048a,0xf54900e7,0xacea0038,0xd910015f}},	//   _anno_, _cấm_, _ارسل_, خیص_, 
   {{0x6d4e6215,0x2b456216,0x3ce62593,0x2d5701f2}},	//   _huba, _filc_, mkov_, _għeb_, 
   {{0x6d4e6217,0x3ce611c8,0x7d026218,0x6f1e044e}},	//   _kuba, lkov_, lios, nopc, 
   {{0x6d4e03bc,0x2d780397,0x63a44599,0x18a61127}},	//   _juba, nče_, _apin, _нажм, 
   {{0x6d4e6219,0x3ce6621a,0x7d02621b,0x6d5c0023}},	//   _muba, nkov_, nios, _mtra, 
   {{0xa8470071,0x6d4e621c,0x629c621d,0x2d78008b}},	//   _علوم_, _luba, ffro, hče_, 
   {{0x6d5c621e,0xa77b0056,0x56930524,0xdb1b0327}},	//   _otra, _פרופ, _зашт, _prué, 
   {{0x394604a3,0x2d78621f,0x63a410cc,0x66df0218}},	//   _kios_, jče_, _epin, _pêkv, 
   {{0x6aaa0a60,0x7d026220,0x3ce66221,0x7bc00a6d}},	//   heff, jios, jkov_, _ormu, 
   {{0x7d026222,0x3ce6445d,0x84986223,0x39466224}},	// [5470] dios, dkov_, _رئيس_, _mios_, 
   {{0x6d4e6225,0x798a0532,0x3946006c,0xd251149e}},	//   _buba, kufw, _lios_, _جند_, 
   {{0x6d4e30b1,0x7bc06226,0x7d026227,0x2b4d03dd}},	//   _cuba, _armu, fios, _suec_, 
   {{0x7d0b6228,0xeae500a5,0xe81d6229,0x78a9006d}},	//   ungs, कस्त_, _पडला_, xeev, 
   {{0x21291630,0x6d5c622a,0xfc46020b,0x00000000}},	//   mlah_, _etra, _šíri_, --, 
   {{0x2129622b,0x4ea700a3,0xaac7017d,0xf5490108}},	//   llah_, _эрма, लाइक, _sấm_, 
   {{0x6d4e622c,0x6d5c622d,0x7bc0087d,0x3ce64d5b}},	//   _guba, _gtra, _ermu, bkov_, 
   {{0x21290730,0x3946622e,0x8c3d00ad,0xac190bc4}},	//   nlah_, _cios_, _abşe, _добу_, 
   {{0x3946622f,0x2129134c,0x7bc000ef,0x629c043a}},	//   _dios_, ilah_, _grmu, yfro, 
   {{0x2129005c,0x3ced6230,0x3cff0201,0x6b8b5bf0}},	//   hlah_, _hlev_, _hmuv_, mugg, 
   {{0x3946004c,0x21293e2b,0x34aa601b,0x6d5c6231}},	//   _fios_, klah_, овно_, _xtra, 
   {{0x59a643f5,0x69c16232,0x394602be,0x00000000}},	//   _कैटर, _irle, _gios_, --, 
   {{0x4c9a00a7,0x684500a3,0x21296233,0x00000000}},	//   חברו, _ўнла, dlah_, --, 
   {{0x7d026234,0x66050a74,0x6d5a026a,0x69c10112}},	//   zios, _опла, _étag, _krle, 
   {{0x43431fde,0x21293107,0x629c6235,0x6b8b03fa}},	//   терв, flah_, rfro, hugg, 
   {{0x6d4e6236,0x7d020496,0x212900e2,0x290d1070}},	//   _ruba, xios, glah_, nnea_, 
   {{0x6d4e6237,0x3ce61ac6,0x63a40010,0xd24f006b}},	// [5480] _suba, vkov_, _upin, انہ_, 
   {{0x44320a49,0x21290da2,0x6b8b0068,0x6d4e0534}},	//   _izy_, alah_, dugg, _puba, 
   {{0x3ce629b6,0x3ced32b9,0x5502072f,0x212904bb}},	//   tkov_, _blev_, _लगाए_, blah_, 
   {{0x25d607f5,0x7e6e6238,0xfce31a9e,0x00e300b3}},	//   ווען_, _webp, кохо, _ажюн, 
   {{0x69c16239,0x5f760c72,0x6b99006d,0xdb1b022c}},	//   _arle, _تاجر, gtwg, _cruï, 
   {{0x6d4e623a,0x3ce6623b,0x2d78056e,0x45060086}},	//   _tuba, skov_, pče_, ৈতিক_, 
   {{0x6aaa623c,0x3ce6623d,0x6d5c623e,0x7d020080}},	//   reff, pkov_, _utra, pios, 
   {{0x57b43b9d,0x3eb8623f,0x6b8b6240,0xdd8f0189}},	//   ебит, _hart_, bugg, _خوف_, 
   {{0x69c14e41,0x39466241,0x3eb86242,0xb7be0086}},	//   _erle, _vios_, _kart_, েন্ট, 
   {{0x6a836243,0xddce3cf5,0x75246244,0x98a300e0}},	//   _алфа, _nebū, _akiz, ējā_, 
   {{0x3eb86245,0x44320a49,0xceb300a7,0x212900e2}},	//   _mart_, _azy_, דית_, ylah_, 
   {{0x3eb8024a,0x21290065,0x67230f4c,0xa4d5004f}},	//   _lart_, xlah_, _eknj, хомі, 
   {{0x44320da6,0x290403ef,0xd9436246,0x78a2019c}},	//   _czy_, mima_, _реци, _ibov, 
   {{0x38a200a3,0x75240547,0x2730023a,0x569403a1}},	//   lаr_, _ekiz, bàna_, _чакт, 
   {{0x21290730,0xf2046247,0x98a60035,0x69dc02be}},	//   tlah_, вято, _choć_, _àred, 
   {{0x2129085f,0x43950267,0x3eb8383f,0xe4a70165}},	//   ulah_, _заис, _aart_, _црко, 
   {{0x21294d9d,0x26dc012d,0x6d581102,0x3eb81f14}},	// [5490] rlah_, _kovo_, ívan, _bart_, 
   {{0x44296248,0x21291415,0x29046249,0x26dc0ab4}},	//   _iya_, slah_, hima_, _jovo_, 
   {{0x61e1022b,0x21291630,0x2904624a,0x3ced006d}},	//   älld, plah_, kima_, _plev_, 
   {{0x290403ef,0xd251086b,0x44290a8b,0xdb1b00b9}},	//   jima_, _جنگ_, _kya_, _pruï, 
   {{0x80cc01ec,0xf044624b,0x644d019b,0xcb69624c}},	//   हारे, _аэро, _mgai, чале_, 
   {{0x26dc624d,0x78a200a7,0x69c10352,0xb06200b0}},	//   _novo_, _abov, _prle, _äärm, 
   {{0x60dd624e,0x44290298,0xdb0900a1,0x6b8b123b}},	//   _kosm, _lya_, _breò, sugg, 
   {{0x290d002e,0x644d624f,0x44296250,0x273001a7}},	//   unea_, _ngai, _oya_, vàna_, 
   {{0x44296251,0x290d6252,0x26dc0054,0x66e5112d}},	//   _nya_, rnea_, _bovo_, еопа, 
   {{0x644d5429,0x8ac4004e,0x26dc02a3,0x75246253}},	//   _agai, _ақша_, _covo_, _skiz, 
   {{0x44293104,0x2904044e,0x7c296254,0x644d6255}},	//   _aya_, bima_, _hyer, _bgai, 
   {{0x290403ef,0x4429355a,0x09bd0c14,0xd7560109}},	//   cima_, _bya_, ्मीय, بلیت_, 
   {{0x4429099d,0x644d00b9,0x273001a7,0x00000000}},	//   _cya_, _dgai, sàna_, --, 
   {{0x6723034c,0x68e96256,0x4429010c,0x2b5f0065}},	//   _uknj, lked, _dya_, _mtuc_, 
   {{0x28d30509,0x672108e3,0x56921b11,0x44290298}},	//   थापि, molj, _сајт, _eya_, 
   {{0x68e96257,0x6721027c,0x69dc03a1,0x69c015c8}},	//   nked, lolj, _àree, विती, 
   {{0x7c296258,0xe5a300cf,0x3eb86259,0x60dd625a}},	// [54a0] _nyer, _чиқи, _part_, _dosm, 
   {{0x2904625b,0x6721625c,0x78b9006d,0x139b00d1}},	//   zima_, nolj, _lawv, _צביע, 
   {{0x3eb800fc,0x68e9625d,0x7c29625e,0x2904343f}},	//   _vart_, kked, _ayer, yima_, 
   {{0x61e1625f,0x7c290199,0xdb1b0183,0x80ca0086}},	//   älle, _byer, _druí, রসঙ্, 
   {{0x290400f1,0x0a940965,0x4429023b,0x3eb86260}},	//   vima_, валю, _xya_, _tart_, 
   {{0xdb090126,0x67210242,0x2904044d,0x940400ad}},	//   _breñ, jolj, wima_, ümə_, 
   {{0xfbd800cc,0x6721090e,0x2b5f01f2,0xdefa00f0}},	//   _দেখত, dolj, _etuc_, _дың_, 
   {{0x7c29024a,0x2480019b,0x63b602ae,0x6d4900a1}},	//   _fyer, _ndim_, _osyn, _giea, 
   {{0x7c29006b,0x6d5a026d,0x26dc02bb,0x36d411f8}},	//   _gyer, _étab, _povo_, вопр, 
   {{0x4429024d,0x24806261,0x644d0465,0xf1d0072d}},	//   _rya_, _adim_, _sgai, हमान, 
   {{0x44296262,0x23606263,0x26dc6264,0xfe9b008d}},	//   _sya_, _atij_, _vovo_, היימ, 
   {{0x399a00e5,0x6aba0226,0x2ba70790,0xd7fa00d9}},	//   mës_, _hatf, _गहमा, _нул_, 
   {{0x66e66265,0x248002f0,0x399a00e5,0xf8b3035c}},	//   _пода, _ddim_, lës_, _תשנ_, 
   {{0x44292083,0xd5b000d4,0x26dc00fd,0x24801a3d}},	//   _vya_, _نفت_, _uovo_, _edim_, 
   {{0x4fc4032e,0x399a01ee,0x28c50838,0x60dd6266}},	//   қста, nës_, वाचि, _posm, 
   {{0x88bd006a,0x28a607d5,0x644d6267,0x248001f2}},	//   mośc, _कॉमि, _ugai, _gdim_, 
   {{0x81df00cc,0x399a00e5,0x61e10219,0x7bc60097}},	// [54b0] _দেশ_, hës_, ällb, _škun, 
   {{0x399a01ee,0x68e9010e,0x7c296268,0x6d490415}},	//   kës_, zked, _ryer, _siea, 
   {{0x88bd006a,0x6d4900e0,0xe31400eb,0x399a00e5}},	//   nośc, _piea, _حبيب, jës_, 
   {{0x30790137,0x399a024a,0x7c290118,0x67216269}},	//   _קאָנ, dës_, _pyer, zolj, 
   {{0x06b700cc,0xeb99626a,0x2d5700a4,0x6ef214e4}},	//   জাতি, фил_, _għen_, _sæbe, 
   {{0x6aba17dd,0x88bd00ab,0xfaa51457,0x78b9023b}},	//   _catf, kośc, тако, _sawv, 
   {{0x399a00e5,0x6ca70009,0x68e9626b,0x2739023e}},	//   gës_, _праж, tked, lèng_, 
   {{0xdddc01f0,0x657a02c9,0xddc70604,0x88bd0083}},	//   _herş, dsth, _gejš, dośc, 
   {{0x68e91b37,0x78bb626c,0x75eb010e,0x248001ff}},	//   rked, rduv, közö, _rdim_, 
   {{0x68e9626d,0x0ab40e61,0x2caf012e,0x9b44003f}},	//   sked, _محمد, legd_, _منقو, 
   {{0x940c06d0,0x399a024a,0xdb090126,0x6721626e}},	//   ədə_, cës_, _ureñ, rolj, 
   {{0xe94500d4,0xda040093,0x6721626f,0x9f400036}},	//   _شرای, _счуп, solj, nziò_, 
   {{0x672114f0,0x3f89006d,0x6c7a0070,0x2739023e}},	//   polj, jrau_, וארפ, jèng_, 
   {{0x3f896270,0x88bd0083,0x00000000,0x00000000}},	//   drau_, bośc, --, --, 
   {{0x412a6271,0x6b9b01f2,0xa822015f,0x2019040c}},	//   дово_, _lqug, _مکین, _axsi_, 
   {{0x3f896272,0x63b60054,0x0083286c,0x2fc06273}},	//   frau_, _tsyn, илсо, tvig_, 
   {{0x61436274,0xd00707d9,0x412701d0,0x3f896275}},	// [54c0] рета, вете_, тото_, grau_, 
   {{0x45140033,0xddc70304,0x2fc06276,0x6133027e}},	//   _সঠিক_, _sejš, rvig_, rçla, 
   {{0x9d460141,0xdd8f003f,0x127b00c7,0x2fc00d09}},	//   вежд, قول_, _קאטע, svig_, 
   {{0x399a01ee,0x7afd00e4,0x5cc5004e,0x13e60086}},	//   vës_, _įsta, лсіз, _পেয়, 
   {{0x8b966277,0xe4570070,0xdddc009e,0x88bd0083}},	//   треч, דינט_, _ferş, zośc, 
   {{0x399a01ee,0x6e9617bc,0x9f40010e,0x63a96278}},	//   tës_, _جلسا, rzió_, çeni, 
   {{0xf54a0108,0xdc9a0176,0x00000000,0x00000000}},	//   _hấu_, _оташ_, --, --, 
   {{0x399a01ee,0xfce31acc,0x52df32f0,0xb9e300dd}},	//   rës_, _косо, _नक्स, ріши, 
   {{0x88bd006a,0x8c4351cd,0x8afd000d,0x399a00e5}},	//   wośc, _вете, _stře, sës_, 
   {{0x399a024a,0x31020e49,0xfaa30e65,0x88bd0035}},	//   pës_, रोतः_, _вафо, tośc, 
   {{0x7bc26279,0x399a0034,0x00000000,0x00000000}},	//   lvou, qës_, --, --, 
   {{0xd733022c,0x657a627a,0x57a603a1,0x88bd0083}},	//   лдөө, rsth, _ашка, rośc, 
   {{0x7bc2051e,0xf54a001b,0x6d58014b,0x657a00fc}},	//   nvou, _nấu_, ívaj, ssth, 
   {{0x2caf012e,0x6594627b,0x21390231,0xf53f042a}},	//   zegd_, _баку, _shsh_, små_, 
   {{0x8c3d09c7,0x00000000,0x00000000,0x00000000}},	//   _daşy, --, --, --, 
   {{0x99bb00a7,0x50642102,0x3f89627c,0xd7b60299}},	//   וזלט, итуа, trau_, _अनाच, 
   {{0xa2d00081,0xf54a001b,0xab5d01f2,0x74f80cdf}},	// [54d0] दाश्, _cấu_, _arżn, _шеър_, 
   {{0xf54a0029,0x2ef4627d,0x7bc20144,0x2739009c}},	//   _dấu_, азур, dvou, rèng_, 
   {{0x7bc2586d,0xdddc0216,0xa2d02dde,0x2739011c}},	//   evou, _verş, दार्, sèng_, 
   {{0x506400dd,0x2739627e,0x645d627f,0x00000000}},	//   _втра, mène_, ncsi, --, 
   {{0xceeb086b,0xac84004e,0x4c840451,0x27396280}},	//   _قرآن_, ргіл, рлів, lène_, 
   {{0x8f9a00a7,0xd9d70033,0xf54a0108,0x00000000}},	//   _אישי, তনসম, _hất_, --, 
   {{0xf2d40137,0xeaf30a44,0x3b0700ad,0x39b70248}},	//   יעס_, _अतीत_, rinq_, _kəsə_, 
   {{0xa50200a2,0xeda50283,0x6d5a0175,0xe5a500a3}},	//   _लगेच_, _ишғо, _étaa, қими, 
   {{0xf54a001b,0xf7710198,0x6e3a01d5,0xdbd60502}},	//   _mất_, حاب_, _útbr, mäße, 
   {{0x6d556281,0x2be0031e,0xb05b02ae,0x600e0054}},	//   _kuza, कहरू_, _knäs, lômô, 
   {{0x66056282,0x6d554514,0x75466283,0x00000000}},	//   упна, _juza, лноз, --, 
   {{0x6d5528f5,0xa87900c7,0x26ce06df,0x9a9901dd}},	//   _muza, _װאַר, _enfo_, žādā, 
   {{0x6d550a9f,0x7ae1027e,0xe72e39cc,0xb6a56284}},	//   _luza, _kolt, _ге_, _билл, 
   {{0xc879078a,0xc7b200d1,0x4375004f,0x201c0241}},	//   laş_, _לבד_, шуют, şvik_, 
   {{0x7ae16285,0xf54a00e7,0x27390107,0x65b800f0}},	//   _molt, _bất_, gène_, _ауыр_, 
   {{0x61e1014e,0xb4db03a1,0xf54a00e7,0xe610009c}},	//   älla, rmàc, _cất_, _بشه_, 
   {{0x7e751175,0xb348003d,0x251b00d1,0x30756286}},	// [54e0] _bezp, _agħż, _רופא, русс, 
   {{0x4df6030f,0x6d556287,0x27e001be,0x00000000}},	//   ляет, _buza, _àine_, --, 
   {{0x91e66288,0x6d5502aa,0x80d30033,0x27390151}},	//   _соне, _cuza, _সতর্, cène_, 
   {{0x2d870503,0x6d55015e,0xf54a0023,0x7bc2123b}},	//   ánea_, _duza, _tấu_, tvou, 
   {{0x7ae16289,0x7fd5004e,0xc879008f,0x1bd40009}},	//   _bolt, _кірі, daş_, роля, 
   {{0x6b8400ef,0x3f92628a,0x7ae1628b,0x28a60179}},	//   šigo, muyu_, _colt, क्नि, 
   {{0xee370595,0x6d55628c,0x3f92628d,0x13ad0033}},	//   _бнр_, _guza, luyu_, খিয়, 
   {{0x8c460def,0x61e10664,0xc879628e,0x00000000}},	//   _бебе, ølli, gaş_, --, 
   {{0x6d55628f,0x3f92027e,0x7ae16290,0xa6f44a80}},	//   _zuza, nuyu_, _folt, изиш, 
   {{0x6d5502f1,0x7f4e003d,0x7ae10144,0x6d4200b4}},	//   _yuza, _jibq, _golt, lmoa, 
   {{0xd88400d4,0x645a00bc,0x97d7010e,0xc8790213}},	//   _نهای, ětin, نظیر_, baş_, 
   {{0x3f9233f2,0x27396291,0x7ae16292,0x04671628}},	//   kuyu_, vène_, _zolt, ытом, 
   {{0xf54a00f7,0x2bc70bb9,0x09060019,0x69c800de}},	//   _rất_, लिया, _لڑکی_, _hrde, 
   {{0x88bd0035,0x69c80604,0x7f4e00a4,0x00000000}},	//   nośn, _krde, _nibq, --, 
   {{0x68e26293,0x7e75016a,0xd13b6294,0x69d802b0}},	//   _kood, _rezp, еха_, nxve, 
   {{0x6d556295,0x68e26296,0x27390212,0x00000000}},	//   _ruza, _jood, rène_, --, 
   {{0x68e26297,0xf54a0023,0xdb090379,0x3f92009c}},	// [54f0] _mood, _vất_, _kreô, guyu_, 
   {{0xdef81838,0x3f8702f5,0x200d010d,0x63ad6298}},	//   лых_, čnu_, _þeim_, _ipan, 
   {{0xf54a0029,0x62856299,0xadb5629a,0xdc550165}},	//   _tất_, _idho, рбеш, авењ, 
   {{0x68e201a9,0xa3e90659,0xf54a0108,0x3f92025b}},	//   _nood, _यथा_, _uất_, buyu_, 
   {{0x69c8629b,0x6d5a2b9a,0x7ae1629c,0xc87905b7}},	//   _arde, _étan, _polt, vaş_, 
   {{0x63ad0a49,0x6d55629d,0x69c3016a,0x2bc72414}},	//   _mpan, _tuza, tvne, लिबा, 
   {{0x7ae1629e,0x68e2042e,0xdb00055f,0xc879035d}},	//   _volt, _bood, _opmæ, taş_, 
   {{0x63ad629f,0x2d930183,0x7ae12410,0x88c95a60}},	//   _opan, muxe_, _wolt, тлив_, 
   {{0x68e201a9,0x6285220b,0x7ae12eed,0xccf200a7}},	//   _dood, _odho, _tolt, _וכן_, 
   {{0x7d0b62a0,0x2cbf13d8,0xe73902a6,0xa3b00035}},	//   ligs, _haud_, ђен_, _टैग_, 
   {{0xa2d900ea,0x63ad62a1,0xe5a562a2,0x69c82b4a}},	//   मान्, _apan, шини, _grde, 
   {{0x7bc962a3,0x7d0b62a4,0x68e262a5,0xc87962a6}},	//   _kreu, nigs, _good, qaş_, 
   {{0x61e1022b,0x5fc90249,0x00000000,0x00000000}},	//   älln, रिफल, --, --, 
   {{0xf77000c5,0x2cbf62a7,0x386d62a8,0x394f0097}},	//   _راه_, _laud_, lber_, _higs_, 
   {{0xc4e50237,0x7d0b02dc,0x420701a2,0x68e20036}},	//   ãƒâ_, kigs, анро_, _yood, 
   {{0x394f0626,0x386d01d5,0x1c150790,0x208700a3}},	//   _jigs_, nber_, तपाल_, ийси_, 
   {{0x386d01c4,0xaf0662a9,0x394f0102,0x7d0b040b}},	// [5500] iber_, апал, _migs_, digs, 
   {{0x543b0070,0x386d0241,0x3f92106f,0xe37b00df}},	//   _בעפא, hber_, ruyu_, _שריר, 
   {{0xa0a662aa,0x386d62ab,0x63ad0082,0x7d0b0380}},	//   _канд, kber_, _zpan, figs, 
   {{0x0b8a15f5,0xdca66111,0x7bc962ac,0x7b665b13}},	//   вски_, ради, _breu, атке, 
   {{0x7bc962ad,0x2cbf36fa,0x68e262ae,0x69c862af}},	//   _creu, _daud_, _rood, _srde, 
   {{0x7bc962b0,0x68e2007e,0x6d420a9f,0xee3a62b1}},	//   _dreu, _sood, smoa, _анг_, 
   {{0x68e200b0,0xb05b0219,0xf9e90033,0x7bc90096}},	//   _pood, _knäp, _কেবল_, _ereu, 
   {{0xa7743888,0x7bc962b2,0x97a662b3,0x00000000}},	//   блич, _freu, арол, --, 
   {{0x7bc962b4,0x5fc901a4,0x6fc91779,0x68e200b0}},	//   _greu, रियल, रियं, _vood, 
   {{0x2cbf023b,0x28a602e6,0x68e262b5,0xf6e61211}},	//   _zaud_, _कॉरि, _wood, рцин, 
   {{0xd5b762b6,0x386d62b7,0x68e2007e,0xd6d762b8}},	//   ася_, bber_, _tood, рты_, 
   {{0x186a54ec,0x6fc907d5,0x63ad0065,0x2ca60156}},	//   _ради_, रिमं, _ppan, nfod_, 
   {{0xda780039,0x07da00d4,0x8af900ad,0xd6d9022c}},	//   _keď_, _جذاب_, bləğ, ттө_, 
   {{0x61e102ae,0x59bd2a2c,0xdbe1009e,0x00000000}},	//   ällo, ्मचर, sîça, --, 
   {{0xb6cb006b,0x31c462b9,0x57b600bc,0x00000000}},	//   _جانے_, оств, _अनुह, --, 
   {{0x26de00ef,0x2739011c,0x00000000,0x00000000}},	//   ljto_, mèna_, --, --, 
   {{0x63ad62ba,0x752d62bb,0x8af900ad,0x2cbf62bc}},	// [5510] _upan, _ikaz, lləş, _raud_, 
   {{0x28a6036e,0x2cbf006f,0x2d870503,0xf54a001b}},	//   क्ति, _saud_, áneo_, _hấp_, 
   {{0x386d07f2,0x2cbf57e9,0x7d0b2df2,0x8af90095}},	//   yber_, _paud_, tigs, nləş, 
   {{0x7c872338,0x237f090e,0x67280ab4,0x30a762bd}},	//   руже, šuju_, hodj, _тров, 
   {{0x672803f5,0x752d1c36,0x60da027a,0x7d0b0a98}},	//   kodj, _mkaz, _עקשנ, rigs, 
   {{0x7bc962be,0xf54a0023,0x2d930068,0x7d0b03fc}},	//   _vreu, _lấp_, puxe_, sigs, 
   {{0x752d62bf,0xceb200a7,0x386d016a,0x7db400eb}},	//   _okaz, _מים_, tber_, _وصفا, 
   {{0x7bc962c0,0xac9462c1,0xa3c9031e,0x386d62c2}},	//   _treu, _масш, ोमा_, uber_, 
   {{0x7d0962c3,0x6edb059e,0x394f0876,0x69de017b}},	//   _imes, नापु, _vigs_, øper, 
   {{0x672807d1,0x752d62c4,0x7d1b0c4c,0x7c3b62c5}},	//   godj, _akaz, _hjus, _izur, 
   {{0x77690042,0x2d810118,0x25ae02be,0xb4db03dd}},	//   spex, nshe_, _cpfl_, rmàn, 
   {{0xf54a00f7,0xda7802d9,0x23c302e6,0x3f800028}},	//   _cấp_, _zeď_, शिंद, ysiu_, 
   {{0x672805ae,0x7d0962c6,0xa85600a7,0x7c3b008a}},	//   bodj, _mmes, _הינה_, _jzur, 
   {{0x7d1b62c7,0x7c3b0010,0x62631f0d,0x752d02a5}},	//   _ljus, _mzur, звра, _ekaz, 
   {{0x27ed62c8,0x7d0962c9,0xf5950038,0x629b0082}},	//   lyen_, _omes, _العج, đuop, 
   {{0xf54a001b,0x7d1b090e,0xa56420b4,0x2bb802e6}},	//   _gấp_, _njus, _بدون, _इनला, 
   {{0x27ed158b,0x7c3b0010,0x27ff008a,0x66ee1d00}},	// [5520] nyen_, _nzur, nzun_, _चकमक_, 
   {{0x7d0962ca,0x7e5662b9,0x7d1b62cb,0xdfcf00eb}},	//   _ames, стац, _ajus, عيل_, 
   {{0x3f80022c,0xe1f20444,0x27ed3e38,0x68fb0727}},	//   ssiu_, _رسد_, hyen_, khud, 
   {{0x6d5a62cc,0xa1360444,0xf54a0108,0x8d8500d7}},	//   _étam, _درخش, _xấp_, زشمن, 
   {{0xac0a1e54,0x2ca602bf,0x27ed0e3f,0x60c462cd}},	//   ында_, rfod_, jyen_, mdim, 
   {{0x7d0962ce,0x27ed06df,0x64410095,0x60c462cf}},	//   _emes, dyen_, əlid, ldim, 
   {{0x67284beb,0xda780228,0x443201e5,0xf9670080}},	//   vodj, _veď_, _lyy_, брый_, 
   {{0x60c462d0,0x5ca30013,0x68fb62d1,0x442062d2}},	//   ndim, _нисб, ghud, _oxi_, 
   {{0x27ed006b,0xda78031e,0x200000d9,0x60c43567}},	//   gyen_, _teď_, nzii_, idim, 
   {{0xc6f70238,0xf76f0b7e,0x8b2600e4,0x7d090032}},	//   йных_, راً_, _удзе, _zmes, 
   {{0x67280d9d,0x7d0900f8,0x19f900b3,0x68fb011c}},	//   rodj, _ymes, _кэць_, bhud, 
   {{0x27ed0cd7,0x8af906d0,0x672862d3,0x629e00a1}},	//   byen_, rləş, sodj, _acpo, 
   {{0x7e7e0691,0xf54a0023,0xddd50118,0x8af90248}},	//   kapp, _vấp_, _egzň, sləş, 
   {{0x6456006b,0xd765009c,0x2d810034,0xa2d91b38}},	//   _egyi, _بنوی, yshe_, माध्, 
   {{0x752d62d4,0xd0ab286c,0x7e7e486a,0xf54a0108}},	//   _tkaz, лтад_, dapp, _tấp_, 
   {{0x752d2365,0x44200415,0x39ae0248,0x7e7e2b76}},	//   _ukaz, _fxi_, _kəsb_, eapp, 
   {{0x14d60e0d,0x2d8302fe,0x6133027e,0x9f544083}},	// [5530] धारण, _svje_, nçli, звуч, 
   {{0x6d40090a,0x7d0962d5,0x2d810364,0x9e1500e4}},	//   _ahma, _smes, tshe_, одзі, 
   {{0x6d4002fe,0x8d8700d3,0xb0c409e2,0x28bd62d6}},	//   _bhma, сузд, _लोकग, ्यमि, 
   {{0x2489012b,0x2d81021e,0x6d4001ff,0x7a42010e}},	//   _jdam_, rshe_, _chma, zíté, 
   {{0x7d09008b,0x7e7e62d7,0xddb800a3,0x4fc71dbd}},	//   _vmes, bapp, _қуёш_, _усна, 
   {{0x28a61489,0x7e7e62d8,0x27ed62d9,0xa8a70585}},	//   क्सि, capp, vyen_, şmüş_, 
   {{0xdd945b13,0x6d580187,0x248902f1,0x68fb0204}},	//   _нары, ívat, _odam_, thud, 
   {{0x7d0962da,0x27ed06df,0x27ff0a9f,0x236905d5}},	//   _umes, tyen_, tzun_, _otaj_, 
   {{0xe8f605c6,0x2369023b,0x7c3b62db,0x68fb03fa}},	//   іль_, _ntaj_, _uzur, rhud, 
   {{0x05a91c0f,0x4585527c,0x27ed62dc,0xd7090088}},	//   авой_, огов, ryen_, рное_, 
   {{0x27ed62dd,0x443200c8,0x7a42010e,0x1dd90299}},	//   syen_, _syy_, ríté, णमित, 
   {{0x7a420019,0x03a60088,0x7e7e62de,0x81df0033}},	//   síté, оимо, zapp, থনা_, 
   {{0xdd0c00ab,0x7a42010e,0xe0df01fd,0x2b520241}},	//   _późn, píté, _mhòd_, _üncü_, 
   {{0x36690886,0x61ee62df,0x6d4802a3,0x387f62e0}},	//   _тако_, tybl, _èdav, laur_, 
   {{0xd5ac006b,0x236962e1,0x2d870228,0x2cad62e2}},	//   _یہی_, _etaj_, šnej_, _obed_, 
   {{0x60c4012d,0x4420006f,0x463a00c7,0x7e7e4658}},	//   udim, _txi_, _דעצע, wapp, 
   {{0x44320102,0x00000000,0x00000000,0x00000000}},	// [5540] _uyy_, --, --, --, 
   {{0x6d40024a,0x200062e3,0x63ab0219,0x2cad62e4}},	//   _shma, rzii_, _ägna, _abed_, 
   {{0xbc6a024f,0x6da301a2,0x57b6007e,0x629c62e5}},	//   لمان_, диха, _अन्ह, mgro, 
   {{0x629c20fe,0x9b6a62e6,0x60c432b1,0x2bca16e8}},	//   lgro, ашка_, qdim, илеп_, 
   {{0x8bb600d4,0x7e7e3631,0x387f085b,0x63a60626}},	//   تصاص, papp, daur_, ntkn, 
   {{0x291d0415,0x2fcf055f,0x6d580183,0x996662e7}},	//   _ajwa_, ægge_, ívas, отил, 
   {{0x14ca00ab,0x6b8262e8,0xe0df01be,0x63a401ff}},	//   ियाण, ssog, _fhòd_, _lqin, 
   {{0x6d5c62e9,0x37aa62ea,0x387f62eb,0x629c017c}},	//   _iura, атон_, gaur_, hgro, 
   {{0x28a606ea,0xd7fa62ec,0x6d5c62ed,0x629c0d62}},	//   क्षि, руй_, _hura, kgro, 
   {{0x6bd70038,0x6efb0216,0x7e7c107c,0x00000000}},	//   _بوكس_, _tîbe, _jerp, --, 
   {{0x7e7c23ae,0x6d5c62ee,0x248900f4,0xa01b0380}},	//   _merp, _jura, _pdam_, _geöf, 
   {{0x6d5c16cc,0x30c50086,0x550700e4,0x7e7c00f8}},	//   _mura, _এক্স, ічна, _lerp, 
   {{0x81af00cc,0x6d5c62ef,0x38cb0a24,0x5bb802e6}},	//   ওয়া_, _lura, _خالی_, _इनोव, 
   {{0x2d87000d,0x6d5c0106,0x629c040b,0x00000000}},	//   ánek_, _oura, ggro, --, 
   {{0x7ae80022,0xa8ee031e,0x386662f0,0x00000000}},	//   _modt, _जवाफ_, _kfor_, --, 
   {{0x705900f6,0x63a4024a,0x7ae802c9,0x7e7c0534}},	//   саар_, _fqin, _lodt, _aerp, 
   {{0x7e7c62f1,0x6d5c62f2,0xdced01dd,0x403462f3}},	// [5550] _berp, _aura, ākļo, детс, 
   {{0x6d5c62f4,0x629c01f5,0x539a00a7,0xfe7020b4}},	//   _bura, cgro, _פיתו, ندم_, 
   {{0x6d5c62f5,0x7e7c62f6,0x7bc062f7,0x31350596}},	//   _cura, _derp, _asmu, _неор, 
   {{0xd7bc0239,0x7afa62f8,0xe7bc2b48,0x00000000}},	//   ्टाच, _altt, ्टाप, --, 
   {{0x7ae8084c,0x3af5134f,0xe0df62f9,0x9fa2010c}},	//   _bodt, зяйс, _fiòr_, _rêça_, 
   {{0x7bc0011c,0x9b68012d,0xed050dec,0x00000000}},	//   _dsmu, ішча_, _کورپ, --, 
   {{0x6d5c62fa,0x7bc003dd,0xe8df0108,0x9985007a}},	//   _gura, _esmu, _ngợm_, ألبو, 
   {{0x28bd0e07,0xddc70604,0x2cad0175,0x99d4029a}},	//   ्यधि, _kejž, _ubed_, بتها, 
   {{0x7f5d026d,0x2d9e014e,0x7ae80566,0xfbbf1432}},	//   _jusq, _äter_, _fodt, _एनिम, 
   {{0x6d5c31f9,0x7ae800dd,0x7f5d62fb,0x00000000}},	//   _yura, _godt, _musq, --, 
   {{0x6d5c62fc,0xe8550038,0x2bbf072e,0x8aa400a3}},	//   _xura, _فناد, _शैता, _юртд, 
   {{0xe56e109a,0x629c2557,0x26c30352,0x6d480036}},	//   _үз_, wgro, žjo_, _èdat, 
   {{0x629c3728,0x98e40038,0x08760070,0xddc700d8}},	//   tgro, _تكنو, _זענט_, _nejž, 
   {{0x254d00bc,0x853d0028,0x36c4017b,0x63a64313}},	//   _měly_, ltėl, _обіг, rtkn, 
   {{0x629c62fd,0xbbb802ff,0x91e600be,0x867a00d1}},	//   rgro, _इन्क, чове, _הרצו, 
   {{0x6d5a0518,0x7f5d62fe,0xc0e362ff,0x629c0511}},	//   _étai, _busq, носк, sgro, 
   {{0x6d5c286b,0x629c53d0,0xe29a6300,0x00000000}},	// [5560] _sura, pgro, _лап_, --, 
   {{0x6d5c6301,0xdfcf0038,0xaec36302,0x7e7c021e}},	//   _pura, ديك_, нбул, _qerp, 
   {{0x7e7c1deb,0xfc66048a,0x6d5c6303,0x25616304}},	//   _verp, пълн, _qura, _jól_, 
   {{0x6d5c04be,0x6fc9049f,0x409600c8,0x7e7c12b6}},	//   _vura, रिशं, _эрот, _werp, 
   {{0x7e7c11f7,0x6d5c2c63,0x92e913b4,0x7bcf0183}},	//   _terp, _wura, _طریق_, _ácul, 
   {{0x6d5c6305,0x38660ab4,0x60c66306,0x98a401dd}},	//   _tura, _sfor_, _hakm, domā_, 
   {{0x2bb80035,0x00000000,0x00000000,0x00000000}},	//   _इनका, --, --, --, 
   {{0x61e16307,0x7ae3006d,0xc8fc0086,0xae1b00d1}},	//   älli, ajnt, ুক্ত_, _הולכ, 
   {{0x60c64852,0x69c101f1,0x387d00f3,0x6009040c}},	//   _makm, _esle, _dewr_, _nоml, 
   {{0xd6da6308,0x862649a6,0x256123f8,0xdddc2409}},	//   сти_, зьме, _ból_, _nerū, 
   {{0x2fc700e7,0xc48503a1,0x00000000,0x00000000}},	//   ̉ng_, үлүк, --, --, 
   {{0x3eba02b0,0x387d009e,0x69a10110,0x00000000}},	//   hept_, _gewr_, _गमती, --, 
   {{0x395e01ca,0x25610354,0x00000000,0x00000000}},	//   _huts_, _eól_, --, --, 
   {{0x66e302fb,0x28da3267,0x60c60102,0x2d9a6309}},	//   _поча, भावि, _aakm, kupe_, 
   {{0x2561200a,0x60c6027e,0xd5af058e,0x7f55630a}},	//   _gól_, _bakm, _яс_, _rizq, 
   {{0x395e027f,0xd250010e,0x2d9a05ca,0x00000000}},	//   _muts_, انِ_, dupe_, --, 
   {{0x60c62720,0x395e00bd,0x00000000,0x00000000}},	// [5570] _dakm, _luts_, --, --, 
   {{0x853d0028,0xaf3300d7,0x00000000,0x00000000}},	//   itėm, رواژ, --, --, 
   {{0x2d87630b,0x7e65630c,0x2d9a011c,0x395e015c}},	//   éne_, rchp, gupe_, _nuts_, 
   {{0x6e350098,0x7e653208,0x25dd00bc,0x8c3d0474}},	//   _vyzb, schp, गमती_, _obşt, 
   {{0xfbab09e7,0x00000000,0x00000000,0x00000000}},	//   стей_, --, --, --, 
   {{0x3eba630d,0x395e0107,0x78a200b9,0x3dc60035}},	//   cept_, _buts_, _acov, łowa_, 
   {{0xa9c400eb,0x2d9a0107,0xceb20070,0x60c60241}},	//   فزيو, cupe_, _שיל_, _yakm, 
   {{0x25610d4b,0x6ca4630e,0x395e00b9,0x28da09ef}},	//   _ról_, _пруж, _duts_, भाषि, 
   {{0x2561630f,0xfbdf0218,0x29030009,0x752f0035}},	//   _sól_, _çê_, ėja_, docz, 
   {{0x09bc00cc,0xca4800d4,0x5589388f,0x69c16310}},	//   _অপরা, _کلمه_, обом_, _tsle, 
   {{0x69c16311,0xf21229c4,0x00000000,0x00000000}},	//   _usle, _डेढ़_, --, --, 
   {{0x3eba01c4,0x00000000,0x00000000,0x00000000}},	//   zept_, --, --, --, 
   {{0x290f0508,0x00000000,0x00000000,0x00000000}},	//   _imga_, --, --, --, 
   {{0x256130a7,0x60c6009c,0x853d0009,0x78bb4d68}},	//   _tól_, _sakm, ntėj, leuv, 
   {{0xb0c90035,0x21670258,0x752f0035,0x395e00b9}},	//   ाएंग, диси_, bocz, _xuts_, 
   {{0x78bb6312,0x26c70199,0x69ce35d2,0xfefa0033}},	//   neuv, _hano_, थिती, _আদেশ_, 
   {{0x26c76313,0xaec66314,0x3eba00d9,0x03266315}},	// [5580] _kano_, мбал, tept_, _один, 
   {{0x24806316,0xd5b10d1d,0x68eb04c6,0x2d9a6317}},	//   _heim_, _जहाज, _logd, tupe_, 
   {{0x26c76318,0x60c66319,0x80a6072f,0x6b89631a}},	//   _mano_, _takm, _छापे, _aveg, 
   {{0x2d870165,0x2d9a631b,0x3eba631c,0x26c7631d}},	//   ânea_, rupe_, sept_, _lano_, 
   {{0x2d9a0532,0x61e102ae,0x1ab40080,0x00000000}},	//   supe_, ällv, ебля, --, 
   {{0xf96a631e,0x27e00405,0x290f4ad7,0x78a2002b}},	//   орий_, _ħin_, _amga_, _scov, 
   {{0x200d06b6,0x8c480218,0x68eb631f,0x3da700b3}},	//   _þeir_, _başû, _bogd, _окро_, 
   {{0xa3de031e,0xb4c804cc,0x2bbf02e6,0x69340444}},	//   णमा_, ईयो_, _शैवा, رکار, 
   {{0x7d022bcc,0x26c70298,0x68eb6320,0x200400ad}},	//   mhos, _bano_, _dogd, _ümid_, 
   {{0x7d0202a0,0x752f00ab,0x0b430a65,0x395e6321}},	//   lhos, wocz, _анун, _tuts_, 
   {{0x248002ec,0x75d400eb,0x151500c8,0x8e9700d1}},	//   _beim_, ريحا, едня, ודיו_, 
   {{0x7d026322,0x290f012b,0x2ebb048e,0x38cb08b6}},	//   nhos, _gmga_, _उस्त, _وانی_, 
   {{0x26c76323,0x27e00540,0x752f0035,0x8afd00bc}},	//   _fano_, _çin_, rocz, _stři, 
   {{0xf54a0029,0x26c76324,0x2fc06325,0xe60f06bc}},	//   _mấy_, _gano_, dwig_, اشی_, 
   {{0xf54a0029,0x3946006d,0x7d02044d,0x752f00ab}},	//   _lấy_, _khos_, khos, pocz, 
   {{0xd25801fc,0x64410248,0x00000000,0x00000000}},	//   ьця_, əlin, --, --, 
   {{0x7d026326,0x26c702dc,0x69dc0183,0xf54a0023}},	// [5590] dhos, _yano_, _áref, _nấy_, 
   {{0xa3be07d5,0xf3ff0165,0x8afd02d9,0x26c74552}},	//   ीटर_, lcão_, _kuře, _xano_, 
   {{0x6b8902f5,0x7d026327,0xc7c80108,0xe2a7003e}},	//   _sveg, fhos, _lố_, áður_, 
   {{0xf54a0023,0x7d026328,0xf3ff019c,0x00000000}},	//   _bấy_, ghos, ncão_, --, 
   {{0x4fc45f15,0xf54a0023,0x3f9b00ad,0x6d4b0339}},	//   _исра, _cấy_, ququ_, rmga, 
   {{0x290f02cd,0x3946012b,0xdb1b0038,0x539c027a}},	//   _smga_, _ahos_, _tsuí, קסוא, 
   {{0x26c76329,0x7d02632a,0x394601f5,0xa96600fd}},	//   _rano_, bhos, _bhos_, нища_, 
   {{0xc7c80029,0x6b89632b,0x26c7632c,0x673a038c}},	//   _bố_, _tveg, _sano_, eltj, 
   {{0x26c7632d,0xc7c80029,0x3946023b,0x78bb026a}},	//   _pano_, _cố_, _dhos_, reuv, 
   {{0x3ea1632e,0xeab00038,0x6e2a0034,0x7cde020f}},	//   nght_, _نعم_, _ëmbë, _tărâ, 
   {{0x3ea1632f,0x6d5a026a,0x26c758fd,0x2bc70e17}},	//   ight_, _état, _vano_, लिका, 
   {{0xed59000d,0x64ca1567,0x673a0a58,0x39460379}},	//   _již_, ियेश, altj, _ghos_, 
   {{0x394d6330,0xdd0c006a,0x26c70010,0x248000b9}},	//   mmes_, _różn, _tano_, _veim_, 
   {{0x394d6331,0xe1f801a2,0x2739023e,0x0ece1230}},	//   lmes_, дҳо_, kèni_, _होंड, 
   {{0x7d026332,0x394d03a1,0x28a66333,0x69dc0212}},	//   yhos, omes_, क्कि, _àret, 
   {{0x7d026334,0xafe62567,0x458200fd,0x40951152}},	//   xhos, нобл, _сгъв, крут, 
   {{0x14dd3024,0x1e961988,0xc95200d1,0x291f6335}},	// [55a0] यारण, ерер, רמן_, inua_, 
   {{0x394d6336,0x2fc06337,0x64440027,0xf8bd6338}},	//   hmes_, rwig_, _izii, ्युप, 
   {{0x394d1916,0xf54a0023,0x2fc06339,0xe3b20499}},	//   kmes_, _sấy_, swig_, _شرک_, 
   {{0xa6de00f7,0x0c26633a,0x69ce0183,0xfd660023}},	//   _nhưn, нмен, _ábei, _khuấ, 
   {{0x28c3000c,0x99bc0086,0x7d02633b,0x7afd0028}},	//   वजनि, _অপেক, rhos, _įstr, 
   {{0x7d02633c,0x67230210,0x80a600bc,0xf9c62caa}},	//   shos, _njnj, _छाडे, ещин, 
   {{0xc7c800f7,0x7d02633d,0x3946192d,0x21200ab4}},	//   _số_, phos, _phos_, onih_, 
   {{0x3cff0082,0x394d633e,0xa6de0023,0x15720148}},	//   _gluv_, gmes_, _chưn, ққиё, 
   {{0xf76f00d4,0xf77200eb,0x7d00007e,0x69dc0082}},	//   یای_, داع_, _ilms, _šred, 
   {{0x09e628f0,0xbb53152c,0x7524025b,0x45d444d7}},	//   _позн, _منقب, _ajiz, воос, 
   {{0xceb300a7,0x6444633f,0x00000000,0x00000000}},	//   אית_, _azii, --, --, 
   {{0xc7c8001b,0x28a76340,0x3f890156,0xe61803a1}},	//   _tố_, _गायि, ysau_, здү_, 
   {{0x258600bc,0xe0df00a1,0xf7f3070f,0x764302a5}},	//   _bílá_, _bhòn_, _مسود, _ezny, 
   {{0x02cb00bd,0x69dc488c,0xf3ff019c,0x644100ad}},	//   ायेन, _àres, scão_, əlil, 
   {{0x7d000102,0x69dc0068,0x21202cb7,0x6444052b}},	//   _olms, _áred, fnih_, _ezii, 
   {{0xa63b00d1,0xd138152f,0xb4db03dd,0xe63b00d1}},	//   _מגור, еху_, gmàt, _מתוכ, 
   {{0x7f59058e,0x101700d4,0x273900c5,0xa923014b}},	// [55b0] даас_, ربرد, wèni_, ížil, 
   {{0x61e1014e,0x8e276341,0x3ea100a7,0x2d870165}},	//   älls, нфед, ught_, âneo_, 
   {{0x212006e0,0x3f896342,0xdd9b2ee5,0x00000000}},	//   bnih_, ssau_, яша_, --, 
   {{0x5ce46343,0x4a740259,0x2739023e,0xa2d95719}},	//   люча, қышт, rèni_, माक्, 
   {{0x60cd0268,0xfaa5052d,0x60dd039b,0xa2c6009a}},	//   mdam, вало, _insm, ायच्, 
   {{0x60cd6344,0x60dd016a,0x3869115a,0xe3b40070}},	//   ldam, _hnsm, _żar_, רױס_, 
   {{0x60cd012d,0x394d6345,0xf2d40070,0x4429019c}},	//   odam, tmes_, טעס_, _lxa_, 
   {{0x60cd107d,0x62876346,0x29046347,0x6f170126}},	//   ndam, hajo, ghma_, lixc, 
   {{0x394d6348,0xf7716349,0x2009634a,0x5ef808dd}},	//   rmes_, جاب_, nzai_, _एवम्_, 
   {{0x394d634b,0x60cd634c,0x6287634d,0x7c29634e}},	//   smes_, hdam, jajo, _ixer, 
   {{0x4429634f,0x62876350,0x7c3b02a2,0x6d490026}},	//   _axa_, dajo, _hyur, _khea, 
   {{0xc32900fe,0x6d490348,0xdb1b01f1,0xb8151b11}},	//   _וו_, _jhea, _iruñ, _идеј, 
   {{0x6d4911a1,0x60cd0547,0x68e9027c,0xd17500f0}},	//   _mhea, ddam, mjed, ғысы, 
   {{0x68e96351,0xe61113b4,0x60dd3660,0xa2d90662}},	//   ljed, _پشت_, _ansm, माग्, 
   {{0x5eca0086,0x6d4901cf,0xddc500d8,0x00000000}},	//   রামে, _ohea, dchů, --, 
   {{0x60cd6352,0x7fd6004e,0x68e90204,0x2009025b}},	//   gdam, кізі, njed, fzai_, 
   {{0x62876353,0x6563347c,0xb4db03a1,0x1eca03dc}},	// [55c0] bajo, _hunh, rmàt, млаи_, 
   {{0x21200121,0x60cd0d44,0x656300c8,0x6d4900df}},	//   snih_, adam, _kunh, _ahea, 
   {{0x6d49003c,0x656303b7,0xe1260a43,0x68fb007e}},	//   _bhea, _junh, _амни, kkud, 
   {{0x6d496354,0x65635875,0x61e10219,0x6d5b01be}},	//   _chea, _munh, ålle, _ciua, 
   {{0x6d490a9a,0x4e12000d,0xdca36355,0x26cc0156}},	//   _dhea, _धेरै_, рачи, yddo_, 
   {{0x69ce007e,0xdb1b001d,0x7bc212b6,0x7c3b040c}},	//   थिली, _bruñ, rwou, _dyur, 
   {{0x656324d3,0x6d4911a1,0xe5670071,0xdb1b0183}},	//   _nunh, _fhea, _خط_, _cruñ, 
   {{0x6d490544,0x68e9024a,0x6d5b00a1,0xada60283}},	//   _ghea, gjed, _giua, _паҳл, 
   {{0xaae208d2,0x7c3b010e,0x58386356,0x656300b4}},	//   पादक, _gyur, эзия_, _aunh, 
   {{0x81b90086,0x29046357,0x65630175,0x6d5b00b3}},	//   চিত_, shma_, _bunh, _ziua, 
   {{0x65636358,0x68e902a8,0xdb1b6359,0x6287635a}},	//   _cunh, bjed, _usuá, vajo, 
   {{0xdddc03ef,0x656324d3,0x26ca02ee,0x69c8635b}},	//   _održ, _dunh, žbo_, _isde, 
   {{0xd706635c,0x65630605,0x6287635d,0x60cd635e}},	//   _изди, _eunh, tajo, vdam, 
   {{0xd5b000d4,0x2d9a0082,0x691700b3,0xb4db00b9}},	//   _هفت_, krpe_, nţen, gmàr, 
   {{0xbbbf02e6,0x30a7635f,0x5bbf02e6,0x6563076b}},	//   _एन्क, крав, _एन्व, _gunh, 
   {{0x62876360,0x44296361,0x6b8d02fe,0xdbca01a4}},	//   sajo, _txa_, šagi, _hõõr, 
   {{0x60cd6362,0xbed9085c,0x62876363,0x14190038}},	// [55d0] rdam, ндах_, pajo, _سيدة_, 
   {{0x65636364,0xdf3900eb,0x60cd6365,0xf53f0219}},	//   _yunh, ركات_, sdam, llå_, 
   {{0x7c3b19e0,0x6d490094,0x62856366,0x24920156}},	//   _syur, _phea, _ieho, _ydym_, 
   {{0xdd9400e4,0x28a700b0,0x6e3c6367,0x60cd01ff}},	//   рацы, _गाधि, _dyrb, qdam, 
   {{0x68e9027c,0xeab900ed,0x62856368,0xeb992487}},	//   vjed, ейл_, _keho, хил_, 
   {{0x62856369,0x93fc035c,0x6e3c636a,0x63ad01f2}},	//   _jeho, ולדי, _fyrb, _mqan, 
   {{0x3c9313b4,0xdddc50f4,0x68e90e67,0x6285636b}},	//   _نیاز, _zdrž, tjed, _meho, 
   {{0x6285636c,0x6d5a026a,0x7c2901f1,0x08c51330}},	//   _leho, _étap, _txer, убин, 
   {{0x69c800d3,0x68fb636d,0x7b9900d4,0x213902a2}},	//   _esde, rkud, _سپاس_, _mksh_, 
   {{0x68e902a8,0x62852cb0,0x65630165,0x68fb636e}},	//   sjed, _neho, _punh, skud, 
   {{0x941e06d0,0xe0df01be,0x00000000,0x00000000}},	//   ətə_, _phòl_, --, --, 
   {{0xf2c90111,0x97c502b4,0x5a0c00c7,0x7bc905d5}},	//   _מע_, _مقصو, _קלאַ, _kseu, 
   {{0x6285530a,0xa635004e,0x48e00035,0xe0df0023}},	//   _beho, _өнді, कारो_, _chòm_, 
   {{0xe363636f,0xe5a56370,0x69dc0068,0xddde0097}},	//   скри, _бики, _árec, hapš, 
   {{0x021900dd,0x2c1a031e,0x62856371,0xf53f1950}},	//   віть_, _मेनू_, _deho, blå_, 
   {{0x386d6372,0xe0df01be,0x6da626e7,0xa2a805ff}},	//   ncer_, _cnò_, ғида, ञ्ज्, 
   {{0xafe36373,0x614300ff,0x00000000,0x00000000}},	// [55e0] ботл, сета, --, --, 
   {{0x62856374,0xa30400f0,0x6d436375,0x7f5c01ff}},	//   _geho, _түге, înan, _qirq, 
   {{0x386d0089,0x7bc90574,0x00000000,0x00000000}},	//   kcer_, _aseu, --, --, 
   {{0x163600c7,0xa3c800bd,0x00000000,0x00000000}},	//   אנער_, _ईना_, --, --, 
   {{0x925a00c5,0x6285092f,0xdddc05a8,0xaff50019}},	//   _تشکر_, _yeho, _udrž, _پہلا_, 
   {{0x69c80496,0xbb830038,0x386d02aa,0xac0703a1}},	//   _psde, حلوي, ecer_, ынча_, 
   {{0x14aa009a,0x5eca0033,0x7bc9020f,0x690700b4}},	//   _काढण, রাদে, _eseu, _oñed, 
   {{0xed576376,0x7aa301a2,0xee370267,0x6b4403dd}},	//   _бос_, _ҳифз, _снс_, cògn, 
   {{0x1d070088,0xdd9600f0,0xb6a30108,0x7bdd02be}},	//   _сети_, _шаңы, _tuầ, _àsup, 
   {{0x35b46377,0x569405b2,0x00000000,0x00000000}},	//   абор, јант, --, --, 
   {{0x62856378,0xdbca007e,0xe814203f,0x64406379}},	//   _reho, _võõr, _तेरा_, ümin, 
   {{0x386d637a,0x6285637b,0x6917002e,0x2ca61272}},	//   ccer_, _seho, nţel, ngod_, 
   {{0x3eb80f4c,0x62850604,0xab0001d5,0x00000000}},	//   _obrt_, _peho, _þjóð_, --, 
   {{0xf53f0075,0x59b80425,0x00000000,0x00000000}},	//   slå_, _आहार, --, --, 
   {{0x41e41003,0x00000000,0x00000000,0x00000000}},	//   біта, --, --, --, 
   {{0x161a0586,0xf4873e97,0xa07501ff,0x2eff0212}},	//   _फेयर_, _сукн, ргач, _œuf_, 
   {{0xa2950769,0x6285637c,0x7059022c,0x3f15637d}},	// [55f0] _капі, _teho, таар_, адас, 
   {{0x69170474,0x26ce0104,0x00000000,0x00000000}},	//   eţel, _jafo_, --, --, 
   {{0x8afc00ab,0xd2510296,0x00000000,0x00000000}},	//   _międ, _گنگ_, --, --, 
   {{0x26ce637e,0x1c1600b0,0xed130033,0x00000000}},	//   _lafo_, _देहल_, িক্স_, --, 
   {{0xdd94032e,0x6a8500cf,0x2b5e00a1,0x4c8401fc}},	//   _қаты, алла, _bitc_, слів, 
   {{0x60cf637f,0x4995065b,0x00000000,0x00000000}},	//   _hacm, ашит, --, --, 
   {{0xa2ad031e,0x3b060093,0x7e740019,0x53380070}},	//   _जान्, рещо_, _چاہئ, אנגן_, 
   {{0x2fd900ef,0x1c1610ae,0x386d01be,0x60cf05d5}},	//   _krsg_, _देवल_, ucer_, _jacm, 
   {{0x386d6380,0x60cf6381,0x2f04014e,0x26ce6382}},	//   rcer_, _macm, _höga_, _bafo_, 
   {{0xc9874dc2,0x386d02a0,0x46f56383,0x28a7031e}},	//   _буди, scer_, рчит, _गावि, 
   {{0xa50a0925,0x26ce0183,0xd6296384,0x2fcb02c7}},	//   вена_, _dafo_, тоне_, _lscg_, 
   {{0x69dc0b85,0x27e00ab4,0x7dd0010e,0xc8c80499}},	//   _área, _šine_, lósá, _مومن_, 
   {{0xa6c96385,0x888c00c7,0x66e56386,0xdddc0604}},	//   _алла_, _טראַ, _вола, _merš, 
   {{0x39ae00ad,0x27300379,0x26ce03c6,0xd33600d9}},	//   _səsi_, kàny_, _gafo_, рэмы, 
   {{0x35a55576,0xe5a535c2,0x216a1cc1,0x311600a3}},	//   _тайг, _тийи, тиби_, афас, 
   {{0x61e1014e,0x60266387,0x27300054,0x66ea010c}},	//   ålla, адба, dàny_, _têkû, 
   {{0xccf81943,0x8fa623de,0x1e866388,0x8e8600c8}},	// [5600] ққа_, разе, илам, игае, 
   {{0xbe8500eb,0x27300054,0xd059017b,0xb4db00b9}},	//   مجمو, fàny_, урсі_, plàc, 
   {{0x91e63a64,0x61466389,0xe29b00d1,0x729b00d1}},	//   _тоне, _вена, _בשיר, _בסיס, 
   {{0x8fa6638a,0xdddc00ef,0x00000000,0x00000000}},	//   _каме, _cerš, --, --, 
   {{0xaae2000d,0x2ca6638b,0x691700b3,0x00000000}},	//   पालक, rgod_, rţel, --, 
   {{0x60c4638c,0x2ca600f8,0x99d60038,0x81b90bf1}},	//   leim, sgod_, لتعا, চির_, 
   {{0x7945006a,0x2ca60102,0x00000000,0x00000000}},	//   równ, pgod_, --, --, 
   {{0x60c4053e,0xdddc0082,0xdca3638d,0x26ce638e}},	//   neim, _gerš, _маси, _safo_, 
   {{0xfaa603dc,0x28bd07d5,0x082a00fd,0x26ce052b}},	//   _вазо, ्यजि, ъцки_, _pafo_, 
   {{0x60c4638f,0xd6da1478,0x6d426390,0xbb4601ff}},	//   heim, тти_, lloa, _тезк, 
   {{0x3ed900c7,0x4ed90070,0x60c46391,0xa3a9009a}},	//   אַרא, אַרנ, keim, खून_, 
   {{0x60c46392,0x69da0a9f,0x2509009c,0x61fc0657}},	//   jeim, _irte, اردی_, dyrl, 
   {{0xd70a00b9,0x442d024a,0x26ce01a7,0x60c4231e}},	//   _инде_, çe_, _tafo_, deim, 
   {{0x81c30bc3,0x28b40035,0x29060226,0x656602a6}},	//   ņēmu, ंभवि, _hloa_, _књиж, 
   {{0x60cf24bc,0x6d4201ca,0xf19400fd,0x28bd2b48}},	//   _pacm, kloa, жись, ्यचि, 
   {{0x6d4200d9,0x3cf500b0,0x69da2ddd,0x27300379}},	//   jloa, _आवें_, _mrte, vàny_, 
   {{0x6e674eb1,0x6d4201d6,0xa1586393,0xeeb900a3}},	// [5610] атеж, dloa, рату_, ллаш_, 
   {{0x69da6394,0xa85700d1,0x290603dd,0xc43c00d1}},	//   _orte, שימה_, _lloa_, _בתחי, 
   {{0x28a7047c,0x23696395,0xdceb2cd9,0x31351b2d}},	//   _गालि, _huaj_, šiči, _генр, 
   {{0x2369006f,0xfd103629,0x2730023a,0x68e401f5}},	//   _kuaj_, وجن_, ràny_, _òidh, 
   {{0x69da1128,0x236900e5,0xee870088,0x248900f6}},	//   _arte, _juaj_, _выбо, _meam_, 
   {{0x23691124,0x68e20156,0x8d770a24,0x248901c5}},	//   _muaj_, _anod, _نارا, _leam_, 
   {{0x236901a0,0xa3a93d07,0x69da01b4,0x6ef3031e}},	//   _luaj_, खंड_, _crte, _výbě, 
   {{0x77856396,0x24890474,0x6d34049b,0xa7d5007a}},	//   близ, _neam_, _десф, متخص, 
   {{0x69da6397,0x2fc90026,0x23690118,0xe0df0108}},	//   _erte, nwag_, _nuaj_, _chòi_, 
   {{0xb33b0183,0x68e26398,0xd70600c8,0x2f041618}},	//   duço, _enod, йные_, _lögn_, 
   {{0x24891045,0x00000000,0x00000000,0x00000000}},	//   _beam_, --, --, --, 
   {{0x7bdb06a6,0xb0d60ed5,0x2fc9040b,0x00000000}},	//   _kruu, _ढोंग, kwag_, --, 
   {{0x387f6399,0x2369023b,0xb4c800ab,0x61e1014e}},	//   mbur_, _cuaj_, _उसी_, ålln, 
   {{0x2369639a,0x78a9639b,0xa2ad00a2,0x777b0042}},	//   _duaj_, lgev, _जाण्, mpux, 
   {{0x26c50364,0x6d420495,0x409659df,0x00000000}},	//   melo_, yloa, йрат, --, 
   {{0x26c5639c,0x78a9639d,0x2369006d,0x2489639e}},	//   lelo_, ngev, _fuaj_, _geam_, 
   {{0x60c4639f,0x9396029a,0x2fc9040b,0x00000000}},	// [5620] reim, _اجبا, gwag_, --, 
   {{0x26c563a0,0xb33b01f0,0x2cad0096,0x6d420210}},	//   nelo_, nuçl, _aced_, wloa, 
   {{0x25a50b1a,0x23690201,0x387f00e2,0xa2ad1464}},	//   null_, _zuaj_, kbur_, _जात्, 
   {{0x26c563a1,0x23690201,0x2fc90008,0x78a901c8}},	//   helo_, _yuaj_, bwag_, jgev, 
   {{0x26c563a2,0x2369006d,0x63a663a3,0x78a90d62}},	//   kelo_, _xuaj_, nukn, dgev, 
   {{0x26c502a8,0x628e63a4,0x25a563a5,0x3162016a}},	//   jelo_, nabo, kull_, _hikz_, 
   {{0x7bdb01a3,0x78a90c0c,0x00000000,0x00000000}},	//   _eruu, fgev, --, --, 
   {{0x628e63a6,0xa77429e7,0x78a963a7,0x63a64b42}},	//   habo, олич, ggev, kukn, 
   {{0x628e63a8,0x26c507d7,0x7d0263a9,0x3f920183}},	//   kabo, felo_, mkos, nsyu_, 
   {{0x236963aa,0x26c563ab,0x63a62998,0x25a563ac}},	//   _ruaj_, gelo_, dukn, full_, 
   {{0xd6d763ad,0x69da0414,0x628e63ae,0x25a563af}},	//   сты_, _urte, dabo, gull_, 
   {{0x7d0263b0,0x07a61ee4,0x23690201,0x387f0e03}},	//   nkos, _гадн, _puaj_, cbur_, 
   {{0x26c563b1,0x2369006f,0x684602f1,0x14aa2158}},	//   belo_, _quaj_, _унда, _कारण, 
   {{0x26c563b2,0x25a563b3,0x7d02090f,0xc25e0118}},	//   celo_, bull_, hkos, _enpٍ, 
   {{0x25a503a1,0x248963b4,0x7d0263b5,0x41e408ab}},	//   cull_, _team_, kkos, піта, 
   {{0x23690e0c,0x673a03a1,0x63a6085b,0x628e0f3a}},	//   _tuaj_, lotj, bukn, aabo, 
   {{0x752d134c,0x628e63b6,0x2ef50267,0x63a663b7}},	// [5630] _ijaz, babo, озар, cukn, 
   {{0x7d020876,0x2fc9018c,0x628e3446,0x387f0097}},	//   ekos, rwag_, cabo, zbur_, 
   {{0x2fc963b8,0x313501a2,0x7d021a77,0x00000000}},	//   swag_, _меор, fkos, --, 
   {{0x30a70088,0x7d0263b9,0x3ce4001d,0x7bdb00b0}},	//   _уров, gkos, _cnmv_, _pruu, 
   {{0x673a63ba,0x26c50f3a,0x752d018e,0x25a5021e}},	//   kotj, yelo_, _mjaz, zull_, 
   {{0x499963bb,0x386602bf,0xe0df0237,0x26c563bc}},	//   атия_, _agor_, _chòv_, xelo_, 
   {{0x78a90265,0x26c563bd,0x19860093,0x28da02ab}},	//   tgev, velo_, общи_, _मोहि, 
   {{0xb4c8006a,0xe8f900cf,0x628e63be,0x14d900a2}},	//   _उसे_, рли_, zabo, _बोलण, 
   {{0x26c563bf,0x78a90b32,0x387f63c0,0x7d1b63c1}},	//   telo_, rgev, rbur_, _imus, 
   {{0x80d200cc,0x78a90511,0x212900e2,0x25a5024a}},	//   হায্, sgev, hnah_, tull_, 
   {{0x8afc0da6,0xe4c658e2,0x7d0963c2,0x628e63c3}},	//   _więc, ойни, _kles, vabo, 
   {{0x63a62129,0x212963c4,0x25a563c5,0xc95b02f1}},	//   tukn, jnah_, rull_, _сўз_, 
   {{0x26c563c6,0x80d200cc,0xa34a63c7,0x7d1b0364}},	//   pelo_, হাম্, изма_, _mmus, 
   {{0x27ff63c8,0x25a5024a,0x7d0963c9,0x26c50226}},	//   myun_, pull_, _lles, qelo_, 
   {{0x628e34c4,0x63a610b6,0x7d1b0a8b,0x27ff63ca}},	//   rabo, sukn, _omus, lyun_, 
   {{0xb1461222,0xa06702c4,0xdfd23629,0x7d09023e}},	//   інал, жата_, ويز_, _nles, 
   {{0x628e4458,0x09a605ff,0xe29a63cb,0x6f1e0588}},	// [5640] pabo, _गम्य, _кап_, tipc, 
   {{0x69c163cc,0x7d0963cd,0x27ed00d3,0x764302a2}},	//   _ople, _ales, ixen_, _kyny, 
   {{0x6f1e63ce,0x27ff63cf,0x69c1023b,0x7d0263d0}},	//   ripc, hyun_, _nple, tkos, 
   {{0xf76720ae,0x0eac00a2,0xdd8f1117,0x76430156}},	//   _يا_, _चावड, ئون_, _myny, 
   {{0x6b4400d3,0x60d6012d,0x69c163d1,0x764354c9}},	//   lògi, mdym, _aple, _lyny, 
   {{0x60d6012d,0x7d1b63d2,0x20000054,0x69c1007a}},	//   ldym, _emus, myii_, _bple, 
   {{0xa2ad02f8,0xd90d11b7,0xf98f00b1,0xe90a3eb8}},	//   _जास्, گین_, نبي_, ихик_, 
   {{0xd7c800c5,0xdcfc003a,0x60d60009,0x7d090844}},	//   موعه_, _tvrđ, ndym, _gles, 
   {{0xd90d0399,0xb81d0a34,0x27ff0102,0x69c1017b}},	//   دین_, _बेदम_, gyun_, _eple, 
   {{0x212963d3,0x28da00e6,0x65640175,0x7d1b0083}},	//   znah_, _मोरि, _aiih, _zmus, 
   {{0x673a63d4,0x76430156,0x67280034,0xa4d508af}},	//   rotj, _cyny, rndj, поні, 
   {{0x290d63d5,0xe9ff00e7,0x1c1f0035,0xa2ad02e6}},	//   chea_, _hiếm_, _मेडल_, _जाह्, 
   {{0xe9ff0029,0x8d5b00c7,0x644446b4,0x77630068}},	//   _kiếm_, יכטי, _cyii, _finx, 
   {{0x167202f1,0x9943027e,0x764300f8,0x356a00b3}},	//   _юқор, _kış_, _fyny, _крин_, 
   {{0x3205247e,0x212902f6,0x764363d6,0x6b44022c}},	//   ály_, tnah_, _gyny, gògi, 
   {{0xf8bc072f,0x2129033e,0x69a202e6,0x752d63d7}},	//   ्जिय, unah_, _गिनी, _ujaz, 
   {{0x21291237,0xc05b02fb,0x3f8700ef,0xce6b63d8}},	// [5650] rnah_, рів_, ćnuo_, аред_, 
   {{0x212963d9,0x776363da,0x6d4063db,0x79450035}},	//   snah_, _xinx, _akma, tówk, 
   {{0x2d8763dc,0xe0df01fd,0x2ef863dd,0xdc751628}},	//   ène_, _bhòt_, _dorf_, пыль, 
   {{0x27ff0ab1,0x753d23f8,0x79450035,0xe0df00a1}},	//   yyun_, nosz, rówk, _chòt_, 
   {{0x35cc0262,0x69c163de,0x999e00bc,0x79880090}},	//   ़बड़, _sple, _bytů_, _awdw, 
   {{0x794500ab,0x6d400844,0xeb9663df,0x00000000}},	//   mówi, _ekma, чиш_, --, 
   {{0x290d07d7,0x7d094a49,0x753d419f,0x00000000}},	//   thea_, _tles, kosz, --, 
   {{0x6ca45536,0x776363e0,0x7d1b099d,0x25de017d}},	//   _оруж, _sinx, _umus, गिनी_, 
   {{0x5b1500b3,0xf8ae0296,0x776300b9,0x47c20080}},	//   _емат, اکم_, _pinx, ебыв, 
   {{0x65640088,0xdce700ef,0xd70900c8,0x2904011d}},	//   _siih, _mujč, сное_, akma_, 
   {{0x69c163e1,0xf09f0054,0x27ff0102,0x00000000}},	//   _uple, _alàm_, syun_, --, 
   {{0x753d0019,0x6b8923cb,0x9cf90033,0xd88600d7}},	//   gosz, _kweg, _আগুন_, _فهمی, 
   {{0x65640088,0x6b89008a,0x776363e2,0x33d50259}},	//   _viih, _jweg, _tinx, мірт, 
   {{0xe6890038,0x6b8953a0,0xd0660248,0xb7da00df}},	//   _انثى_, _mweg, əqəl, _לקני, 
   {{0x672163e3,0xcaf4009a,0x6b8901b8,0x753d419b}},	//   milj, _अवघड_, _lweg, bosz, 
   {{0x6f1c05ae,0x6721328f,0x00000000,0x00000000}},	//   _smrc, lilj, --, --, 
   {{0x60d62ce5,0x6d4000ca,0x442602aa,0x00000000}},	// [5660] rdym, _rkma, _ão_, --, 
   {{0x2120016a,0xe0df0237,0x2cbf02c1,0x9f5f01d5}},	//   siih_, _akòd_, _abud_, órða_, 
   {{0x02fb0486,0x6ce600f0,0x6b89052b,0x42fb00d1}},	//   _הלימ, зіле, _aweg, _ההיס, 
   {{0xccf900ab,0x61e101cc,0xc8da63e4,0x656e0038}},	//   _coś_, ælle, _मोंट, íbhi, 
   {{0xead420f7,0x1c160077,0x672163e5,0x2ef80090}},	//   доль, _देखल_, kilj, _torf_, 
   {{0x6721044e,0x291d0118,0xdb0900a1,0x6d59052b}},	//   jilj, _amwa_, _speò, amwa, 
   {{0x67210062,0xe81402e6,0xa93400f0,0x99d30038}},	//   dilj, _तेजा_, мекш, فتيا, 
   {{0x8b6600b8,0x97a6124e,0x68f902a5,0xdc3c1102}},	//   _فاطم, прол, _cowd, _háčk, 
   {{0x672163e6,0x68f963e7,0xed5763e8,0xac0a03a1}},	//   filj, _dowd, _хот_, _унаа_, 
   {{0x9f9b0380,0x95ca63e9,0x6601004f,0x00000000}},	//   _läßt_, бума_, fylk, --, 
   {{0x7ae80022,0xd90f00e4,0xe9470019,0xfaa301a2}},	//   _indt, _зь_, _کرلی, _чахо, 
   {{0x29022082,0x7afa0dd8,0x00000000,0x00000000}},	//   ökad_, _hott, --, --, 
   {{0x672103ef,0x66e602f1,0x753d0855,0xe73a2166}},	//   bilj, _нода, rosz, _лед_, 
   {{0x7afa0088,0x23650f71,0x660100da,0x2d980566}},	//   _jott, ölj_, bylk, _ovre_, 
   {{0x31c40fa9,0x2d9c03b7,0x7afa63ea,0x76bb00a7}},	//   нств, ável_, _mott, _המופ, 
   {{0x7afa0df7,0xd5b80243,0x00000000,0x00000000}},	//   _lott, mtā_, --, --, 
   {{0x88bd0035,0x403400c8,0xd5b801dd,0x9f040296}},	// [5670] liśc, еетс, ltā_, کولو, 
   {{0x7afa0141,0x6b89024d,0x427563eb,0xdce70242}},	//   _nott, _rweg, _югос, _vujč, 
   {{0xd5b800e0,0x6b890083,0x64412120,0x00000000}},	//   ntā_, _sweg, şlid, --, 
   {{0xed4e00a3,0xd5b801dd,0x672163ec,0x00000000}},	//   stоn_, itā_, zilj, --, 
   {{0x7afa63ed,0x2d9863ee,0xbfa800b3,0x00000000}},	//   _bott, _evre_, _нтре_, --, 
   {{0xd5b800e0,0x7afa63ef,0xaa88007a,0x00000000}},	//   ktā_, _cott, كنهم_, --, 
   {{0x7afa63f0,0x9e3400d9,0x2d9802a5,0x68f92d1a}},	//   _dott, _зерч, _gvre_, _powd, 
   {{0x2cbf0089,0xb7e563f1,0x7afa02a2,0x7ae803a9}},	//   _ubud_, джик, _eott, _endt, 
   {{0x6721044e,0x3cf0014b,0x2d9e014e,0x2d8163f2}},	//   tilj, ťové_, _åter_, lphe_, 
   {{0x667300d4,0xd756010e,0x1dd10fc0,0x00000000}},	//   رگتر, وليت_, _सनात, --, 
   {{0x64a663f3,0xe81d00b0,0xcb1200d1,0x00000000}},	//   мана, _बेरा_, _שלב_, --, 
   {{0x7afa1a0d,0x92ea0033,0x291d0027,0x00000000}},	//   _zott, _মতে_, _umwa_, --, 
   {{0x69d5017d,0x00000000,0x00000000,0x00000000}},	//   भिकी, --, --, --, 
   {{0x2bc00f63,0x88bd0035,0xf62500ff,0x216a0488}},	//   _एहसा, biśc, _одло, живи_, 
   {{0x61461597,0xc7b9010e,0x443e0083,0xc5d5017b}},	//   дева, ltő_, łt_, _ціль, 
   {{0xdb0263f4,0xdc3c1102,0x70a8009a,0x2d9c00d8}},	//   troë, _sáčk, गलेल, ávem_, 
   {{0x1f663ce1,0xc7b90019,0x2d810415,0x4aae009a}},	// [5680] дкам, ntő_, ephe_, _घालव, 
   {{0x2bd400a5,0x3f800028,0x8fa363f5,0x00000000}},	//   _धनबा, rpiu_, тафе, --, 
   {{0x7afa63f6,0xa06a02f1,0xdd8f0ce0,0x82360019}},	//   _rott, _мана_, لول_, _زردا, 
   {{0x0c2663f7,0x7afa5fec,0xb80d109f,0x69dc003e}},	//   ммен, _sott, िनाम_, _árei, 
   {{0xe7d80086,0x28a70035,0xe81d0d5a,0xeb970477}},	//   _তথ্য, _गाजि, _बेला_, дич_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2d6801f0,0x7afa59d6,0xb4db00f6,0x2d980151}},	//   _eğer_, _vott, noàc, _uvre_, 
   {{0x92ea00cc,0xa02201f0,0x6d43009e,0xa3a9017d}},	//   _মতো_, _şöyl, înat, खूँ_, 
   {{0x629e1175,0xb8d603c1,0x7afa0088,0x88bd00ab}},	//   _odpo, _जा_, _tott, wiśc, 
   {{0x35f40925,0x7ae8055f,0xa3cd059e,0x98c30243}},	//   епор, _undt, रबस_, īvās_, 
   {{0xda650038,0x2aeb00ae,0x00000000,0x00000000}},	//   _كامي, चारु_, --, --, 
   {{0xd5b800e0,0xa80663f8,0x2eea02be,0x63a61826}},	//   rtā_, _озел, _lnbf_, frkn, 
   {{0xd5b8002a,0x00000000,0x00000000,0x00000000}},	//   stā_, --, --, --, 
   {{0x17540c39,0x6594278a,0xd70363f9,0x6b820a1a}},	//   _явля, _заку, _изчи, ipog, 
   {{0x26cc63fa,0x2caf0a19,0x399a0243,0x00000000}},	//   medo_, yggd_, nīs_, --, 
   {{0x6ec1000d,0xa2bf07d5,0x69070126,0x00000000}},	//   र्नु, _लॉर्, _añej, --, 
   {{0x6b82008b,0x9f550bad,0x00000000,0x00000000}},	// [5690] jpog, евач, --, --, 
   {{0x26cc0068,0x3ed50038,0x6b8218a7,0x00000000}},	//   nedo_, عقار, dpog, --, 
   {{0x629563fb,0xdb020151,0xaad94801,0x00000000}},	//   mazo, croé, _योगक, --, 
   {{0xa3d60d4f,0x399a01dd,0x2d810151,0x00000000}},	//   _सनम_, dīs_, rphe_, --, 
   {{0x50642f2f,0x60cd63fc,0x3f790070,0x907a0486}},	//   _атра, meam, _מאָס, _מטרי, 
   {{0x6295086d,0x60cd0a92,0x26cc07cd,0x2cbd00b4}},	//   nazo, leam, jedo_, sfwd_, 
   {{0x8d74189a,0x60090104,0x00000000,0x00000000}},	//   _لاقا, _nоmz, --, --, 
   {{0x60cd63fd,0x629500a9,0xc7b9010e,0x7b1400b9}},	//   neam, hazo, ttő_, _nàuf, 
   {{0x629563fe,0x7d0400c8,0x20040241,0x08c20259}},	//   kazo, öise, _ümit_, убын, 
   {{0x6d4b63ff,0x60cd0a92,0x3b5401fc,0x26cc1652}},	//   llga, heam, _акур, gedo_, 
   {{0x62956400,0x6ec100ea,0x60cd0080,0x00000000}},	//   dazo, र्यु, keam, --, 
   {{0x29d10242,0x17fb0038,0x00000000,0x00000000}},	//   _iša_, _ورشة_, --, --, 
   {{0xe72e6401,0x60cd6402,0x26cc6403,0xe3b203b1}},	//   _бе_, deam, bedo_, درج_, 
   {{0x26cc118d,0x9582004e,0x6ec1102c,0x6b9b02b8}},	//   cedo_, _өлше, र्मु, _mvug, 
   {{0xa18a048a,0xa50a386d,0x68eb011c,0x60cd00b9}},	//   ябва_, _нека_, _kngd, feam, 
   {{0x61e101cc,0x644101c4,0x644000c2,0x6b9b02a5}},	//   ælla, ßlic, ümis, _ovug, 
   {{0x8fa31416,0x4fa337e8,0xb4cc00a2,0x62955bf5}},	// [56a0] лате, литв, रजी_, bazo, 
   {{0x62956404,0x27e00604,0xa0680259,0x00000000}},	//   cazo, _šink_, заға_, --, 
   {{0x6b9b024d,0xdcf4034c,0x60cd6405,0x7bde01dd}},	//   _avug, šači, beam, āpum, 
   {{0xe57200c7,0xc8ae00c6,0x60cd0387,0x00000000}},	//   אַס_, _टाइट, ceam, --, 
   {{0x26cc0126,0xfe7803fd,0x1bd40528,0x2b5c0054}},	//   yedo_, _жүз_, толя, tmvc_, 
   {{0x399a00e0,0x68eb137f,0x290f6406,0x6d4b6407}},	//   tīs_, _angd, _alga_, alga, 
   {{0xdca6471e,0x99660846,0x13c90033,0x6b826408}},	//   _пави, нтил, শিয়, spog, 
   {{0xa9676409,0x290f01be,0xdb02640a,0xdcfe01dd}},	//   нија_, _clga_, croî, rspē, 
   {{0x26cc640b,0x399a01dd,0x752600b4,0x00000000}},	//   tedo_, sīs_, dikz, --, 
   {{0x290f640c,0xb33b027e,0x8afc0035,0x3a16556e}},	//   _elga_, nuçt, _mięk, _пьес, 
   {{0x26cc640d,0x6295640e,0x60cd0548,0xdb0b011c}},	//   redo_, vazo, yeam, dugè, 
   {{0x26cc640f,0x2ca00038,0xa3cd6410,0x6295095a}},	//   sedo_, óidh_, रबल_, wazo, 
   {{0x62956411,0x04670088,0xdceb034c,0xd4980ddd}},	//   tazo, этом, šići, эрэ_, 
   {{0x6d4200c2,0xdc120248,0x00000000,0x00000000}},	//   hooa, nğıc, --, --, 
   {{0xdb026412,0x6d4200b4,0x62346413,0x00000000}},	//   ntoñ, kooa, геру, --, 
   {{0x629500d8,0xdddc0528,0x00000000,0x00000000}},	//   sazo, _berž, --, --, 
   {{0x629509a1,0x60cd5429,0xbfa800b3,0xf8c205ff}},	// [56b0] pazo, ream, етхе_, व्यय, 
   {{0x60cd6414,0x63af05ae,0xdddc00ca,0x69c86415}},	//   seam, mucn, _derž, _opde, 
   {{0x6b9b04d1,0x63bd6416,0x60cd6417,0x776a008a}},	//   _svug, ltsn, peam, _mifx, 
   {{0x39460201,0xeb09102c,0x764a0156,0xc0ab0038}},	//   _nkos_, वस्त_, _myfy, _عاجل_, 
   {{0x4ea70170,0x69c86418,0x00000000,0x00000000}},	//   _прва, _apde, --, --, 
   {{0x9f3500dd,0xfe700133,0x4ea76419,0xaa49641a}},	//   _регі, _هدف_, _ярма, мпла_, 
   {{0x9f3427a0,0x8f3400dd,0xae1e00a2,0x6b44022c}},	//   _сері, _серц, _येऊन_, tògr, 
   {{0x69a21276,0x224511bb,0x6d420574,0x63bd264e}},	//   _गिरी, ýlky_, cooa, ktsn, 
   {{0x69c80126,0x6b9b0199,0x00000000,0x00000000}},	//   _epde, _uvug, --, --, 
   {{0xb8e807d5,0x55e545bb,0xa2ad2122,0x3946019c}},	//   _लॉ_, вооб, _जाग्, _ekos_, 
   {{0x290f06e4,0x764a0156,0x270100a5,0x6b4400b9}},	//   _tlga_, _cyfy, _लकीर_, pògr, 
   {{0xb4ac641b,0x68eb1d4b,0x2f04014e,0x79810415}},	//   खले_, _ungd, _högt_, _itlw, 
   {{0x63af04d1,0x2d470165,0x394d4f28,0x395f4e25}},	//   gucn, lões_, mles_, mmus_, 
   {{0x394d641c,0x395f641d,0x764a00f8,0x5fe000bc}},	//   lles_, lmus_, _fyfy, निसल, 
   {{0x320c026e,0xe57900cf,0x63bd02b0,0x764a00f8}},	//   ády_, _ўзи_, atsn, _gyfy, 
   {{0x25de0081,0xdddc012d,0x394d641e,0x8afc00ab}},	//   गिरी_, _perž, nles_, _pięk, 
   {{0x394d026a,0x7524641f,0x2d4702aa,0x016300f6}},	// [56c0] iles_, _imiz, hões_, ркто, 
   {{0x7981084c,0x64560054,0x395f2341,0xdddc6420}},	//   _otlw, _izyi, hmus_, _verž, 
   {{0x8afc00ab,0xe0df0237,0x2d9c039f,0xdce00474}},	//   _więk, _ikòn_, éve_, _nimă, 
   {{0x6da36421,0xdca602f1,0x63a91fe0,0x2d4702aa}},	//   рица, тади, šene, dões_, 
   {{0x2f04008c,0xdd0c0035,0x20565484,0x75246422}},	//   _sögu_, _półn, _штор, _mmiz, 
   {{0x394d0c7c,0x69c803da,0xf9c609a6,0x394600f9}},	//   eles_, _ppde, вщин, _skos_, 
   {{0x2d4702aa,0x6c86007a,0x00000000,0x00000000}},	//   gões_, _للأم, --, --, 
   {{0x395f050a,0x3cff2890,0x3ced0097,0xa2a21281}},	//   gmus_, _gouv_, _gnev_, कृत्, 
   {{0xab666423,0x00000000,0x00000000,0x00000000}},	//   _авал, --, --, --, 
   {{0x394d6424,0x75246425,0x7d002be0,0xed590242}},	//   ales_, _amiz, _homs, _zhž_, 
   {{0xd6d71b17,0x394d4ba9,0xceb300a7,0x395f006d}},	//   тты_, bles_, בית_, bmus_, 
   {{0x394d6426,0x98a30b68,0x752400ca,0xdcfc0588}},	//   cles_, _вице, _cmiz, _otrč, 
   {{0x693100d4,0x7d006427,0x39440009,0x78a20054}},	//   _دکور, _moms, moms_, _idov, 
   {{0x63af04d1,0x7d006428,0x56940161,0x75245a40}},	//   rucn, _loms, _сакт, _emiz, 
   {{0x575700a7,0x6728138e,0x92946429,0x4ac42122}},	//   _שבוע_, midj, расц, ल्यव, 
   {{0x26dc642a,0x3944642b,0x7524090e,0xe13409d9}},	//   _havo_, noms_, _gmiz, ансы, 
   {{0x26dc642c,0x3eb80226,0x2d470165,0x27e6011c}},	// [56d0] _kavo_, _bcrt_, zões_, _jron_, 
   {{0x656d642d,0x3f14642e,0x3f9b58f7,0x395f29e0}},	//   _hiah, адус, rsqu_, zmus_, 
   {{0x8d743147,0x7bc9642f,0x39446430,0x2d4702a0}},	//   لانا, _speu, koms_, xões_, 
   {{0x656d6431,0x26dc01a7,0x39442ea3,0x644d011c}},	//   _jiah, _lavo_, joms_, _kyai, 
   {{0x7d000f96,0x351c035c,0x39446432,0xfaa51310}},	//   _doms, וואנ, doms_, гало, 
   {{0x2129170d,0x2d4702a0,0xf1c700a2,0x656d6433}},	//   liah_, tões_, _लहान, _liah, 
   {{0x27e62ce4,0x60dd6434,0x395f2e9b,0xdcee00ca}},	//   _aron_, _kasm, tmus_, _zubč, 
   {{0x27e66435,0x21296436,0x2d4702aa,0x394d6437}},	//   _bron_, niah_, rões_, ules_, 
   {{0x200911f7,0x60dd6438,0x2d4702a0,0x27e601be}},	//   nyai_, _masm, sões_, _cron_, 
   {{0x26dc0093,0x212940fc,0x60dd6439,0x79a700b3}},	//   _cavo_, hiah_, _lasm, _арде, 
   {{0x88bd00ab,0x6d5b541b,0x212922d3,0x27e6386a}},	//   liśm, _khua, kiah_, _eron_, 
   {{0x39445f93,0x644d02a5,0x27e6643a,0x81cc0033}},	//   coms_, _byai, _fron_, লিম_, 
   {{0x656d5d24,0xef2804be,0xa0a600f0,0xc7a51e38}},	//   _diah, lmüş_, ғазд, _силк, 
   {{0x6d5b006d,0x68fb2792,0x26dc0009,0x67230242}},	//   _lhua, ljud, _gavo_, _umnj, 
   {{0x2129643b,0x717636a7,0x6d490104,0x60dd643c}},	//   fiah_, اهرا, _okea, _basm, 
   {{0xdd00002a,0x656d4e65,0xdddc003d,0x26dc0144}},	//   ītīb, _giah, _verż, _zavo_, 
   {{0xa2ac0790,0x2d8300e5,0x2f16055f,0x7d0000fc}},	// [56e0] _जयप्, _atje_, _læge_, _roms, 
   {{0xf063643d,0x6d5b643e,0x7d004732,0x63a93eeb}},	//   скуп, _ahua, _soms, šenc, 
   {{0x6d5b11a1,0x200904bb,0x21290ab1,0xf1d50161}},	//   _bhua, ayai_, biah_, _көтө, 
   {{0x6d5b0544,0x672821d9,0x69ba09ec,0x00000000}},	//   _chua, zidj, _एमबी, --, 
   {{0x6d5b5442,0x5b2600e4,0xda7a0009,0xada30cdf}},	//   _dhua, лька, няй_, _қатл, 
   {{0x9e66009c,0xe457027a,0xeef600d9,0x6d5b02be}},	//   _مازن, ניסט_, _сямэ, _ehua, 
   {{0x6728090b,0x6d5b0014,0x2fc01774,0x26dc643f}},	//   vidj, _fhua, ltig_, _ravo_, 
   {{0x26dc0904,0x6d5b0a75,0x60c403a0,0x6d4900b4}},	//   _savo_, _ghua, nfim, _gkea, 
   {{0x2fc06440,0x39446441,0x78a21c77,0x320a0098}},	//   ntig_, roms_, _vdov, hyby_, 
   {{0x2fc002f2,0x212900e2,0x59dc031e,0xf77f0165}},	//   itig_, ziah_, _मनपर, íça_, 
   {{0x68fb022b,0x644d4ff3,0x644106d0,0xceb300a7}},	//   bjud, _syai, əliy, זית_, 
   {{0x69da637f,0x2ed124dd,0x27e66442,0x2fc0264e}},	//   _iste, _हस्त, _tron_, ktig_, 
   {{0x60dd6443,0xb6c414c1,0x26dc012d,0x27e60034}},	//   _rasm, _көнд, _tavo_, _uron_, 
   {{0xe81d0e36,0x60dd6444,0x06766445,0x212934c4}},	//   _बेटा_, _sasm, _судя, wiah_, 
   {{0x212902cd,0x2fc00876,0x60c4357d,0x95ca2f78}},	//   tiah_, etig_, ffim, _чула_, 
   {{0x2fc000fb,0x60dd00a4,0x70af009a,0xdbd100b0}},	//   ftig_, _qasm, टलेल, _püüa, 
   {{0x2fc06446,0x21292998,0x200f0019,0x6d5b006f}},	// [56f0] gtig_, riah_, ági_, _rhua, 
   {{0x69da6447,0x6d5b6448,0x2129033e,0x60dd038c}},	//   _oste, _shua, siah_, _wasm, 
   {{0x2129009a,0x5c756449,0x6d5b023b,0x69da008a}},	//   piah_, алет, _phua, _nste, 
   {{0x6d5b01a0,0x62970aaf,0x212900e2,0x60dd007a}},	//   _qhua, _hexo, qiah_, _uasm, 
   {{0xc058032e,0x69da644a,0x68fb00a3,0xec783591}},	//   _бір_, _aste, vjud, упі_, 
   {{0x3f89644b,0x6d5b12e6,0x00000000,0x00000000}},	//   mpau_, _whua, --, --, 
   {{0x6d5b644c,0xd2b800a7,0x1dc900c2,0xf2d40070}},	//   _thua, אלות_, _रहित, מעס_, 
   {{0x629700e5,0x2be20466,0x7c3b01ca,0xb90500b3}},	//   _lexo, पिशा, _txur, рзик, 
   {{0xe8f6004e,0xf71900e4,0x290d644d,0xf6f3010e}},	//   рлы_, віны_, rkea_, مزدگ, 
   {{0x62972d3b,0x81cc0086,0xd70900c8,0x290d644e}},	//   _nexo, লিত_, тное_, skea_, 
   {{0xdce9644f,0x28c2009a,0xcb0800a3,0x6994017b}},	//   _lieč, व्हि, _ёхуд_, _гріх, 
   {{0x2b470097,0x00000000,0x00000000,0x00000000}},	//   lonc_, --, --, --, 
   {{0xdce90187,0xd4560141,0xdb1b0a47,0x9cd600a7}},	//   _nieč, ртнь, _aqué, בורה_, 
   {{0x69da6450,0x26c7023b,0x00000000,0x00000000}},	//   _yste, _ubno_, --, --, 
   {{0x40961fde,0xe2976377,0x395d023b,0xa2a2101f}},	//   ират, рас_, _khws_, कृष्, 
   {{0x2fc050c0,0x387f02f6,0x63a9090e,0xd175004e}},	//   ttig_, ncur_, šena, сыры, 
   {{0x06d800cc,0x21676451,0xd0071faa,0x60c46452}},	// [5700] তারি, рити_, аете_, rfim, 
   {{0xef176453,0x2fc06454,0x6297040b,0x387f0096}},	//   аму_, rtig_, _gexo, hcur_, 
   {{0x629c6455,0x2fc06456,0x7bdb01a3,0x02b20299}},	//   maro, stig_, _asuu, जलीन, 
   {{0x5c0606fb,0xad65029a,0x00000000,0x00000000}},	//   ияла, مانه, --, --, 
   {{0xfbd20dec,0x3f540502,0x6b6601ff,0x00000000}},	//   تتا_, läum_, акда, --, 
   {{0xa3ce6457,0x2d9c0098,0x39a66458,0x00000000}},	//   _रहन_, áves_, ашив, --, 
   {{0x629c0068,0x7bdb0539,0xa2bb0299,0xfe71189a}},	//   iaro, _esuu, श्ट्, _ردّ_, 
   {{0x629c6459,0x58d8645a,0xed5a3873,0x3b86144a}},	//   haro, удия_, _роб_, _влаг, 
   {{0xd7fa645b,0xc60e1276,0xe0df0237,0x69da0083}},	//   туй_, ान्य_, _chòy_, _wste, 
   {{0xa9a6645c,0x629c645d,0xe666645e,0x7b320083}},	//   _вижд, jaro, итно, dług, 
   {{0x69da645f,0x0f5700a7,0x7bc26460,0x00000000}},	//   _uste, שיים_, ltou, --, 
   {{0x7bc23728,0xd7e6004f,0x00000000,0x00000000}},	//   otou, _віко, --, --, 
   {{0x7bc26461,0x62970068,0xbba4009a,0xa7f7189a}},	//   ntou, _pexo, _ऑटोक, _نعوذ_, 
   {{0x629c6462,0x823707cb,0x20e30108,0xdce96463}},	//   garo, لرزا, _ổi_, _rieč, 
   {{0x01270165,0x00000000,0x00000000,0x00000000}},	//   аќам, --, --, --, 
   {{0x09c30086,0x7bc20104,0x00000000,0x00000000}},	//   ্মচা, ktou, --, --, 
   {{0x25de000f,0x29d80210,0x00000000,0x00000000}},	// [5710] गिकी_, _lũa_, --, --, 
   {{0x02a76464,0x629c6465,0x6578006d,0x8afc0035}},	//   _трим, caro, _kuvh, _mięs, 
   {{0xdcfc002a,0xa3df1489,0x7bdb01a3,0x00000000}},	//   _strā, णिक_, _ssuu, --, 
   {{0xdb0b05b9,0xd7a60262,0xa3ce034d,0xc5790070}},	//   rugí, _खिंच, _रहम_, אָסט, 
   {{0x657800e2,0x2bda05f6,0x00000000,0x00000000}},	//   _luvh, _मैदा, --, --, 
   {{0x7f9452b6,0x7d19018e,0x00000000,0x00000000}},	//   _фарх, shws, --, --, 
   {{0x29d80210,0x00000000,0x00000000,0x00000000}},	//   _cũa_, --, --, --, 
   {{0x629c2afa,0xf77f019c,0xf2382665,0x00000000}},	//   zaro, íço_, ירוץ_, --, 
   {{0x7bc204fe,0x6133003d,0x8afc0035,0x7c240038}},	//   ctou, għli, _pięt, úirt, 
   {{0x629c3fa8,0x46f500c8,0x387f6466,0xa3e60299}},	//   xaro, счит, scur_, फिस_, 
   {{0x629c6467,0x66e502c0,0x395d006d,0x7ae126c0}},	//   varo, _ҳола, _thws_, _ialt, 
   {{0x7ae16468,0x629c6469,0x5a0c0147,0x00000000}},	//   _halt, waro, _שלאַ, --, 
   {{0x66e52f1c,0x7ae1646a,0x63af00ef,0x087600c7}},	//   _гола, _kalt, grcn, _הענט_, 
   {{0x44630093,0xf67900c7,0x2bfa009a,0x69c30175}},	//   явяв, _גאַמ, ्हतं_, otne, 
   {{0x7ae10529,0x629c646b,0x7b3200ab,0xd179646c}},	//   _malt, raro, sług, исті_, 
   {{0x645a0264,0x629c646d,0xd1320038,0x69c3646e}},	//   ətin, saro, أمر_, itne, 
   {{0x1eca01a2,0xdce00028,0x69c30144,0x00000000}},	// [5720] ллаи_, _gimę, htne, --, 
   {{0x1ea9646f,0x629c00cf,0x69c36470,0x7ae15874}},	//   لامي_, qaro, ktne, _nalt, 
   {{0xc05a005e,0x61460009,0x69c30ab4,0x0c860259}},	//   тің_, _гена, jtne, былм, 
   {{0xdca3528c,0x63a432b9,0x7ae16471,0x80d20033}},	//   заци, _kvin, _aalt, হাঙ্, 
   {{0xd9e01556,0x5c9700e4,0x7ae11974,0x69c101f2}},	//   पट्ट, скія_, _balt, _aqle, 
   {{0x7bc2026d,0x60d66472,0x7ae16473,0x3ce0044e}},	//   rtou, leym, _calt, živ_, 
   {{0x7ae16474,0xfaa603dc,0x7bc2031e,0xf2d307e4}},	//   _dalt, _ҳазо, stou, פעה_, 
   {{0x7ae10d44,0x61e1055f,0x63602cd8,0x60d60139}},	//   _ealt, ælli, lönd, neym, 
   {{0xfaa64dc6,0xaaba0625,0x17fa0038,0xd76a08ba}},	//   _газо, _مدار_, ارعة_, лшод_, 
   {{0xd6da6475,0x7ae118cf,0x69c30604,0x64410d16}},	//   ути_, _galt, btne, şlik, 
   {{0x63a46476,0x24f916d0,0x29e702c7,0x4efb0147}},	//   _avin, анны_, _gđa_, אליג, 
   {{0x2d730fd3,0x7ae101d2,0x473503a1,0x00000000}},	//   _kćer_, _zalt, йнөс, --, 
   {{0x07e90019,0x443f6477,0x7ae16478,0x00000000}},	//   _پرنٹ_, çu_, _yalt, --, 
   {{0xdc370137,0x63a92365,0x443f0405,0x29060415}},	//   מאכט_, šeno, ħu_, _hooa_, 
   {{0x63a4091f,0x68e26479,0x30a70176,0x2bda0249}},	//   _evin, _kaod, йрав, _मैसा, 
   {{0x115502c8,0x863700d1,0x60d601d5,0x623400b3}},	//   ікаю, _לרוב_, geym, чесу, 
   {{0x752f00ab,0x29060226,0x68e2647a,0x6e990165}},	// [5730] micz, _mooa_, _maod, ивар_, 
   {{0x752f00ab,0xa3ce007e,0x69c30098,0x27e90455}},	//   licz, _रहत_, ytne, _šank_, 
   {{0xf3cb00c5,0xa28200d4,0x63a4647b,0x2d87647c}},	//   _شبکه_, _آیفو, _zvin, ëne_, 
   {{0x752f006a,0x81cc00cc,0x6aa80090,0x2d8701dd}},	//   nicz, লিশ_, _addf, īne_, 
   {{0x7ae1647d,0xdcfc002e,0x5ee10086,0x00000000}},	//   _palt, _stră, নাবে, --, 
   {{0x3d954127,0x69c3647e,0x539c00c7,0x317a105b}},	//   _мигр, ttne, ניוו, _yupz_, 
   {{0x7ae1647f,0x68e26480,0x2012020b,0x00000000}},	//   _valt, _baod, čniť_, --, 
   {{0x8d8401a2,0xe7a943a1,0x2bd9015f,0x00000000}},	//   _хурд, авил_, _پارک_, --, 
   {{0x69c36481,0x6d4b0019,0x7ae16482,0x63600844}},	//   stne, moga, _talt, löne, 
   {{0x6b89024d,0x7ae100a1,0x853d0028,0x00000000}},	//   _iteg, _ualt, krės, --, 
   {{0xceb20137,0x752f00ab,0x68e20014,0x6f070352}},	//   ויי_, ficz, _faod, _mojc, 
   {{0x6d4b6483,0x752f00ab,0xa3e60c15,0x671d102c}},	//   noga, gicz, फिल_, योजक_, 
   {{0xe72e6484,0x636002f2,0x317a00ca,0x39a50243}},	//   _же_, höne, _supz_, lēs_, 
   {{0x6d4b6485,0x6b890548,0x1b7a0070,0x68e20054}},	//   hoga, _mteg, יטשע, _zaod, 
   {{0x420703dc,0x91e321e6,0x6d4b6486,0x39a501dd}},	//   онро_, море, koga, nēs_, 
   {{0x63a40343,0xf8d90f63,0x78bb6487,0x6b896488}},	//   _tvin, ढ़िय, nguv, _oteg, 
   {{0x6d4b6489,0xaf06648a,0x60d6648b,0xa3ce007e}},	// [5740] doga, опал, reym, _रहि_, 
   {{0x0cd60033,0x00000000,0x00000000,0x00000000}},	//   _সচেত, --, --, --, 
   {{0xec7a648c,0x6d4b648d,0x6b89648e,0x98a400b3}},	//   апе_, foga, _ateg, nimă_, 
   {{0xa3ce0da6,0xf09f0029,0x92b600d6,0x260a02e6}},	//   _रहा_, _hoàn_, _احکا, ाहती_, 
   {{0x6bd6009c,0x653b0070,0x77e30249,0x00000000}},	//   تتار, סענד, कटोक_, --, 
   {{0x63600019,0x224d0216,0x68e2648f,0x05a90110}},	//   lönb, şeke_, _saod, _किंब, 
   {{0x6d4b6490,0xddc3084d,0x6b8901a3,0x66df0009}},	//   boga, _обри, _eteg, iškė, 
   {{0x984f0092,0x8c466491,0x44220082,0x6d4b023e}},	//   _ağır_, _дебе, kzk_, coga, 
   {{0x8afc0083,0x2d980090,0x00000000,0x00000000}},	//   _chęc, _hwre_, --, --, 
   {{0xe5c66492,0x752f0035,0xcff700d1,0x15ea004f}},	//   осмо, wicz, קציה_, аємо_, 
   {{0xd5b76493,0x6d43026a,0x35b3011f,0x7c226494}},	//   ося_, énag, мбэр, lzor, 
   {{0x6eca0367,0x7d026495,0xd49b03dc,0x3ce66496}},	//   स्तु, njos, шро_, ndov_, 
   {{0x66e603dc,0x78a00204,0xdce20121,0x183629ce}},	//   _мода, mamv, jmoč, _براح, 
   {{0x6d4b6497,0x672a003e,0x394902d9,0x00000000}},	//   zoga, _umfj, čase_, --, 
   {{0x31c46498,0x398301f0,0x6d4b6499,0x645a0095}},	//   мств, _kısa_, yoga, ətim, 
   {{0x2eed649a,0x6d4b0183,0x78a0044d,0x2ee3007b}},	//   _şef_, xoga, namv, _sajf_, 
   {{0x752d649b,0x6d4b649c,0x7d020ab4,0x673a12b6}},	// [5750] _imaz, voga, djos, ontj, 
   {{0x7c2206e0,0x78a00727,0x5fac009a,0x6d4b649d}},	//   dzor, hamv, _चिरल, woga, 
   {{0x57b7047b,0x673a0511,0x78a03991,0xbd6b1010}},	//   _आम्ह, intj, kamv, арде_, 
   {{0x6f070083,0x752d00b4,0x7d02021e,0x78a0018e}},	//   _wojc, _jmaz, gjos, jamv, 
   {{0x6d4b649e,0x4fc40488,0x78a0044d,0x752d0539}},	//   roga, _осра, damv, _mmaz, 
   {{0x37c200cc,0x3169649f,0x673a01c8,0x39a501dd}},	//   ্টার, lmaz_, jntj, tēs_, 
   {{0x5ee10086,0x18a564a0,0xeab00038,0xc3340225}},	//   নাদে, пайм, ئعه_, ווס_, 
   {{0xe8f964a1,0x316907fa,0x39a500e0,0x673a0511}},	//   сли_, nmaz_, rēs_, entj, 
   {{0x63a902f5,0x6b894433,0x7c220035,0x39a50243}},	//   šenj, _uteg, czor, sēs_, 
   {{0x1dd2036e,0x752d64a2,0x7d0964a3,0x7d1b003e}},	//   _सहमत, _amaz, _hoes, _hlus, 
   {{0x7d1b64a4,0x64480095,0x7d0964a5,0xceb20070}},	//   _klus, ədiy, _koes, עיט_, 
   {{0x673a12b6,0x00000000,0x00000000,0x00000000}},	//   antj, --, --, --, 
   {{0x7d0964a6,0x8c4600ad,0x27e9007a,0x7d040080}},	//   _moes, _peşə, _éan_, öisi, 
   {{0x752d64a7,0x394d64a8,0xe796009c,0x7d1b64a9}},	//   _emaz, loes_, _راهک, _llus, 
   {{0x7d1b0547,0x626364aa,0x7c2202a3,0xe29a00f0}},	//   _olus, евра, zzor, _қан_, 
   {{0x04460093,0x7d0964ab,0x752d035f,0x64430035}},	//   _нейн, _noes, _gmaz, _śnie, 
   {{0xf09f00f7,0x80dd0081,0x656464ac,0xa06702c4}},	// [5760] _toàn_, _पसरे, _ihih, зата_, 
   {{0x7d1b64ad,0x752d0187,0x394d64ae,0x65640054}},	//   _alus, _zmaz, hoes_, _hhih, 
   {{0x7d092d9f,0xf29700d1,0x98a40028,0xe1f70080}},	//   _boes, _מכיר_, limą_, _егэ_, 
   {{0xdd8f0fdc,0x7d1b64af,0x2d8721dc,0x7c220a9f}},	//   اون_, _clus, ínea_, tzor, 
   {{0x629e64b0,0x98a4012d,0x63a664b1,0x7d0900a7}},	//   _kepo, nimą_, nskn, _does, 
   {{0xada60f88,0x7d1b64b2,0x7c2264b3,0x6da601a2}},	//   _нагл, _elus, rzor, _нига, 
   {{0x7c22010e,0x394d0156,0xf41f0c98,0x78a0045a}},	//   szor, foes_, nbär_, tamv, 
   {{0x629e64b4,0xfce30650,0x98a4012d,0x39830095}},	//   _lepo, _посо, kimą_, _qısa_, 
   {{0x98a4012d,0x6d4000e2,0x9d4301ff,0x78a0016c}},	//   jimą_, _ijma, _четд, ramv, 
   {{0x629e64b5,0x65644645,0x78a0044d,0x752d00bc}},	//   _nepo, _ahih, samv, _smaz, 
   {{0x27200029,0x78a00199,0xa4d9583e,0x64480248}},	//   _lòng_, pamv, одну_, şdil, 
   {{0x6564044d,0x394d0165,0x291f64b6,0xe995009c}},	//   _chih, coes_, chua_, _آهنگ, 
   {{0x399a012d,0x65640d94,0x629e64b7,0x27200108}},	//   lūs_, _dhih, _bepo, _nòng_, 
   {{0x629e64b8,0x00000000,0x00000000,0x00000000}},	//   _cepo, --, --, --, 
   {{0x629e2139,0x6588031e,0x5f000299,0x2d5c1771}},	//   _depo, _běhe, रान्_, víen_, 
   {{0xe63b00a7,0x752d64b9,0x25d70070,0x27200210}},	//   _לתוכ, _umaz, _זוהן_, _bòng_, 
   {{0xc05b00dd,0x7d0964ba,0x224d0035,0x629e0379}},	// [5770] сів_, _roes, łek_, _fepo, 
   {{0x27200029,0x629e64bb,0x316900e0,0x7d091a0d}},	//   _dòng_, _gepo, smaz_, _soes, 
   {{0x7d0964bc,0x6f1c0354,0x753d0502,0x2d5c00b9}},	//   _poes, _dlrc, onsz, ríen_, 
   {{0x291f006d,0x6ec1029c,0x65640034,0xdb0b0502}},	//   xhua_, र्जु, _xhih, zugä, 
   {{0x3b096370,0xdb1b0165,0x6360197a,0xed5800dd}},	//   жело_, _aquá, löna, чої_, 
   {{0x7d090b1f,0x60cd00f6,0x82340444,0x62870083}},	//   _woes, lfam, _آریا, ncjo, 
   {{0x7d09051e,0x2fc964bd,0xe9d900dd,0x399a00ec}},	//   _toes, ltag_, іки_, gūs_, 
   {{0xa3ce3e8a,0x7d1b64be,0x7d090226,0x60cd64bf}},	//   _रहल_, _ulus, _uoes, nfam, 
   {{0xb8d50366,0x2fc964c0,0x62870083,0xdb190502}},	//   _जय_, ntag_, kcjo, ttwä, 
   {{0x6d5964c1,0x05a90088,0x656400e5,0x2fc901c4}},	//   llwa, овой_, _shih, itag_, 
   {{0x6aa309b7,0xdb2600c5,0x645600e2,0x656407d7}},	//   manf, _تولی, _syyi, _phih, 
   {{0x629e64c2,0xdbd700c8,0x6aa35495,0x6b9b016c}},	//   _sepo, päät, lanf, _kwug, 
   {{0x629e64c3,0x6d5900b9,0x20000183,0xe3b20038}},	//   _pepo, ilwa, xxii_, خرج_, 
   {{0x63a60533,0x68e95f06,0x6aa30f08,0x6d5964c4}},	//   rskn, lded, nanf, hlwa, 
   {{0x60cd2cff,0xa50a1ee4,0x6d59045a,0x2cad64c5}},	//   ffam, _мека_, klwa, _oded_, 
   {{0x68e923fc,0x629e0364,0x4f9602a0,0xb7f100bc}},	//   nded, _wepo, држу, _अछाम_, 
   {{0x2fc902dc,0x8fa311a8,0x27ed64c6,0xb4da00c2}},	// [5780] gtag_, кате, nven_, ठजी_, 
   {{0x27200029,0x6d5964c7,0xdb1b0183,0xfe720523}},	//   _vòng_, elwa, _opuñ, ندا_, 
   {{0xa3e60527,0x60cd0aaf,0x6aa325f2,0x6ce61fab}},	//   फिक_, bfam, danf, діле, 
   {{0x68e902c9,0x6b9b016c,0x27200108,0x399a0028}},	//   jded, _bwug, _tòng_, vūs_, 
   {{0x27ed0536,0x68e964c8,0x9b6a64c9,0xdb1b033c}},	//   jven_, dded, ошка_, _apuñ, 
   {{0x6d591c73,0x399a0009,0xdcfc00c3,0x6aa302eb}},	//   alwa, tūs_, _kurċ, ganf, 
   {{0x81cc00cc,0x27ed012e,0x1dd2120f,0xd33700d1}},	//   লিক_, even_, _सहित, ורסה_, 
   {{0x8c3d0218,0x63a90187,0x68e964ca,0xa967122f}},	//   _beşd, šeni, gded, мија_, 
   {{0x5ee10086,0x2d5c022c,0x00000000,0x00000000}},	//   নারে, níem_, --, --, 
   {{0xf4040033,0x6b6300b3,0x291d64cb,0x00000000}},	//   উনার_, _акуа, _elwa_, --, 
   {{0x27ed00f6,0x60cd027e,0x29022162,0x6fca0033}},	//   aven_, yfam, ökas_, রিয়ে, 
   {{0x6b80162f,0x291d05d5,0x249f003e,0x00000000}},	//   _kumg, _glwa_, úum_, --, 
   {{0x7a13000d,0x7ae83942,0x69ca51d4,0x00000000}},	//   _větš, _kadt, ltfe, --, 
   {{0xdb0b0219,0xbcfd0023,0x27200118,0x2d5c03dd}},	//   stgö, _nhũn, _bòne_, díem_, 
   {{0x09dc0790,0x7ae864cc,0x8c3d020f,0xe7070e0e}},	//   _मनोय, _madt, _ieşe, _تسنی, 
   {{0x2fc91709,0x2d5502c9,0x00000000,0x00000000}},	//   ttag_, nået_, --, --, 
   {{0x403464cd,0xe7bc0086,0x7afa3f0b,0x6360003e}},	// [5790] ветс, _অনুয, _ontt, mönn, 
   {{0x63bd64ce,0x2d87118d,0x7ae864cf,0x2fc964d0}},	//   musn, íneo_, _nadt, rtag_, 
   {{0xc1750a71,0x68e964d1,0x7cd92595,0x2fc964d2}},	//   _площ, yded, змер_, stag_, 
   {{0x61e50c67,0x7afa64d3,0x2d5c00f6,0x27ed0b41}},	//   _ishl, _antt, bíem_, yven_, 
   {{0x7ae864d4,0xeb9917b4,0x0f7300f0,0x3e7c00d8}},	//   _badt, чил_, _ағар, uští_, 
   {{0xdcf500b3,0x8f9a0225,0xa3d7296e,0x4ea73c40}},	//   _buză, _מישי, _सहन_, _юрма, 
   {{0x6d5906df,0x636064d5,0x63bd023e,0x00000000}},	//   plwa, könn, husn, --, 
   {{0x27ed00d2,0x7afa64d6,0x7d0400c8,0x2d5502c9}},	//   tven_, _entt, öist, gået_, 
   {{0x68e964d7,0x8c3d3840,0x69c800a4,0x7ae8007a}},	//   rded, _beşe, _eqde, _fadt, 
   {{0x290202ae,0x27e90144,0x64480c45,0x00000000}},	//   ökar_, _šans_, şdik, --, 
   {{0x777864d8,0x8c3d00b3,0x5f0005ff,0x63bd0096}},	//   _divx, _deşe, रात्_, eusn, 
   {{0x6aa1166d,0xf2c9008d,0xa3e40366,0x672164d9}},	//   _helf, _לע_, _ननद_, shlj, 
   {{0x2d9c3325,0x63bd64da,0x7bcb5f0c,0x74160629}},	//   ávez_, gusn, ntgu, روسا, 
   {{0xe9ff0029,0x66e20a43,0x5ecf0086,0x2d5c022c}},	//   _giảm_, _боша, _হোসে, víem_, 
   {{0x216a64db,0x76580009,0x6aa13199,0x324364dc}},	//   зиви_, _gyvy, _melf, герг, 
   {{0x63bd2467,0xc57a00d1,0xc0e309fa,0x798101a3}},	//   busn, _צרפת, лоск, _mulw, 
   {{0xd175001c,0x9f400080,0xc56917bc,0x09dc64dd}},	// [57a0] тыры, yviä_, _تحول_, _मन्य, 
   {{0xe9e50029,0x6fb30fdc,0x2d5c03a1,0x6b8064de}},	//   _đúng_, املا, ríem_, _rumg, 
   {{0x82360274,0x2d9c5c31,0xa0a63086,0xdd8f1ea7}},	//   _سردا, ève_, _панд, مول_, 
   {{0xb81f009a,0x2ca00038,0x7ae8040b,0x25e7122c}},	//   यनाम_, úid_, _sadt, _जननी_, 
   {{0x80c900a2,0x6aa164df,0x2d55004f,0x7ae80ff2}},	//   _हॉटे, _belf, vået_, _padt, 
   {{0x853d012d,0x79810b8e,0x6aa10156,0x69ca004f}},	//   gsėj, _bulw, _celf, ttfe, 
   {{0x6aa164e0,0x3f82086d,0x2d55192b,0x8c3d020f}},	//   _delf, _huku_, tået_, _reşe, 
   {{0x2c57006a,0xdcfc64e1,0x612300b0,0x38ba0241}},	//   _będą_, _kurč, _võlg, dürü_, 
   {{0x0b4628d1,0x63bd026e,0xdcfc64e2,0x6aa10019}},	//   _знан, xusn, _jurč, _felf, 
   {{0x3f820613,0x2ca602dc,0x6f0e40cf,0x612300b0}},	//   _muku_, laod_, _jobc, _tõlg, 
   {{0x613b00c8,0x3f8264e3,0x8c3d0216,0x7981052b}},	//   nälä, _luku_, _geşb, _gulw, 
   {{0x6aa10536,0xc8790216,0x765800de,0x00000000}},	//   _zelf, weşe_, _vyvy, --, 
   {{0x8c3d20bb,0x27e000fd,0x00000000,0x00000000}},	//   _teşe, _èin_, --, --, 
   {{0x63bd3eac,0x6123007e,0x27e664e4,0x613b0080}},	//   rusn, _mõle, _ison_, kälä, 
   {{0x63bd3eac,0x3f8264e5,0xf09f00e7,0x26de64e6}},	//   susn, _auku_, _hoài_, meto_, 
   {{0x365b00a7,0x13f564e7,0x63600019,0x21780235}},	//   _מכונ, _азия, lönl, ейсы_, 
   {{0xb4dd1139,0x3f8200ef,0xa3ce00b0,0xdb1901e5}},	// [57b0] ड़ी_, _cuku_, _रहए_, suwé, 
   {{0x200700f1,0xce6b169e,0x26de64e8,0xc43c00a7}},	//   ćni_, пред_, neto_, _מתחי, 
   {{0xf09f00e7,0x61e500a3,0xd35800d1,0x63ad01d5}},	//   _loài_, _ushl, _איזי_, _hvan, 
   {{0x6aa164e9,0x26de64ea,0x27e600a3,0xa2cd0e6e}},	//   _self, heto_, _oson_, द्र्, 
   {{0x26de64eb,0x490400c2,0x4fc7011f,0x4b8800f0}},	//   keto_, वानो_, _ясна, ейін_, 
   {{0x26de64ec,0x3ce902ee,0x7bcb09ad,0x63ad016c}},	//   jeto_, žav_, rtgu, _mvan, 
   {{0x6aa164ed,0x2d85026a,0x94120095,0x7bcb00f6}},	//   _velf, _île_, _deyə_, stgu, 
   {{0x63ad05a1,0xe7ed0083,0x6aa100df,0x98750bad}},	//   _ovan, जिला_, _welf, купљ, 
   {{0x6aa164ee,0x3ea35d90,0x2d830144,0x612300c2}},	//   _telf, _kejt_, _huje_, _kõlb, 
   {{0x26de002c,0x798101b8,0x3cff0110,0x00000000}},	//   geto_, _tulw, ळावे_, --, 
   {{0x63ad01ef,0xd6290235,0xb4dd0b20,0x27e664ef}},	//   _avan, фоне_, ड़ू_, _eson_, 
   {{0x38352160,0x2d831aa9,0x78a264f0,0x333364f1}},	//   _инер, _muje_, _geov, _amxx_, 
   {{0x26de64f2,0x68eb012b,0x290f472f,0x6ec2109f}},	//   beto_, _iagd, _ioga_, _लालु, 
   {{0x26de64f3,0x68eb13cd,0x656f006d,0xe733070f}},	//   ceto_, _hagd, amch, _حصص_, 
   {{0x3f8233e8,0xf2a364f4,0xdcfc0df4,0xe7082493}},	//   _suku_, рисп, _surč, _ستون_, 
   {{0xb14364f5,0x78a20068,0x21671853,0xddc70035}},	//   ансл, _xeov, виси_, _wyjś, 
   {{0x68eb64f6,0x708364f7,0x3ea364f8,0x2d9127bd}},	// [57c0] _magd, ргуз, _bejt_, _atze_, 
   {{0x3f82032f,0x290f64f9,0x68eb64fa,0x8afc0035}},	//   _vuku_, _loga_, _lagd, _więz, 
   {{0x63ad64fb,0x2d83090b,0x2d5531b7,0xdee364fc}},	//   _zvan, _cuje_, våer_, рохи, 
   {{0x3f8264fd,0x68eb1614,0x290f4c38,0xe9ff001b}},	//   _tuku_, _nagd, _noga_, _nhằm_, 
   {{0xe7bc100b,0x99410035,0x613b1279,0x6a7c00fc}},	//   _অন্য, kół_, sälä, jåfø, 
   {{0x60c464fe,0x26de0068,0x3ea301f2,0x7b14022c}},	//   lgim, xeto_, _gejt_, _nàut, 
   {{0x290f20ca,0x6da364ff,0x27200054,0x26de6500}},	//   _boga_, _виса, _nòna_, veto_, 
   {{0x60c46501,0x23b21011,0x26de6502,0xe9ff0108}},	//   ngim, _जिंद, weto_, _chằm_, 
   {{0x68eb6503,0x26de6504,0x5aca0cdf,0x2fc0445b}},	//   _dagd, teto_, _олам_, nuig_, 
   {{0xd6da6505,0x63ad0df4,0x2480024a,0xd5b801dd}},	//   фти_, _rvan, _agim_, trā_, 
   {{0x63ad4efc,0x55753ac9,0xc9d50499,0x5ebb00d1}},	//   _svan, лгот, _مملک, וזיק, 
   {{0xb4dd1139,0x69da4ea4,0x43950f88,0x290f6506}},	//   ड़े_, _ipte, ламс, _goga_, 
   {{0xe72f00c5,0x26de6507,0xaac93cae,0xa7a700d3}},	//   صصی_, peto_, _रामक, _акча_, 
   {{0x2d871067,0x59c60154,0x26de0149,0x68e06508}},	//   ínek_, रंपर, qeto_, lemd, 
   {{0x8c3d4028,0x290f6509,0x20c72dd2,0x00000000}},	//   _meşa, _yoga_, ксаг, --, 
   {{0x74150e61,0x60c4650a,0x290f03da,0x63ad03a9}},	//   _موبا, ggim, _xoga_, _tvan, 
   {{0x691c026a,0x2fc03688,0x63ad650b,0x4fc700fd}},	// [57d0] _réel, guig_, _uvan, ъсва, 
   {{0x63a90076,0x4fc400ff,0x68e0040b,0x8c3d0216}},	//   šens, јста, hemd, _neşa, 
   {{0x394608f4,0x3cff009a,0xc7b9010e,0x4ac90110}},	//   _ojos_, ळाले_, rzői_, _राबव, 
   {{0x2fc0650c,0xa3d7009a,0xa3c7126e,0x7055010e}},	//   buig_, _सहा_, _उमा_, _منجا, 
   {{0x8c3d650d,0x628000bc,0x68e0650e,0x7b1400f6}},	//   _beşa, ěmov, demd, _nàus, 
   {{0xe1f0006b,0x68eb01cc,0x6b6500e4,0x39460369}},	//   _اسی_, _sagd, ыкла, _ajos_, 
   {{0x68eb1410,0x1cbb00eb,0x9f34004e,0x38660118}},	//   _pagd, _يارب_, _тері, _azor_, 
   {{0xb4dd00a5,0x89d60e61,0xa9665a00,0x7c870d3d}},	//   ड़ो_, اوير_, лища_, _јуве, 
   {{0x6ec70366,0x69da00f6,0x7b1400b9,0x6eca00c9}},	//   ालपु, _epte, _càus, स्कु, 
   {{0x3cff006d,0x3866012b,0x290f0548,0x06090080}},	//   _hnuv_, _dzor_, _woga_, енок_, 
   {{0x290f03ef,0x64a6650f,0x68eb6510,0x1fcf0033}},	//   _toga_, лана, _tagd, রিটস, 
   {{0x2f16010d,0xdcfc00e0,0xa50a021d,0x290f6511}},	//   _hægt_, _kurā, хема_, _uoga_, 
   {{0xf7f4017a,0x9f406512,0x78a96513,0x54360afc}},	//   _پسند, rviú_, maev, ухну, 
   {{0x395f6514,0xb6a5058e,0x78a96515,0x6d9300c3}},	//   llus_, _сикл, laev, _iħaf, 
   {{0x321e026e,0x395f6516,0x200f01a4,0x00000000}},	//   áty_, olus_, ägin_, --, 
   {{0x2fc06517,0x46cf2c91,0x661c00fb,0x78a90106}},	//   tuig_, त्रह, ørke, naev, 
   {{0x60c46518,0x321e026e,0xe3b20019,0x75246519}},	// [57e0] rgim, šty_, _ارب_, _iliz, 
   {{0x26c500e2,0xa2e6651a,0x7536014b,0x693a003d}},	//   nglo_, _соод, _hmyz, nċer, 
   {{0x629c2126,0x75240062,0x8c3d04a8,0x7bdb0080}},	//   mbro, _kliz, _reşa, _apuu, 
   {{0xe45f022b,0xdee30cdf,0x9c262c6b,0xd00a0165}},	//   mför_, _қоси, лдед, _земе_, 
   {{0x6d4201cf,0x395f00c2,0x75242c6c,0xdb5a06b3}},	//   rnoa, dlus_, _mliz, нюк_, 
   {{0xbda6024f,0x6d4a1ea1,0x8c3d009e,0x395f00c2}},	//   _محرو, éfab, _qeşa, elus_, 
   {{0xe45f022b,0xe6072751,0xdce20571,0x8c3d010c}},	//   nför_, _اش_, jmoć, _veşa, 
   {{0x3914620e,0x8c3d0218,0xdce200d2,0x612300b0}},	//   рмир, _weşa, dmoć, _kõla, 
   {{0xed350028,0x68e0651b,0x629c38a8,0x7d00008a}},	//   _тэрэ, remd, kbro, _inms, 
   {{0x4734152e,0x68e0651c,0x7524651d,0x3866014b}},	//   рнос, semd, _aliz, _vzor_, 
   {{0x0f57042c,0xc879009e,0xd6d74315,0x629c0844}},	//   ריים_, reşa_, уты_, dbro, 
   {{0x9e7700a7,0x395f651e,0x6aaa651f,0x64756520}},	//   טגיה_, clus_, laff, игну, 
   {{0x38660588,0x658800bc,0xb79602a6,0x6d9300c3}},	//   _uzor_, _těho, _срећ, _għaf, 
   {{0x75246521,0x56944572,0xa5c4005e,0xa01b0219}},	//   _eliz, _такт, _көме, _oför, 
   {{0x34950161,0x673a6522,0x22590080,0x00000000}},	//   _кайр, mitj, тивы_, --, 
   {{0x6aaa18db,0x31606523,0x51846524,0x63600380}},	//   haff, gliz_, сура, hönh, 
   {{0x6aaa200f,0x656d6525,0x629c32aa,0xcebb0267}},	// [57f0] kaff, _ihah, bbro, еље_, 
   {{0xa2c2004e,0x673a0226,0x78a96526,0x9e4b0ca4}},	//   _мәск, nitj, zaev, нчез_, 
   {{0xdfd4005e,0x395f6527,0x61f70065,0x656d0149}},	//   _қоры, ylus_, _urxl, _khah, 
   {{0x661a0640,0x40846528,0x7c2b12bf,0x8d741897}},	//   iytk, _гурб, tzgr, مانا, 
   {{0xd7e600eb,0x63af0038,0x661a090f,0x6b7500d3}},	//   _بك_, nscn, hytk, алду, 
   {{0x645a00d9,0x212902cd,0x6aaa6529,0x657f084c}},	//   ştig, lhah_, gaff, _liqh, 
   {{0xaa490141,0x2f1637c2,0xdb0b652a,0x395f007e}},	//   ъпка_, _vægt_, nsgé, tlus_, 
   {{0xe8f9652b,0x63bd1a35,0xc27c0070,0x9b950a10}},	//   тли_, krsn, ערהי, _виац, 
   {{0x69150183,0x7bdb0548,0x78a90226,0x644d00a1}},	//   _sáes, _upuu, raev, _nxai, 
   {{0x2129652c,0x75240098,0xaa880038,0x63bd0144}},	//   hhah_, _sliz, _منكم_, drsn, 
   {{0x75240cd7,0xf5060c19,0xb4db022c,0x629c0946}},	//   _pliz, азно, rnàn, vbro, 
   {{0x7ae3652d,0x69c302bf,0x316000f4,0x696704bc}},	//   lent, mune, xliz_, _صداق, 
   {{0x212900c5,0x656d652e,0x289a00c7,0x74040086}},	//   dhah_, _dhah, _סיסא, উন্ট_, 
   {{0x661a173b,0xa3c70262,0x290d1993,0x291f652f}},	//   bytk, _उमर_, ljea_, lkua_, 
   {{0x63bd0014,0x6d490369,0x69c30474,0x657f1530}},	//   arsn, _ojea, nune, _fiqh, 
   {{0xe45f0750,0x629c2f99,0x21296530,0x6d5b023b}},	//   rför_, sbro, ghah_, _nkua, 
  
   {{0x7ae36531,0x69c36532,0x27290023,0xa2ce00bc}},	// [5800] kent, hune, _cúng_, _ताप्, 
   {{0x69c32e68,0x6d5b6533,0x656d02cd,0x1e961ee6}},	//   kune, _akua, _zhah, ррар, 
   {{0x72080105,0x21296534,0x6aaa02f1,0x69c300b0}},	//   _صفحہ_, bhah_, vaff, june, 
   {{0x63a46535,0x69c36536,0xeb9a2fa9,0x47dc0086}},	//   _kwin, dune, вид_, বিতী, 
   {{0x7ae344b0,0xb92a001b,0xeb066537,0x6aaa0547}},	//   fent, _thuế_, ичко, taff, 
   {{0x7ae3115b,0x63a40ad1,0x69c36538,0x6d5b6539}},	//   gent, _mwin, fune, _ekua, 
   {{0x69c3653a,0x19a708a5,0xf8b800f6,0x88840116}},	//   gune, атып_, гөл_, میان, 
   {{0xa3d71422,0x21200121,0x7d000126,0x6aaa4732}},	//   _सहल_, nkih_, _unms, saff, 
   {{0x673a653b,0x2fd202ae,0x69c30151,0x00000000}},	//   titj, ntyg_, aune, --, 
   {{0x656d49a9,0x63bd02f5,0x69c3653c,0x2120653d}},	//   _shah, vrsn, bune, hkih_, 
   {{0x69c3653e,0x673a653f,0x6d930405,0x63a40096}},	//   cune, ritj, _għad, _awin, 
   {{0x673a4cd0,0x63a4030b,0x6aa800f8,0x00000000}},	//   sitj, _bwin, _hedf, --, 
   {{0xd79400eb,0x2d5c1342,0x673a6540,0x21200352}},	//   _التخ, líes_, pitj, dkih_, 
   {{0x8857004e,0x63a40511,0x3cfd00a5,0x673a024a}},	//   _тиіс_, _dwin, _रोने_, qitj, 
   {{0x656d0149,0x63a46541,0x6aa80cac,0x51870da9}},	//   _thah, _ewin, _medf, руга, 
   {{0x644d01c1,0xd3a7041c,0xdb1906df,0xba3c0009}},	//   _txai, _кроп, ntwò, _neįm, 
   {{0xc05b0b0c,0x7ae36542,0x64480095,0x69c30a9f}},	// [5810] тів_, yent, şdir, zune, 
   {{0x7ae36543,0x6d5b6544,0x21296545,0x3949008b}},	//   xent, _skua, shah_, časi_, 
   {{0x7ae36546,0x62850065,0x2d870107,0x06e10086}},	//   vent, _igho, êne_, বাচি, 
   {{0x7ae35132,0x212004d1,0x753d0019,0x5c753ac9}},	//   went, ckih_, nisz, блет, 
   {{0x7ae36547,0x1c3908ad,0x4c9502f1,0x2d9a0036}},	//   tent, ызды_, _ҳибс, appe_, 
   {{0x69c312db,0x8ccc093a,0x628501f2,0x2d5c00b9}},	//   tune, _हाथो, _jgho, fíes_, 
   {{0xd2b800d1,0x6aa8017c,0x291f0080,0x00000000}},	//   בלות_, _dedf, tkua_, --, 
   {{0x69c36548,0x09051eec,0xe0df0300,0x6d5b0548}},	//   rune, спин, _akòz_, _ukua, 
   {{0x69c36549,0x6d5900ab,0xe8f60504,0x468302f1}},	//   sune, mowa, слы_, оқла, 
   {{0x69c3654a,0x291f654b,0x6d591af1,0x628500f8}},	//   pune, skua_, lowa, _ngho, 
   {{0x9985057f,0x58d500b3,0x63a4654c,0x2d5c00b9}},	//   _الصو, _гоет, _swin, cíes_, 
   {{0x753d006b,0x6d59006a,0x6b81654d,0x62854aec}},	//   gisz, nowa, _hilg, _agho, 
   {{0x6b8900cc,0xdcf500e0,0x6b81654e,0x21200121}},	//   _jueg, _atzī, _kilg, vkih_, 
   {{0x6b81003d,0x6d9300a4,0x6d590083,0xe6952ad7}},	//   _jilg, _mħab, howa, _الغد, 
   {{0x6d59006a,0x6b890086,0x212011c8,0x412a005b}},	//   kowa, _lueg, tkih_, гово_, 
   {{0x753d162a,0x00000000,0x00000000,0x00000000}},	//   cisz, --, --, --, 
   {{0x6d59006a,0x612a003e,0x645a0216,0x63a4654f}},	// [5820] dowa, _nýle, ştib, _uwin, 
   {{0xd9f704d7,0xbeaa00d4,0x2fd20219,0x6b816550}},	//   ंटात_, اهان_, rtyg_, _nilg, 
   {{0x248d026e,0xc33300c7,0x21200352,0x2fd20326}},	//   žeme_, _מוז_, pkih_, styg_, 
   {{0x6d59006a,0x395d023b,0x2d5c0327,0x6b810156}},	//   gowa, _nkws_, víes_, _ailg, 
   {{0x6b810792,0x7988040b,0x4c56007a,0xdcfc0243}},	//   _bilg, _sudw, حضار, _strē, 
   {{0x2d5c0126,0x6b815d84,0x00000000,0x00000000}},	//   tíes_, _cilg, --, --, 
   {{0x6d596551,0x3eaa0183,0x798800e2,0xbea30093}},	//   bowa, _iebt_, _qudw, _хаск, 
   {{0x3eaa0536,0x6b89060f,0x6d5900ab,0x3b860229}},	//   _hebt_, _fueg, cowa, _глаг, 
   {{0x0c266552,0x3eb8085b,0x6b81007b,0x5ecf0033}},	//   _уман, _kdrt_, _filg, _হোটে, 
   {{0x6b816553,0x95d803b7,0x35b424eb,0x8afc0035}},	//   _gilg, адот_, обор, _chęt, 
   {{0xf8b81472,0x9f4005b9,0x2f5b035c,0x753d010e}},	//   _көп_, lvió_, רדינ, tisz, 
   {{0x6ed8031e,0x2fc00075,0x38cb009c,0x3eaa0380}},	//   न्तु, krig_, _ماهی_, _lebt_, 
   {{0x6b8102f1,0x6d430212,0x753d039f,0x48e30083}},	//   _yilg, énai, risz, _फ़ोटो_, 
   {{0x2fc06554,0x6d596555,0x87b70486,0xa5f86556}},	//   drig_, zowa, _פלוס_, _веку_, 
   {{0x2d8a0503,0x6d590053,0x2fc06557,0x6f151763}},	//   _nube_, yowa, erig_, _rozc, 
   {{0x61fa04f4,0x90996558,0x2fc06559,0x00000000}},	//   ætla, рват_, frig_, --, 
   {{0x50672ec7,0x12e70451,0x2d8a0107,0xe7ed00c9}},	// [5830] ства, _лінг, _aube_, ड़िया_, 
   {{0x6b8900e9,0x6d590083,0x8c3d0216,0x00000000}},	//   _rueg, wowa, _qeşm, --, 
   {{0x6d59006a,0x4ea40009,0x6ed8031e,0xe7ea00ab}},	//   towa, ярта, न्धु, _जैसा_, 
   {{0x2fc029e2,0x2d8a018e,0x7bf9022c,0x20c70165}},	//   brig_, _dube_, инер_, _усог, 
   {{0x6d59006a,0x2d98026d,0x6b8900fd,0x6a8500a3}},	//   rowa, _etre_, _queg, олла, 
   {{0x6d59006a,0x612a026e,0x6b8100cf,0x6ed80b3e}},	//   sowa, _výle, _qilg, न्दु, 
   {{0x80ac00cc,0x6d59655a,0x7bc6017b,0x8c3d0241}},	//   _ছাত্, powa, _åkun, _keşk, 
   {{0x3f8b0d26,0xf41f0080,0x6b81655b,0x64412120}},	//   _kucu_, kyä_, _wilg, şliy, 
   {{0x6b81655c,0x2d8a0062,0x26ce0226,0xe0df0118}},	//   _tilg, _zube_, _bcfo_, _ajòk_, 
   {{0x8c3d0218,0x3cfd07d5,0x2caf0f5b,0x2d98004f}},	//   _leşk, _रोते_, lagd_, _ytre_, 
   {{0x3f8b655d,0x36691c93,0x854a655e,0x6123007e}},	//   _lucu_, рано_, изов_, _põll, 
   {{0x27e000d9,0x3f830082,0xe0df0118,0x26dc02a5}},	//   _ţine_, _liju_, _djòk_, _ebvo_, 
   {{0x27e9011c,0x3f9907d7,0x4424024c,0x9cd600d1}},	//   _èan_, _ntsu_, ám_, חורה_, 
   {{0x59dd03c1,0x60cf17f9,0x2fc0004f,0xe5a52dcf}},	//   _महार, _accm, vrig_, _дики, 
   {{0x6372055f,0xdddc0604,0x6360039f,0x00000000}},	//   hæng, _ogrš, dönt, --, 
   {{0x3f8b0065,0x09be0033,0x2fc05a5f,0x2d8a016c}},	//   _bucu_, _আহমা, trig_, _rube_, 
   {{0x78ab006b,0x3f8b120c,0x2d8a655f,0x2fc06560}},	// [5840] _megv, _cucu_, _sube_, urig_, 
   {{0xe6b7141c,0x2fc06561,0x3f83015e,0xfe4626f1}},	//   _आयोज, rrig_, _ciju_, онзо, 
   {{0x0caa02f1,0xcb0302e6,0xee3a02a6,0xe0da6562}},	//   атли_, लाईड_, јне_, _квн_, 
   {{0xdca36563,0xed5a00c8,0xbc660398,0x00000000}},	//   даци, шое_, овек, --, 
   {{0xfbcf2daa,0x0b936564,0x63720566,0xed4f010e}},	//   نتو_, وجود, gæng, ڑھے_, 
   {{0x9f40060f,0xada66565,0x2d8a6566,0x63601618}},	//   rvió_, _магл, _tube_, möns, 
   {{0xcebf00bc,0x9f400126,0xdd921c03,0x637202c9}},	//   _úřad_, svió_, _آور_, mænd, 
   {{0x48145af1,0x637202c9,0x14c6009a,0xed576567}},	//   змис, lænd, _वागण, _дос_, 
   {{0x8c430f6b,0xc173042c,0xfbd1031e,0x78ab01dd}},	//   _жете, וחה_, _समयम, _degv, 
   {{0xf41f0080,0x00000000,0x00000000,0x00000000}},	//   vyä_, --, --, --, 
   {{0x2d850019,0x7bc25329,0x6123007e,0x636001c4}},	//   _élet_, lrou, _sõlm, höns, 
   {{0xe4e702fb,0xf41f00c8,0x2bb10035,0xd7fa0267}},	//   ціон, tyä_, ुंचा, _вук_, 
   {{0x3949034c,0x29060054,0x29180216,0x8c3d0216}},	//   čast_, _inoa_, _îraq_, _reşk, 
   {{0x7c2f0c05,0x98a30028,0x5f950176,0x63b60028}},	//   _ücre, ėją_, ҷиат, _dvyn, 
   {{0xd13b048a,0x3f8b6568,0x3f830097,0xf41f00c8}},	//   аха_, _sucu_, _riju_, syä_, 
   {{0x2d84007e,0xbdfb00d4,0x7bc26569,0x636002ae}},	//   _nime_, یرضا_, krou, föns, 
   {{0x63600080,0xb28700d9,0x24890090,0x00000000}},	// [5850] tönt, _мынк, _igam_, --, 
   {{0x2d84026d,0x26cc656a,0x3f8b015e,0x6e6734fd}},	//   _aime_, ngdo_, _vucu_, отеж, 
   {{0x27290228,0x8c3d656b,0x0cd624d4,0x2caf02b0}},	//   _júna_, _ieşi, ठभूम, tagd_, 
   {{0x2d8405ae,0x5c75656c,0x62950083,0x0ec70110}},	//   _cime_, плет, lczo, _लाकड, 
   {{0x7bc2656d,0x60cd0053,0x799a003d,0x78ab0876}},	//   grou, mgam, _attw, _regv, 
   {{0x60cd656e,0xdefb656f,0x2fc9006d,0x637202c9}},	//   lgam, _тым_, muag_, ræng, 
   {{0x2729008c,0x38690ab4,0x2fc96570,0x8c3d1669}},	//   _núna_, _šar_, luag_, _meşi, 
   {{0x637202c9,0x24896571,0x8c3d0474,0x00000000}},	//   mæne, _ngam_, _leşi, --, 
   {{0x853d00e4,0xd90c00c5,0x2572026e,0x2729001d}},	//   ipėd, شیو_, nále_, _aúna_, 
   {{0x24890544,0xc6140086,0x6b9b6572,0x290607d7}},	//   _agam_, াননা_, _itug, _enoa_, 
   {{0xf9f911b7,0x2fc90201,0x6360010e,0x60cd0226}},	//   _دفاع_, huag_, zöns, kgam, 
   {{0x60cd024a,0x691c0212,0x62950083,0x672a4d5c}},	//   jgam, _dées, eczo, _elfj, 
   {{0x8c3d05b7,0x68e9621c,0xe72e4b00,0x93c6020f}},	//   _beşi, meed, _зе_, _orăş, 
   {{0xe2974de1,0x68e91baf,0x69c31a77,0x27ed0300}},	//   зар_, leed, orne, mwen_, 
   {{0xc6920137,0x6d4b0ae3,0xd0040a50,0x613100fc}},	//   _טאג_, knga, रम्भ_, _målf, 
   {{0x39916573,0x60cd6574,0x55ba0056,0x2cad3af3}},	//   _más_, ggam, _המקו, _need_, 
   {{0x6372055f,0x212b01f5,0x69c36575,0x27ed6576}},	// [5860] tænd, _dlch_, hrne, nwen_, 
   {{0x68e96577,0x7bc26578,0x6d4b6579,0x2d84657a}},	//   heed, vrou, enga, _sime_, 
   {{0x399108d7,0x4422018c,0x6b9b17d3,0x0d8603b7}},	//   _nás_, lyk_, _atug, член, 
   {{0x7bc2657b,0x6372055f,0x6d4b51f1,0x0b8a5131}},	//   trou, sænd, gnga, бски_, 
   {{0x68e9657c,0x8c3d01f0,0x44220028,0x63720566}},	//   deed, _yeşi, nyk_, pænd, 
   {{0x6d4b657d,0x6b9b00eb,0x399100eb,0xf7670019}},	//   anga, _dtug, _bás_, _سا_, 
   {{0xdca6657e,0x2d840052,0x39910038,0x6d4b0008}},	//   _нави, _time_, _cás_, bnga, 
   {{0x07980886,0x44226430,0x3991068b,0x7bc2657f}},	//   овић_, kyk_, _dás_, prou, 
   {{0xb8d40262,0x69c33df0,0x6d4216e3,0x0c26021d}},	//   _जज_, arne, mioa, _эман, 
   {{0x6d426580,0x39910038,0x44226581,0x1de000c9}},	//   lioa, _fás_, dyk_, _नहात, 
   {{0x39916582,0x7c2206df,0x60cd027e,0xba9b00d1}},	//   _gás_, lyor, ygam, _הסבי, 
   {{0x7aea6583,0x6d422268,0x68e900d1,0x394002ae}},	//   left, nioa, ceed, _öis_, 
   {{0x645a6584,0x7c226585,0x8c3d01f0,0xf76f00d4}},	//   ştin, nyor, _peşi, ضای_, 
   {{0x612300b0,0x7aea6586,0x490400bc,0x6d426587}},	//   _tõlk, neft, वाको_, hioa, 
   {{0xe9ff00f7,0x69d86588,0xd6db00d1,0x6d4b0156}},	//   _phẩm_, ntve, _החול, ynga, 
   {{0x6131017e,0x7aea067e,0x60cd0028,0x21640259}},	//   _målg, heft, ugam, етуг, 
   {{0x7aea0218,0x752d0180,0x205400b3,0x2cad1453}},	// [5870] keft, _ilaz, ектя, _reed_, 
   {{0x51876589,0x6d4b06e4,0x69d81e2d,0x63a901dd}},	//   _нума, wnga, ktve, ģend, 
   {{0x27ed0cd7,0xe9ff001b,0x6b9b658a,0x6d4b658b}},	//   zwen_, _thẩm_, _stug, tnga, 
   {{0x3991658c,0x6d420ab0,0x6372055f,0x6d4b658d}},	//   _rás_, gioa, ræne, unga, 
   {{0x6d932976,0x68e90033,0x752d0112,0x2ca0001d}},	//   _għan, veed, _mlaz, ñida_, 
   {{0x69d8658e,0x7aea055f,0x3991014b,0xf1b10d2e}},	//   ftve, geft, _pás_, _जबान, 
   {{0x44221764,0x68e9658f,0x2cad00b0,0x2548010e}},	//   zyk_, teed, _teed_, lőle_, 
   {{0x399108fc,0x6d42002e,0xc2e90033,0x752d0054}},	//   _vás_, cioa, খাটি_, _nlaz, 
   {{0x27ed0b32,0x68e90318,0x69dc014e,0xf1b80405}},	//   uwen_, reed, _ären, ġġi_, 
   {{0x27ed6590,0x7d1b0056,0x752d4c9e,0x68e92f02}},	//   rwen_, _hous, _alaz, seed, 
   {{0x752d6591,0x7bcb3175,0x7d1b6592,0x68e900b0}},	//   _blaz, lugu, _kous, peed, 
   {{0xc3296593,0x7d1b2ccc,0xd46a2a79,0x44226594}},	//   _דו_, _jous, жиме_, tyk_, 
   {{0x394d6595,0x7bcb0daa,0xd90f0019,0x7d1b1594}},	//   mnes_, nugu, _لیں_, _mous, 
   {{0x7d1b6596,0x6d420414,0x44226597,0x395f6598}},	//   _lous, zioa, ryk_, lous_, 
   {{0x394d0f46,0x7bcb6599,0x44224832,0x6d9300a4}},	//   ones_, hugu, syk_, _sħan, 
   {{0x752d659a,0x394d659b,0x7d1b0088,0x7c2200cf}},	//   _glaz, nnes_, _nous, yyor, 
   {{0xef1a659c,0xa0673065,0x394d659d,0xdb0b0019}},	// [5880] ома_, дата_, ines_, zsgá, 
   {{0x7bcb659e,0xe7e500ab,0x9f4b02a3,0xe9ff0023}},	//   dugu, _कहना_, _uscì_, _nhắm_, 
   {{0x2d9c01ee,0x7d1b659f,0x394d65a0,0x6d4265a1}},	//   ëve_, _bous, knes_, tioa, 
   {{0x7d1b65a2,0x53d204b7,0x395f00d3,0xdce20613}},	//   _cous, _तमाश, jous_, ploč, 
   {{0x6d4265a3,0x7bcb65a4,0x7d1b65a5,0x394d1ca7}},	//   rioa, gugu, _dous, dnes_, 
   {{0x394d65a6,0x7d0965a7,0x6d4265a8,0x69d8004f}},	//   enes_, _enes, sioa, ttve, 
   {{0x7aea65a9,0x7c220938,0x7bcb00e0,0x38660640}},	//   reft, syor, augu, _syor_, 
   {{0x69d865aa,0x394d0c66,0x69ca02f2,0xa2be0367}},	//   rtve, gnes_, rufe, वृत्, 
   {{0x6d4065ab,0x6f1c65ac,0x69ca0027,0x00000000}},	//   _imma, _korc, sufe, --, 
   {{0x752d04d1,0x394d65ad,0x7d09008b,0x656465ae}},	//   _slaz, anes_, _znes, _akih, 
   {{0xd6d73098,0x6f1c65af,0x395f65b0,0x645a00d9}},	//   фты_, _morc, bous_, ştil, 
   {{0x2ca617ab,0x394d015e,0x6b883827,0xc7a61078}},	//   nbod_, cnes_, _hidg, _жидк, 
   {{0x248d0112,0x27320029,0x752d0571,0x68e200a3}},	//   žemo_, _nâng_, _vlaz, _ibod, 
   {{0x61310310,0x6d930529,0x2ef80183,0x27e665b1}},	//   _måle, _bħal, _narf_, _ipon_, 
   {{0x6d4002f1,0xd5af0a10,0x7bcb65b2,0x200265b3}},	//   _omma, _шс_, zugu, _arki_, 
   {{0x752d02f5,0x39445cf6,0x8c3d0218,0x6d9300c3}},	//   _ulaz, nims_, _keşt, _dħal, 
   {{0x6f1c65b4,0x7d1b65b5,0xa2d7009a,0xa1841bb9}},	// [5890] _borc, _rous, _बाप्, тырл, 
   {{0xce6b0d61,0x6f1c65b6,0x394d65b7,0x6d4065b8}},	//   оред_, _corc, znes_, _amma, 
   {{0x7d1b65b9,0x6d932976,0x6f1c65ba,0x2ef802f2}},	//   _pous, _għal, _dorc, _darf_, 
   {{0x63ad65bb,0x200202fe,0x7bcb65bc,0x6d5a003e}},	//   _kwan, _frki_, tugu, _ítal, 
   {{0xbbeb0fdc,0x6131014e,0x7d0902ee,0x6f1c65bd}},	//   ترام_, _våld, _vnes, _forc, 
   {{0x63ad65be,0x26e300cc,0x7bcb65bf,0x6f1c0156}},	//   _mwan, _কোনো_, rugu, _gorc, 
   {{0x7d1b65c0,0x394d65c1,0x7bcb65c2,0xa2d70f65}},	//   _tous, tnes_, sugu, _बान्, 
   {{0x212965c3,0x394d026d,0x63ad0539,0x7bcb65c4}},	//   nkah_, unes_, _owan, pugu, 
   {{0x394d65c5,0x8b673147,0xd7e600c8,0x63ad0026}},	//   rnes_, _قائم, емые_, _nwan, 
   {{0x395f65c6,0x394d65c7,0x21291237,0x6b740161}},	//   sous_, snes_, hkah_, _алуу, 
   {{0x21290982,0x63ad65c8,0x39443868,0x395f65c9}},	//   kkah_, _awan, bims_, pous_, 
   {{0x63ad65ca,0x645a009e,0x67b902b4,0x2d9165cb}},	//   _bwan, ştim, _فاتح_, _muze_, 
   {{0x782717ba,0x25720038,0x21290065,0xdcfc01dd}},	//   _تعال, gála_, dkah_, _strī, 
   {{0x27320012,0x63ad65cc,0x3d062659,0x68f90156}},	//   _când_, _dwan, _सोने_, _hawd, 
   {{0x63ad65cd,0xc7b90019,0x2129134c,0xc0e615dd}},	//   _ewan, lső_, fkah_, новк, 
   {{0x68fb65ce,0x6f1c65cf,0x2ef834ec,0x63ad05d5}},	//   ndud, _sorc, _sarf_, _fwan, 
   {{0x291d4dbc,0x63ad65d0,0x2d9129a0,0x68f965d1}},	// [58a0] _mowa_, _gwan, _auze_, _mawd, 
   {{0x273265d2,0x2cbf0175,0x2d9165d3,0x62920032}},	//   _vâng_, _adud_, _buze_, ékoľ, 
   {{0x63ad65d4,0xaac90367,0x61310310,0x6b8865d5}},	//   _zwan, _राजक, _såle, _ridg, 
   {{0x8fa66154,0x0b8a4134,0x6d930405,0xe9ff00e7}},	//   _паме, пски_, _għam, _chậm_, 
   {{0x6f1c65d6,0xead408ef,0x4af80088,0xcb6a0429}},	//   _torc, воль, делю_, паде_, 
   {{0x6131017b,0x45160033,0xdd9201c9,0x27e600a1}},	//   _våle, াসিক_, _موس_, _rpon_, 
   {{0x394400d3,0x2d910588,0x291d044d,0x68f903c6}},	//   tims_, _guze_, _bowa_, _bawd, 
   {{0x6d4020fd,0x3f8a65d7,0x68fb1a71,0x8c3d00b3}},	//   _umma, _hibu_, gdud, _peşt, 
   {{0x394465d8,0x291d044d,0x2d91044d,0x20000036}},	//   rims_, _dowa_, _zuze_, nvii_, 
   {{0x63ad65d9,0x3f8a0010,0x39442163,0xccf90035}},	//   _rwan, _jibu_, sims_, _zaś_, 
   {{0x63ad65da,0x66030fd3,0x18a61fe9,0x273200b3}},	//   _swan, _crnk, _заем, _rând_, 
   {{0x80e0100b,0x7afa65db,0x68e2090e,0x63ad0053}},	//   _পোস্, _hatt, _ubod, _pwan, 
   {{0x7afa65dc,0x27e600a7,0x67d457c5,0x21290352}},	//   _katt, _upon_, _ролу, vkah_, 
   {{0x257241ad,0x7afa007b,0x938800c8,0xe7e510cf}},	//   rála_, _jatt, есса_, _कहता_, 
   {{0x31c416e1,0x4ac907d5,0x7afa65dd,0x069700a7}},	//   лств, _राघव, _matt, _אדום_, 
   {{0x21291e79,0x63ad65de,0x2d91032f,0x3f8a0053}},	//   ukah_, _twan, _ruze_, _aibu_, 
   {{0x212902f6,0x63ad4429,0x2d910062,0xa3e50077}},	// [58b0] rkah_, _uwan, _suze_, _नहि_, 
   {{0x7afa0a40,0x212965df,0x238a0032,0xbf9b0151}},	//   _natt, skah_, ľujú_, _frên, 
   {{0x212902cd,0x238a0228,0x2264014b,0x6235049b}},	//   pkah_, žujú_, čské_, _рену, 
   {{0xa3e500a5,0x7afa0080,0x00000000,0x00000000}},	//   _नहा_, _aatt, --, --, 
   {{0x7afa19a9,0x255600e0,0x291d011c,0x68f9107c}},	//   _batt, nāla_, _rowa_, _rawd, 
   {{0xbbd103a2,0x68f965e0,0x2fc9012b,0x290301dd}},	//   _समीक, _sawd, mrag_, ējam_, 
   {{0x62880bad,0x7afa08bb,0xe9ff00e7,0xbe6536a7}},	//   ždov, _datt, _thậm_, _شهري, 
   {{0xdb0b02ae,0x2cbf3f82,0x7d160080,0x8d7700d7}},	//   dsgå, _udud_, öyst, _سازا, 
   {{0x7afa65e1,0xe739021f,0x69ce01cc,0x68fb65e2}},	//   _fatt, деп_, _åben, rdud, 
   {{0x7afa65e3,0xecd100aa,0x645a4d48,0xff66009e}},	//   _gatt, _हाँफ, ştik, şîva_, 
   {{0x64a665e4,0xdb260296,0x25ae03c6,0xb659017b}},	//   кана, _جولی, _cwfl_, ьших_, 
   {{0x7afa65e5,0xe894012d,0x2fc90326,0x2b470604}},	//   _zatt, _баць, krag_, linc_, 
   {{0x7afa65e6,0x78a965e7,0x2fc90096,0x00000000}},	//   _yatt, mbev, jrag_, --, 
   {{0x03a3030f,0x7afa01ff,0x20000036,0x798b016c}},	//   риро, _xatt, vvii_, _higw, 
   {{0x3f8a65e8,0x80e00086,0xe29765e9,0x798b1fee}},	//   _ribu_, _পোষ্, тас_, _kigw, 
   {{0x78a90af8,0x3f8a5f50,0x2b470604,0x798b008a}},	//   nbev, _sibu_, hinc_, _jigw, 
   {{0xf8b20137,0x54a50038,0x216765ea,0xd17500f0}},	// [58c0] ישן_, _صحيف, тити_, уыры, 
   {{0x6123007e,0x798b65eb,0x6d9301f2,0xafe365ec}},	//   _sõlt, _ligw, _għak, рофл, 
   {{0x7afa65ed,0xb606033c,0x7bdb00b9,0xba3c0009}},	//   _ratt, _ibáñ, _aquu, _neįp, 
   {{0x7afa4989,0x629c0657,0x80e00033,0x2fc965ee}},	//   _satt, lcro, _পোর্, brag_, 
   {{0x307565ef,0x7afa65f0,0x612300c2,0x3f8a65f1}},	//   _бурс, _patt, _võlt, _tibu_, 
   {{0x7afa65f2,0x2b472120,0xd7880210,0x00000000}},	//   _qatt, ginc_, _yểu_, --, 
   {{0x7afa0750,0x3cfd007e,0xe45f65f3,0x798b65f4}},	//   _vatt, _रोके_, ngör_, _bigw, 
   {{0x7afa65f5,0x5ec70086,0x78a965f6,0xf8060080}},	//   _watt, র্দে, gbev, вчон, 
   {{0x56940d18,0x798b02bf,0x2bc9058c,0x7afa65f7}},	//   лапт, _digw, _रिया, _tatt, 
   {{0x61310164,0xa2d765f8,0x996500d3,0x255601dd}},	//   _måla, _बाध्, ктөл, vāla_, 
   {{0x2d8c010e,0xa37b019c,0x00000000,0x00000000}},	//   _édes_, ntõe, --, --, 
   {{0xc4bf05d0,0x77920a5a,0x64bf02e6,0x255600e0}},	//   ्लेख, _پیدا, ्लेश, tāla_, 
   {{0x637b0218,0xd6d213b4,0xe9ff00e7,0x9abc008a}},	//   nîng, _نقش_, _thảm_, _eoċe, 
   {{0x2d8765f9,0x5693012d,0x70cb000d,0x6ab800ef}},	//   ínez_, _кашт, िल्ल, navf, 
   {{0x442d00f1,0xe45f02ae,0x522465fa,0x30e500f0}},	//   še_, ggör_, афта, лсаң, 
   {{0x39981f1d,0x2fc965fb,0x69ca0038,0x30a465fc}},	//   _més_, trag_, irfe, ирув, 
   {{0xaad2000f,0x70595250,0xa0750267,0xbf9b0151}},	// [58d0] _सांक, хаар_, угач, _grêl, 
   {{0x656f65fd,0x0dcb0200,0xa2f5004f,0x985500ad}},	//   llch, дуди_, _споч, _ləğv_, 
   {{0x39980212,0xe8df0023,0x2b470248,0x656f65fe}},	//   _nés_, hiền_, vinc_, olch, 
   {{0xdcfc0095,0xf65300d1,0x00000000,0x00000000}},	//   _vurğ, בצע_, --, --, 
   {{0x798b003d,0xfc30144f,0xc05b017b,0x69ca02eb}},	//   _rigw, يحه_, _цін_, erfe, 
   {{0xab6400e4,0xc5e90033,0x798b65ff,0x63bd040b}},	//   авіл, গিতা_, _sigw, issn, 
   {{0xa9693f88,0xee840504,0xf9916564,0xd9451a1b}},	//   ника_, _выто, حبت_, леки, 
   {{0xe9ff00e7,0x6c850019,0x39986600,0x8d74010e}},	//   _chạm_, _ملزم, _dés_, _ناقا, 
   {{0x78a96601,0xfd440afc,0x6c556602,0x2b490038}},	//   rbev, _тэрн, _скау, éacs_, 
   {{0x656f2352,0x78a903fa,0x46f5293f,0xe6190398}},	//   elch, sbev, учит, едо_, 
   {{0x45866603,0x63bd3dc7,0x2d8d011c,0x78a9017b}},	//   лгов, essn, _kiee_, pbev, 
   {{0x03a61c3e,0xaadf0f8e,0x4adf3421,0x5f05120f}},	//   лимо, प्रक, प्रव, _होस्_, 
   {{0x66e504a4,0x290f0d6e,0xc98400b3,0xbf9b0106}},	//   _бола, _inga_, _туфи, _brêm, 
   {{0xcc3a00c7,0xa3d5007e,0x656f0465,0xdc3a0070}},	//   געשט, _हमर_, alch, געשר, 
   {{0x6d9301f2,0x00000000,0x00000000,0x00000000}},	//   _iħaw, --, --, --, 
   {{0x6d93008a,0x02870028,0x61312379,0x216a504c}},	//   _għai, уйск_, _påla, хиби_, 
   {{0xb4d00081,0x4f0a004e,0x656663ba,0xe29a6604}},	// [58e0] शली_, ннан_, mokh, _пап_, 
   {{0x63a46605,0x65666606,0xe8d0000d,0xbf9b0165}},	//   _itin, lokh, _सञ्च, _grêm, 
   {{0x255601dd,0x614633d4,0x290f6607,0xafe300f0}},	//   nālo_, _бена, _onga_, _қорл, 
   {{0xa37b02a0,0xac9700d4,0x290f0008,0x273200b3}},	//   rtõe, هنما_, _nnga_, _mâna_, 
   {{0x77f20ba3,0x26f30081,0xa37b03b7,0x39980068}},	//   _अनेक_, _असूर_, stõe, _sés_, 
   {{0x81c900cc,0x290f6608,0x3998145a,0x637b0218}},	//   োবর_, _anga_, _pés_, rîng, 
   {{0x82970056,0xe9ff0029,0x656f0156,0x61310219}},	//   נדקס_, _phạm_, ylch, _måln, 
   {{0x399803a1,0x63a46609,0xa967122f,0x637b010c}},	//   _vés_, _otin, лија_, mîne, 
   {{0x3d1102f8,0x4734660a,0xfaa62918,0x637b010c}},	//   णारे_, инис, _базо, lîne, 
   {{0xd6da1d06,0x583700c8,0x3998660b,0x24920175}},	//   хти_, узья_, _tés_, _agym_, 
   {{0x63a4660c,0x49ca0316,0xaa93155f,0xca5602a6}},	//   _atin, _член_, _المث, _стањ, 
   {{0x9f49010d,0xa2d72158,0x6566660d,0x63a400a1}},	//   hvað_, _बाह्, gokh, _btin, 
   {{0x39460496,0xbf9b02a0,0x5f17016a,0x637b010c}},	//   _imos_, _prêm, नाम्_, yînd, 
   {{0x3946023b,0x637b009e,0x6d93003d,0x63a40354}},	//   _hmos_, kîne, _għaw, _dtin, 
   {{0x2d9c00ce,0x5fc70077,0xaad21615,0x61380183}},	//   ível_, _लिहल, _साईक, _xílg, 
   {{0xddcb0405,0x00000000,0x00000000,0x00000000}},	//   ċiżj, --, --, --, 
   {{0x3eba020f,0xbf9b02be,0x3ecb0267,0x4ea70165}},	// [58f0] fapt_, _trêm, ећем_, греа, 
   {{0x6360010e,0x3cfd5d29,0x2d8d0026,0x9ed800b3}},	//   köny, _रोजे_, _siee_, лмут_, 
   {{0x637b009e,0x39460183,0x6288014b,0x60ce0213}},	//   rînd, _omos_, ždor, _şimş, 
   {{0xe7e500b0,0x80dc0790,0x00000000,0x00000000}},	//   _कहला_, _फाये, --, --, 
   {{0x6e95563c,0x645a009e,0x8d74007a,0xfe70010e}},	//   _вигу, ştiv, حالا, _ہدف_, 
   {{0xa3d6215e,0xeb9656c7,0x6566660e,0x290f012b}},	//   ांत_, шиш_, zokh, _snga_, 
   {{0x2bd10509,0x316b0097,0x8c47010c,0x65660532}},	//   _समका, _kkcz_, _beşê, yokh, 
   {{0xa9253489,0x63a20096,0x5ec70033,0x61314329}},	//   рдил, _éong, র্শে, _målo, 
   {{0x6d4b660f,0xead50b24,0x64c80028,0x00000000}},	//   miga, _возь, nčių, --, 
   {{0x3cff0e0c,0x57454100,0x6d4b6610,0xe9ff00e7}},	//   _hauv_, рноб, liga, _nhầm_, 
   {{0xbb8400eb,0x3cff0201,0x6566010e,0x7c2b6611}},	//   _اللي, _kauv_, tokh, lygr, 
   {{0x6d4b6612,0x290f6613,0x399a008d,0x693300d4}},	//   niga, _unga_, _סינד, _دکتر, 
   {{0xe72e6614,0x3cff023b,0x637b010c,0x6d9300c3}},	//   _де_, _mauv_, zîne, _tħaw, 
   {{0x6d4b6615,0x3cff6616,0x46a5081b,0xb6a500a3}},	//   higa, _lauv_, _такв, _тикл, 
   {{0x6d4b6617,0xa2d705d0,0x6566044d,0xc8830216}},	//   kiga, _बार्, pokh, beşê_, 
   {{0x10a661b9,0x637b009e,0xa0a60028,0x67236618}},	//   риан, vîne, раад, _honj, 
   {{0x6d4b6619,0x6723661a,0x63a4661b,0xcf4609d9}},	// [5900] diga, _konj, _utin, анай, 
   {{0x61310750,0x60d61074,0x637b009e,0x3f8e003e}},	//   _håll, sgym, tîne, öfu_, 
   {{0x6723661c,0x613800e9,0x316b0097,0x752400b4}},	//   _monj, _píld, _fkcz_, _koiz, 
   {{0xb64c0137,0xfce6661d,0x6723661e,0x637b078a}},	//   עגאָ, родо, _lonj, rîne, 
   {{0x2ca91056,0x3cff006d,0x75240180,0x613800bc}},	//   ñada_, _dauv_, _moiz, _cíle, 
   {{0xa9c6207b,0x05c507d5,0x6723661f,0x61386620}},	//   асик, _विंब, _nonj, _díle, 
   {{0x6d4b6621,0xd90d0a24,0xdce200ca,0x2fc06622}},	//   biga, کین_, looč, lsig_, 
   {{0x752438ee,0x67231a9c,0x6d4b6623,0x7c2b6624}},	//   _noiz, _aonj, ciga, bygr, 
   {{0x67236625,0x69c101f0,0x14a70b6c,0xa2d752c2}},	//   _bonj, _evle, _क्षण, _बाल्, 
   {{0x67236626,0x2d986627,0xf1bf0187,0x47346628}},	//   _conj, _kure_, žšie_, снос, 
   {{0x3eb8006b,0x672300f1,0x7d006629,0x2d98334f}},	//   _mert_, _donj, _kams, _jure_, 
   {{0x7d00662a,0x35473581,0x2d98662b,0x3cff023b}},	//   _jams, рхов, _mure_, _xauv_, 
   {{0xb79602a6,0x672301a7,0xe9ff0108,0x7d000ef7}},	//   _трећ, _fonj, _phầm_, _mams, 
   {{0x6d4b49c0,0x7d0200c8,0x2bc91503,0x6131017b}},	//   ziga, hdos, _रिसा, _pålo, 
   {{0x752402f1,0x48dd059e,0x6d4b662c,0x9f4002b0}},	//   _foiz, क्को_, yiga, atië_, 
   {{0x75240a9f,0x6723024a,0x7d00662d,0xd138662e}},	//   _goiz, _zonj, _nams, аху_, 
   {{0x3eb8662f,0x3cff0201,0xe9ff00e7,0xcebb02a6}},	// [5910] _bert_, _rauv_, _thầm_, вље_, 
   {{0x3eb86630,0x2d986631,0x3cff0201,0x9f4006df}},	//   _cert_, _bure_, _sauv_, ntiè_, 
   {{0x2bc9072f,0x3cff01a0,0x7d000075,0x6d4b0da3}},	//   _रिहा, _pauv_, _bams, tiga, 
   {{0xe1f05464,0x7d006632,0x2d986633,0x3cff01a0}},	//   _کسی_, _cams, _dure_, _qauv_, 
   {{0x6d4b6634,0xfc05005b,0x3eb86635,0x2d986636}},	//   riga, спло, _fert_, _eure_, 
   {{0x6d4b04e3,0x3eb86637,0x3da703b7,0x78a20180}},	//   siga, _gert_, _враб, _afov, 
   {{0x2d9802ba,0x6d4b6638,0x7d00024a,0x3cff0201}},	//   _gure_, piga, _fams, _tauv_, 
   {{0xe8f9440d,0x672306df,0xe9a800eb,0x7d006639}},	//   ули_, _sonj, جدون_, _gams, 
   {{0xb8ff050b,0x6d49663a,0x2d9802ba,0x67232ca7}},	//   _ता_, _imea, _zure_, _ponj, 
   {{0x3f99663b,0x257201d5,0x656d08dc,0x49b8010e}},	//   _musu_, máli_, _akah, _چاند_, 
   {{0x3ea102f2,0x6723663c,0x3f91663d,0x7524663e}},	//   icht_, _vonj, _mizu_, _poiz, 
   {{0xc3290052,0xb8950084,0x200b663f,0x2fc002bf}},	//   _או_, _الإع, _orci_, ysig_, 
   {{0x394d6640,0x3f990053,0x291f6089,0x75246641}},	//   mies_, _nusu_, mjua_, _voiz, 
   {{0x673a012e,0x6d9300c3,0x00000000,0x00000000}},	//   chtj, _jħas, --, --, 
   {{0x2bd1000f,0x200b01d8,0x43436642,0x75240054}},	//   _समझा, _arci_, черв, _toiz, 
   {{0x3eb86643,0x3f4f01dd,0x2fc06644,0x21a60148}},	//   _sert_, kļus_, tsig_, _қимм, 
   {{0x4e9617c1,0x2d9800a7,0xb4b414a7,0x7d0200a3}},	// [5920] مشار, _sure_, टरी_, vdos, 
   {{0x6d496645,0x3f9903f5,0x60dd00ef,0x2fc06646}},	//   _amea, _dusu_, _ecsm, rsig_, 
   {{0x394d2fb7,0xa3d60077,0x3eb86647,0x2fc06648}},	//   kies_, ांव_, _vert_, ssig_, 
   {{0x61fe02f5,0x3ea10084,0x394d6649,0x3eb85b3a}},	//   _ispl, acht_, jies_, _wert_, 
   {{0x200b090b,0x394d664a,0xe6070274,0x6d5b0045}},	//   _grci_, dies_, _کش_, _djua, 
   {{0x8fa30141,0x2d98664b,0x7d02024a,0xda7a11f9}},	//   _харе, _ture_, sdos, ляй_, 
   {{0x7d00664c,0x394d664d,0x27290183,0x79a3012d}},	//   _tams, fies_, _lúns_, прые, 
   {{0x21200688,0x6d5b0034,0xfce3664e,0x7d00664f}},	//   njih_, _gjua, _носо, _uams, 
   {{0xb7660259,0x00000000,0x00000000,0x00000000}},	//   йтой, --, --, --, 
   {{0x19ba6650,0xcafc0586,0x7bc20237,0xfe6f0019}},	//   _будь_, _एसिड_, msou, _آگے_, 
   {{0x394d6651,0xd9466652,0x25a70068,0xb99600eb}},	//   bies_, _лежи, _ctnl_, _الصب, 
   {{0x673a01ee,0x394d3425,0x63b600f8,0x316901ca}},	//   shtj, cies_, _bwyn, xoaz_, 
   {{0x7d7b00a7,0xdb09008c,0x21200ab4,0xe786181b}},	//   טרטג, _kveð, djih_, _луко, 
   {{0x799a60d9,0x3f995ecc,0x61fe6653,0x6d9300a4}},	//   _kutw, _rusu_, _bspl, _mħar, 
   {{0x61fe0183,0x41770629,0xe9ff00e7,0x3f910372}},	//   _cspl, مارس, _thấm_, _rizu_, 
   {{0xa3d60c94,0x799a5349,0x29046654,0x61310fd6}},	//   ांश_, _mutw, ndma_, _tålm, 
   {{0x61fe6655,0x645a0c05,0x63b602bf,0x6edd0179}},	// [5930] _espl, ştir, _gwyn, _पादु, 
   {{0x3ea102f2,0x394d6656,0x6d496657,0x16b6009a}},	//   ucht_, zies_, _smea, _आजोब, 
   {{0x2ca91056,0x3f91090b,0x70950013,0x2cbd006d}},	//   ñado_, _vizu_, _манф, tawd_, 
   {{0x3ea102f2,0x5c750650,0x200b265d,0x61311e9f}},	//   scht_, олет, _trci_, _målk, 
   {{0xb60708d7,0x394d6658,0xab5d00c3,0xeab917d7}},	//   _koší, vies_, _avża, айл_, 
   {{0x394d6659,0x9abc01f2,0x799a25f0,0x200900b3}},	//   wies_, _doċo, _butw, mvai_, 
   {{0x394d665a,0xf2d40070,0x291f0080,0x2009665b}},	//   ties_, לעס_, tjua_, lvai_, 
   {{0x5d54062a,0x17c903dc,0x6d49665c,0x637241f1}},	//   _екст, агии_, _umea, ræni, 
   {{0x394d665d,0xe8df00e7,0xf719012d,0xdcff0028}},	//   ries_, hiện_, аіны_, _žvėr, 
   {{0x394d665e,0x6d93007b,0x85e9665f,0x6b9b0102}},	//   sies_, _għar, адов_, _iuug, 
   {{0x6d59040b,0x799a011b,0xab84012d,0x394d6660}},	//   onwa, _gutw, _хутк, pies_, 
   {{0x2903002a,0x6b9b6661,0x2c200033,0x63b600f8}},	//   ējas_, _kuug, _মেয়ে_, _pwyn, 
   {{0x4ae000a2,0x69c32243,0x255601dd,0x29dc0082}},	//   _नामव, lsne, nāli_, ršaš_, 
   {{0x273b0218,0x6d590380,0x68e96662,0xcb9a0070}},	//   _bêne_, hnwa, lfed, יסשט, 
   {{0xcb121900,0x21200352,0x320c00bc,0x6d9301f2}},	//   ולם_, tjih_, ídy_, _lħaq, 
   {{0x6138008c,0x69c36663,0x637b010c,0x25560243}},	//   _bíla, isne, rîna, kāli_, 
   {{0xfe78012d,0x2120008b,0x25a06664,0xb4db03dd}},	// [5940] _šį_, rjih_, _čili_, riàt, 
   {{0xef172d10,0x69c36665,0x6721015e,0x49100035}},	//   ому_, ksne, njlj, _दोनो_, 
   {{0xe4d30a5a,0x6aba02c9,0x273b0212,0x00000000}},	//   _عقید, _retf, _gêne_, --, 
   {{0x7bc26666,0xb4db022c,0x799a487b,0x69c31645}},	//   tsou, liàr, _rutw, dsne, 
   {{0x25560243,0x69c36667,0x00000000,0x00000000}},	//   gāli_, esne, --, --, 
   {{0x79a60e51,0x6b9b012b,0xaff900c7,0x39a600c8}},	//   орие, _duug, _פּרי, ошив, 
   {{0x7bc26668,0x68e96669,0x69c3666a,0x00000000}},	//   ssou, ffed, gsne, --, 
   {{0x2bd204bd,0x63a900d9,0x20070035,0x6b8100b4}},	//   _सिपा, ţeni, łnie_, _ehlg, 
   {{0xd83a0028,0x29020228,0x2572014b,0x6d93007b}},	//   рэй_, ľka_, nálu_, _għaq, 
   {{0x29021ac4,0xf72a0aa4,0x6a160038,0xbf9b0151}},	//   žka_, рций_, _وبار, _trêv, 
   {{0x28ab0239,0x5ec70086,0xff7b00c7,0x7e9b00d1}},	//   _ट्वि, র্কে, שטימ, יסיו, 
   {{0x996500f0,0x20090009,0x00000000,0x00000000}},	//   _етіл, yvai_, --, --, 
   {{0x2bd213ec,0x69d8666b,0xc7a31db5,0xb4db00b9}},	//   _सिफा, luve, _жичк, fiàr, 
   {{0xdcfc00e4,0x491200bc,0x48f400bc,0x00000000}},	//   _turė, थाको_, ्यको_, --, 
   {{0x61382888,0x69d8666c,0xf5b30038,0x9294666d}},	//   _síla, nuve, _قصيد, дарц, 
   {{0xa2d7185c,0x6edd2360,0x90990093,0x79820d07}},	//   _बाक्, _पाहु, сват_, _jhow, 
   {{0xe57207f5,0x273b0218,0x4fd5123f,0x442f055f}},	// [5950] _אַז_, _wêne_, яжат, _æg_, 
   {{0x613103a9,0x273b055a,0x69d8666e,0xeeab666f}},	//   _måli, _têne_, kuve, ртак_, 
   {{0x69d86670,0x6b9b00bd,0x68e900f8,0x2d9e010e}},	//   juve, _suug, yfed, _étel_, 
   {{0x2fd202c9,0x69d86671,0x6b9b00c2,0x25560243}},	//   bryg_, duve, _puug, tāli_, 
   {{0xfaa56672,0x69c3017c,0xbf9b0212,0xeb990b49}},	//   пало, wsne, _crêt, щил_, 
   {{0x69c36673,0x2572010e,0x62830098,0xfaa502be}},	//   tsne, lált_, _únos, чако, 
   {{0x69d86674,0xa922020b,0x69c36675,0xd2b800df}},	//   guve, _šľac, usne, חלות_, 
   {{0x79826676,0x25720019,0x6b9b02a2,0x69c312b6}},	//   _chow, nált_, _tuug, rsne, 
   {{0x798200a1,0x2bd2000f,0x1bd50088,0x68e9272e}},	//   _dhow, _सिया, _хозя, rfed, 
   {{0x6131022b,0x28ab1080,0x7af80352,0x69c36677}},	//   _dåli, _ट्रि, cevt, psne, 
   {{0x36695cd2,0xb9e700dd,0xa50a07d9,0xb4db03dd}},	//   сано_, _фізи, бена_, viàr, 
   {{0x79821f7f,0x2bd200bc,0x3b0501ff,0x00000000}},	//   _ghow, _सिमा, _halq_, --, 
   {{0xc952042c,0x889a00d1,0xe57707b9,0x613801d5}},	//   _אמא_, _הבני, язю_, _bíln, 
   {{0x7e62009e,0x443e0083,0x3f830210,0x00000000}},	//   şopi, ąt_, _nhju_, --, 
   {{0xd252010e,0x613800bc,0x661c0f03,0x7bd9009c}},	//   رنر_, _díln, ärkt, huwu, 
   {{0x25aa05b9,0x5fc70077,0x25720098,0x3f8300c2}},	//   íble_, _लिखल, tálu_, _ahju_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [5960] --, --, --, --, 
   {{0xdfcf00b1,0x37bd0033,0x4f652727,0x7bd95452}},	//   ايل_, _আমার, والف, duwu, 
   {{0x6edd007e,0xa0a6284a,0xe29b00d1,0x69d80068}},	//   _पारु, _нанд, _לשיר, xuve, 
   {{0xbf9b026a,0xdca33b2b,0x3ce700c9,0x257204f4}},	//   _prêt, еаци, छ्ले_, máls_, 
   {{0xa8060068,0x628300bc,0x798200f8,0x00000000}},	//   _mañó, _únor, _rhow, --, 
   {{0x79826678,0x69d81f8f,0x20026679,0xbb433e9a}},	//   _show, tuve, _iski_, нечк, 
   {{0x7d7a00d4,0xaa930176,0x63720b41,0xdce900a4}},	//   _همسر_, нишч, læns, _wieġ, 
   {{0x6131017e,0xad6600d7,0x7bd901b8,0x7a53007a}},	//   _påli, _رازه, buwu, عضوا, 
   {{0x7af80352,0x255601dd,0x2d840080,0xdff00259}},	//   pevt, nālu_, _ihme_, ерiн_, 
   {{0x6b66667a,0xb8d33d07,0x200d23b8,0x9b461896}},	//   _экза, _ज्_, _šeik_, _عناو, 
   {{0x3d11009a,0x24f916d0,0x2480667b,0x79820d07}},	//   णाचे_, онны_, _azim_, _thow, 
   {{0x4a7b00c7,0xa806060f,0x273b0218,0xda650038}},	//   _פראב, _cañó, _pênc_, _غالي, 
   {{0x2572010e,0x5ec70033,0x00000000,0x00000000}},	//   vált_, র্টে, --, --, 
   {{0x3b05369b,0x661c074b,0x9abc0405,0x613802d9}},	//   _xalq_, ärks, _soċj, _bílo, 
   {{0x613134db,0x248002a5,0x200201f1,0x637b010c}},	//   _målv, _ezim_, _aski_, sîno, 
   {{0x637b009e,0x59dd009a,0x672a01d2,0xdce90243}},	//   pîno, नंतर, _hofj, _okeā, 
   {{0x656f006a,0xb4d929b0,0x5f954f47,0x29060415}},	// [5970] moch, ाली_, диат, _maoa_, 
   {{0x656f667c,0x63ad5f10,0xd24e006b,0x09b20086}},	//   loch, _itan, اچی_, _ঘটনা, 
   {{0x200264be,0xdce9003d,0xe52105ff,0xf2d20ab9}},	//   _eski_, _jieħ, यापि_, _בעי_, 
   {{0x656f667d,0x63ad016a,0x7bd9667e,0x29060026}},	//   noch, _ktan, tuwu, _naoa_, 
   {{0x69c805a7,0x220700bc,0xc1720499,0x00000000}},	//   _avde, bíhá_, _شگفت, --, 
   {{0x68e2667f,0x63ad0010,0x656f6680,0xb4d9072f}},	//   _acod, _mtan, hoch, ालु_, 
   {{0x656f6681,0xa3df07d5,0x63ad0008,0x2bc903c1}},	//   koch, दंड_, _ltan, _रिका, 
   {{0x63ad6682,0x26de0243,0xce9400fd,0x290602be}},	//   _otan, egto_, _часъ, _caoa_, 
   {{0x798902cd,0x63ad01eb,0x68e20126,0x69c8027e}},	//   rmew, _ntan, _dcod, _evde, 
   {{0x212b6683,0x2bd200ab,0x68e26684,0xfbd200ab}},	//   _loch_, _सिता, _ecod, _सितम, 
   {{0x63ad6685,0x7a3500eb,0xb4d90d2e,0xfd640023}},	//   _atan, _تفاص, ालू_, _nhuộ, 
   {{0x212b02e7,0x656f6686,0xdce900a4,0x6f07059d}},	//   _noch_, goch, _dieħ, _lajc, 
   {{0x394f6687,0x69ce34db,0x66e500f0,0xad1a00d1}},	//   _imgs_, _åber, _жола, קושר, 
   {{0x6f076688,0x63ad016a,0x68fb6689,0x2cbf01fd}},	//   _najc, _dtan, leud, _leud_, 
   {{0xe297668a,0x656f668b,0xfd64001b,0xd04800ad}},	//   дар_, boch, _chuộ, ələs, 
   {{0x656f668c,0x212b00f8,0x255601dd,0x2cbf00f8}},	//   coch, _coch_, tālu_, _neud_, 
   {{0x212b02ec,0xa49400c5,0x1b040033,0x2732020f}},	// [5980] _doch_, _سیست, লাতে_, _sâni_, 
   {{0x2cbf0096,0x03d70070,0x63860009,0x394f008a}},	//   _aeud_, _קוים_, _ігна, _lmgs_, 
   {{0xa3d60e0d,0x6146668d,0x68fb668e,0x831b00c7}},	//   ांक_, _жена, keud, _וויז, 
   {{0xa2aa0262,0x2cbf0465,0xec7a12d6,0x212b668f}},	//   जुर्, _ceud_, опе_, _goch_, 
   {{0x68fb6690,0x0b8a07a4,0x60c46691,0xe4e600bd}},	//   deud, оски_, maim, _कानि_, 
   {{0x656f6692,0x68e25b0b,0x644601ca,0x00000000}},	//   zoch, _scod, izki, --, 
   {{0x62980076,0x656f0927,0x255601dd,0x9f4b00f6}},	//   _úvod, yoch, nāls_, _escó_, 
   {{0x3f9802ba,0x3d060fec,0x60c46693,0x4ae000bd}},	//   _hiru_, _सोचे_, naim, _नावव, 
   {{0x6f07006d,0xfaa602f1,0x656f0e1d,0x7aa600a3}},	//   _yajc, _жазо, voch, _жизз, 
   {{0x656f6694,0x60c46695,0x644600ab,0xc9f60038}},	//   woch, haim, dzki, _يساع, 
   {{0x60c46696,0x61380068,0xd5b70b34,0x29060054}},	//   kaim, _píll, мся_, _taoa_, 
   {{0xb4d9000c,0x2bd200a2,0xdb0202ae,0x6d424f54}},	//   ाले_, सळपा, spoä, nhoa, 
   {{0x656f6697,0x69a400ab,0xdce90405,0x212b3076}},	//   roch, _चंडी, _wieħ, _roch_, 
   {{0x656f6698,0xf64f0105,0xc87f01c4,0xdce9003d}},	//   soch, ائی_, üße_, _tieħ, 
   {{0x43946699,0x656f669a,0x6d42669b,0x212b669c}},	//   тарс, poch, khoa, _poch_, 
   {{0x60c411f7,0x3f98669d,0x613805a4,0x63ad669e}},	//   gaim, _airu_, _fílm, _ttan, 
   {{0xe8110d95,0x3f15669f,0x0fe40161,0xbf9b0212}},	// [5990] ़िया_, ндас, көрү, _crêp, 
   {{0x212b05d5,0xc8080029,0xfd640029,0x752d01a7}},	//   _woch_, _mở_, _thuộ, _hoaz, 
   {{0x212b0536,0x7bc91a35,0x3f980a9f,0x3cd554f4}},	//   _toch_, _sveu, _diru_, ежес, 
   {{0x27ff0156,0xd9f8009a,0x60c40534,0xa3d61ad9}},	//   ywun_, ंबईत_, caim, _हिम_, 
   {{0xc80800e7,0x4ba600f0,0x256411c7,0x00000000}},	//   _nở_, елің, nıla_, --, 
   {{0xfbd009e8,0x3f98033e,0x394f008a,0x752d107c}},	//   شته_, _giru_, _smgs_, _loaz, 
   {{0x2ca002fe,0x2cbf01be,0x68fb66a0,0xa49b00a1}},	//   žida_, _teud_, teud, ceòg, 
   {{0x6d4266a1,0xb4d966a2,0x752d02a5,0xc8080108}},	//   choa, ालो_, _noaz, _bở_, 
   {{0x68fb66a3,0x69dc00dd,0x0bd50038,0x2fc966a4}},	//   reud, _åren, _سياح, nsag_, 
   {{0x7c841fbd,0x7d0907d7,0x60c44841,0xc80800e7}},	//   _русе, _haes, zaim, _dở_, 
   {{0x7d0966a5,0x752d2d99,0x7d1b1341,0x68fb00c8}},	//   _kaes, _boaz, _knus, peud, 
   {{0x6131017e,0x255601dd,0x777a00b4,0x644602eb}},	//   _måls, vāls_, altx, tzki, 
   {{0xd90f0456,0x752d66a6,0x60c4219d,0x7d1b025b}},	//   _میں_, _doaz, vaim, _mnus, 
   {{0x7d090149,0xa85600a7,0x66e5002e,0x255601dd}},	//   _laes, _אינה_, _чока, tāls_, 
   {{0x26c566a7,0x60c466a8,0x7d1b414d,0x644666a9}},	//   malo_, taim, _onus, szki, 
   {{0x395f66aa,0x26c5019b,0x752d01ca,0x602628c1}},	//   nnus_, lalo_, _goaz, ндба, 
   {{0x03965487,0x016366ab,0x60c4475f,0x3f980ca4}},	// [59a0] _проя, укто, raim, _piru_, 
   {{0x60c466ac,0x6131098d,0x752d01cf,0x00000000}},	//   saim, _sålt, _zoaz, --, 
   {{0x6d42373c,0x60c466ad,0x3f9866ae,0x7d094c6f}},	//   thoa, paim, _viru_, _baes, 
   {{0x26c566af,0x9f40022c,0x395f006d,0x0ee209ef}},	//   halo_, stià_, jnus_, _पावड, 
   {{0x26c566b0,0x3f9866b1,0x7d0966b2,0x62810228}},	//   kalo_, _tiru_, _daes, ýlov, 
   {{0xdd3106d0,0x06d50086,0x23a60187,0x69a402e6}},	//   _təşk, ত্তি, _môj_, _चंदी, 
   {{0xc8080029,0x7c220183,0x7d090090,0xc3330147}},	//   _sở_, sxor, _faes, רוו_, 
   {{0x7d1b00ef,0x395f66b3,0x2bc94801,0x25644cd8}},	//   _gnus, gnus_, _रिचा, yıla_, 
   {{0xb9084cda,0x6d4006d6,0x752d01be,0x26c50149}},	//   _बा_, _ilma, _roaz, falo_, 
   {{0x26c566b4,0x47342bb2,0x78a901d8,0xc8080023}},	//   galo_, тнос, acev, _vở_, 
   {{0x0f570056,0x7d090626,0x613101e8,0xd6d73190}},	//   תיים_, _yaes, _målr, хты_, 
   {{0x637b0218,0x98a319aa,0x613802d9,0x256411c7}},	//   mîni, _бице, _dílk, tıla_, 
   {{0x26c566b5,0x29570137,0xdb00024a,0x637b0218}},	//   balo_, _אסאך_, _numë, lîni, 
   {{0xdb00014e,0xd9f400a2,0x25640c45,0x6b9a007b}},	//   _utmä, _आहात_, rıla_, _jitg, 
   {{0x6d4066b6,0x6b9a02ec,0x92680cb6,0x69ca66b7}},	//   _olma, _mitg, ерта_, nsfe, 
   {{0xd49b1427,0x867b00d1,0xab660083,0x6f1c107c}},	//   _эрк_, _מרוו, leżą, _anrc, 
   {{0x518403dd,0x637b010c,0xdfd40080,0xa18400f0}},	// [59b0] уура, hîni, лоты, уырл, 
   {{0x6d4066b8,0xa3d604cc,0x7d0966b9,0x7d1b0430}},	//   _alma, _हित_, _saes, _snus, 
   {{0x7d090141,0x31720065,0x3160023e,0x69ca0082}},	//   _paes, boyz_, bniz_, jsfe, 
   {{0x628566ba,0x2fcb0097,0x69ca098d,0x637b009e}},	//   _izho, _tvcg_, dsfe, dîni, 
   {{0x26c50547,0x69d82a58,0xdeb300f0,0x9f400042}},	//   yalo_, erve, _бұзы, stiá_, 
   {{0x6d4066bb,0x21290352,0xe0df01fd,0x6b9a66bc}},	//   _elma, ljah_, _blòg_, _citg, 
   {{0xa96939fc,0x78a900d9,0x69ca35f6,0x00000000}},	//   мика_, tcev, gsfe, --, 
   {{0xdd941088,0x26c541c2,0x1a6800d4,0x212966bd}},	//   _басы, walo_, رینی_, njah_, 
   {{0x395f66be,0xfbd000d4,0x78a966bf,0x69d866c0}},	//   rnus_, _هتل_, rcev, arve, 
   {{0x637b055a,0x78a900fd,0x395f33f4,0xdb0003dd}},	//   bîni, scev, snus_, _numè, 
   {{0x26c566c1,0x99d40fdc,0x69d80112,0xa68266c2}},	//   ralo_, _متنا, crve, ильд, 
   {{0xb4ac1422,0x26c566c3,0x212966c4,0x03a666c5}},	//   गडे_, salo_, jjah_, кимо, 
   {{0xc7a400f0,0x21291032,0x00000000,0x00000000}},	//   _биік, djah_, --, --, 
   {{0x43756458,0x290d02ba,0x27ed66c6,0x491900bc}},	//   густ, ldea_, mten_, भाको_, 
   {{0x27ed02e7,0xdb00023e,0x2732020f,0x00000000}},	//   lten_, _dumè, _vânt_, --, 
   {{0x290d66c7,0x27ed66c8,0x7bcb02ae,0x016366c9}},	//   ndea_, oten_, ksgu, аксо, 
   {{0x27ed66ca,0xdb092033,0x316066cb,0xe0df0237}},	// [59c0] nten_, _ateí, rniz_, _amòs_, 
   {{0x27ed4eb9,0x40951ab1,0x6d9301f2,0x7bcb66cc}},	//   iten_, урст, _għaz, dsgu, 
   {{0x27ed66cd,0x200d00e0,0x333b042c,0x1e96049b}},	//   hten_, _šeit_, _חתימ, трар, 
   {{0x27ed5372,0x63a466ce,0x6b9a66cf,0x6dac04be}},	//   kten_, _kuin, _sitg, _ağac, 
   {{0x27ed66d0,0xead466d1,0x637b010c,0x7bcb098d}},	//   jten_, голь, wîni, gsgu, 
   {{0x63a466d2,0x27ed03a9,0x637b0218,0x291d052b}},	//   _muin, dten_, tîni, _anwa_, 
   {{0x2d961472,0x27ed66d3,0x61ee5f0c,0x63a466d4}},	//   _арас, eten_, ntbl, _luin, 
   {{0x27ed55b7,0x645a0218,0x69ca66d5,0x637b078a}},	//   ften_, ştiy, rsfe, rîni, 
   {{0xed5705e0,0x27ed66d6,0x637b010c,0x613802aa}},	//   _рот_, gten_, sîni, _cíli, 
   {{0x6b9a1e97,0x77910a24,0x779200d4,0x291d084c}},	//   _uitg, مینا, جیتا, _enwa_, 
   {{0xdb000518,0x27ed66d7,0xfaa306d4,0xe5140466}},	//   _numé, aten_, _тахо, _तोहि_, 
   {{0xa927012d,0x63a40d44,0x2924014b,0x291d0102}},	//   gužė, _buin, ávač_, _gnwa_, 
   {{0x0ee236bc,0x27ed0536,0x63a466d8,0x67d4062a}},	//   _पांड, cten_, _cuin, _солу, 
   {{0x63a40544,0xdb000096,0x9f400080,0xf09f00a1}},	//   _duin, _bumé, ntiä_, _sgà_, 
   {{0x671f000f,0x35a302a0,0xf1a41d52,0x00000000}},	//   बारक_, _кајг, иртн, --, 
   {{0x63a40ae7,0xe80700a2,0x6285008b,0xdb000574}},	//   _fuin, वटचा_, _vzho, _dumé, 
   {{0x4034030f,0x21290938,0xdb0066d9,0x83ab02f1}},	// [59d0] аетс, rjah_, _eumé, _ўтиб_, 
   {{0x443966da,0x02b732f0,0xdb000107,0x7ed4155f}},	//   mys_, _अभिभ, _fumé, لزما, 
   {{0x443966db,0xa3df1615,0x27ed02ba,0xb05b01c4}},	//   lys_, दूर_, zten_, _geän, 
   {{0x27ed5ac8,0x7bcb1226,0x753d039f,0x628a02be}},	//   yten_, tsgu, nksz, _ºfor, 
   {{0x4439498d,0x27ed074b,0x4ea766dc,0x50da00d1}},	//   nys_, xten_, _арба, _אקרא, 
   {{0x7ae3006d,0x7bcb0844,0xc43c0070,0x00000000}},	//   ugnt, rsgu, ותדי, --, 
   {{0x2b890187,0x61385b68,0x499966dd,0x7bcb03c5}},	//   júce_, _síli, нтия_, ssgu, 
   {{0x09f600eb,0x44390009,0x2b890032,0x98a30028}},	//   افية_, kys_, dúce_, ėjį_, 
   {{0x290d66de,0xe8f65126,0x6d591abb,0xb8cb051f}},	//   rdea_, улы_, miwa, _खल_, 
   {{0x6d5966df,0xfb8766e0,0x443966e1,0x26c33c2a}},	//   liwa, _рыбн, dys_, újo_, 
   {{0xa01b0088,0x28dc0fcf,0x44392add,0x00000000}},	//   _hyöd, _याचि, eys_, --, 
   {{0x6d5966e2,0x63a466e3,0x6e2103a1,0x4439017c}},	//   niwa, _puin, _àlbu, fys_, 
   {{0x63a466e4,0xd456004f,0x443966e5,0x20070083}},	//   _quin, утнь, gys_, łnij_, 
   {{0x6d590c3d,0x03a366e6,0x91e61762,0x61ee32fe}},	//   hiwa, сиро, логе, ttbl, 
   {{0x6d5966e7,0xc5d500dd,0x1f660e65,0x3243633a}},	//   kiwa, _сіль, ҳкам, берг, 
   {{0x63a466e8,0x61ee66e9,0x6d5966ea,0x443966eb}},	//   _tuin, rtbl, jiwa, bys_, 
   {{0xe8160a44,0x61ee66ec,0x6d5966ed,0xd9d01503}},	// [59e0] तिया_, stbl, diwa, _सट्ट, 
   {{0x06d50086,0x73063e35,0xaec31712,0x2bc60299}},	//   ত্রি, _споз, йбул, रीफा, 
   {{0x2bc60790,0x00000000,0x00000000,0x00000000}},	//   रीना, --, --, --, 
   {{0x6d5966ee,0xd7d4000f,0xe816031e,0x20b50cfe}},	//   giwa, _दिलच, तिमा_, _вёрс, 
   {{0x9f4000c8,0xa2ba176c,0xafe341f8,0x00000000}},	//   ttiä_, ्रप्, _лоял, --, 
   {{0xe0df05d5,0xbea311e6,0x69c1017c,0x00000000}},	//   _glòb_, _гарк, _bwle, --, 
   {{0x6d5966ef,0x443943e0,0x7ec80243,0x637b0474}},	//   biwa, zys_, rūpē, mînt, 
   {{0x9f400088,0xaea104be,0x6d5966f0,0x237a016a}},	//   stiä_, ğışl, ciwa, _lkpj_, 
   {{0x3b860ea9,0x69c166f1,0xbc660886,0x44396036}},	//   _благ, _ewle, _свак, xys_, 
   {{0x17f70084,0x370666f2,0xbb7666f3,0x07f70038}},	//   ارية_, учив, _субъ, اريع_, 
   {{0xb521072e,0x443966f4,0xab930084,0xa2ba072f}},	//   यालय_, wys_, _اللغ, ्रन्, 
   {{0x443927a6,0x3ce666f5,0x3687001c,0x98a60cf8}},	//   tys_, ngov_, ысын_, _сиде, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x443966f6,0x569408ac,0x6d5965be,0x237a01f2}},	//   rys_, _калт, ziwa, _ckpj_, 
   {{0x443f002a,0x443966f7,0xa29502c8,0xd5af00bf}},	//   šu_, sys_, раві, _ыс_, 
   {{0x6d590175,0x6ee200bc,0xb357010e,0x0ee234d8}},	//   xiwa, _पाउँ, ئیگا_, _पाउड, 
   {{0x7d0266f8,0x2bc6031e,0x90990093,0x9f552dd7}},	// [59f0] deos, रीमा, тват_, авач, 
   {{0x6d5966f9,0x24890065,0x3e6b00fd,0x00000000}},	//   wiwa, _izam_, ншен_, --, 
   {{0x78a205ae,0x6d590c3d,0x539a00a7,0xa01b00c8}},	//   _ogov, tiwa, _שיתו, _syöd, 
   {{0x613866fa,0x2dd8007a,0x91ba00df,0x00000000}},	//   _sílv, ابلة_, _שמרי, --, 
   {{0x6d5966fb,0x9f4900eb,0x50f442f6,0x6f0e0118}},	//   riwa, ltaí_, _узят, _fabc, 
   {{0x6d5966fc,0x78a266fd,0xe1f00535,0x61380534}},	//   siwa, _agov, _بسی_, _dílu, 
   {{0xdea400c5,0x2ba1271a,0x2d8766fe,0x69252e07}},	//   _ایمی, _ओंका, ïnes_, имка, 
   {{0x7c3966ff,0xa3d602e6,0x8cc82751,0x7d0209c6}},	//   pywr, _हिल_, _موفق_, ceos, 
   {{0x9f490084,0x24890065,0xaae708cb,0x00000000}},	//   htaí_, _nzam_, _مساو, --, 
   {{0x2d8d016a,0xe6191753,0x7a1c00b3,0xdceb020f}},	//   _hhee_, вдо_, _bătă, bogă, 
   {{0x24896700,0x2d8d006d,0xa3e85739,0xe8f8004e}},	//   _azam_, _khee_, मून_, _әлі_, 
   {{0x20196701,0xf8b0010e,0x7a1c107c,0x00000000}},	//   _orsi_, _ٹکٹ_, _dătă, --, 
   {{0x5ed00086,0x61380038,0x03a62713,0x20190175}},	//   স্টে, _mílt, риго, _nrsi_, 
   {{0x290f6702,0x60c66703,0x3ce66704,0x66e20267}},	//   _haga_, _sekm, zgov_, _доша, 
   {{0x290f6705,0x24896706,0xf67900c7,0x26d100da}},	//   _kaga_, _ezam_, _באַמ, ózou_, 
   {{0x26c76707,0x00000000,0x00000000,0x00000000}},	//   _heno_, --, --, --, 
   {{0xb4e20081,0x6f0e006f,0x290f6708,0xaec665ec}},	// [5a00] दली_, _pabc, _maga_, ибал, 
   {{0x290f0c86,0xdce90187,0x200b00a1,0x20190144}},	//   _laga_, _cieľ, _dsci_, _drsi_, 
   {{0x26c76709,0x60c602ee,0x3869010d,0x32db042c}},	//   _meno_, _tekm, _þarf_, _בחינ, 
   {{0x290f670a,0x2d8d00e2,0x2d9f00a1,0x6138670b}},	//   _naga_, _chee_, _ciue_, _pílu, 
   {{0x7d02670c,0x2d8d00a1,0x3ce60508,0x69d70183}},	//   reos, _dhee_, rgov_, áxen, 
   {{0x26c7670d,0x386000d0,0xc60c0033,0x290f018e}},	//   _neno_, _žiro_, ষমতা_, _aaga_, 
   {{0x290f670e,0xe6070411,0x2bd2031e,0x84e60d2e}},	//   _baga_, _بش_, _सिका, _कांट_, 
   {{0x290f3dc5,0xf98f0195,0x98b700fd,0x7a1c020f}},	//   _caga_, وبي_, алът_, _rătă, 
   {{0x8ad66349,0x290f670f,0x1ae6030f,0x8c436710}},	//   _نتائ, _daga_, _возм, _дете, 
   {{0x61fe02fb,0x6618026e,0x26c702ee,0xaae01276}},	//   _oppl, _prvk, _ceno_, _नाटक, 
   {{0x290f6711,0x2480023e,0x63b6320e,0x7bcd6712}},	//   _faga_, _ayim_, _atyn, šaut, 
   {{0x78a202f5,0x290f6713,0x25a001be,0x26c7052b}},	//   _ugov, _gaga_, _ciil_, _eeno_, 
   {{0x61fe6714,0x94871088,0x26c700a9,0x2572014b}},	//   _appl, рынд, _feno_, nály_, 
   {{0x29046715,0x3946006d,0x290f6716,0x7a1c0474}},	//   lema_, _hlos_, _zaga_, _tătă, 
   {{0x26cc0e2e,0x659500d9,0x27e46717,0x7afa02a5}},	//   mado_, _лаку, lumn_, _mbtt, 
   {{0x26cc0b85,0xa37b0165,0x9f490038,0x20190352}},	//   lado_, drõe, rtaí_, _prsi_, 
   {{0x9f490038,0x4ea714ce,0x93e700a3,0x83870b24}},	// [5a10] staí_, ареа, _тўйл, _выне, 
   {{0x26cc0b85,0x29046718,0x20191993,0x39460183}},	//   nado_, hema_, _vrsi_, _llos_, 
   {{0x2b890187,0xadf515b9,0x26cc0587,0x7de700f0}},	//   júca_, спеш, iado_, різд, 
   {{0x26cc2d3b,0x29046719,0x2bd20d53,0x6138007a}},	//   hado_, jema_, _सिखा, _díls, 
   {{0x26cc671a,0x2904671b,0x290f38c6,0xed5800dd}},	//   kado_, dema_, _raga_, шої_, 
   {{0x60cd671c,0x26cc671d,0x7db71b65,0x3946671e}},	//   laam, jado_, _نصرا, _alos_, 
   {{0x26cc0e2e,0xdd9b41e0,0xa2ba0fd2,0x7f58671f}},	//   dado_, _аша_, ्रत्, _тарс_, 
   {{0x29046720,0x6f050640,0x39466721,0x26cc0deb}},	//   gema_, lehc, _clos_, eado_, 
   {{0x290f6722,0x25a0614f,0x26cc2139,0x26c76723}},	//   _vaga_, _riil_, fado_, _peno_, 
   {{0x26cc3ba5,0xbb8500eb,0x60cd6724,0x15b90f82}},	//   gado_, _الطي, haam, лымы_, 
   {{0x60cd1f06,0x290f526d,0x78ac00ca,0x26c70144}},	//   kaam, _taga_, _šovš, _veno_, 
   {{0x60cd03f0,0x26c7240a,0xc98702f1,0x068403a1}},	//   jaam, _weno_, _тузи, өгөн, 
   {{0xe72e030f,0xa3df051f,0x145a021d,0x6dac02a4}},	//   _ее_, दंग_, ушны_, _ağal, 
   {{0xe1f803dc,0x26cc6725,0x9f400038,0x68e96726}},	//   аҳо_, cado_, stiú_, lged, 
   {{0x25a00495,0x5ede0033,0x03a60176,0x60cd123b}},	//   _tiil_, ন্ডে, риҳо, faam, 
   {{0x68e96727,0x661c055f,0x60cd6728,0x2ca000ef}},	//   nged, ærke, gaam, židi_, 
   {{0x75245fec,0xa2ba00a2,0x69dc00fb,0x644f0083}},	// [5a20] _iniz, ्रद्, _årev, czci, 
   {{0x2bab000f,0xa37b02be,0x00000000,0x00000000}},	//   _चढ़ा, trõe, --, --, 
   {{0x61fe6729,0xa75a07f5,0x752411bb,0x139b0486}},	//   _uppl, נדער, _kniz, _תביע, 
   {{0x26cc0b85,0xeabf00e7,0x0c2648a2,0x29040183}},	//   zado_, _đùa_, ймен, xema_, 
   {{0x26cc672a,0x6b46008c,0x68e910de,0xd57b0070}},	//   yado_, _aðga, dged, אָגר, 
   {{0xf767182b,0x26cc145a,0x2572115d,0x2904672b}},	//   _را_, xado_, rály_, wema_, 
   {{0x26cc0e2e,0x2904672c,0x68e94860,0xdce2672d}},	//   vado_, tema_, fged, lnoč, 
   {{0x2be00c14,0x57b4672e,0x26cc672f,0x68e96730}},	//   _निपा, обит, wado_, gged, 
   {{0x26cc0b85,0x29046731,0xdb016732,0xdc6a040c}},	//   tado_, rema_, _milê, _саад_, 
   {{0x29042083,0x60cd6733,0x3ae800c5,0xeb9a0623}},	//   sema_, zaam, _خبری_, _сиз_, 
   {{0x26cc6734,0x29040010,0x60cd6735,0x65950cfe}},	//   rado_, pema_, yaam, жану, 
   {{0x26cc2123,0xdb020496,0x35470965,0x394600c8}},	//   sado_, mpoñ, схов, _ulos_, 
   {{0xb8960084,0x60cd4374,0x26cc3c3d,0x4aac00b0}},	//   _الشع, vaam, pado_, _चलाव, 
   {{0x60cd3398,0x1659009c,0xdb0b383b,0x752402a5}},	//   waam, اسیک_, ppgå, _eniz, 
   {{0x6fa21574,0xdb01010c,0x644f6736,0x60cd6737}},	//   _कंजू, _bilê, szci, taam, 
   {{0xdb010216,0x777a00b4,0x00000000,0x00000000}},	//   _cilê, lotx, --, --, 
   {{0x60cd6738,0xdb01010c,0xddd4020b,0xdd9b0259}},	// [5a30] raam, _dilê, _čašn, ңше_, 
   {{0x60cd6739,0xff66010c,0xed5900ca,0xdb0000f6}},	//   saam, şîna_, _smž_, _numà, 
   {{0x6d4b0156,0x60cd00c8,0xa29508af,0xdce2020b}},	//   thga, paam, _фані, anoč, 
   {{0xdb010216,0x6d42011c,0x777a00b4,0x00000000}},	//   _gilê, gkoa, hotx, --, 
   {{0xffe40528,0x777a01ca,0x6b75022c,0x656d025b}},	//   _нюрн, kotx, олду, _mjah, 
   {{0x6d4b00cf,0x7ae70fb6,0x3da7673a,0xeb99306e}},	//   shga, сюдж, _граб, шил_, 
   {{0x68e90b1f,0xdb000634,0x777a01d6,0x00000000}},	//   tged, _atmó, dotx, --, 
   {{0x5ede0086,0x656d3f7b,0x05240033,0x00000000}},	//   ন্দে, _njah, _পত্র_, --, 
   {{0xfbe005d0,0x68e9673b,0x2be01503,0x6d49673c}},	//   _नियम, rged, _निया, _ilea, 
   {{0xf77106ab,0x75240d26,0x68e9673d,0x6d4901be}},	//   باب_, _sniz, sged, _hlea, 
   {{0xa2ba0367,0xf506673e,0x6d491f57,0x63bd039b}},	//   ्रस्, озно, _klea, epsn, 
   {{0x2bc61516,0xc3290056,0x2f0a0083,0x2be0673f}},	//   रीवा, _בו_, mógł_, _निमा, 
   {{0x395f6740,0x656d04c6,0x6d5b0226,0x777a00b4}},	//   mius_, _djah, _mmua, botx, 
   {{0x395f6741,0x394d00ce,0xdb010165,0x957d00ab}},	//   lius_, lhes_, _silê, stąp, 
   {{0xe29a3123,0x69dc0dcb,0x2be00bf5,0x6d4203c5}},	//   рав_, _året, _निभा, ykoa, 
   {{0x2bcf00aa,0xa2ba00a2,0x395f6742,0xd0120019}},	//   _सौभा, ्रह्, nius_, ولز_, 
   {{0xdb0101ee,0x1eca0176,0x2b89020b,0x00000000}},	// [5a40] _cilë, илаи_, júco_, --, 
   {{0x6d493c90,0x25e01cc0,0xdee36743,0x6d5b6744}},	//   _alea, _किमी_, дофи, _amua, 
   {{0x395f012d,0x10a66745,0xb4db0054,0x6d496746}},	//   kius_, _минн, ikàn, _blea, 
   {{0x6d493aaa,0x4c866747,0xa2ba0f64,0x395f0175}},	//   _clea, олев, ्रव्, jius_, 
   {{0x394d6748,0xa01b6749,0x6d490a75,0x6d4201ca}},	//   dhes_, _szöv, _dlea, rkoa, 
   {{0x6d4201f1,0xac0701bb,0x6d5b02a5,0xdb010118}},	//   skoa, юнча_, _emua, _jilè, 
   {{0x8fa3674a,0x6d492e31,0x6385010c,0x6d5b01be}},	//   _царе, _flea, lînê, _fmua, 
   {{0x6d490a69,0x394d674b,0x684000eb,0xa01b0088}},	//   _glea, ghes_, _nádú, _myön, 
   {{0xdb0224d3,0x6385010c,0xd7c4009a,0x870600fd}},	//   spoñ, nînê, लींच, ояне, 
   {{0x656d105b,0x2d8607d7,0x9abc008a,0x00000000}},	//   _sjah, lloe_, _inċo, --, 
   {{0x2bc61489,0xceb300d1,0xd0130033,0xda0e00aa}},	//   रीरा, וית_, সময়_, _ानित_, 
   {{0xd90e00d6,0x394d1357,0x395f674c,0xe9b7006b}},	//   _شیخ_, ches_, cius_, _بچوں_, 
   {{0xd7ef00eb,0xb7181ee4,0x2d860415,0xd11b0c65}},	//   _لكن_, _голф_, iloe_, _पोषण_, 
   {{0x2d860226,0xb4db00f6,0x00000000,0x00000000}},	//   hloe_, ckàn, --, --, 
   {{0xdb01674d,0x95ca21f9,0x656d674e,0x00000000}},	//   _dilè, _тула_, _tjah, --, 
   {{0xa3e8009a,0x656d025b,0x9f40039b,0x00000000}},	//   मूह_, _ujah, brië_, --, 
   {{0x657d674f,0x63850216,0x00000000,0x00000000}},	// [5a50] mosh, gînê, --, --, 
   {{0xa2950fb6,0x3ea703a9,0x6d49161c,0x657d6750}},	//   _напі, ønt_, _slea, losh, 
   {{0x6d496751,0xa01b0019,0x63ad6752,0x200200ca}},	//   _plea, _gyön, _huan, _epki_, 
   {{0x63ad2083,0x395f03a1,0x394d0034,0xd5fb0070}},	//   _kuan, xius_, xhes_, שפאר, 
   {{0x395f0009,0x2bc6031e,0xdb006753,0x63a50fae}},	//   vius_, रीला, _sumá, _kihn, 
   {{0x21396754,0x657d6755,0x63ad6756,0x2d860415}},	//   _hosh_, hosh, _muan, aloe_, 
   {{0x395f6757,0x2bd702f8,0xeaf800eb,0x657d6758}},	//   tius_, _ठिका, ترنت_, kosh, 
   {{0xdd94005e,0xff5f0216,0xe0df0118,0x62856759}},	//   _жасы, _xwîn_, _amòz_, _myho, 
   {{0x395f1623,0x657d675a,0xab87675b,0x63ad074d}},	//   rius_, dosh, _дужк, _nuan, 
   {{0x6738675c,0x395f012d,0x394d675d,0xdb200054}},	//   _covj, sius_, shes_, ôtôn, 
   {{0x6285675e,0xdce90b43,0x394d0107,0x395f0528}},	//   _nyho, _lječ, phes_, pius_, 
   {{0xa3d7006a,0x657d675f,0xdcfb0242,0xdb0100b9}},	//   ाओं_, gosh, _okuč, _silè, 
   {{0x63ad0f46,0x9fd600cc,0x63a51612,0xa01b0080}},	//   _cuan, _সঙ্গ, _bihn, _syön, 
   {{0x63ad6760,0x7bc90548,0x6385010c,0xe3c70042}},	//   _duan, _mweu, vînê, íñas_, 
   {{0x628502f0,0x213900cf,0x3cff026e,0x657d6761}},	//   _cyho, _bosh_, _obuv_, bosh, 
   {{0x25e002f8,0x55da0137,0x3860044e,0xdb016762}},	//   _किती_, _פֿונ, _žiri_, _dilé, 
   {{0x63ad6763,0xb4d80a0e,0xa3d60a20,0x21396764}},	// [5a60] _guan, ाणी_, _हिट_, _dosh_, 
   {{0xdce902a8,0x44206765,0xa01b0088,0x63850218}},	//   _dječ, _iri_, _työn, rînê, 
   {{0x62850156,0x7bc90574,0xdb01023e,0x764135b8}},	//   _gyho, _aweu, _gilé, nyly, 
   {{0x8fa66766,0x44206767,0x68fb00ef,0x2be00367}},	//   _наме, _kri_, jfud, _निदा, 
   {{0x60c46768,0xa2c1009a,0x63ad6769,0x7c260604}},	//   mbim, वरच्, _xuan, _škrb, 
   {{0x60c400e4,0x7bc902bf,0x69c80102,0x657d676a}},	//   lbim, _dweu, _pwde, zosh, 
   {{0x213902f1,0x657d676a,0x7bc90574,0x395d0664}},	//   _yosh_, yosh, _eweu, _bmws_, 
   {{0x4420676b,0x4ddb00d1,0x23dc58c4,0x21390218}},	//   _ori_, _לחלו, _बिंद, _xosh_, 
   {{0x67380f30,0xb904676c,0xebe30aa3,0x4420306c}},	//   _povj, _भए_, _потп, _nri_, 
   {{0x63ad04bb,0x442700f7,0xd7dd00a2,0x95d803b7}},	//   _ruan, _ăn_, _मिरच, одот_, 
   {{0x4420676d,0x657d676e,0x63ad676f,0x644000fb}},	//   _ari_, tosh, _suan, ømin, 
   {{0x44206770,0x63ad01f0,0xe0df0118,0x6dac0241}},	//   _bri_, _puan, _elòj_, _işad, 
   {{0x63ad1bc6,0x657d6771,0x44206772,0x9f400327}},	//   _quan, rosh, _cri_, ntió_, 
   {{0xdce90f30,0x44206773,0x657d31a2,0x63a20036}},	//   _rječ, _dri_, sosh, _èonl, 
   {{0x44206774,0xb909001b,0xdce9056e,0x657d6775}},	//   _eri_, _nghề_, _sječ, posh, 
   {{0x62850076,0x60f900e4,0x442000d1,0x94ab0ab5}},	//   _vyho, ўная_, _fri_, _утка_, 
   {{0xf485015f,0x3f156776,0xe81f0c73,0xe29900f0}},	// [5a70] _تاثی, мдас, बिया_, саң_, 
   {{0x2bcf11bd,0xdce9027c,0xeeab012d,0x3f146777}},	//   सीफा, _vječ, стак_, ндус, 
   {{0xdb01010c,0x213900a3,0xc5f801dd,0x8cf5012d}},	//   _bilî, _tosh_, ntē_, дзец, 
   {{0x270900aa,0x00000000,0x00000000,0x00000000}},	//   _वस्र_, --, --, --, 
   {{0xfc46001b,0x26dc0082,0xdb01010c,0x1be9004f}},	//   _đích_, _odvo_, _dilî, ідки_, 
   {{0xdb0903c0,0x7982052b,0x98bf00ca,0x25ed0299}},	//   _önün, _akow, rkuč_, _अमली_, 
   {{0xa3b44493,0x60cf6778,0xdb01009e,0x6b4f02c9}},	//   _जून_, _kecm, _filî, _nøge, 
   {{0x18a5212c,0x3a3a0219,0x673c0219,0xdb0001a4}},	//   майм, äppa_, örjn, _aumä, 
   {{0x24c50086,0x37751628,0xd7ee007a,0x7d0b6779}},	//   ্লাহ, дынс, لكي_, megs, 
   {{0x6b4f01cc,0xb4e60239,0x86453f74,0x2579010e}},	//   _bøge, कल्प_, днож, mély_, 
   {{0x6ad30086,0x26ce03a0,0xa50a2f73,0x4420677a}},	//   _সাপো, _defo_, оена_, _sri_, 
   {{0x4420677b,0xb4d802f8,0x9a8403dd,0x9f400634}},	//   _pri_, ाणे_, _чуул, rrié_, 
   {{0x78ab008a,0x00000000,0x00000000,0x00000000}},	//   _iggv, --, --, --, 
   {{0x889a00a7,0x7989677c,0x9f400107,0x9665251b}},	//   _ובני, llew, prié_, _окле, 
   {{0x03a32df0,0x26c5677d,0x7989095a,0x660301d6}},	//   тиро, mblo_, olew, _upnk, 
   {{0x61e1010e,0xa01b00c8,0xe2972d60,0x26ce677e}},	//   álla, _työl, фас_, _zefo_, 
   {{0x4420677f,0x60c46780,0x7d0b0dec,0xa01b010e}},	// [5a80] _uri_, rbim, degs, _ször, 
   {{0x2579010e,0x00000000,0x00000000,0x00000000}},	//   dély_, --, --, --, 
   {{0x2be00262,0xe29a6781,0x79896782,0x00000000}},	//   _निहा, _фан_, klew, --, 
   {{0x25e0006a,0xe8df001b,0x2fc0123b,0x60cf04a8}},	//   _किसी_, _trộm_, ppig_, _gecm, 
   {{0xdca36783,0x00000000,0x00000000,0x00000000}},	//   ваци, --, --, --, 
   {{0x9f406784,0x79890053,0xe4570070,0x7d0b00c2}},	//   rtió_, elew, וינט_, aegs, 
   {{0x9f4000d3,0xdee31571,0xdb000f03,0xdb01009e}},	//   stió_, _јоси, _rumä, _tilî, 
   {{0xa8140245,0xb8141b11,0x26ce01a7,0x6b4f02c9}},	//   едиш, едиј, _sefo_, _røge, 
   {{0x6b4f0022,0x36d41d05,0x26ce0226,0xa91d0613}},	//   _søge, нопр, _pefo_, dožd, 
   {{0xeeeb001b,0x99890704,0x4b2636a7,0x7bc26785}},	//   _đừng_, ćaš_, _تعرف, mpou, 
   {{0x8a06005e,0x79896786,0x6aba011c,0xe9d71d02}},	//   _ізде, blew, _iftf, _жкх_, 
   {{0xc8662595,0x69d86787,0xe3c703da,0xc5f800e0}},	//   _отли, msve, íños_, rtē_, 
   {{0x69d85cac,0x7bc26788,0x249200ab,0xc5f801dd}},	//   lsve, npou, _czym_, stē_, 
   {{0x69d80a88,0x79800532,0xa2a02997,0xc5f80243}},	//   osve, lomw, _गृह्, ptē_, 
   {{0xe8160c64,0xd13b2995,0x442d00d9,0xf1a76789}},	//   तिका_, оха_, ţe_, дран, 
   {{0x69d8678a,0x3568004e,0x5ec80086,0x6fb9366a}},	//   isve, _орын_, _লাগে, згар_, 
   {{0x2be0051f,0x705900b9,0xa01b00c8,0x60cf01dd}},	// [5a90] _निषा, чаар_, _työm, _vecm, 
   {{0xa91d0688,0xa01b00c8,0x69d8678b,0x7d0b623c}},	//   može, _hyök, ksve, wegs, 
   {{0xa91d2b46,0x7d0b0019,0x25a9678c,0x69d8012e}},	//   lože, tegs, _kial_, jsve, 
   {{0x2be00509,0x656f678d,0x69d8678e,0x403511e6}},	//   _निशा, nnch, dsve, _земс, 
   {{0x7bc4002e,0x7d0b678f,0x656f6790,0x69da0144}},	//   ţiun, regs, inch, _avte, 
   {{0xfbe00c14,0x98af006a,0x656f0502,0x69d86791}},	//   _निरम, _mogą_, hnch, fsve, 
   {{0x69d86792,0x533800c7,0xf9856793,0xa91d020b}},	//   gsve, ונגן_, нгко, hože, 
   {{0x6e946794,0x2d7807c7,0x3f8140da,0x25a900a1}},	//   _рису, včeg_, lohu_, _nial_, 
   {{0x2489519b,0x79896795,0x2d9d0a8b,0xa0e301dd}},	//   _nyam_, rlew, mmwe_, dēļā_, 
   {{0x656f03b7,0xa91d034c,0x27e2014b,0x920f0466}},	//   ench, dože, ákna_, ाबाज_, 
   {{0x248904bb,0x2b890039,0x25a9500a,0xcb3400fd}},	//   _ayam_, júci_, _bial_, _шефъ, 
   {{0x92c100cc,0xdb012953,0x2b890228,0x2bc61a21}},	//   ুলো_, _milí, dúci_, रीका, 
   {{0xf9920111,0xab5d00c3,0x3f816796,0xa91d0604}},	//   _ערד_, _awżi, kohu_, gože, 
   {{0x212b0093,0x883a00a7,0xa91d6797,0x656f6798}},	//   _anch_, _מתנו, sožd, anch, 
   {{0x27ed01ca,0x25a931d3,0x7bc200d8,0x00000000}},	//   luen_, _fial_, zpou, --, 
   {{0xa91d014b,0x41e11d00,0xa01b039f,0x1f6308ba}},	//   bože, _फिरस, _gyök, ҳкум, 
   {{0xd007574a,0x27ed6799,0x656612a3,0x9f4001d5}},	// [5aa0] нете_, nuen_, mikh, ftið_, 
   {{0xe1fa0df8,0x80ac04d7,0x6566679a,0xa01b0088}},	//   _его_, _झलके, likh, _myöh, 
   {{0x6446679b,0x7bdb0539,0x7980679c,0x00000000}},	//   lyki, _avuu, yomw, --, 
   {{0x41bb00a7,0x27ed679d,0x9abc007b,0xa2ba0a0e}},	//   _מצטע, kuen_, _inċi, ्रक्, 
   {{0x60d6679e,0x6446126c,0x69da01d6,0x61fc0208}},	//   maym, nyki, _svte, ltrl, 
   {{0x69d8679f,0x60d600a3,0x27ed01ca,0xdb01007a}},	//   tsve, laym, duen_, _filí, 
   {{0xfce6528c,0x7bc267a0,0x61fc67a1,0x7bdb052b}},	//   _пово, spou, ntrl, _evuu, 
   {{0x69d867a2,0xeeeb001b,0x64460009,0xf41f00c8}},	//   rsve, _đứng_, kyki, yvä_, 
   {{0x27ed3be8,0x25a967a3,0x69d8488e,0x7980007b}},	//   guen_, _rial_, ssve, romw, 
   {{0xd6da078c,0x25a94e07,0x61ee67a4,0x798038b1}},	//   чти_, _sial_, kubl, somw, 
   {{0x24891191,0xa3d3102c,0x7980187e,0x290d02a5}},	//   _syam_, हीन_, pomw, beea_, 
   {{0xb4eb07cc,0x65660102,0xeabf0023,0xa91d0352}},	//   मले_, gikh, _đùi_, tože, 
   {{0xd40467a5,0x9abc01f2,0x9f40003e,0xf74667a6}},	//   ляри, _anċi, ytið_, _педо, 
   {{0x61e1010e,0x752801dd,0x00000000,0x00000000}},	//   állo, ēdza, --, --, 
   {{0xa01b0088,0x41e40965,0x8afc0083,0x439467a7}},	//   _työk, літа, _zmęc, уарс, 
   {{0xa91d090b,0xfc46001b,0xf8b20083,0x00000000}},	//   pože, _đính_, ीडिय, --, 
   {{0x7a1306d0,0xb4bf0239,0x752d67a8,0x3f8167a9}},	// [5ab0] _vətə, ेरी_, _inaz, tohu_, 
   {{0x20e100e7,0xdb0167aa,0x6d9100dd,0x00000000}},	//   ỗi_, _milã, gåan, --, 
   {{0x3f81024a,0x27ed01f1,0x9f4001d5,0x7bc4020f}},	//   rohu_, zuen_, rtið_, ţiul, 
   {{0xf42a0032,0x9f40003e,0x3f815218,0x00000000}},	//   späť_, stið_, sohu_, --, 
   {{0x752d0548,0x8d741117,0x9f4001d5,0x27ed01cf}},	//   _mnaz, دالا, ptið_, xuen_, 
   {{0x8c4267ab,0x6566044d,0x3f9800a1,0x6d4a0034}},	//   реше, zikh, _ghru_, ëfar, 
   {{0x5c74005e,0x7bd90382,0x6566019b,0x752d019b}},	//   _ұлтт, sswu, yikh, _onaz, 
   {{0x27ed0414,0x8d8403a1,0xdb0803a0,0x752d0539}},	//   tuen_, _бууд, _lidè, _nnaz, 
   {{0x5b151c93,0xa91d008b,0x290d00b3,0x7af2039f}},	//   _имат, tožb, reea_, újtá, 
   {{0x7d1b67ac,0x27ed4a37,0x752d67ad,0x7c843c51}},	//   _haus, ruen_, _anaz, _сусе, 
   {{0x6b8367ae,0x7d1b67af,0x656667b0,0x6d980183}},	//   mong, _kaus, tikh, bíad, 
   {{0xaa643b35,0x7d1b67b1,0x644644da,0x6b832ec1}},	//   _стук, _jaus, tyki, long, 
   {{0x27ed67b2,0x7d1b67b3,0x656667b4,0x4424007a}},	//   quen_, _maus, rikh, ím_, 
   {{0xe29a15f1,0x7d1b67b5,0x6b8367b6,0xfbc607d5}},	//   даг_, _laus, nong, रीटम, 
   {{0xdb0801e5,0x626367b7,0x644667b8,0x2d780242}},	//   _didè, авра, syki, nčec_, 
   {{0x7d1b67b9,0x61ee67ba,0x6d4b039b,0x00000000}},	//   _naus, rubl, jkga, --, 
   {{0xef1a67bb,0xa06715f5,0x6b8367bc,0xe04367bd}},	// [5ac0] мма_, вата_, kong, анти, 
   {{0x6b8367be,0xe3c400f6,0x03a60edd,0xdb010379}},	//   jong, _ирүү, _шипо, _nilà, 
   {{0x7d1b67bf,0x6b8367c0,0xf2d30a33,0xada6128b}},	//   _baus, dong, _דעת_, важл, 
   {{0x69de0217,0xdb0001e8,0x61465754,0x216a017b}},	//   špek, _humø, _рема, _цими_, 
   {{0xe9050216,0x6b8367c1,0x6d980126,0x6b4f139f}},	//   _çûye_, fong, víad, _søga, 
   {{0x6b8367c2,0xf41300d1,0xdee61cc1,0x7ceb0241}},	//   gong, יפד_, _шоги, törü, 
   {{0x2b890228,0x6f1c007a,0x00000000,0x00000000}},	//   júcu_, _iarc, --, --, 
   {{0xdce202f5,0x7d1b67c3,0x6f1c67c4,0x391407a4}},	//   dnoć, _gaus, _harc, умир, 
   {{0x6d4011a1,0xdca367c5,0x5d672ffb,0x3d1700a2}},	//   _ioma, _вати, _ритм_, _नसते_, 
   {{0x7d1b03ef,0x6d4067c6,0x656467c7,0x6b8367c8}},	//   _zaus, _homa, _amih, cong, 
   {{0x6d4067c9,0xa4d50769,0xd00b0086,0x7d1b019b}},	//   _koma, лоні, রিয়_, _yaus, 
   {{0xb4bf0190,0x7d0267ca,0x6d4067cb,0xa91d00da}},	//   ेरे_, nfos, _joma, rožc, 
   {{0x6d4067cc,0x18362751,0x7c2267cd,0xdb080212}},	//   _moma, _جراح, nvor, _aidé, 
   {{0x36d467ce,0x52bf000c,0x6d4067cf,0x656456d1}},	//   _сокр, ्रेस, _loma, _emih, 
   {{0x96f702b4,0x7c220c20,0x776800b4,0x7c260abd}},	//   _شعور_, hvor, midx, _škrl, 
   {{0x6d4067d0,0x44f51279,0x6b8367d1,0xdb0100da}},	//   _noma, _спис, zong, _milá, 
   {{0x6f1c089f,0x6b83355a,0xa91d01b4,0x7d1b67d2}},	// [5ad0] _barc, yong, noža, _raus, 
   {{0x7d1b561d,0x7c221627,0xdb080107,0x6d4001f5}},	//   _saus, dvor, _fidé, _aoma, 
   {{0x3ea7022b,0x6d4067d3,0x6b8367d4,0x4ea70c09}},	//   änt_, _boma, vong, траа, 
   {{0x6d4067d5,0x68e267d6,0x6b8367d7,0xbd1800dd}},	//   _coma, _ndod, wong, кції_, 
   {{0x6f1c67d8,0x6b4f03a9,0x6b8367d9,0x20060107}},	//   _farc, _døgn, tong, çoit_, 
   {{0x6d40008a,0x7afc0380,0x7d1b67da,0x316901d6}},	//   _eoma, _örtl, _waus, liaz_, 
   {{0xa3d302f8,0x6a8567db,0x6d4003a0,0x2d870107}},	//   हीत_, ылка, _foma, înes_, 
   {{0x4a73032e,0x6b8367dc,0x6d4067dd,0x316901f1}},	//   лықт, song, _goma, niaz_, 
   {{0x5c7567de,0x68e2017c,0x00000000,0x00000000}},	//   _слат, _ddod, --, --, 
   {{0x6d4067df,0xdb010183,0xdce22cd9,0x6b8367e0}},	//   _zoma, _filá, tnoć, qong, 
   {{0x8c420c05,0x69c1004f,0x2019318d,0x154600f0}},	//   _öğre, _utle, _lssi_, генм, 
   {{0x6d4001ff,0xdce20613,0x3326009e,0x6b5403dd}},	//   _xoma, rnoć, _şox_, _vàge, 
   {{0x2d8f057f,0xdce20062,0xe297004e,0x27e903da}},	//   ilge_, snoć, ғат_, _ían_, 
   {{0x291d0522,0x291f01f1,0x205600f0,0x6d5a0009}},	//   _hawa_, ldua_, ңтар, _įtam, 
   {{0x291d67e1,0x201967e2,0x41b50161,0xc0e667e3}},	//   _kawa_, _assi_, истт, ловк, 
   {{0xdb0867e4,0x291d2157,0x291f67e5,0x394d11e8}},	//   _vidé, _jawa_, ndua_, nkes_, 
   {{0x6d401b4b,0x27ff1a3b,0x291d67e6,0xe0df67e7}},	// [5ae0] _roma, ntun_, _mawa_, _alòs_, 
   {{0x6d4067e8,0x6b4f01cc,0x291d67e9,0x3ea62f0d}},	//   _soma, _søgn, _lawa_, гизг, 
   {{0x20190093,0x394d08bb,0x6f1c67ea,0x63b600e7}},	//   _essi_, kkes_, _varc, _huyn, 
   {{0xed5702c0,0x7c2267eb,0x6f1c67ec,0x291d0c36}},	//   лох_, tvor, _warc, _nawa_, 
   {{0x0b8a1297,0x399a024a,0x27ff007b,0x6d400379}},	//   нски_, nëse_, jtun_, _voma, 
   {{0x7c2267ed,0x2d8767ee,0x6d4067ef,0x200067f0}},	//   rvor, îner_, _woma, mtii_, 
   {{0x2be0072e,0x2741000d,0x7c2238e4,0xfbe004cc}},	//   _निका, _méně_, svor, _निकम, 
   {{0xdb01006b,0xdca60e8f,0xdee60200,0x27ff67f1}},	//   _vilá, _баби, _шоҳи, ftun_, 
   {{0xcaf632b7,0x200067f2,0xed5708ad,0x291d67f3}},	//   _مساب, ntii_, _сот_, _dawa_, 
   {{0xa01b00c8,0x316901ca,0xda5a00d9,0x291f0096}},	//   _työv, ziaz_, _преш_, adua_, 
   {{0xd5b7030f,0xa37b03b7,0x55750f91,0x64400088}},	//   лся_, nsõe, игот, ämin, 
   {{0xa91d67f4,0x291d0c3d,0x23af00c3,0x394d14a1}},	//   ložn, _gawa_, _ażja_, ckes_, 
   {{0x6fb00262,0x67d467f5,0x765a67f6,0x7c260604}},	//   _अंगू, _толу, szty, _škrj, 
   {{0x77f70056,0x6b4f055f,0xae050077,0x7c2f0183}},	//   _עמוד_, _nøgl, _रहलन_, _ácre, 
   {{0x31c40bd2,0x291d67f7,0xf3ff02aa,0x200000b3}},	//   йств, _yawa_, stã_, etii_, 
   {{0x2019067c,0x38690352,0x5187022c,0x9f5200c8}},	//   _pssi_, _žari_, ууга, htyä_, 
   {{0xc05b00dd,0x316901ca,0x2be00d0d,0xb4d1009a}},	// [5af0] хів_, riaz_, _निगा, षरी_, 
   {{0x7a0a06d0,0x2bcf12e3,0x316901cf,0x00000000}},	//   _mətb, _सौगा, siaz_, --, 
   {{0xc3320138,0x442905a8,0xc2080019,0x63690352}},	//   _ווי_, _hra_, _یقین_, lžno, 
   {{0x2019023b,0x442967f8,0xdb26015f,0xa37b00c2}},	//   _tssi_, _kra_, یونی, ssõd, 
   {{0x291d67f9,0x60cd67fa,0x200000d9,0x00000000}},	//   _rawa_, mbam, ctii_, --, 
   {{0x291d0010,0xdcfb2f4e,0x60cd67fb,0x2fc967fc}},	//   _sawa_, _okuć, lbam, mpag_, 
   {{0x442967fd,0xba7700d4,0x2d7800ca,0x394d67fe}},	//   _lra_, داشت, mčen_, tkes_, 
   {{0x442967ff,0x6d980068,0x394501a2,0x27ff6800}},	//   _ora_, ríac, рниг, ttun_, 
   {{0x394d6801,0xa91d02c7,0x44296802,0x6d980684}},	//   rkes_, božn, _nra_, síac, 
   {{0x753d006a,0x291d6803,0xab876804,0x7c2900a9}},	//   ejsz, _wawa_, _субк, _irer, 
   {{0x27ff6805,0x291d6806,0x394d016a,0xdb080379}},	//   stun_, _tawa_, pkes_, _midì, 
   {{0x44296807,0x6e210b85,0x399a024a,0x6d5a0009}},	//   _bra_, _álbu, tëse_, _įtak, 
   {{0xf7700499,0x7d096808,0x998400eb,0xa01b00c8}},	//   _کان_, _mbes, _النو, _myös, 
   {{0x44296809,0x399a024a,0x331900e4,0x27ed680a}},	//   _dra_, rëse_, ліся_, mren_, 
   {{0x29d30012,0xc5d502fb,0x4429680b,0x6d590204}},	//   nţa_, _тіль, _era_, khwa, 
   {{0x44291a43,0x92d600cc,0x90c6004e,0x7c2901ca}},	//   _fra_, হলে_, рбае, _orer, 
   {{0x657d0019,0x1f66041c,0x4429680c,0x27ed680d}},	// [5b00] érhe, акам, _gra_, nren_, 
   {{0x2000680e,0x7d09680f,0x27ed6810,0xdee6460d}},	//   rtii_, _abes, iren_, рожи, 
   {{0x27ed02ec,0x20006811,0xa01b0088,0x60cd6812}},	//   hren_, stii_, _syöt, bbam, 
   {{0x44290904,0xa37b0165,0x7c2902a3,0x2cb200dd}},	//   _yra_, rsõe, _brer, øyd_, 
   {{0xa37b02a0,0x9f520088,0xa91d2645,0x27ed6813}},	//   ssõe, ttyä_, tožn, jren_, 
   {{0x27ed6814,0x69dc004f,0x67210121,0x161500bc}},	//   dren_, _ærek, jdlj, तबार_, 
   {{0x27ed6815,0xa91d6816,0x12e900c7,0x8c60004e}},	//   eren_, rožn, אַפּ, нiң_, 
   {{0xa01b0088,0x8c4614c1,0x7c296817,0x9f520080}},	//   _työt, _кебе, _frer, styä_, 
   {{0xdce903e5,0x27ed6818,0x06da0086,0xdcfb0082}},	//   _sjeć, gren_, _দাবি, _skuć, 
   {{0x44296819,0x9abc01f2,0xa91d0352,0xc6a6681a}},	//   _rra_, _baċe, ložl, ирни, 
   {{0xe8fa681b,0x27ed18cf,0x09360019,0x60cd18c1}},	//   _але_, aren_, _پراج, ybam, 
   {{0x4429681c,0x9975030f,0x5694681d,0x69ca02f2}},	//   _pra_, _лучш, _қайт, mpfe, 
   {{0x75c101dd,0x5347681e,0x27ed00b4,0x61ee0e16}},	//   _rēze, ахва, cren_, erbl, 
   {{0x44290691,0x838746d9,0x389b027a,0x35f7009c}},	//   _vra_, рыме, _סיגנ, درید_, 
   {{0xdcfb034c,0xe1670886,0x6dac027e,0x2be00c46}},	//   _ukuć, ађан, _aşam, _निझा, 
   {{0x4429681f,0x74f90165,0x0467017b,0x00000000}},	//   _tra_, _сеир_, _втом, --, 
   {{0x60cd6820,0x61ee6821,0x90996822,0xe29900f0}},	// [5b10] rbam, arbl, уват_, таң_, 
   {{0xbf02017d,0x2be0000c,0x2d7802fe,0x6d590226}},	//   र्लभ_, _निजा, učen_, whwa, 
   {{0x6d596823,0xa3d3009a,0xf2d2008d,0x27ed6824}},	//   thwa, हीर_, _מעי_, zren_, 
   {{0xa2cb0081,0x27ed6825,0x00000000,0x00000000}},	//   _त्त्, yren_, --, --, 
   {{0xf1a46826,0x00000000,0x00000000,0x00000000}},	//   _фрэн, --, --, --, 
   {{0x6d596827,0x6b744a79,0x27ed6828,0xab6407f4}},	//   shwa, олчу, vren_, овіл, 
   {{0xa01b6829,0x6d590204,0xaa450259,0x00000000}},	//   _työs, phwa, сейл, --, 
   {{0x27ed682a,0x991500dd,0x7d09682b,0x29d300b3}},	//   tren_, ські, _ubes, rţa_, 
   {{0x27ed60e4,0x2d8d0455,0xccf200d1,0x7c2945e2}},	//   uren_, _ikee_, _מכן_, _urer, 
   {{0x27ed0414,0x33330183,0x6d980183,0x9abc00a4}},	//   rren_, _nnxx_, nían, _paċe, 
   {{0xe81c0262,0xaa9500eb,0x37a903a1,0x27ed01d6}},	//   _बैठा_, _الاث, ктүн_, sren_, 
   {{0x0556682c,0x27ed682d,0x2d780097,0x6e3600d1}},	//   стоя, pren_, jčel_, צטרף_, 
   {{0x6c7900c7,0x86b300f0,0xa3d3009a,0x114a0259}},	//   ראָפ, _мәні, हील_, қпай_, 
   {{0x660104a8,0x2be000a2,0x61f51a3d,0x00000000}},	//   ptlk, _निघा, fuzl, --, 
   {{0x450d00cc,0x6d981e0d,0xe81f02e6,0xe5a6018a}},	//   ষয়ক_, dían, बिका_, _лики, 
   {{0x31bc0019,0x00000000,0x00000000,0x00000000}},	//   _víz_, --, --, --, 
   {{0x6143682e,0x4127048a,0x4426682f,0x7d01010e}},	// [5b20] чета, щото_, _éo_, záró, 
   {{0xa01b0088,0x798915e9,0xf0a76830,0x2eb63c11}},	//   _pyör, hoew, скул_, ссас, 
   {{0x216a6831,0x3992009e,0x25dd00c9,0xa2b700d1}},	//   _бини_, nûsê_, _कौमी_, _לפיד_, 
   {{0xdb08026e,0xb5fa00c7,0xd5fa00c7,0xfe43058e}},	//   _vidí, טלעכ, טפער, янхо, 
   {{0x30756832,0x6d980183,0x9f4000c8,0x1ab42f39}},	//   _дурс, bían, triä_, обля, 
   {{0x6d980042,0xa3da02e6,0x33330210,0xdfcf0038}},	//   cían, डीय_, _xnxx_, _سيف_, 
   {{0x0f570070,0x00000000,0x00000000,0x00000000}},	//   _פילם_, --, --, --, 
   {{0xa51702f8,0xa3d86833,0xa3d3252e,0x69ca0502}},	//   _तसेच_, ाठा_, हीँ_, rpfe, 
   {{0x64a700a2,0xada30200,0xeafa00eb,0xec7a2e07}},	//   _गणेश, _хатл, _مرات_, _спа_, 
   {{0xa91d0097,0x501b00a7,0x9f4901d5,0x25a06834}},	//   nožj, נויו, ntað_, _ahil_, 
   {{0xb0b800c2,0x00000000,0x00000000,0x00000000}},	//   _अलंग, --, --, --, 
   {{0x9f4708d7,0xd10a02e6,0x3a2c007c,0x61f50979}},	//   čné_, ह्मण_, _irdp_, vuzl, 
   {{0x94876835,0xa3d305d2,0x589600d6,0x25a06836}},	//   сынд, हीं_, _اجاز, _dhil_, 
   {{0x394618b7,0x661c055f,0x61f500ef,0x96ba2a13}},	//   _hoos_, ærks, tuzl, _суду_, 
   {{0xe5c64f57,0x26de6837,0x39466838,0x6d980634}},	//   _усло, mato_, _koos_, vían, 
   {{0x26de6839,0x4fd502f1,0x25a01bf0,0x7a0a00ad}},	//   lato_, жжат, _ghil_, _xəta, 
   {{0x3946006f,0x656f683a,0x9ed92776,0x61f5683b}},	// [5b30] _moos_, mich, имат_, suzl, 
   {{0x656f683c,0x26de02da,0x25720082,0x3946683d}},	//   lich, nato_, ršle_, _loos_, 
   {{0x6d9815a8,0x7de700f0,0x644f011f,0x00000000}},	//   rían, сізд, lyci, --, 
   {{0x656f683e,0x7ae8683f,0x26de0364,0x6ad100b0}},	//   nich, _addt, hato_, हर्र, 
   {{0x26de6840,0x070810b0,0x69c80243,0x00000000}},	//   kato_, वभाव_, _atde, --, 
   {{0x656f6841,0xdea40274,0x26de1740,0x752801dd}},	//   hich, _کیمی, jato_, ēdzi, 
   {{0x9f49057f,0x656f6842,0x39460511,0xdb08022c}},	//   nraí_, kich, _boos_, _didà, 
   {{0x39466843,0x47c520e8,0x57e96844,0x656f6845}},	//   _coos_, обив, адим_, jich, 
   {{0x5fe2119f,0xa91d0076,0xf8ae00c5,0x26de6846}},	//   _पिछल, ložk, نکه_, fato_, 
   {{0x26de6847,0x06096848,0x25a06849,0x7b770e61}},	//   gato_, анок_, _shil_, _اطرا, 
   {{0xb8ff00cc,0x656f684a,0xf8bf4ae7,0x3946023b}},	//   _তা_, fich, ñés_, _foos_, 
   {{0x656f684b,0x3946039b,0x9f49007a,0x957d0028}},	//   gich, _goos_, draí_, drąs, 
   {{0x66e51184,0x26de684c,0x6d980183,0x9d1a027a}},	//   _дола, bato_, díal, בורט, 
   {{0x26de048a,0x7a0a0095,0xa91d026e,0x16390038}},	//   cato_, _mətn, kožk, _نسبة_, 
   {{0x9f4900eb,0x656f684d,0xa01b00c8,0x6723023a}},	//   graí_, bich, _syöp, _ianj, 
   {{0x68fb684e,0x6723684f,0x656f0068,0x3cff006d}},	//   ngud, _hanj, cich, _ncuv_, 
   {{0x9f4901d5,0x7b11020b,0xdb0109c6,0x0fda0080}},	// [5b40] ttað_, _kľuč, _dilú, рьбы_, 
   {{0x44206850,0x67234617,0x75246851,0xb358006b}},	//   _isi_, _janj, _haiz, _ایسا_, 
   {{0x7bc96852,0x44200626,0x614603b7,0x8d66004f}},	//   _ateu, _hsi_, _дена, овже, 
   {{0x67236853,0x629e02ee,0xa01b0088,0x26de6854}},	//   _lanj, _izpo, _työp, zato_, 
   {{0x39466855,0x75246856,0x60c4003a,0x4420031e}},	//   _roos_, _maiz, mcim, _jsi_, 
   {{0x3946042e,0x656f6857,0x60c40571,0x67236858}},	//   _soos_, zich, lcim, _nanj, 
   {{0x26de048a,0x39466859,0x2d780655,0x644f00ab}},	//   vato_, _poos_, nček_, zyci, 
   {{0xdb082142,0x4420685a,0x7524685b,0x3946006d}},	//   _didá, _osi_, _naiz, _qoos_, 
   {{0x6723685c,0x656f685d,0x44200a8b,0x6d98060f}},	//   _banj, vich, _nsi_, níam, 
   {{0x69f20f6b,0x656f0c37,0x68fb0068,0x67230369}},	//   _жүкт, wich, agud, _canj, 
   {{0x26de685e,0x39461895,0x656f685f,0x67236860}},	//   rato_, _toos_, tich, _danj, 
   {{0x26de6861,0x60c40112,0x6d426862,0xe7f3009a}},	//   sato_, jcim, njoa, _आमचा_, 
   {{0x656f6863,0x26de6864,0x672305f0,0x6d980327}},	//   rich, pato_, _fanj, víal, 
   {{0x656f6865,0x68e06866,0x6d982d3b,0x60c40165}},	//   sich, lamd, díam, ecim, 
   {{0x656f6867,0x752422b1,0x44201b03,0x9f400038}},	//   pich, _faiz, _esi_, briú_, 
   {{0x9f490084,0xd13811e6,0x67236868,0x752401f1}},	//   rraí_, оху_, _zanj, _gaiz, 
   {{0x656d6869,0x6723686a,0x33870200,0x6d982419}},	// [5b50] _imah, _yanj, _муов, ríal, 
   {{0x68e03eac,0x75240a9f,0x6b5d0118,0x26dc0144}},	//   hamd, _zaiz, _kège, _jevo_, 
   {{0x7bc9166d,0x656d0175,0xa3b4017d,0x3dd8017c}},	//   _steu, _kmah, _जूट_, _cwrw_, 
   {{0x26dc0412,0x6d980a47,0x621a00d1,0x3dd803c6}},	//   _levo_, bíam, _פורק, _dwrw_, 
   {{0x9f40655f,0x6d980169,0x656d0626,0x6b5d023e}},	//   guió_, cíam, _mmah, _lège, 
   {{0x656d012b,0x777a006d,0xf09f0054,0x8b221761}},	//   _lmah, jntx, _izà_, едше, 
   {{0x7de0006b,0x656d00d4,0x7c2654fc,0x60dd027e}},	//   _vásá, _omah, _škrt, _kesm, 
   {{0x627c0111,0x60dd0704,0xceb200d1,0x777a01f1}},	//   ינונ, _jesm, _טים_, entx, 
   {{0x60dd1454,0x6723686b,0x6d5b686c,0x7bc9686d}},	//   _mesm, _panj, _ilua, _uteu, 
   {{0x656d099d,0x60dd686e,0x6d5b01c1,0x70b8017d}},	//   _amah, _lesm, _hlua, _अल्ल, 
   {{0x6723686f,0x26dc2ca1,0x44206870,0x6d5b0da2}},	//   _vanj, _devo_, _ssi_, _klua, 
   {{0x60dd6871,0x68e06872,0x67236873,0x80d10033}},	//   _nesm, camd, _wanj, তৃত্, 
   {{0x67236874,0x752400e4,0x60c40062,0x395f6875}},	//   _tanj, _vaiz, vcim, mhus_, 
   {{0x442011c8,0x656d0026,0x395f2379,0xa91d4356}},	//   _vsi_, _emah, lhus_, doži, 
   {{0x75246876,0x60c400d0,0xe29a10aa,0x06a90033}},	//   _taiz, tcim, сав_, _খ্রি, 
   {{0x442001c1,0x629e6877,0x21676878,0x27e631ab}},	//   _tsi_, _vzpo, писи_, _yvon_, 
   {{0xb4d8143e,0x44206879,0x557700c7,0x2fd900f3}},	// [5b60] िरी_, _usi_, _מעקן_, _cwsg_, 
   {{0x60c407a4,0xc2ea006b,0x6d98687a,0x60dd007e}},	//   scim, _اعظم_, ríam, _eesm, 
   {{0x60c40062,0x395f014e,0x9cca687b,0xf53f00fc}},	//   pcim, khus_, была_, kmål_, 
   {{0x6d5b02d0,0x60dd15e9,0xeeeb00e7,0xcad80033}},	//   _clua, _gesm, _đụng_, _সাইফ, 
   {{0x395f687c,0x6d5b0a00,0x6d420088,0x6d49687d}},	//   dhus_, _dlua, rjoa, _doea, 
   {{0xa09b0070,0x6d5b00b0,0x00000000,0x00000000}},	//   _ליכט, _elua, --, --, 
   {{0x68e0027e,0x6d5b4230,0x8e83356d,0xab2a0259}},	//   tamd, _flua, _згре, _қожа_, 
   {{0x6d5b009f,0x26dc05d5,0x6d4901f2,0x8b66009c}},	//   _glua, _sevo_, _goea, _کارم, 
   {{0x68e00268,0x36d45401,0x478a687e,0x6b5d011c}},	//   ramd, мопр, йсом_, _sège, 
   {{0xe905009e,0x23a402ae,0x68e0687f,0x656d020b}},	//   _çûne_, nöjd_, samd, _smah, 
   {{0xe7e8007e,0xd6d76880,0x63620054,0x7a0a0248}},	//   _टटका_, чты_, _kônf, _xətl, 
   {{0x395f6881,0xd5b700c8,0x23a402ae,0x00000000}},	//   chus_, ясь_, höjd_, --, 
   {{0x60dd6882,0x1b1f0086,0x8ca40035,0x54540028}},	//   _resm, পারে_, _औरफो, евят, 
   {{0xda2000a2,0x2fcb02fe,0x7c2d0095,0xa91d48a8}},	//   _मनात_, _rtcg_, çirə, voži, 
   {{0x60dd6883,0x623400d9,0x56930009,0xa79b027a}},	//   _pesm, неру, _пашт, _השגח, 
   {{0x9f470351,0xf67b00a7,0xa3da00a5,0xa91d3053}},	//   ční_, _לאומ, डीह_, toži, 
   {{0x60dd253f,0x51841a57,0xca7a0508,0x00000000}},	// [5b70] _vesm, хура, _intе, --, 
   {{0x657d6884,0x6d5b0a69,0xa91d6885,0x00000000}},	//   lnsh, _slua, roži, --, 
   {{0x657d6666,0x6d5b006f,0x6d5a012d,0x0ea707d5}},	//   onsh, _plua, _įtar, केंड, 
   {{0x6b4f02c5,0xa91d0032,0x5c752351,0xcc996886}},	//   _løgt, poži, млет, овец_, 
   {{0x69da00a4,0x45270033,0x2bdd02e6,0xe81c01a4}},	//   _awte, যাপক_, _नौशा, _बैला_, 
   {{0x20090009,0xfbd0021b,0x00000000,0x00000000}},	//   mtai_, اتن_, --, --, 
   {{0xc9a931a4,0x395f272e,0xf4130086,0x20096887}},	//   овке_, thus_, িটির_, ltai_, 
   {{0x17c9196d,0x6297023e,0x8caa0035,0xdce90352}},	//   огии_, _myxo, जेहो, _kmeč, 
   {{0x20096888,0x395f6889,0x212904e4,0xf53f03a9}},	//   ntai_, rhus_, idah_, rmål_, 
   {{0x2d8f688a,0xf53f02fb,0x395f0c43,0x21296255}},	//   loge_, smål_, shus_, hdah_, 
   {{0x7ae3688b,0x23a402ae,0xdb03007a,0x628502be}},	//   mant, nöje_, nmní, _nxho, 
   {{0x200900e4,0x212902cd,0xa2cb0c46,0x61f500d2}},	//   ktai_, jdah_, तुस्, drzl, 
   {{0x2129109e,0x26c73c84,0x6b5400a1,0x660d00ca}},	//   ddah_, _tfno_, _bàgh, _ćaku, 
   {{0x7ae33ebd,0x21290640,0x62970219,0x657d688c}},	//   nant, edah_, _byxo, ansh, 
   {{0x6dbe0187,0xe0df01c5,0x2bdd2414,0x6b4f00fc}},	//   _vďak, _beò_, नीता, _høgs, 
   {{0x7ae3688d,0x2d1c00a2,0xe0df01f5,0x795c00d4}},	//   hant, _नसेल_, _ceò_, _kéwa, 
   {{0x628537ac,0xd0072035,0x490f031e,0xe0df01be}},	// [5b80] _exho, мете_, थ्यो_, _deò_, 
   {{0x7ae3688e,0x2d780d9d,0xef1700c8,0x2129688f}},	//   jant, nčev_, мму_, adah_, 
   {{0x44320076,0x7bdb01b8,0x795c01e5,0x6b4f0566}},	//   _hry_, _awuu, _léwa, _løgs, 
   {{0x44320691,0x2b000790,0xdcfb0082,0x60c20228}},	//   _kry_, _राहु_, _fjuč, žomb, 
   {{0x7c836890,0x7ae36891,0x6c1a00b8,0x06e30086}},	//   куше, fant, تتاح_, _মানি, 
   {{0x6aa500b0,0xd04f0248,0x3ced00bd,0x00000000}},	//   गे्र, _necə, _edev_, --, 
   {{0x7bdb01b8,0xdce90144,0x00000000,0x00000000}},	//   _ewuu, _zmeč, --, --, 
   {{0xbea36892,0x2d8f05b9,0x6b5403a1,0x443201a7}},	//   _раск, coge_, _màgi, _ory_, 
   {{0x7ae36893,0xdb0800c8,0xe786011f,0x79a300fd}},	//   bant, _pidä, дуно, ърше, 
   {{0xddc900d9,0x61fc169b,0x45d46894,0x795c5781}},	//   _înţe, kurl, ноос, _déwa, 
   {{0x44320a49,0x7bc06895,0x61fc00e2,0xdceb00e0}},	//   _ary_, _humu, jurl, ligā, 
   {{0x7bc028ee,0x44326896,0x61fc6897,0x61f508e3}},	//   _kumu, _bry_, durl, vrzl, 
   {{0x7bc00010,0xa3da00a2,0x21292f9d,0xed5f0228}},	//   _jumu, डील_, vdah_, úžia_, 
   {{0x289b0056,0x7bc024c2,0xd04f00ad,0x6b4f00fc}},	//   _וידא, _mumu, _gecə, _høgr, 
   {{0x44326898,0x7bc06899,0xa2cb0527,0xa29400dd}},	//   _ery_, _lumu, तुष्, варі, 
   {{0x7ae3689a,0xdbc604a8,0xf4d901ff,0x00000000}},	//   zant, _göçe, _эмиш_, --, 
   {{0x7ae3689b,0xc05b02fb,0x443200ab,0x7bc0689c}},	// [5b90] yant, ців_, _gry_, _numu, 
   {{0x2009689d,0x7ae302df,0x628501c1,0xdce90e67}},	//   rtai_, xant, _txho, _rjeđ, 
   {{0x2009689e,0x6b5d011c,0xf1c400da,0x8af70248}},	//   stai_, _nèga, raší_, şəki, 
   {{0x7ae357f3,0x7bc0689f,0xe51000e7,0x20090009}},	//   want, _bumu, _lặng_, ptai_, 
   {{0x2d8f68a0,0xa3d300a2,0x4fc468a1,0x0c75009c}},	//   roge_, हीच_, _асса, رگرد, 
   {{0x7bc000c5,0xe510001b,0xfaa519fe,0xdce900ca}},	//   _dumu, _nặng_, нало, _vjeđ, 
   {{0x7bc00175,0x795c033e,0x00000000,0x00000000}},	//   _eumu, _séwa, --, --, 
   {{0xd2b80056,0xaa560038,0x7bc0020f,0x3ced00b4}},	//   ולות_, عليا_, _fumu, _udev_, 
   {{0x7bc068a2,0x66e55700,0x798200d7,0x6d5902ac}},	//   _gumu, нопа, _djow, mkwa, 
   {{0xd7090088,0x399a024a,0xb90600b0,0xb4d8102c}},	//   чное_, hësh_, _बड़_, िर्_, 
   {{0x6dac03c0,0xcf92042c,0x29c30369,0x79c700a3}},	//   _işar, רטי_, _uña_, _ўқиб_, 
   {{0x7ae168a3,0x7bc068a4,0xab5d0035,0xceb20070}},	//   _helt, _yumu, _duże, טיי_, 
   {{0x7ae14c78,0x649a68a5,0x69c168a6,0x6d5901b8}},	//   _kelt, ятор_, _hule, ikwa, 
   {{0x61fc0533,0x6b540161,0x69c168a7,0x44320876}},	//   turl, _pàgi, _kule, _vry_, 
   {{0x69c168a8,0xf67900c7,0x6d5968a9,0x7ae168aa}},	//   _jule, _מאַמ, kkwa, _melt, 
   {{0xdb0168ab,0x64402ca3,0x443200a7,0x61fc68ac}},	//   _kiló, ämis, _try_, rurl, 
   {{0x69c168ad,0x61fc36ef,0xe4330038,0x4432011c}},	// [5ba0] _lule, surl, _مفيد, _ury_, 
   {{0x6d5968ae,0x799b3e7d,0xdceb01dd,0x69c10106}},	//   ekwa, hluw, vigā, _oule, 
   {{0x7bc068af,0xe29a68b0,0x61fc26b6,0x17560070}},	//   _sumu, _хан_, qurl, עסער_, 
   {{0x9f471e6f,0x7bc00c3d,0x6d5929c9,0x6dac2120}},	//   čná_, _pumu, gkwa, _aşar, 
   {{0xdca3610b,0xe50521c2,0x7ae168b1,0x69c168b2}},	//   гаци, ष्टि_, _belt, _aule, 
   {{0xbb434836,0x6d590539,0x399a0034,0x7ae168b3}},	//   лечк, akwa, mësi_, _celt, 
   {{0x7ae10310,0x3ea30c16,0xbea368b4,0x1e950024}},	//   _delt, _бирг, _барк, _артр, 
   {{0x7bc068b5,0x69c168b6,0xd90e11b7,0x442204a3}},	//   _tumu, _dule, صیت_, kwk_, 
   {{0x7ae16256,0x69c168b7,0x7c240092,0xd90d13b4}},	//   _felt, _eule, çird, تین_, 
   {{0x7d020183,0x7c2268b8,0x7ae168b9,0x5ba5004e}},	//   lgos, mwor, _gelt, _алуғ, 
   {{0x69c168ba,0x160000ab,0xa4d5017b,0x39130259}},	//   _gule, लंधर_, коні, _әмір, 
   {{0x7d0268bb,0x7a0a06d0,0xdb013214,0x7ae168bc}},	//   ngos, _nəti, _filó, _zelt, 
   {{0xf4840925,0xe5100029,0x69c102f2,0xe73a68bd}},	//   гурн, _tặng_, _zule, _нед_, 
   {{0xdbc70077,0xb4bb015f,0x6f1e0372,0xd32468be}},	//   _tööt, _کاغذ_, jepc, льси, 
   {{0xd05606d0,0xf1a768bf,0x69c100f6,0x399a024a}},	//   mayə, еран, _xule, tësh_, 
   {{0x7c2268c0,0xf8e00790,0xd05600ad,0x00000000}},	//   kwor, नरिय, layə, --, 
   {{0x442f3bf7,0x399a024a,0x7d0268c1,0x795c0175}},	// [5bb0] _ég_, rësh_, dgos, _léwo, 
   {{0x7f4e006d,0x2d842fab,0xd0560095,0x68e268c2}},	//   _cobq, _ajme_, nayə, _leod, 
   {{0x25a90065,0x6d5902b0,0xf7730070,0x7c2208b0}},	//   _khal_, tkwa, נקע_, ewor, 
   {{0x7ae168c3,0x7a0a06d0,0x9f40060f,0x69c168c4}},	//   _selt, _gəti, frió_, _rule, 
   {{0x69c168c5,0x6d5968c6,0xd0560095,0x7c220380}},	//   _sule, rkwa, kayə, gwor, 
   {{0x69c14164,0x6d5968c7,0x795c0175,0x212b68c8}},	//   _pule, skwa, _béwo, _hach_, 
   {{0x7ae168c9,0xc334042c,0xee8400c8,0xda620fac}},	//   _velt, טוס_, _быто, ивши, 
   {{0x7ae168ca,0x9f4068cb,0x201902a2,0x991500dd}},	//   _welt, brió_, _kpsi_, тькі, 
   {{0x212b68cc,0xd05600ad,0x7c22155e,0x77851fc5}},	//   _mach_, fayə, cwor, клиз, 
   {{0x69c168cd,0x25a902ba,0x7c24027e,0x2d9d07d7}},	//   _tule, _ahal_, çire, llwe_, 
   {{0x391500c5,0xdb0168ce,0x799b29b7,0x25a9007b}},	//   _لواز, _filò, pluw, _bhal_, 
   {{0x212b68cf,0x2019580d,0x25a90237,0xd7f509d9}},	//   _nach_, _opsi_, _chal_, _азды, 
   {{0x25a901be,0x2d9d0415,0x6e2702ae,0xa01b0080}},	//   _dhal_, ilwe_, _lsjb, _työy, 
   {{0x987a00c7,0x2d9d0026,0x27ff68d0,0x00000000}},	//   _קאסט, hlwe_, muun_, --, 
   {{0xe29768d1,0x212b0156,0x27ff0088,0xf79609ed}},	//   вар_, _bach_, luun_, _جنوب_, 
   {{0x212b68d2,0x399a024a,0x25a9003d,0x68e20068}},	//   _cach_, tësi_, _ghal_, _xeod, 
   {{0xf5770084,0x212b68d3,0x6b5d0212,0x7c223ebc}},	// [5bc0] _جميع_, _dach_, _règn, xwor, 
   {{0x93fb0137,0x212b68d4,0xd36f00eb,0x2ee302fe}},	//   _קליי, _each_, _وهي_, _cejf_, 
   {{0x212b68d5,0x7c22039b,0xa49b0054,0x399a021e}},	//   _fach_, wwor, ngòn, sësi_, 
   {{0x212b4884,0x7c2268d6,0x27ff0088,0x202700c8}},	//   _gach_, twor, kuun_, äviä_, 
   {{0x0b8a0925,0x7d0268d7,0x399a024a,0x3ce600ef}},	//   мски_, rgos, qësi_, raov_, 
   {{0x67130d1d,0x9f40283b,0x7d020d57,0x68e20534}},	//   त्मक_, rrió_, sgos, _seod, 
   {{0x212b57e9,0x35c600a5,0x6cc668d8,0xd05600ad}},	//   _yach_, _रूढ़, _айба, vayə, 
   {{0xdb091eaa,0xf98f00eb,0x6da668d9,0x212b0108}},	//   _dueñ, يبي_, _риба, _xach_, 
   {{0xc173042c,0x6dac0095,0x29060065,0x59630093}},	//   יחה_, _uşaq, _vcoa_, ръща, 
   {{0x473305e0,0x5ba715d3,0x95d80165,0x00000000}},	//   аньс, _акум_, ндот_, --, 
   {{0xb908100b,0x0f5700d1,0x6b7b24ea,0x0906415a}},	//   _বা_, דיים_, _קרבנ, _апен, 
   {{0x6d980183,0xd5b80235,0xa91d00da,0x8a790147}},	//   mías, кся_, sožr, _אָנק, 
   {{0x94871088,0x212b68da,0x161e0083,0xf3ff02be}},	//   тынд, _rach_, _बनकर_, rzão_, 
   {{0x27f90228,0x212b68db,0x6b5400b9,0x00000000}},	//   ásne_, _sach_, _tàgu, --, 
   {{0x31c41297,0x9abc00a4,0x2019167c,0xab5d003d}},	//   иств, _baċi, _spsi_, _juża, 
   {{0xc05b005e,0x6566166b,0x2ee368dc,0x24890201}},	//   міз_, chkh, _sejf_, _txam_, 
   {{0x212b68dd,0x321a0175,0x3f1568de,0x6e270175}},	// [5bd0] _vach_, _eppy_, лдас, _ssjb, 
   {{0x442968df,0xdb1a01ee,0x161600b0,0x2ee30034}},	//   _isa_, _ditë, _तहार_, _qejf_, 
   {{0x733a00c7,0x212b68e0,0x80e20086,0x9abc003d}},	//   _װערס, _tach_, _ফার্, _faċi, 
   {{0x6d98068b,0xeea800d3,0x867b00d1,0xff5f020f}},	//   días, ттук_, ורבו, _atît_, 
   {{0xdb0924d8,0xed5904d1,0x20190640,0xf0440a10}},	//   _sueñ, _niže_, _upsi_, _кэро, 
   {{0x6e950176,0x3d0800b0,0x27ff1279,0x00000000}},	//   _бигу, _हाथे_, vuun_, --, 
   {{0x442900cf,0x291f0548,0xdb010ed0,0xc8790474}},	//   _lsa_, teua_, _uhlí, maşi_, 
   {{0x44291ab9,0xdd9508a5,0x18a528e0,0xa925585e}},	//   _osa_, _сабы, лайм, удил, 
   {{0x7d090610,0x76d70176,0xdce22120,0x00000000}},	//   _ices, кунӣ_, lioğ, --, 
   {{0x7c2968e1,0xed590112,0x6d980068,0xdb1a011c}},	//   _iser, _diže_, bías, _nitè, 
   {{0x442968e2,0x394f0219,0xa50a68e3,0x6d980042}},	//   _asa_, _togs_, нена_, cías, 
   {{0x25621e0d,0xd76313b4,0x27ff00c8,0x26ce0118}},	//   _bóla_, انگی, puun_, _effo_, 
   {{0xe72e0d0c,0x7c29007b,0x60cd68e4,0x7d0901f2}},	//   _ле_, _jser, dcam, _mces, 
   {{0x752f006a,0xb6a500cf,0x27ed68e5,0x66e53579}},	//   adcz, _йилл, msen_, _сока, 
   {{0x44294a61,0x27ed0cac,0x67212003,0x6b5d63dc}},	//   _esa_, lsen_, melj, _règl, 
   {{0x66014423,0x68e93226,0x03a618ae,0xc87900d9}},	//   mulk, naed, тиҳо, eaşi_, 
   {{0x27ed68e6,0x43762f2f,0xa0671853,0x7a0a0095}},	// [5be0] nsen_, _бунт, гата_, _hətt, 
   {{0x7d0968e7,0x27ed68e8,0x32460886,0xdd9905d5}},	//   _aces, isen_, _беог, _akň_, 
   {{0x277607f5,0x7c294753,0x670607bd,0x68e90102}},	//   נגען_, _aser, _शासक_, kaed, 
   {{0x27ed3c27,0x614668e9,0x7d090183,0x60cd68ea}},	//   ksen_, _сема, _cces, ccam, 
   {{0x5ee300cc,0x7c290019,0x672168eb,0x27ed68ec}},	//   _পারে, _cser, kelj, jsen_, 
   {{0x672103ef,0x27ed68ed,0x6be300eb,0xed590b43}},	//   jelj, dsen_, حكوم, _riže_, 
   {{0x672168ee,0x7c2968ef,0xa3b508d2,0x27ed2c6f}},	//   delj, _eser, जगत_, esen_, 
   {{0x68e968f0,0x63be68f1,0x6d982cfc,0x63740095}},	//   gaed, _lipn, rías, _dünə, 
   {{0xb6e60fb6,0x6d403531,0x67212cb7,0x7b0900c8}},	//   люнк, _inma, felj, ästö, 
   {{0x25620019,0x656468f2,0x60cd54e5,0x948700f0}},	//   _róla_, _alih, zcam, ғымд, 
   {{0x4906003f,0x442968f3,0x660102c1,0xc7c800e7}},	//   _مواق, _ssa_, gulk, _bốc_, 
   {{0x659568f4,0x27ed5d4c,0xc5f800e0,0x25620068}},	//   раму, bsen_, dzēt_, _póla_, 
   {{0xb9930b7e,0xc99300eb,0x69d8013c,0x27ed68f5}},	//   _النب, _النظ, lpve, csen_, 
   {{0x442968f6,0x660114d9,0x65641abb,0x67210082}},	//   _vsa_, bulk, _elih, celj, 
   {{0x60cd07f3,0xdb1a68f7,0x61ee68f8,0x9f400080}},	//   tcam, _cité, gsbl, isiä_, 
   {{0x442968f9,0x7aea02f2,0x29ca0029,0xc7c8001b}},	//   _tsa_, haft, _mùa_, _gốc_, 
   {{0x442968fa,0x60cd1eb1,0x9f401b27,0x765a00c8}},	// [5bf0] _usa_, rcam, ksiä_, lyty, 
   {{0xa3da1451,0x7d0901d8,0x63be4ad7,0xdb01014b}},	//   डीओ_, _sces, _gipn, _ohlá, 
   {{0x7aea68fb,0x539c00d1,0x7a0a00ad,0x4ea768fc}},	//   daft, _איזו, _xətt, ураа, 
   {{0x7c2901cf,0xc5f30225,0xdb0101fd,0x777a01d6}},	//   _pser, מדע_, _shlà, hitx, 
   {{0x1aee00cc,0x7058011f,0x8c4568fd,0x3b0968fe}},	//   চ্ছে_, _баяр_, реле, вело_, 
   {{0x6d400503,0x921900a5,0x29ca0023,0x27ed0b48}},	//   _enma, _पहाड़_, _bùa_, vsen_, 
   {{0xdb0100eb,0x06e30086,0x27ed2771,0x777a01d6}},	//   _chlá, _মালি, wsen_, ditx, 
   {{0x27ed48f4,0x7d092cd9,0x7c290dd7,0xc9431753}},	//   tsen_, _uces, _tser, сдиқ, 
   {{0x27ed1b2e,0x68e91be9,0xa76521f9,0x57e6013e}},	//   usen_, raed, икид, адым_, 
   {{0x27ed2379,0x660168ff,0xf7710e61,0xb8fc0179}},	//   rsen_, tulk, تاب_, _त्_, 
   {{0x27ed495f,0x67210813,0xcb6820b4,0xc5f801dd}},	//   ssen_, relj, _حمله_, dzēs_, 
   {{0x27ed17f8,0xc98416bb,0x00000000,0x00000000}},	//   psen_, _лучи, --, --, 
   {{0x37e503a1,0x672106f6,0x66016900,0x45270086}},	//   _толг, pelj, sulk, যাংক_, 
   {{0x394d6901,0xb4e50262,0xdb1a2510,0x6266058e}},	//   ljes_, _पड़ी_, _pité, авга, 
   {{0xc7c8001b,0xe29a37e8,0xa3da047c,0x63be6902}},	//   _tốc_, тав_, डीज_, _vipn, 
   {{0x629e026e,0x395f012d,0x394d086a,0x61ee200f}},	//   _vypo, nkus_, njes_, rsbl, 
  
   {{0x629e006a,0x386d49bb,0x3fc80274,0x395f18b9}},	// [5c00] _wypo, nzer_, ادری_, ikus_, 
   {{0x629e5e04,0x386d6903,0x394d024a,0xe0df0118}},	//   _typo, izer_, hjes_, _anòd_, 
   {{0x394d23e4,0x395f007e,0x32466904,0x6d980183}},	//   kjes_, kkus_, _тенг, fíap, 
   {{0xf1bf0124,0x29ca0023,0x2ca002be,0x777a00b4}},	//   _giá_, _rùa_, üido_, zitx, 
   {{0xac076905,0xead40d56,0x394d6906,0x765a00ab}},	//   инца_, боль, djes_, zyty, 
   {{0xdce60761,0x395f01dd,0x386d0caf,0x316000b4}},	//   ımın, ekus_, dzer_, lkiz_, 
   {{0x7aea48e9,0x394d6907,0xca4800d4,0x636b0380}},	//   raft, fjes_, العه_, _fünf, 
   {{0x6d406908,0xed572631,0x394d6909,0x671317dc}},	//   _unma, _кос_, gjes_, त्सक_, 
   {{0xed57690a,0x201200c8,0x777a01ca,0x6af6039f}},	//   _тот_, ntyi_, titx, _نثار, 
   {{0x394d04b3,0xab5c00e0,0x27f90228,0x765a1279}},	//   ajes_, _biļe, ásna_, tyty, 
   {{0x56943fea,0xed5900ca,0x777a690b,0x31602edb}},	//   сант, _hiža_, ritx, kkiz_, 
   {{0x69c8690c,0x6b98690d,0xd943286c,0x2bdd1446}},	//   _iude, lovg, _мехи, नीका, 
   {{0xb7d417ba,0x69c8690e,0x9f470187,0x636b45b0}},	//   _اقتب, _hude, čnú_, _jüng, 
   {{0x69c8690f,0x93883fe6,0x2365010e,0x00000000}},	//   _kude, асса_, ólj_, --, 
   {{0x69c80012,0x7ae86910,0x2b0946cc,0x75d3020f}},	//   _jude, _medt, _सासु_, _răzg, 
   {{0x69c86911,0xeeeb00e7,0x7ae86912,0x224d00ca}},	//   _mude, _đựng_, _ledt, ćek_, 
   {{0x657d6913,0xb4e30366,0x69c86914,0xed59034c}},	// [5c10] mish, धरी_, _lude, _niža_, 
   {{0x69c8051e,0x657d6915,0x7ae80075,0x394d024a}},	//   _oude, lish, _nedt, zjes_, 
   {{0xa1956916,0x645d00a7,0x69c86917,0x75d300b3}},	//   _ганч, lysi, _nude, _găzd, 
   {{0x657d6918,0x00000000,0x00000000,0x00000000}},	//   nish, --, --, --, 
   {{0x3d080262,0xa6be0086,0x408403dc,0xac276919}},	//   _हारे_, োরিয়, _дурб, рфек, 
   {{0x657d691a,0x3a2c0226,0x7dd300a4,0xda18362d}},	//   hish, _bsdp_, _aħse, _दहशत_, 
   {{0x657d691b,0x394d691c,0x9f490038,0x0a6b0093}},	//   kish, tjes_, nsaí_, ърди_, 
   {{0x386d691d,0x248d00ab,0x2919008c,0x657d691b}},	//   tzer_, żemy_, ýsa_, jish, 
   {{0x25620f46,0x657d691e,0x394d00e5,0x7ae8055f}},	//   _sólo_, dish, rjes_, _fedt, 
   {{0x394d691f,0x395f6920,0x69c802a0,0x386d01c4}},	//   sjes_, skus_, _fude, rzer_, 
   {{0x386d006b,0x657d6921,0x394d6922,0x7bc10102}},	//   szer_, fish, pjes_, _iilu, 
   {{0x657d6923,0x7a7a0137,0x645d6924,0x20120088}},	//   gish, _גרעס, fysi, ytyi_, 
   {{0x7d1b6925,0x7bc16926,0x69c801c4,0xdb01023a}},	//   _mbus, _kilu, _zude, _filô, 
   {{0x69c85c71,0x04fa0033,0x6aa15a5a,0x80d503a2}},	//   _yude, েজের_, _kylf, युसे, 
   {{0x657d6927,0x7d1b0298,0x69c803da,0xcb0502e6}},	//   bish, _obus, _xude, _राईड_, 
   {{0x657d0199,0x7bc16928,0x626600a3,0x7c3b6929}},	//   cish, _lilu, авҳа, _orur, 
   {{0xef1a692a,0x80aa692b,0x9f400038,0x636b692c}},	// [5c20] лма_, ував_, msiú_, _bünd, 
   {{0x27ff02cd,0x7bc12d2d,0xed590f4c,0x9f400038}},	//   irun_, _nilu, _riža_, lsiú_, 
   {{0xb3bb00a7,0x7dd3008a,0x201200c8,0x7c3b37a4}},	//   _תמיכ, _aħsb, styi_, _arur, 
   {{0x69c8692d,0xdb1b008c,0x7bc10175,0x7bc9002c}},	//   _rude, _stuð, _ailu, _bueu, 
   {{0x69c82fc2,0x9f400038,0x7bc90096,0x4420095a}},	//   _sude, isiú_, _cueu, _jpi_, 
   {{0x636b03b0,0x657d3678,0xc7c800e7,0x27ff692e}},	//   _günd, zish, _bốn_, drun_, 
   {{0x657d692f,0x44201b6b,0x7ae800dd,0xdb080183}},	//   yish, _lpi_, _vedt, _sidó, 
   {{0x636b0380,0xafdb0bf7,0x44206930,0x7bc16931}},	//   _zünd, _drøf, _opi_, _eilu, 
   {{0x657d6932,0x96ea4864,0xdce922ad,0x7bc90107}},	//   vish, льна_, _smeć, _gueu, 
   {{0x7bc16933,0x657d37b5,0x69c86934,0xf72a00bf}},	//   _gilu, wish, _tude, уций_, 
   {{0x657d6935,0x69c8030f,0xa3be0964,0x645d6936}},	//   tish, _uude, ेदन_, wysi, 
   {{0xd567601b,0x6b5d03a1,0x7bc16937,0x645d6938}},	//   стоп, _règi, _zilu, tysi, 
   {{0x657d6939,0x97430571,0x636b0502,0xdb1a5eb1}},	//   rish, _šćep, _lüne, _lití, 
   {{0x657d1850,0x645d693a,0x8387004e,0x442043af}},	//   sish, rysi, сыме, _dpi_, 
   {{0x4420158b,0x657d693b,0xa77b00a7,0xdce96797}},	//   _epi_, pish, _תרופ, _umeć, 
   {{0x657d693c,0x442038c6,0x636b007e,0x9f4900eb}},	//   qish, _fpi_, _sünd, rsaí_, 
   {{0x4420011c,0x9f551acc,0x200067f0,0x2d8702d9}},	// [5c30] _gpi_, овач, grii_, énem_, 
   {{0x80d929b0,0x27e602a5,0x78a2018e,0x00000000}},	//   _फ्रे, _mwon_, _myov, --, 
   {{0x7bc10e69,0xab5d00a4,0x2000020f,0x59c400bd}},	//   _rilu, _fużj, arii_, _लंगर, 
   {{0x9c39297e,0x6f1c0082,0x02b502e6,0xa69b0070}},	//   ипет_, _ebrc, ंधीन, נשאפ, 
   {{0x7bc90056,0x6aa10156,0x4420012b,0xfbd30444}},	//   _queu, _sylf, _xpi_, ستش_, 
   {{0xc1ed00b0,0x7d1b02a2,0x7bc102f1,0x7645003e}},	//   _जबाब_, _wbus, _qilu, _áhyg, 
   {{0x81cb00cc,0x27e6693d,0x636b03c0,0x78a20508}},	//   রীর_, _awon_, _güne, _ayov, 
   {{0x7d1b099d,0xc7c8001b,0x27ff693e,0x7bc113b6}},	//   _ubus, _vốn_, trun_, _wilu, 
   {{0x7c3b693f,0x7d040038,0x7bc16940,0x69c201f1}},	//   _urur, óise, _tilu, _dioe, 
   {{0x70c61451,0x75d300d9,0x27ff6941,0xc7c800e7}},	//   _वल्ल, _răzb, rrun_, _tốn_, 
   {{0xda02000f,0xc7c80023,0x27e601e5,0xcb440258}},	//   रूआत_, _uốn_, _ewon_, _эхти, 
   {{0x80d9047c,0x261a00b0,0x69c202a3,0x44390036}},	//   _फ्ले, _बहरी_, _gioe, fvs_, 
   {{0x3333003d,0x00000000,0x00000000,0x00000000}},	//   _baxx_, --, --, --, 
   {{0x43756942,0x79896943,0x69c201ca,0x00000000}},	//   пуст, lnew, _zioe, --, 
   {{0x03a36944,0x6b840038,0x798930a0,0x00000000}},	//   фиро, éigi, onew, --, 
   {{0x44203ffc,0xe0da1fc7,0x3dd8016a,0x200051e9}},	//   _tpi_, рва_, _rtrw_, trii_, 
   {{0x88bd00ab,0x44206945,0xd00a0284,0x27e90216}},	// [5c40] ześn, _upi_, резе_, _çand_, 
   {{0x7c240092,0x799b012e,0x798900a1,0x2d8d23f5}},	//   çirm, houw, hnew, _ajee_, 
   {{0x644100e0,0x7989470f,0x4e2a5e5f,0x291d0547}},	//   ālie, knew, роен_, _obwa_, 
   {{0xcbd500cc,0x68eb02f5,0xa084005e,0xdb1a0068}},	//   _হয়েছ, _negd, _еңбе, _vití, 
   {{0xead46946,0x79894e50,0x6e290ab4,0x4e080035}},	//   поль, dnew, _ćebe, ांहै_, 
   {{0x636b023d,0x7989000b,0x291d02a5,0x00000000}},	//   _tüne, enew, _abwa_, --, 
   {{0xbea36947,0xf96a6948,0x798900f8,0x291d052b}},	//   _жарк, ирий_, fnew, _bbwa_, 
   {{0x1d071a41,0xa37b02aa,0xdb1a0054,0xfafa015f}},	//   _меси_, mpõe, _qitâ, _چراغ_, 
   {{0x6da36949,0x68eb694a,0x274a108e,0x478a694b}},	//   _цита, _degd, ачно_, исом_, 
   {{0x2562010d,0x636b5df9,0x63620054,0x78a20548}},	//   _fólk_, _münc, _dônk, _vyov, 
   {{0x799b0265,0xdb1a02aa,0x333301f2,0x00000000}},	//   bouw, _titâ, _raxx_, --, 
   {{0x69da694c,0xdb1a0054,0xe45f00c8,0xda590470}},	//   _itte, _hità, työ_, _уруш_, 
   {{0xd5b8154d,0xd6d9022c,0xccf300d1,0x94ab013b}},	//   юсь_, штө_, וכר_, ртна_, 
   {{0x79802192,0x39460126,0x4439694d,0x68eb039b}},	//   limw, _hnos_, rvs_, _zegd, 
   {{0x2d870019,0xdb1a023a,0x00000000,0x00000000}},	//   ének_, _mità, --, --, 
   {{0x9269005e,0x34951cef,0x66080065,0xd5cf00c2}},	//   арға_, _найр, mudk, _संतज, 
   {{0xb4d7007e,0x656f00eb,0x6608694e,0x3a3e0118}},	// [5c50] िडी_, mhch, ludk, _lrtp_, 
   {{0x672802a8,0x69da0995,0x8ca40035,0xdb1a0054}},	//   nedj, _otte, _औरजो, _nità, 
   {{0x79800723,0xe7fe02e6,0x660800c2,0x5f74007a}},	//   kimw, ोंडा_, nudk, ذاكر, 
   {{0x8d740ea3,0xf6530486,0x656f0108,0xa1950176}},	//   وانا, וצע_, nhch, _хамч, 
   {{0x69da694f,0x636b01f0,0xa91d032f,0xac096950}},	//   _atte, _günc, niže, ёнка_, 
   {{0x39461454,0x672804a1,0xab291853,0x3c1e00e0}},	//   _anos_, jedj, сока_, dāvā_, 
   {{0x66081237,0x1df8058b,0x79896951,0x2d8d084c}},	//   judk, _меры_, tnew, _tjee_, 
   {{0xfd750ecf,0xab5d003d,0x2d9f018e,0x3f816952}},	//   _элбэ, _mużi, _ukue_, lihu_, 
   {{0x02a810a6,0x69da62bc,0xa91d28fd,0x656f1232}},	//   _गर्न, _ette, jiže, dhch, 
   {{0x3ced01c1,0x79896953,0x7bdb016a,0x2d9d6954}},	//   _heev_, snew, _ituu, lowe_, 
   {{0x637033d6,0xe5a66955,0x35a66956,0x79802a0a}},	//   _häng, зини, занг, bimw, 
   {{0x2d9d00ab,0x3f816957,0x21290065,0x63702ca6}},	//   nowe_, hihu_, jeah_, _käng, 
   {{0x67286958,0xed596959,0x33d52e02,0xe7391ee4}},	//   bedj, _mož_, діст, _гел_, 
   {{0x6370695a,0x69da03a8,0x3ced006d,0xa2e602e6}},	//   _mäng, _ytte, _leev_, करेज_, 
   {{0x6370695b,0x2d9d00ab,0xd2aa389c,0x5ed10086}},	//   _läng, kowe_, скве_, িরাই, 
   {{0x9f471e6f,0x290d695c,0x3ced006d,0x656f695d}},	//   čný_, ngea_, _neev_, chch, 
   {{0x2d9d00ab,0x20092b86,0x6023695e,0x7bdb01a3}},	// [5c60] dowe_, guai_, ндта, _ntuu, 
   {{0x161f695f,0x4432023a,0x79806960,0x3f810027}},	//   _बहार_, _isy_, zimw, gihu_, 
   {{0x7bdb0547,0x1d260a65,0x75366961,0x79803a80}},	//   _atuu, змем, _kayz, yimw, 
   {{0x3ced006f,0xed59031e,0x1d0a0024,0x200900e2}},	//   _ceev_, _což_, седи_, buai_, 
   {{0x3ced023b,0x75360065,0x850a009a,0x9b581dbc}},	//   _deev_, _mayz, _वाईट_, жилт_, 
   {{0xdb1a0496,0x88bd00ab,0x443257a2,0x6c83144f}},	//   _bitá, reśl, _msy_, علوم, 
   {{0xfce6618f,0x2d9d6962,0xed5900ef,0x321800a7}},	//   _ново, bowe_, _fož_, ntry_, 
   {{0x63701772,0x636b06d0,0x660831b7,0x2d9d0083}},	//   _händ, _müna, vudk, cowe_, 
   {{0x63700003,0x672802c7,0x3946008b,0x798002b8}},	//   _känd, tedj, _vnos_, rimw, 
   {{0x29d104f4,0x45d46963,0xf53f01e8,0x79806964}},	//   _fáa_, моос, glån_, simw, 
   {{0xaadb0056,0x672803f5,0x44320da2,0x656f1232}},	//   _החבר, redj, _asy_, thch, 
   {{0x39466965,0x63701772,0x2c20006a,0xa91d0112}},	//   _unos_, _länd, _यहां_, tiže, 
   {{0x637002ae,0x9f520369,0x66080098,0x443f03da}},	//   _oänd, nuyó_, sudk, íu_, 
   {{0x656f02f1,0xa91d0352,0x2d9d0035,0x4acc4437}},	//   shch, riže, zowe_, ाशिव, 
   {{0x43946966,0x44320379,0x32180102,0x61e90097}},	//   харс, _esy_, gtry_, ćelo, 
   {{0x20093269,0xdb0101f5,0x636b00c2,0x00000000}},	//   tuai_, _dhlù, _düna, --, 
   {{0x656d6967,0x30154abc,0x3f816968,0x63706969}},	// [5c70] _ilah, ьдар, tihu_, _bänd, 
   {{0x656d0194,0x3ced006f,0x29030009,0x2d9d696a}},	//   _hlah, _seev_, ėjai_, wowe_, 
   {{0x7bdb3bed,0x200911f7,0x6370696b,0x636b0092}},	//   _stuu, suai_, _säng, _güna, 
   {{0x506700a3,0x26040299,0x6b5d10cc,0x00000000}},	//   _етга, _विनी_, _nègr, --, 
   {{0x2d9d00ab,0xa15602a1,0xac0900dd,0x3f8108e3}},	//   rowe_, _חברה_, інка_, pihu_, 
   {{0x7c9400c5,0x656d696c,0x2d9d00ab,0x8c42696d}},	//   رشنا, _llah, sowe_, теше, 
   {{0x656d2157,0x3ced01c1,0x7ac401a2,0x2d9d0035}},	//   _olah, _teev_, нишҷ, powe_, 
   {{0x9f520369,0xdb1a4894,0x7bdb0539,0x3eae0502}},	//   buyó_, _vitá, _ttuu, üfte_, 
   {{0x6370030f,0x6d49696e,0x290d0474,0xdd942bac}},	//   _häne, _inea, rgea_, _чаты, 
   {{0x656d618b,0x636202aa,0x6d4901be,0xdb580afc}},	//   _alah, _tôni, _hnea, _нюх_, 
   {{0x656d2b70,0x6d5b696f,0x637000c2,0x7bc6011c}},	//   _blah, _koua, _jäne, _èkua, 
   {{0x44326970,0x6d5b0107,0xf53f0343,0x00000000}},	//   _psy_, _joua, slån_, --, 
   {{0x2eaa0f8c,0x6370014e,0x6b836971,0x6d5b6972}},	//   _कर्त, _läne, oing, _moua, 
   {{0x7c240264,0x36690849,0x656d6973,0x6d5b2f96}},	//   çiri, _мало_, _elah, _loua, 
   {{0xc7b200a7,0x6d4901ca,0x63706974,0xf09f00b9}},	//   _שבו_, _onea, _ränd, _ocàs_, 
   {{0x44326975,0x6b836976,0x6370014e,0x320a0098}},	//   _tsy_, hing, _sänd, ruby_, 
   {{0xb4ea0bf5,0x32186977,0x6e290082,0x00000000}},	// [5c80] यरी_, stry_, _ćeba, --, 
   {{0xdee30013,0x6b836978,0x656d0121,0xaf034b33}},	//   вофи, jing, _zlah, кпул, 
   {{0x6b83172b,0x63706979,0x6d5b697a,0x9f490502}},	//   ding, _vänd, _boua, spaß_, 
   {{0x9f5200e9,0x973c0588,0x5d65004e,0xbc6a0195}},	//   tuyó_, moće, нтіз, يمان_, 
   {{0x6b83697b,0x6370014e,0x69d703da,0x6faf07d5}},	//   fing, _tänd, íxen, _जीवं, 
   {{0x6b83697c,0x7c2d274d,0xf7671117,0x6d4901d6}},	//   ging, çara, _شا_, _enea, 
   {{0x7f5c11c9,0xfb19010e,0x3a2509c6,0x00000000}},	//   _iorq, سروں_, _cplp_, --, 
   {{0x7f5c04b3,0xa3b500a5,0xc7c800e7,0xfbcb0df2}},	//   _horq, _छीन_, _hối_, ादशम, 
   {{0x26ca0112,0xc2f40086,0x8706591f,0x3ce60121}},	//   žbom_, _জানি_, мяне, mbov_, 
   {{0x6b83697d,0xf41400cc,0x7f5c697e,0xe0df0118}},	//   cing, িবার_, _jorq, _anòl_, 
   {{0xc9560088,0xc7c8001b,0x656d1e60,0xaa8a0e0e}},	//   _отды, _mối_, _plah, _بنام_, 
   {{0x7bc811a4,0xc7c800e7,0x1bf5007e,0x00000000}},	//   _hidu, _lối_, ुंचल_, --, 
   {{0x7bc8697f,0xe73a0d11,0x9f4000d3,0xe7ed034d}},	//   _kidu, _мед_, nsió_, चीदा_, 
   {{0xb4af6980,0x569454e4,0xa91d00ca,0x7bc8025b}},	//   _करी_, _палт, miža, _jidu, 
   {{0xc7c8001b,0x3d0f0262,0x7bc86981,0x656d6982}},	//   _nối_, _डाले_, _midu, _tlah, 
   {{0x6b832a3b,0x656d02dc,0x7bc86983,0xdb0105d5}},	//   zing, _ulah, _lidu, _eklè, 
   {{0x46d2000f,0xfe70009c,0x6d5b0106,0x6aab1202}},	// [5c90] _सलाह, یدم_, _roua, _छर्र, 
   {{0x6d491f38,0x673a014e,0xc7c800e7,0x63620165}},	//   _snea, ndtj, _bối_, _bônu, 
   {{0xdb1a030f,0x6b836984,0x673802f1,0x6d5b1ca8}},	//   _mitä, ving, _mavj, _poua, 
   {{0x6b836985,0x63700219,0xc7c80023,0x0edf017d}},	//   wing, _väne, _dối_, _प्रड, 
   {{0xa91d090b,0x7bc86986,0x7f5c16b9,0xdce9027e}},	//   jiža, _bidu, _forq, _emeğ, 
   {{0x6738035f,0x7bc86987,0xe1f00535,0xc5f80243}},	//   _navj, _cidu, _حسی_, ksē_, 
   {{0x7bc8019a,0x21392dfc,0xc7c800e7,0x4ea46988}},	//   _didu, _kash_, _gối_, _арта, 
   {{0x6b836989,0x26180518,0xb4af00a2,0x7bc8698a}},	//   sing, déo_, _करू_, _eidu, 
   {{0x7bc8698b,0x6b833245,0xed590112,0x7f5c00a3}},	//   _fidu, ping, _niži_, _yorq, 
   {{0x81e500cc,0x636b698c,0x7bc80495,0xdce90412}},	//   _নিন_, _sünn, _gidu, _mleč, 
   {{0xa29f0cb8,0xe6161099,0xc7c80210,0x2d8f018e}},	//   _खुल्, ндэ_, _xối_, onge_, 
   {{0x224600ca,0xa91d0372,0x7bc8698d,0xb4ea072d}},	//   _čok_, biža, _zidu, यरे_, 
   {{0x2d8f3772,0x291f018e,0x00000000,0x00000000}},	//   inge_, mfua_, --, --, 
   {{0x29030009,0x316901d6,0x67380508,0x00000000}},	//   ėjau_, ekaz_, _gavj, --, 
   {{0xdce9015e,0x41b6698e,0x7f5c00b9,0x26180175}},	//   _aleč, есат, _rorq, céo_, 
   {{0x6738027c,0xdce905ae,0xc7c800e7,0x9f400369}},	//   _zavj, _omeđ, _rối_, mpié_, 
   {{0x7f5c0e2e,0x7524698f,0x636b0c45,0x600a397b}},	// [5ca0] _porq, _ibiz, _güno, янам_, 
   {{0xe3b2031b,0x316901cf,0x69dc02be,0x7f5c25e7}},	//   _حرب_, akaz_, _éreg, _qorq, 
   {{0xe8ac4682,0x7bc86990,0x69d70183,0x00000000}},	//   _चर्च, _ridu, íxel, --, 
   {{0x64441eab,0x7bc86991,0xafe60165,0x6b8100f3}},	//   _krii, _sidu, _помл, _amlg, 
   {{0xdce90082,0x7bc800b0,0x75246992,0x8c4311e6}},	//   _gleč, _pidu, _mbiz, леце, 
   {{0x9f4000d3,0xc7c80029,0xa91d00ca,0x636202be}},	//   rsió_, _tối_, viža, _tônu, 
   {{0x9f400161,0x7bc85e03,0xf9c66993,0x996605b2}},	//   ssió_, _vidu, нщин, етпл, 
   {{0x673802a8,0x7bc86994,0xdca6306d,0x63620054}},	//   _savj, _widu, _заби, _kôns, 
   {{0xdb1a0df8,0x7bc82e7b,0xb4af0c06,0x764300f8}},	//   _pitä, _tidu, _करे_, _arny, 
   {{0x2618026a,0x75246995,0xed590372,0x7bdf001d}},	//   téo_, _abiz, _riži_, íque, 
   {{0x64446996,0x752402a5,0x673a02ae,0xa91d0028}},	//   _arii, _bbiz, rdtj, siža, 
   {{0xa91d0112,0xe4a71d52,0x63a50054,0xe0df0118}},	//   ližn, ерго, _skhn, _pnòm_, 
   {{0xb4fb00b0,0x31691530,0xe7860bad,0x21390961}},	//   ्लौप_, vkaz_, _пуко, _rash_, 
   {{0x636b0749,0xafdb4fc2,0x75240547,0x65b602d9}},	//   _günl, _brøn, _ebiz, váhe, 
   {{0xb5a702fb,0xdcfb02ee,0xf2042b68,0xa5d700eb}},	//   _прий, _smuč, лято, _كبير_, 
   {{0x64440c43,0x2b4c0026,0x31690032,0xa1586997}},	//   _frii, _lndc_, ukaz_, насу_, 
   {{0x209813f2,0x316900a3,0xc05b004f,0xe4a71761}},	// [5cb0] екты_, rkaz_, чів_, _ярко, 
   {{0xa91d6998,0xdce93cd0,0x752f0035,0x213900df}},	//   jižn, _vleč, lecz, _wash_, 
   {{0xafdb09a8,0xdce90704,0x21392e1e,0xa91d0352}},	//   _grøn, _smeđ, _tash_, dižn, 
   {{0x753d006b,0x80a20351,0x2d8f58be,0x752f0035}},	//   ndsz, _कुवे, unge_, necz, 
   {{0x44296999,0xb4af35c8,0xaacc0b79,0x5bcb699a}},	//   _jpa_, _करो_, ाशंक, ादेव, 
   {{0x996c00bc,0x395d26e0,0xb4af0366,0x6a8502f1}},	//   měř_, _sows_, _करै_, клла, 
   {{0x2d870033,0xfe3603dc,0x69950093,0x533800d1}},	//   énes_, _имрӯ, крих, גנון_, 
   {{0x752f0083,0x39451712,0x00000000,0x00000000}},	//   jecz, тниг, --, --, 
   {{0x4429699b,0x2009699c,0x00000000,0x00000000}},	//   _npa_, nrai_, --, --, 
   {{0x7c29699d,0x752402a3,0xe64500fd,0xab623063}},	//   _iper, _sbiz, веоп, şürm, 
   {{0x4429023f,0xa50a0ba4,0xa924004e,0x98af020f}},	//   _apa_, мена_, _әділ, _bagă_, 
   {{0x200900e4,0x4429699e,0x6444699f,0x9a84022c}},	//   krai_, _bpa_, _prii, _суул, 
   {{0x68e93592,0xe72e69a0,0x380303dc,0xe0df05d5}},	//   mbed, _ке_, _солҳ, _enòk_, 
   {{0x764308a1,0x442969a1,0x7c2969a2,0x27f9020b}},	//   _trny, _dpa_, _mper, ásnu_, 
   {{0xd299005e,0x69cb1fe7,0xcb12035c,0x200969a3}},	//   етті_, _kige, ילם_, erai_, 
   {{0x973c00d2,0x644400b0,0x75240610,0x00000000}},	//   moća, _trii, _ubiz, --, 
   {{0x2fca0640,0x69cb69a4,0x41d20ee0,0x64a60267}},	// [5cc0] _pibg_, _mige, _दूरस, _јапа, 
   {{0x69cb69a5,0xafdb004f,0xdee60080,0x00000000}},	//   _lige, _trøn, тожи, --, 
   {{0x7c2925ed,0x81dc00cc,0x20095cb2,0x60cf0183}},	//   _aper, _ঠিক_, arai_, _fgcm, 
   {{0x69cb69a6,0x7c860b97,0xafdb00fb,0xc7c80023}},	//   _nige, куле, _krøl, _hốt_, 
   {{0xed59090e,0x68e969a7,0x0ffa2493,0x00000000}},	//   _nižu_, dbed, _تعجب_, --, 
   {{0xdee303dc,0x752f00ab,0x973c02fe,0x2d873ad3}},	//   _вори, zecz, koća, éner_, 
   {{0x69cb69a8,0xdefa004e,0xa91d203b,0xc7c80023}},	//   _bige, _ның_, rižn, _mốt_, 
   {{0xcdc5032e,0x69cb0175,0xd90e015f,0x68e91a77}},	//   _басқ, _cige, زیت_, gbed, 
   {{0x69cb69a9,0x61e91993,0xa5c7003e,0x36d42dd2}},	//   _dige, ćeli, _ljóð, лопр, 
   {{0x69cb69aa,0x442969ab,0xed590613,0x61fe0228}},	//   _eige, _rpa_, _dižu_, _ovpl, 
   {{0x752f00ab,0x69cb69ac,0x7af8504b,0x442969ad}},	//   tecz, _fige, mavt, _spa_, 
   {{0x798200ab,0x69cb69ae,0x291200fc,0xeeeb0023}},	//   _umow, _gige, _øya_, _đọng_, 
   {{0x94a8269c,0x61e200d2,0xc45800c8,0x752f162a}},	//   втра_, _čola, виях_, recz, 
   {{0xd90e082c,0xa5c7008c,0x69cb69af,0x200969b0}},	//   _ایک_, _bjóð, _zige, vrai_, 
   {{0x2d8469b1,0x69cb02b8,0xc7c80108,0xdb030218}},	//   _omme_, _yige, _dốt_, fonê, 
   {{0x200969b2,0x0eeb0154,0xbeeb2659,0xdb03009e}},	//   trai_, टर्स_, टर्न_, gonê, 
   {{0x7ff419c7,0x25a90da2,0x9099383a,0xd49800b3}},	// [5cd0] لسلا, _ikal_, хват_, _арэ_, 
   {{0x68e902a6,0x63700077,0x65b6026e,0x200969b3}},	//   zbed, _täna, máha, rrai_, 
   {{0x63700a6f,0xf41f0df8,0x0ccb072f,0x4fc469b4}},	//   _känn, ltä_, िश्म, рста, 
   {{0x5bcb17f6,0x637000c8,0x20090036,0x9cb5007a}},	//   ाद्व, _jänn, prai_, همات, 
   {{0x63700770,0x69cb69b5,0xf41f030f,0x8d770444}},	//   _männ, _rige, ntä_, _یارا, 
   {{0x69cb1341,0xf41f0088,0x2d8469b6,0xed59035f}},	//   _sige, itä_, _emme_, _rižu_, 
   {{0x69cb69b7,0xdb0101be,0x68e969b8,0x07a500f0}},	//   _pige, _bhlò, tbed, ғанн, 
   {{0xe9a900d4,0xdb0101fd,0x644101dd,0xd2b800d1}},	//   رگان_, _chlò, ālij, כלות_, 
   {{0x68e969b9,0x69cb69ba,0xccf200d1,0x4a55004e}},	//   rbed, _vige, _לכן_, _әкес, 
   {{0x25a9170d,0xc2e900cc,0x68e94876,0x85e933a9}},	//   _akal_, কৃতি_, sbed, ндов_, 
   {{0x25a9085b,0x39150fd0,0x8f9c00a7,0xcb6800d4}},	//   _bkal_, _مواز, ויזי, _جمله_, 
   {{0xc7c800e7,0xc9843c68,0xceb224ea,0x973c0a1a}},	//   _sốt_, _кучи, מיי_, roća, 
   {{0x973c02f5,0xe29702f1,0xa5c7003e,0x636b04d6}},	//   moćn, ҳар_, _sjóð, _günk, 
   {{0xdb1a0d5f,0xe7363196,0x3dcd00e2,0x69dc69bb}},	//   _sitú, _беш_, _liew_, _érec, 
   {{0xe2970a43,0x412a1c52,0xafdb155b,0x637000b0}},	//   гар_, ново_, _drøm, _fänn, 
   {{0x973c0112,0x798900ab,0x00e4009c,0x00000000}},	//   noćn, niew, شتری, --, 
   {{0xc7c800f7,0xd00769bc,0x6da602f1,0x2cad0175}},	// [5ce0] _tốt_, лете_, қида, _nyed_, 
   {{0x2d840415,0xe0df0300,0x61fe0379,0xdb0301d5}},	//   _smme_, _efò_, _tvpl, llnæ, 
   {{0x9d460141,0xdb1a0183,0xdb030165,0x69c069bd}},	//   лежд, _titú, ponê, ymme, 
   {{0x29d8005f,0xdb0369be,0x0cd20033,0x7989040b}},	//   _réa_, lonè, ার্ত, jiew, 
   {{0x2d9e69bf,0x6acc69c0,0x7af869c1,0x1af408ab}},	//   _ítem_, ाश्र, tavt, апля, 
   {{0x394f69c2,0x20120204,0xdb0100a1,0x00000000}},	//   _angs_, muyi_, _shlò, --, 
   {{0xbf103512,0x7af869c3,0x2012044d,0x39a600fd}},	//   ालीन_, ravt, luyi_, лшив, 
   {{0xdd920456,0xf41f030f,0x6e9317ba,0x29020218}},	//   _اور_, ytä_, _الفا, ûka_, 
   {{0xd6d00084,0x8c430978,0xd37f0112,0xa77434bb}},	//   يقة_, _лете, šćih_, илич, 
   {{0x25a91341,0x65b6342f,0x103700a7,0x29d8005f}},	//   _skal_, váha, נטים_, _téa_, 
   {{0xb8060a34,0xda6508b6,0xdb0369c4,0x0f5700df}},	//   _शिवम_, _پالي, zonë, איים_, 
   {{0x1a9b07f5,0xf41f030f,0x20124e57,0x00000000}},	//   _איבע, ttä_, kuyi_, --, 
   {{0x6370022b,0x69da007e,0x948700f0,0xf76f009c}},	//   _vänn, _पंडी, уынд, زای_, 
   {{0xdb03022c,0xa6660e61,0x25bb36d2,0xd6cf69c5}},	//   gonè, _مطبو, _whql_, _فقه_, 
   {{0xf41f440b,0x637000c8,0xa3b6109f,0xe7fe0299}},	//   stä_, _tänn, _जठर_, ोंका_, 
   {{0x810f0ee0,0x3f98007b,0x210f0035,0x65b6003e}},	//   िलेख_, _ajru_, िलेश_, páha, 
   {{0x2ef569c6,0xdb0111bb,0xdb0300b9,0x26ca020b}},	// [5cf0] изар, _sklí, bonè, ľbou_, 
   {{0x26de4991,0x3dcd69c7,0x26ca014b,0xdb03022c}},	//   ncto_, _siew_, žbou_, conè, 
   {{0x2cad0348,0xecf911d2,0x63a70034,0xa7fd010e}},	//   _syed_, вееш_, mojn, gyűj, 
   {{0x63a700e5,0x973c090e,0x656f0b41,0xdb030574}},	//   lojn, koćo, nkch, moné, 
   {{0x3dcd69c8,0x798934ed,0xdb03001d,0xdca508bd}},	//   _view_, view, loné, јали, 
   {{0xfbd000d4,0x63a700e5,0xab290c19,0xbb451bb9}},	//   سته_, nojn, тока_, рекк, 
   {{0x7989018c,0xdd9b012d,0xc334029e,0xdb0100d8}},	//   tiew, _зша_, מוס_, _uklí, 
   {{0xdd951b17,0x7c3e00ab,0x63a70034,0xf1b50299}},	//   _табы, łpra, hojn, ंतिन, 
   {{0x63a769c9,0x23a569ca,0x79896450,0x00000000}},	//   kojn, ओवाद, riew, --, 
   {{0x798969cb,0x63a7024a,0x7c3b69cc,0x38620219}},	//   siew, jojn, _isur, äkra_, 
   {{0x63a7024a,0x61e20082,0x61e50226,0xdb032c26}},	//   dojn, _čolo, _nthl, joné, 
   {{0xdb0369cd,0xe5a60b8a,0xdb080237,0xe4c65f40}},	//   doné, рими, _akdè, ийни, 
   {{0x7d040038,0x7d1b0126,0x61e569ce,0x68fb69cf}},	//   óisi, _mcus, _athl, maud, 
   {{0x63a769d0,0x66e529c3,0xafdb02c9,0x27ff69d1}},	//   gojn, _тока, _trøj, msun_, 
   {{0xdb1a01ee,0x0cb205f6,0xdb0369d2,0x27ff69d3}},	//   _shtë, _जर्म, goné, lsun_, 
   {{0x00e66421,0x68fb012d,0x7a400019,0xdb0369d4}},	//   ржан, naud, látá, sonè, 
   {{0xe04369d5,0x63a70688,0x9f865f0f,0x27ff69d6}},	// [5d00] онти, bojn, агад, nsun_, 
   {{0xc3fb042c,0x93fb008d,0xfe720038,0x6564039b}},	//   _שליש, _שליי, يدا_, _hoih, 
   {{0x1fb5058b,0x7c3b69d7,0x68fb2ca3,0x3eae37c2}},	//   сстр, _asur, kaud, æft_, 
   {{0xe29b0056,0x6146147a,0x776309a1,0x27ff69d8}},	//   _ישיר, _тема, _lonx, ksun_, 
   {{0x68fb69d9,0xfbc60258,0x20da0121,0xfbe60033}},	//   daud, абдо, ršič_, _নিহত, 
   {{0xc5eb0086,0x7d1b69da,0x44220175,0x00000000}},	//   _কিনা_, _ecus, itk_, --, 
   {{0x65bd0d12,0x3f8f0212,0x6b8a69db,0x68fb0151}},	//   léhe, ègue_, rifg, faud, 
   {{0x63a7024a,0x7d1b0038,0xada3012d,0x68fb69dc}},	//   zojn, _gcus, _дасл, gaud, 
   {{0x497300dd,0xa3b600a2,0x442001a0,0x27ff69dd}},	//   ільс, जता_, _nqi_, gsun_, 
   {{0xe5680138,0x6d4069de,0x776309a1,0x25090a24}},	//   _אַ_, _hama, _conx, گردی_, 
   {{0x6d4069df,0x2d9e026d,0x6370014e,0x9f5d69e0}},	//   _kama, _êtes_, _vänl, éwé_, 
   {{0x6d4069e1,0x356b02f1,0x68fb060f,0x65b600bc}},	//   _jama, трон_, caud, sáhn, 
   {{0x6d4069e2,0x63a700e5,0x61e50219,0x68e202f1}},	//   _mama, tojn, _sthl, _ifod, 
   {{0x6d4069e3,0x7c2269e4,0x7c2d69e5,0xd6d00629}},	//   _lama, itor, çari, _عقب_, 
   {{0x63a769e6,0x439469e7,0x7c2269e8,0x60cc0095}},	//   rojn, царс, htor, ənmə, 
   {{0x6d402e4c,0x63a769e9,0x75d300b3,0x44f500ff}},	//   _nama, sojn, _căzu, _упис, 
   {{0xdefb030f,0x63a70a9d,0x7c2200e5,0xdfd10038}},	// [5d10] вые_, pojn, jtor, سيا_, 
   {{0x7d1b0093,0xdb030503,0x77630183,0xd9d70033}},	//   _scus, poné, _xonx, _সবসম, 
   {{0x6d405349,0x2ef80126,0x7c2269ea,0x1fa400f0}},	//   _bama, _derf_, etor, іруг, 
   {{0x290669eb,0xbd1800dd,0xacf94cd0,0xa5d90070}},	//   _ndoa_, иції_, унду_, אַסי, 
   {{0x8c4569ec,0x92d900cc,0x443969ed,0x8d74006b}},	//   селе, ারী_, nws_, غاما, 
   {{0xa03a00c7,0x68e2019b,0x6d4000b4,0x6f0000d8}},	//   _געשפ, _afod, _eama, rábí, 
   {{0x7c2269ee,0x6d4069ef,0xf1bf001b,0x27e602dc}},	//   ator, _fama, _khá_, _aton_, 
   {{0x6d4069f0,0x0c8701bb,0x4a73004e,0x2d8e0883}},	//   _gama, _кызм, йықт, éfet_, 
   {{0x7c22173f,0x68fb69f1,0xb4b63ace,0x973c0082}},	//   ctor, raud, _झरे_, moćj, 
   {{0x6d4069f2,0xfbd0195e,0x27ff69f3,0x68fb69f4}},	//   _zama, _قتل_, rsun_, saud, 
   {{0x9a8769f5,0x27ff69f6,0xb8dd0086,0x68fb69f7}},	//   _туал, ssun_, _আল_, paud, 
   {{0x6d4069f8,0xf1bf00e7,0x2902010e,0xf1be031e}},	//   _xama, _nhá_, ókat_, ्दछन, 
   {{0x5f0a00a2,0x65b6010e,0x644b0126,0xc8da0070}},	//   ाणम्_, sáho, _ágil, _עקסט, 
   {{0x3cfd023b,0x395f69f9,0x437519e4,0x386d4c75}},	//   hawv_, ljus_, оуст, myer_, 
   {{0x91e669fa,0x386d69fb,0xf1bf0534,0x68f90216}},	//   собе, lyer_, _bhá_, _kewd, 
   {{0xf1bf69fc,0x65930843,0x442202a2,0x74fa0028}},	//   _chá_, _нају, ptk_, _сэкс_, 
   {{0xf1bf0084,0x386d69fd,0x75d300d9,0x7c222f6b}},	// [5d20] _dhá_, nyer_, _văzu, xtor, 
   {{0x395f007e,0x65bd06aa,0x7c2269fe,0x200069ff}},	//   hjus_, réhe, vtor, rsii_, 
   {{0x6370022b,0x386d00e5,0x2ef80511,0x71a60cfe}},	//   _länk, hyer_, _verf_, _ганз, 
   {{0x7c225da9,0x6d406a00,0x2ef815e9,0xf1bf007a}},	//   ttor, _qama, _werf_, _ghá_, 
   {{0xcb6a41c1,0x0b8a1270,0xdce200ef,0xdb010356}},	//   ладе_, лски_, hkoć, _sklá, 
   {{0x6d406a01,0x386d2c69,0x68e202a3,0xafe36a02}},	//   _wama, dyer_, _sfod, _хорл, 
   {{0x6d406a03,0x63ab0183,0x27e66a04,0x5a34004f}},	//   _tama, _ígne, _ston_, інит, 
   {{0x63700a25,0x8d960d4b,0x7d960038,0xdb0100bc}},	//   _bänk, _الرش, _الرؤ, _vklá, 
   {{0x637002ae,0xdb1a039f,0x00000000,0x00000000}},	//   _vänj, _kitü, --, --, 
   {{0x8b65057f,0xdce06a05,0x3cf0034d,0x7d04003e}},	//   _والم, _momč, आरके_, ðisf, 
   {{0x68f901f2,0xdb0102d9,0x4a9a012d,0x3a9a1b2d}},	//   _fewd, _uklá, _стаў_, _стаю_, 
   {{0xd5b82dd8,0x386d6a06,0x443900f8,0x63700844}},	//   йся_, byer_, tws_, _fänk, 
   {{0x44393f13,0x07a6449e,0x69da6a07,0x6846449b}},	//   uws_, _ладн, _hute, _ында, 
   {{0x69da6a08,0x7afa6a09,0x32556a0a,0x4439017c}},	//   _kute, _jett, овгр, rws_, 
   {{0x7afa6a0b,0xf1bf0029,0x56936a0c,0xf77300d1}},	//   _mett, _phá_, _нашт, _מקס_, 
   {{0x92d900cc,0x69da6a0d,0xdcfb00d2,0x3f8a033e}},	//   ারে_, _mute, _imuć, _ambu_, 
   {{0x69da6a0e,0x657d00eb,0xf53f0c17,0x636b010e}},	// [5d30] _lute, mhsh, slås_, _bünt, 
   {{0x7afa0b0c,0x644d0a73,0xa91d0352,0xdce06a0f}},	//   _nett, _irai, riži, _domč, 
   {{0x69da6a10,0xdb1a0183,0x3a3e0640,0x3cfd0201}},	//   _nute, _litó, _nstp_, tawv_, 
   {{0x3f8a6a11,0xdce00118,0x644d6a12,0x61e8024c}},	//   _embu_, _fomč, _krai, ídle, 
   {{0x69da6a13,0x7afa00a7,0x752d6a14,0xa194058e}},	//   _aute, _bett, _mbaz, _хаяч, 
   {{0x7afa1164,0x69da6a15,0x661d00ab,0x68f900a4}},	//   _cett, _bute, ński, _sewd, 
   {{0x7afa39a9,0x637016b5,0x2e480093,0xd90f0eb7}},	//   _dett, _sänk, _лято_, فیا_, 
   {{0x69da0414,0x644d6a16,0xdb030634,0x636b01c4}},	//   _dute, _orai, moní, _küns, 
   {{0xb90100ea,0x7d096a17,0x7afa6a18,0x657d00e5}},	//   _दल_, _ides, _fett, dhsh, 
   {{0x2d8f6a19,0x69da6a1a,0x752d01ae,0x7afa00a7}},	//   lige_, _fute, _abaz, _gett, 
   {{0x69da6a1b,0x644d6a1c,0x752d01f2,0x9fe50033}},	//   _gute, _arai, _bbaz, _ফটোগ, 
   {{0x63700750,0x2d8f6a1d,0x7afa0b32,0x29d10062}},	//   _tänk, nige_, _zett, _išao_, 
   {{0x69da02ba,0x37a1004e,0x7afa6a1e,0x32110083}},	//   _zute, _оқиғ, _yett, erzy_, 
   {{0x752d0a9f,0x289a008d,0xdb0302d9,0x2d8f6a1f}},	//   _ebaz, _דינא, koní, hige_, 
   {{0x644d6a20,0x27ed6a21,0x7d095233,0x2129120c}},	//   _erai, lpen_, _odes, ffah_, 
   {{0x644d6a22,0x7d096a23,0xc6a400f6,0xf53f017e}},	//   _frai, _ndes, _эрчи, slår_, 
   {{0x2d8f6a24,0x1f666a25,0x42d62072,0x644d6a26}},	// [5d40] dige_, окам, _міну, _grai, 
   {{0x7d096a27,0xdb030503,0x27ed6a28,0x59df0110}},	//   _ades, foní, ipen_, _पंढर, 
   {{0x7afa05ce,0xee3a2f42,0x0721141c,0x2d8f6a29}},	//   _rett, рне_, _मानव_, fige_, 
   {{0x7afa6a2a,0x7bc16a2b,0x2d8f6a2c,0x61ee02be}},	//   _sett, _ahlu, gige_, mpbl, 
   {{0x69da6a2d,0x7afa6a2e,0x636b6a2f,0x27ed012e}},	//   _sute, _pett, _güns, jpen_, 
   {{0x69da6a30,0xafdb1341,0x09b4248b,0x7d0900c8}},	//   _pute, _prøv, ुष्य, _edes, 
   {{0x27ed6a31,0x7e230aa3,0x69da0415,0xfce6004f}},	//   epen_, _одрж, _qute, _мово, 
   {{0x7afa21af,0x7bc16957,0x2d8f090e,0x7d090082}},	//   _wett, _ehlu, cige_, _gdes, 
   {{0x7afa6a32,0xfc036a33,0xdce90097,0xdcfb0372}},	//   _tett, _опто, _sleć, _smuć, 
   {{0x69da6a34,0xdce9090e,0xd6da6a35,0xdb1a02a0}},	//   _tute, _pleć, шти_, _vitó, 
   {{0x657d6a36,0x644d6a37,0x973c090e,0x69da0341}},	//   thsh, _srai, noći, _uute, 
   {{0x644d6a38,0x1bfe00c9,0x32186a39,0x758b00c8}},	//   _prai, _उबाल_, dury_, рсов_, 
   {{0xf74603dc,0xdb030369,0x65bd0891,0x2bdd0249}},	//   _медо, zoní, géha, मदया, 
   {{0x644d026d,0x2d8f6a3a,0xe7373585,0x657d00a3}},	//   _vrai, zige_, _меч_, shsh, 
   {{0x69c2669b,0x212902cd,0x236c0219,0x644d00f8}},	//   _khoe, tfah_, ödja_, _wrai, 
   {{0x644d52bd,0xab5d0035,0xa91d0009,0x59ca009a}},	//   _trai, _duży, sižv, ागिर, 
   {{0x2d8f6a3b,0x644d6a3c,0x644100e0,0x43950141}},	// [5d50] vige_, _urai, ālis, _наис, 
   {{0x2d8f15e9,0x9f4901d5,0xdb03122d,0x32186a3d}},	//   wige_, gsað_, toní, bury_, 
   {{0x2d8f6a3e,0x636b02f2,0x27ed0a9f,0x14c70367}},	//   tige_, _wüns, zpen_, रेरण, 
   {{0xb23a0137,0x7bc101c5,0xf53800c7,0x31590038}},	//   _פערז, _shlu, ַטור_, _الحج_, 
   {{0x2d8f6a3f,0x61e203f5,0x7d09024a,0xab5d0035}},	//   rige_, _čoli, _vdes, _zuży, 
   {{0x2d8f6a40,0xdb030edb,0xcb66491a,0x00000000}},	//   sige_, poní, заше_, --, 
   {{0xef2301dd,0x09e201d8,0x00000000,0x00000000}},	//   _ceļš_, нощн, --, --, 
   {{0x7d096a41,0x69c26a42,0xe29c00d1,0x637002ae}},	//   _udes, _choe, ישור, _väni, 
   {{0x69e11993,0x2562014b,0x27ed6a43,0xdb1a00f6}},	//   _šveđ, _góly_, upen_, _vitò, 
   {{0x27ed6a44,0x63700219,0xa68500fd,0xa91d0028}},	//   rpen_, _hänv, злод, vižu, 
   {{0x29d104d1,0x27ed325d,0xdbc614c0,0x32186a45}},	//   _ušao_, spen_, töön, xury_, 
   {{0x7aba00d1,0x69c21a77,0x64a66a46,0x00000000}},	//   _הצעו, _ghoe, зама, --, 
   {{0x69c96a47,0x46ab007e,0x2d9f095a,0xe79600d7}},	//   mmee, _घुरह, _mjue_, _کانک, 
   {{0xe820000f,0x321843f5,0x69c94198,0x00000000}},	//   _ममता_, tury_, lmee, --, 
   {{0xaacb0e0d,0x03a3286c,0x02c300b3,0x14ae009a}},	//   ाधिक, хиро, ейро, _घडवण, 
   {{0xe0da0141,0x69c921b5,0x64405227,0x2d9f018e}},	//   сва_, nmee, æmis, _njue_, 
   {{0x2167442e,0xd00a00d9,0xdce00243,0x00000000}},	// [5d60] чити_, сезе_, _nomā, --, 
   {{0xa3bf000d,0x65bd11e9,0x2b4500ca,0x2d9f095a}},	//   ेषण_, néhn, _nalc_, _ajue_, 
   {{0x69c91009,0xdb030054,0x32db00df,0x00000000}},	//   kmee, donà, _לחינ, --, 
   {{0x21a6563f,0x69c901d2,0x71a62dd0,0x225e020b}},	//   _химм, jmee, _хамз, ätku_, 
   {{0x2b452392,0x69c90e85,0x00000000,0x00000000}},	//   _balc_, dmee, --, --, 
   {{0x2b456a48,0xdce000e0,0x69c26a49,0xdb833ae5}},	//   _calc_, _domā, _shoe, нгчи, 
   {{0x25a00175,0xbea3058e,0x00000000,0x00000000}},	//   _ojil_, _зарк, --, --, 
   {{0xd90d017a,0x7e9b00a7,0x69c20226,0xafdb00fc}},	//   لیم_, _הסלו, _qhoe, _trøt, 
   {{0x6da31996,0x7d023d16,0x63ae015e,0x3ce66a4a}},	//   _чита, maos, kobn, mcov_, 
   {{0x25a06a4b,0x3ce60032,0x69c9059e,0x7d026a4c}},	//   _ajil_, lcov_, amee, laos, 
   {{0x69c9006f,0x69c26a4d,0xf1bf020b,0x00000000}},	//   bmee, _thoe, úške_, --, 
   {{0x3ce60187,0x3687001c,0x7d026a4e,0xdb032706}},	//   ncov_, ясын_, naos, moná, 
   {{0x94ab33c4,0x65bd002c,0x00000000,0x00000000}},	//   стна_, béhn, --, --, 
   {{0x39466a4f,0xa85700d1,0x62350176,0xc7d700d1}},	//   _haos_, _מידה_, мегу, _זוגי_, 
   {{0x82a46a50,0xa2950451,0x7d026a51,0x99890032}},	//   еште, фаві, kaos, ňať_, 
   {{0xdb0a022b,0x673a6a52,0x2d9c0019,0x661a6a53}},	//   llfä, letj, ével_, mutk, 
   {{0x40346a54,0x39462dcd,0xa06803b7,0x3ce60228}},	// [5d70] нетс, _maos_, паѓа_, dcov_, 
   {{0xdb0316ed,0xdce001dd,0x2d8d08b0,0xafdb00fb}},	//   koná, _romā, _smee_, _brør, 
   {{0xb4bd000d,0x31e70033,0x00000000,0x00000000}},	//   _अरु_, _ফিকশ, --, --, 
   {{0x6fd8047c,0x8c3d0095,0x3ce6006d,0x9f490038}},	//   _भूकं, _axşa, gcov_, mpaí_, 
   {{0x673a6a55,0x661a6a56,0xbb452f61,0xcb690d3d}},	//   ketj, hutk, делк, жале_, 
   {{0x0721448b,0x661a0ab1,0x65bd014b,0x673a6a57}},	//   _माधव_, kutk, kého, jetj, 
   {{0x661a0666,0x995100bc,0x69c943aa,0x3ce66a58}},	//   jutk, _zář_, tmee, bcov_, 
   {{0xeeeb00f7,0x7d026a59,0x637000c8,0xdb0a0380}},	//   _động_, caos, _hänt, elfä, 
   {{0xfc3003b8,0x69c96a5a,0xb8e5051f,0x799b6a5b}},	//   _محل_, rmee, _एर_, rnuw, 
   {{0x378900dd,0x673a055f,0x69c96a5c,0xeaf800d4}},	//   ібно_, getj, smee, _فرمت_, 
   {{0xe5a66246,0x63700080,0x35a6089f,0xf1bf009a}},	//   дини, _mänt, данг, ्षान, 
   {{0x39460183,0x2d9d6a5d,0x6abe0502,0x201b021e}},	//   _gaos_, nnwe_, üpfe, kuqi_, 
   {{0x673a0f95,0x63ae5a46,0x18690477,0x3f9300b4}},	//   betj, tobn, _фали_, kixu_, 
   {{0x661a2129,0x81e50086,0x291f01cf,0x00000000}},	//   butk, _নিজ_, lgua_, --, 
   {{0x661a6a5e,0x7bdd02a3,0x232700fd,0x07a202a3}},	//   cutk, _èsuf, ьори_, _шашн, 
   {{0x291f6a5f,0x850608b6,0x00000000,0x00000000}},	//   ngua_, _کوکن, --, --, 
   {{0x3ce60228,0x6fd802e6,0x75240027,0x00000000}},	// [5d80] vcov_, _भूखं, _iciz, --, 
   {{0x2be1000f,0x4f0a005e,0x52760161,0x27f90032}},	//   _पढ़ा, інен_, _жуму, ásny_, 
   {{0x216a6a60,0xa1c61ee6,0xdb1a010e,0x7d024efe}},	//   _дини_, _обод, _kitö, taos, 
   {{0x6d91014b,0xa3dd007e,0xdb03039f,0x00000000}},	//   sťan, _तूँ_, voná, --, 
   {{0x39462dcd,0x3ce662e3,0x7d026a61,0xdd8f2ad7}},	//   _raos_, rcov_, raos, جون_, 
   {{0x3ce66a62,0x7643016a,0x637000b0,0x21200121}},	//   scov_, _osny, _tänu, lgih_, 
   {{0x63700219,0x673a008b,0x3946033e,0x3ce60032}},	//   _häns, vetj, _paos_, pcov_, 
   {{0xd91009e8,0x6370022b,0x21206a63,0x644457fb}},	//   ایش_, _käns, ngih_, _osii, 
   {{0xb4bd11df,0xa3dd37e7,0x673a2d18,0x64440539}},	//   _अरे_, _तूं_, tetj, _nsii, 
   {{0x7d003484,0x6370014e,0x661a0acf,0x70db0299}},	//   _hems, _mäns, tutk, _भल्ल, 
   {{0x6370360e,0x39466a64,0x7643016a,0x644401a3}},	//   _läns, _taos_, _csny, _asii, 
   {{0x661a6a65,0x19a9004e,0x7d000097,0x673a6a66}},	//   rutk, _етіп_, _jems, setj, 
   {{0x673a084c,0x885821bd,0x00000000,0x00000000}},	//   petj, _хилс_, --, --, 
   {{0x29046a67,0x661a6a68,0x7d000034,0xf772010e}},	//   lama_, putk, _lems, _جاؤ_, 
   {{0xd8480029,0x63706a69,0x03200262,0x64440088}},	//   _họ_, _ränt, _बारह_, _esii, 
   {{0x212000c5,0x2fd800a1,0xa15800f0,0x200f02aa}},	//   ggih_, _airg_, масу_, ágio_, 
   {{0x0094049b,0x6ab90033,0x03c70165,0x00000000}},	// [5d90] витэ, েখযো, _осом, --, 
   {{0x29046a6a,0x44290065,0x753d0019,0x201b0065}},	//   hama_, _iqa_, lesz, ruqi_, 
   {{0x29046a6b,0x6370022b,0xd84800e7,0x656d084c}},	//   kama_, _vänt, _lọ_, _koah, 
   {{0x29d1063b,0x3eb80310,0x656d0054,0x0dcb1d83}},	//   _však_, _dyrt_, _joah, цузи_, 
   {{0xed5800dd,0xe800031e,0x201b4960,0xe6bb0e17}},	//   ьої_, लीमा_, quqi_, _उर्ज, 
   {{0x442900e2,0x656d0379,0x7d0001d2,0x00000000}},	//   _mqa_, _loah, _eems, --, 
   {{0x62870405,0x6f05614f,0x442b02a2,0x3ce0014b}},	//   nzjo, mahc, htc_, živa_, 
   {{0xd8480023,0x291f095a,0x00000000,0x00000000}},	//   _bọ_, ugua_, --, --, 
   {{0x442901a0,0xc79517fc,0xb4ae009a,0x753d0855}},	//   _nqa_, ерны, _कडे_, desz, 
   {{0xe8ee00f0,0x6d4b2215,0x20090009,0x6d4900f8}},	//   _әл_, ldga, isai_, _haea, 
   {{0x656d0149,0xf1db4a0c,0x3c290032,0x7de50009}},	//   _boah, _मंगन, lúv_, _mėso, 
   {{0x29040112,0xc3290056,0x656d0327,0x200b0242}},	//   cama_, _לו_, _coah, _ovci_, 
   {{0x7c2b6a6c,0xb4e002e6,0x200f0647,0x6d49011c}},	//   ntgr, _तली_, ágil_, _maea, 
   {{0x68e96a6d,0x764302a2,0x6b830023,0x61e80098}},	//   lced, _tsny, nhng, ídlo, 
   {{0x6f0502cd,0x69d96a6e,0x753d010e,0x00000000}},	//   dahc, _kiwe, besz, --, 
   {{0x61432c6d,0x656d0175,0x69d92a8e,0x64442b92}},	//   леса, _goah, _jiwe, _tsii, 
   {{0x7d006a6f,0x69d956d1,0x6444095a,0x7c2901f2}},	// [5da0] _rems, _miwe, _usii, _nqer, 
   {{0x6d5b6a70,0x29046a71,0x6370022b,0x2fd802f1}},	//   _anua, zama_, _väns, _qirg_, 
   {{0x29046a72,0x2009005c,0x27760070,0x6d4903c6}},	//   yama_, asai_, עגען_, _baea, 
   {{0x2ac6031e,0x69d96a73,0x32180640,0xd5b901dd}},	//   _líbí_, _niwe, mrry_, stāv_, 
   {{0x6d4900f8,0xdb030080,0x92e20033,0x4f34010e}},	//   _daea, konä, দরী_, _لڑائ, 
   {{0x753d00ab,0x29046a74,0x68e902aa,0x69d96a75}},	//   zesz, wama_, eced, _aiwe, 
   {{0xdefa004e,0x81e20086,0x3ebe008c,0x7d00027e}},	//   _мың_, নীর_, _átt_, _tems, 
   {{0x69d90175,0x6d4900f8,0xb4db00b9,0x2bdd0299}},	//   _ciwe, _gaea, ldàv, मदशा, 
   {{0x29040959,0x62876a76,0x69d96a77,0x753d0019}},	//   rama_, zzjo, _diwe, vesz, 
   {{0x29046a78,0x6d62003a,0x656d2240,0xdb0101e5}},	//   sama_, štač, _soah, _njlè, 
   {{0x672102e6,0x7bda0096,0x753d010e,0x442901be}},	//   _मारक_, _iitu, tesz, _sqa_, 
   {{0x7bda6a79,0x68e90093,0xaaa93918,0x29046a7a}},	//   _hitu, cced, _चुटक, qama_, 
   {{0xb788146e,0x7bda5c25,0x753d4000,0x656d00a9}},	//   _және_, _kitu, resz, _voah, 
   {{0x69d90204,0x9f400036,0x442b0b03,0x644f0243}},	//   _ziwe, ppiù_, rtc_, rvci, 
   {{0x7bda6a7b,0x442b29cf,0x320a6a7c,0x81c70080}},	//   _mitu, stc_, gsby_, ещае, 
   {{0xb6bb00a7,0x61d8134f,0x05770038,0xa53500d9}},	//   _מצוי, емся_, _ساعد, _рнич, 
   {{0xe1346a7d,0x7bda45e8,0x20090028,0x81e20bf1}},	// [5db0] ынты, _oitu, usai_, নীল_, 
   {{0x200952f8,0xf53f014e,0xa309006b,0x7bda5fbd}},	//   rsai_, leå_, _کرکے_, _nitu, 
   {{0x6f050065,0x6d910228,0xe7170486,0xcfa43439}},	//   rahc, sťam, תחבר_, ушти, 
   {{0x5c754813,0x7c2b55d2,0x63bf02d9,0xd5b308dd}},	//   клет, ttgr, ůzně, ीतिज, 
   {{0x8c450b49,0x7bda04e3,0x69d9033e,0x6d4b01da}},	//   теле, _bitu, _riwe, rdga, 
   {{0x7bda2a68,0x69d90053,0x9f9401c4,0x7bc800a1}},	//   _citu, _siwe, mäß_, _chdu, 
   {{0x7bda6a7e,0xfebb0a24,0x69d96a7f,0xdcfb014b}},	//   _ditu, _راست_, _piwe, _hluč, 
   {{0xb4e00f6f,0x27ef0065,0x7bda6a80,0x6d5b02c5}},	//   _तले_, _ptgn_, _eitu, _unua, 
   {{0x7bda6a81,0xf7715a15,0xa3dd0262,0x69d91302}},	//   _fitu, لاد_, _तंग_, _viwe, 
   {{0x7bda6a82,0x68e9235d,0xd5b901dd,0x00000000}},	//   _gitu, sced, ktās_, --, 
   {{0xab841625,0x69d9019b,0x7bdd0036,0xdb01011c}},	//   _сутк, _tiwe, _èsub, _njlé, 
   {{0xa3e64575,0x7bda680f,0xb9060086,0x7bc8024a}},	//   _बंद_, _zitu, _বড়_, _zhdu, 
   {{0xe8180da6,0x394d6a83,0x7bda007c,0xff680216}},	//   _दिया_, mdes_, _yitu, lnîş_, 
   {{0xc8832a30,0x394d6a84,0xe1f80a43,0x66e20843}},	//   ığı_, ldes_, нҳо_, _коша, 
   {{0x69dc010e,0x91e651ca,0x00000000,0x00000000}},	//   _éret, тобе, --, --, 
   {{0x320a2be3,0xaad30c64,0x00000000,0x00000000}},	//   rsby_, धेयक, --, --, 
   {{0x394d6a85,0xdb1a0088,0xdee607be,0xd0071a63}},	// [5dc0] ides_, _yhtä, вози, кете_, 
   {{0x1acc0086,0xef1702a0,0x6456007c,0xd5b90243}},	//   রুয়া, кму_, _iryi, stāt_, 
   {{0x394d1032,0x00000000,0x00000000,0x00000000}},	//   kdes_, --, --, --, 
   {{0x6b8102f2,0x394d6a86,0xdb0a004f,0x00000000}},	//   _allg, jdes_, llfø, --, 
   {{0x3d07047b,0x7bda6a87,0xdb0a0503,0x394d6a88}},	//   हणजे_, _pitu, sofí, ddes_, 
   {{0x7bda02f1,0xfca90784,0x395d03c6,0x394d6a89}},	//   _qitu, رانو_, _anws_, edes_, 
   {{0x7bda6a8a,0x79a66a8b,0x394d0326,0x539b0147}},	//   _vitu, крие, fdes_, ויסו, 
   {{0x2902003e,0x394d6a8c,0x7bda0027,0x3c9200d7}},	//   úka_, gdes_, _witu, _پیتز, 
   {{0xa3b26a8d,0xebe602fb,0x8c4311db,0xf8b500f6}},	//   टका_, _розп, _кете, лөш_, 
   {{0x394d03a1,0x29186a8e,0x6cc400f0,0x00000000}},	//   ades_, şra_, _айға, --, 
   {{0xf53f0219,0x64560027,0xe9461cc1,0x45d503dd}},	//   teå_, _aryi, _ахло, лоос, 
   {{0xceb30056,0xd9460886,0x56931ca5,0x7bdd02a3}},	//   יית_, _једи, рают, _èsuc, 
   {{0x261602e6,0x57a600d3,0x4813004f,0x89d7009c}},	//   पूजी_, _ишка, _вміс, _شوهر_, 
   {{0xdb0a0054,0x00000000,0x00000000,0x00000000}},	//   nofà, --, --, --, 
   {{0xdcfb02f5,0x79826a8f,0xd5b901dd,0x69dc11c9}},	//   _sluč, _klow, utās_, _éres, 
   {{0xdcfb00ca,0xc6d90070,0xd5b90243,0x00000000}},	//   _pluč, _אַפר, rtās_, --, 
   {{0xd5b901dd,0x636b0380,0x9055012d,0xb4470cfe}},	// [5dd0] stās_, _münz, ывац, _рэйк, 
   {{0x2ef402a0,0x798203c6,0x00000000,0x00000000}},	//   изур, _llow, --, --, 
   {{0x645a00e0,0x394d055f,0xdcfb0ab4,0x657d012b}},	//   ātie, ydes_, _smuđ, oksh, 
   {{0xbf9b010c,0x00000000,0x00000000,0x00000000}},	//   _avêt, --, --, --, 
   {{0x394d0611,0xe4ff02d9,0x23bf010c,0x00000000}},	//   vdes_, _štěň, jîjk_, --, 
   {{0x447c00c7,0xfaa51b2d,0x399a01dd,0x79822196}},	//   ונדע, лало, zīst_, _alow, 
   {{0x7f946a90,0x61e50088,0xe8000262,0xdeb300f0}},	//   _тарх, _juhl, लीसा_, _тұжы, 
   {{0x394d6a91,0x2d860068,0x61e501ff,0x4a74013e}},	//   udes_, choe_, _muhl, рышт, 
   {{0x63b5010e,0x66e56a92,0xdd260216,0x00000000}},	//   kozn, лопа, lêşi, --, 
   {{0xdd9300f0,0x7c3b1d15,0x63b56a93,0x00000000}},	//   _сағы, _ipur, jozn, --, 
   {{0xf77100c5,0x79826a94,0x98b80243,0xba740e0e}},	//   لاگ_, _flow, īzāk_, _پالت, 
   {{0x78a4598c,0x9a8403a1,0x7a7a0070,0xda7a0070}},	//   _žive, _туул, _ארעס, _אנער, 
   {{0x68fb2835,0x1b060086,0x69dc01d8,0x81ac0086}},	//   mbud, _রাতে_, _èrea, গতম_, 
   {{0xade30ed5,0x68fb03a9,0x63b56a95,0x289a0070}},	//   गदान_, lbud, gozn, _אינא, 
   {{0x443b011c,0xdb0a0d57,0x2d860054,0x00000000}},	//   _epq_, nofá, yhoe_, --, 
   {{0x7c3b0102,0x645600d1,0xd5b23d66,0x00000000}},	//   _opur, _tryi, _دفع_, --, 
   {{0x7dda00bc,0xefca00c8,0x64560027,0x7d0401d5}},	// [5de0] _důsl, елал_, _uryi, ðism, 
   {{0x7dda031e,0x00000000,0x00000000,0x00000000}},	//   _půso, --, --, --, 
   {{0x7c3b6a96,0x2d860226,0x3ebc02c9,0x61e50216}},	//   _apur, thoe_, ævt_, _guhl, 
   {{0x2b4c6a97,0xac0a6a98,0xac8614c1,0x3f836a99}},	//   _sadc_, енда_, лгел, _elju_, 
   {{0x44226a9a,0x68fb6a9b,0xdca33618,0x6b980097}},	//   nuk_, dbud, баци, tivg, 
   {{0xdee329e7,0x7c3b00ef,0xcb671fc6,0x636b0384}},	//   _гори, _dpur, лаче_, _büny, 
   {{0x44226a9c,0xb4db03a1,0xee3a6a9d,0x7c3b020f}},	//   huk_, ndàr, _янв_, _epur, 
   {{0x636b38fa,0x442239d8,0x661a0098,0xd90e0444}},	//   _düny, kuk_, vrtk, سیت_, 
   {{0x44226a9e,0x7f4e006d,0xc173042c,0xa3b60035}},	//   juk_, _kabq, מחה_, ड़ता_, 
   {{0x4422386c,0x3f9a0666,0x9f4031c1,0x661a0352}},	//   duk_, nipu_, mpió_, trtk, 
   {{0x7c226a9f,0x06d70086,0x63b56aa0,0xe8fa6aa1}},	//   luor, _দ্বি, vozn, _зле_, 
   {{0x443b011c,0x61e56aa2,0x44226aa3,0x798229a0}},	//   _ppq_, _ruhl, fuk_, _ulow, 
   {{0x63b56aa4,0xa8772949,0x44226aa5,0x657d6aa6}},	//   tozn, _محور_, guk_, rksh, 
   {{0xb86500d6,0x69c06aa7,0xc7a30342,0x838700f0}},	//   _خامو, llme, _личк, уыме, 
   {{0xf1a76aa8,0x68e207d7,0x3f9a00b9,0xd5bb3f28}},	//   гран, _kgod, dipu_, _пси_, 
   {{0x443b016a,0xeeeb00e7,0x29060415,0x50f56aa9}},	//   _tpq_, _đống_, _jeoa_, рзат, 
   {{0x44226aaa,0x6d426aab,0x200f0019,0x443b0065}},	// [5df0] cuk_, deoa, égi_, _upq_, 
   {{0xeeab002e,0x27e600e7,0x29066aac,0x61e515af}},	//   нтек_, _muon_, _leoa_, _tuhl, 
   {{0x7f4e006d,0x4fc42813,0x68e20a1a,0x68fb0156}},	//   _dabq, сста, _ogod, ybud, 
   {{0x68e20194,0x71476aad,0x7c2202a3,0x29060415}},	//   _ngod, _схож, fuor, _neoa_, 
   {{0x27e66aae,0xab296aaf,0x7c220036,0xf3ff019c}},	//   _nuon_, вола_, guor, ixão_, 
   {{0xaa150aa3,0x3f830112,0x5c0402f3,0x3f9a00ef}},	//   афиј, _ulju_, сяца, cipu_, 
   {{0x44226ab0,0x29060226,0x25a90126,0x00000000}},	//   zuk_, _beoa_, _ojal_, --, 
   {{0x27e66ab1,0x44226ab2,0xdb0a00da,0x00000000}},	//   _buon_, yuk_, rofá, --, 
   {{0x77851ac0,0x7c876ab3,0x68fb00fb,0x7d0b6ab4}},	//   илиз, _суве, rbud, mags, 
   {{0x7d0b6ab5,0x6c840084,0x47590648,0x25a90077}},	//   lags, _الكم, трия_, _ajal_, 
   {{0x39150a24,0x44225781,0xa806033c,0x2139021e}},	//   _نواز, wuk_, _peñó, _obsh_, 
   {{0x44221906,0x386004d1,0x7d0b2a85,0x69dc02be}},	//   tuk_, _šire_, nags, _érep, 
   {{0x660b0009,0x25a90034,0x00000000,0x00000000}},	//   _šokė, _djal_, --, --, 
   {{0x68e26ab6,0x4422156e,0x7d0b008c,0x88c8004f}},	//   _zgod, ruk_, hags, _слів_, 
   {{0xe297022c,0x442211f7,0x121913f2,0xd19600ce}},	//   аар_, suk_, люты_, ашањ, 
   {{0x442212e6,0x394f0ff2,0x799b018e,0x6d4200b4}},	//   puk_, _jags_, niuw, xeoa, 
   {{0xe0da3677,0x55bb0056,0x7d0b5cac,0x3f9a0e32}},	// [5e00] тва_, _במקו, dags, tipu_, 
   {{0x6fc20228,0x7c2200c8,0xa3ba456a,0x1f6300f6}},	//   môck, vuor, _جابر_, окум, 
   {{0x6f070bfc,0xcd066ab7,0x4e2a1818,0x6e460080}},	//   _dejc, ачли, тоен_, реез, 
   {{0x163607f5,0x3f9a3382,0x7c22511e,0x799b018e}},	//   ינער_, sipu_, tuor, jiuw, 
   {{0x6c546ab8,0xcb6a126b,0xdca66ab9,0x5c031d91}},	//   склу, каде_, шади, ояща, 
   {{0x5bb70965,0xe4570070,0x6d4201f1,0x2906084c}},	//   алія_, יינט_, seoa, _seoa_, 
   {{0x80db0086,0xbea36aba,0x7d0b6abb,0x27e66abc}},	//   যুদ্, _дарк, bags, _suon_, 
   {{0x7d0b6abd,0x00000000,0x00000000,0x00000000}},	//   cags, --, --, --, 
   {{0xab6644f4,0x394f1e8d,0x7c2202a3,0x2cbf0bc1}},	//   _квал, _dags_, quor, _gyud_, 
   {{0x103700a7,0x25a91074,0x27e60108,0x7bdd019c}},	//   סטים_, _sjal_, _vuon_, _ésup, 
   {{0x628e0a1a,0x9a6a0198,0x70c30035,0x0f5700d1}},	//   jzbo, _جمال_, _शर्ल, ביים_, 
   {{0xd5b80b0c,0x68e2257c,0xd6d75b13,0x79890d4e}},	//   ися_, _ugod, шты_, chew, 
   {{0x28d200ea,0x0f110086,0xd91b027a,0xf76f00d7}},	//   देशि, স্টঃ_, _יואל, سای_, 
   {{0xf7430163,0xafdb017b,0x39446abe,0x00000000}},	//   _мечо, _frøy, lems_, --, 
   {{0xdce0031e,0xdcef0864,0x56936abf,0x41e7004f}},	//   _pomě, _šeče, _машт, ріга, 
   {{0x3f983107,0x25a900da,0xd6db00d1,0x39446ac0}},	//   _amru_, _ujal_, _בחול, nems_, 
   {{0x0f150769,0x3f156ac1,0x752d0095,0xc31c0033}},	// [5e10] ймаю, йдас, _icaz, দ্ধি_, 
   {{0x7d1d0105,0xeeeb00f7,0x644d6ac2,0x5eab00cc}},	//   _össz, _đồng_, _isai, _করবে, 
   {{0x7d0b6ac3,0xdfd80141,0x6f0702d9,0x4255243d}},	//   tags, рът_, _vejc, _انجر, 
   {{0xb6d900c7,0x00000000,0x00000000,0x00000000}},	//   אַנט, --, --, --, 
   {{0xa3ae15c8,0x7d0b6ac4,0x1fe50033,0x394f6ac5}},	//   _कदम_, rags, _পৌরস, _rags_, 
   {{0x7f850084,0xdb03026a,0x3a3e016a,0x3dcd0102}},	//   _السن, onné, _bptp_, _whew_, 
   {{0x752d002e,0x7d0b140d,0x799b016a,0x9f400036}},	//   _ocaz, pags, tiuw, ppiò_, 
   {{0xe8180f01,0x2129281e,0x78a46ac6,0x644d6ac7}},	//   _दिशा_, ngah_, _živa, _osai, 
   {{0xa3b7451b,0x2d9d039d,0x628e0065,0x79890326}},	//   जवा_, miwe_, zzbo, rhew, 
   {{0xab740084,0x9b7400eb,0x7d09123b,0x2d9d6ac8}},	//   _والإ, _والص, _hees, liwe_, 
   {{0xd90f082c,0x7d096ac9,0x394f6aca,0x644d6acb}},	//   _ہیں_, _kees, _tags_, _asai, 
   {{0xaca300e7,0x2d9d02b8,0x7d090341,0x7bc30c20}},	//   _ngừn, niwe_, _jees, llnu, 
   {{0x7d096acc,0x2b1b0351,0xe7396acd,0x38693b44}},	//   _mees, _नयाँ_, _бел_, _çar_, 
   {{0x7d096ace,0x2d9d6acf,0xd8d600d1,0x290d07d7}},	//   _lees, hiwe_, _פוסט_, laea_, 
   {{0xa2bb2a2c,0x15f503b1,0x2d9d6ad0,0x27ed024a}},	//   _शुद्, _استح, kiwe_, lqen_, 
   {{0x7d0900e0,0x21296ad1,0x2d9d095a,0x628e0527}},	//   _nees, ggah_, jiwe_, rzbo, 
   {{0xa0675121,0x65640c3d,0x2d9d095a,0xfbb905ff}},	// [5e20] бата_, _inih, diwe_, ेताम, 
   {{0xa0a612e1,0xdfcf0038,0xe4570225,0x290d0175}},	//   _ҳамд, فيق_, _פייט_, haea_, 
   {{0x65640076,0x7d096ad2,0xa91d0009,0x2d9d095a}},	//   _knih, _bees, sižy, fiwe_, 
   {{0x7d090068,0xe81800a2,0xe3bf0042,0x2d9d0199}},	//   _cees, _दिला_, muña_, giwe_, 
   {{0xe3bf0503,0xdca31297,0x7d096ad3,0xbf9b040b}},	//   luña_, паци, _dees, _kwêl, 
   {{0xdd920116,0x3f98015e,0x6576040c,0x00000000}},	//   _کور_, _umru_, _loyh, --, 
   {{0x3ce9034c,0x7d090265,0x8e8600eb,0x2d9d08dc}},	//   žava_, _fees, _الأه, biwe_, 
   {{0x7d0901a9,0x2d9d02b8,0x57f443a1,0x656402a5}},	//   _gees, ciwe_, опит, _nnih, 
   {{0xdb18021e,0x20126ad4,0xac860b5d,0xa3d85719}},	//   novë, nsyi_, _угал, िषा_, 
   {{0x752d00d9,0x77985f28,0x5eab0086,0x7d09340c}},	//   _scaz, ркор_, _করতে, _zees, 
   {{0x7d0901a3,0x61fc00ef,0x20120065,0x6ac60e61}},	//   _yees, jprl, hsyi_, _اقام, 
   {{0x65760126,0x290d006d,0x26c201dd,0x261900b0}},	//   _coyh, caea_, āko_, _भिरी_, 
   {{0xb4e91ef6,0x32110083,0xdb1a00da,0x7e7e0080}},	//   _बली_, wszy_, _akté, hypp, 
   {{0x2d9d6ad5,0xf41f00c8,0xa7130259,0x00000000}},	//   ziwe_, rrä_, _емші, --, 
   {{0x1b7b0070,0x43941918,0xd6cf00b9,0x00000000}},	//   נטלע, чарс, _хт_, --, 
   {{0x644d00a9,0x60f907a5,0x35a40843,0x32110035}},	//   _tsai, рная_, _најг, rszy_, 
   {{0x644d6ad6,0xdb186ad7,0x84c2004e,0x212911c7}},	// [5e30] _usai, rovê, _жәрд, rgah_, 
   {{0x7d096ad8,0x32110035,0x3f876ad9,0xb4e900b0}},	//   _sees, pszy_, ónu_, _बलु_, 
   {{0x2d9d6ada,0x9f40003e,0xe3bf0369,0xf3eb0033}},	//   tiwe_, rpið_, cuña_, _কবির_, 
   {{0xa1596adb,0x05c90497,0x20123107,0xd5c90598}},	//   _таму_, रतिब, bsyi_, रतिज, 
   {{0x78a4026e,0x2d9d024d,0xdc691098,0x7d096adc}},	//   _živn, riwe_, ралд_, _vees, 
   {{0x7d090fea,0x2d9d6add,0x82340c30,0xef930535}},	//   _wees, siwe_, _بریا, _عیاد, 
   {{0x7d096ade,0x2d9d018e,0x00000000,0x00000000}},	//   _tees, piwe_, --, --, 
   {{0xa3e903c1,0x09e20386,0x3860090e,0x7de50009}},	//   यदा_, мощн, _šira_, _dėst, 
   {{0x52fb031e,0xacf800b3,0x00000000,0x00000000}},	//   ्राउ_, _ынту_, --, --, 
   {{0xbca400b1,0x00000000,0x00000000,0x00000000}},	//   _عملي, --, --, --, 
   {{0x2b4700f6,0x05aa00c8,0x63700502,0x65bd02d9}},	//   menc_, ивой_, _tänz, véhr, 
   {{0x69d00394,0x2b400a1a,0x96941628,0x9596004f}},	//   _डीपी, đice_, ярыш, ішні, 
   {{0x98c70084,0x80db0299,0x00000000,0x00000000}},	//   _اغان, पेमे, --, --, 
   {{0x2b47022c,0xf1bf0228,0xd3ba004f,0x37a200f0}},	//   nenc_, _aká_, румі_, _оқығ, 
   {{0xe7960109,0xa3e6059e,0xa2e33cab,0x2b4700f6}},	//   _بانک, _बंक_, дорд, ienc_, 
   {{0xe3bf24d3,0x00866adf,0x65c30cf8,0x649a02a0}},	//   ruña_, олбо, _обща, _втор_, 
   {{0x387f0877,0x386d0183,0x4f0a0148,0x10a630c5}},	// [5e40] nyur_, nxer_, инан_, циан, 
   {{0xbc6a1c03,0xdb1a0216,0xe3bf0068,0x201c0304}},	//   یمان_, _aktî, puña_, čvi_, 
   {{0xdb1801ee,0x2b475c57,0xecea12de,0x00000000}},	//   sovë, denc_, адел_, --, 
   {{0x63bc6ae0,0x302a09a6,0x973c00d0,0x387f390a}},	//   lorn, _комп_, miće, kyur_, 
   {{0x973c003a,0xdb186ae1,0x9b6a1d6b,0x20d608af}},	//   liće, lové, ишка_, _фінс, 
   {{0x63bc6ae2,0x5fc5009a,0xdb97012d,0x2b474702}},	//   norn, वतःल, овіч_, genc_, 
   {{0x973c0704,0xdb186ae3,0xdd922a63,0x00000000}},	//   niće, nové, _قوس_, --, 
   {{0xb4e900bd,0xdb036736,0x3ea70126,0x99d3007a}},	//   _बले_, fonó, únte_, وتيا, 
   {{0x973c00d2,0xd90d009c,0xdb18014b,0x37aa286c}},	//   hiće, ایه_, hové, итон_, 
   {{0x47340d5c,0x3dc66ae4,0x973c034c,0xdb180356}},	//   чнос, llow_, kiće, kové, 
   {{0x63bc6ae5,0x973c034c,0xdb18014b,0x295600fd}},	//   dorn, jiće, jové, _мъдр, 
   {{0x973c01b4,0x7d026ae6,0x37e603dc,0xdb18014b}},	//   diće, nbos, _додг, dové, 
   {{0x6aad12ed,0x81b20033,0x7d0208b0,0x27f800d7}},	//   şaft, য়গা_, ibos, _افتد_, 
   {{0x63bc6ae7,0x3dc6016a,0xdceb0304,0x7d021e5d}},	//   gorn, hlow_, _čičo, hbos, 
   {{0x973c03f5,0x44220b48,0xdb186ae8,0x41850259}},	//   giće, ark_, gové, птағ, 
   {{0xdb18014e,0x7c226ae9,0x44220304,0x3f8a6aea}},	//   llvä, kror, brk_, _albu_, 
   {{0x63bc62af,0xfbca00bc,0x12e746d9,0x40340259}},	// [5e50] born, िताम, _мінг, метс, 
   {{0x973c265d,0x248403a9,0xdb18014b,0xe3bf2313}},	//   biće, ømme_, bové, muño_, 
   {{0x78a411c8,0xc33200fe,0xdea10019,0x973c0082}},	//   _živl, _אוי_, ریری, ciće, 
   {{0x3dc60065,0x7c226aeb,0x00000000,0x00000000}},	//   glow_, fror, --, --, 
   {{0xdfdb048a,0xe3b0040f,0x661d00ab,0x2b476aec}},	//   _във_, _سری_, ąski, tenc_, 
   {{0x9f4300e5,0x50da00d1,0x92bf0086,0x7d0200a1}},	//   _mijë_, _לקרא, েশী_, abos, 
   {{0x3da701fc,0x2b476aed,0x7d024411,0x3179162a}},	//   _драб, renc_, bbos, _kosz_, 
   {{0x63bc1c77,0xdb036aee,0x98af090b,0x386d03a1}},	//   zorn, tonó, šače_, txer_, 
   {{0xe73908a5,0x973c0a1a,0x7d1b007c,0xdb181102}},	//   беп_, ziće, _idus, zové, 
   {{0x63bc0dbd,0xdb036aef,0x386d0068,0x6a6703b3}},	//   xorn, ronó, rxer_, _وطال, 
   {{0xa2bb1d5b,0x98ab03c0,0x387f2244,0x645f0034}},	//   _शुल्, ıcı_, syur_, _arqi, 
   {{0x973c00f1,0x7c2400eb,0xdb030038,0x28df1503}},	//   viće, áirg, inní, _पृथि, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x27ff00c5,0xdb18026e,0x973c034c,0x9f43021e}},	//   mpun_, tové, tiće, _dijë_, 
   {{0x7d1b02f5,0x63bc6af0,0x69d002e6,0x27ff1b6b}},	//   _odus, rorn, _डीडी, lpun_, 
   {{0x973c01b4,0x31666af1,0xdb18014b,0x7d1b6af2}},	//   riće, ñoz_, rové, _ndus, 
   {{0x27ff6af3,0x973c0112,0x30760ee8,0x764302a2}},	// [5e60] npun_, siće, чувс, _hpny, 
   {{0x98a60704,0xdb0a014e,0x7d1b6af4,0x7778006d}},	//   šiće_, llfö, _adus, _xovx, 
   {{0xee3a6af5,0x27ff3269,0xdd8f00d4,0xe1f700b3}},	//   сне_, hpun_, گون_, _нгэ_, 
   {{0x27ff0da2,0xdd9900dd,0xafe602f1,0x25a202d9}},	//   kpun_, оші_, _номл, nikl_, 
   {{0xdd8f155f,0xbf9b0216,0x00000000,0x00000000}},	//   دون_, _xwêk, --, --, 
   {{0x7d1b0088,0xa3b207d5,0x69dc010e,0x7d0248f4}},	//   _edus, टकट_, _érez, sbos, 
   {{0x61e60455,0xdb03022c,0xed5a40f5,0x6e436af6}},	//   _kikl, tonò, _лов_, _перз, 
   {{0x7bc102ae,0x6f0e01be,0x645a01dd,0x61e601f2}},	//   _eklu, _hebc, ātij, _jikl, 
   {{0x61e66af7,0xac8602f1,0xdb036af8,0xdcfb02c7}},	//   _mikl, _эгал, ronò, _sluć, 
   {{0x1b0f100b,0xdcfb003a,0x35f40ce6,0x5fbe00bc}},	//   _সাথে_, _pluć, мпор, ्तिल, 
   {{0x6444011c,0xb34711c9,0xd9463d33,0x7bdf0212}},	//   _apii, _liçõ, _нежи, ïque, 
   {{0x61e66af9,0xb7d7006b,0x2bca0035,0xc7b9010e}},	//   _nikl, _ہونا_, ितवा, lről_, 
   {{0x6fbe2417,0x69c20415,0x5fbe0501,0x6d400144}},	//   ्तां, _ikoe, ्ताल, _mbma, 
   {{0x7dda031e,0x9f430034,0xe3bf0183,0x237a02a3}},	//   _zůst, _vijë_, ruño_, _copj_, 
   {{0x6d40034c,0x20070704,0xa3ae2b69,0x00000000}},	//   _obma, ćnim_, _कदर_, --, 
   {{0x25a22e7d,0x5eab0086,0x31c403b7,0x0ef509ef}},	//   cikl_, _করলে, есув, इड्स_, 
   {{0x78a41e27,0xdb1a1acf,0x92bf0086,0xceeb0a5a}},	// [5e70] _živj, _aktí, েশে_, مران_, 
   {{0x44395572,0x442b16cd,0x7dca003e,0x6d400380}},	//   mts_, muc_, sýsl, _abma, 
   {{0x44396afa,0x6d40016a,0x7f55001d,0x0dcb54b5}},	//   lts_, _bbma, _vazq, буди_, 
   {{0x5ff501a2,0x69c20226,0x260100c9,0x7bc1021a}},	//   _озму, _nkoe, वीटी_, _sklu, 
   {{0x4439099e,0x442b6afb,0x657d024a,0x7dda02d9}},	//   nts_, nuc_, ërhy, _růst, 
   {{0x44395b66,0xbb420093,0x6f1c0183,0x61e601f1}},	//   its_, вешк, _gdrc, _zikl, 
   {{0x44396afc,0x442b6afd,0xdce80241,0x1b060033}},	//   hts_, huc_, _çoğa, _রাখে_, 
   {{0x4439002a,0x27ff6afe,0x9f4306df,0x7d1b6aff}},	//   kts_, tpun_, _sijè_, _udus, 
   {{0x27ff0730,0x6d4b005c,0x442b090b,0x4439007b}},	//   upun_, mega, juc_, jts_, 
   {{0x27ff3269,0x442b6b00,0x6d591526,0x4439098d}},	//   rpun_, duc_, ldwa, dts_, 
   {{0x25a20242,0x44396b01,0x7c2b6b02,0x27ff6b03}},	//   tikl_, ets_, lugr, spun_, 
   {{0x6d4b6b04,0x7c24003a,0x64a66b05,0x6d596b06}},	//   nega, šire, дама, ndwa, 
   {{0x7c2b56f3,0x61e66b07,0x44396b08,0xe72e004e}},	//   nugr, _rikl, gts_, _ие_, 
   {{0x69c913ba,0x6d4b6b09,0x9f430126,0xa49b022c}},	//   llee, hega, _fijé_, mbòl, 
   {{0x0caa05fd,0x7643016a,0x44396b0a,0x69c902a5}},	//   _कश्म, _upny, ats_, olee, 
   {{0x515503dd,0x6d4b6b0b,0x69db0369,0x69c96b0c}},	//   нтуу, jega, nmue, nlee, 
   {{0x44390056,0x6d4b6b0d,0x61e66b0e,0x7c2b6b0f}},	// [5e80] cts_, dega, _vikl, jugr, 
   {{0x78a41462,0x290f6b10,0x6d596b11,0x7f800095}},	//   _živk, _lega_, edwa, _nöqt, 
   {{0x27e76b12,0x61e66b13,0x69c96b14,0x27ef0219}},	//   _minn_, _tikl, klee, _lugn_, 
   {{0x27e76b15,0x290f6b16,0x3ea70084,0x6d4b6b17}},	//   _linn_, _nega_, únta_, gega, 
   {{0x6f0e01a0,0x69c908b0,0x6aa62ed6,0xc7b9010e}},	//   _tebc, dlee, गप्र, tről_, 
   {{0x69c25ca6,0x290f007e,0xaa5852b9,0x6f1c0bfc}},	//   _skoe, _aega_, зику_, _udrc, 
   {{0x6d4b6b18,0x6da6471e,0xcf5707e4,0x25a000a3}},	//   bega, _жива, _קבלת_, _omil_, 
   {{0x290f04d1,0xd90d00d6,0xdb180165,0x27e70d44}},	//   _cega_, میم_, moví, _ainn_, 
   {{0x6cc36b19,0x290f6b1a,0x274a0088,0x6da36ab8}},	//   _айта, _dega_, очно_, _рита, 
   {{0x27e70adb,0x61fe0062,0xf698081b,0xfc6700d4}},	//   _cinn_, _otpl, звој_, _تخفی, 
   {{0x69c919b8,0xdce0002a,0xe53540f2,0x44390102}},	//   blee, _tomē, нень, wts_, 
   {{0x27e7010d,0x3869044e,0x44396b1b,0x442b6b1c}},	//   _einn_, _šare_, tts_, tuc_, 
   {{0x2007003a,0x27e700fc,0x61fe0450,0x00000000}},	//   ćnik_, _finn_, _atpl, --, 
   {{0x44396b1d,0xf8ad0019,0x6d4b0083,0x442b6b1e}},	//   rts_, _چکی_, zega, ruc_, 
   {{0x44396b1f,0xeb9100c7,0x7d0d01d5,0x7c2b0380}},	//   sts_, אָן_, ðask, zugr, 
   {{0x69c06b20,0xd5b901dd,0x44396b21,0x6d4b6b22}},	//   nome, irāk_, pts_, xega, 
   {{0x9f430218,0x629a0228,0x90990093,0x4fd52e2d}},	// [5e90] _dijî_, útor, чват_, ежат, 
   {{0x69c06b23,0x2d9f0065,0x6e95250f,0xdceb014b}},	//   home, _smue_, низу, čičk, 
   {{0x69c06b24,0x6d4b6b25,0x3d0b061f,0x6fcb0502}},	//   kome, tega, ारले_, lück, 
   {{0x69c00035,0x7c2b6b26,0x00000000,0x00000000}},	//   jome, tugr, --, --, 
   {{0x69c06b27,0x290f6b28,0x69c901c8,0x6d59175b}},	//   dome, _rega_, vlee, rdwa, 
   {{0x290f6b29,0x6d4b6b2a,0x7c392352,0x7c2b6b2b}},	//   _sega_, sega, rtwr, rugr, 
   {{0x290f3c3d,0x27e70014,0x69c92680,0x7afa00a1}},	//   _pega_, _rinn_, tlee, _dftt, 
   {{0x27e76b2c,0x973c0372,0x26c70ff2,0xeab001c9}},	//   _sinn_, vića, _ryno_, جعه_, 
   {{0x69c96b2d,0xb7bd002e,0x69db6a06,0xdb03021e}},	//   rlee, luţi, rmue, ninë, 
   {{0x20070062,0x69c96b2e,0x96b96b2f,0x25a01341}},	//   ćnih_, slee, зуму_, _smil_, 
   {{0x290f11c8,0x27e76b30,0xaa9500eb,0x69c910f3}},	//   _tega_, _vinn_, _ثلاث, plee, 
   {{0x69c03ba5,0x6a5306d0,0xceb202a1,0x27e76b31}},	//   come, _nəfə, ריט_, _winn_, 
   {{0x394d0077,0x27e76b32,0x7989045a,0x186941ac}},	//   mees_, _tinn_, mkew, _хали_, 
   {{0x33d51222,0x394d018c,0x39910042,0x987a00c7}},	//   віст, lees_, _dáse_, _מאנט, 
   {{0xe5a601bb,0xdb030218,0x32436b33,0x00000000}},	//   _пики, tinê, лерг, --, 
   {{0x394d6b34,0x69dc0036,0x6a5300ad,0x25a0238b}},	//   nees_, _èret, _cəfə, _umil_, 
   {{0xf99207f5,0x1f66606f,0xe3b206bc,0xdb036b35}},	// [5ea0] ארן_, нкам, _مرد_, rinê, 
   {{0xdb186b36,0x69c02b03,0x38600bfc,0x6fb600eb}},	//   toví, zome, _širk_, رمضا, 
   {{0x7dca003e,0x9f43010c,0x79890326,0x61fe0946}},	//   lýsi, _tijî_, kkew, _utpl, 
   {{0x69c00183,0xdb185a49,0x6fd000c9,0xdb0333ad}},	//   xome, roví, _तीरं, linè, 
   {{0x69c00727,0x8ba60093,0x394d040b,0xae1c009a}},	//   vome, нидж, dees_, _पटकन_, 
   {{0xdb18031e,0x69c0677e,0xb7bd00d9,0x7dd102ae}},	//   poví, wome, buţi, råsa, 
   {{0x1c1c05fd,0x394d0876,0xc3330070,0xe9e60093}},	//   _निकल_, fees_, אוו_, нцио, 
   {{0xdb03011c,0x00000000,0x00000000,0x00000000}},	//   hinè, --, --, --, 
   {{0xdcef02f5,0x57a65891,0xa36a0104,0x00000000}},	//   _šeće, ешна, _chеk, --, 
   {{0x69c06b37,0x5a966b38,0x65ab00c8,0x9f420080}},	//   some, _преф, köhä, _etkö_, 
   {{0x64561415,0x69c000d8,0x394d6b39,0xa61300b3}},	//   _asyi, pome, bees_, лмэч, 
   {{0xceb30052,0x394d6b3a,0x6fcb0380,0x399a01dd}},	//   טית_, cees_, tück, gūst_, 
   {{0xa3bd0484,0x6fcb0380,0x9487013e,0x00000000}},	//   इकल_, büch, хынд, --, 
   {{0x6fcb02f2,0x6a5306d0,0xdb18023a,0xdb0a34df}},	//   rück, _səfə, novà, mofó, 
   {{0xdb0a6b3b,0x69dc02a3,0x569400b9,0xf7730147}},	//   lofó, _ères, _шакт, _תקצ_, 
   {{0xf1a401fc,0xdb03024a,0x0495007a,0x00000000}},	//   грун, tinë, _للبح, --, 
   {{0x656d6b3c,0xb50717dc,0xdb0309fc,0xd6df0083}},	// [5eb0] _inah, _व्यय_, binè, ąłem_, 
   {{0xb7bd002e,0xdb036b3d,0x00000000,0x00000000}},	//   tuţi, rinë, --, --, 
   {{0x1b0f0086,0xa29508ab,0x661a6b3e,0x394d00d1}},	//   _সালে_, _рані, nstk, yees_, 
   {{0xe82105fd,0xdd9403dd,0x63a76b3f,0xdb036b40}},	//   _मिला_, лахы, lijn, miné, 
   {{0xdb036b41,0x2fd900eb,0xd11600a7,0x657f0415}},	//   liné, _يوجد_, _בקרה_, _moqh, 
   {{0x63a76b42,0x394d018c,0xc4d424ea,0xd7cf00c9}},	//   nijn, wees_, נגס_, _सींच, 
   {{0xbd05026a,0x661a6b43,0x00000000,0x00000000}},	//   _créé, jstk, --, --, 
   {{0x63a76b44,0x00000000,0x00000000,0x00000000}},	//   hijn, --, --, --, 
   {{0x79896b45,0xc8db3d07,0xdd941b17,0x6fcb0502}},	//   rkew, मेंट, _саты, tüch, 
   {{0xfd4d0029,0x656d6b46,0x66e5017f,0x6d5b6b47}},	//   _ngoạ, _anah, копа, _haua, 
   {{0x63a7014b,0x6fcb01c4,0x394d6b48,0x6d5b6b49}},	//   dijn, rüch, pees_, _kaua, 
   {{0xe5a66b4a,0x7bc36b4b,0xdb0341ad,0xdb1800bc}},	//   тими, lonu, diné, mová, 
   {{0x6d5b2083,0x399a0137,0xdb186b4c,0x660400ca}},	//   _maua, _קינד, lová, _čike, 
   {{0x6d5b6b4d,0x7bc36b4e,0xc35500fd,0x63a76b4f}},	//   _laua, nonu, лъсъ, gijn, 
   {{0xdb186b50,0x69d9019b,0x80df0033,0x00000000}},	//   nová, _khwe, _ফ্ল্, --, 
   {{0x3860044e,0x7bc36b51,0xfe720eb7,0x6d5b00b4}},	//   _širi_, honu, یدا_, _naua, 
   {{0xdb18037f,0x7bc36b52,0xe3ba0176,0x00830528}},	// [5ec0] hová, konu, _оби_, алто, 
   {{0xe0d75a2e,0xcfb500cc,0xdb18031e,0x63a701c8}},	//   тву_, _জীবন, ková, cijn, 
   {{0x1fb515b9,0x8d280259,0xe3b20109,0x6d5b6b53}},	//   устр, енең_, _مرگ_, _baua, 
   {{0x5bca2f41,0xdb18037f,0x6d930241,0x00000000}},	//   ित्व, dová, _açab, --, 
   {{0x7bc36b54,0xeb9a0258,0x6d5b6b55,0xb4db00f6}},	//   fonu, мид_, _daua, leàr, 
   {{0x69d90026,0x661a6b56,0x7bc36b57,0xfe460024}},	//   _ahwe, ystk, gonu, _инго, 
   {{0x5ee000cc,0x6d5b00a1,0xcb670267,0xdb18046b}},	//   _প্রে, _faua, таје_, gová, 
   {{0xcdc403dc,0x69d902bf,0x386905ae,0x63a701c8}},	//   _сабқ, _chwe, _šara_, zijn, 
   {{0xdb341fdb,0x69d9011c,0xe5770009,0x48130009}},	//   _مذاک, _dhwe, _nėšč, амыс, 
   {{0x9f4a0218,0x656d014b,0x81d80086,0xdb0a6b58}},	//   _sibê_, _snah, াদি_, rofó, 
   {{0x7f5c6b59,0xdb180376,0xdb0302aa,0xdce00028}},	//   _marq, cová, ronô, _pomė, 
   {{0x891a06bc,0x661a6b5a,0x63a76b5b,0x644800d9}},	//   _آغاز_, rstk, wijn, ădin, 
   {{0x6dbc443c,0x81d80086,0x63a76b5c,0x26c20035}},	//   mčad, াদা_, tijn, łko_, 
   {{0xdb03583b,0x623502a0,0xc4d300c9,0xc7a36b5d}},	//   tiné, легу, _सरीख, _кичк, 
   {{0x248d1487,0x63a74186,0xdb03009e,0x6d420054}},	//   šem_, rijn, kinî, kfoa, 
   {{0x7bc36b5e,0xe5c400dd,0x6dbc0571,0x656d6b5f}},	//   zonu, _всьо, nčad, _unah, 
   {{0x7bc30092,0xdb18031e,0x7f5c02f1,0xdb0300eb}},	// [5ed0] yonu, zová, _barq, siné, 
   {{0x2fc75b61,0x248400c8,0xb3550bf8,0x7f5c6b60}},	//   ông_, ämme_, _скош, _carq, 
   {{0x20020241,0x63a500a1,0x6d5b0175,0x7f5c040c}},	//   _etki_, _imhn, _paua, _darq, 
   {{0x7bc8011c,0xdb1800bc,0x6dbc0082,0x9f4a05d5}},	//   _akdu, vová, jčad, _libè_, 
   {{0x7c2400f1,0xa3b800c5,0x7f5c00a3,0x7bda0242}},	//   širn, _سایر_, _farq, _bhtu, 
   {{0xdb181067,0x442b161c,0x28c6007e,0x764a055f}},	//   tová, irc_, _लड़ि, _opfy, 
   {{0xa9a521da,0x69d90b12,0xdb03009e,0x00000000}},	//   ликд, _phwe, binî, --, 
   {{0xdb18000d,0x3866017e,0x1db709ef,0x69d90415}},	//   rová, _bror_, _अदित, _qhwe, 
   {{0xdb1800bc,0x7bc36b61,0x7d190102,0xf77103b8}},	//   sová, ponu, maws, ماد_, 
   {{0x468300cf,0x68fb6b62,0xdb1800bc,0xfaa70161}},	//   иқла, scud, pová, _ишен, 
   {{0x6f156b63,0x38666b64,0x490309d9,0x1bec00b0}},	//   _mezc, _eror_, _күйг, _छूटल_, 
   {{0x3ce904d1,0x6b816b65,0x78b9006d,0x7dd8019c}},	//   žavu_, _holg, _txwv, mísc, 
   {{0xdce90308,0x28f800c8,0x7e6700b9,0x442b0054}},	//   _oneč, _речь_, _lrjp, grc_, 
   {{0xf77306ab,0x395f6b66,0xe7390161,0x6dbc0ab4}},	//   _خاص_, ldus_, _чек_, pčag, 
   {{0x395d023b,0x442b0557,0xe29a28d8,0x321e23f2}},	//   _kaws_, arc_, хав_, éty_, 
   {{0x395f6b67,0x7d190035,0x00000000,0x00000000}},	//   ndus_, jaws, --, --, 
   {{0x7f5c2126,0xdb010019,0xd1755cf6,0x645a01dd}},	// [5ee0] _parq, _emlé, шыры, ātis, 
   {{0x44206b68,0xe3b22751,0x00c700d3,0x7f5c137e}},	//   _ivi_, _درب_, улук_, _qarq, 
   {{0x11d60a5a,0x6fd002ae,0x7c2b039b,0x395f011c}},	//   _متحد, läck, ergr, kdus_, 
   {{0x7bda00e5,0x51560024,0x427b0070,0x2e3c020b}},	//   _shtu, _стоу, _נאכג, ríf_, 
   {{0x395f02bf,0x7f5c02f1,0x6b816b69,0x67230372}},	//   ddus_, _tarq, _bolg, _odnj, 
   {{0x6b816b6a,0x7c24015e,0x31606b6b,0x8f76004f}},	//   _colg, širo, ldiz_, _сумі, 
   {{0x6b816b6c,0x2d9c026a,0x2611008b,0x3d0b009a}},	//   _dolg, èves_, jšo_, ारखे_, 
   {{0xfce618ae,0x31606b6d,0x395d6b6e,0x75246b6f}},	//   _бобо, ndiz_, _caws_, _ndiz, 
   {{0x6b816b70,0x395d01c1,0xa3c4000d,0x5b36073c}},	//   _folg, _daws_, एका_, _معار, 
   {{0x973c1993,0x75246b71,0x7bdd0036,0x6aba0379}},	//   mićk, _adiz, _èsup, _txtf, 
   {{0x9f4a00eb,0x35b53a5f,0xd6d0091d,0x973c032f}},	//   _cibé_, ибор, تقد_, lićk, 
   {{0x38660dcb,0xd6d76b72,0x6d460219,0x386000d2}},	//   _tror_, ыты_, _ökad, _širu_, 
   {{0x98a36b73,0xe4a70099,0x5eab0086,0x973c0242}},	//   _лице, урно, _করছে, nićk, 
   {{0x75246b74,0x4420012d,0x395d023b,0x7d190035}},	//   _ediz, _dvi_, _zaws_, zaws, 
   {{0xdcfb000d,0x44206b75,0x395d006d,0xb595004f}},	//   _souč, _evi_, _yaws_, _вийш, 
   {{0x6fd00f03,0x395d023b,0x48db031e,0xa1586b76}},	//   läch, _xaws_, खेको_, ласу_, 
   {{0x0f1506ba,0x3f1507be,0x69dc0249,0x2f153c40}},	// [5ef0] имаю, идас, _पठनी, идаё, 
   {{0x6fd001c4,0x973c00ef,0x644d0f3a,0x7d19012b}},	//   näch, dićk, _ipai, waws, 
   {{0x644e008b,0x6b816b77,0x98af008a,0x00000000}},	//   čniš, _rolg, _tagħ_, --, 
   {{0x6b816b78,0x403500d3,0x7d0e0108,0x7982052b}},	//   _solg, _кемс, _đbsc, _noow, 
   {{0xf41f030f,0x395d01c1,0x6b810019,0x7d196b79}},	//   nsä_, _raws_, _polg, raws, 
   {{0x6a8502f1,0x200911f7,0x395d6b7a,0x6b8100cf}},	//   илла, mpai_, _saws_, _qolg, 
   {{0x6b8114ca,0x395d3b16,0x6fd00502,0x49956b7b}},	//   _volg, _paws_, däch, ишит, 
   {{0x395d6b7c,0x61f700a3,0xca7400f0,0xdce901f2}},	//   _qaws_, _muxl, сушы, _eleġ, 
   {{0x3f830112,0x5d840b7e,0x395f6b7d,0x20096b7e}},	//   _koju_, _القل, rdus_, npai_, 
   {{0x442002fe,0x07a524e4,0x395f137f,0xdd9300f0}},	//   _rvi_, раон, sdus_, _тағы, 
   {{0x442003ef,0x644d443a,0x3f8349f8,0x395d01a0}},	//   _svi_, _apai, _moju_, _taws_, 
   {{0x61ef6b7f,0x629c02ee,0x8afc00ab,0x657d024a}},	//   _nicl, vzro, _wnęt, gjsh, 
   {{0x6d490084,0x290d0010,0x69cb0149,0xdff100c9}},	//   _mbea, mbea_, _ikge, _अंगद_, 
   {{0x66e54a6b,0x6fd0022b,0x61ef3da2,0x889a00d1}},	//   _кола, räck, _aicl, _בבני, 
   {{0x629c0d26,0x644d0a9f,0xf53f055f,0xb6a244fb}},	//   uzro, _epai, rnår_, _мишл, 
   {{0xd1326223,0x6026004f,0x41060097,0x6fd01562}},	//   تمر_, идба, рзав, päck, 
   {{0x3f83090e,0xcef6122f,0x2087004f,0x7d04001d}},	// [5f00] _boju_, ачењ, айти_, ñism, 
   {{0x6d490068,0xdee603dc,0x973c044e,0xdb03107b}},	//   _abea, ҳоҷи, vićk, finí, 
   {{0xed5a02fb,0xee3a6b80,0x764165f6,0x6d4901be}},	//   кож_, тне_, ntly, _bbea, 
   {{0x973c0397,0x69cb0026,0x6d4900a1,0x61ef0151}},	//   tićk, _nkge, _cbea, _gicl, 
   {{0x61e46b81,0x6d4901be,0xdb03019c,0x62810bf7}},	//   mmil, _dbea, dinâ, ølov, 
   {{0x61e46b82,0x69cb07d7,0xce4a00b9,0x973c00ca}},	//   lmil, _akge, _изге_, rićk, 
   {{0x34d30fc0,0x973c00ca,0xdce900c3,0x00000000}},	//   _सर्द, sićk, _vleġ, --, 
   {{0x61e46b83,0x973c0372,0xdd9203b8,0x6fd00380}},	//   nmil, mići, _بور_, wäch, 
   {{0x973c04a1,0x61e4003e,0x7dd80068,0x7d0d0183}},	//   lići, imil, císa, ñase, 
   {{0x2d846b84,0xfaa652d0,0x25710054,0x798201b8}},	//   _home_, _казо, kôlà_, _woow, 
   {{0x2d846b85,0x61e46b86,0x973c015e,0x6fd001c4}},	//   _kome_, kmil, nići, räch, 
   {{0x61e4090b,0x7c2d1993,0x200902a2,0x6fd00380}},	//   jmil, šare, ypai_, säch, 
   {{0x94a86b87,0x2d840112,0x61ef0036,0xb447012d}},	//   атра_, _mome_, _ricl, шэнк, 
   {{0x2d846b88,0x2484014e,0x973c015e,0x39980126}},	//   _lome_, ämma_, kići, _dése_, 
   {{0xf41f440b,0xf1a75d15,0x973c00ef,0xd177004e}},	//   ssä_, аран, jići, қыңы, 
   {{0x2d846b89,0x3d1000ab,0x973c090b,0x3ce0014b}},	//   _nome_, ारों_, dići, živy_, 
   {{0xc10400eb,0x53353ca2,0x5f950148,0x61ef0474}},	// [5f10] توقي, _лепт, биат, _vicl, 
   {{0x9951026e,0x68f5031e,0x973c044e,0x6e670093}},	//   _máš_, ězdi, fići, итеж, 
   {{0x2d846b8a,0x973c0372,0x4ea40028,0x25a90604}},	//   _bome_, gići, орца, _kmal_, 
   {{0x2d846b8b,0xd256008d,0xdce9008a,0xdb0a01d5}},	//   _come_, _פשרה_, _jleħ, nnfæ, 
   {{0x99510076,0x25a90415,0xa1580259,0x2d84015c}},	//   _náš_, _mmal_, _таяу_, _dome_, 
   {{0x2bbb0084,0xdb0a6b8c,0x973c0a1a,0x09af009a}},	//   خاصة_, nifè, bići, जच्य, 
   {{0xfee500cc,0x5e9500eb,0x8e856223,0x2d846b8d}},	//   _প্রধ, _الأط, _الزه, _fome_, 
   {{0xd2b80a33,0x7dd80039,0x3a290304,0x7e620035}},	//   ילות_, písa, čap_, łopc, 
   {{0xf8a900c5,0x290d2d00,0x61320104,0x48e50033}},	//   دگاه_, rbea_, _mаlа, নড্র, 
   {{0x25a96b8e,0x99510098,0x00000000,0x00000000}},	//   _amal_, _dáš_, --, --, 
   {{0x85ea0012,0x16a90c54,0xdb0300f6,0x61e46b8f}},	//   лдов_, увни_, minà, ymil, 
   {{0xceb200fe,0x76410ff2,0x25a900a1,0x857a02a0}},	//   ליי_, rtly, _cmal_, усот_, 
   {{0xa5c701d5,0x76416b90,0x61e4042a,0x00000000}},	//   _slóð, stly, vmil, --, 
   {{0x39980183,0x25a96b91,0x00000000,0x00000000}},	//   _vése_, _emal_, --, --, 
   {{0xe2976b92,0x412a34bb,0x03a30176,0xe61908ba}},	//   бар_, лово_, чиро, _ёди_, 
   {{0xc2436b93,0x973c0d26,0xdb030054,0x61e401a4}},	//   янск, vići, hinà, umil, 
   {{0xe0da6b94,0x61e46b95,0xa3ba00d4,0xc0e33f74}},	// [5f20] ува_, rmil, _مادر_, зотк, 
   {{0xe47b0056,0x2d840056,0xef171488,0x973c0b1d}},	//   _עריכ, _some_, йму_, tići, 
   {{0x442237ed,0xc7d600a7,0xdb0303a1,0x799b0065}},	//   lsk_, צועי_, dinà, khuw, 
   {{0x63ae6b96,0x628e0009,0x973c08e3,0x80a600d7}},	//   libn, mybo, rići, _همجن, 
   {{0x442252ea,0x996c00bc,0x628e6b97,0x653b00c7}},	//   nsk_, těž_, lybo, רענד, 
   {{0xd00f0411,0x973c0242,0x4422238e,0xdb0303dd}},	//   _سلف_, pići, isk_, ginà, 
   {{0x2d8402f5,0x628e6b98,0xdb0a6b99,0x66040304}},	//   _tome_, nybo, nifé, _čiko, 
   {{0xed5a02fb,0x6f1e0254,0xd90d13b4,0x799b0008}},	//   _щоб_, lapc, نیم_, ghuw, 
   {{0x628e014b,0x00000000,0x00000000,0x00000000}},	//   hybo, --, --, --, 
   {{0x995108d7,0x7d020141,0x25a9098d,0x7c2d03f5}},	//   _váš_, lcos, _smal_, šarc, 
   {{0x69c90415,0x9f940080,0x799b023e,0x628e0028}},	//   boee, mää_, bhuw, jybo, 
   {{0x7d026b9a,0x628e6b9b,0x799b6b9c,0xdb1a08bb}},	//   ncos, dybo, chuw, _aktø, 
   {{0xdb03243b,0x6f1e0019,0xe4c70cfe,0x478600b9}},	//   liná, kapc, сённ, _гыйб, 
   {{0x56940fa7,0xa85700d1,0x63ae0144,0x9f940080}},	//   _малт, _לידה_, gibn, nää_, 
   {{0x1b1d0086,0xdb030098,0xdb0a19cb,0xcf8b0148}},	//   _নামে_, niná, rifè, қсад_, 
   {{0x26dc1612,0x7c226b9d,0x78ad0028,0x44220b41}},	//   _izvo_, ksor, _žavi, bsk_, 
   {{0x9f9400c8,0x7d02012b,0x7bca018e,0x00000000}},	// [5f30] kää_, dcos, kofu, --, 
   {{0x325552d5,0x1ae30086,0x7c225769,0x9f9400c8}},	//   _двор, নুয়া, dsor, jää_, 
   {{0xdfd80093,0xdb030377,0xaaa700c2,0x28af1503}},	//   сът_, jiná, _केंक, _जेनि, 
   {{0xdb036b9e,0xfe7000eb,0x3cd56b9f,0x3cf8007a}},	//   diná, عدل_, ожес, معهد_, 
   {{0x7c22042a,0x913a00c7,0xcfc30086,0xa2cd6ba0}},	//   gsor, _דערק, ্গবন, _दुत्, 
   {{0x7e620035,0xeb96668d,0xdb032c26,0x7bca3599}},	//   łopa, жиш_, finá, gofu, 
   {{0xdb036ba1,0x4999452e,0xfbd00195,0xdd950504}},	//   giná, ития_, رته_, _давы, 
   {{0xe8f95694,0x442236ae,0xe9d903b7,0x7d0262de}},	//   шли_, ysk_, јки_, ccos, 
   {{0x2eb90c15,0x7c226ba2,0x6a4a00ad,0x628e6ba3}},	//   _आशुत, csor, _vəfa, zybo, 
   {{0x6dbc0112,0x7d1b1176,0x80c60086,0x799b6ba4}},	//   nčan, _heus, লেক্, shuw, 
   {{0x98b90824,0x7d1b6ba5,0xcb120486,0xe57a1010}},	//   ısı_, _keus, _חלב_, азн_, 
   {{0x3cf00262,0x24ea02f1,0x4422042a,0x7d1b025b}},	//   ुँचे_, имни_, tsk_, _jeus, 
   {{0x44246ba6,0x628e00f8,0x7d1b6ba7,0x44220009}},	//   ém_, wybo, _meus, usk_, 
   {{0x442200fc,0x628e6ba8,0x7d1b6ba9,0x2b9001fd}},	//   rsk_, tybo, _leus, _càch_, 
   {{0x6f1e00ef,0x154626e7,0x5275049b,0x2d9d045a}},	//   vapc, _дейм, путу, khwe_, 
   {{0x7c240062,0x7bca2fc5,0x7c224687,0x63ae0e32}},	//   širi, zofu, ysor, sibn, 
   {{0xef1a6baa,0xdb0300bc,0x7bca06f2,0x9f860bfd}},	// [5f40] има_, ziná, yofu, огад, 
   {{0xafdb05ce,0x65645d48,0x291f6bab,0x7dec0761}},	//   _spør, _haih, haua_, _işsi, 
   {{0x9f94030f,0x2eee014e,0x7d1b6bac,0x7763114a}},	//   vää_, äff_, _beus, _manx, 
   {{0xccf8032e,0x7c226bad,0xdb03026e,0x216a6bae}},	//   сқа_, tsor, viná, _тими_, 
   {{0x9f940df8,0x65646baf,0x7d1b6bb0,0x64466bb1}},	//   tää_, _maih, _deus, ntki, 
   {{0x7c226bb2,0x7d0212f6,0x656400c8,0xdb030483}},	//   rsor, scos, _laih, tiná, 
   {{0x7bca6bb3,0x64466bb4,0xda7a0386,0x9f9400c8}},	//   rofu, htki, рял_, rää_, 
   {{0x6f1c04a1,0x9f94030f,0x81d800cc,0xdb031c18}},	//   _herc, sää_, াদক_, riná, 
   {{0xb9020bb6,0xa3da00ab,0x77630126,0x46cf00c2}},	//   _धर_, ़ता_, _banx, _सुबह, 
   {{0x39980ac3,0xdb032b70,0x77636bb5,0x7d1b6bb6}},	//   _désa_, piná, _canx, _zeus, 
   {{0x6f1c0c04,0x656458f8,0x4efb00c7,0x9f510118}},	//   _merc, _baih, יליג, _dizè_, 
   {{0x656400a1,0x00000000,0x00000000,0x00000000}},	//   _caih, --, --, --, 
   {{0x65645334,0xe7861cc1,0xf3ff02aa,0x69c7009a}},	//   _daih, _муко, rvão_, ावरी, 
   {{0x7763022c,0x8c480e03,0x6576010e,0x7dd10343}},	//   _ganx, mağı, _enyh, låst, 
   {{0x6dbc02f5,0x659501a2,0x92681a68,0x8c4806a2}},	//   včan, _наку, орта_, lağı, 
   {{0x60f911c5,0x65c40524,0x1a9b0070,0x6b886bb7}},	//   сная_, _обја, בילע, _lodg, 
   {{0x6f1c23dd,0x7d1b6bb8,0x8c4806a2,0x2b9000a1}},	// [5f50] _berc, _reus, nağı, _tàch_, 
   {{0x44396bb9,0x6f1c6bba,0xdfd10084,0x7d1b614f}},	//   mus_, _cerc, ريا_, _seus, 
   {{0x44396bbb,0x2d9d084c,0x6dbc6bbc,0xdb030241}},	//   lus_, thwe_, rčan, linç, 
   {{0x753d6bbd,0xdce003c0,0x44396bbe,0xd5b90243}},	//   ngsz, _almı, ous_, ksām_, 
   {{0x6dbc090e,0x6f1c0156,0x3d0a00a5,0x7d1b0068}},	//   pčan, _ferc, ाड़े_, _veus, 
   {{0xf1bf06b6,0x2d9d6bbf,0x291f0053,0x7d1b0548}},	//   _hjá_, shwe_, waua_, _weus, 
   {{0x6fba0865,0x69c46bc0,0x539c027a,0x776300b9}},	//   ्वरू, čien, שיוו, _ranx, 
   {{0x77636bc1,0x6dbc0813,0x6b9a040c,0xf1bd00bc}},	//   _sanx, nčal, _eltg, ्किन, 
   {{0x44396bc2,0xa3bd0351,0x65640982,0xa2cd0e49}},	//   jus_, ेका_, _raih, _दुस्, 
   {{0x44396bc3,0x6d4b06c7,0xe73902a6,0x656401f1}},	//   dus_, lfga, љен_, _saih, 
   {{0x44396bc4,0xb9010086,0xf1bd1f9a,0x41bd0e6e}},	//   eus_, _দল_, ्कान, ्कास, 
   {{0x99510032,0x9f590175,0x8c480e03,0x2c5d0237}},	//   _báť_, _dusé_, bağı, _kňd_, 
   {{0x6564030f,0xe72e4f80,0x8c480749,0x77630042}},	//   _vaih, _пе_, cağı, _tanx, 
   {{0x24446bc5,0x291d6bc6,0x64466bc7,0x6d596bc8}},	//   röm_, _hewa_, rtki, hewa, 
   {{0x64466bc9,0x672100f1,0x443900e4,0xf7701fdb}},	//   stki, malj, aus_, _جان_, 
   {{0x6f1c6bca,0x515503dd,0x420a01a2,0x291d0226}},	//   _serc, мтуу, инҳо_, _jewa_, 
   {{0x6f1c0ad8,0x21206bcb,0x671f000f,0xe53b00d1}},	// [5f60] _perc, raih_, _मजाक_, _התפר, 
   {{0x80c10033,0x6d4b121d,0x7c39039b,0x64a46bcc}},	//   _শৃঙ্, efga, duwr, _нақа, 
   {{0x6d593dfc,0x21200065,0x26270242,0x02fb00d1}},	//   fewa, paih_, nđo_, _ללימ, 
   {{0x7e6200ab,0x6d59370f,0x291d1b71,0x6f1c039b}},	//   łopo, gewa, _newa_, _werc, 
   {{0x0b8a0141,0x6b886bcd,0x7dd82439,0x25fd0796}},	//   йски_, _podg, lísk, _रूसी_, 
   {{0x2d870218,0xa136009c,0x2c5d0118,0x00000000}},	//   êner_, _برگش, _dňd_, --, 
   {{0x67216bce,0x9ea71eac,0x291d0415,0xdb031e4b}},	//   dalj, _евра_, _bewa_, dinä, 
   {{0x6d596bcf,0x8c466bd0,0x8c4804be,0x25dc0083}},	//   cewa, _небе, tağı, _गीली_, 
   {{0x291d12e6,0xdb0a00eb,0xdca3583e,0x9f510054}},	//   _dewa_, lifí, _зати, _sizé_, 
   {{0x44396bd1,0xdce06bd2,0x67216bd3,0x8c4806a2}},	//   vus_, _jamč, galj, rağı, 
   {{0x44390876,0xe535012d,0x3f8a6bd4,0x9f4b02a3}},	//   wus_, мень, _mobu_, _cucù_, 
   {{0x7c24090e,0xa2cd101f,0xdb0302aa,0x8c480213}},	//   širu, _दुष्, tinç, pağı, 
   {{0x67211fc4,0x2bb60083,0xddce00ec,0x00000000}},	//   balj, ałce_, _arbū, --, 
   {{0xf1bf010d,0xdce000ef,0x66b40161,0x6d590035}},	//   _sjá_, _namč, _облу, zewa, 
   {{0x443953e5,0xa2cd3081,0x61fe6bd5,0xf2c40e06}},	//   sus_, _दुश्, _cupl, естн, 
   {{0x61fe6bd6,0xdb0a1cf0,0x291d009e,0xdb1a04a8}},	//   _dupl, difí, _xewa_, _aktü, 
   {{0xa2cd0497,0x752d02ba,0x44390183,0xfbdc02d9}},	// [5f70] _दुर्, _idaz, qus_, यताम, 
   {{0x44296bd7,0x4fd41d02,0xa85700d1,0x39b70474}},	//   _iva_, ежут, הימה_, răsi_, 
   {{0x44290b0c,0x3f8a026e,0xb81e00b5,0xc332008d}},	//   _hva_, _dobu_, _मौसम_, _בוי_, 
   {{0xdb1a43ec,0x672100d2,0x442900fc,0xf53f00dd}},	//   _októ, zalj, _kva_, ngå_, 
   {{0x6b651f79,0x61e1000b,0x986f020b,0x200b00b4}},	//   дкла, ïllu, túče_, _utci_, 
   {{0x6d594f83,0x291d6bd8,0x6dbc22ed,0x44296bd9}},	//   sewa, _sewa_, nčaj, _mva_, 
   {{0x752d0d26,0xbe886bda,0xdb0a019c,0x291d095a}},	//   _odaz, _есте_, cifí, _pewa_, 
   {{0x442903ef,0x7d042016,0xdb18014b,0xe8096bdb}},	//   _ova_, ñist, mový, онид_, 
   {{0xdb18026e,0x7c2400eb,0xf53f01cc,0xf7710e61}},	//   lový, áirt, dgå_, ناد_, 
   {{0x752d044d,0x386f039b,0x660500fd,0x5fbf5719}},	//   _adaz, _vrgr_, мпоа, ्विल, 
   {{0x442956b6,0x7c295123,0x67216bdc,0xdb18026e}},	//   _ava_, _hver, ralj, nový, 
   {{0x672104d1,0x26270082,0x7c296bdd,0xdb033b6c}},	//   salj, rđo_, _kver, sinä, 
   {{0x61fe6bde,0x6fbf00a2,0x893400eb,0xdb18014b}},	//   _supl, ्वां, _أعما, hový, 
   {{0x99800039,0xdb18026e,0x28e2109f,0x61fe6bdf}},	//   čiť_, kový, _परति, _pupl, 
   {{0xdb18014b,0x386d173f,0x324309d9,0x0eac02e6}},	//   jový, lver_, керг, _टेंड, 
   {{0x7c296be0,0x3f8a0062,0xdb1805a8,0x7dd8008c}},	//   _over, _sobu_, dový, rísk, 
   {{0x1f663ce1,0x44296be1,0x798b0204,0xd5490038}},	// [5f80] мкам, _gva_, _mogw, _رجيم_, 
   {{0x7d09045a,0x798b019b,0x61fe00c8,0x386d1baf}},	//   _afes, _logw, _tupl, iver_, 
   {{0xdfcf057f,0x7c292c07,0x386d08bb,0x28af0586}},	//   جيل_, _aver, hver_, _जेसि, 
   {{0x2eb501a2,0x798b039b,0x7c290502,0x44290cfe}},	//   хсус, _nogw, _bver, _yva_, 
   {{0xa3e3072f,0x419700d4,0x386d012e,0xdb0a0068}},	//   _फीड_, _آشپز, jver_, sifí, 
   {{0x7c290187,0xdb180356,0x6456007c,0x39980a13}},	//   _dver, bový, _mpyi, _péso_, 
   {{0x7c290056,0x394d6be2,0xdb180098,0x7d0900f8}},	//   _ever, ffes_, cový, _ffes, 
   {{0xdee36be3,0xd91a004f,0xed572ee5,0x394200b0}},	//   _роси, цьк_, _оос_, üks_, 
   {{0x660d1ae9,0x7c29003d,0x6dbc0228,0x2616034d}},	//   _čaka, _gver, yčaj, _भौजी_, 
   {{0x7dd8330a,0x2ca600a3,0x44296be4,0x00000000}},	//   dísi, mzod_, _rva_, --, 
   {{0x7c290187,0x386900ef,0x56942076,0x2b140425}},	//   _zver, _šart_, хант, _न्यु_, 
   {{0x5693269c,0x9f9f02b0,0x7c290549,0x798b00f3}},	//   тают, _véél_, _yver, _gogw, 
   {{0x2edb05fd,0xf8e207cc,0xf53f05ac,0xdb18014b}},	//   _भर्त, _परिय, rgå_, zový, 
   {{0x237a02a0,0x69c202c5,0x798b044d,0x75fe0243}},	//   _cnpj_, _hjoe, _zogw, _līzi, 
   {{0xe2f8005e,0x798b0532,0xdce20032,0x00000000}},	//   дері_, _yogw, jkoľ, --, 
   {{0xd5b8032e,0x44296be5,0x2b491993,0xdb18014b}},	//   _осы_, _tva_, đaci_, vový, 
   {{0x44296be6,0x2d86011c,0xdb180218,0x00000000}},	// [5f90] _uva_, djoe_, vnvî, --, 
   {{0xdb180076,0x7c294818,0x00000000,0x00000000}},	//   tový, _rver, --, --, 
   {{0x7c2905a1,0x63b56be7,0xdde200ca,0x9df90080}},	//   _sver, mizn, _šušu, чнет_, 
   {{0xdb18026e,0x68e202f1,0x386d0d09,0x63b56be8}},	//   rový, _ozod, yver_, lizn, 
   {{0x80270fdc,0x61ed3eba,0xdb18014b,0xdb036be9}},	//   _ترجم, mmal, sový, minú, 
   {{0x61ed36ef,0xdb180098,0xa3df258c,0x69c2019c}},	//   lmal, pový, तति_, _ajoe, 
   {{0xd90f06bc,0x798b0204,0x61ed6bea,0xa3c001a4}},	//   لیا_, _pogw, omal, ंचत_, 
   {{0x9f59063b,0x61ed6beb,0xa2d60c06,0x7c296bec}},	//   _musí_, nmal, _मुफ्, _tver, 
   {{0x386d0518,0x7c296bed,0xa2d62c8a,0xa3df1893}},	//   uver_, _uver, _मुन्, तता_, 
   {{0x7dd8003e,0x61ed6bee,0x798b044d,0x63b52467}},	//   vísi, hmal, _wogw, jizn, 
   {{0x61ed6bef,0x7d042c1c,0xc7a80038,0x386d6bf0}},	//   kmal, žise, بديل_, sver_, 
   {{0xb8e5100b,0x7dd81f71,0x39916bf1,0x6dbc0242}},	//   _এর_, tísi, _pásu_, včak, 
   {{0x61ed01dd,0x00000000,0x00000000,0x00000000}},	//   dmal, --, --, --, 
   {{0x7dd8330a,0x69db024a,0xf74502a0,0x18662e07}},	//   rísi, llue, _чеко, _чаши_, 
   {{0x21766bf2,0x7dd8033c,0x9f5102d9,0xa0a300a3}},	//   нуар, sísi, _cizí_, ҳатд, 
   {{0x61ed6bf3,0x600a15f5,0x9f58009e,0x7dd80369}},	//   gmal, знам_, _girê_, písi, 
   {{0x3fe64ece,0x63b56bf4,0x69db6bf5,0x55bb00d1}},	// [5fa0] ежав, bizn, ilue, _ממקו, 
   {{0x63b5044e,0x2d9f0088,0x61ed0128,0x69db02eb}},	//   cizn, _alue_, amal, hlue, 
   {{0xdee66bf6,0x2d9f6bf7,0x7e5600d9,0x00000000}},	//   хожи, _blue_, этац, --, 
   {{0xde030e14,0x61bd2158,0xd2b7027a,0xbd67004f}},	//   упци, ्कृष, _טלית_, ерше_, 
   {{0x200400d9,0x00000000,0x00000000,0x00000000}},	//   _îmi_, --, --, --, 
   {{0x9f5801ee,0xa3c005e5,0x69c26bf8,0xaa586bf9}},	//   _mirë_, ंचि_, _sjoe, дику_, 
   {{0xdee36bfa,0x9f58024a,0xa2d60b3e,0x69db6bfb}},	//   _бори, _lirë_, _मुम्, flue, 
   {{0x20026bfc,0x68e2008a,0x00000000,0x00000000}},	//   _kuki_, _pzod, --, --, 
   {{0xa3c002f8,0x6da36bfd,0x752601ca,0x7cf60213}},	//   ंचा_, _сита, dakz, _dürü, 
   {{0x27f805e7,0xc6a601d7,0x999f00e0,0x61ed0998}},	//   örn_, ерми, ārši_, zmal, 
   {{0xe8fa6bfe,0x61ed6bff,0x63b521de,0x34940283}},	//   _еле_, ymal, vizn, қарр, 
   {{0x6d426c00,0x69db6c01,0x61ed6c02,0x7cf60241}},	//   ngoa, clue, xmal, _gürü, 
   {{0x200200ef,0x19b70070,0x58930296,0x61ed010c}},	//   _nuki_, _אפאר_, _مجوز, vmal, 
   {{0x27e700a1,0xb36400fd,0x39ac02d9,0x25a0059e}},	//   _ghnn_, лъск, věsy_, _elil_, 
   {{0x61ed6c03,0x7cf603c0,0x66730133,0x20026c04}},	//   tmal, _yürü, _مدير, _auki_, 
   {{0x26db042c,0x2509009c,0x6d420097,0x69c034cd}},	//   _מקומ, _غربی_, jgoa, nnme, 
   {{0x69c06c05,0x40346c06,0x00000000,0x00000000}},	// [5fb0] inme, летс, --, --, 
   {{0x200f002a,0x20022556,0xdb0300e9,0x25a00604}},	//   īgi_, _duki_, sinú, _zlil_, 
   {{0x4fc46c07,0x44390118,0x39460042,0x61ed0384}},	//   уста, lrs_, _ocos_, pmal, 
   {{0xdce00b03,0x442b6c08,0x386600b9,0x44396c09}},	//   _samā, osc_, _osor_, ors_, 
   {{0xc8af0299,0xdce00243,0xcb696c0a,0xc05840f6}},	//   _जेंट, _pamā, дале_, _пір_, 
   {{0x7cf6091f,0x6d4201f1,0x44396c0b,0x9f3500f0}},	//   _sürü, agoa, irs_, _шегі, 
   {{0x660d6c0c,0x38660b74,0xdddc010e,0xdb0a008c}},	//   _čako, _asor_, _errő, kifæ, 
   {{0x44391c2b,0xa3e30262,0x69c000df,0x00000000}},	//   krs_, _फीस_, gnme, --, 
   {{0x69db0175,0x442b0035,0x44396c0d,0xdce00b03}},	//   rlue, jsc_, jrs_, _tamā, 
   {{0x8aa76c0e,0x93e00262,0x394604ef,0x7c2b4efe}},	//   _пред, _खींच_, _ecos_, msgr, 
   {{0x443941ba,0xe5a62756,0x442b00d9,0x9f580118}},	//   ers_, вини, esc_, _dirè_, 
   {{0x9f58021e,0x394628d7,0x00000000,0x00000000}},	//   _pirë_, _gcos_, --, --, 
   {{0x7c2b6c0f,0x5fd10ed5,0x7dd802d9,0x799b2b03}},	//   nsgr, तकाल, míst, mkuw, 
   {{0x33d5013d,0x395f6c10,0x6a4a0095,0x75260082}},	//   гіст, leus_, _səfi, sakz, 
   {{0x25e305fd,0x9f430183,0x442b0038,0x799b0053}},	//   _टीवी_, _lijó_, asc_, okuw, 
   {{0x7dd86c11,0x20026c12,0x25a04c4e,0x67236c13}},	//   níst, _puki_, _ulil_, _henj, 
   {{0x66036c14,0x67236c15,0xf5930038,0x78a9039b}},	// [5fc0] _hunk, _kenj, _خليج, nzev, 
   {{0x67231d0a,0x66036c16,0x752401c4,0x395f6c17}},	//   _jenj, _kunk, _heiz, heus_, 
   {{0x67231336,0x442002a2,0x75246c18,0x395f00c8}},	//   _menj, _hwi_, _keiz, keus_, 
   {{0x66033ed0,0xdd99005e,0x67236c19,0x9f580369}},	//   _munk, нші_, _lenj, _miré_, 
   {{0x395f6c1a,0x7dd86c1b,0xcfaa0fdc,0x6d426c1c}},	//   deus_, díst, _قاسم_, rgoa, 
   {{0x394600d9,0x67236c1d,0x6dbc0082,0xdb010032}},	//   _scos_, _nenj, jčav, _zmlú, 
   {{0x395f00f6,0x2606009a,0x442005d5,0x2b990237}},	//   feus_, _संधी_, _lwi_, _mèch_, 
   {{0x7dd86c1e,0x75240caf,0x395f11e9,0x2d9c00e0}},	//   gíst, _neiz, geus_, īves_, 
   {{0xf1b30a33,0x69c06c1f,0x66030369,0x442005d5}},	//   יסה_, rnme, _aunk, _nwi_, 
   {{0x660352b7,0xdb1a65f3,0x9989203b,0x67231db4}},	//   _bunk, _aktö, čaš_, _cenj, 
   {{0xa3d61556,0x659535e9,0x4420033e,0xd5b901dd}},	//   िकन_, гану, _awi_, ksāt_, 
   {{0x66036c20,0x443900e0,0x9f586c21,0x44206c22}},	//   _dunk, trs_, _diré_, _bwi_, 
   {{0x44391164,0x442d026d,0x3866002e,0x9f586c23}},	//   urs_, ée_, _usor_, _eiré_, 
   {{0x442002bf,0x67236c24,0x61bd049c,0x316b6c25}},	//   _dwi_, _genj, ्क्ष, _sacz_, 
   {{0x7dd82aa3,0x67286c26,0xf7720019,0x81be0033}},	//   níss, madj, _ماں_, েতন_, 
   {{0x7c2d6c27,0x44396c28,0xc7b80082,0x75240502}},	//   šari, prs_, liđ_, _geiz, 
   {{0x10750504,0x225a01d6,0x260600c9,0xdb0a04f4}},	// [5fd0] ылаю, _eppk_, _सूती_, nnfó, 
   {{0x67286c29,0xcebb02a6,0x39980096,0x66030104}},	//   nadj, мље_, _dési_, _yunk, 
   {{0xdfd80141,0x7c2b6c2a,0x229508d1,0xf3f00038}},	//   тът_, wsgr, _синя, _بأي_, 
   {{0x7dd86c2b,0x656f6c2c,0xf653035c,0x672836d3}},	//   xíst, ndch, יצע_, hadj, 
   {{0x2129156e,0x656d6c2d,0x395f00f6,0x61fd0175}},	//   maah_, _maah, veus_, _iisl, 
   {{0xdd030718,0x21296c2e,0x7c2b6c2f,0x61fd6c30}},	//   ırıl, laah_, rsgr, _hisl, 
   {{0x61fd6c31,0x395f6c32,0x6723003d,0x9f580218}},	//   _kisl, teus_, _renj, _kirî_, 
   {{0x672304bb,0x21290065,0x66036c33,0xdd9409d9}},	//   _senj, naah_, _runk, _касы, 
   {{0x75246c34,0x67232546,0x660300e4,0x7989010c}},	//   _reiz, _penj, _sunk, rjew, 
   {{0x67286c35,0x66036c36,0x21296c37,0x395f1f99}},	//   gadj, _punk, haah_, seus_, 
   {{0x656d0149,0x44200237,0x395f6c38,0x67236c39}},	//   _baah, _swi_, peus_, _venj, 
   {{0x8aa40002,0x2d9d003d,0x672302a5,0xe81e0b3e}},	//   _труд, nkwe_, _wenj, _मौका_, 
   {{0xa3c00077,0x21290640,0x67286c3a,0x67236c3b}},	//   ंचल_, daah_, badj, _tenj, 
   {{0x61fd6c3c,0x66036c3d,0x290d00d9,0x9f583e9d}},	//   _aisl, _tunk, lcea_, _tiré_, 
   {{0x442024bc,0x61fd6c3e,0x212900e2,0xdb030038}},	//   _wwi_, _bisl, faah_, ghné, 
   {{0x2fd80666,0x290d00d9,0xd2e435ff,0x76413341}},	//   _skrg_, ncea_, _गरीब_, muly, 
   {{0x316000e0,0x6a4a0095,0x3f910065,0x00e63c51}},	// [5fe0] reiz_, _həft, _bozu_, ужан, 
   {{0x6d490aa4,0x3366442e,0x61fd6c3f,0xa06800f0}},	//   _acea, _свог, _eisl, наға_, 
   {{0x52766c40,0x69d90a8b,0xe3b5004e,0x3f91685b}},	//   _супу, _okwe, _тұр_, _dozu_, 
   {{0x6dbc014b,0x7dd820f1,0x9e590176,0x5bdc0110}},	//   jčat, víss, ъруф_, यत्व, 
   {{0xa3ab00b0,0xccf8004e,0x00000000,0x00000000}},	//   _खतम_, тқа_, --, --, 
   {{0x76416c41,0x0a6a50ff,0x437600c7,0x69d96c42}},	//   kuly, ерии_, רײַן_, _akwe, 
   {{0xad5a6c43,0x00000000,0x00000000,0x00000000}},	//   _прах_, --, --, --, 
   {{0x383420e1,0x7bc36c44,0x6d490084,0x7dd820dc}},	//   анир, annu, _gcea, ríss, 
   {{0xfce343a1,0x656d0080,0xf0b70070,0x628302be}},	//   _гото, _raah, ָליר_, _ànov, 
   {{0x385700eb,0x69d901f2,0x656d6c45,0x57b42ead}},	//   اشيد_, _ekwe, _saah, рбот, 
   {{0x67286c46,0x76416c47,0x7fd700c7,0xd6da00b3}},	//   radj, guly, רויס_, эти_, 
   {{0xceb300a7,0x67280ab4,0x290d1727,0xdb010212}},	//   מית_, sadj, ccea_, _allè, 
   {{0x58961c8f,0xa3c000a2,0x25b900ef,0xdb1802aa}},	//   _حجاز, ंचं_, risl_, vivê, 
   {{0x656d2925,0x60dd040b,0x76416c48,0x00000000}},	//   _waah, _rysm, buly, --, 
   {{0x61fd6c49,0x21290640,0x6dbc6c4a,0xb28416d0}},	//   _pisl, taah_, nčas, бытк, 
   {{0x70590013,0x80d30086,0xb1152609,0xdb03014b}},	//   кабр_, _দৃষ্, рмаш, diný, 
   {{0x60f92f89,0x644d0640,0x7bda0dc9,0x61fd6c4b}},	// [5ff0] тная_, _uqai, _oktu, _visl, 
   {{0xb4c329b0,0x6d493d84,0x9f410038,0x60dd0098}},	//   ्थी_, _scea, lmhú_, _vysm, 
   {{0x6dbc026e,0x62670629,0x61fd6c4c,0x3f914291}},	//   jčas, _صادق, _tisl, _vozu_, 
   {{0x7bda6c4d,0x61fd0010,0x5c75687e,0x6dbc2645}},	//   _aktu, _uisl, илет, dčas, 
   {{0x8b25170f,0x6dbc0377,0x7a1101dd,0x3f910213}},	//   адле, včat, _māte, _tozu_, 
   {{0x0ed000a2,0x00000000,0x00000000,0x00000000}},	//   _तुकड, --, --, --, 
   {{0xa3d60081,0x98bf0bfc,0xfaa56c4e,0x00000000}},	//   िकत_, rguč_, райо, --, 
   {{0x62830212,0x7a0a0083,0x00000000,0x00000000}},	//   _ànou, _tętn, --, --, 
   {{0x0cd900d4,0xf09200c7,0x290d00d9,0x6dbc17a2}},	//   _شارژ_, ַנט_, rcea_, rčat, 
   {{0x27951ef0,0x764115f9,0xed590242,0xe1ff03dd}},	//   ршир, tuly, _hbž_, _lió_, 
   {{0x66e56c4f,0x6dbc03f5,0xdb1801d5,0x00000000}},	//   рона, mčar, fnvæ, --, 
   {{0x58d5048a,0x2875058b,0x69d932d6,0x76412265}},	//   _коет, _выкр, _ukwe, ruly, 
   {{0xdd140228,0xdb01026a,0x76416c50,0x00000000}},	//   núši, _allé, suly, --, 
   {{0x6dbc2b4a,0x764100ad,0x98a209f6,0xa6950267}},	//   nčar, puly, _фише, _вриј, 
   {{0xa2d605fd,0x412a6c51,0x232753b5,0x41b66c52}},	//   _मुश्, ково_, роси_, асат, 
   {{0xe1ff00f6,0xdb180034,0x00000000,0x00000000}},	//   _ció_, tivë, --, --, 
  
   {{0x2167442e,0xd0070cda,0x02db09ec,0x2fda00d7}},	// [6000] шити_, иете_, _मुठभ, نورد_, 
   {{0xef176c53,0x2b99011c,0x2d8001dd,0x00000000}},	//   иму_, _kècu_, ķiem_, --, 
   {{0x63bc02f5,0x9e666c54,0xe8e20586,0x433b008d}},	//   mirn, рвед, _पर्च, _בעיב, 
   {{0xe1ff001b,0x63bc6c55,0x6d4f035d,0x6b810118}},	//   _gió_, lirn, _öcal, _anlg, 
   {{0x2ca0057f,0x629c01be,0x6b6600a3,0x7d0401dd}},	//   áid_, lyro, икда, žiso, 
   {{0x63bc6c56,0x3998003e,0xc47700df,0x00000000}},	//   nirn, _lést_, יתנו_, --, 
   {{0x2ca002fe,0x62830212,0xdb180098,0x9a8608ba}},	//   šid_, _ànot, nivé, рулл, 
   {{0x63bc1237,0x7c660a5a,0x99d300eb,0x7d0d0126}},	//   hirn, _پارل, يتيا, ñast, 
   {{0xbee602f8,0x63bc6c57,0xdca3527c,0x629c6c58}},	//   _करुन_, kirn, _дати, hyro, 
   {{0x4734093d,0x7bc800ef,0x6dbc090e,0xb8ee009a}},	//   щнос, _ujdu, pčas, _रश_, 
   {{0x44320489,0xc98619d9,0xa2d6017d,0xeb9702a6}},	//   _avy_, _вули, _मुल्, _њих_, 
   {{0x99800904,0x241916d0,0x2a6c04c6,0x87e800f0}},	//   čių_, ломы_, _isdb_, _өлең_, 
   {{0xb4c300bc,0xe1ff0126,0xdb032033,0xe4e7004f}},	//   ्थे_, _rió_, cinó, рінн, 
   {{0xbee602f8,0x7bd86c59,0x99890228,0x63bc6c5a}},	//   _करून_, novu, čať_, girn, 
   {{0x79826c5b,0xe5c700c8,0x63a500de,0x629c6c5c}},	//   _know, _вспо, _vlhn, gyro, 
   {{0x7bd86c5d,0x200f02aa,0x661552b7,0x00000000}},	//   hovu, ígio_, ízke, --, 
   {{0x63bc6c5e,0x34940013,0x644003a1,0x20986c5f}},	// [6010] birn, _маър, àmit, акты_, 
   {{0x63bc5802,0xed5900ca,0xdb180ed9,0xbc190259}},	//   cirn, _sbž_, bivé, ңілі_, 
   {{0xdb1800c8,0x7bd86c60,0xa3bc00b0,0x79822835}},	//   invä, dovu, _आगत_, _onow, 
   {{0x3dc6019c,0x00000000,0x00000000,0x00000000}},	//   gnow_, --, --, --, 
   {{0x65a6008c,0x0e0503dc,0x3d0f031e,0x8d7401c9}},	//   _jóha, рӯҳо, ाडौं_, تالا, 
   {{0xdcfb090e,0x3e1700d4,0xda650038,0x1b4900c8}},	//   _unuč, _نظرس, ماعي, узки_, 
   {{0x9e3400f6,0x3f836c61,0x00000000,0x00000000}},	//   _мерч, _inju_, --, --, 
   {{0x63bc6c62,0x26c900d2,0x2b4c332a,0x00000000}},	//   zirn, _ćao_, _ecdc_, --, 
   {{0x7982012b,0x629c0035,0xe8f90080,0xa2e400bd}},	//   _dnow, zyro, ыли_, _गर्ज_, 
   {{0x7c2d00ef,0x63bc0183,0x3998003e,0xf7450267}},	//   šars, xirn, _sést_, љено, 
   {{0xdce00704,0x63bc0688,0xb8fe1e25,0x69c4020b}},	//   _pamć, virn, _दु_, čier, 
   {{0xdb180218,0x629c4087,0xdb0300f6,0x00000000}},	//   nivî, vyro, cinò, --, 
   {{0x291f0010,0x63bc6c63,0x99d41a1c,0xdce20588}},	//   mbua_, tirn, _بتلا, rdoć, 
   {{0x629c6c64,0xdb18026a,0xa01b008c,0xb4e800b5}},	//   tyro, tivé, _kröf, _भरी_, 
   {{0xd29900dd,0x61ef02fe,0x1db70035,0x6d5b01b8}},	//   атті_, _bhcl, _आगंत, _obua, 
   {{0xdb18026a,0xa06a1753,0xa5266c65,0xd54a0165}},	//   rivé, лаба_, _умид, _спие_, 
   {{0x629c02ae,0x61ef00a1,0x351b00d1,0x7bd86c66}},	// [6020] syro, _dhcl, _גופנ, yovu, 
   {{0x64460383,0x447700d1,0xe80a02e6,0xe57002a4}},	//   muki, _פעיל_, _हंसा_, _işığ, 
   {{0x64466c67,0xee3a0d0c,0x60cf1cf0,0x3dc601f2}},	//   luki, уне_, _excm, tnow_, 
   {{0xac8614c1,0x3f830539,0x7bd8045a,0x60c90028}},	//   йгел, _enju_, wovu, _žeme, 
   {{0x64466c68,0xa3bc00b0,0x98a400e0,0x61e46c69}},	//   nuki, _आगा_, kamā_, mlil, 
   {{0x61e46c6a,0x2a6c02aa,0x98a401dd,0x00000000}},	//   llil, _psdb_, jamā_, --, 
   {{0x6e960040,0x32024ea4,0x7bd86c6b,0x6446331c}},	//   _الزا, _kiky_, rovu, huki, 
   {{0xd90e00d6,0x61e46c6c,0x64466c6d,0xa814032c}},	//   ریت_, nlil, kuki, одиш, 
   {{0xddb9058e,0xa01b01c4,0x644601a3,0x65666c6e}},	//   _турш_, _eröf, juki, dekh, 
   {{0x64466c6f,0x61e46c70,0xc3010033,0x2b3900d9}},	//   duki, hlil, ্রতি_, _вяцэ_, 
   {{0xdb18014e,0x212000ef,0x61e46c71,0x994a6564}},	//   rnvä, kbih_, klil, _ملال_, 
   {{0x64466c72,0x758b6c73,0x320200de,0x00000000}},	//   fuki, усов_, _niky_, --, 
   {{0xe89430cd,0x212000ef,0x2ec40299,0x613f0054}},	//   _фаль, dbih_, वपुत, _làlà, 
   {{0xe4a703dc,0x32020054,0x58f700d1,0x68e20027}},	//   арҳо, _aiky_, _המדע_, _iyod, 
   {{0xf1a70d5c,0x659500d3,0x212000ef,0xdb18010c}},	//   бран, _маку, fbih_, yivî, 
   {{0x61e40268,0x64462b2c,0x212000ef,0x672a003e}},	//   glil, buki, gbih_, _hefj, 
   {{0x752f00ab,0x32026c74,0x64466c75,0xf19427eb}},	// [6030] macz, _diky_, cuki, чить, 
   {{0x6d5b02cd,0xb17b014e,0xdb030038,0x2d840118}},	//   _sbua, _skåd, thní, _anme_, 
   {{0x61e46c76,0x212000ef,0x9f584c69,0x660a08e3}},	//   blil, bbih_, _dirà_, _jufk, 
   {{0x752f006a,0xcd2b00d4,0x61e4011c,0x29060210}},	//   nacz, اسان_, clil, _ngoa_, 
   {{0x67381799,0x212b0090,0x7ae10075,0x660a12d9}},	//   _odvj, _iech_, _sylt, _lufk, 
   {{0x212b00cf,0x2906084c,0x7ae10326,0xc5cf0033}},	//   _hech_, _agoa_, _pylt, রতিপ, 
   {{0x64464409,0x65666c77,0x68e26c78,0x539c0070}},	//   zuki, yekh, _ayod, ריוו, 
   {{0x200b04d1,0x200320ca,0x68e20118,0x64462f43}},	//   _kuci_, _hiji_, _byod, yuki, 
   {{0xb4e80262,0x9f4700e7,0x660a01c4,0x6d4b012b}},	//   _भरे_, _điên_, _aufk, mgga, 
   {{0x200b0613,0x6d4a03c0,0x20030053,0x61e40384}},	//   _muci_, ılaş, _jiji_, zlil, 
   {{0x20030053,0xfaa76c79,0x8aa76c7a,0x64466c7b}},	//   _miji_, _ушан, _урад, wuki, 
   {{0x644656c4,0x2019007e,0x212b0228,0x9f580327}},	//   tuki, _otsi_, _nech_, _mirá_, 
   {{0x20196c7c,0x92e60086,0x69db03dd,0xe72e6c7d}},	//   _ntsi_, _ফলে_, moue, _ое_, 
   {{0xb6a56c7e,0x64466c7f,0x69c94d5e,0x69db6c80}},	//   _милл, ruki, lnee, loue, 
   {{0x61e46c81,0x752f00ab,0x69c96c82,0x212b6c83}},	//   tlil, bacz, onee, _bech_, 
   {{0x69c96c84,0x64464610,0xa3ba0116,0x69db56dc}},	//   nnee, puki, _چادر_, noue, 
   {{0x200304bb,0x212b6c85,0x200b6c86,0x69c93ba0}},	// [6040] _biji_, _dech_, _cuci_, inee, 
   {{0x64a4032e,0x2003090b,0x21206c87,0xceea0009}},	//   _мақа, _ciji_, sbih_, адзе_, 
   {{0x20031e65,0x201900c8,0x212002fe,0x66046c88}},	//   _diji_, _etsi_, pbih_, _kiik, 
   {{0x69c9006d,0xec7a6c89,0xa01b014e,0x9f582d3b}},	//   jnee, ипе_, _bröd, _dirá_, 
   {{0x0b8a0166,0x200b1436,0xb4e80299,0x9f5800b9}},	//   иски_, _guci_, _भरो_, _tirà_, 
   {{0x660414ba,0xdce0031e,0x20030096,0xf7670dec}},	//   _liik, _zamě, _giji_, _غا_, 
   {{0xada66c8a,0x6da61061,0xdee302f1,0x7a110b03}},	//   _давл, _дива, _жори, _pāta, 
   {{0x8c46187c,0xa9c300dd,0x69c96c8b,0x69db0151}},	//   _мебе, дськ, gnee, goue, 
   {{0x80dc00cc,0x180400b0,0x995800bc,0x386f0027}},	//   _মৃত্, रदेव_, _též_, _csgr_, 
   {{0x69c902a5,0x752f0035,0x81d00033,0x7a300354}},	//   anee, wacz, ষতি_, _cótá, 
   {{0x3f9808b1,0xf09f001b,0x7a1101dd,0x69c9006f}},	//   _moru_, _ngàn_, _tāta, bnee, 
   {{0x94ab00cf,0xd5bb0e12,0x69db0151,0x00000000}},	//   атга_, рсо_, coue, --, 
   {{0xf76f00c5,0x6604005c,0x69c00088,0x212b6c8c}},	//   رای_, _diik, mime, _rech_, 
   {{0xfbbc2290,0x200b0062,0x67ef055f,0x3f986c8d}},	//   ्चिम, _ruci_, tøje, _noru_, 
   {{0x6d4b0164,0xdce0031e,0x212b1176,0xa3bc3e41}},	//   ygga, _pamě, _pech_, _आगर_, 
   {{0x301511db,0x200300c5,0xdb186c8e,0x6604011d}},	//   здар, _siji_, diví, _giik, 
   {{0x9abc0405,0x3f986c8f,0x6ab802e6,0xd2db00a5}},	// [6050] _deċi, _boru_, ेपुर, _मुरझ, 
   {{0xa2d608c6,0x212b0382,0xa3d62997,0x00000000}},	//   _मुक्, _wech_, िकः_, --, 
   {{0x752d461b,0x69c06c90,0x44296c91,0x69c900c8}},	//   _keaz, kime, _hwa_, ynee, 
   {{0x44296c92,0x69c06c93,0x9f580587,0x672100ca}},	//   _kwa_, jime, _virá_, zblj, 
   {{0x69c9006f,0x3f980a9f,0x44296c94,0x0c2400dd}},	//   vnee, _foru_, _jwa_, дмін, 
   {{0x44296c95,0xb09a00a7,0x3f98034c,0xeb9625dc}},	//   _mwa_, _הישר, _goru_, зиш_, 
   {{0x69c06c96,0x44296c97,0x69c910f3,0x260600c9}},	//   fime, _lwa_, tnee, _संगी_, 
   {{0x44290547,0xa2ce0c64,0xdb03007a,0x69c0251e}},	//   _owa_, _सशस्, ghná, gime, 
   {{0x69c96c98,0x6604007e,0x442906df,0xa3db0262}},	//   rnee, _riik, _nwa_, ़वा_, 
   {{0x69c96c99,0x7c290156,0x66046c9a,0x69c00387}},	//   snee, _iwer, _siik, aime, 
   {{0x69c06c9b,0x752d6c9c,0x67212840,0x7d090415}},	//   bime, _beaz, rblj, _kges, 
   {{0x69c06c9d,0x44296c9e,0xf09f00e7,0x7c296c9f}},	//   cime, _bwa_, _ngào_, _kwer, 
   {{0x6604030f,0x44296ca0,0xb88601d5,0x316901cf}},	//   _viik, _cwa_, rtíð, deaz_, 
   {{0x44296ca1,0xf7711feb,0x394d4c93,0x7c296ca2}},	//   _dwa_, _سات_, lges_, _mwer, 
   {{0xa2d609d3,0x44291680,0xb6a50104,0x386d18ad}},	//   _मुख्, _ewa_, _хийл, lwer_, 
   {{0x7d096ca3,0x44290cd7,0x3f9801f0,0x394d6ca4}},	//   _nges, _fwa_, _soru_, nges_, 
   {{0x6ed40262,0x44290298,0x8afc0083,0x00000000}},	// [6060] _बुजु, _gwa_, _zbęd, --, 
   {{0xe4570137,0xdb186ca5,0xc3260033,0xe3b2015f}},	//   _צייט_, tiví, _বাকি_, _سرخ_, 
   {{0xdfcf0084,0x3f98010d,0xa2e601a2,0x7c296ca6}},	//   ديل_, _voru_, _хонд, _awer, 
   {{0x248005d5,0x8a7601a2,0x21020009,0x7c296ca7}},	//   _krim_, ҷикӣ_, _ačiū_, _bwer, 
   {{0xdca30cd9,0x65766ca8,0x3f986ca9,0x394d6caa}},	//   наци, _mayh, _toru_, dges_, 
   {{0x7fd61222,0x7c2910de,0x98a40028,0x394d0502}},	//   _хімі, _dwer, namą_, eges_, 
   {{0x69c06cab,0x7c292d91,0xe9f800e4,0x89d8091d}},	//   time, _ewer, онкі_, يوتر_, 
   {{0x394d0422,0x386d0065,0x24806cac,0x7d0902a5}},	//   gges_, fwer_, _orim_, _gges, 
   {{0x752d1725,0x7c296cad,0xc0b60108,0x79990ff2}},	//   _reaz, _gwer, _rưỡi_, _doww, 
   {{0x4429024d,0x76482282,0x6c3300eb,0x2c5e00e0}},	//   _rwa_, tudy, _أفلا, rādā_, 
   {{0x45d50316,0x442906df,0x6b8801cc,0xd7f800d9}},	//   донс, _swa_, _indg, rmă_, 
   {{0x44290300,0x6b9a0023,0x24806cae,0x7c290ff2}},	//   _pwa_, _hotg, _brim_, _ywer, 
   {{0x2480022c,0xdb010183,0x7c290218,0xd7fa3ac9}},	//   _crim_, _illá, _xwer, _лук_, 
   {{0x083b0056,0x75ff002a,0xb4bd1451,0x442906df}},	//   _פעול, _mūzi, _आधी_, _vwa_, 
   {{0xcfc40086,0xf1a76caf,0xd6cf6cb0,0x316901f1}},	//   ্তান, пран, _чт_, teaz_, 
   {{0x4429345f,0x24800640,0x2ba900c9,0x6b9a064e}},	//   _twa_, _frim_, _कत्थ, _lotg, 
   {{0x44296cb1,0x24806cb2,0x31690c52,0x00000000}},	// [6070] _uwa_, _grim_, reaz_, --, 
   {{0xdefb00c8,0xedc501a4,0x7c290610,0x06fd02d9}},	//   бые_, लच्छ, _rwer, čívá_, 
   {{0x7c296cb3,0xdb010042,0x3ea7010e,0xa3ca0299}},	//   _swer, _ollá, ánt_, लचर_, 
   {{0x23490499,0x386d0326,0x7c296cb4,0x00000000}},	//   _اسکی_, ywer_, _pwer, --, 
   {{0xeb9906be,0x79990ff2,0x6b9a640c,0x00000000}},	//   жил_, _roww, _botg, --, 
   {{0x1af10033,0x9258010e,0x00000000,0x00000000}},	//   _চলবে_, _بشیر_, --, --, 
   {{0x394d01bb,0x386d6cb5,0x00000000,0x00000000}},	//   tges_, wwer_, --, --, 
   {{0x394d6cb6,0xcda900d4,0x7c296cb7,0x6b880380}},	//   uges_, _بهره_, _twer, _endg, 
   {{0x394d6cb8,0x386d01c8,0x6576370c,0x6b9a2e9c}},	//   rges_, uwer_, _rayh, _fotg, 
   {{0x6615026e,0x7999011c,0xdb010019,0x386d6cb9}},	//   ízko, _woww, _ellá, rwer_, 
   {{0x7bc36cba,0x0f5800fe,0xc98703ba,0x386d00a7}},	//   minu, ליזם_, _нуди, swer_, 
   {{0x386d07fc,0x80dd00b0,0x00000000,0x00000000}},	//   pwer_, _मडूं, --, --, 
   {{0xe73900ce,0xa2d60f7a,0x6b9a00a3,0xdb1816c6}},	//   _дел_, _मुज्, _yotg, livá, 
   {{0x7bc36cbb,0x98140038,0xf1bf02be,0x28ca2c67}},	//   ninu, _أبنا, _amá_, ापरि, 
   {{0x91e602c4,0x21762d94,0xa2e36cbc,0x98a40028}},	//   дове, муар, ворд, ramą_, 
   {{0x7bc31272,0x2480015c,0xf8e10110,0x00000000}},	//   hinu, _trim_, _पडाय, --, 
   {{0x91e36cbd,0x300628d8,0x24806cbe,0x00000000}},	// [6080] тоте, дзаг, _urim_, --, 
   {{0xdfcf0084,0x7bc36cbf,0x3ea602f1,0x249f0380}},	//   ليق_, jinu, мизг, äume_, 
   {{0x7e56269c,0x7bc36cc0,0xe12600d9,0x6b9a0664}},	//   ьтац, dinu, _омни, _rotg, 
   {{0x261303b7,0xdb1835ee,0x00000000,0x00000000}},	//   _mão_, divá, --, --, 
   {{0x4ac30081,0x3ea6002a,0x2613001b,0x442200e2}},	//   _वेबव, ņot_, _lão_, npk_, 
   {{0xfe466cc1,0x6ac9176c,0xbf9b0107,0x09d6009a}},	//   _онго, िपूर, _quêt, डक्य, 
   {{0x26134be1,0x00000000,0x00000000,0x00000000}},	//   _não_, --, --, --, 
   {{0x187414e6,0x98740229,0xdd1d0474,0xc8080210}},	//   егия, елиц, râţi, _hởi_, 
   {{0xa3c0413a,0x7bc36cc2,0xb4bd0035,0x65ad009e}},	//   ूचा_, binu, _आधे_, _nûha, 
   {{0x6b8801cc,0x2613001b,0x260700a5,0x7bc36cc3}},	//   _undg, _bão_, _सूजी_, cinu, 
   {{0x7c226cc4,0x26130165,0xae0e1f00,0x64466cc5}},	//   lpor, _cão_, िदिन_, erki, 
   {{0x26130165,0xf64f0019,0xfaa36cc6,0x00000000}},	//   _dão_, گئی_, _шахо, --, 
   {{0x7c226cc7,0x79fb00d1,0xe4e4004f,0x64406cc8}},	//   npor, _ולאח, вірн, šmin, 
   {{0xf1bf008c,0x29020009,0x1af10033,0xae0e0c73}},	//   _smá_, žkas_, _চলতে_, िदान_, 
   {{0xa27848d7,0x64460eaf,0xdd14020b,0xdce20241}},	//   мбру_, arki, dĺži, ydoğ, 
   {{0x260708b3,0x250900d6,0x7bc36cc9,0x06fd02d9}},	//   _सूची_, _عربی_, zinu, čítá_, 
   {{0x7bc36cca,0x765a1279,0x00000000,0x00000000}},	// [6090] yinu, ltty, --, --, 
   {{0x7c221425,0xc80800f7,0x6d440183,0x645a020f}},	//   dpor, _bởi_, óian, ătit, 
   {{0x2bdd05d0,0x7c220aaf,0xc80800e7,0x44396ccb}},	//   यवसा, epor, _cởi_, lss_, 
   {{0x386601d6,0x7c2208b0,0x7bc30027,0x00000000}},	//   _opor_, fpor, winu, --, 
   {{0x7c226ccc,0x44396ccd,0xa3b6031e,0x7bc36cce}},	//   gpor, nss_, चोक_, tinu, 
   {{0xdb184cca,0x7778010c,0x5ba900ae,0x25bc2a2c}},	//   tivá, _navx, कसेव, _उष्ण, 
   {{0xc8080029,0x2ca902fe,0xdb1a010e,0x38660844}},	//   _gởi_, šad_, _ajtó, _apor_, 
   {{0x2bdd05d0,0x443900e0,0xceb2042c,0x64466ccf}},	//   यवहा, kss_, _עין_, yrki, 
   {{0x26130316,0x3179006a,0xf7712751,0xa8050e65}},	//   _são_, _masz_, هاد_, нзил, 
   {{0x26130165,0xfaa700d3,0x7c3b0610,0xf62503a1}},	//   _pão_, _ошен, _ivur, ндоо, 
   {{0x64a34a0d,0x65c62d83,0x443b00ad,0x75f600bc}},	//   қара, ебна, _avq_, háze, 
   {{0xb17b105d,0x261303b7,0x998400eb,0x317900ab}},	//   _skån, _vão_, _للمو, _nasz_, 
   {{0xa8a7125e,0x798b6cd0,0x644600b4,0xf74500b3}},	//   _تصاو, _ingw, urki, _зело, 
   {{0x261303b7,0x7c3b09a4,0x289a027a,0x889a00df}},	//   _tão_, _mvur, _מינא, _מבני, 
   {{0x36660141,0x63830b58,0x80ec0086,0x387f008c}},	//   _защо_, ыгра, _কলেজ_, lvur_, 
   {{0x15e80fcf,0x395f6cd1,0x7c3b040c,0x7d1b00a4}},	//   _टीचर_, nfus_, _ovur, _nfus, 
   {{0xa067589a,0x6564024d,0x25d70070,0xdfd20038}},	// [60a0] ната_, _ibih, _רופן_, هير_, 
   {{0x44206cd2,0x7d1b6cd3,0x7c2205a1,0xdd930259}},	//   _iti_, _afus, vpor, ғашы, 
   {{0x442002a2,0xe1f21a1c,0x6da661b6,0x7c3b007c}},	//   _hti_, _مسح_, нижа, _avur, 
   {{0x7c226a05,0x798b0364,0xd1ba039f,0x44206cd4}},	//   tpor, _nngw, _راجا_, _kti_, 
   {{0x7c226cd5,0x61e6003d,0x6564007c,0xf53f46ce}},	//   upor, _ikkl, _mbih, dkål_, 
   {{0xa01b014e,0x7c22305f,0x798b6cd6,0xa3d60c59}},	//   _krön, rpor, _angw, िकट_, 
   {{0x386606e3,0x690506d0,0x9b250451,0x44200175}},	//   _spor_, ərdə, тфіл, _lti_, 
   {{0x44200204,0xfe4603dc,0xdee32b3b,0x44396cd7}},	//   _oti_, _онҳо, _соси, yss_, 
   {{0x44204059,0xa3e0119b,0x6d400095,0xc7c6275d}},	//   _nti_, तवा_, _idma, есни, 
   {{0x31600348,0x200a02a2,0x798b6cd8,0x65640610}},	//   hfiz_, _jibi_, _engw, _abih, 
   {{0xb9070ead,0xffb700c7,0x200a02b8,0xa926112d}},	//   _मु_, גליש_, _mibi_, _здел, 
   {{0x7bc10187,0xf41f014e,0xd6d702f3,0x798b0102}},	//   _zmlu, nväg_, эты_, _gngw, 
   {{0x07a66cd9,0x2ca66cda,0x499b00d1,0x938b00fd}},	//   _падн, nyod_, _משאב, псва_, 
   {{0xe2f9005e,0x44396cdb,0x61e6008a,0x656401a3}},	//   дегі_, rss_, _akkl, _ebih, 
   {{0x6d4002f5,0x44205834,0xa78500d4,0x81c90086}},	//   _odma, _eti_, _جشنو, _লীগ_, 
   {{0x443b006d,0xdb1801ad,0xa01b1618,0x7e670096}},	//   _tvq_, livä, _drön, _rpjp, 
   {{0x656f6cdc,0x200a22dc,0xf4873197,0x9f6b19fe}},	// [60b0] mech, _bibi_, _чуйн, зрез_, 
   {{0xdb010088,0x200a00fd,0x6d406cdd,0x75f6031e}},	//   _yllä, _cibi_, _adma, ráze, 
   {{0xa01b022b,0x645d6cde,0x200a6cdf,0x6e670080}},	//   _grön, ltsi, _dibi_, этаж, 
   {{0x657d6ce0,0x656f6ce1,0x7bc100bc,0x6d400175}},	//   ndsh, nech, _smlu, _cdma, 
   {{0x645d6ce2,0x6ac91276,0x61ed6ce3,0xdb180080}},	//   ntsi, िप्र, mlal, kivä, 
   {{0x200a0792,0xdca26ce4,0x69c26ce5,0xcb6602c4}},	//   _gibi_, раши, _amoe, ваше_, 
   {{0x644f00e9,0x9e356ce6,0x656f6ce7,0x645d00b0}},	//   huci, _шевч, kech, htsi, 
   {{0x645d6ce8,0x9f4100e5,0x61ed1ae0,0x656f6ce9}},	//   ktsi, kohë_, nlal, jech, 
   {{0x644f1993,0x645d639a,0x21296cea,0x61ed6ceb}},	//   juci, jtsi, ibah_, ilal, 
   {{0x61ed0364,0x81d70086,0xa685004e,0x387f008a}},	//   hlal, িতি_, влод, rvur_, 
   {{0x212902cd,0x62850201,0x645d6cec,0x2d9f0876}},	//   kbah_, _nrho, etsi, _koue_, 
   {{0x2d9f5c31,0x645d6ced,0x656f025b,0x64a60104}},	//   _joue_, ftsi, gech, вама, 
   {{0x81d700cc,0x645d6cee,0x61ed00de,0x21290352}},	//   িতা_, gtsi, dlal, dbah_, 
   {{0xf7456cef,0x657d0102,0x437500d3,0xf8b600d1}},	//   _реко, adsh, луст, _בפני_, 
   {{0x645d6cf0,0x656f6cf1,0x3998010e,0x62850126}},	//   atsi, bech, _rész_, _crho, 
   {{0x61ed6cf2,0x200a0300,0x656f1e31,0x44200fbb}},	//   glal, _sibi_, cech, _tti_, 
   {{0x644f3c91,0x44206cf3,0x6e3c48a8,0x628501c4}},	// [60c0] cuci, _uti_, _svrb, _erho, 
   {{0x61ed6cf4,0xc61000c2,0xa0680259,0x00000000}},	//   alal, _ठूँठ_, маға_, --, 
   {{0x21292d5a,0xe1fa5245,0x25a004a3,0x27e70065}},	//   bbah_, _ого_, _koil_, _mknn_, 
   {{0x290f009a,0x71a60258,0x90c6012d,0x200a011c}},	//   _ngga_, _рамз, _абме, _wibi_, 
   {{0x2d9f6cf5,0xf1d503dd,0xf41f0219,0x200a6cf6}},	//   _doue_, _сөрө, rväg_, _tibi_, 
   {{0x656f006a,0x61e46cf7,0xf41f02ae,0x69c2064e}},	//   zech, loil, sväg_, _smoe, 
   {{0x644f0035,0x656f0548,0x25a000a1,0xdce00243}},	//   zuci, yech, _ooil_, _pamē, 
   {{0x68eb02fb,0x61e400c8,0x49742220,0x69340499}},	//   _bygd, noil, улис, اکار, 
   {{0x656f6cf8,0xdb183b6c,0x645d1b9e,0xada3245e}},	//   vech, tivä, xtsi, _татл, 
   {{0x212902cd,0x644f0397,0x656f6cf9,0x25a01a29}},	//   zbah_, vuci, wech, _aoil_, 
   {{0xe53523d7,0x2baf37e7,0x61e40088,0x61ed6cfa}},	//   лень, जघरा, koil, ylal, 
   {{0xa01b014e,0xb5a72595,0x68466cfb,0x645d00dd}},	//   _bröl, трой, _анда, ttsi, 
   {{0x656f6cfc,0x61e46cfd,0x00000000,0x00000000}},	//   rech, doil, --, --, 
   {{0x645d6cfe,0x656f6cff,0xa4f3009a,0x25a000a1}},	//   rtsi, sech, _घरीच_, _eoil_, 
   {{0x656f6d00,0x764f006a,0x21292c7a,0x644f6cea}},	//   pech, ącyc, tbah_, suci, 
   {{0xa01b0219,0x645d6d01,0x25a00d44,0x81ab0033}},	//   _fröl, ptsi, _goil_, কোন_, 
   {{0x61ed3b58,0xb11408ac,0x6114022c,0x50f54a6b}},	// [60d0] rlal, рмуш, рдуу, узат, 
   {{0x212934c4,0x660d0180,0x4ea76d02,0x628523f2}},	//   sbah_, _hiak, креа, _trho, 
   {{0xe45f0088,0xdbdc008c,0x21290082,0x6285323c}},	//   ltö_, _ráðh, pbah_, _urho, 
   {{0x61e40038,0x9c596d03,0x660d011c,0x1c3900c8}},	//   coil, ешку_, _jiak, езды_, 
   {{0x660d6d04,0xfeb8009c,0xef93009c,0xe45f0080}},	//   _miak, _یافت_, _پیاد, ntö_, 
   {{0x660d0026,0x2d9f0054,0x00000000,0x00000000}},	//   _liak, _woue_, --, --, 
   {{0x68eb055f,0x75f6010e,0xac06004e,0xaa560267}},	//   _sygd, háza, ынша_, гију_, 
   {{0x75f60076,0x1619143e,0x660d0180,0x77ad0042}},	//   káza, _नंबर_, _niak, _púxo, 
   {{0x76b300ad,0xe739633a,0x25a000a1,0x00000000}},	//   məyə, неп_, _roil_, --, 
   {{0xe8f62609,0x76b30095,0x25a06d05,0x660d6d06}},	//   ылы_, ləyə, _soil_, _aiak, 
   {{0x660d02cd,0xadc3001b,0x35a65750,0xe5a66d07}},	//   _biak, _giản, ганг, гини, 
   {{0x660d02a3,0x00000000,0x00000000,0x00000000}},	//   _ciak, --, --, --, 
   {{0x660d0985,0x61e46d08,0xa78500b8,0x799b018e}},	//   _diak, voil, _مشغو, mjuw, 
   {{0xb8820356,0x69c96d09,0xdb0a0a19,0x5276022c}},	//   čítk, liee, rifö, лубу, 
   {{0xa01b022b,0x614618de,0x61e40088,0xb7da008d}},	//   _dröm, лева, toil, _אקסי, 
   {{0x660d0008,0x69c910f3,0xc5d6017b,0x00000000}},	//   _giak, niee, _щіль, --, 
   {{0x1f661488,0x75f6033c,0x78a96d0a,0x61e46d0b}},	// [60e0] лкам, cáza, nyev, roil, 
   {{0x320002f1,0x649700d1,0xb3580019,0xb4c24f69}},	//   smiy_, _עדיף_, _جیسا_, ्पी_, 
   {{0xaac3190a,0x82a66d0c,0x4d4a0a2b,0xc8f0017d}},	//   _वेलक, _санж, епен_, _चर्म_, 
   {{0x7f9b010c,0x00000000,0x00000000,0x00000000}},	//   _mîqy, --, --, --, 
   {{0x4c946d0d,0x8ba600b3,0x75360106,0x00000000}},	//   рилс, лидж, _meyz, --, 
   {{0x443202f0,0xdee617e0,0xdb080068,0xeb971499}},	//   _mwy_, _боги, _aldá, лич_, 
   {{0x2baa0c46,0x69c901da,0x443204a5,0x3f67017b}},	//   _कवठा, fiee, _lwy_, _щиро_, 
   {{0xdb08014e,0x60c90009,0x69c900b0,0xf64600a3}},	//   _omdö, _žemi, giee, қхон, 
   {{0xd83700f6,0x660d44e2,0x443200f8,0x00000000}},	//   лээ_, _riak, _nwy_, --, 
   {{0x660d36ff,0x47346d0e,0x98b70bf8,0x75f602d9}},	//   _siak, шнос, ульт_, váza, 
   {{0x17f70038,0x659500f6,0xa3e800c2,0x9f5800e1}},	//   درية_, аану, यकन_, _chré_, 
   {{0xe9da6d0f,0x7bca6d10,0xe45f0088,0x69c901c8}},	//   _яке_, lifu, ttö_, ciee, 
   {{0xe97300d4,0x2bdb103d,0x00000000,0x00000000}},	//   _دهند, _बदमा, --, --, 
   {{0x44320156,0xa01b02ae,0x75f66d11,0x00000000}},	//   _dwy_, _fröj, ráza, --, 
   {{0x660d00a9,0x171b00c7,0xe45f0088,0x62356d12}},	//   _tiak, _אווע, stö_, ребу, 
   {{0x161902f8,0x443202bf,0x75f62c26,0x7bca044d}},	//   _नंतर_, _fwy_, lázn, hifu, 
   {{0x7bca6d13,0x2f190080,0x443200f3,0x00000000}},	// [60f0] kifu, возь_, _gwy_, --, 
   {{0x7bca0010,0xd101000c,0x24896d14,0x673a6d15}},	//   jifu, लेषण_, _iram_, natj, 
   {{0x76b30095,0x0dcb1329,0xa01b5a5a,0xaac34261}},	//   təyə, нуди_, _krök, _वेंक, 
   {{0x24896d16,0x673a6d17,0x91c20259,0x00000000}},	//   _kram_, hatj, _дәул, --, 
   {{0x657f0149,0xa91d6d18,0xdb01009e,0x673a1e1b}},	//   _maqh, ndže, _golê, katj, 
   {{0x7bca6a14,0x673a0034,0x00000000,0x00000000}},	//   gifu, jatj, --, --, 
   {{0x245f03c6,0xa91d00ef,0x3f910199,0x69c901d2}},	//   hîm_, hdže, _inzu_, tiee, 
   {{0x24896d19,0x68454a02,0x13d2048e,0x629a00c8}},	//   _oram_, аниа, _सद्भ, ätoi, 
   {{0xa91d14f0,0x2489006f,0x69c96d1a,0x80cb0586}},	//   jdže, _nram_, riee, _सेमे, 
   {{0x69c9018c,0x3f8100c5,0x44320156,0x16656d1b}},	//   siee, ndhu_, _rwy_, авом, 
   {{0x2c1d00cc,0x7bfa0137,0x24896d1c,0x6d5b016a}},	//   _নিয়ে_, _ספעצ, _aram_, _kcua, 
   {{0x24896d1d,0x69330274,0xfaa40161,0x44320156}},	//   _bram_, _اکثر, _ушун, _pwy_, 
   {{0xb4c0034d,0x75292313,0x27e50352,0x673a6d1e}},	//   ंछे_, ñeza, poln_, batj, 
   {{0xf7710b7e,0xa01b0219,0x24896d1f,0xd348009c}},	//   _ذات_, _tröj, _dram_, دیده_, 
   {{0x24896d20,0xa01b14b1,0x75360241,0xdb01009e}},	//   _eram_, _frök, _teyz, _solê, 
   {{0x24894cd2,0x31262f77,0x6d5b006f,0x7bca6d21}},	//   _fram_, рдаг, _ncua, zifu, 
   {{0xa91d0097,0x7bca498b,0x00000000,0x00000000}},	// [6100] cdže, yifu, --, --, 
   {{0xee0e119b,0x6d5b6d22,0xa0676d23,0x33662167}},	//   िद्ध_, _acua, рафа_, _твог, 
   {{0x7bca095a,0xdb010034,0x00000000,0x00000000}},	//   vifu, _dolë, --, --, 
   {{0x932500d4,0x69d90026,0x4c86112d,0x75f62b70}},	//   _پرین, _njwe, илев, zázn, 
   {{0x2722031e,0x6e29008b,0xeb9a3b0a,0xa2ca00bd}},	//   nční_, _čebe, кид_, _हेत्, 
   {{0x6d5b6465,0x81d70086,0x2a6c6d24,0x21200352}},	//   _ecua, িতঃ_, _ppdb_, lcih_, 
   {{0x2d966d25,0x7bca6d26,0x6e43004e,0x2d9d0226}},	//   _крас, rifu, _мерз, bjwe_, 
   {{0x7bca6d27,0x272200bc,0x386900d9,0xdb010c32}},	//   sifu, kční_, _ţara_, _molè, 
   {{0x673a0019,0x7bca0204,0x62830183,0xb99700c8}},	//   tatj, pifu, _ánov, рвых_, 
   {{0x07b8057f,0xcb6700b3,0x58d40259,0x75f635ee}},	//   اهدة_, _вафе_, _қолт, fázo, 
   {{0x673a6d28,0xdb01023e,0xdce00028,0x00000000}},	//   ratj, _nolè, _pamė, --, 
   {{0x58860904,0xc8c70444,0xa01b0380,0xdceb01dd}},	//   _выка, اوین_, _fröh, legā, 
   {{0x54540080,0x21200604,0x00000000,0x00000000}},	//   овят, dcih_, --, --, 
   {{0xa91d00d0,0x9f585e3b,0x245f009e,0x673a0226}},	//   rdže, _miró_, rîm_, qatj, 
   {{0x31c70504,0xdb010107,0x272202d9,0x81c70080}},	//   асав, _colè, ační_, ащае, 
   {{0xbf0707d5,0x4e1d0262,0x6738010c,0xdb0100b9}},	//   _वृषभ_, _बंबई_, _hevj, _dolè, 
   {{0xd7aa0d4f,0x40590116,0x753d0855,0xd0116564}},	// [6110] _चकाच, طلاح_, masz, سلا_, 
   {{0x753d0105,0x2fc700f7,0xdf3900eb,0x6d5b6d29}},	//   lasz, òng_, اكات_, _scua, 
   {{0x3f816d2a,0x39460009,0x3ea76d2b,0xdb0100d4}},	//   rdhu_, _odos_, ânt_, _golè, 
   {{0x753d010e,0xac192351,0x67380144,0x00000000}},	//   nasz, году_, _levj, --, 
   {{0x2d580a65,0x629a0032,0x63a512ed,0xbc480165}},	//   ричь_, ätov, _kohn, ачје_, 
   {{0x67380f30,0x39466d2c,0x63a56d2d,0x753d010e}},	//   _nevj, _ados_, _john, hasz, 
   {{0xe1ff0029,0xdb016d2e,0x2139024a,0x753d0855}},	//   _khó_, _kolé, _kesh_, kasz, 
   {{0x20110010,0x63a501c4,0x2139024a,0x52d80070}},	//   _hizi_, _lohn, _jesh_, יווע_, 
   {{0xdb013db6,0x0dc818ed,0x57e91cb8,0x9f5902aa}},	//   _molé, _тури_, лдим_, _fusô_, 
   {{0x20196d2f,0x291f0634,0x279500c8,0xdcfb0009}},	//   _musi_, scua_, сшир, _jauč, 
   {{0x66e503dc,0x20196d30,0x6b9c03a1,0x673801f2}},	//   сона, _lusi_, _òrga, _devj, 
   {{0x6d596d31,0x6b816d32,0x75f66d33,0x2139024a}},	//   ngwa, _halg, rázo, _nesh_, 
   {{0x65f903dd,0xdb0106df,0xb0c700a5,0x9f580036}},	//   рээр_, _solè, _रेलग, _mirò_, 
   {{0x6b81007e,0xdb0103a1,0x272200bc,0x6b830034}},	//   _jalg, _polè, rční_, ndng, 
   {{0x6b816d34,0x213923b2,0x20196d35,0xdb0110f1}},	//   _malg, _besh_, _ausi_, _bolé, 
   {{0x2019172b,0xe1ff00e7,0xdb016d36,0x75fd039f}},	//   _busi_, _chó_, _colé, téze, 
   {{0x20116d37,0x212001f0,0x442b0126,0xe1ff0038}},	// [6120] _bizi_, rcih_, cpc_, _dhó_, 
   {{0x6b816d38,0xc49b00d1,0x2a690083,0xdb010151}},	//   _nalg, _עשית, łaby_, _tolè, 
   {{0xa067004e,0x201101f0,0x2019005f,0xdd8f0444}},	//   _қара_, _dizi_, _eusi_, کون_, 
   {{0x20196d39,0x7e4b0019,0xddd40032,0x9f580036}},	//   _fusi_, اسلہ_, ťaži, _cirò_, 
   {{0x20190da2,0xeb100262,0x9f5801d8,0x6f1500ca}},	//   _gusi_, ाश्त_, _dirò_, _fgzc, 
   {{0x6b816d3a,0x20111375,0x2d80253f,0x6fb6105a}},	//   _calg, _gizi_, žie_, _امسا, 
   {{0x75240a9f,0x37cd0086,0x6b816d3b,0x395d0226}},	//   _ofiz, রকার, _dalg, _bcws_, 
   {{0x442b0118,0x9f586d3c,0x6b810354,0x1d0a1790}},	//   ypc_, _tiró_, _ealg, _беби_, 
   {{0xa3c95a67,0xa3e82c91,0x6b8100f6,0x753d010e}},	//   लोड_, यका_, _falg, vasz, 
   {{0x2fca1993,0xc07b008d,0xe7d60086,0x752447b5}},	//   _jmbg_, נטיש, হত্য, _afiz, 
   {{0x7bdf026d,0x63a56d3d,0x96f8049b,0xc9865843}},	//   éque, _rohn, рент_, _гули, 
   {{0xd6d76d3e,0xe61800d3,0x63a502eb,0x6b816d3f}},	//   сть_, лдү_, _sohn, _zalg, 
   {{0xb0c7451b,0x753d6d40,0x8b0300bc,0x63a50098}},	//   _रेंग, rasz, ěřen, _pohn, 
   {{0x442b5d59,0x9f5800eb,0x38cb0274,0x752401d6}},	//   rpc_, _bhrí_, _حامی_, _efiz, 
   {{0x20196d41,0x753d0019,0xe1ff001b,0xdb016d42}},	//   _susi_, pasz, _phó_, _polé, 
   {{0x63a502ec,0xdcfb1810,0x20110540,0x20196d43}},	//   _wohn, _sauč, _sizi_, _pusi_, 
   {{0x270e0264,0xa91d254c,0x656d0268,0x64401056}},	// [6130] lən_, ndža, _ibah, ámit, 
   {{0x442900fd,0x60c90372,0x201126b6,0xf53f044d}},	//   _ita_, _žems, _qizi_, laå_, 
   {{0x270e0095,0xdcfb265d,0x20116d44,0xdb016d45}},	//   nən_, _vauč, _vizi_, _tolé, 
   {{0x4ac300a2,0x20110053,0x20194f1f,0x44296d46}},	//   _वेगव, _wizi_, _tusi_, _kta_, 
   {{0xa3bd469a,0x201906d6,0x8c450012,0xa91d0d9d}},	//   _आता_, _uusi_, целе, jdža, 
   {{0x1ae20086,0x270e0095,0x62830183,0xf41f0080}},	//   গেছে_, kən_, _ános, yvän_, 
   {{0x6b816d47,0x44296d48,0x4ea46d49,0xb16e003e}},	//   _valg, _lta_, _ерта, _þýði, 
   {{0x270e0264,0x44296d4a,0x6b81263c,0x7bd808b0}},	//   dən_, _ota_, _walg, anvu, 
   {{0x4429099d,0xa01b02ae,0x764f0083,0x00000000}},	//   _nta_, _eröv, ącym, --, 
   {{0x7c29024d,0x656d0b31,0x752401d8,0x2cb2017b}},	//   _iter, _abah, _sfiz, øyde_, 
   {{0x44296d4b,0x69e700e4,0x998600ef,0x366902a0}},	//   _ata_, _людз, žiše_, шано_, 
   {{0x7c290351,0x3f836d4c,0x960407d5,0xa50a03b7}},	//   _kter, _laju_, रगेट_, иена_, 
   {{0xf7450fa7,0x76416d4d,0x7c29008a,0x98a5491e}},	//   _дело, ssly, _jter, _филе, 
   {{0xf8070afe,0x7643016a,0x7c291302,0x3f830352}},	//   _учен, _tvny, _mter, _naju_, 
   {{0x44296d4e,0x316900e2,0x613a00ff,0x628300da}},	//   _eta_, ffaz_, ичар_, _šnor, 
   {{0x7c296d4f,0x6d490038,0x2fca0065,0xdb1800da}},	//   _oter, _ndea, _smbg_, divý, 
   {{0x3f833eac,0xa2ca0351,0x7c296d50,0x208706ba}},	// [6140] _baju_, _हेर्, _nter, ойти_, 
   {{0x248001f0,0x75f600bc,0x6d49392e,0x75fd0183}},	//   _isim_, kázk, _adea, méza, 
   {{0x3f8302f5,0x69cb09a2,0x7c296d51,0xe29a6d52}},	//   _daju_, _omge, _ater, _тан_, 
   {{0xdb010218,0xf53f155b,0x44296d53,0x7c290864}},	//   _polî, lkår_, _yta_, _bter, 
   {{0xac0a5282,0xdca36d54,0x270e0095,0x6d4900f8}},	//   анда_, маци, zən_, _ddea, 
   {{0x270e06d0,0xa01b014e,0x1c3903bd,0x69cb017c}},	//   yən_, _pröv, сяць_, _amge, 
   {{0x0ef900e4,0x6d440183,0x225800c2,0x67ef0566}},	//   _гэты_, óias, nurk_, højs, 
   {{0x248002f5,0xdd9200d4,0x298a451d,0xfce655bf}},	//   _osim_, _تور_, рско_, _добо, 
   {{0x65ad0218,0x656d00c3,0x22580c0c,0x00000000}},	//   _mûht, _rbah, hurk_, --, 
   {{0x442902f1,0x2d846d55,0xa91d00ef,0x37aa0c10}},	//   _rta_, _hame_, rdža, ртин_, 
   {{0x24806d56,0x2d846d57,0xa2ca2a97,0x656d012b}},	//   _asim_, _kame_, _हेल्, _pbah, 
   {{0x270e06d0,0x2d846d58,0x2d866d59,0x186a0b97}},	//   rən_, _jame_, ndoe_, _вади_, 
   {{0x270e06d0,0x442902a2,0x7c29008a,0xf9d900c7}},	//   sən_, _qta_, _xter, _פֿעל, 
   {{0x98a30267,0x2d841f2e,0xa7fd039f,0x00000000}},	//   _циље, _lame_, ltűn, --, 
   {{0xd13b0141,0x24800088,0x67ef02c9,0x69cb0156}},	//   иха_, _esim_, røjt, _ymge, 
   {{0x2d846d5a,0x224d6d5b,0x656d1bb8,0x44b3004e}},	//   _name_, ček_, _ubah, _жұмс, 
   {{0x2bdb3263,0x316905b9,0x1af10086,0x60db0242}},	// [6150] _बदला, rfaz_, _চলছে_, _žumb, 
   {{0x59ca0262,0x22586d5c,0x3169019c,0x4e8b0e8a}},	//   ़ोतर, burk_, sfaz_, ищем_, 
   {{0x3f836d5d,0x80cb2002,0x00000000,0x00000000}},	//   _vaju_, _सेरे, --, --, 
   {{0x7c296d5e,0x427a00c7,0x127a00c7,0x2d8400d1}},	//   _pter, _פארג, _פארע, _came_, 
   {{0x25a911e9,0x50640445,0x61ed6d5f,0xf41f0219}},	//   _moal_, _отра, moal, kväm_, 
   {{0x32096d60,0xd0fa0964,0x61ed6d61,0x447c00c7}},	//   lmay_, ्धरण_, loal, ינדע, 
   {{0x62980107,0x8d771117,0x236101ff,0x00000000}},	//   _àvot, _وارا, _mchj_, --, 
   {{0x75f60076,0x2d8400a7,0x320901ff,0xd90f1c03}},	//   rázk, _game_, nmay_, نیا_, 
   {{0x7c296d62,0xa01b0844,0x00000000,0x00000000}},	//   _uter, _gröt, --, --, 
   {{0x32096d63,0x2d84008b,0x61ed01d6,0xdb0100da}},	//   hmay_, _zame_, hoal, _holí, 
   {{0x68e26d64,0x61ed6d65,0x25a90183,0xdb01014b}},	//   _exod, koal, _boal_, _kolí, 
   {{0x69cb394a,0x24806d66,0x61ed6d67,0x67ef02c9}},	//   _umge, _psim_, joal, tøjs, 
   {{0x60020165,0x8880004e,0xdce90372,0x28f800b3}},	//   lôme, _ағыл, _obeč, _дець_, 
   {{0x23272428,0x22586d68,0x00000000,0x00000000}},	//   зори_, turk_, --, --, 
   {{0x60020165,0x41b600fd,0x61ed6d69,0x00000000}},	//   nôme, псат, foal, --, 
   {{0x248001c1,0x320902dc,0xd5b900e0,0x61ed01f1}},	//   _tsim_, gmay_, spār_, goal, 
   {{0x2d8434e8,0x248000e2,0x61f602a5,0x55bb00d1}},	// [6160] _rame_, _usim_, rlyl, _למקו, 
   {{0x2d84261c,0xdee66d6a,0xb4b83b5f,0x25a902b0}},	//   _same_, пози, चनी_, _zoal_, 
   {{0x64466d6b,0xa01b014e,0xdb01240a,0x27460038}},	//   lski, _brös, _bolí, líní_, 
   {{0xed5a0f5a,0x600202aa,0xe80202e6,0x61ed6d6c}},	//   сод_, dôme, _रीना_, coal, 
   {{0xa2d40c59,0xbd43009c,0x2746007a,0x2d840144}},	//   णपक्, رنوي, níní_, _vame_, 
   {{0x60c41a9c,0x64466d6d,0x2d84025b,0x6002019c}},	//   mzim, iski, _wame_, fôme, 
   {{0xdee36d6e,0xdb012888,0xd35700c7,0x66040a9f}},	//   _зори, _folí, ליסי_, _ohik, 
   {{0xa01b0003,0x6edb00d1,0x49742fb5,0x644607a0}},	//   _tröt, _החלפ, флис, kski, 
   {{0x60c46d6f,0x1b1b0033,0x6d4202be,0xf98f0038}},	//   nzim, _নজরে_, maoa, طبي_, 
   {{0x25a96d70,0x66046d71,0x600211c9,0x6d42084c}},	//   _soal_, _ahik, lômb, laoa, 
   {{0xb8f3148e,0x32096d72,0x660414e2,0x25a900f6}},	//   _हे_, ymay_, _bhik, _poal_, 
   {{0x6604030b,0xd5bb47d8,0x1a9b00c7,0xba9b00d1}},	//   _chik, ссо_, _ליבע, _לסבי, 
   {{0xafdb03a9,0x64466d73,0x66046d74,0x25a904e9}},	//   _svøm, gski, _dhik, _voal_, 
   {{0x60c46d75,0xa01b02ae,0x6d420379,0xc7a311cd}},	//   dzim, _orör, haoa, _пичк, 
   {{0x61ed6d76,0x2b4c00ef,0x320901ff,0xd37800dd}},	//   toal, _mddc_, tmay_, ччя_, 
   {{0x52146d77,0x65bf01ee,0x777a0a9f,0x765a0539}},	//   едст, _bëhe, letx, muty, 
   {{0x32092d5f,0x765a6d78,0x6d4201d6,0xf1c6103d}},	// [6170] rmay_, luty, daoa, रोइन, 
   {{0xdb013b6b,0x61ed6d79,0x3f980027,0x14d80147}},	//   _solí, soal, _cnru_, _מוחל_, 
   {{0x4fc4244e,0x3d0f009a,0xf3ff02be,0x60c44477}},	//   хста, तेने_, ltão_, azim, 
   {{0x32090508,0xa3c911c1,0x224500da,0xdb070151}},	//   qmay_, लोर_, álku_, _émér, 
   {{0x69c06d7a,0x8ccd00ab,0xf3ff0165,0xdb016d7b}},	//   dhme, _देशो, ntão_, _volí, 
   {{0xeb961c93,0x765a6d7c,0x60020107,0xdb080237}},	//   диш_, kuty, tôme, _kodè, 
   {{0xa01b00a8,0xdb1800da,0x777a01d6,0x7ccf039f}},	//   _trös, chví, detx, _bőrö, 
   {{0xdb086d7d,0x3a2c0183,0x69c0007b,0x75fd0183}},	//   _modè, _dtdp_, ghme, dézo, 
   {{0x3a2c0026,0x7d1b6d7e,0x69db6d7f,0xdb01019c}},	//   _etdp_, _igus, rnue, _bolã, 
   {{0x66046d80,0x69c0561b,0xf62500f6,0x777a00b4}},	//   _shik, ahme, мдоо, getx, 
   {{0x644600ab,0x6604019b,0x9be4004f,0x75fd0054}},	//   wski, _phik, _чітк, gézo, 
   {{0x644602f5,0xe94500c5,0xd7f800d9,0xdb1a03a0}},	//   tski, _آرای, ală_, _altè, 
   {{0xb4b84575,0x6446058b,0x777a01f1,0xd7f800b3}},	//   चने_, uski, betx, blă_, 
   {{0x395f626c,0x57e800f0,0xb17b2be3,0xf53f1bde}},	//   lgus_, _едім_, _skåp, skåp_, 
   {{0x64466d81,0x6604024a,0x65c66d82,0xe2f80019}},	//   sski, _thik, _обка, سورڈ_, 
   {{0x6446034c,0x395f6d83,0x7d1b6d84,0x60db0b1d}},	//   pski, ngus_, _ngus, _žuma, 
   {{0x60c400f1,0xa06712b3,0x61e13fa2,0xa7c6009c}},	// [6180] uzim, мата_, élla, _رژیم_, 
   {{0x7d1b2157,0xe457035c,0x60c46d85,0x7989011c}},	//   _agus, _קייט_, rzim, hdew, 
   {{0x4420026d,0x7c3b6d86,0xa206004f,0x7989009e}},	//   _hui_, _awur, _опод, kdew, 
   {{0x44203e8a,0x6026021c,0x7c3b016c,0x00000000}},	//   _kui_, _одма, _bwur, --, 
   {{0x75e803c0,0x44200107,0x79896d87,0x307501a2}},	//   mızd, _jui_, ddew, _пурс, 
   {{0x44206d88,0x6fc00241,0x6d420054,0x4c934bc6}},	//   _mui_, _böce, saoa, тишс, 
   {{0x44206d89,0x69c02791,0x7c3b095a,0x6f1c0604}},	//   _lui_, thme, _ewur, _igrc, 
   {{0x44200518,0x31600c67,0x75e803c0,0x201801f1}},	//   _oui_, ngiz_, nızd, _hiri_, 
   {{0xf4d900cc,0x20186d8a,0x6d406d8b,0xdb086d8c}},	//   _সর্ব, _kiri_, _iema, _modé, 
   {{0x6d40078a,0x69c06d8d,0x20186d8e,0x909b035c}},	//   _hema, shme, _jiri_, קסיק, 
   {{0x6d402e67,0x20186d8f,0x0f5700a7,0x777a0a9f}},	//   _kema, _miri_, ויים_, retx, 
   {{0x20186d90,0x6d406d91,0xadc300e7,0x7c206d92}},	//   _liri_, _jema, _miến, _kumr, 
   {{0x6d40541c,0x4420048a,0xf9c713b4,0x3944012d}},	//   _mema, _cui_, _تحلی, mams_, 
   {{0xf3ff00ce,0xa3c9006a,0x6d404691,0x44206d93}},	//   rtão_, लों_, _lema, _dui_, 
   {{0xf3ff00ce,0xd6cf11e7,0xdb01026e,0x7c2012e6}},	//   stão_, _рт_, _kolá, _lumr, 
   {{0x44206d94,0x22a503dc,0x3944012d,0x66271102}},	//   _fui_, _ҷумҳ, nams_, žské, 
   {{0x7c206d95,0x20186d96,0x5f9515db,0xdbd60088}},	// [6190] _numr, _biri_, ниат, _kään, 
   {{0xdbd61eab,0x657d6d97,0xa2ca17f6,0x6d400175}},	//   _jään, lesh, _हेक्, _aema, 
   {{0x5d5524dc,0x20186d98,0x6d406d99,0x39445725}},	//   екет, _diri_, _bema, kams_, 
   {{0x62856d9a,0x3f87003a,0x39446d9b,0x657d6d9c}},	//   _isho, žnu_, jams_, nesh, 
   {{0x6d404ba9,0xeb993d67,0x39446d9d,0x645d1582}},	//   _dema, зил_, dams_, nusi, 
   {{0x657d6d9e,0x321900a9,0x6d40007e,0x20186d9f}},	//   hesh, _hisy_, _eema, _giri_, 
   {{0x645d086d,0x6b88010c,0x387f0065,0x63a80219}},	//   husi, _dadg, wwur_, ödni, 
   {{0x6d406da0,0x657d1850,0x645d6da1,0xceb200a7}},	//   _gema, jesh, kusi, _גיל_, 
   {{0x32190a49,0x79896da2,0x657d6da3,0x395f64e0}},	//   _misy_, rdew, desh, rgus_, 
   {{0x6b886da4,0x645d2ca5,0x32196da5,0x44206da6}},	//   _gadg, dusi, _lisy_, _rui_, 
   {{0x44206da7,0xf1bf03b7,0x62851cee,0x657d07d7}},	//   _sui_, _olá_, _nsho, fesh, 
   {{0x6d406da8,0x32196da9,0x4420002e,0x394401dd}},	//   _xema, _nisy_, _pui_, cams_, 
   {{0x44206daa,0x645d6dab,0x62850199,0xdb086dac}},	//   _qui_, gusi, _asho, _rodé, 
   {{0x442000f7,0x66e52408,0x4375185b,0xa3ab07d5}},	//   _vui_, _пола, куст, कॉल_, 
   {{0x61e903ef,0x645d0904,0xf770017a,0x201802b8}},	//   čeln, ausi, _خان_, _riri_, 
   {{0x657d24bc,0x44206dad,0x65640175,0x24926dae}},	//   cesh, _tui_, _ucih, _trym_, 
   {{0x62856daf,0x6d401dfd,0x394f5e8a,0x2f56012f}},	// [61a0] _esho, _rema, _mdgs_, етес, 
   {{0x047900c5,0x7bc36db0,0x32190379,0x1f6358df}},	//   _کلیک_, jhnu, _eisy_, лкум, 
   {{0x6d406db1,0x614634fd,0x2018008b,0x7c206db2}},	//   _pema, _пена, _viri_, _sumr, 
   {{0x10a62ad0,0x20186db3,0xcd0602f1,0xadc300e7}},	//   _зимн, _wiri_, нчли, _viến, 
   {{0x20186db4,0x39440009,0x62854e69,0xdb01014b}},	//   _tiri_, vams_, _zsho, _rolá, 
   {{0xf09f0124,0xadc300f7,0xead457e3,0xdb016db5}},	//   _ngày_, _tiến, коль, _solá, 
   {{0x6d406db6,0x39442a68,0x657d6db7,0xd00700d9}},	//   _tema, tams_, yesh, _чере_, 
   {{0x7bc30187,0xdbd60088,0xc5f900e0,0x7c2000d4}},	//   ahnu, _sään, ntēt_, _tumr, 
   {{0x657d6db8,0x39446db9,0xdb010483,0x7bc3006d}},	//   vesh, rams_, _volá, bhnu, 
   {{0x7bc34081,0x645d5725,0x95fb2158,0x657d6dba}},	//   chnu, vusi, ृष्ट_, wesh, 
   {{0xd6da6dbb,0x657d6dbc,0x29020098,0xdbd60341}},	//   яти_, tesh, ťka_, _vään, 
   {{0x3f8a6dbd,0xdb18014b,0x45d511f8,0x291d02a5}},	//   _labu_, chvá, томс, _ggwa_, 
   {{0x7afa6dbe,0x657d6dbf,0xc8b3009c,0xe1260033}},	//   _hytt, resh, _مصوب, বরাহ_, 
   {{0x5ea60086,0x7ae400b3,0x657d6dc0,0xf1bf003e}},	//   _গেছে, şitu, sesh, _slá_, 
   {{0x645d6dc1,0x657d6dc2,0x61e1001d,0xd1b100d7}},	//   susi, pesh, éllo, لیدک, 
   {{0x657d024a,0x61e96dc3,0x645d6dc4,0x628500d8}},	//   qesh, čelo, pusi, _vsho, 
   {{0x3f8a6dc5,0x7afa03a9,0x2129016a,0x645d0508}},	// [61b0] _babu_, _lytt, rcah_, qusi, 
   {{0x62856dc6,0x600202aa,0x644d6dc7,0x2a720083}},	//   _tsho, tôma, _ivai, łyby_, 
   {{0x7afa00fc,0x62850199,0x88d40033,0x8e990038}},	//   _nytt, _usho, _হুমক, بناء_, 
   {{0x3eae0219,0x644d0009,0x75e80241,0x00000000}},	//   äfta_, _kvai, mızc, --, 
   {{0x7afa0104,0x644d0106,0x00000000,0x00000000}},	//   _aytt, _jvai, --, --, 
   {{0xa91d6dc8,0x7afa0310,0x8234009c,0x3f8a652c}},	//   mdži, _bytt, _جریا, _gabu_, 
   {{0xa91d012d,0xda622b68,0x68fc0095,0xf9910038}},	//   ldži, авщи, ərdi, لبة_, 
   {{0x644d6dc9,0x597500e4,0xa91d0009,0xdcfb00ca}},	//   _ovai, тыку, odži, _nauć, 
   {{0xa91d012d,0xa3d100c9,0x644d00a1,0x00000000}},	//   ndži, वफा_, _nvai, --, 
   {{0xa91d0009,0x752d019c,0xd7ee0038,0xd0470248}},	//   idži, _afaz, يكي_, çməs, 
   {{0x644d2e5a,0xd7090088,0x66e56dca,0x2b47010c}},	//   _avai, ьное_, тона, manc_, 
   {{0x2b476dcb,0xdb080054,0x291d016c,0x00000000}},	//   lanc_, _modì, _ugwa_, --, 
   {{0x850c0d4f,0xa91d053d,0x2bb802e6,0x81d70086}},	//   सेंट_, jdži, _अवमा, াকা_, 
   {{0x69e304a1,0x090408af,0x386d6dcc,0x2b476dcd}},	//   šteđ, _спін, mter_, nanc_, 
   {{0x3f8a2c35,0x43430141,0x386d1357,0xdb016dce}},	//   _rabu_, ресв, lter_, _dolç, 
   {{0x3f8a381b,0x75f6010e,0x798b0054,0x00000000}},	//   _sabu_, rázs, _jagw, --, 
   {{0x386d44ad,0x7bc1030f,0x798b6dcf,0xa3c2456f}},	// [61c0] nter_, _ollu, _magw, ंसद_, 
   {{0x44320489,0x386d6dd0,0x798b6dd1,0xe29a0267}},	//   _ity_, iter_, _lagw, _жао_, 
   {{0x386d0536,0x0e660f6b,0x644d00e0,0x75f6033c}},	//   hter_, ткен, _zvai, lázq, 
   {{0x386d6dd2,0x7afa017e,0x798b6dd3,0x069600c7}},	//   kter_, _rytt, _nagw, כדעם_, 
   {{0x3f8a6dd4,0x386d66e9,0xa3c92414,0xdc740b24}},	//   _tabu_, jter_, लोक_, углы, 
   {{0xa3c20c46,0x44320126,0x7afa6dd5,0x798b018e}},	//   ंसि_, _mty_, _pytt, _aagw, 
   {{0xe9e621b8,0x3ea33c30,0x44320054,0x9a866dd6}},	//   кцио, _кирг, _lty_, тулл, 
   {{0x386d0a40,0xa96702a6,0x7bc16dd7,0x236d0082}},	//   fter_, вића_, _ellu, đeji_, 
   {{0x386d6dd8,0xbc6a2abb,0xa3c242f3,0x798b02dc}},	//   gter_, _زمان_, ंसा_, _dagw, 
   {{0x2cc407fa,0x7afa0088,0xdb080187,0x00000000}},	//   ırdı_, _tytt, _hodí, --, 
   {{0x44326dd9,0x06d50086,0xa91d012d,0x644d1916}},	//   _aty_, _সুবি, zdži, _svai, 
   {{0x798b052b,0x386d0502,0x3dc602be,0x00000000}},	//   _gagw, bter_, nhow_, --, 
   {{0x386d5993,0x443200e7,0xdb1800b0,0x79800d94}},	//   cter_, _cty_, rivõ, memw, 
   {{0x798b6dda,0x9f9a007e,0x69c207d7,0x61e600c3}},	//   _zagw, _jääb_, _hloe, _ajkl, 
   {{0x24186ddb,0x44320180,0x260702f1,0x69c20c0c}},	//   торы_, _ety_, _ичиг, _kloe, 
   {{0x11d90084,0x31c4255c,0x200a008a,0x644d0243}},	//   روءة_, асув, _ahbi_, _tvai, 
   {{0xa91d012d,0x7bd859ad,0x3495012d,0x644d019b}},	// [61d0] udži, kivu, _сапр, _uvai, 
   {{0xdb1a2953,0x24890180,0x69c20156,0xa28311b7}},	//   _altí, _isam_, _lloe, _پیرو, 
   {{0xa91d4beb,0xa3c20827,0x7e2842f6,0x7bd80098}},	//   leže, ्फर_, віча_, divu, 
   {{0x1eea0a24,0x386d14cf,0xdb030380,0x629700c3}},	//   رونی_, yter_, rknü, _irxo, 
   {{0x386d6ddc,0x6adb0b6c,0x2b476ddd,0x3ce9010c}},	//   xter_, यप्र, tanc_, çav_, 
   {{0xadc3001b,0xbb420d38,0x798b6dde,0x1ae500a3}},	//   _thắn, бешк, _sagw, лолм, 
   {{0x69c20e47,0x798b134a,0x386d03e2,0x248901ff}},	//   _bloe, _pagw, wter_, _lsam_, 
   {{0x386d0075,0x248900f1,0xceb200c7,0x3f8100ef}},	//   tter_, _osam_, _פין_, lehu_, 
   {{0x386d0518,0xa91d0e67,0x7bd86ddf,0x5c9900e4}},	//   uter_, ježe, bivu, _якая_, 
   {{0x798b042e,0x1db900a2,0x57e608a5,0xa91d008b}},	//   _wagw, _आवडत, лдым_, deže, 
   {{0x24896de0,0xb8fa156c,0x61e91a35,0x2bb80551}},	//   _asam_, _डे_, čelj, _अवता, 
   {{0xf41f0088,0x69c25602,0x386d6de1,0x64a66de2}},	//   yvät_, _gloe, pter_, гама, 
   {{0x3a2509a2,0xe2974138,0xa01b0019,0x442400e7}},	//   _hulp_, қат_, _csök, êm_, 
   {{0xf7456de3,0x3f810e67,0x4852010e,0x67d46de4}},	//   _секо, jehu_, _اپوز, _кочу, 
   {{0x248900e0,0x1fb600f0,0x2b450474,0x00000000}},	//   _esam_, қсар, _melc_, --, 
   {{0x05663bbd,0xc4866de5,0x7bd86de6,0x44326de7}},	//   _свин, _блик, zivu, _tty_, 
   {{0x600a27c9,0x443202a2,0x10a36de8,0xa91d0352}},	// [61e0] енам_, _uty_, битн, ležb, 
   {{0x351b0056,0x728a0886,0x2bb86de9,0x2d9f00b4}},	//   _אופנ, _због_, _अवधा, _anue_, 
   {{0xdb086dea,0x7980380d,0xee3a3bbd,0x25a04758}},	//   _podí, yemw, хне_, _knil_, 
   {{0x65666deb,0xa91d02fe,0x6ce64f51,0x2b4500f6}},	//   ngkh, ldžu, ліле, _aelc_, 
   {{0xf1d500d3,0x7bd86dec,0x61e46ded,0x3200006d}},	//   _төрө, tivu, mnil, mliy_, 
   {{0x320000cf,0x61e4220b,0xa91d0588,0x69c2038c}},	//   lliy_, lnil, ndžu, _sloe, 
   {{0x69c26dee,0xed5a00dd,0x7bd863c1,0x79805c73}},	//   _ploe, _пов_, rivu, temw, 
   {{0x61e46def,0x48aa6df0,0x7bd80088,0x75fd62cc}},	//   nnil, етом_, sivu, pézi, 
   {{0x69c209a2,0x61e46df1,0x76aa0095,0x798002b8}},	//   _vloe, inil, məyi, remw, 
   {{0x76aa0095,0x61e46df2,0x79800548,0x06fd00bc}},	//   ləyi, hnil, semw, číná_, 
   {{0xa91d0412,0x61e46df3,0x61f60495,0x00000000}},	//   veže, knil, koyl, --, 
   {{0x61e4014b,0x25a00107,0x9f5f003e,0x00000000}},	//   jnil, _cnil_, ðrún_, --, 
   {{0xa91d0813,0xdb08019c,0x00000000,0x00000000}},	//   teže, _fodã, --, --, 
   {{0x56940f5a,0x00000000,0x00000000,0x00000000}},	//   _вакт, --, --, --, 
   {{0xa91d0688,0x7bdf0212,0x61e4003e,0x57fb00d1}},	//   reže, équi, fnil, _רלוו, 
   {{0xa91d008b,0x248901a0,0x61e46df4,0x11d40038}},	//   seže, _tsam_, gnil, متقد, 
   {{0x361c0056,0x24890165,0x2d8d02a3,0x4fd56df5}},	// [61f0] _אוהד, _usam_, _raee_, ажат, 
   {{0xb4c1047b,0x443930b7,0x600b027e,0xf367020f}},	//   ंनी_, mps_, küme, _стин, 
   {{0x660d6df6,0xa3c200ab,0x44392e43,0x644f0534}},	//   _khak, ंसर_, lps_, lsci, 
   {{0x39460097,0xe80b0d4f,0x645d0326,0xf65300d1}},	//   _neos_, _सीना_, orsi, מצע_, 
   {{0xcb690170,0x6e296df7,0x2b456df8,0x3f816df9}},	//   вале_, _čebu, _pelc_, pehu_, 
   {{0x443903a1,0x644f161c,0x660d011c,0x645d6dfa}},	//   ips_, isci, _lhak, irsi, 
   {{0xdce902f5,0xadc30108,0x660d6dfb,0x00000000}},	//   _obeć, _chản, _ohak, --, 
   {{0x39466dfc,0x76aa0095,0x645d00ef,0xa91d0082}},	//   _ceos_, cəyi, krsi, vežb, 
   {{0x6d4b4645,0x60cd6dfd,0xc9a600c8,0x394602be}},	//   maga, nzam, рвые_, _deos_, 
   {{0x6d4b6dfe,0x660d6dff,0x61e46e00,0xe8f60afc}},	//   laga, _ahak, znil, рль_, 
   {{0x660d085b,0xa8a7004e,0x61e46e01,0x645d623f}},	//   _bhak, _әрек, ynil, ersi, 
   {{0x660d6e02,0x6d4b6e03,0x58d9427d,0x6e270065}},	//   _chak, naga, _идея_, _mujb, 
   {{0xe72e17d2,0x660d6e04,0xdb080038,0x61e46e05}},	//   _ме_, _dhak, _iodá, vnil, 
   {{0x6b836e06,0x6d4b6e07,0x60cd6e08,0x660d01d6}},	//   neng, haga, dzam, _ehak, 
   {{0x6d4b6e09,0x2bb804cc,0x672307c7,0x28d91615}},	//   kaga, _अवसा, _ignj, _बेति, 
   {{0x6b836e0a,0x61e400d9,0x39460183,0x69c9000b}},	//   heng, unil, _xeos_, nhee, 
   {{0x6d4b6e0b,0x6b832d32,0x7524039d,0x78a90068}},	// [6200] daga, keng, _igiz, nxev, 
   {{0xe80b0366,0x6b836e0c,0xf41f0219,0x69c9006d}},	//   _सीमा_, jeng, svär_, hhee, 
   {{0x6b836e0d,0x76aa06d0,0x6d4b6e0e,0x7f4700c3}},	//   deng, təyi, faga, _dejq, 
   {{0xed5a6e0f,0x6d4b6e10,0x6444052b,0xeac800f0}},	//   тод_, gaga, _kwii, ңғай_, 
   {{0x69c92a6d,0x67230813,0x394600e9,0x4c940edd}},	//   dhee, _ognj, _reos_, силс, 
   {{0x6b836e11,0x35a80b79,0x78bb0369,0xdb1a2b70}},	//   geng, गाड़, dyuv, _altá, 
   {{0x6d4b6e12,0xdee36e13,0x237a0065,0xa3ab02e6}},	//   baga, _дори, _mbpj_, कॉट_, 
   {{0x6d4b6e14,0x75240610,0xdce20121,0x69c901d2}},	//   caga, _ngiz, lgoč, ghee, 
   {{0x6b836e15,0xdb083077,0x2d97014b,0x2d99033c}},	//   beng, _dodá, ádež_, _ósea_, 
   {{0x645d0519,0x61e9053d,0x75241cee,0x6b836e16}},	//   vrsi, čeli, _agiz, ceng, 
   {{0x6e20086d,0x660d084c,0x60cd6e17,0x7bdf0107}},	//   _kimb, _phak, zzam, èque, 
   {{0x6e206e18,0x69c92256,0xaadb00d1,0x44396e19}},	//   _jimb, chee, _בחבר, tps_, 
   {{0xb4c1006a,0x6e206e1a,0xb3b4119b,0xdddc1916}},	//   ंने_, _mimb, ुसंख, _aprū, 
   {{0x660d6e1b,0x75246e1c,0x6d4b6e1d,0x60cd0352}},	//   _whak, _egiz, zaga, vzam, 
   {{0xd62716d9,0x6d4b6e1e,0x88e80086,0x660d6e1f}},	//   _које_, yaga, _পরিক, _thak, 
   {{0xa91d6e20,0x44396e21,0x6e206e22,0x6b835c6c}},	//   leža, pps_, _nimb, zeng, 
   {{0x6b836e23,0x656d0027,0xf8b8029c,0x00000000}},	// [6210] yeng, _icah, ेनिय, --, 
   {{0x60cd6e24,0x6d4b6e25,0x667100d4,0xdb01033c}},	//   rzam, waga, _بگیر, _volú, 
   {{0x6d4b6e26,0x6e206e27,0x6b836e28,0x3ed900c5}},	//   taga, _bimb, veng, دواج_, 
   {{0x44296e29,0x6b836e2a,0x44216e2b,0x656d0626}},	//   _kua_, weng, _hih_, _jcah, 
   {{0x6b836e2c,0x6d4b6e2d,0x44296e2e,0x6e206e2f}},	//   teng, raga, _jua_, _dimb, 
   {{0x44296e30,0x6d4b6e26,0x44216e31,0xa91d52cd}},	//   _mua_, saga, _jih_, ježa, 
   {{0x6d4b2244,0x0d67048a,0x44296e32,0xdb08026e}},	//   paga, _възм, _lua_, _podá, 
   {{0x6b836e33,0x2bd90796,0x6e206e34,0x49980088}},	//   seng, _भगवा, _gimb, атья_, 
   {{0x4429057f,0x3f9100d2,0x69c96e35,0xdb08014b}},	//   _nua_, _kazu_, rhee, _vodá, 
   {{0x6e200b76,0x6db3186c,0x38bc007a,0x656d0027}},	//   _zimb, _уйғу, _sárú_, _acah, 
   {{0x7c291342,0xe61a6e36,0x44296e37,0x3f916e38}},	//   _huer, лдо_, _aua_, _mazu_, 
   {{0xc32900fe,0x44296e39,0x3f91015e,0x44216e3a}},	//   _טו_, _bua_, _lazu_, _aih_, 
   {{0x44210519,0x44296e3b,0x69a409d8,0x3f91090e}},	//   _bih_, _cua_, कारी, _oazu_, 
   {{0x44296e3c,0x7c2915c4,0x44216e3d,0xf7710019}},	//   _dua_, _muer, _cih_, _رات_, 
   {{0x44296e3e,0x44216e3f,0x7e650175,0x00000000}},	//   _eua_, _dih_, juhp, --, 
   {{0xe80b1516,0x7c29018c,0x64440080,0x2fd8011c}},	//   _सीता_, _ouer, _twii, _smrg_, 
   {{0x4429005c,0x0ce200cc,0x3f91003a,0x6e206e40}},	// [6220] _gua_, _বর্ত, _bazu_, _rimb, 
   {{0x44216e41,0xa068004e,0x43860038,0x316901ca}},	//   _gih_, лаға_, _الدق, agaz_, 
   {{0x3f9102ec,0x600202a0,0xa301004e,0x7e650640}},	//   _dazu_, nômi, _жүре, guhp, 
   {{0x237f02f5,0x44290201,0xa2d102e6,0x7c2902eb}},	//   đuje_, _yua_, _डेट्, _buer, 
   {{0x3f910112,0x7c2915c4,0x89d800c5,0x6e206e42}},	//   _fazu_, _cuer, یوتر_, _vimb, 
   {{0x7c296e43,0xdca603dc,0x6e200010,0xac2508ab}},	//   _duer, _қази, _wimb, іфік, 
   {{0x69a412e3,0xe80b6e44,0xc33300a7,0xa91d6e45}},	//   काली, _सीधा_, לוג_, veža, 
   {{0x7c290f46,0x383423de,0xadc30023,0x7bca0104}},	//   _fuer, онир, _thạn, shfu, 
   {{0x8c433e88,0xccc66e46,0xe28e0104,0x00000000}},	//   _нете, _убай, _lsа_, --, 
   {{0x44296e47,0x7c2f026d,0x69d902a5,0x69c06e48}},	//   _rua_, _écra, _emwe, skme, 
   {{0x44296e49,0x7c2901c4,0x44213a85,0xa91d044e}},	//   _sua_, _zuer, _rih_, reža, 
   {{0x44296e4a,0xceb30056,0x442102f8,0x6fc0014e}},	//   _pua_, לית_, _sih_, _böck, 
   {{0x442900f7,0xa91d1db4,0xdb010118,0xe0df01c5}},	//   _qua_, ležn, _anlè, _ceòl_, 
   {{0x4429001b,0x600b0241,0x00000000,0x00000000}},	//   _vua_, küma, --, --, 
   {{0x44216e4b,0x69d902bf,0xd5bb0141,0x3f910035}},	//   _vih_, _ymwe, _бсп_, _razu_, 
   {{0x44296e4c,0x463b0137,0x44210089,0x6fc001c4}},	//   _tua_, _געהע, _wih_, _höch, 
   {{0x7bc82a30,0x442102f5,0xb3eb0084,0xdb010107}},	// [6230] _oldu, _tih_, _معدل_, _enlè, 
   {{0x2fc7001b,0x6aa80035,0x3fd70033,0x4421002c}},	//   óng_, _कपूर, তক্ষ, _uih_, 
   {{0x6fc002ec,0x7c296e4d,0xa91d027c,0xa3be0077}},	//   _möch, _suer, ježn, _आवत_, 
   {{0x7c296e4e,0x7bc86e4f,0x29d300d9,0xa91d008b}},	//   _puer, _aldu, nţat_, dežn, 
   {{0x7c290b85,0x6d496e50,0x7bc60028,0x506400b3}},	//   _quer, _veea, _įkur, _нтра, 
   {{0xeb996e51,0xda590148,0x40346e52,0xfaa5021d}},	//   рик_, ариш_, _херс, жако, 
   {{0x2d99001d,0x7c290502,0x63a50175,0xfe6e0535}},	//   _óseo_, _wuer, _mnhn, _لگن_, 
   {{0x7c294992,0x08c56e53,0x7bc86e54,0x2245014b}},	//   _tuer, жбин, _eldu, álky_, 
   {{0x7c216e55,0x394d6e56,0x00000000,0x00000000}},	//   _tilr, raes_, --, --, 
   {{0xeb9b086b,0x290300e0,0x600202aa,0xaa590080}},	//   _حضرت_, āja_, tômi, _вижу_, 
   {{0x6b9c381f,0x85ea03dc,0x28d912e3,0xf5ea058e}},	//   _órga, идов_, _बेरि, имол_, 
   {{0x69d96e57,0x78a40bad,0x248000e2,0xed590604}},	//   _umwe, _šive, _ppim_, _jdž_, 
   {{0xb8fe0086,0xe91900dd,0x26c30352,0x240a00a3}},	//   _দু_, _тоді_, šjo_, инми_, 
   {{0xe7396e58,0xa91d0372,0x7d060b48,0x00000000}},	//   _тек_, ležo, _økse, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xe1f70965,0xf8c92b69,0x5436022a,0x7bc3003e}},	// [6240] ігу_, िनिय, _بربر, kknu, 
   {{0x6456016c,0xd00f00d7,0x00000000,0x00000000}},	//   _ivyi, پلم_, --, --, 
   {{0xd37b00c7,0x00000000,0x00000000,0x00000000}},	//   _דריט, --, --, --, 
   {{0xa3c2000f,0xc8c907d5,0x2c720156,0x9f5801be}},	//   ंसक_, िनाट, tâd_, _chrò_, 
   {{0x629e0242,0xa3be01a4,0xf1b30486,0xa91d00ca}},	//   _hrpo, _आवा_, _חסר_, dežo, 
   {{0x629e090e,0x0eba0cfe,0x749b0147,0x649b0147}},	//   _krpo, _кубы_, יינפ, יסנד, 
   {{0x601002ae,0x19581ab1,0x00000000,0x00000000}},	//   rämd, байы_, --, --, 
   {{0xa91d008b,0xa3be00b0,0x00000000,0x00000000}},	//   režn, _आवऽ_, --, --, 
   {{0x6d4200a9,0xc21300a7,0xa91d203b,0xcb6a6e59}},	//   mboa, והה_, sežn, _вазе_, 
   {{0xc07b00c7,0x7bc80095,0xa91d4356,0x907b07e4}},	//   סטיש, _uldu, pežn, סטיי, 
   {{0xa91d6e5a,0x600b00b0,0x00000000,0x00000000}},	//   bežo, kümn, --, --, 
   {{0x6d426e5b,0x6fc00380,0xe4a76e5c,0x00000000}},	//   nboa, _wöch, орго, --, 
   {{0x29d3020f,0x6fc00502,0x629e26ad,0x00000000}},	//   rţat_, _töch, _arpo, --, 
   {{0xbf0a009a,0x00000000,0x00000000,0x00000000}},	//   _वरून_, --, --, --, 
   {{0x64560027,0x92940bae,0x62346e5d,0xe658007a}},	//   _evyi, марц, десу, _البث_, 
   {{0x77bf010c,0x225e0356,0xc03508bd,0x26d80032}},	//   _rêxi, átka_, знај, úrou_, 
   {{0x657f01a0,0x7bc30ed9,0x00000000,0x00000000}},	// [6250] _ibqh, yknu, --, --, 
   {{0xdb18010d,0xdb21026e,0x6d4200da,0xaf070d3d}},	//   mkvæ, _štít, eboa, очек, 
   {{0x68e400bc,0x6d420379,0xeeab6e5e,0x00000000}},	//   _židl, fboa, штак_, --, 
   {{0xb17b0430,0xb50f00a5,0x8367009c,0x77bf0216}},	//   _småf, _सराय_, _ادکل, _vêxi, 
   {{0xa136008d,0xd59c00c7,0x8c456e5f,0xc105144f}},	//   _מארק_, יבאל, челе, _روسي, 
   {{0x443b04e4,0x2005003e,0x77bf0218,0x00ba00d1}},	//   _mtq_, _óli_, _têxi, _המשמ, 
   {{0xf1bf001b,0x6d420237,0xa91d0a1a,0x00000000}},	//   _giác_, bboa, težo, --, 
   {{0x3e75014e,0x7c2f0212,0x7bc36e60,0x00000000}},	//   måt_, _écro, sknu, --, 
   {{0x3e75098d,0xe9a300f0,0x9d453b46,0x00000000}},	//   låt_, зақп, _меңд, --, 
   {{0x7c3b6e61,0x77f700a2,0x61b8258c,0x59a900bc}},	//   _itur, ुतेक_, _इक्ष, काहर, 
   {{0x38ca009c,0x3e751bde,0xa91d0ed9,0x443b0210}},	//   لایی_, nåt_, pežo, _atq_, 
   {{0xca9600d1,0x69dc0028,0x00000000,0x00000000}},	//   _מדעי_, _įreg, --, --, 
   {{0xe8ee6e62,0x69cb6e63,0x6d5b025b,0xc9522737}},	//   _чл_, _ilge, _mdua, _טמא_, 
   {{0x9f5a024a,0x3e750219,0x889a00d1,0xf8b600d1}},	//   ropë_, kåt_, _לבני, _מפני_, 
   {{0x7c3b0104,0x00000000,0x00000000,0x00000000}},	//   _ltur, --, --, --, 
   {{0x7c3b03c0,0x5bb807d5,0xf09f01be,0x629e0304}},	//   _otur, _अव्व, _brà_, _vrpo, 
   {{0x7c3b0610,0xdb016e64,0x3cdb188d,0x00000000}},	// [6260] _ntur, _koló, _खेले_, --, 
   {{0x6d5b0938,0x7d041cf2,0xf09f01a7,0x629e0604}},	//   _adua, üism, _drà_, _trpo, 
   {{0x7c3b2e9a,0x6d426e65,0xdee36bdb,0x69cb6e66}},	//   _atur, tboa, нофи, _olge, 
   {{0x600b027e,0x7c3b0175,0xf09f0036,0x26120083}},	//   lüml, _btur, _frà_, _धीमी_, 
   {{0x10a3004e,0x629c206b,0xb17b37b4,0x6d5b4b58}},	//   _зиян, lvro, _småg, _ddua, 
   {{0x69cb6e67,0xa91d015e,0x6d4201d6,0xa3cc00b0}},	//   _alge, režl, sboa, लसि_, 
   {{0x9d46004f,0x7c3b1279,0x629c123b,0x6d426e68}},	//   _невд, _etur, nvro, pboa, 
   {{0x89d83b7a,0x583800d9,0x7c3b00b9,0x28c40240}},	//   توبر_, озия_, _ftur, дшоҳ, 
   {{0xa91d6e69,0x600b027e,0x67d46e6a,0x48146e6b}},	//   ležj, küml, допу, ммис, 
   {{0x69c501ee,0x37aa32ae,0xdb0161c2,0x6e2e6e6c}},	//   ëher, стин_, _coló, _kubb, 
   {{0xf673022c,0xb886003e,0x320256f3,0x23b037ff}},	//   нгээ, fsíð, _okky_, ञानद, 
   {{0xd6d76e6d,0x6e2e01b8,0xdb1801d5,0x69cb0354}},	//   яты_, _mubb, tkvæ, _glge, 
   {{0x629c6e69,0xd9430161,0x07a66e6e,0x9f840241}},	//   evro, _чечи, _надн, _göç_, 
   {{0x649211b1,0x481300dd,0x6e2e0118,0xe4a70176}},	//   džić, _зміс, _oubb, орҳо, 
   {{0x3a260118,0xa77b00d1,0x3633007a,0x629c040b}},	//   _kiop_, _הרופ, _كريس, gvro, 
   {{0x225f02fe,0xf09f0054,0xe51a00bd,0xdb0103a0}},	//   čuk_, _prà_, नेहि_, _kolò, 
   {{0x600b0241,0x81c10033,0x31680176,0x00000000}},	// [6270] büml, ্চল_, яшро_, --, 
   {{0xb17b0f96,0x6e2e4edf,0xdb016e6f,0xa2b500ae}},	//   _småd, _bubb, _polü, _उपप्, 
   {{0x7c3b6e70,0x51f92989,0x25a90c0c,0xdb1802ae}},	//   _stur, _мною_, _knal_, nkvä, 
   {{0x6e2e6e71,0x2167030f,0x656f6e72,0xf09f001b}},	//   _dubb, _этог, ngch, _trà_, 
   {{0x408403dc,0x61ed00d9,0x53d100b0,0x32096e73}},	//   _пурб, mnal, _हताश, mlay_, 
   {{0x32096e74,0x3e750219,0x2ade007e,0x61ff065c}},	//   llay_, påt_, _केहु_, loql, 
   {{0x6e2e6e75,0xdb180219,0xf8ae00d7,0x3209018e}},	//   _gubb, jkvä, یکه_, olay_, 
   {{0x61ed6e76,0xa2b50509,0x320900a3,0x78a406e0}},	//   nnal, _उपन्, nlay_, _šiva, 
   {{0x7c3b6ad0,0xdb016e77,0x3a266e78,0x61ed6e79}},	//   _utur, _colò, _diop_, inal, 
   {{0x62852ee3,0x600b239e,0x32090508,0xdb1a0216}},	//   _opho, kümm, hlay_, _motê, 
   {{0x62850201,0x32094528,0x59753282,0x657d6e7a}},	//   _npho, klay_, _жылу, ffsh, 
   {{0x61ed6e7b,0xdbd714c0,0xceb200d1,0xdd1c00da}},	//   jnal, sääs, דיט_, lášo, 
   {{0x32090495,0xb886008c,0xdcfb003a,0xdbd706a6}},	//   dlay_, rsíð, _obuč, pääs, 
   {{0x660e0187,0x225e253f,0xdd1c0032,0xa36a040c}},	//   _ďaku, átko_, nášo, _amеr, 
   {{0xe2976e7c,0x628e012e,0x23276e7d,0xdb180219}},	//   мар_, uwbo, дори_, ckvä, 
   {{0x61ed6e7e,0x32090c36,0xb686006b,0x629c0511}},	//   gnal, glay_, _کھیل_, rvro, 
   {{0x394f0096,0xed590372,0x629c10f3,0x66046e7f}},	// [6280] _megs_, _možd_, svro, _ikik, 
   {{0x6e2e6e80,0x7e7b4179,0x320907fc,0x9f4a0237}},	//   _pubb, _ćupr, alay_, _akbò_, 
   {{0x32095ef0,0x3dcd6908,0xce4a00f0,0x6604052b}},	//   blay_, _blew_, ізде_, _kkik, 
   {{0xa91d008b,0x7f4e6e81,0x3209339d,0x61ed2899}},	//   režj, _webq, clay_, cnal, 
   {{0x320000cf,0x61e46e82,0x361b0070,0x6604025b}},	//   moiy_, miil, קונד, _mkik, 
   {{0xdb210187,0x1ae90086,0x3dc6296e,0x61e400d9}},	//   _štát, য়েছে_, skow_, liil, 
   {{0xa9341838,0x195814c1,0x66046e83,0xa91d6e84}},	//   нейш, пайы_, _okik, bežk, 
   {{0xa9c302fb,0x61e400d9,0xdb016e85,0x395d0026}},	//   вськ, niil, _polò, _cdws_, 
   {{0x60d624bc,0x3f986e86,0x3cf1020b,0x00000000}},	//   nzym, _karu_, čovú_, --, 
   {{0x8c43636f,0x66046e87,0xdcf70296,0x3e60020f}},	//   _рефе, _akik, _غفلت_, pătă_, 
   {{0x61ed6e88,0x61e46e89,0xdb1a021e,0x32096e8a}},	//   ynal, kiil, _motë, ylay_, 
   {{0xdb180219,0x2bbe009a,0x94ab00a3,0x28d9009a}},	//   rkvä, ्सवा, отга_, _बेकि, 
   {{0x657d6e8b,0x61ed1a01,0x61e46e8c,0x7c286e8d}},	//   rfsh, vnal, diil, _kidr, 
   {{0x66040298,0x80d9017d,0x7c2800c3,0x61ed6e8e}},	//   _ekik, _नेगे, _jidr, wnal, 
   {{0x53346e8f,0x61e46e90,0x320924e5,0x78a20144}},	//   тест, fiil, tlay_, _hrov, 
   {{0xdb1a02a0,0x6604016a,0xb17b0dcb,0x61e400b3}},	//   _potê, _gkik, _småb, giil, 
   {{0x3f986e91,0x32096e92,0x752d006b,0xdb1a01ee}},	// [6290] _baru_, rlay_, _igaz, _botë, 
   {{0xed5902f5,0xb4cb1516,0x7c286e93,0xf1bf0023}},	//   _može_, लनी_, _nidr, _gián_, 
   {{0x61e41eab,0x3f9823ba,0x798200ab,0x644d016a}},	//   biil, _daru_, _obow, _hwai, 
   {{0x61e4002e,0xafdb0f95,0x7c28576f,0x644d044d}},	//   ciil, _stød, _aidr, _kwai, 
   {{0x7c2839a9,0xed59014b,0x394f0876,0x3f98018e}},	//   _bidr, _nože_, _regs_, _faru_, 
   {{0x7c286e94,0x644d187e,0x394f6e95,0xf1bf0183}},	//   _cidr, _mwai, _segs_, _xián_, 
   {{0x4ea702f1,0x78a201a7,0x798201b8,0x20016e96}},	//   _ўрга, _arov, _bbow, mohi_, 
   {{0xa91d4087,0xed59090e,0x752d0010,0x20010364}},	//   leži, _bože_, _ngaz, lohi_, 
   {{0xb4be02f8,0x7c28647a,0xed590ab4,0x98a51d7d}},	//   _इथे_, _fidr, _vožd_, хипе, 
   {{0xdce90d02,0x66046e97,0x244d00ef,0x20016e98}},	//   _ubeđ, _skik, džm_, nohi_, 
   {{0x2bac00a2,0xd5e611b5,0x7d0902a2,0x78a201c8}},	//   चारा, ежни, _hyes, _erov, 
   {{0x58d56e99,0xaa646e9a,0x644d01b8,0x20010104}},	//   _поет, _штук, _bwai, hohi_, 
   {{0x320002f1,0x61e43d00,0xdb080237,0x6e290379}},	//   voiy_, viil, _andè, _mieb, 
   {{0x6e2902ec,0x69c9030f,0x79996e9b,0xa91d04ab}},	//   _lieb, lkee, _haww, ježi, 
   {{0x61e41e36,0x386d026a,0x3f982ee2,0x78a200bc}},	//   tiil, luer_, _raru_, _zrov, 
   {{0x6e2900ab,0x3f986e9c,0x799b6e9d,0xdb1a0034}},	//   _nieb, _saru_, nduw, _sotë, 
   {{0x61e4002e,0x644d02bf,0x7d096e9e,0xe0da0141}},	// [62a0] riil, _gwai, _nyes, чва_, 
   {{0x60d6006a,0xe47b00a7,0x752d034c,0x447b008d}},	//   rzym, _צריכ, _zgaz, _צניע, 
   {{0xf1bf0029,0x61e4002e,0x4432001b,0x7d093d7f}},	//   _giáo_, piil, _huy_, _ayes, 
   {{0x6e2900ab,0x3f986e9f,0xa2b5031e,0x7d090539}},	//   _cieb, _waru_, _उपत्, _byes, 
   {{0xdca311c3,0x63be044e,0xdb086ea0,0xdd99026e}},	//   лаци, _kopn, _indé, _daň_, 
   {{0x44320f46,0xdb1a6ea1,0x7d0956ef,0x69c92f9f}},	//   _muy_, _hoté, _dyes, ekee, 
   {{0x7c2862cb,0x78a26ea2,0x44326ea3,0x6e2950c8}},	//   _vidr, _srov, _luy_, _fieb, 
   {{0x69c910f3,0x799b012b,0x68ed6ea4,0x386d5068}},	//   gkee, gduw, _žada, fuer_, 
   {{0x386d16c2,0x752d02f1,0x799900c3,0xdb1a0eaa}},	//   guer_, _rgaz, _daww, _moté, 
   {{0xdb1a6ea5,0x473400a3,0x00000000,0x00000000}},	//   _loté, ънос, --, --, 
   {{0x644d6ea6,0x7999008a,0xa5f96ea7,0x69c9059e}},	//   _swai, _faww, дену_, bkee, 
   {{0x78a26ea8,0x443255cf,0xdce00095,0x386d6ea9}},	//   _trov, _buy_, _hamı, buer_, 
   {{0xb4cb006a,0x94a83730,0xc4580088,0x443202a2}},	//   लने_, нтра_, ниях_, _cuy_, 
   {{0x7bca06c7,0x4432001b,0x26c500bc,0xdb1a61ef}},	//   nkfu, _duy_, bylo_, _potè, 
   {{0xd6cf6eaa,0x4432005f,0xa91d6eab,0x6b9a6eac}},	//   _ст_, _euy_, veži, _matg, 
   {{0x6b9a01dd,0x9b1700d1,0x752d1871,0xdb1a0212}},	//   _latg, תחלה_, _ugaz, _coté, 
   {{0x765a00e4,0x644d0ab1,0x6e296ead,0x443200d1}},	// [62b0] lsty, _uwai, _rieb, _guy_, 
   {{0x7c2f0518,0x6e296eae,0x69c901f1,0x201801be}},	//   _écri, _sieb, zkee, _chri_, 
   {{0x765a6eaf,0xa91d3492,0x6e2901dd,0xf364049b}},	//   nsty, reži, _pieb, _стын, 
   {{0x7d096eb0,0x41a5203f,0x765a6eb1,0x44326eb2}},	//   _pyes, _ऑफिस, isty, _yuy_, 
   {{0x24890065,0xeb99144a,0x69c90201,0x7999008a}},	//   _jpam_, дил_, vkee, _raww, 
   {{0xf1bf001b,0x765a6eb3,0x6e294249,0xf3ff02aa}},	//   _hoá_, ksty, _wieb, irão_, 
   {{0x6b9a02bf,0x386d011c,0xa3e90366,0xc33400d1}},	//   _datg, wuer_, _मगन_, נוק_, 
   {{0x765a0d86,0x386d0212,0x7999003d,0xceb20486}},	//   dsty, tuer_, _qaww, _דיל_, 
   {{0x69c9051e,0x2489023b,0xed590604,0x780c0110}},	//   rkee, _npam_, _tožb_, हतूक_, 
   {{0xf3ff03b7,0x2d8f6eb4,0x765a0326,0x69c96eb5}},	//   drão_, lege_, fsty, skee, 
   {{0x4432001b,0x24890065,0x49756eb6,0x63be1151}},	//   _suy_, _apam_, _алес, _ropn, 
   {{0x44326eb7,0x2d9d0c22,0x89370038,0x55e6002e}},	//   _puy_, ndwe_, _أعضا, томб, 
   {{0x386d6eb8,0x44320029,0x2d990183,0x88c4009c}},	//   quer_, _quy_, _óseu_, _متول, 
   {{0xd7052941,0xf1bf0126,0xdb1a6eb9,0x765a6eba}},	//   _изли, _diám_, _soté, bsty, 
   {{0xc793005e,0xdb1a002c,0x44320175,0x63be01d5}},	//   _арқы, _poté, _wuy_, _vopn, 
   {{0x44320029,0xa3be07d5,0x217500b9,0x01630ca4}},	//   _tuy_, _आवक_, луур, иксо, 
   {{0xf1bf001b,0x63be6ebb,0x2d8f0199,0x312602f1}},	// [62c0] _giám_, _topn, dege_, тдаг, 
   {{0x64466ebc,0xe0df00a1,0xbea66ebd,0x00000000}},	//   mpki, _reòt_, казк, --, 
   {{0x6b9a01c4,0x661600bc,0x32463109,0xdb1a00d8}},	//   _ratg, ůzku, _шенг, _toté, 
   {{0x8c466ebe,0x6b9a105b,0xf1d203dd,0xa91d0352}},	//   веде, _satg, _төгө, ležu, 
   {{0xdf7400d4,0x2c0e009a,0xe0d7049b,0x6b9a3452}},	//   _مگاب, ितलं_, _авя_, _patg, 
   {{0x765a6ebf,0x64460009,0x20180080,0x6b9a6ec0}},	//   ysty, ipki, _uhri_, _qatg, 
   {{0xafe36ec1,0x6b9a00e7,0xa50f0fc0,0xd00700b3}},	//   _торл, _vatg, _सर्च_, _рере_, 
   {{0xa2b50aac,0xdee60258,0xf1bf0023,0x98740bad}},	//   _उपस्, _зоҳи, _xoá_, глиц, 
   {{0xd7fa0161,0x0c2607e1,0x3e7c6ec2,0x00000000}},	//   дун_, _аман, lít_, --, 
   {{0x765a380a,0x76b815d3,0x97a66ec3,0xf3ff019c}},	//   tsty, елор_, трил, vrão_, 
   {{0xdb01055f,0xa01b0219,0x765a02f3,0x6ae00033}},	//   _anlæ, _spök, usty, _পুরো, 
   {{0x25ad0183,0x25bf0a6d,0xd9462756,0xf3ff02aa}},	//   ñel_, ðul_, _реди, trão_, 
   {{0x765a050f,0xed590455,0xe0df01c5,0x66cb039f}},	//   ssty, _joža_, _leòr_, tökö, 
   {{0xf3ff0165,0x7c2f0036,0xed590352,0x765a2f1d}},	//   rrão_, _ècre, _moža_, psty, 
   {{0xf2c42595,0x12c400cf,0x59b60527,0x3e7c000d}},	//   астн, аётг, _आचार, jít_, 
   {{0xa3cf3024,0x2ba46ec4,0xd24400d9,0x00000000}},	//   _शतक_, _गोसा, рэри, --, 
   {{0x21f70405,0x2489008b,0x22460082,0x2d8f6ec5}},	// [62d0] għha_, _upam_, _čoke_, vege_, 
   {{0xceeb2300,0x645d03c5,0x2d8f6ec6,0xcaf2075a}},	//   وران_, mssi, wege_, _अखंड_, 
   {{0x2d8f6ec7,0x69dc012d,0xc332042c,0xa3d002e6}},	//   tege_, _įren, _לוי_, वघर_, 
   {{0xe81902e6,0xdb080035,0xed590144,0x26190175}},	//   _नीना_, _lodó, _boža_, léob_, 
   {{0x645d0088,0x50f42b68,0x2d8f6ec8,0x2ba400a5}},	//   nssi, _взят, rege_, _गोहा, 
   {{0x2d8f6ec9,0x645d6eca,0x2c7b03c6,0x3e7c02d9}},	//   sege_, issi, rêd_, bít_, 
   {{0xbed50267,0x2d8f0b41,0x09e527eb,0x00000000}},	//   _совј, pege_, локн, --, 
   {{0xfaa6009c,0xdb1a00e1,0x00000000,0x00000000}},	//   اجوی, _altó, --, --, 
   {{0x6d596ecb,0x7d043a0f,0x6ce7004f,0xa8050148}},	//   mawa, üist, _ріве, лзил, 
   {{0xdb080068,0x27956ecc,0x645d35bb,0x81e90033}},	//   _codó, ушир, dssi, মকি_, 
   {{0x7f551771,0x645d6ecd,0xdb010165,0xf62600d3}},	//   _mezq, essi, _colô, лдоо, 
   {{0x6d596ece,0x04461d05,0xb17b0611,0x60106ecf}},	//   nawa, лемн, _smån, vämm, 
   {{0x7bc100e2,0x65f900f6,0x645d1226,0xa91d00ca}},	//   _kolu, тээр_, gssi, težu, 
   {{0x6d596ed0,0xadc300e7,0x387f024a,0x60106ed1}},	//   hawa, _khẳn, mtur_, tämm, 
   {{0x35a603a1,0x7bc16ed2,0x29c305b9,0x8698049b}},	//   _байг, _molu, _uñas_, _атыт_, 
   {{0xdb0114f9,0x6d596ed3,0x7bc16ed4,0xa2b50586}},	//   _inlä, jawa, _lolu, _उपर्, 
   {{0x6d596ed5,0xa0673cee,0x64a608ad,0x26011c25}},	// [62e0] dawa, лата_, _сапа, रवरी_, 
   {{0x66066ed6,0x764302a2,0xa4b707e4,0x3e7c6ed7}},	//   lokk, _ktny, _עליה_, tít_, 
   {{0x6da652d5,0x25b700d4,0x6d590175,0x00000000}},	//   лижа, _شهید_, fawa, --, 
   {{0x6d596ed8,0xdd9900f0,0x66066ed9,0x5bbe0c3a}},	//   gawa, кші_, nokk, ्स्व, 
   {{0x7bc16eda,0x387f01ee,0xa3b80484,0x9be600f0}},	//   _bolu, jtur_, छाप_, лікк, 
   {{0xafe66edb,0x7bc16edc,0x66066edd,0x3c390237}},	//   _согл, _colu, hokk, _dèv_, 
   {{0xadc3001b,0x66066ede,0x65646edf,0x7bc16ee0}},	//   _chẳn, kokk, _odih, _dolu, 
   {{0x656401ee,0x6d5934c4,0x644402a5,0x2ba40c14}},	//   _ndih, cawa, _otii, _गोरा, 
   {{0xdb010003,0x764302cd,0xbb461745,0xdb086ee1}},	//   _anlä, _atny, _безк, _indí, 
   {{0xa09700c7,0x656401a7,0x948700f0,0xdb016ee2}},	//   נדיק_, _adih, қымд, _polô, 
   {{0xe5b511c5,0x387f0b7f,0x4787004e,0xc98602f1}},	//   айны, atur_, усым_, _були, 
   {{0xd6d72241,0x7bc1019b,0x645d4703,0xd5af017d}},	//   уть_, _zolu, tssi, टाइज, 
   {{0x7bc16ee3,0xb4c1047c,0xdb1a3ad3,0x656400f3}},	//   _yolu, ूने_, _motí, _ddih, 
   {{0x6d596ee4,0x645d6ee5,0x644400a1,0x00000000}},	//   zawa, rssi, _dtii, --, 
   {{0x45d56ee6,0x6d596ee7,0xcb3700a7,0x6606247a}},	//   _войс, yawa, ראלי_, bokk, 
   {{0xdb1a6ee8,0x6606105b,0x29d80038,0x645d47e6}},	//   _notí, cokk, _déag_, pssi, 
   {{0x6e3504d1,0x9f556ee9,0x90990f5a,0xdb0102ae}},	// [62f0] _suzb, ивач, ъват_, _inlå, 
   {{0xdefb0df8,0x6d596eea,0x6aa839a9,0x6d406eeb}},	//   ные_, wawa, _ordf, _afma, 
   {{0x6d596eec,0x7bc16eed,0xdb1a1771,0x9315009c}},	//   tawa, _rolu, _botí, _خودش, 
   {{0xdb1a0068,0x6e226eee,0x387f6eef,0x5f241d7d}},	//   _cotí, gmob, ytur_, сфуз, 
   {{0x7bc1034c,0x6d596a78,0x6aa800e1,0xe7b50299}},	//   _polu, rawa, _ardf, _अचलप, 
   {{0x6e35015e,0x8f341b2d,0xadc30023,0xdb0800b9}},	//   _tuzb, _герц, _phẳn, _endí, 
   {{0x6d594458,0x69c2011c,0xdb1a00da,0xdb0805d5}},	//   pawa, _booe, _fotí, _sodò, 
   {{0x387f6ef0,0xc9a9078c,0x7bc16ef1,0x6d59016a}},	//   ttur_, твие_, _wolu, qawa, 
   {{0xa922048a,0x7bc16ef2,0x66060080,0x00000000}},	//   одъл, _tolu, vokk, --, 
   {{0x387f2245,0x06856ef3,0xb17b05ac,0xadc3001b}},	//   rtur_, агон, _smål, _thẳn, 
   {{0x387f6ef4,0x64446ef5,0x66066ef6,0x600b0761}},	//   stur_, _stii, tokk, lüms, 
   {{0xa2c410ae,0x29d80038,0x7d160083,0x64a6022c}},	//   रहस्, _céad_, żyse, аама, 
   {{0x66066ef7,0x89345a15,0x394d6ef8,0x65640121}},	//   rokk, _اعما, mbes_, _vdih, 
   {{0xb6a502fb,0x394d6ef9,0xf74503b7,0x69c20118}},	//   _викл, lbes_, _теко, _zooe, 
   {{0x76430f5b,0x3f930098,0x42e70176,0x00000000}},	//   _utny, dexu_, амро_, --, 
   {{0x386d026a,0x27e70102,0xa5bb0042,0x515503dd}},	//   orer_, _hmnn_, lmón, йтуу, 
   {{0x2dc85db8,0x3fe66efa,0x439400b3,0x64446efb}},	// [6300] ққан_, ажав, _лунӂ, _utii, 
   {{0x823600c5,0x25a01115,0xb4c200a2,0xed590f4c}},	//   _پردا, _hail_, ंही_, _božo_, 
   {{0x386d02f2,0xed5a6efc,0x25a06efd,0xdb1a00bc}},	//   hrer_, вое_, _kail_, _potí, 
   {{0x386d03a9,0x225e0098,0xbd6727eb,0x7bc56efe}},	//   krer_, átku_, арше_, öhun, 
   {{0x25a01357,0x386d02c9,0x61e141d5,0x2d9f00b4}},	//   _mail_, jrer_, ëlle, _daue_, 
   {{0x386d08bb,0x7fd50451,0x25a06eff,0x7648076b}},	//   drer_, _лісі, _lail_, ypdy, 
   {{0x15f80081,0x160605fd,0x386d44b0,0xf1ca6f00}},	//   ीवार_, रवार_, erer_, _रवान, 
   {{0x386d02a0,0x61f63e39,0x298a169e,0x7e9b00d1}},	//   frer_, nnyl, тско_, _בסלו, 
   {{0xb9c30084,0xdb1a03b7,0x386d6f01,0x3ced0eda}},	//   تقيي, _botã, grer_, _आइये_, 
   {{0x1ae607d9,0x37aa00d3,0x3d1b034d,0xc6a65b29}},	//   _козм, ттин_, _बरते_, арми, 
   {{0x386d6f02,0xab2a0cfe,0xb4c10f8c,0x25a06f03}},	//   arer_, _рожа_, ून्_, _bail_, 
   {{0x386d0161,0x29180095,0x25a001fd,0xe8ea00b3}},	//   brer_, əran_, _cail_, _имед_, 
   {{0x948713c3,0x25a06f04,0x22460082,0x386d0212}},	//   шынд, _dail_, _čoka_, crer_, 
   {{0x25a0012b,0x00000000,0x00000000,0x00000000}},	//   _eail_, --, --, --, 
   {{0x29d8007a,0x25a000df,0x00000000,0x00000000}},	//   _téad_, _fail_, --, --, 
   {{0xdce00118,0x29d80096,0xed590604,0x00000000}},	//   _admč, _héab_, _rožo_, --, 
   {{0x7a350009,0x136b00a3,0x3f9300da,0x00000000}},	// [6310] _ište, _ишни_, texu_, --, 
   {{0x6ab66f05,0x5399092d,0x2ca60098,0x8f47405a}},	//   _अपूर, _своя_, dvod_, рхад, 
   {{0xdb1a0054,0xa1955401,0x394d0028,0x660d02a5}},	//   _notà, _ланч, ybes_, _kkak, 
   {{0x237f02f5,0xf2d200c7,0x386d00fc,0xa1943197}},	//   đuju_, _זעט_, yrer_, _даюч, 
   {{0x660d0ac1,0x61ed00c8,0x9b450038,0xbb45401f}},	//   _mkak, mial, منشو, белк, 
   {{0x82340399,0x386d0107,0xf778003d,0xdb1a03dd}},	//   _دریا, vrer_, jgħ_, _botà, 
   {{0x7a3500f1,0xdcfb00f1,0xf21c000f,0x60cd6f06}},	//   _ošte, _obuć, _भीड़_, lyam, 
   {{0xadc3001b,0x82f800a7,0x386d6f07,0x660d6f08}},	//   _thằn, יצוב_, trer_, _nkak, 
   {{0x60cd6f09,0xe739001c,0x394d6f0a,0x3cd532e3}},	//   nyam, леп_, rbes_, _ужас, 
   {{0x386d6f0b,0x660d6f0c,0x61ed6f0d,0x60100088}},	//   rrer_, _akak, hial, tämi, 
   {{0x61ed6f0e,0xa5bb6f0f,0xe5a66f10,0x60cd02b8}},	//   kial, rmón, бини, hyam, 
   {{0x60cd0547,0xed5900bc,0x660d0574,0xafdb004f}},	//   kyam, _jež_, _ckak, _støl, 
   {{0x60cd0199,0xb4c20790,0x290f00a3,0x18690477}},	//   jyam, ंहे_, _uyga_, _сали_, 
   {{0x60cd2c37,0x660d6f11,0x69db019c,0xa5bb001d}},	//   dyam, _ekak, lhue, lmól, 
   {{0x216a04a0,0xa3e90b3e,0xe1f801a2,0x4df71f00}},	//   ливи_, _मगर_, иҳо_, ंचाई_, 
   {{0xed590351,0xa22a3c93,0x61ed6f12,0x463a00c7}},	//   _než_, ужба_, gial, _געקע, 
   {{0xe3b20e61,0x1f666d23,0xc2e60033,0x00000000}},	// [6320] _فرد_, йкам, _খুশি_, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x61ed6f13,0xed590dee,0x32090379,0x7d1b018e}},	//   bial, _bež_, boay_, _azus, 
   {{0x629e02f5,0xed5a0038,0xb4db0054,0x26190151}},	//   _ispo, اشات_, mbàr, héon_, 
   {{0x78ad0082,0xed5927e8,0x69db0034,0xacea013e}},	//   _šavn, _dež_, dhue, ымда_, 
   {{0x50431fc6,0x78bb0183,0x8f750009,0xe58c02d9}},	//   _херб, dxuv, _мусі, jížď, 
   {{0xdb1a6f14,0x6da65581,0xada60104,0x2ca64a83}},	//   _botá, _лива, _лавл, svod_, 
   {{0xdb01010c,0x26cc0028,0x00000000,0x00000000}},	//   _kalê, vydo_, --, --, 
   {{0xdb1a6f15,0xb17b1950,0x64400183,0x00000000}},	//   _dotá, _småk, ímil, --, 
   {{0x61ed6f16,0x629e04d1,0x660d0691,0xdb01009e}},	//   zial, _ospo, _skak, _malê, 
   {{0x59860009,0xadc30023,0x37a71eae,0xa36a01ff}},	//   _глеб, _chặn, стын_, _elеk, 
   {{0xca3700fe,0x69db08b2,0x89a5007a,0xca61040c}},	//   _הנאה_, chue, _وإنم, _izlа, 
   {{0x629e6f17,0x7a356f18,0x3209023a,0x2619023e}},	//   _aspo, _všte, voay_, béon_, 
   {{0x69c00b91,0x07a3134f,0x645600f8,0x61ed0083}},	//   ljme, _начн, _dwyi, wial, 
   {{0x61ed6f19,0xd7f800d9,0x98a4027e,0xd9ec009a}},	//   tial, mnă_, mamı_, _जगात_, 
   {{0x7a3508b1,0x660d6f1a,0x60cd6f1b,0x98a40540}},	//   _ušte, _ukak, tyam, lamı_, 
   {{0x629e6f1c,0xa2b500a2,0x35f80a24,0x60cd019b}},	// [6330] _espo, _उपक्, _درود_, uyam, 
   {{0x60cd02b8,0xdb1f010e,0x2fd80354,0x00000000}},	//   ryam, űvés, _clrg_, --, 
   {{0x61ed1ecf,0x00000000,0x00000000,0x00000000}},	//   pial, --, --, --, 
   {{0x443b024a,0x44336f1d,0xdb0111c9,0xd7f8020f}},	//   _kuq_, _hix_, _falê, hnă_, 
   {{0x61fd02b0,0xdb1a4345,0x98a40241,0x00000000}},	//   _ijsl, _rotá, kamı_, --, 
   {{0x78ad090e,0xb17b0343,0xaa496f1e,0x00000000}},	//   _šavo, _småh, апка_, --, 
   {{0x69db6f1f,0x41e00466,0xdb1a6f20,0x44216f21}},	//   thue, _नतमस, _potá, _mhh_, 
   {{0x49c96f22,0x44336f23,0x44210216,0x3cff006d}},	//   рлин_, _lix_, _lhh_, _txuv_, 
   {{0xf77100b1,0xc7950b34,0x69db00b9,0xdb010ebd}},	//   واد_, орны, rhue, _xalê, 
   {{0x443301c4,0x166500af,0xf1bf0038,0x57e90849}},	//   _nix_, овом, _fhág_, рдом_, 
   {{0x6d5b6f24,0x7c3b6f25,0xdb1a31c7,0x22460304}},	//   _keua, _huur, _totá, _čoko_, 
   {{0x8c3d01f0,0xd7f800d9,0x7c3b6f26,0x44336f27}},	//   _arşi, ană_, _kuur, _aix_, 
   {{0x7c3b14ba,0x395f6f28,0x443300a4,0xdffb29b0}},	//   _juur, maus_, _bix_, ्वाद_, 
   {{0x395f6f29,0x69d9084c,0x7c3b6f2a,0xa3e40035}},	//   laus_, _hlwe, _muur, पों_, 
   {{0xdb010218,0x4433026a,0x232a065b,0xf09f023a}},	//   _salê, _dix_, рови_, _asà_, 
   {{0x443b2976,0x6d5b6f2b,0x395f6f2c,0x443303a1}},	//   _fuq_, _neua, naus_, _eix_, 
   {{0xdfd26f2d,0x629e00ab,0x4fea3c11,0xdfea15f1}},	// [6340] وير_, _wspo, аман_, адад_, 
   {{0x395f6f2e,0x6e3b05ae,0xdb01019c,0x69d902a5}},	//   haus_, _čubr, _valê, _llwe, 
   {{0x35af456f,0x2d8d011c,0x69d90547,0x2ba40466}},	//   _जोड़, _bbee_, _olwe, _गोगा, 
   {{0x7c3b0265,0x395f0238,0x2cad4329,0x443b01ff}},	//   _buur, jaus_, _bred_, _yuq_, 
   {{0x2cad002e,0xdb01024a,0x395f0009,0x6d5b017c}},	//   _cred_, _falë, daus_, _deua, 
   {{0x0a6a6f2f,0xe0fb00a7,0x7c3b17ab,0x69d96f30}},	//   арии_, _כלכל, _duur, _alwe, 
   {{0x98a40092,0x291d0065,0x8e8367a7,0x7c2101be}},	//   vamı_, _azwa_, _огре, _dhlr, 
   {{0x395f012d,0x22460352,0x6e3c6f31,0xdb0110c5}},	//   gaus_, _čokl_, _iurb, _malè, 
   {{0x2cad6f32,0x6e3c0a9f,0x61410019,0x7c2100a1}},	//   _gred_, _hurb, _háló, _fhlr, 
   {{0x6e3c6f33,0xd7f72f80,0xd7f800d9,0xa5bb0169}},	//   _kurb, жую_, ună_, rmóm, 
   {{0x2127001b,0x443b0405,0x7f5c0068,0x443300c3}},	//   ̀nh_, _suq_, _merq, _rix_, 
   {{0x395f6f34,0x7c3b016a,0x6e3c6f35,0x44336f36}},	//   caus_, _yuur, _murb, _six_, 
   {{0x7bc80077,0x6fda009a,0x7a350009,0xe3b32f67}},	//   _kodu, णसां, _išta, ورس_, 
   {{0xdb016f37,0x7bc80104,0x00000000,0x00000000}},	//   _balè, _jodu, --, --, 
   {{0x38661b37,0x3160016a,0x41eb1628,0x9f84003e}},	//   _hvor_, faiz_, афам_, _röð_, 
   {{0x39440183,0x7bc8019b,0xd6db00df,0x00000000}},	//   ncms_, _lodu, _כחול, --, 
   {{0x7f5c01f2,0xdb01024a,0x7bda32bf,0x6d5b0574}},	// [6350] _berq, _palë, _oltu, _reua, 
   {{0x7658006d,0x7f5c604b,0x44275d25,0x644f022c}},	//   _kwvy, _cerq, _òn_, mpci, 
   {{0x7c3b6f38,0x2cad034c,0x7a350a1a,0x6e3c6f39}},	//   _suur, _sred_, _ošta, _curb, 
   {{0x2cad4306,0x7c3b6f3a,0x40350093,0xee3824cf}},	//   _pred_, _puur, _немс, іні_, 
   {{0x2fc700f7,0x7bc80364,0x63a50626,0x395f0b34}},	//   ưng_, _bodu, _kahn, vaus_, 
   {{0x7bc8002e,0x7c3b0318,0x6e3c541f,0xeb991d7e}},	//   _codu, _vuur, _furb, сик_, 
   {{0x7bc804d1,0x63a56f3b,0x6e3c6f3c,0xdb01005f}},	//   _dodu, _mahn, _gurb, _kalé, 
   {{0x7c3b6f3d,0x7e650034,0x08c56831,0x2cad6f3e}},	//   _tuur, mshp, збин, _tred_, 
   {{0xb4ea00a2,0x2cad0f30,0x395f6f3f,0xdb016f40}},	//   _मधे_, _ured_, raus_, _malé, 
   {{0x395f0bf8,0x7afc0352,0x386612e2,0xdb0110fd}},	//   saus_, _žrte, _dvor_, _lalé, 
   {{0x395f00c8,0xe5a62398,0x02ba59d9,0x394600f3}},	//   paus_, пини, _उपेन, _ffos_, 
   {{0xe5a605e6,0x7bc8019b,0xdb0102d9,0xed590604}},	//   чими, _zodu, _nalé, _boži_, 
   {{0x63a56f41,0xb9c40038,0x993a0486,0xa8a714b7}},	//   _bahn, _تقني, _התנה, _фрек, 
   {{0xc87903c0,0x63a5022c,0x18a201a2,0x6285019c}},	//   muş_, _cahn, _чашм, _bqho, 
   {{0xdb016f42,0xc8796f43,0x8c1a00d1,0x63a50604}},	//   _balé, luş_, מושי, _dahn, 
   {{0xdb013718,0xdddc05ae,0x2b8f0241,0xb46600d9}},	//   _valè, _sprž, lıcı_, _екил, 
   {{0x7f5c0161,0x91030f6b,0xdce90082,0x395d56f6}},	// [6360] _perq, епте, _oceđ, _mews_, 
   {{0x6e3c6f44,0x2b8f01f0,0xdb01023e,0x395d01be}},	//   _purb, nıcı_, _talè, _lews_, 
   {{0x6e3c0460,0x61462c6d,0xe35700fe,0x7f5c6f45}},	//   _qurb, _нена, _משיח_, _verq, 
   {{0x395d6f46,0xdb011acf,0x63a54081,0x8d2a0258}},	//   _news_, _galé, _zahn, боев_, 
   {{0x7bc86f47,0xc1730056,0xa11600d4,0x60360237}},	//   _podu, _אחר_, _روست, _fņma, 
   {{0x6e3c6f48,0x9f4a023e,0x00000000,0x00000000}},	//   _turb, _ombé_, --, --, 
   {{0x80d100cc,0x29d80084,0x395d008a,0x2b8f0248}},	//   _সেপ্, _déan_, _bews_, dıcı_, 
   {{0x6da31b5c,0x3f9a00ab,0xada300e4,0x7bc86f49}},	//   _писа, lepu_, _пасл, _wodu, 
   {{0x290200e5,0xeb36009c,0xcb6a0398,0x7ce601ff}},	//   çka_, _فراخ, _газе_, _mаrk, 
   {{0xf1bf00f7,0xfaa6104e,0x3b831e2f,0x7bda6f4a}},	//   _khác_, _назо, _плуг, _ultu, 
   {{0xf11905fd,0xadf30367,0x63a56f4b,0x98b8035d}},	//   _दर्द_, _आगमन_, _rahn, ğrı_, 
   {{0x26c2034c,0x63a56f4c,0x7c2a6f4d,0x26190175}},	//   ćko_, _sahn, lmfr, méok_, 
   {{0x80d10086,0x9f4a0574,0x657d03c5,0x7df50028}},	//   _সেন্, _embé_, rgsh, mąst, 
   {{0xdb016f4e,0x3f9a027c,0x424723d2,0xd79400fd}},	//   _salé, jepu_, зхаб, _цикъ, 
   {{0xdb016f4f,0x764a017b,0x61e10034,0x96f700b3}},	//   _palé, _utfy, ëllo, _нешт_, 
   {{0xc2c40038,0x067b07e4,0x63a50380,0xed590121}},	//   ريقي, _הנהל, _wahn, _toži_, 
   {{0x62870405,0x63a56f50,0x7a0101dd,0xdb016f51}},	// [6370] stjo, _tahn, nēta, _valé, 
   {{0x660f6f52,0x3014278a,0xe9e200ab,0x644d4966}},	//   lock, едур, leźć_, _itai, 
   {{0x3a3e0640,0xdb0110fd,0x7f4502eb,0x00000000}},	//   _nutp_, _talé, rchq, --, 
   {{0xfe700133,0x78a2034c,0xf1bf00e7,0x660f68e4}},	//   ادل_, _osov, _giáp_, nock, 
   {{0x0db800eb,0x2b8f008f,0x1c4400f0,0x656d095a}},	//   ثالث_, yıcı_, енім, _mdah, 
   {{0x660f1096,0xb17b0c17,0xc8790585,0x644d0d94}},	//   hock, _blåg, vuş_, _mtai, 
   {{0xab2600cf,0x660f6f53,0x2b5e012b,0x78a20097}},	//   моша_, kock, _detc_, _asov, 
   {{0x656d6f54,0x601008b5,0x644d6f55,0xfaf020b4}},	//   _ndah, lämp, _otai, دثه_, 
   {{0x644d023b,0x2b8f3321,0x37750235,0xc8c9009c}},	//   _ntai, tıcı_, мынс, زودن_, 
   {{0x656d0610,0xe6453a64,0xc8796f56,0xb8f501a4}},	//   _adah, меоп, ruş_, _हथ_, 
   {{0x9f84007e,0x38ca00d4,0x2b8f04be,0x644d6f57}},	//   _töö_, مایی_, rıcı_, _atai, 
   {{0x776101ff,0xb8f30033,0x00000000,0x00000000}},	//   salx, _হই_, --, --, 
   {{0x60106f58,0x7a0101dd,0x656d01f2,0x45d3012d}},	//   kämp, cēta, _ddah, тоўс, 
   {{0xe7876f59,0x69cb2a46,0x644d0038,0xdb18003e}},	//   _худо, _hoge, _dtai, rkvö, 
   {{0x69cb6f5a,0x644d026a,0x35a600d3,0x60100f03}},	//   _koge, _etai, _жайг, dämp, 
   {{0xed59090e,0x3f9a0548,0xe45f00c8,0x644d01f5}},	//   _kožu_, wepu_, työt_, _ftai, 
   {{0x69cb3f13,0x3eb101c4,0x2007008b,0xdce900a4}},	// [6380] _moge, _arzt_, čnin_, _ddeċ, 
   {{0x249709e8,0x69cb6f5b,0xb17b6f5c,0xe29a0267}},	//   _کنید_, _loge, _småt, _дао_, 
   {{0x29d800eb,0x7a0101dd,0x3f9a0097,0x0d8600c8}},	//   _béal_, zēta, repu_, длен, 
   {{0x69cb0941,0x00000000,0x00000000,0x00000000}},	//   _noge, --, --, --, 
   {{0xdca317d9,0xac0a00cf,0x8c436f5d,0x9588012d}},	//   каци, онда_, вече, _grąž, 
   {{0xdb08043f,0xa91d012d,0xafdb03a9,0xf1bf00e7}},	//   _indú, igžd, _støv, _thác_, 
   {{0x69cb6f5e,0xb17b0566,0xfe4308ba,0x1600072e}},	//   _boge, _flåd, _ансо, ोकार_, 
   {{0x78a20519,0x69cb6f5f,0xdb1a0032,0x1d0a38f2}},	//   _psov, _coge, _kotú, _деби_, 
   {{0x7a356f60,0x69cb1abd,0xfcaa0296,0x00000000}},	//   _ešto, _doge, _بازو_, --, 
   {{0x6d440187,0xb8e61ad9,0x291800e0,0xab2a1818}},	//   žiad, _उप_, āra_, _доза_, 
   {{0x644d6f61,0x6a832cc7,0x656d016a,0xa5bb02aa}},	//   _stai, _алха, _pdah, imóv, 
   {{0xafdb004f,0x69cb6f62,0x799b0175,0xa2cd016a}},	//   _utøv, _goge, ceuw, सहस्, 
   {{0x3a26022b,0x443f0029,0xd94360c7,0xb8f30033}},	//   _ihop_, êu_, _речи, _হে_, 
   {{0x69cb6f63,0x660f6f64,0xd25b0028,0xacd90070}},	//   _zoge, sock, жца_, פֿרי, 
   {{0xa195004f,0x69cb6f65,0x260708bd,0xdb086f66}},	//   навч, _yoge, _очиг, _andú, 
   {{0x656d1060,0xdb1a007a,0x00000000,0x00000000}},	//   _udah, _botú, --, --, 
   {{0x92c100cc,0x644d0548,0xb17b6f67,0x29d86f68}},	// [6390] ্ছে_, _utai, _smås, _réal_, 
   {{0x25a901a9,0x7a2512aa,0x00000000,0x00000000}},	//   _haal_, móte, --, --, 
   {{0x25a928c2,0xf3ff02aa,0xd35600d1,0x9db900f0}},	//   _kaal_, lsão_, _איתי_, зылу_, 
   {{0x201a02a3,0xc05b004f,0x41d3009a,0x2d5800b3}},	//   alpi_, _міг_, _सविस, диць_, 
   {{0xf3ff03b7,0x25a96f69,0x644b0151,0xe81100bc}},	//   nsão_, _maal_, _égid, ठकमा_, 
   {{0x7afc04d1,0x69cb6f6a,0x6a856f6b,0x8b2512d6}},	//   _žrta, _soge, елка, ндле, 
   {{0xb6060356,0x41d300b0,0x160f00c9,0x799b1ea8}},	//   _hláš, _सवास, सवार_, teuw, 
   {{0x3a2602f1,0xb606014b,0xb17b0566,0xe8c903a1}},	//   _chop_, _kláš, _flåe, згил_, 
   {{0xe8f91d3c,0x69cb6f6c,0x2d9d38b1,0xfd13189a}},	//   яли_, _voge, mewe_, _شجر_, 
   {{0xeb9003b1,0x2d9d6f6d,0x69cb6f6e,0x612a039f}},	//   _نظم_, lewe_, _woge, lölé, 
   {{0x25a96f6f,0x7ac421f3,0x69cb5094,0x7a3500ca}},	//   _baal_, _исце, _toge, _ušto, 
   {{0x2d9d0199,0xa95400dd,0xa50a1271,0x00000000}},	//   newe_, _акці, зема_, --, 
   {{0x67d53a5f,0xdb060019,0x25a90326,0xdb016f70}},	//   _поду, ümöl, _daal_, _malí, 
   {{0xc7a201bb,0xdb0103da,0xbf1f009a,0xa91d0028}},	//   _бишк, _lalí, _भरून_, rgžd, 
   {{0x2d9d0f77,0xb7da00d1,0x41b66f71,0xcb1200c7}},	//   kewe_, _מקסי, нсат, ָלן_, 
   {{0x67236f72,0xb17b2267,0x2d9d0027,0x00000000}},	//   _iznj, _smår, jewe_, --, 
   {{0x34b300eb,0x65660727,0x2d9d023e,0x69c000a2}},	// [63a0] _مميز, makh, dewe_, वाती, 
   {{0x65666f73,0x75246f74,0x25a901c8,0xdee66f75}},	//   lakh, _iziz, _zaal_, нози, 
   {{0xee3a3543,0x24460029,0xdb01026e,0xb17b055f}},	//   чне_, _hôm_, _balí, _slåe, 
   {{0xafdb09a8,0xdb010183,0x65660204,0xa301004e}},	//   _støt, _calí, nakh, _түсе, 
   {{0x61f66f76,0xf1bf001b,0x66e60096,0xc91e00c2}},	//   miyl, _khán_, _kéké, _परेम_, 
   {{0xfaa66f77,0x3a260729,0x443a6f78,0x61e46f79}},	//   ешин, _shop_, _jip_, lhil, 
   {{0xed5a0925,0x2d966f7a,0x65660204,0x7980040b}},	//   _нов_, _прас, kakh, tgmw, 
   {{0x61f66f7b,0xdb01022c,0xf1e007d5,0x69c00cbd}},	//   niyl, _galí, नसिन, वाधी, 
   {{0x7e7e2ba1,0x65660204,0x75243b4a,0x60c40068}},	//   lupp, dakh, _nziz, nxim, 
   {{0x25a96f7c,0xa5bb6f7d,0x66041572,0x98730235}},	//   _saal_, ológ, _ajik, ыльц, 
   {{0x75246f7e,0x7e7e3372,0xd6d727bc,0x25a96f7f}},	//   _aziz, nupp, етя_, _paal_, 
   {{0x7c3a6f80,0x61e40218,0x6566044d,0xc8a80790}},	//   _hitr, jhil, gakh, _कनपट, 
   {{0x61e46f81,0x99e90019,0x7c3a6f82,0x66040082}},	//   dhil, _تعلق_, _kitr, _djik, 
   {{0xf8b30111,0xf3ff03b7,0x443a2d5a,0xf1bf00e7}},	//   _תשס_, rsão_, _cip_, _chán_, 
   {{0xf3ff00ce,0x25a901a9,0xdce902ee,0x2d9d0610}},	//   ssão_, _taal_, _rdeč, yewe_, 
   {{0x7c3a6f83,0x61e46f84,0xda100b3e,0x7a2519e7}},	//   _litr, ghil, ावित_, póte, 
   {{0x209867db,0xd4c208ad,0x857416d0,0xdb08009e}},	// [63b0] нкты_, _көрк, _слых, _qadê, 
   {{0x7c3a6f85,0x251c0137,0x661d6f86,0xcdc4004e}},	//   _nitr, _צוזא, llsk, ғашқ, 
   {{0x2d9d0199,0x61e43130,0x7e7e02ae,0x63ad01dd}},	//   tewe_, bhil, gupp, ļinā, 
   {{0x61e46f87,0x7c3a6f88,0xdb1a6f89,0x443a0139}},	//   chil, _aitr, _intè, _zip_, 
   {{0x2d9d6f8a,0xdb01001d,0x4d14012d,0xdb0302d9}},	//   rewe_, _valí, льшт, rdní, 
   {{0x65660204,0xeb963d34,0x443a022c,0x7c2800a1}},	//   zakh, виш_, _xip_, _chdr, 
   {{0x7c3a6f8b,0x656650e0,0xed590352,0x2fc7008c}},	//   _ditr, yakh, _anže_, öngu_, 
   {{0xdd950259,0x7c3a43a8,0x7a010243,0xdb080106}},	//   _шабы, _eitr, rēto, _madè, 
   {{0x7c3a6f8c,0xdb010165,0x6d596f8d,0x6d440228}},	//   _fitr, _balã, mbwa, žiac, 
   {{0x7c3a0495,0x6566044d,0xdb010165,0x1be500b0}},	//   _gitr, wakh, _calã, _कतिल_, 
   {{0xba7411b7,0x65662836,0x66e60175,0x6e3b025b}},	//   _مانت, takh, _réké, _kiub, 
   {{0x7d1b01b8,0xdd990237,0xdb01023a,0x7c3a6f8e}},	//   _kyus, _akňz_, _ialà, _zitr, 
   {{0x656611f7,0xf1bf00e7,0x60c4007b,0x200700ef}},	//   rakh, _phán_, xxim, čnij_, 
   {{0x65660204,0x6b836f8f,0xe81900a5,0x387f5e20}},	//   sakh, ngng, _नीचा_, muur_, 
   {{0x61e46f90,0x46a502c8,0xf1bf0023,0x61f60b8b}},	//   thil, _райв, _cháo_, tiyl, 
   {{0x69c96f91,0x6604268c,0x244600e7,0xdb08011c}},	//   njee, _ujik, _tôm_, _dadè, 
   {{0xa0676f92,0xe0436f93,0x7d1b6f94,0xdb1a0cd7}},	// [63c0] ката_, инти, _nyus, _entè, 
   {{0x764365ca,0xafdb1341,0x61e46f95,0x3fe36f96}},	//   _kuny, _stør, shil, ажув, 
   {{0x7c3a3277,0x7d090327,0x7d1b0c36,0x69db0088}},	//   _ritr, _axes, _ayus, kkue, 
   {{0x7c3a6f97,0x764328f5,0x973c01b4,0x6e296f98}},	//   _sitr, _muny, meće, _cheb, 
   {{0xdb1a6f99,0xdd8f0ea3,0x6e3b6f9a,0x7c3a6f9b}},	//   _inté, تون_, _diub, _pitr, 
   {{0x65646f9c,0x387f6f9d,0x57e00035,0xdb016f9e}},	//   _leih, duur_, _फतेह, _balà, 
   {{0x628e6f9f,0x7d090126,0x973c05ae,0xdb08033e}},	//   ntbo, _exes, neće, _kadé, 
   {{0x6e3b6fa0,0x7c3a00ab,0x225e026e,0xdb016fa1}},	//   _giub, _witr, átky_, _salã, 
   {{0x7c3a6fa2,0x6d406fa3,0x77636fa4,0x387f0a58}},	//   _titr, _igma, _benx, guur_, 
   {{0x7c3a0b1f,0xdb080151,0x69c902a5,0x628e0be0}},	//   _uitr, _ladé, ajee, ktbo, 
   {{0x973c04d1,0x628e6fa5,0x96350386,0x66f40504}},	//   jeće, jtbo, лноц, упну, 
   {{0x76436fa6,0x973c003a,0x7a250035,0xdb08009c}},	//   _duny, deće, rótc, _radè, 
   {{0x661d014e,0x628e318d,0x29550093,0x6444011c}},	//   rlsk, etbo, _съхр, _cuii, 
   {{0xdb014cca,0x201857e9,0xdb1a6fa7,0xf1bf00e7}},	//   _halá, _nkri_, _anté, _pháo_, 
   {{0xd6cf069b,0x6d4006df,0xed5f014b,0xdb080574}},	//   _тт_, _ogma, ážka_, _badé, 
   {{0x291801f0,0x201801e5,0x6d400102,0xd6d9004f}},	//   ğraf_, _akri_, _ngma, _яті_, 
   {{0x62346fa8,0x6fb92cc7,0x6e3b01be,0x5f9548f7}},	// [63d0] рету, нгар_, _riub, лиат, 
   {{0x6e290364,0xa5bb0084,0xdefb0088,0xdb1a6fa9}},	//   _sheb, slód, мые_, _enté, 
   {{0xf77300fe,0x6d4002cd,0x628e023e,0x387f02b0}},	//   שקע_, _bgma, ctbo, zuur_, 
   {{0x20180cd7,0xf1bf001b,0xdb080175,0x6f1c017c}},	//   _ekri_, _khám_, _gadé, _dyrc, 
   {{0xbc1900e4,0x7e6e023e,0x7a2501d5,0xf1bf0032}},	//   нікі_, _evbp, jóta, _iná_, 
   {{0xe5040509,0x7a35012d,0xe4f61615,0x387f0b22}},	//   रपति_, _išti, ीपति_, vuur_, 
   {{0xfb8400e4,0xab840609,0xbe880267,0xdb016faa}},	//   рычн, ручк, _исте_, _balá, 
   {{0x387f6acc,0xf8a9648c,0xc33407e4,0x888500b3}},	//   tuur_, евик_, סוק_, глиж, 
   {{0x76432d45,0x656401c4,0x7d1b02f1,0x69c900c8}},	//   _suny, _reih, _uyus, rjee, 
   {{0x68e90da6,0x76432e7b,0x47c50b46,0x973c034c}},	//   rzed, _puny, убов, zeće, 
   {{0x20070412,0x68e96d40,0xaa55021c,0xdce000bc}},	//   čnih_, szed, _свеш, _odmě, 
   {{0x26190518,0xdb016fab,0x7a2501d5,0x00000000}},	//   déos_, _galá, bóta, --, 
   {{0x973c0571,0xdb1a014b,0x65646fac,0x69c0055d}},	//   veće, _motý, _veih, वारी, 
   {{0x394d6fad,0x656401c4,0x386d6fae,0xdb081d32}},	//   lces_, _weih, mser_, _sadé, 
   {{0xe2975f0e,0x386d37ed,0x973c00f1,0x644443ad}},	//   лар_, lser_, teće, _wuii, 
   {{0x394d6faf,0x628e6fb0,0xafdb00fc,0x386d6fb1}},	//   nces_, rtbo, _støp, oser_, 
   {{0x973c0062,0x628e6fb2,0x31266fb3,0x59b6093a}},	// [63e0] reće, stbo, удаг, _अफसर, 
   {{0xd84800f7,0x973c0bad,0x53a602a6,0x4ab3109f}},	//   _học_, seće, _саоб, ंटाव, 
   {{0x973c0082,0x2bc71f9a,0xdb1a009e,0x394d0083}},	//   peće, लाना, _antî, kces_, 
   {{0xc27b07f5,0x386d0422,0xa1550093,0x8c4600f0}},	//   _ארטי, kser_, _върш, геде, 
   {{0x386d01cc,0xd84800e7,0xdb1a0098,0x2018023e}},	//   jser_, _mọc_, _dotý, _tkri_, 
   {{0x386d01cc,0xdb016fb4,0xd848001b,0x394d6fb5}},	//   dser_, _salá, _lọc_, eces_, 
   {{0xdb01122d,0xdee66948,0x291d011c,0x386d6fb6}},	//   _palá, _сови, _aywa_, eser_, 
   {{0xdd92024f,0x9874041d,0x6d40012b,0x394f03dd}},	//   _دور_, алиц, _ugma, _cfgs_, 
   {{0x1d076fb7,0x78ad0144,0x99970a10,0x00000000}},	//   _бети_, _šavr, укыт_, --, 
   {{0x0897057f,0x97a615d3,0x189700eb,0x394d0369}},	//   اضيع_, урил, اضية_, aces_, 
   {{0xdb010105,0x6c330084,0xd84800e7,0x00000000}},	//   _talá, _افلا, _bọc_, --, 
   {{0x394d6fb8,0xd94608bd,0xd8480023,0x386d0326}},	//   cces_, _седи, _cọc_, bser_, 
   {{0xd84800e7,0xf8a800c2,0x34950d3d,0xe61f02be}},	//   _dọc_, _कनिय, јагр, rlô_, 
   {{0xdce00655,0x25ad031e,0x60360118,0x00000000}},	//   _nemč, žel_, _fņmi, --, 
   {{0x6b950241,0x75280083,0x268a007a,0x00000000}},	//   _özge, ędza, _أختي_, --, 
   {{0xb40300d3,0xf1bf00e7,0x3f98008a,0x7a0101dd}},	//   рүүд, _thám_, _abru_, vētk, 
   {{0x2bc7048e,0xdb1a0083,0x00000000,0x00000000}},	// [63f0] लामा, _kotó, --, --, 
   {{0x1e0d0035,0x00000000,0x00000000,0x00000000}},	//   िक्ष_, --, --, --, 
   {{0xa1952c8b,0x5f1800c2,0x9ac501b8,0x22590080}},	//   _канч, _बुद्_, _kiŋŋ, _шины_, 
   {{0x386d1c47,0x0dc8149b,0xdd956fb9,0x6d440009}},	//   yser_, лучи_, рады, žian, 
   {{0xd264002a,0x6b656fba,0x25fd00b0,0xdb080241}},	//   _viņš_, акла, _लगनी_, _endü, 
   {{0xeb996fbb,0xdb1a019c,0x207a0070,0x386d6fbc}},	//   тик_, _notó, _באשא, vser_, 
   {{0x7a0100e0,0x2bc71489,0x386d3ab0,0x543c0070}},	//   lēti, लाबा, wser_, געגא, 
   {{0x386d6fbd,0xbfa4010c,0x28b1072e,0x00000000}},	//   tser_, rkêş, जिलि, --, 
   {{0xdb1a1056,0x394d6fbe,0x386d6fbf,0x7a0101dd}},	//   _botó, rces_, user_, nēti, 
   {{0x386d0c17,0x2cb8024f,0xdb1a0183,0xa76508ab}},	//   rser_, _حافظ_, _cotó, шкод, 
   {{0x65c66fc0,0xf1220035,0xe975009c,0x7d160083}},	//   абна, _मर्द_, _نهاد, żyst, 
   {{0x1959058b,0x248200e2,0x386d6fc1,0xdb0102c9}},	//   _рады_, tukm_, pser_, _palæ, 
   {{0xdb1a6fc2,0xb17b0219,0xa5bb0183,0xd8480108}},	//   _fotó, _plån, rmóp, _vọc_, 
   {{0xdb0126bd,0x38600216,0xdb1a0035,0xa4060033}},	//   _calç, _çira_, _gotó, োগ্য_, 
   {{0x6fc907d5,0x98140038,0xdce005d5,0x00000000}},	//   रानं, _ابنا, _remč, --, 
   {{0x65bb030f,0xd848001b,0x24f6004f,0x61430488}},	//   _vähä, _họa_, _вчор, жета, 
  
   {{0x973c08b1,0x1f662540,0x50b64134,0x7bc16fc3}},	// [6400] meća, икам, јсбу, _onlu, 
   {{0x65bb030f,0x2f566fc4,0xa3ea01a4,0x04db0225}},	//   _tähä, ртас, _मति_, _סקיל, 
   {{0xd37b1a61,0x1eca0093,0xdfcf091d,0x37e70033}},	//   _בריט, ължи_, بيل_, _পদার, 
   {{0x629e2762,0x7bc10102,0x06960070,0x7ce6040c}},	//   _ippo, _anlu, ידעם_, _bаrp, 
   {{0xf3c9009c,0xdb1a00f6,0xdb01035d,0xa5bb039f}},	//   _شبیه_, _notò, _yalç, nlóa, 
   {{0xafe60104,0x3eaa02cd,0xdb03010c,0x3e68009c}},	//   _тогл, _tsbt_, menê, _مجری_, 
   {{0xb4db022c,0x7eb56fc5,0x3ce0044e,0x6da6112d}},	//   ncàr, _лётч, šiv_, _кива, 
   {{0x973c02a8,0xf41f5a32,0x00000000,0x00000000}},	//   jeća, ltät_, --, --, 
   {{0xc7c66fc6,0xfce30b97,0x973c0bad,0xdb1a6fc7}},	//   асни, _дото, deća, _intí, 
   {{0x629e3250,0x3879010e,0x2ca90107,0x5fc9055d}},	//   _oppo, ásra_, çade_, रायल, 
   {{0x09e6013d,0xd84800e7,0x7a350009,0x7a0101dd}},	//   _кожн, _dọa_, _aštu, zēti, 
   {{0xc9830d11,0xdb1a022c,0xe8fa27c7,0xdb0104a8}},	//   _души, _fotò, _иле_, _salç, 
   {{0x629e6fc8,0x534702a6,0x4dc80033,0x69c2040b}},	//   _appo, ихва, _শতাং, _inoe, 
   {{0x6e220364,0x26f7015f,0xdb1a0474,0x00000000}},	//   hlob, اریخ_, _intâ, --, 
   {{0x9f9f0216,0x25b000c8,0x69c201da,0x00000000}},	//   _hîç_, öllä_, _knoe, --, 
   {{0x31c400dd,0xf1bf00e7,0x518702a0,0x7a25003e}},	//   осув, _khái_, јува, jótl, 
   {{0x629e0036,0xb4db00b9,0x00000000,0x00000000}},	// [6410] _eppo, rcàs, --, --, 
   {{0x3d1a00ab,0xdb1a6fc9,0x7a0100e0,0x09d30110}},	//   _बड़े_, _antí, rēti, _तव्य, 
   {{0x6fc90035,0x44230a1a,0x629e018e,0x98bd00c3}},	//   राबं, mlj_, _gppo, _mewġ_, 
   {{0x442301d5,0x7a010243,0x00000000,0x00000000}},	//   llj_, pēti, --, --, 
   {{0x6aba6fca,0xf1bf0023,0xf3f0009c,0x7eb0010e}},	//   _artf, _nhái_, _رأی_, tópá, 
   {{0xaa4502f1,0x2bc702e6,0x69c26fcb,0x6e221656}},	//   бекл, लाधा, _anoe, alob, 
   {{0xbab513f2,0x1a68009c,0x7eb0010e,0x539c0225}},	//   сёлы, لیلی_, rópá, דיוו, 
   {{0x3ebe003e,0xf9910038,0xdb03021e,0xf53f017b}},	//   _átta_, سبب_, lenë, ndås_, 
   {{0x973c00f1,0x5ef90086,0x08c50283,0x68f60028}},	//   veća, _অডিও_, ёбон, _žydr, 
   {{0x59c5031e,0x29d8002c,0x7d04007a,0x7d1e0083}},	//   वाहर, _béas_, úise, ępst, 
   {{0x38ca00d4,0x7cfd01e8,0xc4d002d9,0xdce001dd}},	//   نایی_, _færø, सङ्ख, _iemā, 
   {{0xb17b0343,0x1a64010e,0x8afa0070,0xeab0021b}},	//   _blåm, _بیٹی_, _גלעז, _زعم_, 
   {{0x49b80b7e,0xf74500b3,0xd8480023,0x79891be5}},	//   _خالد_, _лело, _tọa_, mgew, 
   {{0xf8b60056,0xb05b1772,0x973c0df4,0x798967ed}},	//   _לפני_, _kräf, seća, lgew, 
   {{0x973c0df4,0x12b80086,0xd5ad0019,0xdb1a02be}},	//   lećn, ীন্দ, رہی_, _intã, 
   {{0xa5bb09a1,0x68ec0824,0x79896fcc,0xa3b800aa}},	//   llón, _öldü, ngew, _घोर_, 
   {{0xb4db03a1,0xed5a01a2,0x25fd0035,0x395f6fcd}},	// [6420] scàr, ҳое_, _लगती_, ibus_, 
   {{0xd12f1a1c,0xe0df0237,0x44230082,0x79890502}},	//   رمل_, _afòs_, clj_, hgew, 
   {{0x6d44012d,0x6e226fce,0xdb080068,0xa13600d4}},	//   žiam, tlob, _padí, _گردش, 
   {{0x7989012e,0xdfd208b6,0x78a9045a,0x09b60083}},	//   jgew, _کيس_, kwev, _अफेय, 
   {{0x973c027c,0x3075074f,0xa13600eb,0x79896fcf}},	//   jećn, _мурс, _دردش, dgew, 
   {{0x6281118d,0x69c26fd0,0x80d10086,0xd848001b}},	//   álog, _snoe, _সেক্, _bọn_, 
   {{0x2cad04a8,0x79896fd1,0x200f0151,0x22420c86}},	//   _esed_, fgew, égie_, _kikk_, 
   {{0x62810062,0xf1bf001b,0x7989623f,0x2fd4003d}},	//   šlog, _phái_, ggew, żagħ_, 
   {{0x8b966fd2,0x5aca004e,0xdd8f010e,0x224200c2}},	//   _греч, _әлем_, _سول_, _mikk_, 
   {{0x6abc039f,0x37aa0097,0x00000000,0x00000000}},	//   _árfo, утин_, --, --, 
   {{0xd848001b,0x501b00a7,0xf41f0219,0x395f01ff}},	//   _gọn_, רויו, ktär_, bbus_, 
   {{0xdb1a00ce,0xf1bf0029,0x387f1ecb,0x569300af}},	//   _entã, _thái_, brur_, чают, 
   {{0x201a6fd3,0x999f07fa,0x394607fc,0x69260176}},	//   kopi_, lmuş_, _igos_, _умда, 
   {{0xa5bb1f6b,0xf64f010e,0x29d8007a,0x00000000}},	//   clón, بئی_, _géar_, --, 
   {{0x999f0785,0x7a350009,0x201a6fd4,0x9f5a0107}},	//   nmuş_, _ištr, dopi_, cipé_, 
   {{0x22420019,0x2a8e0095,0x3ebf0abd,0x2fc32f87}},	//   _cikk_, _həbs_, _čut_, _snjg_, 
   {{0x656f6fd5,0x7a0800bc,0x4fd53b8d,0x00000000}},	// [6430] mach, větl, ожат, --, 
   {{0x656f1049,0x752d00f1,0x9f450540,0x539944a5}},	//   lach, _izaz, _ölü_, _твоя_, 
   {{0x39462d95,0x543c0137,0x224202fb,0x2bc7009a}},	//   _ogos_, _געזא, _fikk_, लासा, 
   {{0x656f6fd6,0x63a76fd7,0x224200dd,0x682f02c9}},	//   nach, lejn, _gikk_, møde, 
   {{0x61ed6fd8,0x7a350062,0x62875b70,0x629501f1}},	//   mhal, _oštr, lujo, ltzo, 
   {{0x656f6fd9,0xdb036fda,0x660d02fe,0x973c00d0}},	//   hach, lené, _ljak, jećo, 
   {{0x656f2e7a,0xdce90267,0x973c034c,0x798943e2}},	//   kach, _odeć, dećo, tgew, 
   {{0xdd946fdb,0x32096fdc,0x61ed076b,0x656f6fdd}},	//   _насы, nnay_, nhal, jach, 
   {{0x656f6fde,0x79896fdf,0x2cad0056,0x395f24a5}},	//   dach, rgew, _used_, rbus_, 
   {{0xb05b022b,0x660d007e,0x79896fe0,0x973c07c7}},	//   _träf, _ajak, sgew, rećn, 
   {{0x46f50ec4,0x61ed6fe1,0x63a71878,0x060a00af}},	//   ючит, khal, dejn, инок_, 
   {{0x656f6fe2,0x67e40237,0x62871bf8,0x2bc71503}},	//   gach, _fòjo, dujo, लावा, 
   {{0x61ed6fe3,0x3e4801f0,0xdb03014b,0x660d6fe4}},	//   dhal, _işte_, dené, _djak, 
   {{0x31605bb1,0x66e56fe5,0x02c60e12,0xe7396fe6}},	//   wbiz_, _мола, ойго, _кел_, 
   {{0x656f6fe7,0xc7440133,0x752d01f1,0x224200b0}},	//   bach, _عضوي, _ezaz, _pikk_, 
   {{0x61ed6fe8,0x660d00e5,0x32090c3d,0xb226441a}},	//   ghal, _gjak, gnay_, імал, 
   {{0x201a6fe9,0x6d440032,0xdb016fea,0x63a70034}},	// [6440] topi_, žiak, _calú, bejn, 
   {{0xb4e63278,0x62870033,0x32096feb,0x63a700bc}},	//   पनी_, bujo, anay_, cejn, 
   {{0x44446fec,0x61ed377c,0x7e67023b,0x61466fed}},	//   _ii_, bhal, _cwjp, _мена, 
   {{0x44446fee,0xdb080356,0xb05b0219,0x201a6fef}},	//   _hi_, _nadá, _bräd, sopi_, 
   {{0x44446ff0,0xf1bf001b,0xa6de00e7,0x93fe009a}},	//   _ki_, _cháu_, _ngưn, _उगाच_, 
   {{0x44446ff1,0x2ca96ff2,0x61e46ff3,0x656f019b}},	//   _ji_, çada_, lkil, zach, 
   {{0xb05b0fd4,0x656f6ff4,0x3866008a,0xb17b30b6}},	//   _präg, yach, _swor_, _blåh, 
   {{0xdb0861c2,0x999f008f,0x7a250038,0x61e46ff5}},	//   _cadá, rmuş_, nóth, nkil, 
   {{0x61e46ff6,0xb05b0219,0x63a7024a,0x656f0104}},	//   ikil, _gräd, yejn, vach, 
   {{0x44440bab,0xc7b82337,0x656f6ff7,0x109b00a7}},	//   _ni_, kođe_, wach, סביב, 
   {{0xb05b1709,0xf1bf00e7,0x656f6ff8,0x61e46ff9}},	//   _träg, _khát_, tach, kkil, 
   {{0x69a111bd,0x2fd80a9a,0x75240199,0xdb030068}},	//   _कॉपी, _lorg_, _byiz, xené, 
   {{0x44446ffa,0xf7720019,0xdb036ffb,0x320000a3}},	//   _bi_, _ہاں_, vené, diiy_, 
   {{0x656f6ffc,0x62876ffd,0xdb08026e,0x61e4084c}},	//   sach, tujo, _zadá, ekil, 
   {{0x61ed6ffe,0x63a70039,0x63b5002a,0x61ff065c}},	//   thal, rejn, rdzn, tiql, 
   {{0x44446fff,0x244f0792,0x63a70a9d,0x62870a1a}},	//   _ei_, _tüm_, sejn, rujo, 
   {{0x44447000,0x61ed7001,0x2fd87002,0x32097003}},	// [6450] _fi_, rhal, _borg_, rnay_, 
   {{0x44447004,0x61ed7005,0x2fd800a1,0x62870126}},	//   _gi_, shal, _corg_, pujo, 
   {{0x61ed7006,0x656d2e67,0x644d161c,0x2fd800e2}},	//   phal, _keah, _huai, _dorg_, 
   {{0x44447007,0x64457008,0x61ff1a3d,0xdb010038}},	//   _zi_, _hihi, qiql, _talú, 
   {{0x44447009,0x69ce700a,0xe7bc0b4a,0x6445700b}},	//   _yi_, थानी, ्ञाप, _kihi, 
   {{0x44440529,0x656d700c,0x7a25003e,0x2fd8700d}},	//   _xi_, _leah, móti, _gorg_, 
   {{0x644549a0,0x4cd300cc,0x644d009f,0x661d700e}},	//   _mihi, _দেখু, _luai, kosk, 
   {{0xb05b022b,0x2fd80b32,0x5fc9047c,0x6445700f}},	//   _träd, _zorg_, रावल, _lihi, 
   {{0x644d4873,0xdb08010e,0xafdb004f,0x6d4900b4}},	//   _nuai, _vadá, _støy, _igea, 
   {{0x764402a5,0x64450180,0xe8f60b57,0xa6857010}},	//   _siiy, _nihi, ялы_, плод, 
   {{0x44447011,0xe61a0a27,0x61fd7012,0xdb1a0165}},	//   _ri_, йдо_, _omsl, _botõ, 
   {{0x644d1600,0x20017013,0x44211187,0x64a6012d}},	//   _buai, hihi_, _akh_, пама, 
   {{0x4444158b,0x644d006e,0x64457014,0x7a1300b3}},	//   _pi_, _cuai, _bihi, găte, 
   {{0x644d0094,0x69d900a7,0x44447015,0x225a0065}},	//   _duai, _howe, _qi_, _ptpk_, 
   {{0x44440533,0x64455480,0x61e47016,0x232a15f5}},	//   _vi_, _dihi, tkil, сови_, 
   {{0x44440cd7,0x644d003c,0x2fd87017,0x6d490038}},	//   _wi_, _fuai, _sorg_, _ngea, 
   {{0x61e47018,0x7a2520ac,0x64457019,0x28b10035}},	// [6460] rkil, góti, _fihi, जिटि, 
   {{0x64451272,0xaabd0cb8,0x69d9225a,0x4abd17f6}},	//   _gihi, ्माक, _lowe, ्माव, 
   {{0xf1bf701a,0x200f701b,0x998d1ba0,0x61e4701c}},	//   _phát_, égia_, zmeš_, pkil, 
   {{0x69d900ab,0x2cbf2e88,0x5edb0033,0x64450581}},	//   _nowe, _brud_, _যেহে, _zihi, 
   {{0x64450610,0x20014afb,0x25a0016a,0x2fd84739}},	//   _yihi, bihi_, _mbil_, _torg_, 
   {{0xf1bf007a,0xaa665ea1,0x2cbf00f3,0x00000000}},	//   _fhás_, птик, _drud_, --, 
   {{0x6fc911bd,0x69d9701d,0xa3cd00a2,0x78a2701e}},	//   रारं, _bowe, ळात_, _spov, 
   {{0x69d9199b,0x1dd000ae,0xe0df0118,0x3860009e}},	//   _cowe, _सचित, _ogòl_, _çirk_, 
   {{0x69d95e43,0x2cbf03c6,0x00000000,0x00000000}},	//   _dowe, _grud_, --, --, 
   {{0x656d701f,0x644d0a69,0x25a000b0,0x7b07010e}},	//   _seah, _ruai, _abil_, ártá, 
   {{0x47343b59,0x644d02d0,0x661d7020,0x2ab500a1}},	//   ьнос, _suai, tosk, rùbá_, 
   {{0x69d97021,0x7bda0010,0x973c0bfc,0x442100ca}},	//   _gowe, _hotu, lećk, _skh_, 
   {{0xd7e61222,0x7bda7022,0x644d03b7,0x442100f4}},	//   _ніко, _kotu, _quai, _pkh_, 
   {{0x493b0a33,0x69d90b32,0x7bda00fc,0x661d686c}},	//   _הגדו, _zowe, _jotu, sosk, 
   {{0x7bda23c4,0x661d7023,0x7bc80065,0x69d97024}},	//   _motu, posk, _mndu, _yowe, 
   {{0x644d0adb,0x8234143f,0xdb1a0219,0x7a251890}},	//   _tuai, فرقا, _intä, tóti, 
   {{0x6445053d,0xc05b004f,0x7bda00c2,0xdb0a0c98}},	// [6470] _tihi, сіб_, _ootu, ldfä, 
   {{0x44270084,0x7bda7025,0x7a250684,0x44211032}},	//   _ón_, _notu, róti, _ukh_, 
   {{0x20010c05,0x0ef9031e,0xb05b0c98,0xdb0a1096}},	//   rihi_, ्पेस_, _bräc, ndfä, 
   {{0x7bc87026,0x20015e47,0x2ca90165,0x2cbf0bde}},	//   _andu, sihi_, çado_, _prud_, 
   {{0xee3802fb,0x69d97027,0x7bda7028,0xb17b0343}},	//   їні_, _rowe, _botu, _blåv, 
   {{0x69d97029,0xfaa501a2,0xfbc7017d,0xda59564d}},	//   _sowe, дако, लाइम, ориш_, 
   {{0x69d9702a,0x752800ab,0xb05b02ae,0x34aa0f93}},	//   _powe, ędzi, _fräc, _छन्द, 
   {{0xceb200fe,0x08c5462a,0x6d4902c9,0x7bc8702b}},	//   _ביל_, дбин, _ugea, _endu, 
   {{0xf8a900d4,0x69d9702c,0xdb035d9e,0x7bda00f6}},	//   تگاه_, _vowe, mení, _fotu, 
   {{0xdb03309e,0x69d90532,0xd70900c8,0x7bda702d}},	//   lení, _wowe, жное_, _gotu, 
   {{0xff5600d1,0x69d9015c,0x00000000,0x00000000}},	//   ובתך_, _towe, --, --, 
   {{0xf3e90a33,0x2d8f69cd,0x7bda702e,0xfb1a00c7}},	//   _דף_, ngge_, _zotu, _וועמ, 
   {{0x7bda0532,0x6d443431,0xdb1a1dca,0x00000000}},	//   _yotu, žiav, _entä, --, 
   {{0x33d5702f,0x67d43108,0xf77100b1,0xe1ff08b2}},	//   ніст, _почу, _شات_, _amó_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xbbda0a34,0xdb03014b,0x290e02fe,0x25a00121}},	//   _बक्क, jení, šmaš_, _ubil_, 
   {{0xdb03026e,0x41272831,0x63b70e16,0x00000000}},	// [6480] dení, дото_, _faxn, --, 
   {{0xdfa600eb,0xdee67030,0x7a25003e,0x00000000}},	//   بحري, мози, mótu, --, 
   {{0x0cc601a4,0x7bda7031,0xb05b0502,0x2d9d052b}},	//   लम्म, _rotu, _präc, ffwe_, 
   {{0x7bda7032,0x00000000,0x00000000,0x00000000}},	//   _sotu, --, --, --, 
   {{0x3ead02f5,0xa3b2119f,0x68ed00ab,0xc17300a7}},	//   _ćete_, _ऐसा_, _żadn, _בחר_, 
   {{0x2d8f00fd,0x2ac602a6,0x00000000,0x00000000}},	//   agge_, дљив, --, --, 
   {{0x160e2458,0x7bda7033,0x2d9602f1,0xc6e80086}},	//   ाचार_, _votu, _орас, _পশ্চ, 
   {{0x2d957034,0x80b50035,0x7bda0532,0xdb0302d9}},	//   _прус, _उनमे, _wotu, cení, 
   {{0x7bda7035,0x973c0082,0xd9100296,0x25b90036}},	//   _totu, meći, دیش_, vdsl_, 
   {{0x7bc87036,0xa5c70183,0x973c00d2,0xdb180034}},	//   _undu, _opóñ, leći, ndvë, 
   {{0xd8480029,0xeb9700dd,0xcb0a0ce0,0xa5bb007a}},	//   _mọi_, _цих_, _بيان_, llói, 
   {{0x6d44012d,0x7c2a20b8,0x236600ef,0xf1bf0108}},	//   žiau, llfr, _đoja_, _nháp_, 
   {{0xdb01026e,0x00000000,0x00000000,0x00000000}},	//   _malý, --, --, --, 
   {{0xd7c80038,0x7a1300d9,0xdb0300bc,0x38690216}},	//   _روعه_, măta, zení, _çara_, 
   {{0x2d8f37ed,0x92587037,0x212d0372,0xa294017b}},	//   ygge_, даст_, _šeh_, карі, 
   {{0x973c0062,0xb6080098,0x705900f6,0x442a01be}},	//   jeći, _vyší, заар_, alb_, 
   {{0x973c02f5,0x60f94216,0x7a1300d9,0xdb037038}},	// [6490] deći, чная_, năta, vení, 
   {{0x5fc91615,0xceeb0629,0x7ae30080,0x7c2a0566}},	//   राइल, يران_, yynt, jlfr, 
   {{0xb17b7039,0xdb03703a,0x00000000,0x00000000}},	//   _blåt, tení, --, --, 
   {{0x7bde003e,0x00000000,0x00000000,0x00000000}},	//   öpun, --, --, --, 
   {{0x7ae30156,0xdb030032,0x415a07e4,0xa5bb007a}},	//   wynt, rení, _מדרג, glói, 
   {{0xdb03014b,0x69a100bc,0x9f5a03dd,0x09a70249}},	//   sení, क्नी, cipà_, कज्य, 
   {{0xd8480029,0xe7d20035,0xdb031102,0x7f942d60}},	//   _gọi_, तानप, pení, _шарх, 
   {{0xc7b8090b,0xfe4300d6,0xa5bb007a,0x030d0108}},	//   vođa_, _شکای, blói, _đều_, 
   {{0x7a25010d,0xa5bb00eb,0x7ae3703b,0x6d5b0053}},	//   dótt, clói, synt, _ifua, 
   {{0x5fd209d3,0xb8d718aa,0x00000000,0x00000000}},	//   सायल, _चन_, --, --, 
   {{0x66e50013,0xd62a1de1,0x7a0802d9,0x00000000}},	//   хона, зоне_, větv, --, 
   {{0x98a0012d,0x2bc70497,0x6abd08c6,0x59a60299}},	//   _šią_, लाका, ्मीर, _कॉपर, 
   {{0xe8ee703c,0x8cc21d11,0x6d5b095a,0x7a130474}},	//   _сл_, लियो, _mfua, căta, 
   {{0x973c034c,0xb60202d9,0xdd0c0083,0xdb0300da}},	//   zeći, _žáda, _różo, zdný, 
   {{0xf1bf00f7,0x35a6011f,0x62810082,0x764e0ed0}},	//   _pháp_, _зайг, šlon, íbyt, 
   {{0x3ebe008c,0xd8480108,0x442a018e,0x00000000}},	//   _átti_, _rọi_, slb_, --, 
   {{0x045700eb,0x69cb2b03,0x66063bc4,0xbf081cc0}},	// [64a0] _كلية_, _mnge, mikk, वप्न_, 
   {{0x6606703d,0xb17b0bff,0x61ef0126,0xdb010126}},	//   likk, _blås, _elcl, _jaló, 
   {{0x69cb6c84,0xb4011b17,0xdcf4034c,0x973c034c}},	//   _onge, _түрд, đači, teći, 
   {{0x66062b92,0x63ae703e,0x628e703f,0x7c2a0156}},	//   nikk, lebn, mubo, wlfr, 
   {{0x628e7040,0x973c0112,0x270b0586,0xdb030032}},	//   lubo, reći, हपुर_, rdný, 
   {{0x69cb7041,0x031f0e36,0x66067042,0xb05b0a25}},	//   _ange, _मुँह_, hikk, _krän, 
   {{0x628e0daa,0x69cb02a2,0x66067043,0x9f5a0126}},	//   nubo, _bnge, kikk, cipá_, 
   {{0x629c7044,0x7e9b00a7,0xdb01011c,0x00000000}},	//   itro, _מסלו, _mblè, --, 
   {{0x8c95013d,0x6c860e61,0xdb01033c,0x69cb016a}},	//   _архі, _سلام, _baló, _dnge, 
   {{0x69cb7045,0x6e227046,0x4813004e,0x175401a2}},	//   _enge, loob, лмыс, ъвоя, 
   {{0x031f000f,0x66062379,0x629c0097,0x63ae031e}},	//   _मुंह_, fikk, jtro, debn, 
   {{0x629c7047,0x66067048,0xf41f02ae,0x7a13020f}},	//   dtro, gikk, grän_, păta, 
   {{0x37e61444,0x7a25008c,0x629c0626,0xdb03253f}},	//   _подг, rótt, etro, mená, 
   {{0xb05b7049,0x63ae02f2,0x6e2221e0,0xdb010126}},	//   _brän, gebn, hoob, _galó, 
   {{0xdbc7007e,0xdb1a0126,0x66060298,0x628e704a}},	//   _töös, _antú, bikk, gubo, 
   {{0xb05b00a8,0x59a607d5,0xdb0105d5,0xdb0a00f6}},	//   _drän, _कॉमर, _kalò, refè, 
   {{0x6e22052b,0xe5b3004e,0xb17b0be0,0xc61d0e07}},	// [64b0] doob, _айқы, _slås, नवीय_, 
   {{0xa0c400eb,0x6fb8704b,0xb05b1df5,0x628e0bcf}},	//   ديكو, нгур_, _frän, bubo, 
   {{0x442303ef,0x63a900f1,0xb05b014e,0x629c52bd}},	//   moj_, đend, _grän, ctro, 
   {{0xaf340038,0x127a0070,0x00000000,0x00000000}},	//   اركت, _קארע, --, --, 
   {{0x973c07c7,0x672a008c,0xdb03014b,0x442300ca}},	//   meću, _lyfj, dená, ooj_, 
   {{0x442302f5,0xed15006b,0x6606704c,0xfce2704d}},	//   noj_, _یہاں_, zikk, рошо, 
   {{0x9f34005e,0xdea400d4,0x6e220539,0x3da7012d}},	//   _бері, _میلی, boob, _праб, 
   {{0x4423704e,0xdb01033c,0x63ae1d11,0x6d5b0548}},	//   hoj_, _saló, zebn, _ufua, 
   {{0x442302f5,0x6d440228,0x80c44575,0x66063d00}},	//   koj_, žiar, रिये, vikk, 
   {{0x442302f5,0x66060318,0xf094008d,0x3a2614d2}},	//   joj_, wikk, אנץ_, _ekop_, 
   {{0x6606076b,0xdb01704f,0x63ae063b,0x44237050}},	//   tikk, _való, vebn, doj_, 
   {{0x69cb7051,0x3ddf0b32,0x7a13002e,0xdce0031e}},	//   _unge, _jouw_, măto, _nemě, 
   {{0x6606262a,0xf41f0a52,0x63ae031e,0x7a1300d9}},	//   rikk, rrän_, tebn, lăto, 
   {{0x629c7052,0x66067053,0x628e7054,0x3ddf0326}},	//   ttro, sikk, tubo, _louw_, 
   {{0x23271efe,0x3dcd0110,0x63ae0187,0x7a1300d9}},	//   вори_, _onew_, rebn, năto, 
   {{0x629c7055,0x212b000d,0x628e016c,0x7c237056}},	//   rtro, _bych_, rubo, honr, 
   {{0x442316ef,0x66047057,0xa3ba0e61,0x628e7058}},	// [64c0] boj_, _imik, _قادر_, subo, 
   {{0xb05b0750,0x629c7059,0x0fc90035,0xa0a31cc1}},	//   _trän, ptro, रागढ, рафд, 
   {{0x224b0750,0x6e22007e,0x3ddf012e,0x443a0065}},	//   _fick_, toob, _bouw_, _ihp_, 
   {{0x224b0750,0x98b100bc,0x443a00a1,0x91e6705a}},	//   _gick_, íběh_, _hhp_, _роме, 
   {{0x6fc93d07,0x224000b0,0x6e221b74,0x7c9600d9}},	//   राखं, mmik_, roob, трец, 
   {{0x3a26705b,0x8aa618ae,0x2240705c,0xdce000bc}},	//   _skop_, врид, lmik_, _země, 
   {{0x1958004e,0x7a1300d9,0x66041087,0x443a705d}},	//   найы_, găto, _omik, _mhp_, 
   {{0xa93402f3,0x44234cfc,0xd8480023,0x6e931117}},	//   лейш, zoj_, _lọt_, _خلفا, 
   {{0xdb1a00e5,0xdca600ce,0x22400102,0x7a25397a}},	//   _katë, _јази, imik_, tótr, 
   {{0x6604705e,0x4423705f,0xdb0100b9,0x394f00df}},	//   _amik, xoj_, _valò, _eggs_, 
   {{0x7a13002e,0x7a250183,0x61f60946,0xa3c60249}},	//   căto, rótr, khyl, ईएन_, 
   {{0x6f0303b7,0x3a2602fe,0x3ebe003e,0x672a0ff2}},	//   únci, _ukop_, _áttu_, _vyfj, 
   {{0xf8b6176c,0xd8480023,0x973c0304,0xdb030566}},	//   _अनिय, _bọt_, veću, genæ, 
   {{0x56940168,0xdb1a00e5,0x443a027e,0x66040298}},	//   _бакт, _natë, _chp_, _emik, 
   {{0x44237060,0xaad20a09,0x973c090e,0xf83700d1}},	//   roj_, थमिक, teću, _שנות_, 
   {{0xed5903ef,0x661601ee,0x442300e5,0xf8b600e6}},	//   _kaže_, _gjyk, soj_, _अनाय, 
   {{0x973c090b,0x442317a2,0x31697061,0xa05400f0}},	// [64d0] reću, poj_, rbaz_, ивті, 
   {{0x224b192d,0x973c04cb,0x25ff623e,0xed590121}},	//   _wick_, seću, शोरी_, _maže_, 
   {{0xdb030161,0xdb1a024a,0x212b00f8,0x764d68a6}},	//   menç, _datë, _wych_, _kiay, 
   {{0x212b3713,0xed5802fb,0xdb03610f,0x7c3a7062}},	//   _tych_, вої_, lenç, _ahtr, 
   {{0xdca54d61,0x0d840965,0xb05b0a25,0xab07003e}},	//   уали, рлін, _kräm, _íbúð_, 
   {{0x0c2401fc,0x7a1300b3,0x32090102,0xf41f02ae}},	//   амін, tăto, liay_, kräm_, 
   {{0xaed401a2,0x3ddf02b0,0x752d052b,0x7a0802d9}},	//   _корш, _touw_, _lyaz, větr, 
   {{0x61ed7063,0xdb1a7064,0x7c237065,0x7a1300b3}},	//   nkal, _matè, sonr, răto, 
   {{0x6e3b7066,0x7a1300d9,0x377555cd,0x61ed7067}},	//   _ihub, săto, лынс, ikal, 
   {{0x660400ca,0xa7b50170,0x7a13020f,0x69de0151}},	//   _smik, усиј, păto, êper, 
   {{0x764d7068,0xb99500eb,0x61ed7069,0x6e3b084c}},	//   _biay, _ملاب, kkal, _khub, 
   {{0x3835005e,0x61ed706a,0x3a24706b,0x394f039b}},	//   _өнер, jkal, comp_, _uggs_, 
   {{0x764d0a0f,0xc7a50d38,0x61ed706c,0x69db0082}},	//   _diay, _билк, dkal, mjue, 
   {{0xdb1a03a0,0x61ed3fd0,0x441511e6,0xec350070}},	//   _batè, ekal, афст, טאָר_, 
   {{0xdb1a00b9,0x9f49009e,0x752d01a3,0xd8480108}},	//   _catè, şkên_, _eyaz, _vọt_, 
   {{0x61ed1614,0x764d706d,0x6604706e,0x69db001d}},	//   gkal, _giay, _umik, njue, 
   {{0x68e90e2d,0xb05b022b,0xd175004e,0x3eaa0065}},	// [64e0] nyed, _främ, рысы, _spbt_, 
   {{0xdb0303b7,0x6e3b024d,0x61ed706f,0xb1430701}},	//   cenç, _ahub, akal, снул, 
   {{0xa2e6005e,0x7d1b03da,0xbd8a0038,0xdb1a01e5}},	//   _сонд, _axus, فنان_, _gatè, 
   {{0x7c3a01ee,0x61ed0704,0x64567070,0xed5a7071}},	//   _shtr, ckal, _kuyi, ход_, 
   {{0x5c060965,0xa3a907d5,0x6e3b0a75,0x63be010e}},	//   ляка, _गॉड_, _dhub, _kapn, 
   {{0xdb1a7072,0x69a10598,0xccc50258,0x68e9044d}},	//   _haté, क्सी, шғул_, dyed, 
   {{0x60c47073,0xda4a4ba2,0xdb1a033e,0x8c96004e}},	//   lvim, нчил_, _katé, _әрбі, 
   {{0x248003ef,0x6e3b095a,0xbc76009c,0x5a3402a0}},	//   _ovim_, _ghub, _مهرب, јнит, 
   {{0xdb1a7074,0x26c77075,0x2018016a,0x68e9010e}},	//   _maté, _arno_, _kjri_, gyed, 
   {{0x26c7031e,0xed5903f5,0x61ed7076,0xdb1a43cc}},	//   _brno_, _važe_, zkal, _laté, 
   {{0x26c700f1,0x752d0640,0xdb037077,0x61ed7078}},	//   _crno_, _syaz, venç, ykal, 
   {{0x64567079,0xdb0a02a0,0xa5bb02aa,0x244f008a}},	//   _buyi, nefí, coól, _ażma_, 
   {{0xdb0303b7,0x5507707a,0x67d4707b,0x7aea707c}},	//   tenç, учна, _волу, lyft, 
   {{0xdb1a707d,0x69c0707e,0xe4540b34,0xe19300d3}},	//   _patè, ldme, скры, өлгө, 
   {{0xdb03707f,0x61ed1279,0xdb1a0228,0x59b80035}},	//   renç, tkal, _baté, _आसार, 
   {{0x673803e5,0xdb1a0518,0xdb0302a0,0x54557080}},	//   _izvj, _caté, senç, _квит, 
   {{0x9f4a00f6,0x6e3b7081,0x752d0027,0x64560539}},	// [64f0] _albà_, _rhub, _uyaz, _guyi, 
   {{0x61ed7082,0x6e3b23a3,0xf3ff02aa,0x63be00a3}},	//   skal, _shub, mpão_, _gapn, 
   {{0x1dc600ab,0x60c4012d,0x5d550161,0xb05b7083}},	//   _रोहत, avim, акет, _kräk, 
   {{0x63be026e,0x777a01ca,0x70950d45,0x00000000}},	//   _zapn, hatx, _камф, --, 
   {{0x6aba0012,0x66f30095,0xeb997084,0x25a90054}},	//   _astf, rəkə, вил_, _mbal_, 
   {{0xdd94005e,0x8c457085,0x3f830f23,0x68fb32b1}},	//   _қауы, шеле, _udju_, vzud, 
   {{0x69c0012e,0x6e3b7086,0x09f56c54,0x25a9014b}},	//   fdme, _thub, ичия, _obal_, 
   {{0x09e50024,0x7d1b00b4,0x6e3b016c,0x6e297087}},	//   роин, _txus, _uhub, _ukeb, 
   {{0xe9d600d3,0x69a129b0,0x682f00fb,0x65760d16}},	//   ркы_, क्षी, lødi, _reyh, 
   {{0x25a902cd,0xdb0347c3,0x59d3031e,0x69db0126}},	//   _abal_, tenä, थाहर, sjue, 
   {{0x248003ef,0xdb1a010c,0xb6a500a3,0xe9d803a1}},	//   _svim_, _hatî, шинл, ткө_, 
   {{0x78b9006f,0x63be7088,0x75e6010e,0xe4c600a3}},	//   _tswv, _sapn, _rózs, айми, 
   {{0x645602f1,0xf8a900b0,0xdb037089,0xb05b02ae}},	//   _quyi, _कहिय, senä, _dräk, 
   {{0xdb1a20ac,0x69a10239,0x25a90237,0x80c40249}},	//   _saté, क्री, _ebal_, रिसे, 
   {{0x232a1a9e,0xdb01031e,0xdb1a708a,0x63be708b}},	//   тови_, _oblí, _paté, _vapn, 
   {{0x60c403ef,0x716600eb,0xd84800e7,0xe2971571}},	//   tvim, شارك, _họp_, јат_, 
   {{0xdfd200b1,0x422300dd,0x114a0a31,0x661d010e}},	// [6500] يير_, ідув, тпай_, érke, 
   {{0x387f0065,0x60c4708c,0x38600038,0xdb1a0175}},	//   isur_, rvim, _éire_, _waté, 
   {{0xdfcf0ce0,0x80c40e49,0xdb1a708d,0x60c4262a}},	//   ظيم_, रिहे, _taté, svim, 
   {{0x6da6708e,0x387f708f,0x248d0098,0x28b602e6}},	//   рида, ksur_, šeme_, _अनलि, 
   {{0xa3cb07d5,0x61eb35b6,0x7e69014b,0xf1bf0023}},	//   _रोड_, ögle, _čepe, _nháy_, 
   {{0xdb1a010c,0x628e039b,0x22b80118,0x9e6624a1}},	//   _datî, orbo, _kōk_, _نارن, 
   {{0x81b900cc,0xd00700b3,0x80c40fc0,0x777a00b9}},	//   চার_, _тере_, रिवे, vatx, 
   {{0xa8a66672,0x387f023e,0xfce6022c,0x00000000}},	//   арок, fsur_, _кобо, --, 
   {{0x25a900a1,0xf1bf001b,0x387f3974,0x69c0004f}},	//   _rbal_, _cháy_, gsur_, rdme, 
   {{0x57f41934,0xd8480108,0xdb0100da,0xdcfb00a4}},	//   спот, _cọp_, _zblí, _sbuħ, 
   {{0x8f7b00fe,0x6aba0065,0xdb0102aa,0xcf5700d1}},	//   כניק, _ustf, _balõ, יבית_, 
   {{0x98a67090,0xa88a08a5,0x3c3b010c,0x777a01cf}},	//   _виде, _айда_, rêve_, satx, 
   {{0x69fb0070,0xc6182d94,0x628e0c0c,0xb05b02ae}},	//   _בלאק, роях_, erbo, _vräk, 
   {{0xf3ff02aa,0x77921c03,0xed590028,0x25bf0242}},	//   rpão_, _بیدا, _maža_, žul_, 
   {{0xf2c4093d,0xf8b600c9,0xa5c400ab,0x673800ef}},	//   остн, _अनुप, _spół, _uzvj, 
   {{0x33f40219,0xd4b94f57,0x115535b9,0xdb0102be}},	//   _växa_, _блиц_, скаю, _galõ, 
   {{0x657d7091,0x80d107d5,0xed590cdf,0xdb010054}},	// [6510] mash, समें, қол_, _halô, 
   {{0x657d00cf,0x22b80237,0x908a010e,0x7658016c}},	//   lash, _fōk_, املے_, _kuvy, 
   {{0x63b502ee,0x656f026e,0x00000000,0x00000000}},	//   mezn, obch, --, --, 
   {{0x63b514f5,0x59a60081,0x657d293c,0x66ea0095}},	//   lezn, _कॉलर, nash, məkd, 
   {{0xfd100fce,0x62951503,0x00000000,0x00000000}},	//   وجه_, luzo, --, --, 
   {{0x657d7092,0xdd1101f2,0xdb030032,0x22b80118}},	//   hash, _iżża, menú, _yōk_, 
   {{0x657d7093,0xd90f006b,0x386602a0,0x629500ef}},	//   kash, ڈیا_, _ator_, nuzo, 
   {{0xdb1a7094,0x657d00e5,0x3d941cc1,0x9f430034}},	//   _antó, jash, _миср, _lojë_, 
   {{0x657d7095,0x63b50019,0x9d190e65,0xd7d2009a}},	//   dash, kezn, _соат_, तांच, 
   {{0x3179006b,0x9f430218,0xdb080183,0xdb0102aa}},	//   _lesz_, _rojê_, _cadó, _salõ, 
   {{0x657d099d,0x387f7096,0x7bc17097,0x386601cf}},	//   fash, ssur_, _ialu, _etor_, 
   {{0x7bc17098,0xdb1a0496,0x657d7099,0xf3e902a1}},	//   _halu, _entó, gash, _אף_, 
   {{0x7bc1709a,0x5a0a0070,0xdb080354,0x00000000}},	//   _kalu, _גלײַ, _fadó, --, 
   {{0xe3635ce5,0xe708006b,0x6295709b,0x7bc3709c}},	//   зкри, اتین_, fuzo, ndnu, 
   {{0x657d709d,0x7bc1709e,0x2ba902f8,0xe69500eb}},	//   bash, _malu, च्या, _العد, 
   {{0x80c40081,0x7bc1709f,0x628e0219,0x386602ae}},	//   रिले, _lalu, rrbo, _ytor_, 
   {{0x63b5008b,0x614370a0,0x7a1300d9,0x65640054}},	// [6520] bezn, зета, găti, _ifih, 
   {{0x7bc16eea,0x9f430034,0x2f5670a1,0x764608b0}},	//   _nalu, _gojë_, стас, lmky, 
   {{0x442a70a2,0x66ea0095,0xdb03009e,0x683d0212}},	//   mob_, cəkd, renû, cède, 
   {{0x7bc10102,0x7e63010e,0xdb0a3589,0x00000000}},	//   _aalu, ínpa, ánít, --, 
   {{0x7bc12ec4,0x6281031e,0x442a006d,0x7c830cb4}},	//   _balu, álov, oob_, пуще, 
   {{0x7bc170a3,0x442a00a3,0x657d70a4,0x92df0086}},	//   _calu, nob_, zash, _দেয়_, 
   {{0x38660533,0x657d0199,0x7bc170a5,0xdb1a70a6}},	//   _stor_, yash, _dalu, _antò, 
   {{0xada3022d,0x442a01c1,0x63b54643,0x69d504cc}},	//   _насл, hob_, zezn, भाषी, 
   {{0x7bc170a7,0x657d70a8,0xcb6a70a9,0xdb010054}},	//   _falu, vash, _базе_, _salô, 
   {{0x7bc170aa,0x657d0010,0x442a70ab,0x6c360116}},	//   _galu, wash, job_, _افطا, 
   {{0x657d70ac,0x6e4501d5,0x442a4ce6,0xe5b5134f}},	//   tash, _útbú, dob_, ойны, 
   {{0x61e600e0,0x7c2a0369,0xa2cc0e17,0xdb0a2888}},	//   _nokl, lofr, हिन्, cefá, 
   {{0x657d70ad,0xd90e1fdb,0x200a0053,0xa4394590}},	//   rash, _سید_, _ombi_, изму_, 
   {{0x63a903ef,0xb05b022b,0x657d70ae,0xdb1a24de}},	//   đeno, _kräv, sash, _latí, 
   {{0x6fd204d7,0x63b570af,0xd6cf70b0,0x657d70b1}},	//   साईं, rezn, _эт_, pash, 
   {{0x245d00f7,0x657d0104,0x200a045a,0xe4d90e0e}},	//   _tìm_, qash, _ambi_, _نوبت_, 
   {{0x660f0076,0x442a70b2,0x69c2011c,0x50670d45}},	// [6530] mick, bob_, _maoe, стба, 
   {{0xd5a500a2,0xa3b054cb,0x60090095,0xdefb00c8}},	//   ग्रज, _टॉप_, _kömə, лые_, 
   {{0x41c40367,0x7bc100b3,0x3179010e,0xdb010098}},	//   _लोकस, _ralu, _tesz_, _oblá, 
   {{0x660f08d7,0x7bc170b3,0x200a01a3,0xa69b0070}},	//   nick, _salu, _embi_, רשאפ, 
   {{0x7bc170b4,0xdb18055f,0x628a017b,0xac8400f0}},	//   _palu, ndvæ, _åfor, згіл, 
   {{0xdfdb048a,0x660f4081,0x547c0070,0x7c2a0090}},	//   _съм_, hick, נטוו, gofr, 
   {{0x7bc16714,0xbb423b35,0x7bc301c4,0x660f17f4}},	//   _valu, мешк, rdnu, kick, 
   {{0x7bc170b5,0x6b8802a5,0x39e941a2,0x2aa166a9}},	//   _walu, _eddg, рдио_, rób_, 
   {{0x2aa1006a,0x442a70b6,0x660f026e,0x7bc170b7}},	//   sób_, yob_, dick, _talu, 
   {{0xdb1a70b8,0x068570b9,0x7bc1006d,0x2cbf70ba}},	//   _zatí, огон, _ualu, _isud_, 
   {{0xe7391da4,0x660f0076,0x442a00cf,0xb05b0219}},	//   рен_, fick, vob_, _gräv, 
   {{0x660f0076,0x58d502c4,0xa2bd0083,0x00000000}},	//   gick, _моет, शबन्, --, 
   {{0x442a70bb,0xb05b0380,0x6285076d,0x682f00fb}},	//   tob_, _kräu, _avho, født, 
   {{0x386d70bc,0xdce90032,0x2b4000bc,0xdb010098}},	//   mper_, _oceľ, řice_, _zblá, 
   {{0x660f70bd,0xfbd200d1,0x27e701be,0x42d5128b}},	//   bick, ותם_, _ionn_, піту, 
   {{0x442a70be,0x799b70bf,0x26880038,0x2cbf0ed0}},	//   sob_, nguw, _اخوي_, _osud_, 
   {{0x27e70cd7,0x600a70c0,0xe0da70c1,0x3fe615f5}},	// [6540] _konn_, анам_, шва_, ожав, 
   {{0xe1f901a2,0xdb1a5aec,0xa91d0032,0x386d70c2}},	//   агӣ_, _satí, mažd, iper_, 
   {{0x91e670c3,0xdb1a70c4,0x27e703a0,0x7a13020f}},	//   _доне, _patí, _monn_, lătu, 
   {{0x5eac0086,0x386d0065,0xdb1a02aa,0x27e70237}},	//   ছিলে, kper_, _latã, _lonn_, 
   {{0x5046049b,0xa01b010d,0x20340019,0xae0000a5}},	//   _мемб, _kvöl, _فہرس, लोगन_, 
   {{0x660f06c4,0x200a09c2,0xa3b007d5,0x69c2000b}},	//   zick, _umbi_, _टॉम_, _saoe, 
   {{0xd5dd0299,0xdb1a70c5,0xaab70038,0x05ca1aab}},	//   यामज, _satâ, قدير_, ियाब, 
   {{0xab5c00e0,0x48aa078f,0x987470c6,0x660f014b}},	//   _daļa, атом_, плиц, xick, 
   {{0x27e733a5,0xb7bc002a,0x660f0ebe,0x59a60b6c}},	//   _bonn_, loģi, vick, क्षर, 
   {{0xc6a61431,0x274a0593,0x660f70c7,0x27f8008c}},	//   орми, ично_, wick, órn_, 
   {{0x660f08d7,0x1f5b00fe,0x27e770c8,0x473470c9}},	//   tick, ידיא, _donn_, янос, 
   {{0xf60b058e,0x27e7016a,0x3dc670ca,0xc7b8044e}},	//   рхой_, _eonn_, ndow_, vođu_, 
   {{0x660f08d7,0xf8ad00c5,0x27e770cb,0x2ca670cc}},	//   rick, _یکی_, _fonn_, ntod_, 
   {{0x660f0076,0x3dc40201,0x798070cd,0x27e70237}},	//   sick, _lamw_, lamw, _gonn_, 
   {{0x3d11006a,0x660f026e,0x320b70ce,0x00000000}},	//   _देने_, pick, ахан_, --, 
   {{0x798070cf,0x2ca60008,0xb05b02ae,0x27e770d0}},	//   namw, ktod_, _orät, _zonn_, 
   {{0xdcfb0062,0x27e70cd7,0xf8bc00ab,0x660d0204}},	// [6550] _iduć, _yonn_, ्टिय, _imak, 
   {{0x79802904,0x2cbf00f4,0x628100bc,0x24990065}},	//   hamw, _rsud_, álos, musm_, 
   {{0x79800b76,0xa2cc00a2,0xdb183372,0x35d0093a}},	//   kamw, हिण्, ndvä, _तोड़, 
   {{0xa91d04d1,0x628102f5,0x386d017e,0x25b902d9}},	//   laže, šlos, yper_, nesl_, 
   {{0x660d70d1,0x798029a0,0x6e2b0566,0x00000000}},	//   _mmak, damw, rogb, --, 
   {{0x224970d2,0x26ce0068,0xa91d70d3,0xac1803a1}},	//   lmak_, _orfo_, naže, оочу_, 
   {{0xdb1a03a1,0x9f34004e,0x660d70d4,0xf41400d1}},	//   _catà, _жері, _omak, ופס_, 
   {{0xe9d90676,0x3f8170d5,0x224970d6,0xdb1a0054}},	//   ски_, lahu_, nmak_, _datà, 
   {{0x63a903ef,0xb05b0380,0x386d0f7c,0x27e770d7}},	//   đenj, _träu, uper_, _ponn_, 
   {{0x660d01a1,0x3f8170d8,0x386d2e11,0xa91d368e}},	//   _amak, nahu_, rper_, jaže, 
   {{0xdb0a33d6,0x386d70d9,0xf5290486,0x2249027e}},	//   gefä, sper_, _עץ_, kmak_, 
   {{0x2d9d3897,0x224900d2,0x386d5094,0x07a201a2}},	//   ngwe_, jmak_, pper_, _ҷашн, 
   {{0x3f8100ef,0x27e770da,0x67d50176,0x22490604}},	//   kahu_, _tonn_, _ноду, dmak_, 
   {{0xdb1a006b,0xa91d04a1,0x660d509e,0x33d570db}},	//   _hatá, ražd, _emak, міст, 
   {{0x7d020036,0x2d9d0026,0x7a13020f,0x00000000}},	//   zzos, kgwe_, sătu, --, 
   {{0xdddc2fab,0xe57a147d,0x806608ab,0x91e3406e}},	//   _ovrš, _узи_, зваж, носе, 
   {{0x7644016c,0xdb1a0534,0x00000000,0x00000000}},	// [6560] _ihiy, _matá, --, --, 
   {{0x97420ab4,0x76560096,0x79803117,0xd9b83e21}},	//   šćem, _hiyy, zamw, _आस्ट, 
   {{0x444402f5,0x59bd000c,0x2ec600eb,0x798070dc}},	//   _ih_, ्यार, ثقاف, yamw, 
   {{0x44443127,0xdb1a70dd,0xdb180611,0x656601d2}},	//   _hh_, _natá, ndvå, nckh, 
   {{0x44446fb1,0x3f8170de,0xdb0a18f1,0x7980016c}},	//   _kh_, bahu_, ndfö, vamw, 
   {{0x44380348,0x61f61bde,0xdd990118,0x44446fb1}},	//   nlr_, lkyl, _alňd_, _jh_, 
   {{0x444470df,0x80c42c64,0xb05b074b,0xdb1a70e0}},	//   _mh_, रिके, _fräs, _batá, 
   {{0xdca670e1,0x444470e2,0xdb1a0b85,0xb05b014e}},	//   _наби, _lh_, _catá, _gräs, 
   {{0xfc6400c5,0x6b561666,0xa96703b7,0x798070e3}},	//   _آخری, _فضائ, чиња_, ramw, 
   {{0x6d400bc3,0x660d70e4,0x1dda0081,0xdb03026e}},	//   _izma, _smak, णावत, lený, 
   {{0x49a4005e,0x6595656c,0xa91d090e,0x22490241}},	//   _жылғ, ману, važe, ymak_, 
   {{0x4444002c,0xaac21451,0xaadb00a7,0x76440727}},	//   _ah_, _वैयक, _לחבר, _chiy, 
   {{0x444470e5,0x764402cd,0xa91d02d9,0x3200025b}},	//   _bh_, _dhiy, taže, dhiy_, 
   {{0x444470e6,0x56940161,0x69a215ba,0xdb1a1fac}},	//   _ch_, _жакт, _गाडी, _zatá, 
   {{0x4444004c,0xa91d034c,0x883b0056,0x224901f0}},	//   _dh_, raže, _התגו, tmak_, 
   {{0x444470e7,0x660d70e8,0xbbb900e6,0xdb03026e}},	//   _eh_, _umak, _इस्क, jený, 
   {{0x3f8170e9,0x444470ea,0xdb03026e,0x224970eb}},	// [6570] tahu_, _fh_, dený, rmak_, 
   {{0xa3d40a34,0xd37b2cb9,0x224970ec,0x444470ed}},	//   _सोप_, _учи_, smak_, _gh_, 
   {{0xdddc044e,0xb05b70ee,0x6d4070ef,0x224901f0}},	//   _svrš, _präs, _azma, pmak_, 
   {{0x661d70f0,0x3f810076,0x645703da,0x442100e2}},	//   nnsk, sahu_, _hixi, _hjh_, 
   {{0x444470f1,0x661d70f2,0x62871290,0xdca570f3}},	//   _yh_, insk, lsjo, фали, 
   {{0x444470f4,0x3d1100a2,0xdb1a00e9,0x657f084c}},	//   _xh_, _देणे_, _satá, _leqh, 
   {{0xdb030076,0x628770f5,0x6d40040c,0x60cd4c9a}},	//   bený, nsjo, _ezma, lvam, 
   {{0x6457040a,0xa3d4051f,0xdb0370f6,0x661d1fe0}},	//   _lixi, _सोन_, menü, jnsk, 
   {{0x2d8d70f7,0x3a2d051e,0x9f5a04b3,0xdddc203b}},	//   _idee_, roep_, cipó_, _uvrš, 
   {{0x628702fb,0x600070f8,0x76440104,0x661d0ff2}},	//   ksjo, _gömd, _shiy, ensk, 
   {{0x4ac107d5,0x3d111204,0xf4230086,0x7c240038}},	//   _शनिव, _देते_, ফতার_, éire, 
   {{0x661d03a9,0x64572dab,0x60cd00d0,0x4421523d}},	//   gnsk, _aixi, kvam, _ajh_, 
   {{0x64570218,0x69d970f9,0xdd0100bc,0x66ea00ad}},	//   _bixi, _inwe, _čtět, rəka, 
   {{0x661d0187,0x69c92760,0x4421016a,0xdb0305a8}},	//   ansk, ldee, _cjh_, zený, 
   {{0xdb0370fa,0x9f430098,0xe2b5011f,0x644500a1}},	//   menó, _bojí_, нстэ, _dhhi, 
   {{0x6b8337a7,0x69c970fb,0x645f00e5,0x2444014e}},	//   hang, ndee, _fuqi, döme_, 
   {{0x78a970fc,0x6b8370fd,0x44440056,0xdb03026e}},	// [6580] ntev, kang, _th_, vený, 
   {{0x6b8370fe,0x6d5b62cb,0x61f670ff,0x6457008a}},	//   jang, _agua, skyl, _gixi, 
   {{0x78a97100,0x63bc7101,0x69d90b1f,0xdb037102}},	//   htev, mern, _onwe, genü, 
   {{0xdd8f03b1,0x63bc2407,0x629c7103,0x78a900e5}},	//   لوم_, lern, muro, ktev, 
   {{0xdb093077,0x69c90539,0x6b837104,0x64577105}},	//   čnýc, ddee, fang, _yixi, 
   {{0x0a6a58d9,0x63bc7106,0x69d97107,0x64577108}},	//   ории_, nern, _anwe, _xixi, 
   {{0x661d0228,0xa3df009a,0x8fa30e4e,0x629c7109}},	//   ynsk, णात_, _шаре, nuro, 
   {{0x63a900f1,0x69d53cae,0xa3cb03ce,0x9f5a02a3}},	//   đeni, भागी, _रोई_, cipò_, 
   {{0x6b83710a,0x6d40710b,0x63bc0cac,0xdb1a0165}},	//   bang, _uzma, kern, _antô, 
   {{0x63bc710c,0x629c710d,0x6b83710e,0x69c9040b}},	//   jern, kuro, cang, adee, 
   {{0x7bda710f,0xa5bb0496,0x64570068,0x78a95b0b}},	//   _intu, olóx, _rixi, atev, 
   {{0xdd210218,0x7bc87110,0x629c0156,0x67ff0218}},	//   nîşa, _hadu, duro, _rêje, 
   {{0x7bc87111,0xe9f700dd,0x661d6d81,0xd5a507d5}},	//   _kadu, _інші_, rnsk, ग्गज, 
   {{0x63bc14a9,0x7bc80938,0xf8bc0262,0xdb030183}},	//   gern, _jadu, ्टीप, cenó, 
   {{0x64577112,0x53347113,0x5454081b,0x7a3e024a}},	//   _vixi, верт, тврт, nëto, 
   {{0xa91d0571,0xf1bf0019,0x6b837114,0x628700dd}},	//   laža, _akár_, zang, rsjo, 
   {{0x63bc7115,0x62870529,0x90990141,0x62347116}},	// [6590] bern, ssjo, яват_, тету, 
   {{0x60cd7117,0x6d5b7118,0x60c97119,0xf1d80586}},	//   rvam, _sgua, _šems, डाउन, 
   {{0x201315a0,0x629c04e9,0x4431711a,0x60cd711b}},	//   rixi_, curo, moz_, svam, 
   {{0x6b83711c,0x7bda711d,0x4431711e,0x60000502}},	//   wang, _antu, loz_, _röme, 
   {{0x7bc8711f,0x7bda02cd,0xcb691a00,0x628800da}},	//   _badu, _bntu, пале_, ádov, 
   {{0x7bc828c9,0x44317120,0x6cd20019,0xed590028}},	//   _cadu, noz_, اقوا, _maži_, 
   {{0x6b837121,0xeab1006b,0x7bc87122,0xfb8400e4}},	//   rang, اعت_, _dadu, тычн, 
   {{0x4431006b,0x78a97123,0x6d5b0093,0x08c503a1}},	//   hoz_, ttev, _ugua, ебин, 
   {{0x69c9051e,0x63bc7124,0xf8c80029,0xddc900e0}},	//   rdee, yern, _cứ_, _pieņ, 
   {{0x7bc87125,0x44317126,0x78a97127,0xd70900c8}},	//   _gadu, joz_, rtev, зное_, 
   {{0x6811031e,0xc95900b1,0x26d1145a,0xdb18010c}},	//   vědě, _فلاش_, ízo_, levî, 
   {{0x6b815d1c,0x7bc803ef,0x63bc7128,0xa2d3031e}},	//   _helg, _zadu, wern, डिन्, 
   {{0x6b8100cf,0x7bc8498b,0xc9840272,0x66ea00ad}},	//   _kelg, _yadu, _рухи, ləkl, 
   {{0x629c7129,0xe1ff712a,0x6b8100e0,0x4431712b}},	//   turo, _aló_, _jelg, goz_, 
   {{0x63bc712c,0xe73603dc,0xed5901dd,0x26120032}},	//   rern, _пеш_, _daži_, lšom_, 
   {{0x63bc1f3c,0x629c712d,0xe1ff0038,0x20110027}},	//   sern, ruro, _cló_, _amzi_, 
   {{0xf8c8001b,0x629c712e,0xa3cb21c2,0x361b00d1}},	// [65a0] _xứ_, suro, _रोक_, _מוקד, 
   {{0xdb01118d,0x44310634,0xd9bd2b48,0x59d1007e}},	//   _eclé, coz_, ्युट, _दोसर, 
   {{0x22592379,0x539b00a7,0x9f4a011c,0x399a04a8}},	//   _fisk_, _ציטו, _kobé_, nüsü_, 
   {{0x7bc8712f,0x9cca4f4c,0x261200ca,0x60db7130}},	//   _sadu, зыка_, kšom_, _šume, 
   {{0x6b817131,0x7bc87132,0x3ebf0f23,0x3f8400f0}},	//   _belg, _padu, _ćute_, _ағза, 
   {{0x6b810042,0x2259014b,0x6a670241,0xab38002e}},	//   _celg, _zisk_, _sıfa, мплу_, 
   {{0xd9bd0838,0x6b817133,0xf8c800e7,0xa9bd02e6}},	//   ्यूट, _delg, _sứ_, ्यूए, 
   {{0x7bc87134,0x3d11007e,0x44317135,0x9f4a0118}},	//   _wadu, _देवे_, zoz_, _robè_, 
   {{0x443121ce,0xd7db009a,0x0c3a0038,0xa3c200bc}},	//   yoz_, बांच, _فكرة_, ृया_, 
   {{0x7bda47d2,0x7a3e024a,0x4431040a,0x2d860415}},	//   _untu, pëto, xoz_, laoe_, 
   {{0xa3cb0527,0x44317136,0xa3df00a2,0x290b0b01}},	//   _रोग_, voz_, णास_, úcar_, 
   {{0x63a502ec,0xf8c800e7,0xb8e60033,0xa91d0028}},	//   _schn, _tứ_, _উপ_, saža, 
   {{0x44317137,0xe61f0165,0x225900d1,0xa91d23d9}},	//   toz_, rnô_, _risk_, paža, 
   {{0xdb017138,0x399a0241,0xe1ff01d5,0x00000000}},	//   _sclé, büsü_, _sló_, --, 
   {{0xed592f6f,0x2fdf00ef,0x399a06a2,0x5fce109f}},	//   _važi_, _đug_, cüsü_, _होइल, 
   {{0x644e7139,0x28b700a5,0x4431713a,0x752213b0}},	//   ambi, _अहमि, soz_, _žoze, 
   {{0x67ff0218,0x2139024a,0x656d4c1e,0x00940a10}},	// [65b0] _hêja, _qysh_, _ifah, литэ, 
   {{0xa91d00d0,0x00000000,0x00000000,0x00000000}},	//   kažn, --, --, --, 
   {{0x22593c54,0xa91d0813,0x3eb8011c,0xfbdf0023}},	//   _tisk_, jažn, _cprt_, _đê_, 
   {{0xdd95713b,0x6b81713c,0x2eee014e,0x79820106}},	//   тады, _selg, äffa_, _neow, 
   {{0x3d1101a4,0x6b81713d,0x61ef00a1,0x656d018e}},	//   _देशे_, _pelg, _iocl, _mfah, 
   {{0x5274009c,0xeb9907be,0xdb180216,0xd11600d1}},	//   _جایز, фик_, revî, _יקרה_, 
   {{0xe9d10084,0x6b81713e,0x63a3008c,0x61ef0175}},	//   لغة_, _velg, _önnu, _kocl, 
   {{0x6b81713f,0x9f3407f4,0x2b5e01f2,0x66ea0248}},	//   _welg, _сесі, _egtc_, rəkl, 
   {{0x6b817140,0x26120097,0x6c554ed7,0x69b80154}},	//   _telg, ušom_, _акау, ्यजी, 
   {{0x3f831f87,0xdd93004e,0x656d4c1e,0x399a0241}},	//   _jeju_, _шағы, _afah, tüsü_, 
   {{0xd5dd00b0,0xfdf51d11,0xd62a0e52,0x00000000}},	//   यांज, _आवास_, доне_, --, 
   {{0x61ef7141,0x261248a8,0x24440219,0x27ee03c6}},	//   _nocl, pšom_, döma_, _eofn_, 
   {{0xa91d0028,0x762300b3,0x00000000,0x00000000}},	//   mažo, рмяз, --, --, 
   {{0xd3720133,0xe7876e99,0x69cb7142,0x38ab01e8}},	//   شهر_, _чудо, _hage, mør_, 
   {{0x69cb290c,0x61ef00a1,0xa8230019,0x60c90121}},	//   _kage, _bocl, _لکھن, _šemp, 
   {{0x61ef0036,0xdb0a0a1f,0x00000000,0x00000000}},	//   _cocl, refø, --, --, 
   {{0xed5903ef,0x3eb802cd,0x59a60367,0x3d11007e}},	// [65c0] _kažu_, _sprt_, क्टर, _देले_, 
   {{0x69cb4be4,0x09cd00cc,0x3eb800e2,0x61ef0d44}},	//   _lage, িউটা, _pprt_, _eocl, 
   {{0x0d862a08,0xa3df02f8,0x38ab03a9,0x0dca1781}},	//   влен, णार_, hør_, дули_, 
   {{0x61ef6e20,0xed590112,0xa91d7143,0xbf222659}},	//   _gocl, _lažu_, važn, _मशीन_, 
   {{0xdca3171c,0x60c90183,0x6da37144,0x38ab004f}},	//   иаци, _áemp, рича, jør_, 
   {{0x7982016a,0x38ab00fb,0x26c70604,0x3f830243}},	//   _seow, dør_, _osno_, _geju_, 
   {{0xdee345b4,0x69cb7145,0x39405e03,0x27e000ef}},	//   _кори, _bage, _šis_, _đin_, 
   {{0xa91d0f23,0x69cb7146,0xddc90035,0x38ab01e8}},	//   gažo, _cage, _mieś, før_, 
   {{0x69cb7147,0x38ab055f,0xa91d7148,0x26c7011d}},	//   _dage, gør_, sažn, _asno_, 
   {{0x2d843c04,0xdb184a9c,0xa91d7149,0xb8ea01a4}},	//   _heme_, leví, pažn, _लन_, 
   {{0x25df119b,0x69cb042a,0x2d840102,0x656d714a}},	//   गाली_, _fage, _keme_, _pfah, 
   {{0xa3cb11df,0x69cb714b,0x60c42448,0xe8fa6832}},	//   _रोज_, _gage, kwim, _оле_, 
   {{0x69c0714c,0xe8945efb,0x2d84714d,0xa3df0ede}},	//   meme, _саль, _meme_, णाल_, 
   {{0x69c0714e,0x69cb714f,0x61ef7150,0x78a00daf}},	//   leme, _zage, _socl, mumv, 
   {{0xe8e00029,0xf1a77151,0x69cb01eb,0xdb1802aa}},	//   _đội_, кран, _yage, levâ, 
   {{0xd9e5000f,0x69c07152,0x656d0548,0x3f835584}},	//   कायत_, neme, _ufah, _seju_, 
   {{0x5692005e,0x51847153,0x3f83016a,0xa91d015e}},	// [65d0] _сақт, руса, _peju_, jažl, 
   {{0xcbbd0086,0x6e220183,0x39460242,0x69c07154}},	//   _ইচ্ছ, enob, _mzos_, heme, 
   {{0x33f40219,0x25a96fb1,0xf1ab0083,0x2d847155}},	//   _växt_, _kcal_, _छापन, _beme_, 
   {{0x69c0290c,0x3a2602a2,0x78a061d6,0x9f4a00b9}},	//   jeme, _njop_, kumv, _albó_, 
   {{0x69c07156,0xa91d026e,0x6aba016a,0xc19a008d}},	//   deme, važo, _aptf, _אשרי, 
   {{0x69cb7157,0x64660218,0x30da00c7,0xb4fc00d1}},	//   _sage, _êriş, _אַלע, ופדי, 
   {{0x69cb7158,0x39460183,0x2d84084c,0x69c07159}},	//   _page, _azos_, _feme_, feme, 
   {{0x69c010de,0xb05b014e,0x683d03a1,0x38ab03a9}},	//   geme, _osäk, mèdi, tør_, 
   {{0x69cb2163,0xf1ab1d00,0xdd0301dd,0xa91d715a}},	//   _vage, _छानन, ārēj, ražo, 
   {{0x2d84715b,0x38ab01e8,0xa91d0588,0x69cb1e37}},	//   _zeme_, rør_, sažo, _wage, 
   {{0x69cb715c,0x69c0715d,0x38ab01e8,0x3dcd011c}},	//   _tage, beme, sør_, _kaew_, 
   {{0x69c0715e,0x8afa035c,0x15e4009a,0x78a00610}},	//   ceme, _אלעז, गाधर_, bumv, 
   {{0x81cc100b,0xa3df296e,0x23270176,0x9f51009e}},	//   লাম_, णां_, ҳори_, ûbên_, 
   {{0x3a3f715f,0xd91a07e4,0xa91d0032,0xb892007a}},	//   llup_, _אונל, nažm, _الوع, 
   {{0x41b60595,0x3ea100b0,0x60c40065,0x75ff024a}},	//   лсат, juht_, wwim, _gëzo, 
   {{0xa3d400c2,0xb6ba00d1,0x00000000,0x00000000}},	//   _सोर_, _נצפי, --, --, 
   {{0xc0e37160,0x6604086d,0x6e227161,0x442300ef}},	// [65e0] ботк, _ilik, vnob, bnj_, 
   {{0x69c07162,0x2d847163,0xdee631a6,0x7f863629}},	//   zeme, _seme_, лози, الان, 
   {{0x69c02a1a,0x645e0102,0x81cc0033,0x2d847164}},	//   yeme, _iipi, লাব_, _peme_, 
   {{0x69c00161,0x0caa13cc,0x831b00c7,0x78a06ad0}},	//   xeme, етки_, _טויז, yumv, 
   {{0x645e086d,0x22407165,0x628e7166,0x69c07167}},	//   _kipi, mlik_, lsbo, veme, 
   {{0x22400848,0xa91d00d2,0x443a0571,0xdb010068}},	//   llik_, gažm, _jkp_, _eclí, 
   {{0x66047168,0x69c07169,0x201a011d,0x645e716a}},	//   _olik, teme, mipi_, _mipi, 
   {{0x2240716b,0x201a716c,0x777a006d,0x78a0716d}},	//   nlik_, lipi_, wbtx, tumv, 
   {{0xe786716e,0x2240018c,0xdd8f08cb,0x2df700d1}},	//   луно, ilik_, _رول_, _עצמך_, 
   {{0x78a0716f,0x224002f1,0x628e200f,0x66047170}},	//   rumv, hlik_, ksbo, _alik, 
   {{0x10370056,0x22407171,0x69c07172,0xf1bf0228}},	//   רטים_, klik_, peme, ššie_, 
   {{0x443a7173,0x628e0f96,0x0f5700a7,0x69c00026}},	//   _akp_, dsbo, טיים_, qeme, 
   {{0x22407174,0x645e7175,0x25a900f6,0x77640216}},	//   dlik_, _bipi, _vcal_, _şixu, 
   {{0x66047176,0x443a0348,0x22402be0,0x60000219}},	//   _elik, _ckp_, elik_, _sömn, 
   {{0x645e5781,0x66047177,0x628e0343,0x44230097}},	//   _dipi, _flik, gsbo, rnj_, 
   {{0xdb0a7178,0x6fa7047c,0x22407179,0x44f50599}},	//   lefó, _चाहू, glik_, _впис, 
   {{0x3015717a,0x80df07d5,0x764d717b,0xe45f12b7}},	// [65f0] адар, नमें, _ihay, rvös_, 
   {{0x645e717c,0xdb0a0183,0xeae436a6,0x629a0032}},	//   _gipi, nefó, _कपूत_, átoc, 
   {{0x2240717d,0xdb0a01c4,0x656f01d8,0x1bfa09ec}},	//   blik_, gefü, occh, ्सनल_, 
   {{0x645e717e,0x248d717f,0x443a1eeb,0x764d0118}},	//   _zipi, šemu_, _zkp_, _jhay, 
   {{0xce940cdf,0x765f1a3d,0x61ed7180,0x764d018e}},	//   _қатъ, _miqy, mjal, _mhay, 
   {{0xb09a0056,0x201a7181,0x61ed7182,0x683d00d3}},	//   _בישר, cipi_, ljal, pèdi, 
   {{0x5fce0484,0x6d9c0228,0x610d040c,0x66ea0248}},	//   _होटल, _sťaž, _bўlg, bəki, 
   {{0xe9d92463,0x32094e65,0xa5bb0068,0x752d039b}},	//   тки_, nhay_, lióf, _oxaz, 
   {{0xa8055ca4,0xdb030107,0x6e3b7183,0x38661e23}},	//   изил, igné, _ikub, _cuor_, 
   {{0x764d7184,0x6604364f,0x998d006a,0x224015aa}},	//   _ahay, _slik, wień_, zlik_, 
   {{0x66040da6,0xf7453c93,0xb4de2511,0xd5e637e8}},	//   _plik, рено, णम्_, ажни, 
   {{0x645e57e9,0x764d7185,0x7bc37186,0xe5a61cb8}},	//   _sipi, _chay, lenu, шими, 
   {{0x6e3b0010,0x764d023e,0x044650ff,0x9f4a0228}},	//   _mkub, _dhay, иемн, _robí_, 
   {{0x7bc3007e,0x46f500dd,0x656f00fd,0x628e042a}},	//   nenu, _вчит, acch, tsbo, 
   {{0x6e3b4059,0x68fb7187,0x645e0010,0x7e67006d}},	//   _okub, lyud, _vipi, _nujp, 
   {{0x628e2a73,0x66047188,0x61ed003e,0x6d497189}},	//   rsbo, _ulik, gjal, _ozea, 
   {{0x2240718a,0x6564099d,0x443a718b,0x7bc3718c}},	// [6600] rlik_, _igih, _tkp_, kenu, 
   {{0x2240718d,0x32090054,0x6aa301c4,0x6e3b5c6c}},	//   slik_, ahay_, kunf, _akub, 
   {{0x3246718e,0x6705072f,0x201a718f,0x68fb7190}},	//   _венг, शनिक_, ripi_, hyud, 
   {{0x44387191,0x61ed7192,0x32090300,0xfe430cdf}},	//   lor_, cjal, chay_, онхо, 
   {{0xfbe2000d,0x0cd40f91,0x201a7193,0xdb0a0502}},	//   पालम, солю, pipi_, sefü, 
   {{0x7bc37194,0x2c6b09a8,0x443860bf,0x6e3b0539}},	//   genu, _død_, nor_, _ekub, 
   {{0x6b8a7195,0x44381890,0x38667196,0x6d4901ca}},	//   rafg, ior_, _suor_, _ezea, 
   {{0x44387197,0x6da37198,0x3d11007e,0x6000003e}},	//   hor_, _миса, _देके_, _mömm, 
   {{0x44387199,0xed57237f,0x7e60719a,0xdddc0588}},	//   kor_, _вот_, _iimp, _kvrž, 
   {{0x61ed3e94,0x764d719b,0x7e60719c,0x4438719d}},	//   zjal, _shay, _himp, jor_, 
   {{0x4fd900c7,0x7e60719e,0xb05b0380,0x6d4000f3}},	//   אַרד, _kimp, _präz, _hyma, 
   {{0xa5bb4879,0x7e60003d,0x80a70035,0x7af702ae}},	//   cnól, _jimp, टूडे, äxte, 
   {{0x7e601146,0x443800fc,0xd943719f,0x67d43a5f}},	//   _mimp, for_, _деци, _голу, 
   {{0x443871a0,0x7c3871a1,0x3cee00ab,0x60db00d0}},	//   gor_, novr, _आपने_, _šumo, 
   {{0xd83811c8,0xe69400eb,0x3f87008c,0x6b882489}},	//   moč_, _البد, ðnum_, _medg, 
   {{0x201871a2,0xe2f8004e,0xd7a600bc,0x764d0027}},	//   _amri_, шесі_, _खाँच, _uhay, 
   {{0x661d71a3,0xc95300c7,0x6d4003fa,0x7c38203b}},	// [6610] misk, ַמע_, _nyma, kovr, 
   {{0x320971a4,0x6e2971a5,0x6e3b71a6,0xc7b8015e}},	//   shay_, _sjeb, _skub, biđe_, 
   {{0xe8e00029,0x7c3871a7,0x7e606617,0x2c6b055f}},	//   _đời_, dovr, _bimp, _sød_, 
   {{0x661d71a8,0x201800e5,0xb05b0219,0x7e6071a9}},	//   nisk, _emri_, _späd, _cimp, 
   {{0x3d111223,0x7e6071aa,0xd838008b,0xeb99183a}},	//   _देखे_, _dimp, koč_, гил_, 
   {{0x7c380b91,0x00f6042c,0xd8380352,0x661d71a3}},	//   govr, _המשך_, joč_, hisk, 
   {{0xa91d0009,0x7e6071ab,0x6e290026,0xd8380455}},	//   maži, _fimp, _tjeb, doč_, 
   {{0x6e3b71ac,0x290d0414,0xa3d9034d,0x99e502f1}},	//   _ukub, tzea_, _ठोस_, сжид, 
   {{0x7bc34d9d,0x443871ad,0xc7b80ab4,0x6d4000f8}},	//   penu, yor_, ziđe_, _gyma, 
   {{0x443871ae,0xdb180f95,0x57e94e4d,0x30da00c7}},	//   xor_, devæ, удом_, אַטע, 
   {{0x98b80243,0x7e600027,0x00000000,0x00000000}},	//   ārā_, _yimp, --, --, 
   {{0x661d0a40,0x443871af,0x2cbf02a2,0xdb010038}},	//   gisk, wor_, _kpud_, _gclá, 
   {{0x443871b0,0xa91d0d9d,0x5a0c00c7,0xdb1834f9}},	//   tor_, kaži, _בלאַ, gevæ, 
   {{0xd9e5119b,0xdd990118,0x412a08ba,0xd467002e}},	//   कावत_, _blňk_, қозо_, сире_, 
   {{0x443871b1,0x81cc0086,0x91e671b2,0xddc200de}},	//   ror_, লাস_, бове, bloň, 
   {{0x63bb03ef,0x661d15fa,0x4f0a00f0,0x7cde020f}},	//   đuna, cisk, ңнан_, _hărţ, 
   {{0x443871b3,0xe0da0b58,0x320001ff,0x114a0028}},	// [6620] por_, ыва_, rkiy_, упай_, 
   {{0xa91d71b4,0x7e6902ee,0x443871b5,0x600002ae}},	//   gaži, _čepr, qor_, _tömm, 
   {{0x7e604ff3,0x8d1a00d4,0x09a70a34,0x2fd100ca}},	//   _pimp, گزار_, _गांठ, _dazg_, 
   {{0x6da607f9,0x81cc0086,0x249f0a1a,0xa5bb71b6}},	//   сида, লাহ_, šume_, ciód, 
   {{0x7c3803ef,0x8c4671b7,0x7e7b00ca,0xc17300d1}},	//   tovr, беде, _čupe, _מחר_, 
   {{0x661d71b8,0x201871b9,0x6d40026e,0xfce600cf}},	//   zisk, _umri_, _vyma, _қозо, 
   {{0x7e6071ba,0x6d4000ab,0x6b8800fc,0x7c380b41}},	//   _timp, _wyma, _vedg, rovr, 
   {{0x1874181e,0x9874601b,0x3f8a0053,0xed5a545c}},	//   огия, олиц, _hebu_, _боб_, 
   {{0xd7fa71bb,0xd8380b43,0x661d71bc,0x050a0086}},	//   гун_, toč_, visk, রপুর_, 
   {{0x661d00ab,0x7cde00d9,0x3f8a0588,0xdb1802c9}},	//   wisk, _cărţ, _jebu_, vevæ, 
   {{0x661d71bd,0x442703b0,0xc5e400a5,0xd83818a7}},	//   tisk, _ın_, गांठ_, roč_, 
   {{0xd838008b,0x6f0900bc,0x3f8a031d,0xa91d5460}},	//   soč_, _řeck, _lebu_, zaži, 
   {{0x661d71be,0x2ca613cd,0x05aa00bc,0x3f980121}},	//   risk, nuod_, _कारब, _odru_, 
   {{0x661d71bf,0x3f8a00d2,0x25ad003d,0xdb180566}},	//   sisk, _nebu_, żel_, revæ, 
   {{0xdb1a02f2,0xa91d012d,0xdb180566,0x00000000}},	//   _natü, važi, sevæ, --, 
   {{0xdb1a010e,0x7a3e024a,0x7179181c,0x68e400a1}},	//   _ható, pëtu, рбар_, _àids, 
   {{0x3f8a0062,0xa5bb3be8,0x26dc00ef,0xdb1801ad}},	// [6630] _bebu_, riód, _hrvo_, levä, 
   {{0x200701d5,0x00000000,0x00000000,0x00000000}},	//   óni_, --, --, --, 
   {{0x3f8a71c0,0xdb1a001d,0xdb1800c8,0x10481ca5}},	//   _debu_, _mató, nevä, сяти_, 
   {{0x8d870088,0xdd9400e4,0xf1a771c1,0xa91d71c2}},	//   сужд, зацы, _урон, saži, 
   {{0x69a2000f,0xa91d012d,0xda780228,0x6b6571c3}},	//   _गाजी, paži, _atď_, окла, 
   {{0x3eb301be,0x3f8a342b,0xdb1800c8,0x3a990879}},	//   ptxt_, _gebu_, kevä, атию_, 
   {{0x59da1ff6,0x81cc00cc,0x93fc00c7,0x39e9004f}},	//   _मोहर, লার_, רלוי, идко_, 
   {{0x60dd2873,0x2ca6011d,0xdb180844,0x3d1a0299}},	//   _krsm, buod_, devä, _मेवे_, 
   {{0x7cde00d9,0x26dc01ad,0x2d8f71c4,0x75ff024a}},	//   _părţ, _arvo_, mage_, _gëzi, 
   {{0xdb1a0952,0x3943002a,0x2d8f71c5,0x2ca000eb}},	//   _cató, ājs_, lage_, áide_, 
   {{0x65c671c6,0xdb182082,0x7e9c0474,0x00000000}},	//   обна, gevä, căpă, --, 
   {{0x26dc14f0,0x361600dd,0xd5aa00a2,0x2d8f2376}},	//   _drvo_, ієнт, _काळज, nage_, 
   {{0x89372045,0xc4833ce1,0x25df40a8,0xa3ce02e6}},	//   _اعضا, мляк, गाजी_, _रसद_, 
   {{0x2d8f00dd,0xa3d404cc,0x3a290082,0x798b0090}},	//   hage_, _सोख_, čapu_, _hegw, 
   {{0xe36302fb,0x3f8a71c7,0x7c24007a,0x00000000}},	//   дкри, _rebu_, éiri, --, 
   {{0x91e30e8f,0x42076e5e,0x216710aa,0xdb1a03a0}},	//   мосе, онсо_, жити_, _katò, 
   {{0x2d8f71c8,0x81cc0086,0x6143019c,0x00000000}},	// [6640] dage_, লাল_, дета, --, 
   {{0x67ff009e,0xdfa60038,0x66ea00ad,0xa5bb039f}},	//   _bêji, تحري, cəks, ciób, 
   {{0x15fe0081,0x2d8f026a,0xee3a04e9,0x25df009a}},	//   _उकार_, fage_, анж_, गाची_, 
   {{0x3f8a063b,0xee3a25c5,0x9f510126,0x2d96004e}},	//   _webu_, шне_, _alzó_, ірес, 
   {{0x61e65653,0x3f8a09c2,0x3f6a00b3,0x00000000}},	//   _inkl, _tebu_, _виго_, --, 
   {{0xe7ae0527,0x00000000,0x00000000,0x00000000}},	//   ज्ञप, --, --, --, 
   {{0x3d1a006a,0xe8e00029,0xdb1a05b9,0x2d8f0279}},	//   _मेरे_, _đối_, _rató, bage_, 
   {{0x2d8f71c9,0x0d863a64,0x00000000,0x00000000}},	//   cage_, _флан, --, --, 
   {{0x225e014b,0x1d0700c8,0xdb1a5e3b,0xc7c671ca}},	//   ítky_, _дети_, _catò, осни, 
   {{0xb8f200b0,0xd7fa0176,0xdb1871cb,0x00000000}},	//   _हई_, руи_, tevä, --, 
   {{0xdb1a71cc,0x45d50165,0x61e671cd,0x1be00083}},	//   _obté, понс, _onkl, _गोयल_, 
   {{0xa5bb0126,0xdb18305b,0x1b130033,0xf9921372}},	//   dióc, revä, _ঢুকে_, _آبا_, 
   {{0xdb1871ce,0x00000000,0x00000000,0x00000000}},	//   sevä, --, --, --, 
   {{0x61e6508e,0x63bb265d,0xa91d3973,0x998d00ab}},	//   _ankl, đuno, gažu, kieś_, 
   {{0x2d8f026d,0xf4851c03,0x7c2a0664,0x00000000}},	//   yage_, _کابی, infr, --, 
   {{0xceeb00d4,0x200a71cf,0x63be01d6,0x2d8f0883}},	//   یران_, _albi_, _ebpn, xage_, 
   {{0x200a016a,0x236c0ab4,0x3d1a0fcf,0x2d8f0c04}},	// [6650] _blbi_, ždja_, _मेले_, vage_, 
   {{0x61e671d0,0x35b10394,0x67ff009e,0x0fe403a1}},	//   _enkl, _झाड़, _pêji, мөсү, 
   {{0x2d8f71d1,0x9f5102a3,0x99840028,0x00000000}},	//   tage_, _alzò_, nomų_, --, 
   {{0x24890b32,0x623500fd,0x80db0249,0x62955cf7}},	//   _kwam_, _хему, निदे, mszo, 
   {{0x2d8f71d2,0x7c2a008c,0x9f58009e,0xdb03007a}},	//   rage_, fnfr, _jorê_, rgní, 
   {{0x60cd6f1a,0x798b71d3,0x2d8f71d4,0x644721d9}},	//   mwam, _segw, sage_, nlji, 
   {{0x27e900e7,0x2c5d0237,0x6295419f,0x00000000}},	//   _đan_, _jňdi_, nszo, --, 
   {{0x64470352,0x629501c8,0x088902f1,0xa3e200bd}},	//   hlji, iszo, ббий_, _नोन_, 
   {{0x64470688,0x24890118,0xa9252567,0xf1bf0354}},	//   klji, _nwam_, ядил, _mbá_, 
   {{0x798b2a58,0x62951d04,0x2a6c0082,0xb17b0219}},	//   _wegw, kszo, _fudb_, _snål, 
   {{0xb8f25a5c,0xe7390163,0x248971d5,0xa91d05a8}},	//   _है_, сен_, _awam_, važu, 
   {{0x60cd71d6,0x629571d7,0xfa560444,0x00000000}},	//   kwam, dszo, _فرنگ, --, 
   {{0xa8790137,0x5fac00a2,0x998d0035,0x64470121}},	//   _פאַר, _चालल, zieś_, flji, 
   {{0x387f5f50,0x987a00fe,0x644702ee,0x78a905b9}},	//   mpur_, _האסט, glji, muev, 
   {{0x91e60978,0x387f003e,0xf7420240,0x6295010e}},	//   пове, lpur_, _пешо, gszo, 
   {{0x249f00e0,0x24890118,0x60cd019b,0xdb12010e}},	//   šuma_, _fwam_, fwam, égér, 
   {{0x78a971d8,0x7e7b71d9,0xdb0a02a0,0x437600b3}},	// [6660] nuev, _čupa, lefô, _нунт, 
   {{0x81cc00cc,0x13a80399,0xa3d40d0d,0x20cd0ab4}},	//   লাই_, _بندی_, _सोच_, _dži_, 
   {{0x7de600f0,0x3246013b,0x2489039b,0x0e6603dd}},	//   зілд, _неог, _zwam_, чкен, 
   {{0xe7e2007e,0x7d0600b0,0xed5a71da,0x61e60502}},	//   _कोना_, _üksk, бое_, _unkl, 
   {{0xdd8f0629,0x6d5d0126,0x0fda0235,0x75ff0034}},	//   اوه_, _úsal, _львы_, _gëzu, 
   {{0xdce0008a,0xa5bb007a,0xec690259,0xddc90083}},	//   _lemħ, rnói, ірік_, _cheł, 
   {{0x7c2a71db,0x39610248,0xb05b26ad,0xeb970165}},	//   rnfr, ərsə_, _isäp, чиј_, 
   {{0x6447052a,0xd9df00c2,0x7e9b00df,0x00000000}},	//   zlji, _खोदत_, _לסלו, --, 
   {{0x3ebf0571,0xdca371dc,0x5ca671dd,0xe8e00023}},	//   _ćuti_, _пати, _хизб, _đồi_, 
   {{0x779204f2,0x6e2271de,0xa5bb0183,0xeb9700b3}},	//   ریبا, liob, nnóv, _ниу_, 
   {{0xbb4a1057,0x7bca0053,0x24892fac,0x660f024a}},	//   _الان_, mefu, _swam_, thck, 
   {{0x6e2271df,0x6a16073c,0x7bca4819,0x60cd0035}},	//   niob, _عبار, lefu, ywam, 
   {{0x7e6e0201,0x354771e0,0x78a90126,0xe4e401fc}},	//   _lubp, яхов, cuev, нірн, 
   {{0x6295010e,0xa8a500f0,0x59b40299,0x625302be}},	//   tszo, _ірік, ंभकर, içoe, 
   {{0x9f5800e5,0x60cd0065,0xb3541571,0x261a01a4}},	//   _dorë_, wwam, екрш, मोही_, 
   {{0x6447008b,0x60cd71e1,0xe1f30019,0x9f58010c}},	//   slji, twam, رسز_, _torê_, 
   {{0xe1340528,0x62950019,0x660d71e2,0xb3cb00b3}},	// [6670] енты, sszo, _ilak, _лунж_, 
   {{0x660d71e3,0x60cd01eb,0x15eb0110,0x7d0271e4}},	//   _hlak, rwam, टावर_, dyos, 
   {{0xda0c3e41,0x442371e5,0xd3410019,0x325508ba}},	//   िघात_, mij_, _شہری, _овор, 
   {{0xe0df0029,0xf1a70a27,0x442371e6,0xb8120033}},	//   _trò_, _эрон, lij_, িচিত_, 
   {{0x660d71e7,0x20cd0571,0x9c59268d,0x3cf90035}},	//   _mlak, _uži_, ошку_, ्नें_, 
   {{0xce6b451d,0x44230c3c,0x7bca71e8,0xfce25dbb}},	//   _град_, nij_, gefu, тошо, 
   {{0x660d02f5,0x80db04bd,0x3946134a,0x7d02012b}},	//   _olak, निवे, _ayos_, ayos, 
   {{0x4423006f,0x2ca002fe,0x224971e9,0x88e50115}},	//   hij_, šida_, nlak_, джие, 
   {{0x7bca71ea,0x200e0009,0xdcfb009c,0x70ab0035}},	//   befu, škių_, _ارزش_, _चमोल, 
   {{0x660d71eb,0x224971ec,0x99dd026e,0x394607fc}},	//   _alak, hlak_, plňo, _dyos_, 
   {{0x660d71ed,0x4423257c,0x224971ee,0x7c2371ef}},	//   _blak, dij_, klak_, minr, 
   {{0x387f71f0,0x00000000,0x00000000,0x00000000}},	//   ppur_, --, --, --, 
   {{0x2249011d,0x442371f1,0x2101012d,0x78a90106}},	//   dlak_, fij_, nčią_, quev, 
   {{0xb05b022b,0x660d71f2,0x442371f3,0x9f5803a0}},	//   _spän, _elak, gij_, _forè_, 
   {{0xa5bb71f4,0x7bc171f5,0x660d71f6,0x00000000}},	//   mión, _mblu, _flak, --, 
   {{0x3cee02f8,0xa5bb0187,0x261a07d5,0x3a2d2256}},	//   _आपले_, lión, मोशी_, nnep_, 
   {{0x7e7c0062,0x442371f7,0x2bae00a2,0xa3d900aa}},	// [6680] _strp, bij_, _घाला, _ठोक_, 
   {{0x442311c8,0xa5bb0496,0x7d020053,0x7c2d0038}},	//   cij_, nión, vyos, éarl, 
   {{0x444454ce,0x216a13cc,0x224941c7,0x7bca003e}},	//   _ik_, _мини_, blak_, vefu, 
   {{0xe9d900ab,0xa3e60a34,0x7bc171f8,0x3a2d00ca}},	//   jdź_, फाक_, _ablu, jnep_, 
   {{0x444471f9,0x09bc00cc,0x6e22518d,0xdd990118}},	//   _kk_, _অফলা, riob, _alňs_, 
   {{0x444471fa,0x7d02209a,0x6aaa0956,0x7e6e006d}},	//   _jk_, ryos, tuff, _tubp, 
   {{0xa06771fb,0x7e7c0fb5,0xa5bb71fc,0x7d022244}},	//   _цара_, _utrp, dión, syos, 
   {{0x444471fd,0x442371fe,0x7bca71ff,0xe1ff0183}},	//   _lk_, zij_, sefu, _lión_, 
   {{0x6aaa7200,0x2d867201,0x7d0200a3,0xeb9a02aa}},	//   suff, mboe_, qyos, _миа_, 
   {{0x44447202,0x22497203,0xa5bb0228,0x764459ad}},	//   _nk_, zlak_, gión, _akiy, 
   {{0xe8e00029,0x2fd800a3,0x7c3d01d5,0x44237204}},	//   _đổi_, _marg_, _ísra, vij_, 
   {{0x44447205,0x2fd87206,0x6dc402fe,0x09062631}},	//   _ak_, _larg_, _učač, _опен, 
   {{0x44237207,0x22491a77,0x9f580212,0xd7fa7208}},	//   tij_, vlak_, _doré_, _мук_, 
   {{0xa5bb4faf,0x3fd90086,0x68e27209,0xe1ff033c}},	//   ción, _দক্ষ, _irod, _ción_, 
   {{0x4444720a,0x4423720b,0x660d557d,0xdb1a02d9}},	//   _dk_, rij_, _tlak, _obtí, 
   {{0x444420db,0x4423720c,0x645c095a,0x35f80038}},	//   _ek_, sij_, amri, _يريد_, 
   {{0x2904720d,0x2249720e,0x44230144,0x69c2011c}},	// [6690] nyma_, rlak_, pij_, _mboe, 
   {{0x44230218,0x68e2720f,0x22497210,0x00000000}},	//   qij_, _mrod, slak_, --, 
   {{0x29042352,0xa1957211,0x7c2d0038,0x64450026}},	//   hyma_, _панч, éarm, _ikhi, 
   {{0x68e27212,0x1cb90084,0xa01b0f70,0x7bc10ab1}},	//   _orod, كاتب_, _stöd, _sblu, 
   {{0xdb09037f,0x2fd809a7,0x30790070,0x44445606}},	//   čníc, _farg_, _מאָנ, _yk_, 
   {{0xa5bb0496,0x44447213,0xe9d900ab,0x2fd87214}},	//   xión, _xk_, wdź_, _garg_, 
   {{0xbb4215f5,0x64450626,0x4421258b,0x7c23039b}},	//   лешк, _mkhi, _mmh_, rinr, 
   {{0x68e20112,0xe7d74cda,0x656d7215,0xe8f97216}},	//   _brod, _भोजप, _ngah, зли_, 
   {{0x61fd7217,0xa5bb0183,0x44210387,0x68e201fd}},	//   _mosl, tión, _omh_, _crod, 
   {{0x656d7218,0x64457219,0x61fd0aa7,0x68e20035}},	//   _agah, _nkhi, _losl, _drod, 
   {{0xf62600ba,0x68e2721a,0x99910019,0x3f910a9f}},	//   едно, _erod, őző_, _mezu_, 
   {{0x4444721b,0x6445386c,0xa5bb09a1,0x61fd002a}},	//   _sk_, _akhi, sión, _nosl, 
   {{0x44210054,0x68e2721c,0x7e69721d,0x610d040c}},	//   _bmh_, _grod, _miep, _bўlm, 
   {{0x7e692a68,0x69d9721e,0x934611db,0x4444721f}},	//   _liep, _hawe, енге, _qk_, 
   {{0xa5bb24a9,0x69d97220,0x78bb7221,0x44210876}},	//   gnós, _kawe, ltuv, _dmh_, 
   {{0xe7ed04d7,0x7e6900ab,0x78bb00e4,0x69db5157}},	//   जावा_, _niep, otuv, ndue, 
   {{0x78bb7222,0x69d97223,0xd175013e,0x10a3270e}},	// [66a0] ntuv, _mawe, тысы, литн, 
   {{0x69d90156,0x444400a7,0x24800c36,0xb1431b2d}},	//   _lawe, _uk_, _itim_, унул, 
   {{0x78bb03f0,0x2fd87224,0x93b700d1,0xa5bb2888}},	//   htuv, _varg_, _אליו_, pnót, 
   {{0x69d97225,0x7e6900ab,0xdd8f04bc,0x78bb2409}},	//   _nawe, _ciep, موم_, ktuv, 
   {{0x9f58078a,0x7e6901a9,0x2fd87226,0xa5bb0126}},	//   _gorî_, _diep, _targ_, diól, 
   {{0x6281001d,0x2ca00028,0x00000000,0x00000000}},	//   ílog, šido_, --, --, 
   {{0x69d97227,0x68e2044e,0xada67228,0x25a001ff}},	//   _bawe, _srod, _павл, _odil_, 
   {{0x69d929e2,0x600000ad,0x7e69040b,0x48aa2413}},	//   _cawe, _gömr, _giep, птом_, 
   {{0x69d97229,0x2480006f,0x3f910458,0x625302aa}},	//   _dawe, _ntim_, _yezu_, nçoa, 
   {{0x4c9b00a7,0x2b1600d9,0x625302aa,0x80ca0033}},	//   _משמע, _пьер, içoa, রিপ্, 
   {{0xddc702ee,0x44210870,0x69db722a,0xfaa30258}},	//   _hujš, _rmh_, bdue, _бахо, 
   {{0x7bda722b,0xa5bb118d,0x68e217f1,0x69d9722c}},	//   _hatu, ciól, _trod, _gawe, 
   {{0x68e200ab,0x61fd722d,0xb05b033d,0x765d722e}},	//   _urod, _rosl, _späm, rmsy, 
   {{0x7bda005c,0x25a0001d,0x78ad014b,0x69d9722f}},	//   _jatu, _edil_, ňový, _zawe, 
   {{0x7bda7230,0x69d97231,0x5334005e,0xe7ed0cd6}},	//   _matu, _yawe, герт, जारा_, 
   {{0x7bda7232,0x69d9008a,0x80ca0086,0x656d0610}},	//   _latu, _xawe, রিন্, _ugah, 
   {{0x7e697233,0x1fa77234,0x320904a8,0x4421011c}},	// [66b0] _riep, ерег, rkay_, _tmh_, 
   {{0x60db00d2,0x320906df,0xb4bf0a20,0xb4cd00b0}},	//   _šums, skay_, ीबी_, रबी_, 
   {{0x7e697235,0x3f9102f5,0x4fc47236,0x25e60f8c}},	//   _piep, _vezu_, ыста, _जोडी_, 
   {{0x78bb012d,0x7bda3b96,0xddc700ca,0x09c50033}},	//   ytuv, _aatu, _bujš, _শোনা, 
   {{0x7bda7237,0x69d9010c,0x3f911993,0x629a014b}},	//   _batu, _rawe, _tezu_, átov, 
   {{0x7bda2c55,0x99dd031e,0x69d97238,0xfaa57239}},	//   _catu, plňk, _sawe, вако, 
   {{0xf7711fdb,0x629a3e8b,0x7e69723a,0x69d9723b}},	//   یاد_, štov, _tiep, _pawe, 
   {{0x09e52b3b,0x78bb00c8,0x9f5801d8,0x4ac200c9}},	//   тоин, ttuv, _morì_, _शहरव, 
   {{0x69db02ba,0x7bda723c,0x290b0187,0x78bb1c0f}},	//   rdue, _fatu, áca_, utuv, 
   {{0x7bda723d,0x78bb5e03,0x69d9723e,0xd70900c8}},	//   _gatu, rtuv, _wawe, дное_, 
   {{0x78bb383e,0x2480723f,0x69d97240,0x38b909fc}},	//   stuv, _stim_, _tawe, sèr_, 
   {{0x7bda7241,0xc3250033,0x78bb0e0b,0x00000000}},	//   _zatu, _মুভি_, ptuv, --, 
   {{0x7bda5349,0x59da1ad9,0x79897242,0x9f5f0218}},	//   _yatu, _मोटर, mbew, ûrên_, 
   {{0x33d548a2,0x79897243,0x2bc415ba,0xbf21009a}},	//   ліст, lbew, ल्पा, _मधून_, 
   {{0x41b67244,0x54c1004e,0x78a9381e,0xd20400d3}},	//   ксат, _құрб, lrev, гүнк, 
   {{0x201102a3,0x79897001,0xd13207cb,0x443102eb}},	//   _alzi_, nbew, لمز_, anz_, 
   {{0xf99207f5,0x41277245,0xd6c502f1,0x91037246}},	// [66c0] ירן_, вото_, _чиққ, апте, 
   {{0x25e601a4,0x00000000,0x00000000,0x00000000}},	//   _जोती_, --, --, --, 
   {{0x78a90b32,0xaad000c9,0xada2020b,0xa01b1562}},	//   hrev, _थैंक, _ľúbi, _stöc, 
   {{0xf53f0c43,0x6da600cf,0x798901c8,0xbea30504}},	//   mgår_, тида, jbew, рацк, 
   {{0x77f1075a,0x7989039b,0x10a3017b,0x78a97247}},	//   _अचूक_, dbew, _киян, jrev, 
   {{0x62537248,0x78a92256,0xaa8523f2,0xe0df0237}},	//   nçon, drev, zmýš, _izòp_, 
   {{0x3cee006a,0x67d402f1,0xf53f004f,0x63a10035}},	//   _आपके_, қону, ngår_, ólni, 
   {{0x7bda086d,0xc3330137,0x629c01c4,0x13db0033}},	//   _watu, יוו_, isro, দায়, 
   {{0xd83a0009,0x78a97249,0x9f58724a,0xe786724b}},	//   дэн_, grev, _morí_, куно, 
   {{0xad1b0056,0xa5bb010e,0x57f41ffd,0x3f8501a4}},	//   _חומר, ciój, упот, _õlut_, 
   {{0xa3c812e3,0x6595724c,0x7e7b0304,0xdddc12ed}},	//   ोजन_, лану, _čupk, _xurş, 
   {{0x78a90566,0xf53f055f,0xe7e2109f,0x56930eba}},	//   brev, dgår_, _कोरा_, шают, 
   {{0x78a900ce,0x00000000,0x00000000,0x00000000}},	//   crev, --, --, --, 
   {{0x3cf500a2,0xa3a40886,0xecc40033,0x6b98724d}},	//   ्हते_, ијск, _এছাড, navg, 
   {{0x2bc4724e,0x442d02f5,0xd6d70f6b,0x333a0183}},	//   ल्या, đe_, _аты_, _cxpx_, 
   {{0xa5bb001d,0x35b500fd,0x644e039b,0x00000000}},	//   cnóp, _сбир, albi, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [66d0] --, --, --, --, 
   {{0x442710a2,0x2bc40262,0xee870235,0xfbc4031e}},	//   _ön_, ल्मा, выдо, ल्मम, 
   {{0x50641b17,0x62670c72,0x78a9724f,0xaca30023}},	//   ртта, _لاحق, zrev, _trừn, 
   {{0x6287003d,0x78a97250,0x00000000,0x00000000}},	//   mpjo, yrev, --, --, 
   {{0x61ef3a9b,0xada400e4,0x6cc500f6,0x3c490216}},	//   _incl, раіл, уйла, _nîvî_, 
   {{0x1c440451,0xe7e200c9,0xdddc04d6,0x00000000}},	//   анім, _कोला_, _turş, --, 
   {{0x63b501dd,0xe4580070,0x79892e11,0x99730240}},	//   igzn, דיגט_, tbew, қуқш, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x79897243,0x610d0104,0xb4bf0083,0x00000000}},	//   rbew, _bўli, ीबो_, --, 
   {{0x7d04030f,0x79894ba1,0x00000000,0x00000000}},	//   äise, sbew, --, --, 
   {{0x61ef7251,0x63b8014e,0x79895f06,0xa5bb039f}},	//   _oncl, _övni, pbew, ciók, 
   {{0xa3c800b0,0x00000000,0x00000000,0x00000000}},	//   ोड़न_, --, --, --, 
   {{0xe8ee3059,0x98a57252,0xb05b0088,0x18a57253}},	//   _ул_, _силе, _epäi, _салм, 
   {{0x61ef37db,0x629c01d2,0xe6120eb7,0x2c790118}},	//   _ancl, tsro, _گشت_, _mèd_, 
   {{0xdceb003d,0x62537254,0x629c7255,0xe9ff0023}},	//   bagħ, rçon, usro, _ngẫm_, 
   {{0xb5fb7256,0xf53f1f3c,0x00000000,0x00000000}},	//   rmác, rgår_, --, --, 
   {{0x76460009,0x62530212,0xdfea1a57,0x4fea00a3}},	// [66e0] moky, pçon, ндад_, нман_, 
   {{0xe0d70504,0x28a600b0,0xf53f02ae,0x61ef7257}},	//   ыву_, _खिसि, pgår_, _encl, 
   {{0x442a7258,0x0d8620e8,0x03d70070,0x9f5800f6}},	//   mib_, глен, _גוים_, _torí_, 
   {{0x442a7259,0xf2d3035c,0x3ea7725a,0x7646725b}},	//   lib_, _פער_, ánta_, noky, 
   {{0x7bc301c4,0x409502a6,0x6da32965,0xcfcf0033}},	//   ffnu, _врст, сича, রাজন, 
   {{0x442a725c,0xd0120038,0x80ca0033,0x00000000}},	//   nib_, _الس_, রিদ্, --, 
   {{0x47dc0033,0x6b9805a1,0x9a8300f0,0x442a0096}},	//   বামী, ravg, буыл, iib_, 
   {{0x442a725d,0x6b980eca,0xaa5402a6,0x249f0243}},	//   hib_, savg, јвиш, šumi_, 
   {{0x442a725e,0x4814725f,0x7e7b7260,0xdb0802aa}},	//   kib_, имис, _čupi, _abdô, 
   {{0x442a03f6,0x7e620026,0x7e7500b9,0x99dd020b}},	//   jib_, lmop, _yuzp, dlňu, 
   {{0x442a7261,0x6fc602f8,0x7c2a7262,0x5fc609d8}},	//   dib_, र्यं, mifr, र्यल, 
   {{0x3f9a0226,0xa2d800bd,0x7ae800a1,0x78c702ae}},	//   hapu_, मबन्, _irdt, årvä, 
   {{0x2ed10f6e,0x3f9a7263,0x27f85cac,0xe8944570}},	//   _सन्त, kapu_, örns_, _таль, 
   {{0x5fc61503,0x249203c6,0xdb010534,0x00000000}},	//   र्मल, _dwym_, _gcló, --, 
   {{0x1797042c,0x320200a9,0xd25b7264,0xa2950009}},	//   _גדול_, _boky_, еца_, рабі, 
   {{0x2bc40035,0x7e6200ca,0xe1350079,0x00000000}},	//   ल्ता, jmop, анбы, --, 
   {{0x442a7265,0xaca3001b,0xb6341766,0x629a5881}},	// [66f0] bib_, _trứn, _دعوت, átor, 
   {{0x442a00ad,0x351c00d1,0x3f9a011c,0x2c790300}},	//   cib_, _רוזנ, gapu_, _rèd_, 
   {{0x09ac0086,0x629a47e5,0xef1403a1,0x2c7903a0}},	//   ক্যা, štor, бүрө, _sèd_, 
   {{0x7bc87266,0x64477267,0xdfd4005e,0x6285084c}},	//   _abdu, loji, _қосы, _itho, 
   {{0x563800c7,0x7ae3006d,0x7ae8007a,0x9f5802be}},	//   נאדע_, wvnt, _ardt, _porã_, 
   {{0x64473cf5,0xab2911b5,0xc31c0086,0x1d0654c6}},	//   noji, кола_, _দুটি_, реши_, 
   {{0x3d951d05,0x62850bfc,0xfe7903dc,0x7f582ee5}},	//   _вибр, _jtho, _рӯз_, _барс_, 
   {{0x442a7268,0x6447693b,0x6d5700ad,0x6fc100bd}},	//   zib_, hoji, əxan, र्रू, 
   {{0x200303ef,0x442a7269,0x64470803,0x7c2a726a}},	//   _koji_, yib_, koji, bifr, 
   {{0x442a726b,0x6285726c,0x64475436,0x6e2b01e8}},	//   xib_, _otho, joji, ligb, 
   {{0xe739726d,0x64475725,0x99f500e4,0x442a726e}},	//   тен_, doji, _вялі, vib_, 
   {{0x25e60367,0x20030348,0x6d5d0042,0xed5900ca}},	//   _जोशी_, _loji_, _úsas, _kzž_, 
   {{0x442a00cf,0x32023077,0x6285726f,0x76467270}},	//   tib_, _roky_, _atho, roky, 
   {{0x64477271,0xb4d60fcf,0x25e600bd,0x799b02b0}},	//   goji, _सनी_, _जोरी_, lauw, 
   {{0x442a7272,0xe29700d9,0x527657c5,0x6e2b0008}},	//   rib_, иар_, ругу, kigb, 
   {{0x442a7273,0x660f7274,0x224b016a,0x99dd014b}},	//   sib_, ckck, _ckck_, plňu, 
   {{0x62850156,0x442a7275,0x602601a2,0x3f9a00bd}},	// [6700] _etho, pib_, адаа, tapu_, 
   {{0x8fa611a8,0x64477276,0x442a7277,0xc7b800ef}},	//   раже, coji, qib_, biđu_, 
   {{0x81cb100b,0x23fb042c,0x799b06e4,0x32020180}},	//   লয়_, _ספטמ, kauw, _toky_, 
   {{0x3f9a7278,0x66040eaf,0x00000000,0x00000000}},	//   sapu_, _joik, --, --, 
   {{0x2ca000eb,0x66047279,0x3ddf039b,0x00000000}},	//   éid_, _moik, _dauw_, --, 
   {{0x8aa600cf,0xfaa6727a,0x225200b4,0x9f5800f6}},	//   арид, ашин, llyk_, _torà_, 
   {{0x7c2a727b,0x8fa348f7,0x00000000,0x00000000}},	//   rifr, _фасе, --, --, 
   {{0x3f9802a2,0x4aa707d5,0x3ddf01c8,0xce340499}},	//   _heru_, _गिरव, _gauw_, _اورک, 
   {{0x6447727c,0x9a670038,0xc9140033,0xc7b80ab4}},	//   yoji, جميل_, াপ্ত_, ziđu_, 
   {{0x48141388,0xf806719f,0x660400a1,0x9cd700d1}},	//   смос, рчин, _aoik, _דומה_, 
   {{0xd6d70234,0x66040364,0x3f98727d,0xbb460141}},	//   атя_, _boik, _meru_, _тежк, 
   {{0x47dc0086,0x3a26023e,0xa01b0241,0x00000000}},	//   বাধী, _umop_, _atöl, --, 
   {{0x6447727e,0x0ca40035,0x201a0026,0x6604727f}},	//   toji, _ऑटोम, khpi_, _doik, 
   {{0x224b016a,0x78a20082,0x3f98040c,0x00000000}},	//   _skck_, _ivov, _neru_, --, 
   {{0x99dd026e,0x443a016a,0x64477280,0x66167281}},	//   plňt, _djp_, roji, _flyk, 
   {{0x52142e87,0x64477282,0x660401f1,0x20031f57}},	//   одст, soji, _goik, _soji_, 
   {{0x64477283,0x443a0065,0xcf9b03b7,0x764d7284}},	// [6710] poji, _fjp_, вје_, _ikay, 
   {{0x96da0351,0x3ea705b9,0xaaa702e6,0x3f980243}},	//   _बनाउ, ánto_, _गिलक, _ceru_, 
   {{0xeb9902f1,0x9f580042,0x22520ff2,0x7982019b}},	//   қий_, _porá_, blyk_, _ofow, 
   {{0x7d0b014e,0x09ac0086,0x249f01dd,0xe45f0219}},	//   tygs, ক্তা, šumu_, stöd_, 
   {{0x3cc90200,0x224901f1,0xddce020f,0xfce57285}},	//   улло_, moak_, _subţ, соло, 
   {{0xda78026e,0x799b3a74,0x5fc60586,0x224901f1}},	//   _buď_, wauw, र्दल, loak_, 
   {{0x60cf023e,0x9f582953,0x7a3e0243,0x3e7701f2}},	//   _hpcm, _torá_, zīte, _oħti_, 
   {{0xe9d97286,0x7c280b41,0x27e92120,0x22490a9f}},	//   уки_, _emdr, _şan_, noak_, 
   {{0x377514c1,0x2bc400a2,0x9d157287,0x799b00e2}},	//   йынс, ल्हा, _удач, rauw, 
   {{0x764d7288,0x961009ec,0x6d5b3f8e,0x78a20604}},	//   _akay, ास्ट_, _izua, _dvov, 
   {{0x22490414,0xb5fb006b,0x6604030f,0xf7457289}},	//   koak_, rmán, _poik, сено, 
   {{0xf4091a61,0x645e01ee,0xa01b0d6b,0x2d9d728a}},	//   _אפ_, _shpi, _stöl, nawe_, 
   {{0xe8ee0161,0x660400c8,0x7c280156,0xb5fb003e}},	//   _эл_, _voik, _ymdr, mmál, 
   {{0x2d9d0199,0x6383728b,0x1604009a,0x764d02a5}},	//   hawe_, згра, _लवकर_, _ekay, 
   {{0x2d9d0035,0x224901cf,0x00000000,0x00000000}},	//   kawe_, foak_, --, --, 
   {{0x3f985334,0x22490a9f,0x661608bb,0x6e3b0539}},	//   _seru_, goak_, _ulyk, _njub, 
   {{0x51560834,0x287a0070,0x487a0070,0x3f980139}},	// [6720] ству, ָנעמ, ָטעס, _peru_, 
   {{0x6e29728c,0x3a2d00e7,0x80ca0033,0x09d40299}},	//   _ameb, hiep_, রিল্, _दस्य, 
   {{0x3f98728d,0x6d5b728e,0xe9ff00e7,0x22490a9f}},	//   _veru_, _azua, _ngắm_, boak_, 
   {{0xb05b728f,0x2d9d69cd,0x224902a2,0x443817f4}},	//   _spät, gawe_, coak_, lnr_, 
   {{0xccf800cf,0xdd990039,0x6e3b032f,0xa5bb2888}},	//   шқа_, _deň_, _djub, miót, 
   {{0x60c47290,0x69cb02ec,0x6e3b7291,0x61e47292}},	//   mtim, _abge, _ejub, ldil, 
   {{0x8ae6004f,0xb05b0080,0x78a200fb,0x61e401a4}},	//   сілл, _epäs, _svov, odil, 
   {{0x61e47293,0xdee60176,0x8f3700df,0xb5fb01d5}},	//   ndil, _коҳи, _האלו_, gmál, 
   {{0xd90e11b7,0x799901f2,0x9f580241,0x26ce008a}},	//   عیت_, _deww, _borç_, _spfo_, 
   {{0x47341f28,0x765f024a,0x22490a9f,0x61e40080}},	//   жнос, _shqy, zoak_, hdil, 
   {{0x661d00e5,0x60c41eab,0x4438020f,0xe66701ff}},	//   ërko, htim, dnr_, йтмо, 
   {{0x0f5700a7,0xc95a02f1,0x6b9a01c8,0x2ca002fe}},	//   מיים_, _йўл_, _hetg, šidu_, 
   {{0x60c400e5,0x6b9a02f1,0x61e47294,0x22490054}},	//   jtim, _ketg, ddil, voak_, 
   {{0x4adc1ff6,0x61e40d25,0x395901c4,0x6576010e}},	//   _मनाव, edil, üsse_, _egyh, 
   {{0x1dc87295,0x60c4012d,0x6b9a7296,0x9f41024a}},	//   रभात, etim, _metg, rdhë_, 
   {{0x53340834,0x60c4024a,0x61e413cd,0x764d7297}},	//   чест, ftim, gdil, _ukay, 
   {{0x60c47298,0x62537299,0x22490a9f,0x3f81045a}},	// [6730] gtim, nçoi, roak_, tchu_, 
   {{0x24890640,0x22490a9f,0x6b9a0009,0x2d9d729a}},	//   _itam_, soak_, _netg, wawe_, 
   {{0xa3e21615,0x61e4729b,0x3f810156,0xdddc090e}},	//   _नोट_, bdil, rchu_, _strš, 
   {{0x3f8101c5,0x6455729c,0x998d729d,0x7c38040b}},	//   schu_, llzi, kneš_, envr, 
   {{0x2d9d729e,0xeb9900ff,0x0dc80176,0xfe70009c}},	//   rawe_, аил_, сухи_, ردم_, 
   {{0x2bc4000d,0x3ea10034,0x998d729f,0x601b0218}},	//   ल्ला, psht_, dneš_, _bîme, 
   {{0xb4d613ec,0xf99100eb,0x661d02fe,0x5f941918}},	//   _सन्_, وبة_, khsk, _хист, 
   {{0x6e2972a0,0x601b0218,0x291f0a9f,0x6b9a0b22}},	//   _umeb, _dîme, tzua_, _eetg, 
   {{0xb5fb72a1,0x2489006d,0x6b9a03dd,0x3a2d3091}},	//   rmál, _ntam_, _fetg, riep_, 
   {{0xd82500dd,0xb5fb72a2,0xa7fc027e,0x61e440da}},	//   ідни, smál, smın, zdil, 
   {{0x09c300cc,0x61e472a3,0xe0df0118,0x248902a4}},	//   ্যবা, ydil, _kyòs_, _atam_, 
   {{0x60c472a4,0x3ced72a5,0xe0df03a0,0xe56a00d9}},	//   ytim, _krev_, _osò_, иинд_, 
   {{0x955632b7,0x60c400a3,0xdb0a0219,0x443872a6}},	//   تخدا, xtim, uffö, tnr_, 
   {{0xf1bf0bf1,0x69c90bf3,0x68e9019b,0x4438016c}},	//   _acá_, lfee, mved, unr_, 
   {{0xe29a72a7,0xe7e243bc,0xdb010098,0x61e41d97}},	//   раб_, _कोटा_, _odlí, tdil, 
   {{0x60c472a8,0x661d02eb,0x232a01a2,0x69c901d2}},	//   ttim, chsk, гоҳи_, nfee, 
   {{0x43760f5a,0x68e9010e,0xa5bb0068,0xe9ff0023}},	// [6740] _мунт, nved, riót, _ngậm_, 
   {{0x2f56338e,0xe29a16d9,0xb05b0a25,0x205602c8}},	//   отес, _као_, _spär, ітар, 
   {{0x26c50226,0xdc2a009c,0x3e7701f2,0x69c972a9}},	//   ntlo_, یسته_, _oħtu_, kfee, 
   {{0x60c472aa,0x3ced0310,0x6b9a72ab,0xdd8f091d}},	//   ptim, _brev_, _setg, نوم_, 
   {{0x973c003a,0x16b62369,0x68e972ac,0x69c90534}},	//   maće, _अम्ब, jved, dfee, 
   {{0x973c003a,0x70d900c7,0x7a3e00e0,0x3ced0f2d}},	//   laće, _פֿרו, dīta, _drev_, 
   {{0x69c972ad,0x6b9a123b,0x6d630028,0x68e972ae}},	//   ffee, _vetg, _įvaž, eved, 
   {{0x6b9a0b1f,0xddc900d9,0xa8a655bf,0x973c0082}},	//   _wetg, _vieţ, орок, naće, 
   {{0xdcf8006b,0xb4c9007e,0x3ced72af,0x6d4001f2}},	//   _دہشت_, _ईहे_, _grev_, _uxma, 
   {{0x973c0df4,0x7e7c72b0,0xb5fb0068,0xe1ff0038}},	//   haće, _kurp, rmám, _thóg_, 
   {{0x09ac00cc,0x8f7b0111,0xdb180077,0x25a90183}},	//   ক্ষা, יניק, tevõ, _pdal_, 
   {{0x7e7c72b1,0x973c0f23,0xe1ff0108,0xa4d5017b}},	//   _murp, jaće, _khóe_, помі, 
   {{0x973c0097,0x7e7c01ca,0xa9260038,0xe4e4017b}},	//   daće, _lurp, _بعضه, мірн, 
   {{0x3ceb00bd,0x7bd800b0,0xddc90032,0x186772b2}},	//   चिते_, nevu, _mieš, _дачи_, 
   {{0x7e7c040c,0x00000000,0x00000000,0x00000000}},	//   _nurp, --, --, --, 
   {{0x25a90a9f,0x973c0112,0xe1ff0068,0x09ac0086}},	//   _udal_, gaće, _riós_, ক্রা, 
   {{0xa01b014e,0x6440652a,0x7e7c01f1,0x628e0ff2}},	// [6750] _utök, émic, _aurp, apbo, 
   {{0x2007003e,0x7bd800bc,0xcf8b0176,0x37d80033}},	//   ðni_, jevu, рсад_, তাকর, 
   {{0x44310998,0x7bd86cdb,0x80a70586,0x88c20033}},	//   miz_, devu, _चिके, ্টিক, 
   {{0x3cfd0201,0xdb030380,0x3ced00df,0x68e90664}},	//   txwv_, rgnü, _prev_, yved, 
   {{0xe0df0036,0xb4c900b0,0xddc901dd,0xfe790176}},	//   _usò_, _ईहो_, _cieš, рӯҳ_, 
   {{0x443172b3,0x7bd872b4,0x68e972b5,0xfc0400dd}},	//   niz_, gevu, vved, мпіо, 
   {{0x4ea4032e,0x60d9008f,0x7e7c01ca,0xb5fb010e}},	//   _орта, şamı, _gurp, rmáj, 
   {{0xdce800ab,0x44310a9f,0x13e40086,0x68e901dd}},	//   _śląs, hiz_, মায়, tved, 
   {{0x443172b6,0xe8f613f2,0x69c972b7,0x7bd80036}},	//   kiz_, злы_, rfee, bevu, 
   {{0x8725682c,0x7bd80141,0x68e972b8,0x69c90b1f}},	//   змож, cevu, rved, sfee, 
   {{0x6c6a0105,0x443172b9,0x68e972ba,0xe9450499}},	//   _اللہ_, diz_, sved, _کرای, 
   {{0x3ebe004f,0x19b800b3,0x26c502be,0x00000000}},	//   _åtte_, _душь_, rtlo_, --, 
   {{0x973c003a,0x443172bb,0x26c500de,0x00000000}},	//   vaće, fiz_, stlo_, --, 
   {{0x443172bc,0x00000000,0x00000000,0x00000000}},	//   giz_, --, --, --, 
   {{0xe3b702b9,0x973c0f23,0x366a0267,0xe3634885}},	//   ябр_, taće, _лако_, екри, 
   {{0x1546233e,0x05765a53,0xd5ed0210,0x00000000}},	//   _нейм, _عابد, _già, --, 
   {{0x973c04d1,0xb14300cf,0x216772bd,0x7e7c72be}},	// [6760] raće, ентл, зити_, _surp, 
   {{0xddc92cc8,0x7e7c00a7,0x973c0082,0x628e1bc7}},	//   _rieš, _purp, saće, ppbo, 
   {{0x973c0112,0x7ae10118,0x6129040c,0x42ea4955}},	//   paće, _nslt, _hоll, _умно_, 
   {{0xddc972bf,0x644e72c0,0x25a20640,0x7bc172c1}},	//   _pieš, lobi, nakl_, _aclu, 
   {{0x2017006b,0x9f4303a0,0xf1b30225,0x7bd8020b}},	//   áció_, _lajè_, _אסר_, tevu, 
   {{0x7e7c72c2,0xddc900e4,0x61e601f0,0x00000000}},	//   _turp, _vieš, _hakl, --, 
   {{0x60120679,0x62532597,0x61e672c3,0x9cfe0033}},	//   _næmi, rçov, _kakl, ্ছেন_, 
   {{0xddc9002a,0x2d800187,0x443172c4,0xb5fb72c5}},	//   _tieš, žieb_, ziz_, rmák, 
   {{0x61e672c6,0x443172c7,0xdd96005e,0x0c260ba6}},	//   _makl, yiz_, _маңы, _еман, 
   {{0x644e0112,0xe1ff001b,0x9f510126,0x7bc10038}},	//   jobi, _khóc_, _gozó_, _gclu, 
   {{0x644e72c8,0x443172c9,0x61e61f14,0x6fc10fcf}},	//   dobi, viz_, _oakl, र्टू, 
   {{0xcb1307f5,0x8afb00a7,0x2d860118,0x6012008c}},	//   _אלע_, _להבי, ncoe_, _dæmi, 
   {{0x443172ca,0xa9c500c5,0x2ca60c36,0xf8661bd5}},	//   tiz_, _آزمو, nsod_, _евдо, 
   {{0xb347240c,0x644e0090,0x237a00b9,0x61e672cb}},	//   _naçõ, gobi, _cgpj_, _aakl, 
   {{0x443104a8,0x25a233db,0x268a0038,0xe1ff0023}},	//   riz_, bakl_, _اختي_, _nhóc_, 
   {{0x44310972,0x61e60372,0x7548010e,0x00000000}},	//   siz_, _cakl, észé, --, 
   {{0x61e602f5,0x200a72cc,0x443104b3,0xd5ed0023}},	// [6770] _dakl, _bobi_, piz_, _giá, 
   {{0xdb1a1cf0,0x200a0a0f,0x2ca6011d,0x68e2019b}},	//   _actí, _cobi_, dsod_, _msod, 
   {{0x3ea7006b,0x200a0cff,0xe1ff0108,0x7f9421bd}},	//   ént_, _dobi_, _chóc_, хахх, 
   {{0x61e60065,0x5d350019,0x9f4a02aa,0x601b03c6}},	//   _gakl, وفائ, _robô_, _dîma, 
   {{0x200a72cd,0x00000000,0x00000000,0x00000000}},	//   _fobi_, --, --, --, 
   {{0x61e672ce,0xa3cd0a34,0x69c202be,0x764f0c04}},	//   _zakl, रभि_, _acoe, hocy, 
   {{0x61e601f0,0x6281026e,0xcb6602c4,0xe45f00c8}},	//   _yakl, íloh, маше_, ytön_, 
   {{0x644e72cf,0x088900a3,0x200a2f69,0x00000000}},	//   zobi, обий_, _zobi_, --, 
   {{0x68e20019,0x320b0035,0x629a010e,0xa3cd52c2}},	//   _csod, _mocy_, átoz, रभा_, 
   {{0x69c205a4,0xb90509d7,0xe63000ad,0x00000000}},	//   _ecoe, _पन_, _bəşə, --, 
   {{0x644e72d0,0x9f430126,0x68e245f6,0x366a72d1}},	//   vobi, _bajé_, _esod, жано_, 
   {{0xcb120056,0x320b0035,0xf93500fd,0x00000000}},	//   _שלא_, _nocy_, _охлю, --, 
   {{0x644e72d2,0x69db0175,0x00000000,0x00000000}},	//   tobi, meue, --, --, 
   {{0xb4ce0bd3,0x61e672d3,0xe45f00c8,0x69db72d4}},	//   _रही_, _sakl, stön_, leue, 
   {{0x61e672d5,0x200a522d,0xb347019c,0x09e00033}},	//   _pakl, _robi_, _raçõ, ভারা, 
   {{0x27e706b6,0x2d9f02ec,0x644e72d6,0x69db0380}},	//   _hann_, _neue_, sobi, neue, 
   {{0x27e702e7,0x600a72d7,0x037a0116,0x62830212}},	// [6780] _kann_, онам_, _وحدت_, _énon, 
   {{0x27e70118,0x2ca6008b,0x25a072d8,0x69db72d9}},	//   _jann_, vsod_, _heil_, heue, 
   {{0x61e672da,0x27e70f08,0x09be0033,0x69db002c}},	//   _takl, _mann_, _আসসা, keue, 
   {{0xa3c809d3,0x27e7006c,0x3eba23bd,0x00861cc1}},	//   ोजक_, _lann_, rupt_, _олмо, 
   {{0x3cfa006a,0x25a0007e,0x6da3462a,0xd1320523}},	//   ्हें_, _meil_, тича, _شمس_, 
   {{0xdb03078a,0xfa8a00cf,0xb5fb00eb,0xa01b02ae}},	//   manê, осий_, rmái, _stöv, 
   {{0x25a0026a,0xa6e1008c,0x69db0380,0x2a7e572e}},	//   _oeil_, óðle, feue, _qutb_, 
   {{0xe1ff0029,0x3162023b,0x27e701be,0xc7ce00e7}},	//   _khóa_, _kzkz_, _aann_, _cống_, 
   {{0x27e772db,0xada30028,0x973c0613,0x00000000}},	//   _bann_, _шатл, daća, --, 
   {{0x395800e0,0x00000000,0x00000000,0x00000000}},	//   ārs_, --, --, --, 
   {{0x27e702e7,0x764f1763,0x25a072dc,0x5c3724ea}},	//   _dann_, tocy, _beil_, _קרבן_, 
   {{0xa01b014e,0x25a04aec,0xdb03009e,0x6e223d7e}},	//   _utöv, _ceil_, kanê, nhob, 
   {{0x68e272dd,0xadc300e7,0x27e7357d,0xd90f0019}},	//   _usod, _hoản, _fann_, _نیٹ_, 
   {{0xe6300095,0xdb030218,0xe72f00d4,0x27e772de}},	//   _təşə, danê, اصی_, _gann_, 
   {{0x6adc4f69,0x450700cc,0x2a66023b,0x25a000dd}},	//   _मनोर, _লেখক_, _khob_, _feil_, 
   {{0x69c072df,0x25a072e0,0x68ed0372,0x00000000}},	//   ngme, _geil_, _šadi, --, 
   {{0x04670a84,0x48bc0086,0x313472e1,0x27e772e2}},	// [6790] _отом, _অনুর, ветр, _yann_, 
   {{0x660d0224,0x25a0127f,0xdb1a00b9,0x27e702be}},	//   _hoak, _zeil_, _octà, _xann_, 
   {{0xb27572e3,0x533515d3,0x00000000,0x00000000}},	//   _плош, _чент, --, --, 
   {{0xdb03019c,0x625327c7,0xf2d20147,0x00000000}},	//   banê, rços, _געט_, --, 
   {{0x2ca90084,0x660d0226,0x69c072e4,0x656b01c5}},	//   éad_, _moak, dgme, _ùghd, 
   {{0xc7ce00f7,0x6b6572e5,0x660d0379,0x200500b0}},	//   _sống_, нкла, _loak, _õli_, 
   {{0xe7e504d7,0x27e772e6,0xdb03024a,0x69db01c4}},	//   _कसबा_, _rann_, manë, teue, 
   {{0x2a660201,0x27e772e7,0x3ebe014e,0x6e2272e8}},	//   _chob_, _sann_, _åtta_, chob, 
   {{0xb4ce3c46,0x29194894,0x973c2f4e,0x69db72e9}},	//   _रहे_, ása_, vaća, reue, 
   {{0x248072ea,0xddc90187,0x660d0054,0x25a072eb}},	//   _ruim_, _dieť, _aoak, _seil_, 
   {{0x98ab0c05,0x27e772ec,0x248000a0,0xe9ff00e7}},	//   ğlık_, _vann_, _suim_, _ngầm_, 
   {{0x27e701c4,0xc7ce0029,0x660d016a,0x98ab027e}},	//   _wann_, _uống_, _coak, şlık_, 
   {{0x27e706df,0x973c04d1,0x660d72ed,0x2480022c}},	//   _tann_, raća, _doak, _quim_, 
   {{0x25a002ec,0x33d572ee,0xdb030218,0x7d040088}},	//   _weil_, кіст, vanê, äisi, 
   {{0x78a900d3,0x25a072ef,0xdb03009e,0x15eb00aa}},	//   lsev, _teil_, wanê, _जोकर_, 
   {{0x7989622e,0x91e372f0,0x660d0054,0xdb03010c}},	//   ncew, лосе, _goak, tanê, 
   {{0x527501bb,0xb14672f1,0x78a972f2,0xdb0102c9}},	// [67a0] туру, хнал, nsev, _udlæ, 
   {{0xdb033768,0x65640610,0x78a972f3,0x2cbd01d2}},	//   ranê, _izih, isev, duwd_, 
   {{0xa301004e,0x6e2250e0,0x444472f4,0x2cbd01c8}},	//   _күре, thob, _ij_, euwd_, 
   {{0xa01b014e,0x78a972f5,0x6fc2009a,0x645c05a1}},	//   _stöt, ksev, _लावू, llri, 
   {{0x224072f6,0x98b800e0,0x644102d9,0xb4ce10cf}},	//   mnik_, ārī_, čliv, _रहो_, 
   {{0x224072f7,0x4444103c,0x6e22099d,0xb4ce0b20}},	//   lnik_, _jj_, shob, _रहै_, 
   {{0x6e2200eb,0x63a30077,0xddc90228,0xb5fb20ac}},	//   phob, _õnne, _sieť, omát, 
   {{0xfce60849,0x58d447c7,0x2a66006d,0x224072f8}},	//   _побо, воит, _qhob_, nnik_, 
   {{0xdd8f0625,0xd7f000eb,0x69c072f9,0x1c4618de}},	//   _طول_, لكة_, rgme, _знам, 
   {{0x224072fa,0x7644052b,0x386700a1,0x387802ae}},	//   hnik_, _ajiy, _chnr_, örr_, 
   {{0x659572fb,0x660d023a,0xdb0600c8,0x2cb00009}},	//   кану, _poak, ämäl, žodį_, 
   {{0x4444721b,0x394672fc,0x660d0226,0x5fc7009a}},	//   _aj_, _txos_, _qoak, _लाभल, 
   {{0xba290038,0x660d0180,0x444472fd,0x00000000}},	//   _تسلم_, _voak, _bj_, --, 
   {{0x65640372,0xe45f003e,0x4ad4009a,0x224072fe}},	//   _dzih, mtök_, _दहाव, enik_, 
   {{0x444472ff,0x2456008c,0x973c034c,0x81c50086}},	//   _dj_, væmt_, maćo, _এসব_, 
   {{0x44440343,0xb5fb2126,0xa75b00d1,0x00000000}},	//   _ej_, gmát, _מדור, --, 
   {{0x661d0034,0xe1ff0534,0xdb03021e,0x00000000}},	// [67b0] ërku, _fhón_, tanë, --, 
   {{0x765d7300,0x4ea702f1,0x2240059e,0x44447301}},	//   llsy, ерда, anik_, _gj_, 
   {{0x224002ee,0xdb0300e5,0x442100ef,0xdd9100eb}},	//   bnik_, ranë, _ilh_, لوا_, 
   {{0x44210679,0x63a77302,0xee38004f,0xfe700ce0}},	//   _hlh_, lajn, ннє_, مدن_, 
   {{0xdb037303,0x61fd7304,0xdb01009e,0x6e2000a1}},	//   mané, _insl, _gelê, _dlmb, 
   {{0xd7200790,0x21293ca5,0xa13600c7,0x61ed7305}},	//   मनाथ_, mzah_, _יארק_, ldal, 
   {{0x4433500a,0x4421016a,0x60cd5469,0x9f35017b}},	//   _mmx_, _mlh_, ltam, _реві, 
   {{0x78a97306,0x320915ad,0xdb0300da,0x44215408}},	//   tsev, njay_, nané, _llh_, 
   {{0x9f43031e,0x60cd37ba,0x5c756e58,0x63a702fe}},	//   _mají_, ntam, _алат, kajn, 
   {{0x22407307,0x78a97308,0x60cd7309,0x61ed00c8}},	//   znik_, rsev, itam, hdal, 
   {{0x63a7730a,0x444402a0,0xb5fb031e,0xf7452035}},	//   dajn, _rj_, klád, тено, 
   {{0x60cd730b,0x9a84002e,0x61ed730c,0x224002f1}},	//   ktam, _суфл, jdal, xnik_, 
   {{0x61ed730d,0x44213269,0xc7730161,0xdb030098}},	//   ddal, _blh_, _өткө, dané, 
   {{0x2240006a,0x63a706e0,0x212902cd,0x61fd2104}},	//   wnik_, gajn, dzah_, _ansl, 
   {{0x03a3730e,0x443300e1,0x03e40033,0x44215963}},	//   рисо, _dmx_, খালী_, _dlh_, 
   {{0xc243730f,0x61ed7310,0x7e7b7311,0x7866003e}},	//   анск, gdal, _niup, rðve, 
   {{0x4444090b,0x6d5b01c1,0x60cd51f1,0x63a77312}},	// [67c0] _tj_, _nyua, gtam, bajn, 
   {{0xa01b7313,0x22407314,0xb5fb2126,0x224d0112}},	//   _stör, snik_, smát, čeka_, 
   {{0x22402467,0x61ed63da,0xdb01010c,0x60cd7315}},	//   pnik_, bdal, _welê, atam, 
   {{0x44387316,0x7c2141ea,0x7e7b00d9,0x00000000}},	//   lir_, _allr, _ciup, --, 
   {{0x60cd1565,0x44380084,0xc5f3008d,0x261a109f}},	//   ctam, oir_, ידא_, _पवनी_, 
   {{0x44387317,0x3e6700b0,0xdb01011c,0x1d070267}},	//   nir_, võte_, _kelè, тељи_, 
   {{0xaa584dab,0x7a3e00e0,0x973c090e,0xbea34ac3}},	//   нику_, līti, vaćo, _васк, 
   {{0x261402a0,0xdbdf003e,0x7e7b0495,0x7e6906f0}},	//   _mãos_, síðu, _giup, _ghep, 
   {{0xfce37318,0x48c200cc,0x984a0093,0x7a3e01dd}},	//   _кото, ্ট্র, дяна_, nīti, 
   {{0xd7f74216,0x61ed7319,0xb5fb0019,0xdb030216}},	//   вую_, zdal, ymás, manî, 
   {{0x4438731a,0x61ed09a5,0x26d815e9,0xda6f00b3}},	//   dir_, ydal, ïro_, _вя_, 
   {{0x7c381c9f,0xc9831cc1,0x7e690034,0x4438007a}},	//   livr, _куши, _xhep, eir_, 
   {{0x67d44985,0xdb03026e,0x9f470187,0x6d5b01c1}},	//   _болу, vané, ľné_, _xyua, 
   {{0x9f4708d7,0x4438731b,0x7a3e01dd,0x00000000}},	//   žné_, gir_, dīti, --, 
   {{0xd8380d9d,0xdb03731c,0x23d20827,0x682400f6}},	//   mič_, tané, द्धद, _còde, 
   {{0x60cd731d,0xdb03010c,0x4438731e,0x63a70ab4}},	//   ttam, kanî, air_, sajn, 
   {{0x4438731f,0xe7cf0a09,0x442104e4,0xe46b0161}},	// [67d0] bir_, त्वप, _tlh_, _ошол_, 
   {{0x4438128a,0xb5fb7320,0x661d7321,0x61ed6cd7}},	//   cir_, slád, lksk, sdal, 
   {{0x60cd7322,0x64557323,0xd37100d4,0x7e697324}},	//   stam, mozi, _دهد_, _phep, 
   {{0x60cd7325,0x661d03fa,0x61ed00a3,0xa7fc0248}},	//   ptam, nksk, qdal, llıd, 
   {{0x91ba00a7,0xdb03010c,0xd8380352,0x7a3e01dd}},	//   _אמרי, ganî, kič_, cīti, 
   {{0xcb695c21,0xbfb800c5,0x64557326,0x251c035c}},	//   нале_, _لطفا_, nozi, וודא, 
   {{0x7e690149,0x63a502f1,0x7e7b388b,0x7bc30112}},	//   _thep, _mehn, _tiup, rgnu, 
   {{0x44387327,0x62857328,0x3eda00c7,0x9df800b3}},	//   zir_, _muho, _אַמא, _инст_, 
   {{0x443806d0,0x601201cc,0xe1ff0029,0x7d040088}},	//   yir_, _kæmp, _nhóm_, äist, 
   {{0x44387329,0x63a50187,0x48050a59,0x7c380183}},	//   xir_, _nehn, упов, civr, 
   {{0x29d500cf,0xe5a662a2,0x35a6569f,0x6285011c}},	//   _бўлс, лини, ланг, _nuho, 
   {{0x4438732a,0xdb010107,0xe8f50038,0x00000000}},	//   wir_, _relè, _مستخ, --, 
   {{0x4438732b,0x63a50096,0xd8381fe0,0x799b732c}},	//   tir_, _behn, bič_, mbuw, 
   {{0x6455732d,0x6285732e,0xd91a00c7,0x20110613}},	//   gozi, _buho, _רוסל, _nozi_, 
   {{0x4438732f,0xdb010019,0xdb03010c,0xb5fb7330}},	//   rir_, _belé, zanî, rmár, 
   {{0xe7cf02f8,0xdb017331,0x7a3e00e0,0xe6920038}},	//   त्रप, _celé, tīti, _اليد, 
   {{0x008501bb,0x41277332,0x64557333,0xdb017334}},	// [67e0] иктү, гото_, bozi, _welè, 
   {{0xdb0100d3,0x44387335,0xdb03009e,0x6b81011c}},	//   _telè, qir_, vanî, _nglg, 
   {{0x628502b8,0xdb010019,0x2d8001dd,0xdb030216}},	//   _guho, _felé, žiem_, wanî, 
   {{0xe1ff00eb,0x175600c7,0x52d700c7,0xdb017336}},	//   _gnó_, אסער_, _גוטע_, _gelé, 
   {{0x7a3e01dd,0x9f5802be,0xa5bb01d5,0x00000000}},	//   nūte, _poró_, skóg, --, 
   {{0xdb03078a,0x680a010c,0x998d7337,0x2011018e}},	//   ranî, _mêjû, vieš_, _gozi_, 
   {{0xd838368a,0x81e70086,0xa5bb3a5e,0xc9840e65}},	//   vič_, পার_, rióz, қуқи, 
   {{0x611a00e0,0x64550053,0x799b011d,0xd5e40108}},	//   _tālā, zozi, gbuw, _nhì, 
   {{0x02e1119f,0x68ed00ef,0xd83810ea,0x64557338}},	//   _पन्न, _šadr, tič_, yozi, 
   {{0x6a657339,0xb5fb020b,0x00000000,0x00000000}},	//   rófa, klác, --, --, 
   {{0x6455733a,0x9f4a011c,0xd838733b,0xeb9700c8}},	//   vozi, _babé_, rič_, _сих_, 
   {{0xd1041556,0x17671b17,0x98a600ce,0x63a5733c}},	//   रमाण_, ырып_, _биде, _sehn, 
   {{0x62852467,0x661d733d,0x6455733e,0xd8384356}},	//   _suho, rksk, tozi, pič_, 
   {{0x62850455,0xdb01733f,0xa7fc035d,0x3cec0ba3}},	//   _puho, _selé, rmıs, _आईने_, 
   {{0x443f03ef,0x201100a3,0x2bd6009a,0x63a50080}},	//   đu_, _rozi_, ढ्या, _vehn, 
   {{0x973c053d,0x9f41010c,0xa36a00a3,0x64557340}},	//   haćk, behê_, _zbеk, sozi, 
   {{0xbf1d034d,0x64557341,0x62850102,0xb0354990}},	// [67f0] पन्न_, pozi, _wuho, анаш, 
   {{0x73c2005e,0x62857342,0x27ee003e,0xa7fc00ad}},	//   _мәсе, _tuho, _jafn_, qlıd, 
   {{0xdb01128a,0xdb1802ae,0x506434e2,0x00000000}},	//   _telé, ngvä, стта, --, 
   {{0x51847343,0x5fc700a2,0x79827344,0xbdd5387f}},	//   _гура, _लावल, _ngow, родщ, 
   {{0xfaf80b9c,0x00000000,0x00000000,0x00000000}},	//   _arī_, --, --, --, 
   {{0x27ee008c,0x3dc9003d,0x61ef0090,0x6ab501d8}},	//   _nafn_, żaw_, _hacl, асих, 
   {{0x1b490141,0x44fd0033,0x61ef0175,0x00000000}},	//   ъзки_, ুনিক_, _kacl, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x61ef7345,0x2d9d01a1,0xdb03033c,0xd9450a74}},	//   _macl, mbwe_, maní, репи, 
   {{0xaaae00a2,0x66db0088,0x1bab0019,0xdb037346}},	//   _टिचक, _näkö, _سائٹ_, laní, 
   {{0xbb8400eb,0x4e190b79,0x9f5e00e7,0x99d707cf}},	//   _المي, _दवाई_, _ôtô_, _متشا, 
   {{0x1c030a34,0x6a65033c,0x597500d3,0xdddc7347}},	//   लावल_, mófo, _кылу, _kurš, 
   {{0xe0c000cc,0xdb010216,0x59670093,0x69d9019b}},	//   _উন্ন, _xelî, _съжа, _ibwe, 
   {{0xe7870a59,0x03a36284,0xdddc0144,0xddc97348}},	//   _судо, жиро, _murš, _niež, 
   {{0x6a65033c,0x9f4a0175,0x68fc0243,0xdb037349}},	//   nófo, _tabé_, ārde, kaní, 
   {{0xc4860cd9,0x2fd80065,0x61ef00a1,0x682400a1}},	//   _клик, _sbrg_, _cacl, _iòda, 
  
   {{0xddc900e0,0x69d9187e,0x46a30e65,0x2d800228}},	// [6800] _biež, _mbwe, _тақв, žiek_, 
   {{0xb5fb014b,0xcef602a6,0x9f58003e,0xe7bd017d}},	//   plác, ичењ, _borð_, _एएफप, 
   {{0x0d860ca9,0x61ef0014,0x68240237,0xe29a0097}},	//   ален, _facl, _jòda, _шан_, 
   {{0xdb030042,0x61ef01f5,0x53d21446,0x682401f5}},	//   ganí, _gacl, द्रश, _mòda, 
   {{0x61e4734a,0x9d240086,0xdb0a0c98,0x00000000}},	//   meil, বপ্ন_, ngfö, --, 
   {{0x69d94b01,0x61e4734b,0x7982446d,0x69d5010e}},	//   _abwe, leil, _sgow, őzel, 
   {{0x7f43734c,0xdb03734d,0x7aed0035,0x6a650183}},	//   _держ, baní, łatn, gófo, 
   {{0x78a20cd7,0x61e40088,0xd90d00d4,0x68f9017c}},	//   _pwov, neil, کیه_, _brwd, 
   {{0x973c00f1,0x2d840102,0x390a0afc,0xec7a734e}},	//   maći, _igme_, тэйн_, _апа_, 
   {{0x61e4734f,0x973c090e,0x69d90547,0x7d280761}},	//   heil, laći, _ebwe, ırsı, 
   {{0x61e40088,0x442a00eb,0x7bda006d,0x09e654ad}},	//   keil, dhb_, _ibtu, _воен, 
   {{0x7e627350,0x60c47351,0xe3c500b9,0xd5e40108}},	//   nlop, kuim, өргү, _phí, 
   {{0xb894057f,0x61e47352,0x60c41b5e,0x61ef4c8c}},	//   _التع, deil, juim, _racl, 
   {{0xb4d735ff,0x7e620364,0x32027353,0x61ef7354}},	//   _सही_, hlop, _anky_, _sacl, 
   {{0xf1a70a2b,0xdb1a0503,0x61e40156,0x3a267355}},	//   иран, _actú, feil, _klop_, 
   {{0x60dd0640,0xe1ff00e7,0x61e47356,0xd5e40023}},	//   _ppsm, _khói_, geil, _thí, 
   {{0x60c404ff,0x7bda4879,0xdb030187,0x7e627357}},	// [6810] guim, _obtu, vaní, dlop, 
   {{0x9f47031e,0x7e627358,0x3a26022c,0x7afa01ff}},	//   žní_, elop, _llop_, _ortt, 
   {{0xa1871838,0x644700f1,0x248901a0,0x61ef7359}},	//   _выгл, mnji, _huam_, _tacl, 
   {{0x24890201,0x7e620150,0x973c090e,0x3104102c}},	//   _kuam_, glop, gaći, रमशः_, 
   {{0x9ce72051,0x7afa027e,0xe1ff0108,0x53f80535}},	//   рцел, _artt, _nhói_, _صریح_, 
   {{0xdb0338c5,0x2489006f,0x1ee70019,0x25a90ada}},	//   saní, _muam_, _پوری_, _leal_, 
   {{0x248901c1,0x6013031e,0x2003735a,0x99840009}},	//   _luam_, _výmě, _inji_, jimų_, 
   {{0x09f900eb,0x99840009,0x3a260054,0x6a650183}},	//   افظة_, dimų_, _clop_, rófo, 
   {{0x2489006d,0x6447203b,0x6a65068b,0xa5bb007a}},	//   _nuam_, knji, sófo, chói, 
   {{0x998d0187,0x6447090e,0x61e4735b,0xd90c0019}},	//   dieť_, jnji, zeil, ئیو_, 
   {{0x6297006f,0x25a9007a,0xdb0114d9,0x00000000}},	//   _ntxo, _beal_, _kelí, --, 
   {{0x08f90a24,0xddc949cf,0x69d92847,0x248901be}},	//   _مرتب_, _nież, _ubwe, _buam_, 
   {{0x61e4735c,0x248901a0,0xd6ce00d4,0x25a900d1}},	//   veil, _cuam_, وقی_, _deal_, 
   {{0x61e402f2,0x2489024a,0x68e9735d,0x64470ab4}},	//   weil, _duam_, mwed, gnji, 
   {{0x23270c21,0x61e4735e,0x68e902bf,0x25a90183}},	//   бори_, teil, lwed, _feal_, 
   {{0x69c9735f,0x26c50727,0x60c40088,0x2489006d}},	//   ngee, mulo_, tuim, _fuam_, 
   {{0x61e47360,0x7e620cd7,0xf653008d,0x973c034c}},	// [6820] reil, vlop, _מצה_, vaći, 
   {{0x61e47361,0x60c47362,0xb4e400a5,0x26c57363}},	//   seil, ruim, नबी_, oulo_, 
   {{0xd00f1930,0x68e901c4,0xdb0111c9,0x6604383f}},	//   علم_, hwed, _belí, _knik, 
   {{0xa5bb00eb,0x443a011d,0x8d2a03dc,0x248901a0}},	//   thói, _hmp_, лоев_, _yuam_, 
   {{0x27e51a32,0x7e627364,0x973c265d,0xdb017365}},	//   keln_, rlop, raći, _delí, 
   {{0x26c57366,0x69c9052b,0x68e948bb,0x7e627367}},	//   kulo_, egee, dwed, slop, 
   {{0x7e627368,0x27e537e9,0x6bd32f67,0x9f41010c}},	//   plop, deln_, ستور, lehî_, 
   {{0xae0c11bd,0x4c860ba4,0x26c57369,0x69c9736a}},	//   _सचिन_, _глав, dulo_, ggee, 
   {{0xdca3736b,0xeb9a101b,0x25a93a9b,0xf98f00eb}},	//   _нати, _биз_, _real_, ربي_, 
   {{0x2489006f,0x27e570ee,0x443a016a,0x270e00ad}},	//   _ruam_, geln_, _nmp_, ləni_, 
   {{0x81045582,0xe45f736c,0x2489736d,0x6616736e}},	//   रमुख_, ktör_, _suam_, _boyk, 
   {{0x2489006f,0x9984012d,0xe1ff00e7,0xf1bf0354}},	//   _puam_, rimų_, _thói_, _alán_, 
   {{0xd7fa058e,0x27e50fd4,0x64472f6f,0xb8d300d4}},	//   _буй_, beln_, tnji, _فتوش, 
   {{0x26c5736f,0x439401a2,0x2489006f,0x629c3414}},	//   bulo_, зарс, _vuam_, fpro, 
   {{0x752f0da6,0x26c53be3,0x629c7370,0xc05b005e}},	//   szcz, culo_, gpro, ңіз_, 
   {{0x248901a0,0x64470d26,0x443a7371,0x9f5102aa}},	//   _tuam_, snji, _emp_, _fazê_, 
   {{0x30150ecb,0x63ae2129,0x7c3a7372,0x764d0010}},	// [6830] одар, babn, _omtr, _ijay, 
   {{0x656d0489,0x66040035,0x64400212,0x32f80237}},	//   _izah, _znik, émit, _fčy_, 
   {{0xdb011a6e,0x4f6b05e1,0x69c90664,0x00000000}},	//   _pelí, ушам_, ygee, --, 
   {{0x9f4a012b,0x31c716f4,0x68e90156,0x443a0042}},	//   _babâ_, _усов, ywed, _zmp_, 
   {{0x2249010e,0x067c0070,0x8bb700f0,0x68e9009e}},	//   mnak_, אנאל, йқау_, xwed, 
   {{0x22490019,0x973c265d,0x27e50a25,0x2a6f016a}},	//   lnak_, laću, xeln_, _shgb_, 
   {{0x69c901c8,0x27e512b7,0x628302be,0x224901cf}},	//   tgee, veln_, _énos, onak_, 
   {{0x7c286316,0x2249006b,0x3ced01c1,0x68e901c4}},	//   _eldr, nnak_, _tsev_, twed, 
   {{0x69c952f0,0xb5fb334c,0x22497373,0x26c57374}},	//   rgee, tlán, inak_, wulo_, 
   {{0x6e2907c7,0x68e97375,0x63ae006d,0x66045876}},	//   _hleb, rwed, xabn, _snik, 
   {{0x6e297376,0x2249006b,0x9b581271,0x656d7377}},	//   _kleb, knak_, _лифт_, _azah, 
   {{0x443a019a,0x63ae7378,0xb5fb7379,0xceb2035c}},	//   _smp_, wabn, slán, ויט_, 
   {{0x22492402,0x63ae3726,0xf1bf026e,0xb5fb2332}},	//   dnak_, tabn, _plán_, plán, 
   {{0x26c5737a,0xaadd0ed5,0x656d6afe,0x4add05cf}},	//   pulo_, _महाक, _dzah, _महाव, 
   {{0x63ae29b6,0x366a558c,0x656d01a7,0x6e3b0298}},	//   rabn, _како_, _ezah, _omub, 
   {{0x6604737b,0x443a6ea3,0x3a3f0ab1,0x9fa3008c}},	//   _unik, _wmp_, niup_, _síðu_, 
   {{0x1005000d,0x7bdc008c,0x290d0068,0x291f0548}},	// [6840] रांश_, _örug, nxea_, nyua_, 
   {{0x629c0405,0x6e292e19,0x443a737c,0xe3b20444}},	//   ppro, _aleb, _ump_, _کرک_, 
   {{0x9f510118,0x1c0300c2,0x2c0300c2,0xceea1271}},	//   _jazè_, लाईल_, लाईं_, рдее_, 
   {{0xcbc60086,0x645c737d,0x6da31095,0x6e29737e}},	//   _এসেছ, lori, дица, _cleb, 
   {{0x6e22424e,0x6d57010c,0x9f470228,0xe45f0219}},	//   rkob, şxan, ľná_, bröd_, 
   {{0x9f470076,0x6283026a,0x6e2901f1,0x7c8306d2}},	//   žná_, _énor, _eleb, муще, 
   {{0xa3dc2a2c,0xb4c70394,0x60d60b58,0xdb03737f}},	//   ण्य_, _उम्_, ltym, taná, 
   {{0x20180414,0x645c7380,0xa2cb215e,0xdb080175}},	//   _hori_, hori, तंत्, _jedé, 
   {{0xdb0330ab,0x60d67381,0x21207382,0xb4e40466}},	//   raná, ntym, nyih_, नबो_, 
   {{0x22490019,0x60d60009,0x473427fe,0xccf90083}},	//   znak_, itym, знос, _myśl_, 
   {{0x645c2da1,0x20187383,0x22497384,0x6fcf02e6}},	//   dori, _mori_, ynak_, स्टं, 
   {{0x20187385,0x46db0586,0x656402b8,0x090600b3}},	//   _lori_, _बहरह, _byih, _мпен, 
   {{0x61f600f8,0x20a90790,0x65640610,0x938b00fd}},	//   ddyl, _चौंध, _cyih, исва_, 
   {{0x20187386,0x9faf07fa,0x786f0a1f,0x7e600118}},	//   _nori_, _işçi_, tøve, _lkmp, 
   {{0x22490019,0x973c02fe,0xb5fb010e,0x00000000}},	//   tnak_, taću, llám, --, 
   {{0x786f03a9,0x2240011d,0x2abb027a,0xdb0803a0}},	//   røve, giik_, ימלא, _vedè, 
   {{0x645c7387,0x765d7388,0x973c090e,0x8387002e}},	// [6850] bori, mosy, raću, _мыне, 
   {{0x22497389,0x68e200ef,0x20181727,0x765d738a}},	//   snak_, _mpod, _cori_, losy, 
   {{0x2018738b,0xd177004e,0xdb0300ad,0x161f3024}},	//   _dori_, сыңы, manç, _पवार_, 
   {{0xdb03738c,0x765d03fa,0xfe70009c,0xb5fb00f2}},	//   lanç, nosy, ندن_, klám, 
   {{0xeb99738d,0xdca50a55,0x201800fd,0xd9c20033}},	//   бил_, чали, _fori_, ্জাম, 
   {{0x9f430187,0xdb036ff2,0x6a650183,0x682405d5}},	//   _majú_, nanç, mófi, _bòdm, 
   {{0x68e21771,0x765d738e,0x3a3f0e32,0x6a650183}},	//   _apod, kosy, tiup_, lófi, 
   {{0x6e3b024d,0x290d0a9f,0x3219738f,0x68e20534}},	//   _umub, txea_, _josy_, _bpod, 
   {{0xa3dc0a09,0x6a65001d,0x20180104,0x648b00a4}},	//   ण्ड_, nófi, _yori_, _jżid, 
   {{0x645c7390,0x65640610,0xdb0300b9,0x00000000}},	//   xori, _ryih, janç, --, 
   {{0xf1cb0c14,0xdb0302a0,0xb5fb010e,0x765d7391}},	//   िलान, danç, plál, fosy, 
   {{0x765d1614,0x32190180,0x60d600c8,0x3cff00ca}},	//   gosy, _nosy_, ytym, _kruv_, 
   {{0x2bd208dd,0x645c7392,0xa875004e,0x280600bc}},	//   _सामा, tori, _елді, ávní_, 
   {{0x5fc702f8,0xa7fc0092,0x6a6520ac,0xe577041c}},	//   _लागल, nlıl, dófi, язя_, 
   {{0x765d06e4,0x32190054,0x23277010,0x64400212}},	//   bosy, _bosy_, пори_, émiq, 
   {{0x645c7393,0x69db0237,0x60d60088,0x32197394}},	//   sori, nfue, ttym, _cosy_, 
   {{0x20187395,0xdb08010c,0xdd990237,0x224000c2}},	// [6860] _pori_, _nedî, _enňk_, riik_, 
   {{0x645c0460,0xdb0302a0,0x60d67396,0x201800a3}},	//   qori, canç, rtym, _qori_, 
   {{0x60d67397,0x141b008d,0xd05900f0,0x1ee8009c}},	//   stym, _הויב, іруі_, توای_, 
   {{0xdd8f17bc,0x00000000,0x00000000,0x00000000}},	//   هوم_, --, --, --, 
   {{0x6286719a,0xdb010032,0x127b0147,0x00000000}},	//   _iiko, _relá, _לאטע, --, 
   {{0x62867398,0xa3ac252e,0xdb037399,0x00000000}},	//   _hiko, खरि_, kanä, --, 
   {{0x68e2739a,0x6286739b,0xdee31234,0xada6739c}},	//   _spod, _kiko, _пори, _навл, 
   {{0xa9c302fb,0x8cc4188d,0xbea602c0,0x62860053}},	//   нськ, _रिपो, _маҳк, _jiko, 
   {{0x6286739d,0xdb01033c,0xa3ac0a68,0xd7fa2c06}},	//   _miko, _velá, खरा_, бун_, 
   {{0x6286739e,0x60c40084,0x6b66739f,0x2cb7031e}},	//   _liko, irim, _екза, ředí_, 
   {{0xfaa3125c,0xe1ff00eb,0x60c4403b,0xdb030219}},	//   _захо, _mhór_, hrim, ganä, 
   {{0x60c473a0,0xae0202ab,0xdb0102c9,0x94ab01ff}},	//   krim, _रोमन_, _belæ, йтга_, 
   {{0x67d40161,0xdb032aa3,0x5fcc00bc,0x9f510216}},	//   _жолу, tanç, ालाल, _nazî_, 
   {{0x60c473a1,0x3cef0262,0x6286033f,0x765d73a2}},	//   drim, _इनसे_, _aiko, sosy, 
   {{0xdb0373a3,0x628673a4,0x60c40077,0x57a4004e}},	//   ranç, _biko, erim, _ешқа, 
   {{0x628673a5,0x7d0026c0,0x6a65397a,0x326402a0}},	//   _ciko, _orms, tófi, етув, 
   {{0x628673a6,0x60c473a7,0xa6ae0086,0xdff508bd}},	// [6870] _diko, grim, _কমিট, мпањ, 
   {{0x44ef73a8,0xd7f8002e,0x601b0474,0x00000000}},	//   _iż_, ndă_, _cîmp, --, 
   {{0x6a652126,0x60c473a9,0x628673aa,0x2dd5237b}},	//   sófi, arim, _fiko, джер, 
   {{0x628673ab,0xfbdf031e,0x6a6520ac,0x00000000}},	//   _giko, प्नम, pófi, --, 
   {{0x60c473ac,0x9f51009e,0xdb1a02be,0xa7fc0213}},	//   crim, _gazî_, _octó, tlıl, 
   {{0x6f010165,0x6286244b,0x41cb031e,0x2f2b00fd}},	//   _álco, _ziko, िलवस, _любо_, 
   {{0xa7fc0761,0x6f640080,0x62860610,0x6e95017b}},	//   rlıl, _звёз, _yiko, _цибу, 
   {{0x09e000cc,0x68fb00b0,0x7d000679,0x62860104}},	//   _মোবা, tvud, _frms, _xiko, 
   {{0xa7fc0241,0x7d16004f,0x69db02eb,0x00000000}},	//   lmıy, øyst, rfue, --, 
   {{0xb8d51145,0xa5bb010d,0x8afc00ab,0x63a20a1a}},	//   _जब_, skól, _częs, _đono, 
   {{0xe0200262,0x44ef00ab,0x68fb0242,0xa7fc027e}},	//   _मकसद_, _aż_, svud, nmıy, 
   {{0x1b16100b,0xd7f800d9,0x60c473ad,0x9959020f}},	//   _থেকে_, adă_, yrim, _câţi_, 
   {{0x628673ae,0xe98300cf,0xdb010585,0x798b01f2}},	//   _riko, _яқин, _belç, _iggw, 
   {{0x628673af,0x60c4027e,0xe7290012,0x3cfe00bd}},	//   _siko, vrim, _молд_, लिते_, 
   {{0x628673b0,0x2bdf29b0,0x44ef007b,0xe29773b1}},	//   _piko, प्या, _eż_, дас_, 
   {{0x7aed0083,0x91e31dbd,0x00000000,0x00000000}},	//   łatw, косе, --, --, 
   {{0x614315b8,0x216727c1,0x78ad5798,0x628673b2}},	// [6880] вета, дити_, _çavd, _viko, 
   {{0x2bd21893,0x60c473b3,0xf1bf73b4,0x682401be}},	//   _साधा, rrim, _lláh_, _còdh, 
   {{0x628673b5,0x798b052b,0x1b1d0033,0x00000000}},	//   _tiko, _oggw, _ভেসে_, --, 
   {{0x7afc0169,0xf9870491,0x629e0102,0xd5ed00e7}},	//   _árti, _لب_, _itpo, _khá, 
   {{0xdb0a1f6b,0xa7fc03c0,0x05b600a5,0x83170296}},	//   rafí, rmız, _अजनब, _فقیر_, 
   {{0xdb0a0503,0x798b01b8,0xdd9905d5,0x644e115b}},	//   safí, _aggw, _efň_, nnbi, 
   {{0x644e423a,0xb5fb71cc,0x15ee0035,0xda09009a}},	//   inbi, noác, ज़ार_, वांत_, 
   {{0xf2d30052,0x7d00016a,0xb5fb0183,0x80e10033}},	//   דעה_, _trms, zoáb, নির্, 
   {{0x26c56be6,0x8d6325e2,0xc7c6040c,0xe9440c30}},	//   erlo_, _авте, мсни, عربی, 
   {{0xdb010fd4,0x629e00f1,0xdca373b6,0xb5fb73b7}},	//   _belä, _otpo, _рафи, plák, 
   {{0xd7f800b3,0xb5fb0038,0xdb1a03dd,0x45d573b8}},	//   rdă_, llái, _ectò, нонс, 
   {{0xa5f90088,0x644e73b9,0x7874022c,0xa9264a6c}},	//   чему_, enbi, dàve, _одел, 
   {{0x26c573ba,0xdb08118d,0xdd310095,0xa7fc027e}},	//   arlo_, _medí, _məşh, nlık, 
   {{0xe9470a5a,0x69d5010e,0x7d0400c8,0x3e6e0032}},	//   _ترمی, őzet, äisy, kýto_, 
   {{0x98a3012d,0xe7f300a2,0xb5fb0038,0xdb010380}},	//   ąją_, _असता_, hlái, _gelä, 
   {{0x90990141,0x644e064e,0xa7fc027e,0x200a039b}},	//   зват_, anbi, klık, _anbi_, 
   {{0x26cc73bb,0x228447e2,0x439573bc,0x682d0038}},	// [6890] ludo_, тург, _папс, _húda, 
   {{0xe3c600cc,0x442700e7,0x78ad1093,0xa3d603c1}},	//   শ্বব, _ôn_, _çave, _हाय_, 
   {{0x26cc73bd,0xd2510a24,0xfd1000d4,0x787400b9}},	//   nudo_, _مند_, یجه_, càve, 
   {{0x63b5034c,0x9f580218,0x682d0183,0x3d951fde}},	//   lazn, _karê_, _múda, хидр, 
   {{0xeb990648,0xdb0873be,0x61ed73bf,0x3438009c}},	//   пил_, _dedí, meal, _رسید_, 
   {{0xeb990837,0x60cd0548,0x5ff5286c,0xdb0a0054}},	//   чик_, muam, _язгу, fafà, 
   {{0x999f0228,0x60cd00c8,0x998d0243,0x2466009e}},	//   hnuť_, luam, riež_, _hêmî_, 
   {{0x999f0032,0x2466010c,0x61ed73c0,0x00000000}},	//   knuť_, _kêmî_, neal, --, 
   {{0x63b50076,0xa3c10081,0xdb0100c8,0xd82508b8}},	//   kazn, ुला_, _selä, едпи, 
   {{0x61ed0094,0x63b5739a,0x699f0239,0xdb010080}},	//   heal, jazn, _ग्री, _pelä, 
   {{0x366a0fcc,0x60cd73c1,0x61ed5696,0xdb011e9f}},	//   зано_, huam, keal, _belå, 
   {{0x9f58010c,0x60cd2f53,0xd5ed0023,0x61ed73c2}},	//   _barê_, kuam, _phá, jeal, 
   {{0x61ed73c3,0x63b50813,0xdb0173c4,0x682403a0}},	//   deal, fazn, _delå, _nòdw, 
   {{0x9f58010c,0x26cc73c5,0xb5fb0183,0x60cd059e}},	//   _darê_, budo_, toác, duam, 
   {{0x80c20081,0x26cc118d,0x91e6187c,0x588416d0}},	//   _लिहे, cudo_, нове, _рыца, 
   {{0x2bdf2158,0x60cd006d,0x11da0038,0x61ed73c6}},	//   प्ता, fuam, ثورة_, geal, 
   {{0x63b50062,0x60cd73c7,0x2bd235ff,0x682400b9}},	// [68a0] bazn, guam, सलमा, _sòdi, 
   {{0x25dc1615,0x3c2b03a9,0x764673c8,0xdb080098}},	//   ग्री_, _søvn_, liky, _sedí, 
   {{0xf09f7052,0x2bc929b0,0xfbc90d1d,0xdb080634}},	//   _età_, _राजा, _राजम, _pedí, 
   {{0x2bd200a2,0x61ed73c9,0xe29b00d1,0xa7fc027e}},	//   _साहा, ceal, _משטר, tlık, 
   {{0xc3c90a5a,0x26cc02be,0x1dd10299,0x1bd42a83}},	//   _عظیم_, zudo_, _हारत, воля, 
   {{0xf1bf014b,0xa7fc027e,0xdb03009e,0x2cad0090}},	//   _zdá_, rlık, qanû, _dwed_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x998d0035,0x6025009e,0x63b500de,0x26cc0028}},	//   cież_, _tîmê, zazn, vudo_, 
   {{0x29024466,0xd7fa0ba6,0xdb010218,0x7e621ea3}},	//   íka_, пун_, _kelû, moop, 
   {{0x81c900cc,0x26cc0c7c,0xdb06002e,0x7e6273ca}},	//   ল্প_, tudo_, ămân, loop, 
   {{0x28c20838,0x63b573cb,0xa3c100bd,0xdb0802be}},	//   _शिवि, vazn, ुलस_, _dedã, 
   {{0x26c20112,0x6d5100ca,0x0ae90038,0x7e6273cc}},	//   čko_, škaš, _تركي_, noop, 
   {{0x645a026e,0x63b535ee,0x28f800c8,0x7a3e0028}},	//   čtin, tazn, _цель_, jūti, 
   {{0xaad4000f,0x998d0035,0x9f470032,0x7e62123b}},	//   _धमाक, zież_, ľnú_, hoop, 
   {{0x63b501e2,0x9f58010c,0xf09f01d8,0x7e6273cd}},	//   razn, _warê_, _stà_, koop, 
   {{0xfd260029,0xa3d60c06,0x60cd73ce,0xddcf42b5}},	//   _đình_, _हाथ_, tuam, _žeže, 
   {{0x660d73cf,0x865c00a7,0xb5fb02aa,0xf09f02a3}},	// [68b0] _inak, _מדהי, fláv, _qtà_, 
   {{0x61ed73d0,0x60cd73d1,0xc0580c8b,0x83ab02f1}},	//   seal, ruam, ніх_, _этиб_, 
   {{0xa3d6333a,0x6447003d,0x61ed01d4,0x660d73d2}},	//   _हात_, miji, peal, _knak, 
   {{0x644773d3,0x61ed00a3,0x660d00b9,0x7a3e00ec}},	//   liji, qeal, _jnak, būti, 
   {{0x60cd02a3,0x660d73d4,0x00000000,0x00000000}},	//   quam, _mnak, --, --, 
   {{0x64472976,0x661f0034,0xb5fb02aa,0x628a019c}},	//   niji, _loqk, cláv, _éfor, 
   {{0x660d03ef,0x2bd2000d,0x9f4a0216,0x7a47011c}},	//   _onak, _सारा, _mabû_, _nètè, 
   {{0x6447033e,0x6824022c,0x660d0547,0xdb0802be}},	//   hiji, _mòdu, _nnak, _sedã, 
   {{0x09e00086,0x64470bab,0xac950093,0x26150466}},	//   _মোহা, kiji, _разш, धानी_, 
   {{0x64473c7b,0x7c2a73d5,0x7a4701e5,0x96b90e8a}},	//   jiji, ckfr, _bètè, муму_, 
   {{0x764607e6,0xaac75297,0xe5a647cc,0x81c90033}},	//   tiky, _ستان, кини, ল্য_, 
   {{0xddc200d2,0x9f580237,0x8be60033,0xeab017bc}},	//   ološ, _darè_, _গোপন_, _طعم_, 
   {{0x9f58078e,0x660d0226,0x764673d6,0x00000000}},	//   _parë_, _dnak, riky, --, 
   {{0x660d02ee,0x64a373d7,0x764600c8,0x446300fd}},	//   _enak, рара, siky, ивяв, 
   {{0x9cff0086,0xc7d607e4,0x7e6202a5,0xd17500f0}},	//   ্নয়ন_, _יוסי_, yoop, ғыты, 
   {{0xdb080228,0x05b6009a,0xddc273d8,0x29000028}},	//   _jedá, _अजिब, kloš, _šiai_, 
   {{0x7bc102f5,0x644773d9,0xddc2034c,0x442a02cd}},	// [68c0] _odlu, biji, jloš, pkb_, 
   {{0x25e30f63,0xddc21c2b,0x9f5873da,0xc3260d45}},	//   ट्ठी_, dloš, _haré_, _амок, 
   {{0x444473db,0x6aa10026,0x00000000,0x00000000}},	//   _im_, _ntlf, --, --, 
   {{0xdb08026e,0x78bb06a6,0xdb01010e,0x471a00c7}},	//   _nedá, ksuv, _felú, וועג, 
   {{0x7e623356,0x9f430327,0x99860a1a,0x7644045a}},	//   roop, _bajó_, _ološ_, _mmiy, 
   {{0x8fa312de,0x682d0228,0x9f5800d7,0xb5fb010e}},	//   _варе, _súdn, _laré_, llát, 
   {{0x444473dc,0x7c2a003e,0x9f510054,0xdddc00c3}},	//   _mm_, rkfr, _gazà_, _kurż, 
   {{0xda090e0d,0xc9864813,0x7bc10844,0xd6d70033}},	//   वागत_, купи, _edlu, তবায, 
   {{0x44446a8c,0x8e5500dd,0x6e200180,0xb5fb0183}},	//   _om_, _стрі, _iomb, ilát, 
   {{0x6e2073dd,0x660d73de,0x88bd00ab,0x764473df}},	//   _homb, _snak, myśl, _amiy, 
   {{0x6447044e,0x61e61ac4,0xa3d6007e,0x7d0273e0}},	//   viji, _obkl, हलन_, lvos, 
   {{0x444473e1,0x6e203ffc,0x291100eb,0x644700c5}},	//   _am_, _jomb, ónaí_, wiji, 
   {{0x6e2005f0,0xdd110785,0x9f510042,0x9f580369}},	//   _momb, _müşa, _mazá_, _daré_, 
   {{0x78ad009e,0x76444774,0x29060379,0x78a201a7}},	//   _çava, _emiy, _iroa_, _itov, 
   {{0x644773e2,0x6e20018c,0x444473e3,0x9f58022c}},	//   riji, _oomb, _dm_, _faré_, 
   {{0x444473e4,0x6e2073e5,0xe5e90088,0x660d73e6}},	//   _em_, _nomb, ämää, _unak, 
   {{0x444473e7,0x6447007b,0x7d020bfc,0x00000000}},	// [68d0] _fm_, piji, jvos, --, 
   {{0x53472e45,0x7d0200d2,0x2ca63688,0xb034004e}},	//   _ахма, dvos, dpod_, ануш, 
   {{0x425504f2,0xdd910038,0x26de00b4,0xd0840080}},	//   _مندر, موا_, ntto_, рыти, 
   {{0x13b80033,0xdb01001d,0x29060219,0x442173e8}},	//   _জায়, _telú, _oroa_, _hoh_, 
   {{0x444473e9,0x6e2073ea,0x442173eb,0x4433016a}},	//   _ym_, _domb, _koh_, _klx_, 
   {{0x442173ec,0x27fc09a8,0x4433016a,0x224901f1}},	//   _joh_, _navn_, _jlx_, liak_, 
   {{0xe81602f8,0x6e2005f0,0x212902cd,0xf41402a1}},	//   ताना_, _fomb, lyah_, יפס_, 
   {{0xe8f96020,0x224973ed,0x4421290c,0x61fd73ee}},	//   ели_, niak_, _loh_, _jasl, 
   {{0xb5fb4730,0x212912c7,0x656d73ef,0x26de00fd}},	//   hlás, nyah_, _nyah, etto_, 
   {{0x6e2057ff,0x44213ca9,0x21290065,0x290601a7}},	//   _zomb, _noh_, iyah_, _droa_, 
   {{0x44442d95,0x656d73f0,0x06860161,0x224902ba}},	//   _rm_, _ayah, лгон, kiak_, 
   {{0x61fd030d,0x64a673f1,0xfbdf00a2,0x629a026e}},	//   _nasl, лама, प्रम, ítom, 
   {{0x37e501bb,0x44440139,0x442173f2,0x7a350634}},	//   _болг, _pm_, _boh_, _cáte, 
   {{0xdb0103a9,0x656d0102,0x21291ecb,0x444462c2}},	//   _belø, _dyah, dyah_, _qm_, 
   {{0x442173f3,0x61fd73f4,0x60dd008a,0x224973f5}},	//   _doh_, _basl, _aqsm, fiak_, 
   {{0xe811000f,0x224902ba,0x442173f6,0x444473f7}},	//   ़ावा_, giak_, _eoh_, _wm_, 
   {{0xeb1f0081,0x6e201ecb,0xc5b503a1,0x443300e2}},	// [68e0] बहुत_, _romb, _өрөө, _flx_, 
   {{0x444473f8,0xb5fb41d4,0x601b010c,0x442173f9}},	//   _um_, slát, _kîmy, _goh_, 
   {{0x0dca73fa,0xb5fb118d,0x224973fb,0x6e207139}},	//   елей_, clás, biak_, _pomb, 
   {{0xed5a0df8,0xe1f2024f,0x7e7b73fc,0xb5fb73fd}},	//   ное_, _اسد_, _chup, llár, 
   {{0x442173fe,0xe816031e,0x7e7b2a6d,0x0bb473ff}},	//   _yoh_, तामा_, _dhup, аблю, 
   {{0x7d027400,0x7c2101d2,0x70560038,0x61e41649}},	//   rvos, _colr, _إنسا, lfil, 
   {{0x78a27401,0xd6ae00cc,0xaa667402,0x05d400a2}},	//   _stov, _কম্প, лтик, _थांब, 
   {{0x48aa7403,0x29065aec,0xdb180034,0x27fc7404}},	//   нтом_, _proa_, lavë, _savn_, 
   {{0x7c21022c,0x27e701d6,0xf1bf01d5,0x88bd0083}},	//   _folr, _bbnn_, _klár_, byśm, 
   {{0x1d2307f9,0xe45f014e,0x224902ba,0x7c210102}},	//   _умум, tröm_, ziak_, _golr, 
   {{0x9b93057f,0xab930084,0x656d2998,0x212902cd}},	//   _المت, _المغ, _syah, zyah_, 
   {{0x21297405,0x7a35031e,0x44217406,0x1a9b0070}},	//   yyah_, _páte, _soh_, _נידע, 
   {{0x44217407,0x34957408,0x320002f1,0x78a27409}},	//   _poh_, рагр, ddiy_, _utov, 
   {{0xb4e5006a,0x57a602f1,0x61fd740a,0x61e42256}},	//   _नही_, _ёшла, _sasl, efil, 
   {{0x0cd10509,0x61fd740b,0x53340012,0x6298740c}},	//   _सम्म, _pasl, берт, _évol, 
   {{0x5334682c,0x4421009c,0xb5fb0019,0x3495740d}},	//   щест, _woh_, rlás, _каир, 
   {{0x7bda740e,0x22490414,0x4421740f,0xdb03026e}},	// [68f0] _octu, riak_, _toh_, daný, 
   {{0x7e691d41,0xf1bf00eb,0x22497410,0x61fd003d}},	//   _skep, _clár_, siak_, _wasl, 
   {{0x21296c86,0x22497411,0xaca30023,0x61fd7412}},	//   syah_, piak_, _trịn, _tasl, 
   {{0x9f587413,0x61fd00eb,0xddc20035,0x7c211950}},	//   _tarî_, _uasl, mnoś, _solr, 
   {{0xddc2006a,0x7c217414,0x21290ab1,0xa7fc0213}},	//   lnoś, _polr, qyah_, nlıs, 
   {{0x628f00e2,0x60cd023e,0x00000000,0x00000000}},	//   _hico, mram, --, --, 
   {{0xf99100eb,0x7e7b7415,0xff040093,0x60cd007a}},	//   يبة_, _thup, _лятн, lram, 
   {{0x60cd0093,0xba255a95,0x6d5b01a0,0x629700a3}},	//   oram, рдик, _txua, _muxo, 
   {{0x26cc15c4,0xa3d600b5,0x661d0082,0x60cd7416}},	//   erdo_, _हाल_, djsk, nram, 
   {{0x200100d4,0x7d097417,0xaae700eb,0x3a2d0876}},	//   ndhi_, _ires, _مسؤو, skep_, 
   {{0x2bab02f8,0x69a60e07,0xddc20035,0x7d09003e}},	//   _घ्या, _ट्वी, jnoś, _hres, 
   {{0x7d097418,0xddc200ab,0x645500fd,0x4a9a07e4}},	//   _kres, dnoś, enzi, _סינג, 
   {{0x60cd7419,0x99830009,0x4438017c,0x7d0900a4}},	//   jram, ėjų_, thr_, _jres, 
   {{0x629702f1,0x26cc00d2,0xddc20035,0x17070019}},	//   _buxo, brdo_, fnoś, _مفتی_, 
   {{0x61e4741a,0xe5a6741b,0x2a7d023b,0x60cd312d}},	//   tfil, _кийи, _khwb_, eram, 
   {{0x60cd741c,0x98a2012d,0x2011741d,0x443800a3}},	//   fram, šką_, _anzi_, shr_, 
   {{0x628f741e,0xdb030076,0x9f470187,0x3e7c014b}},	// [6900] _dico, vaný, ľný_, níte_, 
   {{0x9f47026e,0xf09f00e7,0x628f00f3,0x00000000}},	//   žný_, _tràn_, _eico, --, 
   {{0x628f741f,0x91e6420e,0x60cd7420,0x307500c8}},	//   _fico, _коне, aram, сутс, 
   {{0x63bc7421,0x0e667422,0xa3d6000f,0x20110053}},	//   larn, шкен, _हाँ_, _enzi_, 
   {{0x7afa00ef,0x7d093b9e,0x3e7c0098,0xdb030098}},	//   _sstt, _cres, jíte_, raný, 
   {{0x63bc603d,0x3e7c026e,0x7d097423,0xd012007a}},	//   narn, díte_, _dres, _بلس_, 
   {{0xb5fb0098,0x661d0083,0x628f0027,0x62847424}},	//   kláp, yjsk, _yico, omio, 
   {{0x63bc7425,0x628f022c,0xdb0802ae,0x62830036}},	//   harn, _xico, _nedå, _ènot, 
   {{0xa3d67426,0xdca3197c,0xb4d50035,0x9f5803dd}},	//   हला_, _мати, _हमे_, _marí_, 
   {{0x63bc7427,0x69a63d07,0x29000009,0x7bda10d4}},	//   jarn, _ट्री, _šias_, _uctu, 
   {{0x63bc4b6f,0x63b70218,0xeb97442e,0x3cfe119b}},	//   darn, _rexn, _тих_, लिके_, 
   {{0x60cd7428,0xf6470a27,0xc9867429,0x29860161}},	//   yram, рхон, _кули, _кылг, 
   {{0x628f048a,0x6284006a,0x63bc4b6f,0xddc200ab}},	//   _rico, dmio, farn, wnoś, 
   {{0x63bc742a,0xddc2006a,0xcfcc0086,0xdb030183}},	//   garn, tnoś, র্তন, canó, 
   {{0x42470176,0x7656010e,0x187b0225,0x00000000}},	//   ахаб, ógyá, _שטוב, --, 
   {{0x60cd742b,0x92580a43,0x80c202c3,0xddc20035}},	//   tram, ааст_, _लिखे, rnoś, 
   {{0x705903dd,0x5187742c,0x63b701de,0x628f470c}},	// [6910] гаар_, рува, _texn, _vico, 
   {{0x60cd2126,0x7d0900e5,0x25e3203f,0x53355ded}},	//   rram, _rres, ट्री_, _геот, 
   {{0x7d09090b,0xf09f00e7,0xa7fc00ad,0x3e7c0098}},	//   _sres, _trào_, nlıq, zíte_, 
   {{0x7a3c0019,0xdb01014b,0x9f5800b9,0x7871040c}},	//   _hétf, _celý, _garí_, _lаvо, 
   {{0xaca30029,0x60cd06d0,0x787d0107,0x3c390212}},	//   _trọn, qram, lève, _lève_, 
   {{0x4431105b,0x7d09742d,0x3e7c037f,0x8c670bae}},	//   nkz_, _vres, víte_, штед, 
   {{0xa3dc0f7a,0xad9d00ab,0x628301d8,0xdef83ffa}},	//   ण्ट_, _paźd, _ènos, _кыт_, 
   {{0x61e9007e,0x3e7c014b,0x7a35742e,0xa7fc00ad}},	//   _öeld, títe_, _báta, dlıq, 
   {{0x63bc5718,0x7d09742f,0x7a2e0014,0x787d0151}},	//   yarn, _ures, _mùth, hève, 
   {{0x68457430,0x7a3517ad,0x3e7c0032,0xfc330d4b}},	//   ённа, _dáta, ríte_, _بحر_, 
   {{0x78a911c8,0x3e7c0076,0xa3d6007e,0xdb037431}},	//   spev, síte_, हलस_, ranó, 
   {{0x63bc0985,0x80ad0086,0xb99500eb,0x03a303dc}},	//   warn, _চিন্, _الإب, ҷиро, 
   {{0x682d2dab,0x998500eb,0x53dc203f,0x09e00033}},	//   _lúdi, _الشو, _बादश, _মোকা, 
   {{0x03a37432,0x216a7433,0x53a37434,0x5d7a2737}},	//   зиро, ҳиби_, зарб, טארק, 
   {{0x63bc7435,0x7a2e01f5,0xf09f01be,0x044317b4}},	//   rarn, _bùth, _dràm_, черн, 
   {{0x984f00ad,0x61460259,0x00000000,0x00000000}},	//   _işıq_, беба, --, --, 
   {{0xdb1803b7,0x4fea4e4e,0x7a2e0014,0x682d02be}},	// [6920] ravé, лман_, _dùth, _aúdi, 
   {{0x63bc0104,0xdb010019,0x958800ab,0x3ae1010e}},	//   qarn, _belü, _ciąż, kóp_, 
   {{0xd9f902f8,0x232a00cf,0x93fb0137,0x644e7436}},	//   ्यात_, _сони_, _גליי, mibi, 
   {{0x644e7437,0x0d86285b,0x6d030ef1,0x00000000}},	//   libi, блен, लिंग_, --, 
   {{0xa7fc0248,0x201c101e,0x61f60241,0xdb0100bd}},	//   zlıq, övis_, meyl, _eelü, 
   {{0x6fd502fb,0xa0a3609e,0x7fd50769,0xdb010019}},	//   _місц, _хард, _місі, _felü, 
   {{0x7bd8038c,0xa3d609e2,0x32020379,0x0aea7438}},	//   rgvu, _हाई_, _kaky_, ارتي_, 
   {{0x644e7439,0x5fa400a2,0x3202743a,0x3ea74c94}},	//   hibi, खुरल, _jaky_, ínte_, 
   {{0x644e743b,0x9f36004e,0x1d071095,0xc7ba1a31}},	//   kibi, _теңі, _лети_, лён_, 
   {{0x644e0010,0x3202014b,0xdb010035,0x74230033}},	//   jibi, _laky_, _celó, _নষ্ট_, 
   {{0xb05b0219,0x7bc800c3,0xdca30a65,0x00000000}},	//   _ovän, _iddu, _маӂи, --, 
   {{0xa7fc00ad,0x98c40241,0x00000000,0x00000000}},	//   rlıq, ştık_, --, --, 
   {{0x9f5803dd,0xda65144f,0x00000000,0x00000000}},	//   _larà_, _بالي, --, --, 
   {{0x3a2609a2,0xdb0100b9,0x229500fd,0x64800080}},	//   _hoop_, _geló, живя, jöid, 
   {{0x3a26051e,0x25e11615,0x2be0743c,0xcfde0033}},	//   _koop_, _कापी_, _नाना, ড়ান, 
   {{0x7a35743d,0x3a2601d2,0x926b743e,0xdddb0028}},	//   _látn, _joop_, урга_, _siuž, 
   {{0x644e743f,0x3207031e,0xf09f0108,0xdb010241}},	// [6930] bibi, ěny_, _tràm_, _selü, 
   {{0x644e127e,0xdb080183,0x9f5800b9,0x764f7440}},	//   cibi, _dedú, _barà_, licy, 
   {{0xe7ea00a2,0x3ea70af8,0xa1957441,0xf1952c77}},	//   ज्या_, ënt_, _манч, _минь, 
   {{0x25e105fd,0x7bc825a3,0x9f5801d8,0xed5100d4}},	//   _काफी_, _addu, _darà_, وپا_, 
   {{0x25e110ae,0x9ce70528,0x9c7d0118,0x6fb5007a}},	//   _कानी_, сцел, _opōt, _ومحا, 
   {{0x9f587244,0x00000000,0x00000000,0x00000000}},	//   _farà_, --, --, --, 
   {{0xdb0103b7,0x3a26019c,0x9e350080,0xdea400d7}},	//   _reló, _boop_, _девч, _فیلی, 
   {{0x20030724,0x78ad078a,0x644e7442,0xed150019}},	//   _haji_, _çavk, zibi, _وہاں_, 
   {{0x20037443,0x3a264d5e,0xdb010126,0x8c190dec}},	//   _kaji_, _doop_, _peló, _پيار_, 
   {{0x9f5808f4,0x20030010,0x752f00ab,0x61f609a9}},	//   _hará_, _jaji_, dycz, zeyl, 
   {{0x2003086d,0x644e00fd,0xbb55009c,0x869902a0}},	//   _maji_, vibi, _بناب, јтот_, 
   {{0x366a0267,0x644e2926,0x2918007a,0xa50a00fd}},	//   рамо_, wibi, ófaí_, аема_, 
   {{0x2be00c64,0xfbe000bc,0x644e7444,0x25ad1286}},	//   _नामा, _नामम, tibi, ñela_, 
   {{0x69db114a,0xb05b014e,0xdb080042,0x20030026}},	//   lgue, _svän, _redú, _naji_, 
   {{0x644e7445,0xe81610b0,0x09e00033,0x320200de}},	//   ribi, तारा_, _মোটা, _paky_, 
   {{0x644e7446,0x69db2c84,0x41aa1271,0x3ebe008c}},	//   sibi, ngue, рван_, _ætti_, 
   {{0x9f58048a,0x7a35022e,0x32027447,0x644e02a3}},	// [6940] _sarà_, _láto, _vaky_, pibi, 
   {{0xdb080228,0x9f580036,0xdb1a02be,0x61f67448}},	//   _vedú, _parà_, _detê, seyl, 
   {{0x66040df8,0x3202031e,0x9f580183,0x648000c8}},	//   _kaik, _taky_, _bará_, röid, 
   {{0x0caa5a60,0x9f4a7449,0x660401cf,0xf1bf0108}},	//   атки_, _babò_, _jaik, _hoán_, 
   {{0xb05b022b,0x6604744a,0x9f5824a9,0xdfd600f0}},	//   _kväl, _maik, _dará_, _қоңы, 
   {{0x6604744b,0x20031415,0x8aa6744c,0x7a3c744d}},	//   _laik, _gaji_, орид, _méte, 
   {{0x3f9808b1,0x752f006a,0x443a744e,0x7a3c0019}},	//   _igru_, zycz, _mlp_, _léte, 
   {{0x1cba1666,0x6604744f,0x80ad0086,0x69db1acd}},	//   _نائب_, _naik, _চিত্, ggue, 
   {{0x443a6f9e,0xe816009a,0x00000000,0x00000000}},	//   _olp_, ताला_, --, --, 
   {{0xdb1a01ee,0x7b1600eb,0x59dc00a2,0x60c47450}},	//   _jetë, _وظائ, _यावर, isim, 
   {{0x907b1a61,0x6fdd00a2,0x764f0027,0x7c3a0118}},	//   שטיי, _पासू, ticy, _iltr, 
   {{0x752f0da6,0xdb1a00e5,0x09b40086,0x6e227451}},	//   tycz, _letë, _টাকা, njob, 
   {{0x3ce67452,0x08fa0a24,0x6604012d,0x5fba031e}},	//   ntov_, _خراب_, _daik, इराल, 
   {{0xdb0801cc,0x7a3c026d,0x752f00ab,0x60c47453}},	//   _bedø, _déte, rycz, dsim, 
   {{0x7c287454,0x20037455,0x43947456,0x660444e2}},	//   _modr, _raji_, дарс, _faik, 
   {{0xdb18010d,0x3ce6310d,0x20030870,0x6fdd00a2}},	//   javí, ktov_, _saji_, _पाहू, 
   {{0x7c3a048a,0xdb1815c4,0x60c40c3d,0x6e2202fe}},	// [6950] _oltr, daví, gsim, djob, 
   {{0x69c07457,0x7c28002a,0x38a00014,0x66047458}},	//   hame, _nodr, _mòr_, _zaik, 
   {{0xe7e20509,0x69c07459,0x6604745a,0x60c4745b}},	//   _खाना_, kame, _yaik, asim, 
   {{0x7c3a745c,0x69c0745d,0x6e220019,0x7c2800a1}},	//   _altr, jame, gjob, _aodr, 
   {{0x7c28745e,0x43d4015f,0x20030548,0x764d019b}},	//   _bodr, _عزیز, _taji_, _mmay, 
   {{0xf1bf0496,0x764d02f1,0x7c2800b3,0xb09a00d1}},	//   _xoán_, _lmay, _codr, _לישר, 
   {{0x69c0745f,0x7c287460,0x7f580cdf,0xdb1a0237}},	//   fame, _dodr, _дарс_, _jetè, 
   {{0x69c06c9d,0x6e220354,0x3cff006d,0x69db7461}},	//   game, cjob, _tsuv_, ugue, 
   {{0x69db30da,0x66047462,0xe8e0001b,0xed590df4}},	//   rgue, _raik, _đợi_, _beže_, 
   {{0x66047463,0x68fb2622,0x764d7464,0x69db033c}},	//   _saik, rwud, _amay, sgue, 
   {{0x66047465,0x69c07466,0xdb2300c5,0x6e293432}},	//   _paik, bame, _توضی, _koeb, 
   {{0x7c28012e,0xb05b0219,0x7a3c010e,0x443a7467}},	//   _zodr, _sväl, _péte, _slp_, 
   {{0x660454ca,0x69cb012b,0xe8ee245e,0x399a027a}},	//   _vaik, _idge, _ял_, _הינד, 
   {{0xf7450a81,0x764d0118,0x44e40747,0xdb1a03a0}},	//   _нело, _emay, rö_, _betè, 
   {{0x66041838,0x6383143a,0x290f02cd,0xd9e20262}},	//   _taik, егра, _hrga_, क्कत_, 
   {{0x60c4149c,0x6e290026,0xae0b0035,0xdb1a0300}},	//   tsim, _noeb, _सोलन_, _detè, 
   {{0x60c400e4,0xf1bf0029,0x6f0e0bfc,0xb146088a}},	// [6960] usim, _toán_, _srbc, чнал, 
   {{0x88bd00cc,0xaf9a1632,0xa3d612e3,0x443a016a}},	//   _আমাক, стах_, _हाट_, _ulp_, 
   {{0x60c46861,0x7c2821dc,0xdb1a078e,0x9f580161}},	//   ssim, _rodr, _vetë, _març_, 
   {{0x69c07468,0x0d8608de,0x7c287469,0x629e0495}},	//   xame, плен, _sodr, _iupo, 
   {{0x60c4746a,0xdb18014b,0x6e221062,0x629e746b}},	//   qsim, raví, rjob, _hupo, 
   {{0x26c5012d,0x69c0746c,0x68e40088,0x645c2001}},	//   kslo_, wame, _äidi, nnri, 
   {{0xd9f90a3b,0x3ce67452,0x69c0746d,0xed59746e}},	//   ्यंत_, stov_, tame, _reže_, 
   {{0xfce603dc,0x3ce63053,0x224007fc,0xaf5b00d1}},	//   _нобо, ptov_, nhik_, _הכלכ, 
   {{0xa3dd000f,0x629e746f,0x98a40009,0xfe450274}},	//   _डाल_, _lupo, kymą_, _تکلی, 
   {{0x47340577,0x645c6958,0x69cb2450,0x00000000}},	//   днос, jnri, _edge, --, 
   {{0x69c07470,0x290f7471,0x4e000035,0x2240382b}},	//   pame, _erga_, _ईसाई_, khik_, 
   {{0x0f5700a7,0x6b7b00c7,0x69c012ed,0x7a35010e}},	//   ליים_, _פראנ, qame, _látj, 
   {{0x6387539f,0x290f02c7,0x786f7472,0xb05b02ae}},	//   kéné, _grga_, røvr, _sväm, 
   {{0xa3dd009a,0x629e052b,0xdb1a0300,0x00000000}},	//   _डाळ_, _bupo, _petè, --, 
   {{0x629e7473,0x274200d4,0x63be0096,0xdb1a039f}},	//   _cupo, _déné_, _depn, _beté, 
   {{0x629e7474,0x764d7475,0x20187476,0xeb3b0070}},	//   _dupo, _umay, _anri_, זעלש, 
   {{0x236d00ab,0xdb1a7477,0xa3d6009a,0x200702aa}},	// [6970] łej_, _deté, _हाच_, ônio_, 
   {{0x63877478,0x6e297479,0x27420106,0x00000000}},	//   géné, _soeb, _géné_, --, 
   {{0x02a409e7,0x937600f0,0xbf150038,0x6e3b01be}},	//   _прям, _жұрт_, بواب, _plub, 
   {{0x224002f1,0xdd912e10,0x648b00c3,0xdb1a0096}},	//   chik_, نوا_, _eżit, _geté, 
   {{0xfce5747a,0xdb010019,0xf1bf0183,0x682d0032}},	//   фоло, _jelö, _joám_, _múdr, 
   {{0x61ed4ea8,0x32090104,0x00000000,0x00000000}},	//   lfal, lday_, --, --, 
   {{0xdcfb015e,0x6e29747b,0x683f010c,0x25a900f8}},	//   _izuč, _toeb, _jêde, _ofal_, 
   {{0x5f9413d0,0x61ed747c,0x6e3b00ab,0x3209258f}},	//   _чист, nfal, _ulub, nday_, 
   {{0xa3dd00a2,0x3dcd0118,0x261c1126,0xb5fb039f}},	//   डला_, _idew_, यासी_, bláz, 
   {{0xb5fb0369,0x3209747d,0x68240118,0x61ed0502}},	//   zoát, hday_, _kòdy, hfal, 
   {{0x7bc3747e,0xfe700019,0x320924e5,0xf7710816}},	//   manu, _شدہ_, kday_, ضاد_, 
   {{0xddc24356,0x7bc30f38,0x26c5012d,0xdb01747f}},	//   zlož, lanu, rslo_, _belö, 
   {{0x7a350254,0x290300e0,0x61ed13db,0x98a40009}},	//   _látk, ājas_, dfal, tymą_, 
   {{0x61ed0920,0x683f010c,0xe29a7480,0x68e939e7}},	//   efal, _bêde, жав_, mted, 
   {{0x03a302b9,0xe7e21933,0x224000d4,0x81e60086}},	//   тисо, _खाता_, thik_, _যোগ_, 
   {{0x7bc37481,0x7a3c3247,0xb5fb0183,0x2742011c}},	//   hanu, _kéta, gnád, _wéné_, 
   {{0x68e97482,0xdb0101c4,0xf7780405,0xc0067483}},	// [6980] nted, _gelö, mgħa_, мпак, 
   {{0x7a3c531c,0x261c00a2,0x7bc37484,0x3e7c0183}},	//   _méta, यावी_, janu, títo_, 
   {{0x441b0137,0x141b00c7,0x7bc37485,0x6387026a}},	//   _וויס, _וויב, danu, réné, 
   {{0x68e90c05,0xddc23efa,0xf09f00b9,0x3e7c02be}},	//   kted, slož, _fuà_, ríto_, 
   {{0x25e30f01,0x683f078a,0x7bc37486,0x68e97487}},	//   ट्टी_, _zêde, fanu, jted, 
   {{0x7bc37488,0x8db5004e,0x2ca94bb8,0x3dcd05d5}},	//   ganu, _үсті, íada_, _edew_, 
   {{0x5f037489,0x160e0509,0xddc61416,0x26ca0405}},	//   _изра, ियार_, _обви, ġbok_, 
   {{0x2be000a2,0x68e9748a,0x7bc30102,0x99860098}},	//   _नावा, fted, aanu, _vlož_, 
   {{0x7bc3024d,0x68e902c9,0x7a35497e,0xa3be01a4}},	//   banu, gted, _máth, आरा_, 
   {{0x25e1047b,0x7a3523e6,0x7a3c0518,0x7bc30474}},	//   _काही_, _láth, _déta, canu, 
   {{0x3209748b,0x9986014b,0x68e9748c,0x61ed0b8b}},	//   yday_, _ulož_, ated, yfal, 
   {{0x7a3c0175,0xa4d503bd,0x683f0216,0x00000000}},	//   _féta, номі, _rêde, --, 
   {{0x68e9748d,0x09361a38,0x765d01e8,0xd8261753}},	//   cted, _تراج, rnsy, _одди, 
   {{0x260f322d,0xed5900ca,0x3e7505a1,0x6286748e}},	//   _तोरी_, _ježa_, lått_, _ahko, 
   {{0x61ed3475,0x25a90405,0x261c009a,0xed5901dd}},	//   tfal, _tfal_, याशी_, _meža_, 
   {{0xe816031e,0x7bc3107c,0xc7ad010e,0x00000000}},	//   ताका_, zanu, _پڑی_, --, 
   {{0x3015748f,0xf09f001b,0x261c35ff,0x60d60156}},	// [6990] ндар, _quà_, यारी_, grym, 
   {{0x61ed7490,0x47d00086,0x32097491,0xdb080380}},	//   sfal, ত্রী, sday_, _bedü, 
   {{0x2cad09a8,0x47c30033,0x2007020b,0x9df97492}},	//   _sted_, _শামী, ľni_, знет_, 
   {{0x32090104,0x7bc36a6e,0x648b007b,0x8c3d107c}},	//   qday_, wanu, _gżir, _muşe, 
   {{0x7bc37493,0x4fc7250f,0xb5fb0183,0x60d60151}},	//   tanu, _осва, onáb, crym, 
   {{0x645553b3,0xdb857494,0x09c7009a,0x628a02a3}},	//   nizi, нгли, ळण्य, _èfor, 
   {{0x2be006ea,0x7bc37495,0xeb962d60,0x7a3c7496}},	//   _नारा, ranu, ниш_, _séta, 
   {{0x68e97497,0x64557498,0x7a3c201a,0x7bc37499}},	//   tted, hizi, _péta, sanu, 
   {{0x6455749a,0xdb1835ee,0x2d5800c8,0xe8f6134f}},	//   kizi, ravá, _жить_, елы_, 
   {{0x68e9749b,0x9bf417b4,0x7c38039b,0x80a20299}},	//   rted, _изуч, ckvr, _कंसे, 
   {{0x68e90416,0x6455749c,0x25e1000f,0x7a3c42f2}},	//   sted, dizi, _काशी_, _wéta, 
   {{0x8c3d009e,0xdd12027e,0x7bc1749d,0x7a3c0106}},	//   _duşe, nüşt, _helu, _téta, 
   {{0x7bc16db1,0x6455749e,0x98e500eb,0x25e10827}},	//   _kelu, fizi, _أكتو, _कारी_, 
   {{0x6286078e,0x7bc11780,0x6455749f,0x443e010e}},	//   _shko, _jelu, gizi, ót_, 
   {{0x7bc174a0,0x22165faa,0xdb0102be,0x00000000}},	//   _melu, нфар, _telõ, --, 
   {{0x7bc174a1,0xc3231c0f,0x60d674a2,0x628d0008}},	//   _lelu, ымск, trym, gmao, 
   {{0xe0da74a3,0x645574a4,0xe814215e,0x70860acd}},	// [69a0] ява_, bizi, _थोडा_, егаз, 
   {{0x645574a5,0x7a35001d,0x00000000,0x00000000}},	//   cizi, _dáti, --, --, 
   {{0xe7e20394,0x671f1489,0x7a35007a,0xed590604}},	//   _खासा_, यमिक_, _táth, _reža_, 
   {{0x6da62d60,0x7a35014a,0x4d665a04,0x5fe2055d}},	//   хида, _fáti, нкев, _पावल, 
   {{0x7bc174a6,0x62980107,0x00000000,0x00000000}},	//   _belu, _évoq, --, --, 
   {{0xdee631a4,0x6aa174a7,0x9f5800e1,0x00000000}},	//   _поги, _bulf, _marú_, --, 
   {{0x7bc174a8,0x25e10a09,0x3e7531b7,0x61ef0038}},	//   _delu, _काली_, tått_, _éilí, 
   {{0x645533f2,0x6aa10126,0x3f7b0070,0xf09f01fd}},	//   zizi, _dulf, _זאלס, _gràs_, 
   {{0x0d8616d9,0x200a35df,0x7bc174a9,0x645574aa}},	//   _члан, _kabi_, _felu, yizi, 
   {{0x7bc1051e,0xdca30cdf,0x2d8400ca,0x200a62fa}},	//   _gelu, _сафи, _izme_, _jabi_, 
   {{0x8ad60c72,0x7c3d009e,0x998d00ca,0x200a4cba}},	//   _ستائ, _îsra, rkeš_, _mabi_, 
   {{0x200a74ab,0x2f5b008d,0x7bc174ac,0x25e1009a}},	//   _labi_, לדינ, _zelu, _काळी_, 
   {{0x645574ad,0x6aa174ae,0xda6f0019,0xdb1a033c}},	//   tizi, _zulf, _اُن_, _metí, 
   {{0x200a74af,0x29062660,0xdb1a4e94,0xc428021d}},	//   _nabi_, _isoa_, _letí, нюсе_, 
   {{0x645574b0,0x7a35118d,0xb05b02ae,0x13685a3d}},	//   rizi, _sáti, _kväv, ешти_, 
   {{0x645574b1,0xa3dd000f,0x26de026e,0x2d8400ef}},	//   sizi, _डाक_, muto_, _ozme_, 
   {{0x26de74b2,0xc1a600f0,0x628d74b3,0x6ed300b0}},	// [69b0] luto_, тысқ, rmao, _डिहु, 
   {{0xd2510399,0xb881031e,0x78a274b4,0x61e674b5}},	//   _چند_, _říze, _muov, _eckl, 
   {{0x26de74b6,0x50640161,0x7bc174b7,0x78a200c8}},	//   nuto_, утта, _relu, _luov, 
   {{0x7bc111f7,0x29060a9f,0x7a3502aa,0xf7730070}},	//   _selu, _osoa_, _táti, אקע_, 
   {{0x78a20021,0x7bc13e2b,0x518474b8,0xdb1a0183}},	//   _nuov, _pelu, _бура, _detí, 
   {{0x200a74b9,0x2ef51297,0x8d740e05,0x26de74ba}},	//   _gabi_, _изгр, داما, kuto_, 
   {{0x48bd0086,0xcb660fa2,0x26de6511,0x320b0026}},	//   _আমের, каше_, juto_, _kacy_, 
   {{0x26de0316,0x2fc30082,0x7a3c74bb,0x7a35010e}},	//   duto_, _hejg_, _déto, _látv, 
   {{0x7bc174bc,0x29060183,0x6aa174bd,0x08c209d9}},	//   _telu, _csoa_, _wulf, абын, 
   {{0xe73945bb,0x5d5433dc,0x200a74be,0x3ea30034}},	//   део_, _скут, _xabi_, _kujt_, 
   {{0x366a2413,0x41e10035,0x55c400f0,0x290600b9}},	//   дано_, _फांस, ланғ, _esoa_, 
   {{0xbbd1448b,0x69c274bf,0x64a674c0,0x3ead00d8}},	//   _सयुक, _geoe, кама, _četl_, 
   {{0xda1e0035,0x26de74c1,0xa3dd009a,0x9f5a00d7}},	//   भारत_, auto_, डलं_, repé_, 
   {{0x26de74c2,0x98790137,0xa87900c7,0x0ed117f6}},	//   buto_, _קאַט, _קאַר, _हिंड, 
   {{0x200a74c3,0x26de6d6c,0x42d53197,0x00000000}},	//   _rabi_, cuto_, літу, --, 
   {{0x200a0268,0x244d02fe,0x69c20183,0xb5fb74c4}},	//   _sabi_, džmu_, _xeoe, rnác, 
   {{0xc48600d3,0x2fc3008a,0x28c402e6,0xdb1a4a2f}},	// [69c0] _илик, _bejg_, लीपि, _retí, 
   {{0x161a10ae,0x2d9f00a1,0x33f600b3,0x00000000}},	//   धाकर_, _ague_, _рчис, --, 
   {{0x036a21bd,0x200a0352,0xdb1a3b71,0xf1aa00bd}},	//   _цинк_, _vabi_, _petí, _कलपन, 
   {{0xee3a013d,0xed5a0088,0xdb1a02be,0xab5c0243}},	//   ьне_, мое_, _letã, _neļa, 
   {{0x200a74c5,0xe7e25061,0x5ce30080,0x44250e0e}},	//   _tabi_, _खाला_, ающа, _شریف, 
   {{0x61e474c6,0x5c730fb6,0x7d0274c7,0x69c229cf}},	//   lgil, аліт, rwos, _seoe, 
   {{0x78a274c8,0xe8ff010c,0x7a3535b6,0x15f40790}},	//   _suov, çûn_, _látu, ेजार_, 
   {{0x61e474c9,0x26de5cf4,0x8c3d020f,0x25a001ff}},	//   ngil, vuto_, _puşc, _ngil_, 
   {{0x2d8404d1,0x7e623f48,0xdca63427,0x6c0602a6}},	//   _uzme_, mnop, _рази, _изаз, 
   {{0x26de74ca,0x683f010c,0x7a3c5b77,0x00000000}},	//   tuto_, _pêda, _této, --, 
   {{0xc01500c7,0xdb015ece,0x161400c2,0x00000000}},	//   אַרק_, _aflæ, _तोहर_, --, 
   {{0xf1e10838,0xd00b0086,0x25a000fd,0x290674cb}},	//   _फाइन, রায়_, _cgil_, _tsoa_, 
   {{0x0fe200a2,0x320b4276,0x58d474cc,0x26de01b8}},	//   _पांढ, _racy_, _солт, suto_, 
   {{0x7a3574cd,0x7e6274ce,0x26de74cf,0x8c3d027e}},	//   _dátu, hnop, puto_, _kuşa, 
   {{0xb5f3004e,0xe81f15c8,0x82a474d0,0x68e00585}},	//   _күні, बारा_, иште, lumd, 
   {{0x61e474d1,0x1fcb031e,0x533425b6,0xdb1a022c}},	//   ggil, ाण्ड, шест, _metà, 
   {{0x68e01272,0xe1345b13,0xc87974d2,0x6da500a3}},	// [69d0] numd, анты, luşa_, қила, 
   {{0x1621047b,0x660d74d3,0xc10400eb,0x7a35203a}},	//   यावर_, _haak, ؤولي, _hátt, 
   {{0x53351b02,0x660d74d4,0xed590097,0x320b0083}},	//   _сент, _kaak, _pežo_, _tacy_, 
   {{0x2ca402a2,0x68e001dd,0xae1d00bd,0x660d74d5}},	//   _bumd_, kumd, फाइन_, _jaak, 
   {{0x660d74d6,0x7a35003e,0x28c4017d,0xf09f01be}},	//   _maak, _mátt, लीमि, _gràp_, 
   {{0x660d74d7,0x629d74d8,0x7a3530a7,0x2a66012b}},	//   _laak, _hiso, _látt, _ajob_, 
   {{0x629d74d9,0xed59008b,0x9be4004f,0x7e620604}},	//   _kiso, _težo_, річк, bnop, 
   {{0x200174da,0x7a35008c,0x660d3fb8,0x629d02a2}},	//   lehi_, _nátt, _naak, _jiso, 
   {{0x629d74db,0x68e059cf,0x3d9474dc,0xe81f0fcf}},	//   _miso, gumd, _витр, बाला_, 
   {{0x7b080088,0x60cd74dd,0x200174de,0x7d0974df}},	//   ästä, isam, nehi_, _ises, 
   {{0x660d0547,0xe203009a,0x7a350354,0x6d680474}},	//   _baak, _लसूण_, _bátt, ăsaţ, 
   {{0x60cd74e0,0x20cf00e0,0x629d74e1,0x68e074e2}},	//   ksam, kļi_, _niso, bumd, 
   {{0x61e41ba2,0x7d0900b4,0x2a7f006d,0x660d02a5}},	//   vgil, _jses, mlub_, _daak, 
   {{0xa2e674e3,0x60cd41cb,0x64a374e4,0x6fe200c9}},	//   логд, dsam, сара, _पाइं, 
   {{0x629d0df7,0x61e474e5,0x3e7c010e,0xdb0300da}},	//   _biso, tgil, síti_, ybný, 
   {{0x41b537e8,0x629d1032,0x9695134f,0x660d01a3}},	//   исут, _ciso, _крыш, _gaak, 
   {{0xdb1a118d,0x764474e6,0x60cd1614,0x61e474e7}},	// [69e0] _metá, _iliy, gsam, rgil, 
   {{0x660d74e8,0xdb1a014b,0x840600dd,0x629d0156}},	//   _zaak, _letá, _спож, _eiso, 
   {{0x444474e9,0x7d0974ea,0x7a350019,0x2a7f74eb}},	//   _il_, _ases, _játs, klub_, 
   {{0x5d6a0088,0xb05b0228,0x61460cdf,0x629d02b8}},	//   нием_, _svät, _бема, _giso, 
   {{0x444474ec,0x7a35010e,0x6fe202e6,0x7644095a}},	//   _kl_, _láts, _पाऊं, _mliy, 
   {{0x444474ed,0x629d74ee,0x8fa374ef,0x6a7e021e}},	//   _jl_, _ziso, _гаре, mëfi, 
   {{0xb5fb031e,0xa3d5009a,0xa06774f0,0x44445a44}},	//   dnán, हणत_, _сара_, _ml_, 
   {{0x5a3423de,0xdd080187,0x444474f1,0xdb1a1cf0}},	//   рнит, môže, _ll_, _cetá, 
   {{0x444474f2,0xb05b014e,0xdb1a0068,0x660d26aa}},	//   _ol_, _tvät, _detá, _raak, 
   {{0x764474f3,0x444474f4,0x660d74f5,0x68e074f6}},	//   _aliy, _nl_, _saak, rumd, 
   {{0x764406df,0x7bca0204,0x2a7f0201,0x60cd74f7}},	//   _bliy, mafu, blub_, zsam, 
   {{0xdb08014e,0x7bca240d,0xd6d700c8,0x656202c7}},	//   _bedö, lafu, ыть_, _žoha, 
   {{0x44445653,0x629d74f8,0x3c39158b,0xb4c100a2}},	//   _bl_, _riso, _sèvi_, ुळे_, 
   {{0x7bca74f9,0x660d74fa,0x629d74fb,0x25e10d4f}},	//   nafu, _waak, _siso, _काकी_, 
   {{0x629d74fc,0x43950aa2,0xe2f8005e,0x660d74fd}},	//   _piso, равс, лері_, _taak, 
   {{0x444474fe,0xf1270df8,0x60cd74ff,0x78b7010c}},	//   _el_, льзо, tsam, _çavê, 
   {{0xd49b7500,0x44442976,0x2001084c,0x7bca7501}},	// [69f0] _про_, _fl_, tehi_, kafu, 
   {{0x44447502,0x60cd7503,0x629d016c,0x2be02002}},	//   _gl_, rsam, _wiso, _नागा, 
   {{0x629d7504,0x2be80366,0xddc80082,0x20017505}},	//   _tiso, च्छू_, _šoša, rehi_, 
   {{0x20011a13,0x60cd7506,0xb5fb00bc,0x44447507}},	//   sehi_, psam, znán, _zl_, 
   {{0x1d092655,0xb05b02ae,0x20017508,0x44210096}},	//   тели_, _dvär, pehi_, _knh_, 
   {{0xab5c00e0,0x7d090352,0xe29f003e,0x26d1022e}},	//   _ceļo, _vses, _hið_, ázok_, 
   {{0x442168a6,0xb5fb031e,0x64570065,0x15e600bd}},	//   _mnh_, vnán, _mmxi, _कालर_, 
   {{0xe8f97509,0x44210151,0x6eaa02e6,0x4df90070}},	//   вли_, _lnh_, _जंतु, _שפּא, 
   {{0x7a3c026a,0x7bca4588,0x7e7b044d,0xe29f003e}},	//   _méth, bafu, _ikup, _mið_, 
   {{0xb8fd000f,0xe29f003e,0x2a7f750a,0xc79500c8}},	//   _तट_, _lið_, slub_, ирны, 
   {{0xb5fb1056,0xf6261796,0x69cf033c,0x22490daa}},	//   rnán, адно, óces, khak_, 
   {{0x442100f7,0x7ae3750b,0x64450053,0x38a9750c}},	//   _anh_, munt, _alhi, _túr_, 
   {{0x4444750d,0x64a6750e,0x443300a7,0x7e7b17e5}},	//   _pl_, рага, _box_, _mkup, 
   {{0x7e6902a8,0x998400eb,0xc964004f,0x4421750f}},	//   _ljep, _الهو, _увій, _cnh_, 
   {{0x425636b3,0x7ae37510,0xb7790137,0x366a2189}},	//   атат, nunt, _באַש, _иако_, 
   {{0xc2432338,0x76447511,0x7a3c023e,0x682d0032}},	//   онск, _uliy, _céth, _núdz, 
   {{0x44447512,0x7bca7513,0x394d7514,0x31260470}},	// [6a00] _tl_, yafu, nzes_, шдаг, 
   {{0x44447515,0x7ae37516,0x7e7b0727,0x28dd4437}},	//   _ul_, kunt, _akup, _मिनि, 
   {{0xeaf4047b,0x645c7517,0x7ae37518,0xaf06503a}},	//   _आहेत_, miri, junt, рпел, 
   {{0x645c7519,0x7e6961cf,0x13a80a24,0x7bca5aad}},	//   liri, _cjep, _جنگی_, wafu, 
   {{0x7bca751a,0xcfaa0071,0x44330095,0x61f6003e}},	//   tafu, _لازم_, _yox_, mfyl, 
   {{0x7e7b02c7,0x394d00e0,0xe7ea0c73,0xb5fb007a}},	//   _ekup, dzes_, ज्ञा_, enál, 
   {{0x7ae3751b,0xb05b014e,0x7bca751c,0xaa580bf2}},	//   gunt, _tvär, rafu, лику_, 
   {{0x645c751d,0xfb19006b,0xb5fb0483,0x7bca044d}},	//   hiri, اروں_, gnál, safu, 
   {{0x645c751e,0x3ead00ef,0x7a35751f,0x7bca044d}},	//   kiri, _četi_, _pátr, pafu, 
   {{0x7ae37520,0x7a3c7521,0xb5fb0038,0x69cf0126}},	//   bunt, _méti, anál, ócer, 
   {{0xcb6719aa,0xdb01023e,0x00000000,0x00000000}},	//   _кафе_, _nglè, --, --, 
   {{0x8c3c0c05,0xe7ea12e3,0x645c7522,0x44210465}},	//   _diğe, ज्जा_, eiri, _snh_, 
   {{0x7bc82e7b,0x44330065,0x261c051f,0x6445023b}},	//   _kedu, _pox_, याजी_, _plhi, 
   {{0x645c7523,0x5fe212e3,0x7bc80558,0xd7ef0038}},	//   giri, _पागल, _jedu, _يكن_, 
   {{0x224909e8,0xeaf400a2,0x61f600f8,0x7792009c}},	//   thak_, _आहोत_, ffyl, _گیگا, 
   {{0x645c00eb,0x7bc87524,0x61d800c8,0xd9f836be}},	//   airi, _ledu, имся_, ्जित_, 
   {{0xe29f3bf7,0x645c7525,0x765d7526,0x22492c35}},	// [6a10] _við_, biri, misy, rhak_, 
   {{0x7e7b030d,0x2fc700f7,0x765d7527,0x7bc87528}},	//   _skup, úng_, lisy, _nedu, 
   {{0x261c148e,0x7ae303da,0x753d0019,0x9259123f}},	//   याची_, xunt, lysz, _бант_, 
   {{0x765d0cd7,0xe8ff078a,0xf1ab009c,0x7a3c5b77}},	//   nisy, çûk_, _جاده_, _féti, 
   {{0x7bc87529,0x753d010e,0xe4500019,0x9f58752a}},	//   _bedu, nysz, _رضی_, _baró_, 
   {{0xfaa5752b,0x7ae3752c,0x7bc8752d,0x013600d1}},	//   бако, tunt, _cedu, _הרשת_, 
   {{0x25e802f8,0x8b940141,0x765d03a0,0x53af00a5}},	//   _झाली_, оръч, kisy, जुएश, 
   {{0x7e7b090b,0x394d01c4,0x201101ca,0x00000000}},	//   _ukup, tzes_, _hazi_, --, 
   {{0x2011752e,0x26de752f,0x765d7530,0x645c7531}},	//   _kazi_, erto_, disy, yiri, 
   {{0x7bc87532,0xdb1a25a6,0x7d1b1b2f,0x394d7533}},	//   _gedu, _betä, _irus, rzes_, 
   {{0x394d006b,0x20117534,0x442600e7,0x7d1b7535}},	//   szes_, _mazi_, _đo_, _hrus, 
   {{0x645c7536,0x7d1b7537,0x673c0664,0x7bc81ed8}},	//   wiri, _krus, ørja, _zedu, 
   {{0x645c7538,0xa8a73da4,0xba740084,0xed590d9d}},	//   tiri, _трек, _بالت, _beži_, 
   {{0x2618051f,0x628f008a,0x9f5802a3,0x7d1b1572}},	//   _बोरी_, _ahco, _marò_, _mrus, 
   {{0x765d1fcb,0x28dd3b3e,0xf773105a,0x7a3c7539}},	//   bisy, _मिडि, _باش_, _séti, 
   {{0x645c753a,0x7a3c21d0,0x628f753b,0x28c40035}},	//   siri, _péti, _chco, लीवि, 
   {{0x645c753c,0x2011753d,0x6606753e,0x61f6753f}},	// [6a20] piri, _bazi_, mekk, rfyl, 
   {{0x66067540,0x22400876,0x645c5874,0xa3be00aa}},	//   lekk, skik_, qiri, आरओ_, 
   {{0x7d1b7541,0xb5fb014b,0x1fb57542,0x61f63303}},	//   _arus, znám, юстр, pfyl, 
   {{0x7bc87543,0x7a3c7544,0x66067545,0x8c3d7546}},	//   _sedu, _hétv, nekk, _duşm, 
   {{0x7bc87547,0x51f70109,0x9f581985,0x271700e7}},	//   _pedu, _اسپر, _paró_, _lăn_, 
   {{0x765d1fbc,0x20117548,0x7d1b7549,0x62845094}},	//   zisy, _gazi_, _drus, llio, 
   {{0x753d00ab,0x0b5a001c,0xdee32a86,0x245800ad}},	//   zysz, ырды_, _нори, _cümə_, 
   {{0x261841a8,0x58d8754a,0x9f5800fd,0x7bc864a5}},	//   _बोली_, адия_, _farò_, _wedu, 
   {{0x7bc802f6,0x765d754b,0x7d1b754c,0x6606754d}},	//   _tedu, visy, _grus, dekk, 
   {{0x6b8130f7,0x27170023,0x765d07fc,0x1c4300b3}},	//   _fylg, _băn_, wisy, _енум, 
   {{0x907b0111,0x765d0cd7,0x28dd6457,0xbb8600eb}},	//   רטיי, tisy, _मिथि, _الاي, 
   {{0xdb1a00c8,0x27ee0028,0x6606754e,0x00000000}},	//   _vetä, _šoną_, gekk, --, 
   {{0xb9960084,0x765d754f,0x67d4017b,0x00000000}},	//   _الشب, risy, _долу, --, 
   {{0x765d1e8f,0x26de02ee,0x6aa20379,0x628403c6}},	//   sisy, prto_, _hiof, elio, 
   {{0x765d7550,0x66067551,0x6aa2025b,0x00000000}},	//   pisy, bekk, _kiof, --, 
   {{0x6284048a,0x798202a5,0x20110027,0x915e0210}},	//   glio, _kyow, _sazi_, _sắc_, 
   {{0x51877552,0xb0357553,0xc03503b7,0x6aa2647a}},	// [6a30] сува, онаш, онај, _miof, 
   {{0x6aa27554,0x7d1b0034,0x628416d0,0x20113e06}},	//   _liof, _rrus, alio, _qazi_, 
   {{0x7d1b1993,0xdcfb014b,0x9f5800fd,0xb5fb014b}},	//   _srus, _vyuč, _sarò_, piád, 
   {{0x20110010,0x6aa2023a,0x54ed0249,0xf1271193}},	//   _wazi_, _niof, _जमाए_, _льго, 
   {{0x798204c6,0xdef80259,0x00000000,0x00000000}},	//   _nyow, _қыр_, --, --, 
   {{0x26c2032f,0x7a3c011c,0x00000000,0x00000000}},	//   ćkoj_, _métu, --, --, 
   {{0x1a292918,0x447c0070,0x00000000,0x00000000}},	//   ижки_, אנגע, --, --, 
   {{0x8c0900cc,0x6aa21727,0x64800080,0x27170108}},	//   লাইন_, _ciof, löit, _răn_, 
   {{0xdb18014b,0xaca300e7,0x271700e7,0x6aa27555}},	//   mavý, _trốn, _săn_, _diof, 
   {{0x66063f21,0x7982011d,0x64800080,0x00000000}},	//   wekk, _dyow, nöit, --, 
   {{0x61fd06ff,0x1bb82751,0x6aa27556,0x62847557}},	//   _obsl, _طالع_, _fiof, ylio, 
   {{0x271700f7,0x28f90088,0x78bb0341,0x7a3c00b9}},	//   _văn_, _ведь_, ppuv, _bétu, 
   {{0xa5bb010d,0x66066a24,0xe8ee0afc,0xdb01055f}},	//   tjór, rekk, _юл_, _aflø, 
   {{0xf74532bf,0x2d8d0010,0x69cb7558,0x66067559}},	//   _мело, _mzee_, _hege, sekk, 
   {{0x69cb005c,0x03a3755a,0x4911000d,0x2bfb07d5}},	//   _kege, диро, तिको_, ल्यू_, 
   {{0x69cb755b,0xcb1207e4,0x7a3c0574,0x00000000}},	//   _jege, ולל_, _fétu, --, 
   {{0x69cb755c,0x6284755d,0x78a3052b,0x3eaa059e}},	// [6a40] _mege, rlio, _kinv, _subt_, 
   {{0x61ef1684,0x69cb251e,0x628405ae,0xb5fb397a}},	//   _eccl, _lege, slio, ciáb, 
   {{0xeda631a4,0x71a602c0,0x6284755e,0x1eda00eb}},	//   ошло, _манз, plio, شباب_, 
   {{0x69cb755f,0x5bb447bd,0x2bb424ef,0x69d9018e}},	//   _nege, ुर्व, ुर्थ, _ndwe, 
   {{0xc27b0056,0xac0a02f1,0xf653029e,0x00000000}},	//   _כרטי, инда_, וצא_, --, 
   {{0x8cdb02ab,0xdfd2009c,0x69d90e0a,0x7a3c003e}},	//   _निरो, _زير_, _adwe, _létt, 
   {{0x6aa2023a,0x2d8d02a5,0x9f5801d5,0x78ab0664}},	//   _piof, _ezee_, _garð_, _augv, 
   {{0x26d8022e,0x4df400bc,0xa2cd0299,0xe45f7560}},	//   árom_, _एउटै_, _तबस्, nsör_, 
   {{0xed5a0316,0x69cb7561,0x78a302a5,0x69d90156}},	//   _тоа_, _dege, _binv, _ddwe, 
   {{0x290f0036,0x291d0118,0x37aa03a1,0x60c90ad9}},	//   _dsga_, _drwa_, штин_, _çeme, 
   {{0x41aa248b,0xd7f800b3,0x290f0508,0x00000000}},	//   कशास, rfă_, _esga_, --, 
   {{0x69cb7562,0x8b653b7a,0x78a37563,0x7a3c7564}},	//   _gege, _عالم, _einv, _pétu, 
   {{0xb5fb00eb,0xb86513b4,0x7e9b07e4,0x387200f0}},	//   nnái, _کانو, יסטו, _оқит, 
   {{0x61ef012b,0x69cb7565,0xaaa900a5,0x00000000}},	//   _sccl, _zege, _चूँक, --, 
   {{0xd25b7566,0x3a26064e,0xb5fb010e,0x69cb02b8}},	//   аца_, _knop_, riáb, _yege, 
   {{0xb40303dd,0xdb1a0126,0x78a302b0,0xa2dc00bc}},	//   чүүд, _betú, _zinv, _फिर्, 
   {{0xc69400c7,0x25a9007e,0x3fab02a6,0x38c5009e}},	// [6a50] _קאפ_, _igal_, ањем_, mêrî_, 
   {{0x683f078a,0x7a3c010e,0x38c5009e,0x7bde0126}},	//   _pêdi, _kéts, lêrî_, ópul, 
   {{0xaaa90262,0x64800088,0xb5fb7567,0x00000000}},	//   _चूंक, röit, ciác, --, 
   {{0x9f58008c,0x2d990098,0x3d9500d9,0x00000000}},	//   _varð_, _úsek_, пиер, --, 
   {{0x69cb0ef7,0x51847568,0x61ed01dd,0xace90235}},	//   _rege, _жура, mgal, ёмка_, 
   {{0x69cb7569,0x61ed756a,0xfaa51716,0x78ab00ca}},	//   _sege, lgal, пако, _rugv, 
   {{0x81ce00cc,0xfe730fdc,0x28dd0077,0x78a347f7}},	//   _রাত_, _قدر_, _मिहि, _rinv, 
   {{0xefc8001b,0xed590613,0x78a30326,0x38c5009e}},	//   _đỉnh_, _sežu_, _sinv, jêrî_, 
   {{0x7a3c010d,0x69cb756b,0x2d8d095a,0x8cc1017d}},	//   _rétt, _vege, _uzee_, रीखो, 
   {{0xa2dc0b3e,0x69cb756c,0x25a90068,0x25b6029c}},	//   _फिल्, _wege, _agal_, ूर्ण, 
   {{0x69cb756d,0x61ed0415,0x2cad008a,0x7e6b0210}},	//   _tege, kgal, _hued_, ongp, 
   {{0x63b500ab,0xaca3001b,0x291d0035,0x25a9019b}},	//   eczn, _trồn, _trwa_, _cgal_, 
   {{0x78a300a4,0x04b62cdb,0x61ed02c9,0xed590a1a}},	//   _tinv, ясня, dgal, _težu_, 
   {{0x25a9756e,0x78a3016a,0x2ca500a3,0x61ed02a5}},	//   _egal_, _uinv, _jild_, egal, 
   {{0x68e903c6,0x7e6b011d,0xdb1a02aa,0x96b900d3}},	//   lued, kngp, _setú, _уулу_, 
   {{0xcb1207f5,0x61ed756f,0x575600a7,0x673c01ad}},	//   עלן_, ggal, _מבצע_, ärje, 
   {{0x80a6149e,0x9abc00a4,0xb5fb020b,0xafe6371e}},	// [6a60] سمان, _irċe, siác, зозл, 
   {{0x61ed0547,0x3ea47570,0x5ed30086,0x66162d5f}},	//   agal, _simt_, _সহজে, _hayk, 
   {{0x645e7571,0x443a7572,0xe4570137,0x7a3c026a}},	//   _impi, _iop_, _זייט_, _métr, 
   {{0x7a3c0019,0x2d8400e9,0x290d0d94,0x00000000}},	//   _létr, _pyme_, kwea_, --, 
   {{0x2ca50ae4,0x443a7573,0x66167574,0x7cd7004f}},	//   _bild_, _kop_, _mayk, змір_, 
   {{0xb5fb00eb,0xe81b00b0,0xed4f0019,0x26d8010e}},	//   rnái, _भोला_, چھے_, árok_, 
   {{0x443a0267,0x60230afc,0x645e045a,0xaab81c03}},	//   _mop_, _ядра, _mmpi, زگار_, 
   {{0x443a0023,0x98b86b7b,0x66160118,0x00000000}},	//   _lop_, олит_, _nayk, --, 
   {{0x63b5006a,0xfce37575,0x68e90156,0x443a7576}},	//   yczn, _пото, gued, _oop_, 
   {{0x9c5a00cf,0x7e627577,0xbc6343a1,0x61ed7578}},	//   _ушбу_, liop, _звук, zgal, 
   {{0x7c280489,0xa2b14261,0x7a3c026a,0x66160d16}},	//   _indr, _आंध्, _détr, _bayk, 
   {{0x645e7579,0x60d6757a,0x61ed01ff,0x7c3a757b}},	//   _ampi, ksym, xgal, _hotr, 
   {{0xc98371c1,0x6d42757c,0x7aea32b9,0x6616757d}},	//   _пуши, nyoa, luft, _dayk, 
   {{0x7e620907,0x9f580369,0xe4a404ac,0x7c3a44e2}},	//   hiop, _abrí_, ерсо, _jotr, 
   {{0xb5fb0076,0x1dcc2122,0x61ed24a5,0x7c3a757e}},	//   dnáv, ारात, tgal, _motr, 
   {{0x7c3a757f,0x623403b7,0x61ed7580,0x645e7581}},	//   _lotr, несу, ugal, _empi, 
   {{0x61ed7582,0x30151472,0x7c287583,0x443a08b0}},	// [6a70] rgal, мдар, _ondr, _fop_, 
   {{0x7c3a7584,0x61ed0e5c,0x30147585,0xc87900b3}},	//   _notr, sgal, ндур, tuşi_, 
   {{0x61ed039f,0x00000000,0x00000000,0x00000000}},	//   pgal, --, --, --, 
   {{0x7c287586,0x28dd1516,0x7c3a7587,0xf2d200c7}},	//   _andr, _मिलि, _aotr, _בעט_, 
   {{0x2ab10952,0x7c3a7588,0xa3b1451b,0x764d009c}},	//   _sáb_, _botr, _ओला_, _mlay, 
   {{0x7c3a7589,0x443a758a,0xa0a4012d,0xc879020f}},	//   _cotr, _xop_, _паўд, puşi_, 
   {{0xfbd000eb,0x764d758b,0x2ca5055f,0x7a3c026a}},	//   اته_, _olay, _vild_, _rétr, 
   {{0x7c28758c,0xdd9511db,0x7e6201be,0xca060093}},	//   _endr, _жабы, ciop, днъж_, 
   {{0x2cad007e,0x7a3c758d,0x7c3a758e,0x387e0054}},	//   _uued_, _pétr, _fotr, fotr_, 
   {{0xddc20613,0xefc800f7,0x6e3b758f,0x764d7590}},	//   mnoš, _định_, _houb, _alay, 
   {{0x6e3b7591,0x443a7592,0x764d03a0,0x55e601a2}},	//   _koub, _rop_, _blay, монб, 
   {{0x7c3a7593,0xb5fb026e,0x2b4f01f0,0x443a2ec9}},	//   _zotr, znáv, ımcı_, _sop_, 
   {{0x68e91e0c,0x6e3b0495,0x7a3c4dfd,0x443a00d1}},	//   qued, _moub, _tétr, _pop_, 
   {{0x6e3b7594,0x7c3a0183,0x7d0402a4,0x7e6205b5}},	//   _loub, _xotr, çisi, ziop, 
   {{0x64a37595,0xb5fb2b70,0x638315d6,0x443a00da}},	//   тара, vnáv, вгра, _vop_, 
   {{0xd0480264,0x7a3c0175,0x2a6d7596,0x03a60176}},	//   ələr, _jétp, nneb_, зиҳо, 
   {{0x443a7597,0xb5fb014b,0x10a67598,0x321c02d9}},	// [6a80] _top_, tnáv, диан, ěvy_, 
   {{0xddc20062,0x645e225d,0x6d420053,0x6e2900bc}},	//   dnoš, _umpi, vyoa, _aneb, 
   {{0xdfcf0629,0x764d00a3,0xaf0a2140,0x00000000}},	//   شين_, _ylay, تقام_, --, 
   {{0x7c280ab1,0x7c3a7599,0x93ee0a09,0x2a6d759a}},	//   _sndr, _sotr, _जाँच_, jneb_, 
   {{0x6da3183d,0xc87906a2,0x00000000,0x00000000}},	//   вица, luşu_, --, --, 
   {{0x7e62759b,0x7c8300c8,0x6e29017b,0x60c90216}},	//   siop, куще, _eneb, _çema, 
   {{0x7c3a1164,0x21220640,0xb5fb2e9b,0x6e3b0237}},	//   _votr, _hrkh_, dián, _foub, 
   {{0x2018759c,0x39141597,0xddc2044e,0xaa634187}},	//   _hari_, емир, bnoš, ктык, 
   {{0x93ee05fd,0xd7e60451,0x5fb20035,0xb5fb2b70}},	//   _जांच_, міно, _जलाल, fián, 
   {{0x473414ec,0x7c280a19,0x7e600102,0x6e290352}},	//   енос, _undr, _hmmp, _zneb, 
   {{0x764d759d,0x26d80212,0x9b460ce0,0xd5ed0108}},	//   _play, éro_, _تناو, _nhạ, 
   {{0x2018759e,0x81e40086,0x6e3b0068,0x8c3d759f}},	//   _lari_, প্ত_, _xoub, _duşu, 
   {{0x9813009c,0x25ad75a0,0xf4871a1b,0x00000000}},	//   ربیا, želo_, дувн, --, 
   {{0x201875a1,0xb5fb001d,0x36d400dd,0x00000000}},	//   _nari_, cián, _зокр, --, 
   {{0xd6cf75a2,0x764d0026,0xd5ed0108,0x02a748df}},	//   _шт_, _tlay, _chạ, драм, 
   {{0x764d17ed,0xd5b800dd,0x20180c36,0x3ce675a3}},	//   _ulay, _ось_, _aari_, krov_, 
   {{0x201875a4,0x8c3d010c,0x6e3b75a5,0x3944073a}},	// [6a90] _bari_, _kuşt, _roub, nyms_, 
   {{0x201811f7,0x6e3b000d,0xdfd10084,0x26000077}},	//   _cari_, _soub, ايا_, ष्ठी_, 
   {{0x201847d2,0x6e3b10cc,0x2a6d017c,0x8c3d75a6}},	//   _dari_, _poub, yneb_, _muşt, 
   {{0xb05b1772,0xddc200d0,0x6e3b0054,0x11eb20b4}},	//   _städ, tnoš, _qoub, _بعدي_, 
   {{0x201875a7,0x3ce675a8,0xe3a51c03,0xfce575a9}},	//   _fari_, grov_, _تشکی, холо, 
   {{0x201875aa,0x6e3b03a0,0x6b883a38,0x32190379}},	//   _gari_, _woub, _bydg, _hasy_, 
   {{0x6e3b31ab,0x7e770019,0x29065d78,0x8cdb0fc0}},	//   _toub, _قارئ, _apoa_, _निको, 
   {{0xe9d928f0,0x7f9475ab,0x20180199,0x2ecb00a2}},	//   чки_, _расх, _zari_, ाठीत, 
   {{0x2018099d,0x5c75451d,0x3219091b,0x8c3d7546}},	//   _yari_, _злат, _masy_, _buşt, 
   {{0xc05200c7,0x321975ac,0xb5fb014b,0x271e008a}},	//   ָזט_, _lasy_, znát, _bċn_, 
   {{0xb5fb200a,0x22b875ad,0x966639f7,0x6b8800f3}},	//   rián, _očka_, екне, _gydg, 
   {{0xf65257c8,0xb21b02c9,0xfb1a00d1,0x00000000}},	//   ائد_, _skæn, _מועמ, --, 
   {{0xe1ff008c,0x00000000,0x00000000,0x00000000}},	//   _ljós_, --, --, --, 
   {{0x6f150035,0x8c3d0241,0x291f095a,0xb4b00e49}},	//   _oszc, _tuşu, mvua_, _ओढी_, 
   {{0x201867e2,0x321913c5,0x68fb75ae,0xe29a0eba}},	//   _rari_, _basy_, ltud, зав_, 
   {{0x2cbf00d2,0x3ddf023e,0xdb1a0098,0xb5fb75af}},	//   _otud_, _nduw_, _netý, niál, 
   {{0x201843db,0x6604024d,0x26d80187,0x68fb0c7c}},	// [6aa0] _pari_, _ibik, árov_, ntud, 
   {{0xb4fb0056,0x201875b0,0x6723090e,0x321900a7}},	//   _צפיי, _qari_, _krnj, _easy_, 
   {{0x201875b1,0x75240097,0x68fb00b0,0xf1bf02d9}},	//   _vari_, _hriz, htud, _znám_, 
   {{0xee3a75b2,0x3ce6621a,0x321905f0,0x2018024d}},	//   яне_, trov_, _gasy_, _wari_, 
   {{0xb5fb75b3,0x201875b4,0x237200e0,0x628645a3}},	//   onár, _tari_, šajā_, _ikko, 
   {{0x60c43b51,0x2bfb241a,0x32190054,0x3ce601ff}},	//   mpim, ल्लू_, _zasy_, rrov_, 
   {{0x68fb5aec,0xfaa60176,0x2cbf0118,0xff0700b3}},	//   etud, ншин, _etud_, _перк_, 
   {{0xdff00e36,0xbea375b5,0x3ce675b6,0x752475b7}},	//   _चाँद_, _баск, prov_, _oriz, 
   {{0x68fb75b8,0xc8661184,0x3f8a00f8,0xed5700a3}},	//   gtud, етни, _hybu_, _зот_, 
   {{0x660475b9,0x672300d2,0x1bba00eb,0x2a6a010e}},	//   _abik, _brnj, _رائع_, őbb_, 
   {{0x6723090b,0xd6d70a10,0xb5fb75ba,0x752475bb}},	//   _crnj, нтя_, dnár, _ariz, 
   {{0xb5fb247e,0x212002f5,0xd0190033,0x224901cf}},	//   ciál, kvih_, ঠায়_, xkak_, 
   {{0x752400d9,0x386505d8,0xdb080566,0xdff011c1}},	//   _criz, bilr_, _afdø, _चांद_, 
   {{0x628675bc,0xddc90f30,0x75245645,0x66040a8b}},	//   _akko, _mješ, _driz, _ebik, 
   {{0xddc92867,0x522702f1,0x752475bd,0x321975be}},	//   _lješ, нфаа, _eriz, _pasy_, 
   {{0xdb1a024a,0xdb0a0219,0x1fcd0033,0x998d1a44}},	//   _aftë, bbfö, _লাইস, lješ_, 
   {{0x60f94216,0x660f0076,0x224975bf,0x067c042c}},	// [6ab0] ьная_, meck, rkak_, _מנהל, 
   {{0x661d75c0,0x660f4835,0x998d00d0,0xb4dd009a}},	//   ldsk, leck, nješ_, डळी_, 
   {{0xc88501c4,0xdb1a0228,0x661d75c1,0x32190379}},	//   äßig_, _metó, odsk, _tasy_, 
   {{0x661d1950,0x660f026e,0xddc9015e,0x22b80864}},	//   ndsk, neck, _bješ, _učka_, 
   {{0xed580b0c,0x6448014e,0xdd94012d,0x661d1b26}},	//   ної_, ödig, гацы, idsk, 
   {{0xe52275c2,0x660f013f,0x628d75c3,0x9c870098}},	//   मिति_, heck, llao, dičá, 
   {{0x7f9401a2,0x998d0a1a,0x6f150035,0xa7fc00ad}},	//   _барх, dješ_, _uszc, hnıs, 
   {{0x68fb75c4,0x661d75c5,0x78aa0036,0x6e9500b3}},	//   ttud, jdsk, _aifv, _рибу, 
   {{0xb5fb0254,0x660f75c6,0xdb1a0228,0x67230352}},	//   riál, deck, _betó, _srnj, 
   {{0x68fb75c7,0x67231993,0xdb1a0183,0x628d75c8}},	//   rtud, _prnj, _cetó, hlao, 
   {{0xdddb031e,0xf09200d1,0x6d595a83,0xca610104}},	//   _zkuš, שני_, lzwa, _islо, 
   {{0x672375c9,0x320001ff,0x6fcd0033,0xcb1200d1}},	//   _vrnj, xfiy_, ালয়ে, _כלב_, 
   {{0x5803005e,0x69c975ca,0x959975cb,0x629a00d8}},	//   _болғ, mbee, етру_, ůtok, 
   {{0xd7fb0a43,0xe731040f,0x69c975cc,0x67230613}},	//   _худ_, _نصب_, lbee, _trnj, 
   {{0xe73902fb,0x67150b79,0xd0120444,0x969675cd}},	//   _цей_, _तनिक_, یلر_, _ириш, 
   {{0x26c52126,0x69c9064e,0x628d75ce,0x660475cf}},	//   mplo_, nbee, glao, _ubik, 
   {{0x2167221b,0x752475d0,0xb14301ff,0x00000000}},	// [6ac0] вити_, _uriz, антл, --, 
   {{0xddc902a8,0x071537c0,0x68e9019c,0x60c475d1}},	//   _rješ, _तनाव_, ired, rpim, 
   {{0x7d0975d2,0x68e902bf,0xdddb0688,0xe29a0080}},	//   _apes, hred, _skuš, _оао_, 
   {{0xddc90f30,0x60c475d3,0x62860080,0x69c9039b}},	//   _pješ, ppim, _ukko, jbee, 
   {{0x9cb300eb,0x68e975d4,0x69c90380,0xd7e10110}},	//   لمنت, jred, dbee, पणाच, 
   {{0xddc90f30,0xddc2014b,0x660f0098,0xb5fb0068}},	//   _vješ, dnoť, zeck, viám, 
   {{0xdb1a21dc,0x68e975d5,0x661d75d6,0x7d0975d7}},	//   _retó, ered, ydsk, _epes, 
   {{0x68e975d8,0xddc90b43,0xf2d300d1,0x69c90c0c}},	//   fred, _tješ, בעה_, gbee, 
   {{0x660f75d9,0x6da309f9,0x22b800da,0x8e750df4}},	//   veck, _вита, _očko_, _сурч, 
   {{0xad2575da,0x63bc05ae,0xb5fb0183,0x660f75db}},	//   _حرفو, jcrn, riám, weck, 
   {{0x660f75dc,0x7bd875dd,0x6aab0118,0x69c975de}},	//   teck, mavu, _figf, bbee, 
   {{0x26f2000f,0x68e94329,0x3ce90dee,0xf6470148}},	//   _अमीर_, bred, šave_, тхон, 
   {{0x660f75df,0x2cac0626,0x3dd70086,0x661d0d17}},	//   reck, _kidd_, _হামল, rdsk, 
   {{0x7bd875e0,0x26d8010e,0x67d4022c,0xd5c32997}},	//   navu, áros_, _соку, _व्रज, 
   {{0xe5c775e1,0x07f7086b,0xa3d400a2,0x3879010e}},	//   _испо, _شروع_, _हजर_, ésre_, 
   {{0x35f509e6,0x7bd875e2,0x6258007a,0x2cac0664}},	//   _спир, havu, _líof, _lidd_, 
   {{0x51877552,0x7bd875e3,0xd49b37d6,0xaad900bc}},	// [6ad0] тува, kavu, _оро_, _यौनक, 
   {{0x9f3575e4,0x7bd80032,0x25be02d9,0x00000000}},	//   лезі, javu, ětle_, --, 
   {{0x7d0975e5,0x6ad100b0,0x1fa75232,0x628d75e6}},	//   _spes, _सबेर, траг, plao, 
   {{0x7bca006d,0x6d1e094d,0x68e975e7,0x2cac0090}},	//   ebfu, पिंग_, yred, _aidd_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x68e9034c,0x7bd875e8,0xeb99144a,0x6d5975e9}},	//   vred, gavu, нил_, rzwa, 
   {{0x9f343816,0x8c42093d,0x4ea70e12,0x69c910f3}},	//   _кері, сеще, _араа, tbee, 
   {{0xe81b00b0,0x00000000,0x00000000,0x00000000}},	//   _भोजा_, --, --, --, 
   {{0x69c909a2,0x8cbb00d4,0x7bd82a0a,0x68e91826}},	//   rbee, _آدرس_, bavu, ured, 
   {{0x69c9123b,0x67210372,0x3ead076b,0x2cac076b}},	//   sbee, tvlj, _hiet_, _gidd_, 
   {{0x68e916ef,0x3ead0210,0x6284095a,0x00000000}},	//   sred, _kiet_, yoio, --, 
   {{0x67210304,0x3ead00a4,0xcf9200d1,0x2cac0248}},	//   rvlj, _jiet_, מטי_, _zidd_, 
   {{0x3ead007b,0x28dd0e7d,0x232701a2,0x62580354}},	//   _miet_, _मिटि, қоти_, _híog, 
   {{0xfbe500cc,0x3ead75ea,0x97250e90,0xfbc600ae}},	//   প্রত, _liet_, _مفتو, रुपम, 
   {{0x91e61c8e,0xc8a80093,0x00000000,0x00000000}},	//   лове, _ръце_, --, --, 
   {{0x3ead54ce,0x425575eb,0x152802f1,0x7bd875ec}},	//   _niet_, атут, _аниқ_, zavu, 
   {{0x7bd875ed,0xc0065576,0x62840474,0x00000000}},	// [6ae0] yavu, лпак, roio, --, 
   {{0x8fa64494,0xfdcc0e6e,0xc4d30486,0x00000000}},	//   газе, ार्फ, _הגז_, --, 
   {{0x93fb00c7,0x3ead00e7,0x7bd80b24,0xc7d600d1}},	//   _אליי, _biet_, vavu, רועי_, 
   {{0x7bd870cf,0x22162918,0x201c090e,0x644e02ae}},	//   wavu, _сфор, žvi_, lkbi, 
   {{0xa07600c8,0x8c4675ee,0xdee30148,0x3ead75ef}},	//   _бывш, леде, _қоти, _diet_, 
   {{0x61f60156,0x644e75f0,0x2ab80574,0x62580354}},	//   lgyl, nkbi, _péb_, _bíog, 
   {{0x7bd875f1,0x81d70033,0x3ead03c6,0x224275f2}},	//   ravu, _সাত_, _fiet_, _kokk_, 
   {{0x3ead75f3,0x7bd875f4,0x61f67395,0x25ad75f5}},	//   _giet_, savu, ngyl, želi_, 
   {{0xd7fa1a4c,0xa2bb1f19,0x286a196d,0x2ba502e6}},	//   нун_, _शून्, ерно_, गेबा, 
   {{0x0d754216,0x3ead0b32,0x22423245,0x00000000}},	//   _тыся, _ziet_, _lokk_, --, 
   {{0xa63508af,0xfd500108,0x80370070,0x00000000}},	//   анні, _nghẽ, אניע_, --, 
   {{0x224275f6,0xe7e0031e,0x644e039b,0x00000000}},	//   _nokk_, _गएका_, ekbi, --, 
   {{0x80b000b0,0x58d4001c,0xf9920816,0x2a660474}},	//   _अंगे, _толт, _ابا_, _imob_, 
   {{0x2a66006d,0x81ce0033,0x63551bce,0x00000000}},	//   _hmob_, _রাগ_, авгу, --, 
   {{0x5695048a,0x046406ba,0x05150033,0x4df60299}},	//   _какт, стям, ামের_, ीभाई_, 
   {{0x1fdd072e,0xea010210,0x26de75f7,0x00000000}},	//   मण्ड, _đẫy_, msto_, --, 
   {{0x3f9802fe,0x3ead75f8,0xa1582107,0x00000000}},	// [6af0] _azru_, _riet_, гату_, --, 
   {{0x44ff010c,0x3ead75f9,0x2bc61f19,0x26de75fa}},	//   mî_, _siet_, रुमा, osto_, 
   {{0x44ff0218,0x3ead0b1f,0x533575fb,0x62580038}},	//   lî_, _piet_, _тент, _bíod, 
   {{0x51872189,0x9f5c00bc,0x26de75fc,0x6258007a}},	//   _буга, ývá_, isto_, _ríog, 
   {{0x44ff078a,0x3ead001b,0x625803c2,0xb8140262}},	//   nî_, _viet_, _díod, तजाम_, 
   {{0x26de75fd,0xcb6975fe,0x3ead064e,0xdca5460d}},	//   ksto_, кале_, _wiet_, шали, 
   {{0x44ff0218,0x26de3bbf,0x3ead75ff,0x201300b9}},	//   hî_, jsto_, _tiet_, mexi_, 
   {{0x44ff078a,0x2f18004f,0x80da031e,0xdb24010e}},	//   kî_, _щось_, _पौडे, ásáh, 
   {{0x26de7600,0x44ff009e,0x7e6b011d,0xbf050249}},	//   esto_, jî_, migp, _रहुन_, 
   {{0x44ff0218,0x7d1b7601,0x7e6b01e8,0x6fe000bc}},	//   dî_, _isus, ligp, mácí, 
   {{0xfb150a24,0xb06401c4,0xa3d9007e,0x6d4b7602}},	//   _خواج, lmäß, ारन_, lyga, 
   {{0x44ff010c,0x7e6b011d,0x44d20054,0x366a7603}},	//   fî_, nigp, tņ_, тамо_, 
   {{0xb0640502,0x69db02eb,0x00000000,0x00000000}},	//   nmäß, maue, --, --, 
   {{0xb05b33d6,0x7e6b0c36,0x1869251b,0xa8790070}},	//   _stän, higp, _шали_, _שאַר, 
   {{0x7e6b0495,0x03a64867,0xa1c50032,0x38670027}},	//   kigp, риво, _dážď_, _imnr_, 
   {{0x44ff009e,0xbbd1000d,0x212d02fe,0x69db01c4}},	//   bî_, हरुक, _šeha_, naue, 
   {{0x38bb0218,0xe3b22e10,0x1fb67604,0x61f62215}},	// [6b00] _jêr_, _ورد_, асер, rgyl, 
   {{0x69db02f2,0x38bb010c,0x6d4b0a6d,0x7bc1008a}},	//   haue, _mêr_, dyga, _nflu, 
   {{0x44447605,0x7d1b0dfa,0xe00200a5,0xd5ba02e6}},	//   _io_, _asus, र्षद_, _इलाज, 
   {{0x44447606,0x7bc17607,0x72db00d1,0x4d4a00f0}},	//   _ho_, _aflu, _בקטג, кпен_, 
   {{0x44447608,0xbbd1000d,0x69db01c4,0x38bb009e}},	//   _ko_, हरूक, daue, _nêr_, 
   {{0x26de59c5,0xac0700a3,0x9f580534,0x00000000}},	//   ysto_, инча_, _mbrú_, --, 
   {{0x44447609,0xdb1a0019,0x44ff078a,0xe3e900c7}},	//   _mo_, _letö, zî_, אַפֿ, 
   {{0x4444760a,0x3ce900f1,0x44ff078a,0x5a3419aa}},	//   _lo_, šava_, yî_, снит, 
   {{0x4444760b,0x44ff0216,0xb4e500bd,0x200a261e}},	//   _oo_, xî_, _पटे_, _kbbi_, 
   {{0x444440bd,0xb8fe0d95,0x38bb0216,0x44ff0218}},	//   _no_, _तब_, _dêr_, vî_, 
   {{0x44ff010c,0x61e650f4,0x2fd800d9,0x69db01c4}},	//   wî_, _odkl, _merg_, baue, 
   {{0x4444760c,0x44ff078a,0x6e20760d,0xf76f1fe8}},	//   _ao_, tî_, _jamb, باً_, 
   {{0x4444760e,0x6e20760f,0x7d027610,0x38bb0090}},	//   _bo_, _mamb, ntos, _gêr_, 
   {{0x44ff1816,0x444400a7,0x948711db,0xea01001b}},	//   rî_, _co_, рымд, _đẩy_, 
   {{0x44440052,0x44ff0218,0x883b00a7,0x38bb009e}},	//   _do_, sî_, _בתגו, _zêr_, 
   {{0x44447611,0x7d027612,0x09aa0086,0x200a7613}},	//   _eo_, ktos, _গ্যা, _abbi_, 
   {{0x44447614,0x6e2201b8,0x44ff009e,0x38bb010c}},	// [6b10] _fo_, ddob, qî_, _xêr_, 
   {{0x444417c1,0xd7f800d9,0x838713f2,0x6e207615}},	//   _go_, ngă_, _выме, _aamb, 
   {{0x4ea77616,0x6e207617,0x3eb8022c,0x62580038}},	//   арда, _bamb, _curt_, _díob, 
   {{0x44447618,0x44210e32,0x6e227619,0x6e20173f}},	//   _zo_, _hah_, gdob, _camb, 
   {{0x4444761a,0x64452b92,0xfde80259,0x3eb80354}},	//   _yo_, _kohi, рдік_, _eurt_, 
   {{0x4444761b,0x4421007e,0x9f35761c,0x3eb8761d}},	//   _xo_, _jah_, _легі, _furt_, 
   {{0x4421761e,0x6445761f,0x6e200180,0x38bb00f8}},	//   _mah_, _mohi, _famb, _sêr_, 
   {{0x442136ff,0x6e204617,0xe8f92bfe,0x38bb03c6}},	//   _lah_, _gamb, гли_, _pêr_, 
   {{0x7e690053,0x69db7620,0x97d900dd,0x088900a3}},	//   _imep, raue, льну_, лбий_, 
   {{0x6e200727,0x442100a2,0x64457621,0x69db7622}},	//   _zamb, _nah_, _nohi, saue, 
   {{0x44447623,0x9b950084,0x3eb8010c,0xab9500eb}},	//   _ro_, _الات, _xurt_, _الاغ, 
   {{0x44447624,0xb05b0750,0x6e204552,0x38bb010c}},	//   _so_, _stäl, _xamb, _têr_, 
   {{0x4421614f,0x69d90876,0x64457625,0x81cd0033}},	//   _bah_, _iewe, _bohi, রণা_, 
   {{0x4444093e,0x6e220b43,0x69d9023e,0x4421009c}},	//   _qo_, zdob, _hewe, _cah_, 
   {{0x44447626,0x44215d08,0x7d02006b,0x69d97627}},	//   _vo_, _dah_, ztos, _kewe, 
   {{0x44447628,0x69d97629,0x4421023e,0x7e7b009c}},	//   _wo_, _jewe, _eah_, _njup, 
   {{0x4444762a,0x6e2009b7,0x394d3307,0xe297762b}},	// [6b20] _to_, _ramb, nyes_, сат_, 
   {{0x69d90691,0xd12f003f,0x7e690053,0xa5bb762c}},	//   _lewe, عمل_, _amep, ndón, 
   {{0x6e20762d,0xb5fb762e,0x290f0626,0xaf06152f}},	//   _pamb, riáv, _lpga_, спел, 
   {{0x7d02762f,0x291d0cd7,0x6e221433,0x44210180}},	//   ttos, _oswa_, udob, _zah_, 
   {{0x6e227630,0x442100a2,0x7e7b05a1,0x7c217631}},	//   rdob, _yah_, _djup, _balr, 
   {{0x7056024f,0x7d027632,0x6f1303da,0x6e201b7a}},	//   _انسا, rtos, ñecí, _wamb, 
   {{0x69d97633,0xa3d909ec,0x7d027634,0xa6f20086}},	//   _bewe, ारत_, stos, _জন্ম_, 
   {{0x69d900a2,0xa3e807d5,0x7d027635,0x6e207636}},	//   _cewe, मृत_, ptos, _uamb, 
   {{0xed500105,0x69d97637,0x645c7638,0x02660023}},	//   _تھا_, _dewe, khri, _đến_, 
   {{0x2bcf2414,0xd7f8002e,0x3ea60495,0x7c213660}},	//   _स्पा, ugă_, lmot_, _galr, 
   {{0x64457639,0x4421763a,0x3aeb0274,0xd7f800b3}},	//   _rohi, _rah_, _مبنی_, rgă_, 
   {{0x69d90dde,0x4421763b,0x291a0a5a,0x644502f1}},	//   _gewe, _sah_, _مقصد_, _sohi, 
   {{0xa9670fa7,0x7bda763c,0xb05b022b,0x4421763d}},	//   _лица_, _ketu, _stäm, _pah_, 
   {{0x645c763e,0x3871005e,0xe947006b,0x7bda763f}},	//   ghri, _оқыт, _درمی, _jetu, 
   {{0x7bda00e4,0xb8652751,0x64457640,0xe81d009a}},	//   _metu, _بانو, _vohi, _बघता_, 
   {{0x44217641,0x7bda7642,0x2bcf017d,0x2240024a}},	//   _wah_, _letu, _स्ना, gjik_, 
   {{0x442111e9,0x64457643,0x313400af,0x62580038}},	// [6b30] _tah_, _tohi, петр, _síoc, 
   {{0x645c398f,0x7bda7644,0xddd40588,0x212b0098}},	//   chri, _netu, _čašo, _vrch_, 
   {{0x752d0098,0x00000000,0x00000000,0x00000000}},	//   _hraz, --, --, --, 
   {{0x752d06df,0x395f0065,0xb5fb00de,0x7bda01a4}},	//   _kraz, yzus_, ciát, _aetu, 
   {{0x7bda7645,0x660d7646,0x8c457647,0x69d97648}},	//   _betu, _mbak, желе, _rewe, 
   {{0x7bda7649,0x752d42bd,0x69d9764a,0x394d006d}},	//   _cetu, _mraz, _sewe, vyes_, 
   {{0xda5900cf,0x7bda764b,0x9f5f00c8,0xeb99764c}},	//   ириш_, _detu, ärän_, шик_, 
   {{0x752d764d,0x7e690053,0x08c52b87,0xef220035}},	//   _oraz, _umep, обин, _dużą_, 
   {{0x60cd764e,0x2a6d764f,0x7c213622,0x6f057650}},	//   npam, rieb_, _talr, lthc, 
   {{0x7bda7651,0x660d7652,0x60cd7653,0x69d9079a}},	//   _getu, _abak, ipam, _wewe, 
   {{0x2bcf031e,0x752d7654,0xa5bb7655,0x69d90fea}},	//   _स्या, _araz, rdón, _tewe, 
   {{0xf5067656,0xd0220086,0x68ee0785,0x291d0364}},	//   озмо, নায়_, ündü, _tswa_, 
   {{0x645c7657,0x37e527b6,0x2bc609d3,0x9586005e}},	//   thri, _долг, रुवा, ілге, 
   {{0x2bcf143e,0x752d7658,0xe1ff0183,0x660d7659}},	//   _स्मा, _draz, _acó_, _ebak, 
   {{0x752d765a,0x645c003e,0xd33507df,0x00000000}},	//   _eraz, rhri, пэты, --, 
   {{0x645c02f1,0x316001f1,0x00000000,0x00000000}},	//   shri, tziz_, --, --, 
   {{0x752d765b,0x645c0038,0x3d19000d,0x60cd2a85}},	// [6b40] _graz, phri, _मैले_, gpam, 
   {{0xb5fb0183,0xa49b00f6,0x81d70033,0x769d011c}},	//   siát, ntòl, _সাঃ_, méya, 
   {{0x7bda1229,0xe29a765c,0x752d0228,0x3246183a}},	//   _retu, _ван_, _zraz, _денг, 
   {{0x7bda5f50,0xb5fb765d,0x1ea9091d,0x00000000}},	//   _setu, chád, ماني_, --, 
   {{0x7bda04bb,0xfce3765e,0x3ea6765f,0x6f054aec}},	//   _petu, дочо, rmot_, athc, 
   {{0x98a6031e,0x7bda0415,0x8c430267,0x09d20110}},	//   _proč_, _qetu, деље, सर्य, 
   {{0x7bda7660,0x2bc609ef,0x00000000,0x00000000}},	//   _vetu, रुषा, --, --, 
   {{0x98a60121,0x7bda0539,0x769d04c6,0x7a3800d9}},	//   _vroč_, _wetu, kéya, спир_, 
   {{0x7bda7661,0x2902009e,0x49741ca5,0x998d027e}},	//   _tetu, îka_, ялис, rdeş_, 
   {{0x29047662,0xa7fc0384,0xc8660038,0x769d009c}},	//   rtma_, lnız, تطبي, déya, 
   {{0xa3d90fec,0x569525c5,0xb5fb07ca,0x660d0065}},	//   ारस_, зант, diár, _pbak, 
   {{0x752d7663,0xe667004f,0xb5fb02be,0x00000000}},	//   _praz, ітно, viás, --, 
   {{0x769d00d4,0x00000000,0x00000000,0x00000000}},	//   géya, --, --, --, 
   {{0xc1d310b0,0xb5fb7664,0x00000000,0x00000000}},	//   तर्ग, giár, --, --, 
   {{0x9f470824,0x926b02aa,0x6aa22b03,0x34940176}},	//   ünü_, араа_, _khof, фарр, 
   {{0x95cb00ce,0xa75b00a7,0x212902ee,0xa3d963e4}},	//   _тука_, _כדור, tvah_, ारह_, 
   {{0x50f5030f,0xb5fb7665,0xa19413f2,0xf19400af}},	// [6b50] язат, siás, датч, дить, 
   {{0xb5fb114e,0x21290352,0x071e01a4,0xea010108}},	//   ciár, rvah_, _बनाव_, _đậy_, 
   {{0xdefb08a5,0x43950f89,0xb5fb0038,0x00000000}},	//   рыз_, _ханс, mháb, --, 
   {{0x60cd7666,0x6f057667,0xa5bb01d5,0x00000000}},	//   ppam, rthc, kdóm, --, 
   {{0x260002f8,0x28da6de9,0x823a24ea,0xddc20035}},	//   ष्टी_, _मौलि, _הערצ, lkoś, 
   {{0x6455012e,0x2bc6031e,0x6aa27139,0x00000000}},	//   nkzi, रुला, _ahof, --, 
   {{0x6258007a,0x4a7526ef,0x00000000,0x00000000}},	//   _míon, зыпт, --, --, 
   {{0x625800eb,0x6aa27668,0x7d0d02be,0x00000000}},	//   _líon, _chof, çass, --, 
   {{0x2bcf08b3,0x38ca00d4,0xa5bb0679,0x6e94004f}},	//   _स्था, یایی_, gdóm, _циту, 
   {{0xa2a2034d,0x00000000,0x00000000,0x00000000}},	//   _कीन्, --, --, --, 
   {{0xe7bc0394,0xb5fb0165,0x00000000,0x00000000}},	//   ोड़प, viár, --, --, 
   {{0xfbcf04bd,0x62580038,0x6aa20537,0x628d02be}},	//   _स्तम, _aíon, _ghof, joao, 
   {{0x4a9a035c,0x625800eb,0xdddb008b,0x6aa901e8}},	//   _פינג, _bíon, _okuž, mmef, 
   {{0xddc904ab,0xb5fb039f,0x769d17f9,0x00000000}},	//   _njež, gháb, réya, --, 
   {{0x4256062f,0x998d0082,0xa49b00b9,0x62586f66}},	//   птат, njež_, ctòm, _díon, 
   {{0xb21b7669,0xa3b80366,0x998f0028,0x769d011c}},	//   _skær, _छलक_, _uogų_, péya, 
   {{0xddc9027c,0x4fea766a,0x6258007a,0x15fb00df}},	// [6b60] _bjež, йман_, _fíon, _ההפע, 
   {{0xb4d8148e,0xb5fb0183,0xd17944bd,0x645502eb}},	//   ाठी_, cháb, істі_, ckzi, 
   {{0x0dca766b,0xa3d900aa,0x389a0147,0x00000000}},	//   були_, ारर_, ציענ, --, 
   {{0x9e6520b4,0x00000000,0x00000000,0x00000000}},	//   وانن, --, --, --, 
   {{0x2007022c,0xacf8004f,0xe3b21c03,0x6da6035b}},	//   ònic_, інку_, _ترک_, чида, 
   {{0x6aa2766c,0xdee601ff,0xdfd23aa9,0x00000000}},	//   _shof, _ноги, _سير_, --, 
   {{0x6aa2084c,0x00000000,0x00000000,0x00000000}},	//   _phof, --, --, --, 
   {{0x201a766d,0x22b800ca,0x9f5802aa,0xce34023e}},	//   lepi_, _učku_, _ecrã_, _تورک, 
   {{0xd90e0e70,0x61eb0042,0x851b00a5,0xbc66766e}},	//   ایت_, ógli, _पैंट_, _евак, 
   {{0xe7864cd6,0xa5bb003e,0x201a766f,0x8db50259}},	//   зумо, rdóm, nepi_, _істі, 
   {{0x09db0086,0x21270023,0x3e7514d9,0x20572737}},	//   _ধারা, ̉nh_, sťte_, פיטל_, 
   {{0x201a023e,0x00000000,0x00000000,0x00000000}},	//   hepi_, --, --, --, 
   {{0x09aa00cc,0x3ce63c61,0xa3d9109f,0xb5fb007a}},	//   _গ্রা, nsov_, ारल_, tháb, 
   {{0x201a027c,0x00000000,0x00000000,0x00000000}},	//   jepi_, --, --, --, 
   {{0x92957670,0x3a260574,0x201a1e21,0x00000000}},	//   давц, _kaop_, depi_, --, 
   {{0xdddb2fab,0x439402c0,0xd5c10586,0xc29901fc}},	//   _skuž, хасс, _एलिज, іках_, 
   {{0x201a0226,0x64411ece,0x212f007a,0x80b51d06}},	// [6b70] fepi_, ölis, ígh_, дбах, 
   {{0x2fc7001b,0x3a26023e,0x201a01e5,0x1fa7152e}},	//   ùng_, _laop_, gepi_, прег, 
   {{0xddc92592,0x7f192daa,0xb5fb1102,0xf09f01be}},	//   _vjež, تياز_, chác, _spàs_, 
   {{0x13e20033,0x00000000,0x00000000,0x00000000}},	//   _বায়, --, --, --, 
   {{0x51841712,0xf1ab00c5,0x3ce60082,0xece8004f}},	//   _зура, _داده_, gsov_, зділ_, 
   {{0x5fe17671,0x224b00e2,0x201a0474,0x00000000}},	//   _फ़िल, _hock_, cepi_, --, 
   {{0x224b7672,0x6e6700fd,0x9aa5010e,0x00000000}},	//   _kock_, _етаж, ومتو, --, 
   {{0x88c97673,0x00000000,0x00000000,0x00000000}},	//   олив_, --, --, --, 
   {{0x7c8700b3,0x6aa9050f,0x2aa1039f,0x00000000}},	//   _еуже, rmef, tóbb_, --, 
   {{0x6fdd0fcf,0x6fb1009a,0x224b7674,0x46e903a1}},	//   यरिं, _जणां, _lock_, одон_, 
   {{0x3ddf0175,0xcb55070f,0x888200b3,0x00000000}},	//   _keuw_, _تناظ, тлэж, --, 
   {{0x2cbf007e,0x81d30033,0xf3e900d1,0x626c010c}},	//   _kuud_, হৃত_, _כף_, rşok, 
   {{0x625800eb,0x25df00b0,0xb5fb001d,0xa3d90110}},	//   _díol, _कजरी_, riáp, ारं_, 
   {{0x2cbf007e,0x68fb2a4e,0x291f0d94,0x03a67675}},	//   _muud_, muud, mwua_, диго, 
   {{0x23270840,0x2cbf7676,0x224b3d6f,0x68fb0dfa}},	//   мори_, _luud_, _bock_, luud, 
   {{0x09b10086,0xcb1200d1,0x224b7677,0x8216007a}},	//   _ট্যা, כלל_, _cock_, بورص, 
   {{0x68fb7678,0x201a7679,0x9f47010c,0x224b5188}},	// [6b80] nuud, tepi_, ûnî_, _dock_, 
   {{0x4fea005e,0x39420088,0xa3d90c73,0x75240027}},	//   імен_, äksi_, ारः_, _isiz, 
   {{0x201a767a,0x645e0036,0xc43b00d1,0x224b03c5}},	//   repi_, _ilpi, _ותיי, _fock_, 
   {{0x90c6767b,0x201a767c,0x6492055f,0x2c005411}},	//   _обме, sepi_, pæis, _राहू_, 
   {{0x92d600cc,0x443a0870,0x60c90095,0x0caa43a1}},	//   _সময়_, _knp_, _çemp, отки_, 
   {{0x13e200cc,0x68fb052b,0x3ddf012e,0x3dc6767d}},	//   _বাড়, duud, _eeuw_, scow_, 
   {{0x60c42e21,0x6258007a,0x09e20033,0xfaa6187f}},	//   lqim, _líom, _যাবা, мшин, 
   {{0x61e4767e,0xdee603dc,0x8fa34057,0x66040027}},	//   nail, _ноҳи, _расе, _ncik, 
   {{0x2bcf1cdd,0x60c20084,0x672301ee,0x5886767f}},	//   _स्वा, íomh, _asnj, дына, 
   {{0x61e47680,0x0c261afd,0x7e620226,0x6258007a}},	//   hail, _імен, lhop, _síol, 
   {{0x61e47681,0x7c3a7682,0x60c400e5,0xc7b8056e}},	//   kail, _intr, hqim, jeđe_, 
   {{0x443a177c,0x7c287683,0x7e6262e5,0x61e47684}},	//   _anp_, _hadr, nhop, jail, 
   {{0x6846004e,0x224b00d1,0xb956009c,0x00000000}},	//   _онда, _rock_, _تئات, --, 
   {{0x7c287685,0x7c2a4ea8,0x6d420068,0x660402a5}},	//   _jadr, ndfr, ixoa, _ecik, 
   {{0x61e46195,0xc6140086,0x7c286725,0x7e6207d7}},	//   fail, িয়া_, _madr, khop, 
   {{0x61e47686,0x3ce90613,0x443a01f2,0x442a00a1}},	//   gail, šavi_, _enp_, adb_, 
   {{0x661d006f,0x7c3a7687,0xe4a700f6,0x7e627688}},	// [6b90] mesk, _ontr, _ороо, dhop, 
   {{0xd9bb07bd,0xcf9b0886,0x443a365d,0x2cbf7689}},	//   _उल्ट, оје_, _gnp_, _ruud_, 
   {{0x83350137,0x03d600a7,0x61e40a75,0x224b0604}},	//   _װאָס_, _אותם_, bail, _tock_, 
   {{0x28df0e17,0x7c3a768a,0x61e40ae7,0x7c28007e}},	//   पीडि, _antr, cail, _aadr, 
   {{0x7c28768b,0x7c3a0149,0x644e0352,0x646800c2}},	//   _badr, _bntr, žniš, _äriü, 
   {{0x7c28768c,0x68fb00c8,0x78b800c3,0x661d768d}},	//   _cadr, vuud, _nivv, hesk, 
   {{0x661d1ab9,0x60cf1ba5,0xa5bb007a,0x7c280218}},	//   kesk, _htcm, adói, _dadr, 
   {{0x7c3a768e,0x7e62768f,0xdd952f89,0xa9251790}},	//   _entr, chop, _забы, едил, 
   {{0x59c10262,0x395901d5,0x6e3b011d,0x78b802a5}},	//   शखबर, áss_, _inub, _bivv, 
   {{0x62580084,0x61e402ba,0x1cb800c5,0x20010093}},	//   _ríom, zail, _قالب_, nghi_, 
   {{0xe7391da4,0x68fb2248,0xd6ce00d6,0x6e2900b0}},	//   чен_, suud, یقی_, _kaeb, 
   {{0x661d7690,0x6e2902a2,0x443a7691,0x26052414}},	//   gesk, _jaeb, _snp_, _वाणी_, 
   {{0x61e47692,0x7c2800a3,0xdddb01b8,0xc7b800ca}},	//   vail, _yadr, _aluŋ, veđe_, 
   {{0x7c280587,0x2bac0ead,0x6e29084c,0x61e47693}},	//   _xadr, टेवा, _laeb, wail, 
   {{0x61e47694,0xa6962fa3,0x68e97695,0x96965f3a}},	//   tail, _приј, lsed, _приш, 
   {{0x69c95a74,0x6447009b,0x35a67696,0x20013562}},	//   ncee, ajji, _пайг, eghi_, 
   {{0x61e47697,0x68e97698,0x5f460019,0x60dd00f8}},	// [6ba0] rail, nsed, کنال, _cwsm, 
   {{0x61e40a9f,0x2bcf047c,0x2a7f006d,0xfbcf02e6}},	//   sail, _स्ला, hnub_, _स्लम, 
   {{0x91e6152e,0x69cb5664,0xdfcf00eb,0x6e290fe5}},	//   _поне, _ofge, صين_, _baeb, 
   {{0x7c2802f5,0x61460843,0xfce60386,0x69c9006d}},	//   _sadr, _зема, еодо, jcee, 
   {{0x6e2900f4,0x7e62014e,0xd4690274,0x6e3b00a4}},	//   _daeb, rhop, _رحیم_, _dnub, 
   {{0x68e96883,0x69cb1e97,0x8c437699,0x7c2802f1}},	//   dsed, _afge, лече, _qadr, 
   {{0x8fa3065b,0x7c2a429a,0x68eb00b9,0xe9e6021d}},	//   _баре, rdfr, _avgd, нцпо, 
   {{0x5a3416e1,0x0a6a00a3,0x89383a87,0x0dc9007a}},	//   тнит, ярли_, дпис_, _يبقى_, 
   {{0x81e500cc,0x9f41010c,0x661d769a,0x7c280104}},	//   _নাম_, nahî_, vesk, _tadr, 
   {{0x47340cd9,0xbc6a0ce0,0x661d019b,0x6e29052b}},	//   внос, _عمان_, wesk, _zaeb, 
   {{0x45d544f4,0x661d769b,0xa5f9769c,0x6e290226}},	//   конс, tesk, мену_, _yaeb, 
   {{0x97a31b17,0xea010029,0xff7b042c,0x4aaa0161}},	//   ырыл, _đầy_, לטימ, _экен_, 
   {{0x661d769d,0x9f41769e,0x78b8007b,0x00000000}},	//   resk, jahî_, _tivv, --, 
   {{0xb5fb769f,0x9f4176a0,0x661d76a1,0x00000000}},	//   chán, dahî_, sesk, --, 
   {{0x938876a2,0x02a72dcf,0x661d53be,0x439558d8}},	//   еста_, ерам, pesk, тавс, 
   {{0x569576a3,0x99860032,0x00000000,0x00000000}},	//   _шайт, _množ_, --, --, 
   {{0x2cff0239,0xddc9020f,0x00000000,0x00000000}},	// [6bb0] _ईमेल_, _aleş, --, --, 
   {{0x6e3b76a4,0x6e29011c,0x7688035d,0x00000000}},	//   _snub, _saeb, rıye, --, 
   {{0x20010093,0xf41200d1,0xddc9107c,0x00000000}},	//   rghi_, _דפי_, _cleş, --, 
   {{0xa3d90081,0x68e9017c,0xd130010e,0x00000000}},	//   ारक_, ysed, جمے_, --, 
   {{0x6b9a02f1,0xddc976a5,0xdddb107c,0x2d58017b}},	//   _aytg, _eleş, _ajuţ, ниць_, 
   {{0x224900f1,0xeb9976a6,0x6e29095a,0x00000000}},	//   ljak_, мил_, _waeb, --, 
   {{0x2bac4437,0x626c6252,0x6b9a00f3,0x00000000}},	//   टेला, rşov, _cytg, --, 
   {{0x68e976a7,0xcd420019,0xc33407e4,0x25ed0083}},	//   tsed, _چھوٹ, רוק_, _आएगी_, 
   {{0x69c901c8,0xee840810,0x3331011c,0x00000000}},	//   rcee, _сыро, hvzx_, --, 
   {{0x68e90730,0x69c9039b,0x55c5004e,0x245402ae}},	//   rsed, scee, ғарғ, _jämt_, 
   {{0xf771024f,0x68e96801,0x0a15070f,0x27f80936}},	//   شاد_, ssed, _لواح, órna_, 
   {{0x3ce90242,0x00000000,0x00000000,0x00000000}},	//   šavu_, --, --, --, 
   {{0xceb207f5,0xd8250cdf,0xb5fb03b3,0x68e90c45}},	//   ייט_, _адли, mhál, qsed, 
   {{0x5ed200cc,0x9f410218,0x64a676a8,0xf1bf00e1}},	//   _হিসে, vahî_, тага, _agá_, 
   {{0x160a00a2,0xe29a004f,0x290d76a9,0x04430cfe}},	//   _वापर_, дав_, ltea_, шерн, 
   {{0x3a2d06cc,0x00000000,0x00000000,0x00000000}},	//   ndep_, --, --, --, 
   {{0xe29776aa,0x290d76ab,0x80c80086,0x00000000}},	// [6bc0] тат_, ntea_, _লিঙ্, --, 
   {{0xb21b0941,0x2f56004e,0xb05b34f2,0xa2a217dc}},	//   _hjæl, ктес, _stär, _कीर्, 
   {{0xe81302f8,0x52aa02a6,0x645c042a,0x4ab300bd}},	//   त्या_, _овом_, mkri, ुदाव, 
   {{0x4f9503a1,0x75360035,0x00000000,0x00000000}},	//   уруу, _kryz, --, --, 
   {{0x160a02e6,0xb5fb03b3,0x425500b3,0x3a2d0027}},	//   _वानर_, dhál, _стэт, ddep_, 
   {{0x201e0c87,0xdca3040c,0x00000000,0x00000000}},	//   _úti_, аачи, --, --, 
   {{0xdee302c0,0x290d2bcf,0xdee676ac,0x6cb300d3}},	//   _воси, etea_, _шови, рөтт, 
   {{0xc7b80e67,0x645c024a,0x290d020f,0xddc7020f}},	//   jeđa_, hkri, ftea_, ălţa, 
   {{0xfe9100c5,0xd7fa76ad,0x0c2676ae,0x645c76af}},	//   _اینج, мун_, _иман, kkri, 
   {{0xea01001b,0x22490813,0x260500a5,0x645c1a77}},	//   _đấy_, zjak_, _वाही_, jkri, 
   {{0xb5fb00eb,0x3ffb00d1,0x786405d5,0x290d3e61}},	//   bhál, ופיע, _nòve, atea_, 
   {{0xcf9300d1,0x7b790070,0x645c08b0,0x00000000}},	//   יטת_, _אָנצ, ekri, --, 
   {{0x06e200b0,0xd0480095,0x290d033c,0xda650038}},	//   _कौरव_, şlər, ctea_, _حالي, 
   {{0x4917035c,0x00000000,0x00000000,0x00000000}},	//   _סקול_, --, --, --, 
   {{0x200703a1,0xdddb090e,0xa2af009a,0xf2c4498f}},	//   ònim_, _ljuš, ंगल्, истн, 
   {{0x75360035,0x326476b0,0x17da0086,0xddc9020b}},	//   _fryz, атув, _দায়ি, _omeš, 
   {{0x30154985,0xdddb0fd3,0xe3e20033,0x753657dd}},	// [6bd0] лдар, _njuš, _বারব, _gryz, 
   {{0xc05800e4,0x200700bd,0x22490604,0xe1140033}},	//   кіх_, üni_, sjak_, সিংহ_, 
   {{0x290d0a9f,0x2ef576b1,0x9df927f2,0x9ed900f0}},	//   ztea_, узер, енет_, хмет_, 
   {{0x765d06df,0xe0df06df,0x7f940176,0x20070083}},	//   nksy, _twò_, шахх, żni_, 
   {{0xa5bb033c,0x768806a2,0x66ec00a5,0x00000000}},	//   cdót, nıya, _झिझक_, --, 
   {{0xc1b80769,0x00000000,0x00000000,0x00000000}},	//   _шлях_, --, --, --, 
   {{0xeb960c67,0xb5fb3540,0x5c040080,0x00000000}},	//   лиш_, thál, ряча, --, 
   {{0x0b1600eb,0x645c76b2,0x290d76b3,0xa3d304cc}},	//   اقية_, zkri, ttea_, हुत_, 
   {{0xc7b800ca,0xb60402d9,0x290d01d6,0x00000000}},	//   veđa_, nkář, utea_, --, 
   {{0x290d76b4,0xdd93005e,0xe8f676b5,0xb21b01cc}},	//   rtea_, _бағы, ыль_, _sjæl, 
   {{0x290d65a3,0xfc30143f,0x6d592482,0x7bc10008}},	//   stea_, _بحق_, lywa, _iglu, 
   {{0x290d00d9,0x98ad008b,0x8935029a,0x00000000}},	//   ptea_, mveč_, _معتا, --, 
   {{0x09b10086,0x69db76b6,0x6d5976b7,0xb5fb014b}},	//   _ট্রা, mbue, nywa, chám, 
   {{0x69db76b8,0x68fb0c0a,0x7d1b016c,0x98790070}},	//   lbue, mrud, _mpus, _ראַט, 
   {{0x2056032e,0x645c50c0,0xe739049b,0x638670f3}},	//   қтар, rkri, _чей_, угва, 
   {{0x645c0f2d,0x98a60588,0x68fb6efb,0x00000000}},	//   skri, _proć_, orud, --, 
   {{0x645c012d,0x152900f0,0x68fb155e,0xcfe80033}},	// [6be0] pkri, _анық_, nrud, _পাবন, 
   {{0x7bc10629,0x68fb0065,0xa5bb003e,0xf8c80108}},	//   _nglu, irud, rdót, _hức_, 
   {{0xddc93f26,0x68fb76b9,0xa5bb008c,0x98ad008b}},	//   _smeš, hrud, sdót, jveč_, 
   {{0xe8130e0d,0xdee376ba,0x7bc105a4,0x5de61d91}},	//   त्ता_, соци, _aglu, ужда, 
   {{0x68fb76bb,0xf8c8001b,0x629600a3,0x9f4305d5}},	//   jrud, _mức_, moyo, _lejè_, 
   {{0x61e676bc,0xac184f38,0x629676bd,0xddc90121}},	//   _hekl, току_, loyo, _vmeš, 
   {{0x26051139,0x1fb50088,0x60c676be,0xb5fb35ee}},	//   _वाली_, _встр, _hukm, riáz, 
   {{0x61e6008b,0x6d590035,0x7bc163d6,0x628476bf}},	//   _jekl, bywa, _eglu, nnio, 
   {{0x61e6002a,0xddc922d4,0x8e7576c0,0x201808a1}},	//   _mekl, _umeš, _турч, _kbri_, 
   {{0x7d02012d,0x60c66db1,0xad1b042c,0x61e676a4}},	//   muos, _mukm, _אומר, _lekl, 
   {{0xb8cb1d90,0x60c60089,0xf8c8001b,0x7d020f89}},	//   _की_, _lukm, _bức_, luos, 
   {{0x69dd008c,0x68fb76c1,0x5695040c,0xe5b50080}},	//   ðset, brud, рамт, ийны, 
   {{0x550700e4,0x628400ab,0x249a016a,0x7d020009}},	//   ычна, dnio, _bkpm_, nuos, 
   {{0x62840035,0x67d413cb,0xd7ef0267,0x76882120}},	//   enio, _току, _ћу_, rıya, 
   {{0x61e606e3,0x6d590035,0x45d503a1,0x00000000}},	//   _bekl, zywa, _койс, --, 
   {{0x201876c2,0x61e6011c,0x7d0202f3,0x1fdd10da}},	//   _abri_, _cekl, kuos, यर्ड, 
   {{0x61e676c3,0x7d020009,0x201802a5,0x90990148}},	// [6bf0] _dekl, juos, _bbri_, вват_, 
   {{0x09d10509,0x61e602b0,0x25a900b4,0xa49b00f6}},	//   _सभ्य, _eekl, _izal_, atòr, 
   {{0x6d5923b1,0x442376c4,0x1fa73ae5,0x629612e6}},	//   wywa, mej_, ураг, boyo, 
   {{0x442376c5,0x61e60439,0xa49b00d3,0x6d5900ab}},	//   lej_, _gekl, ctòr, tywa, 
   {{0x9d4505e6,0x7d0276c6,0x00000000,0x00000000}},	//   релд, guos, --, --, 
   {{0x442376c7,0x69c238c6,0xed5676c8,0xb5fb010e}},	//   nej_, _agoe, рош_, nkáb, 
   {{0x6d590035,0x68e276c9,0x6e2265db,0x00000000}},	//   sywa, _awod, beob, --, 
   {{0x442376ca,0x7f840084,0x68fb76cb,0x68e205d5}},	//   hej_, _الفن, trud, _bwod, 
   {{0x442376cc,0x7d1b00d2,0x0d670093,0xe40a00ad}},	//   kej_, _upus, _съвм, _çiçə, 
   {{0x44233508,0xf8c80029,0x69c202ba,0xa855081b}},	//   jej_, _sức_, _egoe, ртиј, 
   {{0x366a2220,0x442376cd,0x628409b0,0x7c2376ce}},	//   вано_, dej_, ynio, menr, 
   {{0x443100e0,0x249a0065,0x38ab0566,0x00000000}},	//   edz_, _skpm_, døre_, --, 
   {{0x9f430327,0x7c2302b0,0x00000000,0x00000000}},	//   _dejé_, oenr, --, --, 
   {{0x61e676cf,0x38ab03a9,0x3ebf0065,0x7c2376d0}},	//   _sekl, føre_, _liut_, nenr, 
   {{0x46a64f43,0xf8c80029,0x60c66533,0xf66a2daa}},	//   _какв, _tức_, _sukm, _لحظه_, 
   {{0x768801f0,0xf8c800e7,0xb22602a0,0xb34702aa}},	//   mıyo, _hứa_, јмал, _seçõ, 
  
   {{0x442312e8,0x6f1c026e,0x768801f0,0x629676d1}},	// [6c00] bej_, _sprc, lıyo, royo, 
   {{0xa49b0161,0x26c75cf0,0x442376d2,0x27e706df}},	//   stòr, _kuno_, cej_, _jenn_, 
   {{0x27e76316,0x768801f0,0x61e676d3,0x7c236112}},	//   _menn_, nıyo, _tekl, denr, 
   {{0xed5a76d4,0x27e776d5,0x3ead76d6,0x3ebf76d7}},	//   кое_, _lenn_, _chet_, _ciut_, 
   {{0x1bd40093,0x26c70547,0x2fd100ca,0x6e220144}},	//   боля, _luno_, _ffzg_, reob, 
   {{0x2d5718c2,0x7c2376d8,0x7d0276d9,0x768801f0}},	//   ришь_, genr, ruos, kıyo, 
   {{0xb5fb063b,0x26c709c6,0x7d020b24,0x6f1c00d8}},	//   nkác, _nuno_, suos, _uprc, 
   {{0x442376da,0x68e20cd7,0xe8130239,0xeb970267}},	//   zej_, _pwod, त्सा_, јић_, 
   {{0x48aa76db,0x7c2376dc,0x27e708b6,0x7d020036}},	//   ктом_, benr, _benn_, quos, 
   {{0xb5fb00eb,0x673800ef,0xe806009a,0x9f43009e}},	//   mhái, _prvj, _शाळा_, _mejî_, 
   {{0x442376dd,0x27e702ec,0xe7863379,0x249876de}},	//   vej_, _denn_, рупо, dorm_, 
   {{0x44230da6,0x6f0300d3,0x62580038,0x4b7b0070}},	//   wej_, ànci, _míos, _באבו, 
   {{0x44230c60,0x2a66012b,0x2498074a,0x58d4011f}},	//   tej_, _ilob_, form_, _уолт, 
   {{0x290400e0,0x2a6601a0,0x25a90098,0x27e776df}},	//   muma_, _hlob_, _vzal_, _genn_, 
   {{0x290476e0,0x4423310d,0x4df8000d,0x86e602f1}},	//   luma_, rej_, ुलाई_, _тўлд, 
   {{0x442376e1,0xd7bb00a7,0x7c23039b,0x7688035d}},	//   sej_, _בצור, zenr, nıyl, 
   {{0xe8130a34,0x4423003d,0x3ebf0465,0x26c700da}},	// [6c10] त्वा_, pej_, _riut_, _zuno_, 
   {{0x6ecb07d5,0xb5fb76e2,0x752d76e3,0x44230034}},	//   _तंदु, dhái, _isaz, qej_, 
   {{0x92950528,0x290476e4,0x2c00047c,0x26c70183}},	//   _ганц, huma_, _राजू_, _xuno_, 
   {{0x290476e5,0xf2d200a7,0x62580038,0x7c23012b}},	//   kuma_, _מעט_, _díos, wenr, 
   {{0x61ed14ae,0x2904002a,0x518476e6,0xa5da00c7}},	//   maal, juma_, _дура, אַצי, 
   {{0x61ed76e7,0xa3be07bd,0x290476e8,0x752d019b}},	//   laal, ुँच_, duma_, _msaz, 
   {{0x21290065,0x7c2376e9,0x27e700fc,0x660d76ea}},	//   lwah_, renr, _renn_, _ocak, 
   {{0xb5fb057f,0x7c2376eb,0x61ed76ec,0x32091e8f}},	//   bhái, senr, naal, ngay_, 
   {{0x27e776ed,0x290476ee,0xb5fb76ef,0x6f0500ef}},	//   _penn_, guma_, chái, luhc, 
   {{0xb8ff05d2,0x61ed76f0,0x2a6600ef,0x768801f0}},	//   _तऽ_, haal, _elob_, tıyo, 
   {{0x2bdd0aac,0x61ed284d,0x2129030c,0x27e700dd}},	//   _न्या, kaal, hwah_, _venn_, 
   {{0x27e702e7,0x212971d5,0x07a52971,0xb5fb014b}},	//   _wenn_, kwah_, _қайн, vkác, 
   {{0x61ed76f1,0x1e3a00c7,0x290476f2,0xa5bb0183}},	//   daal, אגרא, cuma_, udóp, 
   {{0x629d76f3,0xa3d3010b,0x768801f0,0x212900e2}},	//   _akso, हुल_, pıyo, dwah_, 
   {{0x61ed76f4,0x65c4004e,0xe79a00bc,0x935976f5}},	//   faal, _мұна, _těší, арту_, 
   {{0x61ed76f6,0xe8130586,0x575600d1,0x32090102}},	//   gaal, त्रा_, _לבצע_, ggay_, 
   {{0x61430d83,0x41aa0d38,0xb5fb0098,0x00000000}},	// [6c20] пета, уван_, skác, --, 
   {{0x6258007a,0x76883063,0xf5372665,0x00000000}},	//   _píos, zıyl, _פריז_, --, 
   {{0x444476f7,0x290445e0,0x61ed0298,0xa3b4000c}},	//   _in_, zuma_, baal, जेश_, 
   {{0x290401ae,0x444476f8,0xb5fb0038,0x6258007a}},	//   yuma_, _hn_, thái, _víos, 
   {{0x444439b8,0x5faa00b0,0x62580038,0xfff813b4}},	//   _kn_, _करवल, _fíor, _نکات_, 
   {{0x290476f9,0xce4a004e,0xa3d8031e,0x2a66039b}},	//   vuma_, _өзге_, ाडि_, _slob_, 
   {{0x907b00c7,0x2a660201,0x44445899,0xafe30508}},	//   _עטלי, _plob_, _mn_, _хосл, 
   {{0x2904385c,0xb5fb76fa,0x444476fb,0x00000000}},	//   tuma_, phái, _ln_, --, 
   {{0x4444181f,0x768805b7,0x6d4676fc,0xa3d80154}},	//   _on_, rıyl, _škaf, ाडा_, 
   {{0x444476fd,0x768805b7,0x7e6276fe,0x082a04a0}},	//   _nn_, sıyl, lkop, уции_, 
   {{0x61ed76ff,0x29047700,0xa09b00fe,0x21290065}},	//   yaal, suma_, רייט, zwah_, 
   {{0x44447701,0x29047702,0xe78600a3,0x2bd4109f}},	//   _an_, puma_, _қуло, ठुरा, 
   {{0x61ed7703,0x2c6b00fc,0x09360038,0x44440139}},	//   vaal, _fødd_, _دراج, _bn_, 
   {{0x92d400cc,0x81e500cc,0x5ed900cc,0x61ed7704}},	//   _হয়ে_, _নাই_, _ডিসে, waal, 
   {{0x61ed7705,0xa3d8000f,0x21290640,0xa87b00d1}},	//   taal, ाड़_, wwah_, _תאור, 
   {{0xe5c77706,0x752d4f96,0x7e6201d2,0x6258007a}},	//   _уско, _tsaz, jkop, _síor, 
   {{0x61ed08fb,0x7e620d2d,0x44442791,0x9055527c}},	// [6c30] raal, dkop, _fn_, овац, 
   {{0x61ed7707,0x44447708,0x387e01a7,0x91d927c6}},	//   saal, _gn_, nitr_, _फ्रै, 
   {{0x61ed7709,0xb4b51446,0x00000000,0x00000000}},	//   paal, जगी_, --, --, 
   {{0xa3ae000f,0x7e62770a,0x2c6b055f,0xf8c80b6c}},	//   _औरत_, gkop, _møde_, रदाय, 
   {{0x4444770b,0x62580038,0x60cd040c,0x2129019b}},	//   _yn_, _tíor, qqam, qwah_, 
   {{0x6ab31df3,0xb5fb014b,0x351c00d1,0x645700b4}},	//   ुद्र, cháv, טודנ, _joxi, 
   {{0x6457770c,0xfcb20032,0x387e023a,0xb21b0566}},	//   _moxi, úšať_, ditr_, _djæv, 
   {{0xe8f9770d,0x9f43031e,0x64570068,0x7e62770e}},	//   али_, _její_, _loxi, ckop, 
   {{0x44330126,0x387e01a7,0x76560175,0x6445040b}},	//   _oax_, fitr_, _royy, _onhi, 
   {{0x7e690226,0x2c6b02c9,0x5d5400b3,0x443309c7}},	//   _hlep, _bøde_, _экут, _nax_, 
   {{0x7e69770f,0xf6260073,0xdb1f0088,0xddc0027e}},	//   _klep, одно, äväs, _komş, 
   {{0xa3bf4de2,0x3cf0000f,0x9f4a02a0,0x2c6b08bb}},	//   ेशन_, ुंचे_, _bebê_, _døde_, 
   {{0x44330095,0x44447710,0x1c1e0035,0x7e7b0226}},	//   _bax_, _pn_, _मॉडल_, _mmup, 
   {{0x66e50e1b,0xe739065b,0x6457019c,0x81c10033}},	//   _дока, _век_, _coxi, ুরা_, 
   {{0x444400f7,0xa3b4006a,0x76560065,0x4256187c}},	//   _vn_, जें_, _toyy, отат, 
   {{0xb5fb73cb,0x44440139,0xa49b00b9,0x00000000}},	//   lkán, _wn_, tròc, --, 
   {{0x395f0800,0x394d3a10,0x44337711,0xfc470098}},	// [6c40] nyus_, nxes_, _fax_, _číny_, 
   {{0x4433016a,0x394d03a1,0xc4866652,0x7e7b0532}},	//   _gax_, ixes_, _флок, _amup, 
   {{0x0eba00f0,0xb5fb00da,0x2a6d009e,0x00000000}},	//   ауды_, rháv, kheb_, --, 
   {{0x61467712,0x2dc8004e,0xf3f10023,0x44330508}},	//   _дема, сқан_, ực_, _zax_, 
   {{0x7e627713,0xff0a00cc,0xa2b90667,0xbc4a0886}},	//   rkop, রবেশ_, ्दर्, ичке_, 
   {{0xdee6108e,0x395f011d,0x653b0070,0xa06a7714}},	//   _моги, dyus_, יענד, _тага_, 
   {{0x387e0180,0x0a6a0176,0x7e627715,0x8c43009e}},	//   vitr_, ирии_, pkop, êşan, 
   {{0x2c6b08bb,0x7e6900d7,0x1fa7004f,0x13c50033}},	//   _røde_, _glep, _єкти_, ্রয়, 
   {{0x2c6b055f,0xc7b800ef,0xf98f0019,0xbe130198}},	//   _søde_, međi_, ہبی_, _توقع, 
   {{0x7e69026e,0x3ea67716,0xc7ba01a2,0xd8380352}},	//   _zlep, llot_, иён_, koče_, 
   {{0xd838008b,0x7bc80495,0x7d021226,0x4433008a}},	//   joče_, _igdu, lros, _rax_, 
   {{0x3ea60089,0x44330218,0x387e0379,0x8f9b00d1}},	//   nlot_, _sax_, sitr_, שיטי, 
   {{0x387e0379,0xa25b02be,0xae0d0083,0x26d80028}},	//   pitr_, _biôn, _हासन_, ūro_, 
   {{0x7d0211c9,0x684300b3,0x44337717,0x00000000}},	//   iros, _онча, _qax_, --, 
   {{0xd83802ee,0x2122016a,0x3ea60102,0x2365010e}},	//   goče_, _apkh_, klot_, álj_, 
   {{0x47890451,0x44f54496,0x260500a2,0x44331247}},	//   _усім_, _епис, _वाटी_, _wax_, 
   {{0x1ad60086,0x443300d1,0x3ea67718,0x7d02011c}},	// [6c50] সওয়া, _tax_, dlot_, jros, 
   {{0x2a6d0bfc,0x7e6929d6,0xd8380352,0x7bc80175}},	//   zheb_, _slep, ločb_, _ngdu, 
   {{0xd2500019,0x3ea67719,0x7e69771a,0x00000000}},	//   رنے_, flot_, _plep, --, 
   {{0x7bc80175,0xb5fb0356,0x2a6d771b,0x38ab1494}},	//   _agdu, chát, xheb_, jørn_, 
   {{0x61e20a22,0xb3bd0086,0xa5bb039f,0x00000000}},	//   ñole, _অভিজ, deók, --, 
   {{0x6d4f02be,0x00000000,0x00000000,0x00000000}},	//   _àcam, --, --, --, 
   {{0x7d021e23,0x7e690415,0x3ea6771c,0x2259771d}},	//   aros, _tlep, blot_, _kosk_, 
   {{0x6d5c06d0,0x394d03a1,0x98af0112,0x7e7b771e}},	//   _əraz, txes_, đače_, _umup, 
   {{0x13a80239,0xe8063512,0xa3eb456f,0xb5fb771f}},	//   _गर्भ, _शाखा_, मरा_, tkán, 
   {{0x394d7720,0x9f4a4c69,0xd7090080,0x9f580354}},	//   rxes_, _bebè_, бное_, _gcró_, 
   {{0xf7457721,0x38ab02c9,0x786d003e,0xb5fb010e}},	//   чено, børn_, _núve, rkán, 
   {{0x31600065,0xeaae004f,0xb5fb02d9,0xe81c7722}},	//   yyiz_, _їй_, skán, ब्बा_, 
   {{0x09e20033,0xe79a02d9,0xd94540f5,0x00000000}},	//   _যাচা, _měří, _хели, --, 
   {{0xa7fc027e,0xd83811bc,0x00000000,0x00000000}},	//   lkın, toče_, --, --, 
   {{0x07a200d9,0x2259008a,0xb5fb007a,0x290b0032}},	//   _пашн, _bosk_, thát, žiaľ_, 
   {{0x02c3004e,0x03a3193c,0xb5fb010e,0x7afc0566}},	//   ейсо, хисо, nkál, _ærte, 
   {{0x64890bfc,0xb5fb41d4,0xe7f200c9,0xd8380121}},	// [6c60] džif, rhát, _आजमा_, soče_, 
   {{0xd3e4015f,0x7d027723,0x752400b4,0xb53b00d1}},	//   _تقدی, vros, _ipiz, _פגיש, 
   {{0xa7fc0c05,0xd00f1b44,0xe29a6d07,0x442a0ff2}},	//   kkın, الم_, _ган_, meb_, 
   {{0x442a7724,0x8ca40083,0x9325010e,0x9f430151}},	//   leb_, _चीजो, _کرین, _dejà_, 
   {{0x61e43d37,0xdca67725,0x6d460242,0xd1ba0296}},	//   mbil, пади, _škab, _دادا_, 
   {{0x44387726,0x442a7727,0x3ea67728,0x752401a7}},	//   ndr_, neb_, slot_, _mpiz, 
   {{0x3ea67729,0xdee64da5,0x00000000,0x00000000}},	//   plot_, _хоби, --, --, 
   {{0x442a772a,0x752400ca,0xdb0f003e,0xbea32af7}},	//   heb_, _opiz, _ódýr, _заск, 
   {{0xb21b00dd,0x61e4772b,0x442a772c,0xa49b0054}},	//   _kjær, ibil, keb_, dròn, 
   {{0x6d400c74,0x442a08e3,0x645a00c8,0x987300c8}},	//   _irma, jeb_, ötil, ельц, 
   {{0x1faa0d0d,0x9f4a2f17,0x442a0156,0x75240126}},	//   _करोड, _bebé_, deb_, _apiz, 
   {{0x7c2a772d,0xfb87010e,0x7c38000b,0x00000000}},	//   lefr, _عدلی, ldvr, --, 
   {{0x44380097,0x61e409ad,0x2fca011c,0x442a017c}},	//   fdr_, dbil, _ogbg_, feb_, 
   {{0x27e900f7,0x442a772e,0x7c3812b6,0x6d4012ed}},	//   _đang_, geb_, ndvr, _mrma, 
   {{0x7524090b,0x855700d4,0x926b0165,0xc5ec0033}},	//   _epiz, زیگر_, браа_, _কারা_, 
   {{0x6d40772f,0xfbdf0029,0x61e47730,0x63a51102}},	//   _orma, _đêm_, gbil, _vyhn, 
   {{0xd49b418c,0x442a11c7,0x44380242,0x7c2a7731}},	// [6c70] _грн_, beb_, bdr_, kefr, 
   {{0x61e4175f,0xb5fb7732,0x2f1502ae,0x81e50bf1}},	//   abil, chár, tåg_, _নাও_, 
   {{0xdefb11db,0x61e40529,0x06e000cc,0xa2b50df3}},	//   сыз_, bbil, _ভিডি, _обоч, 
   {{0x6d4002cd,0x44217733,0x6aa2019b,0x7c381a77}},	//   _brma, _hbh_, _nkof, edvr, 
   {{0xc7b803ef,0x2f150219,0x628d0bfc,0x9f430126}},	//   među_, såg_, mnao, _dejá_, 
   {{0x7c2a7734,0x6aa207d7,0x998d50f4,0x629f00a3}},	//   gefr, _akof, jdeš_, loqo, 
   {{0xff041838,0xe0df01be,0x61ef0574,0x442102cb}},	//   _пятн, _bròg_, _kecl, _mbh_, 
   {{0xac7700c5,0x4421286b,0x442a7735,0x61ef7736}},	//   _کارش, _lbh_, zeb_, _jecl, 
   {{0x61ef027e,0x442129aa,0xa7fc008f,0xe0df05d5}},	//   _mecl, _obh_, rkın, _dròg_, 
   {{0xdd93004e,0xa3bf010b,0x68ed003d,0x60c70300}},	//   _жағы, ेशा_, _ħadd, _jijm, 
   {{0x752f00ab,0xa2cd00a5,0x752400ca,0x61e400fb}},	//   ewcz, _दूल्, _spiz, ybil, 
   {{0x60c702b0,0x61e420b8,0xc7b802c7,0x61ef7737}},	//   _lijm, xbil, jeđu_, _necl, 
   {{0x442a7738,0x629f024a,0x61e40946,0xe577012d}},	//   teb_, doqo, vbil, дзя_, 
   {{0x6aa90343,0x60c7012e,0xb5fb010e,0x291800b3}},	//   llef, _nijm, nkáj, ărat_, 
   {{0x61e47739,0x442a773a,0x648902fe,0x442101ca}},	//   tbil, reb_, džid, _dbh_, 
   {{0x442a773b,0x60cf0242,0x7d0b012b,0x61e4773c}},	//   seb_, _bucm, kugs, ubil, 
   {{0x61e4773d,0x8ffa0040,0x4421016a,0x61ef3ced}},	// [6c80] rbil, قرار_, _fbh_, _decl, 
   {{0x61e41df5,0xc4830cfe,0x00000000,0x00000000}},	//   sbil, _альк, --, --, 
   {{0x69cb773e,0x60c72597,0x68eb006d,0xee3a0bf2}},	//   _ogge, _dijm, _lwgd, жне_, 
   {{0x0d861619,0xdee3773f,0x69cb00d4,0x0eba16d0}},	//   млен, тоци, _ngge, цузы_, 
   {{0xdddb0082,0x7c2a7740,0x78a3052b,0xb21b0b48}},	//   _fjuž, tefr, _oknv, _tjær, 
   {{0x69d90d2d,0x69cb7741,0x6aa208b0,0x6284664f}},	//   _afwe, _agge, _skof, liio, 
   {{0xd8380352,0x7d0b0009,0x1f593ffa,0xa49b00b9}},	//   joča_, augs, _ешть_, dròl, 
   {{0xfe4307f9,0x7d0b011d,0x6aa97742,0xf3f40033}},	//   _инсо, bugs, glef, _জাফর_, 
   {{0x6d407743,0x64400243,0x20cd0121,0x00000000}},	//   _urma, ēmij, _vžig_, --, 
   {{0x0c231c93,0x69cb7551,0x2bc7034d,0x38b00054}},	//   _имун, _egge, _ललचा, fàra_, 
   {{0xd83802ee,0xf4140033,0x25b251c4,0x78ba00fb}},	//   goča_, াজার_, _azyl_, rmtv, 
   {{0x786400b9,0x2bcc03a2,0x00000000,0x00000000}},	//   _mòvi, ाशवा, --, --, 
   {{0x9f41007a,0x661d1ecd,0x44210210,0xa7fc0241}},	//   rbhé_, rfsk, _pbh_, lkım, 
   {{0x26ce0036,0x00000000,0x00000000,0x00000000}},	//   _tufo_, --, --, --, 
   {{0x3d080f63,0xf2c70afc,0xb865030e,0x7d0b27d2}},	//   _समझे_, дсан, _ثانو, zugs, 
   {{0x6aa0014e,0x44210065,0xe5c700ba,0xb5fb014b}},	//   nomf, _wbh_, _оспо, cháp, 
   {{0x61e20503,0x44210465,0x60c77744,0x628d7745}},	// [6c90] ñola, _tbh_, _pijm, rnao, 
   {{0xa7fc027e,0x629f01ff,0x4421007a,0x6d4f01f5}},	//   kkım, soqo, _ubh_, _àcai, 
   {{0x61ef7746,0x91c0034d,0x1fa77747,0x26c902a5}},	//   _tecl, लेबै, фраг, _kiao_, 
   {{0x7bda010d,0x5fdf1cdd,0x6aa90180,0x3d950a81}},	//   _aftu, _प्रल, xlef, ниер, 
   {{0x26c92d96,0xece8004f,0x60dd7748,0x6aa9021e}},	//   _miao_, дділ_, _utsm, vlef, 
   {{0x7d0b61df,0xa3d30790,0xc6230033,0x00000000}},	//   rugs, हुच_, _বোমা_, --, 
   {{0xfaa57749,0xa7fc027e,0x6aa9076b,0x248101be}},	//   нако, rkıl, tlef, _mmhm_, 
   {{0xa3b41489,0x26c9011c,0xd838020b,0xa49b00f6}},	//   जेट_, _niao_, voča_, dròm, 
   {{0x26d803da,0x00000000,0x00000000,0x00000000}},	//   íron_, --, --, --, 
   {{0x6aa92032,0x6913090e,0x00000000,0x00000000}},	//   slef, jžeš, --, --, 
   {{0x25a902a2,0x44ed774a,0x7c8400be,0x00000000}},	//   _ayal_, ež_, _руте, --, 
   {{0x26c9774b,0xd838008b,0x49753f87,0x7e790213}},	//   _ciao_, roča_, _плес, _çapı, 
   {{0x648902fe,0x26c90844,0xf484009c,0xca7a040c}},	//   džib, _diao_, ناسی, _istа, 
   {{0xe1ff010e,0x9f530216,0x00000000,0x00000000}},	//   _adó_, raxê_, --, --, 
   {{0xe0df03a0,0x25a902a5,0xa49b00b9,0x16180299}},	//   _atò_, _eyal_, cròm, _थापर_, 
   {{0x26c90029,0xe0da56ee,0x09c30086,0x3d000586}},	//   _giao_, зва_, _এ্যা, _रिले_, 
   {{0x41277245,0xd5b2155f,0xd00a00d9,0xa3b40249}},	// [6ca0] ното_, _حفظ_, зезе_, जेज_, 
   {{0x80a60109,0xf0a700b3,0xfe0d18aa,0x6aa0025b}},	//   رمان, екул_, _हाउस_, zomf, 
   {{0xb4be1451,0x3a2d0c4e,0xdd920444,0x6aa0095a}},	//   ेदी_, keep_, گوش_, yomf, 
   {{0xe29a02b9,0x443a774c,0x2bdd2923,0x35a50d53}},	//   _хам_, _hap_, नुसा, _गुड़, 
   {{0x443a774d,0x3a2d774e,0xb7bc01dd,0x78a134df}},	//   _kap_, deep_, reģi, kolv, 
   {{0x443a774f,0x61f67750,0x645e7751,0x3d2009ec}},	//   _jap_, layl, _jopi, _यहीं_, 
   {{0x443a00a7,0x645e0626,0xa3b4009a,0x00000000}},	//   _map_, _mopi, जेच_, --, 
   {{0xada67752,0x443a7753,0x645e7754,0x61f67755}},	//   _забл, _lap_, _lopi, nayl, 
   {{0x645e7756,0x1d0704f5,0xec7a1a41,0x999802d9}},	//   _oopi, _пети_, _епа_, ěrů_, 
   {{0x443a62c8,0x645e00e0,0x49730ccb,0x92cb0033}},	//   _nap_, _nopi, ульс, রীয়_, 
   {{0x61f67757,0x25a90089,0x25ac0248,0x6aa0025b}},	//   kayl, _syal_, ədli_, pomf, 
   {{0x7c3a0489,0x443a7758,0x5f080eda,0x76880241}},	//   _hatr, _aap_, _हिन्_, dıys, 
   {{0x7c3a7759,0x645e084c,0x2bdd00bc,0xb1120033}},	//   _katr, _bopi, नुवा, হবুব_, 
   {{0x443a775a,0x645e775b,0x69dc00ab,0x7c3a270f}},	//   _cap_, _copi, śred, _jatr, 
   {{0x083b0111,0x443a1de6,0x4394081b,0x27e000e7}},	//   _מעגל, _dap_, гарс, _đinh_, 
   {{0x7c3a775c,0x32c700f8,0x228403a1,0x00000000}},	//   _latr, _gŵyl_, гууг, --, 
   {{0x764d06c3,0x9f4a0126,0x6d463053,0x7c3a0379}},	// [6cb0] _inay, _debí_, _škan, _oatr, 
   {{0x7c3a775d,0x3014775e,0x24970019,0xed51009c}},	//   _natr, лдур, _سمجھ_, یپا_, 
   {{0x61f6775f,0xe818185c,0xdea1010e,0x3f1501d8}},	//   bayl, _दाना_, لیسی, тдес, 
   {{0xa2d6143e,0x78a17760,0x443a7761,0x645e044d}},	//   _मंत्, zolv, _zap_, _zopi, 
   {{0x443a7762,0x7c3a7763,0x645e7764,0x0ccb1f5e}},	//   _yap_, _batr, _yopi, ादेम, 
   {{0x7c3a7765,0x80070278,0xc4d40070,0x443a0216}},	//   _catr, _ячме, אגס_, _xap_, 
   {{0x764d01f0,0x70940cdf,0x7c3a00f8,0xeb965f40}},	//   _onay, _сарф, _datr, киш_, 
   {{0x0b880038,0xcff60033,0x764d0539,0x7c3a3f63}},	//   عضوي_, _চায়_, _nnay, _eatr, 
   {{0xdd941b17,0x7c3a7766,0x3a2d0511,0xdb080356}},	//   _баты, _fatr, reep_, _vzdá, 
   {{0x29032003,0x764d7767,0x7c3a08a1,0x78860107}},	//   čja_, _anay, _gatr, _révè, 
   {{0x6e3b7768,0x25c70095,0x78860212,0xbb553dd7}},	//   _kaub, ətlə_, _sévè, _جناب, 
   {{0x645e030f,0xf7720116,0x15ba00d3,0x6e3b01d6}},	//   _sopi, شاپ_, дыгы_, _jaub, 
   {{0x443a0cd7,0x645e7769,0x7c3a023e,0xba742ee1}},	//   _pap_, _popi, _yatr, _حالت, 
   {{0x232a00dd,0x7c3a00b9,0x68fb776a,0x645e67e0}},	//   моги_, _xatr, msud, _qopi, 
   {{0x638300e4,0xf8c80029,0x61f601f0,0x889a00a7}},	//   агра, _cứu_, tayl, _קבצי, 
   {{0x443a776b,0x69db776c,0x6e3b2c69,0x645e044d}},	//   _wap_, ncue, _naub, _wopi, 
   {{0x443a776d,0x645e776e,0x61f64972,0x68fb776f}},	// [6cc0] _tap_, _topi, rayl, nsud, 
   {{0x443a50d6,0x61f67770,0x64890242,0x3fe303a6}},	//   _uap_, sayl, ržic, ижув, 
   {{0xa3bf017d,0x7c3a0180,0xdfcf0195,0x6e3b7771}},	//   ेशः_, _ratr, زين_, _baub, 
   {{0x7c3a0489,0xfce67772,0x6e3b7773,0x9f51024a}},	//   _satr, водо, _caub, _zezë_, 
   {{0xdd8f0084,0x786d03a1,0xa2d6048e,0x6e3b7774}},	//   يوم_, _núvo, _मूत्, _daub, 
   {{0x68fb13e2,0x60c902be,0x7c3a7775,0x6e3b0106}},	//   dsud, _éemp, _qatr, _eaub, 
   {{0x7c3a02f5,0x2613185c,0xf8c80108,0x6e3b0151}},	//   _vatr, _थाली_, _mứt_, _faub, 
   {{0x5a340b68,0x6e3b7776,0x893867a7,0xdddb107c}},	//   унит, _gaub, епис_, _iluş, 
   {{0x7c3a7777,0x7e6000eb,0x68fb7778,0xccc61bb9}},	//   _tatr, _iomp, gsud, _абай, 
   {{0x7e607779,0x3ce6777a,0x4734777b,0x6e3b777c}},	//   _homp, mpov_, гнос, _zaub, 
   {{0x81cb0086,0x78b80054,0x6d420054,0x00000000}},	//   রুপ_, _vhvv, lvoa, --, 
   {{0x09e60ca9,0x64890904,0x7e60777d,0x6b7b035c}},	//   _родн, džia, _jomp, _קראנ, 
   {{0x39400084,0x7e60777e,0x02be00bc,0xf8c80108}},	//   _éis_, _momp, ्दैन, _bứt_, 
   {{0xdddb0c05,0x7e60777f,0x67d30161,0xd40402f1}},	//   _oluş, _lomp, _кошу, ияси, 
   {{0x81e400cc,0x248d08b1,0x47c00086,0xf8c800e7}},	//   _নয়_, đem_, _শ্রী, _dứt_, 
   {{0x7e607780,0x764d06f2,0x201806f0,0x31350c09}},	//   _nomp, _unay, _acri_, лебр, 
   {{0x2ba90a09,0xc05b2072,0x3ce6006d,0x81cb0086}},	// [6cd0] _चुना, між_, jpov_, রুন_, 
   {{0x6e3b7781,0x3f67001c,0x7e600379,0x200f0028}},	//   _saub, ктеб, _aomp, ėgio_, 
   {{0x2fc7022b,0x44317782,0x68fb014b,0x6e3b7783}},	//   äng_, mez_, zsud, _paub, 
   {{0x44317784,0x3946001d,0xacf93a50,0x38b90212}},	//   lez_, _oros_, енду_, mère_, 
   {{0x39460201,0x38b9026a,0x93c90019,0x867c00d1}},	//   _nros_, lère_, _تاکہ_, וראו, 
   {{0x44317785,0x67380f30,0x261a0262,0xa3b72a2c}},	//   nez_, _osvj, _भाभी_, _जरा_, 
   {{0x4fc4418c,0x6e3b7786,0x6d42002e,0x39460156}},	//   _вста, _taub, avoa, _aros_, 
   {{0x44313ba1,0x7e607787,0x68fb7788,0x39460139}},	//   hez_, _gomp, tsud, _bros_, 
   {{0x44317789,0x69db427c,0x39461ffb,0x38b90107}},	//   kez_, rcue, _cros_, hère_, 
   {{0x46e90130,0x394602f0,0x68fb778a,0x4431778b}},	//   ндон_, _dros_, rsud, jez_, 
   {{0x443160de,0x36c603a1,0x68e200ef,0x985403a1}},	//   dez_, лбог, _etod, ртыш, 
   {{0x84e6040c,0x9a8402f1,0x39460065,0x38b90107}},	//   ломж, _кучл, _fros_, dère_, 
   {{0x3946778c,0x69da00c7,0xa6830451,0x6faa1d57}},	//   _gros_, _אַוו, сляд, _जुनू, 
   {{0x4431778d,0x26d10587,0x38b90107,0x00000000}},	//   gez_, ízos_, fère_, --, 
   {{0xe818007e,0x291f0088,0x38b9026a,0xf8c80023}},	//   _दाता_, ltua_, gère_, _vứt_, 
   {{0x6d460f4c,0x2003261e,0x64891d46,0x00000000}},	//   _škam, _adji_, ržia, --, 
   {{0xd026778e,0x602600b9,0xe2976614,0x291f7361}},	// [6ce0] лмай, лдаа, уат_, ntua_, 
   {{0x6489778f,0x291f2209,0x44317790,0x9f51019c}},	//   lžin, itua_, cez_, _zezé_, 
   {{0x441b07f5,0x141b00c7,0x7f862f23,0xa5bb7791}},	//   _אויס, _אויב, دلان, leóp, 
   {{0x291f0a9f,0x23650219,0xfdd20086,0xb5fb02d9}},	//   ktua_, älje_, ার্ড, skáv, 
   {{0x2dc8005e,0x628600cf,0x5bcc02e6,0x6604045a}},	//   тқан_, _imko, ाश्व, _mdik, 
   {{0x200300ef,0x22400a18,0xdca300dd,0x398a007e}},	//   _gdji_, ldik_, бачи, _हs_, 
   {{0x7e600489,0x6fb800b0,0x291d003d,0x68e27792}},	//   _tomp, _अरिं, _aqwa_, _stod, 
   {{0x44310da6,0x66047793,0x22407794,0x6f9300eb}},	//   zez_, _ndik, ndik_, _الفض, 
   {{0xa9c302fb,0xe8182681,0x4431026d,0x21207795}},	//   йськ, _दादा_, yez_, ntih_, 
   {{0x66047796,0xb8dc017d,0x3ea662ae,0x44317797}},	//   _adik, _आठ_, loot_, xez_, 
   {{0x44310518,0xa3d8051f,0x628652ea,0x76b97798}},	//   vez_, िशन_, _omko, клор_, 
   {{0x39467799,0x1efb00c7,0x3ea60511,0x21200352}},	//   _tros_, עלכע, noot_, ktih_, 
   {{0x4431779a,0x9c83008b,0x291f779b,0x660400a4}},	//   tez_, _ščit, ctua_, _ddik, 
   {{0xe37501bb,0x66040cd7,0x3ea6779c,0x38b951b5}},	//   алгы, _edik, hoot_, tère_, 
   {{0xfe140262,0x05a5034d,0x3ea6779d,0x66e314b7}},	//   _डांस_, _गुरब, koot_, _лоја, 
   {{0x4431779e,0xb403022c,0xddc23cd0,0xe61f019c}},	//   sez_, шүүд, zkoš, rnôs_, 
   {{0x44311eb1,0x94870ecf,0x7c2850f4,0x20cd0f23}},	// [6cf0] pez_, _бынд, _obdr, _džin_, 
   {{0x38b9026a,0x4431010c,0x752d0036,0x7d1d25c3}},	//   père_, qez_, _ipaz, _ässi, 
   {{0x291f01f1,0x63680093,0x2dd54eb1,0x63a90502}},	//   ztua_, _бряг_, ажер, ßend, 
   {{0x4fc40088,0x63a901f0,0x3cfd006d,0xddc9779f}},	//   ссуа, ğend, tswv_, _aleš, 
   {{0xddc21a35,0xddc914f4,0xa3bf048e,0xd16700fd}},	//   tkoš, _bleš, ेशक_, _съни, 
   {{0x6b6577a0,0xa3d800a2,0x8c45004e,0x20030ab4}},	//   икла, िशय_, реке, _udji_, 
   {{0x7de7005e,0x61ed77a1,0x5c04041c,0xb5fb039f}},	//   _бізд, obal, сяча, nkás, 
   {{0x291f77a2,0x61ed77a3,0x752d02ee,0x5a651753}},	//   ttua_, nbal, _opaz, ркиб, 
   {{0xe8f66356,0x6e29011d,0x291f00c8,0xd5a5362d}},	//   алы_, _ibeb, utua_, _गुलज, 
   {{0xb5fb000d,0x291f77a4,0x6489012d,0x6d493057}},	//   cház, rtua_, džio, _irea, 
   {{0x291f77a5,0x61ed77a6,0x3a3d0065,0x6d4f0183}},	//   stua_, kbal, _tawp_, _ácab, 
   {{0xf1c51516,0x5f080394,0xa6de001b,0x61ed014b}},	//   वधान, _हिस्_, _trưn, jbal, 
   {{0x61ed77a7,0x38ab03a9,0xe9ce0cb2,0x81cb0086}},	//   dbal, ført_, _фк_, রুত_, 
   {{0xf745005b,0x186624a8,0x6d460588,0x693400b3}},	//   _веко, _ваши_, _škak, _ынчу, 
   {{0xe3631d83,0x68e905a1,0x07d80038,0x22401d97}},	//   окри, lped, _إذهب_, tdik_, 
   {{0xe297058e,0x61ed2a85,0x2ca710f3,0x672100ca}},	//   аас_, gbal, hond_, mtlj, 
   {{0x2ca70077,0xa2d669c0,0x224077a8,0x1fe70033}},	// [6d00] kond_, _मूर्, rdik_, _পয়স, 
   {{0x6e2977a9,0xf00b001b,0xe0df00e7,0x68e90009}},	//   _abeb, _đảng_, _tròn_, iped, 
   {{0x21201af7,0x61ed77aa,0xe29a0028,0x6d4977ab}},	//   stih_, bbal, _аан_, _area, 
   {{0x6d4977ac,0xa11600d4,0xa25b77ad,0x290d252c}},	//   _brea, _پوست, _diôs, krea_, 
   {{0x6d4977ae,0x629677af,0x3ea60de3,0x6cc6373f}},	//   _crea, mnyo, root_, айда, 
   {{0x23ba000f,0x6d4977b0,0xb5fb5c6d,0x2ca7382a}},	//   _इराद, _drea, nkár, gond_, 
   {{0x2ba900ab,0xe45700c7,0x3ea62466,0x290d16e3}},	//   _चुदा, ייסט_, poot_, erea_, 
   {{0x6d491049,0x62960298,0x7f3b042c,0xd838008b}},	//   _frea, nnyo, _בעלו, moči_, 
   {{0x6d496751,0xd5a50ede,0xd838008b,0xe8f75576}},	//   _grea, _गुंज, loči_, аныч_, 
   {{0xc7c677b1,0x2ca777b2,0x61ed0888,0xc86611d2}},	//   исни, cond_, zbal, ртии, 
   {{0xa2d63267,0x752d77b3,0x290d00d9,0xd8380352}},	//   _मूल्, _spaz, area_, noči_, 
   {{0xe81835ff,0x290d77b4,0x629677b5,0x569400af}},	//   _दावा_, brea_, jnyo, жают, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xd8380813,0xe0df0237,0xa7860296,0x9f5a009e}},	//   koči_, _dròl_, _پشتو, rapê_, 
   {{0xe28703b7,0xd838008b,0x83f877b6,0x13680176}},	//   аѓан, joči_, ресс_, ашти_, 
   {{0x78a86bd2,0x2ca7012e,0x277700d1,0x61ed019b}},	//   lodv, zond_, _כגון_, ubal, 
   {{0xc1b940ee,0xf8ba0ca0,0x63a90380,0x98ba0e07}},	// [6d10] улах_, _उठाय, ßenb, _उठाए, 
   {{0xa19503dc,0x6296009b,0xa5bb0126,0x9f6b00d9}},	//   _ҳамч, anyo, nfóm, крез_, 
   {{0x629652e6,0x2ca70b32,0x6d490094,0xd8380352}},	//   bnyo, vond_, _srea, goči_, 
   {{0x6d4977b7,0x2ca70a58,0x42555a53,0xb6d90070}},	//   _prea, wond_, _انحر, אַסט, 
   {{0x2ca777b8,0x2c790118,0x9d455abc,0x00000000}},	//   tond_, _lède_, селд, --, 
   {{0x6d49002e,0xeb99322a,0x6d59010c,0xf21d00a5}},	//   _vrea, лил_, rxwa, _फाड़_, 
   {{0x7f9477b9,0xa3d82df7,0x2ca70af8,0x00000000}},	//   _дарх, िशत_, rond_, --, 
   {{0x290d77ba,0x6d4977bb,0x2ca70876,0x628d584c}},	//   trea_, _trea, sond_, niao, 
   {{0x2ca7026a,0xa2ba47bd,0x3ead1a13,0x6d4977bc}},	//   pond_, ्षत्, _iket_, _urea, 
   {{0x290d3b81,0xa85500ff,0xa5bb2cd8,0x5ba70a10}},	//   rrea_, стиј, rfól, _крез, 
   {{0xa5bb008c,0xb8fe0077,0x07a577bd,0xe94500d4}},	//   sfól, _दू_, санн, _گرای, 
   {{0x9f58078a,0x68e977be,0x15e300c9,0xb4d0036e}},	//   _berê_, pped, कुलर_, षद्_, 
   {{0xe94500d4,0x672177bf,0x98e5007a,0x628d2afb}},	//   _درای, stlj, _اكتو, diao, 
   {{0x9f580218,0x00000000,0x00000000,0x00000000}},	//   _derê_, --, --, --, 
   {{0xb5fb77c0,0x786d77c1,0xa2e601ff,0xa3b40083}},	//   rkár, _núvi, собд, ड़ें_, 
   {{0x20cd0082,0xb5fb771f,0x5693122f,0x23652162}},	//   _džim_, skár, _најт, älja_, 
   {{0x6296010e,0x9f58009e,0x00000000,0x00000000}},	// [6d20] rnyo, _gerê_, --, --, 
   {{0x26d22083,0x629677c2,0x6aa901a9,0x2f5615dd}},	//   _hiyo_, snyo, hoef, йтес, 
   {{0x3ead0102,0x26d22c37,0xdfcf007a,0x00000000}},	//   _bket_, _kiyo_, فيك_, --, 
   {{0x9f5801ee,0x786d00ce,0x290200e4,0xd83802ee}},	//   _herë_, _dúvi, škai_, roči_, 
   {{0x64890b91,0x3ead016a,0x3ebf0014,0x26d205d5}},	//   džij, _dket_, _dhut_, _miyo_, 
   {{0x6a750126,0xdca300d9,0x653b0070,0x26d200d7}},	//   _ráfa, пачи, טענד, _liyo_, 
   {{0x26d2011c,0x6aa977c3,0xbc19004f,0x26c000df}},	//   _oiyo_, foef, річі_, _ohio_, 
   {{0x6e960084,0x25ad00ab,0x26d277c4,0x261a185c}},	//   _الرا, żeli_, _niyo_, _भाषी_, 
   {{0x81aa00cc,0xd7fa77c5,0xa3d84361,0x9f5a0587}},	//   গের_, лун_, िशा_, dapé_, 
   {{0x7c650084,0x7d0277c6,0x290a50f4,0xfb1a0629}},	//   _والل, msos, čba_, _مقطع_, 
   {{0x9f58078a,0x26d20216,0x7d0277c7,0x26c000a1}},	//   _serê_, _biyo_, lsos, _bhio_, 
   {{0x9f580216,0x8f9b0486,0xe0df00a1,0xa7fc0241}},	//   _perê_, ריטי, _sròm_, tkıs, 
   {{0x92d5100b,0x261a0f01,0x9f470038,0x39590380}},	//   _হবে_, _भारी_, únú_, ässt_, 
   {{0x2a660201,0xf4840141,0xd91b027a,0xa7fc027e}},	//   _hoob_, пусн, _עוול, rkıs, 
   {{0x2a6601a0,0x7d02012b,0x9f586ad7,0x26d20027}},	//   _koob_, hsos, _werê_, _fiyo_, 
   {{0x7d0277c8,0x9f5a77c9,0x00000000,0x00000000}},	//   ksos, capé_, --, --, 
   {{0x786d0187,0x2a66023b,0xe0df00a1,0x00000000}},	// [6d30] _súvi, _moob_, _tròm_, --, 
   {{0x2a6677ca,0x3ead77cb,0x44270108,0x26d201ff}},	//   _loob_, _sket_, _ùn_, _ziyo_, 
   {{0x656f77cc,0x273a01dd,0x20cd00ca,0x2c6b02c9}},	//   lych, _jūn_, _užim_, _mødt_, 
   {{0x2a663b16,0x9f4a010c,0x81cb0086,0x66e101dd}},	//   _noob_, _hebû_, রুষ_, _jēka, 
   {{0xed5977cd,0x656f00f8,0x61ff0095,0x7d0277ce}},	//   рол_, nych, maql, gsos, 
   {{0x61ff0248,0xc05b00dd,0x2c6b01e8,0xcb69373a}},	//   laql, _сім_, _nødt_, иале_, 
   {{0x224202a2,0x6aa9038c,0x261a00aa,0xa7fc0241}},	//   _yakk_, toef, _भाली_, ykır, 
   {{0xe9d977cf,0x2a6601a0,0x61ff00ad,0x2c4f0243}},	//   шки_, _coob_, naql, _sēdē_, 
   {{0x2ba900c9,0x4c9514e6,0x6aa9083c,0x2b4c01be}},	//   _चुरा, _диас, roef, _erdc_, 
   {{0x26d277d0,0x26c077d1,0x656f77d2,0xd83800ef}},	//   _siyo_, _shio_, dych, koču_, 
   {{0x2a66023b,0x9b951766,0x26c00226,0x2ca0007a}},	//   _foob_, _بلات, _phio_, éide_, 
   {{0x27e9009e,0xe736017b,0x00000000,0x00000000}},	//   _şand_, цею_, --, --, 
   {{0x2c6b08bb,0x15ba6fb9,0x9f5a77d3,0x6ef00118}},	//   _født_, рыны_, rapé_, _kòbò, 
   {{0x7d0400eb,0x98c777d4,0x26d20027,0xb5fb01d5}},	//   áisi, _усел, _wiyo_, skáp, 
   {{0x81b10086,0xd25204bc,0x324677d5,0x9f580034}},	//   টেম_, ونس_, оевг, _verë_, 
   {{0x2a660201,0x31ea00d3,0x66de0243,0x6f00039f}},	//   _xoob_, рмап_, _mīkl, _lábá, 
   {{0x25df000f,0x806615ca,0x15e300aa,0x8cd90eda}},	// [6d40] _गलती_, оваж, _क्टर_, _फूलो, 
   {{0x1fb6004f,0x68e477d6,0x6ecc0213,0xe3b2007a}},	//   осер, _éide, _işbi, _يرد_, 
   {{0x44444d9b,0xe82100ab,0x81cb0086,0x224277d7}},	//   _ia_, _माना_, রুল_, _takk_, 
   {{0x444449eb,0x61ff0095,0x7d0257c1,0x87ac0070}},	//   _ha_, caql, tsos, נשאַ, 
   {{0x444477d8,0x2a6601a0,0x764477d9,0x8cf300e4}},	//   _ka_, _roob_, _maiy, дзіц, 
   {{0x444477da,0x2a660201,0x7d025b19,0x61e40241}},	//   _ja_, _soob_, rsos, lcil, 
   {{0x444477db,0x443877dc,0x7d0277dd,0x9f4308f4}},	//   _ma_, ier_, ssos, _dejó_, 
   {{0x443877de,0x61e477df,0xead30088,0x2a66006f}},	//   her_, ncil, мощь, _qoob_, 
   {{0x44444e39,0xe51c072f,0xddc9014b,0x9f5803dd}},	//   _oa_, भूमि_, _pleť, _serè_, 
   {{0x6d4077e0,0x7e6200f1,0x443877e1,0x656f0098}},	//   _isma, ljop, jer_, vych, 
   {{0x673a01c8,0x656f043a,0x2a6677e2,0x2c7001c5}},	//   uwtj, wych, _toob_, _ràdh_, 
   {{0x444477e3,0x656f0035,0x443877e4,0x9f580175}},	//   _aa_, tych, eer_, _ceré_, 
   {{0x444477e5,0x4438218b,0x200a00ef,0x1dca0c64}},	//   _ba_, fer_, _odbi_, िधित, 
   {{0x444477e6,0x443877e7,0x6a7c026a,0x656f77e8}},	//   _ca_, ger_, _défe, rych, 
   {{0x9f4102a3,0xd8380ab4,0x2904039b,0x9f4a009e}},	//   cchè_, meč_, lsma_, _vebû_, 
   {{0x444468f9,0x6d4029c5,0xd83877e9,0x1dca00b0}},	//   _ea_, _osma, leč_, िधात, 
   {{0x444477ea,0xe821119b,0x61ff06d0,0x142b0769}},	// [6d50] _fa_, _मामा_, raql, _кіно_, 
   {{0x7c3804d1,0x61e40183,0xdb010032,0x661d0751}},	//   jevr, acil, _vylú, lgsk, 
   {{0x442177eb,0x6d4077ec,0x1eea0a24,0x7644016a}},	//   _ich_, _asma, مولی_, _yaiy, 
   {{0x51871e19,0x9f4177ed,0x644577ee,0x236c0219}},	//   _дуга, nché_, _hahi, ädje_, 
   {{0x444477ef,0x644577f0,0x61fd01dd,0x64470326}},	//   _ya_, _kahi, _iesl, odji, 
   {{0x444477f1,0xd83802a8,0x61fd08fc,0x644577f2}},	//   _xa_, ječ_, _hesl, _jahi, 
   {{0x644577f3,0x9f58055a,0x200177f4,0x6d4077f5}},	//   _mahi, _herî_, mahi_, _esma, 
   {{0x443877f6,0x60d50c05,0xe8f977f7,0x44210038}},	//   zer_, _hizm, бли_, _lch_, 
   {{0x442177f8,0x443877f9,0xc1b902f8,0xdd941088}},	//   _och_, yer_, _आरोग, _жаты, 
   {{0x26dc0904,0x644577fa,0x443877fb,0x6a7c77fc}},	//   _buvo_, _nahi, xer_, _réfe, 
   {{0x443877fd,0x444477fe,0xe8210081,0x7e7b02f5}},	//   ver_, _ra_, _माठा_, _klup, 
   {{0x444477ff,0x44214884,0x44387800,0x9f41048a}},	//   _sa_, _ach_, wer_, rchè_, 
   {{0x64457801,0x20013ad1,0x29020019,0x25eb0366}},	//   _bahi, kahi_, ákat_, चड़ी_, 
   {{0x3cfd0081,0x44387802,0x44447803,0x20017804}},	//   रीये_, uer_, _qa_, jahi_, 
   {{0x44447805,0x44387806,0x61fd7807,0x6445148f}},	//   _va_, rer_, _besl, _dahi, 
   {{0x44447808,0x9f580218,0x61fd015e,0xd5a70b79}},	//   _wa_, _berî_, _cesl, _टुकड़, 
   {{0x44447809,0x6445780a,0x61fd014a,0xe0d70769}},	// [6d60] _ta_, _fahi, _desl, зву_, 
   {{0x44441124,0x8fa60141,0x9f58010c,0x7e7b052b}},	//   _ua_, пазе, _derî_, _alup, 
   {{0x7d1902b0,0x60dd00a1,0x7e6908b0,0x7de600f0}},	//   euws, _eusm, _boep, пілд, 
   {{0x61fd780b,0x6445780c,0x0dca0088,0x7e7b0183}},	//   _gesl, _zahi, блей_, _clup, 
   {{0xa25b0124,0x64456ad0,0x7c38780d,0x41b90484}},	//   _khôn, _yahi, tevr, _आरएस, 
   {{0x91bb00a7,0x7e62780e,0x81d50086,0x644500ad}},	//   _למכי, sjop, _সড়ক_, _xahi, 
   {{0x8fa32a08,0x5e9657c8,0xd83802ee,0xe51c0586}},	//   _заре, _فلسط, več_, भूति_, 
   {{0x7e7b02f5,0x60dd02cd,0xb95400dd,0x6d400026}},	//   _glup, _yusm, двищ, _tsma, 
   {{0x26dc0097,0x2d820219,0x48aa0cb4,0xac86002e}},	//   _suvo_, _åke_, йтом_, _егал, 
   {{0x60d5780f,0x6c860fdc,0xf80600dd,0x29047810}},	//   _xizm, _علام, ччин, rsma_, 
   {{0xd8387811,0x7bda0008,0xc1b9258c,0x394f039b}},	//   reč_, _igtu, _आर्ग, _ergs_, 
   {{0x64457812,0xd6d73b59,0xe82136bc,0x44217813}},	//   _sahi, ять_, _माथा_, _sch_, 
   {{0x9f417814,0x64457815,0x61fd7816,0x20017817}},	//   rché_, _pahi, _resl, yahi_, 
   {{0x753d006a,0x26dc7818,0x2902012d,0x61fd01f0}},	//   rwsz, _tuvo_, škas_, _sesl, 
   {{0x64457819,0x320b07e1,0x9f580218,0x24917428}},	//   _vahi, йхан_, _serî_, rizm_, 
   {{0x2001781a,0x60f911c5,0x6445781b,0x179b0070}},	//   wahi_, жная_, _wahi, _ליוב, 
   {{0x2001781c,0x64453ebd,0xd250006b,0x7e690d2d}},	// [6d70] tahi_, _tahi, ھنے_, _roep, 
   {{0x442102f1,0x7e692a1b,0x7e7b781d,0x660d011c}},	//   _uch_, _soep, _slup, _hdak, 
   {{0x61fd4c61,0x7e7b026a,0x7e69781e,0x9f58009e}},	//   _tesl, _plup, _poep, _werî_, 
   {{0x2001781f,0xddd0012d,0xa159004e,0x60dd7820}},	//   sahi_, _šešt, _даму_, _tusm, 
   {{0x8c452e87,0x6d4606e0,0x00000000,0x00000000}},	//   деле, _škar, --, --, 
   {{0x7e7b0065,0x22497821,0x7e69040b,0xe81800c9}},	//   _wlup, ldak_, _woep, _दागा_, 
   {{0x7e69051e,0x9f347822,0xfaa56445,0x6e9506ba}},	//   _toep, _пері, мако, _живу, 
   {{0x660d2a3c,0x7e7b7823,0xcf9200c7,0xe8e937c4}},	//   _ndak, _ulup, _סטן_, омид_, 
   {{0x2129388b,0x7d0400eb,0xe8210394,0x787f010c}},	//   ntah_, áist, _मादा_, _lêve, 
   {{0x660d7824,0x7d040405,0x2a7f016a,0xa8891afd}},	//   _adak, ġist, shub_, ійна_, 
   {{0xa25b026a,0xb21b7825,0x395f006f,0x22497826}},	//   _rhôn, _klæd, sxus_, kdak_, 
   {{0x7bc10704,0x21297827,0x22491ddd,0x49757480}},	//   _izlu, ktah_, jdak_, _олес, 
   {{0xddc00ca5,0xd9451853,0xa25b0023,0x660d7828}},	//   _komš, _цели, _phôn, _ddak, 
   {{0x2a7d006f,0x74160189,0x660d01b8,0x02c60ed5}},	//   _hlwb_, بوسا, _edak, लग्न, 
   {{0x21297829,0x394d782a,0x98a21416,0x91e61a89}},	//   etah_, lves_, _шише, добе, 
   {{0x55c45327,0x6489012d,0x7d09782b,0x2129782c}},	//   _пайғ, džiu, _oves, ftah_, 
   {{0xa25b00f7,0x3ced01a0,0xe297782d,0x412702c4}},	// [6d80] _thôn, _ntev_, фат_, мото_, 
   {{0xa2be1779,0xb5fb01d5,0x22460032,0x224901d6}},	//   _वीर्, hjál, žok_, adak_, 
   {{0x7d09782e,0xa3b500a5,0x7eb80042,0x72c61730}},	//   _aves, _छुप_, lípi, _обоз, 
   {{0x200704f4,0xdddb00bc,0x3d0900c9,0x11d6007a}},	//   ónir_, _kouř, _सिखे_, _يتحد, 
   {{0x64890062,0x98bd0237,0xb21b5ece,0x66e101dd}},	//   rživ, _aswč_, _slæg, _sēkl, 
   {{0x394d0019,0x7d09782f,0x00000000,0x00000000}},	//   dves_, _dves, --, --, 
   {{0x6489026e,0x2ac60267,0xa3e60299,0xb4db00b9}},	//   mžit, мљив, _फलन_, lvàt, 
   {{0xb21b01cc,0x2a7d0156,0xf27b0070,0x998f0028}},	//   _glæd, _clwb_, ַריש, _nagų_, 
   {{0xdb0800c8,0xd83e00de,0x00000000,0x00000000}},	//   _sydä, _áčka_, --, --, 
   {{0x6a7c026a,0x2ba90179,0x81cb0033,0x00000000}},	//   _défa, _चुका, রুক_, --, 
   {{0x7d097830,0xe758017b,0x00000000,0x00000000}},	//   _zves, чині_, --, --, 
   {{0x787f5bbb,0xdddb00bc,0x63a90502,0xb4d7176d}},	//   _rêve, _bouř, ßenm, िद्_, 
   {{0x63a9027e,0x660d23f2,0xd05d00ad,0xdd9900de}},	//   ğenm, _vdak, _etsə, _keňa_, 
   {{0x787f0218,0xe1ff007a,0x64890028,0x00000000}},	//   _pêve, _seó_, yžiu, --, 
   {{0xa4d402fb,0x46a70088,0xf83700a7,0x6281012d}},	//   торі, _ошиб, _חנות_, ūlom, 
   {{0xe0df048a,0x660d7831,0xd6c31c03,0xddc21c77}},	//   _può_, _udak, _جمعی, dkož, 
   {{0x7eb802a0,0xf19406ba,0x22497832,0x00000000}},	// [6d90] cípi, вить, rdak_, --, 
   {{0x69c2025b,0x00000000,0x00000000,0x00000000}},	//   _mzoe, --, --, --, 
   {{0x7d0914f0,0x21297833,0x44330175,0x9961009e}},	//   _sves, stah_, _ibx_, kêşe_, 
   {{0xc3320137,0x6aa200e5,0x21290102,0xdb090175}},	//   _גוט_, _njof, ptah_, _énén, 
   {{0xd1cb00b3,0x00000000,0x00000000,0x00000000}},	//   _фунд_, --, --, --, 
   {{0x251c027a,0x6aa2020f,0x00000000,0x00000000}},	//   קווא, _ajof, --, --, 
   {{0x1ee7009c,0x6a7c023e,0x7e780243,0x81d40033}},	//   _آوری_, _séfa, īvpr, সুদ_, 
   {{0x629f0026,0xe8f929ad,0x394d7834,0x00000000}},	//   nnqo, пли_, tves_, --, 
   {{0x81b100cc,0x9f410084,0x7d09090e,0x6db408ad}},	//   টের_, ichí_, _uves, _айту, 
   {{0xe8f60114,0xb5fb010e,0x8c6700a3,0x394d7835}},	//   эль_, ckáz, _ўтад, rves_, 
   {{0xe7ee00a5,0x47d20033,0x394d7836,0x7bc101ff}},	//   छड़ा_, _দ্বী, sves_, _uzlu, 
   {{0x958600f0,0x70bd05ff,0xda67443f,0x443300de}},	//   елме, ्गुल, _تائي, _abx_, 
   {{0x7ae17837,0xa25b0107,0xf1bf00e1,0x00000000}},	//   _hult, _chôm, _mbás_, --, 
   {{0x443302be,0x981724a1,0x00000000,0x00000000}},	//   _cbx_, _آبشا, --, --, 
   {{0x4256143a,0x03a37838,0x53a35953,0x7ae115cc}},	//   нтат, гиро, гарб, _jult, 
   {{0x7ae17191,0x60ea0028,0x443302be,0xb21b04f4}},	//   _mult, змам_, _ebx_, _smær, 
   {{0x66067839,0x563700c7,0x61f6783a,0xa69b00d1}},	// [6da0] makk, _טאקע_, rbyl, _משקפ, 
   {{0x6606783b,0x6489014b,0x3e4c0023,0x44e60054}},	//   lakk, užit, _ớt_, _iô_, 
   {{0x7ae10304,0xee3a68fe,0x15f40ba3,0x44e600e7}},	//   _nult, зне_, _आभार_, _hô_, 
   {{0x6606783c,0x44e60023,0xe1f2152c,0x00000000}},	//   nakk, _kô_, _حسد_, --, 
   {{0x629601f0,0x628402d0,0xdb0101f0,0x44e6019c}},	//   miyo, mhio, _eylü, _jô_, 
   {{0x6296783d,0xe04600cf,0x7ae1783e,0x44e6001b}},	//   liyo, _янги, _bult, _mô_, 
   {{0x1fb5783f,0x7ae1568c,0xc60b0086,0xa0a37840}},	//   _астр, _cult, ষ্টা_, _сард, 
   {{0x62967841,0x44e60054,0x9f5a019c,0x7ae17842}},	//   niyo, _oô_, capá_, _dult, 
   {{0x66062f84,0x261a00a2,0x6da31f66,0x44e60023}},	//   dakk, _भाजी_, _бита, _nô_, 
   {{0xd7f72c1b,0x62961e8f,0x67d470c6,0x32026983}},	//   ную_, hiyo, копу, _leky_, 
   {{0x62964701,0x7ae14e90,0xe8211204,0x6606400d}},	//   kiyo, _gult, _मारा_, fakk, 
   {{0x6e227843,0x66060666,0x7a1500ad,0x44e60023}},	//   ngob, gakk, rətç, _bô_, 
   {{0x44e600f7,0x62967844,0x443364d8,0x69c20053}},	//   _cô_, diyo, _pbx_, _uzoe, 
   {{0x6606016a,0xb4ab00bd,0x44e67845,0x00000000}},	//   aakk, गके_, _dô_, --, 
   {{0x66067846,0xd7f800d9,0x629600a3,0x6e22084c}},	//   bakk, mbă_, fiyo, kgob, 
   {{0xb0ec0086,0x44e64c5d,0xb21b02c9,0x62847847}},	//   _ওয়েব_, _fô_, _slæb, ghio, 
   {{0x68e20238,0x518730a3,0x32020098,0x443303c5}},	// [6db0] _juod, хува, _deky_, _tbx_, 
   {{0x68e20088,0x9f5800f6,0x569300f0,0x3375011f}},	//   _muod, _berà_, _шақт, _агор, 
   {{0x629600cf,0x26c97848,0x44e60023,0x68e20080}},	//   biyo, _khao_, _zô_, _luod, 
   {{0x62847849,0x39462bf6,0x787f010c,0x3a260415}},	//   chio, _osos_, _mêva, _ncop_, 
   {{0xe82104cc,0x9d45004e,0x44e600e7,0x68e20009}},	//   _माला_, телд, _xô_, _nuod, 
   {{0xd116042c,0xed560508,0x4423784a,0xd7f8020f}},	//   _בקשה_, тош_, ngj_, jbă_, 
   {{0x6606784b,0x394600a3,0x2011045a,0x9f4a00f6}},	//   yakk, _asos_, _idzi_, _debó_, 
   {{0xb4bf016a,0x6a7c0107,0x68e200f3,0x26c90210}},	//   ेषु_, _défo, _buod, _nhao_, 
   {{0x6606784c,0x2003085f,0xdfe50b79,0x394600b9}},	//   vakk, _keji_, _औलाद_, _csos_, 
   {{0x68e2784d,0x26c90026,0xb4ab031e,0x6abb784e}},	//   _duod, _ahao_, गको_, sluf, 
   {{0x07a5784f,0xf42700cc,0x394615c4,0x66067850}},	//   танн, য়ার_, _esos_, takk, 
   {{0x26c97851,0xd7f800d9,0x44e67852,0xa8020213}},	//   _chao_, abă_, _pô_, çırm, 
   {{0xb6a37253,0x6296027e,0x69cd00ae,0x7d1900f8}},	//   риял, viyo, देशी, nrws, 
   {{0x44e60029,0x44230679,0x9f580183,0x7eb804ef}},	//   _vô_, ggj_, _lerá_, lípt, 
   {{0x224b7853,0x62967844,0x62847854,0x232732ae}},	//   _back_, tiyo, thio, кори_, 
   {{0x44e62a52,0xcfb70086,0x00000000,0x00000000}},	//   _tô_, জধান, --, --, 
   {{0x62967855,0x9f580161,0xe0da0245,0x20033105}},	// [6dc0] riyo, _serà_, два_, _beji_, 
   {{0x62967856,0x66047857,0x628400d1,0x6f1e0097}},	//   siyo, _heik, shio, tupc, 
   {{0x3a3f7858,0x403300dd,0x6604128c,0x224b02ae}},	//   keup_, реєс, _keik, _fack_, 
   {{0x6a7c026a,0x644e7859,0x2011044d,0x660401d6}},	//   _réfo, ldbi, _edzi_, _jeik, 
   {{0x6e2203a0,0x3cfd031e,0x6604785a,0xa3e60790}},	//   rgob, रीले_, _meik, _फला_, 
   {{0x6604785b,0xdb1a0019,0x644e785c,0x3a2600d9}},	//   _leik, _aztá, ndbi, _scop_, 
   {{0xa0370a33,0xfbd50086,0x38602e3c,0x68e20080}},	//   _שאלה_, _স্বত, _đir_, _suod, 
   {{0xeaaf00eb,0x60dc06a6,0x68e20009,0x24980380}},	//   يعي_, _hirm, _puod, hirm_, 
   {{0x60dc785d,0xfce6785e,0x9d4302f1,0x2498016a}},	//   _kirm, _розо, _кетд, kirm_, 
   {{0x68e2030f,0x787f0218,0xe7ed00bc,0x63a95839}},	//   _vuod, _pêva, चुला_, şeni, 
   {{0x25be06d0,0xba260c19,0xdc9b00a7,0xd7f800b3}},	//   ətli_, _адек, _קיבל, rbă_, 
   {{0x645e158b,0x6f0303b7,0xa3b60f63,0x3946023b}},	//   _anpi, ânci, _जड़_, _tsos_, 
   {{0x39463f5b,0xb27502f1,0xceb3042c,0x660401d6}},	//   _usos_, қлаш, שיר_, _deik, 
   {{0xf75400eb,0x224b3127,0xc977029e,0x998d010c}},	//   _منتج, _sack_, _בגדי_, lgeş_, 
   {{0x26c90029,0x41e702c8,0x35c70035,0x4423024a}},	//   _thao_, віза, रेज़, rgj_, 
   {{0x28c6072f,0x442d031e,0x645e785f,0x20030352}},	//   _रीति, ře_, _enpi, _seji_, 
   {{0x705900f6,0x6a7c026a,0x21200065,0x11550235}},	// [6dd0] наар_, _réfl, guih_, ыкаю, 
   {{0x9f580b85,0x764d0102,0x660402b0,0x60dc7860}},	//   _será_, _haay, _zeik, _cirm, 
   {{0x224b0750,0x764d7861,0x60dc7862,0x20cd0f23}},	//   _tack_, _kaay, _dirm, _džip_, 
   {{0x60dc01f5,0xed59014b,0x764d02a5,0xa7fc027e}},	//   _eirm, _lyže_, _jaay, rkıy, 
   {{0xed580b0c,0x764d0bc1,0x9f582123,0x721a03e1}},	//   кої_, _maay, _verá_, _אורח, 
   {{0x66e8000d,0x60dc05b7,0x32090008,0x61ed4a35}},	//   _něko, _girm, laay_, lcal, 
   {{0x9f580c1f,0x3a3f005f,0xeb350116,0x66de01dd}},	//   _terá_, teup_, ارتخ, _mīks, 
   {{0x66e8031e,0x07a500f0,0x764d7863,0x291f018e}},	//   _pěkn, ғамн, _naay, tuua_, 
   {{0x66047864,0x3a3f005f,0x4c250019,0xac27020f}},	//   _reik, reup_, _مظاہ, _афек, 
   {{0x3a3f033e,0x79897865,0x6d497866,0x91bc00a7}},	//   seup_, rzew, _isea, ומחי, 
   {{0x764d0547,0x79890035,0x660400fc,0xd709012d}},	//   _baay, szew, _peik, энне_, 
   {{0x764d0539,0x3ce40027,0x00000000,0x00000000}},	//   _caay, _yumv_, --, --, 
   {{0x66047867,0x764d02a5,0x2240012d,0xceb2027a}},	//   _veik, _daay, veik_, מיט_, 
   {{0xb6a30259,0xd879007a,0x00000000,0x00000000}},	//   _қиыл, _سمعت_, --, --, 
   {{0x3878022b,0x888300c5,0x66045ee1,0x22406c5c}},	//   örre_, _میکن, _teik, teik_, 
   {{0x67217868,0x216a01a2,0x6d497869,0x60dc786a}},	//   mulj, ниби_, _osea, _sirm, 
   {{0x60dc744b,0x2240786b,0xd2a7123f,0x68e900c3}},	// [6de0] _pirm, reik_, укте_, nqed, 
   {{0x61ed0036,0x2240381e,0x764d01a3,0x00000000}},	//   acal, seik_, _zaay, --, 
   {{0x6d49786c,0xdd210218,0x764d01a3,0x60dc4e55}},	//   _asea, _pîşe, _yaay, _virm, 
   {{0x61ed786d,0xfce61af2,0xdfcf00eb,0x0dca1768}},	//   ccal, годо, سين_, нули_, 
   {{0xd176001c,0x63a90502,0x63be1247,0xdd906564}},	//   _сыны, ßenv, _hypn, غوت_, 
   {{0x1aeb00cc,0xafe33740,0x672164e3,0x00000000}},	//   _টিজে_, _горл, kulj, --, 
   {{0x6721015e,0x290f0664,0x00000000,0x00000000}},	//   julj, _avga_, --, --, 
   {{0x67216a95,0x39140c10,0xc9140bad,0x00000000}},	//   dulj, амир, адић, --, 
   {{0x9806012d,0xf65f02c9,0xada600b9,0x00000000}},	//   лянд, llæg_, _саал, --, 
   {{0x473442c1,0x764d786e,0x61ed0126,0x67210372}},	//   анос, _saay, zcal, fulj, 
   {{0xf65f055f,0x764d2f29,0x6b5a00a3,0x66e802d9}},	//   nlæg_, _paay, _яшар_, _věko, 
   {{0x7bc81462,0x61ed0327,0x45d505f3,0x290d1f14}},	//   _izdu, xcal, ионс, bsea_, 
   {{0xd90e06bc,0x02a70f5a,0x6d4f0183,0x25f436a6}},	//   _عید_, ҳрам, _ácat, ंड़ी_, 
   {{0x764d01a3,0x67d4786f,0x2c7906df,0x98a37870}},	//   _waay, _колу, _pèdi_, _личе, 
   {{0xa3d57871,0x764d01b8,0x00000000,0x00000000}},	//   ровч, _taay, --, --, 
   {{0xf65f0941,0x5faf02e6,0x48fb031e,0xb71307cf}},	//   dlæg_, _जुगल, लीको_, _ابوش, 
   {{0x61ed7872,0x940a0095,0xb21b0566,0x00000000}},	// [6df0] rcal, hibə_, _flæn, --, 
   {{0xf00b001b,0x629a0151,0xa5bb00b9,0x6e29008a}},	//   _đẳng_, étor, ngóm, _sceb, 
   {{0x2fc7022b,0x61ed7873,0x201c02be,0x00000000}},	//   ång_, pcal, óvia_, --, 
   {{0x5d557874,0x00000000,0x00000000,0x00000000}},	//   икет, --, --, --, 
   {{0xd1c80176,0x2d58017b,0x00000000,0x00000000}},	//   _бурд_, лиць_, --, --, 
   {{0xeb9908ba,0x7bc80083,0x1ee70eb7,0x00000000}},	//   кил_, _bzdu, _موسی_, --, 
   {{0x961d0033,0x3cf80604,0x7c840bad,0xda650543}},	//   ধ্যম_, _črve_, ључе, ивки, 
   {{0x6d490084,0x6f03020f,0x6e2900de,0x00000000}},	//   _tsea, âncu, _uceb, --, 
   {{0x6d490088,0x8d8700a3,0x290f0231,0x00000000}},	//   _usea, _сувд, _qvga_, --, 
   {{0x5d840084,0x290d7875,0xe9d600d3,0x38b90036}},	//   _الكل, rsea_, шкы_, vèrs_, 
   {{0x5ba70088,0xf77111b7,0x290d7876,0x96660cda}},	//   _сраз, زاد_, ssea_, акне, 
   {{0x67217877,0x6d4f0068,0x290d00b3,0xc4c90486}},	//   rulj, _ácas, psea_, _חג_, 
   {{0x05d000a2,0x920801dd,0x9f5803dd,0xb21b0566}},	//   सेंब, ntāž, _terç_, _plæn, 
   {{0x67217878,0xe7397879,0xd5470267,0xdb1a00de}},	//   pulj, _аек_, јпре_, _syté, 
   {{0xe29a4e1b,0x64a315b8,0xd7b90248,0xd4670229}},	//   вав_, цара, çədə_, шире_, 
   {{0x63be026e,0xa8020585,0xd2a70bad,0x56930165}},	//   _vypn, _çıra, аксе_, _мајт, 
   {{0x6a7c0354,0x00000000,0x00000000,0x00000000}},	// [6e00] _défh, --, --, --, 
   {{0x7e6000f4,0x9c7c00ef,0x757b03e1,0x2f562010}},	//   _snmp, _kiče, _סטיפ, итес, 
   {{0xb4b2051f,0x661602d9,0xd2aa787a,0xee0a0543}},	//   टकी_, _kdyk, _акне_, веел_, 
   {{0xb17b022b,0x2a6d0405,0xed590144,0x69d60299}},	//   _igån, jjeb_, _brž_, मेडी, 
   {{0x6da602c0,0x9c7c0352,0x628642ec,0xe3b2009c}},	//   шида, _liče, _ilko, _درک_, 
   {{0xed591ba0,0x62860226,0x8f7608af,0x00000000}},	//   _drž_, _hlko, _кубі, --, 
   {{0x2d80787b,0x8fa3787c,0x9c7c4e52,0xd8382f35}},	//   šie_, _даре, _niče, niče_, 
   {{0x7bc81ac4,0x2a7f006d,0x940a00ad,0xdee307be}},	//   _vzdu, gkub_, ribə_, _фоти, 
   {{0xc866787d,0xd90d0274,0x5c1600b8,0x7e9c0082}},	//   атни, فین_, _نظار, sčps, 
   {{0x9da500d4,0xd8380082,0x6a7c0212,0x98c60bae}},	//   _اصفه, kiče_, _méfi, јсил, 
   {{0x6d4f118d,0xd8380082,0xaadf2414,0x8b960d3d}},	//   _ácar, jiče_, _पंचक, _трач, 
   {{0xd83800bc,0x3ea6787e,0x05eb01a2,0x3cfd1f5e}},	//   diče_, nnot_, ъфои_, रीके_, 
   {{0x443a787f,0x7ae80343,0xe5c73f28,0x25ad7880}},	//   _bbp_, _hudt, рсно, çel_, 
   {{0xb8cb00cc,0x68ed00eb,0x443a3ebc,0x656b01be}},	//   _কী_, _éada, _cbp_, _àghm, 
   {{0x443a0640,0x66e802d9,0x26c20098,0x00000000}},	//   _dbp_, _měkk, blko_, --, 
   {{0x32647881,0xf00b00e7,0x88bd0083,0x64587882}},	//   отув, _đằng_, puśc, _óvin, 
   {{0x1bf80262,0x7c3a0082,0x30157883,0x3ea67884}},	// [6e10] ुराल_, _obtr, йдар, dnot_, 
   {{0x6a7c7885,0xd838026e,0x3cea0b79,0x62867886}},	//   _défi, biče_, _चढ़े_, _elko, 
   {{0xed59090e,0x3f677887,0x60ce01be,0x9df908a7}},	//   _srž_, штаб, _dhbm, гнет_, 
   {{0xa2831fdb,0x63bb03c0,0x4ea4012d,0x7c3a0380}},	//   _بیرو, ğund, орча, _abtr, 
   {{0xbd6b00fd,0x067c0070,0x63bb1305,0x00000000}},	//   ърже_, כנאל, şund, --, 
   {{0x308500eb,0x20850c72,0x8c4500f0,0x8af900ad}},	//   _السف, _السّ, секе, htəş, 
   {{0xa3d700c6,0xeb960a66,0xe8f6004e,0x7ae80465}},	//   िधि_, йиш_, ұлы_, _cudt, 
   {{0x76960009,0x9c7c0604,0xdb0e02d9,0x0a4900b3}},	//   ršyk, _riče, ídán, узий_, 
   {{0x6e3b7888,0xe9d90080,0x00000000,0x00000000}},	//   _ibub, ыки_, --, --, 
   {{0x7c2d14f0,0xa9a500cf,0xac740084,0x92e20086}},	//   đars, _қилд, _والش, নীয়_, 
   {{0x25f44493,0xe7390267,0x00000000,0x00000000}},	//   ंडली_, ћем_, --, --, 
   {{0x443a00e2,0x9c7c015e,0x8b9a00d1,0xd83800de}},	//   _sbp_, _viče, _גבעת, viče_, 
   {{0x6e3b7889,0x69cd009a,0x9599788a,0x64e205ff}},	//   _mbub, देखी, атру_, पदेश, 
   {{0xd83800f1,0xa9560111,0x69cb00ef,0x232a2b68}},	//   tiče_, _לינק_, _izge, логи_, 
   {{0x6e3b0298,0xa3b500a5,0x637900b3,0xc7a24f57}},	//   _obub, _छुआ_, астр_, _нишк, 
   {{0x27314f87,0xe297788b,0x6d5b00a1,0x443a039b}},	//   mán_, бас_, _orua, _wbp_, 
   {{0x2731788c,0x6d5b01a0,0x2167788d,0xd838014b}},	// [6e20] lán_, _nrua, бити_, siče_, 
   {{0x6e3b788e,0x7646042a,0x71a60200,0xa30400f0}},	//   _abub, leky, _ҳамз, _мүге, 
   {{0xef1a788f,0x2731341d,0x547700d1,0x6d5b00b0}},	//   уме_, nán_, _הגיע_, _arua, 
   {{0xdddb090b,0x6286030f,0xe82102f8,0x6d5b7890}},	//   _sluš, _ulko, _माझा_, _brua, 
   {{0x27310084,0x6d5b0094,0x7ae80036,0x325700d1}},	//   hán_, _crua, _sudt, _הסכם_, 
   {{0x2b4c0065,0x7646012b,0x2731309e,0x6d5b7891}},	//   _psdc_, heky, kán_, _drua, 
   {{0x7f860084,0x27315194,0xe821119b,0x66df0009}},	//   _الأن, ján_, _माजा_, _būkl, 
   {{0x27317892,0xc33300a7,0x7bc10156,0x6d5b0844}},	//   dán_, פוח_, _dylu, _frua, 
   {{0x6d5b7893,0x0d866d0c,0x6d4f0183,0xa3b500aa}},	//   _grua, _улан, _ácap, _छुई_, 
   {{0x7ae80019,0x97140a2b,0xb4b21687,0xf84a64f4}},	//   _tudt, омоц, टको_, учий_, 
   {{0xb8ef0f01,0x27311259,0x200a00e2,0xb21b003e}},	//   _वी_, gán_, _mebi_, _slæm, 
   {{0x200a02a2,0x7c2a01e8,0x466b0849,0x6d400175}},	//   _lebi_, lgfr, уром_, _kpma, 
   {{0xddc0192c,0x6d400118,0x20187130,0xb5fb01d5}},	//   _lomž, _jpma, _odri_, fjár, 
   {{0x657d078e,0x200a07cd,0xc91700a7,0x27310019}},	//   rysh, _nebi_, _פחות_, bán_, 
   {{0x657d7894,0x2731243d,0xd5ed0023,0xd6db017b}},	//   sysh, cán_, _toà, _йти_, 
   {{0x46a40aa3,0x78ba0112,0x6d4012b6,0x00000000}},	//   _најв, lotv, _opma, --, 
   {{0x660f0519,0x909916e1,0x7ae27895,0x9fe700eb}},	// [6e30] mack, ават_, _miot, مساه, 
   {{0x660f7896,0x7ae27897,0x297b008d,0x6d5b0034}},	//   lack, _liot, אטמא, _rrua, 
   {{0x64557898,0x200a7899,0x6d401f8f,0x64470053}},	//   mdzi, _debi_, _apma, meji, 
   {{0x46c9007e,0x6d4001e5,0xddc00352,0x6455789a}},	//   रतिह, _bpma, _domž, ldzi, 
   {{0x2731789b,0x628d00eb,0x648900ef,0x69c2011c}},	//   zán_, mhao, džiz, _nyoe, 
   {{0x6455789c,0x6447789d,0xf00b0023,0x44ef789e}},	//   ndzi, neji, _đặng_, _mü_, 
   {{0x78ba04a1,0xb7b30033,0x27310042,0x6d4002a5}},	//   dotv, _ঘণ্ট, xán_, _epma, 
   {{0x2731789f,0x6d5b78a0,0x645502cd,0x539c00c7}},	//   ván_, _trua, hdzi, טיוו, 
   {{0x3ebf0730,0x6f07006d,0x787f010c,0x64471497}},	//   _ikut_, _hwjc, _hêvi, keji, 
   {{0x273178a1,0x4879078c,0x645500ab,0x78ba0571}},	//   tán_, рсия_, jdzi, gotv, 
   {{0xe73917d2,0x68fb0242,0x7ae20054,0x628d084c}},	//   шен_, spud, _fiot, khao, 
   {{0x273178a2,0x9f5878a3,0x660f0a1a,0x7ae278a4}},	//   rán_, _perú_, gack, _giot, 
   {{0x273178a5,0x44ef06d0,0x3ead78a6,0x99dd0032}},	//   sán_, _cü_, _mjet_, meňo, 
   {{0x2731070f,0x7ae201f1,0x76460fbb,0x752601f1}},	//   pán_, _ziot, seky, rukz, 
   {{0x68e30175,0x44ef78a7,0x200a78a8,0x787f0216}},	//   _iind, _eü_, _rebi_, _nêvi, 
   {{0x68e378a9,0xe1fa523f,0x201802cd,0x2120052a}},	//   _hind, рга_, _sdri_, trih_, 
   {{0x68e378aa,0x81e20086,0x2018016a,0x320002f1}},	// [6e40] _kind, নুন_, _pdri_, rbiy_, 
   {{0x3ead39ac,0x68eb78ab,0x68e378ac,0x28cf09e5}},	//   _ajet_, _mugd, _jind, _सीमि, 
   {{0x68e36256,0xd83878ad,0x68eb0ff2,0xe3b20e0e}},	//   _mind, niča_, _lugd, _زرد_, 
   {{0x68e3540f,0x628d78ae,0x200a78af,0x44ef1669}},	//   _lind, chao, _webi_, _yü_, 
   {{0x7ae26dfc,0x3ead00ef,0x395d78b0,0x8afc0035}},	//   _riot, _djet_, _nrws_, _kręg, 
   {{0x68e378b1,0x9c7c78b2,0x2018090e,0x497401a2}},	//   _nind, _biča, _udri_, ҷлис, 
   {{0x78ba08e3,0x7ae20035,0x80b92a2c,0xaff5010e}},	//   votv, _piot, ्तरे, _رہنا_, 
   {{0x68e378b3,0x6284058b,0x64552c02,0xd8384e1f}},	//   _aind, nkio, zdzi, diča_, 
   {{0xfe4302fb,0x48aa318b,0xf2d3042c,0x5ca6097f}},	//   _інфо, итом_, ועה_, _диаб, 
   {{0x68eb0175,0x6a7c0107,0xc19b0070,0x0b1a0038}},	//   _dugd, _réfu, ישפי, _نقطة_, 
   {{0x7ae278b4,0x6721003a,0x9f5802a3,0x76b95576}},	//   _tiot, grlj, _perù_, йлор_, 
   {{0x68e30dde,0x645500ab,0x395d0610,0x99dd00de}},	//   _eind, wdzi, _frws_, ceňo, 
   {{0xd6d80b0c,0x68e378b5,0xa3dd153d,0x644778b6}},	//   ють_, _find, तेन_, teji, 
   {{0x68e378b7,0x672100d2,0x6aa078b8,0x645578b9}},	//   _gind, brlj, limf, udzi, 
   {{0x645578ba,0x644778bb,0x628d78bc,0x629f4c3f}},	//   rdzi, reji, thao, tiqo, 
   {{0x768d0218,0x68e378bd,0x6447045a,0xe7840258}},	//   _bûye, _zind, seji, _муқо, 
   {{0x67280613,0x628d393e,0x68e3693f,0x6447010c}},	// [6e50] ludj, rhao, _yind, peji, 
   {{0x660d00b0,0x628d78be,0x6ef3003d,0x68e378bf}},	//   _heak, shao, _aħba, _xind, 
   {{0x660d085f,0x67280b91,0x6aa0025b,0x00000000}},	//   _keak, nudj, kimf, --, 
   {{0x9c7c78c0,0xf7730225,0x00000000,0x00000000}},	//   _riča, וקע_, --, --, 
   {{0x3ead01ee,0x63ad002a,0xed5978c1,0x248c012d}},	//   _vjet_, šinā, сол_, šimų_, 
   {{0xe3df100b,0x317a0056,0x224902ba,0x6d5d008c}},	//   _ব্যব, _הרשמ, leak_, _ásam, 
   {{0x3ebf02cd,0x68eb0008,0x21290065,0x6abb10cc}},	//   _tkut_, _sugd, luah_, touf, 
   {{0x68e378c2,0x672178c3,0x224901f1,0xd83878c4}},	//   _sind, vrlj, neak_, viča_, 
   {{0x6aa900c1,0xe5205378,0xe8f60028,0x99dd020b}},	//   rnef, _बिधि_, плы_, reňo, 
   {{0x67210112,0x68e3024a,0x62840a9f,0x7d0901f2}},	//   trlj, _qind, zkio, _iwes, 
   {{0x660d78c5,0x68e37152,0x629d39a9,0x224978c6}},	//   _beak, _vind, _omso, keak_, 
   {{0x68e378c7,0x6490007e,0x8517009a,0x941100ad}},	//   _wind, _käig, _तिखट_, mizə_, 
   {{0x224902ba,0x660d4703,0x7d0901f2,0x9c7c0604}},	//   deak_, _deak, _jwes, _mičn, 
   {{0x9c7c2337,0x67210571,0x7d0901eb,0x394d0027}},	//   _ličn, prlj, _mwes, mwes_, 
   {{0x935978c8,0x6728015e,0x7d0901b8,0x87040038}},	//   орту_, cudj, _lwes, _قبيل, 
   {{0xe29778c9,0xc7b2042c,0x224901f1,0x7d090539}},	//   пас_, _רבה_, geak_, _owes, 
   {{0x66e8031e,0x216778ca,0x3ced0126,0x62843071}},	// [6e60] _děku, пити_, _nuev_, rkio, 
   {{0x82360019,0x90c30088,0x78a10126,0x3dd10033}},	//   _کردا, ебуе, nilv, িশাল, 
   {{0x224901f1,0x7d0900d1,0x6aa00027,0x00000000}},	//   beak_, _awes, yimf, --, 
   {{0x21292e7b,0xddcf1796,0x76560065,0x491c00a5}},	//   buah_, _šeše, _jayy, _मिलो_, 
   {{0x78a1008c,0x7d090156,0x76560104,0x00000000}},	//   kilv, _cwes, _mayy, --, 
   {{0x653b00c7,0x941100ad,0x394d0ff2,0x00000000}},	//   מענד, fizə_, dwes_, --, 
   {{0x3af100e7,0x7d0978cb,0x5f2778cc,0xe80100aa}},	//   _cáp_, _ewes, _норм_, ोरना_, 
   {{0x3212012b,0x3a2d78cd,0x00000000,0x00000000}},	//   nayy_, ggep_, --, --, 
   {{0x7d090156,0x649000c2,0x6aa06eb2,0x00000000}},	//   _gwes, _käid, rimf, --, 
   {{0xb0be0c64,0x660d78ce,0x50be072f,0x6728007b}},	//   ्तिग, _seak, ्तिष, tudj, 
   {{0x660d0077,0x66e8031e,0x99e6170f,0x6a7c0212}},	//   _peak, _někt, _ежед, _défr, 
   {{0x224901f1,0x368b75cd,0x00000000,0x00000000}},	//   xeak_, ссон_, --, --, 
   {{0x7d090218,0x67282ed1,0x78a10a98,0x80be35d0}},	//   _xwes, sudj, bilv, ्ताइ, 
   {{0xb9db0056,0x64901eab,0x176a0b97,0x660d78cf}},	//   _החדש, _näid, _грип_, _weak, 
   {{0x083b02a1,0x224902ba,0x752800ab,0x27f3009e}},	//   _העול, teak_, ądza, şanî_, 
   {{0xe8df001b,0x00000000,0x00000000,0x00000000}},	//   ược_, --, --, --, 
   {{0x22490a9f,0xd24403dd,0x66280098,0x76960028}},	// [6e70] reak_, ээри, šské, ršyt, 
   {{0x21290348,0x7d09487b,0x224901ca,0x4f6b0080}},	//   ruah_, _rwes, seak_, йшем_, 
   {{0x21290938,0x3f87253f,0xa5bb0183,0x00000000}},	//   suah_, ánu_, rgóu, --, 
   {{0x3f8f00ab,0x7d0978d0,0x3af10023,0x66df0009}},	//   ągu_, _pwes, _ráp_, _būki, 
   {{0x3f8704d1,0x9c7c00ca,0x645778d1,0x3af10023}},	//   šnu_, _vičn, _kaxi, _sáp_, 
   {{0xd7e60084,0xea630019,0x4338009c,0x00000000}},	//   _لك_, کھئی, _بسیج_, --, 
   {{0x6a7c78d2,0x2013059e,0x00000000,0x00000000}},	//   _réfr, maxi_, --, --, 
   {{0xe8f978d3,0x94110095,0x7d093b4a,0x64570106}},	//   оли_, rizə_, _twes, _laxi, 
   {{0x81b100cc,0xdd944abc,0x765678d4,0x6ba60095}},	//   য়ের_, _заты, _rayy, _əsgə, 
   {{0x765678d5,0x9f5a0369,0x7e7b02d9,0x5d542bb0}},	//   _sayy, capó_, _houp, _якут, 
   {{0x7e7b78d6,0x7e690c17,0x76560102,0x00000000}},	//   _koup, _knep, _payy, --, 
   {{0x765655d4,0xe5a678d7,0x7e7b78d8,0xd0160033}},	//   _qayy, дими, _joup, ালয়_, 
   {{0x64574c75,0x6b8378d9,0x7e7b0118,0x78a14a69}},	//   _baxi, lyng, _moup, pilv, 
   {{0xd9421504,0x2bda109f,0x7e7b78da,0x64570165}},	//   _реши, येवा, _loup, _caxi, 
   {{0x645778db,0x76563dbd,0xa3d800ab,0xd3b51279}},	//   _daxi, _tayy, ़ें_, есть, 
   {{0x7e7b296d,0x00000000,0x00000000,0x00000000}},	//   _noup, --, --, --, 
   {{0x00e600e4,0x61f678dc,0x645778dd,0x8afc0083}},	// [6e80] джан, rcyl, _faxi, _kręc, 
   {{0xf42500cc,0xeb0d0262,0x7e690175,0x00000000}},	//   ম্বর_, _सबूत_, _anep, --, 
   {{0x649000b0,0xdd8f015f,0x7e7b1d41,0x81b10033}},	//   _väid, یوم_, _boup, য়েল_, 
   {{0x0dca0235,0x7e7b0efb,0xeea900f0,0x645700a3}},	//   олей_, _coup, птік_, _zaxi, 
   {{0x649000b0,0x44f41070,0x41030093,0x7e69040c}},	//   _täid, _jä_, _изяв, _dnep, 
   {{0x44f40088,0x6fd605f6,0x6b830156,0x201302aa}},	//   _mä_, _भरपू, fyng, caxi_, 
   {{0x6b8302bf,0x22420065,0x649000b0,0x44f478de}},	//   gyng, _kbkk_, _käib, _lä_, 
   {{0xf1bf00eb,0x5a340093,0x386078df,0x7e7b0151}},	//   _gcás_, хнит, _şir_, _goup, 
   {{0x3dc302f1,0x44f4161f,0xbea314b7,0xb52000bc}},	//   _айтг, _nä_, _ратк, _बिषय_, 
   {{0x9c7c034c,0x7d021a48,0x7e7b0183,0xd7f72dd8}},	//   _kičm, mpos, _zoup, мую_, 
   {{0x7d0278e0,0x3ce70b79,0x7e7b78e1,0x645778e2}},	//   lpos, _छूटे_, _youp, _raxi, 
   {{0xc5f9007e,0x645778e3,0x44f403c5,0x00000000}},	//   ंडेय_, _saxi, _bä_, --, 
   {{0x7d0278e4,0x443378e5,0x645778e6,0xb4e9215e}},	//   npos, _pcx_, _paxi, यदे_, 
   {{0x44f4429a,0x7d020ab4,0xd7ef78e7,0xf1d500bc}},	//   _dä_, ipos, _ју_, _दरबन, 
   {{0x53341b17,0x7d02016a,0x64570068,0x18330038}},	//   керт, hpos, _vaxi, _شروح, 
   {{0x27384faf,0x64573ebc,0x320f010e,0x60f978e8}},	//   mén_, _waxi, úgy_, зная_, 
   {{0x7d0278e9,0x7e7b4d4b,0x22420065,0x12e4004e}},	// [6e90] jpos, _roup, _dbkk_, тірг, 
   {{0x6fa0000f,0xd0110fdc,0x7e7b78ea,0xd7f8002e}},	//   _गेहू, الا_, _soup, ncă_, 
   {{0x2738005f,0x7e7b78eb,0x2fc7055f,0x9f580379}},	//   nén_, _poup, æng_, _terý_, 
   {{0x44310183,0x05d300c9,0xdde20144,0x00000000}},	//   lgz_, _सराब, _šušt, --, 
   {{0x7d0278ec,0x849800d4,0x1d0978ed,0x39460026}},	//   gpos, _رئیس_, чели_, _npos_, 
   {{0x64900077,0x273878ee,0x6b834143,0x7e7b0118}},	//   _täie, kén_, tyng, _woup, 
   {{0x273878ef,0x4fc42d69,0x7e7b06df,0xce950141}},	//   jén_, _аста, _toup, _завъ, 
   {{0x273878f0,0x201101cf,0x787f010c,0x63b7040c}},	//   dén_, _hezi_, _nêvr, _mxxn, 
   {{0x225900df,0x201178f1,0x00000000,0x00000000}},	//   _mask_, _kezi_, --, --, 
   {{0x20110cd7,0x81b10033,0x44f403c5,0xf0920070}},	//   _jezi_, _ওরা_, _rä_, ָנט_, 
   {{0x3946042e,0x201178f2,0x273878f3,0x387c0036}},	//   _epos_, _mezi_, gén_, _dovr_, 
   {{0x28cf000f,0x2011090b,0xb4d8000f,0xd7f800b3}},	//   _सीरि, _lezi_, िष्_, acă_, 
   {{0x3eaf0038,0xd94578f4,0x6acb0299,0x63bb0248}},	//   ingt_, _чели, ातीर, şunl, 
   {{0x9586005e,0x273878f5,0x20110097,0x9f410126}},	//   _үлке, bén_, _nezi_, nchó_, 
   {{0x27381771,0x213902f1,0x7d0278f6,0x44f4059e}},	//   cén_, _aqsh_, zpos, _wä_, 
   {{0x7d0278f7,0x44f478f8,0x98a40243,0xd04a0248}},	//   ypos, _tä_, mumā_, ənəv, 
   {{0x95560084,0x26c278f9,0x76440199,0xe29778fa}},	// [6ea0] _أخبا, moko_, _ibiy, хат_, 
   {{0x26c278fb,0x628f78fc,0xb21b055f,0x656402b8}},	//   loko_, _elco, _blæs, _irih, 
   {{0x44441124,0x03a678fd,0x7d1b78fe,0x201103a0}},	//   _ib_, _чино, _avus, _dezi_, 
   {{0x44442d95,0x7d0202f5,0x81e200cc,0x26c278ff}},	//   _hb_, tpos, নুষ_, noko_, 
   {{0x27380483,0x764400c5,0xdca67900,0x444435c5}},	//   zén_, _mbiy, нади, _kb_, 
   {{0x645c01a7,0xa80206d0,0x26c20149,0x98a4002a}},	//   ndri, _çıxa, hoko_, kumā_, 
   {{0x98a4002a,0x26c26e1d,0x7d027901,0x44440139}},	//   jumā_, koko_, spos, _mb_, 
   {{0x65641ae0,0xdee37902,0x26c27903,0xdb1a055f}},	//   _orih, _боси, joko_, _nytå, 
   {{0x44447904,0x644e7905,0xf8b80161,0x26c27906}},	//   _ob_, kebi, мөк_, doko_, 
   {{0x8b967907,0x27387908,0x644e7909,0x7644790a}},	//   _преч, tén_, jebi, _abiy, 
   {{0x5695790b,0xd7f800d9,0x9c7c0588,0x26c201a7}},	//   вант, rcă_, _ličk, foko_, 
   {{0x4444790c,0x2738790d,0xd7f8002e,0x645c790e}},	//   _ab_, rén_, scă_, edri, 
   {{0x2259790f,0x3946011d,0x44447910,0x167200f0}},	//   _rask_, _upos_, _bb_, рқыр, 
   {{0x644e7911,0x645c7912,0x65640379,0x764401a3}},	//   gebi, gdri, _drih, _ebiy, 
   {{0xb8650a5a,0xd3247913,0x32670009,0x98a400e0}},	//   _جانو, льти, нтав, cumā_, 
   {{0x656417f1,0xd2581de1,0x20110300,0x26c24795}},	//   _frih, нцу_, _sezi_, coko_, 
   {{0xdc3c00ef,0x2b5200ab,0x22597914,0x644e027e}},	// [6eb0] _ašči, łych_, _vask_, bebi, 
   {{0xd91b00fe,0x644e5898,0x655600d1,0x44440729}},	//   פובל, cebi, _סבתא_, _gb_, 
   {{0x20117915,0x4ab20081,0xceeb0a24,0x6f1c00ef}},	//   _vezi_, ुकाव, سران_, _cvrc, 
   {{0x9f587916,0x765d055f,0x531a00c7,0x44447917}},	//   _però_, ndsy, _קורצ, _zb_, 
   {{0x32097918,0x760c00c7,0xa3f502e6,0x44210032}},	//   mbay_, פּאַ, _आलाप_, _kdh_, 
   {{0x7d1c002a,0x21297919,0x26c2791a,0x44210175}},	//   _ārst, mrah_, zoko_, _jdh_, 
   {{0x26c2791b,0x442100a3,0x9f410369,0x6445011c}},	//   yoko_, _mdh_, rchó_, _mbhi, 
   {{0x7d1b00ef,0x644e791c,0x645c0372,0x98a40243}},	//   _tvus, zebi, zdri, vumā_, 
   {{0x644e01f0,0x26c20a77,0xb60402d9,0x644501f5}},	//   yebi, voko_, ndář, _obhi, 
   {{0x2129085f,0x644e791d,0x44210112,0x0d220161}},	//   irah_, xebi, _ndh_, _түшү, 
   {{0x644e791e,0x26c2791f,0x32090c3d,0x21297920}},	//   vebi, toko_, kbay_, hrah_, 
   {{0x2ca77921,0x65647922,0x21297923,0x44213772}},	//   lind_, _prih, krah_, _adh_, 
   {{0x26c27924,0x21297925,0x644e7926,0x645c09ad}},	//   roko_, jrah_, tebi, tdri, 
   {{0x61fd7927,0x44443f60,0x9c7c00ef,0x2ca700d9}},	//   _afsl, _qb_, _ričk, nind_, 
   {{0x645c339e,0x7aeb012b,0x26c2476e,0xe3b802a4}},	//   rdri, _kigt, poko_, çı_, 
   {{0x444401a0,0x7afc006b,0x2ca77928,0x644e7929}},	//   _wb_, _érte, hind_, sebi, 
   {{0x2ca7623c,0x21290877,0x3ea600c8,0x6564792a}},	// [6ec0] kind_, grah_, viot_, _urih, 
   {{0x4444792b,0x7aeb792c,0x42c40086,0x644500a1}},	//   _ub_, _ligt, ্দেশ, _gbhi, 
   {{0xee3a3543,0x6d490183,0xe29a08ad,0x2129342b}},	//   дне_, _apea, _жан_, arah_, 
   {{0x26c302f5,0x787e031e,0x212937f9,0x0d864920}},	//   čkog_, _závě, brah_, клен, 
   {{0x3ea6792d,0xa2bf048e,0x2ba71202,0x6458003e}},	//   riot_, वकर्, _केबा, _óvis, 
   {{0x9f58003e,0x031600a5,0x9c7c0082,0x53d6017d}},	//   _ferð_, _तबाह_, _kiči, _धराश, 
   {{0x8fa6792e,0x7aeb792f,0x9f58008c,0x6d4901f1}},	//   _раве, _bigt, _gerð_, _epea, 
   {{0x69cb018c,0x67282cd9,0xab837930,0x9c7c0c4c}},	//   _byge, vrdj, рушк, _miči, 
   {{0x7aeb4168,0x2ca70ff2,0x9c7c1a44,0x7c210118}},	//   _digt, bind_, _liči, _fdlr, 
   {{0x2bbb0262,0x2ca77931,0x81b10033,0x00000000}},	//   _ऊँचा, cind_, য়েক_, --, 
   {{0x3209140d,0x442100a1,0x21290065,0x9c7c49f8}},	//   ybay_, _rdh_, zrah_, _niči, 
   {{0x44217932,0x64450102,0x47330019,0x752f0035}},	//   _sdh_, _sbhi, گریز, tucz, 
   {{0xa2d3007e,0x38570a24,0xa2b800d8,0x68ea01f2}},	//   _भीष्, رشید_, ्कन्, _tifd, 
   {{0x3af87933,0x9c7c0009,0x98a302a0,0xe3b3010e}},	//   _kép_, _biči, _киче, لرز_, 
   {{0xa3dd02c3,0x64450126,0xd4987934,0x3209040c}},	//   तें_, _vbhi, тря_, tbay_, 
   {{0x21297935,0x9c7c015e,0xd83811bc,0x3af80023}},	//   trah_, _diči, diči_, _mép_, 
   {{0xb5fb0183,0x32097936,0x6ef301f2,0xe0d956eb}},	// [6ed0] rdád, rbay_, _iħbi, едач_, 
   {{0x66df5e03,0x4421009a,0x320901be,0x94180095}},	//   _tūks, _udh_, sbay_, kirə_, 
   {{0x2ca77937,0xdb1e026a,0x6d4900a7,0x66d62e9b}},	//   vind_, _évèn, _spea, láka, 
   {{0x2ca708a8,0x21297938,0x9f58008c,0x62960104}},	//   wind_, prah_, _verð_, chyo, 
   {{0x7aeb7939,0x2ca7387f,0x1d34387f,0x26c9095a}},	//   _rigt, tind_, инця, _mkao_, 
   {{0x6acb0d1d,0x7aeb793a,0x69cb055f,0x649000b0}},	//   ात्र, _sigt, _ryge, _läin, 
   {{0x2ca7793b,0x447c0137,0xfaa523ad,0x69cb055f}},	//   rind_, ונגע, лако, _syge, 
   {{0x2ca7793c,0x649006a6,0x3af800e7,0x628d0532}},	//   sind_, _näin, _dép_, nkao, 
   {{0x7aeb0022,0x6b75005e,0x2d99004f,0x2ca7793d}},	//   _vigt, _әлеу, _åse_, pind_, 
   {{0xd7090088,0x0ba7793e,0xdd94004e,0x26c90054}},	//   нное_, _ишем, _тауы, _akao_, 
   {{0x16aa43fc,0x3af8010e,0x7aeb0008,0xda7b1a57}},	//   евни_, _gép_, _tigt, _ояд_, 
   {{0xb8030527,0x69cb793f,0xd05c0248,0x00000000}},	//   _श्रम_, _tyge, _dirə, --, 
   {{0xa3e602e6,0x5e560070,0xb6a3181e,0x00000000}},	//   बेन_, נישע_, сиял, --, 
   {{0x6aa922d0,0x2eed6374,0x9c7c0097,0x92b00033}},	//   lief, _lief_, _piči, _ওঠে_, 
   {{0x60c5016a,0x62960532,0xd05c0248,0x3af80210}},	//   dohm, thyo, _girə, _xép_, 
   {{0x628d1272,0xb29502a6,0xd17400f0,0xd8380604}},	//   gkao, ајућ, қығы, viči_, 
   {{0x41277940,0x79897941,0x7d0400e0,0x799b7942}},	// [6ee0] лото_, nyew, ģisk, nzuw, 
   {{0x459b02a1,0x661653cd,0x071726f2,0xd8381a01}},	//   _נסיע, _heyk, _दबाव_, tiči_, 
   {{0xe4570137,0x645e0008,0x2eed040b,0x94180248}},	//   _גייט_, _iapi, _bief_, xirə_, 
   {{0x645e7943,0xdb1e026d,0x443a0610,0x42561c52}},	//   _hapi, _évén, _hcp_, _стот, 
   {{0x63b6002a,0xd838014b,0xd17503a1,0x2eed0d62}},	//   šanā, siči_, _кыры, _dief_, 
   {{0x6adc7944,0x10a613cc,0x645e00e5,0xd83875ad}},	//   मग्र, _сигн, _japi, piči_, 
   {{0x645e7945,0x201a0102,0x443a60b8,0x2ba7101f}},	//   _mapi, mapi_, _mcp_, _केदा, 
   {{0x201a2a85,0x6f03022c,0xdd160296,0x9c7c0604}},	//   lapi_, ínce, _مورخ, _ničv, 
   {{0xcc361a38,0xd83a00b3,0x588600d3,0x443a0534}},	//   _مراع, нэн_, гына, _ocp_, 
   {{0x645e7946,0x31570056,0x201a7947,0x3af80108}},	//   _napi, ניין_, napi_, _tép_, 
   {{0xb86600d4,0xc6000033,0xda93022c,0x64900080}},	//   ناگو, ্ণনা_, ргөө, _päin, 
   {{0x201a7948,0x41b4009a,0x645e7949,0x798901b8}},	//   hapi_, ंपास, _aapi, byew, 
   {{0x201a794a,0x645e794b,0x443a794c,0xe1ff0035}},	//   kapi_, _bapi, _bcp_, _znów_, 
   {{0x645e794d,0x66d641d4,0x00000000,0x00000000}},	//   _capi, ráka, --, --, 
   {{0x201a0730,0x645e02dc,0xf53f017e,0x5695794e}},	//   dapi_, _dapi, stå_, _вайт, 
   {{0x68ed00eb,0x92581c52,0x443a02be,0x661608b0}},	//   _éadr, ласт_, _ecp_, _geyk, 
   {{0x30150e52,0x7c3a794f,0x2eed0502,0x1da43355}},	// [6ef0] идар, _octr, _rief_, _खेलत, 
   {{0x201a7950,0x645e02f1,0x443a00e2,0x98a40028}},	//   gapi_, _gapi, _gcp_, bumą_, 
   {{0x23fa00a7,0x60c556f3,0x20d40088,0x14b80a6b}},	//   _בהתא, rohm, päin_, _حديث_, 
   {{0x645e7951,0xd8382fab,0xed590df4,0x9c7c3a61}},	//   _zapi, miču_, _psž_, _miču, 
   {{0xa3a91223,0x645e7952,0x201a0194,0x2b4c00f6}},	//   _खेत_, _yapi, bapi_, _apdc_, 
   {{0x201a7953,0x649000c8,0x99dd00bc,0xdb850892}},	//   capi_, _näil, zeňs, игли, 
   {{0x3f87007e,0x6aa90bee,0x2eed0380,0xd8380d9d}},	//   änud_, tief, _tief_, niču_, 
   {{0xa9257954,0xca8528c9,0x00000000,0x00000000}},	//   адил, ргий, --, --, 
   {{0x6616010d,0x6aa97955,0x2b4c00e2,0xe9d900fd}},	//   _reyk, rief, _epdc_, ъки_, 
   {{0xa3b57956,0x6d5b0027,0x2d9d0027,0x28cf0eda}},	//   जपा_, _isua, mzwe_, _सीखि, 
   {{0xe7390886,0xf7451d5d,0x66167957,0x4a7500b3}},	//   њем_, шено, _peyk, _вылт, 
   {{0x6b7a0137,0xd5e66de5,0x9c7c0118,0x69dd0083}},	//   _ברענ, ижни, _chčf, _परपी, 
   {{0x2d9d099d,0x15ba1bb9,0xc8b4347e,0x80ba1faf}},	//   nzwe_, тыны_, _گلوک, ्वमे, 
   {{0x37e57958,0x645e7959,0x2aba01dd,0xa5070082}},	//   _колг, _qapi, mība_, рера_, 
   {{0x63833f88,0xc7a26464,0x201a02c7,0x2b4c00e2}},	//   огра, _мишк, vapi_, _xpdc_, 
   {{0x02060a27,0x645e17ed,0x602800e0,0x98a40009}},	//   рзан, _wapi, zīmē, rumą_, 
   {{0x201a11a4,0x2aba00e0,0x66d6795a,0x0163795b}},	// [6f00] tapi_, nība_, láko, окто, 
   {{0x60260ff6,0x6e3b0068,0x649000b0,0xa494009c}},	//   рджа, _acub, _käim, _ایست, 
   {{0x324602f1,0x547b00a7,0x41d50d53,0xb4c42030}},	//   _кенг, _סטטו, _दरअस, ौती_, 
   {{0x201a795c,0xdfcf00eb,0xcd06795d,0x1d0a795e}},	//   sapi_, ذين_, ачки, веди_, 
   {{0xd176001c,0x201a795f,0x00000000,0x00000000}},	//   _тыны, papi_, --, --, 
   {{0xc7b80112,0x201a084c,0x2aba01dd,0x66dd3230}},	//   lađe_, qapi_, dība_, méke, 
   {{0x20187960,0x66dd0019,0x92d80086,0x6d5b7961}},	//   _ieri_, léke, াদী_, _esua, 
   {{0xe8df00f7,0x64900e0f,0xc7b8034c,0x20187962}},	//   ước_, _säil, nađe_, _heri_, 
   {{0xada67696,0xecea013e,0x7e600379,0x5ecc0033}},	//   _таал, _адал_, _iamp, িষদে, 
   {{0x2ba7051f,0x7e607963,0x7e627964,0x47343097}},	//   _केवा, _hamp, ldop, бнос, 
   {{0xb8fd0da6,0x501b0056,0x20187965,0x4ff70070}},	//   _थी_, כויו, _meri_, יזיע_, 
   {{0x7e607966,0x212009e8,0x44380156,0x7bda5599}},	//   _jamp, ksih_, egr_, _iztu, 
   {{0x7e607967,0x2aba00e0,0x3a260065,0xaae51117}},	//   _mamp, cība_, _idop_, _اسلو, 
   {{0x442d02f2,0xd838003a,0x20187968,0x6d427969}},	//   ße_, tiču_, _neri_, itoa, 
   {{0x9388796a,0x82a71c0f,0xd7ef796b,0x02a7796c}},	//   аста_, ашае, _фу_, арам, 
   {{0x7e60796d,0x442d796e,0xd838015e,0x2018796f}},	//   _namp, şe_, riču_, _aeri_, 
   {{0x661d7970,0x20187971,0x51f8058b,0x7e6201d8}},	// [6f10] mask, _beri_, рную_, ddop, 
   {{0xdb1a026a,0x6d427972,0x7e60011d,0x29060053}},	//   _exté, dtoa, _aamp, _mtoa_, 
   {{0x20187973,0x64557974,0x6d5b02cd,0x2120016a}},	//   _deri_, mezi, _ssua, asih_, 
   {{0x64557975,0x44fd001b,0x2ef80511,0x20180fe5}},	//   lezi, _kì_, _durf_, _eeri_, 
   {{0x7e6057e9,0x20187976,0x63bb03c0,0x66d60098}},	//   _damp, _feri_, ğunu, záko, 
   {{0x20187977,0x661d3f8e,0xaf3711b7,0x44fd00e7}},	//   _geri_, hask, _پرست, _mì_, 
   {{0x1fe500cc,0x7e600489,0x29067978,0x661d7979}},	//   _প্রস, _famp, _atoa_, kask, 
   {{0x6d5b01c1,0x7e6038c3,0x291f7361,0x13b800a7}},	//   _tsua, _gamp, tsua_, יהול_, 
   {{0x1c0b1933,0x20180092,0x6d5b4508,0x64550019}},	//   _स्थल_, _yeri_, _usua, kezi, 
   {{0x2001797a,0x291f6ff6,0x32197447,0x7e60797b}},	//   nchi_, rsua_, _lesy_, _zamp, 
   {{0x66dd039f,0x661d797c,0x7e60797d,0x46ea03a1}},	//   zéke, fask, _yamp, лдон_, 
   {{0x7e60797e,0x66d6797f,0x44fd00e7,0x6b60010e}},	//   _xamp, ráko, _bì_, ságá, 
   {{0x64553c88,0xddcb0035,0x200100a3,0xaca30210}},	//   fezi, legł, kchi_, _ngừo, 
   {{0x64557980,0x66dd0019,0xe739191f,0x44fd7981}},	//   gezi, véke, _бек_, _dì_, 
   {{0x66e67982,0x64a37983,0x68f9039b,0xe29a5130}},	//   _лока, чара, _huwd, гав_, 
   {{0x66dd006b,0x20187984,0x2723091f,0x2a7f0082}},	//   téke, _seri_, mın_, njub_, 
   {{0x7e607985,0x44fd00f7,0x27230824,0x321904a3}},	// [6f20] _ramp, _gì_, lın_, _desy_, 
   {{0x21203eac,0x81bc00cc,0x7e607986,0x64550093}},	//   rsih_, েইল_, _samp, cezi, 
   {{0x27237987,0x20187988,0x2a7f1e79,0x66dd67be}},	//   nın_, _veri_, kjub_, séke, 
   {{0xc3330056,0x7e62011c,0xb4db7989,0x7e60008a}},	//   _צור_, udop, ntàn, _qamp, 
   {{0xf7670456,0x7bda006a,0x2018798a,0x27230785}},	//   _کا_, _sztu, _teri_, hın_, 
   {{0x40960084,0x20010141,0x7e60798b,0x272321ac}},	//   _السر, cchi_, _wamp, kın_, 
   {{0x6286798c,0xa3e005fd,0x6d42798d,0xc61e0033}},	//   _koko, _तरफ_, stoa, _থানা_, 
   {{0x27230718,0x6286798e,0x6d42798f,0x672100ca}},	//   dın_, _joko, ptoa, dslj, 
   {{0xdee3283d,0x62867990,0xf65f017b,0x672302ae}},	//   _хоти, _moko, klær_, _avnj, 
   {{0x62867991,0x09070086,0x66047992,0x415b00c7}},	//   _loko, _শিশু_, _afik, נדיג, 
   {{0x661d7993,0x44fd0093,0x7bda00e0,0x75247994}},	//   task, _sì_, _uztu, _aviz, 
   {{0x64554893,0x628600fc,0x395d008a,0x2b5e03c6}},	//   wezi, _noko, _fsws_, _istc_, 
   {{0x64557995,0xf1bf3fa2,0x32190180,0x66dd010e}},	//   tezi, _adán_, _resy_, tékb, 
   {{0x44fd00f7,0x66047996,0x661d7649,0x272304be}},	//   _vì_, _efik, sask, bın_, 
   {{0x64557997,0x20010c67,0x62867998,0x7afa7999}},	//   rezi, vchi_, _boko, _jutt, 
   {{0x7afa6ff5,0x44fd0108,0x6455799a,0xb4db03dd}},	//   _mutt, _tì_, sezi, ctàn, 
   {{0x628608f5,0x6455799b,0x7afa799c,0x2001799d}},	// [6f30] _doko, pezi, _lutt, tchi_, 
   {{0x26cb799e,0x656d799f,0x7c280054,0x64900080}},	//   loco_, _irah, _nddr, _näih, 
   {{0x628679a0,0x200179a1,0x7afa79a2,0x7524090e}},	//   _foko, rchi_, _nutt, _zviz, 
   {{0x200179a3,0x656d00e5,0x7c2800a7,0x26cb001d}},	//   schi_, _krah, _addr, noco_, 
   {{0x27230749,0x823a0137,0x764d52d2,0x7afa0088}},	//   zın_, _דערצ, _mbay, _autt, 
   {{0x27230749,0xa3bd02f8,0x7afa79a4,0x200102f1}},	//   yın_, _अशा_, _butt, qchi_, 
   {{0xeb9979a5,0xddc9026e,0x6286044d,0x27230095}},	//   рий_, _dneš, _yoko, xın_, 
   {{0x7afa79a6,0x656d0704,0x224902cd,0x6490007e}},	//   _dutt, _orah, nfak_, _päik, 
   {{0xe8f679a7,0xc9850038,0x6e290027,0xdddb0604}},	//   олы_, تشغي, _ideb, _fouš, 
   {{0x3eaf79a8,0x7d04002a,0x27230749,0x64900077}},	//   ligt_, ģist, tın_, _väik, 
   {{0xa3a90da6,0x656d79a9,0x752479aa,0x7afa00fc}},	//   _खेल_, _arah, _sviz, _gutt, 
   {{0x27234786,0x656d79ab,0x395d006d,0x3eaf79ac}},	//   rın_, _brah, _tsws_, nigt_, 
   {{0x62860039,0xdce0002e,0x2723091f,0xb4db03a1}},	//   _roko, _urmă, sın_, rtàn, 
   {{0x656d2bbf,0x628679ad,0x272303c0,0xb4db03a1}},	//   _drah, _soko, pın_, stàn, 
   {{0x628608dd,0x6e290667,0xaca300e7,0xe73979ae}},	//   _poko, _odeb, _huỳn, _тей_, 
   {{0xb5fb79af,0xa3a900a2,0x6e2979b0,0x7d09014b}},	//   ndál, _खेळ_, _ndeb, _otes, 
   {{0x3eaf79b1,0x6143660a,0x62861740,0xe2970a65}},	// [6f40] digt_, мета, _voko, цат_, 
   {{0x62861e39,0xc7b8090e,0x2ed279b2,0x00000000}},	//   _woko, lađa_, तत्त, --, 
   {{0x628679b3,0x316900ef,0x656d0604,0x00000000}},	//   _toko, avaz_, _zrah, --, 
   {{0x823606bc,0x7afa79b4,0xddc90082,0x628679b5}},	//   _بردا, _rutt, _sneš, _uoko, 
   {{0xa3e60f7a,0xacea1ab7,0x7d0900b9,0x649000c8}},	//   बेर_, амда_, _ctes, _päih, 
   {{0x6e2901f0,0xc7b800d2,0x7afa4e76,0xbb2a01d7}},	//   _edeb, hađa_, _putt, ацие_, 
   {{0x46ca00ae,0x7d090608,0xddc90144,0x66dd023e}},	//   रवाह, _etes, _vneš, héka, 
   {{0x7d090034,0xf8b8022c,0x66dd41ee,0x2c0a0033}},	//   _ftes, өөл_, kéka, রণেই_, 
   {{0x26cb0036,0x9c7c03a0,0x38650027,0x1d0715ca}},	//   voco_, _chčc, fdlr_, _мети_, 
   {{0x7afa79b6,0xb4c40351,0xa49b06df,0x656d024a}},	//   _tutt, एको_, npòt, _rrah, 
   {{0xdc3c1612,0x7afa0088,0xe758004f,0x656d023e}},	//   _ašći, _uutt, щині_, _srah, 
   {{0x656d79b7,0xc7b808b1,0x569409a6,0xc6a7004f}},	//   _prah, gađa_, дают, ірни, 
   {{0xfaf800e0,0x7ae279b8,0x953808b8,0x66dd011c}},	//   _trīs_, _ihot, озят_, géka, 
   {{0xfbd10019,0x656d0098,0x14cb0080,0xd49841ec}},	//   _آتے_, _vrah, рыми_, орс_, 
   {{0xc7b81993,0x7ae2137c,0x136801a2,0x2249027e}},	//   bađa_, _khot, ошти_, tfak_, 
   {{0x656d79b9,0xd49a01a2,0x764d79ba,0x3eaf02ae}},	//   _trah, арӣ_, _ubay, xigt_, 
   {{0x7ae20a75,0x656d0bab,0xb5fb79bb,0x3eaf0e79}},	// [6f50] _mhot, _urah, ndám, vigt_, 
   {{0x8078131d,0xe4d9009c,0xb5fb010e,0x7ae279bc}},	//   обус_, _دوخت_, zdál, _lhot, 
   {{0x7d0979bd,0x3eaf79be,0xc2e700a3,0xa7fc035d}},	//   _stes, tigt_, _мўми, ydın, 
   {{0xe0df0300,0x92580080,0x82f80296,0x7f4500df}},	//   _apòt_, _дают_, _گریز_, rthq, 
   {{0x3eaf79bf,0x41e732af,0x69aa02e6,0x427a07e4}},	//   rigt_, _фіна, _जेली, _הארג, 
   {{0x3eaf79c0,0x7ae201f1,0x4c8400e4,0x60fa00d1}},	//   sigt_, _ahot, млів, _להשק, 
   {{0x7ae2006c,0xb18602ae,0x3eaf02ae,0x2b57009c}},	//   _bhot, _tvåå, pigt_, تیاد_, 
   {{0x7ae279c1,0x6e2979c2,0x7d0900c3,0x00000000}},	//   _chot, _udeb, _ttes, --, 
   {{0x7d090164,0xf2d400c7,0xaca300e7,0x7ae279c3}},	//   _utes, ועק_, _quỳn, _dhot, 
   {{0x487979c4,0xe8f6085c,0x3ebf008a,0x6c97189a}},	//   ссия_, яль_, _hjut_, _بشرط, 
   {{0x7ae279c5,0x6490007e,0x186902f1,0x3ead0144}},	//   _fhot, _käiv, _ҳали_, _kmet_, 
   {{0x98ad02ee,0x2bc4190a,0x869a02a0,0xa7fc0e03}},	//   mreč_, _लुटा, стот_, ldıl, 
   {{0xc7b8044e,0x186926f1,0x6abb025b,0x00000000}},	//   rađa_, _гали_, mnuf, --, 
   {{0x66dd42f2,0x3ebf0112,0x7ae2014b,0x7d060096}},	//   réka, _ljut_, _zhot, _ékse, 
   {{0x67021567,0xccf200d1,0xe29602a0,0x3ead79c6}},	//   _रूपक_, תכם_, праќ, _omet_, 
   {{0xe61f0228,0x80d40035,0x7afe05a4,0x6abb79c7}},	//   skôr_, _बीजे, ípti, nnuf, 
   {{0x661602fe,0x27e20035,0x26d20027,0x7ae9238a}},	// [6f60] čakč, ękne_, _ikyo_, imet, 
   {{0xd12f0523,0x3ead3015,0x3ebf79c8,0x443c02c9}},	//   امل_, _amet_, _ajut_, _øv_, 
   {{0x7ae979c9,0xd4c5091d,0x3ebf01f2,0xe3b2015f}},	//   kmet, _تغيي, _bjut_, _سرد_, 
   {{0xdfcf0195,0x7ae979ca,0xe0df0118,0x00000000}},	//   ديم_, jmet, _spòt_, --, 
   {{0x7ae979cb,0x00000000,0x00000000,0x00000000}},	//   dmet, --, --, --, 
   {{0x3ead06a0,0xdca379cc,0x7ae9064e,0x7ae23ec0}},	//   _emet_, начи, emet, _shot, 
   {{0x7ae279cd,0xe81f0083,0x7ae979ce,0x00000000}},	//   _phot, _मज़ा_, fmet, --, 
   {{0x7ae979cf,0x7ae20226,0x9c7c00a1,0x628436e8}},	//   gmet, _qhot, _dhča, njio, 
   {{0x81ce00cc,0x3ea779d0,0x22420065,0xc8c70299}},	//   ষের_, ënte_, _mckk_, रकंट, 
   {{0x26c302f5,0x27f803a9,0x2db700c7,0x7ae979d1}},	//   čkom_, ørn_, _זלמן_, amet, 
   {{0x7ae279d2,0x16353b3f,0x7ae979d3,0x38a000a1}},	//   _thot, меня, bmet, _lòrg_, 
   {{0x7ae979d4,0xfaa3012d,0x78ba02fe,0x37a709d9}},	//   cmet, _пахо, sntv, ятын_, 
   {{0x55070cfe,0x95cb00d3,0xb4db00b9,0x00000000}},	//   ячна, суна_, stàm, --, 
   {{0x26d20298,0x3ae10228,0x81e20033,0x6fbe009a}},	//   _ekyo_, rópe_, দশা_, ्थां, 
   {{0x67d33e23,0x6e22025b,0x2a6600c2,0xf8a9009c}},	//   _пошу, kaob, _kaob_, _بدنه_, 
   {{0x3264004f,0xd7bb00d1,0x6284024a,0x354700b3}},	//   нтув, _לצור, gjio, _ехов, 
   {{0xdce902ee,0x518779d5,0x6448022c,0x66dd010e}},	// [6f70] _sreč, чува, òdic, léko, 
   {{0xdce979d6,0x32d3009e,0x3ead4dd1,0x66df0009}},	//   _preč, _bûyî_, _smet_, _rūky, 
   {{0x64900df8,0x442379d7,0x7ae979d8,0x6e220379}},	//   _päiv, maj_, ymet, faob, 
   {{0xdce9008b,0xa3bc009a,0x00000000,0x00000000}},	//   _vreč, ेअर_, --, --, 
   {{0x3946006d,0x629d02a3,0x673a0415,0x7ae900b9}},	//   _nqos_, _ilso, hutj, vmet, 
   {{0x442379d9,0xdce9012d,0x66dd00bc,0x2c6d010e}},	//   naj_, _treč, kéko, ködő_, 
   {{0x26c302f5,0x66dd0019,0xa7fc0e03,0x673a035f}},	//   čkoj_, jéko, rdıl, jutj, 
   {{0x44230e0c,0xb3aa0086,0xe7d00586,0x68e3024a}},	//   haj_, _খুঁজ, _हड़प, _shnd, 
   {{0x442379da,0x7ae979db,0x6abb46ce,0x6efa031e}},	//   kaj_, rmet, rnuf, _vůbe, 
   {{0x442379dc,0xb0bf1d00,0x290b00e0,0x20bf0c3a}},	//   jaj_, ्विग, īca_, ्विध, 
   {{0xb90479dd,0x229c010d,0x7c2379de,0x629d1f14}},	//   _भी_, _líka_, manr, _olso, 
   {{0x7c2379df,0x7a360241,0x00000000,0x00000000}},	//   lanr, rütü, --, --, 
   {{0xa3e01139,0x20bf0527,0x95830088,0x442379e0}},	//   _तरह_, ्वाध, вляе, faj_, 
   {{0x64903356,0x629d012e,0x673a1c3a,0xd84e0023}},	//   _näit, _also, butj, _họng_, 
   {{0x673a0604,0x00000000,0x00000000,0x00000000}},	//   cutj, --, --, --, 
   {{0x7c230938,0x3a3f1433,0x79960035,0x26c00548}},	//   hanr, ngup_, _żywi, _ujio_, 
   {{0x05630a10,0x76442b2a,0xd84e0108,0x00000000}},	// [6f80] _авын, _iciy, _mọng_, --, 
   {{0x442303ef,0x629d79e1,0x656479e2,0x92be0086}},	//   caj_, _elso, _isih, ইতে_, 
   {{0x645c79e3,0xb4da0035,0x82a60188,0x7d1b016c}},	//   meri, ़ती_, _жанж, _awus, 
   {{0x645c79e4,0xed5a0176,0x44440139,0x7bdc01be}},	//   leri, жод_, _hc_, _ùrui, 
   {{0xfee90084,0x6e220a75,0xfe79031e,0xdca679e5}},	//   أعلى_, raob, _dnů_, мади, 
   {{0x16bb00b0,0x7c230626,0x6e220082,0x649000c2}},	//   _उद्ब, ganr, saob, _täiu, 
   {{0x645c79e6,0x444479e7,0x504333d5,0xd84e0210}},	//   ieri, _mc_, _шерб, _bọng_, 
   {{0x442379e8,0xa7fc03c0,0x63a30019,0xafe300dd}},	//   zaj_, rdım, _ünne, _росл, 
   {{0xa8020c05,0x442379e9,0xdd8f13b4,0x645c251e}},	//   _çıka, yaj_, _پول_, keri, 
   {{0x6e2079ea,0x66dd006b,0xf74a004f,0xb17b0070}},	//   _hemb, téko, оїми_, קטיר, 
   {{0x6e20386c,0x442379eb,0x7d0079ec,0x65640096}},	//   _kemb, vaj_, _hums, _asih, 
   {{0x44441b5a,0x6e202157,0x7d00219f,0x44230035}},	//   _ac_, _jemb, _kums, waj_, 
   {{0x6e2079ed,0x44233929,0x444479ee,0x645c352a}},	//   _memb, taj_, _bc_, feri, 
   {{0x6e200757,0x7d0079ef,0x3a2479f0,0x673a0034}},	//   _lemb, _mums, lamp_, putj, 
   {{0x442379f1,0x444479f2,0x65640eb1,0x7d001e1b}},	//   raj_, _dc_, _esih, _lums, 
   {{0x59e20c14,0x444479f3,0x6e20079a,0x38670082}},	//   _परार, _ec_, _nemb, _zanr_, 
   {{0x442311c8,0x7c2308b6,0x7d0079f4,0x765d79f5}},	// [6f90] paj_, yanr, _nums, mesy, 
   {{0x645c79f6,0xfe7000d4,0x6f1c0090,0xfe7900d8}},	//   ceri, یدن_, _bwrc, _snů_, 
   {{0x644500cf,0x3a241c47,0x9f041057,0xb4bd1971}},	//   _ichi, kamp_, نولو, ेकी_, 
   {{0x6e200da2,0x765d0156,0x7c23011c,0x7d0079f7}},	//   _cemb, nesy, wanr, _bums, 
   {{0x7c230568,0x6490007e,0x442134c4,0x6e2079f8}},	//   tanr, _täit, _keh_, _demb, 
   {{0x44213d16,0xf41d0086,0x64901066,0x6e20011d}},	//   _jeh_, _তাঁর_, _häir, _eemb, 
   {{0x44210b1b,0x765d79f9,0x64451e39,0x6e202460}},	//   _meh_, kesy, _mchi, _femb, 
   {{0xc1e31516,0x442179fa,0xc33400d1,0x320979fb}},	//   _खराब_, _leh_, דוק_, ncay_, 
   {{0x644579fc,0xd84e001b,0x212900d4,0x645c79fd}},	//   _ochi, _vọng_, nsah_, yeri, 
   {{0x644579fe,0x645c79ff,0x44217a00,0x7e69016a}},	//   _nchi, xeri, _neh_, _haep, 
   {{0x765d5541,0x645c7963,0x7e693942,0x2d491f6b}},	//   fesy, veri, _kaep, lúe_, 
   {{0x64457a01,0xeb9607f5,0x645c7a02,0xa5bb7a03}},	//   _achi, _אדער_, weri, raón, 
   {{0x753d006b,0x44217a04,0x44447a05,0x2d490634}},	//   gusz, _beh_, _pc_, núe_, 
   {{0x44447a06,0xb4da0d53,0x64450036,0x2610048e}},	//   _qc_, ़ते_, _cchi, _थ्री_, 
   {{0x444400ce,0x44217a07,0xe81502f8,0xfddc047c}},	//   _vc_, _deh_, _द्या_, _बर्फ, 
   {{0x64450012,0xe61a0c67,0x28ab017d,0x44447a08}},	//   _echi, _эди_, टोरि, _wc_, 
   {{0x6e207a09,0x00e67a0a,0x59d50077,0x44210379}},	// [6fa0] _remb, ежан, _डुमर, _feh_, 
   {{0x6e207a0b,0x7e7b0c3d,0x7d007a0c,0x69d94276}},	//   _semb, _anup, _rums, _mywe, 
   {{0x6e206e12,0x7d007a0d,0x7e690415,0xecc30035}},	//   _pemb, _sums, _baep, वचनफ, 
   {{0x6490007e,0x21290065,0x291d0102,0x1ea90038}},	//   _täis, bsah_, _owwa_, واني_, 
   {{0x44210096,0x69d97a0e,0x7c210237,0x6fd0093a}},	//   _yeh_, _nywe, _belr, _तुरं, 
   {{0x765d00ab,0x6e207a0f,0x7c2103dd,0xb5fb7a10}},	//   zesy, _wemb, _celr, rdái, 
   {{0x6e207a11,0xafe302f1,0x7e690183,0x290f01ff}},	//   _temb, _борл, _faep, _atga_, 
   {{0x2d490496,0x0d2200f6,0x7d007a12,0xb5fb7a13}},	//   búe_, _бүдү, _tums, ldáv, 
   {{0x3a2436f9,0x7c217a14,0xbea303a1,0x69d900f3}},	//   ramp_, _felr, _сатк, _cywe, 
   {{0x69d902bf,0x3ae17a15,0xb5fb7a16,0x291d0118}},	//   _dywe, rópa_, ndáv, _dwwa_, 
   {{0x59e20262,0x2129014b,0x659426e7,0x765d040b}},	//   _परवर, zsah_, қару, tesy, 
   {{0x64457a17,0x6f030952,0x44217a18,0x4992009c}},	//   _schi, ínci, _seh_, _میبر, 
   {{0x765d7a19,0x644502f1,0x66dd010e,0x1ae3017b}},	//   resy, _pchi, lékk, _соцм, 
   {{0x753d00ab,0xb4bd00c2,0x765d7a1a,0xb8661372}},	//   rusz, ेके_, sesy, _ساتو, 
   {{0x765d7a1b,0xa3d503e8,0x00000000,0x00000000}},	//   pesy, товч, --, --, 
   {{0x44217a1c,0x212902cd,0x5575471e,0x753d23f8}},	//   _weh_, tsah_, _агит, pusz, 
   {{0x44213104,0x60f91838,0x6445044d,0x25b7006b}},	// [6fb0] _teh_, дная_, _tchi, _سندھ_, 
   {{0x64457a1d,0x2ec900b0,0x7e6943ac,0x2aba01dd}},	//   _uchi, िक्त, _saep, mību_, 
   {{0x3209085b,0x2aba01dd,0x9c7c0118,0x44b200f0}},	//   pcay_, lību_, _chčm, _тұрс, 
   {{0x2d490496,0x6d4b7a1e,0xa2c2031e,0x21291780}},	//   túe_, ttga, रचण्, psah_, 
   {{0x41e4005e,0x4fc4005e,0x2aba00e0,0x8c4529db}},	//   _біра, _ұста, nību_, веле, 
   {{0x013600a7,0x2d490068,0x6d4b7a1f,0x7bda0453}},	//   _ברשת_, rúe_, rtga, _bytu, 
   {{0x7bda7a20,0x2d490496,0xdca27a21,0x9f470088}},	//   _cytu, súe_, ращи, änä_, 
   {{0x6d4b0382,0xb5fb0019,0x628f7a22,0x6f090356}},	//   ptga, ldáu, _joco, _čech, 
   {{0xfc330274,0x69d6017b,0x628f7a23,0xdce90474}},	//   _محض_, _øyel, _moco, _creă, 
   {{0xb4bd10a6,0x660d05f0,0x2aba01dd,0xd70900c8}},	//   ेको_, _afak, dību_, мное_, 
   {{0x752d361c,0xddc201dd,0x7bda00f8,0x00000000}},	//   _avaz, mdoš, _gytu, --, 
   {{0x969617d9,0x69355dd9,0xe1ff0023,0xddc20243}},	//   трош, _анду, _ngó_, ldoš, 
   {{0xd9450d83,0x056311ef,0xb5fb014b,0xf8650148}},	//   _рели, авян, zdáv, _авло, 
   {{0x2a6d0156,0x394d7a24,0xe73909d9,0x752d0242}},	//   ldeb_, mtes_, _жек_, _dvaz, 
   {{0x394d2c1d,0x628f0089,0x752d7a25,0xd17500f0}},	//   ltes_, _boco, _evaz, қыты, 
   {{0x628f7938,0x394d057d,0x2a6d0156,0xf65f0300}},	//   _coco, otes_, ndeb_, ceæ_, 
   {{0x394d00fc,0x412701d0,0x2aba002a,0xe2fa00f0}},	// [6fc0] ntes_, кото_, cību_, зеңі_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x649b0cec,0x394d7a26,0x26c30655,0x3f9c014b}},	//   _חסיד, htes_, čkov_, ávu_, 
   {{0x394d7a27,0xe126028a,0x7bda7a28,0x65760034}},	//   ktes_, _имми, _rytu, _kryh, 
   {{0x7bda00ab,0x394d7a29,0xb4db00f6,0x00000000}},	//   _sytu, jtes_, rtàv, --, 
   {{0x61e65d11,0xdd937a2a,0x628f0183,0xb5fb0038}},	//   _izkl, рашы, _zoco, leác, 
   {{0x2d800012,0x2aba01dd,0xfe46112d,0x69dd0502}},	//   ţie_, zību_, _инво, üsen, 
   {{0x394d7a2b,0xdee67a2c,0x628f03a1,0xdce20308}},	//   ftes_, _роби, _xoco, kvoć, 
   {{0xd83a1b0b,0x394d7a2d,0x2902009e,0x00000000}},	//   мэн_, gtes_, êka_, --, 
   {{0x7bda00ab,0xa78600d4,0xc7b8034c,0x987338aa}},	//   _tytu, نشجو, lađi_, альц, 
   {{0x69c4012d,0x752d02d9,0xf0930225,0xe6950259}},	//   _žied, _svaz, ינז_, гины, 
   {{0xc7b87a2e,0x394d7a2f,0x2aba00e0,0xb21b0566}},	//   nađi_, btes_, tību_, _knæe, 
   {{0x394d0161,0x98c627b6,0xd9433f7f,0x6aa2638e}},	//   ctes_, _искл, _вечи, _ilof, 
   {{0x09e30906,0x2aba01dd,0x65760090,0x26c21279}},	//   _точн, rību_, _dryh, anko_, 
   {{0x628f7a30,0x2aba00e0,0x6576012b,0x3ea6016a}},	//   _poco, sību_, _eryh, khot_, 
   {{0x925808d6,0xc7b800a3,0x660d42ca,0x00000000}},	//   каст_, _оёқ_, _ufak, --, 
   {{0xb5fb0183,0x752d7a31,0x3ea600d7,0x00000000}},	// [6fd0] seáb, _uvaz, dhot_, --, 
   {{0x26c3026e,0x6aa200f8,0x673a12b6,0x80bf02e6}},	//   čkou_, _llof, ortj, ्वें, 
   {{0x628f1484,0x6aa20d6b,0xfaf801dd,0x25b7010e}},	//   _toco, _olof, _drīz_, _سنگھ_, 
   {{0xdbdc003e,0x394d06dd,0x00000000,0x00000000}},	//   _ráði, ytes_, --, --, 
   {{0x51846fbb,0x394d026d,0xfe701766,0x2a6d0201}},	//   _кура, xtes_, تدل_, vdeb_, 
   {{0xb5fb0019,0x9f057a32,0xed5900ca,0x8c450259}},	//   ldás, _موسو, _vpž_, уеке, 
   {{0xddc23b00,0x6aa23a2f,0x00000000,0x00000000}},	//   rdoš, _blof, --, --, 
   {{0x394d7a33,0x3ea67a34,0x3f730082,0x6f03001d}},	//   ttes_, chot_, _iću_, íncu, 
   {{0x6e947a35,0x394d7a36,0xb4db03a1,0xe8f902f1}},	//   _титу, utes_, ntàs, нли_, 
   {{0xb9e6004e,0x6aa27a37,0xe9ff0210,0x00000000}},	//   ымыз_, _elof, _trắm_, --, 
   {{0x394d7a38,0x5b151a41,0x6fb800c9,0xecdf0249}},	//   stes_, _смет, ्पयू, _पीएफ, 
   {{0x394d7a39,0x4433062b,0x6aa200f3,0x5ba400b3}},	//   ptes_, _adx_, _glof, _труз, 
   {{0x673a10f3,0x3b05040c,0x00000000,0x00000000}},	//   artj, _hulq_, --, --, 
   {{0x6576018c,0xf7450e65,0x6d5b0226,0x3f730588}},	//   _vryh, _беко, _mpua, _oću_, 
   {{0x42567489,0x03a37a3a,0x61e60035,0x0fbe0033}},	//   лтат, биро, _szkl, _অর্ধ, 
   {{0xb3d20e17,0xc61e0086,0x864600c8,0x00000000}},	//   _दुःख, _থাকা_, _сниж, --, 
   {{0x6d5b006f,0xdee602f1,0x60ea181b,0x00000000}},	// [6fe0] _npua, ҳожи, емам_, --, 
   {{0xb4667a3b,0x61e60144,0xf1bf039f,0x00000000}},	//   _скол, _vzkl, _adás_, --, 
   {{0xee3a7a3c,0xb4c0047b,0xef1a0141,0xe29a01a2}},	//   ене_, ंची_, хме_, _зан_, 
   {{0x442a60dd,0xb4db022c,0xcd2a00c8,0xe7f6017d}},	//   lab_, gràf, ежде_, ुखता_, 
   {{0x61e601dd,0xc7b80097,0xf65300d1,0x3ea67a3d}},	//   _uzkl, rađi_, מצא_, rhot_, 
   {{0x3ea67a3e,0x442a7a3f,0x6acc0d2e,0x40951b11}},	//   shot_, nab_, ाव्र, _крст, 
   {{0xb5fb7a40,0x8fa67a41,0x6aa20d62,0x20074ae9}},	//   ndár, _саве, _plof, žnic_, 
   {{0x442a7a42,0xbea330cd,0x69347a43,0xb4db03a1}},	//   hab_, _ласк, аниу, ntàr, 
   {{0x6e9323e6,0x442a7a44,0x5e9300eb,0x38a001f5}},	//   _القا, kab_, _القط, _dòrn_, 
   {{0x442a7a45,0x7e6252ea,0x7874010e,0x38a000a1}},	//   jab_, leop, küvő, _eòrn_, 
   {{0xd7f7058b,0x442a7a46,0xda6f3ee7,0x44330626}},	//   лую_, dab_, _ля_, _rdx_, 
   {{0x7c2a7a47,0x59af0077,0x7e627a48,0x466b05de}},	//   lafr, _जेकर, neop, хром_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x442a7a49,0x7c2a03ad,0x673a0352,0x44250038}},	//   gab_, nafr, prtj, úl_, 
   {{0x7e62076b,0x38a001be,0x389b0147,0x335800d9}},	//   keop, _hòro_, _איגנ, ларэ_, 
   {{0xadf6000f,0x78ba06e0,0x52157a4a,0x29060548}},	//   ेशान_, litv, рдат, _kuoa_, 
   {{0x442a5d02,0xddc97a4b,0xbbe1031e,0x4433022c}},	// [6ff0] bab_, _snež, _फर्क, _tdx_, 
   {{0xdddb08d7,0x442a7a4c,0x78ba008b,0x1ae118f2}},	//   _použ, cab_, nitv, _पठ्ठ, 
   {{0x7ced0647,0x00d80535,0xb4db00f6,0x00000000}},	//   lúrg, ابقت_, tràf, --, 
   {{0xdce900f1,0x6d5b0065,0xb4db022c,0x64470034}},	//   _kreć, _ppua, ctàr, lgji, 
   {{0x80bf100b,0x070b0d53,0xa0240bf1,0x00000000}},	//   ্তব্, _संभव_, _পারব_, --, 
   {{0x64477a4d,0x78ba008b,0xa3bc00bd,0xc7b80082}},	//   ngji, jitv, _अधम_, lađu_, 
   {{0x78ba02ee,0xd49800a7,0x66dd7a4e,0xdb2104be}},	//   ditv, רכות_, léku, _ötür, 
   {{0x442a0181,0xdd950161,0xc7b8034c,0x29060415}},	//   zab_, _кабы, nađu_, _buoa_, 
   {{0x442a7a4f,0x6d5b29b7,0xb5fb2706,0x3c476564}},	//   yab_, _upua, zdár, _مضاف, 
   {{0xc6250086,0xb4cf00bc,0x48790176,0xddc9008a}},	//   _ভাষা_, षको_, тсия_, _mneż, 
   {{0x442a7a50,0x37e57a51,0x2902003e,0xe7cf0249}},	//   vab_, ронг, íkar_, _सुखप, 
   {{0xfd4c00f7,0x442a1630,0x6e2b0c36,0x6440012d}},	//   _nhiề, wab_, nagb, ėmim, 
   {{0x442a7a52,0x78ba0352,0x5e560070,0x69330e0e}},	//   tab_, bitv, סישע_, _اکبر, 
   {{0xb4c0047b,0x49b80071,0x7416030e,0xdbcf02d9}},	//   ंचे_, _حامد_, شورا, _lžíc, 
   {{0x3a2600e2,0x6e2b0008,0x661d2be3,0xe3b7021d}},	//   _yeop_, kagb, bbsk, абр_, 
   {{0x442a7a53,0xfd4c001b,0x9f58007a,0x6aa97a54}},	//   sab_, _chiề, _ngrá_, nhef, 
  
   {{0x442a158b,0xe1fa00cf,0x799b7a55,0x66040199}},	// [7000] pab_, тга_, nyuw, _igik, 
   {{0x442a7a56,0x3ea40ab1,0xf0a77a57,0x659b0225}},	//   qab_, _slmt_, акул_, _סייק, 
   {{0x09e20239,0xa7fc0749,0x1f66004e,0xa0677a58}},	//   _पर्य, ldır, ркем, раха_, 
   {{0x2eed7a59,0x61467a5a,0x75247a5b,0x175600c7}},	//   _chef_, _кема, _kwiz, יסער_, 
   {{0xa7fc0718,0x7c2a01d5,0x7e624061,0x00000000}},	//   ndır, tafr, reop, --, 
   {{0x75246ad0,0x29060226,0xa0a600d3,0x7e625ea4}},	//   _mwiz, _ruoa_, _тагд, seop, 
   {{0xf7670817,0x78ba11c8,0xfaa6538b,0xe787014b}},	//   _با_, vitv, ишин, yšší, 
   {{0x66043ffc,0xf1bf00eb,0x6d420026,0xb5fb007a}},	//   _ngik, _meán_, puoa, deán, 
   {{0x4c860152,0x78ba7a5c,0x752403a0,0x4efb00d1}},	//   _клав, titv, _nwiz, _יהלו, 
   {{0xb4c00e49,0x660417d3,0x6f000096,0x3cfe039b}},	//   ंचो_, _agik, _himc, _uitv_, 
   {{0xdce900f1,0x78ba11c8,0x6f007a5d,0x75241c96}},	//   _sreć, ritv, _kimc, _awiz, 
   {{0xdce9090b,0x7ced7a5e,0x75240199,0xd6d80a10}},	//   _preć, túrg, _bwiz, итя_, 
   {{0x2a64008b,0x95cb00d3,0x78ba4c5e,0x09e31329}},	//   memb_, туна_, pitv, _доцн, 
   {{0x7c282467,0xdce90062,0x66c801f0,0x394400e0}},	//   _jedr, _vreć, lıkl, mums_, 
   {{0x6447078e,0x7c287a5f,0x53340e06,0xfd4c00e7}},	//   rgji, _medr, жест, _phiề, 
   {{0xdce902f5,0xf1bf4fff,0x26c90053,0x66c8027e}},	//   _treć, _deán_, _ujao_, nıkl, 
   {{0x705903dd,0x26d90415,0xe4e707f4,0xb4db022c}},	// [7010] лаар_, moso_, _вінн, tràd, 
   {{0x26d90364,0x80d100a2,0xa15812b4,0xf53f0219}},	//   loso_, तकें, рафу_, mrå_, 
   {{0x6e2b7a60,0x9f550235,0xfd4c0023,0xddcb010e}},	//   tagb, свеч, _thiề, vegő, 
   {{0x3944002a,0x63ad00e0,0xf1d81c25,0xdb03014b}},	//   kums_, ģinā, _भुवन, jzná, 
   {{0x7c2847a8,0x39440bc3,0xee380c8b,0x66c801f0}},	//   _bedr, jums_, рні_, dıkl, 
   {{0x26d97a61,0x6f070352,0x394401dd,0x229c003e}},	//   hoso_, _tujc, dums_, _ríki_, 
   {{0x6aa97a62,0x1cb80740,0x6e2b0dc9,0x26d97a63}},	//   thef, جانب_, pagb, koso_, 
   {{0x26d9257d,0x6f007a64,0xa9254ea2,0xa7fc0241}},	//   joso_, _gimc, бдил, ydır, 
   {{0x26d92123,0x394400e0,0x7c287a65,0x2b5e02be}},	//   doso_, gums_, _fedr, _eptc_, 
   {{0x7c280dde,0x6aa97a66,0x75240610,0x6f007a67}},	//   _gedr, shef, _rwiz, _zimc, 
   {{0x6e290201,0x7d0946ca,0x656d7a68,0x6aa97a69}},	//   _keeb, _hues, _asah, phef, 
   {{0x7d0103a9,0xba7400eb,0xa7fc0095,0x7d090537}},	//   _hils, _وانت, tdır, _kues, 
   {{0x2d9d34dc,0x6e297a6a,0x7d017a6b,0xf1bf0038}},	//   nywe_, _meeb, _kils, _seán_, 
   {{0x7d0915c4,0x6e297a6c,0xb5fb7a6d,0xa7fc04d6}},	//   _mues, _leeb, rdáp, rdır, 
   {{0x7d017a6e,0x03a37a6f,0x23d25d29,0xb5fb0038}},	//   _mils, пиро, _दुखद, leál, 
   {{0x2249009a,0xa2067a70,0x7d09026a,0x26d942e0}},	//   ggak_, спад, _oues, coso_, 
   {{0x7d090f46,0x64410952,0x66dd67be,0xb5fb0038}},	// [7020] _nues, ólic, rékt, neál, 
   {{0x7d017a71,0x200700ca,0x7d0612e6,0x224901d6}},	//   _nils, žnin_, _éksi, agak_, 
   {{0x6e297a72,0x7d090664,0x00000000,0x00000000}},	//   _beeb, _aues, --, --, 
   {{0xdfcf20ae,0x6e297a73,0x528600eb,0x7c287a74}},	//   رين_, _ceeb, _الحك, _sedr, 
   {{0x7d09128a,0x7d017a75,0xc21307e4,0x8d567a76}},	//   _cues, _bils, _מהר_, стеч, 
   {{0x7c2809c7,0x394401dd,0xd47a0070,0x26d9033c}},	//   _qedr, vums_, ראַל, zoso_, 
   {{0x7d017a77,0x26d97a78,0x6f0001c5,0x7f4327eb}},	//   _dils, yoso_, _timc, _нерж, 
   {{0x39447a79,0x7d097a7a,0x39140e8f,0xa0a60cdf}},	//   tums_, _fues, омир, _таҳд, 
   {{0x7d01053f,0x7d097a7b,0x26d9210a,0x66c80241}},	//   _fils, _gues, voso_, rıkl, 
   {{0xdb030105,0x473442c1,0x39447a7c,0x8afc0035}},	//   szná, онос, rums_, _spęd, 
   {{0x39447a7d,0x656d02a5,0x7ced019c,0x6e297a7e}},	//   sums_, _ssah, búrb, _yeeb, 
   {{0x6e290201,0xb5fb4b4b,0x368b4d06,0xaae669c5}},	//   _xeeb, beál, усон_, _اسطو, 
   {{0x26d97a7f,0x31690218,0xe9ff00e7,0xceb3027a}},	//   roso_, xwaz_, _trạm_, פיש_, 
   {{0x26d97a80,0x7ced03dd,0x00000000,0x00000000}},	//   soso_, múrc, --, --, 
   {{0x569513bd,0x443f0749,0x02a76abf,0x81b60033}},	//   _макт, ğu_, брам, _চুল_, 
   {{0x656d7a81,0x764d0126,0x926b022c,0x26d9084c}},	//   _tsah, _ucay, ырга_, qoso_, 
   {{0x656d1630,0x22493d5a,0x41e708af,0xb4db00b9}},	// [7030] _usah, rgak_, сіва, gràc, 
   {{0x51f81c0f,0xf7090108,0x00000000,0x00000000}},	//   сную_, _mần_, --, --, 
   {{0xf70900f7,0x7d097a82,0xa2950451,0xde197a83}},	//   _lần_, _sues, _дані, لقات_, 
   {{0x7d0915c4,0x51871f79,0x00000000,0x00000000}},	//   _pues, _луга, --, --, 
   {{0x7d097a84,0x7d01002a,0x6e290077,0xb4db03a1}},	//   _ques, _pils, _veeb, cràc, 
   {{0xcc8900c5,0x7d0908f4,0x6e297a85,0x7d0102f1}},	//   شنبه_, _vues, _weeb, _qils, 
   {{0x6e29006f,0x00000000,0x00000000,0x00000000}},	//   _teeb, --, --, --, 
   {{0xdce94179,0x7d097170,0xb5fb007a,0x27170023}},	//   _iseč, _tues, teál, _hăng_, 
   {{0xf70900f7,0x7d010bf7,0x7d09007e,0x2d92017b}},	//   _cần_, _tils, _uues, øyet_, 
   {{0xb5fb1259,0xd90c00d4,0xf709001b,0xa3e900a2}},	//   reál, دیو_, _dần_, _बरं_, 
   {{0xe9a800d6,0x5ba70494,0x27170023,0xb5fb0038}},	//   لدین_, _ураз, _măng_, seál, 
   {{0x271700e7,0xaabd0b6c,0x38a90354,0x00000000}},	//   _lăng_, _ऋषिक, _búrc_, --, 
   {{0xf7090029,0x261900a5,0xf8bf0212,0x66dd039f}},	//   _gần_, पड़ी_, éés_, tékr, 
   {{0x271700f7,0xdce97a86,0x229c003e,0x7d06023e}},	//   _năng_, _oseč, _líkt_, _èkse, 
   {{0x6fd90035,0x232a7a87,0x98a40028,0x2bdf021a}},	//   _बुलं, роби_, usmą_, _पुमा, 
   {{0xe29a186c,0x200700da,0xb4db00b9,0x00000000}},	//   шаб_, žnil_, tràc, --, 
   {{0x2717001b,0x063700d1,0x51440259,0x00000000}},	// [7040] _băng_, _ונפט_, ядағ, --, 
   {{0x271700e7,0x336637e8,0x00000000,0x00000000}},	//   _căng_, _двог, --, --, 
   {{0xb4d60a09,0x00000000,0x00000000,0x00000000}},	//   िकी_, --, --, --, 
   {{0x7ce403a1,0x443a4620,0xa75a0070,0xb4db00f6}},	//   mòri, _hdp_, ידער, pràc, 
   {{0x62867a88,0x8237009c,0x7ce403dd,0x00000000}},	//   _inko, _برپا, lòri, --, 
   {{0xccb700dd,0x443a0097,0x27170023,0xdca35964}},	//   огії_, _jdp_, _găng_, мачи, 
   {{0x443a7a89,0xbea600b3,0x9e661372,0xf7090108}},	//   _mdp_, _давк, _وارن, _sần_, 
   {{0x5a347a8a,0x443a7a8b,0x539b027a,0x00000000}},	//   чнит, _ldp_, ייצו, --, 
   {{0x80bf00cc,0x6e227a8c,0xc8667a8d,0x443a7a8e}},	//   ্তর্, mbob, отни, _odp_, 
   {{0xa3bb0077,0x271700e7,0xd7fa02be,0xf7090023}},	//   _आइल_, _xăng_, иун_, _vần_, 
   {{0x6d42534c,0x00000000,0x00000000,0x00000000}},	//   lroa, --, --, --, 
   {{0x443a7a8f,0xf70900e7,0xf8bf0151,0xe8c803ab}},	//   _adp_, _tần_, éér_, ргүл_, 
   {{0x443a7a90,0x6d427a91,0x660900ca,0x2ee608b0}},	//   _bdp_, nroa, žeko, ilof_, 
   {{0x62867a92,0xdc0800e0,0x7ce403dd,0x00000000}},	//   _anko, rēķi, fòri, --, 
   {{0x6d424b21,0x2717001b,0x872a00a3,0x443a0382}},	//   hroa, _răng_, _тўла_, _ddp_, 
   {{0x6d427a93,0xc1050038,0x569521bd,0x69d600fc}},	//   kroa, كوري, _хаит, _øyes, 
   {{0xb80e04b7,0x2007090e,0x35b40093,0x443a7a94}},	// [7050] _सलाम_, žnim_, _обър, _fdp_, 
   {{0x8fe7278a,0x6d427a95,0x62860298,0xd01b7a96}},	//   оцед, droa, _enko, рфа_, 
   {{0x44317a97,0xdce2265d,0xe9ff00e7,0x2379010e}},	//   maz_, jvođ, _trầm_, _امجد_, 
   {{0xdce2090b,0x59ca1f36,0x6e227a98,0x2ee67a99}},	//   dvođ, ापार, gbob, glof_, 
   {{0x27170029,0x25fe07d5,0x443a00e2,0x067c0147}},	//   _tăng_, रेपी_, _ydp_, ינאל, 
   {{0x9f35005e,0x44317a9a,0x251c008d,0x7c3a01be}},	//   _негі, naz_, סווא, _cdtr, 
   {{0xeb997a9b,0x7ced060f,0x6e2200f3,0x2d921341}},	//   сий_, gúra, bbob, øyer_, 
   {{0x6d420180,0x44317a9c,0x26cb00e9,0x7f84009c}},	//   broa, haz_, ébol_, _تلفن, 
   {{0x44317a9d,0x8d77040f,0x00000000,0x00000000}},	//   kaz_, _بازا, --, --, 
   {{0x50db02f8,0x78a90886,0x2903489f,0xdddb015e}},	//   भविष, ског_, öja_, _gnuš, 
   {{0x25ee0081,0xd90f006b,0xbb4800eb,0x443a7a9e}},	//   _घरही_, ریں_, _ولكن_, _rdp_, 
   {{0x443a7a9f,0x99800228,0x6441003e,0x660600a3}},	//   _sdp_, _žiť_, ólin, япма, 
   {{0xb8b3005e,0x44317aa0,0x66dd0019,0x777a006d}},	//   _жөні, faz_, rékp, avtx, 
   {{0xb4d6271a,0x44317aa1,0x7ce400d3,0x442c3c3a}},	//   िके_, gaz_, tòri, úd_, 
   {{0x07a500d9,0xb4bc05e5,0x232700a3,0x00000000}},	//   _хайн, _आगी_, зоси_, --, 
   {{0xa5bb0183,0x4431011c,0x76261427,0x7d1b387a}},	//   mbón, aaz_, _эмиз, _otus, 
   {{0x26c27aa2,0x44317aa3,0xe2971fe9,0x443a02a2}},	// [7060] miko_, baz_, чат_, _tdp_, 
   {{0xb0630187,0xf70900e7,0x6564012b,0x6e3b7aa4}},	//   jväč, _lầm_, _ipih, _adub, 
   {{0x7d1b7aa5,0x9e666949,0xee86004e,0xc10100f0}},	//   _atus, звед, зыло, түрл, 
   {{0x6d427aa6,0x69c4012d,0x645c4b22,0x62867aa7}},	//   troa, _žiem, lfri, _unko, 
   {{0x6da31a41,0xfce66c54,0x2ee67aa8,0x51557aa9}},	//   ница, подо, rlof_, _отру, 
   {{0x645c7aaa,0x26c27aab,0x6d4202ba,0x656400a9}},	//   nfri, hiko_, rroa, _mpih, 
   {{0x26c27aac,0x7d1b0088,0x629b0183,0xf7090108}},	//   kiko_, _etus, _écoñ, _bầm_, 
   {{0xf709001b,0x44317aad,0x60de7aae,0x7c23006d}},	//   _cầm_, zaz_, lopm, abnr, 
   {{0x25fe1516,0xcdc5005e,0xd90d040f,0x26c20a73}},	//   रेमी_, _жатқ, لین_, diko_, 
   {{0xb4d6676c,0x7c3a01cc,0x3ea601dd,0x44317aaf}},	//   िको_, _udtr, lkot_, xaz_, 
   {{0x65642d6c,0x26c27ab0,0xf98f11b7,0xb4d600bc}},	//   _apih, fiko_, نبی_, िकै_, 
   {{0x44310218,0x76ab11d3,0xb5fb00eb,0x26c20a9f}},	//   waz_, стов_, leái, giko_, 
   {{0x645c7ab1,0x44317ab2,0x201806df,0x3ea67ab3}},	//   ffri, taz_, _ofri_, ikot_, 
   {{0xb5fb00eb,0x6f1c015e,0x645c0019,0x241800c8}},	//   neái, _otrc, gfri, зоры_, 
   {{0x44317ab4,0x200714bf,0xe7860cdf,0x26c27ab5}},	//   raz_, žnik_, _хуло, biko_, 
   {{0x6fbd007e,0x66e4081b,0x92940904,0x645c7ab6}},	//   ्पसं, _поја, насц, afri, 
   {{0x44310b85,0x25a20586,0x00000000,0x00000000}},	// [7070] paz_, cykl_, --, --, 
   {{0x6e3b00ef,0xb21b02c9,0x44310c45,0x00000000}},	//   _sdub, _knæk, qaz_, --, 
   {{0x7ae2044d,0xb5fb0038,0x7d1b7ab7,0x225b011c}},	//   _okot, deái, _stus, pfqk_, 
   {{0x3ea67ab8,0x7ae229a5,0x201801d5,0x00000000}},	//   gkot_, _nkot, _efri_, --, 
   {{0xf7090108,0xcbfe0033,0x20180090,0x00000000}},	//   _rầm_, ুরোধ_, _ffri_, --, 
   {{0x26c27ab9,0x2cac00ef,0x7ae2382a,0x506700a3}},	//   ziko_, _cldd_, _akot, _этма, 
   {{0xfc300038,0x2fc50219,0x61e67aba,0x26c20204}},	//   احه_, _älg_, _zykl, yiko_, 
   {{0x26c27abb,0x6e3b090e,0x00000000,0x00000000}},	//   xiko_, _udub, --, --, 
   {{0x645c7abc,0x3ebf7abd,0x7d1b27c8,0x26c27abe}},	//   yfri, _imut_, _utus, viko_, 
   {{0xb4bc1139,0xb5fb0084,0x6d4b0579,0xc7a56017}},	//   _आगे_, ceái, muga, диок, 
   {{0x6d4b03eb,0xf709001b,0x3ead0688,0xb4db0054}},	//   luga, _tầm_, _klet_, tràn, 
   {{0x291f0128,0x3ebf00c3,0x6b810354,0x00000000}},	//   ppua_, _jmut_, _irlg, --, 
   {{0x6d597abf,0x26c27ac0,0x7afb7ac1,0x6d4b7ac2}},	//   ntwa, riko_, mmut, nuga, 
   {{0x7ae97ac3,0xdcfb00ef,0x3ead03a1,0x7afb2e14}},	//   llet, _oruč, _llet_, lmut, 
   {{0x6d4b010d,0x26c27ac4,0x3ead0088,0x2907288b}},	//   huga, piko_, _olet_, _iina_, 
   {{0x29077ac5,0x6d4b436b,0x645c7ac6,0x7afb001d}},	//   _hina_, kuga, sfri, nmut, 
   {{0x290f22fd,0x29077ac7,0xd24f0019,0x7ae901cf}},	// [7080] _juga_, _kina_, شنل_, ilet, 
   {{0x29077ac8,0x6d4b7ac9,0x25fe0bf5,0x212002cd}},	//   _jina_, duga, रेणी_, rpih_, 
   {{0x29077aca,0xe29a7acb,0x3ea67acc,0xb4ca34be}},	//   _mina_, _дан_, tkot_, लची_, 
   {{0x29077acd,0x6d591347,0x6d4b7ace,0x3d0a0586}},	//   _lina_, ftwa, fuga, ादले_, 
   {{0xb5fb00eb,0x3ea67acf,0x998d0216,0x291d07d7}},	//   teái, rkot_, vbeş_, _ntwa_, 
   {{0x7ae27ad0,0x7ae97ad1,0x5fd9059e,0x3ebf0a0f}},	//   _skot, elet, _बुकल, _emut_, 
   {{0x290f7ad2,0x7ae97ad3,0xb5fb00eb,0x3ead00e5}},	//   _auga_, flet, reái, _flet_, 
   {{0x29077ad4,0xb5fb00eb,0x6d4b7ad5,0x497403ba}},	//   _aina_, seái, buga, елис, 
   {{0x286a17d9,0x2ee400ef,0xb5fb7ad6,0x81e00086}},	//   орно_, _ikmf_, peái, ধের_, 
   {{0x26c01ced,0x7ae97ad7,0x5fd518b4,0x9f5800a1}},	//   _amio_, alet, _दशमल, _sgrù_, 
   {{0x29077ad8,0x291d02f2,0xa7fc027e,0x290f00b9}},	//   _dina_, _etwa_, ldız, _euga_, 
   {{0x29077ad9,0x7ae27ada,0x27e700f3,0x7d087adb}},	//   _eina_, _ukot, _dynn_, _hids, 
   {{0x29077adc,0x290f7add,0xe4e700dd,0xd4260033}},	//   _fina_, _guga_, дівн, _বাড়ি_, 
   {{0x67d47ade,0x00000000,0x00000000,0x00000000}},	//   _полу, --, --, --, 
   {{0x6d4b7adf,0x672100ca,0x7ced35ee,0x7d086b1b}},	//   zuga, cplj, zúro, _mids, 
   {{0x2907030b,0x6d4b016b,0x7d0800bc,0x290f7ae0}},	//   _zina_, yuga, _lids, _yuga_, 
   {{0x64483be8,0xdcfb015e,0x50f5270e,0x645a022c}},	// [7090] ódic, _sruč, езат, òtic, 
   {{0x3ead01cc,0x6d4b01eb,0x2907022c,0x62960201}},	//   _slet_, vuga, _xina_, ajyo, 
   {{0x7ae97ae1,0x660d0415,0x7ae07ae2,0x3ead0b41}},	//   ylet, _kgak, komt, _plet_, 
   {{0x752d7ae3,0x6d59007b,0x644302a0,0x7d08238a}},	//   _kwaz, ttwa, _ônib, _aids, 
   {{0xdce901b4,0x7ae90384,0x212b0156,0x660d0f3a}},	//   _sređ, vlet, _uwch_, _mgak, 
   {{0x7ae9078a,0x6d4b7ae4,0xdce901b4,0x629d7ae5}},	//   wlet, ruga, _pređ, _hoso, 
   {{0x629d7ae6,0xdcfb04d1,0x6d4b7ae7,0x290f7ae8}},	//   _koso, _uruč, suga, _suga_, 
   {{0x660d7ae9,0xdce90267,0x79827aea,0x629d01a7}},	//   _ngak, _vređ, _brow, _joso, 
   {{0x2bdf0586,0x290771aa,0x7ae9076b,0x7afb7aeb}},	//   _पुरा, _pina_, rlet, rmut, 
   {{0x660d7aec,0x26c02808,0x7ae97aed,0x7d087aee}},	//   _agak, _smio_, slet, _gids, 
   {{0xdce902f5,0x752d7aef,0x07a57af0,0xe5a300a3}},	//   _uređ, _awaz, ханн, қири, 
   {{0x29070727,0x67210062,0x290f044e,0x798235b8}},	//   _wina_, rplj, _tuga_, _frow, 
   {{0x290720ca,0xd756006b,0x798200a7,0x66c8027e}},	//   _tina_, ولیت_, _grow, dıkt, 
   {{0x6f0900e0,0x6aa93d9a,0x660d01d6,0x27e77af1}},	//   _liec, lkef, _egak, _tynn_, 
   {{0x7c3e03b7,0x629d7af2,0x68e17af3,0x394d7af4}},	//   ópri, _boso, mold, lues_, 
   {{0x6f094333,0xe2977af5,0x26c000ef,0x629d11a6}},	//   _niec, нас_, _umio_, _coso, 
   {{0x614334fd,0x216765ea,0xe5a600b3,0x3f83008a}},	// [70a0] лета, нити_, _чипи, _arju_, 
   {{0x9c7c026e,0xd3a412e1,0x68e17af6,0x2a6d006f}},	//   _akčn, _алоқ, nold, heeb_, 
   {{0x54570056,0xf457008d,0x6aa901e8,0x7d087af7}},	//   _אביב_, _אייר_, kkef, _rids, 
   {{0x7d080022,0x68e11b37,0x629d0156,0x394d0cc4}},	//   _sids, hold, _goso, kues_, 
   {{0x6f097af8,0x752d0218,0x394d0034,0x71a30528}},	//   _diec, _xwaz, jues_, _баяз, 
   {{0x653b00c7,0x629d7af9,0x68e101e8,0x394d45ab}},	//   לענד, _zoso, jold, dues_, 
   {{0x6f090012,0x7d08055f,0x629d7afa,0x2bc31a21}},	//   _fiec, _vids, _yoso, _वेदा, 
   {{0x798200ab,0xb5fb0126,0x6ee300b0,0xa3e300c9}},	//   _prow, nfác, sõbr, _फँस_, 
   {{0x7d0800fb,0x68e13dfd,0xf9920133,0x0d860d3f}},	//   _tids, fold, ابع_, _ялан, 
   {{0x68e10019,0x2d847afb,0xdee400a3,0x6ef102c9}},	//   gold, _irme_, _чоғи, nåbn, 
   {{0xc5fb10ae,0x67d40da9,0x65760175,0x7ae0095a}},	//   ृश्य_, тону, _asyh, pomt, 
   {{0x2a6d0201,0x79827afc,0x38a00465,0x2911007a}},	//   ceeb_, _trow, _còrr_, únaí_, 
   {{0x38cb4d0f,0x68e17afd,0xf8b803fd,0x1874012d}},	//   _کانی_, bold, _жөн_, _агля, 
   {{0x629d7afe,0x752d06df,0x68e10082,0xd794007a}},	//   _soso, _vwaz, cold, _للتخ, 
   {{0x629d7aff,0x60c501a4,0x00000000,0x00000000}},	//   _poso, vihm, --, --, 
   {{0x629d7b00,0x752d7b01,0x2d847b02,0x660d0610}},	//   _qoso, _twaz, _orme_, _ugak, 
   {{0x070800cf,0x629d0503,0x752d7b03,0x673a3096}},	// [70b0] _яхши_, _voso, _uwaz, lstj, 
   {{0x6f0900ab,0x629d7b04,0x00000000,0x00000000}},	//   _siec, _woso, --, --, 
   {{0xdfd100eb,0x6f097b05,0x629d01a3,0x673a194d}},	//   جيا_, _piec, _toso, nstj, 
   {{0x6ee70038,0x2a6d006d,0x52a70038,0x00000000}},	//   رسال, xeeb_, _أصدق, --, 
   {{0x443302ae,0x6f097b06,0x394d021e,0x2a6d00c2}},	//   _kex_, _viec, xues_, veeb_, 
   {{0xac84005e,0x6f0900ab,0x394d7b07,0xada200a3}},	//   лгіл, _wiec, vues_, рашл, 
   {{0x673a012e,0x68e17b08,0x44334d66,0x20120032}},	//   jstj, vold, _mex_, ániť_, 
   {{0x44337b09,0x394d2114,0x673a017e,0x68e11106}},	//   _lex_, tues_, dstj, wold, 
   {{0x6aa97b0a,0xe8f97b0b,0xe9d909a6,0x673a02b0}},	//   rkef, мли_, ьки_, estj, 
   {{0x7e7b7b0c,0x394d7b0d,0x6c740a7c,0x6aa901e8}},	//   _haup, rues_, _مطمئ, skef, 
   {{0x7e7b7b0e,0x68e17b0f,0x394d4f62,0x8c3c0213}},	//   _kaup, rold, sues_, _doğd, 
   {{0x443302b0,0x7cf600b3,0x9985007a,0x00000000}},	//   _aex_, râre, _للصو, --, 
   {{0x394d7b10,0x7e7b00a2,0x67240d26,0x68e17b11}},	//   ques_, _maup, _čije, pold, 
   {{0xc5f5005e,0x7e7b7b12,0x6ef80183,0x98a20267}},	//   ығы_, _laup, míbe, _више, 
   {{0x6ef8031e,0xe29f01d5,0xa5073a5f,0x443323bd}},	//   líbe, _boð_, тера_, _dex_, 
   {{0xc2431ed7,0x1b130086,0x7e7b7b13,0x95867b14}},	//   инск, _সবাই_, _naup, _алие, 
   {{0x6d5b006f,0xf1d5022c,0x6ef80183,0x26d90369}},	// [70c0] _nqua, гөрө, níbe, éroe_, 
   {{0xb5fb7a03,0xf5370070,0x44330106,0x602302be}},	//   reát, _שניי_, _gex_, идуа, 
   {{0xb4c00081,0x63a7006a,0xe0d500dd,0x6ef8033c}},	//   ूची_, cyjn, ують, híbe, 
   {{0x44380998,0x7e7b0126,0xa2c10299,0xb21b373e}},	//   lar_, _caup, रोद्, _snæv, 
   {{0xdce000e0,0x7e7b7b15,0xbea31571,0x29190032}},	//   _apmā, _daup, јачк, ísal_, 
   {{0x55bb00a7,0x237f0083,0x673a0e73,0xb4db00f6}},	//   ומנו, łuje_, ystj, quàt, 
   {{0xf70a001b,0xf1bf0183,0x7fd5004e,0x442a0026}},	//   _hầu_, _feás_, _біті, ibb_, 
   {{0x44387b16,0x3a742e87,0xb4db0054,0x7e7b7b17}},	//   har_, улир, tràk, _gaup, 
   {{0xbea36a8b,0x63a70035,0xdc541c03,0x2d8400b3}},	//   _татк, zyjn, _مراک, _urme_, 
   {{0x44387b18,0xdd8f0084,0x7e7b7b19,0x673a008c}},	//   jar_, _بوك_, _zaup, tstj, 
   {{0xd7f723d7,0x44337b1a,0x1635794e,0xf70a00e7}},	//   кую_, _rex_, леня, _lầu_, 
   {{0x673a008c,0x7c3800ce,0x44337b1b,0x443800f8}},	//   rstj, lavr, _sex_, ear_, 
   {{0x44387b1c,0x673a008c,0x6ef8033c,0x25fe2ed8}},	//   far_, sstj, cíbe, रेली_, 
   {{0x64d20081,0x7d1d03a1,0x673a27e3,0x3d150083}},	//   _सदृश, _ésse, pstj, _फंसे_, 
   {{0x25ad1878,0xd6db7b1d,0x34940240,0x00000000}},	//   šel_, _оти_, шарр, --, 
   {{0xd8380397,0xf70a001b,0x3f5c29c2,0x63a70035}},	//   lač_, _bầu_, díu_, ryjn, 
   {{0xf70a0029,0x60f902f3,0x7e7b7b1e,0x63a70035}},	// [70d0] _cầu_, еная_, _raup, syjn, 
   {{0x2edb5e31,0xf70a001b,0x7e7b21ef,0xdce92cd9}},	//   यक्त, _dầu_, _saup, _iseć, 
   {{0xf4120056,0x2007030f,0x7bce1b90,0x6d5b7b1f}},	//   _לפי_, äni_, _žbun, _squa, 
   {{0x4ea70141,0xa2950965,0x92951488,0x9f5800f6}},	//   ърза, _самі, _самц, _agró_, 
   {{0x3cdf04d7,0xd8381920,0x628f19a9,0x7ced001d}},	//   गवले_, kač_, _inco, lúri, 
   {{0x387c00b4,0x7e7b018e,0x64551e18,0x00000000}},	//   _navr_, _waup, ngzi, --, 
   {{0x9f3400dd,0x7e7b7b20,0x69d90065,0x3f5c0183}},	//   _весі, _taup, _sxwe, cíu_, 
   {{0xdce92ed1,0x6ef80068,0xdfd400f0,0xead10033}},	//   _oseć, tíbe, _тосы, াত্ম, 
   {{0x44387b21,0x1017000f,0x2bc300c9,0x2ab10354}},	//   yar_, _तलाश_, _वेरा, _cába_, 
   {{0x44387b22,0x6ef80503,0xd838203b,0x6f15008a}},	//   xar_, ríbe, gač_, _kuzc, 
   {{0x6ef80496,0xa6ca07d9,0x387c00a3,0xa3e310b0}},	//   síbe, елна_, _davr_, _फुल_, 
   {{0xaca30023,0xba390070,0xcb1200d1,0x00000000}},	//   _ruộn, _װײַט, _הלא_, --, 
   {{0xe8ee00e4,0x4a9a008d,0xd8383f48,0xd9455afc}},	//   _гл_, _רינג, bač_, _сели, 
   {{0x628f048a,0x2a7d0201,0xd83800d2,0x44387b23}},	//   _anco, _hawb_, cač_, uar_, 
   {{0x2a7d006d,0x395f7b24,0x6d4b7b25,0xf70a0023}},	//   _kawb_, ltus_, hrga, _sầu_, 
   {{0x670c006a,0x2a7f007e,0x387c0613,0x00000000}},	//   _सूचक_, ndub_, _zavr_, --, 
   {{0x44387b26,0x395f4542,0x2a7d006d,0x76447b27}},	// [70e0] par_, ntus_, _mawb_, _idiy, 
   {{0x628f22d7,0x2a7d0201,0x395f0088,0x44387b28}},	//   _enco, _lawb_, itus_, qar_, 
   {{0x44447b29,0x03a67b2a,0x6d4b064e,0x395f00b0}},	//   _id_, _сино, erga, htus_, 
   {{0xd8380062,0x395f7b2b,0x2a7d01a0,0x44447b2c}},	//   zač_, ktus_, _nawb_, _hd_, 
   {{0xdca67b2d,0xdd940d18,0x395d006d,0x999d009e}},	//   лади, ралы, _nqws_, _rewş_, 
   {{0xa3e80fec,0xfce37b2e,0x7524095a,0xafe600a3}},	//   _बडा_, бочо, _mtiz, _богл, 
   {{0xcead03aa,0x2a7d0156,0x6e39012b,0x8fa3021d}},	//   _дә_, _bawb_, bawb, _ларе, 
   {{0xdee67b2f,0x76446e02,0x7c380613,0x387c7b30}},	//   _соби, _ndiy, savr, _savr_, 
   {{0x2a7d01c1,0xd83817a2,0x6f020293,0x395f7b31}},	//   _dawb_, tač_, mmoc, gtus_, 
   {{0x2ee601a9,0x2bdf042b,0x444400d1,0x6f0240da}},	//   loof_, _पुका, _nd_, lmoc, 
   {{0x2a660021,0xd83800f1,0x2a7d006f,0x75247b32}},	//   _бълг, rač_, _fawb_, _atiz, 
   {{0x44447b33,0xa3e80077,0xdce900d0,0x6f027b34}},	//   _ad_, _बड़_, _pseć, nmoc, 
   {{0xe8941ff8,0x764400f3,0xe5c77b35,0x17670259}},	//   _валь, _ddiy, усно, _ұрып_, 
   {{0x6aa21f3a,0x76440c05,0x44440436,0x7ced7b36}},	//   _hoof, _ediy, _cd_, túri, 
   {{0xb86500c5,0x3267372d,0x6aa201cf,0x828b08ba}},	//   _خانو, лтав, _koof, нсаб_, 
   {{0x44440021,0x6e2424d3,0xb6c90019,0x2a7d006d}},	//   _ed_, ñibl, _جاتے_, _xawb_, 
   {{0x569307f9,0x6aa2084c,0xf1940cb4,0x290e28e5}},	// [70f0] _вақт, _moof, бить, _kifa_, 
   {{0x26cb7b37,0x3d18000f,0x656d7b38,0x7ced022c}},	//   lico_, _पढ़े_, _ipah, púri, 
   {{0x3f87475d,0x290e0054,0x439505de,0x6d407b39}},	//   ínu_, _mifa_, _танс, _avma, 
   {{0x26cb1868,0x1e0f00a2,0x4444203b,0x6d4b7b3a}},	//   nico_, िशेष_, _zd_, trga, 
   {{0x395f050a,0x44447b3b,0x2a7d006d,0x6b880534}},	//   xtus_, _yd_, _rawb_, _ardg, 
   {{0x6f027b3c,0x656d43d9,0x26cb7b3d,0x251c0070}},	//   amoc, _mpah, hico_, עווא, 
   {{0xeb997b3e,0x2a7d0156,0x6aa2052b,0x6445095a}},	//   тий_, _pawb_, _boof, _mdhi, 
   {{0xf53f0750,0x6aa23311,0x395f7b3f,0x3945569f}},	//   kså_, _coof, ttus_, аниг, 
   {{0x81e700cc,0x2024010d,0x290e7b40,0x395f7b41}},	//   যের_, _árið_, _bifa_, utus_, 
   {{0x395f7b42,0x229c031e,0x08c502c0,0xe76568fe}},	//   rtus_, _díky_, рбон, авоп, 
   {{0x395f7b43,0x752401b4,0x2a7d023b,0x316001f1}},	//   stus_, _stiz, _tawb_, ztiz_, 
   {{0x64457b44,0x66e642ae,0x26cb186f,0x6aa27b45}},	//   _adhi, рома, gico_, _goof, 
   {{0x6ef80954,0xe9a81117,0x44447b46,0x7d0e2120}},	//   níba, _مدون_, _pd_, _ünsü, 
   {{0x7ae414f5,0x4421012b,0x44447b47,0x394d0034}},	//   čite, _cfh_, _qd_, mres_, 
   {{0x44447b48,0x394d7b49,0xdc0801dd,0x656d0415}},	//   _vd_, lres_, mēģi, _epah, 
   {{0x394d0c1f,0x644501e5,0x42260283,0xb4db03dd}},	//   ores_, _edhi, рдав, dràu, 
   {{0x394d09a1,0x3d15190a,0x61ef7b4a,0x867b00d1}},	// [7100] nres_, _फूले_, _cycl, _ירקו, 
   {{0x394d7b4b,0x44447b4c,0x21677b4d,0xdb18010e}},	//   ires_, _ud_, рифи_, szvé, 
   {{0xee3a7b4e,0x394d01c4,0xa3cd02e6,0x31605d81}},	//   вне_, hres_, _शेप_, stiz_, 
   {{0x0d862aa3,0x33db042c,0x7d06010e,0x394d7b4f}},	//   илен, _יחיד, _éksz, kres_, 
   {{0x6aa27b50,0x2ee67b51,0x64450175,0x394d7b52}},	//   _roof, roof_, _ydhi, jres_, 
   {{0x394d7b53,0x78a37b54,0x8c3c0540,0x2ee619b3}},	//   dres_, _nonv, _boğa, soof_, 
   {{0x394d00cc,0x9f5c030f,0x7f4300d9,0x1e9600b3}},	//   eres_, ävä_, _мерж, _крар, 
   {{0x26cb7b55,0x394d7b56,0x8c3c0c05,0x290e0010}},	//   xico_, fres_, _doğa, _sifa_, 
   {{0x26cb7b57,0x78a30226,0x99970093,0x290e0379}},	//   vico_, _bonv, икът_, _pifa_, 
   {{0x78a37b58,0x3f8a0098,0x61eb0502,0x00000000}},	//   _conv, _krbu_, ügli, --, 
   {{0x3ea40536,0x394d7b59,0x656d7b5a,0x78a37b5b}},	//   _komt_, ares_, _spah, _donv, 
   {{0x394d3216,0xf53f155b,0xbad5012d,0xdaaa7b5c}},	//   bres_, tså_, _лічы, _швед_, 
   {{0x26cb7b5d,0x394d00d3,0x290e7b5e,0x78a305d5}},	//   rico_, cres_, _tifa_, _fonv, 
   {{0xf53f53bb,0x14cb0080,0x98a40243,0x00000000}},	//   rså_, тыми_, rsmē_, --, 
   {{0x26cb3ba7,0xdce90405,0xf2c77b5f,0xb17b0946}},	//   pico_, _speċ, асан, _nyår, 
   {{0x68e823b9,0x96351a84,0x78a301d2,0x00000000}},	//   lodd, _униц, _zonv, --, 
   {{0x26c903ef,0x6fd9000f,0x92010ede,0x656d7b60}},	// [7110] _imao_, _मशहू, लेंज_, _upah, 
   {{0x92d700cc,0x64450053,0x68e80156,0xe4eb009c}},	//   িতে_, _udhi, nodd, _جعبه_, 
   {{0x61ef03a0,0xd0187b61,0x2d990118,0x00000000}},	//   _wycl, рфу_, _ŧse_, --, 
   {{0x2295247b,0x394d7b62,0x6ef80068,0x68e800f8}},	//   _الحس, yres_, tíba, hodd, 
   {{0x26c90226,0x2bdf0c73,0x3ea4008a,0x8c3c0213}},	//   _mmao_, _पुजा, _domt_, _soğa, 
   {{0x394d7b63,0xb4db03a1,0x6ef87b64,0xdd95004e}},	//   vres_, cràt, ríba, _қазы, 
   {{0x3f8a015e,0x7ced0038,0x3f850107,0x394d0090}},	//   _grbu_, dúrt, _élu_, wres_, 
   {{0x394d7b65,0x2b490eae,0x99840009,0x8d7724a1}},	//   tres_, čac_, jamų_, _پارا, 
   {{0x394d7b66,0xdc0801dd,0x78a30121,0x00000000}},	//   ures_, tēģi, _ponv, --, 
   {{0x394d7b67,0x48797b68,0xdcf904bc,0x26c90008}},	//   rres_, усия_, _صفات_, _amao_, 
   {{0xb69b14ce,0xd70a00c8,0x37e501ff,0x78a37b69}},	//   rmân, лное_, сонг, _vonv, 
   {{0x394d7b6a,0x66000228,0x7b1500bc,0x2ca500d1}},	//   pres_, ýmko, _všud, _hold_, 
   {{0x81ac00cc,0x7ae97b6b,0x68e87b6c,0x2ca502c9}},	//   _কেন_, moet, bodd, _kold_, 
   {{0x78ba6075,0x7ae97b6d,0xdce91fe0,0xf8ab0083}},	//   chtv, loet, _opeč, _छविय, 
   {{0x2481012b,0x38a90354,0x2ca57b6e,0x00000000}},	//   _dahm_, _dúrt_, _mold_, --, 
   {{0x7bce0864,0x7ae97b6f,0xdb12010e,0xb4db03dd}},	//   _žbuk, noet, ógép, fràs, 
   {{0xe1fa7b70,0x24810104,0x3f8a00ca,0xe0da5125}},	// [7120] уга_, _fahm_, _srbu_, гва_, 
   {{0x2eed0026,0x2ca50102,0x3ae10228,0x7ae97b71}},	//   _akef_, _nold_, rópy_, hoet, 
   {{0x443a0237,0x7ae90a9f,0xd5e9015f,0x7ced007a}},	//   _iep_, koet, _معین_, húrs, 
   {{0xe29a7b72,0xee3a7b73,0x443a7b74,0x6fd902e6}},	//   _сам_, унд_, _hep_, _मशरू, 
   {{0x443a7b75,0x9cca7b76,0x7ae96fcd,0x20230ed9}},	//   _kep_, лыка_, doet, érií_, 
   {{0x443a7b77,0x62847b78,0x2732010c,0x2ca500d1}},	//   _jep_, ldio, nûnî_, _cold_, 
   {{0x6724090b,0x3ea46f5c,0x7ae900f8,0x69cf0183}},	//   _čijo, _tomt_, foet, úcen, 
   {{0x443a262b,0xd00f00eb,0x7ae901f1,0x6abb025b}},	//   _lep_, _ألف_, goet, ghuf, 
   {{0xd83a0028,0x58860161,0x98b8002e,0x9c5a0109}},	//   лэн_, бына, илит_, _مجاز_, 
   {{0x2ca57b79,0x26c90372,0x98ad0032,0xad1b00d1}},	//   _gold_, _smao_, ateľ_, _עובר, 
   {{0x68e802bf,0x7ae97b7a,0x24817b7b,0x9a8600a3}},	//   rodd, boet, _rahm_, _гулл, 
   {{0x6e2200a2,0xfaa37b7c,0x6abb0634,0x68e80156}},	//   ncob, _нахо, chuf, sodd, 
   {{0x628402f0,0x7c3a7b7d,0x6d425d97,0x443a7b7e}},	//   ddio, _ketr, nsoa, _bep_, 
   {{0xdcfb02f5,0x443a7b7f,0x6616010e,0xd5b801fc}},	//   _vruć, _cep_, _egyk, ссю_, 
   {{0x443a7b80,0x87260eea,0x57260a7c,0xa3b300b0}},	//   _dep_, _اعتم, _ارتق, जैं_, 
   {{0x443a2e82,0x7cff010c,0xbb3b0070,0x02a400b3}},	//   _eep_, mêre, טעלי, прум, 
   {{0xa1590769,0x443a7b81,0x51871a18,0xdce97b82}},	// [7130] разу_, _fep_, щува, _speč, 
   {{0x443a0800,0x7ae901ca,0x628400c2,0x100700fd}},	//   _gep_, zoet, adio, бяем, 
   {{0x83670038,0x00000000,0x00000000,0x00000000}},	//   _ادخل, --, --, --, 
   {{0x7c3a0054,0x443a0027,0x2ca500d1,0xa1590bd9}},	//   _aetr, _zep_, _sold_, _каму_, 
   {{0x7c3a46cf,0xee380c8b,0x7cb703dc,0xdca502f1}},	//   _betr, сні_, бқат_, жали, 
   {{0x61fd00e0,0x69c004cb,0x443a0108,0x0cc70033}},	//   _izsl, dzme, _xep_, শক্ত, 
   {{0x7ae97b83,0x2ca503a9,0x6abb0532,0x01db0bf1}},	//   toet, _vold_, thuf, _দরিদ, 
   {{0xa9257b84,0x4ea70470,0x6e220036,0x26d91390}},	//   одил, _урга, ccob, érol_, 
   {{0x7c3a7b85,0x7ae97b86,0x2ca57b87,0xeb970148}},	//   _fetr, roet, _told_, риқ_, 
   {{0x7ae403ef,0x7c3a6fdf,0x25ed0f63,0x6e3b7b88}},	//   čita, _getr, _घड़ी_, _heub, 
   {{0xe73902a6,0x7ae97b89,0x443a7b8a,0x6284017c}},	//   јем_, poet, _rep_, ydio, 
   {{0x7c3a1c7b,0x7d1b7b8b,0x443a7b8c,0x2d8d0237}},	//   _zetr, _kuus, _sep_, _kree_, 
   {{0x443a7b8d,0x6e3b7b8e,0x7d1b03f0,0x645e0183}},	//   _pep_, _meub, _juus, _pcpi, 
   {{0x7d1b088f,0x69dc027e,0x6e3b7b8f,0x38bb0ff2}},	//   _muus, ğret, _leub, _bêre_, 
   {{0x25fe0509,0x443a7b90,0x27320216,0xdce00028}},	//   रेजी_, _vep_, rûnî_, _esmė, 
   {{0x6e3b3a62,0x3a3f012b,0x62847b91,0x15e801a4}},	//   _neub, naup_, udio, _टुअर_, 
   {{0x7d1b7b92,0x7d017b93,0xa5bb0068,0x00ca7b94}},	// [7140] _nuus, _ohls, lcón, алак_, 
   {{0x25e300b0,0x3a3f0242,0x7cff0216,0x66cf0118}},	//   _टुटी_, haup_, hêrb, _tòkè, 
   {{0x7c3a083f,0x2d8d0093,0xe7ef0bb6,0xa5bb0183}},	//   _retr, _aree_, _घुमा_, ncón, 
   {{0xa3e302e6,0x6d427b95,0x7d017b96,0x0ec4009a}},	//   _फुट_, tsoa, _ahls, लोंड, 
   {{0x7c3a7b97,0x2d8d3a12,0x6e2265df,0x3ce6119b}},	//   _petr, _cree_, rcob, टवले_, 
   {{0x6d427b98,0x645c7b99,0x6e227b9a,0x9b2625b6}},	//   rsoa, ngri, scob, офил, 
   {{0x6d4200ce,0xa2c10790,0x7c3a7b9b,0x645c7b9c}},	//   ssoa, रोक्, _vetr, igri, 
   {{0xf96a7b9d,0x22403107,0x8f9b0486,0x6e3b7b9e}},	//   арой_, naik_, _דילי, _geub, 
   {{0x7d1b01d2,0x69c0044e,0x25642580,0x26d90032}},	//   _guus, uzme, jöl_, érom_, 
   {{0x6f1c7b9f,0x6e3b00b4,0x22400c0c,0x00000000}},	//   _kurc, _zeub, haik_, --, 
   {{0x224036d3,0x645c7ba0,0x3b8602be,0x00000000}},	//   kaik_, dgri, _флег, --, 
   {{0x6f1c7ba1,0x7d1b0548,0xa96a4a2a,0x00000000}},	//   _murc, _yuus, _вида_, --, 
   {{0x291f01d8,0x2ab8011c,0x94ab011f,0x25647ba2}},	//   cqua_, _géba_, атва_, göl_, 
   {{0x645c38c3,0xb4db0379,0x6f1c0106,0x00000000}},	//   ggri, asàn, _ourc, --, 
   {{0x93887ba3,0xaca30029,0x02a72853,0xa85700d1}},	//   оста_, _xuốn, орам, _ויוה_, 
   {{0x20187ba4,0x3f87003e,0x645c0eb1,0x22407ba5}},	//   _agri_, ænum_, agri, gaik_, 
   {{0x6e3b7ba6,0xa2c12a97,0x00000000,0x00000000}},	// [7150] _reub, रोग्, --, --, 
   {{0x6f1c6f76,0xddc900d9,0x2d9d009e,0x7d1b01ad}},	//   _burc, _aceş, vxwe_, _ruus, 
   {{0x2fc70029,0x22407ba7,0x7d1b06a6,0x6f1c7ba8}},	//   àng_, baik_, _suus, _curc, 
   {{0x6f1c02e7,0xef187ba9,0x3946145a,0x7d1b7baa}},	//   _durc, імі_, _ovos_, _puus, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xc172008d,0x6f1c7bab,0xdd8e0433,0x2d9d009e}},	//   _רחם_, _furc, اوو_, rxwe_, 
   {{0x7ae402ee,0x6e3b3a86,0x6f1c48e0,0x394609c6}},	//   čitn, _teub, _gurc, _avos_, 
   {{0x63a801e8,0x2d8d00d1,0x7d1b7bac,0xdddb020f}},	//   ødni, _tree_, _tuus, _cauţ, 
   {{0xccec005e,0x3a3f0089,0x645c00f3,0x00000000}},	//   _ақ_, raup_, ygri, --, 
   {{0x6d597bad,0x6c540161,0x291f0151,0x00000000}},	//   muwa, _окуу, rqua_, --, 
   {{0xf771024f,0xc5e90a33,0x6d597bae,0x291f7baf}},	//   راد_, _עד_, luwa, squa_, 
   {{0x7e79011d,0x4a740161,0x195900e4,0xe1ff00f6}},	//   newp, _жышт, _гады_, _ozó_, 
   {{0x6d597bb0,0xe980004e,0x645c7bb1,0xeab00ce0}},	//   nuwa, _ақын, tgri, _جعل_, 
   {{0xa50a0172,0xd6da00f6,0x2eb83c7e,0x516603a1}},	//   сега_, ртү_, _आत्त, үүнү_, 
   {{0x291d0529,0x232a7bb2,0x6d596efd,0xe29a041d}},	//   _huwa_, соби_, huwa, бав_, 
   {{0x291d1bb2,0xa2cc02f8,0xdbd71066,0x645c0156}},	//   _kuwa_, _सगळ्, määr, sgri, 
   {{0x20183ffc,0x6f1c7bb3,0xa5bb20ac,0x22407bb4}},	// [7160] _pgri_, _surc, ncól, raik_, 
   {{0x6d597bb5,0x6f1c00a7,0xe45a012d,0x291d0b3a}},	//   duwa, _purc, _ужо_, _muwa_, 
   {{0xb4e80081,0x2721008c,0xdbd73d00,0xaca30023}},	//   यकी_, _jón_, näär, _luồn, 
   {{0x27217bb6,0x127a00eb,0x6d596cd8,0x3a240036}},	//   _món_, _احدث_, fuwa, xcmp_, 
   {{0x6d597bb7,0x27217bb8,0x568d0070,0x00000000}},	//   guwa, _lón_, יטאַ, --, 
   {{0x62867bb9,0xdbd74a69,0x00000000,0x00000000}},	//   _hako, käär, --, --, 
   {{0x62867bba,0x27210023,0xafe300f0,0x291d018e}},	//   _kako, _nón_, _зорл, _auwa_, 
   {{0x62867bbb,0x6d597bbc,0x1c1e0035,0x3afa024a}},	//   _jako, buwa, _पलवल_, rëpo_, 
   {{0x62866608,0xaca300e7,0xdee300dd,0x291d011c}},	//   _mako, _cuồn, _чоти, _cuwa_, 
   {{0x62867bbd,0xfca94cd1,0x27210023,0x291d045a}},	//   _lako, _والو_, _bón_, _duwa_, 
   {{0x3d15034d,0x291901d5,0x27217bbe,0xf09300d1}},	//   _फूटे_, ísar_, _cón_, גנת_, 
   {{0xa3cd072f,0x45d558e5,0x291d0149,0x7cff010c}},	//   _शेष_, домс, _fuwa_, mêra, 
   {{0x27210183,0xf1bf0634,0x765d039b,0x291d7bbf}},	//   _eón_, _afán_, rgsy, _guwa_, 
   {{0x27210038,0xa9c51372,0x657d0027,0x00000000}},	//   _fón_, _غزنو, rwsh, --, 
   {{0x62867bc0,0x291d010c,0xe1ff0019,0x43940cd9}},	//   _bako, _zuwa_, _szó_, нарс, 
   {{0x6d59023e,0xf8bc0299,0x78aa0ff2,0x62867bc1}},	//   yuwa, _ऋतुप, _hofv, _cako, 
   {{0xa3cd00c9,0x764d044d,0x62d4009c,0x62867bc2}},	// [7170] _शेर_, _iday, رآفر, _dako, 
   {{0xdddb7161,0x752d7bc3,0x55bc00d1,0x7982019b}},	//   _nauš, _itaz, _למחו, _msow, 
   {{0x62867bc4,0x3b1e01ff,0x00000000,0x00000000}},	//   _fako, _nutq_, --, --, 
   {{0x6d597bc5,0x7c285770,0x7982089d,0x62867bc6}},	//   tuwa, _afdr, _osow, _gako, 
   {{0xdce2020b,0x00000000,0x00000000,0x00000000}},	//   atoč, --, --, --, 
   {{0xeb997bc7,0x291d0415,0x752d0053,0x6d597bc8}},	//   жик_, _ruwa_, _mtaz, ruwa, 
   {{0x6d597bc9,0x62862538,0x764d0241,0x7982052b}},	//   suwa, _yako, _oday, _asow, 
   {{0x7bc30112,0x764d7bca,0xdbd706a6,0xa2c102e6}},	//   rznu, _nday, väär, रोच्, 
   {{0x272101bb,0xec6b09d9,0x31697bcb,0x09057bcc}},	//   _són_, _грек_, ntaz_, мпин, 
   {{0x764d7bcd,0xd90f006b,0x27210183,0x57494e4d}},	//   _aday, ھیں_, _pón_, озом_, 
   {{0x66e67bce,0x752d7bcf,0x764d0175,0x798202a5}},	//   дона, _ataz, _bday, _esow, 
   {{0x291d7bd0,0x9ac502a5,0x6441003e,0x38bb010c}},	//   _tuwa_, _beŋŋ, ðlin, _dêra_, 
   {{0xe8ee7bd1,0x62867bd2,0x2b400062,0x764d0298}},	//   _ал_, _rako, ćice_, _dday, 
   {{0x62867bd3,0xe7397bd4,0xb4e807d5,0xdce20228}},	//   _sako, _дек_, यके_, ytoč, 
   {{0x752d7bd5,0x43750259,0x316901ca,0x00000000}},	//   _etaz, нутт, etaz_, --, 
   {{0xe2977bd6,0x6e2d033c,0xdb24010e,0x7cf600b3}},	//   мас_, ñabl, éséh, râri, 
   {{0x6724090b,0x62867bd7,0x3f9104be,0x3f8300b0}},	// [7180] _čiji, _vako, _arzu_, _asju_, 
   {{0x62867bd8,0x3f91034c,0x6e297bd9,0x645a1f6b}},	//   _wako, _brzu_, _afeb, ótid, 
   {{0xb40100b9,0x6d4900d9,0x73067bda,0x9e667bdb}},	//   _бүрд, _avea, _опоз, двед, 
   {{0x917a0023,0x2ab80175,0x00000000,0x00000000}},	//   _cập_, _rébo_, --, --, 
   {{0xdce27bdc,0xdddb17a2,0x217501a2,0x00000000}},	//   stoč, _pauš, _пурр, --, 
   {{0x3e4e001b,0x16031d5b,0xdd937bdd,0xa2ca029c}},	//   ột_, रेटर_, ташы, सोर्, 
   {{0xff237bde,0x6aab02c9,0xeb970d3d,0x00000000}},	//   _амсо, _bogf, диј_, --, 
   {{0x3e86012d,0xed5a7bdf,0xc4bb17f6,0x00000000}},	//   _būtų_, _моб_, _उत्ख, --, 
   {{0x6aab0156,0xbc6602a6,0xb5fb0684,0x6f03020f}},	//   _dogf, _овак, nfát, înce, 
   {{0xd90d0399,0x47342a08,0xb4e87be0,0xb4bd00ab}},	//   مین_, ннос, यको_, _आते_, 
   {{0xf98f00d4,0x905700a7,0x205700c7,0xc05700d1}},	//   هبی_, וסיף_, וייל_, וביץ_, 
   {{0x56940934,0x3ea63236,0x249a0474,0x6ef802be}},	//   вают, njot_, _anpm_, fíbi, 
   {{0x2d84000d,0x6ef800eb,0xe9da189a,0x00000000}},	//   _jsme_, ríbh, _بذات_, --, 
   {{0x38bb0218,0x00000000,0x00000000,0x00000000}},	//   _têra_, --, --, --, 
   {{0x36d5537d,0x2cac0156,0x38cb0499,0x7ae2008a}},	//   _покр, _modd_, _بانی_, _kjot, 
   {{0xd49a03dc,0x764d044d,0x260c009a,0xb5fb069a}},	//   орӣ_, _uday, ठेही_, rgáb, 
   {{0x34957be1,0x752d7be2,0xf70a0023,0x75d50038}},	// [7190] _запр, _utaz, _nầy_, _سيدا, 
   {{0x4427008f,0x31696bb0,0x7ae27be3,0x00000000}},	//   _ün_, rtaz_, _ljot, --, 
   {{0xdfd100eb,0x316901f1,0x6d497be4,0x00000000}},	//   ديا_, staz_, _svea, --, 
   {{0x867c0070,0x7ae2011c,0xf70a0023,0x00000000}},	//   ַרוו, _njot, _bầy_, --, 
   {{0x2cac7be5,0x2d840175,0xf70a0108,0x41e7017b}},	//   _bodd_, _csme_, _cầy_, _ціна, 
   {{0x7ae27be6,0xf70a0108,0xab651782,0x00000000}},	//   _ajot, _dầy_, евкл, --, 
   {{0x2cac35b8,0x917a0023,0x2d847be7,0x00000000}},	//   _dodd_, _tập_, _esme_, --, 
   {{0x3b060104,0xc9a923de,0x00000000,0x00000000}},	//   _choq_, звие_, --, --, 
   {{0xe9d97be8,0x2cac0156,0xf70a0023,0x7ae2016c}},	//   яки_, _fodd_, _gầy_, _djot, 
   {{0xa3c11d57,0xa3e0215e,0x77c92c0b,0x48cd0033}},	//   ्छा_, _दखल_, злог_, রক্র, 
   {{0xe80a00c2,0xa924022c,0x6aab61a4,0x66d60028}},	//   हेला_, ндөл, _togf, eška, 
   {{0xddc00118,0x00000000,0x00000000,0x00000000}},	//   _bemň, --, --, --, 
   {{0x3ead7be9,0x249a0089,0xef19007b,0x00000000}},	//   _moet_, _pnpm_, _miż_, --, 
   {{0x7afb359d,0x26c215ef,0x638600a3,0xef1900a4}},	//   llut, shko_, нгга, _liż_, 
   {{0xd5b800e0,0x3ebf0080,0xa85600d1,0xe29a24e3}},	//   ņā_, _olut_, _טיסה_, пав_, 
   {{0xef19006a,0x7afb7bea,0x0566017b,0x00000000}},	//   _niż_, nlut, _звин, --, 
   {{0x20567beb,0x7afb0080,0x26c0025b,0x410630c5}},	// [71a0] етер, ilut, _ilio_, езав, 
   {{0xdcfb1993,0x66046f74,0x76461a71,0x7afb008c}},	//   _oruđ, _izik, laky, hlut, 
   {{0x7afb7bec,0x44387bed,0xef1900a4,0x3ebf0380}},	//   klut, mbr_, _biż_, _blut_, 
   {{0x9f58024a,0x3ead394e,0x21a6186c,0x92b60038}},	//   _hyrë_, _coet_, _зимм, _أحدا, 
   {{0x3ead0b32,0xef19008a,0x26c00548,0x86370147}},	//   _doet_, _diż_, _mlio_, גאנג_, 
   {{0x22420405,0xdca34326,0x66040937,0xaca30023}},	//   _hekk_, лачи, _mzik, _muỗn, 
   {{0x26c07bee,0x7afb003e,0x3dc67bef,0x76465bf0}},	//   _olio_, flut, szow_, kaky, 
   {{0x22420529,0x7afb1041,0x2907007b,0x68e30097}},	//   _jekk_, glut, _ahna_, _ajnd, 
   {{0x63b500ab,0xed57142c,0xc8660c34,0x66047bf0}},	//   zyzn, _пот_, нтни, _nzik, 
   {{0xd6fb2ed6,0x29187bf1,0x26c07bf2,0x3ead02b0}},	//   ृष्ठ_, öra_, _alio_, _zoet_, 
   {{0x660450ed,0x26c000a1,0x7e620548,0x7ae20415}},	//   _azik, _blio_, ogop, _tjot, 
   {{0x7e627bf3,0x7d1a618b,0x7afb7bf4,0x22420118}},	//   ngop, _hits, clut, _nekk_, 
   {{0xa2c4190a,0x7d1a7bf5,0x00000000,0x00000000}},	//   रसन्, _kits, --, --, 
   {{0x6604030b,0x26c002a3,0x7d1d00b9,0xf9930147}},	//   _dzik, _elio_, _èsse, _תרס_, 
   {{0xf76f00c5,0x7d1a7bf6,0x660401a3,0x27f3014b}},	//   _هاي_, _mits, _ezik, čané_, 
   {{0x7d1a7bf7,0x26c000a1,0x8288186c,0x442a01be}},	//   _lits, _glio_, нсуб_, acb_, 
   {{0x645a0e2e,0xddc97bf8,0x22426bdd,0x26d9014b}},	// [71b0] ótic, _obeš, _dekk_, érou_, 
   {{0x7d1a00a9,0x90280904,0x7b150097,0x3ead0326}},	//   _nits, ецца_, _ršum, _soet_, 
   {{0x64477bf9,0x224200fc,0x3ead261c,0x09d40033}},	//   maji, _fekk_, _poet_, _হুমা, 
   {{0x64477bfa,0x2242003e,0x387e0054,0x9f58021e}},	//   laji, _gekk_, hetr_, _zyrë_, 
   {{0x629d7bfb,0x7d1a0364,0x3ead0318,0x09b50033}},	//   _inso, _bits, _voet_, _জেনা, 
   {{0xd04506d0,0x64477bfc,0x7e62039b,0x71d62233}},	//   yihə, naji, agop, _יורד_, 
   {{0x7d1a0194,0x672d014b,0x3ead0c0c,0x7cf60474}},	//   _dits, _čajo, _toet_, vârt, 
   {{0x628d7bfd,0x7d1a084c,0x4a7500d3,0x7afb7bfe}},	//   ndao, _eits, тыкт, ulut, 
   {{0x7afb02a2,0x2b400062,0x7d1a05f0,0x64477bff}},	//   rlut, ćica_, _fits, kaji, 
   {{0x7afb0c29,0x7d1a2a28,0x8c3c04be,0x64477c00}},	//   slut, _gits, _boğu, jaji, 
   {{0x81d70086,0x6f1b7c01,0x629d7c02,0x76467c03}},	//   িথি_, _kiuc, _onso, taky, 
   {{0x6d590b32,0x8c3c091f,0x7d1a044d,0x2a6602be}},	//   orwa, _doğu, _zits, _gcob_, 
   {{0x95997c04,0x76467c05,0x958302f3,0x6d4b098d}},	//   нтру_, raky, аляе, nsga, 
   {{0x76467c06,0x629d7c07,0x395f00c8,0x64477c08}},	//   saky, _anso, muus_, gaji, 
   {{0x04436cef,0x76467c09,0x64a31002,0x26d2052b}},	//   ресн, paky, шара, _tmyo_, 
   {{0x3afa00e5,0xd5b20fd0,0x628d02dc,0x26c00548}},	//   tëpi_, _نفع_, gdao, _ulio_, 
   {{0x64477c0a,0x61461c16,0x69c97c0b,0x2242004f}},	// [71c0] baji, теза, nzee, _vekk_, 
   {{0x7ae400f1,0x629d0298,0x67237c0c,0x81ac00cc}},	//   čiti, _enso, _kunj, _কেউ_, 
   {{0x7524012e,0x67236cea,0x7d1a008c,0x44447c0d}},	//   _huiz, _junj, _rits, _ie_, 
   {{0x44447c0e,0x6f097c0f,0x6aa9003a,0x7d1a7c10}},	//   _he_, _chec, jjef, _sits, 
   {{0x44447c11,0x7d1a7c12,0x6d4b5ca1,0x6f0900a1}},	//   _ke_, _pits, gsga, _dhec, 
   {{0x75247c13,0xdce900a4,0xc045039f,0x69c90243}},	//   _muiz, _preġ, _مخفو, dzee, 
   {{0x44447c14,0x67230a13,0x6d597c15,0x8cb31276}},	//   _me_, _nunj, arwa, _अवरो, 
   {{0x44447c16,0x661b1a35,0x7d1a7c17,0xa5bb007a}},	//   _le_, žuki, _wits, scói, 
   {{0xf2d30a33,0x44447c18,0x66d6012d,0x8c3c01f0}},	//   יעה_, _oe_, eško, _soğu, 
   {{0x7d1a1e97,0x1bed0077,0x7aed00ef,0x76440054}},	//   _uits, _चुकल_, čata, _aeiy, 
   {{0x64477c19,0x6aa90126,0x261501a4,0x67230144}},	//   vaji, bjef, नेनी_, _cunj, 
   {{0x672305ae,0x44447c1a,0x69c9006d,0x752402b0}},	//   _dunj, _ae_, bzee, _buiz, 
   {{0x44447c1b,0x64477c1c,0x67232cd6,0x59d91567}},	//   _be_, taji, _eunj, _बेपर, 
   {{0x44447c1d,0x7524012e,0x9f580183,0xa4e4012d}},	//   _ce_, _duiz, _eyré_, аўск, 
   {{0x64477c1e,0xa3cd0184,0x83f82b3b,0x56955f0a}},	//   raji, _शेख_, верс_, _байт, 
   {{0x44447c1f,0x64477c20,0xf2c40451,0x6d590027}},	//   _ee_, saji, асун, yrwa, 
   {{0x44447c21,0x27281816,0x26d97c22,0x8cb3031e}},	// [71d0] _fe_, _hûn_, miso_, _अवलो, 
   {{0x44447c23,0x26d97c24,0x6f0900ef,0x6f1b01be}},	//   _ge_, liso_, _shec, _siuc, 
   {{0x15f40116,0xa5c7003e,0xbeee009a,0x6e957c25}},	//   _مسیح, _fróð, जवून_, лижу, 
   {{0xf7730137,0x26d97c26,0x291c7c27,0x6d4b03fa}},	//   יקע_, niso_, _liva_, tsga, 
   {{0x44447c28,0x64457c29,0x22490691,0xed591416}},	//   _ye_, _kehi, maak_, хол_, 
   {{0x444400f7,0x26d90149,0x395f00c8,0x6d4b042a}},	//   _xe_, hiso_, vuus_, rsga, 
   {{0x6f097c2a,0x26d97c2b,0xdce000e0,0x64457c2c}},	//   _thec, kiso_, _apmē, _mehi, 
   {{0xc2070e36,0x64457c2d,0xc3340056,0x6a8519b1}},	//   _शराब_, _lehi, בוק_, улиа, 
   {{0x26d90194,0x291c7c2e,0x987e0095,0x99dd014b}},	//   diso_, _biva_, _açıq_, raňo, 
   {{0x61fd7c2f,0x2728078a,0x64457c30,0x69c902b0}},	//   _mysl, _bûn_, _nehi, rzee, 
   {{0x44447c31,0xca757c32,0x395f030f,0x752478fc}},	//   _re_, _булы, suus_, _suiz, 
   {{0xcfc500cc,0x44217c33,0x66d61c2b,0x291c0183}},	//   _এখান, _agh_, rško, _eiva_, 
   {{0x44443888,0x75240018,0x64451128,0xe0df05d5}},	//   _pe_, _quiz, _behi, _gwòg_, 
   {{0x44447c34,0x67237c35,0x64457c36,0x291c2b9e}},	//   _qe_, _tunj, _cehi, _giva_, 
   {{0x44447c37,0xb5fb006b,0x644500a9,0x26d90364}},	//   _ve_, lgál, _dehi, biso_, 
   {{0x44440052,0x26d911d2,0x394d7c38,0x3a2d011c}},	//   _we_, ciso_, oses_, ncep_, 
   {{0x44447c39,0x394d6fbe,0x64457c3a,0xa7fc0241}},	// [71e0] _te_, nses_, _fehi, ngın, 
   {{0x44447c3b,0x7e690f97,0x64450414,0xe1f77c3c}},	//   _ue_, _acep, _gehi, угу_, 
   {{0x22497c3d,0x4f9600f0,0xb4c20fc0,0x37d50033}},	//   baak_, ырау, ्फी_, _সুতর, 
   {{0x394d7c3e,0xbd6a7c3f,0xfe462b4e,0x7126010e}},	//   kses_, ерке_, ундо, _مرسل, 
   {{0xe29707e1,0x463b0070,0x3160243f,0xdcb10108}},	//   _сая_, גענע, quiz_, _bỏ_, 
   {{0x38a900da,0x0b8a425f,0xb4db00b9,0x00000000}},	//   _túry_, есии_, ssàv, --, 
   {{0xd0077c40,0x09dc0466,0x394d114a,0x291c7c41}},	//   _бере_, मप्य, eses_, _riva_, 
   {{0x1ab413d5,0x8c3c07fa,0xd12f0019,0x2728010c}},	//   рбия, _coğr, _ذمہ_, _rûn_, 
   {{0x8c3c0749,0x26d90141,0xe0df0118,0xc27b00d1}},	//   _doğr, viso_, _fwòd_, גרפי, 
   {{0xfaa302f1,0x22495058,0x26d9045a,0x58d40a36}},	//   _қачо, zaak_, wiso_, роот, 
   {{0x64451ae0,0x290200e0,0x26d90149,0x394d00d1}},	//   _rehi, ēka_, tiso_, ases_, 
   {{0x64452e7b,0x368b0e52,0x2f970070,0x49ca3f87}},	//   _sehi, хсон_, אכטן_, _плен_, 
   {{0x26d97c42,0x44210102,0x25bf0019,0x64457c43}},	//   riso_, _pgh_, ául_, _pehi, 
   {{0x656f7c44,0x26d90149,0x61fd7c45,0x00000000}},	//   rtch, siso_, _rysl, --, 
   {{0xd6d1195e,0x779211b7,0x26d97c46,0x64457c47}},	//   _وقت_, _ایجا, piso_, _vehi, 
   {{0xa6ab024f,0x59d9047c,0x26d90026,0xb5a700fd}},	//   _سابق_, _बेडर, qiso_, _брой, 
   {{0x224901a9,0x44210348,0x60f900c8,0xa15833bf}},	// [71f0] raak_, _tgh_, вная_, лату_, 
   {{0x046732bf,0x4421192d,0x61fd026e,0x212902cd}},	//   _стим, _ugh_, _vysl, rqah_, 
   {{0x672d19e2,0x80077c48,0x6fd50662,0x00000000}},	//   _čajk, учае, _येशू, --, 
   {{0x66f70a09,0x394d042a,0x6705102c,0x7cff010c}},	//   ीतिक_, yses_, रतिक_, mêri, 
   {{0x6da500cf,0xa2ba03c1,0x212902cd,0x628f7c49}},	//   рила, _एकत्, qqah_, _iaco, 
   {{0x6b557c4a,0x00000000,0x00000000,0x00000000}},	//   атих, --, --, --, 
   {{0x7cff010c,0x628f0a13,0xfaa57c4b,0xeab1007a}},	//   nêri, _kaco, иако, قعة_, 
   {{0x394d1bc0,0x628f0139,0x00000000,0x00000000}},	//   tses_, _jaco, --, --, 
   {{0x394d7c4c,0x08c52107,0x3d94144a,0xdd947c4d}},	//   uses_, ибин, _литр, _латы, 
   {{0x394d7c4e,0x3a2d0082,0x3f9800f8,0x7c971897}},	//   rses_, scep_, _yrru_, _حشرا, 
   {{0x394d1907,0xb8ed02e6,0xeaae0019,0x7cff078a}},	//   sses_, _रत_, سٹی_, jêri, 
   {{0x89d6125e,0x5803004e,0xe1ff0126,0xd4910108}},	//   اویر_, _қойғ, _oyó_, ồn_, 
   {{0xcb120056,0xf5067c4f,0x7ae400ef,0xa8894127}},	//   _ולא_, измо, čitt, _айла_, 
   {{0x0443019c,0xb4c2288f,0x00000000,0x00000000}},	//   жерн, ्फे_, --, --, 
   {{0x232a0cdf,0x98f40d4b,0x628f036d,0x00000000}},	//   тоби_, _اثنا, _baco, --, 
   {{0xd1320038,0x00000000,0x00000000,0x00000000}},	//   قمر_, --, --, --, 
   {{0x628f397a,0x225d0035,0x6906003e,0x41270cda}},	// [7200] _daco, ówka_, iðen, иото_, 
   {{0xe3ba7c50,0xa5bb2033,0x628f01c5,0xbebd0009}},	//   _або_, rcót, _eaco, _liūd, 
   {{0x628f7c51,0xb4c24899,0x7e2602c4,0x53a62e45}},	//   _faco, ंसी_, адеж, _танб, 
   {{0x539b00a7,0x628f7c52,0x277600c7,0x00000000}},	//   _סיכו, _gaco, יגען_, --, 
   {{0x7aed090b,0xdd9403fd,0x62847c53,0x644a0379}},	//   čatl, салы, meio, _ôfis, 
   {{0x614305f3,0x00000000,0x00000000,0x00000000}},	//   _фера, --, --, --, 
   {{0x69dd0187,0xa5bb7c54,0x798b00f3,0x3f9800b4}},	//   úsen, ncór, _asgw, _urru_, 
   {{0x628f03da,0xdee60283,0x8f3700d1,0x5a3400fd}},	//   _xaco, _тоби, _כאלו_, щнит, 
   {{0xdfd6004e,0x63bc0d6b,0x8d2a004f,0xdb18039f}},	//   _соңы, hyrn, _розв_, nyvé, 
   {{0x6f027c55,0x8c660a24,0x987338aa,0xc7ba16d0}},	//   lloc, _خطرن, ольц, вём_, 
   {{0x627e0035,0xe81102e6,0x569526ef,0x478713c6}},	//   _złoż, डेला_, бант, асям_, 
   {{0x98ab00e0,0x7bdb00d1,0x63bc7c56,0x00000000}},	//   īcā_, _בקבו, dyrn, --, 
   {{0x628f7c57,0xe8942072,0x99340071,0x80bc0110}},	//   _raco, _галь, _افتت, _एवढे, 
   {{0x628f255d,0x6f0255c0,0xb60800de,0x00000000}},	//   _saco, hloc, _suší, --, 
   {{0x628f7c58,0x6aa27c59,0xd9e80086,0x6f027c5a}},	//   _paco, _knof, _পরিম, kloc, 
   {{0x6f0200d9,0x02a47c5b,0x4733009c,0x673a0415}},	//   jloc, орум, _بروز, mptj, 
   {{0x51877881,0x672d00ef,0x20053cd0,0x807900f6}},	// [7210] шува, _čaji, _šli_, лбас_, 
   {{0x92d700cc,0xd9e80086,0xa7fc027e,0x6b9a01ff}},	//   াকে_, _পরাম, ygıl, _ortg, 
   {{0x33950084,0x628f7c5c,0xb6080098,0x6f0214a1}},	//   _الجز, _taco, _tuší, floc, 
   {{0x6284019c,0x66c651a9,0x00000000,0x00000000}},	//   ceio, _kóka, --, --, 
   {{0x8d1701a2,0x6b9a7c5d,0x127a0070,0x00000000}},	//   андӣ_, _artg, _גארע, --, 
   {{0x8c422831,0x6aa20474,0x00000000,0x00000000}},	//   пеше, _anof, --, --, 
   {{0xde670141,0x627e0083,0x00000000,0x00000000}},	//   _възп, _włoż, --, --, 
   {{0x6f0260c6,0x705901a2,0xa7fc027e,0x3a980080}},	//   cloc, _шаҳр_, rgıl, атью_, 
   {{0xe8f90013,0xa2ba05ff,0x627e0083,0x00000000}},	//   лли_, _एकस्, _ułoż, --, 
   {{0x66d6008b,0xd7020586,0x2d8d02a3,0x6aa20604}},	//   mški, ोष्ठ_, _isee_, _enof, 
   {{0x7ae40082,0x2cf5009a,0x30fa036e,0x6284018e}},	//   čitr, ेतील_, ्ततः_, yeio, 
   {{0x5b15081b,0x66c6008c,0x66e604ac,0x9abc008a}},	//   _умет, _bóka, сома, _luċj, 
   {{0x66080035,0x290e008a,0xdddb00ec,0x59c40038}},	//   ędko, _fhfa_, _lauž, _ويمك, 
   {{0x66d6012d,0x3a3f085b,0xd83b0028,0x63bc02ae}},	//   iški, lbup_, _рэд_, tyrn, 
   {{0xdce20062,0x78a37c5e,0x7e7b7c5f,0x97351036}},	//   stoć, _innv, _obup, _اعتص, 
   {{0x86467c60,0x4433006d,0x60c700ca,0xb22640a4}},	//   _униж, _efx_, _aljm, смал, 
   {{0x95560625,0x463b0070,0xe2972c77,0x6f02032a}},	// [7220] _اخبا, _געפע, щат_, vloc, 
   {{0x65667c61,0xb4db03a1,0xb46602a6,0x62847c62}},	//   mukh, ssàr, _укол, seio, 
   {{0xee3a1c93,0x644e7c63,0xb4010a31,0x59d9252e}},	//   гне_, mabi, _жүрд, _बेसर, 
   {{0x644e7c64,0x61e90412,0x91e62f1c,0xf4130056}},	//   labi, _žele, _гоме, _מפת_, 
   {{0x1dd2000f,0x22407c65,0x63a300a1,0x65660175}},	//   _देखत, mbik_, _ànnr, nukh, 
   {{0x644e7c66,0x6f027c67,0x395f7c68,0xdb090228}},	//   nabi, sloc, drus_, ľnýc, 
   {{0x09b50086,0xdb09026e,0x6f024dd1,0x65667c69}},	//   _জেলা, žnýc, ploc, hukh, 
   {{0x65660204,0x644e7c6a,0xeb970267,0x290e052b}},	//   kukh, habi, сић_, _shfa_, 
   {{0x644e7c6b,0x41de031e,0xd91a0093,0xdddb4c6c}},	//   kabi, _नेमस, льо_, _zauž, 
   {{0xd90d00d6,0xa2d80299,0xab2a7c6c,0x65660102}},	//   نین_, नोत्, _божа_, dukh, 
   {{0x644e7c6d,0xda7a0093,0x00000000,0x00000000}},	//   dabi, _бял_, --, --, 
   {{0xb5fb0038,0x79890539,0x00000000,0x00000000}},	//   lgái, bwew, --, --, 
   {{0x3a2600b9,0xd7c7009c,0x7af3039f,0x779200d7}},	//   _igop_, لویه_, űjtö, زیکا, 
   {{0x316004ef,0x26cb14b5,0x97a6108e,0xb5fb7c6e}},	//   driz_, shco_, _грил, ngái, 
   {{0xf8db00a7,0x24190504,0x187700d1,0x44330231}},	//   _תחומ, ровы_, _העור_, _vfx_, 
   {{0x65660532,0x7b1502c7,0x386e0151,0x00000000}},	//   bukh, _ušut, _hcfr_, --, 
   {{0x2d9902aa,0xa2da031e,0xcfd60033,0x31600304}},	// [7230] _àsex_, _नगर्, _তুলন, griz_, 
   {{0x644e7c6f,0x660d7c70,0x764f0035,0x9055004f}},	//   cabi, _izak, lacy, івец, 
   {{0x22406ba2,0x7bde20ac,0xdea1009c,0x39460354}},	//   bbik_, úpul, ویسی, _lwos_, 
   {{0x395f0009,0x57fb00d1,0x316000ad,0xd7fb0070}},	//   yrus_, נלאו, briz_, נהאל, 
   {{0x316001d8,0x26c90026,0x9cf5004f,0x66d60028}},	//   criz_, _mlao_, озді, uški, 
   {{0x66d6012d,0x60c70082,0x224b7c71,0x660d044d}},	//   rški, _uljm, _heck_, _mzak, 
   {{0x3ea41cf0,0x764f00ab,0x26c90226,0xa3df00c2}},	//   _fnmt_, kacy, _olao_, _देम_, 
   {{0x644e7c72,0xcfb20086,0x7b1502fe,0x660d0613}},	//   zabi, _টেকন, _ašur, _ozak, 
   {{0x644e7c73,0x5ac601fc,0x7e640038,0x395f7c74}},	//   yabi, ільм_, óipe, urus_, 
   {{0xf77106ab,0x212b0056,0x644e010c,0xb80d0394}},	//   واج_, _much_, xabi, _हरदम_, 
   {{0x16aa032c,0x644e7c75,0xb69b0165,0x26c90054}},	//   авни_, vabi, rlân, _blao_, 
   {{0x764f7c76,0x644e7c77,0x395f7c78,0x09e80033}},	//   gacy, wabi, prus_, _পররা, 
   {{0x644e7c79,0xa50a2cdb,0x7ae97c7a,0x26c201ad}},	//   tabi, иема_, mnet, rkko_, 
   {{0x7ae97c7b,0x660d7c7c,0x2eb60035,0x26c90054}},	//   lnet, _dzak, _अक्त, _elao_, 
   {{0x212b375f,0x7ae90204,0x65667c7d,0x660d7c7e}},	//   _auch_, onet, sukh, _ezak, 
   {{0x7ae97c7f,0x3160212f,0x212b01c4,0x008500d3}},	//   nnet, triz_, _buch_, үктү, 
   {{0xe0da2675,0x644e7c80,0x7ae97c81,0x2b40090e}},	// [7240] ава_, pabi, inet, ćici_, 
   {{0x316002ba,0x212b4feb,0x7afb7c82,0x29057c83}},	//   rriz_, _duch_, hout, nlla_, 
   {{0x212b02f2,0x29057c84,0x7afb7c85,0x38bb009e}},	//   _euch_, illa_, kout, _hêrs_, 
   {{0x28d9143e,0xe29a4ba5,0x2eb900a2,0x7afb3380}},	//   योति, _там_, _आवृत, jout, 
   {{0x7ae97c86,0x7afb7c87,0x0caa24e3,0x68fa00a3}},	//   dnet, dout, итки_, yotd, 
   {{0xd0e80274,0x7ae901f1,0x659b027a,0x764f7c88}},	//   _اکرم_, enet, יינק, zacy, 
   {{0xf7670f1c,0x1fb57c89,0x7afb7c8a,0xb5fb007a}},	//   _تا_, _естр, fout, rgái, 
   {{0x29057c8b,0x7afb7c8c,0x673800ef,0x62967c8d}},	//   ella_, gout, _rtvj, ndyo, 
   {{0x66047c8e,0x764f012e,0x68fa00d9,0x4ce67c8f}},	//   _nyik, vacy, totd, _джаб, 
   {{0x1d0a048a,0x26c9090b,0xb17b0070,0x764f696a}},	//   _тези_, _slao_, סטיר, wacy, 
   {{0x660d006b,0x7ae97c90,0xa09b00c7,0x66047297}},	//   _szak, bnet, בייט, _ayik, 
   {{0x99e80086,0x29050088,0xd6db7c91,0x6604007c}},	//   _পরীক, alla_, рто_, _byik, 
   {{0x764f6962,0x2bde05e5,0xe9cf009c,0x6604007c}},	//   racy, _केतू_, _لغو_, _cyik, 
   {{0x7ae07c92,0x02b807d5,0xd5b800e4,0x212b0de4}},	//   limt, _इकॉन, іся_, _ruch_, 
   {{0x57f30524,0x212b7c93,0x53347c94,0x439415b9}},	//   _општ, _such_, дест, марс, 
   {{0x25a6008b,0xb88200bc,0x62960102,0x660d01cf}},	//   _šole_, řídi, gdyo, _tzak, 
   {{0x69c07c95,0x660d4701,0x84150259,0xb427189a}},	// [7250] nyme, _uzak, імұх, _وعدو, 
   {{0xcf9b16d9,0x7ae01272,0x7ae9031e,0x7afb7c96}},	//   ије_, himt, znet, zout, 
   {{0x764d0065,0x7ae91654,0x7ae0095a,0x224b7c97}},	//   _keay, ynet, kimt, _teck_, 
   {{0x798200ab,0xe8a710b0,0x23fa00d1,0x752d2ab1}},	//   _opow, _कच्च, _להתא, _kuaz, 
   {{0xa3df0bf0,0x7ae90218,0xdca57c98,0x29057c99}},	//   _देत_, vnet, зали, ylla_, 
   {{0x91ba00a7,0x69c02dd6,0xd7ca009a,0x316900b4}},	//   _המשי, dyme, ानाच, muaz_, 
   {{0x447c0137,0x7982045a,0x7afb012f,0xdcfb0372}},	//   ינגע, _apow, tout, _upuč, 
   {{0xfbd000d4,0xe7fe0262,0x4aa9183a,0x8d876013}},	//   خته_, _उड़ा_, скин_, _музд, 
   {{0x7afb4632,0x29057c9a,0x6e290183,0x2d994879}},	//   rout, tlla_, _igeb, _ése_, 
   {{0x7ae97c9b,0x88c944f4,0x6604016c,0x6724018e}},	//   snet, слов_, _ryik, _siij, 
   {{0xb8e30551,0x07a52072,0x66040065,0x7ae9779f}},	//   _एक_, чанн, _syik, pnet, 
   {{0x6a94004f,0x752d02a5,0x3f830604,0xf1bf0108}},	//   _оріє, _buaz, _mpju_, _ngáo_, 
   {{0x6b5000eb,0xf53f0566,0x00000000,0x00000000}},	//   _tógá, gpå_, --, --, 
   {{0x69d40e49,0x316901d6,0x3f83008a,0x2a6d00c2}},	//   _बेटी, duaz_, _opju_, lgeb_, 
   {{0x68e17c9c,0x03a300c8,0x99dd014b,0x7cf600b3}},	//   mild, ниро, raňu, târz, 
   {{0x6e297c9d,0x61e9244d,0xc32300ff,0x65c400f0}},	//   _ngeb, _žela, емск, _жұма, 
   {{0x224702f1,0xdb0a010e,0x752d0036,0x6604007c}},	// [7260] япти_, ínés, _guaz, _uyik, 
   {{0x6e29052b,0x7ae03991,0x68e17c9e,0x3ce0009a}},	//   _ageb, zimt, nild, _औषधे_, 
   {{0x752d01cf,0x00000000,0x00000000,0x00000000}},	//   _zuaz, --, --, --, 
   {{0x68e17c9f,0x2d9f040b,0x25a00144,0xdce20028}},	//   hild, _brue_, _kril_, ruoč, 
   {{0x68e17ca0,0x1d0a1a9e,0xe29b00d1,0x4c947ca1}},	//   kild, беди_, _השכר, дилс, 
   {{0x6e29139f,0x69c02041,0x61450216,0x00000000}},	//   _egeb, vyme, sîlî, --, 
   {{0x6fb61f7a,0x79820035,0x68e17ca2,0xf65f02c9}},	//   _عمرا, _spow, dild, mhæv_, 
   {{0x78b87ca3,0x66c6003e,0x89381918,0x2d9f0b48}},	//   _sovv, _bókm, опис_, _frue_, 
   {{0x7ae07ca4,0x2d9f7ca5,0x39140080,0x0dca03dd}},	//   rimt, _grue_, ммир, _улай_, 
   {{0x7ae07ca6,0x47341b3d,0x48aa6793,0xd90e00d4}},	//   simt, мнос, стим_, دیت_, 
   {{0x25a003de,0x69c0017c,0xa09b0070,0x799b052b}},	//   _aril_, syme, זייט, avuw, 
   {{0x25a00a58,0xe0df0118,0x69c00126,0x00000000}},	//   _bril_, _awòl_, pyme, --, 
   {{0x68e17ca7,0xaaa9031e,0x18a611b5,0x2b4000d0}},	//   bild, कारक, _надм, ćicu_, 
   {{0xf53f017e,0x6560007a,0x00000000,0x00000000}},	//   rpå_, ámha, --, --, 
   {{0xd25b13f2,0xd7ef7ca8,0xa87b00a7,0x187b00a7}},	//   йца_, _чу_, _האור, _הטוב, 
   {{0x316901ca,0x752d018e,0x00000000,0x00000000}},	//   tuaz_, _tuaz, --, --, 
   {{0x44f511a8,0xc2c400eb,0x00000000,0x00000000}},	// [7270] _опис, ريكي, --, --, 
   {{0x66f201dd,0x6e2900a1,0x316901ca,0x00000000}},	//   māka, _sgeb, ruaz_, --, 
   {{0x2fc700f7,0x66f200e0,0x6d4953ff,0x24190080}},	//   áng_, lāka, _swea, _фоны_, 
   {{0xd0920095,0x68e102f1,0xe81402e6,0x0eb800f0}},	//   _müəs, zild, _डरना_, зушы_, 
   {{0xfe700040,0x3d0900a2,0x66f200e0,0x68e160f3}},	//   ادم_, ितले_, nāka, yild, 
   {{0x2fc700f7,0x2bde0077,0x4e18009c,0x6da200a3}},	//   ơng_, _केहू_, ستند_, тиша, 
   {{0xddc23ee2,0xfc4602d9,0xaaa908dd,0xddc90144}},	//   rgoš, _říci_, कालक, _ubež, 
   {{0x68e10876,0x6d497ca9,0x2d9f00a7,0x998d035f}},	//   wild, _twea, _true_, rbež_, 
   {{0xac274c77,0x68e17caa,0xa3df007e,0x2f1800c8}},	//   _ефек, tild, _देस_, _хоть_, 
   {{0x57e90080,0xa2a400bd,0xa3c20249,0xddc9008a}},	//   ждом_, _चोन्, ्नम_, _mbeż, 
   {{0x68e16077,0xc05200d1,0x2c5f0243,0x96661623}},	//   rild, כזי_, rādē_, мкне, 
   {{0x68e17cab,0xabfa00d1,0xc4c900d1,0xddc900c3}},	//   sild, _והער, _דג_, _obeż, 
   {{0x68e17cac,0x7bc37cad,0x66f201dd,0x7afc010e}},	//   pild, lynu, gāka, _írta, 
   {{0xa3df0190,0x68e100a3,0xe8f800f0,0x2bd1029c}},	//   _देह_, qild, _елі_, तनपा, 
   {{0x02c90081,0x46f60925,0x00000000,0x00000000}},	//   रसंभ, _очит, --, --, 
   {{0x66f200e0,0x257634f9,0x00000000,0x00000000}},	//   bāka, pæl_, --, --, 
   {{0x64ba07f9,0x7bc37cae,0x31261b39,0xf1de43f5}},	// [7280] _дунё_, hynu, ддаг, _नेशन, 
   {{0xdcfb00f1,0xa3df0f8e,0x25bf0502,0x00000000}},	//   _osuđ, _देव_, äule_, --, 
   {{0x443a07d7,0x00000000,0x00000000,0x00000000}},	//   _ifp_, --, --, --, 
   {{0x67000a09,0x273300e7,0x6e2d008b,0x443a00ca}},	//   ैतिक_, _mãn_, žabn, _hfp_, 
   {{0xb5fb0019,0x20565e3a,0x471b0070,0xdc390241}},	//   lgár, _отвр, קונג, _açıd, 
   {{0xdca37caf,0x4095122f,0x23650144,0x44382fc4}},	//   качи, _прст, šlje_, ncr_, 
   {{0x443a7cb0,0x9f88008c,0x28b1017d,0x6023012d}},	//   _mfp_, _góða_, जानि, _адра, 
   {{0x44380447,0x00000000,0x00000000,0x00000000}},	//   hcr_, --, --, --, 
   {{0x645e739a,0xadba0038,0x225d0035,0xdee31fc5}},	//   _odpi, _بهذا_, ówki_, _роти, 
   {{0x6d427cb1,0xb5fb010e,0x66f201dd,0x443a7cb2}},	//   mpoa, zgás, vāka, _nfp_, 
   {{0xda6f7cb3,0x1bf22fcf,0xeb9a01d7,0xbfec0033}},	//   _ия_, _अखिल_, _фие_, _করুণ_, 
   {{0x25a602ee,0x66f200e0,0x443a501c,0x273300e7}},	//   _šola_, tāka, _afp_, _dãn_, 
   {{0x6d4201f1,0xd6d800b3,0x00000000,0x00000000}},	//   npoa, фтэ_, --, --, 
   {{0x66f200e0,0xf48403ba,0xf76f009c,0x61e90352}},	//   rāka, кусн, دای_, _želo, 
   {{0xa3df03c1,0x25ad020f,0x7d09009e,0x00000000}},	//   _देश_, ţel_, lêrê, --, 
   {{0x2bb637c0,0x32647cb4,0x00000000,0x00000000}},	//   _अपना, ктув, --, --, 
   {{0xa3df0c06,0x02df034d,0xb5fb010e,0x44380175}},	// [7290] _देर_, _नगीन, rgás, bcr_, 
   {{0x4395017f,0x39590a6d,0x00000000,0x00000000}},	//   _заос, ássi_, --, --, 
   {{0x64557cb5,0x66c601d5,0x00000000,0x00000000}},	//   mazi, _bókh, --, --, 
   {{0xeb9903dc,0x7c3a2da4,0xa25b0107,0xe0df05d5}},	//   ҷик_, _aftr, _clôt, _kwòk_, 
   {{0x7d09009e,0x38c50216,0x2d5800d9,0x00000000}},	//   jêrê, _jêrê_, дичь_, --, 
   {{0x64557cb6,0xeb9937e6,0x8b9502a6,0xe0570274}},	//   nazi, зик_, ерич, _آیات_, 
   {{0x780d65f8,0x20117cb7,0xe1ff0354,0x00000000}},	//   _हरेक_, _uzzi_, _gcór_, --, 
   {{0x64557cb8,0x78aa0118,0xa3c24361,0x628d7cb9}},	//   hazi, _anfv, ्नत_, neao, 
   {{0x64557cba,0x68ef0634,0x7bce0380,0xdce901f2}},	//   kazi, écdo, _übun, _eseġ, 
   {{0xb4be0077,0xb881014b,0x6d597cbb,0x9d1400d9}},	//   _आवे_, _číse, mswa, _адуч, 
   {{0x64557cbc,0x6d594d5c,0xdcfb090e,0xa3df00b0}},	//   dazi, lswa, _usuđ, _देल_, 
   {{0x7ac47cbd,0x2902078a,0xa5bb0369,0xeaae012d}},	//   _исче, îkar_, lcóy, _ёй_, 
   {{0xe9ce2b3b,0x6d597cbe,0x64557cbf,0x6aab7cc0}},	//   _ск_, nswa, fazi, _ingf, 
   {{0xbebd00e4,0x2b9100ef,0x2bb6017d,0x443a01f2}},	//   _siūl, _kšc_, _अपमा, _qfp_, 
   {{0x279400d3,0x63835d22,0x443a0036,0x07a5441d}},	//   _ашыр, лгра, _vfp_, _чайн, 
   {{0x443a17e5,0x6d597cc1,0xe81407d5,0x7b050183}},	//   _wfp_, kswa, _डरता_, móus, 
   {{0x64a67cc2,0x64557cc3,0xe0461cbe,0xe1ff0038}},	// [72a0] _запа, bazi, ензи, _scór_, 
   {{0x6455048a,0xc05900dd,0xdce2003d,0x6d5911da}},	//   cazi, дії_, rroċ, dswa, 
   {{0x9e663850,0xb4cc0d53,0x6d5901d2,0x66f20243}},	//   евед, लसी_, eswa, nāko, 
   {{0x481600c7,0x66c6003e,0xddc000bc,0xaff7007a}},	//   ײַבן_, _bóki, _zemř, رفنا_, 
   {{0xdd940d18,0x6da30925,0x6d597cc4,0x1d0a7cc5}},	//   талы, лица, gswa, педи_, 
   {{0x6aab0175,0x6e3b052b,0x26d2021e,0x00000000}},	//   _angf, _efub, ëzoj_, --, 
   {{0x7ac67cc6,0xa3c236be,0x9b263a47,0x212a01be}},	//   еспе, ्नि_, нфил, _iibh_, 
   {{0x64557cc7,0x31920118,0xc33300d1,0xdce2020b}},	//   zazi, _kņz_, נוח_, mroč, 
   {{0x4c864905,0x64557cc8,0x6d59095a,0xdce200da}},	//   _плав, yazi, cswa, lroč, 
   {{0xeb9a7cc9,0xa3c237c0,0xddc90df4,0x64557cca}},	//   _низ_, ्ना_, _uceš, xazi, 
   {{0xa3df006a,0x64550cb6,0x2cac7ccb,0x7b050183}},	//   _दें_, vazi, _indd_, góus, 
   {{0x64557ccc,0x56940251,0x212a007a,0x00000000}},	//   wazi, гают, _libh_, --, 
   {{0x64557ccd,0x7ae2035f,0x00000000,0x00000000}},	//   tazi, _imot, --, --, 
   {{0x7ae20076,0xdce2026e,0xab6402f2,0x212a0090}},	//   _hmot, kroč, _grüß, _nibh_, 
   {{0x64557cce,0xa7370038,0x7b050183,0x7ae20098}},	//   razi, _كثير_, cóus, _kmot, 
   {{0xdce202ee,0x64557ccf,0x290c7cd0,0x212a01f5}},	//   droč, sazi, llda_, _aibh_, 
   {{0x64557cd1,0x69d6027e,0x90997cd2,0x7ae201a3}},	// [72b0] pazi, _üyed, мват_, _mmot, 
   {{0x657d006d,0x656f0204,0xdce900a4,0x00000000}},	//   mtsh, much, _iseħ, --, 
   {{0x6d407cd3,0x61ea00ad,0x6d44020f,0x28b118b4}},	//   _atma, _əllə, ţial, जाति, 
   {{0x6d590194,0xf41200a7,0x59b01f02,0x212a00a1}},	//   tswa, _כפי_, जमार, _eibh_, 
   {{0x657d0364,0x22495f50,0x6d597cd4,0x2cbe00e2}},	//   ntsh, mbak_, uswa, _botd_, 
   {{0xdce27cd5,0x6d597cd6,0x7ae2045a,0x2cac016c}},	//   broč, rswa, _amot, _cndd_, 
   {{0x6d597cd7,0x09c900a2,0x6d4000a3,0xdb1800c8}},	//   sswa, िन्य, _etma, kyvä, 
   {{0x656f1c36,0xada60228,0xeab100eb,0x290c7cd8}},	//   kuch, _slúž, شعب_, elda_, 
   {{0x3ead7cd9,0x657d705f,0xe9a900d7,0x00000000}},	//   _inet_, jtsh, بگان_, --, 
   {{0xa3d1034d,0x656f0076,0x3ebf0d2d,0x25a6008b}},	//   वना_, duch, _hout_, _šolo_, 
   {{0x3ebf06df,0x3a7505ef,0x366a7cda,0x572400a3}},	//   _kout_, _алер, мано_, лпоғ, 
   {{0x7d030204,0xdb0144b2,0x656f7cdb,0x28a601ec}},	//   lons, _orlé, fuch, _कोठि, 
   {{0x3ead7cdc,0x3ebf039b,0xe778010e,0x00000000}},	//   _mnet_, _mout_, ولیں_, --, 
   {{0x7d037cdd,0x7ae22588,0x31697cde,0x154300f0}},	//   nons, _zmot, draz_, рерм, 
   {{0xe7b213b4,0x3ead7cdf,0x33d500f0,0x212a1bf0}},	//   _نمود, _onet_, гітт, _ribh_, 
   {{0x656f7ce0,0x212a1232,0x7d037ce1,0x657d1895}},	//   buch, _sibh_, hons, btsh, 
   {{0x656f0086,0xd4f626ef,0x26d2007c,0x3940009e}},	// [72c0] cuch, _аяны, _ilyo_, _çist_, 
   {{0xe0437ce2,0x7d0300dd,0x3ebf7ce3,0x3ead7ce4}},	//   инуи, jons, _aout_, _anet_, 
   {{0x3ebf7ce5,0x6d4000a4,0x7d03626e,0xa3df1d95}},	//   _bout_, _stma, dons, _देऊ_, 
   {{0xcfa90084,0x31697ce6,0x7de6004e,0x3ebf0616}},	//   عالم_, braz_, кілд, _cout_, 
   {{0x7d037ce7,0x29073e62,0x3ebf0300,0x290c003e}},	//   fons, _okna_, _dout_, ylda_, 
   {{0x7d037ce8,0x50437ce9,0x26c00183,0x7ae249f8}},	//   gons, _верб, _loio_, _smot, 
   {{0x3ebf7cea,0xa3e8034d,0xc05a00f0,0x656f7ceb}},	//   _fout_, _मेम_, _нің_, zuch, 
   {{0x49747cec,0xf8ca06ea,0x68e30054,0xb99842cc}},	//   глис, िस्प, _amnd, евих_, 
   {{0x0d7709e8,0x6d400164,0xc87801f0,0xa3df18f2}},	//   _لینک_, _utma, liği_, _देई_, 
   {{0xa8a62aa5,0x52bf0179,0x1be31181,0x3ebf01c8}},	//   трик, _एक्स, _केवल_, _zout_, 
   {{0x656f7ced,0xdb1800c8,0xc8780241,0xdce900a4}},	//   wuch, tyvä, niği_, _sseħ, 
   {{0x7ae2090e,0x656f7cee,0x7c27010e,0x657d2104}},	//   _umot, tuch, _újra, ttsh, 
   {{0x28a6009a,0x656f0126,0xb8960038,0xd90f010e}},	//   _कोथि, uuch, _للشع, _ڈیٹ_, 
   {{0x656f7cef,0x657d7cf0,0xdb180080,0x645a12aa}},	//   ruch, rtsh, syvä, ótip, 
   {{0x68e87cf1,0x656f02ec,0x657d7cf2,0x03c429e7}},	//   midd, such, stsh, астм, 
   {{0x63a52c85,0xc87801f0,0x68e85a8b,0x66c6003e}},	//   _vrhn, diği_, lidd, _bóku, 
   {{0x3ebf03a0,0x22494f70,0x7d03047a,0x3ea502f1}},	// [72d0] _rout_, rbak_, yons, ғилг, 
   {{0x7d1a0082,0x660d7cf3,0x31697cf4,0x3ebf0876}},	//   _nhts, _iyak, rraz_, _sout_, 
   {{0x7d037cf5,0x3ebf3076,0x672d0548,0x00000000}},	//   vons, _pout_, _kiaj, --, 
   {{0x660d0547,0x26c00183,0x68e80287,0x3ead54fd}},	//   _kyak, _xoio_, hidd, _qnet_, 
   {{0x629d7cf6,0x7d037cf7,0x68e80547,0x0e647cf8}},	//   _iaso, tons, kidd, ркін, 
   {{0x629d0019,0x3ebf06df,0x660d0579,0x3ead06c5}},	//   _haso, _wout_, _myak, _wnet_, 
   {{0x3ebf7cf9,0x629d7cfa,0x7d037cfb,0x660d0539}},	//   _tout_, _kaso, rons, _lyak, 
   {{0x629d7cfc,0x672d7cfd,0x7d037cfe,0x1a65009c}},	//   _jaso, _niaj, sons, ایشی_, 
   {{0x7d037cff,0x660d7d00,0xdd940161,0x1be30035}},	//   pons, _nyak, _каты, _केरल_, 
   {{0x26c00183,0x68e80547,0x26d90034,0xe8f60080}},	//   _soio_, gidd, ëron_, ллы_, 
   {{0x660d7d01,0x28d915c8,0x26c00042,0xab94004f}},	//   _ayak, योगि, _poio_, _вихі, 
   {{0x28b1007e,0x660d0579,0x4ae402f1,0x02d200c2}},	//   जाहि, _byak, _кўча, _सतेन, 
   {{0x672d1ecb,0x7ae90228,0x95830b58,0x68e80547}},	//   _diaj, miet, бляе, bidd, 
   {{0x7ae97d02,0x6abb0352,0x660d7d03,0xa3c2121a}},	//   liet, ljuf, _dyak, ्नल_, 
   {{0x629d7d04,0x29057d05,0xb6a601bb,0x69c902a5}},	//   _baso, mola_, _бийл, lyee, 
   {{0x29057d06,0x7ae97d07,0x6abb4eae,0xd24400f0}},	//   lola_, niet, njuf, рмақ, 
   {{0x660d6f06,0x216752b9,0x3f8a614f,0x69db00e9}},	// [72e0] _gyak, лити_, _spbu_, nzue, 
   {{0x29057d08,0x7ae97d09,0xc87801f0,0x69c902a5}},	//   nola_, hiet, tiği_, iyee, 
   {{0x7ae97d0a,0x629d7d0b,0x2be300a2,0x6f1b0387}},	//   kiet, _faso, _केलं_, _bhuc, 
   {{0x629d0cd7,0xc878027e,0x7ae97d0c,0x66c601d5}},	//   _gaso, riği_, jiet, _tóku, 
   {{0x29057d0d,0x7ae97d0e,0x69c9006d,0x54a50535}},	//   kola_, diet, jyee, _صحیف, 
   {{0x629d7d0f,0x2f150219,0x628401d8,0x75360126}},	//   _zaso, råga_, lfio, _muyz, 
   {{0x29057d10,0x69c902a5,0x629d01eb,0x7ae97d11}},	//   dola_, eyee, _yaso, fiet, 
   {{0xa3bc05d2,0x5a340172,0x7ae94f75,0x62844061}},	//   _आपन_, шнит, giet, nfio, 
   {{0x29050122,0x8c46004e,0x6da3777b,0x62840156}},	//   fola_, _безе, _лита, ifio, 
   {{0x672d018e,0x660d02b8,0xdee401ff,0x00000000}},	//   _siaj, _ryak, _соғи, --, 
   {{0x7ae97d12,0xbec200e5,0x68e80298,0x660d55d4}},	//   biet, _çësh, ridd, _syak, 
   {{0x68e87d13,0x7ae92c86,0x69c97d14,0x00000000}},	//   sidd, ciet, byee, --, 
   {{0x672d3325,0x629d7d15,0x29057d16,0x62fc0033}},	//   _viaj, _raso, bola_, ্ষায়_, 
   {{0x29051321,0x660d7d17,0x629d7d18,0xa3c20110}},	//   cola_, _vyak, _saso, ्नं_, 
   {{0xa3df0d95,0x629d3236,0xb2ab1e6e,0xe4e40451}},	//   _देख_, _paso, нтаж_, сіян, 
   {{0x660d0118,0x00000000,0x00000000,0x00000000}},	//   _tyak, --, --, --, 
   {{0xdcfb03ef,0x20180640,0x660d3a80,0xf1bf0108}},	// [72f0] _upuć, _azri_, _uyak, _ngát_, 
   {{0x629d7d19,0x7ae901f1,0x25a906e4,0x95840035}},	//   _waso, ziet, _iral_, żący, 
   {{0x5f957d1a,0x629d7d1b,0x257f0216,0x7a2b027e}},	//   риет, _taso, lîl_, _kötü, 
   {{0xa28300d4,0x290501d6,0x25a9008f,0x69c97d1c}},	//   _دیرو, zola_, _kral_, yyee, 
   {{0x7ae97d1d,0xe80b000f,0x29057d1e,0x4e780fd0}},	//   viet, _सुना_, yola_, احمد_, 
   {{0x7ae900ab,0x4c8402c8,0x69c90201,0x29057d1f}},	//   wiet, йлів, vyee, xola_, 
   {{0x7ae97d20,0x273a00e5,0x29057d21,0x2fc7014e}},	//   tiet, _nën_, vola_, ängd_, 
   {{0x2bb60a09,0x64577d22,0x69db02ba,0x443300f4}},	//   _अपरा, _lexi, tzue, _lgx_, 
   {{0x29057d23,0xc8b50b34,0xdef87d24,0xeb9702f1}},	//   tola_, асны, _сыр_, тиқ_, 
   {{0x273a00e5,0x69db4692,0x64577d25,0xddc07d26}},	//   _bën_, rzue, _nexi, _hemş, 
   {{0x7ae97d27,0x25a90c3d,0x3f816fe1,0xf09200a7}},	//   piet, _aral_, nthu_, חני_, 
   {{0x29057d28,0x28d90790,0x3f8100f8,0xf6267d29}},	//   sola_, योजि, ithu_, идно, 
   {{0xb6a31b17,0x66f200e0,0x290550f2,0x64577d2a}},	//   циял, nāki, pola_, _bexi, 
   {{0xccf20137,0x20f42b69,0x290502f1,0x64a635c2}},	//   ַכן_, _आदेश_, qola_, шага, 
   {{0x425679a5,0x64577d2b,0x395f7d2c,0xd7630499}},	//   итат, _dexi, lsus_, _انبی, 
   {{0x7a2b0824,0xd7fa00a7,0x443301f2,0x257f010c}},	//   _götü, _בהצל, _egx_, bîl_, 
   {{0xe2977d2d,0x00e62f2f,0x23277d2e,0x628400f8}},	// [7300] шат_, ажан, роти_, rfio, 
   {{0xe0d77d2f,0xf1bf0496,0xe3e7006b,0x437600d3}},	//   аву_, _agás_, اکین_, _кумт, 
   {{0x645c7d30,0x395f7d31,0xdb010354,0x6e4624a1}},	//   mari, hsus_, _arlí, لنام, 
   {{0x645c7d32,0x395f7d33,0xe0df0237,0xf2a601d7}},	//   lari, ksus_, _bwòs_, _тимп, 
   {{0x3a3f6ea3,0xe2973836,0x409602a0,0x61e97d34}},	//   dcup_, _тая_, _крвт, _želv, 
   {{0x316015c3,0x7b667d35,0xfb660267,0x23ba0527}},	//   msiz_, атие, ањим, _उपाद, 
   {{0xee3a1acb,0x31604972,0x7e7b01d2,0x645c01d6}},	//   _анб_, lsiz_, _fcup, iari, 
   {{0x645c7d36,0x8f9b1490,0x22400a13,0x2fc71774}},	//   hari, _בילי, ncik_, änge_, 
   {{0x645c7d37,0xee0a04a2,0x3160095e,0x66f200e0}},	//   kari, _реал_, nsiz_, cāki, 
   {{0x645c7d38,0x28a63278,0x257f009e,0xdbdc014b}},	//   jari, _कोशि, vîl_, lším, 
   {{0x645724d3,0x645c7d39,0x22400348,0x103700a7}},	//   _rexi, dari, kcik_, יטים_, 
   {{0x25a9158b,0x28a61d5b,0x31607d3a,0xdbdc00da}},	//   _pral_, _कोरि, ksiz_, nším, 
   {{0xe5c40386,0xc6f811e7,0xceb30225,0x058700a3}},	//   осро, рнях_, קיש_, шунм, 
   {{0x645c7d3b,0x55070afc,0x316025e7,0x257f0216}},	//   gari, рчма, dsiz_, rîl_, 
   {{0xa3bc02f8,0x2ba90dcf,0xd82f00d9,0xd6db53c4}},	//   _आपण_, किया, _фэ_, _атп_, 
   {{0x66e403b7,0xdbdc014b,0x645c00b0,0x39460035}},	//   _моја, jším, aari, _ktos_, 
   {{0x645c7d3c,0x765d40c6,0xf48702f1,0x948700d9}},	// [7310] bari, masy, _кунн, _кынд, 
   {{0x44992241,0x765d7d3d,0xbebd0028,0x66f20243}},	//   _свою_, lasy, _liūt, vāki, 
   {{0x44275d25,0x92957d3e,0x32070035,0xd3a4002e}},	//   _àn_, _ланц, łny_, _дряп, 
   {{0x765d7d3f,0x61e90062,0x3f810156,0x25a6008b}},	//   nasy, _želu, rthu_, _šoli_, 
   {{0x8c45292b,0x6da57d40,0x395f132c,0xada50e65}},	//   беле, сила, xsus_, салл, 
   {{0x66f201dd,0x2a6600b9,0x7c877d41,0x395f00c2}},	//   rāki, _adob_, руде, vsus_, 
   {{0x765d7d42,0x39467d43,0x22597d44,0x8c940259}},	//   kasy, _atos_, _kesk_, ірші, 
   {{0x645c7d45,0x213901ee,0x395f007e,0x765d0065}},	//   zari, _kush_, tsus_, jasy, 
   {{0x645c7d46,0x3a3f7044,0xf99100eb,0x765d7d47}},	//   yari, rcup_, سبة_, dasy, 
   {{0x71d800a7,0x645c7d48,0x22594b69,0x21391e1b}},	//   יוחד_, xari, _lesk_, _mush_, 
   {{0x395f026d,0x645c7152,0x31607448,0x765d0175}},	//   ssus_, vari, zsiz_, fasy, 
   {{0x765d7d49,0xc4c900d1,0x316000a3,0x2b810035}},	//   gasy, _אג_, ysiz_, móc_, 
   {{0xa9691853,0x958313f2,0x2139020f,0x00000000}},	//   _сила_, пляе, _nush_, --, 
   {{0x2ed44437,0xdb08426d,0x31607d4a,0x984b0080}},	//   _दत्त, _ardè, vsiz_, _ряда_, 
   {{0x4adb007e,0x765d7d4b,0x6b830027,0xf7890106}},	//   _बताव, basy, ntng, _deçà_, 
   {{0x31607d4c,0x3d0900a2,0x22597d4d,0x213900df}},	//   tsiz_, ाकडे_, _cesk_, _bush_, 
   {{0xe80b01a4,0x3946012b,0x645c0986,0x644e02a3}},	// [7320] _सुता_, _xtos_, pari, pbbi, 
   {{0x645c00cf,0x31607d4e,0x15ee017d,0x21392e06}},	//   qari, rsiz_, _चेयर_, _dush_, 
   {{0x44440052,0xbbb60f8e,0x31604972,0xef86124e}},	//   _if_, _अपेक, ssiz_, слеп, 
   {{0xe8e00029,0x316034ec,0xad66007a,0x44447d4f}},	//   _thủy_, psiz_, ماته, _hf_, 
   {{0x2cea0df8,0x63f70499,0x21390027,0x31601d97}},	//   лько_, _نفیس_, _gush_, qsiz_, 
   {{0x765d0cd7,0x3ea0000d,0x659b0225,0x614369e7}},	//   zasy, žit_, טינק, _хера, 
   {{0x765d06df,0xdbdc014b,0x39467d50,0x444443af}},	//   yasy, pším, _stos_, _mf_, 
   {{0x656f02bf,0x3946001d,0x8c3c0241,0x00000000}},	//   yrch, _ptos_, _bağc, --, 
   {{0x44447d51,0x765d7d52,0x66f200e0,0x3d8b009c}},	//   _of_, vasy, nāku, _محلی_, 
   {{0xdd8f13b4,0x656f0254,0xe1ff001d,0x765d7d53}},	//   _سوم_, vrch, _odón_, wasy, 
   {{0x765d7d54,0xa3e81a4e,0x48a77d55,0xd7e6004e}},	//   tasy, _मेल_, стым_, сіпо, 
   {{0x44447d56,0xdb080183,0x7d0a7d57,0x4b3707e4}},	//   _af_, _ordé, lofs, _הראל_, 
   {{0x765d7d58,0x39460c36,0x629605d5,0xb6070278}},	//   rasy, _utos_, deyo, сянк, 
   {{0x98a30088,0x765d7d59,0x897b00a7,0x656f7d5a}},	//   _ниче, sasy, _ערוצ, rrch, 
   {{0x765d7d5b,0x6aa20149,0xa3d47d5c,0xdceb020f}},	//   pasy, _kaof, порч, lugă, 
   {{0x44447d5d,0x2ba902e6,0x6aa2023a,0x7d0a0380}},	//   _ef_, किता, _jaof, hofs, 
   {{0x6aa22f53,0x00000000,0x00000000,0x00000000}},	// [7330] _maof, --, --, --, 
   {{0x92e90033,0x88bc02d9,0x44447d5e,0x6aa20354}},	//   মকে_, změn, _gf_, _laof, 
   {{0x62967d5f,0x623502a0,0xdb08010e,0x00000000}},	//   beyo, _мену, _erdé, --, 
   {{0xe8b5059e,0x21397d60,0x6aa2007a,0xe0df0300}},	//   _अच्च, _tush_, _naof, _ewòp_, 
   {{0x7d6b4b5e,0xa69c0147,0x00000000,0x00000000}},	//   ушев_, טשאפ, --, --, 
   {{0xa3e80f63,0x1b492049,0x4f5b155f,0xdb09020b}},	//   _मेँ_, азки_, _مجرد_, ľníc, 
   {{0xdb09014b,0xfd100629,0x98a7107c,0x00000000}},	//   žníc, رجه_, _lină_, --, 
   {{0xa3bc0262,0xcf92042c,0x6d4b004f,0x66f201dd}},	//   _आपस_, _קטן_, ppga, nākt, 
   {{0x69d60c05,0x6aa20534,0x00000000,0x00000000}},	//   _üyel, _daof, --, --, 
   {{0xe6c50062,0x6d490194,0x2d9f016a,0x18691571}},	//   _češć, _itea, _isue_, јани_, 
   {{0xa3e879dd,0xb8d11eca,0x6d4400b3,0xdd0e04d6}},	//   _में_, _ऑफ_, ţiat, lışl, 
   {{0x60c70a23,0xd62a250f,0x44447910,0x6aa20354}},	//   _lojm, ионе_, _sf_, _gaof, 
   {{0xdd0e0540,0x89372c4e,0x62960231,0xd0fb0299}},	//   nışl, _اعصا, veyo, ्वाण_, 
   {{0xa34a00cf,0x394d7d61,0xf771009c,0x6aa20083}},	//   изга_, mpes_, _قاب_, _zaof, 
   {{0x629603a0,0x44445f93,0x03a35081,0xd3720038}},	//   teyo, _vf_, миро, ظهر_, 
   {{0x7d0a00d2,0x25b505b9,0x8c3c03c0,0xdd0e027e}},	//   zofs, ñaló_, _mağa, kışl, 
   {{0x02ca0c59,0xe0df06df,0x4444501c,0x62960118}},	// [7340] _रवीन, _pwòp_, _tf_, reyo, 
   {{0x78a37d62,0x26c202f5,0x0ef427c6,0x394d7d63}},	//   _janv, ljko_, ेक्स_, ipes_, 
   {{0xee3a7d64,0x60c77d65,0x66f2002a,0x6d497d66}},	//   ане_, _dojm, sāku, _atea, 
   {{0x2fc7014e,0x78a37d67,0x25a00118,0xe2973906}},	//   änga_, _lanv, _ksil_, _даю_, 
   {{0x226500bc,0xdd0e09c7,0x7e6951cc,0x6aa20379}},	//   řský_, gışl, _ddep, _raof, 
   {{0x6d4900eb,0xdb6a0cf8,0xafe6004f,0xbebd0175}},	//   _dtea, арил_, _догл, _chūb, 
   {{0xdfd20084,0x66f20243,0xb4db03dd,0x6d490354}},	//   _غير_, nāks, mpàt, _etea, 
   {{0x78a31e97,0x2498012e,0x2d9f008a,0xff0700b3}},	//   _aanv, herm_, _fsue_, _деск_, 
   {{0x78a37d68,0xfe45010e,0xdb24010e,0x24980ff2}},	//   _banv, _رکنی, _ہوئی, kerm_, 
   {{0x236502ee,0x320f0019,0xd90d00d4,0x2498004f}},	//   šlji_, ügyi_, هین_, jerm_, 
   {{0x4a460ba4,0x2a660141,0x25a07d69,0xd7fa0161}},	//   _днев, _дълг, _asil_, руп_, 
   {{0x3ea67d6a,0xd6d90083,0x00000000,0x00000000}},	//   ndot_, ół_, --, --, 
   {{0x2d860876,0xdb010038,0xda1e252e,0x3ea67d6b}},	//   ntoe_, _urlá, _परित_, idot_, 
   {{0x3ea600c8,0x98a700b3,0x8c3c0585,0x98ae0237}},	//   hdot_, _vină_, _yağa, _kifč_, 
   {{0xd25b537d,0x92c76794,0x25a009c7,0x00000000}},	//   ица_, ощад, _esil_, --, 
   {{0x290c7d6c,0xdd0e06a2,0xda1e0c46,0xdce2090e}},	//   loda_, yışl, _परात_, broć, 
   {{0x78a30460,0x60c70e25,0xdd0e00ad,0x39490034}},	// [7350] _yanv, _pojm, xışl, _çast_, 
   {{0xd2500019,0x66f20243,0x3ea67d6d,0x00000000}},	//   ٹنے_, sākt, edot_, --, 
   {{0x6d497d6e,0xa6c8010e,0xc49a00d1,0x00000000}},	//   _stea, _طویل_, _השתת, --, 
   {{0x59ca0790,0x539a02a1,0x26c9019c,0x394d3ebc}},	//   िहार, _פירו, _joao_, ypes_, 
   {{0xdd9b004f,0x290c0d53,0x8c3c06a2,0x64a1008a}},	//   рше_, koda_, _sağa, _eġiż, 
   {{0xdd0e0095,0xa1580cfe,0xece8017b,0x00000000}},	//   rışl, _фару_, оділ_, --, 
   {{0x60080b58,0x290c7d6f,0x545800a7,0x78a3315c}},	//   _днём_, doda_, חסון_, _ranv, 
   {{0x78a37d70,0x6d490065,0x93fc00a7,0x00000000}},	//   _sanv, _ttea, ילוי, --, 
   {{0x394d026a,0x7bd8053d,0x78a33204,0x7afe0183}},	//   upes_, _čauš, _panv, épta, 
   {{0x394d7d71,0xa9220f82,0xdea30019,0xedb4070f}},	//   rpes_, ндыл, _ریڈی, _تحفظ, 
   {{0x9f450088,0x78a30453,0xaa95004f,0x628f5c50}},	//   _älä_, _vanv, _нижч, _obco, 
   {{0x394d7d33,0x2ca536b1,0x66da00fd,0x78a37d72}},	//   ppes_, _hald_, сьор_, _wanv, 
   {{0x249836cb,0xe0df05d5,0x2ca514a4,0x7afb7d73}},	//   term_, _atòm_, _kald_, mnut, 
   {{0x7afb7d74,0x290c41ec,0x00000000,0x00000000}},	//   lnut, coda_, --, --, 
   {{0xf65f0566,0x00000000,0x00000000,0x00000000}},	//   rkær_, --, --, --, 
   {{0xb146094a,0x7afb7d75,0x27f80032,0x3636009c}},	//   знал, nnut, úrne_, _عربس, 
   {{0x3ea4055f,0x25a07d76,0x867b00d1,0xdb0102ae}},	// [7360] _ramt_, _usil_, _הרפו, _irlä, 
   {{0x3ea432b9,0x7afb7d77,0xa0a35418,0x741a0033}},	//   _samt_, hnut, науд, _দলীয়_, 
   {{0x7afb21a2,0x645e00e0,0x443a7d78,0x3ea6023e}},	//   knut, _iepi, _igp_, tdot_, 
   {{0x290c7d79,0x59db00b0,0x645e027e,0x52766564}},	//   zoda_, यनार, _hepi, _عاجز, 
   {{0x7afb0076,0x3ea67d7a,0x1ea900eb,0x290c00a3}},	//   dnut, rdot_, تالي_, yoda_, 
   {{0x645e7d7b,0x2d860b1f,0xeaf60239,0x2ca500b3}},	//   _jepi, rtoe_, ुक्त_, _cald_, 
   {{0x290c00f1,0x61e401ff,0x2d860326,0xbc670038}},	//   voda_, lzil, stoe_, سمين_, 
   {{0x645e7d7c,0x7afb02f5,0x290c7d7d,0x00000000}},	//   _lepi, gnut, woda_, --, 
   {{0x61e40635,0x2ca501cc,0xfe20007e,0x7e620532}},	//   nzil, _fald_, _बरिस_, maop, 
   {{0x81ae100b,0x645e7d7e,0xf98f00b1,0x67240126}},	//   _কথা_, _nepi, ابي_, _ahij, 
   {{0x7c3a012b,0x7afb1102,0xda6f0b81,0xd7f70080}},	//   _igtr, bnut, _пя_, зуя_, 
   {{0xd6db0d5c,0x290c7d7f,0x7e620053,0x6724044d}},	//   сто_, soda_, naop, _chij, 
   {{0x290c7d80,0x690f02c9,0x00000000,0x00000000}},	//   poda_, røer, --, --, 
   {{0x61e47d81,0x293700c7,0x248d0704,0x645e7d82}},	//   dzil, _זאגן_, đemo_, _cepi, 
   {{0x645e7d83,0x7e62584c,0x00000000,0x00000000}},	//   _depi, kaop, --, --, 
   {{0x38170a33,0x443a5652,0x645e7d84,0xba3d02d9}},	//   _מקום_, _egp_, _eepi, jdůl, 
   {{0xa2ce02e6,0x3ced00ab,0x69c0012b,0xf1941d02}},	// [7370] _सवर्, _अगले_, nxme, нить, 
   {{0x645e4d5c,0x7c3a0102,0x443a018e,0x2eff01f2}},	//   _gepi, _ngtr, _ggp_, _sjuf_, 
   {{0xdb08001d,0x7afb7cb2,0xc6090033,0xf5b40c30}},	//   _ardí, ynut, রেখা_, _قصید, 
   {{0xf4030086,0x7e620068,0x2d0500c9,0x645e05d5}},	//   _এরপর_, gaop, शक्ल_, _zepi, 
   {{0xdca56879,0x64d100a2,0x69c60080,0x00000000}},	//   дали, _सकाळ, äkel, --, 
   {{0x71d6027a,0x777a01cf,0x00000000,0x00000000}},	//   _חושד_, kutx, --, --, 
   {{0x7afb7d85,0x7869010e,0x2ca5240b,0x7f941bce}},	//   tnut, _jövő, _vald_, _парх, 
   {{0xe9d940f3,0x6122026a,0x2ca57d86,0xfe6e009c}},	//   жки_, rôle, _wald_, _نگه_, 
   {{0xc8c807d5,0x6e3b0008,0x672401d2,0x2d580080}},	//   ाउंट, _igub, _rhij, _нить_, 
   {{0x67247d87,0x6f1902bf,0x00000000,0x00000000}},	//   _shij, llwc, --, --, 
   {{0x645e7d88,0x7afb0076,0x61e47d89,0x6e3b0415}},	//   _repi, pnut, zzil, _kgub, 
   {{0x645e7d8a,0x443a7d8b,0xeb900038,0x66160080}},	//   _sepi, _sgp_, _حظك_, _pyyk, 
   {{0x18693065,0x00000000,0x00000000,0x00000000}},	//   _дали_, --, --, --, 
   {{0x6aa953cc,0x79890326,0x2a7f7d8c,0x777a00f6}},	//   ldef, mtew, lgub_, butx, 
   {{0xa3e80081,0xdc4500e4,0x67247d8d,0x28a62488}},	//   _मेख_, jūči, _thij, _कोटि, 
   {{0x6aa90489,0x66047d8e,0x6e3b7d8f,0x2a7f7d90}},	//   ndef, _txik, _ngub, ngub_, 
   {{0x8c3c38fa,0x79897d91,0x00ca5d22,0x00000000}},	// [7380] _bağl, ntew, олак_, --, 
   {{0x2f1c0183,0x7e621a9c,0x7989040b,0x00000000}},	//   tígo_, waop, itew, --, 
   {{0x8c3c04be,0x4ea61428,0x032603dd,0x130a134f}},	//   _dağl, дрла, _одон, _мной_, 
   {{0xf42a0088,0x61e40106,0x7989123b,0xfd6403a1}},	//   _enää_, pzil, ktew, ендү, 
   {{0xdd901fdb,0x6aa97d92,0xfce675a9,0xd8380121}},	//   اوت_, ddef, модо, leče_, 
   {{0x6e3b01ca,0x7e6202be,0x00000000,0x00000000}},	//   _egub, saop, --, --, 
   {{0xf767086b,0x7e620102,0x8f75004f,0xbb470195}},	//   _جا_, paop, _путі, ولون_, 
   {{0xf96a00c8,0xff240eb7,0x6aa9017b,0x00000000}},	//   орой_, _سبزی, gdef, --, 
   {{0x8c3c008f,0x20180034,0x79890326,0x00000000}},	//   _yağl, _hyri_, gtew, --, 
   {{0x6e3b7d93,0x41bb00c7,0x6d4000a1,0xa3c300bd}},	//   _zgub, קציע, _iuma, ्हम_, 
   {{0xd8387d94,0xe0df0118,0x66f529db,0x00000000}},	//   ječe_, _stòk_, епну, --, 
   {{0x6d407d95,0x7e601ecb,0xb8d500c2,0x6aa93817}},	//   _kuma, _jemp, _चो_, cdef, 
   {{0x7e601336,0x94190095,0x94ab060a,0xc9a77d96}},	//   _memp, əyən_, отва_, _овце_, 
   {{0x7e607d97,0x6d407464,0x777a2022,0x46af0299}},	//   _lemp, _muma, putx, _जोरह, 
   {{0x3d1605fd,0x6d407d98,0xe53400c8,0xa29500e4}},	//   _पीछे_, _luma, терь, наві, 
   {{0x8c3c22df,0x7e6061e2,0x6d407d99,0x9294012d}},	//   _sağl, _nemp, _ouma, касц, 
   {{0x6d407d9a,0x26d900e4,0x628d7d9b,0x2018505b}},	// [7390] _numa, ūros_, rfao, _ayri_, 
   {{0x657d7d9c,0x7e6028fe,0xf0fb2a97,0x60c5023b}},	//   mush, _aemp, ्वेद_, ujhm, 
   {{0x7e60016a,0x657d7d9d,0x20180090,0xd8380144}},	//   _bemp, lush, _cyri_, beče_, 
   {{0x7e607d9e,0x6d407d9f,0xa3e80a34,0x63a500a3}},	//   _cemp, _buma, _मेट_, _ishn, 
   {{0x6d407da0,0x5067041d,0x657d7da1,0xbdf80629}},	//   _cuma, _отва, nush, ورها_, 
   {{0x201804f4,0x6d407da2,0x290300ca,0x00000000}},	//   _fyri_, _duma, čjak_, --, 
   {{0x657d7da3,0xeb910a24,0xd6e00035,0x6d407da4}},	//   hush, اظت_, ółki_, _euma, 
   {{0x6d400194,0x657d7da5,0x32190088,0x63a8055f}},	//   _fuma, kush, _kysy_, ædni, 
   {{0x6d407da6,0x6aa91096,0x7d040354,0xa3c30c46}},	//   _guma, rdef, éisc, ्हड_, 
   {{0x47c50088,0x657d7da7,0x8c3c008f,0x090200f0}},	//   ебов, dush, _yağm, лпын, 
   {{0x6d40165c,0x79897da8,0x7e602ee8,0x2249002c}},	//   _zuma, stew, _yemp, kcak_, 
   {{0x6d407da9,0x657d7daa,0x224900ef,0x25b202ae}},	//   _yuma, fush, jcak_, _pryl_, 
   {{0x6d407dab,0x58d5452e,0x657d7dac,0xd8387dad}},	//   _xuma, _подт, gush, veče_, 
   {{0xf2df0054,0x18a22ee5,0x26d90034,0x98a259cc}},	//   _alâ_, _башм, ëror_, _бише, 
   {{0xd8384ae9,0x232a0a2b,0x141a0038,0xb40400d3}},	//   teče_, зови_, سيرة_, түнд, 
   {{0x657d7dae,0x8c3c01f0,0x97d80038,0x00000000}},	//   bush, _rağm, _تظهر_, --, 
   {{0x7e607daf,0xd3357db0,0xd83821d9,0x20180034}},	// [73a0] _remp, тэры, reče_, _syri_, 
   {{0x7e607db1,0x6d405d08,0xd8380412,0x53a62675}},	//   _semp, _ruma, seče_, _заоб, 
   {{0x7e607db2,0x00000000,0x00000000,0x00000000}},	//   _pemp, --, --, --, 
   {{0x040b00f7,0x6d407db3,0x8c150086,0x9daa00fd}},	//   _lượn, _puma, াধান_, зъка_, 
   {{0x6d4029cc,0x13d50033,0x00000000,0x00000000}},	//   _quma, _হইয়, --, --, 
   {{0x5ba63a8d,0x66df024a,0xf1bf0108,0x0ba61d7d}},	//   ериз, _mëka, _ngáy_, ешим, 
   {{0x9103386d,0x6adb00ab,0xdb080038,0x1e960009}},	//   _спре, बसूर, _ardá, _прар, 
   {{0x6d407db4,0xada62961,0x657d02b8,0xa3c1009a}},	//   _tuma, _пабл, yush, ंमत_, 
   {{0x6d407db5,0xdee302f1,0x5886013e,0x657d7db6}},	//   _uuma, _соти, нына, xush, 
   {{0x657d7db7,0x49730009,0x60ce76dc,0x00000000}},	//   vush, ыльс, _jobm, --, 
   {{0x273a0009,0x60ce012b,0x5cf5004f,0x040b0108}},	//   _būna_, _mobm, _ряту, _dượn, 
   {{0x09e60316,0x657d7db8,0xa76400d3,0x00000000}},	//   _поен, tush, нкүд, --, 
   {{0xe97300c5,0x1af700c7,0x99d30198,0x95d80995}},	//   _مهند, _אמאל_, _متوا, едят_, 
   {{0x657d7db9,0x2edd0cb8,0x80c402e6,0x62867dba}},	//   rush, _मत्त, राफे, _acko, 
   {{0x25bf002e,0xad1b00a7,0x43947dbb,0xf485010e}},	//   ţul_, פולר, ларс, _یادی, 
   {{0x41e73e23,0x228400d3,0x657d7dbc,0x32190080}},	//   ніза, лууг, push, _pysy_, 
   {{0x224908a1,0xa5c2004e,0x41e71003,0x764d4f85}},	// [73b0] rcak_, _көре, хіва, _ifay, 
   {{0xd5640141,0x656d7dbd,0x100716a0,0x710b017b}},	//   _стъп, _ivah, няем, їхав_, 
   {{0xc1040038,0x6da500b3,0x00000000,0x00000000}},	//   دولي, ӂила, --, --, 
   {{0x51877dbe,0xb184253f,0x61220151,0xd35600d1}},	//   _пуга, šťas, rôla, _שירי_, 
   {{0x6da57dbf,0xada54ca1,0x00000000,0x00000000}},	//   тила, талл, --, --, 
   {{0xd37802f5,0xeb997dc0,0x3ea97dc1,0x656d007c}},	//   šće_, дик_, žat_, _mvah, 
   {{0xa3c3007e,0x764d011c,0xe81008dd,0x00000000}},	//   ्हि_, _ofay, _ठुला_, --, 
   {{0x9f347dc2,0x656d040b,0x60ce0144,0x00000000}},	//   _бесі, _ovah, _zobm, --, 
   {{0xceb21900,0xf40000b3,0x2f1502ae,0x09e50c1b}},	//   _דין_, ăţii_, sågs_, топн, 
   {{0xa3c3215e,0xe8f60b24,0xadf47dc3,0x5d35149e}},	//   ्हा_, клы_, _спуш, _شفائ, 
   {{0x66e603dc,0x656d0218,0xe80b0466,0x040b0023}},	//   вона, _avah, _सुखा_, _vượn, 
   {{0x613400ad,0x66d70216,0x9c7c00da,0x00000000}},	//   rülə, _rûkê, _vlče, --, 
   {{0x040b0029,0x279400f0,0x66d7009e,0xe9ce7dc4}},	//   _tượn, _ұшыр, _sûkê, _тк_, 
   {{0xe9d87c50,0x6aab3096,0x64a60267,0x3afa0243}},	//   _які_, _hagf, њава, rūpe_, 
   {{0x398b03a9,0x574900a3,0xe3634708,0x638600fd}},	//   løs_, _ўзим_, икри, ъгва, 
   {{0x06f600c5,0x03a601a2,0x9f9d02be,0x00000000}},	//   _جستج, ниҳо, nçõe_, --, 
   {{0x26190c14,0xa5267dc5,0xd8380097,0x00000000}},	// [73c0] _युपी_, _имид, meča_, --, 
   {{0x9ffa0189,0x6aab2580,0x69c60080,0x62330267}},	//   وراء_, _lagf, äkei, ређу, 
   {{0xd09513c3,0xdd1c0228,0xaa1e031e,0x80c40249}},	//   ышты, _nášh, _पर्छ_, राबे, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x5de600fd,0xdd940259,0xdcfb00c3,0x00000000}},	//   ъжда, уалы, _ssuġ, --, 
   {{0x2b5e0640,0x62840036,0x8d13017b,0xe7f602d9}},	//   _pwtc_, lgio, адії, ुपमा_, 
   {{0xcead1dbc,0x8bc300fd,0x6aab0566,0x3a200604}},	//   _лә_, исъд, _bagf, _šip_, 
   {{0x78aa7dc6,0x2b55009c,0xd8387dc7,0x00000000}},	//   _safv, ایند_, ječa_, --, 
   {{0x6da30002,0xbd8a00c5,0x6f027dc8,0x6aab7dc9}},	//   _кита, _زنان_, mnoc, _dagf, 
   {{0x2ee6119e,0x6f027dca,0xd7fa7dcb,0x8afc18aa}},	//   lhof_, lnoc, дум_, _swęd, 
   {{0x47353346,0x6aab041f,0x656d7dcc,0x88bc00bc}},	//   лнос, _fagf, _svah, dmět, 
   {{0x2cac4785,0x6f0201c4,0x2ee63440,0x9c7c0237}},	//   _hadd_, nnoc, nhof_, _flčc, 
   {{0xe8943128,0xd90e006b,0x6f021c62,0x6aa0095a}},	//   _баль, _ویب_, inoc, memf, 
   {{0x7ae27dcd,0x798057ff,0x00000000,0x00000000}},	//   _hlot, mumw, --, --, 
   {{0x37a708a5,0x629f0095,0x24181193,0xd8380604}},	//   _атын_, teqo, воры_, beča_, 
   {{0x6284048a,0x291e7dce,0xf83700d1,0x69d6027e}},	//   ggio, llta_, _בנות_, _üyes, 
   {{0x6f0269ca,0x53340d18,0x291e7dcf,0xc1050038}},	// [73d0] dnoc, ретт, olta_, هوري, 
   {{0x273b012d,0x7ae27dd0,0x62840036,0x25a900bd}},	//   _kūno_, _llot, agio, _isal_, 
   {{0x291e00c8,0xa3d502a0,0x7980044d,0xd01b2024}},	//   ilta_, _сонч, humw, ффа_, 
   {{0x8f140769,0x79807dd1,0x612b00b0,0x00000000}},	//   афіч, kumw, külg, --, 
   {{0x6d460574,0x00000000,0x00000000,0x00000000}},	//   _ékal, --, --, --, 
   {{0xa2db031e,0x6aab7dd2,0x6f020036,0x2cac03c6}},	//   नसक्, _sagf, anoc, _cadd_, 
   {{0xeb997dd3,0x7ae27dd4,0x7c847dd5,0x00000000}},	//   хий_, _blot, руче, --, 
   {{0xdd1c0187,0x6f021f2d,0x7ae27dd6,0x291e0080}},	//   _vášh, cnoc, _clot, elta_, 
   {{0x61fb0455,0xa91d00bc,0x3f810548,0xd8380352}},	//   _žulj, huže, luhu_, veča_, 
   {{0xdce90121,0xbc56020b,0x398b00fb,0x2cac076b}},	//   _kveč, čšíc, røs_, _gadd_, 
   {{0x7ae27dd7,0x3f816033,0xa91d015e,0x3ebf7dd8}},	//   _flot, nuhu_, juže, _knut_, 
   {{0xa91d00f1,0x291e7dd9,0xa6830445,0xeab00038}},	//   duže, alta_, блюд, _وعن_, 
   {{0x3f817dda,0xd83807cd,0x26c5004e,0x6d4f02be}},	//   huhu_, reča_, рғын_, _écad, 
   {{0xd8380352,0xdce93184,0x3b1f00ad,0x612b7ddb}},	//   seča_, _oveč, lluq_, nüld, 
   {{0xe29a05ef,0x7d037ddc,0x78a17ddd,0x1e20031e}},	//   нав_, inns, melv, _बर्ष_, 
   {{0x3f817dde,0xe2830508,0x2b450144,0x3b1f0248}},	//   duhu_, йлси, _mulc_, nluq_, 
   {{0xb2261249,0x612b0019,0x2d8d006d,0x42260bd9}},	// [73e0] умал, küld, _nqee_, удав, 
   {{0x26d20369,0x63b70126,0x3ebf7ddf,0xa91d0352}},	//   _hoyo_, _frxn, _anut_, lužb, 
   {{0x645c7de0,0x26d200d4,0x3ead0175,0x6f020ab4}},	//   mbri, _koyo_, _baet_, tnoc, 
   {{0xa3c31ff6,0x645c7de1,0x26d2674e,0x79800199}},	//   ्हर_, lbri, _joyo_, yumw, 
   {{0x26d20e50,0x80c4156c,0xf53f6f67,0x2ee67de2}},	//   _moyo_, रादे, lvår_, rhof_, 
   {{0x50434d6b,0x3f817de3,0x2ee67de4,0x7bd80009}},	//   _герб, buhu_, shof_, tyvu, 
   {{0x2d8f03a1,0x645c0038,0x7ae27de5,0xafe611f4}},	//   atge_, ibri, _plot, _совл, 
   {{0x79802904,0x5fbb00a7,0x39740013,0xdee31416}},	//   tumw, _אצלנ, алиё, _лоси, 
   {{0xdce9133e,0xa91d4179,0x7ae27de6,0x645c1a77}},	//   _zveč, dužb, _vlot, kbri, 
   {{0x26c000a9,0x78a12755,0x79802a0a,0x29180379}},	//   _anio_, gelv, rumw, ôra_, 
   {{0x645c53bb,0x26d27de7,0x7ae20149,0x06ae0033}},	//   dbri, _boyo_, _tlot, গানি, 
   {{0x7ae27de8,0x7c2502f2,0xc9867de9,0xe5b51bb9}},	//   _ulot, ühre, _буки, аймы, 
   {{0x612b7dea,0x78a17deb,0x26d201e5,0xd7c7009c}},	//   lüle, belv, _doyo_, نویه_, 
   {{0xa3c30081,0xa91d14f0,0x26c07dec,0x645c1a77}},	//   ्हल_, tuže, _enio_, gbri, 
   {{0x612b0241,0x24190b24,0x00000000,0x00000000}},	//   nüle, товы_, --, --, 
   {{0x32553505,0xddc0031e,0x26d2147e,0xc255017b}},	//   рвар, _nemů, _goyo_, ркащ, 
   {{0x645c59f3,0xdce97549,0x3946012d,0x50f57ded}},	// [73f0] bbri, _sveč, _juos_, азат, 
   {{0xd3780519,0x3f813f82,0x656f17a9,0x0f0d3cae}},	//   šća_, tuhu_, msch, िक्स_, 
   {{0x92957dee,0x656f0c37,0x672d7b90,0x332000b9}},	//   _канц, lsch, _khaj, blix_, 
   {{0x7d1a6ce8,0x3f817def,0xde9502a6,0x628a010e}},	//   _akts, ruhu_, радњ, őfor, 
   {{0x656f7df0,0x7c2840f9,0x9e6400dd,0x0e647cf8}},	//   nsch, _azdr, свід, скін, 
   {{0x88bc031e,0x656f7df1,0x61ed7df2,0x2a690604}},	//   změr, isch, mzal, _žab_, 
   {{0xdce92ed1,0x656f01c4,0x25fc00a5,0xa2dc0d53}},	//   _uveč, hsch, _लेनी_, _नवम्, 
   {{0x645c0588,0x656f7df3,0x61ed025b,0x9c7c00de}},	//   zbri, ksch, ozal, _vlča, 
   {{0x9c877df4,0x656f01c8,0x6f1b044d,0xa3e500b0}},	//   _مشاه, jsch, _ikuc, बैत_, 
   {{0x656f7df5,0xf77100eb,0x7e6b7df6,0x644100ef}},	//   dsch, ياج_, lagp, žlij, 
   {{0xa91d14f0,0x672d15ad,0x26d200e2,0x6d59012b}},	//   tužb, _bhaj, _poyo_, lpwa, 
   {{0x672d7df7,0x645c7df8,0x7e6b134a,0x656f2df2}},	//   _chaj, wbri, nagp, fsch, 
   {{0x6b837df9,0x7ae97dfa,0x61ed00ef,0x958300c8}},	//   lung, mhet, jzal, оляе, 
   {{0x7ae97dfb,0x61ed7dfc,0x7afb0009,0x69c9006d}},	//   lhet, dzal, liut, mxee, 
   {{0x6b837dfd,0x660d0003,0x7f47023b,0x6f1b7dfe}},	//   nung, _exak, _nujq, _okuc, 
   {{0x7ae97dff,0x645c051e,0x656f01c4,0x672d5a4e}},	//   nhet, sbri, bsch, _ghaj, 
  
   {{0x6b837e00,0x5fab0035,0x656f0237,0xe5a63ec3}},	// [7400] hung, _टैबल, csch, _типи, 
   {{0x6b837e01,0x7f47024a,0x1fb62102,0x6f1b0204}},	//   kung, _bujq, исер, _akuc, 
   {{0x44447e02,0x6b8300e4,0x7ae97e03,0x4fa66528}},	//   _ig_, jung, khet, риев, 
   {{0x6b837e04,0x65640199,0x61ed0727,0x20050144}},	//   dung, _kwih, bzal, _žlic_, 
   {{0x6f0902b1,0x7ae97e05,0x69c9023b,0x61ed0035}},	//   _djec, dhet, jxee, czal, 
   {{0x6b830902,0x6f097e06,0x6e2900ef,0x249a0065}},	//   fung, _ejec, _dzeb, _jbpm_, 
   {{0x6b837e07,0x44447e08,0x39460118,0x7afb0093}},	//   gung, _mg_, _suos_, fiut, 
   {{0x7ae90dcd,0x612b7e09,0x7c2802ee,0x76447e0a}},	//   ghet, rüle, _vzdr, _ngiy, 
   {{0x444464ed,0xe1ff1056,0x38670096,0x612b5c3c}},	//   _og_, _león_, _benr_, süle, 
   {{0x44447e0b,0x6b837e0c,0x8c4358e2,0x612b027e}},	//   _ng_, bung, _дефе, püle, 
   {{0x7d18014b,0x7ae90102,0x61ed7e0d,0x6b837e0e}},	//   movs, bhet, zzal, cung, 
   {{0x44447e0f,0x656f7e10,0x7ae97e11,0xd6db13bd}},	//   _ag_, tsch, chet, тто_, 
   {{0x44447e12,0xd9540e70,0xca97042c,0x656f01c4}},	//   _bg_, _انتخ, _כדאי_, usch, 
   {{0x656f7e13,0x44447e14,0xdb0d0088,0x3990022c}},	//   rsch, _cg_, äköi, màs_, 
   {{0x656f4d46,0x44447e15,0x3267041d,0x3cee007e}},	//   ssch, _dg_, итав, _अतने_, 
   {{0xd2583261,0x44441e99,0x083b0056,0xf2c47e16}},	//   ицу_, _eg_, _בעול, осун, 
   {{0x6b832721,0x90997e17,0xa91d7e18,0x6f0902c7}},	// [7410] zung, лват_, luža, _rjec, 
   {{0x6f090f30,0x7ae90019,0x6b837e19,0x386c00ef}},	//   _sjec, zhet, yung, nadr_, 
   {{0x2ba60598,0x4ea701ff,0x7e6b0c3d,0x5f957e1a}},	//   _कैला, ирда, tagp, сиет, 
   {{0x44447e1b,0x7ae9024a,0x6b837e1c,0xdb010032}},	//   _zg_, xhet, vung, _oslá, 
   {{0x44441336,0x6b837e1d,0x6f097e1e,0x4421543d}},	//   _yg_, wung, _vjec, _hyh_, 
   {{0x2fc70219,0x7d185e56,0x69c9006d,0x44217e1f}},	//   ängs_, govs, vxee, _kyh_, 
   {{0x7e6b0dc9,0x6f090219,0x6b837e20,0xeeab0080}},	//   pagp, _tjec, uung, _итак_, 
   {{0x9f0504bc,0xa91d0571,0x69c901f1,0x291c7e21}},	//   _اورو, duža, txee, _akva_, 
   {{0x6b837e22,0x60d51e34,0x7ae97e23,0x7afb7e24}},	//   sung, _kozm, rhet, riut, 
   {{0x6b837e25,0x644500f7,0x7ae90364,0x1c1b1dce}},	//   pung, _nghi, shet, _पुथल_, 
   {{0x7ae90364,0x69c60a52,0x6d410c36,0x366a0d47}},	//   phet, äker, _iila, лано_, 
   {{0xe5a663f9,0x7ae90226,0x64457e26,0x399000f6}},	//   бими, qhet, _aghi, bàs_, 
   {{0x249a0065,0x64450082,0x3990022c,0x7e697e27}},	//   _pbpm_, _bghi, càs_, _meep, 
   {{0x6d417e28,0x3a3600a7,0xe1ff1f6b,0xdff90035}},	//   _jila, _פרסם_, _peón_, ्पाद_, 
   {{0x6d417e29,0xd3b50088,0x67552e10,0x44447e2a}},	//   _mila, ость, _اختر, _vg_, 
   {{0x6d417e2b,0xdb1a010c,0x44447e2c,0x6b9c45b0}},	//   _lila, _artê, _wg_, _ärge, 
   {{0x44447e2d,0xa3a80a44,0x6d4102f1,0xf1aa00d4}},	// [7420] _tg_, _खैर_, _oila, دازه_, 
   {{0x44447e2e,0x6d417e2f,0x25a0011c,0x60d50661}},	//   _ug_, _nila, _ipil_, _cozm, 
   {{0x7e6907cd,0x7d180372,0x25fc7e30,0x8236015f}},	//   _beep, vovs, _लेती_, _گردا, 
   {{0x6d417e31,0x2bbd1e7b,0xddc0020f,0x00000000}},	//   _aila, ्मना, _nemţ, --, 
   {{0x6d417e32,0x7e697e33,0x7ce6008c,0xccf80f5a}},	//   _bila, _deep, _aðra, ақа_, 
   {{0x6d417e34,0xdcb10023,0xb5fb02d9,0x399003dd}},	//   _cila, _cả_, lbác, vàs_, 
   {{0x6d4103f6,0x7d187e35,0xcec300bc,0x00000000}},	//   _dila, rovs, áří_, --, 
   {{0x7d181b90,0xa3b905f6,0x6d417e36,0x399003a1}},	//   sovs, चित_, _eila, tàs_, 
   {{0x6d417e37,0x7c964228,0x7d181a44,0x60d526b6}},	//   _fila, _грец, povs, _yozm, 
   {{0x6d417e38,0x399000d3,0x77984bf2,0x19a70093}},	//   _gila, ràs_, акор_, стъп_, 
   {{0xf98f086b,0x613000a8,0x25a002dc,0x2d860026}},	//   وبی_, mäld, _apil_, luoe_, 
   {{0xa91d04d1,0x6d417e39,0xa25b0165,0x3990022c}},	//   ruža, _zila, _anôn, pàs_, 
   {{0x6f031c62,0x44210640,0x2fc700e7,0xaac50598}},	//   énci, _syh_, ̣ng_, वारक, 
   {{0x442700f7,0x64481799,0x6d41354a,0x38c8015f}},	//   _ơn_, ždin, _xila, _خاصی_, 
   {{0x2bbd08a9,0x60d51175,0xd82f00d9,0x56952dc4}},	//   ्मया, _rozm, _хэ_, _дайт, 
   {{0x925900ce,0xe2f800f0,0x00000000,0x00000000}},	//   раат_, бесі_, --, --, 
   {{0x60f9012d,0x3ea67e3a,0x60d57e3b,0x7e691a0d}},	// [7430] аная_, deot_, _pozm, _reep, 
   {{0x7e697e3c,0x709408ba,0x00000000,0x00000000}},	//   _seep, зафф, --, --, 
   {{0x44277e3d,0x6d417e3e,0x2fc700e7,0x50647e3f}},	//   _án_, _rila, ãng_, ятта, 
   {{0x6d417e40,0x3f9301d6,0x52a7007a,0x00000000}},	//   _sila, rtxu_, _اصدق, --, 
   {{0xa91d0112,0x6f1900ab,0x51840aca,0x80b80033}},	//   dužn, rowc, _нура, _আকর্, 
   {{0x6d4100cf,0x8c9500f0,0xdb791271,0x00000000}},	//   _qila, ірлі, асиш_, --, 
   {{0x6d417e41,0xaac50586,0x7e697e42,0x04dc027a}},	//   _vila, वालक, _teep, רקול, 
   {{0x6d417e43,0xa2cc00a2,0x7883010e,0x38600304}},	//   _wila, हाय्, kívü, _đira_, 
   {{0x6d417e44,0xed5914f0,0x44240023,0x6c750267}},	//   _tila, _brže_, ́m_, _млађ, 
   {{0xe8f93427,0xa92200f0,0x612201a7,0xc79500b3}},	//   рло_, мдыл, tôli, ормы, 
   {{0xa6ca0925,0x25a010ff,0x2ca77e45,0xed590062}},	//   ална_, _spil_, mend_, _drže_, 
   {{0xa91d7e46,0x2ca77e47,0x61307e48,0xc4c90486}},	//   drže, lend_, mäle, _בג_, 
   {{0x94040095,0x9f510216,0xb5fb00da,0x00000000}},	//   əmə_, îbên_, vbác, --, 
   {{0x628f0e95,0xdb1a057d,0x2ca70a61,0xa3ea1427}},	//   _acco, _artè, nend_, адга_, 
   {{0x2ca70a60,0x443e00c8,0x3ce100b0,0x7d040038}},	//   iend_, ät_, _कवने_, éisi, 
   {{0x2ca77e49,0x91e67e4a,0x032607f4,0x00000000}},	//   hend_, ообе, ідан, --, 
   {{0x2ca77e4b,0xdb0112b7,0xb5fb107b,0x25a07e4c}},	// [7440] kend_, _islä, rbác, _upil_, 
   {{0x6ab60586,0xddc002ee,0x628f00fd,0x505a012d}},	//   _अफ्र, _nemš, _ecco, ршая_, 
   {{0x232a02fb,0x2ca73f5e,0x324602f1,0xe29a7e4d}},	//   _вони_, dend_, _менг, _кан_, 
   {{0x6da66aaf,0x2d860226,0x00000000,0x00000000}},	//   жида, tuoe_, --, --, 
   {{0x2d92009e,0xc27b0486,0x3c5800d9,0x823600d7}},	//   îye_, _דרכי, билэ_, _گرگا, 
   {{0x2ca77e4e,0xda1d007e,0x6ca300fd,0xcf5a7e4f}},	//   gend_, _पड़त_, дръж, _врач_, 
   {{0xaac504d7,0xa91d04d1,0x6130022b,0xd0077e50}},	//   वांक, tužn, räld, _дере_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xc3330a33,0x2ca77e51,0xed5900ca,0x0c7a07cb}},	//   ווה_, bend_, _prže_, _نصاب_, 
   {{0x20070035,0xd838133e,0x4c8300a3,0x9c7c00de}},	//   źnie_, leči_, _олув, _mlčk, 
   {{0x6fba109f,0xed592ddd,0x00000000,0x00000000}},	//   ईटिं, _vrže_, --, --, 
   {{0xd9467e52,0xa91d7e53,0x644800da,0xdb1a00da}},	//   _деди, vrže, ždil, _orté, 
   {{0xd6270038,0x6a9b00d1,0x00000000,0x00000000}},	//   تعدي, _כשאנ, --, --, 
   {{0x99fb00a7,0xe3b37e54,0x3959019c,0xa91d02d9}},	//   _דפדפ, ورز_, ísse_, trže, 
   {{0x63be0304,0x628f0126,0x926b0165,0x00000000}},	//   _crpn, _pcco, ираа_, --, 
   {{0xd8381e27,0x25b0030f,0x2ca729df,0x3f81014b}},	//   ječi_, ällä_, zend_, vrhu_, 
   {{0x628f0108,0xf1940080,0xa19440a4,0xd52d0108}},	// [7450] _vcco, мить, матч, _từn, 
   {{0x160102e6,0xa91d0613,0xf43500b3,0x3f8102d9}},	//   _लेयर_, prže, _непэ, trhu_, 
   {{0x2ca77e55,0xb4e70035,0xddc00604,0x00000000}},	//   vend_, पसी_, _remš, --, 
   {{0x2ca70b1f,0x1dc6190a,0x00000000,0x00000000}},	//   wend_, लमंत, --, --, 
   {{0x7cef0c85,0xa3b90484,0x2ca77e56,0xddab3f74}},	//   _jørg, चिव_, tend_, ртел_, 
   {{0xf1bf48ea,0x361c027a,0x11da00d1,0x23b80296}},	//   _irá_, בודד, _החשב, _ادیب_, 
   {{0x2ca7034e,0x8c4203b7,0x81ad0033,0xf1bf0032}},	//   rend_, неше, _কপি_, _hrá_, 
   {{0x2ca77e57,0x5ac97e58,0x628d7e59,0x20c90e07}},	//   send_, слим_, ngao, रावध, 
   {{0xceb2392b,0xe8f97e5a,0x7e7b016a,0xdd5805d9}},	//   _אין_, йли_, _idup, _матч_, 
   {{0xa3cb000d,0xb4ea00a2,0x2bbd1503,0xa91d00da}},	//   लमा_, _मते_, ्मदा, ružo, 
   {{0x66df024a,0x628d0226,0x7790010e,0xdb0800de}},	//   _lëku, kgao, نیوا, _hrdý, 
   {{0xa3c100c9,0x7cef00fb,0x68ea11da,0x00000000}},	//   ूमन_, _børg, _elfd, --, 
   {{0x63be7e5b,0x0607675b,0x7aeb01dd,0x69dd00c2}},	//   _srpn, зняк_, _ilgt, äsed, 
   {{0xa87900c7,0x29023570,0x6aa97e5c,0x395f7e5d}},	//   _האַר, ékat_, leef, mpus_, 
   {{0xe73a065b,0x7e7b034c,0x7cef0566,0x395f5a38}},	//   _лек_, _odup, _tørf, lpus_, 
   {{0x93435dc2,0xdb010502,0x628d4262,0x00000000}},	//   енсе, _erlö, ggao, --, 
   {{0x6d5b023b,0x612b010e,0xf1bf00e1,0xd18611ec}},	// [7460] _ntua, rüln, _crá_, ялай, 
   {{0xf61700a7,0xa06a0165,0x7e7b3e32,0xfbbd1f9a}},	//   _מחפש_, сажа_, _adup, ्माम, 
   {{0x6d5b00ce,0xc2c60084,0x09a826f2,0x7c250380}},	//   _atua, _فيدي, _कन्य, ührl, 
   {{0xf1bf06b6,0x61460d48,0x7cef155b,0x395f02a2}},	//   _frá_, _нема, _lørd, kpus_, 
   {{0xd83822d4,0xf1bf0038,0x6d4f02be,0xaabf2b69}},	//   reči_, _grá_, _écal, _शोधक, 
   {{0x6d5b0038,0xd8380352,0x612b0761,0x7cef00fb}},	//   _dtua, seči_, nüll, _nørd, 
   {{0xab381094,0x8fa37e5e,0x78a800fb,0xa91d0121}},	//   опку_, _паре, vedv, ružl, 
   {{0x6d5b024a,0x6aa9064e,0x80c401ec,0x612b0502}},	//   _ftua, geef, राके, hüll, 
   {{0x25fc00c2,0xb6060304,0xf65f00fb,0x612b7e5f}},	//   _लेली_, nošč, kjær_, küll, 
   {{0x6f027e60,0x63bc0613,0x7aeb0028,0xdc3c020b}},	//   lioc, kvrn, _elgt, _háči, 
   {{0xdceb02fe,0x7cef08bb,0x3f7801dd,0xc1c802e6}},	//   _šićk, _sørg, nču_, रमुग, 
   {{0x6f0201b4,0xda7700b3,0xb6060604,0x00000000}},	//   nioc, _еяш_, košč, --, 
   {{0x612b02f2,0x7cef00dd,0x255802d9,0x6abd0054}},	//   füll, _førd, vělý_, ôsfe, 
   {{0x2ed9000c,0x6f020036,0xd94300b3,0xb6060121}},	//   _भक्त, hioc, _зечи, došč, 
   {{0x291e044e,0x290c0f5b,0x28b700d1,0xdceb0528}},	//   mota_, mnda_, _מפגש_, augė, 
   {{0x628d0ab4,0xf1bf1484,0xdc3c0098,0x5398017b}},	//   ugao, _prá_, _náči, явся_, 
   {{0x7cef0422,0x5693004e,0x2b4600ca,0x30a70311}},	// [7470] _høre, _жақт, _mioc_, зрев, 
   {{0x291e7e61,0x7cef01cc,0x3cf800ab,0x290c7e62}},	//   nota_, _køre, ्चों_, nnda_, 
   {{0x6d5b7e63,0x26db0026,0x6f020036,0x81440499}},	//   _stua, _koqo_, fioc, رنمن, 
   {{0x291e7e64,0xfbbd185c,0x6f020093,0xf1bf7e65}},	//   hota_, ्मसम, gioc, _trá_, 
   {{0xed590588,0xd8380ab4,0x291e7e66,0x26c97e67}},	//   _brža_, meču_, kota_, _mnao_, 
   {{0xa2d907d5,0x69d6027e,0x6aa974fa,0xdb087e68}},	//   फॉर्, _üyey, weef, _ordó, 
   {{0xeb991029,0x291e7e69,0x3a26012b,0xed59203b}},	//   ций_, dota_, _ayop_, _drža_, 
   {{0xa91d09c4,0x290c7e6a,0x6130014e,0x6f022b86}},	//   drža, enda_, mäla, cioc, 
   {{0x6aa97e6b,0x386e03c6,0xdb080534,0x290c003e}},	//   reef, _befr_, _ardó, fnda_, 
   {{0x291e61b1,0x26c90489,0xd3780062,0x612b7e6c}},	//   gota_, _anao_, šći_, külm, 
   {{0x16aa7e6d,0xb90517dc,0x26db0415,0x395f00b3}},	//   овни_, _नव_, _boqo_, spus_, 
   {{0x7cef03a9,0xd83852cd,0x98a200e0,0xb5fb3c3a}},	//   _døre, ječu_, ēkā_, rbán, 
   {{0xb8e3100b,0xdce90267,0xba74105a,0x00000000}},	//   _এক_, _cveć, _سانت, --, 
   {{0x58d47e6e,0x7cef00fc,0x26c900a9,0xb606008b}},	//   _почт, _føre, _enao_, vošč, 
   {{0x15437e6f,0x7cef055f,0x38657e70,0x99e3020b}},	//   терм, _gøre, mblr_, ľňuj, 
   {{0x7d037e71,0x99e30254,0x3947008c,0x6f020183}},	//   hins, žňuj, _hins_, xioc, 
   {{0x453600c8,0xb0c92414,0xb1467cc5,0x67246add}},	// [7480] _охот, रांग, днал, _ikij, 
   {{0x26c903ef,0x394f7e72,0xb606008b,0x39477e73}},	//   _znao_, _mugs_, rošč, _jins_, 
   {{0x6f021861,0x26c9012b,0xdc3c0228,0x998600ca}},	//   tioc, _ynao_, _páči, _mzoš_, 
   {{0x2eed0107,0x39477e74,0x63470054,0x4ea300ff}},	//   _clef_, _lins_, _tŕna, врша, 
   {{0x291e7e75,0x6f027e76,0x290c2750,0x7d030415}},	//   yota_, rioc, ynda_, fins, 
   {{0xdb0a155b,0x6f0211b1,0x7d037e77,0xa3e500a5}},	//   lvfø, sioc, gins, बैक_, 
   {{0x291e020b,0x612b007e,0xe2080035,0x60dc00a1}},	//   vota_, külj, _wróć_, _iorm, 
   {{0x7cef01e8,0x291e7e78,0x67245ed9,0x8fa300d9}},	//   _røre, wota_, _nkij, _шасе, 
   {{0x60dc0019,0x7cef4fc2,0x7d040151,0x291e7e79}},	//   _korm, _søre, éiss, tota_, 
   {{0xfbc60cf8,0x67240053,0x753c00ef,0x290c0548}},	//   _обзо, _akij, jmrz, unda_, 
   {{0x394700d3,0xdce96a05,0xb8e6017d,0x290c7e7a}},	//   _dins_, _sveć, _उफ_, rnda_, 
   {{0x394706b6,0x291e7e7b,0x6d4845d9,0xfbd300a7}},	//   _eins_, sota_, _hida, _שתף_, 
   {{0x39477e7c,0xf1bf0068,0x6d481847,0x60dc0326}},	//   _fins_, _ayán_, _kida, _oorm, 
   {{0x6d487e7d,0x672401a3,0x98bc020f,0x612b7e7e}},	//   _jida, _ekij, _divă_, tülm, 
   {{0x6d487e7f,0xdceb0529,0x98a30267,0xd4041988}},	//   _mida, stgħ, _рије, вяти, 
   {{0x6d487e80,0x612b7e81,0x69c24ace,0xdb1a0126}},	//   _lida, rülm, _kroe, _ortí, 
   {{0xdce9003a,0x60dc5bb7,0xd8387e82,0x7d037e83}},	// [7490] _uveć, _borm, reču_, yins, 
   {{0x6d487e84,0x27320038,0x78ba7e85,0x78b800c3}},	//   _nida, mána_, ndtv, _javv, 
   {{0xdb1a7e86,0x2b5e0226,0x80c40299,0x656d0175}},	//   _artí, _nttc_, राजे, _hwah, 
   {{0x7d037e87,0x6d487e88,0xff2500d4,0x80cd009a}},	//   wins, _aida, ربای, साहे, 
   {{0x7d037e89,0x6d485d79,0x2d86046e,0x6130161f}},	//   tins, _bida, groe_, mäln, 
   {{0x6d481454,0x394f7e8a,0x60dc7e8b,0x7c28018c}},	//   _cida, _rugs_, _gorm, _bydr, 
   {{0xa3c1072f,0x764d31c5,0x75cb00a2,0x1be96cbc}},	//   ूमि_, _ogay, ामुळ, ядки_, 
   {{0x764d7e8c,0x69c27b53,0x6d487e8d,0xe9d91e70}},	//   _ngay, _broe, _eida, зки_, 
   {{0x7d037e8e,0x6d487e8f,0x69c202bf,0x80b60035}},	//   pins, _fida, _croe, _उसमे, 
   {{0x6d487e90,0xe8f608f0,0xf1b200fe,0x67240062}},	//   _gida, ель_, נסי_, _skij, 
   {{0x78b80141,0x39477e91,0x656d4af6,0xd70607a4}},	//   _davv, _vins_, _awah, езни, 
   {{0x6d487e92,0x39477e93,0x394f26e0,0x7525045a}},	//   _zida, _wins_, _tugs_, _akhz, 
   {{0x69c27e94,0xa91d0032,0x7ae9009e,0x612b039f}},	//   _groe, huži, mket, rülj, 
   {{0x399968ce,0x7ae97e95,0xddc90082,0x6abb7e96}},	//   mès_, lket, _odež, lduf, 
   {{0x39997e97,0x03a33142,0x656d00d7,0x25fc00b0}},	//   lès_, лиро, _ewah, _लइकी_, 
   {{0x7ae97e98,0xa91d003a,0x60dc7e99,0x67243469}},	//   nket, duži, _sorm, _ukij, 
   {{0x39997e9a,0x60dc1a71,0x6e297e9b,0xbbbd0586}},	// [74a0] nès_, _porm, _nyeb, ्मुक, 
   {{0x29057e9c,0xb2237e9d,0x60dc00a4,0x26f00827}},	//   nila_, умул, _qorm, _चतुर_, 
   {{0x7ae97e9e,0x60dc4199,0xd12f00eb,0x6d487e9f}},	//   kket, _vorm, حمل_, _rida, 
   {{0x6d4805a1,0x29057ea0,0x6e297ea1,0x7ae90097}},	//   _sida, hila_, _byeb, jket, 
   {{0x60dc7ea2,0x6d487ea3,0x7f497ea4,0xaad31b38}},	//   _torm, _pida, _dieq, थानक, 
   {{0xd37802f5,0xa91d7ea5,0x39997ea6,0x7ae97ea7}},	//   šću_, buži, dès_, eket, 
   {{0x6d48264e,0x3dd80086,0x78b87ea8,0x57c90790}},	//   _vida, _দেখল, _ravv, िमोह, 
   {{0x6d487ea9,0x69c27eaa,0xd00f1b44,0x7c28026e}},	//   _wida, _proe, _الف_, _vydr, 
   {{0x6d487eab,0x6e9300eb,0x39997eac,0x799b011d}},	//   _tida, _حلقا, gès_, gtuw, 
   {{0x69c209a2,0x2732031e,0x656d0610,0x7ae97ead}},	//   _vroe, vána_, _rwah, aket, 
   {{0x28d205fd,0xad1b24ea,0x656d7170,0x69c2206b}},	//   ताबि, _צובר, _swah, _wroe, 
   {{0x69c27eae,0x7ae97eaf,0x39997eb0,0x27320098}},	//   _troe, cket, bès_, tána_, 
   {{0x29057eb1,0x3999026d,0x48e61219,0xceb300c7}},	//   bila_, cès_, _подв, ניש_, 
   {{0x27322332,0x2739002c,0xdddb107c,0x00000000}},	//   rána_, kéng_, _leuş, --, 
   {{0xd7ef7eb2,0x9f47026e,0xe3b00019,0xf2c710b7}},	//   _су_, šné_, یرہ_, нсан, 
   {{0x656d527f,0x764d7d6f,0x27390096,0x00000000}},	//   _twah, _ugay, déng_, --, 
   {{0x02e1075a,0x7f494514,0xa91d015e,0x612b7eb3}},	// [74b0] _नवीन, _rieq, kržl, lüli, 
   {{0xa91d04d1,0x7ae902ba,0x6d4f0151,0x635c0118}},	//   tuži, zket, _écai, _sčne, 
   {{0x2d800187,0x5f950093,0x613000c8,0xa91d0813}},	//   šiel_, тиет, mäll, držl, 
   {{0xa91d0688,0xdef83d3e,0x6e290300,0x61301279}},	//   ruži, ныч_, _pyeb, läll, 
   {{0xa3b904b7,0x7ae9009e,0xb2760070,0x00000000}},	//   चिक_, vket, _בערג_, --, 
   {{0x29057eb4,0x399906df,0x25a900b9,0x61300080}},	//   xila_, vès_, _mpal_, näll, 
   {{0x40344ce4,0x7ae93243,0x611400fd,0x4ea77eb5}},	//   _берс, tket, _сдру, _праа, 
   {{0x63ba055f,0x39997eb6,0x635c0144,0x61307eb7}},	//   ætni, tès_, _učne, häll, 
   {{0x7ae97eb8,0x6130183f,0x7cf401c5,0xeb971cc1}},	//   rket, käll, _bàrd, фиқ_, 
   {{0x3eaf4e41,0x39997eb9,0x613008b5,0x799b008a}},	//   legt_, rès_, jäll, rtuw, 
   {{0x2d8f00f1,0x25a922b4,0x8ae700dd,0x39997eba}},	//   luge_, _apal_, _підл, sès_, 
   {{0xb8e83278,0x39992963,0x7cf400a1,0x00000000}},	//   _लो_, pès_, _eàrd, --, 
   {{0x29057ebb,0xd7f80012,0x61300ae4,0xc8f50093}},	//   pila_, ază_, fäll, _издъ, 
   {{0x7c246872,0x2d9d018e,0x2905009e,0x00000000}},	//   şire, itwe_, qila_, --, 
   {{0xb4b25845,0x232a413d,0x25a97ebc,0xe29a7ebd}},	//   _ऐसी_, дови_, _epal_, мав_, 
   {{0xb6a600b3,0x2ed0036e,0x00000000,0x00000000}},	//   _риил, _सचेत, --, --, 
   {{0x9c7c008b,0xdddb00d9,0x434342cc,0x3f5702be}},	// [74c0] _hoče, _reuş, ретв, _açu_, 
   {{0x9c7c23cf,0xf0637ebe,0xd0590009,0x00e400d7}},	//   _koče, икуп, ерці_, دتری, 
   {{0xdb011f6b,0x9c7c0604,0x61300080,0x2d9d02a5}},	//   _aplí, _joče, sälo, etwe_, 
   {{0x2d8f7ebf,0x2d80002a,0x69c4012d,0x27391d32}},	//   fuge_, šiem_, _šiem, réng_, 
   {{0x9c7c008b,0x2d960a2b,0xd1830cfe,0x7cef00fc}},	//   _loče, трес, _кляй, _søra, 
   {{0x79897ec0,0x27390032,0xed570267,0x0ba652cc}},	//   drew, méne_, њој_, вшим, 
   {{0x69dd7ec1,0x9c7c0352,0x79890036,0x404700b3}},	//   äsen, _noče, erew, _апро_, 
   {{0x2732031e,0x501b00a7,0x2fc7055f,0x1ab47ec2}},	//   dáno_, _חולו, ænge_, убия, 
   {{0x497300f0,0x645c7ec3,0xc8660c34,0xbda55a53}},	//   алыс, kcri, ктни, _محلو, 
   {{0x48aa3eb8,0x00000000,0x00000000,0x00000000}},	//   фтим_, --, --, --, 
   {{0x61300088,0x7cf400b9,0x8c464218,0x00000000}},	//   väll, _vàrd, _реже, --, 
   {{0x9c7c02f5,0xcf9300d1,0x4bfb07e4,0x27393570}},	//   _doče, סטר_, _קלאס, kéne_, 
   {{0x61300750,0x59630093,0xc6f80701,0x59b61a21}},	//   täll, _къща, тнях_, _अनिर, 
   {{0x3eaf01d2,0x27160243,0x00000000,0x00000000}},	//   zegt_, rāna_, --, --, 
   {{0x2bc50fec,0x8ca400c9,0x68e702ae,0x06ae0033}},	//   विया, च्यो, öjde, গাজি, 
   {{0x32647ec4,0x59b60c46,0x61300088,0x3f57003d}},	//   итув, _अनार, säll, _dħul_, 
   {{0x645c0126,0x85b80a31,0x245900d9,0x25a90121}},	// [74d0] bcri, _алыс_, _папь_, _upal_, 
   {{0x3eaf0380,0x25fc00c9,0x2d8f02b8,0x00000000}},	//   wegt_, _लेटी_, vuge_, --, 
   {{0x7cef0022,0x3fc500f0,0x3eaf0b41,0x00000000}},	//   _børn, ырағ, tegt_, --, 
   {{0x975707e4,0x79890216,0xf2c700b3,0x00000000}},	//   דיאו_, yrew, _рсон, --, 
   {{0x2732031e,0x64480082,0x3eaf0502,0x7dea0243}},	//   záno_, ždit, regt_, _nēsā, 
   {{0x2d8f7ec5,0x116a0296,0x3e710108,0x00000000}},	//   ruge_, _سلفی_, ạt_, --, 
   {{0xeab100eb,0xc878008f,0x7cf403dd,0x2d8f7ec6}},	//   معة_, dağ_, _bàrb, suge_, 
   {{0x2732031e,0x9c7c00de,0x61304a69,0x00000000}},	//   váno_, _roče, jälj, --, 
   {{0xa92502f1,0x66e60240,0x9c7c0144,0x00000000}},	//   лдил, ҳона, _soče, --, 
   {{0x9c7c0e25,0xb4b2006a,0xdb1a014b,0x79897ec7}},	//   _poče, _ऐसे_, _vrtá, rrew, 
   {{0xd70a00e4,0x66e61c3e,0x7989023e,0x81d90033}},	//   енне_, гона, srew, ়নি_, 
   {{0x7c2502f2,0x7cf4022c,0x7e79012b,0x15ba00d3}},	//   ühru, _vàre, nawp, ныгы_, 
   {{0x98a53288,0xe9ce12d2,0xc87806d0,0xf9850093}},	//   _биле, _ук_, bağ_, _сгло, 
   {{0xa91d034c,0x9c7c1fe0,0xdc4300bc,0x97c507cb}},	//   tužu, _toče, _léči, _مقتو, 
   {{0x9c7c00d0,0x833a0163,0x63830028,0x04570038}},	//   _uoče, ечат_, йгра, الفة_, 
   {{0x645c52bd,0xa91d203b,0x232a0176,0x934603a1}},	//   scri, ružu, хоби_, унбе, 
   {{0x10a61fd5,0xf8b700a2,0x42d500f0,0x527503a1}},	// [74e0] лиан, _असाय, шіру, русу, 
   {{0x65640226,0x45fb00d1,0xa91d1a01,0x67267ec8}},	//   _itih, _נהיג, držk, lokj, 
   {{0x749b0056,0x71a30cdf,0x205504fb,0x00000000}},	//   _אייפ, _қарз, ртур, --, 
   {{0x3f8623f2,0x00000000,0x00000000,0x00000000}},	//   čou_, --, --, --, 
   {{0xf7670105,0xc27b02a1,0xd1751c0f,0xfce62b68}},	//   _گا_, _ארכי, _высы, лодо, 
   {{0x412a00dd,0x65640053,0xb4b20790,0x7bde0080}},	//   _чого_, _mtih, _ऐसो_, äpuo, 
   {{0xf7670040,0xeb4a6484,0xae040790,0x7cef139f}},	//   _دا_, нчик_, _शेरन_, _tørn, 
   {{0x7cef0657,0xaa540148,0x646600ad,0x62967ec9}},	//   _føro, швиш, əriş, ngyo, 
   {{0x6130007e,0x656402b8,0x7cf400b9,0x00000000}},	//   välj, _ntih, _càrc, --, 
   {{0x7f4200cf,0xdd8f0a7c,0xc19b00d1,0x9d467eca}},	//   lmoq, _روم_, עשיי, _сезд, 
   {{0x48a716d0,0x59b60586,0xd6d517fc,0x61300219}},	//   утым_, _अनवर, ажны, tälj, 
   {{0x7f4202f1,0x28d21df3,0x386000ca,0x657d0026}},	//   nmoq, ताहि, _điru_, tssh, 
   {{0x7a7b027a,0xe7b000bc,0x09e6004f,0x15a800fd}},	//   _טראס, _जनकप, _щодн, лъри_, 
   {{0x6130014e,0x6443014b,0xd83a00d9,0x00000000}},	//   sälj, _únik, _пэй_, --, 
   {{0x65640df4,0x7ae27ecb,0x00000000,0x00000000}},	//   _etih, _koot, --, --, 
   {{0x81ae0086,0x7bc87ecc,0xb5fb00da,0x7ae200c2}},	//   কিন_, _mrdu, dbáv, _joot, 
   {{0x9f470351,0x7ae20e0f,0x612b7ecd,0x53347ece}},	// [74f0] ání_, _moot, kült, сетт, 
   {{0x7bc87ecf,0x98a771d9,0x7ae2007e,0x7cef017b}},	//   _ordu, čiću_, _loot, _røro, 
   {{0x9f47031e,0x53350846,0x7cef017b,0xa3d55900}},	//   šní_, _вент, _søro, _тонч, 
   {{0xa1957ed0,0x7ae27ed1,0xdb010098,0xf1ca0032}},	//   _камч, _noot, _oplá, _stáť_, 
   {{0x7bc80a9f,0x127a00c7,0x7bc3006d,0x7cef238e}},	//   _ardu, _בארע, wvnu, _førl, 
   {{0x7bc800a1,0x81bc0033,0x612b7ed2,0x55780070}},	//   _brdu, _অথচ_, gült, רעגן_, 
   {{0x2bc50a09,0x7ae27ed3,0x7e790102,0x4c920267}},	//   विधा, _boot, pawp, цијс, 
   {{0xa91d0082,0x7cf400a1,0xdb010534,0x80c90110}},	//   mrži, _pàrc, _bplá, _होते, 
   {{0x88d500e4,0x7ae200b4,0x00000000,0x00000000}},	//   аўні, _doot, --, --, 
   {{0x3ebf7ed4,0xfd131117,0xa8551571,0x00000000}},	//   _haut_, _اجر_, штиј, --, 
   {{0x3ebf002a,0x7ae27ed5,0x07a57ed6,0x366a0d47}},	//   _kaut_, _foot, шанн, кано_, 
   {{0xdb0100f6,0x394e03c6,0x7ae27ed7,0x00000000}},	//   _eslò, _eifs_, _goot, --, 
   {{0x3ebf6c86,0xdce2026e,0xed590112,0x996756ff}},	//   _maut_, zpoč, _brži_, _стел, 
   {{0x394e7ed8,0xddc200ef,0x7f4201ff,0x00000000}},	//   _gifs_, nboš, zmoq, --, 
   {{0x04464ab4,0x7cef004f,0x7f4200a3,0x29073a59}},	//   ревн, _rørl, ymoq, _imna_, 
   {{0x68e37ed9,0x1601119f,0xa91d12e2,0x2d9f0165}},	//   _hond, _लेकर_, drži, _oque_, 
   {{0x68e37eda,0x26d20c3d,0x8be90086,0xd17608ad}},	// [7500] _kond, _inyo_, _কেমন_, рыбы, 
   {{0x26d2006d,0x27393ded,0x68e37edb,0xddc20604}},	//   _hnyo_, ména_, _jond, jboš, 
   {{0x68e37edc,0x27397edd,0x7f4202f1,0x3ebf7ede}},	//   _mond, léna_, tmoq, _baut_, 
   {{0xbea6012d,0x3ebf00d9,0x26c001f1,0x81ae0033}},	//   радк, _caut_, _jaio_, কিব_, 
   {{0x26c00c1f,0x823600c5,0x7f4200cf,0x7ae201d4}},	//   _maio_, _خردا, rmoq, _root, 
   {{0x68e30a9f,0xa0670a65,0x6b817edf,0x00000000}},	//   _nond, _вара_, _bvlg, --, 
   {{0x3ebf0518,0xdb01026e,0x7ae2123b,0x7d0a008c}},	//   _faut_, _splá, _poot, rifs, 
   {{0xbab834c0,0x68e37ee0,0x9c7c4b69,0x26d20a8b}},	//   угих_, _aond, _doča, _nnyo_, 
   {{0x68e3158b,0xdcfb02f5,0x635c0304,0xdb0102c9}},	//   _bond, _zvuč, _očno, _oplæ, 
   {{0x9c7c1f17,0x26d20c36,0x29070065,0x7ae23477}},	//   _foča, _anyo_, _cmna_, _woot, 
   {{0x68e37ee1,0x7ae20077,0x26c00042,0xd7fa7ee2}},	//   _dond, _toot, _baio_, туп_, 
   {{0x6d4f026a,0xed59090e,0x26c07ee3,0x7c3a7ee4}},	//   _écar, _srži_, _caio_, _iztr, 
   {{0x6f0301bb,0xed5905ae,0x443a01cf,0x26c502d9}},	//   ènci, _prži_, _azp_, ělo_, 
   {{0x68e37ee5,0x2bbd0c64,0x290757e9,0xd9430d83}},	//   _gond, ्मचा, _gmna_, _дечи, 
   {{0x290c7ee6,0x26c00183,0x38cb0499,0x09b64f69}},	//   mida_, _faio_, _جانی_, _अनुय, 
   {{0x290c7ee7,0x68e30536,0x248d0384,0x325506dd}},	//   lida_, _zond, şem_, свар, 
   {{0xdddb02f5,0x3ebf36ff,0x6d430c98,0x68e300a3}},	// [7510] _oduš, _raut_, ymna, _yond, 
   {{0x290c7ee6,0x26c00a9f,0xdb180219,0xe04b009c}},	//   nida_, _zaio_, lvvä, نشاه_, 
   {{0x902800e4,0x8319152c,0x3ebf03de,0xf7730070}},	//   ацца_, _مقدر_, _paut_, ַקס_, 
   {{0x290c00cf,0x02a760ec,0x9c7c0352,0x27f8020b}},	//   hida_, _тром, _roča, úrny_, 
   {{0x51847ee8,0x290c7ee9,0x3ebf026a,0x28b700a5}},	//   _мура, kida_, _vaut_, _असलि, 
   {{0x9c7c29a8,0xa91d0b1d,0x290c00a3,0x6ed502e6}},	//   _poča, prži, jida_, णाहु, 
   {{0x68e37eea,0x290c7eeb,0x3b091447,0xdcfb090e}},	//   _rond, dida_, леко_, _uvuč, 
   {{0x68e37eec,0xce944316,0xfbd00133,0x61302ca3}},	//   _sond, _масъ, بته_, väli, 
   {{0x61ed7eed,0x5ac613f2,0x290c7eee,0x26c00587}},	//   nyal, слым_, fida_, _raio_, 
   {{0x290c7eef,0xe8f67ef0,0x672d67c2,0x7cef03a9}},	//   gida_, йлы_, _akaj, _mørk, 
   {{0x68e37ef1,0x9c7c0112,0xfbd000eb,0x26c07ef2}},	//   _vond, _kočn, _يتم_, _paio_, 
   {{0x81ae0086,0x27397ef3,0x61ed0298,0x68e37ef4}},	//   কিত_, téna_, kyal, _wond, 
   {{0x68e37ef5,0x9c7c02ee,0x9f5f010c,0xe9ce00d9}},	//   _tond, _močn, îrên_, _эк_, 
   {{0x69cb02f2,0xed591194,0x27390800,0x68fa29df}},	//   _irge, _muž_, réna_, chtd, 
   {{0xf7461ba1,0x764b039f,0x00000000,0x00000000}},	//   _леко, _úgyn, --, --, 
   {{0x6ab50081,0x9c7c54b1,0x6f1b0532,0x6e3b0098}},	//   _अघोर, _nočn, _njuc, _ozub, 
   {{0xd5b10023,0x61ed010e,0x6e3b0027,0xed59020b}},	// [7520] ắc_, gyal, _nzub, _nuž_, 
   {{0x20567ef6,0xdb1a03a1,0xd83e0352,0x6f090548}},	//   стар, _estè, ščem_, _amec, 
   {{0x7afb7ef7,0x9c7c17a2,0xe457035c,0x287a0070}},	//   khut, _bočn, _לייט_, רנעמ, 
   {{0x290c7ef8,0x6e9300eb,0xed5a0afc,0x6286055f}},	//   zida_, كلما, год_, _udko, 
   {{0x290c00a3,0x7cf40465,0x569b027a,0x7afb011c}},	//   yida_, _dàrn, רינצ, dhut, 
   {{0x290c7ef9,0xed59034c,0x963b027a,0xa3cc0fc0}},	//   xida_, _duž_, נגסט, लिप_, 
   {{0x69cb7efa,0xef1a44b3,0x9f47026e,0x9bc60009}},	//   _arge, _бмв_, šná_, сёлк, 
   {{0xbea312de,0xbf160740,0x290c4aca,0x5f0603dc}},	//   _наск, _اورب, wida_, _узба, 
   {{0x290c7efb,0xed590a1a,0x00000000,0x00000000}},	//   tida_, _bržu_, --, --, 
   {{0x3ce50611,0x610f0009,0x6d4f1890,0x672d7efc}},	//   _golv_, _gėlė, _écap, _skaj, 
   {{0x69cb7efd,0xda6f00e4,0x290c7efe,0xabf60080}},	//   _erge, _ня_, rida_, _учащ, 
   {{0x290c7eff,0x7afb4738,0xd6db0978,0xdc3b00c7}},	//   sida_, chut, уто_, _געבר, 
   {{0xeb1405fd,0xfa36024f,0x69cb00ca,0x80db08b3}},	//   तचीत_, _اراد, _grge, नामे, 
   {{0x290c0c67,0x55587f00,0x9c7c014b,0xa99b00d1}},	//   qida_, саря_, _močo, _עבור, 
   {{0xdb1a0374,0x672d0097,0x00000000,0x00000000}},	//   _asté, _tkaj, --, --, 
   {{0x61ed7f01,0x672d7f02,0x387e0379,0xc9090033}},	//   tyal, _ukaj, latr_, রকৃত_, 
   {{0x9c7c1425,0x61ed045a,0xe2990259,0x00000000}},	// [7530] _ročn, uyal, лаң_, --, 
   {{0x61ed7f03,0xed5900d0,0x3b0d016a,0x6f097f04}},	//   ryal, _ruž_, zieq_, _smec, 
   {{0x61ed7f05,0xdfd100eb,0x3ce50fd6,0xa85700d1}},	//   syal, بيا_, _rolv_, ציאה_, 
   {{0xed59044e,0x7cef01e8,0x635c0a1a,0x61ed027e}},	//   _puž_, _tørk, _očnj, pyal, 
   {{0x7cef01e8,0x9c7c00ca,0x387e0180,0x2d760083}},	//   _høri, _vočn, katr_, głe_, 
   {{0x2732795a,0x4aa64f69,0x3f830604,0x00000000}},	//   ráni_, क्सव, _tvju_, --, 
   {{0x9c7c7f06,0x09d102f8,0x7afb0364,0x7f940013}},	//   _točn, तम्य, thut, _нарх, 
   {{0x442100e7,0x7e6202a3,0x6f09095a,0xfe54010e}},	//   _mxh_, ccop, _umec, _ٹیوب_, 
   {{0x7afb1275,0xc8b50b58,0x3ce57f07,0x6e3b7f08}},	//   rhut, осны, _tolv_, _uzub, 
   {{0xa3cc0c59,0x7afb38b1,0xa3ba007e,0x5ce405e0}},	//   लिम_, shut, _आईल_, _нюха, 
   {{0xf0920a33,0x7e7b7f09,0x60c500eb,0x7afb07d7}},	//   וני_, _keup, idhm, phut, 
   {{0x6d5b7f0a,0x80d002e6,0x9c7c0352,0x6f1900f8}},	//   _kuua, _डोने, _ločl, nnwc, 
   {{0x7e7b7f0b,0x69cb7f0c,0x7c2d0213,0x387e0379}},	//   _meup, _urge, şard, batr_, 
   {{0x2a7f01c4,0x7e7b033e,0x63be016a,0x18692b68}},	//   laub_, _leup, _pspn, _таки_, 
   {{0x69c97f0d,0x28c200a5,0x6d417f0e,0x3ead0175}},	//   lvee, _वोटि, _mhla, _obet_, 
   {{0xf26a3059,0xa3cc07d5,0x613001c4,0xdb0102ae}},	//   риал_, लिब_, hält, _eslö, 
   {{0xb5fb7f0f,0x69c94472,0xc05a4d83,0x3d1a093a}},	// [7540] lcán, nvee, арец_, _बदले_, 
   {{0xe0d77f10,0x6d410026,0x3ead7f11,0x614613d0}},	//   ову_, _nhla, _abet_, цеза, 
   {{0x14d70137,0x09b62369,0xa2e611d2,0x7cfd05d5}},	//   _וויל_, _अन्य, _донд, _mèrd, 
   {{0x6d5b0026,0x6d417f12,0x7e7b0175,0x7cf401be}},	//   _buua, _ahla, _ceup, _eàrl, 
   {{0x61301774,0x6d41161c,0x7e7b7f13,0x6d26012d}},	//   fält, _bhla, _deup, оддз, 
   {{0x6d417f14,0x7e621229,0x0b8a01a2,0x7af90118}},	//   _chla, scop, асии_, _alwt, 
   {{0x46ca00bc,0x8fa300b3,0x387e0379,0x96ca0249}},	//   ियाह, _оаре, vatr_, ियाउ, 
   {{0x6d410226,0x7e7b4249,0x7af903c6,0x2d760083}},	//   _ehla, _geup, _clwt, płe_, 
   {{0xaaa65e31,0x6d4131d3,0xf1bf010e,0x387e0054}},	//   क्षक, _fhla, _száz_, tatr_, 
   {{0xa3ba0a44,0x6d41006e,0x2d801f8f,0x80d000ab}},	//   _आईं_, _ghla, šies_, _डोमे, 
   {{0xdca300b9,0xfaa67f15,0x387e01a7,0x00000000}},	//   _цахи, _мажо, ratr_, --, 
   {{0x070b0176,0x7cfd24f6,0xf76f009c,0x387e0054}},	//   рхои_, _pèrg, کای_, satr_, 
   {{0xe3b806a2,0x6b550009,0x00000000,0x00000000}},	//   çın_, _išga, --, --, 
   {{0x4aa61bec,0x7c2d2d5e,0x645a0528,0x00000000}},	//   क्रव, şare, žtin, --, 
   {{0x61300a25,0xd7e61afd,0xe4540235,0xf1bf010e}},	//   häls, _філо, дкры, _nyár_, 
   {{0x6eca031e,0x28a80083,0x9c7c0121,0xd0550248}},	//   _सोलु, कभवि, _sočl, əbəl, 
   {{0x7e7b10fd,0x67ff0019,0x27320098,0x613002ae}},	// [7550] _reup, _tájé, gánu_, jäls, 
   {{0x4ad10081,0xd1310fd0,0x7cfd023e,0x6d5b00c8}},	//   _दोनव, رما_, _kère, _ruua, 
   {{0x74150a7c,0x7e7b7f16,0x442700e7,0x53354867}},	//   _روحا, _peup, _ân_, _неот, 
   {{0xf8b70a09,0x6d417f17,0x7cfd06e6,0x61301562}},	//   _अस्प, _shla, _mère, wält, 
   {{0x6d417f18,0x3ead7f19,0xf1bf02aa,0xbdf80038}},	//   _phla, _vbet_, _usá_, يرها_, 
   {{0x9c7c1993,0x6cc20504,0x3ac70023,0x7cf403dd}},	//   _uočl, ейша, _ốp_, _fàrm, 
   {{0x2a7f7f1a,0x0ec61d00,0x6d4f0036,0x415402a0}},	//   taub_, _रोकड, _ècam, _цврс, 
   {{0xa3cc0c59,0x6130030f,0x3dcd00e2,0x81ae0033}},	//   लित_, sält, _trew_, কির_, 
   {{0xdd910740,0xc33400a7,0xf99100eb,0x7cfd03a1}},	//   _سوا_, ווק_, ربة_, _pèrd, 
   {{0xe8f9196d,0x480500dd,0x3d940ecb,0x69c97f1b}},	//   сло_, зпов, _цифр, rvee, 
   {{0xccf20052,0x395f7f1c,0xf09207f5,0x380303dc}},	//   _רכב_, squs_, ענט_, фонҳ, 
   {{0xa25b0107,0xd5b10108,0x3af80175,0x9c7c0604}},	//   _saôn, ắn_, _tépa_, _nočj, 
   {{0xcb1200a7,0x9c830613,0x7bc102be,0x00000000}},	//   _אלא_, ščup, _hslu, --, 
   {{0x7bc1012b,0x7cfd00b9,0x00000000,0x00000000}},	//   _kslu, _fère, --, --, 
   {{0xa5077f1d,0xfdb80fc0,0x9f59011c,0x7cfd0151}},	//   чера_, _इन्फ, _èyèl_, _gère, 
   {{0xaabd047c,0x877a0070,0xa3bd0299,0x00000000}},	//   ्यिक, _פאפי, _इनर_, --, 
   {{0xe71700d1,0x7f5c0126,0xa7fc0213,0xc6930147}},	// [7560] _מחקר_, _surq, ncın, _נאז_, 
   {{0x7bc1090e,0x9c7c0242,0x00000000,0x00000000}},	//   _oslu, _počm, --, --, 
   {{0x4abd248b,0xaabd45f0,0x547700a7,0x7f5c2af2}},	//   ्याव, ्याक, _מגיע_, _qurq, 
   {{0x27320496,0x794d0035,0x6da641ac,0x81bb0bf1}},	//   máns_, _dźwi, зида, _অপর_, 
   {{0x237f02f5,0x27327f1e,0x7bc101be,0x46dd009a}},	//   ćuje_, láns_, _aslu, यातह, 
   {{0x4c947f1f,0x7f5c7f20,0xd1320038,0x61300219}},	//   фикс, _turq, _أمس_, räls, 
   {{0x6023185b,0x9c7c0082,0xa9f4031e,0x9f4900da}},	//   _здра, _hočk, इन्छ_, žkám_, 
   {{0xada61e6e,0x9c7c00bc,0xfbcf7f21,0xdb0805d5}},	//   _набл, _kočk, اتو_, _asdò, 
   {{0x3f9a044d,0x7cfd023e,0x7cef00fb,0xd7f8020f}},	//   lupu_, _sère, _rørv, rcăm_, 
   {{0x7cef004f,0xfcaa009c,0x7cfd0212,0x7cf400b9}},	//   _sørv, _دارو_, _père, _màrk, 
   {{0xe69500b3,0xb9040249,0x068503a1,0x00000000}},	//   мины, _पच_, үгүн, --, 
   {{0x27320496,0x7bdb00d1,0x5bb50258,0xdb0300da}},	//   dáns_, _לקבו, _юсуф, ytné, 
   {{0x6d4a7f22,0xa25b0379,0x3f9a0026,0x2732039f}},	//   omfa, _daôl, hupu_, vánt_, 
   {{0x69c26dfc,0x48e36f5d,0x656f0065,0x7cfd05d5}},	//   _isoe, _почв, rpch, _tère, 
   {{0x290e044d,0x7cef0b48,0xd90e0e13,0x7cfd00f6}},	//   _imfa_, _tørv, _لیک_, _hèrc, 
   {{0x78ba006b,0xf4080038,0x7cef01e8,0x68ea040b}},	//   letv, سيقى_, _hørt, _hofd, 
   {{0x442d00ab,0x672f00ab,0x7cef055f,0x2732010e}},	// [7570] łe_, mocj, _kørt, ránt_, 
   {{0x51f811c5,0x81ae0086,0x9c7c014b,0x656d34fa}},	//   чную_, কিং_, _dočk, _itah, 
   {{0xdb030254,0x27320068,0x3f872332,0x09a93e41}},	//   stné, cáns_, énu_, _कह्य, 
   {{0xff04004f,0x69c201cf,0x644303dd,0xdd9526ef}},	//   нячн, _osoe, _úniq, дады, 
   {{0xddab4196,0x78ba02eb,0x00000000,0x00000000}},	//   стел_, ketv, --, --, 
   {{0x11da00a7,0x98a501dd,0x7cfd00f6,0x656d7e67}},	//   _וחשב, kolā_, _sèrb, _mtah, 
   {{0x236600ef,0x69c20054,0x3f9a045a,0x00000000}},	//   _čojk_, _asoe, cupu_, --, 
   {{0x80db0081,0x60c77f23,0x752e0a1a,0x3eb90098}},	//   नावे, _hajm, zobz, _úst_, 
   {{0x656d6ad0,0x7cfd00b9,0x635c0237,0x764b010e}},	//   _ntah, _cèrc, _fčnw, _úgyh, 
   {{0xc944005e,0x00000000,0x00000000,0x00000000}},	//   ндық, --, --, --, 
   {{0x60c77f24,0x656d7f25,0xdb01055f,0x69c20379}},	//   _majm, _atah, _oplø, _esoe, 
   {{0x60c701ee,0xa3cc03c1,0x635c008b,0x6b9c01e8}},	//   _lajm, लिस_, _učni, _årga, 
   {{0x7cef03a9,0x06071ff8,0x443c0009,0x2bc5055d}},	//   _ført, дняк_, _šv_, विका, 
   {{0x60c7020b,0x273228e8,0x613002ae,0x9c7c0688}},	//   _najm, táns_, jälp, _ročk, 
   {{0x03a37f26,0x53a37f27,0xa7fc027e,0x260e0466}},	//   киро, карб, ncıl, _ढेरी_, 
   {{0x27327f28,0x9c7c253f,0x7cef02c9,0x656d008a}},	//   ráns_, _počk, _kørs, _ftah, 
   {{0x60c75d90,0xb5c30161,0x27320042,0x60ea011f}},	// [7580] _bajm, _айыл, sáns_, омам_, 
   {{0x3f9a669a,0x61eb0219,0x27320183,0x98b00ab4}},	//   tupu_, ägla, páns_, čaću_, 
   {{0xa2a6031e,0x60c77f29,0xdee60165,0xd12f0038}},	//   _छाप्, _dajm, можи, جمل_, 
   {{0xee3a7f2a,0x9c7c06e0,0x2d860364,0x7aeb0326}},	//   оне_, _točk, tsoe_, _nogt, 
   {{0x62847f2b,0x656d0065,0xccf8004e,0x3f9a2f87}},	//   maio, _xtah, пқа_, supu_, 
   {{0x3f9a0ab1,0x6d4a7f2c,0x2b5e0096,0x62840752}},	//   pupu_, umfa, _putc_, laio, 
   {{0x78ba7f2d,0x7aeb7f2e,0x9c7c0082,0xa2a500d8}},	//   vetv, _bogt, _joči, ङ्क्, 
   {{0xdb030218,0x7cef03a9,0x60c700ab,0x69c201ca}},	//   stnî, _børs, _zajm, _psoe, 
   {{0x7aeb018c,0x9c7c008b,0x22420065,0xa2a6031e}},	//   _dogt, _loči, _jzkk_, _छान्, 
   {{0x7c2d008f,0x940400ad,0xd83e0032,0x200400ad}},	//   şara, şmə_, áčom_, _əmin_, 
   {{0x656d7f2f,0x78ba0f30,0x9c7c008b,0xa7157f30}},	//   _stah, retv, _noči, емні, 
   {{0x7cef1b37,0x6f027f31,0x69c20149,0x3cfe007a}},	//   _førs, nhoc, _tsoe, _hltv_, 
   {{0xdb1a00ce,0x779200d4,0x7cfd00b9,0xc9f60038}},	//   _estã, ریکا, _hèra, _تساع, 
   {{0x9c7c0588,0x672f115a,0x9f47007a,0x00000000}},	//   _boči, socj, ánú_, --, 
   {{0x7aeb0201,0x672f02c7,0xf2c77f32,0x289b027a}},	//   _yogt, pocj, мсан, _ויוא, 
   {{0x60c714f0,0x628409c6,0x9f470032,0x656d02a5}},	//   _sajm, gaio, šnú_, _ttah, 
   {{0x656d7f33,0x291e3f63,0x3f8e00ef,0x533403fd}},	// [7590] _utah, onta_, šful_, тетт, 
   {{0x272403c0,0xa3cc08d2,0x80c9007e,0x3ea400ca}},	//   mına_, लिश_, _होखे, _acmt_, 
   {{0x272407fa,0x291e7f34,0x6f0200eb,0x6b4508b2}},	//   lına_, inta_, fhoc, lóge, 
   {{0x7cef055f,0x2b460108,0x2bc20ed5,0xa7fc0241}},	//   _nørr, _nhoc_, _वैधा, vcıl, 
   {{0x27240824,0x60c7032f,0x26c902a5,0x6b4508b2}},	//   nına_, _tajm, _maao_, nóge, 
   {{0x8c457f35,0xdb1a0183,0x7cef00fc,0xdca201ff}},	//   неле, _ortó, _rørs, гаши, 
   {{0xeb997f36,0xcfa402b9,0x4ada0081,0x2b4601be}},	//   чий_, _ишти, भांव, _bhoc_, 
   {{0x6f027f37,0x2b467f38,0x845800a7,0x2ca902d9}},	//   choc, _choc_, ובוס_, řad_, 
   {{0x2724027e,0x28db0035,0x7aeb7f39,0xeda408ba}},	//   jına_, बालि, _vogt, _ашхо, 
   {{0x2eed0b1f,0xdb1a00d3,0x27240540,0x6b452033}},	//   _hoef_, _està, dına_, dóge, 
   {{0xe73a08c5,0x25a900e2,0x2d9d7f3a,0x7cfd023e}},	//   зен_, _aqal_, luwe_, _gèra, 
   {{0x291e6d29,0x272404be,0x66e65adb,0x3af8010e}},	//   anta_, fına_, хома, _lépj_, 
   {{0x9c7c7f3b,0x291e0415,0xdb0302d9,0x27240b8b}},	//   _soči, bnta_, ntní, gına_, 
   {{0xb0ce00ab,0x628f7f3c,0x7989044d,0x25bf019c}},	//   _होंग, _adco, msew, çula_, 
   {{0xb602000d,0x62847f3d,0x2d9d7f3e,0x38ca1372}},	//   _žádn, taio, huwe_, _راوی_, 
   {{0x91e67f3f,0x272404be,0x27f803a9,0x35a65401}},	//   нобе, bına_, ørne_, _заиг, 
   {{0x79897f40,0x40963ac9,0x46dd017d,0x6b450126}},	// [75a0] nsew, ерет, यारह, cóge, 
   {{0x91e601a2,0x62847f41,0xa0a37d41,0x9c7c7f42}},	//   _ҷоме, saio, лауд, _toči, 
   {{0x9c7c0704,0x62847f43,0x6f027f44,0xaf9a26c4}},	//   _uoči, paio, thoc, ятах_, 
   {{0xeda653c4,0xdb1a3b75,0x2d9d0415,0x3f4700c2}},	//   ешко, _ostá, fuwe_, jõud_, 
   {{0x291e4fea,0x9c7c2178,0x2d9d0199,0x644101dd}},	//   ynta_, _močv, guwe_, ļlie, 
   {{0x6f027d5a,0x2eff007b,0x68060096,0x7cfd023e}},	//   shoc, _eluf_, _jéjé, _pèra, 
   {{0x50430161,0x6f02011c,0x44440144,0x9963004e}},	//   _берб, phoc, _jz_, қтыл, 
   {{0xe6ca07cc,0x6e96073c,0x444402eb,0x27240540}},	//   ियोज, _سلطا, _mz_, yına_, 
   {{0x645a02fe,0x256600f8,0x69cd0083,0x76447f45}},	//   žtih, _nôl_, तिषी, _nziy, 
   {{0xf2df00f7,0x39587f46,0x291e7f47,0x6724016c}},	//   _nhân_, örs_, unta_, _ajij, 
   {{0xdb1a3be3,0x7cef03a9,0x80ca0086,0x76447f48}},	//   _está, _tørr, রাপ্, _aziy, 
   {{0x6d5a4026,0x27240824,0xaaa70773,0xdbc7007e}},	//   _hita, tına_, _गायक, _pöör, 
   {{0x44447f49,0x7c3a0156,0x6724045a,0x443a3656}},	//   _az_, _hytr, _djij, _ayp_, 
   {{0x272403b0,0xf2df0029,0x2bc509ef,0x6d5a7f4a}},	//   rına_, _chân_, विचा, _jita, 
   {{0x44447f4b,0x27240718,0x6d5a7f4c,0x76447f4d}},	//   _cz_, sına_, _mita, _eziy, 
   {{0x6d5a7f4e,0x7c3a0093,0x083b00a7,0x5334017f}},	//   _lita, _mytr, _מעול, гест, 
   {{0x444400b4,0x32550fa9,0x80ca00cc,0xf1947f4f}},	// [75b0] _ez_, твар, রান্, лить, 
   {{0x6d5a7f50,0x673d7f51,0x55ac0070,0x2d9d016c}},	//   _nita, llsj, _צייַ, vuwe_, 
   {{0x2eed123b,0x7c3a2e9c,0x8af70248,0x0f3500d7}},	//   _poef_, _nytr, _şəmk, نکرد, 
   {{0x6d5a7f52,0x3ee40141,0x2d9d7f53,0xfe71009c}},	//   _aita, лючв, tuwe_, شگر_, 
   {{0x6d5a7f54,0xa2a60d0d,0xd24400b3,0x9f04189a}},	//   _bita, _छात्, _бэри, دونو, 
   {{0x6d5a7f55,0x2d9d7f56,0x27390098,0x32090379}},	//   _cita, ruwe_, ménu_, mzay_, 
   {{0x6d5a7f57,0xdb03063b,0x6d4801f5,0x2d9d487b}},	//   _dita, stní, _dhda, suwe_, 
   {{0xe9d91033,0x8e8400eb,0x2d9d0226,0x6d5a7f58}},	//   дки_, _ملفه, puwe_, _eita, 
   {{0x6d5a05f0,0x79890118,0x2b4d0474,0x32090054}},	//   _fita, usew, rmec_, nzay_, 
   {{0x6d5a7f59,0x79890246,0x2bc2153d,0xf8db0790}},	//   _gita, rsew, _वैवा, बाइय, 
   {{0x7989008a,0xe72a0e52,0x7d016f4d,0x7cf400b9}},	//   ssew, донд_, _ills, _pàrv, 
   {{0x6d5a7f5a,0x680611e9,0x6e3b016a,0x44441475}},	//   _zita, _séjé, _kyub, _rz_, 
   {{0xf2df0029,0x7ae97f5b,0x44447f5c,0x64450870}},	//   _phân_, mjet, _sz_, _azhi, 
   {{0x7ae97f5d,0x44447f5e,0xdddb0571,0x81e70086}},	//   ljet, _pz_, _oduž, বনা_, 
   {{0x28a63e8a,0x29050014,0x23361a57,0x6e3b7f5f}},	//   _खाति, mhla_, вхар, _lyub, 
   {{0x7ae9452b,0x61e445d5,0xc3237f60,0xb5fb0126}},	//   njet, txil, амск, zcái, 
   {{0xf2df0029,0x7d010038,0x3320243f,0x76446f74}},	// [75c0] _thân_, _olls, rnix_, _uziy, 
   {{0x443a7f61,0x44447f62,0x425541f4,0x7ae97f63}},	//   _typ_, _tz_, утст, hjet, 
   {{0x44447f64,0x20561472,0x7afb7f65,0x7fd500dd}},	//   _uz_, ттар, kkut, ліці, 
   {{0x7d015519,0x7ae912f8,0x7afb00ef,0x65640053}},	//   _alls, jjet, jkut, _kuih, 
   {{0x6d5a03ef,0x7ae971f3,0xbea31efe,0xd17600f0}},	//   _pita, djet, рачк, _шыны, 
   {{0x1d330451,0x656400c8,0x973d090e,0xb5fb010e}},	//   анія, _muih, muće, tbáz, 
   {{0x9fc7065b,0x2f5613c3,0xb5fb0038,0x09bc0425}},	//   _игра_, _атас, rcái, ्ट्य, 
   {{0x6d5a7f66,0x7afb7f67,0xab2700ce,0xb5fb00eb}},	//   _wita, gkut, која_, scái, 
   {{0x6d5a7f68,0x7c3a0035,0x973d0097,0xee37189f}},	//   _tita, _wytr, nuće, _ант_, 
   {{0x6d5a002e,0x9c7c27cd,0x7afb3f0a,0x00000000}},	//   _uita, _poču, akut, --, 
   {{0xa09b0137,0x27397f69,0x8ac600cf,0x7ae97f6a}},	//   וייט, ként_, _аёлл, bjet, 
   {{0x973d00d0,0x7d18383b,0x2905020b,0x00000000}},	//   kuće, livs, ahla_, --, 
   {{0x973d003a,0x6564011c,0x19940cfe,0x7e600175}},	//   juće, _cuih, _саля, _mgmp, 
   {{0x973d090b,0x77630183,0x29050377,0x656400a1}},	//   duće, _funx, chla_, _duih, 
   {{0xd7ef7f6b,0x93887f6c,0x386e0183,0x55583ffa}},	//   _ту_, кста_, _iffr_, таря_, 
   {{0x7d18203b,0x273900da,0x00000000,0x00000000}},	//   hivs, ténu_, --, --, 
   {{0xdb1a022b,0x973d08b1,0x45d52189,0x356b00a3}},	// [75d0] _istä, guće, _сопс, _ўрин_, 
   {{0xc7ad006b,0x7f49024a,0x27391102,0x7cf43952}},	//   _بڑی_, _sheq, rénu_, _xàrt, 
   {{0x6e3b2622,0x7535003d,0xf484004e,0x46aa09d8}},	//   _syub, mozz, _туын, _कामह, 
   {{0x75357f6d,0x3fc6004e,0x395c1950,0xf2df0108}},	//   lozz, ыруғ, _livs_, _khâm_, 
   {{0x3da70d5c,0x7ae97f6e,0xa184058b,0x41e400e4}},	//   треб, vjet, _высл, _кіра, 
   {{0x753562de,0x6b550009,0x40350ab5,0x7ae97f6f}},	//   nozz, _išgi, _бегс, wjet, 
   {{0xa3cc02c3,0x4fc46880,0x7ae97f70,0xbfa81dbc}},	//   लिए_, _кста, tjet, _итте_, 
   {{0x05c302e6,0x7cfd011c,0x49c91087,0x7afb018e}},	//   षबाब, _tèro, елин_, ukut, 
   {{0x7ae97f71,0x9c7c0254,0x7afb7f72,0x7cfd011c}},	//   rjet, _počt, rkut, _hèrm, 
   {{0x7ae97f73,0x77631c71,0x57e91a63,0x6f1900f8}},	//   sjet, _punx, едом_, liwc, 
   {{0x7ae97f74,0x656400c8,0x7cfd023e,0x29057f75}},	//   pjet, _suih, _jèrm, rhla_, 
   {{0x6f1900f8,0x7aa4004f,0x7cf400a1,0x8f9a00df}},	//   niwc, _виїз, _fàrs, עירי, 
   {{0x59b710ae,0xf2df00e7,0x29190183,0x80ca0033}},	//   _अहिर, _châm_, ésas_, রাত্, 
   {{0xc99200eb,0xdb1a00c8,0x75357f76,0x07a502a0}},	//   _الوظ, _estä, gozz, _бакн, 
   {{0x6564105b,0x00000000,0x00000000,0x00000000}},	//   _wuih, --, --, --, 
   {{0xf2a300b3,0x316900ad,0xdd85010e,0x2a6d7f77}},	//   йисп, fqaz_, _وڈ_, nceb_, 
   {{0x91e301d0,0x75357f78,0x26c27f79,0x98ac01dd}},	// [75e0] боте, bozz, meko_, lodā_, 
   {{0x26c27f7a,0x27395898,0x5156481f,0x753502a3}},	//   leko_, béns_, утбу, cozz, 
   {{0x28a6190a,0x9f47026e,0xdb1a0088,0x27390042}},	//   _खासि, šný_, _ystä, céns_, 
   {{0x26c27f7b,0x973d00d2,0xa2e60a31,0x6e46009c}},	//   neko_, puće, _сомд, هنام, 
   {{0xa3cc0586,0xb5fb02be,0x00000000,0x00000000}},	//   लिक_, scáv, --, --, 
   {{0x26c201ca,0xac182473,0x635c0175,0x6b8100f3}},	//   heko_, колу_, _kōno, _bwlg, 
   {{0x62860da2,0x7d18098d,0x26c27f7c,0x6fc802e6}},	//   _keko, rivs, keko_, _रनिं, 
   {{0x26c20f30,0x7cf400d3,0x6f190156,0x62860118}},	//   jeko_, _càrr, ciwc, _jeko, 
   {{0x26c202ba,0x60ce023b,0xbef700a7,0x5886001c}},	//   deko_, _kabm, _עצמו_, лына, 
   {{0x57b47f7d,0x62867f7e,0xd90d11b7,0xd8f8004f}},	//   абот, _leko, وین_, тної_, 
   {{0xeb977f7f,0xdb03026e,0x394200e0,0x62861136}},	//   _бих_, stná, ēks_, _oeko, 
   {{0x628604d1,0x26c2099d,0x6d4f0036,0x3ea67f80}},	//   _neko, geko_, _ècar, ngot_, 
   {{0xf2df001b,0xadf900c9,0x00000000,0x00000000}},	//   _giây_, ्नयन_, --, --, 
   {{0x7982044d,0x67d40176,0x00000000,0x00000000}},	//   _iwow, _воку, --, --, 
   {{0x75357f81,0x62867f82,0x26c20a9f,0x99470038}},	//   rozz, _beko, beko_, _حلول_, 
   {{0x41e70fb6,0x6286023e,0x42753721,0xb2757f83}},	//   ліза, _ceko, ргас, рлаш, 
   {{0x161c11bd,0x925902a0,0x349527fe,0xc1150bad}},	// [75f0] _पेपर_, таат_, _капр, амај, 
   {{0x1007239b,0xa3cc00c9,0xdddb00da,0x7cfd0118}},	//   ляем, लिख_, _neuš, _pèrm, 
   {{0x99760083,0x155a00df,0x00000000,0x00000000}},	//   nęły_, _שכתב, --, --, 
   {{0x62860dde,0x2fca0065,0xa26400fd,0x7c2d04d6}},	//   _geko, _dsbg_, _гърл, şark, 
   {{0x6f190156,0x78b802a5,0x00000000,0x00000000}},	//   riwc, _obvv, --, --, 
   {{0x26c20414,0xeb9933a9,0xe3b00a24,0x7cfd7f84}},	//   zeko_, вик_, _بری_, _tèrm, 
   {{0x26c27f85,0x79826f55,0x62860547,0x1d0600fd}},	//   yeko_, _awow, _yeko, рещи_, 
   {{0x26c201f1,0x7982052b,0xdab9012d,0x241800d1}},	//   xeko_, _bwow, тыкі_, טחון_, 
   {{0x31af3321,0x09057f86,0x6ca72140,0x26c27f87}},	//   nüz_, ипин, _مصال, veko_, 
   {{0xbc6800eb,0x6b450169,0xab871acb,0x26c27f88}},	//   _ممكن_, cógn, _будк, weko_, 
   {{0x26c27f89,0x28a6000f,0x7b1700d9,0x7cf4022c}},	//   teko_, _खारि, lţum, _tàrr, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xd8f500c5,0x26c27f8a,0x38ca00d4,0x6b450228}},	//   _پزشک, reko_, رایی_, lógo, 
   {{0x62863269,0x26c27f8b,0x88bc00bc,0x486700fd}},	//   _seko, seko_, lněn, _съдб, 
   {{0x07a57f8c,0x26c201f1,0x833a004f,0x62867f8d}},	//   _тайн, peko_, вчат_, _peko, 
   {{0xaabd2290,0x05662ac3,0xb22611e7,0x236b02d9}},	//   ्यटक, _квин, амбл, _žijí_, 
   {{0x62867f8e,0xf26701d7,0xdc34020b,0x9c820ed0}},	// [7600] _veko, риул_, _rúčk, áčka, 
   {{0x344a01bb,0xb05a0038,0xdb0300c2,0x5fd62849}},	//   _үчүн_, نشاط_, ltnä, ицеф, 
   {{0x62867f8f,0x0fd91c0f,0x9e663b33,0xc05900dd}},	//   _teko, льцы_, авед, гії_, 
   {{0xf98700c5,0x205532e8,0x69d97f90,0x88bc00bc}},	//   _وب_, стур, _orwe, jněn, 
   {{0x63be0065,0xae160077,0x60ce006d,0x88bc00bc}},	//   _hppn, _देशन_, _tabm, dněn, 
   {{0x80ca00cc,0x260700aa,0x3ea60495,0x7cf4022c}},	//   রাহ্, हनती_, sgot_, _pàrq, 
   {{0xb5fb03b7,0x69d90156,0x7ac64547,0x69cb7f91}},	//   ncár, _arwe, аспе, _asge, 
   {{0xbea37f92,0x00000000,0x00000000,0x00000000}},	//   _маск, --, --, --, 
   {{0xdca61ddf,0x38c800d4,0xf8b826ef,0x6c96007a}},	//   _вази, هادی_, гөй_, _نشاط, 
   {{0xa3e60351,0xd90e1fdb,0x7f427f93,0x2732115d}},	//   पमा_, بیت_, lloq, mány_, 
   {{0x69d902f2,0x47354913,0xda6f049b,0x30d900c7}},	//   _erwe, йнос, _мя_, אַרע, 
   {{0x88bc00bc,0xd8380097,0x7bda008a,0x00000000}},	//   cněn, ngči_, _irtu, --, 
   {{0x973d00f1,0x7ae27f94,0xceb300a7,0x96470009}},	//   guća, _inot, חיר_, рэнд, 
   {{0xb0d5009a,0xd90e009c,0x31af0761,0xd498112d}},	//   _डोंग, _آید_, vüz_, ирс_, 
   {{0x27320019,0xd7fa0886,0xe7867f95,0x13687f96}},	//   hány_, _јул_, _туло, ишти_, 
   {{0xe7050a5a,0x63be0065,0xdb1a16b9,0xa3cc00ae}},	//   _دستی, _dppn, _astú, लिज_, 
   {{0x335800d9,0x51877f97,0xb5fb0068,0x20670267}},	// [7610] ратэ_, руба, acár, ађев, 
   {{0x7bda7f98,0x88bc02d9,0x27326ed7,0x31af0d16}},	//   _ortu, zněn, dány_, rüz_, 
   {{0x83f9345e,0xa26700fd,0x7ae26529,0x31af0213}},	//   _сенс_, _въгл, _onot, süz_, 
   {{0xdb1a0deb,0xa85700a7,0x2cac01f5,0x48dd00b0}},	//   _estú, ביבה_, _acdd_, _कोनो_, 
   {{0xd08700c8,0x88bc00bc,0x6b6a0035,0x2732535f}},	//   _выби, vněn, _węgl, gány_, 
   {{0x2bd3483e,0x7ae200a7,0xfbd100eb,0x7bda02be}},	//   थिला, _anot, كتب_, _brtu, 
   {{0x7f420107,0x88bc00bc,0x7f9441ef,0x4ea70165}},	//   bloq, tněn, _марх, _врза, 
   {{0x7bda7f99,0xcac90088,0xdb03024a,0xd5b90ca0}},	//   _drtu, угие_, munë, ेबाज, 
   {{0x88bc00bc,0x80ca0086,0x7cfd011c,0x3ead7f9a}},	//   rněn, রার্, _lèri, _icet_, 
   {{0x09057f9b,0x60c502f2,0x7ae27f9c,0x628d012b}},	//   спон, nehm, _enot, haao, 
   {{0xdab900e4,0x88bc00bc,0xd90d009c,0x00000000}},	//   _былі_, mněl, ویچ_, --, 
   {{0x6d43022b,0x0a1800c5,0x7ae201c5,0x98ac020f}},	//   llna, افیک_, _gnot, todă_, 
   {{0xe8ee7f9d,0x69d90199,0x7cfd022c,0x63be0175}},	//   _ел_, _urwe, _aèri, _sppn, 
   {{0x4aa70394,0x7ae27f9e,0x973d0ab4,0xdb0302ae}},	//   _गाँव, _znot, ruća, stnä, 
   {{0x68fc7f9f,0xe29a3dc0,0x69c93fb8,0x973d02c7}},	//   örde, лав_, lwee, suća, 
   {{0x6aa97fa0,0xadf90827,0x27f801a4,0xb5fb069a}},	//   ngef, ्नान_, ärne_, rcár, 
   {{0xb5fb060f,0x9c82012d,0x69c97fa1,0x3dcd008a}},	// [7620] scár, ščia, nwee, _nsew_, 
   {{0x26d2086d,0x343a024f,0x27327fa2,0x6aa901c4}},	//   _hayo_, _مسجد_, vány_, hgef, 
   {{0x26d203eb,0x63be0801,0x33d5004f,0xdb1a0228}},	//   _kayo_, _uppn, _діят, _vstú, 
   {{0x69c97fa3,0xbea601f7,0x26d202a5,0x27323589}},	//   kwee, садк, _jayo_, tány_, 
   {{0x26d27fa4,0xdd8f1057,0x644a015e,0x6da31234}},	//   _mayo_, فون_, šlić, зича, 
   {{0xd1322751,0x26d21a71,0x973d015e,0x06e400a5}},	//   _رمز_, _layo_, mrće, गाँव_, 
   {{0x973d03ef,0x8fa30d5c,0xb60602ee,0x6aa91ded}},	//   dućn, _наре, lišč, fgef, 
   {{0x26d21889,0x49747fa5,0x79a60ff6,0x68e37fa6}},	//   _nayo_, олис, брое, _annd, 
   {{0xdce20062,0xb6060352,0x3eb300ad,0xa96702a0}},	//   spođ, nišč, əxt_, биња_, 
   {{0xa2da07d5,0x973d02f5,0xdd8f00eb,0xd8e6094a}},	//   _पोस्, gućn, _أول_, сцип, 
   {{0x06e40fcf,0x26d27fa7,0x7d0800fb,0x7bda01d6}},	//   गांव_, _bayo_, _ilds, _urtu, 
   {{0x26d27a22,0x2d49033c,0x6f027fa8,0x68e302a5}},	//   _cayo_, núen_, nkoc, _ennd, 
   {{0xe894154d,0xf8b80ecf,0x7afd7fa9,0x7cfd00d3}},	//   _даль, _көн_, öste, _sèri, 
   {{0xb60611c8,0xf76f00c5,0x7cfd49f2,0x3ceb01a4}},	//   dišč, بای_, _pèri, चाये_, 
   {{0x249f03c0,0xf1bf7faa,0x6b550528,0x00000000}},	//   ğum_, _spá_, _išgr, --, 
   {{0x6ec40d4f,0x26d27fab,0x249f0213,0x63787a9b}},	//   _रसगु, _gayo_, şum_, ссёр_, 
   {{0x291e0088,0x50f57fac,0x672d011c,0x7d1a045a}},	// [7630] oita_, озат, _ijaj, _omts, 
   {{0x291e2546,0x26d20199,0x8319009c,0x506701a2}},	//   nita_, _zayo_, _چقدر_, стаа, 
   {{0x672d00ef,0x26d20199,0x6f020380,0xf53f27fd}},	//   _kjaj, _yayo_, fkoc, stås_, 
   {{0x291e7fad,0x2a66006d,0x7d1a44b0,0x141a00d1}},	//   hita_, _ngob_, _amts, _כותב, 
   {{0x291e7fae,0x14de009a,0x7cfd0118,0xdd9b0d3d}},	//   kita_, _फोडण, _mèrv, уше_, 
   {{0x672d1e1f,0x291e7faf,0x21ba00c7,0xdb037fb0}},	//   _ljaj, jita_, _דזשא, punë, 
   {{0x973d01b4,0x81bb0086,0xf53f0c17,0x2d490042}},	//   jućo, _আছি_, mråd_, búen_, 
   {{0x69c90056,0x6f0200ef,0x973d00d2,0x7d087fb1}},	//   twee, ckoc, dućo, _elds, 
   {{0x6aa90c20,0x26d200e9,0x9c7c0304,0xae1600a2}},	//   rgef, _rayo_, _inčn, _देऊन_, 
   {{0x26d27d59,0x69c90b1f,0x6aa901c4,0x88bc00bc}},	//   _sayo_, rwee, sgef, lněj, 
   {{0xb17b0750,0x69c968c6,0x26d20c3d,0x973d044e}},	//   _fråg, swee, _payo_, gućo, 
   {{0xe73a4d06,0x05060086,0xf2df0023,0x7cfd00f6}},	//   рем_, _ঈদের_, _khâu_, _cèrv, 
   {{0x291e7fb2,0x958313f2,0x15ba4547,0x6f092854}},	//   bita_, мляе, шыны_, _mlec, 
   {{0x240a01a2,0x973d0112,0x290c7fb3,0x26d202b8}},	//   анги_, vrće, chda_, _wayo_, 
   {{0x26d20268,0xc7460629,0x764d2b1f,0xf53f017b}},	//   _tayo_, _وضعي, _ezay, ttår_, 
   {{0xa22a02c4,0x7bc10183,0xb606008b,0x98ac0009}},	//   ажба_, _mplu, tišč, rodą_, 
   {{0x256f0540,0xdce000d9,0x88bc00bc,0x6f022593}},	// [7640] _gül_, _jumă, dněj, vkoc, 
   {{0xa2da000c,0xf53f0533,0xb60602ee,0x6f092ac3}},	//   _पोर्, står_, rišč, _alec, 
   {{0x2d4903da,0x7bc1006f,0x753c7fb4,0x6f097fb5}},	//   túen_, _nplu, morz, _blec, 
   {{0x63a10187,0x290c5c22,0x44447fb6,0x753c0035}},	//   álne, zhda_, _iy_, lorz, 
   {{0x444420db,0x6f020b32,0xf2df0029,0xdce0002e}},	//   _hy_, rkoc, _châu_, _numă, 
   {{0x44447fb7,0x6f09173f,0x291e0a9f,0x6f027fb8}},	//   _ky_, _elec, xita_, skoc, 
   {{0x444420db,0x6f097fb9,0x88bc02d9,0x46aa7fba}},	//   _jy_, _flec, bněj, _कांह, 
   {{0x44447fbb,0xaec35487,0xada618ae,0x394500d3}},	//   _my_, _обсл, _мабл, ells_, 
   {{0x291e6058,0x753c006a,0x764404c6,0x44447fbc}},	//   tita_, korz, _nyiy, _ly_, 
   {{0x44447fbd,0x672d00f1,0xeb9a048a,0xa81403dc}},	//   _oy_, _sjaj, _виж_, здош, 
   {{0x44447fbe,0x291e15da,0xdce9090b,0xe1ff00e7}},	//   _ny_, rita_, _steć, _ngón_, 
   {{0x290c00cf,0xa2da21d2,0x76440610,0x249a020f}},	//   shda_, _पोल्, _byiy, _adpm_, 
   {{0x44447fbf,0x291e6e02,0x753c7fc0,0x7c2d010c}},	//   _ay_, pita_, forz, şart, 
   {{0x44447fc1,0x657d7fc2,0x81c20033,0x973d00ca}},	//   _by_, rpsh, ্মা_, pućo, 
   {{0x4444099d,0x987b035c,0x764401b8,0x291c0610}},	//   _cy_, _דרוק, _eyiy, _imva_, 
   {{0x44447fc3,0x63a7090b,0x657d2032,0xf2df0108}},	//   _dy_, rujn, ppsh, _nhât_, 
   {{0x44440a8b,0x88bc031e,0x33297fc4,0x71780a66}},	// [7650] _ey_, vněj, rnax_, жбур_, 
   {{0xd49b0593,0x444402bf,0x6f090b32,0x673d540f}},	//   _три_, _fy_, _slec, losj, 
   {{0x6f097fc5,0x44440298,0x656d7fc6,0xf53f0c17}},	//   _plec, _gy_, _huah, rråd_, 
   {{0xdb0309e8,0x656d0548,0x518700d3,0x2d490183}},	//   puné, _kuah, _муга, túeo_, 
   {{0x237f0062,0x7bc17fc7,0x44440379,0x6565011c}},	//   ćuju_, _splu, _zy_, _kihh, 
   {{0x88bc00bc,0x68f82af2,0x00000000,0x00000000}},	//   sněj, _novd, --, --, 
   {{0x6b45020b,0x656d0348,0xcfb40093,0x69c21a44}},	//   lógi, _luah, _обръ, _apoe, 
   {{0xb17b1d4b,0x753c7fc8,0x6f1b024d,0x212100ef}},	//   _tråd, zorz, _umuc, lihh_, 
   {{0x3b0d7fc9,0x44330054,0x673d7fca,0x2a3400b9}},	//   rheq_, _lxx_, dosj, дээр, 
   {{0x6565016a,0xdd9300f0,0x635c03a0,0x973d035f}},	//   _nihh, _нағы, _dčny, sućl, 
   {{0x6d417fcb,0x753c7fcc,0x6445006d,0x60d57fcd}},	//   _ikla, vorz, _nyhi, _mazm, 
   {{0x44447fce,0x656d170d,0x753c00ab,0xdb2300d4}},	//   _ry_, _buah, worz, _توصی, 
   {{0x44447fcf,0x753c7fd0,0xf96b0a10,0x7cfd00f6}},	//   _sy_, torz, _трей_, _fèrt, 
   {{0xb97a0486,0x24917fd1,0x76440027,0x00000000}},	//   _הנסי, gazm_, _vyiy, --, 
   {{0x987a0070,0x6386012d,0x7af9011d,0x60ca0248}},	//   _פאקט, ягва, _kowt, _ölmə, 
   {{0x7e690633,0xe363527c,0x6b9c02c9,0xfbd2027a}},	//   _ngep, екси, _ærge, עתן_, 
   {{0x65f900f6,0x753c7fd2,0x5bb807bd,0x44447fd3}},	// [7660] _дээр_, porz, _आह्व, _wy_, 
   {{0x44447fd4,0x205611db,0x3ebf02dc,0xd24f0038}},	//   _ty_, птер, _abut_, انك_, 
   {{0x44447fd5,0x212600d2,0x09b70033,0xb4fb00d1}},	//   _uy_, đoh_, জিটা, _הפיי, 
   {{0x6d410c3d,0x48dd0d2e,0xb17b0566,0x00000000}},	//   _akla, _कोसो_, _dråb, --, 
   {{0x6284128a,0x26c00053,0xccf81753,0xae1603ce}},	//   mbio, _mbio_, оқа_, _देखन_, 
   {{0x60d57fd6,0x7e69084c,0x29050df4,0x673d0372}},	//   _gazm, _egep, jkla_, zosj, 
   {{0x69c20318,0x7af97fd7,0x64450065,0x6d580844}},	//   _spoe, _bowt, _xyhi, rmva, 
   {{0x6d417fd8,0x79a62918,0x7cfd011c,0x628401d6}},	//   _ekla, прое, _bèrs, nbio, 
   {{0x6da3694b,0x60d5091f,0xada37fd9,0x673d7fda}},	//   _пита, _yazm, _патл, vosj, 
   {{0x2905011d,0x290a1d04,0x49ca0148,0x80ca0033}},	//   gkla_, óba_, _ҳукм_, রাক্, 
   {{0x673d7fdb,0x7af9008a,0x7cfd7fdc,0x656501be}},	//   tosj, _fowt, _vèrt, _rihh, 
   {{0xe7ed00b0,0xb9037fdd,0x973d00ca,0x6d4102d9}},	//   _छपरा_, _पो_, mućk, _zkla, 
   {{0xb0ac02f8,0x673d7250,0xcb1307e4,0xceb3027a}},	//   _चांग, rosj, _אלף_, עיש_, 
   {{0x2ec90d7c,0x2905014e,0x38c80019,0x291c0199}},	//   _रस्त, ckla_, _ذاتی_, _umva_, 
   {{0x58bb00a7,0x673d02c7,0x88bb00d1,0x38cb0535}},	//   _המוצ, posj, _המוז, _دانی_, 
   {{0xd7f70258,0x00000000,0x00000000,0x00000000}},	//   _хуш_, --, --, --, 
   {{0xb606014b,0xd2340093,0x26cb750f,0x00000000}},	// [7670] _práš, ентъ, meco_, --, 
   {{0x26cb7fde,0x26c00613,0x3ebf0175,0x00000000}},	//   leco_, _zbio_, _sbut_, --, 
   {{0x628401d8,0x7bdc010e,0xd011189a,0x245900b3}},	//   bbio, _áruh, خلا_, _фань_, 
   {{0x6d417454,0x26cb019c,0x2121016a,0x200f0083}},	//   _skla, neco_, sihh_, ągi_, 
   {{0x200706e0,0x9f5c031e,0x3f987fdf,0x6d4100ef}},	//   šni_, ává_, _evru_, _pkla, 
   {{0xee3802fb,0x518707f9,0x8c45001c,0x26cb02be}},	//   чні_, _муҳа, меле, heco_, 
   {{0x628f6db1,0x6d41014b,0x7af90035,0x98c402d9}},	//   _keco, _vkla, _powt, štěm_, 
   {{0x6441006a,0x2ef500a3,0xa3c500b0,0x7cfd7fe0}},	//   żliw, _ўзар, _एहन_, _pèrs, 
   {{0x8c67004e,0x29050098,0xdb1a0354,0x6d4102be}},	//   _етед, tkla_, _astó, _tkla, 
   {{0x2739006b,0x48050b0c,0xdb037fe1,0x628f10cc}},	//   mény_, дпов, muní, _leco, 
   {{0x628f7fe2,0x26cb0369,0xa6ca1eb4,0x629d5cae}},	//   _oeco, feco_, олна_, _odso, 
   {{0x628f7fe3,0xeab00038,0x29050098,0x7cfd011c}},	//   _neco, _معه_, skla_, _tèrs, 
   {{0xe8f50038,0x62840bff,0xe617017b,0x00000000}},	//   _يستخ, vbio, ддя_, --, 
   {{0xd8252189,0x628f00b9,0x629d0139,0x00000000}},	//   _одли, _aeco, _adso, --, 
   {{0x628f00a7,0x98ac00bc,0x26cb7fe4,0xd4677fe5}},	//   _beco, hodě_, beco_, дире_, 
   {{0x26c003ef,0x628f7fe6,0x26cb00b4,0x00000000}},	//   _ubio_, _ceco, ceco_, --, 
   {{0x628f44ab,0x62847fe7,0x23270258,0xa09a0038}},	// [7680] _deco, rbio, фоти_, قضاء_, 
   {{0x8cbf1011,0x629d7fe8,0x9c7c0237,0xc0a90038}},	//   ल्मो, _edso, _enčj, كامل_, 
   {{0x628f02a3,0x6b45010e,0x2d800243,0x00000000}},	//   _feco, lógu, ģiem_, --, 
   {{0xe80e034d,0x6da67fe9,0x628f012e,0x00000000}},	//   ानता_, дида, _geco, --, 
   {{0x2739010e,0x00000000,0x00000000,0x00000000}},	//   gény_, --, --, --, 
   {{0x7afd2082,0x00000000,0x00000000,0x00000000}},	//   östn, --, --, --, 
   {{0x69dd01cc,0x00000000,0x00000000,0x00000000}},	//   æsen, --, --, --, 
   {{0x26cb00b9,0x00000000,0x00000000,0x00000000}},	//   xeco_, --, --, --, 
   {{0x26cb7fea,0xbebd0009,0x00000000,0x00000000}},	//   veco_, _smūg, --, --, 
   {{0xcce600eb,0x98c64bf2,0x2ca700d3,0x57f40d75}},	//   _تسري, фсил, _окуп_, епот, 
   {{0x7c6500eb,0x26cb0deb,0xdb0a0219,0x69d300c2}},	//   _كامل, teco_, ttfä, _बैठी, 
   {{0x6d4a7feb,0xdb1a7bd9,0xa96a01a2,0x798b03c6}},	//   llfa, _estò, _дида_, _fwgw, 
   {{0x628f7fec,0x26cb210a,0x2768015f,0xdb030032}},	//   _reco, reco_, _کشتی_, ntný, 
   {{0x628f0e95,0xdb0a128d,0x00000000,0x00000000}},	//   _seco, stfä, --, --, 
   {{0x3eaf0f70,0xd6db269c,0x628f01d8,0x2739014b}},	//   yggt_, _дтп_, _peco, zény_, 
   {{0x973d04ab,0xe6677fed,0x35b57fee,0x80c10c64}},	//   kući, _отпо, _збир, र्ने, 
   {{0x973d14f0,0x443f00ab,0x628f7fef,0xa19400d3}},	// [7690] jući, łu_, _veco, катч, 
   {{0x973d034c,0x7b1700d9,0x2739010e,0xc5f20486}},	//   dući, nţur, vény_, _עדי_, 
   {{0x442714f9,0xa2950451,0xb4cb00a2,0x929511f8}},	//   _än_, _пані, ळजी_, _панц, 
   {{0x629d02c9,0xe0cf0033,0x273975af,0x6d4a5a83}},	//   _udso, রাইভ, tény_, elfa, 
   {{0x973d02f5,0x427a035c,0xada50cdf,0x317900c7}},	//   gući, _מארג, халл, _מאָד, 
   {{0x78710019,0xabd52189,0x00000000,0x00000000}},	//   _művé, ециј, --, --, 
   {{0x8c427ff0,0xac097ff1,0x00000000,0x00000000}},	//   леше, янка_, --, --, 
   {{0x0dcb00d9,0x6d4a0382,0x00000000,0x00000000}},	//   _музи_, alfa, --, --, 
   {{0xc8b50235,0x1d350093,0x09e54d6b,0x00000000}},	//   нсны, _зная, хопн, --, 
   {{0x178501a2,0xb4ce00bd,0x3f6806a2,0x6c84007a}},	//   нгом, _रसे_, _uğur_, _للكم, 
   {{0xb8d70a44,0x2d8d01e5,0x80ca0033,0x00000000}},	//   _छा_, _hwee_, রাচ্, --, 
   {{0xe5a67ff2,0x290e4e25,0x00000000,0x00000000}},	//   ними, _elfa_, --, --, 
   {{0x7e7b0053,0xaa0701c9,0x98a500d9,0x00000000}},	//   _mfup, _تظاه, _зиле, --, 
   {{0x25740750,0x2d8d1a9c,0xe81a109f,0x80c136be}},	//   _väl_, _mwee_, _फेका_, र्मे, 
   {{0xa3e77ff3,0xdddb07bb,0xd37236a7,0x98a50243}},	//   ндра_, _neuž, اهر_, solē_, 
   {{0xdb030098,0x00000000,0x00000000,0x00000000}},	//   ytný, --, --, --, 
   {{0xcb1200c7,0xae1f0299,0x0577007a,0x00000000}},	// [76a0] אלן_, _मेलन_, _كمية_, --, 
   {{0x46c1000d,0x4f960a10,0x7e7b045a,0x973d0304}},	//   ष्ठह, ерду, _afup, vući, 
   {{0x6606041f,0x2d8d02a5,0x24b70070,0xa4b700d1}},	//   lykk, _awee_, _אהין_, _אליה_, 
   {{0x216a7ff4,0x3f860032,0xc7b20225,0x63bb0474}},	//   _ними_, ďou_, רבא_, ăunt, 
   {{0x62967ff5,0x63ae51c4,0x00000000,0x00000000}},	//   mayo, lubn, --, --, 
   {{0x62967ff6,0x61461cb8,0x7aeb7ff7,0xb17b0219}},	//   layo, _чега, _angt, _krån, 
   {{0x1fb5081b,0xdb0316ed,0x63bc084c,0x973d00ca}},	//   _истр, stný, ntrn, sući, 
   {{0xa0677ff8,0x6e930084,0x62967ff9,0xdd923629}},	//   _часа_, _ملفا, nayo, _مور_, 
   {{0x9f36004e,0x88bc00bc,0x95ef29c4,0xc7ba0176}},	//   _жеңі, knět, _चपेट_, ӯён_, 
   {{0x92cc0086,0x7b15001d,0x62967ffa,0x6606512c}},	//   লায়_, _náuf, hayo, dykk, 
   {{0xf53f022b,0x62962b31,0x60c1027e,0x082a00c8}},	//   från_, kayo, _ölme, яции_, 
   {{0x78010176,0x1dd40249,0x00000000,0x00000000}},	//   рӯша, _धनात, --, --, 
   {{0x62961272,0x8afb00d1,0x05e80543,0x9c7c7ffb}},	//   dayo, _מהאי, нфри_, _anči, 
   {{0x63a17ffc,0xdb03014b,0x290e023e,0x25a4039f}},	//   álno, muná, _ulfa_, ámla_, 
   {{0x63ae1993,0xa29500e4,0xf72b00b3,0x00000000}},	//   gubn, каві, _нций_, --, 
   {{0x629651f1,0xdb180228,0xa6db04f4,0xe2f800f0}},	//   gayo, ftvé, boða, несі_, 
   {{0x4ac2119b,0x30a77ffd,0xa0a72a8b,0xaac21f19}},	// [76b0] व्यव, ерев, ешел, व्यक, 
   {{0xb17b0219,0x62960102,0x6b457ffe,0x33757fff}},	//   _från, aayo, nógr, _игор, 
   {{0x62968000,0xa3c5007e,0xe7e300b0,0x2d8d00e2}},	//   bayo, _एहि_, गिया_, _swee_, 
   {{0x629600e9,0xfe700629,0x316a00b4,0x63a80ed9}},	//   cayo, مده_, _eibz_, ádne, 
   {{0x4ea41fcd,0x00000000,0x00000000,0x00000000}},	//   урха, --, --, --, 
   {{0x31351234,0xe1ff0108,0x7b0e00a1,0x7f85007a}},	//   _регр, _ngói_, _rùua, _للسن, 
   {{0xf53f1bde,0x7f951a57,0x00000000,0x00000000}},	//   yrån_, _шавх, --, --, 
   {{0x2d8d1e97,0x2bc200a2,0x1ae5537d,0x7e7b0548}},	//   _twee_, _शहरा, тоим, _ufup, 
   {{0x0edd00ab,0x7e64044e,0x2eed4552,0x80c12511}},	//   _नोएड, žipr, _inef_, र्थे, 
   {{0x62960a64,0x74ad1a21,0x00000000,0x00000000}},	//   zayo, _जागृ, --, --, 
   {{0xe73a8001,0x62967b6c,0x3cfa0070,0x2eed00a1}},	//   ден_, yayo, _קלענ, _knef_, 
   {{0xfbd2042c,0x6606512c,0xd62a8002,0x80c11281}},	//   _כתב_, tykk, доме_, र्ते, 
   {{0x6726383f,0x62968003,0x4ada00c9,0xaa88007a}},	//   rikj, vayo, _मोटव, _أنهم_, 
   {{0x6d4300a9,0x290b00e0,0x6606092c,0x6296052b}},	//   nona, īcas_, rykk, wayo, 
   {{0x65c1032e,0x62968004,0x66068005,0x67261f3f}},	//   _құра, tayo, sykk, pikj, 
   {{0x6d438006,0x2d80002e,0x63ae0098,0x24850585}},	//   hona, ţiei_, rubn, ılma_, 
   {{0x6d438007,0x629600cf,0x973d0704,0x65d602f1}},	// [76c0] kona, rayo, guću, _рўйх, 
   {{0x6d438008,0x62968009,0x2eed016a,0x224b0626}},	//   jona, sayo, _anef_, _dyck_, 
   {{0xf9f90086,0x629602dc,0x224b0183,0x3f9c026a}},	//   েছিল_, payo, _eyck_, évu_, 
   {{0x8fa30c09,0x443a0068,0x799b6171,0x629601ff}},	//   раце, _ixp_, ksuw, qayo, 
   {{0x6d43800a,0x9db711fe,0x2b4d1503,0x00000000}},	//   fona, ندوز_, dlec_, --, 
   {{0x6d43800b,0x80c10a09,0x6b550009,0xdfd2010e}},	//   gona, र्दे, _išgy, _پير_, 
   {{0x61e600ef,0x60dc161c,0x2ec403fd,0x3cfe00f6}},	//   _hrkl, _iarm, _бөлм, _votv_, 
   {{0x61e60613,0x2b4d00ca,0xe6dc08dd,0x00000000}},	//   _krkl, glec_, ययोज, --, 
   {{0x6d43800c,0x6f000094,0x6b453c3d,0x799b2244}},	//   bona, _iomc, tógr, gsuw, 
   {{0x6d43800d,0x61e6015e,0x998d0035,0x67240175}},	//   cona, _mrkl, dzeń_, _amij, 
   {{0x3cdb119b,0x6f00800e,0x2b4d00ca,0x6b45800f}},	//   _गोटे_, _komc, blec_, rógr, 
   {{0x60dc8010,0x75270b32,0x6f000065,0x7c3a00a4}},	//   _larm, wijz, _jomc, _ixtr, 
   {{0x6f0300ce,0x6f00003a,0x6b45001d,0xcb6702a0}},	//   ênci, _momc, pógr, _раце_, 
   {{0x6f008011,0x06248012,0x798d009e,0x672402a5}},	//   _lomc, рфюм, _çawa, _emij, 
   {{0x7527012e,0x61e60009,0x00000000,0x00000000}},	//   rijz, _arkl, --, --, 
   {{0x45d50200,0x6d48011c,0x301500f0,0x61e6203b}},	//   _боис, _lkda, ңдар, _brkl, 
   {{0x998d00ab,0x2fca02a5,0x2fd80027,0x6d5a00b9}},	// [76d0] czeń_, _apbg_, _asrg_, _ohta, 
   {{0x672403ef,0x764d03c3,0x6d4300a3,0x3ce21f5e}},	//   _zmij, _iyay, xona, _टोले_, 
   {{0x60dc8013,0x61e68014,0x6d438015,0x2eff8016}},	//   _darm, _erkl, vona, _pouf_, 
   {{0x6d488017,0x6d438018,0x224b0219,0xe7e316df}},	//   _akda, wona, _tyck_, गिता_, 
   {{0xddc58019,0xdca5801a,0x61e6032f,0x51870148}},	//   убли, гали, _grkl, _шуна, 
   {{0x3f4700b0,0x621a0486,0x60dc801b,0x6d5a0534}},	//   tõus_, _טורק, _garm, _chta, 
   {{0x5f94801c,0x4a751b17,0x4a73005e,0x6f000065}},	//   _вист, лыпт, қықт, _fomc, 
   {{0xe9d9801d,0x799b0364,0x764d011d,0x6d43801e}},	//   еки_, tsuw, _oyay, sona, 
   {{0x6d43801f,0x60dc8020,0x764d8021,0x32098022}},	//   pona, _yarm, _nyay, nyay_, 
   {{0x672402a8,0x6d4309c7,0x29113a5e,0x7c3a01f2}},	//   _smij, qona, óza_, _fxtr, 
   {{0xd82517b4,0x764d094c,0x776d010c,0x95fe0083}},	//   удни, _ayay, _biax, ॉन्ट_, 
   {{0xa3e704d7,0x4a748023,0x290c0102,0x24983414}},	//   पिन_, _кышт, akda_, warm_, 
   {{0x7d011bbd,0x64400095,0x249801f2,0x776d009e}},	//   _kols, əmiy, tarm_, _diax, 
   {{0x69d9007b,0x58878024,0x764d0237,0x7afb3ffd}},	//   _iswe, _рыда, _dyay, ljut, 
   {{0x61e602fe,0x39450caf,0x764d01a3,0x24988025}},	//   _srkl, mols_, _eyay, rarm_, 
   {{0x7afb286b,0x60dc8026,0x672408e3,0x80c14f69}},	//   njut, _sarm, _umij, र्से, 
   {{0x60dc8027,0xdb0a00fb,0x764d0539,0x00000000}},	// [76e0] _parm, rtfø, _gyay, --, 
   {{0x61e600ca,0x69d90118,0x98a50028,0xdb030248}},	//   _vrkl, _mswe, rolė_, bunç, 
   {{0x60dc2380,0xdee62f3f,0xbeaa00d4,0x94bb00a7}},	//   _varm, ложи, فهان_, _אמית, 
   {{0x69cb1e97,0x6d5a8028,0xee3a0904,0x7f5b02f1}},	//   _opge, _shta, нне_, _chuq, 
   {{0x7d013ba5,0x60dc8029,0x7afb11b1,0x8fa3004e}},	//   _bols, _tarm, djut, _қате, 
   {{0x7d01802a,0x394500f6,0x272b0237,0xfbd20038}},	//   _cols, jols_, _kònè_, متع_, 
   {{0x6f00802b,0x69d9802c,0x61e4802d,0x79822d6b}},	//   _tomc, _aswe, lvil, _stow, 
   {{0x290302ae,0x7afb14f8,0x25a00237,0x61e401a4}},	//   öjan_, gjut, _ovil_, ovil, 
   {{0x7d01012c,0xee370093,0x80c11a21,0x776d00a1}},	//   _fols, _бнт_, र्वे, _riax, 
   {{0x41bb00c7,0x973d00ef,0x91bb0070,0xd90e0019}},	//   עציע, mrći, עמיי, ثیت_, 
   {{0x4735802e,0x61e42afb,0x3b86802f,0x290c25e7}},	//   инос, hvil, _слег, rkda_, 
   {{0x7bda8030,0xd6db0769,0x61e48031,0x2d49001d}},	//   _istu, хто_, kvil, búes_, 
   {{0x776d09a1,0x2bd00035,0x160c017d,0x457200f0}},	//   _viax, थौरा, हनगर_, оңыр, 
   {{0x61e48032,0x69c00009,0xdb1a02aa,0x272b0237}},	//   dvil, mtme, _estô, _bònè_, 
   {{0xd7ef022c,0x61e42708,0xd4980c0f,0xa87b00a7}},	//   _уу_, evil, ыря_, _ארוח, 
   {{0x2bac1295,0x2d8405ae,0x69c08033,0x00000000}},	//   _घटना, _otme_, otme, --, 
   {{0x69c08034,0xa5f93ffa,0xdb0302aa,0x765a0083}},	// [76f0] ntme, _репу_, sunç, ętyc, 
   {{0x69c08035,0x7bda007e,0x926837c9,0xae1f0299}},	//   itme, _ostu, урса_, _मेगन_, 
   {{0x7d010511,0xff074d6b,0x69c000b0,0xb17b2104}},	//   _rols, лядн, htme, _kråk, 
   {{0x7d018036,0x2d9d52fc,0x61e48037,0x69c00a79}},	//   _sols, tswe_, bvil, ktme, 
   {{0x7d010484,0x6cf03024,0x51844211,0x628d36e8}},	//   _pols, चांग_, _гуса, mbao, 
   {{0xfce52caa,0x7d013a4f,0xdce80118,0xb69b0054}},	//   роко, _qols, _fidč, ghâz, 
   {{0xaa0d000d,0x7d018038,0x3945022c,0x2d84027e}},	//   िन्छ_, _vols, vols_, _etme_, 
   {{0x7d018039,0x69c035f6,0x9b050240,0x628d0210}},	//   _wols, ftme, рзид, nbao, 
   {{0x7afb0077,0xa2dd0262,0x3945803a,0xdb1800bc}},	//   rjut, _पसन्, tols_, ctví, 
   {{0x7d010065,0x7afb3d00,0x26c902a5,0xa925803b}},	//   _uols, sjut, _abao_, рдол, 
   {{0x7b150068,0xb17b0611,0x6aa70086,0x69c000a7}},	//   _cáuc, _bråk, ক্ষো, atme, 
   {{0xf746803c,0x9666176b,0x3945803d,0x69d90364}},	//   ремо, икне, sols_, _tswe, 
   {{0x69d909a4,0xda1d00aa,0x3945803e,0x69c07152}},	//   _uswe, _बेचत_, pols_, ctme, 
   {{0x7c383768,0x2bdc190a,0x2bda0466,0x2ed200b5}},	//   _çarç, _मनमा, भिचा, _सस्त, 
   {{0xe29a0cd9,0xdb0300c2,0x232a0d4a,0x43760259}},	//   кав_, punä, вови_, ругт, 
   {{0x25a0004f,0x628d011d,0x27ea0566,0x7989095a}},	//   _tvil_, gbao, æbne_, opew, 
   {{0x64a6803f,0x31263f98,0xf8d9009a,0x61e40151}},	// [7700] _капа, адаг, _बघाय, uvil, 
   {{0xa0a61e91,0x0ce00086,0x9c7c6664,0x91a70f7a}},	//   ражд, _বক্ত, _kače, _चिरै, 
   {{0x33d6004e,0x9c7c090e,0xd17400f0,0x98be0243}},	//   _тіпт, _jače, рығы, notā_, 
   {{0x539b0056,0x527507f9,0x61e48040,0x25ad0228}},	//   _ביטו, _гуру, pvil, šele_, 
   {{0xd83810ea,0x80c107d5,0x9c7c0121,0x1ea90038}},	//   mače_, _रॉके, _lače, طاني_, 
   {{0xd8380588,0x61eb0566,0x16d300bc,0x0ba68041}},	//   lače_, ægle, _तस्ब, ашим, 
   {{0xed5702a6,0x41270e12,0x00000000,0x00000000}},	//   јој_, _торо_, --, --, 
   {{0xa3e70509,0x2ba7000f,0xd8384652,0x7bda063b}},	//   पित_, _गिरा, nače_, _vstu, 
   {{0xb997012d,0x3f6806a2,0x999700d3,0x5d86243d}},	//   авых_, _oğuz_, акыт_, _ضلال, 
   {{0xdde900c5,0xc8660978,0x9c7c034c,0x69c000a7}},	//   _حرفه_, итни, _bače, rtme, 
   {{0x7bda8042,0x69c08043,0x8c468044,0xeb9a00d9}},	//   _ustu, stme, _теже, _рие_, 
   {{0xf53f31b7,0xdce900c3,0x61e98045,0x070b0176}},	//   pråk_, _iweġ, _šelm, тхои_, 
   {{0xd8388046,0x55071054,0x9c7c0097,0x661d00bc}},	//   dače_, ачва, _tačd, uzsk, 
   {{0xf806004f,0x7afd02ae,0x00000000,0x00000000}},	//   _вчин, östv, --, --, 
   {{0xb17b2920,0x68fc00b0,0xe4e40009,0x7b0701d6}},	//   _tråk, ördu, ціян, _iñur, 
   {{0xd83802ee,0x4275011f,0x7cfd0118,0x26c9095a}},	//   gače_, сгас, _dèry, _ubao_, 
   {{0x9c7c11c8,0xcad700d1,0xe80e00bc,0x00000000}},	// [7710] _zače, סומת_, ानका_, --, 
   {{0x7778006d,0xe4a75900,0x2ba72227,0x00000000}},	//   _kuvx, _трио, _गिला, --, 
   {{0xd83807c7,0x200700d9,0x39490183,0x4ac600bd}},	//   bače_, âni_, _íase_, लभाव, 
   {{0x623500b3,0xdfd50259,0x00000000,0x00000000}},	//   _гему, _қобы, --, --, 
   {{0xe4ec252e,0x63b505ff,0x00000000,0x00000000}},	//   _छोडि_, luzn, --, --, 
   {{0x973d00ef,0xeb9900a3,0x8b9505f3,0xb0c60249}},	//   mrću, гик_, брич, र्दग, 
   {{0xab298047,0xdfd800fd,0x00000000,0x00000000}},	//   лока_, _кът_, --, --, 
   {{0x2bb80035,0xd43800d1,0x00000000,0x00000000}},	//   _इमरा, יטוי_, --, --, 
   {{0x3ce20081,0x9c7c11b1,0xd5ed00e7,0xa92500a3}},	//   _टोके_, _sače, _ngà, йдил, 
   {{0x2903008c,0xe8f98048,0xa3c908d2,0xa2c92a48}},	//   ðja_, уло_, ोबा_, _हॉस्, 
   {{0x66e603dc,0xb8cf0299,0x00000000,0x00000000}},	//   бона, _ओय_, --, --, 
   {{0x273202ee,0x63b50b91,0x15ba03a1,0xfb84009c}},	//   kšne_, duzn, лыгы_, _بگوی, 
   {{0x99850084,0xd83806c4,0xda78048a,0x7afd0dba}},	//   _التو, vače_, _тях_, östu, 
   {{0x9c7c0082,0x63a814d9,0x00000000,0x00000000}},	//   _tače, ádno, --, --, 
   {{0xd7fb0a43,0xd838026e,0x80ca02e6,0x7bc301d2}},	//   _шуд_, tače_, स्फे, ntnu, 
   {{0x23270283,0xf7438049,0xa06a01ff,0x3179039f}},	//   боси_, _нещо, ҳаза_, _busz_, 
   {{0xd8380412,0x31711ca8,0x21a6804a,0x7bc300c2}},	// [7720] rače_, _bizz_, сизм, htnu, 
   {{0x644800b0,0xd838203b,0x7bc31226,0x7cfd0118}},	//   üdis, sače_, ktnu, _tèry, 
   {{0xd8380308,0xee86012d,0x447700d1,0xe7ea15c8}},	//   pače_, было, _לעיל_, टिया_, 
   {{0xdfcf1930,0xf48700d4,0xbda60038,0xbea31628}},	//   عين_, _پایی, محتو, зацк, 
   {{0x1d0a0665,0xdb0a804b,0x00000000,0x00000000}},	//   леди_, rtfü, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xdee60b0d,0x5ca603dc,0x28bd1ad9,0xdca62d60}},	//   _лови, _ҳизб, ्भनि, _ҳази, 
   {{0xef9100d4,0xa03700d1,0x2b400352,0x00000000}},	//   _آیند, _האלה_, čico_, --, 
   {{0x249a0327,0xee3a2b65,0x00000000,0x00000000}},	//   _oepm_, _сна_, --, --, 
   {{0xdce9003d,0x9d462960,0x00000000,0x00000000}},	//   _tweġ, _уезд, --, --, 
   {{0x6d4a11cd,0xd6d517fc,0x7bc301d2,0x885800d9}},	//   mofa, ожны, ctnu, ринс_, 
   {{0x6d4a804c,0xab66804d,0xa3e700c9,0x205700a7}},	//   lofa, _увел, पिस_, מייל_, 
   {{0xceb300d1,0xa3de017d,0xd946804e,0x00000000}},	//   היר_, _दैब_, _леди, --, 
   {{0x6d4a804f,0x63b5015e,0x973d015e,0x7ae28050}},	//   nofa, tuzn, vrću, _haot, 
   {{0x02a71ab7,0x93880088,0x7ae2007e,0x2418134f}},	//   йрам, йста_, _kaot, боры_, 
   {{0x6d4a8051,0x7ae200b0,0xe29f01d5,0xddc90083}},	//   hofa, _jaot, _boða_, _cześ, 
   {{0x6d4a514b,0x7ae28052,0x90996e53,0x31710604}},	// [7730] kofa, _maot, иват_, _pizz_, 
   {{0x672f00ab,0x7ae28053,0x29c2008c,0x7bc3026e}},	//   licj, _laot, iða_, ytnu, 
   {{0x660f022b,0x6d4a00a3,0x680a00ad,0x06dc0033}},	//   lyck, dofa, qədd, ধারি, 
   {{0x7ae206c2,0x3f8701dd,0x672f0083,0x31712283}},	//   _naot, īnu_, nicj, _wizz_, 
   {{0x6d4a8054,0xa6e30033,0x660f02ae,0x00000000}},	//   fofa, যাপট, nyck, --, 
   {{0x212a02f2,0x6d4a8055,0x9ce7010e,0xace9356d}},	//   _gmbh_, gofa, صوبے_, рмка_, 
   {{0x7ae28056,0xff531169,0x5ea50176,0x00000000}},	//   _baot, _فخر_, _ҳуҷҷ, --, 
   {{0x3eb908bb,0xc9a90093,0x2f18606f,0x7ae28057}},	//   _øst_, авие_, _лось_, _caot, 
   {{0x7ae202dc,0xdd9400d3,0x88d500e4,0x6d4a0415}},	//   _daot, _наты, оўні, bofa, 
   {{0xdd9300f0,0x660f00bc,0x77c91e70,0x6d4a8058}},	//   _мағы, dyck, алог_, cofa, 
   {{0x672f0463,0x7ae20465,0xdb182706,0x06e30033}},	//   ficj, _faot, stvá, যানি, 
   {{0x7ae20557,0xfbd00296,0x00000000,0x00000000}},	//   _gaot, _ستم_, --, --, 
   {{0x98a54326,0x18a50267,0xd54a0038,0x629f8059}},	//   _диле, _далм, لجسم_, daqo, 
   {{0x9c7c47ad,0xdd7a00c7,0x98a501dd,0xddc90035}},	//   _kača, יטשל, bilā_, _sześ, 
   {{0x9c7c04d1,0x68e3805a,0x629f805b,0x00000000}},	//   _jača, _iand, faqo, --, 
   {{0x2907805c,0x6abb805d,0x6d4a0053,0x4ad900a5}},	//   _hona_, nguf, zofa, ढ़िव, 
   {{0x68e3805e,0xe1fa0c67,0x2907805f,0x6d4a693b}},	// [7740] _kand, шга_, _kona_, yofa, 
   {{0x29078060,0xd838334f,0x3ebf37fa,0xeb1600bd}},	//   _jona_, lača_, _acut_, _तत्त_, 
   {{0x68e38061,0x29070364,0xe3b5004e,0x60c306df}},	//   _mand, _mona_, _нұр_, ònma, 
   {{0xa3c95cf9,0x29070364,0x645e8062,0xfdea00a3}},	//   ोबर_, _lona_, _izpi, идек_, 
   {{0x6d4a8063,0x212a02cd,0x29071ddb,0xdd9403a1}},	//   tofa, _tmbh_, _oona_, чалы, 
   {{0x68e38064,0x62848065,0x7ae28066,0x2fd100ca}},	//   _nand, lcio, _saot, _fpzg_, 
   {{0x26c01056,0xa4fb0147,0x00000000,0x00000000}},	//   _ocio_, ילסט, --, --, 
   {{0x68e30e47,0x9c7c76fc,0x6d4a8067,0x29078068}},	//   _aand, _dača, sofa, _aona_, 
   {{0x29078069,0xd838044e,0x6284806a,0x80ca00a2}},	//   _bona_, dača_, icio, स्थे, 
   {{0x68e3806b,0x29c2010d,0x2918806c,0x26c00183}},	//   _cand, rða_, óra_, _acio_, 
   {{0x2907806d,0x68e3014a,0x7ae2007e,0x9c7c0372}},	//   _dona_, _dand, _taot, _gača, 
   {{0x660f806e,0xd8380588,0x29070364,0x80ca1f9a}},	//   tyck, gača_, _eona_, स्ते, 
   {{0x68e3806f,0x9c7c1425,0xfa3600d6,0x645e0a9f}},	//   _fand, _zača, _براد, _azpi, 
   {{0x32d50029,0x62868070,0x29078071,0x660f014e}},	//   _ấy_, _afko, _gona_, ryck, 
   {{0x7d0801cc,0xd8380397,0x9c83014b,0x64748072}},	//   _mods, bača_, _účes, дгру, 
   {{0x68e38073,0xd8380613,0x6aa0095a,0x39800237}},	//   _zand, cača_, namf, _kòs_, 
   {{0x68e38074,0x29070364,0x629f8075,0x00000000}},	// [7750] _yand, _yona_, raqo, --, 
   {{0x68e38076,0x62848077,0x98ac012d,0x26d98078}},	//   _xand, acio, rodė_, leso_, 
   {{0x974300d0,0x3cfe241a,0x6aa08079,0x00000000}},	//   šćuj, लाने_, kamf, --, 
   {{0x6284807a,0x7d1a155b,0x9c7c807b,0x26d9807c}},	//   ccio, _alts, _rača, neso_, 
   {{0xfe7009e8,0x291e4617,0x672d0864,0x2369016a}},	//   نده_, khta_, _mmaj, mmaj_, 
   {{0xd838003a,0x8b95807d,0x629d807e,0x26d90415}},	//   zača_, прич, _heso, heso_, 
   {{0x29070194,0xce95807f,0xeb996993,0x629d2a82}},	//   _rona_, _навъ, щий_, _keso, 
   {{0x29078080,0x629d05f0,0x273202ee,0x7d1a040c}},	//   _sona_, _jeso, kšna_, _elts, 
   {{0xd838090b,0x629d8081,0xb17b0eca,0x6f1b0126}},	//   vača_, _meso, _gråt, _iluc, 
   {{0x2ba5002a,0x68e300cf,0x672d8082,0x7d081c47}},	//   pēc_, _qand, _amaj, _gods, 
   {{0xd8388083,0x6f1b1181,0x29078084,0x26d94910}},	//   tača_, _kluc, _vona_, feso_, 
   {{0xe6460648,0x3ce50533,0x29078085,0x398006df}},	//   земп, _halv_, _wona_, _fòs_, 
   {{0xe9ce8086,0xd83802f5,0x29078087,0x645e00ab}},	//   _як_, rača_, _tona_, _szpi, 
   {{0x291e4604,0x81c10086,0xb4c800b0,0x6f1b8088}},	//   chta_, ংবা_, ोजे_, _lluc, 
   {{0x629d8089,0xd838090b,0x26d9084c,0x6120010e}},	//   _beso, pača_, beso_, _hölg, 
   {{0x26d9127e,0x98a5002e,0x629d542f,0x26c000d2}},	//   ceso_, bilă_, _ceso, _ucio_, 
   {{0x28c20d95,0xc24366dc,0xe297058e,0x98a5020f}},	// [7760] _शामि, ентк, яат_, cilă_, 
   {{0x672d808a,0x6f1b2123,0x6284808b,0x78a1808c}},	//   _zmaj, _aluc, scio, nalv, 
   {{0x629d00f6,0x6f1b0036,0xa5bb069a,0x6f09808d}},	//   _feso, _bluc, nzón, _boec, 
   {{0x44440405,0x629d0691,0x78a1808e,0x3f8720dc}},	//   _ix_, _geso, halv, ínua_, 
   {{0x6f020382,0x7d08808f,0xed5a0cdf,0x5ea307cb}},	//   rjoc, _pods, бод_, رمول, 
   {{0xa06a0d11,0x78a10126,0xdb0a0f71,0x6022010e}},	//   _гага_, jalv, ntfö, _címé, 
   {{0xe7b60086,0x7d08257c,0x629d02a5,0x6e22010e}},	//   _জন্য, _vods, _yeso, szob, 
   {{0xdee38090,0x6120091f,0xa03b00c7,0xeb9702a6}},	//   _поси, _bölg, _העלפ, чић_, 
   {{0xdb0a02ae,0x291e0034,0x44448091,0x6aa08092}},	//   ktfö, thta_, _lx_, ramf, 
   {{0x672d8093,0x9c7c45f8,0x78a124a5,0x6aa08094}},	//   _smaj, _začn, galv, samf, 
   {{0x26d98095,0xdc75012d,0xf8b80108,0xab2a1dbd}},	//   teso_, _жыць, ghĩa_, _ложа_, 
   {{0x291e6d80,0x6d588096,0x56940eba,0x103700d1}},	//   shta_, llva, нают, לטים_, 
   {{0x629d8097,0x9c7c0613,0x61208098,0x6d588099}},	//   _reso, _jačo, _köld, olva, 
   {{0x26d91b75,0x629d0bc5,0xdb180219,0x98a50474}},	//   seso_, _seso, stvä, rilă_, 
   {{0x629d809a,0x26d9809b,0x291c809c,0x25b902fe}},	//   _peso, peso_, _ilva_, susl_, 
   {{0x083b03e1,0xd7bb00d1,0x7764008a,0x672d7311}},	//   _לעול, _הצהר, _ghix, _umaj, 
   {{0x9f4700eb,0x629d0352,0xf1dd0083,0x25ab809d}},	// [7770] íní_, _veso, _नैशन, _ادبي_, 
   {{0x23690082,0xe3b00019,0x629d809e,0x444443af}},	//   smaj_, ضرہ_, _weso, _fx_, 
   {{0xa3e1252e,0x6f09809f,0x25a94efc,0x09d900bc}},	//   _धनि_, _poec, _hval_, _भन्य, 
   {{0x25a9098d,0xde190038,0x657780a0,0x3ce580a1}},	//   _kval_, يقات_, _hixh, _salv_, 
   {{0x6f1b012e,0xd24400d9,0xb2741273,0x0d844e01}},	//   _vluc, _зэри, _плюш, елін, 
   {{0xd8380352,0x657700c3,0x00000000,0x00000000}},	//   jačo_, _jixh, --, --, 
   {{0x444480a2,0x9c7c1861,0x78a180a3,0x3ce5138e}},	//   _xx_, _tačn, valv, _valv_, 
   {{0x7b150187,0x6d580068,0x68f800b4,0xbdd50080}},	//   _záuj, alva, _anvd, _ообщ, 
   {{0xe29f3bf7,0x78a180a4,0x61200019,0x61ed80a5}},	//   _með_, talv, _föld, nval, 
   {{0xdb0300eb,0x36e600a5,0x61ed0ea5,0x6577008a}},	//   isné, _जोड़ी_, ival, _nixh, 
   {{0xf746491a,0x2ba707d5,0xa9c400d4,0x78a180a6}},	//   дено, _गिटा, وزیو, ralv, 
   {{0x61200019,0x272200e7,0x291c62bc,0x09f90038}},	//   _zöld, _móng_, _elva_, _وفاة_, 
   {{0x444480a7,0x78a135bf,0x7ae905d5,0xdb0a5cac}},	//   _sx_, palv, mdet, ttfö, 
   {{0x7ae980a8,0x61ed80a9,0xf8ce00e7,0x69c980aa}},	//   ldet, dval, _hứng_, mtee, 
   {{0x27220029,0xdb0a33e5,0x589400eb,0x69c980ab}},	//   _nóng_, rtfö, _أجهز, ltee, 
   {{0x7ae980ac,0x7e7b2c9f,0x680a0095,0xdb0a0d6b}},	//   ndet, _ngup, qəda, stfö, 
   {{0x69c9033d,0x26d2099d,0x7ae980ad,0x61ed80ae}},	// [7780] ntee, _ibyo_, idet, gval, 
   {{0x27220029,0x3ead01f0,0x7ae90088,0xc05a36e7}},	//   _bóng_, _adet_, hdet, орец_, 
   {{0x28cf3ace,0x69c9030f,0x61ed80af,0x0446170f}},	//   त्यि, htee, aval, _ценн, 
   {{0x7ae980b0,0x69c9214d,0xa25b026a,0x6d410082}},	//   jdet, ktee, _icôn, _ajla, 
   {{0x63bc80b1,0x7ae980b2,0xbea33f74,0x8d6a1329}},	//   lurn, ddet, тачк, ојка_, 
   {{0x09bc00cc,0x273202ee,0x7ae980b3,0x0b8a01a2}},	//   _অনলা, kšno_, edet, осии_, 
   {{0x63bc01d5,0x6120003e,0x69c980b4,0x26d202a5}},	//   nurn, _völd, etee, _obyo_, 
   {{0xf8ce001b,0x7ae96c24,0x9c7c0098,0x69c90139}},	//   _cứng_, gdet, _začl, ftee, 
   {{0x63bc80b5,0xddc30283,0x00000000,0x00000000}},	//   hurn, _ибти, --, --, 
   {{0x63bc80b6,0x26d22bc3,0x2bb000a5,0x2b490304}},	//   kurn, _abyo_, ींदा, čaca_, 
   {{0x8c3c0c05,0x9c83037f,0x7ae9023e,0x69c90539}},	//   _beğe, _účas, bdet, atee, 
   {{0x63bc80b7,0x657718e6,0x7ae900f6,0x00000000}},	//   durn, _sixh, cdet, --, 
   {{0x8c3c0c05,0x69c90b32,0x673d0946,0x6a160ce0}},	//   _değe, ctee, rnsj, _تبار, 
   {{0x61ed80b8,0x26d20298,0x63bc80b9,0x63b50083}},	//   vval, _ebyo_, furn, trzn, 
   {{0x63bc02f5,0xc60700cc,0x5bdc0527,0xd82f00d9}},	//   gurn, _লেখা_, _मनोव, _рэ_, 
   {{0x61ed3f13,0xf8ce00e7,0xe2f800f0,0x6296040b}},	//   tval, _xứng_, месі_, gbyo, 
   {{0x623480ba,0x80c800cc,0xd567093d,0x2722001b}},	// [7790] вету, রজন্, _отоп, _sóng_, 
   {{0x70940f5a,0x7ae90019,0x644501c1,0x3f873c2a}},	//   вафф, zdet, _txhi, ínuo_, 
   {{0x61ed80bb,0x9ed9005e,0x753580bc,0x69c90a9f}},	//   sval, змет_, mizz, ztee, 
   {{0x75356e80,0xd2500105,0x26dc00c7,0x69c900c8}},	//   lizz, انے_, ַקומ, ytee, 
   {{0xa3e74437,0x1db10ba3,0x00000000,0x00000000}},	//   पिक_, ुंधत, --, --, 
   {{0x753541e8,0x7bca0430,0x00000000,0x00000000}},	//   nizz, ftfu, --, --, 
   {{0x4fc48041,0x7bca0566,0x9c7c0144,0x00000000}},	//   _иста, gtfu, _kačj, --, 
   {{0x69c9030f,0x753501d8,0x4aa9112d,0x7e7b007c}},	//   ttee, hizz, чкин_, _ugup, 
   {{0x7ae918d0,0x9f34005e,0x22590d09,0x9c7c2470}},	//   rdet, _реті, _jysk_, _mačj, 
   {{0xccf4778e,0x7ae980bd,0x69c9357e,0xf8b10535}},	//   _ақш_, sdet, rtee, اکش_, 
   {{0x75350405,0x69c980be,0xa5bb039f,0x00000000}},	//   dizz, stee, szól, --, 
   {{0x69c980bf,0x6120010e,0x501a00d1,0x00000000}},	//   ptee, _kölc, פורו, --, 
   {{0x4a9a00c7,0x6b8180c0,0x75350036,0xe6171e6e}},	//   _זינג, _hulg, fizz, едя_, 
   {{0x6b8180c1,0x80cf0033,0x59d80083,0x00000000}},	//   _kulg, _হোস্, _बैटर, --, 
   {{0x6b8177f5,0x680a0095,0xf8b20486,0x588480c2}},	//   _julg, nədl, _עשה_, _рыча, 
   {{0xf7d600a7,0x0cdc021a,0x6b812a1d,0x26d20027}},	//   _נופש_, _यस्म, _mulg, _ubyo_, 
   {{0x753580c3,0x9c7c0397,0x629680c4,0x2aba027e}},	// [77a0] bizz, _sačm, rbyo, lübü_, 
   {{0x753500fd,0x63bc80c5,0x22590083,0x602680c6}},	//   cizz, purn, _dysk_, ндза, 
   {{0xf1ac047c,0xdefa021f,0x28c20586,0x749b00d1}},	//   _चिकन, зыл_, _शासि, _מייפ, 
   {{0x28cf5a67,0x73e380c7,0x26c280c8,0x06b20086}},	//   त्ति, _союз, ngko_, ট্রি, 
   {{0x5275004e,0xed5a02a6,0x127b0070,0xf2d30147}},	//   _ауру, под_, _מאכע, _גער_, 
   {{0x61e602f5,0x09d80086,0x7bca0844,0x6b8180c9}},	//   _iskl, তিমা, ttfu, _bulg, 
   {{0x99bc00cc,0x6143012d,0xdce100a1,0x2722020b}},	//   _অনেক, _сера, _ghlč, _zóne_, 
   {{0x200d0092,0x9c7c1dc8,0x28c2241a,0x6b816341}},	//   çmiş_, _kačk, _शाहि, _dulg, 
   {{0xf98f1c03,0x2bac009a,0xa3e7103d,0x00000000}},	//   یبی_, _घटका, _मैन_, --, 
   {{0x9c7c100c,0x6fc400a2,0x6b8180ca,0xf1b302a1}},	//   _mačk, ांपू, _fulg, נסת_, 
   {{0x7535007b,0x6b811530,0x7b6400b3,0x313700d1}},	//   vizz, _gulg, _иӂие, תנים_, 
   {{0x3cfe1ff6,0x29030219,0x09d80086,0x8c1b00a7}},	//   लावे_, öjar_, তিবা, _מובי, 
   {{0x753559f3,0xd6e30086,0xfba400ae,0x9c7c0604}},	//   tizz, যালয, _गौतम, _račj, 
   {{0x2b400062,0x225902ae,0xd90e010e,0xe4e4017b}},	//   čicu_, _rysk_, _چیک_, лісн, 
   {{0x753580cb,0x6b810496,0xd90e0a24,0xf367309a}},	//   rizz, _xulg, _نیک_, етан, 
   {{0x9c7c7a86,0x753580cc,0x290e0054,0x60c802ae}},	//   _bačk, sizz, _hofa_, _ödmj, 
   {{0x680a0095,0x3ea602dc,0xdcfb00ca,0x290e7745}},	// [77b0] zədl, daot_, _suuč, _kofa_, 
   {{0x98be00bc,0x68ea00c3,0x6aa20534,0xd49b4161}},	//   votě_, _jafd, _leof, _эри_, 
   {{0x439511b5,0x7b1c80cd,0x61e680ce,0xc4350444}},	//   _шанс, _réun, _eskl, _شکست, 
   {{0xdb010076,0x22594329,0x990c00bc,0x290e80cf}},	//   _ovlá, _tysk_, ाउँछ_, _lofa_, 
   {{0x646300f1,0x6b8100b0,0xa2f40cfe,0x00000000}},	//   štić, _sulg, _спяч, --, 
   {{0x271e0497,0x6b8180d0,0x7c870088,0x290e4f96}},	//   _पत्र_, _pulg, худе, _nofa_, 
   {{0xfaf10038,0xbebd18b9,0xa3e700aa,0x5e950038}},	//   لثة_, _plūd, _मैम_, _للأط, 
   {{0x6b81724a,0xb4cd0a09,0xe29f003e,0x9f450054}},	//   _vulg, रभु_, _boði_, _élà_, 
   {{0xe969227f,0x6b810083,0x28b900d9,0x00000000}},	//   маил_, _wulg, мунэ_, --, 
   {{0xc94400f0,0x79824758,0x3f834174,0x6b8101a4}},	//   лдық, _duow, _kuju_, _tulg, 
   {{0x978300d4,0x2ca778aa,0x28c21e25,0x00000000}},	//   دیبه, mand_, _शारि, --, 
   {{0x3f830613,0x25de1f5e,0x5a351279,0x00000000}},	//   _muju_, गबली_, _инет, --, 
   {{0x290e80d1,0x7aeb0566,0xb4cd02ab,0x3f83107c}},	//   _fofa_, _iagt, रभू_, _luju_, 
   {{0x2ca780d2,0x7aeb6f4d,0x9c7c80d3,0x00000000}},	//   nand_, _hagt, _račk, --, 
   {{0x64a380d4,0xdb01037f,0x3f8313b6,0x7aeb0026}},	//   раса, _zvlá, _nuju_, _kagt, 
   {{0x78a3155b,0x2b04072f,0x7aeb80d5,0x290e80d6}},	//   _henv, वायु_, _jagt, _zofa_, 
   {{0x7aeb80d7,0x21a66274,0x02e20262,0x5bae0586}},	// [77c0] _magt, тизм, _पसीन, _टि्व, 
   {{0x31230028,0x2ca780d8,0x7aeb80d9,0x3f8300ca}},	//   адуг, jand_, _lagt, _buju_, 
   {{0xb466662e,0x3f8300d2,0x2ca780da,0x93460314}},	//   _школ, _cuju_, dand_, _анне, 
   {{0x7aeb6574,0x9c7c80db,0xee3a367f,0x69d910f3}},	//   _nagt, _tačk, мне_, _opwe, 
   {{0x54360399,0x201c02fe,0x2ca780dc,0x28c20df2}},	//   _سرگر, švi_, fand_, _शालि, 
   {{0x2ca780dd,0x614680de,0x61e40548,0x9c7c80df}},	//   gand_, _рега, mwil, _kači, 
   {{0x9c7c0704,0x8fa603dc,0x61e473ec,0x8fa380e0}},	//   _jači, _шаве, lwil, _васе, 
   {{0xdd920071,0x9f4a03a1,0x9c7c80e1,0xa0671918}},	//   _نور_, _urbà_, _mači, _раса_, 
   {{0x78a380e2,0xd838133e,0x996637fa,0x61e44ed9}},	//   _benv, mači_, ктол, nwil, 
   {{0xd1050c59,0xd83a011f,0xd838090e,0x2ca700d9}},	//   रायण_, дэм_, lači_, cand_, 
   {{0xa77550eb,0x61e46559,0xdd3100ad,0x78a3801b}},	//   ллоч, hwil, ləşm, _denv, 
   {{0xb8f90f01,0x78a3051e,0xd838239a,0x659580e3}},	//   _डॉ_, _eenv, nači_, ламу, 
   {{0x61e4012e,0x95c82ee5,0xfb1b00d1,0x7ae080e4}},	//   jwil, кура_, _קודמ, memt, 
   {{0x78a302cc,0x2d840053,0x69c043bb,0x7ae080e5}},	//   _genv, _mume_, mume, lemt, 
   {{0x2d8480e6,0x25a00216,0xd8380144,0x24580080}},	//   _lume_, _ewil_, kači_, варь_, 
   {{0x3ea401cc,0x2ca780e7,0xae02017d,0x395e1096}},	//   _nemt_, zand_, लमान_, llts_, 
   {{0x9c7c02a6,0x2d84002e,0x60f9413e,0x3f830e34}},	// [77d0] _dači, _nume_, нная_, _suju_, 
   {{0x7bda00f1,0xdce8031e,0x31c40843,0xdbde0183}},	//   _optu, _vidě, јств, _líña, 
   {{0x69c080e8,0x2ca780e9,0x2d843d7f,0x00000000}},	//   hume, vand_, _aume_, --, 
   {{0xd838090e,0x63ba0228,0x3cfe1b6b,0x9c7c02c7}},	//   gači_, átne, _antv_, _gači, 
   {{0x2d842630,0x3cfe00ef,0x7bda00e0,0x3d19023e}},	//   _cume_, _bntv_, _aptu, _hèwi_, 
   {{0x8c4511db,0x9c7c80ea,0x69c080eb,0x7aeb80ec}},	//   леле, _zači, dume, _sagt, 
   {{0x7aeb80ed,0x2d8403da,0x4ea780ee,0x78a3026a}},	//   _pagt, _eume_, _арза, _renv, 
   {{0x7b150952,0x2d840742,0x69c080ef,0x2ca780f0}},	//   _náut, _fume_, fume, sand_, 
   {{0x2ca780f1,0x7aeb02c9,0x61200219,0x80ca0598}},	//   pand_, _vagt, _möln, स्के, 
   {{0x7aeb80f2,0x80e10086,0x2ca7040c,0x26c9019c}},	//   _wagt, নাক্, qand_, _acao_, 
   {{0xd05c06d0,0xec150133,0x7aeb80f3,0xc1d0031e}},	//   _barə, _حواد, _tagt, _सङ्ग, 
   {{0xc9f51fe8,0x69c07087,0x61e480f4,0x2ca500d1}},	//   _مستع, bume, ywil, _held_, 
   {{0x6d4380f5,0x69c007d4,0x69d9095a,0x9a8480f6}},	//   onna, cume, _upwe, _тухл, 
   {{0x9c7c0d26,0x272200d3,0xd83801b4,0x26cf014e}},	//   _sači, _dóna_, zači_, _ögon_, 
   {{0x2ca53085,0x68e180f7,0x3989418f,0x9c7c012d}},	//   _meld_, meld, _hús_, _pači, 
   {{0x28cf101f,0x61e40dac,0x2732008b,0x491b031e}},	//   त्रि, twil, kšni_, यसको_, 
   {{0xd83800f1,0x672480f8,0xb14613cc,0x626600ce}},	// [77e0] vači_, _ilij, гнал, уваа, 
   {{0x6aa980f9,0xdcfb0112,0x2d840097,0x68e180fa}},	//   haef, _otuđ, _rume_, neld, 
   {{0x9c7c00e4,0x672480fb,0x69c080fc,0xd17580fd}},	//   _tači, _klij, zume, рыты, 
   {{0x68e180fe,0x6d4380ff,0x69c0137f,0x78a800ca}},	//   held, enna, yume, zadv, 
   {{0x67240f30,0xd83800f1,0xdd8f00eb,0x68e18100}},	//   _mlij, rači_, كون_, keld, 
   {{0x69c00298,0xd838090e,0x9c7c0df4,0x1d078101}},	//   vume, sači_, _mačv, лечи_, 
   {{0xa0678102,0xd838015e,0x9a8400cf,0x7ae08103}},	//   _бара_, pači_, қуқл, temt, 
   {{0x5b140ca6,0x6d430eed,0x69c08104,0x2d848105}},	//   рмит, anna, tume, _tume_, 
   {{0xdbde0183,0x2ca50380,0x7ae08106,0xdb0a8107}},	//   _víña, _feld_, remt, nsfé, 
   {{0x2ca50dde,0x69c08108,0x67248109,0x68e1810a}},	//   _geld_, rume, _alij, geld, 
   {{0x67240536,0x6d5a0405,0x6ac60a5a,0x3157008d}},	//   _blij, _ikta, _مقام, ריין_, 
   {{0x78a8810b,0x9c7c1a35,0x67240542,0x2360006d}},	//   sadv, _bačv, _clij, jlij_, 
   {{0x672400ca,0x395e02b0,0x00000000,0x00000000}},	//   _dlij, plts_, --, --, 
   {{0x6724810c,0x7e7d0187,0x657e0aaf,0xd9434f37}},	//   _elij, _úspe, _ciph, _лечи, 
   {{0x657e0364,0x56952164,0x67240034,0x693300b3}},	//   _diph, _кайт, _flij, _ыншу, 
   {{0x290c02f5,0x57fb0056,0xf207810d,0x53342ea2}},	//   ljda_, _טלוו, лязо, бест, 
   {{0x6d5a810e,0x6d48032f,0x6d4300f8,0x680a00ad}},	// [77f0] _okta, _ojda, ynna, dədi, 
   {{0xb2741cbe,0x291e810f,0x657e012b,0x7b150126}},	//   слуш, nkta_, _giph, _jáur, 
   {{0xa2d008a9,0x60c50065,0x2ca508b0,0xaaa500bc}},	//   _डॉक्, rghm, _reld_, _गजलक, 
   {{0x539a0056,0x6d5a0529,0x61208110,0x06e30086}},	//   _שירו, _akta, _höll, যাকি, 
   {{0xdbde06b6,0xd8381a35,0x61208111,0x776d00a1}},	//   _síða, maču_, _köll, _mhax, 
   {{0x5bb58112,0x6d4328b1,0x27320864,0x8b050035}},	//   асиф, unna, ršni_, _mięś, 
   {{0x2ca50318,0x68e18113,0x39890183,0x6d438114}},	//   _veld_, veld, _sús_, rnna, 
   {{0xe9d940f3,0x7c2b1462,0x2ca502bf,0x68e18115}},	//   вки_, _đorđ, _weld_, weld, 
   {{0x13de00cc,0xaa455a98,0x6aa90149,0x68e18116}},	//   ডিয়, репл, raef, teld, 
   {{0xe8f63128,0x9c7c0613,0x67248117,0x7d7900d6}},	//   аль_, _račv, _slij, _شمار_, 
   {{0x6c840084,0x68e1357d,0xd706451d,0x6724027c}},	//   _المم, reld, азни, _plij, 
   {{0x7bc38118,0x398900eb,0xd8380588,0xb6060028}},	//   munu, _tús_, jaču_, ykšč, 
   {{0x7b740f1c,0xa9a5741b,0x7bc37977,0x68e18119}},	//   _اطلا, _тилд, lunu, peld, 
   {{0x4a4432af,0x291e0219,0xdb0a0380,0x9426013e}},	//   _унів, ckta_, zufü, амге, 
   {{0x53a60e65,0xa9560486,0x00000000,0x00000000}},	//   рабб, _דיסק_, --, --, 
   {{0x95865e5f,0xf7720105,0x46a30a27,0x96ba2c6d}},	//   _клие, _بات_, _даъв, _руку_, 
  
   {{0x7bc3811a,0x09b500c7,0x645e0035,0x657e0106}},	// [7800] hunu, יפּט_, _wypi, _tiph, 
   {{0x9c7c1a44,0x645e5094,0x201a024a,0x6120811b}},	//   _začu, _typi, typi_, _göll, 
   {{0x4ea62b5a,0x7bc3811c,0x680a0095,0x98bd017d}},	//   арла, junu, tədi, _एएनए, 
   {{0x7bc3811d,0xe80603a2,0xa6e2008c,0x14d2009a}},	//   dunu, षमता_, áðhe, द्रण, 
   {{0xcd062a65,0x4c9409f6,0x680a00ad,0xf1aa109f}},	//   ички, билс, rədi, _छबिन, 
   {{0x21a30fcc,0x71a30a27,0x7e6903f5,0x7bc30e35}},	//   _фирм, _фарз, _dzep, funu, 
   {{0x7bc3811e,0x237f026e,0x5043811f,0x1958004e}},	//   gunu, ňuje_, _дерб, ғаны_, 
   {{0x3f9a00c8,0x00000000,0x00000000,0x00000000}},	//   mppu_, --, --, --, 
   {{0x9c7c030d,0xa92a3756,0xacea0165,0x7bc3052b}},	//   _raču, віне_, _имаа_, aunu, 
   {{0x9c7c00f1,0x776d00cf,0xd838090e,0x69340235}},	//   _saču, _shax, začu_, ённу, 
   {{0x291e8120,0xb8ce03ce,0x6d5811b4,0xe838004f}},	//   rkta_, _ओज_, mova, упні_, 
   {{0xdc3b00d1,0x3cfe0790,0x7e600080,0x00000000}},	//   _בעבר, लाके_, _kymp, --, 
   {{0xe6678121,0xd838003a,0x094a2f0d,0x6b8856f6}},	//   ртно, vaču_, _ички_, _hudg, 
   {{0x80c27fdd,0x612006d0,0x7c2b04be,0x80aa02e6}},	//   _लागे, _bölm, _ömrü, टरफे, 
   {{0x93888122,0x80aa58c4,0x92a71eac,0x612024f4}},	//   иста_, टरने, ијал, _völl, 
   {{0x6d588123,0x27290218,0x6b886b39,0xa87b2665}},	//   hova, _bûne_, _mudg, _באור, 
   {{0x6d582b46,0xd8380112,0x673d8124,0x26db006d}},	// [7810] kova, raču_, misj, _ibqo_, 
   {{0x2b49034c,0x6d5805a8,0x7bc3008f,0x6b88064e}},	//   čaci_, jova, yunu, _oudg, 
   {{0x7e690019,0x93e702f1,0x241900f0,0x6b880186}},	//   _szep, _тўпл, _соны_, _nudg, 
   {{0x926b8125,0xef19007b,0x673d8126,0x0eb800f0}},	//   _арга_, _biża_, nisj, аушы_, 
   {{0x6d588127,0x7e60011c,0x7f49021e,0x8c3c0241}},	//   fova, _cymp, _vjeq, _değm, 
   {{0x7bc34d38,0xfce50152,0x7e600090,0x00000000}},	//   tunu, соко, _dymp, --, 
   {{0x256402ae,0x00000000,0x00000000,0x00000000}},	//   följ_, --, --, --, 
   {{0x7bc38128,0x0ae98129,0xd1051df3,0x673d024a}},	//   runu, удий_, रावण_, jisj, 
   {{0x6d581425,0x7bc3812a,0x3d94192f,0x661d055f}},	//   bova, sunu, _митр, jysk, 
   {{0x7bc3812b,0x6d583077,0x661d812c,0x00000000}},	//   punu, cova, dysk, --, 
   {{0xbb850084,0x673d00ef,0x753c01dd,0xe1ff010e}},	//   _الصي, fisj, virz, _szól_, 
   {{0x394403a1,0xb8262170,0x00000000,0x00000000}},	//   йнөг, союз_, --, --, 
   {{0xcb1200a7,0xe73702f3,0xaa0804bc,0x61200219}},	//   _מלא_, сея_, _نزول_, _dölj, 
   {{0x395c02fe,0xf99200a7,0x799b0102,0xa5c7003e}},	//   _gkvs_, _צרו_, mpuw, _stóð, 
   {{0x61200750,0x232a1297,0x64a6127a,0xc7950629}},	//   _följ, гови_, _қана, _اشتب, 
   {{0xe7ec15c8,0x935a812d,0x661d812e,0x6d5d003e}},	//   _जनता_, ургу_, bysk, _ísaf, 
   {{0x95c903b7,0xe0da812f,0xe1fa03a1,0x6d588130}},	// [7820] _куќа_, лва_, ыга_, yova, 
   {{0xd00a04a0,0x2bf90299,0xa0a62c77,0x7e600ff2}},	//   лезе_, ्मां_, сажд, _rymp, 
   {{0x7e600c04,0x63a90082,0x8e3a37e5,0x00000000}},	//   _symp, ćenc, گسار_, --, 
   {{0x8cda0390,0xdb0302ae,0x527633d4,0xdcfa0237}},	//   प्नो, nsnä, _гугу, _vitč, 
   {{0x9c7c02ee,0xee3a01d7,0x256402ae,0x6b8801ff}},	//   _načr, ынд_, jölk_, _sudg, 
   {{0x40ab0444,0xef1900a4,0x00000000,0x00000000}},	//   _مخفی_, _viża_, --, --, 
   {{0x661d00ab,0x9888010e,0x2bb70038,0x55770147}},	//   zysk, یحدہ_, ماية_, זעסן_, 
   {{0x6d588131,0x00000000,0x00000000,0x00000000}},	//   sova, --, --, --, 
   {{0x6d583759,0x5e4a3c93,0x673d004f,0x799b012b}},	//   pova, _спам_, visj, gpuw, 
   {{0x8c46123f,0x57b48132,0x661d7401,0x00000000}},	//   _лезе, обот, vysk, --, 
   {{0xa3e70da6,0xfce3391f,0x415b0070,0x673d8133}},	//   _मैं_, _хохо, רדיג, tisj, 
   {{0x95cb041d,0x2bdd00b0,0x3f8a02dc,0x661d00c8}},	//   луга_, _महता, _mubu_, tysk, 
   {{0x673d8134,0xdb0a0183,0x3f8a8135,0x2bc60110}},	//   risj, nsfí, _lubu_, रंवा, 
   {{0x92c50086,0x673d00dd,0x3f9801dd,0x661d0035}},	//   _এসে_, sisj, _otru_, rysk, 
   {{0xa3e400c9,0x661d03c5,0x3f8a0610,0x9c7c203b}},	//   पौल_, sysk, _nubu_, _začr, 
   {{0xc2993b35,0x1fce0086,0x69c08136,0x6b8255a7}},	//   рках_, রবাস, orme, _jiog, 
   {{0x3f8a07fc,0xb11500ba,0x60870038,0x6fcb00b0}},	// [7830] _aubu_, омаш, مشاك, _हमहू, 
   {{0x3f8a8137,0x69c00a75,0xdb18033d,0x00000000}},	//   _bubu_, irme, luvä, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x9df91eec,0x01c9006b,0x3f8a47a3,0xe2f9017b}},	//   инет_, _پوسٹ_, _dubu_, _темі_, 
   {{0xa227029a,0xf1ab007a,0x00000000,0x00000000}},	//   _طرحه, _حاجه_, --, --, 
   {{0xa1948138,0x61ef00f6,0x28d83263,0xe3b0015f}},	//   _харч, _iscl, _बॉलि, _تری_, 
   {{0xeb997b3e,0x251c0137,0x69c00f41,0xcfa400b3}},	//   ший_, רווא, erme, _ншти, 
   {{0x2ee601d2,0x4ea703a1,0x00000000,0x00000000}},	//   ceof_, _ырга, --, --, 
   {{0x6b828139,0x61fb032f,0x490303a1,0x3f8a00de}},	//   _diog, _šulj, зүлг, _zubu_, 
   {{0x3eaf2e76,0x0966010c,0x78a90267,0x3f8a016c}},	//   lagt_, şînê_, шког_, _yubu_, 
   {{0x18690925,0xfbdd034d,0xd70a00e4,0x574a1934}},	//   рани_, _महिम, анне_, изом_, 
   {{0x81e00086,0x6b82813a,0xdddb00ca,0x61ef007a}},	//   থিত_, _giog, _zguš, _oscl, 
   {{0xe9ce813b,0xdb0302ae,0x6a676564,0x3cfe009a}},	//   _юк_, rsnä, _اطال, लाचे_, 
   {{0xfbdd2158,0x2bc6248b,0xdb01004f,0x61200380}},	//   _महाम, रूवा, _avlø, _völk, 
   {{0x48ee02f8,0xa87900c7,0x61ef0a35,0x833a0163}},	//   _असतो_, _דאַר, _ascl, ачат_, 
   {{0xe29a02a0,0x798302f2,0x3f8a1a35,0x798b813c}},	//   раа_, _hinw, _rubu_, _kugw, 
   {{0x6aab006b,0x7983813d,0x3f9800ca,0xa5bb010e}},	// [7840] _megf, _kinw, _stru_, szór, 
   {{0x6aab0019,0x7983813e,0xe046366a,0x798b813f}},	//   _legf, _jinw, онзи, _mugw, 
   {{0x61ef66e4,0x4fea8140,0xdd990118,0x3f8a0226}},	//   _escl, рмен_, _atň_, _qubu_, 
   {{0x9e661d3c,0x57cc00c7,0x00000000,0x00000000}},	//   овед, רמאַ, --, --, 
   {{0x6b820465,0xacea02f1,0x2ee600df,0x00000000}},	//   _riog, имда_, reof_, --, 
   {{0x412a5d05,0x3f8a8141,0x8fa63b60,0xd6570486}},	//   _того_, _tubu_, _маге, חינת_, 
   {{0xdcfa00e0,0x6b8200fd,0xdfd205fa,0xbb2a0a10}},	//   _citā, _piog, _تيز_, ицие_, 
   {{0x81bd0086,0x798b0539,0xf53f0a98,0x00000000}},	//   _আহত_, _bugw, nsår_, --, 
   {{0x69c00c0c,0xc8780241,0x6ab900f3,0x6aab0090}},	//   urme, meği_, _ddwf, _degf, 
   {{0xdddb0571,0xdce800e0,0xada40467,0x38343f28}},	//   _uguš, _vidē, _мағл, знор, 
   {{0xab2a0bea,0xf09300a7,0x6b824aec,0x79836a4d}},	//   _кожа_, ונת_, _tiog, _dinw, 
   {{0x798301c4,0x569400af,0xc878027e,0xd7f800b3}},	//   _einw, мают, neği_, rvă_, 
   {{0xceb300a7,0x2cac0019,0x3f8400ef,0x6d4a8142}},	//   ויר_, _kedd_, _mimu_, onfa, 
   {{0x79830102,0x3f8401a3,0x6d4a8143,0x2cac00c3}},	//   _ginw, _limu_, nnfa, _jedd_, 
   {{0x68e88144,0x44258145,0x389b00d1,0x6d4a8146}},	//   medd, ál_, _דיונ, infa, 
   {{0x68e88147,0x61fd0571,0x2cac004f,0xd49a01a2}},	//   ledd, _prsl, _ledd_, ирӣ_, 
   {{0x8c3c0792,0x2cac02f0,0x94878148,0xfdc50033}},	// [7850] _deği, _oedd_, _мынд, _এন্ড, 
   {{0x68e88149,0x25a9033e,0xecc90586,0x2cac00f8}},	//   nedd, _iwal_, _राइफ, _nedd_, 
   {{0x3f8401a3,0x73c200f0,0x3eaf814a,0x00000000}},	//   _bimu_, _пәте, tagt_, --, 
   {{0x68e80156,0x25a9039b,0x5ede0033,0x00000000}},	//   hedd, _kwal_, _নোবে, --, 
   {{0x6da500cf,0x7de70084,0xc33200c7,0x68e80547}},	//   чила, تسام, _טוט_, kedd, 
   {{0x3eaf814b,0x61ed0727,0x68e8004f,0x6b9a02a5}},	//   sagt_, mwal, jedd, _bttg, 
   {{0x61ed01a3,0x2bc6031e,0x68e80090,0xc8780241}},	//   lwal, रूला, dedd, beği_, 
   {{0x7e7d026e,0xc87801f0,0x79830102,0x3f8401b8}},	//   _úspo, ceği_, _sinw, _gimu_, 
   {{0x61ed814c,0x7b1c0107,0x68e800f8,0x6aab043d}},	//   nwal, _réut, fedd, _vegf, 
   {{0x68e80547,0x3ead814d,0xab87069b,0x77c90028}},	//   gedd, _heet_, _дудк, блог_, 
   {{0x25a903f6,0x61ed0727,0x09e10086,0x3f850107}},	//   _awal_, hwal, বিধা, _élus_, 
   {{0xd5b800e0,0x7b1c0183,0xf7722e10,0x7983814e}},	//   ņām_, _déus, عاد_, _winw, 
   {{0x68e8814f,0x2d858150,0x7ae9007e,0x3ead8151}},	//   bedd, _kile_, meet, _meet_, 
   {{0x61ed8152,0x3ead8153,0x7ae98154,0x25a900a4}},	//   dwal, _leet_, leet, _dwal_, 
   {{0x69c98155,0x29078156,0xd46a00b3,0x2d858157}},	//   luee, _inna_, сиве_, _mile_, 
   {{0x2d858158,0x2b910023,0x29070175,0x969500d9}},	//   _lile_, _mác_, _hnna_, _орьш, 
   {{0x26d2099d,0x7bc30356,0x154611f0,0x2d858159}},	// [7860] _icyo_, hrnu, _неим, _oile_, 
   {{0x3f840010,0x7ae9815a,0x00000000,0x00000000}},	//   _simu_, heet, --, --, 
   {{0x7ae9815b,0x2cac004f,0xc8780241,0xa6db01d5}},	//   keet, _redd_, teği_, liða, 
   {{0x2d85815c,0x68e8815d,0x2cac815e,0x61ed0204}},	//   _aile_, zedd, _sedd_, bwal, 
   {{0x7ae92ef2,0x3ead815f,0xc878027e,0x5dda8160}},	//   deet, _deet_, reği_, сфер_, 
   {{0x2b910029,0x6d4a248c,0x2d858161,0x9d1701a2}},	//   _bác_, unfa, _cile_, зошт_, 
   {{0x2b910124,0x3f840ad1,0x6d4a12b7,0x7bc3015e}},	//   _các_, _timu_, rnfa, grnu, 
   {{0x2d858162,0x29078163,0xb99802fb,0x68e85d49}},	//   _eile_, _anna_, ових_, wedd, 
   {{0x2d85054f,0x68e88164,0x2cac039f,0xdcfa107c}},	//   _file_, tedd, _tedd_, _cită, 
   {{0xfe4511b7,0x2918008c,0x26d20027,0x63b50083}},	//   _تکمی, ðra_, _acyo_, yszn, 
   {{0x7d080022,0x61ed00ab,0xbc6a024f,0x7ae98165}},	//   _inds, zwal, _امان_, beet, 
   {{0x2d858166,0x68e88167,0x290701d8,0x25a90300}},	//   _zile_, sedd, _enna_, _pwal_, 
   {{0x7d1a8168,0xd4c500d3,0x58d4412c,0x69c901d2}},	//   _kots, мөнк, _жолт, cuee, 
   {{0x58d300ce,0x61ed438d,0x2d8503dd,0x25a905d5}},	//   _зошт, vwal, _xile_, _vwal_, 
   {{0x7d1a8169,0x63a914f0,0x2b910029,0x61ed01f2}},	//   _mots, ćeno, _xác_, wwal, 
   {{0x61ed816a,0x7d1a816b,0xe1ff11c9,0xe3b02140}},	//   twal, _lots, _pró_, طرف_, 
   {{0x2907816c,0x8ccd13ab,0x7d081950,0x3ead51bb}},	// [7870] _ynna_, _सालो, _onds, _reet_, 
   {{0x7bca0727,0x61ed816d,0x7d1a0180,0x2a66016a}},	//   kufu, rwal, _nots, _myob_, 
   {{0x61ed816e,0xd49813f2,0x672d816f,0x28d4017d}},	//   swal, _эры_, _klaj, _दानि, 
   {{0x7bc3003a,0x2b91001b,0x7d088170,0x672d01e5}},	//   vrnu, _rác_, _ands, _jlaj, 
   {{0x2a660e0c,0x7d1a8171,0x6e22006b,0x61ed3107}},	//   _nyob_, _bots, gyob, qwal, 
   {{0x3ead1e97,0x7bca8172,0x7ae98173,0x2b914654}},	//   _weet_, fufu, weet, _pác_, 
   {{0x2d85086d,0x7ae98174,0xdd910105,0x2a660065}},	//   _vile_, teet, روں_, _ayob_, 
   {{0x69c93f69,0x394c00a7,0x7d080502,0x2b918175}},	//   tuee, ends_, _ends, _vác_, 
   {{0x1dd1036e,0x7d1a05f0,0x7bc30112,0x3df502f1}},	//   _समित, _fots, srnu, _юзас, 
   {{0x2b9100f7,0x2d8511a1,0x66020450,0x672d8176}},	//   _tác_, _uile_, _šoko, _alaj, 
   {{0x6120010d,0x672d8177,0x6f1b06df,0x7ae98178}},	//   _tölv, _blaj, _kouc, peet, 
   {{0x98ad0e7b,0x23690201,0x7d1a0727,0x399203c6}},	//   ının_, jlaj_, _zots, _fâs_, 
   {{0x6f1b4f90,0x61200019,0x2b5f00bc,0x29070026}},	//   _mouc, _költ, mouc_, _tnna_, 
   {{0x6d438179,0x68450ecb,0x6f1b817a,0x290700dd}},	//   nina, _онла, _louc, _unna_, 
   {{0x3cf000ab,0x2369817b,0xc86700a3,0x00000000}},	//   _इससे_, flaj_, _этди, --, 
   {{0x6d43817c,0x2369817d,0x82f50093,0x63a200ca}},	//   hina, glaj_, нчуц, _čond, 
   {{0x2a66006d,0xd186011f,0x27e000ca,0x00000000}},	// [7880] _xyob_, длай, _ćini_, --, 
   {{0x69c602ee,0x672d1993,0x6e220548,0xdcfa0028}},	//   škeg, _zlaj, vyob, _kitą, 
   {{0x6f1b6d7d,0x2369817e,0x7f420033,0xdb0a00e5}},	//   _bouc, blaj_, tioq, ënës, 
   {{0x7d1a817f,0x3f9c01dd,0x6d430009,0x6f1b0c04}},	//   _sots, īvu_, eina, _couc, 
   {{0x7d1a8180,0xdd8f0ce0,0x9f650019,0x80ad0086}},	//   _pots, لون_, ítás_, _চার্, 
   {{0x6d436d5a,0x7bca8181,0xb0dd6de9,0x6f09359e}},	//   gina, tufu, न्दग, _enec, 
   {{0xfbcf00b1,0xa0678182,0x7d1a63bd,0x395e8183}},	//   لتي_, _жара_, _vots, vots_, 
   {{0x1b7700eb,0x7bca8184,0x7d1a0204,0x6d43023a}},	//   وصية_, rufu, _wots, aina, 
   {{0x6d438185,0x7bd88186,0x3ea68187,0x7d1a8188}},	//   bina, stvu, mbot_, _tots, 
   {{0x3ea600f8,0x7d08055f,0x6120008c,0x48141793}},	//   lbot_, _unds, _tölu, емос, 
   {{0xcb6a237f,0x672d8189,0x395e01dd,0x998202d9}},	//   _даже_, _plaj, rots_, šků_, 
   {{0x3a263d1f,0x6132818a,0xa9a602f1,0x61e6818b}},	//   _омег, _fælg, _жидд, _opkl, 
   {{0x613202c9,0x672d14d9,0x666400fd,0x7ae2818c}},	//   _kæld, _vlaj, върз, _ibot, 
   {{0xb34703b7,0xe4e4017b,0x00000000,0x00000000}},	//   _opçõ, кісн, --, --, 
   {{0x61e6012d,0x3ea607fc,0xa3d4818d,0xceb900d8}},	//   _apkl, kbot_, корч, _hoře_, 
   {{0x68f80022,0x44230035,0x672d0548,0x3ea602ae}},	//   _havd, ryj_, _ulaj, jbot_, 
   {{0x7ae200c5,0xe4a700d3,0x3495818e,0x291c128c}},	// [7890] _mbot, _орно, _папр, _kova_, 
   {{0x6d4324d3,0xeb1b02f8,0x3dc64c87,0x6f1b818f}},	//   xina, _फक्त_, drow_, _souc, 
   {{0xa3d600b5,0x6f1b1454,0xa3e700ab,0x506703dc}},	//   _समय_, _pouc, _मैच_, фтаа, 
   {{0x6d438190,0x68f8024a,0x41c702e6,0x3ea60008}},	//   wina, _lavd, _लिपस, gbot_, 
   {{0x6d438191,0x6f1b8192,0x9f4a00b9,0xf485015f}},	//   tina, _vouc, _arbó_, _تاکی, 
   {{0x68f88193,0x0d8402fb,0x7ae28194,0x3ea61a71}},	//   _navd, влін, _abot, abot_, 
   {{0x61320022,0x5064021f,0x3ea62468,0x6f1b8195}},	//   _sælg, _атта, bbot_, _touc, 
   {{0x3dc60c4e,0x61205616,0x63ba8196,0x00000000}},	//   brow_, _föls, átni, --, 
   {{0x6d438197,0x61200019,0x2734001b,0x64570183}},	//   pina, _tölt, _hãng_, _lxxi, 
   {{0x63a915ed,0x613201cc,0x291c8198,0x63ba008b}},	//   ćenj, _vælg, _cova_, štni, 
   {{0x291c8199,0x25a200e2,0x3f91044d,0x31580070}},	//   _dova_, wpkl_, _juzu_, ויזן_, 
   {{0x6565085b,0x06b00086,0xe7320411,0xef19008a}},	//   _akhh, _কাহি, اصد_, _biżi_, 
   {{0xa6db008c,0x273400e7,0x3f9139aa,0x2812009c}},	//   miðl, _lãng_, _luzu_, نویس, 
   {{0x7afb0a9f,0x613202c9,0x69db0034,0x68f801ff}},	//   ldut, _kæle, mtue, _gavd, 
   {{0x64570183,0x3945819a,0x187500c7,0x186600b3}},	//   _cxxi, mils_, _אײַך_, _паши_, 
   {{0x291c0082,0x23b103c1,0x14170038,0x3ebf3994}},	//   _zova_, _जबरद, ريقة_, _ndut_, 
   {{0x646200ab,0x7e69819b,0x3ea60300,0x200301f2}},	// [78a0] _świę, _nyep, vbot_, _arji_, 
   {{0x25a0819c,0x3ea63c04,0xb1436247,0x39451c3a}},	//   _itil_, wbot_, гнул, nils_, 
   {{0x9c7c1425,0xb4ac0838,0x205603dc,0xaec6819d}},	//   _obča, खरी_, хтар, ебел, 
   {{0x3f9102ba,0x200c0405,0x6604819e,0x2722819f}},	//   _duzu_, _ġdid_, _krik, _ións_, 
   {{0x3ea681a0,0x0cd481a1,0x69db00e5,0x2003008a}},	//   rbot_, волю, jtue, _erji_, 
   {{0x7afb0183,0x3dc600d1,0x660400d4,0x3ebf1279}},	//   edut, rrow_, _mrik, _edut_, 
   {{0x26c081a2,0x3f9171d9,0x3ea600a1,0x291c01a7}},	//   _odio_, _guzu_, pbot_, _rova_, 
   {{0x26c0086d,0x291c1bde,0x68f802f1,0x6d417841}},	//   _ndio_, _sova_, _savd, _emla, 
   {{0x394581a3,0x28d401a4,0x68f8021e,0x25a002a5}},	//   fils_, _दादि, _pavd, _ntil_, 
   {{0x26c081a4,0xadb70038,0x8afd00d8,0x8e7501ff}},	//   _adio_, _أهلا_, voře, _русч, 
   {{0x59c2119b,0x660481a5,0xdca33559,0x313700d1}},	//   _शिवर, _arik, _сахи, גנים_, 
   {{0x65951628,0xd6db0080,0x7af90210,0x00000000}},	//   каму, что_, _gawt, --, 
   {{0xae030366,0xa3d302f8,0x394500d3,0x69db0cb0}},	//   लियन_, हून_, bils_, ctue, 
   {{0x6604155b,0x291c00fd,0x394581a6,0xd7f000eb}},	//   _drik, _uova_, cils_, _نكت_, 
   {{0x660481a7,0xd82f1c20,0x06b00033,0x248502ae}},	//   _erik, _сэ_, _কারি, älm_, 
   {{0x660481a8,0x2b090035,0x52cb00bc,0x07f7007a}},	//   _frik, वाएँ_, िलेस, _أروع_, 
   {{0x660481a9,0x3f91090e,0x60f90b24,0x64590083}},	// [78b0] _grik, _suzu_, мная_, _świd, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xf8b3035c,0x660400ef,0x853c00a7,0xf650006b}},	//   רשע_, _zrik, _מגזי, _نئی_, 
   {{0x6d4102fe,0x27340108,0xdcb10108,0x7c3d0248}},	//   _smla, _vãng_, _sẻ_, _əsrd, 
   {{0x7ed43629,0x69db0151,0x3f91052b,0x00000000}},	//   ازما, xtue, _wuzu_, --, 
   {{0x5184040c,0xfce55328,0x8c450f82,0x7e69018e}},	//   _буса, токо, келе, _vyep, 
   {{0x394581aa,0xdcb10108,0x00000000,0x00000000}},	//   vils_, _vẻ_, --, --, 
   {{0x64410035,0x3ebf0d07,0x69db81ab,0x7afb0080}},	//   źliw, _udut_, ttue, udut, 
   {{0x394581ac,0xdd9581ad,0x7afb81ae,0x2add2488}},	//   tils_, _разы, rdut, क्षु_, 
   {{0x6d410380,0x95ee031e,0x7afb0036,0xfe6e009c}},	//   _umla, _छनौट_, sdut, _بگم_, 
   {{0x69db81af,0xf092042c,0x394581b0,0x660412e6}},	//   stue, יני_, rils_, _srik, 
   {{0x69db81b1,0xf7460ca4,0xd6b00033,0x628f040b}},	//   ptue, темо, কল্প, _ngco, 
   {{0x49bb1666,0x394581b2,0xbb3a00c7,0xe8ee369a}},	//   _راشد_, pils_, _קעני, _кл_, 
   {{0xb4ac047c,0x25a0016a,0x629d81b3,0x628f01d8}},	//   खरे_, _vtil_, _afso, _agco, 
   {{0x6b8b81b4,0x442c0038,0x0ed102e6,0x69c908a3}},	//   _kigg, ád_, _हांड, lree, 
   {{0x6b8b007b,0x26c00e67,0xc60681b5,0x6aa961fe}},	//   _jigg, _udio_, _азий, nbef, 
   {{0x25a01fe6,0x6b8b01b8,0x877b0070,0x660481b6}},	// [78c0] _util_, _migg, _קאפי, _urik, 
   {{0x6b8b1950,0x6459006a,0xb5b7008d,0x10a609e4}},	//   _ligg, _świe, _שליח_, тижн, 
   {{0x69c90536,0x03a601a2,0x51550161,0x53a61cc1}},	//   hree, _шино, утту, _шанб, 
   {{0x69c96d09,0x25ad00d9,0x5276049b,0x6da681b7}},	//   kree, ţele_, _аугу, вида, 
   {{0xf2d3162e,0x52757696,0xdce10118,0xe1ff0083}},	//   _דער_, _буру, _eklč, _wzór_, 
   {{0x69c9002e,0xa0a381b8,0x00000000,0x00000000}},	//   dree, _вард, --, --, 
   {{0x69c9052b,0x6b8b81b9,0x656e1197,0x00000000}},	//   eree, _bigg, ilbh, --, 
   {{0x9a861b2d,0x96a207d5,0x7bc50369,0x00000000}},	//   купл, _क्लॉ, áhua, --, 
   {{0x7de50411,0x63a902f5,0xb984004e,0x0d867a96}},	//   _مسلم, ćeni, лтоқ, _алан, 
   {{0x391433d5,0x0c7a0c30,0xc27b2233,0x00000000}},	//   умор, _قصاب_, ורפי, --, 
   {{0x6b8b2bcc,0x69c981ba,0x00000000,0x00000000}},	//   _figg, aree, --, --, 
   {{0xfaa61b29,0x69c96c98,0x2d8c00d1,0x16bf0035}},	//   _радо, bree, _hide_, ्लेब, 
   {{0x2d8c01f1,0x69f214c1,0x69dc020f,0x6a1601c9}},	//   _kide_, _түпт, ăres, _جبار, 
   {{0xd9430c16,0x6b8b81bb,0x2d8c81bc,0x02cb031e}},	//   _кечи, _zigg, _jide_, िल्न, 
   {{0x290e81bd,0x2d8c81be,0x19573756,0xf3671c7d}},	//   _infa_, _mide_, _шашы_, втан, 
   {{0x2d8c81bf,0x656e0094,0x81e70086,0xb40303dd}},	//   _lide_, albh, ভিস_, гүүд, 
   {{0x427511e6,0x88370243,0x00000000,0x00000000}},	// [78d0] угас, ģēša, --, --, 
   {{0x44f508f0,0xe13400f0,0x00000000,0x00000000}},	//   _спос, ануы, --, --, 
   {{0x518440f8,0x628f01d8,0x69c981c0,0x00000000}},	//   рута, _tgco, zree, --, 
   {{0x2d8c0518,0x660281c1,0xd9f21446,0x69c981c2}},	//   _aide_, _šoki, _अनंत_, yree, 
   {{0x2d8c81c3,0x6b8b81c4,0xdcb10023,0x00000000}},	//   _bide_, _rigg, _hỏi_, --, 
   {{0x6b8b81c5,0x8d2a004e,0x69c915e9,0xbebd18b9}},	//   _sigg, ннің_, vree, _plūs, 
   {{0x2d8c078a,0x6b8b81c6,0xbb4503a1,0x8c4203dd}},	//   _dide_, _pigg, лекк, йеше, 
   {{0x69c93f66,0x2b98026a,0x2d8c017b,0xa5bb010e}},	//   tree, _déc_, _eide_, gyók, 
   {{0xc33400a7,0x6aa981c7,0x6b8b4ed2,0x69c981c8}},	//   יוק_, rbef, _vigg, uree, 
   {{0x69c981c9,0x2d8c81ca,0xe8f9069b,0x3f8d00e7}},	//   rree, _gide_, хло_, _hieu_, 
   {{0x3f8d11e9,0x6b8b81cb,0x80d822f8,0x7ad50411}},	//   _kieu_, _tigg, न्टे, _مقاص, 
   {{0x69c981cc,0xe5a66d07,0x28a3009a,0x35a681cd}},	//   pree, лими, _ख्रि, ламг, 
   {{0x26de0035,0x3f8d81ce,0x00000000,0x00000000}},	//   ęto_, _mieu_, --, --, 
   {{0x3f8d81cf,0x98a281d0,0x00000000,0x00000000}},	//   _lieu_, _лише, --, --, 
   {{0x64a33c11,0x00000000,0x00000000,0x00000000}},	//   саса, --, --, --, 
   {{0x3f8d0876,0x00000000,0x00000000,0x00000000}},	//   _nieu_, --, --, --, 
   {{0x9f5e0518,0x514400f0,0x232a0176,0x00000000}},	// [78e0] _été_, адағ, _ҷони_, --, 
   {{0x98be00d9,0xd5b801dd,0x00000000,0x00000000}},	//   mită_, ņās_, --, --, 
   {{0x3f8d81d1,0x98be00b3,0x25b20156,0x232a81d2}},	//   _bieu_, lită_, _hwyl_, _зони_, 
   {{0x5fc9047c,0x2d8c00a7,0x3fb90019,0x25b208b0}},	//   ांजल, _side_, ئپنگ_, _kwyl_, 
   {{0x3f8d81d3,0x2d8c1056,0x98be00b3,0xfe4681d4}},	//   _dieu_, _pide_, nită_, ындо, 
   {{0x6146088a,0x00000000,0x00000000,0x00000000}},	//   _сега, --, --, --, 
   {{0x0b8a5a60,0x8fa33873,0xbccf020b,0x00000000}},	//   нсии_, _гасе, íťaž, --, 
   {{0x3cf0006a,0x70531169,0x2d8c00d1,0x00000000}},	//   _इसके_, _انفا, _wide_, --, 
   {{0x5f1102f8,0xdca639f7,0x442a014b,0x4ad50c14}},	//   णार्_, _бази, hyb_, _धारव, 
   {{0xc23700d1,0xa6db003e,0x98be020f,0x2d8c0144}},	//   טרפו_, miði, dită_, _uide_, 
   {{0x7c930084,0x4ae60c67,0x5c5681d5,0xa6db003e}},	//   _المص, _бўла, _стаф, liði, 
   {{0x9a6a0038,0x00000000,0x00000000,0x00000000}},	//   _كمال_, --, --, --, 
   {{0xdb0a03a9,0x659581d6,0x29183372,0x3cfe42bb}},	//   dsfø, рагу, öras_, _katv_, 
   {{0x6d4a81d7,0xb4c10c64,0x260a00a5,0xdb0181d8}},	//   nifa, ुले_, ामजी_, _atlè, 
   {{0x3cec031e,0x3cfe0379,0x80d8031e,0x78ba0b03}},	//   _आउने_, _matv_, न्छे, matv, 
   {{0x6d4a2c96,0xe2f8004e,0xa2a00d4f,0x98be00b3}},	//   hifa, лесі_, गुल्, bită_, 
   {{0x6d4a4aa3,0x30a718b1,0x98be00b3,0x7c2a00f8}},	// [78f0] kifa, грев, cită_, hyfr, 
   {{0x5184606f,0x6d4a0053,0xf1c80038,0x3f8d0023}},	//   буха, jifa, اولى_, _sieu_, 
   {{0x200781d9,0x0f27021d,0x7a480243,0xf48b1d02}},	//   íni_, льдм, lītī, _ящик_, 
   {{0x672f00ab,0x70940258,0x63a5025b,0x78ba1e9d}},	//   nkcj, _ҳарф, _ithn, hatv, 
   {{0x386e0156,0x9f5c00bc,0x78ba0657,0x6d4a81da}},	//   _lyfr_, ívá_, katv, fifa, 
   {{0x6d4a81db,0x78ba0121,0xa3e917dc,0xa15981dc}},	//   gifa, jatv, _यहा_, _рагу_, 
   {{0x3f8d00e7,0x98be00b3,0xc058128b,0xa1580176}},	//   _tieu_, zită_, _біт_, _сару_, 
   {{0x3cfe095a,0x6d4a040b,0x8b251b68,0xcc0829ce}},	//   _eatv_, aifa, рдие, ازون_, 
   {{0x6d4a011b,0xdce100c3,0x00000000,0x00000000}},	//   bifa, _nilħ, --, --, 
   {{0x39451d52,0x63a50226,0x98be00b3,0xbb4400c8}},	//   рног, _othn, vită_, äärä, 
   {{0xe73a0d61,0x2eff01c4,0x63a20082,0x3cf202e6}},	//   вен_, _kauf_, _čono, ंजरे_, 
   {{0xc9f50019,0xdce1008a,0x98be00b3,0x00000000}},	//   _نستع, _bilħ, tită_, --, 
   {{0x63a50038,0x16b6072d,0x78ba040b,0x78a45798}},	//   _athn, _अजीब, batv, _şive, 
   {{0x6459006a,0x98be00d9,0x6abb01c4,0x18a581dd}},	//   _świa, rită_, lauf, _такм, 
   {{0xd46a062a,0x888300d4,0xdb0181de,0x63a500e2}},	//   тиве_, _دیدن, _atlé, _cthn, 
   {{0x97c400d4,0x6d4a81df,0x6abb0380,0x6602253f}},	//   _اتوم, zifa, nauf, _šoku, 
   {{0xe0da14ec,0x63a581e0,0xe29781e1,0x473606bc}},	// [7900] ква_, _ethn, рау_, _مرکز, 
   {{0x399b03b7,0x6abb81e2,0xf0a7002e,0x6d4a81e3}},	//   _mês_, hauf, икул_, xifa, 
   {{0xa2e65bbd,0x28dd000d,0x6abb01c4,0xd00f0038}},	//   _конд, _मानि, kauf, ولك_, 
   {{0xdee63543,0x7c2e02f2,0x539b042c,0xeda681e4}},	//   роди, _übri, _שיכו, ашко, 
   {{0x6d4a81e5,0x3ea9001d,0x3cf20c46,0x4df60080}},	//   tifa, ñata_, ंजले_, ряет, 
   {{0x8bc600cf,0x80dd81e6,0x2b4601be,0xa6db01d5}},	//   асид, _पाये, _smoc_, riði, 
   {{0x6d4a81e7,0xb6060121,0x78ba81e8,0x6724039b}},	//   rifa, ljšč, vatv, _ooij, 
   {{0x6d4a1704,0x5b140a10,0x3ce9090e,0xa3b8031e}},	//   sifa, смит, đava_, घीय_, 
   {{0x3f980010,0xb6062467,0xada30200,0x80dd00c9}},	//   _huru_, njšč, _матл, _पामे, 
   {{0x3f9881e9,0x8c461b17,0x399b02be,0x7aa60110}},	//   _kuru_, _кезе, _dês_, _ट्रॅ, 
   {{0x3f9881ea,0x6d4881eb,0x6f0081ec,0xb8fe0299}},	//   _juru_, _imda, _kamc, _णा_, 
   {{0x09e681ed,0x3f9881ee,0x6f0281ef,0x9a860f5a}},	//   _водн, _muru_, ndoc, _кулл, 
   {{0x6f0008e3,0x6aa20054,0x29110038,0x3f9801e5}},	//   _mamc, _ifof, ánaí_, _luru_, 
   {{0x58d303dc,0x69c081f0,0x3d190790,0x7a790070}},	//   _дошт, msme, पाये_, _גרױס, 
   {{0x3f9881f1,0x397b0070,0x897b00d1,0x66020028}},	//   _nuru_, _שטונ, _שרוצ, _šokt, 
   {{0x394c2586,0xa3be02e6,0xdce100a4,0x00000000}},	//   lids_, ुंज_, _tilħ, --, 
   {{0x645e81f2,0x6d48530a,0x69c081f3,0x6f0281f4}},	// [7910] _expi, _omda, nsme, ddoc, 
   {{0x3f9881f5,0xa0a781f6,0x2eff026a,0x394c81f7}},	//   _buru_, ршал, _sauf_, nids_, 
   {{0x3f980308,0x63a90372,0x6f02018e,0x00000000}},	//   _curu_, ćens, fdoc, --, 
   {{0x6f0081f8,0x6d4881f9,0x69c000e0,0x26d900d4}},	//   _camc, _amda, ksme, ngso_, 
   {{0xdef86c5f,0x69c01e62,0x6f0081fa,0xa25b0054}},	//   рых_, jsme, _damc, _kdôm, 
   {{0xa3be05fd,0xee380769,0x69c0042a,0x1fa77ade}},	//   ुंच_, шні_, dsme, _враг, 
   {{0xadc30029,0x6abb0380,0x6f0281fb,0x6f000118}},	//   _trắn, tauf, bdoc, _famc, 
   {{0x31350cdf,0x6d480237,0x4a751ab1,0x545800d1}},	//   _теҳр, _emda, йыпт, יסון_, 
   {{0x6abb01c4,0x69c02245,0xe2a601d5,0x3f98016c}},	//   rauf, gsme, óðin_, _zuru_, 
   {{0x9be702fb,0x27fc0065,0x6f000097,0x394c038c}},	//   _відк, _bsvn_, _zamc, gids_, 
   {{0x378a03dd,0xc68907e4,0x29110540,0x6f002b03}},	//   лбоо_, _נא_, ıza_, _yamc, 
   {{0x7d010343,0xe73a0b34,0xaa950038,0x9cc900f0}},	//   _hals, уем_, _الإث, _шыға_, 
   {{0xa3da02f8,0x2b4d0083,0x00000000,0x00000000}},	//   डून_, miec_, --, --, 
   {{0xdce30f58,0x64a31f66,0x394c47bf,0x2b4d0243}},	//   konč, зара, cids_, liec_, 
   {{0x61fd36fa,0x7d0181fc,0x1dd1093a,0x799900f3}},	//   _assl, _mals, _समझत, _huww, 
   {{0x2b4d3508,0xdce304a1,0x7d0102a5,0x3f980339}},	//   niec_, donč, _lals, _ruru_, 
   {{0x200a00f1,0x613201cc,0x6f0060f1,0xbbd400bc}},	// [7920] _srbi_, _fæll, _ramc, _धम्क, 
   {{0xb69b255d,0x409681fd,0x3f98059e,0x1dd1009a}},	//   ndân, срат, _puru_, _समजत, 
   {{0xa4fb027a,0x6f00045a,0x2af901a4,0x61fd02eb}},	//   _גליט, _pamc, ्याँ_, _essl, 
   {{0x1e860012,0xee3a02a6,0x7d0181fe,0x69c081ff}},	//   блем, лне_, _aals, ysme, 
   {{0x7d012a68,0x81e70086,0xb7ef0033,0x00000000}},	//   _bals, ভিউ_, য়মিত_, --, 
   {{0xa06a00f6,0x3f988200,0x69c00164,0x3f9603b7}},	//   _бага_, _turu_, vsme, _граѓ, 
   {{0x7d018201,0x4adc09d8,0xa1370070,0x3c070108}},	//   _dals, _यादव, _פאלק_, _cđv_, 
   {{0x69c04ef7,0x5a3436e7,0x61e48202,0x69c60121}},	//   tsme, жнит, otil, škem, 
   {{0xa92a004e,0x394c0343,0x69c08203,0xcb6702a6}},	//   гіне_, tids_, usme, љање_, 
   {{0xa3d3007e,0x69c08204,0xce3707e4,0x3f868205}},	//   हूँ_, rsme, _האמת_, lmou_, 
   {{0x9c7c1ae9,0x394c0219,0xab9600eb,0x6aa20026}},	//   _obči, rids_, _الصغ, _tfof, 
   {{0x61e48206,0x973d0b43,0x3f8606df,0x69c08207}},	//   ktil, opći, nmou_, psme, 
   {{0x8b650084,0xe6670445,0xe9180965,0x3f861484}},	//   _بالم, стно, _волі_, imou_, 
   {{0x61e41290,0x290201dd,0x6d588208,0xa6db04f4}},	//   dtil, ēkas_, nnva, viðu, 
   {{0xa3d30e36,0x6b9a03a1,0x0ed812e3,0x57a602f1}},	//   हूं_, _jutg, _डांड, _ушла, 
   {{0xe616008b,0x337502c8,0xdb030219,0x387c00ca}},	//   žišč, ігар, ssnö, _izvr_, 
   {{0x388e0270,0x25ac014b,0x613202c9,0x61e40657}},	// [7930] lər_, čilý_, _tæll, gtil, 
   {{0x660d0414,0xf2df0054,0xdce30455,0x3d020083}},	//   _irak, _imâm_, tonč, लयों_, 
   {{0xa2950965,0xd011024f,0x61e48209,0x273b024a}},	//   _мані, بلا_, atil, _tënd_, 
   {{0x660d820a,0x61e4820b,0xa6db003e,0xa9230028}},	//   _krak, btil, miðs, ęžim, 
   {{0x5fc50081,0x388e06d0,0x7d014fb8,0x2b4d5963}},	//   _लटकल, hər_, _pals, viec_, 
   {{0xc301100b,0x78ad034c,0x2b4d00ab,0x1d09820c}},	//   _একটি_, _đavo, wiec_, реки_, 
   {{0x7d01820d,0xeab100eb,0xcda900d4,0x26c90b91}},	//   _vals, وعة_, _چهره_, _odao_, 
   {{0x388e06d0,0x49c9820e,0x6d5814bb,0x26c901a7}},	//   dər_, алин_, anva, _ndao_, 
   {{0x7d01820f,0x799902cd,0x78a40ad9,0x7e7b0035}},	//   _tals, _quww, _şiva, _uzup, 
   {{0x388e06d0,0x47c53424,0x57e900c4,0x26c90054}},	//   fər_, обов, адом_, _adao_, 
   {{0x660d8210,0x388e06d0,0x25a98211,0x2b4d0035}},	//   _arak, gər_, _atal_, piec_, 
   {{0x61e48212,0x7bc305ac,0x7c3d00ad,0x2240039f}},	//   ytil, msnu, _əsrl, yzik_, 
   {{0x7ae96b85,0xba2b69c5,0x7bc3076b,0x00000000}},	//   mfet, _حسام_, lsnu, --, 
   {{0x388e06d0,0x6b5e01dd,0x25760566,0x61e4264e}},	//   bər_, mīga, mælk_, vtil, 
   {{0x660d8213,0xe7b500eb,0x7bc38214,0x03a3058e}},	//   _erak, _بمعد, nsnu, дисо, 
   {{0x660d8215,0xe2976c9d,0x61e48216,0x4911000d}},	//   _frak, жат_, ttil, ताको_, 
   {{0x31268217,0x6b5e01dd,0x91e38218,0x660d5163}},	// [7940] одаг, nīga, моте, _grak, 
   {{0x29051ac7,0xb17b014e,0x61e48219,0x7bc3821a}},	//   ndla_, _spår, rtil, ksnu, 
   {{0xb4d6000f,0x660d821b,0x2240010e,0x071e5b63}},	//   हली_, _zrak, szik_, _बचाव_, 
   {{0x6b9a821c,0x64480228,0xdce00248,0x00000000}},	//   _rutg, údiu, _rumı, --, 
   {{0x388e0095,0xee8300b3,0xada30098,0x8d66821d}},	//   zər_, мышо, _neúč, овде, 
   {{0x613202c9,0x3f860183,0x388e00ad,0x6b5e0243}},	//   _mælk, smou_, yər_, dīga, 
   {{0x7ae94514,0x6d586d81,0x7bc379f7,0xbea60866}},	//   ffet, rnva, gsnu, _мавк, 
   {{0x29050990,0xdb0102aa,0xdddb027e,0x2fc7020f}},	//   edla_, _atlâ, _uyuş, ânge_, 
   {{0xb99707a5,0x00000000,0x00000000,0x00000000}},	//   овых_, --, --, --, 
   {{0x6b9a00a3,0x388e00ad,0x61200080,0x660d821e}},	//   _tutg, tər_, _pöly, _rrak, 
   {{0x80d000cc,0xeb9a00ce,0x25a90ed0,0x2005008c}},	//   স্থ্, _тие_, _stal_, _álit_, 
   {{0x7bd80b94,0x388e00ad,0x00000000,0x00000000}},	//   muvu, rər_, --, --, 
   {{0x95d80088,0xa5075a98,0x7bd8821f,0x6b5e01dd}},	//   одят_, оявл, luvu, cīga, 
   {{0x660d0a93,0xfa7700d1,0x80d00033,0x00000000}},	//   _vrak, _ועדת_, স্ত্, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xc2990d3b,0x00000000,0x00000000,0x00000000}},	//   сках_, --, --, --, 
   {{0x660d8220,0xa2dc2a97,0x2be60033,0x7bd81cc9}},	// [7950] _urak, _फार्, কিয়ে_, huvu, 
   {{0x7bd88221,0xc17800dd,0x00000000,0x00000000}},	//   kuvu, оїх_, --, --, 
   {{0x5f951e01,0x28dd1276,0xdb1802c9,0x320912ed}},	//   чиет, _मासि, msvæ, svay_, 
   {{0x80dd00b0,0xdb18818a,0x00000000,0x00000000}},	//   _पावे, lsvæ, --, --, 
   {{0xe1ff0369,0x44318222,0x00000000,0x00000000}},	//   _usó_, lyz_, --, --, 
   {{0x6b820019,0xeb9906d4,0x61f90585,0xceb902d9}},	//   _ahog, бик_, ğalı, _moři_, 
   {{0x9c7c02ee,0x6b820557,0x7bd88223,0x2d870144}},	//   _obču, _bhog, guvu, rmne_, 
   {{0x28dd047b,0x6b828224,0xba254351,0x3cf7017d}},	//   _माहि, _chog, здик, _एसके_, 
   {{0x7ae98225,0x7c3804a1,0xdcfa01dd,0xdb18373e}},	//   rfet, _čarš, _citē, ksvæ, 
   {{0xa2cb0c64,0x7ae9357c,0x6b5e01dd,0xaaab029c}},	//   तृत्, sfet, rīga, _ट्रक, 
   {{0x3ea009df,0x6b820094,0x18698226,0x2c740038}},	//   žite_, _fhog, сани_, rúdú_, 
   {{0x3d1904d7,0x29030412,0x2576008c,0x6b8201f2}},	//   पावे_, žja_, mæli_, _ghog, 
   {{0x613301f0,0x6b894e5c,0xa6e301d5,0xdb1801d5}},	//   _kılı, mmeg, óðas, fsvæ, 
   {{0xb4d68227,0x6b898228,0xdb188229,0xdce302d9}},	//   हले_, lmeg, gsvæ, vlně, 
   {{0x29360070,0xf99069c5,0x00000000,0x00000000}},	//   _מאסן_, _شبه_, --, --, 
   {{0xe29a02be,0xf1c70d53,0x00000000,0x00000000}},	//   саа_, _लिखन, --, --, 
   {{0x26c2822a,0xa823006b,0x63bb02fe,0xd6c60148}},	// [7960] mako_, _رکھن, ćuna, _диққ, 
   {{0x26c2822b,0x6b890502,0xb09a017b,0x7bd80027}},	//   lako_, hmeg, стає_, yuvu, 
   {{0x80dd00bc,0x4fea12cc,0x273b021e,0x26c201ca}},	//   _पारे, смен_, _hëna_, oako_, 
   {{0x6b89012e,0xdce3031e,0x6132003e,0x7bd85c73}},	//   jmeg, plně, _mæli, vuvu, 
   {{0xddcb01f0,0xdce8003d,0x527608ba,0x26c201ca}},	//   ğişi, _jidħ, _хуну, iako_, 
   {{0x26c2822c,0x6b82822d,0x7bd8822e,0xdb01022c}},	//   hako_, _shog, tuvu, _atlà, 
   {{0x06c700cc,0x00000000,0x00000000,0x00000000}},	//   ষ্টি, --, --, --, 
   {{0xd90d00d4,0x26c2822f,0xd00f010e,0x27220098}},	//   یین_, jako_, _حلف_, _tóny_, 
   {{0xa3d605fd,0x26c28230,0xadc3001b,0x273b024a}},	//   _समझ_, dako_, _trạn, _nëna_, 
   {{0xd7fa1297,0x69cf20ac,0x27340108,0x885800b3}},	//   бум_, ácea, _hãnh_, жиос_, 
   {{0x6b82731e,0x26c2487f,0x28dd058c,0xfbd208b6}},	//   _thog, fako_, _मारि, _ستا_, 
   {{0x6c7b00c7,0x26c28231,0x79a6004e,0x613b0216}},	//   _פראד, gako_, _ерке, _mîla, 
   {{0x613301f0,0x27340023,0x00000000,0x00000000}},	//   _yılı, _mãnh_, --, --, 
   {{0x2734001b,0x26c28232,0xb5240504,0x8afd02d9}},	//   _lãnh_, aako_, ньск, voři, 
   {{0x26c28233,0x0fd70086,0xdb18008c,0x18970038}},	//   bako_, _সন্ধ, rsvæ, _عضوة_, 
   {{0xb7db00d1,0x44312997,0x26c201d6,0x00000000}},	//   _הקהי, ryz_, cako_, --, 
   {{0x69bf07d5,0xd0470095,0xdb1802ae,0x925902aa}},	// [7970] लीपी, əməs, msvä, цаат_, 
   {{0xdb1802ae,0x613b0216,0x55bc0486,0x257f0216}},	//   lsvä, _bîla, _המזו, bîla_, 
   {{0x67210c59,0x2fc722b4,0x389b00c7,0x7ae20126}},	//   यापक_, éng_, ציאנ, _ocot, 
   {{0xdb18014e,0x613b010c,0x25b0009e,0x00000000}},	//   nsvä, _dîla, _çolê_, --, 
   {{0x28dd034d,0x2fc70023,0x1eea00d7,0x68fa8234}},	//   _मालि, ũng_, تونی_, ketd, 
   {{0x26c28235,0x25de00a2,0x7ae21eb1,0x613300ad}},	//   zako_, कंती_, _acot, _qılı, 
   {{0xdb0150b8,0xbbe80084,0x26c20547,0xdb180219}},	//   _atlá, كريم_, yako_, ksvä, 
   {{0xeeb90093,0x6b89025b,0x26c201ca,0x00000000}},	//   _флаш_, umeg, xako_, --, 
   {{0x26c200a9,0x6b898236,0xdb180219,0x00000000}},	//   vako_, rmeg, dsvä, --, 
   {{0x26c28237,0x9f410038,0x3ebf0502,0x613201d5}},	//   wako_, ithí_, _heut_, _pæli, 
   {{0x26c28238,0xfbd0040f,0x00000000,0x00000000}},	//   tako_, _متن_, --, --, 
   {{0x2011090b,0xdb1802ae,0x2733010c,0x2d9f00c2}},	//   _mrzi_, gsvä, _rûnê_, _kuue_, 
   {{0x26c28239,0x7afb4af6,0x68fa3e06,0x7bd20243}},	//   rako_, meut, betd, ījuš, 
   {{0x7afb823a,0x26c2823b,0x3ebf0082,0x64a602a0}},	//   leut, sako_, _leut_, ќава, 
   {{0x26c2823c,0x212a004c,0xfc3f00bc,0x64a3823d}},	//   pako_, _robh_, _říj_, таса, 
   {{0x2907823e,0x7afb823f,0xc7d600a7,0xae1d121a}},	//   _hana_, neut, _חוקי_, पमान_, 
   {{0x29078240,0x2d85137c,0x27340108,0x69c600ec}},	// [7980] _kana_, _ohle_, _rãnh_, škev, 
   {{0x66048241,0x29078242,0x20110062,0x7afb0088}},	//   _isik, _jana_, _brzi_, heut, 
   {{0x290715da,0x351b1a61,0xe29a0a43,0x251b0137}},	//   _mana_, _ווינ, _ман_, _וויא, 
   {{0x29078243,0x2011090b,0x25a02f84,0xef1a567b}},	//   _lana_, _drzi_, _kuil_, юме_, 
   {{0x26c003b7,0x7afb8244,0x25a0026d,0x29078245}},	//   _meio_, deut, _juil_, _oana_, 
   {{0x29078246,0x66040ac1,0xdb0a014e,0x7ae25429}},	//   _nana_, _msik, nsfö, _scot, 
   {{0x69cf00bc,0x670e01a4,0x68fa3c61,0x25a00237}},	//   ácen, ियाक_, vetd, _luil_, 
   {{0x29070539,0x69bf0035,0x63ba0032,0x3ebf040b}},	//   _aana_, लीभी, átny, _geut_, 
   {{0x29078247,0xdb0a0219,0x64580009,0x69cf0a88}},	//   _bana_, ksfö, _žvil, šcen, 
   {{0x0d8300d9,0xdb182be3,0x2d8501f5,0xa9670165}},	//   _алун, dsvå, _ghle_, миња_, 
   {{0x290703ef,0x7d1a05f0,0x7afb8248,0xdb0a014e}},	//   _dana_, _ints, beut, dsfö, 
   {{0x81c400cc,0xf09300d1,0x25a00465,0x274b004f}},	//   _এমন_, כנת_, _buil_, ічно_, 
   {{0x29070364,0x7d0800ef,0xdb180219,0x25a04f4f}},	//   _fana_, _kads, rsvä, _cuil_, 
   {{0xdb0a0219,0xdb180219,0x25a001fd,0xf10d11c1}},	//   gsfö, ssvä, _duil_, _सफेद_, 
   {{0x7d088249,0x66041f18,0x26c0824a,0x63bb032f}},	//   _mads, _esik, _feio_, ćuno, 
   {{0x2907824b,0x25a00557,0x26c000b4,0x2b170083}},	//   _zana_, _fuil_, _geio_, थाएँ_, 
   {{0x2907824c,0x7d1a0e47,0x611500f0,0x61d90080}},	// [7990] _yana_, _onts, ндау, ямая_, 
   {{0x7d081a01,0x2011015e,0x2907824d,0xda080023}},	//   _nads, _przi_, _xana_, _mỏ_, 
   {{0x3ebf0518,0x395e824e,0x25a001d2,0x00000000}},	//   _peut_, ints_, _zuil_, --, 
   {{0xf1a7143e,0x7d1a0489,0x69cf09ef,0x93440165}},	//   _कंपन, _ants, _दिली, _анџе, 
   {{0x3ebf026d,0x31a403c0,0x629d0495,0x2b4f020f}},	//   _veut_, _göz_, _igso, _rmgc_, 
   {{0xdd910019,0xe6dc02d9,0xa2160147,0x00000000}},	//   ھوں_, _मञ्ज, _אַלס_, --, 
   {{0x60c504bb,0x7afb824f,0xfaa57f86,0x0ca800a3}},	//   mahm, teut, найо, фтчи_, 
   {{0x29078250,0x7d1a8251,0x395e8252,0xda080029}},	//   _sana_, _ents, ents_, _bỏ_, 
   {{0x29078253,0xda0800e7,0xc9550b34,0x7afb8254}},	//   _pana_, _cỏ_, етны, reut, 
   {{0x60c502f2,0x7d0800e0,0x25a010f3,0x26c0019c}},	//   nahm, _gads, _ruil_, _seio_, 
   {{0x6d4311a1,0x29078255,0x66e68256,0x672d023a}},	//   mhna, _vana_, нона, _boaj, 
   {{0x29078257,0x395e39fa,0x672d00b3,0xf09200d1}},	//   _wana_, ants_, _coaj, טני_, 
   {{0xf65217ba,0x26c002a0,0xdb0a014e,0xd9f300bd}},	//   ائج_, _veio_, tsfö, _अहित_, 
   {{0x9f47078a,0x60c536ff,0x25a00511,0x9f5f0218}},	//   înê_, jahm, _vuil_, êrên_, 
   {{0x31a40824,0x60c526b4,0xe73a8258,0xdb0a02ae}},	//   _söz_, dahm, _нек_, rsfö, 
   {{0x66048259,0x2327825a,0x6aa9825b,0xdb0a0219}},	//   _tsik, носи_, ncef, ssfö, 
   {{0x6604825c,0xe36368d9,0xa5962a08,0xe8072122}},	// [79a0] _usik, укти, _прощ, षिका_, 
   {{0x020313f2,0x8cdb07d5,0x7cf33321,0x69c900c8}},	//   ызун, _नागो, nırı, isee, 
   {{0x6d430a69,0x7d08825d,0x6f09547c,0xa3d700bd}},	//   dhna, _rads, _baec, _सिय_, 
   {{0x69c9030f,0x81cf0033,0x68460175,0x888c0070}},	//   ksee, _শহর_, _hédé, קראַ, 
   {{0x6f09011c,0xd20109d9,0x7cf3027e,0x257602c9}},	//   _daec, _күтк, kırı, bælt_, 
   {{0xafe64885,0xdd8f0071,0x6d430a92,0xa3d40035}},	//   _погл, مون_, ghna, _हटा_, 
   {{0x016315b9,0x69c90088,0x69cb0844,0x7ac6704d}},	//   _скро, esee, _avge, нспе, 
   {{0xff260093,0x9f4a0080,0x613204f4,0x00000000}},	//   _ямбо, ömän_, _vælu, --, 
   {{0x6b9903c6,0x69c9040b,0x00000000,0x00000000}},	//   _diwg, gsee, --, --, 
   {{0x6d43825e,0x6da312e1,0xda0800e7,0xa9a60176}},	//   chna, _сифа, _vỏ_, _ҷидд, 
   {{0xdd8f0071,0x6bd60e61,0x236000ab,0x69c90080}},	//   _اول_, _ستار, knij_, asee, 
   {{0xda0800e7,0xa9a60200,0x2a66006f,0x7bca0343}},	//   _tỏ_, _зидд, _txob_, msfu, 
   {{0xe1ff0183,0x672d0180,0x569418ec,0x68460106}},	//   _axón_, _voaj, лают, _bédé, 
   {{0x684640db,0x69c60028,0x00000000,0x00000000}},	//   _cédé, škes, --, --, 
   {{0x9982012d,0x68461a3b,0x2418021d,0x291c5ecd}},	//   škų_, _dédé, норы_, _inva_, 
   {{0x2360825f,0x6b9c0068,0x7c250380,0xa87b0486}},	//   gnij_, _érgu, ähri, _מאור, 
   {{0x6846026a,0x291c03a0,0x60c5011c,0x00000000}},	// [79b0] _fédé, _knva_, tahm, --, 
   {{0x6f1b01be,0x290c8260,0x7bca2be3,0x69d8009a}},	//   _snuc, ndda_, ksfu, _मिनी, 
   {{0x60c5170d,0xb4dd1451,0x50670176,0xf3cb007a}},	//   rahm, डली_, хтаа, _عبده_, 
   {{0xe522031e,0x7cf304d6,0x7bca35bb,0x00000000}},	//   माथि_, zırı, dsfu, --, 
   {{0x1d091a63,0x22840141,0xdd9b0088,0x6d430038}},	//   дели_, _бург, чше_, thna, 
   {{0x61ed2245,0x5ff52a65,0x063800c7,0x8d2a004e}},	//   mtal, _изгу, ענגט_, мнің_, 
   {{0xdfd8048a,0x6f090e34,0x61ed8261,0x613202c9}},	//   _път_, _taec, ltal, _vælt, 
   {{0x6f1b00d2,0x69c92b92,0x5f944be6,0x6d438262}},	//   _unuc, tsee, _бист, shna, 
   {{0x7cf3091f,0x9c820032,0x19c20afc,0xa25b0032}},	//   tırı, ľčan, абым, _zdôr, 
   {{0x69c92747,0x2ba9051f,0x61ed8263,0xe7a92669}},	//   rsee, _चंपा, ital, мвол_, 
   {{0x6d418264,0xf7461c52,0x61ed8265,0x7cf30585}},	//   _illa, вено, htal, rırı, 
   {{0x61ed1ad3,0xe5a602c0,0x7e7b02a2,0x7a390f89}},	//   ktal, кими, _kyup, _опер_, 
   {{0xcb360056,0x69c6031e,0x61ed8266,0xdb010034}},	//   _שאני_, šker, jtal, _lulë, 
   {{0xa3bf0035,0x98a200af,0x18a28267,0x00000000}},	//   ुओं_, _кише, _кашм, --, 
   {{0x03a602c0,0x61ed8268,0x613b0216,0x33d5017b}},	//   тибо, etal, _vîll, літт, 
   {{0xdb01014e,0x61ed8269,0x2249039b,0x00000000}},	//   _utlä, ftal, fzak_, --, 
   {{0x61ed826a,0x6d41826b,0x23606d1d,0x224902b0}},	// [79c0] gtal, _olla, rnij_, gzak_, 
   {{0xe0d702a6,0x236d0097,0xf53f02ae,0x00000000}},	//   кву_, čeja_, spår_, --, 
   {{0x838a02fb,0x4096826c,0x3dcd05d5,0xb4be0366}},	//   _обов_, трат, _avew_, आरी_, 
   {{0xa3d7031e,0xc29413b4,0x44384e5d,0x61ed0104}},	//   _सित_, _میزب, myr_, btal, 
   {{0x290c826d,0xdee3826e,0x26d20102,0x4f651a1c}},	//   ydda_, рочи, _mdyo_, دالف, 
   {{0x6286826f,0x3ead0118,0x6fb60038,0x7bca0be0}},	//   _izko, _efet_, _لمسا, tsfu, 
   {{0x6d41011c,0x7e7b011c,0xd47a0070,0xd00700b3}},	//   _dlla, _eyup, ואַל, _иере_, 
   {{0x6d4104b3,0x7bca098d,0xc6bd0033,0x26d21a20}},	//   _ella, rsfu, _আঞ্চ, _ndyo_, 
   {{0xada6152e,0x44380156,0x7bca00d1,0x6da68270}},	//   _разл, hyr_, ssfu, _риза, 
   {{0x44388271,0x5fc600c9,0xd9170080,0x6d41021e}},	//   kyr_, _लबाल, вью_, _glla, 
   {{0x6d588272,0x91ae0086,0x61ed010e,0x31370486}},	//   miva, টওয়্, ztal, דריך_, 
   {{0x290a1e34,0x44388273,0x61ed8274,0x62868275}},	//   žba_, dyr_, ytal, _ozko, 
   {{0xe7e4119b,0x09e316d0,0x9f470212,0x26d20547}},	//   _कमवा_, _вочн, îné_, _ddyo_, 
   {{0xb4dd2360,0x61ed33fc,0x443825f8,0x6616003e}},	//   डले_, vtal, fyr_, _dryk, 
   {{0xd82f00b3,0x1c02119b,0x628601f1,0x257f009e}},	//   _тэ_, लबिल_, _azko, lîlk_, 
   {{0x61ed453c,0x6d588276,0x224902ba,0x15e307d5}},	//   ttal, hiva, tzak_, कंदर_, 
   {{0x50f58277,0xdb012104,0x66160034,0x5215012d}},	// [79d0] лзат, _utlå, _gryk, ыдат, 
   {{0x61ed8278,0x6d5803ef,0x443803a9,0x00000000}},	//   rtal, jiva, byr_, --, 
   {{0x667400c5,0x628601f1,0xa283010e,0x22498279}},	//   _مدیر, _ezko, _چیزو, szak_, 
   {{0x61ed827a,0x673d00dd,0x6d41024a,0x63a50175}},	//   ptal, nksj, _slla, _iuhn, 
   {{0x22da0486,0x926b122f,0xdd2c0009,0x6d410034}},	//   _אחרא, _црна_, _dėžu, _plla, 
   {{0x6d58827b,0x1be93993,0x00000000,0x00000000}},	//   giva, едки_, --, --, 
   {{0x764b0019,0x6d41024a,0xbbf50038,0x9f580237}},	//   _ügyf, _vlla, استث, _oprè_, 
   {{0x9b0501a2,0x9f3400f0,0x7e6901d6,0x673d039b}},	//   узид, _кесі, _txep, jksj, 
   {{0x6d58827c,0x6d410026,0x2bae0083,0x98a5804e}},	//   biva, _tlla, _ręce_, липе, 
   {{0x6d5803ef,0x6d41827d,0x9f5806df,0xc27c00d1}},	//   civa, _ulla, _aprè_, ורחי, 
   {{0x25b2827e,0x6ec70827,0x00000000,0x00000000}},	//   _styl_, ारपु, --, --, 
   {{0xe7e40262,0x6d460009,0x2ab800d9,0x7c250502}},	//   _कमरा_, _įkai, _алць_, ähru, 
   {{0xcb120056,0x443802f0,0x7f3a00c7,0x6abb0548}},	//   _ללא_, wyr_, גערו, mbuf, 
   {{0x4438827f,0xe5a38280,0x394400e4,0x18692675}},	//   tyr_, сири, _кніг, _пали_, 
   {{0x6286006a,0x04438281,0x443e8282,0x63a5011c}},	//   _szko, берн, át_, _cuhn, 
   {{0x6d5803ef,0x6616155b,0x317811bb,0xd252189a}},	//   ziva, _tryk, _skrz_, منز_, 
   {{0x44380844,0x6d5861fb,0xdb1801e8,0xdb0100b9}},	// [79e0] syr_, yiva, rsvø, _culé, 
   {{0x9f47010c,0x6d588283,0x88d50033,0x11d70038}},	//   înî_, xiva, ত্রক, اولة_, 
   {{0x6d588284,0xcae30035,0xdfcf0038,0x63a5009e}},	//   viva, _गांड_, كيل_, _guhn, 
   {{0x527600cf,0x6da602f1,0x69db8285,0xada60664}},	//   _бугу, гида, krue, гадл, 
   {{0xee3a0504,0xed5a0602,0x62860243,0x539b00d1}},	//   энд_, нод_, _uzko, _ריכו, 
   {{0xa0a38286,0x6b8b02a5,0xe7e402ff,0xdd9414c1}},	//   _гард, _ahgg, _कमला_, шалы, 
   {{0x6d588287,0x21675813,0x00000000,0x00000000}},	//   riva, _сири_, --, --, 
   {{0x20188288,0x66067e4c,0x00000000,0x00000000}},	//   _irri_, kwkk, --, --, 
   {{0x0d86085c,0x9e668289,0x6d587465,0x69db024a}},	//   _блан, _свад, piva, grue, 
   {{0x4dfb0070,0x09063859,0x6abb02a5,0x00000000}},	//   _אפמא, учим, abuf, --, 
   {{0x9f583227,0x645a3323,0x79a60259,0x6575828a}},	//   _apré_, útil, _өрле, vozh, 
   {{0xfaa66e0f,0x63a5828b,0x2ee60326,0x69db076b}},	//   _садо, _ruhn, ngof_, brue, 
   {{0x66e604bd,0xdb01010c,0x69db5f93,0x28dd0299}},	//   _कारक_, _kulî, crue, _माचि, 
   {{0xe8940278,0x23790065,0x2018828c,0x63a502c7}},	//   _каль, _sksj_, _orri_, _puhn, 
   {{0xa3e40299,0x7a48002a,0x27f7026e,0x2d9e828d}},	//   _नमः_, sūtī, čená_, _mite_, 
   {{0x2d9e828e,0x290e828f,0xa2b58290,0x236d008b}},	//   _lite_, _hafa_, рбач, čejo_, 
   {{0xc2993eb2,0x290e8291,0x1dc63512,0x26cb02a3}},	// [79f0] тках_, _kafa_, रीमत, maco_, 
   {{0xf1da0d2e,0x26cb033c,0x2d9e8292,0x290e0082}},	//   यंजन, laco_, _nite_, _jafa_, 
   {{0x290e0415,0xe52200bd,0x6b5e0243,0x00000000}},	//   _mafa_, मारि_, līgu, --, 
   {{0x7ff40084,0x26cb8293,0x273b024a,0x2d9e0465}},	//   إسلا, naco_, _bëni_, _aite_, 
   {{0x6cc57253,0x398b03a9,0x2018449f,0x2d9e8294}},	//   айла, løse_, _erri_, _bite_, 
   {{0xabd52fa3,0x200a011c,0x11da00d1,0x2d9e8295}},	//   ациј, _fsbi_, _בחשב, _cite_, 
   {{0x2d9e8296,0x2d99011c,0x5f950165,0x26cb8297}},	//   _dite_, _èsem_, _вивт, kaco_, 
   {{0x60c70218,0xb33b0c05,0x2d9e8298,0x00000000}},	//   _hejm, _hiçb, _eite_, --, 
   {{0x49c60a31,0x290e8299,0x2d9e829a,0x26cb107c}},	//   алын_, _bafa_, _fite_, daco_, 
   {{0x69db829b,0x2d9e829c,0x290e0237,0x589500d9}},	//   rrue, _gite_, _cafa_, ишну, 
   {{0x18694647,0x290e829d,0xe7660cf8,0xb3a40035}},	//   тани_, _dafa_, ивоп, _खूंख, 
   {{0x7d03829e,0x61fd44bb,0x3a75829f,0xaa56015f}},	//   lens, _opsl, _клер, الیا_, 
   {{0xe5a682a0,0x7d030b1f,0x80d00086,0xb5222030}},	//   риги, oens, স্ট্, मालय_, 
   {{0x7d0382a1,0x60c700bc,0x290e82a2,0x613b078a}},	//   nens, _nejm, _gafa_, _fîli, 
   {{0x32190ab1,0xa87900c7,0x987900c7,0x69c202b0}},	//   _arsy_, _באַר, _באַט, _zwoe, 
   {{0x7d035b0c,0x60d50065,0xa3d7093a,0x200a02a2}},	//   hens, _adzm, _सिर_, _rsbi_, 
   {{0xdcfa031e,0xe29a2768,0x60c7024a,0xb77b00d1}},	// [7a00] _chtě, таа_, _bejm, _שאפש, 
   {{0xa63b00d1,0x2018008a,0x00000000,0x00000000}},	//   _סגיר, _prri_, --, --, 
   {{0x7d0382a3,0x35dc00a5,0x60c782a4,0x3f8d00a1}},	//   dens, _बिड़, _dejm, _bheu_, 
   {{0x91e62675,0x2d9e6f03,0xee3a3859,0xd5a500c9}},	//   _коме, _site_, кне_, _गूँज, 
   {{0x7d034508,0x3f8d82a5,0xcbb20033,0x00000000}},	//   fens, _dheu_, _ঘটেছ, --, 
   {{0x7d03194c,0x764b010e,0x60c70097,0x61461d7e}},	//   gens, _ügye, _gejm, _тега, 
   {{0x2d9e82a6,0x9b5881d5,0xe4ee1ef6,0xcc240086}},	//   _vite_, ликт_, _जानि_, বন্ধ_, 
   {{0xcfb70056,0x2d9e3782,0x60c7031e,0x79817371}},	//   _כללי_, _wite_, _zejm, ellw, 
   {{0x7d0382a7,0x2d9e82a8,0xd5a50262,0xfce682a9}},	//   bens, _tite_, _गूंज, _возо, 
   {{0x7d0365dd,0x2d9e00d9,0xa3d732f1,0x290e021e}},	//   cens, _uite_, _सिल_, _qafa_, 
   {{0xb8ce0bf5,0xe78711f4,0xa7752ee5,0xed4f00d7}},	//   _कल_, иумо, йлоч, _تپل_, 
   {{0x644e0f23,0x290e0247,0x61e482aa,0x00000000}},	//   dzbi, _wafa_, kuil, --, 
   {{0x26cb82ab,0x290e82ac,0x0a16015f,0x2f970070}},	//   raco_, _tafa_, _خوشح, יכטן_, 
   {{0x97a682ad,0x26cb02aa,0x6b5e0243,0x3857009c}},	//   _крил, saco_, rīgu, اشید_, 
   {{0xf2c782ae,0x93970038,0x26cb02be,0xf79500b3}},	//   исан, لجرا, paco_, _лакэ, 
   {{0x442d02f5,0x7d0382af,0x60c782b0,0x389b00d1}},	//   će_, zens, _sejm, _ביונ, 
   {{0x443f002a,0x7d030727,0x61e47bb3,0x30a71b3d}},	// [7a10] ņu_, yens, guil, арев, 
   {{0x2b460161,0x7d0382b1,0x660d82b2,0x867c00d1}},	//   _lloc_, xens, _isak, _ברחו, 
   {{0x7d0382b3,0xe81900a5,0xc6780109,0x764b039f}},	//   vens, धिया_, _محیط_, _ügyb, 
   {{0x7d0382b4,0xdb01004f,0xef19008a,0x321900de}},	//   wens, _utlø, _okże_, _trsy_, 
   {{0x25a93883,0x60c782b5,0x61e44145,0x88de0086}},	//   _jual_, _tejm, cuil, ব্যক, 
   {{0x6d4a82b6,0x25a982b7,0x32090151,0x660d82b8}},	//   ghfa, _mual_, mway_, _msak, 
   {{0x2b4682b9,0x320982ba,0x3f8d82bb,0xa158067d}},	//   _bloc_, lway_, _theu_, _тару_, 
   {{0x660d82bc,0x38690082,0x1ee70444,0x99840009}},	//   _osak, _ćar_, _خوری_, kymų_, 
   {{0x7d032dc3,0x660d82bd,0x00000000,0x00000000}},	//   pens, _nsak, --, --, 
   {{0x5d8500eb,0x39453005,0x6d4a82be,0x7d540b34}},	//   _الطل, сног, chfa, _двух, 
   {{0xe73a24dc,0x660d82bf,0xb6a602f1,0x2b465fef}},	//   ген_, _asak, йинл, _floc_, 
   {{0x3209137f,0x25a9085a,0x26c90183,0x59c4031e}},	//   kway_, _bual_, _ceao_, लीहर, 
   {{0x25a915c4,0x9b740084,0x3a2982c0,0xab7400eb}},	//   _cual_, _بالص, _çap_, _بالإ, 
   {{0x61e40088,0x9f5802a3,0x32090139,0x98a500fd}},	//   vuil, _aprì_, dway_, _уике, 
   {{0x29050226,0x320924bc,0x394200e0,0x04433a8d}},	//   mela_, eway_, īkst_, перн, 
   {{0x290582c1,0x3ea00112,0x61e40080,0x394201dd}},	//   lela_, žiti_, tuil, ūkst_, 
   {{0x320982c2,0x67240097,0xa3e40eda,0x25a982c3}},	// [7a20] gway_, _inij, _नमक_, _gual_, 
   {{0x290582c4,0xe297004e,0x61e482c5,0x40966417}},	//   nela_, сау_, ruil, брет, 
   {{0x32090f3a,0x7ae90194,0x67247ec8,0x443c0b41}},	//   away_, kget, _knij, _æv_, 
   {{0x29050364,0xdee607f9,0x80c6031e,0x487a0070}},	//   hela_, соди, िरहे, אטעס, 
   {{0x61e482c6,0x29050194,0x672402c7,0x6d4a1118}},	//   quil, kela_, _mnij, thfa, 
   {{0x290504ab,0x8bc682c7,0x2b4601f5,0x00000000}},	//   jela_, бсид, _sloc_, --, 
   {{0x60264243,0x7ae90380,0xa0a601a2,0x2b4682c8}},	//   _удва, fget, _ваҳд, _ploc_, 
   {{0x1de000bd,0xeb3801a2,0x7ae90df7,0x6d4a82c9}},	//   _निपत, рзиш_, gget, shfa, 
   {{0x29050149,0xdb010183,0x00000000,0x00000000}},	//   fela_, _gulí, --, --, 
   {{0x290582ca,0x795810df,0x672482cb,0xc7ba0504}},	//   gela_, риор_, _anij, лём_, 
   {{0x6c860084,0x6d5a0095,0x25a982cc,0x3cf10098}},	//   _الام, _imta, _sual_, žový_, 
   {{0x09e624d2,0xa09b0070,0x29050415,0x99840009}},	//   _годн, טייט, aela_, tymų_, 
   {{0x25a982cd,0x290582ce,0xa3cb00ab,0x25a107a0}},	//   _qual_, bela_, रीन_, _pihl_, 
   {{0x660d11c8,0x80de00cc,0x9f41023e,0x00000000}},	//   _vsak, ন্ত্, ruhé_, --, 
   {{0x395e6afa,0x1829039f,0x9f4101e5,0x00000000}},	//   mits_, _نقوی_, suhé_, --, 
   {{0x660d82cf,0x672402c7,0x322b0451,0xb33b82d0}},	//   _tsak, _gnij, лізм_, _biça, 
   {{0x6d480105,0x660d82d1,0x6d5a0cac,0xe6b502e6}},	// [7a30] _olda, _usak, _omta, ंडीज, 
   {{0x2103034d,0x30a70d2f,0x320982d2,0xe00402e6}},	//   रजेश_, срав, rway_, रबंद_, 
   {{0xe4ee2569,0x3f158012,0xb4d5009a,0xdb01020b}},	//   _जाति_, ждес, हणी_, _sulí, 
   {{0x6d480414,0x290582d3,0xc7b300c7,0x3cfb031e}},	//   _alda, zela_, לבע_, ल्ने_, 
   {{0x290582d4,0x395e82d5,0x00000000,0x00000000}},	//   yela_, kits_, --, --, 
   {{0x290582d6,0xfe702daa,0x527a00d1,0x25de0299}},	//   xela_, ردن_, _כנרא, कूटी_, 
   {{0x395e82d7,0x7ae93414,0x2369020f,0x00000000}},	//   dits_, tget, onaj_, --, 
   {{0xe9d97e58,0x80de00cc,0x290582d8,0x6d4882d9}},	//   аки_, ন্দ্, wela_, _elda, 
   {{0x290582da,0xc9a673fa,0x7f4901f2,0x395e00d1}},	//   tela_, овые_, _ileq, fits_, 
   {{0x672482db,0x395e82dc,0x7ae92603,0xe8f601f7}},	//   _snij, gits_, sget, оль_, 
   {{0xa3cb11bd,0x29056b55,0x1cb806ab,0xc689027a}},	//   रीम_, rela_, _طالب_, _סא_, 
   {{0x290582dd,0xbf8700e7,0x59f900d9,0x7f4900c3}},	//   sela_, _điền_, _ведя_, _jleq, 
   {{0xaa581a63,0x395e6021,0x00000000,0x00000000}},	//   _лицу_, bits_, --, --, 
   {{0x395e82de,0x7e9a008d,0x03a600ba,0x6d4382df}},	//   cits_, יסרו, живо, nkna, 
   {{0x64a382e0,0x6d4382e1,0xf35a38f2,0x00000000}},	//   дара, ikna, ашај_, --, 
   {{0x96ba03b7,0x236982e2,0x2b5f0474,0x00000000}},	//   _туку_, gnaj_, niuc_, --, 
   {{0xa3cb0083,0x6d435753,0x00000000,0x00000000}},	// [7a40] रीब_, kkna, --, --, 
   {{0x6d430df9,0x00000000,0x00000000,0x00000000}},	//   jkna, --, --, --, 
   {{0x4ea65327,0x82a65245,0x600a82e3,0x00000000}},	//   орла, _манж, рнем_, --, 
   {{0x1e8600ce,0x4eba0086,0xdfcf7438,0x63b31102}},	//   олем, ুল্ল, ئين_, žené, 
   {{0xdd8f009c,0x00000000,0x00000000,0x00000000}},	//   چون_, --, --, --, 
   {{0xdd8f0071,0x7f4912ed,0x395e022c,0x00000000}},	//   نون_, _eleq, xits_, --, 
   {{0x22400019,0x395e82e4,0x7f49240a,0xfbcf0195}},	//   lyik_, vits_, _fleq, نتي_, 
   {{0x5a3407a4,0x3ce0027e,0x657c012b,0xdb080175}},	//   знит, şiv_, horh, _kudé, 
   {{0x395e82e5,0x6f1d2769,0x224082e6,0x61f60035}},	//   tits_, _ósca, nyik_, ntyl, 
   {{0x3f8682e7,0xdb08001d,0x6d5a82e8,0xdb0103dd}},	//   llou_, _mudé, _umta, _eulà, 
   {{0x21380864,0x395e82e9,0x00000000,0x00000000}},	//   _morh_, rits_, --, --, 
   {{0x2b5f00b3,0x395e82ea,0x16b50299,0xa2bc05ff}},	//   ciuc_, sits_, ंडेब, षुम्, 
   {{0x657c03a9,0x61f682eb,0x395e82ec,0x23691ad8}},	//   forh, jtyl, pits_, vnaj_, 
   {{0x236900ab,0xb4d500a2,0x2240137f,0x21380226}},	//   wnaj_, हणे_, dyik_, _norh_, 
   {{0xd7ef00b9,0x3f8682ed,0x00000000,0x00000000}},	//   _юу_, klou_, --, --, 
   {{0x27f3020b,0x00000000,0x00000000,0x00000000}},	//   žaní_, --, --, --, 
   {{0x2369014b,0x325582ee,0x2240010e,0x657c00df}},	// [7a50] rnaj_, чвар, gyik_, borh, 
   {{0x34957ff8,0xdb080126,0x00000000,0x00000000}},	//   _напр, _dudé, --, --, 
   {{0x2fc7009c,0x21380864,0x7f490034,0x98b80083}},	//   èng_, _dorh_, _pleq, órę_, 
   {{0xbf58004f,0xa3cb0110,0x00000000,0x00000000}},	//   орії_, रीण_, --, --, 
   {{0x7bc802bf,0xdd140187,0x22840079,0x22520083}},	//   _awdu, _dĺžk, _жург, czyk_, 
   {{0x1d091010,0xf1c40083,0x00000000,0x00000000}},	//   секи_, _लौटन, --, --, 
   {{0x6d431df1,0x709502f1,0x26c200ab,0xbc1921f4}},	//   rkna, _хавф, ybko_, сілі_, 
   {{0x3f8603a1,0x05dc04cc,0x6d4303c5,0xdb08011c}},	//   clou_, _बिलब, skna, _yudé, 
   {{0xa3cb0f8e,0x5d5506be,0x2b5f020f,0x00000000}},	//   रीत_, _екат, riuc_, --, 
   {{0xa3ab00b0,0x00000000,0x00000000,0x00000000}},	//   खदा_, --, --, --, 
   {{0x657c82ef,0xb33b0151,0x26c201ca,0x00000000}},	//   vorh, _niço, tbko_, --, 
   {{0xe4ee01a4,0xdb010354,0x3a3f011c,0x00000000}},	//   _जाहि_, _fulá, pyup_, --, 
   {{0x657c82f0,0xf1a70262,0xdb010098,0x7afb025b}},	//   torh, _कंगन, _gulá, mfut, 
   {{0xd6da00d3,0xa3d70eda,0x00000000,0x00000000}},	//   штү_, _सिख_, --, --, 
   {{0xf746110c,0x186682f1,0xdb0200b9,0x232a0515}},	//   _неко, _наши_, _bioè, бови_, 
   {{0xd2aa00e4,0x52aa00fd,0x21f400b0,0x7afb82f2}},	//   скае_, свам_, täh_, nfut, 
   {{0x7afb018e,0x00000000,0x00000000,0x00000000}},	// [7a60] ifut, --, --, --, 
   {{0xf8bd12e3,0x4096327c,0x6604478b,0x00000000}},	//   ोरिय, прет, _ipik, --, 
   {{0x225200ab,0x316602fe,0x26140466,0x3f86084c}},	//   szyk_, đoz_, दिकी_, tlou_, 
   {{0x2d8782f3,0x00000000,0x00000000,0x00000000}},	//   elne_, --, --, --, 
   {{0x539b00fe,0xbb440080,0x3eab00de,0x00000000}},	//   _ליטו, äämä, _šitá_, --, 
   {{0xf9870105,0x660482f4,0xe04602f1,0x261d009a}},	//   _سب_, _mpik, _енги, मिती_, 
   {{0x69dd0039,0x200c00fd,0xa2b30f7a,0x66040175}},	//   ásen, _èdi_, _अलम्, _lpik, 
   {{0x2d8782f5,0xf9140083,0x00000000,0x00000000}},	//   alne_, _थोड़ा_, --, --, 
   {{0x644301f0,0xdcf882f6,0xa923020b,0x61e401e5}},	//   _üniv, lovč, _šľap, nril, 
   {{0x63a605a1,0x753a01c4,0x628682f7,0x61e482f8}},	//   _likn, ötzl, _myko, iril, 
   {{0x660422c9,0xdcf882f9,0x628669c1,0x61e482fa}},	//   _apik, novč, _lyko, hril, 
   {{0xa5f900c8,0x98a700bc,0x63a682fb,0x7d0a540f}},	//   оему_, _koně_, _nikn, lefs, 
   {{0x5fce185c,0x62860611,0xdcf800ef,0x6b8202c7}},	//   _हौसल, _nyko, hovč, _ikog, 
   {{0x61e482fc,0xdcf80864,0x25a5003e,0x00000000}},	//   dril, kovč, öll_, --, 
   {{0xd4040a74,0x61e46e82,0x96f900d3,0x97ad027e}},	//   няти, eril, _дейт_, üştü, 
   {{0xc6a72f0d,0x62860876,0x533412db,0x7d0a0326}},	//   _эрки, _byko, нест, hefs, 
   {{0xd7f800d9,0x63a682fd,0xdb02011c,0xb184253f}},	// [7a70] ltă_, _dikn, _cioé, _šťav, 
   {{0x611403a1,0x69c4003d,0x66ed034d,0x69c000d1}},	//   ндуу, _ħiel, _झाँक_, ipme, 
   {{0xd7f80012,0x2ef50fc8,0x60ce82fe,0x61e482ff}},	//   ntă_, дзер, _debm, aril, 
   {{0xd7f800b3,0x6b820027,0x2bb50243,0xa2bc14a7}},	//   ită_, _nkog, _nāca_, षुद्, 
   {{0x2287286c,0x00000000,0x00000000,0x00000000}},	//   _хунг, --, --, --, 
   {{0xc21200a7,0x61e2008b,0xfce500a3,0x236d0097}},	//   _שהם_, šolc, фоко, čeju_, 
   {{0xa1945750,0x3b9502a0,0x00000000,0x00000000}},	//   _чарч, мјит, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x6ca7004e,0x44210242,0x6609027e,0x2d870032}},	//   _ереж, _lrh_, çekl, plne_, 
   {{0xd7f80474,0x00000000,0x00000000,0x00000000}},	//   ftă_, --, --, --, 
   {{0x66e64484,0x661d0034,0x66047170,0x7afb01c2}},	//   мона, evsk, _spik, pfut, 
   {{0xd90f0105,0x501a00a7,0xa5b200ab,0x34c61615}},	//   ئیں_, קורו, _इंदौ, वर्द, 
   {{0xe8ee6793,0x6b8925f2,0xd7f800d9,0x64410a1f}},	//   _ил_, mleg, ată_, ølin, 
   {{0x61e48300,0x6b898301,0x44210118,0x6b9b8302}},	//   vril, lleg, _brh_, lmug, 
   {{0xe5a30c67,0xd7f800d9,0x35a335c2,0x833a2f73}},	//   тири, ctă_, тарг, очат_, 
   {{0x6b890c86,0x37870141,0x61e45b7a,0xa5d704cc}},	//   nleg, _общо_, tril, _बिचौ, 
   {{0x6f1902bf,0x61e48303,0xf26a3288,0x66048304}},	// [7a80] ddwc, uril, циал_, _upik, 
   {{0x6286143b,0xa3cb1615,0x92ce0033,0x61e4251e}},	//   _vyko, रीह_, রলে_, rril, 
   {{0x6286006a,0xa00a0523,0x6b898305,0xdfcf00eb}},	//   _wyko, تقال_, kleg, ليل_, 
   {{0x61e400d0,0xdcf80097,0x0e66004e,0xdb020183}},	//   pril, rovč, мкен, _tioé, 
   {{0x6b8900fc,0x60ce006d,0xf2d30070,0xf1a735d0}},	//   dleg, _tebm, _בער_, _कंचन, 
   {{0x6b8205a1,0xdcf80372,0x23d20083,0xdcfa00c3}},	//   _skog, povč, _तबाद, _mitħ, 
   {{0x6b893475,0x69cb011c,0x64430241,0x212a01be}},	//   fleg, _awge, _ünit, _inbh_, 
   {{0x6b8925f2,0x6b9b012b,0xdb0102ae,0x7d0a8306}},	//   gleg, gmug, _nulä, sefs, 
   {{0x3cfb6833,0x201e0f4c,0xdcfa01f2,0x58d409e4}},	//   ल्हे_, _štih_, _nitħ, нопт, 
   {{0xd8f800dd,0x799a006d,0x31c9010c,0x69c00528}},	//   чної_, umtw, lîzî_, rpme, 
   {{0x79888307,0x93c50108,0x2d4b00fb,0x00000000}},	//   rldw, _chắ, _køen_, --, 
   {{0xd7f8002e,0xb7d8006b,0x6b8900ab,0x3a29015e}},	//   rtă_, _ہوتا_, cleg, _šape_, 
   {{0xd7f8002e,0xdb087fe1,0x56940251,0x3cfb09ef}},	//   stă_, _judí, кают, ल्वे_, 
   {{0xd7f800d9,0x6b808308,0x661d8309,0xf80600b3}},	//   ptă_, lomg, rvsk, _жчин, 
   {{0xe7e50da6,0xdb1a0212,0x2d9c019b,0x99990032}},	//   _किया_, _atté, imve_, ásť_, 
   {{0x4421830a,0x569500cf,0x290c830b,0x6b80830c}},	//   _vrh_, _пайт, leda_, nomg, 
   {{0x60c90097,0x851a0790,0xdb0800de,0x00000000}},	// [7a90] _đemb, _फोकट_, _nudí, --, 
   {{0x290c830d,0x4421026e,0xddc200ab,0xdb010380}},	//   neda_, _trh_, szoś, _zulä, 
   {{0xd371029a,0xdb08830e,0x44216216,0xa3cb1446}},	//   _مهد_, _audí, _urh_, रीश_, 
   {{0x290c0141,0xdb08014b,0x62350267,0xc49a0486}},	//   heda_, _budí, _зему, _משתת, 
   {{0x290c51cc,0x16220527,0x7bda011c,0x6b89830f}},	//   keda_, मियर_, _avtu, vleg, 
   {{0x290c0f30,0x61ed388b,0x1de00299,0x02ef00aa}},	//   jeda_, mual, _निरत, _छाँह_, 
   {{0x6b89492c,0x290c012d,0x61ed8310,0x1b180033}},	//   tleg, deda_, lual, থানে_, 
   {{0x49c9020f,0x394e008a,0x70948311,0x00000000}},	//   плин_, _alfs_, _расф, --, 
   {{0x6b8924a0,0x7d012e12,0x61ed0ad8,0xda1608dd}},	//   rleg, _tbls, nual, तिगत_, 
   {{0x6b898312,0x290c00b0,0x6b9b8313,0xd1022227}},	//   sleg, geda_, smug, र्पण_, 
   {{0x6b898314,0x61ed8315,0xef19003d,0x1da800a5}},	//   pleg, hual, _każ_, _छूटत, 
   {{0x44262e19,0xa8220dec,0xb33b00e5,0x61ed0a9f}},	//   _čo_, اکون, _diçk, kual, 
   {{0x290c8316,0xdb080042,0x61ed3d94,0xef1900a4}},	//   beda_, _xudí, jual, _maż_, 
   {{0x290c033c,0x61ed106b,0x93c50108,0x00000000}},	//   ceda_, dual, _thắ, --, 
   {{0xf1bf057f,0xa3cb00a2,0x232a00ff,0xdcf80243}},	//   _atá_, रील_, пови_, novā, 
   {{0x3ead8317,0x23e10299,0xdcfa007b,0x00000000}},	//   _nget_, _फिरद, _titħ, --, 
   {{0x312628d0,0xa3dc1b38,0xb0cb02e6,0x114a013e}},	// [7aa0] ндаг, _ठिक_, िरंग, ппай_, 
   {{0xdce3012d,0x52830df3,0x79818318,0x2d4b0d09}},	//   monė, угуб, nolw, _søen_, 
   {{0x3ead016a,0x2ee600d3,0x26d20026,0xdd9905d5}},	//   _bget_, ежег, _keyo_, _epňk_, 
   {{0x60c3091f,0x79818319,0xa3e50262,0x61ed0065}},	//   ınma, holw, _नित_, bual, 
   {{0x7981831a,0x61ed0730,0xef1900c3,0xbd87009c}},	//   kolw, cual, _daż_, کنون_, 
   {{0x3ead0dcb,0x3cfb24ef,0xa25b0054,0x290c00b9}},	//   _eget_, ल्ले_, _teôr, xeda_, 
   {{0xdee6831b,0x290c831c,0xd0076602,0x9c7c0098}},	//   _пови, veda_, _пере_, _odče, 
   {{0x2d8501f0,0x8fa3831d,0x7bd8831e,0x290c831f}},	//   _ekle_, _басе, rsvu, weda_, 
   {{0x290c0062,0x49748320,0x79817371,0xdce30028}},	//   teda_, клис, folw, jonė, 
   {{0x0e6300b3,0x98b900d3,0xccf802d9,0x00000000}},	//   _скун, үлөт_, _změn_, --, 
   {{0x61ed8321,0x4aaa005e,0x315700c7,0x310200d8}},	//   zual, _екен_, גיין_, र्यः_, 
   {{0x7d1a8322,0x261d121a,0x00000000,0x00000000}},	//   _hats, मिली_, --, --, 
   {{0x7d1a8323,0x290c009a,0xb6045c03,0x26d20300}},	//   _kats, peda_, лярк, _deyo_, 
   {{0xd90e00d4,0x7966023e,0xa3b505f6,0x00000000}},	//   _اید_, _déwè, _छंद_, --, 
   {{0x7d1a8324,0xc88501c4,0x23e4012d,0x15ed0035}},	//   _mats, ößte_, літв, _जमकर_, 
   {{0x7d1a8325,0xb33b0095,0x26d200b4,0xe3b027b3}},	//   _lats, _kiçi, _geyo_, صرف_, 
   {{0xb5a712d4,0x672d8326,0x76750b49,0x6d4a00fc}},	// [7ab0] _прой, _inaj, _шлиф, kkfa, 
   {{0x7d1a8327,0x61ed8328,0xdb0102ae,0x35f8007a}},	//   _nats, rual, _utlö, _أريد_, 
   {{0x61ed1107,0x0fe400d3,0xdcb10023,0x64bf0299}},	//   sual, лөтү, _bản_, ्रीश, 
   {{0x2d8500da,0x00000000,0x00000000,0x00000000}},	//   _skle_, --, --, --, 
   {{0x7d1a8329,0x5f7457c8,0xa3b51615,0x672d832a}},	//   _bats, دالر, _छूत_, _mnaj, 
   {{0x7d1a832b,0xdb0800b9,0xc6940225,0xcc890398}},	//   _cats, _audà, נאס_, мбле_, 
   {{0x2ef52189,0x7d1a0379,0xef19003d,0x4cca0086}},	//   _извр, _dats, _taż_, _রাখু, 
   {{0xb33b832c,0x3eb905b7,0x7981832d,0x6d4a832e}},	//   _biçi, _üst_, wolw, akfa, 
   {{0xfe73006b,0x7d1a832f,0x295500fd,0x798107d7}},	//   _صدر_, _fats, вънр, tolw, 
   {{0x98a5447a,0x6d4a0c83,0x7cd90a5a,0xb33b0218}},	//   кипе, ckfa, _آواز_, _diçi, 
   {{0xcb1500b3,0x79818330,0x1ae30033,0x2c0326ef}},	//   _афлы, rolw, ক্ষে_, _сүйм, 
   {{0x66161950,0x7d1a8331,0x6f1b8332,0x366a14b4}},	//   _psyk, _zats, _jauc, дамо_, 
   {{0xa3d40ede,0x7d1a8333,0xc4bf0035,0xd04500ad}},	//   सीन_, _yats, ्रूख, rahə, 
   {{0x7dd800eb,0x6f1b8334,0x672d8335,0xd04700ad}},	//   _húsá, _lauc, _enaj, şməs, 
   {{0x94798336,0x6b6701e5,0x69db2446,0xdb08020b}},	//   есту_, _gègè, lsue, _hudá, 
   {{0x6f1b5ccb,0xa25600d7,0x3a200604,0x00000000}},	//   _nauc, نپزش, _šipi_, --, 
   {{0x03a38337,0x69db8338,0xe1fa0cb4,0xe819102c}},	// [7ac0] рито, nsue, ьга_, धिका_, 
   {{0x672d3929,0x25d707f5,0xd5b7000f,0xf21300cc}},	//   _znaj, _שוין_, _इंतज, সমূহ_, 
   {{0x7d1a8339,0x6f1b833a,0xc059004f,0x7bc10026}},	//   _rats, _bauc, нії_, _ntlu, 
   {{0x7d1a0a40,0xdee6833b,0x69db1008,0x6f1b833c}},	//   _sats, тоди, ksue, _cauc, 
   {{0x7d1a833d,0xed5a833e,0xdb0e0151,0xbdf7149e}},	//   _pats, мод_, _àdéc, نروا_, 
   {{0x7d1a833f,0xde930267,0xdb083952,0x00000000}},	//   _qats, јашњ, _sudà, --, 
   {{0x3f6a3381,0x6f1b8340,0x7d1a8341,0x6d4a01d5}},	//   _живо_, _fauc, _vats, rkfa, 
   {{0x7d1a8342,0x5b148343,0x6f1b026d,0x3a290613}},	//   _wats, умит, _gauc, _šapa_, 
   {{0x7d1a8344,0x9cf6049b,0x00000000,0x00000000}},	//   _tats, _ачеш, --, --, 
   {{0x35dc0035,0x7d1a0201,0x764b039f,0x00000000}},	//   _बिज़, _uats, _ügyi, --, 
   {{0x96f900b3,0x00000000,0x00000000,0x00000000}},	//   нент_, --, --, --, 
   {{0x6f020104,0x69db00e9,0x0a6a8345,0x00000000}},	//   nfoc, bsue, _орли_, --, 
   {{0x69db00a1,0x00000000,0x00000000,0x00000000}},	//   csue, --, --, --, 
   {{0x69c201a7,0x64bf0fc0,0x7f4000f6,0xe8260165}},	//   _itoe, ्रेश, _lomq, _афио, 
   {{0x1af50033,0x4425007a,0x893700d1,0x656701d2}},	//   _আসতে_, íl_, _ברגע_, rijh, 
   {{0x291c0824,0x97a411c5,0x672d0010,0x3a26055f}},	//   _hava_, _крыл, _unaj, _krop_, 
   {{0x291c0abd,0x20188346,0x26d982f4,0x6f1b01c4}},	// [7ad0] _kava_, _asri_, maso_, _rauc, 
   {{0x6f1b8347,0x291e0019,0xe3b00019,0x291c00d1}},	//   _sauc, ndta_, صرہ_, _java_, 
   {{0x7ae20088,0x30a78348,0x6f02056d,0x60d700ad}},	//   _odot, трав, ffoc, raxm, 
   {{0x291c8349,0x7ae2834a,0x26d9834b,0xe7e536a6}},	//   _lava_, _ndot, naso_, _किसा_, 
   {{0xdef81838,0xfce5834c,0x201e00d2,0x69c2084c}},	//   тых_, голо, _štit_, _ntoe, 
   {{0x291c834d,0x7ae2834e,0x0d843d3f,0xe3b00274}},	//   _nava_, _adot, алін, _دری_, 
   {{0xdb084202,0x6f1b01c4,0x69c20175,0x7ae2008a}},	//   _sudá, _tauc, _atoe, _bdot, 
   {{0xe4e307bd,0x69db0a9f,0x670500b0,0xa3cb01a4}},	//   कृति_, tsue, ष्मक_, रीए_, 
   {{0x224922fd,0x291c834f,0x26d902e4,0x39990107}},	//   nyak_, _bava_, daso_, hèse_, 
   {{0x291c8350,0x7ae20a9f,0x8cca22f8,0x2369006f}},	//   _cava_, _edot, _स्पो, hiaj_, 
   {{0x69db8351,0x3a26012e,0x291c8352,0x6d418353}},	//   ssue, _erop_, _dava_, _iola, 
   {{0x6d41648f,0x26d901a3,0xf09200a7,0xdb08010e}},	//   _hola, gaso_, מני_, _tudá, 
   {{0x55f602f3,0x09e50088,0x291c0036,0xdb0b0034}},	//   ычну, _солн, _fava_, _ligë, 
   {{0x6d418354,0x291c078a,0x60d52645,0x394c0036}},	//   _jola, _gava_, _nezm, ckds_, 
   {{0x5faf0bed,0xf992008d,0xc984002e,0xb40400d3}},	//   _जंगल, _הרג_, _туци, шүнд, 
   {{0x26d90503,0x291c05f0,0x7c2e8355,0xe35512d2}},	//   caso_, _zava_, _ábre, атуэ, 
   {{0xa3d4047c,0x60d55580,0xb22627ba,0x20188356}},	// [7ae0] _सौर_, _bezm, ымал, _ssri_, 
   {{0x6d418357,0x20565cd1,0x291c0183,0x10a602f1}},	//   _nola, лтер, _xava_, гизн, 
   {{0x60d5002e,0x04461a79,0xd46a8358,0x32190054}},	//   _dezm, _сенн, _чине_, _essy_, 
   {{0xf1bf033c,0x613b0218,0x6d418359,0xdef703a1}},	//   _irán_, _mîly, _aola, гыш_, 
   {{0x6d41835a,0xdee3835b,0x9e7600d7,0x00000000}},	//   _bola, сочи, دهشت, --, 
   {{0xa3cb05f6,0xa3b81567,0x3f8f00b0,0x60d5035d}},	//   रीक_, _चढा_, algu_, _gezm, 
   {{0xab5c002a,0x69c20af8,0xfbaa123f,0x7f40023b}},	//   _atļa, _stoe, нтий_, _tomq, 
   {{0x6d41057f,0x3a26835c,0x3320835d,0x291c2f16}},	//   _eola, _prop_, ndix_, _sava_, 
   {{0x6d41835e,0xdd8f0535,0x26d902a3,0x291c835f}},	//   _fola, _کول_, vaso_, _pava_, 
   {{0x6d418360,0xdb0b022c,0x58d40258,0xa96702a0}},	//   _gola, _ligè, шоот, лиња_, 
   {{0x31370056,0x291c8361,0xe89402f3,0xb8dc2369}},	//   אריך_, _vava_, рань, _अल_, 
   {{0x3a260518,0x6d418362,0xa3b80262,0x645c0065}},	//   _trop_, _zola, _चढ़_, dzri, 
   {{0x26d98363,0x291c8364,0x6d418365,0xe94400d4}},	//   raso_, _tava_, _yola, _پرشی, 
   {{0x040e00cc,0x26d901ca,0x6d588366,0xf65f02c9}},	//   হিনী_, saso_, nhva, lbæk_, 
   {{0x26d90475,0x88bb00c7,0x00000000,0x00000000}},	//   paso_, _אזוי, --, --, 
   {{0xe3150267,0x98bc0118,0x00000000,0x00000000}},	//   јмањ, _movč_, --, --, 
   {{0x23698367,0xdb0b6f68,0x60f9021d,0x62340a10}},	// [7af0] riaj_, _digè, кная_, бету, 
   {{0x7c288368,0x660d66e2,0x236900ab,0xdce300ca}},	//   _ordr, _ipak, siaj_, tinč, 
   {{0xa3cb0f01,0xd0110a24,0x60d5014b,0xf1bf0534}},	//   रीख_, تلا_, _vezm, _grán_, 
   {{0x398b03a9,0xdce38369,0x32190054,0x2249836a}},	//   løst_, rinč, _tssy_, pyak_, 
   {{0x6d410de2,0xa91c0228,0x7c28836b,0x8ca70c46}},	//   _pola, voľn, _ardr, टेनो, 
   {{0x660d0ad1,0x9f4c010c,0x6da502f1,0x6d4102f1}},	//   _mpak, _êdî_, шила, _qola, 
   {{0x6d41836c,0xeab100eb,0x8cc11080,0x00000000}},	//   _vola, يعة_, रुषो, --, 
   {{0x0b450c67,0x6d41836d,0x05b507d5,0x660d1175}},	//   рнин, _wola, ंदाब, _opak, 
   {{0x5f440a67,0x660d011d,0x61ed2120,0x7c28836e}},	//   _انقل, _npak, nral, _erdr, 
   {{0x63af1861,0x6d58014b,0x4805836f,0x6e290610}},	//   _licn, chva, апов, _ireb, 
   {{0x660d8370,0x200109e8,0x61ed0228,0x6e298371}},	//   _apak, nthi_, hral, _hreb, 
   {{0x63af01be,0x6e296f41,0x00000000,0x00000000}},	//   _nicn, _kreb, --, --, 
   {{0x7f3a0137,0x0ab40a7c,0xbb8400eb,0x04b600dd}},	//   דערו, _احمد, _الني, исвя, 
   {{0x2d878372,0x98a5022c,0x69c98373,0x660d02cd}},	//   none_, _киле, mpee, _dpak, 
   {{0x64a68374,0x6f098375,0x61ed8376,0xdb0b007a}},	//   рава, _obec, eral, _aigé, 
   {{0x6e298377,0x2d878378,0x58940038,0x0cd1031e}},	//   _oreb, hone_, _اجهز, हरुम, 
   {{0x52aa8379,0x2d87837a,0xa5bb0042,0xdb0a14f8}},	// [7b00] твам_, kone_, nvól, ppfö, 
   {{0x2d87837b,0xdb0b837c,0xf1bf0023,0xe3ba0080}},	//   jone_, _digé, _trán_, _ибо_, 
   {{0x2d87837d,0x46ba130c,0xd1023cae,0x6e29837e}},	//   done_, _इलाह, र्षण_, _areb, 
   {{0x61ed837f,0x6e29261e,0xf1bf02d9,0x3eb2017b}},	//   bral, _breb, _král_, øyt_, 
   {{0x2d878380,0x6e290ec3,0x63a48381,0x0cd1031e}},	//   fone_, _creb, mmin, हरूम, 
   {{0x2d878382,0xb5fb0019,0x92ce0033,0x63a48383}},	//   gone_, szág, _রায়_, lmin, 
   {{0x6e29010c,0x6ca30093,0x8fa637d3,0xe4560070}},	//   _ereb, оръж, _ваве, ייַט_, 
   {{0xa3cb1230,0xf1bf2706,0x00000000,0x00000000}},	//   रीट_, _orál_, --, --, 
   {{0x63a48384,0x2d878385,0x9982031e,0x6e2901cf}},	//   imin, bone_, íků_, _greb, 
   {{0x63a48386,0x2d878387,0x3eab00da,0x00000000}},	//   hmin, cone_, _úcta_, --, 
   {{0x63a48388,0xeb360dec,0x00000000,0x00000000}},	//   kmin, _پراخ, --, --, 
   {{0x8cca119b,0xdce3002a,0x63a48389,0x7bca0380}},	//   _स्तो, minā, jmin, mpfu, 
   {{0xdce300e0,0x7bca00d1,0x63a4107d,0x00000000}},	//   linā, lpfu, dmin, --, 
   {{0x61ed838a,0xb866009c,0x229c0028,0x14c7009c}},	//   vral, _پاتو, iškį_, شهری_, 
   {{0xf3670020,0x6b553c3a,0xd7fa00d9,0xdce30243}},	//   атан, _hága, _рул_, ninā, 
   {{0x2d87838b,0x63a4838c,0x63b7014e,0xe7380886}},	//   zone_, gmin, _vuxn, _већ_, 
   {{0xa3cb07d5,0x660d838d,0x2d87838e,0xdce3838f}},	// [7b10] रीज_, _upak, yone_, hinā, 
   {{0x61ed8390,0x63a48391,0xdb0b0369,0x24f700d3}},	//   rral, amin, _vigé, _өчүр, 
   {{0x63a48392,0x2d8702a3,0x6f01010e,0x2b810035}},	//   bmin, vone_, jábó, rócz_, 
   {{0x6e293053,0xdce3002a,0x2d878393,0x20018394}},	//   _preb, dinā, wone_, rthi_, 
   {{0x539a00fe,0xfe702751,0x1af50086,0x200100d4}},	//   _תירו, وده_, _আসলে_, sthi_, 
   {{0x6e29265d,0x51840e52,0x6b73020f,0x00000000}},	//   _vreb, _дуса, măgi, --, 
   {{0xb5fb0183,0x2d870df7,0xa3cb009a,0x80dc00c9}},	//   nzáb, rone_, रीच_, _फ़ते, 
   {{0x6e298395,0x2d878396,0x9f053dd7,0x2b15017b}},	//   _treb, sone_, _دورو, ськр, 
   {{0x2d878397,0xaa4900c8,0x3e1816d0,0x6e2902b8}},	//   pone_, уппа_, _котэ_, _ureb, 
   {{0x69c90088,0xdce300e0,0x63a48398,0x6b4e01f5}},	//   rpee, binā, zmin, _lùgh, 
   {{0x1b1f00cc,0x69c90318,0xdce3002a,0x1b030161}},	//   ভাবে_, spee, cinā, _дүйн, 
   {{0x63a432b1,0x69c98399,0x6b55839a,0x00000000}},	//   xmin, ppee, _fága, --, 
   {{0x4e790070,0x7988040b,0x63a4839b,0x00000000}},	//   ראָצ, bodw, vmin, --, 
   {{0x044615f5,0x6b89039b,0x63a41979,0x1de0009a}},	//   бегн, loeg, wmin, _निघत, 
   {{0x63a4007e,0x85790093,0xb4b80c59,0x684500d9}},	//   tmin, рсят_, _छली_, _ынка, 
   {{0x675600c5,0x6b8910f3,0x935900d3,0x63a4839c}},	//   _دختر, noeg, аруу_, umin, 
   {{0xdce3002a,0x78c60019,0x00e613c3,0x6d8d2403}},	// [7b20] zinā, _érvé, йжан, núas, 
   {{0x3f9f0175,0x3f8d0175,0x05b502e6,0x1aff0033}},	//   _ahuu_, _akeu_, ंदरब, ্যিই_, 
   {{0xd8da00c7,0x4fea00f0,0x251b0147,0x6b8900b4}},	//   רקער, умен_, _גויא, koeg, 
   {{0x656e839d,0x27fa004f,0xdce301dd,0x644e0009}},	//   libh, _åpne_, vinā, mybi, 
   {{0x5275839e,0xa3d40586,0x644e839f,0x00000000}},	//   _дуру, सीर_, lybi, --, 
   {{0xdce300e0,0xb17b02ae,0x00000000,0x00000000}},	//   tinā, _tvåa, --, --, 
   {{0x61f60384,0x644e83a0,0x31570147,0x00000000}},	//   luyl, nybi, _פילן_, --, 
   {{0xdce300e0,0x6b550183,0xa06700b3,0xb5fb38e1}},	//   rinā, _pága, _уаса_, nzác, 
   {{0xdce3002a,0x2d8c0065,0x61f60241,0xdd922e10}},	//   sinā, _tkde_, nuyl, _فور_, 
   {{0x26c200ab,0x644e0009,0x290a0228,0xd83a00b3}},	//   ecko_, kybi, ýba_, гэм_, 
   {{0x2381012d,0x61f60626,0x656e00e1,0x1e181432}},	//   lėje_, huyl, dibh, _धनुष_, 
   {{0x96470ecf,0x290200bc,0x61f60495,0x644e0028}},	//   бэгд, řka_, kuyl, dybi, 
   {{0x238100e4,0x60de209d,0x00000000,0x00000000}},	//   nėje_, kapm, --, --, 
   {{0x67d483a1,0x6d5d0009,0xdce3020f,0x6b4e01be}},	//   _доку, _įsak, mină, _sùgh, 
   {{0xd82f00d3,0x60de02cd,0x64b900a5,0x2458002e}},	//   _ээ_, dapm, _आलीश, барь_, 
   {{0x443f02f5,0xa91c0187,0xe2f8004e,0x5b7b0070}},	//   ću_, koľk, йесі_, ָרמא, 
   {{0xe8200b3e,0xdb080187,0xd6da00d3,0x26db00f6}},	// [7b30] यिका_, _budú, _өтө_, _ieqo_, 
   {{0x60de016a,0x2b460096,0x3f9f02be,0x30a7121f}},	//   gapm, _looc_, _shuu_, брев, 
   {{0x44276256,0xdcb10023,0x691e00a4,0x5fa4009a}},	//   _én_, _tải_, _għeż, _ओळखल, 
   {{0xdddb08d7,0x623558c1,0x3cfe0036,0x60c904a8}},	//   _využ, _дему, _actv_, _şemd, 
   {{0x6b890285,0xf1271de8,0x9e0700b3,0x9f58010e}},	//   voeg, _льво, счел, _apró_, 
   {{0x629d01dd,0x00000000,0x00000000,0x00000000}},	//   _izso, --, --, --, 
   {{0xdca283a2,0xa2ce009a,0x8c420093,0x6b8983a3}},	//   маши, तरच्, деще, toeg, 
   {{0xb9e902f1,0x6d8d03da,0x23810028,0x1b4983a4}},	//   амиз_, túas, bėje_, рзии_, 
   {{0xfaf901dd,0x6b8901d2,0x4990010e,0x644e0083}},	//   rgū_, roeg, کیور, zybi, 
   {{0x764f00ab,0xb4b800aa,0x6b8983a5,0x00000000}},	//   dycy, _छले_, soeg, --, 
   {{0xe73a088a,0x07a60c8b,0x6b8900c2,0x00000000}},	//   аен_, жанн, poeg, --, 
   {{0x16aa1a9e,0x644e0009,0x00000000,0x00000000}},	//   ивни_, vybi, --, --, 
   {{0x656e01f2,0xf1b500b0,0x60de00a3,0x6b5c0175}},	//   tibh, _अंगन, yapm, _dégd, 
   {{0x644e57d1,0xdcf802d9,0x7afb83a6,0x9f410034}},	//   tybi, dově, lgut, fshë_, 
   {{0xa34a0093,0xf74683a7,0x656e83a8,0xa3d40299}},	//   азва_, _меко, ribh, सीं_, 
   {{0x7afb83a9,0x42ca83aa,0x6b55068b,0xe81e0262}},	//   ngut, рган_, _mágo, _बनता_, 
   {{0xc8780095,0x60de016a,0xcb1207e4,0x00000000}},	// [7b40] mağa_, tapm, ולן_, --, 
   {{0x409683ab,0x67240053,0x21a303b7,0x23810009}},	//   орет, _haij, диум, vėje_, 
   {{0xb17b0219,0x3cfe0126,0x672483ac,0x7afb084c}},	//   _tvån, _rctv_, _kaij, kgut, 
   {{0x3cfe83ad,0x11d60965,0x25b700d4,0x23810009}},	//   _sctv_, _мігр, _دهید_, tėje_, 
   {{0x672400e0,0xeda683ae,0x3cfe0542,0x6fe000e1}},	//   _maij, ошко, _pctv_, _bácá, 
   {{0x61e483af,0x6b550042,0x8bc602f1,0x23810028}},	//   msil, _bágo, осид, rėje_, 
   {{0x6b5c026a,0x23810009,0x60dc01f2,0xe8197e30}},	//   _lége, sėje_, _ierm, _फैला_, 
   {{0x8cca0527,0x672483b0,0x23810028,0x00000000}},	//   _स्रो, _naij, pėje_, --, 
   {{0x394783b1,0x60dc83b2,0x6458003d,0x61e483b3}},	//   _bons_, _kerm, _żvil, nsil, 
   {{0x60dc0985,0x6b550183,0x61e483b4,0x26db07d7}},	//   _jerm, _fágo, isil, _seqo_, 
   {{0x6d5a0088,0x61e43633,0x394783b5,0x6d4883b6}},	//   _ilta, hsil, _dons_, _ioda, 
   {{0xd6db0d37,0x6d4800d0,0x6724006d,0x61e483b7}},	//   што_, _hoda, _caij, ksil, 
   {{0x6d486d83,0x394700d3,0x672402fe,0x6b5c010e}},	//   _koda, _fons_, _daij, _cége, 
   {{0x6d4883b8,0xd5b800e4,0x60dc078a,0x28f70a10}},	//   _joda, ўся_, _nerm, _дешь_, 
   {{0x29c00029,0x61e62104,0xdb1a2be3,0x2d4b0453}},	//   _hòa_, _avkl, _ettå, _køer_, 
   {{0x533419aa,0x7ae083b9,0x6d4883ba,0x261600a2}},	//   мест, namt, _loda, _पैकी_, 
   {{0x60dc03cf,0x776d24d3,0x61e47b38,0x6d48007e}},	// [7b50] _berm, _imax, gsil, _ooda, 
   {{0x6d4883bb,0x60dc0666,0x7ae00008,0x8cca0c64}},	//   _noda, _cerm, hamt, _स्लो, 
   {{0x60dc83bc,0x3f15004e,0xd7f800b3,0x61e60054}},	//   _derm, здес, nuă_, _evkl, 
   {{0x442183bd,0x441a0056,0xdcf8000d,0x61e4040c}},	//   _ish_, _פורס, pově, bsil, 
   {{0x6d4883be,0x433a07e4,0x7ae0010c,0x442100fc}},	//   _boda, _הערב, damt, _hsh_, 
   {{0x6d4883bf,0x8d651033,0x60dc83c0,0xdb0b27c7}},	//   _coda, явле, _germ, _vigí, 
   {{0x6d4883c1,0x7aef0183,0x00000000,0x00000000}},	//   _doda, ócto, --, --, 
   {{0x442183c2,0xb5fb010e,0x752501ff,0x547c0147}},	//   _msh_, zzáa, _lahz, יטוו, 
   {{0x60dc4c88,0x7afb13d8,0x6d4883c3,0x442101d5}},	//   _yerm, rgut, _foda, _lsh_, 
   {{0x395e0056,0x60dc03da,0x7afb02dc,0x6b5c010e}},	//   ghts_, _xerm, sgut, _rége, 
   {{0x67241b6b,0x7d7a00c7,0xe72a00b3,0x3d0000bd}},	//   _paij, _פרעג, бонд_, _राते_, 
   {{0x6d4883c4,0xed5908b1,0x6f1900f8,0xadff00a5}},	//   _zoda, _duže_, newc, _ईमान_, 
   {{0xe8ee83c5,0x6d480532,0x394783c6,0x8ca708dd}},	//   _пл_, _yoda, _tons_, टेरो, 
   {{0x69d900c3,0x395e83c7,0x6b5c0019,0x88bc00bc}},	//   _iwwe, chts_, _vége, nděl, 
   {{0x68e183c8,0x7e620036,0x03a683c9,0x6b55003e}},	//   mald, zzop, зиво, _lágm, 
   {{0x68e10087,0x3f780097,0x7d180082,0x97ae00ad}},	//   lald, rčuk_, zevs, üşdü, 
   {{0x75250054,0xd29a004f,0x80d8048e,0x442115ef}},	// [7b60] _fahz, стві_, यरले, _esh_, 
   {{0x68e183ca,0x64a6730f,0x69d90118,0x80d600c9}},	//   nald, _напа, _mwwe, धरें, 
   {{0x60dc18c4,0x73e36385,0x942600d3,0x14d70070}},	//   _verm, _поэз, _эмне, _מויל_, 
   {{0x6d4883cb,0x61e483cc,0x68e183cd,0x60c57e63}},	//   _soda, psil, hald, achm, 
   {{0xa3b5000f,0x68e15e40,0xf3f100e7,0x162200bc}},	//   _छूट_, kald, ợc_, मिटर_, 
   {{0x63be83ce,0x6d480089,0x68e183cf,0x61e20352}},	//   _kupn, _qoda, jald, šols, 
   {{0x7d1883d0,0x7ae083d1,0x6d5a00bc,0x68e183d2}},	//   revs, tamt, _vlta, dald, 
   {{0x5a340172,0x6d4883d3,0xad6600d4,0x7d1800ef}},	//   днит, _woda, _کاره, sevs, 
   {{0x6d4840bd,0x68e123b5,0x23810009,0x6c860296}},	//   _toda, fald, nėja_, _کلام, 
   {{0x7ae083d4,0x6d5a4e87,0x68e183d5,0x237f00bc}},	//   samt, _ulta, gald, čuji_, 
   {{0x7ae008b1,0x69d90529,0xa91c0187,0x776d023e}},	//   pamt, _ewwe, koľv, _pmax, 
   {{0x29c0001b,0x66c801a2,0x23810028,0x68e100c2}},	//   _tòa_, зург_, kėja_, aald, 
   {{0x68e102ba,0xf1bf0029,0xe81e009a,0x9f530151}},	//   bald, _trái_, _बनवा_, édés_, 
   {{0x68e11565,0x5e570137,0xed590571,0x4a5300dd}},	//   cald, ליכע_, _tuže_, _якіс, 
   {{0xdb1a0503,0x439500dd,0xbf1c009a,0x4421040c}},	//   _auté, давс, _नसून_, _qsh_, 
   {{0xa87b042c,0x88bc00bc,0x2d8e0026,0x213803c6}},	//   _לאור, zděl, hofe_, _anrh_, 
   {{0x248d006a,0x75250065,0x7afd022c,0x63be0175}},	// [7b70] łem_, _tahz, òsti, _eupn, 
   {{0x92cd0086,0x30a72d1c,0x00000000,0x00000000}},	//   রণে_, прев, --, --, 
   {{0xb4d908dd,0x60c563dd,0x490e02d9,0x2e1d05d5}},	//   ारी_, rchm, त्यो_, _sňf_, 
   {{0x60c502f2,0x68e101f1,0xdb1a0151,0x00000000}},	//   schm, zald, _futé, --, 
   {{0x22843270,0xe2ab00d4,0xfde8004e,0x7bda003d}},	//   _зург, _دادن_, здік_, _awtu, 
   {{0x628000e4,0x21384bfa,0x51871a27,0xa3d40e7d}},	//   _žmog, _gnrh_, _хума, सीक_, 
   {{0xea0000f7,0x68e106dd,0x320983d6,0x2b5f0108}},	//   _đại_, vald, ltay_, thuc_, 
   {{0xb4d946cc,0xf9c900a3,0x5f94385b,0x49c91087}},	//   ारु_, огик_, _зист, олин_, 
   {{0x320983d7,0x68e102ba,0x3f8f090e,0x4ea70aa3}},	//   ntay_, tald, mogu_, _хрва, 
   {{0x57e983d8,0xdb0b001d,0x00000000,0x00000000}},	//   одом_, _digá, --, --, 
   {{0x68e183d9,0x2b5f0108,0x8cc883da,0x00000000}},	//   rald, phuc_, _رونق_, --, 
   {{0x68e16297,0xe73a48f2,0x4ae702f1,0x3a2900ca}},	//   sald, цем_, _хўжа, _šapu_, 
   {{0x68e183db,0xb4d9007e,0x80e30033,0x80dd00c9}},	//   pald, ारू_, _পান্, यराइ, 
   {{0x64a683dc,0x26c90054,0x63be83dd,0x68e14c75}},	//   дага, _efao_, _pupn, qald, 
   {{0x3f8f0077,0x6b5c0096,0xaad108dd,0x9c7c0604}},	//   kogu_, _héga, _सभाक, _večg, 
   {{0xf7720a5a,0x03a383de,0x130a012d,0x224001ca}},	//   _جات_, висо, ўнай_, txik_, 
   {{0x2fcd02f5,0xe29783df,0x3209012b,0xb5fb1056}},	// [7b80] _čega_, дат_, gtay_, nzál, 
   {{0x6b5c3dd9,0x23810009,0x236083e0,0x00000000}},	//   _méga, rėja_, shij_, --, 
   {{0x6b5c026d,0x9c7c02fe,0x63be0082,0x653b00d1}},	//   _léga, _keče, _uupn, _ועיד, 
   {{0x2bc40262,0x3d000a34,0x3f8f01dd,0x23810028}},	//   _लंबा, _राहे_, gogu_, pėja_, 
   {{0x9c7c83e1,0x6b5c83e2,0xdee311f0,0x00000000}},	//   _meče, _néga, точи, --, 
   {{0xe81e1422,0x9c7c0267,0xdfd200eb,0xf1bf0377}},	//   _बनला_, _leče, _ليس_, _práv_, 
   {{0xab9402fb,0x3f8f0613,0x55770070,0x2b5d0090}},	//   никі, bogu_, ועסן_, _blwc_, 
   {{0x9c7c83e3,0x2d8e0026,0xdb020108,0x91790108}},	//   _neče, sofe_, _khoé, _tận_, 
   {{0x8bb300eb,0x00000000,0x00000000,0x00000000}},	//   خصوص, --, --, --, 
   {{0x6b5c0107,0x99860242,0x4cd80086,0x80a500bd}},	//   _déga, _broš_, _ঠাকু, _करमे, 
   {{0x9cd700a7,0x9c7c0bad,0xd0f700a7,0xf1bf00bc}},	//   _חובה_, _beče, ומית_, _hrát_, 
   {{0x3209011d,0xf1bf0254,0xa91c0032,0x9c7c0121}},	//   ytay_, _krát_, voľu, _večd, 
   {{0x99660637,0x09c80033,0x6b5c011c,0x9c7c0688}},	//   _откл, _শিকা, _géga, _deče, 
   {{0xb4d9121a,0x795f0218,0x88bc031e,0xdce300ca}},	//   ारे_, _pêwe, zděj, rinć, 
   {{0x63a600ef,0xa3d900b0,0x00000000,0x00000000}},	//   _bhkn, ठीं_, --, --, 
   {{0xf1c307d5,0x799a0156,0x644303a1,0xed5983e4}},	//   _वंदन, lltw, _ànim, _muža_, 
   {{0xf1bf0029,0x06ad0086,0xb5a700f6,0x332901f2}},	// [7b90] _quá_, _ক্রি, _орой, rdax_, 
   {{0x51f81838,0x32090ad9,0x9c7c83e5,0x1af50086}},	//   ьную_, rtay_, _zeče, _আসছে_, 
   {{0x3209719c,0x6d580075,0x3f8f83e6,0x2ef50846}},	//   stay_, dkva, togu_, езер, 
   {{0x0fd500ab,0x23810009,0x6b827661,0x30a4004f}},	//   डीगढ, mėjo_, _njog, трув, 
   {{0x63ad83e7,0x2381012d,0x3f8f0b03,0xa2f600d1}},	//   mman, lėjo_, rogu_, _אמרה_, 
   {{0x11da0056,0xdca5320f,0x237f0062,0x6b5c43cc}},	//   _מחשב, нали, čuju_, _réga, 
   {{0xaf070141,0x23810009,0x63ad83e8,0x5bb53379}},	//   _очак, nėjo_, oman, нсиф, 
   {{0xed5900d2,0xe9d9196d,0xba2583e9,0x2eed00b9}},	//   _duža_, пки_, едик, _udef_, 
   {{0x8cca2ed6,0x44330183,0xf1bf0126,0x443e0023}},	//   _स्को, _lrx_, _irás_, ̣t_, 
   {{0xb5fb247e,0xb4d983ea,0x9c7c72ac,0x6b5581de}},	//   rzál, ारो_, _seče, _mági, 
   {{0x63ad83eb,0x06ad00cc,0xb5fb0019,0x661683ec}},	//   kman, _ক্লি, szál, _spyk, 
   {{0x238100e4,0x6b5c011c,0x61f626ad,0x00000000}},	//   dėjo_, _téga, yryl, --, 
   {{0x6575085b,0x7bc183ed,0x636300b0,0x4433059e}},	//   fizh, _hulu, _mõnd, _arx_, 
   {{0x6b9b83ee,0x18690093,0xdce30afc,0x645500da}},	//   llug, _нали_, tinę, fyzi, 
   {{0x7bc12f84,0xe94600d4,0xa87900c7,0x9c7c14f4}},	//   _julu, _سروی, _מאַר, _teče, 
   {{0x63ad83ef,0x7bc12bb5,0xdc030228,0x46a601a2}},	//   gman, _mulu, jčít, _пайв, 
   {{0xa25b0379,0xf7720444,0x00da0038,0x6d58264e}},	// [7ba0] _ngôd, _لاک_, كبات_, ykva, 
   {{0x63ad0489,0x7bc10088,0x23810009,0x3999023e}},	//   aman, _oulu, bėjo_, fèsi_, 
   {{0xdfcf0bb4,0x5ed100cc,0xef1a83f0,0x7bc14f3c}},	//   ميل_, _হয়ে, зме_, _nulu, 
   {{0xeaa7057f,0x5de60141,0xed5982f9,0x63ad83f1}},	//   _مع_, ежда, _ruža_, cman, 
   {{0xee3a03dc,0x7bc183f2,0xfe7229ce,0x00000000}},	//   янд_, _aulu, ددا_, --, 
   {{0x7bc183f3,0x6b820237,0xb6060352,0xed5900ca}},	//   _bulu, _sjog, mešč, _puža_, 
   {{0xa0a383f4,0x7bc1085b,0x6b9b83f5,0x4095001c}},	//   _бард, _culu, flug, _артт, 
   {{0xa3e20ee0,0x7bc183f6,0x67c8000d,0x6d5883f7}},	//   नीय_, _dulu, _něja, skva, 
   {{0xc33300d1,0x80e30033,0x7bc1107c,0x00000000}},	//   רוח_, _পাত্, _eulu, --, 
   {{0x65a001c4,0x7bc16f55,0x9c7c0144,0x6e226f6e}},	//   wöhn, _fulu, _večb, mwob, 
   {{0x63ad83f8,0x7bc17036,0xf7100108,0x6b9b523b}},	//   yman, _gulu, _vầng_, blug, 
   {{0x6f0283f9,0xb5fb0019,0xb4d900a2,0x63ad83fa}},	//   ngoc, szám, ार्_, xman, 
   {{0x28d1034d,0xf710001b,0x9f4700d4,0xf8d152c2}},	//   _द्वि, _tầng_, éné_, _द्वय, 
   {{0xb52409d5,0x201883fb,0x6363007e,0xd5b84b88}},	//   льск, _opri_, _mõne, есс_, 
   {{0x63ad0161,0x394e0219,0x7f9820f1,0x25ed00c9}},	//   tman, _iofs_, líqu, _अटकी_, 
   {{0x6b5583fc,0x63ad83fd,0x2381012d,0x6e220027}},	//   _pági, uman, rėjo_, kwob, 
   {{0x201800fd,0x60db00d0,0xb5fb010e,0x7f98033c}},	// [7bb0] _apri_, _đumb, zzáj, níqu, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x63ad83fe,0x6b5c0107,0x4ae00df2,0x26cb02a3}},	//   pman, _négo, नराव, occo_, 
   {{0x7ff457c8,0x291e83ff,0x2d9c001d,0xb5fb0098}},	//   اسلا, heta_, elve_, vzáj, 
   {{0x291e8400,0x7bc18401,0x5e5800dd,0xdb1a019c}},	//   keta_, _sulu, ниця_, _cutí, 
   {{0x291e0eae,0x212a0a75,0x394e003d,0x4df502e6}},	//   jeta_, _gabh_, _nofs_, ुंबई_, 
   {{0xf1bf741f,0x9c7c00ef,0x7ae28402,0x7bc18075}},	//   _trás_, _rečc, _beot, _qulu, 
   {{0x7f98033c,0x7ae200a1,0x6b5c0212,0x6e2202b8}},	//   fíqu, _ceot, _dégo, bwob, 
   {{0xdcbb030f,0x291e8403,0x6b9b8404,0x442301a0}},	//   _еще_, feta_, rlug, hwj_, 
   {{0x7bc18405,0xdd94004e,0xdb1a02aa,0x69c20b48}},	//   _tulu, _бауы, _cutâ, _duoe, 
   {{0x6b9b8406,0x8cca09ec,0xf7720071,0xed590097}},	//   plug, _स्टो, لاح_, _hužo_, 
   {{0x69c20226,0x32190ff2,0x60c90216,0x4431039b}},	//   _fuoe, _opsy_, _şeml, dvz_, 
   {{0x291e8407,0xd7f800d9,0x6925040c,0x25ba8408}},	//   beta_, ară_, _амла, _pipl_, 
   {{0x5e560137,0x291e8409,0xb60602ee,0xe5a603a1}},	//   דישע_, ceta_, vešč, тиги, 
   {{0xf9906349,0x3ebf02a2,0x9c7c0a1a,0x68e30548}},	//   _ابن_, _ogut_, _keča, _iend, 
   {{0x7ae20068,0x9c7c0304,0x6b5c0107,0x27f80032}},	//   _xeot, _ječa, _négl, árne_, 
   {{0x68e3840a,0x98bc00bc,0xe64600b3,0xe29a00a3}},	// [7bc0] _kend, _nově_, _репп, фаа_, 
   {{0x205669ec,0x68e3298f,0x3ebf00f6,0xe577049b}},	//   ктер, _jend, _agut_, _азь_, 
   {{0xd12f1d38,0xdb1a0183,0xb69b020f,0x00000000}},	//   تمل_, _sutí, ngân, --, 
   {{0x291e840b,0xed590bfc,0x9c7c026e,0x200703a1}},	//   zeta_, _bužo_, _neča, ània_, 
   {{0x291e1041,0x332003a1,0x777d0042,0x6b5c840c}},	//   yeta_, meix_, érxi, _ségo, 
   {{0x68e3840d,0xcbcd0086,0x7ae2007e,0x3320022c}},	//   _nend, _রয়েছ, _seot, leix_, 
   {{0x1fb602c0,0x5f060925,0x9c7c00ca,0x504303ab}},	//   _асар, _изва, _beča, _керб, 
   {{0x291e0621,0x332000d3,0x68e3840e,0x00000000}},	//   weta_, neix_, _aend, --, 
   {{0x291e090b,0x9c7c02a6,0x1d260d5c,0xa3e202e6}},	//   teta_, _deča, _имам, नीत_, 
   {{0x68e304b0,0x29076ea3,0xd7f8002e,0xdbd902a0}},	//   _cend, _ccna_, tră_, _açõe, 
   {{0x68e3840f,0x2bbb000f,0x3a260237,0xdd8f1169}},	//   _dend, _ऊंचा, _wsop_, _بول_, 
   {{0x68e30b1f,0xa5f98410,0x61ff1d97,0x00000000}},	//   _eend, нему_, yuql, --, 
   {{0x332000d3,0x3a260065,0xe9440535,0xab5c0243}},	//   deix_, _usop_, _مرثی, _guļa, 
   {{0x68e38411,0xa2d58412,0xceb307e4,0xd8760038}},	//   _gend, युन्, ייר_, _لاعب, 
   {{0x68e88413,0x478b02a6,0x64740cfe,0x2ee4040b}},	//   madd, _осим_, агру, _oemf_, 
   {{0x68e88414,0x332000d3,0x68e38415,0x490e0667}},	//   ladd, geix_, _zend, त्रो_, 
   {{0x6b5c026d,0x6115004e,0x68e38416,0xdb19009c}},	// [7bd0] _régl, лдау, _yend, _diwè, 
   {{0x68e3550d,0x68e88417,0x00000000,0x00000000}},	//   _xend, nadd, --, --, 
   {{0x672d8418,0x332003dd,0xe8d700d1,0x00000000}},	//   _kaaj, beix_, דובר_, --, 
   {{0x68e88419,0x672d0126,0x00000000,0x00000000}},	//   hadd, _jaaj, --, --, 
   {{0x61ff15a0,0x68e80298,0x672d841a,0x63bd0102}},	//   quql, kadd, _maaj, _iisn, 
   {{0xac092010,0x672d0088,0x0e6446c3,0x9c7c0ab4}},	//   енка_, _laaj, шкін, _seča, 
   {{0x68e3841b,0x4c150084,0x63bd841c,0x68e8841d}},	//   _rend, ابتس, _kisn, dadd, 
   {{0x8b252b3b,0x3ebf0640,0x2001841e,0x63bd011c}},	//   удие, _ugut_, muhi_, _jisn, 
   {{0x68e32213,0x63bd841f,0x61ed8420,0x68e88421}},	//   _pend, _misn, nsal, fadd, 
   {{0x68e38422,0x63bd1c2b,0x6e298423,0x68e80547}},	//   _qend, _lisn, _iseb, gadd, 
   {{0x68e30c2e,0x20010730,0x9c7c6998,0x66e68424}},	//   _vend, nuhi_, _teča, лона, 
   {{0x61ed8425,0x68e38426,0x21212a29,0xfc4602d9}},	//   ksal, _wend, hehh_, žích_, 
   {{0x68e80a8b,0x68e33a73,0xfa3413b4,0x7ae901d6}},	//   badd, _tend, _پرند, maet, 
   {{0xd4f51088,0x7ae98427,0x61ed8428,0x68e38429}},	//   иясы, laet, dsal, _uend, 
   {{0x63bd067c,0x33200161,0x672d006d,0x49b8646f}},	//   _bisn, teix_, _faaj, _شاهد_, 
   {{0x6e2929b6,0x7ae902f0,0x629d00f4,0x23271d31}},	//   _oseb, naet, _byso, лоси_, 
   {{0x61ed2282,0x332000d3,0xd38715dd,0xe785122f}},	// [7be0] gsal, reix_, уйте_, _њујо, 
   {{0x6f090628,0x29c900e7,0xdb1901e5,0x7ae9842a}},	//   _acec, _múa_, _diwé, haet, 
   {{0x5ecd0086,0x61ed842b,0x29c9842c,0x672d006d}},	//   ারনে, asal, _lúa_, _yaaj, 
   {{0x6db90228,0x2fd7015f,0x42d507f4,0xf42700d9}},	//   _dňam, اوند_, _віру, _союл_, 
   {{0x7ae902f0,0x68e801a3,0x80e300cc,0x29c90068}},	//   daet, yadd, _পার্, _núa_, 
   {{0x2001842d,0x16c10838,0x3a3a842e,0x6c5402a0}},	//   buhi_, _एल्ब, _čpp_, иклу, 
   {{0x50b50934,0x016371c1,0x6e29842f,0x7ae900f8}},	//   _всту, _укро, _eseb, faet, 
   {{0x29c98430,0x7ae902bf,0x3d0905d2,0x68e80547}},	//   _búa_, gaet, _साथे_, wadd, 
   {{0xee3a8431,0x7f751853,0x68e88432,0xdb1a033c}},	//   _яна_, _турц, tadd, _cutá, 
   {{0x672d14b9,0xd7fa01a2,0x2d960267,0xd6e10033}},	//   _saaj, нум_, _србс, _ভাইয, 
   {{0x68e88433,0x77648434,0x8d5b00d1,0x88bc02d9}},	//   radd, _blix, _רכבי, jdět, 
   {{0x68e8798a,0x70e10f63,0x48a702f3,0x77644552}},	//   sadd, _फ़्ल, ытым_, _clix, 
   {{0x62800904,0x9b9300eb,0x63bd8435,0x6b5c039f}},	//   _žmon, _النت, _risn, _légk, 
   {{0x77640496,0x672d6a74,0x68e88436,0x58d40161}},	//   _elix, _waaj, qadd, _токт, 
   {{0x77648437,0x63bd8438,0x80e30033,0x61ed0b78}},	//   _flix, _pisn, _পাল্, wsal, 
   {{0x61ed8439,0x2566026a,0x260200b0,0x8709010e}},	//   tsal, _rôle_, वंशी_, _شعبہ_, 
   {{0x63bd1950,0xd49b01a2,0x61ed0eb1,0x00000000}},	// [7bf0] _visn, _ӯро_, usal, --, 
   {{0x629d08d7,0x61ed843a,0xeb215411,0x20014afb}},	//   _vyso, rsal, _मस्त_, tuhi_, 
   {{0x629d006a,0x63bd843b,0x30a7843c,0xa0a70c10}},	//   _wyso, _tisn, урав, ушал, 
   {{0x3ce51b37,0x61ed843d,0x6b55843e,0x9c7c2cb7}},	//   _selv_, psal, _lágr, _pečn, 
   {{0x1d091d5d,0x200123ae,0x3d00483e,0x2d760035}},	//   вели_, suhi_, _राखे_, ałem_, 
   {{0x6e2911c8,0x29c909a1,0xf1a904bd,0x9c7c843f}},	//   _vseb, _rúa_, _कठिन, _večn, 
   {{0x29c94faf,0xe05700d6,0x7ae90156,0x1fa71628}},	//   _súa_, _حیات_, taet, _браг, 
   {{0x9c7c2cd9,0x23693580,0x6e290194,0x29c9001d}},	//   _tečn, nhaj_, _tseb, _púa_, 
   {{0xb9e6004e,0x7ae90156,0x6e295e8a,0x69258440}},	//   амыз_, raet, _useb, ампа, 
   {{0x7ae90364,0x29050ab4,0xc8b500c8,0xa2d5122e}},	//   saet, ugla_, исны, युत्, 
   {{0x29058441,0x670a051f,0x98a500d3,0x68fc8442}},	//   rgla_, _वादक_, рине, órda, 
   {{0x29c924d3,0xe816007e,0xe3bf0369,0x27f88443}},	//   _túa_, _तहरा_, _niñ_, árna_, 
   {{0xd9458444,0xb5fb010e,0x2d760083,0x00000000}},	//   _вели, zzáv, złem_, --, 
   {{0x3ea2017b,0xe3bf00b4,0x2d760083,0x00000000}},	//   _økte_, _aiñ_, yłem_, --, 
   {{0x6363007e,0x9c7c1fe0,0x00000000,0x00000000}},	//   _sõna, _nečl, --, --, 
   {{0xdb02001b,0x00000000,0x00000000,0x00000000}},	//   _khoá, --, --, --, 
  
   {{0x6d418445,0x42c7839e,0x6b5c0354,0x00e68446}},	// [7c00] _onla, ргун_, _dégh, ижан, 
   {{0xb17b0750,0xe0d78447,0xb1435622,0x6e46009c}},	//   _svår, иву_, онул, ینام, 
   {{0x03a612de,0xb4fb0056,0xaec62124,0xd026004e}},	//   _вино, _בפיי, абел, рмей, 
   {{0x6d418448,0x443a07d7,0xa2d500bc,0x9c7c1467}},	//   _anla, _irp_, युद्, _sečo, 
   {{0x645c8449,0x443a1433,0xdce1027e,0xa5bb0083}},	//   lyri, _hrp_, _aklı, dwój, 
   {{0x443a844a,0x657c0102,0x91e3673e,0x7c3e30b6}},	//   _krp_, nirh, _форе, åpro, 
   {{0x645c45bc,0x7b664d18,0x69cf02d9,0xed570477}},	//   nyri, итие, ícen, рој_, 
   {{0x6d4177ae,0x00000000,0x00000000,0x00000000}},	//   _enla, --, --, --, 
   {{0x3f86014b,0xdb020023,0x60c9010c,0xb5fb2e9b}},	//   mnou_, _choá, _şemi, nzát, 
   {{0x6b5c0019,0x3f8605a8,0x26d20118,0x2918003e}},	//   _mégi, lnou_, _afyo_, ýra_, 
   {{0x6b5c844b,0x013700a7,0x3f86145a,0x57a702f1}},	//   _légi, ברית_, onou_, ишма, 
   {{0x3f86844c,0x23690034,0xdcf80028,0x9c7c844d}},	//   nnou_, xhaj_, tovė, _ječm, 
   {{0x7bc87ff9,0xaac50038,0x298a6149,0x645a076b}},	//   _hudu, _اتمن, _иско_, øtin, 
   {{0x443a844e,0x645c3652,0xdcf80009,0x3f8602d9}},	//   _brp_, fyri, rovė, hnou_, 
   {{0x7bc8844f,0xdcfa00e0,0xe5160b3e,0xa3e20154}},	//   _judu, _aktī, द्धि_, नील_, 
   {{0x7bc88450,0x443a0640,0x88bb00d1,0x3f860edf}},	//   _mudu, _drp_, _במוז, jnou_, 
   {{0x3f860385,0x7bc88451,0x657c011d,0xd250039f}},	// [7c10] dnou_, _ludu, birh, ونِ_, 
   {{0xdb090038,0x443a004f,0x65770026,0x9c7c02d9}},	//   imeá, _frp_, _umxh, _pečl, 
   {{0x442709fc,0x2fc70029,0x7bc842f2,0x2d760035}},	//   _èn_, êng_, _nudu, ałek_, 
   {{0xbfa811d2,0x3f8609c6,0x7d1a243f,0x27f175af}},	//   атче_, gnou_, _abts, ázni_, 
   {{0xd336035c,0x7bc88452,0x98a701dd,0x9294012d}},	//   _פרשה_, _audu, _manā_, _маюц, 
   {{0x7bc80112,0x200e03a1,0x645a01c4,0xed590864}},	//   _budu, àfic_, ätig, _kuži_, 
   {{0xf1b200a7,0x3f86014b,0x7bc810d4,0x9f35128b}},	//   _מסך_, bnou_, _cudu, _леві, 
   {{0x7bc82998,0xed59026e,0x88e30086,0x3f868453}},	//   _dudu, _muži_, _মাইক, cnou_, 
   {{0xccec0188,0x25660379,0x7c3a8454,0x5ecd0033}},	//   _оқ_, _lôla_, _ertr, ারদে, 
   {{0x6d418455,0x7bc88456,0x97d98457,0xc965011f}},	//   _unla, _fudu, льму_, свой, 
   {{0x6e3b026e,0x7bc8252c,0x315800c7,0x2131023e}},	//   _hrub, _gudu, ייזן_, _mazh_, 
   {{0x3212030f,0xdb02001b,0xc5f80176,0x6e3b0844}},	//   ytyy_, _thoá, ағи_, _krub, 
   {{0x98a50c05,0x657c8458,0x443a8459,0x644103a9}},	//   rklı_, tirh, _srp_, ålin, 
   {{0xceb20056,0x645c845a,0x6b5c845b,0x69db08f4}},	//   פים_, tyri, _régi, mpue, 
   {{0x2d871600,0x6f1b04d1,0xa3e20077,0x14590079}},	//   inne_, _obuc, नीं_, ашты_, 
   {{0xed59034c,0x321200c8,0x6e3b01d6,0x00000000}},	//   _duži_, ttyy_, _orub, --, 
   {{0x3f86026e,0xa1c36848,0x52aa6a8b,0x9c7c0604}},	// [7c20] vnou_, збуд, увам_, _rečm, 
   {{0x9c7c0267,0x6606615e,0x6f1b0126,0x6b5c010e}},	//   _dečj, mukk, _abuc, _végi, 
   {{0x66063f0b,0x3f86845c,0x321200c8,0x443a01d8}},	//   lukk, tnou_, styy_, _urp_, 
   {{0x2d87845d,0x6e3b845e,0x7bc8845f,0x461300d7}},	//   enne_, _brub, _rudu, _بویر, 
   {{0xf2d307f5,0x63a40533,0xb14800c5,0x3f86583f}},	//   _מער_, mlin, _پیام_, rnou_, 
   {{0xf98757c8,0x7bc88460,0x3f868461,0x63b6003e}},	//   _رب_, _pudu, snou_, lmyn, 
   {{0x3d0911bd,0x63a42995,0x38c80a5a,0x6e3b8462}},	//   _सारे_, olin, یادی_, _erub, 
   {{0x66060349,0xbf1600d4,0x672600e5,0x5b2620f7}},	//   kukk, _دورب, jekj, ська, 
   {{0x6e3b8463,0x660602f6,0x7bc88464,0x9c7c0082}},	//   _grub, jukk, _wudu, _kečk, 
   {{0xb5fb0105,0x7bc88465,0xdb098466,0x66068467}},	//   zzás, _tudu, rmeá, dukk, 
   {{0x63a443a0,0x319b00c7,0x63b6008c,0xc19b0070}},	//   klin, רבינ, kmyn, רשיי, 
   {{0xb7670ca9,0xada60176,0x31af0241,0xd6db0080}},	//   стой, _таҷл, müze_, ыто_, 
   {{0x7a360740,0x65a00502,0xb8ce0033,0x63b60ff2}},	//   _دعائ, höhu, _কল_, dmyn, 
   {{0xe66701a2,0x9c7c2873,0xb69b020f,0x00000000}},	//   атҳо, _rečj, ngâi, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x63a48468,0xe3b01feb,0x63b6008c,0x07f70038}},	//   glin, فرق_, gmyn, _اروع_, 
   {{0x3d090c15,0x9c7c0112,0xe80009ec,0x41558469}},	// [7c30] _साले_, _bečk, लंका_, овас, 
   {{0x9c7c02ee,0x63a4846a,0xf77f846b,0xed590b1d}},	//   _večj, alin, liç_, _tuži_, 
   {{0x9c7c846c,0x63a44703,0x61e6008a,0x6e3b073d}},	//   _dečk, blin, _ewkl, _srub, 
   {{0x2d8c846c,0xceeb00c5,0x63a4846d,0x69db1d40}},	//   _ajde_, اران_, clin, ypue, 
   {{0x6aa2846e,0x8db5846f,0x44210d07,0x799a8470}},	//   _nyof, оскі, _hph_, kotw, 
   {{0xabd508bd,0x0d8408af,0x44210eaf,0x3d0e09ef}},	//   оциј, плін, _kph_, _ठाणे_, 
   {{0x4c6902a3,0x7afd334c,0x6b5c026a,0x44210065}},	//   рийн_, ósto, _légu, _jph_, 
   {{0x6f1b0199,0x88bc00bc,0x2d9e004f,0x00000000}},	//   _ubuc, vděp, _ekte_, --, 
   {{0x49c603aa,0xc8da00a2,0x6e3b024d,0x291c6146}},	//   олын_, _म्हट, _urub, _bbva_, 
   {{0x3ead8471,0x69db4461,0x799a8472,0x00000000}},	//   _izet_, rpue, gotw, --, 
   {{0x69db00cc,0xfd1000eb,0x291c0082,0x44210108}},	//   spue, _سجل_, _dbva_, _nph_, 
   {{0xae0d017d,0x63a48473,0x65a00380,0x69db00c8}},	//   _समान_, xlin, höht, ppue, 
   {{0xe8ee032e,0x3f9f2083,0x63a48474,0x75270bfc}},	//   _ол_, _mkuu_, vlin, fejz, 
   {{0x6b898475,0x660620ef,0x63a41f14,0x6b5c026a}},	//   lneg, rukk, wlin, _dégu, 
   {{0x66068476,0x68e113b0,0x63a47b79,0x44210566}},	//   sukk, mbld, tlin, _cph_, 
   {{0x442108d7,0x69c38477,0x69cb8478,0xf8b200a7}},	//   _dph_, _hine, _kuge, _קשה_, 
   {{0x7aeb006b,0x69cb8479,0x4421847a,0x63b620ea}},	// [7c40] _megt, _juge, _eph_, rmyn, 
   {{0x69cb25f0,0x3f9f016a,0x7aeb847b,0x69c3847c}},	//   _muge, _akuu_, _legt, _jine, 
   {{0x69cb847d,0x3ead0187,0x9c7c008b,0x4f960161}},	//   _luge, _azet_, _večk, орду, 
   {{0xee3a847e,0xe29a847f,0x69c38480,0xed590588}},	//   ине_, _вам_, _line, _mužu_, 
   {{0x6b898475,0xe2970965,0x69c301f1,0x7c210118}},	//   dneg, _маю_, _oine, _aplr, 
   {{0xafe60849,0x7bc28481,0x463b00c7,0xc0aa195e}},	//   _могл, _siou, יענע, _نازل_, 
   {{0x69cb41fa,0xa0a30161,0x64588482,0x69d94a1a}},	//   _auge, _жард, _àvid, _atwe, 
   {{0x69cb8483,0x69c38484,0x6b898485,0x0b8a021c}},	//   _buge, _aine, gneg, јски_, 
   {{0x69c38486,0xf77f8487,0x094a0b68,0x1d0a6563}},	//   _bine, viç_, ачни_, _вези_, 
   {{0x6b5c3380,0x9c7c0df4,0xdc3e014b,0x69cb8488}},	//   _régu, _leči, líče, _duge, 
   {{0x69c38489,0xcb6a2521,0x6b89848a,0x6b5c3db6}},	//   _dine, _каже_, bneg, _ségu, 
   {{0x69c3375f,0x2d9c00f1,0x6b9b04fe,0x442102cd}},	//   _eine, love_, coug, _rph_, 
   {{0x69cb848b,0x799a848c,0x3a3d00f8,0x69c37901}},	//   _guge, potw, _grwp_, _fine, 
   {{0x4421016a,0x27690e13,0x6b80848d,0x854400b3}},	//   _pph_, _گشتی_, limg, мэсе, 
   {{0xd37b848e,0x69cb02f2,0x9c7c00d2,0x00000000}},	//   ача_, _zuge, _beči, --, 
   {{0x5695030f,0x69c30a9f,0x44210126,0xdd1e00bc}},	//   _найт, _zine, _vph_, jížd, 
   {{0x9c7c0267,0x60f9058b,0x69c30241,0x795f078a}},	// [7c50] _deči, йная_, _yine, _sêwi, 
   {{0x7bda003d,0x69c3118c,0xdb0b1c62,0x290c1d56}},	//   _ottu, _xine, _sigü, ngda_, 
   {{0x2d9c49f8,0x4421016a,0x6b9b848f,0x6b898490}},	//   dove_, _uph_, youg, yneg, 
   {{0x43957a3a,0x6b5c010e,0xf1bf8491,0x00000000}},	//   _хамс, _mégs, _spád_, --, 
   {{0x6b898492,0x7bda8493,0x7aeb0691,0x2d9c00d2}},	//   vneg, _attu, _regt, fove_, 
   {{0xa3e200ab,0x69cb0199,0x9c7c1c2b,0x6b890035}},	//   नीक_, _ruge, _zeči, wneg, 
   {{0x6b898494,0x81cd0086,0x6b9b00ef,0x69c37b1a}},	//   tneg, _রবি_, toug, _rine, 
   {{0x69c38495,0x69cb45f3,0x2b460a75,0xed590613}},	//   _sine, _puge, _cnoc_, _ružu_, 
   {{0x8cd80351,0x34a80351,0x6b898496,0x6b9b0056}},	//   नुहो, _गर्द, rneg, roug, 
   {{0x69c301f5,0x290c0219,0x6b898497,0xdd94004e}},	//   _qine, ggda_, sneg, _жауы, 
   {{0xe73a8498,0xc7a61eac,0x6b893596,0x69c31229}},	//   бен_, зинк, pneg, _vine, 
   {{0x69cb8499,0x3f9d0204,0x69c3849a,0xfb38007a}},	//   _tuge, nowu_, _wine, _وأنت_, 
   {{0x1dcb007e,0x9c7c849b,0x656e0a75,0x6b5c010e}},	//   ादित, _reči, thbh, _végt, 
   {{0x2eed12d8,0x9c7c849c,0x69c3849d,0x98ae03a0}},	//   _leef_, _seči, _uine, _zafč_, 
   {{0x98a23346,0x80aa00ab,0x70aa0077,0x0443108e}},	//   _пише, _करें, _करेल, нерн, 
   {{0x2d9c003a,0x1dcb07d5,0x2eed0d62,0x57fa00d1}},	//   zove_, ादात, _neef_, _הלקו, 
   {{0x9c7c02ee,0x020607a5,0x8e200259,0xa50a1acc}},	// [7c60] _veči, язан, йiн_, _лепа_, 
   {{0xe1f70fb6,0xdce3012d,0xb346009e,0x59ce02e6}},	//   ягу_, minė, _biçû, _हंसर, 
   {{0x2d9c0519,0xdce3012d,0xb4d80e6e,0x6d0500a5}},	//   vove_, linė, ाडी_, _राजग_, 
   {{0x7981849e,0xed580032,0x0dca45b6,0x32090175}},	//   hilw, _soľ_, буки_, buay_, 
   {{0xdce3012d,0xfe4603dd,0x6736016a,0x7981084c}},	//   ninė, яндо, _mayj, kilw, 
   {{0x09da0086,0x6b5c849f,0x237f0ed0,0x2ca502c5}},	//   _দিলা, _négr, ďuje_, _byld_, 
   {{0xdee684a0,0x80e30086,0x7981084c,0xfe6f0019}},	//   _нови, _পাচ্, dilw, نگے_, 
   {{0x2eed0b32,0x8fa30fcc,0x3947004c,0xdce3012d}},	//   _geef_, _засе, _anns_, kinė, 
   {{0xa2a204bd,0x0e6684a1,0x657e84a2,0x798131f5}},	//   _कुम्, _экан, _omph, filw, 
   {{0x49730d56,0xdce30009,0xa978004f,0x2ca502c9}},	//   ельс, dinė, ійну_, _fyld_, 
   {{0xa3ac00aa,0x6b800104,0x6b5c0107,0x6d5a00a1}},	//   गता_, pimg, _dégr, _iota, 
   {{0x657e84a3,0x290284a4,0x6d5a84a5,0x6d480175}},	//   _amph, şka_, _hota, _hnda, 
   {{0x6d5a170d,0xd05c06d0,0x8f9b035c,0xdce30009}},	//   _kota, _verə, מיטי, ginė, 
   {{0x6d5a030f,0xdb1102ae,0x66002706,0x00000000}},	//   _jota, åför, ámka, --, 
   {{0x6d48044d,0xf3670079,0xb33b0241,0x00000000}},	//   _mnda, птан, _akça, --, 
   {{0x63710750,0x26c91a51,0xdce30009,0xd3a467c5}},	//   _mång, _ugao_, binė, еруп, 
   {{0x63710750,0x6d4884a6,0x6d5a007e,0xdce3012d}},	// [7c70] _lång, _onda, _oota, cinė, 
   {{0x6d5a2db4,0x636300b0,0xb346078a,0x00000000}},	//   _nota, _mõni, _piçû, --, 
   {{0x9c7c84a7,0x776d0106,0x3f1500f0,0x7feb029a}},	//   _keču, _klax, ддес, صراف_, 
   {{0x6d4884a8,0x00000000,0x00000000,0x00000000}},	//   _anda, --, --, --, 
   {{0x44331f87,0x32090210,0x00000000,0x00000000}},	//   _hsx_, quay_, --, --, 
   {{0xdca584a9,0x6d5a84aa,0x4d64004f,0x776d008a}},	//   мали, _cota, нків, _llax, 
   {{0x6d5a84ab,0x2eed000b,0x6b5c84ac,0x256f0241}},	//   _dota, _teef_, _régr, _güle_, 
   {{0xe9d92010,0x8d770444,0x92c10033,0xa2b408b3}},	//   оки_, _کارا, ুরী_, _आरम्, 
   {{0x443302a2,0x6d5a84ad,0x7981084c,0x00000000}},	//   _lsx_, _fota, tilw, --, 
   {{0x637184ae,0x6d5a078a,0xdce30009,0xceb200d1}},	//   _hånd, _gota, vinė, _יין_, 
   {{0x63710750,0x8c6702f1,0x6b5c0019,0x443384af}},	//   _gång, _этад, _végr, _nsx_, 
   {{0xdce300e4,0x6d5a84b0,0x61f600f8,0xf1c00032}},	//   tinė, _zota, ysyl, čšiu_, 
   {{0x27e002f5,0x637103a8,0x6d5a84b1,0x7981084c}},	//   _čine_, _månd, _yota, pilw, 
   {{0xdce3012d,0x186984b2,0x6d5a040c,0x7f5b02be}},	//   rinė, _мали_, _xota, _louq, 
   {{0x64a384b3,0x279600cf,0xdce30009,0x03a610b5}},	//   вара, _ошир, sinė, диво, 
   {{0x04100086,0x70aa00a5,0xdce30009,0xb4ae00b0}},	//   াবলী_, _करौल, pinė, _औरी_, 
   {{0x5144032e,0x03a384b4,0x3aba00c7,0xa1c60f67}},	// [7c80] ндағ, тито, ַמענ, дбад, 
   {{0x657e044d,0x7e620053,0x61f600f8,0xa2a236be}},	//   _umph, vyop, rsyl, _कुण्, 
   {{0x443c0019,0x637100fb,0x68fc019c,0x7f5b0c04}},	//   _év_, _bånd, órdi, _bouq, 
   {{0x6d5a84b5,0x1e860080,0x00000000,0x00000000}},	//   _sota, млем, --, --, 
   {{0xf1af1489,0x6371014e,0x6d480065,0x63a9003d}},	//   _जीवन, _sång, _pnda, ċent, 
   {{0x6d5a0508,0x9c46017b,0x00000000,0x00000000}},	//   _qota, дхил, --, --, 
   {{0xa2a2143e,0x7e620237,0x90c384b6,0x3f6a5130}},	//   _कुत्, syop, _абре, _диво_, 
   {{0x5a3434e9,0x6d5a84b7,0xcf261117,0xd00f003f}},	//   енит, _wota, _ترسي, _خلف_, 
   {{0xada603dd,0x00000000,0x00000000,0x00000000}},	//   _жаал, --, --, --, 
   {{0x6d4884b8,0x213802cd,0x58860028,0x80cc0033}},	//   _unda, _jarh_, дыма, িরক্, 
   {{0x9c7c84b9,0x776d0068,0x63710b48,0x00000000}},	//   _peču, _plax, _håne, --, 
   {{0x6d0e0081,0xd7cf3267,0x95cb03b7,0xe81f00b0}},	//   _साँग_, _संरच, жува_, _बहरा_, 
   {{0x9f65026a,0x9c7c1940,0x6448017b,0x00000000}},	//   étés_, _veču, ådin, --, 
   {{0x63711b37,0xe8942f64,0x2138040c,0x00000000}},	//   _måne, _паль, _narh_, --, 
   {{0xd7ef0c67,0x63710310,0x776d0327,0x00000000}},	//   _шу_, _låne, _tlax, --, 
   {{0x3a2684ba,0x57fb00d1,0x00000000,0x00000000}},	//   _kpop_, _ולהו, --, --, 
   {{0xe1f023e6,0x7afd24a9,0x2eba00a2,0x6d0e215e}},	// [7c90] لسل_, ósti, ेशोत, _सांग_, 
   {{0xae05017d,0x00000000,0x00000000,0x00000000}},	//   _रिबन_, --, --, --, 
   {{0xb4eb0790,0xd7f800d9,0x92c10086,0x7f5b0587}},	//   मरी_, nsă_, ুরে_, _pouq, 
   {{0x20df0a09,0xb0df05d0,0xd34700d7,0x50df02d9}},	//   _प्रध, _प्रग, _تیره_, _प्रष, 
   {{0xf2c400a3,0x00000000,0x00000000,0x00000000}},	//   _асрн, --, --, --, 
   {{0xee3884bb,0xae110110,0xa2b40110,0x00000000}},	//   ьні_, डंबन_, _आरत्, --, 
   {{0xdca27b2d,0x77b60183,0x7f5b0151,0x44e70104}},	//   лаши, láxe, _touq, _mе_, 
   {{0xe51f031e,0x9c7c0604,0x236984bc,0xb9e901ff}},	//   म्ति_, _rečt, nkaj_, пмиз_, 
   {{0xa3b60035,0x3d9500d9,0x9915012d,0x0d2103dd}},	//   _चीफ_, _зиар, ньні, _бүлү, 
   {{0xa3b6188d,0x7d790c72,0x37e500d3,0xa3cf009a}},	//   _चीन_, _عمار_, ноог, शदा_, 
   {{0xe73a53b7,0x29190083,0xc6892737,0x00000000}},	//   пен_, ęsa_, _פא_, --, 
   {{0xe73a1b69,0x66000098,0xd6d20038,0x9c7c0604}},	//   чем_, ámko, طقس_, _večt, 
   {{0x2b14072f,0x15ba0088,0xd7f800d9,0x66080083}},	//   _धातु_, зывы_, asă_, ądko, 
   {{0x636300b0,0x03a308ba,0xdb09040b,0x00000000}},	//   _mõnu, ҳисо, kleë, --, 
   {{0x55c5004e,0xf89b0535,0xa5bb0083,0x7afd0083}},	//   тарғ, _بخشش_, twór, óstw, 
   {{0x53a67434,0x636a014b,0x02c684bd,0x00000000}},	//   хабб, _výno, ейбо, --, 
   {{0x86b3004e,0xe29784be,0x672402b8,0x00000000}},	// [7ca0] _бәрі, еат_, _ibij, --, 
   {{0x6b55010e,0x764402b8,0x63712be3,0x2fd10508}},	//   _vágy, _iriy, _råne, _buzg_, 
   {{0xaadf031e,0x3ddf0175,0xc4830cfe,0xaf0600b3}},	//   नडाक, _atuw_, _блэк, епел, 
   {{0x444484bf,0x91e66628,0x764484c0,0x3cfe023e}},	//   _ir_, _поме, _kriy, _sdtv_, 
   {{0xa3bd0262,0x672484c1,0xb17b0f2d,0x3cfe84c2}},	//   इगर_, _mbij, _ståe, _pdtv_, 
   {{0x4444831e,0x61e454aa,0x256f00b0,0x764404c6}},	//   _kr_, mpil, _küla_, _mriy, 
   {{0x6724015e,0x61e484c3,0x7b6600f0,0x8bc6049b}},	//   _obij, lpil, етпе, нсид, 
   {{0x444400a7,0x257402ae,0x7644008e,0x93e8017d}},	//   _mr_, _fälg_, _oriy, टीएच_, 
   {{0x6d4b0038,0x22402c2c,0x00000000,0x00000000}},	//   álaí, nvik_, --, --, 
   {{0x4444181f,0xc27b1a61,0xee3784c4,0x672484c5}},	//   _or_, פריי, _яну_, _abij, 
   {{0x764484c6,0xe894012d,0x9c7c0121,0xdce30243}},	//   _ariy, тань, _večs, zinī, 
   {{0xd7f800b3,0x764403a0,0x61e484c7,0x3f8610d4}},	//   rsă_, _briy, kpil, niou_, 
   {{0x444484c8,0x3d17007e,0x764401e5,0x22400082}},	//   _ar_, _नामे_, _criy, jvik_, 
   {{0x444484c9,0x22402032,0x7644261e,0xb4eb0ffe}},	//   _br_, dvik_, _driy, मरे_, 
   {{0x97a7252a,0x77931fdb,0x764484ca,0x670a009a}},	//   _прил, _میدا, _eriy, _वाचक_, 
   {{0x64430503,0xe3b30523,0x69ca01a7,0x76440118}},	//   _ánim, ارس_, _hife, _friy, 
   {{0x444464ed,0x76441d0a,0x61e42a85,0x69ca84cb}},	// [7cb0] _er_, _griy, gpil, _kife, 
   {{0x7c2884cc,0x236984cd,0x611403dd,0x660f65db}},	//   _opdr, skaj_, лдуу, muck, 
   {{0x444484ce,0x6b8227e8,0x6363007e,0x69ca84cf}},	//   _gr_, _omog, _sõnu, _mife, 
   {{0xb4bf05d0,0x661d84d0,0x673d4aa4,0x926b02f1}},	//   ेशी_, otsk, ndsj, _ерга_, 
   {{0x63ad6beb,0x660f24bc,0x7c281f8f,0x2240014b}},	//   mlan, nuck, _apdr, cvik_, 
   {{0x44441b5a,0x63ad84d1,0x69ca02bf,0x6b82023e}},	//   _yr_, llan, _nife, _amog, 
   {{0xeb991ac0,0x320915ad,0x63ad84d2,0x98a700bc}},	//   мик_, lray_, olan, _daně_, 
   {{0x3f8684d3,0x0b4500cf,0xdb0084d4,0x661d36d4}},	//   ciou_, тнин, nomè, ktsk, 
   {{0x63ad84d5,0xdb1a84d6,0x660f090b,0x27e01993}},	//   ilan, _autó, juck, _čina_, 
   {{0x63ad533d,0x67240082,0x6b820036,0x7c2c26ca}},	//   hlan, _sbij, _emog, ñorí, 
   {{0x2d873e8a,0x66e684d7,0x644501c1,0x7644016a}},	//   mine_, кона, _nrhi, _sriy, 
   {{0x63ad00cf,0x44446381,0x764484d8,0x661d84d9}},	//   jlan, _rr_, _priy, ftsk, 
   {{0x444484da,0x2d87003c,0x7ae984db,0x69ca01a7}},	//   _sr_, oine_, mbet, _fife, 
   {{0x444484dc,0x32090489,0x7ae9098d,0x61e400e0}},	//   _pr_, dray_, lbet, vpil, 
   {{0x64a66f7a,0x61fd1a3e,0x7bcb84dd,0x25ee00b0}},	//   тава, _avsl, _kigu, _अबकी_, 
   {{0x672400f1,0x2d8784de,0x32093076,0x63ad84df}},	//   _ubij, hine_, fray_, glan, 
   {{0x7bcb84e0,0x2d8784e1,0x3f86145a,0x644501c4}},	// [7cc0] _migu, kine_, viou_, _erhi, 
   {{0x444484e2,0x2d8784e3,0x224084e4,0x7ae984e5}},	//   _tr_, jine_, rvik_, hbet, 
   {{0x444484e6,0x2d870c88,0x61e484e7,0x63ad5b10}},	//   _ur_, dine_, spil, blan, 
   {{0x3209525f,0x63ad84e8,0x7bcb84e9,0xe8090e6e}},	//   bray_, clan, _nigu, _विना_, 
   {{0x63a484ea,0x7ae9050f,0x3f864604,0x2d877b8a}},	//   moin, dbet, riou_, fine_, 
   {{0x63a484eb,0x7bcb36c0,0x4c942707,0x2d8784ec}},	//   loin, _aigu, лилс, gine_, 
   {{0x69ca84ed,0x7bcb84ee,0x3c3c00bc,0x2fda009c}},	//   _rife, _bigu, dává_, _آورد_, 
   {{0x63a484ef,0xdb1a03a1,0x7bcb84f0,0x69ca84f1}},	//   noin, _autò, _cigu, _sife, 
   {{0x7bcb134c,0x69ca0379,0x450a0033,0xb5fb039f}},	//   _digu, _pife, শ্যক_, száz, 
   {{0x637105a1,0x63ad84f2,0x7bcb003e,0x661d0352}},	//   _måna, zlan, _eigu, vtsk, 
   {{0x63a40088,0x637134db,0x0b5a0235,0x7ae984f3}},	//   koin, _låna, _орды_, bbet, 
   {{0x7ae9192d,0x63ad0095,0x7bcb0495,0x661d7ad0}},	//   cbet, xlan, _gigu, ttsk, 
   {{0xa2a21215,0x673d01e8,0x69ca007b,0x63ad076b}},	//   _कुल्, rdsj, _tife, vlan, 
   {{0x661d00f1,0x63ad84f4,0x58d384f5,0xdb000684}},	//   rtsk, wlan, _кошт, domé, 
   {{0x661d84f6,0xb4bf109f,0x63a484f7,0xa2c017f6}},	//   stsk, ेशे_, foin, लेस्, 
   {{0x3209540b,0x63ad84f8,0x79880727,0x661d0604}},	//   tray_, ulan, lidw, ptsk, 
   {{0x80d70394,0x32090237,0x2d8784f9,0xdb0084fa}},	// [7cd0] _बलदे, uray_, yine_, romè, 
   {{0xdb000a25,0x2d8784fb,0x3f8400b0,0x79880204}},	//   llmä, xine_, _ammu_, nidw, 
   {{0x31c4528c,0x7ae984fc,0x63a484fd,0x77b60183}},	//   рств, ybet, boin, láxa, 
   {{0x63ad3fac,0x2d87121d,0xfe7901a2,0x62080e03}},	//   qlan, wine_, нӯз_, ürlü, 
   {{0x7bcb0141,0xfe7000b1,0xdb000042,0x12870116}},	//   _rigu, يده_, comé, _شمسی_, 
   {{0x2cac02f0,0x7ae900f8,0xbdf8007a,0x00000000}},	//   _bydd_, wbet, ئرنا_, --, 
   {{0x2d8784fe,0x7ae9123b,0x7988019b,0x3c3c02d9}},	//   rine_, tbet, didw, vává_, 
   {{0x2d8784ff,0x2cac02bf,0x9c7c0121,0x80be0110}},	//   sine_, _dydd_, _večp, वेळे, 
   {{0x7ae96a3f,0x2d872c9e,0x7bcb8500,0xd6ae0086}},	//   rbet, pine_, _vigu, _গল্প, 
   {{0x2cac02bf,0x7ae968e5,0x7bcb8501,0x7ae601f0}},	//   _fydd_, sbet, _wigu, ıkta, 
   {{0x7bcb02dc,0x378a0cd9,0xb4bf00aa,0x18698502}},	//   _tigu, ебно_, ेशो_, хани_, 
   {{0xab840024,0x1dcb08c6,0x55e68503,0x3c3c5d10}},	//   _кучк, ादकत, ломб, sává_, 
   {{0xc5f5032e,0x79888504,0x63a48505,0x6b898506}},	//   ағы_, bidw, voin, mieg, 
   {{0x6371014e,0x6b898507,0x39580219,0x2fcd8508}},	//   _råna, lieg, örst_, _lieg_, 
   {{0x232a8509,0x63a4850a,0xe1ff0587,0x69c153c0}},	//   нови_, toin, _avó_, mmle, 
   {{0x69c101f0,0x6b89850b,0x28df0366,0xf77220b4}},	//   lmle, nieg, पुरि, _دات_, 
   {{0x63a48384,0x31263c30,0x256f0077,0xc7a90133}},	// [7ce0] roin, лдаг, _küll_, _جدول_, 
   {{0x63a4850c,0xdb004635,0x6b8901f1,0x7de600f0}},	//   soin, romé, hieg, ңілд, 
   {{0x6b89006a,0xdb00850d,0x4f0a850e,0xf3f100e7}},	//   kieg, domî, енен_, ật_, 
   {{0x2d850379,0xdfcf0038,0x79880727,0x6b89850f}},	//   _amle_, سيه_, zidw, jieg, 
   {{0x2cac02f0,0xef2101dd,0x79880532,0x00000000}},	//   _sydd_, daļā_, yidw, --, 
   {{0xa0a68510,0x3ead0532,0x6da30267,0x00000000}},	//   _багд, _dyet_, бича, --, 
   {{0x50b802e6,0x7988003d,0xafe30ca4,0x00000000}},	//   _अरिष, vidw, _госл, --, 
   {{0x40930084,0x3f848511,0x8fa6812d,0x637800b9}},	//   _الفر, _ummu_, _сабе, _díng, 
   {{0x49748512,0xfce60a27,0x443a009c,0x298a05b2}},	//   илис, _бозо, _lsp_, есно_, 
   {{0x753e016a,0x20b8034d,0x291800bd,0xaac02b69}},	//   _napz, _अराध, üra_, शेषक, 
   {{0xa3c4006a,0x6b898513,0x7d1a0065,0x63780126}},	//   एगा_, bieg, _icts, _kínd, 
   {{0xa3d81721,0x7c3a8514,0x68e4008f,0xe5170790}},	//   ादन_, _istr, _şidd, _ताहि_, 
   {{0xb8cb1898,0x7afd003e,0xb4bf1d11,0x7988019b}},	//   _कु_, ðste, ेश्_, pidw, 
   {{0xda7b0056,0x1c1854cb,0x443a1d5e,0x26d201a3}},	//   _אנדר, _धमाल_, _bsp_, _egyo_, 
   {{0x443a8515,0x68fa8516,0x753e5abe,0x00000000}},	//   _csp_, matd, _dapz, --, 
   {{0x1dd40838,0x68fa8517,0xdb190118,0xdb210032}},	//   ददात, latd, _chwè, _štúr, 
   {{0xa2c0047b,0x50f55d27,0x325503dc,0x644a0183}},	// [7cf0] लेल्, изат, швар, _áfin, 
   {{0x637824d3,0xa5bb2769,0x6b8901dd,0x2fcd0380}},	//   _aínd, stób, zieg, _sieg_, 
   {{0x443a8518,0xb035004e,0x403500d9,0x491c0bf5}},	//   _gsp_, рнеш, реес, _मानो_, 
   {{0x68fa7277,0x3ead024a,0x2fcd008a,0x00000000}},	//   hatd, _pyet_, _qieg_, --, 
   {{0x68fa8519,0x6b8901dd,0x673f01f2,0x12fa00df}},	//   katd, vieg, _maqj, _בהרב, 
   {{0x6b89851a,0x443a012b,0x3da90093,0x2fcd000b}},	//   wieg, _ysp_, ъкло_, _wieg_, 
   {{0x636a008c,0x6b89851b,0x7c3a851c,0x6db90032}},	//   _sýni, tieg, _cstr, _kňaz, 
   {{0x290a0019,0x3d17009a,0x673f0034,0x7d1a01d6}},	//   óban_, _नावे_, _naqj, _ects, 
   {{0x7c3a412c,0xc9550b34,0x3f9c0107,0x1c2100b0}},	//   _estr, атны, évue_, _महकल_, 
   {{0x636a0228,0x63780183,0x6b89851d,0xf98500d3}},	//   _výni, _tíng, sieg, ргоо, 
   {{0xb8dd2002,0x6b89851e,0x29c700d3,0x69c1851f}},	//   _आर_, pieg, ктүү_, rmle, 
   {{0xc7a600dd,0x443a8520,0x07a63581,0x63712104}},	//   римк, _rsp_, рамн, _sånn, 
   {{0x68fa1a3d,0x6b5c010e,0x7afb55ba,0x7e6b012b}},	//   batd, _négy, maut, nygp, 
   {{0x7afb030f,0xb17b0219,0x443a8521,0x6e3b018e}},	//   laut, _stån, _psp_, _msub, 
   {{0x69db8522,0x63788523,0x673f00e5,0x7c3a0626}},	//   lque, _líne, _faqj, _xstr, 
   {{0x7afb8524,0x6e3b052b,0x289a2737,0x00000000}},	//   naut, _osub, _שיקא, --, 
   {{0x69db8525,0x42ca00cf,0xd1862ffc,0x2b9a0243}},	// [7d00] nque, тган_, алай, nīca_, 
   {{0x60e71daa,0x6f1b4879,0x7afb1624,0xc5fb0070}},	//   имум_, _acuc, haut, _שפיט, 
   {{0x20568526,0x7afb8527,0x6e3b4429,0x6b5c0019}},	//   штар, kaut, _asub, _végz, 
   {{0xf8b200a7,0x7afb8528,0x888c0070,0xd00700d9}},	//   חשב_, jaut, עראַ, реце_, 
   {{0xee7a1225,0x68fa132c,0x9ea70342,0x44380156}},	//   خصات_, yatd, авца_, lwr_, 
   {{0x7afb8529,0x7c3a60bd,0x00000000,0x00000000}},	//   eaut, _pstr, --, --, 
   {{0x7afb086d,0x998d00ab,0x2013016a,0x6e3b852a}},	//   faut, steś_, cuxi_, _esub, 
   {{0x61e6016a,0x7afb0009,0xe45700c7,0x7c3a61aa}},	//   _ktkl, gaut, שיקט_, _vstr, 
   {{0x320000a3,0x3f671571,0x4438017c,0x7c3a0083}},	//   nsiy_, _тито_, hwr_, _wstr, 
   {{0xd90e0274,0x9966852b,0x9f5a0036,0xd90d009c}},	//   ذیب_, ртил, cupò_, فیه_, 
   {{0x7c3a2840,0x68fa065c,0x7afb852c,0xdca600d3}},	//   _ustr, ratd, baut, _тажи, 
   {{0x61e614f0,0x44380156,0x7f42852d,0x69db852e}},	//   _otkl, dwr_, ndoq, bque, 
   {{0xdb00128a,0x7ae2852f,0x68fa8530,0x00000000}},	//   nomí, _ifot, patd, --, 
   {{0x61e902b7,0xe81800b3,0x68fa00a3,0x24193b46}},	//   _çeli, _бокч_, qatd, логы_, 
   {{0x61e6002a,0x99990228,0x44380156,0x776400b9}},	//   _atkl, ísť_, gwr_, _foix, 
   {{0x68f88531,0x539800dd,0x8c3c0095,0x887700a7}},	//   _hevd, ався_, _uyğu, _כתוב_, 
   {{0xdb1b0502,0x00000000,0x00000000,0x00000000}},	// [7d10] hluß, --, --, --, 
   {{0x9f580093,0x2fd88532,0x68f80082,0x6f1b0036}},	//   _avrà_, _burg_, _jevd, _scuc, 
   {{0x7bde3ba5,0x69db50b8,0x75358533,0x533528ec}},	//   ípul, zque, mezz, _лент, 
   {{0x75358534,0x68f88535,0x3ef900d9,0x00000000}},	//   lezz, _levd, ундэ_, --, 
   {{0xfce5147a,0x0356008d,0x7afb02f3,0x69db0107}},	//   боло, _הירש_, vaut, xque, 
   {{0x290a2769,0x75354dca,0x7ae2609b,0x06380070}},	//   óbal_, nezz, _afot, ינדט_, 
   {{0x7afb8536,0x65658537,0x254b0028,0x00000000}},	//   taut, _mohh, mėlė_, --, 
   {{0x75350093,0x6e3b0149,0xd49802a1,0x6565016a}},	//   hezz, _tsub, יכות_, _lohh, 
   {{0x7afb8538,0x8e8500eb,0x6565011d,0x75358539}},	//   raut, _الذه, _oohh, kezz, 
   {{0x69db853a,0x7535614c,0x7afb853b,0x7764853c}},	//   rque, jezz, saut, _soix, 
   {{0x69db853d,0x6d41853e,0x2001099d,0xd2ae00b0}},	//   sque, _iala, nshi_, _झुनझ, 
   {{0xb17b017e,0x20010053,0x6d4343a8,0xa3b60466}},	//   _stål, ishi_, ldna, _चीं_, 
   {{0x6d414308,0x75352d4b,0x320000a3,0x254b0009}},	//   _kala, fezz, xsiy_, kėlė_, 
   {{0x6d41853f,0x6d438540,0x69d9011c,0xf1db093a}},	//   _jala, ndna, _iuwe, _बढ़न, 
   {{0x69d98541,0xa3b300a2,0xf3f10023,0x200700da}},	//   _huwe, टतं_, ập_, ánil_, 
   {{0x6d418542,0x69d98543,0x660f00ef,0x44380156}},	//   _lala, _kuwe, brck, rwr_, 
   {{0x69d93cc2,0x7af900a4,0x64430242,0x75350539}},	// [7d20] _juwe, _mewt, _šnit, bezz, 
   {{0x41b60a27,0x865b00a7,0x69d98544,0x24f601ff}},	//   ёсат, _עדיי, _muwe, _учир, 
   {{0xa2b41489,0x600a020f,0x69d98545,0xd46a3a88}},	//   _आरक्, унем_, _luwe, _сине_, 
   {{0x6d410c36,0x66043841,0xdb000634,0xa5bb1e0d}},	//   _aala, _kvik, tomí, ntón, 
   {{0x471b0137,0xde5802c8,0x61e60611,0x69d98546}},	//   רונג, ралі_, _utkl, _nuwe, 
   {{0xdb008547,0x20010065,0x7ae22c23,0xd2b700d1}},	//   romí, bshi_, _sfot, _ללכת_, 
   {{0x6d418548,0x6e228549,0x68f8854a,0x6fb60629}},	//   _dala, stob, _revd, _همسا, 
   {{0x5f96057f,0x6d411600,0x68f8854b,0xdb00037f}},	//   _الرئ, _eala, _sevd, pomí, 
   {{0x2fdf0082,0x8d1a25ad,0x386c00f8,0x7afd003e}},	//   _čugi_, _مزار_, wydr_, ðsta, 
   {{0x69d9854c,0xa3d8143e,0xad650038,0x660f00ef}},	//   _duwe, ादा_, _واله, vrck, 
   {{0x2c0b0a24,0x69d911e9,0x7bce0036,0x2d8e019b}},	//   _معنی_, _euwe, _èbuo, mife_, 
   {{0x65650082,0x69d9854d,0xbfb60023,0x00000000}},	//   _sohh, _fuwe, _điềm_, --, 
   {{0x75353277,0x6d41854e,0x0ab60e05,0x7bda854f}},	//   tezz, _yala, _احاد, _hutu, 
   {{0x7bda8550,0x6d418551,0x2d8e00ef,0xdceb0eae}},	//   _kutu, _xala, nife_, čići, 
   {{0x75358552,0x7bda1eab,0x7aed002e,0x200100cf}},	//   rezz, _jutu, _întâ, xshi_, 
   {{0xa5bb1f71,0x25740219,0xf3644243,0x7bda8553}},	//   ctón, _häll_, птун, _mutu, 
   {{0x75358554,0x2fc6044e,0x7d082750,0x6d438555}},	// [7d30] pezz, dmog_, _odds, ydna, 
   {{0x7bda0c1f,0x2001084c,0xdb190118,0x764d0610}},	//   _outu, tshi_, _jiwò, _iray, 
   {{0x6d418556,0x7bda8557,0x610b00e0,0x93e0009a}},	//   _rala, _nutu, vēlē, _खूपच_, 
   {{0x637823fc,0x200100cf,0x256f00ad,0x00000000}},	//   _vínc, rshi_, _sülh_, --, 
   {{0x672d00e5,0x200102a2,0x787f010e,0x8f34012d}},	//   _mbaj, sshi_, _kávé, яецц, 
   {{0x61ed8558,0x7bda8559,0x6d41855a,0x1be90b2d}},	//   mpal, _butu, _qala, адки_, 
   {{0x6d41855b,0x6d43855c,0x69d9855d,0x7bda855e}},	//   _vala, rdna, _suwe, _cutu, 
   {{0x6d416a78,0x69d90c3d,0xa2c00fc0,0x637800f2}},	//   _wala, _puwe, लेक्, _kína, 
   {{0x6d41855f,0x2ca900ab,0x61ed8560,0xdce102d9}},	//   _tala, ład_, npal, _holč, 
   {{0x672d8561,0x2d8e02a0,0xe8f98562,0x4805094a}},	//   _abaj, cife_, шло_, опов, 
   {{0x764d4c54,0x7bda7f54,0x201e0219,0x66048563}},	//   _aray, _gutu, _ätit_, _svik, 
   {{0x69d98564,0x764d8565,0xa6ca07d9,0x4a7526ef}},	//   _tuwe, _bray, илна_, _мылт, 
   {{0x99d736a7,0x764d8566,0x61ed47e5,0xa5bb8567}},	//   _اتصا, _cray, jpal, rtón, 
   {{0x764d5132,0x7bda00a3,0x1a9a0070,0x65bb0216}},	//   _dray, _yutu, _דינע, tîha, 
   {{0x6f098568,0x04438569,0x3f8f01f1,0xdb00010e}},	//   _odec, мерн, kigu_, lomá, 
   {{0x3f8f02f5,0xb5fb010e,0x764d0151,0x2249040b}},	//   jigu_, gyás, _fray, fvak_, 
   {{0x27e002f5,0x61ed1614,0x068300fd,0xc20a24a1}},	// [7d40] _čini_, gpal, _огън, شقان_, 
   {{0x6f09856a,0xa5bb0169,0xa1c3004f,0x645a0fae}},	//   _adec, ntól, дбуд, ätis, 
   {{0x232a1ee6,0x397a0070,0xcf461193,0x98a50528}},	//   _кони_, סטענ, жней, telę_, 
   {{0x7bda856b,0xdce10304,0x637801d5,0x00000000}},	//   _rutu, _dolč, _fína, --, 
   {{0x7bda856c,0x6f090156,0xa2a200c2,0xc6280086}},	//   _sutu, _ddec, _कुच्, মিকা_, 
   {{0x63a9445d,0x6f0901f0,0xdb000019,0x63b67e31}},	//   čene, _edec, domá, llyn, 
   {{0xd00731a4,0x3f8f016a,0xdb0003a1,0x6023856d}},	//   _мере_, bigu_, tomà, _одра, 
   {{0x63b602bf,0x3f8f090e,0xdb09007a,0xdb00039f}},	//   nlyn, cigu_, tleá, fomá, 
   {{0xde030846,0xdb00114a,0x81dc0033,0x7bda00d7}},	//   _опти, gomá, ণীর_, _wutu, 
   {{0x7bda856e,0x6f090035,0x77bd0183,0x325700d1}},	//   _tutu, _zdec, déxa, קסים_, 
   {{0x61ed856f,0x25740219,0x7bda00c8,0x764d01e5}},	//   zpal, _väll_, _uutu, _sray, 
   {{0xdbf00086,0x764d8570,0x478b2138,0x00000000}},	//   _টিপস_, _pray, рсом_, --, 
   {{0x61e200eb,0xdb000126,0x63b600f8,0x00000000}},	//   íoll, comá, dlyn, --, 
   {{0xd49b8571,0x00000000,0x00000000,0x00000000}},	//   арб_, --, --, --, 
   {{0x9f4701ee,0xd7fa05de,0x7bc20364,0x938b019c}},	//   ënë_, _тул_, _khou, асаа_, 
   {{0xe51705fd,0x764d8572,0x20070813,0x03c407f4}},	//   _ताकि_, _tray, šnik_, дсум, 
   {{0xc1750093,0x61ed8573,0x5215017b,0x764d8574}},	// [7d50] плащ, upal, ядат, _uray, 
   {{0x799a0c83,0x3d040035,0xdce1174f,0x22490664}},	//   nntw, रणों_, _polč, rvak_, 
   {{0x61ed8575,0xe520007e,0x3f8f00b4,0x800717fc}},	//   spal, _बाति_, tigu_, ючае, 
   {{0x61ed8576,0x2d9e0304,0x2612031e,0x81d51a57}},	//   ppal, _ajte_, _तिमी_, _номх, 
   {{0x3f8f8577,0x63ad8578,0x249f0213,0x6f0900d8}},	//   rigu_, moan, ğumu_, _vdec, 
   {{0x63ad8579,0x799a006d,0x11da00d1,0xdce10144}},	//   loan, jntw, _לחשב, _tolč, 
   {{0x4c69058e,0x3f8f46ae,0x7afd003e,0x69c800d8}},	//   сийн_, pigu_, ðsto, dmde, 
   {{0xdb000e2e,0x7bc2857a,0x63ad857b,0x69c810f3}},	//   tomá, _chou, noan, emde, 
   {{0xdb0e00eb,0xbb21009e,0x63ad020f,0x3eb901d5}},	//   ódál, _çîme, ioan, _ást_, 
   {{0x63ad857c,0x8d770e61,0x63b60065,0xc8b802e6}},	//   hoan, _بارا, zlyn, ॉइंट, 
   {{0xa3bd119f,0x63ad857d,0x6aa2016a,0xf8ce1276}},	//   ेगा_, koan, _exof, _हृदय, 
   {{0x63ad8052,0xdb00014b,0xb6a602f1,0xa5bb7c9c}},	//   joan, pomá, зимл, stól, 
   {{0xa5bb0183,0x7bc9857e,0x63ad857f,0xb8d2109f}},	//   ptól, mmeu, doan, _झु_, 
   {{0x7bc28580,0x00000000,0x00000000,0x00000000}},	//   _zhou, --, --, --, 
   {{0x69c38581,0x63ad1e7d,0x77bd0183,0x98790070}},	//   _ihne, foan, séxa, _לאַט, 
   {{0x63ad8582,0xb6a60508,0x46a608ab,0x6b9b8583}},	//   goan, _нийл, _найв, nnug, 
   {{0x171b00a7,0x310a0079,0x514400f0,0x63b68584}},	// [7d60] _הופע, йнап_, мдағ, rlyn, 
   {{0xe29a8585,0x0f14047c,0x91790023,0xa0a600f0}},	//   _ҳам_, डल्स_, _cần_, пазд, 
   {{0x63ad0180,0x63b600da,0x7bc90574,0x443c05d5}},	//   boan, plyn, kmeu, _èv_, 
   {{0x63a98586,0x77b60183,0x63ad8587,0x53a607a4}},	//   čenc, fáxi, coan, _хамб, 
   {{0x69c800f8,0x69c30380,0x31a60054,0x7bc901d2}},	//   ymde, _ohne, zôzy_, dmeu, 
   {{0x7bc20056,0x25740219,0x64583281,0x91790108}},	//   _shou, _sälj_, _àvis, _gần_, 
   {{0xa0a38588,0x645820ac,0x7bc20102,0x62840036}},	//   _зард, _ávid, _phou, lzio, 
   {{0xa2b304cc,0x26c00036,0x799a0369,0x316a01f2}},	//   _आडम्, _ozio_, wntw, _hobz_, 
   {{0x6284048a,0x2574022b,0xc3330056,0x0d8600b3}},	//   nzio, _välj_, תוח_, _елан, 
   {{0x63ad8589,0x637134db,0x62847968,0x69c326c0}},	//   zoan, _våni, izio, _chne, 
   {{0xac760740,0x7bc20056,0x63ad0053,0x201a0102}},	//   _عائش, _thou, yoan, nupi_, 
   {{0x62840a9f,0xe69500c8,0xba2a009c,0x6f020548}},	//   kzio, димы, _هستم_, naoc, 
   {{0x2be40086,0x63ad0180,0x27e003ac,0x201a0532}},	//   _গিয়ে_, voan, _činu_, hupi_, 
   {{0xa2cd3421,0x79580013,0x6284858a,0xf8063eb8}},	//   _दृष्, _фикр_, dzio, _ечин, 
   {{0x63ad858b,0x92b900cc,0x26120c14,0x628400fd}},	//   toan, _চলে_, _तिथी_, ezio, 
   {{0x201a858c,0x63680d47,0xd6db00b3,0x97a4012d}},	//   dupi_, пруг_, _утк_, _прыл, 
   {{0xa2cd101f,0x63ad858d,0x6f02858e,0x623400d9}},	// [7d70] _दृश्, roan, daoc, нету, 
   {{0x645800e4,0x63ad858f,0x201a1c36,0x932700d4}},	//   _švie, soan, fupi_, _کردن, 
   {{0xf1c800eb,0x62848590,0x63ad8591,0x200704c6}},	//   أولى_, azio, poan, éni_, 
   {{0x27f80483,0x6f0200ef,0x3119009a,0x00000000}},	//   árny_, gaoc, _पाकृ_, --, 
   {{0xa3e3047c,0xa3aa00ab,0x09140086,0x32540009}},	//   _फंड_, खकर_, ত্যু_, _звяр, 
   {{0xdd910523,0xed568592,0xee38017b,0x361c00d1}},	//   ضوع_, дош_, яні_, מודד, 
   {{0x40342f8d,0x201a02a3,0x8c4200c8,0xdbf102d9}},	//   _перс, cupi_, веще, příj, 
   {{0x291e00e0,0x77b60183,0xdce101dd,0xf09200d1}},	//   egta_, páxi, _dolā, _סנן_, 
   {{0x7bc98593,0x2bdf00b0,0x00000000,0x00000000}},	//   rmeu, _पंवा, --, --, 
   {{0x98bc00e0,0x291e0065,0x7bc98594,0xdd9400f0}},	//   _savā_, ggta_, smeu, _зауы, 
   {{0x7d038595,0x07a60e02,0xc7a651bd,0xa3ad34be}},	//   mans, данн, динк, गवा_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2eff0212,0xaa458596,0x00000000,0x00000000}},	//   _meuf_, _целл, --, --, 
   {{0xa3b60ede,0xdd990118,0x6f020121,0x89da0225}},	//   _चीज_, _dwňg_, zaoc, _וחסי, 
   {{0x2eff6280,0x6fad0110,0x98bc0243,0x33d6017b}},	//   _oeuf_, टकां, _tavā_, діат, 
   {{0x39478597,0x2eff026d,0x7d035897,0xe3ba0451}},	//   _hans_, _neuf_, hans, іба_, 
   {{0x39478598,0x6f021810,0x71760038,0x26c0095a}},	// [7d80] _kans_, vaoc, وهرا, _uzio_, 
   {{0x201a8599,0x6284859a,0x1de10262,0x76440053}},	//   tupi_, rzio, _पढ़त, _isiy, 
   {{0x7d03859b,0x3947859c,0x6f021810,0x83c6486c}},	//   dans, _mans_, taoc, _обож, 
   {{0x4444181f,0x39471c96,0x201a59a0,0x20070165}},	//   _is_, _lans_, rupi_, ânia_, 
   {{0x7d03859d,0x6f020ab4,0x201a859e,0x644e00fb}},	//   fans, raoc, supi_, lvbi, 
   {{0x753c2ae1,0x39473452,0xa3e3203f,0xa0a600d3}},	//   nerz, _nans_, _फूड_, _жагд, 
   {{0x672403e5,0xac970195,0x8bc608ba,0x63780354}},	//   _ocij, ونها_, мсид, _línm, 
   {{0x753c859f,0x764485a0,0xdd990118,0x44440729}},	//   herz, _osiy, _awňd_, _ms_, 
   {{0x44440bc3,0x442a02a2,0x753c3cd5,0x764485a1}},	//   _ls_, htb_, kerz, _nsiy, 
   {{0x444485a2,0x98bc020f,0x00000000,0x00000000}},	//   _os_, _navă_, --, --, 
   {{0x3947182a,0x6d5a85a3,0x753c85a4,0x764485a5}},	//   _dans_, _inta, derz, _asiy, 
   {{0x6d4885a6,0x657e6566,0x6d4a79f7,0x55ea0033}},	//   _hada, _alph, ldfa, _কয়েক_, 
   {{0x4444181f,0xa5bb00eb,0x753c01c4,0x6a867b5c}},	//   _as_, ltói, ferz, _юлда, 
   {{0x6d4a80a6,0x753c85a7,0x63712379,0x4444036d}},	//   ndfa, gerz, _lånt, _bs_, 
   {{0x45d42a5d,0xa5bb00eb,0x444453ff,0xca480023}},	//   торс, ntói, _cs_, _hờ_, 
   {{0x6d4885a8,0x69d885a9,0x645885aa,0x7d0385ab}},	//   _lada, _hive, _švic, zans, 
   {{0x444485ac,0x7d0385ad,0x2eff00ef,0x69d885ae}},	// [7d90] _es_, yans, _reuf_, _kive, 
   {{0x7d0385af,0x7c2a85b0,0xca4800e7,0x39800300}},	//   xans, ktfr, _mờ_, _fòse_, 
   {{0x69d885b1,0x661d85b2,0x7d0385b3,0x3f151299}},	//   _mive, lusk, vans, едес, 
   {{0x69d82762,0x644585b4,0x6d4885b5,0xc7b902fe}},	//   _live, _ishi, _aada, buđe_, 
   {{0x42790137,0x8db5012d,0xdcfa02a4,0x68ea040c}},	//   _זאָג, нскі, _aktı, _offd, 
   {{0x6d4885b6,0x3209192d,0x91790108,0x7c2a2e9c}},	//   _cada, msay_, _dẫn_, ftfr, 
   {{0x6d4885b7,0xfc310e05,0xabd5081b,0x7c2a0566}},	//   _dada, احت_, нциј, gtfr, 
   {{0x39471d2b,0x6d5a85b8,0x7d0385b9,0x661d4a1d}},	//   _sans_, _enta, sans, kusk, 
   {{0x6d4885ba,0x320985bb,0x7d0385bc,0xca48001b}},	//   _fada, nsay_, pans, _cờ_, 
   {{0x6d4885bd,0x64450c67,0xf99100eb,0x661d85be}},	//   _gada, _oshi, طبخ_, dusk, 
   {{0x7b672595,0x6445024d,0x673d85bf,0xb9072f06}},	//   _отде, _nshi, fesj, _भल_, 
   {{0x7d0185c0,0x673d026d,0x753c85c1,0x70dc26f2}},	//   _hels, gesj, werz, _बल्ल, 
   {{0x753c85c2,0x64456ad0,0x69d885c3,0x444485c4}},	//   terz, _ashi, _five, _ss_, 
   {{0x69d885c5,0x444485c6,0x7d0185c7,0x18a57402}},	//   _give, _ps_, _jels, _палм, 
   {{0x4444005c,0x290585c8,0x64a385c9,0x63710219}},	//   _qs_, mala_, гара, _nåns, 
   {{0x3878155b,0x69d8032f,0x753c0093,0x661d85ca}},	//   ørre_, _zive, serz, busk, 
   {{0x444485cb,0x644502f1,0xd2a785cc,0x661d85cd}},	// [7da0] _ws_, _eshi, екте_, cusk, 
   {{0x290585ce,0x444485cf,0x3123022c,0x27e90bad}},	//   nala_, _ts_, лдуг, _čanj_, 
   {{0x444485d0,0xc7b90704,0x290500b3,0x06f40d2e}},	//   _us_, suđe_, iala_, _आभाव_, 
   {{0xdee61231,0x290585d1,0x6d4885d2,0xb17b0f5b}},	//   ходи, hala_, _sada, _ståt, 
   {{0x6d4885d3,0x7d010019,0x61e47775,0xa2d620b4}},	//   _pada, _bels, qqil, _سيست, 
   {{0x290510d4,0x6d4885d4,0xa3d80d1d,0x29fd0228}},	//   jala_, _qada, ादक_, dňa_, 
   {{0x6d4885d5,0x69d8509a,0x290e0126,0x7d0185d6}},	//   _vada, _rive, _rdfa_, _dels, 
   {{0x6d4885d7,0x5a34176b,0x69d885d8,0x7c2a85d9}},	//   _wada, внит, _sive, rtfr, 
   {{0x7d0185da,0xada685db,0x290585dc,0x6d5a02cd}},	//   _fels, _заал, fala_, _tnta, 
   {{0x290585dd,0x7d0185de,0xf8ab00e7,0x7bde85df}},	//   gala_, _gels, ười_, ípus, 
   {{0x69d83fb6,0x673d146d,0x00000000,0x00000000}},	//   _vive, tesj, --, --, 
   {{0x32091ae0,0x661d4db3,0x7ae93f57,0xca48001b}},	//   ysay_, tusk, ccet, _tờ_, 
   {{0x69d80c1f,0x7d0185e0,0x95cb24e1,0x673d85e1}},	//   _tive, _yels, зува_, resj, 
   {{0xae020081,0x661d15da,0xceb3035c,0xbf0c00a2}},	//   रीयन_, rusk, ריש_, हणुन_, 
   {{0xf4840965,0x661d85e2,0x94a82e07,0x280202d9}},	//   гутн, susk, етта_, ásně_, 
   {{0x63a9090e,0x661d777f,0x320985e3,0x58bb00d1}},	//   čeno, pusk, tsay_, _ממוצ, 
   {{0xdb1b240c,0xaac9031e,0xdcfa0237,0xd5bb01d8}},	// [7db0] fluê, ाइएक, _altč, _нсо_, 
   {{0x644585e4,0x660d0054,0x200702aa,0x45d51271}},	//   _tshi, _ivak, ânio_, _шопс, 
   {{0xbf0c047b,0x644585e5,0x21210065,0x7d01039b}},	//   हणून_, _ushi, rghh_, _rels, 
   {{0x29051871,0x7d01155b,0x660d0588,0x29fd0228}},	//   zala_, _sels, _kvak, yňa_, 
   {{0x290585e6,0x7d0185e7,0xb2741b2d,0xe8d90023}},	//   yala_, _pels, _бляш, _đọ_, 
   {{0x236900d2,0x7ae985e8,0x29fd0228,0xdb000068}},	//   ljaj_, wcet, vňa_, comú, 
   {{0xae0200a5,0x7bd92991,0xbb450f67,0x7ae9011c}},	//   रीबन_, _piwu, вейк, tcet, 
   {{0x660d02f5,0xd9c9000c,0x257401c4,0x23691a44}},	//   _ovak, रष्ट, _hält_, njaj_, 
   {{0x7ae9020f,0x7d0185e9,0xa3e30d2e,0x15e10790}},	//   rcet, _tels, _फूस_, _गूलर_, 
   {{0x7ae902da,0x29fd0ed9,0x7dc403dd,0x00000000}},	//   scet, rňa_, ròsc, --, 
   {{0x660d85ea,0x290585eb,0x7886844b,0x98a537fa}},	//   _avak, rala_, _révé, тине, 
   {{0x23690065,0xc6260086,0xf4270086,0x29fd0032}},	//   jjaj_, যবসা_, মবার_, pňa_, 
   {{0x23692f6f,0xe9ce0d3b,0x07a381d4,0x81e60086}},	//   djaj_, _вк_, раян, _যৌন_, 
   {{0x660d1c76,0x26c5004e,0x64a685ec,0x290585ed}},	//   _dvak, ығын_, вага, qala_, 
   {{0x232a11b5,0xd415012d,0x00000000,0x00000000}},	//   мови_, льты, --, --, 
   {{0xdbd9010c,0x00000000,0x00000000,0x00000000}},	//   vçûn, --, --, --, 
   {{0xe29785ee,0x91e33ca1,0x3a2d85ef,0x59c60035}},	// [7dc0] ват_, иоте, ntep_, _रीडर, 
   {{0x91a70108,0x161700c9,0x307600d9,0xdce816d3}},	//   _địa_, _तितर_, куес, _podč, 
   {{0x637885f0,0x660d23d9,0x00000000,0x00000000}},	//   _líni, _zvak, --, --, 
   {{0x443a85f1,0xdb001096,0x00000000,0x00000000}},	//   _ipp_, llmö, --, --, 
   {{0x25740219,0xb3c7021d,0xae0200c9,0x443a00de}},	//   _fält_, _шлюз_, _रौशन_, _hpp_, 
   {{0x1ea936a7,0xa5bb019c,0x3c0c02d9,0x443a3a8e}},	//   راني_, stóv, těv_, _kpp_, 
   {{0xa2d60e6e,0x50c612e3,0x443a85f2,0x515500b3}},	//   _मृत्, _वरिष, _jpp_, _стяу, 
   {{0x443a85f3,0xa0a30e65,0x10a30e8a,0x00000000}},	//   _mpp_, _тасд, _тисн, --, 
   {{0x443a85f4,0x65bb0216,0x49d81a31,0xa3c90299}},	//   _lpp_, cîhw, ндию_, _लीफ_, 
   {{0x443a00fc,0x1e830769,0x3f8685f5,0xa3c900c9}},	//   _opp_, _тлум, lhou_, _लीन_, 
   {{0x660d03ef,0x996311db,0x637885f6,0xdca3611d}},	//   _svak, ртыл, _tính, _кафи, 
   {{0xa3e6000f,0x3f8685f7,0x2b4d019c,0x68f50213}},	//   _पढ़_, nhou_, cdec_, ızda, 
   {{0xb5fb0019,0x3a2d0183,0xa93485f8,0x6b82107c}},	//   lyáz, ctep_, _белш, _ilog, 
   {{0xe85417c1,0xe4b900f0,0xdb11003e,0x00000000}},	//   _منتد, елгі_, ðgön, --, 
   {{0x6b82055f,0xdb1b022c,0x984a0093,0xd4980bae}},	//   _klog, fluè, _цяла_, врт_, 
   {{0x443a0204,0x31db153d,0x6443019c,0x4de20790}},	//   _dpp_, बद्ध, _ânim, खदाई_, 
   {{0x28ce0081,0x660d02fe,0x6b820082,0x23690352}},	// [7dd0] हेरि, _uvak, _mlog, rjaj_, 
   {{0x7c3a85f9,0x6b8285fa,0x224d0242,0x2b4d0098}},	//   _optr, _llog, _šeks_, zdec_, 
   {{0x443a0580,0x43951856,0x0fe303a1,0x00000000}},	//   _gpp_, _банс, рөгү, --, 
   {{0x547a027a,0x5ecc0033,0x3f860ff2,0x00000000}},	//   _נטרו, িশনে, ghou_, --, 
   {{0xb2872f89,0x3ea903a1,0x61e20038,0x443a0352}},	//   _рынк, çat_, íolt, _zpp_, 
   {{0xdca50f5a,0x6b82322e,0x3ea9003d,0x7c3a011c}},	//   лали, _alog, ħat_, _bptr, 
   {{0xe8d9001b,0x637800eb,0xf04400b3,0xb5fb010e}},	//   _đỏ_, _síni, _кэто, gyáz, 
   {{0x3f8600da,0x6b8285fb,0x0a4985fc,0x291801d5}},	//   chou_, _clog, езий_, óran_, 
   {{0x69ca0084,0x29c2003e,0x2b4d85fd,0x00000000}},	//   _bhfe, rðan_, rdec_, --, 
   {{0x6b8285fe,0x6e3b0102,0x2b4d0065,0x00000000}},	//   _elog, _ipub, sdec_, --, 
   {{0xa3e312e3,0x6b8285ff,0x2d8702d0,0xe72a286c}},	//   _फूल_, _flog, mhne_, нонд_, 
   {{0xeb74012d,0x29190213,0x00000000,0x00000000}},	//   _вышэ, şsa_, --, --, 
   {{0x64578600,0x6378003e,0xaac700c2,0x00000000}},	//   _arxi, _kínv, _लरिक, --, 
   {{0xceb20052,0x1a9a0137,0x3f868601,0x4a9a00c7}},	//   צים_, _אינע, zhou_, _אינג, 
   {{0xc7b90704,0xa80502f1,0x3ceb7956,0x23362f32}},	//   suđa_, _ёзил, _चलने_, лхар, 
   {{0xe520007e,0x6e3b0035,0x7afb8602,0x257402ae}},	//   _बाकि_, _opub, nbut, _päls_, 
   {{0x3171011c,0xa5bb397a,0x66090588,0xf772010e}},	// [7de0] _bozz_, dróf, šekr, _ناک_, 
   {{0x7afb011c,0x2d87008b,0x6fec0248,0x00000000}},	//   hbut, jhne_, _ağca, --, 
   {{0x443a8603,0xef1a0b68,0x3f860691,0x61f60664}},	//   _upp_, еме_, thou_, spyl, 
   {{0x77bd03da,0x20550161,0xa5bb033c,0x7afb008b}},	//   téxi, штур, stót, jbut, 
   {{0x63a48604,0x527600d3,0x3f860876,0x6b8201be}},	//   mnin, _суну, rhou_, _rlog, 
   {{0x63a48605,0xc0e35319,0xf9875a15,0xa5bb8606}},	//   lnin, _горк, _طب_, ltór, 
   {{0x6b821fca,0x6c660019,0x63a48607,0x00000000}},	//   _plog, العہ_, onin, --, 
   {{0x63a48608,0x7afb1a71,0xa5bb3b84,0xbb7408bd}},	//   nnin, gbut, cróf, ргиј, 
   {{0xe8d900f7,0x3f842e67,0x6b82008b,0x63a4702b}},	//   _đề_, _ilmu_, _vlog, inin, 
   {{0xdd8f32b7,0x63a402f1,0x7afb3b96,0x2d9802ae}},	//   _فوق_, hnin, abut, _öre_, 
   {{0x63a40be0,0xa5bb00ab,0xa3b4050b,0x61e607fc}},	//   knin, któr, टवा_, _lukl, 
   {{0x6b8200f1,0x63a48609,0x862711e6,0x8c1b042c}},	//   _ulog, jnin, льге, _טובי, 
   {{0x63a40c29,0x7ae201f1,0x91b908c6,0x00000000}},	//   dnin, _igot, ्तमै, --, 
   {{0xceb30111,0x63a4860a,0x7d0a086d,0xddc2031e}},	//   מיר_, enin, nafs, tvoř, 
   {{0x7ae20364,0x6458248c,0x63a448d5,0x61e6860b}},	//   _kgot, _ávil, fnin, _aukl, 
   {{0x63a46427,0x9813298e,0x7bc000e2,0x7d0a860c}},	//   gnin, _ابوا, nlmu, hafs, 
   {{0x31710d26,0x61e60d07,0x233800f0,0x799a095a}},	// [7df0] _pozz_, _cukl, ыпты_, oitw, 
   {{0x26c90489,0xf527860d,0xa5bb860e,0x3f84772e}},	//   _izao_, _сфин, dróg, _almu_, 
   {{0x63a4860f,0x31c40088,0x53358610,0xa5bb039f}},	//   bnin, сств, _кент, tróf, 
   {{0xa5bb21dc,0x7ae28611,0xc7b900ef,0x63a4056f}},	//   ctór, _ngot, brđe_, cnin, 
   {{0x11d900eb,0x2d870094,0xaf0400dd,0x4423138c}},	//   _لوحة_, thne_, спіл, luj_, 
   {{0x7ae2123c,0x3f84005f,0x661d780e,0xbdf807cf}},	//   _agot, _elmu_, irsk, ارنا_, 
   {{0x44318612,0x799a1136,0x8bf00086,0x7afb6427}},	//   ntz_, ditw, _টিউন_, tbut, 
   {{0x69ca0fcf,0x61e6096b,0x443101f1,0x543c00c7}},	//   _सीबी, _yukl, itz_, געהא, 
   {{0xa3d60c64,0x7afb106d,0xfaa5081e,0x2d8724bc}},	//   िगत_, rbut, рапо, phne_, 
   {{0x44238613,0x63a400cf,0x661d07d1,0x7ae20a9f}},	//   kuj_, znin, drsk, _egot, 
   {{0x63a48614,0x661d8615,0x2d858616,0xfd100038}},	//   ynin, ersk, _ille_, _رجل_, 
   {{0x6d438617,0x3ebf0f3a,0x63a4204c,0x44230f69}},	//   lena, _kyut_, xnin, duj_, 
   {{0x63a48618,0x44318619,0xe8ee0846,0x799a2843}},	//   vnin, etz_, _мл_, bitw, 
   {{0x15b90161,0x4431861a,0x6378007a,0x628d044d}},	//   гысы_, ftz_, _línt, dzao, 
   {{0xa5071b49,0x4423006a,0x661d33d1,0x63780068}},	//   реса_, guj_, arsk, _oínt, 
   {{0x61e6044e,0x6d43861b,0x2907861c,0x6b9b00fd}},	//   _pukl, hena, _hena_, niug, 
   {{0x2907861d,0x6d43861e,0x63a4861f,0x27e7076b}},	// [7e00] _kena_, kena, rnin, _hunn_, 
   {{0x63a40075,0xa5bb8620,0x61e6265d,0x69c18621}},	//   snin, stór, _vukl, nlle, 
   {{0x69c118f9,0x29078622,0x63a48623,0x6378010d}},	//   ille, _mena_, pnin, _sínu, 
   {{0x2d85238e,0x29078624,0x61e68625,0xa5bb033c}},	//   _alle_, _lena_, _tukl, tróg, 
   {{0x2bdf1011,0x7d0a2c96,0x6d438626,0x3a3d0089}},	//   _पंजा, tafs, fena, _npwp_, 
   {{0x6d438627,0x29078628,0x66040959,0xdd8f1036}},	//   gena, _nena_, _mwik, وون_, 
   {{0xa0678629,0xa0a32e81,0x7d0a862a,0x2918007a}},	//   _кара_, _дард, rafs, óram_, 
   {{0x27e00df8,0x2d851164,0x69c1862b,0x8fa634fd}},	//   _niin_, _elle_, elle, _табе, 
   {{0x6d433e2b,0x2907862c,0xfe020f63,0x7d0a19da}},	//   bena, _bena_, रीशस_, pafs, 
   {{0x6d430edb,0x63a90c7e,0x27e000a1,0x27e7017b}},	//   cena, čeni, _aiin_, _bunn_, 
   {{0xe8d90124,0x2bdf1eca,0x290702ba,0x3ceb0c06}},	//   _để_, _पंचा, _dena_, _चलते_, 
   {{0x7ae202ee,0x779300d4,0x6b9b00fd,0xdc9b035c}},	//   _ugot, تیبا, ciug, _ביבל, 
   {{0x27e01272,0x2907862d,0x799a095a,0x661d000b}},	//   _diin_, _fena_, pitw, ursk, 
   {{0x4423862e,0x66041423,0xe4a70b38,0x2d9c862f}},	//   tuj_, _dwik, арбо, nive_, 
   {{0x7d088630,0x67d501d7,0xdb091f6b,0x64740267}},	//   _meds, _локу, cleó, огру, 
   {{0x6d438631,0x052700cc,0x44230de4,0x7d080430}},	//   zena, য়ের_, ruj_, _leds, 
   {{0x44238632,0x29070149,0x6d438633,0xdb00033c}},	// [7e10] suj_, _yena_, yena, lomó, 
   {{0x7d080533,0x63787e68,0x6d438634,0x29078635}},	//   _neds, _sínt, xena, _xena_, 
   {{0x63780068,0x506701a2,0x2d9c8636,0x6d4352a8}},	//   _pínt, штаа, dive_, vena, 
   {{0x290c8637,0x6d437134,0x00000000,0x00000000}},	//   hada_, wena, --, --, 
   {{0x7d080022,0xef18004f,0xa3b4009a,0x2d9c021e}},	//   _beds, рмі_, टवर_, five_, 
   {{0x290c0635,0x2d9c055f,0x2bdf1f22,0x2249012b}},	//   jada_, give_, _पूजा, mwak_, 
   {{0xeb998638,0x6b898639,0x2907863a,0x672d0571}},	//   лик_, theg, _rena_, _ocaj, 
   {{0x2907863b,0x672d0201,0x1b4912de,0x764d044d}},	//   _sena_, _ncaj, узии_, _osay, 
   {{0x290c863c,0x6d43863d,0x69c100d3,0x3a2400ef}},	//   fada_, pena, tlle, gump_, 
   {{0x8d74057f,0x27e00077,0x6f09060c,0x7d7400eb}},	//   _والا, _siin_, _heec, _والط, 
   {{0x764d0546,0x69c102bf,0x66e6421f,0x6d8a0019}},	//   _asay, rlle, йона, _حملہ_, 
   {{0x29070149,0x4cd00086,0x69c1863e,0x07a600b3}},	//   _wena_, _স্কু, slle, самн, 
   {{0x2907863f,0x290c8640,0x6fda00bc,0xb6a35f0e}},	//   _tena_, bada_, _důch, зиял, 
   {{0x225e0356,0x6f098641,0x27e702ae,0x29070149}},	//   _čtk_, _leec, _tunn_, _uena_, 
   {{0xf7f52ee1,0x94793203,0x443e022c,0x764d0118}},	//   _استد, асту_, ït_, _esay, 
   {{0x087600c7,0x2d9c8642,0x66048643,0x9f9e0034}},	//   _לעצט_, zive_, _twik, rçës_, 
   {{0xae1c2369,0x22490102,0x66043038,0x42ca00d3}},	// [7e20] _निधन_, gwak_, _uwik, уган_, 
   {{0xa348004e,0x2d9c009e,0x39451907,0xa06a0229}},	//   ызға_, xive_, nels_, лаза_, 
   {{0xa3c90466,0x557700d1,0xa99a0070,0x7ee60038}},	//   _लीव_, _העין_, נבער, مكان, 
   {{0x290c0b85,0x543b00c7,0x7d08010c,0x39450876}},	//   zada_, _געטא, _seds, hels_, 
   {{0x290c12fb,0x2d9c2a89,0x39458644,0x64580098}},	//   yada_, tive_, kels_, _švih, 
   {{0xa1160399,0x290c4463,0x13bd0086,0x7776040c}},	//   _دوست, xada_, _আওয়, _loyx, 
   {{0x308600eb,0x2d9c5094,0x39458645,0x290c8646}},	//   _الأف, rive_, dels_, vada_, 
   {{0x7d080265,0x290c8647,0x207b0147,0x3945040b}},	//   _weds, wada_, _גאלא, eels_, 
   {{0x290c8648,0xdb1b7094,0x39458649,0x1e865117}},	//   tada_, cluí, fels_, _улам, 
   {{0x996682ad,0xdb003c3d,0xd90e00d6,0x39453455}},	//   стил, tomó, ریب_, gels_, 
   {{0x91bb008d,0x1cba11e3,0x6f09052b,0xc1bb0147}},	//   רמיי, _صائب_, _yeec, רמיש, 
   {{0xe61f0165,0x3a241ebe,0xdb00864a,0x00000000}},	//   trô_, pump_, romó, --, 
   {{0x290c071e,0x8f9b00a7,0xfa33009c,0x39451114}},	//   pada_, ריכי, _فرود, bels_, 
   {{0x290c1a3d,0x3f9d0532,0x3945803e,0x00000000}},	//   qada_, ziwu_, cels_, --, 
   {{0x499b864b,0x96f91186,0xa2db3411,0x65947c89}},	//   _תשוב, _кейт_, पेन्, чару, 
   {{0x764d864c,0x07a42189,0x2612009a,0x00000000}},	//   _tsay, _најн, _तिची_, --, 
   {{0x7dcd864d,0x764d045a,0x52151d91,0x06d70033}},	// [7e30] núsc, _usay, юдат, _থ্রি, 
   {{0x6f090183,0x61ed00a3,0x35f80038,0x27e10098}},	//   _seec, rqal, _اريد_, _činy_, 
   {{0xa5bb0855,0xd4980a10,0x3f9d0532,0x9ee91897}},	//   prób, _гря_, tiwu_, لفضل_, 
   {{0xd7c90c14,0x657700e5,0xe7c9176c,0x69ac00a2}},	//   रतिच, _hoxh, रतिप, ीकडी, 
   {{0x6db50d3b,0x7dcd03a1,0xfce503a1,0x61ed0248}},	//   ойду, júsc, ооло, qqal, 
   {{0xed59864e,0xdb02010d,0xabf51988,0x00000000}},	//   рок_, _skoð, очищ, --, 
   {{0xe7c935ff,0xc05801fc,0xd7c900a2,0x3945864f}},	//   रताप, _літ_, रताच, vels_, 
   {{0xa2d01ff6,0xdd990118,0x1ee724a1,0x39458650}},	//   _दरम्, _kwňk_, _طوطی_, wels_, 
   {{0x69258651,0xb4fb009a,0x39450c04,0xdb0003dd}},	//   омпа, ्राय_, tels_, tomò, 
   {{0xe8df00f7,0x3cf100ad,0x39790080,0x00000000}},	//   _giới_, _üzv_, рсию_, --, 
   {{0xa3d91516,0x39458652,0x0cab0093,0xa6db04f4}},	//   ाषा_, rels_, _стаи_, seðl, 
   {{0x39458653,0x65650108,0x00000000,0x00000000}},	//   sels_, _anhh, --, --, 
   {{0x39458654,0x70c6143e,0x05560093,0x657703c5}},	//   pels_, _वर्ल, отвя, _boxh, 
   {{0x7649009e,0x4cd00033,0xa5073109,0x15ba1ab1}},	//   çeya, _স্টু, жера_, рымы_, 
   {{0xe73200eb,0xa5bb0035,0xc7b90242,0x776400c3}},	//   _قصة_, wróc, srđa_, _tnix, 
   {{0xd2521766,0x66020034,0x59b30299,0x65bb009e}},	//   ونز_, _çoko, ुतकर, sîhp, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [7e40] --, --, --, --, 
   {{0x60260451,0x65770034,0x10a641ae,0xb143002e}},	//   жджа, _goxh, оизн, мнул, 
   {{0xa2e68655,0xd46a00d9,0x25e30262,0xf21e00ab}},	//   _монд, _тине_, _टूटी_, यूज़_, 
   {{0xddc9006a,0x7dcd060f,0x645e00fd,0xd00f08b6}},	//   _treś, yúsc, _irpi, ئلن_, 
   {{0x645e00ca,0x88cf0086,0x63a900ca,0xa3e337ff}},	//   _hrpi, রশিক, čent, _फूट_, 
   {{0x7c6604bc,0xdd90149e,0x00000000,0x00000000}},	//   قابل, عوث_, --, --, 
   {{0x0b8a8656,0x00000000,0x00000000,0x00000000}},	//   исии_, --, --, --, 
   {{0x3860053d,0x224200e2,0x261b0299,0xfb890259}},	//   _čir_, _kpkk_, _बिली_, йрық_, 
   {{0x6f027607,0xbea301bb,0xada600b9,0x22420065}},	//   mboc, _жатк, _даал, _jpkk_, 
   {{0x29180218,0x22420065,0x2fc68657,0x290a8658}},	//   ûra_, _mpkk_, llog_, úba_, 
   {{0x6c4a006b,0x2fc68659,0x81570070,0x6577008a}},	//   _خلاف_, olog_, קסטע_, _roxh, 
   {{0x6f02865a,0x9a860f5a,0xa3c900b0,0x69ca0035}},	//   nboc, _мулл, _लीं_, _सीरी, 
   {{0x8bd70137,0xdb0901c4,0x9f4d0380,0x6e220104}},	//   _וואו_, ließ, _ließ_, nrob, 
   {{0x26c500e0,0x644000b3,0x94ab00fd,0x281400d7}},	//   ālo_, ămin, атба_, _فوتس, 
   {{0x7dcd0038,0xe8d900e7,0xdb0901c4,0x645e0372}},	//   núsa, _đệ_, nieß, _crpi, 
   {{0x27fe00f4,0x645e0242,0x8c1b00d1,0x2fc60d07}},	//   mptn_, _drpi, יולי, jlog_, 
   {{0x51f8058b,0xe1f006bc,0x6e220097,0xdb090380}},	// [7e50] жную_, نسل_, jrob, hieß, 
   {{0x6e221c76,0x5693004e,0x94d500d9,0x7d1a0027}},	//   drob, _нақт, _нопц, _ndts, 
   {{0x4427055a,0x6616026e,0xf48500d4,0x6e22865b}},	//   _ên_, _zvyk, _رادی, erob, 
   {{0x63a90076,0x4fe846d9,0xb4d7055d,0x00000000}},	//   čens, імін_, िधी_, --, 
   {{0x8d65170f,0x6e22865c,0x6cf8009a,0x51872521}},	//   звле, grob, ुरंग_, _дува, 
   {{0xf2d2035c,0xfe1c0e7d,0x00000000,0x00000000}},	//   _נעם_, _निरस_, --, --, 
   {{0x2fc66f94,0x1fa708ce,0x60181ca5,0x30a41b11}},	//   blog_, _драг, _моря_, _жртв, 
   {{0xdb00010c,0x997c0243,0x31780118,0x00000000}},	//   limê, _jāņu_, _zorz_, --, 
   {{0x6f1b08e3,0x00000000,0x00000000,0x00000000}},	//   _iduc, --, --, --, 
   {{0xacf4015f,0x00000000,0x00000000,0x00000000}},	//   _قسمت, --, --, --, 
   {{0x7c5900d4,0xc8d5072d,0xe8f600d9,0x00000000}},	//   _دلار_, डेंट, ялэ_, --, 
   {{0xe73a7287,0x7b64696d,0xc5f802f1,0xaadf176c}},	//   щем_, _отче, оғи_, _पृथक, 
   {{0x98770352,0x00000000,0x00000000,0x00000000}},	//   _išče_, --, --, --, 
   {{0x386a0084,0x645e00ca,0x00000000,0x00000000}},	//   óirí_, _prpi, --, --, 
   {{0x26183e41,0x6e220083,0x2fc6865d,0x00000000}},	//   _भटकी_, zrob, ylog_, --, 
   {{0x6d86008c,0xe29a0e65,0xfbcb017d,0x6e22040c}},	//   _aðal, баб_, ातिम, yrob, 
   {{0xe8d900f7,0x46a601d8,0x52760165,0x00000000}},	// [7e60] _độ_, _хапв, чуву, --, 
   {{0x6f1b002e,0x645e5191,0x7dc403a1,0x9f470218}},	//   _aduc, _trpi, pòsi, ênî_, 
   {{0xdefa865e,0x757b00a7,0x645e0080,0xfbcb102c}},	//   был_, _הטיפ, _urpi, ाताम, 
   {{0x91e65487,0x442a007e,0x444400d1,0x98be00b3}},	//   _номе, mub_, _ip_, letă_, 
   {{0x2fc601a9,0x44380964,0x645c865f,0x44447b2c}},	//   rlog_, ltr_, lvri, _hp_, 
   {{0x6f1b7b58,0x6f022dab,0x6e228660,0xdee301a2}},	//   _educ, sboc, rrob, хочи, 
   {{0x44388661,0x442a06d0,0x645c8662,0x00000000}},	//   ntr_, nub_, nvri, --, 
   {{0x444400a7,0x7dcd3435,0x76440118,0x00000000}},	//   _mp_, rúsa, _opiy, --, 
   {{0x442a8663,0xaa58354b,0x3f86014b,0xa5bb24bd}},	//   hub_, ципу_, mkou_, drón, 
   {{0x44448664,0x442a61cb,0x57f481d5,0x3f860376}},	//   _op_, kub_, мпот, lkou_, 
   {{0x444400ab,0xdd8f00eb,0x442a8665,0x6d4a0053}},	//   _np_, _حول_, jub_, mefa, 
   {{0x3f86158b,0x6d4a8666,0x442a007e,0x7e600242}},	//   nkou_, lefa, dub_, _krmp, 
   {{0x44440cbf,0xf1be0c59,0xab270c8b,0x41be1f9a}},	//   _ap_, ्तान, _хоча_, ्तास, 
   {{0x6d4a8667,0xcaa500eb,0x44380679,0x3f860098}},	//   nefa, _تصمي, ftr_, hkou_, 
   {{0xd7fa03a1,0x69da01c4,0x442a8668,0xa5bb0183}},	//   _уул_, mmte, gub_, brón, 
   {{0x69c88669,0x6d4a00a9,0xa5bb0b0f,0x290e0054}},	//   llde, hefa, crón, _hefa_, 
   {{0x290e7fc4,0x201c0f23,0x6d4a866a,0x443800f8}},	// [7e70] _kefa_, švil_, kefa, atr_, 
   {{0x290e28fe,0x442a00c2,0x645c0036,0x6d4a6b56}},	//   _jefa_, bub_, bvri, jefa, 
   {{0x6d4a866b,0x7bc2866c,0x69da12b6,0xa5bb2c26}},	//   defa, _okou, imte, któz, 
   {{0x2d8c02ba,0x64450226,0x290e0149,0x6d5812b6}},	//   _alde_, _iphi, _lefa_, edva, 
   {{0x059600c5,0xddc9002e,0x44440fb5,0xd2440a10}},	//   _رایگ, _creş, _zp_, _пэри, 
   {{0x290e05f0,0x4444866d,0x7bc2866e,0x6d4a866f}},	//   _nefa_, _yp_, _akou, gefa, 
   {{0xeb998670,0xfd1036a7,0x44447b2c,0x3f860098}},	//   жий_, اجه_, _xp_, bkou_, 
   {{0x3f86063b,0x69c88671,0x2d8c01f0,0x64453a83}},	//   ckou_, elde, _elde_, _mphi, 
   {{0x63ad8672,0x6d4a09a8,0x290e0183,0x8e7704bc}},	//   inan, befa, _befa_, _عارض, 
   {{0x64458673,0xdb00008c,0x442a8674,0x88854854}},	//   _ophi, rnmá, yub_, длож, 
   {{0x8af9048a,0x6d41022b,0x61e7002e,0x63ad0be0}},	//   _днес_, _ibla, _mijl, knan, 
   {{0x4444047b,0x69c88675,0xb6a602f1,0x63ad47f8}},	//   _rp_, alde, димл, jnan, 
   {{0x2bb800eb,0xa5bb334c,0x63ad8676,0x644560b8}},	//   _عامة_, rrón, dnan, _aphi, 
   {{0x7bc90518,0x442a8677,0x7bc2031e,0x290e008c}},	//   lleu, tub_, _zkou, _gefa_, 
   {{0x290500d3,0xf8d1456f,0x04b5092d,0x61fd00e0}},	//   mbla_, _हरिय, естя, _atsl, 
   {{0x442a8678,0x6d58090b,0x7bdb00c8,0x645c12b6}},	//   rub_, zdva, nmuu, rvri, 
   {{0x44388679,0x442a867a,0x61e7012e,0x61ef0097}},	// [7e80] str_, sub_, _bijl, _cucl, 
   {{0x4444867b,0xf8d1072f,0x61ef867c,0x290e0042}},	//   _tp_, _हराय, _ducl, _xefa_, 
   {{0x4444867d,0x3f8d026a,0x3f86026e,0xb4ea07d5}},	//   _up_, _bleu_, tkou_, यशी_, 
   {{0x6d41867e,0xddc9002e,0x6d4a867f,0xe1ff007a}},	//   _abla, _preş, wefa, _bród_, 
   {{0x6d4a8680,0x63a41066,0x3f86014b,0x69c88681}},	//   tefa, miin, rkou_, ylde, 
   {{0xf987040f,0x7bc20876,0x3f868682,0x63a48683}},	//   _شب_, _skou, skou_, liin, 
   {{0x7bc90156,0x6d582a73,0x290e00a9,0xdb008684}},	//   fleu, rdva, _refa_, limé, 
   {{0x995b078a,0x290e8685,0x6d4100a1,0xb50a2b48}},	//   _pêş_, _sefa_, _ebla, वरुप_, 
   {{0x6d4a1e5e,0x7c3801c8,0xa5bb010e,0x094a1782}},	//   pefa, stvr, rtóz, очни_, 
   {{0x63ad5d92,0x6d4100a1,0x63a48399,0x98a50028}},	//   znan, _gbla, hiin, gelį_, 
   {{0x69c80750,0x63ad8686,0x69da8687,0x9f448688}},	//   rlde, ynan, rmte, _aimé_, 
   {{0x7bc94197,0x63a48689,0x998d00ca,0x29c2003e}},	//   cleu, jiin, rteš_, gðar_, 
   {{0x63a42aef,0x63ad5dea,0x6445868a,0xb50a0239}},	//   diin, vnan, _sphi, वरूप_, 
   {{0x63ad868b,0x27fc0108,0x7bc003c4,0xdb000175}},	//   wnan, _ttvn_, lomu, dimé, 
   {{0x63ad868c,0x63a400d9,0x69cb0035,0xd37b4f57}},	//   tnan, fiin, हतरी, оча_, 
   {{0x63a4868d,0xb4af00a2,0x63ad005f,0x394c0219}},	//   giin, _कशी_, unan, leds_, 
   {{0xdce800bc,0x61e701c8,0xb60400bc,0xc2993740}},	// [7e90] _podě, _pijl, tvář, чках_, 
   {{0xef19006a,0x63ad868e,0x6493012d,0x660d2720}},	//   _może_, snan, ežiū, _iwak, 
   {{0x31c41134,0xfe7000c5,0x27e91415,0x63a40298}},	//   тств, یده_, _kian_, biin, 
   {{0x660d380d,0x27e9023e,0x6e2b0495,0x7bc0868f}},	//   _kwak, _jian_, tugb, jomu, 
   {{0x27e900eb,0xdb0000eb,0x61e7023b,0x61fd14cf}},	//   _mian_, cimé, _tijl, _utsl, 
   {{0x660d2721,0x27e9005f,0xc10500eb,0x6e2b8690}},	//   _mwak, _lian_, _سوري, rugb, 
   {{0x506700cf,0x660d0298,0x7bc08691,0x6fca253f}},	//   _ўтга, _lwak, fomu, kých, 
   {{0x7bc90696,0xa5bb001d,0xf09200d1,0x7bdb6f55}},	//   uleu, dróm, _ענן_, umuu, 
   {{0x7bc98692,0xa5bb24a9,0x7bdb00c8,0x6fca253f}},	//   rleu, tról, rmuu, dých, 
   {{0x6d410571,0x2dd408a7,0x63a43477,0x7bc98693}},	//   _ubla, _ажур, ziin, sleu, 
   {{0x63a48694,0x27e98695,0xf8b10a5a,0x186926f1}},	//   yiin, _bian_, دکش_, чани_, 
   {{0x8bd901bb,0x1cb802b4,0x27e98696,0x660d23cb}},	//   _эмес_, _غالب_, _cian_, _bwak, 
   {{0x29c2010d,0x27e98697,0x3dc50065,0xfa690cdf}},	//   rðar_, _dian_, _kklw_, _халк_, 
   {{0xdb0002ae,0x201c8698,0x2bb20083,0x6b898699}},	//   anmä, ávik_, ुकथा, lkeg, 
   {{0xf8c603c1,0x63a4869a,0x0443011f,0x27e9869b}},	//   _रुपय, tiin, лерн, _fian_, 
   {{0xe1fa0623,0x27e900f7,0x69c1869c,0x6b89042a}},	//   зга_, _gian_, lole, nkeg, 
   {{0x63a4869d,0xd24f0019,0x660d01a3,0xe29a019c}},	// [7ea0] riin, ینہ_, _gwak, чаа_, 
   {{0x63bb030d,0x69c1869e,0x63a4869f,0x71a32b3b}},	//   čuna, nole, siin, гауз, 
   {{0x64a686a0,0x7bc086a1,0x660d01c8,0xb5fb001d}},	//   _чана, yomu, _zwak, rváe, 
   {{0x69c186a2,0xd00f0629,0x657e019b,0x00000000}},	//   hole, صله_, _hoph, --, 
   {{0x69c15bff,0x6da607f9,0x6493012d,0x59b1031e}},	//   kole, нида, ržiū, ीकार, 
   {{0x6fae00b0,0x6b8900b4,0x00000000,0x00000000}},	//   ंचहू, ekeg, --, --, 
   {{0x961d072f,0x3cf000b0,0x657e86a3,0x00000000}},	//   _भट्ट_, _चलीं_, _moph, --, 
   {{0x657e019b,0xa3d00484,0x00000000,0x00000000}},	//   _loph, षति_, --, --, 
   {{0x69c186a4,0x7fd700c7,0x79a6004f,0x6fca014b}},	//   fole, _טולס_, ерне, vých, 
   {{0x69c186a5,0x27e986a6,0x7bc00a1a,0x25f407d5}},	//   gole, _sian_, somu, ंदनी_, 
   {{0xa3d00509,0x394c86a7,0x660d0876,0x27e986a8}},	//   षता_, reds_, _swak, _pian_, 
   {{0x6d5a86a9,0x27e986aa,0xb90705e5,0x60da039f}},	//   _hata, _qian_, _मृ_, _útmu, 
   {{0x8f9b0cec,0xd6d886ab,0x657e0194,0x3cfd049f}},	//   ליטי, етр_, _boph, रुवे_, 
   {{0x69c186ac,0x6d5a1b6b,0xca57035c,0x26c90053}},	//   cole, _jata, _ניוז_, _vyao_, 
   {{0x6d5a86ad,0x27e986ae,0x80a000a2,0x69d801e8}},	//   _mata, _tian_, _गेले, _ihve, 
   {{0x6d5a86af,0x660d0c25,0x00000000,0x00000000}},	//   _lata, _twak, --, --, 
   {{0x660d039d,0xe1f30625,0x657e86b0,0x776d01cf}},	// [7eb0] _uwak, اسر_, _foph, _inax, 
   {{0x6d5a86b1,0x9f5800e1,0x777f040c,0x00000000}},	//   _nata, _dtrí_, _hoqx, --, 
   {{0xf4840664,0x2bac02d9,0xf52400d9,0xfbb202d9}},	//   _буян, pěch_, _сфын, ुकाम, 
   {{0x6d5a86b2,0x69c117e5,0xda21007e,0x441a07e4}},	//   _aata, zole, _मिलत_, _קורס, 
   {{0xed59665f,0x69c186b3,0x59d0109f,0x657e044d}},	//   дол_, yole, हतार, _yoph, 
   {{0x6d5a86b4,0x69c127c4,0x00000000,0x00000000}},	//   _cata, xole, --, --, 
   {{0x6d5a86b5,0x69c108fc,0xe73f00b0,0x216486b6}},	//   _data, vole, lnõu_, _стяг, 
   {{0x69c186b7,0x6d5a6798,0x69d814c0,0x0fe303a1}},	//   wole, _eata, _ahve, _сөзү, 
   {{0x69c186b8,0xe9d90e8a,0x6d5a357d,0x6b8901e8}},	//   tole, мки_, _fata, rkeg, 
   {{0x6d5a86b9,0xe8f630f4,0x6b8986ba,0x98be0035}},	//   _gata, кль_, skeg, letę_, 
   {{0xe72a86bb,0x69c186bc,0xd82501d8,0x00000000}},	//   монд_, role, ъдни, --, 
   {{0xf0ee00ab,0x7dcd0228,0x69c186bd,0x657e86be}},	//   _जल्द_, kúsk, sole, _soph, 
   {{0x69c186bf,0x6d5a40d6,0x98b1091f,0x657e044d}},	//   pole, _yata, ızı_, _poph, 
   {{0xa9a5040c,0x6d5a86c0,0x657e0226,0x443a0165}},	//   _шилд, _xata, _qoph, _pqp_, 
   {{0x64a34603,0x9f4a0369,0xf99200d1,0x6fd80068}},	//   аара, _subí_, _דרג_, líce, 
   {{0x7afb86c1,0x69d8024a,0x260f009a,0x657e044d}},	//   ncut, _zhve, तीही_, _woph, 
   {{0xcb120137,0xf506048a,0xb5fb014b,0x657e86c2}},	// [7ec0] ילן_, _изпо, rvác, _toph, 
   {{0x3cf00035,0x61be1f22,0x442e02be,0xc486035b}},	//   _चलें_, ्तेष, _ªf_, _алок, 
   {{0x6d5a86c3,0xafe602f1,0x7afb011c,0x98bc0028}},	//   _rata, вожл, kcut, _davė_, 
   {{0x4ea602f1,0x34b700d1,0x637800f6,0x00000000}},	//   крла, _יפים_, _nínx, --, 
   {{0xa3bf0262,0x753b6797,0x8e3701c9,0x261b00c9}},	//   इवर_, đuzv, نسور_, _बिछी_, 
   {{0x6d5a86c4,0x3cfd031e,0xe0462105,0xa2af009a}},	//   _qata, रुले_, _инги, ंपर्, 
   {{0x6d5a86c5,0x71a386c6,0x21a386c7,0x7f5b20e5}},	//   _vata, _тарз, _тирм, _fauq, 
   {{0x6d5a86c8,0x7c8347fb,0x5a3428ec,0x26cc0095}},	//   _wata, руше, гнит, ədov_, 
   {{0x6d5a86c9,0xa92a004e,0x4e0b0035,0x00000000}},	//   _tata, міне_, सीआई_, --, 
   {{0xce3702a1,0x0e9b00a7,0x49743ef0,0x7afb08b2}},	//   _באמת_, _חשמל, улос, acut, 
   {{0x7d1886ca,0x7e62512c,0x00000000,0x00000000}},	//   mavs, lvop, --, --, 
   {{0x7f420126,0x7d1886cb,0xab833197,0x7ac61dbd}},	//   nfoq, lavs, _вушк, _исле, 
   {{0x95cb03b7,0x07a400e4,0xc6a40176,0xdcfa0237}},	//   дува_, раўн, арри, _lotč, 
   {{0x7d1886cc,0xc1be00a5,0x00000000,0x00000000}},	//   navs, ्तोग, --, --, 
   {{0x499200d4,0x4185004e,0x6fc2009a,0x2a660098}},	//   _میکر, қтағ, षकां, _hrob_, 
   {{0x63bb06e0,0x7d180c85,0x395e86cd,0x395c4462}},	//   čuno, havs, ldts_, _havs_, 
   {{0x25f400a2,0x7d180588,0x7f5b6b3a,0x61d90810}},	// [7ed0] ंदणी_, kavs, _rauq, емая_, 
   {{0xa2a700a2,0xdb00014b,0xe4a71c1a,0x661d1341}},	//   _घेण्, dimí, _армо, mssk, 
   {{0x7d1800d2,0x395c86ce,0xd49800d9,0x00000000}},	//   davs, _mavs_, _аря_, --, 
   {{0x443103c0,0x7dcd1e0d,0x9f4a00f6,0xff071134}},	//   muz_, músi, _cubà_, тяжн, 
   {{0x2a66006d,0x661d098d,0x7afb027e,0x637800b9}},	//   _nrob_, nssk, vcut, _rínx, 
   {{0xaac6119f,0xbbcb0527,0x518486cf,0x3cfe02aa}},	//   _लड़क, ात्क, _куса, _cftv_, 
   {{0x44310749,0x6cc500d3,0x00000000,0x00000000}},	//   nuz_, ыйка, --, --, 
   {{0x386986d0,0x661d4b22,0x00000000,0x00000000}},	//   _čar_, kssk, --, --, 
   {{0x99153e23,0x7dcd003e,0xe8d900e7,0x7d180304}},	//   льні, húsi, _đố_, bavs, 
   {{0x7afb86d1,0x661d0310,0x443186d2,0x395c607a}},	//   scut, dssk, kuz_, _cavs_, 
   {{0xe73a86d3,0x5fb72df7,0x3cf0026e,0x37e603a1}},	//   нен_, _अदाल, ňové_, лоог, 
   {{0x443186d4,0x2a667607,0x39890183,0x6f190035}},	//   duz_, _frob_, _músi_, nawc, 
   {{0xd945065b,0x661d27e3,0x395c86d5,0xe81f02e6}},	//   _бели, gssk, _favs_, _मटका_, 
   {{0x2bcb0586,0x442a0a1a,0x443186d6,0x395c0ee2}},	//   ातका, trb_, fuz_, _gavs_, 
   {{0xe2970cdf,0x443101ca,0x280202d9,0x6fb30035}},	//   ҳат_, guz_, ěrné_, ंचां, 
   {{0xe7bb0964,0xf3e686d7,0x2b5f86d8,0x386700b9}},	//   _उदयप, ужбо, nduc_, _irnr_, 
   {{0xe29786d9,0x6f19006a,0xb5fb0019,0x67240304}},	// [7ee0] гат_, dawc, lván, _idij, 
   {{0x443186da,0x660486db,0xdcfa0b91,0x42c700d3}},	//   buz_, _itik, _potč, угун_, 
   {{0x03a60013,0x00000000,0x00000000,0x00000000}},	//   _бино, --, --, --, 
   {{0x6604109e,0xdb00007a,0x7c3c00c2,0x3a3f0241}},	//   _ktik, timí, _ärri, ktup_, 
   {{0x6d4300e2,0x52750161,0x7d1886dc,0xde5803bd}},	//   ffna, _куру, tavs, талі_, 
   {{0x66040548,0xdeb200f0,0x21760229,0x9f580534}},	//   _mtik, _құлы, _сумр, _dtrá_, 
   {{0x6724027c,0x4c9429e7,0xac9486dd,0x0b8a03a1}},	//   _odij, рийс, райш, еспи_, 
   {{0xa2db4437,0x224086de,0x6f0b00ef,0x61ee0daa}},	//   पेक्, otik_, cbgc, _hibl, 
   {{0x224086df,0x61ee7925,0x38670183,0x443186e0}},	//   ntik_, _kibl, _arnr_, zuz_, 
   {{0x6e930084,0x2fc66a5c,0x224086e1,0x325700d1}},	//   _الكا, loog_, itik_, נסים_, 
   {{0x660486e2,0xeaaf11b7,0x672402c7,0x58d486e3}},	//   _atik, قعی_, _bdij, ронт, 
   {{0x661d1bbd,0x162000a5,0x443118c6,0x61ee86e4}},	//   tssk, _बिखर_, vuz_, _libl, 
   {{0x395c00e0,0xc6a71b85,0x61ee007a,0x2a66020b}},	//   _tavs_, урни, _oibl, _urob_, 
   {{0x6b821e95,0x2fc60536,0xbf100081,0x443102ba}},	//   _hoog, hoog_, ारुन_, tuz_, 
   {{0x660486e5,0xdb0902aa,0x68fb00d1,0x6f0086e6}},	//   _etik, lneá, _אלוה, _ofmc, 
   {{0x443186e7,0x6b8206a6,0x12e7005e,0x61ee6416}},	//   ruz_, _joog, гізг, _aibl, 
   {{0x6d4886e8,0x248d00e0,0x2240012b,0x443186e9}},	// [7ef0] _obda, ņem_, gtik_, suz_, 
   {{0x6b8214b9,0x61ee86ea,0x764d86eb,0x6f190035}},	//   _loog, _cibl, _ipay, wawc, 
   {{0x61ee86ec,0x224086ed,0xbf101446,0x846700fd}},	//   _dibl, atik_, ारंभ_, _съпе, 
   {{0x6d4886ee,0x6b823f0a,0x547a008d,0x2eb0007e}},	//   _abda, _noog, _סטרו, जपूत, 
   {{0xe6d307d5,0xb5fb026e,0x2287322a,0x61ee00b9}},	//   _सरोज, zván, _сунг, _fibl, 
   {{0x32093f71,0x61ee86ef,0x764d1f49,0x6d430380}},	//   mpay_, _gibl, _mpay, ufna, 
   {{0x6b8286f0,0x320986f1,0xf538008d,0xfaf100eb}},	//   _boog, lpay_, אטור_, يثة_, 
   {{0x3b850623,0x44213c13,0xba258518,0x00000000}},	//   рлиг, _mvh_, адик, --, 
   {{0x499902fb,0x32090300,0x7f8400eb,0x6b820126}},	//   втня_, npay_, _القن, _doog, 
   {{0xa9a5005b,0x7e6986f2,0xb5fb0019,0x4ea40104}},	//   риод, _irep, tván, _урса, 
   {{0xe8d900f7,0x77e80e65,0x764d4d20,0x224001f1}},	//   _đồ_, ллоҳ_, _apay, ztik_, 
   {{0x7e6986f3,0x6b820139,0xfc300fdc,0xb5fb039f}},	//   _krep, _goog, _رحم_, rván, 
   {{0x6fd805b9,0xcaf4006b,0x7bcb0226,0x25aa029a}},	//   níca, _اسمب, _ikgu, ندسي_, 
   {{0xceb20052,0x320903c6,0x7e69011c,0x6b8247f8}},	//   קים_, dpay_, _mrep, _zoog, 
   {{0x61ee003a,0x443e026a,0x98a21d6b,0x6b8202a2}},	//   _ribl, ît_, _мише, _yoog, 
   {{0x6b820354,0x7e690183,0x25aa0156,0x2fc60201}},	//   _xoog, _orep, sibl_, xoog_, 
   {{0x57250084,0xdb00247e,0x61ee0cd7,0x86b3004e}},	// [7f00] _طريق, nimá, _pibl, _дәрі, 
   {{0x6fd826ca,0x224001f1,0xa06a2373,0x645a003e}},	//   díca, rtik_, каза_, ætis, 
   {{0xb5fb026e,0xef1a03b7,0x7e6986f4,0x442149b8}},	//   hvál, вме_, _arep, _gvh_, 
   {{0x7e2a05c6,0x6fd8248c,0x9e664064,0x7f46004f}},	//   віка_, fíca, ивед, редж, 
   {{0x5de65854,0x764d0065,0xee3705f3,0x2fc686f5}},	//   ажда, _xpay, инц_, roog_, 
   {{0x7e6986f6,0xe0da3346,0xac2686f7,0x2fc686f8}},	//   _drep, _авг_, афик, soog_, 
   {{0x20b9030f,0xdb09014b,0xe6d30fc0,0x2fc6000b}},	//   _быть_, šnýc, _सर्ज, poog_, 
   {{0x7ac60229,0x7b661ab1,0x00000000,0x00000000}},	//   испе, ртке, --, --, 
   {{0x7e692be3,0xcb671eac,0xb5fb010e,0x79838330}},	//   _grep, рање_, gvál, _bonw, 
   {{0x798300f8,0xdb000054,0xf96a86f9,0xada30259}},	//   _conw, simà, трий_, _даул, 
   {{0x3f8438b9,0x6b8265f1,0xdddb01dd,0xd0f700d1}},	//   _komu_, _toog, _bruņ, ימית_, 
   {{0x320907fc,0x4ae600a3,0x6fb80299,0x00000000}},	//   ypay_, _кўла, ेकिं, --, 
   {{0xdb000183,0x798303e2,0x00000000,0x00000000}},	//   cimá, _fonw, --, --, 
   {{0xd5b82e8d,0x3f8486fa,0x680101dd,0x798300f3}},	//   асс_, _lomu_, _sēde, _gonw, 
   {{0xd5b80093,0x5fb80662,0xa4d501fc,0x93a700a3}},	//   рся_, ेकाल, сові, ашад, 
   {{0x987b00d1,0x798302b0,0xdce101dd,0xddce0032}},	//   _ירוק, _zonw, _solī, ždňa, 
   {{0x764d64b0,0x680101dd,0xb7dc0486,0xe2f80259}},	// [7f10] _upay, _vēde, _בקהי, реуі_, 
   {{0x69c886fb,0x69c70352,0x7e6917cd,0xf6500290}},	//   node, čjeg, _rrep, _آئي_, 
   {{0x320903a0,0xd3710038,0x3f840548,0xa158294a}},	//   spay_, _فهد_, _bomu_, раху_, 
   {{0x7e690139,0xdb09012e,0xe4560070,0xff53010e}},	//   _prep, rieë, _פירט_, تخط_, 
   {{0xd37a0137,0x6db2006a,0xdb000076,0x63ad86fc}},	//   _ערשט, kład, ximá, mian, 
   {{0x63ad86fd,0x987707c7,0xdb0910f3,0x69c80126}},	//   lian, _ušće_, pieë, jode, 
   {{0x40950084,0x7dcd043f,0xe0e50086,0x3f8406f2}},	//   _الأر, dúst, _প্রভ, _fomu_, 
   {{0x1fa44f57,0x63ad86fe,0xa3d737c0,0xdb00200a}},	//   _друг, nian, िति_, timá, 
   {{0x69c86912,0x7e6901d6,0x00000000,0x00000000}},	//   fode, _urep, --, --, 
   {{0x63ad86ff,0x389706d0,0x69c88700,0x7dcd1890}},	//   hian, lərə_, gode, gúst, 
   {{0xa3d71230,0x63ad8701,0x2d851993,0x6ca7522e}},	//   िता_, kian, _iole_, _траж, 
   {{0x63ad8702,0x25f40c46,0x2d858703,0xe9d800f6}},	//   jian, ंदली_, _hole_, лкө_, 
   {{0x2d858704,0x69c88705,0x63ad8706,0xe8d9001b}},	//   _kole_, bode, dian, _đổ_, 
   {{0xb8dd100b,0x799a60e4,0x7dcd001d,0x2d858707}},	//   _আর_, chtw, cúst, _jole_, 
   {{0x63ad8708,0x232a49dd,0xdcfa00d9,0xe5a30a66}},	//   fian, лови_, _hotă, чири, 
   {{0x73998709,0x63ad870a,0x969632af,0x2d85045a}},	//   атус_, gian, _грош, _lole_, 
   {{0x3126870b,0x27e00574,0x63b60028,0x00000000}},	// [7f20] йдаг, _ihin_, rnyn, --, 
   {{0x59c71561,0x2d850df4,0x3f840243,0x4223004f}},	//   रकिर, _nole_, _somu_, ядув, 
   {{0xaace483e,0x442e0679,0x389700ad,0x7dcd01d5}},	//   _हुनक, _íf_, fərə_, húss, 
   {{0x2fdf870c,0xa5bb02be,0x7bc96c3b,0x61e54aec}},	//   _chug_, brós, joeu, amhl, 
   {{0x59c71276,0xdfcf00b1,0x2fdf011c,0x27e001f5}},	//   रकार, ريه_, _dhug_, _mhin_, 
   {{0x6b9b7859,0x3f84052b,0x2d85015c,0x00000000}},	//   ehug, _womu_, _cole_, --, 
   {{0x3f84063b,0x69c821de,0xef1901f2,0x389700ad}},	//   _tomu_, vode, _feż_, bərə_, 
   {{0x6fb603b1,0x6b9b13cd,0x09d010b0,0x6fd80183}},	//   _امرا, ghug, हत्य, míco, 
   {{0xb99810aa,0x26d202a5,0x2d85870d,0x39ea870e}},	//   ивих_, _nyyo_, _fole_, льон_, 
   {{0x2918870f,0x63ad8710,0x645e8711,0xdd9200b8}},	//   úra_, zian, _ospi, _عوض_, 
   {{0x69c88712,0x26c0016a,0x6fd8114a,0xd7f40504}},	//   rode, _axio_, níco, юзны, 
   {{0x7d1a8713,0x6b9b8714,0x69c88715,0x7bc98716}},	//   _hets, chug, sode, coeu, 
   {{0x63ad8717,0x7d1a8718,0x98b801f0,0x6e2217d3}},	//   vian, _kets, ırı_, nsob, 
   {{0x63ad00ab,0xb60600ef,0xe89415a7,0x389700ad}},	//   wian, dašč, _маль, zərə_, 
   {{0x7d1a8719,0x63ad871a,0x291e871b,0x6f02016a}},	//   _mets, tian, mata_, kcoc, 
   {{0x7d1a0194,0x5215871c,0x27e00387,0xdb09019c}},	//   _lets, ждат, _ghin_, rneç, 
   {{0x63ad34ac,0x7d1a0226,0xdb0000c8,0x6f02871d}},	// [7f30] rian, _oets, mimä, dcoc, 
   {{0x63ad871e,0x7d1a871f,0x5693127a,0x2fdf02f1}},	//   sian, _nets, _мақт, _shug_, 
   {{0x63ad8720,0x661600ab,0x98a70384,0x2d858721}},	//   pian, _zwyk, _yanı_, _role_, 
   {{0xdcee00bc,0x55550019,0xdb00033d,0x2d850e8b}},	//   žděn, _اپگر, nimä, _sole_, 
   {{0x7d1a05f0,0x28cf3512,0x15f90ede,0xdce8012d}},	//   _bets, _सुनि, ंदिर_, _kodė, 
   {{0xac098722,0xdb003d00,0x7d1a040b,0x2ea9009a}},	//   анка_, himä, _cets, _कधीत, 
   {{0xef19006a,0x7d1a8723,0x2fdf11a1,0xeae50086}},	//   _też_, _dets, _thug_, _নভেম, 
   {{0x316300ef,0x6f0202a3,0x7d1a01da,0x2cb80098}},	//   _hajz_, ccoc, _eets, _šedý_, 
   {{0x291e8724,0x2d858725,0x7d1a8726,0x7bc98727}},	//   fata_, _tole_, _fets, roeu, 
   {{0x291e8728,0x6b9b0010,0x7d1a8729,0x6f1b872a}},	//   gata_, shug, _gets, _heuc, 
   {{0x27e0865d,0x00000000,0x00000000,0x00000000}},	//   _phin_, --, --, --, 
   {{0xe73a872b,0x443100da,0xa3ae872c,0xa3ab0299}},	//   шем_, drz_, _औषध_, कोम_, 
   {{0x291e872d,0x06cd0086,0x6f1b1484,0xb6a34a04}},	//   bata_, রেসি, _meuc, диял, 
   {{0x291e7960,0x6f1b872e,0x6f02872f,0x240a8730}},	//   cata_, _leuc, zcoc, инги_, 
   {{0xe8d900e7,0x5fc900bc,0xe9b80019,0x6f02199b}},	//   _đỗ_, िकाल, _دنوں_, ycoc, 
   {{0x130a012d,0xaace00a2,0x6f024461,0x6f1b2a6e}},	//   рнай_, _हुडक, xcoc, _neuc, 
   {{0x21ff0218,0x26c00183,0x645e0035,0x42260093}},	// [7f40] _cîh_, _uxio_, _wspi, юдав, 
   {{0xb60616ca,0x6fd804ef,0x776403dd,0xb5fb0098}},	//   rašč, tíco, _haix, dváh, 
   {{0x645e0f30,0x7d1a8731,0x6f1b00a1,0x776401f1}},	//   _uspi, _rets, _beuc, _kaix, 
   {{0x44388732,0x291e8733,0x7d1a0364,0x6e228734}},	//   mur_, zata_, _sets, tsob, 
   {{0x291e8735,0x91e6148b,0x44388736,0x7d1a2bbb}},	//   yata_, _моме, lur_, _pets, 
   {{0x44448737,0x7981006d,0x2007022c,0x6e228738}},	//   _kq_, jjlw, ínic_, rsob, 
   {{0x44388739,0x6f1b873a,0x645c873b,0x7d1a873c}},	//   nur_, _feuc, nwri, _vets, 
   {{0x44440141,0x291e5b48,0x776403a1,0x7d1a3091}},	//   _mq_, wata_, _naix, _wets, 
   {{0x4438873d,0x7d1a873e,0x7c23006d,0x9e6600d4}},	//   hur_, _tets, asnr, _بازن, 
   {{0x4438873f,0x44448740,0x59dd00a5,0x2b918741}},	//   kur_, _oq_, _नीदर, _lách_, 
   {{0x261807cc,0x291e8742,0x6d588743,0x776461a7}},	//   बीसी_, rata_, meva, _baix, 
   {{0x291e8744,0x776461a7,0x645c00f8,0x2b918745}},	//   sata_, _caix, dwri, _nách_, 
   {{0x44388746,0x291e79fe,0x44448747,0x7c38003a}},	//   eur_, pata_, _aq_, luvr, 
   {{0x44388748,0x6d580077,0x95cb8749,0x645c0156}},	//   fur_, neva, рума_, fwri, 
   {{0x4438874a,0x7764874b,0x4425033c,0x2b9100e7}},	//   gur_, _faix, él_, _bách_, 
   {{0x2b9100f7,0x442d1735,0x69a609e5,0x6d58874c}},	//   _cách_, če_, टोरी, heva, 
   {{0xdce800e4,0x291c0097,0x6d58874d,0x2b9100e7}},	// [7f50] _todė, _keva_, keva, _dách_, 
   {{0x4438090a,0xa5bb0068,0x7dcd014b,0x44440034}},	//   bur_, cróp, júsp, _fq_, 
   {{0x6d58874e,0x291c874f,0x6f1b002c,0x155a00d1}},	//   deva, _meva_, _peuc, _הכתב, 
   {{0x291c8750,0x9ee900eb,0x3a260532,0x7c3800ca}},	//   _leva_, مفضل_, _ovop_, duvr, 
   {{0x1d098751,0xa3ab0ed5,0xee381afd,0x64470876}},	//   бели_, कोण_, жні_, ltji, 
   {{0xed5919aa,0x6d58860a,0x291c8752,0x44440231}},	//   сок_, geva, _neva_, _yq_, 
   {{0x6f1b0183,0x44448753,0x64478754,0x61fd05a0}},	//   _teuc, _xq_, ntji, _husl, 
   {{0x2b91001b,0x291c0183,0x212102cd,0x61f58755}},	//   _xách_, _aeva_, lahh_, _hizl, 
   {{0x60d557d5,0x6d582f25,0x44388756,0xdce100c3}},	//   _hyzm, beva, zur_, _kalċ, 
   {{0x291c0012,0x394511c2,0x6d588757,0x397900c8}},	//   _ceva_, чног, ceva, ссию_, 
   {{0x6445006f,0x6d410095,0x7764145a,0x291c8758}},	//   _nqhi, _icla, _paix, _deva_, 
   {{0x44388759,0xf09200c7,0x6565875a,0x6db20035}},	//   vur_, גנט_, _aahh, płac, 
   {{0xa5bb875b,0x443800c5,0x776403a1,0x2b910023}},	//   tróp, wur_, _vaix, _rách_, 
   {{0x4438875c,0x2b910029,0x4444875d,0xa507875e}},	//   tur_, _sách_, _pq_, зера_, 
   {{0x61fd02f2,0x4444875f,0x3e5d06df,0x64590035}},	//   _ausl, _qq_, _lňt_, _ćwic, 
   {{0x44388760,0x61f5002a,0x61fd8761,0x76530218}},	//   rur_, _aizl, _busl, çeyê, 
   {{0x44388762,0x44440cd7,0x61f53ee6,0xe1f78763}},	// [7f60] sur_, _wq_, _bizl, згу_, 
   {{0x44448764,0x320000a3,0x61fd8765,0xaace00c9}},	//   _tq_, rqiy_, _dusl, _हँसक, 
   {{0x4438189e,0x6d588766,0xb4fb00a7,0x2b9100e7}},	//   qur_, veva, _לפיי, _tách_, 
   {{0xd9c70c14,0x6d411eb1,0xa3d705ff,0x200727c7}},	//   रकुट, _acla, ितः_, ínia_, 
   {{0x6d582efa,0xf1bf8767,0xc33302a1,0x656502a2}},	//   teva, _iván_, _אור_, _yahh, 
   {{0x61f5091f,0x6d4a026a,0x6da3383a,0x51552a79}},	//   _gizl, uffa, нича, _отсу, 
   {{0x6d588768,0x6d4a8769,0x6e39012b,0x6fd80032}},	//   reva, rffa, auwb, níck, 
   {{0x291c01bb,0x6d58876a,0xb8860183,0x6d414027}},	//   _seva_, seva, _laíñ, _ecla, 
   {{0xacf60084,0x6d58876b,0x291c23b8,0x8d1a00d4}},	//   _فسات, peva, _peva_, _هزار_, 
   {{0xe7d60086,0xd90d00d4,0x0e631753,0x64470326}},	//   _সংগঠ, لیه_, _якун, ytji, 
   {{0x291c3bb5,0xed5708ba,0x00000000,0x00000000}},	//   _veva_, _хох_, --, --, 
   {{0xd8381ba0,0x48a70b58,0xef19008a,0x6565876c}},	//   ruč_, ятым_, _pożi_, _sahh, 
   {{0x291c00d3,0xb8860068,0xe1ff0108,0xf1cc0083}},	//   _teva_, _baíñ, _trói_, ़कान, 
   {{0x25f41011,0x246700bc,0x69b50259,0x00000000}},	//   ंदगी_, jímá_, _оқыс_, --, 
   {{0x58d30d48,0x38c8009c,0x64470326,0x25de00c9}},	//   _пошт, _باشی_, utji, _गठरी_, 
   {{0xb4bd02f8,0x61fd00e4,0x6447018c,0x61f5095e}},	//   _अशी_, _pusl, rtji, _sizl, 
   {{0x95cb01a2,0x672d694a,0x6fd802d9,0xdd310028}},	// [7f70] _гуна_, _idaj, mích, _lęši, 
   {{0x660d2b31,0x61f5132c,0xe7e1156c,0xd1310038}},	//   _itak, _qizl, _गीता_, ئما_, 
   {{0xf9930137,0xe2f94f00,0x2121016a,0x660d0053}},	//   ערע_, _мені_, rahh_, _htak, 
   {{0x290505b9,0x63bb0abd,0xa5bb0183,0x6d41876d}},	//   zcla_, čuns, isóm, _scla, 
   {{0x8d7413b4,0x7c280611,0x7bc40009,0x926b09f9}},	//   کانا, _avdr, čiul, _урна_, 
   {{0x660d0010,0xddc90035,0x236900ca,0xdce801dd}},	//   _mtak, _speł, ldaj_, _godī, 
   {{0x2249876e,0x1b2100cc,0x2a6f876f,0x1be91186}},	//   ltak_, _যাবে_, _srgb_, одки_, 
   {{0x23698770,0x660d8771,0x2b98026a,0xdfd100eb}},	//   ndaj_, _otak, _déco_, _شيء_, 
   {{0x22498772,0x660d11b2,0xd959012d,0x9dab00fd}},	//   ntak_, _ntak, ошні_, _лъжа_, 
   {{0x2fcf4739,0x672d8773,0xf1bf4994,0x48058774}},	//   logg_, _adaj, ्विन, мпов, 
   {{0xb88603da,0xa3bf1df3,0x23690352,0x06ab0033}},	//   _raíñ, ेवा_, kdaj_, _গুলি, 
   {{0x22498775,0x29052aa3,0x2369006d,0x00000000}},	//   ktak_, scla_, jdaj_, --, 
   {{0xf1bf0773,0x41bf283e,0xe9ce8776,0xd94502a6}},	//   ्वान, ्वास, _ак_, _жели, 
   {{0xe1ff006a,0x22493ed0,0x6b8b00fc,0x660d011c}},	//   _osób_, dtak_, _hogg, _dtak, 
   {{0xb8860068,0x660d01b6,0xd4677ffd,0x6b8b1a77}},	//   _vaíñ, _etak, мире_, _kogg, 
   {{0xb4ae02f8,0x6b8b8777,0xd8d600c7,0x660d007b}},	//   _कधी_, _jogg, _קוקט_, _ftak, 
   {{0x6b8b6c56,0x680802d9,0x6fd823f2,0x07a30240}},	// [7f80] _mogg, _věde, síck, _шаън, 
   {{0x6b8b0c17,0x23660112,0x672d8778,0x6fd84d03}},	//   _logg, žoj_, _zdaj, míci, 
   {{0x65c1005e,0x6fd88779,0x03a602f1,0x757b00a7}},	//   _сұра, líci, _жино, _וטיפ, 
   {{0x6b8b0219,0x9ec6009c,0x00000000,0x00000000}},	//   _nogg, وزشه, --, --, 
   {{0x5e5a0019,0x6da63559,0x6fd8877a,0x7ea6040c}},	//   تجاج_, мида, níci, _kаpi, 
   {{0x6db200ab,0x2056877b,0x6b8b02a5,0x00000000}},	//   ałan, _отбр, _aogg, --, 
   {{0x61430f25,0x798a08b0,0x00000000,0x00000000}},	//   _шера, _rofw, --, --, 
   {{0xc0e30b24,0x200501e5,0x00000000,0x00000000}},	//   _роск, _élia_, --, --, 
   {{0x6b8b0da3,0xf1bf35ee,0x6aad0144,0x00000000}},	//   _dogg, _ovál_, _žafr, --, 
   {{0xc27b0111,0xb33b01f0,0x6fd80228,0xa814538b}},	//   קריי, _ilçe, díci, ндош, 
   {{0x3137864b,0xe8df00f7,0x6b8b877c,0x013700d1}},	//   ונים_, _thời_, _fogg, ורית_, 
   {{0x6b8b877d,0x3f860300,0xb5fb0098,0x2d8c017b}},	//   _gogg, njou_, kvát, _hode_, 
   {{0x4ae20a09,0xaae20aac,0xd90e0274,0x59ab00bc}},	//   _परिव, _परिक, _پیج_, टोहर, 
   {{0x28cf05f6,0xa5bb008c,0xe8df00e7,0x2d8c877e}},	//   _सुवि, msók, _giỏi_, _jode_, 
   {{0x94d4877f,0x2d8c6aca,0xa4d4004f,0x1b210033}},	//   ворц, _mode_, ворі, _যাতে_, 
   {{0x69da8780,0x22498781,0x2d8c8782,0x03c400a3}},	//   llte, ttak_, _lode_, всум, 
   {{0x45d5237f,0xe8df001b,0xdb020165,0xa3ab00c6}},	// [7f90] _поис, _khởi_, _emoç, कोष_, 
   {{0x2249034c,0xdce100ef,0x3ea600e0,0xa3e403c1}},	//   rtak_, _salč, dzot_, _पीठ_, 
   {{0x22498783,0x69da0014,0xdce1203b,0x55760070}},	//   stak_, ilte, _palč, _װערן_, 
   {{0x2d9e8784,0xa3ab2c64,0x69da01c4,0x22498785}},	//   _alte_, कोश_, hlte, ptak_, 
   {{0x1d098786,0xdce18787,0x00000000,0x00000000}},	//   пели_, _valč, --, --, 
   {{0x7bc21d2b,0x2d8c8788,0x6b8b0141,0x6db200ab}},	//   _ajou, _code_, _sogg, słan, 
   {{0x6fd874cd,0x6b8b8789,0x37d60086,0xeb9908c0}},	//   zíci, _pogg, _সংঘর, зий_, 
   {{0xd9c702e6,0x69da878a,0x99d5015f,0x0b4500a3}},	//   रक्ट, elte, کتبا, хнин, 
   {{0x3e350e61,0x2d8c0165,0x7bc21c9f,0xddc9020f}},	//   _سفار, _fode_, _djou, _creţ, 
   {{0x2d8c1341,0x00000000,0x00000000,0x00000000}},	//   _gode_, --, --, --, 
   {{0xf746878b,0x6b8b878c,0x2bcc5582,0x00000000}},	//   нено, _togg, ावशा, --, 
   {{0x6fd84036,0x2bac0083,0x69da878d,0x00000000}},	//   tíci, yści_, alte, --, 
   {{0xf6d5004f,0xddc9107c,0x00000000,0x00000000}},	//   віря, _greţ, --, --, 
   {{0x6fd82768,0xd9456d0d,0x7bdb26ad,0x62800151}},	//   ríci, _чеки, lluu, _àmoi, 
   {{0x64a600e4,0x680802d9,0x80d400bc,0x2edc1f00}},	//   хава, _vědc, _बुढे, _बर्त, 
   {{0xb4e002f8,0x8646004f,0xdce802d9,0xb5fb010e}},	//   _तरी_, _зниж, _andě, gvás, 
   {{0x211a00eb,0x5a0c0070,0x7bdb00c8,0x52aa00fd}},	// [7fa0] كتاب_, ַלאַ, iluu, чвам_, 
   {{0xb5fb29e0,0x4ae200bd,0x00000000,0x00000000}},	//   rvát, _परसव, --, --, 
   {{0xe8df001b,0xd00f009c,0x98a60df4,0x3f9f0548}},	//   _khối_, ملل_, ćiće_, _bluu_, 
   {{0x6726878e,0x6db200ab,0x7ee611e6,0x3f8d00b9}},	//   nakj, ałal, нцле, _coeu_, 
   {{0x2d8c1454,0xaace018b,0xdb0000e5,0x63a4878f}},	//   _pode_, _हुंक, shmë, mhin, 
   {{0x63a48790,0x06cd0033,0x7bc201d2,0x3c5800d9}},	//   lhin, রেকি, _sjou, дикэ_, 
   {{0x8fa60002,0x2d8c10d4,0xc0e38791,0x71d700d1}},	//   _заве, _vode_, _борк, _נולד_, 
   {{0x63a48792,0xddc900d9,0xe1ff0108,0x69c3009e}},	//   nhin, _preţ, _trót_, _ajne, 
   {{0x8fa38793,0x6726016a,0x62840068,0x2d8c02eb}},	//   _сате, dakj, nxio, _tode_, 
   {{0x7a5300eb,0xa2c1031e,0xddc9020f,0x320201a3}},	//   اضيا, लपत्, _vreţ, _muky_, 
   {{0x63a48794,0x320200da,0x41be00c9,0x7bc20237}},	//   khin, _luky_, _एआईस, _tjou, 
   {{0xe8df00e7,0x7c2a27e3,0x00000000,0x00000000}},	//   _chối_, msfr, --, --, 
   {{0xd6db4913,0x63a48795,0x7c2a429a,0x12c40033}},	//   ято_, dhin, lsfr, ্ধুদ, 
   {{0xddc98796,0xa6db003e,0x7793010e,0x63a402a5}},	//   _kreš, ggða, ئیکا, ehin, 
   {{0x6fd83be3,0x395e8797,0xa4d501fc,0xa967122f}},	//   lícu, mets_, тові, _чија_, 
   {{0x395e8798,0xa3ab006a,0x7c33026e,0x998d0242}},	//   lets_, कों_, _údrž, mreš_, 
   {{0x27e9030f,0x44380094,0x2d870035,0x6fd804ef}},	// [7fb0] _ihan_, arr_, yjne_, nícu, 
   {{0x395e8799,0x63a4879a,0xb6bc00d1,0xddc9879b}},	//   nets_, ahin, _מצחי, _oreš, 
   {{0x6fd81056,0x63a4161c,0x55ac00c7,0x31c408bd}},	//   hícu, bhin, _זייַ, уств, 
   {{0x63a4879c,0x2a6600bc,0x7c2a4462,0x395e879d}},	//   chin, _osob_, dsfr, hets_, 
   {{0x12e4004e,0x395e0f96,0x8e08004f,0x9f58022c}},	//   _бірг, kets_, енів_, _durà_, 
   {{0x395e0518,0x200e03a1,0xddc90613,0x672601d2}},	//   jets_, ífic_, _breš, zakj, 
   {{0x395e0310,0x7c2a27e3,0x27e9879e,0x225900b4}},	//   dets_, gsfr, _ohan_, _hpsk_, 
   {{0x27e9001b,0xe7e100a5,0x69c70121,0x201145e8}},	//   _nhan_, _गीला_, čjem, _itzi_, 
   {{0x272000cc,0x395e879f,0x20030df4,0x3b8287a0}},	//   _ভালো_, fets_, _huji_, рлыг, 
   {{0x395e0343,0x6ca787a1,0x63a4024a,0x645a0241}},	//   gets_, _преж, zhin, çtik, 
   {{0xe73a6015,0x07a61619,0xddc903ef,0x7527034c}},	//   мен_, ванн, _greš, dajz, 
   {{0x27e987a2,0x200387a3,0x63a4024a,0x6fd80126}},	//   _chan_, _muji_, xhin, bícu, 
   {{0x27e90014,0x395e87a4,0x7c2402fe,0x2a660027}},	//   _dhan_, bets_, ćire, _gsob_, 
   {{0x6d4387a5,0x3202026e,0x260602aa,0x395e451a}},	//   ngna, _ruky_, _vôo_, cets_, 
   {{0x63a487a6,0xb5fb3ad3,0x6d4387a7,0xe8df0023}},	//   thin, tvár, igna, _thối_, 
   {{0x6b896398,0x2fdd0201,0x6fd80228,0x27e900a4}},	//   njeg, jlwg_, níct, _ghan_, 
   {{0x95ca00cf,0x442a0242,0xe1fa02f1,0xb5fb010e}},	// [7fc0] _олиб_, ssb_, дга_, rvár, 
   {{0x40960849,0x63a487a8,0xd5af00eb,0x63b602bf}},	//   крет, shin, _وفي_, siyn, 
   {{0x69c15065,0x657e0038,0xdd94004e,0x64a60197}},	//   inle, _inph, ғайы, _рана, 
   {{0x66041325,0xd00f0629,0x2003011c,0x32020098}},	//   _kuik, زله_, _duji_, _tuky_, 
   {{0xfe430ab5,0xf7730070,0x7f830038,0x201101ca}},	//   инцо, יקא_, شلون, _etzi_, 
   {{0x6d43022b,0xdd8f00eb,0xddc987a9,0x7c2a87aa}},	//   ggna, يون_, _preš, tsfr, 
   {{0x395e050f,0x644e87ab,0x8bc687ac,0x660487ad}},	//   vets_, ntbi, ксид, _luik, 
   {{0x6fd80f46,0x6b8987ae,0xfbcf0195,0x6b9b0008}},	//   tícu, gjeg, يتي_, gkug, 
   {{0x27e902bf,0x60270019,0x395e050f,0x61fc0384}},	//   _rhan_, _témá, tets_, _kirl, 
   {{0x49733e34,0xddc900e0,0x6fd81cf0,0xa3e407d5}},	//   альс, _treš, rícu, _पीस_, 
   {{0x395e8036,0x6b8902a8,0x672487af,0xb90a000f}},	//   rets_, bjeg, _beij, _मर_, 
   {{0x2a66006f,0x66047e5c,0x60dc150d,0x69c187b0}},	//   _tsob_, _buik, _myrm, anle, 
   {{0x395e87b1,0x6f0d1cf0,0x61fc00a1,0x6724039b}},	//   pets_, ñaci, _oirl, _deij, 
   {{0x66040a58,0x61fc009c,0xe5c421f2,0x7e7d0684}},	//   _duik, _nirl, ассо, _áspe, 
   {{0xd4042bc0,0x6724146a,0x27e95a1f,0xb33b87b2}},	//   ияти, _feij, _than_, _alça, 
   {{0xb40303a1,0x200302cd,0x212302fe,0x6e2d02fe}},	//   лүүд, _ruji_, _sejh_, šabi, 
   {{0x61fc74f6,0x68e606d0,0xe5c787b3,0x224001d6}},	// [7fd0] _birl, əkda, _асно, guik_, 
   {{0x61bf000d,0x61fc107c,0x6724039b,0x00000000}},	//   ्वेष, _cirl, _zeij, --, 
   {{0xa5bb03da,0x351a00a7,0xd47900c7,0x6aa90036}},	//   dróx, _אותנ, _װאָל, zzef, 
   {{0xff2500d4,0x22406b39,0x5ecc0086,0x6fd4004f}},	//   ابای, buik_, ়েছে, аціє, 
   {{0xdd950114,0x228487b4,0x69c187b5,0x6b8903f3}},	//   лады, _кург, ynle, vjeg, 
   {{0xdce8213d,0x6d430c36,0x61fc87b6,0x26180035}},	//   _aldı, ugna, _girl, बीटी_, 
   {{0x6d4387b7,0x20110a9f,0x6b8987b8,0x65a20054}},	//   rgna, _utzi_, tjeg, _jôha, 
   {{0x5f942df0,0x160307d5,0xdfd50088,0x290e87b9}},	//   _кист, लदार_, _собы, _affa_, 
   {{0x672487ba,0x764d040c,0x00000000,0x00000000}},	//   _reij, _nqay, --, --, 
   {{0x672487bb,0x442136fa,0x660487bc,0x6aa955b0}},	//   _seij, _owh_, _ruik, rzef, 
   {{0x6b8987bd,0x68452983,0x69c187be,0x66047b53}},	//   pjeg, ынна, rnle, _suik, 
   {{0x660487bf,0x290e0065,0x6fd80183,0x00000000}},	//   _puik, _effa_, lícr, --, 
   {{0x4421011c,0x9b740816,0x7525605a,0xa3d700bd}},	//   _awh_, _خالص, _behz, ाकन_, 
   {{0x6603875e,0x442187c0,0x1dc30e6e,0x6724039b}},	//   спра, _bwh_, वचित, _weij, 
   {{0x672487c1,0x64a387c2,0x637a7208,0x58870259}},	//   _teij, бара, нсар_, _шыда, 
   {{0x644e0003,0x387801cc,0x61fc87c3,0x77a60126}},	//   rtbi, ærre_, _sirl, _bóxe, 
   {{0x3a2d090a,0x644e3080,0xade3000f,0x77a60183}},	// [7fe0] nsep_, stbi, गतान_, _cóxe, 
   {{0x22400265,0xc486144a,0xa3e41615,0x7f49001d}},	//   ruik_, _блок, _पीर_, _aceq, 
   {{0x7e6987c4,0x6fd80183,0xd5a41372,0x4421076b}},	//   _asep, dícr, _ملکی, _gwh_, 
   {{0xdd2f00bc,0x307503a1,0x00000000,0x00000000}},	//   měři, шуус, --, --, 
   {{0xa5bb0042,0x7e69010e,0x61fc00f8,0x9f4403dd}},	//   tróx, _csep, _tirl, _simó_, 
   {{0x61fc00eb,0x7bd90027,0x7d0100f3,0x60dc1279}},	//   _uirl, _akwu, _cgls, _tyrm, 
   {{0xa0a60e65,0x7e6903a0,0x2d9c6e31,0x00000000}},	//   _савд, _esep, rkve_, --, 
   {{0x5a3456c5,0x69d80187,0x2d9c7314,0x628002be}},	//   анит, _skve, skve_, _àmos, 
   {{0x6f9300eb,0xdee3107a,0x00000000,0x00000000}},	//   _القض, _готи, --, --, 
   {{0x996687c5,0x9f4400f6,0x9f580241,0x00000000}},	//   утил, _timó_, _burç_, --, 
   {{0x61d700c7,0x6df30038,0x680800bc,0x23bf0080}},	//   רויף_, _اكلا, _vědo, näjä_, 
   {{0xb8ec000f,0x67d50176,0xdb0002be,0xab8305e1}},	//   _रख_, рому, rimó, _гушк, 
   {{0x12bf0033,0x00000000,0x00000000,0x00000000}},	//   _আর্দ, --, --, --, 
   {{0x290e02a3,0x2bcc0cb8,0xcad700d1,0x69d8017b}},	//   _uffa_, ावका, _עוגת_, _ukve, 
   {{0xd37b101b,0x4d7b0070,0x4421011c,0x80d45582}},	//   нча_, ערלע, _qwh_, _बुले, 
   {{0xdce80098,0x567900d9,0xc2c50038,0x28490070}},	//   _nadč, _абия_, ليزي, _סעפּ, 
   {{0x0ce117f6,0xd13b87c6,0x00000000,0x00000000}},	// [7ff0] _फर्म, ехе_, --, --, 
   {{0xdcfa0237,0xdb000038,0x4421076b,0x00000000}},	//   _antč, dhmí, _twh_, --, 
   {{0xe1e5009a,0x7e6987c7,0x00000000,0x00000000}},	//   _कठीण_, _ssep, --, --, 
   {{0x0eb90238,0x7f2707cf,0xf36741ac,0x7afd020b}},	//   кулы_, اءال, _стон, žsti, 
   {{0xe80b0299,0x00000000,0x00000000,0x00000000}},	//   _संभा_, --, --, --, 
   {{0xed595e8d,0xdce10379,0xdcfa0300,0x7e693eeb}},	//   ток_, _lalą, _entč, _vsep, 
   {{0x962601dd,0xdb0b0090,0x62807461,0xfce50165}},	//   _ziņā, _amgá, _àmor, шоко, 
   {{0xa0c40038,0x7e6907d7,0x69c6010e,0x200c011c}},	//   _ايفو, _tsep, éken, _édia_, 
   {{0x49c987c8,0x7c2400ef,0x38600082,0x2ab70259}},	//   клин_, ćira, _ćira_, ыңды_, 
   {{0x499587c9,0xca6b040c,0x00000000,0x00000000}},	//   ршит, _degа, --, --, 
   {{0xdd7a0137,0x28cf0d2e,0xdb0087ca,0x9a8700f0}},	//   _שטעל, _सुखि, rimò, _әуел, 
   {{0xc5e900a7,0x6e2d00ef,0xdd2f00bc,0xa3e400c2}},	//   _חד_, šabu, věři, _पीं_, 
   {{0xdce10379,0x7bc40028,0x00000000,0x00000000}},	//   _dalą, čiut, --, --, 
   {{0x64a6011f,0xdb023227,0x487900d9,0x7ae60241}},	//   аага, _aloè, _асия_, ükte, 
   {{0x232a1a27,0x07a600e4,0xe8df0023,0x00000000}},	//   кови_, _вайн, _phổi_, --, 
   {{0x9207271a,0xda0800e7,0x00000000,0x00000000}},	//   _वंशज_, _hỏa_, --, --, 
  
   {{0xe2970316,0x312600cf,0x6db20035,0x99dd0098}},	// [8000] аат_, идаг, cław, stňu, 
   {{0x23bf0088,0x311600b3,0x00000000,0x00000000}},	//   täjä_, рфас, --, --, 
   {{0xaf060012,0x216787cb,0xe8df00e7,0x80661273}},	//   апел, рихи_, _thổi_, рвеж, 
   {{0xdfcf0fce,0x645e1e23,0xf3ff0023,0x8fa60165}},	//   ويل_, _ippi, _giã_, јаде, 
   {{0x3ea00084,0x00000000,0x00000000,0x00000000}},	//   áit_, --, --, --, 
   {{0xa5bb019c,0xd17603ab,0x00000000,0x00000000}},	//   lsór, _тымы, --, --, 
   {{0x3ea0031e,0xdc870093,0x0ba600a3,0xbc670198}},	//   šit_, исъл_, ишим, لمون_, 
   {{0xa5bb02aa,0x201a0080,0x6ac10299,0x00000000}},	//   nsór, mppi_, शपूर, --, 
   {{0xa3ab69ca,0x2fc6003a,0xe8d9001b,0xa3d70a34}},	//   कोट_, mnog_, _đỡ_, ाकत_, 
   {{0x2fc603ef,0x645e0088,0xb9970080,0x999700d9}},	//   lnog_, _oppi, ивых_, икыт_, 
   {{0x1ddf00a5,0x2fc60f23,0xdb24009c,0xab660eba}},	//   _पीटत, onog_, _هوای, _ввел, 
   {{0x22523bfa,0xeb9a87cc,0xa6b20033,0x2fc600f8}},	//   ktyk_, _шие_, _টুইট, nnog_, 
   {{0x645e87cd,0x6b8287ce,0x2fc6011d,0xf98f00d7}},	//   _appi, _inog, inog_, سبی_, 
   {{0x2b980107,0x6d9d011c,0xddc90032,0x25a501d5}},	//   _vécu_, _rèak, _treť, óll_, 
   {{0x893700a7,0x63a6016a,0x6db20035,0x2fc600ca}},	//   _כרגע_, _blkn, sław, knog_, 
   {{0x248d00f1,0x2fc602f5,0xf69900d4,0x7afd0187}},	//   ćem_, jnog_, _منبع_, ľstv, 
   {{0x6b8200f1,0x2fc603ef,0x7afd0076,0x2f0d03b3}},	// [8010] _mnog, dnog_, žstv, _lógó_, 
   {{0xd5b82b68,0x92580176,0x22580080,0x00000000}},	//   _всю_, рафт_, рифы_, --, 
   {{0x6b821993,0xbf2202e6,0xa3d587cf,0xe03900d9}},	//   _onog, मरून_, _гонч, узеч_, 
   {{0xb0be009a,0x02d92300,0x2fc60304,0x6b82052b}},	//   ्थजग, _موجب_, gnog_, _nnog, 
   {{0x6e67110d,0x44310019,0xa2ea01a2,0x22870635}},	//   ртеж, lsz_, _бурҷ_, _тунг, 
   {{0x94740274,0x69c6010e,0xf296027a,0x6b824f39}},	//   _ادیا, ékel, _הכשר_, _anog, 
   {{0x2fc6003a,0x40343a64,0x6d5a0118,0xdb0911bb}},	//   bnog_, _мерс, _dbta, šníc, 
   {{0x2fc604d1,0xa3ab0790,0x69ca0f23,0x62800183}},	//   cnog_, कोच_, _ajfe, _ámoc, 
   {{0xe9d987d0,0x29180092,0xa0a5005e,0x3d9500b3}},	//   лки_, ıran_, _таңд, _лиар, 
   {{0x6b8202a3,0xd9450267,0xa9690267,0x7e7b052b}},	//   _enog, љени, ћина_, _irup, 
   {{0xa3d737c0,0x66161341,0x8d741169,0xe9d6049b}},	//   ाका_, _styk, _باقا, скэ_, 
   {{0x4431010e,0x291e01be,0x6b8201be,0x997d02d9}},	//   dsz_, abta_, _gnog, pňů_, 
   {{0xeab323e6,0x443100ab,0x9c7c014b,0xda0800e7}},	//   _بعض_, esz_, _vyče, _tỏa_, 
   {{0x2fc614f0,0xb21b055f,0x31710065,0x4df900c7}},	//   znog_, _kræf, _nazz_, רפֿא, 
   {{0x64a300dc,0x6813020f,0x4431039f,0x28cf87d1}},	//   пара, _băde, gsz_, _सुचि, 
   {{0x73060595,0x44330036,0x6813020f,0x7e7b02a5}},	//   спаз, _dvx_, _căde, _orup, 
   {{0x2fc602f5,0x3a3f0068,0x28a5009a,0x6813020f}},	// [8020] vnog_, nrup_, खनवि, _dăde, 
   {{0xa5bb03b7,0x31710036,0xda0a0c46,0x00000000}},	//   ssór, _cazz_, _हंसत_, --, 
   {{0x2fc602f5,0x7e7b00c5,0x645e87d2,0x752e0532}},	//   tnog_, _arup, _uppi, mabz, 
   {{0x43860084,0xfdb0000f,0x4ea601ff,0x3a3f02a2}},	//   _الحق, जफ्फ, йрла, krup_, 
   {{0x2fc603ef,0x7e561d6d,0xddcb87d3,0xdd940259}},	//   rnog_, стец, _šišk, жалы, 
   {{0x3a3f055f,0x752e0282,0x6b8229aa,0xdb020151}},	//   drup_, nabz, _snog, _cloî, 
   {{0x2fc60062,0x38600d26,0x7c2405ae,0x40960038}},	//   pnog_, _ćiro_, ćiro, _الزر, 
   {{0x79832b51,0x20180036,0x200a020f,0x4f967a51}},	//   _annw, _itri_, _iubi_, _ургу, 
   {{0x22400533,0x752e87d4,0x539b008d,0x3a3f06a0}},	//   nrik_, kabz, טיקו, grup_, 
   {{0x388e0264,0xf96a87d5,0x44310035,0x2b98010e}},	//   ləri_, урий_, ysz_, _pécs_, 
   {{0x224087d6,0x3bd603bd,0x752e019b,0xe8020790}},	//   hrik_, _людс, dabz, _रूखा_, 
   {{0x22403994,0x212a016a,0x65ab12d3,0x200a011b}},	//   krik_, _lebh_, _mühe, _mubi_, 
   {{0x443187d7,0x65ab00b0,0x200a87d8,0x8c430474}},	//   wsz_, _lühe, _lubi_, ăşen, 
   {{0x224087d9,0x44310019,0x6d4a05a1,0x388e00ad}},	//   drik_, tsz_, ngfa, həri_, 
   {{0xe8d90029,0x200a87da,0x69c887db,0xd5b803bd}},	//   _đủ_, _nubi_, mnde, сся_, 
   {{0x7ae287dc,0x67d40141,0x224087dd,0x44310855}},	//   _kyot, _нощу, frik_, rsz_, 
   {{0x44310019,0xddc287de,0xc1b93740,0x91b90093}},	// [8030] ssz_, dvož, алах_, агат_, 
   {{0x69da87df,0x672f006a,0x69c887e0,0x644100d3}},	//   note, lacj, nnde, àlis, 
   {{0x439587e1,0x388e0095,0x6441014a,0x98af0097}},	//   _данс, fəri_, álid, ćaće_, 
   {{0x644787e2,0x672f0035,0x8afd02d9,0x7ae201e5}},	//   muji, nacj, deřn, _oyot, 
   {{0x69da87e3,0x63ad87e4,0x7e7b0095,0x7ae287e5}},	//   kote, mhan, _qrup, _nyot, 
   {{0x63ad00ce,0x69da87e6,0xd65800a7,0x37cf0086}},	//   lhan, jote, ציות_, রতির, 
   {{0x64550414,0x672f006a,0x200a04d1,0xa2c1109f}},	//   ntzi, kacj, _gubi_, लपक्, 
   {{0x0c87032e,0xeb9987e7,0x69c887e8,0x7e7b87e9}},	//   _қызм, рии_, ende, _trup, 
   {{0xbfa80172,0x7e7b0199,0x394e0226,0x69da87ea}},	//   _утре_, _urup, _bcfs_, fote, 
   {{0x644787eb,0xfeb804f2,0x3b1f0065,0xb21b02c9}},	//   kuji, _طاقت_, sbuq_, _træf, 
   {{0xa3e9072e,0x63ad87ec,0x644700ef,0x5c7500b3}},	//   यता_, khan, juji, _флет, 
   {{0xaa591447,0x69c819b2,0x998600ab,0x8b671b44}},	//   _виду_, ande, _ktoś_, _دائم, 
   {{0x63ad87ed,0x69da87ee,0x6db20035,0xa3d80425}},	//   dhan, bote, płat, िवस_, 
   {{0x98a51297,0x7bc927bd,0x18a587ef,0x00000000}},	//   _миле, lneu, _малм, --, 
   {{0x63ad01a9,0x32190180,0xe885004f,0x2fcd002c}},	//   fhan, _atsy_, _єгип, _ojeg_, 
   {{0x63ad87f0,0x7bc987f1,0x2fcd03c8,0x42260093}},	//   ghan, nneu, _njeg_, ждав, 
   {{0xa3bb1139,0x200a87f2,0xf11a0038,0x764b0380}},	// [8040] _अगर_, _subi_, لغات_, _ägyp, 
   {{0x22404f03,0x0f2207d5,0x2b4f016a,0x63ad01a7}},	//   rrik_, मर्स_, _lcgc_, ahan, 
   {{0x106a87f3,0x321900a9,0x13a8009c,0x7bc987f4}},	//   рией_, _etsy_, _هندی_, kneu, 
   {{0x63ad87f5,0x68e36bdd,0xa3ae031e,0x2d856e4b}},	//   chan, _mynd, _कति_, _anle_, 
   {{0xa3d71011,0x63a487f6,0x27e002cd,0x69da87f7}},	//   ाकर_, mkin, _mkin_, yote, 
   {{0x672f006a,0x200a3562,0x63a487f8,0x64410228}},	//   zacj, _tubi_, lkin, šlie, 
   {{0x69da87f9,0x8fa6818e,0x7ae207fc,0x6d4a0c20}},	//   vote, _даве, _syot, rgfa, 
   {{0x63a487fa,0x7bc9026a,0x6d580065,0x69c800f8}},	//   nkin, gneu, sfva, wnde, 
   {{0x298a13d0,0x63a487fb,0xb21b41f1,0x8cda0fd2}},	//   асно_, ikin, _græd, _पुरो, 
   {{0x69c887fc,0x7ae20053,0x672f0035,0xad25009c}},	//   unde, _vyot, wacj, _فرمو, 
   {{0x20040264,0x672f00ab,0x27e002a2,0xb4e92221}},	//   _kimi_, tacj, _bkin_, _बरे_, 
   {{0x2907022b,0x63a4012e,0x69da87fd,0x68e387fe}},	//   _egna_, jkin, sote, _dynd, 
   {{0x20042083,0x672f006a,0x69da1e37,0x63ad87ff}},	//   _mimi_, racj, pote, vhan, 
   {{0x7bc08800,0x1dbc048e,0x200402f1,0x27e08801}},	//   limu, ्चित, _limi_, _ekin_, 
   {{0x63ad8802,0x63a40613,0x68e32fd3,0x00000000}},	//   than, fkin, _gynd, --, 
   {{0x20044cd7,0x64550a9f,0x521541b6,0x63a413be}},	//   _nimi_, rtzi, здат, gkin, 
   {{0xe8100262,0xdb0b0219,0x1dbc176c,0x645501c8}},	// [8050] _ठंडा_, _umgå, ्चात, stzi, 
   {{0x63ad8803,0x7bc08804,0xddc200ab,0x200400e2}},	//   shan, himu, rtoś, _aimi_, 
   {{0x672d0666,0x660d0d07,0x63a48805,0x7bc08806}},	//   _keaj, _huak, bkin, kimu, 
   {{0x63a400a7,0x7bc0012d,0xedc350fb,0x8608009c}},	//   ckin, jimu, वच्छ, _دقیق_, 
   {{0xa3e40262,0x7bc08807,0xa77c00c7,0x66050065}},	//   _पीट_, dimu, יראפ, _kihk, 
   {{0x98a5002e,0x7bc90156,0xcddb02a6,0x6aa000f8}},	//   nală_, wneu, шње_, dymf, 
   {{0x22490a9f,0xdd8e00eb,0x20040242,0x660500b0}},	//   luak_, اوى_, _fimi_, _mihk, 
   {{0xdb020183,0x7bc08808,0x7bc9033e,0xb21b055f}},	//   _eloí, gimu, uneu, _træd, 
   {{0xdce3203b,0x224901f1,0x68e600ad,0x0f32010e}},	//   menč, nuak_, əkdi, _سکند, 
   {{0x63a402ba,0x20040062,0xae4400d4,0x27e000d1}},	//   zkin, _zimi_, _آپلو, _skin_, 
   {{0x63a48809,0x7bc0880a,0x660d012b,0x6e29084c}},	//   ykin, bimu, _auak, _hweb, 
   {{0xf7721b44,0x224901f1,0x6e2901a3,0x68e3880b}},	//   راج_, kuak_, _kweb, _vynd, 
   {{0xa3c10bf5,0x290700e2,0x660d0175,0x68e3880c}},	//   ्चन_, _tgna_, _cuak, _wynd, 
   {{0x68e3880d,0x224901f1,0xdb000165,0x63a4880e}},	//   _tynd, duak_, rimô, wkin, 
   {{0x2a6d880f,0x63a48810,0x69c18811,0x94790bf8}},	//   lweb_, tkin, mile, осту_, 
   {{0x69c18812,0x6f0935de,0xdce35463,0x63a48813}},	//   lile, _ngec, jenč, ukin, 
   {{0xc64a0084,0x69c10094,0x6e290102,0xdce30fb5}},	// [8060] _اجعل_, oile, _nweb, denč, 
   {{0x63a48814,0xb6bb0056,0x867b0111,0x69c18815}},	//   skin, _לצפי, _פריו, nile, 
   {{0x63a48816,0x036a7489,0xddc9203b,0xa0670093}},	//   pkin, _линк_, _brež, заха_, 
   {{0x69c18817,0xb21b01cc,0x22498818,0x7bc042c6}},	//   hile, _dræb, buak_, ximu, 
   {{0x69c18819,0x7bc0012d,0xff030965,0xddc90372}},	//   kile, vimu, няшн, _drež, 
   {{0x69c1881a,0x3e5e0243,0x63ae0243,0x7bc0016c}},	//   jile, vātā_, šinē, wimu, 
   {{0x69c1881b,0xdce30242,0x6e29881c,0x00000000}},	//   dile, benč, _eweb, --, 
   {{0x65ab0095,0x6b9908a8,0xdce30fb5,0xdb000080}},	//   _müha, _cowg, cenč, yhmä, 
   {{0xadc30029,0x7bc0881d,0xe94400d4,0x9d461628}},	//   _quản, rimu, وردی, _неад, 
   {{0x7bc0881e,0x69c1881f,0xddc90144,0x00000000}},	//   simu, gile, _zrež, --, 
   {{0x7bc035bf,0x672d8820,0x224901f1,0x7c2d0242}},	//   pimu, _peaj, zuak_, ćarc, 
   {{0x37ab8821,0xeb972241,0x660d00e2,0x65b00088}},	//   стон_, _них_, _puak, _lähd, 
   {{0x69c18822,0x98a500d9,0xcb070038,0x6e29010c}},	//   bile, tală_, _عيون_, _xweb, 
   {{0x69c18823,0xe94400c5,0xf9c411b7,0x65b00088}},	//   cile, _آرشی, _تحصی, _nähd, 
   {{0x98a500d9,0xe7e817dc,0x6605033d,0x5fdc00bd}},	//   rală_, _टीका_, _vihk, बवाल, 
   {{0x224902ba,0x660d10b6,0x00000000,0x00000000}},	//   tuak_, _tuak, --, --, 
   {{0xdce38824,0xe2f87dc2,0x98a500b3,0x644a017b}},	// [8070] venč, зеті_, pală_, _åfin, 
   {{0x22490a9f,0x67d201dd,0x6e298825,0x00000000}},	//   ruak_, māja, _rweb, --, 
   {{0xddc9730a,0x224901f1,0x8f7546c3,0xdce31fe0}},	//   _prež, suak_, дулі, tenč, 
   {{0x69c18826,0x6577024a,0xece000aa,0x6e2900a1}},	//   zile, _haxh, _फड़फ, _pweb, 
   {{0x69c18827,0xee3800dd,0xddc90097,0x67d20243}},	//   yile, зні_, _vrež, nāja, 
   {{0x05010086,0xb21b0566,0x9c7c00da,0x00000000}},	//   ্রীর_, _træb, _vyčn, --, 
   {{0x6577024a,0x00000000,0x00000000,0x00000000}},	//   _maxh, --, --, --, 
   {{0x09b700a2,0x64c50242,0x98a50028,0x6e296a14}},	//   ेच्य, _ičić, nalą_, _tweb, 
   {{0x69c18828,0x34ca0299,0x00000000,0x00000000}},	//   tile, _रश्द, --, --, 
   {{0x67d20243,0x00000000,0x00000000,0x00000000}},	//   dāja, --, --, --, 
   {{0x69c10792,0xf7462d25,0xe3c2091f,0x4b550093}},	//   rile, мено, lmış_, _жълт, 
   {{0x69c18829,0x2a6d16c6,0x00000000,0x00000000}},	//   sile, pweb_, --, --, 
   {{0x65b01dde,0xe3c20824,0x69c1882a,0x78a1882b}},	//   _lähe, nmış_, pile, sylv, 
   {{0xe9d8005e,0x65ab007e,0xc5f5004e,0x9c7c0352}},	//   _екі_, _püha, нғы_, _izčr, 
   {{0xa5070099,0x65b0882c,0x00000000,0x00000000}},	//   дера_, _nähe, --, --, 
   {{0x64417664,0xe3c2027e,0x25b40009,0x00000000}},	//   ália, kmış_, _šalį_, --, 
   {{0xd5b20019,0x7c240242,0x00000000,0x00000000}},	// [8080] _لفظ_, ćiri, --, --, 
   {{0xb14316d0,0x10a602f1,0xa0a6882d,0x65ab0380}},	//   кнул, мизн, мазд, _hühn, 
   {{0xb21b055f,0x00000000,0x00000000,0x00000000}},	//   _præc, --, --, --, 
   {{0x201c00e0,0xddc901f2,0xa3e91f30,0x443a08b0}},	//   īvi_, _ereż, यतः_, _ivp_, 
   {{0x65b000c8,0xfe6f0629,0x05d20035,0xdef7013e}},	//   _tähd, لدو_, _सदाब, мыш_, 
   {{0x443a882e,0xe04601ff,0x7e6d02be,0x00000000}},	//   _kvp_, _онги, çapa, --, 
   {{0x9103882f,0x2f5602f1,0x443a00ca,0x44380082}},	//   _апре, _отас, _jvp_, nsr_, 
   {{0xda0800f7,0x69cf0042,0xe8df0023,0x3a7444aa}},	//   _hỏi_, écen, _chọi_, елир, 
   {{0xe6c802e6,0x290a7130,0x7c2d0304,0x3178040c}},	//   रपोज, žbam_, ćara, _karz_, 
   {{0x6e228830,0x44380065,0x67d201dd,0xd90d009c}},	//   mpob, ksr_, vāja, میه_, 
   {{0xda0800e7,0xa3ae119b,0x65ab0380,0x3178040b}},	//   _mỏi_, कसा_, _bühn, _marz_, 
   {{0x67d200e0,0x7ac61bd5,0xdca341e3,0xcb6a00b3}},	//   tāja, _осле, _шахи, _фаде_, 
   {{0x7c3a0054,0x443808b0,0x7c3808b0,0x00000000}},	//   _hvtr, esr_, lsvr, --, 
   {{0x58d48831,0xdb0b057d,0x3a298832,0x67d20caf}},	//   _полт, _algè, _çapa_, rāja, 
   {{0x9f580126,0x7c38000b,0x65777224,0x798a0118}},	//   _juró_, nsvr, _vaxh, _infw, 
   {{0x67d200e0,0x60d50065,0xe3c2035d,0x7c3808a3}},	//   pāja, _rxzm, ymış_, isvr, 
   {{0x05010086,0xddc9003d,0x9f9c003e,0x00000000}},	// [8090] ্রের_, _preż, víð_, --, 
   {{0x51f8058b,0x2a6600e2,0xd131030e,0x00000000}},	//   дную_, _mpob_, اما_, --, 
   {{0x75358833,0x533532e1,0x9f9c003e,0x443a006d}},	//   mazz, _пент, tíð_, _gvp_, 
   {{0x75353277,0x65b03356,0xa2951afd,0x8e55004e}},	//   lazz, _vähe, _замі, еткі, 
   {{0x59de141c,0x31788834,0x9f5800b9,0x7c3a0bff}},	//   नकार, _farz_, _auró_, _avtr, 
   {{0x7535003d,0x65b00077,0x5067004e,0x9f580126}},	//   nazz, _tähe, _отба, _buró_, 
   {{0x3ea971f3,0x64c50097,0xda080108,0xdce100ad}},	//   šat_, _učić, _gỏi_, _dalğ, 
   {{0x9f5804b3,0x6aca1df3,0x75350065,0xe3c20384}},	//   _duró_, ापूर, hazz, pmış_, 
   {{0x75350529,0xb4bc0f63,0x67f600bc,0x995802d9}},	//   kazz, _अध्_, náje, láři_, 
   {{0xf9910084,0x7535007b,0x77ad009e,0xf1b20070}},	//   ابة_, jazz, _rûxa, ָסט_, 
   {{0xa3c108e1,0x20110053,0xfc3000eb,0x39580014}},	//   ्चा_, _juzi_, _نحن_, òrsa_, 
   {{0x201102b8,0x24860032,0x798a0118,0x9f44020b}},	//   _muzi_, _čom_, _enfw, _shmú_, 
   {{0xa6834864,0x6b8b2991,0xe9f9005e,0x80d90086}},	//   гляд, _ingg, _енді_, ভেচ্, 
   {{0xceb2585d,0x75353833,0x6e3b0027,0x201105d5}},	//   נים_, gazz, _mvub, _ouzi_, 
   {{0x77a603da,0xdb0b026a,0x6f1b0588,0x232a0176}},	//   _lóxi, _algé, _ofuc, зоби_, 
   {{0x4438019c,0xae0f058c,0x67d20243,0xa1c31d06}},	//   rsr_, ादान_, mājo, ҳбуд, 
   {{0xe8df001b,0x6b8b02cd,0x65ab01c4,0x2011354e}},	// [80a0] _khỏi_, _mngg, _kühl, _auzi_, 
   {{0x753501d8,0x317801ff,0x6b8b02a5,0x2fcf023e}},	//   cazz, _qarz_, _lngg, engg_, 
   {{0x65c1005e,0x03a68835,0x65ab0380,0x6e3b2a0a}},	//   _тұра, _зино, _mühl, _avub, 
   {{0x201100d2,0x645c8836,0x644e8837,0x3878003e}},	//   _duzi_, mtri, mubi, ærri_, 
   {{0x644e8838,0xdfcf0038,0x31780241,0x00000000}},	//   lubi, حين_, _tarz_, --, 
   {{0x6b8b053f,0xdd9000eb,0xda080023,0xc90e0035}},	//   _angg, شوب_, _tỏi_, _सलेम_, 
   {{0x644e8839,0x20110304,0x6b8b0175,0x6e227607}},	//   nubi, _guzi_, _bngg, spob, 
   {{0x2a66016a,0x67d201dd,0x7c38000b,0x645c883a}},	//   _ppob_, dājo, rsvr, itri, 
   {{0x645c883b,0x644e0053,0xdd8f0296,0xab66059e}},	//   htri, hubi, _گول_, _asüü, 
   {{0x6b8b38c3,0x644e883c,0x9f58022c,0xec7a2d94}},	//   _engg, kubi, _turó_, _нпз_, 
   {{0xa3d011bd,0x7535883d,0x2d8c883e,0xd8f800dd}},	//   वचा_, vazz, _inde_, ьної_, 
   {{0xe7cf0086,0x645c883f,0xb33b009e,0x2fc600f8}},	//   রত্য, dtri, _koçe, niog_, 
   {{0x2d9e158b,0xb5fb118d,0x75350405,0x65ab01c4}},	//   _kote_, ntág, tazz, _fühl, 
   {{0xb21b01cc,0x2d9e024a,0x645c8840,0xb8940038}},	//   _bræn, _jote_, ftri, _للتع, 
   {{0x75350529,0xa4d400dd,0x645c63a6,0x7bc20065}},	//   razz, горі, gtri, _kmou, 
   {{0x3ea60c36,0xd3788841,0x61fe039b,0x201101cd}},	//   kyot_, нчу_, empl, _ruzi_, 
   {{0x2d8c8842,0x75358843,0x21310118,0x56950965}},	// [80b0] _onde_, pazz, _pezh_, _рапт, 
   {{0x2d9e3595,0x201105ae,0xb21b003e,0x644e8844}},	//   _note_, _puzi_, _fræn, bubi, 
   {{0xb21b4ad2,0x644e0369,0x645c8845,0x765d0102}},	//   _græn, cubi, ctri, ltsy, 
   {{0x4421006c,0x201c8846,0x61fe8847,0x67f600bc}},	//   _ith_, ívia_, ampl, páje, 
   {{0x2d9e8848,0xc3c2109a,0x3ea68849,0x539a00d1}},	//   _bote_, _төрл, gyot_, _חירו, 
   {{0x7bc2884a,0xbea2884b,0x3ea200cf,0x2d9e884c}},	//   _amou, рашк, ришг, _cote_, 
   {{0xeb99884d,0xabd5081b,0xdc7516d0,0x2d9e884e}},	//   дий_, кциј, тыль, _dote_, 
   {{0x2d8c884f,0x77a66734,0x3b8500cf,0x291c0118}},	//   _ende_, _tóxi, тлиг, _afva_, 
   {{0x645c8850,0xb33b010c,0x2a34022c,0x98ac01dd}},	//   ztri, _koçb, лээр, vadā_, 
   {{0x645c8836,0xb5fb0183,0x8d74009c,0x2d9e8851}},	//   ytri, ntád, _ماما, _gote_, 
   {{0xb604000d,0x645c8852,0x200c11e9,0x6b8b02cd}},	//   ntář, xtri, _édit_, _tngg, 
   {{0x2d9e086d,0x6b8b47bc,0x22498853,0x2ca7003e}},	//   _zote_, _ungg, krak_, mynd_, 
   {{0x2d9e086d,0x44218854,0x22491b3e,0x645c8855}},	//   _yote_, _ath_, jrak_, wtri, 
   {{0x645c8856,0xa5bb8857,0x644e8858,0xdce802d9}},	//   ttri, spón, tubi, _nadě, 
   {{0x44213107,0x22490a9f,0x657c0380,0x69c300a4}},	//   _cth_, erak_, rdrh, _imne, 
   {{0x764f4fb1,0x2c7c00bc,0x63798859,0x22493497}},	//   bucy, ládá_, нсур_, frak_, 
   {{0x6d4102f5,0x261905fd,0x644e885a,0x7e69006d}},	// [80c0] _odla, _यूपी_, subi, _npep, 
   {{0xb21b0022,0x3f8d885b,0xa9240228,0x7aeb0009}},	//   _træn, _aneu_, peľň, _mygt, 
   {{0x2d9e885c,0x505a0504,0x7e69885d,0x7aeb885e}},	//   _rote_, ьшая_, _apep, _lygt, 
   {{0x6d41885f,0xdce80039,0x2d9e8860,0x22497d76}},	//   _adla, _podľ, _sote_, brak_, 
   {{0x2d9e0cd7,0xa3c10790,0x69c38861,0x9c7c00da}},	//   _pote_, ्चर_, _omne, _tyčk, 
   {{0x2fc6012d,0x442100f4,0x6296006d,0x7bc208b0}},	//   siog_, _yth_, mxyo, _smou, 
   {{0x6da32009,0x6aca1276,0x2d9e8862,0xfc640c30}},	//   рија, ाप्र, _vote_, اختی, 
   {{0x2d9e086d,0x69c38863,0x62868864,0x8fa38865}},	//   _wote_, _amne, _krko, _касе, 
   {{0xcb671b11,0x2d9e1475,0x4e0614c1,0x5a33022c}},	//   тање_, _tote_, _азаб, аныт, 
   {{0x2d8c0012,0x62862f6f,0x7aeb055f,0x0d835ded}},	//   _unde_, _mrko, _dygt, _клун, 
   {{0x313700a7,0x1ab4004e,0x22498866,0x1cba010e}},	//   כנים_, _әбля, zrak_, _غائب_, 
   {{0x69c308bb,0x62867bb4,0x765d8867,0x22498868}},	//   _emne, _orko, ttsy, yrak_, 
   {{0xdddb2645,0xa2c209ef,0x6296006d,0x00000000}},	//   _hruš, _रेल्, jxyo, --, 
   {{0xdddb0571,0x765d608f,0xdbd1003e,0x764f016c}},	//   _kruš, rtsy, lýðs, rucy, 
   {{0xd5b80df8,0xd37b2f0d,0xb4ad2369,0x81d80086}},	//   тся_, мча_, कने_, াতা_, 
   {{0x62860112,0x9cd70486,0x88bc00d8,0x7c4500de}},	//   _brko, דולה_, yběj, _útrž, 
   {{0x27e90730,0x69c800c8,0x70bd0b6c,0xd6d800d9}},	// [80d0] _ikan_, oide, ्प्ल, _атэ_, 
   {{0x22490414,0x69c88869,0x645a00d3,0x4421886a}},	//   rrak_, nide, àtic, _tth_, 
   {{0x69c800a1,0x6286886b,0x4421011c,0xada500f0}},	//   iide, _erko, _uth_, ғайл, 
   {{0x63b6886c,0x2249886d,0x69c8886e,0x752202fe}},	//   chyn, prak_, hide, _đozi, 
   {{0x69c8886f,0x25090a24,0x3f8100bc,0xa3e00083}},	//   kide, _ترکی_, ěhu_, दकर_, 
   {{0x7aeb02c9,0xdddb39a4,0xf1a40bad,0x8e08017b}},	//   _rygt, _bruš, _крсн, внів_, 
   {{0x61e5026e,0x69c88870,0x25a100bc,0x27e98871}},	//   mohl, dide, _mohl_, _okan_, 
   {{0x63ad185e,0xb5fb0681,0xdb0903b7,0xfe7300d4}},	//   nkan, ntáb, nheç, _پدر_, 
   {{0x1a650a24,0x7e690053,0xb5fb0183,0x98ae0118}},	//   ایتی_, _upep, itáb, _defč_, 
   {{0x27e922fd,0x69c88872,0x63ad005c,0x6d4101cc}},	//   _akan_, gide, hkan, _udla, 
   {{0xcb55024f,0x27e902cd,0x64410bad,0xbb5500d4}},	//   _مناظ, _bkan_, šlij, _مناب, 
   {{0x61e58873,0x63ad8874,0x69c82d64,0x00000000}},	//   hohl, jkan, aide, --, 
   {{0x69c80414,0x200d0141,0xdddb063b,0x69c38875}},	//   bide, _miei_, _zruš, _tmne, 
   {{0x7bc98876,0x27e900cf,0x63ad8877,0x69c88878}},	//   lieu, _ekan_, ekan, cide, 
   {{0x63ad8879,0x98ac00b3,0x63b6017c,0x443e887a}},	//   fkan, radă_, thyn, ét_, 
   {{0x7bc9887b,0x63ad182b,0x6286034c,0xa6960aa3}},	//   nieu, gkan, _prko, _број, 
   {{0xe1fa041d,0x63b65c22,0x6abb01c4,0x6aa9887c}},	// [80e0] ега_, rhyn, nzuf, nyef, 
   {{0x7bc9887d,0x63ad887e,0x7c3e887f,0x201c02aa}},	//   hieu, akan, špri, ívio_, 
   {{0x64a61651,0x11d70084,0x63ad02cd,0x7bc9002c}},	//   _сана, دولة_, bkan, kieu, 
   {{0x69c88880,0x63ad8881,0xee3a25b3,0xe29a8882}},	//   zide, ckan, енд_, _зам_, 
   {{0xdddb14f0,0x7bc98883,0x6da68884,0xa2cb031e}},	//   _sruš, dieu, лида, _सेप्, 
   {{0xdddb8885,0x657e0447,0x6e9300b3,0x00000000}},	//   _pruš, _japh, сишу, --, 
   {{0x657e7415,0xb5fb022e,0xa0a34a04,0x6616039b}},	//   _maph, ltác, _лард, _luyk, 
   {{0x657e4819,0x7bc98886,0x69c88887,0xafe63b8f}},	//   _laph, gieu, wide, _собл, 
   {{0x69c88888,0xb5fb8889,0xac92004e,0xdb0b03c6}},	//   tide, ntác, рақш, _algâ, 
   {{0x657e888a,0x63ad888b,0xb33b888c,0x27e9888d}},	//   _naph, zkan, _moça, _skan_, 
   {{0x0c260fcc,0xdddb090b,0x6b9b00a4,0xa2cb0f8c}},	//   _смен, _uruš, bjug, _सेन्, 
   {{0x7bc9026a,0x7a860019,0x644101dd,0x63ad01ca}},	//   cieu, _مشتم, šlik, xkan, 
   {{0xb8eb1556,0x199470c9,0x63ad078a,0x657e07d7}},	//   _रे_, _валя, vkan, _baph, 
   {{0x2d9c00e5,0x3eb90241,0x657e62f9,0x00000000}},	//   njve_, _üste_, _caph, --, 
   {{0xf36759df,0x63ad888e,0x6d5a008a,0x61e501ff}},	//   лтан, tkan, _mcta, vohl, 
   {{0x25a102f2,0x67f60228,0x65ab888f,0x68f58890}},	//   _wohl_, pája, _mühi, üzde, 
   {{0x6d5a338b,0x65ab007e,0x213a0026,0x45d500b3}},	// [80f0] _octa, _lühi, faph_, _вопс, 
   {{0xb5fb8891,0x657e0069,0x61fc00da,0x00000000}},	//   stáb, _gaph, _chrl, --, 
   {{0x63ad55d4,0xb5fb334c,0x3f152c0b,0x7c2d6797}},	//   pkan, ptáb, адес, ćark, 
   {{0x657e0532,0x61fc01c4,0x62840664,0xa85700d1}},	//   _zaph, _ehrl, bvio, ריאה_, 
   {{0xd9f60081,0xb5fb1056,0xed590e65,0x6b9b00ef}},	//   ुगात_, ctác, вол_, vjug, 
   {{0xdcfa0749,0xdca52e6c,0x777f008a,0x00000000}},	//   _altı, иали, _laqx, --, 
   {{0x9f6b00e4,0x7bc98892,0x00000000,0x00000000}},	//   _праз_, tieu, --, --, 
   {{0xdfd500f0,0x0ec00110,0x00000000,0x00000000}},	//   _тобы, _शेकड, --, --, 
   {{0x7bc98893,0xe9d98894,0x6b9b059e,0x00000000}},	//   rieu, кки_, rjug, --, 
   {{0x7bc96d8c,0xe81907d5,0xc9a600c8,0xf8658895}},	//   sieu, _नंदा_, ивые_, авоо, 
   {{0xe8f68896,0x6abb8897,0x8afd00bc,0x7bc98898}},	//   иль_, szuf, teřs, pieu, 
   {{0xd7068899,0x657e889a,0xe73a00c8,0x628301dd}},	//   изни, _saph, ъем_, ānoj, 
   {{0x2bb800eb,0x657e0532,0x67d200e0,0x777f01f2}},	//   _حالة_, _paph, nāji, _daqx, 
   {{0x657e0026,0xb33b02aa,0xc9870267,0x00000000}},	//   _qaph, _roça, _људи, --, 
   {{0xab5d003d,0x88830019,0xb21b818a,0xc9d400d7}},	//   viżj, _ایجن, _fræk, _دموک, 
   {{0x03260a43,0xc326889b,0x657e044d,0x65b001c4}},	//   рдан, рмак, _waph, _zähl, 
   {{0x61fc01be,0x657e019b,0x7e7b019b,0xa1c6889c}},	// [8100] _phrl, _taph, _nsup, абад, 
   {{0x6284889d,0xc046070f,0x6146004f,0xb5fb2706}},	//   rvio, لخصو, режа, rtác, 
   {{0x7e7b889e,0x67f60187,0x6284019c,0x753c889f}},	//   _asup, nájo, svio, marz, 
   {{0x4ea600cf,0x7e7b0026,0x753c0035,0xb5fb08a0}},	//   ирла, _bsup, larz, ptác, 
   {{0xfe7213b4,0xdce1012d,0x7e7b010e,0x67d201dd}},	//   تدا_, _kalė, _csup, gāji, 
   {{0x224088a0,0x7981006d,0x9c4600b3,0x753c4264}},	//   msik_, jdlw, ахил, narz, 
   {{0x7e7b2c37,0x22402244,0x260f008a,0x65b00502}},	//   _esup, lsik_, _ożon_, _nähm, 
   {{0xafe319d9,0x207b0070,0xaa66203d,0x5a341fc7}},	//   _досл, _באלא, аток, бнит, 
   {{0x20180175,0x753c00ab,0x41dd0299,0xdb00017b}},	//   _huri_, karz, _मदमस, kkmå, 
   {{0x1daa05cf,0x201888a1,0x65ab00b0,0x753c0035}},	//   _कवित, _kuri_, _tühi, jarz, 
   {{0x201871f5,0x753c00ab,0xdcfa0118,0xb98500f0}},	//   _juri_, darz, _katč, стық, 
   {{0x20185ada,0x224088a2,0x65b002f2,0xab2a6d77}},	//   _muri_, ksik_, _wähl, _рода_, 
   {{0x95cb0172,0x23b51e9f,0x2a76009c,0x201802a5}},	//   вува_, _nåja_, _خداح, _luri_, 
   {{0x6d5888a3,0x670300a2,0x753c00b4,0x9c7c0118}},	//   ngva, रेषक_, garz, _fyčt, 
   {{0x20186139,0xb21b01cc,0x94a8021f,0x442588a4}},	//   _nuri_, _træk, атта_, ël_, 
   {{0x473588a5,0xf77f0165,0x7e6246ce,0xdb1b003e}},	//   _унис, moço_, ktop, nnuð, 
   {{0x7e621993,0x7c2d1c2b,0x673d0bda,0x22400daa}},	// [8110] jtop, ćari, masj, gsik_, 
   {{0xdce100e4,0x2018024d,0x673d88a6,0xa2cb1615}},	//   _galė, _buri_, lasj, _सेण्, 
   {{0x20181929,0x670309ec,0x22400175,0x7e7b88a7}},	//   _curi_, रेरक_, asik_, _ssup, 
   {{0x9f05057f,0x645588a8,0x67d2002a,0x7e7b0065}},	//   موضو, muzi, tāji, _psup, 
   {{0xd24488a9,0x201888aa,0x213800c3,0x2240010e}},	//   _мэри, _euri_, _ferh_, csik_, 
   {{0x518788ab,0x2b460036,0x6d584997,0x201888ac}},	//   _тума, _adoc_, ggva, _furi_, 
   {{0x673d88ad,0x645588ae,0x201888af,0xdb1b01d5}},	//   kasj, nuzi, _guri_, fnuð, 
   {{0x7e7b0c3d,0x3219014b,0xdd3a00b3,0x18690258}},	//   _tsup, _kusy_, păşi, қами_, 
   {{0x201888b0,0xa3af0077,0x645588b1,0xef1901f2}},	//   _zuri_, _कवन_, huzi, _gaża_, 
   {{0x645588b2,0x3a3f016a,0x6ea400bc,0x00000000}},	//   kuzi, rsup_, कहरु, --, 
   {{0xe73a88b3,0x321988b4,0x3a26052b,0x201800b4}},	//   лен_, _lusy_, _etop_, _xuri_, 
   {{0x645588b5,0x753c00ab,0x673d00dd,0xf3ff00e7}},	//   duzi, warz, gasj, _nhã_, 
   {{0xa9692a65,0xe96901ab,0x31af027e,0x753c88b6}},	//   _била_, _балл_, _kızı_, tarz, 
   {{0x64a688b7,0xa2c20cb8,0xf77f02aa,0x6575039f}},	//   бага, _रेग्, boço_, gezh, 
   {{0xa34a0141,0x681300b3,0x7e6288b8,0x645588b9}},	//   лзва_, _pădu, ztop, guzi, 
   {{0xb4e800aa,0x201888ba,0x224065bc,0x32110054}},	//   _बडी_, _ruri_, tsik_, _aizy_, 
   {{0xe2972e81,0xb1460130,0x175700a7,0x20186516}},	// [8120] бат_, йнал, _הספר_, _suri_, 
   {{0x201888bb,0x645588bc,0x224088bd,0x65b000c2}},	//   _puri_, buzi, rsik_, _mähk, 
   {{0x645588be,0x224088bf,0x3211011c,0xf8b7017d}},	//   cuzi, ssik_, _dizy_, आनिय, 
   {{0x444407e5,0xb5fb033c,0x7e6250d7,0xa3bc0bb9}},	//   _iv_, ntán, ttop, _अति_, 
   {{0x444488c0,0x201800d7,0xb5fb0183,0x75fb009e}},	//   _hv_, _wuri_, itán, lîza, 
   {{0x201888c1,0x3f806bc0,0x62830035,0x4c9403a1}},	//   _turi_, žiu_, łnoc, жикс, 
   {{0x7e6288c2,0x444400c5,0xdfd200eb,0x0c860f82}},	//   stop, _jv_, _فيس_, сылм, 
   {{0xdce302d9,0x7e6288c3,0x3a2600b9,0x63a67a5d}},	//   leně, ptop, _ptop_, _jokn, 
   {{0x44440bc3,0x67d20bc3,0xa5bb00eb,0x673d004f}},	//   _lv_, nāju, spói, vasj, 
   {{0x444488c4,0xbda50038,0x9d430cf8,0xc27b008d}},	//   _ov_, _وحلو, _неуд, נריי, 
   {{0xd90d00d4,0x673d00dd,0x76440237,0x28f806ba}},	//   نیه_, tasj, _aviy, рень_, 
   {{0x200533ad,0x20060108,0xf77f019c,0x00000000}},	//   _èlit_, nmoi_, roço_, --, 
   {{0x444488c5,0x673d00dd,0x645588c6,0x67d20243}},	//   _av_, rasj, wuzi, jāju, 
   {{0x645588c7,0xb21b01cc,0x444488c8,0xf1bf0183}},	//   tuzi, _kræv, _bv_, _atán_, 
   {{0x63a688c9,0x32194665,0x6b820175,0x69ca0dac}},	//   _bokn, _susy_, _kaog, _imfe, 
   {{0x444488ca,0x645588cb,0xb5fb0634,0x6d4802a5}},	//   _dv_, ruzi, ctán, _ldda, 
   {{0x444488cc,0x6d4888cd,0x67d201dd,0x6b820026}},	// [8130] _ev_, _odda, gāju, _maog, 
   {{0x6b8288ce,0x44440c86,0x00000000,0x00000000}},	//   _laog, _fv_, --, --, 
   {{0x63a688cf,0x80790259,0x00000000,0x00000000}},	//   _fokn, рбес_, --, --, 
   {{0x6d4888d0,0x6b8288d1,0x776d01f2,0xa2950009}},	//   _adda, _naog, _jbax, _дамі, 
   {{0x2c610035,0xa77c00c7,0x444488d2,0x6da588d3}},	//   wód_, טראפ, _zv_, жила, 
   {{0x444402ba,0x2bb13d07,0x6b8200a1,0x98a700bc}},	//   _yv_, जस्थ, _aaog, _ceně_, 
   {{0x65b0030f,0x6b8200a1,0x4c920267,0xfc052caa}},	//   _sähk, _baog, дијс, опко, 
   {{0x2c6100ab,0x0a4902f1,0x6d480547,0xaba91a52}},	//   ród_, азий_, _edda, рвиз_, 
   {{0x6025012d,0xb21b02c9,0x7d998503,0x2dd53a64}},	//   _dėme, _usæd, _квас_, _джар, 
   {{0x6e292186,0x3eb2004f,0x65ab0502,0x00000000}},	//   _iteb, øyte_, _mühs, --, 
   {{0xa3e90598,0x186988d4,0x98a500b3,0x6b8201fd}},	//   मका_, шани_, цине, _faog, 
   {{0x4e1d185c,0x2a7d023b,0x69ca02a5,0x98ac02d9}},	//   _पढाई_, _tswb_, _emfe, ladě_, 
   {{0xd9454500,0x63a600c3,0x69cf54c1,0xe9ce88d5}},	//   _дели, _rokn, éces, _жк_, 
   {{0x67d200e0,0xb5fb88d6,0x63a688d7,0x00000000}},	//   vāju, stán, _sokn, --, 
   {{0x63a6005f,0x833a44e8,0xa50a24eb,0xb4b40035}},	//   _pokn, ичат_, рева_, झने_, 
   {{0x444488d8,0x67d2002a,0x04570038,0xa7fd027e}},	//   _vv_, tāju, تلفة_, ltın, 
   {{0x9f5f0029,0x65b00e0f,0x798388d9,0xdbf2010c}},	// [8140] _thuê_, _lähi, _kanw, kşîn, 
   {{0xb5fb135a,0x44440436,0xa7fd06a2,0xe3b901a2}},	//   ntál, _tv_, ntın, абӣ_, 
   {{0xef1a0d61,0xdce1002a,0x798388da,0x6e290156}},	//   аме_, _dalī, _manw, _ateb, 
   {{0xf1bf006b,0xb5fb0038,0x69c6039f,0x26c201cf}},	//   _után_, htál, ékez, ozko_, 
   {{0x64410228,0x1ec71a41,0xdd94013e,0x5de61d91}},	//   šlit, олци_, залы, ожда, 
   {{0x6b820014,0x7bcb0156,0x26c201f1,0xdce101dd}},	//   _saog, _amgu, izko_, _galī, 
   {{0x6e29052b,0x201e020f,0xa5bb4345,0x2252040b}},	//   _eteb, _îti_, mpót, lryk_, 
   {{0xdee60524,0x0b8a032c,0x79830265,0x5a3409f9}},	//   _доби, рски_, _aanw, пнит, 
   {{0x79830626,0xed5a88db,0xdfcf007a,0x00000000}},	//   _banw, _воз_, _شيك_, --, 
   {{0x6d4801cc,0x3f840053,0x65b00380,0x67fd0126}},	//   _udda, _hamu_, _fähi, déja, 
   {{0x3f8411f7,0xd7fb33a9,0x798388dc,0x7c282104}},	//   _kamu_, иум_, _danw, _utdr, 
   {{0x3f8423ae,0x3f861484,0xc7c7004f,0xd7f900b3}},	//   _jamu_, ndou_, існи, ptăm_, 
   {{0x798388dd,0x23690201,0x8ad60019,0x46c500bc}},	//   _fanw, vfaj_, _بتائ, _लेखह, 
   {{0x69ca4adf,0x3f8488de,0x98a501dd,0x7983017c}},	//   _umfe, _lamu_, galē_, _ganw, 
   {{0x26c201ca,0x776d00c3,0xe3b36564,0x00000000}},	//   azko_, _tbax, ورر_, --, 
   {{0xdce100e0,0x3f8600bc,0x3f8488df,0xd5ba01a2}},	//   _salī, jdou_, _namu_, асӣ_, 
   {{0x1ddb11bd,0xdce1002a,0x23ae003e,0x26c20083}},	// [8150] _बदलत, _palī, _nýju_, czko_, 
   {{0x69da88e0,0x7afd003e,0xd250010e,0x3f840080}},	//   nnte, ýsti, کنے_, _aamu_, 
   {{0x65ab02f2,0x6e2988e1,0xb5fb1c01,0x3f840539}},	//   _führ, _steb, ntám, _bamu_, 
   {{0xd47a0137,0xa3af0d0d,0xb5fb0019,0x69da88e2}},	//   _פארל, _कवि_, ztál, hnte, 
   {{0x3f84219f,0x539a00a7,0xa7fd0095,0xddc90121}},	//   _damu_, _הירו, ytın, _vsež, 
   {{0xa7fd0095,0xd65800d1,0xa5bb019c,0xf2d20070}},	//   xtın, קיות_, mpós, _װעל_, 
   {{0x9f35347a,0x21ef01c4,0x3f8488e3,0x98ac00d8}},	//   _неві, bühr_, _famu_, radě_, 
   {{0x69da88e4,0xeb9988e5,0x65b02ca3,0x798388e6}},	//   ente, сии_, _vähi, _sanw, 
   {{0x798302a2,0x6e290611,0x2fdf0604,0xa7fd0241}},	//   _panw, _uteb, _ijug_, ttın, 
   {{0x69da88e7,0x65b0007e,0x5d5400d3,0x3f840548}},	//   gnte, _tähi, _окут, _zamu_, 
   {{0xb5fb247e,0x7c2d2e5c,0x79830af8,0xa7fd008f}},	//   rtál, ćars, _vanw, rtın, 
   {{0xb5fb88e8,0x2d8588e9,0x628f001d,0xf1bf6bf1}},	//   stál, _hale_, _orco, _stál_, 
   {{0x2d8588ea,0xa2cb3cae,0x19950093,0x65ab0380}},	//   _kale_, _सेल्, _надя, _rühr, 
   {{0x64a688eb,0x2d8701e8,0xa7fd0384,0x3f860098}},	//   пага, ndne_, ltıl, zdou_, 
   {{0x64a64b6d,0xb5fb033c,0x628f88ec,0x2d852a2d}},	//   чава, ctám, _arco, _male_, 
   {{0x42260bea,0xa7fd03c0,0x225288ed,0x03a388ee}},	//   здав, ntıl, tryk_, нисо, 
   {{0x27e0067c,0xe29788ef,0xab5d0035,0x3f860098}},	// [8160] _ijin_, пат_, liżs, vdou_, 
   {{0xb4663dc0,0x2d8507d7,0x2fdf0574,0x76462c44}},	//   _екол, _nale_, _ajug_, msky, 
   {{0xe1ff00ce,0x106a1e22,0x764688f0,0x628f01d8}},	//   _após_, сией_, lsky, _erco, 
   {{0x205588f1,0x3f8617e1,0x6ecd01a4,0xa2a7009a}},	//   ьтур, udou_, _देहु, _टॅक्, 
   {{0x764688f2,0x3f861484,0x69da78de,0xa3e907d5}},	//   nsky, rdou_, ynte, मकर_, 
   {{0x63b688f3,0xa6db008c,0x2d8588f4,0x628300e0}},	//   lkyn, naða, _cale_, ānot, 
   {{0x3f8488f5,0x38c2033e,0xc0e38369,0xddc900b3}},	//   _tamu_, _méré_, _зорк, _speţ, 
   {{0x69dd0518,0xb21b02c9,0x27e000ca,0x2d8588f6}},	//   ésen, _græs, _njin_, _eale_, 
   {{0x2d8588f7,0xc9860267,0xb21b01d5,0xcc8a00d7}},	//   _fale_, пуни, _hrær, _گناه_, 
   {{0x76467166,0x69da88f8,0x2918004f,0x27e0040c}},	//   dsky, unte, øra_, _ajin_, 
   {{0x69da88f9,0x63b600fc,0x7bdb040b,0x7d02007a}},	//   rnte, kkyn, bnuu, _dírí, 
   {{0x2d8588fa,0x7ae201ca,0xdc9b0225,0x38c20151}},	//   _zale_, _txot, _ליבל, _aéré_, 
   {{0x443a88fb,0x38c20574,0x764688fc,0x2c0b0019}},	//   _awp_, _béré_, gsky, _اعلی_, 
   {{0x7afd349e,0x2d8588fd,0x38c20175,0xca9700d1}},	//   üste, _xale_, _céré_, _מדדי_, 
   {{0x628f00ca,0x20040d22,0x00000000,0x00000000}},	//   _srco, _ohmi_, --, --, 
   {{0x27e01f57,0x63a400e5,0xa3bc3355,0x08770070}},	//   _gjin_, gjin, _अतः_, _זעהט_, 
   {{0x521502c0,0x00000000,0x00000000,0x00000000}},	// [8170] ддат, --, --, --, 
   {{0xbba90586,0x673f024a,0x940b00ad,0x38c20212}},	//   _छक्क, _heqj, _əmək_, _géré_, 
   {{0xb21b01cc,0x2d850300,0x75fb009e,0x673f0034}},	//   _præs, _rale_, nîzm, _keqj, 
   {{0x6455034c,0x2d8588fe,0x443102be,0x7d1a0ff2}},	//   mrzi, _sale_, mpz_, _agts, 
   {{0x7c3a008a,0x63bd00a4,0x2d851f2e,0x661701d6}},	//   _awtr, _ilsn, _pale_, _kixk, 
   {{0x645501c8,0x2d85084c,0x00000000,0x00000000}},	//   orzi, _qale_, --, --, 
   {{0xac090238,0x2d8788ff,0x69bb02e6,0xb21b02c9}},	//   онка_, rdne_, एससी, _træs, 
   {{0x2d85086d,0x395e00e0,0x2fdf22b4,0x799805d5}},	//   _wale_, egts_, _ujug_, _anvw, 
   {{0xfe7009e8,0x7c3a0c33,0xa7fd0ef3,0x6f1b016c}},	//   _مدل_, _ewtr, rtıl, _iguc, 
   {{0x3ce800ab,0x27f28900,0xb5fb010e,0x395e02ae}},	//   _चुके_, _skyn_, stáj, ggts_, 
   {{0xdddb0062,0x3cf0026e,0x38c20175,0xa7fd0241}},	//   _kruž, čové_, _réré_, ptıl, 
   {{0x65b006d6,0x7bc08901,0xdb260296,0x2fdd00f8}},	//   _läht, chmu, _قومی, nnwg_, 
   {{0xb8f479dd,0xa6db003e,0x443a8902,0xdcfa00b3}},	//   _से_, taða, _swp_, _tată, 
   {{0x76468903,0x65b01eab,0x273c0029,0x6b894a37}},	//   rsky, _näht, ận_, ldeg, 
   {{0xdddb03ef,0x76468904,0x69c1398e,0x63a48905}},	//   _oruž, ssky, mhle, tjin, 
   {{0x6d438906,0x6b898907,0x6f1b0a0f,0x76468908}},	//   hana, ndeg, _nguc, psky, 
   {{0xdb0b128a,0x59e11276,0x41aa8909,0xa3af000f}},	// [8180] _algú, _पदार, ован_, _कवर_, 
   {{0x6d43890a,0x63b6890b,0x63a4890c,0x443a35b8}},	//   jana, skyn, sjin, _twp_, 
   {{0x657c890d,0x628b0219,0x7bc70009,0xdb0900c8}},	//   merh, ågor, _įjun, lkeä, 
   {{0x645c890e,0xdd8f0399,0xe29a605d,0x657c1526}},	//   muri, یون_, _дам_, lerh, 
   {{0xdddb1852,0x6d43890f,0x798802bf,0xdfcf0038}},	//   _druž, fana, yddw, جين_, 
   {{0x657c02f2,0x60c900bc,0x8445009c,0xb21b1341}},	//   nerh, _řeme, _تخیل, _trær, 
   {{0x645c8910,0x69c18911,0x7bc00380,0xe81929c4}},	//   nuri, dhle, thmu, _नंगा_, 
   {{0xdddb7e82,0x6d430008,0x6b898912,0x645c020f}},	//   _gruž, aana, gdeg, iuri, 
   {{0x6d436895,0x657c17f0,0x645c8913,0x32180054}},	//   bana, kerh, huri, _kiry_, 
   {{0x645c8913,0x657c0126,0x69c12619,0x7bc02e22}},	//   kuri, jerh, ghle, shmu, 
   {{0x6e2001ee,0x798800f8,0x315700d1,0xbc661fde}},	//   _humb, rddw, ויין_, _цвек, 
   {{0x6e200247,0x75fb0216,0x9b930038,0x69c18914}},	//   _kumb, rîzm, _للمت, ahle, 
   {{0x6e208915,0xdce800e4,0x657c59d4,0x661701f1}},	//   _jumb, _padė, ferh, _pixk, 
   {{0xceb30137,0x645c8916,0x69c18917,0x6e208918}},	//   דיש_, furi, chle, _mumb, 
   {{0x67d54094,0x6e208919,0xb5fb00eb,0x645c1649}},	//   _поку, _lumb, ntái, guri, 
   {{0x6d43891a,0xe8020299,0x00000000,0x00000000}},	//   zana, ोषणा_, --, --, 
   {{0x6e20891b,0x657c428f,0x659508de,0x644a008c}},	// [8190] _numb, berh, _запу, _æfin, 
   {{0x6d4300ad,0x645c891c,0x765d891d,0x4905031e}},	//   xana, buri, musy, हेको_, 
   {{0xdddb0112,0x6d43891e,0x765d2282,0x645c891f}},	//   _pruž, vana, lusy, curi, 
   {{0x6d433fcd,0x44210574,0x93c90019,0xef1900a4}},	//   wana, _iuh_, _راجہ_, _każi_, 
   {{0x65b01ab9,0x6e208920,0x6d438921,0xee3832af}},	//   _täht, _cumb, tana, дні_, 
   {{0xa2bf40a8,0x9f4d01fd,0x44213d6f,0x6e208922}},	//   लैण्, _cheò_, _kuh_, _dumb, 
   {{0x6d438923,0x44210032,0x2249046d,0x10482d60}},	//   rana, _juh_, lsak_, _ояти_, 
   {{0x6d438924,0x65b002f2,0x6e2070cf,0x765d8925}},	//   sana, _jähr, _fumb, kusy, 
   {{0x6d433843,0x6b898926,0x6e208927,0x645c8928}},	//   pana, rdeg, _gumb, zuri, 
   {{0x6d438929,0x645c892a,0x9f4d00a1,0x6b89892b}},	//   qana, yuri, _gheò_, sdeg, 
   {{0x657c0bf3,0xe8f9892c,0x6d4100e0,0x3e6938e1}},	//   verh, яло_, _iela, lút_, 
   {{0xf0921a61,0x657c892d,0x2249892e,0x645c892f}},	//   אנט_, werh, ksak_, vuri, 
   {{0x6d418930,0x657c1b2e,0x3e690228,0x97c6004e}},	//   _kela, terh, nút_, _үйле, 
   {{0x6d411191,0x9aa411fe,0xdb090088,0x2249383b}},	//   _jela, _جمهو, rkeä, dsak_, 
   {{0x6d418931,0x66031790,0x39450729,0xccf20070}},	//   _mela, упра, mals_, ָכן_, 
   {{0x6d418932,0x645c8933,0x765d3cc6,0x657c8934}},	//   _lela, ruri, busy, serh, 
   {{0x44218935,0x22498936,0x02064cf8,0x6d410226}},	// [81a0] _euh_, gsak_, езан, _oela, 
   {{0x6d418937,0x645c8938,0xe889001b,0xe1f76079}},	//   _nela, puri, _kẻ_, егу_, 
   {{0x6e2009c2,0x44210218,0x65b001c4,0xdddb0035}},	//   _sumb, _guh_, _fähr, _druż, 
   {{0xa2cb4361,0xfe46203d,0xe8890023,0x6e208939}},	//   _सेक्, ендо, _mẻ_, _pumb, 
   {{0xe889001b,0x394500e0,0xc7d7029e,0x9f5f0534}},	//   _lẻ_, kals_, עוני_, _ghuí_, 
   {{0x6d41888e,0x6da311a8,0x6e20893a,0xdce10213}},	//   _cela, лича, _vumb, _anlı, 
   {{0x6d41893b,0x8d1a006b,0x7c2100a1,0x91e300c8}},	//   _dela, _ہزار_, _culr, _соре, 
   {{0x6e2036ff,0xb5fb00eb,0x6d4100b0,0x8aa60d11}},	//   _tumb, rtái, _eela, ерод, 
   {{0x6d41893c,0xb5fb0084,0xdee3893d,0xdb0b01e5}},	//   _fela, stái, _боти, _jogè, 
   {{0x3945893e,0x7afd0095,0xbe1309ed,0xdca6893f}},	//   gals_, üsta, _موقع, _пази, 
   {{0x815700c7,0xb985004e,0x7c218940,0x888100d7}},	//   עסטע_, ттық, _gulr, لیون, 
   {{0xfa880124,0x6d418941,0x765d8942,0xb5fb8943}},	//   _từ_, _zela, tusy, ntáv, 
   {{0x6d4100e2,0x42db0086,0x7d270219,0x44218944}},	//   _yela, _দর্শ, _årså, _suh_, 
   {{0x39458945,0x6d41078a,0x44218946,0xc8f40093}},	//   cals_, _xela, _puh_, _излъ, 
   {{0x62868947,0xd90e0444,0x00000000,0x00000000}},	//   _asko, _دید_, --, --, 
   {{0x22498948,0xdcf80097,0x765d011d,0x3a33009e}},	//   tsak_, jevč, pusy, _çapê_, 
   {{0x672d04c6,0xd251022a,0x4421011c,0x798a018e}},	// [81b0] _ifaj, شنا_, _wuh_, _kafw, 
   {{0x44215480,0x65b002f2,0x6286016a,0x22498949}},	//   _tuh_, _währ, _dsko, rsak_, 
   {{0x6286894a,0x2249894b,0xe8890023,0xd4980080}},	//   _esko, ssak_, _xẻ_, _зря_, 
   {{0x6d411336,0x9e3502f3,0x3fcf0086,0x3e694724}},	//   _sela, ведч, িক্ষ, tút_, 
   {{0x43941472,0xdb0b00e5,0x69dd0019,0x6286018e}},	//   _саяс, _vogë, ések, _gsko, 
   {{0xdce8002a,0x6d41010c,0x3e69894c,0x00000000}},	//   _gadī, _qela, rút_, --, 
   {{0x63af090b,0x00000000,0x00000000,0x00000000}},	//   _kocn, --, --, --, 
   {{0x6d41467f,0xe8890029,0x0ed202e6,0x1adc0083}},	//   _wela, _rẻ_, _देवड, मपंथ, 
   {{0x6d4122fd,0x3945894d,0xe8890029,0x63af138c}},	//   _tela, tals_, _sẻ_, _mocn, 
   {{0x798a00f8,0x6d412b34,0x00000000,0x00000000}},	//   _cafw, _uela, --, --, 
   {{0x3945894e,0xb90200dd,0x764d894f,0x31bf009e}},	//   rals_, изьк, _avay, _xîza_, 
   {{0x39458950,0xe8890029,0xb9093024,0x63af18aa}},	//   sals_, _vẻ_, _यश_, _nocn, 
   {{0x5fa602e6,0xae21051f,0x39451391,0xdb190118}},	//   कॉटल, मदिन_, pals_, _emwò, 
   {{0xceb20052,0x672d023a,0xeab00038,0xe8890108}},	//   סים_, _efaj, _دعم_, _tẻ_, 
   {{0xdce800e0,0x443e0542,0xddc200e0,0x6b8b8951}},	//   _radī, èt_, ntoš, _kagg, 
   {{0x087600c7,0x5eb70033,0xfe210f64,0x00000000}},	//   _יעצט_, _আইনে, मदास_, --, 
   {{0x6b8b8952,0x2a6d8953,0x63af0ab4,0x61e28954}},	// [81c0] _magg, nteb_, _docn, éolo, 
   {{0x142603dc,0xb65b008d,0x00da091d,0x53c602e6}},	//   _идом, _קדיש, وبات_, रोजश, 
   {{0xdce8002a,0xdb0b0175,0x645a0183,0xb33b0248}},	//   _vadī, _dogé, átid, _poçt, 
   {{0x6b8b1272,0x705300c5,0x2a6d8955,0x93c700b3}},	//   _nagg, شنها, kteb_, _plăţ, 
   {{0x62860f3d,0xb5fb02a0,0x6da65694,0x5d7800d9}},	//   _usko, rtáv, кида, ейля_, 
   {{0xb5fb8956,0x8d630886,0xa2cb02e6,0xe6260108}},	//   stáv, авље, _सेट्, _đôla_, 
   {{0xa0a3196c,0x6b8b8957,0xcbe68958,0xb5fb031e}},	//   _кард, _bagg, кции, ptáv, 
   {{0xc0e351d0,0x09da009a,0x61fe8959,0x6b8b0036}},	//   _тоск, यच्य, llpl, _cagg, 
   {{0xd00f0084,0x6b8b895a,0x2a6d006d,0xf77f0585}},	//   _ذلك_, _dagg, gteb_, veç_, 
   {{0xb4d200a2,0x672d008a,0xb5fb75af,0x00000000}},	//   _वधू_, _sfaj, ntát, --, 
   {{0x2d9e1443,0x2d8c027e,0xa8155750,0xdddb00da}},	//   _inte_, _iade_, лдош, _usuš, 
   {{0x2d8c895b,0x6b8b895c,0x798a019b,0xe8e00023}},	//   _hade_, _gagg, _wafw, _ngụy_, 
   {{0x2d8c5f16,0xc9aa0aa3,0x63af895d,0xf77f0241}},	//   _kade_, _овде_, _rocn, reç_, 
   {{0xea7700a7,0xa4d500dd,0x9f4f0371,0x63af0304}},	//   _סגור_, гогі, rogé_, _socn, 
   {{0x63af04d1,0xc7c7895e,0x2d8c0056,0xb97b00a7}},	//   _pocn, _аспи, _made_, _חנוי, 
   {{0x2d8c895f,0x61fe4876,0xd4070080,0x00000000}},	//   _lade_, elpl, тяги, --, 
   {{0x2d9e0496,0x63af0571,0x2fc6009c,0xf8e20c64}},	// [81d0] _onte_, _vocn, dhog_, _पशुप, 
   {{0x80be0033,0x00000000,0x00000000,0x00000000}},	//   ্পন্, --, --, --, 
   {{0x44273888,0xc95300fe,0x63af6bd2,0xaad900c9}},	//   _în_, שמע_, _tocn, _बेनक, 
   {{0x2d9e8960,0xb4c100ab,0x2fc6011d,0x44338961}},	//   _ante_, ्छी_, ghog_, _itx_, 
   {{0x6b8b8962,0x4ea70093,0x44338963,0x6b808964}},	//   _ragg, ържа, _htx_, demg, 
   {{0xf2d20056,0x1d0952d5,0xfce58965,0x2d8c143c}},	//   _פעם_, нели_, лоло, _cade_, 
   {{0x6b8b37c5,0x2d8c8966,0x7bc28967,0x44330065}},	//   _pagg, _dade_, _blou, _jtx_, 
   {{0x2d9e8968,0xddc28969,0x7bc2896a,0x200c00b9}},	//   _ente_, rtoš, _clou, _èdip_, 
   {{0xee8407a5,0x7bc2000d,0x5ba4004e,0xddc2896b}},	//   _выхо, _dlou, рлығ, stoš, 
   {{0xdcbb0021,0x2d8c0cd7,0x5fb902f8,0xdfd3004e}},	//   _още_, _gade_, _आवडल, _соғы, 
   {{0x2dd800eb,0xf7461e2b,0x2a6d0201,0x4a730259}},	//   _شبكة_, лено, steb_, уықт, 
   {{0x7ae4034c,0xf77257c8,0x628400f8,0x00000000}},	//   _žite, حاد_, ywio, --, 
   {{0x63a0022c,0x2d8c896c,0xb5fb010e,0xa6db01d5}},	//   _òmni, _yade_, jtás, naðh, 
   {{0x88c50e05,0x2bcf0c14,0x7bc214f0,0x2d8c0068}},	//   _متعل, तोरा, _zlou, _xade_, 
   {{0x41b6005e,0x79810149,0x43766a98,0x987900c7}},	//   қсат, melw, луат, _טאַט, 
   {{0x798107d7,0xa766896d,0xb5fb0228,0x645a022c}},	//   lelw, _скид, tuác, àtiq, 
   {{0x314403dc,0xa3b500b0,0x4ebe0033,0x00000000}},	// [81e0] идаҳ, _जकर_, _অশ্ল, --, 
   {{0x798188dd,0x3f9f011c,0x10a6004f,0x6d45003e}},	//   nelw, _anuu_, лизн, ðhal, 
   {{0x2d8c171a,0xdce3012d,0xb5fb3c3d,0x4096001c}},	//   _rade_, menė, rtát, ырат, 
   {{0xb5fb896e,0x03a6660a,0x2d8c896f,0x79810149}},	//   gráf, _симо, _sade_, helw, 
   {{0xdef700d3,0x79810364,0x2d8c1a44,0xdcf801dd}},	//   лыш_, kelw, _pade_, devā, 
   {{0x7bc2031e,0x7e7b016a,0x98be00d9,0x79810026}},	//   _slou, _dpup, nată_, jelw, 
   {{0x5b2649a6,0x2d8c01f0,0x7bc28970,0x6adc1f22}},	//   льпа, _vade_, _plou, मप्र, 
   {{0xb5fb8971,0xaa541717,0xba541b11,0x1faa004f}},	//   ntár, авиш, авиј, _якби_, 
   {{0x2d8c8972,0x79818973,0x7dc6003e,0x645c8974}},	//   _tade_, felw, _aðse, hrri, 
   {{0x79810156,0x98be020f,0x644e0a98,0x2d9e02be}},	//   gelw, jată_, ksbi, _unte_, 
   {{0x6d4a8975,0x29186979,0x98be00d9,0xd91700c8}},	//   mafa, ära_, dată_, лью_, 
   {{0x6d4a8976,0x644e05ac,0xa6db008c,0x69c3039f}},	//   lafa, dsbi, laði, _elne, 
   {{0x79818977,0x645c01f1,0x3b0602f1,0xa5bb34df}},	//   belw, erri, _uzoq_, mpóz, 
   {{0xa9342f0d,0x6d4a8978,0xa6db003e,0xb5fb02a0}},	//   _текш, nafa, naði, etár, 
   {{0xd5b8041c,0xb4c11d11,0x69c80557,0x644e098d}},	//   уся_, ्छे_, mhde, gsbi, 
   {{0x6d4a05f0,0xa3cf26d4,0x7e621db9,0x53358979}},	//   hafa, वों_, kuop, реат, 
   {{0x6d4a897a,0x645c00b4,0x5b7b00c7,0x69da1c0b}},	// [81f0] kafa, arri, ערמא, oite, 
   {{0x645a0b85,0x98be002e,0xb5fb010e,0x661e0a1a}},	//   átic, cată_, rtás, _gipk, 
   {{0xb5fb0634,0xdb000844,0x161e0083,0x00000000}},	//   tráf, ckmö, _यूटर_, --, 
   {{0x645a090e,0xb5fb1a6e,0x09e1897b,0x83ab00c8}},	//   štic, ctár, _पद्य, _чтоб_, 
   {{0x3ea50623,0x6d4a897c,0xbea5897d,0x764f897e}},	//   рилг, fafa, ралк, nscy, 
   {{0x6d4a02b8,0x2b4900ca,0xa6db01d5,0x00000000}},	//   gafa, _žac_, gaði, --, 
   {{0x63ad012d,0xa7fd008f,0xa2d92158,0x798102aa}},	//   ojan, ntıs, _नेत्, velw, 
   {{0xeb9903dc,0x98be00d9,0x69c30228,0x79810156}},	//   тии_, zată_, _slne, welw, 
   {{0x69da897f,0x6d4a8980,0x6e948981,0x2b460118}},	//   fite, bafa, _литу, _deoc_, 
   {{0x27e98982,0x69c8009f,0x2b4603a0,0x63ad0341}},	//   _ajan_, ghde, _eeoc_, hjan, 
   {{0xe73a6835,0x63ad8983,0x98be00b3,0x798131f5}},	//   кен_, kjan, vată_, relw, 
   {{0xc6001893,0xb5fb8984,0x63ad01a3,0x79818985}},	//   ोग्य_, hrád, jjan, selw, 
   {{0x63ad8986,0x98be00d9,0xb5fb31ba,0x00000000}},	//   djan, tată_, vtár, --, 
   {{0x69c88987,0x644e17f4,0x7bc9026a,0x7d1c007a}},	//   chde, tsbi, lheu, _úrsc, 
   {{0x98be002e,0x645c39ab,0x39478988,0x04463a88}},	//   rată_, urri, _iens_, ребн, 
   {{0x7bc9026a,0xdb0b44c3,0x63ad8989,0x6d4a498b}},	//   nheu, _logí, gjan, zafa, 
   {{0x6d4a898a,0x661e898b,0xe1fa02f1,0x644e1b32}},	// [8200] yafa, _tipk, вга_, ssbi, 
   {{0x394746ce,0x6d4a00f6,0xb5fb898c,0x4096898d}},	//   _jens_, xafa, stár, ирет, 
   {{0x64a60244,0xa3af07d5,0x63ad898e,0x4f2600c8}},	//   _тана, _कवच_, bjan, адеб, 
   {{0x69da898f,0x6d4a0010,0x76440199,0x63ad0035}},	//   zite, wafa, _kwiy, cjan, 
   {{0xe8e206ea,0x2a7d006d,0x69da6ada,0xeda68990}},	//   _पश्च, _npwb_, yite, ишко, 
   {{0x444417d3,0x394700d3,0x69da8991,0x32438992}},	//   _kw_, _nens_, xite, _ферг, 
   {{0x8bc600cf,0xa6db003e,0x98a50028,0x00000000}},	//   исид, raði, dalį_, --, 
   {{0x44448993,0x69da8994,0x6d4a8995,0xe7c10086}},	//   _mw_, wite, safa, _উদ্য, 
   {{0x44440298,0x39470c7c,0x6d4a084c,0x79a6877f}},	//   _lw_, _bens_, pafa, арне, 
   {{0x44440298,0x63ad8996,0x497315a7,0x3947022c}},	//   _ow_, zjan, ольс, _cens_, 
   {{0x19a7021f,0x58d800dd,0x394714a4,0x27e9003d}},	//   ртып_, удня_, _dens_, _pjan_, 
   {{0x39470285,0x6d480a9f,0x7bc98997,0x69c801ff}},	//   _eens_, _heda, cheu, shde, 
   {{0x44448998,0x6d487923,0x998d00ef,0x199401fc}},	//   _aw_, _keda, speš_, _галя, 
   {{0x6d4803ef,0x44446217,0x3947051c,0x69da024a}},	//   _jeda, _bw_, _gens_, qite, 
   {{0x6d48076b,0xf77f26bd,0x63ad1391,0x58d38999}},	//   _meda, ança_, tjan, _мошт, 
   {{0x7c2803ef,0x6d48899a,0x4444899b,0x27e96bcb}},	//   _mudr, _leda, _dw_, _ujan_, 
   {{0x44446943,0x71792ab2,0x7c2817f9,0x241813f2}},	// [8210] _ew_, лбар_, _ludr, роты_, 
   {{0x6f09006a,0x39470068,0x394c899c,0x63ad899d}},	//   _rzec, _xens_, nads_, sjan, 
   {{0x4444899e,0x63ad899f,0x200d0415,0xed590283}},	//   _gw_, pjan, _phei_, ҳол_, 
   {{0xdb0b02be,0xb21b0566,0x6d4889a0,0x00000000}},	//   _jogã, _spæd, _aeda, --, 
   {{0x7c2889a1,0x69d889a2,0x444489a3,0xed5989a4}},	//   _audr, _omve, _zw_, гол_, 
   {{0x444402f0,0xdef800e4,0x7c281fcd,0x62830035}},	//   _yw_, шых_, _budr, łnos, 
   {{0x4444050a,0x6d4889a5,0xa6db010d,0x7bc9019c}},	//   _xw_, _deda, maðu, theu, 
   {{0x394789a6,0x236989a7,0x1dd989a8,0x69d8044d}},	//   _sens_, ngaj_, _भगवत, _amve, 
   {{0x6d4889a9,0x7bc901da,0x6f090ab4,0x7c280d44}},	//   _feda, rheu, _uzec, _eudr, 
   {{0x6d4864bb,0xa6db008c,0x1ae54ae3,0x7bc9039b}},	//   _geda, naðu, _қолм, sheu, 
   {{0xa3e8215e,0x7c2889aa,0x5dfa0070,0xb5fb61c2}},	//   _बदल_, _gudr, _עפענ, tuán, 
   {{0x4444099d,0x6e21055a,0x39470318,0x6d4800b4}},	//   _rw_, _hilb, _wens_, _zeda, 
   {{0x34b241a8,0xa7fd027e,0x7d0189ab,0x444489ac}},	//   ीन्द, ttır, _hyls, _sw_, 
   {{0x444489ad,0x6e290033,0x6e2189ae,0x28b900eb}},	//   _pw_, _mueb, _jilb, _مطبخ_, 
   {{0x4444023b,0xdb0b0165,0x69c101da,0x6e2189af}},	//   _qw_, _fogã, mkle, _milb, 
   {{0xf1bf001b,0x444489b0,0x69c1000b,0xa7fd027e}},	//   _quán_, _vw_, lkle, stır, 
   {{0xa7fd01f0,0x6e29011d,0x98be17d0,0x6e2101be}},	// [8220] ptır, _nueb, ratą_, _oilb, 
   {{0x444489b1,0x01d70084,0x69c189b2,0x2007055a}},	//   _tw_, موقع_, nkle, înin_, 
   {{0x4444290d,0xb5fb426b,0x4ad90c46,0x0219004f}},	//   _uw_, bráb, _बेसव, ріть_, 
   {{0x4fea005e,0x7c280175,0x68fc0380,0x6e2189b3}},	//   ымен_, _rudr, ürdi, _ailb, 
   {{0x6e2102ba,0x7f49008a,0x319f01dd,0x7c2858f9}},	//   _bilb, _deeq, _bāzē_, _sudr, 
   {{0x442289b4,0x6d48010c,0x6e2100a1,0x7bd93767}},	//   _hik_, _qeda, _cilb, _amwu, 
   {{0x6d4889b5,0xb5fb026e,0x6e2189b6,0x394c00e0}},	//   _veda, duál, _dilb, vads_, 
   {{0x9b6a89b7,0x6d483231,0x44220cc6,0x5a346949}},	//   ушка_, _weda, _jik_, онит, 
   {{0x6d4889b8,0x394c89b9,0x442289ba,0x3f86068b}},	//   _teda, tads_, _mik_, meou_, 
   {{0x6d48023e,0x69c189bb,0xf4000033,0x2a6400b3}},	//   _ueda, gkle, ্দির_, rumb_, 
   {{0xdca389bc,0xf4c30033,0x3e720054,0x7bde0151}},	//   _нафи, _ঈশ্ব, lât_, épus, 
   {{0x442289bd,0xaad90262,0x69dd0107,0xa3bd0586}},	//   _nik_, _बेवक, éser, _अवध_, 
   {{0x95cb37c4,0x1bfb0147,0x00000000,0x00000000}},	//   гува_, _גלאב, --, --, 
   {{0xf1bf08f4,0x4422014e,0x7c223dde,0x69c189be}},	//   _cuál_, _aik_, _hior, ckle, 
   {{0x645a89bf,0xd37b89c0,0xdce301dd,0x7c22018e}},	//   štin, лча_, venī, _kior, 
   {{0x442289c1,0xeda5049c,0xdc370070,0x3e720054}},	//   _cik_, _गच्छ, מאלט_, kât_, 
   {{0x442289c2,0x7c2289c3,0x3f86068b,0x78050a20}},	// [8230] _dik_, _mior, deou_, रतीक_, 
   {{0x7c220183,0x442289c4,0xe4e708ab,0xa15917e0}},	//   _lior, _eik_, _гімн, ражу_, 
   {{0x44220022,0xa6db04f4,0x6e2900a1,0x00000000}},	//   _fik_, raðu, _sueb, --, 
   {{0x6e2915c4,0xdb0b0084,0x442201cc,0x6d5e89c5}},	//   _pueb, _logá, _gik_, ópan, 
   {{0x7ae40a95,0x80da0086,0x69c189c6,0x6e291cea}},	//   _žitn, _বুদ্, ykle, _queb, 
   {{0x628f0856,0xb5fb05a8,0x442289c7,0x7c2289c8}},	//   _isco, xuál, _zik_, _aior, 
   {{0x442200e2,0x7c2289c9,0x6e2189ca,0x4c85017b}},	//   _yik_, _bior, _vilb, ілив, 
   {{0x23c904d7,0xa91c0039,0x7c223aa8,0x6e2189cb}},	//   रसिद, teľn, _cior, _wilb, 
   {{0x6e2189cc,0xb5fb4b68,0x7c2289cd,0x3e72002e}},	//   _tilb, tuál, _dior, cât_, 
   {{0x80be00cc,0x8d770399,0xe9d90cd9,0x7d010080}},	//   ্পর্, _دارا, рко_, _tyls, 
   {{0x2d8789ce,0x7c220141,0x15fa00ab,0x23c91f9a}},	//   mene_, _fior, ृतसर_, रसाद, 
   {{0x7c220021,0xdd0e213d,0x2d8789cf,0x7bd90199}},	//   _gior, lışm, lene_, _umwu, 
   {{0x442289d0,0x2d870876,0xdb0b010e,0xd62a3623}},	//   _rik_, oene_, _fogá, роге_, 
   {{0x442289d1,0x2d8789d2,0xdd0e03c0,0x992b00c8}},	//   _sik_, nene_, nışm, _сюда_, 
   {{0x628f0141,0x629d89d3,0xe73a00f0,0x18690176}},	//   _asco, _arso, _кей_, _тайи_, 
   {{0xb5fb89d4,0x2d870b07,0x3f860183,0x4422021e}},	//   trác, hene_, xeou_, _qik_, 
   {{0x2d8789d5,0xb5fb0228,0x442205a1,0xe2970240}},	// [8240] kene_, urác, _vik_, оат_, 
   {{0xe16600eb,0xdb0b0068,0x93c70108,0x225289d6}},	//   تدري, _xogá, _hoặ, rsyk_, 
   {{0x442289d7,0x2d8702fb,0x628f37ba,0x3086195e}},	//   _tik_, dene_, _esco, تلاف, 
   {{0xb5fb026e,0x443a0035,0xaf06069b,0xf2a600b3}},	//   prác, _itp_, опел, _димп, 
   {{0x7c2289d8,0xfe6f1897,0x2d8789d9,0xe4d700d7}},	//   _rior, ندو_, fene_, _هویت_, 
   {{0x2d8789da,0x443a2e9a,0x7c220014,0x7ae40097}},	//   gene_, _ktp_, _sior, _žito, 
   {{0x7c2289db,0x50b589dc,0x00000000,0x00000000}},	//   _pior, _есту, --, --, 
   {{0xe3bf0126,0x443a1d56,0x261100aa,0x2d8702a5}},	//   _tiñe_, _mtp_, _दीनी_, aene_, 
   {{0xa91c0039,0xf41302a1,0x7c2200b3,0x7e98009c}},	//   teľo, ופה_, _vior, _دچار_, 
   {{0x2006024a,0x443a626e,0x7e62011c,0x00000000}},	//   lloi_, _otp_, mrop, --, 
   {{0x09b7057f,0x28f80fb6,0x443a2107,0x7c2289dd}},	//   تطيع_, сень_, _ntp_, _tior, 
   {{0x61b72c64,0x7c3a003d,0xc6a705f3,0x63a60175}},	//   _आक्ष, _ittr, орги, _nnkn, 
   {{0x645a0062,0xf98f00d6,0xa91c0032,0x1dd70110}},	//   štil, ربی_, peľo, भोवत, 
   {{0x63a60a25,0x443a26e8,0x00000000,0x00000000}},	//   _ankn, _btp_, --, --, 
   {{0x69ca016a,0x6672009c,0x79880532,0x200600b4}},	//   _ilfe, وگیر, medw, kloi_, 
   {{0x798889de,0xd6db89df,0x629d00d8,0xe2350267}},	//   ledw, _вто_, _prso, знањ, 
   {{0x2d8789e0,0x2007010c,0xa6db003e,0x24970028}},	// [8250] yene_, înim_, raðs, _žemė_, 
   {{0x7988044d,0xd13b89e1,0x41e4128b,0xed880028}},	//   nedw, рха_, міха, šųjų_, 
   {{0x2d876bd0,0xf8ca188d,0xada501a2,0x7e62123b}},	//   vene_, ानिय, ҷалл, erop, 
   {{0x6d5a89e2,0x2d87354c,0x7e620626,0x79880204}},	//   _adta, wene_, frop, hedw, 
   {{0x2d8702fb,0x7c3a89e3,0x6da502f1,0x79880204}},	//   tene_, _attr, зила, kedw, 
   {{0xb2ba00d1,0xa2ba00d1,0x7988018e,0xf8ca03a2}},	//   _המשר, _המשט, jedw, ानाय, 
   {{0x2d8789e4,0x7d1c003e,0xdd0e03c0,0x7988213b}},	//   rene_, _úrsl, rışm, dedw, 
   {{0x5ba93261,0x2d8789e5,0x69ca226c,0x628d025b}},	//   ским_, sene_, _alfe, owao, 
   {{0xe9d940f3,0x2d877934,0xdce70585,0x7e622dc3}},	//   йки_, pene_, ğlıl, crop, 
   {{0x6ca7451d,0x2ba91df3,0xedd50038,0x5dd5010e}},	//   _мреж, काहा, _عياد, _عقائ, 
   {{0x6d4389e6,0x98a589e7,0xdb0b0054,0x290301d5}},	//   mbna, чине, _algô, æja_, 
   {{0x69ca89e8,0xe29f008c,0x7f5b008a,0x645a020b}},	//   _elfe, _orð_, _jduq, átim, 
   {{0xb9022125,0xfaa589e9,0x7bcb1916,0x629800e0}},	//   _ने_, _хало, _ilgu, āvok, 
   {{0xceb20052,0x645a0062,0x6b8989ea,0x7c3a014e}},	//   עים_, štim, leeg, _yttr, 
   {{0x64a34265,0x645589eb,0x00000000,0x00000000}},	//   нара, gszi, --, --, 
   {{0x3cde0077,0xe8d600d1,0x998e010c,0x78bc89ec}},	//   _कइसे_, _מוצר_, _kifş_, ärve, 
   {{0x443a016a,0x2737001b,0xa3bd02e6,0x6e3b0610}},	// [8260] _wtp_, _ủng_, _अवर_, _ntub, 
   {{0x443a0ab1,0x7e6202f1,0xe3b90176,0x00000000}},	//   _ttp_, vrop, ббӣ_, --, 
   {{0x7e6200c3,0x6e3b89ed,0x55bb00d1,0x2ec42795}},	//   wrop, _atub, _המיו, वन्त, 
   {{0x79884dbc,0x7e6269ce,0xd7af009a,0x63a600d1}},	//   zedw, trop, टायच, _unkn, 
   {{0xdfcf361f,0xdd940a31,0x7f5b008a,0x539b00d1}},	//   دين_, далы, _dduq, _היכו, 
   {{0x7bcb44c3,0xb5fb89ee,0x2b9800e7,0xf2d300c7}},	//   _algu, hrán, _ức_, _טער_, 
   {{0x20060518,0xd7cc00a2,0xb5fb008c,0x61fe89ef}},	//   ploi_, ासाच, krán, mopl, 
   {{0x798889f0,0x6b8989f1,0x0b8a2caa,0x00000000}},	//   wedw, geeg, сски_, --, 
   {{0x79880532,0xfa8a02f1,0xdcfa00e0,0xb5fb1937}},	//   tedw, ёсий_, _patē, drán, 
   {{0xe3bf09a1,0xed572160,0x6d5a055f,0x6d4300a1}},	//   _miña_, _ноу_, _udta, cbna, 
   {{0xe3bf09a1,0xb5fb70e0,0x7c3a05a7,0x798889f2}},	//   _liña_, frán, _uttr, redw, 
   {{0x61fe004b,0x798889f3,0x22400f3a,0x7aed02d9}},	//   hopl, sedw, kpik_, _žate, 
   {{0x61fe2178,0xe3bf0033,0x2ba94437,0xe9a66449}},	//   kopl, _niña_, कारा, _надп, 
   {{0x6455006b,0x9976536e,0x61fe039b,0x00000000}},	//   tszi, _худш, jopl, --, 
   {{0xb5fb0356,0xe97b00a7,0xf4841299,0xa97b00d1}},	//   brán, _הנוש, нутн, _האוכ, 
   {{0xb5fb38e1,0x645589f4,0xd6d115ce,0x00000000}},	//   ntáz, rszi, _لقب_, --, 
   {{0x64550019,0x0edb051f,0x61fe00c2,0x6458003e}},	// [8270] sszi, _मेंड, fopl, _ævin, 
   {{0x61fe0613,0x6455039f,0x29020248,0x6b89252c}},	//   gopl, pszi, əkar_, zeeg, 
   {{0xc05b004e,0x25d800c7,0x06380499,0x25fc034d}},	//   сіз_, _מוזן_, _وسیع_, ोतरी_, 
   {{0xe29f003e,0x3b0601ff,0x2fc60175,0x00000000}},	//   _eyða_, _oyoq_, gkog_, --, 
   {{0x6ff500ab,0xf8a97426,0x7dcf01e8,0x98be02d9}},	//   jące, _छप्प, _løse, tatě_, 
   {{0x6b897fa3,0x3ea202f1,0xbea289f5,0xdb070883}},	//   weeg, тишг, ташк, _éléc, 
   {{0x2ba90662,0x6b8989f6,0x26c20083,0xddc20604}},	//   काला, teeg, zyko_, btož, 
   {{0x2fc604d1,0x5f9413cc,0xaac8031e,0x7aa502a0}},	//   ckog_, _пист, ाईंक, дииз, 
   {{0x6b8989f7,0x8d87307f,0x60180088,0xc33400a7}},	//   reeg, _нужд, _хотя_, עוץ_, 
   {{0x26c20009,0x08c536a1,0x00000000,0x00000000}},	//   vyko_, дбон, --, --, 
   {{0xb5fb5881,0x378a41ae,0x8d7411b7,0x69a1009a}},	//   trán, обно_, _سالا, _कोणी, 
   {{0x66e689f8,0x2fcd0696,0x7bcb00a3,0x645a89f9}},	//   дома, _jleg_, _ulgu, štik, 
   {{0xb5fb0503,0xab0b00d4,0x7e6b0102,0xa3c30ed5}},	//   rrán, _اتاق_, nugp, ्सन_, 
   {{0xb21b10ff,0x26110262,0x61fe00b9,0xe3bf0369}},	//   _spæn, _दीदी_, xopl, _riña_, 
   {{0x7e6b011d,0x00000000,0x00000000,0x00000000}},	//   hugp, --, --, --, 
   {{0xe3bf00e9,0xf7720038,0x2259059e,0x00000000}},	//   _piña_, _شاب_, _bvsk_, --, 
   {{0x61fe89fa,0x42267216,0xb2260afc,0x764b0566}},	// [8280] topl, ддав, дмал, _ægyp, 
   {{0x3cde05d2,0xe3bf0503,0x2fcd00b3,0x394e00f6}},	//   _कइले_, _viña_, _aleg_, _xefs_, 
   {{0x61fe89fb,0x2fc60704,0x2fcd89fc,0x232a48f7}},	//   ropl, tkog_, _bleg_, _мони_, 
   {{0xe3bf09a1,0x4f0a1d65,0x2fcd011c,0xb5fb00bc}},	//   _tiña_, онен_, _cleg_, hrál, 
   {{0xa91c0228,0xa24800d4,0x2fc60a1a,0xb5fb2e9b}},	//   teľk, _ریال_, rkog_, král, 
   {{0x2fc6034c,0x7d780038,0x7d1c003e,0x290789fd}},	//   skog_, سمبر_, _úrsk, _oyna_, 
   {{0xe12303dc,0x6da31329,0xfba90110,0x27e089fe}},	//   _амри, тија, कांम, _omin_, 
   {{0x27e007fc,0xcfaa031b,0xeb970267,0x3ea900d8}},	//   _nmin_, _باسم_, дић_, ťata_, 
   {{0x290789ff,0xb5fb001d,0xdb190237,0x298a15ca}},	//   _ayna_, rtáz, _jowè, осно_, 
   {{0x27e06975,0x2907018c,0xb5fb4894,0x600a02d9}},	//   _amin_, _byna_, stáz, kýmk, 
   {{0xf1bf001b,0x00000000,0x00000000,0x00000000}},	//   _quái_, --, --, --, 
   {{0x29070156,0x62868a00,0x27e00379,0x3cf10098}},	//   _dyna_, _opko, _cmin_, ťový_, 
   {{0xb5fb4b4b,0x6b828a01,0xbc1b0070,0xdb190118}},	//   brál, _ibog, _וואש, _nowè, 
   {{0x349540f2,0x27e08a02,0x7dcf02c9,0x6e2801f2}},	//   нагр, _emin_, _tøse, _jidb, 
   {{0xe4e400dd,0x628600e0,0x241916d0,0x7d0802c9}},	//   вітн, _apko, зовы_, _jyds, 
   {{0xddc9031e,0x00000000,0x00000000,0x00000000}},	//   _dveř, --, --, --, 
   {{0x52151fde,0x6b828a03,0xe0d0009c,0x7d0800fb}},	// [8290] едат, _mbog, یزم_, _lyds, 
   {{0x2fcd0876,0x2600009a,0x764d3a80,0x91e40267}},	//   _sleg_, ळवणी_, _iway, вође, 
   {{0x3cde02f8,0x2b05031e,0x764d8a04,0x35f80038}},	//   _केले_, _हुनु_, _hway, _تريد_, 
   {{0x764d8a05,0x66050096,0x2ef505b2,0x79980300}},	//   _kway, _hkhk, нзер, _lavw, 
   {{0x733a00c7,0xddc900bc,0xde58004f,0xf8ca18b4}},	//   _מערס, _zveř, дачі_, ानुप, 
   {{0x6b828a06,0x764d8a07,0x7c9500c4,0x29c90126}},	//   _abog, _mway, ериц, _cúal_, 
   {{0x63bd008c,0x7e6b011d,0x32010054,0x764d8a08}},	//   _kosn, sugp, mohy_, _lway, 
   {{0x672d8a09,0xe3bf0496,0x6aa20156,0x3201014b}},	//   _ngaj, _miño_, _brof, lohy_, 
   {{0xba254a21,0xb5fb0019,0x29071765,0x6aa28a0a}},	//   ндик, trál, _syna_, _crof, 
   {{0x672d01b8,0x32010180,0x6aa28a0b,0x6e2801f2}},	//   _agaj, nohy_, _drof, _gidb, 
   {{0x764d8a0c,0xe3bf0a22,0x27e0016a,0x5eb70086}},	//   _away, _niño_, _pmin_, _আইটে, 
   {{0x63bd42bd,0xb21b357d,0x69c8012b,0x78bc0219}},	//   _nosn, _spæl, akde, ärva, 
   {{0x0aeb00c5,0x34c804cc,0xb6a3001c,0x6aa28a0d}},	//   _براي_, रन्द, гиял, _grof, 
   {{0x7bc98a0e,0x764d0237,0x69c83838,0x6b820112}},	//   lkeu, _dway, ckde, _zbog, 
   {{0x63bd075e,0x63862fc2,0x61e50604,0x27e0008a}},	//   _bosn, нгва, dihl, _tmin_, 
   {{0x6b9b8a0f,0x7bc911e9,0x7ae41e62,0x63bd00a0}},	//   ndug, nkeu, _žiti, _cosn, 
   {{0x61e50415,0x7bc900c8,0x6f1d0098,0x320101a7}},	// [82a0] fihl, ikeu, _úsch, fohy_, 
   {{0x7bc911e9,0x20040096,0x6b990090,0x42070bad}},	//   hkeu, _skmi_, _lawg, енуо_, 
   {{0x7bc98a10,0xb5fb014b,0x717300eb,0xddc902d9}},	//   kkeu, kráj, اهما, _uveř, 
   {{0x69a104cc,0x78bc0b48,0x6b9b0304,0x543b0070}},	//   _कोसी, ørvi, jdug, _מעטא, 
   {{0x7bc98a11,0x490600a5,0xfeb700d4,0xdddb8a12}},	//   dkeu, _सुनो_, فاوت_, _spuš, 
   {{0x63bd0098,0x2fda011c,0x6aa20034,0xd9c90299}},	//   _zosn, _کورد_, _rrof, ाघोट, 
   {{0xac263c76,0x7bc97912,0x00000000,0x00000000}},	//   нфик, fkeu, --, --, 
   {{0x6b9b1272,0x7bc9005f,0x8cb100b0,0xe8df0023}},	//   gdug, gkeu, _अपरो, _chửi_, 
   {{0x60e0012d,0x6b99199b,0x7d0808b0,0xa3c30299}},	//   žymė, _dawg, _wyds, ्सत_, 
   {{0x7d080876,0xf77f019c,0x16730240,0x67eb0080}},	//   _tyds, diça_, ҳқир, köjä, 
   {{0x764d8a13,0x5fc4072f,0xdddb00d0,0x7bc9005f}},	//   _sway, _वकाल, _upuš, bkeu, 
   {{0x6b82739a,0x2d8e8a14,0x2d9c010e,0x32010054}},	//   _ubog, lefe_, ldve_, zohy_, 
   {{0xcf930137,0xf8b70161,0x63bd8a15,0xdb090034}},	//   נטש_, дөө_, _rosn, vjeç, 
   {{0x764d06df,0xceb3008d,0x63bd0035,0x5b1307f4}},	//   _vway, איש_, _sosn, _сміт, 
   {{0x63bd6ac6,0x6b990201,0x32010379,0xc95300d1}},	//   _posn, _yawg, vohy_, _עמק_, 
   {{0xe3bf0496,0x43948a16,0x7dd400a1,0x672d0144}},	//   _viño_, ласс, _fàsg, _ugaj, 
   {{0x32017583,0xf77f02aa,0x8c1b00d1,0xe1670267}},	// [82b0] tohy_, ciça_, לולי, еђен, 
   {{0x8cb100ab,0x63bd016a,0x2d8e0126,0xa5c20259}},	//   _अपलो, _wosn, jefe_, _көсе, 
   {{0x320100a9,0xc95300c7,0x6f094ea4,0x61e53485}},	//   rohy_, רמע_, _syec, rihl, 
   {{0x61e502cd,0x60c50088,0x75fb010c,0x00000000}},	//   sihl, ryhm, vîzy, --, 
   {{0xee388a17,0xd356042c,0x61e50352,0x443300a4}},	//   ені_, _שישי_, pihl, _hux_, 
   {{0x442b8a18,0x7bc901c8,0x1d0909f6,0xb5fb033c}},	//   _hic_, wkeu, мели_, cuát, 
   {{0x7bc911e9,0x645a3efa,0x6b9b8a19,0xace80019}},	//   tkeu, štiv, tdug, ٹرول_, 
   {{0x44338a1a,0xddc2012d,0x00000000,0x00000000}},	//   _mux_, ruoš, --, --, 
   {{0x7bc98a1b,0x44338a1c,0xdfd400f0,0x442b0de2}},	//   rkeu, _lux_, _соты, _mic_, 
   {{0x7bc911e9,0x3f8f008c,0xddc2012d,0x3e7b0118}},	//   skeu, legu_, puoš, mêt_, 
   {{0xa3c32b48,0x442b8a1d,0x7bc911e9,0x3e7b010c}},	//   ्सा_, _oic_, pkeu, lêt_, 
   {{0x442b5233,0xf77203b8,0x3f8f02bf,0x59a60b79}},	//   _nic_, جاد_, negu_, _कोठर, 
   {{0x44331164,0x3e7b0106,0xa91c0032,0x00000000}},	//   _aux_, nêt_, deľu, --, 
   {{0xc5f5005e,0x442b8056,0x7d0401f0,0xdce104be}},	//   лғы_, _aic_, şise, _halı, 
   {{0xa5072849,0xdce101f0,0xd6271110,0x60180684}},	//   вера_, _kalı, торе_, líme, 
   {{0x3f8f08e3,0x442b8a1e,0xe3638a1f,0x3e7b0216}},	//   jegu_, _cic_, икси, kêt_, 
   {{0x442b8a20,0x4433026d,0x2ebd1779,0x02068a21}},	// [82c0] _dic_, _eux_, ्नोत, взан, 
   {{0xb1438a22,0x7c2b8a23,0xa0a600a3,0x602c1305}},	//   инул, _ligr, казд, _aşma, 
   {{0xe0d200eb,0xd6a90a24,0x27f711b7,0xd12f0038}},	//   جزء_, _قدیم_, _سفید_, زمن_, 
   {{0x7c2b8a24,0x2d8500a7,0xa3a902e6,0x442b81fa}},	//   _nigr, _able_, _गोप_, _gic_, 
   {{0xc3200086,0x645c3414,0x7dd403dd,0x6ff300b0}},	//   _ফ্রি_, lsri, _làse, _अदरख_, 
   {{0x61438a25,0x442b00d9,0x3f8f00b0,0xf1bf0023}},	//   _вера, _zic_, aegu_, _quát_, 
   {{0xdce103c0,0x2d8e8a26,0x91e34854,0x44208a27}},	//   _balı, refe_, _торе, omi_, 
   {{0x44208a28,0xb5fb8a29,0xd9ca1489,0xbeb7031e}},	//   nmi_, nuár, िस्ट, _šíře, 
   {{0x7c2b8a2a,0x601800e9,0x3cde007e,0xde770019}},	//   _digr, gíme, _कइके_, _لینڈ_, 
   {{0x79a61cca,0x683e01dd,0x98b802a0,0x7c2b03c6}},	//   трие, _līde, елот_, _eigr, 
   {{0x44208a2b,0x4ce00086,0xb5fb010e,0xbb860038}},	//   kmi_, _পুরু, lság, _للاي, 
   {{0x6d587a3f,0x44208a2c,0x7c2b0626,0xbb463b3f}},	//   lava, jmi_, _gigr, _редк, 
   {{0xb5fb006b,0x290200ab,0x44203e8b,0xf4080086}},	//   nság, łka_, dmi_, লগার_, 
   {{0x6d588a2d,0x442b00e5,0x44208a2e,0x7dcf09a8}},	//   nava, _sic_, emi_, _løsn, 
   {{0x645c0219,0xdb0b00d7,0xdce1027e,0x4433011c}},	//   gsri, _angè, _yalı, _qux_, 
   {{0x6d588a2f,0xdce10c45,0xa775081b,0xa3dd00ab}},	//   hava, _xalı, _слич, थों_, 
   {{0x6d588a30,0xb5fb0038,0xf1ae009a,0xf77f02be}},	// [82d0] kava, hrái, घांन, liço_, 
   {{0x6d58090b,0x44208a31,0x3e7b0151,0xb5fb743d}},	//   java, ami_, vêt_, dság, 
   {{0x3c380019,0x3f8f8a32,0x44208a33,0x765d14ac}},	//   _név_, tegu_, bmi_, lssy, 
   {{0x44208a34,0x926b00d9,0x442b00b9,0xe4a4004f}},	//   cmi_, _орга_, _uic_, _трьо, 
   {{0x645a02f5,0x35a805fd,0x8e85536f,0x765d8a35}},	//   štit, _छोड़, угле, nssy, 
   {{0xa3c302f8,0x6d588a36,0x65758a37,0x3e7b8a38}},	//   ्सव_, gava, ngzh, rêt_, 
   {{0xdb0b026a,0x7c2b8a39,0xc1720486,0x2c0f009a}},	//   _ingé, _pigr, _לחם_, ातलं_, 
   {{0x7c3e0076,0x1fa43a36,0xdce10095,0x0fe400d3}},	//   ípra, _круг, _qalı, _көчү, 
   {{0x7c2b0c86,0x00000000,0x00000000,0x00000000}},	//   _vigr, --, --, --, 
   {{0x44208a3a,0x3c38026a,0x3cde04cc,0x765d042a}},	//   zmi_, _fév_, _केके_, dssy, 
   {{0x44208a3b,0xd7af009a,0xd7ea192f,0xdce10248}},	//   ymi_, टांच, емне_, _talı, 
   {{0x366a8a3c,0x1b050033,0xbbeb0038,0xf0922737}},	//   намо_, শেষে_, _غرام_, זנט_, 
   {{0x760a0218,0xeaae0a66,0x44208a3d,0x765d8306}},	//   _nêzî, _уй_, vmi_, gssy, 
   {{0x645c8a3e,0xfb010175,0xd9420229,0x00000000}},	//   tsri, _chūō_, _леши, --, 
   {{0x07a603dc,0x44208a3f,0xda1900a5,0x2a7f00b0}},	//   _байн, tmi_, _नीयत_, ltub_, 
   {{0x6d588a40,0x44208a41,0xdb0b8a42,0x80a7009a}},	//   zava, umi_, _angé, घटने, 
   {{0xdcfa00e0,0x6d588a43,0xaa360070,0xb5fb019c}},	// [82e0] _patī, yava, ָטעק_, ruár, 
   {{0xd05a005e,0x6441118d,0xddd40187,0xa3a95d29}},	//   ерді_, ílic, _ťažk, _गोठ_, 
   {{0x6d588a44,0x2a7f00b0,0x8fa63618,0x44206092}},	//   vava, htub_, лаже, pmi_, 
   {{0x4444181f,0xb4c205f6,0x2a7f8a45,0x2e3906df}},	//   _it_, ्नी_, ktub_, _bèf_, 
   {{0x6d588a46,0x44448a47,0xa3c30c06,0x2a7f0201}},	//   tava, _ht_, ्सर_, jtub_, 
   {{0x270300e7,0xb5fb06a7,0x98be0028,0x00000000}},	//   ổng_, trái, lbtą_, --, 
   {{0x6d5834ac,0x44448a48,0xb5fb0019,0xa3a900a2}},	//   rava, _jt_, sság, _गोड_, 
   {{0x7dc6010d,0xb5fb0038,0x249a00ca,0x7dd400f6}},	//   _aðst, rrái, _mspm_, _bàsc, 
   {{0x44440b51,0xb4c2000d,0x6d5e0496,0x9fb8026e}},	//   _lt_, ्नु_, ópas, nčí_, 
   {{0x44448a49,0xafe402f1,0xc27b0070,0x765d017b}},	//   _ot_, _соғл, עריי, vssy, 
   {{0x28f827be,0x26e20086,0x249a0097,0x7d0501c4}},	//   тень_, _গুলো_, _nspm_, ühst, 
   {{0x200615e9,0x765d03fa,0x2a7f012b,0x2d9e00d1}},	//   nooi_, tssy, btub_, _hate_, 
   {{0x44440052,0xa91c0187,0x2d9e00df,0x9fb8024c}},	//   _at_, teľs, _kate_, jčí_, 
   {{0x0cb600cc,0xb5fb0076,0x9fb80098,0x765d6d81}},	//   জনীত, hráv, dčí_, rssy, 
   {{0x6578010c,0x76448a4a,0x4444073a,0x2d9e357e}},	//   _şahî, _etiy, _ct_, _mate_, 
   {{0x44448a4b,0x261a00a5,0xd37800d3,0x2d9e46ee}},	//   _dt_, _मीठी_, лчу_, _late_, 
   {{0x44448a4c,0xfc3f026e,0x5695021f,0xe5e511b7}},	// [82f0] _et_, _čím_, _тапт, _نزدی, 
   {{0x2d9e8a4d,0x444400d1,0x00000000,0x00000000}},	//   _nate_, _ft_, --, --, 
   {{0x92b50033,0xa0a78a4e,0x2e390118,0x2006040b}},	//   জনে_, ышал, _sèf_, fooi_, 
   {{0xb4d100b5,0x66070097,0x20060876,0x64458a4f}},	//   वनी_, lojk, gooi_, _ithi, 
   {{0x2d9e8a50,0x408402c0,0xd244222f,0x444402eb}},	//   _bate_, _қурб, _гэси, _zt_, 
   {{0xd6580056,0x2249286b,0xada55ab8,0x2d9e002e}},	//   ניות_, mpak_, ракл, _cate_, 
   {{0xeb998a51,0x2d9e58ab,0xabd50524,0xa3b9185c}},	//   вий_, _date_, ициј, चाप_, 
   {{0xb5fb03da,0x3ff900c7,0x7e600054,0x64450532}},	//   nsáb, _ספּע, _fvmp, _mthi, 
   {{0x59a600a5,0x22498a52,0xffb400b3,0x2d9e0ad8}},	//   _कोहर, npak_, _уйтэ, _fate_, 
   {{0x09e503a1,0x3a2e0042,0x64450532,0x49c901a2}},	//   роон, _cifp_, _othi, тлон_, 
   {{0x6ce400dd,0x7c9503b8,0x66072cd9,0x29020d60}},	//   _ліце, _خلاص, dojk, şkan_, 
   {{0x224906e4,0x2d21009a,0x2d9e0352,0x44448a53}},	//   kpak_, मधील_, _zate_, _rt_, 
   {{0xa3b902c3,0x2d9e8a54,0x64458a55,0x63a0001d}},	//   चान_, _yate_, _athi, _ómni, 
   {{0x7bc2006d,0x98a51571,0x9fb800bc,0xd9452f37}},	//   _zoou, _вике, včí_, _теки, 
   {{0xb4c21933,0xa50a8a56,0x69c38a57,0x290e03c6}},	//   ्ने_, тева_, _ione, _gyfa_, 
   {{0xa3a90262,0xb5fb3c3d,0x69c33ee1,0x6441001d}},	//   _गोद_, dráu, _hone, ília, 
   {{0x44448a58,0x601808fc,0xe61a8a59,0x64458a5a}},	// [8300] _wt_, jíma, _иди_, _ethi, 
   {{0x44448a5b,0xbbd23512,0x365b027a,0x69c38a5c}},	//   _tt_, _तत्क, _שכינ, _jone, 
   {{0x44448a5d,0x673b4356,0x69c38a5e,0x2d9e00a7}},	//   _ut_, žuje, _mone, _rate_, 
   {{0x42ea04c5,0xddc2002a,0x6d418a5f,0x53ca0394}},	//   _аммо_, droš, _afla, _रविश, 
   {{0x200610f3,0x69c30532,0x6d410354,0x00000000}},	//   rooi_, _oone, _bfla, --, 
   {{0x2b4d0106,0x69c30199,0x8c6600cf,0x7dd401fd}},	//   ebec_, _none, атид, _bàsa, 
   {{0xb5fb026e,0x090b0033,0x644502be,0x00000000}},	//   práv, হেতু_, _xthi, --, 
   {{0xa3b904d7,0x0b8a7489,0x2d9e0626,0x69c30d4e}},	//   चाय_, тски_, _wate_, _aone, 
   {{0x2a6d8a60,0x6d4100f8,0x99580098,0x69c38a61}},	//   greb_, _ffla, ráži_, _bone, 
   {{0x4e7b0056,0x64430107,0x7dd40465,0xf9c60eba}},	//   _באמצ, _énig, _fàsa, рщин, 
   {{0x660700f1,0x69c38a62,0xb4c20351,0x31371900}},	//   vojk, _done, ्नो_, ינים_, 
   {{0x0aea17f7,0xb4c2031e,0xe69500c8,0x644500a1}},	//   _идей_, ्नै_, бимы, _rthi, 
   {{0x64450226,0x8674004f,0xb5fb0098,0x00000000}},	//   _sthi, оляє, krát, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xe4a413e6,0xb4d11574,0xb5fb8a63,0xd37b08ac}},	//   орто, वने_, drát, кча_, 
   {{0x5334004e,0x83350093,0x69c38a64,0x00000000}},	//   жетт, снах, _zone, --, 
   {{0x66076ae2,0x60180183,0x69c38a65,0xe8df0210}},	// [8310] pojk, xíma, _yone, _phủi_, 
   {{0x224908b0,0xf5950038,0x683e01dd,0x3f860151}},	//   rpak_, _الدج, _zīda, efou_, 
   {{0xd138048a,0x224902a2,0x439524d9,0x644549a4}},	//   рху_, spak_, _ланс, _uthi, 
   {{0x6018008c,0x2fc400b9,0x224986eb,0x7dd400a1}},	//   tíma, _comg_, ppak_, _ràsa, 
   {{0xbea51a79,0x6d4101c4,0x27f2039f,0x7dd401be}},	//   салк, _pfla, ézni_, _sàsa, 
   {{0xb5fb0952,0x629d8a66,0x0cb60086,0x8e08004f}},	//   crát, _isso, জনৈত, анів_, 
   {{0x27e98a67,0x69c38a68,0x3c93015f,0x98be0028}},	//   _oman_, _rone, تیاز, matė_, 
   {{0x69c38a69,0x27e98a6a,0x2a6d8a6b,0x351c00d1}},	//   _sone, _nman_, treb_, כוונ, 
   {{0x69c312e2,0x2b4d8a6c,0x00000000,0x00000000}},	//   _pone, rbec_, --, --, 
   {{0xdef83e4d,0x27e98a6d,0x25a18a6e,0x69da00a7}},	//   _тыс_, _aman_, _nahl_, ghte, 
   {{0xc7a63b8d,0x69c38a6f,0x2d872cb7,0x07a659f7}},	//   бинк, _vone, mfne_, банн, 
   {{0x69c38a70,0x27e902a2,0xb5fb31c7,0x629d75ee}},	//   _wone, _cman_, krás, _osso, 
   {{0x7bdb5d25,0x69c30ef7,0xeaae5117,0x7ccc0243}},	//   mhuu, _tone, _эй_, _vērš, 
   {{0x69da8a71,0x27e902ba,0xb5fb010e,0x69c3095a}},	//   chte, _eman_, drás, _uone, 
   {{0x629d8878,0x0446081b,0xb5fb014b,0x25a1042a}},	//   _asso, себн, vrát, _dahl_, 
   {{0xe29a8a72,0x629d0026,0x083a0070,0x3dc502a5}},	//   лаб_, _bsso, _געקל, _lolw_, 
   {{0xaaa700c2,0xe1fa00a3,0xb5fb317e,0xa18a00f6}},	// [8320] कटिक, гга_, trát, лбаа_, 
   {{0x2d8700ef,0x27e90ad9,0x25a1008a,0xb5fb2706}},	//   jfne_, _zman_, _gahl_, urát, 
   {{0x629d8a73,0x6f1b0503,0x27e98a74,0x42560259}},	//   _esso, _azuc, _yman_, ртұт, 
   {{0x44248a75,0x25a18a76,0x201f8a77,0x939607cb}},	//   _òm_, _zahl_, _chui_, _اجدا, 
   {{0x7bdb011c,0x6da602f1,0x248c003d,0x69da8a78}},	//   dhuu, йида, ħdmu_, yhte, 
   {{0x443a5ccb,0x62840219,0xd17500f0,0xe19601d7}},	//   _kup_, mtio, _мысы, _урмэ, 
   {{0x62840088,0x29c90068,0xf41f00c8,0x3ea60080}},	//   ltio, _lúas_, _yhä_, svot_, 
   {{0xd00a8a79,0x443a14f0,0xb33b02b7,0x4f650816}},	//   _себе_, _mup_, _kaça, _واقف, 
   {{0x63a48a7a,0x62848a7b,0x69da8a7c,0x443a8a7d}},	//   idin, ntio, thte, _lup_, 
   {{0x27e98a7e,0x984a0141,0xb33b20dc,0x69da0126}},	//   _sman_, ляма_, _maça, uhte, 
   {{0x8b6600d4,0xb5fb2cac,0x7e622be3,0xdb4f8a7f}},	//   _هاشم, krár, lsop, _ню_, 
   {{0x62848a80,0x69da01ee,0x6d5a8a81,0x9f4d00e5}},	//   ktio, shte, _heta, _vjeç_, 
   {{0x6d5a8a82,0x63a48a83,0xb4d113bb,0x68920019}},	//   _keta, ddin, वन्_, _کیجئ, 
   {{0x29c909a1,0xd6d800dd,0x7c3a8a84,0x64410165}},	//   _dúas_, стю_, _kutr, ílio, 
   {{0xdce80c05,0x6d5a8a85,0x395e8a86,0x69d803f0}},	//   _kadı, _meta, mats_, _ilve, 
   {{0x395e8a87,0x6d5a6e31,0x27e983fb,0x7c3a01f1}},	//   lats_, _leta, _uman_, _mutr, 
   {{0xb33b27f2,0x82f80038,0x443a0096,0x6d5a011c}},	// [8330] _caça, مركز_, _eup_, _oeta, 
   {{0x7c3a144d,0x6d5a8a88,0x395e0161,0xb5fb0019}},	//   _outr, _neta, nats_, rrás, 
   {{0xceeb00c5,0x443a8a89,0x62848a8a,0xb5fb0068}},	//   گران_, _gup_, atio, brár, 
   {{0xb33b8a8b,0xdea100d4,0x395e8a8c,0x6d5a13d8}},	//   _faça, ویزی, hats_, _aeta, 
   {{0x7c3a1164,0x62848a8d,0x6d5a8a8e,0x69d81cf0}},	//   _autr, ctio, _beta, _olve, 
   {{0x6d5a8a8f,0xdcf8012d,0x395e022c,0xa3c310da}},	//   _ceta, nevė, jats_, ्सक_, 
   {{0x395e8a90,0x7c3a00d9,0x59a6031e,0x201f00e7}},	//   dats_, _cutr, _कोइर, _thui_, 
   {{0x69d88a91,0x7c3a2d19,0x6d5a00f6,0x4a450a36}},	//   _alve, _dutr, _eeta, онив, 
   {{0x6d5a8a92,0xe9d9454b,0x7bdb8a93,0x7c3a01be}},	//   _feta, ики_, rhuu, _eutr, 
   {{0x29c90496,0x395e8a94,0x7bdb1f9f,0x63a48a95}},	//   _rúas_, gats_, shuu, zdin, 
   {{0x29c924d3,0x63a48a96,0x628401f1,0x7c3a4422}},	//   _súas_, ydin, ztio, _gutr, 
   {{0x69d88a97,0x6d5a8a98,0x443a8a99,0x29c9001d}},	//   _elve, _zeta, _rup_, _púas_, 
   {{0x395e42e3,0x6d5a8a9a,0x443a8a9b,0xf4010086}},	//   bats_, _yeta, _sup_, ্ষার_, 
   {{0x395e36c0,0x6d5a8a9c,0x63a40246,0xb33b8a9d}},	//   cats_, _xeta, wdin, _raça, 
   {{0x04430f4e,0x63a48a9e,0x60180183,0xdce82007}},	//   десн, tdin, xímo, _yadı, 
   {{0x63a48a9f,0x29c90496,0x7f5b04b3,0x3cec00b0}},	//   udin, _túas_, _neuq, _अइसे_, 
   {{0x63a48aa0,0x98a503c0,0xb33b0248,0x62848aa1}},	// [8340] rdin, malı_, _qaça, utio, 
   {{0xe69313b4,0x62848aa2,0x63a48aa3,0xb21b02c9}},	//   _کلید, rtio, sdin, _spær, 
   {{0x62841907,0xdbd101f0,0x6d5a8aa4,0x443a8aa5}},	//   stio, _güçl, _reta, _uup_, 
   {{0x6d5a8476,0x6284588a,0x7e628aa6,0x98a507fa}},	//   _seta, ptio, tsop, nalı_, 
   {{0x4e96646f,0x52758aa7,0x44220502,0x3ead0474}},	//   تشار, _нуру, _ihk_, _cret_, 
   {{0x7c3a067c,0x3ead00d3,0x7e620065,0x2bd200a2}},	//   _putr, _dret_, rsop, तस्थ, 
   {{0x395e8aa8,0xaff5006b,0x98a50540,0xa0674204}},	//   vats_, _کہنا_, kalı_, _мара_, 
   {{0xdce806d0,0x6d5a8aa9,0xd00708a5,0x7e628aaa}},	//   _qadı, _weta, _десе_, psop, 
   {{0x6d5a2f5c,0x395e01bb,0x98a50e03,0x3ead8aab}},	//   _teta, tats_, dalı_, _gret_, 
   {{0xddc200ab,0x670e0d53,0x2360006d,0x6e2100a1}},	//   społ, _सड़क_, haij_, _ghlb, 
   {{0x395e8aac,0xeb9a8aad,0x2cac0156,0x1d0a0e4e}},	//   rats_, _вие_, _urdd_, _тежи_, 
   {{0x395e8aae,0xf8ad0c30,0xb09b00d1,0x00000000}},	//   sats_, اکو_, ביטר, --, 
   {{0x395e8aaf,0x37075ce5,0xa3b91d00,0x39496872}},	//   pats_, ючов, चास_, _şase_, 
   {{0x69d80a1f,0x555800d9,0x00000000,0x00000000}},	//   _ulve, жаря_, --, --, 
   {{0x7c228ab0,0xd90f01d7,0x98a504d6,0x00000000}},	//   _khor, _ць_, balı_, --, 
   {{0x44228ab1,0xb5fb8ab2,0x98a52007,0xa77401d8}},	//   _chk_, rráq, calı_, _жлъч, 
   {{0xe1f32e10,0xb27502f1,0x7c228ab3,0xa2ad0425}},	// [8350] وسط_, ялаш, _mhor, ीमध्, 
   {{0x44220077,0xdddb035f,0x7dd401f5,0x64480068}},	//   _ehk_, _spuž, _bàsm, ídic, 
   {{0x7c2201ca,0x6e3b5642,0x3ead0096,0x395c0118}},	//   _ohor, _suub, _sret_, _mevs_, 
   {{0x3ead8ab4,0x62352631,0xf4941c03,0x7ddd674d}},	//   _pret_, _нему, _کشید, _mèse, 
   {{0x44298ab5,0xb3ba00a7,0x00000000,0x00000000}},	//   mma_, _המרכ, --, --, 
   {{0x44298ab6,0x7c228ab7,0x270a00f7,0x2ba700e7}},	//   lma_, _ahor, ờng_, _ốc_, 
   {{0x98a50092,0xc5f4008d,0x7c22161c,0x50648ab8}},	//   yalı_, ודס_, _bhor, _отта, 
   {{0x44293698,0x3ead8ab9,0xb33b488c,0x6d430038}},	//   nma_, _tret_, _maço, scna, 
   {{0x6aa48aba,0x7c228abb,0xe7af00ab,0xb33b11c9}},	//   _šifr, _dhor, _जोधप, _laço, 
   {{0xe9d97489,0x4ea400cf,0x395c0175,0xba2200d3}},	//   ско_, _ўрта, _cevs_, ндык, 
   {{0x4429441b,0x7c220084,0xb33b0183,0x16160790}},	//   kma_, _fhor, _naço, _दीगर_, 
   {{0x7c228abc,0x44290e24,0xdb0b0042,0x2360006d}},	//   _ghor, jma_, _engá, xaij_, 
   {{0x44298abd,0x98a503c0,0x98ab01f0,0xbb3a0486}},	//   dma_, ralı_, ılık_, _העני, 
   {{0x44298abe,0x7c22014b,0x7ddd011c,0x44222ea0}},	//   ema_, _zhor, _hèsb, _shk_, 
   {{0x7c298abf,0x98a505b7,0x44227134,0xb5fb00bc}},	//   omer, palı_, _phk_, psán, 
   {{0x44298ac0,0x7c29521e,0xc2468ac1,0x7c22021e}},	//   gma_, nmer, знак, _xhor, 
   {{0x236002cd,0xb77b00d1,0x8afd00d8,0x00000000}},	// [8360] raij_, _האפש, baře, --, 
   {{0x44298ac2,0xb33b026d,0x7c298ac3,0xa7fd07fa}},	//   ama_, _faço, hmer, nsın, 
   {{0x7c298ac4,0x655700d1,0x7e7901d2,0x00000000}},	//   kmer, _מביא_, euwp, --, 
   {{0xb4b800c9,0x7c298ac5,0x00000000,0x00000000}},	//   चमी_, jmer, --, --, 
   {{0xa3b93b70,0xa7fd027e,0x7c2949f8,0xb33b027e}},	//   चार_, ksın, dmer, _maçl, 
   {{0x7c2200a7,0x63a60e32,0x7c290228,0x471b0070}},	//   _shor, _hakn, emer, זונג, 
   {{0x7c228ac6,0x63a61612,0x61ee4d9e,0x7c290380}},	//   _phor, _kakn, _imbl, fmer, 
   {{0x8fa30009,0x7c298ac7,0xdcf801dd,0x8ae6017b}},	//   _пасе, gmer, levī, зіол, 
   {{0x63a63976,0x7f440126,0x291a0604,0x00000000}},	//   _makn, ñiqu, _špa_, --, 
   {{0xdca68ac8,0x6e930040,0x63a68ac9,0x7ddd0300}},	//   _нази, _سلما, _lakn, _pèse, 
   {{0x44298aca,0x7c298acb,0xa3190c06,0x660e0098}},	//   yma_, bmer, _दर्ज_, dobk, 
   {{0x44298acc,0x7c228acd,0x00000000,0x00000000}},	//   xma_, _uhor, --, --, 
   {{0x61ee8ace,0x00000000,0x00000000,0x00000000}},	//   _ombl, --, --, --, 
   {{0x44298acf,0x1a9b00c7,0xdb0b0038,0x78bc02ae}},	//   wma_, _לידע, _ungá, ärvs, 
   {{0x44298869,0xdcf801dd,0xa3b92414,0x25781078}},	//   tma_, devī, चाल_, ябрь_, 
   {{0x44298ad0,0x69ca8ad1,0x63a60065,0x7dcf00dd}},	//   uma_, _hofe, _cakn, _høst, 
   {{0xb5fb001d,0xdb0b019c,0x6aa200c3,0x6d48039b}},	// [8370] lsám, _fogõ, _jsof, _ofda, 
   {{0x7c29310d,0x799a8ad2,0x69ca0183,0xd13b3c76}},	//   zmer, netw, _jofe, сха_, 
   {{0x7c2900f8,0x69ca084c,0xf8dc00c2,0x4429027e}},	//   ymer, _mofe, मनिय, pma_, 
   {{0xc10400b1,0x6d488ad3,0xa7fd027e,0xb33b0241}},	//   روني, _afda, zsın, _kaçm, 
   {{0x6da500cf,0x799a2141,0xada58ad4,0x9ac502a5}},	//   дила, ketw, далл, _kuŋŋ, 
   {{0x6b82655f,0x69ca8ad5,0x764d095a,0x2d818ad6}},	//   _acog, _nofe, _mtay, ühe_, 
   {{0x63a60275,0xdca20141,0x6aa20118,0xeba500fc}},	//   _yakn, ващи, _asof, _åøke_, 
   {{0x660e025b,0x00000000,0x00000000,0x00000000}},	//   zobk, --, --, --, 
   {{0x69ca07d7,0x200f8ad7,0x764d0610,0x6d48040c}},	//   _bofe, mogi_, _ntay, _ffda, 
   {{0x7c298ad8,0x39e902fb,0x69ca375e,0x6b821c16}},	//   smer, ідно_, _cofe, _ecog, 
   {{0xdd1c026e,0x764d8ad9,0x7c29004f,0xa7fd0540}},	//   _záži, _atay, pmer, rsın, 
   {{0x200f8ada,0x7e690009,0x764d052b,0x6b8200e1}},	//   nogi_, _kvep, _btay, _gcog, 
   {{0x7bcb8adb,0x69ca0415,0x799a8adc,0x4ab300d3}},	//   _iogu, _fofe, betw, _чөйр, 
   {{0x63a60be0,0x7bcb0126,0x6b9b8add,0x69ca8ade}},	//   _sakn, _hogu, leug, _gofe, 
   {{0xa3b90081,0x660e06ff,0x7bcb0077,0x764d00a3}},	//   चां_, robk, _kogu, _etay, 
   {{0x660e40da,0x00000000,0x00000000,0x00000000}},	//   sobk, --, --, --, 
   {{0x7bcb02f5,0x63a635d5,0xa3e40659,0x69ca045a}},	// [8380] _mogu, _vakn, भोग_, _yofe, 
   {{0x7bcb8adf,0x6b9b012e,0x00da0038,0x02030258}},	//   _logu, heug, يبات_, взун, 
   {{0x7dcf1341,0x00000000,0x00000000,0x00000000}},	//   _løss, --, --, --, 
   {{0xef1a34c0,0x7bcb8ae0,0x200f8ae1,0x799a0035}},	//   оме_, _nogu, gogi_, zetw, 
   {{0x6018453f,0x6b9b8ae2,0xde58012d,0xb33b00ad}},	//   ními, deug, чалі_, _xaçm, 
   {{0x6b8201d8,0x61ee8ae3,0xdd1c0098,0xbc4a2ad6}},	//   _scog, _umbl, _váži, очие_, 
   {{0xb4bc00bd,0x200f8ae4,0x7dcf0b48,0x6aa2008a}},	//   _आपो_, bogi_, _røst, _ssof, 
   {{0x69ca8ae5,0x7dcf8ae6,0x7bcb3a14,0xdb5a3197}},	//   _sofe, _søst, _cogu, цюк_, 
   {{0x7bcb8ae7,0x5a340093,0x1eaa00d4,0x9d4626ef}},	//   _dogu, ннит, _بازي_, _жезд, 
   {{0x61fe076b,0x00000000,0x00000000,0x00000000}},	//   nnpl, --, --, --, 
   {{0x2d9c01ee,0x799a8ae8,0xb33b027e,0xd7f50080}},	//   meve_, retw, _saçm, езны, 
   {{0x2d9c8ae9,0x6aa28aea,0x9f4f0151,0x00000000}},	//   leve_, _tsof, tigé_, --, 
   {{0xa2fd0083,0x69ca8aeb,0xb33b0248,0xfb870c30}},	//   _एशेज_, _tofe, _qaçm, _آدمی, 
   {{0x2d9c22c1,0x7bcb8aec,0x7dd400d3,0x9f4f0212}},	//   neve_, _zogu, _bàsi, rigé_, 
   {{0xe8ff010c,0x200f3684,0x163400c8,0x439525a1}},	//   şûr_, yogi_, теря, навс, 
   {{0x7bcb03da,0x43942b3b,0x6aad0bfc,0x6b80137f}},	//   _xogu, касс, _šafi, ngmg, 
   {{0x2d9c8aed,0x4e0e0035,0x764d8aee,0x200f003e}},	// [8390] keve_, ाकाई_, _utay, vogi_, 
   {{0x2d9c8aef,0x6b9b02f2,0xdbd6007e,0x00000000}},	//   jeve_, zeug, _hääl, --, 
   {{0xdb0b022b,0x2d9c8af0,0x200f8af1,0x7e698af2}},	//   _ingå, deve_, togi_, _svep, 
   {{0x4f9403b7,0x61fe10f3,0x2fc6539f,0x00000000}},	//   вршу, anpl, gjog_, --, 
   {{0x2d9c021e,0x809f0249,0x7bcb1247,0x00000000}},	//   feve_, _गैरे, _rogu, --, 
   {{0x44390056,0x0ea800dd,0x2d9c0034,0x8eb2009c}},	//   _his_, ькій_, geve_, اموش, 
   {{0x44398af3,0x7bcb8af4,0x23d3049f,0x7ddd03dd}},	//   _kis_, _pogu, _सवाद, _cèsa, 
   {{0x44398af5,0x2d8e052b,0x00000000,0x00000000}},	//   _jis_, affe_, --, --, 
   {{0x44398af6,0xeab10038,0x2d9c0034,0xa7fd1305}},	//   _mis_, اعب_, beve_, rsıl, 
   {{0x44398af7,0x2d9c8af8,0x7bcb8af9,0xdb09040b}},	//   _lis_, ceve_, _wogu, ldeë, 
   {{0x7bcb8afa,0x443900c8,0x2fdf4ed9,0x00000000}},	//   _togu, _ois_, _klug_, --, 
   {{0xf7720e61,0x4439004c,0xdb0b4be4,0xddc200bc}},	//   داد_, _nis_, _angå, dpoř, 
   {{0x2fcd0876,0xa3b915c8,0x80d60110,0x00000000}},	//   _moeg_, चाई_, _मॅने, --, 
   {{0x44390544,0x64a68afb,0x15b91bb9,0x644802aa}},	//   _ais_, нага, мысы_, ídio, 
   {{0x44398afc,0xb8f400cc,0x809f0586,0xd4f50504}},	//   _bis_, _সে_, _गैले, вяты, 
   {{0x03a30837,0xdb0b02ae,0x2d9c8afd,0x04570038}},	//   лисо, _engå, zeve_, علقة_, 
   {{0x44398afe,0x422661d1,0x27e006d0,0xb2268aff}},	// [83a0] _dis_, едав, _ilin_, емал, 
   {{0x44398b00,0x2fdf012b,0x0657027a,0x6724016c}},	//   _eis_, _alug_, _רייך_, _izij, 
   {{0x44398b01,0x2fdf0096,0x40965708,0x61fe0844}},	//   _fis_, _blug_, эрат, rnpl, 
   {{0x44398b02,0xdb1b0126,0x8afd00bc,0xadf201a4}},	//   _gis_, zjuá, zařa, _अगहन_, 
   {{0x2d9c01ee,0x245e031e,0x2fcd0102,0xa3a9059e}},	//   teve_, lům_, _doeg_, _गोट_, 
   {{0x44398b03,0x27f2016a,0x2d8e0107,0xd1ca00d3}},	//   _zis_, _lmyn_, uffe_, _элге_, 
   {{0x2d9c8b04,0x27e01066,0x44393be7,0x245e00bc}},	//   reve_, _olin_, _yis_, nům_, 
   {{0x4439006f,0x2d9c4cfc,0x80261c03,0x2d8500a1}},	//   _xis_, seve_, _سرزم, _ecle_, 
   {{0x7c3902bf,0xc9860e65,0x2d9c024a,0xd0078b05}},	//   _diwr, нуни, peve_, _чете_, 
   {{0x27e08b06,0x8e97035c,0x245e00bc,0x2c570035}},	//   _alin_, _אדמו_, kům_, _będę_, 
   {{0xdbd6030f,0x27e03aa4,0x29181e92,0x22428b07}},	//   _pääl, _blin_, æra_, _lukk_, 
   {{0x1ae68b08,0x245e02d9,0xa3b01503,0x27e08b09}},	//   _поем, dům_, _टोल_, _clin_, 
   {{0x44398b0a,0x6e3a003d,0x6d4a0038,0x7bc601a4}},	//   _ris_, _kitb, ocfa, ökuu, 
   {{0x443901c1,0x7afd1c62,0x27e049c8,0x6e3a00a4}},	//   _sis_, úste, _elin_, _jitb, 
   {{0x44398b0b,0xdbd60088,0xe4e400dd,0x6e3a0380}},	//   _pis_, _tääl, гітн, _mitb, 
   {{0x4439006f,0x75d8008f,0xa4010033,0x69c80219}},	//   _qis_, _ağzı, ্ষ্য_, ljde, 
   {{0x44398b0c,0x98ac03c0,0x1b0e0086,0xb6c203fd}},	// [83b0] _vis_, madı_, াইকে_, _көрд, 
   {{0x443909e8,0x69da37b4,0x98ac0540,0x22420054}},	//   _wis_, nkte, ladı_, _dukk_, 
   {{0xb5f2004e,0x27e000c8,0x65670352,0x69c88b0d}},	//   _түрі, _ylin_, majh, ijde, 
   {{0x44398b0e,0x6e3a00a1,0x98ac06a2,0xddc28b0f}},	//   _uis_, _aitb, nadı_, grož, 
   {{0x2fcd01a9,0x3ea5068e,0x6e3a8b10,0x2fdf15e9}},	//   _voeg_, тилг, _bitb, _vlug_, 
   {{0x20040097,0x7d1a040b,0xb33b8b11,0x0c9500fd}},	//   _ejmi_, _byts, _naçi, вшия, 
   {{0x301b00eb,0xdb00818a,0x63ad533b,0x628d0080}},	//   _فترة_, ndmæ, odan, ltao, 
   {{0xeb997d5c,0x2242016a,0x2fdf02f1,0x69da8b12}},	//   фии_, _yukk_, _ulug_, ekte, 
   {{0x628d8b13,0x5ca30258,0xc9551193,0xb5fb007a}},	//   ntao, тиқб, ктны, asái, 
   {{0x63ad8b14,0x4e35243d,0x00000000,0x00000000}},	//   hdan, _شفاء, --, --, 
   {{0x63ad8b15,0x27e08b16,0x9b950038,0xb33b0034}},	//   kdan, _plin_, _للات, _daçi, 
   {{0x79810156,0x6e3a02b0,0x394000b3,0x78bc02ae}},	//   sglw, _zitb, _şist_, årva, 
   {{0x63ad8b17,0x21e401c4,0x7d1a00b4,0x7d042120}},	//   ddan, _höhe_, _zyts, şist, 
   {{0x7ae9006b,0x69da8b18,0x63ad8b19,0x245e00bc}},	//   mzet, ckte, edan, tům_, 
   {{0xa8060141,0xc56323ef,0x2bc51b38,0x7ae98b1a}},	//   _изкл, ркск, वापा, lzet, 
   {{0x63ad8b1b,0x27e08b1c,0x7bc9005f,0x6f1600ab}},	//   gdan, _ulin_, njeu, życi, 
   {{0xf6268b1d,0x7ae98b1e,0x614602a6,0xc24300d3}},	// [83c0] _идио, nzet, веза, интк, 
   {{0x867b00d1,0x63ad8b1f,0xa3220eda,0x7ae900b4}},	//   _קריו, adan, _मरीज_, izet, 
   {{0xa50a5e5f,0x3d1602f8,0x8fa65a60,0x63ad8b20}},	//   _цена_, _पुढे_, каже, bdan, 
   {{0x44448b21,0x63ad06a2,0x7ddd011c,0x776400b4}},	//   _iu_, cdan, _bèso, _jeix, 
   {{0x44448b22,0x77640042,0x69da004f,0x7d1a8b23}},	//   _hu_, _meix, ykte, _syts, 
   {{0x44448b24,0x7ae98b25,0x77640183,0x249a0065}},	//   _ku_, dzet, _leix, _kppm_, 
   {{0x44448b26,0x6f093ced,0x7ae902b0,0xb33b0216}},	//   _ju_, _exec, ezet, _raçi, 
   {{0x44448b27,0x3d1602f8,0xb5fb00eb,0x6e3a206b}},	//   _mu_, _पुणे_, rsái, _witb, 
   {{0x44448b28,0x249a016a,0xdb020183,0x7ae9010e}},	//   _lu_, _lppm_, _taoí, gzet, 
   {{0x44448b29,0xbda506ab,0x6e3a0318,0x7dd403dd}},	//   _ou_, _محمو, _uitb, _càst, 
   {{0x44448b2a,0x63ad1305,0x717b00fe,0x69da5867}},	//   _nu_, ydan, וניס, rkte, 
   {{0xb5fb03b7,0x63ad0218,0x383400d9,0x00000000}},	//   nsáv, xdan, инэр, --, 
   {{0x44448b2b,0x77648b2c,0x051f0086,0x63ad8b2d}},	//   _au_, _deix, _দলের_, vdan, 
   {{0x444474f6,0xceb300d1,0x7dd400b9,0x63ad009e}},	//   _bu_, ביש_, _gàst, wdan, 
   {{0x44448b2e,0x77648b2f,0x657a00eb,0x63ad004f}},	//   _cu_, _feix, ótha, tdan, 
   {{0x249a0065,0x490b00bc,0x77648b30,0xe6c00242}},	//   _dppm_, _ठुटो_, _geix, žišć, 
   {{0x44448b31,0x241816d0,0x76442dfc,0xa2c309d3}},	// [83d0] _eu_, тоты_, _guiy, रमध्, 
   {{0x44448b32,0xa294013d,0x628d02a3,0xddc20035}},	//   _fu_, рафі, rtao, groż, 
   {{0x44440673,0x94d58b33,0x7ae98b34,0x82340038}},	//   _gu_, _сонц, zzet, شركا, 
   {{0x65658b35,0x7ddd0cd7,0x776400b9,0x66158b36}},	//   _hehh, _pèso, _xeix, lozk, 
   {{0x4444375f,0x75e20054,0xdb008b37,0x64458b38}},	//   _zu_, _hôza, ndmä, _huhi, 
   {{0xee3802fb,0x7ae97e46,0x8d540141,0x9f5f02be}},	//   вні_, vzet, атъч, _ijuí_, 
   {{0x44448b39,0xef6702c0,0x6445007e,0x656500c2}},	//   _xu_, _аъзо, _juhi, _mehh, 
   {{0x64458b3a,0x7ae98b3b,0xac960038,0x6f0903dd}},	//   _muhi, tzet, انيا_, _txec, 
   {{0x7ae900f1,0x77644f5c,0x7e600156,0x66152180}},	//   uzet, _reix, _gwmp, kozk, 
   {{0x77648b3c,0x7ae98b3d,0x7bdb8b3e,0x2d83055f}},	//   _seix, rzet, skuu, _øje_, 
   {{0x6d415d59,0x7ae90019,0x776461a7,0x661501d6}},	//   _igla, szet, _peix, dozk, 
   {{0x44448b3f,0xdce33773,0x65650175,0x9ac4003d}},	//   _ru_, nanč, _aehh, _biċċ, 
   {{0xddc90218,0x644500b0,0xe7370eba,0xddc20243}},	//   _xweş, _auhi, лею_, lsoš, 
   {{0x44448b40,0x64458b41,0x661501f1,0xdb0b021e}},	//   _pu_, _buhi, gozk, _lagë, 
   {{0x44441164,0x77648b42,0x6565016a,0xdce336d7}},	//   _qu_, _teix, _dehh, kanč, 
   {{0x44448b43,0xdce3012d,0xdb00010c,0x64450610}},	//   _vu_, janč, demê, _duhi, 
   {{0x6d411db4,0x03261b8f,0xdce30009,0x66158b44}},	// [83e0] _ogla, удан, danč, bozk, 
   {{0x44448b45,0x6d4111fe,0xe58403a1,0x00000000}},	//   _tu_, _ngla, _өтүү, --, 
   {{0x6445024d,0x442b019c,0xdb0b021e,0x036a3859}},	//   _guhi, _fhc_, _bagë, _пинк_, 
   {{0x21a302c0,0x2a6d8b46,0x4f0a004e,0x6d412120}},	//   _қисм, kseb_, ннен_, _agla, 
   {{0x44208b47,0x44326a94,0xdce1008a,0x4e93189a}},	//   mli_, mmy_, _felċ, مشور, 
   {{0x44321763,0x614307b9,0xc69300a7,0x0caa0e2c}},	//   lmy_, _гера, צאו_, етии_, 
   {{0x44208b48,0x718918ae,0x44320379,0xa3b9009a}},	//   oli_, _шарҳ_, omy_, चाच_, 
   {{0x4420095e,0x4432540e,0x3a7401ba,0x75f40095}},	//   nli_, nmy_, алир, _düzə, 
   {{0xaf068b49,0xe20b00ab,0x00000000,0x00000000}},	//   _спал, łóż_, --, --, 
   {{0x44208b4a,0x2a970084,0x79a68b4b,0x4432023e}},	//   hli_, ائية_, урие, hmy_, 
   {{0x683e012d,0x021700a7,0xdb0b011c,0x75f400ad}},	//   _būda, רחים_, _lagè, _güzə, 
   {{0x64458b4c,0x3f8606df,0x44321763,0x6d411a44}},	//   _ruhi, ngou_, jmy_, _zgla, 
   {{0xeab20e05,0x64455e57,0xdb190083,0x443216c6}},	//   _دعا_, _suhi, _dowó, dmy_, 
   {{0x44208b4d,0x44320035,0xa8a68345,0x64458b4e}},	//   eli_, emy_, _брик, _puhi, 
   {{0x44208b4f,0x656500ef,0x66152e84,0xe5350080}},	//   fli_, _vehh, rozk, ревь, 
   {{0x44208b50,0xdb0b1e21,0x65650102,0xb3558b51}},	//   gli_, _bagè, _wehh, ркаш, 
   {{0xdce30304,0x81ae0033,0x65650096,0x442b4a81}},	// [83f0] vanč, কান_, _tehh, _vhc_, 
   {{0x44208b52,0x44328b53,0xe1ff011c,0xdb1903a0}},	//   ali_, amy_, _lvóv_, _kowò, 
   {{0x44208b54,0xdce33907,0x4395012d,0xdb0b0034}},	//   bli_, tanč, _канс, _pagë, 
   {{0xb4c302f8,0x44208b55,0x673b090e,0x7ddd0118}},	//   ्ही_, cli_, žuju, _vèsm, 
   {{0x8d652bdc,0xdce32467,0xea0000e7,0x6d410102}},	//   авле, ranč, _giầy_, _pgla, 
   {{0x3f7500f7,0x7dd403a1,0xc27a00d1,0xb5fb010e}},	//   ều_, _bàsq, _ברשי, csát, 
   {{0x5ed300cc,0x463c1490,0x228f8b56,0x6d410144}},	//   _দেশে, געגע, lük_, _vgla, 
   {{0x0b4538d1,0x2a6d007e,0xf0b30019,0x2bc500bc}},	//   шнин, tseb_, _پیچھ, वाधा, 
   {{0x63af0465,0x4a452189,0xdb0b0574,0x228f8b57}},	//   _macn, јнов, _kagé, nük_, 
   {{0x6d4102f5,0xe9d98b58,0x44208b59,0x63af0187}},	//   _ugla, тко_, zli_, _lacn, 
   {{0xf1b21a61,0x44208b5a,0x48061c53,0x44320035}},	//   קסט_, yli_, ипов, ymy_, 
   {{0x5b150093,0x629d15e9,0xdce102c7,0x442000ad}},	//   _кмет, _opso, _jelč, xli_, 
   {{0x44208b5b,0x228f0019,0x25a302c9,0x7b47020b}},	//   vli_, jük_, fejl_, rčuľ, 
   {{0x2d870784,0xeaf80116,0xdb1903a0,0xdb00023e}},	//   ngne_, _حرمت_, _fowò, demè, 
   {{0x44206077,0x64a68b5c,0x629d02f5,0xb0a40035}},	//   tli_, шава, _apso, _गैंग, 
   {{0x86462398,0x24073931,0xdb0b022c,0xe73a00b3}},	//   _книж, анси_, _pagè, _ией_, 
  
   {{0x44200848,0xade50f01,0x44321175,0xdb0b42f2}},	// [8400] rli_, कसान_, rmy_, _bagé, 
   {{0x44202b01,0xe2975dd9,0xd5a40a5a,0x63af00eb}},	//   sli_, раф_, _الدی, _eacn, 
   {{0x161f0659,0xb5fb8b5d,0x10a653ae,0xe00102e6}},	//   _मीटर_, rsát, риен, लचंद_, 
   {{0x44208b5e,0x03968b5f,0x99870028,0x2d878b60}},	//   qli_, _троя, _kinų_, egne_, 
   {{0x63a4115b,0x3f860587,0xdce173c5,0xb5fb2cd8}},	//   mein, rgou_, _delč, msár, 
   {{0x63af8b61,0xdd9009ed,0xde03004f,0x3f8602be}},	//   _zacn, سوب_, опчи, sgou_, 
   {{0xcbe68b62,0x00000000,0x00000000,0x00000000}},	//   иции, --, --, --, 
   {{0xdb00006b,0x63a48b63,0xa7fd027e,0x2d91027e}},	//   lemé, nein, nsıt, _özen_, 
   {{0x75e20187,0xee3a5be3,0x6fb307cf,0xdee38b64}},	//   _rôzn, _ана_, _بمقا, _доти, 
   {{0x63a402ec,0xe61f026a,0x3e320019,0xafe400a3}},	//   hein, ntôt_, _بہتر, _тоғл, 
   {{0x63a48b65,0x228f023d,0x7e6d00ef,0x76560175}},	//   kein, zük_, šapt, _atyy, 
   {{0x228f0718,0xab831918,0x6284018e,0xdce8020b}},	//   yük_, _душк, kuio, _obdĺ, 
   {{0xf1c93832,0x34df00ae,0x63a48b66,0x7bc28b67}},	//   रामन, नन्द, dein, _inou, 
   {{0x63af084c,0xdb000096,0x00000000,0x00000000}},	//   _sacn, jemé, --, --, 
   {{0x63a48b68,0xb4c34493,0x65bc0219,0xd4370038}},	//   fein, ्हे_, _såhä, لعرب, 
   {{0xd7fb0508,0xe3b00740,0xd6db0240,0x228f8b69}},	//   _шул_, ورق_, _ато_, tük_, 
   {{0x4df80262,0x2d8c3ce6,0x809f00ab,0xe69500eb}},	// [8410] ्चाई_, _ocde_, _गैजे, _الخد, 
   {{0x228f0ea2,0xf48700d9,0x7e7d017b,0xf1a70d3d}},	//   rük_, _кумн, _åspi, јран, 
   {{0x63af11ed,0xea000029,0x63a424a0,0x228f039f}},	//   _tacn, _giấy_, bein, sük_, 
   {{0x64570a9f,0x63a4026a,0x5f7400eb,0x7bc20118}},	//   _itxi, cein, قاهر, _nnou, 
   {{0x2bc500a2,0xa3bc00a5,0xf1a71571,0x539a0486}},	//   वासा, _आफत_, _крвн, _גירו, 
   {{0x51840f5a,0x75eb0092,0xa18435bf,0x1d098b6a}},	//   _муса, _düzg, _мысл, лели_, 
   {{0x2d878b6b,0xddc900d9,0xa7fd00ad,0xeb995b12}},	//   rgne_, _aveţ, nsıs, гий_, 
   {{0x6e4500d4,0x3ff900c7,0x9145008f,0x7ddd0237}},	//   _هنرم, _עפּע, şığı_, _mèsi, 
   {{0x75eb010e,0x7ddd00b9,0x00000000,0x00000000}},	//   _küzd, _lèsi, --, --, 
   {{0x3ead02a0,0x63a473fb,0x7bc200a7,0xb9e6004e}},	//   _iset_, zein, _enou, ймыз_, 
   {{0x645701c1,0xacb51117,0x34b3122e,0x63a48b6c}},	//   _ntxi, _دماغ, ुमोद, yein, 
   {{0x0cb302e6,0x3ead00ca,0x63a40183,0xdb00010e}},	//   ंटीम, _kset_, xein, zemé, 
   {{0xe9ce143a,0x64570a9f,0x05c30035,0xca480108}},	//   _ек_, _atxi, शांब, _hờn_, 
   {{0x63a40156,0x2bc51898,0x00000000,0x00000000}},	//   wein, वावा, --, --, 
   {{0x04b500af,0x8afd00bc,0xb426031b,0x00000000}},	//   остя, daři, معرو, --, 
   {{0x6b898b6d,0x7ddd01e5,0x680b0035,0xa7665dec}},	//   ngeg, _dèsi, lędn, _укид, 
   {{0x63a48b6e,0xb5fb02a0,0xdb00010e,0xdb0b003e}},	// [8420] rein, rsár, temé, _ingó, 
   {{0xb5fb4df1,0x05aa07a5,0xdb00010c,0x45868b6f}},	//   ssár, _свой_, kemî, _угов, 
   {{0x3ead8b70,0x656e023e,0xdb00010e,0xe1ff0587}},	//   _aset_, mabh, remé, _avós_, 
   {{0x645c8b71,0x656e8b72,0xdb00009e,0xdc8a0200}},	//   mpri, labh, demî, ҳсил_, 
   {{0x6b898b73,0x69c30088,0x52750272,0x20068b74}},	//   dgeg, _onne, _муру, rnoi_, 
   {{0x2d910c05,0x656e01c5,0x41c926d4,0x244e0228}},	//   _özel_, nabh, राणस, _kým_, 
   {{0x27040dc4,0x645c8b75,0xa3cc031e,0x6b898b76}},	//   रपुर_, npri, लाप_, fgeg, 
   {{0x69c38b77,0x656e1057,0x321a31b9,0x6b8901da}},	//   _anne, habh, lopy_, ggeg, 
   {{0x6ff5006a,0x75eb01f0,0xed5a64f7,0xdb00192b}},	//   jący, _yüzd, _боз_, ndmø, 
   {{0x321a5645,0x69c30126,0xd9100274,0x645c42b4}},	//   nopy_, _cnne, ویش_, kpri, 
   {{0x645c2178,0x656e01be,0x236001c8,0x621b00d1}},	//   jpri, dabh, kbij_, רויק, 
   {{0x69c38b78,0xa3cc0c06,0x61fe01f0,0x321a0098}},	//   _enne, लाफ_, hipl, hopy_, 
   {{0xdce101dd,0xa3cc4994,0x321a2b55,0x61fe8b79}},	//   _ielā, लान_, kopy_, kipl, 
   {{0x15eb00dd,0x656e01be,0xfc490098,0x645c01d2}},	//   уємо_, gabh, slíš_, fpri, 
   {{0x645c8b7a,0x0f050083,0x6ff50083,0xdd08020b}},	//   gpri, _शख्स_, rącz, _lôžo, 
   {{0x61fe1a77,0x98a70028,0x00000000,0x00000000}},	//   eipl, _agnė_, --, --, 
   {{0x27e98b7b,0x645c8b7c,0x533400f0,0x290b020f}},	// [8430] _ilan_, apri, зетт, şcat_, 
   {{0xdb000218,0xdb090183,0x672d0610,0x645c8b7d}},	//   yemî, ndeá, _izaj, bpri, 
   {{0x463c0137,0x637f00a1,0x7fd500f0,0x645c0151}},	//   _געזע, _cànà, жілі, cpri, 
   {{0x75eb0c05,0xdb090038,0x2b4600e7,0x680b0035}},	//   _düze, hdeá, _ngoc_, zędn, 
   {{0xdd26055a,0xf41f0080,0x228448e3,0x765d8b7e}},	//   _pêşk, _ikä_, _нург, npsy, 
   {{0x27180029,0x321a8b7f,0xe057009c,0x25b3040c}},	//   ọng_, copy_, _هیئت_, _jaxl_, 
   {{0x27e94786,0x75eb0792,0x2bc50f8c,0x6b891df0}},	//   _olan_, _güze, वाला, tgeg, 
   {{0xa9f304d7,0x8c42170f,0x5f943888,0xa3cc00a2}},	//   ेच्छ_, меще, _нист, लाय_, 
   {{0xdd3a0012,0xb9e900cf,0x22430b32,0x6b8934c7}},	//   tăţi, имиз_, _kijk_, rgeg, 
   {{0x6b898b80,0x645c6590,0x75eb027e,0x27e98b81}},	//   sgeg, ypri, _yüze, _alan_, 
   {{0x27e906df,0x656e0175,0x672d0610,0xdd3a020f}},	//   _blan_, vabh, _azaj, răţi, 
   {{0xe73a8b82,0x61fe01ca,0x224302b0,0x645c00fb}},	//   иен_, zipl, _lijk_, vpri, 
   {{0x672d0083,0x00000000,0x00000000,0x00000000}},	//   _czaj, --, --, --, 
   {{0x645c8b83,0xcb3600a7,0x27e98b84,0x672d3a61}},	//   tpri, _ואני_, _elan_, _dzaj, 
   {{0x656e161c,0x236001c8,0xdb0b001d,0x2ea600bc}},	//   rabh, tbij_, _magí, _गन्त, 
   {{0x27e98b85,0x656e8b86,0xa6ca0fd0,0x645c8b87}},	//   _glan_, sabh, _نوبل_, rpri, 
   {{0xe1fa8b88,0x23600536,0x42ca00cf,0xa3cc4575}},	// [8440] ага_, rbij_, шган_, लाब_, 
   {{0x244e143b,0xf65300a7,0x645c8b89,0x201f0ab1}},	//   _tým_, _קצת_, ppri, _akui_, 
   {{0x61fe8b8a,0x321a073d,0x224301c8,0x645a00bc}},	//   ripl, ropy_, _dijk_, ítid, 
   {{0xa3de00bd,0x389a0070,0x321a023a,0x224301d2}},	//   _तकि_, ייענ, sopy_, _eijk_, 
   {{0xee3a196c,0xddc96266,0x2d588b8b,0xfe7803a1}},	//   анд_, _sveš, биль_, сүз_, 
   {{0xddc9031e,0x62490082,0x8cb80299,0x661c00da}},	//   _kteř, _džod, ्मलो, nork, 
   {{0xc0c900ce,0x9cca8b8c,0xafe600d9,0x3ea9003d}},	//   _луѓе_, рыла_, _довл, ħata_, 
   {{0xd00a2b21,0x394701f5,0x63b68b8d,0x2d80020f}},	//   _тебе_, _agns_, ndyn, şie_, 
   {{0x661c8b8e,0xcb671acc,0x00000000,0x00000000}},	//   kork, цање_, --, --, 
   {{0x661c8b8f,0xdca68b90,0x27e98b91,0x00000000}},	//   jork, _мази, _slan_, --, 
   {{0x27e9884a,0xf2df001b,0x661c8b92,0x6724016c}},	//   _plan_, _ngân_, dork, _ayij, 
   {{0x6724016c,0x00000000,0x00000000,0x00000000}},	//   _byij, --, --, --, 
   {{0x661c3841,0x67ed0218,0x99d30296,0x63b600f8}},	//   fork, _nûje, ستیا, ddyn, 
   {{0xdcfa01f0,0x2d9e02fe,0x661c8b93,0x27e98b94}},	//   _hatı, _jbte_, gork, _wlan_, 
   {{0xdcfa0c05,0x224b8b95,0x2243012e,0x765d098d}},	//   _katı, _suck_, _rijk_, spsy, 
   {{0x69d81b37,0x27e98b96,0xe2f9004e,0x32553733}},	//   _hove, _ulan_, бебі_, звар, 
   {{0x672d8b97,0x69d88b98,0xa3bc0790,0x00000000}},	// [8450] _uzaj, _kove, _आफर_, --, 
   {{0x69d83bdc,0x661c36fa,0x681201dd,0x6aa24822}},	//   _jove, cork, rāde, _mpof, 
   {{0xb4b54707,0x69d800a7,0x9099401f,0x00000000}},	//   _эйнш, _move, свет_, --, 
   {{0x2bb6322d,0x6d487105,0x2243012e,0x9f97022c}},	//   _अफगा, _agda, _wijk_, _açò_, 
   {{0x9e6400dd,0x61fc00f6,0xfe570535,0xe7e30299}},	//   двід, _fmrl, زیاب_, _पवनप, 
   {{0x764500f4,0x764d6f76,0xb5fb0068,0xa37b00c2}},	//   _jihy, _muay, lpáb, _slõh, 
   {{0x459c0137,0x5ed30086,0xdcfa008f,0x6da2017b}},	//   יסגע, _দেখে, _batı, хища, 
   {{0x6e950088,0xdefb00d3,0xf1c9059e,0xdc390585}},	//   _нибу, _кыз_, रावन, tçın, 
   {{0x81ae100b,0x69d80536,0xa3cc03c1,0x3f9f011c}},	//   কার_, _bove, लात_, _ibuu_, 
   {{0x69d88b99,0x991501fc,0x78540019,0x2cbe01f2}},	//   _cove, зьмі, ڈیوز_, _frtd_, 
   {{0x69d88b9a,0x6c4900eb,0x661c8b9b,0x31bd0033}},	//   _dove, _الصف_, vork, _আকাশ, 
   {{0x201d0035,0x3ebf8b9c,0x69ce25a6,0x32010379}},	//   nowi_, _krut_, öber, hihy_, 
   {{0xdce800bc,0x7ddd0950,0x3ebf002c,0x00000000}},	//   _oddě, _fèst, _jrut_, --, 
   {{0x69d83cf7,0x2ca90035,0x75e20379,0x7e69095a}},	//   _gove, ładu_, _kôzi, _mwep, 
   {{0xdcfa05b7,0x201d8b9d,0x661c0a6d,0x32010379}},	//   _yatı, kowi_, rork, dihy_, 
   {{0x69d88b9e,0x661c0097,0xdcfa0095,0x6b9b052b}},	//   _zove, sork, _xatı, nfug, 
   {{0x661c1237,0x764d8b9f,0x63b68ba0,0x67240027}},	// [8460] pork, _guay, rdyn, _uyij, 
   {{0x69d809a1,0x422303b7,0x62968ba1,0x3f9f025b}},	//   _xove, едув, rtyo, _abuu_, 
   {{0x81ae00cc,0x62968ba2,0x94760038,0x68e100f3}},	//   কাল_, styo, _عددا, nyld, 
   {{0x26c0044e,0x62498ba3,0x3ebf8ba4,0xe29a0104}},	//   _krio_, _džob, _brut_, _лам_, 
   {{0x1dc7413a,0xdee387e1,0x6446371f,0x442234f9}},	//   लांत, ноци, _iiki, _ikk_, 
   {{0xdcfa0749,0x68e123b5,0xec6a7a3a,0x442200ca}},	//   _satı, kyld, брик_, _hkk_, 
   {{0x6458026a,0xa0a30f5a,0x8afd00bc,0xdb001d40}},	//   _évid, _пард, kařs, remí, 
   {{0x75eb06d0,0x26c021f7,0xdcfa00ad,0x69d818d3}},	//   _müza, _orio_, _qatı, _sove, 
   {{0x64468ba5,0x5a346710,0x776d0183,0x3ebf03c6}},	//   _miki, мнит, _reax, _grut_, 
   {{0x68e101cc,0x62840009,0x7c661c03,0xe9f83e97}},	//   fyld, irio, _فاصل, інні_, 
   {{0x9b4600d4,0x776d0042,0x26c00379,0x68e1192b}},	//   _فناو, _peax, _ario_, gyld, 
   {{0x64468ba6,0x683f012d,0x7645016a,0xb9041d00}},	//   _niki, _kūdi, _sihy, _नथ_, 
   {{0x9f4d014e,0x7e690216,0x7c22024d,0x69d83f53}},	//   _umeå_, _xwep, _ikor, _tove, 
   {{0x6446033e,0x4a7b0111,0x55580a10,0x62848ba7}},	//   _aiki, _פרוב, заря_, drio, 
   {{0x64461816,0x2c5500e0,0xa99b00d1,0x7bd9045a}},	//   _biki, _kāda_, _הבור, _yowu, 
   {{0x64468ba8,0x683f002a,0x671e000f,0x26c08ba9}},	//   _ciki, _līdz, _युवक_, _frio_, 
   {{0x64461816,0x442201cc,0xe80200ab,0xf1a708b8}},	// [8470] _diki, _dkk_, _लगता_, зрен, 
   {{0xda0c0c59,0x98b0031e,0x64468baa,0x44220679}},	//   िचित_, _जनाए, _eiki, _ekk_, 
   {{0x6284128a,0x64468bab,0xdb0b006b,0x32013001}},	//   ario, _fiki, _magá, rihy_, 
   {{0x64468bac,0x3ebf8bad,0x7c2202b8,0x683f0e0b}},	//   _giki, _prut_, _nkor, _būdi, 
   {{0x44298bae,0x4ea700e4,0xf3ff02aa,0xdfce009c}},	//   mla_, яржа, _imã_, شيو_, 
   {{0x4429369a,0x7c228baf,0x64468bb0,0x3ebf00d9}},	//   lla_, _akor, _ziki, _vrut_, 
   {{0x44298bb1,0x623400d9,0xd9a900a5,0x61141329}},	//   ola_, _черу, _कसौट, _здру, 
   {{0x69dc074b,0x44298bb2,0x681201dd,0x7ddd00f6}},	//   ören, nla_, kāda, _pèss, 
   {{0x442929bb,0x3ebf8bb3,0x52df0086,0x6b9b2243}},	//   ila_, _urut_, _নেতৃ, rfug, 
   {{0x44298bb4,0x7c22376f,0xf2df0023,0x7bd9019b}},	//   hla_, _ekor, _ngâm_, _wowu, 
   {{0x9b594cd5,0x7bd901b8,0xa7aa112d,0xdb0002be}},	//   _диет_, _towu, окна_, temã, 
   {{0xad1a07f5,0x44298bb5,0x9d1a0070,0x26c01788}},	//   _ווער, jla_, _וועט, _prio_, 
   {{0x44298bb6,0x7c290792,0xa3cc203f,0x8f9a00a7}},	//   dla_, mler, लास_, חירי, 
   {{0x64a68bb7,0x64468bb8,0x44220228,0x7c3b567d}},	//   мага, _siki, _skk_, lmur, 
   {{0xe6438bb9,0x4422008f,0x64460720,0x69b200a2}},	//   терп, _pkk_, _piki, _असती, 
   {{0x7c290c05,0xdb008bba,0x26c078e1,0x7c3b8bbb}},	//   nler, lemá, _trio_, nmur, 
   {{0xe2978bbc,0x41c911bd,0xec0900f7,0xf1c900a2}},	// [8480] мат_, रांस, yến_, रांन, 
   {{0x64468bbd,0x7c298bbe,0xa3cc8bbf,0x5ef3000d}},	//   _wiki, hler, लाह_, ्छन्_, 
   {{0x44298bc0,0x64468bc1,0x7c298bc2,0x683f01dd}},	//   bla_, _tiki, kler, _rīdz, 
   {{0x62848bc3,0x44298bc4,0xe8d600c7,0x44220080}},	//   prio, cla_, ווער_, _ukk_, 
   {{0x7c2903a9,0x44208bc5,0xdce30afc,0xa284009c}},	//   dler, moi_, manę, _سیاو, 
   {{0x44208bc6,0x0086022c,0xa3cc00ab,0x7bdd01c4}},	//   loi_, _олго, लाव_, ösun, 
   {{0x7c298bc7,0x212c007a,0x213e01fd,0x00000000}},	//   fler, _ádh_, _àth_, --, 
   {{0x7c2968ed,0x44208bc8,0xdb0003a1,0x7c3b8bc9}},	//   gler, noi_, temà, gmur, 
   {{0xc9868bca,0x34ab3267,0xdb0b18f8,0x6aa807d5}},	//   муни, _चन्द, _pagá, कबेर, 
   {{0x44298bcb,0x7c298bcc,0x645e034c,0x7e628bcd}},	//   zla_, aler, _otpi, mpop, 
   {{0x44290749,0x7c290545,0x44208bce,0xca48001b}},	//   yla_, bler, koi_, _mời_, 
   {{0xca4800f7,0x7c220199,0x4420024a,0x44298bcf}},	//   _lời_, _ukor, joi_, xla_, 
   {{0x8c431444,0x44298bd0,0xdb0b06a7,0x44208bd1}},	//   _реце, vla_, _tagá, doi_, 
   {{0x44298bd2,0x7c208261,0x7e62095a,0x2a690241}},	//   wla_, lomr, ipop, _çaba_, 
   {{0x44298bd3,0x44204b83,0x349408ba,0x68120caf}},	//   tla_, foi_, карр, sāda, 
   {{0x44208bd4,0x44293cc8,0x61ee6b5c,0x7c208bd5}},	//   goi_, ula_, _albl, nomr, 
   {{0x6d5a7ad0,0x7e628bd6,0x00000000,0x00000000}},	// [8490] _ofta, jpop, --, --, 
   {{0x44298bd7,0x7c290c05,0x224753f7,0x68ed00bc}},	//   sla_, zler, önk_, _řadi, 
   {{0x7c2901f0,0x62498bd8,0x7c201226,0x7c3b4c75}},	//   yler, _džoa, komr, ymur, 
   {{0x6d5a8bd9,0x3f155ed4,0x44290095,0x44208bda}},	//   _afta, ндес, qla_, coi_, 
   {{0x63ad8bdb,0xed590ca6,0xa3cc0790,0x7c298bdc}},	//   mean, пол_, लार_, vler, 
   {{0x63ad003c,0xed593903,0x69dc014e,0x6575024a}},	//   lean, чок_, örel, nazh, 
   {{0x7c290792,0x7c20016a,0x7c3b8bdd,0x09b70033}},	//   tler, fomr, tmur, জামা, 
   {{0x63ad8bde,0x7f850040,0x69ca8bdf,0x7c2001e8}},	//   nean, _سلطن, _anfe, gomr, 
   {{0x7c290792,0xdb002142,0x00000000,0x00000000}},	//   rler, temá, --, --, 
   {{0x63ad11a1,0x7c298be0,0xe1ff00ab,0xf1d23cae}},	//   hean, sler, _swój_, सायन, 
   {{0x7c2901f0,0x31718be1,0xbc6800eb,0x66e300a3}},	//   pler, _mezz_, _يمكن_, қора, 
   {{0x44208be2,0x63ad8be3,0xcc5600d1,0xd0fa0147}},	//   xoi_, jean, _טבעי_, פּיר, 
   {{0x7bcb58ae,0x63ad8be4,0x44208be5,0x6d470019}},	//   _ingu, dean, voi_, _újab, 
   {{0x6575024a,0xba3900c7,0xe802034d,0x31710372}},	//   gazh, _צײַט, _लगवा_, _nezz_, 
   {{0x44208be6,0xe1ff00ab,0xa3cc00c9,0x07a68be7}},	//   toi_, _twój_, लाल_, _зайн, 
   {{0xca4800e7,0x93468be8,0x3d0200b0,0x63ad8be9}},	//   _rời_, енбе, _वइसे_, gean, 
   {{0x44208bea,0x6f1600ab,0x68360042,0x75f00032}},	// [84a0] roi_, życz, gáde, _väzb, 
   {{0x44208beb,0x31168bec,0x171b00a7,0xd5b10210}},	//   soi_, нфес, _מופע, ốt_, 
   {{0x63ad8bed,0x4420002e,0xef868bee,0x7ddd3013}},	//   bean, poi_, елеп, _rèsp, 
   {{0x63ad3aa8,0xca4800e7,0xa25b02aa,0x41c900aa}},	//   cean, _vời_, _irôn, राउस, 
   {{0x3f9a00ab,0xa2e38bef,0xfbd3031e,0x2bd31f30}},	//   ępu_, _бояд, थानम, थाना, 
   {{0x7bcb8bf0,0x7e628bf1,0x200f011c,0xa25b0210}},	//   _angu, rpop, angi_, _krôn, 
   {{0x3f6a1a9e,0x7bcb016a,0x987e031e,0x7e7c01dd}},	//   _ниво_, _bngu, _péče_, _ārpu, 
   {{0xa2c4034d,0x22b20237,0xaa667fe5,0x6575021e}},	//   रिप्, _kņk_, нток, zazh, 
   {{0xa3e80509,0x7c20042a,0x7a388bf2,0x2006652f}},	//   _भवन_, romr, мпир_, mioi_, 
   {{0x7bcb8bf3,0x7c200533,0x200601f1,0x588600f0}},	//   _engu, somr, lioi_, ныма, 
   {{0x2bb80239,0x63ad0d94,0x681201dd,0xa7fd0213}},	//   _आसपा, yean, rādn, msız, 
   {{0xc02e00f7,0x9cd700a7,0x7c658bf4,0x63ad1ed8}},	//   _điều_, _רואה_, _شامل, xean, 
   {{0x09e62207,0x63ad00b3,0x95cb0d38,0x68360183}},	//   _подн, vean, пува_, xáde, 
   {{0xa2c40ed5,0x69ca8bf5,0xa7fd0761,0xa25b02be}},	//   रिन्, _unfe, nsız, _brôn, 
   {{0x63ad8bf6,0xf4842a65,0xa25b0165,0xb4cb6ba0}},	//   tean, лутн, _crôn, लमे_, 
   {{0x657500e5,0x68360068,0xdb0002c9,0xa25b03c6}},	//   sazh, táde, remæ, _drôn, 
   {{0x63ad1049,0x9635005b,0x62498b8f,0x75eb008f}},	// [84b0] rean, _иниц, _džon, _yüzl, 
   {{0x63ad8bf7,0x22b20237,0x356b00f6,0x00000000}},	//   sean, _dņk_, _эрин_, --, 
   {{0x63ad8bf8,0xddc9027e,0xdb0001ad,0x683679bb}},	//   pean, _ateş, lemä, sáde, 
   {{0x6607290d,0xe500017d,0x200f8bf9,0x22b205d5}},	//   lijk, ोपरि_, ungi_, _fņk_, 
   {{0x44393ca0,0x236900d9,0xdb0013ba,0x00000000}},	//   _ihs_, mbaj_, nemä, --, 
   {{0xdee28bfa,0xfde8004e,0xd65800d1,0x200f06e4}},	//   роши, ндік_, עיות_, sngi_, 
   {{0x1fa78bfb,0x4439002c,0x270d00ab,0xdb0000c2}},	//   _праг, _khs_, सपुर_, hemä, 
   {{0xdb000088,0x30350080,0xc60e0110,0x00000000}},	//   kemä, _ребё, _सद्य_, --, 
   {{0x66070b32,0x443926ec,0x38600304,0xef653063}},	//   kijk, _mhs_, _čira_, ğıdı_, 
   {{0x7d7900c5,0x3ea20219,0xdb008bfc,0x49c9286c}},	//   _آمار_, _äkta_, demä, флон_, 
   {{0x9be700dd,0x443901f2,0x66078bfd,0x2fcd0326}},	//   _підк, _ohs_, dijk, _kneg_, 
   {{0x6e238bfe,0x7bcb8bff,0xeab1010e,0x681201dd}},	//   lonb, _ungu, _نعت_, rādo, 
   {{0x26c4031e,0x9f4f033c,0x98a201dd,0xdb001562}},	//   ímo_, ligó_, ākā_, gemä, 
   {{0xb5fb001d,0x2fdf0183,0x6e231074,0xa25b0212}},	//   spán, _loug_, nonb, _prôn, 
   {{0x44396ad1,0xdce300bc,0xb5fb03b3,0x2bb810cf}},	//   _bhs_, vaně, mpál, _आसमा, 
   {{0xa3cc031e,0x3fbc0033,0x6f1e0083,0x00000000}},	//   लाइ_, _অক্ষ, ępcz, --, 
   {{0x6e238c00,0x660700ef,0xe61a03b7,0x20060080}},	// [84c0] konb, bijk, _оди_, vioi_, 
   {{0xf1aa00c5,0xf1d207d5,0xa25b8c01,0xa2c40035}},	//   باره_, साधन, _trôn, रिब्, 
   {{0x27e03994,0xdce300bc,0x2fdf05d5,0x63868c02}},	//   _koin_, raně, _boug_, _игна, 
   {{0x27e08c03,0x4f0a004e,0x7c390090,0xdd1c00da}},	//   _join_, мнен_, _nhwr, _náši, 
   {{0x6e238c04,0x27e08c05,0x22650098,0x1e9600b3}},	//   fonb, _moin_, čský_, трер, 
   {{0x27e0026a,0x2fcd016a,0x27f200f8,0x00000000}},	//   _loin_, _eneg_, _llyn_, --, 
   {{0x443902a2,0x60260009,0xa7fd0384,0xa37b00b0}},	//   _yhs_, _адва, rsız, _klõp, 
   {{0x27e0030f,0xeb9716d9,0x0b8a1eb4,0x6ce3004f}},	//   _noin_, вић_, фски_, ріше, 
   {{0x2d967f8c,0xea00001b,0x78ad0372,0x00000000}},	//   _арес, _nhảy_, _ćava, --, 
   {{0xee373f28,0x27e00387,0x09d00033,0xada31271}},	//   _ану_, _aoin_, িস্থ, _вафл, 
   {{0x5a330028,0x67360237,0x645a8c06,0xdb000a1f}},	//   рнэт, _azyj, ítil, demå, 
   {{0x6a868c07,0x6607012e,0xdb008c08,0x27e04a4f}},	//   _алда, wijk, temä, _coin_, 
   {{0xa3cc5a67,0x4ab6000c,0xea0000e7,0x6b828c09}},	//   लाई_, _अनिव, _chảy_, _idog, 
   {{0xe9180451,0x27e00557,0x443928e5,0xa25b0107}},	//   _полі_, _eoin_, _shs_, _drôl, 
   {{0x66070b32,0x62496f60,0x48e3021c,0x7ae602ae}},	//   rijk, _džol, _војв, äktf, 
   {{0xe7878c0a,0xe41400dd,0xdb1901e5,0x27f200f8}},	//   _руко, адсь, _bawè, _glyn_, 
   {{0x6b820010,0x98be0e03,0x9f5f011c,0xb3548c0b}},	// [84d0] _mdog, matı_, _umué_, ркуш, 
   {{0x2fcd8c0c,0x35b5452e,0x98be04be,0x44390326}},	//   _sneg_, _сбор, latı_, _whs_, 
   {{0x21a402fb,0x6836063b,0x68e802bf,0xc058012d}},	//   риєм, láda, nydd, віч_, 
   {{0x6b828c0d,0x98be04be,0xb5fb0098,0x672d0539}},	//   _ndog, natı_, zpál, _kyaj, 
   {{0x6e238c0e,0xdd0100d2,0x68e800f8,0x3da9481d}},	//   tonb, _čuđe, hydd, екло_, 
   {{0x68e80219,0x7c95019c,0x00000000,0x00000000}},	//   kydd, гриц, --, --, 
   {{0xa0b822b9,0x98be06a2,0x672d052b,0x683600da}},	//   _игру_, katı_, _lyaj, háda, 
   {{0xeb998c0f,0x5f45247b,0x68e80156,0x2fcd2a06}},	//   хии_, _منزل, dydd, _uneg_, 
   {{0x63bd8c10,0x0a490c0f,0xba25038a,0x6b820156}},	//   _masn, нзий_, лдик, _ddog, 
   {{0x27e08c11,0x6b82011c,0x63bd8c12,0xa2c4122e}},	//   _soin_, _edog, _lasn, रित्, 
   {{0x779400c5,0x27e0009a,0x27f2014b,0x9b952ea7}},	//   لیغا, _poin_, _plyn_, _ملات, 
   {{0xf64900fe,0x63bd010c,0x69da023b,0xdb19011c}},	//   _זצ_, _nasn, ajte, _lawé, 
   {{0xa9a5101b,0x27e000c8,0x672d007c,0x09df0033}},	//   _билд, _voin_, _cyaj, যোগা, 
   {{0x68e80156,0x63bd5ac8,0x7bdb2b92,0x00000000}},	//   bydd, _aasn, ljuu, --, 
   {{0x7ae98c13,0x18a58c14,0xdb0014cf,0x94792624}},	//   lyet, _сайм, remå, ксту_, 
   {{0x63bd1f5c,0x62490f23,0xdb19023e,0x6f1b00ad}},	//   _casn, _džom, _pawè, _oxuc, 
   {{0x7ae98c15,0x43752d30,0xdb19023e,0x7afb0502}},	// [84e0] nyet, руст, _bawé, nzut, 
   {{0x3c3a024a,0x764b0107,0xdb190574,0x63bd007a}},	//   mëve_, _égyp, _cawé, _easn, 
   {{0x98a67a2e,0x82a3005e,0x3c3a00e5,0x515500d3}},	//   čiće_, _қарж, lëve_, ртуу, 
   {{0x63bd8c16,0xe3b21b65,0xb4e0119b,0x41d20865}},	//   _gasn, _ارد_, थही_, साहस, 
   {{0x5f060f6b,0x7e2a2072,0x3c3a00e5,0x42d52983}},	//   ызда, ніка_, nëve_, _кіру, 
   {{0x63a48c17,0xa3cc2569,0xdcba0141,0x76560126}},	//   lfin, लाक_, ещи_, _muyy, 
   {{0xa1161f7a,0x98be03c0,0xea0000e7,0x3c3a024a}},	//   _صورت, yatı_, _nhạy_, hëve_, 
   {{0x20043107,0x3c3a00e5,0x63a48c18,0x7ae9018e}},	//   _ummi_, këve_, nfin, fyet, 
   {{0x68e802f0,0x3c3a024a,0xef1702f1,0x7ae98c19}},	//   wydd, jëve_, _бмт_, gyet, 
   {{0x49741488,0x3c3a024a,0x63a48c1a,0x672d007c}},	//   шлос, dëve_, hfin, _ryaj, 
   {{0xea000029,0x48150fb1,0xbc667c4f,0x63a421cc}},	//   _chạy_, имос, _свек, kfin, 
   {{0x68e84e92,0x59d2031e,0x63a40613,0x7ae90539}},	//   rydd, ताहर, jfin, byet, 
   {{0x6b7b00fe,0x63bd090e,0x5eb80086,0x62490ab4}},	//   _טראנ, _rasn, _আপডে, _džoj, 
   {{0x63bd00e0,0x659503b7,0x6836014b,0xb60400b3}},	//   _sasn, јаву, ráda, бяск, 
   {{0x63bd8c1b,0x76560574,0x81da0033,0x68360098}},	//   _pasn, _euyy, ়সা_, mádn, 
   {{0x59d21f9a,0xa3cc0e36,0x75eb01f0,0x6836247e}},	//   तावर, लाग_, _müzi, ládn, 
   {{0x2ba62649,0xa2950451,0x917500b3,0xfba652c2}},	// [84f0] क्या, разі, игац, क्यम, 
   {{0xddc9598c,0xa5c5004e,0x26c95d7c,0x63a426ad}},	//   _svež, _төме, _irao_, afin, 
   {{0x7afb02a3,0xfaf90009,0x155a00d1,0x387e02eb}},	//   zzut, lbūt_, _בכתב, nstr_, 
   {{0xa2950fb6,0x26c9044e,0x7ae900ad,0x63a48c1c}},	//   _камі, _krao_, yyet, cfin, 
   {{0x442b00ef,0x12e708af,0xe37a00df,0x00000000}},	//   _ikc_, _сінг, _שרשר, --, 
   {{0x7bc7002a,0x644f08f4,0x645700b4,0x7ae98c1d}},	//   ējum, _hici, _kuxi, vyet, 
   {{0x2c5501dd,0x3c3a0034,0xc21200d1,0xdb190216}},	//   _kādi_, zëve_, _והם_, _cawî, 
   {{0xca8500b9,0x7afb165c,0xdb190218,0x26c90571}},	//   агий, tzut, _dawî, _orao_, 
   {{0x645702a2,0x5fab07d5,0xde5900dd,0xa7fd0585}},	//   _luxi, _टॉयल, _разі_, rpıl, 
   {{0x644f8c1e,0x7ae98c1f,0x49c607b9,0x7bdb00b0}},	//   _lici, ryet, альн_, sjuu, 
   {{0x7ae98c20,0x387e00c5,0x98a58c21,0x63a43486}},	//   syet, gstr_, шине, yfin, 
   {{0x644f8c22,0x3c3a00e5,0xf7462c25,0x7ae98c23}},	//   _nici, tëve_, иено, pyet, 
   {{0xaa678c24,0x9736011f,0x68120243,0x65771f57}},	//   _стек, рэнч, nādi, _bexh, 
   {{0x3c3a01ee,0xd94583aa,0x644f002a,0x442b0626}},	//   rëve_, _кели, _aici, _akc_, 
   {{0x442b02fe,0x3c3a0034,0x00000000,0x00000000}},	//   _bkc_, sëve_, --, --, 
   {{0x3ead02f5,0x644f8c25,0x4aa90a44,0x69c18c26}},	//   _opet_, _cici, _कहाव, ldle, 
   {{0x63a48c27,0x26c90496,0x02065081,0xa206012d}},	// [8500] rfin, _grao_, азан, апад, 
   {{0x69c12374,0xe1f74a06,0x6457145a,0x667b00c7}},	//   ndle, агу_, _fuxi, _שטיק, 
   {{0x03a68c28,0x60260ff6,0x63a409e1,0x69c100f8}},	//   _кино, аджа, pfin, idle, 
   {{0x8fa61fde,0x3ead00ef,0x657c3096,0xbe8a250f}},	//   раде, _bpet_, larh, вске_, 
   {{0xfe4603dc,0x3ead8c29,0x681201dd,0x64441279}},	//   андо, _cpet_, gādi, mmii, 
   {{0x44328c2a,0x657c8c2b,0x3ead02a2,0x64440088}},	//   lly_, narh, _dpet_, lmii, 
   {{0xeb0e017d,0xa2c40035,0x644f02b8,0x645c084c}},	//   ाप्त_, रिव्, _yici, nqri, 
   {{0x8aa61f4d,0x317801c4,0xdee641e3,0x69c18c2c}},	//   арод, _herz_, _коби, edle, 
   {{0x44328c2d,0x657c078a,0x69c101c8,0x7d0f00ad}},	//   ily_, karh, fdle, _əksə, 
   {{0x2c0b086b,0x44328c2e,0x69c101d2,0x00000000}},	//   _یعنی_, hly_, gdle, --, 
   {{0x245c026e,0x6577024a,0x68360098,0x23600352}},	//   _ním_, _rexh, rádn, kcij_, 
   {{0x2a7f0495,0xcb6a0267,0xfaa68c2f,0x68360098}},	//   bsub_, _раде_, _вадо, sádn, 
   {{0x67014397,0x645703da,0x644f8c30,0x44328c31}},	//   _लेखक_, _suxi, _rici, dly_, 
   {{0x644f8c32,0xfaf93cf5,0x2b92006b,0x442b8c33}},	//   _sici, rbūt_, _ایکس, _skc_, 
   {{0x6ab607cc,0xe78752d5,0x644f8c34,0x245c0019}},	//   _अनुर, _купо, _pici, _cím_, 
   {{0x628d8c35,0x26c9001b,0x64570219,0xb3558c36}},	//   trao, _trao_, _vuxi, скаш, 
   {{0x657c0c43,0xd2510625,0xa2c4049c,0x644f2416}},	// [8510] barh, سنا_, रिष्, _vici, 
   {{0x2ba6000c,0x44328c37,0x21678c38,0x644f0156}},	//   क्ता, aly_, ртаг, _wici, 
   {{0x3ead02ee,0x44328c39,0x644f8c3a,0xceb400ad}},	//   _spet_, bly_, _tici, çən_, 
   {{0x442b830a,0xa2c41464,0x1ab600a5,0x628d0372}},	//   _ukc_, रिश्, _अनूठ, prao, 
   {{0x44298c3b,0x683d026d,0x7a3d026a,0xdce30f23}},	//   moa_, céde, lète, vanđ, 
   {{0x44298c3c,0x9f44009e,0x68120243,0xee210110}},	//   loa_, _komê_, rādi, यवेध_, 
   {{0x2259155b,0xa3cc00a2,0x66ce0054,0x7a3d1904}},	//   _husk_, लाच_, _kôkô, nète, 
   {{0x5f946e99,0x2a7f8c3d,0x3ea9022c,0x225100b4}},	//   _мист, tsub_, çats_, _hizk_, 
   {{0x8d871fdb,0x442901ca,0x4e940038,0xdce30242}},	//   _نشان, ioa_, _وشكر, ranđ, 
   {{0x44298c3e,0xdce30082,0xe9d98c3f,0x44320865}},	//   hoa_, sanđ, уко_, zly_, 
   {{0x44298c40,0x69c18c41,0x4432021a,0x225900de}},	//   koa_, rdle, yly_, _lusk_, 
   {{0x44298c42,0xc5e9008d,0x98160038,0x68362b70}},	//   joa_, _אד_, إبدا, rádo, 
   {{0x44298c43,0xdb0973be,0xf3ff0086,0x290b00ab}},	//   doa_, rdeó, ্কার_, ńca_, 
   {{0x69dc489f,0xd99911b7,0x7c298c44,0xdb1b0587}},	//   öret, _صنعت_, loer, nduí, 
   {{0x44298c45,0x443200d1,0x2bbd00ae,0x1da902a2}},	//   foa_, tly_, ्यपा, च्यत, 
   {{0x44298c46,0x7ddd0cd7,0x2bda02e6,0x245c00bc}},	//   goa_, _vèsy, भाया, _vím_, 
   {{0x44320056,0x7764008a,0xd1868c47,0x42ca03a1}},	// [8520] rly_, _ifix, йлай, ыган_, 
   {{0x245c000d,0x44328c48,0x5156004e,0x2ca90035}},	//   _tím_, sly_, стау, łady_, 
   {{0x44328c49,0xef650749,0x2c5500e0,0x44298c4a}},	//   ply_, ğını_, _kādu_, boa_, 
   {{0xef650092,0xea00001b,0x7c2908b0,0x660e392e}},	//   şını_, _thầy_, joer, libk, 
   {{0x317800a4,0x63b64cd8,0x1aec0086,0x2bbd0a20}},	//   _terz_, meyn, _জেনে_, ्यना, 
   {{0x21f600eb,0x63b68c4b,0x62968c4c,0x75eb00ad}},	//   _اكسس, leyn, muyo, _füzu, 
   {{0xec090029,0x62968c4d,0x2a6601be,0x00000000}},	//   yết_, luyo, _stob_, --, 
   {{0x8fa38c4e,0x30750258,0x660e00ad,0x00000000}},	//   _насе, _фурс, hibk, --, 
   {{0x629601f0,0xd9f80080,0x00000000,0x00000000}},	//   nuyo, иниц_, --, --, 
   {{0x660e6c86,0x44290a9f,0x2d9801e8,0x77648c4f}},	//   jibk, zoa_, _øre_, _afix, 
   {{0x7c291008,0xe1ff0183,0x4429012b,0x6296019b}},	//   boer, _otón_, yoa_, huyo, 
   {{0x3137042c,0x62968c50,0x442901f1,0x7c298c51}},	//   מנים_, kuyo, xoa_, coer, 
   {{0xf1c807d5,0x63b600ad,0x320a00a9,0x44293557}},	//   रयान, deyn, _omby_, voa_, 
   {{0xe1ff0183,0x77640183,0x66ce0054,0x22590f96}},	//   _atón_, _efix, _sôkô, _rusk_, 
   {{0x44298c52,0xf8b803dd,0x7bc23227,0xdcf83bbf}},	//   toa_, _төп_, _kaou, kavč, 
   {{0x320a0180,0x7a3d0107,0x44290226,0x2bbd00f4}},	//   _amby_, rète, uoa_, ्यया, 
   {{0x44298c53,0x62968c54,0x8af70095,0x816b1211}},	// [8530] roa_, guyo, _çəti, греб_, 
   {{0x44298c55,0xf77f8c56,0xbb3b0070,0x7bc20106}},	//   soa_, laç_, רעמי, _laou, 
   {{0x2bbd00bc,0xd13b8c57,0x97350019,0x44298c58}},	//   ्यमा, уха_, _دکھا, poa_, 
   {{0x2d9e8c59,0x753a0380,0x9f440118,0x22590083}},	//   _acte_, ütze, _komè_, _tusk_, 
   {{0x539a0056,0x7c290265,0x201c02a0,0x9f4d0354}},	//   _דירו, voer, évia_, _bleá_, 
   {{0xdc3c01dd,0x2ba6048e,0x7a2f00fc,0x2744011c}},	//   kšēj, क्सा, nøtt, lèné_, 
   {{0x7c298c5a,0x0cd70033,0xdddb107c,0x00000000}},	//   toer, তন্ত, _avuţ, --, 
   {{0xea890a65,0x7bc20107,0x61e70604,0x1be91a57}},	//   абил_, _caou, _hojl, рдии_, 
   {{0x7bc23076,0x0ae60088,0x7c290a58,0x62498bd8}},	//   _daou, ждый_, roer, _džov, 
   {{0x88850650,0x200f8c5b,0xc9a60088,0x7c298c5c}},	//   олож, ligi_, овье_, soer, 
   {{0xdb09033c,0x995801dd,0xdc3c0243,0x00000000}},	//   rdeñ, kšņi_, gšēj, --, 
   {{0x200f8c5d,0x69dc0219,0xf77f4783,0xdb09001d}},	//   nigi_, örer, gaç_, sdeñ, 
   {{0xe9d94008,0x9f44024a,0xddc201dd,0x3cdf09ef}},	//   _вкл_, _romë_, lpoš, _कपडे_, 
   {{0xdce8031e,0xf3f100e7,0x63b6025b,0x2a6d006d}},	//   _nedě, ện_, weyn, mpeb_, 
   {{0x2c5500e0,0x7bc22f96,0x07a68c5e,0x2ba6048e}},	//   _tādu_, _yaou, _дайн, क्वा, 
   {{0x69c38c5f,0x62968c60,0x6b9b8c61,0x25ad0b1d}},	//   _hane, tuyo, ngug, đela_, 
   {{0x69c38c62,0xe29a8c63,0x2c5500e0,0x63b68c64}},	// [8540] _kane, раз_, _kāds_, reyn, 
   {{0x69c38c65,0xea0000f7,0x63b60095,0x62964701}},	//   _jane, _thấy_, seyn, ruyo, 
   {{0x69c3036d,0xddc20613,0x7f8611e3,0x7e6900b4}},	//   _mane, jpoš, قلان, _atep, 
   {{0xe29a34f7,0x69c302ba,0xd7dd00a2,0x888a00c7}},	//   _кам_, _lane, यायच, שרײַ, 
   {{0x7bc28c66,0x69c38c67,0x2a6d006d,0xdcf80a95}},	//   _raou, _oane, jpeb_, ravč, 
   {{0x69c38c68,0x62860d4c,0xdc8a8c69,0x8c6639de}},	//   _nane, _ivko, асил_, отид, 
   {{0xb5fb2953,0xf77f027e,0xac940080,0xd7ca0110}},	//   mpát, yaç_, чайш, ियाच, 
   {{0x7a3400d3,0x69c33f5e,0x62840009,0x6b9b8c6a}},	//   màti, _aane, osio, ggug, 
   {{0x62848c6b,0x69c38c6c,0x2fc60542,0x386982f6}},	//   nsio, _bane, mdog_, _čara_, 
   {{0x094a0925,0x3ebb042c,0xc33300a7,0x62848c6d}},	//   ични_, _דצמב, ווח_, isio, 
   {{0x69c38c6e,0x61e302f2,0x26c08c6f,0x5fcf009a}},	//   _dane, önli, _asio_, _सोडल, 
   {{0x62848c70,0x2fc67b38,0x2ba6109f,0x2fc402f1}},	//   ksio, ndog_, क्शा, _jamg_, 
   {{0x3ea68c71,0x69c38c72,0x0aba195e,0x7a2f03a9}},	//   ntot_, _fane, _خطاب_, tøtt, 
   {{0x69c38c73,0x62848c74,0x2ba610b0,0x200f01a3}},	//   _gane, dsio, क्रा, zigi_, 
   {{0xd37b8c75,0x09ac0086,0xf77f03a1,0x62860946}},	//   ича_, _কোথা, paç_, _avko, 
   {{0x248d8c76,0x683f00e0,0x6b808c77,0xdb190126}},	//   čem_, _lūdz, namg, _hawá, 
   {{0x2bbd088c,0x69c36de6,0x27e98c78,0x4abc07d5}},	// [8550] ्यता, _yane, _ioan_, ्टिव, 
   {{0x69c38c79,0x27e98c7a,0xdb0002aa,0xef650761}},	//   _xane, _hoan_, lemó, ğımı_, 
   {{0x7e694a0a,0x2fc40026,0x61e71098,0xef650384}},	//   _step, _bamg_, _vojl, şımı_, 
   {{0x9ed90080,0x27e98c7b,0xdb0b0118,0x2fc68c7c}},	//   ймет_, _joan_, _magò, gdog_, 
   {{0x200f8c7d,0x6b808c7e,0x15ff010b,0xdb0b0118}},	//   rigi_, damg, _उतार_, _lagò, 
   {{0xdd910ce0,0x8e0800dd,0x27e900d1,0xa25b0032}},	//   روع_, онів_, _loan_, _drôt, 
   {{0x69c38c7f,0x69c5003e,0xc182010e,0x200f8c80}},	//   _rane, _óhei, _سینٹ, pigi_, 
   {{0x69c313ce,0x251c00c7,0x260d00ef,0xcfb40093}},	//   _sane, יווא, džom_, _обсъ, 
   {{0x3ebf02a2,0x7e698c81,0x68360098,0xdce101dd}},	//   _usut_, _utep, sádk, _pelē, 
   {{0xa9a500b3,0x00000000,0x00000000,0x00000000}},	//   чиод, --, --, --, 
   {{0x69c3007e,0x2fc402cd,0x27e98c82,0x2a6d006d}},	//   _vane, _yamg_, _boan_, speb_, 
   {{0x69c38c83,0x2c63027e,0x62848c84,0x644a02be}},	//   _wane, _gıda_, ysio, _éfix, 
   {{0x27e98c85,0xeaae0cfe,0x24985f06,0x6836019c}},	//   _doan_, _яй_, wurm_, nádi, 
   {{0x2c5500e0,0x27e90054,0x57470235,0x63af017b}},	//   _tāds_, _eoan_, язям_, _abcn, 
   {{0x2eb80394,0x33f606ba,0x8cce0035,0x6f0202a3}},	//   _इन्त, пчас, थियो, zzoc, 
   {{0x62848c86,0x683d8c87,0x27e90354,0x26c00054}},	//   tsio, lédn, _goan_, _tsio_, 
   {{0x2bad02f8,0x9f4421dc,0x6284012d,0x26c00548}},	// [8560] झ्या, _tomé_, usio, _usio_, 
   {{0x2bb82369,0x200d0165,0xada60032,0x5bb8009a}},	//   _आस्थ, _amei_, _krúž, _आस्व, 
   {{0x62848c88,0xfbbd1276,0x201c02a0,0xd62569c5}},	//   ssio, ्याम, évio_, _تعيي, 
   {{0x61fe8c89,0x657e0626,0x62848c8a,0xdefa00d3}},	//   shpl, _heph, psio, йыл_, 
   {{0x78820019,0xb5fb3b73,0x645e8c8b,0xed50010e}},	//   _kívá, mpár, _hupi, چھا_, 
   {{0x3ea636c5,0x67360088,0x6f028c8c,0x81fa0499}},	//   rtot_, _myyj, rzoc, _افسر_, 
   {{0x4bc400b9,0x657e0149,0x3ea68c8d,0xa2c40239}},	//   дөлг, _meph, stot_, रिक्, 
   {{0x4f9500f6,0x657e8c8e,0xdb000068,0xdcf80339}},	//   _оруу, _leph, xemó, gavā, 
   {{0x27e90379,0x20070034,0x798100f8,0xcb670477}},	//   _roan_, ënie_, falw, чање_, 
   {{0xeaaf646f,0x395803a9,0x3dc50156,0x798101a3}},	//   اعي_, ørs_, _galw_, galw, 
   {{0x6d5a0495,0xb5fb010e,0xdefa00f0,0x645e0009}},	//   _igta, kpár, _тың_, _nupi, 
   {{0x1ae68c8f,0x6b800104,0x8ba650a5,0x20070bde}},	//   _ноем, qamg, _хидж, énix_, 
   {{0xa3c01204,0x27e98c90,0x79818c91,0x645e08b0}},	//   ंजन_, _voan_, balw, _aupi, 
   {{0x09e30bae,0x657e8c92,0x25ad0a1a,0x645e2902}},	//   _почн, _ceph, đelo_, _bupi, 
   {{0x69c802bf,0x69a10a34,0x27e98c93,0x67248c94}},	//   mdde, _खाती, _toan_, _exij, 
   {{0x645e2ea4,0x03c40d38,0x69c88c95,0x54541b29}},	//   _dupi, нсум, ldde, евст, 
   {{0x683d4a78,0x32551560,0x69c8017c,0x69d80175}},	// [8570] lédo, двар, odde, _knve, 
   {{0x69c88c96,0x6d5a0102,0x645e018e,0x00000000}},	//   ndde, _ngta, _fupi, --, 
   {{0x645e8c97,0xdb0b003e,0x98af0082,0xa25b0054}},	//   _gupi, _lagð, čaće_, _prôs, 
   {{0x68360165,0x3f158c98,0xaf390afc,0xa2cd8c99}},	//   tádi, мдес, озеф_, सिद्, 
   {{0x69d801a9,0x62498c9a,0x63ad8c9b,0x6d5a0640}},	//   _onve, _džor, mfan, _bgta, 
   {{0x63ad8c9c,0x6836200a,0xfe701896,0x683d0a13}},	//   lfan, rádi, ادن_, kédo, 
   {{0x6458026a,0x63ad8c9d,0x79818c9e,0x38690032}},	//   _évit, ofan, valw, _čaro_, 
   {{0xeb99306e,0x69d846f7,0x2bda2119,0x63ad02f2}},	//   ции_, _anve, भाषा, nfan, 
   {{0x79818c9f,0x63ad8ca0,0x06e30033,0x3f8d002c}},	//   talw, ifan, নৈতি, _ideu_, 
   {{0x08898ca1,0x7d18007a,0x9ce700d9,0xada6020b}},	//   обой_, éasú, _нцел, _prúž, 
   {{0x3945418c,0x657e8ca2,0x02ba3355,0x798108d4}},	//   ьног, _reph, _उन्न, ralw, 
   {{0x657e0364,0x645e38c6,0xe73a0ea9,0x7bc701dd}},	//   _seph, _rupi, жем_, ējus, 
   {{0xe9a51088,0xa9a501ff,0x79810226,0x63ad6fae}},	//   _жалп, _жилд, palw, dfan, 
   {{0x2bbd06c9,0x4abc051f,0x657e0226,0x7bc9370f}},	//   ्यवा, ्टरव, _qeph, ldeu, 
   {{0x63ad76fb,0x6aa909ad,0x683d0151,0x00000000}},	//   ffan, ltef, cédo, --, 
   {{0x7bc98ca3,0x0443192f,0x6724006d,0x645a022c}},	//   ndeu, весн, _txij, ítiq, 
   {{0xc1ea5a02,0xa1c68ca4,0x9f4a0585,0x2c7a0243}},	// [8580] одаж_, мбад, ümün_, zūd_, 
   {{0x26d20199,0x3f8d00f6,0x6d4100a3,0x63ad1ace}},	//   _iryo_, _adeu_, _ozla, afan, 
   {{0x106a8ca5,0x7640031e,0x4fc60595,0x7e7b045a}},	//   цией_, ůmys, дсла, _awup, 
   {{0x680b0083,0x00000000,0x00000000,0x00000000}},	//   wędz, --, --, --, 
   {{0x69c815d2,0x6d410640,0x6aa902fe,0x7bc959bf}},	//   ydde, _azla, jtef, ddeu, 
   {{0xb8060033,0x44220080,0x7e7b0083,0x00000000}},	//   োকিত_, _hjk_, _dwup, --, 
   {{0xdb0b010d,0xd8390112,0x7bc9064e,0x644a5a9a}},	//   _sagð, luče_, fdeu, _èfis, 
   {{0x7bc98ca6,0x26d2052b,0x614308e8,0x6aa95769}},	//   gdeu, _oryo_, _реса, ftef, 
   {{0x4a542ee5,0xe7dd0110,0x680b0083,0x00000000}},	//   нкис, यासप, pędz, --, 
   {{0x765f55d4,0x442202a2,0xe7ac0299,0x00000000}},	//   _ruqy, _ljk_, ट्सप, --, 
   {{0x69c80156,0x4422016a,0x63ad8ca7,0x26d28ca8}},	//   rdde, _ojk_, yfan, _aryo_, 
   {{0x7e608ca9,0xb8e600ab,0x628b010e,0x00000000}},	//   _kump, _उन_, ágok, --, 
   {{0x19948caa,0xd8390813,0x7c228cab,0x7e608cac}},	//   _заля, juče_, _ijor, _jump, 
   {{0xc1c80351,0x7c2d0d26,0x7e608cad,0x69d88cae}},	//   रयोग, čare, _mump, _unve, 
   {{0x7e608caf,0x63ad008c,0x395c0068,0x55588cb0}},	//   _lump, tfan, _igvs_, даря_, 
   {{0xeac80029,0x60c901dd,0x63ad8cb1,0x7c22040b}},	//   _kỹ_, _ņemo, ufan, _jjor, 
   {{0x7e608cb2,0x63ad8cb3,0x4caa0086,0x26c500e0}},	// [8590] _nump, rfan, কিটু, ālos_, 
   {{0xeac80029,0x7c228cb4,0x63ad8cb5,0xd71b02e6}},	//   _mỹ_, _ljor, sfan, नपीठ_, 
   {{0x63ad8cb6,0xa25b023a,0x225806c7,0xf1a400fd}},	//   pfan, _erôp, _dirk_, ъртн, 
   {{0x66158cb7,0xd83900ef,0x5fcf02e6,0x7c22018e}},	//   lizk, buče_, _सोशल, _njor, 
   {{0x7e608cb8,0x644d8cb9,0x6d410035,0xef19008a}},	//   _cump, mmai, _szla, _beża_, 
   {{0x7c228cba,0xddc11093,0xfde800f0,0xc27a00d1}},	//   _ajor, _dilş, мдік_, _מרשי, 
   {{0x271b0bd5,0xdce300e0,0x644d8cbb,0x5c5500d9}},	//   नपुर_, manī, omai, нтиф, 
   {{0x6aa9017e,0x7bc94d68,0x661501d6,0x00000000}},	//   ttef, udeu, hizk, --, 
   {{0x4ea41cc8,0x7bc98cbc,0x7c228cbd,0x7e608cbe}},	//   _арха, rdeu, _djor, _gump, 
   {{0x89a90386,0x644d0038,0x6f2500b3,0x0b421bb9}},	//   чков_, hmai, ărcă, ынын, 
   {{0x07a60100,0xf1b200c7,0x6d418cbf,0x66150a9f}},	//   нанн, נסט_, _uzla, dizk, 
   {{0x7c222267,0x60da010e,0x00000000,0x00000000}},	//   _gjor, _átme, --, --, 
   {{0xdce10009,0xaffa0070,0x644d8cc0,0x00000000}},	//   _pelė, פּטי, dmai, --, 
   {{0x6a17006b,0xd839003a,0x3ea2014e,0x64468cc1}},	//   _تبصر, vuče_, _åkte_, _shki, 
   {{0x442202cd,0x2ba629b0,0x33d6017b,0x00000000}},	//   _pjk_, क्का, ніат, --, 
   {{0x7c3b0c36,0x22588cc2,0x62960237,0xa7fd00ad}},	//   nlur, _sirk_, tryo, lqın, 
   {{0x22580009,0x130a012d,0x7c3b8cc3,0xc2460afc}},	// [85a0] _pirk_, чнай_, ilur, енак, 
   {{0xe7ac141c,0x644d8cc4,0x167700d1,0xf3ff02be}},	//   ट्रप, amai, _רגיל_, _elã_, 
   {{0x7e600574,0x644d8cc5,0x22587993,0xdcfa0237}},	//   _sump, bmai, _virk_, _petč, 
   {{0x4ea68cc6,0x644d04c6,0xd8397314,0x00000000}},	//   ерка, cmai, puče_, --, 
   {{0x44208cc7,0x44328cc8,0x61f303a9,0x20070034}},	//   mni_, moy_, ådlø, ënia_, 
   {{0x44320268,0xf2df00e7,0xf487009c,0x7c2201d2}},	//   loy_, _ngây_, _تایی, _sjor, 
   {{0x44208cc9,0x61438cca,0xeac8001b,0x7e60012b}},	//   oni_, _бера, _sỹ_, _wump, 
   {{0x44208ccb,0x44328ccc,0x2bba0084,0x7e6027c8}},	//   nni_, noy_, ساعة_, _tump, 
   {{0xe7e40667,0x61ee1927,0x7e6007fc,0x701700d1}},	//   गाना_, _kobl, _uump, _נחמד_, 
   {{0x44208ccd,0xfce68cce,0x44328ccf,0x3f860118}},	//   hni_, _позо, hoy_, laou_, 
   {{0x44208cd0,0x44320c3d,0x61ee4f5c,0x7c3b1a16}},	//   kni_, koy_, _mobl, blur, 
   {{0x44324508,0x7c3b8cd1,0x644d012b,0x27ff003e}},	//   joy_, clur, xmai, óun_, 
   {{0xd6d81991,0x44328cd2,0x66153f8e,0x00000000}},	//   нтр_, doy_, tizk, --, 
   {{0x44208cd3,0x3913005e,0x6b8206e4,0x80d0017d}},	//   eni_, _өмір, _heog, सटाइ, 
   {{0x4420010d,0xa4d88cd4,0x44320180,0x69ca0054}},	//   fni_, ндру_, foy_, _iafe, 
   {{0x442019d5,0x493b00a7,0x44328cd5,0x61ee00a1}},	//   gni_, _מגוו, goy_, _aobl, 
   {{0x69ca5688,0x61ee4e92,0x23698cd6,0x644d86bc}},	// [85b0] _kafe, _bobl, rcaj_, rmai, 
   {{0x44208cd7,0x6b828cd8,0x61ee8088,0x69ca8cd9}},	//   ani_, _leog, _cobl, _jafe, 
   {{0x44208cda,0x61ee8cdb,0x69ca07d7,0x25de1615}},	//   bni_, _dobl, _mafe, खारी_, 
   {{0x44201993,0x69ca8cdc,0x00000000,0x00000000}},	//   cni_, _lafe, --, --, 
   {{0x539a0a33,0x6abc0838,0x69a100a2,0xada50258}},	//   _קישו, ्टोर, _खाली, валл, 
   {{0x44d100e4,0xdce8002a,0x61ee8cdd,0x69ca4c13}},	//   _ką_, _nedē, _gobl, _nafe, 
   {{0x6b821462,0x44d18cde,0x7c3b00b3,0xe7e40497}},	//   _beog, _ją_, tlur, गामा_, 
   {{0xa1581222,0xbbbd2360,0xdce1020f,0x44d16eb3}},	//   _часу_, ्येक, _află, _mą_, 
   {{0x69ca590b,0x7c3b0219,0x2fc000b0,0x9f4400f6}},	//   _bafe, rlur, õige_, _gomà_, 
   {{0x44208cdf,0x2bd102e6,0x7c3b8ce0,0x00000000}},	//   zni_, _दोरा, slur, --, 
   {{0x2d878ce1,0xd7dd047b,0xac9403dc,0x7c3b8ce2}},	//   mane_, यांच, _бахш, plur, 
   {{0x5b150c8a,0x6b82238e,0x2d873245,0x2b9a008f}},	//   _имет, _geog, lane_, rücü_, 
   {{0x44328ce3,0x25de1295,0x2d878ce4,0x7a340054}},	//   voy_, खाली_, oane_, ràtr, 
   {{0x44208ce5,0xa7fd06d0,0x7bcb8ce6,0x2d87076b}},	//   wni_, qqın, _hagu, nane_, 
   {{0x44328ce7,0x59a60081,0x7bcb8ce8,0x2aab01cc}},	//   toy_, _खातर, _kagu, løb_, 
   {{0x6b820496,0x44208ce9,0x61ee8cea,0x69ca8ceb}},	//   _xeog, uni_, _sobl, _zafe, 
   {{0x44208cec,0x44328ced,0x61ee8cee,0x2d870b07}},	// [85c0] rni_, roy_, _pobl, kane_, 
   {{0x7bcb0414,0x2d878cef,0x7ae60219,0x68360068}},	//   _lagu, jane_, äkti, cádr, 
   {{0x2d8729b1,0x443202dc,0x7983084c,0x60c700b9}},	//   dane_, poy_, _menw, _csjm, 
   {{0x7bcb8cf0,0x44202e21,0xe2860e65,0x2aab02c9}},	//   _nagu, qni_, _илми, køb_, 
   {{0xa2c1000f,0x2d878836,0xdd945ab2,0xe7aa02c3}},	//   रौद्, fane_, галы, _कानप, 
   {{0x63a48cf1,0x2d878cf2,0x61ee00d2,0x998c00bc}},	//   lgin, gane_, _uobl, vodů_, 
   {{0x7bcb8cf3,0x6abc05cf,0x69ca8cf4,0xc0e34dd6}},	//   _bagu, ्ट्र, _rafe, _корк, 
   {{0x63a48cf5,0x25ad846c,0x69ca8cf6,0x9f440379}},	//   ngin, đeli_, _safe, _tomà_, 
   {{0x5a342655,0x2d87794b,0xf4130a33,0x67ff00e5}},	//   лнит, bane_, יפה_, _bëjn, 
   {{0x683d8cf7,0x2d878cf8,0x3f84018e,0xbd8a009c}},	//   médi, cane_, _hemu_, _آنان_, 
   {{0x7bcb8cf9,0x3f84011c,0x683d0151,0x798303c6}},	//   _fagu, _kemu_, lédi, _denw, 
   {{0x3f848cfa,0x7bcb8cfb,0x63a401c8,0x79831a77}},	//   _jemu_, _gagu, jgin, _eenw, 
   {{0x44d10da6,0x8a068cfc,0x3f8400ef,0x69ca0318}},	//   _są_, _изде, _memu_, _tafe, 
   {{0x7bc02913,0x63a48cfd,0xb60202d9,0x3f848cfe}},	//   lemu, egin, _žáro, _lemu_, 
   {{0x6d5c0187,0x20065b8c,0x7bcb8cff,0x66b200f0}},	//   _úrad, khoi_, _yagu, _құру, 
   {{0x7bc0386c,0x2ba64493,0x63a48d00,0x79888d01}},	//   nemu, क्चा, ggin, ladw, 
   {{0x2d878d02,0x36d58d03,0x3869090e,0x81ac0033}},	// [85d0] yane_, _сопр, _čari_, কজন_, 
   {{0x44d117da,0x2d878d04,0x7bc08d05,0x798800f8}},	//   _tą_, xane_, hemu, nadw, 
   {{0x7bc08d06,0xa37b019c,0xcfb10033,0xd7aa02ff}},	//   kemu, _anõe, _ঘোষন, _कामच, 
   {{0x2d878d07,0xf8b307f5,0x3f840519,0x7bc0261e}},	//   wane_, ישע_, _cemu_, jemu, 
   {{0x539a0056,0xc2e40c67,0x2d878d08,0x6aa003f5}},	//   _אירו, _кўри, tane_, jumf, 
   {{0x7bcb8d09,0x79882e9a,0x645d14a8,0x3dcc0156}},	//   _sagu, jadw, _hisi, _cadw_, 
   {{0x2d878d0a,0x645d8d0b,0x683d00d4,0x00000000}},	//   rane_, _kisi, pédh, --, 
   {{0x7bc08d0c,0xbb451b0b,0x645d8d0d,0x2bda00a2}},	//   gemu, лейк, _jisi, भागा, 
   {{0x2d878d0e,0x5f3800b3,0x798300f8,0x7a3d022c}},	//   pane_, _аптя_, _penw, lèti, 
   {{0xf99100eb,0x7bcb6de6,0x3dcc0156,0x63a48d0f}},	//   حبة_, _wagu, _gadw_, zgin, 
   {{0x7bcb8d10,0x63a48d11,0x7a3d022c,0xa2ca8d12}},	//   _tagu, ygin, nèti, _सैन्, 
   {{0x2d8585e7,0x7bcb018e,0x66e62dd2,0xb21b0566}},	//   _hele_, _uagu, гома, _kvæs, 
   {{0x2d858d13,0xa3e71e08,0x63a48d14,0x79880727}},	//   _kele_, पान_, vgin, badw, 
   {{0x2d858d15,0x645d8d16,0xd8391a35,0x443900a3}},	//   _jele_, _aisi, ruča_, _aks_, 
   {{0x69c113d7,0x2d858d17,0x5e5600c7,0x63a4435d}},	//   mele, _mele_, טישע_, tgin, 
   {{0x69c18d18,0x2d8504a3,0x63a40009,0x73991010}},	//   lele, _lele_, ugin, ктус_, 
   {{0xe2978d19,0x645d342b,0x63a48d1a,0x628d0495}},	// [85e0] лат_, _disi, rgin, gsao, 
   {{0x645d40ff,0x69c188e9,0x44398d1b,0x3f8413b6}},	//   _eisi, nele, _eks_, _semu_, 
   {{0x34aa387d,0x27e00588,0x5a1600c7,0x69c10548}},	//   _явно_, _knin_, נקען_, iele, 
   {{0x69c18d1c,0x645d8d1d,0xf3f100e7,0xf65f00fb}},	//   hele, _gisi, ệt_, mvær_, 
   {{0x69c18d1e,0x2d858d1f,0x877b00c7,0x765e2818}},	//   kele, _bele_, גאני, _kipy, 
   {{0x2d850aa4,0x69c18d20,0x645d8a03,0x765e0053}},	//   _cele_, jele, _zisi, _jipy, 
   {{0x3f842854,0x69c18d21,0x7bc08d22,0x2d850d19}},	//   _temu_, dele, temu, _dele_, 
   {{0x683d8d23,0x29180038,0x9bf40a10,0x61fe8d13}},	//   pédi, úram_, рзич, lkpl, 
   {{0x69c18d24,0xb21b055f,0xd0078d25,0xcff700d1}},	//   fele, _ivær, _сете_, _עצמה_, 
   {{0x69c10ef7,0x7bc08d26,0x2d85064e,0xdcfa00d9}},	//   gele, semu, _gele_, _cetă, 
   {{0x7bc002cd,0x79880156,0x27e000c3,0x395802ae}},	//   pemu, radw, _bnin_, ärs_, 
   {{0x31571a61,0x2d8504d1,0x69c107d7,0xa8350bad}},	//   טיין_, _zele_, aele, ремљ, 
   {{0x69c14e39,0xcaf60133,0x645d0961,0x765e02a5}},	//   bele, _حساب, _risi, _bipy, 
   {{0x645d03bc,0x6828008f,0x27e08d27,0x75eb027e}},	//   _sisi, rıda, _enin_, _yüzy, 
   {{0x44398d28,0xab5d0405,0xe4e40c8b,0xc8a802ff}},	//   _pks_, reże, бітн, _कमिट, 
   {{0x337518b6,0xddc2846c,0x628d8d29,0xe7870267}},	//   ргар, jpož, tsao, _суко, 
   {{0x65958d2a,0x52154191,0x26c903f5,0x20070034}},	// [85f0] _капу, адат, _usao_, ënim_, 
   {{0x94750a24,0x7a3d03a1,0x6d488d2b,0x98a80e07}},	//   _نگرا, tèti, _ozda, _कमाए, 
   {{0x2d85158b,0x44398d2c,0x628d0080,0x00000000}},	//   _rele_, _tks_, ssao, --, 
   {{0x2d858d2d,0x69c18d2e,0xe8d700d1,0x25ad0a1a}},	//   _sele_, zele, טובר_, đelu_, 
   {{0x2d850194,0xdee58d2f,0x69c18d30,0x66f70239}},	//   _pele_, роли, yele, ुनिक_, 
   {{0x69c1381f,0x2bda36be,0x7c958d31,0x20040095}},	//   xele, _मोबा, ариц, _elmi_, 
   {{0x2d858d32,0x7e718d33,0xd83900ef,0x06380070}},	//   _vele_, _žepč, jučo_, אנגט_, 
   {{0xd6f70081,0x67ff024a,0x2d856576,0xdcfa00b3}},	//   ुनाथ_, _bëjm, _wele_, _setă, 
   {{0x69c18d34,0x80040cf8,0x6d4801d6,0xbda70d4b}},	//   tele, _учре, _ezda, _محاو, 
   {{0x7c873623,0x2ba702f8,0x27e00405,0x2ef48d35}},	//   _буде, _गावा, _snin_, _узур, 
   {{0xd9453346,0x69c18d36,0xb4c400b0,0x7cdc020f}},	//   рени, rele, _एने_, _cără, 
   {{0x66050175,0x78a18d37,0x7cdc107c,0x00000000}},	//   _alhk, rulv, _dără, --, 
   {{0x24860228,0x09e52f61,0x290c0083,0x44240b8b}},	//   _ňom_, _волн, azda_, _ım_, 
   {{0xcaf40019,0x78a17ac6,0xd8390242,0x3e6b00fc}},	//   _دسمب, pulv, vrče_, _møt_, 
   {{0x18a51bad,0x7afb065c,0x44165a50,0x765e0548}},	//   _тайм, lyut, афат, _vipy, 
   {{0x3ced0da6,0x00000000,0x00000000,0x00000000}},	//   _अपने_, --, --, --, 
   {{0xddc2044e,0x7afb1bb8,0x883b00d1,0x7ae98d38}},	// [8600] vpož, nyut, _בתקו, nxet, 
   {{0xb21b155b,0xe1ff8d39,0x935947aa,0xf65f1494}},	//   _svær, _stór_, урсу_, svær_, 
   {{0x61fe8d3a,0x661c740b,0x6f660886,0x1da900f4}},	//   rkpl, mirk, авез, च्छत, 
   {{0x661c8d3b,0x7afb0daa,0x515500f6,0x321a023a}},	//   lirk, kyut, стуу, sipy_, 
   {{0xdfcf00eb,0x683d026a,0x321a0054,0x00000000}},	//   بين_, cédu, pipy_, --, 
   {{0x27350023,0xd0b300ad,0x661c8d3c,0x7afb023e}},	//   ụng_, hşət, nirk, dyut, 
   {{0x6da31eac,0x7f492033,0xb21b055f,0x6ce61d9a}},	//   ција, _ezeq, _tvær, ріле, 
   {{0x661c1237,0x8fa301bb,0x6d480098,0x38600096}},	//   hirk, _масе, _vzda, _niir_, 
   {{0x15f808dd,0xa3e70367,0x7cdc020f,0xfba70299}},	//   ुसार_, पात_, _sără, _गारम, 
   {{0x996611c3,0x386000a1,0x7cdc00b3,0x00000000}},	//   штил, _aiir_, _pără, --, 
   {{0x661c8d3d,0x885900d9,0xddc93a61,0xd4910023}},	//   dirk, лиос_, _uteš, ời_, 
   {{0x290c8d3e,0xeb97263b,0x7afb2a5f,0x2cbe040c}},	//   rzda_, _виц_, byut, _iptd_, 
   {{0xf8b700b9,0x661c0ab1,0x00000000,0x00000000}},	//   гөө_, firk, --, --, 
   {{0x661c8d3f,0x18660886,0x2bda0077,0xfa3300d4}},	//   girk, _књиг, _मोता, _ورود, 
   {{0xedf40838,0xe65400dd,0x6605026e,0x386000a1}},	//   _अवैध_, івсь, _vlhk, _fiir_, 
   {{0x539800dd,0x672d006d,0xd3788d40,0xab5d0035}},	//   ився_, _txaj, ичу_, leża, 
   {{0x661c8d41,0x21670e5f,0x24580088,0xe16702a6}},	// [8610] birk, атег, рать_, ађен, 
   {{0x661c8d42,0x683d8d43,0x3d17007e,0x00000000}},	//   cirk, rédu, _भइले_, --, 
   {{0x35f800d4,0x92e70086,0x61f80219,0x3e6b017b}},	//   _خريد_, বনে_, övla, _søt_, 
   {{0x4e950038,0xf1e000bc,0x00000000,0x00000000}},	//   مشتر, नाउन, --, --, 
   {{0x645a8d44,0x201c03a1,0xc257009c,0x1de21446}},	//   ïtie, èvia_, _نخست, पांत, 
   {{0xee3802fb,0x72050038,0x442b0210,0xf1a438f2}},	//   ані_, _اوسم, _hjc_, _мрсн, 
   {{0x10a403dc,0x93fb00a2,0x70941716,0xa19400d9}},	//   _миён, _एकाच_, _марф, _фасч, 
   {{0x7afb8d45,0x661c8d46,0x5fcf007e,0x7ae91218}},	//   tyut, zirk, _सोचल, txet, 
   {{0xb5fb0183,0x7d0600ad,0x442b0151,0xdd9511ec}},	//   bpáx, _əksi, _mjc_, _газы, 
   {{0x7ae90496,0x201d8d47,0x7afb012b,0x3ebf0175}},	//   rxet, liwi_, ryut, _iput_, 
   {{0x661c8d48,0x7e69018e,0xe7e40110,0x386000c2}},	//   virk, _huep, गाला_, _piir_, 
   {{0x7e690053,0x661c01c4,0x7e618d49,0x68fc0bf7}},	//   _kuep, wirk, _hilp, ørda, 
   {{0x7e610088,0x661c8d4a,0x41c70110,0x00000000}},	//   _kilp, tirk, रजास, --, 
   {{0x998500eb,0x6d418d4b,0xa2db031e,0xbb3a0070}},	//   _الثو, _kyla, निन्, _געני, 
   {{0x644f01be,0x201d8d4c,0x661c8d4d,0xa5078d4e}},	//   _bhci, kiwi_, rirk, бера_, 
   {{0x644f3713,0x69de022c,0xe45a0eba,0xf3f10023}},	//   _chci, _òper, ужб_, ệp_, 
   {{0x38b18d4f,0x661c2a68,0x63b602bf,0x3ebf8d50}},	// [8620] lár_, pirk, rfyn, _nput_, 
   {{0xe3b209e8,0x6d417750,0x442b0027,0x29280588}},	//   _کرد_, _oyla, _ejc_, štaš_, 
   {{0x6d418d51,0x04b60093,0x7c2d008b,0x38b18d52}},	//   _nyla, _успя, čarj, nár_, 
   {{0xddc2003d,0x7e6100a1,0x4f0a0386,0x44d80356}},	//   spoż, _ailp, лнен_, _ič_, 
   {{0x6d418d53,0x248d00e0,0x38b1200a,0x44d800ef}},	//   _ayla, ņemt_, hár_, _hč_, 
   {{0x44d80351,0x64442ca3,0x6d418d54,0x38b18d55}},	//   _kč_, llii, _byla, kár_, 
   {{0x38b1418f,0xdd991fab,0x64440128,0xa0a38d56}},	//   jár_, рші_, olii, _нард, 
   {{0x6d4102bf,0x3a740d11,0x8aa61d6b,0x26c0001d}},	//   _dyla, олир, брод, _opio_, 
   {{0x44d806df,0xaf067ffd,0xa3e002e6,0x93fb00d1}},	//   _lč_, _упал, _दफन_, טלקי, 
   {{0x98b803b7,0x3ea606e4,0x2fc62619,0x64440080}},	//   алот_, muot_, leog_, hlii, 
   {{0xeb9a8d57,0x2cbe0045,0x26c0001d,0x644400b0}},	//   _бие_, _uptd_, _apio_, klii, 
   {{0xfaa600e4,0x394201dd,0x2fc6007a,0x7e61307d}},	//   _гадо, āks_, neog_, _zilp, 
   {{0xab5d00ab,0xa3e70179,0x3ea68d58,0x501b00d1}},	//   leżn, पास_, nuot_, רוכו, 
   {{0x862730cd,0x6e240038,0x201d63d7,0x442b0023}},	//   сьме, éibh, ziwi_, _sjc_, 
   {{0x61f52194,0x9f4403a1,0xa25b0379,0x555900fd}},	//   _rozl, _comú_, _msôt, равя_, 
   {{0x93798d59,0x61f58d5a,0x44d80237,0x93f600ad}},	//   рбат_, _sozl, _dč_, _şərə, 
   {{0x7a3d8d5b,0xa3ba007e,0xe3b00038,0x53477ffd}},	// [8630] mètr, _आउर_, عرف_, схва, 
   {{0x44d80cd7,0x32078d5c,0x21678d5d,0xdb193c5d}},	//   _fč_, óny_, стаг, _kawò, 
   {{0x201d8d5e,0x61f50121,0x7e698d5f,0x3ebf00a1}},	//   tiwi_, _vozl, _suep, _sput_, 
   {{0x644401be,0x7e6102f3,0x6d4117c6,0x248d01dd}},	//   clii, _silp, _ryla, ņems_, 
   {{0x8d65767b,0x442953be,0x38b14a9c,0x7e694ae7}},	//   овле, mna_, zár_, _quep, 
   {{0x443b8d60,0xdc99744c,0x201d0053,0xa3e7009a}},	//   loq_, атиш_, siwi_, पाव_, 
   {{0xd7aa1422,0xcc860445,0xfbda042b,0x2bda1204}},	//   _कालच, обще_, _मोहम, _मोहा, 
   {{0x443b00a3,0x6b80012b,0x251c0070,0xe7d9031e}},	//   noq_, gbmg, טווא, _बोलप, 
   {{0x44298d61,0xab298d62,0x7e610bf7,0x3ebf0097}},	//   ina_, ропа_, _tilp, _uput_, 
   {{0x44298d63,0x38b18d64,0x3ea00038,0x443b01ff}},	//   hna_, tár_, áite_, hoq_, 
   {{0x2903022e,0x44298d65,0x6d4102f1,0xd7ea8d66}},	//   ája_, kna_, _uyla, амне_, 
   {{0x3ea006e0,0x2ca78d67,0x290b00ab,0x38b18d68}},	//   šite_, mund_, ąca_, rár_, 
   {{0x7c3b8d69,0x2ca70c29,0x38b18d6a,0x2903008b}},	//   mour, lund_, sár_, šja_, 
   {{0x44298d6b,0x44d88d6c,0x386a0038,0x38b18d6d}},	//   ena_, _pč_, úirí_, pár_, 
   {{0x44298d6e,0x7c298d6f,0x3f8f01f1,0xdb190118}},	//   fna_, oner, kagu_, _gawò, 
   {{0x44298d70,0x68360187,0xf1ac0667,0x2407766b}},	//   gna_, hádz, _चाहन, онси_, 
   {{0xdb110107,0x2ca7042a,0x6b8b8d71,0x6444033d}},	// [8640] éfèr, hund_, _megg, rlii, 
   {{0x44298d72,0x6b8b8d73,0x44d88d74,0x2bd100a2}},	//   ana_, _legg, _tč_, _दोघा, 
   {{0x44298d75,0x63af030f,0x7c3b06df,0x644400b0}},	//   bna_, ännö, kour, plii, 
   {{0x7c3b0518,0x2ca7059e,0x6b8b8d76,0xb4c809d3}},	//   jour, dund_, _negg, ोटी_, 
   {{0x44208d77,0xa3e72369,0x7c3b8d78,0x2d8e8d79}},	//   mii_, पार_, dour, tafe_, 
   {{0x44208d7a,0xa6e3008c,0x1e140701,0x7bdc01dd}},	//   lii_, æðis, ямля, ērum, 
   {{0x6b8b041f,0x798a15ad,0x61438d7b,0xe7aa8d7c}},	//   _begg, _refw, _жера, _कांप, 
   {{0x44208d7d,0xa06700d9,0x7c3b8d7e,0x2d8e8d7f}},	//   nii_, _фата_, gour, safe_, 
   {{0x9c870228,0x6b8b8d80,0x00000000,0x00000000}},	//   _počú, _degg, --, --, 
   {{0x44293e62,0x44208d81,0xdb190cd7,0x2ca75b38}},	//   zna_, hii_, _pawò, bund_, 
   {{0x44298d82,0xd839003a,0x7c3b8d83,0x44208d84}},	//   yna_, luči_, bour, kii_, 
   {{0x44298d85,0x7c2900ef,0x2d8c3432,0x44208d86}},	//   xna_, cner, _hede_, jii_, 
   {{0x44208d87,0x4429420c,0x7764048a,0x443b01ff}},	//   dii_, vna_, държ, voq_, 
   {{0x6b8b0b32,0x44298d88,0x2d8c8d89,0x7c20018e}},	//   _zegg, wna_, _jede_, limr, 
   {{0x69c88d8a,0xa3e737c0,0x44208d8b,0x2d8c8d8c}},	//   mede, पाल_, fii_, _mede_, 
   {{0x44298d8d,0x44208d8e,0x69c88d8f,0x2d8c8d90}},	//   una_, gii_, lede, _lede_, 
   {{0x44290be0,0x443b8d91,0xd839203b,0x3f8f0a1a}},	// [8650] rna_, roq_, juči_, vagu_, 
   {{0x44298d92,0x7c2d00d2,0x69c88d93,0xdb11026d}},	//   sna_, čari, nede, éfér, 
   {{0x44208d94,0x44298d95,0x68360187,0x443b01ff}},	//   bii_, pna_, vádz, poq_, 
   {{0x44208d96,0x69c88d97,0x98b304d1,0x442900a4}},	//   cii_, hede, žeći_, qna_, 
   {{0x6b8b8d98,0x63ad1ec7,0x2d8c8d99,0x3f8f8d9a}},	//   _regg, mgan, _bede_, ragu_, 
   {{0x69c87f6e,0x63ad8d9b,0x2ca78d9c,0x6b8b8d9d}},	//   jede, lgan, tund_, _segg, 
   {{0x69c88d9e,0x7c3b8d9f,0x2d8c0089,0x6b8b0093}},	//   dede, tour, _dede_, _pegg, 
   {{0x2ca78da0,0x7c298da1,0xae1d00a5,0xa25b0054}},	//   rund_, uner, _भगवन_, _tsôs, 
   {{0x2ca70c58,0x2d8c8da2,0x6b8b0c86,0x7c3b00d9}},	//   sund_, _fede_, _vegg, rour, 
   {{0x44200012,0x2d8c761e,0x6b8b6374,0x7e7b0666}},	//   zii_, _gede_, _wegg, _itup, 
   {{0x63ad8da3,0x9f4403a0,0x7c3b40db,0x6b8b0036}},	//   kgan, _anmè_, pour, _tegg, 
   {{0xdd8f0019,0x63ad039b,0x9c8214d9,0x00000000}},	//   _سوچ_, jgan, áčen, --, 
   {{0x44208da4,0x63ad8da5,0x3f8d040b,0xe7270176}},	//   vii_, dgan, _meeu_, зояд_, 
   {{0x9c8211c8,0x63ad8da6,0x7bc90a58,0x9a841dbd}},	//   ščen, egan, leeu, _цуцл, 
   {{0x44208da7,0xa5077c8f,0xd94233e6,0x63ad8da8}},	//   tii_, пера_, _пеши, fgan, 
   {{0x61e78da9,0x68fc489f,0x00000000,0x00000000}},	//   _anjl, ärde, --, --, 
   {{0x44208daa,0xaabd017d,0xd3873af7,0x7e7b0027}},	// [8660] rii_, ्बिक, яйте_, _ntup, 
   {{0x44208dab,0x63ad8dac,0xd8390372,0x9c7c0604}},	//   sii_, agan, vuči_, _hrče, 
   {{0x44208dad,0x2d8c8dae,0x7e7b0d4e,0x660112b7}},	//   pii_, _rede_, _atup, ölke, 
   {{0x35b20366,0x69c88daf,0xa3e7021a,0x00000000}},	//   _जाड़, zede, पाः_, --, 
   {{0xf8a80a09,0x66fe047c,0x2d8c8db0,0xef1600b0}},	//   _कम्प, ॉनिक_, _pede_, _देखऽ_, 
   {{0xd83915ed,0x69c80068,0x2c71007a,0x00000000}},	//   ruči_, xede, _bád_, --, 
   {{0x2d8c8db1,0xe81d00a5,0x645802a3,0x7e7b0080}},	//   _vede_, _पगला_, _èvis, _etup, 
   {{0x8aa61c32,0x69c88db2,0x8cbd0035,0x78a831b7}},	//   прод, wede, _शहरो, vudv, 
   {{0x62968db3,0x69c88db4,0xada603dd,0xa5ad0035}},	//   nsyo, tede, _наал, _जालौ, 
   {{0x63ad8db5,0x2c7100a1,0x200601d6,0x7d27039f}},	//   zgan, _fád_, lkoi_, ársá, 
   {{0x63ad8db6,0xb4c80035,0x6da38db7,0x29188db8}},	//   ygan, ोटो_, _чиха, àra_, 
   {{0x62968db9,0x4c160a24,0x78a81923,0xd4910210}},	//   ksyo, _عباس, rudv, ầm_, 
   {{0x78a8055f,0x63ad8dba,0x56948dbb,0x3e5d03a0}},	//   sudv, vgan, наят, _sňti_, 
   {{0xa2db0ef0,0xfaa5005e,0x7afd8dbc,0x69c812ed}},	//   निस्, _ішін, äste, qede, 
   {{0x63ad8dbd,0x19bb00a7,0x49bb03e1,0x20061279}},	//   tgan, _המוב, _המוס, kkoi_, 
   {{0x9c7c0112,0x63ad8dbe,0x2be50083,0x00000000}},	//   _grče, ugan, काएं_, --, 
   {{0x95cb0648,0x6296011d,0x27e90213,0x979c00d1}},	// [8670] _луна_, gsyo, _inan_, _השחק, 
   {{0x20c845e6,0xb0c800bd,0x386e8dbf,0x00000000}},	//   रबंध, रबंग, _kufr_, --, 
   {{0x7e7b024c,0x7fd53674,0x7e7c008b,0x63ad8dc0}},	//   _stup, ділі, _črpa, pgan, 
   {{0x2c712cb0,0x3ce000bc,0x00000000,0x00000000}},	//   _rád_, किने_, --, --, 
   {{0x9ea9004f,0xdcf801dd,0xb274017b,0x00000000}},	//   івка_, kavē, _пляш, --, 
   {{0x6da532bf,0x2c71014b,0x9f5f00f6,0x273c0108}},	//   фика, _pád_, _lluç_, ửng_, 
   {{0xed5603b7,0x27e90237,0x55780070,0xdce1008a}},	//   мош_, _onan_, לעגן_, _melħ, 
   {{0x1b1e0086,0xdfd48a4e,0x7ae400ec,0x3ea01a01}},	//   _পড়ে_, _посы, _šita, šita_, 
   {{0xa7fd00ad,0x7bc98dc1,0x7e7b095a,0x3ef800b3}},	//   yqır, reeu, _utup, _ентэ_, 
   {{0x27e902dc,0xef1900a4,0xf2d40070,0xe81008dd}},	//   _anan_, _feżr_, געץ_, ासभा_, 
   {{0x07a68dc2,0x200d000b,0x6ce408af,0x6aa90036}},	//   манн, _klei_, _піце, suef, 
   {{0x27e900a1,0xc5f80f7a,0x661e0175,0x23660028}},	//   _cnan_, ुस्य_, _smpk, žoji_, 
   {{0x27e900b4,0xa3e71e7b,0xdb0002ae,0xac06017b}},	//   _dnan_, पाई_, ggmä, _інша_, 
   {{0x200d00d3,0x27e90237,0x69250267,0xf1ac08dd}},	//   _llei_, _enan_, _омла, _चाइन, 
   {{0x9c7c234d,0x154301ff,0xa50a0aa8,0x966338f2}},	//   _trče, верм, цева_, ткре, 
   {{0x9c7c8dc3,0x6e238dc4,0xa41c0033,0x23d500d9}},	//   _urče, hinb, থক্য_, нцур, 
   {{0xe1fa8dc5,0x60c902fe,0x04438dc6,0x1dae009a}},	// [8680] ога_, _ćema, тетн, _घालत, 
   {{0x62962282,0x27e93179,0x7d038dc7,0x6e2d0212}},	//   rsyo, _znan_, kyns, éabl, 
   {{0x200d00fc,0x04030086,0x62968dc8,0x20060080}},	//   _blei_, রোধী_, ssyo, tkoi_, 
   {{0xa2db0509,0x629606df,0x39470ff2,0x00000000}},	//   निश्, psyo, _myns_, --, 
   {{0xee3a8dc9,0x2006024a,0xf1aa009c,0x2007019c}},	//   онд_, rkoi_, _واسه_, ênia_, 
   {{0xa2db101f,0x6e230023,0xb8140033,0x20068dca}},	//   निर्, ginb, াচিত_, skoi_, 
   {{0xd5ed0023,0x0caa004f,0x00000000,0x00000000}},	//   _quả, ітки_, --, --, 
   {{0x61fc8dcb,0x8af80170,0x92c20033,0x00000000}},	//   _horl, знис_, ্মী_, --, 
   {{0x61fc830f,0x6e2371e9,0x3f86201a,0x3e7b0474}},	//   _korl, binb, mbou_, _câtă_, 
   {{0x4efb00d1,0x3f868dcc,0x27e900a1,0x13d70033}},	//   _והמו, lbou_, _snan_, হায়, 
   {{0x61fc8dcd,0xd917556e,0xe7eb5b63,0x3ea633c8}},	//   _morl, дья_, टाला_, lrot_, 
   {{0x3f868dce,0x00000000,0x00000000,0x00000000}},	//   nbou_, --, --, --, 
   {{0x61fc01a9,0xe9da02a0,0x5bbc1503,0xdb2400c8}},	//   _oorl, _мкд_, ्जीव, äräy, 
   {{0x8a030093,0x61fc8dcf,0x7ae218dd,0x394702c9}},	//   _изче, _norl, _irot, _fyns_, 
   {{0x92bb100b,0x443f001b,0x69d800a9,0x387c00ca}},	//   _আছে_, _ưu_, _iave, _utvr_, 
   {{0x27e92c69,0x38b88dd0,0x69da8dd1,0x69d84508}},	//   _unan_, mér_, ldte, _have, 
   {{0x69d88dd2,0x61fc41b5,0x9f64078a,0x38b8005f}},	// [8690] _kave, _borl, ştên_, lér_, 
   {{0x69da68e5,0xf3ff001b,0x61fc1532,0x69d88dd3}},	//   ndte, _giãn_, _corl, _jave, 
   {{0x69d88dd4,0xe7e4009a,0x38b8021a,0xdce301dd}},	//   _mave, गाचा_, nér_, rbnī, 
   {{0x69d808bb,0x3f8608b0,0x7ae201ca,0xa2a71503}},	//   _lave, gbou_, _orot, _चिप्, 
   {{0x9f4006b6,0x61fc8dd5,0x3ea5058e,0x3d170f63}},	//   ðið_, _forl, хилг, _भेजे_, 
   {{0x7bc20052,0x7cd30095,0x61fc8dd6,0xc33200a7}},	//   _abou, _hərə, _gorl, _תוך_, 
   {{0xeb99631e,0x8c458dd7,0x7ae28dd8,0x6d4800f3}},	//   пий_, неке, _arot, _cyda, 
   {{0x200d00d9,0x61fc03c0,0xeb998dd9,0x7ae28dda}},	//   _ulei_, _zorl, чии_, _brot, 
   {{0x0e35269c,0x394714cf,0x5ac616d0,0x69da02b0}},	//   _знаю, _syns_, елым_, fdte, 
   {{0x9c821af7,0x7ae28ddb,0x7c873ffa,0x69da039b}},	//   ščan, _drot, _жуде, gdte, 
   {{0xd8261444,0x38693635,0x69d88ddc,0xb4be0077}},	//   едни, _biar_, _dave, _इहे_, 
   {{0x7ae28ddd,0xe73a8dde,0x69d88ddf,0x386901f5}},	//   _frot, зем_, _eave, _ciar_, 
   {{0x7ae28de0,0x69d88de1,0xe9a5021d,0x38690d5e}},	//   _grot, _fave, _залп, _diar_, 
   {{0x69d846f6,0x38b867be,0x9c7c7a99,0x7bd90096}},	//   _gave, bér_, _hrča, _hawu, 
   {{0x7bd98de2,0x38b88de3,0x69c38de4,0x386900a1}},	//   _kawu, cér_, _ibne, _fiar_, 
   {{0x69d821bc,0xe73a0088,0xb60200bc,0x7bdb01a3}},	//   _zave, _ней_, _žádo, nduu, 
   {{0x7cd30095,0x9c7c0082,0x61fc8de5,0x7bd91e51}},	// [86a0] _dərə, _mrča, _porl, _mawu, 
   {{0x68e3160e,0x2d870082,0x386900b3,0x7bd98de6}},	//   _krnd, jbne_, _ziar_, _lawu, 
   {{0xa3ea0d61,0x61fc01c4,0x4fc62f7b,0x3f8657ed}},	//   _една_, _vorl, есла, tbou_, 
   {{0x61fc0056,0xfbae058f,0x7cd300ad,0x7bd924c2}},	//   _worl, _टाइम, _gərə, _nawu, 
   {{0x644600cf,0x6d485743,0x3f868de7,0x7bdb0539}},	//   _ikki, _syda, rbou_, dduu, 
   {{0xf2d3008d,0x7ae2024a,0x7cd300ad,0x3f865929}},	//   _געש_, _rrot, _zərə, sbou_, 
   {{0x8fa600e4,0x9c7c053d,0x44220eb9,0xb4be0077}},	//   _паве, _brča, _kmk_, _इहो_, 
   {{0x6d483077,0x961d0c94,0x69d80dd0,0x3ea68de8}},	//   _vyda, _नष्ट_, _save, prot_, 
   {{0x69d88de9,0x6d48006a,0x44220102,0x7bd98dea}},	//   _pave, _wyda, _mmk_, _dawu, 
   {{0x386911a1,0x38b85a9d,0x7afd464f,0x7ae28deb}},	//   _siar_, tér_, ästa, _vrot, 
   {{0x7ae28dec,0x0b8a0df8,0x290a0019,0x9f448ded}},	//   _wrot, _если_, ába_, _tomó_, 
   {{0x7ae28dee,0x68e31612,0x7bd901b8,0x69d800d1}},	//   _trot, _drnd, _gawu, _wave, 
   {{0x38b88def,0x7ae28df0,0x3869016a,0x290a0352}},	//   sér_, _urot, _viar_, šba_, 
   {{0x8cd7156c,0x44228df1,0x290500bc,0x38b88def}},	//   _मनमो, _amk_, byla_, pér_, 
   {{0x248d00f1,0x7bd94588,0xf8a41035,0xd9ed0466}},	//   ćemo_, _yawu, _खटिय, जारत_, 
   {{0x60c7016a,0x21030032,0x7c22007b,0x7cd30248}},	//   _rpjm, nčiť_, _jmor, _qərə, 
   {{0x6b840077,0x2bc200a2,0xfbc25719,0x24180504}},	// [86b0] _õigu, व्या, व्यम, хоты_, 
   {{0xa2a70f7a,0x21030032,0x64468df2,0xf3ff02be}},	//   _चिठ्, hčiť_, _ekki, _tião_, 
   {{0x7cd30264,0x5f9522f3,0x7c228df3,0x200702aa}},	//   _tərə, виет, _omor, ênio_, 
   {{0x24810096,0xf8b30070,0x2103020b,0x00000000}},	//   _ithm_, טשע_, jčiť_, --, 
   {{0x628303ef,0x644d8df4,0x7bd92991,0x2103020b}},	//   ćnos, mlai, _rawu, dčiť_, 
   {{0x9c7c003a,0x2ab90cd7,0x6250007e,0x644d8df5}},	//   _srča, vèb_, näol, llai, 
   {{0x644d8df6,0xdce100ab,0x9c7c0082,0x7bd917d4}},	//   olai, _oglą, _prča, _pawu, 
   {{0x644d8df7,0x8ca2072f,0x69c3016a,0x0ae902f1}},	//   nlai, _गिरो, _sbne, ддий_, 
   {{0x9f34004e,0x7bdb10f3,0x68e30a1a,0x2dd50470}},	//   _беті, rduu, _srnd, _ижар, 
   {{0x2fcf00dd,0x644d0a92,0x7bd98df8,0x7c220e69}},	//   legg_, hlai, _wawu, _emor, 
   {{0x9c7c0062,0x644d8df9,0x7bd98dfa,0x6abb8dfb}},	//   _trča, klai, _tawu, stuf, 
   {{0x645a0009,0x9c7c3759,0x00000000,0x00000000}},	//   įtik, _krčn, --, --, 
   {{0x9aa40491,0xe9ce7c6c,0x644d8dfc,0x6b895632}},	//   _ممنو, _кк_, dlai, mbeg, 
   {{0x442202f6,0x569302f1,0x7c222588,0xc5d501fc}},	//   _smk_, раёт, _zmor, лісь, 
   {{0x4422016a,0x644d8dfd,0x6aa98dfe,0xb40403a1}},	//   _pmk_, flai, lref, гүнд, 
   {{0x644d18f7,0x6b898dff,0x69c18e00,0x437501a2}},	//   glai, nbeg, lfle, гуфт, 
   {{0x4909031e,0x23278e01,0x00000000,0x00000000}},	// [86c0] ानको_, воти_, --, --, 
   {{0x644d8e02,0x69c18e03,0x6b89561b,0x175700d1}},	//   alai, nfle, hbeg, _בספר_, 
   {{0x644d8e04,0x442201b5,0x62840534,0x6aa900f3}},	//   blai, _tmk_, spio, href, 
   {{0x644d2bf3,0x6aa9004f,0x62841761,0xd8390613}},	//   clai, kref, ppio, trči_, 
   {{0x4432091b,0x37dc0033,0x7ed30038,0x6aa90566}},	//   mny_, ধাপর, لزوا, jref, 
   {{0xa2a71eed,0x44321763,0x7c228e05,0x6aa98e06}},	//   _चित्, lny_, _smor, dref, 
   {{0x44328e07,0x61ee0219,0x6aa90502,0x7c22025b}},	//   ony_, _inbl, eref, _pmor, 
   {{0x44328e08,0xa3b60ead,0x6b898e09,0x2cf28e0a}},	//   nny_, च्च_, gbeg, _अपील_, 
   {{0x44328e0b,0xc9860176,0x6aa98e0c,0x0e668e0d}},	//   iny_, куни, gref, _акан, 
   {{0x2bae00a2,0x2a6a010e,0xd8f8004f,0x2bd400a5}},	//   _टाका, öbb_, еної_, _दसवा, 
   {{0x26c9015e,0x38c80444,0x644d8e0e,0x6b890664}},	//   _spao_, رادی_, ylai, bbeg, 
   {{0x27ed24d3,0x44328e0f,0x3ea96ac6,0x27ff008c}},	//   ñen_, jny_, šate_, ðun_, 
   {{0x4432173b,0x34cb0838,0x25a1614f,0x61ee08b0}},	//   dny_, ाब्द, _pdhl_, _onbl, 
   {{0xb88241fc,0x27ed039f,0x95c81087,0x00000000}},	//   üíst, űen_, куса_, --, 
   {{0x659414a5,0x746b8e10,0x6b8400c2,0x644d71c2}},	//   расу, драв_, _õigs, tlai, 
   {{0x44328e11,0x6115004e,0x644d8e12,0x32110098}},	//   gny_, ңдау, ulai, _slzy_, 
   {{0x644d8e13,0x26c90704,0x36050038,0x2fcf25f2}},	// [86d0] rlai, _upao_, _موظف, vegg_, 
   {{0x44328e14,0x61ee016a,0x644d8e15,0x6b890bfc}},	//   any_, _cnbl, slai, zbeg, 
   {{0x2608006a,0xada507f9,0x24810640,0x9c7c008b}},	//   _सकती_, ҳалл, _uthm_, _srčn, 
   {{0xa28300d4,0x44321dc2,0xfbc202e6,0x61ee01d6}},	//   _نیرو, cny_, _वॉलम, _enbl, 
   {{0x44298e16,0x6da502f1,0xceeb0274,0x228700a3}},	//   mia_, гила, بران_, _шунг, 
   {{0x44298e17,0xdce80095,0x3eaf41f1,0x00000000}},	//   lia_, _addı, rugt_, --, 
   {{0x6b89053d,0x6ecf031e,0x506703a1,0x2c780354}},	//   tbeg, _धनकु, _атаа, _céd_, 
   {{0x44298e18,0x6aa929df,0x8af706d0,0x7afd0747}},	//   nia_, tref, _çəki, ästo, 
   {{0x985f003d,0x00000000,0x00000000,0x00000000}},	//   _eċċ_, --, --, --, 
   {{0x44298e19,0x6aa98e1a,0xe8f96bd0,0x44321d8c}},	//   hia_, rref, ело_, zny_, 
   {{0x44298e1b,0x4432006a,0xbef30081,0x69c18e1c}},	//   kia_, yny_, _आपुन_, rfle, 
   {{0x44298c52,0x98160133,0x6aa98e1d,0xb8eb12e3}},	//   jia_, ابدا, pref, _रङ_, 
   {{0xfaa51b02,0x44320076,0x69c101c4,0x3e79011c}},	//   _сало, vny_, pfle, _jèt_, 
   {{0x443200ab,0x3e790cd7,0x98e500eb,0xb8b300f0}},	//   wny_, _mèt_, _مكتو, _көмі, 
   {{0x03a6410d,0x845a171c,0x44321dc2,0x3e7906df}},	//   ливо, ерат_, tny_, _lèt_, 
   {{0x44298e1e,0x41c65582,0x387a02be,0x00000000}},	//   gia_, र्नस, _épra_, --, 
   {{0x44321763,0x3e7906df,0xa1c63ae5,0x66e66e5d}},	// [86e0] rny_, _nèt_, лбад, _сопа, 
   {{0x7c298e1f,0x44298e20,0x44328e21,0x613a8e22}},	//   hier, aia_, sny_, нчер_, 
   {{0x7c298e23,0xd00a0093,0x443260bd,0x00000000}},	//   kier, неже_, pny_, --, 
   {{0x3e790cd7,0x7c298e24,0xb4c000aa,0x8f840188}},	//   _bèt_, jier, ंझी_, рқал, 
   {{0xadf0288f,0x539b00a7,0x3e79011c,0xdd9403dd}},	//   चालन_, _איכו, _cèt_, аалы, 
   {{0x61468e25,0x3e790300,0x63b68e26,0x7c294aa2}},	//   _бега, _dèt_, lgyn, eier, 
   {{0x7c298e27,0xa3bb8e28,0x16b18e29,0x0caa01ff}},	//   fier, _घाम_, _जम्ब, хтли_, 
   {{0x7c298e2a,0x3e79158b,0xa0670a31,0x09ac009a}},	//   gier, _fèt_, _баса_, चल्य, 
   {{0xee3a02a6,0xaae60038,0x7cca0248,0xdee32d60}},	//   _зна_, اسبو, _sərd, _лоти, 
   {{0x44298e2b,0x32bb00c7,0x7c29000b,0x9c7c0098}},	//   zia_, עזיד, aier, _určo, 
   {{0x7c298e2c,0x41c6058f,0x4429270f,0xf1c60f8c}},	//   bier, र्यस, yia_, र्यन, 
   {{0x7c298e2d,0x44298e2e,0xaae6003f,0x386d0219}},	//   cier, xia_, _مستو, öer_, 
   {{0x95cb6a8b,0x66c808f3,0x6b9d0a6d,0x7d0a0326}},	//   нува_, лург_, ðsge, lyfs, 
   {{0x44296555,0x998c0028,0x00000000,0x00000000}},	//   wia_, rodų_, --, --, 
   {{0x44298e2f,0x7cca06d0,0x799a8e30,0x34958e31}},	//   tia_, _hərb, matw, рабр, 
   {{0xb4c50077,0x799a8e32,0x44298e33,0x64c70372}},	//   _एही_, latw, uia_, jčiš, 
   {{0x290d020b,0xe27603a1,0x00000000,0x00000000}},	// [86f0] čkať_, иктө, --, --, 
   {{0x442924df,0x7c298e34,0x799a87ce,0xcb5700d1}},	//   sia_, zier, natw, רסמה_, 
   {{0x60130540,0x3e7906df,0x74160296,0xd13b0d75}},	//   _açma, _sèt_, _چوپا, хха_, 
   {{0xb4fa1900,0x4429024a,0x799a016c,0x7c298e35}},	//   _ספרי, qia_, hatw, xier, 
   {{0x7c298e36,0x539a00a7,0x443901c8,0x799a8e37}},	//   vier, _בירו, _ijs_, katw, 
   {{0x7c29006a,0x867c00c7,0x9f5f0107,0xfde8004e}},	//   wier, ערוו, _joué_, лдік_, 
   {{0x7c298e38,0x4439509f,0x88c702d9,0x799a007c}},	//   tier, _kjs_, _kněž, datw, 
   {{0x3e79158b,0x9f5f0212,0x00000000,0x00000000}},	//   _tèt_, _loué_, --, --, 
   {{0x7c298e39,0x799a0199,0xfaa500d9,0xab6200fd}},	//   rier, fatw, шапо, овъл, 
   {{0x7c298e3a,0x5ec80086,0x08c50283,0xb4c5007e}},	//   sier, লিশে, абон, _एहू_, 
   {{0x63b60028,0x2bc200a2,0x5bb94ae5,0xdb09001d}},	//   ygyn, व्हा, _алея_, rfeñ, 
   {{0xfc6700fd,0xb0b600df,0x00000000,0x00000000}},	//   _съзн, ספרס_, --, --, 
   {{0x799a8e3b,0x41c6283e,0xddda0226,0xe9d908ba}},	//   batw, र्डस, _litŝ, _акл_, 
   {{0x81ab00cc,0x2fdf006f,0x6b9b8c17,0x645d0036}},	//   ক্ত_, _laug_, laug, _ahsi, 
   {{0xe946017a,0x443902aa,0x7cca00ad,0x03963c40}},	//   _پروی, _bjs_, _zərb, ирая, 
   {{0x3ea00112,0xf81400c5,0xb38600b3,0x7ae48e3c}},	//   šiti_, _دستگ, рлал, _šiti, 
   {{0xd4678e3d,0xb2268e3e,0x422624b4,0x27e00014}},	// [8700] рите_, амал, адав, _iain_, 
   {{0x27e08e3f,0x26060165,0x6b9b8e40,0xa3e6017d}},	//   _hain_, _vôos_, haug, _योर_, 
   {{0x27e004bb,0x2fdf8e41,0x6b9b8e42,0xdcf801dd}},	//   _kain_, _baug_, kaug, ravī, 
   {{0x2fdf006f,0xe3b22daa,0x437508ab,0x888c0070}},	//   _caug_, _برد_, _гурт, גראַ, 
   {{0x2fdf00e4,0x27e037a5,0xa3bb0c46,0x6b9b8e43}},	//   _daug_, _main_, _घात_, daug, 
   {{0x27e01196,0x7ae400eb,0x44d80237,0xeca602a6}},	//   _lain_, _áiti, _kō_, ајин, 
   {{0xa0a30a43,0x10a38e44,0x7cca00ad,0xadf70038}},	//   _мард, _мирн, _sərb, شروط_, 
   {{0xeca7130c,0x27e08e45,0xa3c92a2c,0xd0078e46}},	//   _गिरफ, _nain_, ल्प_, _кесе_, 
   {{0x9c7c02c7,0xf1c60239,0x41c60ed5,0x7cca00ad}},	//   _krčk, र्थन, र्थस, _qərb, 
   {{0x2fdf01a0,0xdb09027e,0xdca68e47,0x20048e48}},	//   _zaug_, zgeç, _важи, _homi_, 
   {{0x27e08e49,0x44d80237,0x2d9c00e5,0x2004003e}},	//   _bain_, _nō_, mave_, _komi_, 
   {{0xf1c6000d,0x2d9c8e4a,0x62860112,0xb8ce00aa}},	//   र्तन, lave_, _otko, _ओट_, 
   {{0x27e08e4b,0x799a0548,0xc98600a3,0xeafa0296}},	//   _dain_, patw, _куйи, _جرات_, 
   {{0x2d9c8e4c,0xa3c9031e,0x44d805d5,0x27e00465}},	//   nave_, ल्न_, _bō_, _eain_, 
   {{0x69ca006d,0x4439332a,0xf8da00c9,0x62868e4d}},	//   _ibfe, _pjs_, _बनिय, _atko, 
   {{0x20048e4e,0x79980216,0x25ad8e4f,0x27e08e50}},	//   _nomi_, _hevw, şel_, _gain_, 
   {{0x9c7c28fd,0x81e000cc,0x2fdf01c1,0x2d9c8e51}},	// [8710] _brčk, থান_, _raug_, kave_, 
   {{0x98da1933,0xf8da00ab,0x27e08e52,0x41b500eb}},	//   _बनाए, _बनाय, _zain_, إمار, 
   {{0x506700cf,0x2fdf023b,0x2d9c8e53,0x44b200f0}},	//   атда, _paug_, dave_, _нұрс, 
   {{0x2ef58e54,0x2fdf006f,0x2004019c,0x28a91687}},	//   йзер, _qaug_, _comi_, _किसि, 
   {{0x20048e55,0xdee53c76,0x6d5a8e56,0x9c7c6704}},	//   _domi_, соли, _azta, _frčk, 
   {{0x9c7c00f1,0x2d9c8e57,0x41c600c9,0x7c958e58}},	//   _grčk, gave_, र्दस, бриц, 
   {{0x2fdf01a0,0x20048e59,0x6b9b8e5a,0x4c920267}},	//   _taug_, _fomi_, taug, пијс, 
   {{0x2d820019,0xf53800a7,0x3c3a01dd,0x26c233d1}},	//   _őket_, ינוי_, tīva_, ytko_, 
   {{0xa3c924dd,0x3f1513f2,0x6d5a0a9f,0x6b9b8e5b}},	//   ल्य_, _удас, _ezta, raug, 
   {{0x6b9b00e4,0x752800ab,0x27e08e5c,0x3f9d0696}},	//   saug, ździ, _sain_, lawu_, 
   {{0x20045ec8,0x79980300,0xd9458e5d,0x27e08e5e}},	//   _yomi_, _devw, сени, _pain_, 
   {{0xa3c9456f,0x96ba8e5f,0xa3e60035,0x3f9d0532}},	//   ल्म_, лугу_, _यों_, nawu_, 
   {{0x27e0030f,0xdce30749,0x7bda042c,0x39540187}},	//   _vain_, manı, _תקנו, _časť_, 
   {{0xdce30824,0x26c27455,0x44d80118,0x27e08e60}},	//   lanı, rtko_, _pō_, _wain_, 
   {{0x26c2006a,0x27e08e61,0x947955bf,0x60c10219}},	//   stko_, _tain_, исту_, _älmh, 
   {{0x2d9c8e62,0xdce303c0,0x38a30095,0x93f60095}},	//   zave_, nanı, mır_, _şəbə, 
   {{0x38a303b0,0xb3440095,0x7cca0095,0x60dc012b}},	// [8720] lır_, _keçə, _məra, _ssrm, 
   {{0x81ab00cc,0x9c8202ee,0x6605011c,0x217689d6}},	//   ক্স_, ščin, _gohk, суар, 
   {{0x999a07f5,0x38a30824,0xdce30092,0x38600640}},	//   רבעט, nır_, kanı, _khir_, 
   {{0x68fc0219,0xef1a8e63,0x00000000,0x00000000}},	//   ärdi, лме_, --, --, 
   {{0x2d9c8e64,0x9c7c03c8,0x9f49008c,0x7aed014b}},	//   tave_, _trčk, ðað_, _šatn, 
   {{0x6b820093,0x38a3027e,0x7bcb02a5,0xe3b20444}},	//   _sfog, kır_, _abgu, _برگ_, 
   {{0x2d9c8e65,0x557700c7,0x7aeb8e66,0x7cca00ad}},	//   rave_, זעצן_, _argt, _bəra, 
   {{0x38a30fa3,0x2d9c653f,0x6d5a031e,0x5b1400c8}},	//   dır_, save_, _vzta, жмит, 
   {{0xa3bb0190,0x34d40790,0x2d9c8e67,0x00000000}},	//   _घास_, दबुद, pave_, --, 
   {{0x38608e68,0x38a3027e,0x290c1bde,0xff1700d1}},	//   _ahir_, fır_, tyda_, _הקמת_, 
   {{0x1958470e,0x2bca02fb,0x6605088f,0x6d5a8e69}},	//   раны_, _було_, _rohk, _uzta, 
   {{0x28a946cc,0x38608e6a,0xbc667c8f,0xdce30213}},	//   _किरि, _chir_, _увек, canı, 
   {{0x291e4000,0xe81f02e6,0x28da009a,0x41d800c9}},	//   szta_, मोगा_, _बनवि, ड़ास, 
   {{0xe84c00bc,0x38a306a2,0x09e300c8,0xbb3b0070}},	//   ětší, bır_, _ночн, _געדי, 
   {{0xe65400dd,0x38600a75,0x9c7c00ca,0x00000000}},	//   ївсь, _fhir_, _brči, --, 
   {{0xc95800cf,0x69c80326,0x386000a1,0xddda039f}},	//   _йўқ_, lfde, _ghir_, _mitő, 
   {{0x24580088,0x00000000,0x00000000,0x00000000}},	// [8730] сать_, --, --, --, 
   {{0xdce307fa,0xa3bb0c15,0x80cd00e6,0xdb1f5b77}},	//   zanı, _घाव_, _सहदे, évér, 
   {{0xdce30e7b,0xa25b0039,0x69c808b0,0x3f9d011c}},	//   yanı, _spôs, ifde, tawu_, 
   {{0x9f55203d,0x9c7c8e6b,0x64410183,0x3218052b}},	//   овеч, _grči, élid, _elry_, 
   {{0x38a30092,0xdce30785,0x81ab0086,0x5187449e}},	//   zır_, vanı, ক্ষ_, _губа, 
   {{0x7aed0062,0x38a30fc1,0x628d58fd,0xee38004f}},	//   _šato, yır_, mpao, бні_, 
   {{0xdce304be,0xed593d33,0x38a300ad,0xa3c90551}},	//   tanı, шок_, xır_, ल्थ_, 
   {{0x7cca06d0,0xe0d200c7,0x6a858e6c,0x69c811da}},	//   _qəra, _קײן_, олиа, efde, 
   {{0xdce30092,0x442b8e6d,0x628d02a3,0x41c6122e}},	//   ranı, _mmc_, npao, र्वस, 
   {{0x38600b1a,0x38a3213d,0x88c90088,0xdce3091f}},	//   _shir_, tır_, алов_, sanı, 
   {{0xdce306a2,0x61e50014,0x999e00bc,0xac192b65}},	//   panı, idhl, nitř_, _кожу_, 
   {{0xb901119f,0x38a30092,0x7e7b8e6e,0xdce300ad}},	//   _नई_, rır_, _kuup, qanı, 
   {{0xf77206ab,0x38a301f0,0xa9a58e6f,0x2fcd0027}},	//   باد_, sır_, _дилд, _mbeg_, 
   {{0x7ae90204,0x7e7b019b,0xa9698e70,0x96140299}},	//   mvet, _muup, _кила_, डसेट_, 
   {{0x201d045a,0x03a601ff,0x00000000,0x00000000}},	//   khwi_, жибо, --, --, 
   {{0x69de8e71,0x69c50083,0x00000000,0x00000000}},	//   _óper, ़्री, --, --, 
   {{0xa20679cc,0x9c7c015e,0x628d137f,0xe57901a2}},	// [8740] опад, _isče, gpao, рзӣ_, 
   {{0xe1f78e72,0xe2460038,0x7ae957a2,0x915f0210}},	//   огу_, آخري, ivet, _sắp_, 
   {{0x60260965,0x9c7c0813,0xe0da8e73,0x7ae98e74}},	//   оджа, _trči, рве_, hvet, 
   {{0x9c7c0076,0x2eed3cd3,0x2d8500b3,0x7ae98e75}},	//   _urči, _bref_, _afle_, kvet, 
   {{0xfe460161,0xaad837c0,0x6d41204c,0x64410107}},	//   ондо, _बैंक, _axla, élie, 
   {{0x6ce50f01,0x0caa8e76,0x7ae9014e,0xee378e77}},	//   किंग_, атии_, dvet, онч_, 
   {{0x90c33ca1,0x7bc94632,0xb7bb02aa,0x7ae9084c}},	//   _обре, ffeu, lhãe, evet, 
   {{0x8aa643a1,0x26d20102,0xfaa61a86,0x984d0083}},	//   ород, _opyo_, ошон, _iść_, 
   {{0xada601bb,0x8af706d0,0x6d4112ed,0x7ae9010e}},	//   _маал, _şərh, _exla, gvet, 
   {{0x7ae402fe,0x82f700df,0x00000000,0x00000000}},	//   _šits, קציב_, --, --, 
   {{0x7ae901d8,0x91bb00d1,0x7c2b00b9,0xb21b003e}},	//   avet, סמטי, _fmgr, _stæk, 
   {{0x81c20033,0xd90f010e,0x00000000,0x00000000}},	//   ্যি_, ئیٹ_, --, --, 
   {{0xb9010351,0x09e625b3,0x7ae91920,0x2eed012b}},	//   _नै_, _модн, cvet, _xref_, 
   {{0x645a010c,0x60c58e78,0x5eeb05ff,0xceb3027a}},	//   îtin, ythm, चित्_, ויש_, 
   {{0x81c200cc,0x70c9007e,0x80c90035,0x3ce00110}},	//   ্যা_, _रहेल, _रहें, किटे_, 
   {{0xb8670499,0x93791ab5,0x3cdd00c2,0x00000000}},	//   _باتو, сбат_, _कईसे_, --, 
   {{0xd7631fdb,0x442b0151,0xb60700fd,0x95cb187f}},	// [8750] _تنظی, _vmc_, _дянк, _куна_, 
   {{0x51f801fc,0xd2511b44,0x628d5900,0x00000000}},	//   оную_, رنا_, rpao, --, 
   {{0x21270124,0x7ae90019,0x6ad30086,0x7e7b4cd7}},	//   ành_, zvet, তিযো, _suup, 
   {{0x60c500f8,0x442b01d2,0x7e7b4cd7,0x7ae98e79}},	//   rthm, _umc_, _puup, yvet, 
   {{0x51870013,0xfd4c00e7,0x644d6587,0x387c8e7a}},	//   _мува, _triề, moai, _luvr_, 
   {{0xc27a00a7,0x7ae9027e,0x0dcb0176,0x201d3117}},	//   _לרשי, vvet, руди_, shwi_, 
   {{0x7c2b00b9,0x00000000,0x00000000,0x00000000}},	//   _pmgr, --, --, --, 
   {{0x709503dc,0xa80603da,0x7ae9024a,0x2eed8e7b}},	//   _маҳф, _mañá, tvet, _tref_, 
   {{0x9f34005e,0xeab10038,0xdb00010c,0x7ae900b3}},	//   _жеті, رعة_, lamê, uvet, 
   {{0xa9251b2d,0x7ae921e2,0x644d8e7c,0x00000000}},	//   здол, rvet, hoai, --, 
   {{0x7ae98e7d,0xf1b200c7,0x81bd0033,0x6d4101ff}},	//   svet, עסט_, _আসা_, _uxla, 
   {{0xb33b00ad,0x7ae9010e,0x00000000,0x00000000}},	//   _keçd, pvet, --, --, 
   {{0xa3e62002,0xe7375b4e,0x644d01f1,0x3f8a00ad}},	//   _योग_, зея_, doai, _əbu_, 
   {{0xa3c92c64,0x3e6006df,0x59c258c4,0xa50a0ab5}},	//   ल्स_, pòte_, _शायर, бега_, 
   {{0x182800d4,0x99fa00d1,0x7ae4007a,0x29350070}},	//   _وقتی_, _לפספ, _áitr, _מאַן_, 
   {{0xdb00010c,0x7c3b8e7e,0x00000000,0x00000000}},	//   damê, nnur, --, --, 
   {{0x3cdd006a,0x93433d2a,0xc86500eb,0x41aa6528}},	// [8760] _कैसे_, енте, _تطوي, йван_, 
   {{0xe47601d7,0x7c3b0502,0x7547039f,0x00000000}},	//   _нумэ, hnur, érzé, --, 
   {{0xa8060183,0x64412139,0xa3c9007e,0x757b00d1}},	//   _gañá, élic, ल्ह_, _לטיפ, 
   {{0x628145f8,0xdb1b02be,0xa0670e06,0x1eaa3aa9}},	//   _člov, rguê, паха_, ماتي_, 
   {{0x44320c67,0x59bd0e6e,0xe7c10f8c,0x00000000}},	//   miy_, ्भार, ष्टप, --, 
   {{0xe3c400b9,0x443200cf,0x44208e7f,0x290a00fc}},	//   _эрүү, liy_, lhi_, øbak_, 
   {{0xdb000218,0x39a60084,0xa3c902e6,0x4420011c}},	//   camê, hísí_, ल्व_, ohi_, 
   {{0xafe38e80,0x443200cf,0x44201614,0x320a0db1}},	//   _посл, niy_, nhi_, _hoby_, 
   {{0x44208e81,0xa06701fc,0x764e0228,0xef1a4f37}},	//   ihi_, _хата_, koby, _ума_, 
   {{0x7de500eb,0x443200a3,0x3f860068,0x7c420082}},	//   _يسلم, hiy_, lcou_, _štrč, 
   {{0x44208e82,0x69bd0c94,0x44320287,0x3ea60243}},	//   khi_, _शारी, kiy_, lsot_, 
   {{0x44207419,0x2902034c,0x443202f1,0x3f864bbe}},	//   jhi_, ćka_, jiy_, ncou_, 
   {{0x44208e83,0x2d9e01ee,0x443200cf,0xb33b8832}},	//   dhi_, _kete_, diy_, _keçe, 
   {{0x2d9e8e84,0x2b09031e,0x29e201f2,0xdb00009e}},	//   _jete_, िहरु_, _bħaż_, yamê, 
   {{0x2d9e158b,0x443202f1,0x644d8e85,0x00000000}},	//   _mete_, fiy_, toai, --, 
   {{0x69da2265,0x44208e86,0xc29920f7,0x2d9e8e87}},	//   lete, ghi_, жках_, _lete_, 
   {{0x78ba8e88,0x644d2cdd,0x660102ae,0x877c0147}},	// [8770] lutv, roai, ölks, _פאזי, 
   {{0x4420011c,0x2d9e0364,0x21670f82,0x69da841b}},	//   ahi_, _nete_, птег, nete, 
   {{0x776106d0,0x443285a0,0x320a0356,0xf4850274}},	//   əlxa, biy_, _doby_, _تاخی, 
   {{0x44208e89,0x69da8e8a,0x98c5090b,0x7ae201f1}},	//   chi_, hete, žući_, _osot, 
   {{0xa2a71139,0x69da8e8b,0x2d9e0a9f,0x7cca00ad}},	//   _चिट्, kete, _bete_, _dərm, 
   {{0x2d9e04d1,0x69da8e8c,0x41e4012d,0x7bc28e8d}},	//   _cete_, jete, _піса, _acou, 
   {{0x2d9e02a6,0xd0d4048a,0xe81e00a5,0x1d0600fd}},	//   _dete_, _поръ, _पतला_, дещи_, 
   {{0xdb1b02df,0x61e7010e,0xea898e8e,0x00000000}},	//   lgué, _hajl, обил_, --, 
   {{0x2d9e8e8f,0x61e70097,0x81e00086,0x8ca9059e}},	//   _fete_, _kajl, থার_, _टिको, 
   {{0xb33b0c05,0x8c47078a,0xdb1b61a7,0x442000e5}},	//   _geçe, _bişî, ngué, zhi_, 
   {{0x61e78e90,0x44208e91,0x186a8e92,0xf1cf009a}},	//   _majl, yhi_, жани_, स्यन, 
   {{0x442063aa,0x61e7006d,0x443202f1,0x2d9e0ab4}},	//   xhi_, _lajl, xiy_, _zete_, 
   {{0x44320c67,0x442040f9,0x764e2bc3,0x69da8e93}},	//   viy_, vhi_, toby, bete, 
   {{0x61e78e94,0xf1cf252e,0xc60d00bc,0xdb0000b9}},	//   _najl, स्मन, _सकृय_, damè, 
   {{0x320a02a3,0x764e8e95,0x44328e96,0xa3ea0009}},	//   _roby_, roby, tiy_, одва_, 
   {{0x68fc105d,0x44200666,0xe73a002e,0xe29a02a0}},	//   årde, uhi_, _мей_, жаа_, 
   {{0x443200cf,0x44208e97,0x11e601ff,0x00000000}},	// [8780] riy_, rhi_, мжам, --, 
   {{0x44208e98,0x44320c67,0x7cca0248,0x7bdb0096}},	//   shi_, siy_, _sərm, heuu, 
   {{0xb4660ec6,0x2d9e8e99,0x44200415,0x25e7143e}},	//   _окол, _rete_, phi_, _छोटी_, 
   {{0x69da8e9a,0xb33b01f0,0x2d9e8e9b,0x443200cf}},	//   zete, _seçe, _sete_, qiy_, 
   {{0x61e78e9c,0x63a48e9d,0x69da8e9e,0x3f86145a}},	//   _fajl, main, yete, rcou_, 
   {{0x3f9f7e86,0x3f8602df,0xd04c0095,0xb21b055f}},	//   _eeuu_, scou_, _əhəm, _stæv, 
   {{0x2d9e00e5,0x69da8e9f,0x28dd0484,0x7ae201f2}},	//   _vete_, vete, _फैलि, _ssot, 
   {{0x63a48ea0,0x22848ea1,0x2d9e8ea2,0xdb008ea3}},	//   nain, _kök_, _wete_, lamé, 
   {{0x2d9e8ea4,0x69c300b9,0xe45700d1,0x8fa38979}},	//   _tete_, _bcne, ויקט_, _шате, 
   {{0x63a48ea5,0x7ae20352,0x6ffe020f,0x0e638ea6}},	//   hain, _vsot, _făcâ, _акун, 
   {{0x63a48ea7,0x29188ea8,0x69da8ea9,0x7cca06d0}},	//   kain, ára_, rete, _mərk, 
   {{0x63a43c55,0x7ae28eaa,0x9c7c0118,0x78ba201d}},	//   jain, _tsot, _frčr, rutv, 
   {{0x63a44e91,0x78ba383b,0x44c80380,0x29180028}},	//   dain, sutv, eß_, šra_, 
   {{0x69da8eab,0x7afd32b9,0x7bc000fb,0x69c30354}},	//   qete, åste, lgmu, _gcne, 
   {{0x61e702fe,0xdb0040df,0x2edb0e07,0x63a48eac}},	//   _rajl, damé, _यन्त, fain, 
   {{0x63a4006c,0x69ca09d3,0x61e70571,0xc86700a3}},	//   gain, त्री, _sajl, _ўтки, 
   {{0xeabc0086,0x61e7023b,0x2bd0009a,0x335800d9}},	// [8790] _অনুম, _pajl, थ्या, датэ_, 
   {{0x27e95e96,0xdb008ead,0x22848eae,0xd25b00e4}},	//   _haan_, ramè, _dök_, іца_, 
   {{0xd13100eb,0xdb1b04ef,0x61e78eaf,0x31c40093}},	//   دما_, rgué, _vajl, ъств, 
   {{0x3cf4021a,0x27e9007e,0xa295012d,0x63a40c04}},	//   ्मने_, _jaan_, _памі, cain, 
   {{0x61e78eb0,0x27e97350,0x0f350274,0x22840241}},	//   _tajl, _maan_, رکرد, _gök_, 
   {{0x780c00a2,0x27e98eb1,0x6da55ac4,0xe61f02be}},	//   _हक्क_, _laan_, хика, mpôs_, 
   {{0xf41f0219,0x25a18eb2,0x3f9f0175,0x00000000}},	//   _klä_, _mehl_, _teuu_, --, 
   {{0x7cca0095,0x3eb20009,0x2d87007a,0x5ba90267}},	//   _mərh, šyta_, scne_, чким_, 
   {{0x316300ca,0xef540093,0x3da702e1,0x00000000}},	//   _hzjz_, _акть, _жреб, --, 
   {{0x63a48eb3,0xfdf30394,0xf41f0080,0x0905620e}},	//   zain, _आफिस_, _llä_, епон, 
   {{0x27e90d2d,0x09e10033,0x200d0326,0xf65f02c9}},	//   _baan_, বালা, _koei_, rtæl_, 
   {{0x2b400813,0x9f44014b,0x628f23f2,0x63a40183}},	//   _žice_, _samé_, _otco, xain, 
   {{0x63a48eb4,0x27e91e8f,0xcc3a00c7,0x7d180228}},	//   vain, _daan_, _צענט, časť, 
   {{0x63a406da,0x64418eb5,0xd9458eb6,0x22842580}},	//   wain, élin, _пели, _rök_, 
   {{0x22840750,0xa50a3346,0x63a45307,0x6aa98eb7}},	//   _sök_, чева_, tain, lsef, 
   {{0x27e901b2,0x6b89005c,0x7dd305b7,0x3c3a00e0}},	//   _gaan_, nceg, lısı, tīvi_, 
   {{0x41b68eb8,0xdb008eb9,0x63a48eba,0x6aa98ebb}},	// [87a0] есет, tamé, rain, nsef, 
   {{0x63a48ebc,0x80c90086,0x7cca00ad,0x7dd3035d}},	//   sain, রবন্, _fərh, nısı, 
   {{0x63a48ebd,0x27e91abb,0x629d01f2,0xdb008ebe}},	//   pain, _yaan_, _ewso, ramé, 
   {{0xa2b21eca,0x59cf1a21,0xcf460cfe,0x7dd300ad}},	//   ेंद्, त्तर, нней, hısı, 
   {{0x7cca0095,0x200d43a5,0x6aa90566,0x201f0474}},	//   _tərk, _doei_, jsef, _dlui_, 
   {{0x69c111b1,0x6aa947ea,0x41c7009a,0x00000000}},	//   jgle, dsef, _लायस, --, 
   {{0x69c1044e,0x7cca0095,0x515500d3,0x201f019c}},	//   dgle, _kəri, _атту, _flui_, 
   {{0x59c22414,0x388501dd,0xdee67721,0x2c610032}},	//   _शाहर, _pērn_, _поби, tóda_, 
   {{0xdcea8ebf,0x6aa90d6b,0x27e9011d,0xb33b0216}},	//   rafı, gsef, _raan_, _keça, 
   {{0x27e98ec0,0x69c18ec1,0xf3ff00e7,0x60350054}},	//   _saan_, ggle, _nhãn_, ląmp, 
   {{0x27e91433,0x395802c9,0x0dc9007a,0x00000000}},	//   _paan_, ærs_, _تبقى_, --, 
   {{0x7cca00ad,0x99630259,0xb8d82a2c,0x00000000}},	//   _nəri, ытыл, _चि_, --, 
   {{0x27e9030f,0x7cca0095,0x81ab0033,0x8cc1072d}},	//   _vaan_, _sərh, ক্ট_, रंथो, 
   {{0x27e91a77,0x49920274,0xb33b010c,0x7e7d8ec2}},	//   _waan_, _حیدر, _neça, _èspe, 
   {{0x6441026d,0x5334004e,0x046727a4,0x787e0243}},	//   élio, ңест, етам, _būve, 
   {{0xb4e102ff,0xa6f500d9,0x7cca00ad,0xb6f50477}},	//   _धनी_, _азиш, _cəri, _азиј, 
   {{0x7cca0095,0x33758ec3,0x200d0ff2,0x00000000}},	// [87b0] _dəri, тгар, _roei_, --, 
   {{0xbbdd8ec4,0xa507012d,0x3869008a,0x200d1032}},	//   _मस्क, _зямл, _hhar_, _soei_, 
   {{0xb21b017b,0xb33b021e,0xe61f02be,0x7cca0248}},	//   _stæs, _deça, spôs_, _fəri, 
   {{0x443f00b4,0x6e956949,0xa3bb03c1,0x7dd30761}},	//   _ñu_, виду, _घाट_, zısı, 
   {{0xdee50d83,0xb4e10790,0x7dd301f0,0x6d5a02f1}},	//   толи, _धनु_, yısı, _ayta, 
   {{0xed591cc1,0xde940038,0x6d5a1bde,0x7cca00ad}},	//   мол_, اجنب, _byta, _zəri, 
   {{0x6d5a0035,0x7e7a011c,0x386901ca,0x7d1800de}},	//   _cyta, _ditp, _ohar_, _časá, 
   {{0x2ef50c8a,0x201f002e,0x6aa98ec5,0x3869003d}},	//   _избр, _ului_, tsef, _nhar_, 
   {{0x6b890d26,0x69c112bf,0x93f60248,0x7dd33063}},	//   rceg, tgle, _şəkə, tısı, 
   {{0x6aa9480b,0x6b8901d8,0x69c18ec6,0x00000000}},	//   rsef, sceg, ugle, --, 
   {{0xd945041d,0x69c1394a,0xf1c62414,0x6aa98ec7}},	//   тени, rgle, र्टन, ssef, 
   {{0xe73a6f2f,0x68fc0219,0x69c18ec8,0xdb1b033c}},	//   дем_, årda, sgle, lguí, 
   {{0x2616007e,0x38698ec9,0x7dd3008f,0x00000000}},	//   _नकदी_, _dhar_, pısı, --, 
   {{0xdb1b6734,0x628017e1,0x00000000,0x00000000}},	//   nguí, _émoi, --, --, 
   {{0xf3ff02a0,0x68468eca,0xe5a38ecb,0xc5e40033}},	//   _chão_, _инка, риси, মালপ, 
   {{0x38698ecc,0x7cca00ad,0x3cf20299,0xe8d600d1}},	//   _ghar_, _qəri, ंटते_, _יוצר_, 
   {{0xb33b03b7,0xe28340a4,0x46e700b3,0x24860032}},	// [87c0] _peça, илти, _адын_, _čomu_, 
   {{0xb21b8ecd,0x42230c27,0x64480212,0x31160165}},	//   _stær, адув, édib, кфес, 
   {{0xb33b00e5,0x21768ece,0x3ead00b9,0xa5b70070}},	//   _veça, туар, _avet_, _בליק_, 
   {{0x6e218ecf,0xf1c609d8,0x6d5a0009,0xeaf1017d}},	//   _allb, र्जन, _ryta, _अछूत_, 
   {{0x442266b6,0xdfcf00eb,0x3ead6883,0x8fc500d4}},	//   _ilk_, تين_, _cvet_, ازمن, 
   {{0x6d5a006a,0x93f606d0,0x81a5006b,0x62968ed0}},	//   _pyta, _şəhə, _محفل, mpyo, 
   {{0xa3c9000c,0x3ead01f0,0x6ce6004e,0x10a3004f}},	//   ल्क_, _evet_, тіле, _висн, 
   {{0x6d5a1977,0xdc2a009c,0x59cf0da5,0x7a240118}},	//   _vyta, بسته_, त्सर, _mòte, 
   {{0xdee30bac,0x629606df,0xa3bb00b0,0x49a400f0}},	//   _коти, npyo, _घाघ_, лынғ, 
   {{0x7e7a0a58,0x38690104,0x1dc9009a,0x7afd2267}},	//   _uitp, _shar_, _रायत, åsta, 
   {{0x21bb00a7,0x38690102,0x332900a3,0x23e20035}},	//   וזיא, _phar_, zzax_, _पसंद, 
   {{0x28c4047c,0x25a70864,0x3c3a01dd,0x56950259}},	//   लंबि, _žnl_, tīvu_, ламт, 
   {{0x387b0023,0x64410212,0x65650175,0x7a240118}},	//   _viqr_, élim, _szhh, _pòtd, 
   {{0xb8f400eb,0x7c228ed1,0x442200c8,0x70d200a5}},	//   _مكتب, _hlor, _alk_, _सहूल, 
   {{0x3869009f,0x03c70904,0x5558170f,0x4a7b042c}},	//   _thar_, ксам, варя_, _קרוב, 
   {{0x41c600bd,0x9965004f,0x7c220118,0x00000000}},	//   र्घस, _стіл, _jlor, --, 
   {{0x2458030f,0x0cbf034d,0x7c2201e5,0x284a0070}},	// [87d0] тать_, _एम्म, _mlor, _רעפּ, 
   {{0x7c228ed2,0x44220265,0x9f4400d3,0xdddb23f2}},	//   _llor, _elk_, _camí_, _stuž, 
   {{0x3ead8ed3,0x0cbd00cc,0xe01e0262,0x7c2205a4}},	//   _svet_, _আন্ত, पसंद_, _olor, 
   {{0xa2c3047c,0x76558ed4,0x00000000,0x00000000}},	//   िंद्, lozy, --, --, 
   {{0xa3cc07d5,0x539a00a7,0x3c3a00e0,0x03d607e4}},	//   _शॉट_, _רישו, hīvs_, _גורם_, 
   {{0x7c228ed5,0x51878ed6,0x9d4500f0,0x09bd0033}},	//   _alor, _шума, лелд, _অস্থ, 
   {{0xb4b100ab,0x7c228ed7,0xed568ed8,0x81cc0033}},	//   _ऑटो_, _blor, лош_, _শোক_, 
   {{0x20f308b1,0x30da00c7,0x3211023a,0x09ab009a}},	//   _ići_, _אַמע, _hozy_, चण्य, 
   {{0x32118ed9,0x0a3916d0,0xdd950009,0x00000000}},	//   _kozy_, ечны_, _базы, --, 
   {{0x20f30fd3,0x7c228eda,0xb33b44b2,0xdb000183}},	//   _kći_, _elor, _leço, camí, 
   {{0x07a602fb,0x7c228edb,0xf2d000bc,0x17ca00a3}},	//   ланн, _flor, _सङ्घ, нгни_, 
   {{0x30da00c7,0x32110054,0xf5ec00b0,0x7c228edc}},	//   ײַטע, _lozy_, _छोड़ि_, _glor, 
   {{0x9f8a007e,0x6b9b8edd,0x78ba01d2,0xb5110033}},	//   _tööd_, mbug, artv, _হেলথ_, 
   {{0x2aba00a7,0x7c228ede,0x20f300ca,0x6b9b011d}},	//   _נמצא, _zlor, _oći_, lbug, 
   {{0x70d20262,0x23270258,0x49030259,0x00000000}},	//   _सहेल, ҳоти_, _түнг, --, 
   {{0x4ab70035,0xc90f02e6,0x44220036,0x7416247b}},	//   _इटाव, ाहीम_, _qlk_, دورا, 
   {{0xe1fa523f,0x6826001d,0x3211023a,0xa92000ad}},	// [87e0] нга_, _códe, _bozy_, _çörə, 
   {{0x55e68edf,0x26c20969,0x869b0070,0x7cca0095}},	//   _сооб, muko_, _רייז, _zəru, 
   {{0x32110054,0x26c28ee0,0x5275022c,0x44220cfe}},	//   _dozy_, luko_, руту, _tlk_, 
   {{0xe29a1afd,0x44228ee1,0x7cca00ad,0x00000000}},	//   _пам_, _ulk_, _mərt, --, 
   {{0xdd920a24,0xdb004466,0x645602f1,0x26c28ee2}},	//   موش_, tamí, moyi, nuko_, 
   {{0x69d38ee3,0xc1e7017a,0x62860102,0x64568ee4}},	//   _बॉली, _مکمل_, _iuko, loyi, 
   {{0x2167101b,0x62868ee5,0x63a60580,0x26c2039d}},	//   _бири_, _huko, _kekn, huko_, 
   {{0x61ee03ed,0x62868ee6,0xe4f70838,0x26c28ee7}},	//   _habl, _kuko, ुमति_, kuko_, 
   {{0x61ee8ee8,0x7c2200e5,0xa3c9000c,0x81e70086}},	//   _kabl, _vlor, ल्ट_, ভার_, 
   {{0x62868ee9,0x61ee06c4,0xddc81b5e,0xe9e634fd}},	//   _muko, _jabl, _hidž, уцио, 
   {{0x5bc60625,0x64440088,0x61ee02f1,0x325700a7}},	//   _مقال, knii, _mabl, רסים_, 
   {{0x26c28eea,0x2fc602dc,0x61ee8eeb,0xfaa62024}},	//   fuko_, ngog_, _labl, _бадо, 
   {{0xcc5700fe,0xb33b0107,0xddc80ab4,0x6b828eec}},	//   _גבאי_, _reço, _midž, _igog, 
   {{0x27ed8eed,0x63a600b4,0xa2c30249,0x9f440641}},	//   žen_, _aekn, िंस्, _mamà_, 
   {{0xf99300a7,0x69ca0126,0x55590093,0x62868eee}},	//   _פרק_, _icfe, тавя_, _auko, 
   {{0x682624d3,0x62868eef,0x644407b7,0x9484004e}},	//   _póde, _buko, gnii, сырд, 
   {{0x92590316,0x765500ab,0x6b820053,0x62868ef0}},	// [87f0] ваат_, pozy, _mgog, _cuko, 
   {{0x61ee8ef1,0x45d5022c,0x62868ef2,0xbb3b00c7}},	//   _cabl, _тоос, _duko, געמי, 
   {{0xa3d517f7,0xddc80082,0x61ee8ef3,0x321100bc}},	//   _конч, _bidž, _dabl, _vozy_, 
   {{0x63a6379a,0x2ef51646,0x6b828ef4,0x00000000}},	//   _gekn, изер, _ngog, --, 
   {{0x69d85402,0x61ee8ef5,0xddc800e4,0x6286099d}},	//   _obve, _fabl, _didž, _guko, 
   {{0x44298ef6,0x443b8ef7,0x6b828ef8,0xef1800e4}},	//   lha_, liq_, _agog, ымі_, 
   {{0x62868ef9,0x20f30062,0x6b9b008a,0x442907d7}},	//   _zuko, _ući_, tbug, oha_, 
   {{0x4429144d,0x62868efa,0x26c28efb,0x443b8efc}},	//   nha_, _yuko, yuko_, niq_, 
   {{0x62800107,0xba2588eb,0x26161d57,0xcda90038}},	//   _émot, идик, _नकली_, _لهذه_, 
   {{0x443b02f1,0x6abb8efd,0x26c28efe,0x8c6700f0}},	//   hiq_, rruf, vuko_, _өтед, 
   {{0x5d842424,0x6456016c,0x44298eff,0x27e200ef}},	//   _المل, yoyi, kha_, tekn_, 
   {{0x26c20414,0x44298f00,0x4a73004e,0x67fb00c8}},	//   tuko_, jha_, шықт, _räjä, 
   {{0x44298f01,0xfaa553f3,0x8c1a00a7,0xd90f006b}},	//   dha_, _тало, _שוני, تیں_, 
   {{0x7c298f02,0x26c28f03,0x35a30508,0x63a600da}},	//   lher, ruko_, жарг, _sekn, 
   {{0x64a68f04,0x26c28f05,0x443b8f06,0x63a6143b}},	//   раба, suko_, fiq_, _pekn, 
   {{0x44298f07,0x62860062,0x93467f96,0x26c20053}},	//   gha_, _puko, анбе, puko_, 
  
   {{0x64568f08,0x81c10086,0x644400b0,0x66e68f09}},	// [8800] royi, ্জন_, rnii, _топа, 
   {{0x628602f5,0xb33b01f0,0x442921aa,0xc69300a7}},	//   _vuko, _geçm, aha_, _ואז_, 
   {{0x44298f0a,0xe3ba4ae3,0x55bb00a7,0x443b065c}},	//   bha_, _ибн_, _במיו, biq_, 
   {{0x44298f0b,0x62868f0c,0x8f84004e,0xfa8800e7}},	//   cha_, _tuko, сқал, _lừa_, 
   {{0x44208f0d,0x628607fc,0x7c3b0474,0xdd941ab1}},	//   mki_, _uuko, diur, балы, 
   {{0x40960676,0x61ee00a1,0x9c7c0372,0x7bd95d46}},	//   _врат, _uabl, _isči, _abwu, 
   {{0xdb000679,0xcd06019c,0x61433c6c,0x7a2400a1}},	//   damá, рчли, _дера, _nòta, 
   {{0x20e80092,0x7c2931de,0x6aa20cd7,0x7c3b5805}},	//   _işi_, gher, _pwof, giur, 
   {{0x787f00e0,0x5a340093,0xfa880108,0x628041ee}},	//   _būvn, йнит, _bừa_, _émos, 
   {{0x44208f0e,0x7a2400a1,0x443b8ef7,0x5cd6004f}},	//   hki_, _bòta, ziq_, _відх, 
   {{0x44208f0f,0xfa8800e7,0x443b4a25,0x7a2401be}},	//   kki_, _dừa_, yiq_, _còta, 
   {{0x7c297b8c,0xdb5a283d,0xb33b07fa,0x44296395}},	//   cher, _июл_, _seçm, xha_, 
   {{0x44208f10,0x09e100cc,0x81ac0086,0x442955c7}},	//   dki_, বাজা, _গান_, vha_, 
   {{0x44208f11,0x4429007b,0xaadb035c,0x20c900a2}},	//   eki_, wha_, _סחור, ांमध, 
   {{0x44208f12,0x5fd70484,0x443b132c,0xd5b80451}},	//   fki_, ण्डल, tiq_, шся_, 
   {{0xe97b00a7,0x4420879e,0x69c850c0,0x44298f13}},	//   _בנוש, gki_, lgde, uha_, 
   {{0x443b8f14,0x44298f15,0xf7731c03,0xdcfa00a4}},	// [8810] riq_, rha_, _باغ_, _fetħ, 
   {{0x44298f16,0x44208f17,0x4185004e,0x69c88f18}},	//   sha_, aki_, стағ, ngde, 
   {{0x44208f19,0x44297aae,0x443b01ff,0xe7ee00bc}},	//   bki_, pha_, piq_, _जसमा_, 
   {{0xa3ce05fd,0x059600d4,0x1dc900a2,0x44297b00}},	//   _राय_, _پایگ, _राहत, qha_, 
   {{0x63ad8f1a,0xd9f817dc,0x161b00a2,0x443989b0}},	//   maan, ्ञात_, _नकार_, _ims_, 
   {{0x6da203b7,0x7c298f1b,0x00000000,0x00000000}},	//   пиша, wher, --, --, 
   {{0xa3ce35ff,0x61e50149,0x44398f1c,0x32030379}},	//   _राम_, mehl, _kms_, _injy_, 
   {{0x63ad08f2,0x1be98f1d,0x1dc90827,0x61e58f1e}},	//   naan, удии_, _रावत, lehl, 
   {{0x7c3b8f1f,0x7c298f20,0x4439076b,0x0b590161}},	//   riur, rher, _mms_, ыркы_, 
   {{0x44208f21,0x7c2969a6,0x63ad8f22,0x69c80611}},	//   zki_, sher, haan, ggde, 
   {{0x7c298f23,0x63ad8f24,0xfa880029,0x60c52a41}},	//   pher, kaan, _vừa_, nuhm, 
   {{0x5c758f25,0xdb001f12,0x6a25009c,0x7bd902b8}},	//   _улет, samá, _گفتم, _ubwu, 
   {{0x63ad3175,0x442006e0,0xceb20070,0x61e5084c}},	//   daan, vki_, ּיל_, kehl, 
   {{0x4420006a,0x69dd010e,0x7ae90621,0x63ad039b}},	//   wki_, őseb, mwet, eaan, 
   {{0x44208f26,0x63ad0298,0xfa3400d4,0x66dd0219}},	//   tki_, faan, _برند, _påkö, 
   {{0x63ad8f27,0x7bc911e9,0x3eb2012d,0xb3867408}},	//   gaan, ngeu, šyti_, слал, 
   {{0x44208f28,0xd4671416,0x61e501c4,0x74130038}},	// [8820] rki_, сите_, fehl, أوقا, 
   {{0x645d6801,0x7afd00c8,0xddd8020b,0x7bc98f29}},	//   _eksi, ästy, covň, hgeu, 
   {{0x63ad8f2a,0xf77f02a0,0x5a3a00c7,0x44208f2b}},	//   baan, meça_, נגעה, pki_, 
   {{0x7ae92f34,0x63ad7b9e,0xf77f019c,0x00000000}},	//   kwet, caan, leça_, --, 
   {{0x92f600dd,0x69c831b7,0x61e50032,0x3fcb37e5}},	//   _учні, ygde, behl, ادمی_, 
   {{0x60c50ab1,0x7cca0095,0xd2520019,0x7ae98f2c}},	//   buhm, _bərp, _رنز_, dwet, 
   {{0x645d030f,0x443900c8,0x20e8020f,0x00000000}},	//   _yksi, _yms_, _uşi_, --, 
   {{0x7bc9005f,0x1e861790,0x9c7c00ca,0x69c80201}},	//   ggeu, _глам, _opče, wgde, 
   {{0x09ac0086,0x7ae9044d,0xf1cf02d9,0x9c7c0118}},	//   _খাবা, gwet, स्कन, _osčv, 
   {{0xb33b06d0,0x98a70c05,0x23ad0009,0x63ad01a3}},	//   _seçk, _aynı_, mųjų_, zaan, 
   {{0x63ad8f2d,0xf8ad01e5,0xf77f019c,0x69c801d2}},	//   yaan, نکي_, deça_, rgde, 
   {{0xbb8600eb,0x64480151,0x6edc0497,0x7ae9556a}},	//   _الإي, édil, _यहाँ, bwet, 
   {{0xf1a80e07,0x23ad0009,0x291800c2,0x63ad8f2e}},	//   गरान, nųjų_, ärab_, vaan, 
   {{0x63ad8f2f,0x7afd055f,0x41c743f5,0x65948f30}},	//   waan, æste, _लाइस, зару, 
   {{0x63ad8f31,0x16348f32,0x00000000,0x00000000}},	//   taan, черя, --, --, 
   {{0x68260496,0x25bf8f33,0x539900c8,0x443900f6}},	//   _tóda, şul_, рвая_, _qms_, 
   {{0xb33b0264,0x63ad8f34,0xf77f03b7,0x443900b0}},	// [8830] _keçi, raan, beça_, _vms_, 
   {{0x63ad0539,0x9c7c0613,0x23ad0028,0x00000000}},	//   saan, _isču, dųjų_, --, 
   {{0x63ad8f35,0x6826026e,0x61e58f36,0x443900c8}},	//   paan, _módn, rehl, _tms_, 
   {{0x160707d5,0x60c502cd,0x44398d46,0x61e50415}},	//   शावर_, ruhm, _ums_, sehl, 
   {{0xa3ce0c06,0x60c504e4,0x287c00c7,0x4ea74d50}},	//   _रात_, suhm, אנאמ, ёрда, 
   {{0xae030239,0x2c4c00bc,0x200405d5,0x7c9500ff}},	//   लाइन_, věda_, _enmi_, ориц, 
   {{0xac096848,0x661700b4,0x7c840267,0xdb000dfa}},	//   инка_, _moxk, пуње, hamä, 
   {{0xa4b800a7,0x7ae919dc,0x291e0009,0xfc31007a}},	//   צלחה_, twet, dyta_, بحت_, 
   {{0x7bc9026a,0x27f2353d,0xddc30474,0xdb004a69}},	//   rgeu, _rayn_, conş, jamä, 
   {{0x39450934,0x89a9148b,0xf7cb02d9,0x2d9109c7}},	//   жног, шков_, ážní_, _üze_, 
   {{0x7ae97de4,0xa3c91d95,0x291e8f37,0x41c70249}},	//   swet, ईला_, gyta_, _लाईस, 
   {{0xe8df0029,0x7ae9044d,0x66050210,0x00000000}},	//   hiệm_, pwet, _anhk, --, 
   {{0xb6a38f38,0x7ae90415,0x661701d2,0x00000000}},	//   миял, qwet, _boxk, --, 
   {{0xb33b0c05,0x291e5f42,0x38ca00d7,0x00000000}},	//   _geçi, byta_, دایی_, --, 
   {{0xf77f6ff2,0x186a15c5,0xa9790070,0x81c10033}},	//   reça_, _каки_, _דאַכ, ্জা_, 
   {{0xb4660fb6,0xccf200a7,0xdb0000c2,0x3e690032}},	//   ікал, וכל_, bamä, kúto_, 
   {{0x987b0070,0xe8890108,0xf77f019c,0x41aa0bad}},	// [8840] _דאקט, _kẻo_, peça_, иван_, 
   {{0xfe650444,0x6826115d,0xc4e61e6e,0x23ad0028}},	//   _سگ_, _kódo, _джой, vųjų_, 
   {{0x765c13cd,0xae031971,0xd46a0c0f,0xbf8a11d2}},	//   mory, लाईन_, _вине_, абеж_, 
   {{0x81e7100b,0x307611c5,0x68260019,0xd5b10023}},	//   ভাগ_, цузс, _módo, ức_, 
   {{0x087700c7,0x437644f6,0xdd9400f0,0x291e0083}},	//   קענט_, _фунт, палы, zyta_, 
   {{0xdcba0141,0xa0a68f39,0x7a2400b9,0xe8890108}},	//   ащи_, _магд, _ròto, _nẻo_, 
   {{0x25ba3974,0xb33b8f3a,0xcc2a8f3b,0x38850243}},	//   _mdpl_, _reçi, ицид_, _mērs_, 
   {{0x09b4100b,0xb33b0e7b,0x290000e4,0x765c8f3c}},	//   জ্ঞা, _seçi, _čia_, hory, 
   {{0x2d968f3d,0x63b90035,0xa2b20e53,0x765c8f3e}},	//   _дрес, ówni, ेंट्, kory, 
   {{0x291e012d,0xfce68f3f,0x386000d7,0xa2c20cb8}},	//   tyta_, _мозо, _akir_, _लिन्, 
   {{0x19588f40,0xdb000219,0xe8890023,0xed5a8f41}},	//   саны_, damå, _dẻo_, _тож_, 
   {{0x291e8f42,0x25ba00ca,0x8c140086,0x32181727}},	//   ryta_, _adpl_, ়োজন_, _lory_, 
   {{0x249a02a2,0x765c8f43,0x6d4d0213,0x682d009e}},	//   _atpm_, fory, şaat, _nûde, 
   {{0x765c8f44,0x09b40033,0xddda0118,0xb60400b3}},	//   gory, জ্জা, _oktō, мяск, 
   {{0x45d400fd,0x00000000,0x00000000,0x00000000}},	//   ьорс, --, --, --, 
   {{0x69da08c3,0xdb000228,0x25a60304,0x7844039f}},	//   lfte, pamä, _đole_, tőve, 
   {{0xf77f02a0,0x321813ed,0x2602059e,0x833500fd}},	// [8850] meço_, _bory_, शाखी_, чнах, 
   {{0x7ae28f45,0x628001d8,0x69da0380,0xf1c30023}},	//   _mpot, _èmol, nfte, _giờ_, 
   {{0x32180054,0x6441583b,0x43958f46,0xd250010e}},	//   _dory_, élis, _нанс, ڑنے_, 
   {{0x155a00a7,0x7ae28f47,0x47c20bf1,0x00000000}},	//   _לכתב, _opot, ষ্ঠী, --, 
   {{0x3ea51427,0x63a205b9,0x06fb0394,0x60db0ab4}},	//   чилг, ñone, एटिव_, _ćumu, 
   {{0xee38004f,0x69da039b,0x00000000,0x00000000}},	//   оні_, jfte, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x61f58f48,0xa2c2031e,0x765c82e2,0xc1040038}},	//   _hazl, _लिम्, zory, _توفي, 
   {{0xeb9702c0,0x0b4541a0,0xf77f0165,0x69da8f49}},	//   биқ_, янин, deço_, ffte, 
   {{0x61f58f4a,0x7a240237,0x442b2e43,0x88c901ff}},	//   _jazl, _fòtm, _llc_, блов_, 
   {{0x61f58f4b,0x442b00a0,0x644f0083,0x765c011f}},	//   _mazl, _olc_, _ojci, vory, 
   {{0x7c2d026e,0x66e6004f,0x1bd53946,0x69da0b48}},	//   ďars, пома, _ходя, afte, 
   {{0x765c8f4c,0x249a0348,0x7ae2008a,0x00000000}},	//   tory, _stpm_, _gpot, --, 
   {{0x68260496,0xa3ce000f,0xa6e3008c,0x7afb1302}},	//   _tódo, _राह_, óðar, mvut, 
   {{0x7afb8f4d,0x386001ff,0x00000000,0x00000000}},	//   lvut, _tkir_, --, --, 
   {{0xc4830925,0x765c8f4e,0x04460386,0x3860674e}},	//   елск, sory, чебн, _ukir_, 
   {{0xa2c307d5,0xddda0226,0x32188f4f,0x61f506b2}},	// [8860] िंग्, _litš, _pory_, _bazl, 
   {{0x17570056,0x2fdf012b,0xa3ce3024,0x00000000}},	//   _מספר_, _abug_, _राव_, --, 
   {{0x2eff0ab1,0x321801a7,0x442b8f50,0x00000000}},	//   _aruf_, _vory_, _flc_, --, 
   {{0x442b7875,0x4424001b,0x68e30054,0xbe8a04b6}},	//   _glc_, _ôm_, _mpnd, бске_, 
   {{0x61f50c05,0x32188f51,0xdb0b0034,0x27e00034}},	//   _fazl, _tory_, _degë, _mbin_, 
   {{0xe2970013,0x63a48f52,0x61f58f53,0x13b10033}},	//   _хар_, lbin, _gazl, _ছায়, 
   {{0x8fa67575,0xe6a90a09,0xa1160019,0x16a900bd}},	//   _наве, _कब्ज, _عورت, _कब्ब, 
   {{0x63a48f54,0xa0a60283,0xdb0b021e,0x00000000}},	//   nbin, _маҳд, _gegë, --, 
   {{0x63a48f55,0x61f50241,0x298a004f,0x06e40033}},	//   ibin, _yazl, йсно_, মিডি, 
   {{0x27e08f56,0x3f80012d,0x2d968f57,0x7afd818a}},	//   _abin_, žius_, _храс, æsta, 
   {{0xdca38f58,0x69da5f06,0x3b8620e8,0xdb0b01e5}},	//   _захи, rfte, _елег, _legè, 
   {{0x7afb0532,0x63a4688a,0x00000000,0x00000000}},	//   bvut, jbin, --, --, 
   {{0x7ae200f1,0x63a403ef,0xf77f03b7,0x442b023e}},	//   _upot, dbin, reço_, _rlc_, 
   {{0x4b7b00d1,0xa7fb61e6,0x63a4052b,0x00000000}},	//   _האדו, doñe, ebin, --, 
   {{0x7a2d128a,0x1c200262,0x6826010e,0xa3d558d8}},	//   _fútb, _बवाल_, _módj, мовч, 
   {{0x63a48f59,0xd2510019,0x442b02a3,0x61f500b2}},	//   gbin, ھنا_, _qlc_, _sazl, 
   {{0xd767006b,0xa5f900b3,0x64418f5a,0x67bc00d1}},	// [8870] _ڈاکٹ, _депу_, éliq, _המחק, 
   {{0x26cb8f5b,0x63a40c40,0xdb0b5f71,0xb5a7198b}},	//   muco_, abin, _degè, _эрий, 
   {{0x21270029,0xb33b0107,0x26cb11c9,0x63a4534c}},	//   ánh_, _reçu, luco_, bbin, 
   {{0x2eff0065,0x35d3034d,0x41746564,0x00000000}},	//   _pruf_, _ताड़, رالس, --, 
   {{0xa7fb24d3,0x26d900a9,0x26cb001d,0x644d2619}},	//   coñe, ntso_, nuco_, mnai, 
   {{0x2f23002a,0x629d85cf,0x645f1d97,0x644d00ec}},	//   _rīgā_, _itso, loqi, lnai, 
   {{0x644d8f5c,0x3cf70035,0xb33b0034,0xcfb500fd}},	//   onai, ंटें_, _veçu, _обвъ, 
   {{0x62873926,0x13b10086,0x628f8f5d,0x9f440036}},	//   _hijo, _ছাড়, _kuco, _lamù_, 
   {{0xdd951472,0xb33b01f0,0x2eff0065,0x644d8f5e}},	//   _жазы, _geçt, _uruf_, inai, 
   {{0x644d0094,0x7afb007e,0x26cb452c,0x629d0727}},	//   hnai, rvut, duco_, _mtso, 
   {{0xdb0b0019,0xd90f00d4,0x62878f5f,0x63a40009}},	//   _megé, ایع_, _mijo, ybin, 
   {{0x62878f60,0x629d8f61,0x41dd1f22,0x21010588}},	//   _lijo, _otso, न्तस, mčić_, 
   {{0x629d01a0,0x09ac0086,0x210100d0,0xc5f20033}},	//   _ntso, _খারা, lčić_, ঞাসা_, 
   {{0x56938f62,0xdb26009c,0x62878f63,0xdb0b00b9}},	//   таёт, _توهی, _nijo, _regè, 
   {{0x21010062,0x63a40aa7,0x1ddf0527,0x98568f64}},	//   nčić_, tbin, प्यत, _отиш, 
   {{0x628f8f65,0x644d8f66,0xb82a1cc1,0xdb0b011c}},	//   _buco, gnai, _фоиз_, _pegè, 
   {{0x4b7a0137,0x62878f67,0xdb0b3230,0x43432c77}},	// [8880] ַטעג, _bijo, _begé, ветв, 
   {{0x644d1232,0x210102fe,0xb5ca009c,0x62878f68}},	//   anai, kčić_, _بودم_, _cijo, 
   {{0x62878f69,0x2101090e,0x644d8f6a,0x629d0149}},	//   _dijo, jčić_, bnai, _etso, 
   {{0xa7fb0496,0x28c51ad9,0xcf460235,0x644d1197}},	//   poñe, _विनि, мней, cnai, 
   {{0x62878f6b,0x987b0070,0x628f007c,0xdd92009c}},	//   _fijo, קאנט, _guco, نوش_, 
   {{0x62878f6c,0xf1dd89a8,0x44320054,0x14e20110}},	//   _gijo, न्दन, lhy_, _पहाण, 
   {{0x216770c3,0x00000000,0x00000000,0x00000000}},	//   _жири_, --, --, --, 
   {{0x44328f6d,0x628700b4,0x00000000,0x00000000}},	//   nhy_, _zijo, --, --, 
   {{0x984600e0,0x998c0097,0x3c4305d5,0x22a9009e}},	//   _dēļ_, ridž_, _sèvè_, mîkî_, 
   {{0x210100ca,0x4d762f67,0x22a9009e,0xe7e10249}},	//   bčić_, _قطار, lîkî_, ग्ना_, 
   {{0xa3c0215e,0xa3ce00a2,0x2d8c0082,0x67d55a3d}},	//   ीला_, रला_, _igde_, нону, 
   {{0x699e000d,0x26cb8f6e,0x2b40090e,0x22a90218}},	//   _ख्री, tuco_, _žicu_, nîkî_, 
   {{0xa7744ba5,0x2ba400c6,0x44321ec3,0x63af0df4}},	//   ключ, _ग्या, dhy_, _recn, 
   {{0x68fc8f6f,0x26d90a9f,0xb8f40086,0x764e447c}},	//   årds, rtso_, _হন_, gnby, 
   {{0x236d00ef,0x63af0588,0x628f8f70,0x644d8f71}},	//   _šej_, _pecn, _suco, tnai, 
   {{0x62878f72,0x4432045a,0xc299085c,0xdb0b010e}},	//   _sijo, ghy_, зках_, _segé, 
   {{0xf48414d3,0x65956eb6,0x62878f73,0x8c1b00d1}},	// [8890] турн, _папу, _pijo, קומי, 
   {{0x644d265c,0x44320180,0x416b0bad,0x00000000}},	//   snai, ahy_, ојем_, --, 
   {{0x62878f74,0xc5f200d1,0x22a9009e,0x21673505}},	//   _vijo, _גדי_, fîkî_, фтаг, 
   {{0x443229b1,0x2101090b,0x628f0082,0x2d8c8f75}},	//   chy_, včić_, _tuco, _agde_, 
   {{0x28c50a09,0x62878740,0xceeb00d4,0x629d8f76}},	//   _विभि, _tijo, تران_, _utso, 
   {{0x44298f77,0x787602aa,0x7a2405d5,0x999e00d8}},	//   lka_, máve, _fòti, ditů_, 
   {{0x44298f78,0x78768f79,0x7a24022c,0x291800c2}},	//   oka_, láve, _gòti, äral_, 
   {{0xa3d70b79,0x21010704,0x2cac01d2,0x09c70110}},	//   _साफ_, rčić_, _dwdd_, लल्य, 
   {{0x44298f7a,0x78760165,0x682618aa,0x00000000}},	//   ika_, náve, _wódk, --, 
   {{0xe9d90fa7,0xa2c202e6,0x210108e3,0x6ec40249}},	//   чко_, _लिस्, pčić_, _रितु, 
   {{0x68468f7b,0x44298f7c,0x186a1853,0x00000000}},	//   енна, kka_, зани_, --, 
   {{0x4429034c,0x787602d9,0xdb350165,0xdce80243}},	//   jka_, káve, _пеењ, _uzdā, 
   {{0xbbbd00a2,0x44298f7d,0x7c298f7e,0x787602aa}},	//   ोलीक, dka_, mker, jáve, 
   {{0x44298f7f,0x78766c8e,0x22a9010c,0xf65200eb}},	//   eka_, dáve, zîkî_, ائح_, 
   {{0x7c298f80,0xa9664dd5,0x787602be,0x00000000}},	//   oker, _пиша_, eáve, --, 
   {{0x44298f81,0x1ddf00a2,0x3f8d8f82,0x00000000}},	//   gka_, प्तत, _ngeu_, --, 
   {{0x7c290265,0x28c500ab,0x78760165,0x0206286c}},	// [88a0] iker, _विडि, gáve, нзан, 
   {{0x44298f83,0xe1f78f84,0x5efe00bd,0x7a2405d5}},	//   aka_, нгу_, लिस्_, _dòtw, 
   {{0x7c2985e7,0x44328f85,0x22a90218,0x1dc9058c}},	//   kker, phy_, tîkî_, _राजत, 
   {{0x44298f86,0x7c298f87,0xbe8a0886,0x768b0035}},	//   cka_, jker, пске_, _użyc, 
   {{0x68260b85,0x5fd10081,0xc8ec29b0,0x63b6390a}},	//   _códi, _हारल, _जन्म_, mayn, 
   {{0x80db0086,0x7c298f88,0x3ead03a0,0x3f8d00b9}},	//   ণিজ্, eker, _dwet_, _egeu_, 
   {{0x3da502fb,0xa3d70c14,0x0fe20161,0x22a9009e}},	//   тріб, _साम_, _бөлү, pîkî_, 
   {{0x7c298f89,0x3ead0237,0xfaa68e6c,0x661e0caf}},	//   gker, _fwet_, ншон, _lopk, 
   {{0x645a010c,0xa3ce00bc,0x3ea600a3,0x661e8f8a}},	//   îtiy, _राई_, _чизг, _oopk, 
   {{0x44298f8b,0x7c298f8c,0x7a2d020b,0x00000000}},	//   zka_, aker, _púta, --, 
   {{0x4429006a,0x787602aa,0xaac217f6,0x63b6403b}},	//   yka_, záve, _शिवक, kayn, 
   {{0x63b60175,0x2fc000eb,0x7c298f8d,0x442901f1}},	//   jayn, óigh_, cker, xka_, 
   {{0x63b6012b,0x661e0026,0xfaa36d82,0x5a4600d9}},	//   dayn, _bopk, _бачо, _пэка, 
   {{0x442900ab,0x78768f8e,0xaa57007a,0x00000000}},	//   wka_, váve, _كلنا_, --, 
   {{0x68260118,0x2bf40299,0x00000000,0x00000000}},	//   _nódw, _आसां_, --, --, 
   {{0x44298f8f,0xd6db0f9c,0x63b68f90,0x787602a0}},	//   uka_, _ето_, gayn, táve, 
   {{0x78ba8f91,0xa3d704b7,0x07f8091d,0x3e69039f}},	// [88b0] lstv, _साठ_, _سريع_, súti_, 
   {{0x78768f92,0x7c298f93,0x51f835bf,0x2296055f}},	//   ráve, zker, нную_, _dæk_, 
   {{0x78ba00d8,0x7fd50965,0x7c298f94,0x63b600a3}},	//   nstv, вілі, yker, bayn, 
   {{0x64488f95,0x3ead0c3d,0x764706df,0x68268f96}},	//   édit, _pwet_, lijy, _pódi, 
   {{0x141a1490,0xdb0b055f,0x7c298f97,0x00000000}},	//   _חורב, _udgø, vker, --, 
   {{0xf77400c7,0x78ba8f98,0x26144f69,0xd16700fd}},	//   נקס_, kstv, दायी_, _зъби, 
   {{0x7c298f99,0xf402002e,0x916500d4,0x28c508c6}},	//   tker, _faţă_, _شهره, _विधि, 
   {{0x5fd80ede,0xa3e702e6,0x3e72020f,0x00000000}},	//   _डायल, _मॉम_, râta_, --, 
   {{0x3ed90038,0xce9500c8,0x76474644,0x00000000}},	//   _زواج_, _разъ, kijy, --, 
   {{0x7c2943e5,0x63b609a5,0x28c5156c,0x00000000}},	//   sker, zayn, _विदि, --, 
   {{0x07a62cd7,0x2dd800eb,0x29032f09,0x78ba8f9a}},	//   канн, _سبلة_, íja_, gstv, 
   {{0x661e8f9b,0x201f3227,0x25aa0b4a,0x7e638f9c}},	//   _sopk, _joui_, कर्ण, lonp, 
   {{0xfc46026e,0x7c2e0216,0x2918004f,0xf65f373e}},	//   ších_, _îbra, ørar_, rræn_, 
   {{0xceb2181f,0x63b60118,0x7e632881,0x2c4c031e}},	//   שים_, wayn, nonp, vědi_, 
   {{0x78ba3a61,0x63b6040c,0xa7fb001d,0xfa880023}},	//   cstv, tayn, soña, _cừu_, 
   {{0x2ae50509,0x18a20013,0x6b9b8f9d,0xa7fb0042}},	//   _कहाँ_, _таъм, ncug, poña, 
   {{0xd46756c5,0xe1fa0623,0x63b63633,0x7e638f9e}},	// [88c0] тите_, мга_, rayn, konp, 
   {{0xa3d70da6,0x229601cc,0x7d088f9f,0x200d6341}},	//   _साथ_, _væk_, _jérô, _anei_, 
   {{0x64a68fa0,0x3e692c7d,0x6abe017d,0x200d025b}},	//   _шана, nútu_, _एट्र, _bnei_, 
   {{0xc95200d1,0xd91a00c7,0x00000000,0x00000000}},	//   סמא_, וועל, --, --, 
   {{0x78ba026e,0x200d107c,0x66f4176c,0x00000000}},	//   zstv, _dnei_, ेटिक_, --, 
   {{0x71a303dc,0x78ba00fb,0x00000000,0x00000000}},	//   _варз, ystv, --, --, 
   {{0x32432067,0x61fc8fa1,0x4bc400b9,0x614671ca}},	//   _терг, _iarl, гөлг, _рева, 
   {{0x61fc6b7e,0xdfd200eb,0x7a2d0019,0xab866794}},	//   _harl, _خير_, _búto, купк, 
   {{0x61fc8fa2,0xa3e4031e,0x1e868fa3,0x45180033}},	//   _karl, प्य_, _алам, ঠনিক_, 
   {{0x68260952,0x78ba0e39,0x61fe8fa4,0x61fc30b6}},	//   _módu, tstv, ndpl, _jarl, 
   {{0x3ea68fa5,0x02de00b0,0x2d9e0027,0xd9170080}},	//   lpot_, नझुन, _ifte_, вья_, 
   {{0xa3ce271a,0xa3d70d4f,0x6d5a0126,0x9b430499}},	//   _राग_, _साध_, _ixta, انیو, 
   {{0x6f028fa6,0x682620ac,0x3ea60300,0x8cca059e}},	//   nvoc, _nódu, npot_, संको, 
   {{0x78ba11ed,0x6f0265f9,0xa4d50c8b,0x672002ae}},	//   pstv, ivoc, логі, ämja, 
   {{0xfa770056,0xa3ce8fa7,0x9732010e,0xa3d700f4}},	//   _שעות_, _राख_, لکیا, _साद_, 
   {{0x7876026e,0x3c31014b,0x54543a8d,0x61fe123b}},	//   rávc, _káva_, авст, edpl, 
   {{0x2d9e0bf7,0x61fc2265,0x33751297,0xa85800d1}},	// [88d0] _ofte_, _barl, угар, _שיחה_, 
   {{0x61fc8fa8,0xdb008fa9,0x41b50038,0xd49b00b3}},	//   _carl, lamó, امار, _орм_, 
   {{0x61fc8faa,0xdb0b0086,0x7876247e,0x3ea601d2}},	//   _darl, _regí, láva, epot_, 
   {{0xdb0b006b,0x61fc00a7,0x28c500c2,0x2d9e1050}},	//   _segí, _earl, _विसि, _afte_, 
   {{0x6d5a06d0,0x78768fab,0xc6950070,0x00000000}},	//   _axta, náva, נאַ_, --, 
   {{0x7bc28fac,0x61fc09f5,0x9f4f021e,0x00000000}},	//   _adou, _garl, legë_, --, 
   {{0xeb998fad,0x7e638fae,0x7876797f,0x8c450a31}},	//   ний_, ronp, háva, леке, 
   {{0x200d0012,0x7876135a,0xdb0b0165,0x7e638faf}},	//   _unei_, káva, _negã, sonp, 
   {{0x05d309ef,0x9d230033,0x28c51a21,0x5ac60cfe}},	//   _तांब, বছেন_, _विहि, глым_, 
   {{0x787608d7,0x7bc28fb0,0x3c310228,0x6b9b02a3}},	//   dáva, _edou, _dáva_, scug, 
   {{0x2ba40551,0x6abb01b3,0x00000000,0x00000000}},	//   _ग्वा, ssuf, --, --, 
   {{0x1ddf0598,0x2c090035,0x6e218fb1,0xb8eb3cae}},	//   प्रत, वाओं_, _holb, _लि_, 
   {{0x28c50a0e,0x09e50925,0x6e2143a8,0x44f5031e}},	//   _विवि, _болн, _kolb, _ať_, 
   {{0x38698fb2,0xaf760070,0x6e210604,0x9f4f019c}},	//   _ekar_, טערס_, _jolb, tegê_, 
   {{0x6e210704,0x69c3031e,0x69d800a2,0xa7fb0183}},	//   _molb, _idne, _माती, coño, 
   {{0x04432cc3,0x61fc8fb3,0x24800588,0x78768fb4}},	//   бесн, _sarl, umim_, báva, 
   {{0x24802182,0x9f4405d5,0x11e60259,0x4fc600a3}},	// [88e0] rmim_, _lamò_, лжам, ҳсла, 
   {{0xf1a909e8,0x290710b6,0x248003e8,0xdb0b00b9}},	//   نامه_, _krna_, smim_, _megà, 
   {{0x3ebf0012,0x61fe0c17,0xa2e3004e,0x19b600c7}},	//   _avut_, rdpl, _қорд, רפער_, 
   {{0x6aad0529,0x68fc055f,0x6f0201d2,0x3ea63eb7}},	//   _ħafn, ærdi, tvoc, tpot_, 
   {{0x6e211286,0x61fc8fb5,0xc7d700a7,0x785200e0}},	//   _bolb, _tarl, רוני_, tāvj, 
   {{0x6e218fb6,0xccfa0886,0x44228fb7,0x3ea6040b}},	//   _colb, ећи_, _hok_, rpot_, 
   {{0x6aa23667,0x44228fb8,0xf8c52369,0xe807000d}},	//   _stof, _kok_, _विषय, षयमा_, 
   {{0x628e5342,0x69c300f8,0x3b0602f1,0x6826010e}},	//   _hibo, _adne, _proq_, _móds, 
   {{0x5a348c8f,0xa3d704bd,0x29078fb9,0xa3dc00a5}},	//   инит, _सास_, _arna_, _ठान_, 
   {{0xa3e400ea,0xa2d511bd,0x2ba407d5,0x44228fba}},	//   प्त_, यंत्, _ग्रा, _lok_, 
   {{0x8d9317c1,0x44221f3e,0x290700f1,0x1be60c67}},	//   _المش, _ook_, _crna_, _бўлг, 
   {{0x628e8fbb,0x44221341,0x69c380d6,0x78768fbc}},	//   _libo, _nok_, _edne, táva, 
   {{0xa3ce0f01,0x29078fbd,0x56950097,0xdb00658c}},	//   _राज_, _erna_, рагт, ramó, 
   {{0x7c228fbe,0x78766d33,0x44228fbf,0x628e8fc0}},	//   _hoor, ráva, _aok_, _nibo, 
   {{0x44225398,0x78768fc1,0x7a3600d9,0x55588fc2}},	//   _bok_, sáva, _câte, гаря_, 
   {{0x442201f0,0x26de00d9,0x78762c26,0x628e00b4}},	//   _cok_, ător_, páva, _aibo, 
   {{0x442203ef,0x7c228fc3,0x628e8fc4,0xf1a74854}},	// [88f0] _dok_, _moor, _bibo, грен, 
   {{0x628e8fc5,0x644602fe,0x7d080d17,0x6aa4021e}},	//   _cibo, _emki, _ords, _çifu, 
   {{0x645a1408,0x44228fc6,0x628e8fc7,0xdb0b0019}},	//   étic, _fok_, _dibo, _megá, 
   {{0x7c226f69,0xe8d7042c,0x6e210cac,0x72d51033}},	//   _noor, רואר_, _solb, _комф, 
   {{0x6e218fc8,0x44c100e4,0x27e96d7a,0xb3ba00a7}},	//   _polb, lė_, _mban_, _במרכ, 
   {{0x7d08090b,0xdb0b1c62,0xa1940148,0x628e8fc9}},	//   _brds, _negá, _гарч, _gibo, 
   {{0x44c100e4,0x44228fca,0xa3dc451b,0x7c220d2d}},	//   nė_, _yok_, _ठाम_, _boor, 
   {{0x63ad8fcb,0x9c2501a2,0x628e8fcc,0x62800036}},	//   nban, рдид, _zibo, _èmor, 
   {{0x29070112,0x78a419e2,0x63ad64ca,0xeab6001c}},	//   _srna_, _čiva, iban, айы_, 
   {{0x44c100e4,0x4a4568d9,0x27e90065,0x3201016a}},	//   kė_, рнов, _aban_, ndhy_, 
   {{0x7c22088f,0x8e840084,0x63ad8fcd,0x6d560218}},	//   _foor, _الله, kban, şyar, 
   {{0x7bc7012d,0x44c1012d,0x7c22039b,0xdb1b0369}},	//   ėjus, dė_, _goor, sguñ, 
   {{0xf7720e61,0x290702cd,0xeb8e1de7,0x2bab031e}},	//   تاد_, _wrna_, _фи_, _ट्या, 
   {{0x44228fce,0xbb3a03e1,0x63ad8fcf,0x27e901f1}},	//   _sok_, _בעני, eban, _eban_, 
   {{0x628e8fd0,0x4422005f,0x89da00a7,0x44c1012d}},	//   _ribo, _pok_, _יחסי, gė_, 
   {{0x63ad1a71,0x6f098fd1,0x628e8fd2,0x00000000}},	//   gban, _orec, _sibo, --, 
   {{0x6aa48fd3,0xe2976c7d,0x967600e4,0xc2460267}},	// [8900] _çift, иат_, _выні, анак, 
   {{0x63ad8fd4,0x154602a6,0xb77b0486,0x8cd60249}},	//   aban, _веом, _באפש, _यमलो, 
   {{0xe0da8fd5,0xeaf204bd,0x44228fd6,0x628e8fd7}},	//   тве_, _अन्त_, _tok_, _vibo, 
   {{0x35dc05d2,0x6f098fd8,0x628e8fd9,0xaf060a10}},	//   _बाड़, _brec, _wibo, ипел, 
   {{0x6f09128a,0x628e8fda,0xe7e802f8,0x7c228fdb}},	//   _crec, _tibo, ट्या_, _roor, 
   {{0x7c226acc,0x6f098fdc,0x7d000019,0x78760032}},	//   _soor, _drec, járá, kávo, 
   {{0x7c228fdd,0xdb0b014b,0xdd99004e,0x2ce80499}},	//   _poor, _regá, уші_, اظتی_, 
   {{0x64568fde,0x6f097446,0x69d800a2,0xf65f02c9}},	//   nnyi, _frec, _माही, træk_, 
   {{0x7c222f44,0x27e902a2,0xadba0038,0x35dc034d}},	//   _voor, _rban_, _لهذا_, _बाढ़, 
   {{0x7c220e47,0x9d461b17,0x5a342f7d,0xc98601d7}},	//   _woor, _кезд, снот, иуни, 
   {{0xa3d70d0d,0x787608d7,0xdca3479e,0xc9140086}},	//   _साल_, rávn, _дахи, ান্ত_, 
   {{0x44c1012d,0x63ad3fdf,0x3e7b0107,0x7a2d463c}},	//   vė_, xban, rête_, _lúth, 
   {{0x63ad03c5,0x787d039f,0x24870237,0x00000000}},	//   vban, jéve, _ènmi_, --, 
   {{0x44c100e4,0xa3e42c64,0x59dd059e,0x27ff0455}},	//   tė_, प्स_, _मायर, žun_, 
   {{0x3a7b0070,0x9f4f011c,0x00000000,0x00000000}},	//   _שטוד, regé_, --, --, 
   {{0x27e90bc1,0x44c10009,0xe3b32300,0x6456010e}},	//   _uban_, rė_, ترس_, gnyi, 
   {{0x63ad86bc,0x44c1012d,0x98ab0035,0x925902a0}},	// [8910] rban, sė_, ącą_, гаат_, 
   {{0xe7e8006a,0x44c1012d,0xa6e3003e,0x63ad8fdf}},	//   ट्ठा_, pė_, óður, sban, 
   {{0x2614190a,0x6f0900f1,0x9258069b,0x63ad62e5}},	//   दारी_, _srec, шафт_, pban, 
   {{0xe3b84c4c,0x785201dd,0x7d00010e,0xc43500d7}},	//   _ключ_, tāvi, zárá, _اکست, 
   {{0x6da52c73,0x644d8fe0,0x59c6009a,0x7a2d007a}},	//   била, miai, लणार, _fúth, 
   {{0x644d8fe1,0x14b8017a,0xed590e65,0x6f090228}},	//   liai, _حدیث_, лол_, _vrec, 
   {{0x6f090156,0x30a408bd,0x7d00039f,0x7c943ee7}},	//   _wrec, _мртв, várá, орыц, 
   {{0x6f090012,0x644d8fe2,0x628501be,0x80cc02e6}},	//   _trec, niai, lmho, _हिते, 
   {{0x6f0900d9,0x7a2403a0,0x7d004e58,0x00000000}},	//   _urec, _pòtp, tárá, --, 
   {{0x6ce702fb,0xe8f96ebe,0x644d8fe3,0x7876010e}},	//   _віде, гло_, hiai, távo, 
   {{0xa3d7190a,0x69d800b0,0x644d02f3,0x999e0009}},	//   सला_, _मारी, kiai, entų_, 
   {{0x9b9500eb,0x628501f5,0x2bdd00c2,0x78760098}},	//   _الإت, hmho, क्खू_, rávo, 
   {{0xbb850084,0x7c3b8fe4,0x64568fe5,0x644d8fe6}},	//   _الشي, mhur, vnyi, diai, 
   {{0xa87900b9,0xe5a30148,0x35a3466f,0x3c38039f}},	//   лөөт_, зири, зарг, _véve_, 
   {{0x64a6538b,0x2ba6031e,0xe643552c,0xc98700b3}},	//   саба, síců_, черп, _туди, 
   {{0x64a62971,0x644d8fe7,0x7c3b8fe8,0x2c610032}},	//   _қама, giai, nhur, tódy_, 
   {{0xd3b90904,0x64568fe9,0xa06a6bcc,0x624b0083}},	// [8920] русі_, rnyi, қада_, rżon, 
   {{0x26c216ef,0x682d010c,0xf772039f,0x787d8fea}},	//   msko_, _rûdi, _واک_, réve, 
   {{0x787d0019,0x30764927,0x2bf98feb,0x764e4360}},	//   séve, будс, ्यां_, miby, 
   {{0x644d8fec,0x7c3b0026,0xdb008fed,0x764e50d0}},	//   ciai, jhur, mamö, liby, 
   {{0x26c20c7e,0x44320076,0x7c3b8fee,0x2f185cc5}},	//   nsko_, mky_, dhur, роль_, 
   {{0x4432035e,0x40968fef,0x50960886,0x764e0156}},	//   lky_, _грат, _грађ, niby, 
   {{0x1619000f,0xdc110086,0x44200009,0x44328ff0}},	//   दातर_, িউনস_, oji_, oky_, 
   {{0x44328ff1,0x93c50210,0x3897107c,0x00000000}},	//   nky_, _ngắ, _gări_, --, 
   {{0x26c216ef,0x9b6a8ca1,0x443200a9,0x9b585018}},	//   jsko_, ышка_, iky_, рипт_, 
   {{0xc15b0216,0xdee31d06,0x7a360106,0x00000000}},	//   _çîçe, _хофи, _bâta, --, 
   {{0x290a0165,0xe3bf0183,0x7c330068,0xd7f500c8}},	//   íba_, _loña_, ñerá, озны, 
   {{0x4432026e,0xdb0b014e,0x44208ff2,0xdb003e1c}},	//   jky_, _begä, jji_, damö, 
   {{0x443208d7,0x44208ff3,0x7c6500eb,0x95cb03b7}},	//   dky_, dji_, _بالل, лува_, 
   {{0x4420012d,0x68fc02c9,0x645a0151,0x9aa4009c}},	//   eji_, ærds, étin, _همچو, 
   {{0x94a80a31,0x644d8ff4,0x443200da,0xdb19009e}},	//   йтта_, tiai, fky_, _newê, 
   {{0x442000e5,0xb4e91933,0x26c21fe0,0x36d51cc1}},	//   gji_, _यही_, bsko_, _доир, 
   {{0x644d8ff5,0x91b91fbd,0xe3bf033c,0x249a8ff6}},	// [8930] riai, игат_, _coña_, _eupm_, 
   {{0x44202083,0x644d8ff7,0xe3bf0634,0x443b3db2}},	//   aji_, siai, _doña_, shq_, 
   {{0x43952aaf,0x44320076,0xdce8031e,0x44208ff8}},	//   _манс, bky_, _vzdě, bji_, 
   {{0x44200da6,0x44328ff9,0x6a6f00fb,0x2e2b00fb}},	//   cji_, cky_, løft, _løft_, 
   {{0x44390518,0x9f0500eb,0xf2070726,0xcee82f67}},	//   _ils_, توشو, _ляво, مرون_, 
   {{0x4ac2009a,0xdb0000c2,0x00000000,0x00000000}},	//   _शिजव, namõ, --, --, 
   {{0xfe7000c5,0x7c3b8ffa,0x4439016a,0x40354867}},	//   رده_, thur, _kls_, _девс, 
   {{0x26c26a39,0x3cfe8ffb,0xeb991a57,0x00000000}},	//   ysko_, _dstv_, шии_, --, 
   {{0xb4d60f63,0xc052035c,0x7c3b13b3,0x7c43032f}},	//   _सम्_, _חזן_, rhur, _ćurč, 
   {{0x7c3b8ffc,0x44320076,0x44208ffd,0x26c28ffe}},	//   shur, zky_, zji_, vsko_, 
   {{0x9d551666,0x261d17dc,0x26c20035,0x35d30035}},	//   _بنات, मानी_, wsko_, _ताज़, 
   {{0x186a1d3c,0xa4140033,0x69da10f3,0x2a6e00b4}},	//   рами_, _সত্য_, agte, _ekfb_, 
   {{0x4432294c,0x28c52369,0x44208fff,0xdb0b37b4}},	//   vky_, _विकि, vji_, _begå, 
   {{0x44399000,0x80ca0033,0x4420095a,0x5a640259}},	//   _als_, _রহস্, wji_, _екіб, 
   {{0x44324730,0xa2c2000d,0x764e9001,0xf1dd000d}},	//   tky_, _लिङ्, riby, न्छन, 
   {{0xd5dc05fd,0xe3bf0042,0x7bdb9002,0x00000000}},	//   _बावज, _poña_, nguu, --, 
   {{0x44209003,0x44320076,0x42267ff8,0xb2260837}},	// [8940] rji_, rky_, одав, омал, 
   {{0x44391f1d,0x443208d7,0x442000ab,0x6aa400eb}},	//   _els_, sky_, sji_, _éife, 
   {{0x10a69004,0x44320076,0x44209005,0x44399006}},	//   циен, pky_, pji_, _fls_, 
   {{0xa2a2000f,0x7876026e,0x23e103c1,0x4f0a00d3}},	//   _कंप्, dávk, _फायद, инен_, 
   {{0x69da055f,0xa25b0228,0x5f0603dd,0x7e6a32aa}},	//   ygte, _kvôl, юзда, tofp, 
   {{0x614600cf,0x63a49007,0xeca60267,0x24610028}},	//   _дега, lcin, ојин, rėme_, 
   {{0x672f00ab,0x61ee01f2,0x5efe05ff,0x7afb02a5}},	//   zycj, _ibbl, लिङ्_, ewut, 
   {{0x3cfe02fe,0x7a2d9008,0xa7fb0068,0x2fda0444}},	//   _vstv_, _mútu, poñi, _خورد_, 
   {{0x63a49009,0x6a7400b9,0x00000000,0x00000000}},	//   icin, làfi, --, --, 
   {{0xcdc500f0,0x200412ed,0x298a56eb,0x200601ca}},	//   _науқ, _hami_, исно_, ldoi_, 
   {{0x20043ac2,0x63a4900a,0xc27b00c7,0x69da900b}},	//   _kami_, kcin, שריי, rgte, 
   {{0x63a400d2,0x2004900c,0x2006900d,0x6e2800ef}},	//   jcin, _jami_, ndoi_, _hodb, 
   {{0x61ee7052,0x7bc0900e,0x78ad13b0,0xe7e100c2}},	//   _obbl, mamu, _čave, ग्गा_, 
   {{0x7bc0900f,0x20049010,0x63a400e0,0xddda010e}},	//   lamu, _lami_, ecin, _kitű, 
   {{0x65949011,0x63a400ef,0x27e001be,0x6e280b41}},	//   дару, fcin, _fcin_, _modb, 
   {{0x320d091f,0x20049012,0x7bc09013,0x2aa00300}},	//   _şey_, _nami_, namu, _kòb_, 
   {{0x2aa003a0,0xa3dc009a,0x00000000,0x00000000}},	// [8950] _jòb_, _ठार_, --, --, 
   {{0x7bc09014,0x290e0082,0xdb190118,0x63a49015}},	//   hamu, _krfa_, _dewè, acin, 
   {{0x7bc09016,0x31c42bdc,0x26d99017,0x20049018}},	//   kamu, ьств, luso_, _bami_, 
   {{0x20049019,0x7bc0901a,0xa29503bd,0x6e3a54b4}},	//   _cami_, jamu, _намі, _altb, 
   {{0xdefb030f,0x81e700cc,0x63bd002a,0x7bc00204}},	//   рые_, _মোঃ_, _iesn, damu, 
   {{0x46d30081,0x9e3408ab,0xdcef0ab4,0x6da545b6}},	//   _तिनह, мечч, šečl, чика, 
   {{0x6605901b,0x2004540e,0xa158901c,0xe3bf00b4}},	//   _mahk, _fami_, _дару_, _joño_, 
   {{0x6605901d,0x629d901e,0x7bc00204,0x69ca901f}},	//   _lahk, _kuso, gamu, _adfe, 
   {{0x768b006a,0x6e2801cc,0x629d9020,0x3da70093}},	//   _używ, _fodb, _juso, _дреб, 
   {{0x2bab0c94,0x629d9021,0x63bd9022,0x26d99023}},	//   _ट्रा, _muso, _lesn, duso_, 
   {{0x2004023e,0x60c5024a,0x7bc09024,0x629d9025}},	//   _yami_, nshm, bamu, _luso, 
   {{0xa3d70f65,0x248900ef,0x26d921bd,0x7bc0788e}},	//   _साग_, jmam_, fuso_, camu, 
   {{0x660574a6,0xdb0b0019,0x7876014b,0x60c50034}},	//   _bahk, _legú, návi, hshm, 
   {{0x8b05006a,0x62959026,0xd94561b0,0x60c500e5}},	//   _częś, _nizo, _нели, kshm, 
   {{0x69c19027,0xe3bf0bf1,0x60c500e5,0x63bd9028}},	//   male, _coño_, jshm, _besn, 
   {{0x69c19029,0x629d902a,0x26d9902b,0x27e00175}},	//   lale, _buso, buso_, _ucin_, 
   {{0x63a4400b,0x62950019,0x60c500e5,0xe29f008c}},	// [8960] rcin, _bizo, eshm, _yrði_, 
   {{0x69c1902c,0x7bc02847,0x63a4902d,0x60c50034}},	//   nale, zamu, scin, fshm, 
   {{0x6d43003a,0x2004902e,0x7bcb00d2,0x7bc01b1c}},	//   jzna, _pami_, _odgu, yamu, 
   {{0x69c1902f,0x38a10084,0x63bd9030,0x6e28008b}},	//   hale, _mór_, _gesn, _sodb, 
   {{0x7bc00077,0x629d024d,0x20045d2e,0x62959031}},	//   vamu, _guso, _vami_, _fizo, 
   {{0x69c19032,0x62950a9f,0xdd90006b,0x7bc06a72}},	//   jale, _gizo, نڈا_, wamu, 
   {{0x69c19033,0x7bc09034,0x2ee69035,0x60261211}},	//   dale, tamu, stof_, _едва, 
   {{0x629d0348,0xb0d100a2,0xf8c51276,0x6295016c}},	//   _yuso, _हितग, _विजय, _zizo, 
   {{0x7bc09036,0x69c10751,0x2a6c017b,0x2d969037}},	//   ramu, fale, todb_, _ерес, 
   {{0x7bc09038,0x7f3b00a7,0x3860040c,0xf1c30210}},	//   samu, _העמו, _ajir_, _nhờ_, 
   {{0x7bc01041,0x26d90532,0xa3dc2221,0xd90e00d7}},	//   pamu, wuso_, ठला_, ایب_, 
   {{0x31571490,0x66059039,0x7d7b00c7,0xe7e80ead}},	//   ליין_, _sahk, _פראג, ट्ला_, 
   {{0x69c1903a,0x63bd12cb,0xe3bf03da,0x4734373a}},	//   bale, _resn, _soño_, еняс, 
   {{0x69c1903b,0x38a1010d,0xe3bf0068,0xe45f3096}},	//   cale, _fór_, _poño_, _sjö_, 
   {{0x776403da,0x26d951f1,0x7876026e,0x63bd903c}},	//   _exix, suso_, závi, _pesn, 
   {{0x26d9903d,0x629d903e,0xab5d00ab,0xdb0b0068}},	//   puso_, _puso, saże, _regú, 
   {{0xdb0b0a5e,0x2489903f,0x63bd21de,0x66059040}},	// [8970] _segú, rmam_, _vesn, _tahk, 
   {{0x60c500e5,0x4ad40d7c,0xddc30187,0xaad4176c}},	//   tshm, _दिनव, konš, _दिनक, 
   {{0x63bd9041,0x787d0107,0x24890241,0xe3b0010e}},	//   _tesn, névo, pmam_, ئرہ_, 
   {{0x69c19042,0x60c500e5,0x629d0547,0xe0d0030e}},	//   zale, rshm, _tuso, ازل_, 
   {{0xe80e03be,0x69c19043,0xd7db00c9,0x60c59044}},	//   ियता_, yale, _भाईच, sshm, 
   {{0x442b001b,0x7876014b,0x69d8009a,0x69c10151}},	//   _hoc_, rávi, _मागी, xale, 
   {{0xc21200a7,0x60c5021e,0x00000000,0x00000000}},	//   _בהם_, qshm, --, --, 
   {{0x442b22ef,0x26c90054,0x2cac0108,0x2ef5017b}},	//   _joc_, _ovao_, _dtdd_, _озбр, 
   {{0xe82111bd,0x69c13baf,0x442b9045,0xa3e5051f}},	//   याना_, tale, _moc_, _नान_, 
   {{0x442b0012,0x38a19046,0x05dc000d,0x3da79047}},	//   _loc_, _pór_, _बाइब, _храб, 
   {{0xd94518ea,0x26c90379,0xa25b0054,0xda1f009a}},	//   фени, _avao_, _avôk, बाबत_, 
   {{0x69c19048,0x442b1151,0x7a2405d5,0x6d5f0248}},	//   sale, _noc_, _mòty, şqas, 
   {{0xa3d70c15,0x260a02e6,0x9874107c,0x00000000}},	//   _साज_, ायली_, _aţă_, --, 
   {{0x69c10c45,0x7ae99049,0xf1ba00e7,0x7a3f904a}},	//   qale, mtet, ươi_, _bête, 
   {{0x6a7d00d3,0xd4f50b58,0x442b904b,0x1de0109f}},	//   lèfo, няты, _boc_, _नासत, 
   {{0x998300e4,0x26c40019,0x3ead0474,0x776400b4}},	//   ųjų_, ámos_, _otet_, _txix, 
   {{0x7ae9904c,0x7c2b012b,0xa2d5456f,0xf1e2109f}},	// [8980] ntet, _mogr, यंग्, _पादन, 
   {{0x7c2b128a,0x7ae9904d,0x7a3f026a,0x2fcd904e}},	//   _logr, itet, _fête, _adeg_, 
   {{0x361b0137,0x442b0fb4,0x26c904d1,0x7ae95477}},	//   _וויד, _foc_, _zvao_, htet, 
   {{0xdfcf0084,0x7ae970a8,0x3c31014b,0x7c2b0243}},	//   ليم_, ktet, _kávu_, _nogr, 
   {{0xbefa0a24,0xbea3904f,0x7ae90019,0xe7e61567}},	//   تراض_, вачк, jtet, _काना_, 
   {{0x768b0da6,0x2d9a00dd,0x0caa9050,0xddf200f0}},	//   _użyt, øpe_, отии_, токө, 
   {{0xa3e551c8,0xe821000d,0x16db185c,0xe2977144}},	//   _नाम_, यामा_, _बम्ब, _цар_, 
   {{0x09c600a2,0x442b022c,0x7ae99051,0x2be3009a}},	//   लण्य, _xoc_, ftet, _गाणं_, 
   {{0xae1e0367,0x78ad0372,0x1ec700a3,0xe7f44801}},	//   पादन_, _čava, _олти_, ेजना_, 
   {{0x1e831e0a,0x00000000,0x00000000,0x00000000}},	//   _алум, --, --, --, 
   {{0x6d5f09c7,0x7ae99052,0x7c2b2e31,0x00000000}},	//   şqar, atet, _fogr, --, 
   {{0x7c2b023e,0xe7871ef0,0x00000000,0x00000000}},	//   _gogr, дуго, --, --, 
   {{0x5b3603b1,0x6ec11f9a,0xf1de0299,0x8c110033}},	//   _تعار, रीपु, मलान, িউশন_, 
   {{0x6b82008b,0x7a3f0216,0x442b832e,0x00000000}},	//   _izog, _pête, _soc_, --, 
   {{0x442b00d3,0x56949053,0x00000000,0x00000000}},	//   _poc_, тарт, --, --, 
   {{0x7a3f026a,0x7c2b0068,0x443d0035,0x2c170083}},	//   _vête, _xogr, ów_, थाएं_, 
   {{0x442b9054,0xf62b004e,0x7d1c01d5,0x00000000}},	// [8990] _voc_, _діни_, _ársf, --, 
   {{0x7a3f0107,0x6b82025b,0x7a240118,0xe4a79055}},	//   _tête, _mzog, _pòty, _ормо, 
   {{0x7ae92434,0xb06b9056,0x442b0656,0xf77000d7}},	//   ztet, ордж_, _toc_, _مای_, 
   {{0x7ae91fea,0x644800d3,0x442b9057,0x765503a0}},	//   ytet, èdit, _uoc_, lizy, 
   {{0x7c2b0096,0x6b820610,0x00000000,0x00000000}},	//   _rogr, _nzog, --, --, 
   {{0xa3cd02e6,0x7c2b9058,0x518703a1,0x00000000}},	//   रणव_, _sogr, _жуба, --, 
   {{0xdfd50088,0xdb1b0183,0xba3d00bc,0x6b82016c}},	//   _повы, rauí, způs, _azog, 
   {{0x9b056c7e,0xfd6500e7,0xdde9009c,0x9f5f019c}},	//   езид, _khuẩ, ترچه_, _cauã_, 
   {{0xed580187,0x24990126,0x3ead9059,0x7ae900c8}},	//   _veľa_, _mism_, _utet_, utet, 
   {{0x7ae9905a,0x3b8200d3,0xe29f003e,0x3b0d021e}},	//   rtet, ылыг, _urðu_, rveq_, 
   {{0x7ae9905b,0x61e1010d,0x291171f4,0x7c2b905c}},	//   stet, _öllu, íza_, _togr, 
   {{0x39580038,0x24990121,0x00000000,0x00000000}},	//   úrsa_, _nism_, --, --, 
   {{0x7655905d,0xb6a302f1,0x628700e2,0x00000000}},	//   fizy, лиял, _ohjo, --, 
   {{0xceb2905e,0x6a85040c,0x00000000,0x00000000}},	//   רים_, _ялла, --, --, 
   {{0xa80605b7,0x00000000,0x00000000,0x00000000}},	//   _alış, --, --, --, 
   {{0x52aa0093,0x2af300b0,0xe82102e6,0x00000000}},	//   звам_, _अहाँ_, याणा_, --, 
   {{0x96965536,0xfd650029,0x9c82026e,0x69dc00ab}},	// [89a0] _прош, _chuẩ, íčin, óreg, 
   {{0xa3dc3081,0xe81400a5,0xc20a00b0,0x6287040c}},	//   _ठाक_, _तोता_, _होखब_, _chjo, 
   {{0x78ab002e,0x261d00c9,0xc6930147,0x00000000}},	//   _învă, मारी_, _גאז_, --, 
   {{0xe29a905f,0x41e200a2,0xa0679060,0xdfd200d4}},	//   _нам_, _पावस, наха_, ايش_, 
   {{0x64569061,0x0665009c,0x11d6017b,0xa3010259}},	//   miyi, _سایپ, _півр, _күте, 
   {{0x645640e5,0x20e000a2,0x21760009,0x09d50033}},	//   liyi, खंदळ_, _зубр, ত্তা, 
   {{0x320a0054,0x787600da,0xe7e60110,0x00000000}},	//   _iaby_, návs, _काढा_, --, 
   {{0xcd030080,0xab5d0083,0x64569062,0x00000000}},	//   учши, waża, niyi, --, 
   {{0xeaaf00d4,0x81e70086,0xda7a0009,0x6a7400b9}},	//   یعی_, _মোট_, зян_, dàfr, 
   {{0xc33300a7,0x5a3402c4,0x61fe9063,0xfe6d009c}},	//   טוח_, тнот, nepl, _وگو_, 
   {{0x76551fbc,0xab5d00ab,0x6fa40110,0x00000000}},	//   vizy, raża, _ओलां, --, 
   {{0xfaa69064,0x80d3333a,0x9cd702a1,0x415b0070}},	//   _задо, _डिसे, _טובה_, לדיג, 
   {{0x64440102,0x645606d0,0xe6673806,0x61fe004f}},	//   dhii, diyi, етво, kepl, 
   {{0x61fe2808,0x320a018c,0xb6041b69,0x7b0601dd}},	//   jepl, _naby_, ляск, ērtī, 
   {{0xe8210d95,0x5fd000a2,0x61fe9065,0x9f5f019c}},	//   यादा_, हणाल, depl, _mauá_, 
   {{0x60de085f,0x765506df,0x6aa20532,0x644400b3}},	//   dupm, sizy, _kuof, ghii, 
   {{0xc2999066,0x439501a2,0x2fc60495,0x7bc20118}},	// [89b0] дках_, таас, daog_, _meou, 
   {{0x6467026e,0x61fe5d4c,0x7a36026a,0x216700d9}},	//   _špič, gepl, _bâti, нтег, 
   {{0x65950aa3,0x64569067,0x41e21503,0x3f840104}},	//   _јану, biyi, _पारस, _azmu_, 
   {{0x64449068,0x26cb9069,0x00000000,0x00000000}},	//   chii, osco_, --, --, 
   {{0x320a906a,0x61fe906b,0x8f740259,0x00000000}},	//   _faby_, bepl, луші, --, 
   {{0xee3884bb,0x2009012d,0x787600da,0x3ea226ea}},	//   нні_, žai_, návr, шишг, 
   {{0x25e90dc4,0x4429012d,0x78ad0242,0xfbe5009e}},	//   _जानी_, oja_, _čavo, _çêke_, 
   {{0xeb99906c,0x09d9009a,0x2d9e0326,0x00000000}},	//   мий_, ढल्य, _egte_, --, 
   {{0xe7db296a,0xbb4503a1,0x0c2200b3,0x00000000}},	//   _भाजप, тепк, рмын, --, 
   {{0x4429906d,0x6aa20626,0xc33402a1,0x6456906e}},	//   hja_, _duof, רוץ_, ziyi, 
   {{0x442923da,0x186a0a43,0x00000000,0x00000000}},	//   kja_, дани_, --, --, 
   {{0x2d850c05,0x4429906f,0xb6a600a3,0x7bc208a3}},	//   _izle_, jja_, кимл, _geou, 
   {{0x44299070,0x7c299071,0xf09207f5,0x7c3b005f}},	//   dja_, mjer, ינט_, mkur, 
   {{0x7c29050f,0x7c3b9072,0x44299073,0x7a3f0151}},	//   ljer, lkur, eja_, _fêta, 
   {{0x64a60ecf,0x44299074,0x3aeb004f,0x649a9075}},	//   таба, fja_, løp_, дтар_, 
   {{0x44299076,0x69c39077,0x320a0102,0x3f9f9078}},	//   gja_, _hene, _saby_, _nguu_, 
   {{0x69c39079,0xe29a0e43,0x6456907a,0x21a60082}},	// [89c0] _kene, даа_, riyi, визм, 
   {{0x69c3907b,0x6444907c,0x4429907d,0x64568827}},	//   _jene, shii, aja_, siyi, 
   {{0x4429907e,0x7c3b907f,0xa5d900c7,0x3ebf10fd}},	//   bja_, kkur, _אַרי, _awut_, 
   {{0x44290da6,0xdefa01bb,0x78ad0864,0x03a60e65}},	//   cja_, дык_, _čavl, _шимо, 
   {{0xab5d00ab,0xdee39080,0x3aeb004f,0x61fe039b}},	//   ważn, иоци, jøp_, pepl, 
   {{0x29071a29,0x6f029081,0x7c290566,0x00000000}},	//   _osna_, rwoc, ejer, --, 
   {{0x40966caf,0x717620b4,0x7c3b9082,0x78a3007c}},	//   _арат, _شهرا, fkur, _nunv, 
   {{0xdb0b03b7,0x629c9083,0x7c299084,0x7c3b9085}},	//   _negó, _hiro, gjer, gkur, 
   {{0x629c9086,0xbea60141,0x3f84034c,0x4e0602a6}},	//   _kiro, _разк, _uzmu_, _изаб, 
   {{0x69c39087,0x44299088,0x629c155c,0x65690d60}},	//   _cene, zja_, _jiro, şehi, 
   {{0x629c9089,0x69c3908a,0x4429908b,0x7c2901cc}},	//   _miro, _dene, yja_, bjer, 
   {{0xc17300a7,0x629c908c,0xe3bf001d,0x69c3908d}},	//   יחת_, _liro, _toñi_, _eene, 
   {{0x4429908e,0x69c3908f,0xada2008c,0x2fc40065}},	//   vja_, _fene, _þúsu, _memg_, 
   {{0x629c9090,0xcf9300d1,0xc211109f,0x7ae09091}},	//   _niro, יטר_, _डोंब_, mumt, 
   {{0x69c89092,0xa3d502f1,0x644801dd,0x7ae0024a}},	//   made, ловч, īdin, lumt, 
   {{0x030e1516,0x69c39093,0x04b80019,0xe8d7008d}},	//   सिंह_, _zene, کھیں_, _סוחר_, 
   {{0x629c9094,0x368b18ae,0x34949095,0x38a8010c}},	// [89d0] _biro, _осон_, ратр, _hûr_, 
   {{0x44299096,0x69c80be0,0xa3e502f8,0x69c30496}},	//   sja_, nade, _नाव_, _xene, 
   {{0x629c9097,0x44299098,0xdb0b00d3,0x645a03a1}},	//   _diro, pja_, _segü, ètic, 
   {{0x442901ee,0x629c002a,0x69c89099,0x645a026a}},	//   qja_, _eiro, hade, étit, 
   {{0x7c2902b1,0x629c078a,0x6da302c0,0x63ad909a}},	//   vjer, _firo, қиқа, mcan, 
   {{0x629c909b,0x3ea40c43,0x69c8909c,0x5de51ff8}},	//   _giro, _dumt_, jade, ужка, 
   {{0x69c81408,0x7c290e67,0x32010180,0xf41f0219}},	//   dade, tjer, mehy_, _knä_, 
   {{0x63ad15da,0x69c3909d,0x6edb0790,0x27e90175}},	//   ncan, _sene, _निपु, _ncan_, 
   {{0x69c3909e,0xa069032e,0x7c295e03,0xab5d0035}},	//   _pene, _жаңа_, rjer, rażo, 
   {{0x69c8909f,0x6f09265d,0x27e9005f,0x69c390a0}},	//   gade, _isec, _acan_, _qene, 
   {{0x7c3b0b03,0x63ad011c,0x6a7d03dd,0x00000000}},	//   pkur, kcan, nèfi, --, 
   {{0x38a80218,0xb8cb072d,0x5fab00bc,0x7b1500d7}},	//   _dûr_, _कं_, _छलफल, _مبتذ, 
   {{0x69c390a1,0x69c890a2,0xeaae01d7,0x7bc90891}},	//   _tene, bade, _ый_, maeu, 
   {{0xf1e2000d,0xe81400b0,0x69c3095a,0x2bb300bd}},	//   _पाइन, _तोरा_, _uene, ीरवा, 
   {{0xa3e53cae,0x29070613,0x2aa90032,0x629c90a3}},	//   _नाश_, _usna_, _húb_, _riro, 
   {{0x6f0901b4,0x60da014e,0x7bc990a4,0x232a01a2}},	//   _osec, _åtmi, naeu, ноби_, 
   {{0x629c90a5,0x32010180,0xb38690a6,0xa3e500aa}},	// [89e0] _piro, fehy_, улал, _नार_, 
   {{0x7bc990a7,0x63ad90a8,0x09d50086,0x629c34a6}},	//   haeu, acan, ত্রা, _qiro, 
   {{0x25e9072d,0xa49400d4,0x645a78d2,0x7ae001dd}},	//   _जाती_, _نیست, étis, zumt, 
   {{0x63ad0141,0x69c890a9,0x629c17ec,0x61e502d0}},	//   ccan, zade, _wiro, aghl, 
   {{0x69c890aa,0x68e190ab,0x2ca500a1,0x248090ac}},	//   yade, huld, _auld_, mlim_, 
   {{0x248001ee,0xd25211b7,0x69c816b9,0x99850009}},	//   llim_, _طنز_, xade, nklų_, 
   {{0x69c890ad,0x6f0988be,0x614690ae,0x59dd00a5}},	//   vade, _esec, _сева, _माजर, 
   {{0x68e1623c,0x2ca50326,0x6ecd00c9,0x504390af}},	//   duld, _duld_, _सिचु, _лесб, 
   {{0x6edb1ad9,0x38a8026a,0xef1a0701,0x9f4a00c8}},	//   _नियु, _sûr_, _яма_, ämän_, 
   {{0x2ca501cc,0xdd8f0290,0x7ae090b0,0x63ad0126}},	//   _fuld_, _کوم_, rumt, zcan, 
   {{0x63ad0264,0xe821047b,0x2ca579c0,0x6e9300eb}},	//   ycan, याला_, _guld_, _اللا, 
   {{0x7bc90574,0x7a3f0106,0x00000000,0x00000000}},	//   caeu, _fêto, --, --, 
   {{0xd90e00c5,0x63ad090b,0xb8cb00c2,0x41c40110}},	//   زیک_, vcan, _कू_, षरास, 
   {{0xdd20000d,0x1994012d,0x7a360151,0x68e190b1}},	//   _může, _каля, _pâtu, buld, 
   {{0x68e102a0,0x63ad90b2,0x659503b7,0xe7ed031e}},	//   culd, tcan, раву, _झापा_, 
   {{0x63ad0126,0xf1e2031e,0x93b50ddd,0x22860379}},	//   ucan, _पाउन, рбац, vôka_, 
   {{0x28da000d,0x32551034,0x57b40080,0x00000000}},	// [89f0] _भिडि, авар, _убыт, --, 
   {{0x200d00e2,0x61e5006d,0xc0cb00f0,0x6fc71280}},	//   _saei_, ughl, еуде_, ारभू, 
   {{0x320190b3,0x78ad015e,0xdfd10038,0x63ad1cf3}},	//   rehy_, _čavk, قيا_, pcan, 
   {{0x3f1590b4,0x22860054,0x776d008a,0x00000000}},	//   идес, rôka_, _kxax, --, 
   {{0x260a00a2,0xddc590b5,0x68e10213,0x6b8400a1}},	//   ायची_, абли, zuld, _ùigh, 
   {{0xed594a21,0x6a7d06df,0x68e16aa2,0x6f091fac}},	//   кол_, pèfi, yuld, _vsec, 
   {{0x51840009,0x9d4590b6,0x776d02aa,0xe7e615c8}},	//   _гута, рейд, _lxax, _काला_, 
   {{0x201f0012,0x68e190b7,0x3dc590b8,0x3ff900c7}},	//   _unui_, vuld, _welw_, _שפּע, 
   {{0x7bc990b9,0x28c200b0,0x5ac6157e,0x4b890176}},	//   raeu, वीसि, алым_, ъйин_, 
   {{0x386990ba,0xa2dd109f,0x7bc9033e,0xf2d40070}},	//   _ajar_, _पिन्, saeu, זעץ_, 
   {{0xa9697144,0xd8261184,0x8bd52751,0xb4d400b0}},	//   тина_, адни, _نقاش, _हटे_, 
   {{0xe73a90bb,0x68e190bc,0x25fb02e6,0x657e040b}},	//   вем_, ruld, _लॉबी_, _ryph, 
   {{0x81dd00cc,0x657e802c,0x3869007b,0xb887003e}},	//   থ্য_, _syph, _djar_, _smíð, 
   {{0xbb840038,0x68e190bd,0x00000000,0x00000000}},	//   _الهي, puld, --, --, 
   {{0x776d0183,0x87d602f1,0x64480009,0xf4841c03}},	//   _exax, _кўпч, ūdim, ماری, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x64a4005e,0x645a026d,0x24805eb1,0xa2e690be}},	// [8a00] раға, étiq, rlim_, розд, 
   {{0x41b600cf,0x26d290bf,0xb22326de,0x42235328}},	//   рсат, _ivyo_, омул, одув, 
   {{0x4fc690c0,0x765c90c1,0x3cf402e6,0x00000000}},	//   асла, miry, _आहें_, --, 
   {{0x41e208f1,0x765c90c2,0xf9920486,0x1aee0033}},	//   _पाकस, liry, קרא_, ড়িতে_, 
   {{0x644690c3,0x2d810380,0x442200df,0x00000000}},	//   _ilki, ühen_, _ink_, --, 
   {{0x442261cf,0x00000000,0x00000000,0x00000000}},	//   _hnk_, --, --, --, 
   {{0xb4e4047c,0x9c4627be,0xdb0b01d5,0xc1170019}},	//   _नमो_, ихил, _segð, _پہنچ_, 
   {{0x10a3638d,0x26d20548,0xafe300a3,0x00000000}},	//   _фитн, _ovyo_, _мосл, --, 
   {{0xd5c62cad,0x765c90c4,0x44220242,0xaa663ca2}},	//   वराज, kiry, _mnk_, иток, 
   {{0x442290c5,0x850600bc,0x00000000,0x00000000}},	//   _lnk_, शबाट_, --, --, 
   {{0x291890c6,0x021700d1,0x00000000,0x00000000}},	//   íra_, בחים_, --, --, 
   {{0xdb190380,0xd9ea119b,0xa3e500c2,0xdb0903dd}},	//   _bewä, ज्जत_, _नाइ_, cceï, 
   {{0x7c2201f1,0x95cb6a8b,0x9a8690c7,0x290211bb}},	//   _inor, кува_, _кукл, ňka_, 
   {{0x64466de0,0xdbf800cc,0x442290c8,0x765c01a3}},	//   _alki, _অফিস_, _ank_, giry, 
   {{0x693400d9,0x03c77246,0x00000000,0x00000000}},	//   _ынку, исам, --, --, 
   {{0x3869500f,0x71270296,0x628e0508,0x645a02be}},	//   _ujar_, یرال, _ahbo, étip, 
   {{0xdb1902f2,0xf1a71853,0x499213b4,0x765c90c9}},	// [8a10] _gewä, арен, _دیگر, biry, 
   {{0xe4e727a0,0x7d1a01c4,0xab790070,0x00000000}},	//   _кімн, _orts, אָעז, --, 
   {{0x2459123f,0x80f53413,0x644190ca,0xdcfa0032}},	//   _бань_, спех, ëlis, _bytč, 
   {{0x4422242b,0x5f9537c4,0x5064021d,0x7d15039f}},	//   _gnk_, биет, отча, _ázsi, 
   {{0x93fa00a7,0xa28200c5,0xdfce0038,0x09de0033}},	//   _גלרי, _کیلو, ريو_, ব্যা, 
   {{0xc3320137,0xdca503dc,0x9f56010e,0x2b4d0474}},	//   _צום_, баки, ágát_, vzec_, 
   {{0x32110054,0x4ac40299,0x00000000,0x00000000}},	//   _iazy_, लीसव, --, --, 
   {{0x765c33ec,0x0c2590cb,0x442290cc,0xdb0b039f}},	//   ziry, смин, _xnk_, _megö, 
   {{0xa3e50790,0x3cfe27c7,0x4b22021d,0x93ef009a}},	//   _नाई_, _eptv_, змыв, _छानच_, 
   {{0x4a4590cd,0x3e7b026a,0x79e70019,0x2b4d0035}},	//   снов, rêts_, جودہ_, rzec_, 
   {{0xc7a62a8b,0x499900c8,0x28c20299,0xdd15243d}},	//   йинк, ытия_, वीलि, _دواخ, 
   {{0x6f1b90ce,0xa92700de,0x22410175,0x321190cf}},	//   _kruc, _alží, hkhk_, _lazy_, 
   {{0x683f00e5,0x44d300ab,0xac7400eb,0xaad4000d}},	//   _mëdh, eć_, _بالش, _दिएक, 
   {{0xa3e5017d,0x7c220144,0x00000000,0x00000000}},	//   _नाउ_, _znor, --, --, 
   {{0x25e90b3e,0xf1ca026e,0x44220065,0x765c90d0}},	//   _जारी_, ntáž_, _pnk_, riry, 
   {{0x47c61daa,0x6f1b90d1,0x765c90d2,0x673d021e}},	//   _убив, _oruc, siry, bysj, 
   {{0x23274a6d,0xe1fa0a45,0x44d30035,0x765c90d3}},	// [8a20] боти_, лга_, ać_, piry, 
   {{0x175700d1,0xe7e600c9,0x6aa401f5,0x00000000}},	//   _לספר_, कलवा_, _èife, --, 
   {{0x0ce21421,0xd17900e4,0xdfda00fd,0xd2990259}},	//   _মন্ত, асці_, гъл_, ртті_, 
   {{0xdd2c012d,0x44220dec,0xd6cf0296,0x6f1b90d4}},	//   _nėšt, _unk_, _تقی_, _bruc, 
   {{0xa2a2047c,0x21d813b4,0x261d009a,0xd00f0038}},	//   _कंट्, _نژاد_, माची_, عله_, 
   {{0x6f1b02f2,0x787d4ce6,0x7d1a039b,0xa7fb550d}},	//   _druc, névr, _prts, miñe, 
   {{0xd13203b1,0xa3cc07d5,0xa7fb0042,0x61e301d5}},	//   _عمر_, _रजा_, liñe, ónle, 
   {{0xf06390d5,0x6f1b90d6,0xf65f02c9,0x5c060504}},	//   _експ, _fruc, lsæt_, сяка, 
   {{0x25e912e3,0x7c2200de,0x00000000,0x00000000}},	//   _जाली_, _vnor, --, --, 
   {{0xd90e040f,0xa92a00f0,0x683f0034,0xd8f8004f}},	//   فیت_, гіме_, _zëdh, аної_, 
   {{0x5d860084,0x28f8004f,0x627b0225,0x7d1a01d6}},	//   _الال, шень_, רנינ, _urts, 
   {{0x96eb0009,0x7c2290d7,0x673d0080,0x89d80535}},	//   льга_, _unor, tysj, دوگر_, 
   {{0x21270023,0x3c380107,0x6c7b0070,0x9b960038}},	//   ̣nh_, _févr_, _גראד, _الشت, 
   {{0x1bf863e4,0xe667111e,0x25a500fb,0x6b82016c}},	//   ्जवल_, стмо, øll_, _iyog, 
   {{0x321100ab,0xf65f0566,0x746b017b,0x00000000}},	//   _razy_, dsæt_, грав_, --, 
   {{0x321101a7,0x69ca3c5b,0x6b8201a3,0x00000000}},	//   _sazy_, _hefe, _kyog, --, 
   {{0x69ca90d8,0xb6071628,0x200600b4,0xa7fb00b4}},	// [8a30] _kefe, _лянк, deoi_, giñe, 
   {{0xa3e51516,0x6b8224bc,0x69ca257d,0xe8218e29}},	//   _नाक_, _myog, _jefe, याका_, 
   {{0x69ca0415,0x66070097,0x321190d9,0x31c4012d}},	//   _mefe, mejk, _vazy_, яств, 
   {{0x69ca90da,0x3211174b,0x753a0380,0x06ed02e6}},	//   _lefe, _wazy_, ätze, _जमाव_, 
   {{0x644d4884,0x69ca01a9,0x171c00c7,0xa7fb0042}},	//   mhai, _oefe, ָווע, ciñe, 
   {{0x644d90db,0x5bb30a34,0x69ca90dc,0x6f1b90dd}},	//   lhai, ीर्व, _nefe, _vruc, 
   {{0xc21207e4,0x6b820a8b,0x00000000,0x00000000}},	//   _קהל_, _ayog, --, --, 
   {{0x69d83455,0x62850405,0x69ca044d,0xf1ca014b}},	//   _adve, llho, _aefe, rtáž_, 
   {{0x69ca90de,0x290e0183,0x6f1b696a,0x62850326}},	//   _befe, _asfa_, _uruc, olho, 
   {{0xe8f990df,0x6b820102,0x2dd400d9,0x2fcf0bff}},	//   ало_, _dyog, _нжур, lagg_, 
   {{0x69ca568c,0x644d90e0,0x291c053d,0x2461012d}},	//   _defe, khai, _crva_, nėms_, 
   {{0xa3e5176c,0x7a3f009e,0xc85a004f,0x290e0354}},	//   _नाग_, _mêti, ршої_, _dsfa_, 
   {{0xe9ce90e1,0x644d0057,0x7bcb00e0,0x291c6037}},	//   _ок_, dhai, _iegu, _erva_, 
   {{0x69ca90e2,0xd94590e3,0xe7e606c9,0xceb20070}},	//   _gefe, _мели, _काका_, ויך_, 
   {{0x7bcb2f5c,0x35a300d3,0xe5a302f1,0xa50a0d47}},	//   _kegu, дарг, дири, шева_, 
   {{0x644d4884,0x628590e4,0x7bcb56b1,0x6aa30159}},	//   ghai, elho, _jegu, _hinf, 
   {{0x764b0009,0x69c10144,0x4dca0033,0x7bcb90e5}},	// [8a40] _įgyv, oble, _রাসূ, _megu, 
   {{0x7bcb90e6,0xa7fb0496,0x69c190e7,0x7a3f078a}},	//   _legu, riñe, nble, _bêti, 
   {{0x644d4884,0x03a690e8,0x60c7023b,0x69c147f4}},	//   bhai, _мино, _cwjm, ible, 
   {{0x644d1131,0xef1a90e9,0x6edb0586,0xa7fb0068}},	//   chai, име_, _निशु, piñe, 
   {{0x2f1837ad,0x63b40035,0xda092a48,0x9f4f00b9}},	//   соль_, ągną, _वसंत_, degó_, 
   {{0x6aa390ea,0x78a406a6,0x21761701,0x644490eb}},	//   _ninf, _liiv, _дубр, lkii, 
   {{0x69ca90ec,0xbc4a20b0,0x69c10102,0xe0d702c4}},	//   _refe, ичие_, dble, _мвр_, 
   {{0x443205f0,0x64440088,0x69ca90ed,0x69c190ee}},	//   njy_, nkii, _sefe, eble, 
   {{0x9e663c93,0x533700c7,0xa2cd02e6,0x7a3f0218}},	//   _двад, ַנטן_, दीप्, _zêti, 
   {{0x645f00a3,0xed5a03a1,0xa9540267,0xa2dd4f69}},	//   ziqi, _коз_, звољ, _पिस्, 
   {{0x644d90ef,0x644400c8,0x7bcb003e,0x798300f3}},	//   yhai, kkii, _fegu, _cynw, 
   {{0x69ba0586,0x6aa390f0,0x644d01a0,0xfaa67fd9}},	//   _श्री, _einf, xhai, _дадо, 
   {{0x69ca0149,0x6aa31bde,0x78a400c2,0x6b82095a}},	//   _tefe, _finf, _diiv, _uyog, 
   {{0x46dc1ef6,0x69d802c9,0x6aa390f1,0x291802ae}},	//   _बिरह, _udve, _ginf, åras_, 
   {{0x644d355f,0x349511f0,0x660790f2,0x7bcb90f3}},	//   thai, завр, rejk, _yegu, 
   {{0xe019047b,0x68e890f4,0x24610028,0x2cac3a1c}},	//   _नोंद_, mudd, vėms_, _mudd_, 
   {{0x62850149,0x644d90f5,0x68e890f6,0x645f7d60}},	// [8a50] tlho, rhai, ludd, riqi, 
   {{0x65957489,0x644d90f7,0x645f4a25,0x224a0175}},	//   _напу, shai, siqi, _clbk_, 
   {{0xdb090084,0x68e890f8,0xceb900bc,0x3f84040c}},	//   iceá, nudd, _stř_, _aymu_, 
   {{0x26c917ed,0x645f00a3,0x224a00b4,0x24610028}},	//   _kwao_, qiqi, _elbk_, rėms_, 
   {{0x7bcb90f9,0x645d90fa,0x68e890fb,0xd247525a}},	//   _regu, _imsi, hudd, _дэви, 
   {{0x44390f2d,0x68e890fc,0x2cac46f1,0x26c90053}},	//   _hos_, kudd, _budd_, _mwao_, 
   {{0x443990fd,0x7bcb90fe,0x6aa319d5,0x68e801a3}},	//   _kos_, _pegu, _rinf, judd, 
   {{0x443990ff,0x6aa39100,0xffe400f6,0xef930019}},	//   _jos_, _sinf, _оюун, _قیاد, 
   {{0x44399101,0x9f4f0bf1,0x7bcb9102,0xab658895}},	//   _mos_, regó_, _vegu, явил, 
   {{0x44399103,0x7e550040,0x78a400c8,0x68e801a3}},	//   _los_, _عناص, _siiv, fudd, 
   {{0x2cac071d,0x7bcb9104,0x3ead8e0c,0x69c19105}},	//   _gudd_, _tegu, _huet_, rble, 
   {{0x6aa39106,0x186a2b68,0x69c10380,0x00000000}},	//   _winf, сами_, sble, --, 
   {{0x2fcd006d,0x3ea50237,0xa2dd02e6,0x6aa3007b}},	//   _meeg_, _kilt_, _पिष्, _tinf, 
   {{0x2fcd9107,0x44391454,0x68e89108,0x645d1a9c}},	//   _leeg_, _aos_, budd, _amsi, 
   {{0x7ae99109,0x78a40341,0xa966807d,0x3ea503c5}},	//   luet, _tiiv, _ниша_, _milt_, 
   {{0x4426128a,0x2fcd0e0c,0x4439910a,0x3ea50036}},	//   ño_, _neeg_, _cos_, _lilt_, 
   {{0x443919e7,0xdcf4265d,0x64444a69,0x7ae9910b}},	// [8a60] _dos_, _đačk, rkii, nuet, 
   {{0xa7fb0496,0x7c3935b8,0x644414aa,0x2fcd0036}},	//   miña, _lowr, skii, _aeeg_, 
   {{0xe82102f8,0xa3e50f7a,0x4439910c,0xc00600dd}},	//   याचा_, _नाच_, _fos_, зпек, 
   {{0x1bea00ab,0x4439910d,0x3ea50038,0x7ae901f1}},	//   _टाइल_, _gos_, _ailt_, kuet, 
   {{0x9cf80086,0x2fcd910e,0xdfcf00b1,0xa7fb0042}},	//   _আছেন_, _deeg_, ايه_, niña, 
   {{0x443901a0,0x412a07a4,0xb1466563,0x3ea5027e}},	//   _zos_, _лого_, _енгл, _cilt_, 
   {{0xe7ed02f8,0x4439023b,0x205602f1,0xa7fb0183}},	//   _झाला_, _yos_, _етар, hiña, 
   {{0x4439910f,0x68e80547,0xbab822b9,0x3ead00f6}},	//   _xos_, vudd, огих_, _fuet_, 
   {{0x7ae91771,0xdee341a2,0xdee61cc1,0x3ea5098d}},	//   guet, _поти, _хози, _filt_, 
   {{0x78ad78c3,0x2eb50451,0x2fcd023b,0xa7fb1286}},	//   _čavr, _ісус, _zeeg_, diña, 
   {{0x6e2801cc,0x2fcd006d,0xdb09007a,0x00000000}},	//   _indb, _yeeg_, rceá, --, 
   {{0x7c390118,0x5f1301a4,0x765e01e5,0x6e3a9110}},	//   _gowr, _धनम्_, _ampy, _hotb, 
   {{0x443926c0,0x68e89111,0x7ae900e9,0x6e3a007b}},	//   _ros_, sudd, cuet, _kotb, 
   {{0x7689008c,0xe81d0f7a,0xdb9b00d1,0x65953e97}},	//   mþyk, _बोरा_, _הסדר, дагу, 
   {{0x92e900cc,0x44399112,0x6fcc00a2,0x92b90033}},	//   _মনে_, _pos_, ारां, _ঘটে_, 
   {{0x765e9113,0x6e3a0237,0x00000000,0x00000000}},	//   _empy, _lotb, --, --, 
   {{0x44399114,0xe3b006ab,0xa7fb0496,0xe7c302ff}},	// [8a70] _vos_, ارف_, ciña, _व्यप, 
   {{0x44399115,0x35b500cf,0xe6030080,0x6e3a009e}},	//   _wos_, _юбор, ätää, _notb, 
   {{0x44399116,0x463c2737,0x00000000,0x00000000}},	//   _tos_, _לעזע, --, --, 
   {{0x4add0b79,0x2fcd0201,0xaadd0d53,0xf1cb031e}},	//   _मिलव, _qeeg_, _मिलक, िरहन, 
   {{0x3ea5007e,0x24890102,0x2fc0033c,0x66179117}},	//   _pilt_, mlam_, ñiga_, _kaxk, 
   {{0x6e3a00a1,0x2fcd0b22,0x2d859118,0xf7740070}},	//   _cotb, _weeg_, _pyle_, עקס_, 
   {{0x66170104,0x7c3900ab,0x3ea59119,0xc879008f}},	//   _maxk, _powr, _vilt_, luğu_, 
   {{0x3ea50536,0x3cde0b79,0x7ae901f1,0xdb02212f}},	//   _wilt_, _गिरे_, tuet, _egoí, 
   {{0x4add00a2,0x2ca600f8,0xa7fb0183,0xa3d500c9}},	//   _मिळव, _diod_, xiña, _सजन_, 
   {{0x3945911a,0x2d8500ab,0x7ae901f1,0x2489674e}},	//   дног, _tyle_, ruet, hlam_, 
   {{0x7ae901ca,0x37e600a3,0x2ca6039b,0x7c3901be}},	//   suet, монг, _fiod_, _towr, 
   {{0x25c61df3,0xa7fb0068,0x6d430009,0x7e630080}},	//   वर्ण, tiña, myna, linp, 
   {{0x6d43911b,0xba550093,0x38040176,0x00000000}},	//   lyna, _откъ, _ҷойҳ, --, 
   {{0xc8790749,0xa7fb0496,0xdb210369,0x6f0402a4}},	//   duğu_, riña, _ñuño, çici, 
   {{0x9872014b,0xa7fb0042,0xb6a30470,0x6d43911c}},	//   láč_, siña, тирл, nyna, 
   {{0xd7ff002e,0x7e6300ef,0xa7fb0042,0x78b301dd}},	//   şări_, hinp, piña, ēgvā, 
   {{0x64bc003a,0xd5af006b,0x6d430156,0x98720098}},	// [8a80] _očig, افہ_, hyna, náč_, 
   {{0x2489911d,0xe297004e,0x26c20054,0x63b60083}},	//   alam_, дау_, mpko_, scyn, 
   {{0x6aad0036,0xe8e00108,0x987200da,0x95860259}},	//   _èaff, _trụy_, háč_, _ілме, 
   {{0x2489911e,0x7d1c003e,0xb7db0070,0x98720098}},	//   clam_, _ársi, ַקצי, káč_, 
   {{0xc879027e,0xe29a1a5f,0x6e3a08b0,0x00000000}},	//   cuğu_, _мам_, _potb, --, 
   {{0xdd941b17,0xdcba2cdb,0x64670035,0x2ca601f5}},	//   налы, ощи_, ąpił, _siod_, 
   {{0x0ee002f8,0x32180054,0x2df9009c,0x00000000}},	//   _निवड, _iary_, سبوک_, --, 
   {{0x25de2360,0x5b14088a,0x3218911f,0x9989009e}},	//   कृती_, емит, _hary_, _şaş_, 
   {{0xa3c1007e,0xc5e60086,0x2fc69120,0x3f6744f6}},	//   ुरत_, খ্যা_, mbog_, _жито_, 
   {{0x38602c90,0x6d439121,0x6fcc00b0,0x6934002e}},	//   _amir_, byna, ारवं, еноу, 
   {{0x6d431c96,0xc87f0380,0x321800d1,0x00000000}},	//   cyna, toß_, _mary_, --, 
   {{0xb9060ed5,0x7b662c77,0x6617009e,0x987200de}},	//   _पि_, _отле, _saxk, báč_, 
   {{0xd78b00eb,0x386000a4,0x32180054,0x661700b4}},	//   تخدم_, _dmir_, _oary_, _paxk, 
   {{0x3eb908f4,0x3218023a,0x61fe01d2,0x00000000}},	//   _éste_, _nary_, jfpl, --, 
   {{0x24899122,0xb88602d9,0x00000000,0x00000000}},	//   tlam_, _smíš, --, --, 
   {{0xd4989123,0xa7fb0496,0x32180054,0x88c400d8}},	//   дру_, miño, _aary_, _vděč, 
   {{0x321816b4,0x6d4300ab,0x2fc6055f,0x61fe0920}},	// [8a90] _bary_, zyna, dbog_, ffpl, 
   {{0x32189124,0x24899125,0xae0000b0,0x43941b0b}},	//   _cary_, slam_, ल्मन_, таус, 
   {{0x248901f0,0xe3b0006b,0x32181151,0xa7fb0042}},	//   plam_, ارہ_, _dary_, niño, 
   {{0x61fe10f3,0x2fc69126,0x64bc00a1,0x00000000}},	//   afpl, gbog_, _dčid, --, 
   {{0xe4560138,0xdb020029,0xdee50a27,0x442b9127}},	//   _נישט_, _ngoà, холи, _inc_, 
   {{0x645a01dd,0xee3807f4,0x98720ed9,0x6d433a8e}},	//   ītie, мні_, váč_, tyna, 
   {{0x7e639128,0x3b06040c,0x645a9129,0x00000000}},	//   rinp, _apoq_, ūtie, --, 
   {{0xa19476d4,0x32180180,0xa3c104cc,0x6d43912a}},	//   _расч, _zary_, ुरि_, ryna, 
   {{0x442b105b,0x6d43540b,0x2ef40141,0x00000000}},	//   _mnc_, syna, _изтр, --, 
   {{0x442b012b,0x850f031e,0x1eea0296,0x08c5912b}},	//   _lnc_, ाबाट_, _رومی_, нбон, 
   {{0xf86608a7,0xa3c115c8,0x09c80033,0x00000000}},	//   евно, ुरा_, _শাখা, --, 
   {{0x66e62478,0x9ac400c3,0x987200da,0x88bc02d9}},	//   нома, _boċċ, páč_, dvěd, 
   {{0x7c2b6725,0xab29605d,0x00000000,0x00000000}},	//   _ingr, _хола_, --, --, 
   {{0x442b912c,0x95860d18,0xa7fb0183,0x9ac400c3}},	//   _anc_, елге, biño, _doċċ, 
   {{0xa7fb09a1,0x26d9912d,0x32180379,0xf20229c4}},	//   ciño, asso_, _rary_, र्फ़_, 
   {{0x321805f0,0x236d0604,0x14e10110,0x00000000}},	//   _sary_, _žeja_, _फिरण, --, 
   {{0x27e0912e,0x7afb912f,0xae000c15,0x2c0100ab}},	// [8aa0] _idin_, ntut, ल्डन_, व्यू_, 
   {{0x98d3093a,0xb77b00d1,0x2fdf0574,0x7afb01ca}},	//   _दबाए, _מאפש, _adug_, itut, 
   {{0x26c00f30,0x61fe014e,0x7c2b9130,0xaf360c30}},	//   _htio_, rfpl, _ongr, کرات, 
   {{0x67249131,0xdfcf0084,0x2ee64758,0x442b0369}},	//   _krij, ميم_, trof_, _gnc_, 
   {{0x321801a7,0x2fdf0090,0x9f4f00d7,0xa7fb01d6}},	//   _tary_, _ddug_, nggè_, ziño, 
   {{0x7c2b3dcb,0x2fc67778,0x67240372,0xdb020023}},	//   _angr, sbog_, _mrij, _ngoá, 
   {{0xa3e40c06,0xafe6620e,0x7c2b0054,0x27e09132}},	//   _नया_, _повл, _bngr, _odin_, 
   {{0x2ee69133,0xa7fb0068,0x09d8009a,0x7afb4cd2}},	//   prof_, viño, ढण्य, ftut, 
   {{0x7afb1e8f,0xdb1901c4,0x46dc00c2,0x88bc02d9}},	//   gtut, _gewü, _बिगह, zvěd, 
   {{0xef17012d,0x1f633240,0x27e09134,0xa7fb1286}},	//   _яму_, _скум, _adin_, tiño, 
   {{0x69460613,0x7afb01ca,0x753a0502,0xa3c000bc}},	//   _očeš, atut, ätzl, ँडा_, 
   {{0x67249135,0xa7fb0503,0xc17300d1,0x291a0604}},	//   _brij, riño, טחת_, _špas_, 
   {{0x6724268a,0x442b0027,0xa7fb2313,0xdb0b01e5}},	//   _crij, _rnc_, siño, _nggè, 
   {{0x6724036f,0x27e09136,0x442b00fd,0xa7fb0068}},	//   _drij, _edin_, _snc_, piño, 
   {{0x25a5022b,0x7c2b6d81,0x27e001be,0x67240c40}},	//   äll_, _yngr, _fdin_, _erij, 
   {{0x6d5802ee,0x27e000ef,0x67249137,0x629e01d2}},	//   izva, _gdin_, _frij, empo, 
   {{0xc6a754ad,0x67249138,0x6aaa9139,0x88bc00bc}},	// [8ab0] _прои, _grij, _kiff, svěd, 
   {{0x6aaa003d,0x6d58014b,0x68e802b0,0xf770009c}},	//   _jiff, kzva, ordd, _چای_, 
   {{0xf1240b58,0x442b4a35,0x7afb01f1,0xa2dd4994}},	//   льцо, _tnc_, ztut, _पिक्, 
   {{0x644f913a,0x6aaa913b,0xd37101c9,0x7afb0083}},	//   _ulci, _liff, _نهج_, ytut, 
   {{0xa2cd1f5e,0x7ff40195,0xdb190237,0x798a08b0}},	//   दीश्, اسما, _lewò, _lyfw, 
   {{0x9f4f00c5,0x6aaa913c,0xfce57208,0x00000000}},	//   nggé_, _niff, воко, --, 
   {{0xa19400cf,0x92a6006a,0xdd91006b,0x93c600d9}},	//   _барч, _dołą, گوں_, sfăş, 
   {{0x7afb0141,0x6aaa017c,0xcf7b0038,0x0c250171}},	//   ttut, _aiff, _فإذا_, тмин, 
   {{0xdd91006b,0x200f913d,0xa3b9058c,0x32cf0035}},	//   دوں_, megi_, _चलन_, nży_, 
   {{0x7afb913e,0x200f913f,0xdb190118,0x7a3e02d9}},	//   rtut, legi_, _bewò, _nátě, 
   {{0x7afb9140,0x6aaa1907,0x672402a8,0x699501a2}},	//   stut, _diff, _srij, ърих, 
   {{0x67244a41,0x201d4c1b,0x200f9141,0xdb190118}},	//   _prij, ndwi_, negi_, _dewò, 
   {{0x6aaa00a9,0xddd8008b,0x7bc99142,0x629e9143}},	//   _fiff, lovš, mbeu, ympo, 
   {{0x67249144,0x31cb17f6,0x63bd02e0,0xa9690e65}},	//   _vrij, िरोध, _afsn, _оила_, 
   {{0x6b8b43d0,0x7ae99145,0xe81d3ace,0x32cf0035}},	//   _hygg, lret, _बोका_, eży_, 
   {{0xc9520056,0x27e09146,0x15ee0035,0x7bc94249}},	//   _כמו_, _udin_, _जाकर_, nbeu, 
   {{0x64a34265,0x93431cca,0x7ae97ac6,0xfbd200d1}},	// [8ac0] рата, анте, nret, יתן_, 
   {{0x7ae90068,0x6b8b0c17,0xddd80f4c,0xa1c30e8a}},	//   iret, _mygg, kovš, ибуд, 
   {{0x64930095,0xd877006b,0x69ce003e,0x7bc9123b}},	//   mçin, _سمیت_, ðbei, kbeu, 
   {{0x69461861,0x62870065,0xddd80217,0x7a3e02d9}},	//   _učeš, _ekjo, dovš, _zátě, 
   {{0x92a600ab,0x00000000,0x00000000,0x00000000}},	//   _połą, --, --, --, 
   {{0x7ae90545,0x68e80156,0x975b00d1,0xacf808f0}},	//   dret, yrdd, ודנט, енку_, 
   {{0x7ae99147,0xddd80604,0x621b00df,0x00000000}},	//   eret, govš, _קולק, --, 
   {{0x6aaa9148,0x7ae99149,0x200f914a,0x00000000}},	//   _siff, fret, cegi_, --, 
   {{0x8fa31110,0x30756524,0x6aaa0844,0x2d8101c4}},	//   _вате, _сурс, _piff, üher_, 
   {{0x5ea61f7a,0x3eb908f4,0x628302c7,0x6d5e0068}},	//   _شمال, _ésta_, čnog, úpas, 
   {{0x67d503a1,0x7ae9914b,0x3eab020b,0x00000000}},	//   лону, aret, žitú_, --, 
   {{0x7ae9914c,0x4bda017a,0x00000000,0x00000000}},	//   bret, _آباد_, --, --, 
   {{0x7ae91dfd,0xa3d60790,0xf8b7022c,0x5fab0790}},	//   cret, हरन_, нөө_, _छलछल, 
   {{0xceb3035c,0x200f914d,0xe94400d7,0x25bf176c}},	//   ייש_, zegi_, _مربی, ्रेण, 
   {{0x984f00ab,0x3eac03a9,0xc7c7081b,0x45d45696}},	//   jęć_, _midt_, _испи, росс, 
   {{0x3eac0022,0x57f5914e,0x62870310,0x3dd80033}},	//   _lidt_, _спит, _skjo, _সাফল, 
   {{0xb275914f,0x2d8c9150,0x6672009c,0x93799151}},	// [8ad0] глаш, _lyde_, شگیر, хбат_, 
   {{0x7aef00d3,0x78ad16b8,0x325400b3,0xbebd0243}},	//   àcti, _hiav, авур, _brūn, 
   {{0x200f4952,0xf1a71a68,0x7ae99152,0x2d8c02c9}},	//   tegi_, тран, zret, _nyde_, 
   {{0x25ff051f,0x62800183,0x67220082,0x7ae99153}},	//   श्री_, _ímon, _šoji, yret, 
   {{0x200f9154,0x78ad0180,0xffc200f0,0x3eac5490}},	//   regi_, _miav, сөсп, _bidt_, 
   {{0x6b8b0a40,0x644d030f,0x7ae99155,0x2d8c02c9}},	//   _rygg, lkai, vret, _byde_, 
   {{0x62859156,0x30a74615,0xa3c7009a,0x7ae903c6}},	//   moho, _арав, _उभा_, wret, 
   {{0x62859157,0xc17200a7,0x644d9158,0x3a2e0126}},	//   loho, _החל_, nkai, _anfp_, 
   {{0x6f09053d,0xca8501d8,0xac9600eb,0x7bc99105}},	//   _upec, лгий, دنيا_, rbeu, 
   {{0x7ae99159,0xe8c9915a,0x3f7a0137,0x6285301f}},	//   rret, нгол_, _אָבע, noho, 
   {{0x644d0088,0x2ba40366,0x78ad0b41,0x186a0171}},	//   kkai, खेबा, _biav, еани_, 
   {{0x7ae9076b,0x628528e9,0x78ad4416,0x6b8b43a0}},	//   pret, hoho, _ciav, _tygg, 
   {{0x3b0905b2,0x7d1c01d5,0x38ba0243,0x6493915b}},	//   _чело_, _ársr, _vīra_, tçin, 
   {{0x644d0028,0x75d60038,0x7c3b4e25,0x00000000}},	//   ekai, طيرا, ljur, --, 
   {{0xa5070d3b,0xdb0b055f,0x649a527c,0x6285915c}},	//   лера_, _afgø, етар_, doho, 
   {{0x644d66e2,0x78ad915d,0x88bc00d8,0x00000000}},	//   gkai, _giav, svěc, --, 
   {{0x33d5005e,0x28d70d1d,0x02060a36,0x8c1d0033}},	// [8ae0] ріст, _भौति, лзан, থাপন_, 
   {{0x6456099d,0x62851135,0x7e1d06ea,0x64930585}},	//   shyi, goho, पयोग_, lçil, 
   {{0x4fea915e,0x00e65dbb,0x3f8d0096,0xd1960477}},	//   емен_, ужен, _ayeu_, ушањ, 
   {{0x64930248,0x644d0028,0x00000000,0x00000000}},	//   nçil, ckai, --, --, 
   {{0x4420915f,0xbe8a3232,0x62859160,0xa3b9007e}},	//   mdi_, нске_, boho, _चलत_, 
   {{0x44209161,0x764e9162,0xd2521b65,0x62859163}},	//   ldi_, nkby, _انس_, coho, 
   {{0x44209164,0x3eac03a9,0x629c0574,0x64930213}},	//   odi_, _vidt_, _ihro, kçil, 
   {{0x661e012d,0x8fa6227f,0x3ed60a67,0x62830a1a}},	//   _lapk, _бабе, _مقرر, čnoe, 
   {{0x5887005e,0x78ad00fd,0x4a5450eb,0xa2dd00a5}},	//   ғына, _riav, икис, _पिछ्, 
   {{0x44209165,0x644d02ba,0x3ea60c16,0x2d8c532b}},	//   hdi_, zkai, _сизг, _tyde_, 
   {{0x19949166,0x78ad9167,0x44209168,0x61e304f4}},	//   раня, _piav, kdi_, ónli, 
   {{0x4d7b0cec,0x442014f5,0x6ac30086,0xa25b0054}},	//   _ארבע, jdi_, _শিরো, _ntôn, 
   {{0xa2b00509,0xead42a50,0x44209169,0x629c026e}},	//   _अंग्, _толь, ddi_, _ohro, 
   {{0x4420916a,0x2bd210da,0xa25b02be,0x661e1f57}},	//   edi_, सरवा, _atôn, _capk, 
   {{0x69da916b,0x644d030f,0xa4d500dd,0x442b0b58}},	//   mate, tkai, робі, нцам_, 
   {{0x69da916c,0x2418916d,0x645a2409,0x6285012b}},	//   late, лосы_, ūtin, woho, 
   {{0x644d3b58,0x629c0094,0x58d2004e,0x533413c3}},	// [8af0] rkai, _bhro, _тоқт, бетт, 
   {{0x644d916e,0x629c0a72,0x4420916f,0x7d1a9170}},	//   skai, _chro, adi_, _osts, 
   {{0x212700f7,0x442002f1,0x62852bbf,0x629c0a75}},	//   ính_, bdi_, roho, _dhro, 
   {{0x69da0489,0x62859171,0xa3b9007e,0xa3d60c73}},	//   hate, soho, _चलि_, हरण_, 
   {{0x62850e32,0x629c0d44,0xa3cb0299,0xa7fb00b4}},	//   poho, _fhro, _र्य_, giñi, 
   {{0x20d77a32,0x3ea502f1,0xbea521e6,0x4e0002e6}},	//   _مترج, шилг, шалк, ल्लई_, 
   {{0x69da9172,0xa3b9143e,0x6d4a1460,0x2dd8007a}},	//   date, _चला_, gyfa, ابهة_, 
   {{0x6ee700d6,0x3eb90327,0x64bc1c2b,0x629c253f}},	//   _مسئل, _ésto_, _očin, _zhro, 
   {{0x7c3b9173,0x92020790,0x69da9174,0xbebd6d9d}},	//   rjur, र्वज_, fate, _krūm, 
   {{0x44209175,0xf41f014e,0xc33200d1,0xa3b900b0}},	//   zdi_, _skäl_, קוי_, _चलऽ_, 
   {{0x442009a3,0x649307fa,0x00000000,0x00000000}},	//   ydi_, tçil, --, --, 
   {{0x186a2241,0x38ca00d4,0xc60e122e,0x661e9176}},	//   тами_, کایی_, ाज्य_, _sapk, 
   {{0x69da9177,0x4420003d,0x6c840038,0xae1900aa}},	//   bate, vdi_, _النم, _धसान_, 
   {{0x69da00a7,0xfed70086,0xa9a500a3,0xe9a59178}},	//   cate, _সমাধ, _килд, _калп, 
   {{0x44203fac,0x28760238,0x764e9179,0xd46a0165}},	//   tdi_, _выпр, rkby, виве_, 
   {{0x4420917a,0x2b094643,0x629c917b,0x7bdb07fc}},	//   udi_, _वहाँ_, _shro, nauu, 
   {{0x4420917c,0x626672e3,0xa3c700a5,0x629c31d6}},	// [8b00] rdi_, аваа, _उभर_, _phro, 
   {{0x91e61447,0x224300ef,0x4420917d,0x769b0216}},	//   роже, _cojk_, sdi_, tîye, 
   {{0x2cf41971,0x6f1b0183,0x2243008b,0xdb1901c4}},	//   _इमेल_, _asuc, _dojk_, _gewö, 
   {{0x69da917e,0x769b009e,0x44205bb7,0x3fc600d7}},	//   zate, rîye, qdi_, شگری_, 
   {{0x629c0056,0x69da917f,0x60c90412,0x6d4a00f8}},	//   _thro, yate, _čeme, wyfa, 
   {{0x69da027f,0xa116009c,0x00000000,0x00000000}},	//   xate, _پورت, --, --, 
   {{0x69da9180,0x320a0183,0xde57004f,0x2bd21893}},	//   vate, _ibby_, ращі_, सरला, 
   {{0x6d4a9181,0xa3d6058c,0x00000000,0x00000000}},	//   ryfa, हरि_, --, --, 
   {{0x69da9182,0x00000000,0x00000000,0x00000000}},	//   tate, --, --, --, 
   {{0x38ba5cfa,0x6f02039b,0x00000000,0x00000000}},	//   _për_, mtoc, --, --, 
   {{0xa3d60d53,0x6f0214d4,0x7bdb9183,0x8be80033}},	//   हरा_, ltoc, bauu, ক্ষন_, 
   {{0x69da9184,0x64bc0097,0x00000000,0x00000000}},	//   sate, _pčin, --, --, 
   {{0x98be0028,0x00000000,0x00000000,0x00000000}},	//   dytą_, --, --, --, 
   {{0x7ae29185,0x69da0ebd,0xd687124e,0xddc3020f}},	//   _ivot, qate, румп, minţ, 
   {{0x24920156,0x69d80243,0x2d8302c9,0xddc30474}},	//   flym_, _ieve, _øjet_, linţ, 
   {{0x69d89186,0x6f0222a0,0x290e007c,0x00000000}},	//   _heve, ktoc, _ipfa_, --, 
   {{0x69d89187,0xddc300b3,0x64930585,0x212a007a}},	// [8b10] _keve, ninţ, lçik, _arbh_, 
   {{0x35f508a7,0x78b8027e,0x60c90082,0xa2cd00c9}},	//   _упор, _kuvv, _čemb, दीग्, 
   {{0xdfd100eb,0x69d803a1,0x3869016a,0x66159188}},	//   كيا_, _meve, _kmar_, mezk, 
   {{0x69d847a8,0x7ae20242,0x661501ca,0x61fc00a1}},	//   _leve, _ovot, lezk, _ecrl, 
   {{0x53350137,0xdefb00c8,0x48dd007e,0x4fe848a2}},	//   _האָב_, тые_, _कौनो_, рмін_, 
   {{0x9e640b0c,0x69d89189,0xddc3002e,0x7bc20068}},	//   овід, _neve, dinţ, _afou, 
   {{0x7ae249da,0x9d45004e,0xc21200a7,0xd65807e4}},	//   _avot, сейд, _מהם_, שיות_, 
   {{0x6615918a,0x2489918b,0xddc30474,0x3ce910d4}},	//   hezk, noam_, finţ, čav_, 
   {{0x69d8918c,0x26180c46,0x290e0610,0x6f1b1020}},	//   _beve, _फसली_, _apfa_, _usuc, 
   {{0x2fdd0201,0x69d87820,0x2489023a,0xe73a0176}},	//   lawg_, _ceve, hoam_, ҳем_, 
   {{0x69d8918d,0x8d950084,0x661502ba,0x7bdb0102}},	//   _deve, _الاش, dezk, pauu, 
   {{0xa8560524,0x3d0100ab,0x6e214718,0xe73a918e}},	//   стој, mów_, _halb, гем_, 
   {{0x6e21918f,0x41a700a2,0x8b6800dd,0x907a24ea}},	//   _kalb, केतस, _київ_, רטרי, 
   {{0x69d80285,0x65c39190,0x661501f1,0xe9d98132}},	//   _geve, збра, gezk, _скк_, 
   {{0x6e210218,0x3d01006a,0x7bd99191,0xa3aa0ed5}},	//   _malb, nów_, _kewu, गेन_, 
   {{0x69d86922,0x6f029192,0xab5d0035,0x00000000}},	//   _zeve, ytoc, waży, --, 
   {{0x7bd9005c,0x04433786,0x03a38d2a,0x3aba00c7}},	// [8b20] _mewu, четн, зито, ָמענ, 
   {{0x3d010da6,0x64bc28fd,0x64a4004e,0xb69b9193}},	//   ków_, _učio, саға, ltân, 
   {{0x24899194,0x3d010035,0xd46a049b,0x0219004f}},	//   boam_, jów_, _бине_, шіть_, 
   {{0x7bd976c9,0x3d0100ab,0x6e2101cc,0x6f029195}},	//   _newu, dów_, _aalb, ttoc, 
   {{0x43750e52,0x8bff0086,0xd9f9009a,0x7d010104}},	//   _дурт, ্যান_, ्भात_, _aqls, 
   {{0x442209c2,0x644602f1,0x6f029196,0xddc300b3}},	//   _hak_, _hoki, rtoc, vinţ, 
   {{0x44222467,0x644600e4,0x7bd938a2,0x3d0100ab}},	//   _kak_, _koki, _bewu, gów_, 
   {{0x44220fff,0x64469197,0x69c39198,0xa3cb02e6}},	//   _jak_, _joki, _afne, रुप_, 
   {{0x44229199,0x6e2101c5,0x6446012d,0x2360919a}},	//   _mak_, _falb, _moki, nzij_, 
   {{0xc3330052,0x69d801ee,0x6e21919b,0x6446919c}},	//   פות_, _qeve, _galb, _loki, 
   {{0x3d0100ab,0x78b802f1,0xa3b90077,0x644602a5}},	//   ców_, _quvv, _चलल_, _ooki, 
   {{0x44222b84,0x764502a2,0x69d84472,0x7bd98b76}},	//   _nak_, _sohy, _weve, _gewu, 
   {{0x76450076,0x69d8919d,0x66150a9f,0xe787919e}},	//   _pohy, _teve, tezk, суно, 
   {{0x7aef05b9,0x7c22919f,0xa3cb00a2,0x64bc0613}},	//   ácte, _haor, रुन_, _ičij, 
   {{0xe57300eb,0x644691a0,0x66150a9f,0x24890180}},	//   سطس_, _boki, rezk, toam_, 
   {{0x661501f1,0x2fdd0201,0xb69b0474,0x00000000}},	//   sezk, xawg_, ctân, --, 
   {{0x7c2291a1,0x644691a2,0x442291a3,0x27e900a3}},	// [8b30] _maor, _doki, _dak_, _idan_, 
   {{0x765c3237,0x7c22059e,0xf1a72e07,0x442201ca}},	//   chry, _laor, брен, _eak_, 
   {{0xbebd2ea3,0x672d0356,0x104b91a4,0xf65200a7}},	//   _trūk, _hraj, ляди_, _חצי_, 
   {{0x442291a5,0x64bc0062,0x6e217d45,0x64464f83}},	//   _gak_, _očij, _salb, _goki, 
   {{0x3d010035,0xc1e9010e,0x7bd90096,0x27e901ff}},	//   wów_, _نکال_, _rewu, _mdan_, 
   {{0x3d01006a,0x6e2191a6,0xc33200fe,0x442291a7}},	//   tów_, _qalb, _קום_, _zak_, 
   {{0x442291a8,0xed594bbf,0x7bd900e2,0x7c22023a}},	//   _yak_, рой_, _pewu, _baor, 
   {{0x3d01006a,0x7c2291a9,0x09e100a2,0x27e991aa}},	//   rów_, _caor, पण्य, _ndan_, 
   {{0x3d01006a,0x6e211691,0xe3bf0068,0x7c221a29}},	//   sów_, _talb, _gañe_, _daor, 
   {{0xe9d90515,0x27e991ab,0xda6500dd,0x3d0100ab}},	//   шко_, _adan_, івни, pów_, 
   {{0x69c191ac,0x26c90489,0xd945636f,0x672d487b}},	//   rcle, _atao_, цени, _araj, 
   {{0x672d91ad,0x27e913dd,0x7c224aec,0x69c112eb}},	//   _braj, _cdan_, _gaor, scle, 
   {{0x442291ae,0xeb8e91af,0xb69b91b0,0x644691b1}},	//   _rak_, _ци_, rtân, _roki, 
   {{0x44220950,0x8aa73dc8,0x672d91b2,0xb69b91b0}},	//   _sak_, _уред, _draj, stân, 
   {{0x442291b3,0x644691b4,0xa96617e0,0x27e901f2}},	//   _pak_, _poki, _миша_, _fdan_, 
   {{0x7c220183,0x229400c8,0x236002b0,0x53ca2163}},	//   _xaor, mäki_, tzij_, ргам_, 
   {{0xc5d90086,0x6446012d,0x442291b5,0x47a80086}},	// [8b40] _তারপ, _voki, _vak_, _ক্রী, 
   {{0x442291b6,0x27e901ff,0xd1961221,0x437521bd}},	//   _wak_, _zdan_, ошењ, чуст, 
   {{0x644691b7,0x29050369,0xe5a62c25,0xa2da009a}},	//   _toki, ntla_, _фини, _पौर्, 
   {{0xd00a0267,0x442291b8,0x00000000,0x00000000}},	//   реде_, _uak_, --, --, 
   {{0x9eaa5081,0x4ea605e1,0x245c010e,0xfd6500d3}},	//   авда_, орка, _címe_, үнчү, 
   {{0xe29791b9,0x412a3424,0x7c22009f,0x64810243}},	//   _мая_, _кого_, _saor, rķie, 
   {{0x910354ad,0xf9870491,0x7c220097,0x998c0083}},	//   _опре, _آب_, _paor, zedł_, 
   {{0x9c7c05d5,0x2fc4019c,0xa4b700d1,0x00000000}},	//   _evčn, _ufmg_, חלקה_, --, 
   {{0x6fd00262,0x27e991ba,0x00000000,0x00000000}},	//   _ड्यू, _rdan_, --, --, 
   {{0xda4a04f5,0xc3140033,0x764800c8,0x7c22025b}},	//   рчил_, সিপি_, ödyl, _waor, 
   {{0x26c9090b,0x7c2200a9,0x91bb00a7,0xe8951628}},	//   _stao_, _taor, ימיי, зань, 
   {{0x672d8744,0xc867004f,0x00000000,0x00000000}},	//   _praj, ітни, --, --, 
   {{0x290591bb,0x674700e4,0x3b0700b3,0x5a4600d9}},	//   atla_, цэнз, _мецо_, _мэка, 
   {{0x672d21b3,0x00000000,0x00000000,0x00000000}},	//   _vraj, --, --, --, 
   {{0x746b1a2e,0xe599017b,0x00000000,0x00000000}},	//   арав_, скві_, --, --, 
   {{0x672d91bc,0xd6db030f,0x27e991bd,0x229d0379}},	//   _traj, _кто_, _udan_, dìka_, 
   {{0xddcb0032,0x8c1b00d1,0x24580080,0x672d016c}},	// [8b50] _čižm, סומי, цать_, _uraj, 
   {{0x6cea02e6,0xbebd0028,0x245c020b,0x00000000}},	//   _टिंग_, _krūv, _ríme_, --, 
   {{0x30150d18,0xc0150088,0x7d0d0035,0x659591be}},	//   здер, змещ, łasz, _хану, 
   {{0x351a00d1,0x00000000,0x00000000,0x00000000}},	//   _פורנ, --, --, --, 
   {{0x80dc0033,0xce950093,0xa3cb029c,0x00000000}},	//   মূল্, падъ, रुण_, --, 
   {{0x518791bf,0x245c00bc,0x290591c0,0xb2ba00d1}},	//   _дуба, _víme_, ytla_, _למשר, 
   {{0xdfd52c1b,0xdb1b03da,0x290591c1,0x00000000}},	//   _новы, rcuí, xtla_, --, 
   {{0x0b4500cf,0xc57c00a7,0x80270019,0xdb1b0183}},	//   знин, ירות, _برآم, scuí, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xadf41211,0xe8f908d1,0x00000000,0x00000000}},	//   _опуш, бло_, --, --, 
   {{0xbd6b24e1,0xdcef0009,0x29050369,0x088a91c2}},	//   _трае_, _įdėt, utla_, йбой_, 
   {{0x315600c7,0x48dc00aa,0x78760243,0x29051669}},	//   פירן_, _खबरो_, kšve, rtla_, 
   {{0x290591c3,0x69cc0fc0,0xd5b801dd,0xfa831491}},	//   stla_, _द्वी, žām_, _оқим, 
   {{0xfe79031e,0xd11b009a,0x00000000,0x00000000}},	//   _svůj_, नबाण_, --, --, 
   {{0xceb20309,0x64a6012d,0x845a91c4,0x0f180110}},	//   תים_, зава, брат_, _धन्स_, 
   {{0x98a31078,0x00000000,0x00000000,0x00000000}},	//   _пище, --, --, --, 
   {{0x08770147,0x00000000,0x00000000,0x00000000}},	// [8b60] _מעקט_, --, --, --, 
   {{0x27e202cd,0x4223017b,0x00000000,0x00000000}},	//   lakn_, ндув, --, --, 
   {{0x34a40148,0x657a007a,0xfe7902d9,0x6d4513ba}},	//   _огоҳ, úthd, _tvůj_, ähal, 
   {{0x645f00a3,0xdd1e02d9,0xa06a0267,0x48dd017d}},	//   chqi, tíže, љада_, कीयो_, 
   {{0xddcf031e,0x00000000,0x00000000,0x00000000}},	//   _řeše, --, --, --, 
   {{0xdd9408ad,0x229d023a,0x27e20175,0x00000000}},	//   малы, pìka_, hakn_, --, 
   {{0x64930095,0x64bc00a1,0x20da1372,0x09da0033}},	//   rçiv, _dōig, _دوزخ_, _দালা, 
   {{0x321a00ab,0x9e660a24,0x6444016a,0xd007004f}},	//   lepy_, _کارن, njii, _несе_, 
   {{0xaae60038,0xbd01039b,0x00000000,0x00000000}},	//   أسبو, _éénd, --, --, 
   {{0x7aef310e,0xe3bf1cf0,0xc98691c5,0x78a40027}},	//   ácta, _maña_, зуми, _ahiv, 
   {{0xfe45015f,0x2d9e2faf,0x00000000,0x00000000}},	//   _تکنی, _uzte_, --, --, 
   {{0x78a491c6,0x7ac6005e,0x6b82006d,0x644402a5}},	//   _chiv, _еске, _txog, jjii, 
   {{0x2bd212e3,0xd83803a1,0xb903258c,0xc05300df}},	//   _ध्या, чээ_, _पौ_, גזר_, 
   {{0x80d20086,0x195813cf,0x6b630176,0x78a400bd}},	//   _হিন্, _малы_, _якча, _ehiv, 
   {{0x55580a10,0x00000000,0x00000000,0x00000000}},	//   паря_, --, --, --, 
   {{0x958400ab,0xbebd2ea3,0xe3bf91c7,0x78a400b3}},	//   _łącz, _krūt, _baña_, _ghiv, 
   {{0xe3bf05b9,0xa2b500dd,0x00000000,0x00000000}},	// [8b70] _caña_, дбач, --, --, 
   {{0x645f5e17,0xe3bf0369,0x61fe2be3,0xe3b00038}},	//   shqi, _daña_, ggpl, طرق_, 
   {{0x68fa91c8,0x00000000,0x00000000,0x00000000}},	//   nutd, --, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x442915c3,0x443991c9,0xe3bf03da,0x645d007b}},	//   mda_, _ins_, _gaña_, _ilsi, 
   {{0x44391799,0xef182072,0x5fce00aa,0x479c0070}},	//   _hns_, ямі_, हुबल, ציגס, 
   {{0x442991ca,0xc1050195,0x70590148,0x00000000}},	//   oda_, _توزي, _давр_, --, 
   {{0xf53800c7,0xcac90088,0x68fa012b,0x81c701dd}},	//   לטור_, огие_, dutd, _dzēš, 
   {{0xdb09027e,0x89f50cfe,0x649391cb,0xbf2400d8}},	//   _önüm, мянц, lçis, áště, 
   {{0x442991cc,0x2fdf033e,0x2bff0033,0x1dc60d0d}},	//   hda_, _heug_, ্যেই_, रुआत, 
   {{0x443991cd,0x442940b9,0x27e202cd,0x3ebf3233}},	//   _ons_, kda_, takn_, _huut_, 
   {{0x442991ce,0x2fdf0876,0x66e65f28,0x443908b0}},	//   jda_, _jeug_, мома, _nns_, 
   {{0x442991cf,0xbebd00e0,0x61fe014e,0x9c7c7811}},	//   dda_, _grūt, ygpl, _ovčj, 
   {{0x443991d0,0x442991d1,0x3ebf0088,0xe3bf0068}},	//   _ans_, eda_, _muut_, _raña_, 
   {{0xe96991d2,0x7afb03f0,0x27e202cd,0xb4040161}},	//   _файл_, luut, pakn_, нүнд, 
   {{0x442991d3,0x5ed30086,0x64bc0fb5,0x00000000}},	//   gda_, _সিনে, _očiv, --, 
   {{0x7c2991d4,0xb2260842,0x7afb0088,0xda0e00e7}},	// [8b80] ider, ммал, nuut, _mỏng_, 
   {{0x443991d5,0x442991d6,0x4426778f,0x645d6136}},	//   _ens_, ada_, žo_, _elsi, 
   {{0x661c91d7,0x27e002ec,0x7c2961db,0x61fe91d8}},	//   merk, _kein_, kder, rgpl, 
   {{0x7c2991d9,0x44290248,0x7afb91da,0x3ebf91db}},	//   jder, cda_, kuut, _buut_, 
   {{0x27e002ec,0x2fdf01c5,0xa3aa0db3,0xa37b02aa}},	//   _mein_, _deug_, गेश_, _peõe, 
   {{0x7c2991dc,0x27e002bf,0x3a27012b,0x27450034}},	//   eder, _lein_, _nanp_, _hënë_, 
   {{0xda0e00e7,0x2ee60065,0x90c3011f,0xa3aa00bc}},	//   _bỏng_, ssof_, _абсе, गेर_, 
   {{0x672491dd,0x27e0394a,0x77660065,0x661c91de}},	//   _osij, _nein_, kzkx, herk, 
   {{0x1dcf4437,0x7afb3b96,0x20041032,0xeb970267}},	//   _स्वत, guut, _icmi_, мић_, 
   {{0x442991df,0xdb2200ab,0x2745024a,0x661c91e0}},	//   zda_, _źród, _lënë_, jerk, 
   {{0x442991e1,0x27e00c58,0x672491e2,0x61e100b0}},	//   yda_, _bein_, _asij, _õlle, 
   {{0x44291ada,0x26c000fd,0x2745024a,0x68fa91e3}},	//   xda_, _buio_, _nënë_, rutd, 
   {{0x27e002f2,0x44397745,0x26c00183,0x6e280065}},	//   _dein_, _rns_, _cuio_, _kadb, 
   {{0x443991e4,0x661c91e5,0x442991e6,0x659501fc}},	//   _sns_, gerk, wda_, еагу, 
   {{0x4429369b,0x27e091e7,0x4439281e,0x6fde0077}},	//   tda_, _fein_, _pns_, मरां, 
   {{0xd5b81589,0x442991e8,0x6e28098d,0x27e091e9}},	//   ься_, uda_, _ladb, _gein_, 
   {{0x6e3a0af8,0xa3aa00a2,0x38ba01dd,0x2fdf0175}},	// [8b90] _ontb, गेल_, _vīru_, _reug_, 
   {{0x767405e0,0x6e2848a8,0x27e002ba,0x2fdf033e}},	//   _альф, _nadb, _zein_, _seug_, 
   {{0x7c2961d4,0x660502f1,0x24820180,0x25d600d1}},	//   yder, _ichk, _fjkm_, _אותן_, 
   {{0x443991ea,0x442991eb,0x245c010d,0x603e00d9}},	//   _uns_, qda_, _tíma_, _rămâ, 
   {{0x6e2891ec,0x22940219,0x7c292cce,0x32c40248}},	//   _badb, täkt_, vder, _göy_, 
   {{0xceb800ab,0x603e00d9,0x6da561bb,0x7afb00c8}},	//   _cię_, _pămâ, нила, vuut, 
   {{0xdc3a027e,0x2ca601be,0x61e591ed,0x6e2803c6}},	//   _açıs, _bhod_, mahl, _dadb, 
   {{0x69ca91ee,0x61e591ef,0x7c2991f0,0x22940219}},	//   _affe, lahl, uder, säkt_, 
   {{0x7c2955f1,0x27e091f1,0x661c2639,0x3ed907cb}},	//   rder, _rein_, yerk, _رواج_, 
   {{0x27e091f2,0x7c290dc2,0x394591f3,0x7afb91f4}},	//   _sein_, sder, еног, ruut, 
   {{0x661c0be0,0x7afb91f5,0x5bb900b3,0x2d80020f}},	//   verk, suut, _елея_, şier_, 
   {{0xed5607f5,0x661c91f6,0x61e50149,0x6e280035}},	//   _אבער_, werk, hahl, _zadb, 
   {{0x661c91f7,0x443e001b,0x3a2706df,0x61e591f8}},	//   terk, _đt_, _tanp_, kahl, 
   {{0xe3bf91f9,0x64bc821b,0x7ae991fa,0x27e00380}},	//   _baño_, _očit, mset, _wein_, 
   {{0x61e50666,0xa97900c7,0x7ae991fb,0xf0fe18f2}},	//   dahl, _מאַכ, lset, _उमेद_, 
   {{0x7bc94a5f,0x46ea048a,0x661c91fc,0xe3bf05b9}},	//   nceu, _един_, serk, _daño_, 
   {{0x7ae991fd,0x2745024a,0x386091fe,0xd9f34361}},	// [8ba0] nset, _vënë_, _ilir_, _आयात_, 
   {{0x2cad91ff,0x7ae99200,0x99850019,0x33200068}},	//   hmed_, iset, lelő_, rwix_, 
   {{0x7ae90f7f,0xf77f02aa,0x50ba1169,0x6e289201}},	//   hset, maça_, سداد_, _radb, 
   {{0xceb82125,0x62959202,0x68fc03a1,0x7ae99203}},	//   _się_, _ekzo, àrdi, kset, 
   {{0xe805109f,0x2cad007e,0x7ae950cf,0x61e579fb}},	//   ष्टा_, dmed_, jset, bahl, 
   {{0x7ae99204,0xf77f022c,0x9c7c00ca,0x7bcb5cf1}},	//   dset, naça_, _ivči, _afgu, 
   {{0xf65300fe,0x6e28008b,0x7ae93251,0xdd930a31}},	//   רצו_, _vadb, eset, лашы, 
   {{0x7ae942e2,0xffc100f0,0x79660175,0x6b9900f3}},	//   fset, _көшп, _léwé, _bywg, 
   {{0x6e2831f9,0x3f810785,0x7ae99205,0x2ca64356}},	//   _tadb, şhur_, gset, _vhod_, 
   {{0xdb230038,0x38609206,0x4a548dc6,0x24801f44}},	//   órái, _alir_, ткос, hnim_, 
   {{0x38609207,0x88bc031e,0x67d59208,0xdca69209}},	//   _blir_, jvět, кону, _зажи, 
   {{0x248000d0,0x61e502f2,0xa3b10367,0x2cad016a}},	//   jnim_, zahl, टेड_, cmed_, 
   {{0x248003ef,0x64bc1920,0xe784920a,0xf77f02be}},	//   dnim_, _očis, гуро, faça_, 
   {{0xbb3b1a61,0x09e30086,0xe3bf0327,0x2480016a}},	//   _מעדי, _মাথা, _paño_, enim_, 
   {{0xceb300c7,0x8933022a,0x79663f82,0xdb19023e}},	//   טיש_, _معيا, _déwé, _rgwé, 
   {{0x61e5920b,0xa3cb0299,0x386000f8,0x47350024}},	//   wahl, रुं_, _glir_, _анис, 
   {{0xf77f019c,0x09e30033,0x66050118,0x290c02be}},	// [8bb0] baça_, _মাতা, _tchk, ltda_, 
   {{0x7afd00d3,0x2480920c,0xa1596804,0xb27490af}},	//   àsti, anim_, мазу_, глуш, 
   {{0xdfd100eb,0x61e5920d,0xf7730019,0x290c02f1}},	//   ليا_, rahl, _جاں_, ntda_, 
   {{0x248004d1,0x1b170086,0x61e500e2,0xddc80a1a}},	//   cnim_, তিতে_, sahl, _ćoša, 
   {{0xd9ad2df7,0x4f58004f,0xa3cb021a,0xfbc30259}},	//   _घण्ट, ницю_, रुः_, құло, 
   {{0x7ae9920e,0x442b920f,0x644f703a,0x9985039f}},	//   vset, _hac_, _hoci, zelő_, 
   {{0x64bc1e34,0x518423a9,0xfc3100eb,0x2cad9210}},	//   _učit, _бута, لحة_, tmed_, 
   {{0x7ae99211,0x63a25d5a,0xf19427eb,0xf3ff019c}},	//   tset, żone, _сись, _imãs_, 
   {{0x4aa99212,0x644f1cf2,0x1c421c0f,0x2cad5094}},	//   мкин_, _moci, рным, rmed_, 
   {{0x7ae99213,0x24801993,0x5ba4005e,0x442b9214}},	//   rset, znim_, ылығ, _lac_, 
   {{0x442b03dd,0xa9691a31,0x09e30033,0x0cab00a3}},	//   _oac_, фина_, _মাদা, _етди_, 
   {{0x442b0156,0x7ae99215,0x00000000,0x00000000}},	//   _nac_, pset, --, --, 
   {{0x7c2b0175,0x9985039f,0x290c0248,0x00000000}},	//   _iagr, relő_, atda_, --, 
   {{0xf1b106ea,0x23690035,0xa3d4009a,0x9985010e}},	//   जधान, dzaj_, सुन_, selő_, 
   {{0x442b9216,0x7c2b3942,0xd4f50504,0xf77f2768}},	//   _bac_, _kagr, ляты, raça_, 
   {{0x644f128a,0x442b9217,0xc4831297,0x386002a2}},	//   _coci, _cac_, алск, _ulir_, 
   {{0x7c2b9218,0xa3e3010b,0x88bc00bc,0x130a00e4}},	// [8bc0] _magr, _नजर_, svět, ьнай_, 
   {{0x2480090b,0x7c2b9219,0x442b6add,0x8bff0086}},	//   snim_, _lagr, _eac_, ্যটন_, 
   {{0x442b0012,0x644f010e,0x71c401a2,0x00000000}},	//   _fac_, _foci, ваҷҷ, --, 
   {{0xd00f0c72,0x7e61921a,0x644f0082,0xa3cb00c2}},	//   قلم_, _allp, _goci, रुआ_, 
   {{0x4420921b,0xbe8a7ebe,0x1eaa007a,0x00000000}},	//   mei_, мске_, واتي_, --, 
   {{0x4420921c,0x290c369b,0x765c6067,0xdce10540}},	//   lei_, ytda_, nkry, _aylı, 
   {{0x61430c67,0x3cfd031e,0xc0e35dbb,0xe29700d9}},	//   _кера, रूले_, _воск, _рар_, 
   {{0x40952035,0x442b0108,0x648101dd,0x91bf0108}},	//   _брут, _xac_, eķij, _đủ_, 
   {{0x7c2b1979,0x4420921d,0xaf0606b3,0x26d22f43}},	//   _dagr, iei_, _шпал, _ntyo_, 
   {{0x7c2b3aa5,0x4420921e,0xad5a08b8,0x27f203c6}},	//   _eagr, hei_, _орех_, _adyn_, 
   {{0x4420921f,0xdd1f0187,0x5ec70086,0x7c2b753f}},	//   kei_, píšt, রীদে, _fagr, 
   {{0x290c1d97,0x7c2b009c,0x7e780242,0x44209220}},	//   rtda_, _gagr, livp, jei_, 
   {{0x44209221,0x6d58012d,0x290c2edb,0xe7879222}},	//   dei_, lyva, stda_, туно, 
   {{0x7c2b9223,0x442b9224,0x645a0216,0x7c20039f}},	//   _zagr, _sac_, êtin, lemr, 
   {{0x644f08f5,0x2419058b,0x25a50219,0xa25b00e7}},	//   _poci, новы_, åll_, _buôn, 
   {{0x44209225,0x629e039b,0xe80a075a,0x00000000}},	//   gei_, elpo, _वाया_, --, 
   {{0x644f1c16,0xf77f02be,0x00000000,0x00000000}},	// [8bd0] _voci, maço_, --, --, 
   {{0x644f045a,0xf77f9226,0x00000000,0x00000000}},	//   _woci, laço_, --, --, 
   {{0xf7700817,0x44209227,0x212700f7,0x6d5d06d0}},	//   _های_, bei_, ình_, _əsas, 
   {{0xcfde00cc,0x44209228,0x442b9229,0x644f0613}},	//   _ডাউন, cei_, _uac_, _uoci, 
   {{0xd9e300a5,0x7c2b033e,0xdd101102,0xd00e149e}},	//   _ग़लत_, _ragr, výše, سلو_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x7c2b922a,0xd7e3009a,0x6d58922b,0x69da0d07}},	//   _pagr, पराच, gyva, dbte, 
   {{0x0c2569bc,0x249900e2,0xae050466,0xa6d90033}},	//   умин, _jksm_, _रावन_, _তিনট, 
   {{0x78660a22,0xf77f0165,0x9e070a10,0xfe7902d9}},	//   _jóve, daço_, _ачел, _dvůr_, 
   {{0x786603b7,0x1dc73785,0xd9e30086,0x4a45922c}},	//   _móve, _ललित, _মাহম, унов, 
   {{0x37e6922d,0x7c2b922e,0x4420010e,0xe2a601d5}},	//   лонг, _tagr, yei_, íðin_, 
   {{0x4420922f,0xe43c00bc,0xbbeb1c03,0xf77f019c}},	//   xei_, _příč, _آرام_, gaço_, 
   {{0x44209230,0x7866008c,0x81e90086,0x7bdb9231}},	//   vei_, _nóve, _যান_, mbuu, 
   {{0xa9a500cf,0x38ca00c5,0x7bdb29c9,0xa25b0108}},	//   _йилд, بایی_, lbuu, _suôn, 
   {{0x765c9232,0x7cd100e0,0x4256004e,0x7afb042a}},	//   rkry, _dārg, қтат, lrut, 
   {{0x9f44078a,0x765c0691,0x78664ae7,0x7bdb10f3}},	//   _demê_, skry, _bóve, nbuu, 
   {{0x64a330f4,0xa25b00e7,0x7afb03d8,0x52aa8311}},	// [8be0] сата, _vuôn, nrut, евам_, 
   {{0x44209233,0x61469234,0x00000000,0x00000000}},	//   sei_, леза, --, --, 
   {{0x629e2333,0x44209235,0xe3b200d6,0xea7600c7}},	//   rlpo, pei_, _گرد_, נגער_, 
   {{0x7afb9236,0x04463ffa,0xb4fb1a61,0x628701b8}},	//   krut, _семн, _אפטי, _ejjo, 
   {{0x7e780f23,0xe3b211b7,0x7afb0ab4,0x00000000}},	//   tivp, _درد_, jrut, --, 
   {{0x6d580009,0xb5e20033,0x11da0038,0x644b00c2}},	//   tyva, _বাঁচ, _سورة_, ögiv, 
   {{0x2cc90187,0xa3cb1503,0x01660080,0xd24f01c9}},	//   _ľudí_, रुक_, _скво, _عنف_, 
   {{0x7afb9237,0x7bdb0495,0x4e09031e,0xdd8400f0}},	//   frut, gbuu, _साथै_, лықп, 
   {{0x68f50076,0x30759238,0x78660068,0xa3cc1dce}},	//   ázdn, _турс, _xóve, _ललन_, 
   {{0x3914752b,0x37e10033,0x9c7c0237,0xfe7500d3}},	//   амор, _ভাইর, _avčt, _күч_, 
   {{0x69da0eb5,0x7afb878d,0x7bdb0539,0x00000000}},	//   rbte, arut, bbuu, --, 
   {{0x7afb9239,0x3ebe923a,0xd84741a2,0x19a71bb9}},	//   brut, _hitt_, ухоп, ытып_, 
   {{0x7afb923b,0xf77f02a0,0x7c9300eb,0x70e102e6}},	//   crut, raço_, _النص, _पब्ल, 
   {{0x26e5000f,0xcf9300d1,0x6d490035,0x631d0033}},	//   _कबीर_, מטר_, ślał, নিময়_, 
   {{0x3ebe26a6,0xf77f03b7,0x9f520216,0x67d503a1}},	//   _mitt_, paço_, ûyê_, _койу, 
   {{0x3ebe0b0c,0x248d052a,0x7ae2923c,0x291c02aa}},	//   _litt_, čemo_, _kwot, _ipva_, 
   {{0xb2752f0d,0x78ad923d,0x42750009,0x81e90033}},	// [8bf0] алаш, _ihav, агас, _যাব_, 
   {{0x7aef128a,0x5ed300cc,0xe7040019,0x05be0083}},	//   ácti, _সিলে, _اسٹی, ्डखब, 
   {{0xf1a78b8c,0xcfd60033,0xe796009c,0x2d9e017b}},	//   уран, _হয়ন, _مایک, _nyte_, 
   {{0x6f0202a3,0x7cd10243,0x7afb923e,0x897b0147}},	//   fuoc, _jāre, yrut, עראצ, 
   {{0xb817185c,0xe8170190,0x200901dd,0x78bf0034}},	//   ध्यम_, ध्या_, ļai_, _miqv, 
   {{0x62832645,0x7bc20118,0x644d923f,0x7afb02ae}},	//   čnos, _agou, ljai, vrut, 
   {{0x3ebe9240,0xd6580056,0x30a71e0a,0x7ae276c9}},	//   _ditt_, ריות_, _брав, _awot, 
   {{0xeb992d10,0x7afb9241,0x3ebe25f2,0x62974440}},	//   кий_, trut, _eitt_, loxo, 
   {{0x6f1b003a,0x50642c56,0xeeb900f0,0x7bdb9242}},	//   _upuc, _утра, _алаш_, rbuu, 
   {{0x62859243,0x7cd1002a,0x7afb9244,0x3ebe00dd}},	//   nnho, _pārd, rrut, _gitt_, 
   {{0x61e79245,0x8886078c,0x68469246,0x186a1c52}},	//   _mejl, илож, анна, вани_, 
   {{0xfa2500cc,0x7cd1002a,0x78ad9247,0x7c846a25}},	//   বাইল_, _vārd, _chav, _луче, 
   {{0xe9ce21a9,0x1ae500f0,0x7ae25c4f,0x7d039248}},	//   _мк_, _толм, _gwot, luns, 
   {{0x61e7000d,0x6e239249,0xe7f2031e,0x6285924a}},	//   _nejl, nenb, _आएका_, jnho, 
   {{0xc6280086,0x7d03924b,0x9f440034,0xa966017b}},	//   মালা_, nuns, _pemë_, _вища_, 
   {{0x26c4924c,0x6e23290e,0xdd0100bc,0x68fc0183}},	//   ímos_, henb, _štěs, árde, 
  
   {{0xa3b100a2,0xe29a02a0,0x6e23924d,0xb89b00a7}},	// [8c00] टेल_, ваа_, kenb, _בבקש, 
   {{0x60c7040c,0xc243205c,0x6e23039b,0x00000000}},	//   _bujm, онук, jenb, --, 
   {{0x3f9f27ea,0x61e701cc,0x7d030588,0x6e23194c}},	//   _ayuu_, _dejl, juns, denb, 
   {{0x3ebe0be0,0x60c7035f,0x78ad024a,0x41b501a2}},	//   _sitt_, _dujm, _xhav, ссут, 
   {{0x61e7924e,0x6e232c6f,0x2d9e924f,0x9f34761c}},	//   _fejl, fenb, _syte_, селі, 
   {{0x6e239250,0x81b50086,0x61e76b96,0x7d030727}},	//   genb, ছুই_, _gejl, funs, 
   {{0x3ebe58aa,0xafe6012d,0xddc800ab,0x721b07e4}},	//   _vitt_, _вобл, _podł, _שולח, 
   {{0x7ae20cd7,0x44327963,0xe7f20083,0x00000000}},	//   _pwot, ndy_, _आएगा_, --, 
   {{0x15e6000f,0x6e237cc4,0x4e2a002e,0x3ebe31b7}},	//   करार_, benb, _иоан_, _titt_, 
   {{0x60c0549d,0x78ad9251,0x2d965469,0xf1aa0035}},	//   _himm, _shav, _крес, _करान, 
   {{0x44320076,0x7d039252,0x7cd101dd,0x9f440118}},	//   kdy_, cuns, _pāre, _semè_, 
   {{0x69c31494,0x60c0529f,0x68e303c6,0x7ae20237}},	//   _egne, _jimm, _dwnd, _twot, 
   {{0x7ad403b8,0x629c9253,0x3ce9015e,0x628500f8}},	//   _اقتص, _okro, ćave_, ynho, 
   {{0x60c09254,0x44320228,0x7afd9255,0xe6642ee5}},	//   _limm, edy_, áste, отсо, 
   {{0x58879256,0xd49b46e3,0xa4d5004f,0x644d78a7}},	//   _выпа, вра_, собі, tjai, 
   {{0x61300105,0x60c09257,0x61e7055f,0x6e239258}},	//   zólá, _nimm, _sejl, zenb, 
   {{0x644d9259,0xa3b10035,0x62970068,0x6e23925a}},	// [8c10] rjai, टें_, toxo, yenb, 
   {{0x62850920,0xa3cb641b,0x6e23925b,0x672d008a}},	//   unho, रुज_, xenb, _isaj, 
   {{0x61e701cc,0x6113031e,0x6285925c,0x6e23127f}},	//   _vejl, dělá, rnho, venb, 
   {{0x27e9925d,0x9ef50038,0x6e23039b,0x00000000}},	//   _jean_, مستش, wenb, --, 
   {{0x6e23925e,0x53340088,0x61e707d1,0xda062a48}},	//   tenb, _деят, _tejl, _शांत_, 
   {{0x672d0053,0x7d03925f,0x7ead0228,0x98a800bc}},	//   _msaj, tuns, kúpe, _brně_, 
   {{0x60c0008c,0x40350141,0x245c008c,0x6e233440}},	//   _fimm, _левс, _sími_, renb, 
   {{0x7cd100e0,0x213e00eb,0x6b8400ef,0x7d039260}},	//   _pārb, _átha_, _žiga, runs, 
   {{0x9f44055a,0x6e239261,0x7d032c3e,0x69c300b9}},	//   _hemî_, penb, suns, _pgne, 
   {{0x443231bd,0x60c09262,0x7d0300c5,0x26c102b8}},	//   zdy_, _zimm, puns, _niho_, 
   {{0x44329263,0x7c87187f,0x98bf0028,0xd90c0e0e}},	//   ydy_, _куде, nytė_, نیو_, 
   {{0x245c003e,0xed350019,0x27e901be,0xca8403a1}},	//   _tími_, _پوچھ, _cean_, йгөй, 
   {{0x4432014b,0x26c10175,0xae0e059e,0x8c160038}},	//   vdy_, _biho_, _सामन_, _طيور_, 
   {{0xa3bd24ef,0x69c39264,0xa50a2756,0x98bf0028}},	//   ेखन_, _ugne, лега_, kytė_, 
   {{0x33f607f4,0x27e991e9,0x255900d9,0xba74007a}},	//   йчас, _fean_, артэ_, _بانت, 
   {{0x27e900e1,0x29059265,0x232a0258,0xe8170425}},	//   _gean_, mula_, лоби_, ध्दा_, 
   {{0x29059266,0xe73a1c52,0x60c09267,0x61ea0a6d}},	// [8c20] lula_, _сеп_, _rimm, ðflo, 
   {{0x200d020f,0x44323869,0xb7d7009c,0x3a2502be}},	//   _acei_, sdy_, _پویا_, nelp_, 
   {{0x27e90065,0x62830ab4,0xa3cb00bc,0xd65700d1}},	//   _yean_, čnop, रुङ_, _היית_, 
   {{0x3a259268,0x60c000a3,0xcf469269,0x64930241}},	//   help_, _qimm, йней, kçiy, 
   {{0x2905926a,0x60c0926b,0x11d60451,0x60db0082}},	//   hula_, _vimm, _гібр, _čume, 
   {{0x29054dcd,0x412a0b0c,0xa3d40c46,0x5be00fc0}},	//   kula_, _його_, सुर_, नर्व, 
   {{0x60c0926c,0x2905926d,0xc27b0070,0x00000000}},	//   _timm, jula_, _ערלי, --, 
   {{0x2905926e,0xbf4d00bc,0xcefd0241,0x00000000}},	//   dula_, _šířk, üğün_, --, 
   {{0xdee302f1,0xfbcf091d,0x7cd101dd,0x403600f0}},	//   _ноти, رتي_, _pārc, _кеңс, 
   {{0x2905926f,0x7f3b0070,0x3e860535,0x27e91921}},	//   fula_, _געמו, _اشرف, _sean_, 
   {{0x29059270,0x6e931d38,0x6da60eea,0x27e99271}},	//   gula_, _علما, _امام, _pean_, 
   {{0x6ca60a24,0xc8679272,0x26c1016c,0x244e02d9}},	//   _اصطل, стои, _siho_, _týmy_, 
   {{0x27e99273,0x26c102dc,0xb8ef00c2,0x25a400ad}},	//   _vean_, _piho_, _वू_, əmli_, 
   {{0x29050298,0xae1b02e6,0x3cef009a,0x672d0604}},	//   bula_, प्पन_, ींचे_, _vsaj, 
   {{0x29051d9c,0x280400bc,0x27e900b0,0x81ce0033}},	//   cula_, ásné_, _tean_, ররা_, 
   {{0xd5d90f63,0x81c00086,0x213f00ef,0x985d0035}},	//   _ब्रज, ীরা_, _čuh_, _błąd_, 
   {{0x32550c21,0x672d0053,0x7cd10caf,0xb7dc0070}},	// [8c30] овар, _usaj, _māra, _עקזי, 
   {{0x98bf0009,0xf8c90108,0x6a640237,0x00000000}},	//   tytė_, _mẩn_, _mòfo, --, 
   {{0x386953cc,0x9f52078a,0x349501a2,0x50b9009c}},	//   _klar_, ûyî_, _маор, لگرد_, 
   {{0x3e6b00dd,0x7cd10339,0x00000000,0x00000000}},	//   _møte_, _nāra, --, --, 
   {{0xddc502fb,0x29059274,0x24896996,0xddc80118}},	//   обли, zula_, mnam_, _modņ, 
   {{0xdce8091f,0x38695750,0x78761b03,0x539a2665}},	//   _aydı, _llar_, ršvi, _כירו, 
   {{0xe80a1139,0x386906d0,0x24899275,0xb7fb08c6}},	//   _वाला_, _olar_, onam_, ्लाम_, 
   {{0x2905044d,0xf8c900e7,0xd9e102e6,0x5f741372}},	//   vula_, _bẩn_, फर्ट, _کافر, 
   {{0x29056e15,0x24899276,0xf8c900e7,0x7645039b}},	//   wula_, inam_, _cẩn_, _onhy, 
   {{0x29053cc8,0x38695b9f,0x2489040c,0xf8c90108}},	//   tula_, _alar_, hnam_, _dẩn_, 
   {{0xd8262c45,0x38699277,0x29110216,0x00000000}},	//   одни, _blar_, îza_, --, 
   {{0x38699278,0xe73a9279,0x764500f8,0x68fc526a}},	//   _clar_, аем_, _anhy, árda, 
   {{0x2905927a,0xda35012d,0xfb85010e,0x248909c7}},	//   sula_, _меды, _بدای, dnam_, 
   {{0x2905927b,0x24892409,0x7ae4927c,0x3869059e}},	//   pula_, enam_, _çita, _elar_, 
   {{0x66010679,0x65c322c5,0xb6a301ff,0x00000000}},	//   ólka, дбра, фирл, --, 
   {{0x60c95e03,0x0443643d,0x9f4f01d5,0x7cf00354}},	//   _čemp, месн, yggð_, _hórá, 
   {{0xd4673065,0x161b07d5,0xc8890b7e,0x02ed00a5}},	// [8c40] ците_, _पॉवर_, _دخول_, _चौदह_, 
   {{0xae0e0239,0x386900a3,0x78a6927d,0x25ad00d8}},	//   _साधन_, _zlar_, llkv, řela_, 
   {{0x4fc63ea0,0x7cf00038,0x2489927e,0x00000000}},	//   осла, _mórá, bnam_, --, 
   {{0x1b200033,0xdfd00e90,0xa2aa0df2,0xa06a05b2}},	//   বিতে_, ريت_, _जीर्, јада_, 
   {{0x6446927f,0x81e90086,0x00000000,0x00000000}},	//   _inki, _যার_, --, --, 
   {{0x72c3030f,0x6b840d9d,0xccfa0267,0x3e8700fd}},	//   _обяз, _žigo, аћи_, ойчо_, 
   {{0x2612007e,0x78660183,0x68ed0035,0x6a6400b9}},	//   _तानी_, _nóvo, _ładn, _sòfo, 
   {{0x6ab215ba,0x245c0032,0x2258039b,0x00000000}},	//   ँग्र, _tímu_, _hork_, --, 
   {{0x3ce900f1,0x3e6b017b,0x386901ff,0x69cf00d8}},	//   ćava_, _søte_, _rlar_, ěcen, 
   {{0x248945f8,0x7afd9280,0x6f021f14,0x22589281}},	//   znam_, ásta, mroc, _jork_, 
   {{0x2bac0394,0x644600c8,0x20d7007b,0x2258315c}},	//   _चरवा, _onki, _għid_, _mork_, 
   {{0x0b469282,0x6f020474,0x6a6403dd,0x4e1600bc}},	//   _мнен, oroc, _tòfo, प्रै_, 
   {{0x786d0218,0xf8c90108,0x00000000,0x00000000}},	//   _nûve, _uẩn_, --, --, 
   {{0x64469283,0x628e00ef,0x22580a9f,0x95c800fd}},	//   _anki, _njbo, _nork_, жута_, 
   {{0xd7fb9284,0x64c50df2,0x555800d9,0x00000000}},	//   _куп_, वदेश, оаря_, --, 
   {{0x386900cf,0xd14b0274,0x6f0214f2,0x88bd00d8}},	//   _ular_, یشان_, kroc, hvěz, 
   {{0x24899285,0x22580b28,0x4cb40033,0x00000000}},	// [8c50] rnam_, _bork_, ঁদপু, --, 
   {{0x93880965,0xe81702e6,0x64469286,0x248985fb}},	//   іста_, ध्रा_, _enki, snam_, 
   {{0x7ea4022c,0x9c7c0118,0x248002a5,0x00000000}},	//   còpi, _pwčl, biim_, --, 
   {{0x349508ba,0x00c8005e,0xc95300c7,0x6f020036}},	//   _хамр, ілік_, ומע_, froc, 
   {{0x44299287,0x6f029288,0xddc19289,0x225886bc}},	//   mea_, groc, _bolş, _fork_, 
   {{0x4429928a,0x522402be,0xb3ba00df,0x00000000}},	//   lea_, _офса, _למרכ, --, 
   {{0x30850e61,0x38b20032,0x6114017b,0x00000000}},	//   _فلسف, láre_, _одру, --, 
   {{0x4429928b,0x6f02928c,0x68ed0035,0x9f4400bc}},	//   nea_, broc, _łado, _zemí_, 
   {{0x4ea70524,0x2258928d,0xa3bd031e,0x6f0216b3}},	//   _држа, _york_, ेखि_, croc, 
   {{0x28cf0190,0x4429928e,0xa3e2017d,0x29c700d3}},	//   _संदि, hea_, _न्न_, өтүү_, 
   {{0x4429928f,0xd9453946,0x98a60fa6,0x4ea40477}},	//   kea_, чени, зине, _црта, 
   {{0x44299290,0xa3bd3cae,0xda1c1aab,0x00000000}},	//   jea_, ेखा_, ब्बत_, --, 
   {{0x44299291,0xeb8e9292,0x7c299293,0xdd100228}},	//   dea_, _чи_, meer, _výťa, 
   {{0xc4c60084,0xbb3a02a1,0x7ea403dd,0x00000000}},	//   كترو, _לעני, tòpi, --, 
   {{0xceb20056,0xc1aa00ab,0x44299294,0x55c5004e}},	//   גים_, _करेग, fea_, дарғ, 
   {{0x7c299295,0x44299296,0x6f029297,0x78fa00d1}},	//   neer, gea_, yroc, _הפקו, 
   {{0xe1fa2f0d,0x778300fd,0x2258015c,0x7c2908b0}},	// [8c60] йга_, _плъз, _pork_, ieer, 
   {{0x7c299298,0x69de007e,0x44290226,0x1ddd0249}},	//   heer, _õpet, aea_, नुमत, 
   {{0x35a63830,0x236600f1,0x7c290c95,0x44299299}},	//   _ханг, šoj_, keer, bea_, 
   {{0x69c307bd,0x2258929a,0x4429929b,0x7c2901b8}},	//   _रणनी, _work_, cea_, jeer, 
   {{0xbea6013d,0x22586550,0x7c29929c,0xa3e20a34}},	//   падк, _tork_, deer, _न्य_, 
   {{0x67240180,0xa3b10790,0x00000000,0x00000000}},	//   _mpij, _ओरत_, --, --, 
   {{0x7c29929d,0xf8c90023,0xf987007a,0x4c941c8e}},	//   feer, _bẩm_, _أب_, микс, 
   {{0x7c29929d,0x672402fe,0xae0e3b41,0x3f6a0088}},	//   geer, _opij, _सावन_, _либо_, 
   {{0x61ee929e,0xd00f313f,0x6f6600a3,0x7b6600f0}},	//   _kebl, _حلق_, _эваз, ятке, 
   {{0x4429929f,0x58d40386,0xa3b18e0a,0x2a6a010e}},	//   zea_, моот, टेट_, óbb_, 
   {{0x7c290a8b,0x61ee00ab,0x67240082,0xbc671c03}},	//   beer, _mebl, _apij, زمین_, 
   {{0x7c290b32,0x27ed03da,0x629e92a0,0xb69b0165}},	//   ceer, úen_, hopo, grân, 
   {{0xb8d3695f,0x629e92a1,0xf1bf0032,0xbb490038}},	//   _जी_, kopo, čšie_, _وجهك_, 
   {{0xcad70056,0x61ee0009,0x20f800ef,0x4429095a}},	//   _צוות_, _nebl, kči_, wea_, 
   {{0x442992a2,0x20f80455,0x629e0b04,0x046700f0}},	//   tea_, jči_, dopo, птам, 
   {{0xa3d4000d,0xc7c792a3,0x81e90086,0x3e6b017b}},	//   सँग_, _эски, _যাই_, _møta_, 
   {{0x442992a4,0xe7e30da6,0x261a02f8,0x245875a2}},	// [8c70] rea_, _क्या_, म्ही_, чать_, 
   {{0x7c2992a5,0x629e92a6,0x61fc012b,0x7d0a0bfc}},	//   zeer, gopo, _cdrl, kufs, 
   {{0x442992a7,0x30150088,0x51f40038,0x7c290539}},	//   pea_, ддер, عسكر, yeer, 
   {{0x442900a3,0x7c2902b0,0x5ee10033,0x00000000}},	//   qea_, xeer, _নিবে, --, 
   {{0x7c29029d,0x61ee92a8,0x67f80019,0x629e4fec}},	//   veer, _febl, lújí, bopo, 
   {{0x7c2992a9,0x61ee0dde,0x6da52487,0xddc802fe}},	//   weer, _gebl, мила, _emdž, 
   {{0x7c2992aa,0xa3d40e7d,0xfe0e02e6,0xae0e00aa}},	//   teer, सुक_, _सारस_, _सारन_, 
   {{0xccf8031e,0x69c30035,0x0b4592ab,0x69d892ac}},	//   _dvě_, _रणबी, днин, _afve, 
   {{0x7c2992ad,0x06e200cc,0x28cf0fc0,0xa0c40038}},	//   reer, _বিভি, _संहि, _سيكو, 
   {{0x7c2992ae,0xe8f992af,0x00000000,0x00000000}},	//   seer, оло_, --, --, 
   {{0xa6dd00cc,0x382a6b9f,0x7c2992b0,0x672492b1}},	//   _বিষয়, ожно_, peer, _spij, 
   {{0x200f441e,0x06e20086,0xdb1b0183,0xddd80613}},	//   nggi_, _বিবি, scuñ, mivš, 
   {{0x28cf00c6,0x7bcb07f3,0x61aa0249,0xddd800d2}},	//   _संवि, _iggu, _कर्ष, livš, 
   {{0x753c00bc,0x9f4f0107,0xa96905f3,0x67240121}},	//   tvrz, gagé_, _мила_, _vpij, 
   {{0x64a66fc0,0xddd8090e,0x845a1a93,0x61ee92b2}},	//   дава, nivš, орат_, _rebl, 
   {{0x161f0a09,0x20f80352,0x00000000,0x00000000}},	//   म्बर_, vči_, --, --, 
   {{0xf1fa1feb,0x67240112,0x60ce92b3,0x7aed0095}},	// [8c80] قعات_, _upij, _subm, _çatd, 
   {{0x9f440076,0x7cd100e0,0x66f300a5,0x60ce92b4}},	//   _nemá_, _pārl, _अबतक_, _pubm, 
   {{0x629e172b,0x85bb006b,0x20f8160e,0xddd80a1a}},	//   ropo, _واپس_, uči_, jivš, 
   {{0x7bcb00d4,0x29050126,0xddd8203b,0x629e92b5}},	//   _nggu, irla_, divš, sopo, 
   {{0x629e92b6,0x6d4192b7,0xa51e40a8,0x61ee92b8}},	//   popo, _arla, _पहुच_, _tebl, 
   {{0xa3bd047c,0x7bcb92b9,0x6d4102cd,0x200f01d8}},	//   ेखर_, _aggu, _brla, aggi_, 
   {{0xa06a0def,0x998502d9,0x78a402a5,0x00000000}},	//   _дава_, delů_, _okiv, --, 
   {{0x7d0a01c4,0xe04392ba,0x78a4016c,0x6456016c}},	//   rufs, _инси, _nkiv, njyi, 
   {{0x6d4125e6,0xc5f40086,0x290558fd,0x7d0a0ab4}},	//   _erla, _জানা_, erla_, sufs, 
   {{0x78a492bb,0xd90e11b7,0x6d4100ca,0x5a340093}},	//   _akiv, لیت_, _frla, хнот, 
   {{0xddd805ae,0x6d4178ab,0x4422040b,0xfca90dec}},	//   civš, _grla, _obk_, _کالو_, 
   {{0xfe0e0394,0x6e2100de,0x00000000,0x00000000}},	//   _साँस_, _zblb, --, --, 
   {{0x7c2202f1,0x29056be6,0x78a40604,0x6456011c}},	//   _ibor, arla_, _dkiv, djyi, 
   {{0x1994012d,0x64560201,0x7ea4022c,0x4422925b}},	//   _паля, ejyi, còpt, _abk_, 
   {{0xda656223,0x442201ca,0x200f003e,0x9f4f0151}},	//   _ثاني, _bbk_, yggi_, ragé_, 
   {{0x290c3eac,0x9f4f0151,0xf99300d1,0x00000000}},	//   muda_, sagé_, _שרק_, --, 
   {{0xfe0e0d4f,0x442200ca,0x290c92bc,0x4e00031e}},	// [8c90] _सांस_, _dbk_, luda_, ैलाई_, 
   {{0xe3b00038,0x442201d6,0x78bd5e49,0x8c3d78df}},	//   شرق_, _ebk_, lmsv, moşe, 
   {{0x7c2292bd,0x38b21acf,0x7cd101dd,0xf1a70f67}},	//   _obor, lára_, _pārm, фран, 
   {{0xddd80112,0x5f9592be,0x5f00007e,0x4422085b}},	//   vivš, ниет, _रिश्_, _gbk_, 
   {{0x290c92bf,0x38b2022e,0x443b0126,0x645d39d3}},	//   huda_, nára_, mdq_, _iosi, 
   {{0x443992c0,0xddd80112,0x290c92c1,0x645d02f1}},	//   _has_, tivš, kuda_, _hosi, 
   {{0x44395edc,0x6da2114c,0xada202f1,0x290c92c2}},	//   _kas_, лиша, лашл, juda_, 
   {{0x645d0b1d,0x628592c3,0x443992c4,0xfc3100d4}},	//   _josi, liho, _jas_, احث_, 
   {{0x44390201,0x645d92c5,0x9985031e,0xa3d4031e}},	//   _mas_, _mosi, telů_, सुट_, 
   {{0x443992c6,0x78a40c29,0x628592c7,0xc33202a1}},	//   _las_, _skiv, niho, נוי_, 
   {{0x290c92c8,0x6d4192c9,0x60c992ca,0x44390844}},	//   guda_, _urla, _kiem, _oas_, 
   {{0x60c9012d,0x7aeb006d,0x6a6d0228,0x9b5909d9}},	//   _jiem, _twgt, _dúfa, _ниет_, 
   {{0x60c915c4,0x442200fc,0x38b2039f,0x00000000}},	//   _miem, _rbk_, gára_, --, 
   {{0x786615c4,0x60c992cb,0x44227b5e,0x7c2292cc}},	//   _móvi, _liem, _sbk_, _zbor, 
   {{0x443992cd,0x645d92ce,0xd9450161,0xe818031e}},	//   _bas_, _bosi, _чейи, _थापा_, 
   {{0x443992cf,0x7c3b92d0,0x60c992d1,0x645d5bd1}},	//   _cas_, ndur, _niem, _cosi, 
   {{0x443992d2,0x645d92d3,0x7c3902bf,0x33d51d9a}},	// [8ca0] _das_, _dosi, _mawr, тіст, 
   {{0x6aa102bf,0xae0e00ab,0x60c90088,0x443992d4}},	//   nolf, _साइन_, _aiem, _eas_, 
   {{0x26d2086d,0x443992d5,0x442202a2,0xe853009c}},	//   _huyo_, _fas_, _tbk_, _شنید, 
   {{0x60c992d6,0x78660183,0x61e307fa,0x26d202a5}},	//   _ciem, _bóvi, ınla, _kuyo_, 
   {{0x765e92d7,0xe818000f,0x9f343674,0x60c992d8}},	//   _kopy, _थाना_, телі, _diem, 
   {{0x442092d9,0x645d92da,0x7c2292db,0x26d201b8}},	//   lfi_, _zosi, _sbor, _muyo_, 
   {{0x443992dc,0x645d92dd,0x442092de,0x26d2011d}},	//   _yas_, _yosi, ofi_, _luyo_, 
   {{0x50b503dd,0x8fa6831b,0x4439006f,0x7c3b0c36}},	//   _асуу, _забе, _xas_, gdur, 
   {{0x7c3900a4,0xddcf00bc,0x4420017c,0x3d1c0790}},	//   _dawr, řešn, ifi_, _महके_, 
   {{0x60c992df,0x44202998,0x290c92e0,0x7c3b92e1}},	//   _ziem, hfi_, tuda_, adur, 
   {{0x27f20118,0x628b0151,0x7c3b0104,0x7c39017c}},	//   _beyn_, égoi, bdur, _fawr, 
   {{0x290c92e2,0x7c2292e3,0x26d20102,0x6e3a0844}},	//   ruda_, _ubor, _buyo_, _hatb, 
   {{0x645d92e4,0xc6f80769,0x26d208f4,0x27f20218}},	//   _rosi, ннях_, _cuyo_, _deyn_, 
   {{0x62850126,0xb9060033,0x7c390083,0x8c3d010c}},	//   xiho, _পি_, _zawr, roşe, 
   {{0x443992e5,0xa8a770c3,0x442092e6,0xe80a02f8}},	//   _pas_, _прик, ffi_, _वाचा_, 
   {{0x443992e7,0x645d92e8,0x68fa5c5c,0x95c90259}},	//   _qas_, _qosi, mstd, зуға_, 
   {{0xe4ed05fd,0x60c992e9,0x645d02f1,0x7cd100e0}},	// [8cb0] _जबकि_, _riem, _vosi, _pārk, 
   {{0x443992ea,0x60c992eb,0x69da92ec,0x645d92ed}},	//   _was_, _siem, ncte, _wosi, 
   {{0x443992ee,0x60c992ef,0x645d030f,0x81a90033}},	//   _tas_, _piem, _tosi, খেন_, 
   {{0x44390e0c,0x628592f0,0x3ea50065,0x81e90033}},	//   _uas_, siho, _sklt_, _যাও_, 
   {{0x628592f1,0x60c992f2,0x6e3a92f3,0x15e500a5}},	//   piho, _viem, _batb, _कभार_, 
   {{0x60c992f4,0x7c3992f5,0x00000000,0x00000000}},	//   _wiem, _sawr, --, --, 
   {{0x60c992f6,0x6e3a02bf,0x6aa18263,0x7c3b5003}},	//   _tiem, _datb, volf, tdur, 
   {{0xdd8e0084,0x20d7008f,0x6e3a0102,0x6f040b21}},	//   توى_, _içi_, _eatb, šica, 
   {{0x5f9402f1,0x26121ef6,0xaed500dd,0x6e3a540f}},	//   _битт, _ताली_, _розш, _fatb, 
   {{0x394592f7,0x6a860212,0x7c3b92f8,0xfaf90243}},	//   вног, _réfè, sdur, rsū_, 
   {{0x26d292f9,0x442092fa,0xdd1e23f2,0x71f60033}},	//   _suyo_, yfi_, píše, _চামচ_, 
   {{0xcc1400c5,0x8d8403a1,0x6aa13a1c,0x765e37a4}},	//   _مذهب, _сууд, solf, _sopy, 
   {{0x69c30e07,0x6c7a0070,0xc6c80148,0xddc8009e}},	//   _रणवी, _קאנפ, нқид_, _kodş, 
   {{0x2cad0056,0x66e33f93,0xbbd1322d,0x26d22fac}},	//   lled_, рора, _हलुक, _vuyo_, 
   {{0xe5a6272b,0x442092fb,0x48b60080,0x7afb92fc}},	//   тиви, tfi_, _ищит, lsut, 
   {{0x64be3512,0xb4ac00a2,0x26d292fd,0x15b8004e}},	//   ्देश, गते_, _tuyo_, дығы_, 
   {{0x442092fe,0x7afb31b7,0x3e7000a1,0x2cad92ff}},	// [8cc0] rfi_, nsut, _làta_, iled_, 
   {{0x2cad031e,0x2cbf2154,0x09c50033,0x7afb2b92}},	//   hled_, hmud_, _শ্যা, isut, 
   {{0xa3ea15dd,0x6e3c248c,0x386000e2,0xc0aa0038}},	//   _одна_, _órbi, _koir_, واصل_, 
   {{0xdee65081,0x248202a2,0x7afb9300,0xa06700fd}},	//   води, _umkm_, ksut, каха_, 
   {{0x44fe00e4,0x2cad00f8,0x6e3a023e,0x386000a1}},	//   lį_, dled_, _patb, _moir_, 
   {{0xdd940f82,0x24922d27,0x2cad007b,0x3e700465}},	//   лалы, lnym_, eled_, _bàta_, 
   {{0x44fe00e4,0xda180081,0x660101d5,0x6e3a0d62}},	//   nį_, _दाबत_, ólki, _vatb, 
   {{0x24929301,0x3860026d,0x3e700465,0x00000000}},	//   nnym_, _noir_, _dàta_, --, 
   {{0x7afb9302,0x6e3a9303,0xaec600d3,0x38b9010e}},	//   gsut, _tatb, _абал, nére_, 
   {{0x44fe0009,0x38601a29,0xf8ca0108,0x2ca60ff2}},	//   kį_, _aoir_, _mẩu_, _wkod_, 
   {{0xd6e200cc,0x2cad00a7,0x386001be,0xf8ca0023}},	//   _বিষয, bled_, _boir_, _lẩu_, 
   {{0x2cad9304,0x38600557,0xb4ac00a2,0x24920035}},	//   cled_, _coir_, गतो_, jnym_, 
   {{0xf8bf026d,0x24923713,0x7f429305,0xdca318ac}},	//   rmé_, dnym_, nvoq, _таци, 
   {{0xb7e308dd,0x26f30d4f,0x7f424f24,0x7aed04be}},	//   _क्रम_, _अबीर_, ivoq, _çata, 
   {{0x7cd100e0,0x3872076d,0x38601d7a,0xf8bf0054}},	//   _pāri, _flyr_, _foir_, pmé_, 
   {{0x48157489,0x38600387,0xd4989306,0x00000000}},	//   _смис, _goir_, вру_, --, 
   {{0x3ce90a1a,0xf8ca0023,0x38b9010e,0xa3d41b3d}},	// [8cd0] ćavi_, _cẩu_, gére_, роуч, 
   {{0x7afd0b85,0x7ae20010,0x21674bb3,0x291e30c5}},	//   ásti, _mtot, ктег, otta_, 
   {{0xdfd10084,0x2cad1115,0x24929307,0x00000000}},	//   ميا_, yled_, bnym_, --, 
   {{0x3e7001be,0x5ff51eae,0x24929308,0x00000000}},	//   _ràta_, узду, cnym_, --, 
   {{0x6f040082,0x9ac400a4,0x00000000,0x00000000}},	//   šicn, _kaċċ, --, --, 
   {{0x9f440218,0x24895460,0x9ac400a4,0x7afb2032}},	//   _hemû_, liam_, _jaċċ, vsut, 
   {{0x261b05d2,0xc21200a7,0x2cad9309,0xcfdb0033}},	//   _बानी_, _להם_, tled_, দরবন, 
   {{0x39495dea,0x7afb930a,0x2489930b,0x9ac4008a}},	//   _čas_, tsut, niam_, _laċċ, 
   {{0x89f50451,0x291e0cf8,0x9f34004e,0x7c310082}},	//   лянц, etta_, _кеті, _čerč, 
   {{0x3860930c,0x7afb930d,0x7ead0228,0x2489930e}},	//   _soir_, rsut, kúpi, hiam_, 
   {{0x7afb930f,0xe73c0c05,0x644f019c,0x24899310}},	//   ssut, _küçü, _onci, kiam_, 
   {{0x66e67b2f,0x05a70262,0x7c849311,0x2369027e}},	//   лома, _गड़ब, _куче, kyaj_, 
   {{0x38601164,0x24899312,0x7e619313,0xc8cf0e17}},	//   _voir_, diam_, _kolp, _संकट, 
   {{0x644f1907,0x24920035,0x44fe0009,0x61f59314}},	//   _anci, wnym_, tį_, _nezl, 
   {{0x05a400a5,0x644f0175,0x249223bc,0x248902be}},	//   _खुशब, _bnci, tnym_, fiam_, 
   {{0x38b90019,0x44fe012d,0x2489783f,0x7e61040b}},	//   tére_, rį_, giam_, _lolp, 
   {{0x42269315,0x4e13031e,0x2b5902ae,0xb2269316}},	// [8ce0] лдав, ठलाई_, äsch_, лмал, 
   {{0xe7474be1,0x78a62cb7,0x44fe0009,0x24920035}},	//   ções_, lokv, pį_, snym_, 
   {{0x38b90019,0x600a66ab,0x21670258,0x61f500b3}},	//   sére_, енем_, лифи_, _dezl, 
   {{0x24899317,0xf8ca0108,0xd00f0038,0x00000000}},	//   ciam_, _tẩu_, كلم_, --, 
   {{0x7e619318,0x43671ab1,0x2ca402fe,0x7cd10243}},	//   _bolp, _баян_, vomd_, _māru, 
   {{0x7e619319,0x291e264e,0x4432931a,0x2c7100bc}},	//   _colp, ytta_, ley_, _ráda_, 
   {{0xe29703dc,0x60d500e9,0xad26195e,0x202501d5}},	//   _сар_, _guzm, ارتو, úsið_, 
   {{0x4432931b,0x8c3d00b3,0xd12f01c9,0x2b467650}},	//   ney_, toşa, _عمق_, _proc_, 
   {{0x3a74226b,0x2e1613b4,0x9b94002e,0x332000c3}},	//   илир, _مباح, рипц, ntix_, 
   {{0x7e610e2e,0xc3330056,0x27e0026d,0x2bc00ef1}},	//   _golp, צות_, _afin_, शेषा, 
   {{0xc27b00c7,0x291e0088,0x6a640237,0x59d60083}},	//   גריי, utta_, _bòfr, डखबर, 
   {{0x7cd1002a,0x44320175,0x291e931c,0x2b46931d}},	//   _pārv, jey_, rtta_, _troc_, 
   {{0x2489931e,0x27e001f2,0x7ae20247,0x39470326}},	//   viam_, _dfin_, _utot, _erns_, 
   {{0xbb3b0137,0x248900ab,0x7ead0228,0x27e000a1}},	//   _רעגי, wiam_, túpi, _efin_, 
   {{0x2489931f,0xceb3035c,0x44329320,0x27e000f8}},	//   tiam_, מיש_, fey_, _ffin_, 
   {{0x6d48621f,0x60d5044e,0x61f50474,0x00000000}},	//   _mrda, _ruzm, _sezl, --, 
   {{0x24899321,0xf77313b4,0x60d59322,0x05150033}},	// [8cf0] riam_, _داغ_, _suzm, াবের_, 
   {{0x7cd1002a,0xbbd1072f,0x6d489323,0x24899324}},	//   _kārt, _हल्क, _orda, siam_, 
   {{0x6601003e,0x7e610876,0x4fd57246,0x44320986}},	//   ólku, _rolp, ажет, bey_, 
   {{0x644f02a3,0x60c29325,0x261b00c2,0x7e619326}},	//   _unci, gmom, _बाडी_, _solp, 
   {{0x6d489327,0x64db00a2,0x7e619328,0x61f5065c}},	//   _arda, _मंडळ, _polp, _tezl, 
   {{0x8d65306e,0x26dc00c7,0x6d480372,0x200403a0}},	//   ивле, עקומ, _brda, _edmi_, 
   {{0xed599329,0x7e61932a,0xbdf8091d,0x99d500d7}},	//   той_, _volp, ارها_, یتدا, 
   {{0x6d480379,0xf0bb0499,0x9b0500a3,0x7e61040b}},	//   _drda, _سازش_, азид, _wolp, 
   {{0x290c08f4,0x6d48932b,0xd7c726f2,0xaae4009c}},	//   erda_, _erda, रेमच, یسیو, 
   {{0x2bd1051f,0x44323ee6,0xe818031e,0x38960243}},	//   _हलका, zey_, _थाहा_, tāro_, 
   {{0x44320104,0x3ea7932c,0xf99100eb,0x00000000}},	//   yey_, mont_, تبة_, --, 
   {{0x18a6932d,0x92a60035,0xf7463132,0x3ea7932e}},	//   рамм, _załą, аемо, lont_, 
   {{0xa3d91e25,0x290c932f,0xbca417bc,0x78a69330}},	//   ाशन_, arda_, _امني, rokv, 
   {{0x44328f73,0x4b7a0137,0x7ae99331,0x6d4e0068}},	//   wey_, _באנו, mpet, _ábac, 
   {{0x44329332,0x37e600d3,0x33f63a64,0xfa340c30}},	//   tey_, _койг, ичас, _درند, 
   {{0xd91a027a,0x26125d29,0xfe7902d9,0x73e69333}},	//   _סופל, _ताकी_, _stůl_, роаз, 
   {{0x7ae99334,0x3ea79335,0x934301a2,0xa3e200a5}},	// [8d00] npet, kont_, онте, नुष_, 
   {{0x23270c93,0x14b800a2,0x38b99336,0xf2df00e7}},	//   рофи_, _आठवण, méra_, _trân_, 
   {{0x7f490327,0x332000c3,0x261b007e,0x60c26416}},	//   _areq, stix_, _बाती_, tmom, 
   {{0x03a600dd,0x04469337,0x09d2031e,0x628b5665}},	//   _вимо, _темн, _सल्य, égor, 
   {{0x6d480112,0x3ea79338,0x3fcb009c,0x7d0100fb}},	//   _srda, font_, ندهی_, _avls, 
   {{0xa3e200c2,0x290c1074,0x7f490034,0x00000000}},	//   नुर_, yrda_, _dreq, --, 
   {{0x80c60110,0x1d340176,0x00000000,0x00000000}},	//   िषदे, ёния, --, --, 
   {{0xa0670ba6,0x7f499339,0x290c00a3,0x9c7c0237}},	//   _каса_, _freq, vrda_, _etčn, 
   {{0xa067933a,0x7f4900e5,0x8af7004e,0xee3a933b}},	//   _тата_, _greq, аныс_, _ина_, 
   {{0xaa668d2a,0x7cd100e0,0x3a74144a,0x00000000}},	//   ртик, _pārt, слор, --, 
   {{0xfce30a71,0x6d48495d,0x67d5933c,0xc3220033}},	//   _дохо, _urda, йону, নিটি_, 
   {{0x7cd101dd,0x245c020b,0x7ae9021e,0x00000000}},	//   _vārt, _tímy_, bpet, --, 
   {{0x628000e4,0xab83659c,0xb7140ec4,0x7ae9022c}},	//   _įmon, _мушк, одящ, cpet, 
   {{0xf8b803a1,0x00000000,0x00000000,0x00000000}},	//   лөө_, --, --, --, 
   {{0xa5f805af,0x28d024ef,0xe9370038,0x3abb07e4}},	//   ресу_, _संचि, _نسيت_, _שמונ, 
   {{0x63af933d,0xb8670019,0x57f50bad,0x00000000}},	//   _pycn, _خاتو, _упит, --, 
   {{0x4aba007e,0xaaba0262,0xb4b700a5,0x78ad016c}},	// [8d10] _उठाव, _उठाक, _छठी_, _ikav, 
   {{0x439501a2,0xe7e3072e,0x00000000,0x00000000}},	//   _ҳамс, कुरा_, --, --, 
   {{0xc5f200a7,0x78ad02a5,0x31670474,0x00000000}},	//   _מדי_, _kkav, ânz_, --, 
   {{0x90990235,0x7ae90664,0x00000000,0x00000000}},	//   ывет_, ypet, --, --, 
   {{0xb4b307d5,0xc8d000a2,0x28c816df,0x60db00ca}},	//   टती_, _संघट, रगति, _čumu, 
   {{0x14b500a2,0x00000000,0x00000000,0x00000000}},	//   ंतवण, --, --, --, 
   {{0x3ea7026d,0x442b933e,0x5d330019,0xa158933f}},	//   ront_, _kbc_, تہائ, _кару_, 
   {{0x1ee70a24,0x7ae900d0,0x3ea79340,0x78ad016c}},	//   _نوری_, tpet, sont_, _nkav, 
   {{0x7cd1002a,0x442b9341,0x3ea79342,0x4aa92494}},	//   _pārs, _mbc_, pont_, лкин_, 
   {{0xfc3f000d,0xeb9700cf,0x40870e65,0x78ad5263}},	//   ží_, лиқ_, _суҳб, _akav, 
   {{0x186a9343,0x7ae99344,0x81a90086,0x8d741117}},	//   гани_, spet, খের_, _واما, 
   {{0x7ae90df7,0x38b900da,0x385a017b,0x31560147}},	//   ppet, téra_, урою_, צירן_, 
   {{0x3b090b66,0x38b25c6d,0xe72701a2,0x649a0176}},	//   _село_, nári_, бояд_, ҳтар_, 
   {{0x78ad00d2,0x442b073a,0x00000000,0x00000000}},	//   _ekav, _abc_, --, --, 
   {{0x442b01be,0xceb2864b,0xd5b20e90,0xd9c50086}},	//   _bbc_, פיל_, سفر_, _শ্রম, 
   {{0x28d002ab,0x475a0093,0x38b20032,0x442b9345}},	//   _सूचि, _броя_, kári_, _cbc_, 
   {{0xe3ba5a2e,0xe29a02aa,0x045700eb,0x02069346}},	// [8d20] уба_, гаа_, حلقة_, йзан, 
   {{0x6f040377,0xe1f775cd,0x975b0147,0x7d1c3b57}},	//   šick, йгу_, _עדיט, _årsg, 
   {{0x64a60009,0x232700a3,0x60264ef5,0x00000000}},	//   _гана, _қори_, йджа, --, 
   {{0xd91a0070,0x38b202be,0x3ebe0210,0x00000000}},	//   טועל, fári_, _shtt_, --, 
   {{0xb4c400ab,0x00000000,0x00000000,0x00000000}},	//   एगी_, --, --, --, 
   {{0xbea39347,0x7c2b9348,0x00000000,0x00000000}},	//   пачк, _abgr, --, --, 
   {{0x261b1951,0x629c02f1,0x61fe9349,0xafe6934a}},	//   _बासी_, _ijro, mapl, _гобл, 
   {{0x64440a8b,0x6ab20cb8,0xc4d3008d,0x61fe934b}},	//   ndii, ुग्र, הגה_, lapl, 
   {{0x7cd101dd,0x645a009e,0x3b54128b,0x3e790151}},	//   _pārr, êtiy, ікор, _sète_, 
   {{0x9e650084,0xc33300a7,0x78ad498a,0x527b00c7}},	//   _والن, לוח_, _skav, ָנטא, 
   {{0x6f02934c,0x00000000,0x00000000,0x00000000}},	//   lsoc, --, --, --, 
   {{0xc19b0137,0x13b00033,0x2db70070,0x6f020126}},	//   רשטי, চেয়, _פלאן_, osoc, 
   {{0x61fe934d,0x644401a3,0x6f027b3d,0x83a700c9}},	//   kapl, ddii, nsoc, _कुंआ, 
   {{0x69dc174f,0xeb07007a,0x6444052b,0x00000000}},	//   žreb, _اقوى_, edii, --, 
   {{0xe5c40093,0x61fe934e,0x7d1c1950,0x395a0216}},	//   зсто, dapl, _årsd, _çps_, 
   {{0x38b9026d,0xb4b300a2,0x6444011d,0x629c0034}},	//   méro_, टते_, gdii, _ajro, 
   {{0xf2df0023,0x0ea80299,0x335800b3,0x442b0027}},	// [8d30] _trâm_, गवाड, батэ_, _vbc_, 
   {{0x61fe934f,0x51f80b58,0x60c09350,0xc2e700a3}},	//   gapl, йную_, _ahmm, _қўми, 
   {{0x442b9351,0x629c011c,0x3e6b017b,0x555908d1}},	//   _tbc_, _djro, _møtt_, _таня_, 
   {{0xdd00000d,0x442b192d,0x68e41102,0x00000000}},	//   štěn, _ubc_, _čidl, --, 
   {{0xd341010e,0x38b90175,0x00000000,0x00000000}},	//   _تہذی, héro_, --, --, 
   {{0x999e006b,0x63bd01dd,0x60c00537,0x59c81e7b}},	//   hető_, _izsn, _ehmm, रधार, 
   {{0x6cc56b93,0x44290038,0x38b29352,0x7f86040c}},	//   ойка, ofa_, sári_, _hаql, 
   {{0x44290156,0x26d3145a,0x9b0902f1,0x506701ff}},	//   nfa_, _lixo_, аниб_, _утга, 
   {{0x290a006b,0xed5700cf,0xeb990161,0x44299353}},	//   ában_, роқ_, рип_, ifa_, 
   {{0x090500dd,0x44299354,0x28dd075a,0x00000000}},	//   опон, hfa_, _नंदि, --, 
   {{0xdd9b2241,0x644412ed,0x162007d5,0xa3d92bf1}},	//   _сша_, ydii, _बाबर_, ाशा_, 
   {{0xc5e90a33,0x290b9355,0x22430372,0x44299356}},	//   _יד_, čca_, _lajk_, jfa_, 
   {{0x442902bf,0xdd1e0187,0x27ff003e,0x7c299357}},	//   dfa_, _víťa, ðuna_, mfer, 
   {{0x7c290c58,0x3e7001be,0x00000000,0x00000000}},	//   lfer, _càth_, --, --, 
   {{0x26d30496,0x61fe01f0,0x261b042b,0x1543022d}},	//   _dixo_, vapl, _बारी_, мерм, 
   {{0x74162751,0x26d3145a,0x13ea9358,0x6f040228}},	//   تورا, _eixo_, рмай_, šici, 
   {{0xe1fa9359,0x26d3935a,0x61fe139e,0x867900f6}},	// [8d40] ига_, _fixo_, tapl, рөөр_, 
   {{0x4429935b,0x41b621a9,0x7ce7035d,0x00000000}},	//   afa_, осет, _kırd, --, 
   {{0xda211422,0x2724935c,0x06e20033,0x7c290679}},	//   _मानत_, lön_, _বিটি, kfer, 
   {{0x5ee100cc,0x7c29012e,0x61fe027e,0x6f020532}},	//   _নিজে, jfer, sapl, tsoc, 
   {{0xee3a01d7,0xaf3636a7,0xd00f0629,0xf0470019}},	//   инд_, ترات, ئله_, تعلی, 
   {{0x999e0019,0x6f02934c,0x7c290380,0x0cb418aa}},	//   zető_, rsoc, efer, ुष्म, 
   {{0x7c29935d,0x2724935e,0x7cd100e0,0x61fc10f3}},	//   ffer, hön_, _pārp, _ierl, 
   {{0x61fc5769,0x2c78079a,0x61e90df4,0x9cca0028}},	//   _herl, _béda_, _đeli, шыла_, 
   {{0x60dc935f,0x7a3f012d,0x27249360,0x61fc9361}},	//   _hurm, kštė, jön_, _kerl, 
   {{0x60dc9362,0x61fc2b01,0x5ee10033,0x290a0183}},	//   _kurm, _jerl, _নিচে, ábao_, 
   {{0x44299363,0x60dc9364,0xb2bb0225,0x3e7000a1}},	//   yfa_, _jurm, שמיר, _ràth_, 
   {{0xab2a11d2,0x26dc00d0,0x7c290183,0x6724007b}},	//   _вода_, _čvor_, cfer, _bqij, 
   {{0xd90e086b,0xa09b00c7,0x7d1c0c17,0x68ed00ca}},	//   ریک_, שיכט, _årsb, _čade, 
   {{0x25e600bc,0x61fc05a1,0xee2e4e01,0x00000000}},	//   जुली_, _nerl, енi_, --, 
   {{0x7e689365,0x442919f1,0x60dc9366,0xf3ff0108}},	//   _modp, tfa_, _nurm, _doãn_, 
   {{0xe598005e,0xd5b830cd,0x44299367,0x61fc007a}},	//   ікті_, юся_, ufa_, _aerl, 
   {{0x61fc9368,0x44299369,0xb275936a,0x224386d0}},	// [8d50] _berl, rfa_, плаш, _pajk_, 
   {{0x4429936b,0x4eac0086,0x656e010e,0x66c01279}},	//   sfa_, গগুল, ínhá, töke, 
   {{0x60dc936c,0x386908a1,0x44290199,0x2fd900eb}},	//   _curm, _koar_, pfa_, مواد_, 
   {{0x61fc0318,0x60dc936d,0x442900a4,0xdbdc00da}},	//   _eerl, _durm, qfa_, yšák, 
   {{0x66c058aa,0x61fc936e,0x7645936f,0xdb070540}},	//   söke, _ferl, _kahy, ümüz, 
   {{0x0e64004e,0x61fc9370,0x3e790118,0x9f5d023e}},	//   мкін, _gerl, _bèta_, nawé_, 
   {{0xc6940137,0x7c2902f2,0xf3ff02a0,0x61e500eb}},	//   ואס_, tfer, _joão_, mchl, 
   {{0x320105f0,0x61e500f8,0xab651918,0x61fc0502}},	//   lahy_, lchl, звил, _zerl, 
   {{0x61fc9371,0x5f9402fb,0xa3ce176c,0x80d4109f}},	//   _yerl, _житт, षेप_, _बूटे, 
   {{0x320105f0,0x61e59372,0x76450096,0x62800028}},	//   nahy_, nchl, _nahy, _įmok, 
   {{0xa922011f,0x7c299373,0x60dc6478,0x61e527f9}},	//   ндэл, pfer, _xurm, ichl, 
   {{0x7e683077,0x201d9374,0x27240088,0x8c3d010c}},	//   _zodp, ngwi_, tön_, koşi, 
   {{0x38690012,0xacaa0105,0x31b81893,0x76450574}},	//   _doar_, _اپنے_, _अर्ध, _bahy, 
   {{0x27249375,0x76452583,0x9f5d0ac3,0x2b4f00ef}},	//   rön_, _cahy, gawé_, _irgc_, 
   {{0x49120351,0x32010180,0xb6a30104,0x61e58491}},	//   _थियो_, dahy_, хирл, dchl, 
   {{0x61fc9376,0x6d4102cd,0x3869011c,0x07a60bfd}},	//   _serl, _msla, _goar_, _найн, 
   {{0x61fc9377,0xd4671416,0x60dc9378,0x6d419379}},	// [8d60] _perl, чите_, _surm, _lsla, 
   {{0x6d411194,0x32010180,0x60dc937a,0x2cad1e06}},	//   _osla, gahy_, _purm, hoed_, 
   {{0x61fc0439,0x2905937b,0xd5b0006b,0x60dc07c6}},	//   _verl, nsla_, _شہر_, _qurm, 
   {{0x64a603dc,0x6d5c0014,0x60dc04be,0x76450254}},	//   _хама, _àrai, _vurm, _zahy, 
   {{0x61fc2e7b,0xe81f0077,0x6d4186e9,0x60dc937c}},	//   _terl, _भासा_, _asla, _wurm, 
   {{0x60dc937d,0x2907015e,0x29054501,0x3ae001f5}},	//   _turm, _ovna_, ksla_, _ròp_, 
   {{0xdb0708d7,0x628e937e,0x442204a8,0x427b0070}},	//   _člán, _imbo, _kck_, _פאלג, 
   {{0x6446937f,0x2cad0af8,0xc19b00a7,0x290534db}},	//   _jaki, goed_, _השלי, dsla_, 
   {{0x64469380,0x6d4102f1,0x44220354,0x389601dd}},	//   _maki, _esla, _mck_, nāru_, 
   {{0x64469381,0x3a060019,0x20d7008a,0x38b2039f}},	//   _laki, سکتی_, _għis_, zárt_, 
   {{0x68ed0032,0x628e019b,0x27ed0183,0x44220844}},	//   _čadc, _mmbo, ñeno_, _ock_, 
   {{0x64469382,0x63a20035,0x387b02be,0x65c70096}},	//   _naki, żony, _qlqr_, héhé, 
   {{0x628e9383,0x2480024a,0x61e59384,0x38690587}},	//   _ombo, dhim_, ychl, _voar_, 
   {{0x2c7100bc,0x644634d1,0x44220844,0x6d419385}},	//   _rádi_, _aaki, _ack_, _ysla, 
   {{0x64469386,0x7647055f,0xa2c00964,0x3201319c}},	//   _baki, rdjy, वतन्, vahy_, 
   {{0x628e0a49,0x64469387,0x9f5d010c,0xa8a4012d}},	//   _ambo, _caki, dawî_, _прык, 
   {{0x64469388,0x4e1c031e,0x32019389,0x53341bb9}},	// [8d70] _daki, नलाई_, tahy_, нетт, 
   {{0x78af2b00,0x8c3d938a,0x82340296,0xdbf200d8}},	//   locv, roşi, فرما, dříz, 
   {{0x7c22938b,0x250900d4,0x4422055f,0x61e5938c}},	//   _ocor, _برخی_, _fck_, rchl, 
   {{0x61e502ec,0xdfd100eb,0x320113c5,0x6446938d}},	//   schl, نيا_, sahy_, _gaki, 
   {{0x2cad10f3,0x65c7011c,0x00000000,0x00000000}},	//   voed_, béhé, --, --, 
   {{0x443b0065,0xed59938e,0x44220175,0x290501d5}},	//   leq_, жок_, _zck_, ysla_, 
   {{0xdd910019,0x787f024a,0x27e9008c,0xdca50093}},	//   کوں_, _zëve, _ofan_, маки, 
   {{0xe81f0eda,0x14bf0aac,0x506700cf,0x443b1e1b}},	//   _भाषा_, ्षिण, _этга, neq_, 
   {{0x200d8733,0x1c42134f,0xddd40097,0x7c2200a1}},	//   _idei_, тным, čaši, _dcor, 
   {{0xddc1020f,0xbdf8010e,0x443b021e,0x24800034}},	//   _colţ, _فرما_, heq_, zhim_, 
   {{0x19c523d7,0x389600e0,0x780900a2,0x2cad28a5}},	//   ьбом, kārt_, वणूक_, poed_, 
   {{0x162005fd,0x7d1c08bb,0x290525f2,0x27e900a1}},	//   _बाहर_, _årsa, rsla_, _cfan_, 
   {{0xeaae938f,0x64469390,0xb9040c59,0x29059391}},	//   _ай_, _raki, _भू_, ssla_, 
   {{0x64469392,0x7c3b657b,0x33290065,0x27e99393}},	//   _saki, leur, dtax_, _efan_, 
   {{0xceb2585d,0x64469394,0x186a4836,0x24809395}},	//   דים_, _paki, _маки_, thim_, 
   {{0x38960243,0x00000000,0x00000000,0x00000000}},	//   tāru_, --, --, --, 
   {{0x64469396,0x23270a43,0x61e904a8,0x44220210}},	// [8d80] _vaki, моти_, _şela, _vck_, 
   {{0x64462083,0x24809397,0x200d0065,0xa3e20249}},	//   _waki, shim_, _adei_, नुज_, 
   {{0x64469398,0x7c3b9399,0x6f090369,0x2360023b}},	//   _taki, keur, _avec, sxij_, 
   {{0x7c3b5665,0xa927014b,0x4422939a,0x649a0afc}},	//   jeur, _zaží, _uck_, _фтор_, 
   {{0x9c7c03e5,0x7c3b939b,0x98a70112,0x6f094ebe}},	//   _juče, deur, žića_, _cvec, 
   {{0x4420939c,0x628e939d,0x2c780175,0x00000000}},	//   lgi_, _umbo, _pédo_, --, 
   {{0x7c3b939e,0xe81f00c2,0x442000f8,0x9c7c5bd4}},	//   feur, _भाला_, ogi_, _luče, 
   {{0x6d330f5a,0x7c3b939f,0xf8c800c2,0x547b0070}},	//   теъф, geur, रगोप, ַטיו, 
   {{0x442093a0,0xcf4693a1,0xf2df107c,0x00000000}},	//   igi_, _юнай, _frâu_, --, 
   {{0xf2df020f,0xaec3035b,0x66c01279,0x00000000}},	//   _grâu_, _абул, yöka, --, 
   {{0x7c3b93a2,0x0217042c,0x6d5c0df4,0x1958361d}},	//   beur, וחים_, _šraf, чаны_, 
   {{0xb4d804cc,0x7c3b93a3,0x3eb901dd,0x7c220027}},	//   ादो_, ceur, _īsti_, _ucor, 
   {{0x3f8693a4,0x442093a5,0xab9a2493,0x00000000}},	//   nzou_, dgi_, _بخار_, --, 
   {{0xf98f15c0,0x64830077,0xddda000d,0x442093a6}},	//   ابی_, _kõig, _potř, egi_, 
   {{0x7ce70241,0x08f7031b,0x443b09c7,0x00000000}},	//   _kıra, _قريب_, teq_, --, 
   {{0x442093a7,0x261b11df,0x00000000,0x00000000}},	//   ggi_, _बाकी_, --, --, 
   {{0x66c0022b,0x43940aa3,0x443b652c,0x9c7c0082}},	// [8d90] söka, ватс, req_, _guče, 
   {{0x7c3b00b4,0x442093a8,0x81c80033,0x629e0657}},	//   zeur, agi_, উশন_, gnpo, 
   {{0x301593a9,0x3329003d,0x6f097c08,0x44200626}},	//   едер, stax_, _svec, bgi_, 
   {{0x8c3d00d9,0x4420012b,0x629e584c,0x1da900bd}},	//   noşt, cgi_, anpo, _चुगत, 
   {{0xa3b607bd,0xb4bd00ab,0x7c3b93aa,0x25e60083}},	//   _चुप_, ेगी_, veur, जुकी_, 
   {{0x171c0070,0x00000000,0x00000000,0x00000000}},	//   קווע, --, --, --, 
   {{0x7ce70c05,0x7c3b0c04,0x7bc293ab,0x3f860183}},	//   _bıra, teur, _azou, azou_, 
   {{0x88bd031e,0x0c250148,0x00000000,0x00000000}},	//   stěj, хмин, --, --, 
   {{0x6f090571,0x7c3b93ac,0xf2df93ad,0x009400b3}},	//   _uvec, reur, _trâu_, _ритэ, 
   {{0x7c3b93ae,0x442093af,0xdb0e00eb,0x261b0b79}},	//   seur, zgi_, ádál, _बागी_, 
   {{0x8bd9032e,0xa3b60f63,0x02db4493,0x7c3b0374}},	//   _емес_, _चुन_, बदुन, peur, 
   {{0x2c710098,0xddc10604,0x30790147,0x00000000}},	//   _pádu_, _golš, פאָנ, --, 
   {{0x44201c15,0x4e030f6f,0xd5b801dd,0xf8ca0210}},	//   vgi_, _रजाई_, ļām_, _xẩy_, 
   {{0x9c7c0b1d,0xb4d893b0,0x38960243,0x00000000}},	//   _vuče, ाद्_, tārs_, --, 
   {{0xe5a301a2,0x4420431c,0x35a31a4c,0x81e50033}},	//   гири, tgi_, гарг, নরা_, 
   {{0x69c300f1,0x044337e6,0x442093b1,0x9c7c00ca}},	//   _izne, лесн, ugi_, _tuče, 
   {{0x221617d2,0xb89b00d1,0x00000000,0x00000000}},	// [8da0] ефер, _מבקש, --, --, 
   {{0x442063d6,0xc7d700d1,0x66290032,0xf8ca0108}},	//   sgi_, _אופי_, ľský, _rẩy_, 
   {{0x7cd100e0,0x66c000c8,0x00da0038,0x44202653}},	//   _dārz, löko, سبات_, pgi_, 
   {{0x5f0682ad,0xfbc7024f,0x44fe00bc,0x4fa66bdb}},	//   езда, _مت_, mů_, ниев, 
   {{0x08e6100b,0x44fe00bc,0xddc80035,0x26da095a}},	//   _কিছু_, lů_, łoże, _kipo_, 
   {{0xdd941088,0x7ce70749,0x3f860068,0x9e3400d3}},	//   калы, _sıra, rzou_, текч, 
   {{0x44fe031e,0x78a40126,0xddc100bc,0xc5f300d1}},	//   nů_, _ojiv, _polš, נדה_, 
   {{0x26da93b2,0xf8ca00e7,0x31570486,0x7ce70248}},	//   _lipo_, _tẩy_, _אילן_, _qıra, 
   {{0x8fa307d9,0x4fa31ca5,0xddc10082,0x44fe00bc}},	//   _бате, _битв, _volš, hů_, 
   {{0xdee352ee,0xd90e1fdb,0x44fe00bc,0x26da0548}},	//   _софи, میت_, ků_, _nipo_, 
   {{0x2d870da6,0x44fe031e,0x2d980844,0xda21288f}},	//   czne_, jů_, _äre_, _मारत_, 
   {{0x44fe031e,0x6fd607fa,0xa3b600c2,0xb4aa031e}},	//   dů_, _gücü, _चुभ_, खको_, 
   {{0x987493b3,0xc6a793b4,0x00000000,0x00000000}},	//   уляц, ерви, --, --, 
   {{0x66c0014e,0xe66701a2,0x7aef0068,0xdcdf03ce}},	//   sökn, хтмо, ícte, _पूँछ, 
   {{0x5558049b,0xb60600ef,0x26da93b5,0x7ae2584c}},	//   наря_, dušč, _dipo_, _huot, 
   {{0xf969017b,0x00000000,0x00000000,0x00000000}},	//   _юрій_, --, --, --, 
   {{0x61fb00ef,0x481400c8,0x82d90148,0x20060054}},	// [8db0] _đulb, _смыс, ддас_, daoi_, 
   {{0x979c0052,0x64830077,0x7ae20088,0x78bd93b6}},	//   _משחק, _sõid, _muot, llsv, 
   {{0x291e01b4,0xf1a7121b,0x7ae20088,0x82a493b7}},	//   nuta_, хран, _luot, уште, 
   {{0x2054004e,0x26da93b8,0xc078004f,0x224a00b4}},	//   лтір, _zipo_, нсії_, _eabk_, 
   {{0x54543e23,0x7ae200e4,0x291e88ba,0x645d93b9}},	//   _свят, _nuot, huta_, _insi, 
   {{0x291e93ba,0x660793bb,0x644d93bc,0x88bd02d9}},	//   kuta_, najk, ldai, stěh, 
   {{0x4c69040c,0xd65802a1,0x291e93bd,0xa3d9296e}},	//   дийн_, תיות_, juta_, ाशक_, 
   {{0x291e93be,0x2d870035,0x4c35012d,0x66070144}},	//   duta_, rzne_, тэкт, hajk, 
   {{0x7ae20086,0x5ba90251,0x660793bf,0x60c90610}},	//   _cuot, ьким_, kajk, _ihem, 
   {{0x291e86b8,0x644d0014,0xc33200a7,0x7ae20009}},	//   futa_, hdai, סוי_, _duot, 
   {{0x60c993c0,0x645d93c1,0x60db0053,0xa9a593c2}},	//   _khem, _onsi, _kium, тинд, 
   {{0xc5f5005e,0x26da2dfc,0x69c33cd0,0x44fe02d9}},	//   ңғы_, _sipo_, _vzne, vů_, 
   {{0x26da93c3,0x6ec50964,0x80cb0086,0x644d00f8}},	//   _pipo_, ितपु, িদপ্, ddai, 
   {{0x09e20d38,0x70ad0fcf,0x44fe00bc,0x60db93c4}},	//   _кошн, टकुल, tů_, _lium, 
   {{0xceb20cec,0x291e002e,0xd959004e,0x6d430226}},	//   ייך_, cuta_, _ішкі_, nwna, 
   {{0x64a3058e,0x44fe031e,0x224a00e2,0x644d3942}},	//   ааса, rů_, _sabk_, gdai, 
   {{0x68e393c5,0x44fe031e,0x6b8993c6,0xe1f293c7}},	// [8dc0] _hund, sů_, nzeg, لسا_, 
   {{0x644d1600,0x44fe00bc,0x9c7c00ca,0x60db8462}},	//   adai, pů_, _muča, _aium, 
   {{0x44e700e7,0x9c7c0ab4,0x68e3019c,0x2d5100a4}},	//   _gõ_, _luča, _jund, _nġe_, 
   {{0x60db4e07,0xc2f60033,0x764e93c8,0x00000000}},	//   _cium, _চিঠি_, ldby, --, 
   {{0x68e393c9,0x16162649,0x60db0c32,0x200600eb}},	//   _lund, _तयार_, _dium, raoi_, 
   {{0x7ae20445,0x291e93ca,0x60c993cb,0x527693cc}},	//   _ruot, yuta_, _ehem, _руму, 
   {{0x60db0093,0x68e393cd,0x60260093,0x2911014b}},	//   _fium, _nund, _идва, ázal_, 
   {{0x291e7dd1,0x7d1c93ce,0x7ce70241,0x69b50083}},	//   vuta_, _årsm, _tırn, _उड़ी, 
   {{0x7ae293cf,0x39470082,0xdee60e65,0x68e393d0}},	//   _quot, _asns_, _рози, _aund, 
   {{0x7ae2237f,0x291e0414,0x68e30961,0x3a276ea3}},	//   _vuot, tuta_, _bund, _ccnp_, 
   {{0x200401ee,0x68e393d1,0x38b90019,0x621b00c7}},	//   _kemi_, _cund, kért_, וויק, 
   {{0x7ae20df8,0x291e93d2,0x200400e5,0x44e70029}},	//   _tuot, ruta_, _jemi_, _rõ_, 
   {{0xda3411c5,0x6b89006a,0x291e93d3,0x68e3002c}},	//   _белы, czeg, suta_, _eund, 
   {{0x27e00414,0xd954024f,0x68e30c2e,0x38b90032}},	//   _egin_, _منتخ, _fund, véru_, 
   {{0x660700d2,0x3ce800aa,0x00000000,0x00000000}},	//   rajk, _चूमे_, --, --, 
   {{0x44e7001b,0xed100108,0x200493d4,0x61ee36f3}},	//   _võ_, _đổi_, _nemi_, _afbl, 
   {{0xe37493d5,0x644d93d6,0x320300a9,0x68e393d7}},	// [8dd0] алты, rdai, _pejy_, _zund, 
   {{0x60c993d8,0xf8bf93d9,0x644d01c5,0x60db0b41}},	//   _shem, llé_, sdai, _sium, 
   {{0x60db93da,0x6b896701,0x60c90364,0x648300b0}},	//   _pium, zzeg, _phem, _võib, 
   {{0x332003a1,0x645d93db,0x7d1c00c8,0x66050080}},	//   buix_, _unsi, _ärsy, _hehk, 
   {{0x200493dc,0x60db0053,0xe8e000e7,0x7d1c2104}},	//   _demi_, _vium, _ướt_, _årsj, 
   {{0x9c7c0062,0x6da593dd,0xf8bf2db4,0x7ce70213}},	//   _ruča, лила, hlé_, _fırl, 
   {{0x60c993de,0x660593df,0x629500a3,0x60db045a}},	//   _them, _mehk, _imzo, _tium, 
   {{0x68e3238e,0x9c7c035f,0x660500bc,0xe81f02e6}},	//   _rund, _puča, _lehk, _भागा_, 
   {{0x68e393e0,0x1fb808a5,0xf8bf0098,0x6d4801ff}},	//   _sund, _алты_, dlé_, _esda, 
   {{0x68e32177,0x2bc611db,0x200493e1,0x6b890035}},	//   _pund, ылып_, _zemi_, rzeg, 
   {{0x6b8993e2,0x7ce701f0,0xe81f0c59,0x68e31530}},	//   szeg, _kırm, _भाखा_, _qund, 
   {{0x9b45024f,0x68e3082a,0x672d00c3,0xf8bf0212}},	//   _منصو, _vund, _bqaj, glé_, 
   {{0x9cd600a7,0x68e393e3,0x9c7c00ca,0xc7960b34}},	//   _עונה_, _wund, _kučn, урны, 
   {{0x68e393e4,0x6d5c0038,0x2cbf93e5,0x66e31db6}},	//   _tund, _árac, llud_, сора, 
   {{0x9c7c090e,0xf8bf93e6,0xc224009c,0x68e393e7}},	//   _mučn, blé_, یکسو, _uund, 
   {{0x2121085b,0x672d01f2,0xf8bf0212,0xb4be00bc}},	//   duhh_, _fqaj, clé_, इते_, 
   {{0x741300c5,0x7ce70241,0x00000000,0x00000000}},	// [8de0] صولا, _sırl, --, --, 
   {{0xdee60cdf,0xe3b784f5,0xe29700b3,0x38b9010e}},	//   ҳоди, убу_, гау_, sért_, 
   {{0x7a7a00c7,0x7f49033c,0xed4508b6,0x53a31cc1}},	//   ערעס, _aseq, _بھ_, _ғарб, 
   {{0xdee6005b,0x50ba009c,0x2c780175,0xc483673e}},	//   годи, رداد_, _tédi_, _глюк, 
   {{0x9c7c203b,0x4376002e,0x3ae90108,0xfe4403a1}},	//   _bučn, _сунт, _núp_, имдү, 
   {{0x91e33b9d,0x7d1c7f07,0x527593e8,0x69dc0243}},	//   _горе, _årsk, _кусу, žrei, 
   {{0x20f300ef,0x7f4902a3,0x11d507f4,0xf8bf93e9}},	//   _aćif_, _eseq, _вітр, ylé_, 
   {{0x5b142831,0x3ae90023,0x115b0070,0xdb6a11d2}},	//   амит, _búp_, _אדלע, ерол_, 
   {{0x3ae90023,0x543b0070,0x6d480151,0xc61c0033}},	//   _cúp_, געפא, _wsda, দ্যা_, 
   {{0xfce693ea,0x3860040b,0x672d008a,0x00000000}},	//   _божо, _anir_, _rqaj, --, 
   {{0x09d70086,0x3ce501e8,0x02b70070,0x8c2601c9}},	//   _দ্বা, _gulv_, רליך_, _مفاه, 
   {{0x81d60086,0x2cbf00b3,0xf8bf0151,0x290c93eb}},	//   _সভা_, clud_, ulé_, rsda_, 
   {{0xf8bf0107,0xe7840e12,0xc98600f0,0x3872040c}},	//   rlé_, буро, _әули, _doyr_, 
   {{0xe45f0219,0xf8bf014b,0xd4980176,0xa3d8058c}},	//   _snö_, slé_, ҳру_, ाधन_, 
   {{0xf8bf6ae3,0x45d53424,0x998c0a1a,0x6e3504a8}},	//   plé_, ровс, ledž_, _özbe, 
   {{0x660501c8,0xd49800d9,0x7793009c,0x38600664}},	//   _wehk, гру_, _هیجا, _gnir_, 
   {{0x660593ec,0xd5b100c9,0x00000000,0x00000000}},	// [8df0] _tehk, _आँकड़, --, --, 
   {{0xa1598457,0x63bd4087,0x00000000,0x00000000}},	//   казу_, _vysn, --, --, 
   {{0x9c7c93ed,0x63bd6782,0x81c70080,0x00000000}},	//   _ručn, _wysn, ущае, --, 
   {{0xb4fa0137,0x40355c45,0x7ce700ad,0x7f1901fc}},	//   _שפרי, редс, _qırm, віку_, 
   {{0xde053e88,0x24898696,0x9c7c0144,0x5ed50885}},	//   апли, mham_, _pučn, ажду, 
   {{0x644f93ee,0x248993ef,0x442b93f0,0xd33624ea}},	//   _haci, lham_, _hcc_, _דרשה_, 
   {{0x644f93f1,0x442b93f2,0x9c7c0397,0x365c00d1}},	//   _kaci, _kcc_, _vučn, תכונ, 
   {{0x644f93f3,0xaf340e70,0x248993f4,0x443902be}},	//   _jaci, _گرفت, nham_, _jbs_, 
   {{0x644f93f5,0x9c7c93f6,0xfd4c001b,0x443993f7}},	//   _maci, _tučn, _khiể, _mbs_, 
   {{0x644f93f8,0x7f840038,0xdd9500d3,0x442b06dd}},	//   _laci, _الكن, _казы, _lcc_, 
   {{0xf86683d8,0x443993f9,0x3da793fa,0x442b00f6}},	//   авно, _obs_, _сраб, _occ_, 
   {{0x443993fb,0x442b93fc,0x2bd202e6,0x9c820098}},	//   _nbs_, _ncc_, देहा, účto, 
   {{0x24893c04,0x66e666d1,0x661a93fd,0x00000000}},	//   dham_, рога, ótko, --, 
   {{0x443993fe,0x96200035,0x95860892,0x442b35c5}},	//   _abs_, बलेट_, алге, _acc_, 
   {{0xf49693ff,0xa5070cda,0xf5060176,0x00000000}},	//   араю, иера_, рзбо, --, 
   {{0x3d081139,0x44399400,0x248926e0,0xc4831b11}},	//   _सबसे_, _cbs_, gham_, олск, 
   {{0x443901f1,0x644f9401,0x0206041d,0xa20602d6}},	// [8e00] _dbs_, _daci, изан, ипад, 
   {{0xe1f71447,0x442b0141,0x24890054,0x5eaa0033}},	//   игу_, _ecc_, aham_, _চীনে, 
   {{0x644f1e83,0xb1468d7b,0x600a017b,0x3fe62521}},	//   _faci, рнел, внем_, ажев, 
   {{0x644f4046,0x24899402,0x92e40033,0x78a6264e}},	//   _gaci, cham_, _নবী_, nnkv, 
   {{0x2480011d,0xfe461dd5,0x6444018e,0x00000000}},	//   mkim_, индо, meii, --, 
   {{0x644f9403,0x63a90028,0x8c4600ad,0x6444004f}},	//   _zaci, _ženg, mişə, leii, 
   {{0x443902a2,0x644f9404,0x21679405,0x3f809406}},	//   _ybs_, _yaci, _кири_, šiu_, 
   {{0xc0e39407,0x644f0042,0xa0a60176,0x67171aab}},	//   _фотк, _xaci, _табд, _तिलक_, 
   {{0x8aa62eb2,0x24800054,0x61e9009e,0xfaa6286c}},	//   ирод, ikim_, _şeli, ишон, 
   {{0xc3330a33,0x60c29408,0x4f959409,0x9c7c0242}},	//   קות_, llom, _урсу, _tučo, 
   {{0x2d968d2a,0xa3d80081,0xfc660093,0x29020097}},	//   _трас, ाधड_, _вълн, ćkao_, 
   {{0x5faa009a,0x00000000,0x00000000,0x00000000}},	//   _कशाल, --, --, --, 
   {{0xc7c73ca2,0xfaa601a2,0x07a400e4,0x2bd2248b}},	//   рсни, _кадо, жаўн, देशा, 
   {{0x60c20364,0x6d5a2588,0x4439940a,0x00000000}},	//   hlom, _krta, _sbs_, --, 
   {{0x2419058b,0x60c2940b,0x9c7c0144,0x27f20090}},	//   ловы_, klom, _lučm, _ffyn_, 
   {{0x6d5a0062,0x22840219,0x59f5009c,0x26050110}},	//   _mrta, _röka_, _پکیج_, वरही_, 
   {{0x644f940c,0x2284014e,0x60c2940d,0xc61c0033}},	// [8e10] _vaci, _söka_, dlom, দ্ধা_, 
   {{0x6d5a0749,0x644f0b15,0x2ca900d2,0x442b01a3}},	//   _orta, _waci, čadi_, _wcc_, 
   {{0x442b940e,0x644f940f,0x21679410,0x26c30121}},	//   _tcc_, _taci, штаг, mljo_, 
   {{0x60c29411,0x442b0354,0x24809412,0x7e61040b}},	//   glom, _ucc_, ckim_, _snlp, 
   {{0x44299413,0x6d5a13d7,0xfd4c00e7,0xb36700fd}},	//   mga_, _arta, _thiể, _тънк, 
   {{0x44299414,0x6d5a02cd,0x528500eb,0xfce50229}},	//   lga_, _brta, _السك, боко, 
   {{0x6d5a0062,0x44299415,0x51843830,0x60c29416}},	//   _crta, oga_, _дута, blom, 
   {{0x442985eb,0x291e0604,0x8c495415,0x00000000}},	//   nga_, drta_, упив_, --, 
   {{0x291e08f4,0x6d5a9417,0x6d5c9418,0x00000000}},	//   erta_, _erta, _áran, --, 
   {{0x6d5a00ef,0x442902f1,0x24809419,0x8e740038}},	//   _frta, hga_, zkim_, _والض, 
   {{0xd9453950,0xb4e602c3,0x44290149,0x291e00ca}},	//   щени, _पढे_, kga_, grta_, 
   {{0x4429941a,0x9c7c0121,0x8c460248,0x00000000}},	//   jga_, _lučj, yişə, --, 
   {{0x442902f1,0x291e0038,0x6d5a0f23,0x628702ae}},	//   dga_, arta_, _zrta, _oljo, 
   {{0x4429941b,0xe9a30259,0x00000000,0x00000000}},	//   ega_, _қақп, --, --, 
   {{0xe8f532b7,0x291e034c,0x66e60f5a,0x644414c0}},	//   _استخ, crta_, роҳа, teii, 
   {{0x4429941c,0xdb23008c,0x62870144,0x20d701f2}},	//   gga_, _þróu, _aljo, _għix_, 
   {{0xf8b31ccc,0x2480941d,0x7c292b0b,0x7afb3071}},	// [8e20] _משה_, rkim_, iger, nput, 
   {{0x03a607f9,0x3d0800b0,0x6fce00a5,0x23271bce}},	//   _ҳимо, _सबले_, _तरबू, софи_, 
   {{0x442902f1,0x7afb016a,0xc69300a7,0xd5b801dd}},	//   bga_, hput, _מאז_, ļās_, 
   {{0x53a61acb,0x660e02f1,0x7c29941e,0x7bcb04a8}},	//   _гамб, labk, jger, _ozgu, 
   {{0x60c210b6,0x8c460095,0x7afb941f,0x7f5b039b}},	//   rlom, qişə, jput, _cruq, 
   {{0x44ee00f7,0xacf89420,0x6d5a016a,0x7c297562}},	//   _ký_, анку_, _prta, eger, 
   {{0x7c292f7a,0x4c9400fd,0xb7fa0299,0x00000000}},	//   fger, жийс, ूराम_, --, 
   {{0x7c299421,0x629e9422,0x6d5a9423,0x44ee9424}},	//   gger, lipo, _vrta, _mý_, 
   {{0x44ee00f7,0xeaf700c5,0x320a0187,0x7afb0daa}},	//   _lý_, یریت_, _keby_, gput, 
   {{0x44299425,0x39149426,0x337700a7,0x9c7c044e}},	//   zga_, омор, צעים_, _kučk, 
   {{0x44299427,0x6d5a9428,0x44ee008c,0x7c293690}},	//   yga_, _urta, _ný_, bger, 
   {{0x629e9429,0x9c7c0242,0x4429942a,0xc17300d1}},	//   hipo, _mučk, xga_, לחת_, 
   {{0x629e942b,0x4429942c,0x9c7c06e0,0xeb330274}},	//   kipo, vga_, _lučk, _فروخ, 
   {{0x4429942d,0x24990065,0x291e0352,0x66c06c04}},	//   wga_, _smsm_, prta_, köku, 
   {{0x442900cf,0x787f00e5,0x629e942e,0x7a5304bc}},	//   tga_, _lëvi, dipo, _رضوا, 
   {{0x4429942f,0xcd0200ab,0x18a42189,0x62870613}},	//   uga_, mość_, _најм, _sljo, 
   {{0x4429182d,0x660e541c,0x320a46b4,0xc2990701}},	// [8e30] rga_, babk, _beby_, аках_, 
   {{0x7c299430,0x5b7b00c7,0x44299431,0x9c7c1fe0}},	//   zger, ארמא, sga_, _bučk, 
   {{0xcd0200ab,0x320a011c,0x9c7c090e,0x4429046d}},	//   ność_, _deby_, _vučj, pga_, 
   {{0xf8c90a09,0x657a0c98,0xdbd9019c,0x68f80604}},	//   रतिय, äthe, nção, _mtvd, 
   {{0x7c290218,0x320a016a,0x3f699432,0x629e00c2}},	//   vger, _feby_, рило_, bipo, 
   {{0xcd0200ab,0xee3800dd,0x9c7c00ca,0x290200ca}},	//   kość_, йні_, _fučk, ćkaj_, 
   {{0x7bc29433,0x8c470216,0x648300c2,0x00000000}},	//   _ayou, _noşî, _lõim, --, 
   {{0xa2b90f8c,0x7c29022c,0x7f5b9434,0x6aa81c3c}},	//   ्तव्, uger, _truq, endf, 
   {{0x200f5208,0x15fb743c,0x68ea0502,0x395c31a2}},	//   magi_, ्रार_, _aufd, _arvs_, 
   {{0x200f9435,0x7afb9436,0x7c299437,0x78ad06a6}},	//   lagi_, rput, sger, _ajav, 
   {{0x68469438,0xddab00c8,0xcd020035,0x9f46003e}},	//   онна, _стал_, gość_, lboð_, 
   {{0x660e37a8,0x6d419439,0x200f007e,0x7afb00c8}},	//   wabk, _ipla, nagi_, pput, 
   {{0x61c61276,0x3b09943a,0xc1c61276,0x78ad0b91}},	//   _वर्ष, _тело_, _वर्ग, _djav, 
   {{0x200f148f,0x96ba05af,0x66c00080,0x25580118}},	//   hagi_, руму_, yöku, _pčl_, 
   {{0xa50a1a9e,0x649a943b,0x7ae307fc,0x200f943c}},	//   реба_, атар_, _iint, kagi_, 
   {{0x9c7c090e,0x660e943d,0x07a6943e,0x7ae3943f}},	//   _ručk, sabk, _майн, _hint, 
   {{0x200f9440,0x7ae39441,0x8c3d06d0,0x232a0cdf}},	// [8e40] dagi_, _kint, mişd, рози_, 
   {{0x7ae30405,0x6d419442,0x9c7c9443,0x21a6020f}},	//   _jint, _opla, _pučk, оизм, 
   {{0x6d41006f,0x4fea9444,0xb5ca00d4,0x7aeb49b5}},	//   _npla, амен_, _خودم_, _lugt, 
   {{0x7ae39445,0x629e9446,0x69c302bf,0x320a026e}},	//   _lint, sipo, _myne, _weby_, 
   {{0xa2cb05d0,0x7ae39447,0x69c39416,0x228400ad}},	//   _तीव्, _oint, _lyne, _hökm_, 
   {{0x7ae3932b,0xddc102ee,0x68e47b12,0x629e024a}},	//   _nint, _dolž, _liid, qipo, 
   {{0xa2b900c6,0x200f281e,0xc0461a1c,0x629c9448}},	//   ्तर्, bagi_, _وخرو, _imro, 
   {{0x6d5c30fa,0x68e42ca3,0x7aeb9449,0x7ae3944a}},	//   _áram, _niid, _bugt, _aint, 
   {{0x0a6a0c67,0xcd0200ab,0x3ea6944b,0xc4d300a7}},	//   арни_, wość_, _диаг, וגה_, 
   {{0x7ae303f6,0x539b0a33,0x34a707bd,0xd90e06bc}},	//   _cint, ייפו, _गद्द, نیت_, 
   {{0x7ae3944c,0x9c7c0397,0x69c3017c,0xec4a00fd}},	//   _dint, _luči, _cyne, _взел_, 
   {{0x7ae3944d,0x57f4944e,0x69c30416,0xab863ce9}},	//   _eint, мпют, _dyne, _мулк, 
   {{0x68e43d9d,0x629c944f,0x76470027,0x00000000}},	//   _diid, _omro, tejy, --, 
   {{0x648305d2,0x7d1c24a7,0x7ae39450,0x19949451}},	//   _võim, _årss, _gint, _наля, 
   {{0x29111067,0x200f9452,0x78ad0144,0xe5c49453}},	//   ázat_, yagi_, _tjav, дсто, 
   {{0xd7fb048a,0x7ae39454,0x7aeb7b38,0x9c7c1104}},	//   _тук_, _zint, _yugt, _buči, 
   {{0x5334005e,0x7ae39455,0x200f101e,0x27e99456}},	// [8e50] метт, _yint, vagi_, _igan_, 
   {{0xe7f90081,0x64830077,0xa3e70b79,0x9c7c2873}},	//   ंडवा_, _kõik, _पलक_, _duči, 
   {{0x75830274,0x200f9457,0x8c3d0241,0x00e500d7}},	//   _غیرم, tagi_, lişe, ستای, 
   {{0x92ab00cc,0x27e902cd,0xa2cb0239,0x66c00219}},	//   খতে_, _jgan_, _तीर्, sökt, 
   {{0x6483007e,0x200f9458,0x161f0b79,0x6d41595b}},	//   _lõik, ragi_, _बयार_, _spla, 
   {{0x27e90c67,0xe7e31516,0x200f9459,0xfce50f4e}},	//   _lgan_, _गणना_, sagi_, поко, 
   {{0x7ae3945a,0x8c3d3633,0x200f01a3,0x661a0035}},	//   _rint, yişd, pagi_, ótki, 
   {{0x27e920ca,0x69c30035,0x8c3d027e,0x6d410352}},	//   _ngan_, _ryne, kişe, _vpla, 
   {{0x69c305ce,0xed57004e,0x68e414b9,0xdd910019}},	//   _syne, соқ_, _riid, بوں_, 
   {{0x27e902f8,0x62850204,0x68e4945b,0x26c10226}},	//   _agan_, nkho, _siid, _nkho_, 
   {{0x6285945c,0x8c3d0248,0x00000000,0x00000000}},	//   ikho, tişd, --, --, 
   {{0x7aeb945d,0x69c3014b,0x7ae34bc0,0xdb39009c}},	//   _tugt, _vyne, _wint, _هستش_, 
   {{0x68e41eab,0x27e902cd,0x7d1c0c43,0x69c30156}},	//   _viid, _dgan_, _årsr, _wyne, 
   {{0x7c3b945e,0x3329016a,0x27e900b4,0xaa4100c8}},	//   lfur, duax_, _egan_, ärää_, 
   {{0xf484015f,0x68e4945f,0x7c3b018e,0x00000000}},	//   واری, _tiid, ofur, --, 
   {{0x7c3b9460,0x7ce7027e,0x66c00080,0x6285123b}},	//   nfur, _hırs, töks, ekho, 
   {{0x6456012b,0x03260009,0x00000000,0x00000000}},	// [8e60] rdyi, ядан, --, --, 
   {{0x9c7c02a6,0x7ce70213,0x8c3d010c,0x00000000}},	//   _vuči, _yırt, roşy, --, 
   {{0x66c0014e,0x867b00a7,0xf67b00a7,0x27e900a3}},	//   söks, _הריו, _האימ, _ygan_, 
   {{0x9c7c00ef,0x6aa101c4,0xd12f20b4,0x6f09019b}},	//   _tuči, hilf, طمه_, _bwec, 
   {{0xd00f32b7,0xdce30028,0x2ee500f3,0xafba9461}},	//   اله_, lynė, _bilf_, حطاط_, 
   {{0x62850750,0x216a3725,0x629c1af8,0x7c3b016a}},	//   ckho, _лиги_, _umro, efur, 
   {{0x61430904,0x7c3b9462,0x6aa10348,0x40964a6b}},	//   _пера, ffur, dilf, _ерат, 
   {{0xd00f031b,0x61fb0ab4,0x399c0032,0x8af81137}},	//   _ملف_, _đuli, násť_, онис_, 
   {{0x3d080a44,0x769000c8,0x27e900a3,0x6aa10679}},	//   _सबके_, _käyd, _rgan_, filf, 
   {{0x02be1281,0x00000000,0x00000000,0x00000000}},	//   ्तिभ, --, --, --, 
   {{0xe8e0001b,0x6f0901c4,0x8c464867,0xd05c0095}},	//   _ngồi_, _zwec, _неже, _surə, 
   {{0xab2a2c1b,0xd90e00d4,0x6483007e,0x7c3b012b}},	//   _года_, پیک_, _võik, cfur, 
   {{0x2bdb000f,0x7ce701f0,0x4df00586,0x6383008c}},	//   मेदा, _fırs, _चलाई_, _mínú, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x27e900cf,0x7e6800e2,0x94120095,0x7e7a0946}},	//   _tgan_, _mndp, liyə_, _motp, 
   {{0x27e991b8,0x52c50bed,0x00000000,0x00000000}},	//   _ugan_, वत्स, --, --, 
   {{0x38690038,0xe66749d1,0x248b0108,0x94120248}},	// [8e70] _inar_, _етно, _vlcm_, niyə_, 
   {{0x09e000cc,0xedf809e5,0xf8bf14a2,0x7e7a0604}},	//   _ম্যা, ुरोध_, loé_, _notp, 
   {{0xc5fb143e,0x6285123b,0x6f0900fc,0x00000000}},	//   ्रीय_, rkho, _swec, --, 
   {{0x9c7c0bfc,0xdbf100bc,0x7e680664,0x00000000}},	//   _kuču, třík, _andp, --, 
   {{0x3dc502bf,0xef1840f6,0x00000000,0x00000000}},	//   _sylw_, змі_, --, --, 
   {{0x6e949463,0x941200ad,0xddc500b9,0x00000000}},	//   ничу, diyə_, мбли, --, 
   {{0x386901d6,0x2d8a0502,0x30150d3d,0x6aa1076b}},	//   _onar_, _übel_, _одвр, vilf, 
   {{0xdbf1031e,0x7e683127,0x9d420148,0x3213015c}},	//   přík, _endp, теъд, laxy_, 
   {{0x6aa13d23,0x7c3b9464,0xd6b800d9,0x7e7a3b57}},	//   tilf, rfur, yдри, _fotp, 
   {{0x66021462,0x38699465,0x3ce800c9,0x3e183ffa}},	//   _đoko, _anar_, _चूके_, _ноуэ_, 
   {{0x386902cd,0x6fd900a2,0x998e0118,0x6aa19466}},	//   _bnar_, बेरं, _jefň_, rilf, 
   {{0xc68907f5,0x768b01f0,0xe73a71da,0xc7a69467}},	//   _דא_, _rüya, оем_, димк, 
   {{0x2cad9468,0x38b90098,0x2cbf018e,0x38690144}},	//   mned_, néry_, moud_, _dnar_, 
   {{0x2cbf9469,0xdce30009,0xcb1200d1,0x273651d3}},	//   loud_, tynė, _ילד_, ræn_, 
   {{0x66e3946a,0x59d1017d,0x2cad00d1,0xf8bf011c}},	//   тора, _हरिर, oned_, boé_, 
   {{0x2cad946b,0x68431cc1,0x2cbf000b,0xf8d200c2}},	//   nned_, _анъа, noud_, _सठिय, 
   {{0x2cad946c,0x03a33ca2,0x00000000,0x00000000}},	// [8e80] ined_, вито, --, --, 
   {{0x2cbf051e,0x0219012d,0x00000000,0x00000000}},	//   houd_, зіць_, --, --, 
   {{0x63a9008c,0x2cbf946d,0x00000000,0x00000000}},	//   _þenn, koud_, --, --, 
   {{0x601a1003,0x6d5c07cf,0x7df82a2c,0x00000000}},	//   іцер_, _árai, ुर्ग_, --, 
   {{0x7e7a02f5,0x76900088,0x7657040c,0x7e683a4a}},	//   _potp, _täyd, _yaxy, _pndp, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x10a68979,0x604403a0,0x00000000,0x00000000}},	//   _живн, _pčmč, --, --, 
   {{0x2cad946e,0x2258946f,0x628e0228,0x38b9211b}},	//   gned_, _hark_, _hlbo, béry_, 
   {{0x628e9470,0x7e7a16cd,0x8c430bae,0xb0372737}},	//   _klbo, _totp, тење, _קאמפ_, 
   {{0x6f0208f4,0x38699471,0x49744867,0x941200ad}},	//   mpoc, _snar_, елос, riyə_, 
   {{0x29189472,0x225800a7,0x6f020183,0x2cbf08b0}},	//   éra_, _mark_, lpoc, boud_, 
   {{0x3af26126,0x648300c2,0x3b8618ec,0x200600b4}},	//   _tâp_, _hõiv, _олег, nboi_, 
   {{0x27ed1487,0x7d1a0054,0x00000000,0x00000000}},	//   ženo_, _hvts, --, --, 
   {{0x3b5300dd,0x9c7c0b91,0x7afd0032,0x95fb0c65}},	//   _шкір, _vuču, íste, ्रेट_, 
   {{0x7aef0187,0x555800d9,0x38b90098,0xd90f049b}},	//   íctv, маря_, zéry_, _шь_, 
   {{0x628e9473,0x2bdb00c6,0x344801a2,0x38692a5f}},	//   _albo, मेवा, мчун_, _unar_, 
   {{0x628e014b,0x38b90098,0x8c3d9474,0x22580c2e}},	// [8e90] _blbo, xéry_, nişa, _bark_, 
   {{0x1b000033,0xdcee02d9,0x00000000,0x00000000}},	//   _এটাই_, íděn, --, --, 
   {{0x22589475,0x66159388,0x7ec50216,0x00000000}},	//   _dark_, mazk, _lîpî, --, 
   {{0x8c3d9476,0x205400f0,0x7e7e14f8,0x628e841b}},	//   kişa, ктір, öppn, _elbo, 
   {{0x24899477,0x4df51d02,0x44f5264e,0x644d9478}},	//   mkam_, няйт, _hå_, meai, 
   {{0x8d5535d6,0xed596848,0x2cbf10bd,0x24899479}},	//   етич, зок_, woud_, lkam_, 
   {{0x20e8008f,0xd01b1acb,0x3f890009,0x3ea90242}},	//   _işin_, _мфа_, šau_, đat_, 
   {{0x44f54a66,0x2489947a,0xa2b91503,0x6726947b}},	//   _må_, nkam_, ्तक्, yrkj, 
   {{0x44f503a9,0x2cbf947c,0x2cad00a7,0x6615947d}},	//   _lå_, roud_, rned_, kazk, 
   {{0x248902f1,0x2cbf2914,0x644d947e,0x17fa122e}},	//   hkam_, soud_, heai, ूर्व_, 
   {{0x44f50b0c,0xa9691efe,0x2b4600b9,0x2489947f}},	//   _nå_, чина_, _epoc_, kkam_, 
   {{0xf1b2035c,0x2bb80c59,0xddc800d8,0x00000000}},	//   רסט_, _उँचा, _nadř, --, 
   {{0xeb8e07d9,0x66150640,0x644d9480,0x920f00ae}},	//   _си_, fazk, deai, िराज_, 
   {{0x661502ba,0x200600d9,0x248901dd,0xba390070}},	//   gazk, zboi_, ekam_, _זײַט, 
   {{0x49bb09e8,0x0446486c,0x224e06d0,0x6f0200ab}},	//   _باشد_, невн, _ölkə_, zpoc, 
   {{0x44f59481,0x644d0212,0x201f018e,0x00000000}},	//   _då_, geai, _ndui_, --, 
   {{0x22589482,0x661500b4,0x00000000,0x00000000}},	// [8ea0] _park_, bazk, --, --, 
   {{0x44f50533,0x78a69483,0x77642313,0x201f0053}},	//   _få_, likv, _irix, _adui_, 
   {{0x44f50533,0xe5a69484,0x35a60258,0x394700e2}},	//   _gå_, _чини, _чанг, _jpns_, 
   {{0x78a67130,0x776400b4,0x764e0a1f,0x1af50033}},	//   nikv, _krix, leby, _ইবনে_, 
   {{0xde580fb6,0x22589485,0xb4be0f8c,0x92c1009e}},	//   далі_, _tark_, ेती_, êşîn, 
   {{0x628e4ad7,0x471b00c7,0x764e9486,0x4432039f}},	//   _ulbo, לונג, neby, lgy_, 
   {{0x52be3278,0x6483007e,0x44320180,0x753c084c}},	//   ्तीस, _võiv, ogy_, ntrz, 
   {{0x776409a1,0x6f0246bd,0x443205f0,0xc0e34592}},	//   _orix, ppoc, ngy_, _боск, 
   {{0x61f30034,0x764e9487,0x00000000,0x00000000}},	//   _çelë, keby, --, --, 
   {{0x2d960d5c,0x60c2007e,0x752e019b,0xd8f8004f}},	//   _прес, loom, kubz, мної_, 
   {{0x6f1b04d1,0xddc8053d,0x39470110,0xe89500e4}},	//   _zvuc, _hodž, _cpns_, вань, 
   {{0xddc8015e,0x27ed0422,0x44f50075,0x60c25706}},	//   _kodž, øen_, _rå_, noom, 
   {{0x44f50a40,0x66150a9f,0x77649488,0xe7879489}},	//   _så_, tazk, _crix, хуно, 
   {{0x44f50533,0x36d504c4,0x764e948a,0x61ee0175}},	//   _på_, тогр, geby, _ngbl, 
   {{0x66158cb7,0x7764948b,0x04671839,0xfbb20033}},	//   razk, _erix, нтам, _চরিত, 
   {{0x39130141,0x7764040a,0x3f863d1c,0x44320da3}},	//   _смър, _frix, kyou_, ggy_, 
   {{0x43942035,0x77640183,0x644d0587,0x925926b9}},	// [8eb0] гатс, _grix, reai, маат_, 
   {{0x6d480022,0x66d2008c,0x318500f0,0x44f5948c}},	//   _opda, lækn, ктең, _tå_, 
   {{0x673d1074,0x7aea221e,0x26c3012d,0x644d02f4}},	//   ltsj, _mift, mojo_, peai, 
   {{0x251a07e4,0x26c3948d,0x2ff800d9,0x00000000}},	//   _קורא, lojo_, енць_, --, 
   {{0x23d50f7a,0x6d482ea3,0x673d13d8,0x841600d1}},	//   _दरिद, _apda, ntsj, _בקרב_, 
   {{0x7aea948e,0x6aba000f,0x26c3948f,0xddda0237}},	//   _nift, ईकोर, nojo_, _katň, 
   {{0xd65800a7,0x8cb515e2,0x60c29490,0xbd6b00b3}},	//   גיות_, ксич, boom, ярде_, 
   {{0x2d51000d,0x0b4502f1,0x27ed0352,0x764e0083}},	//   _vše_, внин, ženj_, zeby, 
   {{0xa0a5004e,0x6f1b05ae,0x9e1500e4,0x26c39491}},	//   _заңд, _uvuc, _адзі, kojo_, 
   {{0x3947016a,0x26c39492,0x7aea9493,0xdb201259}},	//   _ppns_, jojo_, _cift, átál, 
   {{0xe9d92bdc,0x69ca02bf,0x3ea70019,0xf2d2027a}},	//   ько_, _cyfe, mint_, שעי_, 
   {{0x3ea75247,0x64830077,0x8c3d00d9,0x69ca00f8}},	//   lint_, _mõis, mişo, _dyfe, 
   {{0x2d879494,0x7aea00df,0x768b0241,0x00000000}},	//   lyne_, _fift, _tüyl, --, 
   {{0x3ea79495,0x60c29496,0x78a69497,0xb69b04e9}},	//   nint_, zoom, sikv, spân, 
   {{0x69ca02f0,0x764e9498,0x765c9499,0x64a63836}},	//   _gyfe, reby, rdry, вава, 
   {{0x2905949a,0x764e949b,0x765c9385,0xa7660283}},	//   mpla_, seby, sdry, _акид, 
   {{0x753c006a,0x443200a7,0x78a402b8,0x7f4d00ad}},	// [8ec0] strz, rgy_, _imiv, çaql, 
   {{0x6483007e,0xddc8949c,0x26c35a7f,0x00000000}},	//   _sõit, _rodž, cojo_, --, 
   {{0xfbc700c5,0x3ea71eae,0xa2b30c73,0x60c20fae}},	//   _چت_, dint_, _आदर्, toom, 
   {{0xfbc7646f,0x2eca4397,0x47c80033,0xf8d200c9}},	//   _نت_, ित्त, রেণী, सतिय, 
   {{0x64830077,0x33d500f0,0x3ea7949d,0x81e30033}},	//   _võit, _бірт, fint_, ফুল_, 
   {{0x3ea7949e,0x60c2949f,0xb14625dc,0xeaa70038}},	//   gint_, soom, _ингл, _ضع_, 
   {{0x82a31cb8,0x205644dc,0x7aea27e3,0x7bcb12ed}},	//   _тарж, _итар, _rift, _aygu, 
   {{0x7aea2e84,0x69ca00f8,0x705601c9,0xdfd2009c}},	//   _sift, _ryfe, _جنرا, _نيز_, 
   {{0xee3a0fe1,0x8c3d07fa,0x44227dc8,0x69ca0876}},	//   _она_, mişl, _mdk_, _syfe, 
   {{0x63a9012d,0x3ea794a0,0x7afd94a1,0x442294a2}},	//   _ženk, cint_, ísta, _ldk_, 
   {{0x6d4894a3,0x1af703dd,0x2d9805ac,0x7aea2243}},	//   _upda, ндөө_, _åre_, _vift, 
   {{0x387f3bf7,0x386d0496,0xa9c302fb,0x8c3d07fa}},	//   ður_, ñer_, рськ, nişl, 
   {{0x26c394a4,0x7aea0405,0x7c2202f1,0x66d2055f}},	//   tojo_, _tift, _idor, rækn, 
   {{0x6d5c0038,0x672f015e,0x673d0cd5,0x29181259}},	//   _áras, rucj, rtsj, áras_, 
   {{0x442236fa,0x673d0fd6,0x26c394a5,0x7c220121}},	//   _bdk_, stsj, rojo_, _kdor, 
   {{0x656502fe,0x26c394a6,0x998e0118,0x3ea794a7}},	//   _vrhh, sojo_, _jefō_, zint_, 
   {{0xd6db340a,0x7c222de7,0x25ba0106,0x8c3d2120}},	// [8ed0] _ото_, _mdor, _expl_, dişl, 
   {{0x68ed0180,0xaab4017d,0x85751988,0x3ea700f6}},	//   _hiad, ुविक, _блох, xint_, 
   {{0x68ed94a8,0x3ea794a9,0x76900088,0x7c2294aa}},	//   _kiad, vint_, _käyn, _odor, 
   {{0x6483007e,0x66020b91,0x22840219,0x7c2294ab}},	//   _võis, _đoki, _sökt_, _ndor, 
   {{0x3ea794ac,0x96b800d4,0x68ed00a9,0x10146564}},	//   tint_, _سایز_, _miad, شبند, 
   {{0x0ccb0c94,0xaec40fb6,0x2bc6000f,0x442203c8}},	//   ात्म, абіл, _लड़ा, _zdk_, 
   {{0x3ea72dc0,0x44390097,0x41e432af,0x6da200a3}},	//   rint_, _kcs_, _віта, йиша, 
   {{0x68ed94ad,0x799a00ab,0x44390065,0x3ea70038}},	//   _niad, dztw, _jcs_, sint_, 
   {{0x645d94ae,0x4439271e,0x60c90149,0x2d870326}},	//   _masi, _mcs_, _ikem, syne_, 
   {{0x4439052b,0x2fcd011c,0x7c2201d6,0x7bcb00de}},	//   _lcs_, _iyeg_, _edor, _vygu, 
   {{0x68ed01c5,0x8c3d01f0,0x60db7ef7,0x00000000}},	//   _biad, lişm, _khum, --, 
   {{0x645d94af,0xe45f0219,0x68ed01f5,0x44390844}},	//   _nasi, _skön_, _ciad, _ncs_, 
   {{0x7bcb0c05,0x68ed94b0,0x25ba0183,0xaa454251}},	//   _uygu, _diad, _sxpl_, _белл, 
   {{0xb4be64dd,0x290594b1,0x645d94b2,0x2fcd0065}},	//   ेत्_, ppla_, _aasi, _myeg_, 
   {{0x44220034,0x68ed94b3,0x98a600b3,0x1fe00f7a}},	//   _pdk_, _fiad, gulă_, _फण्ड, 
   {{0x68ed94b4,0xa3ea5af1,0x64a394b5,0x78a40688}},	//   _giad, едба_, баса, _umiv, 
   {{0x2fcd0201,0x6b8994b6,0x232736a1,0x6b9b01c4}},	// [8ee0] _nyeg_, nyeg, лоти_, nzug, 
   {{0x68ed94b7,0x60c90bcf,0x60db94b8,0x645d00a7}},	//   _ziad, _akem, _ahum, _easi, 
   {{0x645d94b9,0x4422578a,0x60db94ba,0x98a6020f}},	//   _fasi, _tdk_, _bhum, culă_, 
   {{0x60db94bb,0x645d94bc,0x4439007a,0x3dcc00f8}},	//   _chum, _gasi, _gcs_, _rydw_, 
   {{0x437594bd,0x60db00c5,0x8c3d0540,0xa3e01dce}},	//   _курт, _dhum, rişl, धेश_, 
   {{0x645d94be,0x64b70082,0xddc10054,0xb5ab010e}},	//   _zasi, nćin, _lalŕ, _آئیے_, 
   {{0x645d88a8,0x765e0053,0xdd9403fd,0x4439019b}},	//   _yasi, _mapy, райы, _ycs_, 
   {{0x60db0065,0x645d4c75,0x765e94bf,0x27f20102}},	//   _ghum, _xasi, _lapy, _ngyn_, 
   {{0x68ed0187,0x2aaa005b,0x79880156,0xf41f02ae}},	//   _riad, етно_, wydw, _klär_, 
   {{0x321a75ac,0x68ed94c0,0xdee601a2,0x7c240243}},	//   napy_, _siad, _сози, _ķiru, 
   {{0x68ed94c1,0xaa634187,0x98b40241,0x6b8902a5}},	//   _piad, стык, çeği_, ayeg, 
   {{0x6d5a94c2,0xeb9a2831,0x81b90033,0x2d951aaa}},	//   _ista, _пие_, _চরম_, _трус, 
   {{0x2ca601cc,0x86270d3b,0x68ed94c3,0x443994c4}},	//   _imod_, льве, _viad, _rcs_, 
   {{0x68ed94c5,0x645d94c6,0x765e011c,0x66f400d9}},	//   _wiad, _sasi, _capy, спру, 
   {{0x645d94c7,0x68ed2d95,0x241902f3,0x6444925f}},	//   _pasi, _tiad, ковы_, ffii, 
   {{0x69d894c8,0x645d94c9,0x245815dd,0x75280187}},	//   _izve, _qasi, лась_, ádza, 
   {{0x645d94ca,0x291e94cb,0x443902a0,0x60db3a60}},	// [8ef0] _vasi, lsta_, _vcs_, _rhum, 
   {{0x60db097b,0x645d086d,0x60c994cc,0x273f078a}},	//   _shum, _wasi, _skem, mîn_, 
   {{0x645d079c,0x273f0218,0x4155424c,0x6d5a94cd}},	//   _tasi, lîn_, рвес, _nsta, 
   {{0x291e0e8a,0x765e00ab,0x3cfb0035,0xd4790070}},	//   ista_, _zapy, _लंबे_, _סאָל, 
   {{0x273f078a,0x833507f5,0x6d5a94ce,0x441a00d1}},	//   nîn_, _דאָס_, _asta, _בורס, 
   {{0x291e94cf,0x69d80fb5,0x2ca6017c,0xde020ca4}},	//   ksta_, _ozve, _amod_, опши, 
   {{0x273f078a,0x2ca601f2,0x60db94d0,0x69ce89b2}},	//   hîn_, _bmod_, _thum, übel, 
   {{0xac8501bb,0x273f010c,0x8b251f72,0x291e0219}},	//   ргил, kîn_, адие, dsta_, 
   {{0x291e94d1,0x6d5a0abe,0x273f0218,0xeb990161}},	//   esta_, _esta, jîn_, тип_, 
   {{0xea8994d2,0x273f0216,0x7aa594d3,0x3945004f}},	//   тбол_, dîn_, риоз, аног, 
   {{0xe807047b,0xd9452e87,0x291e94d4,0xade10667}},	//   _व्हा_, шени, gsta_, गेशन_, 
   {{0xc79600f6,0x290301dd,0x37e613b1,0x5ce7058e}},	//   аргы, īja_, ионг, _сюза, 
   {{0x291e94d5,0xb8fc94d6,0x765e06df,0xa3e736a6}},	//   asta_, _ती_, _papy, येम_, 
   {{0x6d5a0156,0xb87b001d,0x00000000,0x00000000}},	//   _ysta, rmía, --, --, 
   {{0x44160fb8,0xe6174e7d,0xe807009a,0xc8b60080}},	//   ифат, рдс_, _व्वा_, _вспы, 
   {{0x77860141,0x273f0218,0x765e0053,0x629500b4}},	//   _влиз, bîn_, _wapy, _alzo, 
   {{0xd3872049,0x23e00394,0x867900b9,0x765e94d7}},	// [8f00] айте_, पेंद, төөр_, _tapy, 
   {{0x644400b3,0x386000d1,0x769000c8,0x42070267}},	//   sfii, _hair_, _käym, инуо_, 
   {{0xf67b0137,0x867b00a7,0xa3e705e5,0x321a94d8}},	//   _סאטמ, _סרטו, येब_, rapy_, 
   {{0x50466bd0,0x3860848f,0x321a0054,0x1f663b8d}},	//   редб, _jair_, sapy_, икем, 
   {{0xdfcf0084,0x44fc94d9,0x386005fc,0x00000000}},	//   ويم_, _hí_, _mair_, --, 
   {{0x661c94da,0x386000d4,0x291e94db,0x44fc001b}},	//   nark, _lair_, ysta_, _kí_, 
   {{0xb87b000d,0x44fc031e,0x273f010c,0x00000000}},	//   dmín, _jí_, zîn_, --, 
   {{0x44fc94dc,0x273f078a,0x661c02ba,0x321805f0}},	//   _mí_, yîn_, hark, _hery_, 
   {{0xb7fd0394,0x44fc94dd,0x321801a7,0x6d5a0035}},	//   _एलबम_, _lí_, _kery_, _wsta, 
   {{0x273f0218,0x661c94de,0x7f3b0486,0x32180180}},	//   vîn_, jark, _בעמו, _jery_, 
   {{0x6d5a94df,0x44fc94e0,0x273f0218,0x291e94e1}},	//   _usta, _ní_, wîn_, usta_, 
   {{0x291e94e2,0x386094e3,0x273f010c,0x661794e4}},	//   rsta_, _cair_, tîn_, _sexk, 
   {{0x44fc94e5,0x386090d1,0x291e0844,0x25f500bc}},	//   _aí_, _dair_, ssta_, ्डली_, 
   {{0x44fc94e6,0x273f055a,0x661c73ed,0x3f4200e7}},	//   _bí_, rîn_, gark, _mưu_, 
   {{0x3f420029,0x273f010c,0x88d60086,0x45d533e2}},	//   _lưu_, sîn_, _সংরক, совс, 
   {{0x316d94e7,0xd49894e8,0x44fc94e9,0x38600156}},	//   _čez_, ару_, _dí_, _gair_, 
   {{0x273f010c,0x24580fac,0x69ca0c59,0x32180054}},	// [8f10] qîn_, шать_, _सुती, _bery_, 
   {{0x661c94ea,0x8c3d0241,0x44fc94eb,0x3b06040c}},	//   cark, tişk, _fí_, _mtoq_, 
   {{0xd5b82b68,0x2258004e,0x38600126,0x44fc94ec}},	//   _вся_, рихы_, _yair_, _gí_, 
   {{0x40357747,0x765594ed,0x3f4200e7,0x3a3c0354}},	//   седс, lezy, _bưu_, _lcvp_, 
   {{0x7535003d,0x321894ee,0xb87b007a,0xddc80c45}},	//   luzz, _fery_, hmío, _padş, 
   {{0xee3800dd,0x518794ef,0x765594f0,0x32180876}},	//   ині_, _куба, nezy, _gery_, 
   {{0x31e500cc,0x01e500cc,0x8c3d3385,0x753594f1}},	//   _প্রশ, _প্রদ, lişi, nuzz, 
   {{0x69ca1ff6,0x45b800a7,0x40346bdb,0x661c94f2}},	//   _सुधी, יפול_, _месс, zark, 
   {{0x661c94f3,0x201d124d,0x8c3d04d6,0x00000000}},	//   yark, mawi_, nişi, --, 
   {{0x386094f4,0x201d030b,0x753594f5,0x66d2055f}},	//   _sair_, lawi_, kuzz, rækk, 
   {{0xb87b026e,0x69ca40a8,0xec1500d4,0x661c94f6}},	//   rmín, _सुदी, _هواد, vark, 
   {{0x201d09e8,0x661c94f7,0x75350405,0x44fc0038}},	//   nawi_, wark, duzz, _rí_, 
   {{0x2d8a02e7,0x44fc94f8,0x7e6194f9,0x64b700ef}},	//   _über_, _sí_, _kalp, rćil, 
   {{0x201d030b,0xa6ca5cb1,0x7e63016a,0x2cad94fa}},	//   hawi_, улга_, ndnp, lied_, 
   {{0x7e61055a,0x201d94fb,0x64b70bfc,0x386094fc}},	//   _malp, kawi_, pćil, _tair_, 
   {{0x661c94fd,0x3860003c,0x201d94fe,0x44fc94ff}},	//   sark, _uair_, jawi_, _ví_, 
   {{0xd4670ec4,0xb2269500,0x201d6545,0x32189501}},	// [8f20] щите_, ймал, dawi_, _pery_, 
   {{0x44fc9502,0x7535003d,0x2cad3440,0x6d439503}},	//   _tí_, buzz, hied_, ktna, 
   {{0x32189504,0x3f42001b,0x75359505,0x44fc0038}},	//   _very_, _sưu_, cuzz, _uí_, 
   {{0x7f4202a3,0x201d9506,0x30a5017b,0x00000000}},	//   ttoq, gawi_, орів, --, 
   {{0x32180180,0x64560384,0x6d4300e7,0x6d412af2}},	//   _tery_, meyi, etna, _aqla, 
   {{0x24800062,0x7e619507,0x645603c0,0x25df0394}},	//   ljim_, _calp, leyi, _गरमी_, 
   {{0x201d5ea9,0x7f42003d,0x2cad9508,0x00000000}},	//   bawi_, stoq, fied_, --, 
   {{0x64569509,0x26ca0415,0x67240144,0x2cad040b}},	//   neyi, hobo_, _ovij, gied_, 
   {{0x6d69002a,0x26ca1b71,0x3a270226,0x290764c5}},	//   _īpaš, kobo_, _bdnp_, _atna_, 
   {{0x6fb3003f,0x7af9039b,0x0e6a0038,0x26ca04c6}},	//   _عملا, _duwt, _حصري_, jobo_, 
   {{0x2cad09a2,0x67240b91,0x7d0a7c4f,0x20f300ef}},	//   bied_, _avij, _снег_, _ućit_, 
   {{0x8c3d0095,0x2480561b,0x63bb003e,0x2cad42c7}},	//   yişi, jjim_, _þung, cied_, 
   {{0x672402f5,0x6d5101b4,0x2907541f,0x2480044e}},	//   _cvij, čkaš, _etna_, djim_, 
   {{0x672402a8,0x199430cd,0x75350405,0x96f80024}},	//   _dvij, _маля, tuzz, серт_, 
   {{0x59cf0239,0x6aaa0604,0x6594210a,0x344b950a}},	//   _सुपर, _imff, пару, лчан_, 
   {{0x75350fc9,0x8c3d0c05,0x24800034,0x9727017b}},	//   ruzz, tişi, gjim_, _льод, 
   {{0x26ca950b,0x3eae0453,0x6e280be0,0x2bce1126}},	// [8f30] bobo_, kift_, _oddb, _हुमा, 
   {{0x63a91db4,0x201d6530,0x26ca001d,0x8c3d05b7}},	//   _žens, wawi_, cobo_, rişi, 
   {{0x67240f30,0x201d950c,0x506700a3,0x6456950d}},	//   _zvij, tawi_, йтда, beyi, 
   {{0x2ec105d0,0x6e2854da,0x4fd50152,0x78af0082}},	//   शक्त, _addb, ожет, nicv, 
   {{0x643a00c7,0x212102a2,0xddda0082,0x7ff40038}},	//   _דערנ, sshh_, _rotš, أسما, 
   {{0x3eae0c29,0x6d43950e,0x171c00c7,0x201d0da1}},	//   gift_, ttna, נווע, sawi_, 
   {{0x7e61950f,0xdc9900a3,0x201d06e4,0x51840a10}},	//   _valp, итиш_, pawi_, _еута, 
   {{0xcc89004e,0x6d439510,0xcf2e0241,0x6aaa00f3}},	//   рбие_, rtna, üğüm_, _amff, 
   {{0x628702f5,0x6d439511,0x7e619512,0x6a7f010c}},	//   _kojo, stna, _talp, _kêfx, 
   {{0xa92527b6,0x62879513,0x24800df4,0x6f099514}},	//   одол, _jojo, zjim_, _itec, 
   {{0x672402b1,0x3f8f02f0,0x2d67003a,0x69c60d60}},	//   _svij, lygu_, _uđe_, şken, 
   {{0x62870891,0x26ca007c,0x00000000,0x00000000}},	//   _lojo, wobo_, --, --, 
   {{0x776d02a3,0x78bd5c00,0x26ca9515,0x00000000}},	//   _crax, érva, tobo_, --, 
   {{0x66db0216,0xa9699516,0x645601a3,0xd4910023}},	//   tîka, _вика_, weyi, ền_, 
   {{0x26ca9517,0x249902a2,0xa2ba0367,0x64569518}},	//   robo_, _blsm_, ्वस्, teyi, 
   {{0x7c3b9519,0x66db010c,0x26ca187b,0xdbd4033c}},	//   ngur, rîka, sobo_, _zúñi, 
   {{0x672402b1,0x6287951a,0x776d39b5,0x52aa03bf}},	// [8f40] _uvij, _bojo, _grax, авам_, 
   {{0x6287951b,0x6456008f,0x2492020b,0x66db009e}},	//   _cojo, seyi, skym_, pîka, 
   {{0x6f0902a3,0x628776df,0x64560218,0xd67700df}},	//   _atec, _dojo, peyi, _ותיק_, 
   {{0xd46a0267,0x63bb0604,0x00000000,0x00000000}},	//   _тиме_, _žune, --, --, 
   {{0x4420951c,0x7c3b0126,0x161e088c,0x3eae0e16}},	//   mai_, dgur, _बजार_, tift_, 
   {{0xe29a951d,0x6287021e,0x00000000,0x00000000}},	//   _таг_, _gojo, --, --, 
   {{0x412701a2,0x3eae0dd8,0x4c94951e,0xbea302a0}},	//   _моро_, rift_, зийс, ќајк, 
   {{0x442023e9,0x7c3b2f12,0xfbf80033,0xc5f30486}},	//   nai_, ggur, ঘর্ষ_, ודו_, 
   {{0x1fd10086,0xee3a017b,0x46da009a,0xda7a951f}},	//   ়েবস, _внз_, णताह, аян_, 
   {{0xfa8a08c0,0x7c3b9520,0x20e80241,0xcfa90038}},	//   рсий_, agur, _eşit_, _طاقم_, 
   {{0x44209521,0x69ca1516,0xa3ac9522,0x2b440369}},	//   kai_, _सुशी, _केस_, stmc_, 
   {{0x4420556b,0x776d75c6,0x48ab0596,0x7d0d0304}},	//   jai_, _prax, ртом_, ćast, 
   {{0x44209523,0x69ca7426,0xe6670f4e,0x7cf50009}},	//   dai_, _सुरी, отво, _išra, 
   {{0x2455001b,0x70b800bd,0x442000a1,0x00000000}},	//   _ấm_, ेकुल, eai_, --, 
   {{0x62879524,0x44209525,0x199400b9,0x00000000}},	//   _rojo, fai_, _хайя, --, 
   {{0x44209526,0x776d09a1,0x7c2081c0,0xa3ac00aa}},	//   gai_, _trax, namr, _केह_, 
   {{0x628767f9,0x8c3d01f0,0x78ad9527,0xddc123e9}},	// [8f50] _pojo, mişt, _imav, _palū, 
   {{0x8c3d9528,0x320b9529,0x7afd952a,0x62870415}},	//   lişt, рхан_, ísti, _qojo, 
   {{0x4420952b,0x6f09952c,0x7c20952d,0xddc101dd}},	//   bai_, _stec, kamr, _valū, 
   {{0x8c3d6584,0x4420952e,0x00000000,0x00000000}},	//   nişt, cai_, --, --, 
   {{0xb4d700a2,0x62872556,0x534441ae,0xa2ba26f2}},	//   िती_, _tojo, _охра, ्वश्, 
   {{0x81cd00cc,0x8c3d010c,0x66d2003e,0x00000000}},	//   শেষ_, hişt, bæku, --, 
   {{0x78ad007e,0x7bc20068,0xa2ba0bb9,0x442b0210}},	//   _omav, _axou, ्वर्, _kdc_, 
   {{0x3b8500a3,0x442b952f,0x00000000,0x00000000}},	//   злиг, _jdc_, --, --, 
   {{0xbf150fdc,0x7c3b9530,0x442b9531,0x998e0118}},	//   _رواب, rgur, _mdc_, _jefņ_, 
   {{0x78ad2847,0x7c3b9532,0x44209533,0x75280228}},	//   _amav, sgur, zai_, ádzk, 
   {{0x81cd00cc,0x44209534,0x88ca3f64,0x186a70f3}},	//   শের_, yai_, йлов_, бани_, 
   {{0xa3ac05d2,0x7c200082,0x44209535,0x29e102aa}},	//   _कइल_, camr, xai_, _açaí_, 
   {{0x442005fe,0xf7720038,0x2be201a4,0xd5b70023}},	//   vai_, راح_, _परया, ống_, 
   {{0x4420134c,0x442b9536,0x59cf00a5,0x78ad02a5}},	//   wai_, _adc_, _सुथर, _emav, 
   {{0x44209537,0x442b02a3,0xd5b20038,0x049600e4}},	//   tai_, _bdc_, رفر_, праў, 
   {{0x2be20fec,0x8c3d3063,0x442b0139,0x00000000}},	//   _परमा, mişs, _cdc_, --, 
   {{0x442006dd,0x59cf0081,0x629e198f,0xf1fa031b}},	// [8f60] rai_, _सुतर, thpo, معات_, 
   {{0x7c2000e2,0x2bce1ef6,0x67264cd2,0x00000000}},	//   zamr, _हँसा, mskj, --, 
   {{0x68e40938,0xa3ac0ede,0x442b9538,0x2be25739}},	//   _khid, _केर_, _fdc_, _परभा, 
   {{0x39a2033e,0x4fea0ca4,0x68f60104,0xe0d22727}},	//   _hésé_, бмен_, _jiyd, رزا_, 
   {{0x672602fb,0x1b010033,0x68e400a1,0x2918010e}},	//   nskj, লীতে_, _mhid, áraz_, 
   {{0x42550bea,0x63a40204,0xbea34ac3,0x5436009c}},	//   _отст, mzin, начк, _برگر, 
   {{0x63a49539,0x68e400b4,0x629c0534,0x00000000}},	//   lzin, _ohid, _ilro, --, 
   {{0x5ba601fc,0xc5f300d1,0x225a0121,0x63a4953a}},	//   зроз, עדה_, lepk_, ozin, 
   {{0x8ac80c67,0x8fa324a8,0x7ae3084c,0xe4570070}},	//   оқда_, _зате, _bhnt, ליקט_, 
   {{0x63a4953b,0x3a74953c,0x8f9b0486,0x68e4025b}},	//   izin, флор, _הימי, _ahid, 
   {{0xade811ff,0x68e401c5,0x8c3d271b,0x59cf03a2}},	//   टेशन_, _bhid, tişt, _सुदर, 
   {{0x290a0bc3,0x68e40727,0xecea0ab5,0x2006953d}},	//   ība_, _chid, _удел_, ncoi_, 
   {{0x68e4953e,0x442b953f,0x63a4012e,0x8c3d9540}},	//   _dhid, _rdc_, jzin, rişt, 
   {{0x63a49541,0x442b9542,0x7cc1002a,0xf1be0367}},	//   dzin, _sdc_, mēra, ्थान, 
   {{0xd49b836f,0x78ad026e,0x27e002ba,0xa4d50451}},	//   бра_, _tmav, _ezin_, дові, 
   {{0xb4d71422,0xe45f010d,0x68e49543,0x68f6027e}},	//   िते_, _mjög_, _ghid, _giyd, 
   {{0xa3e702fc,0x63a401d2,0x00000000,0x00000000}},	// [8f70] यें_, gzin, --, --, 
   {{0x81d60033,0x68e42dfc,0x00000000,0x00000000}},	//   াইন_, _zhid, --, --, 
   {{0x78bd9544,0x442b055f,0x66d2003e,0x20e80248}},	//   onsv, _tdc_, rækt, _aşiq_, 
   {{0x442b9545,0x78bd9546,0x7fd546c3,0x629c039f}},	//   _udc_, nnsv, мілі, _elro, 
   {{0x644d9547,0x5f94004f,0x00000000,0x00000000}},	//   mfai, ницт, --, --, 
   {{0x644d9548,0x7d1a03c6,0x7a29039f,0x00000000}},	//   lfai, _bwts, _kötő, --, 
   {{0x236d1612,0x7d1a0090,0x00000000,0x00000000}},	//   _šejh_, _cwts, --, --, 
   {{0x644d9549,0xfd5e001b,0xeb990f7d,0x78bd32aa}},	//   nfai, _huyề, жии_, jnsv, 
   {{0x76900df8,0xfaa58c38,0x00000000,0x00000000}},	//   _käyt, дапо, --, --, 
   {{0x68e4954a,0x6f1b0027,0x78bd4ed9,0x00000000}},	//   _shid, _iwuc, ensv, --, 
   {{0x63a40141,0x661e1a08,0x6e23954b,0x8d950116}},	//   zzin, _repk, manb, _تلاش, 
   {{0xb4d7954c,0x66db009e,0x63a4954d,0x61ec00ad}},	//   ितो_, sîkl, yzin, ünlə, 
   {{0x644d00eb,0xa3ac0bb6,0xb4d700bd,0x02bf176d}},	//   dfai, _कें_, ितै_, ्वाभ, 
   {{0x7690030f,0x7afd954e,0x672600dd,0xddc30019}},	//   _näyt, ístu, rskj, lenő, 
   {{0x644d954f,0xa5074867,0x672634cd,0x23620144}},	//   ffai, деса_, sskj, _sskj_, 
   {{0x63a49550,0x6e2302f1,0x68e40242,0x67262032}},	//   tzin, hanb, _uhid, pskj, 
   {{0xc61d00cc,0x6e239551,0x661e027e,0x7ce5019c}},	// [8f80] _তারা_, kanb, _tepk, mórd, 
   {{0x248b0065,0x77648d13,0xe45f0219,0x236f003e}},	//   _eocm_, _isix, _sköt_, ægja_, 
   {{0x81d60086,0x64a6001c,0xc5fa00b0,0xe45f0219}},	//   াইভ_, _жана, ंशीय_, _bjöd_, 
   {{0x765c9552,0x38ab0035,0x644d0038,0xa3c911c1}},	//   lery, _górę_, cfai, _लुक_, 
   {{0x201f20ca,0xa3c80b20,0x2be200c2,0x213a095a}},	//   _deui_, _ऊँट_, _परधा, suph_, 
   {{0xc333035c,0x765c9553,0xb3550444,0x81d60033}},	//   _בוש_, nery, _سیما_, াইব_, 
   {{0x01630258,0x91030165,0x602614b7,0x00000000}},	//   _икро, _апсе, _одва, --, 
   {{0x77640068,0x2be20d2e,0x91e302da,0x69c612ed}},	//   _osix, _परदा, _росе, şkek, 
   {{0x9ce80105,0xd00f00b8,0x2bce0110,0x00000000}},	//   _ہوئے_, _خلق_, _हुशा, --, 
   {{0x765c9554,0xee379555,0x753c75be,0x25ef0110}},	//   jery, _ону_, kurz, _आणली_, 
   {{0xe87300d4,0x765c9556,0x644d9557,0xd91700c8}},	//   نندگ, dery, yfai, мья_, 
   {{0x6f000053,0x2baf0110,0x00000000,0x00000000}},	//   _kumc, _जेवा, --, --, 
   {{0xb90505cf,0xfbe20df2,0x2a670126,0x765c9558}},	//   _बी_, _परिम, _fanb_, fery, 
   {{0xb4d70790,0x765c08b0,0x59cf0cbd,0x7ce50068}},	//   ित्_, gery, _सुवर, tórg, 
   {{0x77640496,0x3ce6006f,0x0467004e,0x7e6802c9}},	//   _esix, _khov_, мтам, _madp, 
   {{0x260f07d5,0xfbe216df,0x6e239559,0x7ce51484}},	//   _त्री_, _पराम, zanb, córd, 
   {{0xf8bf3077,0x644d955a,0x69d8012e,0x765c0298}},	// [8f90] mné_, rfai, _hyve, bery, 
   {{0x386901b2,0xf8bf035e,0xfd5e0029,0x7e6851c4}},	//   _haar_, lné_, _quyề, _nadp, 
   {{0x6e23955b,0x59d400b0,0x673d004f,0xb0353888}},	//   vanb, _ठुमर, lusj, енеш, 
   {{0xf8bf955c,0x38692f44,0x65650065,0x6e23010c}},	//   nné_, _jaar_, _ishh, wanb, 
   {{0x386939b3,0x6e23955d,0x7690030f,0xe0d800dd}},	//   _maar_, tanb, _täyt, єві_, 
   {{0x6d4a80a6,0x9f9c003e,0x9e6408ab,0x3869955e}},	//   ftfa, ræða_, квід, _laar_, 
   {{0x6e23955f,0xf8bf9560,0xdef800c3,0xa2cc00ae}},	//   ranb, kné_, _diċ_, तकर्, 
   {{0x386954ce,0x6ac7036e,0xf8bf063b,0x6e239561}},	//   _naar_, रक्र, jné_, sanb, 
   {{0xf8bf08d7,0x26d134f5,0xdef8003d,0x00000000}},	//   dné_, kozo_, _fiċ_, --, 
   {{0x961e031e,0x2eca1a21,0xf8bf011c,0xb87b01d5}},	//   _बजेट_, ाकृत, ené_, nlíf, 
   {{0xe9d90141,0xae74006b,0xf9910038,0x765c9562}},	//   яко_, _جھنڈ, ابخ_, very, 
   {{0x6e219563,0x3ce6006d,0xf8bf026a,0x7cc100e0}},	//   _helb, _ghov_, gné_, mēro, 
   {{0x386901b2,0x69ce01c4,0x7d015647,0x6e211935}},	//   _daar_, über, _huls, _kelb, 
   {{0x2cbf007e,0xaa4500a3,0x7ce50126,0xcb36027a}},	//   lnud_, _чекл, sórd, _נאצי_, 
   {{0x69d80904,0xf8bf1e6f,0x649a001c,0xba740019}},	//   _gyve, bné_, птар_, _جانت, 
   {{0x38690511,0xf8bf026e,0x765c9564,0x753c044e}},	//   _gaar_, cné_, sery, rurz, 
   {{0x765c9565,0x26d15bf5,0x00000000,0x00000000}},	// [8fa0] pery, bozo_, --, --, 
   {{0x2be2190a,0x056603bb,0xb87b7607,0x386900b4}},	//   _परसा, _звон, glíf, _zaar_, 
   {{0x6f001102,0x7d0102c9,0x91e60080,0x00000000}},	//   _sumc, _nuls, хоже, --, 
   {{0x76900088,0x64a69566,0x38a20187,0x65c10259}},	//   _täys, _чама, _fóre_, _тұса, 
   {{0x2cbf007e,0x76450156,0x6e219567,0x44222dfc}},	//   dnud_, _ychy, _belb, _iek_, 
   {{0x7d019568,0xf8bf037f,0x44229569,0x11d6004f}},	//   _buls, zné_, _hek_, _зібр, 
   {{0xa0a600dd,0x6e210c43,0x91e351df,0x3ce6006d}},	//   _завд, _delb, _боре, _phov_, 
   {{0x6d4a0c29,0x3ce61124,0x4422956a,0xf8bf0032}},	//   rtfa, _qhov_, _jek_, xné_, 
   {{0xf8bf0c7f,0x7af8006d,0x10a31ba1,0x386901c8}},	//   vné_, _pivt, _ситн, _raar_, 
   {{0xc333956b,0x628e956c,0x6e21956d,0x610c01f0}},	//   נות_, _jobo, _gelb, _eğle, 
   {{0xf8bf08d7,0x3869119e,0x7afd026e,0x3ce601c1}},	//   tné_, _paar_, ístr, _thov_, 
   {{0x26f90f01,0x4422956e,0xdd8f015d,0x673d956f}},	//   ंद्र_, _nek_, _دوم_, tusj, 
   {{0xf8bf9570,0x7af89571,0x38690876,0x65650379}},	//   rné_, _tivt, _vaar_, _sshh, 
   {{0x386901b2,0xf8bf0076,0x7c2200eb,0x656502fe}},	//   _waar_, sné_, _heor, _pshh, 
   {{0xf8bf0076,0x44229572,0xf1d00bf5,0x7c22016a}},	//   pné_, _bek_, _तुलन, _keor, 
   {{0x44229573,0x7c22016a,0x7cc800bc,0x38699574}},	//   _cek_, _jeor, běre, _uaar_, 
   {{0x628e9575,0x53340f82,0x2a7c02b0,0x7c2f20ac}},	// [8fb0] _bobo, летт, _knvb_, ócri, 
   {{0xd01903c1,0x44229576,0x628e9577,0x7c227931}},	//   दर्भ_, _eek_, _cobo, _leor, 
   {{0x628e9578,0x442203a0,0xd13b00fd,0x66b200f0}},	//   _dobo, _fek_, яха_, _тұру, 
   {{0x6e2102ec,0x7cc100e0,0x44229579,0xa3ac0bed}},	//   _selb, vēro, _gek_, _केक_, 
   {{0x6e212d95,0x4f08005e,0x7d01957a,0xb4bf1f30}},	//   _pelb, енін_, _suls, ेवी_, 
   {{0x628e957b,0xed5924e3,0x2489957c,0x6e21957d}},	//   _gobo, док_, ljam_, _qelb, 
   {{0x4422055a,0x2cbf007e,0xa15815a7,0x6e21957e}},	//   _yek_, tnud_, _пару_, _velb, 
   {{0x24892840,0x628e957f,0x6e219580,0x672d0ab4}},	//   njam_, _zobo, _welb, _ovaj, 
   {{0x7c223f63,0x2ef53d33,0x2cbf00b0,0x6e219581}},	//   _deor, _азар, rnud_, _telb, 
   {{0x3da728f0,0xb87b00bc,0x2be209d8,0x7cc802d9}},	//   _преб, hlíd, _पररा, věre, 
   {{0x98a62820,0x7c2201be,0x89f4012d,0x672d9582}},	//   вине, _feor, ляюц, _avaj, 
   {{0x61fa41d4,0xf3ff00e7,0x248936d3,0x7ce50183}},	//   _útle, _ngã_, jjam_, sórb, 
   {{0xeb8e0b68,0x442211e9,0x672d00ef,0xc6260086}},	//   _ти_, _rek_, _cvaj, _বাবা_, 
   {{0x44229583,0xa7fb0496,0x66e614f1,0x672d39a4}},	//   _sek_, xeñe, тога, _dvaj, 
   {{0xceb2864b,0x44229584,0x7c22016a,0xa6db008c}},	//   בים_, _pek_, _yeor, fuðb, 
   {{0x7c220042,0xe4c300a3,0x00000000,0x00000000}},	//   _xeor, айси, --, --, 
   {{0xb87b9585,0xe8d79586,0x442253ef,0x66db010c}},	// [8fc0] rmít, _בוקר_, _vek_, zîki, 
   {{0x44229587,0x66db0216,0x27fe02d9,0x2b4d9588}},	//   _wek_, yîki, ětnu_, itec_, 
   {{0x44229589,0x35a679c4,0xe4c64bf2,0x64b70242}},	//   _tek_, _ранг, _айни, rćir, 
   {{0xb87b0042,0xa7fb001d,0x442200b4,0x628e03a0}},	//   lmír, señe, _uek_, _wobo, 
   {{0xdfd200eb,0x00000000,0x00000000,0x00000000}},	//   جيش_, --, --, --, 
   {{0x7c2211a4,0x5f93958a,0x6e940038,0x6f0d2953}},	//   _seor, ришт, طلبا, íaca, 
   {{0x7c224706,0xe04600d9,0x3f8000b3,0xed5702a6}},	//   _peor, _инви, ţiu_, вој_, 
   {{0x61e30c05,0x6444958b,0x66db010c,0x7ce5019c}},	//   ünle, ngii, rîki, vórc, 
   {{0x69ca0d4f,0x60c2958c,0x3dd20035,0x2d810502}},	//   _सुजी, mnom, ływ_, äher_, 
   {{0xbbe20586,0x60c2958d,0x5be246cc,0x6ee40237}},	//   _परीक, lnom, _परीव, bòba, 
   {{0xe6be12e3,0x672d012d,0x5d862140,0xe8950528}},	//   ोवैज, _svaj, _جلال, гань, 
   {{0x60c2958e,0x6d5a01f0,0x00000000,0x00000000}},	//   nnom, _ipta, --, --, 
   {{0x59b2031e,0x0eb6031e,0x3cfb00a5,0x2b4d00f6}},	//   ुपहर, _अगाड, _लूटे_, ctec_, 
   {{0x60c201ff,0x7ce5958f,0x3f86019c,0x00000000}},	//   hnom, móra, ixou_, --, 
   {{0xddda031e,0xa50402f1,0x60c29590,0x7ce50354}},	//   _patř, иятл, knom, lóra, 
   {{0x64440102,0x60c247e5,0x00000000,0x00000000}},	//   ggii, jnom, --, --, 
   {{0x24899591,0xb87b2d3b,0x325500d9,0x672d0352}},	// [8fd0] rjam_, smís, лвар, _uvaj, 
   {{0x2247006b,0x6d5a9592,0x27e400c2,0x66e40d3d}},	//   ünk_, _opta, ümne_, _коња, 
   {{0xa3e70081,0xa2ba0cbd,0xddc89593,0xe03900d9}},	//   येज_, ्वज्, _andž, езеч_, 
   {{0x60c2327b,0xc95300c7,0x00000000,0x00000000}},	//   gnom, ימע_, --, --, 
   {{0x44299594,0xc43a0056,0x6d5a2a68,0xd49100e7}},	//   maa_, _אתרי, _apta, ều_, 
   {{0x4429030f,0x38a29595,0xc1050fce,0x7cf50009}},	//   laa_, _móra_, _موسي, _išri, 
   {{0x200903da,0xb87b0165,0xddc10097,0xddc80082}},	//   ñais_, ilíb, _balš, _endž, 
   {{0x44299596,0x7ce500eb,0x27ed02d9,0x26c30604}},	//   naa_, fóra, ženy_, hnjo_, 
   {{0xddc10351,0x7b750629,0x26c30121,0x6d5a0354}},	//   _dalš, اطبا, knjo_, _epta, 
   {{0x44299597,0xd90c006b,0x99159598,0x2fc0007a}},	//   haa_, ڈیو_, льмі, úige_, 
   {{0x44299599,0x26c302ee,0x2b4d8ca4,0xd90c0019}},	//   kaa_, dnjo_, stec_, ویو_, 
   {{0xe73a959a,0x4429959b,0x3da45309,0x7ce50183}},	//   нем_, jaa_, _труб, bóra, 
   {{0x4429959c,0xca751dbc,0xb8cc959d,0x7c29959e}},	//   daa_, _буйы, _गत_, maer, 
   {{0x25ef02f8,0xd945959f,0x38a235b6,0x78a6021e}},	//   _आणखी_, _беки, _dóra_, shkv, 
   {{0x442995a0,0x64a600e4,0xe5a395a1,0x610c0785}},	//   faa_, гава, бири, _oğla, 
   {{0x38a295a2,0x442995a3,0xb87b253f,0x7c2995a4}},	//   _fóra_, gaa_, smír, naer, 
   {{0x38a200ab,0x78a40010,0x69c60216,0x60c2139c}},	// [8fe0] _góra_, _iliv, şket, vnom, 
   {{0x7c290156,0x610c0540,0x16660bad,0x00000000}},	//   haer, _ağla, _свом, --, 
   {{0x442995a5,0x7c290a9f,0x78a495a6,0x60c281e3}},	//   baa_, kaer, _kliv, tnom, 
   {{0x4fa695a7,0x00da0c72,0x673b008b,0x1b190086}},	//   лиев, ربات_, šuje, _দিনে_, 
   {{0xbbe2031e,0x8f8402f1,0x7c2995a8,0x78a4025b}},	//   _परेक, шқал, daer, _mliv, 
   {{0x3fcb0444,0x78a400b9,0xdd9426ef,0x00000000}},	//   ردنی_, _lliv, иалы, --, 
   {{0xf98795a9,0x00000000,0x00000000,0x00000000}},	//   _اب_, --, --, --, 
   {{0x7c291b9a,0x7ce5526a,0x10a30bae,0x00000000}},	//   gaer, tóra, _лисн, --, 
   {{0x409323e6,0x00000000,0x00000000,0x00000000}},	//   _القر, --, --, --, 
   {{0x78a495aa,0x629e95ab,0x442995ac,0x3eb895ad}},	//   _aliv, nkpo, zaa_, _ört_, 
   {{0x78a495ae,0x442958b8,0x7c290102,0xa7fb00e9}},	//   _bliv, yaa_, baer, deña, 
   {{0xe3bf0634,0x7c2990b8,0xb4ce031e,0x1be600a3}},	//   _leña_, caer, शको_, _йўлг, 
   {{0x442995af,0xfcd3009c,0x26c395b0,0x00000000}},	//   vaa_, _اينج, tnjo_, --, 
   {{0x386d95b1,0x442995b2,0xb87b0068,0x2d98010e}},	//   žer_, waa_, flíc, _üres_, 
   {{0x442995b3,0x78a4008a,0x00000000,0x00000000}},	//   taa_, _fliv, --, --, 
   {{0x26c322ed,0x893307cf,0x6e2a017c,0x78a46e31}},	//   snjo_, _اعوا, hafb, _gliv, 
   {{0x44290088,0xbbe2017d,0x26c30352,0x68ed01f2}},	// [8ff0] raa_, _परोक, pnjo_, _ihad, 
   {{0x27e90414,0x7ce5010d,0x442995b4,0xb603031e}},	//   _izan_, jórn, saa_, část, 
   {{0x68ed95b5,0x442995b6,0x64ac00b3,0x78a400c8}},	//   _khad, paa_, rşir, _yliv, 
   {{0x046795b7,0x6f0d0684,0x657a0566,0x256703c6}},	//   _стом, íaco, æthe, _iŵl_, 
   {{0x68ed4919,0x68ff132c,0x7ce51742,0x7c2995b8}},	//   _mhad, _miqd, fórn, vaer, 
   {{0x1eea00d6,0x68ed011c,0x7c29039b,0x7cc10243}},	//   نونی_, _lhad, waer, pērk, 
   {{0x63ad3c88,0x41e40965,0x7c2927bd,0x200e003e}},	//   lzan, _гіта, taer, ækið_, 
   {{0x27e91371,0x63ad1656,0x61fa01d5,0x68ed95b9}},	//   _ozan_, ozan, _útla, _nhad, 
   {{0x63ad752e,0xbf151fe8,0x7c290298,0x60db32dd}},	//   nzan, _ضواب, raer, _ikum, 
   {{0xdfd8048a,0x60c91b37,0xa7fb03da,0x68ed0053}},	//   _със_, _hjem, xeña, _ahad, 
   {{0x78a408b1,0x27e995ba,0x68ed3cfd,0x60c900dd}},	//   _pliv, _azan_, _bhad, _kjem, 
   {{0x7e6395bb,0xac196b2f,0x63ad0237,0x7d0e014b}},	//   lenp, _роду_, kzan, žisé, 
   {{0x6d4395bc,0x68ed00d7,0x63ad0588,0x60db2fc5}},	//   luna, _dhad, jzan, _mkum, 
   {{0x63ad95bd,0xbb3a00a7,0x8f9a0070,0x7e6395be}},	//   dzan, _יעני, דישי, nenp, 
   {{0x6d4395bf,0x60db95c0,0x69c60218,0x68ed009f}},	//   nuna, _okum, şker, _fhad, 
   {{0x60c90eae,0xa7fb128a,0x68ed95c1,0x78a495c2}},	//   _njem, seña, _ghad, _uliv, 
  
   {{0xd46756c5,0x6d430bc1,0xe3bf95c3,0xb22643a1}},	// [9000] шите_, huna, _peña_, имал, 
   {{0x290795c4,0x60db95c5,0x22160176,0x7f86039f}},	//   _kuna_, _akum, рфар, یلان, 
   {{0x26d895c6,0x290795c7,0x6d4395c8,0x5be22369}},	//   moro_, _juna_, juna, _पर्व, 
   {{0x3ea595c9,0x290795ca,0x26d895cb,0x6d4362fa}},	//   _allt_, _muna_, loro_, duna, 
   {{0x290795cc,0xe3bf0496,0x63ad00ab,0x60c9024a}},	//   _luna_, _teña_, czan, _djem, 
   {{0x8d760399,0x60c915c4,0x26d895cd,0x35db0b79}},	//   لاعا, _ejem, noro_, _मुड़, 
   {{0x6d434b12,0x290795ce,0x7d7800d4,0x6e2a4d5c}},	//   guna, _nuna_, امبر_, rafb, 
   {{0x26d8024d,0x60c907ed,0x00000000,0x00000000}},	//   horo_, _gjem, --, --, 
   {{0x290708f9,0x6b9b95cf,0x7ac695d0,0x8fa30024}},	//   _auna_, gyug, исое, _дате, 
   {{0x290795d1,0x781f0179,0x3a270183,0x26d895d2}},	//   _buna_, पर्क_, _cenp_, joro_, 
   {{0x63ad95d3,0x290795d4,0x26d895d5,0x2be20a34}},	//   zzan, _cuna_, doro_, _परका, 
   {{0x57a702f1,0x7ae195d6,0x6b9b95d7,0x27e00118}},	//   ашга, allt, byug, _byin_, 
   {{0x6105012d,0x27e0016a,0x26d895d8,0x6b9b016c}},	//   _vėli, _cyin_, foro_, cyug, 
   {{0x26d895d9,0x7d080a9d,0x67241b6b,0x290795da}},	//   goro_, _kuds, _dwij, _funa_, 
   {{0x29072998,0x6e2895db,0x68ed95dc,0x7d080118}},	//   _guna_, _medb, _thad, _juds, 
   {{0x1b1900cc,0x63ad95dd,0x7d0826e0,0x7cc100e0}},	//   _দিতে_, tzan, _muds, tēri, 
   {{0x6d4395de,0x26d80199,0x78bd35ae,0xa7fb0369}},	// [9010] zuna, boro_, misv, meño, 
   {{0x63ad95df,0x26d895e0,0x60c9268a,0x290795e1}},	//   rzan, coro_, _sjem, _yuna_, 
   {{0x2f0b0022,0x63ad95e2,0x67246b42,0x415595e3}},	//   _søg_, szan, _zwij, свес, 
   {{0x6d430547,0x78bd95e4,0xa49b00f6,0x7cec010c}},	//   vuna, nisv, _diòc, hûrb, 
   {{0x1fb91b17,0x95e9006b,0x3f6708a5,0x7e6395e5}},	//   ылды_, _جبکہ_, ртеб, tenp, 
   {{0x6d4367a4,0x7d0839a9,0x6da500a3,0x2295007a}},	//   tuna, _buds, йила, _الآس, 
   {{0x365c00a7,0x2ca6017e,0x60c902c7,0x7e6395e6}},	//   דכונ, _blod_, _tjem, renp, 
   {{0x60db95e7,0x60c93596,0x290795e8,0x4c8595e9}},	//   _ukum, _ujem, _runa_, слив, 
   {{0x6d4378c6,0x290795ea,0xdd91006b,0x7e630237}},	//   suna, _suna_, توں_, penp, 
   {{0x6d4395eb,0x2900007e,0x26d802f1,0xe3bf001d}},	//   puna, _siia_, xoro_, _leño_, 
   {{0xf7690052,0x26d8048a,0x6f0905b9,0xe8fa0200}},	//   _רק_, voro_, _huec, лло_, 
   {{0x29070613,0x09e50259,0x2ca600f3,0x6f010354}},	//   _vuna_, _қойн, _glod_, _hilc, 
   {{0x6f0904b3,0x290000b0,0x00000000,0x00000000}},	//   _juec, _viia_, --, --, 
   {{0x6f090126,0x87b90080,0x629595ec,0x29071e37}},	//   _muec, руют_, _nozo, _tuna_, 
   {{0x290795ed,0x776d0042,0xe5a3727a,0x26d895ee}},	//   _uuna_, _esax, пири, roro_, 
   {{0x26d895ef,0x6724012e,0xe3bf0126,0xb87b033c}},	//   soro_, _twij, _ceño_, plía, 
   {{0x629502f1,0x6f090327,0x26d80199,0x96ba95f0}},	// [9020] _bozo, _nuec, poro_, _буну_, 
   {{0x2a650226,0x6295020f,0x3872403b,0x00000000}},	//   nelb_, _cozo, _hayr_, --, 
   {{0xed450290,0x04ca00eb,0x84e3007e,0xb87b007a}},	//   _تھ_, _مودي_, _कीकट_, ilín, 
   {{0x7ce50634,0x6f012e31,0x7d08264e,0x6f0902eb}},	//   fórm, _ailc, _ruds, _buec, 
   {{0x442095f1,0x3ebc0a40,0x7d0802f5,0xdee60d01}},	//   mbi_, tivt_, _suds, боди, 
   {{0x6f0906c5,0x629595f2,0x7d0802c9,0x6f0103c6}},	//   _duec, _gozo, _puds, _cilc, 
   {{0x7d080ab1,0x6143383a,0x442000bd,0x6e282f25}},	//   _quds, _нера, obi_, _vedb, 
   {{0x5b148d2a,0x442095f3,0x5c982e81,0x3ebc0c17}},	//   омит, nbi_, ркия_, sivt_, 
   {{0x44203fd0,0x6e28035d,0x20871279,0x00000000}},	//   ibi_, _tedb, _уйти_, --, 
   {{0x442095f4,0xd91a1252,0x0a6a03dc,0x7d08010e}},	//   hbi_, льм_, урии_, _tuds, 
   {{0x19582983,0x6f090126,0x442007fc,0xa7fb0126}},	//   шаны_, _zuec, kbi_, teño, 
   {{0xdee6196c,0x44200613,0x2ca6012b,0xb882020b}},	//   _тоҷи, jbi_, _ulod_, _šíra, 
   {{0x442006e0,0xa7fb12cf,0x274b00c8,0x98b800fd}},	//   dbi_, reño, ычно_, слят_, 
   {{0x442d0f58,0xa7fb0503,0x7bdc0540,0x78bd95f5}},	//   _že_, seño, ğrud, sisv, 
   {{0x3abb0052,0x62950228,0x2ba60366,0xa7fb001d}},	//   _תמונ, _rozo, गनवा, peño, 
   {{0x442095f6,0x9419187c,0x7d0200a9,0xd49895f7}},	//   gbi_, ржат_, _jios, бру_, 
   {{0x611506d0,0x7d0295f8,0xe3bf0068,0x1fb7093a}},	// [9030] _işlə, _mios, _veño_, _अधेड, 
   {{0x7d02006e,0x629502f1,0xf8bf0107,0x442095f9}},	//   _lios, _qozo, lié_, abi_, 
   {{0xe3bf0496,0x6f091eb1,0x442095fa,0x00000000}},	//   _teño_, _suec, bbi_, --, 
   {{0x92693b46,0xf8bf0151,0x00000000,0x00000000}},	//   ырға_, nié_, --, --, 
   {{0x7c2004a8,0x443995fb,0x6f090cf1,0x62950097}},	//   dbmr, _ids_, _quec, _tozo, 
   {{0x442b95fc,0x44396653,0x88cf0086,0xfd11007a}},	//   _hec_, _hds_, রতিক, وجب_, 
   {{0x442b57e9,0x31353f4a,0x6f0101dd,0xcc890080}},	//   _kec_, _фебр, _vilc, ибке_, 
   {{0xdfd595fd,0x7ce50035,0x80271c03,0x61050009}},	//   _добы, mórk, _درآم, _dėlt, 
   {{0x7d0295fe,0x442b95ff,0xf8bf026a,0xfe77013e}},	//   _dios, _mec_, dié_, _гүл_, 
   {{0x442b9600,0x44209601,0x00000000,0x00000000}},	//   _lec_, zbi_, --, --, 
   {{0xa88a9602,0xf8bf026d,0xf8661e2b,0x4439603c}},	//   айна_, fié_, овно, _ods_, 
   {{0x442b9603,0x44399604,0x6b8400ef,0x7d029605}},	//   _nec_, _nds_, _šige, _gios, 
   {{0x2cad01cc,0xb87b9606,0x4420052a,0x7c2b0243}},	//   mhed_, plín, vbi_, _iegr, 
   {{0x05db0262,0x4420016a,0x645d4ef1,0x644f0139}},	//   _मुहब, wbi_, _absi, _acci, 
   {{0x44209607,0x66031745,0x442b9608,0x1c0d02e6}},	//   tbi_, дпра, _bec_, _हलाल_, 
   {{0x0326048a,0x44209609,0x2cad055f,0xf8bf0107}},	//   ждан, ubi_, nhed_, cié_, 
   {{0x7c2b30a7,0x442b00d1,0x2bf600c7,0x00000000}},	// [9040] _megr, _dec_, ַמען_, --, 
   {{0x645d008a,0x644f00fd,0x7c2b960a,0x821a00b3}},	//   _ebsi, _ecci, _legr, рцат_, 
   {{0xa3e64546,0x44391484,0x7c390083,0x600a960b}},	//   _फरक_, _fds_, _odwr, анем_, 
   {{0xddc81ac4,0x442b4cd8,0x6ee4022c,0x00000000}},	//   _nadš, _gec_, mòbi, --, 
   {{0xf8b30056,0x7d020038,0xbe8a2d8b,0xa3bd1a21}},	//   ושא_, _rios, иске_, ेपण_, 
   {{0x7d02960c,0x877b00fe,0xbea30886,0x3da600a3}},	//   _sios, יאני, мачк, жриб, 
   {{0x7c2b960d,0x7d0200ab,0x10a6960e,0xe7e108b3}},	//   _begr, _pios, _дивн, _गुना_, 
   {{0x61ee0112,0x442b960f,0x2cad4ee8,0x00000000}},	//   _izbl, _xec_, ghed_, --, 
   {{0x7cc1002a,0x320d07fa,0x7c2b4d27,0xf8bf4992}},	//   vērt, _şeyi_, _degr, vié_, 
   {{0x23620640,0x7d029610,0xdcea035d,0x00000000}},	//   _mpkj_, _wios, ınır, --, 
   {{0xc27b00fe,0x291800e5,0xf8bf026a,0xfbcf009c}},	//   בריי, ëra_, tié_, فتی_, 
   {{0x7c2b38a2,0xb87b00eb,0xbb860195,0x2cad9611}},	//   _gegr, rlío, _ولاي, ched_, 
   {{0x29185e03,0x81d60086,0xf8bf9612,0x44390474}},	//   ūra_, াইট_, rié_, _rds_, 
   {{0x442b9613,0xaa58070f,0x6ee403dd,0x00000000}},	//   _sec_, _طلبا_, fòbi, --, 
   {{0x442b9614,0xf8bf9615,0x25db51c8,0xa49b01be}},	//   _pec_, pié_, _खुशी_, _diòn, 
   {{0x291e9616,0x98c4004e,0x47355ab2,0x66e50216}},	//   mpta_, _осыл, _енис, fîkê, 
   {{0x442b86cc,0x44392d61,0x00000000,0x00000000}},	// [9050] _vec_, _vds_, --, --, 
   {{0x291e016a,0x7cd300b3,0x04eb0033,0x98a60028}},	//   opta_, măre, কদের_, rslą_, 
   {{0x644f025b,0x00000000,0x00000000,0x00000000}},	//   _tcci, --, --, --, 
   {{0x644f0093,0x44399617,0xf993008d,0x26c40228}},	//   _ucci, _uds_, ורע_, émov_, 
   {{0x8e859618,0xddc80377,0x7c2b1cea,0xb4d70f8c}},	//   згле, _radš, _regr, ाकी_, 
   {{0xa13700c5,0x31352160,0x7ce5570d,0x644d9619}},	//   _ورزش, _негр, móri, lgai, 
   {{0x2cad961a,0x6287961b,0x7ce5961c,0x00000000}},	//   thed_, _injo, lóri, --, 
   {{0x7cc100e0,0x271800bc,0x2f1001f5,0x6aaa961d}},	//   vērs, něný_, _fàg_, _alff, 
   {{0x2cad01cc,0x5f7700d4,0x7c2b961e,0x7f420212}},	//   rhed_, _بازر, _vegr, croq, 
   {{0x2cad0056,0x7c2b623f,0x4ea4961f,0x394518ec}},	//   shed_, _wegr, _орха, пног, 
   {{0xa969801d,0x60cb0023,0x25db122c,0x2aa900e1}},	//   щина_, ongm, _खुली_, _cúba_, 
   {{0x7ce5063d,0x290400c2,0x6aaa03c6,0x66150083}},	//   kóri, öma_, _elff, eczk, 
   {{0x291e00d9,0x7ce501d5,0x62879620,0x7cd30474}},	//   apta_, jóri, _onjo, găre, 
   {{0x6d439621,0xb81c34a2,0x00000000,0x00000000}},	//   orna, _भ्रम_, --, --, 
   {{0x98a69622,0xa5d600a5,0x00000000,0x00000000}},	//   _нике, _मुखौ, --, --, 
   {{0x62879623,0x7ce516c6,0x6ee400f6,0x00000000}},	//   _anjo, fóri, ròbi, --, 
   {{0x7ce55458,0x7cd300b3,0x630629ce,0x38600027}},	// [9060] góri, căre, سوال, _ibir_, 
   {{0x644d009f,0xe2979624,0x969602a6,0x6d430a1a}},	//   agai, пау_, _хриш, krna, 
   {{0x3860003d,0x806615d6,0x6f1b0175,0xd24f20b4}},	//   _kbir_, звеж, _atuc, انم_, 
   {{0x62879625,0x2f10022c,0xe7f3031e,0x261800c2}},	//   _enjo, _pàg_, _घरमा_, बुरी_, 
   {{0x44329626,0x8fa30cfe,0x6d439627,0x59dd0790}},	//   may_, наце, erna, _नुसर, 
   {{0x7f429628,0x44327aea,0x291e2bbf,0x33200626}},	//   rroq, lay_, ypta_, mpix_, 
   {{0xacf800e4,0x490b031e,0x4c949629,0x98bf00b3}},	//   онку_, _ठूलो_, дийс, nută_, 
   {{0x4432962a,0x7f42962b,0x00000000,0x00000000}},	//   nay_, proq, --, --, 
   {{0x33200c29,0x6d432619,0x66150083,0x2be1009a}},	//   npix_, arna, yczk, _पडणा, 
   {{0x44322e4c,0x60c2962c,0x6d43962d,0x3860007c}},	//   hay_, liom, brna, _abir_, 
   {{0x05db215e,0x44327d42,0x80b00586,0x28f900dd}},	//   _मुंब, kay_, ंसपे, жень_, 
   {{0x48ab6014,0x4432962e,0x6d4a0458,0x386000a1}},	//   стом_, jay_, mufa, _cbir_, 
   {{0x44320056,0x765c00f8,0xa49b00a1,0x2d6e02d9}},	//   day_, ffry, _diòl, _hře_, 
   {{0x291e31b7,0x36d5125b,0x2be1009a,0x6d58123b}},	//   ppta_, фогр, _पडता, otva, 
   {{0x4432155c,0xc9861bd5,0xda5b03e1,0x6d4a962f}},	//   fay_, _хули, _הכול, nufa, 
   {{0x44329630,0x7ce500ce,0xb4d705fd,0xd4986905}},	//   gay_, tóri, ाके_, пру_, 
   {{0x78ad9631,0x28580038,0x6d430121,0xc2992351}},	// [9070] _ilav, _رؤية_, zrna, оках_, 
   {{0x78ad08d7,0x290e9632,0x644d9633,0x6d4a9634}},	//   _hlav, _kufa_, sgai, kufa, 
   {{0x443203eb,0x7ce50165,0x98bf00d9,0x26c30352}},	//   bay_, sóri, cută_, mijo_, 
   {{0x26c39635,0xd1380965,0x6d4a9636,0x44329637}},	//   lijo_, яху_, dufa, cay_, 
   {{0x7eaf00dd,0xb4e91503,0x78ad0097,0x5ec50086}},	//   _løpe, यती_, _mlav, _লীগে, 
   {{0x78ad9638,0x6d43090b,0x26c302ee,0x62870405}},	//   _llav, trna, nijo_, _unjo, 
   {{0x78ad1f68,0x6d4a9636,0xed590cfe,0x00000000}},	//   _olav, gufa, цой_, --, 
   {{0x60c201be,0xdb000151,0x00000000,0x00000000}},	//   ciom, lymè, --, --, 
   {{0x1ee7017a,0x81df0086,0x8f5500d4,0x98bf00b3}},	//   _فوری_, দেশ_, _زناش, zută_, 
   {{0x44323c0c,0xb4e918aa,0x26c39639,0x290e00f6}},	//   zay_, यतु_, jijo_, _bufa_, 
   {{0x81df1421,0x4432963a,0x26c3963b,0x78ad963c}},	//   দের_, yay_, dijo_, _blav, 
   {{0x443209c7,0xb4d70351,0x78ad0018,0x644a010e}},	//   xay_, ाको_, _clav, őfiz, 
   {{0x610c0c05,0x4432158b,0x26c3008b,0xe72701a2}},	//   _işle, vay_, fijo_, мояд_, 
   {{0x4432963d,0x60c200ab,0x78ad963e,0x26c30461}},	//   way_, ziom, _elav, gijo_, 
   {{0x4432963f,0x998509e8,0x78ad9640,0x7cd300b3}},	//   tay_, _آلبو, _flav, cărc, 
   {{0x1ad50086,0x61fa003e,0x98bf020f,0x649903a1}},	//   _হওয়া, _útli, rută_, птур_, 
   {{0xa8570056,0x44329641,0x26c39642,0x765c1226}},	// [9080] _חיפה_, ray_, bijo_, pfry, 
   {{0x443244f0,0x26c311c8,0x78ad0032,0x98bf020f}},	//   say_, cijo_, _zlav, pută_, 
   {{0x4432099f,0x211a00d7,0x60c29643,0x6d4a00b9}},	//   pay_, زتاب_, tiom, xufa, 
   {{0x44320287,0x4fea0804,0x6aaa2a2c,0x53a6013e}},	//   qay_, омен_, _छत्र, _жамб, 
   {{0x3eac0102,0x7ae81341,0x68e4018e,0x7ae302a5}},	//   _pldt_, yldt, _mkid, _oknt, 
   {{0xd2520fdc,0x6d589644,0x60c29645,0x6d4a9646}},	//   _جنس_, ttva, siom, tufa, 
   {{0x21380372,0x60c29647,0x68e4657c,0x205600f0}},	//   _uvrh_, piom, _okid, _отар, 
   {{0x63a401b8,0x26c3008b,0x6d582f1d,0x6d4a9648}},	//   oyin, zijo_, rtva, rufa, 
   {{0x63a4938d,0x7ae30415,0x0a6a2cb9,0xb87b6bf1}},	//   nyin, _bknt, орни_, slík, 
   {{0x629c1032,0x3b07026a,0x610c0241,0x8c47078a}},	//   _joro, _cinq_, _eşle, _paşî, 
   {{0x629c9649,0x6da611fe,0x26c302ee,0x7ae85490}},	//   _moro, _تمام, vijo_, rldt, 
   {{0x629c964a,0xa9c300dd,0x68f600f8,0x7ae302a5}},	//   _loro, тськ, _chyd, _eknt, 
   {{0x26c30145,0xe81e0035,0x7cd3020f,0x6f0805d5}},	//   tijo_, पड़ा_, sărc, _kidc, 
   {{0x63a4964b,0x629c964c,0xb4d73832,0x290e964d}},	//   dyin, _noro, ाक्_, _tufa_, 
   {{0x26c302ee,0x6f082352,0x7cd3020f,0x257800b3}},	//   rijo_, _midc, lăra, мбрь_, 
   {{0xb4e91493,0x6b82964e,0x26c3008b,0xddc300b3}},	//   यते_, _krog, sijo_, lenţ, 
   {{0x629c964f,0x7ce500eb,0x26c3008b,0x53340a31}},	// [9090] _boro, mórt, pijo_, кетт, 
   {{0x27e90c3d,0xddc300b3,0x672d025b,0x68fd9650}},	//   _iyan_, nenţ, _iwaj, lmsd, 
   {{0x610c07fa,0x629c203f,0x26c19651,0x63a401a3}},	//   _oğlu, _doro, _imho_, ayin, 
   {{0x38a29652,0x672d4c9e,0x629c01a7,0x92bf0033}},	//   _fóru_, _kwaj, _eoro, ঁকে_, 
   {{0x629c9653,0x63b6006a,0x6b82006d,0x63a4016c}},	//   _foro, czyn, _nrog, cyin, 
   {{0xd3560056,0x629c9654,0x672d9655,0xeb990176}},	//   _אישי_, _goro, _mwaj, ҷии_, 
   {{0xddc3002e,0x20120038,0x672d052b,0x00000000}},	//   denţ, íniú_, _lwaj, --, 
   {{0xeb9954b5,0xf1b200c7,0x91c200f0,0x394c0102}},	//   зии_, _עסן_, _сәул, duds_, 
   {{0x27e906e4,0x68f60156,0x6b829656,0x629c9657}},	//   _nyan_, _rhyd, _crog, _yoro, 
   {{0x629c008a,0xddc300d9,0x2ef493a9,0x00000000}},	//   _xoro, genţ, _азур, --, 
   {{0x27e99658,0x6b82149f,0xa6db008c,0x672d102d}},	//   _ayan_, _erog, nuðu, _awaj, 
   {{0x6b829659,0x2d9800d3,0xb4e90466,0x672d2a0a}},	//   _frog, _àrea_, यतो_, _bwaj, 
   {{0x1b1900cc,0x7ba700eb,0x2909008a,0xf0ad0259}},	//   _দিকে_, _تصام, _diaa_, рдiң_, 
   {{0x27e90c36,0x9f56010e,0xddc300b3,0x68fd000b}},	//   _dyan_, égét_, cenţ, amsd, 
   {{0x629c965a,0x200d00b4,0x68e4008a,0x00000000}},	//   _roro, _ogei_, _tkid, --, 
   {{0x68e414f0,0x629c965b,0x63a4965c,0x80a10035}},	//   _ukid, _soro, tyin, कॉमे, 
   {{0xd8d700c7,0x672d02a5,0x7ae128c9,0x43430cf8}},	// [90a0] _רופט_, _gwaj, oolt, летв, 
   {{0x63b600ab,0xddc1008a,0x629c965d,0x996e00ad}},	//   rzyn, _balż, _qoro, nəş_, 
   {{0x64a67211,0x629c965e,0x065700c7,0x63b600ab}},	//   _зана, _voro, _אייך_, szyn, 
   {{0x7ae1965f,0xddc300d9,0x62810183,0x629c9660}},	//   holt, zenţ, _ólon, _woro, 
   {{0x7ae19661,0x53151cc1,0x1fa700b3,0x00000000}},	//   kolt, _афсу, нкци_, --, 
   {{0x7cd300d9,0x1fdf0086,0x6b820034,0x00000000}},	//   văra, _বৃহস, _rrog, --, 
   {{0xddc300d9,0x3217009e,0xdd941ab1,0x7ae1396c}},	//   venţ, şeyî_, тайы, dolt, 
   {{0x91e39662,0x7ce501d5,0x00000000,0x00000000}},	//   _сосе, dórs, --, --, 
   {{0x29090626,0xddc300d9,0x7ac67ff8,0xbbca009a}},	//   _riaa_, tenţ, есне, ापेक, 
   {{0x394c03a1,0x3f9902aa,0x672d007c,0x27e900df}},	//   tuds_, _àsua_, _rwaj, _ryan_, 
   {{0x0c260fb6,0xddc300d9,0xd2b700a7,0x200d008f}},	//   _змен, renţ, גלית_, şmiş_, 
   {{0xeb9a01d0,0x013700a7,0x7cd300b3,0xddc3020f}},	//   _ние_, ערכת_, păra, senţ, 
   {{0x7ae10c87,0x28c0072f,0xfaa662b9,0x00000000}},	//   bolt, शोधि, _падо, --, 
   {{0x7ae19663,0x38a200eb,0x672d0118,0x27e90237}},	//   colt, _sórt_, _vwaj, _vyan_, 
   {{0x45d4769c,0x7ce53ba7,0x7e7a2104,0xba170070}},	//   горс, pórt, _matp, _אחוץ_, 
   {{0x7e7a016a,0x27e96e73,0x672d6cb7,0x00000000}},	//   _latp, _tyan_, _twaj, --, 
   {{0x672d4ab8,0x32559664,0x4e1000aa,0xcb130070}},	// [90b0] _uwaj, квар, ाशाई_, ָלע_, 
   {{0x7e7a0062,0x644800e0,0xe37400f0,0xa6db01d5}},	//   _natp, _ēdie, ылуы, tuðu, 
   {{0x3ce60304,0x35f51646,0xa7fb01d6,0x3f8400bd}},	//   _okov_, _шпор, reñu, _armu_, 
   {{0xc5f21900,0x90e7009c,0x7ae1010e,0x2ea91f9a}},	//   _כדי_, رسان, zolt, कस्त, 
   {{0x44299665,0xef183674,0xd4c2633a,0x64360070}},	//   mba_, емі_, _төрк, _בארא_, 
   {{0x44299666,0xdee503dc,0x7bdc05b7,0x8fa28c57}},	//   lba_, ъоли, ğrul, раше, 
   {{0x44299667,0x691700e0,0xb28400d3,0x2caf0175}},	//   oba_, _aģen, _сыяк, _plgd_, 
   {{0x44299668,0xfebb00c5,0x4c855dbb,0x00000000}},	//   nba_, _کارت_, тлив, --, 
   {{0xe803000d,0x44299669,0xed57035b,0x7e64039f}},	//   रेमा_, iba_, фоқ_, őipa, 
   {{0x4429966a,0x2b4d00f6,0x00000000,0x00000000}},	//   hba_, ruec_, --, --, 
   {{0x44290019,0x2d9a004f,0x7ae1039f,0x98bf1938}},	//   kba_, øpet_, rolt, lutę_, 
   {{0x4429966b,0x7ae1966c,0xe73a1b3d,0x00000000}},	//   jba_, solt, мем_, --, 
   {{0x44293cd0,0x2d8505ae,0x98bf966d,0x7d0b0102}},	//   dba_, _hrle_, nutę_, _iigs, 
   {{0xaa450002,0x4429966e,0xbb42081b,0xfaa2966f}},	//   _рекл, eba_, _тешк, _вашо, 
   {{0x7d0b012b,0x65c39670,0x44290248,0xca7300f0}},	//   _kigs, абра, fba_, _ауқы, 
   {{0x7d0b4784,0xf74a00eb,0x2d8500ca,0xd46700b3}},	//   _jigs, _قلبي_, _mrle_, кисе_, 
   {{0x7c299671,0x130a012d,0x78bd021e,0x00000000}},	// [90c0] iber, днай_, ërve, --, 
   {{0x44299672,0x7c299673,0x96fa00eb,0x7d0b87f4}},	//   aba_, hber, _تعبر_, _ligs, 
   {{0x44299674,0xf8c62df7,0x644b23fc,0x98c60964}},	//   bba_, _लगाय, ógic, _लगाए, 
   {{0x64a69675,0x7e7a8190,0x44296136,0x00834ea2}},	//   _рама, _satp, cba_, илхо, 
   {{0xdfcf057f,0x7c299676,0xddc33fa3,0xd34800d4}},	//   ييم_, dber, venš, _سیاه_, 
   {{0x3ce6055f,0xb87b010e,0x2d8500ca,0x6d5c00c2}},	//   _skov_, llít, _brle_, _ärak, 
   {{0x3cde14b3,0x628e9677,0x127b00c7,0x7c296339}},	//   खवले_, _inbo, _קאלע, fber, 
   {{0x7d0b02fe,0x5c742831,0x2918240c,0xb87b010e}},	//   _cigs, улит, íram_, nlít, 
   {{0xaf069678,0x2d851fa4,0x7d0b08b0,0xe29f01d5}},	//   _апал, _erle_, _digs, _guðs_, 
   {{0xc33300a7,0x44299679,0x7c29967a,0x49744813}},	//   סות_, zba_, aber, глос, 
   {{0x7c29967b,0x4429072b,0x2d85015e,0x6e3802ae}},	//   bber, yba_, _grle_, mavb, 
   {{0x4429008a,0x6e38010c,0xa8a7108e,0x00000000}},	//   xba_, lavb, трок, --, 
   {{0x58d4967c,0x4429967d,0xbfa2078a,0x00000000}},	//   роят, vba_, _çêdi, --, 
   {{0xddda012d,0x6e380216,0xa6db0679,0x00000000}},	//   _natū, navb, orði, --, 
   {{0x5558967e,0x26cd00d0,0x98bf0083,0x00000000}},	//   каря_, đeo_, zutę_, --, 
   {{0x628e967f,0x44299680,0xa7750012,0x00000000}},	//   _anbo, uba_, _блич, --, 
   {{0x93f59681,0x6d4a01c4,0x00000000,0x00000000}},	// [90d0] упац, hrfa, --, --, 
   {{0xf1a74885,0x44299682,0x7c299683,0x00000000}},	//   крен, sba_, zber, --, 
   {{0xd011105a,0x25a5014e,0x7c299684,0x32070080}},	//   ملا_, älld_, yber, äny_, 
   {{0x673b28fd,0xf1c3012d,0x7fd521f4,0x30a70093}},	//   šuju, _rašė_, лілі, ързв, 
   {{0x7c29078a,0xb4c11489,0x7d0b02c9,0xb87b318d}},	//   vber, ्ची_, _rigs, llís, 
   {{0x7d0b08b0,0x4df51d52,0x7c291247,0x999c039f}},	//   _sigs, ляйт, wber, _levő_, 
   {{0x925843c3,0x7d0b0ae3,0x3ced9685,0xa1945932}},	//   _шарт_, _pigs, tlev_, _карч, 
   {{0x7eb400f6,0xb87b007a,0x0cd10033,0x00000000}},	//   _ràpe, ilís, াত্ত, --, 
   {{0x81e80086,0x2d9a004f,0x3ced02c9,0x7d0b9686}},	//   মেদ_, øper_, rlev_, _vigs, 
   {{0x3cff006d,0x3ced9687,0x7d0b040b,0x673d3b57}},	//   smuv_, slev_, _wigs, dssj, 
   {{0xb87b21dc,0x7d0b0008,0x18a600a3,0x3ced1950}},	//   roín, _tigs, ганм, plev_, 
   {{0xc3240086,0x00000000,0x00000000,0x00000000}},	//   _পিসি_, --, --, --, 
   {{0x4c9a027a,0x2a7c00f6,0xbb450ecf,0xf772454d}},	//   _רבנו, _favb_, _селк, حاج_, 
   {{0x1bb80e61,0x9985010e,0x7eb400b9,0x2cad849a}},	//   _جامع_, _ملتو, _tàpe, lked_, 
   {{0xb4c11d00,0xd46a02a0,0x2f19023e,0x98bf00d8}},	//   ्चू_, ниве_, _lèg_, nutě_, 
   {{0x2cad9688,0x261800c2,0xb4ae02e6,0x00000000}},	//   nked_, बुजी_, कसे_, --, 
   {{0x2f1906df,0xb3869689,0x577a007a,0x2b5f0210}},	// [90e0] _nèg_, ылал, _أصبح_, ntuc_, 
   {{0xb87b014b,0xa6db003e,0x68e6968a,0x00000000}},	//   slít, yrði, lokd, --, 
   {{0x35a601a2,0x673b008b,0x672402c7,0x210e00aa}},	//   _санг, šujt, _htij, िदेश_, 
   {{0x25a5175a,0xbf0f00ab,0x26ca0495,0x00000000}},	//   älle_, ादून_, libo_, --, 
   {{0xe3b21cad,0xbea608de,0xde5800e4,0x6e380098}},	//   _طرح_, ладк, валі_, tavb, 
   {{0x24800998,0xf12400d6,0xdee32b68,0x2360006d}},	//   ldim_, _نظری, бочи, mtij_, 
   {{0xccf8031e,0x2175968b,0xddd8039f,0x02c503a1}},	//   _opět_, _кутр, tevő, _тирү, 
   {{0x2480968c,0x26ca968d,0x6d4a968e,0x64560104}},	//   ndim_, hibo_, rrfa, ngyi, 
   {{0x26ca968f,0x1bd40a10,0x24800038,0x61ee00f8}},	//   kibo_, ропя, idim_, _hybl, 
   {{0xafe400cf,0x5a349690,0x9e650116,0x00000000}},	//   _боғл, шнот, _نامن, --, 
   {{0xddc828fd,0xbfa20218,0xd91700c8,0x39130afc}},	//   _hadž, _çêbi, лья_, ймэр, 
   {{0x61ee0096,0x2cad00a7,0x37d90033,0x1c0d188d}},	//   _mybl, cked_, _সরবর, _हलचल_, 
   {{0xa3e4017d,0x248000a4,0x9a869691,0x2b5f00ca}},	//   _पुल_, ddim_, _буйл, ctuc_, 
   {{0x4b7b00c7,0xddc871f3,0x2902095a,0xe610007a}},	//   _נאוו, _madž, amka_, كشف_, 
   {{0x61ee02ae,0x6724008a,0x12e700f0,0x04675ac4}},	//   _nybl, _etij, ңізг, лтам, 
   {{0xb4c13d07,0x6456544c,0x38c9006b,0x00000000}},	//   ्चे_, ggyi, _جاتی_, --, 
   {{0x36d5030f,0xddc800d2,0x925903b7,0x61ee02f1}},	// [90f0] _вопр, _nadž, каат_, _aybl, 
   {{0x26ca2f17,0x2f190cd7,0xccf8031e,0x09d70086}},	//   cibo_, _règ_, _zpět_, _হরতা, 
   {{0x3869003d,0xa49b00b9,0xc0cb0ad4,0x61ee03c6}},	//   _kbar_, _biòt, нуде_, _cybl, 
   {{0x61ee00f3,0x00000000,0x00000000,0x00000000}},	//   _dybl, --, --, --, 
   {{0x443b0264,0x38699692,0x00000000,0x00000000}},	//   maq_, _mbar_, --, --, 
   {{0x443b9693,0x3a2900ef,0x171c00c7,0x6aae02e6}},	//   laq_, _đapo_, עווע, टसोर, 
   {{0x40359694,0x51840cd9,0xf2d200d1,0xd65800d1}},	//   _вебс, _лута, _ועם_, איות_, 
   {{0x0b456111,0x443b0095,0x00000000,0x00000000}},	//   анин, naq_, --, --, 
   {{0x2cad9695,0x60cb209a,0x7bc40028,0x394c1a77}},	//   rked_, migm, _žiur, erds_, 
   {{0x4e7806ab,0x2cad9696,0x88bd031e,0x38699697}},	//   _محمد_, sked_, spěl, _abar_, 
   {{0x67249698,0xe8fa275d,0xbd4b00eb,0x443b024a}},	//   _stij, кло_, _سؤال_, kaq_, 
   {{0x254100e4,0xa3b508b3,0x7645016a,0xb4c10586}},	//   dėl_, जना_, _adhy, ्चो_, 
   {{0x26ca7ac4,0xb8de051f,0x29020f23,0x443b9699}},	//   tibo_, _इत_, rmka_, daq_, 
   {{0x7c3b9230,0x644b04f4,0x2360023b,0x38690175}},	//   laur, ógin, vtij_, _ebar_, 
   {{0xceb20a33,0x3cfd01a0,0x443b969a,0xba741117}},	//   חים_, _khwv_, faq_, _دانت, 
   {{0x1426969b,0xb4d0009a,0xb4e0109f,0x26ca969c}},	//   рдам, वचे_, दके_, sibo_, 
   {{0x2480969d,0x0323078c,0x07a307f9,0xa5078b1d}},	// [9100] rdim_, ждун, _маън, рета_, 
   {{0x2360012e,0x7c3b0010,0x6aa3969e,0x24806478}},	//   rtij_, haur, _jonf, sdim_, 
   {{0x6aa395e0,0x7c3b288b,0x2360969f,0xddc80ab4}},	//   _monf, kaur, stij_, _sadž, 
   {{0x443b0264,0x24800460,0xef861818,0xa08900f0}},	//   caq_, qdim_, илеп, лсіз_, 
   {{0x6fd600eb,0x7ccd00e0,0x442296a0,0x7c3b3470}},	//   جزائ, _mērķ, _ifk_, daur, 
   {{0x442096a1,0xddc86dc8,0xa49b01be,0x4422004f}},	//   lci_, _vadž, _phòg, _hfk_, 
   {{0x40960fa7,0x614396a2,0x00000000,0x00000000}},	//   _крат, _мера, --, --, 
   {{0x8fa61e6e,0x3cfd0201,0x78a402bb,0xc0e34eb1}},	//   _кабе, _chwv_, _noiv, _доск, 
   {{0x6aa396a3,0x44250095,0x3d1600ab,0x442096a4}},	//   _bonf, _əl_, _पूरे_, ici_, 
   {{0xfaa696a5,0xf1eb0394,0x2ee700a1,0x443b00ad}},	//   ршин, _जुड़_, conf_, zaq_, 
   {{0x81e800cc,0x442096a6,0x442296a7,0x02170486}},	//   মের_, kci_, _ofk_, יחים_, 
   {{0x26ef059e,0x98c71a57,0xb4e0031e,0xa3d60249}},	//   छत्र_, рсол, दको_, िपा_, 
   {{0x44201ac4,0x78a4026a,0x274b0093,0x6d410098}},	//   dci_, _doiv, ъчно_, _zvla, 
   {{0x4420006a,0x78b60027,0x387f0304,0xa49b00a1}},	//   eci_, _elyv, žur_, _niòr, 
   {{0xd6d815d3,0x7c225d90,0x443b00ad,0x78b61341}},	//   ртя_, _kfor, taq_, _flyv, 
   {{0x44220126,0x3869033e,0x6eed007a,0x7c2200c3}},	//   _cfk_, _ubar_, lúbt, _jfor, 
   {{0x443b96a8,0x68ed96a9,0x8afd000d,0x7cfe024a}},	// [9110] raq_, _ikad, stře, përf, 
   {{0x442096aa,0x443b96ab,0xa49b01be,0x00000000}},	//   aci_, saq_, _shòd, --, 
   {{0xa2d8190a,0x7c22044e,0x443b0c45,0x442018b4}},	//   _मदर्, _ofor, paq_, bci_, 
   {{0x442096ac,0x443b30d1,0x7c3b96ad,0x00000000}},	//   cci_, qaq_, xaur, --, 
   {{0x443996ae,0x6d410704,0xb4fa00a7,0x68ed17e5}},	//   _ies_, _svla, _תפרי, _mkad, 
   {{0x443996af,0x7cd3002e,0x63ad96b0,0x7d070019}},	//   _hes_, mări, myan, _éjsz, 
   {{0x443996b1,0x63ad96b2,0x3cfd006d,0x6aa349dc}},	//   _kes_, lyan, _phwv_, _ronf, 
   {{0xec790bce,0x9c5905e0,0x3cfd023b,0x2b4d55ab}},	//   упи_, ушку_, _qhwv_, trec_, 
   {{0x60db0053,0x69ce0228,0x7c3b96b3,0xdcb100e7}},	//   _ijum, úben, raur, _của_, 
   {{0x443996b4,0x7c3b96b5,0x2b4d00d3,0x7c2200d9}},	//   _les_, saur, rrec_, _efor, 
   {{0x7c2202bf,0x443902bf,0x63ad69e1,0x6d41090b}},	//   _ffor, _oes_, hyan, _uvla, 
   {{0x443996b6,0x63ad96b7,0x3ea506c7,0x26de0032}},	//   _nes_, kyan, _holt_, čtom_, 
   {{0xef19006a,0x442000d8,0x63ad024d,0x6aa396b8}},	//   _już_, vci_, jyan, _tonf, 
   {{0x63ad1e8f,0x68ed3615,0x6aba96b9,0x6446016a}},	//   dyan, _ekad, chtf, _sdki, 
   {{0x3ea501bb,0x78a4030f,0x443996ba,0x44202593}},	//   _molt_, _toiv, _bes_, tci_, 
   {{0x443996bb,0x25a5022b,0x2d8700b0,0x60db5452}},	//   _ces_, älla_, ivne_, _njum, 
   {{0x443996bc,0x442096bd,0x64a30ca9,0x63ad96be}},	// [9120] _des_, rci_, чата, gyan, 
   {{0x442096bf,0x7c390218,0x443996c0,0x29126171}},	//   sci_, _lewr, _ees_, _hiya_, 
   {{0xc6930056,0x443996c1,0x2900006d,0x2912023e}},	//   _זאת_, _fes_, _khia_, _kiya_, 
   {{0x7c394aca,0x92d800cc,0x2912040c,0xa14b006b}},	//   _newr, াতে_, _jiya_, اسلے_, 
   {{0x63ad96c2,0x80ca0086,0x7cd300d9,0xf987010e}},	//   cyan, িকল্, cări, _کب_, 
   {{0x7c2296c3,0x291200c5,0x443996c4,0xdee30601}},	//   _sfor, _liya_, _zes_, почи, 
   {{0x11da00eb,0x29120580,0x443996c5,0x5cc602f1}},	//   _صورة_, _oiya_, _yes_, йсиз, 
   {{0x0cb800cc,0x291237c5,0x3ce00112,0x4439006f}},	//   ুক্ত, _niya_, čivo_, _xes_, 
   {{0x7c3900f3,0xdfcf0084,0x99850009,0xe4fb0249}},	//   _dewr, _كيف_, kalų_, ्षति_, 
   {{0x68ed37b4,0x9e6600d4,0x29000379,0x7c39008a}},	//   _skad, _دارن, _ahia_, _eewr, 
   {{0x7cd300d9,0x63ad96c6,0x2918009e,0x2900007a}},	//   zări, zyan, êra_, _bhia_, 
   {{0x29000029,0x7c2203a9,0x63ad1530,0x7c3996c7}},	//   _chia_, _ufor, yyan, _gewr, 
   {{0x2900544b,0x7d1a0a9f,0x2912009e,0x657e96c8}},	//   _dhia_, _huts, _diya_, _asph, 
   {{0x443996c9,0x7d1a96ca,0x99850009,0x61fc0604}},	//   _ses_, _kuts, galų_, _ozrl, 
   {{0x7cfe024a,0x2ca600b0,0xa49b00f6,0x6e3a96cb}},	//   përd, _kood_, _biòp, _metb, 
   {{0x443996cc,0x63ad96cd,0x7d1a96ce,0x291296cf}},	//   _qes_, tyan, _muts, _giya_, 
   {{0x443996d0,0x7d1a96d1,0x7eb400f6,0x99850028}},	// [9130] _ves_, _luts, _nàpo, balų_, 
   {{0x2d8c96d2,0x63ad0490,0x443996d3,0x7cd300d9}},	//   _orde_, ryan, _wes_, rări, 
   {{0x443996d4,0x63ad7d54,0x7d1a1009,0xb5f2004e}},	//   _tes_, syan, _nuts, _жүрі, 
   {{0x43950141,0x2ca662ae,0x63ad96d5,0x7cd300b3}},	//   _дамс, _nood_, pyan, pări, 
   {{0x63ad0065,0x2d8c7446,0x3ea51bf8,0xbea54494}},	//   qyan, _arde_, _polt_, жалк, 
   {{0x7d1a07d7,0x6b8d0e67,0xa3d608f1,0x867c0070}},	//   _buts, _šago, िपर_, ָרהו, 
   {{0x3ea50105,0x62950199,0x2ca601d2,0x00000000}},	//   _volt_, _inzo, _bood_, --, 
   {{0x60db96d6,0x1b4996d7,0x60c90010,0x7d1a96d8}},	//   _ujum, азии_, _umem, _duts, 
   {{0x2ca65765,0x29120218,0x2900006d,0x2d8c0380}},	//   _dood_, _riya_, _rhia_, _erde_, 
   {{0x628596d9,0x291237c5,0x7d1a96da,0x29006d21}},	//   ndho, _siya_, _futs, _shia_, 
   {{0x7d1a6e57,0x291281c0,0x2ca600a7,0x6ce7004f}},	//   _guts, _piya_, _food_, _ліде, 
   {{0x2ca60056,0x29000e0c,0x3f8d024a,0x6f1b17e5}},	//   _good_, _qhia_, _kreu_, _kuuc, 
   {{0x2bd0007e,0x6d4362e5,0x2912078a,0x61300237}},	//   _तइया, lsna, _viya_, _kòlò, 
   {{0x6b890a1d,0x6f1b019b,0x628541da,0x2912078a}},	//   mveg, _muuc, jdho, _wiya_, 
   {{0x29007773,0x291296db,0x6b8996dc,0x628501f2}},	//   _thia_, _tiya_, lveg, ddho, 
   {{0x62850eb5,0x629508b2,0x78bd0380,0xe7f3009a}},	//   edho, _anzo, chsv, _घरचा_, 
   {{0x42ca83aa,0x6b8996dd,0x7ce50068,0xe2ca0197}},	// [9140] аган_, nveg, fórz, алад_, 
   {{0x7cd300d9,0x6d4396de,0x33d5004f,0xa49b01be}},	//   măru, ksna, чіст, _phòc, 
   {{0x64a658ec,0xd9ef119b,0x69c10380,0x2c4c0028}},	//   _дана, _घुमत_, nzle, lėdų_, 
   {{0xa06a96df,0x7d1a96e0,0x3f8d022c,0x629596e1}},	//   рада_, _ruts, _breu_, _enzo, 
   {{0x443296e2,0x3f8d96e3,0x2ca6012e,0x628501e5}},	//   mby_, _creu_, _rood_, bdho, 
   {{0x7d1a96e4,0x4432690e,0x7f421324,0x765c0326}},	//   _puts, lby_, rsoq, ngry, 
   {{0x0163563c,0x6d432674,0x4432155e,0x2ca600b0}},	//   _окро, gsna, oby_, _pood_, 
   {{0xa3ae06c9,0x5c980141,0xafe60b97,0x6e3a12b6}},	//   _कथा_, ския_, _добл, _wetb, 
   {{0x3f8d96e5,0xae7a030f,0xac92004e,0x6e3a601e}},	//   _greu_, _всех_, зақш, _tetb, 
   {{0x7d1a96e6,0x2d8c0352,0x2ca600d1,0x00000000}},	//   _tuts, _trde_, _wood_, --, 
   {{0x386000a1,0x44320035,0x2d8c00b4,0x00000000}},	//   _bcir_, kby_, _urde_, --, 
   {{0x6d5896e7,0x443296e8,0x00000000,0x00000000}},	//   muva, jby_, --, --, 
   {{0x443296e9,0x6d581eab,0xd7fb96ea,0x7cfe024a}},	//   dby_, luva, рун_, përb, 
   {{0x3ce90097,0x2bd00790,0x443201d2,0x765c65f6}},	//   čave_, _तेया, eby_, ggry, 
   {{0xa3d01c25,0x7d02109b,0x610c0241,0x6283019c}},	//   _वेब_, _khos, _eşli, ônom, 
   {{0xd49896eb,0x443293c1,0x19bb00a7,0xb4b50035}},	//   ору_, gby_, _כמוב, झसे_, 
   {{0x7cd300b3,0x6d5814aa,0x7d022e31,0x00000000}},	// [9150] căru, huva, _mhos, --, 
   {{0x291c96ec,0x6d582248,0xda780228,0x6d4396ed}},	//   _kuva_, kuva, neď_, ysna, 
   {{0x443296ee,0x628596ef,0x26d110ad,0x6d4373c4}},	//   bby_, rdho, mizo_, xsna, 
   {{0x3f8d00d3,0x26d196f0,0x6d5896f1,0xef9900d3}},	//   _preu_, lizo_, duva, йкеш_, 
   {{0x291c96f2,0x9ac401f2,0x6d58040b,0x00000000}},	//   _luva_, _keċċ, euva, --, 
   {{0x6d4396f3,0x26d10727,0x3d1602e6,0x7d0296f4}},	//   tsna, nizo_, _पंखे_, _ahos, 
   {{0x7d02360a,0x6d5896f5,0x656707d7,0x291c0027}},	//   _bhos, guva, ntjh, _nuva_, 
   {{0x6d4396f6,0x3f8d96f7,0x26d101a7,0x7d0296f8}},	//   rsna, _treu_, hizo_, _chos, 
   {{0x6d4396f9,0x38a200ab,0x26d196fa,0xf8bf00c5}},	//   ssna, _góry_, kizo_, dhé_, 
   {{0x4432253f,0x7cd300b3,0x26d10369,0x69c196fb}},	//   zby_, văru, jizo_, tzle, 
   {{0x44328375,0x7d020094,0xe8e000e7,0x6b8996fc}},	//   yby_, _fhos, _ngợi_, sveg, 
   {{0x291c0ab4,0x7d0296fd,0x2d5800d9,0xf1b20070}},	//   _duva_, _ghos, _фиць_, גסט_, 
   {{0x7d0996fe,0x69c1006b,0x44320076,0x26d10379}},	//   mmes, szle, vby_, fizo_, 
   {{0x7d0996ff,0x26d106f2,0x80b90033,0x7cfe0034}},	//   lmes, gizo_, েকট্, përc, 
   {{0x4432026e,0x66e31b02,0x66032756,0x2a3a07e4}},	//   tby_, хора, епра, _העצמ, 
   {{0x7d0901f0,0x03269700,0x7d020149,0x443200bc}},	//   nmes, здан, _xhos, uby_, 
   {{0x44329701,0x26d101eb,0x998702d9,0x421a0038}},	// [9160] rby_, bizo_, _jenž_, مزاج_, 
   {{0x44320f96,0xb87b1ff5,0x26d19702,0x7d099703}},	//   sby_, gníf, cizo_, hmes, 
   {{0x7d099704,0x7cfe0034,0x00000000,0x00000000}},	//   kmes, hëra, --, --, 
   {{0xd12f1fe8,0xe803031e,0xa0a500f0,0x7d099705}},	//   امن_, रेका_, мшіл, jmes, 
   {{0x2cbf07fc,0x7d099706,0x7cfe0034,0x7d0200f8}},	//   dhud_, dmes, jëra, _rhos, 
   {{0x6d589707,0x7d029708,0x33fb00d1,0xdfcf0195}},	//   tuva, _shos, _להכנ, ديه_, 
   {{0x7d029709,0xda780039,0x2056933a,0xc0d60038}},	//   _phos, veď_, _нтар, _فيسب, 
   {{0x6d58970a,0x20550161,0x291c016c,0x7d090657}},	//   ruva, _отур, _ruva_, gmes, 
   {{0x6d58970b,0x291c169c,0x7ebd0118,0x00000000}},	//   suva, _suva_, _sèpe, --, 
   {{0xc3330052,0x6d5814aa,0x7d0200d1,0x7607039f}},	//   עות_, puva, _whos, nézé, 
   {{0x7d02970c,0x2eee970d,0x7afd009e,0xf8bf0695}},	//   _thos, moff_, îsta, thé_, 
   {{0xf8bf00bc,0x38bb0034,0x7d09970e,0xc7d500fd}},	//   uhé_, _bëra_, cmes, джмъ, 
   {{0x26d1086d,0xb8e501a4,0x00000000,0x00000000}},	//   tizo_, _एत_, --, --, 
   {{0xba170084,0x2eee7a8f,0x6b82016c,0xfaa311e6}},	//   _فيها_, noff_, _isog, _пачо, 
   {{0x26d1970f,0x35e400dd,0x65949710,0x7cd300b3}},	//   rizo_, ецтв, нару, părt, 
   {{0x6aaa9711,0x26d19712,0x00000000,0x00000000}},	//   _hoff, sizo_, --, --, 
   {{0x6aaa75cc,0xe80302e6,0xa3d00659,0xb87b4e23}},	// [9170] _koff, रेखा_, _वेद_, eníg, 
   {{0x6aaa9713,0x6d482f6f,0x672d9714,0x6b822b03}},	//   _joff, _ovda, _itaj, _msog, 
   {{0x6aaa9715,0xe139004e,0x7d099716,0x38bb021e}},	//   _moff, ізді_, ymes, _zëra_, 
   {{0x92bf0086,0x98a600b3,0x61f50032,0x6b8201d6}},	//   ুকে_, mplă_, _vyzl, _osog, 
   {{0x24890c3d,0x7feb2f23,0xfaf801dd,0x6d480216}},	//   mdam_, حراف_, klī_, _avda, 
   {{0x24899717,0x672d0548,0x6aaa007b,0x00000000}},	//   ldam_, _mtaj, _noff, --, 
   {{0xa3b5006a,0x23699718,0x7d099719,0xfce50e27}},	//   जनक_, ltaj_, tmes, моко, 
   {{0xb87b0183,0x6287971a,0x6d48971b,0x672d6c15}},	//   alíz, _hajo, _dvda, _otaj, 
   {{0x2369971c,0x7d09971d,0x6aaa971e,0x6d480c45}},	//   ntaj_, rmes, _boff, _evda, 
   {{0x88bd000d,0xeab100eb,0xe9d918f0,0x7d09971f}},	//   zpět, ئعة_, жко_, smes, 
   {{0x672d9720,0x6b820036,0x6aaa499c,0x1eea039f}},	//   _ataj, _esog, _doff, _بولی_, 
   {{0x62879721,0x8d7411b7,0x2b520540,0x672d01f2}},	//   _lajo, _ساما, üncü_, _btaj, 
   {{0xa49b00f7,0xd7ea00f0,0x9b949722,0x00000000}},	//   _phòn, імге_, _пицц, --, 
   {{0x628709b2,0x6aaa9723,0x24890b03,0x24990106}},	//   _najo, _goff, edam_, _ansm_, 
   {{0x672d9724,0xd57527eb,0x23690474,0x2489040b}},	//   _etaj, нуть, etaj_, fdam_, 
   {{0x38bb0034,0x00000000,0x00000000,0x00000000}},	//   _tëra_, --, --, --, 
   {{0x52aa3eb2,0x24860187,0xd5b800e0,0x212d0304}},	// [9180] овам_, ľom_, šā_, _čeha_, 
   {{0x628754e5,0x63ab12b7,0x3ce00588,0x00000000}},	//   _cajo, ägna, čivi_, --, 
   {{0x62879725,0x806608b8,0x7eaf00fc,0x00000000}},	//   _dajo, двеж, _løps, --, 
   {{0xbfa2078a,0x6aaa0c73,0x628702a5,0x258702d9}},	//   _çêki, _चक्र, _eajo, sílá_, 
   {{0xe3b20523,0x2eee9726,0x91ce031e,0x78bd024a}},	//   _شرح_, toff_, _धेरै, ërvi, 
   {{0x67001f02,0x5f939727,0xd1321897,0x00000000}},	//   ोगिक_, тишт, _لمس_, --, 
   {{0x6aaa1226,0x99870028,0x57ba00bc,0x6b8201b8}},	//   _roff, _menų_, उनुह, _ssog, 
   {{0x6aaa9728,0x2eee0640,0x98bf00e0,0x4f960cdf}},	//   _soff, soff_, kstā_, _орзу, 
   {{0xda7a00fd,0x7eb400b9,0x60c20151,0x6aaa0c0c}},	//   оян_, _làpi, mhom, _poff, 
   {{0x3ce900f1,0x60c29729,0x998c02fe,0x63ab055f}},	//   čava_, lhom, radž_, øgni, 
   {{0x28f90fb6,0x6444972a,0x325700a7,0x6c830019}},	//   зень_, kaii, וסים_, رلیم, 
   {{0x236900ab,0x7cfe024a,0x60c20151,0x6b82044d}},	//   ytaj_, mëro, nhom, _tsog, 
   {{0x6aaa972b,0x6b82018e,0x672d00c3,0x00000000}},	//   _toff, _usog, _qtaj, --, 
   {{0xe9cf0296,0x9f550151,0xabfb00df,0x644400a1}},	//   اغی_, égée_, _והדר, eaii, 
   {{0x6287972c,0x60c217bf,0x7eb400f6,0xa49b01be}},	//   _rajo, khom, _càpi, _fhòl, 
   {{0x628732df,0xb4fb2a97,0x3f840082,0xb4e9075a}},	//   _sajo, ्षेप_, _osmu_, मके_, 
   {{0x2489972d,0x60c200c3,0x3d160d53,0x672d972e}},	// [9190] rdam_, dhom, _पूछे_, _utaj, 
   {{0x2369972f,0x78ad01a7,0xb87b0126,0x00000000}},	//   rtaj_, _hoav, coír, --, 
   {{0x23699730,0x24899731,0x62879732,0x7cfe0034}},	//   staj_, pdam_, _vajo, jëro, 
   {{0xe80c9733,0x62879734,0xe3b00019,0xa3d0017d}},	//   सेवा_, _wajo, درہ_, _वेव_, 
   {{0x62879735,0x644f02be,0x7eb400b9,0x78ad017b}},	//   _tajo, _idci, _zàpi, _moav, 
   {{0x44299736,0x69c500c2,0x00000000,0x00000000}},	//   lca_, _üheg, --, --, 
   {{0x3f8400e0,0x44299737,0xed592651,0x00000000}},	//   _esmu_, oca_, чой_, --, 
   {{0x60c29738,0x78ad0054,0x5ba99739,0x3b854e7d}},	//   chom, _noav, зким_, елиг, 
   {{0x7cfe00e5,0xfe7503b7,0x4fc40283,0x6bd501c9}},	//   përn, _плаќ, _исфа, عتبر, 
   {{0x3eac1341,0xde970071,0xb4bc02e6,0xa49b01be}},	//   _godt_, _تجرب, _अत्_, _shòl, 
   {{0x4429973a,0x98bf012d,0x644f4643,0xa2b23785}},	//   kca_, nutė_, _odci, _आकस्, 
   {{0xb4e9000d,0x7eb400d3,0x99870028,0x97c6973b}},	//   मको_, _ràpi, _senų_, ейме, 
   {{0xeb9915fc,0x4429973c,0x7eb4022c,0xa49b0465}},	//   _хил_, dca_, _sàpi, _chòm, 
   {{0x09e56edb,0xa3d01d00,0x7c292482,0x8bd600d1}},	//   _полн, _वेष_, lcer, _אונו_, 
   {{0x4429973d,0x99850038,0xe8e00108,0xc5d5017b}},	//   fca_, _ألبو, _ngủi_, віть, 
   {{0x44292fcb,0x442b973e,0x78ad0180,0xca630104}},	//   gca_, _cfc_, _goav, _jinо, 
   {{0x4256973f,0x68e40175,0x130604b6,0xa3fe0033}},	// [91a0] етет, _ijid, езам, ংখ্য_, 
   {{0x44299740,0x7eb4864d,0x86b400f0,0x64440eb1}},	//   aca_, _tàpi, _рәмі, saii, 
   {{0x60c29741,0x2726001b,0x442b0372,0x44290228}},	//   thom, _hôn_, _ffc_, bca_, 
   {{0x44299742,0x70f600eb,0x53a69743,0x03a69744}},	//   cca_, رسائ, _замб, _зимо, 
   {{0xb87b031e,0x7416010e,0x7ebd05d5,0x2d8500fc}},	//   lníc, _سوسا, _sèpa, _asle_, 
   {{0x7cfe00e5,0x60c20149,0x27266091,0x7c2b9745}},	//   tëro, shom, _môn_, _afgr, 
   {{0x91e6185b,0x629c9746,0x2726607e,0xb87b02d9}},	//   _чове, _inro, _lôn_, nníc, 
   {{0x7ae30082,0x7c29022c,0xcb1b02e6,0x916c0210}},	//   _ajnt, gcer, नदंड_, _gốc_, 
   {{0xdcfa00d9,0x2b4300b9,0x63a403b2,0x78ad0054}},	//   _astă, лээг, nxin, _roav, 
   {{0x44299747,0x78ad9748,0x7c299749,0x68e40175}},	//   zca_, _soav, acer, _ajid, 
   {{0x7cfe00e5,0x4429974a,0xb87b1102,0xad65007a}},	//   qëro, yca_, jníc, _لانه, 
   {{0xb87b0076,0x8d55125c,0x7c29974b,0x6016008f}},	//   dníc, _штуч, ccer, _gümü, 
   {{0xe80c04d7,0x78ad0180,0x68e40ab4,0x272600e7}},	//   सेला_, _voav, _djid, _côn_, 
   {{0x442900ab,0x68e404b3,0x6f1d0036,0x272600f3}},	//   wca_, _ejid, _èsce, _dôn_, 
   {{0x6f1a974c,0x4429974d,0x212d00bc,0x78ad01a7}},	//   _mitc, tca_, _čeho_, _toav, 
   {{0x6f1a045a,0x4429974e,0x629c974f,0xa49b01be}},	//   _litc, uca_, _anro, _thòm, 
   {{0x44299750,0x98bf002e,0x6d580fd3,0x09d50086}},	// [91b0] rca_, astă_, hrva, _সুপা, 
   {{0xa3d002f8,0xb5f3005e,0xb87b037f,0x68fd9751}},	//   _वेळ_, _бүгі, bníc, llsd, 
   {{0x395e00d3,0x442b9752,0xa2b20239,0x20049753}},	//   nuts_, _tfc_, _आकर्, _azmi_, 
   {{0x5fd2007e,0xe2730161,0x6d5800ef,0x6d4a3c13}},	//   _देहल, _өкмө, drva, dsfa, 
   {{0x1e73004e,0x27260023,0x2bd0009a,0x6f1a9754}},	//   лғас, _xôn_, _तेला, _bitc, 
   {{0xf774042c,0x2909011c,0x3ea70026,0x60160585}},	//   רקס_, _lhaa_, ujnt_, _sümü, 
   {{0xada59755,0x6d4a2032,0x395e0219,0x09d50033}},	//   тайл, gsfa, juts_, _সুনা, 
   {{0xeb995e0f,0x3ce90688,0x91c200f0,0x27e902be}},	//   дии_, čavo_, _тәул, _oxan_, 
   {{0x0b4211db,0xb87b026e,0x26c102a0,0x248b0065}},	//   анын, zníc, _olho_, _macm_, 
   {{0x68f69756,0x29090de9,0xe45f02ae,0x7c290ad8}},	//   _skyd, _ahaa_, _flög_, scer, 
   {{0x09e50a55,0x395e03a1,0x272600f8,0xbbeb0019}},	//   тонн, guts_, _sôn_, _کرام_, 
   {{0x2d980b85,0xb87b063b,0x26c10165,0x26d301ff}},	//   _área_, vníc, _alho_, _amxo_, 
   {{0xb90a0394,0x773a0220,0xa3d00035,0x291b00c3}},	//   _मद_, ьянс_, _वें_, _diqa_, 
   {{0xb87b0076,0x395e42e3,0x8afd00bc,0x290901ca}},	//   tníc, buts_, ktři, _ehaa_, 
   {{0xe6439757,0x26c10228,0x68e4011c,0x395e9758}},	//   респ, _dlho_, _tjid, cuts_, 
   {{0xb87b026e,0x2726001b,0x98bf00b3,0x63a4690b}},	//   rníc, _tôn_, rstă_, txin, 
   {{0x46ea09e7,0x142303dc,0xb87b014b,0x7bc99759}},	// [91c0] _один_, рдум, sníc, nzeu, 
   {{0x86b3005e,0x63a4975a,0xa563009c,0xb87b11bb}},	//   _кәсі, rxin, دگین, pníc, 
   {{0x26d8975b,0x672400c8,0xe45f0380,0x00000000}},	//   miro_, _huij, _blöd_, --, 
   {{0x26d83f16,0x6d4a050f,0x6724975c,0x63b60080}},	//   liro_, vsfa, _kuij, pyyn, 
   {{0xc0a9091d,0x2243975d,0x6f1a00df,0x00000000}},	//   عامل_, _fejk_, _pitc, --, 
   {{0x26d8037d,0x6d4a03d8,0x6d58014b,0x24802468}},	//   niro_, tsfa, trva, leim_, 
   {{0x71a30cdf,0x40950a31,0x21a3186c,0x61463efc}},	//   _карз, _өртт, _кирм, _шева, 
   {{0x7cfe00e5,0x26d80199,0x6724008a,0x76470199}},	//   përm, hiro_, _ouij, zajy, 
   {{0x20040062,0x26d8244b,0xc4d300a7,0x6d4a975e}},	//   _uzmi_, kiro_, יגה_, ssfa, 
   {{0xbe850625,0x395e975f,0x248089da,0x69c802f2}},	//   _مجمو, tuts_, heim_, tzde, 
   {{0x26d89760,0x24809761,0xfaa39762,0x02b70070}},	//   diro_, keim_, ршын, דליך_, 
   {{0x26d89763,0x98bf0009,0x395e9764,0x6fb8048e}},	//   eiro_, kstą_, ruts_, ्नपू, 
   {{0x26d80deb,0x26c10201,0x672402b0,0x2bd90f7a}},	//   firo_, _plho_, _cuij, _बेपा, 
   {{0xbc1b00a7,0x26d89765,0x672401d2,0x7cfe021e}},	//   _חודש, giro_, _duij, kërk, 
   {{0x090708ac,0xa5f89766,0x2909011c,0x4a7b0225}},	//   _ичим, веру_, _thaa_, _חרוב, 
   {{0x5454004f,0xba1700d1,0x27e901d6,0x290f0465}},	//   ивст, _בחוץ_, _txan_, _òga_, 
   {{0xc2993128,0x26d89767,0xb7d907cb,0x4275431c}},	// [91d0] нках_, biro_, _سودا_, лгас, 
   {{0x26d8024d,0x78bd9768,0x75830116,0x9258019c}},	//   ciro_, lksv, _پیرم, каут_, 
   {{0x7bc902ae,0x61fc0090,0x926800fd,0x6724039b}},	//   zzeu, _cyrl, ърта_, _zuij, 
   {{0x61fc9769,0x78bd01d2,0x00000000,0x00000000}},	//   _dyrl, nksv, --, --, 
   {{0xb9ff0190,0x78bd0b32,0x8afd00bc,0x38690379}},	//   _उर्फ_, iksv, stři, _mcar_, 
   {{0x62342189,0x7e63006d,0xc6950070,0x0e64017b}},	//   _веру, ugnp, ראַ_, икін, 
   {{0x72d41ff8,0x5184976a,0xa49b00a1,0x9cf5112d}},	//   _торф, _кута, _phòh, лчиш, 
   {{0xa49b0465,0x7d760038,0x7bc91c44,0x78bd01d2}},	//   _bhòi, امير_, tzeu, jksv, 
   {{0xec76012d,0x26d8976b,0x2b1500dd,0xa49b01c5}},	//   упы_, yiro_, льор, _chòi, 
   {{0x7bc901c4,0x89a9976c,0xa49b0465,0x59855bd8}},	//   rzeu, еков_, _dhòi, глоб, 
   {{0xdd91039f,0x186a2f37,0xa922011f,0x26d8976d}},	//   _دوا_, нани_, йдэл, viro_, 
   {{0x26d8976e,0x25f700c9,0xa49b01f5,0x00000000}},	//   wiro_, _एड़ी_, _fhòi, --, 
   {{0x1cb800c5,0x6724976f,0x87f9011f,0x7c3b1bdc}},	//   _جالب_, _quij, вэрт_, mbur, 
   {{0x7c3b9770,0xcb6611cd,0x6724039b,0x00000000}},	//   lbur, _саше_, _vuij, --, 
   {{0x649a00be,0x26d8686a,0xd94200d9,0xb87b0183}},	//   нтар_, riro_, _лещи, snía, 
   {{0x77863ead,0xa7d60625,0xe45f0219,0x26d828f8}},	//   _близ, _متخص, _smör_, siro_, 
   {{0x03a333dc,0xe29a03b7,0x26d89771,0x2bd9018b}},	// [91e0] бито, наа_, piro_, _बेमा, 
   {{0x7c3b24e5,0x516600d3,0x76451a77,0x47f40176}},	//   hbur, лүгү_, _gehy, _бӯҳр, 
   {{0x25a50003,0x3aba00c7,0x28a81230,0x00000000}},	//   ällt_, עמענ, गापि, --, 
   {{0x64a673e0,0x4fea004e,0x7c3b02f1,0xa08900f0}},	//   _сама, нмен_, jbur, ксіз_, 
   {{0x7c3b9772,0x00000000,0x00000000,0x00000000}},	//   dbur, --, --, --, 
   {{0x7cfe0034,0x44220864,0x64469773,0x2b4d00ef}},	//   mëri, _hgk_, _heki, dsec_, 
   {{0x64469774,0x442202a2,0x3cff0065,0x628e9194}},	//   _keki, _kgk_, fluv_, _iabo, 
   {{0x628e9775,0x7c3b9776,0x44220640,0x409501f7}},	//   _habo, gbur, _jgk_, _крут, 
   {{0x28a82569,0x628e9777,0x64460218,0x7cfe024a}},	//   गानि, _kabo, _meki, nëri, 
   {{0x497412d4,0x644600cf,0x628e9778,0x38699779}},	//   алос, _leki, _jabo, _scar_, 
   {{0x628e977a,0x6d4102bf,0xfe4601a2,0x3869019b}},	//   _mabo, _gwla, _анҷо, _pcar_, 
   {{0x7cfe00e5,0x628e4508,0x4422977b,0x7c3b04be}},	//   këri, _labo, _ngk_, cbur, 
   {{0x7c22977c,0x78bd977d,0x7cfe024a,0x00000000}},	//   _igor, rksv, jëri, --, 
   {{0x442d0da6,0x628e9498,0x4422977e,0x00000000}},	//   _że_, _nabo, _agk_, --, 
   {{0x6446290d,0x7c22084c,0x05bb0019,0x4422977f}},	//   _beki, _kgor, ردست_, _bgk_, 
   {{0x64469780,0x4422085b,0x628e06e4,0x7c2201f2}},	//   _ceki, _cgk_, _aabo, _jgor, 
   {{0x628e4381,0xb6c4022c,0xd25b9781,0x7c22018e}},	// [91f0] _babo, рөөд, еце_, _mgor, 
   {{0x628e0deb,0xf8bf031e,0x25a5014e,0x7c3b8aba}},	//   _cabo, lké_, älls_, zbur, 
   {{0x628e053d,0xb87b00eb,0x7c3b9782,0x7afd009e}},	//   _dabo, nnío, ybur, îsti, 
   {{0x7c229783,0xf8bf9784,0x38bb024a,0x64469785}},	//   _ngor, nké_, _bëri_, _geki, 
   {{0x8fa524c0,0x628e47b5,0xb87b0038,0x0ed90083}},	//   рале, _fabo, hnío, _भगदड, 
   {{0x7c229786,0x8d551e2b,0xf8bf9560,0xed592b68}},	//   _agor, атич, hké_, вок_, 
   {{0x64469787,0x56b800c7,0x38bb0034,0x00000000}},	//   _yeki, רפון_, _tërh_, --, 
   {{0x628e0112,0xa3e900c2,0x50b94f69,0xa92700d8}},	//   _zabo, _बशा_, _आविष, _leží, 
   {{0x628e9788,0xf8bf014b,0xfe773b46,0x6da39789}},	//   _yabo, dké_, _бүл_, риқа, 
   {{0x7c3b978a,0x2b4d978b,0x7c22018e,0x3b090267}},	//   sbur, rsec_, _egor, ђено_, 
   {{0xceb800ab,0x4ea401ff,0x7c3b45c3,0x38bb024a}},	//   _więc_, _урта, pbur, _zëri_, 
   {{0xebd90fa7,0xf8bf033e,0x00000000,0x00000000}},	//   _идеш_, gké_, --, --, 
   {{0x6446978c,0xfaa5978d,0xdcfa0009,0xfb850444}},	//   _reki, _вало, _artė, _خدای, 
   {{0x6446978e,0x41b50ede,0x98ab002a,0x7c2202ee}},	//   _seki, ंहास, ībā_, _zgor, 
   {{0xb8cc0086,0x628e978f,0x35c501a2,0xb87b007a}},	//   _গত_, _rabo, барҳ, cnío, 
   {{0xf8bf5db6,0xc95200a7,0x7cfe024a,0xddd80082}},	//   cké_, _ומה_, tëri, nevš, 
   {{0x64463bf1,0xc2469790,0x628e9791,0x867600d9}},	// [9200] _veki, инак, _pabo, _кынц, 
   {{0x64460539,0x628e0104,0x00000000,0x00000000}},	//   _weki, _qabo, --, --, 
   {{0x64469792,0x44220938,0x35a64095,0x7cfe0034}},	//   _teki, _tgk_, _танг, sëri, 
   {{0x7cfe01ee,0x628e9793,0x2cad003d,0xdfda0093}},	//   përi, _wabo, jjed_, къл_, 
   {{0x7cfe00e5,0xddd8031e,0x09e202a2,0xd17500f0}},	//   qëri, devš, _पश्य, _қыры, 
   {{0xf8bf00bc,0x7c229794,0x62980032,0x00000000}},	//   zké_, _sgor, ôvod, --, 
   {{0x91e39795,0x00000000,0x00000000,0x00000000}},	//   _доре, --, --, --, 
   {{0x320a0481,0x2cbf0096,0xcae30033,0x00000000}},	//   _izby_, gkud_, _নীলফ, --, 
   {{0xef1a3065,0x04180086,0xcb670038,0x212d1940}},	//   _ама_, ধুরী_, لميه_, _čehi_, 
   {{0x657e00dd,0x63ab0a25,0x70b601ec,0x6b990090}},	//   _opph, ägni, _अकुल, _drwg, 
   {{0xd90f09e8,0x6d602549,0xe8950cfe,0xa92700da}},	//   ویت_, ývač, бань, _reží, 
   {{0x5fdb0299,0x00000000,0x00000000,0x00000000}},	//   _मेडल, --, --, --, 
   {{0xdb0202ec,0x69c5007e,0x27ed01f0,0xf8bf05ab}},	//   _groß, _ühen, çen_, rké_, 
   {{0xf8bf035e,0x4b7b0070,0x8bd700d1,0x29022997}},	//   ské_, _סאוו, _דודו_, alka_, 
   {{0xd5b8196c,0x24590a65,0xb87b02d9,0x746b765e}},	//   аст_, лавь_, lním, крав_, 
   {{0x6eff0216,0x32c400ad,0x98bf1938,0x2d8c0118}},	//   rêbi, _röya_, ystę_, _msde_, 
   {{0x53990080,0x81b40033,0x04f41623,0x00000000}},	// [9210] ывая_, _জেল_, ізую, --, 
   {{0xd7fc00d1,0xddd800ca,0x2d870083,0x7cfe0034}},	//   _בהחל, zevš, ywne_, mëru, 
   {{0xa49b01fd,0x21270023,0xdcfa0035,0x00000000}},	//   _bhòt, ênh_, _wstę, --, 
   {{0xa49b01f5,0xe0d00038,0x859a00d1,0x00000000}},	//   _chòt, وزن_, _עשרו, --, 
   {{0x644d03f0,0x2d8c0042,0xa28300d4,0x61ee9796}},	//   maai, _asde_, _ویرو, _exbl, 
   {{0x644d0876,0xb87b00bc,0xddc5004f,0x141a0486}},	//   laai, dním, йбли, _תושב, 
   {{0xd65800a7,0x29029797,0x63ad0474,0x62859798}},	//   ביות_, ylka_, ţină, meho, 
   {{0x62859799,0x644d01d2,0x7cfe021e,0xcc8937c4}},	//   leho, naai, zërv, убие_, 
   {{0x1c42058b,0x7b06003e,0x2d8c0096,0x7ebd011c}},	//   чным, rðun, _esde_, _lèpi, 
   {{0x2cad027c,0x6285979a,0x2cbf979b,0x6133008a}},	//   sjed_, neho, skud_, _eħle, 
   {{0x7fd700f0,0x66c20032,0x2247020b,0x5c7502aa}},	//   _сіңі, _dôkl, ónky_, _глет, 
   {{0x7c841144,0x9f400034,0x3ff90070,0xa49b01be}},	//   _муче, çiç_, ָפֿע, _mhòs, 
   {{0xeaae79a5,0x8ca400ab,0x6285979c,0x395e10f3}},	//   _ей_, कारो, keho, arts_, 
   {{0x62850e67,0x6b89979d,0x3f8d0532,0x00000000}},	//   jeho, mweg, _mseu_, --, 
   {{0x80b800cc,0x628501cc,0x64a6979e,0x6aa39357}},	//   _আগস্, deho, бава, _innf, 
   {{0x70b6000f,0x644d979f,0x6b890083,0x00000000}},	//   _अकेल, gaai, oweg, --, 
   {{0x03a30119,0x6b896f63,0x78a406df,0x3fe20086}},	// [9220] пито, nweg, _iniv, _বর্ষ, 
   {{0x6285146c,0xa49b05d5,0x77830235,0x4900031e}},	//   geho, _akòd, _эльз, रतको_, 
   {{0x657e5507,0x78a40c29,0xccf90035,0x644d97a0}},	//   _upph, _kniv, koś_, baai, 
   {{0x764e0547,0x00000000,0x00000000,0x00000000}},	//   laby, --, --, --, 
   {{0x5fd2007e,0x44320083,0xbef50110,0x00000000}},	//   _देखल, mcy_, ेतून_, --, 
   {{0x66fa0c59,0xdfa500eb,0x764e97a1,0xb87b00bc}},	//   ृतिक_, تحمي, naby, vním, 
   {{0x171b0137,0x78a497a2,0x67dc01dd,0x3f8d97a3}},	//   נוצע, _oniv, lājī, _eseu_, 
   {{0x6cd43d0b,0x44320056,0xccf90035,0xb87b00bc}},	//   تقبا, ncy_, goś_, tním, 
   {{0xe81a3278,0x60c21c91,0x39ae0095,0xbfc60161}},	//   नेमा_, mkom, məsi_, _убак, 
   {{0x60c20c17,0x39ae0095,0x644d02b0,0xa9540267}},	//   lkom, ləsi_, zaai, овољ, 
   {{0x69c500b0,0x57b32ba3,0x60c26d18,0xb87b0098}},	//   _ühel, ुन्ह, okom, sním, 
   {{0x236097a4,0x66cb01f0,0x26da97a5,0x48ab3f88}},	//   krij_, _müke, _ampo_, утом_, 
   {{0xb87b026e,0x02fa43bc,0x628597a6,0x7ebd00b9}},	//   lník, ्ताह_, yeho, _sèpi, 
   {{0x39ae0095,0x644d123b,0x98bf0028,0x224a00b4}},	//   həsi_, waai, putį_, _nebk_, 
   {{0x60c297a7,0xd6d8803c,0xb87b0228,0x7afa5897}},	//   kkom, стя_, nník, mott, 
   {{0x60c297a8,0xf98f00eb,0x59de04cc,0x224a00b4}},	//   jkom, _أبو_, _फेयर, _aebk_, 
   {{0x60c20310,0x764e97a9,0x644d97aa,0x7cfe024a}},	// [9230] dkom, baby, raai, qëru, 
   {{0x7afa0445,0x325532af,0xa49b01fd,0x80b80033}},	//   nott, івер, _chòr, _আগষ্, 
   {{0x39ae00ad,0x644d97ab,0xa49b01f5,0x320b97ac}},	//   fəsi_, paai, _dhòr, ухан_, 
   {{0x628597ad,0x60c20268,0x212a0094,0xb87b026e}},	//   seho, gkom, _dubh_, dník, 
   {{0x628597ae,0x7afa3eba,0x68ed0053,0x212a01be}},	//   peho, kott, _mjad, _eubh_, 
   {{0x24ab0086,0x60c297af,0xad5911b9,0xa49b01fd}},	//   _ঐতিহ, akom, арих_, _ghòr, 
   {{0x7afa97b0,0x68ed7868,0x39ae0095,0x63ad8075}},	//   dott, _ojad, bəsi_, lxan, 
   {{0x6b8997b1,0x39ae00ad,0x60c297b2,0xa0c52ad7}},	//   tweg, cəsi_, ckom, _بيرو, 
   {{0x63ad97b3,0x60c91a9c,0x6b8902b0,0xb87b02d9}},	//   nxan, _ilem, uweg, mníh, 
   {{0xb87b05a8,0x63ad97b4,0x78b60126,0x68ed00c2}},	//   lníh, ixan, _soyv, _ajad, 
   {{0x6b8901c4,0x4ea402f1,0xb87b0098,0xfc330296}},	//   sweg, _эрта, cník, _فحش_, 
   {{0x63ad0c45,0xb87b02d9,0xb4e800b0,0x00000000}},	//   kxan, nníh, _बदे_, --, 
   {{0x764e97b5,0x60c90204,0x68ed7190,0x60db01b8}},	//   taby, _mlem, _djad, _mmum, 
   {{0x443200ab,0x7afa97b6,0x272f027e,0x236001c8}},	//   wcy_, cott, _dün_, vrij_, 
   {{0x60c997b7,0x7cfe00e5,0x764e3b4a,0x39ae00ad}},	//   _olem, përt, raby, yəsi_, 
   {{0x78a497b8,0x764e0b31,0xa3ea03b7,0x64a397b9}},	//   _univ, saby, адба_, маса, 
   {{0x272f0718,0xb87b0076,0x291297ba,0x29000548}},	// [9240] _gün_, zník, _ihya_, _ikia_, 
   {{0x443200ab,0xdc3c253f,0x60db69a2,0x59de1e7b}},	//   scy_, váčk, _amum, _फेडर, 
   {{0x60c212b6,0x39ae0095,0x60c997bb,0xd179012d}},	//   tkom, təsi_, _blem, йсці_, 
   {{0xb87b0076,0x7afa0019,0x63ad00ad,0x6fdb07d5}},	//   vník, zott, bxan, _मेहं, 
   {{0x39ae0095,0x2bd9320b,0x888d00c7,0x60c90d07}},	//   rəsi_, _बेला, טראַ, _dlem, 
   {{0x61466f2f,0xb87b026e,0x60c297bc,0x66cb97bd}},	//   _мега, tník, skom, _tüke, 
   {{0x7afa1b27,0x60c997be,0x291202a2,0x60c20a2f}},	//   vott, _flem, _ohya_, pkom, 
   {{0x412797bf,0x60c9155b,0xb87b0254,0xa0671853}},	//   _фото_, _glem, rník, _маса_, 
   {{0x7afa006b,0x2aaa0fa7,0x8e762f89,0xb87b014b}},	//   tott, атно_, _мужч, sník, 
   {{0x7cfe00e5,0x0e6397c0,0x29000180,0xb87b0098}},	//   tërs, _окун, _akia_, pník, 
   {{0x7afa97c1,0xe89500d9,0x63ad09c7,0xd8f9004f}},	//   rott, пань, zxan, йної_, 
   {{0x2d9e5a9e,0x7afa97c2,0x63ad7957,0xb87b02d9}},	//   _irte_, sott, yxan, diíc, 
   {{0xdb2400b0,0xdc290038,0xc0532233,0x00000000}},	//   öpäe, _اسمه_, וזר_, --, 
   {{0x6b820036,0xe20a02e6,0x7cfe0034,0x212401be}},	//   _ipog, _वरूण_, përs, _limh_, 
   {{0x2ebc0086,0x344b6b80,0x7bc0144e,0xc4db0bad}},	//   _অগাষ, ичан_, lymu, ађа_, 
   {{0x95c9005e,0x70b9007e,0x63ad97c3,0xd83b0cfe}},	//   ауға_, _आवेल, txan, _тэк_, 
   {{0xb87b031e,0x68fd024a,0x6b82008a,0x291900b9}},	// [9250] vníh, mosd, _jpog, mmsa_, 
   {{0x63ad97c4,0x212401be,0xb5f300f0,0x2d9e0380}},	//   rxan, _aimh_, _жүгі, _orte_, 
   {{0x672d024a,0xb87b00bc,0x63ad2723,0x59ca0df2}},	//   _huaj, tníh, sxan, ानिर, 
   {{0x397b00c7,0x7bc00009,0x672d0e4c,0x6ab801e8}},	//   שטאנ, kymu, _kuaj, _lovf, 
   {{0x2d9e97c5,0x6d4801f2,0x3ea502f1,0xb87b00bc}},	//   _arte_, _awda, зилг, rníh, 
   {{0x672d00e5,0x2369006d,0x7bc00009,0x248997c6}},	//   _muaj, muaj_, dymu, leam_, 
   {{0x2d9e0112,0x672d024a,0xf2d200c7,0x2369006d}},	//   _crte_, _luaj, _װען_, luaj_, 
   {{0x60db97c7,0x60c997c8,0x629597c9,0x29190097}},	//   _umum, _ulem, _hazo, jmsa_, 
   {{0x629597ca,0x7cfe024a,0x200d01f1,0x672d0237}},	//   _kazo, tërr, _uzei_, _nuaj, 
   {{0xdd954216,0x3ed500eb,0x69c5007e,0x629597cb}},	//   _назы, _عقار, _ühek, _jazo, 
   {{0x629597cc,0x236901a0,0x672d0548,0x6abc0c98}},	//   _mazo, huaj_, _auaj, örfa, 
   {{0x68fd0647,0x7bc0039b,0x00000000,0x00000000}},	//   gosd, bymu, --, --, 
   {{0x248997cd,0x672d00e9,0x3a27025b,0x00000000}},	//   deam_, _cuaj, _tgnp_, --, 
   {{0x629597ce,0x672d0034,0x6b9b0610,0x291901f5}},	//   _nazo, _duaj, mvug, amsa_, 
   {{0x845a97cf,0x64a606a3,0x35a397d0,0x00000000}},	//   йрат_, пава, нарг, --, 
   {{0x01c300cc,0x5fbd0662,0x6fbd09ef,0xb87b02d9}},	//   ্পাদ, ्नाल, ्नां, riíc, 
   {{0x629597d1,0x672d8e59,0x87b95a93,0xe45f0219}},	// [9260] _bazo, _guaj, _дуэт_, _glöm_, 
   {{0x479b0056,0x629597d2,0xdce307c7,0x179b0225}},	//   _פייס, _cazo, dunč, _פייב, 
   {{0x69c197d3,0x91e30531,0xe9f900e7,0xdcf40588}},	//   nyle, нофе, _đẻ_, _šači, 
   {{0x7ae197d4,0x248997d5,0xf8cc09ec,0x672d018e}},	//   hilt, ceam_, ासिय, _yuaj, 
   {{0x7ae197d6,0x6444052b,0x4393012d,0xdce302d9}},	//   kilt, mbii, _заўс, stně, 
   {{0x629597d7,0x877b027a,0x69c11950,0x7ae10080}},	//   _gazo, מאני, kyle, jilt, 
   {{0x28af072f,0x6b8297d8,0x7ebd022c,0xb87b02d9}},	//   टामि, _spog, _rèpt, mnív, 
   {{0x2d9e1993,0x212497d9,0x66cb0095,0x7bc00009}},	//   _vrte_, _uimh_, _müka, tymu, 
   {{0xfc3f1056,0x62957066,0x5b1431d7,0x0b8a01a2}},	//   ñía_, _yazo, ммит, ёсии_, 
   {{0x7ae197da,0x7f3b00a7,0x672d00e5,0x6b820352}},	//   gilt, _לעמו, _ruaj, _vpog, 
   {{0x2d9e02ba,0x68fd97db,0x7aef0183,0xe29b0070}},	//   _urte_, tosd, écta, זשיר, 
   {{0x2ca640fa,0xab5d0035,0x7bfd0108,0x05000033}},	//   _unod_, wyże, ợtốt_, ্দুর_, 
   {{0x7ae15e40,0xfaa697dc,0x8c436956,0x672d00e5}},	//   bilt, _надо, _чече, _quaj, 
   {{0x0ebe0a44,0x672d024a,0x96eb4e35,0x8c1b00d1}},	//   ्सिड, _vuaj, сьма_, _הודי, 
   {{0x248997dd,0x672503f0,0x8b0300d8,0x00000000}},	//   team_, _vihj, ářej, --, 
   {{0x236997de,0x672d00e5,0x629500a3,0xb9250038}},	//   tuaj_, _tuaj, _sazo, _تفعي, 
   {{0x629597df,0xa3f400f0,0x248997e0,0x7d02095a}},	// [9270] _pazo, епті, ream_, _mkos, 
   {{0x929400b3,0xab61027e,0x97360070,0xf6471bad}},	//   науц, _şüke, _קרתא_, _эхин, 
   {{0x64440547,0x7d02010e,0x629597e1,0x752601ca}},	//   bbii, _okos, _vazo, _fikz, 
   {{0xc5f20052,0x2ec51d5b,0x629597e2,0x7ae106df}},	//   _ידי_, वस्त, _wazo, zilt, 
   {{0x629597e3,0x635e00b3,0x644f01dd,0x041b0033}},	//   _tazo, tănţ, _ieci, _ফ্রী_, 
   {{0xc33200c7,0xde053859,0x7d0297e4,0xc7d800d1}},	//   _בוך_, мпли, _akos, הודי_, 
   {{0x644f2e7b,0xd1640093,0x7ae197e5,0x693a01f2}},	//   _keci, _пъти, vilt, _jċed, 
   {{0xa2d9017d,0x645a0243,0x69c100da,0x6b9b00c2}},	//   फोर्, _ētik, vyle, tvug, 
   {{0x644f97e6,0xeb992669,0x7ae197e7,0x645d0126}},	//   _meci, цип_, tilt, _mdsi, 
   {{0x644f97e8,0x637f0474,0x2d9c02a5,0x00000000}},	//   _leci, mână, bvve_, --, 
   {{0xa88a97e9,0x7ae197ea,0x4439007a,0x442b0106}},	//   ойна_, rilt, _ofs_, _ogc_, 
   {{0xa3ad031e,0x7ae197eb,0x66d02afb,0xf1b20147}},	//   कमा_, silt, _mäke, דסט_, 
   {{0xb8e60c73,0x66d0014e,0x7d1b97ec,0x7d0997ed}},	//   _एव_, _läke, mmus, mles, 
   {{0x7d09107d,0x644f001d,0x69080068,0x645d09c7}},	//   lles, _aeci, iñei, _adsi, 
   {{0xcb120056,0x644f00d4,0x442b0175,0x66d00088}},	//   _שלו_, _beci, _bgc_, _näke, 
   {{0xe8f60038,0x6561010e,0xf50a0bfd,0x442b97ee}},	//   _تستخ, álha, інал_, _cgc_, 
   {{0x073a00eb,0x032697ef,0x644497f0,0x27e60118}},	// [9280] _بسبب_, ддан, rbii, _äon_, 
   {{0x244c001b,0x7d0997f1,0x05000033,0x7d1b97f2}},	//   ếm_, hles, ্দের_, hmus, 
   {{0x2734030f,0x63a90405,0x644f97f3,0xb87b06a5}},	//   _hän_, _ġene, _feci, rnív, 
   {{0x7d090019,0x644f97f4,0x7bcd01dd,0x7c2b00d7}},	//   jles, _geci, _ļaun, _nggr, 
   {{0x2d850237,0x7d1b97f5,0x7ebd011c,0x7d0953ff}},	//   _aple_, dmus, _rèpr, dles, 
   {{0x2734022b,0xbea33423,0x4439039b,0x644f97f6}},	//   _män_, качк, _zfs_, _zeci, 
   {{0x2734014e,0x7d090b4e,0x3d0a009a,0x00000000}},	//   _län_, fles, ातले_, --, 
   {{0x1ee80105,0x9972031e,0x00000000,0x00000000}},	//   _کوئی_, těže_, --, --, 
   {{0x2d8597f7,0x00000000,0x00000000,0x00000000}},	//   _eple_, --, --, --, 
   {{0x7d1b01b8,0x80da1446,0x00000000,0x00000000}},	//   amus, पोरे, --, --, 
   {{0x7c3900f8,0x00000000,0x00000000,0x00000000}},	//   _ffwr, --, --, --, 
   {{0x7d0997f8,0x2bd90190,0xab2a03dc,0x6d5843d0}},	//   cles, _बेका, _дода_, msva, 
   {{0xad1b0137,0xe81a0d99,0x644f97f9,0x6d581ec7}},	//   _וואר, नेला_, _reci, lsva, 
   {{0x644f97fa,0x44390e79,0xdce30243,0x98bf0241}},	//   _seci, _sfs_, munā, rttı_, 
   {{0x6d582e33,0x442b21ba,0x45d51234,0x00000000}},	//   nsva, _pgc_, ховс, --, 
   {{0xc983002e,0x66d002ae,0x00000000,0x00000000}},	//   _руши, _räke, --, --, 
   {{0x66d00750,0xbf0e3263,0xe31502a0,0x442b039b}},	// [9290] _säke, िताभ_, емањ, _vgc_, 
   {{0xd25103b1,0x67160838,0x6d5897fb,0x442b0126}},	//   انا_, _दीपक_, ksva, _wgc_, 
   {{0x7d0097fc,0x644f97fd,0x7d0997fe,0x35f497ff}},	//   koms, _teci, yles, _апэр, 
   {{0x90150769,0x645d055f,0x6d5832b9,0x7d09012b}},	//   нфлі, _udsi, dsva, xles, 
   {{0x8e85386d,0xe8d8035c,0x6d5a33fc,0x7d099800}},	//   егле, וואר_, _avta, vles, 
   {{0x2bd900a5,0x7a31010e,0x6d5801d5,0x00000000}},	//   _बेगा, _műté, fsva, --, 
   {{0xdce80824,0x7d099801,0x6d589802,0x7d001a77}},	//   _ardı, tles, gsva, foms, 
   {{0x9f510019,0x6aaa00f8,0xcf7b0038,0x7d092cdd}},	//   ából_, _anff, _وإذا_, ules, 
   {{0x7d1b9803,0x7d099804,0x5bc90790,0x76550035}},	//   rmus, rles, िनेव, kazy, 
   {{0xeab10084,0x39452bdc,0xaad900ab,0x3f140a10}},	//   اعة_, нног, योंक, _адус, 
   {{0x7d1b0657,0x88e65696,0x00000000,0x00000000}},	//   pmus, ежне, --, --, 
   {{0x6d4300c3,0x29040379,0x27340118,0xe0bd0033}},	//   mpna, ôma_, _pän_, _আগুন, 
   {{0x35a300a3,0xbbeb01c9,0x6d439805,0xa3de017d}},	//   қатг, _برام_, lpna, _थें_, 
   {{0x2734014e,0x290b015e,0x76550035,0x8afd00d8}},	//   _vän_, alca_, gazy, kuři, 
   {{0x2cbd142a,0x48e66cc6,0x2499020f,0x00000000}},	//   _kowd_, _покв, _basm_, --, 
   {{0x942617c5,0x05000086,0x7a31010e,0x27340080}},	//   ембе, ্দ্র_, _fűté, _tän_, 
   {{0x3860006e,0x29029806,0x42ca00a3,0xb87b08a0}},	// [92a0] _idir_, moka_, пган_, rnít, 
   {{0x290210dc,0x68e68b5e,0xe297584f,0x63061766}},	//   loka_, likd, нау_, روال, 
   {{0xa3bc0c14,0xdcff00bc,0x7d001b33,0x00000000}},	//   _अथक_, ívěs, yoms, --, 
   {{0x232a18ae,0x29029807,0x25a5055f,0x26150d53}},	//   _номи_, noka_, ælle_, _धरती_, 
   {{0x64569808,0x656e134a,0x7053009c,0xe04321f9}},	//   mayi, lubh, انها, унчи, 
   {{0x64569809,0x6d58980a,0x2902980b,0xd1ca00f0}},	//   layi, tsva, hoka_, _елге_, 
   {{0x2902980c,0xe9f900e7,0x657c980d,0x6d580080}},	//   koka_, _đế_, ntrh, usva, 
   {{0x6d581950,0xdd8e0019,0x2480019c,0x00000000}},	//   rsva, لوڈ_, nfim_, --, 
   {{0x2902980e,0x1e86980f,0x7d007305,0x68e600ad}},	//   doka_, _плам, roms, dikd, 
   {{0x64569810,0xdce300e0,0x2fc69811,0x98a801dd}},	//   hayi, runā, myog_, _runā_, 
   {{0xfbcf13b4,0x28f927be,0x64569812,0x29029813}},	//   لتی_, день_, kayi, foka_, 
   {{0x29029814,0x386000a1,0x64569815,0x00000000}},	//   goka_, _cdir_, jayi, --, 
   {{0x64569816,0x249900a3,0xe78400b3,0x3ebe00c2}},	//   dayi, _rasm_, луро, _kott_, 
   {{0x38600264,0x3ebe9817,0x29020054,0xdb060080}},	//   _edir_, _jott_, aoka_, ämäk, 
   {{0x29029818,0x3a3700c7,0x3eac016a,0x76559819}},	//   boka_, _ארום_, _mndt_, razy, 
   {{0x3ebe138e,0x645628f8,0xade3007e,0x290225e3}},	//   _lott_, gayi, _कइसन_, coka_, 
   {{0x66cb0092,0xc2993005,0x78ad0053,0x3eac055f}},	// [92b0] _yükl, мках_, _inav, _ondt_, 
   {{0x3ebe0082,0x42741e38,0x00000000,0x00000000}},	//   _nott_, лгус, --, --, 
   {{0xa5f90342,0x6456981a,0x6d5e00ca,0x999e0028}},	//   _цену_, bayi, špaj, matų_, 
   {{0xb5f2005e,0x64561240,0x00000000,0x00000000}},	//   _түсі, cayi, --, --, 
   {{0x3ebe981b,0x78ad981c,0x00000000,0x00000000}},	//   _bott_, _mnav, --, --, 
   {{0x2902981d,0x66d002ae,0xaca7010e,0xdb020ff2}},	//   zoka_, _käka, کھئے_, _droë, 
   {{0x3ebe00fd,0x2bd9190a,0x29020547,0x78ad00f6}},	//   _dott_, _बेजा, yoka_, _onav, 
   {{0x2fc60008,0x6b8400b3,0x3eac00fb,0x78ad01b8}},	//   byog_, _ţiga, _endt_, _nnav, 
   {{0x66d0022b,0x98a800d9,0x2902981e,0x657c0098}},	//   _läka, _lună_, voka_, ztrh, 
   {{0x3ebe981f,0x2369034c,0x64569820,0x6d435d65}},	//   _gott_, iraj_, zayi, ppna, 
   {{0x29029821,0x186a1a93,0xdd910c30,0x645653a0}},	//   toka_, мани_, _خوا_, yayi, 
   {{0x48e60d61,0x6f0312b5,0x23691929,0x6d419822}},	//   томв, lonc, kraj_, _itla, 
   {{0x29029823,0x2bd90262,0x64569824,0xda0d2a48}},	//   roka_, _बेचा, vayi, _हरकत_, 
   {{0x6f039825,0x8a0515f5,0x98a800d9,0x64569826}},	//   nonc, _изле, _bună_, wayi, 
   {{0x29029827,0x64562d32,0x649a01a2,0xa50a3d1f}},	//   poka_, tayi, мтар_, дева_, 
   {{0x320a1765,0x6f0302f1,0x7c3b074d,0x66e601a2}},	//   _ryby_, honc, ncur, хоҳа, 
   {{0x64569828,0x6f03476b,0xa50763c7,0x68e49829}},	// [92c0] rayi, konc, тета_, _imid, 
   {{0x6456982a,0x69c500b0,0x2fc6006d,0x6f0314a2}},	//   sayi, _ühes, vyog_, jonc, 
   {{0x56e3005e,0x6d410364,0x6456982b,0x3ebe982c}},	//   _тұрғ, _ntla, payi, _rott_, 
   {{0x3ebe982d,0x00e60093,0x4fea982e,0x645600ad}},	//   _sott_, ъжен, ммен_, qayi, 
   {{0x6f03026a,0x3ebe982f,0x6d419830,0x68e41f13}},	//   fonc, _pott_, _atla, _mmid, 
   {{0x1ee6009c,0xdb02946d,0x324303e8,0x00000000}},	//   ضوعی_, _groè, _верг, --, 
   {{0x180f02f8,0x2fc6023b,0x629c9831,0xa2e326ef}},	//   _सर्व_, syog_, _iaro, _торд, 
   {{0x629c9832,0xc5f300d1,0x7d1900f3,0x5ba63109}},	//   _haro, ידו_, _chws, вроз, 
   {{0x629c9833,0xcb670d37,0x4f261c06,0x6d410226}},	//   _karo, вање_, _адаб, _etla, 
   {{0x60c09834,0x68e49835,0x629c70bd,0x629e9836}},	//   _homm, _amid, _jaro, ndpo, 
   {{0x629c27b2,0xddc800ab,0xae1e00bd,0x00000000}},	//   _maro, _wedł, येशन_, --, 
   {{0x629c9837,0xcfa90019,0x779300d4,0x8c463d1f}},	//   _laro, _تاہم_, لیبا, _реде, 
   {{0x629c084c,0xeaba058e,0xb6c503a1,0x98a8020f}},	//   _oaro, _ойд_, гөнд, _sună_, 
   {{0x60c04f28,0x79580cdf,0x68e49838,0x98a800b3}},	//   _lomm, _зикр_, _emid, _pună_, 
   {{0xd6d802fb,0xe80f00bd,0xa4d5004f,0x94d587e1}},	//   ття_, _सरका_, гові, говц, 
   {{0x60c09839,0x78ad983a,0x2369983b,0x4aa602e6}},	//   _nomm, _unav, traj_, _कोतव, 
   {{0x7b3200ab,0x69c8983c,0x7b07009e,0x533400f0}},	// [92d0] _dług, lyde, _îstî, иетт, 
   {{0xade3007e,0xfde3007e,0x629c1229,0x95cb183a}},	//   _कइलन_, _कइलस_, _caro, _жума_, 
   {{0x60c0983d,0x69da983e,0x6f03983f,0x66cb00b0}},	//   _bomm, nzte, vonc, _lükk, 
   {{0x60c02099,0x4fd5004e,0x63a600ca,0xe3e300f0}},	//   _comm, лжет, _frkn, _көзқ, 
   {{0x6f0315c4,0x629c1b08,0x60c0589b,0x6d419840}},	//   tonc, _faro, _domm, _stla, 
   {{0x629c9841,0x60c00110,0x26c1018e,0x69c80566}},	//   _garo, _eomm, _joho_, kyde, 
   {{0x26c19842,0xf0750019,0xfce59843,0x8d54012d}},	//   _moho_, _میاں_, локо, атыч, 
   {{0x629c9844,0x60c09845,0x26c10ad3,0x7c3b019c}},	//   _zaro, _gomm, _loho_, ucur, 
   {{0x7c3b0012,0xb80f0a34,0x629c9846,0x6f0314d9}},	//   rcur, _सरगम_, _yaro, ponc, 
   {{0x26c10489,0x68e49847,0xa3bb0077,0x66cb027e}},	//   _noho_, _smid, _अपन_, _dükk, 
   {{0xaad91933,0x59ca0e17,0x6d419848,0x212d011c}},	//   योगक, ानगर, _utla, _kieh_, 
   {{0xf74625b3,0x6fa704cc,0x291b0508,0xe9a60e13}},	//   лемо, चिपू, _chqa_, اگون_, 
   {{0x6b659849,0x2d0f02f8,0x7b06008c,0x4b7900c7}},	//   _скла, ातील_, rður, _נאַו, 
   {{0x5a470904,0x69c802c9,0x6133008a,0xdbd100b0}},	//   _рэда, byde, _eħli, _müüm, 
   {{0x629c0149,0x63a600ef,0x18a626ef,0x98b90243}},	//   _raro, _srkn, _байм, ūrā_, 
   {{0x68e4044a,0x629c984a,0x97c6143f,0x212d02f6}},	//   _umid, _saro, _مقبو, _nieh_, 
   {{0x60c0984b,0xdd030009,0x9346984c,0x7bc9002c}},	// [92e0] _romm, ūrėj, унзе, nyeu, 
   {{0x629c00cf,0x26c10508,0x20f8020b,0x14231279}},	//   _qaro, _goho_, dčia_, сдум, 
   {{0x629c984d,0x60c0984e,0x2caf3311,0x20f80009}},	//   _varo, _pomm, _ongd_, ečia_, 
   {{0xa09a0038,0x629c984f,0x48b20033,0xd12f69c5}},	//   عضاء_, _waro, _চতুর, سمه_, 
   {{0x629c9850,0x44240014,0x69c80035,0x69da0369}},	//   _taro, _àm_, zyde, zzte, 
   {{0xdd9a41a5,0x629c012b,0x69c800c8,0xf8bf0107}},	//   еши_, _uaro, yyde, mmée_, 
   {{0x60c06066,0x8d8603a1,0x57d000bc,0xf8bf0151}},	//   _tomm, уулд, हनुह, lmée_, 
   {{0xbd87361f,0x69c89851,0x63a42620,0x212d01f2}},	//   انين_, vyde, ovin, _gieh_, 
   {{0x66d0022b,0x63a49852,0x8fa30aed,0x6e462853}},	//   _räkn, nvin, _лате, _безз, 
   {{0x69c80a40,0x69da02ec,0xe45f0088,0xc333035c}},	//   tyde, tzte, _ylös_, זוז_, 
   {{0x26c15485,0x7c860b46,0xd2b700a7,0x7ae834f9}},	//   _roho_, _буле, אלית_, ridt, 
   {{0xa3e505d2,0x8dfb00a7,0x69c89853,0x63a4042a}},	//   _भइल_, _אהבת, ryde, kvin, 
   {{0x69da006b,0x63a40b32,0x81bc00cc,0xd7f89854}},	//   szte, jvin, েছি_, гур_, 
   {{0x3ce6023b,0x99d6024f,0x98bf0028,0x00000000}},	//   _hmov_, _متعا, ystė_, --, 
   {{0x58d57cc6,0xa5f89855,0x26c10379,0x45d49856}},	//   _войт, геру_, _voho_, борс, 
   {{0x290f0038,0x20f80009,0x2bd10110,0x84c40165}},	//   _óga_, yčia_, दैवा, бљуд, 
   {{0x26c108d7,0x395e0bc3,0x63a49857,0xbec701dd}},	// [92f0] _toho_, lsts_, gvin, ldīš, 
   {{0xa5c5004e,0x66d00219,0x212d0502,0x00000000}},	//   _көбе, _jäkl, _sieh_, --, 
   {{0x461500c5,0x66d0014e,0x63a44f35,0xb035796b}},	//   _خودر, _mäkl, avin, анеш, 
   {{0x395e9858,0x5f75009c,0x98bf0028,0xa2940259}},	//   ists_, لاتر, rstė_, _қасі, 
   {{0x644d9859,0xb4c30a0e,0x926b1b11,0xda0b00b0}},	//   mbai, ्सी_, _прва_, _सुनत_, 
   {{0x395e002a,0xddc548f2,0x644d67b0,0xa3de009a}},	//   ksts_, ибли, lbai, _थेट_, 
   {{0xfc3100eb,0xbd45007a,0x75e3040c,0x00000000}},	//   يحة_, جنبي, _mеzo, --, 
   {{0xff1500cc,0x644d0a9f,0xccc502f1,0x62853641}},	//   াদেশ_, nbai, рбий, lfho, 
   {{0x395e0161,0x00000000,0x00000000,0x00000000}},	//   ests_, --, --, --, 
   {{0x752f006a,0x644d0348,0xb4d200bd,0x66d002ae}},	//   _licz, hbai, _वत्_, _räko, 
   {{0x63a4985a,0x6ac529c4,0x00000000,0x00000000}},	//   zvin, _लकीर, --, --, 
   {{0xe73a985b,0x63a42f48,0xd8267216,0x752f0035}},	//   кем_, yvin, идни, _nicz, 
   {{0xb8ee000f,0xa3e5007e,0x26d8985c,0xdcf40ab4}},	//   _शक_, _भेल_, thro_, _šaći, 
   {{0x63a401f2,0x20f8044e,0xaa4517e0,0x628502b0}},	//   vvin, jčin_, _текл, jfho, 
   {{0x2d53002e,0xe8fa02f1,0x6cec0790,0x09e20165}},	//   nţe_, _илк_, _जगमग_, _мошн, 
   {{0x8a1400d4,0x47c6004f,0x56f403a1,0x6285040b}},	//   _اظها, _вбив, рүүс, efho, 
   {{0x68fd010e,0x00000000,0x00000000,0x00000000}},	// [9300] érde, --, --, --, 
   {{0x55e647ee,0xf8bf0107,0x0ea4072d,0x3ce90032}},	//   _вооб, rmée_, _गोंड, čavy_, 
   {{0x765c985d,0xd17609d9,0xddc3985e,0x644d00a1}},	//   mary, рызы, vanş, bbai, 
   {{0x64a664e7,0x4fc61e6b,0x39a5002a,0xb358006b}},	//   _тама, исла, _mēs_, _میرا_, 
   {{0x98a60213,0x00000000,0x00000000,0x00000000}},	//   nslı_, --, --, --, 
   {{0x5d66985f,0x765c9860,0xfaf90009,0x644c0083}},	//   атиз, nary, irūs_, śnię, 
   {{0xdce101f0,0x69c7055f,0xddc31669,0x00000000}},	//   _aslı, øjel, ranş, --, 
   {{0x0ca70088,0x656e0a92,0x20f846ae,0xc19b0486}},	//   атьи_, irbh, mčio_, _בשלי, 
   {{0x765c9861,0x225801a9,0xafe60d38,0x00000000}},	//   kary, _kerk_, _тоал, --, 
   {{0x79a69862,0x0f7b035c,0xb4d201a4,0x6e960038}},	//   арме, _באמב, वसु_, _خلطا, 
   {{0x765c3617,0x22589863,0x20f8012d,0x00000000}},	//   dary, _merk_, nčio_, --, 
   {{0x1bea4993,0x395e9864,0xdb0257f4,0x20f80028}},	//   _идеи_, rsts_, _troï, ičio_, 
   {{0xd7fb2f0d,0x39499865,0x98bf01dd,0x765c00f8}},	//   тун_, _čase_, lstī_, fary, 
   {{0x7e781eea,0x20f80028,0x00000000,0x00000000}},	//   ngvp, kčio_, --, --, 
   {{0x7afd1017,0x6abc003e,0x00000000,0x00000000}},	//   éste, örfu, --, --, 
   {{0x04c900eb,0x693a01f2,0xc4d80267,0x2ed30110}},	//   دوري_, _jċem, ађу_, _थत्त, 
   {{0x644d9866,0x765c3038,0x656e0a75,0x94190b14}},	// [9310] rbai, bary, arbh, ужат_, 
   {{0xf1a71d52,0xf6994134,0x644d0014,0x82d866dc}},	//   ирен, _свој_, sbai, адус_, 
   {{0x20f8090e,0x28cc0484,0x3ce7119b,0x22589867}},	//   rčin_, ासचि, _जगले_, _derk_, 
   {{0x62850038,0x00000000,0x00000000,0x00000000}},	//   sfho, --, --, --, 
   {{0xa3bb05ff,0x4fa51ee4,0xddc1107c,0x8fa59868}},	//   _अपि_, силв, _belş, сале, 
   {{0x4aa60081,0xaaa64899,0x20180038,0x273d0108}},	//   _कोलव, _कोलक, جتمع_, _mìn_, 
   {{0xad581c0f,0xdb0200e1,0x2c130033,0x00000000}},	//   арых_, _croí, _হলেই_, --, 
   {{0x84f907d5,0x20f8026e,0x85f800d1,0xe5f800d1}},	//   ्किट_, nčil_, יצוע_, יזור_, 
   {{0x765c9869,0x225800e2,0x6d4a007a,0x861a0118}},	//   yary, _yerk_, apfa, _rapٍ_, 
   {{0x9f95007e,0x7b320035,0xbd6b00b3,0x2b5f0474}},	//   _müüa_, _słuc, _арде_, rsuc_, 
   {{0x39e9986a,0xfaa507f9,0x765c986b,0x2a7c00b9}},	//   удно_, _ҳало, vary, _dcvb_, 
   {{0x693a01f2,0x765c986c,0x00000000,0x00000000}},	//   _kċej, wary, --, --, 
   {{0xfaa500e4,0xcb690d0c,0xdc360070,0x20f800da}},	//   _гало, _сале_, _האנט_, dčil_, 
   {{0x2cbf986d,0x7d090156,0x3ced986e,0x00000000}},	//   ljud_, loes, liev_, --, 
   {{0x765c986f,0x66e36e7d,0x66d014c0,0x2aba00d1}},	//   rary, чора, _häkk, _תמצא, 
   {{0xb4d20c46,0xd3ba004f,0x765c9870,0x1c1e00b0}},	//   वसे_, лузі_, sary, _परमल_, 
   {{0x22589871,0x273d0023,0x00000000,0x00000000}},	// [9320] _perk_, _gìn_, --, --, 
   {{0x66d09872,0x05080033,0x7d0942c7,0x2cbf00c2}},	//   _mäkk, লগের_, hoes, hjud_, 
   {{0x20f8160e,0x22589873,0x98b90009,0x72060038}},	//   učio_, _verk_, ūrą_, حوام, 
   {{0x225801b2,0x2cbf3ca5,0x693a01f2,0x7109017b}},	//   _werk_, jjud_, _bċej, ахів_, 
   {{0x0eea02fb,0x7d099874,0x20f80009,0x787b00c7}},	//   льки_, does, sčio_, אָוו, 
   {{0x52751b39,0xdb020165,0x20f800ca,0x11d60b24}},	//   _мусу, _proí, mčim_, _любя, 
   {{0x2b469875,0x644300ab,0xddc1010e,0xfd0a00b3}},	//   _stoc_, śnie, _belő, лэий_, 
   {{0xa7fb0183,0xfb8800a3,0x6d4a5a83,0x00000000}},	//   lañe, ароқ_, rpfa, --, 
   {{0x8c43022d,0x00000000,0x00000000,0x00000000}},	//   чење, --, --, --, 
   {{0x63ab055f,0x63a91ba0,0x6d4a0611,0xfbcf17bc}},	//   ågni, _šenk, ppfa, عتي_, 
   {{0x2d98026a,0x7d095973,0xddc1039f,0xb2bb2737}},	//   _ère_, boes, _felő, אמיר, 
   {{0x2d9e9876,0x021703e1,0x6d4824e5,0x00000000}},	//   _iste_, מחים_, _itda, --, 
   {{0x61e00095,0xbb581a57,0x00000000,0x00000000}},	//   _əmla, _талх_, --, --, 
   {{0x81de00cc,0xf4000086,0xeaf50a68,0x2eee0065}},	//   _তখন_, ্ধার_, ीकृत_, niff_, 
   {{0x2d9e000d,0x45d51876,0x9f9500b0,0x693a008a}},	//   _jste_, цовс, _süüa_, _mċek, 
   {{0x2eee9877,0x00000000,0x00000000,0x00000000}},	//   hiff_, --, --, --, 
   {{0x3869115b,0xe4e4017b,0x20f800de,0x66cb2120}},	// [9330] _idar_, чірн, rčil_, _süku, 
   {{0x8c1b0a33,0x290b48ea,0xa7fb001d,0x2d9e1ed5}},	//   רומי, loca_, gañe, _oste_, 
   {{0x399a417f,0xa2bf241a,0xc0cb9878,0x00000000}},	//   _jūs_, लॉग्, луде_, --, 
   {{0x7e680369,0x399a01dd,0x301527fe,0x00000000}},	//   _addp, _mūs_, одер, --, 
   {{0x491800fe,0x2d9e0a9f,0x2cbf02f1,0x6d489879}},	//   זקאל_, _aste_, vjud_, _atda, 
   {{0x645f987a,0x3ec40176,0x00000000,0x00000000}},	//   laqi, зишҳ, --, --, 
   {{0x3ced0032,0xe057009c,0x2cf61126,0xd0d500fd}},	//   tiev_, _هیات_, ुकूल_, _довъ, 
   {{0x6297987b,0x645f0095,0x0b4502f1,0xacc903a7}},	//   lexo, naqi, онин, ргиз_, 
   {{0x2d9e987c,0x8c6400eb,0x2eee2032,0x3ced987d}},	//   _este_, سطين, biff_, riev_, 
   {{0x05ba35a4,0x399a002a,0x3869987e,0x29190216}},	//   _उपलब, _būs_, _adar_, îran_, 
   {{0xe8fa4678,0x29032cb7,0x7d09987f,0x290b08b2}},	//   ило_, čkan_, poes, foca_, 
   {{0x160407d5,0xa3d90035,0x8d74152c,0x7e680604}},	//   _शुगर_, ़ना_, _راما, _zddp, 
   {{0x68fd0369,0xb90201a4,0x66d02afb,0xe73a9880}},	//   érda, _धत_, _häki, рег_, 
   {{0x38699881,0x9a2900b3,0xa8030183,0xf3ff019c}},	//   _edar_, _колб_, úñas, _adão_, 
   {{0x845a9882,0x629700de,0xe5a39883,0xd62a4ccd}},	//   ират_, dexo, мири, рове_, 
   {{0x9e3c0254,0x6aa30156,0x290b0027,0x66d00080}},	//   _maďa, _hanf, coca_, _mäki, 
   {{0x6aa300ca,0xa7fb0126,0x66d000bd,0x00000000}},	// [9340] _kanf, tañe, _läki, --, 
   {{0x78a4023b,0x38690098,0x6aa39884,0x78a62817}},	//   _haiv, _zdar_, _janf, ldkv, 
   {{0x6aa33bb1,0x28af000d,0x78a400c8,0x9e3c0228}},	//   _manf, _जोडि, _kaiv, _naďa, 
   {{0x6aa39885,0x78a40126,0xfbc7149e,0xa7fb00b4}},	//   _lanf, _jaiv, _قت_, sañe, 
   {{0x78a49886,0x6d4886eb,0xdfd0009c,0xa3b400aa}},	//   _maiv, _stda, عيت_, _झपट_, 
   {{0x78a49887,0x6aa39888,0x290b016c,0x00000000}},	//   _laiv, _nanf, zoca_, --, 
   {{0x20d79889,0x628e008a,0x00000000,0x00000000}},	//   _için_, _ibbo, --, --, 
   {{0x66cb03b0,0xdb0b02aa,0x2fcf004f,0x0caa988a}},	//   _yüks, _urgê, bygg_, ртки_, 
   {{0x3949262b,0x6aa3988b,0xfb86012d,0x00000000}},	//   _časa_, _banf, цыйн, --, 
   {{0xcb1a00ce,0x6aa30156,0x38690065,0x60c22e78}},	//   јќи_, _canf, _sdar_, ljom, 
   {{0x09f80084,0x7afd988c,0x3f860c7c,0x2d9e0a9f}},	//   صفحة_, ésta, ltou_, _uste_, 
   {{0x7aef1056,0x2903034c,0x78a40036,0x60c2988d}},	//   éctr, čkao_, _caiv, njom, 
   {{0x3f86988e,0x60350095,0x290b255d,0xa3ae00c9}},	//   ntou_, _həmç, roca_, किफ_, 
   {{0xa3ae0bd3,0x387f115a,0x3f86240c,0x290b539f}},	//   किन_, żur_, itou_, soca_, 
   {{0x290b988f,0x58d507d9,0x78020176,0x75e3040c}},	//   poca_, _нокт, _ҷӯра, _kеzi, 
   {{0x628e9890,0x3869003a,0xd6da03dc,0x6aa39891}},	//   _abbo, _udar_, атӣ_, _zanf, 
   {{0x3d0b0081,0x645f00e5,0x68ed4819,0xb87b0183}},	// [9350] ावते_, raqi, _imad, rhíd, 
   {{0x238e00e0,0xb87b0183,0x24891add,0x00000000}},	//   dējā_, eníx, sfam_, --, 
   {{0x62970068,0x78a4025b,0x00000000,0x00000000}},	//   rexo, _yaiv, --, --, 
   {{0x62976be9,0x3f9f045a,0x628e016b,0xea000210}},	//   sexo, _psuu_, _ebbo, _ngậy_, 
   {{0x645d9892,0xa4f900a2,0x68ed9893,0x44390548}},	//   _iesi, ्कीच_, _mmad, _igs_, 
   {{0x645d9894,0x6da51e0a,0x2fcf0e20,0xad59583e}},	//   _hesi, зика, rygg_, брих_, 
   {{0xb14609e8,0x645d9895,0x6aa30300,0x68ed9896}},	//   _فیلم_, _kesi, _ranf, _omad, 
   {{0xdd8e00eb,0x66d000c8,0x645d9897,0xd5fc00d1}},	//   اوي_, _väki, _jesi, יפור, 
   {{0x645d218f,0x3f86068b,0x6aa39898,0x78a49899}},	//   _mesi, ctou_, _panf, _raiv, 
   {{0x68ed989a,0x645d04f4,0x4439989b,0x78a400c8}},	//   _amad, _lesi, _lgs_, _saiv, 
   {{0x60db042a,0x4efa00c7,0xaf080038,0x3ea502c9}},	//   _klum, _פלעג, _بقلم_, _ialt_, 
   {{0x645d989c,0x44390008,0x60c908b0,0xa3ae2030}},	//   _nesi, _ngs_, _joem, किम_, 
   {{0x60c907d7,0x78a4989d,0x6aa3010e,0x3ea5989e}},	//   _moem, _vaiv, _tanf, _kalt_, 
   {{0x4439989f,0x60db7a64,0x68ed00c2,0xfaa573b6}},	//   _ags_, _llum, _emad, _хако, 
   {{0x60db98a0,0x645d98a1,0x78a498a2,0xceb20486}},	//   _olum, _besi, _taiv, עיל_, 
   {{0x645d0a03,0x60c998a3,0x93469347,0x274800b3}},	//   _cesi, _noem, знае, _pînă_, 
   {{0x2d8700b0,0xdb0b1a75,0x644498a4,0x44391240}},	// [9360] htne_, _argé, rcii, _dgs_, 
   {{0x60db07a9,0x2d8798a5,0x691d0212,0x68ed0034}},	//   _alum, ktne_, néen, _zmad, 
   {{0x60c90364,0x60db98a6,0xa7fb001d,0xa50a98a7}},	//   _boem, _blum, maña, _гена_, 
   {{0xe043252a,0x645d98a8,0xa7fb0183,0x55bb00d1}},	//   енци, _gesi, laña, _המטו, 
   {{0x765e98a9,0x3f860068,0x6d4526a4,0x63af0604}},	//   _kepy, utou_, íhan, _grcn, 
   {{0xdee398aa,0xa3e52360,0x2d87032f,0x59cb02ab}},	//   ночи, _भेट_, ftne_, ाहार, 
   {{0x3f8698ab,0x645d5286,0x3ea598ac,0x60db98ad}},	//   stou_, _yesi, _dalt_, _flum, 
   {{0x60db02f5,0x2900086d,0x3f8698ae,0x612300b0}},	//   _glum, _njia_, ptou_, võlg, 
   {{0x613a031e,0x3ea5004f,0x00000000,0x00000000}},	//   _důle, _falt_, --, --, 
   {{0x6da68981,0x3ea598af,0x68ed98b0,0x2900018e}},	//   _низа, _galt_, _smad, _ajia_, 
   {{0xa7fb0369,0xdd8f031b,0x1ea9144f,0x39580106}},	//   daña, _مول_, _باقي_, èrs_, 
   {{0xfce33623,0x00000000,0x00000000,0x00000000}},	//   _похо, --, --, --, 
   {{0x645d98b1,0x44390028,0xcce52ad7,0x00000000}},	//   _resi, _rgs_, _تسلي, --, 
   {{0x645d4bd4,0xa7fb23e2,0x691d0212,0x29120547}},	//   _sesi, gaña, céen, _ekya_, 
   {{0xa3e5000f,0x56780088,0x765e0118,0x44390210}},	//   _भेज_, ября_, _depy, _pgs_, 
   {{0x68ed044d,0x5fbe2f41,0x95c9004e,0x2a7e0183}},	//   _umad, ्हाल, буға_, lgtb_, 
   {{0xd90f086b,0x645d98b2,0xa7fb123c,0x60c9038c}},	// [9370] _لیگ_, _vesi, baña, _roem, 
   {{0x645d2a70,0x60db98b3,0x60c94e86,0x2d87014b}},	//   _wesi, _slum, _soem, ytne_, 
   {{0x645d98b4,0x68fd98b5,0x60db0c2e,0x60c91227}},	//   _tesi, onsd, _plum, _poem, 
   {{0x68fd98b6,0x3ea500df,0x39ac00d8,0x00000000}},	//   nnsd, _salt_, _měs_, --, 
   {{0x6d5a02a5,0xbea52e07,0x765e035d,0x272401d5}},	//   _awta, далк, _yepy, bönd_, 
   {{0x63ad98b7,0x7c390156,0x2d8798b8,0xa1590028}},	//   mvan, _sgwr, ttne_, _магу_, 
   {{0x63ad90d7,0x3ea5291b,0xa19498b9,0x60db18b4}},	//   lvan, _valt_, _парч, _tlum, 
   {{0x63ad3215,0x2d8798ba,0x66d00219,0x1b497037}},	//   ovan, rtne_, _häkt, озии_, 
   {{0x63ad7372,0x2d873053,0x3ea598bb,0x661702ae}},	//   nvan, stne_, _talt_, _lyxk, 
   {{0xa3ae1516,0x39451094,0xab5d0035,0x6737008a}},	//   कित_, мног, wyżs, _nixj, 
   {{0x66d00219,0x6dd50274,0x63ad59ef,0x28af034d}},	//   _mäkt, _تقاض, hvan, _जोहि, 
   {{0x63ad98bc,0x3940203b,0x2ca60102,0x66d00219}},	//   kvan, _čist_, _gaod_, _läkt, 
   {{0x691d026a,0x272401c4,0xe79c027e,0xa7fb001d}},	//   péen, höne_, _düğü, taña, 
   {{0x63ad98bd,0x6b8998be,0x2919011d,0x7e6398bf}},	//   dvan, mteg, alsa_, nanp, 
   {{0x6b8902ba,0x0446093d,0xaac40296,0x63ad98c0}},	//   lteg, дебн, _ستون, evan, 
   {{0xf8e23081,0x2eda0c64,0xa7fb0126,0xdb020034}},	//   _पतिय, _भत्त, saña, _proç, 
   {{0xfa8e001b,0x59cb010f,0xccf200a7,0xa7fb2016}},	// [9380] _mừng_, ाहवर, דכן_, paña, 
   {{0xe29798c1,0x6b8901f1,0xfa8e0108,0x00000000}},	//   мау_, iteg, _lừng_, --, 
   {{0xd62a058b,0x63ad567f,0xa87a00c7,0xa52603dc}},	//   _фоне_, avan, ַאַר, _омод, 
   {{0x657c0080,0xdb0298c2,0x63ad03a0,0x00000000}},	//   murh, _troç, bvan, --, 
   {{0x386000fc,0x6aa802bf,0x6b8998c3,0x6456016c}},	//   _meir_, yddf, jteg, mbyi, 
   {{0x386098c4,0x26d800ca,0x2bb10e6e,0x7b1403dd}},	//   _leir_, nkro_, जिना, nàut, 
   {{0xc6930056,0x657c0065,0xfa8e0023,0xa1871b3d}},	//   דאו_, nurh, _bừng_, _обра_, 
   {{0xdc13008f,0x6b8998c5,0x24801f57,0x00000000}},	//   _ağır, fteg, ngim_, --, 
   {{0xfa8e00e7,0x1e860e65,0xe7ee1ef6,0x63a90183}},	//   _dừng_, _олам, _चेला_, _áent, 
   {{0x7b3200ab,0x3860007a,0xcdd60267,0xdd92149e}},	//   _tłum, _aeir_, _оцењ, _لوط_, 
   {{0x66d014b9,0x6b8998c6,0x3860006c,0xa9c327bc}},	//   _läks, ateg, _beir_, всяк, 
   {{0xa3de130c,0x63ad03c0,0x38600156,0xfa8e0023}},	//   तना_, yvan, _ceir_, _gừng_, 
   {{0x8c4331b8,0x386000eb,0xe78498c7,0xd8380028}},	//   _рече, _deir_, куро, дэр_, 
   {{0x63ad1290,0x3338009e,0x68fd0036,0x6d470212}},	//   vvan, _nirx_, snsd, _éjac, 
   {{0xb8e50086,0x090711b9,0x386000a1,0x442200b4}},	//   _এত_, _очим, _feir_, _azk_, 
   {{0x63ad98c8,0xadf105d2,0x442298c9,0x386098ca}},	//   tvan, _अइसन_, _bzk_, _geir_, 
   {{0xa7fb0634,0x4422014b,0x2bb10035,0xb87b0183}},	// [9390] maño, _czk_, जिया, chía, 
   {{0x63ad98cb,0xa7fb0369,0x05010033,0x98bf02d9}},	//   rvan, laño, ্ষের_, yptě_, 
   {{0x63ad3f55,0x6b890a9f,0x63bb0613,0x7e6398cc}},	//   svan, zteg, _šund, vanp, 
   {{0xf42300b9,0x63ad01c8,0x7e63012b,0x321803c6}},	//   _үзүү, pvan, wanp, _dyry_, 
   {{0xfa8e001b,0x752d98cd,0x7e6398ce,0x29030121}},	//   _rừng_, mmaz, tanp, čkah_, 
   {{0x752d006b,0xaaad00a5,0xfa8e0023,0xdb11039f}},	//   lmaz, _झोंक, _sừng_, égün, 
   {{0x3d0b0e6e,0x316803a1,0x44221940,0xf235010e}},	//   ावले_, _ошто_, _zzk_, _سبسک, 
   {{0x4c858049,0x752d0213,0x00000000,0x00000000}},	//   хлив, nmaz, --, --, 
   {{0x7e6398cf,0x386098d0,0xa7fb61e6,0x6b8901ca}},	//   panp, _reir_, daño, uteg, 
   {{0x0c220f82,0x7c220082,0x5fbe05e5,0x3860439b}},	//   ымын, _dzor, ्हरल, _seir_, 
   {{0x6b8998d1,0xfa8e0029,0x46c3031e,0x7c2200b4}},	//   steg, _từng_, शानह, _ezor, 
   {{0xc689181f,0x7e6198d2,0xa7fb04b3,0x6d418f34}},	//   _לא_, _help, gaño, _iula, 
   {{0xbd2c07f5,0x6d4198d3,0x752d07c7,0x291e00e0}},	//   _וואָ, _hula, dmaz, ēta_, 
   {{0xa3ae0249,0xfaa22d60,0xe5a698d4,0x00000000}},	//   किस_, _башо, ниги, --, 
   {{0x6d4198d5,0x386028c3,0x442298d6,0xa7fb001d}},	//   _jula, _teir_, _szk_, baño, 
   {{0x6d4198d7,0x64a398d8,0xa7fb001d,0x657c011d}},	//   _mula, ласа, caño, rurh, 
   {{0x6d4198d9,0x032601ba,0x7d1b00c8,0x24802ea0}},	// [93a0] _lula, едан, ilus, rgim_, 
   {{0xe9ff00f7,0x7d1b02f2,0x7e6198da,0xdb0b0369}},	//   _giải_, hlus, _nelp, _orgí, 
   {{0x7d1b98db,0x6d4198dc,0x7f400095,0x365b00d1}},	//   klus, _nula, _sumq, _מכינ, 
   {{0x442200ca,0xa0a500f0,0x20f800d8,0x00000000}},	//   _tzk_, кшіл, jčit_, --, 
   {{0x6d4198dd,0x7d1b00b0,0xdb020212,0xdb0046ce}},	//   _aula, dlus, _croû, lvmå, 
   {{0x6d4198de,0x6e943bbd,0x3da601bb,0x63a600ef}},	//   _bula, тику, ериб, _iskn, 
   {{0x6d4198df,0x4096836f,0xdb0b02a0,0x629e98e0}},	//   _cula, _прат, _orgâ, mepo, 
   {{0x629e98e1,0x6d4198e2,0xf8bf0019,0x61e100b0}},	//   lepo, _dula, rmék_, _ülla, 
   {{0xa2c400ea,0x6d4198e3,0xb09b00a7,0xc0e398e4}},	//   राप्, _eula, _צימר, _сотк, 
   {{0x7c220f58,0x6d4198e5,0x629e1a77,0x7e610102}},	//   _vzor, _fula, nepo, _gelp, 
   {{0x6d4198e6,0x7c220035,0x5cd6004f,0x7d1b6d09}},	//   _gula, _wzor, _підх, blus, 
   {{0x66090c05,0x7d1b98e7,0x629e98e8,0x6d4700d7}},	//   şekk, clus, hepo, _éjaa, 
   {{0x7c2208b1,0x6d4198e9,0xc7b80cfe,0x7e617210}},	//   _uzor, _zula, нёр_, _yelp, 
   {{0x629e22ad,0x66d0014e,0x00000000,0x00000000}},	//   jepo, _säkr, --, --, 
   {{0xa7fb0f97,0x659498ea,0xa2c40e0d,0x6d4112ed}},	//   paño, лару, रान्, _xula, 
   {{0x57b58b4b,0xf48400d3,0x752d0183,0x6aaa05c2}},	//   _абит, луун, umaz, _haff, 
   {{0x752d98eb,0x6aaa2245,0xd37120b4,0x629e0096}},	// [93b0] rmaz, _kaff, شها_, fepo, 
   {{0x6aaa98ec,0x629e98ed,0xadf100b0,0x2bb105ff}},	//   _jaff, gepo, _अइलन_, जिता, 
   {{0x073600d1,0x7d1b00f8,0x00000000,0x00000000}},	//   _שאתם_, ylus, --, --, 
   {{0x6d413c4c,0x98bd0237,0x00000000,0x00000000}},	//   _rula, _ouvč_, --, --, 
   {{0x6d4198ee,0xf77f027e,0x00000000,0x00000000}},	//   _sula, nuç_, --, --, 
   {{0x6d4198ef,0xa3ae05d2,0x629e98f0,0x6aaa0547}},	//   _pula, किर_, cepo, _naff, 
   {{0xf2d20138,0xdcfa0718,0x7d1b0077,0x6d41132c}},	//   _דעם_, _artı, tlus, _qula, 
   {{0xdb1b0183,0x7e616a1d,0x6d4198f1,0xb87b007a}},	//   rxuí, _welp, _vula, dhío, 
   {{0x7d1b98f2,0x7e6198f3,0x6aaa0547,0x6d4100d4}},	//   rlus, _telp, _baff, _wula, 
   {{0x6aaa98f4,0x7d1b98f5,0x9e67006b,0xccf800bc}},	//   _caff, slus, _سائن, _svět_, 
   {{0x7d1b98f6,0x6d4106e4,0x00000000,0x00000000}},	//   plus, _uula, --, --, 
   {{0x9f9b0080,0x6b7515bd,0xfd562737,0x629e18aa}},	//   päät_, _алду, _ישעי_, zepo, 
   {{0x9cd600d1,0x62951fe0,0x629e98f7,0x6aaa0ff2}},	//   _שונה_, _obzo, yepo, _faff, 
   {{0x6aaa98f8,0x2cad98f9,0x00000000,0x00000000}},	//   _gaff, lded_, --, --, 
   {{0xe73798fa,0x629e30e6,0x00000000,0x00000000}},	//   тер_, vepo, --, --, 
   {{0xa3ae05fd,0x2cad98fb,0x6aaa3c35,0x629e0026}},	//   किल_, nded_, _zaff, wepo, 
   {{0x934398fc,0xd70a03b7,0x6aaa0547,0x2cad1b8d}},	// [93c0] инте, _оние_, _yaff, ided_, 
   {{0xf1fa0881,0x8c3d09c7,0x69dc0bf7,0x00000000}},	//   وعات_, leşd, øreg, --, 
   {{0x629e98fd,0xcb12035c,0xa2c412e3,0x167700d1}},	//   repo, סלב_, राब्, _בגיל_, 
   {{0x629e98fe,0xdcfa00a4,0x290201d5,0x3d0b0083}},	//   sepo, _istħ, nnka_, हकों_, 
   {{0x2cad98ff,0xa0730451,0xdb0b022c,0xf8b3008d}},	//   dded_, ргіч, _orgà, ישא_, 
   {{0xc7d70056,0xf41300a7,0x63a41f65,0x00000000}},	//   כוני_, _כפר_, mwin, --, 
   {{0x6aaa9900,0x63a49901,0xb4db00f6,0x7d070028}},	//   _raff, lwin, _diàf, kūrę, 
   {{0xfd0f0038,0x2cbd0090,0x3fc6010e,0x00000000}},	//   يجي_, _cnwd_, _لگتی_, --, 
   {{0x63a49902,0x248401d5,0xda7a9903,0x7d070028}},	//   nwin, _ömmu_, мян_, dūrę, 
   {{0x63ab055f,0xb87b0038,0x6aaa040c,0x29020032}},	//   ægni, thío, _qaff, enka_, 
   {{0x63a49904,0xfbcf1fdb,0xc27b07e4,0x6aaa9905}},	//   hwin, متی_, וריי, _vaff, 
   {{0x6aaa9906,0x63a49907,0xcd36022a,0x3eac00c3}},	//   _waff, kwin, _شراب, _hadt_, 
   {{0x6aaa00a4,0x64430035,0xa49b0118,0x0a940528}},	//   _taff, śnik, _djòl, _балю, 
   {{0x29020083,0x00000000,0x00000000,0x00000000}},	//   anka_, --, --, --, 
   {{0x63a49908,0x19a70a31,0x69dc0453,0x00000000}},	//   ewin, _атып_, øred, --, 
   {{0xba3700d1,0x272402ae,0xa3ae0790,0x92af0033}},	//   _בטוח_, röna_, किं_, _ওকে_, 
   {{0x3949008b,0x63a49909,0x613a02d9,0xe5340eba}},	// [93d0] _časi_, gwin, _půln, реть, 
   {{0x24730029,0x43940b46,0x78ad990a,0x63a20e43}},	//   ệm_, рафс, _haav, çona, 
   {{0x45d586c7,0x7afd114e,0x78ad00c8,0x8c3d0241}},	//   _сонс, ésti, _kaav, leşe, 
   {{0x63a40727,0xf2df002e,0xc0ab0019,0x6b80045a}},	//   bwin, _atât_, بائل_, kumg, 
   {{0x747a00a7,0x78ad00b0,0x7f19012d,0xaed503bd}},	//   _אנרג, _maav, ніку_, лодш, 
   {{0x753d2197,0x3ebe990b,0x78ad990c,0x644d990d}},	//   _hisz, _cntt_, _laav, lcai, 
   {{0x753d0019,0xfc3f026e,0x2902990e,0x00000000}},	//   _kisz, žím_, ynka_, --, 
   {{0x644d990f,0xd0d400fd,0x3ae001be,0x6f6500d7}},	//   ncai, _косъ, _ròpa_, _مهرم, 
   {{0x2cad9910,0x644d9911,0x753d419f,0x2cb100d8}},	//   rded_, icai, _misz, ězd_, 
   {{0x62859912,0x9f35004e,0xfff60274,0x753d9913}},	//   ngho, _сезі, _حکمت_, _lisz, 
   {{0x5dd50740,0xa2c40367,0x644d016a,0x78ad01a3}},	//   _حقائ, रात्, kcai, _baav, 
   {{0x78ad0068,0x63a408b0,0x29020afc,0xdce701dd}},	//   _caav, ywin, unka_, ēlēj, 
   {{0x8cc00083,0x00000000,0x00000000,0x00000000}},	//   वारो, --, --, --, 
   {{0x99d50189,0x8c3d020f,0xf7435766,0x00000000}},	//   _متبا, geşe, серо, --, 
   {{0x63a4132f,0x660600fd,0x753d9914,0x00000000}},	//   wwin, упва, _bisz, --, 
   {{0x30ae0086,0x03a60cdf,0x78ad01b8,0x753d66a9}},	//   _কক্স, либо, _gaav, _cisz, 
   {{0x68e49915,0x63a401c8,0x798101a3,0x753d9916}},	// [93e0] _ilid, uwin, lulw, _disz, 
   {{0xa2c46a8d,0x63a40bf3,0x6aa1016a,0x644d0a69}},	//   राध्, rwin, nelf, acai, 
   {{0x394f002e,0x63a42680,0x35c403dc,0x68e400bc}},	//   _însă_, swin, _танҳ, _klid, 
   {{0x7455048a,0x600a012d,0x63a4039b,0x6aa19917}},	//   _върх, ннем_, pwin, helf, 
   {{0xa2c404cc,0x6aa19918,0x41a42dde,0x68e4018e}},	//   राद्, kelf, _गैरस, _mlid, 
   {{0x9f34004e,0x765c9919,0xe1660038,0x79819113}},	//   шелі, nbry, _مدري, kulw, 
   {{0x7d0d0f58,0x68e4991a,0x236700ef,0x5ce40176}},	//   časn, _olid, ćnje_, исиҷ, 
   {{0x7981025b,0x673e991b,0x3cd43c40,0x00000000}},	//   dulw, _lipj, ржис, --, 
   {{0x161618f2,0x7ae3084c,0xc0064003,0x09dc0110}},	//   _दुसर_, _blnt, _спак, मन्य, 
   {{0xbda600c5,0x78ad3356,0x68e4991c,0x6b80991d}},	//   _محصو, _saav, _alid, rumg, 
   {{0x7994058e,0x527b00c7,0x765c1950,0x78ad14aa}},	//   шинф, ענטא, dbry, _paav, 
   {{0x27e6991e,0x28af0a09,0x8c460a2b,0xe787991f}},	//   _żona_, _जोखि, _седе, луго, 
   {{0x69dc1341,0x8c3d5798,0x6d581a77,0x00000000}},	//   øreb, teşe, lpva, --, 
   {{0x79a600b3,0x78ad02a5,0x798101a3,0x00000000}},	//   _брие, _waav, bulw, --, 
   {{0x753d283a,0x78ad033d,0x7afa9920,0x163500c8}},	//   _pisz, _taav, mitt, ревя, 
   {{0x7afa9921,0x54559922,0x68e40139,0x69da11e6}},	//   litt, рват, _glid, myte, 
   {{0x753d006b,0x644d9923,0xe0200262,0x7afa0080}},	// [93f0] _visz, rcai, _बरगद_, oitt, 
   {{0x644d9924,0x7afa9925,0x657a007a,0x35f51988}},	//   scai, nitt, áthc, _впор, 
   {{0x753d006b,0x4394005e,0x62859926,0x69da9927}},	//   _tisz, _қарс, rgho, nyte, 
   {{0x7afa9928,0x6aa10b32,0xf8bf0212,0x00000000}},	//   hitt, zelf, mmés_, --, 
   {{0x938b9929,0x2b4600e7,0xddd000bc,0x087800c7}},	//   _ясна_, _nuoc_, _češt, רעדט_, 
   {{0xd9f60c46,0x6fb60148,0x60c00237,0x261a0c46}},	//   ुपात_, шҳур_, _enmm, _मुडी_, 
   {{0x7afa992a,0x24990065,0x6aa10657,0x00000000}},	//   ditt, _kbsm_, velf, --, 
   {{0xeb99992b,0x29090053,0x7d0d992c,0x6f1a02a5}},	//   вии_, _njaa_, časo, _ektc, 
   {{0xacc601bb,0xa7fb992d,0x798101b8,0x2b4600e7}},	//   ргыз_, bañi, wulw, _cuoc_, 
   {{0x7afa992e,0x2b46001b,0x26d30068,0xf8de031e}},	//   gitt, _duoc_, _noxo_, मस्प, 
   {{0xdeba035c,0x8a3800c8,0x98a901f2,0x68e40118}},	//   _שמעל, ляют_, _ghaċ_, _plid, 
   {{0x3c470084,0x6aa10691,0xab9500dd,0xa49b0237}},	//   _إضاف, self, _виді, _djòk, 
   {{0x39491c76,0xf746269c,0x7d04992f,0x81bd0033}},	//   _času_, рего, čist, েনি_, 
   {{0x69da9930,0x26d30183,0x7afa00fd,0x4b7a0070}},	//   byte, _coxo_, citt, _יאנו, 
   {{0x765c1654,0xa2c4048e,0x79810415,0x24f63acd}},	//   rbry, रास्, qulw, ачар, 
   {{0x81bd0086,0x765c9931,0x68e47636,0x2caf4f22}},	//   েনা_, sbry, _ulid, _jagd_, 
  
   {{0x26d30042,0x626602a0,0x394700b9,0x2348009c}},	// [9400] _foxo_, иваа, _huns_, اسری_, 
   {{0x42569932,0x39470876,0x26d301cf,0x2caf076d}},	//   ртат, _kuns_, _goxo_, _lagd_, 
   {{0x50660c67,0x867b00c7,0xc69300a7,0x767b00d1}},	//   атла, _בריו, _ואת_, _בטיח, 
   {{0xe7b31fdb,0xa2c40239,0x7afa9933,0xdc340032}},	//   _امید, राह्, zitt, _súči, 
   {{0x394709a1,0x44249934,0x213f0175,0xf8bf0096}},	//   _luns_, _ám_, _diuh_, omér_, 
   {{0xa2e60088,0xdd9a54ec,0x394000b0,0xf2df0023}},	//   _тогд, вши_, _liis_, _huân_, 
   {{0x39479935,0x7afa048d,0xf8bf026a,0xff5f009e}},	//   _nuns_, vitt, llée_, _çîn_, 
   {{0x3d109936,0x39404e3e,0xa2c40110,0x69da0235}},	//   ावें_, _niis_, राव्, vyte, 
   {{0x7afa9937,0x2b4600e7,0x644002aa,0x807b00d1}},	//   titt, _quoc_, _úmid, _שנמצ, 
   {{0xf2d300c7,0xf2df00e7,0x69da9938,0x6d589939}},	//   ַער_, _luân_, tyte, ppva, 
   {{0x7afa2c77,0x39470042,0x6f18993a,0x26d3114e}},	//   ritt, _cuns_, movc, _roxo_, 
   {{0x7afa993b,0x3949090e,0x39470496,0x6f18993c}},	//   sitt, _čast_, _duns_, lovc, 
   {{0xcb54024f,0x6d48993d,0x7afa993e,0x69da993f}},	//   _انتظ, _huda, pitt, syte, 
   {{0x6d489940,0x6f189941,0x3ce6006d,0xd7f89942}},	//   _kuda, novc, _hlov_, рую_, 
   {{0x998400eb,0x69da024a,0xddc3020f,0x26111126}},	//   _العو, qyte, manţ, _दुखी_, 
   {{0x6d4898ef,0x657a00eb,0xf8bf9943,0xdb0b01c4}},	//   _muda, átha, rmés_, _ergä, 
   {{0xc2995265,0x213f0ab1,0x26d30068,0xb2751cb8}},	// [9410] лках_, _riuh_, _toxo_, йлаш, 
   {{0xa2c43512,0x29199944,0x68fd9945,0xddc300d9}},	//   राष्, losa_, lisd, nanţ, 
   {{0x6f1840da,0x80cb017d,0x80c3009a,0x6d489946}},	//   dovc, _सचदे, ळाले, _nuda, 
   {{0x68fd92c7,0x112800dd,0xf8bf0107,0x00000000}},	//   nisd, аючи_, blée_, --, 
   {{0x38693f63,0x2d9e9947,0x291902a3,0x2489011d}},	//   _mear_, _apte_, iosa_, mgam_, 
   {{0x6d489948,0xef180904,0x38690038,0x3ae90032}},	//   _buda, амі_, _lear_, _kúpe_, 
   {{0x29192c50,0x6d489949,0xa2c40a7b,0x68fd2075}},	//   kosa_, _cuda, रार्, kisd, 
   {{0x6d48994a,0x24893ebd,0xf2df001b,0x3869994b}},	//   _duda, ngam_, _xuân_, _near_, 
   {{0x6d48994c,0x3940994d,0xcdc5994e,0xde59004f}},	//   _euda, _riis_, раққ, _базі_, 
   {{0x39406f38,0x764502bf,0x6d48994f,0xcac90b34}},	//   _siis_, _nghy, _fuda, угое_, 
   {{0x186a9950,0x29199951,0x38699952,0x00000000}},	//   лани_, fosa_, _bear_, --, 
   {{0xcd9600a7,0x38695fd4,0x29192b86,0x7bdb011c}},	//   _לדעת_, _cear_, gosa_, pyuu, 
   {{0xe8f79953,0x3940007e,0x69ce1143,0x38699954}},	//   сля_, _viis_, øber, _dear_, 
   {{0x7c2b03ef,0x6d48470f,0xddc300d9,0xdc3600c7}},	//   _izgr, _yuda, canţ, _פאסט_, 
   {{0x6d489955,0x39409956,0x649a3830,0x38699957}},	//   _xuda, _tiis_, лтар_, _fear_, 
   {{0x399168ab,0xf2df0029,0xa2da02e6,0x225f0372}},	//   más_, _quân_, पॉन्, _đuka_, 
   {{0x39910105,0xe29a111c,0xa3ab017d,0x2fdd0201}},	// [9420] lás_, лаа_, _कैद_, jywg_, 
   {{0x16aa9958,0x386901d6,0x7b1d022c,0xf8bf9959}},	//   _свои_, _zear_, cèut, rlée_, 
   {{0xe2970278,0x3869995a,0xf2df0023,0x3991737f}},	//   сах_, _year_, _tuân_, nás_, 
   {{0x6d48995b,0x4fea004e,0x92571753,0x3d210083}},	//   _ruda, лмен_, _ҳаёт_, मतों_, 
   {{0x6d48995c,0x351b0056,0xdefa01bb,0x6446012b}},	//   _suda, _תוכנ, лык_, _igki, 
   {{0x3ce6026e,0x39910019,0x7524995d,0x6e21995e}},	//   _slov_, kás_, lliz, _bylb, 
   {{0xfe6f1169,0x6f18995f,0x29199960,0x629c9961}},	//   ردو_, rovc, yosa_, _ibro, 
   {{0x3991006b,0x44220691,0x3b5413cc,0xcb5402a6}},	//   dás_, _kyk_, окир, овић, 
   {{0x64460ab1,0xddc3002e,0x6f186704,0x2ca43f5e}},	//   _mgki, tanţ, povc, remd_, 
   {{0x6d489962,0x4974269c,0x386901fd,0x2ca49963}},	//   _tuda, олос, _sear_, semd_, 
   {{0x629c01ee,0x44220691,0xddc300d9,0x39914d59}},	//   _mbro, _lyk_, ranţ, gás_, 
   {{0x23c800b0,0x7aef03a1,0x3ce69964,0x7afd0126}},	//   रमाद, èctr, _ulov_, éstr, 
   {{0xd7fb03a1,0x6c360109,0x3f860587,0x657a0038}},	//   уун_, _افشا, nuou_, áthn, 
   {{0x29199965,0x39910019,0xddc300ef,0x7b320035}},	//   sosa_, bás_, lanš, _głup, 
   {{0x29199966,0x1dbd1d00,0xf3ff019c,0x9afb00d1}},	//   posa_, ्मयत, _peão_, _תפוח, 
   {{0x44229967,0xddc300e0,0x75249968,0x24899969}},	//   _byk_, nanš, gliz, ugam_, 
   {{0x629c00a1,0x2489996a,0x6d421c16,0x7b1d03dd}},	// [9430] _bbro, rgam_, _mioa, pèut, 
   {{0x7524996b,0x3f860183,0x4422996c,0xdb098eab}},	//   aliz, duou_, _dyk_, rveç, 
   {{0x7524996d,0x66d00088,0x1a9b00c7,0x96030033}},	//   bliz, _näky, ריבע, _এরকম_, 
   {{0xddc3008b,0x629c01d6,0x63ae0080,0x7c2202a5}},	//   janš, _ebro, ännä, _oyor, 
   {{0x3991006b,0x7c22996e,0x7f49318d,0xe0d00816}},	//   zás_, _nyor, _queq, عزم_, 
   {{0x8d551e6e,0xb87b8ef0,0x3991039f,0x00000000}},	//   отич, chív, yás_, --, 
   {{0xc05b005e,0x6d42996f,0xed599970,0x63bd016a}},	//   _біз_, _bioa, шой_, _hrsn, 
   {{0x7cfe5e03,0x6d429971,0x63bd0571,0x63bb003d}},	//   tūra, _cioa, _krsn, _ġunj, 
   {{0x69dc155b,0x4fc76019,0x63bb0613,0x78a6010e}},	//   øren, _усва, _šunj, vekv, 
   {{0x39919972,0x7c22137f,0x7aa505f3,0x0b160038}},	//   tás_, _dyor, циоз, يقية_, 
   {{0x3ea79973,0xa9690886,0x75240035,0x7c2202a5}},	//   ment_, јима_, yliz, _eyor, 
   {{0x2d879974,0x3ea014f0,0x3ea79975,0x6d429976}},	//   mune_, đite_, lent_, _gioa, 
   {{0x7c22006b,0x7d240088,0x7c2b8bd8,0x7d099977}},	//   _gyor, _эффе, _uzgr, mnes, 
   {{0x44220876,0xfaa20161,0x7d1b9978,0x613102ae}},	//   _ryk_, _жашо, lous, låld, 
   {{0x3ea7026d,0x7d099979,0x2d873c4c,0xba390070}},	//   ient_, ones, nune_, _דײַט, 
   {{0x7d1b997a,0xe45a02c4,0x3ea7997b,0x75240053}},	//   nous, ржа_, hent_, uliz, 
   {{0x3ea7997c,0x7524486e,0x2d87997d,0x7d09997e}},	// [9440] kent_, rliz, hune_, ines, 
   {{0x2d87997f,0x3ea79980,0x63bd16fb,0x75240647}},	//   kune_, jent_, _drsn, sliz, 
   {{0x3ea79981,0x2d8749f7,0x7d1b5b87,0x7d099982}},	//   dent_, june_, kous, knes, 
   {{0x4fc6058b,0x3f860c74,0xa99a00c7,0x2d87916b}},	//   жска, tuou_, יבער, dune_, 
   {{0x7d1b03da,0xddc30097,0xbba82414,0x5e5800c8}},	//   dous, vanš, _कनेक, биля_, 
   {{0x3ea70a3f,0x1c1d0077,0x2d87343f,0x7d099983}},	//   gent_, _पड़ल_, fune_, enes, 
   {{0xf987024f,0x30760f5a,0x2d879984,0xe8010035}},	//   _تب_, _муас, gune_, _लेना_, 
   {{0x7d1b9985,0x61e30664,0x00000000,0x00000000}},	//   gous, ønle, --, --, 
   {{0x3ea79986,0xcb0a36a1,0xe7a90035,0x6d42020f}},	//   bent_, иход_, _चैंप, _vioa, 
   {{0x3ea75188,0x21269987,0x7d099988,0x3ae00118}},	//   cent_, lloh_, anes, _kòpi_, 
   {{0x2d879989,0x395812d8,0x6e9300d4,0x7d1b998a}},	//   cune_, ërs_, _آلما, bous, 
   {{0x7d1b998b,0xeb9a0906,0x6d5a614c,0x6ec201a4}},	//   cous, _вид_, _itta, लाकु, 
   {{0x776200ad,0x5ead0033,0x7c220027,0x8c3d0241}},	//   _çoxl, চারে, _uyor, neşl, 
   {{0x3f500029,0x61310310,0x7d00998c,0xb33b019c}},	//   _màu_, måle, lims, _opça, 
   {{0xd5b8185b,0xfc3f031e,0xb4db00b9,0xee2e128b}},	//   ост_, žít_, _diàn, ннi_, 
   {{0x3ea7998d,0x7d007428,0x63bd1757,0xddc11ad8}},	//   zent_, nims, _prsn, _jelš, 
   {{0x9647011f,0x3ea7998e,0x4394998f,0x2d8700b4}},	// [9450] _мэнд, yent_, матс, zune_, 
   {{0x7d099990,0x6d5a3b3f,0xd25b9991,0x63bd1993}},	//   znes, _otta, рца_, _vrsn, 
   {{0x3ea72376,0x7d009992,0x6d5a02a5,0x2d8700b4}},	//   vent_, kims, _ntta, xune_, 
   {{0x76550035,0x7d1b0068,0x3ea72482,0x7cfe0028}},	//   lczy, xous, went_, dūro, 
   {{0x6d5a529f,0x7d09403a,0x98c6034c,0x3ea79993}},	//   _atta, vnes, šući_, tent_, 
   {{0x2d879994,0x643a0137,0x63ad2d32,0x059600d4}},	//   tune_, _לערנ, mwan, _بایگ, 
   {{0x63ad9995,0x7d1b9996,0x3ea752bd,0x69dc03a9}},	//   lwan, tous, rent_, ørel, 
   {{0x3ea79997,0x2d879998,0x290b0082,0x63ad9999}},	//   sent_, rune_, jnca_, owan, 
   {{0xff53247b,0x7d1b999a,0x63ad999b,0x6d5a0298}},	//   _آخر_, rous, nwan, _etta, 
   {{0x63a0022b,0xdd00002a,0x7d098aab,0x2d87999c}},	//   _ämne, ētāj, snes, pune_, 
   {{0x63ad999d,0x7d1b49dc,0x49900019,0x3a250eba}},	//   hwan, pous, نیور, ямог, 
   {{0x63ad5cf0,0x7aea999e,0x39440219,0x8c3d027e}},	//   kwan, _elft, öms_, leşm, 
   {{0x63ad999f,0x7cee00a1,0xa3ab00aa,0xb4db01be}},	//   jwan, _dùrd, _कैल_, _piàn, 
   {{0x63ad0204,0x290b99a0,0xe73a0665,0x68ef00a1}},	//   dwan, anca_, сег_, ahcd, 
   {{0x1dbd0773,0x09e55a50,0xd62a99a1,0x63ad99a2}},	//   ्मित, _хойн, сове_, ewan, 
   {{0x63ad99a3,0xf8bf99a4,0x00000000,0x00000000}},	//   fwan, llén_, --, --, 
   {{0x63ad99a5,0x00000000,0x00000000,0x00000000}},	// [9460] gwan, --, --, --, 
   {{0x290299a6,0x78b664be,0x1dbd2a2c,0xb87b0038}},	//   lika_, _hayv, ्मात, bhís, 
   {{0xb87b655f,0x5ba807d5,0x6b890126,0x63ad0539}},	//   chís, _कन्व, hueg, awan, 
   {{0x290299a7,0x63ad7517,0x26da99a8,0x5a0c0070}},	//   nika_, bwan, _hopo_, סלאַ, 
   {{0x6b890033,0x26da0194,0x212699a9,0x63ad01b8}},	//   jueg, _kopo_, rloh_, cwan, 
   {{0x290299aa,0x7cfe012d,0x26da0548,0xbd6a01d7}},	//   hika_, tūro, _jopo_, брие_, 
   {{0x290299ab,0x6aa800fb,0x26da99ac,0x7d0099ad}},	//   kika_, vedf, _mopo_, tims, 
   {{0xe0550f1c,0x3f50001b,0x290299ae,0x0caa1d05}},	//   _قیمت_, _tàu_, jika_, стки_, 
   {{0x29024cb9,0x7f4a0a24,0x3f670141,0xddc17e82}},	//   dika_, _طلاق_, _нито_, _velš, 
   {{0x613103a9,0x26da00d7,0xddc9107c,0x59b00083}},	//   råle, _nopo_, _înşa, _जनदर, 
   {{0x290299af,0x6d5a14cf,0xbc6a00d4,0xfbcf13b4}},	//   fika_, _utta, _همان_, نتی_, 
   {{0x63ad006a,0x76550035,0xada601a2,0x00000000}},	//   ywan, wczy, _маҷл, --, 
   {{0xb4db03a1,0x26da011c,0x78b60054,0x612300c2}},	//   _diàl, _bopo_, _dayv, põlv, 
   {{0xa3c20f01,0xa3c0047c,0x96d8047c,0x26da0165}},	//   ्मन_, ंटन_, नॉलॉ, _copo_, 
   {{0x26da048a,0xcb130137,0x29024af2,0x76550035}},	//   _dopo_, _אלס_, bika_, rczy, 
   {{0xe81e0b3e,0x290299b0,0xa4d4012d,0x391501fc}},	//   _युवा_, cika_, носі, _імпр, 
   {{0xa87c0056,0x2bb100a5,0x68ed01ff,0x316a02b0}},	// [9470] _האחר, ड़िया, _ilad, _awbz_, 
   {{0x63ad099d,0x6eef0022,0xa2c40df2,0x6746020b}},	//   rwan, _købe, राग्, ľujú, 
   {{0x68ed99b1,0x63ad0364,0x6b8901ca,0xe801093a}},	//   _klad, swan, zueg, _लेता_, 
   {{0xf1c000f7,0x2eec0126,0x6eef01e8,0x63ad672f}},	//   ương_, _aldf_, _møbe, pwan, 
   {{0x68ed020b,0x6eef01cc,0x63ad3c75,0x93c70474}},	//   _mlad, _løbe, qwan, _brăţ, 
   {{0x68ed99b2,0xeae70033,0x10140535,0xad59672e}},	//   _llad, _পদ্ম, ربند, орих_, 
   {{0xfe700b59,0x29027517,0x68ed02f1,0x533499b3}},	//   اده_, yika_, _olad, _черт, 
   {{0x290299b4,0x6b8901d6,0x00000000,0x00000000}},	//   xika_, tueg, --, --, 
   {{0x2d8a055f,0x1dbd02e6,0x394e0380,0x60c999b5}},	//   _åben_, ्महत, _aufs_, _inem, 
   {{0x68ed99b6,0xa91d0228,0x29020204,0xe57801dd}},	//   _alad, buľk, wika_, šķi_, 
   {{0x290298d5,0x68ed0b22,0x6f0399b7,0x60db0cd7}},	//   tika_, _blad, minc, _koum, 
   {{0x68ed99b8,0xe45f0219,0x60db03a0,0x26da5fee}},	//   _clad, _snön_, _joum, _sopo_, 
   {{0x26da99b9,0xf8bf001d,0x60db0106,0x6b8906a5}},	//   _popo_, plén_, _moum, queg, 
   {{0x68ed99ba,0x290299bb,0x161f00a5,0x6f0399bc}},	//   _elad, sika_, _मुहर_, ninc, 
   {{0xceb21900,0xf74316f4,0x60c999bd,0x290299be}},	//   כים_, теро, _onem, pika_, 
   {{0x60db31ab,0x6f0300a3,0x60c90539,0xa3ea09f9}},	//   _noum, hinc, _nnem, одба_, 
   {{0x26da99bf,0x6f0302f1,0x291202b8,0xa50799c0}},	// [9480] _topo_, kinc, _ijya_, фета_, 
   {{0x60c999c1,0x26da0036,0x68ed99c2,0x6f03782f}},	//   _anem, _uopo_, _zlad, jinc, 
   {{0x6f0399c3,0x2b47737e,0x68ed01ff,0x6456011c}},	//   dinc, _minc_, _ylad, pcyi, 
   {{0x61e30c85,0x2360012e,0x2b470156,0x00000000}},	//   ønla, ppij_, _linc_, --, 
   {{0x4f57143f,0x60db3076,0x6f030e82,0x00000000}},	//   وجود_, _doum, finc, --, 
   {{0x93461afd,0x60c999c4,0xd00f17bc,0xa3c2122c}},	//   _інве, _enem, جله_, ्मठ_, 
   {{0x1ea900eb,0x409699c5,0x2736055f,0x290000c8}},	//   ثاني_, _орат, mænd_, _omia_, 
   {{0x629e0c0c,0x60db06df,0x2d800228,0xfb8802f1}},	//   lfpo, _goum, čie_, проқ_, 
   {{0x6f030348,0x2aaa99c6,0xd0071ab1,0x2b470090}},	//   binc, отно_, _жете_, _binc_, 
   {{0x68ed4356,0x2b4700d3,0x60db045a,0x29120199}},	//   _slad, _cinc_, _zoum, _ajya_, 
   {{0x6d5e08d7,0x68ed0022,0x60db02c5,0xe8950009}},	//   ípad, _plad, _youm, нань, 
   {{0x80e000cc,0x63a610f3,0x6ba702ae,0x2a690372}},	//   পোর্, _opkn, örgå, _đabe_, 
   {{0x68ed034c,0x59b037c0,0x274b004f,0x995700de}},	//   _vlad, _जनवर, ючно_, _váše_, 
   {{0x68ed99c7,0x2900084c,0x7bc20027,0x00000000}},	//   _wlad, _emia_, _irou, --, 
   {{0x442d29b6,0xb60414d3,0x645a00b3,0x659400d3}},	//   _še_, вятк, _ştia, кару, 
   {{0x399899c8,0x7bc200bc,0x6ab842ed,0x68ed99c9}},	//   més_, _krou, _havf, _ulad, 
   {{0xe667015b,0x399854bd,0x6f0399ca,0x6e2801e8}},	// [9490] _отно, lés_, yinc, _lydb, 
   {{0x3f86069f,0x35b599cb,0x394999cc,0x60db99cd}},	//   drou_, _збор, _hias_, _soum, 
   {{0x6f037600,0x39985b77,0xa2c4203f,0x60db2890}},	//   vinc, nés_, राज्, _poum, 
   {{0x301599ce,0x6f0399cf,0x4f9500d9,0x00000000}},	//   ндер, winc, ерку, --, 
   {{0x3f860c74,0x394999d0,0x3998026a,0x60db0068}},	//   grou_, _mias_, hés_, _voum, 
   {{0x3949023b,0x8ca100ab,0x399899d1,0x6ab899d2}},	//   _lias_, क्नो, kés_, _navf, 
   {{0x6f030972,0x7bc299d3,0xada581ed,0x60db99d4}},	//   rinc, _arou, хайл, _toum, 
   {{0x3949006f,0x399899d5,0x6f0399d6,0x3f8699d7}},	//   _nias_, dés_, sinc, brou_, 
   {{0x0b4500cf,0xa2c400a2,0x7bc299d8,0xe0d20070}},	//   ннин, राच्, _crou, _גײן_, 
   {{0xa3c20aac,0x301400b3,0x394900c2,0x8c3d0241}},	//   ्मत_, _рдур, _aias_, neşi, 
   {{0x39495145,0x399899d9,0x2b470641,0x5c93049b}},	//   _bias_, gés_, _vinc_, _алеӂ, 
   {{0x7bc299da,0xf8bf0076,0x394999db,0x8d8400b9}},	//   _frou, blém_, _cias_, _шууд, 
   {{0x394999dc,0x7bc299dd,0x2b4700d3,0x9986015e}},	//   _dias_, _grou, _tinc_, čiše_, 
   {{0xfbd0006b,0x399899de,0x2cad545f,0xf6260097}},	//   _ختم_, bés_, leed_, едго, 
   {{0x18a6125c,0x64a66f7a,0x35a399df,0x39980161}},	//   _займ, нава, ларг, cés_, 
   {{0x2d870a75,0x2cad02a3,0x290099e0,0x69c3007b}},	//   irne_, need_, _umia_, _irne, 
   {{0x6b9b99e1,0xccf200c7,0xa9a302f1,0x81dd0033}},	// [94a0] ntug, אכן_, _чиқд, _তেল_, 
   {{0x6ab802f1,0x3949023b,0x3f860326,0x69c3133e}},	//   _xavf, _zias_, vrou_, _krne, 
   {{0x3949023b,0x008602be,0xd012010e,0x2cad00bd}},	//   _yias_, елео, گلش_, keed_, 
   {{0xa3c200a5,0x705300c5,0x3f8699e2,0x39490201}},	//   ्मद_, هنما, trou_, _xias_, 
   {{0x3998006b,0x2d8799e3,0x78a499e4,0x2cad00d1}},	//   zés_, erne_, _mbiv, deed_, 
   {{0x3998026a,0x7bc4012d,0x3f8699e5,0xdd901117}},	//   yés_, _šiuo, rrou_, لوت_, 
   {{0xf9871930,0xc69300c7,0x22570216,0x399899e6}},	//   _حب_, טאג_, şekî_, xés_, 
   {{0x61461829,0x61431ab5,0x7cee00a1,0xc19b07e4}},	//   _чеба, _беса, _bùra, _משלי, 
   {{0x02e40f63,0xdccf0029,0x394999e7,0x69c399e8}},	//   _गवाह_, _tỉnh_, _rias_, _arne, 
   {{0x399899e9,0x7bc21f3a,0x93fb035c,0x78a499ea}},	//   tés_, _vrou, פליי, _abiv, 
   {{0x0d860715,0x394999eb,0x69c30082,0x236700ef}},	//   _член, _pias_, _crne, ćnji_, 
   {{0x399899ec,0xa3c229b0,0xfc641fdb,0x7bc299ed}},	//   rés_, ्मा_, _شخصی, _trou, 
   {{0x399899ee,0x394999ef,0x69c32027,0x1ab428fb}},	//   sés_, _vias_, _erne, _абля, 
   {{0x8c4399f0,0x399899f1,0x78a401a3,0x7cfe0e0b}},	//   _сече, pés_, _ebiv, dūri, 
   {{0x39490e0c,0x62830634,0x2d9c010e,0x6d5c0151}},	//   _tias_, ónom, ntve_, _érad, 
   {{0x8c3d010c,0x81d60033,0x61e500da,0x612a01d5}},	//   weşi, িনা_, vyhl, býli, 
   {{0x7d0200ef,0x69c30144,0x473541a5,0x00000000}},	// [94b0] _mmos, _zrne, _инис, --, 
   {{0x78bd050f,0x78a4268a,0x2d8e00ef,0x3eae0082}},	//   ldsv, _zbiv, kufe_, jeft_, 
   {{0x7d0299f2,0x8c3d99f3,0x00000000,0x00000000}},	//   _omos, reşi, --, --, 
   {{0x823417c1,0x78bd0a19,0xd47900c7,0x62950035}},	//   اركا, ndsv, _קאָל, _wczo, 
   {{0x78bd0d2d,0x752d99f4,0x7d0701e5,0xe9ff0023}},	//   idsv, mlaz, _lèrè, _khải_, 
   {{0x7d0299f5,0x752d99f6,0x2d871dba,0x7cee00a1}},	//   _amos, llaz, trne_, _rùra, 
   {{0x30a799f7,0x62347f32,0x2cad7596,0x2d8799f8}},	//   _прав, _беру, teed_, urne_, 
   {{0x6b9b99f9,0x7cf500e9,0x09e40086,0x78bd99fa}},	//   ttug, _márg, _ফেভা, jdsv, 
   {{0x2cad99fb,0x69dc6ed1,0xe80105e5,0x78af00b3}},	//   reed_, ären, _लेला_, decv, 
   {{0x6b9b99fc,0x7d07011c,0x38724cd8,0x2cad99fd}},	//   rtug, _bèrè, _seyr_, seed_, 
   {{0x3f8f99fe,0x6b9b99ff,0x2d9c0032,0x7bcd0028}},	//   lugu_, stug, ctve_, _šaud, 
   {{0xa3d1031e,0x69c30352,0x7d07009c,0xf1b20070}},	//   वमा_, _vrne, _dèrè, בסט_, 
   {{0xca7700f0,0x3f8f4f36,0x442b9a00,0x7988123b}},	//   _пәні_, nugu_, _nyc_, ardw, 
   {{0x6d4b9a01,0x6b8980a6,0x6f0d0038,0x645d3432}},	//   _higa, mreg, éach, _afsi, 
   {{0x3f8f099d,0x6d4b9a02,0x752d3e53,0x7cf50183}},	//   hugu_, _kiga, flaz, _cárg, 
   {{0x6d4b9a03,0x3f8f01a3,0xc4831d75,0x7cfe6d9d}},	//   _jiga, kugu_, илск, tūri, 
   {{0x6d4b9a04,0x0326221b,0x69c19a05,0x442b00e2}},	// [94c0] _miga, вдан, lvle, _cyc_, 
   {{0x6d4b9a06,0x394a026e,0x3f8f8ae7,0x03a386bb}},	//   _liga, _časy_, dugu_, рифо, 
   {{0xe2973558,0x752d9a07,0x7cf5001d,0x6d4b8820}},	//   тах_, blaz, _gárg, _oiga, 
   {{0x6b89012e,0x21670b46,0x6d4b9a08,0x55770070}},	//   kreg, тици_, _niga, _בעטן_, 
   {{0xa85700a7,0x3f8f9a09,0x75249a0a,0x602300c8}},	//   דינה_, gugu_, moiz, адца, 
   {{0x6b899a0b,0x57fb00a7,0x7d020036,0x2d8e9a0c}},	//   dreg, ולנו, _smos, tufe_, 
   {{0x6d4b9a0d,0x7bc0006d,0x3eae9a0e,0x6b89123b}},	//   _biga, wvmu, reft_, ereg, 
   {{0x6b899a0f,0x6d4b22d5,0x2d8e0380,0x2a690372}},	//   freg, _ciga, rufe_, _đaba_, 
   {{0x6d4b33e8,0x6b899a10,0x2d9c9a11,0x28d6058c}},	//   _diga, greg, stve_, धानि, 
   {{0x61310750,0x752d9a12,0x6ef400a1,0x6d4b947b}},	//   håll, zlaz, _bàbe, _eiga, 
   {{0xa2c30cbd,0x6d4b2f96,0xddda010e,0x752401ca}},	//   रयत्, _figa, _tető, koiz, 
   {{0x6d4b1272,0x7cf504b3,0x92ae0086,0x3ea9044e}},	//   _giga, _cárd, কায়_, đate_, 
   {{0xe9ff00f7,0x7cf5010e,0x78bd0075,0xb8fb02ff}},	//   _phải_, _sárg, rdsv, _डच_, 
   {{0x6d4b9a13,0x65958763,0xdb070379,0x7d07307d}},	//   _ziga, лагу, ôlôj, _tèrè, 
   {{0x09e30aa3,0x35e4012d,0x6d4b0610,0x7524023a}},	//   _војн, ацтв, _yiga, foiz, 
   {{0x6d4b03da,0xc9832ef9,0x6d4e0107,0x2d5101f2}},	//   _xiga, _туши, _ébau, _eġew_, 
   {{0x6d400088,0xe9ff00e7,0x752d00b4,0x00000000}},	// [94d0] imma, _thải_, rlaz, --, 
   {{0x752d8843,0x7cf50019,0x8c3d00d9,0x7bdf8f95}},	//   slaz, _tárg, meşt, _àque, 
   {{0x2247074b,0x8c3d271b,0x2d580107,0x2ca600a3}},	//   änk_, leşt, _née_, _obod_, 
   {{0xf8bf9a14,0x3f8f9a15,0x6601003e,0x2d950258}},	//   ndé_, tugu_, úlku, ҳрис, 
   {{0x6d4b9a16,0x7084005e,0x8c3d97e6,0x8fa5088a}},	//   _riga, ргіз, neşt, уале, 
   {{0x6d4b34c4,0x7e7800e0,0x539a042c,0x3f8f8b38}},	//   _siga, gavp, _אישו, rugu_, 
   {{0x81d40a27,0xdcef0082,0x6d4b9a17,0x6b8901d2}},	//   _корх, _žeđa, _piga, wreg, 
   {{0x6b893ba5,0x6d4b00a3,0x7cee01be,0x7cfe0028}},	//   treg, _qiga, _dùro, kūru, 
   {{0x6d4b9a18,0x1b494cd5,0x74c50033,0x7bcd0243}},	//   _viga, нзии_, _একাউ, _šaub, 
   {{0x6b899a19,0xe9d91ed1,0x6d4b00d4,0x7cf5069a}},	//   rreg, еко_, _wiga, _sárd, 
   {{0x6d4b9a1a,0x7c2b00ab,0x613802d9,0x39469a1b}},	//   _tiga, _wygr, síle, лног, 
   {{0x6b890c1f,0x69c15e24,0x00000000,0x00000000}},	//   preg, rvle, --, --, 
   {{0x7d099a1c,0x75249a1d,0x69c10876,0x3ced006d}},	//   mies, voiz, svle, mkev_, 
   {{0x2499012b,0x2cbf007e,0x7cf500bc,0xaab700bd}},	//   _acsm_, ldud_, _dáre, _असिक, 
   {{0xe7370093,0x69dc1494,0x765c0054,0x8c250033}},	//   уер_, øret, rcry, মেশন_, 
   {{0x7d099a1e,0xa3c0047c,0xf992035c,0x2cbf00b0}},	//   nies, ंटल_, _הרה_, ndud_, 
   {{0x42ca0623,0x4ab702f8,0x75249a1f,0x8c3d00b3}},	// [94e0] нган_, _असाव, roiz, ceşt, 
   {{0xe2979a20,0x2cbd023b,0x7d099a21,0x7bc40009}},	//   лау_, _lawd_, hies, _šiuk, 
   {{0x869b0111,0xea7600c7,0xdb090183,0x8cb8017d}},	//   _אייז, רגער_, nveñ, ्यमो, 
   {{0x2cbd0201,0x6ae0031e,0x50ba0629,0x3ced006f}},	//   _nawd_, _पक्र, عداد_, jkev_, 
   {{0xdee65316,0x7d099a22,0xdfd400f0,0xe6121c03}},	//   лоди, dies, ролы, _خشک_, 
   {{0x2d80002a,0x3f5900b9,0x00000000,0x00000000}},	//   ņiem_, _dèu_, --, --, 
   {{0x7d099a23,0xc6930486,0xd1320038,0x91e32f32}},	//   fies, צאה_, _همس_, _лоре, 
   {{0x7d099a24,0x3ced006d,0x00000000,0x00000000}},	//   gies, gkev_, --, --, 
   {{0x4e96057f,0x7cf5014a,0x6d400175,0x212602a2}},	//   _مشار, _bárb, rmma, mooh_, 
   {{0x8c3d00d9,0x21260089,0xd00f1897,0x9f46023e}},	//   veşt, looh_, _علل_, kyoé_, 
   {{0x7d099a25,0x39151ede,0x6eef01e8,0x28f99a26}},	//   bies, имор, _møbl, вень_, 
   {{0x8c3d002e,0x3ebe00dd,0x7d099a27,0x2ca69a28}},	//   teşt, _hatt_, cies, _ubod_, 
   {{0xead40504,0x3ebe9a29,0xf8bf9a2a,0x6c7b0070}},	//   _воль, _katt_, rdé_, _טראד, 
   {{0x8c3d002e,0x38602edb,0xbb830038,0x2606009a}},	//   reşt, _efir_, _الوي, _हेही_, 
   {{0x8c3d002e,0x4a5b035c,0x858816d0,0x7e57008d}},	//   seşt, _אדוו, лёта_, רסלב_, 
   {{0x628a0634,0xdb1901c4,0xa99b00d1,0xa3c20ca0}},	//   ófon, _erwä, _נבחר, ्मं_, 
   {{0xb2752d60,0x00000000,0x00000000,0x00000000}},	// [94f0] илаш, --, --, --, 
   {{0x7d0905e4,0x3ebe14cf,0x00000000,0x00000000}},	//   zies, _natt_, --, --, 
   {{0x3860010d,0xa2c900a2,0x66280098,0x611c1a01}},	//   _yfir_, _होण्, čské, zčle, 
   {{0x290b171a,0x7cf50019,0x43959a2b,0xb4db00b9}},	//   nica_, _márc, _камс, _ciàt, 
   {{0x7d099a2c,0x3ced006d,0x248e02d9,0x69dc0080}},	//   vies, vkev_, íjmů_, ärej, 
   {{0x23690267,0x7d099a2d,0x2cbd006d,0xb4db01fd}},	//   mpaj_, wies, _sawd_, _bhàg, 
   {{0x7d099a2e,0x1dc504cc,0x3ebe25f2,0xd2290038}},	//   ties, विधत, _datt_, _شكره_, 
   {{0x3b8500cf,0xa2c900a2,0x44390144,0x00000000}},	//   алиг, _होत्, _kzs_, --, 
   {{0x6e951947,0x3ebe003d,0x3ced16fb,0xce9501a2}},	//   _визу, _fatt_, rkev_, _вазъ, 
   {{0x7d099a2f,0x7cf58767,0x3ebe00c3,0xb6080098}},	//   sies, _bárc, _gatt_, noší, 
   {{0x290b9a30,0x7cf50503,0x186a11ce,0x7d099a31}},	//   fica_, _cárc, кани_, pies, 
   {{0x61fa0077,0x6fdc0086,0xdb090042,0x44394f1c}},	//   _ütle, _মেয়ে, rveñ, _ozs_, 
   {{0x083640f2,0x69dc08bb,0x3ebe00e2,0x44390604}},	//   рхня, ører, _yatt_, _nzs_, 
   {{0xe73a38f2,0x290b020f,0x00000000,0x00000000}},	//   тег_, aica_, --, --, 
   {{0x7ae3057f,0x649a9a32,0xd62a9a33,0xa5460038}},	//   _iont, ктар_, тове_, لضرو, 
   {{0x05553ffa,0x7ae39a34,0xb4669a35,0x446668e3}},	//   стря, _hont, ркал, рвав, 
   {{0x4256088a,0xdbd90165,0xe3ba9a36,0x7306037a}},	// [9500] атет, _açúc, ъба_, апаз, 
   {{0x8ccc006a,0x68e41eab,0x577b00c7,0x44390455}},	//   _दोनो, _hoid, _שטיצ, _dzs_, 
   {{0x3ebe1226,0x68e49a37,0x6ef401fd,0x98da3355}},	//   _ratt_, _koid, _nàba, _बचाए, 
   {{0x7ae39a38,0x3ebe9a39,0x2bb6000d,0x68e400c8}},	//   _lont, _satt_, _अनला, _joid, 
   {{0x3ebe007b,0x684a0028,0xa2cd01a4,0x44390121}},	//   _patt_, būdž, साख्, _gzs_, 
   {{0x7ae350d6,0x290b002e,0xdfcf00eb,0x68e401c5}},	//   _nont, zica_, بيه_, _loid, 
   {{0x6ef401f5,0xb4db00a1,0x290b9a3a,0x44399a3b}},	//   _càba, _tiàt, yica_, _zzs_, 
   {{0x290b09a1,0x7ae30544,0x3ea0031e,0x62830377}},	//   xica_, _aont, řit_, ónov, 
   {{0x7ae30194,0x60c29a3c,0x3ebe00dd,0x2eb67080}},	//   _bont, mdom, _tatt_, _всес, 
   {{0x60c09a3d,0x60c2012d,0x68e41bf0,0x8f9b0486}},	//   _hamm, ldom, _aoid, _בימי, 
   {{0x7ae39a3e,0x68e49a3f,0x325700d1,0x68f618ad}},	//   _dont, _boid, יסים_, _blyd, 
   {{0x68e40496,0x60c09a40,0x68f635b8,0x60c2163a}},	//   _coid, _jamm, _clyd, ndom, 
   {{0xe801322d,0xeb97464a,0x68e40165,0x4bd7009c}},	//   _लेखा_, _вич_, _doid, _نبود_, 
   {{0xbb431329,0x6b820027,0x7bdf7461,0x8c47009e}},	//   _дечк, _ivog, _àqua, _weşî, 
   {{0xe5c42207,0x5bb60527,0xbbb605f6,0x60c29a41}},	//   осто, _अनुव, _अनुक, kdom, 
   {{0x2fc603ef,0x9875620e,0x60c09a42,0xb4c1007e}},	//   kvog_, _улиц, _namm, ंये_, 
   {{0x56950d38,0x7cf5010e,0x335800b3,0xa6ca0104}},	// [9510] _лапт, _jára, иатэ_, _chаs, 
   {{0x60c2865b,0x32671030,0x613114a4,0xb4db00a1}},	//   edom, ртав, måli, _piàs, 
   {{0xb4db9a43,0xc3480093,0x65191c03,0x60c001a3}},	//   _diàr, ряте_, _مقدس_, _bamm, 
   {{0x6b8202f5,0x60c20dcb,0x60c09a44,0x26c107d7}},	//   _ovog, gdom, _camm, _haho_, 
   {{0x7cf5143b,0x60c00be0,0xf8bf9a45,0x26c107d7}},	//   _nára, _damm, llés_, _kaho_, 
   {{0xaf0400dd,0x60c20035,0xeb9901a2,0x629c007a}},	//   опіл, adom, ҳии_, _gcro, 
   {{0x7ae39a46,0x6b8203da,0x29090088,0x645a00d9}},	//   _ront, _avog, _omaa_, _ştii, 
   {{0xeb99536e,0x69c501d5,0x6b820604,0xdb004ff4}},	//   гии_, _áhei, _bvog, ltmè, 
   {{0x7ae39a47,0x69ca02bf,0xb4db01be,0x6f0d007a}},	//   _pont, _arfe, _ghàe, éacs, 
   {{0x6b82034c,0x26c1024d,0x68e49a48,0x60c09a49}},	//   _dvog, _naho_, _soid, _zamm, 
   {{0x68e49a4a,0x7ae39a4b,0x60c00539,0x2ba9007e}},	//   _poid, _vont, _yamm, _कहवा, 
   {{0x7ae3182b,0x26d303da,0x673e00e5,0x68e402f1}},	//   _wont, _anxo_, _shpj, _qoid, 
   {{0x7ae39a4c,0x68e40088,0x6b65424b,0x69ca15e9}},	//   _tont, _void, _укла, _erfe, 
   {{0x7afa60e4,0x60c29a4d,0xc5b700b9,0x29090175}},	//   chtt, zdom, өрсө, _emaa_, 
   {{0xf8bf128a,0x9985361f,0xa2db1202,0xd94607f9}},	//   glés_, _البو, नान्, _леки, 
   {{0x6ab70c59,0xf8c6014b,0xa5070229,0xe8f60499}},	//   _असुर, _šéfa_, беса_, _دستخ, 
   {{0x60c01ec7,0x7cfc006b,0x04431acb,0xb4db00a1}},	// [9520] _ramm, _férf, зетн, _bhàb, 
   {{0x60c00cac,0x212d00c5,0x7bcb0304,0xb4db01be}},	//   _samm, _akeh_, _mrgu, _chàb, 
   {{0x3940006d,0xe3b2009c,0xb4db022c,0x28a509ec}},	//   _khis_, _کرج_, _viàr, ग्वि, 
   {{0x60c224bc,0x03a62f73,0x53a67907,0x2bbc00b0}},	//   udom, _лимо, _ламб, ्टमा, 
   {{0x44240029,0x81e60086,0xbbb61276,0x213f01e5}},	//   _âm_, _বেশ_, _अनेक, _dhuh_, 
   {{0x273f9a4e,0x63a49a4f,0x60c00547,0x2ee502a3}},	//   rîng_, mtin, _wamm, _colf_, 
   {{0x7bcb9a50,0xa3c2000c,0x6b8271b4,0x60c01066}},	//   _argu, ्मक_, _svog, _tamm, 
   {{0x273f0218,0x26c302fe,0x7bcb00ca,0xa3bc0dcf}},	//   mîne_, zdjo_, _brgu, _आना_, 
   {{0xda7a9a51,0xac184564,0x273f0218,0xa2cd009a}},	//   лян_, ропу_, lîne_, साच्, 
   {{0x7cf5010e,0x2ee5166c,0x63a452a8,0xf2d30070}},	//   _vára, _golf_, itin, ִער_, 
   {{0x63a49a52,0x273f0218,0x7bcb9a53,0x26c10054}},	//   htin, nîne_, _ergu, _raho_, 
   {{0x63a49a54,0x6b821993,0xfce308ba,0x394001be}},	//   ktin, _tvog, _нохо, _chis_, 
   {{0x6d5a2998,0x273f010c,0x7bcb090e,0x3940011c}},	//   _huta, hîne_, _grgu, _dhis_, 
   {{0x6d5a2b31,0x273f010c,0xd6d70086,0x2be5031e}},	//   _kuta, kîne_, হস্প, टहरू_, 
   {{0x6d5a1929,0x3ce60201,0x26c39a55,0xa5f800f0}},	//   _juta, _koov_, rdjo_, беру_, 
   {{0x6d5a4a1a,0x26c19a56,0xa4f1027e,0x63a42c33}},	//   _muta, _waho_, _dışı_, ftin, 
   {{0x63a49a57,0x28d61615,0x3ce69a58,0x69c801e8}},	// [9530] gtin, धारि, _moov_, lvde, 
   {{0x7cf502be,0x28a5058c,0x00000000,0x00000000}},	//   _nárn, ग्रि, --, --, 
   {{0x7cfc0105,0x6d5a9a59,0x80ca051f,0x29199a5a}},	//   _kérd, _nuta, _सोहे, onsa_, 
   {{0xd0110040,0x63a40604,0xb4db00a1,0xb03500b3}},	//   ولا_, btin, _dhàc, онеш, 
   {{0x6d5a9a5b,0x63a49a5c,0xdbf100bc,0x78ad9a5d}},	//   _auta, ctin, _přív, _mbav, 
   {{0x6d5a9a5e,0x273f0218,0x398301f0,0x7cf5033c}},	//   _buta, bîne_, yıs_, _cárn, 
   {{0x78ad03ef,0x6d5a33a4,0x7bc700e0,0x3f760035}},	//   _obav, _cuta, ājum, ału_, 
   {{0xab65911a,0x6d5a02b8,0x98a000ca,0x29199a5f}},	//   овил, _duta, _ikić_, jnsa_, 
   {{0xeab99a60,0xa3df00bc,0x9f631279,0x00000000}},	//   айп_, तहट_, övät_, --, 
   {{0xc9a913f2,0x78ad0579,0x29199a61,0x2fcd023e}},	//   авое_, _abav, ensa_, _ireg_, 
   {{0xd9460bb7,0x6d5a9a62,0x3940006f,0x63a49a63}},	//   жени, _guta, _phis_, ztin, 
   {{0x63a49a64,0xb4e800bd,0x28a505f6,0x7e7a039b}},	//   ytin, _भवे_, ग्लि, _zetp, 
   {{0xe73a3132,0x7cf50019,0xbbeb0040,0x386d9a65}},	//   ием_, _háro, _حرام_, ñera_, 
   {{0x7cf50019,0x29199a66,0x3ce6006f,0x7cfc2033}},	//   _káro, ansa_, _zoov_, _pérg, 
   {{0x3940181f,0x7bc99a67,0x3ce60201,0x6916008b}},	//   _this_, lveu, _yoov_, jšeg, 
   {{0x63a49a68,0x273f010c,0x68fd0380,0x00000000}},	//   ttin, vîne_, chsd, --, 
   {{0x63a49a69,0x130a1b98,0x273f0218,0x6737003e}},	// [9540] utin, анай_, wîne_, ðgjö, 
   {{0x63a49a6a,0x78ad9a6b,0x273f0218,0x16aa44aa}},	//   rtin, _zbav, tîne_, _твои_, 
   {{0x7cf50076,0x5bb6000d,0x0219012d,0x645a020f}},	//   _náro, _अन्व, біць_, _ştiu, 
   {{0x6d5a9a6c,0x63a49a6d,0x273f0218,0x7cfc0019}},	//   _ruta, ptin, rîne_, _kére, 
   {{0x6d5a9a6e,0x24809a6f,0x273f010c,0xae9a0038}},	//   _suta, maim_, sîne_, لضغط_, 
   {{0x6d5a9a70,0x24809a71,0x7cfc0019,0x141b00a7}},	//   _puta, laim_, _mére, _כוכב, 
   {{0x6d5a9a72,0x7cfc0042,0xc8ca010f,0x21754daa}},	//   _quta, _lére, ियाट, _нутр, 
   {{0x6d5c2033,0x7e7a48c8,0x24809a73,0x6ef400a1}},	//   _éram, _wetp, naim_, _tàbo, 
   {{0xd012195e,0x6d5a9a74,0x2d5100ca,0x8fa602be}},	//   _غلط_, _wuta, _išel_, _фазе, 
   {{0x28dd1f22,0x78ad02a3,0x79a63a64,0x3f800009}},	//   याभि, _sbav, орме, šius_, 
   {{0xa2db1615,0x7cfc9a75,0xdca603b7,0x6d5a0102}},	//   नात्, _pérd, _мажи, _uuta, 
   {{0x69c80219,0xa3ca0d2e,0x7cfc010e,0x2bbc0249}},	//   rvde, लटा_, _bére, ्टदा, 
   {{0xd83b011f,0x7cf505a8,0x7cfc0165,0x2480007a}},	//   рэн_, _záro, _cére, daim_, 
   {{0x7c2200e2,0xdcf80009,0x7cfc0106,0x7cf50354}},	//   _ixor, tuvė, _dére, _lárl, 
   {{0x6d429a76,0xa4d507f4,0x00000000,0x00000000}},	//   _khoa, пові, --, --, 
   {{0x24f813f2,0x245815dd,0x7aea00e0,0x290f02ae}},	//   онсы_, жать_, žotā, _öga_, 
   {{0x7cfc026a,0x2bcd093a,0xd25b8369,0xfbbc00ae}},	// [9550] _gére, ़िया, аце_, ्टिम, 
   {{0x28ac00a5,0x026b012d,0x82d80a10,0x00000000}},	//   ट्ठि, ршай_, одус_, --, 
   {{0x116a00d4,0x24800038,0x2fcd9a55,0x51849a77}},	//   مللی_, baim_, _sreg_, дуча, 
   {{0x2fcd9a78,0xfbbc00bc,0x6efd023e,0x1db4009a}},	//   _preg_, ्टाम, _mèbe, ंबईत, 
   {{0x9f3500dd,0x7c220034,0x752d0379,0xa2db102c}},	//   педі, _nxor, moaz, नाद्, 
   {{0x6d4205f0,0x7cf59a79,0xed596388,0x69160352}},	//   _ahoa, _páro, бок_, pšeg, 
   {{0x6d4200a1,0x98a000ca,0x408702a0,0x63b90761}},	//   _bhoa, _ukić_, _муаб, şanı, 
   {{0x7cf5006b,0x2fcd9a7a,0x8b950e10,0x6d420210}},	//   _váro, _treg_, проч, _choa, 
   {{0x2d98014e,0x3ec40088,0x6d4200a1,0x7bc40028}},	//   _åren_, östä_, _dhoa, _šiur, 
   {{0x7bc9026a,0x7cf5010e,0x6d420379,0x24800054}},	//   rveu, _táro, _ehoa, zaim_, 
   {{0x7c2200e2,0x7bc900ef,0x6c5500f0,0x7cfc0313}},	//   _exor, sveu, _екеу, _sére, 
   {{0x7cfc2769,0x69ac0a44,0x61314be4,0x752d00b4}},	//   _pére, _जहरी, måls, joaz, 
   {{0x7cf5010e,0x6d499a7b,0x69160098,0x248000c2}},	//   _járm, mmea, všed, vaim_, 
   {{0xb8f30509,0x6d499a7c,0x36671a57,0xf6d5017b}},	//   _हो_, lmea, заро_, міся, 
   {{0x1fb8058c,0x69dc2afb,0x00000000,0x00000000}},	//   _इन्ड, äret, --, --, 
   {{0x7d1b9a7d,0x77860024,0x6d4901c5,0x7cfc039f}},	//   nnus, _елиз, nmea, _tére, 
   {{0x7cfc21dc,0x24800a92,0x6d490a75,0xaad0009a}},	// [9560] _hérc, raim_, imea, _थोडक, 
   {{0x6d490038,0x6627010e,0x00000000,0x00000000}},	//   hmea, érké, --, --, 
   {{0xc219004f,0x00000000,0x00000000,0x00000000}},	//   оєї_, --, --, --, 
   {{0x7cfc09a1,0x7cf50019,0x4fc602f3,0x00e60088}},	//   _mérc, _bárm, зска, яжен, 
   {{0x273f0218,0xa49b0118,0x7cf502be,0x28dd1f19}},	//   lîna_, _blòf, _cárm, याति, 
   {{0x6daa06d0,0x6d429a7e,0x7d1b00b0,0x43760148}},	//   _fəal, _shoa, enus, _муҳт, 
   {{0x43439a7f,0x273f078a,0x0dca0240,0xb4db01f5}},	//   _черв, nîna_, сули_, _mhàn, 
   {{0x7cf5248c,0x7d1b1e4b,0x6d420415,0x8fa69a80}},	//   _fárm, gnus, _qhoa, _набе, 
   {{0xa49b05d5,0x273f010c,0xdd900c30,0x00000000}},	//   _imòt, hîna_, روک_, --, 
   {{0x6d423ca0,0xfee900eb,0xb4db00e7,0x273f010c}},	//   _whoa, _وعلى_, _nhàn, kîna_, 
   {{0x386d655f,0x672e02ee,0x3f86068b,0x6d429a81}},	//   ñero_, dobj, lsou_, _thoa, 
   {{0x7b66004e,0x6d494212,0xddc84240,0x7c2201f1}},	//   _етке, cmea, _kedž, _txor, 
   {{0xddc800ef,0x3f869a82,0x2c08009c,0xb4db01be}},	//   _jedž, nsou_, _بعضی_, _bhàn, 
   {{0xb4db9a83,0xddc800e4,0x7bc2012b,0x6d550042}},	//   _chàn, _medž, _isou, _ézar, 
   {{0x28dd0582,0xa2db0df2,0xb4db01be,0x752d9a84}},	//   यादि, नास्, _dhàn, toaz, 
   {{0x2eb905fd,0x645a00d9,0x7aea01e8,0xa99b0486}},	//   _इस्त, _ştir, _hoft, _הבהר, 
   {{0xddc80bfc,0x3f86031e,0x6eef055f,0xd0640095}},	// [9570] _nedž, jsou_, _købt, _ürəy, 
   {{0xd25b00e4,0x7bcd0009,0xd7fc00d1,0x81b60033}},	//   сца_, _šauk, _להחל, জিন_, 
   {{0xaaae1464,0xf1c201dd,0x752d0054,0x7aea9a85}},	//   ज्यक, jušā_, poaz, _moft, 
   {{0x30151b17,0x291942f2,0xd49b0176,0xa2db00bd}},	//   мдер, érah_, _уро_, नाह्, 
   {{0x3ce003c1,0x799a0026,0x00000000,0x00000000}},	//   काने_, hutw, --, --, 
   {{0xe8da00b5,0x2bb60262,0xddc802fe,0x2d5100bc}},	//   _बच्च, _अनजा, _dedž, _všem_, 
   {{0x7bc20118,0x6d4999fd,0x00000000,0x00000000}},	//   _asou, tmea, --, --, 
   {{0xed560141,0xddc800ef,0x6ef401be,0x799a007c}},	//   мощ_, _fedž, _làbh, dutw, 
   {{0x6d499a86,0x0b4502f1,0xddc86797,0x7aea0415}},	//   rmea, мнин, _gedž, _boft, 
   {{0xff5300eb,0x3869003e,0x273f0218,0x6d490d44}},	//   _أخر_, _afar_, yîna_, smea, 
   {{0x7aea9a87,0x7cee0465,0x7bc205ff,0xf2df0108}},	//   _doft, _cùrs, _esou, _quây_, 
   {{0x273f010c,0xc689008d,0x7cf5010e,0x38690034}},	//   vîna_, _כא_, _márk, _cfar_, 
   {{0xfaa59a88,0x69dc02ae,0xe9db009c,0x99d5009c}},	//   _жало, ärer, _گذشت_, ستگا, 
   {{0x3cfd006d,0x2bbc031e,0x6ef400a1,0x2cad03e2}},	//   _hlwv_, ्टरा, _càbh, lfed_, 
   {{0x64a66fc0,0x7cfc9a89,0xe5a39a8a,0x6b9b5ca7}},	//   мава, _héra, кири, luug, 
   {{0x273f078a,0x69c39a8b,0x6eef02c9,0x672e6e48}},	//   rîna_, _isne, _købs, sobj, 
   {{0xb4db0124,0xb4be00ab,0x273f010c,0x672e02c7}},	// [9580] _thàn, _इसी_, sîna_, pobj, 
   {{0x613830ec,0xb0c63267,0x2d8703a9,0xddc804a1}},	//   míli, _रोजग, ksne_, _redž, 
   {{0xddd8090b,0x2d870d4c,0x7cf50019,0xddc80bfc}},	//   kavš, jsne_, _várj, _sedž, 
   {{0x7cf5031e,0x69c30082,0x0cd80033,0x31be00bc}},	//   _dárk, _msne, _তত্ত, _vůz_, 
   {{0xddd8090b,0x6ef403a1,0xb4db01be,0x68fd021e}},	//   davš, _hàbi, _mhàl, ërdi, 
   {{0xbd6a1e01,0x6b9b012b,0x3f867522,0x644302d9}},	//   орие_, duug, rsou_, řnic, 
   {{0xf9870105,0x3f869a8c,0xa2db0f8c,0xa49b01f5}},	//   _جب_, ssou_, नार्, _flòd, 
   {{0x7aea1347,0x6721052a,0xddc800ef,0x3b660176}},	//   _soft, člji, _tedž, мъов, 
   {{0x7aea00d9,0x7cfc0107,0x6b9b0b8e,0x394b0183}},	//   _poft, _céra, guug, vmcs_, 
   {{0x7aea00e5,0x78a40042,0x7cfc0107,0x38699a8d}},	//   _qoft, _aciv, _déra, _sfar_, 
   {{0x611c0352,0xb4db00a1,0xdee39a8e,0xd9150810}},	//   včlj, _bhàl, _шофи, едны, 
   {{0x61e3014e,0xb4db00a1,0x6cd33629,0x38690034}},	//   änli, _chàl, _لقما, _qfar_, 
   {{0x628e2b1d,0x69c39a8f,0x7cfc5c31,0x61384d03}},	//   _odbo, _esne, _géra, gíli, 
   {{0xaff900c7,0xa3d2029c,0xbbbc122e,0x7cee01f5}},	//   פּרי, विन_, ्टीक, _tùrs, 
   {{0xe93b07cb,0xb4db00a1,0x16341d91,0x7cfc011c}},	//   _وسعت_, _fhàl, веря, _zéra, 
   {{0x3ea90704,0x29029a90,0x628e0156,0x662501dd}},	//   đati_, chka_, _adbo, _ārkā, 
   {{0x613820f1,0x7cfc0183,0xa87c00d1,0xa2db048e}},	// [9590] cíli, _xéra, _ואחר, नाल्, 
   {{0x68ed1e5f,0x28dd0425,0x439402f1,0x31670183}},	//   _hoad, यावि, тафс, ínzo_, 
   {{0x2d9c9a91,0x68ed01f1,0x6ef400f6,0x6edd009a}},	//   juve_, _koad, _gàbi, पासु, 
   {{0x78bd9a92,0x628e0102,0x00000000,0x00000000}},	//   nesv, _edbo, --, --, 
   {{0x645d0008,0x68ed02dc,0x3f890151,0xa2a752c2}},	//   _igsi, _moad, éau_, _चाप्, 
   {{0x68ed9a93,0x6efd011c,0xed599a94,0xb4db00a1}},	//   _load, _bèba, пок_, _mhàm, 
   {{0x62859a95,0x6138797f,0x7cfc9a96,0xddd8090e}},	//   maho, zíli, _séra, tavš, 
   {{0x62859a97,0xd6580052,0x61f803a9,0x44399a98}},	//   laho, ויות_, øvle, _kys_, 
   {{0x60db9a99,0x6138114e,0xfbd10523,0x5f950019}},	//   _inum, xíli, اتب_, _سلائ, 
   {{0x62855144,0x7cf59a9a,0x78a400fd,0xddd8015e}},	//   naho, _mári, _sciv, savš, 
   {{0x4439532b,0xc33200fe,0x68ed0954,0x7cf50038}},	//   _lys_, רוי_, _boad, _lári, 
   {{0xb4be9a9b,0x7cfc9a9c,0x62859a9d,0x68ed0a81}},	//   _इसे_, _hérn, haho, _coad, 
   {{0xb8e8006a,0x68ed39b5,0x62859a9e,0x60c90194}},	//   _उस_, _doad, kaho, _maem, 
   {{0x6d5929b7,0x613835a2,0x29029a9f,0x62859aa0}},	//   _hiwa, ríli, shka_, jaho, 
   {{0x6d599aa1,0x61389aa2,0x386b00eb,0x7529015e}},	//   _kiwa, síli, éirí_, čezn, 
   {{0x07a6620e,0x44399aa3,0x60db0d71,0x045a0038}},	//   _заин, _bys_, _nnum, سلطة_, 
   {{0x44260316,0x7cf59aa4,0x28dd072f,0x2bd2456f}},	// [95a0] ço_, _cári, यारि, तिया, 
   {{0x60db9aa5,0x28ac700a,0x6d599aa6,0xa85700a7}},	//   _anum, ट्रि, _liwa, _איפה_, 
   {{0x2900768b,0x5ec80086,0x60c907d7,0x6d5902a5}},	//   _klia_, লামে, _baem, _oiwa, 
   {{0x44391b9a,0x60c9001d,0x2bd20ed5,0x6d599aa7}},	//   _fys_, _caem, तिमा, _niwa, 
   {{0x62859aa8,0x087700c7,0xc953027a,0x4439358a}},	//   baho, גענט_, אמא_, _gys_, 
   {{0xe8020b79,0x2d9c9aa9,0x040b0023,0x8f75004f}},	//   रैया_, tuve_, _lưỡn, туці, 
   {{0x32431617,0x6d5914ad,0x2bd20f7a,0xb87b0228}},	//   _берг, _biwa, तिभा, rkíz, 
   {{0x6d590218,0x60c9016a,0xed570886,0x81b60033}},	//   _ciwa, _gaem, ној_, জিদ_, 
   {{0x6d591a3b,0x53c90c14,0x6b8903b7,0xd117008d}},	//   _diwa, रिएश, gseg, _נקמה_, 
   {{0x68ed4440,0x29120539,0xa49b05d5,0xa3c300c9}},	//   _soad, _amya_, _klòc, ्ित_, 
   {{0xf8dd0e17,0x131700a7,0x290001f5,0xa3d208c6}},	//   यालय, תחיל_, _blia_, विड_, 
   {{0x6b899aaa,0x62859aab,0x6d599aac,0x040b00e7}},	//   bseg, zaho, _giwa, _cưỡn, 
   {{0x62859aad,0x040b001b,0x68ed9aae,0x7cfc9aaf}},	//   yaho, _dưỡn, _voad, _héro, 
   {{0x6d597242,0x29009ab0,0x44399ab1,0x443f003d}},	//   _ziwa, _elia_, _rys_, _ġu_, 
   {{0x645d012b,0x29000126,0x68ed6759,0x62859ab2}},	//   _pgsi, _flia_, _toad, vaho, 
   {{0xf98f17ba,0x9a3b00a7,0x98a501dd,0x628527bf}},	//   _ابو_, _מתוק, ēlē_, waho, 
   {{0x62859ab3,0x545502c4,0x60c9016a,0x00000000}},	// [95b0] taho, тват, _raem, --, 
   {{0x2d8c9ab4,0x7cf503b7,0x60c99ab5,0x35f59ab6}},	//   _ovde_, _vári, _saem, _апор, 
   {{0x39493976,0x44390691,0xa5c2005e,0xa2d000a2}},	//   _khas_, _wys_, _көте, _डोळ्, 
   {{0x62859ab7,0x443900ab,0x3f9d019b,0x00000000}},	//   saho, _tys_, tuwu_, --, 
   {{0x6d590ef4,0x2d8c00ef,0x7cfc9ab8,0xbea524e4}},	//   _riwa, _avde_, _aéro, валк, 
   {{0x63ad1272,0xa3c0072f,0x6d592f58,0x7cfc011c}},	//   mtan, ूटर_, _siwa, _béro, 
   {{0x60c99ab9,0x6916014b,0xa9280377,0x6d5941ee}},	//   _taem, dšen, nažé, _piwa, 
   {{0x92589aba,0x6b899abb,0x7cfc9abc,0x60db071c}},	//   _част_, tseg, _déro, _unum, 
   {{0x6d590010,0x2d8c027e,0x3b8203a1,0x6b8900c2}},	//   _viwa, _evde_, алыг, useg, 
   {{0x63ad9abd,0xdb0001d5,0xa3d20497,0x9e072756}},	//   itan, ttmá, वित_, _пчел, 
   {{0x6b899abe,0x29006a62,0x63ad9abf,0x39499ac0}},	//   sseg, _plia_, htan, _bhas_, 
   {{0xdb00026e,0x39499ac1,0xa3c16833,0x6b8900c2}},	//   rtmá, _chas_, ंबा_, pseg, 
   {{0x63ad9ac2,0x7529015e,0x394901f5,0x7cfc9ac3}},	//   jtan, čezl, _dhas_, _mérl, 
   {{0x2cbf7b88,0x7c240028,0xf8c7010e,0x7cfc011c}},	//   leud_, _žirg, áért_, _yéro, 
   {{0x28aa059e,0x63ad9ac4,0x394901fd,0x6efd0118}},	//   _कापि, etan, _fhas_, _lèbo, 
   {{0x2cbf02bf,0x394900a4,0x290001d6,0x69de0604}},	//   neud_, _ghas_, _ulia_, _špeg, 
   {{0x63ad9ac5,0xa3d21276,0xdcea044e,0x3860023e}},	// [95c0] gtan, विध_, žiće, _igir_, 
   {{0x1303579a,0xc7d700d1,0x6efd011c,0x479b0225}},	//   азум, _יופי_, _sèbn, _קייס, 
   {{0x63ad9ac6,0xa50a1efe,0x77640126,0x7cfc010e}},	//   atan, _жена_, _huix, _bérl, 
   {{0x63ad0495,0x28aa08b4,0xc4832c77,0x25d700d1}},	//   btan, _काफि, _клюк, _סוכן_, 
   {{0x10a32820,0x63ad2450,0x7cfc2a6e,0x7cf5039f}},	//   ричн, ctan, _séro, _járu, 
   {{0x7cfc9ac7,0x09c80086,0xdd90030e,0x776400f6}},	//   _péro, ষমতা, موت_, _muix, 
   {{0x78b6026e,0xe29700ce,0x5156004e,0x38600508}},	//   _obyv, _јас_, _атау, _ogir_, 
   {{0x7cfc583b,0x80ca0a09,0x6146022d,0x00000000}},	//   _véro, _सोचे, _реба, --, 
   {{0x9eaa00ce,0xfd0f00c5,0xf8bf1606,0x3cef00b9}},	//   _оваа_, تجو_, nnée_, _dogv_, 
   {{0x38609ac8,0x691600bc,0x7cfc12e6,0x8c4305b2}},	//   _agir_, ušen, _téro, шење, 
   {{0x692404d1,0x63ad0a9f,0x7cfc9ac9,0xbae3012d}},	//   rđen, ztan, _hérm, рцый, 
   {{0x63ad29b1,0xd90f0a24,0x776400f6,0xe6db00d8}},	//   ytan, تیب_, _buix, यञ्ज, 
   {{0x69169aca,0xd838011f,0x69d70183,0x63ad1530}},	//   pšen, вэр_, _áxen, xtan, 
   {{0xd7f857e3,0x8c430834,0xb8fa9acb,0x6f18014b}},	//   тую_, _тече, _डो_, nivc, 
   {{0x3949023b,0x6d5c0175,0x80d8031e,0x64460175}},	//   _thas_, _éras, _नोभे, _azki, 
   {{0x692471d9,0xd4981248,0xf8bf0183,0xc656010e}},	//   nđel, кру_, roés_, افِک, 
   {{0x29199acc,0x63ad9acd,0xf484655e,0xf8bf026a}},	// [95d0] misa_, utan, русн, gnée_, 
   {{0x291985cf,0x63ad9ace,0x64430095,0x6f18203b}},	//   lisa_, rtan, ənil, jivc, 
   {{0xc8aa0081,0x7cf59acf,0xf8aa0262,0x14ab00a2}},	//   _कामट, _záru, _कामय, _छापण, 
   {{0x29199ad0,0x63ad9ad1,0x4073004e,0x7cf5010e}},	//   nisa_, ptan, рғау, _járt, 
   {{0x7cf50b7e,0x83840b58,0x1fa700d9,0x6efd0237}},	//   _márt, _высе, трег, _fèbl, 
   {{0x2489086d,0x29199ad2,0xdb00014e,0x62352b8d}},	//   laam_, hisa_, ntmä, _бегу, 
   {{0x29199ad3,0xdc69058e,0x7cfc443f,0x00000000}},	//   kisa_, найд_, _térl, --, 
   {{0x7d020056,0x24890af8,0xa2db4361,0xb4db0465}},	//   _clos, naam_, नाक्, _bhài, 
   {{0x7cfc9ad4,0x29190364,0x69dc1494,0xb4db0465}},	//   _kérj, disa_, åren, _chài, 
   {{0xa3ab00c9,0x7764022c,0x81b60033,0xb4db01fd}},	//   _गमन_, _ruix, জির_, _dhài, 
   {{0x29199ad5,0x20100028,0x7cf59ad6,0x00000000}},	//   fisa_, ėlių_, _bárt, --, 
   {{0x7cf500eb,0x29190547,0xc19a0070,0x2489493b}},	//   _cárt, gisa_, עשרי, jaam_, 
   {{0x3ce00081,0x77640496,0xe8f72584,0xb4db004c}},	//   कारे_, _quix, уля_, _ghài, 
   {{0xe5a62d7f,0x7d020062,0x67350405,0xa3d20c64}},	//   лиги, _zlos, gozj, विस_, 
   {{0x29199ad7,0xd6270def,0x64460083,0x442b0248}},	//   bisa_, горе_, _szki, _axc_, 
   {{0x291937c4,0x65650d07,0x6f180a1a,0x776400b9}},	//   cisa_, _duhh, zivc, _tuix, 
   {{0x032624b4,0x93aa03b1,0xe3ba00e4,0x27e60034}},	// [95e0] гдан, عارف_, эба_, _çon_, 
   {{0xf8bf026d,0x65656e9b,0x91e69ad8,0x6b9b2313}},	//   rnée_, _fuhh, лозе, irug, 
   {{0xaaa61e7b,0x691600d8,0x00000000,0x00000000}},	//   _खासक, yšel, --, --, 
   {{0xbfaa08ad,0x7cfc0183,0x647500b3,0x104a0cb4}},	//   етке_, _pérm, _вырф, няли_, 
   {{0x6f1804d1,0xb4c02659,0x75249ad9,0xd12f0038}},	//   tivc, ंजी_, mniz, أمن_, 
   {{0xa3c1241a,0x291901a3,0x918607cb,0x51860189}},	//   ंबर_, zisa_, _مجرم, _مشرق, 
   {{0x6d4b00ef,0x3ce000c6,0x29190547,0x7d029ada}},	//   _bhga, काले_, yisa_, _plos, 
   {{0x7cfc2f17,0xb8870496,0x6b9b9adb,0x3fa609ed}},	//   _térm, _muíñ, frug, _مصطف, 
   {{0x291911e8,0x2aaa527c,0x6b9b6d32,0x60c2025b}},	//   visa_, нтно_, grug, meom, 
   {{0x2489012e,0x29190226,0x7b1401a2,0x6d4b00b4}},	//   zaam_, wisa_, рдох, _ehga, 
   {{0x29199adc,0x6916012d,0x6ef403a1,0x7cf5115d}},	//   tisa_, pšel, _fàbr, _párt, 
   {{0x6b9b9add,0x7cf5033c,0x7d029ade,0x7cfc99d1}},	//   brug, _dárs, _ulos, _mérk, 
   {{0x68fd60f5,0x7cf5039f,0xdb00021e,0x00000000}},	//   rksd, _várt, numë, --, 
   {{0x29190364,0x27ff003d,0x6d409adf,0x75249ae0}},	//   sisa_, ġun_, llma, eniz, 
   {{0xb8870068,0x2bd203a2,0xdb009ae1,0x28d000bc}},	//   _cuíñ, तिवा, rtmä, _तोकि, 
   {{0x69ca003d,0x442b022c,0xdb0002ae,0x75242a2d}},	//   _isfe, _pxc_, stmä, gniz, 
   {{0x6d4006d6,0x28aa3b41,0xd3710629,0x569503a1}},	// [95f0] ilma, _काति, زها_, _капт, 
   {{0x2bb70262,0x75249ae2,0x2d9c00d2,0xd34700d4}},	//   _अहसा, aniz, krve_, ایسه_, 
   {{0x26c39ae3,0xf770009c,0x521502a0,0x6b8201b8}},	//   mejo_, _وای_, јдет, _lwog, 
   {{0x26c39ae4,0x4fd55a60,0xe5c4004f,0x60c2155e}},	//   lejo_, ижет, _усьо, geom, 
   {{0xafe52916,0xa2d000a2,0x8e850028,0xdb00009e}},	//   ролл, _डोक्, агле, rumê, 
   {{0x26c39ae5,0xa3d2072f,0x6d409ae6,0x26d100ef}},	//   nejo_, विर_, elma, ndzo_, 
   {{0x6b8203a0,0x7cfc039f,0xfce501ba,0x60c202a5}},	//   _awog, _kérh, иоко, beom, 
   {{0x2d67090e,0x6b9b0be4,0x62950372,0x62870096}},	//   _uđem_, trug, _hdzo, _hejo, 
   {{0x69d89ae7,0x4b864bb3,0x62870b3b,0x28d90c73}},	//   _arve, айын_, _kejo, _बोधि, 
   {{0x26c311c8,0x6b9b9ae8,0x8d879ae9,0xe9d90b97}},	//   jejo_, rrug, _будд, вко_, 
   {{0x62879aea,0x69d800f1,0x26c30461,0x88e6591f}},	//   _mejo, _crve, dejo_, ажне, 
   {{0x69d800f1,0x6b9b02f5,0x69de0187,0x62879aeb}},	//   _drve, prug, _špec, _lejo, 
   {{0x290c012d,0x3cff006d,0x69d89aec,0x62959aed}},	//   ėda_, mkuv_, _erve, _odzo, 
   {{0x7cf5006b,0x3ced2840,0x6287031e,0xd6260038}},	//   _társ, ljev_, _nejo, لعزي, 
   {{0x2d982267,0x2d510352,0xe9a51bb9,0xdce10604}},	//   _året_, _ušes_, _тайп, _lulč, 
   {{0x94269aee,0x88830093,0x7d099aef,0x7d1b9af0}},	//   амбе, _длъж, nhes, nius, 
   {{0xf77206ab,0x03a64905,0x53a63d1f,0x1aac0033}},	// [9600] _باب_, ризо, разб, _কোয়া, 
   {{0x7d1b9af1,0x7cf50634,0x75240065,0x96964563}},	//   hius, _márq, sniz, _триш, 
   {{0x7d1b9af2,0x41aa3381,0xa2a700c9,0x628701dd}},	//   kius, твен_, _चार्, _dejo, 
   {{0x53a60fe7,0x3cff006d,0x19b60147,0x61430080}},	//   _камб, jkuv_, יפער_, оеха, 
   {{0x7d099af3,0x3ced02c7,0xe3b27a32,0x60c29af4}},	//   dhes, djev_, _برج_, reom, 
   {{0x62879af5,0x98ab00ab,0x63a49af6,0x7cfc0019}},	//   _gejo, mocą_, muin, _térk, 
   {{0x63a49af7,0x7d1b0183,0xb23a00eb,0x7cfc21d0}},	//   luin, fius, _شكرا_, _héri, 
   {{0x6b820cd7,0x92a600ab,0x7d1b00fd,0x7d0900d1}},	//   _pwog, _wyłą, gius, ghes, 
   {{0x7cf5070b,0x6d40003e,0xa2db009a,0x63a41453}},	//   _párr, rlma, नाच्, nuin, 
   {{0x7cfc5993,0x2d9c00bc,0x2fc90151,0x00000000}},	//   _méri, prve_, çage_, --, 
   {{0x63a426c0,0x7d1b3125,0x3ced00ef,0xf2d900c7}},	//   huin, bius, bjev_, אַרל, 
   {{0x7d1b2411,0x63a49af8,0xb4c50366,0xfce35d35}},	//   cius, kuin, _एसे_, _мохо, 
   {{0x8c434134,0x315700c7,0xe6679af9,0x7cf50126}},	//   _деце, ייטן_, итво, _tárr, 
   {{0x63a49afa,0x46de03ce,0x7cfc003e,0xdb00002c}},	//   duin, मागह, _sérh, kumé, 
   {{0x26d1006a,0x62879afb,0x26c39afc,0xfa77042c}},	//   rdzo_, _rejo, rejo_, _דעות_, 
   {{0x26c39afd,0x3f8f0156,0x62879afe,0x3eac00a1}},	//   sejo_, ysgu_, _sejo, _lcdt_, 
   {{0x63a461a7,0x62870097,0x26c39aff,0xa06900f0}},	// [9610] guin, _pejo, pejo_, қала_, 
   {{0x883c00a7,0x6e2d01f0,0x7cfc026a,0x7cf528c3}},	//   _בתחו, şabi, _déri, _lárp, 
   {{0x75d50629,0xb4db0465,0xdce10028,0xdb0041ee}},	//   _ايجا, _bhàt, _sulč, gumé, 
   {{0x7cfc9a8c,0xb1250086,0xb4db00a1,0x63a49b00}},	//   _féri, বত্ব_, _chàt, buin, 
   {{0x63a400d9,0x7f1903bd,0x3cff0201,0xb4db00a1}},	//   cuin, ліку_, vkuv_, _dhàt, 
   {{0x1dd300b0,0xdb000175,0x67270175,0x00000000}},	//   थिलत, bumé, nnjj, --, 
   {{0xa1945b2d,0xb4db01be,0x929495e3,0xee3900b3}},	//   _марч, _fhàt, _фасц, ынк_, 
   {{0x51840aed,0xd5d83b5f,0xb4c50e49,0x7cfc023e}},	//   _фура, डितज, _एसो_, _yéri, 
   {{0x3ced11c8,0x7d1b9b01,0x7d099b02,0xdb09068b}},	//   rjev_, rius, rhes, steí, 
   {{0xfe70298e,0x7d096758,0x3cff46ec,0x1c1d007e}},	//   _قدم_, shes, skuv_, _बइठल_, 
   {{0x657701c1,0x63a401c8,0x7d099b03,0x6efd03a0}},	//   _ntxh, zuin, phes, _nèbi, 
   {{0x05090033,0x00000000,0x00000000,0x00000000}},	//   রচুর_, --, --, --, 
   {{0xeb999b04,0xdb0b055f,0x7bd90610,0x00000000}},	//   _сил_, _opgø, _urwu, --, 
   {{0xa3c103c1,0xda7b2b68,0xa6ca03a1,0xf8bf011c}},	//   ंबई_, _ряд_, ылга_, rnéa_, 
   {{0x7ae39b05,0x7cfc9b06,0x76072102,0x7afc9b07}},	//   _innt, _séri, берг_, örte, 
   {{0x7cfc3c95,0x63a49b08,0x6efd03dd,0x2f0b00fc}},	//   _péri, tuin, _dèbi, _høgd_, 
   {{0x68e49b09,0x044a9b0a,0x212600ca,0xa49b01be}},	// [9620] _inid, упак_, vnoh_, _glòm, 
   {{0x63a41232,0x7cfc026d,0xb4db01fd,0x29021127}},	//   ruin, _véri, _bhàs, lkka_, 
   {{0x63a49b0b,0x28dd00a2,0xb4db01be,0x68f6027e}},	//   suin, याचि, _chàs, _koyd, 
   {{0x7cfc539f,0x68f600a3,0xb4db01f5,0x29027e4f}},	//   _téri, _joyd, _dhàs, nkka_, 
   {{0x1fb69b0c,0x29020088,0x24809b0d,0xdb009b0e}},	//   ссер, ikka_, mbim_, sumé, 
   {{0x4dbe0086,0xa3bd00c9,0xb4db01fd,0x2f0b017b}},	//   ্মসূ, _आहत_, _fhàs, _nøgd_, 
   {{0x7cf50369,0xb4db00a1,0x93c3020f,0x2fcd08b0}},	//   _párp, _ghàs, ţătu, _eseg_, 
   {{0xbb742189,0x232a03dc,0x7ae30465,0x644b8ad6}},	//   огиј, _роҳи_, _annt, ügig, 
   {{0x7ae30415,0xc00606ba,0x2d850218,0x30069b0f}},	//   _bnnt, _упак, _ewle_, _узаг, 
   {{0x78ad9b10,0x68e49b11,0x37be0033,0x7b1800b9}},	//   _scav, _anid, ইটার, роор_, 
   {{0xdd9200c5,0x81b60086,0x68f69b12,0x69cf0035}},	//   _روش_, জিক_, _boyd, łcen, 
   {{0xd8430098,0x00000000,0x00000000,0x00000000}},	//   _ničí_, --, --, --, 
   {{0x28aa0827,0x69dc0d09,0x61340d16,0x00000000}},	//   _कारि, æreb, _gülş, --, 
   {{0x98be00e0,0xf1c80a34,0x7cfc05a4,0x6b560515}},	//   ētā_, रबान, _cérv, _утех, 
   {{0x68f60c67,0x00000000,0x00000000,0x00000000}},	//   _foyd, --, --, --, 
   {{0x68e40e79,0x00000000,0x00000000,0x00000000}},	//   _gnid, --, --, --, 
   {{0x290902a5,0x36d5275d,0xb4db01fd,0x6ea9009a}},	// [9630] _ilaa_, _допр, _bhàr, _घालु, 
   {{0x32670342,0xa26703dc,0x2f0b02c9,0xb4db0465}},	//   став, съал, _køge_, _chàr, 
   {{0xdb09007a,0x2bcf09ec,0x6115004f,0x24803698}},	//   nteá, _तैना, оджу, bbim_, 
   {{0xdb0900eb,0x00000000,0x00000000,0x00000000}},	//   iteá, --, --, --, 
   {{0xcf9b0886,0xff510499,0x60c400b0,0xb4db01f5}},	//   ује_, وخت_, õima, _fhàr, 
   {{0x6f8702f1,0xe81c007e,0x13ba0070,0xaad70790}},	//   _ҳужж, _पइसा_, _דזשע, _भोंक, 
   {{0xace99b13,0x28aa0527,0x69de0098,0x2902017b}},	//   имка_, _कालि, _špen, ykka_, 
   {{0x28d92569,0x2fcd01c1,0x8b9562e7,0xa2d10249}},	//   _बोलि, _tseg_, ороч, ठयक्, 
   {{0xa49b0118,0x212d011c,0x68e400a3,0xeb9903a1}},	//   _alòk, _ijeh_, _rnid, шип_, 
   {{0x69060183,0x68f60585,0x4ea703a1,0x3dd20083}},	//   _cóen, _soyd, _ырба, ływa_, 
   {{0x2dfa0019,0x68f601ff,0xcebb00ad,0x9e070508}},	//   _پبلک_, _poyd, şəsi_, _учал, 
   {{0x68f600ad,0x7cfc9b14,0x2499039b,0x00000000}},	//   _qoyd, _sérv, _ndsm_, --, 
   {{0x3c470040,0x26d3040c,0x290200c8,0x00000000}},	//   _اضاف, _baxo_, rkka_, --, 
   {{0x2bcf119f,0x7ae39b15,0xa49b0118,0xead40080}},	//   _तैया, _unnt, _flòk, _ночь, 
   {{0x96630f2e,0x2ee50065,0x96040a09,0xf7438979}},	//   дкре, _mnlf_, रनेट_, феро, 
   {{0x68e40b85,0xd46704c4,0x212d024a,0x61fe014b}},	//   _unid, жите_, _njeh_, vypl, 
   {{0x24809b16,0xdb00004f,0xd7ef0038,0xb4db01c5}},	// [9640] rbim_, ttmø, _لكي_, _phàr, 
   {{0x681c002a,0xc8aa00aa,0x61fe9b17,0x6b4f055f}},	//   rādī, _काँट, typl, bøge, 
   {{0x506600cf,0x673c9b18,0xf8bf010e,0x7c2d008c}},	//   отла, morj, knél_, _þarf, 
   {{0x409600f0,0x7cfc00d7,0x00000000,0x00000000}},	//   ірет, _yéru, --, --, 
   {{0xa3ce0f01,0x1eca068e,0x7cfc010e,0x6f1a052b}},	//   _शनि_, илди_, _mért, _pmtc, 
   {{0xdd9a4095,0x7c24203b,0xda1a00b0,0x0eba00f0}},	//   аши_, _žiro, _फइलत_, руды_, 
   {{0x32434985,0xd9a8000f,0x4c940386,0x63b62253}},	//   _жерг, _कमेट, пийс, ltyn, 
   {{0x61e1006b,0x3ea0656b,0x90c39b19,0x3940006d}},	//   _álla, şit_, _обсе, _nkis_, 
   {{0xd0071a9e,0x63b69b1a,0x2f0b055f,0x6385009e}},	//   _дете_, ntyn, _søge_, mînî, 
   {{0x29090053,0x39400009,0x8af700ad,0x673c0604}},	//   _slaa_, _akis_, _şəri, jorj, 
   {{0x26d382d6,0xbf1320b4,0x63b60080,0x673c9b1b}},	//   _raxo_, _تولب, htyn, dorj, 
   {{0x26d30b41,0x88b1015f,0x7cfc0151,0x26f50249}},	//   _saxo_, ریخچ, _péru, ीघ्र_, 
   {{0xc86400dd,0xdb090038,0xab2a0601,0xdcf801dd}},	//   дтри, steá, _кода_, ssvē, 
   {{0x3ce601a0,0x39400ae3,0x7c2d3764,0x3afb08b0}},	//   _hnov_, _ekis_, _žarg, _dêps_, 
   {{0x7cfc2888,0x2bd21d5b,0x45d49b1c,0xf8bf0d12}},	//   _fért, तिका, морс, lném_, 
   {{0x33759b1d,0x92a90035,0x6b4f02c9,0x3164010c}},	//   згар, kułó, røge, _nimz_, 
   {{0x6b4f055f,0xdcf30082,0x673c4c5e,0x386900b4}},	// [9650] søge, žaće, borj, _igar_, 
   {{0x26c700bc,0xb3540283,0x00000000,0x00000000}},	//   _úno_, дкуш, --, --, 
   {{0x69241462,0x691602ee,0xc1b900fd,0x307501ba}},	//   rđev, ršev, слех_, пулс, 
   {{0x55da00c7,0x657a0189,0x24990548,0x7af81341}},	//   _פֿינ, íthe, _udsm_, _lovt, 
   {{0xdee53d67,0x69de0352,0xf8bf02d9,0x7bc6021e}},	//   золи, _špel, jném_, çkul, 
   {{0x644f01dd,0xf8bf00bc,0x3ce6040c,0xef18017b}},	//   _izci, dném_, _anov_, омі_, 
   {{0x7bc27b81,0xf8bf010e,0x3ce700bd,0x00000000}},	//   _apou, tnél_, झाले_, --, 
   {{0x673c008b,0x69169b1e,0x7d760038,0x00000000}},	//   zorj, nšet, أمير_, --, 
   {{0x76450088,0x395200f8,0x7af8084c,0xdb0902aa}},	//   _lyhy, _rhys_, _bovt, nteç, 
   {{0x38699b1f,0x7cfc9b20,0x05cb0425,0xf8bf039f}},	//   _agar_, _sért, ाबाब, snél_, 
   {{0x7bc21c9f,0x673c008b,0x7cfc001d,0x7c2d0082}},	//   _epou, vorj, _pért, _žard, 
   {{0x2fdf0062,0x69d00586,0x63b600c8,0xa3cb01a4}},	//   _krug_, धिजी, ytyn, लबा_, 
   {{0x673c9b21,0x69da006d,0x7d0b01dd,0x6a856bf9}},	//   torj, avte, _ilgs, _елла, 
   {{0x4e1f0509,0x7bda00a7,0xbb78010e,0x2cad00c2}},	//   _बधाई_, _לקנו, _بلوچ_, lged_, 
   {{0x386d1c2b,0x6b620e65,0x649a2ec2,0xb4db01be}},	//   žera_, _якша, йтар_, _phàp, 
   {{0x63b60088,0x673c9b22,0x141a0038,0x2cad9b23}},	//   ttyn, sorj, ميزة_, nged_, 
   {{0xf42a0187,0x2fdf023b,0x776d019c,0x644f0083}},	// [9660] _opäť_, _nrug_, _guax, _czci, 
   {{0x27e09b24,0x63b69b25,0x7af8006f,0xae1c007e}},	//   _irin_, rtyn, _xovt, _भइलन_, 
   {{0x63b69b26,0xe57700b3,0x7bdb0080,0x764500f3}},	//   styn, _нзэ_, hvuu, _gyhy, 
   {{0x2fdf0022,0x63b69b27,0x2d9a020b,0xa99a0070}},	//   _brug_, ptyn, ápem_, מבער, 
   {{0x09a8000c,0x61e1010e,0x5f430296,0xdefa9b28}},	//   _कम्य, _álln, کنول, йык_, 
   {{0x26d88717,0x69c30d2d,0x26ca9b29,0xf67a00c7}},	//   ndro_, _opne, nebo_, זאַמ, 
   {{0x629c9b2a,0x7bc29b2b,0x25b80149,0x26d801dd}},	//   _idro, _spou, ntrl_, idro_, 
   {{0x628e9b2c,0x27e02a5c,0x2cad9b2d,0xf8bf32ce}},	//   _hebo, _orin_, gged_, tném_, 
   {{0x628e0a13,0x65669b2e,0x7cfc010d,0x7af80201}},	//   _kebo, _mikh, _sérs, _povt, 
   {{0x3a7501bb,0x63a49b2f,0x69060183,0x999803b7}},	//   үлөр, irin, _dóem, окот_, 
   {{0x63a49b30,0x6446008c,0x27e09b31,0x1959012d}},	//   hrin, _lyki, _arin_, жаны_, 
   {{0x628e0364,0x7cfc53b4,0x27e09b32,0x7c2d0b21}},	//   _lebo, _vérs, _brin_, _žare, 
   {{0xd83b011f,0x7cfc2888,0x60c00065,0x69160228}},	//   сэн_, _férr, _mbmm, všet, 
   {{0x63a418dc,0x628e1194,0x27e09b33,0xa3e000aa}},	//   drin, _nebo, _drin_, थिन_, 
   {{0x27e09b34,0xd49b5622,0x16041c25,0xa3d2009a}},	//   _erin_, йра_, रनगर_, विझ_, 
   {{0xca470084,0x63a45bf4,0x629c02bf,0xf8bf026a}},	//   _عليه_, frin, _adro, fiée_, 
   {{0x63a49b35,0x24580088,0x65660149,0x628e9b36}},	// [9670] grin, зать_, _dikh, _bebo, 
   {{0x628e2d3b,0x629c0626,0x2fdf021e,0x00000000}},	//   _cebo, _cdro, _rrug_, --, 
   {{0x3207309e,0x65666033,0x64460065,0x16350ca9}},	//   ány_, _fikh, _eyki, _ценя, 
   {{0x6ebf000d,0xf42a0187,0x6d429b37,0xdb0000b9}},	//   ल्नु, _späť_, _nkoa, humà, 
   {{0xf8bf0107,0x335900b3,0x320711bb,0x3fc900d7}},	//   ciée_, _мамэ_, šny_, تدای_, 
   {{0x628e9b38,0x65660204,0x670d0586,0x4dc30086}},	//   _gebo, _zikh, हसिक_, ্মসং, 
   {{0x30a71d02,0x60dd0126,0x628503c5,0x6566045a}},	//   _нрав, _ósmo, mbho, _yikh, 
   {{0x629c1175,0x26d81765,0x48e80086,0x752d8b52}},	//   _zdro, zdro_, _পত্র, nnaz, 
   {{0xa1582d56,0x69dc01e8,0x2fdf9b39,0x2cad9b3a}},	//   _хату_, æren, _urug_, rged_, 
   {{0x7c26008c,0x69160082,0x1a050093,0x692400ca}},	//   úkra, jšer, дпом, jđer, 
   {{0x98a69b3b,0x2bdb01ec,0x6efd0237,0x00000000}},	//   мине, बिहा, _wèbs, --, 
   {{0x27e00aa4,0x26c102fe,0x63a49b3c,0x26ca0364}},	//   _prin_, _abho_, yrin, webo_, 
   {{0xeb8e1c20,0x6d5b9b3d,0x26ca9b3e,0xb8f60a34}},	//   _ши_, mmua, tebo_, _हस_, 
   {{0x6d499b3f,0x63a49b40,0x65661f14,0xdb2300c8}},	//   llea, vrin, _sikh, äräi, 
   {{0x63a46b39,0xed160019,0xe64357c0,0x2492011d}},	//   wrin, _رہیں_, верп, taym_, 
   {{0x63a49b41,0x27e09b42,0x6d499b43,0x752d9b44}},	//   trin, _trin_, nlea, gnaz, 
   {{0x6d499b45,0x59d50c64,0xc95300a7,0x224c0097}},	// [9680] ilea, धिकर, _במה_, _šdk_, 
   {{0x03a30a27,0x63a49b46,0xf8bf0107,0x6d5b024a}},	//   тифо, rrin, riée_, hmua, 
   {{0x63a43eca,0x6566044d,0xd46a68bd,0x00000000}},	//   srin, _tikh, _мине_, --, 
   {{0x628e037f,0x8fa604a0,0x4fc63bdf,0x63a49b47}},	//   _webo, даде, дска, prin, 
   {{0x628e9b48,0xb4ca2002,0x7afd0028,0x00000000}},	//   _tebo, लजी_, ūsty, --, 
   {{0xf8bf0019,0xdee31bd5,0x2749010c,0x6db45409}},	//   tnék_, кочи, mînê_, ейку, 
   {{0x62639b49,0x2749010c,0x00000000,0x00000000}},	//   _авра, lînê_, --, --, 
   {{0x6d5b006d,0xe8e00023,0x6d499b4a,0xed570477}},	//   gmua, _trội_, glea, мој_, 
   {{0x27490218,0xaf2a3c8e,0xdb09039b,0x00000000}},	//   nînê_, _джаз_, cueë, --, 
   {{0xadba00eb,0xe4570070,0x6d5b011c,0x6d4901cf}},	//   _وهذا_, ויפט_, amua, alea, 
   {{0x6d499b4b,0xf2d300a7,0x2749009e,0x1bec6410}},	//   blea, דעת_, hînê_, जमहल_, 
   {{0xcb6a02c4,0xf787019c,0xf1d1477d,0x6d5b9b4c}},	//   _даде_, íços_, _सनसन, cmua, 
   {{0xac9700c5,0x2749009e,0x0cbc0249,0x00000000}},	//   _آنها_, jînê_, ्जीम, --, 
   {{0x6d405f82,0xdce200ca,0x28b100aa,0x2f0b00fb}},	//   loma, _mioč, _झावि, _løgn_, 
   {{0xdb0004b3,0xa5f90229,0x00000000,0x00000000}},	//   cumá, чеву_, --, --, 
   {{0x6d409b4d,0x66f8027e,0x657a010e,0xc8677d29}},	//   noma, _aşkı, ítha, _отпи, 
   {{0x752d9b4e,0xf66b0038,0x69de00de,0x00000000}},	// [9690] rnaz, _وحده_, _špeh, --, 
   {{0x6d4901f1,0x0cbc00bc,0x00000000,0x00000000}},	//   zlea, ्जुम, --, --, 
   {{0x6d409b4f,0xda0e00b5,0xa3ab0c46,0x7cf5019c}},	//   koma, ानित_, _गमक_, _várz, 
   {{0x6d4002f1,0xa49b00a1,0x00000000,0x00000000}},	//   joma, _clòt, --, --, 
   {{0x2575014e,0x2f0b01e8,0x6d5b0201,0x8fa513c6}},	//   _hål_, _døgn_, vmua, хале, 
   {{0x63ad9b50,0x2575050f,0xda0e0110,0x00000000}},	//   muan, _kål_, ानात_, --, 
   {{0x63ad9b51,0x6d409b52,0x200924a5,0x69dc01e8}},	//   luan, foma, šai_, ærel, 
   {{0x25750533,0xdfd51c0f,0x63ad018e,0x00000000}},	//   _mål_, _побы, ouan, --, 
   {{0x6d491519,0x6d5b9b53,0x00000000,0x00000000}},	//   rlea, rmua, --, --, 
   {{0xa3e00497,0x6d499b54,0xfaf10038,0x6d5b9b55}},	//   थित_, slea, اثة_, smua, 
   {{0x6d490c24,0x6d409b56,0x69269b57,0xf8bf9b58}},	//   plea, boma, емна, ffé_, 
   {{0x6d409b59,0xdb0900ce,0xe8f73e34,0x63ad9b5a}},	//   coma, nteú, елю_, kuan, 
   {{0x7d092fcf,0x7aa59b5b,0x2ba600c2,0x00000000}},	//   mkes, _зилз, _खिया, --, 
   {{0x63ad2998,0x7d099b5c,0x27490218,0x25752379}},	//   duan, lkes, vînê_, _bål_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x69a4009a,0x1da70035,0x63ad095a,0x2749009e}},	//   _किती, _गिनत, fuan, tînê_, 
   {{0x63ad9b5d,0x03a321e6,0xa49b03a0,0x7d0936a4}},	// [96a0] guan, лито, _alòs, ikes, 
   {{0x28c10790,0x2749078a,0x068689e9,0x6d409b5e}},	//   ष्ठि, rînê_, _ягон, zoma, 
   {{0x7d099b5f,0x6d409b60,0xa49b9b61,0x2749009e}},	//   kkes, yoma, _clòs, sînê_, 
   {{0x26da086d,0x397a0070,0xdfda00fd,0xa2c1176c}},	//   _hapo_, לטענ, зък_, र्ब्, 
   {{0xe7e39b62,0x26da9b63,0x63ad0126,0x43759b64}},	//   खिया_, _kapo_, cuan, _ауст, 
   {{0x2d8c07fc,0x26da972e,0x8d731372,0x00000000}},	//   _pwde_, _japo_, گاوا, --, 
   {{0x2d9a1067,0x26da9b65,0x274202d9,0x31710354}},	//   épe_, _mapo_, méně_, _guzz_, 
   {{0xc5f300a7,0xd9e300a5,0x91bb00d1,0x8d73010e}},	//   רדה_, गिनत_, _ממלי, داوا, 
   {{0xef1a08e4,0x410302f1,0x5ce300c8,0x3f8d0090}},	//   _ема_, _ёзув, ующа, _gweu_, 
   {{0x2d6e000d,0x6b4f01cc,0x26da9b66,0xd00f007a}},	//   _před_, søgn, _napo_, _الك_, 
   {{0x6d409b67,0x69160026,0x6da39b68,0xddc80083}},	//   poma, tšep, _биха, _wzdł, 
   {{0x69b100ab,0x6d400104,0x386d01e8,0x61e302ae}},	//   _अमरी, qoma, øer_, ånli, 
   {{0xb8d9215e,0xa2c13024,0x26da9b69,0xbb2b010e}},	//   _चा_, र्ड्, _bapo_, _کتنے_, 
   {{0x26da9b6a,0x2575017b,0x6b4f0566,0x00000000}},	//   _capo_, _pål_, nøgl, --, 
   {{0x95c8041d,0x39429b6b,0x692b02d9,0x38c9010e}},	//   нута_, boks_, třed, _ہاکی_, 
   {{0x290b0bc3,0x63ad9b6c,0x39420065,0xa4d4004f}},	//   ības_, tuan, coks_, лосі, 
   {{0x02a79b6d,0x3171040b,0x799a0083,0x00000000}},	// [96b0] ерем, _suzz_, lstw, --, 
   {{0x25750219,0x82d800d9,0x26da9b6e,0x00000000}},	//   _tål_, ндус_, _gapo_, --, 
   {{0x799a9b6f,0x672702fe,0x692b00bc,0x02d10035}},	//   nstw, mijj, před, _हसीन, 
   {{0x21260345,0x68ed008a,0x7afc02ae,0xdb0000c2}},	//   gioh_, _jnad, örtj, lumä, 
   {{0x63ad9b70,0x24899b71,0x389c00c7,0x26da0548}},	//   quan, mbam_, ליאנ, _yapo_, 
   {{0x6da5668d,0x44390626,0x672700ef,0xf774035c}},	//   вика, _ixs_, nijj, אקס_, 
   {{0x7d091f18,0x68ed9b72,0x799a0083,0xa2c15719}},	//   tkes, _onad, jstw, र्ण्, 
   {{0x4c690104,0x62977a03,0x672700ef,0x2efe018e}},	//   мийн_, laxo, hijj, _eotf_, 
   {{0x7d09841b,0xd9d9031e,0xa2c10425,0xdb0014aa}},	//   rkes, बट्ट, र्थ्, kumä, 
   {{0x7d092b92,0xf8aa2158,0x60db025b,0xe8aa0299}},	//   skes, कल्प, _haum, कल्च, 
   {{0x68ed00a4,0x39429b73,0x799a01d2,0x3d9500b3}},	//   _bnad, toks_, gstw, _риер, 
   {{0x60db00d3,0xdb260a5a,0x26da9b74,0xbb22009e}},	//   _jaum, _یونی, _sapo_, çîrv, 
   {{0x26da9b75,0x60db9b76,0x7d060088,0x672700ef}},	//   _papo_, _maum, ökse, fijj, 
   {{0x4ad70105,0xfaa59b77,0x60db9b78,0x2ba60035}},	//   _ساتھ_, _рако, _laum, _खिता, 
   {{0xceb2864b,0x55c5004e,0x6d591f13,0xcb1200d1}},	//   יים_, ларғ, _khwa, _דלג_, 
   {{0x26da0053,0x443900f6,0x68ed0502,0xe1f20e0e}},	//   _wapo_, _bxs_, _gnad, یسا_, 
   {{0x26da012d,0x436a286c,0xb4669b79,0xe3ba0d56}},	// [96c0] _tapo_, даан_, ткал, ьба_, 
   {{0x68ed02c7,0xdb0000ad,0x7d1e010e,0x290000c2}},	//   _znad, rumç, épsz, _hoia_, 
   {{0x60db12c2,0x68ff01ff,0xa2c16338,0x00000000}},	//   _baum, _yoqd, र्ध्, --, 
   {{0x29009b7a,0xdcfe00e0,0x6b9b9b7b,0x60db0106}},	//   _joia_, īvīb, ksug, _caum, 
   {{0x7c2d9b7c,0xb4c00a34,0xdefa9b7d,0x087700c7}},	//   _žarn, ूजी_, дый_, דענט_, 
   {{0xa3c100ab,0x3cda04bd,0xde580965,0x7f439b7e}},	//   ूबर_, _खोजे_, налі_, gonq, 
   {{0xf8bf0d07,0x29129b7f,0xa3e00ed5,0x00000000}},	//   dién_, _olya_, थिव_, --, 
   {{0x6d597c21,0x29009b80,0x60db9b81,0xebd8668d}},	//   _chwa, _noia_, _gaum, едиш_, 
   {{0x6b9b1272,0x5046704d,0x31bc0126,0x4439139f}},	//   gsug, _реаб, líz_, _xxs_, 
   {{0x6d590348,0x68ed031e,0x291201a3,0x21240175}},	//   _ehwa, _snad, _alya_, _hmmh_, 
   {{0x7c2d008c,0x672700ef,0x68ed019b,0x60db0daf}},	//   _þarn, vijj, _pnad, _yaum, 
   {{0x0c269b82,0xe8e00029,0x799a00ab,0x29005ff5}},	//   _имен, _trời_, rstw, _coia_, 
   {{0x692b000d,0x2912040c,0x672700ef,0xeb97002e}},	//   třeb, _dlya_, tijj, _аич_, 
   {{0xf8bf05b9,0xe9e600b3,0x2912052b,0x19ba0038}},	//   cién_, _ацио, _elya_, _قطعة_, 
   {{0xf62800dd,0xdb00014e,0x9f44024a,0x68ed00c3}},	//   віти_, rumä, _armë_, _tnad, 
   {{0x69d89b83,0x672700ef,0x68ed9b84,0x29009b85}},	//   _isve, sijj, _unad, _goia_, 
   {{0x647400b9,0x54559b86,0x60db9b87,0xe8d9001b}},	// [96d0] ргуу, уват, _raum, _nhỉ_, 
   {{0x6b82019b,0xe3b00038,0x22956564,0x36d54d94}},	//   _mtog, ترف_, الاس, _соор, 
   {{0x60db9b88,0x26d19b89,0x7c36003e,0x62970508}},	//   _paum, mezo_, _þyrf, raxo, 
   {{0x30151472,0x26d19b8a,0x2600031e,0x29000042}},	//   лдер, lezo_, रहरी_, _xoia_, 
   {{0xe8d900f7,0xd91c0137,0x251a00a7,0x443f001b}},	//   _chỉ_, וואל, _נושא, _âu_, 
   {{0x69d810c0,0xb87b20ac,0x26d10ac1,0x60db06f2}},	//   _osve, ndíb, nezo_, _waum, 
   {{0x60db9b8b,0x2d949b8c,0xf8bf026a,0x6d59044d}},	//   _taum, арыс, nnés_, _phwa, 
   {{0x26d14911,0x3949023b,0x3ea9649a,0x6d590226}},	//   hezo_, _nkas_, şat_, _qhwa, 
   {{0x26d1406f,0x0b4500cf,0x69ca01c4,0xf8bf0183}},	//   kezo_, лнин, _apfe, tién_, 
   {{0x29009b8d,0x6b9b9b8e,0xfe7400f0,0x6b82007a}},	//   _soia_, rsug, _күш_, _dtog, 
   {{0x6d599b8f,0xa2ca08d2,0x26d10183,0x2bd800a5}},	//   _thwa, _सॉफ्, dezo_, _बैठा, 
   {{0x69a40a34,0x61f83372,0x62959b90,0x6d5c0036}},	//   _किरी, ävli, _lezo, _èrap, 
   {{0x69d800b9,0x3cef02a3,0x290000b3,0x6f010083}},	//   _esve, _ingv_, _voia_, _kolc, 
   {{0x62950254,0x26d19b91,0x3f9f0532,0x316d0096}},	//   _nezo, gezo_, _mvuu_, _liez_, 
   {{0x64a69b92,0xdb260183,0xf8bf0107,0x6f0100a3}},	//   лава, _ápáx, gnés_, _molc, 
   {{0xa3e09b93,0xfbd80083,0x31bc039f,0x98a20083}},	//   थिल_, _बैडम, víz_, ynkę_, 
   {{0x62950536,0x26d1019b,0xdce101dd,0x00000000}},	// [96e0] _bezo, bezo_, _atlī, --, 
   {{0xb463292b,0xdb009b94,0xdb09040b,0x00000000}},	//   скул, stmö, dreë, --, 
   {{0x62953d47,0xd24f00eb,0x9abc0405,0x60c20026}},	//   _dezo, كنك_, fiċj, tfom, 
   {{0xc09607cf,0x31bc0183,0x19b60070,0xdef70259}},	//   اجات, ríz_, טפער_, ғыш_, 
   {{0x316d5362,0x60c20216,0x63790afc,0x3f8690d9}},	//   _diez_, rfom, _асср_, upou_, 
   {{0x62959b95,0x6f015f27,0xa85700d1,0xf8bf34f9}},	//   _gezo, _colc, ניסה_, nnér_, 
   {{0x6f010141,0x2b07031e,0xdb1b0107,0xdcfa01dd}},	//   _dolc, ाउनु_, ctué, _attā, 
   {{0xd132298e,0x386d2e7d,0x78a49b96,0x62950379}},	//   _امر_, žeri_, _ndiv, _zezo, 
   {{0x5b149b97,0x6f019b98,0x6295011c,0xa2c100ae}},	//   имит, _folc, _yezo, र्व्, 
   {{0x78a42123,0x6f019b99,0x00000000,0x00000000}},	//   _adiv, _golc, --, --, 
   {{0x02c6029c,0x00000000,0x00000000,0x00000000}},	//   र्यभ, --, --, --, 
   {{0x3f84016a,0x644b00b0,0x26d12e42,0xdd8f01e5}},	//   _ktmu_, ügik, wezo_, _روه_, 
   {{0xe8d900f7,0xed576a25,0x6d44012d,0x31d100bc}},	//   _giờ_, _соц_, čiad, _सन्ध, 
   {{0x8c1b00a7,0xdb1e0219,0x78a49b9a,0x3dd20083}},	//   _אודי, övän, _ediv, ływu_, 
   {{0x62959b9b,0x7d02088f,0x26d19b9c,0x65959b9d}},	//   _rezo, _koos, rezo_, рабу, 
   {{0x9983057f,0xa775833b,0x7d029b9e,0x3f84032f}},	//   _اليو, _клич, _joos, _otmu_, 
   {{0x241813f2,0x62950369,0x26d19b9f,0x176b00b3}},	// [96f0] готы_, _pezo, pezo_, _проп_, 
   {{0x27e99ba0,0x83050086,0x7d0201d4,0xb87b00b9}},	//   _iran_, োচ্চ_, _loos, bdíc, 
   {{0x466b02f1,0xe8d900e7,0xa2c12c67,0xc1e8285b}},	//   _ярим_, _nhị_, र्ष्, льце_, 
   {{0x32649ba1,0x6f019ba2,0xa2640a27,0xd0110038}},	//   стув, _solc, съул, يلا_, 
   {{0x4ac40662,0x35ab00a5,0x8027007a,0x6f019ba3}},	//   वभाव, _छिड़, درام, _polc, 
   {{0x656f086d,0xaec400dd,0xde05527c,0xdee59ba4}},	//   _hich, йбіл, ипли, роки, 
   {{0x6f011ff5,0x656f9ba5,0xe8d90029,0x41e405c6}},	//   _volc, _kich, _chị_, _літа, 
   {{0x63ad9ba6,0x27e99ba7,0x7d02011c,0x656f0548}},	//   oran, _oran_, _coos, _jich, 
   {{0x656f4608,0x9ed90141,0x7d020e85,0x60c9016c}},	//   _mich, _имат_, _doos, _ibem, 
   {{0x656f9ba8,0x16051f19,0x15f70c46,0x4b2560cc}},	//   _lich, रहार_, ीहार_, рмов, 
   {{0x63ad9ba9,0x27e99baa,0x69de026e,0x76ce0033}},	//   hran, _aran_, _šper, িএমএ, 
   {{0x656f375f,0xf8660073,0x3dfa00d1,0x3e550108}},	//   _nich, ивно, _בלעד, _ít_, 
   {{0x63ad034c,0x60c9019b,0x27e99bab,0x6d4b9bac}},	//   jran, _mbem, _cran_, _ikga, 
   {{0x7d020201,0x656f9bad,0x6b899bae,0x27e99baf}},	//   _zoos, _aich, mpeg, _dran_, 
   {{0x63ad9bb0,0x27e99bb1,0x656f0171,0x660342c1}},	//   eran, _eran_, _bich, опра, 
   {{0x63ad9bb2,0x69c19bb3,0x7de00019,0x2a3a00d1}},	//   fran, mtle, lásá, _בעצמ, 
   {{0x27e93bb3,0x656f9bb4,0x03269bb5,0x24071ccd}},	// [9700] _gran_, _dich, адан, анти_, 
   {{0x656f9671,0x2d850026,0x60c96a14,0xa2c11a21}},	//   _eich, _otle_, _abem, र्ल्, 
   {{0x63ad9bb6,0x2d850364,0xb87b001d,0x60c9052b}},	//   aran, _ntle_, ldía, _bbem, 
   {{0x2ba6119f,0x3fe61b11,0x6d4b0415,0x69c1040b}},	//   _खिला, ижев, _nkga, itle, 
   {{0x7d02860a,0xb87b0503,0xdb09001d,0x69c100b0}},	//   _roos, ndía, nteó, htle, 
   {{0x656f9bb7,0x69c12379,0x6d4b0415,0x7d0200c2}},	//   _zich, ktle, _akga, _soos, 
   {{0x656f0c67,0xdd979bb8,0x7de00019,0x71a301a2}},	//   _yich, ашы_, dásá, _марз, 
   {{0x614365ec,0x9cca00e4,0x5bb89bb9,0x24809bba}},	//   _деса, тыка_, глия_, ncim_, 
   {{0x69c19bbb,0x02c600bd,0x00831918,0xa0671087}},	//   etle, र्थभ, _флуо, _вата_, 
   {{0xe8d900f7,0x5b14030f,0x31784738,0xada600dd}},	//   _thị_, смот, _kurz_, _важл, 
   {{0x257c0084,0x13cf00cc,0xbca600d4,0x63ad9bbc}},	//   _níl_, রিয়, _نماي, zran, 
   {{0x27e9158b,0x98a20243,0x254a0028,0x6b8900a1}},	//   _pran_, tikā_, nėlę_, bpeg, 
   {{0xd83b0528,0x656f9bbd,0x69c19bbe,0xdc54006b}},	//   тэн_, _rich, atle, _اراک, 
   {{0x656f9bbf,0x291900a3,0x257c003e,0x98a20243}},	//   _sich, shsa_, _bíl_, rikā_, 
   {{0x656f086d,0x35e40451,0x69c102b0,0x257c02d9}},	//   _pich, оцтв, ctle, _cíl_, 
   {{0x796900ab,0x63ad5190,0x257c00bc,0xf99300d1}},	//   _oświ, tran, _díl_, _ורק_, 
   {{0x656f9bc0,0xd3710fce,0x98ab0474,0x00000000}},	// [9710] _vich, سها_, ancă_, --, 
   {{0x656f02f2,0x59da0fec,0x63ad9bc1,0x65646d71}},	//   _wich, _बनार, rran, amih, 
   {{0x63ad91a3,0x656f9bc2,0x644f00ab,0xc69202a1}},	//   sran, _tich, _wyci, _מאי_, 
   {{0x63ad9bc3,0x7de00019,0x7a0a00ad,0x386d00ca}},	//   pran, zásá, mətd, žeru_, 
   {{0x752d9bc4,0x6b5d0212,0x3ea500b9,0xe8d90108}},	//   miaz, lège, _pdlt_, _nhọ_, 
   {{0x752d9bc5,0x2d956bdb,0x43949bc6,0x33944ea2}},	//   liaz, брис, _фарс, _фарё, 
   {{0x51840a27,0x692b031e,0x816b9bc7,0x7de0010e}},	//   _мута, vřen, _араб_, vásá, 
   {{0x752d9bc8,0x657a0038,0x3d9500a3,0x5bc50038}},	//   niaz, íthi, _ҳижр, مقبل, 
   {{0x30156890,0x7de0006b,0x692b031e,0x2ca60156}},	//   _удар, tásá, třen, _ddod_, 
   {{0x69c19bc9,0x6b899bca,0xe9d92b68,0xdb1b00b9}},	//   ttle, rpeg, гко_, rtuï, 
   {{0x6b899bcb,0x39464228,0x7de0039f,0x752d9bcc}},	//   speg, йног, rásá, kiaz, 
   {{0x6b8907a0,0x69c19bcd,0x6d44020b,0x8936007a}},	//   ppeg, rtle, čiac, إعدا, 
   {{0x752d9bce,0x7d1b5d8f,0x291e012d,0x1ae50e4e}},	//   diaz, mhus, ėta_, _голм, 
   {{0x7d1b09ad,0x00000000,0x00000000,0x00000000}},	//   lhus, --, --, --, 
   {{0xba9a0056,0x1a650116,0x7d1b095a,0x490403aa}},	//   _עסקי, _دیدی_, ohus, _дүнг, 
   {{0x15b8005e,0x752d9bcf,0x7d1b579d,0xf8dc2f06}},	//   лығы_, giaz, nhus, _बसिय, 
   {{0x42ca3e78,0x27b3004e,0xdb090369,0x13ea4547}},	// [9720] лган_, _нәрс, lteñ, ымай_, 
   {{0x656400a1,0x57fb0486,0xd83f02d9,0x2379017b}},	//   smih, _עליו, áček_, _dusj_, 
   {{0xdb090496,0x7d1b3c9d,0x8b5600c7,0xe61200d4}},	//   nteñ, khus, ציעס_, _رشد_, 
   {{0x752d5aac,0xd83f0352,0xacc1078a,0xc8b80466}},	//   ciaz, šček_, _şûnd, अलिट, 
   {{0x7d1b9bd0,0xd9a41e7b,0x00000000,0x00000000}},	//   dhus, _खट्ट, --, --, 
   {{0x6e931876,0xe4570070,0x201a0083,0xd0070267}},	//   пишу, _ליכט_, ąpi_, сеље_, 
   {{0xacf80934,0x7de600f0,0x0eb90528,0x44209bd1}},	//   инку_, сілд, ручы_, lzi_, 
   {{0x629e9bd2,0x7d1b9bd3,0x44200539,0xc5f300df}},	//   lapo, ghus, ozi_, לדו_, 
   {{0x44209bd4,0x77e20299,0xfe723629,0x660e00da}},	//   nzi_, गटोक_, _فدا_, hybk, 
   {{0xbea35e77,0x629e9bd5,0x752d9bd6,0x5a341d65}},	//   _наук, napo, ziaz, жнот, 
   {{0x9cca09d5,0xaa582dd2,0x7d1b0566,0x63b60210}},	//   _была_, рину_, bhus, huyn, 
   {{0xeb9a4b5e,0x629e2244,0xe8d900e7,0xec7a6602}},	//   _бид_, hapo, _thọ_, _спд_, 
   {{0x629e9bd7,0x6ebf000f,0x752d9bd8,0xab2a23ef}},	//   kapo, ल्कु, viaz, _йода_, 
   {{0x44209bd9,0x1ddc1451,0x69dc1494,0xdc3b00c7}},	//   dzi_, _मनात, æres, _געדר, 
   {{0x50c802e6,0x44209bda,0x629e045a,0x752d9bdb}},	//   रभाष, ezi_, dapo, tiaz, 
   {{0x7a0a0095,0xa3e500aa,0x2f0b00fc,0x25ac1102}},	//   rətd, पटल_, _høgt_, ádla_, 
   {{0xc29906ba,0x629e0379,0x7a0a0248,0x6b5d011c}},	// [9730] иках_, fapo, sətd, sège, 
   {{0x394b19cb,0x24990102,0x20d30108,0x6aba0b41}},	//   locs_, _wesm_, _ải_, ngtf, 
   {{0xe5c79bdc,0x442028f7,0xd25b00d9,0x752d9bdd}},	//   _успо, azi_, уца_, piaz, 
   {{0x63b629a2,0x44209bde,0xe1f00038,0x90558049}},	//   buyn, bzi_, عسل_, овец, 
   {{0x7d1b1950,0x692b02d9,0x629e2eef,0x753d039b}},	//   vhus, vřel, bapo, _ijsz, 
   {{0x079c00a7,0xa19500e4,0x3f69155d,0x645d9bdf}},	//   נסול, _магч, шило_, _izsi, 
   {{0xe8d90029,0x6ebf17f6,0x6d4902b0,0x7d1b9be0}},	//   _nhỏ_, ल्गु, toea, thus, 
   {{0x51845dd9,0x394b022c,0xdb1b0183,0xdb8502da}},	//   _хура, jocs_, rtuí, огии, 
   {{0xfc31057f,0x7d1b0310,0x7f940965,0x98a217d0}},	//   بحث_, rhus, _натх, niką_, 
   {{0x7d1b9be1,0x212f9be2,0x00000000,0x00000000}},	//   shus, ligh_, --, --, 
   {{0x44209be3,0xb87b9be4,0x394b03dd,0xe9d600b3}},	//   zzi_, rdín, focs_, окэ_, 
   {{0xc6892aa8,0x212f00eb,0xdb090634,0x7afc0219}},	//   _יא_, nigh_, rteñ, örtr, 
   {{0xeb9908ac,0x81c10086,0x2f100465,0xdb09033c}},	//   _тил_, ্টি_, _bàgh_, steñ, 
   {{0x212f01c5,0x9f440165,0xfa6900d3,0x44209be5}},	//   high_, _irmã_, _калк_, vzi_, 
   {{0x366a275d,0x7ae30180,0xdb0900e9,0x442064c6}},	//   раво_, _iant, nreí, wzi_, 
   {{0x7ae39be6,0x442002ba,0x81c10086,0x629e06f2}},	//   _hant, tzi_, ্টা_, wapo, 
   {{0x7ae3580d,0x629e03eb,0x66e60316,0x44209be7}},	// [9740] _kant, tapo, _допа, uzi_, 
   {{0x7ae31187,0x44209be8,0x27e09be9,0x6b840038}},	//   _jant, rzi_, _isin_, _éige, 
   {{0x4420006b,0x68e49bea,0x8c3d0095,0x75460cda}},	//   szi_, _kaid, laşd, _мноз, 
   {{0x26d89beb,0x29020688,0x4fea9bec,0xa2ca0035}},	//   lero_, njka_, имен_, _सॉर्, 
   {{0x795d09e8,0x7ae39bed,0x68e412eb,0x2fd62c4e}},	//   néwa, _oant, _maid, تتاح, 
   {{0x26d89bee,0xf4130052,0x7ae39bef,0x68e49bf0}},	//   nero_, _חפש_, _nant, _laid, 
   {{0x63a49bf1,0x629c002a,0x27e000a3,0xdb090126}},	//   lsin, _iero, _lsin_, greí, 
   {{0x7ae316af,0x26d89bf2,0x68e4004c,0xf1c3037f}},	//   _aant, hero_, _naid, žší_, 
   {{0xa2ca700a,0x629c9bf3,0x26d89bf4,0xa2c1102c}},	//   स्थ्, _kero, kero_, र्क्, 
   {{0x629c9bf5,0x26d89bf6,0x3d182dcd,0x68f6199b}},	//   _jero, jero_, _déwa_, _anyd, 
   {{0x7ae39bf7,0x629c4528,0x26d89bf8,0xdb0905b9}},	//   _dant, _mero, dero_, creí, 
   {{0x7c6500d4,0x68e49bf9,0x25b8011c,0x2d8e0380}},	//   _کامل, _caid, durl_, mpfe_, 
   {{0x7ae39bfa,0x26d89bfb,0x2fc69bfc,0x68e42e31}},	//   _fant, fero_, ntog_, _daid, 
   {{0x629c4087,0x26d81f69,0x940b0095,0xe8d90023}},	//   _nero, gero_, _gecə_, _thỏ_, 
   {{0xd49b1a9e,0x68e49bfd,0xc1c900ab,0x63a49bfe}},	//   ира_, _faid, _रहेग, esin, 
   {{0x68e49bff,0x7ae39c00,0x25ad3fa3,0x63a49c01}},	//   _gaid, _zant, čel_, fsin, 
   {{0x63a49c02,0x26d89c03,0x7ae39c04,0x61ee7775}},	// [9750] gsin, bero_, _yant, _arbl, 
   {{0x68e42083,0xa3ac000f,0x26d807f1,0x61ee0571}},	//   _zaid, _गिर_, cero_, _brbl, 
   {{0x212f00eb,0xdb1b9c05,0x8c3d0218,0x26c1044d}},	//   tigh_, ntuá, maşe, _icho_, 
   {{0x6f1a00d9,0x63a49c06,0x69cd010b,0x644b00c2}},	//   _altc, bsin, _तहसी, ügis, 
   {{0x629c5531,0xf48400d4,0x212f0a92,0x2fc69c07}},	//   _fero, _تاپی, righ_, gtog_, 
   {{0x629c9c08,0x2d951234,0x212f0038,0xdb1b2c26}},	//   _gero, прис, sigh_, ktuá, 
   {{0x7ae39c09,0x6d4433e4,0x61ee0082,0x62859c0a}},	//   _rant, čian, _grbl, mcho, 
   {{0x7ae3102b,0x628551e3,0x26d89c0b,0xeb990176}},	//   _sant, lcho, zero_, бии_, 
   {{0x26c108f4,0x629c01a3,0x26d89c0c,0x2b8000a1}},	//   _ocho_, _yero, yero_, _còc_, 
   {{0x62859c0d,0x629c6dfc,0x68e49c0e,0x26c10201}},	//   ncho, _xero, _said, _ncho_, 
   {{0x26d89c0f,0x68e49c10,0x63a49c11,0x8c9500f0}},	//   vero_, _paid, zsin, _ерлі, 
   {{0x26c103b7,0x7c2d9443,0x9f4403da,0x63a49c12}},	//   _acho_, _žaru, _irmá_, ysin, 
   {{0x7ae39c13,0x26d89c14,0x68e49c15,0x25b80175}},	//   _tant, tero_, _vaid, wurl_, 
   {{0x7ae3023b,0x62859c16,0x25ac026e,0xbbe90274}},	//   _uant, jcho, ádlo_, _پرچم_, 
   {{0x26d828f4,0x62859c17,0x68e49c18,0x629c023e}},	//   rero_, dcho, _taid, _rero, 
   {{0x629c9c19,0x63a49c1a,0x26d89c1b,0xb4e63024}},	//   _sero, tsin, sero_, पये_, 
   {{0xa5070141,0xd467386d,0xa44302f1,0x61ee4179}},	// [9760] чета_, зите_, ентд, _srbl, 
   {{0x63a49c1c,0x6aa1098d,0x969602f1,0x213f011c}},	//   rsin, nalf, _эриш, _ajuh_, 
   {{0x629c9c1d,0x41b611db,0x63a43455,0xc8b50019}},	//   _vero, ясат, ssin, _علیک, 
   {{0x63a49c1e,0x629c9c1f,0x00000000,0x00000000}},	//   psin, _wero, --, --, 
   {{0x28c10e17,0x4abd1d5b,0x6285014b,0x6f089c20}},	//   ष्टि, ्भाव, bcho, _podc, 
   {{0x657e0727,0x62850465,0x39400082,0xb87b010e}},	//   _kuph, ccho, _ljis_, gdíj, 
   {{0x39819c21,0xe2973a47,0x3243734e,0x52d800b0}},	//   _nós_, _хас_, _зерг, ड़ीस, 
   {{0xc0e39c22,0x657e0532,0xa3b300bc,0x2fc69c23}},	//   _поск, _muph, _टिम_, ptog_, 
   {{0x61435d27,0x657e016a,0x2ee50090,0x00000000}},	//   _чета, _luph, _falf_, --, 
   {{0xfbcf00b1,0xef170088,0x39810183,0x6aa18460}},	//   اتي_, _ему_, _bós_, galf, 
   {{0xa2c1047c,0x58d920f7,0x39812b86,0x62830372}},	//   र्ट्, одня_, _cós_, žnog, 
   {{0xdb1b31c7,0x62854b2d,0x69cd00a5,0x14ce122e}},	//   rtuá, zcho, _तहरी, ह्मण, 
   {{0xdb1b0165,0x3940045a,0x78bd4aa4,0x6aa103c6}},	//   stuá, _djis_, rgsv, balf, 
   {{0x39810084,0x6aa1022c,0xf53f00fc,0x2c09031e}},	//   _fós_, calf, _sjå_, िहरू_, 
   {{0x661402d9,0xe3b31372,0x00000000,0x00000000}},	//   _čeká, کرز_, --, --, 
   {{0xe9450a24,0x2a3b00d1,0x00000000,0x00000000}},	//   _ترتی, _לעומ, --, --, 
   {{0x62859c24,0x3ce60082,0x78ad8f2c,0x337562ea}},	// [9770] tcho, _maov_, _idav, дгар, 
   {{0x212d9c25,0x628510cc,0xc3540267,0x00000000}},	//   _smeh_, ucho, екуј, --, 
   {{0x62850e3c,0xcb130137,0x69c800f6,0x2ee51f09}},	//   rcho, עלע_, ntde, _ralf_, 
   {{0xf8bf9c26,0x62859c27,0x311401fc,0x2ee50ff2}},	//   ngé_, scho, нфіс, _salf_, 
   {{0x31640242,0xf8bf0107,0xdee59c28,0x9f8425b2}},	//   _dhmz_, liés_, доли, егід, 
   {{0x64400455,0xdb094724,0x69c86003,0x777700a4}},	//   _žmig, kreá, ktde, _jixx, 
   {{0x316400ef,0xa3e5000d,0x7777008a,0x692b02d9}},	//   _fhmz_, पटक_, _mixx, přeh, 
   {{0x78ad0610,0x3d18011c,0xdef8008a,0x777701f2}},	//   _ndav, _déwo_, _enċ_, _lixx, 
   {{0x6aa14503,0x69c89c29,0x1c45004f,0xfaa503a1}},	//   talf, etde, ьним, үшүн, 
   {{0x398102a0,0xc9a900c8,0x78ad0204,0x89a900c8}},	//   _pós_, овое_, _adav, оков_, 
   {{0xd9469c2a,0xa96a6199,0x6aa146ce,0xbbeb039f}},	//   дени, жина_, ralf, _گرام_, 
   {{0x39812147,0xf8bf0107,0x07a68e8e,0x657e00a1}},	//   _vós_, diés_, мамн, _ruph, 
   {{0x69ce0216,0xbbeb009c,0x2cbf16fa,0x200b03dd}},	//   çber, _درام_, mgud_, _àcid_, 
   {{0xdb0900eb,0xf8bf0107,0xab64004f,0x7bc90548}},	//   breá, fiés_, _звіл, mteu, 
   {{0xbb520e05,0x28c600a5,0x69c82557,0x9f4d0126}},	//   _جنوب, _वापि, ctde, _creé_, 
   {{0x2cbf007e,0x2919024a,0x7d0b010e,0x2d533c2a}},	//   ngud_, ërat_, _jogs, mães_, 
   {{0x7bc99c2b,0x31640082,0x7d060080,0x3f8d0096}},	// [9780] nteu, _rhmz_, öksi, _nteu_, 
   {{0xe8d90124,0xa3cf0eda,0x446303b7,0x7bc99c2c}},	//   _thể_, _शहर_, твув, iteu, 
   {{0xaacf2290,0xa50a9c2d,0xe2b50528,0xf8bf9c2e}},	//   त्यक, _дена_, эстэ, ciés_, 
   {{0x7bc99c2f,0x7d0b0b22,0xf8bf0098,0x6265022a}},	//   kteu, _nogs, liér_, رالق, 
   {{0xd12f09e8,0x10a39c30,0xdfd00625,0x77770065}},	//   جمن_, тичн, ايت_, _yixx, 
   {{0x6d44012d,0xaacf176c,0x644600b4,0xf8bf0574}},	//   čiam, त्मक, _ixki, niér_, 
   {{0x7d0b9c31,0x98a900ef,0x69c84cc5,0x2d8c019c}},	//   _bogs, _smač_, xtde, _qtde_, 
   {{0xfbaa0080,0x71a601a2,0x00000000,0x00000000}},	//   отой_, _наҳз, --, --, 
   {{0x7d0b0626,0xaec69c32,0x64430216,0x00000000}},	//   _dogs, _обал, şniv, --, 
   {{0x1f639c33,0x93fb008d,0x98a000ab,0xdb090068}},	//   _акум, קליי, _imię_, treá, 
   {{0x19599c34,0x693517fc,0x02b700d1,0x7bc99c35}},	//   заны_, енну, והים_, ateu, 
   {{0x7d0b0065,0x27f29c36,0xd83f020b,0x00000000}},	//   _gogs, _bryn_, áčok_, --, 
   {{0x7bc99c37,0xf8bf026a,0x69c89c38,0x27f2017c}},	//   cteu, rgé_, stde, _cryn_, 
   {{0xf8bf0212,0x69c80026,0x92c20033,0x00000000}},	//   tiés_, ptde, ্যু_, --, 
   {{0xcad70056,0xa4d50965,0x8c3d00ad,0x94d500ff}},	//   _חוות_, нові, maşa, новц, 
   {{0x78ad034c,0xf8bf026a,0x27f29c39,0x63b60156}},	//   _udav, riés_, _fryn_, fryn, 
   {{0x2919002a,0x24580088,0x27f24143,0x63b69c3a}},	// [9790] ūras_, дать_, _gryn_, gryn, 
   {{0xd25b6556,0x00000000,0x00000000,0x00000000}},	//   оце_, --, --, --, 
   {{0x5184012d,0x85750088,0x28c600b0,0x644600b4}},	//   вуча, _плох, _वामि, _exki, 
   {{0x63b66140,0xc61b029c,0xa5d80e0e,0x00000000}},	//   bryn, ननीय_, _کبیر_, --, 
   {{0x24b600c7,0xf8bf026a,0x9f35004f,0x656d9c3b}},	//   _אהרן_, chée_, неді, mmah, 
   {{0x2f1800c8,0x62830097,0xe7b200a5,0x656d9c3c}},	//   мочь_, žnob, _जिसप, lmah, 
   {{0xc332027a,0x9258128b,0xa3e75582,0xddc10243}},	//   _עול_, _жарт_, भिक_, _izlū, 
   {{0x7bc99c3d,0x656d9c3e,0xef190035,0xeb999c3f}},	//   tteu, nmah, _duża_, пии_, 
   {{0x656d01f1,0x6d4200ca,0x7bc99c40,0x4fc40259}},	//   imah, _djoa, uteu, _асха, 
   {{0x656d64e5,0x7bc99c41,0x2d5302be,0x00000000}},	//   hmah, rteu, tães_, --, 
   {{0xf2d200c7,0x656d36ff,0x7d0b1ec7,0x13d80033}},	//   נעט_, kmah, _togs, সিয়, 
   {{0x7bc9026a,0x656d00ef,0x2d533c2a,0x7a0a00ad}},	//   pteu, jmah, rães_, mətl, 
   {{0x395e00e0,0x656d2d6c,0x7a0a00ad,0xb8d80299}},	//   ēts_, dmah, lətl, _चय_, 
   {{0x6d5b01ee,0x6446016a,0xdb0903dd,0xaa4575cd}},	//   llua, _rxki, dreç, _пелл, 
   {{0xceb2864b,0xf8bf026e,0x6abd7722,0xfb1a00d1}},	//   טים_, riér_, ्भीर, _מוסמ, 
   {{0x2edc000d,0x63b644da,0x656d29b7,0x6d5b9c42}},	//   _यस्त, tryn, gmah, nlua, 
   {{0x6d5b9c43,0xc2b602a6,0x33668c38,0x7a0a0248}},	// [97a0] ilua, ељењ, еваг, hətl, 
   {{0x656d7abe,0x78a615bc,0x7a0a00ad,0x63b60090}},	//   amah, lakv, kətl, rryn, 
   {{0x64a613c6,0xda0f0586,0xe0da0b24,0xe2979c44}},	//   _пана, ाहित_, зве_, хах_, 
   {{0x92c2100b,0x4fc617b4,0x98ab00b3,0xf8bf0212}},	//   ্যে_, еска, mică_, phée_, 
   {{0x98ab00d9,0x6d5b9c45,0x9f4d00b9,0xdb09019c}},	//   lică_, dlua, _creï_, creç, 
   {{0xde580009,0xdf450176,0xdd9a9c46,0x00000000}},	//   малі_, вҷуд_, пши_, --, 
   {{0xe3571a61,0x78a602f5,0x98ab002e,0xdef800f0}},	//   _נשלח_, kakv, nică_, зық_, 
   {{0xafe65dbb,0x201100ad,0xdb0900c8,0x2f1000f6}},	//   _побл, _əziz_, hreä, _pàgs_, 
   {{0xcf463e23,0x8c3d9c47,0x00000000,0x00000000}},	//   _знай, taşa, --, --, 
   {{0x7a0a0095,0xef19003d,0xb87b02aa,0x60c20028}},	//   bətl, _tuża_, ndív, lgom, 
   {{0x6d5b9c48,0x673500e5,0xe8952f1c,0x7524019b}},	//   blua, vizj, кань, khiz, 
   {{0x60c29c49,0x28c60527,0x98ab00d9,0x67350035}},	//   ngom, _वाणि, dică_, wizj, 
   {{0xd7fb9c4a,0xac970038,0x291901a4,0xd7f87b5c}},	//   чун_, _أنها_, rksa_, нур_, 
   {{0x98ab00d9,0xb6e43197,0xd763015f,0xc6e40259}},	//   fică_, люск, انسی, лісп, 
   {{0x24890626,0xaa579c4b,0xd567130f,0x6d400326}},	//   tcam_, _пишу_, етап, onma, 
   {{0x7aea9c4c,0x6d409c4d,0x92bd0086,0x6b820053}},	//   _haft, nnma, _আসে_, _kuog, 
   {{0x24899c4e,0x7aea9c4f,0x6d4005e2,0x00000000}},	// [97b0] rcam_, _kaft, inma, --, 
   {{0xdbc7007e,0x2489255d,0xdb090165,0x7a0a0095}},	//   _tööp, scam_, rreç, yətl, 
   {{0x6b820141,0x24899c50,0xb87b0369,0x7aea9c51}},	//   _luog, pcam_, seíd, _maft, 
   {{0x75249c52,0x41d2017d,0x7aea6242,0x6d4001d2}},	//   chiz, _सहरस, _laft, jnma, 
   {{0x5eaa0086,0x3d044493,0x6b820009,0x6d5b006d}},	//   চ্ছে, वाने_, _nuog, vlua, 
   {{0x44299c53,0x6d409c54,0x141a00d1,0x63bf0036}},	//   mza_, enma, _חושב, muqn, 
   {{0x1ea80038,0xe570009c,0x00000000,0x00000000}},	//   راوي_, _خطی_, --, --, 
   {{0x44299c55,0x7a0a0095,0x5ff51782,0x6d400e79}},	//   oza_, rətl, _избу, gnma, 
   {{0x6d5b2998,0x98ab00d9,0x0b4502f1,0x7aea9c56}},	//   rlua, zică_, книн, _baft, 
   {{0x4429822a,0x7aea3076,0x2919010c,0x6d5b9c57}},	//   iza_, _caft, êran_, slua, 
   {{0x7aea9c58,0x3ea79c59,0x27260023,0x6d5b9c5a}},	//   _daft, mant_, _hông_, plua, 
   {{0x3ea71353,0x61f51af7,0x27260023,0xe8f71ca5}},	//   lant_, _mrzl, _kông_, влю_, 
   {{0x7d090f30,0x44299c5b,0x88e30086,0x6b54022c}},	//   mjes, jza_, যাংক, ràgr, 
   {{0x44299c5c,0x3ea79c5d,0x7d099c5e,0x98ab002e}},	//   dza_, nant_, ljes, tică_, 
   {{0x80d22569,0x44299c5f,0x64a600e4,0x2726001b}},	//   ण्डे, eza_, кава, _lông_, 
   {{0x3d040366,0x98ab00d9,0x7d099c60,0x442900ef}},	//   वाये_, rică_, njes, fza_, 
   {{0x2726001b,0x03a603dc,0x7d1b9c61,0x98ab020f}},	// [97c0] _nông_, тизо, ikus, sică_, 
   {{0x3ea7361d,0x75240199,0x7d1b14b9,0x798306e4}},	//   jant_, shiz, hkus, _kunw, 
   {{0x44290012,0x3ea79c62,0x7d1b309f,0x7d097e9e}},	//   aza_, dant_, kkus, kjes, 
   {{0xdd94005e,0x6ec42659,0x272600e7,0x44299c63}},	//   ңалы, _राहु, _bông_, bza_, 
   {{0x27260124,0x4429006a,0x7c299c64,0x3ea70c04}},	//   _công_, cza_, jzer, fant_, 
   {{0x3ea79c65,0xef1900ab,0x272600e7,0x7c299c66}},	//   gant_, _dużo_, _dông_, dzer, 
   {{0x20000aa4,0x7de6004e,0x3da300d3,0x7afe022c}},	//   ţii_, тілд, арыб, _òpti, 
   {{0x7aea050f,0x7d099c67,0xaacf0484,0x7d1b3942}},	//   _saft, gjes, त्सक, gkus, 
   {{0x3ea79c68,0x6aa39c69,0x6d40238e,0xafe319e4}},	//   bant_, _benf, rnma, _котл, 
   {{0x3ea79c6a,0x2d6e031e,0xf8eb00a5,0x6aa30090}},	//   cant_, _přes_, _जोड़ा_, _cenf, 
   {{0xc3330052,0x44299c6b,0x3f840053,0xdb00003e}},	//   שות_, zza_, _humu_, gsmá, 
   {{0x78a41286,0x44299c6c,0x3f849c6d,0x3ced0026}},	//   _ceiv, yza_, _kumu_, cdev_, 
   {{0xead42a50,0x99640afc,0x3f840065,0x7c290035}},	//   _боль, ртэл, _jumu_, czer, 
   {{0x7bc09c6e,0x07a402c0,0x3f840298,0x6aa39c6f}},	//   mumu, раён, _mumu_, _genf, 
   {{0x7bc09c70,0x4b7b00c7,0x44299c71,0xd4c74123}},	//   lumu, _קאוו, wza_, ксап, 
   {{0x44299c72,0x3ea70d22,0x628e9c73,0x3f8402a5}},	//   tza_, zant_, _afbo, _oumu_, 
   {{0x3ea79c74,0x44299c75,0x21260089,0xaacf031e}},	// [97d0] yant_, uza_, dhoh_, त्वक, 
   {{0x44299c76,0x8c3d0749,0x27e905f0,0x3ea79c77}},	//   rza_, daşl, _isan_, xant_, 
   {{0x3ea79c78,0x44299c79,0x8af706d0,0x7c299c7a}},	//   vant_, sza_, _şəki, zzer, 
   {{0x7bc09c7b,0x4429016a,0x3f8401a3,0x3ea700f3}},	//   kumu, pza_, _bumu_, want_, 
   {{0x7bc09c7c,0x7d090f30,0x68ed9c7d,0x14d6008d}},	//   jumu, vjes, _maad, _גורל_, 
   {{0x68ed9c7e,0x657d9c7f,0x7bc0311d,0x63ad9c80}},	//   _laad, _hish, dumu, msan, 
   {{0x3ea79c81,0x657d9c82,0xed599c83,0x41e428a8}},	//   rant_, _kish, нок_, _кіта, 
   {{0x3ea79c84,0x68ed9c85,0x7bc0926f,0x272600e7}},	//   sant_, _naad, fumu, _tông_, 
   {{0x7d099c86,0x60c902fe,0x3ea702df,0x78a49c87}},	//   rjes, _icem, pant_, _reiv, 
   {{0x657d00cf,0x63ad9c88,0x78a49c89,0x645d9c8a}},	//   _lish, isan, _seiv, _mysi, 
   {{0x68ed2083,0x7c290105,0x7d099c8b,0x98a689e7}},	//   _baad, szer, pjes, лине, 
   {{0x3ea517f1,0x8c3d0824,0x657d9c8c,0x68ed0027}},	//   _helt_, laşm, _nish, _caad, 
   {{0xb8ec451b,0x7bc09c8d,0x68ed0a58,0x6d5951a8}},	//   _ला_, cumu, _daad, _ikwa, 
   {{0x63ad0c29,0x2d859c8e,0x8afc00ab,0x636b008f}},	//   dsan, _kule_, ględ, nünd, 
   {{0x27e99c8f,0x1dc601ec,0x7ae185ae,0xd62a9c90}},	//   _esan_, रूपत, melt, хове_, 
   {{0x28d30081,0x68ed01a3,0xaacf2b48,0x366a03dc}},	//   ध्दि, _gaad, त्रक, даҳо_, 
   {{0x69c19c91,0x2d859c92,0x63ad9c93,0x2fcd006d}},	// [97e0] lule, _lule_, gsan, _nqeg_, 
   {{0x7ae19c94,0x2900023b,0x29129c95,0xb87b0019}},	//   nelt, _hnia_, _hoya_, rdít, 
   {{0x2b8900f7,0x69c19c96,0xe8d90029,0x6d599c97}},	//   _lúc_, nule, _nhớ_, _okwa, 
   {{0x645d2379,0x657d9c98,0x29120327,0xd026004e}},	//   _fysi, _gish, _joya_, лмей, 
   {{0x69c19c99,0x7ae19c9a,0x63ad5ac0,0x29129c9b}},	//   hule, kelt, csan, _moya_, 
   {{0x6d599c9c,0x69c19c9d,0x2d850bf4,0x29129c9e}},	//   _akwa, kule, _bule_, _loya_, 
   {{0x657d9c9f,0x7ae19ca0,0x69c14efc,0x6da31b11}},	//   _yish, delt, jule, бија, 
   {{0x69c19ca1,0x2d859ca2,0x39ae012d,0x29129ca3}},	//   dule, _dule_, vęs_, _noya_, 
   {{0x68ed4199,0x7a0a0095,0x6d4e033c,0x2b890023}},	//   _raad, məti, _íbam, _cúc_, 
   {{0x68ed9ca4,0x7bc09ca5,0x29009ca6,0x6d599ca7}},	//   _saad, rumu, _ania_, _ekwa, 
   {{0x69c19ca8,0xdd8f00c5,0x2d859ca9,0x7bc09caa}},	//   gule, _فول_, _gule_, sumu, 
   {{0x7bc09cab,0x63ad9cac,0x92e00086,0x39ae0009}},	//   pumu, ysan, থায়_, ręs_, 
   {{0x9cd70056,0x68ed088f,0x657d70ad,0x290000ab}},	//   _תודה_, _vaad, _rish, _dnia_, 
   {{0x2d850010,0x6d44012d,0x7ae19cad,0x68ed319a}},	//   _yule_, čiau, celt, _waad, 
   {{0x69c19cae,0x657d9caf,0x645d9cb0,0x29123ca5}},	//   cule, _pish, _sysi, _foya_, 
   {{0x63ad9cb1,0x657d00cf,0x34955f4d,0x636b9cb2}},	//   tsan, _qish, раар, zünd, 
   {{0x27e94706,0x2b89001b,0xb97c0070,0x83352f7b}},	// [97f0] _usan_, _xúc_, _אנהי, анах, 
   {{0x29129cb3,0x6b5d03a1,0x645d0228,0x60c901d8}},	//   _zoya_, tègi, _vysi, _scem, 
   {{0x645d9cb4,0x657d9cb5,0x3267152f,0x7a0a00ad}},	//   _wysi, _tish, утав, fəti, 
   {{0x417400eb,0x645d0035,0x63ad9cb6,0x7ae19cb7}},	//   مانس, _tysi, psan, zelt, 
   {{0x69c19cb8,0x2d859cb9,0x636b0540,0x63ad25e7}},	//   zule, _sule_, tünd, qsan, 
   {{0x2d859cba,0x6d599cbb,0x9f4d0038,0xdb000c98}},	//   _pule_, _skwa, _breá_, nsmä, 
   {{0x28c60586,0x7a0a0095,0x9f4d0126,0x636b9cbc}},	//   _वालि, bəti, _creá_, ründ, 
   {{0x3ea502f2,0xa3b90262,0xa3e91d3d,0x2d852ca4}},	//   _welt_, _घटा_, _मना_, _vule_, 
   {{0xdcfa002a,0x7ae19cbd,0x3ea5381e,0x69c18ad0}},	//   _attē, telt, _telt_, wule, 
   {{0x69c19cbe,0x29120204,0x2d850e0f,0x394900c2}},	//   tule, _soya_, _tule_, _ajas_, 
   {{0x8e840084,0xa2ca03a2,0x39462918,0x7dfc00b3}},	//   _المه, स्ट्, иног, _căsă, 
   {{0x69c10a1d,0x6d5961d6,0x7ae19cbf,0x1bd52dc4}},	//   rule, _ukwa, selt, _водя, 
   {{0x6d440187,0x69c19cc0,0x7ae19cc1,0x98ab0083}},	//   čiat, sule, pelt, nicę_, 
   {{0x69c19cc2,0x9a8700a3,0xf7721930,0x38697925}},	//   pule, _судл, تاج_, _dzar_, 
   {{0xe8d90029,0x29129cc3,0xe5a608ac,0x7a0a0095}},	//   _giữ_, _toya_, риби, yəti, 
   {{0x778611f0,0xb87b001d,0xe8d90108,0x29009cc4}},	//   _клиз, seía, _khờ_, _unia_, 
  
   {{0xdb090a47,0xe2ca9cc5,0x37e600a3,0xd3874c8a}},	// [9800] queó, клад_, _топг, ийте_, 
   {{0x130300dd,0xdce20023,0xd9ec3b3e,0xe61a1cc1}},	//   озум, _khoă, _जनमत_, _адо_, 
   {{0x673c052a,0x9c82014b,0x00000000,0x00000000}},	//   mirj, áčko, --, --, 
   {{0x316d0518,0xf8c604cc,0x661c9cc6,0x46d202d9}},	//   _chez_, वलिय, myrk, द्रह, 
   {{0xe8d9001b,0x3d040c46,0xee1e0484,0xdb090126}},	//   _nhờ_, वासे_, बन्ध_, hueñ, 
   {{0x6b8400eb,0xe297401f,0x2f5603b7,0xd83f014b}},	//   _éigi, _вар_, штес, _účel_, 
   {{0x32070088,0x98a00604,0x208a035b,0xdb0037b4}},	//   änyt_, _alič_, _айби_, nsmå, 
   {{0x387f015e,0x673c024a,0x71591299,0xdb090126}},	//   žuri_, hirj, _брус_, dueñ, 
   {{0x673c3356,0xe8d90029,0xeb069cc7,0x6eb60038}},	//   kirj, _chờ_, ачно, _نصائ, 
   {{0x3d04034d,0x7dfc00b3,0x661c0f5b,0xdb002c2c}},	//   वाहे_, _păsă, kyrk, ksmå, 
   {{0xdb09060f,0xd5b10023,0xe91901fc,0x3d1817f9}},	//   gueñ, ới_, гоні_, _séwu_, 
   {{0x6d449cc8,0x661c447c,0xdb0032b9,0x00000000}},	//   čias, dyrk, dsmå, --, 
   {{0x7d029cc9,0xdce8012d,0xab9400eb,0x6ecd0c64}},	//   _inos, _sudė, _التغ, _सामु, 
   {{0xa2c2000d,0x7bdb035c,0x3d042221,0x69cf00b3}},	//   _लाग्, _סקוו, वावे_, ăcer, 
   {{0xdb009cca,0xe45f00c8,0xca7600f0,0x00000000}},	//   gsmå, _syö_, _туды, --, 
   {{0x8a7b00a7,0xd4989ccb,0x38699ccc,0x26da02a5}},	//   _באות, иру_, _tzar_, _ebpo_, 
   {{0x39599ccd,0x00000000,0x00000000,0x00000000}},	// [9810] moss_, --, --, --, 
   {{0x39591e2d,0xa37b02be,0x673c0604,0x00000000}},	//   loss_, _opõe, cirj, --, 
   {{0x6ecd0a34,0x7d02052b,0x8c1a0033,0x940500ad}},	//   _साबु, _onos, _তেমন_, _ələ_, 
   {{0xe45f00c8,0x7d020226,0xed46009c,0x39590382}},	//   _työ_, _nnos, _رپ_, noss_, 
   {{0x2f19004f,0x8fe79cce,0x00000000,0x00000000}},	//   лодь_, рцед, --, --, 
   {{0xc69500c7,0x7d020180,0xdee543a1,0x39599ccf}},	//   זאַ_, _anos, соки, hoss_, 
   {{0x8c3d7737,0x00000000,0x00000000,0x00000000}},	//   maşi, --, --, --, 
   {{0x4c690036,0xece91daa,0x673c9cd0,0xdcf900d7}},	//   лийн_, удил_, zirj, افظت_, 
   {{0x60db4fb6,0x3959355e,0x5f949cd1,0x7b160474}},	//   _ibum, doss_, _митт, _râur, 
   {{0x7d0202ee,0xb87b4a2f,0x37bf0033,0x6d95008a}},	//   _enos, teín, েবার, _nġag, 
   {{0x5d8500eb,0x673c008b,0x6d440228,0x38660082}},	//   _الصل, virj, čiar, _šor_, 
   {{0xe8d900e7,0x0b4403a1,0x00000000,0x00000000}},	//   _thờ_, йнөн, --, --, 
   {{0xdb0904b3,0xed59008b,0x2726023a,0x3d0402ab}},	//   sueñ, mož_, _aôna_, वारे_, 
   {{0x6370007e,0x661c4efc,0x7e6100c8,0x6b9600d1}},	//   mäng, tyrk, _kylp, _הכסף_, 
   {{0xdb090a5e,0xd6279cd2,0x63700fd4,0x60db0547}},	//   queñ, боре_, läng, _obum, 
   {{0x6ab7143e,0x8a1600a7,0x636202a0,0xdb0039a9}},	//   _आयुर, _לחצו_, môni, rsmå, 
   {{0xd6c30019,0x673c008b,0x63620165,0x6b9b012b}},	// [9820] _کمپی, pirj, lôni, npug, 
   {{0xadf90509,0xed5900bc,0x2726023a,0x60db2843}},	//   ्मान_, hož_, _fôna_, _abum, 
   {{0x637070ee,0xed599cd3,0x63629cd4,0x644f9cd5}},	//   häng, kož_, nôni, _exci, 
   {{0xa2d8047c,0x104a9cd6,0x60db01be,0x6eda00bc}},	//   _नॉर्, ляли_, _cbum, प्नु, 
   {{0x33b50b58,0x8c3d4cd8,0x00000000,0x00000000}},	//   _мёрт, başi, --, --, 
   {{0x7d021462,0x26ca51ac,0x65649cd7,0x26d80156}},	//   _snos, ngbo_, llih, nfro_, 
   {{0x3d04000c,0xe7af00ab,0xe8d90023,0x877b0070}},	//   वाले_, _जौनप, _nhở_, נאצי, 
   {{0x7126024f,0x5bb80115,0x9d183b6d,0x27e09cd8}},	//   _ارسل, алия_, роит_, _opin_, 
   {{0x637033d6,0x602603dd,0x7d02008b,0xa3cb05f6}},	//   gäng, _удаа, _vnos, रूप_, 
   {{0x636202a0,0x7b39014b,0xff24009c,0x49d8017b}},	//   fôni, lňuj, _ببری, адою_, 
   {{0xdee30283,0xfbcf0a24,0xe8d900e7,0x27e0002c}},	//   _хохи, وتی_, _chở_, _apin_, 
   {{0xa2d869ca,0x7d02003a,0x63701772,0xc27b00fe}},	//   न्त्, _unos, länd, טריי, 
   {{0x39599cd9,0x26d89cda,0xc7b81cc1,0x7d1d0380}},	//   ross_, ffro_, йёр_, össe, 
   {{0xe5c71ff8,0x56949cdb,0x81df0033,0x59f800d9}},	//   йсбо, зарт, তিত_, _векя_, 
   {{0xa3cb4493,0x6eda075a,0x636202be,0x00000000}},	//   रंभ_, प्यु, côni, --, 
   {{0x3eae02ec,0x63700fd4,0x6aaa9cdc,0x95c9004e}},	//   haft_, händ, _heff, луға_, 
   {{0x06e40086,0x7b39014b,0x733941ef,0x637002ae}},	// [9830] মাজি, dňuj, азар_, känd, 
   {{0x798a29a0,0x8c1b00d1,0x7a0a00ad,0x6aaa9cdd}},	//   _kufw, אומי, bətt, _jeff, 
   {{0x3cfe0081,0xa3a90dc4,0x656402dc,0xe7ed00aa}},	//   _शोभे_, _गौर_, blih, _चैता_, 
   {{0x69c007d5,0x6aaa00c8,0xddd40241,0xe8d90210}},	//   _विनी, _leff, _şaşk, _khố_, 
   {{0xd00972fb,0x636202aa,0x6b9b04ef,0x8e8517d2}},	//   реле_, zôni, xpug, огле, 
   {{0xa2d80a09,0x439405de,0x6aaa3459,0xd5dd00a5}},	//   न्द्, _харс, _neff, _पहाड़, 
   {{0x171c0137,0x9f440126,0x8d750038,0x2d9416d0}},	//   רווע, _armó_, يابا, прыс, 
   {{0x60db024d,0x6370014e,0xa63c00a7,0x0d070283}},	//   _ubum, täng, טגור, сдиқ_, 
   {{0x63a9010c,0x798a01c4,0x6aaa9cde,0xed59688a}},	//   _çend, _aufw, _beff, rož_, 
   {{0x6370074b,0x63620165,0xe9d902a6,0x1c420b34}},	//   räng, tôni, ако_, ьным, 
   {{0x7a696b5d,0x752d0727,0x63709cdf,0x6aaa4b6f}},	//   ринг_, khaz, säng, _deff, 
   {{0x62830228,0x63700a25,0x63629ce0,0x2ee70226}},	//   ľnoh, mäne, rôni, lenf_, 
   {{0xeaae1ab7,0x6d499ce1,0xbf87001b,0x6564010c}},	//   _ой_, mnea, _điển_, vlih, 
   {{0x1ddd07d5,0xd5b800e0,0xe8d900e7,0xdb1b9ce2}},	//   _महात, šām_, _thở_, rtuó, 
   {{0x6b839ce3,0x6d492268,0x798a0027,0x78af0474}},	//   _iing, onea, _gufw, bacv, 
   {{0x6d494873,0x6b839ce4,0x39b500e0,0x6b8b5bf0}},	//   nnea, _hing, mās_, _kugg, 
   {{0x65640275,0x6d49006e,0x39b5002a,0xe8c602f8}},	// [9840] rlih, inea, lās_, वलीच, 
   {{0x6b839ce5,0x6b8b9ce6,0x6d490094,0xf7720fd0}},	//   _jing, _mugg, hnea, _تاب_, 
   {{0x637014f9,0x39b50bc3,0x6b839ce7,0xe297058b}},	//   vänd, nās_, _ming, цах_, 
   {{0x6b839ce8,0x752d9ce9,0x69c102d0,0x80660093}},	//   _ling, chaz, irle, овеж, 
   {{0x637070ee,0x69c101c4,0x7b39014b,0x48dc031e}},	//   tänd, hrle, rňuj, ग्यो_, 
   {{0x6b839cea,0x39b5002a,0x44320026,0x44200199}},	//   _ning, kās_, mzy_, myi_, 
   {{0x39b50bc3,0x63704857,0x44200019,0xeea9004e}},	//   jās_, ränd, lyi_, стік_, 
   {{0x6d4926c0,0x6370014e,0x6b839ceb,0x39b500e0}},	//   gnea, sänd, _aing, dās_, 
   {{0x44209cec,0x6b839ced,0x0ed200a2,0x6b8b0036}},	//   nyi_, _bing, _सापड, _cugg, 
   {{0x6b830175,0x37d00086,0xa3cb093a,0x44320054}},	//   _cing, িবার, रंत_, izy_, 
   {{0x39b500e0,0x28f96652,0x6b8318d3,0x6b5d0107}},	//   gās_, бень_, _ding, tègr, 
   {{0x394d0316,0x6b839cee,0xe8d90029,0x6b8b9cef}},	//   ões_, _eing, _phố_, _fugg, 
   {{0x79840096,0x4420024d,0x6b8b9cf0,0x6d409cf1}},	//   _diiw, jyi_, _gugg, mima, 
   {{0x443200ab,0x39b501dd,0xa49b00f6,0x6b837152}},	//   dzy_, bās_, _enòl, _ging, 
   {{0x752d019b,0x39b500e0,0xdce20083,0xdb000b48}},	//   thaz, cās_, _choć, dsmø, 
   {{0x6d409cf2,0x6b839cf3,0x2d8c0165,0x81c20033}},	//   nima, _zing, _mude_, ্বা_, 
   {{0x2d8c0112,0x44200019,0x6b839cf4,0xe3b303b8}},	// [9850] _lude_, gyi_, _ying, برز_, 
   {{0x6d409cf5,0x2d8c0b32,0x74150019,0x6b83019c}},	//   hima, _oude_, _ہوجا, _xing, 
   {{0x6d409cf6,0x7c2002bf,0x752d019b,0x44329cf7}},	//   kima, hymr, phaz, azy_, 
   {{0x6d409cf8,0xdb090084,0x7c2003a9,0x44200199}},	//   jima, iseá, kymr, byi_, 
   {{0x4432006a,0x6d40744f,0x2d8c9cf9,0x4420016c}},	//   czy_, dima, _aude_, cyi_, 
   {{0x2d8c9cfa,0x78ad9cfb,0x68fa00e0,0xe7e0034d}},	//   _bude_, _leav, ētdi, खौटा_, 
   {{0x6d409cfc,0x69c89cfd,0x6b8b0e95,0x6d490ae7}},	//   fima, jude, _sugg, tnea, 
   {{0x39b500e0,0x6d409cfe,0xdb1b03a1,0x69c800b0}},	//   vās_, gima, truï, dude, 
   {{0x3eac055f,0xb4e918b4,0xa0a500f0,0x63701279}},	//   _fedt_, _यसै_, _маңд, säne, 
   {{0x39b5002a,0x6b83652c,0x6d490a69,0xe80f55b4}},	//   tās_, _qing, snea, ामना_, 
   {{0x6b839cff,0xc4cb00ab,0x44329d00,0x69c89d01}},	//   _ving, िलाओ, zzy_, gude, 
   {{0xdce9265d,0x6443078a,0x39b500e0,0x3f850df4}},	//   dmeć, şniy, rās_, _hilu_, 
   {{0x3f859d02,0x39b501dd,0x3f8d03dd,0x7bf900b3}},	//   _kilu_, sās_, _jueu_, _ындр_, 
   {{0x69c88def,0x6b830010,0xdb09060f,0x39b501dd}},	//   bude, _uing, rreó, pās_, 
   {{0xe7379d03,0x3f85005f,0x64a69d04,0x8c3d020f}},	//   чер_, _milu_, заба, raşu, 
   {{0x3f85007b,0x44329d05,0x78ad01c8,0x44200324}},	//   _lilu_, tzy_, _geav, tyi_, 
   {{0x75249d06,0x39429d07,0x1aee0086,0xa49b00b9}},	// [9860] rkiz, miks_, জারে_, _gnòm, 
   {{0x44321d8c,0x68f69d08,0x39429d09,0x44209d0a}},	//   rzy_, _hayd, liks_, ryi_, 
   {{0x4432006a,0x68f601f0,0x44263cf5,0x6d4070ac}},	//   szy_, _kayd, šo_, yima, 
   {{0x3f8d03da,0x39429d0b,0x68f69d0c,0x7653010c}},	//   _bueu_, niks_, _jayd, şeyê, 
   {{0x6d409d0d,0x68f602f1,0xa3cb0394,0xf3ff02aa}},	//   vima, _mayd, रूद_, _grã_, 
   {{0x2d8c9d0e,0x3f850242,0x394200b0,0x68f601ff}},	//   _pude_, _cilu_, hiks_, _layd, 
   {{0x91e30a11,0x6d409d0f,0x7d190626,0x63b69d10}},	//   _поре, tima, _bows, lsyn, 
   {{0xdb989d11,0x69c805a1,0xa2aa0fcf,0x2cea07f4}},	//   ович_, vude, टरव्, сько_, 
   {{0x7bc99d12,0x63b60075,0x7ae8170b,0x5f760019}},	//   gueu, nsyn, tedt, _فائر, 
   {{0x6d409d13,0x81df00cc,0xab970038,0x8c3d9d14}},	//   sima, তির_, أخير_, vaşt, 
   {{0x6d409d15,0x78ad007e,0x68f67c9e,0x4c869d16}},	//   pima, _peav, _bayd, _елев, 
   {{0x6f1a2279,0x394200b0,0x63b69d17,0x68f61240}},	//   _hotc, giks_, ksyn, _cayd, 
   {{0x69c89d18,0x68f69d19,0x6f1a9d1a,0x78ad9d1b}},	//   sude, _dayd, _kotc, _veav, 
   {{0xdb090126,0x69c89d1c,0x8c3d0d16,0x48e900bc}},	//   breñ, pude, raşt, _जसको_, 
   {{0x68f603c0,0xa4d52072,0x78ad9d1d,0xb87b0183}},	//   _fayd, мові, _teav, ndíz, 
   {{0x6f1a0532,0x5ec50033,0xf3ff02be,0x25bf020b}},	//   _lotc, ল্পে, _prã_, čul_, 
   {{0xdcfa002a,0x58d300f0,0x88bc00d1,0x00000000}},	// [9870] _attī, _жоқт, _המחז, --, 
   {{0xfaf80339,0x6f1a015c,0x00000000,0x00000000}},	//   ndī_, _notc, --, --, 
   {{0xa3b93024,0x68f62007,0xa6ca040c,0x4ad4176c}},	//   _घटक_, _yayd, _emаs, _दानव, 
   {{0x3f85171a,0x81df0033,0x68f69d1e,0x2126033e}},	//   _silu_, তিল_, _xayd, gkoh_, 
   {{0xe0d00491,0x7d190382,0xa3e10e7d,0x7bc9794f}},	//   ازم_, _rows, _दहि_, xueu, 
   {{0xdb1b0c7c,0x05b100a2,0xdce1003d,0x82370444}},	//   truí, _जबाब, _kulħ, _فرزا, 
   {{0x7d1900ab,0x272f0241,0x00000000,0x00000000}},	//   _pows, _güne_, --, --, 
   {{0xe8d9001b,0xa3e1009a,0x2d863c88,0xdb1b0183}},	//   _khổ_, _दहा_, _cioe_, rruí, 
   {{0x3f8511e9,0x39429d1f,0x68f69d20,0xdb09003e}},	//   _tilu_, viks_, _rayd, freð, 
   {{0x81c200cc,0x29092078,0x80d9000c,0x68f69371}},	//   ্বর_, _anaa_, फ्रे, _sayd, 
   {{0x13e600cc,0x39429d21,0x68f69d22,0x1dc60394}},	//   নিয়, tiks_, _payd, रूआत, 
   {{0x68f6025e,0xdb092016,0x63b69d23,0x6f1a019b}},	//   _qayd, rreñ, ysyn, _zotc, 
   {{0x636b07fa,0x39429d24,0x7bc90107,0x6f1a044d}},	//   tünl, riks_, queu, _yotc, 
   {{0x6b6502f1,0x59c52b69,0x39429d25,0xa29f031e}},	//   _юкла, _विपर, siks_, खुम्, 
   {{0x212d22fd,0x291b0226,0x63700219,0xd62a0093}},	//   _oleh_, _foqa_, jäna, цове_, 
   {{0xadf0007e,0xa50701d8,0x00000000,0x00000000}},	//   _अईसन_, меса_, --, --, 
   {{0xd4671fde,0x04431bed,0x61e900d0,0xe8d90023}},	// [9880] дите_, ветн, _ćela, _chổ_, 
   {{0x63b603a9,0x212d0183,0xd776247b,0x3cdd02a2}},	//   rsyn, _aleh_, _تابع, क्ते_, 
   {{0x212d0348,0x63b69d26,0x00000000,0x00000000}},	//   _bleh_, ssyn, --, --, 
   {{0x53a9009a,0xd7d200c9,0x98b9020f,0x63b60664}},	//   _चौकश, _तमाच, misă_, psyn, 
   {{0x6f1a9d27,0x00000000,0x00000000,0x00000000}},	//   _potc, --, --, --, 
   {{0xdd9a32ae,0x9e0601ff,0x212d033e,0x2d860156}},	//   оши_, дчил, _eleh_, _sioe_, 
   {{0x66e0007e,0x39403308,0xac949d28,0x4c9412dc}},	//   ख्यक_, _omis_, найш, нийс, 
   {{0x9bf44083,0x6f1a044d,0xe73f02aa,0x00000000}},	//   езич, _wotc, mpõe_, --, 
   {{0x614336b7,0x98b900b3,0x6f1a00b9,0x7f430118}},	//   _рета, hisă_, _totc, binq, 
   {{0x39409d29,0x7f4301d8,0xb87b0126,0x00000000}},	//   _amis_, cinq, nfíe, --, 
   {{0x8e4a00eb,0xfaf80243,0xbebc0243,0x2b5e018e}},	//   _بلاك_, rdī_, _blīv, rotc_, 
   {{0x212d00e2,0x291b084c,0x0c260a10,0x2d9e1b69}},	//   _xleh_, _qoqa_, _омен, _itte_, 
   {{0x1bf20f01,0xd7f885c9,0x00000000,0x00000000}},	//   _अनिल_, мур_, --, --, 
   {{0xf53f32b9,0x399302a0,0x39409d2a,0x2fc6011d}},	//   _små_, _fãs_, _emis_, irog_, 
   {{0x6d87010e,0x98a90121,0xdef800a4,0x61fe4423}},	//   _műan, _hlač_, _maċ_, jvpl, 
   {{0x7af8675e,0x636b07fa,0xe8d9001b,0x765b027e}},	//   _havt, rünm, _phổ_, şuyo, 
   {{0x7af8006d,0x69da9d2b,0x54551a68,0x33759d2c}},	// [9890] _kavt, ltte, хват, егар, 
   {{0x2fc6200f,0x2d9e055f,0x69da8155,0x026b8005}},	//   drog_, _otte_, otte, ошей_, 
   {{0x69da0088,0x212d0304,0x69cf0035,0x29d8129c}},	//   ntte, _pleh_, ąceg, néa_, 
   {{0x69da030f,0x3cfe07d5,0xe8d900e7,0x63700219}},	//   itte, _शोले_, _thổ_, räna, 
   {{0x7feb06ab,0x93271f7a,0x63709d2d,0x7f430095}},	//   تراف_, _قرآن, männ, tinq, 
   {{0x7af89d2e,0x7df30095,0x69da8699,0x63701bfa}},	//   _navt, _həsə, ktte, länn, 
   {{0x62830187,0x212d0352,0x7f4300ad,0xa3cb5bc2}},	//   ľnos, _tleh_, rinq, रूर_, 
   {{0x628345f8,0x2fc60062,0x98a0265d,0xa2d70086}},	//   žnos, brog_, _ilić_, _সফটও, 
   {{0x7df306d0,0x2d9e0077,0x3d04047c,0x3b8502f1}},	//   _məsə, _ette_, वाजे_, нлиг, 
   {{0x8c9f07d5,0x3f9f016a,0x7af80242,0x00000000}},	//   _ग्रो, _ituu_, _cavt, --, 
   {{0xa96a58e2,0x63706a69,0x273412b7,0xe9d6049b}},	//   зина_, känn, _häng_, нкэ_, 
   {{0xfe6e00d4,0xf769027a,0x386900fc,0x5d5500fd}},	//   _اگه_, _הק_, _byar_, _якет, 
   {{0x7d0b2991,0xdb0b0611,0x69da9d2f,0x636b9d30}},	//   _ings, _avgå, atte, günk, 
   {{0xdb1b4a9c,0x8c1a0486,0x98a000ca,0x273400b0}},	//   bruá, _מוני, _olić_, _mäng_, 
   {{0x7bdb6a5c,0x3d0400a2,0x67210219,0x69da01d2}},	//   ltuu, वाचे_, ölja, ctte, 
   {{0x98b900b3,0x7df30248,0x00000000,0x00000000}},	//   risă_, _cəsə, --, --, 
   {{0x98a0160e,0x7bdb9d31,0x68e49d32,0x53ca0726}},	// [98a0] _alić_, ntuu, _ibid, ягам_, 
   {{0x7d0b0089,0x3ced0201,0x59a69d33,0x00000000}},	//   _lngs, heev_, कीकर, --, 
   {{0xe8d9001b,0xf8bf9d34,0x3cf400b0,0x7bdb00c8}},	//   _chỗ_, chés_, ्यमे_, htuu, 
   {{0x7bdb2fb0,0x2fc61c2b,0x8c9f9d35,0xa99a0070}},	//   ktuu, trog_, _ग्लो, לבער, 
   {{0x7f469d36,0xd43600eb,0xe73f0165,0x68e49d37}},	//   недж, _أعجب, spõe_, _mbid, 
   {{0x69da9d38,0xf1c300d8,0x00000000,0x00000000}},	//   ytte, ýší_, --, --, 
   {{0x68e49d39,0x628e012b,0x7d0b0175,0x63a49d3a}},	//   _obid, _igbo, _bngs, lpin, 
   {{0x98a93736,0x2fc69d3b,0x7ae3016c,0x68e400a4}},	//   _plač_, prog_, _abnt, _nbid, 
   {{0x27340219,0x63a49d3c,0x7ae3084c,0xdef8003d}},	//   _känd_, npin, _bbnt, _taċ_, 
   {{0x68e49d3d,0x30759d3e,0x7e680876,0x2019022c}},	//   _abid, _русс, _tydp, _àsia_, 
   {{0xc333956b,0x2bc20f64,0xfbc20663,0x38692998}},	//   רות_, _शिवा, _शिवम, _syar_, 
   {{0x69da9d3f,0x98a90228,0x29d83f82,0x200400ca}},	//   rtte, _tlač_, réa_, _krmi_, 
   {{0x629c00e5,0x7bdb012e,0x6370161f,0x628e0036}},	//   _ofro, ctuu, vänn, _ogbo, 
   {{0x6566016a,0x999e0019,0x63a46934,0x68e49d40}},	//   _akkh, sztő_, dpin, _ebid, 
   {{0x7d0b328f,0x778445c2,0x63a49d41,0xf8bf02d9}},	//   _yngs, улёз, epin, lkém_, 
   {{0x59c5000c,0xc4cb072f,0x7df300ad,0x64cb0299}},	//   _वितर, िलेख, _qəsə, िलेश, 
   {{0xf2c72398,0x63709d42,0xf8bf00a2,0x63a41041}},	// [98b0] есен, ränn, ्लीप, gpin, 
   {{0x69c80285,0xd0110274,0x68fd9d43,0x65660054}},	//   orde, یلا_, ldsd, _ekkh, 
   {{0x2004741d,0x27340219,0x7df30095,0x6d42020f}},	//   _armi_, _säng_, _təsə, _omoa, 
   {{0x68fd4efc,0x69c80557,0x27e902a2,0x629c9d44}},	//   ndsd, irde, _kpan_, _efro, 
   {{0x656d36fa,0x69c89d45,0x80090019,0x68fd10de}},	//   mlah, hrde, براہ_, idsd, 
   {{0x6d42023a,0xb87b0126,0x27e90379,0xd0066c9d}},	//   _amoa, leís, _mpan_, теше_, 
   {{0x8d552220,0xed599d46,0x7d0b00ef,0x418500f0}},	//   ктич, мок_, _pngs, _атағ, 
   {{0x7bdb00c8,0x68fd2382,0x27e90574,0x656d9d47}},	//   ttuu, jdsd, _opan_, nlah, 
   {{0x69c801a9,0x7f950141,0x68e400a1,0xbebc0243}},	//   erde, _разх, _rbid, _plīt, 
   {{0x7bdb80aa,0x656d0364,0x59c51eed,0x00000000}},	//   rtuu, hlah, _विदर, --, 
   {{0x7bdb9d48,0x81df00cc,0x27e99d49,0x98a69d4a}},	//   stuu, তিক_, _apan_, кине, 
   {{0x26c10102,0x27e900a1,0x67210219,0xd9469d4b}},	//   _adho_, _bpan_, öljn, теми, 
   {{0x69c8038c,0x656d026e,0xf8bf00bc,0x2be500c2}},	//   arde, dlah, ckém_, _कहिं_, 
   {{0x27e902cd,0x7bdc00b3,0x07a39d4c,0xa3d402e6}},	//   _dpan_, ărut, рарн, सूफ_, 
   {{0xa3d402f8,0x63bd0164,0x1659269c,0x9a690038}},	//   सून_, _avsn, ерть_, _تمثل_, 
   {{0x2be51215,0x656d9d4d,0x27960cdf,0x629c0e69}},	//   _कहां_, glah, _ишор, _sfro, 
   {{0x3cf41d00,0xb87b043f,0x63a4611c,0x7bc98c89}},	// [98c0] ्यते_, rfíc, upin, nreu, 
   {{0x63a49d4e,0x657f006d,0x00000000,0x00000000}},	//   rpin, amqh, --, --, 
   {{0x63a49d4f,0xe5a69d50,0x656d9d51,0x273402ae}},	//   spin, _шини, blah, _vänd_, 
   {{0x63a49d52,0xd5b8002a,0x4fc6306e,0x8fa60ec6}},	//   ppin, šās_, вска, ваде, 
   {{0xb4c0047c,0xb4ce03c1,0xa3ba1b65,0x81e80086}},	//   ीली_, रली_, _تاجر_, বিধ_, 
   {{0xb87b033c,0x6d4273c3,0x65640080,0x69c846ce}},	//   nfía, _smoa, loih, yrde, 
   {{0xdef8005e,0x41aa0769,0xe1f700c8,0x60c00054}},	//   дық_, _іван_, _игр_, _tdmm, 
   {{0xed570d37,0x7bc901c4,0x2fdd006d,0x7c869d53}},	//   кој_, freu, btwg_, купе, 
   {{0x06b80086,0x7bc99d54,0x9f4d060f,0x20040175}},	//   _জানি, greu, _creó_, _urmi_, 
   {{0x5b1407f9,0xfe422ea7,0xee7a007a,0x3f99019c}},	//   умот, _پکتی, _قصات_, _ésua_, 
   {{0x27e9018c,0x69c801a9,0x656d02dc,0xf8bf00bc}},	//   _span_, urde, ylah, ském_, 
   {{0xf8bf0019,0x7bc9345d,0x3f8c0065,0x290d01ca}},	//   mkék_, breu, _hidu_, ñea_, 
   {{0xb8eb0081,0x7bc99d55,0xcc1601c9,0x68fd9d56}},	//   _लय_, creu, _جذاب, rdsd, 
   {{0xcf9300c7,0xbb4335c2,0x66050242,0x6b8a01be}},	//   יטש_, _кечк, _prhk, _uifg, 
   {{0x80d3000f,0xb8d90033,0xb87b0183,0x656d0415}},	//   _डाले, _চা_, teís, tlah, 
   {{0xdb1b03b7,0x850d07d5,0x656d012b,0x2ba9031e}},	//   truç, हाइट_, ulah, चीका, 
   {{0x656d005c,0x43949d57,0xcfd70033,0x27e90574}},	// [98d0] rlah, иатс, _দৈনন, _upan_, 
   {{0x656d9d58,0x6fcc009a,0x2fdd006d,0x764e010e}},	//   slah, _समजू, vtwg_, ányá, 
   {{0x67280219,0xb87b0068,0x656d9d59,0xe8d90210}},	//   ödje, peís, plah, _nhừ_, 
   {{0x59c51451,0x7bc902eb,0x3f8c2869,0x00000000}},	//   _विसर, yreu, _aidu_, --, 
   {{0x3f8c003d,0x752d044d,0x00000000,0x00000000}},	//   _bidu_, mkaz, --, --, 
   {{0x44290cd2,0x543a00c7,0x7bc99d5a,0xa6ca040c}},	//   mya_, _טערא, vreu, _llаn, 
   {{0x02af1c25,0x3f8c0891,0x28d409d8,0x06b80033}},	//   टरीन, _didu_, _थालि, _জামি, 
   {{0x7bc94ef1,0x16b00262,0x752d0180,0x9f4d02a3}},	//   treu, _जज्ब, nkaz, _creò_, 
   {{0xbab5058b,0x7bc9531c,0xa05500e4,0x00000000}},	//   лёны, ureu, _сваі, --, 
   {{0x89a93b9d,0x7bc99d5b,0xa3d407d5,0x2d8a0036}},	//   нков_, rreu, संत_, _èben_, 
   {{0x44299d5c,0xf98621fc,0x798d0ab1,0x394a4f49}},	//   hya_, лгоо, _biaw, езно_, 
   {{0x7bc9002e,0x44299d5d,0x798d57c9,0x89360038}},	//   preu, kya_, _ciaw, اعدا, 
   {{0x1ae51b17,0x59c51280,0x4429099d,0x798d9d5e}},	//   _болм, _विवर, jya_, _diaw, 
   {{0x44299d5f,0x3cfd006d,0x7d1b9d60,0x6d499d61}},	//   dya_, _hawv_, ljus, liea, 
   {{0xceb2864b,0x44299d62,0x3cfd006d,0x62810254}},	//   מים_, eya_, _kawv_, _úloh, 
   {{0xb4ce3b94,0xb4c00a68,0x44299d63,0x798d012b}},	//   रले_, ीले_, fya_, _giaw, 
   {{0x7c3b9d64,0x44299d65,0x6b8d0084,0xdcfb0242}},	// [98e0] nzur, gya_, _éags, jmuč, 
   {{0x57fb0056,0x3cfd0e0c,0x7d1b0077,0x78b600ad}},	//   _טלפו, _lawv_, hjus, _heyv, 
   {{0xf77200d6,0x65c1005e,0xdce2021a,0x442901a3}},	//   _پاک_, _мұра, _skoč, aya_, 
   {{0x442917d3,0x3cfd006f,0x516703a1,0x00000000}},	//   bya_, _nawv_, гүсү_, --, 
   {{0x7d1b9d66,0x78b60540,0x442902b8,0x3f8c4595}},	//   djus, _meyv, cya_, _pidu_, 
   {{0x78b60369,0x7c292bb5,0x00000000,0x00000000}},	//   _leyv, dyer, --, --, 
   {{0xeea9005e,0x7afe24a9,0x3d8a00c8,0xa49b00a1}},	//   ттік_, _ópti, нщин_, _gnòs, 
   {{0x3cfd006f,0x4253195e,0xdb009d67,0x867b0070}},	//   _cawv_, _انفر, nsmö, ערקו, 
   {{0x7c295c62,0x3cfd006d,0x3ea62f0d,0xdce2044e}},	//   gyer, _dawv_, _бизг, _ukoč, 
   {{0xef831fde,0xb4db00b9,0xdfcf007a,0x629e0474}},	//   _глуп, _amàl, _ريم_, ncpo, 
   {{0x6e930084,0x5e930084,0x7e569d68,0xd9151c0f}},	//   _الما, _المط, _стац, адны, 
   {{0x3cfd006d,0x7c29732e,0xe8d900e7,0x88b00033}},	//   _gawv_, byer, _khứ_, _কাউক, 
   {{0x69c00e17,0x386d02c9,0x752d9d69,0x78b61530}},	//   _विकी, æer_, vkaz, _deyv, 
   {{0x7bfb00a7,0x44299d6a,0x7dea0095,0x3cfd006d}},	//   _נפוצ, vya_, _təsd, _zawv_, 
   {{0x44293c04,0x752d02f1,0x6aba498a,0xd90f009c}},	//   wya_, tkaz, matf, _فید_, 
   {{0x44299d6b,0x06c60086,0x752d0032,0x637012b7}},	//   tya_, শ্লি, ukaz, bänk, 
   {{0x752d00cf,0x44290118,0x394b4ee9,0x29270035}},	// [98f0] rkaz, uya_, mics_, ętać_, 
   {{0x44299d6c,0x394b9d6d,0x752d0010,0x68ff4960}},	//   rya_, lics_, skaz, _haqd, 
   {{0x3207026e,0x7c3b9d6e,0xdce9015e,0xbbc10299}},	//   íny_, zzur, zmeđ, _षट्क, 
   {{0x7c3b0035,0xdce9303e,0x68ff00a4,0x228403a1}},	//   yzur, tleč, _jaqd, сууг, 
   {{0xe8d90029,0x06b80086,0xa29500dd,0x3cfd023b}},	//   _chứ_, _জাতি, _вагі, _rawv_, 
   {{0x3cfd01c1,0x92940528,0x70940283,0x394b015c}},	//   _sawv_, _гарц, _ғафф, hics_, 
   {{0x3cfd006d,0xf2040093,0x6d499d6f,0x7d1b0080}},	//   _pawv_, _лято, tiea, tjus, 
   {{0x68ff7775,0x7c3b9d70,0x7c29154a,0x7c360083}},	//   _naqd, tzur, tyer, _żyra, 
   {{0x75ec006b,0xa3cb047c,0x394b9d71,0x60db0199}},	//   _közö, रंट_, dics_, _icum, 
   {{0xff530084,0xef670141,0x81e80086,0x7c299d72}},	//   _اخر_, _събо, বির_, ryer, 
   {{0x78b62c89,0x394b9d73,0xb0b90586,0x3cfd01a0}},	//   _peyv, fics_, _उजाग, _tawv_, 
   {{0x6370022b,0x394b03a1,0xb87b9d74,0x8d8745c2}},	//   tänk, gics_, rfín, _сузд, 
   {{0x78b6040c,0x6aba02c9,0x7c29021e,0x00000000}},	//   _veyv, batf, qyer, --, 
   {{0xfaa5167b,0x2cad86f5,0x637025a6,0x2d8f00a1}},	//   _тако, lbed_, ränk, _hige_, 
   {{0x2956048a,0x28a71cc0,0x18a69d75,0x60db0126}},	//   _въпр, _क्वि, _кайм, _ocum, 
   {{0x2d8f0237,0x63709d76,0x60db0027,0x394b00b9}},	//   _jige_, mäni, _ncum, cics_, 
   {{0x290054cd,0x29120175,0x93460477,0x00000000}},	// [9900] _iaia_, _inya_, анае, --, 
   {{0x2d8f9d77,0x60db9d78,0x29129d79,0x29009d7a}},	//   _lige_, _acum, _hnya_, _haia_, 
   {{0x80a6195e,0xaadd04b7,0x4add1df3,0x291207fc}},	//   لمان, _मानक, _मानव, _knya_, 
   {{0x3be500a5,0x290001f1,0xdfa61571,0xcfa61918}},	//   _कहूँ_, _jaia_, ајко, ашки, 
   {{0xdefa030f,0xa3ea00bd,0x31ac0118,0x636b27d2}},	//   вый_, _महि_, _bòzò_, güns, 
   {{0x2d8f11a1,0xd00f2751,0x29009d7b,0xe8070586}},	//   _aige_, بله_, _laia_, शिता_, 
   {{0x636b213d,0x2d8f9d7c,0x60db01be,0x527500b3}},	//   rünt, _bige_, _fcum, _гуту, 
   {{0xe8d90029,0xa3ea00aa,0x290095cf,0x2d98443d}},	//   _thứ_, _महा_, _naia_, _érem_, 
   {{0x61e9003a,0x2aaa451d,0x8cd707d5,0x25ad00ef}},	//   _ćeli, ктно_, _यारो, ćeli_, 
   {{0x29029d7d,0x8ca607d5,0x320a014b,0x2d8f00fc}},	//   edka_, _ट्रो, _krby_, _eige_, 
   {{0x2bc235ff,0x6da31e14,0x29009d7e,0x2d8f0f4c}},	//   _शिका, _диха, _baia_, _fige_, 
   {{0x38c90a24,0xdd8f0071,0x57a70e65,0x0c860161}},	//   دادی_, _قول_, ишга, _кылм, 
   {{0x20069d7f,0x2912016a,0x394b9d80,0x25a60097}},	//   nvoi_, _dnya_, rics_, _čola_, 
   {{0x28a70239,0x394b9d81,0x291211e9,0x29020990}},	//   _क्रि, sics_, _enya_, adka_, 
   {{0x689300c5,0x68ff02f1,0x3cdd02e6,0x290009c6}},	//   _ویدئ, _taqd, क्के_, _faia_, 
   {{0x29000a9f,0xef190035,0x349500b9,0x38cb00a3}},	//   _gaia_, _duży_, саар, _рукн_, 
   {{0x3949090b,0x3cde0035,0x61fc00a3,0x449800c8}},	// [9910] _imas_, _गाने_, _asrl, рвую_, 
   {{0x27340077,0x60db00d9,0x48e30551,0x63a20038}},	//   _täna_, _scum, ट्रो_, íona, 
   {{0xa3cb0ede,0xa2dd1ad9,0x636b01c4,0x93889d82}},	//   रूज_, _पाठ्, wüns, рста_, 
   {{0x2912016a,0x3015704d,0x21242619,0x7bc00528}},	//   _xnya_, йдер, _comh_, ksmu, 
   {{0x838711c5,0x00c8004e,0x2d8f9d83,0xbea51094}},	//   _выве, рлік_, _rige_, балк, 
   {{0x2d8f9d84,0x7bc003fa,0x8c3d009e,0x2d840080}},	//   _sige_, dsmu, ncşe, emme_, 
   {{0x2cad9d85,0x78bd2692,0x2d8f055f,0x7bc20107}},	//   tbed_, kasv, _pige_, _avou, 
   {{0x260802f8,0x28a708c6,0x91cc00b0,0x78bd0228}},	//   हिती_, _क्लि, _हितै, jasv, 
   {{0x40342e87,0x2cad9d86,0x29000010,0x7bc09d87}},	//   _детс, rbed_, _raia_, gsmu, 
   {{0x7de702fb,0x39499d88,0x29009d89,0x7bc2031e}},	//   _відд, _amas_, _saia_, _dvou, 
   {{0xe8d90029,0x29120870,0x2d8f9d8a,0x29009d8b}},	//   _chữ_, _pnya_, _tige_, _paia_, 
   {{0x63700a25,0x3cde00a5,0x6d950032,0x7c950038}},	//   räni, _गाये_, _všad, _الإص, 
   {{0x290003da,0x6c8500eb,0x317f008a,0xfc6700fd}},	//   _vaia_, _الشم, _mhuz_, _тъжн, 
   {{0x39492a76,0xb6a302f1,0x6d500083,0xdb0900f6}},	//   _emas_, зирл, ądał, nseü, 
   {{0xe5a69d8c,0x6f019d8d,0x29120ab1,0x78bd0082}},	//   сиби, _malc, _tnya_, basv, 
   {{0x29122078,0x69c18a35,0x6f0100b9,0x00000000}},	//   _unya_, msle, _lalc, --, 
   {{0x69c127e3,0xf484009c,0x7dea00ad,0x212401be}},	// [9920] lsle, زاری, _məsa, _romh_, 
   {{0xa2dd1a78,0x7c240014,0x5fd1009a,0x6f01040c}},	//   _पाण्, _àire, _समजल, _nalc, 
   {{0xfe650019,0x2d84358b,0x28be0299,0x00000000}},	//   _آگ_, ymme_, ्णपि, --, 
   {{0xe29703ea,0xf77f0241,0x69c19d8e,0x6d950604}},	//   _ҳар_, rtçe_, isle, _ošab, 
   {{0x57250a5a,0x60182dd8,0x28db9d8f,0x987a0070}},	//   _طریق, роля_, _भासि, װאַט, 
   {{0xe2975dd9,0x6f012c07,0x03a39d90,0x69c126bb}},	//   _гар_, _calc, _хиро, ksle, 
   {{0xa2dd00ae,0xa3d4047c,0x69c100de,0xddea144f}},	//   _पात्, सूर_, jsle, ارته_, 
   {{0xc0e39d91,0x7bc6012d,0x69c14329,0xdb190118}},	//   _носк, škum, dsle, _avwà, 
   {{0x6f0117e3,0x88b70033,0x2c1e0033,0x491c0d1d}},	//   _falc, _ঝালক, _বেড়ে_, यानो_, 
   {{0x60234ad6,0xa06800f0,0x25a60352,0x6f0103c6}},	//   _эдуа, _баға_, _čoln_, _galc, 
   {{0x69c19d92,0x9952031e,0x386000a3,0x78bd9d93}},	//   gsle, lář_, _axir_, tasv, 
   {{0x48ab33ed,0x3a7500d3,0x7d1d0502,0x00000000}},	//   ытом_, өлөр, össt, --, 
   {{0x6725030f,0xc8679d94,0x69c301e8,0x995200bc}},	//   _pohj, стни, _evne, nář_, 
   {{0xd6d89d95,0x7d026d18,0x69c19d96,0x2bf70147}},	//   йтс_, _haos, bsle, _למדן_, 
   {{0x80d843f5,0x957700d4,0x69c11259,0x63a2007a}},	//   डलाइ, مدرض, csle, íonn, 
   {{0x394902a0,0xe8d90023,0x7d029d97,0x7dea00ad}},	//   _umas_, _khử_, _jaos, _xəsa, 
   {{0x241827a6,0xa3d4109f,0x2a8e0095,0x7d02580f}},	// [9930] боты_, सूल_, ləb_, _maos, 
   {{0x70d10262,0x7d029d98,0xd6db0267,0x00000000}},	//   हल्ल, _laos, _сти_, --, 
   {{0xd0950080,0xf7742737,0x00000000,0x00000000}},	//   ошлы, _מקץ_, --, --, 
   {{0x3f9901e5,0x00000000,0x00000000,0x00000000}},	//   _ésuk_, --, --, --, 
   {{0x68ed9d99,0x675413b4,0xa0691221,0xe04b00d7}},	//   _mbad, _ذخیر, јала_, دشاه_, 
   {{0x7a3f006b,0xf650006b,0xc7d800a7,0x69c19d9a}},	//   _játé, _آئی_, מודי_, ysle, 
   {{0x6f019d9b,0x68ed9d9c,0xb4db00a1,0x7d02008a}},	//   _valc, _obad, _amài, _baos, 
   {{0x6f010035,0xdce001dd,0x3cde009a,0x69c700bc}},	//   _walc, tomā, _गाणे_, ájem, 
   {{0x63ad9d9d,0x60c9090e,0x4ad402f8,0x7dea0095}},	//   npan, _idem, _दाखव, _vəsa, 
   {{0x68ed01ae,0x69c1042a,0x200d240c,0x7c2602ae}},	//   _abad, tsle, _irei_, äkra, 
   {{0x63ad016a,0xf2d207e4,0x8d740444,0x7dea00ad}},	//   hpan, ועי_, _کالا, _təsa, 
   {{0xa3ea0dc4,0x63ad9d9e,0x69c10bf7,0xa96a9d9f}},	//   _महल_, kpan, rsle, рима_, 
   {{0x3cde07d5,0x6d4b7bc4,0x28db1d00,0xe76a3629}},	//   _गाते_, _imga, _भारि, لحسن_, 
   {{0x69c300e0,0x2cbf9da0,0x2a8e0095,0x69c19da1}},	//   _tvne, laud_, bəb_, psle, 
   {{0x66030528,0x63ad16c6,0x00000000,0x00000000}},	//   мпра, epan, --, --, 
   {{0x95999da2,0x2cbf9da3,0x60c99da4,0x200d00b3}},	//   стру_, naud_, _ndem, _orei_, 
   {{0xccf20309,0x03269da5,0x63ad0bc1,0xc32605b2}},	// [9940] וכן_, одан, gpan, омак, 
   {{0x60c9127e,0xe3b70451,0x4902031e,0x68ed9da6}},	//   _adem, юбу_, षयको_, _zbad, 
   {{0xe1fa4985,0x6d4b9da7,0x63ad0038,0x48e10790}},	//   рге_, _omga, apan, _कामो_, 
   {{0xa50a148b,0x200d9da8,0xbfaa250f,0x6ed7031e}},	//   _тема_, _brei_, атке_, _ठाउँ, 
   {{0x200d58fd,0x60c99da9,0x7d0233e8,0x03a6366a}},	//   _crei_, _ddem, _raos, _фиго, 
   {{0x200d02f2,0x7d023d18,0x60c99daa,0xe3b79dab}},	//   _drei_, _saos, _edem, _фбр_, 
   {{0x6449010d,0x7d029dac,0x2d9a0151,0x995202d9}},	//   _þeir, _paos, êpe_, sář_, 
   {{0x200d01c4,0xe0d7017b,0x2cbf17cc,0x25370147}},	//   _frei_, _мвс_, gaud_, ַניש_, 
   {{0x81bc100b,0x64400e03,0x200d9dad,0xff27010e}},	//   _আমি_, _ümid, _grei_, _ڈبلی, 
   {{0xba0a0093,0x68ed9dae,0x6d4b9daf,0x7d029db0}},	//   ахме_, _sbad, _emga, _waos, 
   {{0x81e80086,0x13b30086,0x2cbf47b3,0xa2dd17f6}},	//   বিক_, টওয়, baud_, _पास्, 
   {{0xe8d90029,0x63ad9db1,0x68ed01f2,0x2cbf0106}},	//   _thử_, ypan, _qbad, caud_, 
   {{0x63700080,0xb89a02d9,0xdd8f0354,0x00000000}},	//   näns, _šťáv, _شوه_, --, 
   {{0x6d95008a,0xf8bf023e,0x00000000,0x00000000}},	//   _iġar, saé_, --, --, 
   {{0xe8d9001b,0xda6f00dd,0x63ad0626,0xf527187f}},	//   _chợ_, _ця_, wpan, офан, 
   {{0x68ed9db2,0x63700219,0x29050243,0x00000000}},	//   _ubad, käns, ēlas_, --, 
   {{0x6370014e,0x6d9501f2,0x00000000,0x00000000}},	// [9950] jäns, _jġar, --, --, 
   {{0xc7b29db3,0xd37132b7,0x63ad9db4,0x8c1b00d1}},	//   _רבי_, رها_, rpan, בומי, 
   {{0x63700a52,0x63ad9db5,0xdb0002ae,0x200d011c}},	//   vänt, span, mpmä, _srei_, 
   {{0x61e56908,0x64400405,0x3395567b,0x2608031e}},	//   rthl, _żmie, _намё, हिरी_, 
   {{0xd0099db6,0x251a042c,0xb4d7215e,0x656d0180}},	//   селе_, _הורא, सली_, moah, 
   {{0x200d002e,0xe3b200c7,0xa85800d1,0x656d07d7}},	//   _vrei_, _אױך_, חידה_, loah, 
   {{0x09af0086,0x31c41b11,0x63700219,0x2cbf073b}},	//   _কিভা, _оств, ränt, taud_, 
   {{0x200d002e,0x64410095,0x0c259db7,0x6b8802b0}},	//   _trei_, _əlin, змин, emdg, 
   {{0xdb1b02aa,0x4ea700b3,0xaed500d9,0x00000000}},	//   ssuí, _дреа, _ноаш, --, 
   {{0x4a4521e6,0x656d8f6d,0x0b42012d,0xce6b002e}},	//   знов, hoah, еньн, _кред_, 
   {{0xc86900c7,0x7a699db8,0x656d9db9,0x2cbf0151}},	//   _ען_, синг_, koah, paud_, 
   {{0x7dea0095,0x6d4b9dba,0x00000000,0x00000000}},	//   _məsl, _umga, --, --, 
   {{0x2c09009c,0x00000000,0x00000000,0x00000000}},	//   _دعای_, --, --, --, 
   {{0x2608009a,0x290400ef,0xf50601a2,0x00000000}},	//   हिली_, žma_, ӯзго, --, 
   {{0x656d0379,0x7dea0248,0x6d5b5218,0x00000000}},	//   foah, _nəsl, onua, --, 
   {{0xe9a832b7,0x6d5b9dbb,0xc4d6009a,0xccf90083}},	//   _بدون_, nnua, धलेख, neś_, 
   {{0x42ca0a66,0xf99300d1,0x798407fc,0xade2009a}},	// [9960] йган_, _ארה_, _ihiw, _गमभन_, 
   {{0x1ddb0394,0xe8d900e7,0x6d5b0038,0x637000c8}},	//   _यमंत, _thợ_, hnua, väns, 
   {{0xa2dd22f8,0x2734022b,0xe29711e7,0x2ac600bc}},	//   _पार्, _länk_, чах_, líbí_, 
   {{0x23671799,0x46dc00a5,0x6d5b021e,0x00000000}},	//   čnja_, _बाँह, jnua, --, 
   {{0xe47500d9,0x2167338e,0x00000000,0x00000000}},	//   _журэ, чици_, --, --, 
   {{0x63700747,0x4393012d,0x00000000,0x00000000}},	//   räns, _паўс, --, --, 
   {{0xde9302a6,0xa3c600bc,0x44320080,0x00000000}},	//   нашњ, ैंक_, lyy_, --, 
   {{0x06c60086,0x75249dbc,0x273402ae,0xf8db0083}},	//   শ্চি, njiz, _bänk_, _भाइय, 
   {{0x64440547,0x44209dbd,0xb4db00b9,0xe8d90108}},	//   nzii, nxi_, _imàt, _nhỡ_, 
   {{0x3cde1422,0xbec200e0,0x442003a1,0x5a3402c4}},	//   _गावे_, šība, ixi_, днот, 
   {{0x75240da2,0x58d50ecb,0x6d950028,0xaadd3918}},	//   kjiz, монт, _išan, _मारक, 
   {{0x60c20053,0x79840204,0x3ebe2be3,0x443200c8}},	//   naom, _chiw, _hett_, kyy_, 
   {{0xa2dd2c91,0x656d0180,0x7984023e,0xfc2f2f23}},	//   _पाल्, voah, _dhiw, _محو_, 
   {{0x64449dbe,0x2d9e0023,0x44200183,0xaae6009c}},	//   dzii, _kute_, dxi_, _رستو, 
   {{0x7afa9dbf,0x24990065,0x2d9e9dc0,0x3ebe9dc1}},	//   mett, _pgsm_, _jute_, _mett_, 
   {{0x3ebe9dc2,0x69da9dc3,0xb4c9000d,0xb4d71276}},	//   _lett_, mute, ैले_, सले_, 
   {{0x43950a43,0x69da9dc4,0x2d9e9dc5,0xa3d4031e}},	// [9970] даас, lute, _lute_, संग_, 
   {{0x7afa9dc6,0x2bd4143e,0x3ebe9dc7,0xfbd4031e}},	//   nett, _दिना, _nett_, _दिनम, 
   {{0x6d4011e8,0x26c3008b,0x7afa00fd,0x6515006b}},	//   khma, majo_, iett, _ہوگئ, 
   {{0x7afa9dc8,0x26c39dc9,0x656d084c,0x60c20180}},	//   hett, lajo_, qoah, gaom, 
   {{0x4add9dca,0x7afa9cbf,0x69da9dcb,0x3ebe25a6}},	//   _मालव, kett, hute, _bett_, 
   {{0x7afa992a,0x2d9e9dcc,0x3ebe00b9,0x26c30121}},	//   jett, _bute_, _cett_, najo_, 
   {{0x69da9dcd,0x41770399,0x7afa9dce,0xb4d700a5}},	//   jute, _فارس, dett, _साफ़_, 
   {{0x2d9e0414,0x69da9dcf,0x26c30121,0x1007012d}},	//   _dute_, dute, hajo_, _нязм, 
   {{0x7afa5fec,0x6d5b0a9f,0x3ebe9dd0,0x6f6500d4}},	//   fett, rnua, _fett_, _قهرم, 
   {{0x7afa9dd1,0x6fd2000f,0x26c311c8,0x3ebe014e}},	//   gett, _सितं, jajo_, _gett_, 
   {{0x2d9e93e3,0x26c302ee,0x69da9dd2,0xd6e30086}},	//   _gute_, dajo_, gute, য়ায, 
   {{0x6d409dd3,0x2734014e,0x7e7e0eec,0xf1b20070}},	//   chma, _tänk_, üppe, כסט_, 
   {{0x44200405,0x7afa9dd4,0x2d9e032f,0xf8bf010e}},	//   xxi_, bett, _zute_, rkép_, 
   {{0x7afa7814,0xdb0b014e,0x26c3008b,0x2d9e0126}},	//   cett, _avgö, gajo_, _yute_, 
   {{0x64a69dd5,0xa50a9d95,0x55e39dd6,0x79849dd7}},	//   даба, оева_, корб, _thiw, 
   {{0xe3ba1ba1,0x44200a9f,0x443200c8,0x2bd415c8}},	//   жба_, txi_, tyy_, _दिमा, 
   {{0x26c30f46,0x7dea06d0,0x73066163,0x13060176}},	// [9980] bajo_, _rəsm, мпаз, мзам, 
   {{0x7d090088,0x753d010e,0x60c20053,0xf7721a1c}},	//   hdes, _elsz, waom, _جاب_, 
   {{0xf1a5005e,0x00e602fb,0x3ebe00fc,0x60c206c2}},	//   ерін, джен, _rett_, taom, 
   {{0x3ebe076b,0x7d099dd8,0x3cf90035,0x70d8009a}},	//   _sett_, jdes, ्यों_, डलेल, 
   {{0x2d9e0ab0,0x8fa38cce,0x69da9dd9,0x7afa9dda}},	//   _sute_, ваче, zute, yett, 
   {{0x69da9ddb,0x437500dd,0x2d9e9ddc,0x7d099ddd}},	//   yute, _зуст, _pute_, edes, 
   {{0x7afa9dde,0x629c01b4,0x7d0915e9,0x90c6268d}},	//   vett, _igro, fdes, _обве, 
   {{0x7afa9ddf,0x3f850a9d,0x7d099de0,0x6440003e}},	//   wett, _ehlu_, gdes, _ýmis, 
   {{0x7afa9de1,0x3ebe9de2,0x7ae3084c,0x300600a3}},	//   tett, _tett_, _bcnt, _юзаг, 
   {{0x60c09de3,0x6d4000cf,0x48e10081,0x2d9e9574}},	//   _hemm, shma, _काहो_, _tute_, 
   {{0x7afa9de4,0x60c000a4,0x7d099de5,0x26c39de6}},	//   rett, _kemm, bdes, vajo_, 
   {{0x69da9de7,0x60c0007b,0xeb9a03dc,0x67d5187f}},	//   rute, _jemm, _дид_, ному, 
   {{0xb90734d8,0x7afa9de8,0x629c9de9,0x8b2602a0}},	//   _पा_, pett, _ogro, _одде, 
   {{0x69da9dea,0x60c09deb,0xb8d60a34,0xdce9044e}},	//   pute, _lemm, _च्_, tleć, 
   {{0xe5c428f0,0x26c302ee,0x2d86001b,0x60c002a2}},	//   ксто, rajo_, _khoe_, _oemm, 
   {{0x60c09dec,0xab5d0035,0xd7fb25a7,0x26c35961}},	//   _nemm, duży, _дуо_, sajo_, 
   {{0xdce9090b,0x21260ab4,0x26c30352,0x69c89ded}},	// [9990] sleć, djoh_, pajo_, lsde, 
   {{0x3211006a,0xdb090165,0x629c00a1,0xd37b012d}},	//   _przy_, mpeã, _cgro, іча_, 
   {{0xe8d900f7,0xd25b0b51,0xe8070aac,0x7d090088}},	//   _chủ_, цца_, शिका_, ydes, 
   {{0x60c00183,0x290b00b3,0x6f1a0532,0x228400d3}},	//   _cemm, ndca_, _antc, тууг, 
   {{0x60c01c90,0x6f08011c,0x7d099dee,0x2fc9007a}},	//   _demm, _badc, vdes, éag_, 
   {{0x26c108fc,0xaadd0838,0xdc1400cc,0x32110035}},	//   _jeho_, _माइक, িহাস_, _trzy_, 
   {{0x60c09def,0x3d100262,0x26c19df0,0x7d090144}},	//   _femm, _दोहे_, _meho_, tdes, 
   {{0x60c09df1,0x69c89df2,0x28db448b,0x7d0900c8}},	//   _gemm, dsde, _भागि, udes, 
   {{0x7d099df3,0x213f011c,0x6f080354,0x7c2400a1}},	//   rdes, _iluh_, _fadc, _àirl, 
   {{0x18a3005e,0x26c10228,0x660502f1,0xe9d99df4}},	//   ғарм, _neho_, _oshk, пко_, 
   {{0x9f8a0088,0x00000000,0x00000000,0x00000000}},	//   töön_, --, --, --, 
   {{0x68fd1136,0x186a9df5,0x00000000,0x00000000}},	//   gesd, зами_, --, --, 
   {{0x2d8d9df6,0x26c10102,0x69c89df7,0x00000000}},	//   mmee_, _beho_, asde, --, 
   {{0x613a022c,0xeb9800f0,0xa3d400bc,0xdb0900c2}},	//   _aïll, _жиі_, संघ_, tseõ, 
   {{0xe617085c,0xf53f0310,0xa3e20b3e,0xd62a0093}},	//   ндр_, _blå_, नून_, чове_, 
   {{0x68e400b3,0x6d95090e,0xf1a336a6,0x2bf300b0}},	//   _ucid, _ošam, _ओढ़न, _अहां_, 
   {{0x4ad30c14,0x7bc99df8,0x39400495,0x25bf00ef}},	// [99a0] _दयाव, nseu, _ilis_, ćula_, 
   {{0x60c09df9,0x394001a0,0xe8d9001b,0xd83f05a8}},	//   _semm, _hlis_, _phủ_, íček_, 
   {{0xda1f0527,0x60c0016a,0xaadd08f1,0x212d0096}},	//   यमित_, _pemm, _माईक, _boeh_, 
   {{0x7bd50035,0x7a469dfa,0xa0a601a2,0x06570070}},	//   ązuj, _hété, хадд, _טייך_, 
   {{0x7bcf334b,0x63a44a25,0xed5000d4,0x26c10102}},	//   ácul, qqin, یپت_, _yeho_, 
   {{0x629c00f1,0xe8d90029,0x9e069dfb,0x213f011c}},	//   _ugro, _thủ_, ечил, _eluh_, 
   {{0x7bcb9dfc,0xe3635d27,0x60c09dfd,0x7a46026a}},	//   _avgu, _скри, _temm, _mété, 
   {{0xe2977542,0xd1760161,0x213f1627,0x63a9019c}},	//   _час_, _чыгы, _gluh_, _éenc, 
   {{0x1be702a6,0x61439dfe,0x216700d9,0x7bc9002c}},	//   едњи_, _сета, _чити_, gseu, 
   {{0x39409dff,0x8fa303dc,0x7a460574,0x3e8602d9}},	//   _alis_, _сафе, _nété, _cítí_, 
   {{0x4dd675da,0x68fd9e00,0x2d8607d7,0x26c1040b}},	//   _ستاس, tesd, _thoe_, _reho_, 
   {{0xfc660141,0x7dea0095,0x2245027e,0x69c89e01}},	//   _пълн, _nəsi, _ülke_, rsde, 
   {{0xb4db00b9,0x68fd9e02,0xdceb007b,0x00000000}},	//   _llàc, resd, _sigħ, --, 
   {{0xb9c60084,0xa3ea0f63,0xf53f0533,0x3952016a}},	//   _كتبه, _महज_, _slå_, _emys_, 
   {{0xbb8300eb,0x68fd016a,0xc6683ffa,0x7a460212}},	//   _حلوي, pesd, еште_, _dété, 
   {{0x28db00a5,0x4a7b00d1,0x25ac0ed0,0x26c1016c}},	//   _भाटि, _מרוב, ídla_, _weho_, 
   {{0x26c19e03,0x3495022c,0x28b4007a,0x00000000}},	// [99b0] _teho_, таар, _صحيح, --, 
   {{0x7a460175,0x8627012d,0x212d0574,0x2d530474}},	//   _gété, _зьме, _soeh_, eţel_, 
   {{0xcad700d1,0x212d01d2,0x213f00da,0x54b90080}},	//   תובת_, _poeh_, _pluh_, _огня_, 
   {{0xa2dd8e28,0x3ce60201,0x7fd503bd,0x00000000}},	//   _पाक्, _ncov_, вікі, --, 
   {{0xdee584a9,0x656803b3,0xb4cd4437,0x260502e6}},	//   воли, édhe, रणी_, _हैती_, 
   {{0x98a902fe,0xbec200e0,0x09b60033,0xb33b019c}},	//   _mlađ_, šīna, _ঝিনা, _fuça, 
   {{0x659c0175,0x00000000,0x00000000,0x00000000}},	//   _kōha, --, --, --, 
   {{0x2734014e,0x3e8602d9,0x2d999e04,0xfe7069c5}},	//   _hänt_, _sítí_, öse_, حده_, 
   {{0x2d8d09a2,0x27340219,0x7bc99e05,0x752f0035}},	//   rmee_, _känt_, useu, _mocz, 
   {{0x7bc99e06,0x78ad03a1,0xc6bc0086,0x2d8d08b0}},	//   rseu, _afav, _অঞ্চ, smee_, 
   {{0xa96a1d75,0x7bc99e07,0x3940158b,0xd9461d27}},	//   дина_, sseu, _plis_, вени, 
   {{0x9c3902a6,0x00000000,0x00000000,0x00000000}},	//   _опет_, --, --, --, 
   {{0xeb8e9e08,0x69de004f,0x00000000,0x00000000}},	//   _ви_, _åpen, --, --, 
   {{0x9a15244e,0x41d11bc8,0x7d0b008c,0xfaa20f7d}},	//   _афиш, _हिंस, _hags, _кашо, 
   {{0x65c39e09,0xb87b060f,0xd5d5011f,0x7d0b012b}},	//   ибра, rgía, люты, _kags, 
   {{0xe8d90029,0xb4dc9e0a,0x39400371,0xc563177d}},	//   _phụ_, ठले_, _ulis_, акск, 
   {{0x7d0b5144,0x7a46033e,0x5ed100a2,0x7dea00ad}},	// [99c0] _mags, _tété, सणाऱ, _vəsi, 
   {{0x7c26022b,0x98a000ef,0x7d0b93b6,0xfbd400ab}},	//   äkri, _boić_, _lags, _दिसम, 
   {{0xb6d90137,0x7dea0095,0x2fcd0237,0xb87b02be}},	//   _אַרט, _təsi, _aveg_, ngín, 
   {{0xa3e20190,0x7d0b7fae,0x64a668b0,0xe8d9001b}},	//   नंद_, _nags, _шама, _thụ_, 
   {{0xc0e306ba,0xff2601ff,0x442412ed,0x00000000}},	//   рочк, кмдо, _çm_, --, 
   {{0x4add00a2,0xdbdb003e,0x273400b0,0x1f73128b}},	//   _मागव, _ráðg, _tänu_, алія, 
   {{0x7d0b9e0b,0x420701a2,0x68f660bd,0x00000000}},	//   _bags, _инро_, _obyd, --, 
   {{0x2175022c,0x3d1900bd,0x6b440118,0x00000000}},	//   _буур, भागे_, _mòge, --, 
   {{0x7d0b3667,0x8fa60d27,0x6aad0241,0xbb7414b7}},	//   _dags, _разе, _şafa, лгиј, 
   {{0x78ad1e23,0x20199e0c,0x273402ae,0x7d0b0534}},	//   _sfav, _ásia_, _mäns_, _eags, 
   {{0x2bd4288f,0x2d0603dd,0x7d0b4384,0x273402ae}},	//   _दिवा, _аялг, _fags, _läns_, 
   {{0xdd96024f,0xa9210095,0xe9450296,0x00000000}},	//   _شجاع, _şöbə, اردی, --, 
   {{0x1bd468a5,0xf773195e,0xdb090084,0x6d420054}},	//   _соля, لاس_, speá, _iloa, 
   {{0x6d42084c,0xf09300d1,0x752f0083,0x260f0c46}},	//   _hloa, ינר_, _socz, डिली_, 
   {{0x752f006a,0xa4d502fb,0x7e86031e,0x6d4201e8}},	//   _pocz, лові, _úspě, _kloa, 
   {{0xb4cd00a2,0x3544004f,0x273402ae,0x386901cf}},	//   रणे_, ахув, _sänt_, _txar_, 
   {{0x659401fc,0x2458030f,0x39599e0d,0x06d80033}},	// [99d0] рату, вать_, miss_, দ্ধি, 
   {{0xe5c70cdf,0x69da9e0e,0x7d009e0f,0x46a70366}},	//   _исмо, orte, hems, _खलिह, 
   {{0xe659002e,0x27342082,0x10d5012d,0x32070054}},	//   _чинч_, _vänt_, гілё, ìny_, 
   {{0x69da009f,0x06d80086,0x7d007136,0xdce200a4}},	//   irte, দ্দি, jems, _djoċ, 
   {{0x7d0000d2,0x7dea0095,0x69da01c4,0xd250006b}},	//   dems, _məsu, hrte, منے_, 
   {{0x7d0b9e10,0x6d4201a7,0xf77f0e03,0xaed202a6}},	//   _sags, _aloa, ftçi_, бољш, 
   {{0x7d0b80ed,0xb06200c8,0x6d950243,0x6d429e11}},	//   _pags, _ääni, _ušak, _bloa, 
   {{0x2bd40fc0,0xb33b021e,0x00000000,0x00000000}},	//   _दिशा, _kuço, --, --, 
   {{0xeb999e12,0x69da9e13,0xfaa50c09,0xa1580267}},	//   нии_, erte, лапо, _рату_, 
   {{0x4add69ca,0x8b259e14,0x4b25878b,0x0b420259}},	//   _माओव, удое, умов, йнын, 
   {{0x7d0b9e15,0x52d000cc,0x2bc4072f,0x7dea00ad}},	//   _tags, স্কৃ, लीबा, _səsv, 
   {{0xb87b9e16,0x2e3a00c7,0x4a42004f,0x6d420474}},	//   rgín, _אגענ, снюв, _gloa, 
   {{0x69da9e17,0x9f5902aa,0x03030299,0xed5900d8}},	//   arte, _ésó_, रजाह_, miž_, 
   {{0xcc3a0070,0x07a37f60,0x25ac024c,0xc7a338f2}},	//   _רעסט, сарн, ídlo_, сирк, 
   {{0x39593722,0x2d9d190c,0x6b4400a1,0xe80000b0}},	//   biss_, _kiwe_, _fògb, _लईका_, 
   {{0x2cad00a7,0xf8a80262,0x2d9d0548,0xa5079e18}},	//   nced_, _गलिय, _jiwe_, леса_, 
   {{0xc9530056,0xf2da07cf,0xc7a601d8,0x00000000}},	// [99e0] _למה_, فظات_, _щипк, --, 
   {{0x7d001cb1,0x29029e19,0x491c000d,0x7bdb0065}},	//   zems, leka_, याको_, iruu, 
   {{0xe0da0849,0x24860228,0xb4db01a7,0x7d00095a}},	//   еве_, ťom_, _ilàn, yems, 
   {{0x29029e1a,0x69ce39b5,0x9fca0088,0x106a01d7}},	//   neka_, ábei, егда_, нией_, 
   {{0x7d00017b,0x4386031b,0x00000000,0x00000000}},	//   vems, _ملحق, --, --, 
   {{0x26ca1272,0x290208dc,0x643b00c7,0x6db413d5}},	//   nabo_, heka_, _טעכנ, айку, 
   {{0x290274aa,0x63a602fe,0x6d4200d9,0x324602f1}},	//   keka_, _hukn, _ploa, _севг, 
   {{0x290203e5,0x26ca85cf,0x61430b58,0x69da00bc}},	//   jeka_, habo_, _леса, vrte, 
   {{0x26ca9e1b,0x7d009e1c,0xf0669e1d,0x7dea0095}},	//   kabo_, rems, _скап, _rəsu, 
   {{0x69da008b,0x3d1900a2,0x3b540e2c,0x7d009e1e}},	//   trte, _मोठे_, ркор, sems, 
   {{0x63a69e1f,0x037700d1,0x69da69b8,0x6d420149}},	//   _lukn, רתית_, urte, _tloa, 
   {{0x7dea06d0,0x29026217,0x637001c4,0xb4db0054}},	//   _dəst, geka_, gänz, _alàn, 
   {{0x3f9e9e20,0x63a60102,0xb95400c8,0xd7f89e21}},	//   _kitu_, _nukn, свящ, лур_, 
   {{0x26ca8478,0x2d9d9e22,0x69da0352,0x61fc0604}},	//   gabo_, _ziwe_, prte, _oprl, 
   {{0x29029e23,0x3f9e9e24,0xa5f81628,0xae1700b0}},	//   beka_, _mitu_, леру_, थियन_, 
   {{0x290202b8,0x99d30019,0x44b54a80,0xb33b00f6}},	//   ceka_, _اتوا, рбас, _puço, 
   {{0x26ca9e25,0x36d521a8,0xb35541ef,0x32180175}},	// [99f0] babo_, _копр, акаш, _arry_, 
   {{0xd49823e1,0xb4db00f6,0x63a69e26,0x3f9e0474}},	//   урс_, _glàn, _dukn, _nitu_, 
   {{0x798d9e27,0x7dea0095,0x05790038,0xa3e102e6}},	//   _khaw, _xəst, _لمدة_, _धमक_, 
   {{0x30159e28,0xdef800c3,0x11280093,0x1fb50028}},	//   идер, _abċ_, лючи_, аскр, 
   {{0xd00915d3,0x752d9e29,0x3f9e002c,0x602500a3}},	//   теле_, mjaz, _bitu_, рдла, 
   {{0x29020e50,0x3f9e00e0,0xddc80009,0x2d9d9e2a}},	//   zeka_, _citu_, _dydž, _siwe_, 
   {{0x2902045a,0x3f9e9e2b,0xed59037f,0xddc20445}},	//   yeka_, _ditu_, tiž_, общи, 
   {{0xd6580056,0x7bc20237,0x7bdb2afb,0x00000000}},	//   טיות_, _bwou, truu, --, 
   {{0x0b450c67,0x44298198,0x2bc611db,0x2d53002e}},	//   инин, nxa_, алып_, nţei_, 
   {{0x2902086d,0x3f9e3033,0x44292d9c,0x60cb02dc}},	//   weka_, _gitu_, ixa_, lagm, 
   {{0x29029e2c,0x69269e2d,0x7a695cb1,0x7c42090e}},	//   teka_, амна, тинг_, _čvrš, 
   {{0x273d00f7,0x798d9e2e,0x5c75117c,0x60cb140d}},	//   _hình_, _chaw, _клет, nagm, 
   {{0x29029e2f,0x798d9e30,0x6d4911a1,0x26ca9e31}},	//   reka_, _dhaw, mhea, tabo_, 
   {{0x290257ff,0x6d4942d8,0x6d5b0548,0x644d044d}},	//   seka_, lhea, liua, dzai, 
   {{0x273d00f7,0x26ca9e32,0x63a61938,0x29029e33}},	//   _mình_, rabo_, _sukn, peka_, 
   {{0x9663005e,0x63a61a35,0x26ca0458,0x59da00c2}},	//   ікте, _pukn, sabo_, _भितर, 
   {{0x7c3b906a,0x6f039e34,0x78a9239a,0x7c2903dd}},	// [9a00] nyur, kenc, ževc, nxer, 
   {{0x6f039e35,0xdcfb090e,0x6d950009,0x2216058e}},	//   jenc, dluč, _išau, ифер, 
   {{0x6f039e36,0x6d5b1d78,0x7c3b0027,0x02062794}},	//   denc, kiua, hyur, рзен, 
   {{0x3f9e02fa,0xc05a004e,0x60cb012b,0xfbc77438}},	//   _situ_, кіл_, gagm, _وت_, 
   {{0x6d490673,0x273d00f7,0xe8190ede,0x3f9e9e37}},	//   dhea, _bình_, दिया_, _pitu_, 
   {{0x69c300a7,0x9f5342f6,0x06d80033,0x6aa30604}},	//   _owne, овіч, দ্রি, _ngnf, 
   {{0x3f9e0010,0x6fd207d5,0xbd6a2831,0x6d493f63}},	//   _vitu_, _सिकं, крие_, fhea, 
   {{0x6d499e38,0xc0e39e39,0x2d9900d3,0x6f0300b4}},	//   ghea, _моск, гөчө_, aenc, 
   {{0x6f030da2,0xdee69e3a,0x798d9e3b,0x29d1003d}},	//   benc, _вози, _rhaw, eġa_, 
   {{0x798d9e3c,0x752d9e3d,0x63700088,0x6da30a1a}},	//   _shaw, zjaz, täny, _rđav, 
   {{0x6d490094,0xc98702aa,0x798d017c,0x999902aa}},	//   bhea, иуми, _phaw, лкот_, 
   {{0x6d490673,0x798d0201,0x7bc206df,0x7c3b9e3e}},	//   chea, _qhaw, _twou, byur, 
   {{0x588748bf,0x44290405,0x386d027e,0x7c3b02b8}},	//   рына, xxa_, çer_, cyur, 
   {{0x6d409e3f,0x79a624e1,0x78a40539,0x6b4401f5}},	//   lkma, _крие, _egiv, _fòga, 
   {{0x798d01c1,0x69c302f0,0xdcfb7d65,0x7aef014b}},	//   _thaw, _gwne, zluč, žitý, 
   {{0x644d0414,0x442945d5,0x6f039e40,0x6d402da7}},	//   tzai, txa_, zenc, nkma, 
   {{0xf8bf9e41,0x4429610f,0xd6db02a0,0x6d4001d2}},	// [9a10] mbé_, uxa_, _итн_, ikma, 
   {{0x44299e42,0x6f030496,0xec710137,0x7ae84e69}},	//   rxa_, xenc, פֿן_, ngdt, 
   {{0x555933c4,0x6d409e43,0x6d49155e,0xd05100ad}},	//   _баня_, kkma, yhea, əfəs, 
   {{0x6d4900a1,0x6d4046e6,0x31669e44,0x442902be}},	//   xhea, jkma, gnoz_, pxa_, 
   {{0x6b810156,0xa054017b,0x00000000,0x00000000}},	//   yllg, овці, --, --, 
   {{0x6da5655e,0x6d4012b6,0x00000000,0x00000000}},	//   бика, ekma, --, --, 
   {{0x6d49355f,0xed599e45,0x6f039e46,0x60cb0c36}},	//   thea, лок_, renc, pagm, 
   {{0x23671a35,0x7c29690b,0x6f0340bd,0x9f5f003e}},	//   čnju_, txer, senc, _eruð_, 
   {{0x273d00f7,0x3245004e,0x61e59e47,0x7c291484}},	//   _tình_, _теңг, luhl, uxer, 
   {{0x6aa4091f,0x6d499e48,0x60c99e49,0x7c290042}},	//   _şifr, shea, _heem, rxer, 
   {{0xdce90d02,0x60c99e4a,0x6d499e4b,0x61e502cd}},	//   sleđ, _keem, phea, nuhl, 
   {{0xa3e2017d,0xfc3301c9,0x8d873cab,0x00000000}},	//   नूँ_, _وحش_, _тузд, --, 
   {{0x8d74073c,0x5ba711f0,0x6d599e4c,0x60c99e4d}},	//   _بالا, _трез, _imwa, _meem, 
   {{0x2cbf05ce,0x60c98da3,0x61e59e4e,0xf1a70fc0}},	//   lbud_, _leem, kuhl, गदान, 
   {{0x78a911c8,0x19b5143f,0xe64300dd,0x68ed00a1}},	//   ževa, _احتج, перп, _fcad, 
   {{0x60c99e4f,0xa8c600a3,0xf992243d,0x2cbf00fc}},	//   _neem, _уйид, _عبث_, nbud_, 
   {{0x436a022c,0x442603b7,0xa3e20a34,0x66e67246}},	// [9a20] гаан_, ão_, नूं_, _лопа, 
   {{0x29129e50,0xe29a14e6,0xd24f00d4,0xe6469e51}},	//   _haya_, газ_, کنم_, _геоп, 
   {{0x29129e52,0x60c99e53,0x2cbf290c,0x61e50ab1}},	//   _kaya_, _beem, kbud_, guhl, 
   {{0xc6930056,0x00000000,0x00000000,0x00000000}},	//   _מאת_, --, --, --, 
   {{0x8ff70084,0xdfcf00eb,0x69d500bc,0xdefa03a1}},	//   مرور_, فين_, ázej, гый_, 
   {{0x6d596d21,0x61e59e54,0x29125ef0,0x43750258}},	//   _amwa, buhl, _laya_, _дуст, 
   {{0x60c9006d,0x200d376f,0x3d1902e6,0x00000000}},	//   _feem, _esei_, _मोहे_, --, 
   {{0xfc460098,0x5fe000aa,0x60c99e55,0xebd8065b}},	//   šími_, _निपल, _geem, адиш_, 
   {{0x6d409e56,0x61fb0082,0x00000000,0x00000000}},	//   rkma, _ćuli, --, --, 
   {{0x68ed1192,0x6d409e57,0x29120102,0x6e93015f}},	//   _scad, skma, _aaya_, _کلما, 
   {{0x7c24012d,0x8e8600eb,0x29129e58,0x3f9b0107}},	//   _šird, _الاه, _baya_, ïque_, 
   {{0x291200e2,0x60c9006d,0xdd8f0038,0x00000000}},	//   _caya_, _xeem, _كول_, --, 
   {{0x25e600c2,0xf8bf9e59,0xead435d3,0x00000000}},	//   जूसी_, rbé_, _доль, --, 
   {{0x83030033,0xf8bf010e,0x00000000,0x00000000}},	//   _উচ্চ_, sbé_, --, --, 
   {{0x2c740019,0x2bc40586,0x29120f83,0x6d5900f8}},	//   _دیکھ_, लीरा, _faya_, _ymwa, 
   {{0x29129e5a,0x39a501dd,0x657d9e5b,0x7c2401be}},	//   _gaya_, _cēsu_, _qksh, _àirs, 
   {{0x994800b1,0x83356f2f,0x39490102,0x2ca60108}},	// [9a30] _دليل_, онах, _ilas_, _mgod_, 
   {{0x63ad9e5c,0x3949014b,0x60c99e5d,0x21240118}},	//   rqan, _hlas_, _seem, _anmh_, 
   {{0x39499e5e,0x56959e5f,0x29129e60,0xe5350088}},	//   _klas_, _фант, _yaya_, _день, 
   {{0x61e500a3,0x2cbf02ae,0x399b6712,0x0ce30033}},	//   ruhl, xbud_, _būsi_, _মস্ত, 
   {{0xb4e5119b,0x63ad00a3,0x9f999cc7,0x60c90eb1}},	//   नली_, qqan, авду_, _veem, 
   {{0x3949001d,0x60c901a3,0x8afc0035,0x439400fd}},	//   _llas_, _weem, nięd, _наяс, 
   {{0x60c99e61,0x39499e62,0x2cbf9e63,0x260f0299}},	//   _teem, _olas_, tbud_, डिटी_, 
   {{0x2bd4119f,0x6d950028,0x00000000,0x00000000}},	//   _दिखा, _ašar, --, --, 
   {{0x6fe011bd,0x29122998,0x2cbf017e,0x200d0165}},	//   _नियं, _raya_, rbud_, _usei_, 
   {{0x291222fd,0x394908a1,0x6d5e026d,0x3d19413a}},	//   _saya_, _alas_, épar, _मोरे_, 
   {{0x291229bb,0x7cd90019,0x39499e64,0x2d8f0226}},	//   _paya_, _نواز_, _blas_, _thge_, 
   {{0x78a9090b,0x6d59099d,0x39499e65,0x7c2408b1}},	//   ževn, _umwa, _clas_, _šire, 
   {{0x2912123c,0x224d00bc,0x31c605ff,0x06ee0110}},	//   _vaya_, _řekl_, _लब्ध, _जादव_, 
   {{0x39499e66,0x409a00d1,0x29122141,0xf6266cbd}},	//   _elas_, יברס, _waya_, одго, 
   {{0x291211e9,0x39491101,0xb6a300a3,0x00000000}},	//   _taya_, _flas_, дирл, --, 
   {{0x785c01dd,0x91b00210,0x00000000,0x00000000}},	//   tāvī, _đào_, --, --, 
   {{0x42ca00cf,0xe57724cf,0x5eca0033,0xe3b70bad}},	// [9a40] иган_, ізу_, _রাসে, жбу_, 
   {{0x6fe011bd,0x7c2400eb,0x212400a1,0x00000000}},	//   _निबं, _áire, _snmh_, --, 
   {{0x64a69e67,0x316d00ef,0xa49b03a0,0xf74a0dec}},	//   _мана, _bjez_, _abòd, _ملکي_, 
   {{0x21650259,0x10a644d7,0x00000000,0x00000000}},	//   птіг, цидн, --, --, 
   {{0xee021d74,0x34a7004f,0x25e60035,0xa06a0259}},	//   लब्ध_, _євро_, जूरी_, шада_, 
   {{0xfe7800d3,0x661e020f,0xcdda14b7,0x6fdb03a2}},	//   бүз_, _krpk, ањи_, _निरू, 
   {{0x7946006a,0x614621e6,0x00000000,0x00000000}},	//   _równ, _дева, --, --, 
   {{0x387f003d,0x910305b2,0x00000000,0x00000000}},	//   żuri_, _опсе, --, --, 
   {{0xeb06154d,0x46bf00bc,0x6b4400a1,0xddce0083}},	//   очно, ्रमह, _fògl, ódło, 
   {{0xba541b11,0x60c29e68,0x9a8600a3,0x2cb102d9}},	//   звој, lbom, жумл, ězda_, 
   {{0x39499e69,0xa2ad072e,0x777c00b9,0xb87b019c}},	//   _plas_, _जलस्, dorx, ngív, 
   {{0xdb03009e,0x2ca60102,0x00000000,0x00000000}},	//   _jinê, _ugod_, --, --, 
   {{0xcb6a00ce,0x78a90372,0xc19b0070,0xd7fb03a1}},	//   _каде_, ževo, ישטי, шун_, 
   {{0x6cea00c9,0xdb201279,0x00000000,0x00000000}},	//   _टाँग_, ätäm, --, --, 
   {{0x661e0308,0x28c802e6,0x394907d7,0x26da9e6a}},	//   _crpk, लरशि, _tlas_, _ddpo_, 
   {{0x9f52009e,0xb4e57fdd,0x39499e6b,0x00000000}},	//   îyê_, नले_, _ulas_, --, 
   {{0xe8730e70,0xb2ab08b8,0x628e9e6c,0x54551fc7}},	// [9a50] _زندگ, атеж_, _azbo, чват, 
   {{0x2bdd0484,0xdceb0588,0xe8d90023,0x23742f67}},	//   _मिसा, _čičk, _thỳ_, والح, 
   {{0x6cea190a,0xdb03009e,0x26d19e6d,0x00000000}},	//   _टांग_, _binê, mazo_, --, 
   {{0xdd86006b,0x60c29776,0x6b4400a1,0x7ff5007a}},	//   _سو_, gbom, _sògl, كستا, 
   {{0x6fc61489,0x442d9e6e,0x00000000,0x00000000}},	//   रीलं, _çe_, --, --, 
   {{0x26d19e6f,0xdb0b019c,0x60c202a5,0x00000000}},	//   nazo_, _eugê, abom, --, 
   {{0xc332035c,0x3ea218ae,0xfe4511e7,0xd04900ad}},	//   _אום_, нишг, янко, _ənən, 
   {{0x26d105f0,0xb4db01f5,0xf8b50110,0x00000000}},	//   hazo_, _blài, ंडोप, --, 
   {{0x399b002a,0x26d19e70,0x69dc35ee,0xb4db01f5}},	//   _jūsu_, kazo_, áren, _clài, 
   {{0x399b002a,0x26d10548,0x78a90082,0x7c2605a1}},	//   _mūsu_, jazo_, ževl, åkra, 
   {{0xd910006b,0x98b00704,0x26d19e71,0x6b447da4}},	//   ہیں_, šača_, dazo_, _gògm, 
   {{0xa96a9e72,0x3a3802ae,0xb4db01be,0x60db00c3}},	//   сима_, ärpa_, _flài, _jdum, 
   {{0x6d4b5ab8,0x661e2f6f,0x26d10379,0x60db018e}},	//   _ilga, _srpk, fazo_, _mdum, 
   {{0x26cc94e5,0x7d099e73,0x26d1001d,0x907a029e}},	//   údo_, lees, gazo_, מטרי, 
   {{0x65c60141,0xd9469e74,0x60c20028,0x39b7107c}},	//   ябва, _неки, ybom, _băse_, 
   {{0x7d099e75,0x2a3a00a7,0xb33b02aa,0x60db02b8}},	//   nees, _לעצמ, _muçu, _ndum, 
   {{0x26d19e76,0x656f018e,0x00000000,0x00000000}},	// [9a60] bazo_, _djch, --, --, 
   {{0xe819047c,0x7d090088,0x8afc00ab,0x629a014b}},	//   दिरा_, hees, mięc, _útok, 
   {{0x6d4b00cf,0x2366090e,0x7d099e77,0x42560995}},	//   _olga, đoj_, kees, чтат, 
   {{0xfaf80243,0x33d6017b,0x39b7107c,0x00000000}},	//   lnīt_, _нігт, _găse_, --, 
   {{0x98a708b1,0x8afc00ab,0x60db01b8,0x7d0997f5}},	//   šića_, nięc, _ddum, dees, 
   {{0x6d4b1b8d,0xa2bb2fcf,0x60c209ad,0x60db00bd}},	//   _alga, शुद्, sbom, _edum, 
   {{0x7d099e78,0xb4db01c5,0x00000000,0x00000000}},	//   fees, _slài, --, --, 
   {{0x5bb89e79,0x3f87034c,0x7d09000b,0x6da3122f}},	//   олия_, alnu_, gees, нија, 
   {{0x6fb60523,0x26d1054e,0x00000000,0x00000000}},	//   _رمضا, yazo_, --, --, 
   {{0xff2400d4,0x290000d9,0x49d8017b,0x8e86022d}},	//   _تبری, _abia_, одою_, _егзе, 
   {{0xc33300a7,0x7d099e7a,0x63a9019c,0x26d10379}},	//   תות_, bees, _éenv, vazo_, 
   {{0x26d10010,0xdb0305d5,0x00000000,0x00000000}},	//   wazo_, _linè, --, --, 
   {{0x26d10ac1,0x3157035c,0x7c831853,0xe8249e7b}},	//   tazo_, ליטן_, _пуше, нфро, 
   {{0xd7f893ff,0x00000000,0x00000000,0x00000000}},	//   чую_, --, --, --, 
   {{0x50cc6833,0x8afb0056,0x26d19e7c,0xb6040965}},	//   ाराष, _להגי, razo_, нятк, 
   {{0xe8d900e7,0x39920183,0x26d19e7d,0x69d800c3}},	//   _thự_, táse_, sazo_, _ivve, 
   {{0x26d109a1,0xdb039e7e,0xdb0b011c,0x60db008a}},	// [9a70] pazo_, _binè, _bugè, _rdum, 
   {{0x291902fe,0x39920042,0xdb0300f6,0xe9ff0023}},	//   ldsa_, ráse_, _cinè, _hoại_, 
   {{0x7d0901b8,0xdb0b05a1,0x2247010e,0x00000000}},	//   yees, _utgå, ánk_, --, 
   {{0x290b9e7f,0x2bdd02a2,0xdb0b02df,0xf41f0219}},	//   neca_, _मिला, _eugè, _trä_, 
   {{0xdb1b15c4,0x29d80029,0xdb0372c1,0xd2500019}},	//   spué, hĩa_, _finè, ننے_, 
   {{0xe9ff00f7,0x7d099e80,0xdb0205b9,0x69d80093}},	//   _loại_, wees, _otoñ, _ovve, 
   {{0x7d099e81,0xed59058b,0x290b9e82,0x8afc0035}},	//   tees, жой_, keca_, zięc, 
   {{0x656d9e83,0x63af0d26,0x290b04ab,0x0c250288}},	//   nnah, _kucn, jeca_, дмин, 
   {{0x69d82ba1,0x7d099e84,0x2bdd02f8,0x290b9e85}},	//   _avve, rees, _मिळा, deca_, 
   {{0x990607bd,0xe9d913e6,0x4a451d3c,0x7d092375}},	//   षज्ञ_, око_, днов, sees, 
   {{0x63a7012e,0xdb0300bc,0x6d4b011d,0x290b9e86}},	//   _mijn, _jiné, _tlga, feca_, 
   {{0xe6c6017d,0x63a79e87,0xdb039e88,0x6d4b0104}},	//   वर्ज, _lijn, _miné, _ulga, 
   {{0x7d5600c7,0xdb039e89,0x69d89e8a,0x00000000}},	//   _קינד_, _liné, _evve, --, 
   {{0x63a79e8b,0x6fe0258c,0x4c9a00d1,0x9b4500d7}},	//   _nijn, _निसं, _ובנו, _زنبو, 
   {{0x8afc00ab,0x656d1ded,0x00000000,0x00000000}},	//   sięc, fnah, --, --, 
   {{0x19870141,0x63af0a1a,0x8afc0035,0x656d9a21}},	//   _общи_, _bucn, pięc, gnah, 
   {{0x7984086d,0x63a70b32,0x63af00ca,0xdb039e8c}},	// [9a80] _ikiw, _bijn, _cucn, _ainé, 
   {{0xdb09655f,0xdb030096,0x656d9e8d,0x69c15490}},	//   mpeó, _biné, anah, ople, 
   {{0xdb039e8e,0x69c19334,0x656d0502,0xe4c60258}},	//   _ciné, nple, bnah, _ойни, 
   {{0x20049e8f,0x63bd0054,0x9c821102,0x6b4401fd}},	//   _ppmi_, _ftsn, íčko, _eògh, 
   {{0x63a7012e,0xb4db022c,0x7984095a,0x6b4401fd}},	//   _fijn, _clàu, _mkiw, _fògh, 
   {{0xdb0374e2,0x290b0f23,0x69c19e90,0x44221240}},	//   _finé, zeca_, kple, _irk_, 
   {{0x44227161,0x53a707d5,0x439301a2,0x63af0a1a}},	//   _hrk_, _कूटश, _раёс, _zucn, 
   {{0x69c1123b,0x63a701c8,0x7984052b,0xa2c608c6}},	//   dple, _zijn, _nkiw, िरक्, 
   {{0xa2a20367,0x64440547,0x0083016e,0x44220175}},	//   _कृत्, nyii, _алто, _jrk_, 
   {{0x79844573,0x5a340def,0x4c9200a3,0x65649e91}},	//   _akiw, енот, ниқс, hiih, 
   {{0x290b04ff,0x656d15ef,0x69c128f3,0x3d190790}},	//   teca_, ynah, gple, _मोके_, 
   {{0x1c461aa0,0x7996017c,0x6aad9e92,0x00000000}},	//   _онем, _chyw, _şaft, --, 
   {{0xb8d7188d,0x290b9e93,0x7d0200ef,0x442200dd}},	//   _जल_, reca_, _ibos, _nrk_, 
   {{0x290b090b,0x63af090e,0x5ee00086,0x70ab00c9}},	//   seca_, _rucn, প্রে, _छल्ल, 
   {{0xd9f20190,0x290b9e94,0x63a701c8,0x656d1f09}},	//   _अमित_, peca_, _rijn, tnah, 
   {{0x99440749,0x63af11b1,0x61e50098,0xdb0369a9}},	//   mış_, _pucn, vrhl, _riné, 
   {{0x63a76b44,0xdb039e95,0x994404be,0x78ad00b0}},	// [9a90] _pijn, _siné, lış_, _igav, 
   {{0x656d9e96,0x442203fc,0xdb030126,0x8c1b00d1}},	//   snah, _drk_, _piné, חומי, 
   {{0x39920019,0x99440785,0x63a7024a,0x7d02020f}},	//   lása_, nış_, _vijn, _obos, 
   {{0x63a7012e,0x7c229e97,0x6b440118,0x44221ec7}},	//   _wijn, _oror, _dògi, _frk_, 
   {{0x80270084,0x5ed30086,0x69c10144,0x63a7039b}},	//   برام, _সাবে, zple, _tijn, 
   {{0x9944027e,0x84ef04cc,0x6fe00fc0,0x69c17836}},	//   kış_, _छाँट_, _निरं, yple, 
   {{0x753d1cfe,0xc1770e61,0x78ad0613,0x7c2245e2}},	//   _kosz, _قدرت, _ogav, _aror, 
   {{0x92949e98,0x78ad012b,0x7c2244ae,0xa294012d}},	//   _расц, _ngav, _bror, _расі, 
   {{0x799602bf,0xdcf902a5,0x51849e99,0x753d9e9a}},	//   _rhyw, _akwă, _рура, _mosz, 
   {{0x39920019,0x69c12247,0x7d020156,0x7c22439c}},	//   dása_, tple, _ebos, _dror, 
   {{0x7c222204,0xdcfb02d9,0x00000000,0x00000000}},	//   _eror, louč, --, --, 
   {{0x69c19e9b,0x7c220068,0x753d66a9,0x4abf0c73}},	//   rple, _fror, _nosz, _श्रव, 
   {{0x69c19e9c,0x291e031e,0x59b4022c,0xb4db03dd}},	//   sple, ěta_, нөөс, _llàs, 
   {{0xcc3a07f5,0x7d1b0077,0x794600ab,0x7d199e9d}},	//   _מענט, ldus, _mówi, _haws, 
   {{0xd04006d0,0xd5b21ea7,0xd62700b3,0x6b810508}},	//   _demə, افر_, норе_, molg, 
   {{0x7d1b05d2,0xdb090503,0x79840053,0x6fe00fcf}},	//   ndus, mpeñ, _ukiw, _निलं, 
   {{0x490000c9,0xb4db00a1,0x753d0035,0xa2a200bc}},	// [9aa0] ष्णो_, _alàs, _dosz, केन्, 
   {{0xb4db00a1,0xc48300d3,0x442217fc,0x6d4914aa}},	//   _blàs, улук, _vrk_, hkea, 
   {{0x00e612ce,0xb4db022c,0x6d490080,0x61469e9e}},	//   ежен, _clàs, kkea, нежа, 
   {{0x61e3006b,0xe0d21117,0x057638bd,0x6b819e9f}},	//   ánla, ازا_, _ساجد, holg, 
   {{0x14d70056,0x673e9ea0,0x7d1b9ea1,0xd04000ad}},	//   _אוכל_, _kopj, ddus, _yemə, 
   {{0x7c244291,0x99440785,0x44200053,0x2f5600b3}},	//   _širo, yış_, mvi_, этес, 
   {{0x994406d0,0x39920019,0x6b66026a,0xa2f700d1}},	//   xış_, zása_, _légè, _רמלה_, 
   {{0x78a9003a,0x44202b92,0x7d1b2639,0x21a39ea2}},	//   ževi, ovi_, gdus, _бисм, 
   {{0x30769004,0x7d199ea3,0x6b8102ec,0x442000d3}},	//   _чувс, _daws, folg, nvi_, 
   {{0xf06306d5,0x994403c0,0x44209ea4,0x7d1b00b0}},	//   _скуп, tış_, ivi_, adus, 
   {{0x4420496e,0x2bc40249,0x00000000,0x00000000}},	//   hvi_, लीजा, --, --, 
   {{0x442002f5,0x3992006b,0x99440fc1,0x6d496036}},	//   kvi_, tása_, rış_, ckea, 
   {{0x53b500a2,0x5694004e,0x673e0226,0xa49b06df}},	//   _अंधश, ғатт, _bopj, _abòn, 
   {{0x7d1900ab,0x44200097,0x7c2d07c7,0xadf43832}},	//   _zaws, dvi_, _šarg, _इमान_, 
   {{0x753d4b6e,0x44209ea5,0xe6100019,0x94d5527c}},	//   _posz, evi_, یشہ_, ковц, 
   {{0x69da9ea6,0x78ad095a,0x44200604,0x00000000}},	//   mste, _ugav, fvi_, --, 
   {{0x97a7041d,0xb4db01f5,0x442001d5,0x69da0dd8}},	// [9ab0] _прол, _blàr, gvi_, lste, 
   {{0x6f1a9ea7,0x7d1b0ab4,0x69da20fe,0xb4db9ea8}},	//   _natc, zdus, oste, _plàs, 
   {{0x644106d0,0x69da222d,0x44209ea9,0x16bf47bd}},	//   _əliy, nste, avi_, ्रीब, 
   {{0x69da5526,0xf99f06df,0x6b81010e,0x2d860415}},	//   iste, nmè_, zolg, _nkoe_, 
   {{0x7d198e24,0x417407cf,0x69da1091,0x00000000}},	//   _raws, دالس, hste, --, 
   {{0x2d86105b,0xdcfb3efa,0xdce900ef,0x7d19089c}},	//   _akoe_, rouč, rneč, _saws, 
   {{0x6b817055,0x69da9eaa,0x7ed4009c,0x6f1a040c}},	//   volg, jste, ازها, _datc, 
   {{0x26d300e5,0x387e0035,0x62959eab,0x7d1b7d2c}},	//   _lexo_, ętrz_, _izzo, udus, 
   {{0x69da9eac,0xeb999ead,0x81c30086,0x6d494a64}},	//   este, мии_, _এটি_, rkea, 
   {{0x26d3118d,0x69da9eae,0xfaa5011f,0x6d491f82}},	//   _nexo_, fste, капо, skea, 
   {{0x2bd10c06,0x28c300a2,0x291b9eaf,0x5a951cc1}},	//   _दौरा, _व्हि, _baqa_, ъриф, 
   {{0x81c300cc,0x186a833b,0x8afc00ab,0x6b819eb0}},	//   _এটা_, дами_, wnęt, solg, 
   {{0x395901ee,0x3de30086,0x2d8d0640,0xdd94012d}},	//   ërsa_, _মহিল, mlee_, _сацы, 
   {{0x6f1a0183,0xb8e902e6,0x2d8d9eb1,0x6a850258}},	//   _xatc, _ल्_, llee_, _илла, 
   {{0x26d30183,0x212d0175,0x9a24007a,0x291b1e05}},	//   _dexo_, _oneh_, _معين, _faqa_, 
   {{0x44202b52,0xa2a229b0,0x25ab0036,0xa3b60083}},	//   tvi_, _कृष्, _cicl_, _चंद_, 
   {{0xd4671c93,0xe5a3115f,0x7bdb9eb2,0x62959eb3}},	// [9ac0] вите_, рити, nsuu, _azzo, 
   {{0x212d9eb4,0x7bdb0088,0x394000a1,0xc7a60e1b}},	//   _aneh_, isuu, _hois_, _шипк, 
   {{0x26d82b19,0x2d8d9eb5,0x44200f76,0x213f0106}},	//   maro_, klee_, svi_, _bouh_, 
   {{0x26d80c3d,0x6f1a3ca0,0x80cc07d5,0x212d0237}},	//   laro_, _satc, ारें, _cneh_, 
   {{0x39400518,0x31669eb6,0x212d008b,0x6fb3155f}},	//   _mois_, rioz_, _dneh_, لمنا, 
   {{0x9e0618ed,0x26d89eb7,0x69dc01dd,0x39520156}},	//   вчил, naro_, šrei, _llys_, 
   {{0x67040e0d,0x2dd700eb,0x39990019,0x216a7f7f}},	//   श्यक_, نبية_, lése_, _живи_, 
   {{0x6f1a00a7,0x26d89eb8,0x39409eb9,0xbd6716d0}},	//   _watc, haro_, _nois_, крые_, 
   {{0x69da9eba,0x26d89ebb,0x7bdb9ebc,0xd17508be}},	//   wste, karo_, gsuu, _сыры, 
   {{0x69da1a5c,0x3940006e,0x26d89ebd,0x291b9ebe}},	//   tste, _aois_, jaro_, _saqa_, 
   {{0x39409ebf,0x69da9ec0,0x28f927be,0x26d89ec1}},	//   _bois_, uste, нень_, daro_, 
   {{0x69da0d2b,0x26d388e4,0x7c2d0704,0x394000a0}},	//   rste, _sexo_, _šare, _cois_, 
   {{0x39409ec2,0x69da1b2e,0xdb030165,0x2d840372}},	//   _dois_, sste, _dinâ, mome_, 
   {{0x26d89ec3,0x39520054,0x7bc20534,0x3999010e}},	//   garo_, _elys_, _itou, dése_, 
   {{0x39400518,0x26d303da,0x98c7122f,0x291b6ec0}},	//   _fois_, _vexo_, _испл, _taqa_, 
   {{0x2d849ec4,0x61fe0380,0x394002be,0x02cb1503}},	//   nome_, dtpl, _gois_, िर्न, 
   {{0x26d89ec5,0x26d30068,0x7c240121,0x53990b24}},	// [9ad0] baro_, _texo_, _širj, евая_, 
   {{0x99520076,0x26d802b8,0x61e30019,0x2d8d0065}},	//   máš_, caro_, ánlo, zlee_, 
   {{0x6d5c00e4,0x02a73b35,0x2d84364f,0x9952014b}},	//   _įran, трам, kome_, láš_, 
   {{0xe5350088,0x2d840009,0xe8ff0216,0x00000000}},	//   _семь, jome_, mnûs_, --, 
   {{0xb4c13e8a,0xdee595fd,0x99520098,0x00000000}},	//   ुरी_, голи, náš_, --, 
   {{0x20d100f7,0x5ed30033,0xef84128b,0xf41200d1}},	//   ại_, _সাহে, аліп, _הפך_, 
   {{0x7bc237bf,0x2d849ec6,0x80d20086,0xfd110038}},	//   _atou, fome_, _হার্, مجة_, 
   {{0x2d849ec7,0x2ee90095,0x9952014b,0x2fc6006d}},	//   gome_, şaf_, káš_, bpog_, 
   {{0x39409ec8,0x98a00bfc,0xfc3100eb,0x3b859ec9}},	//   _rois_, _inić_, صحة_, ллиг, 
   {{0x7bdb9eca,0x9952014b,0x39409ecb,0x64400212}},	//   rsuu, dáš_, _sois_, _àmie, 
   {{0x39409ecc,0xd94690e1,0x39990019,0x98a00082}},	//   _pois_, гени, zése_, _knić_, 
   {{0x2d849ecd,0x26d89ece,0x7f4100c3,0x7bdb0080}},	//   come_, waro_, _holq, psuu, 
   {{0xeb8e9ecf,0x26d89ed0,0x39409ed1,0x2bdd0262}},	//   _ги_, taro_, _vois_, _मिटा, 
   {{0x59d0031e,0x7f4100a4,0x00000000,0x00000000}},	//   थीहर, _jolq, --, --, 
   {{0xa50a171c,0x26d89ed2,0x4904001c,0x6eca5388}},	//   нева_, raro_, _күнг, _स्फु, 
   {{0x3999006b,0x291e002a,0x26d89ed3,0x995200da}},	//   tése_, ētas_, saro_, báš_, 
   {{0x26d89ed4,0x2e1706d0,0x25a09aa0,0x68e41b10}},	// [9ae0] paro_, _dəfə_, rmil_, _idid, 
   {{0x46f60445,0xdcf4265d,0x79869ed5,0x7c249ed6}},	//   _счит, _čačk, lokw, _širk, 
   {{0x29d10688,0xdb0a0542,0x2fdf0027,0x60ea149f}},	//   nša_, _difè, _avug_, емем_, 
   {{0x63140086,0x79869ed7,0xdb090165,0x2d840042}},	//   সাইট_, nokw, mpeõ, xome_, 
   {{0xe3b206bc,0x7f469ed8,0x61fe9ed9,0x2d849eda}},	//   _درج_, ледж, stpl, vome_, 
   {{0x79861b7a,0x7f4100a1,0x1f73012d,0xe7b700c2}},	//   hokw, _colq, блія, _इंसप, 
   {{0xe2979edb,0x5fe005fd,0x29d125b8,0x79869edc}},	//   _бар_, _निकल, jša_, kokw, 
   {{0x27e000ca,0x68e40727,0xe6d10110,0x00000000}},	//   _ovin_, _ndid, _तज्ज, --, 
   {{0x7f4185af,0x7ae3084c,0x2d849edd,0x9b6a183d}},	//   _folq, _bdnt, rome_, ешна_, 
   {{0x93fb0111,0xdd04027e,0x2d849ede,0x63ae007b}},	//   עליי, ırıy, some_, _jibn, 
   {{0x195908fa,0xaa94101b,0x497515dd,0x27e001a7}},	//   ваны_, ринч, илос, _avin_, 
   {{0x63ae0237,0xe9d800d3,0x99520ed0,0x00000000}},	//   _libn, нкү_, táš_, --, 
   {{0x68e40156,0xc867645e,0x27e00118,0xf7732e10}},	//   _ddid, утни, _cvin_, ماس_, 
   {{0x6d4200b0,0x29d10352,0x63ae00a4,0x995200da}},	//   _hooa, bša_, _nibn, ráš_, 
   {{0x27e00761,0xe5c40093,0x628e4e95,0x6b4401f5}},	//   _evin_, йсто, _nybo, _fògr, 
   {{0xb4c13295,0x63ae030c,0x69c8022c,0x68e400a4}},	//   ुरे_, _aibn, mpde, _gdid, 
   {{0x7afd1a51,0x69c81ad2,0x245800c8,0xd5b10083}},	// [9af0] đstv, lpde, гать_, _आंकड़, 
   {{0x6e280310,0x2b990107,0x6fcf00aa,0x628e1e9f}},	//   _ordb, pèce_, _सौगं, _bybo, 
   {{0x5ed30086,0x6db101dd,0xdb0b0369,0xc2c40038}},	//   _সালে, _jāat, _jugá, صيني, 
   {{0xf8bf026d,0x7ff51b65,0xdb0a0096,0xdd860038}},	//   ncé_, لستا, _difé, _ذو_, 
   {{0x6e280387,0x00000000,0x00000000,0x00000000}},	//   _ardb, --, --, --, 
   {{0x79861d8e,0x00000000,0x00000000,0x00000000}},	//   zokw, --, --, --, 
   {{0x8d5508a7,0x79867513,0x6d429edf,0x93c6020f}},	//   итич, yokw, _booa, rtăş, 
   {{0xf1a42cd7,0x29d1090e,0x2fc401be,0xd7b5009a}},	//   _грун, vša_, _ftmg_, ंदाच, 
   {{0x1c421c0f,0x6e280380,0x320100d1,0x6d464cd7}},	//   жным, _erdb, lthy_, ökaa, 
   {{0x5064040c,0x2909052b,0x79869ee0,0xab6574ef}},	//   _утса, _abaa_, wokw, рвол, 
   {{0x29d19ee1,0x5efe00ab,0x4a75004e,0x27e08c1b}},	//   uša_, _शॉट्_, рыпт, _svin_, 
   {{0xb4e4241a,0xdb030503,0xfe7004bc,0xa96a9ee2}},	//   _नये_, _diná, _عدل_, тима_, 
   {{0x7986009e,0x2f24010e,0x61e3010e,0xd7d00110}},	//   rokw, ségű_, ánlj, तींच, 
   {{0xfaa59ee3,0x7bc99ee4,0xdb032cb0,0x442c9ee5}},	//   _кало, mpeu, _finá, _čd_, 
   {{0x597607a5,0xdb030165,0x63ae0121,0x89d500f0}},	//   _выпу, _giná, _ribn, _тілш, 
   {{0x2c0900ab,0x63ae9ee6,0x628e51c4,0x3f871c77}},	//   _वहां_, _sibn, _rybo, honu_, 
   {{0x5ee000cc,0x66e640a0,0x33660009,0x00000000}},	// [9b00] প্টে, _копа, аваг, --, 
   {{0xa2e60080,0x3f879ee7,0x00000000,0x00000000}},	//   рожд, jonu_, --, --, 
   {{0xa3b6083b,0x8afc00ab,0xf8ba07d5,0x63ae006d}},	//   _चूर_, więk, _इलाय, _vibn, 
   {{0xb4db0029,0x4fc6081e,0x65663e7d,0x628e014b}},	//   _hoàn, аска, _umkh, _vybo, 
   {{0x628e9ee8,0x63ae9ee9,0x44249eea,0xfe4403a1}},	//   _wybo, _tibn, _ém_, өмдү, 
   {{0x7c2400eb,0x2d9d0026,0x00000000,0x00000000}},	//   _áiri, _ahwe_, --, --, 
   {{0x91e30fcc,0xdbcf0098,0x3999023e,0x65761279}},	//   _море, _džín, hésa_, onyh, 
   {{0x7c2d04d1,0x22470380,0x2d9d00f8,0x65769eeb}},	//   _šara, änke_, _chwe_, nnyh, 
   {{0xef1a0925,0x60cd238f,0xf8bf026a,0xdb030068}},	//   _има_, ñame, ndée_, _siná, 
   {{0x3b541416,0xd00f00eb,0xda26004f,0xf2d30070}},	//   скор, _تلك_, аємо, ֿער_, 
   {{0xf8b903a1,0xd2b700df,0x00000000,0x00000000}},	//   лөп_, ילית_, --, --, 
   {{0x99671d7e,0xbc670a5a,0xb4d50394,0xed5900bc}},	//   ртол, امین_, _सजे_, chž_, 
   {{0xf8bf9eec,0x286801a2,0x65762be3,0xdcfb0e03}},	//   rcé_, арро_, dnyh, lluğ, 
   {{0xe7879b77,0xa5f90494,0x6a4a0248,0x69c84cec}},	//   румо, легу_, vəff, ppde, 
   {{0x93790f5a,0xf9c40274,0xdcfb0540,0xfa360259}},	//   ҳбат_, _احتی, nluğ, _түні_, 
   {{0x48670093,0x6b880dc5,0x24190080,0x00000000}},	//   _въоб, lodg, лобы_, --, 
   {{0x9fe10086,0x798d9eed,0x3f8707fa,0xe7ee0262}},	// [9b10] _মঙ্গ, _ikaw, yonu_, _जिया_, 
   {{0xf2c79eee,0xdcfb027e,0x96270243,0x00000000}},	//   рсан, kluğ, _paņē, --, 
   {{0xd1b8006b,0x877c0070,0x798d00a4,0x6b4d0354}},	//   لانا_, _באזי, _kkaw, _dúgh, 
   {{0xc10500eb,0xe6101c03,0x6576017b,0xee390104}},	//   صوتي, _کشی_, cnyh, ғни_, 
   {{0x656d0d07,0x2cbf00ad,0x80c600aa,0x798d102d}},	//   miah, vcud_, ाड़े, _mkaw, 
   {{0x656d394d,0x6b881993,0x20e700e7,0xff079eef}},	//   liah, jodg, ối_, рядн, 
   {{0xb87b1cf2,0xdef81628,0x798d9ef0,0xdce200da}},	//   laíd, рыч_, _okaw, _emoč, 
   {{0x798d01a0,0x656d9ef1,0xe67800a7,0x387e00b3}},	//   _nkaw, niah, יתוח_, ştri_, 
   {{0x3f879ef2,0x442b01f2,0x601800d9,0x63a5007a}},	//   ponu_, _jrc_, _котя_, omhn, 
   {{0x798d9ef3,0x5ac90cfe,0xef1400d3,0x656d023a}},	//   _akaw, ылом_, _мүчө, hiah, 
   {{0x39920019,0x442b00ef,0x5e9500eb,0x63a5009f}},	//   lási_, _lrc_, _الاط, imhn, 
   {{0x7bc99ef4,0xe8f708ef,0x644d0080,0x00000000}},	//   ppeu, блю_, kyai, --, 
   {{0x4ca50086,0xe81b0d0d,0x798d011c,0x3b091ed7}},	//   _গ্রু, _पैदा_, _dkaw, _бело_, 
   {{0x6d5b30b1,0x644d8530,0x798d02a5,0x00000000}},	//   lhua, dyai, _ekaw, --, 
   {{0xceb2585d,0xe9d90c67,0xa6e3008c,0x442b0c04}},	//   לים_, _ёки_, íðar, _arc_, 
   {{0xdb03009e,0x656d9ef5,0xe8fa0229,0x00000000}},	//   _binç, giah, _сли_, --, 
   {{0x64a39ef6,0x65760343,0x7c3b5790,0xdcfb06a2}},	// [9b20] зата, rnyh, nxur, zluğ, 
   {{0x7c2b9ef7,0x442b331c,0x3992010e,0x65760075}},	//   _mrgr, _drc_, dási_, snyh, 
   {{0x442b00d3,0x6d5b0640,0xdce20242,0xdcfb0248}},	//   _erc_, khua, _smoč, xluğ, 
   {{0x00da0040,0x10a63182,0x6d5b023b,0x63a50038}},	//   ابات_, биен, jhua, amhn, 
   {{0xdcfb090b,0x5ec90086,0xfecf0086,0xb87b0169}},	//   jluđ, _রয়ে, _রাজধ, caíd, 
   {{0x934600b3,0x6d5b019c,0x75249ef8,0x66290118}},	//   _унге, ehua, ldiz, _èskò, 
   {{0xdee607f9,0x7c2b0156,0xdb0300c8,0x62639ef9}},	//   _ҳози, _argr, _minä, _евра, 
   {{0x75249efa,0x2fda09e8,0x6fb600c5,0x26da9efb}},	//   ndiz, _مورد_, _همرا, _lepo_, 
   {{0xfbaa1dbf,0x75240053,0x3eaa0327,0xdce2090e}},	//   лтой_, idiz, _ºbto_, _umoč, 
   {{0xd00f0c72,0x60c200a7,0xb4d500a5,0x26da07d7}},	//   _سلم_, lcom, _सज्_, _nepo_, 
   {{0xd9154216,0x6d5b1197,0x60c20036,0x7c2b12bf}},	//   одны, bhua, ocom, _ergr, 
   {{0xf53f014e,0x6d5b3c42,0xd7fb00c8,0xb4c7009a}},	//   _ihåg_, chua, луг_, _उभे_, 
   {{0xbfb600f7,0x58871b17,0x286b527c,0x75249efc}},	//   _điểm_, сына, урно_, ddiz, 
   {{0x442b0175,0x26da0126,0xac97091d,0x3c77027a}},	//   _rrc_, _cepo_, _انها_, _פתגם_, 
   {{0x26da9efd,0x656d0228,0x39920019,0x60c2039b}},	//   _depo_, tiah, zási_, kcom, 
   {{0x6d409efe,0x6a4a0095,0x798d2b31,0xdb032768}},	//   njma, rəfd, _ukaw, _pinç, 
   {{0xb4b9000f,0x656d6123,0xe7870013,0x661e0065}},	// [9b30] _चली_, riah, _гуно, _espk, 
   {{0x656d0187,0xb87b3ba5,0x6b4d0126,0xd25b5af1}},	//   siah, raíd, _púgi, лце_, 
   {{0xfbda07bd,0x644d3107,0x821500eb,0x50b51d52}},	//   _मौसम, syai, تواص, ослу, 
   {{0x3992006b,0x6d5b5444,0x6d4600c8,0xdb0b01c4}},	//   tási_, xhua, ökal, _zugä, 
   {{0x6d4000d2,0x442b9eff,0x657d01d2,0x69d5039f}},	//   djma, _urc_, _ijsh, ázez, 
   {{0x7c2d090e,0x44292938,0xf41f00c8,0x39924e58}},	//   _šaro, mva_, _isä_, rási_, 
   {{0xe81b029c,0xf1d502e6,0x60c29f00,0x59d736a6}},	//   _पैसा_, डीशन, bcom, _भौंर, 
   {{0x1be9241b,0x60c29f01,0xdd9100eb,0x44299f02}},	//   адии_, ccom, بوع_, ova_, 
   {{0x44299f03,0x60db0574,0x764e0035,0x63bf0175}},	//   nva_, _ieum, zyby, nqqn, 
   {{0x44299f04,0x6d5b9f05,0x60db00a1,0x7c3b0248}},	//   iva_, shua, _heum, rxur, 
   {{0x44291eab,0x60db02cd,0xdce99cc8,0x61f79f06}},	//   hva_, _keum, lieč, nuxl, 
   {{0x442902f5,0x6d5b006d,0xdce90082,0xdb0300c8}},	//   kva_, qhua, dneć, _sinä, 
   {{0xdce99f07,0x26da0548,0x44296216,0x60c40369}},	//   nieč, _pepo_, jva_, ñimi, 
   {{0x7c299f08,0x60db9f09,0x60c20026,0x6d590149}},	//   mver, _leum, zcom, _hlwa, 
   {{0x44299f0a,0x80d900aa,0x2b4700a1,0xa2d80249}},	//   eva_, _ढ़ूं, _ionc_, यरस्, 
   {{0xdce9012d,0x7c290b48,0x9f460183,0x44291070}},	//   kieč, over, iroá_, fva_, 
   {{0x06d900cc,0x442900f2,0x2b470144,0x26da011c}},	// [9b40] _তারি, gva_, _konc_, _tepo_, 
   {{0x75249f0b,0x1b170086,0x7c299f0c,0x636900ad}},	//   sdiz, তাকে_, iver, _yönə, 
   {{0x7c298ecd,0x44299f0d,0xe8220527,0x8afc00ab}},	//   hver, ava_, मिका_, mięt, 
   {{0x60c224bc,0x7c299f0e,0x629c3fa3,0xf1a900d4}},	//   ucom, kver, _vzro, مانه_, 
   {{0xb4d61274,0x7c299f0f,0x629c00ab,0x60db9f10}},	//   हरी_, jver, _wzro, _deum, 
   {{0x60c29f11,0x8afc00ab,0x7c2925f2,0x6d599f12}},	//   scom, nięt, dver, _alwa, 
   {{0x629c02f5,0x7d099f13,0x7c299f14,0x60db0014}},	//   _uzro, ffes, ever, _feum, 
   {{0x29009f15,0x7c299f16,0x201f0175,0x60db9f17}},	//   _ncia_, fver, _fsui_, _geum, 
   {{0x7c29371d,0x8b660038,0x21242e31,0x6d40009e}},	//   gver, قادم, _iamh_, rjma, 
   {{0xb4d610a6,0xeb4a6fd2,0x3f7600ab,0xa3dc1cdd}},	//   हरु_, рчик_, dług_, णीय_, 
   {{0x2b470518,0x79959f18,0x06d90086,0x44290776}},	//   _donc_, зинф, _তালি, zva_, 
   {{0xb4b905fd,0x44299f19,0x212602a2,0xa9c300dd}},	//   _चले_, yva_, ndoh_, ьськ, 
   {{0x20069f1a,0xdb03010c,0x6ec1176c,0x7d7b0147}},	//   ntoi_, _jinû, रुकु, _דראג, 
   {{0x212401fd,0x44299f1b,0xdb0300fc,0x00000000}},	//   _lamh_, vva_, _pinå, --, 
   {{0xb4d609d3,0xc4db0886,0x356b9f1c,0xf41f00c8}},	//   हरू_, иђа_, аран_, _ssä_, 
   {{0x212400a1,0xb87b0165,0x20060034,0x6f180216}},	//   _namh_, raíb, ktoi_, hevc, 
   {{0x29199f1d,0x94ab116d,0x20060034,0x44299f1e}},	// [9b50] mesa_, ртва_, jtoi_, uva_, 
   {{0x29199f1f,0x60db9f20,0x6f1807c7,0xdb1901e5}},	//   lesa_, _seum, jevc, _cuwè, 
   {{0x92689f21,0x44293e83,0x559503b7,0xb1150009}},	//   орца_, sva_, _наоѓ, змеш, 
   {{0x68fd53cc,0xdb0b0219,0x7c29044a,0xdb1b4635}},	//   ngsd, _utgö, yver, rqué, 
   {{0x25a98bd5,0x6725007e,0x39490183,0xdb1b9f22}},	//   mmal_, _kahj, _moas_, squé, 
   {{0x7c299f23,0x29199f24,0x3949050a,0x25a99f25}},	//   vver, hesa_, _loas_, lmal_, 
   {{0x63bd6bf9,0x20069f26,0x7c2902b0,0x316f0183}},	//   _husn, atoi_, wver, pigz_, 
   {{0x25a902f2,0x29199f27,0x67252ca3,0x63bd47bc}},	//   nmal_, jesa_, _lahj, _kusn, 
   {{0x29199f28,0xc10400eb,0x7c29026a,0x25a90380}},	//   desa_, _توقي, uver, imal_, 
   {{0x63bd6533,0x25a901c4,0x7d093b57,0x290001d8}},	//   _musn, hmal_, sfes, _scia_, 
   {{0x29199f29,0x39490c7c,0x25a99f2a,0x29000126}},	//   fesa_, _boas_, kmal_, _pcia_, 
   {{0x394909a1,0x29199f2b,0x7c299f2c,0xe8f73192}},	//   _coas_, gesa_, pver, плю_, 
   {{0x63bd006d,0xdb039f2d,0x63bb03da,0x39490183}},	//   _nusn, _minú, _éunh, _doas_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x7ae19f2e,0x29199f2f,0x63bd01c4,0x8f9a00d1}},	//   malt, besa_, _ausn, מישי, 
   {{0xf99200c5,0x7ae19f30,0x63bd02bf,0xb4d6010b}},	//   _ثبت_, lalt, _busn, हरे_, 
   {{0x29c10029,0xb46665ec,0xf484009c,0x212401f5}},	// [9b60] _hóa_, чкал, ذاری, _ramh_, 
   {{0xdb0b0183,0x9479004f,0x7ae19f31,0x63bd00de}},	//   _augú, істу_, nalt, _dusn, 
   {{0x63b50b91,0xdb19023e,0xb6bb00d1,0x6360003e}},	//   _dizn, _cuwé, _לציי, _löng, 
   {{0x7ae19f32,0x2d800187,0x63bd320e,0xdb1900d7}},	//   halt, čiek_, _fusn, _duwé, 
   {{0x7ae12989,0x63bd0175,0xdb19011c,0x29c19f33}},	//   kalt, _gusn, _tuwè, _lóa_, 
   {{0x29190298,0x20065330,0x7ae100c8,0x8f810258}},	//   zesa_, rtoi_, jalt, вқул, 
   {{0x7ae18e56,0x6f180b91,0x29199f34,0x03a302f1}},	//   dalt, revc, yesa_, _чиро, 
   {{0x7cf607fa,0x442201f2,0x7ae100a1,0x6360010e}},	//   dürü, _ksk_, ealt, _böng, 
   {{0x29199f35,0x06e20086,0x63bd040c,0x44229f36}},	//   vesa_, _বানি, _xusn, _jsk_, 
   {{0x44229f37,0x39920019,0x39499f38,0x7ae12dd6}},	//   _msk_, zást_, _soas_, galt, 
   {{0xc3330309,0x291946b1,0xfe6d01a2,0x44270023}},	//   גות_, tesa_, _рӯ_, ̉n_, 
   {{0x7ae13d00,0x6360003e,0xa49b00a1,0x984b00fd}},	//   aalt, _hönd, _mbòr, бяга_, 
   {{0x7ae19f39,0x63609f3a,0xc7c71033,0xdc54015f}},	//   balt, _göng, ясни, _تراک, 
   {{0x7ae19f3b,0xbb4336e7,0x63bd9f3c,0x4df0017d}},	//   calt, _печк, _rusn, _घटाई_, 
   {{0x39920019,0x29199f3d,0x63b5034c,0x442200a7}},	//   tást_, pesa_, _rizn, _ask_, 
   {{0x63b502f1,0x9cfa0033,0x3f8e095a,0x6360003e}},	//   _sizn, _আসুন_, hofu_, _lönd, 
   {{0x68ed6645,0x25a99f3e,0x3f8e1ce1,0x67250065}},	// [9b70] _idad, rmal_, kofu_, _tahj, 
   {{0x02a71c32,0x25a901c4,0x44229f3f,0x63b501ff}},	//   прем, smal_, _dsk_, _qizn, 
   {{0x2b0e69ca,0x60cd1f71,0xfe1b0394,0x29c1001b}},	//   त्यु_, ñamo, _भैंस_, _xóa_, 
   {{0x63bd9f40,0x7c229f41,0x7ae19f42,0x44229f43}},	//   _tusn, _osor, zalt, _fsk_, 
   {{0x443f078a,0x636018f1,0x3f8e0415,0x0fc400f0}},	//   _çu_, _bönd, fofu_, ейін, 
   {{0x3f8e025b,0x4dfb0249,0x00000000,0x00000000}},	//   gofu_, _एमआई_, --, --, 
   {{0x7ae19f44,0x63609f45,0x68ed9f46,0x9d450259}},	//   valt, _dönd, _odad, дейд, 
   {{0x27e98881,0xe7ee0c06,0xd1c80176,0x3015081b}},	//   _ovan_, _जिला_, _хурд_, _одбр, 
   {{0x6b5f078a,0x7ae19f47,0x60c90126,0x9f9f0574}},	//   _lêge, talt, _ifem, _lééh_, 
   {{0x636003b0,0x68ed0727,0x7cf60092,0x98a90083}},	//   _gönd, _adad, türü, _znać_, 
   {{0x7c229f48,0x27e906df,0x98700228,0x09bd0033}},	//   _esor, _avan_, rúča_, _আবহা, 
   {{0x7ae16f0b,0x29e70d4c,0x7d02007a,0x7cf60585}},	//   salt, rđa_, _gcos, rürü, 
   {{0x7ae19f49,0xeb8e9f4a,0x7d1b0212,0xb8d6009a}},	//   palt, _аи_, meus, _जण_, 
   {{0x6d4b9f4b,0x68ed3b6a,0x7d1b9f4c,0x636002ae}},	//   _hoga, _edad, leus, _köne, 
   {{0xab2803b1,0xdb1b1cf2,0x44229f4d,0x995200da}},	//   _رسول_, nquí, _ssk_, máž_, 
   {{0x6d4b9f4e,0xe5a32595,0x7d1b9f4f,0x99520098}},	//   _joga, виси, neus, láž_, 
   {{0x9f5f3c91,0x6360014e,0x2fcd0201,0xb87b0038}},	// [9b80] _aquí_, _löne, _nteg_, laín, 
   {{0x7d1b10f1,0xdcda17f6,0x64a4004e,0x98a900ca}},	//   heus, _यज्ञ, даға, _snać_, 
   {{0x75269f50,0xc87f02f2,0x7d1b9f51,0x6d4b11da}},	//   _takz, raße_, keus, _ooga, 
   {{0x63609f52,0xa49b00b9,0x27e92f96,0x68ed00a1}},	//   _sönd, _icòn, _yvan_, _xdad, 
   {{0xd010024f,0x44229f53,0x3f8e9f54,0x801a38bd}},	//   الت_, _usk_, tofu_, تزاز_, 
   {{0x60c99f55,0x4420219f,0x7d029f56,0x3eba00dd}},	//   _efem, mwi_, _scos, øpt_, 
   {{0x656f02bf,0x420703dc,0xe29715b6,0x4420017c}},	//   _ymch, _онро_, _жар_, lwi_, 
   {{0x63600c05,0x6d4b1600,0x7d1b9f57,0xa0a6001c}},	//   _döne, _coga, geus, _жабд, 
   {{0xe3bf03da,0x44200156,0xef1000d3,0xaf0621e9}},	//   _xuñ_, nwi_, _бүлө, _опал, 
   {{0x29120237,0xba0a01d8,0x00000000,0x00000000}},	//   _abya_, охме_, --, --, 
   {{0x6d4b9f58,0x7d27022b,0xdd8f9f59,0x7d1b0183}},	//   _foga, örsä, _аш_, beus, 
   {{0x7d1b54c1,0x7c220180,0x44209f5a,0x6d4b9f5b}},	//   ceus, _tsor, kwi_, _goga, 
   {{0xab2a1416,0xf7732e10,0x7c22160e,0x44200199}},	//   _мода_, ناس_, _usor, jwi_, 
   {{0x63600c05,0x44209f5c,0x6d4b9f5d,0xc0530070}},	//   _yöne, dwi_, _zoga, דזש_, 
   {{0xb87b2123,0x7dc7027e,0x6d4b9f5e,0x56942853}},	//   caín, _kısa, _yoga, варт, 
   {{0x6d4b09a1,0x06e20086,0x68ed9f5f,0x3ce402be}},	//   _xoga, _বাণি, _udad, namv_, 
   {{0x97a71e38,0xb87b00eb,0x2d58026a,0x6594111e}},	// [9b90] _орол, maío, _réel_, тату, 
   {{0xb87b0084,0xe5c785c9,0x250900d6,0x5f0000ab}},	//   laío, _осмо, _کردی_, _राष्_, 
   {{0x2fcd9f60,0x7d1b9c35,0x50f51fc7,0x00000000}},	//   _steg_, yeus, езет, --, 
   {{0xb87b00eb,0x2b0e109f,0x44201b7a,0x02a46ec3}},	//   naío, त्तु_, bwi_, трум, 
   {{0x6d4b9f61,0x06e20086,0x63602b8e,0x7d1b4e6e}},	//   _roga, _বাতি, _söne, veus, 
   {{0x6d4b9f62,0xb87b0038,0x3ea501ff,0xde055cc7}},	//   _soga, haío, нилг, епки, 
   {{0x3eb30219,0x2c170d2e,0x7d1b9f63,0xed599f64}},	//   äxt_, _बैजू_, teus, зой_, 
   {{0xdb1b0503,0x56b800a7,0x0c251853,0x80d90033}},	//   rquí, ופון_, емин, _ডাক্, 
   {{0x7d1b9f65,0xb87b00eb,0x6d4b9f66,0x27ed008b}},	//   reus, daío, _voga, šenj_, 
   {{0x4a451fde,0x7d1b9f67,0xf1b90352,0x6d4b9f68}},	//   енов, seus, _hiš_, _woga, 
   {{0x44209f69,0x6d4b0014,0xa3e60964,0xf1b900d2}},	//   zwi_, _toga, _यौन_, _kiš_, 
   {{0x9952026e,0x25b901d6,0xdc330032,0x290400c2}},	//   sáž_, _nisl_, lúče, üma_, 
   {{0xf1b92b4a,0xb87b0068,0x995200da,0x31560147}},	//   _miš_, saín, páž_, גירן_, 
   {{0xf626286c,0x442005d5,0xa8030183,0x63600380}},	//   ндго, vwi_, áñas, _mönc, 
   {{0x69964678,0x59b90081,0xba5200eb,0x39990019}},	//   _прих, _ईंटर, _منوع, zési_, 
   {{0xb87b0084,0xa2cd07bd,0xf1b9003a,0x44209f6a}},	//   caío, दुस्, _niš_, twi_, 
   {{0x24860496,0x68e69f6b,0x442006e4,0xe7f500f6}},	// [9ba0] çom_, makd, uwi_, _ичээ, 
   {{0x44209f6c,0x68e69f6d,0x00000000,0x00000000}},	//   rwi_, lakd, --, --, 
   {{0x26d89f6e,0xa2a5047b,0xb87b007a,0x76550083}},	//   mbro_, _करण्, haíl, cyzy, 
   {{0x29029f6f,0x39990019,0xdce20242,0x68e63290}},	//   ngka_, tési_, _imoć, nakd, 
   {{0xdb18010c,0x25dc00bc,0x00000000,0x00000000}},	//   _divê, गीरी_, --, --, 
   {{0x672000bd,0x80d01c54,0xe5e7009c,0x26d883a5}},	//   मजिक_, _ड्रे, _تزیی, nbro_, 
   {{0x63830141,0xf1b90304,0xdb030038,0x25e302e6}},	//   _сгра, _fiš_, _ghné, टीपी_, 
   {{0xd00a5b4e,0x68e601ff,0x1d3400fd,0x79849f70}},	//   _небе_, jakd, тния, _njiw, 
   {{0x9f860769,0xfbcf11b7,0x78a42bc3,0xfd660108}},	//   _згад, یتی_, _nziv, _khuế, 
   {{0x5a349f71,0x65640054,0x3b541b2c,0x7984018e}},	//   внот, hhih, ткор, _ajiw, 
   {{0x28f91ac0,0xb87b00eb,0x78a4016c,0x00000000}},	//   мень_, taío, _aziv, --, 
   {{0xa3c0000d,0xfaa30079,0xc27b00d1,0x00000000}},	//   ँदा_, ышын, לריי, --, 
   {{0xdd8f0133,0xb87b00eb,0xd8388c2f,0x2bb20b79}},	//   _اون_, raío, нэр_, ीददा, 
   {{0x61fe02f5,0xb87b00eb,0x48ed000d,0x99a001dd}},	//   kupl, saío, _आएको_, āršu_, 
   {{0x249f0097,0xdb03031e,0x78a40539,0xb9070033}},	//   _šum_, _jiný, _eziv, _পা_, 
   {{0x65640c3d,0xba9b00a7,0xb7c51753,0x6594011f}},	//   ghih, _מסוי, _ироқ, гасу, 
   {{0x26d802a3,0x241816d0,0x3ebe00ca,0x94770e13}},	// [9bb0] bbro_, ноты_, _ogtt_, ردرا, 
   {{0xd6db9f72,0x00000000,0x00000000,0x00000000}},	//   _эти_, --, --, --, 
   {{0xa4d9269c,0x78a40082,0x81c90033,0x00000000}},	//   _одну_, _zziv, লীন_, --, 
   {{0x60b5143f,0x6564040c,0x00000000,0x00000000}},	//   نمائ, chih, --, --, 
   {{0xf1b900ca,0xdb1802aa,0x753d9f73,0x2ca00465}},	//   _viš_, _vivê, _insz, _ùidh_, 
   {{0x21290121,0xc4760225,0x0eac072d,0x00000000}},	//   žah_, _יתרו_, टइंड, --, 
   {{0x61fe3308,0x02dd0299,0x00000000,0x00000000}},	//   cupl, यरीन, --, --, 
   {{0x69c73077,0x6a4a00ad,0xa2cd3421,0x00000000}},	//   íjem, rəfl, दुर्, --, 
   {{0x51849f74,0x3b8500a3,0xa184013e,0x5f090083}},	//   _сура, клиг, _сырл, _साप्_, 
   {{0x6d5c009e,0x799d01c4,0x6b5f0216,0xf41200d1}},	//   _îran, elsw, _bêga, ספי_, 
   {{0x68e65132,0x78a4010e,0x753d02b0,0xc33207e4}},	//   takd, _sziv, _onsz, בוי_, 
   {{0x4ad11489,0x999f0028,0x00000000,0x00000000}},	//   _द्रव, dytų_, --, --, 
   {{0xf1b20cec,0x8b259f75,0x64440183,0x636002ae}},	//   יסט_, _адле, xxii, _löna, 
   {{0x06e20086,0x6d5b2209,0x2905010e,0x6d498313}},	//   _বাহি, lkua, őlap_, ljea, 
   {{0x66e39f76,0x26d81950,0x660600fd,0xa5960b49}},	//   роса, rbro_, ъпва, вращ, 
   {{0x7ae39f77,0x6d5b9f78,0x26d89f79,0xdb1b0183}},	//   _hent, nkua, sbro_, mpuñ, 
   {{0xc9530056,0x69c39f7a,0x78a4044e,0xe3ba15f5}},	// [9bc0] _כמה_, _hune, _uziv, дба_, 
   {{0x7ae39f7b,0x69c357ff,0x27e000e7,0xe3631299}},	//   _jent, _kune, _iwin_, акуи, 
   {{0x69c3336b,0xdb1806df,0x2fdf0096,0x656407d7}},	//   _june, _divè, _awug_, phih, 
   {{0x69c39f7c,0x61fe9f7d,0x3f8500ef,0x72790e65}},	//   _mune, rupl, _ajlu_, хсус_, 
   {{0x69c39f7e,0xdb0b9f7f,0x68e49f80,0x61fe9f81}},	//   _lune, _bugü, _meid, supl, 
   {{0x68e43245,0x7ae39f82,0x39990019,0xe3b217bc}},	//   _leid, _nent, lést_, _خرج_, 
   {{0x91e39f83,0x69c39f84,0x2ca00df4,0x63bc01be}},	//   _восе, _nune, _šid_, _iirn, 
   {{0x68e40156,0x443200a9,0x39999f85,0xdce9027e}},	//   _neid, ovy_, nést_, rneğ, 
   {{0x7ae3614f,0x63bc3f7b,0x3166010e,0xe7bd0033}},	//   _bent, _kirn, mhoz_, _অব্য, 
   {{0x69c39f86,0x63bc00a4,0x3a27016a,0xdb18010e}},	//   _bune, _jirn, _bsnp_, _kivé, 
   {{0x68e49f87,0x69c301d8,0x7ae31cea,0x6ed80cb8}},	//   _beid, _cune, _dent, _न्यु, 
   {{0x4ba4004e,0x7ae37e5c,0x629c2032,0x68e400f8}},	//   _өлең, _eent, _myro, _ceid, 
   {{0x7ae39f88,0x58870d18,0x68e401c5,0x60cd060f}},	//   _fent, тына, _deid, ñami, 
   {{0x7ae39f89,0x63bc0082,0x629c0102,0x4c9300f0}},	//   _gent, _nirn, _oyro, _тиіс, 
   {{0xe5c4035b,0x68e40084,0x69c39f8a,0x31660019}},	//   исто, _feid, _gune, khoz_, 
   {{0x7ae39f8b,0x8ab700a7,0x6f0d00d2,0xd94402a6}},	//   _zent, _בלוג_, đaci, _већи, 
   {{0x63bc9f8c,0x752d755e,0x629c0008,0x7ae3052b}},	// [9bd0] _birn, rdaz, _ayro, _yent, 
   {{0x7ae309a1,0x629c9f8d,0x68e4064e,0x7ae80035}},	//   _xent, _byro, _zeid, nadt, 
   {{0xf2c468b4,0x443201a7,0x6d5b0034,0x629c018e}},	//   рсун, avy_, ykua, _cyro, 
   {{0x2ca600a3,0xdb180175,0xf8c100c9,0x629c03c6}},	//   _ozod_, _divé, _एलोप, _dyro, 
   {{0x7ae87619,0x629c0495,0xdcfb00ef,0xe0d8004f}},	//   kadt, _eyro, unuč, тві_, 
   {{0x2d860026,0x6360008c,0x63bc9f8e,0xdb0300b9}},	//   _ajoe_, _hönn, _girn, _linò, 
   {{0x63609f8f,0x6d5b79df,0x7ae39f90,0xa3c90035}},	//   _könn, tkua, _rent, _लंड_, 
   {{0x6360010e,0x63bc9f91,0x637c02ae,0xde160038}},	//   _jönn, _zirn, pånä, اقيت_, 
   {{0x7ae33888,0x6d5b9f92,0x69c39f93,0x20989f94}},	//   _pent, rkua, _sune, _акты_, 
   {{0xe9d924e3,0x69c40187,0x69c39f95,0x6d5b9f96}},	//   нко_, _čier, _pune, skua, 
   {{0xc3320137,0xdb030503,0x68e464b2,0x7dc701f0}},	//   זוי_, _sinó, _peid, _kısm, 
   {{0x69c30613,0x29092769,0xf99f06df,0x7ae39f97}},	//   _vune, _ccaa_, glè_, _went, 
   {{0x68e49f98,0xe9e90228,0x399900bc,0xdb1b0068}},	//   _veid, dnúť_, vést_, spuñ, 
   {{0x68e40d2b,0x44329f99,0xa87500c8,0x69c33a73}},	//   _weid, vvy_, рующ, _tune, 
   {{0x68e49f9a,0x39990019,0x2bdf241a,0xdb0102ae}},	//   _teid, tést_, पीरा, rmlä, 
   {{0x63bc9f9b,0x96d40ede,0x09060152,0x443211bb}},	//   _sirn, _ब्रॉ, _спин, tvy_, 
   {{0x629c4b2d,0xd4671faa,0x15b99b8c,0x39409f9c}},	// [9be0] _syro, гите_, тыры_, _inis_, 
   {{0x44329f9d,0x87260088,0xdb18009e,0x394000de}},	//   rvy_, _смож, _livî, _hnis_, 
   {{0x64400082,0x63bc9f9e,0x3940008a,0x3166039f}},	//   _šmid, _virn, _knis_, thoz_, 
   {{0xdb18078a,0x629c063b,0x98a50083,0x63600502}},	//   _nivî, _vyro, ślą_, _gönn, 
   {{0x442403a0,0x63bc9f9f,0x629c0035,0xdfcf0038}},	//   _èm_, _tirn, _wyro, كين_, 
   {{0x31660019,0x96a8031e,0x8f3468d9,0x61ee0036}},	//   shoz_, _गराउ, рекц, _tvbl, 
   {{0x2d9f452c,0x2ee545c3,0xe363502f,0x3166039f}},	//   flue_, _delf_, _укри, phoz_, 
   {{0xdb18010c,0x5d549fa0,0xf1aa009c,0x212d00a1}},	//   _civî, ркит, _سازه_, _gaeh_, 
   {{0x21679fa1,0xd175013e,0x7ae89fa2,0x29090027}},	//   _сити_, _тыры, tadt, _rcaa_, 
   {{0x96d43e0a,0x39409fa3,0x6fdd0a44,0x25a09fa4}},	//   _ब्लॉ, _anis_, _नौटं, hlil_, 
   {{0xdb0300eb,0x6fb3015f,0x7ae80776,0x39529fa5}},	//   _ghní, _املا, radt, _boys_, 
   {{0x2ee50536,0x02b70070,0x39520027,0x2d9f19c9}},	//   _zelf_, טליך_, _coys_, clue_, 
   {{0x8d930084,0x9c5700d4,0x63609fa6,0xec34015f}},	//   _النش, _مجوز_, _rönn, _خوشگ, 
   {{0x28e326f2,0x636001d5,0x00000000,0x00000000}},	//   परहि, _sönn, --, --, 
   {{0x58d5048a,0xe9e90032,0x2909025b,0x636001d5}},	//   _койт, tnúť_, _tcaa_, _pönn, 
   {{0x583964e7,0xb4d50cf8,0x636002ae,0x9f5d011c}},	//   _азия_, ржащ, _böno, ruwé_, 
   {{0x80cd0033,0x33759fa7,0xa9bc00d1,0xe8d800d1}},	// [9bf0] ারম্, агар, _אזהר, _עוזר_, 
   {{0x212d0175,0xe9e9020b,0x00000000,0x00000000}},	//   _saeh_, snúť_, --, --, 
   {{0x212d033e,0xb4db00a1,0xe9e90032,0x77ba00d1}},	//   _paeh_, _cnàc, pnúť_, _שמתח, 
   {{0x27ed0112,0x2ee500a7,0x32010098,0xa49b00a1}},	//   šenu_, _self_, ruhy_, _lcòi, 
   {{0x504500fd,0x63600248,0xf1a70259,0x00c80259}},	//   релб, _könl, _ұран, улік_, 
   {{0xdb18009e,0xb0d507d5,0x212d011c,0x3ce90604}},	//   _sivî, _ड्रग, _waeh_, _žav_, 
   {{0xf1a70cd9,0x752f9fa8,0xbea50258,0x6b5f08b0}},	//   _бран, _kacz, шакк, _sêgo, 
   {{0x442b9fa9,0x528400eb,0x4439812c,0x4915072d}},	//   _ksc_, _الفك, _krs_, _फॉलो_, 
   {{0x6fb904c5,0xab65656c,0x2ee5700d,0x50677a41}},	//   _агар_, ивил, _telf_, _ства, 
   {{0xce6b1c93,0xd7a4000f,0x44399faa,0xca78040c}},	//   _пред_, _खींच, _mrs_, _davо, 
   {{0xa96a1853,0x44399fab,0x7aa500b3,0x00000000}},	//   вина_, _lrs_, ринз, --, 
   {{0x442b00e2,0x752f0035,0x00000000,0x00000000}},	//   _osc_, _nacz, --, --, 
   {{0x25e3047c,0x7db406bc,0x8d5a008d,0x4439039b}},	//   टीसी_, _اصلا, _שכני, _nrs_, 
   {{0x66e302f1,0x00000000,0x00000000,0x00000000}},	//   жора, --, --, --, 
   {{0xe9a62999,0x25a09fac,0x00000000,0x00000000}},	//   _какп, tlil_, --, --, 
   {{0x39409fad,0xbdfa0033,0xaa420258,0x00000000}},	//   _unis_, _আহমদ_, _феъл, --, 
  
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [9c00] --, --, --, --, 
   {{0x44390089,0x25a010ea,0xe61901a2,0x63600241}},	//   _drs_, slil_, ъдӣ_, _gönl, 
   {{0x44399fae,0xb2269faf,0xe5a69c83,0x366a0fcc}},	//   _ers_, рмел, _вини, _рано_, 
   {{0x443942df,0xe2971310,0x00000000,0x00000000}},	//   _frs_, шах_, --, --, 
   {{0x33d59fb0,0x6a4a06d0,0x44399fb1,0x63600384}},	//   _гіст, rəfi, _grs_, _yönl, 
   {{0x752f00ab,0x25e30262,0x777c010c,0x1fa700a3}},	//   _zacz, टीवी_, nirx, акчи_, 
   {{0x69c11893,0x7c2d0c4c,0x224737e9,0x7c3900f3}},	//   _रंगी, _šarp, änkt_, _arwr, 
   {{0x7524001d,0x23720083,0x4439015c,0x00000000}},	//   neiz, żają_, _yrs_, --, 
   {{0x442b0183,0x661e00e2,0x765c03c6,0x8c431221}},	//   _xsc_, _lppk, hyry, жење, 
   {{0x7c39012b,0x61fe9fb2,0xdb0301f5,0x75240380}},	//   _drwr, orpl, _chnà, heiz, 
   {{0x195989b7,0x777c0104,0x7c2b1d9c,0xaa949fb3}},	//   ганы_, dirx, _esgr, синч, 
   {{0xa2d63dc7,0x00000000,0x00000000,0x00000000}},	//   मुत्, --, --, --, 
   {{0xb8cf5a5c,0x6d420180,0x68f602bf,0x752f00ab}},	//   _कर_, _inoa, _ddyd, _racz, 
   {{0x65669fb4,0xdb0301fd,0x0b933d66,0x00000000}},	//   _alkh, _ghnà, _وجود, --, 
   {{0x752f0035,0x99420083,0x88c802d9,0x00000000}},	//   _pacz, _dół_, _svěž, --, 
   {{0x81c4100b,0x442b00d3,0x661e02cd,0x7c2b02bf}},	//   _এবং_, _psc_, _dppk, _ysgr, 
   {{0x628e00cf,0x61fe0a58,0xf2c73ac9,0x69da9fb5}},	// [9c10] _axbo, erpl, асен, lpte, 
   {{0x34a705fd,0x44399fb6,0x241813f2,0xdb0a00eb}},	//   _खरीद, _vrs_, рофы_, _bhfé, 
   {{0x5f00000f,0x6d429fb7,0x76481279,0x00000000}},	//   _राज्_, _onoa, ädyt, --, 
   {{0xdd8609e8,0x44399fb8,0x91ac0023,0x7afd0028}},	//   _رو_, _trs_, _đọc_, ėsti, 
   {{0x44399fb9,0xf4848f84,0xf77000d4,0x61fe040b}},	//   _urs_, _дурн, _رای_, arpl, 
   {{0x44299fba,0x6d420054,0xf8bf9fbb,0xf1c90038}},	//   mwa_, _anoa, ldés_, _موسى_, 
   {{0x44299fbc,0x61fe0112,0xdb1803da,0xeb9900a3}},	//   lwa_, crpl, _civí, ғин_, 
   {{0xf8bf2ebf,0x98a50035,0xcd2900c8,0x44299fbd}},	//   ndés_, ślę_, ужие_, owa_, 
   {{0xeb9958d9,0x44299fbe,0x1c421c0f,0xdd2f00bc}},	//   лии_, nwa_, зным, _těžk, 
   {{0x44299fbf,0x201f01d6,0x00000000,0x00000000}},	//   iwa_, _ipui_, --, --, 
   {{0x44299fc0,0xed3500b3,0x81c90033,0x0dcb0176}},	//   hwa_, _гэлэ, লীর_, _рузи_, 
   {{0x44299fc1,0x3b8403a1,0xce6823de,0x95ca01ff}},	//   kwa_, йлөг, _труд_, ғлаб_, 
   {{0xa2e800cc,0x44299fc2,0x7d099fc3,0xa2be0035}},	//   _পাসও, jwa_, mges, _वृन्, 
   {{0x59cf08a9,0x44296fe1,0x7d099fc4,0x7c299fc5}},	//   _संपर, dwa_, lges, mwer, 
   {{0x44299fc6,0x7c290bf3,0x66e6004e,0xdb0300eb}},	//   ewa_, lwer, _қона, _ghná, 
   {{0x44299fc7,0x16a80a20,0x00000000,0x00000000}},	//   fwa_, _गरीब, --, --, 
   {{0x44299fba,0x7c2934c7,0x75249fc8,0x7d090380}},	// [9c20] gwa_, nwer, reiz, iges, 
   {{0x06e20086,0x7d090380,0x752402b0,0x7c298b73}},	//   _বাকি, hges, seiz, iwer, 
   {{0xe1fa9fc9,0x4429739b,0x7c299fca,0xb9c107fa}},	//   уге_, awa_, hwer, _üçün, 
   {{0x44299fcb,0x7c299fcc,0x2638026e,0x106a0c0f}},	//   bwa_, kwer, _ičo_, лией_, 
   {{0x7bcf2147,0x7d09623c,0x6360014e,0x7c299fcd}},	//   ícul, dges, _jönk, jwer, 
   {{0x69da9fce,0x8bff0033,0x7d093414,0xdbff0033}},	//   ypte, ্বান_, eges, ্বাস_, 
   {{0xf8bf67be,0x7d0901c4,0xdef900e4,0x7c2911da}},	//   ndér_, fges, рыі_, ewer, 
   {{0x7c299fcf,0xdb180503,0xdd900e61,0x7d099fd0}},	//   fwer, _viví, بوب_, gges, 
   {{0x7c299fd1,0x8066327e,0xa6c00086,0xb87b007a}},	//   gwer, _уваж, ্রিয়, naít, 
   {{0x6e3c22cb,0x261900ab,0x7d099fd2,0xdce20242}},	//   _árbo, _पहली_, ages, _iloč, 
   {{0x44299fd3,0xdc550c30,0xdb010212,0x7f3b00d1}},	//   zwa_, مریک, illè, _תעבו, 
   {{0xd90f125e,0x7c299fd4,0x44299fd5,0x99679fd6}},	//   ریخ_, bwer, ywa_, стол, 
   {{0x34a700a2,0x7c2901d2,0x00000000,0x00000000}},	//   _खरेद, cwer, --, --, 
   {{0x4429158b,0xd7f800c8,0x69da9fd7,0xb87b007a}},	//   vwa_, щую_, ppte, daít, 
   {{0x7aea002e,0x44290405,0x4b7b027a,0x6b9a01ff}},	//   _ieft, wwa_, _תאוו, motg, 
   {{0x44294f41,0x7aea9fd8,0x46d902e6,0x20ba02e6}},	//   twa_, _heft, _ब्रह, ेशाध, 
   {{0xf8bf9fd9,0x44299fda,0x69ca6559,0x3f8700f8}},	// [9c30] rdés_, uwa_, _hufe, ynnu_, 
   {{0x442951e0,0x7aea02f5,0x69ca9fdb,0xe2f900dd}},	//   rwa_, _jeft, _kufe, режі_, 
   {{0x44299fdc,0x201f00d9,0x7d090876,0x2418004e}},	//   swa_, _spui_, yges, _қоры_, 
   {{0x69ca0c28,0xe7050a24,0x44299fdd,0x3f9e9fde}},	//   _mufe, _اسکی, pwa_, _aktu_, 
   {{0x1fb91b17,0x44299fdf,0x7c2901d2,0x7af80032}},	//   алды_, qwa_, xwer, _odvt, 
   {{0x7aea9fe0,0x78ad019b,0x656d07d7,0x5552010e}},	//   _neft, _mzav, lhah, _ٹھہر, 
   {{0x7d096374,0x7c29038c,0x6735039b,0x661500b4}},	//   tges, wwer, idzj, ntzk, 
   {{0xed59196c,0x7c299fe1,0x798d9fe2,0x78ad0121}},	//   рои_, twer, _njaw, _ozav, 
   {{0x7d097001,0x69d824a5,0x7c2901c8,0x69ca9fe3}},	//   rges, _atve, uwer, _aufe, 
   {{0x7c299fe4,0x7d093877,0x67270126,0x2d83010e}},	//   rwer, sges, jejj, ője_, 
   {{0xdce202f5,0xdd990377,0x7aea9fe5,0x7c299fe6}},	//   _zloč, poň_, _deft, swer, 
   {{0xdb01026a,0x7bdb9fe7,0xe8f714d3,0x7c299fe8}},	//   illé, ppuu, олю_, pwer, 
   {{0x656d00d4,0xb87b118d,0x6b9a9fe9,0x798d167c}},	//   dhah, daís, botg, _djaw, 
   {{0x78ad0ab4,0xe73a02a6,0xdb0a00f6,0x7bd90027}},	//   _dzav, шег_, _difó, _itwu, 
   {{0x7bcb9fea,0x7bc39feb,0x857a0fb9,0xdb030379}},	//   _hugu, _iinu, асат_, _dinô, 
   {{0x7bc30bc1,0x7bcb28ee,0x656d0268,0xb0a99fec}},	//   _hinu, _kugu, ghah, _औरंग, 
   {{0x7bcb9fed,0x64a39fee,0x7bc39fef,0x2d510369}},	// [9c40] _jugu, дата, _kinu, _báez_, 
   {{0xaac905d0,0xdb180019,0x7bcb9ff0,0x7bc3933d}},	//   रशिक, _kivá, _mugu, _jinu, 
   {{0x7bcb9ff1,0x24960028,0xb87b007a,0x656d00a1}},	//   _lugu, _žemę_, saít, bhah, 
   {{0xdce200d0,0x02aa0fcf,0x3f9e0065,0xb87b0183}},	//   _ploč, _करीन, _sktu_, caís, 
   {{0x6b9a0c67,0x2eee9ff2,0x7bcb007c,0x644b00b0}},	//   yotg, taff_, _nugu, ägit, 
   {{0x442202a2,0x7bc39ff3,0xdce20098,0x78a43694}},	//   _ipk_, _ninu, _vloč, _myiv, 
   {{0x7bcb015c,0x2eee9ff4,0xdbd10165,0x7bd90027}},	//   _augu, raff_, qüên, _atwu, 
   {{0x7bc30077,0x7bcb9ff5,0x44220110,0x7aea9ff6}},	//   _ainu, _bugu, _kpk_, _seft, 
   {{0xa0670ed8,0xa2be4437,0x7bc39ff7,0x69ca002e}},	//   _дата_, _वृत्, _binu, _sufe, 
   {{0x7bcb0a9f,0xb4db00d3,0x656d016a,0x65640065}},	//   _dugu, _anàl, zhah, hkih, 
   {{0x78ad0019,0x7bc39ff8,0x7bcb00b9,0x7aea003e}},	//   _szav, _dinu, _eugu, _veft, 
   {{0x7bc3008c,0xdb18026e,0xdb039cd4,0xb87b0369}},	//   _einu, _divá, _sinô, daír, 
   {{0x7bcb0a13,0x6440090e,0x6727007b,0x69c43981}},	//   _gugu, _šmin, tejj, _diie, 
   {{0x3f9c03ef,0x7bc39ff9,0xf1ca0865,0xab2712de}},	//   novu_, _ginu, िदान, _моча_, 
   {{0x69d89ffa,0x44229ffb,0x95cb9ffc,0x656d0a5c}},	//   _utve, _apk_, руга_, thah, 
   {{0x3f9c1993,0x44225ec5,0x3201026e,0x656d9ffd}},	//   hovu_, _bpk_, vrhy_, uhah, 
   {{0xb87b24a9,0x78ad037f,0x2d5100e9,0xd251347e}},	// [9c50] raís, _uzav, _páez_, کنا_, 
   {{0x656d4369,0x27e99ffe,0x68ed9fff,0x44220065}},	//   shah, _iwan_, _head, _dpk_, 
   {{0x68ed0730,0xa2be0ed5,0x27e91f87,0x656d07d7}},	//   _kead, _वृद्, _hwan_, phah, 
   {{0x61e7006d,0x27e948aa,0x65951a57,0x417400d7}},	//   _vwjl, _kwan_, _хаму, وانس, 
   {{0xd6bd00cc,0x44220065,0x600808af,0x27e90216}},	//   _অভিয, _gpk_, жнім_, _jwan_, 
   {{0x3f9c03ef,0xdfce0084,0x68eda000,0x6b5f0218}},	//   govu_, ديو_, _lead, _têgi, 
   {{0x7c223be8,0x59c6190a,0x7bc3a001,0x7bcb00b0}},	//   _apor, _रंगर, _rinu, _sugu, 
   {{0x7bcba002,0x7bc3a003,0x44227d84,0x7c22a004}},	//   _pugu, _sinu, _ypk_, _bpor, 
   {{0x7bc3a005,0x6ed8000d,0x9c2200c8,0x3f9ca006}},	//   _pinu, नुहु, едыд, bovu_, 
   {{0x59cf03c1,0x7c220864,0xdcfb08e3,0xa3ab00bd}},	//   _संदर, _dpor, knuć, खति_, 
   {{0x27e95e1f,0x7bc3a007,0x31ae014b,0x60c90415}},	//   _awan_, _vinu, lýza_, _kgem, 
   {{0xbea800d4,0x68ed0ae7,0x50cb1451,0x27e9688f}},	//   _بهمن_, _cead, िशिष, _bwan_, 
   {{0x7bc3a008,0x8d7400c5,0x69c400b0,0xa3ab58c4}},	//   _tinu, _تالا, _viie, खता_, 
   {{0x81e1100b,0x657da009,0x7d1b03c5,0x7c3b007c}},	//   _দিন_, _amsh, lfus, mvur, 
   {{0x27e90c36,0x68ed11a1,0xdcfb0d26,0x02aa46cc}},	//   _ewan_, _fead, gnuć, _करेन, 
   {{0x60c90ac3,0x3f9c8b97,0x4422a00a,0x68ed72b7}},	//   _ngem, zovu_, _ppk_, _gead, 
   {{0x6d590f53,0x25e804cc,0xa2be048e,0x291202b8}},	// [9c60] _mowa, _जबकी_, वेन्, _icya_, 
   {{0x083b0056,0x4422a00b,0x6d590927,0x60c9a00c}},	//   _פעיל, _vpk_, _lowa, _agem, 
   {{0xb6a3026a,0x3126001c,0xa75b00d1,0x00000000}},	//   éâtr, здег, _הדיר, --, 
   {{0x68ed0042,0x4fc62d6f,0x69ce0042,0x6b8100a3}},	//   _xead, пска, íbei, hilg, 
   {{0xdbd103a1,0x8fa60bb7,0xea000023,0x9f340259}},	//   qüèn, паде, _trầy_, делі, 
   {{0x60c90241,0x21a30176,0x00000000,0x00000000}},	//   _egem, _ҷисм, --, --, 
   {{0x7d1ba00d,0x2cc106d0,0x6d59052b,0x64430243}},	//   ffus, ərdə_, _bowa, ānie, 
   {{0x3f9c0571,0x6b810084,0x7d7800eb,0x2fc501f5}},	//   sovu_, eilg, تمبر_, _eilg_, 
   {{0x68eda00e,0x6d59a00f,0xdcfb02fe,0x69d502d9}},	//   _read, _dowa, znuć, ízen, 
   {{0x68eda010,0x2fc500ef,0x60c902fe,0x27e9a011}},	//   _sead, _gilg_, _zgem, _rwan_, 
   {{0x68eda012,0x799d025b,0xaa5800c4,0xb4db01f5}},	//   _pead, tosw, цину_, _snàm, 
   {{0x7c221799,0x27e90300,0x4d760eb7,0x00000000}},	//   _tpor, _pwan_, _عطار, --, 
   {{0x7c22a013,0x6b81a014,0x260f1f5e,0x998302d9}},	//   _upor, bilg, तूनी_, ňků_, 
   {{0xc7c44b88,0x6d59a015,0x6b5f009e,0xb9043263}},	//   есси, _zowa, _bêgu, _प्_, 
   {{0x68ed0077,0x356b13e6,0x3a3a010e,0x6d592196}},	//   _tead, бран_, _épp_, _yowa, 
   {{0x27e92edf,0xc87f0502,0x00000000,0x00000000}},	//   _twan_, faßt_, --, --, 
   {{0x94aba016,0xdcfb1a35,0x27e9011c,0x3999039f}},	// [9c70] ства_, snuć, _uwan_, kész_, 
   {{0x3dc60065,0x6e2d0083,0x00000000,0x00000000}},	//   _liow_, łabi, --, --, 
   {{0x35b5a017,0xddcb0304,0xe69500b3,0x39492215}},	//   _обор, _žiži, _цины, _knas_, 
   {{0x6b8102f1,0x2ca600d7,0x92b4007a,0x2fc5008a}},	//   zilg, _oyod_, رحلا, _silg_, 
   {{0x6d59023e,0x3ea512b7,0x2617019c,0x6b8101ff}},	//   _rowa, _sylt_, lço_, yilg, 
   {{0x6d59a018,0x25a9a019,0xbea503b7,0x96180019}},	//   _sowa, llal_, малк, _بغیر_, 
   {{0x6d591f62,0x2617a01a,0x7d1ba01b,0x6b81a01c}},	//   _powa, nço_, tfus, vilg, 
   {{0x61fa008c,0x5f770019,0x60c9011c,0x1c452b68}},	//   _ætla, _کارر, _ugem, дним, 
   {{0x6b8100cf,0xd6c50086,0x3ec700f0,0x2fc501be}},	//   tilg, ্রিয, _есеб, _tilg_, 
   {{0x7c3b0b48,0x7f5a011c,0x2ca605d5,0x7d1ba01d}},	//   rvur, _gotq, _dyod_, sfus, 
   {{0x6b8100cf,0x6d59106b,0x6e67a01e,0x7d1b0610}},	//   rilg, _towa, _этаж, pfus, 
   {{0x37e20033,0x6b81a01f,0xf76900d1,0x39490474}},	//   _বিবর, silg, _דק_, _cnas_, 
   {{0x02aa190a,0x59cf04b7,0x6cc502f1,0x2ca6011d}},	//   _कर्न, _संवर, _ўйла, _gyod_, 
   {{0x3949a020,0x6b81400d,0x3ea0020f,0x48de0299}},	//   _enas_, qilg, şite_, _क्रो_, 
   {{0x6372055f,0x46a300fd,0x2d8d025b,0x317f04a8}},	//   _hæng, варв, onee_, _omuz_, 
   {{0xdb18030f,0x2d8da021,0x6601a022,0x6995012d}},	//   _eivä, nnee_, álka, _прых, 
   {{0xe73a1e54,0xfc4a003e,0xd6cf0019,0x6295040c}},	// [9c80] _деп_, mtíð_, اقہ_, _axzo, 
   {{0x394903ef,0x6372055f,0x316d05d5,0x91e60cf8}},	//   _znas_, _mæng, _alez_, доже, 
   {{0x63720022,0x21760398,0x3999039f,0xa2b32fcf}},	//   _læng, мудр, vész_, _अरण्, 
   {{0x6e3c2126,0xfc4a0a6d,0x290f0219,0x7683040c}},	//   _árbi, ntíð_, _ögat_, _dеyd, 
   {{0xdfcf0ce0,0x62950065,0x92c00033,0x25a001ff}},	//   لين_, _exzo, ীরে_, moil_, 
   {{0x26d8a023,0x3dc60065,0x6d5d0219,0x00000000}},	//   ncro_, _siow_, ösan, --, 
   {{0x63600019,0x216a11d2,0x3999039f,0x00000000}},	//   _dönt, _диви_, rész_, --, 
   {{0x60260267,0xdb030534,0x00000000,0x00000000}},	//   _одба, _ghnú, --, --, 
   {{0xae0200b0,0x657a0151,0x00000000,0x00000000}},	//   रूजन_, éthy, --, --, 
   {{0x6eb6031b,0xdb0a007a,0x1f5600a3,0x00000000}},	//   _قصائ, _bhfá, _ўтаё, --, 
   {{0xc333864b,0x25a0a024,0xdb180f5b,0x2d9f0876}},	//   דות_, koil_, _nivå, boue_, 
   {{0x6372055f,0x63600219,0x8f0e088c,0x2d9f0151}},	//   _fæng, _köns, _साँझ_, coue_, 
   {{0x6d5c010c,0xd8380a10,0x6360a025,0x2905008f}},	//   _îraq, мэр_, _yönt, ğla_, 
   {{0x2d84a026,0x6360014e,0x29050540,0x0a94128b}},	//   lime_, _möns, şla_, _палю, 
   {{0x63600219,0x637202c9,0x00000000,0x00000000}},	//   _löns, _mænd, --, --, 
   {{0x394915c4,0x2d84a027,0x261703b7,0x73d908ad}},	//   _unas_, nime_, rço_, здар_, 
   {{0x36d53424,0x8f0e0586,0x261702be,0x93b50bad}},	// [9c90] _попр, _सांझ_, sço_, ебац, 
   {{0x25a91425,0x316d0082,0x2006a028,0x2d84a029}},	//   slal_, _slez_, droi_, hime_, 
   {{0x2d84a02a,0xe7eb02e6,0x2d8d1279,0x00000000}},	//   kime_, जीरा_, ynee_, --, 
   {{0x37e20086,0x2d84a02b,0x25a98059,0x00000000}},	//   _বিতর, jime_, qlal_, --, 
   {{0x752d002e,0x2d84a02c,0xa3c8049f,0x6360a02d}},	//   meaz, dime_, _ऊंच_, _pönt, 
   {{0x752d002e,0x2d840183,0x6360a02e,0x628100d8}},	//   leaz, eime_, _döns, _žlou, 
   {{0x69ca0bf5,0x3ea200cf,0x62344c8d,0xbea2a02f}},	//   _संगी, лишг, _иеру, лашк, 
   {{0x6360022b,0x752d002e,0x2d84a030,0x3dde012b}},	//   _föns, neaz, gime_, _dttw_, 
   {{0xa2d605d0,0x7e9900d4,0x2d9f0876,0xb4db01f5}},	//   मुक्, _کنار_, roue_, _cnài, 
   {{0xdbdc008c,0x752d00b3,0x6e674885,0x00000000}},	//   ráðh, heaz, _отеж, --, 
   {{0x2d84a031,0xd910015f,0xdea10019,0x656fa032}},	//   bime_, لیغ_, _حیثی, _olch, 
   {{0x5c7513e6,0x752d00d9,0x25a00065,0xbf1b02e6}},	//   _плет, jeaz, xoil_, प्रभ_, 
   {{0x6d4ba033,0xeb8e52f3,0x60db0e50,0xec6e9932}},	//   _inga, _би_, _mfum, _сп_, 
   {{0x907a00d1,0x3f790070,0x75dc0118,0x207a2737}},	//   לטרי, לאָס, _lčze, לארא, 
   {{0x69ce4ae7,0x25a0a034,0x752d020f,0x60db01b8}},	//   íbet, toil_, feaz, _ofum, 
   {{0x6d4b02a2,0x7dc70019,0xc6c30009,0x60db0539}},	//   _jnga, _műso, уйск, _nfum, 
   {{0x2fdf006f,0x25a000a3,0x656f00a1,0x6d4ba035}},	// [9ca0] _ntug_, roil_, _dlch, _mnga, 
   {{0x25a0a036,0x656fa037,0x60dba038,0x27e0012d}},	//   soil_, _elch, _afum, _itin_, 
   {{0x752d00a9,0x6d4ba039,0x2d84a03a,0x0cac153d}},	//   beaz, _onga, yime_, _चर्म, 
   {{0x2d846bc1,0x7986a03b,0x59b23e41,0x2006a03c}},	//   xime_, nikw, ीगिर, troi_, 
   {{0x40340def,0x2d840e30,0xa0670267,0x00000000}},	//   телс, vime_, наца_, --, 
   {{0x6d4ba03d,0x2006a03e,0x60db3479,0x798633f2}},	//   _anga, rroi_, _efum, hikw, 
   {{0xe297a03f,0x29005802,0xa3c935c8,0x6d4b00a1}},	//   _зар_, _odia_, _लूट_, _bnga, 
   {{0x6da32189,0x5bc80c64,0x44320035,0x79860548}},	//   лија, रद्व, owy_, jikw, 
   {{0x6d4b0ab1,0x6372055f,0x79860053,0x44320156}},	//   _dnga, _tænd, dikw, nwy_, 
   {{0x2d84a040,0x5c73a041,0x752d002e,0x60c405ae}},	//   sime_, ульт, zeaz, žims, 
   {{0x27e00c3d,0x7e9a08cb,0x2a6a010e,0xfa8a00d3}},	//   _atin_, _عنصر_, ább_, ясий_, 
   {{0x67d52107,0x752d00b3,0xdb01019c,0x00000000}},	//   кому, xeaz, nolê, --, 
   {{0x752d00d9,0x38c90296,0xb87b23f2,0xc867046d}},	//   veaz, بادی_, mbík, хтни, 
   {{0x443202bf,0x66010019,0x69ce0068,0x00000000}},	//   dwy_, álko, íbes, --, 
   {{0x79a7084b,0x752d3d4a,0x569402f1,0x798695f1}},	//   _прие, teaz, гарт, bikw, 
   {{0xe5340504,0x55580093,0x7bca007c,0xa3c902e6}},	//   лесь, нася_, _hifu, _लूज_, 
   {{0x752d0012,0x7bcaa042,0x6aaa02bf,0xa2be3024}},	// [9cb0] reaz, _kifu, _hyff, वेस्, 
   {{0x752d002e,0x60dba043,0x7bca0053,0x00000000}},	//   seaz, _sfum, _jifu, --, 
   {{0x7bca0010,0x61fc0ab4,0x61ee00f8,0x752d020f}},	//   _mifu, _cvrl, _cwbl, peaz, 
   {{0x7ff5017a,0x7bcaa044,0xb4db03dd,0x02a4022c}},	//   نستا, _lifu, _anàv, урум, 
   {{0x948700d3,0xc4280002,0xd5640158,0xfbe70108}},	//   _чынд, _пюре_, _стэп, _chế_, 
   {{0x6d4b2a41,0x7bca08dc,0x79869634,0x15e80299}},	//   _snga, _nifu, zikw, टीकर_, 
   {{0xed599b7d,0x6d4b2a41,0x43942e45,0x61ee00f8}},	//   дой_, _pnga, _сарс, _gwbl, 
   {{0x92e900cc,0x60db1c36,0xf1a411e6,0x7bca018e}},	//   _যায়_, _ufum, _брун, _aifu, 
   {{0x7bca0c25,0x5bb52b3b,0x69cb361e,0x100400fd}},	//   _bifu, ксоф, _संजी, _бяхм, 
   {{0x4a45767b,0x7bcaa045,0x200fa046,0x0b4200e4}},	//   внов, _cifu, mugi_, аньн, 
   {{0x200f3126,0x3f87a047,0x6aaa02bf,0x7986a048}},	//   lugi_, minu_, _cyff, tikw, 
   {{0x3f87a049,0x6d4b6e0a,0x212f00ef,0x69dc007a}},	//   linu_, _unga, negh_, írea, 
   {{0x8d7436b0,0x7986a04a,0xdb01007a,0xd9100019}},	//   _حالا, rikw, allá, لیں_, 
   {{0x6aaa01be,0x7bca938d,0x59cf00c9,0x37e30148}},	//   _fyff, _gifu, _सूअर, рорг, 
   {{0x6aaa0156,0x7986095a,0x200fa04b,0xb6a6046d}},	//   _gyff, pikw, hugi_, тивл, 
   {{0x1614000f,0x7bca2f53,0x44320035,0xb82a01ff}},	//   तंबर_, _zifu, twy_, _жоиз_, 
   {{0xccf20111,0xf77300d4,0x3f87a04c,0x61fc032f}},	// [9cc0] יכן_, _چاپ_, kinu_, _svrl, 
   {{0x44322385,0x200f007e,0x31ca1f30,0xc88701c4}},	//   rwy_, dugi_, िद्ध, ößer_, 
   {{0x3f87034c,0xf506041d,0x7ae5007e,0x00000000}},	//   dinu_, _изно, _õhtu, --, 
   {{0xcfe600cc,0xb8163b41,0x4a5a00a7,0x200f320a}},	//   _নিবন, _तमाम_, ודעו, fugi_, 
   {{0x69cb031e,0x3f87003e,0x200f00c2,0x00000000}},	//   _संघी, finu_, gugi_, --, 
   {{0x3f87008c,0x6e940df4,0xa2e30398,0xa0670267}},	//   ginu_, лилу, _ворд, ђаја_, 
   {{0x6e2804a8,0x7bcaa04d,0xa2be1f9a,0xdb0100b9}},	//   _qpdb, _rifu, वेश्, molè, 
   {{0x7bcaa04e,0x64460455,0xfbe70023,0xc5f300d1}},	//   _sifu, _krki, _thế_, בדה_, 
   {{0x3f87003a,0xbfc6a04f,0x10a619fe,0x711b00d1}},	//   binu_, _абак, _риан, _קומפ, 
   {{0x3f8700d2,0x64460097,0x3d140c46,0x3b541bce}},	//   cinu_, _mrki, _धावे_, укор, 
   {{0x7bca0053,0x00000000,0x00000000,0x00000000}},	//   _vifu, --, --, --, 
   {{0xfce6807d,0x64468007,0x7984016a,0x394d033c}},	//   _родо, _orki, _cmiw, ñes_, 
   {{0x7d02a050,0x7bca93b5,0xb4db01be,0xdb0101e5}},	//   _idos, _tifu, _mnàt, kolè, 
   {{0x257501e8,0x79840539,0xc3080033,0xe7871dbd}},	//   _måle_, _emiw, র্তি_, тумо, 
   {{0x6446a051,0xfbb700d1,0xdb0100b9,0x200f007c}},	//   _arki, _שפות_, dolè, zugi_, 
   {{0x6446015e,0x39152c54,0x81e10086,0x69cb176c}},	//   _brki, _смир, _দিল_, _सूची, 
   {{0x95c81f4d,0x4993009c,0xf8bf0151,0x7d02025b}},	// [9cd0] тура_, _میگر, ffée_, _mdos, 
   {{0xdb01a052,0x47353725,0x64460372,0x2575a053}},	//   golè, _снос, _drki, _såld_, 
   {{0x3f8700f1,0x6446a054,0x7d020187,0x53344a84}},	//   vinu_, _erki, _odos, рехт, 
   {{0x7d0200e5,0x644600ef,0x200fa055,0x78ad01a3}},	//   _ndos, _frki, tugi_, _kyav, 
   {{0x3f87a056,0x2575014e,0xdce200d0,0x64460082}},	//   tinu_, _våld_, _zloć, _grki, 
   {{0x753d0105,0xa2be07d5,0x7d02a057,0xe8160790}},	//   _hasz, _वृक्, _ados, _तमसा_, 
   {{0x4439a058,0x753d23f8,0x200fa059,0x78ad052b}},	//   _hss_, _kasz, sugi_, _lyav, 
   {{0x656da05a,0x3f87a049,0xdb011e31,0x229400dd}},	//   nkah, sinu_, molé, _тися, 
   {{0x518415b6,0xcfab006b,0x3af50965,0x753d4b6e}},	//   _тура, _قائم_, лянс, _masz, 
   {{0x443901d2,0x39e903a1,0x753d6cc3,0x7d027ead}},	//   _mss_, ндоо_, _lasz, _edos, 
   {{0x198a3381,0x4439a05b,0x78ad016c,0x656da05c}},	//   ебни_, _lss_, _ayav, kkah, 
   {{0x753d0da6,0x443905a1,0x78ada05d,0x37e62d60}},	//   _nasz, _oss_, _byav, ломг, 
   {{0x291e0035,0xa2aa009a,0x8884009c,0x78ad0610}},	//   ęta_, _जुन्, شیدن, _cyav, 
   {{0xdce20372,0x95c72d60,0xdb010574,0x00000000}},	//   _ploć, ғлуб_, kolé, --, 
   {{0x656d0ab1,0x4439a05e,0x7bc101c4,0x46a40262}},	//   fkah, _ass_, mmlu, _खुशह, 
   {{0x6d5b0730,0x656d2a85,0x442b48ed,0xa928014b}},	//   njua, gkah, _bpc_, _drží, 
   {{0x4439a05f,0x0326005e,0xe3ba367f,0x9f4f008c}},	// [9ce0] _css_, лдан, еба_, yrgð_, 
   {{0x68f60095,0x442ba060,0x644600ca,0xb4db01f5}},	//   _heyd, _dpc_, _vrki, _snàt, 
   {{0x6146a061,0x471b00c7,0x753da062,0x68f60ad9}},	//   лежа, _אויג, _fasz, _keyd, 
   {{0x4439a063,0x673e6909,0xdb011c9f,0x7c2b7aee}},	//   _fss_, _hapj, solè, _opgr, 
   {{0x68f6091f,0x4439a064,0x63a5a065,0x6d5b6bdf}},	//   _meyd, _gss_, bohn, djua, 
   {{0x27f202bf,0x8fa310aa,0x753d0083,0x7d1900f3}},	//   _mwyn_, баче, _zasz, _acws, 
   {{0x09cf00b5,0x7c2b00e0,0x6b88a066,0x64442b92}},	//   _संगठ, _apgr, vidg, lvii, 
   {{0x4420a067,0x420a0a43,0x44391f87,0x6d5b024a}},	//   oti_, _онҳо_, _yss_, gjua, 
   {{0x4420a068,0x61fea069,0x0b8a2035,0xdee601a2}},	//   nti_, lspl, есни_, _бози, 
   {{0x4420a06a,0xa0a4a06b,0x673e0019,0xf06302a6}},	//   iti_, _бағд, _napj, _укуп, 
   {{0x44200905,0xdd8f1fdb,0xa2aa031e,0x28c70fc0}},	//   hti_, _کون_, _जुम्, रेनि, 
   {{0x7d0200ab,0xddb60019,0x61fe0a60,0x673e01d2}},	//   _udos, _صحاب, ispl, _aapj, 
   {{0x4420a06c,0x68f600cf,0x3cd502f1,0x67d50885}},	//   jti_, _deyd, _тўхт, рогу, 
   {{0x4439a06d,0x78ad016c,0x67d4369d,0xdceb01dd}},	//   _rss_, _vyav, сору, _ilgā, 
   {{0x7afa030f,0xd5bb19fe,0x44202a3d,0xf367004e}},	//   matt, еса_, eti_, қтан, 
   {{0x4420a06e,0x61fe2379,0x63a501c4,0xb4db00b9}},	//   fti_, dspl, wohn, _anàr, 
   {{0x656d46bf,0x442b03da,0x4420a06f,0xdb030038}},	// [9cf0] rkah, _qpc_, gti_, _ghnó, 
   {{0x4439090b,0x753d0035,0x2d810019,0x656d4fd1}},	//   _vss_, _wasz, éhez_, skah, 
   {{0xdb01078a,0x4420a070,0x7afa02a3,0x4439039b}},	//   kolî, ati_, iatt, _wss_, 
   {{0x7afaa071,0x44390379,0x673e056e,0x68f6040c}},	//   hatt, _tss_, _zapj, _xeyd, 
   {{0x4420a072,0xb97c0137,0x442ba073,0x7afa4023}},	//   cti_, ענדי, _upc_, katt, 
   {{0x6d47002a,0x6d40a074,0xa06608ad,0x7afaa075}},	//   ējam, edma, раша_, jatt, 
   {{0x7afa731d,0xff041619,0xb87b0183,0x539a07e4}},	//   datt, сячн, ncíb, _יישו, 
   {{0x518754c6,0x63bc020b,0x00000000,0x00000000}},	//   _суга, _zhrn, --, --, 
   {{0x6d5b2998,0x2363006d,0xeb990176,0x28c7017d}},	//   rjua, _kojj_, кии_, रेमि, 
   {{0x7afaa076,0x68f6a077,0xf53f1950,0x5ec70033}},	//   gatt, _seyd, _skål_, রুষে, 
   {{0x68f6055a,0x4420a078,0x491a00b0,0xd5b5072d}},	//   _peyd, zti_, _भादो_, ंताज, 
   {{0x213f1021,0x4420a079,0x68f60264,0x186a269c}},	//   _jauh_, yti_, _qeyd, вами_, 
   {{0x44201a3d,0x290c04be,0x7c2ba07a,0x25db00a5}},	//   xti_, ğda_, _upgr, _खूबी_, 
   {{0xcb66354b,0x7afa0093,0x213f02cd,0x290c00ad}},	//   _ваше_, catt, _lauh_, şda_, 
   {{0x24f63dc8,0x4420a07b,0x96631234,0x671702e6}},	//   ичар, wti_, окре, _तारक_, 
   {{0x4420a07c,0x63bc02d9,0xdb0300a1,0xc4e641ec}},	//   tti_, _shrn, _ghnò, ржай, 
   {{0x4420a07d,0x638602aa,0x31bc031e,0x691e0352}},	// [9d00] uti_, агаа, níze_, _všeč, 
   {{0x4420021a,0x39400e0c,0x61fe12b7,0x6444a07e}},	//   rti_, _hais_, tspl, rvii, 
   {{0x201fa07f,0x4aab0081,0x3940a080,0x425602a0}},	//   _aqui_, _घुमव, _kais_, штат, 
   {{0x61fe0c2b,0x39403ec8,0xb87b04ef,0x506600a3}},	//   rspl, _jais_, rbív, итла, 
   {{0x39401594,0x61fea081,0x442000a3,0x7afa027e}},	//   _mais_, sspl, qti_, yatt, 
   {{0x3940a082,0x9e062826,0x42e703b7,0x26cc0edf}},	//   _lais_, ачил, _вмро_, ždou_, 
   {{0xdb01009e,0xdd9aa083,0x2cb10248,0x9f46002c}},	//   tolî, кши_, əzdi_, npoé_, 
   {{0x5d543065,0x3940a084,0x644300ab,0x2caf00fc}},	//   скит, _nais_, łnie, _bygd_, 
   {{0x7afaa085,0x6d40636e,0xc8a50299,0x1be70bad}},	//   tatt, rdma, _गुंट, адњи_, 
   {{0x395201bb,0x7b6628da,0x4c9402f1,0x2575264e}},	//   _anys_, ртие, _қилс, _måla_, 
   {{0x7afaa086,0x3940a087,0x28f99d11,0xb87b02d9}},	//   ratt, _bais_, лень_, kcíc, 
   {{0x644900e4,0x7afa0f2d,0x3940a088,0xac0a0161}},	//   _šeim, satt, _cais_, _анда_, 
   {{0x3940a089,0x7afa6701,0xc864a08a,0xb87b00d8}},	//   _dais_, patt, отри, dcíc, 
   {{0x7afa7775,0x3ea900b3,0xd7f80b34,0x05db0299}},	//   qatt, şate_, шую_, _मंदब, 
   {{0x3940026d,0x96f85700,0xf1bf0032,0x637b010c}},	//   _fais_, рест_, žšia_, _hîng, 
   {{0x69d8a08b,0xda5b0056,0x224d0613,0x3940a08c}},	//   _iuve, _יכול, _ček_, _gais_, 
   {{0x54b9058b,0x7af8006d,0xf4d82f0d,0x68fda08d}},	// [9d10] угая_, _kevt, рмуш_, masd, 
   {{0x69d800e5,0x28c700ab,0x7af82873,0xddce0228}},	//   _kuve, रेणि, _jevt, ždňo, 
   {{0x213f0640,0x3940006d,0x39520156,0x637b020f}},	//   _pauh_, _yais_, _ynys_, _lîng, 
   {{0x29195781,0x68fda08e,0x3940006f,0x69d80608}},	//   ngsa_, nasd, _xais_, _muve, 
   {{0xdee503dc,0x69d8a08f,0x504502a0,0x661501d6}},	//   боли, _luve, селб, luzk, 
   {{0x69d8026d,0x543a00c7,0x7af8a090,0x213f0175}},	//   _ouve, _געשא, _nevt, _wauh_, 
   {{0x69d8a091,0x81e10033,0x9258a092,0x213f0175}},	//   _nuve, _দিক_, _карт_, _tauh_, 
   {{0x069800d1,0x00000000,0x00000000,0x00000000}},	//   ידום_, --, --, --, 
   {{0x39402083,0x3b852164,0x69d80107,0x201f0183}},	//   _rais_, йлиг, _auve, _uqui_, 
   {{0x4ea70fca,0x3940a093,0xa2be048e,0x69d8a094}},	//   _креа, _sais_, वेक्, _buve, 
   {{0xa96a7441,0x39407ffe,0xd94647d5,0x69d869da}},	//   гина_, _pais_, бени, _cuve, 
   {{0x394002cd,0xdd8f0296,0x7f4126b6,0x200f0036}},	//   _qais_, _کوچ_, _halq, orgi_, 
   {{0xab295327,0x3940a095,0xb9000484,0x9cda00c7}},	//   _бола_, _vais_, _तल_, _עקספ, 
   {{0x66e34316,0x77770068,0x39400102,0xdb18019c}},	//   зора, _clxx, _wais_, _divó, 
   {{0x394001c1,0x69d8a096,0xa50a4a6f,0x2618241a}},	//   _tais_, _guve, лева_, बंधी_, 
   {{0x7bd93134,0x25a90036,0x68fda097,0x394001f5}},	//   _kuwu, goal_, casd, _uais_, 
   {{0xb87ba098,0x13060161,0x69d801c4,0x35a601a2}},	// [9d20] rcíc, йзам, _zuve, _ҳанг, 
   {{0x2618047c,0x46f61219,0x69c6040b,0xe73a1137}},	//   बंदी_, _учит, lmke, _сео_, 
   {{0x69d809a1,0x7bd9a099,0xe5a6a09a,0xb2260082}},	//   _xuve, _luwu, _гини, смел, 
   {{0xdb0154e5,0xb87b0183,0x25a9750f,0x00000000}},	//   dolí, lcía, coal_, --, 
   {{0x7f411e8c,0x7bd900d4,0x68e40548,0x2d8d08b0}},	//   _balq, _nuwu, _mfid, diee_, 
   {{0x7f4109a1,0xb87b0634,0x65660026,0xb7db0147}},	//   _calq, ncía, _hokh, אקסי, 
   {{0x41b600d4,0x63ae0065,0x6146a09b,0x6566044d}},	//   _همسر, _ikbn, _лева, _kokh, 
   {{0x7bd901a3,0x69d8a09c,0x7cd81dd5,0x00000000}},	//   _buwu, _ruve, шмир_, --, 
   {{0x69d8a09d,0x6566a09e,0x26180262,0x20561b11}},	//   _suve, _mokh, बूती_, _утвр, 
   {{0x4f650084,0x65660204,0x68e4a09f,0x64490ab4}},	//   _والف, _lokh, _afid, _šeik, 
   {{0x195903dd,0x68e926ca,0x999903b7,0xdb010183}},	//   ааны_, ñedo, икот_, colí, 
   {{0x3f8e0010,0x65660532,0x637b0216,0x24806cea}},	//   lifu_, _nokh, _zînd, kzim_, 
   {{0x68fda0a0,0xdb1803a0,0x7bd901b8,0x7af80604}},	//   rasd, _divò, _guwu, _tevt, 
   {{0x7f41a0a1,0x9f520118,0x3f8e0010,0x661501f1}},	//   _xalq, èyè_, nifu_, tuzk, 
   {{0x6566a0a2,0x637b010c,0x136b0176,0xa5f9a0a3}},	//   _bokh, _jîne, қшаи_, ребу_, 
   {{0x661502ba,0x569430c5,0xdb08024a,0x59dd009a}},	//   ruzk, част, kodë, _नंतर, 
   {{0xdd1c014b,0x6d420415,0x9817105a,0xf99400d1}},	// [9d30] kážk, _maoa, _ابعا, _מרק_, 
   {{0x6360006b,0x661502ba,0x25a90640,0x27e9a0a4}},	//   _köny, puzk, soal_, _itan_, 
   {{0xd2510038,0xe65900a3,0xa4d5004f,0x94d5011f}},	//   بنا_, _тинч_, _моні, _монц, 
   {{0x798f0027,0xdb0120c2,0x91b700a3,0x3d141446}},	//   nicw, volí, ёҳат_, _धागे_, 
   {{0x27e900f4,0x3e470023,0x3f8e095a,0x1ee70499}},	//   _jtan_, _sđt_, fifu_, موشی_, 
   {{0x2d9a0019,0xdb01a0a5,0x65660727,0x7f410508}},	//   épen_, tolí, _zokh, _qalq, 
   {{0xdb18026e,0x7bd9a0a6,0x65660204,0x6d42a0a7}},	//   _chví, _suwu, _yokh, _baoa, 
   {{0xdb01a0a8,0x637b0107,0xcfe9009c,0x27e9a0a9}},	//   rolí, _dîne, _نفره_, _otan_, 
   {{0x1c421c0f,0x0b590504,0x3f8e0053,0x27e94a71}},	//   дным, арны_, bifu_, _ntan_, 
   {{0x68e4a0aa,0x637b009e,0x31bc00da,0x1a056e6a}},	//   _sfid, _hînb, míza_, опом, 
   {{0xeab100eb,0x6fe10086,0x27e9a0ab,0x212d0096}},	//   بعة_, _নিয়ে, _atan_, _kbeh_, 
   {{0x3a980088,0x7bd9a0ac,0x38c4011c,0x00000000}},	//   стью_, _tuwu, jèré_, --, 
   {{0x6566105b,0xeb8ea0ad,0x2d9d0027,0x7d1b095a}},	//   _rokh, _жи_, _ijwe_, mgus, 
   {{0x7d1ba0ae,0x257c0038,0x7c3ba0af,0x27e90118}},	//   lgus, _míle_, mwur, _dtan_, 
   {{0x27e9a0b0,0x212d7830,0x65660204,0x7c3b03fc}},	//   _etan_, _obeh_, _pokh, lwur, 
   {{0x4a7300f0,0x68e4018e,0x290c0028,0x00000000}},	//   _мықт, _ufid, ėdas_, --, 
   {{0x33661030,0x61e90352,0x7d1ba0b1,0x7c3ba0b2}},	// [9d40] оваг, _čela, igus, nwur, 
   {{0x2575014e,0xb7d70274,0x212d011c,0x3cff023b}},	//   _håll_, _گویا_, _abeh_, hauv_, 
   {{0xe0daa0b3,0x6566a0b4,0x052a00d9,0x2b1c00bc}},	//   аве_, _tokh, _конк_, _मासु_, 
   {{0x01aa0161,0x64430035,0x27e90219,0xb04a00b3}},	//   шкек_, łnia, _ytan_, изез_, 
   {{0x4fc623ef,0x3f8ea0b5,0x637b009e,0xaaab00a5}},	//   оска, tifu_, _sîne, _घुसक, 
   {{0x7d1ba0b6,0x7c3b08b0,0xb87b0098,0xdb0800b9}},	//   egus, dwur, kcín, codè, 
   {{0xe2971512,0xdd1c014b,0x3f8ea0b7,0x715a011f}},	//   _дар_, rážk, rifu_, _крас_, 
   {{0x3f8e2818,0xdb080371,0x7d1ba0b8,0x7176009c}},	//   sifu_, modé, ggus, _بهرا, 
   {{0xe816034d,0x3d1b00aa,0x6d420379,0x00000000}},	//   _तमगा_, _यारे_, _vaoa, --, 
   {{0xe4570137,0xee0a00b3,0x6d5d1070,0x8afc0083}},	//   קייט_, _вежл_, ösar, djęc, 
   {{0x798f8472,0x6d420379,0x1f5900d9,0x27e90139}},	//   ticw, _taoa, _ушть_, _stan_, 
   {{0xed571a57,0x637202c9,0x7c3b0027,0x9cca03a1}},	//   _мох_, _bænk, bwur, _кыла_, 
   {{0x7dd5012d,0x798f2996,0x00000000,0x00000000}},	//   _išsa, ricw, --, --, 
   {{0x7d00a0b9,0x28c7048e,0xdb0100b9,0x290401d5}},	//   lams, रेषि, colà, ómar_, 
   {{0xb7bb02aa,0x555900fd,0xd567021d,0x5bc3007a}},	//   stão, бавя_, отап, _تقول, 
   {{0x7d00a0ba,0x27e901d6,0x00000000,0x00000000}},	//   nams, _ttan_, --, --, 
   {{0x27e9201d,0x93795d39,0x798d0532,0x4307007a}},	// [9d50] _utan_, ббат_, _imaw, قذاف, 
   {{0x97151e85,0xa49b01be,0x7d1b6341,0x6b9a0502}},	//   _эмоц, _leòg, zgus, nntg, 
   {{0x28c7036e,0x7d00a0bb,0x7d1b027e,0xd25b0229}},	//   रेरि, kams, ygus, шца_, 
   {{0xf55900eb,0x7d000a1a,0x7bc82a41,0x36340444}},	//   _الحب_, jams, hmdu, _کریس, 
   {{0x798d044d,0xdb01007a,0xdbd61279,0x00000000}},	//   _mmaw, holá, nään, --, 
   {{0xdb01115d,0xd7ab04cc,0xd006065b,0x3fab0267}},	//   kolá, चकिच, чеше_, шњем_, 
   {{0xee3918ae,0x00000000,0x00000000,0x00000000}},	//   ёни_, --, --, --, 
   {{0x7c3ba0bc,0x7d1b0009,0x7d00a0bd,0x637b009e}},	//   twur, ugus, gams, _fînc, 
   {{0x7d1ba0be,0xdbd600b0,0xa49b00a1,0xd011149e}},	//   rgus, jään, _deòg, _سلا_, 
   {{0x644f2178,0x547c00a7,0x798d9c97,0x3cff006d}},	//   _mrci, יטחו, _amaw, sauv_, 
   {{0x2b1c04d7,0xd946a0bf,0x637202c9,0xdb0111ae}},	//   _मारु_, пени, _sænk, golá, 
   {{0xac1909d5,0xdb0a00eb,0x644f452c,0xa49b00f6}},	//   _году_, _bhfó, _orci, _geòg, 
   {{0xdce20097,0x5ed00086,0xf2b800bc,0x02b80df2}},	//   _glođ, _স্পে, _अर्घ, _अर्न, 
   {{0xc3110033,0x798d2bc3,0x8c42a0c0,0xa2cc0299}},	//   স্তি_, _emaw, _чеше, थेड्, 
   {{0xdb013fa2,0xa49b01c5,0x2d7f0083,0xfbd0011c}},	//   colá, _leòd, ałeś_, _شته_, 
   {{0x637201cc,0x18a6a0c1,0x644f00ef,0x06ab0086}},	//   _tænk, _найм, _brci, _গৃহি, 
   {{0x2902a0c2,0xd5af0523,0x9f5f00b9,0x130a0009}},	// [9d60] maka_, افق_, _avuí_, йнай_, 
   {{0x29028923,0x04fc0086,0x6e2d0035,0x69d65798}},	//   laka_, ইলের_, łaby, _hiye, 
   {{0x7dc50634,0xdce20352,0x7d000626,0x11d6009c}},	//   mósf, _sooč, yams, ستاد, 
   {{0x35a6058e,0x69d6060c,0xa3e407d5,0xe7c0009a}},	//   _хамг, _jiye, _पंप_, _शीतप, 
   {{0x69d6a0c3,0x26180262,0x644f0613,0xdb01010e}},	//   _miye, बूरी_, _grci, zolá, 
   {{0x2902a0c4,0x69d6a0c5,0x7d00018e,0x78b61279}},	//   haka_, _liye, wams, _myyv, 
   {{0x7d00a0c6,0x69c401cf,0x6fb6010e,0x2d7f0083}},	//   tams, _ohie, _ہمرا, złeś_, 
   {{0x29022b01,0x69c4001b,0xdb0105a8,0x78a40183}},	//   jaka_, _nhie, volá, _oxiv, 
   {{0x321a014b,0x5ea60296,0xa49b00a1,0x00000000}},	//   lupy_, _کمال, _geòd, --, 
   {{0xfc2f36a7,0x7d0005c2,0xd9b74437,0x307b00d1}},	//   احي_, sams, ृष्ट, _האמנ, 
   {{0x2902a0c7,0x69d6a0c8,0xdb18014b,0x69c4a0c9}},	//   faka_, _biye, _chvá, _bhie, 
   {{0x637b0218,0x644a00e0,0x69c484ec,0x0dca00d9}},	//   _mîna, āfij, _chie, _улей_, 
   {{0x69d6a0ca,0x69c4016a,0x6c34015f,0xdb01010e}},	//   _diye, _dhie, _آفتا, solá, 
   {{0x321a1d8c,0xb87b0038,0xdb01309e,0x7bc301be}},	//   kupy_, scío, polá, _ghnu, 
   {{0x2902a0cb,0x644f015e,0xb8d41567,0x69c4008a}},	//   baka_, _srci, _जु_, _fhie, 
   {{0x290205ae,0x798da0cc,0xdbd60088,0x2006a0cd}},	//   caka_, _umaw, sään, ksoi_, 
   {{0x03d501fc,0x245800c8,0x2bdf00c9,0x24f80009}},	// [9d70] джаю, пать_, नदया, янты_, 
   {{0xa87c00a7,0xd25b00e4,0x637b009e,0x69d6a0ce}},	//   _לאחר, йце_, _bîna, _ziye, 
   {{0x3207006b,0x69d6a0cf,0x799d2a5a,0x00000000}},	//   ény_, _yiye, onsw, --, 
   {{0x63730c05,0x637b009e,0x3f9c02a5,0x00000000}},	//   _sını, _dîna, envu_, --, 
   {{0xb4d94493,0x644f0254,0x3dde00a1,0xd00900d9}},	//   ाशी_, _urci, _autw_, целе_, 
   {{0x4429a0d0,0x2902a0d1,0x637b010c,0x644d55ab}},	//   mta_, zaka_, _fîna, mvai, 
   {{0x29022538,0xee3900dd,0xc33200c7,0x644da0d2}},	//   yaka_, іни_, _שול_, lvai, 
   {{0x4429a0d3,0xd65800a7,0x290200b4,0xdea40116}},	//   ota_, ליות_, xaka_, رینی, 
   {{0x2902a0d4,0x2d83012d,0x69d699d2,0x644d1d6a}},	//   vaka_, ėje_, _riye, nvai, 
   {{0x44290eaf,0x2902a0d5,0x69d69630,0x69c41453}},	//   ita_, waka_, _siye, _shie, 
   {{0x2902a0d6,0x4429a0d7,0x62850dac,0x69d6a0d8}},	//   taka_, hta_, nzho, _piye, 
   {{0x44290be0,0xdde900d7,0x00000000,0x00000000}},	//   kta_, _هرچه_, --, --, 
   {{0x2902a0d9,0x3b096628,0x8c45328d,0x60db0548}},	//   raka_, _дело_, _целе, _mgum, 
   {{0x2902a0da,0x4429a0db,0x6f03a0dc,0x6d4902ba}},	//   saka_, dta_, nanc, ldea, 
   {{0x4429a0dd,0x2902a0de,0x60db01a3,0xa96a00d9}},	//   eta_, paka_, _ogum, _мика_, 
   {{0x6d49a0df,0x60dba0e0,0x442913d7,0x78a4023b}},	//   ndea, _ngum, fta_, _txiv, 
   {{0x6d49003c,0x6564085f,0xf9c713b4,0x00000000}},	// [9d80] idea, rjih, _تحوی, --, 
   {{0x7c293440,0x6d498e02,0x321a014b,0x60db17d3}},	//   iter, hdea, tupy_, _agum, 
   {{0x4429a0e1,0x7c29a0e2,0x673c19b5,0xa6ca11b7}},	//   ata_, hter, merj, _گوگل_, 
   {{0x27e00df8,0x4429a0e3,0x673ca0e4,0x321a1377}},	//   _kuin_, bta_, lerj, rupy_, 
   {{0x44291d9c,0x27e00518,0x661c02f6,0x290002a0}},	//   cta_, _juin_, lurk, _meia_, 
   {{0x6d59a0e5,0x673ca0e6,0x2900a0e7,0x7c29a0e8}},	//   _anwa, nerj, _leia_, dter, 
   {{0x7c29a0e9,0x200602a3,0xdb180379,0x27e00080}},	//   eter, ssoi_, _mivô, _luin_, 
   {{0x7c29a0ea,0x2b470226,0x27ed00b3,0x27e057f4}},	//   fter, _aanc_, ţeni_, _ouin_, 
   {{0x673c2e7b,0x7c29a0eb,0x2b47a0ec,0x6f034c61}},	//   kerj, gter, _banc_, banc, 
   {{0xa0a4005e,0x6f03a0ed,0x2d980019,0x2b47542f}},	//   _жағд, canc, őre_, _canc_, 
   {{0x4429a0ee,0xaa581144,0x661ca0ef,0x7f5a01f2}},	//   zta_, чину_, jurk, _intq, 
   {{0x661ca0f0,0x6d60014b,0x27e0a0f1,0x2900a0f2}},	//   durk, ávač, _buin_, _ceia_, 
   {{0x4429a0f3,0xdb080634,0x2900a0f4,0x27e001fd}},	//   xta_, lodí, _deia_, _cuin_, 
   {{0x27e0a0f5,0x4429a0f6,0x673ca0f7,0xe8e00023}},	//   _duin_, vta_, gerj, _muội_, 
   {{0x67d4a0f8,0x79a721b8,0x29005226,0x442901f2}},	//   тору, _орие, _feia_, wta_, 
   {{0x62850121,0xb4d90110,0x257c7349,0xb55800b3}},	//   vzho, ाशे_, _píla_, мисф_, 
   {{0x673ca0f9,0x6f03a0fa,0x7bd86c7f,0xd5b8919b}},	// [9d90] berj, yanc, _kivu, фср_, 
   {{0x752da0fb,0x644da0fc,0xdce2008a,0x39496fb1}},	//   sfaz, rvai, _fmoħ, _haas_, 
   {{0x7c29a0fd,0x644da0fe,0x394962ae,0xa3e4190a}},	//   zter, svai, _kaas_, _पंथ_, 
   {{0x6f03a0ff,0x7645024d,0xf9d900c7,0x1fe60086}},	//   wanc, _ishy, פֿעל, _নিজস, 
   {{0x39496a47,0x06f30c59,0x4429729b,0x7c2921cd}},	//   _maas_, _अभाव_, qta_, xter, 
   {{0xa3e407d5,0x70520fdc,0x39490876,0xa29502c8}},	//   _पंत_, انوا, _laas_, _загі, 
   {{0x6d49a100,0xa49b01be,0x2b4700a1,0x6725040c}},	//   tdea, _feòc, _ranc_, _mchj, 
   {{0x7c290e8b,0x6f03a101,0x1c4557f0,0x673c0352}},	//   tter, sanc, еним, zerj, 
   {{0x7c29a102,0xfc48001b,0x2b4704c6,0x7bd80199}},	//   uter, _cử_, _panc_, _bivu, 
   {{0x6d490465,0x61e90688,0x0ae800d3,0x290000fc}},	//   sdea, _čelj, үдөй_, _seia_, 
   {{0x673ca103,0x7bd8a104,0x394952d8,0x76450199}},	//   verj, _divu, _baas_, _nshy, 
   {{0x6d590156,0xf99f9574,0x27e01a77,0x6725a105}},	//   _unwa, gnè_, _puin_, _achj, 
   {{0x673ca106,0x661c0574,0xa3db000f,0x27e000d3}},	//   terj, wurk, _ढंग_, _quin_, 
   {{0x661ca107,0xfaa520f7,0x201d0102,0xfbc500c8}},	//   turk, _пало, iuwi_, _ябло, 
   {{0x6f01a108,0x29000e43,0xdb0102ae,0xcb1200d1}},	//   _melc, _teia_, rolä, _עלה_, 
   {{0x27e00265,0x673c0352,0x2d9f026a,0x7bd8686a}},	//   _tuin_, serj, nnue_, _zivu, 
   {{0x673c003d,0xfc480029,0x66e62010,0x212f00ca}},	// [9da0] perj, _xử_, _попа, dfgh_, 
   {{0x317f011c,0xe3b7a109,0x74130038,0x661ca10a}},	//   _aluz_, ебу_, اولا, purk, 
   {{0x317fa10b,0x00000000,0x00000000,0x00000000}},	//   _bluz_, --, --, --, 
   {{0xdb080098,0x10a60259,0xc0e61d91,0x28c70299}},	//   vodí, ниен, ходк, रेकि, 
   {{0x6f01155e,0x26180035,0x26c700bc,0x201d011d}},	//   _belc, बंकी_, _únor_, guwi_, 
   {{0x3dc6a10c,0xdfcf646f,0x6f010da2,0x25a03cd0}},	//   _show_, مين_, _celc, lnil_, 
   {{0xfc4800f7,0x53a3a10d,0xf99f0118,0x6f01a10e}},	//   _sử_, _сарб, ynè_, _delc, 
   {{0x7bd8030f,0x5d540cda,0x8c6625b6,0x25a03e8f}},	//   _sivu, ткит, етод, nnil_, 
   {{0x7f4802f1,0x10a308bd,0x39490ff2,0x6f01a10f}},	//   _tadq, _битн, _raas_, _felc, 
   {{0x6446016a,0xf8bf0107,0x25a00121,0x53b0017d}},	//   _mski, ngée_, hnil_, जकिश, 
   {{0xc333864b,0x7bd8a110,0x25a00352,0x3dc6011c}},	//   אות_, _vivu, knil_, _thow_, 
   {{0xfc4800f7,0x4c860141,0x25a00098,0xbfa50023}},	//   _tử_, _плев, jnil_, hiệ, 
   {{0xb9090509,0xdb0802a0,0x7a3600ad,0x7bd80036}},	//   _बल_, godã, _bütö, _tivu, 
   {{0x3949a111,0x00000000,0x00000000,0x00000000}},	//   _waas_, --, --, --, 
   {{0x3949a112,0x6446a113,0x6a860151,0x00000000}},	//   _taas_, _aski, _défé, --, 
   {{0xd5b8a114,0x25a00352,0x7d020054,0x257c02d9}},	//   есу_, gnil_, _jeos, _dílo_, 
   {{0x68ed091f,0x637b009e,0x00000000,0x00000000}},	// [9db0] _ifad, _fînl, --, --, 
   {{0x889c00a7,0x2c1800bd,0x316d0126,0x7bcd0036}},	//   _מבחי, _दिनं_, _soez_, _èaut, 
   {{0x6446a115,0x22590038,0x02a79f76,0xd6d800b3}},	//   _eski, بلاد_, храм, _птю_, 
   {{0x25a01fe0,0x00000000,0x00000000,0x00000000}},	//   cnil_, --, --, --, 
   {{0x2d84a116,0x6f012ca4,0x05b6009c,0x201d0102}},	//   dhme_, _pelc, _شگفت_, uuwi_, 
   {{0x7bdf0518,0x656f02ec,0x3b0506d0,0x248934c4}},	//   _équi, _hoch, xalq_, mzam_, 
   {{0x6372003e,0x61dc07d5,0xb87b010e,0x2489a117}},	//   _vænt, यदृष, gbíz, lzam_, 
   {{0x6f010436,0x7dd5012d,0x11d40038,0x656f2a5a}},	//   _welc, _išsk, _متقد, _joch, 
   {{0x7d02002e,0x6f010369,0x443934c4,0x00000000}},	//   _deos, _telc, _jps_, --, 
   {{0x656fa118,0x24891993,0x67200035,0x69cf0201}},	//   _loch, izam_, _बाइक_, emce, 
   {{0xfaa547fb,0x6a86026d,0x371b00b0,0x257c01d5}},	//   тано, _réfé, _बाड़ी_, _bíll_, 
   {{0x656fa119,0x7d02a11a,0x2d9f0036,0xdc530296}},	//   _noch, _geos, qnue_, _مرتک, 
   {{0xa9a31ab7,0x8ccd0035,0xec6ea11b,0x6d4b00a1}},	//   рияд, देशो, _тп_, _iaga, 
   {{0x6d4ba11c,0x248915f7,0x1ae20885,0x68ed0054}},	//   _haga, dzam_, _кошм, _efad, 
   {{0x656fa11d,0x6d4ba11e,0x66033f88,0xa2d3031e}},	//   _boch, _kaga, ипра, भेम्, 
   {{0x656f0018,0x6d4ba11f,0x4439a120,0x00000000}},	//   _coch, _jaga, _bps_, --, 
   {{0x6d4ba121,0x25a0a122,0xa3d6009a,0x442b0d75}},	// [9dc0] _maga, rnil_, _हळद_, _cqc_, 
   {{0x6d4b357d,0x656f00eb,0x25a0a123,0x645b035f}},	//   _laga, _eoch, snil_, _šuic, 
   {{0x656fa0bd,0xf8bf0107,0x25a01467,0x24890054}},	//   _foch, rgée_, pnil_, azam_, 
   {{0x6d4ba124,0x656fa125,0xa1132daa,0xa3ea0bae}},	//   _naga, _goch, لومت, _одма_, 
   {{0x4034004e,0xdb080098,0x2912011c,0x7d0200c2}},	//   уелс, hodá, _mdya_, _reos, 
   {{0x4420a126,0x656fa127,0x7d02a128,0x6d4ba129}},	//   mui_, _zoch, _seos, _aaga, 
   {{0x4420a12a,0x6d4ba12b,0x26dc026e,0x2d84026a}},	//   lui_, _baga, _úvod_, thme_, 
   {{0x7524a12c,0xdd970161,0x656f82fe,0x44200695}},	//   ngiz, кшы_, _xoch, oui_, 
   {{0x61e900d2,0x4420a12d,0x5c746de5,0x98be031e}},	//   _čeli, nui_, улпт, ětě_, 
   {{0x2d84078e,0x6d4b009f,0x442000a1,0x29124e57}},	//   shme_, _eaga, iui_, _adya_, 
   {{0xdee316d2,0x44200730,0x7d0235ae,0x3f9b026a}},	//   _тохи, hui_, _teos, èque_, 
   {{0x6d4ba12e,0x7dc50d34,0x64440027,0x00000000}},	//   _gaga, rósc, kwii, --, 
   {{0x656fa12f,0x4420a130,0xac070a66,0x257501e8}},	//   _roch, jui_, _анча_, _målt_, 
   {{0x6d40a131,0x4420a132,0x656fa133,0xdb0800de}},	//   lema, dui_, _soch, bodá, 
   {{0x35e402fb,0x44390267,0xda6f048a,0x6d4b01ae}},	//   ицтв, _sps_, _тя_, _yaga, 
   {{0x6d40107d,0x656f00a3,0x68ed0548,0x88c800bc}},	//   nema, _qoch, _ufad, _stěž, 
   {{0x545509d5,0x4420a134,0x656fa135,0xb87b02aa}},	// [9dd0] ыват, gui_, _voch, ecív, 
   {{0x6d400077,0x656f9bbf,0x1b1400cc,0x2489a136}},	//   hema, _woch, ত্রে_, rzam_, 
   {{0x6d40a137,0x656fa138,0x24890035,0x31ae014b}},	//   kema, _toch, szam_, lýzy_, 
   {{0x6d40a139,0x4420a13a,0xf67a00c7,0xb887003e}},	//   jema, bui_, _נארמ, _gríð, 
   {{0x6d4ba13b,0x9487049b,0x44203583,0x6d405f5b}},	//   _raga, _рынд, cui_, dema, 
   {{0x6d4ba13c,0x7dd500e4,0x4395058e,0xdb010032}},	//   _saga, _išsi, _сагс, solú, 
   {{0x43945741,0x16c10299,0x00000000,0x00000000}},	//   _тарс, _एरोब, --, --, 
   {{0x26dc008d,0x00000000,0x00000000,0x00000000}},	//   וקומ, --, --, --, 
   {{0x7bca17c1,0xc6bf00cc,0x6d4ba13d,0xc1a60259}},	//   _bhfu, _আলোচ, _vaga, _сырқ, 
   {{0x9ee900eb,0x6d4ba13e,0x200900e0,0xc0c851f4}},	//   _أفضل_, _waga, šais_, _русе_, 
   {{0x6d4ba13f,0xadf52cdb,0x7dc70019,0x6d40a140}},	//   _taga, _спеш, _műsz, bema, 
   {{0xdb081067,0x2904a141,0x8ed50033,0xa96a05de}},	//   rodá, úma_, _স্থগ, хима_, 
   {{0xd9100019,0x7c640019,0xdb23009c,0xdb08010e}},	//   میں_, _ناول, _نوشی, sodá, 
   {{0x3ced02ee,0x7d09a142,0x4420a143,0xf1c70098}},	//   lcev_, laes, vui_, _šály_, 
   {{0x98a403c0,0x69c400ab,0xdbd1007e,0xf8bf0151}},	//   ımı_, रतदी, _müüj, ffés_, 
   {{0x7d0903ef,0x4420946a,0x3ced02ee,0x00000000}},	//   naes, tui_, ncev_, --, 
   {{0x2618007e,0x53ca42be,0x79840053,0x3942a144}},	// [9de0] बूजी_, егам_, _iliw, meks_, 
   {{0x3942a145,0x4420a146,0x6d40a147,0x7d0939dd}},	//   leks_, rui_, zema, haes, 
   {{0xeb9607f5,0x4420a148,0x7984a149,0x6b7a0070}},	//   נדער_, sui_, _kliw, ערענ, 
   {{0x673b0062,0x394214b9,0x4420a14a,0xd46a3725}},	//   đuje, neks_, pui_, _зиме_, 
   {{0x4420a14b,0x6d40636e,0xe3b10019,0x7984606c}},	//   qui_, vema, صرے_, _mliw, 
   {{0xa2e313e6,0x3942007e,0x798400f8,0x6d40a14c}},	//   _горд, heks_, _lliw, wema, 
   {{0x7984a14d,0x7d090054,0x3942a14e,0x63ab039f}},	//   _oliw, faes, keks_, égne, 
   {{0x53a603ea,0xf657035c,0xdd9000eb,0x7d090175}},	//   _раҳб, רסקי_, توب_, gaes, 
   {{0x6d40a14f,0x3942a150,0xd1b300c5,0x51b900b3}},	//   rema, deks_, _اینک, _рыря_, 
   {{0x6d8703ed,0x6d40a151,0x79843313,0xff24006b}},	//   _añad, sema, _aliw, _خبری, 
   {{0xa49b00a1,0x39e73cd2,0xaace007e,0xfca9009c}},	//   _aeòl, льян_, हेंक, _یاهو_, 
   {{0x9967a152,0xfce64083,0x984b0009,0x394200c2}},	//   утол, _содо, няга_, geks_, 
   {{0xa3e4047c,0xe81c0077,0xa49b0465,0x0c76029a}},	//   _पूल_, भंगा_, _ceòl, _حداد, 
   {{0xead430cd,0x60dd0032,0x31bc00da,0x00000000}},	//   _коль, _úsme, mízu_, --, 
   {{0x5b7b00c7,0x387f0455,0x6b9a12c2,0x6b7b00df}},	//   _ארגא, šur_, mitg, _ארגנ, 
   {{0xa49b01f5,0x79840083,0x00000000,0x00000000}},	//   _feòl, _gliw, --, --, 
   {{0x290b044e,0x33f400eb,0x241813f2,0x3ebe004f}},	// [9df0] maca_, مسلس, лоты_, _lytt_, 
   {{0x290ba153,0x69df024a,0xf3150028,0x98b901dd}},	//   laca_, _hiqe, рджэ, cesā_, 
   {{0x3ebe9240,0xdb08008c,0x69cd0415,0xd6db004f}},	//   _nytt_, lldó, _khae, _яти_, 
   {{0x35470965,0x3135004f,0x6b9a00a3,0x637b107c}},	//   _схов, редр, hitg, _mîni, 
   {{0x3ced008b,0x7d09a154,0xada50032,0x69df0034}},	//   vcev_, vaes, nkúš, _miqe, 
   {{0x88c700cc,0x290ba155,0x3ebe0eca,0x69dfa156}},	//   _এলাক, haca_, _bytt_, _liqe, 
   {{0xd5ae0105,0x277800a7,0x637b009e,0x6b9aa157}},	//   _رہے_, רגון_, _nîni, ditg, 
   {{0x290b044e,0x656d927e,0xed59a158,0xa49b01f5}},	//   jaca_, njah, тои_, _leòm, 
   {{0xe7e105fd,0x0d820100,0xdca513e6,0x3b850c16}},	//   _गंगा_, ільн, рапи, илиг, 
   {{0x637b078a,0xbb22078a,0x69cd0175,0x30840038}},	//   _bîni, şîni, _ahae, _الكف, 
   {{0x39420077,0x49ca1d6b,0x69df0218,0x69cd00a1}},	//   teks_, клон_, _biqe, _bhae, 
   {{0x290ba159,0x69cda15a,0x7f4305a4,0xe9d7373a}},	//   gaca_, _chae, lenq, икэ_, 
   {{0x7dc5118d,0x6b65a15b,0x69dfa15c,0x69cd009c}},	//   lóso, _вкла, _diqe, _dhae, 
   {{0x87b90593,0x394205d2,0x60c9018e,0x7cdb0243}},	//   густ_, seks_, _mzem, _vārī, 
   {{0x290b1021,0x63b70098,0x61e7040c,0x00000000}},	//   baca_, doxn, _nujl, --, 
   {{0x290b2904,0x69cd0084,0x79842f53,0xdb180118}},	//   caca_, _ghae, _uliw, _akvè, 
   {{0xb46635c2,0x1306a15d,0x3f85a15e,0x9f440036}},	// [9e00] шкал, изам, _ollu_, _fumè_, 
   {{0x7bc102f0,0x42562189,0x69dfa15f,0x6e2301d6}},	//   nllu, итет, _éper, kunb, 
   {{0x00e62413,0x171b00c7,0x68e40226,0xc24600f0}},	//   ажен, _בויע, _kgid, рнек, 
   {{0x3160033c,0x3f8502f4,0x7ae301d6,0x6e233f8e}},	//   ñiz_, _allu_, _lgnt, dunb, 
   {{0x60c90035,0x2f1890b6,0x33d6004f,0x3f6a0ca4}},	//   _czem, голь_, _вівт, кидо_, 
   {{0x60c9a160,0x7ae30d07,0x5276022c,0x8fa30a10}},	//   _dzem, _ngnt, _кубу, оаче, 
   {{0x1c18007e,0xe8e000e7,0x6f0a00ef,0x4432a161}},	//   _दिहल_, _muối_, rafc, lty_, 
   {{0xe81700a2,0x290b0bf1,0xad6600eb,0x68e4a162}},	//   _तिला_, xaca_, شابه, _ngid, 
   {{0x290b02f5,0x6b9a040c,0x44321af1,0x7ae3084c}},	//   vaca_, titg, nty_, _bgnt, 
   {{0x4432a163,0x61e0105d,0x290ba164,0xe8e00108}},	//   ity_, _himl, waca_, _nuối_, 
   {{0x4432a165,0x3f9c6d10,0x69cd0149,0x61e018c6}},	//   hty_, mivu_, _phae, _kiml, 
   {{0x44321175,0x60c00088,0x3f9ca166,0x7bc15da1}},	//   kty_, _kymm, livu_, allu, 
   {{0xdbdc00bc,0x2d860226,0x63a5003e,0x63bc0144}},	//   lšíh, _iloe_, ynhn, _okrn, 
   {{0xe8e00029,0x637b0218,0x61e002f1,0x68e4a167}},	//   _cuối_, _tîni, _liml, _egid, 
   {{0x290b003a,0xada50228,0x69cd084c,0x7bdf02a3}},	//   paca_, skúš, _thae, _èqua, 
   {{0x261801a4,0x4432a168,0x69cd02be,0x61e0008a}},	//   _फिरी_, fty_, _uhae, _niml, 
   {{0x799d0415,0x443208b0,0x656da169,0xd83800d3}},	// [9e10] misw, gty_, rjah, _кээ_, 
   {{0x799d01ce,0x8c1b00a7,0x656da16a,0x9f440212}},	//   lisw, כומי, sjah, _fumé_, 
   {{0x60c90105,0x27e9a16b,0x61e90bad,0xd8b800d4}},	//   _szem, _huan_, _čels, _مدیا_, 
   {{0x799d0237,0x27e9a16c,0x3f8502a2,0xdceb007b}},	//   nisw, _kuan_, _sllu_, _imgħ, 
   {{0x27e900b4,0x7bc1a16d,0x6f08a16e,0x3e47010e}},	//   _juan_, yllu, _bedc, _sőt_, 
   {{0x2d865bb1,0x799d0149,0x60c90352,0x7dc5039f}},	//   _aloe_, hisw, _vzem, tóso, 
   {{0x6fcd0187,0x27e9a16f,0x799da170,0x7f4303dd}},	//   júce, _luan_, kisw, renq, 
   {{0x6fcda171,0x518702f1,0x6e230a9f,0x386b0065}},	//   dúce, _туга, runb, kxcr_, 
   {{0x60c0a172,0x799d0364,0x60c92bb6,0xec790080}},	//   _gymm, disw, _uzem, упп_, 
   {{0x5f740084,0x2d86016a,0x61e002c5,0xdca5a173}},	//   _والر, _eloe_, _ziml, _қали, 
   {{0xe9da0021,0x26c1006d,0x2ca900ef,0xdce902c7}},	//   лко_, _nyho_, _žadd_, lječ, 
   {{0x27e92d4c,0x186a6040,0x4432a174,0xe8e00023}},	//   _buan_, гами_, yty_, _suối_, 
   {{0x4432a175,0x3bd5177d,0x27e9a176,0xb6080082}},	//   xty_, _люкс, _cuan_, _mišš, 
   {{0x291ea177,0x27e9a178,0xa8030183,0xcc5600d1}},	//   şta_, _duan_, íñas, _לבני_, 
   {{0xc9f503b1,0xfaa2307c,0x6456006f,0x799da179}},	//   _استع, _нашо, wvyi, bisw, 
   {{0x63bca17a,0x4432a17b,0xb6a30b2d,0x27e900f8}},	//   _skrn, tty_, числ, _fuan_, 
   {{0xd4678c8f,0x1ddf000f,0x27e900e2,0x61e0a17c}},	// [9e20] бите_, _पूछत, _guan_, _riml, 
   {{0x4432a17d,0x64a60a43,0x212d2e9a,0x61e000a3}},	//   rty_, _ҳама, _aceh_, _siml, 
   {{0x4432a17e,0xdb010183,0x06d60033,0x3f8201dd}},	//   sty_, loló, _ত্রি, _ēku_, 
   {{0x4432a17f,0x2c18009a,0x64a6a180,0x3aba0070}},	//   pty_, _दिलं_, _гама, אמענ, 
   {{0xdb01a181,0x3a250d2d,0xb87ba182,0xc01300dd}},	//   noló, hulp_, ncíp, зміщ, 
   {{0xe82000b5,0x4420a183,0xa2c1009a,0x7f580e52}},	//   _बिना_, mri_, _वरच्, ракс_, 
   {{0x528600eb,0xa2480f94,0x4420a184,0x61e024ca}},	//   _الأك, _خیال_, lri_, _timl, 
   {{0x4420a185,0x3f9ca186,0xdb01022e,0xafe600b3}},	//   ori_, sivu_, koló, _гоал, 
   {{0x4420a187,0x3f9c00ca,0x4096007a,0x00000000}},	//   nri_, pivu_, _الذر, --, 
   {{0x4420a188,0xdb010b0f,0x799d00f8,0x27e9a189}},	//   iri_, doló, wisw, _ruan_, 
   {{0x4420a18a,0xed0600d4,0x799d084c,0x7dea0035}},	//   hri_, _هواپ, tisw, _męsk, 
   {{0x27e9a18b,0x8afc0035,0x6fcd020b,0xf96b0080}},	//   _puan_, ejęt, rúce, урой_, 
   {{0x27e9a18c,0x395200a7,0x799d0226,0x8c435754}},	//   _quan_, _days_, risw, _неце, 
   {{0x799d019a,0x27e90034,0x00000000,0x00000000}},	//   sisw, _vuan_, --, --, 
   {{0x4420a18d,0x799da18e,0xaa9400b3,0x7d2501d5}},	//   eri_, pisw, _фийч, _útsý, 
   {{0x27e9a18f,0xe9a42189,0xb8cf0086,0x7df101dd}},	//   _tuan_, _најп, _কর_, _jāsa, 
   {{0x4420a190,0xe8200077,0xdb01a191,0x5399058b}},	// [9e30] gri_, _बिया_, coló, авая_, 
   {{0xdce9027c,0xdb013452,0xdceb0474,0x00000000}},	//   vječ, lolò, _kogă, --, 
   {{0x26c70187,0xd1751820,0xa49b01f5,0x00000000}},	//   _áno_, жылы, _meòi, --, 
   {{0xdce93b0f,0x59c907bd,0xa49b01fd,0xdb016af8}},	//   tječ, रतिर, _leòi, nolò, 
   {{0xa069041d,0xa3d516e1,0x25a9a192,0x777701f2}},	//   рала_, _момч, mnal_, _koxx, 
   {{0xaded190a,0x66fb05d0,0xdce9027c,0xfe70009c}},	//   _चंदन_, ्रिक_, rječ, کده_, 
   {{0x3cdb0081,0xdce90f30,0x877c24ea,0x7df101be}},	//   खेने_, sječ, ראוי, _bāsa, 
   {{0x25a9a193,0x4c8502fb,0x3134122f,0xee3600e4}},	//   nnal_, жлив, _неср, іны_, 
   {{0xa49b01f5,0x50670009,0xdb0103dd,0x39520139}},	//   _beòi, _утва, dolò, _rays_, 
   {{0x645d1a35,0xeb9904f5,0x3952a194,0x25a90098}},	//   _mrsi, рио_, _says_, hnal_, 
   {{0x39520518,0x89aa030f,0x4420a195,0x753d00ab}},	//   _pays_, иков_, zri_, _obsz, 
   {{0x4420a196,0xdb01a197,0x68e900da,0x00000000}},	//   yri_, toló, žedn, --, 
   {{0xcb6903dc,0x777701f2,0xe8e00023,0x25a90098}},	//   _вале_, _boxx, _ruồi_, dnal_, 
   {{0x4420a198,0x661a0377,0x5ed00086,0xc31f0086}},	//   vri_, átko, _স্টে, ন্তি_, 
   {{0xb87b3ba5,0x66e303dc,0x645da199,0xdb01a19a}},	//   scíp, дора, _arsi, soló, 
   {{0x4420a19b,0x2d8da19c,0xdb01022c,0x25a9073a}},	//   tri_, nhee_, colò, gnal_, 
   {{0x4420a19d,0x7d0b006b,0x37760a10,0x00000000}},	// [9e40] uri_, _megs, _дынс, --, 
   {{0x4420a19e,0x2bcf000c,0x7d0b010e,0x645d0604}},	//   rri_, _सीमा, _legs, _drsi, 
   {{0x644f7607,0x44206c2e,0x98b90009,0x645da19f}},	//   _esci, sri_, resą_, _ersi, 
   {{0x4420a1a0,0x637b0474,0x8e200259,0x00000000}},	//   pri_, _sînt, рiн_, --, 
   {{0x69c6a1a1,0x00000000,0x00000000,0x00000000}},	//   ilke, --, --, --, 
   {{0xdfcf0084,0xceb40095,0x2b8003a0,0x637b107c}},	//   نين_, şəm_, _gòch_, _dîns, 
   {{0xa3d71489,0xed50010e,0xa49b01f5,0x00000000}},	//   ागर_, ٹھا_, _reòi, --, 
   {{0x25a0011d,0x61fe0ff2,0xc31f0033,0xa49b01f5}},	//   niil_, mppl, ন্দি_, _seòi, 
   {{0x7d0ba1a2,0x9b6a041d,0x8c430165,0x7d190090}},	//   _degs, ашна_, дење, _ddws, 
   {{0x25a916fb,0x2378a1a3,0x61fe017b,0x69c62506}},	//   znal_, _jorj_, oppl, elke, 
   {{0xa2a011bd,0x1959a1a4,0xdb1a021e,0xdb01022c}},	//   _गेम्, баны_, lotë, tolò, 
   {{0x6fc400b9,0x00000000,0x00000000,0x00000000}},	//   dòci, --, --, --, 
   {{0xb8f302f8,0xdb01022c,0x2480006f,0x7dd50009}},	//   _वर_, rolò, jyim_, _išsp, 
   {{0x6566044d,0x5fca00bc,0x7d0b039b,0x68f600f8}},	//   _ankh, ितिल, _zegs, _efyd, 
   {{0x6933031e,0xdb23008c,0x68f600f8,0x25a000c2}},	//   _přeč, _þrát, _ffyd, fiil_, 
   {{0x48150fa7,0x645da1a5,0xf8bfa1a6,0x356800d3}},	//   _емис, _prsi, ngék_, орун_, 
   {{0x25a9a1a7,0xe8e0001b,0x6fca009a,0x2b8003a0}},	// [9e50] rnal_, _buổi_, ितां, _pòch_, 
   {{0xd25ba1a8,0x645d1993,0xed5902c7,0xf2c7591f}},	//   ице_, _vrsi, može_, осен, 
   {{0x25a000b0,0xed59044e,0x6fc4022c,0x765e011c}},	//   biil_, lože_, còci, _grpy, 
   {{0x2b8006df,0x51840235,0x6d8701d6,0x00000000}},	//   _wòch_, муча, _añan, --, 
   {{0x644fa1a9,0x7d0b018c,0x645da1aa,0x61fe10de}},	//   _usci, _regs, _ursi, appl, 
   {{0x442948c0,0xd34300d6,0x752da1ab,0x2378a192}},	//   mua_, _تفسی, lgaz, _gorj_, 
   {{0x4429a1ac,0xf1a7011f,0x2d8d1a77,0xdb1a019c}},	//   lua_, _дран, thee_, potê, 
   {{0x752d85e5,0x3cf700ab,0xed5933db,0x4429a1ad}},	//   ngaz, ीरें_, kože_, oua_, 
   {{0x1c4216d0,0x5e590296,0x7d0b34cd,0x8c4500b3}},	//   еным, _گلاس_, _vegs, чепе, 
   {{0x7d0ba1ae,0x2d8d5ff3,0x5f9500d7,0xdb1a0542}},	//   _wegs, shee_, _علائ, notè, 
   {{0x44290e0c,0x644d0132,0x00000000,0x00000000}},	//   hua_, hwai, --, --, 
   {{0x4429a1af,0x248002cd,0x66150035,0x290202d9}},	//   kua_, yyim_, dszk, ubka_, 
   {{0x4429a1b0,0xeb8e4648,0x2d9d0199,0x213f00d7}},	//   jua_, _зи_, _imwe_, _mbuh_, 
   {{0x44292213,0x7c290369,0x752d00fd,0x644d0156}},	//   dua_, muer, egaz, dwai, 
   {{0x96632669,0x7c2901c3,0x1c2102e6,0xdb1a0034}},	//   нкре, luer, _मिडल_, zotë, 
   {{0x752da1b1,0x44290053,0x2bcf1489,0x250800d4}},	//   ggaz, fua_, _सीता, ترسی_, 
   {{0x4429a1b2,0x25a002a2,0xd4671853,0x7c29a1b3}},	// [9e60] gua_, riil_, пите_, nuer, 
   {{0x213f17f9,0x25a0a1b4,0x752da1b5,0x00000000}},	//   _abuh_, siil_, agaz, --, 
   {{0x2492006a,0x442900d9,0x248008a1,0x2486020b}},	//   szym_, aua_, syim_, šom_, 
   {{0x73e64316,0x7c29042a,0x4429a1b6,0x7dc50183}},	//   _номз, kuer, bua_, bósi, 
   {{0xe8e00029,0x7dc50068,0xf9930070,0xdb1801d5}},	//   _tuổi_, cósi, ערד_, _skví, 
   {{0xfbc70625,0x7c29a1b7,0x9e060a66,0xa06a00f0}},	//   _ست_, duer, пчил, _қаза_, 
   {{0x67eb003d,0xdef800f0,0x00000000,0x00000000}},	//   _iżje, бық_, --, --, 
   {{0x7c290a22,0x2ca90028,0xdb1a00da,0x32180151}},	//   fuer, _žada_, moté, _ivry_, 
   {{0x7c2904ff,0x9f45009e,0x2c1c009a,0xdb1a0151}},	//   guer, _milê_, _मिळू_, loté, 
   {{0x5ede00cc,0x39403883,0x53be000c,0x2d9da1b8}},	//   নুষে, _abis_, ्तिश, _emwe_, 
   {{0x4429a1b9,0xa3e40f63,0x61eea1ba,0x394000a1}},	//   zua_, _पूछ_, _jubl, _bbis_, 
   {{0xed590076,0x7c29042a,0x63be063b,0xa3d300aa}},	//   tože_, buer, hopn, _हीन_, 
   {{0x7c2915c4,0xc8646274,0x61eea1bb,0x442901f1}},	//   cuer, нтри, _lubl, xua_, 
   {{0x61ee0518,0x4429a1bc,0x38660a1a,0xed590304}},	//   _oubl, vua_, _šorc_, rože_, 
   {{0x7bda008c,0x61eea1bd,0x8b3b00d1,0xc6680267}},	//   mmtu, _nubl, _התוצ, пште_, 
   {{0x4429a1be,0x5574a1bf,0x67eb01f2,0x7bc80a6d}},	//   tua_, нгст, _ażje, lldu, 
   {{0x09c90f01,0x9f450218,0x3f8c03b0,0x798d02dc}},	// [9e70] रतीय, _dilê_, _oldu_, _ilaw, 
   {{0x4429a1c0,0x798d023b,0x61ee014b,0xe9730019}},	//   rua_, _hlaw, _bubl, _آنکھ, 
   {{0x4429a1c1,0x6595212c,0x213f0f45,0x61ee304e}},	//   sua_, _жану, _pbuh_, _cubl, 
   {{0x15f204d7,0xdd860040,0x4429a1c2,0x7dc50b85}},	//   _आंतर_, _شو_, pua_, pósi, 
   {{0x44290141,0x32186972,0xe0d00038,0x798d025b}},	//   qua_, _evry_, هزه_, _mlaw, 
   {{0x798d02bf,0x3f9e0065,0x6f03006d,0x394ba1c3}},	//   _llaw, _cmtu_, ubnc, hecs_, 
   {{0x61ee090b,0x7c290382,0x64420212,0xdb01009e}},	//   _gubl, wuer, çoiv, bilê, 
   {{0x7c297b78,0x3f8c01d6,0xe46a0241,0x7bc81baf}},	//   tuer, _eldu_, ıköğ, eldu, 
   {{0x3201011d,0x39400068,0x61ee0604,0x00000000}},	//   lphy_, _rbis_, _zubl, --, 
   {{0x798da1c4,0x7c29a1c5,0x79867274,0x00000000}},	//   _alaw, ruer, wkkw, --, 
   {{0x7c2926e0,0x394a0a63,0x3201006d,0x798d017c}},	//   suer, озно_, nphy_, _blaw, 
   {{0x7c290327,0x7e7e014e,0x2d9d024d,0xa96a0886}},	//   puer, äppe, _umwe_, цима_, 
   {{0x798da1c6,0xd6fb0299,0xd910010e,0xdb1a009e}},	//   _dlaw, ्रंथ_, نیں_, motî, 
   {{0x8c42196d,0x798d0175,0x61fb0f23,0xa49b01be}},	//   _реше, _elaw, _čuln, _leòs, 
   {{0x37e3a1c7,0xe7375624,0x4ad10ee0,0x798d17e3}},	//   торг, ьер_, _हरिव, _flaw, 
   {{0x61eea1c8,0x9952012d,0xe81700a2,0xed590082}},	//   _rubl, ršų_, _तिचा_, ndž_, 
   {{0x63be008b,0x6fcd0228,0x64a3a1c9,0x69c40548}},	// [9e80] topn, júco, вата, _ikie, 
   {{0x387f0380,0x7dea0028,0x6fcd0032,0x4ad100bd}},	//   äure_, _kęst, dúco, _हराव, 
   {{0xa49b01be,0x7dc5039f,0xdb1a009e,0x00000000}},	//   _beòs, lósu, kotî, --, 
   {{0x2f0a0035,0xed590082,0xdce902d9,0xd46a11cd}},	//   _mógł_, jdž_, ěněn, _диме_, 
   {{0x7bc353e5,0x7bc8008c,0x9f450300,0x69c4a1ca}},	//   _oknu, yldu, _kilè_, _mkie, 
   {{0xdb1a026e,0x61ee00b0,0x9f450118,0x00000000}},	//   poté, _tubl, _jilè_, --, 
   {{0x69c4a1cb,0x61fc044e,0x00000000,0x00000000}},	//   _okie, _utrl, --, --, 
   {{0x29c40183,0x2dd70038,0xdb01043d,0x6e2a0502}},	//   iñas_, وبية_, nnlæ, rufb, 
   {{0x7e87012d,0x20c3766a,0xdb18535f,0xa49b00a1}},	//   _įspū, _айтм, _akvá, _heòr, 
   {{0x69d6016a,0x798da1cc,0x69c4a1cd,0x7bc80248}},	//   _ahye, _slaw, _akie, uldu, 
   {{0xd01300cc,0x798d01c1,0x195930f4,0x394ba1ce}},	//   _সময়_, _plaw, паны_, tecs_, 
   {{0x69d603a0,0x286b00d3,0x7c4702ae,0xbc6a009c}},	//   _chye, орго_, örrå, _ومان_, 
   {{0xd7f8a1cf,0x02ee0299,0x6d97020f,0x6385009e}},	//   дус_, जशाह_, rţat, _jînê, 
   {{0x394b00f6,0x00000000,0x00000000,0x00000000}},	//   secs_, --, --, --, 
   {{0x52bf0a34,0x9f4505d5,0x69c4008a,0x386d020f}},	//   _्रेस, _dilè_, _fkie, ţer_, 
   {{0x58d5a1d0,0x9487005e,0x99990083,0x798d164f}},	//   _пойт, мызд, żyła_, _ulaw, 
   {{0x68ed0068,0x6d420054,0xed5900ca,0x9f4505d5}},	// [9e90] _igad, _mboa, noža_, _filè_, 
   {{0x6d9700d9,0x69dda1d1,0xdb0102c9,0x00000000}},	//   nţar, lmse, anlæ, --, 
   {{0xe1f06564,0x6446040c,0xe7e80083,0x00000000}},	//   لسن_, _epki, _टूटा_, --, 
   {{0x320172b1,0x7dc5a1d2,0xa49b01f5,0xe5071897}},	//   rphy_, nóst, _deòr, _تبدي, 
   {{0x600802c8,0xd0090d83,0x3f69a1d3,0x69dd360a}},	//   днім_, челе_, зило_, imse, 
   {{0x657da1d4,0x7e551a41,0xa49b01fd,0x443900f6}},	//   _hosh, етиц, _feòr, _iqs_, 
   {{0xee390b0c,0x657da1d5,0x23be0cbd,0x7bdf1f2d}},	//   їни_, _kosh, ्तरद, _èqui, 
   {{0x68eda1d6,0x657da1d7,0x63a50e32,0x6d8701f1}},	//   _ngad, _josh, lihn, _iñak, 
   {{0x657da1d8,0xed5907c7,0xdb014ff4,0x6fc4022c}},	//   _mosh, rdž_, lilé, tòct, 
   {{0x69c4a1d9,0x68eda1da,0xa3bf04bd,0x61e9a1db}},	//   _skie, _agad, ँकि_, _hiel, 
   {{0x61e9a1dc,0xa2d300a2,0x60c902a2,0x200d0175}},	//   _kiel, भेच्, _hyem, _hwei_, 
   {{0x657d2d88,0x60c90539,0x61e9025b,0x63a5a1dd}},	//   _nosh, _kyem, _jiel, hihn, 
   {{0x61e9a1de,0xdb080634,0x8c45a1df,0x4439024a}},	//   _miel, godó, _челе, _nqs_, 
   {{0x61e90bc3,0x7c3ba1e0,0x60c902dc,0x6d59a1e1}},	//   _liel, mtur, _myem, _hawa, 
   {{0x657d093e,0x6d594be5,0x69d6024a,0xcb6600c8}},	//   _bosh, _kawa, _thye, _чаще_, 
   {{0x6d5ba1e2,0x6d591191,0x61e9a1e3,0x69c4a1e4}},	//   ndua, _jawa, _niel, _ukie, 
   {{0x6d59a1e5,0x809f072f,0x60c97036,0xa49b0014}},	// [9ea0] _mawa, _खेले, _nyem, _seòr, 
   {{0x2912055a,0x6d5b0065,0x7c3b01d6,0x68ed0035}},	//   _heya_, hdua, itur, _zgad, 
   {{0x61e9a1e6,0x29120026,0x657d024a,0x60c9a1e7}},	//   _biel, _keya_, _fosh, _ayem, 
   {{0x61e9a1e8,0x6d59a1e9,0xc05a21f4,0x5efd00a5}},	//   _ciel, _nawa, зік_, रुस्_, 
   {{0x4fc6638a,0x61e9079d,0x63a502f6,0x7bc1a1ea}},	//   нска, _diel, bihn, kolu, 
   {{0x6d5906e4,0x2912123a,0xa49ba1eb,0x2d8fa1ec}},	//   _aawa, _leya_, _teòr, _alge_, 
   {{0x6d59a1ed,0x657d00cf,0x1dcb1574,0xd04e0095}},	//   _bawa, _yosh, ातंत, _ədəb, 
   {{0x6d596d2a,0x61e9008a,0xdd9773fa,0x7c3ba1ee}},	//   _cawa, _giel, ешь_, ftur, 
   {{0x6d59a1ef,0x7c3b29b7,0x3cdb00b0,0x60c9a1f0}},	//   _dawa, gtur, खेले_, _gyem, 
   {{0x09c909d3,0x61e9a1f1,0x1e960fa7,0xa0a3a1f2}},	//   रत्य, _ziel, _прер, _сауд, 
   {{0x200d02ec,0x0c73017a,0x2912a1f3,0x61e9a1f4}},	//   _zwei_, ندید, _beya_, _čelz, 
   {{0x6d59a1f5,0x67eb00c3,0xec7a00d9,0xdb1a4722}},	//   _gawa, _ażja, _нпе_, motí, 
   {{0x7c3b5528,0x7bc1a1f6,0x69dda1f7,0x2912a1f8}},	//   ctur, bolu, rmse, _deya_, 
   {{0x7bc1002e,0x6d59a1f9,0xdb080083,0x67d51f25}},	//   colu, _zawa, rodó, тогу, 
   {{0x6d594734,0xdb1a0161,0x8624a1fa,0xa2a000a2}},	//   _yawa, notí, льте, _गेल्, 
   {{0x657d5874,0xdb01a1fb,0x6285014b,0x68eda1fc}},	//   _qosh, vilé, vyho, _ugad, 
   {{0x61e9a1fd,0x63a5457c,0x161d0466,0x9327009c}},	// [9eb0] _riel, tihn, _फिकर_, فران, 
   {{0x61e9a1fe,0x628500da,0x60c90610,0x657d0027}},	//   _siel, tyho, _ryem, _wosh, 
   {{0x61e9a1ff,0x657d0104,0xdb180219,0x60c9134a}},	//   _piel, _tosh, _ikvä, _syem, 
   {{0x63a51630,0x1c2105d2,0x61e9024a,0x6285a200}},	//   sihn, _मिलल_, _qiel, ryho, 
   {{0x61e9a201,0x6d59a202,0x29d900eb,0xdce90e67}},	//   _viel, _rawa, méad_, mjeć, 
   {{0x61e9a203,0x6d593f82,0xdce90f30,0xbea51cca}},	//   _wiel, _sawa, ljeć, калк, 
   {{0x4429a204,0x61e9a205,0xdb01010c,0x00000000}},	//   lra_, _tiel, filî, --, 
   {{0x7c3b3833,0x4429a206,0x6d590065,0x8d65093d}},	//   ttur, ora_, _qawa, твие, 
   {{0x4429a207,0x7bc1a208,0x6d5b8b30,0x200d0065}},	//   nra_, tolu, rdua, _uwei_, 
   {{0x4429a209,0x6d59a20a,0x61fb0242,0x2912983a}},	//   ira_, _wawa, _čulj, _seya_, 
   {{0x09d6100b,0x6d59a20b,0x7bc1a20c,0x316d032f}},	//   _সংবা, _tawa, rolu, _knez_, 
   {{0x4429a20d,0x7bc1a20e,0x7c3b3ced,0x6d4b0098}},	//   kra_, solu, ptur, ínač, 
   {{0x29120792,0x4429a20f,0xdce9053d,0x7bc1a210}},	//   _veya_, jra_, djeć, polu, 
   {{0x4429a211,0x70130086,0x7c292379,0x317f0237}},	//   dra_, _সমাজ_, mrer, _louz_, 
   {{0x4429a212,0x65b30529,0xdb0102ae,0x316d01cf}},	//   era_, għho, rnlä, _onez_, 
   {{0x7d096a28,0x89361c8f,0xf8663dc8,0x7c292259}},	//   nbes, _شعبا, _авио, orer, 
   {{0x4429a213,0x28de047c,0xd7060141,0x5fc102ff}},	// [9ec0] gra_, नेशि, _изпи, शकाल, 
   {{0x0686a214,0x316d0175,0x8cd602e6,0x13be0299}},	//   _агон, _anez_, मेटो, ्तेभ, 
   {{0x4429a215,0x7c2902f2,0xdce9027c,0x7d0915e9}},	//   ara_, hrer, bjeć, kbes, 
   {{0x29d900eb,0x6fcd007a,0x7dcc010c,0x7c29447c}},	//   céad_, lúch, rûsk, krer, 
   {{0x7d09a216,0x317f0300,0x00000000,0x00000000}},	//   dbes, _douz_, --, --, 
   {{0x5ead00cc,0x7c2942c9,0xce6a3d34,0x7d09a217}},	//   য়েছে, drer, дрид_, ebes, 
   {{0x53a341d3,0x7c29a218,0xf3f40086,0x7d097de4}},	//   _тарб, erer, _ছবির_, fbes, 
   {{0x6ce61222,0x7d09a219,0x7c29019c,0x5d5411d2}},	//   кіпе, gbes, frer, укит, 
   {{0xc045024f,0x7c29a21a,0x395b01ff,0x00000000}},	//   _مخلو, grer, _raqs_, --, 
   {{0xf4130056,0x200602f6,0xd00700b3,0x4a541d02}},	//   ספת_, mpoi_, _рефе_, гкос, 
   {{0xc333864b,0x4429a21b,0x7d09a21c,0x290404a8}},	//   בות_, zra_, bbes, ıman_, 
   {{0x7c29a21d,0x6f1802ee,0x4429357d,0xac73009c}},	//   brer, lavc, yra_, _چاوش, 
   {{0x4429007b,0xe9df0068,0xdce9056e,0x7c291535}},	//   xra_, rmú_, vjeć, crer, 
   {{0x4429a21e,0x6018007a,0xe9df020b,0x00000000}},	//   vra_, _zúmá, smú_, --, 
   {{0xb8ca04b7,0x4429a21f,0x2bb100a2,0x2b920296}},	//   _गे_, wra_, ीकरा, _میکس, 
   {{0x44296975,0xdcfb090e,0x2b5c00ca,0xe5b4013e}},	//   tra_, rkuć, _havc_, айсы, 
   {{0x2919a220,0x6f180d26,0xdcfb034c,0x317fa221}},	// [9ed0] masa_, kavc, skuć, _rouz_, 
   {{0xdce90f30,0x17550093,0x6fcd0126,0x7dc5001d}},	//   sjeć, _своя, cúch, hósp, 
   {{0x4429a222,0x6f18044e,0x2919020f,0x29d9007a}},	//   sra_, davc, oasa_, péad_, 
   {{0x4429a223,0x2919a224,0x673b0112,0x32647ebd}},	//   pra_, nasa_, đuju, штув, 
   {{0x4429003d,0x6fcda225,0x656fa226,0x2919a227}},	//   qra_, lúci, _inch, iasa_, 
   {{0x29191630,0x2489023b,0x2d82a228,0x7d0901d2}},	//   hasa_, myam_, öken_, wbes, 
   {{0x29198f83,0x290b016a,0x2489010e,0x6ad100bd}},	//   kasa_, kbca_, lyam_, _हरेर, 
   {{0x7c29a229,0x291905ae,0xf8d300bd,0x29d90096}},	//   trer, jasa_, _सरूप, héab_, 
   {{0x6f1800d2,0x2919a22a,0x1be97037,0x6d95010e}},	//   bavc, dasa_, ндии_, _ráad, 
   {{0x7c29690b,0x6fcd0032,0x61f5040c,0x00000000}},	//   rrer, kúci, _kuzl, --, 
   {{0x6fcd0187,0x656f2ab5,0x25a923f2,0x7d0901da}},	//   júci, _onch, kial_, pbes, 
   {{0x29191aba,0x7c29a22b,0x248902a5,0x9f450098}},	//   gasa_, prer, kyam_, _milí_, 
   {{0x9b452ee1,0x2489023b,0x31560070,0xbb45a22c}},	//   _منشو, jyam_, נישן_, _белк, 
   {{0x656f0e8b,0x29190102,0x2d8d00c8,0x2b5c039b}},	//   _anch, aasa_, lkee_, _gavc_, 
   {{0x2919a22d,0x9f4c009e,0x6fcd007a,0x00000000}},	//   basa_, _bidê_, rúch, --, 
   {{0x6f18044e,0x6fc5009a,0xdb1a00da,0x6fcd007a}},	//   zavc, ाकडू, motá, súch, 
   {{0x69c6a22e,0x2bf600c7,0x44660504,0xb466a22f}},	// [9ee0] moke, ָמען_, ывав, ыкал, 
   {{0x69c6a230,0xe29a0cfe,0x69df02a3,0x6fcda231}},	//   loke, наз_, _èper, búci, 
   {{0x201f0161,0x35a6a232,0xb2260009,0x673b0613}},	//   _avui_, _банг, умел, đujt, 
   {{0x25a92af1,0x05560f91,0x2489023b,0xf67b0070}},	//   cial_, _стоя, byam_, _נאכמ, 
   {{0xdefa0df8,0x6f188046,0xa067a233,0xe4758c2f}},	//   ный_, tavc, лаца_, _курэ, 
   {{0x69c6a234,0x4432879e,0xdb1a010e,0xcf260038}},	//   hoke, muy_, kotá, ارشي, 
   {{0x443211e9,0x69c6a235,0x2919a236,0x6f180ed0}},	//   luy_, koke, yasa_, ravc, 
   {{0x69c6a237,0x6f18a238,0xdb0802aa,0x99420083}},	//   joke, savc, cidê, _cóż_, 
   {{0x6f18a239,0x61e202f1,0x69c6a23a,0x443200b9}},	//   pavc, mmol, doke, nuy_, 
   {{0x40930084,0xdeb0005e,0x25a9a23b,0xc43b00d1}},	//   _الكر, _құқы, zial_, עתיי, 
   {{0x69c6a23c,0x4432a23d,0xc33300d1,0x00000000}},	//   foke, huy_, זות_, --, 
   {{0x44320574,0xdb0102aa,0x61e20615,0x24890eb6}},	//   kuy_, gilâ, nmol, yyam_, 
   {{0x2919a23e,0x44320369,0xdca328f0,0xdb1a00f6}},	//   rasa_, juy_, _лаци, potà, 
   {{0x4432a23f,0x29199b84,0x6fcd0228,0x61e23500}},	//   duy_, sasa_, túci, hmol, 
   {{0x69c6a240,0x25a9a241,0x6d8701d6,0x5694a242}},	//   boke, tial_, _eñau, барт, 
   {{0x5558013d,0x24894de8,0xdb0300b9,0x56943a87}},	//   лася_, tyam_, _amnè, щаст, 
   {{0xdb080165,0x39490126,0xe31508bd,0x00000000}},	// [9ef0] vidê, _ibas_, имањ, --, 
   {{0x25a9a243,0x4ad800a5,0x61e25053,0x386902be}},	//   sial_, _डराव, emol, _irar_, 
   {{0x7ceb0019,0xd2510ce0,0x2489030c,0x200400e2}},	//   _körü, تنا_, syam_, _atmi_, 
   {{0x656fa244,0x4432a245,0x3d0e00ab,0xdb010369}},	//   _unch, buy_, सरों_, vilí, 
   {{0x65360137,0xf3ff0165,0x3949024a,0xf4870e65}},	//   _דארף_, _irão_, _mbas_, _сунн, 
   {{0x61f5a246,0xdb01a247,0xdb0802a0,0x61e208b8}},	//   _tuzl, tilí, sidê, amol, 
   {{0xed59a248,0xb3c80235,0x4ea71bb9,0x2d95a249}},	//   вой_, _слёз_, ырда, ирис, 
   {{0x9c2502f1,0x386957d5,0x9f4c0300,0x2d8da24a}},	//   адид, _orar_, _lidè_, ukee_, 
   {{0x69c6a24b,0xff25009c,0xdb01a24c,0x637b009e}},	//   voke, _نبای, silí, _sîny, 
   {{0x4a45a24d,0x257c00bc,0x3949a24e,0x2d8da24f}},	//   анов, _díly_, _abas_, skee_, 
   {{0xa2cb3e0a,0x69c6a250,0x2fc7a251,0xe9daa252}},	//   _तुम्, toke, mong_, кко_, 
   {{0x7de7004e,0x394900a1,0x2fc7a253,0xede701ff}},	//   _сізд, _cbas_, long_, _сўзн, 
   {{0x69c6a254,0xa2a758c4,0xeb8ea255,0x7d1ba256}},	//   roke, _टेस्, _ди_, maus, 
   {{0x7d1ba257,0x2fc7a258,0x38690f5b,0x69c6a259}},	//   laus, nong_, _drar_, soke, 
   {{0x66e6a25a,0x69c60010,0x6b83518d,0x9f45022c}},	//   рова, poke, _iong, _milà_, 
   {{0x7ceb0fa3,0x2fc7a25b,0x6b83a25c,0x7d1ba25d}},	//   _görü, hong_, _hong, naus, 
   {{0x6b83a25e,0x2fc7a25f,0x7536a260,0xd6d90035}},	// [9f00] _kong, kong_, rgyz, ęła_, 
   {{0x6b83a261,0xb6a6062a,0x2fc73f39,0x4432002c}},	//   _jong, _виол, jong_, ruy_, 
   {{0x6b83a262,0x2fc73df7,0x7d1ba263,0xf3c92751}},	//   _mong, dong_, kaus, ابقه_, 
   {{0x7d1b1838,0x614637c1,0xd00a1fde,0x6b830c04}},	//   jaus, реда, веде_, _long, 
   {{0x61e2003d,0x2fc7084c,0x7984045a,0x7d1ba264}},	//   rmol, fong_, _moiw, daus, 
   {{0x2fc7a265,0x4420424e,0x6b83a266,0x799602bf}},	//   gong_, msi_, _nong, _llyw, 
   {{0xf8d317f6,0x91e602a0,0x6d470082,0x257c02d9}},	//   _सर्प, _вове, đjan, _síly_, 
   {{0x442016d0,0x6b834919,0x4422a267,0x3006004f}},	//   osi_, _aong, _kvk_, _взаг, 
   {{0x6b83a268,0x2fc7a269,0x9f4c031e,0x9b4407cf}},	//   _bong, bong_, _lidé_, منظو, 
   {{0x4420a26a,0xbea60769,0x2fc7a26b,0x23c60b3e}},	//   isi_, _казк, cong_, वविद, 
   {{0x6b83a26c,0x7d1b4c9b,0xdd8f0148,0x79960326}},	//   _dong, baus, _дш_, _blyw, 
   {{0x4420a26d,0x8c46648c,0x7d1b0056,0x4422a26e}},	//   ksi_, _веде, caus, _ovk_, 
   {{0xfce60925,0x6b83a26f,0x4420a270,0x23c602e6}},	//   _тодо, _fong, jsi_, ववाद, 
   {{0x8c1b035c,0x6b8300fc,0x395f2409,0x779300d7}},	//   _יודי, _gong, žus_, زیجا, 
   {{0x7c223141,0x7bc83497,0x61410019,0x4420a271}},	//   _hvor, modu, náló, esi_, 
   {{0x4420086d,0x6b83a272,0x391539f7,0x44f55013}},	//   fsi_, _zong, _умир, спас, 
   {{0x2fc7a265,0xe4e702fb,0x6b830199,0x98b901dd}},	// [9f10] yong_, рівн, _yong, resē_, 
   {{0x7bc8a273,0x4735a0b3,0x7d1b1104,0xdb080151}},	//   nodu, _унос, zaus, fidé, 
   {{0x4420a274,0xdb010b48,0x00000000,0x00000000}},	//   asi_, rnlø, --, --, 
   {{0x4420a275,0x2fc7066f,0xdb0803a1,0xf650006b}},	//   bsi_, wong_, sidè, _کئی_, 
   {{0x4420a276,0x2fc73fcd,0x557600c7,0xe82000a5}},	//   csi_, tong_, _הערן_, _बिछा_, 
   {{0x645da277,0x7d0206f0,0x7c200604,0x7d1b018e}},	//   _issi, _afos, dsmr, waus, 
   {{0x22950084,0x7c22a278,0x1ec90088,0x7d1ba279}},	//   _الأس, _avor, ылки_, taus, 
   {{0x6b83a27a,0x56b800a7,0x2fc7a27b,0x43950200}},	//   _song, יפון_, song_, _таҳс, 
   {{0x6b83a27c,0x2fc7a27d,0x7d1b115b,0xbb4514c1}},	//   _pong, pong_, raus, бепк, 
   {{0x7c2249f8,0x6b9a0300,0x7bc8090e,0x7d1ba27e}},	//   _dvor, ghtg, godu, saus, 
   {{0x6b83a27f,0x39ea03a1,0x645da280,0x4420010e}},	//   _vong, лдоо_, _lssi, zsi_, 
   {{0x4420a281,0x645d741d,0x6b8320a9,0x2cbd006d}},	//   ysi_, _ossi, _wong, _txwd_, 
   {{0x8d5a00a7,0x44200095,0x6b83a282,0x31560070}},	//   _תכני, xsi_, _tong, זירן_, 
   {{0x6b830010,0x6b9a6075,0x649a004e,0x60db095a}},	//   _uong, chtg, ңтар_, _mzum, 
   {{0x645d1bc6,0x7c222f6f,0xdb1a0038,0x644f01dd}},	//   _assi, _zvor, altó, _apci, 
   {{0x4420a283,0xe5a34f57,0x7d190118,0x44220027}},	//   tsi_, писи, _jews, _pvk_, 
   {{0x7b06006b,0x4420a284,0x0326a285,0x07a600a3}},	// [9f20] _érté, usi_, йдан, _гапн, 
   {{0x4420a286,0x44222afd,0xdb080212,0x3f850241}},	//   rsi_, _vvk_, tidé, _nolu_, 
   {{0x645da287,0x644f0126,0x9f4c010c,0x4fea00f0}},	//   _essi, _epci, _bidî_, ңмен_, 
   {{0xf1a502fb,0x7bc8a288,0x7d191357,0x765e008a}},	//   орін, zodu, _news, _ispy, 
   {{0x4420a289,0x29d9033e,0x8f8400a3,0x3f85a236}},	//   qsi_, kéan_, оқал, _bolu_, 
   {{0x60db02fe,0xd8d700c7,0x3f850372,0x6d4b0380}},	//   _dzum, זונט_, _colu_, _abga, 
   {{0x3f85035d,0x7c22a28a,0xe29aa28b,0x644400c8}},	//   _dolu_, _svor, _сав_, ltii, 
   {{0x6564719a,0xdd976163,0x6143a28c,0x2bd00f6f}},	//   ndih, йшы_, _неса, हत्थ, 
   {{0x91e30650,0x6444a28d,0x3f8500ef,0x7d190218}},	//   _хоте, ntii, _folu_, _dews, 
   {{0x69df00e5,0x3f85032f,0x290200ab,0x29d9a28e}},	//   _shqe, _golu_, ecka_, géan_, 
   {{0x64d500a5,0x644400c8,0x1e9600d9,0x6d9c0151}},	//   _दर्श, htii, _урар, _réaf, 
   {{0x7c220098,0x64441eab,0x7bc8a28f,0x65640604}},	//   _tvor, ktii, sodu, jdih, 
   {{0x399b01ee,0xa3d8188d,0x3f850092,0x7c2200ef}},	//   _nëse_, ाता_, _yolu_, _uvor, 
   {{0x0a941222,0x645d0036,0x68f60608,0xdb010098}},	//   _малю, _rssi, _egyd, pilá, 
   {{0xa14300e0,0xd6d90083,0x60cd0243,0x00000000}},	//   šķir, ęło_, ļami, --, 
   {{0x95cb0161,0x6d9c007a,0x69cda290,0x00000000}},	//   ууга_, _déag, _ukae, --, 
   {{0x5fba3081,0x644407fc,0x765e05d5,0x49b83d66}},	// [9f30] ेवाल, gtii, _espy, _داود_, 
   {{0x6f1aa291,0xed590144,0x2d8600a1,0x6d9c00e1}},	//   _netc, roži_, _looe_, _héad, 
   {{0xd6d900d4,0x72b90038,0xdb0102c9,0x6444a292}},	//   _خودش_, جهاز_, bilæ, atii, 
   {{0x2d860226,0x644401a4,0x8f6a010e,0x00000000}},	//   _nooe_, btii, یلنے_, --, 
   {{0x6d9c00eb,0xaacf0484,0x644400d9,0x4acf0d0d}},	//   _méad, _सुनक, ctii, _सुनव, 
   {{0x3f6901a2,0x6d4b0ab1,0x7a010243,0xf402107c}},	//   рико_, _sbga, _lēta, _duţă_, 
   {{0x2902014e,0xfebb11b7,0x6234a293,0xdee200b3}},	//   ycka_, داشت_, _неру, моши, 
   {{0x7dc50019,0x236348aa,0x6f1a01d2,0x3f8500d7}},	//   lósz, _hajj_, _eetc, _wolu_, 
   {{0xa2b90190,0x60dba294,0xb4db00a1,0x6d4b0237}},	//   ्थव्, _uzum, _ucàd, _vbga, 
   {{0x3a2509e4,0xaba90258,0xb4db00a1,0x0a490080}},	//   омог, рвоз_, _gcàe, азой_, 
   {{0x2fc0007a,0x00000000,0x00000000,0x00000000}},	//   éige_, --, --, --, 
   {{0x6d9c37b3,0x644400c8,0x684600a3,0xbc75029a}},	//   _réag, ytii, онма, _وهاب, 
   {{0xe45f0df8,0x65642725,0x6d9c0354,0x00000000}},	//   _myös_, vdih, _déad, --, 
   {{0x1af30033,0x6d49007a,0x6d9c0212,0x7dde021e}},	//   _আজকে_, lfea, _péag, rëse, 
   {{0xba7700c5,0xb8d10773,0x6d9c00eb,0xd94602f1}},	//   _داشت, _टे_, _féad, _дейи, 
   {{0x6444030f,0x29d90038,0xdcfb090e,0x6d493afc}},	//   ttii, néal_, kjuč, nfea, 
   {{0x92d600cc,0xd4673065,0x2eb616df,0x6d49161c}},	// [9f40] _হলে_, оите_, _अख्त, ifea, 
   {{0x213f02cd,0x6444a295,0x3860003d,0xdb03001d}},	//   _acuh_, rtii, _isir_, _omní, 
   {{0x6444a296,0x66e61193,0xe45f1279,0x00000000}},	//   stii, _фона, _syöt_, --, 
   {{0x6f1a0293,0x6444a297,0x3860008a,0x00000000}},	//   _setc, ptii, _ksir_, --, 
   {{0xe056024f,0x29d90038,0x6f1aa298,0x25a51106}},	//   تخاب, déal_, _petc, ëlle_, 
   {{0x44320156,0x9e062dd2,0x394000a1,0x6d490604}},	//   mry_, очил, _lcis_, efea, 
   {{0xdd9a03ea,0x4432a299,0x3860008a,0x59bc75c2}},	//   иши_, lry_, _lsir_, ोकार, 
   {{0xed5913b0,0x4432a29a,0x127b0070,0xe45f0080}},	//   kožu_, ory_, _דאלע, _työt_, 
   {{0x6d9c0038,0x61fca29b,0x386001f2,0x00000000}},	//   _réad, _hurl, _nsir_, --, 
   {{0x0b8aa29c,0x44320640,0xa0a400f0,0x394001dd}},	//   рсии_, iry_, _дағд, _acis_, 
   {{0x9d46495e,0x4432014b,0x61fc00ca,0x2d860226}},	//   _межд, hry_, _jurl, _tooe_, 
   {{0x4432018c,0x31669b69,0x61fc163c,0x29d9007a}},	//   kry_, ndoz_, _murl, céal_, 
   {{0x92d600cc,0x9f4c031e,0xdce90e67,0x31640054}},	//   _হলো_, _lidí_, bjeđ, _mamz_, 
   {{0x44320db7,0xb4db01be,0x61fc1ea1,0xdceb0243}},	//   dry_, _mbàt, _ourl, _ungā, 
   {{0x61fc0567,0x99d7031b,0x675700d7,0x67d4a29d}},	//   _nurl, _وتعا, میکس_, фору, 
   {{0x394007d7,0x443217dc,0x6d9c0175,0x3915a29e}},	//   _gcis_, fry_, _héab, _эмир, 
   {{0xb9c40084,0x6fca047c,0x3959a29f,0x94740038}},	// [9f50] _تقيي, ाकां, mess_, ودكا, 
   {{0x3959a2a0,0x26c1006d,0xef1f0035,0x67e00080}},	//   less_, _txho_, ążka_, töje, 
   {{0x4432a2a1,0xe7f900a2,0x46d20b20,0xd175001c}},	//   ary_, ंदवा_, _दुपह, зылы, 
   {{0x39595dc1,0xe1f8a2a2,0x44321763,0x6fd60212}},	//   ness_, ігі_, bry_, lâch, 
   {{0xa069a2a3,0xa2cb1faf,0xf9940486,0x8caa017d}},	//   сала_, _तुर्, ורף_, _जेलो, 
   {{0x23fa00a7,0xa3d3009a,0xf83807e4,0x00000000}},	//   _להשא, _हीच_, קנות_, --, 
   {{0x61fca2a4,0xc7b400a7,0xa3d807d5,0xfe570019}},	//   _gurl, ובס_, ातर_, تیاب_, 
   {{0xac8508ac,0x4c8505ef,0x673c0372,0xc177039f}},	//   згил, злив, zgrj, _بدست, 
   {{0x29d9a2a5,0x2bc735a4,0x6d490038,0xe29900f0}},	//   réal_, रकला, rfea, _таң_, 
   {{0x290d01ca,0xeb990267,0x39590175,0x61fc039b}},	//   ñean_, сио_, eess_, _yurl, 
   {{0x8a05012d,0xdb081c62,0xa96a1b3d,0x3860003d}},	//   язне, cidí, бина_, _ssir_, 
   {{0x764702c9,0xc7a900d1,0x499a19fe,0x29d9011c}},	//   dtjy, _גב_, стоя_, béam_, 
   {{0xdb010080,0x1a65009c,0x7ce601ff,0x2d9f0210}},	//   tilä, زیکی_, lаrn, mhue_, 
   {{0xfaa563c7,0x4432a2a6,0xed5971f3,0x377500f0}},	//   _нало, vry_, lež_, мысс, 
   {{0x70b812e3,0xa2cb00bc,0xa5960093,0xe3c30033}},	//   _अश्ल, _तुल्, пращ, ্গাব, 
   {{0xf99fa2a7,0x3959a2a8,0x4432a2a9,0x394000b3}},	//   chè_, cess_, try_, _ucis_, 
   {{0x44320364,0xb6020183,0x5fcb0ed5,0x4acf01a4}},	// [9f60] ury_, ñába, िवाल, _सुतव, 
   {{0x443278c7,0xe7f93e41,0x61fca2aa,0xb7f90299}},	//   rry_, ंदरा_, _purl, ंदरम_, 
   {{0xe7170056,0xf8a900d4,0xdb0802aa,0xaf6400d9}},	//   _מחיר_, _هدیه_, lidã, _хеyд, 
   {{0xc69307f5,0xdb0831c7,0x9f4c014b,0x0f140fcf}},	//   _נאר_, vidí, _vidí_, डर्स_, 
   {{0xa304004e,0xed595402,0x6d9c007a,0x3166a2ab}},	//   _жүзе, dež_, _léac, rdoz_, 
   {{0x61fc00cf,0xa2a75582,0x8fa34dc2,0xae0026d4}},	//   _turl, _टेक्, наче, _लंदन_, 
   {{0x65660532,0x9f4400e9,0x6d9c0038,0x63ae008a}},	//   _kakh, _sumó_, _réab, _imbn, 
   {{0x2d9f8aa5,0x25a0016a,0x7a0101dd,0x6566040b}},	//   ghue_, nhil_, _pētn, _jakh, 
   {{0x65662e9e,0xdb0826ca,0x63ae011c,0xf0440499}},	//   _makh, sidí, _kmbn, _تعزی, 
   {{0x6566a2ac,0x3d0800b0,0x25bf10d4,0x0ea700c9}},	//   _lakh, _सभके_, čuli_, _केकड, 
   {{0x39590405,0x25a003bc,0xfbab0035,0x6d9c0534}},	//   tess_, khil_, टोधम, _céac, 
   {{0x6566a2ad,0xada3286c,0x6d9c0534,0x00000000}},	//   _nakh, _пахл, _déac, --, 
   {{0x3959a2ae,0x25a0a2af,0x6d4200b3,0xf3ff0023}},	//   ress_, dhil_, _icoa, _trãi_, 
   {{0x6d9c0084,0x39597928,0xe7844eb1,0xc7bb0cfe}},	//   _féac, sess_, нусо, сём_, 
   {{0x6566a2b0,0x45d58979,0x1db009ef,0x00000000}},	//   _bakh, довс, _जगात, --, 
   {{0xdb08022c,0x98b901dd,0x941900a3,0xcad700d1}},	//   lidà, nesī_, жжат_, _מוות_, 
   {{0x69cf014b,0x7a0800bc,0x764702c9,0x4cca0033}},	// [9f70] moce, _děte, stjy, াইকু, 
   {{0x889c00d1,0x00000000,0x00000000,0x00000000}},	//   _לבחי, --, --, --, 
   {{0xdb1a0034,0x6b8a00a1,0x00000000,0x00000000}},	//   entë, _mofg, --, --, 
   {{0x25a0a2b1,0x69cf40bd,0xc2c4007a,0x00000000}},	//   chil_, noce, ريني, --, 
   {{0x1b220086,0x23780613,0x0f7301a2,0x00000000}},	//   _মানে_, _fnrj_, нғар, --, 
   {{0x65664b7a,0x443b1530,0x69cf00de,0x00000000}},	//   _zakh, muq_, hoce, --, 
   {{0x6566044d,0x443ba2b2,0x69cfa2b3,0xed59203b}},	//   _yakh, luq_, koce, tež_, 
   {{0x6d9c026a,0x962701dd,0xaad000c9,0x7c950f81}},	//   _réac, _ieņē, _हड़क, дроц, 
   {{0xcc89009c,0x3f8102ae,0x1c420080,0x16040110}},	//   زنده_, öhus_, вным, _शंभर_, 
   {{0x7d03010e,0xdb08019c,0x200d00a1,0x6b8a0090}},	//   _bíró, vidã, _itei_, _cofg, 
   {{0x52db3375,0x7e7e014e,0xed592645,0x0dcb0d5c}},	//   _भरोस, äppt, pež_, _луди_, 
   {{0x69cfa2b4,0xdb0802aa,0x2d82a2b5,0x7c2e0243}},	//   goce, tidã, öket_, ņbra, 
   {{0x6566a2b6,0xa3bf2191,0x6d5b0548,0x23bf1507}},	//   _rakh, ुका_, meua, ्वाद, 
   {{0x6d9c00eb,0x6d5ba2b7,0x6566531d,0x2480006d}},	//   _téac, leua, _sakh, vxim_, 
   {{0x25a023ae,0x65660727,0xd5b20038,0x29090126}},	//   thil_, _pakh, نفس_, _ffaa_, 
   {{0xdb1a0107,0x212d0054,0xdb0802be,0x6d5ba2b8}},	//   entè, _ndeh_, pidã, neua, 
   {{0xdb08a2b9,0x65660626,0xb9b30038,0x70dc0035}},	// [9f80] lidá, _vakh, _جميع, _बरेल, 
   {{0x61b81e25,0x65660204,0x212d0065,0x25a03db2}},	//   ेक्ष, _wakh, _adeh_, shil_, 
   {{0x35a6766a,0x6566a2ba,0x7c3ba2bb,0x66e7539f}},	//   _жанг, _takh, huur, réké, 
   {{0xe0da9a33,0xdb080054,0x7c3b14c0,0x00000000}},	//   ове_, zidà, kuur, --, 
   {{0x4fc62f2f,0x7524a2bc,0x9fca00c8,0x7c3b3d00}},	//   мска, maiz, огда_, juur, 
   {{0x09bb2158,0x6d42002e,0x7c3ba2bd,0x69cf0352}},	//   _उद्य, _scoa, duur, zoce, 
   {{0x9f4c0183,0x224700d9,0xa3da00c9,0x00000000}},	//   _cidá_, _опри_, _डीए_, --, 
   {{0x717609e8,0x75243b85,0x661a0032,0x6b8a0118}},	//   _تهرا, naiz, átky, _sofg, 
   {{0xe0433613,0x69cfa2be,0x7c3b3b0c,0x00000000}},	//   _инти, voce, guur, --, 
   {{0x752400a9,0x547b0070,0x2d9d3e7d,0x7e7e02ae}},	//   haiz, קטיו, _elwe_, äpps, 
   {{0x69cf9ada,0xa3e6072f,0xd33700a7,0x75240180}},	//   toce, _पठन_, וריה_, kaiz, 
   {{0x38720eca,0x7c3b064e,0x752400ef,0x2b9b009e}},	//   _bryr_, buur, jaiz, _vêca_, 
   {{0x3f8ca2bf,0xc3240086,0x7dde024a,0x4ba600d3}},	//   _kodu_, _পানি_, lëso, _жөнү_, 
   {{0xeaaf0399,0xac9700c5,0x36d52631,0xd90f11b7}},	//   اعی_, _تنها_, еогр, دیک_, 
   {{0x3f8ca2c0,0xdce2053d,0x9f450183,0x75240379}},	//   _modu_, _maoč, _pilú_, faiz, 
   {{0x7bdaa2c1,0x693600bc,0x752401d6,0x00000000}},	//   lltu, _přež, gaiz, --, 
   {{0x3375a2c2,0xdb1a0212,0x7dde0034,0x65950176}},	// [9f90] нгар, enté, hëso, _ҷану, 
   {{0xdce20519,0x7dde024a,0x443ba2c3,0xc7c7017b}},	//   _naoč, këso, ruq_, _іспи, 
   {{0x443b8076,0xaad400a5,0xe3c30086,0x7524a2c4}},	//   suq_, _ठुमक, ্গলব, baiz, 
   {{0x59f907f5,0x3f9e45e8,0x00000000,0x00000000}},	//   פּעד, _altu_, --, --, 
   {{0x443b8b5e,0x3f8c014b,0x00000000,0x00000000}},	//   quq_, _bodu_, --, --, 
   {{0x28b2017d,0xdee5181b,0x6d4001da,0x63b102d9}},	//   ीपति, ноли, egma, édně, 
   {{0xdb080165,0x533402a6,0x02c301a4,0x6d8700b4}},	//   xidá, _јест, _शशिभ, _iñaz, 
   {{0x6d40a2c5,0x212d02a2,0xd1382024,0x7bda02b0}},	//   ggma, _udeh_, _оху_, eltu, 
   {{0x4429a2c6,0x00000000,0x00000000,0x00000000}},	//   nsa_, --, --, --, 
   {{0x4429a2c7,0x7c3ba2c8,0x2d82022b,0xdaa91211}},	//   isa_, ruur, öker_, звод_, 
   {{0x4429a2c9,0xd946a017,0x752f0035,0x7c3ba2ca}},	//   hsa_, нени, _odcz, suur, 
   {{0x3f87003a,0xa96a02a6,0x98a628f0,0x442b0604}},	//   ljnu_, чима_, еиме, _ovc_, 
   {{0xaacf08dd,0x4429a2cb,0xb90810cf,0x7524012d}},	//   _सुरक, jsa_, _भर_, vaiz, 
   {{0x7d0931de,0x4429a2cc,0x7c299f5e,0xbb45089f}},	//   lces, dsa_, mser, _чекк, 
   {{0x44292762,0x7c29a2cd,0x75240180,0x7c26014b}},	//   esa_, lser, taiz, škrt, 
   {{0x4429a2ce,0x6d9ca2cf,0xe7e000b0,0x442ba2d0}},	//   fsa_, _léan, _खीरा_, _bvc_, 
   {{0x7c29a2d1,0x64a3a2d2,0x4429a2d3,0xb4ea00a2}},	// [9fa0] nser, гата, gsa_, मधे_, 
   {{0x6d9ca2d4,0x68e4a2d5,0x00000000,0x00000000}},	//   _néan, _izid, --, --, 
   {{0x4429a2d6,0x7d090035,0x442b01d2,0x7c290382}},	//   asa_, kces, _evc_, hser, 
   {{0x7d0900d2,0x4429a2d7,0xf1a920b4,0x3f8ca2d8}},	//   jces, bsa_, وانه_, _sodu_, 
   {{0x4429a2d9,0xe81400a2,0x7c2902c9,0xfaf801dd}},	//   csa_, तीचा_, jser, ldīt_, 
   {{0x6d9c00eb,0x7c29a2da,0x7dde00e5,0xa2cb0a34}},	//   _céan, dser, tëso, _तुक्, 
   {{0x6d9c057f,0xa3b508e1,0xa3bf413a,0xa2e39db8}},	//   _déan, _जगत_, ुकर_, _борд, 
   {{0x7dde00e5,0x7bc3a2db,0x68e4a2dc,0x7c290380}},	//   rëso, _ajnu, _ozid, fser, 
   {{0x7c29a2dd,0xdb0302ae,0x68e400a1,0x00000000}},	//   gser, _omnä, _nzid, --, 
   {{0x1fb50170,0x6d9ca2de,0x7ae30415,0x6d400183}},	//   _исхр, _géan, _bznt, sgma, 
   {{0x7c2902a5,0x68e4a2df,0x7dde024a,0x533700c7}},	//   aser, _azid, qëso, ענטן_, 
   {{0x4429a2e0,0x23a4014e,0x7d0998e7,0x00000000}},	//   ysa_, _höjd_, cces, --, 
   {{0xa3d01574,0x44290095,0x7c29010e,0xc17300d1}},	//   शवा_, xsa_, cser, אחר_, 
   {{0x68e4a2e1,0x4429055f,0x5c970904,0x69d60547}},	//   _dzid, vsa_, _якія_, _ekye, 
   {{0x68e4154a,0x4429a2e2,0x67e00219,0x6be30038}},	//   _ezid, wsa_, möjl, _حكوم, 
   {{0x4429a2e3,0xd0080033,0xa3b3017d,0xa2d402ab}},	//   tsa_, রীয়_, जोन_, _बुध्, 
   {{0x24580088,0x98b90009,0x8e20004e,0x442b5202}},	// [9fb0] нать_, mesį_, тiк_, _qvc_, 
   {{0x69dd0014,0x23a4014e,0x236a0126,0xf11900c9}},	//   llse, _nöjd_, _cabj_, दर्द_, 
   {{0x4429a2e4,0xa2d40527,0x6d9c47b3,0x3a3e02a2}},	//   ssa_, _बुद्, _réan, nutp_, 
   {{0x4429a2e5,0x5184a2e6,0x7c29a2e7,0x442b03a1}},	//   psa_, луча, yser, _tvc_, 
   {{0x34940028,0x657da2e8,0xe4e4004e,0x4429a2e9}},	//   _баяр, _insh, _бірн, qsa_, 
   {{0x7c29a2ea,0x656da2eb,0x644da2ec,0x69dd02eb}},	//   vser, ldah, mtai, hlse, 
   {{0x644da2ed,0x7c29a2ee,0x92580446,0x8fa200c8}},	//   ltai, wser, _парт_, раще, 
   {{0x7c29a2ef,0x6727a2f0,0x644da2f1,0xdb1a419f}},	//   tser, hajj, otai, kotó, 
   {{0x644da2f2,0xa3b57426,0x0c220a31,0xdd8e0038}},	//   ntai, _जगा_, амын, توي_, 
   {{0x7d0901d8,0x6727a2f3,0x09ca09d7,0x69dd8888}},	//   sces, jajj, रव्य, else, 
   {{0x644da2f4,0x7c2935c5,0x61e907d7,0x34de0527}},	//   htai, sser, _khel, _मर्द, 
   {{0x7c29045a,0x644d72bf,0x60dba2f5,0x61fba2f6}},	//   pser, ktai, _kyum, _jiul, 
   {{0x656da2f7,0x8c4534bb,0x201f0118,0x60db0027}},	//   ddah, _реле, _jwui_, _jyum, 
   {{0x644da2f8,0x2d8f0b32,0x69dd007e,0x290b01d8}},	//   dtai, _hoge_, alse, acca_, 
   {{0x644d0009,0x9f450038,0xfaf80243,0x2d8f0566}},	//   etai, _chlé_, udīt_, _koge_, 
   {{0x2d8fa2f9,0x656da2fa,0xb5c37c8f,0x61fb025b}},	//   _joge_, gdah, айсл, _niul, 
   {{0x60dba2fb,0xdb1a001d,0x2d8fa2fc,0x036a109a}},	// [9fc0] _nyum, cotó, _moge_, миак_, 
   {{0xe29aa2fd,0x657d01a3,0x22ba1a1c,0x61e9a2fe}},	//   маз_, _ensh, وداع_, _ahel, 
   {{0x23a4022b,0x644d02d0,0xe2860093,0x61e9a2ff}},	//   _nöje_, atai, ължи, _bhel, 
   {{0x61e9a300,0xc05a005e,0x644da301,0x60db3c4e}},	//   _chel, дік_, btai, _byum, 
   {{0xd007048a,0x644da302,0x61e9a303,0x70542ee1}},	//   вече_, ctai, _dhel, انتا, 
   {{0xdefa6277,0x629702ae,0x4fd3017b,0x60db040c}},	//   мый_, byxo, ажіт, _dyum, 
   {{0x764e17c6,0x61fb00b3,0xdb01a304,0x290001ca}},	//   ntby, _fiul, chlé, _ogia_, 
   {{0x61fba305,0x2d8f04b3,0x61e9a306,0x3e71008a}},	//   _giul, _coge_, _ghel, _dġt_, 
   {{0x9f4c00c8,0x6f660176,0x00000000,0x00000000}},	//   _pidä_, _иваз, --, --, 
   {{0x5fb6007e,0x2b4703c6,0x02e600c9,0x61e91f57}},	//   _अगिल, _ccnc_, _कराह_, _zhel, 
   {{0x46d2a307,0x199501fc,0x2d8f02aa,0x644da308}},	//   _दुलह, ганя, _foge_, ztai, 
   {{0x20041f49,0x61e900e5,0xf2d303e1,0x29000036}},	//   _kumi_, _xhel, יעת_, _cgia_, 
   {{0x8c4313d0,0x1d073232,0x656d397f,0x69dd01e8}},	//   _вече, _речи_, vdah, rlse, 
   {{0xc7c4a309,0xa2cb00a2,0x29000a9f,0x20041b6b}},	//   асси, _तुझ्, _egia_, _mumi_, 
   {{0x6d9c00eb,0x2004604e,0xb9090033,0x98b204d6}},	//   _léam, _lumi_, _বল_, _dayı_, 
   {{0xa2b80c64,0x644d030f,0xa3b50c06,0x67270a8b}},	//   ्पन्, ttai, _जगह_, sajj, 
   {{0x6d9ca30a,0x656da30b,0x644d0465,0x394902ae}},	// [9fd0] _réal, rdah, utai, _icas_, 
   {{0x644da30c,0x61fba30d,0x3869a30e,0xa49b0237}},	//   rtai, _siul, _isar_, _agòc, 
   {{0x61e90364,0x60db34c4,0x644da30f,0x61fba310}},	//   _phel, _syum, stai, _piul, 
   {{0x657d2d41,0x61e9084c,0x62850034,0xc17500d7}},	//   _unsh, _qhel, rxho, دگست, 
   {{0x20040199,0x948400d3,0x7dde024a,0x443f0210}},	//   _cumi_, _кырд, mësh, _êu_, 
   {{0x2004a311,0x60db0548,0xdcfb044e,0x720538bd}},	//   _dumi_, _vyum, ljuć, _موسم, 
   {{0x61e9a312,0x28da0e17,0x6d9c0038,0x29d9007a}},	//   _thel, _युनि, _téal, néas_, 
   {{0x39490201,0x61e9a313,0xdcfb044e,0x200401d8}},	//   _ncas_, _uhel, njuć, _fumi_, 
   {{0xa3d800a2,0x60dba314,0x6605011c,0x2004a315}},	//   ातच_, _uyum, _luhk, _gumi_, 
   {{0xceeb0fd0,0x8c47010c,0x3949a316,0x7dde021e}},	//   _قران_, _arşî, _acas_, hësh, 
   {{0x3869a317,0x200417ec,0x2d8f1032,0x7dde024a}},	//   _asar_, _zumi_, _toge_, kësh, 
   {{0x98b206d0,0xcd2b1c03,0xa3b3017d,0x7dde021e}},	//   _sayı_, _آسان_, जोत_, jësh, 
   {{0xc8b60810,0x67252379,0x98b20761,0x7dde021e}},	//   усны, _behj, _payı_, dësh, 
   {{0x394900b9,0x6c32010e,0x366a012d,0x399b0034}},	//   _ecas_, _افوا, наго_, _lësh_, 
   {{0x38690102,0x7d1b009b,0xf1d302ab,0x857a00d9}},	//   _esar_, obus, तवान, нсат_, 
   {{0xceb2035c,0x29000183,0x764e3cb8,0x7c3b0c0c}},	//   צין_, _ugia_, rtby, orur, 
   {{0x69db0137,0x7c3b0068,0x764ea318,0x29d99e89}},	// [9fe0] _אַזו, nrur, stby, réat_, 
   {{0x6d9c00eb,0x1c1b100d,0x7d1b4a25,0x29d90175}},	//   _réam, पीएल_, hbus, béas_, 
   {{0x77f700a7,0xdb9a00c7,0x399b0034,0x6d9c007a}},	//   _תמיד_, עסער, _bësh_, _séam, 
   {{0x7d1b6d18,0x62880212,0x2004008a,0x64a62aca}},	//   jbus, _àdom, _pumi_, _бама, 
   {{0x25d700a7,0xdfda0093,0xa2d41503,0x9f4500b9}},	//   _תוכן_, нък_, _बुर्, _niló_, 
   {{0x7dde0034,0x7c3b00b4,0x7d1b01a4,0x00000000}},	//   mësi, drur, ebus, --, 
   {{0x316d0065,0x7dde024a,0x4422a319,0x75260118}},	//   _faez_, lësi, _hwk_, _kekz, 
   {{0x6d9c00eb,0x62810097,0x7d1ba31a,0xcbc00033}},	//   _téam, _šlog, gbus, _উঠেছ, 
   {{0x5b26a31b,0x1e86005e,0x7dde024a,0x7c3b07fc}},	//   льна, _әлем, nësi, grur, 
   {{0x7fd621f4,0x7d1b011d,0x4a541934,0x26e401a4}},	//   _сібі, abus, акос, _गरूर_, 
   {{0x7dde024a,0x7d1b02f1,0xdee6a31c,0xd3570225}},	//   hësi, bbus, _сожи, ניטי_, 
   {{0x7dde024a,0x7d1d01d5,0x4422011c,0x6d9c0574}},	//   kësi, ðsst, _owk_, _méak, 
   {{0x7c3b002e,0x660500b0,0xe9df0038,0x799d0326}},	//   crur, _suhk, rlú_, rksw, 
   {{0x660535ae,0xb8fd483e,0xb8dd034d,0xa49b0108}},	//   _puhk, _तँ_, _आध_, _ngòa, 
   {{0x4422a31d,0x39490065,0x7dde024a,0x8af600ad}},	//   _awk_, _tcas_, tësh, şəbb, 
   {{0x4422030c,0xdb01001d,0x7c22a31e,0x3949a31f}},	//   _bwk_, biló, _kwor, _ucas_, 
   {{0x386988e4,0x7dde0034,0x7d02095a,0x73d9a320}},	// [9ff0] _usar_, rësh, _mgos, вдар_, 
   {{0x44f48c3f,0x66053d00,0x7c227e1c,0x6d9c0574}},	//   спус, _tuhk, _mwor, _béak, 
   {{0x316d0126,0x7c2202a5,0x7d1b54d4,0x00000000}},	//   _paez_, _lwor, ybus, --, 
   {{0xd5671efe,0x7d021884,0x71270816,0x7dde0034}},	//   _стоп, _ngos, ارال, bësi, 
   {{0xc3240086,0x442210b8,0x656fa321,0xf1a6477d}},	//   _পারি_, _gwk_, _iach, _खतरन, 
   {{0x656fa322,0x25a95bb0,0xad9c0032,0xb81d017d}},	//   _hach, lhal_, _stĺp, बीएम_, 
   {{0x656fa323,0x244f05b7,0x3ea547ed,0x7c228f82}},	//   _kach, lüm_, рийг, _awor, 
   {{0x7c220610,0x7d1ba324,0x56b800d1,0x00000000}},	//   _bwor, ubus, טפון_, --, 
   {{0x656fa325,0x23a40219,0x7a0800bc,0x244f0384}},	//   _mach, _höja_, _dětm, nüm_, 
   {{0x656f438d,0xe0d01a38,0x7c3ba326,0x7d02a327}},	//   _lach, _رزق_, rrur, _egos, 
   {{0x26e4000d,0x4acf1574,0xf98619e4,0x244f00ad}},	//   _गरेर_, _सुखव, агно, hüm_, 
   {{0x656f3a62,0x645da328,0xa2b806ea,0xdb0100eb}},	//   _nach, _opsi, ्पत्, mhlí, 
   {{0x25a904ca,0x6d590610,0x2d8d025b,0x00000000}},	//   dhal_, _ibwa, mjee_, --, 
   {{0x656fa329,0x2bdd00c2,0xdb010068,0x2d8da32a}},	//   _aach, _नीचा, riló, ljee_, 
   {{0x656fa2b6,0xb8fd03c1,0x645d012d,0xf5061af2}},	//   _bach, _तु_, _apsi, изво, 
   {{0x7dde01ee,0x25a901c5,0x6d9c0a0f,0x44221032}},	//   tësi, ghal_, _réak, _pwk_, 
  
   {{0x656fa32b,0x0326a32c,0x044600dd,0xf507412e}},	// [a000] _dach, идан, резн, рнул_, 
   {{0x7dde01ee,0x656f11a1,0xd76413b4,0x764f010e}},	//   rësi, _each, _اندی, önyö, 
   {{0x656fa32d,0x7afc02fe,0x25a90a69,0x6d590298}},	//   _fach, žrtv, bhal_, _obwa, 
   {{0x25a90dd2,0xd2e60d0d,0x7dde024a,0x656fa32e}},	//   chal_, _करीब_, pësi, _gach, 
   {{0x7dde00e5,0x2bc800bc,0x244f00b2,0x442208b0}},	//   qësi, िचमा, cüm_, _uwk_, 
   {{0x656fa32f,0x087700c7,0x6d59a330,0x6564a331}},	//   _zach, יענט_, _abwa, leih, 
   {{0x656fa332,0xee8603a1,0x7c22305f,0xd1790259}},	//   _yach, рыло, _swor, _өсті_, 
   {{0x645d02a3,0x25a0785f,0x6d4b00b9,0xdceb027e}},	//   _ypsi, nkil_, _ccga, _algı, 
   {{0xef8632e3,0xa0677196,0xdb1a201c,0x7f86347e}},	//   _клап, _ката_, entá, _پلان, 
   {{0x29120010,0x321a01d8,0xbbd0031e,0x61e2a333}},	//   _afya_, oppy_, सकेक, llol, 
   {{0xc3331900,0x244f008f,0x337700d1,0x23790070}},	//   חות_, züm_, בעים_, אָרמ, 
   {{0x7d0203ef,0x7c2200ab,0x61e206e4,0x244f04d6}},	//   _ugos, _twor, nlol, yüm_, 
   {{0xa49b00b9,0xd8cb00d9,0xf99f02a3,0xdd8f69c5}},	//   _agòn, тынд_, rkè_, _تون_, 
   {{0x656fa334,0x61e20364,0x6d9c0175,0xe69503a1}},	//   _sach, hlol, _séah, бигы, 
   {{0x656fa335,0x25f300a2,0x6d590065,0x61e207fc}},	//   _pach, ंगली_, _ybwa, klol, 
   {{0x656f04d8,0xf53f02ae,0x244fa336,0xaacf0110}},	//   _qach, _blåa_, tüm_, _सुटक, 
   {{0x656fa337,0x25a9a338,0x61e2012b,0x9f45007a}},	// [a010] _vach, rhal_, dlol, _shlí_, 
   {{0x656fa339,0x9f5e01ee,0x0a51006b,0xdb1a024a}},	//   _wach, _ditë_, _بھیج, ditë, 
   {{0x656fa33a,0xed59282b,0x7dde0034,0x32553a88}},	//   _tach, liže_, lësu, свер, 
   {{0x656f1600,0x2cad016a,0x61e2011d,0x5f1400bc}},	//   _uach, yzed_, glol, नुस्_, 
   {{0xed590097,0x7dde0034,0x20670267,0xf487a33b}},	//   niže_, nësu, рђев, _тунн, 
   {{0x3ea502f1,0xa3b30035,0x28c800bc,0x94f600d1}},	//   йилг, जोश_, रपति, _לצרף_, 
   {{0xed59624c,0x25b90054,0x61e2035d,0x9f4502d9}},	//   гой_, _kmsl_, blol, _uhlí_, 
   {{0xa3b30509,0x0d852309,0xdb1aa33c,0x752d01a3}},	//   जोर_, слин, litè, naaz, 
   {{0xdd950259,0x00000000,0x00000000,0x00000000}},	//   _қады, --, --, --, 
   {{0xed590112,0x4a456603,0x752d0054,0xdb1a00b9}},	//   diže_, бнов, haaz, nitè, 
   {{0x752da33d,0x2cad010e,0x5f74a33e,0xc8692665}},	//   kaaz, szed_, _باقر, _רן_, 
   {{0x6d59024d,0x6d4b0183,0x1ae5004e,0xfe7000d7}},	//   _ubwa, _ucga, _қойм, _زدم_, 
   {{0xf1b20070,0x63a70352,0xb8860032,0x69c6a33f}},	//   לסט_, _oljn, _opíš, rnke, 
   {{0x6d49a340,0x65640502,0x00000000,0x00000000}},	//   lgea, weih, --, --, 
   {{0x78c10264,0x66e6a341,0x45360e65,0xdb1aa342}},	//   _əvvə, сова, йхат, zitë, 
   {{0x6d49a343,0x69dd009e,0x7dde021e,0x752d3479}},	//   ngea, îret, bësu, gaaz, 
   {{0x6d4902d0,0x79840c36,0x65645d6d,0x16041df3}},	// [a020] igea, _iniw, reih, _शंकर_, 
   {{0x25a0a344,0x6564a345,0x799600f3,0x7dde021e}},	//   skil_, seih, _hoyw, qësv, 
   {{0x61e20149,0xb5ca20b4,0x752d01a3,0x00000000}},	//   tlol, _مودم_, baaz, --, 
   {{0x61461416,0xd76411b7,0x672e0a6d,0x7a130474}},	//   седа, _انگی, labj, _găte, 
   {{0xe3b1006b,0x61e2011d,0xb033004f,0x7984018e}},	//   سرے_, rlol, зніш, _mniw, 
   {{0xdb1a024a,0xfbc71766,0x5f9315d3,0x9f5e0f99}},	//   ritë, _رت_, зишт, _kité_, 
   {{0x44321135,0xe2975f0e,0x00000000,0x00000000}},	//   lsy_, _лар_, --, --, 
   {{0x15fa0a09,0xb8000086,0xdb1aa346,0x6b8307d7}},	//   ्दिर_, ্ঠিত_, mité, _anng, 
   {{0xdb1aa347,0x4432a348,0xfd0f36a7,0x6ab20bb9}},	//   lité, nsy_, رجي_, ुप्र, 
   {{0x6d4901be,0x320aa349,0x44321ca8,0x5a342cc7}},	//   agea, _kuby_, isy_, онот, 
   {{0xa3d90c8f,0x15f80ede,0xdd8f81e1,0x3860011d}},	//   ावत_, ंगार_, _еш_, _apir_, 
   {{0x394da34a,0x7dde024a,0x63be0537,0x6b83084c}},	//   ües_, tësu, hipn, _enng, 
   {{0x80da0033,0xac9400fd,0x661700b4,0x320a00de}},	//   _বৃত্, _фалш, _stxk, _luby_, 
   {{0x7dde00e5,0x4432018c,0x81c00033,0x32180054}},	//   rësu, dsy_, ুতি_, _otry_, 
   {{0x9f5e026a,0x7bdaa34b,0x7a0201dd,0xe45f2457}},	//   _cité_, motu, _vētr, _spö_, 
   {{0x7bdaa34c,0xb88600bc,0x9f5e0379,0xdb1a3dd9}},	//   lotu, _spíš, _dité_, dité, 
   {{0x6eda0081,0x7dde00e5,0xe450003f,0x32180379}},	// [a030] _पुसु, qësu, فضل_, _atry_, 
   {{0x68eda34d,0xa3b300ab,0x7bdaa34e,0x9f5e00f6}},	//   _izad, जों_, notu, _fité_, 
   {{0x7bc8a34f,0x555913c6,0x3e4e00ad,0x752da350}},	//   indu, _каня_, _xətt_, paaz, 
   {{0xa159a351,0x764702b8,0x7bda1279,0xfc4600da}},	//   раду_, mujy, hotu, _čínu_, 
   {{0x7bdaa352,0x5f0500a3,0x7bc8011c,0x00000000}},	//   kotu, озла, kndu, --, 
   {{0x8cdc000f,0xa2b80586,0x63a7090e,0x65aa014b}},	//   _पड़ो, ्पश्, _uljn, _výhe, 
   {{0x35f809e8,0xdb1a026a,0x7bda134f,0x80da0086}},	//   _خرید_, cité, dotu, _বৃদ্, 
   {{0xa2b81721,0xd0d50141,0x68ed0352,0x7bc800c2}},	//   ्पर्, _добъ, _ozad, endu, 
   {{0x6d49006e,0x320a014b,0x2b4e0226,0x77ab00ad}},	//   rgea, _zuby_, _bcfc_, _müxb, 
   {{0x6d49a353,0x212f01fd,0xdfdb0093,0xa49b02a5}},	//   sgea, lagh_, _съб_, _ngòm, 
   {{0x68eda354,0x198a645c,0x38601290,0x4ea7022c}},	//   _azad, абни_, _spir_, _ураа, 
   {{0x7bc8a355,0x00000000,0x00000000,0x00000000}},	//   andu, --, --, --, 
   {{0xa3d9215e,0x629e00ab,0xa2e65b63,0x7bdaa356}},	//   ावा_, zypo, _कर्ज_, botu, 
   {{0x6b8300dd,0x212f00a1,0x68ed045a,0x7c24037e}},	//   _unng, hagh_, _dzad, _çira, 
   {{0xa50aa357,0xd62aa358,0x68ed01a3,0x44320083}},	//   иева_, робе_, _ezad, wsy_, 
   {{0x44320489,0xdb1a026d,0x38600199,0xdb010038}},	//   tsy_, vité, _tpir_, chlá, 
   {{0x212f01be,0x290500bc,0xe73a0a31,0x32180326}},	// [a040] dagh_, ělat_, _кеп_, _stry_, 
   {{0xdb1aa359,0x4432a35a,0x212200c6,0x1666a35b}},	//   tité, rsy_, मर्श_, _двом, 
   {{0x826a0240,0x7a0802d9,0x82660038,0x68ed0539}},	//   раев_, _pěti, تهان, _zzad, 
   {{0x00e6a35c,0xdb1aa35d,0x7bda0548,0x7ae3328f}},	//   ожен, rité, zotu, _mynt, 
   {{0x7bda0053,0x7bc8003e,0xdb1a840c,0x629e00de}},	//   yotu, yndu, sité, sypo, 
   {{0x2d99a35e,0x8fa31d83,0xdb1a0354,0x63be0034}},	//   ösen_, маче, pité, qipn, 
   {{0x59ca00ae,0xe29a058e,0x245403c5,0xf8bf0212}},	//   ाचार, _тав_, läm_, mbée_, 
   {{0xdc1e0086,0x68e400a3,0x6ebe0299,0xb4db00b9}},	//   _দিবস_, _oyid, _वेणु, _icàr, 
   {{0xc5f31900,0x2717031e,0x7bdaa35f,0x0b8a15f5}},	//   ודה_, nění_, totu, асни_, 
   {{0xa3ea00c6,0x7ae30415,0x68ed0035,0xda7a2d73}},	//   मति_, _bynt, _rzad, аям_, 
   {{0x7ae302bf,0xddc800ef,0x7bdaa360,0xdb1a0218}},	//   _cynt, _irdž, rotu, bitî, 
   {{0x7bda4a1d,0x6d9c007a,0x00000000,0x00000000}},	//   sotu, _céat, --, --, 
   {{0x7bdaa361,0xa3ea0179,0x7647016c,0x00000000}},	//   potu, मता_, wujy, --, 
   {{0xc6a76c54,0x271700bc,0x68ed014b,0xdb010038}},	//   орби, dění_, _vzad, shlá, 
   {{0x7ae30156,0xa3d900c2,0xed59090e,0xb5c90038}},	//   _gynt, ावस_, liža_, موسم_, 
   {{0xdb0101a4,0x7647016c,0x00000000,0x00000000}},	//   gilõ, rujy, --, --, 
   {{0x5fbc031e,0x68eda362,0x6d9c0038,0xcb0e009a}},	// [a050] ्चाल, _uzad, _héas, _सलाड_, 
   {{0x69dda363,0xd3710038,0xdb080126,0x9f4c00b9}},	//   lose, عها_, midó, _midó_, 
   {{0xdb0101ad,0xc3240033,0x65a300c2,0x00000000}},	//   silö, _পাখি_, _jõhk, --, 
   {{0xe0d309e8,0x6b980c85,0x45d50afc,0x661a327d}},	//   وزش_, _lovg, _хомс, ítke, 
   {{0x32040180,0x2909012b,0x951600a7,0x248d009e}},	//   _dimy_, _mgaa_, _מקרא_, _çem_, 
   {{0x1b220086,0x69dda364,0x2d860175,0xdb1a010c}},	//   _মাঝে_, hose, _anoe_, witî, 
   {{0x69dda365,0x3ce90372,0xc225010e,0x00000000}},	//   kose, _šav_, _رکاو, --, 
   {{0xdceb0405,0x29095e85,0x2d860379,0x9f4c00b9}},	//   _jogħ, _ngaa_, _cnoe_, _bidó_, 
   {{0x65a30077,0xdceba366,0xcc3500eb,0x7ae36ff5}},	//   _põhj, _bagā, أربع, _synt, 
   {{0x5ba902bc,0xdceb0405,0x26d30369,0x7ae3238e}},	//   ском_, _logħ, _oxxo_, _pynt, 
   {{0xe9da4913,0x63a50065,0x7a1300b3,0x539c0070}},	//   йко_, ikhn, _băta, ייזו, 
   {{0x2005086d,0x69dd024a,0x186a00af,0x200d011c}},	//   _hili_, gose, бами_, _kuei_, 
   {{0xda0b0035,0x2005a367,0x6d5b0548,0xa3db09d8}},	//   _सूरत_, _kili_, mfua, डका_, 
   {{0x8c1a0486,0x20050d94,0xa2d400bc,0x212d336b}},	//   _הוסי, _jili_, _बुझ्, _leeh_, 
   {{0x200554fd,0xcb1200a7,0x569300a3,0xdceb007b}},	//   _mili_, _אלו_, наёт, _bogħ, 
   {{0xf9920040,0x2005a368,0x7bc1a369,0x212d016a}},	//   _سبب_, _lili_, lilu, _neeh_, 
   {{0x02c400a2,0xddc101dd,0x68e401ff,0x200b0096}},	// [a060] वप्न, _aplū, _uyid, _écih_, 
   {{0x212d0175,0x287b00d1,0x245402ae,0x20050027}},	//   _aeeh_, _פנימ, räm_, _nili_, 
   {{0x66e64316,0x479b0137,0x179b00c7,0x5186505f}},	//   _хона, _הייס, _הייב, зула, 
   {{0x7bc1a36a,0x6d9c00eb,0xddc8053d,0x80da0086}},	//   hilu, _léar, _srdž, _বৃষ্, 
   {{0xd12f0b59,0x7524a36b,0x212d085b,0x7bc1a36c}},	//   امه_, mbiz, _deeh_, kilu, 
   {{0x2005a36d,0x46db0b79,0x200d0096,0xb60200bc}},	//   _cili_, _मुँह, _duei_, žáda, 
   {{0xa3d9a36e,0x20052ce4,0x4420a36f,0x69dda370}},	//   ावर_, _dili_, lpi_, yose, 
   {{0xdceba371,0x66060405,0x77ab0095,0x4420a372}},	//   _xogħ, _jikk, _müxa, opi_, 
   {{0x6d9c0038,0x4420a373,0x6606262a,0x20053f57}},	//   _béar, npi_, _mikk, _fili_, 
   {{0x0b8a030f,0x6d9c0038,0x6606a374,0x7bc1a375}},	//   ссии_, _céar, _likk, gilu, 
   {{0x46db0262,0x6d9c0038,0x200d01ca,0x68e800ad}},	//   _मुंह, _déar, _zuei_, əddi, 
   {{0xdb1aa376,0x6d9c0327,0x20050727,0x752400a4}},	//   mití, _véas, _zili_, jbiz, 
   {{0x7bc1a377,0x200500cf,0xdb1aa378,0x80a2009a}},	//   bilu, _yili_, lití, _कॅमे, 
   {{0x20050104,0x6d9c007a,0x69dda379,0x7bc1a37a}},	//   _xili_, _géar, sose, cilu, 
   {{0x6a1300eb,0xe3c40086,0x6606a37b,0x69dda37c}},	//   _كبير, ্তাব, _bikk, pose, 
   {{0x6606006b,0x1c1102e6,0x64440dfa,0x00000000}},	//   _cikk, _डूडल_, frii, --, 
   {{0x6606a37d,0xa3d90077,0x53992f89,0x442007fc}},	// [a070] _dikk, ावल_, овая_, gpi_, 
   {{0x25ef04d7,0x3374a37e,0x212d14e2,0x8c1b00d1}},	//   _आठवी_, нгур, _seeh_, צובי, 
   {{0x35f50099,0xdb0101c4,0x4420a37f,0xa3b3322d}},	//   _опор, chlä, api_, जोग_, 
   {{0x6444007e,0x4420833f,0x7777008a,0x6606a380}},	//   brii, bpi_, _haxx, _gikk, 
   {{0x2005086d,0x200d0093,0x3ce6006d,0x7777007b}},	//   _pili_, _quei_, _nyov_, _kaxx, 
   {{0xdee513a8,0x1fa939d3,0xedf71507,0xdb1a0038}},	//   моли, юкли_, ुद्ध_, antú, 
   {{0x7bc10405,0x4439845e,0x6d5b0065,0xdb030098}},	//   vilu, _hvs_, tfua, _plní, 
   {{0x2005a381,0x6d9c007a,0x4439059e,0x6d5b018e}},	//   _wili_, _séar, _kvs_, ufua, 
   {{0x2005a382,0x7bc1a383,0x752f0035,0xdce001dd}},	//   _tili_, tilu, _mecz, temā, 
   {{0x752f00ab,0x443912ed,0x777700a4,0x7aa527fe}},	//   _lecz, _mvs_, _naxx, диоз, 
   {{0x44200a9f,0x69030095,0x753d0035,0x7bc1a384}},	//   zpi_, ətdə, _odsz, rilu, 
   {{0x7bc1a385,0x442012fa,0x442b011c,0x1eea00d7}},	//   silu, ypi_, _owc_, _بومی_, 
   {{0x6606a386,0x7bc1a387,0x6d9c00eb,0x442b0226}},	//   _rikk, pilu, _téar, _nwc_, 
   {{0x660605ce,0x777702a3,0x7524a388,0x87b9a389}},	//   _sikk, _caxx, wbiz, пуст_, 
   {{0x66e3580c,0x66060e0f,0x7a08000d,0x1db10586}},	//   вора, _pikk, _děts, _जतात, 
   {{0x3dcd007b,0x64443d00,0x4439a38a,0x442ba08f}},	//   nnew_, trii, _bvs_, _bwc_, 
   {{0xdb1a046b,0xa3d900a2,0x3ce6006f,0x75242ed7}},	// [a080] zití, ावं_, _xyov_, rbiz, 
   {{0x4439a38b,0x660601da,0x64440eb1,0xf7720296}},	//   _dvs_, _wikk, rrii, _شاخ_, 
   {{0x6606a38c,0x6444007e,0x4ee80086,0xdce90613}},	//   _tikk, srii, _পল্ল, bdeć, 
   {{0x64a60f6b,0x6444a38d,0xa06a02f1,0x290400ef}},	//   _жама, prii, жада_, žmau_, 
   {{0x3ddf10b8,0xd436007a,0xdb1a019c,0x00000000}},	//   douw_, _تعجب, nitã, --, 
   {{0x4375a38e,0xa3d90390,0x28c50249,0x00000000}},	//   _пуст, ावः_, _लेफि, --, 
   {{0x7c2b0156,0xa3db3024,0xd29900f0,0x63a3a38f}},	//   _awgr, डकर_, _етті_, önne, 
   {{0x5c7436e7,0x65a30077,0xbdf70038,0xdd900038}},	//   елит, _põhi, وريا_, اوة_, 
   {{0x212603bc,0xfc3f0098,0x9b6a3d1f,0x00000000}},	//   mboh_, šín_, ошна_, --, 
   {{0x7ac6a390,0x7d0b076b,0xdb1a0664,0x00000000}},	//   дсме, _eggs, nntø, --, 
   {{0xa3b61422,0x3ddf0b32,0x7777a391,0x2d9a0212}},	//   _जतन_, bouw_, _raxx, êpes_, 
   {{0x9e65006b,0x23780237,0x00000000,0x00000000}},	//   _سامن, _larj_, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xead401f7,0x2cb00540,0x65a300c2,0x00000000}},	//   _поль, ıldı_, _jõhv, --, 
   {{0xbd05026a,0xf8ae0274,0x9f5e0054,0x4439076b}},	//   _théâ, لکی_, _mità_, _svs_, 
   {{0xfaa700d4,0xdb1a54cd,0x96f87010,0x65aa00da}},	//   _تجهی, lità, фест_, _dýho, 
   {{0x94ab05c6,0xdce900d2,0x245800c8,0x98a000ca}},	// [a090] цтва_, rdeć, мать_, _reić_, 
   {{0x7c2d078a,0x443937ed,0xdb1aa392,0x08f80038}},	//   _çare, _vvs_, nità, _غريب_, 
   {{0x69cf0036,0xf8bf0574,0x00000000,0x00000000}},	//   once, paés_, --, --, 
   {{0x77b0022b,0x3495516f,0x442b02aa,0x67355387}},	//   _växe, _замр, _twc_, lazj, 
   {{0x251a027a,0x6d9c0212,0x656d2a8e,0xe7050296}},	//   _מורא, _réap, meah, _تسکی, 
   {{0x644d70d8,0x6735115a,0xf41f0080,0x25a90102}},	//   muai, nazj, _itä_, lkal_, 
   {{0x644da2ed,0x9ea973ff,0xdb1a00b9,0x27270104}},	//   luai, явка_, dità, _mеn_, 
   {{0xf41f0219,0x69cfa393,0x25a9a394,0xdcfb020b}},	//   _träd_, jnce, nkal_, rhuľ, 
   {{0x644d09cb,0x3ddf01c8,0xcc89009c,0x25a900b4}},	//   nuai, rouw_, سنده_, ikal_, 
   {{0x3dcd04c6,0x69cf2376,0x4fc400f6,0x656d6bab}},	//   snew_, ence, _исха, heah, 
   {{0x25a9006b,0xfaa5a395,0x644d0038,0x39ea0b49}},	//   kkal_, хано, huai, здно_, 
   {{0x9f47014b,0x6dc70fd0,0x7d0b00ca,0x65a300b0}},	//   dlné_, _غزال, _uggs, _kõhu, 
   {{0x2904219b,0xbb450543,0x00000000,0x00000000}},	//   äma_, _зелк, --, --, 
   {{0x644da396,0xdb1a03dd,0x2d9da397,0x32110054}},	//   duai, cità, _howe_, _ouzy_, 
   {{0x2d9d00d4,0x7a0900bc,0x8b560147,0x25b200df}},	//   _kowe_, _větr, _ניקס_, thyl_, 
   {{0x65aa0076,0x060716d0,0xdb1a02aa,0x644d0038}},	//   _výho, енск_, pitã, fuai, 
   {{0xd4671270,0x04430c23,0xdb1a9220,0x35a601a2}},	// [a0a0] ните_, летн, litá, _ҷанг, 
   {{0x69c6a398,0x213f3d94,0x32d61271,0xdb01007a}},	//   like, _aduh_, нцес, dhlú, 
   {{0xdb1a243b,0x814600eb,0xb146a399,0x35a608ba}},	//   nitá, فنان, енел, _занг, 
   {{0x2d9d00ab,0x764e5ab4,0x644da39a,0x00000000}},	//   _nowe_, muby, buai, --, 
   {{0x644d0640,0x764e8c9f,0x765c0f96,0x00000000}},	//   cuai, luby, ltry, --, 
   {{0x69c6a39b,0x7bcf0883,0x7536a39c,0x00000000}},	//   hike, écul, layz, --, 
   {{0x9e065bdb,0xda0b00aa,0x412a0925,0x765ca39d}},	//   нчил, _संगत_, _ново_, ntry, 
   {{0xc6930309,0x69c6033e,0x2c2600dd,0x7c24a39e}},	//   ראה_, jike, ньог, _çirk, 
   {{0x69c6a39f,0x61e23f0d,0x764e012b,0x9f5e00b9}},	//   dike, mool, huby, _tità_, 
   {{0x3940a3a0,0x61e27a72,0x765c00ab,0x9f5a0080}},	//   _adis_, lool, ktry, öpä_, 
   {{0x69c6a3a1,0xdb1aa3a2,0x3f8ca3a3,0xbfa2010c}},	//   fike, gitá, _indu_, _şêwi, 
   {{0x248000d0,0x69c6a3a4,0x765c017e,0xed5a1273}},	//   kvim_, gike, dtry, _ход_, 
   {{0xfbcf13b4,0x644d145a,0x3f9ea3a5,0x65aa00bc}},	//   شتی_, xuai, _kotu_, _výhl, 
   {{0x8c1b07f5,0x394078b2,0x61e2a3a6,0x36d57a76}},	//   _צווי, _edis_, hool, вогр, 
   {{0x61e2a3a7,0x61eb2352,0xc987004f,0xdb1aa3a8}},	//   kool, ylgl, _зупи, citá, 
   {{0x644da3a9,0x3f9ea3aa,0x69c64112,0xf0a600e7}},	//   tuai, _lotu_, cike, _đành_, 
   {{0x798d086d,0x3211a3ab,0x937908a5,0x656d0626}},	// [a0b0] _inaw, _suzy_, мбат_, reah, 
   {{0x25a9a3ac,0x644d02d0,0x38691188,0x65a300b0}},	//   skal_, ruai, _ipar_, _rõhu, 
   {{0x644d4030,0x32550934,0x61e2a3ad,0x9f4500a1}},	//   suai, твер, fool, _ghlù_, 
   {{0x7aea0034,0x27e3a3ae,0x24720237,0x00000000}},	//   _myft, lojn_, _fņm_, --, 
   {{0x7aeaa3af,0x798d0548,0xa5c200f0,0x75360147}},	//   _lyft, _mnaw, _төре, _בארד_, 
   {{0x69c6a3b0,0x10a2a3b1,0xe19303a1,0xdb1a89cc}},	//   zike, ришн, _өлгө, litæ, 
   {{0x61e2a3b2,0x69c6a3b3,0xdb1a0183,0x00000000}},	//   bool, yike, xitá, --, 
   {{0xfc3f026e,0x61e2a3b4,0x68fb0009,0xdb1aa3b5}},	//   ším_, cool, žudy, vitá, 
   {{0x69c6a3b6,0x2a6700e2,0x27e3021e,0x394002be}},	//   vike, _spnb_, kojn_, _rdis_, 
   {{0x09ca047b,0x798da3b7,0x2d9d0199,0x69c60610}},	//   ाच्य, _anaw, _wowe_, wike, 
   {{0x69c6a3b8,0x2fc7a3b9,0x386900d9,0x2d9d0026}},	//   tike, ming_, _apar_, _towe_, 
   {{0xf8bf0068,0x765c27fd,0x23a402ae,0x798d00f3}},	//   rbén_, vtry, _höjt_, _cnaw, 
   {{0x69c69db5,0x2fc70151,0xe8f711e6,0xe98100f0}},	//   rike, oing_, клю_, сқын, 
   {{0x7c3b02cd,0x798d0532,0x764e0610,0x765c44ae}},	//   msur, _enaw, tuby, ttry, 
   {{0x66e64e4d,0x2c1900cc,0x69c6a3ba,0x7bc3a3bb}},	//   това, _দিয়ে_, pike, _imnu, 
   {{0x2fc7a3bc,0x7d1b034c,0xceb2042c,0x765c050f}},	//   hing_, ncus, ביל_, rtry, 
   {{0x2fc7a3bd,0xe8fa048a,0x64a31dbc,0x69c40035}},	// [a0c0] king_, _юли_, аата, _imie, 
   {{0x2fc7170d,0x7c3ba3be,0x69c4008a,0x2480107c}},	//   jing_, isur, _hmie, rvim_, 
   {{0x2fc7a3bf,0x248003ef,0x61e22aef,0x69c4007b}},	//   ding_, svim_, tool, _kmie, 
   {{0x3ea702bf,0x248d0a1a,0x7c3ba3c0,0xd4f603a1}},	//   dynt_, _šeme_, ksur, _аягы, 
   {{0x20561472,0x2fc7a3c1,0x61e2007e,0xdfda0093}},	//   ттер, fing_, rool, мък_, 
   {{0x2fc7a3c2,0x35c800a5,0x61e24655,0xa3b6031e}},	//   ging_, _रगड़, sool, _जति_, 
   {{0x61e2a3c3,0x69c4a3c4,0x3ea7004f,0x8fa30267}},	//   pool, _omie, gynt_, раје, 
   {{0x44220053,0x21a30240,0x69d60610,0x27e31f57}},	//   _ktk_, _кисм, _njye, zojn_, 
   {{0x2fc71410,0x7aea014e,0xe817000f,0x7c3ba3c5}},	//   bing_, _syft, _धंधा_, gsur, 
   {{0x2fc7a3c6,0x69c47b6a,0x7d1b0036,0x69d60027}},	//   cing_, _amie, acus, _ajye, 
   {{0x38699150,0x195908be,0x7c3b00d1,0x23a402ae}},	//   _spar_, наны_, asur, _höjs_, 
   {{0x200ca3c7,0x79a7327e,0x9f4503a0,0x7aea0326}},	//   _hidi_, трое, _aklè_, _vyft, 
   {{0xeb9a0013,0xa3e20366,0x9874483b,0x27e38afd}},	//   _оид_, दवा_, аляц, tojn_, 
   {{0x7c2d010c,0x7c220199,0x656600b4,0x69c4383f}},	//   _çara, _itor, _abkh, _emie, 
   {{0xf8bf0316,0xc6a43993,0x200ca3c8,0xda7a0093}},	//   mbém_, арти, _midi_, _цял_, 
   {{0x7c22721b,0x798da3c9,0x99550446,0x200c00bc}},	//   _ktor, _unaw, _скиц, _lidi_, 
   {{0x2fc70056,0x7bc80023,0x80a2009a,0x3869019c}},	// [a0d0] ying_, oidu, _कॅले, _upar_, 
   {{0x69c44333,0x68eda3ca,0x7bc80226,0x02a700dd}},	//   _zmie, _iyad, nidu, крем, 
   {{0x9f5e030f,0x2fc7a3cb,0x75d50ce0,0xf53f0566}},	//   _mitä_, ving_, _ميدا, _blåt_, 
   {{0xc6920138,0x7bc80730,0x7c22a3cc,0xdb1a0991}},	//   _האט_, hidu, _otor, litä, 
   {{0x2fc7a3cd,0x7bc8a3ce,0x3ea700f8,0x69dd078a}},	//   ting_, kidu, wynt_, îrey, 
   {{0x657da3cf,0xfc3f0076,0xdb1a9d76,0x2fc70326}},	//   _hash, šík_, nitä, uing_, 
   {{0x7c22a3d0,0x657da3d1,0x6e95155f,0x9294a3d2}},	//   _ator, _kash, العا, _карц, 
   {{0x657d01ee,0x7c3b6895,0xed5903dc,0xec793f83}},	//   _jash, tsur, хои_, епи_, 
   {{0x2fc7a3d3,0x657da3d4,0x7c3b42e0,0x61e9a3d5}},	//   ping_, _mash, usur, _ikel, 
   {{0x7c3ba3d6,0x69c4a3d7,0x7d1b0e95,0x657da3d8}},	//   rsur, _smie, scus, _lash, 
   {{0x7c2202ba,0x68eda2dc,0x61fb2836,0xdb1aa3d9}},	//   _etor, _ayad, _khul, entó, 
   {{0x657da3da,0xdea3006b,0x68ed2a0a,0x7c3b020f}},	//   _nash, _میڈی, _byad, psur, 
   {{0x8c450665,0x7bc8a3db,0x2d8f0762,0x68ed016c}},	//   _селе, bidu, _inge_, _cyad, 
   {{0x7bc8a3dc,0x657d0664,0x4422a3dd,0x00000000}},	//   cidu, _aash, _rtk_, --, 
   {{0x657da3de,0x4422a3df,0x69c4003d,0x61e9a3e0}},	//   _bash, _stk_, _tmie, _okel, 
   {{0x69c42d27,0x60db0095,0x61e907d7,0xf5b51b2d}},	//   _umie, _oxum, _nkel, асую, 
   {{0x657da3e1,0x60db0026,0x81cc0033,0xa49b01f5}},	// [a0e0] _dash, _nxum, রকম_, _sgòr, 
   {{0x61fb01ca,0x00000000,0x00000000,0x00000000}},	//   _ahul, --, --, --, 
   {{0x657da3e2,0x200c245e,0xf53f02ae,0x6b9c1618}},	//   _fash, _ridi_, _plåt_, örgi, 
   {{0x657da3e3,0x61fba3e4,0x2247014b,0x7bc8a3e5}},	//   _gash, _chul, ánka_, zidu, 
   {{0x44220730,0x261a000f,0x61fba3e6,0x8fa6a3e7}},	//   _utk_, _मंडी_, _dhul, ладе, 
   {{0x2d8fa3e8,0x61e9a3e9,0x7bc816cd,0x657d0610}},	//   _ange_, _ekel, xidu, _zash, 
   {{0x200c02f5,0x657da3ea,0x52750a66,0x61fb0557}},	//   _vidi_, _yash, _куту, _fhul, 
   {{0x9f5e030f,0x7bc800ab,0x91e6304a,0x61fb213b}},	//   _sitä_, widu, _собе, _ghul, 
   {{0x161600b0,0x00000000,0x00000000,0x00000000}},	//   _दूसर_, --, --, --, 
   {{0x2912a3eb,0x99860009,0x2d8fa3ec,0xc01700d1}},	//   _agya_, kslų_, _enge_, _עקבו_, 
   {{0x7bc8a3ed,0x68ed02f6,0xdb1a08cc,0x7c220035}},	//   ridu, _syad, vitä, _wtor, 
   {{0x2eb00a09,0x7bc8a3ee,0x76410028,0x61fb021e}},	//   जनीत, sidu, šlyk, _xhul, 
   {{0x7bc8a3ef,0x8c4309f9,0xab94017b,0xf8bf0096}},	//   pidu, _гече, _вилі, mbék_, 
   {{0x291201a3,0x68ed018e,0x00000000,0x00000000}},	//   _egya_, _vyad, --, --, 
   {{0x657da3f0,0xdb1aa3f1,0x163500fd,0x8b65009c}},	//   _pash, ritä, ребя, _خانم, 
   {{0x657da3f2,0xb5a40009,0xca470038,0x291202a5}},	//   _qash, бруй, _إليه_, _ggya_, 
   {{0x657da3f3,0xdb1aa3f4,0xf53f6427,0xdce20098}},	// [a0f0] _vash, pitä, _slås_, _oboč, 
   {{0x61fb95a0,0x657da3f5,0x61e9a3f6,0x7e7a14a1}},	//   _shul, _wash, _skel, _ostp, 
   {{0x657d57dc,0x92590088,0x5695a3f7,0x61fba3f8}},	//   _tash, тает_, _тант, _phul, 
   {{0x657da3f9,0x00000000,0x00000000,0x00000000}},	//   _uash, --, --, --, 
   {{0x752d9013,0x4f9529c3,0xdcf901f2,0x00000000}},	//   mbaz, ирку, _vawċ, --, 
   {{0x4429a3fa,0x3f6907d2,0x61fb02a2,0x644d01c5}},	//   mpa_, тико_, _whul, mrai, 
   {{0x61fba3fb,0xfd1100eb,0xf7740070,0xe2f8004e}},	//   _thul, يجة_, מקס_, _бері_, 
   {{0x1c45a3fc,0x4429a3fd,0x644d00a0,0xada53f4b}},	//   аним, opa_, orai, раил, 
   {{0x4429386c,0x644d0544,0xdb18014e,0xdb0a00f6}},	//   npa_, nrai, _omvä, _alfà, 
   {{0x4429a3fe,0x5ba912ef,0x7ff70038,0x644d0151}},	//   ipa_, тком_, _إسرا, irai, 
   {{0x644d8b85,0xaa4900fd,0x752d0216,0x44293983}},	//   hrai, ъпна_, kbaz, hpa_, 
   {{0x2d8f155b,0x660fa3ff,0x644da400,0xdb0102d9}},	//   _unge_, _nick, krai, chlý, 
   {{0xac2700b3,0xf0ad0259,0x00000000,0x00000000}},	//   _сфек, здiң_, --, --, 
   {{0x644da401,0x7c292c33,0xdcfb265d,0x15b900f0}},	//   drai, mper, nduč, қысы_, 
   {{0xe7370906,0x7c29055a,0x4429a402,0x62850098}},	//   рес_, lper, epa_, jvho, 
   {{0x644d7854,0xf53f0533,0x248da403,0xa526a404}},	//   frai, _slår_, _šema_, рмад, 
   {{0x644da405,0x7c29a406,0x660fa407,0xb4250b7e}},	// [a100] grai, nper, _dick, معلو, 
   {{0xdcfb846c,0xdb0101e8,0x7c29a408,0xcb1200c7}},	//   jduč, rklæ, iper, ַלד_, 
   {{0x673ca409,0x644d0a75,0x660fa40a,0x4429a40b}},	//   marj, arai, _fick, apa_, 
   {{0x673ca40c,0x7c292ec9,0x44290102,0x644b5f27}},	//   larj, kper, bpa_, ágic, 
   {{0x66041ab9,0x644d0ae7,0x261c0068,0xc05a00b3}},	//   mmik, crai, _hío_, трец_, 
   {{0x673ca40d,0x7c29a40e,0x6604a40f,0xd17500f0}},	//   narj, dper, lmik, _қысы, 
   {{0x2eb000c9,0x7c29a410,0xe297a411,0x3243a412}},	//   जनेत, eper, _кар_, _мерг, 
   {{0x91e31c93,0x261c05b9,0xef1800e0,0x127b0147}},	//   _досе, _mío_, _daļa_, _באלע, 
   {{0x673c58e1,0x261c00e9,0x7c29a413,0x0cb40033}},	//   karj, _lío_, gper, ঞপ্ত, 
   {{0x673ca414,0xeb06a415,0xed59044e,0xdb1802ae}},	//   jarj, ично, dižu_, _omvå, 
   {{0x673ca416,0xdee600cf,0x77b00219,0xb4db0054}},	//   darj, _тожи, _växl, _adàl, 
   {{0x4429a417,0xdb0102ae,0x644d00f8,0x6e2a0502}},	//   ypa_, dklä, yrai, mpfb, 
   {{0x98b20118,0xf7730038,0x752d0216,0x00000000}},	//   _feyč_, ياس_, vbaz, --, 
   {{0x644d0518,0x261c0369,0x673ca418,0x65b102ae}},	//   vrai, _bío_, garj, _påho, 
   {{0x7a1300b3,0x660fa419,0x9f470218,0x6b9c003e}},	//   _bătu, _pick, fonê_, örgu, 
   {{0x644da41a,0xd5b8a41b,0x48aba41c,0x3860007b}},	//   trai, асу_, _атом_, _fqir_, 
   {{0x752da41d,0x644da41e,0x673ca41f,0xdb010038}},	// [a110] rbaz, urai, barj, bhló, 
   {{0x644da420,0x4429a421,0x261c03da,0x673c8e62}},	//   rrai, rpa_, _fío_, carj, 
   {{0x644da422,0x7c29a423,0x660f51b4,0x321802be}},	//   srai, zper, _tick, _cury_, 
   {{0xf595003f,0x48fe031e,0x2eb00a09,0x9f470098}},	//   _الحج, रेको_, जनैत, dlná_, 
   {{0x702200cc,0xe0d017bc,0xf41f02ae,0xf8bf0106}},	//   _নিউজ_, وزه_, _kräm_, nzé_, 
   {{0x9f4700e5,0xa29502c8,0xdb03009e,0x7c29364f}},	//   monë_, _лагі, _donê, vper, 
   {{0x7c2902b0,0x9d4500f0,0x98ab0083,0x9f47021e}},	//   wper, бейд, racę_, lonë_, 
   {{0x7c290347,0x673ca424,0x9f4501c5,0x98b20300}},	//   tper, zarj, _chlò_, _seyč_, 
   {{0xb4f52b69,0x7c2900b9,0xf8bf0096,0x00000000}},	//   _आरोप_, uper, ncéd_, --, 
   {{0x7c29a425,0xe4fa0484,0x7c2da426,0x6604a427}},	//   rper, ्धति_, _çarm, zmik, 
   {{0x673ca428,0x23b6003e,0x9f472597,0x6604040c}},	//   varj, _jæja_, yonê_, ymik, 
   {{0x261c1056,0x7bf9004e,0x3e6141d4,0x7c29a429}},	//   _río_, _өнер_, mót_, pper, 
   {{0x673ca42a,0x3e61010e,0xd2f4031e,0xa2f4009a}},	//   tarj, lót_, _अर्ब_, _अर्ज_, 
   {{0x17c803dc,0xab260b68,0x261c1771,0xdca27343}},	//   рҳои_, _лоша_, _pío_, _хаши, 
   {{0x673ca42b,0x7a130474,0x00000000,0x00000000}},	//   rarj, _pătu, --, --, 
   {{0x673ca42c,0xd01f0086,0xdb011774,0x09e300fd}},	//   sarj, নীয়_, rklä, _нощн, 
   {{0x436a00b9,0x673c4c5e,0xdb0112b7,0x9f470216}},	// [a120] лаан_, parj, sklä, ronê_, 
   {{0x261c0634,0x2a6e0126,0xe29a1b3d,0xccf20225}},	//   _tío_, _ypfb_, лаз_, לכן_, 
   {{0xdb1a0496,0x9f4c001b,0xdd11008a,0x3e6135b6}},	//   titú, _đoàn_, _ażżm, jót_, 
   {{0xdcff02d9,0x386b010c,0x3e61a42d,0x00000000}},	//   ávěr, _çirî_, dót_, --, 
   {{0x2eb002d9,0x00000000,0x00000000,0x00000000}},	//   जन्त, --, --, --, 
   {{0xc05902fb,0xd9a500a2,0xdefa0088,0x25b2a42e}},	//   рії_, _ऑक्ट, лый_, lkyl_, 
   {{0x877b0070,0xf8bf039f,0xf77300d1,0x00000000}},	//   ראצי, zzé_, פקה_, --, 
   {{0x25a05fe6,0x6576a42f,0x5d5409f9,0x00000000}},	//   njil_, neyh, цкит, --, 
   {{0x77b0014e,0x5bb8a430,0xe0da02a6,0x3a270175}},	//   _växj, илия_, _сва_, _atnp_, 
   {{0xf8bf026a,0xdb030cc6,0x7f430080,0x3e61a431}},	//   ncée_, _konè, _неуж, bót_, 
   {{0x77ab0095,0x25a0016a,0xc33307e4,0x8d86864e}},	//   _müxt, kjil_, הות_, _гулд, 
   {{0x6456a432,0xdb03a342,0xadfa0296,0xada3a11b}},	//   kuyi, _zonë, _صراط_, _нахл, 
   {{0x5c0601fc,0xf8b9022c,0x3eae02ae,0xacf61c03}},	//   _ляка, рөй_, lyft_, _اسات, 
   {{0x7bcf026a,0xda34002e,0x9b9444d7,0x00000000}},	//   écut, _декы, _фикц, --, 
   {{0x7bca02b8,0x28c500b0,0x7d270175,0xdb1a0b48}},	//   _imfu, _लइकि, _éssé, ditø, 
   {{0x2d84a433,0x58d500fd,0xf9932ad7,0x645601b8}},	//   ndme_, _мойт, _ربع_, fuyi, 
   {{0x64a40316,0x69cfa434,0x3494a435,0x3e61010e}},	// [a130] паѓа, mice, патр, zót_, 
   {{0x261a00ab,0xdb030237,0x00000000,0x00000000}},	//   _मूवी_, _bonè, --, --, 
   {{0xdb0300d3,0x02d90c72,0x56f20f82,0xa5f9021d}},	//   _conè, جواب_, _жүрс, _вену_, 
   {{0x9f4c001b,0x64567f45,0x50f521bd,0x00000000}},	//   _đoán_, buyi, озет, --, 
   {{0x3dcda436,0x213d00a4,0x8fa5170f,0xa6bb0033}},	//   view_, rawh_, жале, _উখিয়, 
   {{0xb4b500e6,0x623503dc,0x3e610019,0x320607fc}},	//   जनी_, _мегу, tót_, amoy_, 
   {{0x998900ab,0x2489190b,0x82a400f0,0x39490237}},	//   _miał_, lvam_, _еште, _odas_, 
   {{0x0c257f1f,0x7bcaa437,0x63a751c4,0xec4964c9}},	//   омин, _amfu, _hojn, азил_, 
   {{0x9f4740f7,0x00000000,0x00000000,0x00000000}},	//   yonè_, --, --, --, 
   {{0x394999a8,0xdb030175,0xfbc5004f,0x9f4700d7}},	//   _adas_, _honé, ібно, koné_, 
   {{0xe9da275d,0x63a7a438,0x69cfa439,0xdb03033e}},	//   ико_, _mojn, fice, _koné, 
   {{0x61eba43a,0x69cf05d5,0x39490126,0x7a1300b3}},	//   nogl, gice, _cdas_, _bătr, 
   {{0x7a13002e,0x0bb800f6,0x3e4501dd,0xdb0378d2}},	//   _cătr, ртөө_, lēt_, _moné, 
   {{0xe737a43b,0x63a7006d,0xab29a43c,0x25b9012b}},	//   жер_, _nojn, _тока_, _alsl_, 
   {{0x32060102,0x6b83a43d,0x3e4501dd,0x316d2d5e}},	//   ymoy_, _iang, nēt_, _obez_, 
   {{0x28c50bd3,0x6d5b77ae,0x6b83a43e,0x452a94b5}},	//   _लेकि, ngua, _hang, ржан_, 
   {{0x6b83a43f,0x61eba440,0x6d5b0183,0x63a749f8}},	// [a140] _kang, dogl, igua, _bojn, 
   {{0x6b8394ae,0x7984a441,0x7c2400eb,0x798602b0}},	//   _jang, _haiw, _éire, ldkw, 
   {{0x79840175,0xe5a6a442,0xdb03a443,0x61eba444}},	//   _kaiw, _дини, _boné, fogl, 
   {{0x216a03dc,0xdb03a445,0x61eb238d,0x3e4501dd}},	//   риди_, _coné, gogl, dēt_, 
   {{0x63a71993,0x7984a446,0x00da0e90,0x6d5b0626}},	//   _fojn, _maiw, جبات_, dgua, 
   {{0x5f93a447,0x69cfa448,0x6d4f3125,0xdb030237}},	//   дишт, zice, ócan, _tonè, 
   {{0x179b0056,0xdb1a00e5,0xdb03a449,0x4420a44a}},	//   ייסב, shtë, _foné, lqi_, 
   {{0x6b8301b2,0x79842837,0x61eb0093,0x6d5b3446}},	//   _aang, _naiw, cogl, ggua, 
   {{0x644482ff,0x442000ad,0x69cfa44b,0x2d820032}},	//   nsii, nqi_, vice, ľke_, 
   {{0x6b831a3b,0x705300c5,0x64440088,0x628e014b}},	//   _cang, _آنلا, isii, _krbo, 
   {{0x3e4500e0,0x261a00b0,0x6b83a44c,0x1e86401f}},	//   cēt_, _मूली_, _dang, _флем, 
   {{0x64442ca3,0x6b83a44d,0x798401d2,0x7bcf0151}},	//   ksii, _eang, _caiw, écur, 
   {{0x6d40a44e,0xdd8f195e,0x6b83a44f,0x28c50f8c}},	//   mama, _جون_, _fang, _लेखि, 
   {{0x6d40a450,0x69cfa451,0xcb6702a6,0x7bcaa452}},	//   lama, sice, _даље_, _umfu, 
   {{0x63a7010c,0x69cfa453,0xb5a7537a,0x00000000}},	//   _rojn, pice, орай, --, 
   {{0x6d40a454,0x6b83a36b,0x9f47009c,0x63a7006d}},	//   nama, _zang, roné_, _sojn, 
   {{0x6b83a455,0x54550141,0xb4b532d8,0x63a7006f}},	// [a150] _yang, яват, जने_, _pojn, 
   {{0x6d40a456,0x6b83a457,0xc2e90086,0x7bda008c}},	//   hama, _xang, _কৃষি_, nntu, 
   {{0x6d400f45,0x25090a5a,0x65aa05a8,0x644401b8}},	//   kama, _گردی_, _výhr, asii, 
   {{0xf67a0137,0x1a9b00c7,0xa1597c6c,0x05b9006b}},	//   _פארמ, ייבע, саду_, _اگست_, 
   {{0x6d40a458,0x61eba459,0x859a00a7,0x628e541f}},	//   dama, rogl, _השרו, _erbo, 
   {{0x3e4501dd,0xf8bf0068,0x61eba45a,0x7c2d09c7}},	//   tēt_, lbés_, sogl, _çari, 
   {{0x6d400b98,0x4439a45b,0x313519aa,0x628e0571}},	//   fama, _hws_, _невр, _grbo, 
   {{0x6d4016e9,0x753d006a,0x443901a0,0x7bdaa45c}},	//   gama, _jesz, _kws_, entu, 
   {{0x6b832e9a,0x6d5ba45d,0xe80000bc,0x3e450243}},	//   _pang, rgua, ोगमा_, sēt_, 
   {{0x69dd0518,0x753d4000,0x6d5b240a,0x69cd00f8}},	//   éren, _lesz, sgua, _amae, 
   {{0x656f294c,0x4439a45e,0xddc800e0,0x442b084c}},	//   _obch, _lws_, žoša, _ltc_, 
   {{0x6d40a45f,0x7bda0088,0x3f854e3e,0x44390102}},	//   cama, antu, _halu_, _ows_, 
   {{0x44391124,0x3f85a460,0x7bda0201,0xe981004e}},	//   _nws_, _kalu_, bntu, тқын, 
   {{0x61a8058f,0x6b83a461,0x7984a462,0x3f85033e}},	//   _कक्ष, _uang, _waiw, _jalu_, 
   {{0x753d006b,0x4439a463,0xcf9200c7,0x7aee0098}},	//   _besz, _aws_, עטל_, čité, 
   {{0x3f85a464,0x741600eb,0xe5a3a465,0x644435ae}},	//   _lalu_, كورا, ниси, tsii, 
   {{0xa507a466,0x39420077,0x75243c88,0x437600c8}},	// [a160] зета_, maks_, rciz, зует, 
   {{0x6d40a467,0xb903a468,0x4420a469,0x3942a46a}},	//   zama, _язык, rqi_, laks_, 
   {{0x6d40a46b,0x442b9f90,0x753d0019,0x64441f18}},	//   yama, _etc_, _fesz, ssii, 
   {{0x6d404440,0x628e0397,0x80cd0c46,0x4439a46c}},	//   xama, _vrbo, _देहे, _fws_, 
   {{0x6d40a46d,0x3f85a46e,0x4420a46f,0x9f45020b}},	//   vama, _balu_, qqi_, _sklá_, 
   {{0x6d4ba470,0x661e0304,0x6d406ca2,0x68f600c8}},	//   _adga, _kupk, wama, _myyd, 
   {{0x6d40a137,0x7c2b00e0,0x59dc01ec,0x3f85a471}},	//   tama, _atgr, मचार, _dalu_, 
   {{0x80cd119b,0xdef90904,0x661e00ef,0x3942007e}},	//   _देवे, цыі_, _mupk, jaks_, 
   {{0x6d40a472,0x661e00d2,0x443901a0,0x442b01d2}},	//   rama, _lupk, _xws_, _xtc_, 
   {{0x6d40a473,0x3f85a474,0x7ae3084c,0x7bdaa475}},	//   sama, _galu_, _bxnt, untu, 
   {{0x21fc031e,0x2900a476,0x3942a477,0x6d4601d5}},	//   ního_, _azia_, faks_, ókas, 
   {{0x6d402fce,0x629a0107,0x4efb008d,0x3f85039b}},	//   qama, _àtou, _פלאג, _zalu_, 
   {{0x2ac2026d,0x3a201ba0,0x753d23f8,0xed57a478}},	//   _bébé_, _čipu_, _resz, _хоч_, 
   {{0x67fb009e,0x00000000,0x00000000,0x00000000}},	//   rîjo, --, --, --, 
   {{0x442b0226,0x44390096,0x248200e2,0x3942a479}},	//   _stc_, _sws_, _askm_, baks_, 
   {{0x44390090,0x3ea10080,0x69cd018e,0x00000000}},	//   _pws_, ähti_, _umae, --, 
   {{0x753d006b,0xf8bf0742,0x44392a29,0x673e0026}},	// [a170] _vesz, rbés_, _qws_, _fepj, 
   {{0x6ad00086,0x442b00e7,0x051d0033,0x443901d2}},	//   _সুযো, _vtc_, তরের_, _vws_, 
   {{0x753d006b,0x2247010e,0x69dda47a,0x27e40032}},	//   _tesz, énk_, onse, émne_, 
   {{0x3135a47b,0x44390201,0x3f85a47c,0x69dda47d}},	//   федр, _tws_, _salu_, nnse, 
   {{0xc5fb058f,0x3f853994,0x656da47e,0x29d20a1a}},	//   ्षीय_, _palu_, mfah, kšan_, 
   {{0x140800a2,0xdfd10038,0x394213b0,0x6f1a00f6}},	//   वगृह_, ضيع_, zaks_, _cgtc, 
   {{0x21fc031e,0x63a3008c,0x3f85a47f,0xada54127}},	//   cího_, önnu, _valu_, дайл, 
   {{0x629a1a35,0x69dd01c8,0x656d0380,0xa4c00213}},	//   _štog, jnse, nfah, nüşü_, 
   {{0xf09f0107,0x3f8564b2,0x3942007e,0x213f005f}},	//   _çà_, _talu_, vaks_, _ieuh_, 
   {{0x765500ab,0xdb1aa480,0x213f0096,0x6d465616}},	//   krzy, ditó, _heuh_, ókar, 
   {{0xf1c4031e,0x3942a481,0x29000019,0x656d59e7}},	//   लोकन, taks_, _szia_, kfah, 
   {{0x6d4b01cc,0xbcb5093d,0x68f600c8,0x213f0175}},	//   _udga, _обещ, _pyyd, _jeuh_, 
   {{0xe87c03b0,0x21fc00bc,0x656d0380,0x76550035}},	//   _düşü, zího_, dfah, erzy, 
   {{0x39420077,0x213f002c,0xa84d00d8,0x00000000}},	//   saks_, _leuh_, énář_, --, 
   {{0xdb03026e,0xe9d20038,0x7bc125c2,0x7a4202d9}},	//   _koní, _لغة_, mhlu, _vítá, 
   {{0x68f60080,0x290001d6,0x656d0502,0x9f4700b9}},	//   _tyyd, _tzia_, gfah, doní_, 
   {{0xd467a482,0x600403a1,0x261a0466,0x673e0126}},	// [a180] мите_, lòme, _मंकी_, _tepj, 
   {{0x213f0175,0x67220fcf,0x7bc1a483,0x656d0379}},	//   _aeuh_, _मलिक_, nhlu, afah, 
   {{0x38cb00c5,0xa3af05d2,0xf8bf49b4,0x777c0068}},	//   _هایی_, _ओकर_, ncén_, merx, 
   {{0x20059f6f,0xbbaa1516,0x765c0199,0x02de296a}},	//   _ahli_, _चक्क, mury, _मशीन, 
   {{0x3940a484,0x7bc1097d,0x213f002c,0x1f7425c0}},	//   _meis_, khlu, _deuh_, елля, 
   {{0x3940a485,0x44320db7,0x7bc1a486,0xdce001dd}},	//   _leis_, mpy_, jhlu, zemē, 
   {{0x9e06a487,0x2e4a0093,0xdb0303dd,0x69dda488}},	//   мчил, цяло_, _boní, ynse, 
   {{0xdb0303c2,0x248d0ab4,0x3940a489,0x201f0175}},	//   _coní, _šemi_, _neis_, _fuui_, 
   {{0xa06a6b38,0x7f43016c,0xf1bd0035,0x9be6004f}},	//   _фаза_, banq, ्फरन, дінк, 
   {{0x765ca48a,0x7bc1a48b,0x0a6aa48c,0x5a3400fd}},	//   kury, ghlu, орми_, ннот, 
   {{0x213f005f,0x6fb3009c,0x2d860226,0x8aa3004f}},	//   _yeuh_, _جملا, _taoe_, вряд, 
   {{0x24800640,0x8d930038,0x81b00033,0x765c0028}},	//   kwim_, _للمش, টোর_, dury, 
   {{0xc864a48d,0x69dda48e,0x394000eb,0x7bc10201}},	//   ктри, rnse, _deis_, bhlu, 
   {{0x7d02090e,0x765500ab,0x7bc1404d,0x6004022c}},	//   _izos, trzy, chlu, lòmb, 
   {{0x9a83005e,0xc1ee07d5,0xdb1a12aa,0x39400d44}},	//   _ауыл, जवाब_, sitó, _feis_, 
   {{0x69d6010e,0xdb1a00b9,0x656d018e,0x00000000}},	//   ézet, pitó, ufah, --, 
   {{0x656d02f2,0x4395a48f,0xe9df0228,0xa4c00e03}},	// [a190] rfah, наас, mnú_, rüşü_, 
   {{0x765c0199,0xe9df0228,0x63a5006d,0x76550035}},	//   bury, lnú_, ujhn, przy, 
   {{0x77b0014e,0x33f40219,0x41552b65,0xe9df007a}},	//   _växt, växt_, евес, onú_, 
   {{0xe9dfa490,0x397c0070,0x9f47022c,0x29d20144}},	//   nnú_, ַטונ, roní_, jšal_, 
   {{0xe4e700dd,0x660d4a7c,0x7d02019b,0x7f430173}},	//   _цінн, mmak, _nzos, tanq, 
   {{0x660da491,0xe9df00eb,0x01c90019,0x4092091d}},	//   lmak, hnú_, _کورٹ_, الور, 
   {{0xfe71086b,0x7f430169,0xdb03a492,0x7bc1023b}},	//   ادت_, ranq, _poní, vhlu, 
   {{0x660da493,0x2247063b,0x4c854854,0xe9df0032}},	//   nmak, ánku_, елив, jnú_, 
   {{0xe9df0187,0xcc880023,0xf41f02ae,0x7d020083}},	//   dnú_, _cớ_, _grät_, _czos, 
   {{0x39401408,0x660da494,0x5ac90f67,0xdd1d107c}},	//   _seis_, hmak, злом_, _fâşi, 
   {{0xa3b705d2,0x660da495,0x777c0068,0x7d0290f1}},	//   _जवन_, kmak, verx, _ezos, 
   {{0x3ce003ef,0x29d200d2,0x7bc1a496,0xa9a6040c}},	//   _žive_, ršao_, shlu, химд, 
   {{0x777c0068,0x6e210065,0x66e30148,0xb4ae0c46}},	//   terx, _hulb, ҳора, _कथे_, 
   {{0x29d200ef,0x39400380,0x660d9364,0x6e21a497}},	//   pšao_, _weis_, emak, _kulb, 
   {{0x3940a498,0xe9df0228,0x6e2102ae,0x7f41008a}},	//   _teis_, bnú_, _julb, _melq, 
   {{0x660da499,0x6e21139f,0x386900a4,0x64a6a49a}},	//   gmak, _mulb, _fqar_, наба, 
   {{0xb7b3022c,0x765ca49b,0xf8bf002c,0xe406a35c}},	// [a1a0] _өөрч, sury, ncél_, езап, 
   {{0x26cc5898,0xb4e0009a,0x4386003f,0xa686a49c}},	//   údos_, _तशी_, علاق, _злод, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xe0466e36,0x64a600cb,0x5066a49d,0x4432a49e}},	//   енди, _зама, етка, ppy_, 
   {{0x4424107c,0x248000e2,0x9f470054,0x351b00d1}},	//   _îm_, qwim_, fonà_, _מוכנ, 
   {{0x8fa3a49f,0xe9dfa4a0,0xf41f0080,0x442200b4}},	//   лаче, znú_, _eräs_, _iuk_, 
   {{0x539b0056,0x442240f0,0xa3dd00b0,0xf41f02ae}},	//   _צילו, _huk_, तचर_, _fräs_, 
   {{0x4422882e,0x715900d3,0xf41f0219,0xa7fb0126}},	//   _kuk_, _орус_, _gräs_, muñe, 
   {{0x4422012d,0x63ae0112,0xe9df0228,0x29d2015e}},	//   _juk_, _kobn, vnú_, ršal_, 
   {{0x7ac65dcc,0x660d00e0,0x4f840019,0xcc880023}},	//   есме, zmak, _جارہ, _vớ_, 
   {{0x19593dce,0x4422a4a1,0x6e21a4a2,0x2ec617ba}},	//   маны_, _luk_, _gulb, _ثقاف, 
   {{0xcc88001b,0x3ce60201,0xdb0300b9,0x44220118}},	//   _tớ_, _txov_, _donà, _ouk_, 
   {{0x4422097b,0x98b80093,0xe9df0228,0x56940259}},	//   _nuk_, елят_, rnú_, қатт, 
   {{0xc5fb0509,0x8c1b00d1,0xe9df4604,0xaa5800d9}},	//   ्ष्य_, _זוגי, snú_, _жику_, 
   {{0x4422a4a3,0x660da4a4,0x2bf70486,0x3e4c02d9}},	//   _auk_, tmak, _רמון_, nět_, 
   {{0x7c220088,0x6b8a8dfd,0x00000000,0x00000000}},	//   _kuor, _hafg, --, --, 
   {{0x660da4a5,0x44220891,0x63ae5f73,0x67fb010c}},	// [a1b0] rmak, _cuk_, _bobn, hîji, 
   {{0x4422a4a6,0x7c220093,0x660da4a7,0x6d4207d7}},	//   _duk_, _muor, smak, _leoa, 
   {{0xdb03014b,0xdb180369,0x660da4a8,0xd25b07df}},	//   _koná, _olví, pmak, яца_, 
   {{0xa2d5047b,0x3e4c000d,0x248d0a1a,0xdb034620}},	//   _येण्, dět_, _šemu_, _joná, 
   {{0x7c2227a6,0xf8b32a48,0xdb030068,0x7f4100e5}},	//   _nuor, ुनिय, _moná, _pelq, 
   {{0x25a9a4a9,0x6e21a4aa,0x657f0026,0x7f41021e}},	//   ljal_, _pulb, leqh, _qelq, 
   {{0x44220a9f,0x00000000,0x00000000,0x00000000}},	//   _zuk_, --, --, --, 
   {{0x25a9a4ab,0xc694035c,0x4422a4ac,0x63ae008b}},	//   njal_, ראק_, _yuk_, _zobn, 
   {{0x7c220141,0x6d42002e,0x1c422ac0,0x705800b3}},	//   _cuor, _deoa, аным, _патр_, 
   {{0x8b95117c,0x629500ef,0x7c2202a5,0x6e21a4ad}},	//   трич, _krzo, _duor, _tulb, 
   {{0x25a9309f,0x00000000,0x00000000,0x00000000}},	//   kjal_, --, --, --, 
   {{0x7c220141,0x62950ab4,0x3eba004f,0x6d42a4ae}},	//   _fuor, _mrzo, øpte_, _geoa, 
   {{0xef1800e0,0xbb850038,0xdb03a4af,0x09e30176}},	//   _daļu_, _للشي, _doná, роян, 
   {{0x44220876,0x00000000,0x00000000,0x00000000}},	//   _ruk_, --, --, --, 
   {{0xf7430849,0x4422a4b0,0x7c220502,0x07a30afc}},	//   ресо, _suk_, _zuor, шарн, 
   {{0x63aea4b1,0x645f0034,0xef180243,0x00000000}},	//   _sobn, fuqi, _gaļu_, --, 
   {{0x63ae006d,0x6295a4b2,0xa80600d3,0xa523a4b3}},	// [a1c0] _pobn, _arzo, _изил, рмуд, 
   {{0x4422003a,0x35c60035,0x25a900c2,0x00000000}},	//   _vuk_, रोज़, ajal_, --, 
   {{0x2002012d,0xdb030019,0xb9930535,0x00000000}},	//   _ūkio_, _elnö, _صلیب, --, 
   {{0xa7fb03da,0x2c6b02c9,0x3e4c02d9,0xf41f0080}},	//   ruñe, kød_, vět_, _isän_, 
   {{0xf99300fe,0x644308b1,0x415307f4,0x4fc6a4b4}},	//   ירא_, ćnic, рвіс, кска, 
   {{0x60040cd7,0x6d420042,0x6564003e,0x2c6b00fb}},	//   fòma, _seoa, lgih, død_, 
   {{0x7c22030f,0xe126527c,0x29d21c2b,0x221650db}},	//   _suor, _амби, ršaj_, _афар, 
   {{0x6564137f,0x00000000,0x00000000,0x00000000}},	//   ngih, --, --, --, 
   {{0x6d4200c2,0x7dde0243,0xdb1aa4b5,0x00000000}},	//   _veoa, nīsi, nitö, --, 
   {{0x7c220088,0x61e227fa,0x69c60096,0x3e4c00d8}},	//   _vuor, lnol, ehke, pět_, 
   {{0xdea30274,0xa5b300c9,0xdee3a4b6,0x5ea60198}},	//   _نیوی, _इकलौ, _кофи, _جمال, 
   {{0x61e2a4b7,0x7c220088,0x3f8ca4b8,0x3ed90070}},	//   nnol, _tuor, _hadu_, _אַנא, 
   {{0x3f8ca4b9,0x7c2d05b7,0xdca60176,0x35b50240}},	//   _kadu_, _çarp, _шади, қбар, 
   {{0xb8cb18f2,0x7dde01dd,0x6b8a02c9,0x3f8ca4ba}},	//   _गप_, dīsi, _uafg, _jadu_, 
   {{0x8c1b00fe,0xf1b902ee,0xda0700b3,0x00000000}},	//   _קווי, _hiše_, _ичип, --, 
   {{0x69c602ec,0xdb1aa4bb,0xf1b90704,0x61e26958}},	//   chke, chtá, _kiše_, jnol, 
   {{0x33750021,0x25a9a4bc,0xa5f8442e,0x61e26970}},	// [a1d0] лгар, rjal_, тету_, dnol, 
   {{0x248d00ef,0x6564012b,0x61e20183,0xf1b90588}},	//   _šems_, agih, enol, _miše_, 
   {{0x798da4bd,0x2d8d0b29,0x301500f0,0x00000000}},	//   _kaaw, ydee_, ңдер, --, 
   {{0x61e2a4be,0x3f9ea4bf,0xfb1500c7,0x3f8c01a4}},	//   gnol, _antu_, אַנט_, _aadu_, 
   {{0x80cd006a,0x645f02f1,0x798d06e4,0x7fd500e4}},	//   _देखे, quqi, _maaw, лікі, 
   {{0xa5bb2888,0x3f8ca4c0,0x661d9a8b,0x644da4c1}},	//   _bióg, _cadu_, _hisk, msai, 
   {{0xf1b902fe,0x4429a4c2,0x661da4c3,0x2f5400dd}},	//   _aiše_, lqa_, _kisk, ртіс, 
   {{0x661da4c4,0x0d851ee6,0x644da4c5,0x3ea90b43}},	//   _jisk, улин, osai, ćat_, 
   {{0xa3b70081,0x644da4c6,0x53b72158,0x4429a4c7}},	//   _जवा_, nsai, _आकाश, nqa_, 
   {{0x3f8ca4c8,0x09dc02f8,0xfce318ae,0xdaa97f7f}},	//   _gadu_, मच्य, лоқо, евод_, 
   {{0xd946a4c9,0xa96a0ab5,0x06d80033,0x798d0547}},	//   лени, нина_, _দুনি, _baaw, 
   {{0x7c9504bc,0x644da4ca,0xbf0f00b0,0xdcfb0864}},	//   _مشتا, ksai, ाधीन_, leuč, 
   {{0xeb8ea4cb,0x798d0053,0x6d49a372,0x644d0243}},	//   _ли_, _daaw, maea, jsai, 
   {{0x69c6a4cc,0xe804034d,0x661d3ec8,0x44292789}},	//   shke, _शीशा_, _aisk, dqa_, 
   {{0x6b8199da,0x661da4cd,0x959a9624,0xfbd000d7}},	//   melg, _bisk, нтау_, _بتن_, 
   {{0x61e2369b,0x88863a5f,0x661da4ce,0x7dde01dd}},	//   xnol, _ближ, _cisk, tīsi, 
   {{0xb0d200ab,0x69c4a4cf,0x7c292e8c,0x69d602b8}},	// [a1e0] _देंग, _ilie, nqer, _imye, 
   {{0xdb03026a,0x798da4d0,0x69c49d7d,0xdb1a1ece}},	//   _conç, _zaaw, _hlie, ritö, 
   {{0x661d11e8,0x644da4d1,0x50d600d4,0xdb1aa4d2}},	//   _fisk, asai, گزار, sitö, 
   {{0x3f8c99b6,0x249f003a,0x14d500a2,0xd5b100e7}},	//   _sadu_, _šume_, _ठेवण, ết_, 
   {{0x7bc30077,0x644da4d3,0x69c40187,0x61e2a4d4}},	//   _olnu, csai, _mlie, rnol, 
   {{0x61e2a4d5,0x5f9401bb,0xbe8a6c54,0x661d014b}},	//   snol, рикт, есие_, _zisk, 
   {{0x69c4a4d6,0xf1b900ca,0x764e0a98,0x3f8c5912}},	//   _olie, _siše_, nsby, _vadu_, 
   {{0xf1d503a1,0xadb400b9,0x764e040b,0x00000000}},	//   _көчө, рбиш, isby, --, 
   {{0x7bc626eb,0x6b81a4d7,0x9b6a00fd,0x00000000}},	//   ūkum, felg, ншна_, --, 
   {{0xf1b902f5,0xef9100c5,0x6b813811,0x3f9ea4d8}},	//   _više_, _ویند, gelg, _untu_, 
   {{0x69c4a4d9,0x798d011d,0x8cd4017d,0xe7f800c9}},	//   _blie, _paaw, _बेरो, ंकना_, 
   {{0x8c460d97,0x3166a4da,0x764e2032,0x201ea4db}},	//   _беде, ngoz_, dsby, _hiti_, 
   {{0x201ea4dc,0x6fb8009a,0x69c401f5,0x798d052b}},	//   _kiti_, _अवां, _dlie, _vaaw, 
   {{0x69c4a4dd,0x201e0026,0xdb18010e,0x661da4de}},	//   _elie, _jiti_, _elvá, _sisk, 
   {{0x7bda030f,0x44299eaf,0x201e1f49,0xdb0300f6}},	//   mitu, wqa_, _miti_, _ronç, 
   {{0x644da4df,0xa8a70d11,0x69c4a4e0,0xb0c4143e}},	//   tsai, _брок, _glie, वनाग, 
   {{0x661d7b42,0x24580088,0x245500d4,0x03d543ce}},	// [a1f0] _visk, лать_, شناس, ажаю, 
   {{0x644da4e1,0x4429a4e2,0x661d3487,0xf2c7004e}},	//   rsai, rqa_, _wisk, лсен, 
   {{0x644da4e3,0x661da4e4,0x4429a4e5,0xe3bf033c}},	//   ssai, _tisk, sqa_, _cuña_, 
   {{0x7bdaa4e6,0x644d0574,0xa11900eb,0x50b5a4e7}},	//   hitu, psai, نقاط_, ислу, 
   {{0x201e04d1,0xa0a5a4e8,0x4429a4e9,0x629a0068}},	//   _biti_, ралд, qqa_, _áton, 
   {{0x201ea4ea,0x7bdaa4eb,0x3c29003e,0x7e55a4ec}},	//   _citi_, jitu, _rúv_, атиц, 
   {{0x74d90c64,0xda0500a2,0x8c0a0086,0x6b81a4ed}},	//   _नेतृ, रतात_, রদান_, velg, 
   {{0xf2d2042c,0x201e0009,0x225c0032,0x6b810102}},	//   _ועל_, _eiti_, ávke_, welg, 
   {{0x61fb2f53,0x201ea4ee,0x6b81a4ef,0x7bdaa4f0}},	//   _ikul, _fiti_, telg, fitu, 
   {{0x69c4a4f1,0x7bdaa4f2,0x61e900fc,0x24990640}},	//   _slie, gitu, _hjel, _mrsm_, 
   {{0x69c4a4f3,0x61e902fb,0x6b8164b7,0x8d773147}},	//   _plie, _kjel, relg, _ماشا, 
   {{0x6b81a4f4,0x201e2148,0x764e1bde,0x7cd6010e}},	//   selg, _ziti_, vsby, اویز_, 
   {{0x69c409a2,0x61fb1c36,0x6b816e48,0x61e9a4f5}},	//   _vlie, _mkul, pelg, _mjel, 
   {{0x7bda4c6b,0x7bc8a4f6,0x61e90082,0x2d8f264e}},	//   citu, chdu, _ljel, _hage_, 
   {{0x61fb95c0,0x69c4003d,0xd62a1a31,0x2d8f02c9}},	//   _okul, _tlie, тобе_, _kage_, 
   {{0x61e9a303,0x09e30445,0xfaa203dc,0xceb200a7}},	//   _njel, _мощн, _фаъо, חיל_, 
   {{0x9f5e0088,0x9346a4f7,0x6fc500a2,0x232aa4f8}},	// [a200] _yhtä_, инае, वसां, вози_, 
   {{0x2d8fa4f9,0x61fba4fa,0xe29a14fc,0x80a60a24}},	//   _lage_, _akul, каз_, یمان, 
   {{0x61e9056e,0x27f86ae5,0x826a3b46,0xa75b00df}},	//   _bjel, morn_, таев_, _בדיר, 
   {{0x201ea4fb,0xc05a1222,0x61e90f30,0xea760137}},	//   _siti_, вік_, _cjel, יגער_, 
   {{0x61e902b1,0x201ea4fc,0x25a21b2e,0x2499012b}},	//   _djel, _piti_, _inkl_, _grsm_, 
   {{0x7c2400eb,0x3ce00688,0xdb0a0634,0xdfcf00b1}},	//   _éiri, _živo_, _sofí, وين_, 
   {{0x7bdaa4fd,0x201ea4fe,0x61e902fb,0x2d8fa4ff}},	//   vitu, _viti_, _fjel, _bage_, 
   {{0x61e99084,0xdd970a10,0x91e60258,0xdceaa500}},	//   _gjel, ашь_, _тобе, šiče, 
   {{0x2d8f0022,0x201ea501,0xbc6700eb,0x2900006d}},	//   _dage_, _titi_, لمين_, _nyia_, 
   {{0x90e500d4,0xc5e347bd,0x201e00b3,0x00000000}},	//   _اسفن, _गद्य_, _uiti_, --, 
   {{0xbeaa00c5,0xf1b902ee,0xfba70504,0xfbcf0195}},	//   _جهان_, _hiša_, ртый_, بتي_, 
   {{0x7bda7707,0xdebb0111,0xf1b9003a,0x2d8f5f93}},	//   situ, _שמאל, _kiša_, _gage_, 
   {{0x6e28063b,0x6c34009c,0x2d84a502,0x394b3869}},	//   _hudb, _افتا, meme_, racs_, 
   {{0x2d84a503,0xf1b9032f,0xc7c4a504,0x248b085b}},	//   leme_, _miša_, осси, _rscm_, 
   {{0x394ba505,0x69dda506,0x7bd80199,0x66b44147}},	//   pacs_, éres, _imvu, обру, 
   {{0xdcfb03c0,0xf99f16c2,0x2d84a507,0xfa330195}},	//   nduğ, rmès_, neme_, _برود, 
   {{0x69dda508,0xf1b9a509,0x6e280864,0x600d060f}},	// [a210] mise, _niša_, _ludb, lúme, 
   {{0x61fb6f67,0x69dd107d,0x61e9543f,0xa3b700a2}},	//   _skul, lise, _sjel, _जवळ_, 
   {{0xe6950084,0xf1b90bfc,0xdb030219,0x69dd3afc}},	//   _الجد, _aiša_, _tonå, oise, 
   {{0xa5bb033c,0xee3900a3,0xb7e90033,0xa8480c30}},	//   _dióc, қни_, _গঠিত_, _حلیم_, 
   {{0x2d840076,0x3494021f,0x394900a0,0xd4790070}},	//   deme_, _даяр, _meas_, _גאָל, 
   {{0x69dda50a,0x39490a92,0x7dde00e0,0x490a0d2e}},	//   hise, _leas_, zīst, _सरसो_, 
   {{0x2d8fa50b,0x320d0052,0x69dda50c,0x61e90f30}},	//   _page_, _they_, kise, _tjel, 
   {{0x61fba50d,0x61e90352,0x2d842a10,0x69dda50e}},	//   _ukul, _ujel, geme_, jise, 
   {{0x69dda50f,0x63b50a1a,0x61f90035,0xab290398}},	//   dise, _kozn, mowl, лопа_, 
   {{0x6e28a510,0x39490183,0x3a200089,0x7e6300d4}},	//   _fudb, _aeas_, _siip_, punp, 
   {{0x2d8fa511,0x69dda512,0x7dde002a,0x63b55137}},	//   _tage_, fise, tīst, _mozn, 
   {{0x69dda513,0x63b507c7,0x2d84a514,0x394900d9}},	//   gise, _lozn, ceme_, _ceas_, 
   {{0x27f8a515,0x39490094,0xec3500c7,0xe3bf001d}},	//   torn_, _deas_, _פאַר_, _nuño_, 
   {{0x69dda516,0xdc3600c7,0x30da00c7,0xa2d8009a}},	//   aise, _האסט_, אַלע, _मधल्, 
   {{0x394900e9,0x7c3b01d5,0x969500f0,0x857a0009}},	//   _feas_, lpur, ортш, лсат_, 
   {{0x249f01b4,0xe3bf0042,0xd5b10023,0x7bc109ad}},	//   _šuma_, _buño_, ếp_, lklu, 
   {{0x61f900ab,0x64a3a517,0xe3bf001d,0x79860ae6}},	// [a220] dowl, пата, _cuño_, mekw, 
   {{0x7bc1a518,0xd8d700c7,0x7986a519,0x2d84a51a}},	//   nklu, _לופט_, lekw, zeme_, 
   {{0x63b5a51b,0xdceb00e0,0xce9501dd,0xdcfb008f}},	//   _dozn, _angļ, šējā_, yduğ, 
   {{0x629a247c,0x79860027,0x6e2803c5,0x7bc1a51c}},	//   _átom, nekw, _rudb, hklu, 
   {{0x6e2803ef,0x6604a51d,0xdb0a0183,0x7c3b2279}},	//   _sudb, mlik, _mofá, jpur, 
   {{0x824a3b7a,0x6604a51e,0xdfd000eb,0x2327985f}},	//   _مشرف_, llik, بيت_, _гори_, 
   {{0x69dda51f,0xddcb00ef,0x6f010156,0x2d84a520}},	//   yise, _šiši, _cylc, teme_, 
   {{0x6604505b,0x63b50039,0x628e00a3,0x629ca521}},	//   nlik, _zozn, _isbo, _irro, 
   {{0xe3bf24d3,0xf8bf67be,0xdcfb03c0,0x66040876}},	//   _xuño_, ncét_, rduğ, ilik, 
   {{0xdee6a522,0x69dda523,0xa4b700a7,0x7bc17ddf}},	//   _лози, wise, צליה_, gklu, 
   {{0x69dda524,0x6604a525,0x93fb00c7,0x3949a526}},	//   tise, klik, רליי, _peas_, 
   {{0x78bd0080,0x66044732,0x24890083,0x7c3b0096}},	//   tysv, jlik, ywam_, bpur, 
   {{0x6604a527,0x39490634,0x600d060f,0x7d2300d7}},	//   dlik, _veas_, súme, _عفون, 
   {{0x69dd2e53,0x7bc102f2,0xcc5700fe,0x629ca528}},	//   sise, cklu, _פסוק_, _orro, 
   {{0x98a50e7b,0x7bdb00a7,0x6604a529,0x63b5a52a}},	//   ğlı_, _תקוו, flik, _rozn, 
   {{0x98a50824,0x6604a52b,0x7d02052b,0xe3bf033c}},	//   şlı_, glik, _kyos, _puño_, 
   {{0x545500dd,0xe9df0038,0x9327010e,0x629ca52c}},	// [a230] юват, miú_, مران, _arro, 
   {{0xe9df0038,0x6e22360a,0x6604a52d,0xe4d4007a}},	//   liú_, _liob, alik, ستقب, 
   {{0x63b516ef,0xb4db00a1,0x7d02a52e,0x00000000}},	//   _vozn, _meài, _lyos, --, 
   {{0xdb030039,0xe9df00eb,0x225c026e,0xfbce0086}},	//   _ponú, niú_, ávka_, িচিত, 
   {{0x628ea52f,0x629ca530,0x7d02735a,0x1be8009a}},	//   _esbo, _erro, _nyos, टचाल_, 
   {{0x4439a531,0xdd26010c,0x7bc121cd,0x8fa22024}},	//   _its_, _pêşi, xklu, даше, 
   {{0x7d020fbb,0x79862358,0x442b0231,0xb4db00a1}},	//   _ayos, yekw, _huc_, _seàh, 
   {{0x4423290d,0xf8bfa532,0x7d02024d,0x6e22639e}},	//   _hij_, ncés_, _byos, _ciob, 
   {{0xa3b0047c,0xdb1a00eb,0x6e223a9e,0xe9df0038}},	//   टॉक_, chtú, _diob, diú_, 
   {{0x4423a533,0x798657e7,0x7d02a534,0x69dd0107}},	//   _jij_, wekw, _dyos, èren, 
   {{0x44230536,0x656f0141,0xf9861e2b,0x3b098e44}},	//   _mij_, _occh, огно, рено_, 
   {{0x7c3ba535,0x4423006f,0x644301b4,0x4439a536}},	//   ppur, _lij_, ćnij, _ots_, 
   {{0x4439a537,0x7986a538,0x4423045a,0xb4db01be}},	//   _nts_, rekw, _oij_, _feài, 
   {{0x44230201,0x61b61a21,0xa6ca068e,0x657da539}},	//   _nij_, _अक्ष, алга_, _absh, 
   {{0x6d4b04bb,0x6604a53a,0xf1b90144,0xdb110502}},	//   _kega, tlik, _nišo_, ßgän, 
   {{0xe5a314ec,0x6604a53b,0x442ba53c,0x6d4ba53d}},	//   миси, ulik, _buc_, _jega, 
   {{0x442354ce,0x6604716b,0x442ba53e,0x26d102a3}},	// [a240] _bij_, rlik, _cuc_, azzo_, 
   {{0x6604a53f,0x3f870eae,0x6d4ba540,0x644000e5}},	//   slik, jenu_, _lega, _çmim, 
   {{0x6604a541,0x4439a542,0x7c2302a2,0x4423a543}},	//   plik, _ets_, _minr, _dij_, 
   {{0x64a6889c,0x44390379,0xf65300a7,0x2167088a}},	//   _дама, _fts_, _קצר_, жици_, 
   {{0x7c2ba544,0x44232a29,0x6e2210e0,0xecd902e6}},	//   _nugr, _fij_, _riob, _बेलफ, 
   {{0x6d59a545,0xc05900dd,0x6e22a546,0x3cfd0366}},	//   _adwa, сії_, _siob, _लड़े_, 
   {{0x60040161,0x628e0c36,0x7c2b08b0,0x7c3900f3}},	//   nòmi, _usbo, _augr, _atwr, 
   {{0x44230536,0x5d540172,0x7c231a29,0x7dce00a1}},	//   _zij_, чкит, _ainr, _mùsg, 
   {{0x6d4ba547,0x44230201,0x6d590547,0xe0daa548}},	//   _dega, _yij_, _ddwa, _тва_, 
   {{0x3f870571,0x4423006f,0x7d02070c,0x3206199b}},	//   cenu_, _xij_, _vyos, lloy_, 
   {{0x6d4b455b,0xc33302a1,0xe9df00eb,0xa3dc00a2}},	//   _fega, וות_, tiú_, तोय_, 
   {{0x7c2324f4,0x6e2200ef,0x78a201dd,0x2cbf011c}},	//   _einr, _uiob, _šova, byud_, 
   {{0xe9df0084,0x64430062,0xa5bb0126,0x7c2303c5}},	//   riú_, ćnik, _bión, _finr, 
   {{0x2905002a,0xe9df00eb,0x442ba549,0xf8ae0274}},	//   āla_, siú_, _ruc_, چکی_, 
   {{0xc95b00cf,0x4423012e,0x7c2b0334,0xa3ae35ff}},	//   _кўп_, _rij_, _zugr, कान_, 
   {{0x442301a0,0x442b03a1,0x7dce01fd,0xa4d5004f}},	//   _sij_, _puc_, _dùsg, побі, 
   {{0x4423023b,0x92e700cc,0xf8bf4e6e,0x443902be}},	// [a250] _pij_, _পরে_, rcés_, _qts_, 
   {{0x4423639a,0x6b88a54a,0x442ba54b,0x29150083}},	//   _qij_, nedg, _vuc_, ądać_, 
   {{0x44232367,0x443902a2,0x3f87a54c,0x1b1c0086}},	//   _vij_, _wts_, venu_, পুরে_, 
   {{0x44230536,0x442b00e7,0x3f87044d,0x657d0027}},	//   _wij_, _tuc_, wenu_, _ubsh, 
   {{0x4423a54d,0x8fa51222,0x4439a16e,0x3f87a54e}},	//   _tij_, зале, _uts_, tenu_, 
   {{0x6d4b3976,0x94ba00a7,0x9f47026a,0x7c2b0096}},	//   _sega, _המשת, onné_, _rugr, 
   {{0x92580593,0x3f87034c,0xed593d14,0x7c2ba54f}},	//   _март_, renu_, бой_, _sugr, 
   {{0x8da90176,0x7bca1f57,0x00000000,0x00000000}},	//   свиб_, _alfu, --, --, 
   {{0x20547f95,0x6d4ba550,0x3f8703f9,0x7c23a551}},	//   _октя, _vega, penu_, _pinr, 
   {{0xf1b900ef,0xa3ae3b3e,0x6d4ba552,0x7c2b00ca}},	//   _hoš_, काय_, _wega, _vugr, 
   {{0x76550035,0x7c2303fa,0xf1b975f5,0x656d0149}},	//   jszy, _vinr, _koš_, kgah, 
   {{0xf1b902f5,0x22470c7f,0x9f5e0300,0x7c2ba553}},	//   _još_, ánky_, _aktè_, _tugr, 
   {{0xa3dc04d7,0xdca5a554,0xf1b9a555,0xa3ae03c1}},	//   तोड_, _хали, _moš_, काम_, 
   {{0xf1b90062,0x9d1a00a7,0x4c9a07e4,0x61eb0008}},	//   _loš_, _פוסט, _לבנו, hngl, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x25a6128a,0x69cf026e,0x656da556,0xb0bd009a}},	//   ñol_, chce, ggah, ्नाग, 
   {{0x2ea83355,0xb466128b,0x600400f6,0x00000000}},	// [a260] _कप्त, якал, sòmi, --, 
   {{0xdb030518,0x389b00fe,0x317f00d9,0x187700d1}},	//   _anné, _פיינ, _abuz_, _צעיר_, 
   {{0xf1b902ee,0xd36f0133,0x91e63ca2,0x67bb2665}},	//   _boš_, اهم_, поже, _המיק, 
   {{0x69c6048d,0x216a1c7d,0x00000000,0x00000000}},	//   nkke, сиди_, --, --, 
   {{0xd00aa557,0xe043a558,0x69c6a559,0x92bc0bf1}},	//   беде_, енчи, ikke, ইছে_, 
   {{0x645644e1,0xdb03010e,0x61eba55a,0x6131039f}},	//   msyi, _enné, angl, _póló, 
   {{0x09cc02f8,0x59cc00a2,0x8cd4017d,0x6b8800fb}},	//   ासाठ, ासार, _बेजो, vedg, 
   {{0x2bd90f7a,0x7996040b,0x00000000,0x00000000}},	//   योसा, _nayw, --, --, 
   {{0x69dd026d,0x64567255,0x48ce0033,0x7dce00a1}},	//   èrem, nsyi, রপুর, _rùsd, 
   {{0x5a3456c5,0x6f6603b7,0x799602a5,0xfbaaa55b}},	//   мнот, _ѕвез, _aayw, стий_, 
   {{0xa5bb118d,0x7f3b00a7,0x7996011d,0x60c2a55c}},	//   _biól, _העבו, _bayw, lyom, 
   {{0x61e2a55d,0x394d001d,0x6b8800ca,0xdd8f2f67}},	//   niol, úes_, sedg, _موم_, 
   {{0x60c2a55e,0xdca319aa,0x2bd900ab,0x76550035}},	//   nyom, _паци, योहा, wszy, 
   {{0x6fbe07d5,0x61e24e27,0xeb9715d3,0xfbcf0038}},	//   ्सिं, hiol, _нич_, _متى_, 
   {{0x61e2a55f,0x4b7b07e4,0xdb7b00d1,0x25b97bdc}},	//   kiol, _האוו, _הנוכ, _posl_, 
   {{0xb8e3100b,0x76550035,0x69c60380,0x7c2f010c}},	//   _এই_, rszy, ckke, _çirû, 
   {{0x57f5a560,0x9f5c0216,0x69df008a,0xb0db0299}},	// [a270] _опит, rovê_, _imqe, _मेंग, 
   {{0xa3d7000f,0x76550035,0x656d2244,0xf1b900da}},	//   ़ों_, pszy, sgah, _soš_, 
   {{0xdb18040b,0x27e31106,0x69cd1be5,0x6456011c}},	//   _sovê, mijn_, _klae, asyi, 
   {{0x61e200fd,0x27e301c8,0x68e20028,0x9f5c00b9}},	//   giol, lijn_, _žodi, lovè_, 
   {{0x60c20019,0xf1b90604,0x69cd00f8,0x00000000}},	//   gyom, _hišk_, _mlae, --, 
   {{0x27e301c8,0x10a241a0,0x8b0702d9,0x69cd00f8}},	//   nijn_, тишн, _jiří, _llae, 
   {{0xdd910105,0x69c609a8,0x629a52cd,0x4ea75223}},	//   ہوں_, ykke, _štov, ярда, 
   {{0xf1942241,0x27e302b0,0x60c22a0a,0xdb18009e}},	//   _пись, hijn_, byom, _tovê, 
   {{0x22587119,0x3a3c0144,0x52dd153d,0x00000000}},	//   _zvrk_, _atvp_, _मधुस, --, 
   {{0x0ae900c8,0x3e5700b3,0x69cd5a65,0xdb180118}},	//   ждой_, păt_, _alae, _kovè, 
   {{0xa3ae2a48,0x69cd02bf,0x198a01ba,0x5f7400d7}},	//   कात_, _blae, обни_, _سالر, 
   {{0x69cda561,0x88e6a562,0xdb1805d5,0x4efa00d1}},	//   _clae, джме, _movè, _והעו, 
   {{0x69c600c8,0x31560070,0xe73a1934,0x27e3039b}},	//   rkke, וירן_, жег_, fijn_, 
   {{0x69cd01a7,0x8b0300bc,0x81e30033,0x799635b8}},	//   _elae, ářsk, নকি_, _wayw, 
   {{0xf772086b,0x2bda00c5,0xdb181e21,0x69cd0156}},	//   _یاد_, _بانک_, _novè, _flae, 
   {{0x9f5c0034,0x69cd0090,0x6456a563,0x2bd90249}},	//   tovë_, _glae, tsyi, योरा, 
   {{0xe3ba8cce,0x14262cc7,0x2fc7011c,0x27e301d2}},	// [a280] оба_, ддам, kkng_, bijn_, 
   {{0x6456342b,0x60c20548,0x27e301c8,0x2912023a}},	//   rsyi, vyom, cijn_, _izya_, 
   {{0x9f5c00e5,0x7549010e,0x61e2a564,0x35c40176}},	//   sovë_, észü, tiol, _занҳ, 
   {{0x9f5c0356,0x25ff009a,0x4915031e,0x64563c5f}},	//   mové_, लवणी_, नेको_, psyi, 
   {{0x9f5c0076,0x2056a565,0x00000000,0x00000000}},	//   lové_, фтер, --, --, 
   {{0x8fa3117c,0x762501a2,0x2f14012d,0xd8d70147}},	//   каче, _омӯз, ндлё, וונט_, 
   {{0xdb032126,0x9f5c063b,0xc2460965,0xda0e009a}},	//   _monó, nové_, _інак, सतात_, 
   {{0x008600f6,0x27e301c8,0x68f60151,0x2fc7011c}},	//   _олбо, zijn_, _oxyd, akng_, 
   {{0x9f5c026e,0xf41f02ae,0x0b8a1211,0x91e3124e}},	//   hové_, _isär_, осни_, _роте, 
   {{0x63bc3bdc,0x9f5c035e,0xda7a01a2,0xdfa6247b}},	//   _jorn, kové_, оям_, _تحري, 
   {{0x9f5c026e,0x2fd700d4,0x69cda566,0x63bc00d1}},	//   jové_, _تولد_, _plae, _morn, 
   {{0x63bc7c33,0x9f5c037f,0x3ce0034c,0xceb30070}},	//   _lorn, dové_, _živu_, _שיף_, 
   {{0xdb180068,0x63bc0876,0x27e302b0,0xae1b0070}},	//   _mové, _oorn, tijn_, _וואכ, 
   {{0xdb030327,0xe7842b21,0x63bca567,0x00000000}},	//   _conó, кусо, _norn, --, 
   {{0xd5bb6421,0xdb030183,0x9f5c05a8,0x27e3a568}},	//   оса_, _donó, gové_, rijn_, 
   {{0xdb18063b,0xca2900c7,0xa3dc0110,0x999f0028}},	//   _nové, _צופֿ, तोस_, rstų_, 
   {{0x84150093,0x6b98027e,0x27e301c8,0x00000000}},	// [a290] емах, _kavg, pijn_, --, 
   {{0x9f5c026e,0x29090089,0x63bc794d,0xb4db0465}},	//   bové_, _iyaa_, _corn, _beàr, 
   {{0x3d050351,0x63bca569,0xddc300d9,0xf1b9008b}},	//   _हुने_, _dorn, nunţ, _hiši_, 
   {{0x2909016a,0xf1b900d0,0xb4db01f5,0x471a00d1}},	//   _kyaa_, _kiši_, _deàr, _מותג, 
   {{0x63bc06e7,0x25ab72fd,0xd1b80816,0x6b98a56a}},	//   _forn, _incl_, بالا_, _oavg, 
   {{0x1e9523de,0xb4db01f5,0x6b98078a,0xdb0303dd}},	//   ерир, _feàr, _navg, _monò, 
   {{0xb4db0465,0xed59a56b,0x6f0803c6,0xa2820c30}},	//   _geàr, пой_, _cydc, _میلو, 
   {{0xdcf30613,0xdceb0529,0x2c140394,0xe0bd0086}},	//   šače, _jagħ, _नीबू_, _অধীন, 
   {{0x9c25635c,0xdceb0529,0x9f5c026e,0x290902c1}},	//   ндид, _magħ, zové_, _nyaa_, 
   {{0x63bc24d3,0x4a4506d4,0x9f470369,0xdceb00a4}},	//   _xorn, ннов, ronó_, _lagħ, 
   {{0x29090175,0x2bb100ab,0x5fac2360,0x63b80219}},	//   _ayaa_, जाबा, चारल, övni, 
   {{0x9f5c026e,0xf99f0cd7,0x9f470038,0xdceb003d}},	//   vové_, blèm_, inní_, _nagħ, 
   {{0x1c440451,0x48ce0033,0x00000000,0x00000000}},	//   _анім, রপ্র, --, --, 
   {{0x9f5c0076,0x6aae0038,0x3d050035,0xf1b90121}},	//   tové_, óifí, _हुये_, _diši_, 
   {{0xa3ae08b4,0xb9073263,0x569300cf,0x3a290379}},	//   कास_, _ये_, лаёт, _fiap_, 
   {{0x9f5c0076,0x212d02cd,0x98ac0095,0xdceb008a}},	//   rové_, _ngeh_, şdı_, _cagħ, 
   {{0x9f5c0076,0x7de8031e,0x628700e0,0xa80606a2}},	// [a2a0] sové_, měst, _apjo, _atış, 
   {{0xdcea0112,0x9f5c014b,0xdb1a0038,0x78a4016c}},	//   šiće, pové_, chtó, _iriv, 
   {{0xa3dc04b7,0x63bc01c4,0x3952a56c,0x78a41c58}},	//   तोष_, _vorn, _keys_, _hriv, 
   {{0x629a00ca,0xfb160070,0x00000000,0x00000000}},	//   _štos, ײַבט_, --, --, 
   {{0x63bc7b70,0xd00a1e22,0x65c100f0,0x2b0600aa}},	//   _torn, педе_, _тұта, _सुनु_, 
   {{0xdb03022c,0x644457e4,0x74161897,0xb4db0465}},	//   _anní, mpii, _سوزا, _teàr, 
   {{0xaade0262,0x442a040c,0x8e26a56d,0x7dd5010e}},	//   _फेंक, _iib_, нфид, _másf, 
   {{0xa3ae0ede,0x249f0112,0xa3dc01a4,0x6b98040b}},	//   काव_, _šumi_, तोर_, _savg, 
   {{0x442aa56e,0xd1752983,0x28e0017d,0xef8600d9}},	//   _kib_, _шыры, _पेलि, _плап, 
   {{0x442a050a,0x3a292998,0x79847f45,0xcbce0033}},	//   _jib_, _siap_, _abiw, িচ্ছ, 
   {{0x78a4a56f,0x6da60fcc,0x00000000,0x00000000}},	//   _ariv, _пижа, --, --, 
   {{0x442aa570,0x78a4a571,0x3e7a024a,0xf1b90688}},	//   _lib_, _briv, mët_, _piši_, 
   {{0x3e7a01ee,0xdd8f00eb,0x442aa572,0x261702aa}},	//   lët_, _دون_, _oib_, nçoe_, 
   {{0x442aa573,0xf1b9003a,0x78a4a574,0x7aeb010e}},	//   _nib_, _viši_, _driv, áltá, 
   {{0x3a293eac,0x3e7a00e5,0x98a900ef,0x78a4a575}},	//   _tiap_, nët_, _igač_, _eriv, 
   {{0x78a40310,0x3f8e0415,0x497400fd,0x4a5300fd}},	//   _friv, hefu_, _блъс, _скъс, 
   {{0x442a0300,0x3e7a00e5,0x24f835bf,0x64440102}},	// [a2b0] _bib_, hët_, енты_, gpii, 
   {{0x442aa576,0x3e7a01ee,0x6672009c,0x7c2a00c3}},	//   _cib_, kët_, دگیر, _jifr, 
   {{0x442aa577,0xdceb2976,0x3e7a00e5,0x629a0144}},	//   _dib_, _tagħ, jët_, _štor, 
   {{0x356b0a27,0x799da578,0x7de7011c,0x3e7a0034}},	//   _эрон_, ndsw, _mèsè, dët_, 
   {{0x660da579,0x249f02a0,0x442aa57a,0x9f5c010c}},	//   mlak, _éum_, _fib_, rovî_, 
   {{0x660da57b,0xdee50886,0x442aa57c,0x7c2a00ad}},	//   llak, коли, _gib_, _nifr, 
   {{0xa3aea57d,0x3e7a024a,0xddd40097,0x660da57e}},	//   कार_, gët_, _šaši, olak, 
   {{0x442aa57f,0x4ce20086,0x660da580,0x4c856417}},	//   _zib_, _পড়ু, nlak, влив, 
   {{0xc8e0047c,0x442aa581,0x7c2aa582,0x7de802d9}},	//   _पेंट, _yib_, _bifr, věst, 
   {{0x660da583,0x442a01a0,0x28d007d5,0x7de7011c}},	//   hlak, _xib_, हनसि, _bèsè, 
   {{0xa96aa584,0x7c2aa585,0x78a40065,0xd94608a5}},	//   мина_, _difr, _sriv, кени, 
   {{0x660d003a,0x601602aa,0x8d74009c,0x2ba6320b}},	//   jlak, râme, _ماها, _कोठा, 
   {{0xeb8e1512,0x660d57e2,0x1a65017a,0x7c2a008a}},	//   _ки_, dlak, ریکی_, _fifr, 
   {{0x77770042,0x6a85a586,0x290c01dd,0x7c2aa587}},	//   _ccxx, _алка, āda_, _gifr, 
   {{0x07a30843,0x6e2b012b,0x645d34db,0x660da588}},	//   јасн, _kigb, _avsi, flak, 
   {{0x442a0e0c,0x660d1a71,0xf1b900d0,0x78a49adf}},	//   _sib_, glak, _kišu_, _triv, 
   {{0xa3ae0f01,0x442a01a0,0xb8b3005e,0x3e7a024a}},	// [a2c0] काल_, _pib_, _көрі, zët_, 
   {{0x442aa589,0xa3dc006a,0x98a002fe,0x7c2a03a1}},	//   _qib_, तों_, _agić_, _xifr, 
   {{0x442a023b,0x64443d00,0xa68300d9,0x00000000}},	//   _vib_, spii, _клэд, --, 
   {{0x442aa58a,0x6e2b01f2,0x3aba0070,0x644400c8}},	//   _wib_, _nigb, ומענ, ppii, 
   {{0x442a01c1,0xf1b91e1f,0x6d493dfc,0xdb0a0237}},	//   _tib_, _nišu_, dbea, _enfè, 
   {{0x3e7a00e5,0x6e2b01be,0xa3ae009a,0x43434196}},	//   tët_, _aigb, काळ_, _верв, 
   {{0xf1b900ef,0x3f8ea58b,0x539b00d1,0x7c2aa58c}},	//   _aišu_, refu_, _קילו, _rifr, 
   {{0x3e7a078e,0x2bca1e25,0x3f8e0053,0x7c2aa58d}},	//   rët_, िस्थ, sefu_, _sifr, 
   {{0xdb0a43cc,0x6e2b0326,0x3e7a0034,0x9f5c0098}},	//   _infé, _digb, sët_, loví_, 
   {{0xf1b905ae,0x3e7a021e,0x660da58e,0xf99f023e}},	//   _dišu_, pët_, zlak, plèk_, 
   {{0x6d49a58f,0x2ba600a2,0x9e6511b7,0x6fd400f6}},	//   bbea, _कोणा, _مانن, _càce, 
   {{0x7dd50354,0x6d4901be,0x00000000,0x00000000}},	//   _cásd, cbea, --, --, 
   {{0x9f47009e,0x2d86011c,0xdb1a08a0,0x09e4012d}},	//   dinê_, _iboe_, nktú, роўн, 
   {{0x5ba3048a,0x2ca6a590,0x00000000,0x00000000}},	//   _връз, _irod_, --, --, 
   {{0x660da591,0x27ed00f1,0x8c1b00d1,0x45d5a592}},	//   tlak, đen_, _חוגי, говс, 
   {{0x2ba60a34,0x59670093,0x27ed010e,0x660401cf}},	//   _कोता, _ръка, ően_, goik, 
   {{0x660d3e2b,0xa3ae07d5,0x629a0a88,0x24580088}},	// [a2d0] rlak, कां_, _štop, кать_, 
   {{0x395984d9,0x9327009c,0x3d0500c2,0xf2c7a593}},	//   lass_, نران, _हँसे_, ксен, 
   {{0x66040379,0x00000000,0x00000000,0x00000000}},	//   boik, --, --, --, 
   {{0x249f0613,0xf99f06df,0xf1b90864,0xa1150038}},	//   _šumu_, ndè_, _ništ_, هوات, 
   {{0xa069069b,0x008518ae,0x07f811b7,0xe0d00195}},	//   хала_, улло, _سریع_, يزه_, 
   {{0xa3ae0865,0x9f47024a,0x6e2b6450,0x248400bd}},	//   काः_, minë_, _sigb, _ämma_, 
   {{0x2bb10081,0x7dd5a594,0xc29300d4,0x2eb40093}},	//   जासा, _láse, _خیاب, исъс, 
   {{0x2ca6090e,0xf1b9003a,0x442101f5,0xf1a4a595}},	//   _brod_, _pišu_, lmh_, _крун, 
   {{0x6d49a596,0x9f47024a,0x3959a597,0xb0340995}},	//   rbea, ninë_, dass_, _внуш, 
   {{0x6d4901c5,0xf1b900d0,0x249900e2,0x44210387}},	//   sbea, _višu_, _mssm_, nmh_, 
   {{0x39ea1a9e,0x44211600,0x6e2b0495,0x9f470034}},	//   едно_, imh_, _tigb, hinë_, 
   {{0x186a0934,0xceb200c7,0x9f47024a,0x2ca60237}},	//   нами_, _ליב_, kinë_, _frod_, 
   {{0xed599ae3,0x9f473768,0x8d5a00d1,0x2ca60387}},	//   maž_, jinë_, _נכסי, _grod_, 
   {{0xaae400d4,0x66e6a598,0xd70a021f,0x17c803dc}},	//   اسیو, гога, енге_, тҳои_, 
   {{0x9f470218,0xf7430141,0x2d9da599,0x24990054}},	//   tinê_, сесо, _kawe_, _assm_, 
   {{0x2d9fa59a,0x29560093,0xed590097,0x9f470034}},	//   ndue_, _съкр, naž_, finë_, 
   {{0x638603dd,0x9f47a59b,0xd4671da4,0xb3860e65}},	// [a2e0] лгаа, rinê_, лите_, ллал, 
   {{0x3ce60077,0x2d9d10fd,0x6604a59c,0x248b0036}},	//   _जइसे_, _lawe_, soik, _dpcm_, 
   {{0x8b5600c7,0x66040080,0xa905010e,0x55e61782}},	//   ריעס_, poik, _مبین, _бонб, 
   {{0xc69307f5,0x44210544,0x2d9d23ea,0x2e380107}},	//   _פאר_, amh_, _nawe_, _réf_, 
   {{0x9f47024a,0x183600c7,0x3940008a,0xea010210}},	//   cinë_, נאַל_, _mfis_, _quẩy_, 
   {{0x25a000b0,0x44210175,0xa5bba59d,0x9f5c00d8}},	//   ldil_, cmh_, _chóf, poví_, 
   {{0x9e065cb1,0x2480a59e,0x74130274,0xdb1800bc}},	//   лчил, ltim_, _طوفا, _poví, 
   {{0x225c026e,0x25a0a59f,0x2d9d2c63,0x1d340093}},	//   ávku_, ndil_, _cawe_, шния, 
   {{0x2d9da5a0,0x7f462e07,0x25a0a5a1,0x261702be}},	//   _dawe_, _безж, idil_, nçoa_, 
   {{0x32060008,0x2480011d,0x3b54a5a2,0x2120017d}},	//   looy_, itim_, шкор, यधीश_, 
   {{0x8d86a5a3,0x3f9e0065,0x7ac60e4e,0x9f470034}},	//   _булд, _iatu_, успе, zinë_, 
   {{0x2480a5a4,0x2d9da5a5,0x3d050366,0x2e1600eb}},	//   ktim_, _gawe_, _हुवे_, _صباح, 
   {{0x3f9ea5a6,0x2480a5a7,0x2ca6a5a8,0x39591cea}},	//   _katu_, jtim_, _urod_, rass_, 
   {{0x394000ef,0x3f9ea5a9,0x7d0600c2,0x3959a5aa}},	//   _efis_, _jatu_, üksu, sass_, 
   {{0xa3ae04cc,0x2d9d38b1,0x3959264e,0x3f9ea5ab}},	//   काई_, _yawe_, pass_, _matu_, 
   {{0xf9931fe8,0x3f9e00e0,0x9f4700e5,0x24990065}},	//   _طبع_, _latu_, tinë_, _pssm_, 
   {{0x4421016a,0xdb180379,0xf8b609d9,0x44b500f0}},	// [a2f0] tmh_, _hovà, _көр_, шбас, 
   {{0x9f4701ee,0x3f9e3522,0x25a03bf4,0x00000000}},	//   rinë_, _natu_, adil_, --, 
   {{0x06bf00cc,0x9f4700e5,0x9388a5ac,0xa5bb2888}},	//   _উইকি, sinë_, ыста_, _biót, 
   {{0x7dd52139,0x9f47a5ad,0xe45f008c,0x2ba60e7d}},	//   _másc, pinë_, _tvö_, _कोसा, 
   {{0x3f9e36ff,0xb284004e,0x9f47a5ae,0x2d9d023e}},	//   _batu_, _қырк, liné_, _rawe_, 
   {{0xfe457ffd,0x764500e5,0x3f9e14e2,0x8fa58e46}},	//   анко, _kthy, _catu_, раке, 
   {{0x3f9e9fc8,0xdb180379,0x2d9d2c6c,0xa5bb00e1}},	//   _datu_, _novà, _pawe_, _chóg, 
   {{0x3d190083,0x69cf01d2,0x00000000,0x00000000}},	//   _परदे_, jkce, --, --, 
   {{0x61eb0141,0xed5907d1,0x3f9e0082,0x2ba600bd}},	//   migl, raž_, _fatu_, _कोहा, 
   {{0x2d9d38b1,0xa5bb00eb,0x7dd500e9,0xab2900c4}},	//   _wawe_, _fhóg, _básc, копа_, 
   {{0xed590082,0x7dd5a5af,0xa3ad00c9,0x9f4700d4}},	//   paž_, _cásc, _कफन_, jiné_, 
   {{0x9f47a5b0,0x61eba5b1,0x9f5c014b,0x82760147}},	//   diné_, nigl, mová_, סערע_, 
   {{0x9f5c0076,0x20070077,0x6d5b0110,0xc2ec0086}},	//   lová_, ooni_, maua, _করছি_, 
   {{0x20077da5,0x6d5b7a45,0x61eb01d8,0x9f476f68}},	//   noni_, laua, higl, finé_, 
   {{0xd9460c67,0x9f5c0076,0x9f47a5b2,0x7bc32dcb}},	//   _кейи, nová_, giné_, _ionu, 
   {{0x7bc3010d,0x2007a5b3,0x2480027e,0x7546a5b4}},	//   _honu, honi_, ttim_, рназ, 
   {{0x7bc3a5b5,0x2007a5b6,0x69d6006b,0x9f5c2786}},	// [a300] _konu, koni_, _ilye, hová_, 
   {{0x20076a76,0x69aa04d7,0x9f5c063b,0x2480a5b7}},	//   joni_, _जोती, ková_, rtim_, 
   {{0x3f9ea5b8,0x20071e41,0x6d5b0a9e,0x9f5c014b}},	//   _ratu_, doni_, kaua, jová_, 
   {{0x3f9e22fd,0x6d5b04bb,0xdb1a1341,0x69c4a5b9}},	//   _satu_, jaua, rktø, _joie, 
   {{0x64a300b9,0x81cd0086,0x3c3b009e,0xe8e10108}},	//   _даяа, ষোভ_, _nêv_, _địu_, 
   {{0x7bc324e5,0x33d500e4,0x26170107,0xbf21009a}},	//   _nonu, _ліст, nçon_, मधून_, 
   {{0x61eba5ba,0xd17600c8,0x69c40b22,0x9f5c8453}},	//   bigl, _вызы, _ooie, gová_, 
   {{0x3f9e2083,0xa3ae0081,0x69c457c6,0xdb180356}},	//   _watu_, काक_, _noie, _nová, 
   {{0x3f9ea5bb,0x2007a5bc,0xdb0a0502,0x00000000}},	//   _tatu_, boni_, _wofü, --, 
   {{0x9f5c026e,0xa5bb00eb,0x20071727,0x8bc608d6}},	//   bová_, _thóg, coni_, рсид, 
   {{0x19591b17,0x1fb52595,0x7bc3a5bd,0x98a20095}},	//   ланы_, _устр, _donu, dakı_, 
   {{0x644601b4,0x6d5ba5be,0xecea02be,0x00000000}},	//   _otki, caua, _идел_, --, 
   {{0xa3e7000f,0x2b064546,0x5887065f,0x69cf027e}},	//   _बगल_, _सुरु_, шына, rkce, 
   {{0x9f47009c,0x628e0d2d,0x7dd50038,0xd7f812cc}},	//   tiné_, _opbo, _tásc, аус_, 
   {{0xc6a41d52,0x69d630e6,0xd7f81e22,0x799fa5bf}},	//   орти, _flye, руя_, _taqw, 
   {{0x9f4700d7,0x69c40a9f,0x69d6040b,0x00000000}},	//   riné_, _goie, _glye, --, 
   {{0xf94a0137,0x20079657,0x61eb0093,0x9f47009c}},	// [a310] _געפֿ, yoni_, vigl, siné_, 
   {{0xd79500eb,0x69c4012e,0x2007024a,0xdb0a0165}},	//   _الدخ, _zoie, xoni_, _infâ, 
   {{0x64460c05,0x2007a5c0,0x61eb8037,0x76450219}},	//   _etki, voni_, tigl, _uthy, 
   {{0x9f5c014b,0x69c40068,0xa295004e,0x201e2b92}},	//   vová_, _xoie, _қабі, _ahti_, 
   {{0xf99f00d3,0x61eba5c1,0x9f4700c8,0x10a5a5c2}},	//   llès_, rigl, ynnä_, силн, 
   {{0x61eba5c3,0x9f5c0254,0x6aaa00f8,0xfba6048e}},	//   sigl, tová_, _orff, _कोलम, 
   {{0x44390a40,0x2007a5c4,0x6d5ba5c5,0xe61f001b}},	//   _hus_, roni_, taua, _khô_, 
   {{0x7bc3a5c6,0x2007a5c7,0x4439837f,0xa3b537c0}},	//   _sonu, soni_, _kus_, झाव_, 
   {{0x7bc3a5c8,0x61e9a5c9,0x2007a5ca,0x4439a5cb}},	//   _ponu, _imel, poni_, _jus_, 
   {{0x44391124,0x7bc362d4,0x61fb0310,0x7c3b02cd}},	//   _mus_, _qonu, _hjul, rqur, 
   {{0x44390e0c,0x4431a5cc,0x7bc3a5cd,0x69c40474}},	//   _lus_, _miz_, _vonu, _poie, 
   {{0x4439022c,0x3cfd01a0,0x7bc3019b,0x61fb052b}},	//   _ous_, _txwv_, _wonu, _jjul, 
   {{0x4439006f,0x61e90149,0x69c401ef,0x95ca00a3}},	//   _nus_, _mmel, _voie, қлаб_, 
   {{0x7bda2df6,0x6d59a5ce,0x61fb034c,0x61c46338}},	//   chtu, _hewa, _ljul, _वक्ष, 
   {{0x4439a5cf,0xdb180105,0x6d59a5d0,0x7dd50076}},	//   _aus_, _tová, _kewa, _zása, 
   {{0x443100e0,0x6d59011c,0x4439a5d1,0x61fba5d2}},	//   _aiz_, _jewa, _bus_, _njul, 
   {{0x44314d8f,0x6d59085f,0x4439a5d3,0x3a2007fc}},	// [a320] _biz_, _mewa, _cus_, _ihip_, 
   {{0x4439a5d4,0x61e9a5d5,0x6d5982b7,0xf1a900d4}},	//   _dus_, _amel, _lewa, یانه_, 
   {{0x44390087,0x443103b7,0x479b035c,0x55c401a2}},	//   _eus_, _diz_, _גייס, _данғ, 
   {{0x2617a5d6,0xa3a80f7a,0x201e2e09,0x6d59680b}},	//   nçol_, _खोर_, _shti_, _newa, 
   {{0x4fc64008,0x4439a5d7,0x4431a5d8,0x61fb8b7c}},	//   йска, _gus_, _fiz_, _djul, 
   {{0x161c05fd,0x437507f9,0x61e9a5d9,0x2fc501be}},	//   _भीतर_, _муст, _emel, _colg_, 
   {{0x4439a5da,0x8fa6032e,0x6d592e15,0x2fc50352}},	//   _zus_, _қаже, _bewa, _dolg_, 
   {{0xdef8146e,0x443901c1,0x6d590065,0x7dd5033c}},	//   лық_, _yus_, _cewa, _pása, 
   {{0x6d59388b,0x443901c1,0xea010023,0xbda6010e}},	//   _dewa, _xus_, _quậy_, لحکو, 
   {{0x9b5803b7,0x44310068,0xa3dc009a,0x61e90144}},	//   шиот_, _xiz_, तोच_, _zmel, 
   {{0x29120175,0x1dd700b9,0xfba70080,0x00000000}},	//   _ayya_, рлөө_, стый_, --, 
   {{0x6d596fdf,0x7bda696c,0xf2d300c7,0x3a2002f7}},	//   _gewa, shtu, פער_, _chip_, 
   {{0x6e3aa5db,0x2fc500a3,0xb87b0032,0xae1b00d1}},	//   _hutb, _yolg_, dzíc, _עודכ, 
   {{0xa3a80f01,0x6d59010c,0x00000000,0x00000000}},	//   _खोल_, _zewa, --, --, 
   {{0x4439a5dc,0x48e9007e,0x4431a5dd,0xe61f0023}},	//   _sus_, _चेरो_, _riz_, _phô_, 
   {{0x44310972,0x4439a5de,0xdb0a022c,0x0615004f}},	//   _siz_, _pus_, _infà, ідаю, 
   {{0x4439006f,0x798da5df,0x69dd00a0,0x682002ae}},	// [a330] _qus_, _ibaw, mhse, född, 
   {{0x44393f75,0x4431132c,0xdcf30097,0x7df300b3}},	//   _vus_, _qiz_, šaće, răsi, 
   {{0x443100bc,0xe5352813,0x443900d4,0x78ad014b}},	//   _viz_, _мень, _wus_, _hrav, 
   {{0x44391124,0xe57900d3,0xb8840019,0xb1152c54}},	//   _tus_, _өзү_, _بلیٹ, омеш, 
   {{0x44390077,0x2ed1031e,0x7dd5014b,0x26170068}},	//   _uus_, तन्त, _básn, nçom_, 
   {{0x644d0b35,0x6d591021,0x6e3a012b,0x442501fd}},	//   mpai, _sewa, _butb, _òl_, 
   {{0x2fc509a2,0x6d593dbc,0x644da5e0,0xfe7903dc}},	//   _volg_, _pewa, lpai, рӯз_, 
   {{0x1c45a5e1,0x61e90187,0x2d8a0019,0x78ada5e2}},	//   оним, _umel, őben_, _orav, 
   {{0x644d513b,0x68200c98,0xc3250033,0x69dd01f5}},	//   npai, löde, মুখি_, dhse, 
   {{0x7ff7024f,0x6d5900c5,0xdb030183,0x798d0298}},	//   _اسرا, _wewa, _innú, _abaw, 
   {{0x6d59a5e3,0x78ada5e4,0x3a200065,0x798d02a5}},	//   _tewa, _arav, _phip_, _bbaw, 
   {{0x628500f8,0xee2e46a6,0x69aa21d2,0x3e0708b8}},	//   itho, _ін_, _जोशी, _уязв, 
   {{0x394da5e5,0x62855446,0x261700f6,0xf7461279}},	//   ñesa_, htho, rçol_, жего, 
   {{0xdbf10095,0xab2901ba,0x78ada5e6,0x798d01b8}},	//   dəçi, _кола_, _drav, _ebaw, 
   {{0x6285a5e7,0x78ad2a75,0x26170183,0xb6a31427}},	//   jtho, _erav, açom_, мирл, 
   {{0x69dd02ec,0x7dd5006b,0x660f38c6,0x78ad01e8}},	//   chse, _máso, _ckck, _frav, 
   {{0x628502bf,0x26170183,0x644d1041,0x13ea5b5b}},	// [a340] etho, cçom_, gpai, амай_, 
   {{0xe3b7a5e8,0xa3e50466,0xa5bb007a,0x317f107c}},	//   обу_, बोल_, _phóc, _acuz_, 
   {{0xe29aa5e9,0x78ad008b,0x7dd50098,0x00000000}},	//   рае_, _zrav, _náso, --, 
   {{0x63a50014,0x6e3a040c,0x7ddc039f,0xa18a01ff}},	//   adhn, _rutb, _kése, рбда_, 
   {{0x92bc100b,0x660167be,0x6285a5ea,0x00000000}},	//   েছে_, élke, atho, --, 
   {{0x6616a5eb,0x6285a5ec,0x6e3a0102,0x7ddc10f1}},	//   llyk, btho, _putb, _mése, 
   {{0xdd27010c,0x62855d25,0x61460cdf,0x6e3a01ff}},	//   _pêşx, ctho, _мева, _qutb, 
   {{0x85480009,0x00000000,0x00000000,0x00000000}},	//   brėž, --, --, --, 
   {{0x6ea8010e,0x395b09c7,0x00000000,0x00000000}},	//   _گناہ_, _reqs_, --, --, 
   {{0x3dc6a5ed,0x00000000,0x00000000,0x00000000}},	//   _woow_, --, --, --, 
   {{0x1fb5a5ee,0x69dd024a,0x290507fa,0xed46a5ef}},	//   _эстр, thse, ğlam_, _днеп, 
   {{0x78ad5cae,0x984b2f0d,0x601f010c,0x00000000}},	//   _prav, ияга_, rême, --, 
   {{0x7dd50254,0x6e22a5f0,0xdb030216,0x00000000}},	//   _záso, _ihob, _janê, --, 
   {{0x7ddc026a,0xdb0a2033,0x78ad7383,0x6285017c}},	//   _dése, _enfá, _vrav, ytho, 
   {{0x6616a5f1,0x6e223a83,0x06e10033,0x05eb0176}},	//   flyk, _khob, _মুজি, афаи_, 
   {{0x7dd50076,0xd5b85416,0x78ad49ae,0xd9ff40a8}},	//   _násl, осу_, _trav, _उदित_, 
   {{0x78ada5f2,0x045900eb,0xe9df0038,0x6e2200f3}},	// [a350] _urav, صلاة_, mhú_, _mhob, 
   {{0x644da5f3,0x57f400c8,0x6285a5f4,0xa3e50035}},	//   rpai, _опыт, ttho, बों_, 
   {{0x644da5f5,0x66160326,0x6440488c,0xe298004f}},	//   spai, blyk, _émin, жає_, 
   {{0x6285a5f6,0x7ddca5f7,0x7df300d9,0x6820a5f8}},	//   rtho, _lésb, năst, röde, 
   {{0x6285a5f9,0x660d0180,0x224a01d6,0xc5f900bc}},	//   stho, moak, _etbk_, ्कीय_, 
   {{0x1da312e3,0x6285011c,0x660d01a7,0x9405009c}},	//   _खोजत, ptho, loak, _روزه, 
   {{0x6e22a5fa,0xc6950070,0x00000000,0x00000000}},	//   _bhob, לאַ_, --, --, 
   {{0xbca500eb,0x6e22a5fb,0x660da5fc,0x317f0540}},	//   كمبي, _chob, noak, _ucuz_, 
   {{0x6e22a5fd,0x2bb90038,0x2b5c0604,0x96270243}},	//   _dhob, مادة_, _bevc_, _izņē, 
   {{0x7ddc0518,0x660d05f0,0x9c22a5fe,0x7dd50098}},	//   _rése, hoak, ндыд, _zásl, 
   {{0xe8e10029,0x3b094196,0xea000108,0x9ac400a4}},	//   _đều_, сено_, _ngải_, _nuċċ, 
   {{0x6e223772,0x3ce600c9,0xf2d20070,0xa9a603a1}},	//   _ghob, _जेके_, געט_, чимд, 
   {{0x6e2903a9,0x660d0e32,0x39350528,0x2d8f02aa}},	//   mmeb, doak, дэрс, _ibge_, 
   {{0x2bbb057f,0xdd99253f,0x59c8009a,0x9f470054}},	//   _خاصة_, leň_, _लवकर, ninà_, 
   {{0xa3b535a4,0xe9df0038,0xf6260488,0x660d023a}},	//   झाई_, bhú_, здво, foak, 
   {{0xe61a0258,0x6e29a5ff,0xe9df3f76,0xb9020033}},	//   ёда_, nmeb, chú_, _দশ_, 
   {{0x75d30038,0xa3e802e6,0x99920028,0x6616a600}},	// [a360] ريكا, यफल_, ūzų_, rlyk, 
   {{0x66162243,0x764ea601,0x44230108,0x6e2902eb}},	//   slyk, ppby, _chj_, hmeb, 
   {{0x8c1a00a7,0xe2971087,0xb87b014b,0x660da602}},	//   צועי, зах_, nzín, boak, 
   {{0x21671b11,0x236a012b,0xf41f0380,0xd5e0031e}},	//   зици_, _wdbj_, _spät_, _नतिज, 
   {{0xf5370056,0x6e2900b0,0x60161890,0xdd99024c}},	//   _מרכז_, dmeb, lâmi, deň_, 
   {{0x6e941829,0x9f5c0032,0x9f4700b9,0xd0070d75}},	//   дику, lovú_, ginà_, пече_, 
   {{0x6e22a603,0xcf260084,0x60160165,0xc7b300d1}},	//   _phob, أرشي, nâmi, תבו_, 
   {{0x21a3386d,0xade300dd,0x6e22084c,0x9f5c0032}},	//   _писм, ецьк, _qhob, novú_, 
   {{0xdceb0b8b,0x7ddc0574,0x00000000,0x00000000}},	//   _bagı, _pésb, --, --, 
   {{0xdb030237,0x660d01a7,0x9f5c020b,0x00000000}},	//   _kanè, zoak, hovú_, --, 
   {{0xe9df0084,0x6e227c69,0xbeaa009c,0x9f5c0032}},	//   thú_, _thob, _دهان_, kovú_, 
   {{0xdb0300d4,0x261701f0,0x7d020a9f,0x3ddf01c8}},	//   _manè, rçok_, _txos, chuw_, 
   {{0x660d05f0,0x9ac4003d,0x05000086,0x7de50038}},	//   voak, _suċċ, ্ধুর_, _تسلم, 
   {{0xdc370137,0xaa66642e,0xa5bba604,0x7d1da605}},	//   _זאגט_, _етик, _chón, üsse, 
   {{0x356b1ab1,0xeaaf0038,0xa5bb0534,0x9ac4007b}},	//   йран_, _معي_, _dhón, _quċċ, 
   {{0x44230348,0xe1ab0a34,0x41ab00a5,0x80be00c2}},	//   _shj_, _घोंघ, _घोंस, ्हाइ, 
   {{0x660da606,0x3949a607,0x7bca044d,0x200e9b84}},	// [a370] roak, _ifas_, _kofu, kofi_, 
   {{0xdd9905a8,0x3869a608,0x660da609,0x26d10054}},	//   zeň_, _ivar_, soak, pyzo_, 
   {{0xaadc04d7,0x3869a60a,0x7bcaa09e,0x660d0180}},	//   मनिक, _hvar_, _mofu, poak, 
   {{0xd1310eea,0x3869264e,0x7dd5014b,0x41e400e4}},	//   نما_, _kvar_, _pásm, ніча, 
   {{0xdd990076,0x8fa5a60b,0x92bd0086,0xc0c802a6}},	//   veň_, дале, ইনে_, зује_, 
   {{0x25a98781,0xb4d90366,0x7bca1f57,0x00000000}},	//   ldal_, ़नी_, _nofu, --, 
   {{0x2489006b,0x9f470369,0x929471ca,0x6fd400a1}},	//   ltam_, giná_, _парц, _màch, 
   {{0x96270bc3,0x53341efe,0x25a9a60c,0x56b800a7}},	//   _uzņē, _чест, ndal_, לפון_, 
   {{0x2489a60d,0x7dd5008c,0xea0000e7,0xdd990228}},	//   ntam_, _hásk, _ngại_, reň_, 
   {{0x63a72742,0x320f0056,0xdd99026e,0x7ddc0183}},	//   _jajn, logy_, seň_, _pésc, 
   {{0x25a9a60e,0xdd99014b,0x3ed5003f,0x7bca3e9d}},	//   kdal_, peň_, _تقار, _dofu, 
   {{0x2489a60f,0x7dd5010e,0x00000000,0x00000000}},	//   ktam_, _másk, --, --, 
   {{0x7dd50076,0xb87b0019,0xa5bb001b,0xdb0a01c4}},	//   _lásk, szín, _phón, _anfä, 
   {{0x63a7a610,0x0c2402fb,0x24890019,0x629501c8}},	//   _najn, _змін, dtam_, _opzo, 
   {{0x16a70d61,0xe73713d9,0x25a91c90,0x2cad9e5d}},	//   мври_, дер_, fdal_, lved_, 
   {{0x200e7fd6,0xcb1200a7,0x601602a0,0xe61a01fc}},	//   zofi_, _שלה_, râmi, іда_, 
   {{0x224d00f1,0x63a70019,0xdb0300c5,0x7bca044d}},	// [a380] _čeka_, _bajn, _sanè, _yofu, 
   {{0x25a60688,0xdb0309fc,0x78a4a611,0x9f5c020b}},	//   žol_, _panè, _isiv, sovú_, 
   {{0x7ddc011c,0xea010023,0x629e01d2,0x05000033}},	//   _lésa, _quầy_, uwpo, ্ধের_, 
   {{0xdb034dfd,0x00000000,0x00000000,0x00000000}},	//   _cané, --, --, --, 
   {{0x63a700ab,0xa067a612,0x2489a613,0x200e0097}},	//   _fajn, дача_, ctam_, tofi_, 
   {{0x63a7a614,0x5f9303dc,0xb03300dd,0x2cada615}},	//   _gajn, вишт, вніш, dved_, 
   {{0x316d001d,0x2d8da616,0xc2431918,0x2cada617}},	//   _fdez_, ffee_, _анск, eved_, 
   {{0x4438a618,0x7ddc2bcf,0xec6a21e9,0xdb03023e}},	//   _hir_, _bésa, орок_, _gané, 
   {{0x4438078a,0x61e2a619,0x6f0d06a2,0x7bca0727}},	//   _kir_, mhol, ğaca, _pofu, 
   {{0x5f7603b1,0x7ddc026a,0x61e208c2,0x6f0d0540}},	//   _زائر, _désa, lhol, şaca, 
   {{0x38690533,0x4438a61a,0x337700a7,0x6b9a9ce2}},	//   _svar_, _mir_, ועים_, retg, 
   {{0xc3331900,0x61e202fb,0x4438a61b,0xdd8f00eb}},	//   כות_, nhol, _lir_, _نوم_, 
   {{0xdd8f1fdb,0x443801c5,0x7bca925f,0x290c00ad}},	//   _خون_, _oir_, _tofu, şdan_, 
   {{0x4438008a,0x6fdd011c,0x3f9ca61c,0x61e200bd}},	//   _nir_, _kèca, nevu_, hhol, 
   {{0x38c501ee,0x61e2a61d,0xe61300eb,0x63a7a61e}},	//   _bërë_, khol, نشر_, _rajn, 
   {{0xe81f04b7,0x44383aaa,0x24890019,0x63a70019}},	//   _मीरा_, _air_, ttam_, _sajn, 
   {{0x443818c6,0x61e201cc,0xb4d900ab,0xd7e700dd}},	// [a390] _bir_, dhol, ़ने_, _жіно, 
   {{0x3f9c28fd,0x7dd5a61f,0x6fd400d3,0x2489a620}},	//   jevu_, _pásk, _fàci, rtam_, 
   {{0x4438a621,0x2489a622,0x65640c36,0x63a7a623}},	//   _dir_, stam_, baih, _vajn, 
   {{0x7c38a624,0x4438a625,0x2489a626,0x61e29416}},	//   _livr, _eir_, ptam_, ghol, 
   {{0x63a702f5,0x2444a627,0x44383a77,0x5184021d}},	//   _tajn, _göm_, _fir_, туха, 
   {{0x443802fb,0x187c00a7,0x7c3800ef,0x61e2a628}},	//   _gir_, קטוב, _nivr, ahol, 
   {{0x9268005e,0x7ddc47b3,0xa3a80c46,0x6820039f}},	//   _орта_, _sésa, _खोट_, ködn, 
   {{0x6fdd03a1,0x6e920038,0x7ddca629,0xdb180cc6}},	//   _dèca, اليا, _pésa, _invè, 
   {{0x51840176,0x603905d5,0x8b0702d9,0x3f9c02a5}},	//   _шура, _fňma, _ohří, bevu_, 
   {{0x7dd50019,0xdb030218,0x2cad00a7,0x3f9c05ae}},	//   _mási, _danî, rved_, cevu_, 
   {{0x656fa62a,0x80a7009a,0x7c380243,0x291e0083}},	//   _odch, चिके, _divr, ętam_, 
   {{0x644f02c7,0x69c60201,0x799d08b0,0xaab500f0}},	//   _otci, ujke, gesw, _үйді, 
   {{0x7dd5014b,0x65640088,0x26170165,0x9f47027e}},	//   _nási, vaih, nçou_, ginç_, 
   {{0x6d49a62b,0x60c401ad,0x38c50034,0x7c3881ce}},	//   lcea, äimi, _sërë_, _givr, 
   {{0xdb03078a,0x66e61d3c,0x4438a62c,0x6d490036}},	//   _zanî, хова, _rir_, ocea, 
   {{0x7dd51408,0xa3a8456f,0x61e2a62d,0x78a4a62e}},	//   _bási, _खोज_, xhol, _tsiv, 
   {{0x4438055a,0x6564a62f,0x6d4900a0,0x142626f1}},	// [a3a0] _pir_, raih, icea, едам, 
   {{0x0857042c,0x64a4004e,0x443878e2,0x6fd400b9}},	//   _רבים_, наға, _qir_, _tàci, 
   {{0x4438a630,0x38c5024a,0x61e2a631,0xe732007a}},	//   _vir_, _tërë_, thol, _حصة_, 
   {{0x4438a632,0x3f85a633,0x2a6a0019,0x61e202d9}},	//   _wir_, _aclu_, ábbi_, uhol, 
   {{0x4438a634,0x61e21341,0xdb1805d5,0x3f9ca635}},	//   _tir_, rhol, _envè, tevu_, 
   {{0x442c06df,0x5f940079,0x4ea645b1,0x61e2a636}},	//   _òd_, тикт, ериа, shol, 
   {{0x61e2a637,0xe297192f,0x7dd5026e,0x3f9ca638}},	//   phol, _пар_, _zási, revu_, 
   {{0x291e00ab,0x3f9c02fe,0x7dce01be,0x61e2084c}},	//   ętaj_, sevu_, _cùsp, qhol, 
   {{0xdb18a639,0x3207010e,0x98ab008f,0x2bdc00bc}},	//   _invé, énye_, yacı_, यसला, 
   {{0xdb57586e,0x3ea90083,0x261700b9,0x00000000}},	//   нюю_, łata_, lçot_, --, 
   {{0x7c38026a,0x799da63a,0x69f300d3,0x63bc08b0}},	//   _vivr, tesw, лүкт, _mnrn, 
   {{0x225c0076,0x613607fa,0x6e390090,0x00000000}},	//   ávky_, _gülü, _giwb, --, 
   {{0x799d1979,0x69cd023a,0x441000c9,0x00000000}},	//   resw, _voae, ़काऊ_, --, 
   {{0xb8c90da6,0x2ca60156,0x799da63b,0x9f470241}},	//   _गई_, _isod_, sesw, rinç_, 
   {{0x7a3e0009,0x799d0226,0xab270267,0x9c1700d1}},	//   _būte, pesw, _поља_, _רחוק_, 
   {{0x34951625,0x236500ef,0x7ddca63c,0x7dd50032}},	//   кабр, _žlj_, _méso, _pási, 
   {{0x3a2902dc,0x7ddc0096,0x00000000,0x00000000}},	// [a3b0] _ihap_, _léso, --, --, 
   {{0xdce07dc1,0xdb0300b9,0xdd0c0083,0x00000000}},	//   jamč, _innò, _kółk, --, 
   {{0xc87f0380,0xfe1000bc,0x62350165,0x79ea010e}},	//   luß_, ावास_, вежу, _رویہ_, 
   {{0xcb1300c7,0x7ae500b0,0x2ca600f8,0x45d52943}},	//   אלע_, _ühte, _osod_, _ромс, 
   {{0xf99400a7,0xa0a5001c,0x10a507a4,0x6f1a0118}},	//   טרף_, талд, тилн, _aytc, 
   {{0x61e000ad,0x3a29011c,0xdb18317d,0x2617019c}},	//   _elml, _lhap_, _envé, rçou_, 
   {{0x5f0500fd,0x628b020f,0x9f470080,0x31660027}},	//   ъзка, ăgos, vinä_, baoz_, 
   {{0x7ddc026d,0x9f5c014b,0x7767006d,0x3a2900e7}},	//   _déso, mový_, hajx, _nhap_, 
   {{0xa5bb21dc,0x9f5c026e,0x6d49a63d,0x249900e2}},	//   _dióx, lový_, rcea, _jpsm_, 
   {{0x6d4900eb,0x1a6511b7,0xe5020586,0x6fd400b9}},	//   scea, نیتی_, लपति_, _bàcu, 
   {{0x9f5c026e,0x26176fb7,0xdb030118,0x91d5017d}},	//   nový_, nços_, _annò, _दवाई, 
   {{0x186a108e,0x3a29a63e,0x9f470080,0x7bdaa63f}},	//   мами_, _chap_, sinä_, aktu, 
   {{0x9f5c014b,0x00000000,0x00000000,0x00000000}},	//   hový_, --, --, --, 
   {{0xdb0a0218,0x9f5c037f,0xbb4200f0,0xeb9950ef}},	//   _mafê, kový_, _кешк, _цик_, 
   {{0xfaa5a640,0x9f5c014b,0x96631730,0xdb035558}},	//   _райо, jový_, икре, _kaní, 
   {{0x9f5c026e,0x98be01f0,0x63bc4bfa,0xdb0300da}},	//   dový_, ştı_, _snrn, _janí, 
   {{0xd4670d61,0xb3869849,0x741617bc,0x25ab03c6}},	// [a3c0] ките_, клал, نورا, _dacl_, 
   {{0x2d9f0326,0x00000000,0x00000000,0x00000000}},	//   heue_, --, --, --, 
   {{0x66e632ae,0x03a31ee6,0x9f5c0098,0x277700d1}},	//   _рона, рихо, gový_, _בגין_, 
   {{0x7ddca641,0xdb180076,0x6fd403dd,0x2005018e}},	//   _réso, _nový, _làct, _ajli_, 
   {{0x80be047c,0xe0e00086,0xf8c20299,0x7bda01d5}},	//   ्हें, বপ্ন, शमिय, yktu, 
   {{0xdfcf361f,0x9f5c143b,0x25a0a642,0xb4de0035}},	//   يين_, bový_, leil_, तनी_, 
   {{0x6fdd00d3,0x9e0608ac,0x24800465,0xdb030098}},	//   _tècn, кчил, luim_, _baní, 
   {{0x5f160081,0x7526006d,0x25a00465,0x442a016a}},	//   _पुण्_, _kzkz, neil_, _hhb_, 
   {{0xc5f30056,0xdb0110ff,0x3a290102,0xdb03a643}},	//   ידה_, ndlæ, _rhap_, _daní, 
   {{0x25a0a644,0x9f5e0118,0xdd0c0035,0x442a0ff2}},	//   heil_, _ektò_, _półk, _jhb_, 
   {{0x0d8670c9,0xe9f932af,0x5a359190,0x37ba0086}},	//   _ален, енні_, лнот, ুসার, 
   {{0x39400027,0x5a3400d9,0x2480040b,0x00000000}},	//   _cgis_, инэт, kuim_, --, 
   {{0x386d6f07,0xab94005e,0x9f5c014b,0xc864a645}},	//   éer_, _билі, zový_, итри, 
   {{0xd7c9009c,0x481400b3,0x2480a646,0x00000000}},	//   روزه_, имяс, duim_, --, 
   {{0x88cb0086,0x1af00086,0x3a29a647,0x25a0017b}},	//   _লেখক, _ঘুরে_, _thap_, feil_, 
   {{0x9f5c026e,0x25a001c5,0x7c2d02a3,0x1dc5048e}},	//   vový_, geil_, _èarr, वायत, 
   {{0x80be006a,0x43953ae5,0x386000f8,0x442aa648}},	// [a3d0] ्हों, лаас, _gwir_, _bhb_, 
   {{0x9f5c0076,0x6fdd03a1,0x442a0082,0xa5bb007a}},	//   tový_, _rèco, _chb_, _mhói, 
   {{0x7dd5014b,0xd17500d3,0x59d735d0,0x213f0175}},	//   _zásu, гылы, _डकार, _pguh_, 
   {{0x261727f2,0x9f5c026e,0xdd0100d0,0x66dc00c8}},	//   rços_, rový_, _žučn, säkö, 
   {{0x7dd5a649,0x9f5c026e,0xdfd517fc,0x56e100f0}},	//   _mást, sový_, лоды, _тұңғ, 
   {{0x7dd504b3,0x9f5c0098,0x22430604,0x00000000}},	//   _lást, pový_, _tujk_, --, 
   {{0xf1a7a64a,0x4e9500eb,0x7645016a,0x69dda64b}},	//   _иран, اشتر, _juhy, kkse, 
   {{0x7dd50076,0x764534c4,0x7db40904,0xa2a80586}},	//   _nást, _muhy, асьц, _घनत्, 
   {{0x3134a64c,0xa5bb0084,0x7c2a0038,0x0cb30033}},	//   _ветр, _chói, _bhfr, য়ন্ত, 
   {{0x7aa5181b,0x69dda64d,0xa5bb007a,0x5ac9a49f}},	//   гиоз, ekse, _dhói, елом_, 
   {{0x160317dc,0xdb03010e,0x764500b4,0x00000000}},	//   रचार_, _taní, _nuhy, --, 
   {{0x66e60258,0x61f90102,0x601602aa,0xa5bb007a}},	//   қоба, niwl, lâmp, _fhói, 
   {{0x6d5b2e7b,0x25a0a64e,0x6fd4022c,0xfd44012d}},	//   mbua, veil_, _tàct, _тэхн, 
   {{0x291e00e0,0x2a6c00f4,0x69dd00c8,0xaae50a67}},	//   āta_, bsdb_, akse, _مسعو, 
   {{0x25a06841,0x442a3c75,0x65ba0886,0x7dd50038}},	//   teil_, _rhb_, нуар_, _fást, 
   {{0x7dd5118d,0x64a6a404,0x2905008f,0x2480a64f}},	//   _gást, лаба, ğlar_, tuim_, 
   {{0x290503b0,0x25a0a650,0xe3ba00cf,0xb4de35c8}},	// [a3e0] şlar_, reil_, нба_, तने_, 
   {{0x7dd505a8,0x25a001c5,0x2480a651,0x934600b3}},	//   _zást, seil_, ruim_, унже, 
   {{0x7645023e,0xdb0a03dd,0x1bf60070,0x574300b3}},	//   _guhy, _cafè, נצער_, _ынэб, 
   {{0x00e636e7,0x067b0070,0x7986a652,0xdb03023a}},	//   лжен, _אנטל, ngkw, _manà, 
   {{0x6604358d,0x24806fb7,0xdce001dd,0x8a1700d1}},	//   mnik, quim_, kamā, נחנו_, 
   {{0x660472f7,0xeeaa1b82,0x65660102,0xdce001dd}},	//   lnik, етик_, _hekh, jamā, 
   {{0x69dd0088,0x65660da2,0xdb01014e,0x23272ef8}},	//   ykse, _kekh, ndlä, _бори_, 
   {{0x6604a653,0x6446a654,0x7c2a024a,0x63ae0102}},	//   nnik, _kuki, _shfr, _habn, 
   {{0xa3e805fd,0x600a1a9e,0x63ae006d,0x65660149}},	//   _बता_, _знам_, _kabn, _mekh, 
   {{0xda7aa655,0x644601ae,0x65660364,0x7dd500eb}},	//   ням_, _muki, _lekh, _sást, 
   {{0xd00f0040,0x6604a656,0x64464537,0x19593607}},	//   _علم_, knik, _luki, каны_, 
   {{0x69dd030f,0x6566881c,0x64464822,0x629c011c}},	//   ukse, _nekh, _ouki, _mpro, 
   {{0x5c567489,0x7dd504b3,0x69dd00dd,0x6446a657}},	//   _стеф, _vást, rkse, _nuki, 
   {{0xdb03a658,0xdce001dd,0x5fc7009a,0x69dd00c2}},	//   _fanà, camā, लायल, skse, 
   {{0x6446a659,0x7dd500eb,0x6566a65a,0xaab7091d}},	//   _auki, _tást, _bekh, _مدير_, 
   {{0x6604a65b,0x65660175,0x6aaa03c6,0x00000000}},	//   gnik, _cekh, _isff, --, 
   {{0xd37b7f15,0xf99000eb,0x6446a65c,0x55072bd0}},	// [a3f0] ече_, _ربي_, _cuki, учва, 
   {{0x6446a65d,0x926ba65e,0x656612b6,0x5eea0033}},	//   _duki, ерда_, _eekh, _কখনও_, 
   {{0x660411c8,0xdb032cb0,0x63ae023b,0x644601ca}},	//   bnik, _kaná, _dabn, _euki, 
   {{0x6d42a65f,0xdb0aa660,0x629c8d5f,0x6446a661}},	//   _ngoa, _café, _dpro, _fuki, 
   {{0x601600d9,0x601f0165,0x64460199,0xdceb003d}},	//   tâmp, lêmi, _guki, _ibgħ, 
   {{0x629c0068,0x3d18000f,0xd47a0070,0x6d420a77}},	//   _fpro, _पड़े_, _באשל, _agoa, 
   {{0x6d5b06d0,0x644602fe,0x65663a6b,0xd3440019}},	//   tbua, _zuki, _yekh, _اہمی, 
   {{0xdb030098,0xdb012817,0x8db5012d,0x60390237}},	//   _naná, ndlå, рскі, _kňmk, 
   {{0x6d5ba662,0xdb010165,0xcd290093,0x629c00bc}},	//   rbua, celê, ъжие_, _zpro, 
   {{0x8d28032e,0xdb18128a,0x6604a663,0x7dd50165}},	//   ының_, _enví, znik, _páss, 
   {{0x3b091a9e,0xdb03200a,0xdce00caf,0x6604a664}},	//   тено_, _baná, ramā, ynik, 
   {{0x66048b5e,0x601f0165,0x1d198596,0xdce00339}},	//   xnik, dêmi, _июль_, samā, 
   {{0x682002ae,0x7dd50534,0x9a150a10,0x00000000}},	//   lödi, _fásr, сфэш, --, 
   {{0x6604006a,0x644638b1,0xdb03a665,0x656607d7}},	//   wnik, _ruki, _eaná, _sekh, 
   {{0x09e608b8,0x65660065,0x644614d5,0xdb030d34}},	//   _войн, _pekh, _suki, _faná, 
   {{0xe9df0187,0x06075a93,0x6604a666,0xdb030369}},	//   ckú_, анск_, unik, _ganá, 
  
   {{0xddd800d2,0x629ca667,0x7ddca668,0x18a600f6}},	// [a400] nuvš, _spro, _désh, _тапм, 
   {{0x66040704,0x63ae006d,0x6566a669,0x6446a66a}},	//   snik, _qabn, _wekh, _vuki, 
   {{0xb1460ba6,0x656600f4,0x66040cff,0x877b0486}},	//   анел, _tekh, pnik, _באיי, 
   {{0x6446a66b,0xfc48001b,0xe0da0886,0x00000000}},	//   _tuki, _lửa_, кве_, --, 
   {{0x4fc61416,0x629c00ab,0x674535b6,0x64460102}},	//   иска, _wpro, _átjá, _uuki, 
   {{0xfc48001b,0x442101be,0x00000000,0x00000000}},	//   _nửa_, clh_, --, --, 
   {{0x7ddc026a,0x539b00d1,0x6fdd0212,0x6b8a00a1}},	//   _hési, _שילו, _mèch, _rcfg, 
   {{0x9fa3003e,0x7dd5033c,0xdb01010c,0x6fdd0212}},	//   síðu_, _básq, pelê, _lèch, 
   {{0x6440026a,0x5f16061f,0xdb01021e,0x00000000}},	//   _émis, _पुर्_, belë, --, 
   {{0xfc480029,0x66090062,0x60e807fa,0x23c9017d}},	//   _cửa_, čeki, ırmı, रायद, 
   {{0xb4db0029,0x6253003d,0x7ddc5665,0xdb0311bb}},	//   _ngàn, _għod, _lési, _paná, 
   {{0x9967a66c,0xdd90029a,0x00000000,0x00000000}},	//   штол, _روت_, --, --, 
   {{0xfbcf06bc,0x6fdd05d5,0xdb0302be,0x53c90299}},	//   ستی_, _bèch, _vaná, रामश, 
   {{0xd7fba66d,0xe9df0032,0xe7870176,0x24920ed9}},	//   тум_, skú_, шумо, dtym_, 
   {{0xdb030019,0xf1c700b0,0x395203c6,0x00000000}},	//   _taná, _रचलन, _ffys_, --, 
   {{0x3c2b01e8,0xdb1800b9,0x00000000,0x00000000}},	//   røve_, _invà, --, --, 
   {{0x22a801f0,0x4421a66e,0xb87b010e,0xdef8008a}},	// [a410] _aşk_, tlh_, gzít, _deċi_, 
   {{0x7ddc026d,0xd687a66f,0x78ad7e96,0x6fdd05d5}},	//   _dési, _кумп, _isav, _gèch, 
   {{0xa5bb0038,0xdb0aa670,0xa27900b3,0x00000000}},	//   _bhót, _infó, убеу_, --, 
   {{0xc244a671,0xe1f09461,0xa5bb0534,0x00000000}},	//   інік, وسن_, _chót, --, 
   {{0x656d23fd,0xdce20097,0xe80e034d,0xc1040038}},	//   maah, _beoč, _सदमा_, يومي, 
   {{0x656d095a,0xc1a6004e,0x335800b3,0xdce0020f}},	//   laah, _қысқ, _варэ_, zamă, 
   {{0x21290187,0xfc4800e7,0x3f8700ef,0xa49b03dd}},	//   ťah_, _rửa_, rgnu_, _exòt, 
   {{0xfc480029,0x798d006f,0x656da672,0x63a502eb}},	//   _sửa_, _ncaw, naah, lehn, 
   {{0x6285a673,0xdb01039f,0x00000000,0x00000000}},	//   luho, melé, --, --, 
   {{0x63a511e9,0x7dd50369,0x625300a4,0x00000000}},	//   nehn, _vásq, _iħob, --, 
   {{0xa96a1853,0xae7800dd,0x67eb0384,0x6285a674}},	//   лина_, _всіх_, _müjd, nuho, 
   {{0xdb0303b7,0x6fdd0107,0x98a600fd,0x00000000}},	//   _lanç, _sèch, биме, --, 
   {{0xeb993065,0x656d03de,0x91ba00d1,0xdb1803dd}},	//   _бил_, daah, אמרי, _envà, 
   {{0x7ddc2b9a,0x6285a675,0x661d040b,0x00000000}},	//   _rési, kuho, _aksk, --, 
   {{0x66e3a676,0x6729000d,0xdb010019,0x32065026}},	//   пора, řejn, kelé, ynoy_, 
   {{0xbb3a00c7,0x7ddc0634,0x6fdd03dd,0xdb0a0237}},	//   _געצי, _pési, _dèci, _enfó, 
   {{0xdb18a677,0x625300c3,0xd6270080,0xf9930ab9}},	// [a420] _invá, _nħob, соте_, _זרח_, 
   {{0xdb036ff2,0xc05a004e,0x60390237,0xdb0a0237}},	//   _canç, ңіл_, _fňmi, _infò, 
   {{0xb87b006b,0xe5a66ebe,0x69c44c08,0xdb0302a0}},	//   szít, _лини, _knie, _danç, 
   {{0x69d6a678,0xc8b5006b,0x765c012b,0x3d186229}},	//   _joye, _الیک, mpry, _पडले_, 
   {{0x69d6a679,0x7bc3052b,0x69c400ab,0xa5bb003e}},	//   _moye, _onnu, _mnie, _skóg, 
   {{0x69d6a67a,0x6285a67b,0x7a0b0083,0xdb030502}},	//   _loye, buho, jętn, _kanä, 
   {{0x7ddc00f6,0x61eb00a1,0xf1c300d8,0x00000000}},	//   _mésv, bhgl, áší_, --, 
   {{0x7bc3a67c,0x2007884e,0x69d6a67d,0x61eb02eb}},	//   _annu, anni_, _noye, chgl, 
   {{0xdce202fe,0xf1c3031e,0x61e2a67e,0x8afc0035}},	//   _teoč, šší_, mkol, zbęd, 
   {{0x24800038,0x3a7400d3,0xdce00028,0x8bc67b5c}},	//   irim_, олор, jamą, ссид, 
   {{0x69d66f98,0x441b00c7,0x69c40405,0x61e228e5}},	//   _boye, רויס, _bnie, okol, 
   {{0x61e2a67f,0x14c80f93,0x7bc3a680,0xf4000086}},	//   nkol, रमाण, _ennu, ্তির_, 
   {{0xdca3252a,0x1dc50299,0x69d6a681,0x765c0ff2}},	//   _наци, वारत, _doye, epry, 
   {{0xdb010019,0xb8d12c91,0x69c4a682,0x656d095a}},	//   zelé, _ऐन_, _enie, waah, 
   {{0x61e2a683,0xdb0a0cd7,0xf4000086,0x69d6a67d}},	//   kkol, _enfò, ্তার_, _foye, 
   {{0x9f47014b,0x78ad1578,0xa5bb0126,0xdb0355b2}},	//   diný_, _tsav, _ahór, _sanç, 
   {{0x63a5a684,0xdb010019,0x61e251c4,0x2480a685}},	// [a430] tehn, velé, dkol, grim_, 
   {{0xa5bb0038,0x6285a686,0x7d1d01c4,0x61e2266a}},	//   _chór, tuho, üssi, ekol, 
   {{0xa6ab298e,0xdb010019,0x45d509f6,0x69d6044d}},	//   _صادق_, telé, _донс, _yoye, 
   {{0x201ea687,0x61e2a688,0x200c0096,0xdb01009e}},	//   _akti_, gkol, _ajdi_, kelî, 
   {{0xdb010019,0xb97c035c,0xa5bb0038,0x7ddca689}},	//   relé, רנדי, _fhór, _jésu, 
   {{0xf2e7a68a,0x6609034c,0x7e55149b,0x6f87017b}},	//   _любо, čeku, отиц, судж, 
   {{0xb7dc00c7,0xdb0106aa,0x7ddc011c,0x61e202a5}},	//   רקוי, pelé, _lésu, bkol, 
   {{0xec79a68b,0xa1940080,0x201e0508,0xf99f011c}},	//   апи_, _насч, _ekti_, lièf_, 
   {{0x69d64ff4,0x61fb2ee8,0x1be9a68c,0x1d09980f}},	//   _roye, _imul, идии_, репи_, 
   {{0x69c429fa,0x69d6026a,0x5e87128b,0x9f4500b9}},	//   _snie, _soye, _гудз, _ollé_, 
   {{0x69d6331a,0x69c4115a,0x61e9023e,0xdb0134f9}},	//   _poye, _pnie, _klel, ndlø, 
   {{0x5ed200cc,0x27faa68d,0x7ddc023e,0x69c400a4}},	//   _থেকে, _smpn_, _bésu, _qnie, 
   {{0x69d6a68e,0x776e00ad,0x9f45a68f,0x61fb0539}},	//   _voye, tabx, _allé_, _mmul, 
   {{0x61e2a690,0x61e9a691,0x7bc301d5,0x69d60204}},	//   zkol, _llel, _unnu, _woye, 
   {{0x61fb0a8b,0xe73a58d0,0x66e611f9,0x69d601b8}},	//   _omul, рев_, цова, _toye, 
   {{0x69c48b12,0xceb2008d,0x2480a692,0x9f5c024a}},	//   _unie, ויל_, trim_, tivë_, 
   {{0xb87b006b,0x2d9da693,0x7ddc023e,0x765ca694}},	// [a440] szír, _mbwe_, _gésu, spry, 
   {{0x61fb0f53,0x2480024a,0x320d0175,0xf7722841}},	//   _amul, rrim_, _ajey_, _کاک_, 
   {{0x75ea0098,0x2d9d01b8,0x61e2a695,0x00000000}},	//   _výzb, _obwe_, tkol, --, 
   {{0x2480a696,0x61e90036,0xea8c0070,0x443101cf}},	//   prim_, _clel, רנאָ, _ehz_, 
   {{0x61e2a697,0x9f5c00da,0x75fa02d9,0x00000000}},	//   rkol, livé_, hůzk, --, 
   {{0x61e907d7,0x2d9d052b,0x88bb0070,0x44317910}},	//   _elel, _abwe_, יזני, _ghz_, 
   {{0xfe6f2ad7,0x9f5c0098,0x6d460098,0x21760176}},	//   ندي_, nivé_, žkam, _муар, 
   {{0x934302fb,0xdd971e22,0x7ddc0c24,0x61fb012b}},	//   _інте, ошь_, _nést, _gmul, 
   {{0x9f470369,0x00000000,0x00000000,0x00000000}},	//   ginó_, --, --, --, 
   {{0x7ddc0518,0xbea602c0,0x3a200175,0x00000000}},	//   _résu, _мазк, _akip_, --, 
   {{0x3eb8010e,0x7ddc011c,0x9f5c00da,0x22440604}},	//   _ért_, _sésu, jivé_, _kimk_, 
   {{0x201c11ed,0x6ce608af,0x9f5c2706,0x628300ca}},	//   lovi_, _міле, divé_, šnog, 
   {{0xa92b005e,0xdb03010c,0x9f47a698,0x7ddc1fda}},	//   ріне_, _kanû, cinó_, _dést, 
   {{0xbebc0bc3,0x3a20a699,0x36d51289,0x00000000}},	//   _dzīv, _ekip_, погр, --, 
   {{0x3dc60056,0x23c902e6,0x356b0ffa,0x3a200089}},	//   _know_, रासद, иран_, _fkip_, 
   {{0x7a12002a,0x7bd800fc,0x54550846,0x6fdd00b9}},	//   tāte, _hovu, зват, _hèct, 
   {{0x3494a69a,0x7bd8a69b,0x290c010c,0x94ab02a6}},	// [a450] матр, _kovu, şdar_, штва_, 
   {{0x61fba69c,0x61e9011c,0x7bd8008a,0x9f5c00da}},	//   _smul, _slel, _jovu, bivé_, 
   {{0x201c02f5,0x7afc00eb,0x7bd80532,0x7ddc019c}},	//   dovi_, úrth, _movu, _jéss, 
   {{0xdb180219,0xdb0a0379,0x50b51628,0x7bd8a69d}},	//   _invä, _mafà, зску, _lovu, 
   {{0x201c032f,0xf7f400d4,0x3ebe00fd,0xf8cb00c9}},	//   fovi_, _رسید, _artt_, ामिय, 
   {{0x201c0112,0xa2a6000f,0xb4e700bd,0x4425463c}},	//   govi_, _टैक्, बनी_, _ól_, 
   {{0xdb030218,0x61e907d7,0x24893c03,0x00000000}},	//   _danû, _tlel, luam_, --, 
   {{0x25a90014,0x63b59c50,0x415513f2,0x61fba69e}},	//   neal_, _hazn, _хвас, _umul, 
   {{0x201c003a,0x2489a69f,0x321d0035,0x212d0ab4}},	//   bovi_, nuam_, mowy_, _uzeh_, 
   {{0x25a93772,0x7bd8a6a0,0x321d0035,0x201ca6a1}},	//   heal_, _covu, lowy_, covi_, 
   {{0x7bd8a6a2,0x316da6a3,0x63b5a6a4,0x248901a0}},	//   _dovu, _keez_, _mazn, huam_, 
   {{0x63b500d2,0x386976df,0x3d953a2a,0x321d0035}},	//   _lazn, _bwar_, _хидр, nowy_, 
   {{0xdb1814f9,0x25a9a6a5,0xdb03010d,0xdb0100d8}},	//   _anvä, deal_, _janú, melí, 
   {{0x38690529,0x9f5ca6a6,0x2a6702aa,0xdb0a0379}},	//   _dwar_, tivé_, _twnb_, _fafà, 
   {{0xfaa2048a,0xdb03a6a7,0x321d0035,0x6297006d}},	//   _защо, _lanú, kowy_, jtxo, 
   {{0x201c003a,0x25a96381,0xceb202a1,0x9f5ca6a8}},	//   zovi_, geal_, עין_, rivé_, 
   {{0x321d00ab,0x24890348,0x64a38829,0x63b500e0}},	// [a460] dowy_, guam_, ната, _bazn, 
   {{0x6135039f,0x63b5107c,0x00000000,0x00000000}},	//   zülé, _cazn, --, --, 
   {{0x201c04d1,0x386902f2,0xdce0034c,0x25a9a6a9}},	//   vovi_, _zwar_, pamć, beal_, 
   {{0x04460088,0x25a9606a,0xdb0300b9,0x321d0083}},	//   _немн, ceal_, _banú, gowy_, 
   {{0x25d707f5,0x63b576fc,0xdb180219,0x3869010c}},	//   _זוכן_, _fazn, _invå, _xwar_, 
   {{0xdb0a022b,0xdb03010c,0x741611b7,0x78a400a9}},	//   _infö, _qanû, _روزا, _mpiv, 
   {{0x764601a3,0x316d00b4,0x321d0083,0x9f4702d9}},	//   _kiky, _feez_, bowy_, chní_, 
   {{0x7646016a,0xdb030228,0x7bd800a3,0x2d8d0ff2}},	//   _jiky, _fanú, _sovu, ggee_, 
   {{0x7bd8044e,0x201c00f1,0xdb080165,0xa0673e49}},	//   _povu, povi_, cedê, _ната_, 
   {{0x9f4701d8,0x7ddc0165,0x25a90474,0x7bd84a25}},	//   sinò_, _péss, zeal_, _qovu, 
   {{0x61350019,0xc4c80c64,0x386951cc,0x00000000}},	//   pülé, रमुख, _swar_, --, 
   {{0x80b30035,0x2489006d,0x7bd80532,0xee3a00d9}},	//   _इनमे, yuam_, _wovu, _уне_, 
   {{0x7bd8a6aa,0x6e22a6ab,0x394902be,0x25a900df}},	//   _tovu, _ikob, _vgas_, veal_, 
   {{0xd7f800d9,0x8c43478a,0x3f8ea6ac,0x321d0083}},	//   пус_, _зече, ngfu_, zowy_, 
   {{0x752f0da6,0x25a90a75,0xdb0a02ae,0x76460539}},	//   _szcz, teal_, _anfö, _biky, 
   {{0x63b500f1,0x6a1508af,0x65640daa,0x248943f0}},	//   _sazn, _імпу, gbih, tuam_, 
   {{0xb4e736bc,0x73d9a6ad,0x7646011d,0x63b5a6ae}},	// [a470] बने_, одар_, _diky, _pazn, 
   {{0x25a9a6af,0x67250088,0x4ab00f8c,0xaab0031e}},	//   seal_, _tyhj, _जनाव, _जनाक, 
   {{0x98b903b0,0x25a9a6b0,0x2489006f,0x321d00ab}},	//   ması_, peal_, suam_, towy_, 
   {{0x7a3f5e03,0x2295264e,0x62970a9f,0x98b904be}},	//   _būti, råk_, rtxo, lası_, 
   {{0x656f02bf,0x248902be,0x321d7141,0x7a1200e0}},	//   _iech, quam_, rowy_, nāta, 
   {{0x656fa6b1,0x98b907fa,0x645da6b2,0x6e22a6b3}},	//   _hech, nası_, _itsi, _akob, 
   {{0x656f00cf,0x60c063da,0x660d9086,0x4423023e}},	//   _kech, _ermm, onak, _ikj_, 
   {{0x644f0985,0x660da6b4,0x6447a6b5,0x4423016a}},	//   _kuci, nnak, _hiji, _hkj_, 
   {{0x98b90824,0x6447a6b6,0x660da6b7,0x2d8d0326}},	//   kası_, _kiji, inak, rgee_, 
   {{0x656fa6b8,0x64470010,0x660d0175,0x644fa6b9}},	//   _lech, _jiji, hnak, _muci, 
   {{0x6447a6ba,0xdb0803a1,0x26c101a0,0xc9aaa6bb}},	//   _miji, nedè, _nrho_, овне_, 
   {{0x656fa6bc,0x645d97b7,0xf2d200c7,0x7dd5010e}},	//   _nech, _otsi, דעט_, _lász, 
   {{0x660d00d0,0x645d0e0c,0xe8f72551,0x6d5946df}},	//   dnak, _ntsi, для_, _ifwa, 
   {{0xa3ac0366,0x64477e67,0xa6caa6bd,0x660d3071}},	//   कड़ा_, _niji, олга_, enak, 
   {{0x645da6be,0x656fa6bf,0x76460102,0x00000000}},	//   _atsi, _bech, _piky, --, 
   {{0x660da6c0,0x656f18aa,0xdb0a0038,0x6e297781}},	//   gnak, _cech, _uafá, nleb, 
   {{0x644f048a,0x656fa6c1,0x6447a6c2,0x443a1d21}},	// [a480] _cuci, _dech, _biji, tmp_, 
   {{0x644fa6c3,0x9f4519f6,0x64a4005e,0x6564a6c4}},	//   _duci, _allí_, маға, sbih, 
   {{0xe2973558,0x6d5903c6,0x656f88e4,0x6447a6c5}},	//   дах_, _ofwa, _fech, _diji, 
   {{0x6d4ba6c6,0x644f00fd,0xe45f0219,0xda0e00a2}},	//   _ngga, _fuci, _bröd_, ाचित_, 
   {{0x6604a6c7,0x644f02b8,0x6447374c,0x628500f6}},	//   miik, _guci, _fiji, arho, 
   {{0x66040c9c,0x6d4ba6c8,0x6d590a58,0x4423a6c9}},	//   liik, _agga, _afwa, _gkj_, 
   {{0x656f00a3,0xdb0803dd,0x00000000,0x00000000}},	//   _yech, cedè, --, --, 
   {{0x98b90092,0x1dc51f9a,0x7ddc0634,0x6e3b0495}},	//   zası_, वागत, _césp, gmub, 
   {{0x98b906d0,0x6447016c,0x3166025b,0x00000000}},	//   yası_, _yiji, mboz_, --, 
   {{0xc0a9022a,0x6d4ba6ca,0x7a1201dd,0x6e29052b}},	//   _عاقل_, _egga, vāta, aleb, 
   {{0xddcb02f5,0xdd8f101b,0x660d01f0,0x66040298}},	//   žišt, _иш_, ynak, kiik, 
   {{0x7c661b65,0xdee308ba,0x6e22016c,0x799d0502}},	//   _قاتل, _шохи, _ukob, ufsw, 
   {{0x656fa6cb,0x64c8000f,0x660d0187,0x6e20a6cc}},	//   _rech, रमोश, vnak, momb, 
   {{0x656fa6cd,0x645d011c,0xdce002d9,0x26c10144}},	//   _sech, _rtsi, zamě, _prho_, 
   {{0x656fa6ce,0xa3d2188d,0x75ea0076,0x98b9091f}},	//   _pech, वान_, _význ, rası_, 
   {{0x6e20a6cf,0x6447a6d0,0x6285014b,0x660da6d1}},	//   nomb, _siji, vrho, unak, 
   {{0x656fa6d2,0x660d079e,0x644799bb,0x25a20640}},	// [a490] _vech, rnak, _piji, _dbkl_, 
   {{0x656f02f2,0x644f0a1a,0x7a1200e0,0x6e20a6d3}},	//   _wech, _vuci, nātn, homb, 
   {{0x6e20a6d4,0x6447a6d5,0x62530405,0xe0d0009c}},	//   komb, _viji, _għol, یزه_, 
   {{0x3e7a002a,0xdb08a6d6,0xd1310038,0xdb01014b}},	//   dīt_, gedé, هما_, nelá, 
   {{0xa0692f80,0x645da6d7,0x6e2986cd,0x7ddc002c}},	//   чала_, _utsi, vleb, _résp, 
   {{0x7bca008a,0x6e20018e,0x7a3600d8,0x00000000}},	//   _nnfu, eomb, máte, --, 
   {{0xfc4800f7,0x6e290149,0x4421a6d8,0x6e20a6d9}},	//   _gửi_, tleb, moh_, fomb, 
   {{0x6e209a02,0x4421a6da,0x24860009,0xdb080068}},	//   gomb, loh_, šome_, cedé, 
   {{0x6e29a6db,0xdb01143b,0x44211995,0x301500e4}},	//   rleb, delá, ooh_, _здар, 
   {{0xa3d2215e,0x4421a6dc,0x35d100a5,0x2e4b0093}},	//   वाय_, noh_, हाड़, _дядо_, 
   {{0x6e205263,0xf99f0093,0x2ca6a6dd,0x6e29a6de}},	//   bomb, ffè_, _epod_, pleb, 
   {{0x61f922df,0x7bca0547,0x6d4b9945,0x4421a6df}},	//   _çalı, _enfu, _ugga, hoh_, 
   {{0x44212e9a,0x1c390b58,0x660400c8,0xf1b9368a}},	//   koh_, _езды_, viik, _maš_, 
   {{0xcc7600fe,0xf1b90082,0x7bca052b,0x17c80176}},	//   _טענה_, _laš_, _gnfu, фҳои_, 
   {{0x4421005c,0x6604a6e0,0xdb010098,0xe737a6e1}},	//   doh_, tiik, belá, еер_, 
   {{0x7bca0082,0x7a3f0528,0xdb0100de,0x00000000}},	//   _znfu, _būtu, celá, --, 
   {{0x6604a6e2,0xdb18010c,0x3e7a01dd,0xe36600d9}},	// [a4a0] riik, _navê, zīt_, екзи, 
   {{0x6604a6e3,0x2bd20667,0x4421a6e4,0x6e204f36}},	//   siik, ताया, goh_, zomb, 
   {{0xf1b902f5,0x2bb70081,0xa3d20262,0x6e20a6e5}},	//   _baš_, _असना, वाब_, yomb, 
   {{0xdb180218,0x9f5c0183,0x625300c3,0xf8a40299}},	//   _bavê, riví_, _għom, _ओहाय, 
   {{0xf12309e7,0x44210da2,0x9f4503a1,0xf1b9203b}},	//   льшо, boh_, _allà_, _daš_, 
   {{0x3e7a002a,0x4421a6e6,0xdb18009e,0x65760104}},	//   tīt_, coh_, _davê, layh, 
   {{0x443802ec,0x6e20a6e7,0xdb0101e8,0x216a5dcc}},	//   _ihr_, tomb, lelæ, _ниви_, 
   {{0x3e7a00e0,0x44380679,0x3207010e,0x6576a6e8}},	//   rīt_, _hhr_, ényt_, nayh, 
   {{0x3e7a002a,0xdb180218,0x81b60bf1,0x00000000}},	//   sīt_, _gavê, জাদ_, --, 
   {{0x6029009e,0xf1b900ca,0x23c900c9,0x96e002e6}},	//   rêmê, _zaš_, राएद, नहाउ, 
   {{0x443801be,0xda77a6e9,0x6e20a6ea,0x5ba3004e}},	//   _mhr_, няя_, pomb, урыз, 
   {{0xddea00d4,0xf8bf014b,0x6ae400f0,0xee3a00d3}},	//   _عرضه_, tvé_, ежүз, _эне_, 
   {{0xebe6a6eb,0xf8bf026d,0x291ea177,0x4421a6ec}},	//   _подп, uvé_, ştan_, yoh_, 
   {{0xf8bf026a,0xdb18024a,0xdb010183,0x00000000}},	//   rvé_, _javë, selá, --, 
   {{0x25a000f8,0x2fcc0175,0x442101ff,0x3860a6ed}},	//   ffil_, _mndg_, voh_, _etir_, 
   {{0xd5b8a6ee,0xd2db009a,0x00000000,0x00000000}},	//   нсу_, _मॅगझ, --, --, 
   {{0x4421a6ef,0x69cd0053,0xe4531a1c,0x2bb7029c}},	// [a4b0] toh_, _inae, اضر_, _असमा, 
   {{0x7a36a6f0,0x160200a2,0x67e2020b,0x00000000}},	//   ráte, रोबर_, _dôjs, --, 
   {{0xa5f9a6f1,0x4438a6f2,0x8c1b00d1,0x69cd08b0}},	//   _жену_, _dhr_, לומי, _knae, 
   {{0x4421a6f3,0x225c11bb,0x45d427eb,0x443802eb}},	//   soh_, ívka_, _боюс, _ehr_, 
   {{0xed590112,0x44210e32,0x44380242,0x69df0026}},	//   ndže_, poh_, _fhr_, _moqe, 
   {{0x9f4508f4,0x4421157f,0xc0e2052d,0x4fa54f7d}},	//   _allá_, qoh_, рошк, тикв, 
   {{0xf1a7a6f4,0xf1b90304,0x00000000,0x00000000}},	//   _пран, _taš_, --, --, 
   {{0x2cbf0082,0xa3d20249,0x69cd02a5,0xe8ff0216}},	//   tvud_, वाथ_, _nnae, vbûn_, 
   {{0x00db07cb,0xdb030098,0x00000000,0x00000000}},	//   _عبرت_, _daný, --, --, 
   {{0xa5bb010d,0x69cda6f5,0x24890165,0x7c3800ca}},	//   _skól, _anae, iram_, _chvr, 
   {{0xa3d202f8,0x2489a6f6,0x05e10035,0x0dcb1571}},	//   वात_, hram_, _नवंब, _нуди_, 
   {{0xe8ff0218,0x24890d06,0xdd1d00b3,0x9f5c0ed9}},	//   rbûn_, kram_, _câţi, mivá_, 
   {{0x24896033,0x7c210110,0xeb992e26,0xdb08009e}},	//   jram_, polr, _жил_, qedî, 
   {{0x2007a6f7,0x6d5b0126,0x69cd02a5,0x81d70033}},	//   nini_, lcua, _enae, িসি_, 
   {{0xd62a6aa1,0xa59628d1,0xfc480023,0x68e6017b}},	//   дове_, кращ, _cửu_, sykd, 
   {{0x2007a6f8,0x6d5ba6f9,0x64a6a6fa,0x2489a6fb}},	//   hini_, ncua, каба, fram_, 
   {{0x20072083,0xb907100b,0xe3ba373a,0xa507129d}},	// [a4c0] kini_, _যে_, мба_, вета_, 
   {{0x2007a6fc,0x64a33e15,0xdb0102c9,0x7ae500c2}},	//   jini_, рафа, relæ, _ühts, 
   {{0xd2590965,0x2489a6fd,0xb4db0465,0x9f5c0ed0}},	//   еці_, aram_, _sgàt, jivá_, 
   {{0x2489019c,0x6d5b006d,0x9f5c0098,0x00000000}},	//   bram_, jcua, divá_, --, 
   {{0xa3d21230,0x2007a6fe,0xf99300a7,0x409600c8}},	//   वाद_, fini_, שרד_, трет, 
   {{0x2007a6ff,0x443802ec,0x443e0237,0xdb1800b9}},	//   gini_, _uhr_, _òt_, _favè, 
   {{0x63bc9ce1,0xe7a40cbd,0x0eec042b,0xdb01a700}},	//   _iarn, ख्यप, जनेस_, nelä, 
   {{0x531b00d1,0x6e39017c,0x229c00da,0x629c0508}},	//   _חולצ, _chwb, mík_, _iqro, 
   {{0x61e0006e,0x229c026e,0x629ea701,0xdb180034}},	//   _ioml, lík_, ltpo, _tavë, 
   {{0x2bb700a2,0x63bc63c2,0x61e0039f,0xa0670d75}},	//   _असणा, _jarn, _homl, _рафа_, 
   {{0x229c035e,0x63bca702,0xd00f195e,0x7ec8026a}},	//   ník_, _marn, _ظلم_, _dépô, 
   {{0x248927d9,0x8b0700bc,0x63bc00a3,0x61e063b7}},	//   yram_, _skří, _larn, _joml, 
   {{0x69df02f1,0x63bc0065,0x6ba70219,0xcdf700d1}},	//   _voqe, _oarn, ärgå, _במאי_, 
   {{0xdb03a703,0x69cd0156,0x61e0a704,0x629ea705}},	//   _canó, _wnae, _loml, ktpo, 
   {{0x2bb702f8,0xdceb00e0,0x5c37a706,0xdb01128d}},	//   _असता, _iegā, _שטוב_, gelä, 
   {{0x2489a707,0x61e002f1,0x229c014b,0x69cd0053}},	//   tram_, _noml, dík_, _unae, 
   {{0x2007a708,0x63bca709,0x7bda0201,0x0495015f}},	// [a4d0] yini_, _barn, ojtu, طلاح, 
   {{0x2489a70a,0x442700e7,0x7a362403,0xdb01a70b}},	//   rram_, ôn_, máta, belä, 
   {{0x63bca70c,0x61e0a70d,0x46150038,0x00000000}},	//   _darn, _boml, _مودر, --, 
   {{0xf6500105,0xa5f93d5b,0x2007a70e,0x63bca70f}},	//   _گئی_, _чему_, wini_, _earn, 
   {{0x2007a710,0x3c390107,0x661a3230,0x61e0a711}},	//   tini_, lève_, étke, _doml, 
   {{0xb4df00a2,0x1e95795e,0x229c0098,0x9f5c00de}},	//   तही_, грир, bík_, tivá_, 
   {{0x20070998,0xed59a712,0x3a29a713,0x3c397ce3}},	//   rini_, ной_, _okap_, nève_, 
   {{0x20070848,0x63bca714,0x60c20532,0x61e00ad9}},	//   sini_, _zarn, bvom, _goml, 
   {{0xdd110824,0x2007a715,0xdd91006b,0x0c251b9f}},	//   _düşm, pini_, لوں_, лмин, 
   {{0x3a299e8f,0x2007a716,0x63bc3470,0x224d0175}},	//   _akap_, qini_, _xarn, _hiek_, 
   {{0x81b6100b,0x224d00e4,0xba75009c,0xaa46a717}},	//   জার_, _kiek_, داخت, леол, 
   {{0x3a290065,0xdb08033c,0x6ec00662,0x75ea00bc}},	//   _ckap_, cedí, विरु, _výzk, 
   {{0x22470385,0x229c014b,0xdb0300f6,0xdb0127fd}},	//   ínky_, zík_, _canò, delå, 
   {{0x224da718,0xdb01323c,0x6fb302e6,0x00000000}},	//   _liek_, telä, ंजिं, --, 
   {{0x98a5002a,0xd7570274,0xdb180218,0xfb240296}},	//   ālā_, الفت_, _havî, _پروپ, 
   {{0x229c010d,0x63bc007e,0xdb01014e,0xddc20035}},	//   vík_, _sarn, relä, _zioł, 
   {{0xfbb70773,0x61e0a719,0xd5750451,0x63bc7f42}},	// [a4e0] _असाम, _roml, русь, _parn, 
   {{0x229ca71a,0x69a0320b,0x61e0a71b,0x63bca71c}},	//   tík_, ग्री, _soml, _qarn, 
   {{0x64a304a4,0x5186a71d,0x63bca71e,0x179b00c7}},	//   _қара, гула, _varn, _אייב, 
   {{0xa3d20527,0x63bc7e5d,0x629ea71f,0x229c8698}},	//   वाह_, _warn, rtpo, rík_, 
   {{0x63bca720,0xdb180218,0xd00a87a0,0x81b60bf1}},	//   _tarn, _navî, неде_, জাল_, 
   {{0xb4c20239,0xb4c0a721,0x8c6600a3,0x229c0098}},	//   ्मी_, ंटी_, қтид, pík_, 
   {{0x61e0a722,0x644e06e4,0x224d0065,0x4ea60c16}},	//   _toml, _iibi, _fiek_, урла, 
   {{0xa3d2049f,0x5d54088a,0x79844164,0x11da0038}},	//   वाव_, шкит, _ndiw, _ثورة_, 
   {{0x7ddc0105,0x644ea723,0x25d700c7,0x98a90242}},	//   _kész, _kibi, רופן_, _izać_, 
   {{0x1958005e,0x224d01c8,0x644ea724,0x3a297551}},	//   ғары_, _ziek_, _jibi, _skap_, 
   {{0x9e660dfb,0xc3fb00c7,0x0d860024,0x442a4dc8}},	//   _свед, גליש, _блен, _mkb_, 
   {{0x644ea725,0xf2d30137,0x75f8031e,0x27e101c4}},	//   _libi, צער_, _jízd, _sohn_, 
   {{0x798402bf,0x7d7b0070,0x442a024a,0x38720090}},	//   _ddiw, _טראג, _okb_, _cwyr_, 
   {{0xf41f014e,0x644ea726,0x7a36a727,0x442a0027}},	//   _iväg_, _nibi, ráta, _nkb_, 
   {{0xd90f00d4,0x9a86040c,0x7a3600d8,0x00000000}},	//   تیک_, _сулл, mátn, --, 
   {{0x2bd20e17,0xb4c23d07,0x442aa728,0xb4c07426}},	//   तावा, ्मू_, _akb_, ंटू_, 
   {{0x644ea729,0x3375197b,0x7b040028,0x34954867}},	// [a4f0] _bibi, игар, žutė, разр, 
   {{0x644ea72a,0x224da72b,0x442a1430,0x9f450080}},	//   _cibi, _siek_, _ckb_, _yllä_, 
   {{0x644ea72c,0x41553c51,0xe45f0219,0x41e72072}},	//   _dibi, авес, _grön_, ліда, 
   {{0x69d80f7a,0x34958121,0x00000000,0x00000000}},	//   यायी, _камр, --, --, 
   {{0x656d0d55,0xed5902fe,0x7a360356,0x644e059e}},	//   mbah, jdža_, kátn, _fibi, 
   {{0xdceb00d9,0x9f510095,0x644ea72d,0x224d0035}},	//   _legă, _özü_, _gibi, _wiek_, 
   {{0x224d417f,0xb3d202f8,0x7777003d,0x764f0027}},	//   _tiek_, सारख, _mexx, _kicy, 
   {{0x656da72e,0xfbb7006a,0x644ea72f,0x78ad00bc}},	//   nbah, _असहम, _zibi, _opav, 
   {{0xec760b58,0x20ce003e,0x764f016c,0x212d0096}},	//   апы_, rðið_, _micy, _uyeh_, 
   {{0xa3ab0190,0x60c9a730,0x7a1200e0,0x764f0035}},	//   _कॉम_, _irem, māti, _licy, 
   {{0x78ad01dd,0x34d10b4a,0xfaa55cd1,0xa3bd1126}},	//   _apav, समुद, шано, _आसन_, 
   {{0xd94625da,0xcfaa0086,0x3f850242,0x80b80033}},	//   иени, _গোপন, _hdlu_, _আপত্, 
   {{0x69d8119b,0x777702a2,0xed4e41b8,0x7a1200e0}},	//   याबी, _bexx, _фо_, nāti, 
   {{0x186733d4,0x60c90053,0x9f470038,0x205600d1}},	//   рари_, _mrem, dhnú_, יישל_, 
   {{0x7ddc0105,0xf74615dd,0x644ea731,0x2bd21276}},	//   _rész, рево, _ribi, तारा, 
   {{0x0566a732,0x644ea733,0x656d0dc9,0x7a36014b}},	//   рван, _sibi, gbah, máto, 
   {{0x7a36115d,0x9f4700eb,0xa3d202e6,0xb4630bf8}},	// [a500] láto, ghnú_, वाल_, жкул, 
   {{0x7bc1a734,0x187b00c7,0x7a1201dd,0xff5f010c}},	//   ndlu, _שטיב, dāti, _şîn_, 
   {{0xe29aa735,0x7a36200a,0x60c9a736,0x237700d4}},	//   тае_, náto, _arem, شمند_, 
   {{0x60c91b2e,0x644ea737,0x71a600e4,0xa06a00a3}},	//   _brem, _wibi, радз, вада_, 
   {{0xe0462428,0xf8b8007e,0x7ddc010e,0x9f470038}},	//   анди, ेटिय, _tész, chnú_, 
   {{0x2480a738,0x764401f0,0x7a36200a,0x7a3da739}},	//   msim_, lmiy, káto, méte, 
   {{0x4444a73a,0x60c9a73b,0x7a3d9d34,0xd33500e4}},	//   mm_, _erem, léte, _гэты, 
   {{0x60c9092c,0x806600dd,0x6ca640f2,0x661600c8}},	//   _frem, _вваж, арож, nnyk, 
   {{0x2bd2000d,0x4444a73c,0x1fb61ca5,0x2617003d}},	//   ताला, om_, _всер, dħol_, 
   {{0x4444a73d,0x656d0ad9,0x2258a73e,0x8c430165}},	//   nm_, zbah, _kurk_, оење, 
   {{0x44446d24,0x78ad02f5,0x656d07fc,0x777c009e}},	//   im_, _spav, ybah, darx, 
   {{0x26170405,0xa3d2007e,0x2480a73f,0x69dd006d}},	//   għol_, वाँ_, ksim_, ujse, 
   {{0x98b80ff6,0xb4c200a5,0xfd12010e,0xb4c01d57}},	//   алят_, ्मो_, _بجا_, ंटो_, 
   {{0x4444a740,0xb4c21f22,0x8c4301d7,0xdb18a741}},	//   jm_, ्मै_, _дече, _haví, 
   {{0xc9871d02,0x7c28a742,0x0cb634d8,0x89d90a24}},	//   _купи, modr, _अनुम, _موثر_, 
   {{0x4444a743,0x81ab100b,0x80ad00cc,0xdb180019}},	//   em_, _কোন_, চিত্, _javí, 
   {{0xa3d20077,0x656da744,0x78ad00ef,0xf1da00bd}},	// [a510] वां_, rbah, _upav, णानन, 
   {{0xf367a745,0x764401b8,0x6380031e,0x2258a746}},	//   ртан, amiy, vání, _burk_, 
   {{0x60c92ed1,0x752f0035,0x00000000,0x00000000}},	//   _srem, _wycz, --, --, 
   {{0xb5a7a747,0x444496c5,0xdb18031e,0x7c280054}},	//   _трой, am_, _naví, hodr, 
   {{0x69d800a2,0x7c2800e5,0x7a36247e,0x7a3d0634}},	//   याती, kodr, záto, céte, 
   {{0xa3d21f22,0xafe200c8,0x289a0070,0x638002d9}},	//   वाः_, зошл, ריװא, rání, 
   {{0x75ea026e,0x7c28a748,0xe7ff29c4,0xdb185a36}},	//   _výzv, dodr, _उतना_, _baví, 
   {{0x660da749,0x7a362e9b,0xd0870080,0xa1940176}},	//   niak, váto, _выжи, _масч, 
   {{0x60c94ab8,0x7c28a74a,0xd0e90019,0xdb18003e}},	//   _urem, fodr, _حکام_, _daví, 
   {{0x660d0a9f,0x6445161c,0xdb03a74b,0x7c280054}},	//   hiak, nmhi, _manö, godr, 
   {{0x660da74c,0x7bc100b0,0x6253007b,0xdb011341}},	//   kiak, rdlu, _għot, nelø, 
   {{0x7a36135a,0x44440104,0x186a6388,0x69d8000c}},	//   ráto, zm_, лами_, याधी, 
   {{0x660d03f6,0x6e290183,0xfd5600a7,0xed5902fe}},	//   diak, moeb, _השני_, ldžo_, 
   {{0x7a3d0019,0x7c28240a,0x66e60d11,0xdb181102}},	//   véte, codr, бога, _zaví, 
   {{0xe45f0219,0x660d0ccc,0x764451c3,0xed59035f}},	//   _dröm_, fiak, tmiy, ndžo_, 
   {{0x44441124,0x660da00a,0x2480322c,0x6a6400eb}},	//   wm_, giak, tsim_, _بطول, 
   {{0x7644a177,0x444410d4,0x777ca74d,0x00000000}},	// [a520] rmiy, tm_, parx, --, 
   {{0x44440e0c,0x2480a74e,0x76441ff0,0x3ea90035}},	//   um_, rsim_, smiy, łaty_, 
   {{0x2480a74f,0x44443576,0x660da750,0x833a56c5}},	//   ssim_, rm_, biak, учат_, 
   {{0x4444a751,0xb17d0032,0x7a3da752,0x635502d9}},	//   sm_, _poťa, péte, třní, 
   {{0x6e29040b,0x00000000,0x00000000,0x00000000}},	//   doeb, --, --, --, 
   {{0x2258a753,0xf3e600dd,0x232a655e,0xdb0101e8}},	//   _turk_, _ужго, _боги_, belø, 
   {{0x9f450218,0xdb183146,0x9e06198b,0x683b0216}},	//   _holê_, _paví, йчил, nîda, 
   {{0x7c280156,0x527501a2,0x21a30267,0x9f5c020b}},	//   wodr, _фуру, _нисм, nivú_, 
   {{0x7c2816b4,0xb87b0019,0x9bc60080,0x225f0604}},	//   todr, nyít, бёнк, _čuki_, 
   {{0x660d0a9f,0x2cbd011d,0x6253008a,0x60e708ba}},	//   ziak, _dswd_, _għos, _умум_, 
   {{0x6e29023a,0x91bc0249,0x3f9e0354,0x00000000}},	//   boeb, _ईसाई, _ictu_, --, 
   {{0x7f3b0137,0x22460065,0x200e00ad,0x1e5700d1}},	//   _געבו, nmok_, lifi_, _השאר_, 
   {{0x660da754,0xe9df010e,0x81ab0033,0x2743009c}},	//   viak, rjú_, _কোড_, kéné_, 
   {{0x2743011c,0xd7fb00f6,0x00000000,0x00000000}},	//   jéné_, уум_, --, --, 
   {{0xa3cc2894,0x6b7b035c,0x4b7b00fe,0xa3d20527}},	//   _शोध_, _גרונ, _גאוו, वाई_, 
   {{0xa3ab031e,0x59d0009a,0x200e317e,0x96350bfd}},	//   क्न_, _तोपर, hifi_, інац, 
   {{0x660da755,0x200e0054,0x93790148,0x045b009c}},	// [a530] riak, kifi_, ибат_, اجرت_, 
   {{0x660da756,0xdddd0083,0x274301e5,0x3869a757}},	//   siak, _łyżk, géné_, _itar_, 
   {{0x660da758,0x3169033c,0x3d0f00bd,0x26c7019c}},	//   piak, ñazo_, _तेने_, _éno_, 
   {{0x3f9e026a,0x34950cdf,0xdb0101e8,0x2246209a}},	//   _actu_, _қаҳр, relø, gmok_, 
   {{0x200e084c,0xf8c936a6,0x661d02b0,0x27430096}},	//   fifi_, िटिय, _ijsk, béné_, 
   {{0xdb030054,0x657f966a,0x7a04039f,0x00000000}},	//   _kanô, laqh, lőtt, --, 
   {{0x6e29a759,0x518703dc,0xf1b900ca,0x929444f6}},	//   toeb, _гуза, _ajše_, _нарц, 
   {{0xfe6c03dd,0xdb0a02f2,0x25a9a75a,0x63b7026e}},	//   _үү_, _dafü, nfal_, lexn, 
   {{0x3869009a,0xa3bd0ead,0x200e0415,0x00000000}},	//   _ntar_, _आसा_, bifi_, --, 
   {{0x320f0098,0xdaa98256,0x6e240ab4,0x625300c3}},	//   ligy_, авод_, čiba, _għor, 
   {{0xbf1500eb,0xa3ab0367,0x3ebe0065,0x62970098}},	//   _بواب, क्य_, _gstt_, nuxo, 
   {{0x98a62160,0x683b009e,0x7a3600bc,0x394a28f0}},	//   оиме, vîda, mátk, изно_, 
   {{0x7a36026e,0x89360625,0xfce515d3,0x91bf0023}},	//   látk, تعدا, _фоло, _chủ_, 
   {{0xcb6900dd,0x9f4502be,0x7a1201dd,0xf77215ce}},	//   _таке_, _rolê_, vātu, باح_, 
   {{0x26cc1408,0x7bc3002e,0x65c60093,0x7a360098}},	//   ído_, _ianu, обва, nátk, 
   {{0x683b078a,0x9f45009e,0x00000000,0x00000000}},	//   rîda, _polê_, --, --, 
   {{0x7bc3a75b,0x69d6a75c,0x64a3a75d,0x7a36014b}},	// [a540] _kanu, _inye, мата, hátk, 
   {{0x69c40a9f,0x38a4a75e,0xdb1830a1,0x69c6a75f}},	//   _haie, mör_, _havá, ldke, 
   {{0x7bc3213e,0xf74601ba,0x0576646f,0x69c4a760}},	//   _manu, _фено, _واحد, _kaie, 
   {{0x69c401f1,0x69c6a761,0x7a360098,0xd010009c}},	//   _jaie, ndke, dátk, کلت_, 
   {{0x38a4a762,0x7a3d0107,0x38690248,0x6026186c}},	//   nör_, néta, _xtar_, одда, 
   {{0x629703da,0x7bc3a763,0x69c4a764,0xbe8a2cdb}},	//   buxo, _nanu, _laie, асие_, 
   {{0x81e6100b,0x38a433d6,0x59ca0a09,0x200ea765}},	//   যোগ_, hör_, ियार, rifi_, 
   {{0x85f70137,0x7bc3011d,0xdb18a766,0x38a4a767}},	//   ַציע_, _aanu, _ravà, kör_, 
   {{0x6283026e,0x1da61bc8,0xa0678d7b,0x7bc3a768}},	//   ánov, क्षत, _мата_, _banu, 
   {{0x7a360084,0x69d6a769,0x2902a76a,0x69c401d2}},	//   láth, _anye, dzka_, _aaie, 
   {{0x69c40a85,0x3869a76b,0x61e20126,0xada65c53}},	//   _baie, _star_, ojol, _мажл, 
   {{0x38a4a76c,0x7a360038,0x69c48ca4,0xdb180054}},	//   för_, náth, _caie, _vavà, 
   {{0x38a4014e,0xa3ab07d5,0x7a3d026a,0x99a5010e}},	//   gör_, क्ड_, géta, ítők_, 
   {{0x7bc3a76d,0x69d64e12,0xf8ae011c,0x61e20080}},	//   _ganu, _enye, اکي_, hjol, 
   {{0x98ac00e0,0x61e201e8,0xadee15c8,0x45d538f2}},	//   ādā_, kjol, _जवान_, повс, 
   {{0x69c401f1,0x2c6006df,0x91bf0023,0x69d60118}},	//   _gaie, _kòd_, _thủ_, _gnye, 
   {{0x80ba109f,0x290200ab,0x8ccd00ab,0x6aad00ef}},	// [a550] _शैले, czka_, तियो, _ćafi, 
   {{0x69a7143e,0x7bc309c7,0xdb18014b,0x69c401f1}},	//   ट्री, _xanu, _zavá, _zaie, 
   {{0x2c600cd7,0x77ba00d1,0x67ba00d1,0x00000000}},	//   _lòd_, _המתח, _המתק, --, 
   {{0x5bb70367,0x2bb7203f,0x799d1df0,0x245fa76e}},	//   _अस्व, _अस्थ, ngsw, _tîm_, 
   {{0x3f692f7c,0x3cf40083,0x403538f2,0x00000000}},	//   било_, इनों_, педс, --, 
   {{0x657da76f,0x645d012b,0x9f4500da,0x00000000}},	//   _hesh, _iusi, _holé_, --, 
   {{0x657d8fee,0xfd4c0029,0x5334278a,0x645d0010}},	//   _kesh, _triể, _жерт, _husi, 
   {{0x645da770,0x657da771,0x6455a3ca,0xf076006b}},	//   _kusi, _jesh, _hizi, _کیوں_, 
   {{0x7bc3a772,0x64559fcb,0x657d00e5,0x61fba773}},	//   _panu, _kizi, _mesh, _ilul, 
   {{0x7a361408,0x657da774,0x7bc306d0,0x61e9a775}},	//   máti, _lesh, _qanu, _hoel, 
   {{0x69c4a776,0x6455a777,0x7bc34199,0x645da778}},	//   _paie, _mizi, _vanu, _lusi, 
   {{0x38a4a779,0x61e9a77a,0x3d0f009a,0xfe70009c}},	//   tör_, _joel, _तेथे_, _شدم_, 
   {{0x645d00e4,0x61e9a77b,0x7bc3a77c,0x7a362123}},	//   _nusi, _moel, _tanu, náti, 
   {{0x7a3da77d,0x61fb03dd,0x657d0118,0x38a4a77e}},	//   réta, _llul, _aesh, rör_, 
   {{0x61fb49fa,0x645d93bc,0x2902283a,0x657d00a3}},	//   _olul, _ausi, szka_, _besh, 
   {{0xd90d09e8,0x645da77f,0xe886a780,0x6285044a}},	//   ایی_, _busi, _егип, dsho, 
   {{0x6455a781,0x657da782,0xdb0a010d,0x6285a783}},	// [a560] _bizi, _desh, _hafð, esho, 
   {{0x645500bc,0x6b81a784,0x7a3602aa,0xb4bc102c}},	//   _cizi, nalg, dáti, _आनी_, 
   {{0x1dbd4437,0x6455a785,0x62852258,0x61e90149}},	//   ्यात, _dizi, gsho, _boel, 
   {{0x6d59a786,0x61e9a787,0xa3cc0262,0x44310237}},	//   _ngwa, _coel, _शोर_, _ekz_, 
   {{0x61e909a2,0x6b81a788,0x645da789,0x61e2a78a}},	//   _doel, kalg, _gusi, rjol, 
   {{0x628517c2,0x4adb061f,0x657d024a,0x9f3400f0}},	//   bsho, यमाव, _zesh, мелі, 
   {{0x044340f3,0xe297a78b,0x61e91958,0x2fc5040c}},	//   _черн, _нар_, _foel, _dalg_, 
   {{0x645d00ad,0x64552148,0xdef8004e,0x61e90090}},	//   _yusi, _zizi, йық_, _goel, 
   {{0x6455054e,0x645d040c,0xc059017b,0xa3c208c6}},	//   _yizi, _xusi, _діє_, ्यप_, 
   {{0xe7d70086,0x7e6d0bad,0xcfaa00d4,0x3a20033e}},	//   _হত্য, ćapr, _دارم_, _ajip_, 
   {{0x3940261e,0xdfa5155f,0xdd8f0148,0x5b1300b3}},	//   _azis_, _تحقي, _пш_, емэт, 
   {{0x61e90183,0x6d590547,0x00000000,0x00000000}},	//   _xoel, _ggwa, --, --, 
   {{0xa92b004e,0xc8673423,0x6b815b85,0x657da78c}},	//   сіне_, ятни, balg, _resh, 
   {{0x645da78d,0xdb18010c,0x657da78e,0x3a2003a0}},	//   _rusi, _navç, _sesh, _ejip_, 
   {{0x645d744f,0xa3e01aab,0x657d189e,0xa3c20ef0}},	//   _susi, थान_, _pesh, ्यन_, 
   {{0x6455a78f,0x645da790,0xa4d500dd,0x657d024a}},	//   _sizi, _pusi, мобі, _qesh, 
   {{0x657d00e5,0x61e90a58,0x798d221c,0x9f450212}},	// [a570] _vesh, _roel, _idaw, _volé_, 
   {{0x6285a791,0x645500cf,0x78fc00a7,0x26c1006f}},	//   tsho, _qizi, _לפחו, _tsho_, 
   {{0x6455a792,0x61e90149,0x2bae00a2,0x657da793}},	//   _vizi, _poel, ज्या, _tesh, 
   {{0x2fc5155b,0x6285a794,0x645da795,0x645509a4}},	//   _salg_, rsho, _tusi, _wizi, 
   {{0x645d030f,0x645585a0,0x61e917ab,0xd0ab03dc}},	//   _uusi, _tizi, _voel, стед_, 
   {{0x7a36014b,0x61e9000b,0x80c200c9,0x9f45003e}},	//   ráti, _woel, लिजे, _ellý_, 
   {{0x61e90318,0x6b81a796,0x2fc508bb,0x3e7a00e0}},	//   _toel, valg, _valg_, gūt_, 
   {{0x61fba797,0x798da798,0x7bd83251,0xf1a400b3}},	//   _ulul, _ndaw, _anvu, _прун, 
   {{0x6b81a799,0xed59a438,0xdb084724,0xa3d20110}},	//   talg, ndži_, cedú, वाच_, 
   {{0x9f630088,0x798d0204,0x3e7a00e0,0xa3c21a21}},	//   ävät_, _adaw, būt_, ्यय_, 
   {{0x7a3d026e,0x6b81a79a,0xdb1a0216,0xad270535}},	//   rétn, ralg, letê, _کراو, 
   {{0x7bd8a79b,0x6b8115c6,0x7bc8a79c,0x6d59003d}},	//   _envu, salg, addu, _ugwa, 
   {{0xb4bc00ab,0xa3c2248b,0x1dda072d,0x48e3562b}},	//   _आने_, ्यम_, भारत, вояв, 
   {{0xfd100625,0x2d9f02aa,0x1c44004f,0x765e0028}},	//   _حجم_, lgue_, _знім, _pupy, 
   {{0xb6a30161,0xa3d10484,0x798d01f2,0x46a300fd}},	//   кирл, वयन_, _fdaw, карв, 
   {{0xa3ab09ec,0x2d9f16b3,0x75f835ee,0x9f5c00da}},	//   क्स_, ngue_, _vízo, divý_, 
   {{0xd04006d0,0xdb010126,0x69c00212,0x7a0b0083}},	// [a580] _ermə, peló, ômeu, jęty, 
   {{0xe3b711f8,0x00000000,0x00000000,0x00000000}},	//   мбу_, --, --, --, 
   {{0x03a30a43,0x91e66878,0x386004b3,0x23e0009a}},	//   тихо, може, _huir_, नाबद, 
   {{0xe80a35a4,0x9f450216,0x00000000,0x00000000}},	//   होरा_, _polî_, --, --, 
   {{0x7bc83fcf,0x50ba2a63,0xdb18020b,0x00000000}},	//   yddu, تداد_, _zavä, --, 
   {{0x38603772,0x7a365369,0x2d9f001d,0x9f5c00da}},	//   _muir_, mátu, egue_, bivý_, 
   {{0x6263058e,0x7a360313,0x4ea6a79d,0x53a329a9}},	//   _авса, látu, фрла, _шарб, 
   {{0x25a0a79e,0x9f4500f6,0xef1801dd,0xdb1a009e}},	//   ngil_, _alló_, _ceļa_, betê, 
   {{0x80a61fdb,0x06370070,0xa3ab1503,0x7a120243}},	//   _زمان, ונקט_, क्व_, vātp, 
   {{0x2d9f015c,0x00000000,0x00000000,0x00000000}},	//   ague_, --, --, --, 
   {{0x59d0007e,0x7bc88c95,0x78b60028,0xdb1a021e}},	//   _तोहर, rddu, _apyv, metë, 
   {{0xdde300b3,0xdb1a021e,0x00000000,0x00000000}},	//   ărţi, letë, --, --, 
   {{0x38601131,0xd90f040f,0x2d84a79f,0x6e2200a3}},	//   _cuir_, شید_, mame_, _ijob, 
   {{0x2d84a7a0,0x59dd031e,0x0cbc09ec,0xdd3b00d1}},	//   lame_, याहर, ्टीम, _ועדכ, 
   {{0xdcc80108,0x00000000,0x00000000,0x00000000}},	//   _hỉ_, --, --, --, 
   {{0x7c3aa7a1,0x4d7b00c7,0x798da7a2,0xdcc800e7}},	//   lltr, ַרבע, _udaw, _kỉ_, 
   {{0xd3a70a10,0xb955004f,0x26cc02ae,0x386001be}},	// [a590] дреп, _явищ, ådor_, _guir_, 
   {{0x2d84a7a3,0x59dd00a2,0xeddb3cae,0xdb1a024a}},	//   hame_, यावर, _मच्छ, jetë, 
   {{0xa3ab06ea,0x6fdd02f8,0x2d84a7a4,0xed590d9d}},	//   क्ष_, पासू, kame_, leže_, 
   {{0x2d84012d,0x6e22a7a5,0xe45f0219,0x7a3651a9}},	//   jame_, _njob, _bröt_, bátu, 
   {{0x764d0104,0xdcc80023,0xb0680038,0x3f696e6e}},	//   mmay, _nỉ_, وصول_, пило_, 
   {{0x764d6077,0x2489a7a6,0x6e22052b,0x8fa2a7a7}},	//   lmay, msam_, _ajob, гаше, 
   {{0x82a401bb,0x9f4503a1,0x6d42023a,0x635401a2}},	//   _иште, _allò_, _azoa, _авру, 
   {{0xa3ab0f01,0x2d84a7a8,0x764d3ee6,0xada5a7a9}},	//   क्र_, game_, nmay, хаил, 
   {{0x2d9fa7aa,0xed59027c,0x2489a7ab,0x6e22a7ac}},	//   rgue_, ježe_, nsam_, _djob, 
   {{0x3ec4030f,0x5ba9a7ad,0x24890180,0x6e229519}},	//   ästä_, чком_, isam_, _ejob, 
   {{0x3d0f0035,0x764d027e,0xa9a60a31,0xe7e342f3}},	//   _तेरे_, kmay, нинд, खाना_, 
   {{0xc7a90a33,0x6e22024a,0x2489a7ae,0x2d8400d1}},	//   _לב_, _gjob, ksam_, came_, 
   {{0x7e610318,0x2489006d,0x9f45022c,0x39350158}},	//   _hulp, jsam_, _molí_, вэрс, 
   {{0xb8e8031e,0x7e61a7af,0x291e00b3,0x764d0096}},	//   _ईन_, _kulp, ăta_, emay, 
   {{0xf626a7b0,0x1da600a5,0x45d624e1,0xb87b03da}},	//   едво, क्कत, нцат, rxía, 
   {{0x4423016a,0xa2c300c6,0xdb1a024a,0x7a3602aa}},	//   _ajj_, रबन्, zetë, tátu, 
   {{0x24890920,0x7986a7b1,0xf50a2831,0xdcc80023}},	// [a5a0] gsam_, makw, чнал_, _xỉ_, 
   {{0x2d84a7b2,0xa3ab15c8,0x79860204,0x36c60d3d}},	//   zame_, क्ल_, lakw, _због, 
   {{0x6e3ba7b3,0x2bf60137,0x2489a7b4,0x4423045a}},	//   klub, עמען_, asam_, _djj_, 
   {{0x31261b17,0xeac90029,0x7986a7b5,0x7a3635a2}},	//   ндег, _mẹ_, nakw, pátu, 
   {{0xdb1a00e5,0x2d840228,0x24890156,0xdb0112b7}},	//   tetë, vame_, csam_, lflä, 
   {{0x2d840027,0x6e9403b7,0xe7e30035,0xdcc80023}},	//   wame_, вику, खाया_, _rỉ_, 
   {{0x75f8026e,0x2d84a7b6,0x7986a7b7,0xdb1a024a}},	//   _nízk, tame_, kakw, retë, 
   {{0x63bea7b8,0x433b0137,0xb1480019,0x629ea7b9}},	//   lepn, _זעלב, _قیام_, mupo, 
   {{0x7986a7ba,0x1aed0086,0x60c40384,0xe7e30484}},	//   dakw, _ছেলে_, çimd, खामा_, 
   {{0xdee604fd,0x764da7bb,0xdb1aa7bc,0x7c3aa7bd}},	//   _пози, zmay, leté, ultr, 
   {{0x629e001a,0x798601b8,0x59dd031e,0x7a36010e}},	//   nupo, fakw, यालर, játs, 
   {{0xdb1a0019,0xdcc8001b,0x764da7be,0x798628ee}},	//   neté, _tỉ_, xmay, gakw, 
   {{0xa3c2a7bf,0x66040b0e,0xed59090e,0x629e08f9}},	//   ्या_, dhik, teže_, hupo, 
   {{0x2bd705fd,0xdb1a0107,0x77930499,0x9b9400b3}},	//   _भोपा, heté, دیدا, _рикц, 
   {{0x764d74f6,0x798660d9,0xed590144,0xbbe90e13}},	//   tmay, bakw, reže_, _ترنم_, 
   {{0x7bcaa7c0,0x66040f3a,0xed590121,0x4423045a}},	//   _hafu, ghik, seže_, _sjj_, 
   {{0xdbf9006a,0x764da7c1,0x4423030c,0x7bca0727}},	// [a5b0] _głów, rmay, _pjj_, _kafu, 
   {{0x7bcaa3bb,0xdd86010e,0x2489a7c2,0x764da7c3}},	//   _jafu, _ھو_, rsam_, smay, 
   {{0x7bca0ad1,0x2489a7c4,0x764d0384,0x9f450098}},	//   _mafu, ssam_, pmay, _polí_, 
   {{0x66042e7a,0x7bcaa7c5,0xf770009c,0xdb1a010e}},	//   chik, _lafu, _پای_, geté, 
   {{0x8fa50fc8,0xa3cc36be,0x9f4500da,0x91bf0108}},	//   вале, _शोक_, _volí_, _chú_, 
   {{0x7bca0178,0x79869c14,0xae0e00c9,0xe8d90108}},	//   _nafu, zakw, ़ोसन_, _ngọ_, 
   {{0x442101be,0xd00e243d,0x79868993,0x00000000}},	//   mnh_, تلو_, yakw, --, 
   {{0x533415b9,0xed592f89,0x7e61a7c6,0x7bca0532}},	//   _сест, мой_, _vulp, _aafu, 
   {{0x6e3ba7c7,0x7bcaa7c8,0x9f5c01d8,0xac8203a1}},	//   rlub, _bafu, rivò_, агыл, 
   {{0x7986a7c9,0x6e3ba7ca,0x7bca02be,0x7a3d0616}},	//   wakw, slub, _cafu, léth, 
   {{0x91f5119b,0x3f87003a,0x79861c36,0xcd2b56c9}},	//   _आवाज_, manu_, takw, _کسان_, 
   {{0xa5bb008c,0x442100a1,0x7bca02a5,0x00000000}},	//   _sjón, hnh_, _eafu, --, 
   {{0x63b5056e,0x6cb300f0,0x798602b8,0xeab800f0}},	//   _obzn, _сөйт, rakw, _үйі_, 
   {{0xdb1a006b,0x3dcda7cb,0x7d0902fe,0x7bcaa7cc}},	//   zeté, ldew_, mzes, _gafu, 
   {{0x4433a7cd,0x660434f8,0x79861302,0xdb1aa7ce}},	//   dox_, thik, pakw, letî, 
   {{0x6b83a7cf,0xdb0101c4,0x6604016a,0x3f87a7d0}},	//   _heng, rflä, uhik, hanu_, 
   {{0x2cad5145,0x6b834b04,0x4433a7d1,0x7bca9fcb}},	// [a5c0] nted_, _keng, fox_, _yafu, 
   {{0x6604a7d2,0x389b0137,0x3f87044e,0x629ea7d3}},	//   shik, _קיינ, janu_, tupo, 
   {{0x6b831906,0x66040204,0x8c3d0095,0x63be0574}},	//   _meng, phik, muşd, repn, 
   {{0x629ea7d4,0x63be57c9,0x95831628,0x44210023}},	//   rupo, sepn, _клюе, anh_, 
   {{0x629ea7d5,0x2cada7d6,0x3f870b91,0xa067a7d7}},	//   supo, jted_, fanu_, вача_, 
   {{0x3f87a7d8,0x6b83a7d9,0x798402a3,0xdb1a539f}},	//   ganu_, _neng, _leiw, seté, 
   {{0xa2e3a7da,0x52990093,0xb5fb001d,0x645c0fae}},	//   _корд, _пътя_, _diáf, _iiri, 
   {{0x645ca7db,0x7bcaa7dc,0x9f450118,0x2cad00df}},	//   _hiri, _safu, _dolà_, fted_, 
   {{0x645ca7dd,0x7bcaa7de,0x4438a7df,0xf06303b7}},	//   _kiri, _pafu, _kkr_, _вкуп, 
   {{0x6b83a7e0,0x69a502f8,0x443879df,0x6ebd07d5}},	//   _ceng, _काही, _jkr_, _वैकु, 
   {{0x6b8347d2,0xcfa936a7,0x2fde0042,0x2cada7e1}},	//   _deng, _سالم_, _intg_, ated_, 
   {{0xc333181f,0x7bca74f9,0x6b83a7e2,0x44386f21}},	//   יות_, _wafu, _eeng, _lkr_, 
   {{0x6b8330f7,0x2cad0056,0x7bca57e7,0x7d0900ab}},	//   _feng, cted_, _tafu, czes, 
   {{0x6b83a7e3,0x645ca7e4,0x4433008a,0xf77027b3}},	//   _geng, _niri, xox_, قاف_, 
   {{0x4433a7e5,0x6595a7e6,0x7a3d0107,0xb5a72038}},	//   vox_, лаву, héti, край, 
   {{0x645ca7e7,0x6b83a7e8,0x6b883869,0x4438021e}},	//   _airi, _zeng, ladg, _akr_, 
   {{0x645ca7e9,0x73d9a7ea,0x6b83a7eb,0x443801d2}},	// [a5d0] _biri, ндар_, _yeng, _bkr_, 
   {{0x3374803f,0x46ac00a5,0x9394031b,0x00000000}},	//   игур, _चहचह, لجما, --, 
   {{0x443340d7,0x3f87a7ec,0xf3646383,0x7d0900fd}},	//   rox_, vanu_, ртун, zzes, 
   {{0x645ca7ed,0xa2940c8b,0x92940b58,0x3f87a7ee}},	//   _eiri, раці, рацц, wanu_, 
   {{0x3f87753d,0xe134012d,0x30a725da,0x7a3da7ef}},	//   tanu_, анцы, трев, géti, 
   {{0x645ca7f0,0x13a711b7,0x765d40fc,0x2fde0183}},	//   _giri, _جنسی_, _hisy, _cntg_, 
   {{0x6b83a7f1,0xed592470,0x765d02a5,0x6b8831b4}},	//   _reng, deža_, _kisy, dadg, 
   {{0x3f87a7f2,0x645ca7f3,0x7d097189,0x2cada7f4}},	//   sanu_, _ziri, tzes, tted_, 
   {{0x6b831146,0x765d7d3f,0x7a3da7f5,0x3f87a7f6}},	//   _peng, _misy, céti, panu_, 
   {{0x60c9a7f7,0x645ca7f8,0x2cada7f9,0x765d2833}},	//   _isem, _xiri, rted_, _lisy, 
   {{0x2cada7fa,0x6b83a7fb,0x7d094000,0x3872017e}},	//   sted_, _veng, szes, _styr_, 
   {{0x6b83a7fc,0x3f85a7fd,0x2cad00d1,0x00000000}},	//   _weng, _helu_, pted_, --, 
   {{0x6b88a7fe,0xdb011e0d,0xdb1a009e,0x60c9a7ff}},	//   badg, nflú, qetî, _jsem, 
   {{0x9d1a0137,0x60c9a800,0x765d6c86,0xab2908a7}},	//   _אונט, _msem, _aisy, _пола_, 
   {{0x3f85a801,0x7bc10c49,0x645ca802,0x765da803}},	//   _melu_, melu, _riri, _bisy, 
   {{0x645ca804,0xa3cc0a34,0x95990161,0x765d011c}},	//   _siri, _शोज_, ктуу_, _cisy, 
   {{0x765da805,0x44380348,0x645c7b26,0x60c9a806}},	// [a5e0] _disy, _pkr_, _piri, _nsem, 
   {{0x7bc1a807,0x64a4004e,0x645ca808,0xdb08a809}},	//   nelu, лаға, _qiri, yedü, 
   {{0x645ca80a,0x60c9a80b,0x20070034,0x765d8a74}},	//   _viri, _asem, dhni_, _fisy, 
   {{0x7a3d0e2e,0x645ca80c,0xd259004f,0x7bc1a80d}},	//   téti, _wiri, вці_, helu, 
   {{0x645ca80e,0x7bc14030,0x3f85a288,0x4438a80f}},	//   _tiri, kelu, _belu_, _tkr_, 
   {{0x3f85a810,0x7a3d0212,0x645c0465,0xccf90035}},	//   _celu_, réti, _uiri, dyś_, 
   {{0x60c9a811,0x7bc1a812,0x3f859efb,0x69a5a813}},	//   _esem, delu, _delu_, _काली, 
   {{0x7a3d0107,0xeda617e0,0x3df400d9,0x7c3802d9}},	//   péti, ушко, рзис, _skvr, 
   {{0x2fde02cd,0xed590112,0x32040065,0xe0da4ad6}},	//   _tntg_, teža_, _ilmy_, _ява_, 
   {{0x7bc10bf3,0x2007a814,0xd7040551,0x670426f2}},	//   gelu, chni_, रनाथ_, रनाक_, 
   {{0xed5900ef,0xd43700c7,0xa5bb003e,0xa3ac00c6}},	//   reža_, רטיי_, _sjóm, _गान_, 
   {{0x5fe24437,0x80bb00b0,0xccf90083,0x00000000}},	//   पावल, _एहमे, byś_, --, 
   {{0x7bc1a815,0x765d0065,0x69cf0219,0x60c90065}},	//   belu, _risy, rdce, _xsem, 
   {{0xdb1a468f,0xb8ed3355,0x96eb128b,0xed5701ff}},	//   letí, _रन_, ньба_, _соч_, 
   {{0xf3f900d9,0xdb08033c,0x7a280241,0x765da816}},	//   _îţi_, redó, sıta, _pisy, 
   {{0xe66482ae,0x55755af4,0xe4e708ab,0x8575058e}},	//   стро, ргат, лізн, рлах, 
   {{0x2616252e,0x656d0da2,0xa3c202ab,0x7afaa817}},	// [a5f0] _नगरी_, rcah, ्यं_, lytt, 
   {{0x59dd00a2,0x3204011c,0x765d0102,0x00000000}},	//   याकर, _almy_, _wisy, --, 
   {{0x753d006a,0x7afaa818,0x63a50038,0x765da819}},	//   _wysz, nytt, rghn, _tisy, 
   {{0x3f8514f0,0x261400a2,0x2d860226,0x95640093}},	//   _selu_, नोदी_, _neoe_, _гърд, 
   {{0x7afa52ea,0x00000000,0x00000000,0x00000000}},	//   hytt, --, --, --, 
   {{0xb4c111bd,0xa3ac0190,0xa3c21f36,0x60c9008b}},	//   ंबी_, _गाय_, ्यः_, _vsem, 
   {{0x7bc1002e,0x2c690228,0x3f85008a,0x5de5601b}},	//   velu, _súd_, _velu_, ижка, 
   {{0x200700cf,0x7bc11a72,0x533501a2,0x2d860954}},	//   shni_, welu, _беҳт, _ceoe_, 
   {{0x3f85a81a,0xb882000d,0x7bc1a81b,0xfde60161}},	//   _telu_, říze, telu, рдык_, 
   {{0x5e8700e4,0x1da7119b,0x225f0096,0x00000000}},	//   _будз, _गावत, _hiuk_, --, 
   {{0xab290df6,0x2005003d,0xa7200086,0x7bc1a81c}},	//   тона_, _illi_, _ধর্ম_, relu, 
   {{0x186a418c,0x7bc165ce,0x224d011c,0xa9a605e6}},	//   ками_, selu, _jhek_, шимд, 
   {{0x3949006a,0x2b15007e,0x684600a3,0xdb0a0502}},	//   _czas_, _फेरु_, инма, _abfä, 
   {{0x68e20405,0x225f6431,0x7afa0075,0x67230242}},	//   _ġodd, _liuk_, bytt, _žnja, 
   {{0xe73a0d38,0x9f45022c,0xfaa50a36,0x00000000}},	//   тев_, _dolç_, _тайо, --, 
   {{0xb4c1075a,0x00000000,0x00000000,0x00000000}},	//   ंबू_, --, --, --, 
   {{0xd4673065,0x64a6a81d,0xa3d11181,0xb386a81e}},	// [a600] иите_, раза, वयं_, илал, 
   {{0x25ab008a,0xd9e4109f,0x78fb2737,0x00000000}},	//   _eccl_, गावत_, _סליפ, --, 
   {{0x213f0640,0x5186004e,0x66e6a81f,0x179b0486}},	//   _ayuh_, аула, _тона, _בייב, 
   {{0x2005a820,0x213f023e,0xdb180098,0x224da821}},	//   _alli_, _byuh_, _navý, _chek_, 
   {{0xb5fb0183,0x225f005f,0x224d00d7,0x5fe2031e}},	//   _fiáb, _diuk_, _dhek_, पालल, 
   {{0x7afa00c8,0x224d01cf,0x75820259,0x26da0144}},	//   yytt, _ehek_, _ыңға, _krpo_, 
   {{0x9e06a822,0x42d50451,0xdd9409d9,0x644e008a}},	//   ичил, _літу, байы, _ihbi, 
   {{0xa2c30586,0xdef74603,0x7afa0080,0x442a040b}},	//   रबर्, рыш_, vytt, _hjb_, 
   {{0xafe6a823,0xdd94004e,0xa06a00c8,0x4fa6017b}},	//   _коал, _ғалы, _раза_, _визв, 
   {{0x34b70056,0x9f4c014b,0x7afa00c8,0x26daa824}},	//   ספים_, _hodí_, tytt, _orpo_, 
   {{0xa3ab1080,0x8aa309a6,0x03d7008d,0xdb1a001d}},	//   क्ट_, оряд, בוים_, petí, 
   {{0xf2d30137,0x39490126,0x201ca825,0x13cf0033}},	//   קער_, _pzas_, livi_, রায়, 
   {{0x1bd4048a,0xc31a00cc,0xa92b004e,0xe947170f}},	//   _голя, _তুমি_, тіне_, рхно, 
   {{0x9f4c014b,0x25ab03dd,0x00000000,0x00000000}},	//   _lodí_, _sccl_, --, --, 
   {{0xc6680843,0xf8ae0116,0xa3e00796,0xdb1a0502}},	//   иште_, وکی_, थाई_, ndtü, 
   {{0x442aa826,0x7a280384,0xe9df0068,0x201ca827}},	//   _ajb_, nıtl, flúe_, hivi_, 
   {{0xf36701d0,0x3949034c,0x442a780e,0x201ca828}},	// [a610] атен, _uzas_, _bjb_, kivi_, 
   {{0x442a0ab4,0x224d024a,0x644e00a1,0x7e680326}},	//   _cjb_, _shek_, _chbi, _oudp, 
   {{0xb5fb0183,0xd17503fd,0x93190038,0x8c3d027e}},	//   _viáb, былы, دقاء_, nuşa, 
   {{0x38697382,0x644e01d6,0xdb0100fb,0xb5fb0ada}},	//   _kuar_, _ehbi, rflø, _diác, 
   {{0xe9df0496,0x442a424e,0x70190451,0x80e107d5}},	//   clúe_, _fjb_, лікт_, पमें, 
   {{0x3869a829,0x25a9a82a,0x7e68011c,0xdb1a5616}},	//   _muar_, lgal_, _budp, ndtó, 
   {{0x38691196,0x22942ab7,0x92945708,0xa294004f}},	//   _luar_, _миря, _марц, _марі, 
   {{0x25a9a82b,0xf1cf0262,0x7d1d003e,0x4c852af7}},	//   ngal_, _सोचन, ússo, блив, 
   {{0x201c090e,0x2024003e,0x3869322b,0x213f01e5}},	//   bivi_, ðrið_, _nuar_, _uyuh_, 
   {{0x200572dc,0x2a6700e2,0x201c0036,0x60db45e2}},	//   _ulli_, _punb_, civi_, _irum, 
   {{0x394601dd,0x00000000,0x00000000,0x00000000}},	//   _šos_, --, --, --, 
   {{0xa3de02f8,0xf76900d1,0xfbd701a4,0x8a3901d8}},	//   _दोन_, _טק_, _भोरम, ияят_, 
   {{0xed4ea82c,0x3ce9010c,0xa3e80366,0x2a6000b0}},	//   _хо_, _çav_, _मचल_, _viib_, 
   {{0x6d4ba82d,0x18670f5a,0x59aa0ead,0x38690034}},	//   _izga, сари_, _कावर, _duar_, 
   {{0xa3ab0667,0x7a3d0313,0x00000000,0x00000000}},	//   क्छ_, tétt, --, --, 
   {{0x25a9a82e,0x3869a82f,0x05660093,0x60db011f}},	//   ggal_, _fuar_, сван, _orum, 
   {{0x69c6a830,0xe3ba574a,0x7a3d008c,0x38690eaa}},	// [a620] meke, лба_, rétt, _guar_, 
   {{0x25a900eb,0x657f006d,0x629e4a83,0x201c4a25}},	//   agal_, abqh, trpo, xivi_, 
   {{0xa3b93e8a,0x60dba831,0x7a2801f0,0x59dd00c2}},	//   _अउर_, _arum, yıtl, याचर, 
   {{0x69c6a832,0xdb1a2d19,0x7a3da833,0x51838eca}},	//   neke, netá, létr, пуша, 
   {{0x201ca834,0x10a3692b,0x7644a835,0x69c600b4}},	//   tivi_, зичн, mliy, ieke, 
   {{0x60dba836,0x76449371,0x69c6a837,0x7a3da838}},	//   _drum, lliy, heke, nétr, 
   {{0x69c6a839,0x201c84ed,0x443aa83a,0x6d4b9dc5}},	//   keke, rivi_, mop_, _azga, 
   {{0x4444a83b,0x60dba83c,0x5c7437e8,0xa3c20081}},	//   ll_, _frum, олит, ्यक_, 
   {{0x69c6a83d,0x60db2555,0x4444a83e,0x78a602ae}},	//   deke, _grum, ol_, jukv, 
   {{0xda7a387d,0x4444a83f,0x443aa840,0xdca61753}},	//   лям_, nl_, nop_, _ҳади, 
   {{0x4444a841,0x7644a842,0x69c6a843,0xdb1a0126}},	//   il_, kliy, feke, fetá, 
   {{0x69c6a844,0x44441091,0x3f8e0010,0x386198c9}},	//   geke, hl_, lafu_, _sihr_, 
   {{0x443aa845,0x63bc0121,0x4444a846,0xdb18001d}},	//   kop_, _obrn, kl_, _pavó, 
   {{0x4444a847,0x321d0083,0x7a3d0096,0x7e620354}},	//   jl_, ziwy_, gétr, _hiop, 
   {{0xd5bb0ce9,0x69c68dc1,0x7c3aa848,0x7644a849}},	//   лса_, beke, motr, fliy, 
   {{0x444401a6,0x7c3a00a9,0x69c6a84a,0x3f8ea84b}},	//   el_, lotr, ceke, hafu_, 
   {{0x6fa900a2,0x3f8e6a6e,0x7c28023a,0x25a9a84c}},	// [a630] _घालू, kafu_, ondr, rgal_, 
   {{0x4444a84d,0x7c3aa84e,0x764402a5,0x7c28a84f}},	//   gl_, notr, aliy, nndr, 
   {{0x7c28a850,0x7644a851,0x2367008b,0x163501a2}},	//   indr, bliy, žnjo_, _меоя, 
   {{0xddc1002e,0x7c3a00a9,0x7a2800ad,0xdb0802ae}},	//   _mulţ, hotr, yıtm, bedö, 
   {{0x444402bf,0x7c3aa852,0x443aa853,0x3d1800bd}},	//   bl_, kotr, bop_, _बेले_, 
   {{0x7c3a429b,0x69c6a854,0x63bc016a,0xd0062831}},	//   jotr, zeke, _gbrn, жеше_, 
   {{0x1dda0262,0x69c6a855,0x6d4202a5,0x59c900c2}},	//   _मोहत, yeke, _ayoa, िजार, 
   {{0xa3e70081,0xd34600d4,0x64452cea,0xa3d102e6}},	//   भाव_, _بیمه_, llhi, वयक_, 
   {{0x7c3aa856,0x60db65b2,0x69c6a857,0x51841b68}},	//   fotr, _urum, veke, _хуса, 
   {{0x69c6a858,0x76440095,0x6d4b0121,0x50f400b3}},	//   weke, zliy, _vzga, _эзут, 
   {{0x69c6a859,0x2fc7a85a,0x5fae00a2,0x26c1006d}},	//   teke, meng_, _घातल, _npho_, 
   {{0x2fc78611,0x7c2800a9,0x3ea703a1,0xf1bb07d5}},	//   leng_, andr, munt_, ोजिन, 
   {{0x6e3b003a,0x660d00d4,0x2904189a,0x443a1e8f}},	//   moub, dhak, áma_, yop_, 
   {{0x2fc7a85b,0x78a6034c,0x290c00ab,0xab5c0243}},	//   neng_, rukv, ąda_, ceļo, 
   {{0x4444055f,0xdb1aa85c,0x69c6a85d,0x764404be}},	//   vl_, petá, peke, tliy, 
   {{0x2fc7a85e,0xe57aa85f,0x660da860,0x6298020b}},	//   heng_, рза_, ghak, ávom, 
   {{0x764406d0,0x2fc74e39,0x4444a861,0xdceb008a}},	// [a640] rliy, keng_, tl_, _ddgħ, 
   {{0x4444a862,0x2fc769cd,0xdb0802ae,0x660d0379}},	//   ul_, jeng_, redö, ahak, 
   {{0x443a5f2a,0x42ca1088,0x2fc7a863,0x660d0d07}},	//   rop_, рген_, deng_, bhak, 
   {{0x660da864,0xe0daa865,0x3ea700bd,0xb5fb0019}},	//   chak, иве_, dunt_, _hián, 
   {{0x443aa866,0x2fc7a867,0x7e620183,0x7c28076b}},	//   pop_, feng_, _riop, yndr, 
   {{0x2bae0ffc,0x7e62a868,0x2fc7a869,0xdc3904be}},	//   ज्ञा, _siop, geng_, kçıl, 
   {{0x2327a86a,0xe2973346,0xdd9408a5,0x7c3aa86b}},	//   _дори_, _мар_, пайы, votr, 
   {{0x52750258,0xb5fb3146,0xdcba0093,0x6e2900fb}},	//   _хуру, _lián, ащо_, gneb, 
   {{0x7c3a05f0,0xf65300a7,0x2fc70364,0x9f4c014b}},	//   totr, וצה_, beng_, _dodá_, 
   {{0x3ea70118,0x2246003d,0x60cd48ec,0x29d70108}},	//   bunt_, llok_, çame, _ủa_, 
   {{0x7c3a05f0,0xdd8f959f,0x8e7202f1,0x66040128}},	//   rotr, _ош_, _ўқиш, kkik, 
   {{0x7c3aa86c,0x8c3d0384,0x5ce60038,0x7e62019c}},	//   sotr, luşl, _وكال, _uiop, 
   {{0x7c3aa86d,0xfbcf06bc,0xed5a0d75,0x3f8c261e}},	//   potr, رتی_, _тод_, _kedu_, 
   {{0x6e20a86e,0xd83b0209,0x3945002a,0x1673004e}},	//   limb, рэм_, āls_, мқор, 
   {{0x660da86f,0x2246a870,0x4b7b0070,0x7bc8a871}},	//   thak, klok_, _דאוו, medu, 
   {{0x2246a872,0xa5bb003e,0x1dbc102c,0x660406e4}},	//   jlok_, _njót, ्जित, gkik, 
   {{0x660da873,0x2fc7a874,0xe9df0042,0x224602dc}},	// [a650] rhak, yeng_, clúa_, dlok_, 
   {{0x660d099d,0x6e20a875,0xd37b00cf,0x69bc8e28}},	//   shak, himb, рча_, ष्ठी, 
   {{0x660d51a8,0x6e204429,0x798d016a,0xc7b2042c}},	//   phak, kimb, _keaw, _אבי_, 
   {{0xdce90267,0x2fc70194,0x6e200053,0x7bc8a876}},	//   zbeđ, weng_, jimb, hedu, 
   {{0x2fc7a877,0x3f8c61e1,0x6e20a878,0x6e29a879}},	//   teng_, _bedu_, dimb, vneb, 
   {{0x7bc8a87a,0x224607fc,0x3ea701d2,0x3f8c0036}},	//   jedu, alok_, tunt_, _cedu_, 
   {{0x2fc7a87b,0x44210121,0x63b405a8,0x7bc845ef}},	//   reng_, mih_, žený, dedu, 
   {{0x3ea776a9,0x2fc70364,0xed5922d4,0xddc10082}},	//   runt_, seng_, leži_, _bulš, 
   {{0x2fc7a87c,0x6e29a87d,0x99ca0086,0x3cf500b0}},	//   peng_, rneb, ষাৎক, इहें_, 
   {{0x3ea7a87e,0xdc3907fa,0x7bc8a87f,0xa5bb003e}},	//   punt_, tçıl, gedu, _kjós, 
   {{0xf8a900fe,0x6e20a880,0x661d2ab3,0x44210175}},	//   _תש_, bimb, _omsk, iih_, 
   {{0xdeba00a7,0xdb1a00c8,0x91c900a5,0xdc390248}},	//   _למעל, detä, _रसोइ, rçıl, 
   {{0x4421a881,0x3e71a882,0xa5bb010d,0xa3ac0ede}},	//   kih_, _hát_, _ljós, _गाल_, 
   {{0x442102a2,0xed5952cd,0x913a00c7,0x7bc8a883}},	//   jih_, ježi_, מערק, cedu, 
   {{0x26de03da,0xa3c10527,0xbb428c0f,0x8c3d01f0}},	//   íto_, ्जन_, _пешк, nuşm, 
   {{0x3e71001b,0x8afa00d1,0x7afca884,0x598603a1}},	//   _mát_, _להצי, ärte, _элиб, 
   {{0x6604a885,0x3e71a886,0x4421a887,0x98ac01dd}},	// [a660] rkik, _lát_, fih_, ādē_, 
   {{0x6604a888,0x6e202ded,0x04466e99,0xe8d900e7}},	//   skik, zimb, чезн, _ngộ_, 
   {{0x3f8c06e0,0xe64608a7,0x38b6041f,0xb5fb0019}},	//   _redu_, _неоп, lær_, _kiál, 
   {{0x2372002a,0x3f8ca889,0x7bc801f1,0x69d6a88a}},	//   _šajā_, _sedu_, zedu, _jaye, 
   {{0x442122fd,0x69d6a88b,0x38b600c1,0x200e08a1}},	//   bih_, _maye, nær_, thfi_, 
   {{0x442116ef,0x3e71a88c,0x6e20190c,0x2480a88d}},	//   cih_, _bát_, wimb, mpim_, 
   {{0xc0590b0c,0x7bc8a88e,0x3e7100e7,0x22460b74}},	//   ції_, vedu, _cát_, plok_, 
   {{0x3e71026e,0x69d633f2,0x6467010e,0x23ac2030}},	//   _dát_, _naye, _óriá, _चाँद, 
   {{0x6e20a88f,0x7bc8101a,0x38b600fb,0x00000000}},	//   rimb, tedu, jær_, --, 
   {{0x6e203ea6,0x798d5bb1,0x69d60175,0x307b00d1}},	//   simb, _seaw, _aaye, _לאמנ, 
   {{0x69d6a890,0x200c15cf,0xaa597ffd,0x7c2f0151}},	//   _baye, _ildi_, жину_, écra, 
   {{0x69d6a891,0xa3de0e49,0x38b61ec7,0xa2c400bc}},	//   _caye, _दोस_, fær_, _रहन्, 
   {{0xb5fb24a9,0x7bc8a892,0x5c060141,0x69d6a893}},	//   _diál, pedu, _няка, _daye, 
   {{0xdb1a0088,0xba7300d4,0x96053cae,0xc60502a2}},	//   tetä, بایت, रस्ट_, रस्य_, 
   {{0x98be00e0,0x3bbb07e4,0xed59a894,0x3e710108}},	//   ātā_, _המוד, veži_, _xát_, 
   {{0x4421a895,0x38b68094,0x69d6a896,0x00000000}},	//   wih_, bær_, _gaye, --, 
   {{0x200c02f1,0xed590613,0x80cc031e,0xf3f90176}},	// [a670] _oldi_, teži_, _दैले, онаш_, 
   {{0x69d682d4,0xb88300bc,0x7d1da897,0xb4bd109f}},	//   _zaye, říst, ússi, _आही_, 
   {{0x4421a898,0x8c4101c4,0x99900228,0x38660036}},	//   rih_, äßig, ťaťa_, _èora_, 
   {{0x44216d70,0x200ca899,0x661da89a,0x98b104cc}},	//   sih_, _aldi_, _umsk, _जमाए, 
   {{0x3e710029,0xa5bb008c,0x92ad0086,0x00000000}},	//   _sát_, _fjór, কবে_, --, 
   {{0x44210181,0x3e7100bc,0xc4d200d1,0x28de049c}},	//   qih_, _pát_, _שגם_, मिति, 
   {{0x5334005e,0x29021d8c,0x0e5501a2,0x69ce00a5}},	//   _зерт, zyka_, мъия, _तसली, 
   {{0xcfcd0086,0xec7920e8,0x8c3da89b,0x3e710210}},	//   লাইন, опи_, ruşm, _vát_, 
   {{0x69d6a89c,0x4c350009,0x61e9227f,0xb87b0068}},	//   _raye, дэнт, _inel, nvíd, 
   {{0x69d6a89d,0x38b601e8,0x61fb9411,0x3e710023}},	//   _saye, vær_, _houl, _tát_, 
   {{0x61fba89e,0x69d6a89f,0x61e9a8a0,0xa9a60842}},	//   _koul, _paye, _knel, минд, 
   {{0xa3c10081,0x2902006a,0x61fb0088,0x38b603a9}},	//   ्जड_, tyka_, _joul, tær_, 
   {{0x9f58010e,0xeb99074f,0x61fb0656,0x2c7203c6}},	//   özök_, _дил_, _moul, _gâd_, 
   {{0xb8f646cc,0x61fba8a1,0xb5fb0503,0x69d6018e}},	//   _सन_, _loul, _diám, _waye, 
   {{0xf743065b,0x69d6a8a2,0xaad1007e,0x32060102}},	//   веро, _taye, _तनिक, ykoy_, 
   {{0x237801b4,0x24990065,0x61fba8a3,0x00000000}},	//   _sfrj_, _bvsm_, _noul, --, 
   {{0xb4660528,0x4431039b,0xdb18059e,0x00000000}},	// [a680] дкал, _bjz_, _davõ, --, 
   {{0x2d8f4aa5,0x61e9a8a4,0x64a3a8a5,0x4ad118b4}},	//   _lege_, _anel, тафа, _तनाव, 
   {{0x61fba8a6,0x320d4af2,0x316a6190,0x6b9c02be}},	//   _boul, _bley_, ошло_, órgi, 
   {{0x61fb6259,0x2d8fa8a7,0x61e90054,0x6f030035}},	//   _coul, _nege_, _cnel, dync, 
   {{0x61fba8a8,0xe7e300a2,0x00000000,0x00000000}},	//   _doul, खाचा_, --, --, 
   {{0xd12f2751,0x61e9059e,0x2378019c,0xdbcc003e}},	//   جمه_, _enel, _ufrj_, jóðu, 
   {{0x61fba5dd,0x2d8fa8a9,0xdb0112b7,0xe3633946}},	//   _foul, _bege_, nglä, _акри, 
   {{0x3ea0031e,0x00000000,0x00000000,0x00000000}},	//   čit_, --, --, --, 
   {{0x2d8fa8aa,0x00000000,0x00000000,0x00000000}},	//   _dege_, --, --, --, 
   {{0xed59056e,0x61fba8ab,0x2b4703c6,0x9f4500da}},	//   ježu_, _zoul, _bync_, _holý_, 
   {{0xa3c10790,0x61fb60b8,0xed590352,0xdb18a8ac}},	//   ्जत_, _youl, dežu_, _navô, 
   {{0x2d990126,0x2d8f1e1b,0xf99f023e,0x00000000}},	//   óset_, _gege_, akèn_, --, 
   {{0xb4bd148e,0x9cb30038,0xf99f023e,0x6ba70566}},	//   _आहे_, _لمنت, dhèt_, ærgå, 
   {{0x2d8f12bc,0x00000000,0x00000000,0x00000000}},	//   _zege_, --, --, --, 
   {{0x80d5000f,0x683f00bc,0xc5fb03b7,0xdb0102ae}},	//   _मैने, vádě, оѓа_, gglä, 
   {{0x7bd8a0cf,0x7bdaa0eb,0xf4871103,0x99670e8f}},	//   _havu, ldtu, дужн, _отпл, 
   {{0x61fba8ad,0x545517b4,0x7bd8a8ae,0x78a60082}},	// [a690] _roul, еват, _kavu, crkv, 
   {{0x61e9a8af,0x61fba8b0,0x2a690201,0x9f650098}},	//   _snel, _soul, _hiab_, _štít_, 
   {{0x61fba8b1,0x2a69006f,0x7bd80727,0x08f80116}},	//   _poul, _kiab_, _mavu, _فریب_, 
   {{0xe4a700d9,0x50b5220f,0xe3cf0033,0x00000000}},	//   _орго, еску, রাইব, --, 
   {{0x61fb026d,0x2d8fa8b2,0x64550097,0xa5bb4724}},	//   _voul, _rege_, _thzi, _emóc, 
   {{0x61fb7853,0x2a6901a0,0x7bd89ec7,0xb4cb0c46}},	//   _woul, _liab_, _navu, लबी_, 
   {{0x61fba8b3,0x2007a8b4,0x2d8fa8b5,0x53449789}},	//   _toul, rkni_, _pege_, _ахта, 
   {{0x61e9a80b,0x2a690201,0x63ad00b3,0x2007a8b6}},	//   _unel, _niab_, şină, skni_, 
   {{0xdd910105,0x7bd80b31,0x39490201,0xc0350267}},	//   نوں_, _bavu, _nyas_, _знај, 
   {{0xaf072189,0x2d8f0380,0x7bd80027,0x00000000}},	//   _очек, _wege_, _cavu, --, 
   {{0x7bd8a8b7,0xdbcc0a6d,0x2d8f039b,0x660f040b}},	//   _davu, róðu, _tege_, _olck, 
   {{0x2a690201,0x7afc014e,0xb5fb010e,0x13d80033}},	//   _ciab_, ärta, _diák, সায়, 
   {{0xa3c106ea,0x7bd8007b,0xed590112,0x2a690118}},	//   ्जा_, _favu, težu_, _diab_, 
   {{0x7bd8a8b8,0x3949012b,0x3d180035,0x660f02aa}},	//   _gavu, _dyas_, _बेटे_, _alck, 
   {{0x7bc3a8b9,0x2a690036,0xed590372,0x96560267}},	//   _ibnu, _fiab_, režu_, еђај, 
   {{0x7bd8a8ba,0xdb01a8bb,0xed590613,0x00000000}},	//   _zavu, rglä, sežu_, --, 
   {{0x7bd8024d,0x64a39691,0x69c400a4,0x2cad00d1}},	// [a6a0] _yavu, лата, _ibie, nued_, 
   {{0xa3e705f6,0x68e4a8bc,0x2a690201,0x93c80019}},	//   भाग_, _irid, _ziab_, بارہ_, 
   {{0x68e40372,0x786b00c3,0xa2a5009a,0x5275a8bd}},	//   _hrid, _iżva, _चटण्, вучу, 
   {{0xa2d5036e,0x68e4778a,0x2a69023b,0xda10031e}},	//   णिज्, _krid, _xiab_, ासित_, 
   {{0x3949006d,0xc0e30235,0x69c4a8be,0x76460175}},	//   _xyas_, лоцк, _mbie, _ikky, 
   {{0x2ab8006b,0xe8d9001b,0xb3cf0086,0x6aba2be3}},	//   yéb_, _ngờ_, রাউজ, yttf, 
   {{0x69c4a8bf,0xa3e7069b,0xa2e391a4,0xdc1200ad}},	//   _obie, _ядра_, _йорд, xşıl, 
   {{0x6ed30264,0x7bd8a8c0,0x68e400ef,0x387f00b3}},	//   _xəbə, _savu, _orid, ţuri_, 
   {{0x2a690096,0x2cad0139,0x7ae3076b,0x00000000}},	//   _riab_, gued_, _arnt, --, 
   {{0x69c4a8c1,0x2a690e0c,0x9f450126,0x7ae30415}},	//   _abie, _siab_, _coló_, _brnt, 
   {{0x2a69006d,0x62580038,0x7ae300a1,0x645ea8c2}},	//   _piab_, ríof, _crnt, impi, 
   {{0xdc12091f,0xc33300a7,0x7bd8a8c3,0xb87b00bc}},	//   rşıl, טות_, _wavu, jvíc, 
   {{0x6e22a8c4,0x68e4a8c5,0x3d1812e3,0x7bd8a8c6}},	//   _imob, _crid, _बेचे_, _tavu, 
   {{0x6ed306d0,0x68e4a8c7,0x69c402a5,0x6258007a}},	//   _səbə, _drid, _ebie, líod, 
   {{0x68e4a8c8,0x2a69023b,0x05870267,0x2c0d0110}},	//   _erid, _tiab_, еузм, ाघरं_, 
   {{0x45d4004f,0x68e4a8c9,0x44d20237,0x6ed300ad}},	//   лосс, _frid, _bņ_, _qəbə, 
   {{0x629c06d0,0x68e4a8ca,0x69cfa8cb,0x73d908ad}},	// [a6b0] _avro, _grid, mece, мдар_, 
   {{0x69cf0792,0x69c44333,0xdb014728,0x6aa80e73}},	//   lece, _zbie, rflö, ordf, 
   {{0xdb1a055f,0x81da0086,0x78bda8cc,0x6ed300ad}},	//   getø, ়ান_, ltsv, _təbə, 
   {{0x69cfa8cd,0x645ea8ce,0x60cd02aa,0x44d20237}},	//   nece, ampi, çamo, _fņ_, 
   {{0x629ca8cf,0x69dda8d0,0x764d1ba2,0xd3a702a0}},	//   _evro, idse, mlay, _првп, 
   {{0x63550593,0x44251772,0x764d838a,0x6e22a8d1}},	//   _авгу, _öl_, llay, _amob, 
   {{0x69cf8d3b,0x877c027a,0x6e220354,0x628e017c}},	//   kece, לאגי, _bmob, _gwbo, 
   {{0x69cfa8d2,0x764da8d3,0x4423011c,0x7ceb003e}},	//   jece, nlay, _hmj_, jörð, 
   {{0x44230065,0x764d02a5,0x4ec30033,0xe7b2017d}},	//   _kmj_, ilay, ্মেল, _जालप, 
   {{0x236700f1,0x6285a8d4,0x68e45344,0x764d02f1}},	//   žnju_, opho, _rrid, hlay, 
   {{0x764d0c05,0x68e40372,0x9f450126,0x6285a8d5}},	//   klay, _srid, _voló_, npho, 
   {{0x68e4a8d6,0xa2c40c59,0xf2d200c7,0x6285a8d7}},	//   _prid, _रहस्, בעט_, ipho, 
   {{0x764d9431,0xa3c10a34,0xe8f70251,0x62850534}},	//   dlay, ंभा_, вля_, hpho, 
   {{0x68e4098d,0x7e6b07fc,0x60c9a8d8,0x3d0d00bd}},	//   _vrid, _higp, _mpem, िनीं_, 
   {{0x69cf0952,0x80b302e6,0x1867a8d9,0x78bd2e15}},	//   bece, उंडे, тари_, atsv, 
   {{0x764d6d72,0x940c06d0,0x69cfa8da,0x7bc120f8}},	//   glay, ələr_, cece, lflu, 
   {{0x0566a8db,0x6fe1009a,0x9f5e0216,0x628502c5}},	// [a6c0] тван, पयां, _cotê_, epho, 
   {{0x7bc1a8dc,0x764d24ec,0x6d4b0465,0xf41f0032}},	//   nflu, alay, _myga, _zväz_, 
   {{0xe2971f4d,0x442300ca,0x764da8dd,0x60c90532}},	//   вах_, _dmj_, blay, _apem, 
   {{0x764d0369,0xb87b1f6b,0xdb1a34f9,0xaaa900bc}},	//   clay, lvía, retø, _किनक, 
   {{0x21670925,0x8c3da8de,0x6d4b1950,0x6285a8df}},	//   вици_, luşu, _nyga, apho, 
   {{0x442300e2,0x63830d38,0x9f650228,0xb87b1cf0}},	//   _gmj_, _вгра, _štát_, nvía, 
   {{0x69cf0c05,0x8c3d027e,0xf77300d1,0x41dd35a4}},	//   yece, nuşu, סקה_, _नोकस, 
   {{0x4444a8e0,0xade3004f,0xe6bb0248,0xd1ca3629}},	//   lo_, ацьк, şaçı, _تبسم_, 
   {{0x625837dc,0x7ceb008c,0xa3e70fc0,0x1fb600b3}},	//   ríod, vörð, _मोड_, _асер, 
   {{0x7afc0219,0x8af800ba,0x1dae009a,0x5f060240}},	//   ärto, енос_, _टाकत, _изза, 
   {{0x44446a27,0x6e220626,0x601403a1,0x69cfa8e1}},	//   io_, _tmob, _càme, tece, 
   {{0x4444a8e2,0x7e6b012b,0x764d0095,0x78bd4b22}},	//   ho_, _gigp, xlay, ttsv, 
   {{0x4444a8e3,0x3e78a8e4,0x69dda8e5,0xa3b300a5}},	//   ko_, _hét_, rdse, _टाल_, 
   {{0x4444a8e6,0x3e78006b,0x69cfa8e7,0x78bd09ad}},	//   jo_, _két_, sece, rtsv, 
   {{0x44444435,0xa3ac02e6,0x78bd1618,0x764d096f}},	//   do_, _गाज_, stsv, tlay, 
   {{0x4444a8e8,0x3ce60062,0x58d54191,0x3e78a8e9}},	//   eo_, _krov_, _боит, _mét_, 
   {{0x444402a5,0x764d7428,0x9f5e00e5,0x44230065}},	// [a6d0] fo_, rlay, _botë_, _pmj_, 
   {{0x7c28292f,0xf8bf0107,0x764d969d,0x5fc40e0d}},	//   nidr, mté_, slay, ल्मल, 
   {{0x764da8ea,0xf8bf026a,0x3e78001b,0xf367001c}},	//   play, lté_, _nét_, ттан, 
   {{0x68e2002a,0x764d1a3d,0x8c3d0241,0x6285a8eb}},	//   _šodi, qlay, luşt, rpho, 
   {{0x4444a8ec,0xf8bfa8ed,0x3ce6006f,0x660d0d4e}},	//   bo_, nté_, _nrov_, mkak, 
   {{0xf8bf026a,0x8c3d027e,0x660da8ee,0x628500fc}},	//   ité_, nuşt, lkak, ppho, 
   {{0x6445a8ef,0x3e780096,0x7afc02ae,0x22941186}},	//   mohi, _cét_, ärtl, _вися, 
   {{0x64458fbb,0x660da8f0,0xa3c13b41,0x3e78192b}},	//   lohi, nkak, ंभव_, _dét_, 
   {{0xc1042841,0x660da8f1,0x626c00b3,0x1c451daa}},	//   _پولي, ikak, _uşoa, лним, 
   {{0x644500a9,0x4ea703fd,0xabd51b11,0xe8d90023}},	//   nohi, _арда, уциј, _ngố_, 
   {{0x7bc1a8f2,0x660da26a,0xdd9100d4,0x7e6b02dc}},	//   rflu, kkak, _هوا_, _tigp, 
   {{0x64452328,0x9d194196,0x7bc1a8f3,0x62580038}},	//   hohi, _поет_, sflu, míoc, 
   {{0x4444a8f4,0x3ce60c43,0x625800eb,0xdca502c0}},	//   yo_, _grov_, líoc, _сали, 
   {{0x4444a8f5,0x3e710039,0x31560137,0x6e29a8f6}},	//   xo_, _ešte_, טירן_, lieb, 
   {{0x3e78001b,0x8c1a00a7,0xe7379444,0x7d09a8f7}},	//   _xét_, _רוצי, гер_, lyes, 
   {{0x4444a8f8,0x660da8f9,0x6e29a8fa,0x8c3d04be}},	//   wo_, gkak, nieb, ruşu, 
   {{0x7d09a8fb,0xf8bf026d,0xe45a0925,0x2cbfa8fc}},	// [a6e0] nyes, cté_, ежа_, ntud_, 
   {{0x78a907c7,0x4444a8fd,0x6e290380,0x6288021e}},	//   ševc, uo_, hieb, _çdok, 
   {{0x91e63af7,0x2cbf007e,0x6e29012e,0x41aa02c4}},	//   ложе, htud_, kieb, евен_, 
   {{0x4444a8fe,0x3e78a8ff,0x2cbf012b,0x80c80033}},	//   so_, _rét_, ktud_, লিস্, 
   {{0x4444a900,0x859b0056,0x644500a9,0x9f450054}},	//   po_, _אשכו, bohi, _anlà_, 
   {{0x4444a901,0xa06702f1,0xddcb2409,0x00000000}},	//   qo_, гача_, _figū, --, 
   {{0x62580084,0x7c28a902,0x645c0228,0x2cbfa903}},	//   ríob, vidr, _ihri, etud_, 
   {{0x3ce6a904,0xf8bf0098,0x7c280502,0x7d1b0502}},	//   _prov_, yté_, widr, fzus, 
   {{0x7c28a905,0x645c044d,0x24720237,0x4fb60ce0}},	//   tidr, _khri, _fņme_, _مصار, 
   {{0xd12f06ab,0x610a00e0,0x660d1188,0x629e00ca}},	//   _عمل_, _vēlā, zkak, ospo, 
   {{0x7c28866b,0x629ea906,0x5a350fb8,0x23c621d2}},	//   ridr, nspo, инот, र्यद, 
   {{0xf8bf5b77,0xee3aa907,0x9f5e93e6,0x7c280c09}},	//   tté_, _яне_, _noté_, sidr, 
   {{0xf8bf026d,0x7b66005e,0x02d10e07,0x645ca908}},	//   uté_, _өтке, _सन्न, _ohri, 
   {{0xf8bf026d,0x9f4c0054,0x9f5e0036,0x62810151}},	//   rté_, _andé_, _potè_, _élog, 
   {{0xf8bfa909,0x6b7b0111,0xdce003c0,0x644500a9}},	//   sté_, _ארונ, mamı, vohi, 
   {{0xdce003c0,0x629e66cc,0xf8bf026a,0x9f5e5ff4}},	//   lamı, dspo, pté_, _coté_, 
   {{0x58d50f6b,0x6445a90a,0x660da90b,0x645c0094}},	// [a6f0] _топт, tohi, rkak, _bhri, 
   {{0x6b9a00d3,0x645ca90c,0x443802a2,0x64400679}},	//   natg, _chri, _cjr_, _ímil, 
   {{0x629ea90d,0xdb1a0183,0x645c0387,0x7c2f0151}},	//   gspo, metó, _dhri, écri, 
   {{0xb5fb2033,0xf364a90e,0x644594bf,0x645c00a1}},	//   _ciát, стун, sohi, _ehri, 
   {{0x69dfa90f,0x6445a910,0x645c0557,0xdce0008f}},	//   _maqe, pohi, _fhri, kamı, 
   {{0x645c02d0,0x3ddd02cd,0x625800eb,0x7d1b4960}},	//   _ghri, _saww_, tíoc, vzus, 
   {{0x629e0097,0x6e29a911,0x80d507d5,0x43680cdf}},	//   cspo, tieb, _मैरे, _баён_, 
   {{0x82370084,0x62580084,0x7d1b0502,0x69df1f57}},	//   _إرسا, ríoc, tzus, _naqe, 
   {{0x6e29a912,0x1fa715f5,0xdd99014b,0x6258007a}},	//   rieb, _брег, raň_, síoc, 
   {{0x60db1eb2,0x2cbf8820,0x6e29a913,0xb5fb0038}},	//   _isum, rtud_, sieb, _fhág, 
   {{0x79960218,0x2cbfa914,0x7d1b0380,0x69df008a}},	//   _peyw, stud_, szus, _baqe, 
   {{0xaab600b0,0xdce60243,0xaa461d02,0x00000000}},	//   _अमरक, šmāj, ремл, --, 
   {{0x2d8da915,0xc95617fc,0x6b9a00a3,0xdce0035d}},	//   mbee_, ртны, batg, bamı, 
   {{0xb8ee05fd,0x6b9a00f6,0x6d5900e2,0x60db1642}},	//   _रह_, catg, _izwa, _msum, 
   {{0x69df00e5,0xd62a1a79,0x9f5e00bc,0xa5960093}},	//   _faqe, вове_, _poté_, иращ, 
   {{0x78a911c8,0x629e055f,0x38bf010c,0x645c53ff}},	//   ševa, vspo, bîr_, _shri, 
   {{0x142612b4,0x629ea916,0x645ca917,0x07a6020f}},	// [a700] адам, wspo, _phri, _капн, 
   {{0x389b00c7,0x2246a918,0x03a635e9,0x6d59040b}},	//   _שיינ, wook_, рижо, _mzwa, 
   {{0x60db98cf,0x69df0065,0x81df0086,0x60140054}},	//   _asum, _yaqe, তান_, _nàma, 
   {{0x00e63946,0xb5fb0681,0x55e62051,0x6b9aa919}},	//   ижен, _diás, _томб, zatg, 
   {{0x2246a91a,0x6b9a02f1,0xb5fb001d,0xdce006a2}},	//   rook_, yatg, _viát, yamı, 
   {{0xa2e6030f,0x2cada607,0x2246232a,0x645c0080}},	//   _когд, dred_, sook_, _uhri, 
   {{0xe2976942,0x38bf0216,0x82a3a91b,0x6d593ca5}},	//   _вас_, zîr_, _марж, _azwa, 
   {{0x601404b8,0xadf4a91c,0x2cada91d,0x00000000}},	//   _dàma, спиш, fred_, --, 
   {{0x6b9a00d3,0x99990187,0x6d590035,0x9f5e0216}},	//   tatg, nosť_, _czwa, _gotî_, 
   {{0x60c2a91e,0x46c70f6f,0xbea600dd,0x61e2010e}},	//   mtom, _लहलह, _важк, ldol, 
   {{0x61e0a91f,0x337700a7,0x6b9a0a66,0x3f9c0053}},	//   _kaml, יעים_, ratg, mavu_, 
   {{0x61e2a920,0x6ab60f63,0x2cad494c,0x6b9a3cab}},	//   ndol, _अमीर, bred_, satg, 
   {{0x61e0a579,0x3e71268a,0x63bc00d2,0x6b9aa921}},	//   _maml, _išta_, _ocrn, patg, 
   {{0x61e2030f,0x99990228,0x3f9ca922,0xbb8400eb}},	//   hdol, dosť_, navu_, _الغي, 
   {{0xdb1aa923,0x07080cdf,0x38bf0216,0x0627011f}},	//   retó, ахти_, sîr_, афам, 
   {{0x248998da,0x6b98009e,0x61e0a924,0xdb1a0183}},	//   tpam_, _hevg, _naml, setó, 
   {{0x61e20156,0x3f9ca925,0x799d498b,0x81df0033}},	// [a710] ddol, kavu_, masw, তাম_, 
   {{0x4ada0077,0x3f9c10d4,0xaada0d53,0x799d3b96}},	//   _बनाव, javu_, _बनाक, lasw, 
   {{0xb5fb6582,0xd378a926,0x60db02a5,0x00000000}},	//   _diár, рчу_, _ssum, --, 
   {{0xa3e7051f,0x799da927,0x61e26779,0x60c20034}},	//   _मोर_, nasw, gdol, ftom, 
   {{0x69bc00a2,0x9508006b,0x84670141,0x32041175}},	//   ष्टी, _پہلے_, _въве, _domy_, 
   {{0x600f01e8,0x3f9ca928,0x34940240,0x10a21d7e}},	//   _tømm, gavu_, _фарр, чишн, 
   {{0x61e0050a,0x799d2b03,0xada503fd,0x61e202a3}},	//   _faml, kasw, байл, bdol, 
   {{0x61e0076b,0x625800eb,0xed59609a,0x62870026}},	//   _gaml, líon, лой_, _itjo, 
   {{0xa3ab0da6,0x60dba929,0xdceb00a4,0x705900f6}},	//   _गया_, _usum, _megħ, _баар_, 
   {{0x2cad00a7,0x62580038,0x40590198,0x61e0a92a}},	//   rred_, níon, _صلاح_, _zaml, 
   {{0x9cf9100b,0x81da00cc,0x2cad00d0,0x26c1006d}},	//   েছেন_, ়ার_, sred_, _nqho_, 
   {{0xf53f0219,0x2005a92b,0x799d4422,0xc33207e4}},	//   _oxå_, _holi_, gasw, לוי_, 
   {{0xeb8e00be,0x6c8500eb,0x2005a92c,0x224d00ef}},	//   _ни_, _التم, _koli_, _mkek_, 
   {{0x99990187,0x6b9800ef,0x2005a92d,0xa3e70a20}},	//   vosť_, _gevg, _joli_, _मोल_, 
   {{0xdceb008a,0x61e2a92e,0x60c20098,0x6258007a}},	//   _begħ, ydol, ztom, díon, 
   {{0x3f9c0b91,0x99990228,0x60c22f1d,0x291a09dc}},	//   zavu_, tosť_, ytom, _مقعد_, 
   {{0x2aa306d0,0x61e0768b,0x2bbd07d5,0xf4870296}},	// [a720] lıb_, _raml, ्भपा, مالی, 
   {{0x61e00310,0x25e80d53,0x68fb00d1,0x2005a92f}},	//   _saml, _चोरी_, _עליה, _noli_, 
   {{0xe80d006a,0x2aa306d0,0x2a60023b,0xe64612b4}},	//   _सकता_, nıb_, _khib_, _генп, 
   {{0x60c2a930,0xdceb008a,0x7afc25a6,0x225f016c}},	//   ttom, _gegħ, ärti, _chuk_, 
   {{0x2005a931,0x81da0086,0x225f011c,0x6287a932}},	//   _boli_, ়াল_, _dhuk_, _etjo, 
   {{0x60c2a933,0x660645c3,0xdb01007a,0xdbf002d9}},	//   rtom, _hokk, ngló, _příd, 
   {{0x66064568,0x442aa934,0x60c2326d,0x2005a935}},	//   _kokk, _imb_, stom, _doli_, 
   {{0x6b987428,0x6b83023e,0x60c2a936,0x2aa300ad}},	//   _sevg, _afng, ptom, dıb_, 
   {{0x8fa6a937,0x2005a938,0x9103a939,0x6606a93a}},	//   _газе, _foli_, _епте, _mokk, 
   {{0xb5fb00f7,0x442a02fe,0xdbf0031e,0x66062243}},	//   _khác, _jmb_, _tříd, _lokk, 
   {{0xe9f9013d,0x0dca00dd,0x9b583b8d,0x394000df}},	//   анні_, _були_, ринт_, _axis_, 
   {{0x6606010d,0xaaa91561,0x9e668749,0x786b0405}},	//   _nokk, _किरक, _увед, _iżvi, 
   {{0xa3b805fd,0x6b980218,0x442a0626,0x799d4fb6}},	//   छला_, _tevg, _omb_, rasw, 
   {{0xa3e700a5,0x442aa93b,0x78a90304,0x3d2b010e}},	//   _मों_, _nmb_, ševo, _حتمی_, 
   {{0x799d0010,0x6606a93c,0x569430dc,0xdb1e00c8}},	//   pasw, _bokk, заст, ävän, 
   {{0x442a1f1d,0xb5fb0038,0xe6671557,0x95d902a0}},	//   _amb_, _sháb, стго, јдат_, 
   {{0x62870a6d,0x442a39eb,0x26c302ee,0xb87b014b}},	// [a730] _stjo, _bmb_, stjo_, zvíj, 
   {{0x68eda93d,0x36d503a1,0xb36766f3,0x7e7aa93e}},	//   _irad, _доор, бъек, _outp, 
   {{0x68ed037f,0x2005a93f,0x625800eb,0x6606a940}},	//   _hrad, _roli_, ríon, _fokk, 
   {{0x41551ff8,0x09ab00cc,0x6606a941,0x3abb00c7}},	//   овес, গ্রা, _gokk, רמאנ, 
   {{0xed46082c,0x09e300cc,0x2aa30095,0x7c2a076b}},	//   _آپ_, যাপা, zıb_, _omfr, 
   {{0x2aa306d0,0xa29505c6,0x68ed0010,0xa0696747}},	//   yıb_, _магі, _mrad, шала_, 
   {{0x6606615e,0x2aa300ad,0x59a9009a,0x69cd02a5}},	//   _yokk, xıb_, कणार, _obae, 
   {{0xf2d207f5,0x99806c4a,0x225f0089,0x78600219}},	//   _קען_, _omiš_, _uhuk_, möve, 
   {{0x2a60006d,0x442a0065,0x2eec0c33,0xee3600e4}},	//   _rhib_, _ymb_, _erdf_, ўны_, 
   {{0x2aa30095,0x2a6002f1,0x62580038,0x69cd01a3}},	//   tıb_, _shib_, híol, _abae, 
   {{0x68eda942,0x78a90062,0x7860a943,0x09e30033}},	//   _arad, ševl, növe, যানা, 
   {{0x2a6001a0,0x2aa30095,0xdd1e02d9,0xba3d0028}},	//   _qhib_, rıb_, _síťo, drįs, 
   {{0x78600750,0x7e7a02b0,0x2aa30248,0x00000000}},	//   höve, _zutp, sıb_, --, 
   {{0x6606a944,0x68eda945,0xcb693665,0x7860010e}},	//   _sokk, _drad, _кале_, köve, 
   {{0x66e3a946,0x442a01f2,0x2a60006f,0x66060eb1}},	//   мора, _rmb_, _thib_, _pokk, 
   {{0x68eda947,0x78a44639,0x39409535,0x2d9fa948}},	//   _frad, _tviv, _txis_, naue_, 
   {{0x644302ee,0xe40608d1,0x78a4095a,0x660680aa}},	// [a740] čnin, озап, _uviv, _vokk, 
   {{0xb5fb0023,0x6606a949,0x2d9f0380,0x00000000}},	//   _phác, _wokk, haue_, --, 
   {{0x59c1176c,0x86461793,0x68ed0098,0x625802be}},	//   ष्कर, _множ, _zrad, bíol, 
   {{0x62580183,0x3f8500b3,0x4b4c0070,0x00000000}},	//   cíol, _aflu_, נגאַ, --, 
   {{0x25a0a94a,0x10a3a94b,0x442aa94c,0x76410019}},	//   mail_, дичн, _tmb_, élye, 
   {{0x4aa9047b,0xeeaaa94d,0x28b2007e,0x4fc60965}},	//   _किंव, атик_, _जिनि, ісла, 
   {{0xdefa00d3,0x02c303dd,0x09b20033,0x2480a94e}},	//   рыл_, _ойро, ট্যা, lqim_, 
   {{0x25a0a94f,0x614607a4,0x6ca62b68,0x2dd30093}},	//   nail_, _деба, орож, джър, 
   {{0x625800eb,0xb87b003e,0x09e30033,0x00000000}},	//   níom, rvík, যামা, --, 
   {{0x25a00409,0x9b6a0d38,0x8c4302a6,0x68ed024a}},	//   hail_, ишна_, мење, _rrad, 
   {{0xa5bb03b7,0x25a05b75,0x68eda950,0x24800034}},	//   _imóv, kail_, _srad, hqim_, 
   {{0x68ed00e4,0xba2b00dd,0xa2cd0bed,0x6d5c00ad}},	//   _prad, ріод_, _सहस्, əran, 
   {{0x25a01232,0xcd360a67,0x0e6920b4,0x7e621bde}},	//   dail_, _براب, _اصلي_, _ihop, 
   {{0x7c2a24f4,0x00000000,0x00000000,0x00000000}},	//   _umfr, --, --, --, 
   {{0x09d000cc,0xdb4f00dd,0x25a0a951,0x7e620149}},	//   িয়া, _цю_, fail_, _khop, 
   {{0x25a00014,0x7afc007e,0x3ce90082,0xddc20083}},	//   gail_, ärtu, _šavi_, _ukoń, 
   {{0x68eda952,0xd37b338e,0xb4e50790,0x7c3a0534}},	// [a750] _urad, аче_, पटे_, ontr, 
   {{0x7c3aa953,0x78606ecf,0x00000000,0x00000000}},	//   nntr, töve, --, --, 
   {{0x926b34fc,0x25a00084,0x4cd30086,0x7c3aa954}},	//   арда_, bail_, তিযু, intr, 
   {{0x25a0009f,0x7c3aa955,0x925900c8,0x2bca0083}},	//   cail_, hntr, щает_, ़्ता, 
   {{0xc5fa00a7,0x00000000,0x00000000,0x00000000}},	//   _הפרט, --, --, --, 
   {{0x7e6200b4,0xdee50176,0xdb1a00c2,0x1e9553c4}},	//   _ahop, зоки, letõ, прир, 
   {{0xa19502fb,0x7e6208a8,0x82a4122f,0x160f0796}},	//   _навч, _bhop, _оште, _सवार_, 
   {{0x7c3aa956,0x7e62a957,0x09e30033,0x00000000}},	//   entr, _chop, যাডা, --, 
   {{0x8119270e,0x7a363e6e,0x261c00e1,0x00000000}},	//   _ужас_, nšte, _híoc_, --, 
   {{0x4b250769,0x3e7100ef,0x00000000,0x00000000}},	//   змов, _tšto_, --, --, 
   {{0xb17d0032,0xc9492233,0x00000000,0x00000000}},	//   _zaťa, _עמ_, --, --, 
   {{0x7a36a958,0x7c3aa959,0x6eca00ad,0x25a025e7}},	//   kšte, antr, _məbl, xail_, 
   {{0x25a0026d,0x597508a5,0x7e690d0a,0x7a360604}},	//   vail_, дыру, mmep, jšte, 
   {{0x2d9d0027,0x7c9400d4,0x601d06df,0x62890a1a}},	//   _hewe_, _آشنا, _fème, _čeon, 
   {{0x81b30086,0x4e1f0262,0x25a04a4f,0x64430098}},	//   জ্য_, _बताई_, tail_, čnil, 
   {{0xe73700b3,0x6e3ba95a,0xe7ec00bc,0x2d9d016c}},	//   чес_, nnub, _छोरा_, _jewe_, 
   {{0x601d023e,0xa9240098,0xe9441372,0x00000000}},	// [a760] _mèmb, áždi, _ترغی, --, 
   {{0x2d9d0691,0x25a0a95b,0x62580038,0x601d011c}},	//   _lewe_, sail_, ríom, _lèmb, 
   {{0x518636b7,0x877b00a7,0x248b0065,0xe2ca3ff4}},	//   пула, _לאיי, _etcm_, след_, 
   {{0x2d9d0ff2,0xdb1a00c2,0x443a02be,0x00000000}},	//   _newe_, petö, snp_, --, 
   {{0x3dc300cc,0xb5fb001b,0x6e3b0082,0xf772009c}},	//   ্যাল, _khán, dnub, _تاک_, 
   {{0x3013005e,0x7e62070e,0x932611b7,0x660471f3}},	//   ндір, _shop, _فرزن, ljik, 
   {{0xeab60086,0x2bc2051f,0x877b00c7,0x2d9d3905}},	//   _জন্ম, _शाबा, זאצי, _bewe_, 
   {{0x91e35b6f,0x6604a95c,0x2d9d0110,0xb2263f7d}},	//   _посе, njik, _cewe_, _эмбл, 
   {{0x2ba60351,0x2d9d00d4,0x75244588,0x00000000}},	//   jící_, _dewe_, nziz, --, 
   {{0x9f450218,0xdee60cdf,0xb5fb00e7,0x2ba600bc}},	//   _malê_, _нози, _nhán, dící_, 
   {{0x81df00cc,0xeee400d4,0x7e62a5ea,0x7c3a03d8}},	//   তার_, _تغذی, _thop, rntr, 
   {{0xddc802fe,0x0e660161,0x752400e2,0xa5bb0126}},	//   _hudž, _экен, kziz, _ilóg, 
   {{0x3f9e00e5,0x78a635d5,0x5e250019,0xb5fb0534}},	//   _ketu_, gskv, _تعلق, _bhán, 
   {{0x7a36143b,0x7afc00a8,0xb5fba95d,0x7524a95e}},	//   všte, ärts, _chán, dziz, 
   {{0x3f9ea95f,0x7bdaa960,0xddc802fe,0x2d9d02b8}},	//   _metu_, metu, _mudž, _yewe_, 
   {{0x7bdaa961,0x3f9e163d,0x660400e5,0x6443008b}},	//   letu, _letu_, gjik, čnim, 
   {{0xb5fb0534,0x656001f5,0xd8bb00d7,0xd9440bad}},	// [a770] _fhán, _ùmhl, _ادعا_, _пећи, 
   {{0x7bdaa962,0x7e690126,0xf3672765,0xdb1a00c2}},	//   netu, zmep, птен, setõ, 
   {{0x61c800c9,0x7bdaa963,0x5334a964,0x7524a965}},	//   रभूष, ietu, нефт, aziz, 
   {{0x7a361861,0x7bda93d3,0xdcfb00ca,0xe8d90108}},	//   pšte, hetu, zbuđ, _ngừ_, 
   {{0xddc8a966,0x7bda585a,0x81df0086,0x3f9e00ca}},	//   _budž, ketu, তাল_, _betu_, 
   {{0x2d9d0876,0x799f0226,0x7bdaa967,0x6eca00ad}},	//   _sewe_, _leqw, jetu, _təbl, 
   {{0x7bdaa968,0x44210379,0x6e3b0c36,0x72d40097}},	//   detu, mhh_, tnub, _порф, 
   {{0x4433869c,0xdefb004e,0x442100a1,0x2bcf009a}},	//   lix_, _қыз_, lhh_, त्ना, 
   {{0x7e6932b9,0x9f5e0369,0x786002ae,0x3f9e008a}},	//   rmep, _votá_, höva, _fetu_, 
   {{0x2d9d086d,0x7bdaa969,0x601401fd,0x8d28004e}},	//   _wewe_, getu, _nàmh, яның_, 
   {{0x2d9d040b,0x00000000,0x00000000,0x00000000}},	//   _tewe_, --, --, --, 
   {{0x3f9e0010,0xdcf90499,0xb5fb02d9,0xce35009c}},	//   _zetu_, _وفات_, _shán, _کوچک, 
   {{0x7bda2ed5,0x3f9e086d,0x644302f5,0x3ea02f6f}},	//   betu, _yetu_, čnij, ćite_, 
   {{0x7bdaa96a,0x601401be,0xdb1a019c,0x78a6a96b}},	//   cetu, _càmh, tetô, rskv, 
   {{0x59c602f8,0x9f45010c,0x8c429862,0x60140465}},	//   _वापर, _salê_, _шеше, _dàmh, 
   {{0x4433022c,0x2b0a031e,0x752401f1,0xdb01009e}},	//   eix_, ाहरु_, tziz, yalê, 
   {{0xb5fb00f7,0x64a3069b,0xc796004e,0xa5bb0042}},	// [a780] _thán, ката, _орны, _amós, 
   {{0x661d64ed,0xdb01010c,0x442102cd,0x66160080}},	//   _elsk, valê, ghh_, skyk, 
   {{0x2bcf0cbd,0x9f45024a,0xfbcf02d9,0xf7463097}},	//   त्या, _dalë_, त्यम, _цено, 
   {{0x442186c9,0x224000b0,0xc69300d1,0xa5bb00e1}},	//   ahh_, õik_, _שאר_, _clód, 
   {{0x7bda0053,0x9f45024a,0xb5fb00e1,0x00000000}},	//   yetu, _falë_, _mhál, --, 
   {{0xd0100ce0,0x2bcf176d,0xd0070267,0x3c2005d5}},	//   طلب_, त्मा, деље_, _kòve_, 
   {{0x7bdaa96c,0xa3e705e5,0xa2e3a96d,0xc3340070}},	//   vetu, _मोट_, _иорд, _װוּ_, 
   {{0x78a900f1,0x3f9e086d,0x9f450300,0x3c200118}},	//   ševi, _wetu_, _malè_, _mòve_, 
   {{0x7bdaa96e,0x3f9e00ca,0xed5702a6,0x7bc3a96f}},	//   tetu, _tetu_, моћ_, _bcnu, 
   {{0x69c4a970,0xf0630009,0x7ae3084c,0xa3de0790}},	//   _acie, _акуп, _bsnt, ढ़ि_, 
   {{0xda350cfe,0xaa59a49f,0x83b700d1,0x68e4a971}},	//   еены, зину_, ופיע_, _asid, 
   {{0xdd90646f,0x3206018e,0x601401fd,0x00000000}},	//   _صوت_, njoy_, _sàmh, --, 
   {{0x200ca972,0xb4bd00b0,0xa3de0262,0xdb0101e5}},	//   _kodi_, _इमे_, ढ़ा_, halè, 
   {{0xd7f8a973,0x200c06df,0x4433700d,0xb8f70fc0}},	//   мус_, _jodi_, xix_, _सह_, 
   {{0x200ca974,0x45d5203d,0x68e4a975,0xf653010e}},	//   _modi_, новс, _esid, نئر_, 
   {{0x59c60509,0x200ca976,0x786002ae,0x27ea00a1}},	//   _वायर, _lodi_, röva, adbn_, 
   {{0x69dda977,0x4433a978,0x201e00a3,0x601d023e}},	// [a790] mese, tix_, _olti_, _lèma, 
   {{0x200c0156,0xc86700eb,0x78bd3649,0x00000000}},	//   _nodi_, _تطبي, musv, --, 
   {{0x44333149,0x7a362873,0x81e80086,0x68e4010e}},	//   rix_, lšta, বান_, _zsid, 
   {{0x4421a979,0xa29400dd,0x201e10df,0x5ef41503}},	//   shh_, таці, _alti_, ्मन्_, 
   {{0x629ca97a,0x4433a97b,0x200ca97c,0x78bd04ef}},	//   _ewro, pix_, _bodi_, nusv, 
   {{0x85741222,0x649a0056,0x200ca97d,0x69dda97e}},	//   _шлях, _מישה, _codi_, hese, 
   {{0x63a5a97f,0x69dd78a7,0x200ca980,0xdb0300da}},	//   mahn, kese, _dodi_, _odná, 
   {{0x63a52129,0x261c00eb,0x7a36012d,0x601d0118}},	//   lahn, _líon_, kšta, _dèma, 
   {{0x9f45026e,0x61fb011d,0x3dcd0626,0x629c0035}},	//   _malé_, _inul, rfew_, _zwro, 
   {{0x69c40e95,0x63a5a981,0x61e9a982,0x200ca983}},	//   _scie, nahn, _hael, _godi_, 
   {{0x61fba984,0x69dd42df,0x61e9a985,0x7a360009}},	//   _knul, fese, _kael, ešta, 
   {{0x69dda986,0x200c78b2,0x61e9a987,0x68220054}},	//   gese, _zodi_, _jael, _môde, 
   {{0x61e9086d,0xb5fb03da,0x63a536fa,0xdb0106df}},	//   _mael, _chám, kahn, zalè, 
   {{0xfaa51aa4,0x63a51630,0xa3cf07d5,0x61e907d7}},	//   _зако, jahn, _वॉल_, _lael, 
   {{0x63a5170d,0x8c1a00a7,0x9f45a988,0x61e90226}},	//   dahn, _מוסי, _balé_, _oael, 
   {{0x69dda989,0x61e9a98a,0x9f45a98b,0x85b502a6}},	//   cese, _nael, _valè_, кључ, 
   {{0x2edc000d,0x63a559e7,0xd547a98c,0xb466a98d}},	// [a7a0] _मन्त, fahn, епте_, екал, 
   {{0x61fba98e,0x6fd30c05,0x7bc1a98f,0x63a5a990}},	//   _anul, nıcı, nglu, gahn, 
   {{0x23c61276,0x61e90415,0xa79b008d,0x35a6002e}},	//   र्गद, _bael, _משיח, _панг, 
   {{0x6455a991,0x2bcf1276,0xdb010187,0xfbcf0299}},	//   _ekzi, त्ता, galé, त्तम, 
   {{0x63a50b4d,0x6d592c37,0x200ca992,0x601d40f7}},	//   bahn, _nywa, _podi_, _sèma, 
   {{0x69dda993,0x7bc100d0,0x63a5085b,0x9f3400f0}},	//   zese, jglu, cahn, келі, 
   {{0x69dda994,0x61e98639,0x6d59a995,0xdb01a996}},	//   yese, _fael, _aywa, balé, 
   {{0x61e9003c,0x2bc20077,0xadf41571,0x69dd0042}},	//   _gael, _शाहा, тпиш, xese, 
   {{0x59a7006a,0x69dda997,0x614341ef,0x200ca998}},	//   _ख़बर, vese, _бета, _todi_, 
   {{0x69dda999,0x3a20a99a,0x7bc10844,0x09a9009a}},	//   wese, _alip_, gglu, कण्य, 
   {{0x69dda99b,0x600f01e8,0x61e922ab,0xb4bd0299}},	//   tese, _tømr, _yael, _इम्_, 
   {{0xf2d30137,0x3a200029,0x63a5a99c,0x78bd03f0}},	//   נער_, _clip_, zahn, tusv, 
   {{0x63a55d02,0x09e30086,0x786002ae,0x48bf0033}},	//   yahn, যালা, rövn, ইব্র, 
   {{0x69dda99d,0x7a360009,0x9f45904a,0x87e4021d}},	//   sese, ršta, _malî_, люсе, 
   {{0x387a00ef,0xc2210d0d,0x63a5203b,0x69dda99e}},	//   _dipr_, _मतलब_, vahn, pese, 
   {{0x63a51630,0x7a363973,0x3a20a99f,0x44310548}},	//   wahn, pšta, _glip_, _smz_, 
   {{0xa5bb0183,0xb87b01d5,0x63a5a9a0,0x545502c0}},	// [a7b0] _alóc, rvís, tahn, вват, 
   {{0xf8bf0126,0x78ad023a,0x00000000,0x00000000}},	//   mué_, _ivav, --, --, 
   {{0xa8580056,0x63a5170d,0x61e945f3,0x2a69023b}},	//   _איזה_, rahn, _pael, _khab_, 
   {{0x63a55d02,0x92b40038,0x798d01f2,0x7bc1a9a1}},	//   sahn, احلا, _jfaw, zglu, 
   {{0x6fd3008f,0xc0e506be,0xf8bf0212,0x61e90080}},	//   yıcı, толк, nué_, _vael, 
   {{0xdb012123,0xe05700d6,0x61e9a9a2,0x63a50065}},	//   salé, ریات_, _wael, qahn, 
   {{0x61e90149,0x3dc60226,0x2a690379,0x3ce6040c}},	//   _tael, _bcow_, _ohab_, _asov_, 
   {{0xe8d9001b,0x660fa9a3,0x62880068,0x7bc1006d}},	//   _ngữ_, _jock, _édoa, wglu, 
   {{0x6fd30384,0x9f450216,0x00000000,0x00000000}},	//   tıcı, _galî_, --, --, 
   {{0x2a69a6dd,0x660fa9a4,0xed5700a3,0xea890477}},	//   _ahab_, _lock, моқ_, мбол_, 
   {{0xab29a9a5,0x7bc1a9a6,0xbb45a9a7,0x6fd30e03}},	//   фона_, rglu, тенк, rıcı, 
   {{0x8d870093,0x2a6900a1,0xdd9500e4,0x660fa9a8}},	//   _чужд, _chab_, _рады, _nock, 
   {{0xf8bf60ab,0x2a69023e,0x261c0038,0x9f45009e}},	//   gué_, _dhab_, _díol_, _xalî_, 
   {{0x2bcb0f5a,0x6eca0248,0x00000000,0x00000000}},	//   _худо_, _səbi, --, --, 
   {{0x07a316fc,0x317fa9a9,0x660fa9aa,0xc7a30170}},	//   расн, _oguz_, _bock, риск, 
   {{0xf8bf0107,0x6eca00ad,0x660fa9ab,0x00000000}},	//   bué_, _qəbi, _cock, --, 
   {{0x69d6a9ac,0x2cbf1272,0xb87b0098,0x64a673d7}},	// [a7c0] _ibye, nuud_, rvír, таза, 
   {{0xe29a1991,0x14230cfe,0x7d062b92,0x00000000}},	//   даж_, адум, äksi, --, 
   {{0xa7660769,0x9f45010c,0x6eca0095,0x43760a10}},	//   _шкод, _salî_, _təbi, туат, 
   {{0x6fc4009a,0x3eb80566,0x00000000,0x00000000}},	//   _राहू, _årti_, --, --, 
   {{0x0cbc0086,0x2bc202e6,0xa3cf009a,0xdb0302c9}},	//   _অন্ত, _शाला, व्ह_, _udnæ, 
   {{0x09d600cc,0x90530904,0x7a360009,0x660f0380}},	//   _তোমা, авіц, kšto, _zock, 
   {{0x69d6a9ad,0xd2b90cfe,0x9e3400fd,0x00000000}},	//   _obye, _путч_, лекч, --, 
   {{0x2bcf17dc,0x3ce60217,0x6ced3024,0x03670386}},	//   त्सा, _psov_, जिंग_, _риск_, 
   {{0x81e8100b,0x2486057f,0x6283014b,0xc0e31054}},	//   বাদ_, íomh_, ínov, _котк, 
   {{0xdb010216,0x3e4501dd,0x69d64901,0x2a69378d}},	//   ralî, rēta_, _abye, _shab_, 
   {{0x6d440039,0x0c7300eb,0x2a69023b,0x78ada9ae}},	//   _žiad, جديد, _phab_, _svav, 
   {{0x68f65e81,0xf8bf026a,0x2a690201,0x3ce6006f}},	//   _bryd, tué_, _qhab_, _tsov_, 
   {{0xac0aa9af,0x26da02a2,0xbb470019,0x660f4e76}},	//   _онда_, _appo_, فلین_, _rock, 
   {{0x660fa9b0,0xd9180088,0x6e22a9b1,0x68f600f8}},	//   _sock, тью_, _hlob, _dryd, 
   {{0x6e2250f4,0x2a69023b,0x660fa9b2,0xe7d22122}},	//   _klob, _thab_, _pock, द्धप, 
   {{0xd5b8788a,0x62810107,0x68f656aa,0x23c600bd}},	//   ксу_, _éloi, _fryd, र्घद, 
   {{0x2bcf02f8,0xf8bfa9b3,0xfbcf00bc,0x68f602c9}},	// [a7d0] त्वा, qué_, त्वम, _gryd, 
   {{0x6e2203a1,0xb5fb0038,0x601d00b9,0x78a90b4f}},	//   _llob, _mhái, _rèmo, ševs, 
   {{0xe7ec07d5,0x660f090e,0xe29800dd,0x9f450036}},	//   _छोटा_, _tock, ває_, _calì_, 
   {{0x645ea9b4,0x9f450036,0x00000000,0x00000000}},	//   alpi, _dalì_, --, --, 
   {{0x25a9a9b5,0xe135001c,0x6d4e01c4,0x2919012b}},	//   maal_, ынды, ßbal, nysa_, 
   {{0x25a9a9b6,0x1ec913cc,0x3f69a9b7,0x6e22a9b8}},	//   laal_, елки_, нило_, _alob, 
   {{0x7a26003e,0x2cbf025b,0x00000000,0x00000000}},	//   _hóte, wuud_, --, --, 
   {{0x25a96acc,0xdb03026a,0xa3cf05d0,0x6e2201be}},	//   naal_, _fenê, व्र_, _clob, 
   {{0xb5fb0038,0xacf5009c,0xcdc50258,0xdb03a9b9}},	//   _chái, اسبت, ваққ, _genê, 
   {{0x25a91698,0x6e225369,0xdab900e4,0xb5fb0038}},	//   haal_, _elob, нымі_, _dhái, 
   {{0xa9a60c16,0xe807000f,0x25a9a9ba,0xc4d000bc}},	//   линд, शाना_, kaal_, _सङ्ख, 
   {{0xb5fb0084,0x68f602bf,0x6e22a9bb,0x7a360e0b}},	//   _fhái, _pryd, _glob, ršto, 
   {{0x25a95465,0x7a26001d,0x44230352,0x9f4500da}},	//   daal_, _nóte, _olj_, _malí_, 
   {{0x68f6018c,0x60dba9bc,0x013600c7,0x395e00e0}},	//   _vryd, _mpum, אָלט_, āts_, 
   {{0x18677245,0xa3aa000f,0x2cad00b0,0x3e4501dd}},	//   уари_, _गजब_, lsed_, nēto_, 
   {{0x2bcf075a,0xfbcf6f05,0x25a9013c,0x68f60156}},	//   त्रा, त्रम, gaal_, _tryd, 
   {{0x0566a9bd,0xfbb70586,0x30be0033,0x9f4c02aa}},	// [a7e0] уван, _आयाम, _ইন্স, _cadê_, 
   {{0x389b00fe,0xb97b0070,0x889b027a,0x99e40098}},	//   _ריינ, _אנפי, _רביי, čňuj, 
   {{0x3ce5006a,0x81e80086,0x25a9a9be,0xe73a1b2c}},	//   _जैसे_, বাস_, baal_, _чен_, 
   {{0x69c60a0f,0x2cad00b0,0xdb012c71,0x25a902b0}},	//   ngke, ksed_, jalí, caal_, 
   {{0xc05a00e4,0x9f4505a4,0xa3cf02e6,0x3e4c00bc}},	//   нік_, _dalí_, _वॉक_, něte_, 
   {{0x6e22020b,0x7644040c,0xd0070cda,0x2d8f040b}},	//   _slob, lniy, лече_, _afge_, 
   {{0x44447dfa,0x94230665,0xdd8400f0,0x6443729d}},	//   mn_, _умре, қықп, čnit, 
   {{0x443aa9bf,0x4444a9c0,0x201c07c7,0xb5fb00eb}},	//   lip_, ln_, skvi_, _phái, 
   {{0x4444a9c1,0x3d0e007e,0x7e6b0023,0xdb08019c}},	//   on_, िहें_, _dhgp, cadê, 
   {{0x444470cb,0x443aa9c2,0x7644a9c3,0x60c2a9c4}},	//   nn_, nip_, hniy, muom, 
   {{0x4444a9c5,0x25a902b0,0xe45700c7,0x2cad00a7}},	//   in_, yaal_, רייט_, ased_, 
   {{0xc3331900,0x6eca06d0,0xb5fb0084,0x443aa9c6}},	//   מות_, _qəbu, _thái, hip_, 
   {{0x443aa9c7,0xdddb07fa,0x25a9a9c8,0xddc9027e}},	//   kip_, lmuş, vaal_, lleş, 
   {{0x4444a9c9,0x443a06df,0x8c4311a8,0x9f4700bc}},	//   jn_, jip_, _лече, zdní_, 
   {{0x25a90e47,0x7c3a9b97,0xdddb0785,0x443aa9ca}},	//   taal_, mitr, nmuş, dip_, 
   {{0x5eb90086,0x6eca0095,0x60c2a9cb,0x00000000}},	//   _আহমে, _həbs, kuom, --, 
   {{0x61e2a9cc,0x25a90af8,0x7a26003e,0x4444a9cd}},	// [a7f0] deol, raal_, _fótb, fn_, 
   {{0x7c3a0489,0xddc901f0,0x85740451,0x4735528d}},	//   nitr, kleş, слух, _внос, 
   {{0x25a91698,0x60db1b4b,0xf3672dd2,0x00000000}},	//   paal_, _spum, утан, --, 
   {{0x7c3a0489,0x09e30086,0x61e2a9ce,0x2c6b02c9}},	//   hitr, যাকা, geol, møde_, 
   {{0x44445ec5,0x7c3a00a9,0x9f4700bc,0x26d101ca}},	//   bn_, kitr, rdní_, ltzo_, 
   {{0x660d2792,0xb5fb3325,0x6283014b,0xdb03a9cf}},	//   ljak, _cháv, ínos, _fenè, 
   {{0xdb0339fa,0x7c3a05f0,0xdb018212,0x26d101ca}},	//   _genè, ditr, talí, ntzo_, 
   {{0xed59a9d0,0x64570496,0x660d3ec9,0x0d851e22}},	//   кой_, loxi, njak, шлин, 
   {{0x7c3a05f0,0xac8503b7,0x10d80625,0x60db095a}},	//   fitr, јгол, _مبلغ_, _upum, 
   {{0xdb01a9d1,0x2cada9d2,0x9f35005e,0x660d0341}},	//   salí, rsed_, _кезі, hjak, 
   {{0x7f8417c1,0x81e8100b,0x2cad00a7,0x63a7008b}},	//   _المن, বার_, ssed_, _mejn, 
   {{0x26c335c0,0xc869042c,0x63a7a9d3,0x62870a6c}},	//   dujo_, _חן_, _lejn, _mujo, 
   {{0xeb8e1eb4,0xdca5a9d4,0x6287a9d5,0x443a01f0}},	//   _ми_, _тали, _lujo, yip_, 
   {{0x7c3aa9d6,0x7c280014,0x63a7031e,0x9f4c0237}},	//   citr, chdr, _nejn, _badè_, 
   {{0x444409a8,0x81ab0086,0x28b2007e,0xa7a7069b}},	//   vn_, _খান_, _जिकि, ркса_, 
   {{0xe8fa16d9,0x4444a9d7,0x64454156,0x6abc003e}},	//   _али_, wn_, enhi, árfe, 
  
   {{0x7d1ba9d8,0x6287026d,0x443a643b,0x558700f6}},	// [a800] nyus, _aujo, tip_, рбум_, 
   {{0x4444a9d9,0x64570068,0x26c30bf1,0x63a705ff}},	//   un_, goxi, bujo_, _cejn, 
   {{0x4444a9da,0x63a7006d,0x67bb00a7,0x443aa9db}},	//   rn_, _dejn, _במיק, rip_, 
   {{0xe7d2119b,0x7c3a0180,0x7d1b0547,0xdb03a9dc}},	//   द्रप, zitr, kyus, _venè, 
   {{0x61e2a9dd,0x44441c90,0xae0900b0,0x859b00d1}},	//   reol, pn_, वानन_, _בשכו, 
   {{0x443a00e5,0x61e2a9de,0x60c2012d,0xe043a9df}},	//   qip_, seol, ruom, ончи, 
   {{0x212016ef,0x7c3a0489,0x60c20238,0x6e2991f6}},	//   ših_, vitr, suom, fheb, 
   {{0xdb0324a9,0xfe6f00b1,0xddc901f0,0xdddb0761}},	//   _gené, ودي_, rleş, rmuş, 
   {{0x394d006a,0x7c28a9e0,0x7c3a00a9,0x4438a9e1}},	//   żesz_, thdr, titr, _kmr_, 
   {{0x628000cf,0xdb0860a7,0x7ed600dd,0xdb03010e}},	//   _himo, ladé, _відч, _zené, 
   {{0x752d3833,0x7c3a0489,0x6280a9e2,0x6bd800d4}},	//   zzaz, ritr, _kimo, نوکس_, 
   {{0x7c3aa9e3,0xdb030496,0xdd8f0019,0x6cd60019}},	//   sitr, _xené, _قوم_, _نقصا, 
   {{0x7c940084,0x7c3aa9e4,0x62801c77,0x6fcd0586}},	//   _التص, pitr, _mimo, _सामू, 
   {{0x6280a9e5,0xd83b00d9,0x79840539,0xdb08a9e6}},	//   _limo, тэм_, _egiw, hadé, 
   {{0xb5a7a320,0x63a7008b,0x660da9e7,0x9f4c033e}},	//   ирай, _rejn, tjak, _badé_, 
   {{0x4b7b0111,0x5695005e,0x62801272,0x6d5c05b7}},	//   _באוו, _қамт, _nimo, ğraf, 
   {{0x73d90f6b,0x9f45026e,0x69cd00b9,0xdb03a9e8}},	// [a810] лдар_, _malá_, _icae, _rené, 
   {{0x6e29a9e9,0x6280a9ea,0x628751d0,0x68eda9eb}},	//   zheb, _aimo, _pujo, _isad, 
   {{0x2d820228,0x2bd80425,0x6280a9ec,0x6672009c}},	//   ľkej_, ब्या, _bimo, تگیر, 
   {{0x62870bad,0x645c0300,0x64570068,0xf8bf0212}},	//   _vujo, _ekri, soxi, oré_, 
   {{0x6280a9ed,0xb5fb0038,0x601400b9,0x14f4012d}},	//   _dimo, _dhát, _pàmp, _дзяў, 
   {{0x09e30086,0x7a262948,0xa3cf02e6,0xb97c027a}},	//   যাটা, _móta, _वॉच_, דנדי, 
   {{0xdb0305b9,0xdb010483,0x31690032,0x68ed01ff}},	//   _tené, kalá, ťaz_, _lsad, 
   {{0xf2d2042c,0x6280a9ee,0x22460126,0xf8bf0098}},	//   _מעל_, _gimo, cnok_, kré_, 
   {{0x6e29a9ef,0x7a260038,0x2bc20c64,0xbc19a9f0}},	//   rheb, _nóta, _शाखा, гіні_, 
   {{0x6e29a9f1,0x0c2507be,0x69cd001d,0x62806bcd}},	//   sheb, смон, _acae, _zimo, 
   {{0x4421a9f2,0xdce70824,0x68eda9f3,0x682b06d0}},	//   ikh_, ımız, _asad, _müdd, 
   {{0xdb010019,0x6eca0095,0x44210175,0xf8bf022c}},	//   galá, _təbr, hkh_, fré_, 
   {{0xe61a00cf,0xc9560088,0xf8bf026a,0x2d9f0548}},	//   қда_, стны, gré_, mbue_, 
   {{0x765d8db9,0x9f4c011c,0xd2640243,0x00000000}},	//   _aksy, _sadé_, miņš_, --, 
   {{0xd62a4996,0xf99f01d8,0xdb0a02c9,0xd26401dd}},	//   гове_, bbè_, _adfæ, liņš_, 
   {{0x645c0c43,0x442102a5,0xf8bf0076,0x7a360009}},	//   _skri, ekh_, bré_, kšti, 
   {{0xcc8800f7,0x4438a9f4,0x6280a9f5,0xf8bf026a}},	// [a820] _lớn_, _pmr_, _rimo, cré_, 
   {{0x4adb283e,0x9f470098,0x601d0a35,0xb5fb00e1}},	//   _बहाव, zdná_, _fèmi, _bhás, 
   {{0x644b583b,0x2246a9f6,0xb5fb00e1,0x00000000}},	//   égia, tnok_, _chás, --, 
   {{0xd2590c8b,0x4438039b,0xd20103a1,0x00000000}},	//   аці_, _wmr_, мүск, --, 
   {{0x25a011f7,0x62802126,0x44380534,0x7a360028}},	//   mbil_, _vimo, _tmr_, gšti, 
   {{0x25a024f2,0x645ca9f7,0x4438a9f8,0xe8b60790}},	//   lbil_, _ukri, _umr_, _अटैच, 
   {{0x6280a9f9,0x03a30f5a,0x09b20086,0x62980098}},	//   _timo, _хисо, য়্যা, ívod, 
   {{0x25a00430,0x71c501a2,0xc2434243,0x3f8500b4}},	//   nbil_, _масҷ, _енск, _eglu_, 
   {{0xc5f300d1,0x53cf02e6,0x9f47020b,0x00000000}},	//   לדה_, स्कश, rdná_, --, 
   {{0xf8bf026a,0x20d2020f,0xdb030216,0xc046383d}},	//   vré_, mâi_, _venî, _اخرو, 
   {{0xdb01a9fa,0x7a263c3a,0xafe3014f,0x5f760038}},	//   talá, _sóta, _хохл, _طائر, 
   {{0x5d860084,0xf8bfa9fb,0x9cca0235,0x2cbfa9fc}},	//   _الإل, tré_, _быка_, brud_, 
   {{0xfdf700a7,0x4421a9fd,0xf8bf426d,0xdb01010e}},	//   _לצאת_, ykh_, uré_, ralá, 
   {{0x96eb1488,0xf8bfa9fe,0x7a26a9ff,0x68ed1c77}},	//   льба_, rré_, _vóta, _vsad, 
   {{0x6fda000f,0x501b00a7,0xdc3b00c7,0x3a220065}},	//   प्यू, נולו, _געגר, bkkp_, 
   {{0xe8d90029,0x68ed0054,0x7e9101dd,0x682baa00}},	//   _ngủ_, _tsad, _jāpa, _südd, 
   {{0x68ed0b85,0x2bcf0659,0x8415aa01,0x3a290102}},	// [a830] _usad, त्का, омах, _ilap_, 
   {{0x4427aa02,0x3ce0000f,0x97a744fb,0xb4e91c54}},	//   ón_, _कहने_, _урил, _मनी_, 
   {{0x3a297e77,0xfa8900e7,0x64890604,0xb5fb0354}},	//   _klap_, _lẫn_, _ožig, _dhár, 
   {{0xa5f9311c,0x2d860364,0x925900c8,0xa5073197}},	//   _тему_, _ngoe_, шает_, _лягл, 
   {{0x7a360112,0x1fa9aa03,0x00000000,0x00000000}},	//   ušti, акли_, --, --, 
   {{0x1e95aa04,0xd5bf01dd,0x9f5e0369,0x349406d4}},	//   орир, žādu_, _notó_, _харр, 
   {{0xa49b01f5,0xb4e936be,0x3e450243,0x00000000}},	//   _bròg, _मनु_, lēti_, --, 
   {{0x7a3600f1,0x24990054,0x82345297,0xd2640243}},	//   pšti, _ktsm_, _فرقا, tiņš_, 
   {{0x64890ab4,0x9f5e022c,0x224d023e,0xa3bd01a4}},	//   _džig, _botó_, _ijek_, _इया_, 
   {{0xfa8900f7,0x5ba97ffd,0x2ca9003d,0x9f5e03dd}},	//   _dẫn_, шком_, _ħadd_, _cotó_, 
   {{0xcb69aa05,0x2cbf00fc,0xbfb4007a,0x00000000}},	//   ране_, srud_, _رحلت, --, 
   {{0x248302b0,0x2ca605d5,0x6b9c0241,0x00000000}},	//   _lijm_, _fwod_, ırga, --, 
   {{0xa3aa2191,0x9f5e010e,0x9f4500b9,0x26082ba3}},	//   _गजल_, _fotó_, _balç_, हासी_, 
   {{0xeb999566,0xfaa51e2f,0x307900c7,0x224d0372}},	//   _тик_, _дако, יאָנ, _ljek_, 
   {{0x224d290c,0x4b790070,0x68e1020f,0x98ab01dd}},	//   _ojek_, _דאַו, ălda, ājās_, 
   {{0xb5fb0038,0x6d4a00ca,0x682b0502,0x00000000}},	//   _shár, šmaš, _rüde, --, 
   {{0x3ea00062,0x25a0aa06,0x940507d5,0x39363705}},	// [a840] ćiti_, rbil_, रांच_, _фэйс, 
   {{0x25a0aa06,0x224d011c,0x7d040038,0xa6e61e6e}},	//   sbil_, _ajek_, _áise, _джол, 
   {{0x366a1bce,0x00000000,0x00000000,0x00000000}},	//   _вано_, --, --, --, 
   {{0x20057b27,0x20d200b3,0x25ab00a1,0x7a26003e}},	//   _anli_, tâi_, _gecl_, _móto, 
   {{0xa49b01be,0x9f5e0036,0x601d00b9,0x3e450243}},	//   _cròd, _notò_, _lèmu, cēti_, 
   {{0x224d02cd,0x6489015e,0x9f47010c,0xdb0102aa}},	//   _ejek_, _džid, menê_, calç, 
   {{0xdb03240a,0x9f4caa07,0x09b00033,0x73f90070}},	//   _bení, _andò_, _কানা, _פּשו, 
   {{0xdb0300bc,0x25b90175,0x629eaa08,0x00000000}},	//   _cení, _xdsl_, mppo, --, 
   {{0xdb03031e,0x629e00c8,0xecfa0033,0x64890352}},	//   _dení, lppo, েন্স_, _vžig, 
   {{0xfa890029,0xa06a021f,0xbfc3122f,0x69c0aa09}},	//   _vẫn_, _таза_, _обук, ómen, 
   {{0x7e9100e0,0x9f5e0369,0xdb0300b9,0x37d00033}},	//   _tāpa, _votó_, _fení, াজার, 
   {{0x2d920c05,0xed5aaa0a,0x0dc713cc,0x261c0369}},	//   _üye_, _кое_, _души_, _míos_, 
   {{0xb4e937e7,0xc984563c,0x261c001d,0xe8070fc0}},	//   _मने_, дури, _líos_, शाला_, 
   {{0x442aaa0b,0xe8d90023,0x601d00b9,0x999902d9}},	//   _nlb_, _ngụ_, _fèmu, pisů_, 
   {{0x261c057f,0x60c2aa0c,0x5694557b,0x2483039b}},	//   _níos_, hrom, даст, _rijm_, 
   {{0x60c20076,0x442aaa0d,0xb5fb014b,0x682b0095}},	//   krom, _alb_, _cháp, _büdc, 
   {{0xe78707f9,0x98be002e,0x6b8d00ad,0x60c20a1a}},	// [a850] _муно, ătă_, _şagi, jrom, 
   {{0x60c2aa0e,0xf3676a8b,0x442a001b,0x3e4501dd}},	//   drom, отен, _clb_, rēti_, 
   {{0x261c0038,0x442a059e,0x00000000,0x00000000}},	//   _cíos_, _dlb_, --, --, 
   {{0x9f4c03dd,0xcb13027a,0xa49b00b9,0x52150080}},	//   _cadí_, ולע_, _pròd, ядет, 
   {{0x26080f01,0x09b00033,0x10a502aa,0xd17400f6}},	//   हारी_, _কামা, чилн, мышы, 
   {{0xd3e300d6,0x261c0042,0x656f02f1,0xf8bf010e}},	//   _تقسی, _fíos_, _izch, lzés_, 
   {{0x224d01cc,0xd00e00eb,0xdb03031e,0x44ed6c4a}},	//   _tjek_, الى_, _pení, _hž_, 
   {{0x925803dc,0xdb081fa2,0x3e61003e,0x44ed46ae}},	//   _даст_, gadí, jótt_, _kž_, 
   {{0xdb033826,0xa5bb007a,0x44ed7dc7,0xb4e90390}},	//   _vení, _clói, _jž_, _मनो_, 
   {{0x1fa71ff8,0x2005aa0f,0x44ed00ca,0x98a20035}},	//   _фраг, _unli_, _mž_, czkę_, 
   {{0xa3dd700a,0xdb037e86,0x98b014f0,0xab6549a6}},	//   थ्य_, _tení, đača_, явол, 
   {{0x8c95004e,0x9f5e01d8,0xbef70249,0x00000000}},	//   _еркі, _totò_, ंटीन_, --, 
   {{0xed4e03dc,0x787202c9,0x601d0237,0xdb0a03a0}},	//   _чо_, hæve, _fèmt, _lefè, 
   {{0x3ce000ab,0x261c00eb,0xfe7900bc,0xdb0302be}},	//   _कहते_, _níor_, lmů_, _venâ, 
   {{0x44ed08d7,0x91cc031e,0x09b00033,0xe5a6156f}},	//   _až_, _हालै, _কাঠা, зиби, 
   {{0x261caa10,0x9f47010c,0xf8bf039f,0x00000000}},	//   _ríos_, tenê_, gzés_, --, 
   {{0x261c0084,0x6adb1e4c,0x9f4c014b,0xdb1805d5}},	// [a860] _síos_, _बहुर, _radí_, _advè, 
   {{0x44edaa11,0xb4639d82,0x2900aa12,0x261c235d}},	//   _dž_, екул, _iria_, _píos_, 
   {{0xa49b00a1,0xf8bf010e,0x38c201d5,0x00000000}},	//   _cròb, szét_, _færð_, --, 
   {{0x7aba00a7,0xcc88001b,0x64894179,0xfe7900bc}},	//   מצעו, _sớm_, _džib, jmů_, 
   {{0x26d8aa13,0x261c00eb,0x442a011d,0xdb0300f6}},	//   ltro_, _fíor_, _tlb_, _lenà, 
   {{0x261c61c2,0x68e4023a,0xa08900f0,0xd7dc153d}},	//   _tíos_, _mpid, ісіз_, यभिच, 
   {{0xdb081565,0x26ca06e4,0x60c2aa14,0x8f3400b3}},	//   tadí, nubo_, srom, ьекц, 
   {{0x60c2aa15,0x682b0fc1,0x26c5003a,0x11da00eb}},	//   prom, _müda, šlog_, _دورة_, 
   {{0xdb088453,0x628eaa16,0x26ca011d,0x80a620b4}},	//   radí, _hubo, hubo_, _رمان, 
   {{0x628eaa17,0x7ae30415,0x26ca0547,0xdb0800de}},	//   _kubo, _bpnt, kubo_, sadí, 
   {{0x28af000f,0x2900aa18,0xdb08114e,0xfd0f00d4}},	//   जीनि, _aria_, dadã, نجی_, 
   {{0x645eaa19,0xdb030165,0x628eaa1a,0x29000118}},	//   hopi, _senã, _mubo, _bria_, 
   {{0x628eaa1b,0x2900a5d6,0x7e62aa1c,0x26d802a3}},	//   _lubo, _cria_, _ikop, etro_, 
   {{0xb8f5aa1d,0x629caa1e,0x645e0308,0x63ae01be}},	//   _हम_, _otro, jopi, _nebn, 
   {{0x628eaa1f,0xd5bbaa20,0x45d54836,0x26caaa21}},	//   _nubo, йса_, мовс, gubo_, 
   {{0x2900aa22,0xade207d5,0x9f4c0379,0x3e4501dd}},	//   _fria_, _कॉमन_, _madà_, bētu_, 
   {{0x629caa23,0x6830014e,0x7e620548,0xf8bf010e}},	// [a870] _atro, _bädd, _mkop, rzés_, 
   {{0x628eaa24,0x44ed424f,0x69dda8a0,0x26ca07fc}},	//   _bubo, _vž_, lfse, bubo_, 
   {{0x41d100ab,0x7e62aa25,0x26ca01d8,0x628e2953}},	//   _हादस, _okop, cubo_, _cubo, 
   {{0x628e02f5,0x69cfaa26,0x7e627c69,0x2374010e}},	//   _dubo, ngce, _nkop, رالح, 
   {{0x44edaa27,0xdb0a0183,0x99890ab4,0x628e0144}},	//   _už_, _defé, _omaž_, _eubo, 
   {{0x442502f0,0x23c30518,0x9f473077,0x7a360187}},	//   _ôl_, _déjà_, lené_, nštr, 
   {{0x764d2925,0x628e8135,0x3e450243,0x00000000}},	//   onay, _gubo, zētu_, --, 
   {{0xdb03aa28,0x764daa29,0x9f470228,0x63ae015e}},	//   _nená, nnay, nené_, _zebn, 
   {{0xdb01aa2a,0x7e620026,0x9f5e00b9,0x628e49f8}},	//   mblé, _dkop, _entà_, _zubo, 
   {{0x628e02f1,0x4b2500dd,0x09c600a2,0x683000c8}},	//   _yubo, дмов, वल्य, _käde, 
   {{0x69dd03d8,0xdb03014b,0x60cbaa2b,0x68e44ee8}},	//   ffse, _bená, lugm, _spid, 
   {{0x290000a2,0x2574010d,0xa96a8e80,0x9f47026e}},	//   _pria_, _júlí_, жима_, jené_, 
   {{0x9f470039,0x645e0010,0x682baa2c,0x683000a8}},	//   dené_, yopi, _süda, _läde, 
   {{0x3e45002a,0xaac50838,0x26d80141,0x7e698888}},	//   rētu_, _विपक, ttro_, llep, 
   {{0x6830022b,0x186725ab,0x2ba3017d,0x26d80068}},	//   _rädd, фари_, _ख्या, utro_, 
   {{0x290003a1,0x764d0c3d,0x628eaa2d,0x26ca0372}},	//   _tria_, gnay, _rubo, rubo_, 
   {{0x629caa2e,0x628e00f1,0x2bd40262,0x61eb0175}},	// [a880] _stro, _subo, _दामा, degl, 
   {{0xd7ca00d4,0x764d4f36,0x6d440228,0x4681004e}},	//   _بوده_, anay, _žiak, _ұқса, 
   {{0x645eaa2f,0x9f470076,0x7e696e31,0x3e4501dd}},	//   ropi, bené_, klep, nēts_, 
   {{0x7e6931bd,0x63aeaa30,0xb146aa31,0x63a9032f}},	//   jlep, _webn, мнел, _đene, 
   {{0x5fc904d7,0x63ae006d,0x645e571b,0x60cb02dc}},	//   _राखल, _tebn, popi, gugm, 
   {{0x7e62aa32,0x628ea730,0x7e69aa33,0x02c603a1}},	//   _skop, _tubo, elep, _ойго, 
   {{0x4444aa34,0x629caa35,0x61eb4ad5,0x628e011d}},	//   mi_, _utro, begl, _uubo, 
   {{0x6489265d,0x7e69aa36,0x61eb0242,0x4e770038}},	//   _užic, glep, cegl, وحيد_, 
   {{0xdb0809a1,0x75240298,0x01d702b4,0x1b1b0033}},	//   dadá, nyiz, _توقع_, _ফেলে_, 
   {{0x4444aa37,0x9f47aa38,0xdb03014b,0x5b140acd}},	//   ni_, zené_, _sená, емот, 
   {{0xcc880124,0x4444aa39,0x764d9168,0x59f9012d}},	//   _mới_, ii_, ynay, пеня_, 
   {{0x4444aa3a,0x7e6205ae,0xdb08010e,0x27e10102}},	//   hi_, _ukop, gadá, _sbhn_, 
   {{0x9f47143b,0x7e60209d,0x69dd008c,0x69cf01d2}},	//   vené_, momp, rfse, rgce, 
   {{0x61eb006a,0x7e604ff3,0x601d023e,0x7d02aa3b}},	//   zegl, lomp, _jèmp, _iros, 
   {{0x290d002e,0x2bf300a2,0x9f477ffc,0x3e4501dd}},	//   ţea_, _असतं_, tené_, cēts_, 
   {{0x4444aa3c,0x7e6005f0,0xf1b9014b,0x66160034}},	//   ei_, nomp, _koše_, gjyk, 
   {{0x4444482b,0x9f47aa3d,0x764d403b,0x96010033}},	// [a890] fi_, rené_, rnay, _একদম_, 
   {{0x7e6007d7,0x7e690098,0x9f47253f,0xdb010126}},	//   homp, zlep, sené_, valú, 
   {{0xf1b902f5,0xf36703dc,0x6489012d,0x9f470254}},	//   _loše_, фтан, _džia, pené_, 
   {{0x4444aa3e,0x6830014e,0x7d02aa3f,0x60cb29b7}},	//   ai_, _väde, _oros, tugm, 
   {{0x4444aa40,0x0ef700ab,0xd009aa41,0x798d0548}},	//   bi_, ंट्स_, зеле_, _mgaw, 
   {{0x61eb02ee,0x160d00a2,0x661d040b,0x78ad6a72}},	//   segl, हावर_, _hosk, _mwav, 
   {{0x661d030f,0x6445aa42,0x7e69aa43,0x61ebaa44}},	//   _kosk, mihi, tlep, pegl, 
   {{0x7d02aa45,0x64450fe8,0x798d13ce,0x661d0088}},	//   _bros, lihi, _ngaw, _josk, 
   {{0x7e690666,0xdfdb0141,0x7d021045,0xac8500a3}},	//   rlep, _мъж_, _cros, нгил, 
   {{0xa2c402f8,0x7d02aa46,0x6445aa47,0x7e69aa48}},	//   ांच्, _dros, nihi, slep, 
   {{0x7d026bf5,0xdb031899,0x78ad4272,0xdb0803b3}},	//   _eros, _menç, _awav, tadá, 
   {{0x44442861,0xb87b0edb,0x6445aa49,0x661d24b3}},	//   zi_, ntíf, hihi, _nosk, 
   {{0x4444aa4a,0xfce502fb,0x6445aa4b,0xdb08aa4c}},	//   yi_, _чоло, kihi, radá, 
   {{0x6e2903a9,0x64453117,0x444437ba,0x7a2601d5}},	//   lkeb, jihi, xi_, _móti, 
   {{0x4444021a,0x6445aa4d,0x66e3aa4e,0x2edd0527}},	//   vi_, dihi, лора, _महोत, 
   {{0x4444a6d0,0x62890035,0x2b1c031e,0x6e29042a}},	//   wi_, _nieo, महरु_, nkeb, 
   {{0x661d2d27,0x69d60199,0x6445023a,0xdb0302aa}},	// [a8a0] _dosk, _icye, fihi, _benç, 
   {{0x44442617,0x76440539,0x6445aa4f,0x394d0042}},	//   ui_, siiy, gihi, úese_, 
   {{0xa68629e7,0x6e292da2,0xf2a6aa50,0x7e60aa51}},	//   _плод, kkeb, хиеп, yomp, 
   {{0xcc880124,0x3ce00077,0x09c70086,0x63a309c7}},	//   _với_, _कहले_, ষ্ঠা, ınna, 
   {{0x444408a1,0x47b300cc,0x64450268,0xa06aaa52}},	//   pi_, _জাতী, bihi, пада_, 
   {{0xcc8800f7,0x44440f2c,0xf1b900ef,0xdb0301f0}},	//   _tới_, qi_, _roše_, _genç, 
   {{0x7e60aa53,0xdb0a055f,0x2bb600bc,0x27fa020f}},	//   tomp, _udfø, _आजबा, _mapn_, 
   {{0x6fd2241a,0x5fd2009a,0x9f47009e,0xb87b5aec}},	//   _सावं, _सावल, penî_, ctíf, 
   {{0x7e605283,0x02e0031e,0xfd120523,0x2bd402ab}},	//   romp, _नहुन, اجع_, _दादा, 
   {{0x7e60aa54,0xf1b90082,0x7d1d0219,0x69d6016c}},	//   somp, _voše_, ässa, _acye, 
   {{0x200caa55,0xaa598d40,0x3a75aa56,0x7c2801d2}},	//   _indi_, дину_, клор, rkdr, 
   {{0x7d02aa57,0xfe7213b4,0x200c06e4,0x644502b8}},	//   _tros, _صدا_, _hndi_, zihi, 
   {{0x201eaa58,0x64455650,0x661daa59,0xdca300dd}},	//   _koti_, yihi, _rosk, _бачи, 
   {{0xf9f10086,0xdb030219,0xa49b01fd,0x201eaa5a}},	//   টাইল_, _benä, _bròn, _joti_, 
   {{0x661d0f58,0xadf405fd,0x201eaa5b,0xa49b4f7b}},	//   _posk, _आसान_, _moti_, _cròn, 
   {{0x201eaa5c,0x27fa0068,0x78ad011b,0x798d095a}},	//   _loti_, _eapn_, _twav, _ugaw, 
   {{0x6445aa5d,0x78ad0610,0x224601d6,0x03c7aa5e}},	// [a8b0] tihi, _uwav, diok_, есем, 
   {{0x201e5109,0xd37b2831,0xb4e106c9,0xa5bb0354}},	//   _noti_, пче_, _दही_, _clór, 
   {{0x6445aa5f,0xdb031aee,0xdb180098,0x00000000}},	//   rihi, _venç, _odví, --, 
   {{0x200c906a,0xb6ba00d1,0x787202c9,0xf36403a1}},	//   _andi_, _קצרי, nævn, утун, 
   {{0x25a9aa60,0xa5bbaa61,0x683000b0,0x201e1a05}},	//   mbal_, _flór, _häda, _boti_, 
   {{0xdb180068,0x289800a7,0xa5bbaa62,0x6aba01e8}},	//   _adví, עדון_, _glór, kstf, 
   {{0xe454aa63,0xf456008d,0x201e125a,0x4ac51c54}},	//   _скры, _יישר_, _doti_, _विधव, 
   {{0x60c400e4,0x200caa64,0x7e9101dd,0x682b3ff2}},	//   šima, _endi_, _jāpi, _südl, 
   {{0x9f47aa65,0xdb0a0042,0xec791ccd,0x201e0036}},	//   mení_, _defí, мпи_, _foti_, 
   {{0x9f47000d,0xb5fbaa66,0x6e290075,0x61fbaa67}},	//   lení_, _skál, skeb, _haul, 
   {{0x61fbaa68,0x68300077,0xbf15017a,0x80d100b0}},	//   _kaul, _näda, _جواب, _समुं, 
   {{0x201eaa69,0x61fbaa6a,0x9f470228,0x25a90098}},	//   _zoti_, _jaul, není_, jbal_, 
   {{0x25a92d7e,0x29045616,0x91ba00d1,0x9f5e00c8}},	//   dbal_, íma_, ומרי, _entä_, 
   {{0x61fbaa6b,0x69a23604,0xdb18020b,0xb8ea0299}},	//   _laul, _क्री, _zdví, _लट_, 
   {{0xf1b3051f,0x52d000c2,0xf7430892,0x25a9040b}},	//   ुणान, _हमेस, аеро, fbal_, 
   {{0x9f47037f,0xdb030088,0xcfca0086,0x61fbaa6c}},	//   jení_, _venä, ল্পন, _naul, 
   {{0x9f470076,0x4431aa6d,0xf8bf010e,0x60db008a}},	// [a8c0] dení_, _blz_, lyén_, _nqum, 
   {{0x03a602f1,0x232aaa6e,0x64890009,0xa49baa6f}},	//   тижо, мози_, _džio, _tròn, 
   {{0x2bd40081,0x61fbaa70,0x160002e6,0xddc90604}},	//   _दासा, _baul, _लोअर_, dmež, 
   {{0x201e158b,0x64890571,0xfb1a00c7,0x7229004f}},	//   _soti_, _užin, וועמ, нців_, 
   {{0x201eaa71,0xdb0a03da,0xc05a01fc,0x3a2002aa}},	//   _poti_, _refí, мік_, _moip_, 
   {{0x03a3aa72,0x61fb00b4,0x2d8f040b,0x6aba25f8}},	//   _виро, _eaul, _agge_, ystf, 
   {{0x626602b9,0x04431d6d,0x201eaa73,0xb87baa74}},	//   _авва, _терн, _voti_, stíg, 
   {{0x9f47000d,0x61fbaa75,0x2bd4031e,0x69a21230}},	//   cení_, _gaul, _दाहा, _क्ली, 
   {{0x201e002e,0x9f49014b,0x61e2aa76,0x71660038}},	//   _toti_, čkám_, mfol, _شارك, 
   {{0xfa8a0029,0x200caa77,0xe9df0038,0x61e23ed0}},	//   _mẫu_, _undi_, giún_, lfol, 
   {{0x61e20364,0x61fb3991,0x6ec5189a,0x25a90c0c}},	//   ofol, _yaul, _متنق, ybal_, 
   {{0xf2d30137,0x61e2847b,0x6cc608ad,0x4aa80161}},	//   סער_, nfol, _айда, мкүн_, 
   {{0x9f45026e,0xcc8800e7,0x2e370486,0xdeb000f0}},	//   _malý_, _bớt_, _בראש_, _тұқы, 
   {{0x9f47000d,0xf1b90082,0x683045b0,0xc7c4aa78}},	//   zení_, _moša_, _päda, исси, 
   {{0x25a9aa79,0xf1b90062,0x443102be,0x80cc0eda}},	//   tbal_, _loša_, _rlz_, _समझे, 
   {{0x61e2aa7a,0xe654004f,0xdb0191c3,0xb5a49722}},	//   jfol, авсь, nalý, ируй, 
   {{0x25a6128a,0x3ea902f5,0x9f47000d,0x8575286c}},	// [a8d0] ñola_, ćati_, vení_, улах, 
   {{0x61fbaa7b,0x25a9aa7c,0x57f52978,0xfa8a0023}},	//   _saul, sbal_, _спот, _dẫu_, 
   {{0x61fbaa7d,0x61e2aa7e,0x9f470377,0xa3c408c6}},	//   _paul, ffol, tení_, _एयर_, 
   {{0x26d10183,0x61fb02cd,0xd378aa7f,0x61e201e8}},	//   muzo_, _qaul, тчу_, gfol, 
   {{0xdca600eb,0x660f0ab4,0x9f470228,0xfa8a0023}},	//   _دى_, _inck, rení_, _gẫu_, 
   {{0x61fb6a01,0xf1b90242,0x9f470356,0x2a6902ae}},	//   _waul, _doša_, sení_, _lkab_, 
   {{0x61fbaa80,0x9f47037f,0x2297024a,0x22440054}},	//   _taul, pení_, _uçk_, _fmmk_, 
   {{0xc69400c7,0xd1bb022a,0x78bd0be0,0x00000000}},	//   סאפ_, _زارا_, kssv, --, 
   {{0x4bd900e4,0xf1b90c4c,0x41554243,0x7aea01be}},	//   ньня_, _goša_, _свас, _apft, 
   {{0x6e9533c4,0x62954a9f,0x2a6903a0,0x26d16f09}},	//   _бижу, _kuzo, _akab_, kuzo_, 
   {{0x2bd41ff6,0xeab90cfe,0xcc880023,0xab291cc1}},	//   _दारा, эйн_, _rớt_, хона_, 
   {{0xe9df00eb,0x6295aa81,0x8bf30033,0xdd953f46}},	//   siún_, _muzo, জাইন_, _сады, 
   {{0xfd100133,0xec6e0f81,0x9f4c02ae,0x00000000}},	//   _وجه_, _гп_, _vadå_, --, 
   {{0xdb033bb3,0x7a265eb1,0x26d102b8,0x62950151}},	//   _menú, _rótu, fuzo_, _ouzo, 
   {{0xae171971,0x61e2aa82,0xcc880023,0xe9df003e}},	//   थापन_, yfol, _vớt_, gnús_, 
   {{0xe6437430,0x672104b2,0x80c41080,0x9f4500de}},	//   бесп, älja, _रिले, _haló_, 
   {{0x62950a9f,0x7a26003e,0x69c4aa83,0x316d0118}},	// [a8e0] _auzo, _dótt, _idie, _nyez_, 
   {{0x26d1938d,0x63b5032f,0x5fd204cc,0x41d10ee0}},	//   buzo_, _cezn, _साइल, _हाउस, 
   {{0xd62a3925,0x61e2004f,0x2c790212,0x316d0212}},	//   _зоне_, tfol, cède_, _ayez_, 
   {{0x78a427a2,0x7afc1143,0x9f4700b9,0xb87b00b9}},	//   _ktiv, ærti, denà_, rtíe, 
   {{0xdb01014b,0x2bd40790,0xddc90032,0x9f470032}},	//   valý, _दाला, mieň, rdný_, 
   {{0xdb0327f2,0xf1b90097,0x00000000,0x00000000}},	//   _denú, _voša_, --, --, 
   {{0x629505ae,0x69c402a3,0xdb18014b,0x9e14004f}},	//   _guzo, _odie, _odvá, идкі, 
   {{0x69d63832,0x69c4024a,0x7a2601d5,0x727902be}},	//   _भाषी, _ndie, _móts, _асус_, 
   {{0x2fd60084,0x8fa60fca,0xd83f008b,0xb5fbaa84}},	//   _متاح, _базе, ščih_, _skák, 
   {{0x69c402ba,0x9f45318d,0x62822101,0x09bf0367}},	//   _adie, _caló_, lmoo, ्ल्य, 
   {{0x78a403b7,0x2f56aa85,0x7de6004e,0x28b70077}},	//   _ativ, _стас, _білд, _अबहि, 
   {{0xa2cc456f,0x7bc30175,0x26d1016c,0x00000000}},	//   _हिन्, _ednu, vuzo_, --, 
   {{0x9f470076,0xd90f13b4,0x26d1019b,0x69c4017c}},	//   mená_, سید_, wuzo_, _ddie, 
   {{0x6e222686,0x9f470076,0x6282023b,0x63a90097}},	//   _hoob, lená_, hmoo, _đeno, 
   {{0x6e225f29,0xae093e5f,0xf60baa86,0xa3ca6de9}},	//   _koob, वाचन_, нхай_, ोलन_, 
   {{0x63b5aa87,0xadf90a09,0x69c02c71,0x9f470228}},	//   _sezn, ्ययन_, ómet, nená_, 
   {{0x6e22006d,0xd3a7019c,0x6282aa88,0x26d1018e}},	// [a8f0] _moob, греп, dmoo, suzo_, 
   {{0x68edaa89,0x69c40187,0x290900ef,0xdb010169}},	//   _ipad, _zdie, _iraa_, caló, 
   {{0xe29800dd,0x64890009,0xf8bf78d2,0xb87b0068}},	//   гає_, _užim, lsé_, ptíb, 
   {{0xa4d51afd,0x6e22aa8a,0x68ed02cd,0x9f47014b}},	//   _комі, _noob, _kpad, jená_, 
   {{0x90e40133,0x9f47143b,0xf8bfaa8b,0x629a026a}},	//   مسون, dená_, nsé_, _éton, 
   {{0x4394aa8c,0x41260088,0x1aeb0086,0xf8bf0107}},	//   _гарс, рошо_, টিতে_, isé_, 
   {{0x6e2250d2,0x59c500a2,0xc7d8008d,0x4df502f1}},	//   _boob, वणार, אווי_, аяпт, 
   {{0x6e22aa8d,0x4423aa8e,0x9f45022c,0x00000000}},	//   _coob, _hoj_, _saló_, --, 
   {{0x44231124,0x6d440228,0x9f450036,0x6e22aa8f}},	//   _koj_, _žiar, _calò_, _doob, 
   {{0x442302f5,0x3ce50d95,0x1c451e14,0xa0c400eb}},	//   _joj_, _कहीं_, рном, _ديكو, 
   {{0x4423995f,0xdb1a0218,0x6e22aa90,0x9f45aa91}},	//   _moj_, latê, _foob, _való_, 
   {{0x442301c1,0xa2d62659,0xfe9a00a7,0x9f4502a3}},	//   _loj_, मंत्, _סינמ, _falò_, 
   {{0x61e9aa92,0xdb01aa93,0x6721014e,0xe8f7aa94}},	//   _mbel, taló, äljn, аля_, 
   {{0x80cd0f01,0x442301c1,0xc0520070,0xcb6900b3}},	//   _सिने, _noj_, ַזן_, _иале_, 
   {{0x61e9aa95,0xbb428831,0x7c23360a,0x2cbf0036}},	//   _obel, _мешк, _ionr, lsud_, 
   {{0x7c230952,0x35a600f6,0x6a762d3b,0x69c4aa96}},	//   _honr, рааг, máfo, _udie, 
   {{0xa446778e,0x656f0156,0x7c23aa97,0x78a40027}},	// [a900] анад, _cych, _konr, _utiv, 
   {{0x61e9aa98,0x442301c1,0x656faa99,0x37e6022c}},	//   _abel, _coj_, _dych, _тоог, 
   {{0xb87baa9a,0x2bdd203f,0xe73a0082,0x62823f55}},	//   stíc, _माना, _рен_, tmoo, 
   {{0x27ed02f5,0x2cbf3eac,0xcc880029,0x91e608c5}},	//   đene_, ksud_, _lớp_, роде, 
   {{0x6e22aa9b,0x6282aa9c,0x9f47026e,0x6f08143b}},	//   _roob, rmoo, vená_, _srdc, 
   {{0x3ec60088,0x6e22aa9d,0x61e9aa9e,0x4423aa9f}},	//   асиб, _soob, _ebel, _goj_, 
   {{0xb87b0503,0x6e22aaa0,0x9f4502a3,0x9f47253f}},	//   ntía, _poob, _salò_, tená_, 
   {{0xdb1a010c,0x2fc50068,0x4423023b,0x81e40086}},	//   batê, _edlg_, _zoj_, _ভোর_, 
   {{0x80a60a24,0x10a31a18,0x7c230149,0x44230201}},	//   _ضمان, _митн, _bonr, _yoj_, 
   {{0x7c23aaa1,0x9f470ed0,0x2eec018e,0x6e220106}},	//   _conr, sená_, _tpdf_, _woob, 
   {{0x648905ae,0xdfcf0038,0x290501dd,0x9f470098}},	//   _džih, _زين_, ālam_, pená_, 
   {{0xfce60152,0xade22b69,0x26c58ef0,0x80cd250c}},	//   _водо, क्शन_, álom_, _सिमे, 
   {{0xf99f03a1,0x984b0093,0x3dc60175,0xf8bf0151}},	//   rcè_, вява_, _idow_, usé_, 
   {{0x656f000d,0x26c5034c,0x2bdd0497,0xf8bfaaa2}},	//   _rych, šlom_, _माया, rsé_, 
   {{0x4423aaa3,0xf8bf228e,0x8704170f,0x656faaa4}},	//   _roj_, ssé_, ояте, _sych, 
   {{0x4423023b,0x7a360009,0x9f5e02be,0x29090657}},	//   _soj_, kšty, _patê_, _traa_, 
   {{0x442301a0,0xd4981701,0xdb1a024a,0xf4850019}},	// [a910] _poj_, арх_, katë, مائی, 
   {{0x656f063b,0x61e90870,0x4423aaa5,0x7c3a0023}},	//   _vych, _sbel, _qoj_, nhtr, 
   {{0xd7dc05fd,0xed5902f5,0x44230561,0x656f00ab}},	//   _बातच, maže_, _voj_, _wych, 
   {{0xed59044e,0x44230035,0x67280219,0xb11500dc}},	//   laže_, _woj_, ädje, ймеш, 
   {{0x4423aaa6,0x3ce50262,0x181a04f2,0x91050846}},	//   _toj_, _कहें_, _شریک_, спле, 
   {{0x764d023e,0x73c50038,0xdb1a021e,0x00000000}},	//   liay, _ديسم, gatë, --, 
   {{0x249900e2,0x752d544c,0xbf0100c9,0xf8380486}},	//   _husm_, lyaz, लटेन_, שנות_, 
   {{0x7c23aaa7,0x764d120c,0x61e90548,0x7c3a0054}},	//   _sonr, niay, _ubel, ehtr, 
   {{0xdd910105,0xeb990161,0x9f5e06df,0x752daaa8}},	//   _ہوا_, лип_, _latè_, nyaz, 
   {{0x7c3aaaa9,0x6a76248c,0x4ee700dd,0xed571753}},	//   ghtr, táfo, _відз, лоқ_, 
   {{0x26c5090b,0x7a2d0218,0x9f5e011c,0x7ded0028}},	//   šloj_, _zûti, _natè_, _pėsč, 
   {{0x8d9500eb,0xf1b90a95,0x00000000,0x00000000}},	//   _الإش, _ješ_, --, --, 
   {{0xbca500d4,0x764d04d6,0x6e3b025b,0x48e3aaaa}},	//   _امتي, diay, mhub, появ, 
   {{0x7c3aaaab,0x07a37fd9,0xf1b901b4,0xdb0a12b7}},	//   chtr, зарн, _leš_, _befä, 
   {{0xe737aaac,0xc8790218,0x2ca6012b,0xf1d87e30}},	//   бер_, îşa_, _ztod_, _डालन, 
   {{0xf1b9aaad,0xb87b1eb1,0xe9da3a2a,0x9f5e0118}},	//   _neš_, rtía, _ски_, _datè_, 
   {{0x13ea212c,0xb87b0634,0x25a03076,0x14c8009c}},	// [a920] лмай_, stía, rcil_, شهای_, 
   {{0x8ccf00ab,0x9f471c71,0x09b00033,0xdce901dd}},	//   _दिनो, cenç_, _কাটা, dceļ, 
   {{0xfdf90e6e,0xdb0a02f2,0xadf9000c,0x6e3b0415}},	//   ्यास_, _gefä, ्यान_, khub, 
   {{0xd5b90088,0xd1863330,0xf1b90372,0x3e7a0034}},	//   _всё_, блей, _ceš_, këta_, 
   {{0x69db00c7,0x9c82008b,0x6e3b0548,0x51186493}},	//   אַוו, ščil, dhub, ролю_, 
   {{0x64a3a041,0x33d502fb,0x6604aaae,0xdfcf0084}},	//   _хара, _міст, ldik, فيه_, 
   {{0x2ca60533,0xe8193512,0x28d8017d,0x81c20086}},	//   _stod_, दाता_, भूति, ্ভব_, 
   {{0x660404cd,0x91e33381,0x6e3baaaf,0xdddb09c7}},	//   ndik, _носе, ghub, rluş, 
   {{0x09df0033,0x683002ae,0x6da31571,0xbd440038}},	//   _বোঝা, _vädj, чиња, تنظي, 
   {{0x4438016a,0xa3ca059e,0xdb1a0034,0x26c5499b}},	//   _jlr_, ोलि_, qatë, álok_, 
   {{0x6e961930,0x60c2042a,0x7d0b10f3,0x2c1a1d00}},	//   _الصا, lsom, _ergs, बाबू_, 
   {{0x7c3a00e5,0xc33302a1,0x60c2aab0,0x6e3baab1}},	//   shtr, פור_, osom, chub, 
   {{0x63be6d70,0x60c2aab2,0x9e6500eb,0xa3ca7fdd}},	//   kapn, nsom, _بالن, ोला_, 
   {{0x60c210c2,0x9f5e0036,0xddc90242,0xdb1a00de}},	//   isom, _patè_, mleš, haté, 
   {{0x63be2998,0x9f47aab3,0xddc900ef,0x2bdd1503}},	//   dapn, renç_, lleš, _माता, 
   {{0x443800a1,0xed591eeb,0x6604209a,0x60c2aab4}},	//   _alr_, saže_, gdik, ksom, 
   {{0x5fc83267,0x44380065,0x6d40aab5,0x6fc8009a}},	// [a930] रणाल, _blr_, nzma, रणां, 
   {{0x7bdaaab6,0x60c20c29,0x4438aab7,0x63be36ff}},	//   ngtu, dsom, _clr_, gapn, 
   {{0x628002fe,0xd37b563e,0x6604aab8,0x645c00b9}},	//   _bhmo, уча_, bdik, _djri, 
   {{0x62801612,0x9f5eaab9,0x44380844,0xdb1a023e}},	//   _chmo, _gaté_, _elr_, gaté, 
   {{0xf1b9688a,0x60c2aaba,0x22a10028,0xd14b029a}},	//   _veš_, gsom, _dėka_, دشان_, 
   {{0xc60100cc,0x9ea90ecb,0xdb1a00c5,0x1ef90038}},	//   _একটা_, авка_, patè, لعبة_, 
   {{0x62350088,0x6e3b0548,0x7e6908b0,0xd24e010e}},	//   _деву, thub, toep, رچہ_, 
   {{0x82372300,0x7bda0318,0x4e2916d2,0xdb1a0126}},	//   _ارسا, egtu, роин_, caté, 
   {{0x6e3b0730,0x7e690265,0xddc9008b,0xee3607f4}},	//   rhub, roep, gleš, інь_, 
   {{0x7e6902a2,0x6e3b02b8,0x6604aabb,0x9f470080}},	//   soep, shub, zdik, tenä_, 
   {{0x9f5e055a,0x6604605a,0x00000000,0x00000000}},	//   _hatî_, ydik, --, --, 
   {{0x3cfd0e0c,0x6e3b084c,0xa2cc188d,0x7d0d0183}},	//   _tswv_, qhub, _हिस्, _áaso, 
   {{0xb87b65f9,0x63be0ab1,0x9f470088,0xcd2b0c72}},	//   rtín, yapn, senä_, _حسان_, 
   {{0x6e39006d,0xdb1aaabc,0x628802a3,0x9f5e00d7}},	//   _hlwb, matî, _èdov, _saté_, 
   {{0x7d09aabd,0x9695aabe,0x660418d4,0xb6a300a3}},	//   lves, зруш, tdik, дисл, 
   {{0x27ed02f5,0x850554cb,0x60c48796,0x63be0065}},	//   đena_, रिंट_, šimi, wapn, 
   {{0x6604aabf,0x63beaac0,0x14261af2,0xe3ba035b}},	// [a940] rdik, tapn, одам, иба_, 
   {{0x2aed00b5,0xf20200a5,0xf7720296,0xb4ea059e}},	//   _जहाँ_, _रोज़_, _ياد_, _मही_, 
   {{0x6d4005d5,0xf1b902c7,0xdb1aaac1,0x44380151}},	//   zzma, _gošk_, hatî, _vlr_, 
   {{0xe4da00d4,0x60c2aac2,0x26d80610,0x27f8aac3}},	//   _پوست_, tsom, muro_, lern_, 
   {{0x208a00cf,0xdb1aaac4,0x60c2012d,0x63be0065}},	//   айди_, raté, usom, papn, 
   {{0x29000640,0x60c237b4,0x27f81709,0xdb1a0183}},	//   _msia_, rsom, nern_, saté, 
   {{0x71a607f9,0x60c274ef,0xdb1a005f,0x26d8aac5}},	//   _мавз, ssom, paté, nuro_, 
   {{0x27f8aac6,0x69d635ff,0x629c0102,0x64890009}},	//   hern_, _भागी, _iuro, _džiu, 
   {{0x629c6d32,0x27f8aac7,0x80c407d5,0x7d09aac8}},	//   _huro, kern_, _रिटे, gves, 
   {{0x63bc1341,0x394202fe,0x26d8aac9,0x27f8aaca}},	//   _jern, dzks_, kuro_, jern_, 
   {{0x629c00ce,0xa3e20509,0x63bcaacb,0x68e4aacc}},	//   _juro, _धान_, _mern, _aqid, 
   {{0x6489aacd,0x629caace,0x63bc02f2,0x3c3b5bbb}},	//   _uživ, _muro, _lern, _rêve_, 
   {{0x3204aacf,0x27f8aad0,0xa5bb0183,0x8b0700bc}},	//   _mamy_, fern_, _ilóx, _poří, 
   {{0x27f834f2,0xb87b0038,0xdb18aad1,0x3c3b009e}},	//   gern_, rtío, _levé, _pêve_, 
   {{0xd5bb0ea9,0x629caad2,0x26c50742,0x290002a2}},	//   иса_, _nuro, élo_, _esia_, 
   {{0x26cd02f5,0xed590dee,0xdb18aad3,0x672802ae}},	//   čeo_, laža_, _nevé, ädja, 
   {{0x63bcaad4,0xdb030503,0x629caad5,0x7aed03c8}},	// [a950] _bern, _fenó, _auro, _ćati, 
   {{0xf1d8700a,0x63bcaad6,0x26d8aad7,0xf1b902fe}},	//   _डाउन, _cern, buro_, _tošk_, 
   {{0x63bcaad8,0xb87b0681,0x26d8aad9,0x7d0914bf}},	//   _dern, ntím, curo_, zves, 
   {{0x629caada,0xf1b9011a,0x32060495,0x7d09aadb}},	//   _duro, _koši_, gdoy_, yves, 
   {{0x361a042c,0xddc800ab,0xdb180183,0xed590082}},	//   _הורד, łośc, _devé, kaža_, 
   {{0x63bcaadc,0x629c95d5,0x7bce118d,0x35e10366}},	//   _gern, _furo, óbul, _फाड़, 
   {{0x629caadd,0xf1b90112,0x9f470032,0xa49b03dd}},	//   _guro, _loši_, lenú_, _eròt, 
   {{0xf1bf06b6,0x63bc05ca,0x27f8aade,0x2bdd1f19}},	//   _þá_, _zern, zern_, _माहा, 
   {{0x27f8aadf,0x3245004e,0x7bca0068,0x225f1b6b}},	//   yern_, _деңг, _bdfu, _ijuk_, 
   {{0xed59004e,0x2900016a,0x63a5aae0,0x69ddaae1}},	//   _қол_, _rsia_, nchn, egse, 
   {{0x63a502f2,0xdb030183,0xcb69aae2,0xb87b318d}},	//   ichn, _renó, сане_, rtíl, 
   {{0x2005676a,0xeaae0f6b,0xdb0309a1,0x6aaa0086}},	//   _hali_, _үй_, _senó, _কিশো, 
   {{0x20052622,0x27f8aae3,0xdb080038,0x225f0611}},	//   _kali_, tern_, fadó, _mjuk_, 
   {{0x26d8aae4,0x27f801c4,0xfbd311b7,0x2007aae5}},	//   turo_, uern_, _آتش_, ndni_, 
   {{0xe737aae6,0x7bc1a145,0x63bc1462,0x4e1f00c9}},	//   пер_, malu, _rern, _मचाई_, 
   {{0x7bc12e7b,0x20052dcd,0x63bc0218,0x629a026a}},	//   lalu, _lali_, _sern, _étoi, 
   {{0x63bc1630,0x2900005c,0xdb180edb,0x27f8aae7}},	// [a960] _pern, _usia_, _revé, pern_, 
   {{0x320405f0,0x224d00e2,0x26d8aae8,0xe8f73960}},	//   _samy_, _amek_, puro_, _эль_, 
   {{0x179b00fe,0x629caae9,0xe7b700a7,0x682b007e}},	//   _לייב, _quro, _מהיר_, _tüdr, 
   {{0x63bc00c5,0xd36f0fce,0x2005018e,0x28d30ed5}},	//   _wern, دهم_, _aali_, _तिमि, 
   {{0xe5721f7a,0x63bcaaea,0x2005aaeb,0x26c50228}},	//   _سطح_, _tern, _bali_, álov_, 
   {{0x6606aaec,0x2005aaed,0x94260161,0x753201dd}},	//   _hakk, _cali_, _эмге, īdzī, 
   {{0x2005aaee,0x5f93aaef,0xed592b4a,0x09c70086}},	//   _dali_, ништ, važa_, ষ্টা, 
   {{0x225a0084,0x442aaaf0,0x7e640097,0xdd9414c1}},	//   _الرد_, _hob_, čipo, майы, 
   {{0xf8bf3241,0x6606340c,0x442aaaf1,0x7bc1aaf2}},	//   nyét_, _makk, _kob_, falu, 
   {{0x20050904,0x6489aaf3,0x09c500a2,0x442a9172}},	//   _gali_, _užit, वण्य, _job_, 
   {{0x442a3892,0x2bdd215e,0xe9f9004f,0x3b5300d9}},	//   _mob_, _मारा, онні_, екэр, 
   {{0x442aaaf4,0x0e9b00a7,0xed59a4b1,0x60c40009}},	//   _lob_, _השאל, saža_, šimu, 
   {{0x588727a6,0x7bc1aaf5,0x9f5e00d3,0x644eaaf6}},	//   зыва, balu, _matí_, _ombi, 
   {{0x27ed00f1,0x442aaaf7,0x7d02aaf8,0xdb1a6e64}},	//   đeno_, _nob_, _isos, latí, 
   {{0x3ce6006d,0x6606aaf9,0x12d70033,0xdb18010c}},	//   _hqov_, _bakk, _সন্দ, _zevî, 
   {{0x644eaafa,0xf4a800cc,0x6606aafb,0xa2d30262}},	//   _ambi, _ওয়েব, _cakk, _डिब्, 
   {{0x81c2100b,0x6a7d128a,0xdb08aafc,0x6606aafd}},	// [a970] ংলা_, léfo, padó, _dakk, 
   {{0x442a006f,0x225f0164,0x78ad9be1,0x7c2a00f6}},	//   _cob_, _sjuk_, _itav, _jofr, 
   {{0x63a50156,0x66069ae8,0x442aaafe,0x20053869}},	//   rchn, _fakk, _dob_, _rali_, 
   {{0x63a5aaff,0xe9dfab00,0x644e0298,0x6606240d}},	//   schn, ngú_, _embi, _gakk, 
   {{0x20050727,0x3ce60201,0x7bc16c16,0x2bdd17f6}},	//   _pali_, _nqov_, yalu, _माला, 
   {{0x6a7620ac,0x7c2a0237,0x6606ab01,0xdb180216}},	//   ráfi, _nofr, _zakk, _revî, 
   {{0x7d02ab02,0x7bc1400b,0x2005ab03,0x660623b9}},	//   _asos, valu, _vali_, _yakk, 
   {{0x2d9903a9,0x442a1dee,0x78adab04,0x7bc1ab05}},	//   øse_, _zob_, _otav, walu, 
   {{0x7bc1ab06,0xd0d40093,0x5187ab07,0x442a023b}},	//   talu, _потъ, _хува, _yob_, 
   {{0x7c2a02bf,0x442a006f,0x5ac99cc7,0x60c90304}},	//   _cofr, _xob_, олом_, _ivem, 
   {{0x37e300cc,0x7bc1ab08,0x60c4012d,0x78ada50d}},	//   য়ার, ralu, šimt, _atav, 
   {{0x7bc1ab09,0x7c2a0379,0xdb1a019c,0x7a2d0216}},	//   salu, _eofr, catí, _sûtr, 
   {{0xed4e0a43,0x7bc1ab0a,0x6606ab0b,0xec6eab0c}},	//   _ро_, palu, _rakk, _ап_, 
   {{0xb8f61451,0x6606ab0d,0x7c2a0156,0x7bc7008c}},	//   _हि_, _sakk, _gofr, ðjud, 
   {{0xe73a0088,0xe5a60acd,0xc7a39426,0x3d030035}},	//   цев_, диби, тиск, _वनडे_, 
   {{0x442aab0e,0x644e02cd,0xb9040033,0x3d02009a}},	//   _sob_, _smbi, _নন_, वटचे_, 
   {{0x442aab0f,0x15fd0035,0x6606ab10,0xa49b03dd}},	// [a980] _pob_, उज़र_, _vakk, _bròq, 
   {{0x6606ab11,0xe61903dc,0x7c2a0042,0x6e2b5490}},	//   _wakk, одӣ_, _xofr, _logb, 
   {{0x6606ab12,0xf1b90112,0x02a5004e,0x60c9052b}},	//   _takk, _lošu_, ерім, _avem, 
   {{0x7df9000c,0x442a1a0d,0xda2100c9,0x44e602be}},	//   ्योग_, _wob_, यायत_, pô_, 
   {{0x442a023b,0x10a38e01,0x98a20035,0xdb1a022e}},	//   _tob_, вичн, tykę_, vatí, 
   {{0x644e0089,0xeeaaab13,0x60c9008b,0x00000000}},	//   _umbi, отик_, _dvem, --, 
   {{0xe80f700a,0xd37232b7,0xdb1a4bbe,0x670e00bd}},	//   ायता_, _شهر_, tatí, ाटिक_, 
   {{0x7c2aab14,0x29120175,0x249800c2,0x00000000}},	//   _sofr, _orya_, _hirm_, --, 
   {{0xdb1aab15,0xab5c00e0,0xed500019,0x291202a5}},	//   ratí, daļa, دھا_, _nrya_, 
   {{0x3eac0023,0xb87b14d9,0x00000000,0x00000000}},	//   _ttdt_, rtík, --, --, 
   {{0xda1a047c,0x29121b6b,0xdb1a0634,0xd00f1a1c}},	//   धांत_, _arya_, patí, _خلل_, 
   {{0x7d024088,0x629a0212,0x00000000,0x00000000}},	//   _tsos, _étou, --, --, 
   {{0xf8ae11b7,0x3e6b0019,0x7d020daf,0xcd36313f}},	//   یکی_, _بجلی_, _usos, _تراب, 
   {{0x59db009a,0xe9df007a,0xddc900da,0x00000000}},	//   _भाकर, giúr_, rleť, --, 
   {{0x7641012d,0x779300d4,0xfa8a0023,0x291201a3}},	//   ūlym, ضیحا, _lẫy_, _erya_, 
   {{0x249802d0,0x6a8403b7,0x9f5e01be,0xf1b9ab16}},	//   _airm_, _илја, _matà_, _jošt_, 
   {{0x3d110081,0xe80f07d5,0x290501dd,0x6a76003e}},	// [a990] तिये_, ायदा_, ālas_, gáfu, 
   {{0xd37bab17,0xc6a700b3,0x00000000,0x00000000}},	//   оче_, _орми, --, --, 
   {{0x60c902f5,0x64898c9a,0x926b2971,0x7d000201}},	//   _svem, _džip, орда_, hwms, 
   {{0xdb18031e,0xfa8a0023,0xdb010b48,0x00000000}},	//   _neví, _bẫy_, rblø, --, 
   {{0x249800d1,0x25d600d1,0xdb1a0379,0x6e2b040b}},	//   _firm_, _אורן_, hatà, _rogb, 
   {{0x75160137,0x9f0500eb,0xa3e300c2,0xf075010e}},	//   _אַלע_, فوتو, _नञि_, ریاں_, 
   {{0x20d5008c,0x9f5e00b9,0x99620216,0x9f5c010c}},	//   _búið_, _catà_, kêşa_, levê_, 
   {{0xb87bab18,0xfde600fd,0x04060033,0x9f5e02be}},	//   luíd, едък_, রাণী_, _satã_, 
   {{0xdb18014b,0x6e2b040b,0xe8220e6e,0xfa8a0210}},	//   _deví, _vogb, मामा_, _gẫy_, 
   {{0x0d82021f,0x5184ab19,0xed594fef,0xf1b90082}},	//   ылын, _руса, sažo_, _vošu_, 
   {{0xeaae0019,0x629a019c,0xab5c01dd,0x00000000}},	//   یٹی_, _étot, taļa, --, 
   {{0x9f5c009e,0xade9009c,0xa96aab1a,0x65c1020b}},	//   kevê_, _رفتم_, зима_, náhľ, 
   {{0x64490028,0x00000000,0x00000000,0x00000000}},	//   _įein, --, --, --, 
   {{0xe3d50086,0x68300219,0x7e7b74b3,0xdb1a00b9}},	//   স্তব, _räds, llup, batà, 
   {{0xdb1a00f6,0x2c79011c,0x966614b7,0x3787152e}},	//   catà, jèdi_, екве, ебро_, 
   {{0xa49b00d3,0xdb0301c4,0x7e7bab1b,0xd6270267}},	//   _pròp, _benö, nlup, носе_, 
   {{0x2c14009a,0xdb1aab1c,0x0566ab1d,0x9f5e019c}},	// [a9a0] _थोडं_, patã, хван, _matá_, 
   {{0x69c63513,0xdb1a0019,0xfa8a0108,0x6b83040b}},	//   lake, latá, _rẫy_, _kzng, 
   {{0xe1fa1472,0x645e9124,0x673500ab,0x279602f1}},	//   зге_, rnpi, cyzj, _яшир, 
   {{0xe646ab1e,0x69c6ab1f,0x5186085c,0xdb1aab20}},	//   _чемп, nake, нула, natá, 
   {{0x765606d0,0xb87b145a,0xe61f00e7,0xdb18ab21}},	//   miyy, buíd, _khôn_, _reví, 
   {{0x69c6ab22,0x76560264,0x3013005e,0xd037004f}},	//   hake, liyy, лдір, нзії_, 
   {{0x4444a485,0x69c609e8,0xf1b900de,0xd9e60110}},	//   mh_, kake, _pošt_, _काढत_, 
   {{0x765606d0,0x7e7bab23,0x69c6ab24,0x644b0243}},	//   niyy, glup, jake, īgie, 
   {{0xd25700fe,0x69c6ab25,0x40a8006b,0x9f470098}},	//   _נשמה_, dake, _آخری_, mený_, 
   {{0x44440124,0x9f47026e,0x76560095,0x61e2ab26}},	//   nh_, lený_, hiyy, lgol, 
   {{0x4444005f,0x3fc900c5,0x9962009e,0x69c6a602}},	//   ih_, _آگهی_, têşa_, fake, 
   {{0x61e2ab27,0xb5fb006b,0xa2d30c94,0xdb1aab28}},	//   ngol, _aján, _डिस्, gatá, 
   {{0x7644ab29,0x765606d0,0x443a0065,0x38a600f8}},	//   dhiy, diyy, kkp_, _côr_, 
   {{0x4444821e,0x2c1600ab,0x79844dd8,0xe61f0023}},	//   jh_, ताओं_, _dziw, _chôn_, 
   {{0x4444ab2a,0x69c6ab2b,0xb87b74cd,0x61e2ab2c}},	//   dh_, bake, ktív, kgol, 
   {{0x4444ab2d,0x69c66b41,0xdb1a4879,0xb8f70086}},	//   eh_, cake, catá, _সহ_, 
   {{0x25a9ab2e,0x9f47143b,0x68300219,0xb87b145a}},	// [a9b0] rcal_, dený_, _vädr, tuíd, 
   {{0x44446354,0x61e24a7a,0x7e7b0097,0xf3675b12}},	//   gh_, egol, zlup, нтен, 
   {{0xa3e20077,0xb3e23ace,0xf367074f,0xb87bab2f}},	//   _धार_, _पारख, хтан, ruíd, 
   {{0x4444ab30,0x7644044d,0x61e2ab31,0xd6d8004f}},	//   ah_, chiy, ggol, _ять_, 
   {{0x44444884,0x661dab32,0xd0091597,0x3f9e02a2}},	//   bh_, _insk, деле_, _bgtu_, 
   {{0x4444ab33,0x69c6ab34,0xb87bab35,0x660dab36}},	//   ch_, zake, quíd, ldak, 
   {{0xe8221615,0xd9d900cc,0x9f47026e,0x69c6ab37}},	//   माता_, ধ্যম, bený_, yake, 
   {{0x660dab38,0x64570496,0x290200ab,0x9f47ab39}},	//   ndak, lixi, ywka_, menü_, 
   {{0x7e7b0666,0x69c6ab3a,0x0d2100d3,0x202404f4}},	//   rlup, vake, рүлү, ýrið_, 
   {{0x69c6ab3b,0x765606d0,0x7e7bab3c,0xddc90083}},	//   wake, ziyy, slup, wień, 
   {{0x2fc7ab3d,0x69c6ab3e,0xdb1a006b,0xdb0a02f2}},	//   mang_, take, tatá, _gefü, 
   {{0x2fc7ab3f,0x444400e5,0x3eaa0076,0x98a68999}},	//   lang_, zh_, žité_, киме, 
   {{0x1d090c8a,0x76560095,0x6e3b0d4e,0x2fc7084c}},	//   _цели_, viyy, mkub, oang_, 
   {{0x2fc7ab40,0x76564852,0x69c6ab41,0x6d450095}},	//   nang_, wiyy, sake, _əhal, 
   {{0x69c6ab42,0x6457ab43,0xb6a63423,0x7644ab44}},	//   pake, dixi, тибл, thiy, 
   {{0xadf91080,0x2fc7ab45,0x444400a4,0x6e29ab46}},	//   ्यटन_, hang_, wh_, njeb, 
   {{0x4444ab47,0x9f47026e,0x03a619fe,0x76560095}},	// [a9c0] th_, vený_, визо, riyy, 
   {{0x661dab48,0x2fc71ecb,0xb5fb008c,0x44446a79}},	//   _ensk, jang_, _hjál, uh_, 
   {{0x7bc31336,0x2fc76c86,0x3cedab49,0x44449e4e}},	//   _menu, dang_, htev_, rh_, 
   {{0x4444ab4a,0x6289ab4b,0x78a40e0f,0x764402cd}},	//   sh_, _cheo, _kuiv, qhiy, 
   {{0x2fc7ab4c,0x9f470228,0x69c4ab4d,0x6aa304b3}},	//   fang_, rený_, _meie, _lunf, 
   {{0x2fc7ab4e,0x69c4ab4f,0x7bc32732,0xb87b02a0}},	//   gang_, _leie, _nenu, stív, 
   {{0x2d8026eb,0x9f472ac9,0x661d00fc,0xd2a700b3}},	//   _šie_, denó_, _ynsk, _аксе_, 
   {{0x27ed03ef,0x6289ab50,0x69c400e0,0xdb18026e}},	//   đeni_, _gheo, _neie, _nevá, 
   {{0x2fc7ab51,0x7bc3ab52,0xa0a66d25,0xf6530056}},	//   bang_, _benu, _разд, יצה_, 
   {{0x2fc7019a,0x7bc3ab53,0xdb1a027e,0x660dab54}},	//   cang_, _cenu, natç, zdak, 
   {{0x201e0529,0x6aa40082,0xdb18010e,0x660d0218}},	//   _inti_, _čifs, _bevá, ydak, 
   {{0x200cab55,0x05e10586,0xdb1a1305,0x224601d2}},	//   _hadi_, _फाइब, hatç, nhok_, 
   {{0xe80f02f8,0x6a7d026d,0x200cab56,0x69c4ab57}},	//   ायला_, néfi, _kadi_, _deie, 
   {{0x200cab58,0xd7f8ab59,0x78a401c8,0xc8640cdf}},	//   _jadi_, кус_, _duiv, атси, 
   {{0x45d5ab5a,0x7bc8ab5b,0x200cab5c,0x69c4ab5d}},	//   ловс, madu, _madi_, _feie, 
   {{0x200c00cf,0x7bc8ab5e,0x7bc3ab5f,0x20d208d2}},	//   _ladi_, ladu, _zenu, _सिंध, 
   {{0x2fc7ab60,0x628902f0,0x56940d18,0x645717e1}},	// [a9d0] yang_, _rheo, ратт, tixi, 
   {{0xda2104d7,0x6289ab61,0x201e0ab1,0x200cab62}},	//   यावत_, _sheo, _nnti_, _nadi_, 
   {{0x6457ab63,0xd3a45000,0x2fc7000b,0x62890465}},	//   rixi, рруп, vang_, _pheo, 
   {{0x2fc7ab64,0xdd21078a,0x661d1612,0x7bc8ab65}},	//   wang_, _nîşa, _unsk, hadu, 
   {{0x2fc713cd,0x7bc8ab66,0xb87b0edb,0x64570026}},	//   tang_, kadu, btít, pixi, 
   {{0xa2ccab67,0x7bc8007e,0x2fc7ab68,0x200c03c6}},	//   _हिच्, jadu, uang_, _cadi_, 
   {{0x2fc79377,0x200c09e8,0x7bc3ab69,0xb87b022c}},	//   rang_, _dadi_, _renu, ltís, 
   {{0xc332162e,0x6d4902ba,0x201eab6a,0x22466139}},	//   _פון_, tzea, _enti_, chok_, 
   {{0x7bc32e67,0x2fc7ab6b,0x6e29085f,0x6e3bab6c}},	//   _penu, pang_, rjeb, rkub, 
   {{0xb5fb010d,0x7bc8ab6d,0x69c4ab6e,0x200cab6f}},	//   _sjál, gadu, _seie, _gadi_, 
   {{0x78a40518,0x7bc3ab70,0x3cedab71,0x2909018e}},	//   _suiv, _venu, stev_, _asaa_, 
   {{0x2fc50f5b,0xcf560486,0x8c4300ad,0xcdcb243d}},	//   _helg_, _גבעת_, _əşya, _آذان_, 
   {{0x7bc3ab72,0xfe7003b1,0x7bc8ab73,0x61e964d8}},	//   _tenu, _بدل_, badu, _mcel, 
   {{0x6cd2195e,0x7bc81e5e,0x69c40876,0xe61f0054}},	//   _اقوا, cadu, _weie, _anô_, 
   {{0xe8190f63,0x61e9ab74,0xe8f7004e,0x69c4ab75}},	//   दाजा_, _ocel, _ұлы_, _teie, 
   {{0x28dc1ff6,0x3ea50aa4,0x9f5c009e,0xdb180f95}},	//   _बिपि, _mult_, kevî_, _bevæ, 
   {{0xdb0a010d,0x3a202d8c,0x458642be,0x248a0054}},	// [a9e0] _hefð, _inip_, угав, _phbm_, 
   {{0x61e914ce,0x657d00e5,0xa3e90bb6,0x480603bd}},	//   _acel, _dysh, _याण_, _спов, 
   {{0x200c03ef,0x59b80081,0x7ae1ab76,0xddc903ef}},	//   _radi_, _आभार, nult, dlež, 
   {{0x53a312e1,0x2fc50042,0x7bc80a4c,0xb87b014b}},	//   _ҳарб, _aelg_, zadu, stít, 
   {{0x200cab77,0x7ae1ab78,0x4431145a,0x2fc5ab79}},	//   _padi_, hult, _foz_, _belg_, 
   {{0x240a00cf,0x648b2cfc,0x53a31030,0x3ea5ab7a}},	//   _янги_, güid, _гарб, _bult_, 
   {{0xa3e900a2,0x7bc8ab7b,0x7ae1ab7c,0x2fc508b0}},	//   _यात_, vadu, jult, _delg_, 
   {{0xe29748de,0x200cab7d,0x7bc8ab7e,0x7bc7003e}},	//   _бас_, _wadi_, wadu, ðjun, 
   {{0x200c36ff,0x4f26005e,0x21670886,0x7bc8ab7f}},	//   _tadi_, _әдеб, _бити_, tadu, 
   {{0xcb1f07d5,0xf1b900ef,0x201e0c3d,0x61e9031e}},	//   यमंड_, _inša_, _unti_, _zcel, 
   {{0x3ea503fa,0x450a0033,0x6d4f0647,0xa3f700d1}},	//   _gult_, রমিক_, úcar, נמטק_, 
   {{0xd9150528,0x80c102e6,0xdb0301d5,0x7b630080}},	//   адмы, रीवे, _ofnæ, стье, 
   {{0x7bc8879e,0x3ea5012e,0xd7fb0251,0x00000000}},	//   padu, _zult_, нув_, --, 
   {{0xb5fb037f,0xe7e30086,0x7ae1ab80,0xb8fd0df2}},	//   _ukáz, য়্য, bult, _डि_, 
   {{0x81dc00cc,0x7ae11229,0x4431ab81,0xb87b0634}},	//   ত্য_, cult, _roz_, guía, 
   {{0x4431ab82,0x35b59fa7,0x29092c69,0x68ed008a}},	//   _soz_, рбар, _tsaa_, _tqad, 
   {{0x5455148b,0xe8220081,0xa3e90c06,0x2909012b}},	// [a9f0] ават, माशा_, _याद_, _usaa_, 
   {{0x61e90141,0xb87bab83,0x3dc60065,0xb4d50790}},	//   _scel, dríg, _leow_, _सटी_, 
   {{0xed5907cd,0x61e90eae,0x657d0876,0x1be2119b}},	//   raži_, _pcel, _wysh, _खाईल_, 
   {{0x27ed0062,0xd37800d3,0x4431ab84,0xb6ba00d1}},	//   đenu_, учу_, _woz_, _שצרי, 
   {{0x25ea1516,0x3ea5ab85,0x44310213,0x61e90098}},	//   _छाती_, _sult_, _toz_, _vcel, 
   {{0xdb180088,0x7ae19466,0x645502eb,0xc4f60070}},	//   _kevä, yult, _umzi, _דזשי_, 
   {{0x2fc5ab86,0x44ef0241,0x28dc00bc,0xa5bb0534}},	//   _velg_, lü_, _बिभि, _gnóc, 
   {{0x81dc0086,0xd1bb0274,0xa2a21276,0x2ca606e4}},	//   ত্ব_, _سارا_, गदर्, _buod_, 
   {{0x1c45ab87,0x2d99ab88,0x9fe70038,0x2fc5ab89}},	//   иним, äse_, _مساه, _telg_, 
   {{0x1c1f0bd5,0x28dcab8a,0x3a200354,0x2a699896}},	//   बाइल_, _बिबि, _snip_, _ajab_, 
   {{0x3f67ab8b,0xcb691853,0xff5300b8,0xda21009a}},	//   _стаб, тане_, _اخذ_, यांत_, 
   {{0x660f0003,0x7ae1ab8c,0x00000000,0x00000000}},	//   _nack, rult, --, --, 
   {{0xfe705a15,0x64890ab4,0xe8222a2c,0x98a6ab8d}},	//   _عدم_, _džiz, माला_, риге, 
   {{0x7ae1ab8e,0x5d840038,0xb87b0068,0xdb1802ae}},	//   pult, _الهل, tuía, _bevä, 
   {{0x660fab8f,0x4b7900c7,0x3dc60065,0x66d908f0}},	//   _back, _באַו, _yeow_, льтр_, 
   {{0x660f0ab4,0x7aee026e,0x66e602f1,0xe5a35af5}},	//   _cack, žití, лоҳа, жити, 
   {{0xdb18010c,0x69d60008,0xb87b0068,0x13eaab90}},	// [aa00] _pevç, _idye, suía, кмай_, 
   {{0x7d0b00c5,0xb87bab91,0x61fd0241,0x29370070}},	//   _msgs, luín, _ısla, _כאפן_, 
   {{0x86b3005e,0x660f7dba,0x0ef4009a,0x28dc5d29}},	//   _мәті, _fack, _आहेस_, _बिडि, 
   {{0x660f090b,0xed59003a,0x244402ae,0xb87b1484}},	//   _gack, lažu_, _döma_, nuín, 
   {{0x03a6ab92,0x7e6d00ef,0x69d6044d,0x0594009c}},	//   _виго, čapl, _mdye, _دادگ, 
   {{0x6604ab93,0xc4830093,0xc0760886,0x76410009}},	//   leik, _мляк, шћењ, ūlyt, 
   {{0xe7ee05fd,0x1c1f0e6e,0x2327ab94,0x4fc4004e}},	//   _जाना_, बाईल_, _кори_, асқа, 
   {{0x0367004f,0x7d0b0118,0xddc90035,0x69d63aa6}},	//   _тиск_, _bsgs, mieś, _ndye, 
   {{0x6143ab95,0xed59034c,0x673c024a,0xd7c600a2}},	//   _дета, kažu_, hyrj, वराच, 
   {{0x69d6ab96,0x7d1900f3,0x6604aa08,0xdb1a3323}},	//   _adye, _drws, heik, matú, 
   {{0x3dc600e2,0x6604ab97,0xb87b0126,0x6282ab98}},	//   _teow_, keik, nríe, oloo, 
   {{0x628220f3,0x2efe00ef,0x62510187,0x2ca60f3a}},	//   nloo, _iptf_, sťov, _tuod_, 
   {{0x99890097,0x2987ab99,0x6e22ab9a,0xdb1802ae}},	//   _boaš_, рынг, _inob, _sevä, 
   {{0x62820149,0x69d607fc,0xd7c901c9,0x76460dd8}},	//   hloo, _edye, طوره_, _alky, 
   {{0x660fab9b,0xb87b03da,0x6282ab9c,0x6e22ab9d}},	//   _pack, buín, kloo, _knob, 
   {{0xe61f00e7,0xb87b022c,0x9f5c00bc,0x81dc0033}},	//   _khôi_, dríe, jeví_, ত্ত_, 
   {{0x660f022b,0x95c86079,0x628215e9,0x58870504}},	// [aa10] _vack, руса_, dloo, _вына, 
   {{0x660fab9e,0xd7fb0176,0xe7eeab9f,0x6282040b}},	//   _wack, _руи_, _जाया_, eloo, 
   {{0xa2f5aba0,0x62821baf,0xfdf800bd,0x660faba1}},	//   спеч, floo, ्जास_, _tack, 
   {{0x80db000f,0x62823bd4,0x9e3c00de,0xd1b801c9}},	//   _निदे, gloo, _buďm, لاها_, 
   {{0xe7ee0394,0xe3e911b7,0xdb0a0380,0x80ca0299}},	//   _जामा_, _مکان_, _gefö, _सौदे, 
   {{0x3f6911f8,0x6e22aba2,0x656f01ff,0x00000000}},	//   лило_, _anob, _ixch, --, 
   {{0x6282206b,0x41e70451,0x644701f2,0x8bfe0033}},	//   bloo, _віза, _ilji, ্ঞান_, 
   {{0x7d0b012b,0xf99f022c,0xccc500a3,0x11d40038}},	//   _psgs, ndès_, ббий, _وتقد, 
   {{0x61fb0547,0x00000000,0x00000000,0x00000000}},	//   _ibul, --, --, --, 
   {{0x1c454a27,0x308500eb,0x60cd00ef,0x61fb008a}},	//   сном, _الطف, šams, _hbul, 
   {{0xb87b03da,0x78b62be3,0xed591c2b,0xa9a61bf7}},	//   tuín, _styv, važu_, йинд, 
   {{0x3b8403dd,0x61fb011c,0xdb180218,0xd35600df}},	//   өлөг, _jbul, _hevû, מיתי_, 
   {{0x6604aba3,0x61fbaba4,0x8e7400eb,0xb87b0068}},	//   veik, _mbul, _بالض, ruín, 
   {{0x17c801a2,0x673caba5,0xb87b09c6,0x00000000}},	//   шҳои_, tyrj, suín, --, 
   {{0x6604820d,0xa2d31615,0x7d096169,0x62826b39}},	//   teik, _डिग्, lwes, yloo, 
   {{0xed591c2b,0xb87b02aa,0x44230237,0x00000000}},	//   sažu_, quín, _anj_, --, 
   {{0x6604aba6,0xddc90035,0x558a752b,0xab5c01dd}},	// [aa20] reik, wieś, убам_, vaļi, 
   {{0x62820626,0x61fbaba7,0x232a39f7,0x4423aba8}},	//   wloo, _abul, лози_, _cnj_, 
   {{0xe73aaba9,0x7d0987fc,0xa3e914a7,0x6a68027e}},	//   _сен_, hwes, _यार_, yıfl, 
   {{0x7d09abaa,0xb87babab,0x6b7a00c7,0x8cd80586}},	//   kwes, críb, ארענ, _मिलो, 
   {{0xc05a7f30,0x6282abac,0x6e2200a1,0x21672db3}},	//   лік_, rloo, _rnob, бици_, 
   {{0x64470062,0xdb1aabad,0x62823594,0x61fbabae}},	//   _glji, ratú, sloo, _ebul, 
   {{0x6282abaf,0x645e225d,0x7ff300eb,0xa2e3abb0}},	//   ploo, mipi, سسوا, _норд, 
   {{0x6f1a008b,0x7c23abb1,0x645eabb2,0xe61f0023}},	//   _vrtc, _annr, lipi, _phôi_, 
   {{0xa49b03a1,0x68e60611,0xb14600b9,0x611e020f}},	//   _pròx, jukd, _унал, _bălţ, 
   {{0x61fb00e5,0x645eabb3,0x94110095,0xbbe20299}},	//   _zbul, nipi, _bizə_, पलेक, 
   {{0x7f86057f,0x547b00a7,0x2900abb4,0xa49b00b9}},	//   _الان, רטיו, _apia_, _isòt, 
   {{0xc333864b,0x7a3f01ee,0xe61f0029,0xa5bb3214}},	//   לות_, _këti, _thôi_, _anón, 
   {{0x6da30a7c,0x645eabb5,0xb87b0183,0x7d96007a}},	//   _عموم, kipi, buíl, _الشؤ, 
   {{0x69c00a6d,0xc98702f1,0x24440219,0x4d7b00c7}},	//   ðmer, _қуйи, _sömn_, _ערגע, 
   {{0x466b0e5f,0x2bf7042c,0x644b024a,0x4423008a}},	//   грам_, _המון_, ëgim, _rnj_, 
   {{0x7bca06b6,0x64470571,0x68e60102,0x3f8c0098}},	//   _hefu, _slji, bukd, _mzdu_, 
   {{0x69cfabb6,0x7bca0065,0xb87b0183,0x6594186c}},	// [aa30] mace, _kefu, quío, зату, 
   {{0x69cf0018,0x6aaaabb7,0x645eabb8,0x734b0cda}},	//   lace, _kuff, gipi, лчев_, 
   {{0xe7ee1139,0xe9f90029,0x6aaa15e9,0x16350093}},	//   _जाता_, _giả_, _juff, _деня, 
   {{0x7bca0149,0xa49b0118,0x7d094c9e,0xb87b1890}},	//   _lefu, _asòt, ywes, bríc, 
   {{0x61fbabb9,0x7bd800d2,0x7d090218,0x00000000}},	//   _vbul, _odvu, xwes, --, 
   {{0x02a70904,0x7bca2828,0x442302a2,0x2eb567b7}},	//   _грам, _nefu, _unj_, осис, 
   {{0x80db2b69,0xd1bb0038,0x69cf0e39,0x00000000}},	//   _निवे, _ماذا_, kace, --, 
   {{0xee39abba,0x764d137f,0x7d09abbb,0x61fb054e}},	//   рни_, nhay, twes, _ubul, 
   {{0x82341f7a,0x6aaa01c4,0x94110095,0xae1e1d5b}},	//   _عرفا, _auff, _sizə_, भाजन_, 
   {{0x7d09abbc,0x6aaaabbd,0xdfd10e0e,0x764d0175}},	//   rwes, _buff, _آيا_, hhay, 
   {{0x2007abbe,0x69cfabbf,0x764d044d,0x6aaaabc0}},	//   meni_, face, khay, _cuff, 
   {{0x7d09abc1,0x645eabc2,0xfbdf010c,0xf2d20070}},	//   pwes, zipi, şê_, ועט_, 
   {{0x7e7b04d1,0x764d00d7,0xe7ee007e,0xfe4200dd}},	//   moup, dhay, _जादा_, _іншо, 
   {{0x7bca9cee,0x7e690369,0x7e7babc3,0xbb4517fc}},	//   _gefu, lnep, loup, _мелк, 
   {{0x07a37034,0x2bbf1bec,0x7bc1abc4,0x68e6abc5}},	//   дарн, _श्या, mblu, sukd, 
   {{0x38af375f,0x764d2c69,0x2007abc6,0xb87b610f}},	//   _für_, ghay, heni_, tríc, 
   {{0x645eaa89,0xe45a6949,0x2007abc7,0x75d300eb}},	// [aa40] tipi, ажа_, keni_, بيقا, 
   {{0x7bc102eb,0xe45f003e,0xdb180032,0xf8b300d1}},	//   nblu, _svör_, _revú, _קשת_, 
   {{0x41aa01d0,0x764d023e,0x7e7b031e,0x27e50035}},	//   авен_, bhay, koup, ólne_, 
   {{0x645eabc8,0x764d02f1,0xb5fb003e,0xdb1a1494}},	//   sipi, chay, _sjáv, ratø, 
   {{0xe80f00a2,0x645eabc9,0x6b83092c,0x491d0586}},	//   ायचा_, pipi, _lyng, मियो_, 
   {{0x2007abca,0x764404be,0xdfd000eb,0x69cfabcb}},	//   geni_, lkiy, ريب_, zace, 
   {{0x44f4030f,0x4444abcc,0x69cf95d7,0x60cd0097}},	//   lä_, mk_, yace, šamp, 
   {{0x4438abcd,0x7bcaabce,0x3ea2014e,0x7644045a}},	//   _hor_, _sefu, ökt_, nkiy, 
   {{0x44f4030f,0xc6930a33,0x4438830f,0x645c016a}},	//   nä_, ואה_, _kor_, _kmri, 
   {{0x4444abcf,0x44380218,0xb87b0183,0x66160080}},	//   nk_, _jor_, tuím, hdyk, 
   {{0x44440511,0x4438abd0,0x6b8302f0,0x9cea0033}},	//   ik_, _mor_, _cyng, কবেন_, 
   {{0x81dc100b,0xb5fb0086,0x4438abd1,0xb87b08f4}},	//   ত্র_, _imág, _lor_, dría, 
   {{0x4438042e,0x4444abd2,0x7e606db1,0x44f4030f}},	//   _oor_, kk_, mimp, jä_, 
   {{0x4444290d,0x6aaaabd3,0x44f40088,0x7d02abd4}},	//   jk_, _tuff, dä_, _ipos, 
   {{0x69cf3db6,0x6b830156,0x6d40abd5,0x764dabd6}},	//   pace, _gyng, lyma, thay, 
   {{0x2007abd7,0x7e60a4d8,0x4444abd8,0x38af0f7f}},	//   zeni_, nimp, ek_, _tür_, 
   {{0x44385977,0xd7fbabd9,0x2007abda,0x7c380112}},	// [aa50] _bor_, _кун_, yeni_, _kovr, 
   {{0x443830fd,0xf8bfabdb,0x764d3775,0xb87b0634}},	//   _cor_, mpé_, shay, bría, 
   {{0x4438494b,0x7e60abdc,0x764d07fc,0xf8bf49dc}},	//   _dor_, kimp, phay, lpé_, 
   {{0x2007abdd,0x4444042f,0x7c38abde,0x6d40012d}},	//   weni_, ak_, _lovr, kyma, 
   {{0x4438181f,0x2007abdf,0x44440626,0x05845b5b}},	//   _for_, teni_, bk_, _журм, 
   {{0x4438abe0,0x6d40012d,0xf8bf0107,0x7c3800ad}},	//   _gor_, dyma, ipé_, _novr, 
   {{0x7e7b00bc,0x8fa21bd5,0x439515f1,0x7e600054}},	//   toup, наше, _хавс, fimp, 
   {{0x2007abe1,0x4438abe2,0x28dc0790,0x7d020038}},	//   seni_, _zor_, _बिलि, _bpos, 
   {{0x6b838597,0x7e6901e8,0x443801ff,0xb5fb010e}},	//   _syng, rnep, _yor_, _imád, 
   {{0xbebc00e0,0x7644abe3,0x44380287,0x2ca30219}},	//   _brīd, zkiy, _xor_, öjd_, 
   {{0x7c380141,0x7d02abe4,0xa5bb033c,0x3b0951bd}},	//   _dovr, _epos, _anóm, щено_, 
   {{0x60c90199,0x7e60120c,0x6d40272e,0x7d02008a}},	//   _kwem, cimp, byma, _fpos, 
   {{0x69cd00ca,0xc8b60235,0x6b831ddc,0x00000000}},	//   _deae, ясны, _wyng, --, 
   {{0x6b83abe5,0x44f40088,0xe73a13f2,0x60c9abe6}},	//   _tyng, vä_, бег_, _mwem, 
   {{0xcb660849,0xaa46abe7,0x60c901b8,0xbebc01dd}},	//   _наше_, _некл, _lwem, _grīd, 
   {{0x44f40df8,0x4438abe8,0xb87b033c,0x27ff00ca}},	//   tä_, _sor_, rría, đuna_, 
   {{0x764466b6,0x6e39007b,0xe51c017d,0x66166581}},	// [aa60] rkiy, _mowb, निधि_, rdyk, 
   {{0x4444abe9,0x7644abea,0xd91b00c7,0x7e60abeb}},	//   uk_, skiy, _פויל, zimp, 
   {{0x4438abec,0xf62601d0,0x6d4000ab,0x7d1b007e}},	//   _vor_, _едно, zyma, hvus, 
   {{0x44440075,0x645c01c8,0x78ad023b,0xe2971aaa}},	//   sk_, _wmri, _yuav, пах_, 
   {{0xf1a900d4,0x4444abed,0xa1331897,0x00000000}},	//   زانه_, pk_, فروش, --, 
   {{0x645cabee,0x2cbf0102,0x629908a3,0xb4ca009a}},	//   _umri, dpud_, amwo, ोळी_, 
   {{0x7d02abef,0x7e60abf0,0x42569080,0x60c9052b}},	//   _spos, timp, _етат, _ewem, 
   {{0x7c38abf1,0x6d4017da,0x7ae80eca,0x6b55008a}},	//   _sovr, tyma, vudt, _mżgħ, 
   {{0x7c3809b2,0xe297a1f2,0xdd900116,0xc0e308bd}},	//   _povr, _хат_, کوک_, _потк, 
   {{0x7e603ad7,0x6d4063d6,0x5fd0031e,0x806308af}},	//   simp, ryma, _सजिल, _звуж, 
   {{0x2912abf2,0x7e60abf3,0x60c90b32,0x6d4063d6}},	//   _asya_, pimp, _zwem, syma, 
   {{0x78ad006d,0x2246039f,0xdb1a3e27,0xdb0300f3}},	//   _puav, nkok_, matü, _egnï, 
   {{0xdcf709e8,0x7d02053d,0x58d40013,0x7c38008b}},	//   _فروش_, _upos, ноят, _tovr, 
   {{0xb90504b7,0xa8a460fd,0xdca38992,0xac98039f}},	//   _पट_, ерск, _зачи, _بنتا_, 
   {{0xf647004e,0xabfb00d1,0xb87b0183,0xf1cc1cc0}},	//   пхан, _ההור, brín, ारान, 
   {{0xf8bf026a,0x26df05ae,0x79a700d3,0x80d20033}},	//   ppé_, čuo_, _эрке, _সমন্, 
   {{0x59c300aa,0x3a2902f6,0x3ea61a64,0x9f5c0080}},	// [aa70] _व्यर, _inap_, _miot_, levä_, 
   {{0xb4cd258c,0xdb1a0241,0x60c90610,0xe61f0090}},	//   _रबी_, katü, _rwem, _chôr_, 
   {{0x75290112,0x64452d95,0x3d0e190a,0x9f5e0c24}},	//   _šezd, rkhi, _तैसे_, _mató_, 
   {{0xdb1aabf4,0x3cdd0262,0x60c903a0,0x2246023e}},	//   lató, _खिले_, _pwem, gkok_, 
   {{0xe1f01966,0xb5fb010d,0xe822009a,0x6299199b}},	//   اسم_, _fjár, माचा_, rmwo, 
   {{0xdb1aabf5,0x417400d4,0xfaf801dd,0xe7bf0c64}},	//   nató, رانس, ktī_, ्रिप, 
   {{0xae1e26f2,0x9f5e0379,0x3a290027,0x00000000}},	//   _मोहन_, _tatý_, _onap_, --, 
   {{0xda1d1ff6,0x7d1b007e,0xdb1a1d04,0x3ea6107c}},	//   _बोलत_, tvus, ható, _ciot_, 
   {{0xe7ee05d2,0xd7bf2360,0x3ea601f1,0xe7bf0a0e}},	//   _जाला_, ्राच, _diot_, ्राप, 
   {{0x5ee50035,0xbb45327e,0x7d1b2e14,0x39420028}},	//   _टिप्_, деок, rvus, vyks_, 
   {{0x3ea60183,0x6e390118,0x09e62567,0x7d1b3d00}},	//   _fiot_, _towb, монн, svus, 
   {{0xb87b0038,0x19b900d9,0x3a2901fd,0x00000000}},	//   frío, зурь_, _cnap_, --, 
   {{0xdb0a022b,0xdb030126,0xee7807cb,0x80cf0033}},	//   _affä, _igní, _عصمت_, হূর্, 
   {{0xdb1aabf6,0x3a29abf7,0xe3e30033,0x6b652291}},	//   gató, _enap_, ন্তব, _окла, 
   {{0x81e5100b,0x98a3abf8,0x224d00aa,0x18a326e7}},	//   ব্য_, тире, _olek_, тарм, 
   {{0x2ca7abf9,0xb5fb0183,0xb87b00eb,0xe96a6528}},	//   _hind_, _amáb, brío, _майл_, 
   {{0x1be1007e,0x2ca70729,0xb87b007a,0x7ea70241}},	// [aa80] _खयाल_, _kind_, crío, _yıpr, 
   {{0xdb1aabfa,0x9f5e00f6,0x22a80d16,0x00000000}},	//   cató, _xató_, _aşka_, --, 
   {{0x38b414f9,0x65c659eb,0x2ca7abfb,0xdb1a00f6}},	//   _här_, _обна, _mind_, latò, 
   {{0x2ca7abfc,0xdb18014b,0xdb030038,0x38b40219}},	//   _lind_, _nevý, _ngní, _kär_, 
   {{0xdb1aabfd,0xa2aa1d57,0xe3e30bf1,0x00000000}},	//   natò, _जंक्, ন্ধব, --, 
   {{0x224d2510,0x46d20262,0x38b4349e,0x3ea6abfe}},	//   _elek_, _तबाह, _mär_, _siot_, 
   {{0x38b4022b,0x224d3dc7,0x644e3e95,0x3ea60027}},	//   _lär_, _flek_, _ilbi, _piot_, 
   {{0xe297005e,0x442a2fab,0x224d1b6b,0xae1e02e6}},	//   _жас_, _hnb_, _glek_, _मोशन_, 
   {{0x38b414f9,0x2ca79416,0x2167004f,0x442aabff}},	//   _när_, _bind_, _жити_, _knb_, 
   {{0x2ca700d9,0x9f5c0080,0x3a297152,0x00000000}},	//   _cind_, tevä_, _snap_, --, 
   {{0x9e3c026e,0x60c217fc,0x9f5e022c,0xdb1a7a13}},	//   _buďt, lpom, _obté_, vató, 
   {{0x38b4074b,0x2ca7012e,0x60c20035,0xb87b0038}},	//   _bär_, _eind_, opom, trío, 
   {{0x2ca7ac00,0xa3c002e6,0xdb1a39af,0x644e00fd}},	//   _find_, ीरा_, tató, _olbi, 
   {{0x38b414f9,0x9c570038,0x0ec50110,0x2ca7107c}},	//   _där_, _يجوز_, ळीकड, _gind_, 
   {{0xdb1aac01,0x442dac02,0x00000000,0x00000000}},	//   rató, _đe_, --, --, 
   {{0x644e02ba,0x5694ac03,0xdb1a00b9,0xf8b10444}},	//   _albi, васт, batò, _مکس_, 
   {{0xdb1aac04,0x60c24699,0xc7c702a6,0x291d023e}},	// [aa90] catò, jpom, _осни, _éwa_, 
   {{0x225f055f,0xe8d800d1,0x2ca7039b,0x60c20144}},	//   _smuk_, _חוזר_, _xind_, dpom, 
   {{0x224d5765,0x60c2039b,0x00000000,0x00000000}},	//   _plek_, epom, --, --, 
   {{0x644eac05,0x442a7476,0xd7bf0035,0x81cf0033}},	//   _elbi, _enb_, ्रवच, _শাহ_, 
   {{0x442aac06,0x38580499,0x7c2aac07,0x660da824}},	//   _fnb_, _رشید_, _onfr, meak, 
   {{0x649000c8,0x442aac08,0x3af8010e,0x41740038}},	//   läin, _gnb_, kép_, خامس, 
   {{0x2ca7010c,0x00000000,0x00000000,0x00000000}},	//   _rind_, --, --, --, 
   {{0x2ca702e7,0x4394ac09,0x7c2a01c4,0x660dac0a}},	//   _sind_, _расс, _anfr, neak, 
   {{0x2ca7ac0b,0x1167010e,0xbc190259,0xb87b02be}},	//   _pind_, _غلطی_, піні_, tríl, 
   {{0x660d84c7,0xfc31057f,0x2ca700e5,0x628bac0c}},	//   heak, احة_, _qind_, llgo, 
   {{0x2ca7038c,0xda661a68,0x6569014b,0x3af80019}},	//   _vind_, евни, _žehl, gép_, 
   {{0x2bbf0f8e,0xee2e0904,0xfbbf06ea,0x38b402ae}},	//   _श्रा, _ён_, _श्रम, _pär_, 
   {{0xed4eac0d,0x660d0a9f,0x2ca7ac0e,0x28b900b3}},	//   _со_, deak, _tind_, дусэ_, 
   {{0x26de003a,0x60db190c,0xccf20486,0x764f0106}},	//   štom_, _mvum, _עכו_, _alcy, 
   {{0xdb180068,0xe73a1ee4,0x96960b14,0x38b40380}},	//   _devó, чев_, ераш, _wär_, 
   {{0x60db01b8,0x660d0696,0x442aac0f,0x49ca03a1}},	//   _ovum, geak, _snb_, _элин_, 
   {{0xa5071853,0x6603021f,0x999e0028,0x60db052b}},	// [aaa0] нета_, ыпта, ėtų_, _nvum, 
   {{0x78fb0056,0x3957042c,0x4ad30663,0x628b0d2d}},	//   _צפיו, _נשים_, _दबाव, elgo, 
   {{0x60db0b3a,0x64e2009a,0x660dac10,0xb87b019c}},	//   _avum, _पिवळ, beak, tuív, 
   {{0xdb0121dc,0x60c20588,0x60db044d,0x237737e5}},	//   lcló, tpom, _bvum, رمند_, 
   {{0xa3e900a2,0x442aac11,0x5183ac12,0x3af8010e}},	//   _याच_, _tnb_, луша, zép_, 
   {{0x10a32cb9,0xb87b0183,0x60c2ac13,0x442a019c}},	//   гичн, buíu, rpom, _unb_, 
   {{0x91e60b68,0x60c2ac14,0xc6130033,0x60db052b}},	//   _пове, spom, হারা_, _evum, 
   {{0xb87b4552,0x60c278de,0xa3f0252e,0x00000000}},	//   quív, ppom, _चाँप_, --, 
   {{0x6ecc0262,0x63ae040c,0x00000000,0x00000000}},	//   _सबकु, _kgbn, --, --, 
   {{0x8fa604ac,0x46e1093a,0x6e2b2215,0x660d00b4}},	//   _зазе, _फिलह, _engb, zeak, 
   {{0xdee36832,0x26de2873,0xdb180684,0xe4570225}},	//   _бохи, štoj_, _revó, גייט_, 
   {{0xdc3c1993,0x200e0149,0x00000000,0x00000000}},	//   _išču, lefi_, --, --, 
   {{0x8c467ce2,0x7e622ac3,0x00000000,0x00000000}},	//   _педе, _imop, --, --, 
   {{0xb87b0068,0x7c2aac15,0x00000000,0x00000000}},	//   prím, _unfr, --, --, 
   {{0x45d52f73,0x660dac16,0xb6e40cfe,0x27f4010c}},	//   ковс, teak, лютк, _şanî_, 
   {{0xe9df01d5,0xe3cd0033,0x161b0249,0x00000000}},	//   rhús_, _লাইব, _पोखर_, --, 
   {{0xb87b003e,0x7e620415,0x649000c8,0xf8bf00b9}},	// [aab0] nrík, _mmop, räin, rxés_, 
   {{0xd131015f,0xb87b0068,0x660dac17,0x1419007a}},	//   یما_, tuíu, seak, بيئة_, 
   {{0x28b7010b,0xf6991eac,0x660dac18,0x97a7ac19}},	//   _इंडि, _овој_, peak, _ярил, 
   {{0x672102ae,0x2498039b,0x2eee0c45,0xb87b020b}},	//   ålju, _ehrm_, duff_, krík, 
   {{0xdb0100f6,0x00000000,0x00000000,0x00000000}},	//   nclò, --, --, --, 
   {{0x290902a5,0x63bc040c,0x68fd12bf,0x00000000}},	//   _mpaa_, _gfrn, itsd, --, 
   {{0x1394ac1a,0x4fc40df3,0x00000000,0x00000000}},	//   _бирю, усча, --, --, 
   {{0xa295012d,0x9f4c00b9,0x68fd8306,0x4ada09ef}},	//   _рабі, _abdó_, ktsd, _भिजव, 
   {{0x3015058e,0x60db0053,0x7c95021d,0x320f039f}},	//   _идар, _uvum, кроц, megy_, 
   {{0x1c45ac1b,0x26de010e,0x26c10026,0x5184ac1c}},	//   тном, átok_, _otho_, _суса, 
   {{0x9f040fdc,0x2909016a,0x26c10364,0xb87b0032}},	//   _مولو, _apaa_, _ntho_, príj, 
   {{0xa96a9bdc,0xb6c8010e,0xb87b020b,0x68fd1e2d}},	//   дима_, ہارے_, brík, ftsd, 
   {{0x597600f0,0x2d82039f,0xf4cc0033,0x7ae8ac1d}},	//   тыну, üket_, _লম্ব, ardt, 
   {{0x66e600ce,0xed560886,0x26c10026,0x1d060a2b}},	//   кога, _још_, _btho_, _реши_, 
   {{0x177900c8,0xb5fb003e,0x68fd1be5,0x00000000}},	//   есть_, _smáa, atsd, --, 
   {{0x80d200cc,0xe5f3002e,0xa92603a1,0xa89801dd}},	//   _সমস্, văţă, _адил, _šķēr, 
   {{0xb87b0496,0x28dc0b79,0xc4860d3d,0x00000000}},	// [aac0] tuít, _बिटि, влак, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x3e7a0243,0x00000000,0x00000000,0x00000000}},	//   līte_, --, --, --, 
   {{0x20050495,0x91e626de,0xb87bac1e,0xbebc01dd}},	//   _abli_, тоде, buís, _brīn, 
   {{0x6f080183,0x2444008c,0x200e0226,0x9f450354}},	//   _spdc, _sömu_, tefi_, _gclú_, 
   {{0x753604a8,0xdcf500bc,0xb87b1484,0xdb1aac1f}},	//   mxyz, ůběh, luír, matö, 
   {{0xe8e0001b,0x200e0156,0x4375ac20,0xe804248b}},	//   _ước_, refi_, _бутт, श्या_, 
   {{0x200500ef,0xdd94013e,0xe1260080,0xf77300d1}},	//   _ebli_, лайы, _имби, יקו_, 
   {{0x2eeeac21,0x52758217,0x5ea30038,0xdb1aac22}},	//   suff_, _суру, جميل, natö, 
   {{0xe7ee00a2,0x515b008d,0x28dc009a,0xb87b003e}},	//   _जागा_, _חכמו, _बिजि, rrík, 
   {{0x8fa600b3,0x3d170035,0xdc3c00ca,0x00000000}},	//   _раже, _बैठे_, _ušču, --, 
   {{0x28b7047c,0xb87b0187,0x68fd4114,0x81c20033}},	//   _इंदि, prík, ttsd, ূলক_, 
   {{0xb87b001d,0x99648c47,0x00000000,0x00000000}},	//   nsíg, атрл, --, --, 
   {{0xb6c503a1,0x00000000,0x00000000,0x00000000}},	//   лөмд, --, --, --, 
   {{0x386d02a8,0x44d0006a,0x64900080,0x67d4ac23}},	//   đer_, eń_, räil, росу, 
   {{0xb87b0183,0x649000c8,0xf1b91c77,0x69e727eb}},	//   guír, säil, _kaše_, _рюкз, 
   {{0xf1b91993,0x9a6800eb,0xdb0a0566,0x00000000}},	// [aad0] _jaše_, _جميل_, _affø, --, 
   {{0xa5bb41e4,0x545402c8,0x7bc500b0,0x6aad01a7}},	//   _anót, авут, _õhut, _hiaf, 
   {{0x6aad0053,0xd3a70c8b,0xb87b1484,0x320fac24}},	//   _kiaf, трап, buír, tegy_, 
   {{0xe45f022b,0x798d0547,0x6aad0054,0xd1750259}},	//   _stöd_, _kyaw, _jiaf, лылы, 
   {{0xc7b8034c,0x6aad0180,0x91050b34,0x61f800de}},	//   žđe_, _miaf, упле, _žalá, 
   {{0x24440219,0x764d1240,0xa3c00249,0x44fd0054}},	//   _döms_, lkay, ीरः_, mì_, 
   {{0x788a0216,0x938844bf,0x649000c2,0x44fd5698}},	//   _hêvî, _аста_, käij, lì_, 
   {{0x765800e4,0x80d20086,0x661d15ff,0xa5bb0038}},	//   _įvyk, _সমর্, _jask, _gnót, 
   {{0x798d2c55,0xac853c30,0xdbcd0126,0x44fd0036}},	//   _nyaw, лгил, _añád, nì_, 
   {{0x661dac25,0xec761088,0x90980a10,0x98a00144}},	//   _lask, лпы_, _авут_, _prič_, 
   {{0x6aad0218,0x798d01b8,0x15e3009a,0x629b0108}},	//   _biaf, _ayaw, गणार_, _khuo, 
   {{0xceb20052,0x661dac26,0x1cb90084,0x63bb027e}},	//   _היא_, _nask, _كاتب_, _şunl, 
   {{0xfce578fd,0x6aadac27,0x798d0199,0x82760070}},	//   _соло, _diaf, _cyaw, רערע_, 
   {{0x44fd0093,0x7e69012d,0x764d02a5,0x661d3fd0}},	//   dì_, liep, ekay, _aask, 
   {{0xcfd800cc,0xb87b0ff9,0x6aad84f7,0x69bc02e6}},	//   _সামন, tuír, _fiaf, _एलपी, 
   {{0x661d3b16,0xe3cd0086,0x764d2c69,0x6e3b0547}},	//   _cask, _লাগব, gkay, njub, 
   {{0x661d0704,0x6d5bac28,0x15b90f82,0xb87b068b}},	// [aae0] _dask, nzua, тысы_, ruír, 
   {{0x69d6ac29,0xc1cc1b38,0xdb1aac2a,0xf8bf026a}},	//   _heye, ार्ग, ratö, uvée_, 
   {{0x6e3bac2b,0x69d6ac2c,0x91d000a5,0xf8bf0107}},	//   kjub, _keye, दरलै, rvée_, 
   {{0x629bac2d,0xb87b0042,0xe6120816,0x7e69ac2e}},	//   _chuo, quír, _اشد_, jiep, 
   {{0xa06a12a8,0x91e389df,0x6e3b00ef,0x7e692da2}},	//   нада_, соче, djub, diep, 
   {{0x69d6ac2f,0x6d5b0640,0x661dac30,0xdfcf0038}},	//   _leye, dzua, _zask, كيه_, 
   {{0xf1b90097,0x09da0033,0xe29602a0,0x6604095a}},	//   _saše_, _থানা, _браќ, ofik, 
   {{0x66040267,0xf1b97dc1,0x69d60539,0x7989115a}},	//   nfik, _paše_, _neye, żewi, 
   {{0xacb402a6,0x6aadac31,0x7524ac32,0xa49b01be}},	//   јбољ, _riaf, nviz, _spòi, 
   {{0xf1b91a17,0x10a600cf,0x4cc30086,0xb14300d9}},	//   _vaše_, _сизн, _শিশু, _унул, 
   {{0xaa59190d,0x798d3726,0x9b94049b,0x69d6ac33}},	//   вину_, _syaw, ринц, _beye, 
   {{0x201eac34,0xc33300a7,0x78b6040c,0x00000000}},	//   _hati_, צור_, _buyv, --, 
   {{0x201eac35,0x661dac36,0x69d6ac37,0x9a8421f9}},	//   _kati_, _rask, _deye, суэл, 
   {{0x661dac38,0x3cf1014b,0xd83b00a3,0x44fd02a3}},	//   _sask, ňový_, хэм_, vì_, 
   {{0x7bdaac39,0x661dac3a,0x201e3976,0x9487005e}},	//   matu, _pask, _mati_, ңызд, 
   {{0x201eac3b,0x69d60f32,0xdb180380,0x00000000}},	//   _lati_, _geye, _bevö, --, 
   {{0x764dac3c,0xdddb00bc,0x5694ac3d,0xb17d020b}},	// [aaf0] rkay, nouš, сатт, _odťa, 
   {{0x201eac3e,0x661dac3f,0xd37bac40,0x7d1d055f}},	//   _nati_, _wask, нче_, æssi, 
   {{0x44fd00fd,0x629b00e7,0xd5b10740,0x69d6052b}},	//   sì_, _phuo, _وفد_, _yeye, 
   {{0x7bdaac41,0xb5f200f0,0xdddb02d9,0x1af70070}},	//   hatu, _мүсі, kouš, רמאל_, 
   {{0x7bdaac42,0x201eac43,0x26de0032,0x7e690382}},	//   katu, _bati_, átov_, viep, 
   {{0xd2d71feb,0xd009ac44,0x201e020f,0x6d5b0241}},	//   _مغرب, теке_, _cati_, vzua, 
   {{0x201eac45,0x7bda7f52,0xe45413f2,0x629b001b}},	//   _dati_, datu, _укры, _thuo, 
   {{0xddc200ab,0xa2670141,0xb87bac46,0x6d5b0a9f}},	//   _iloś, _съгл, crív, tzua, 
   {{0xee36ac47,0x7bda5c00,0x6e3b02cd,0x44210014}},	//   рны_, fatu, rjub, odh_, 
   {{0x6e3bac48,0x201e00e5,0x44211b89,0x408700c8}},	//   sjub, _gati_, ndh_, _субб, 
   {{0x4421ab2a,0x69d6ac49,0xbf1513b4,0x66040035}},	//   idh_, _peye, _خواب, yfik, 
   {{0x6926ac4a,0x201eac4b,0x3cee009a,0x2cae00a1}},	//   амма, _zati_, _आमचे_, _eifd_, 
   {{0x7bdaac4c,0x4431ac4d,0x8e8400eb,0x201e044d}},	//   batu, _onz_, _النه, _yati_, 
   {{0x7bdaac4e,0x6c7900c7,0x69d6881c,0x7d1c0243}},	//   catu, _שאַפ, _weye, ārst, 
   {{0x07a604f5,0x45d616e1,0x627c11bb,0xbbe1017d}},	//   равн, ицат, nčoc, पणीक, 
   {{0x64556a6c,0x443168c8,0xc87f0502,0x6604018e}},	//   _alzi, _anz_, wußt_, ufik, 
   {{0x66044afb,0x248a016a,0x44660009,0x05aa2bd0}},	// [ab00] rfik, _pkbm_, авав, твай_, 
   {{0x7524ac4f,0x3eaf0b32,0xe4570e8a,0x61fbac50}},	//   rviz, _ligt_, ажу_, _acul, 
   {{0x3a200904,0xe28600b3,0x443102fe,0x201eac51}},	//   _kaip_, алжи, _dnz_, _rati_, 
   {{0x201e00f1,0x4421355f,0x7bdaac52,0x4431012e}},	//   _sati_, adh_, zatu, _enz_, 
   {{0x201eac53,0x7bda8993,0xb87b0165,0x648b3a0f}},	//   _pati_, yatu, rrív, güis, 
   {{0x7ee6ac54,0x26de014b,0x3e7a01dd,0x7bda01d6}},	//   ацие, štou_, dīta_, xatu, 
   {{0x7bdaac55,0xa2e327eb,0x00000000,0x00000000}},	//   vatu, _морд, --, --, 
   {{0xf53f38e9,0x7bdaac56,0x201e030b,0xd252009c}},	//   _igår_, watu, _wati_, _بنر_, 
   {{0x7bdaac57,0xdd971d47,0x777e0d75,0x3eaf0566}},	//   tatu, ишь_, _lxpx, _digt_, 
   {{0xdee601ff,0x28b50299,0x00000000,0x00000000}},	//   _вожи, ंदसि, --, --, 
   {{0xa3d7051f,0xfee90038,0x2902ac58,0xee3aac59}},	//   सरत_, _معنى_, etka_, _инж_, 
   {{0x3ced0533,0x7bdaac5a,0xaa67ac5b,0x0d8645c1}},	//   brev_, satu, рток, _клен, 
   {{0x7bdaac5c,0xf1b90604,0x44211e1b,0x00000000}},	//   patu, _jaša_, ydh_, --, 
   {{0x27ed02ec,0x588700e4,0xdca302a6,0xf1b94423}},	//   ßen_, рыма, _дачи, _maša_, 
   {{0x67d503ea,0x80d80f63,0x27ed027e,0x368b058e}},	//   _қону, _नौसे, ğen_, всан_, 
   {{0x27ed01f0,0xe65400dd,0x645500de,0x35b5ac5d}},	//   şen_, овсь, _slzi, сбар, 
   {{0xf1b9ac5e,0x69ddac5f,0xc7b8034c,0x26c50009}},	// [ab10] _naša_, mase, žđa_, ūlo_, 
   {{0x69ddac60,0x57f50515,0x2a69023b,0x03c7ac61}},	//   lase, _упот, _hmab_, рсам, 
   {{0x94a8ac62,0xbebc01dd,0x44210034,0xa6ab070f}},	//   ртта_, _drīk, rdh_, _لاحق_, 
   {{0x69dd49ab,0x7bd80151,0x00000000,0x00000000}},	//   nase, _levu, --, --, 
   {{0xe4a702a0,0x69dd00b4,0x3eaf28f3,0x271805d5}},	//   _врво, iase, _rigt_, _zōn_, 
   {{0x69ddac63,0xe2d9006b,0xb87b1eb1,0x94d401d7}},	//   hase, _مارچ_, crít, _форц, 
   {{0x2d8f02c9,0x2a6900c2,0x2f180108,0x00000000}},	//   _syge_, _omab_, _cũg_, --, 
   {{0x69ddac64,0xa49b0118,0x3e7a01dd,0x61fb023e}},	//   jase, _epòt, tīta_, _ucul, 
   {{0x4bd902c8,0x7bd802a3,0x69ddac65,0x2d991950}},	//   льня_, _bevu, dase, åse_, 
   {{0xa3d700bd,0x3e7a0243,0x00000000,0x00000000}},	//   सरि_, rīta_, --, --, 
   {{0x3a200348,0x5f951117,0x7bd8ac66,0x3ced59cf}},	//   _paip_, _الائ, _devu, srev_, 
   {{0x69dd010d,0x7a3f00e5,0x7bce003e,0x3ced02be}},	//   gase, _këty, ðbur, prev_, 
   {{0x6cc502f1,0xa3d72bf1,0x2f01ac67,0x68e9044e}},	//   _уйла, सरा_, lóg_, šedn, 
   {{0x2902ac68,0xeb9900cf,0x7bd80a58,0x2a690118}},	//   rtka_, _йил_, _gevu, _emab_, 
   {{0x3a200904,0xdddb003d,0xfaa681d0,0xaa4600f0}},	//   _taip_, kluż, _лако, _гейл, 
   {{0x7bc1ac69,0x69c100bc,0xaac4029a,0xa3ca0110}},	//   lclu, ělec, _بتون, ळुन_, 
   {{0xe5a31f28,0x3ae3027e,0xb87b0228,0x291e01dd}},	// [ab20] зити, lıp_, trít, ātas_, 
   {{0x68e40379,0xf1b90304,0xb87b0647,0x28b502e6}},	//   _ivid, _raša_, rsíc, ंदरि, 
   {{0xf1b91920,0x68e401cc,0xe29a4854,0x3ae3027e}},	//   _saša_, _hvid, гаж_, nıp_, 
   {{0xe8040262,0xf1b9ac6a,0x69c401f2,0x26de0028}},	//   श्रा_, _paša_, _jfie, štos_, 
   {{0xcfcf00cc,0x7bc14639,0xb87b2f09,0x1fcf0033}},	//   _রাজন, kclu, prít, _রাজস, 
   {{0xf1b95c6e,0x3ae3027e,0xfc220033,0x66162120}},	//   _vaša_, kıp_, _পক্ষ_, leyk, 
   {{0x69ddac6b,0x7646012d,0x7bd8ac6c,0x2bdb0035}},	//   yase, _koky, _revu, _मज़ा, 
   {{0x68e4ac6d,0x69dd82d6,0x764602a5,0x5d5400fd}},	//   _ovid, xase, _joky, жкит, 
   {{0x764600e4,0x69dd01a4,0x7bd80082,0x412729db}},	//   _moky, vase, _pevu, _лото_, 
   {{0xb4d6000d,0x409600eb,0x69ddac6e,0x7ae3084c}},	//   _सबै_, _الطر, wase, _bvnt, 
   {{0x69ddac6f,0x68e40c42,0x6a15ac70,0x644100a1}},	//   tase, _avid, омну, _òlie, 
   {{0x764605d5,0x7bc301d5,0x7bd802a5,0x00000000}},	//   _noky, _efnu, _wevu, --, 
   {{0xd90f00c5,0x6443014e,0x68e400ca,0x69ddac71}},	//   رید_, önik, _cvid, rase, 
   {{0x69ddac72,0x68e90082,0x69c400b9,0x68e40028}},	//   sase, šedo, _efie, _dvid, 
   {{0xf7730ea3,0x76460102,0x7ac602a6,0x6e220175}},	//   ساس_, _boky, _усле, _kaob, 
   {{0x8afc00ab,0x6e2267c1,0x69dd0216,0x00000000}},	//   rzęd, _jaob, qase, --, 
   {{0x76467ff7,0x68e40339,0x26de115d,0x00000000}},	// [ab30] _doky, _gvid, átor_, --, 
   {{0xf8b502e6,0xa3a70477,0xe8b50110,0x00000000}},	//   ंदीप, бјек, ंदीच, --, 
   {{0xb87b0068,0x26de0082,0x68e40098,0x59c300bc}},	//   brír, štor_, _zvid, वुअर, 
   {{0x09ad00cc,0x200c20ca,0x998902f5,0xa3c90394}},	//   _ক্যা, _abdi_, _znaš_, ैरह_, 
   {{0x68e4ac73,0x7bc101d2,0x3ae30241,0x00000000}},	//   _xvid, yclu, zıp_, --, 
   {{0x3ae301f0,0x1ec9117c,0x7ff500d4,0xd8dc027a}},	//   yıp_, алки_, زستا, נקור, 
   {{0x8fa20d47,0xaad700a5,0xb87b0126,0xee392c11}},	//   маше, _भौंक, nríq, инк_, 
   {{0x442352e6,0x6447ac74,0x6e22ac75,0xece92a86}},	//   _haj_, _hoji, _caob, адил_, 
   {{0x4423ac76,0x644703ef,0x628b963b,0x6e224aec}},	//   _kaj_, _koji, mogo, _daob, 
   {{0x628bac77,0x3d0902c3,0x60c92fa5,0x3ae30241}},	//   logo, _वहीं_, _item, tıp_, 
   {{0xeb99ac78,0x68e4090e,0x6490030f,0xbb4511e7}},	//   рин_, _svid, päiv, ценк, 
   {{0x4423ac79,0x6447ac7a,0x7bc1ac7b,0x60c90089}},	//   _laj_, _loji, sclu, _ktem, 
   {{0x229c014b,0xa3a9061f,0xe8f7ac7c,0x2a3500b9}},	//   níka_, खेत_, оля_, чээр, 
   {{0x4423ac7d,0x6e2283e4,0x60c90d4e,0xa6ca01ff}},	//   _naj_, _zaob, _mtem, илга_, 
   {{0xa7aaac7e,0x61e9a109,0xf1b902ee,0x96baac7f}},	//   рква_, _odel, _našo_, ругу_, 
   {{0x61e900d4,0x628bac80,0x3d1d00bc,0x95ca00a3}},	//   _ndel, jogo, _भनाइ_, рлаб_, 
   {{0x64470571,0x628bac81,0x6616ac82,0x68e47d85}},	// [ab40] _boji, dogo, reyk, _uvid, 
   {{0x4423ac83,0x61e9ac84,0x6447ac85,0x7c23ac86}},	//   _caj_, _adel, _coji, _janr, 
   {{0xb72400c5,0x7c2303a1,0xe73a3552,0x760a02f1}},	//   _عکسه, _manr, _тен_, _кенг_, 
   {{0x7afd006a,0x6b7a00c7,0xd62a02a6,0x442301f1}},	//   ństw, ברענ, _томе_, _eaj_, 
   {{0x4423ac87,0x64a66fc4,0x008603a1,0x61e90156}},	//   _faj_, _мама, олдо, _ddel, 
   {{0x6e222337,0x2912086d,0x61e9ac88,0xe9f9001b}},	//   _saob, _mpya_, _edel, _khả_, 
   {{0x628b005f,0xcf260038,0x60c95632,0xddc2107c}},	//   bogo, ترشي, _etem, _cloş, 
   {{0x442301c1,0x7c230af8,0x00ca00fd,0x628bac89}},	//   _zaj_, _aanr, _влак_, cogo, 
   {{0x7c23ac8a,0x442301a0,0x212d234d,0xafe600b3}},	//   _banr, _yaj_, _greh_, _моал, 
   {{0x4423006f,0x61e90352,0x4cc30033,0x7c2300f8}},	//   _xaj_, _zdel, _শিখু, _canr, 
   {{0x6e2211a1,0x64900088,0x61e9055f,0x7c23ac8b}},	//   _taob, läis, _ydel, _danr, 
   {{0xbebc002a,0xf1b10262,0x7c2301f5,0x00000000}},	//   _brīv, ुँचन, _eanr, --, 
   {{0x649000c8,0xddc200b3,0xd9100019,0x7eb50009}},	//   näis, _emoţ, نیٹ_, _išpa, 
   {{0x7c230156,0x8afc0083,0x00000000,0x00000000}},	//   _ganr, rzęb, --, --, 
   {{0x466bac8c,0x6447ac8d,0xe9f9001b,0x628b59ad}},	//   арам_, _roji, _chả_, yogo, 
   {{0x4423ac8e,0x64900088,0x7c230118,0xf1b90009}},	//   _saj_, käis, _zanr, _rašo_, 
   {{0x4423ac8f,0x628b044e,0x6447031e,0xf1b90121}},	// [ab50] _paj_, vogo, _poji, _sašo_, 
   {{0xf1b976fc,0x8afc0035,0xb87b007a,0x44230034}},	//   _pašo_, częc, msío, _qaj_, 
   {{0x442301c1,0x60c98a8e,0x6447ac90,0xd5ba01a2}},	//   _vaj_, _stem, _voji, рсӣ_, 
   {{0xf1b9008b,0xb87b0165,0x6447045a,0xb5fb019c}},	//   _vašo_, juíz, _woji, _amáv, 
   {{0x442303ef,0x644702f1,0xe135713b,0xd65600d1}},	//   _taj_, _toji, янды, _זירת_, 
   {{0x44b40141,0x94ba00a7,0x628b0727,0x4423006d}},	//   _обяс, _למשת, sogo, _uaj_, 
   {{0xa2ab04cc,0xef190283,0x290402a4,0x1359007a}},	//   जगद्, ёми_, çmaz_, _الأخ_, 
   {{0xee39ac91,0x61e9ac92,0x7c23ac93,0x212d008b}},	//   сни_, _udel, _sanr, _treh_, 
   {{0x7c2366a5,0xa1583740,0x61e4003e,0x28b70586}},	//   _panr, _дату_, ðile, _इंगि, 
   {{0x98a90242,0xeb9903a1,0x00000000,0x00000000}},	//   _brač_, йип_, --, --, 
   {{0xf9890138,0x7c23ac94,0x260c0ede,0x69c1031e}},	//   _ער_, _vanr, ड्डी_, ělen, 
   {{0xc869042c,0x98a90bad,0x7c23023e,0xdce701f0}},	//   _גן_, _drač_, _wanr, şlık, 
   {{0x7c230540,0x00000000,0x00000000,0x00000000}},	//   _tanr, --, --, --, 
   {{0x649014aa,0xe9f90108,0xccf90083,0xb87b02be}},	//   häir, _phả_, muś_, ssín, 
   {{0x2bd102f8,0x81e10033,0x1867122f,0x07a30477}},	//   _द्या, _দান_, чари_, еарн, 
   {{0x98a00bfc,0x6b9c0380,0x7e7bac95,0x00000000}},	//   _orić_, ürge, nnup, --, 
   {{0x959aac96,0x056630e0,0x29120053,0xcaa50fce}},	// [ab60] ству_, чван, _upya_, _تصوي, 
   {{0x14234a1c,0x69c601e5,0xe9f900e7,0xb87b0165}},	//   ндум, lcke, _thả_, nsíl, 
   {{0xdc9a00c7,0x69450499,0x67bb00df,0x00000000}},	//   ציעל, _فضیل, _למיק, --, 
   {{0x6490030f,0xb87b03da,0x645eac97,0xf126004f}},	//   täis, xuíz, shpi, зько, 
   {{0xc5f30111,0x68e6ac98,0x00000000,0x00000000}},	//   _אדר_, nskd, --, --, 
   {{0x64900088,0xc0aa1a1c,0x5f940d75,0x859b00d1}},	//   räis, حاصل_, милт, _לשכו, 
   {{0x64a3ac99,0x63831b11,0x98a00ab4,0x649000c8}},	//   _чара, _згра, _erić_, säis, 
   {{0x4444ac9a,0x6490ac9b,0x2bd10586,0x7644ac9c}},	//   lj_, päis, _द्बा, njiy, 
   {{0x444401c1,0x6280ac9d,0x00000000,0x00000000}},	//   oj_, _ijmo, --, --, 
   {{0x4444ac9e,0x3b546445,0x61e2ac9f,0xfd0f0038}},	//   nj_, дкор, laol, اجي_, 
   {{0x444401a0,0x4438018c,0xcf8d009c,0x8e0a620e}},	//   ij_, _mnr_, _پژو_, _гнев_, 
   {{0x6aa46fe1,0x7f3b00a7,0x61e2aca0,0x9d461271}},	//   _chif, _לעבו, naol, _неед, 
   {{0x444400e2,0x3ebe0090,0x81e10086,0x5b13004e}},	//   kj_, _hutt_, _দাম_, _үміт, 
   {{0x8c4313cc,0x61e20180,0x7b0500c8,0x98a92cb7}},	//   _пече, haol, öttö, _trač_, 
   {{0x61e2aca1,0x3ebe00b0,0x7c38aca2,0x6aa400a1}},	//   kaol, _jutt_, _invr, _fhif, 
   {{0x4444aca3,0x7afaaca4,0x6aa403bc,0x61e200b0}},	//   ej_, mutt, _ghif, jaol, 
   {{0x7afa3c27,0x28b707d5,0x4438aca5,0x38a402ae}},	// [ab70] lutt, _इंटि, _bnr_, förd_, 
   {{0x7c28aca6,0xd49b32e0,0x62800304,0xd3a726f1}},	//   nddr, ёра_, _ajmo, преп, 
   {{0x7afaaca7,0x2c0e009a,0x69df0034,0x4438aca8}},	//   nutt, त्यू_, _keqe, _dnr_, 
   {{0x44440e0c,0x27e3aca9,0x2fde0068,0x645c6136}},	//   aj_, lajn_, _aetg_, _elri, 
   {{0x92b41169,0xf1b900ca,0x7afa2541,0x7c380d62}},	//   رحما, _hašk_, hutt, _onvr, 
   {{0x7afaacaa,0xe0d02ee1,0x69df0194,0x27e3021e}},	//   kutt, ازن_, _leqe, najn_, 
   {{0x9ea91e6e,0x69c6022b,0x752dacab,0x7afaacac}},	//   овка_, ycke, lvaz, jutt, 
   {{0x7afaacad,0xa29400dd,0x7c2810f3,0x69df009e}},	//   dutt, _засі, eddr, _neqe, 
   {{0x3e6a00d4,0xa3a9031e,0x6aa400f8,0xc21200d1}},	//   تجوی_, खेर_, _rhif, _בהן_, 
   {{0x6aa4acae,0x8b0702d9,0x7afa4234,0x27e3011c}},	//   _shif, _naří, futt, jajn_, 
   {{0x3ebe004f,0x28b708d2,0x4ea700a3,0x7afa00fc}},	//   _gutt_, _इंजि, _ерда, gutt, 
   {{0x60db0610,0x00000000,0x00000000,0x00000000}},	//   _kwum, --, --, --, 
   {{0x752d090b,0x660d6db0,0xb5fb05a8,0x38a40502}},	//   jvaz, dfak, _mlád, höre_, 
   {{0x6e2915d2,0x7afa372e,0x6ca70161,0xed160019}},	//   ldeb, butt, _эреж, _کہیں_, 
   {{0x6aa4016a,0x443800a1,0xb87b0183,0x7afaacaf}},	//   _thif, _rnr_, csím, cutt, 
   {{0x444401c1,0x6aa40548,0x969500f0,0x60db052b}},	//   wj_, _uhif, еруш, _owum, 
   {{0xa50768fe,0x7d09acb0,0xfaa704f2,0x76448832}},	// [ab80] мета_, ntes, _تجوی, rjiy, 
   {{0x44440e0c,0x660d030c,0xa3ba0038,0x765d0844}},	//   uj_, afak, زائر_, _elsy, 
   {{0x7d09acb1,0xf2c5004e,0xdb030183,0x020600e4}},	//   htes, есін, _ignó, дзен, 
   {{0x8b07031e,0x7d09acb2,0x60db0610,0xdb24010e}},	//   _zaří, ktes, _bwum, ésév, 
   {{0x61e2acb3,0x7d09024a,0x5183acb4,0x6e29acb5}},	//   raol, jtes, куша, ddeb, 
   {{0x645c1096,0xdfcf00b1,0x64a61dbc,0xf1a920b4}},	//   _ulri, ليه_, _цага, سانه_, 
   {{0x63bc0082,0x61e20036,0xdde10304,0x60db01b8}},	//   _igrn, paol, _šuša, _ewum, 
   {{0x03a3362f,0x27e32353,0x7afa00c8,0x6e29acb6}},	//   _рисо, zajn_, vutt, gdeb, 
   {{0x7eb50009,0xc006acb7,0x7c3801cf,0x7d09acb8}},	//   _išpl, _опак, _pnvr, gtes, 
   {{0x61e0014e,0x69df008a,0x7afaacb9,0x3ebe00fd}},	//   _heml, _seqe, tutt, _tutt_, 
   {{0x61e0acba,0x93f70486,0x7d09acbb,0x2c600237}},	//   _keml, וציא_, ates, _nòde_, 
   {{0x60c0acbc,0x7afa5fec,0xd9ad0086,0x201cacbd}},	//   _kumm, rutt, _ক্ষম, levi_, 
   {{0x27e30112,0x69df010c,0x7d09acbe,0x61e01228}},	//   tajn_, _veqe, ctes, _meml, 
   {{0x60c0acbf,0x7afa5085,0x3e7a01dd,0x752d0ab4}},	//   _mumm, putt, dīti_, vvaz, 
   {{0x27e30405,0x69df010c,0xf794012d,0x7bca00a4}},	//   rajn_, _teqe, варэ, _iffu, 
   {{0x61e0acc0,0xfe1407d5,0xb5fb007a,0x201c023a}},	//   _neml, _थॉमस_, _amár, hevi_, 
   {{0x60c048f4,0xd7d011bd,0x1fab072f,0x5694021f}},	// [ab90] _numm, _त्वच, _चण्ड, татт, 
   {{0x201c02f5,0x752dacc1,0x2c600118,0xb5fb0098}},	//   jevi_, rvaz, _fòde_, _slád, 
   {{0xa3a90da6,0xc7d60056,0xd3711966,0x3a29018c}},	//   खें_, _אותי_, دها_, _kaap_, 
   {{0xa4d500dd,0x3a29013c,0xd3a41d65,0x7d09acc2}},	//   _помі, _jaap_, труп, ytes, 
   {{0xb5fb0076,0x3a29187b,0x7bcaacc3,0x61e4003e}},	//   _vlád, _maap_, _offu, ðila, 
   {{0x8fa50715,0x78fc00d1,0x26c10144,0xf1b90144}},	//   нале, קלופ, _kuho_, _maši_, 
   {{0x2eb5acc4,0x26c1acc5,0x3ea601be,0x6e294dd1}},	//   нсис, _juho_, _bhot_, tdeb, 
   {{0x6d25263b,0x7bcaacc6,0x26c1acc7,0x60db02b8}},	//   едиз, _affu, _muho_, _twum, 
   {{0x6fca08b3,0x26c12244,0x60db007c,0xb5fb00de}},	//   _स्कू, _luho_, _uwum, _kláb, 
   {{0xf1b914bf,0x201c2c11,0x224dacc8,0x68fdacc9}},	//   _naši_, cevi_, _hoek_, dusd, 
   {{0x09ad0086,0xdbdc01d5,0x7d09107d,0x224dacca}},	//   _ক্লা, ráði, stes, _koek_, 
   {{0x7bca01a3,0xc332008d,0x61e0010c,0x00000000}},	//   _effu, אוט_, _xeml, --, 
   {{0x3ead0cac,0xddc9002a,0x224d1c85,0x19b90a65}},	//   mmet_, cieš, _moek_, дурь_, 
   {{0x3eadaccb,0x26c1accc,0x224d01d2,0x00000000}},	//   lmet_, _buho_, _loek_, --, 
   {{0x4ac60466,0x6a9600dd,0x601304be,0x5a9603b7}},	//   _रूपव, _приє, mımı, _приф, 
   {{0xe9da0161,0x09da0086,0xb5fb5194,0xe61f0228}},	//   _эки_, _থাকা, _aláb, _skôr_, 
   {{0x33f6accd,0x3eadacce,0x61e001d2,0x201c00ad}},	// [aba0] ечес, imet_, _reml, yevi_, 
   {{0x3ead3ee9,0x60c0accf,0x601303c0,0xf1b90a88}},	//   hmet_, _rumm, nımı, _gaši_, 
   {{0x224d09a2,0x60c0acd0,0x779411b7,0x26c1011d}},	//   _boek_, _summ, _شیرا, _guho_, 
   {{0x3ead00e5,0x224d02fe,0x27e101c4,0x20051fd3}},	//   jmet_, _coek_, _zehn_, _acli_, 
   {{0x645b006b,0x3eadacd1,0x201c8617,0x6013027e}},	//   áció, dmet_, tevi_, kımı, 
   {{0xddc93cf5,0x3ea69f3e,0x260c02e6,0xe4d70038}},	//   vieš, _shot_, ड्री_, _سوفت_, 
   {{0x03a383aa,0x442a023b,0x53a38fa8,0x2a6000cf}},	//   _биро, _iab_, _барб, _olib_, 
   {{0x442aacd2,0x60c0acd3,0xddc901dd,0x200500c3}},	//   _hab_, _tumm, tieš, _ecli_, 
   {{0x644e006a,0x442aacd4,0x60c0011d,0x201c210a}},	//   _kobi, _kab_, _uumm, pevi_, 
   {{0x224d0536,0xddc9787b,0x644eacd5,0x2cb8014e}},	//   _zoek_, rieš, _jobi, örd_, 
   {{0x442aacd6,0x3ea6024a,0x1c4600f0,0x1eda149e}},	//   _mab_, _thot_, _үнем, _رباب_, 
   {{0x26c10588,0xf1b90082,0x2456008c,0x69c09406}},	//   _ruho_, _saši_, _dæmi_, žmen, 
   {{0x2bd129c4,0x26c16639,0x442a0165,0xf1b901dd}},	//   _द्वा, _suho_, _oab_, _paši_, 
   {{0x442a006f,0x644eacd7,0x7bca0036,0x60130213}},	//   _nab_, _nobi, _uffu, cımı, 
   {{0xf1b9acd8,0x443f0023,0x7c2a08b0,0x6b660151}},	//   _vaši_, _đu_, _iafr, _dégé, 
   {{0x3a293688,0x442aacd9,0x7c2aacda,0x4b3700d1}},	//   _uaap_, _aab_, _hafr, _טרול_, 
   {{0x442aa4d8,0x59d400eb,0x27e10216,0x947500d7}},	// [abb0] _bab_, _صغير, _tehn_, نگسا, 
   {{0x442aacdb,0xaaa52c8a,0x224d0691,0x644eacdc}},	//   _cab_, _गीतक, _soek_, _cobi, 
   {{0x442a01c1,0x7c2a00bc,0x225facdd,0x224d033e}},	//   _dab_, _mafr, _pluk_, _poek_, 
   {{0x7c2a3d6d,0x442a01cf,0x41550afc,0x60130761}},	//   _lafr, _eab_, квес, zımı, 
   {{0x442a3b16,0x99800097,0x60130585,0x00c800f0}},	//   _fab_, _kaiš_, yımı, елік_, 
   {{0x644e91f9,0x442aacde,0x80d30086,0x7c2a01ff}},	//   _gobi, _gab_, _সিদ্, _nafr, 
   {{0x3eadacdf,0x26c500da,0xf83800d1,0x00000000}},	//   tmet_, íloh_, תנות_, --, 
   {{0x3eb9ace0,0x644eace1,0x68edace2,0x442aace3}},	//   öst_, _zobi, _ovad, _zab_, 
   {{0x22843a79,0x3eadace4,0x5187386d,0x442aace5}},	//   _сург, rmet_, _чува, _yab_, 
   {{0x09e10086,0x3eadace6,0x442a006f,0x3e7a01dd}},	//   _ভাষা, smet_, _xab_, dītu_, 
   {{0x6fca000f,0x60130749,0x68edace7,0x7c2aace8}},	//   _स्टू, rımı, _avad, _dafr, 
   {{0x16112659,0x7c2a01f2,0x2bd10110,0x2a60ace9}},	//   _डॉलर_, _eafr, _द्रा, _qlib_, 
   {{0xed4eacea,0x260c0083,0x6013035d,0x8d920dec}},	//   _то_, _डॉगी_, pımı, _پلوش, 
   {{0x38a4014e,0xfaf800e0,0x31560070,0xeaf91a1c}},	//   föra_, brī_, דישן_, _قربت_, 
   {{0x442aaceb,0x644e3508,0x6b66acec,0x38a40219}},	//   _rab_, _robi, _végé, göra_, 
   {{0x442a01c1,0x644eaced,0xdbe20107,0x4a7603a1}},	//   _sab_, _sobi, _rééd, _шылт, 
   {{0xd0400264,0x442a0e0c,0x6e2b5144,0x644e8bd6}},	// [abc0] _etmə, _pab_, _magb, _pobi, 
   {{0x442a01c1,0x446300ce,0x037a0881,0x42d61afd}},	//   _qab_, авув, وحات_, віду, 
   {{0x2c13109f,0x442aacee,0xf1b9015e,0x245f009e}},	//   त्यं_, _vab_, _mašu_, _qîma_, 
   {{0x6e2b5144,0xd25900dd,0x90e600d4,0x644e019b}},	//   _nagb, нці_, نستن, _wobi, 
   {{0x442a01c1,0x644eacef,0xa06a85c9,0x81e10bf1}},	//   _tab_, _tobi, мада_, _দাশ_, 
   {{0x9f470218,0x442a1dc7,0x644e0062,0xc7b805ae}},	//   manê_, _uab_, _uobi, žđu_, 
   {{0x9f47010c,0x7c2aacf0,0x6e2bacf1,0x66047abe}},	//   lanê_, _rafr, _bagb, ogik, 
   {{0x660411a4,0xdceb027e,0x38786aeb,0x00000000}},	//   ngik, _azgı, hirr_, --, 
   {{0xa3d600b5,0x6282050a,0xdbdc01d5,0xd02600fd}},	//   _सभा_, mnoo, _báðu, _имай, 
   {{0x628201d2,0x3fcb0296,0x00000000,0x00000000}},	//   lnoo, _قدمی_, --, --, 
   {{0x6fd805f6,0x9f47078a,0x68ed09b2,0x6e2b01e8}},	//   _न्यू, hanê_, _svad, _fagb, 
   {{0x6f790137,0x62826ad2,0xb87b0165,0x7524acf2}},	//   _אָנג, nnoo, nsív, kwiz, 
   {{0x94030262,0x6e20acf3,0xd87700eb,0x7c2a025b}},	//   _लालच_, memb, ناسب, _tafr, 
   {{0x6e20acf4,0x9f470218,0x7e620149,0x7d0027e3}},	//   lemb, danê_, _hlop, mums, 
   {{0x7e62acf5,0x8c1b00a7,0xfaa75750,0x6e2b0102}},	//   _klop, _חווי, _ишин, _yagb, 
   {{0x80d30086,0x66040495,0xb5950080,0x00000000}},	//   _সিস্, ggik, гибш, --, 
   {{0xa5070088,0x3944014e,0x7d00acf6,0x7524acf7}},	// [abd0] ъявл, ämst_, nums, gwiz, 
   {{0x6e20acf8,0xd37bacf9,0x648b01dd,0x07eb0019}},	//   hemb, мче_, kļie, _کرکٹ_, 
   {{0x7e620102,0x7d000097,0x623502a0,0x764f00f8}},	//   _olop, hums, лежу, _tocy, 
   {{0x6e20acfa,0x7d00acfb,0x628206a6,0x9f47009e}},	//   jemb, kums, gnoo, banê_, 
   {{0x7d00acfc,0x6e200547,0x6f1a0183,0xed460019}},	//   jums, demb, _aptc, _اپ_, 
   {{0x6e2bacfd,0x6282040b,0xaa201d11,0x7eb50028}},	//   _sagb, anoo, _बस्छ_, _išpi, 
   {{0x6e2b80ed,0x6282006d,0x4421acfe,0x9f47024a}},	//   _pagb, bnoo, meh_, manë_, 
   {{0x4421acff,0x05a72569,0x3e7a00e0,0xf1b90082}},	//   leh_, _खराब, dīts_, _sašu_, 
   {{0xf1b900e0,0x51842bd0,0x7d000243,0x00000000}},	//   _pašu_, _куфа, gums, --, 
   {{0x4421ad00,0xe9f9001b,0x51846a02,0x6604019b}},	//   neh_, _thẻ_, _туса, zgik, 
   {{0x6e2bad01,0xf1b9ad02,0x9f47010c,0x6e20ad03}},	//   _tagb, _vašu_, zanê_, bemb, 
   {{0x4421ad04,0xcd350399,0x9f470218,0x7f581cc1}},	//   heh_, _مرتب, yanê_, _шахс_, 
   {{0x9f47024a,0x7ea50126,0x94030083,0x7afa039b}},	//   kanë_, cópa, _लांच_, artt, 
   {{0x44210f30,0x9f47010c,0x7e621a35,0x8c4215c5}},	//   jeh_, vanê_, _zlop, _геше, 
   {{0x9f470ebd,0x91e3007e,0x4421ad05,0xf1b900ca}},	//   wanê_, खराज_, deh_, _zašt_, 
   {{0x9f470218,0x7524ad06,0x787400ad,0x44210891}},	//   tanê_, twiz, _müvə, eeh_, 
   {{0x96b9085c,0xe9f9001b,0xc224009c,0x85060038}},	// [abe0] туру_, _nhẹ_, یکرو, طوان, 
   {{0x6e20ad07,0x2902ad08,0x9f476ad7,0x75240027}},	//   zemb, muka_, ranê_, rwiz, 
   {{0x2902ad09,0xe1fa08ad,0x6e2055f2,0x9f47010c}},	//   luka_, еге_, yemb, sanê_, 
   {{0x26d8ad0a,0x1c130586,0x2c13016a,0x442100a1}},	//   mpro_, त्तल_, त्तं_, aeh_, 
   {{0x2902ad0b,0x6282ad0c,0x44213e6a,0x7c212407}},	//   nuka_, rnoo, beh_, kelr, 
   {{0x3cf9006a,0xb87b00ce,0xb4c004bd,0x442110fd}},	//   ोंने_, ssív, ँदी_, ceh_, 
   {{0xe8160154,0x29020705,0xb87b0183,0x7e62ad0d}},	//   द्या_, huka_, rríx, _plop, 
   {{0xe3c107fa,0x4ea608a5,0x2902ad0e,0x7d0005df}},	//   ğış_, ырла, kuka_, tums, 
   {{0x6e20ad0f,0x127b0137,0x52750161,0x2902ad10}},	//   remb, _נאמע, _туру, juka_, 
   {{0x7ea50019,0x3e7a00e0,0x7c21ad11,0x13e80033}},	//   rópa, tīts_, gelr, _পাড়, 
   {{0x7d00ad12,0x6e200204,0x8fa61a63,0xdd9300f0}},	//   sums, pemb, _саже, _қашы, 
   {{0xfce6ad13,0x2902ad14,0x320613cd,0xdd8f009c}},	//   _бодо, fuka_, ngoy_, _کوه_, 
   {{0x6e93361f,0xf1b900ef,0x4421ad15,0x49a5004e}},	//   _النا, _hašr_, yeh_, рынғ, 
   {{0x36d5ad16,0x6d4600c8,0xf7730433,0x32060175}},	//   иогр, äkau, ماز_, hgoy_, 
   {{0x395f3cf5,0x2bda031e,0x442100a9,0xab271571}},	//   šus_, _म्या, veh_, _боја_, 
   {{0x9f459587,0x4421ad17,0xf8bf0107,0x45d50a10}},	//   _belê_, weh_, uvés_, роас, 
   {{0x44219191,0xf8bf026d,0x6283026a,0x229c00bc}},	// [abf0] teh_, rvés_, énom, níku_, 
   {{0x225d26d9,0x35b4aa8c,0xb5fb0634,0xe3b3007a}},	//   wkwk_, сбур, _glán, مرض_, 
   {{0x9f4700e5,0x4421467f,0x69dd0102,0x6aad084c}},	//   ranë_, reh_, obse, _khaf, 
   {{0x4421ad18,0x60cd248c,0x644806df,0xeb9700c7}},	//   seh_, íamo, _òdin, נדאר_, 
   {{0x9f45ad19,0x4421ad1a,0x61457f15,0x9f4700d4}},	//   _gelê_, peh_, рела, mané_, 
   {{0x3f9e026e,0x9f4700d4,0x5fcf072f,0x008400dd}},	//   _bytu_, lané_, _स्खल, бліо, 
   {{0xe7e600a2,0x29026add,0x02a76672,0xfe451ca5}},	//   करता_, zuka_, _брам, инко, 
   {{0xee39ad1b,0x7c21ad1c,0x2902ad1d,0x9f47ad1e}},	//   тни_, welr, yuka_, nané_, 
   {{0xddc3004e,0x656dad1f,0xb87b0183,0x629b019b}},	//   _құпи, nzah, nsís, _ikuo, 
   {{0x9f6b0021,0x9f47ad1e,0x29029793,0x61ebad20}},	//   _през_, hané_, vuka_, lagl, 
   {{0x9f47ad1e,0x290201ae,0x6aad01be,0x68fd206b}},	//   kané_, wuka_, _bhaf, ersd, 
   {{0x61eb7b38,0x6f031415,0x6aad6195,0x2902ad21}},	//   nagl, munc, _chaf, tuka_, 
   {{0x9f47ad22,0xb5fb0076,0x6f031d0a,0x8c45413d}},	//   dané_, _plán, lunc, _веле, 
   {{0x2902ad23,0x61eb0c98,0x2007ad24,0x6d5b0201}},	//   ruka_, hagl, ngni_, myua, 
   {{0x66e6ad25,0xfaa648f6,0x29026f8d,0x7ea50165}},	//   роба, _како, suka_, nópo, 
   {{0x7afcad26,0x7e7b02cd,0x290206f2,0x6aadad27}},	//   árte, niup, puka_, _ghaf, 
  
   {{0x6d5b01a0,0x69c410df,0x61ebad28,0xd8f40535}},	// [ac00] nyua, _igie, dagl, _ازبک, 
   {{0x6f03ad29,0xe45f0219,0x629b044d,0x7e7b0008}},	//   kunc, _stör_, _akuo, hiup, 
   {{0x9f47ad2a,0xf7460a84,0x6d5b016a,0x032691c4}},	//   bané_, _тено, hyua, рден, 
   {{0x6f030a1a,0x61eb00fd,0x68e47c76,0xb87b0019}},	//   dunc, gagl, _kwid, ssít, 
   {{0x7bc30093,0xb17d0228,0x6d5b006d,0x602626ea}},	//   _ognu, _deťo, jyua, идда, 
   {{0xa07302fb,0x6f03ad2b,0x68e43a80,0xb60800da}},	//   огіч, func, _mwid, _fešá, 
   {{0x53aa072f,0x6f03ad2c,0x61eb02a3,0xdc2100a4}},	//   _करिश, gunc, bagl, _eċċi, 
   {{0xa2cb4493,0xd1760161,0x6289024a,0x61ebad2d}},	//   _तंत्, _кызы, _gjeo, cagl, 
   {{0x6d5b006d,0xbebc01dd,0x9046009c,0x5c9800fd}},	//   gyua, _krīz, _پناه, лкия_, 
   {{0x9f47ad2e,0x7ae3084c,0xeb4a009c,0x6aadad2f}},	//   manî_, _bwnt, نشجو_, _shaf, 
   {{0xe9f90029,0x6f03ad30,0x9f47ad31,0x656d01f2}},	//   _chế_, cunc, yané_, zzah, 
   {{0xc3330056,0x7e690727,0xb9e4004e,0x6d5b006d}},	//   קור_, chep, жіри, byua, 
   {{0x9f47ad32,0xac18004e,0x272700f8,0xdd9229ce}},	//   vané_, _болу_, _sŵn_, _بوش_, 
   {{0x78620187,0xdc0801dd,0x68e40175,0xd7f8ad33}},	//   _dôvo, _rēķi, _dwid, иус_, 
   {{0xe81602f8,0x9f47ad34,0xb4c0000d,0xe9f9001b}},	//   द्धा_, tané_, ँदै_, _ghế_, 
   {{0x798d0e0c,0x9f47009e,0x656d0380,0x9f4503a0}},	//   _txaw, kanî_, tzah, _delè_, 
   {{0x764d2d95,0x9f47ad35,0x61ebad36,0x611a00e0}},	// [ac10] rjay, rané_, vagl, nālā, 
   {{0xe8163512,0x9f47ad37,0xea00001b,0x9865006b}},	//   द्दा_, sané_, _trải_, _ایسے_, 
   {{0x61ebad38,0x9f47ad1e,0x656d0380,0xbebc01dd}},	//   tagl, pané_, szah, _drīz, 
   {{0x09bb00cc,0xdddb00ef,0x200c02a5,0x7e690034}},	//   _অ্যা, knuš, _acdi_, xhep, 
   {{0xe1f8005e,0x200c0610,0x7e7b00ca,0x05847208}},	//   ргі_, _bcdi_, viup, _дурм, 
   {{0x6f030f23,0x6d5b006d,0x00000000,0x00000000}},	//   tunc, vyua, --, --, 
   {{0x61eb0c3d,0x7e6907d7,0xb5fb0327,0x443101f1}},	//   pagl, thep, _llám, _iaz_, 
   {{0x4431ad39,0x645500cf,0x7ea50183,0x9f470216}},	//   _haz_, _hozi, rópo, banî_, 
   {{0xee360238,0x4431ad3a,0x7ea57a13,0xbef40098}},	//   сны_, _kaz_, sópo, _číňa, 
   {{0x443111c8,0x3c65030f,0x62990298,0xac1800dd}},	//   _jaz_, ског, lowo, ацює_, 
   {{0x61e90077,0x6d5bad3b,0x7e692252,0x20120095}},	//   _keel, syua, phep, əyi_, 
   {{0x645529a6,0x78620187,0x60c1ad3c,0x9f45ad3d}},	//   _lozi, _pôvo, _hilm, _relè_, 
   {{0x61e90077,0x61e404f4,0x60c18469,0x60c9011c}},	//   _meel, ðili, _kilm, _juem, 
   {{0xe9f900f7,0x6455ad3e,0x4431ad3f,0x7eac010c}},	//   _thế_, _nozi, _naz_, rûpe, 
   {{0x9f470216,0x6299ad40,0x475900d9,0x2d9200fc}},	//   zanî_, kowo, артя_, _øyer_, 
   {{0x9f470218,0x61e9ad41,0x9f45037f,0xcf920070}},	//   yanî_, _neel, _celé_, פטן_, 
   {{0x62996551,0x4431ad42,0x6455034c,0xceb200d1}},	// [ac20] dowo, _baz_, _bozi, ליל_, 
   {{0x645503b7,0x4431ad43,0x9f47010c,0x4806017b}},	//   _cozi, _caz_, vanî_, _упов, 
   {{0x645500d2,0x61e9ad44,0xddcb0035,0x9f45010e}},	//   _dozi, _beel, _mogł, _felé_, 
   {{0x9f47009e,0xb146004e,0x61e9ad45,0xdb9a0070}},	//   tanî_, йнел, _ceel, אסער, 
   {{0x60c11c15,0x4431ad46,0x61e909a2,0x863700a7}},	//   _bilm, _faz_, _deel, _הרכב_, 
   {{0xd259002a,0x9f470218,0x60c1ad47,0x60c901d8}},	//   _viņa_, ranî_, _cilm, _duem, 
   {{0x60c1ad48,0x0dc80f5a,0x9f470218,0xb7db008d}},	//   _dilm, қуқи_, sanî_, אקצי, 
   {{0x61e99eca,0x629900ab,0x6455044d,0xa2c50299}},	//   _geel, cowo, _zozi, िदर्, 
   {{0x443103c0,0x645500cf,0xc0e311f9,0xdc3c007b}},	//   _yaz_, _yozi, _нотк, _aġġu, 
   {{0xddc23077,0x61e9ad49,0x26c2ad4a,0x611a01dd}},	//   _umož, _zeel, _liko_, rālā, 
   {{0xfd0f00d6,0xb4db03a1,0x6a6601d5,0xb5fb00d8}},	//   وجی_, _gràf, _sófa, _slám, 
   {{0x60c1ad4b,0xaa6732e3,0x00000000,0x00000000}},	//   _zilm, сток, --, --, 
   {{0x4bc400f6,0x60c134ec,0xb5fb0183,0x2e3700d1}},	//   _мөнг, _yilm, _imáx, _לראש_, 
   {{0x26c2ad4c,0x588700f0,0x67d411cd,0x9f4517f9}},	//   _aiko_, сыма, зору, _selé_, 
   {{0x44313508,0x27ff0824,0xeac9001b,0x6455ad4d}},	//   _raz_, ğun_, _hẹn_, _rozi, 
   {{0x6455ad4e,0x26c200ef,0x44310218,0xea00001b}},	//   _sozi, _ciko_, _saz_, _trại_, 
   {{0x545525b6,0x44310e2e,0x26c2011d,0x25a20083}},	// [ac30] оват, _paz_, _diko_, _cykl_, 
   {{0xe787ad4f,0x2a69023b,0x44310095,0x61e9ad50}},	//   _гумо, _hlab_, _qaz_, _seel, 
   {{0x64551487,0x61e9ad51,0x94a8048a,0x0ec40c14}},	//   _vozi, _peel, стта_, _लंगड, 
   {{0x60c11ab9,0x26c20027,0xd9fb02e6,0x44310382}},	//   _silm, _giko_, ्लित_, _waz_, 
   {{0x6299ad52,0x60c908f4,0x4431ad53,0xe3e800cc}},	//   rowo, _quem, _taz_, _পারব, 
   {{0x212d02ee,0x60c100cf,0x2a6902f1,0x81e10086}},	//   _vseh_, _qilm, _llab_, _দাও_, 
   {{0x786b0c05,0x61e9ad54,0xb4db01be,0x661d0175}},	//   _güve, _teel, _bràg, _kbsk, 
   {{0xbec6004e,0x8265023e,0x2a6900a3,0xeac90210}},	//   іңіз_, _بهرن, _nlab_, _bẹn_, 
   {{0x60c10022,0x9f450216,0x2bda09ef,0xb4db01be}},	//   _tilm, _gelî_, _म्हा, _dràg, 
   {{0x2a696e73,0xec790cdf,0x9f47ad55,0xb4db022c}},	//   _alab_, рпо_, laní_, _tràf, 
   {{0x2dd5a655,0x2a6900ca,0x661d5876,0xb4db03dd}},	//   _джер, _blab_, _obsk, _fràg, 
   {{0x753d006b,0xee2e02f1,0x9f472549,0xa9a648e3}},	//   _orsz, _ўн_, naní_, жимд, 
   {{0x2d8a009e,0x00000000,0x00000000,0x00000000}},	//   şber_, --, --, --, 
   {{0x8c450082,0x26c2ad56,0x2a6900b0,0x6ed10243}},	//   _феке, _siko_, _elab_, _zāba, 
   {{0x81ea0086,0x18a3ad57,0x9f470ed0,0x00000000}},	//   _মাস_, фарм, kaní_, --, 
   {{0x2a690102,0x8afc0035,0x00000000,0x00000000}},	//   _glab_, rzęt, --, --, 
   {{0x9f472549,0xa50aad58,0xeac900e7,0x786b635e}},	// [ac40] daní_, реза_, _kẹo_, _süve, 
   {{0x2a6901ff,0x26c20106,0x00000000,0x00000000}},	//   _zlab_, _wiko_, --, --, 
   {{0x26c2ad59,0xeac9001b,0x2a6902f1,0xd1ca00b3}},	//   _tiko_, _mẹo_, _ylab_, алее_, 
   {{0xe81600c9,0xa3d600b0,0xe29a012d,0x00000000}},	//   द्रा_, _सभक_, шае_, --, 
   {{0xdfd40235,0x2ba602e6,0xb4db01be,0x7646ad5a}},	//   полы, _ऑर्थ, _cràd, _inky, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xed500019,0x3e6aad5b,0x42d608ab,0x03a31b69}},	//   کھا_, ишин_, _фігу, _жиро, 
   {{0x63ae00ef,0x672200ef,0x200000d9,0xbe8a02a6}},	//   _izbn, _ćojl, şii_, јске_, 
   {{0xddc200ab,0xd00a0886,0xd25900e0,0x9f450054}},	//   _umoż, _везе_, _ziņo_, _helì_, 
   {{0x09e32360,0x0bf332f8,0x61e2098d,0x6283ad5c}},	//   पर्य, мпью, lbol, énov, 
   {{0x2a69ad5d,0x20d0001b,0x29020228,0x7f861117}},	//   _plab_, _hài_, erka_, _بلان, 
   {{0x61e23fdd,0xb5fb0356,0x3ce60379,0x00000000}},	//   nbol, _vlák, _twov_, --, 
   {{0x17e20086,0x00000000,0x00000000,0x00000000}},	//   _বাড়ি, --, --, --, 
   {{0x20d00023,0xfb8600d9,0xd7c90038,0x9f470ed0}},	//   _mài_, _мыйн, صوره_, zaní_, 
   {{0x61e2ad5e,0x7c2800f8,0xdcc80023,0x96f85a00}},	//   kbol, medr, _mỉm_, жест_, 
   {{0xfb87009c,0x00000000,0x00000000,0x00000000}},	//   _بدهی, --, --, --, 
   {{0x9f471e6f,0x61e201cc,0x20d00108,0x661d4f13}},	// [ac50] vaní_, dbol, _nài_, _vbsk, 
   {{0x97154b8f,0xa3a70886,0x2c600237,0x7646ad5f}},	//   _емоц, ојек, _bòdi_, _enky, 
   {{0xd498019e,0x8c2500cc,0x9f470032,0x2c6000b9}},	//   іру_, বাচন_, taní_, _còdi_, 
   {{0x20d00124,0x56950e52,0x7c28ad60,0x42c8004e}},	//   _bài_, _хамт, hedr, ігін_, 
   {{0xdd86057f,0x20d00029,0x9f47026e,0x712736a7}},	//   _أو_, _cài_, raní_, ترال, 
   {{0x20d00029,0x55ba00a7,0x2bda109f,0x61e202a3}},	//   _dài_, _למרו, _म्ला, abol, 
   {{0x61e2ad61,0xdb0305a8,0x752d19dc,0x7c28042a}},	//   bbol, _ozná, lwaz, dedr, 
   {{0x29020164,0x69db123c,0xeac90023,0x201e008a}},	//   yrka_, ñuel, _sẹo_, _ebti_, 
   {{0x7c287277,0xd840026e,0xb5fb00eb,0xe61f023a}},	//   fedr, íčky_, _clái, _mbô_, 
   {{0x7c28575f,0x60dbad62,0x2c69ad63,0x4c694792}},	//   gedr, _itum, _búda_, сион_, 
   {{0xeb992f0d,0x628b17ed,0xb5fb0126,0xfaa634bb}},	//   син_, ongo, _tláh, зано, 
   {{0x628b0149,0x213f2467,0x752dad64,0xce380038}},	//   nngo, _kruh_, kwaz, _وأنا_, 
   {{0x7c286fd0,0x752dad65,0x20d000e7,0x628bad66}},	//   bedr, jwaz, _xài_, ingo, 
   {{0x60db74e6,0x7d09ad67,0x6e2902a5,0x9f4702aa}},	//   _mtum, mues, leeb, canã_, 
   {{0x7d09a0cd,0xf7436024,0x61e2ad68,0x9f470054}},	//   lues, неро, ybol, nanà_, 
   {{0x64472129,0xc6c3a747,0x60db9ee0,0x61fbad69}},	//   _anji, ейск, _otum, _ndul, 
   {{0x2bd21c25,0x7d09024a,0xb4db00f6,0x61e273c4}},	// [ac60] _सलमा, nues, _aràb, vbol, 
   {{0x3940ad6a,0x673e02c7,0x9f470054,0xd7f10108}},	//   _iris_, _trpj, kanà_, ữa_, 
   {{0xf8b300a7,0x20d0001b,0x60db5c6c,0x24860112}},	//   _רשת_, _sài_, _atum, đom_, 
   {{0x3940ad6b,0x6447ad6c,0xf53f00fc,0x7d0900e5}},	//   _kris_, _enji, _frå_, kues, 
   {{0xf53f017e,0x463b00c7,0x7d09024a,0x4034ad6d}},	//   _grå_, _העכע, jues, делс, 
   {{0x61e241da,0x20d0001b,0x213f026e,0x628bad6e}},	//   sbol, _vài_, _druh_, ango, 
   {{0x7c28ad6f,0x91e6ad70,0xb5fb00eb,0xd9b9185c}},	//   vedr, _нове, _slái, _इण्ट, 
   {{0x20d000f7,0x39402301,0x78700219,0x786b0095}},	//   _tài_, _oris_, _hävd, _müva, 
   {{0x2ab20019,0x7d09ad71,0x3940006d,0x628201ad}},	//   kább_, gues, _nris_, mioo, 
   {{0xf0440a24,0x6282ad72,0xdfcf0038,0x25dc009a}},	//   _تعری, lioo, _ميك_, गुती_, 
   {{0xdee31d06,0x7c280533,0x2fd7009c,0x673c02c7}},	//   _зохи, redr, _روند_, jvrj, 
   {{0xe81f00bd,0x7c28ad73,0xaf4900eb,0xcf2500eb}},	//   म्ना_, sedr, _بشكل_, _تركي, 
   {{0x752d055a,0x8c467575,0x7d090a22,0xb5fb063b}},	//   xwaz, _неде, cues, _kláv, 
   {{0x80e10033,0xd91800c8,0xddc90083,0x39400cc9}},	//   _নিম্, чью_, zież, _dris_, 
   {{0x628b00f8,0xec3700d1,0x78a700ca,0x8c5300d7}},	//   yngo, _מאגר_, rljv, _سئوا, 
   {{0x443f0c05,0x752dad74,0x39400511,0xdb03014b}},	//   _şu_, twaz, _fris_, _uzná, 
   {{0x660dad75,0xba3b8cbc,0x6282ad76,0x6fcc0110}},	// [ac70] rgak, roïd, dioo, ाशां, 
   {{0x628b0156,0x2919006d,0x752dad77,0xb4db202a}},	//   wngo, mtsa_, rwaz, _aràc, 
   {{0x290bad78,0x752dad79,0x7d09024a,0xb4db01f5}},	//   luca_, swaz, zues, _bràc, 
   {{0xe3b00084,0x628bad7a,0xaacf00aa,0x628200b0}},	//   ارك_, ungo, _संसक, gioo, 
   {{0x6e2965f1,0x9f47026e,0x29190712,0x7d09024a}},	//   veeb, daná_, ntsa_, xues, 
   {{0xf9940137,0x8fa502c4,0x6e290298,0x7d090034}},	//   ערס_, мале, weeb, vues, 
   {{0xc7d800d1,0x6626010e,0x9028012d,0x213f01e5}},	//   לוגי_, _ütkö, яцца_, _wruh_, 
   {{0xb4db0161,0x7d0900e5,0x7bca00a1,0x290b044e}},	//   _gràc, tues, _agfu, kuca_, 
   {{0x60dbad7b,0x63a7024a,0x61e4033c,0x290bad7c}},	//   _utum, _hyjn, ñile, juca_, 
   {{0x7d0900e5,0x787000c8,0x290b1c16,0xe81f02ff}},	//   rues, _käve, duca_, म्मा_, 
   {{0x6ee7ad7d,0x2ab2006b,0x7d0900e5,0x04030033}},	//   _رسال, vább_, sues, র্থী_, 
   {{0x39401950,0x7d090f46,0x38a402f2,0x290b00ef}},	//   _pris_, pues, hört_, fuca_, 
   {{0x7d09ad7e,0x9f640080,0x786bad7f,0x00000000}},	//   ques, ätön_, _süva, --, 
   {{0xcb690267,0x04030033,0x66090243,0x00000000}},	//   _мале_, র্তী_, _ķeka, --, 
   {{0x07a308a7,0xc7951c0f,0xb8d50077,0x5a9606d4}},	//   варн, ерты, _छी_, _ориф, 
   {{0x38a4003e,0xe81f00bc,0xd9f21446,0x00000000}},	//   vöru_, म्बा_, _अजित_, --, 
   {{0x14c800c5,0x38a40219,0xddc21627,0xe45aad80}},	// [ac80] سهای_, fört_, _kloš, ожа_, 
   {{0x26cc1408,0xe72a058e,0xa2e60080,0x81ea0033}},	//   ídos_, _доод_, дожд, _মাই_, 
   {{0xb4db00d3,0x98a90588,0x3e7a01dd,0x00000000}},	//   _pràc, _građ_, sūti_, --, 
   {{0x41aa8e22,0xb5fb143b,0xb87bad81,0xdd130032}},	//   овен_, _sláv, mpía, dĺže, 
   {{0x9f470076,0xb5fbad82,0x6282007e,0xddc20082}},	//   vaná_, _cláu, rioo, _ološ, 
   {{0x62820077,0xa3c8215e,0xa0677208,0x00000000}},	//   sioo, _उलट_, мача_, --, 
   {{0x4438ad83,0x9f472f5b,0x645cad84,0x22160176}},	//   _iar_, taná_, _iori, _офар, 
   {{0x443837b4,0x645cad85,0x1d34078c,0x9f45026a}},	//   _har_, _hori, ения, _delà_, 
   {{0x645c02f5,0x4438ad86,0x9f47ad87,0x628016b3}},	//   _kori, _kar_, raná_, _immo, 
   {{0x645cad88,0x6280006d,0x6aa4ad89,0x3b540cb2}},	//   _jori, _hmmo, _akif, екор, 
   {{0x645cad8a,0x44380c04,0xda0a051f,0x9f4700da}},	//   _mori, _mar_, वलंत_, paná_, 
   {{0xaacf06ea,0x4438ad8b,0x6ab602bf,0x60c800a4}},	//   _संरक, _lar_, _chyf, _hidm, 
   {{0x7c3e0183,0x8d73021b,0x394d11c9,0x6e22ad8c}},	//   _ópro, _لاوا, ães_, _ibob, 
   {{0x645c17c7,0x4438ad8d,0xb9073e8a,0x2919ad8e}},	//   _nori, _nar_, _पऽ_, rtsa_, 
   {{0x67d40161,0x25adad8f,0x6280008a,0x290b0242}},	//   тосу, _šel_, _ommo, suca_, 
   {{0x7c386be2,0x645c00a9,0x443865f6,0x60c8ad90}},	//   _havr, _aori, _aar_, _lidm, 
   {{0x645c2d7f,0x443800d1,0x7c38027e,0x38a4ad91}},	// [ac90] _bori, _bar_, _kavr, görs_, 
   {{0x6280ad92,0x645c2e9d,0x44380efb,0xe616008b}},	//   _ammo, _cori, _car_, čišč, 
   {{0x4438ad93,0x645cad94,0x7c38ad95,0x2013022c}},	//   _dar_, _dori, _mavr, òxim_, 
   {{0x23df0796,0x68edad96,0x6d420219,0x9f4c005f}},	//   _प्रद, _kwad, _oroa, _gedé_, 
   {{0x6025ad97,0x645c2f09,0x6d44012d,0x4438ad98}},	//   едла, _fori, _šian, _far_, 
   {{0x3e710076,0x4438ad99,0x7c38024c,0x68edad9a}},	//   _máte_, _gar_, _navr, _mwad, 
   {{0x8fa2ad9b,0x6d42ad9c,0xb5fb2033,0x7c3a2be3}},	//   лаше, _aroa, _coág, ddtr, 
   {{0x443802f5,0x9f45026e,0x645c0a9f,0xed5903dc}},	//   _zar_, _celá_, _zori, зои_, 
   {{0x4438ad9d,0xddc2220b,0x38b603a9,0xb5fb014b}},	//   _yar_, _ploš, lære_, _hlás, 
   {{0x765dad9e,0x6aa408bb,0x645c02f1,0x443801ff}},	//   _losy, _skif, _xori, _xar_, 
   {{0x7c3815c3,0x6d42ad9f,0x09c80b6c,0x44230065}},	//   _davr, _eroa, रख्य, _mbj_, 
   {{0xdb1e00bc,0x68edada0,0x44230354,0x765dada1}},	//   áván, _bwad, _lbj_, _nosy, 
   {{0x44232508,0x6d4200d9,0x7e69003e,0x7c3802c5}},	//   _obj_, _groa, mkep, _favr, 
   {{0x60c806d0,0xddc2846c,0x7e6901e8,0x7ea5008c}},	//   _xidm, _uloš, lkep, rópu, 
   {{0x645cada2,0x7c2300e2,0x765d011c,0x68ed5452}},	//   _rori, _ibnr, _bosy, _ewad, 
   {{0x7c38090b,0x998d0112,0x4438ada3,0x7ea56734}},	//   _zavr, žeš_, _sar_, cópt, 
   {{0x4438ada4,0xeb1f1139,0x645cada5,0x765dada6}},	// [aca0] _par_, _बहुत_, _pori, _dosy, 
   {{0x7d1b0088,0x645c00a3,0x65640027,0x44380248}},	//   itus, _qori, ryih, _qar_, 
   {{0x44387fb1,0xb5fbada7,0x645cada8,0x7d1b00b0}},	//   _var_, _clás, _vori, htus, 
   {{0xe2973b35,0x6e39006d,0x44380436,0x6e3b00d0}},	//   нах_, _nawb, _war_, jdub, 
   {{0x4438ada9,0x2167386d,0x645cadaa,0xb5fb0647}},	//   _tar_, ници_, _tori, _elás, 
   {{0xdfcf00eb,0x68fb02aa,0x442c007a,0x25dc00b0}},	//   ميه_, áudi, _úd_, गुरी_, 
   {{0x6e390008,0x7d1ba09d,0x60c8adab,0xb5fb02be}},	//   _bawb, etus, _vidm, _ilár, 
   {{0x7c3802f5,0xb65b0137,0x6d42adac,0x60c8adad}},	//   _savr, ִדיש, _proa, _widm, 
   {{0xb5fbadae,0x2dd700eb,0x6e390237,0xe29793b4}},	//   _klár, ربية_, _dawb, _чат_, 
   {{0x7f7600b3,0x69cd00b4,0x68ed016c,0x20c901c9}},	//   _пуец, _sgae, _rwad, _قبلي_, 
   {{0x141b00c7,0x68edadaf,0x9b946602,0xdfcf3dd7}},	//   הויב, _swad, тинц, _ايم_, 
   {{0x2bd20d2e,0xed5a9190,0x6d42adb0,0x7e6903c5}},	//   _सलवा, _ное_, _troa, ckep, 
   {{0x58d402b9,0xac180161,0x3ea606e4,0x7ea50183}},	//   лоят, _жолу_, _ikot_, rópt, 
   {{0x765dadb1,0xd25900e0,0x2ab2022e,0xb4db00b9}},	//   _sosy, _viņi_, rába_, _bràn, 
   {{0x36d5acb4,0x6d401950,0x5a4700b3,0x4aac00c2}},	//   тобр, lvma, _зэпа, _टीकव, 
   {{0x68edadb2,0xb5fb1259,0x7afa03c5,0x1c1c0299}},	//   _twad, _alár, mstt, ब्रल_, 
   {{0xe59800f0,0x569400f0,0x84158596,0x00000000}},	// [acb0] екті_, уатт, кмах, --, 
   {{0xb5fb057f,0xb4ab000f,0x7bdaadb3,0x38b601e8}},	//   _clár, खते_, nctu, tære_, 
   {{0x9f4c010c,0x229c014b,0xf9900a5a,0x7219adb4}},	//   _sedî_, líky_, _نبی_, джер_, 
   {{0x61cb52c2,0xd9f100c9,0x38b601e8,0xb5fbadb5}},	//   िशेष, चरित_, rære_, _vlás, 
   {{0x229c0356,0x865a0486,0xe0d8004f,0x81c90033}},	//   níky_, _חדרי, еві_, লুন_, 
   {{0x38b60d09,0x1ae60033,0x7afa0b48,0x644302be}},	//   pære_, _কিনে_, kstt, ônid, 
   {{0x201a03a1,0xd00e0038,0x7afa02b0,0x7ff400d7}},	//   òpia_, زلي_, jstt, اسها, 
   {{0x7c230ab1,0x7d1ba4d2,0x7bda00b3,0x26d3976f}},	//   _sbnr, ttus, ectu, _muxo_, 
   {{0xee360238,0x44ef49cf,0x26d3145a,0x7e69adb6}},	//   тны_, nż_, _luxo_, rkep, 
   {{0x3ea602ae,0x229c0098,0xbc620080,0x3c6518ec}},	//   _ekot_, díky_, ивык, тког, 
   {{0x7d1b6f38,0x225f0102,0x6e397139,0x9f350259}},	//   stus, _kouk_, _tawb, _шежі, 
   {{0x7ea5adb7,0x225f06df,0xa3b91615,0x7d1b4b17}},	//   róps, _jouk_, _चरन_, ptus, 
   {{0x3eadadb8,0x2dc702f1,0x4e7a0070,0x00000000}},	//   mlet_, _яқин_, _קאנצ, --, 
   {{0x3ea0100c,0x26d30183,0x3ebfadb9,0xcd760070}},	//   čite_, _buxo_, lmut_, _בענק_, 
   {{0x44ef006a,0x26d303da,0x07a633e2,0x26cbadba}},	//   eż_, _cuxo_, тавн, _bico_, 
   {{0x7aed00ab,0x26cb0372,0x3ebf011c,0x00000000}},	//   _łatw, _cico_, nmut_, --, 
   {{0x7d09adbb,0x26cbadbc,0x3eadadbd,0x65c61712}},	// [acc0] nres, _dico_, ilet_, тбаа, 
   {{0xb4dbadbe,0x3eadadbf,0x69c2031e,0x224d0969}},	//   _tràn, hlet_, रेणी, _anek_, 
   {{0x3eadadc0,0x26cbadc1,0x7d0901c4,0x225f0300}},	//   klet_, _fico_, hres, _bouk_, 
   {{0x7d09adc2,0x5186adc3,0x6d44012d,0x3eadadc4}},	//   kres, кула, _šiam, jlet_, 
   {{0xc05a00dd,0x7d0902c9,0x9f4e00b9,0x00000000}},	//   дій_, jres, rafí_, --, 
   {{0x7d09adc5,0x80e10086,0xdc0800e0,0xc01300dd}},	//   dres, _নিশ্, _mēģi, иміщ, 
   {{0x644eadc6,0xb4c000ab,0x3eadadc7,0x229c014b}},	//   _inbi, ुदी_, flet_, zíky_, 
   {{0x80e1100b,0x7d09adc8,0x8c3c03c0,0x3ead0f92}},	//   _নির্, fres, doğa, glet_, 
   {{0x7d09173f,0x27f8adc9,0xd9e30249,0x00000000}},	//   gres, karn_, _क्षत_, --, 
   {{0x225f7572,0x3eadadca,0xa3b908b4,0x4de200aa}},	//   _zouk_, alet_, _चरम_, _ट्रै_, 
   {{0x3eadadcb,0xe7bd0086,0x27f800f8,0x2a6000f6}},	//   blet_, _অভ্য, darn_, _boib_, 
   {{0x7d091ff5,0x9e660dfb,0x26c01c2b,0x7afa01d2}},	//   bres, _швед, jmio_, rstt, 
   {{0xa2d402e6,0x29041627,0x27f800f8,0x58870810}},	//   _बूस्, šman_, farn_, выва, 
   {{0x588711db,0x26d303da,0x27f8adcc,0x5c73004f}},	//   тыма, _puxo_, garn_, _кліт, 
   {{0x26cb118d,0xd25900e0,0x25ae0248,0x00000000}},	//   _pico_, _ziņu_, əfli_, --, 
   {{0x644eadcd,0xdce90097,0x2a6002c1,0x88e20033}},	//   _anbi, uzeć, _goib_, _বিরক, 
   {{0x349503dd,0x27f80f96,0x26cb9f26,0xf99f344a}},	// [acd0] гаар, barn_, _vico_, rgès_, 
   {{0x224d2e38,0xf36708a5,0x291e00b3,0x3e71adae}},	//   _snek_, ктен, ătat_, _máta_, 
   {{0x3e71008c,0x225f008b,0x3ea4adce,0x7a42039f}},	//   _láta_, _pouk_, komt_, sítő, 
   {{0x69dd0019,0x644eadcf,0x7d09add0,0x9f4c00b9}},	//   ncse, _enbi, yres, _cedí_, 
   {{0x3eadadd1,0x44210696,0x00000000,0x00000000}},	//   vlet_, pfh_, --, --, 
   {{0x3ead010c,0x7d09add2,0x644e03a0,0x225f0118}},	//   wlet_, vres, _gnbi, _wouk_, 
   {{0x28da0838,0xeaca0023,0xf2c7add3,0x00000000}},	//   _यूनि, _kẹt_, _асан, --, 
   {{0x3ebf796f,0x224d0bf4,0x3ead0106,0x439425b0}},	//   umut_, _unek_, ulet_, _тасс, 
   {{0x2284741b,0x3ebfadd4,0xacc900cf,0x3ead3ed0}},	//   _тург, rmut_, нгиз_, rlet_, 
   {{0x3ead57aa,0x3e714604,0xd25900e0,0x0ae94ba2}},	//   slet_, _dáta_, _viņu_, ндой_, 
   {{0x27f8add5,0xba3badd6,0xcb69add7,0x290b00f6}},	//   varn_, roïn, хане_, erca_, 
   {{0x7d091079,0x3f7a0137,0x99160451,0x69dd039f}},	//   pres, _אָדע, льгі, gcse, 
   {{0x32360137,0xf992031b,0x27f8add8,0x38617459}},	//   נטשן_, صبح_, tarn_, _bohr_, 
   {{0x81ea0086,0xe73a00c8,0xe81f031e,0x61f90626}},	//   _মাছ_, нег_, म्ला_, hawl, 
   {{0xd62a6890,0xdc9a008d,0x61f907f3,0x3e6a0465}},	//   нове_, _איסל, kawl, _bùth_, 
   {{0x26c0015e,0xe5a6add9,0x69dd010e,0x27f8adda}},	//   umio_, гиби, ccse, sarn_, 
   {{0x26c0addb,0xa5076449,0xe7a405e5,0x1426013e}},	// [ace0] rmio_, лета_, _खुरप, лдам, 
   {{0xb4631b2d,0x9f4c014b,0xb4db01fd,0x2ab9039f}},	//   бкул, _sedí_, _gràm, rébe_, 
   {{0xa3b90586,0x9f4c0327,0x1bf60070,0x00000000}},	//   _चरण_, _pedí_, רצער_, --, 
   {{0x2ca5addc,0x20d9011c,0x00000000,0x00000000}},	//   hold_, _bèi_, --, --, 
   {{0x644303b7,0x6a66003e,0x2ca5addd,0x00000000}},	//   ônic, _hófs, kold_, --, 
   {{0x3e710038,0x20d902a3,0xd8d70070,0x10a3adde}},	//   _ráta_, _dèi_, אוסט_, бичн, 
   {{0x3ea459ba,0x4acf109f,0xa2e30080,0xaacf673f}},	//   tomt_, _संगव, _госд, _संगक, 
   {{0xa3b90081,0x68e402fe,0x2469010c,0x61ed01d5}},	//   _चरत_, _otid, _tîmê_, ðalt, 
   {{0x5c741ac0,0x6143addf,0xa2a14643,0x2ca55a97}},	//   илит, _лета, गकर्, fold_, 
   {{0x290b00d2,0x3ea403a9,0x7ae30226,0x00000000}},	//   vrca_, somt_, _btnt, --, 
   {{0x68e46ba8,0x2900ade0,0x9f470098,0x38610502}},	//   _atid, _avia_, ybné_, _rohr_, 
   {{0xdd000241,0xf41a0033,0x3e7100d8,0x00000000}},	//   ştık, ড়ির_, _táta_, --, 
   {{0x2ca5589f,0x6c5403b7,0xcdc41cc1,0x786b00b0}},	//   bold_, _вклу, _тадқ, _hüvi, 
   {{0x6d3b00a7,0x9f470228,0xb8fdade1,0x58d400c8}},	//   _נתונ, vanú_, _तं_, сорт, 
   {{0x99990019,0x68e406df,0x7bdb00d1,0x6aa60946}},	//   reső_, _etid, _אקוו, bokf, 
   {{0x58d50021,0xc6a7ade2,0x291e0474,0x00000000}},	//   _коит, урги, ătar_, --, 
   {{0xb4db03a1,0x260a0366,0x588703dd,0x7e62019b}},	// [acf0] _tràm, िलजी_, _бына, _moop, 
   {{0x7870014e,0x7e629d41,0xe9df00b9,0xe8ff0216}},	//   _jävl, _loop, lcú_, nyûm_, 
   {{0xe7eb00a2,0xd4985c7d,0x998d0035,0xda090110}},	//   _ज्या_, урт_, żeń_, _वयात_, 
   {{0x3949ade3,0x764f0054,0x7e62039b,0x00000000}},	//   _kras_, _uncy, _noop, --, 
   {{0x61f9494c,0xc5fa00d1,0x00000000,0x00000000}},	//   rawl, _בפרט, --, --, 
   {{0x2166ade4,0xa3d40c10,0xd0060ec6,0x00000000}},	//   риши_, _горч, аеше_, --, 
   {{0x6fcc07d5,0x2ca54329,0x27010028,0xe8ff0216}},	//   ाशगं, vold_, nėn_, dyûm_, 
   {{0x3949ade5,0x7e6237ba,0x2ca5486a,0x9f4c019c}},	//   _oras_, _coop, wold_, _sedã_, 
   {{0x7ae403ef,0x3949023b,0x7e62ade6,0x261800c9}},	//   _čita, _nras_, _doop, _फासी_, 
   {{0x3ea000d2,0x4b25ade7,0x4c854856,0xac8500d3}},	//   čita_, амов, рлов, ргол, 
   {{0xeb99864e,0x68e404d1,0x3949ade8,0x8c3c0585}},	//   тин_, _stid, _aras_, moğl, 
   {{0xfaa6219c,0x628b00f8,0x3949ade9,0xa96a0886}},	//   рамо, nigo, _bras_, вима_, 
   {{0xec6e1f79,0x999e02d9,0x00000000,0x00000000}},	//   _дп_, ětů_, --, --, 
   {{0x7870014e,0x7e62adea,0x3949a172,0x628b011d}},	//   _gävl, _zoop, _dras_, higo, 
   {{0xb8fd11df,0xe7e50a44,0x39492033,0xe8171cdd}},	//   _तू_, कड़ा_, _eras_, _तारा_, 
   {{0x7e62008a,0x63ae5233,0xc7a303b7,0x6d44012d}},	//   _xoop, _rybn, циск, _šiai, 
   {{0x39490d06,0x3486198b,0x9f450228,0x95ca0240}},	// [ad00] _gras_, агаг, _celú_, тлаб_, 
   {{0x55c500f0,0x27010528,0x00000000,0x00000000}},	//   сауғ, bėn_, --, --, 
   {{0x2bab04bd,0x8c3c0248,0x6443019c,0x00000000}},	//   _घुमा, doğl, ônia, --, 
   {{0x9f4c026e,0x628b016b,0x161d176c,0x2005adeb}},	//   _nedá_, gigo, _फायर_, _adli_, 
   {{0x90c604f5,0x8c3c02a4,0x7e62adec,0x00000000}},	//   абде, foğl, _roop, --, 
   {{0x40341234,0x201a00b0,0x00000000,0x00000000}},	//   секс, üpi_, --, --, 
   {{0x7e624574,0x628baded,0xa067022d,0x00000000}},	//   _poop, bigo, раја_, --, 
   {{0xb4db01be,0x290c0083,0x0dca6e6e,0xb5fb0108}},	//   _bràh, ądaj_, купи_, _loán, 
   {{0x61ed05b9,0xf8bf0212,0x69da02d9,0xc0e30229}},	//   ñale, ltée_, ětel, _мотк, 
   {{0xdd94005e,0x8c66adee,0xceea00dd,0x7e62414f}},	//   _қалы, ртид, _адже_, _woop, 
   {{0xdee303dc,0xf8bf026a,0x78a72c52,0x59f911e6}},	//   _дохи, ntée_, vojv, леня_, 
   {{0xbd870399,0x3949adef,0x1bf20d0d,0xfe7900bc}},	//   انین_, _pras_, _आजकल_, chů_, 
   {{0x7870022b,0xcd360a24,0xdb03014b,0xe9df1259}},	//   _tävl, _خراب, _vyná, rcú_, 
   {{0xe9dfadf0,0x39490034,0x442aadf1,0x00000000}},	//   scú_, _vras_, _nbb_, --, 
   {{0x1cbb0137,0x4433155e,0x628b837e,0x00000000}},	//   _שמוע, vex_, yigo, --, 
   {{0x3949128a,0xaa2d00c8,0x8c3c1305,0x00000000}},	//   _tras_, ämää_, zoğl, --, 
   {{0x6aad2fc5,0x3949adf2,0x8c3c035d,0x00000000}},	// [ad10] _ikaf, _uras_, yoğl, --, 
   {{0xc3cb0038,0xeaca0023,0xd7f80afc,0x00000000}},	//   نظام_, _hẹp_, _кую_, --, 
   {{0x4433adf3,0x628b0c1f,0x389c1490,0x05a7010f}},	//   rex_, tigo, _ביזנ, _कुरब, 
   {{0x7d02056e,0xd175013e,0xdb07010e,0xf6d4009c}},	//   _ovos, йылы, ülék, _گزید, 
   {{0x3ce60201,0x61450ca4,0x4ad00d2e,0xc244012d}},	//   _ntov_, села, _संघव, ўнік, 
   {{0x656d0102,0x6aad0096,0x656001f5,0x00000000}},	//   myah, _lkaf, _àmha, --, 
   {{0x656d4a14,0x43940013,0x33940f5a,0x491700bd}},	//   lyah, _дарс, _дарё, भूतो_, 
   {{0xee39adf4,0x518702f1,0xb4db01be,0xddd30032}},	//   уни_, _куза, _arài, ťaže, 
   {{0x656dadf5,0x6289adf6,0x98a90242,0xb4db01fd}},	//   nyah, _imeo, _apač_, _brài, 
   {{0x7d02090e,0x3e710187,0x6aad9c75,0x10170296}},	//   _dvos, _táto_, _akaf, _خبرد, 
   {{0xb4db01f5,0xeaca0108,0x7c64007a,0xdce7035d}},	//   _drài, _bẹp_, تايل, ılım, 
   {{0xc86907f5,0x2d7f0035,0x753d039f,0x656d011c}},	//   _אן_, _płeć_, _ossz, kyah, 
   {{0x2c690228,0xeaca0023,0x6db5a29e,0x1d09a4f8}},	//   _súdu_, _dẹp_, _уйду, _сели_, 
   {{0x656d0102,0xb4db0465,0x37e3adf7,0x00000000}},	//   dyah, _grài, зорг, --, 
   {{0x66e6adf8,0x62894be2,0x6d4b00ca,0x753d010e}},	//   соба, _omeo, _hrga, _assz, 
   {{0x442aadf9,0xaad0072f,0x6aad011c,0xe5030790}},	//   _sbb_, _सूचक, _gkaf, _लिखि_, 
   {{0x442aadfa,0x69d6010e,0x656d023e,0x00000000}},	// [ad20] _pbb_, _igye, gyah, --, 
   {{0x98a9012d,0x62890053,0x06e70033,0xf8bf0151}},	//   _ypač_, _ameo, _ফিরি, ttée_, 
   {{0x2902adfb,0xf8bf0107,0x7e7b045a,0x130a00d9}},	//   lska_, utée_, khup, уней_, 
   {{0x786b0095,0xd9fa0586,0xf8bf026a,0xf1fa1b44}},	//   _qüvv, ्णित_, rtée_, اعات_, 
   {{0xa06aadfc,0xf8bf0107,0x656d0199,0x5066320a}},	//   лада_, stée_, cyah, йтка, 
   {{0x2902adfd,0x76440095,0x442a0474,0xf8bf0107}},	//   iska_, ldiy, _ubb_, ptée_, 
   {{0x6d4b02ba,0x4444754d,0x5f430038,0x68f600f8}},	//   _arga, md_, كنول, _lwyd, 
   {{0x7644adfe,0x22960084,0x3ea000f1,0x32960038}},	//   ndiy, _الرس, čito_, _الرأ, 
   {{0x7524adff,0x4444ae00,0x26daae01,0x68f600f8}},	//   ntiz, od_, _lupo_, _nwyd, 
   {{0x2902090b,0x61e20093,0x6aad7ad0,0x6d4b1873}},	//   dska_, lcol, _skaf, _drga, 
   {{0x6d4bae02,0xae201615,0xda350028,0x2902ae03}},	//   _erga, _यापन_, оены, eska_, 
   {{0x6d4400e4,0x4444482b,0x6d890019,0x7524ae04}},	//   _šiau, hd_, امیہ_, ktiz, 
   {{0x0c7300c5,0xd0410095,0x05a707d5,0x298b50ff}},	//   زدید, _ailə, _कुंब, усно_, 
   {{0x69d60105,0xd0410264,0x44440536,0x8c430dc0}},	//   _egye, _bilə, jd_, _нече, 
   {{0x44441b5a,0x1bfb0056,0xaae60625,0x26da6d3c}},	//   dd_, _גלוב, _استو, _cupo_, 
   {{0x44442325,0x656d049e,0x752400ef,0x290200f9}},	//   ed_, tyah, ftiz, bska_, 
   {{0x9f47026e,0x44440b32,0x68f60156,0x2902010e}},	// [ad30] daný_, fd_, _gwyd, cska_, 
   {{0x4444ae05,0x656dae06,0x80dc00ab,0xd37b28da}},	//   gd_, ryah, _पढ़े, лче_, 
   {{0x45d5585e,0x656dae07,0x57b2004e,0xd1d911d2}},	//   _монс, syah, _жұрт, адец_, 
   {{0x4444ae08,0x7ae400d0,0x656d134a,0x73c40038}},	//   ad_, _čitl, pyah, سينم, 
   {{0x444402a2,0x248a0379,0xf65f0566,0x00000000}},	//   bd_, _fmbm_, _diæt_, --, 
   {{0x26da0053,0xcee91279,0x00000000,0x00000000}},	//   _yupo_, адке_, --, --, 
   {{0x6455ae09,0x7e7b109b,0x6d4701dd,0x6445025b}},	//   _inzi, thup, ājam, mdhi, 
   {{0x61e20ad8,0x62890548,0x6d4b0613,0x2902ae0a}},	//   ccol, _umeo, _prga, yska_, 
   {{0xb5fbae0b,0xada20148,0x6445025b,0x00000000}},	//   _bláz, маъл, odhi, --, 
   {{0x6445ae0c,0x61fb11e9,0x6d4bae0d,0xaadd02e6}},	//   ndhi, _heul, _vrga, _नंदक, 
   {{0xe8200f01,0x764406d0,0x68f602f0,0x64450014}},	//   _बाबा_, ydiy, _swyd, idhi, 
   {{0x29020112,0x60db9594,0x26daae0e,0x5cf5004f}},	//   tska_, _kuum, _rupo_, _дяку, 
   {{0x61fb005f,0x787003f0,0xddc24476,0x26da0369}},	//   _meul, _hävi, _zlož, _supo_, 
   {{0x60dbae0f,0x61fb033e,0x38b6055f,0x787000c8}},	//   _muum, _leul, mærk_, _kävi, 
   {{0x61e224bc,0xe73a26ea,0x6d498303,0x4444004f}},	//   ycol, шев_, lvea, vd_, 
   {{0x6455ae10,0x7524ae11,0x61fbae12,0x4444a113}},	//   _anzi, ttiz, _neul, wd_, 
   {{0x9f4708d7,0x764406d0,0xb4667907,0x645500ef}},	// [ad40] vaný_, rdiy, окал, _bnzi, 
   {{0x62990876,0x3e784a78,0x4444ae13,0x26da0548}},	//   enwo, _méta_, ud_, _tupo_, 
   {{0x673e02b1,0x7524ae14,0x61fbae15,0x201e2a06}},	//   _uspj, stiz, _beul, _rcti_, 
   {{0x4444ae16,0x645566ef,0x61fb033e,0x64450548}},	//   sd_, _enzi, _ceul, adhi, 
   {{0x61e2ae17,0x2c7b055a,0x61ed08f4,0x9f5c026e}},	//   rcol, _zêde_, ñala, mavé_, 
   {{0x61e250d3,0x1df200c9,0x20561c3e,0xb87b00bc}},	//   scol, घर्ष_, ютер, spív, 
   {{0x25e10081,0xdfcf00eb,0x6e291950,0x9f470098}},	//   _कलमी_, نيه_, ffeb, paný_, 
   {{0xddc21425,0x61fb614f,0x3940ae18,0x3e78ae19}},	//   _vlož, _geul, _osis_, _béta_, 
   {{0x6eda0f7a,0x39400175,0x3eb801dd,0x910314b7}},	//   _पूरु, _nsis_, ērt_, _опте, 
   {{0x2246ae1a,0x80e10033,0x26c201d6,0x9f5c00da}},	//   ldok_, _নিচ্, _lhko_, havé_, 
   {{0xddc206c4,0x39400009,0x9f5c0098,0xee3a0080}},	//   _ulož, _asis_, kavé_, _вне_, 
   {{0x22463b89,0x0dca2357,0x3a200106,0x00000000}},	//   ndok_, _кули_, _ccip_, --, 
   {{0x21260730,0x394d78a3,0x6f1802f1,0xfe9b027a}},	//   ntoh_, íes_, luvc, _דיאמ, 
   {{0xfbcf13b4,0x95f512e3,0x3ea90688,0xa5bb007a}},	//   عتی_, ेण्ट_, čate_, _mbót, 
   {{0x368bae1b,0x6f1802f1,0x64430165,0x3940001d}},	//   асан_, nuvc, ônim, _esis_, 
   {{0xcb130a33,0x98650019,0xf1ca153d,0x2cac00f8}},	//   _חלק_, _کیسے_, िधान, lodd_, 
   {{0x95cb02c4,0x39400102,0xddd90118,0x56941a57}},	// [ad50] рува_, _gsis_, _fowņ, фатт, 
   {{0x61fb026d,0x60db521f,0x2919ae1c,0x7af8023b}},	//   _seul, _ruum, musa_, _kwvt, 
   {{0x2919ae1d,0x3e7100eb,0x25a20fd4,0x6445ae1e}},	//   lusa_, _fáth_, _exkl_, rdhi, 
   {{0x9f450076,0xb4db0465,0x2cac00f8,0x2a6903a0}},	//   _celý_, _bràt, hodd_, _joab_, 
   {{0x291911e9,0x2a69ae1f,0x61fb5ff7,0xd13bae20}},	//   nusa_, _moab_, _veul, рхе_, 
   {{0x6455ae21,0x38b6055f,0x008500a3,0xe042004f}},	//   _unzi, værk_, ялло, енши, 
   {{0x2cac02bf,0x61fbae22,0x2919ae23,0x902800e4}},	//   dodd_, _teul, husa_, юцца_, 
   {{0xe1ff010d,0x2919ae24,0x60db06a6,0x26c9012b}},	//   _þó_, kusa_, _tuum, nmao_, 
   {{0x2cac02bf,0x29190a1a,0x2264014b,0x30151e74}},	//   fodd_, jusa_, žská_, _ндар, 
   {{0x29192d1c,0x6d49ae25,0x2cac0156,0x3b850267}},	//   dusa_, rvea, godd_, злог, 
   {{0xf4120070,0x3e7101d5,0x3a3902be,0xb3ad0033}},	//   עפט_, _láti_, fesp_, _কৃতজ, 
   {{0x394002a2,0xa9a605e6,0x00000000,0x00000000}},	//   _psis_, зимд, --, --, 
   {{0x2eaa0105,0x5ed20086,0x2919ae26,0x8c640499}},	//   _اپنی_, _সবচে, gusa_, سطین, 
   {{0x26c2ae27,0xb87b0228,0x3ead039b,0x00000000}},	//   _shko_, dpís, loet_, --, 
   {{0xeb9600ff,0x38ca0019,0x9f5c00da,0x3a3902be}},	//   _ниш_, لاڑی_, tavé_, besp_, 
   {{0x39401124,0xb9060093,0xe9a608ab,0x1c210083}},	//   _tsis_, _език, _найп, _माडल_, 
   {{0x2919ae28,0x9f5c014b,0x6f1802f1,0x3ae1003e}},	// [ad60] cusa_, ravé_, zuvc, _hóp_, 
   {{0xf5070c0f,0x3d131687,0xdbe30212,0x044300f0}},	//   янул_, _दिने_, _déçu, неун, 
   {{0x9f45443d,0x7ae40372,0x9f470098,0xc8790216}},	//   _meló_, _čitk, ybná_, êşe_, 
   {{0xf8bfae29,0x8289004f,0x7ebe0034,0xb87b003e}},	//   ntén_, осіб_, këpa, spít, 
   {{0xb4db01c5,0x3ead01d2,0x25d700d1,0x4cdb0033}},	//   _dràs, doet_, _מוכן_, _মৌসু, 
   {{0x6f1800cf,0x38b6008c,0x55bb00d1,0x7eb60218}},	//   tuvc, færi_, _למכו, kûpê, 
   {{0x443aae2a,0x7646ae2b,0x53a31cc1,0x274702d9}},	//   mep_, _kaky, _зарб, míná_, 
   {{0x443aae2c,0x6f1800cf,0xb4db01fd,0x139b00d1}},	//   lep_, ruvc, _gràs, _הבלע, 
   {{0x7646ae2d,0x29192997,0x63820534,0x00000000}},	//   _maky, xusa_, _fíné, --, 
   {{0x443a6f94,0x3ae100e7,0x95880035,0x76460118}},	//   nep_, _bóp_, ciąż, _laky, 
   {{0x59a558c4,0x200c0156,0x2cac0156,0xddc902fe}},	//   _गुजर, _iddi_, rodd_, rkeš, 
   {{0x443aae2e,0x764601a3,0x2cac00f8,0x6e960038}},	//   hep_, _naky, sodd_, _علشا, 
   {{0x443aae2f,0x3d130035,0x648000c2,0x00000000}},	//   kep_, _दिये_, _köid, --, 
   {{0x2919ae30,0x443a027c,0xdd3b00a7,0x764607fc}},	//   rusa_, jep_, _לעדכ, _aaky, 
   {{0x443aae31,0x3ae10029,0x29190d24,0x671d07d5}},	//   dep_, _góp_, susa_, बंधक_, 
   {{0x2919ae32,0xfbb70056,0x8aa4012d,0x67d50176}},	//   pusa_, _מפות_, _прыд, зоҳу, 
   {{0xa5bb0183,0x764600e2,0x200c0156,0x443a02fe}},	// [ad70] _abór, _daky, _oddi_, fep_, 
   {{0x443a061b,0x68edae33,0x00000000,0x00000000}},	//   gep_, _itad, --, --, 
   {{0x61ed033c,0x87070433,0x00000000,0x00000000}},	//   ñalo, _عبدل, --, --, 
   {{0x7c3a0489,0x63b5026e,0x6d420a9f,0x764601b8}},	//   hetr, _vyzn, _osoa, _gaky, 
   {{0xa0696079,0x7c3aae34,0x63b50035,0x443a027e}},	//   жала_, ketr, _wyzn, bep_, 
   {{0x443aae35,0x6e2200b9,0x9f5c010c,0x764600de}},	//   cep_, _acob, ravî_, _zaky, 
   {{0x6d420068,0x44230640,0x136800b3,0xe82000bd}},	//   _asoa, _icj_, _ешти_, _बासा_, 
   {{0x68edae36,0xece906be,0x200c076b,0x00000000}},	//   _otad, одил_, _eddi_, --, 
   {{0x6447342b,0x200c0183,0x7c3a01a7,0x3eadae37}},	//   _kaji, _fddi_, fetr, roet_, 
   {{0x7c3a05f2,0x6447034c,0xeb990267,0x44230106}},	//   getr, _jaji, жио_, _jcj_, 
   {{0x6447ae38,0x2909030f,0xe81716df,0x68ed2835}},	//   _maji, _avaa_, _ताजा_, _atad, 
   {{0x6447ae39,0xdd8e0a24,0x443a039b,0x6ee70241}},	//   _laji, اوی_, zep_, _tıbb, 
   {{0xda1f3c46,0x7646134c,0xe8f72cd7,0x5d6928f0}},	//   _भारत_, _raky, мля_, _филм_, 
   {{0x64470ace,0xf8bfae3a,0x7d1b06a6,0x7646ae3b}},	//   _naji, stén_, muus, _saky, 
   {{0x68ed00cf,0xdca21098,0x7d1bae3c,0x69c200bc}},	//   _etad, _шаши, luus, रेजी, 
   {{0x44230118,0x61ed0183,0xe8201f5e,0x443111bb}},	//   _acj_, ñall, _बावा_, _abz_, 
   {{0x443aae3d,0x7d1b2c9d,0x44230054,0x4431039b}},	// [ad80] tep_, nuus, _bcj_, _bbz_, 
   {{0x6447ae3e,0xe73a02a6,0x4423ae3f,0x9f4c020b}},	//   _caji, _део_, _ccj_, _vedú_, 
   {{0x443aae40,0x7646ae41,0x366a0599,0x7e6b0d62}},	//   rep_, _taky, _дано_, _oogp, 
   {{0x443aae42,0xe2974751,0x7d1bae43,0xa5bb033c}},	//   sep_, мах_, kuus, _icón, 
   {{0xd1300399,0x6604ae44,0xc0e30088,0x443aae45}},	//   امت_, maik, вочк, pep_, 
   {{0x6604ae46,0x644741ee,0x61e9ae47,0x7d1b387a}},	//   laik, _gaji, _efel, duus, 
   {{0xdfd00038,0x7c3aae48,0x7e6b02c9,0x44e4ae49}},	//   ديث_, vetr, _bogp, _hö_, 
   {{0x6604ae4a,0x667b00c7,0x6447031e,0x941e0a09}},	//   naik, ַװיג, _zaji, _पाँच_, 
   {{0x9f5e00e5,0xe1230f5a,0x2d84034c,0x7d1b07fc}},	//   _ketë_, _имти, uzme_, guus, 
   {{0x9f5e01ee,0x3e78000d,0x6604ae4b,0xcf0c0033}},	//   _jetë_, _této_, haik, _শহীদ_, 
   {{0x6604ae4c,0x44e41bc7,0xe0e60033,0x6d5dae4d}},	//   kaik, _lö_, _নিয়ন, äsar, 
   {{0x7c3aae4e,0x62823bd4,0x7d1bae4f,0x66049185}},	//   setr, nhoo, buus, jaik, 
   {{0x941e05fd,0x7c3a05f0,0x6d4200d9,0x44e42a53}},	//   _पांच_, petr, _usoa, _nö_, 
   {{0x58d43b6d,0xa3c009ef,0x39520566,0x00000000}},	//   коят, ुधा_, _drys_, --, 
   {{0xe8209e0a,0x8aa7020f,0x66040548,0x62828662}},	//   _बारा_, _орид, faik, khoo, 
   {{0x6447ae50,0x6604ae51,0x3952636a,0x9f5c0032}},	//   _saji, gaik, _frys_, javí_, 
   {{0xa5bb0183,0x6447024a,0x44310242,0x290400ef}},	// [ad90] _ecón, _paji, _pbz_, šmar_, 
   {{0x3e71008c,0x44e40219,0x6604023e,0x628208a3}},	//   _hátt_, _dö_, aaik, ehoo, 
   {{0x6604ae52,0xf8bf03b7,0xa5bb00eb,0x521571dc}},	//   baik, ntém_, _gcón, едет, 
   {{0xfd5e00e7,0xe7eb00bc,0x44e4ae53,0xd5b0010e}},	//   _quyể, जुरा_, _fö_, افے_, 
   {{0xc6160056,0x50b5058b,0x6447ae54,0xb4db01be}},	//   _אחרי_, нску, _taji, _gràp, 
   {{0x26d9ae55,0x7d1b0080,0x6447018e,0x00000000}},	//   _hiso_, vuus, _uaji, --, 
   {{0xfd5e0029,0x38b601e8,0x9f5c0098,0x9f5e0237}},	//   _tuyể, mært_, baví_, _jetè_, 
   {{0x7d1b0298,0x6282ae56,0x05c30262,0x38b601e8}},	//   tuus, choo, _शराब, lært_, 
   {{0xdc3a06d0,0x0c95ae57,0xf8bf039f,0xe8201126}},	//   _açıq, ешня, ttél_, _बाला_, 
   {{0x660400a9,0x6ac807d5,0x0d82012d,0x26d9ae58}},	//   zaik, रग्र, ульн, _liso_, 
   {{0x44214884,0x7d1b2ca3,0x6604ae59,0x61e40121}},	//   igh_, suus, yaik, žile, 
   {{0x26d902ee,0x3952018c,0x3d0a0028,0x00000000}},	//   _niso_, _prys_, _žuvų_, --, 
   {{0xed5925af,0x6604ae5a,0xceb200d1,0xfe7902d9}},	//   _хол_, vaik, _גיא_, mků_, 
   {{0x66040532,0xf1b9014b,0x7d0946a2,0xfe7900bc}},	//   waik, _myš_, mses, lků_, 
   {{0x7d09155b,0x66044df6,0x26d9009c,0x07a33379}},	//   lses, taik, _biso_, гарн, 
   {{0x7bc3003a,0x26d900ef,0x39520009,0x9f5e0118}},	//   _iznu, _ciso_, _trys_, _detè_, 
   {{0x6604ae5b,0x26d9ae5c,0x00000000,0x00000000}},	// [ada0] raik, _diso_, --, --, 
   {{0x6604618d,0x7d090088,0x69c4ae5d,0xe72a0093}},	//   saik, ises, _izie, _еоод_, 
   {{0x9f5eae5e,0x6604ae5f,0x9f5c014b,0x6282586d}},	//   _vetë_, paik, taví_, thoo, 
   {{0x7d09ae60,0x236602f5,0x442101c5,0x91e61818}},	//   kses, ćoj_, agh_, ходе, 
   {{0x6282ae61,0x941e0081,0x9f5c037f,0xfe7900bc}},	//   rhoo, _पाऊच_, raví_, dků_, 
   {{0x6282ae62,0xe3b10105,0x8f460e9a,0x7d098529}},	//   shoo, ارے_, ехид, dses, 
   {{0x64a3ae63,0x645cae64,0x62820149,0x63b3014b}},	//   _сара, _inri, phoo, čené, 
   {{0x03a600a3,0x9f5eae65,0x1d3400fd,0x5d660df4}},	//   _жиҳо, _jeté_, вния, етоз, 
   {{0x62800df8,0xdd9000d4,0x7d09ae66,0xa0a6ae67}},	//   _ilmo, شود_, gses, _заад, 
   {{0x6aa4095a,0x3e71003e,0x00000000,0x00000000}},	//   _ajif, _sátt_, --, --, 
   {{0x69c4048a,0xa5bb0183,0x1c2100b0,0xfe7900bc}},	//   _azie, _acól, _मारल_, bků_, 
   {{0x7d0902a2,0x5884004e,0x69c401f2,0xc33300d1}},	//   bses, ңыра, _bzie, נור_, 
   {{0xf8bf063b,0x26d912f6,0x7ae407c7,0x3a742ead}},	//   stém_, _riso_, _čitu, уляр, 
   {{0x69c4ae68,0x3ea00571,0x26d92c37,0x60da00a4}},	//   _dzie, čitu_, _siso_, _jitm, 
   {{0x26d9212f,0x60daae69,0x779300d4,0x628000a3}},	//   _piso_, _mitm, ایجا, _olmo, 
   {{0x3cf30218,0xba770629,0x24910054,0xdb2301d5}},	//   _çavê_, _ساعت, _smzm_, _árás, 
   {{0x26d95dc4,0x44210065,0x645c00a1,0x333800b9}},	// [adb0] _viso_, tgh_, _bnri, _aprx_, 
   {{0x44210056,0x7d1d03a1,0x6abd2be3,0x6280ae6a}},	//   ugh_, àssi, llsf, _almo, 
   {{0xad9d0083,0x00000000,0x00000000,0x00000000}},	//   jaźn, --, --, --, 
   {{0xa3cd09d3,0xe298004f,0x7d0900fb,0x60da0354}},	//   शेष_, нає_, yses, _aitm, 
   {{0x765dae6b,0xfe79000d,0x60da7ca2,0x764da9c3}},	//   _insy, vků_, _bitm, mday, 
   {{0x224903ef,0x62800019,0x764dae6c,0x752d095a}},	//   žak_, _elmo, lday, mtaz, 
   {{0xb4bd0a44,0x752d67e2,0xfe7900bc,0x60da01d2}},	//   आती_, ltaz, tků_, _ditm, 
   {{0x7d096ce8,0xee391d31,0xf1d10161,0x2919090e}},	//   tses, фни_, _көлө, krsa_, 
   {{0x752d3e53,0x290b00ab,0xddc20b91,0x7d092b3b}},	//   ntaz, jsca_, _pooš, uses, 
   {{0x60da01f0,0x6ab62773,0x752d58be,0xfe7900bc}},	//   _gitm, _skyf, itaz, sků_, 
   {{0x2007ae6d,0x5f7900c5,0x8c3c0c05,0x290b0183}},	//   mani_, _تماس_, toğr, esca_, 
   {{0x2007ae6e,0x752d29bb,0x7d09ae6f,0x26f00086}},	//   lani_, ktaz, pses, _ছিলো_, 
   {{0x764d0547,0x9f5c014b,0xf2d20070,0x9f5e00b9}},	//   dday, mavá_, יעט_, _reté_, 
   {{0x20070d28,0x7e69ae70,0x6288012d,0x765d06df}},	//   nani_, ljep, _įdom, _ansy, 
   {{0x66e60886,0xe7270f98,0x290bae71,0x2919ae72}},	//   тоба, корд_, asca_, arsa_, 
   {{0x2007ae73,0x764dae74,0x7e7b024a,0x7e69ae75}},	//   hani_, gday, nkup, njep, 
   {{0x2007ae76,0x7ae3ae77,0x69c4ae78,0xe4e5017b}},	// [adc0] kani_, _hunt, _uzie, гієн, 
   {{0x7ae3ae79,0x2007ae7a,0xba3b0156,0x7e7b00bc}},	//   _kunt, jani_, mnïa, hkup, 
   {{0x7ae3ae7b,0x68e40265,0x7e7bae7c,0xf8bf010e}},	//   _junt, _huid, kkup, zték_, 
   {{0x7ae3ae7d,0x68e40077,0xf5060d47,0x35fa2ad7}},	//   _munt, _kuid, _измо, _تردد_, 
   {{0x2007ae7e,0x7ae3ae7f,0x60da023e,0x7e690075}},	//   fani_, _lunt, _pitm, djep, 
   {{0x443eae80,0x68e41ab9,0x7ae30054,0xf1a900d4}},	//   _út_, _muid, _ount, رانه_, 
   {{0x7ae38661,0x6e940fca,0x68e4ae81,0x389b0070}},	//   _nunt, лику, _luid, ויסנ, 
   {{0xf8bf0019,0x7e7bae82,0x7e690034,0xad9d0035}},	//   tték_, gkup, gjep, raźn, 
   {{0x2007ae83,0xc69300a7,0xc0e600dd,0x614302f1}},	//   bani_, יאה_, _розк, _кета, 
   {{0x7ae3ae84,0x60da0b1f,0xa3d700e6,0xa0c90038}},	//   _bunt, _uitm, ाखच_, _كذلك_, 
   {{0x7ae300eb,0x441b00c7,0x764dae85,0xab86ae86}},	//   _cunt, וויס, yday, тупк, 
   {{0x68e40014,0x764d009e,0x7e690eae,0xeaf7010e}},	//   _buid, xday, cjep, کریت_, 
   {{0x68e43772,0x61ed0634,0x320433c6,0x7ae3002c}},	//   _cuid, ñali, _memy_, _eunt, 
   {{0xa8a4ae87,0xcb541f7a,0x68e4051e,0x7ae30a9f}},	//   арск, _منتظ, _duid, _funt, 
   {{0xd6dba517,0xeb4700d3,0x290b0082,0x764d009e}},	//   дта_, _ачык_, ssca_, tday, 
   {{0x34db02f8,0x752d80cb,0x0bb700a7,0xa3d60497}},	//   बद्द, ttaz, _שלהם_, ाइन_, 
   {{0x2007ae88,0x68e40e95,0xb60415c5,0x36d41c7d}},	// [add0] yani_, _guid, ряск, ротр, 
   {{0x752dae89,0x63bcae8a,0x20073e06,0x00000000}},	//   rtaz, _byrn, xani_, --, 
   {{0x2007ae8b,0x7ae324d3,0x752d224d,0x68e4012e}},	//   vani_, _xunt, staz, _zuid, 
   {{0x2007ae8c,0xf67900c7,0x3d1300a2,0x657200e5}},	//   wani_, _נאָמ, _दिले_, ëdhë, 
   {{0x2007ae8d,0x956400fd,0x9f5c00da,0x3f5101f2}},	//   tani_, _кърд, vavá_, _sġu_, 
   {{0xb97c00d1,0x9fc9ae8e,0x60250afc,0x3495a351}},	//   ונדי, нгла_, удка, _сагр, 
   {{0x61e41861,0xf65f02c9,0x63bc0090,0x00000000}},	//   žila, _knæ_, _gyrn, --, 
   {{0x7ae3ae8f,0xdd91006b,0xdb250019,0x7e7b0112}},	//   _runt, یوں_, épít, ukup, 
   {{0x7ae3ae90,0x2007030b,0x7e7bae91,0x78b5044e}},	//   _sunt, pani_, rkup, kozv, 
   {{0x68e41545,0x3a2902cd,0x1abe01ec,0x2007ae92}},	//   _ruid, _acap_, ोष्ठ, qani_, 
   {{0x3949ae93,0x68e4ae94,0xb0b600c7,0x99c00086}},	//   _asas_, _suid, _עפעס_, _ইলেক, 
   {{0x68e42724,0x2005ae95,0x39490126,0x3a290532}},	//   _puid, _heli_, _bsas_, _ccap_, 
   {{0x2005ae96,0x78b50082,0x224d0175,0x00000000}},	//   _keli_, fozv, _maek_, --, 
   {{0x7ae3ae97,0x3ebf030f,0x2005090e,0x0cab02f1}},	//   _tunt, llut_, _jeli_, _ўтди_, 
   {{0xe737ae98,0x3949ae99,0x2005ae9a,0xeabf02a3}},	//   лер_, _esas_, _meli_, blù_, 
   {{0x224d6a79,0x200501f2,0xcf920070,0x8ee50bf1}},	//   _naek_, _leli_, צטן_, _নবাগ, 
   {{0x7d1bae9b,0xe9daae9c,0xee5c003e,0x3ebf00c8}},	// [ade0] nrus, _яки_, æðið_, ilut_, 
   {{0x200500b0,0x7d1b0fae,0x00000000,0x00000000}},	//   _neli_, irus, --, --, 
   {{0x224d0e34,0x25ab5a74,0x32040118,0x3ebf076b}},	//   _baek_, _excl_, _pemy_, klut_, 
   {{0xa3d600b0,0xc0e60cfe,0x979b0070,0xa49b05d5}},	//   ाइब_, годк, _טשיק, _pwòc, 
   {{0x2005ae9d,0x224d005f,0x00000000,0x00000000}},	//   _beli_, _daek_, --, --, 
   {{0xf8b40a44,0x26c0ae9e,0x2005ae9f,0xc3060038}},	//   ंकिय, llio_, _celi_, _مبرو, 
   {{0x2005aea0,0xd8d700c7,0x9f4c00b9,0x6606aea1}},	//   _deli_, נוצט_, _redó_, _kekk, 
   {{0x644e37ba,0x26c002a3,0xb5fb019c,0x9d1467a7}},	//   _habi, nlio_, _inác, адич, 
   {{0x6606aea2,0xf8b407d5,0x5c06aea3,0xd291010e}},	//   _mekk, ंकाय, ляна, _بینظ, 
   {{0x6606aea4,0xdee6041d,0x9b5800ce,0x3a29020f}},	//   _lekk, _божи, виот_, _scap_, 
   {{0x644eaea5,0x443801be,0x2a60016a,0x4ae7069b}},	//   _mabi, _mbr_, _bnib_, льям_, 
   {{0x644eaea6,0x200504d1,0x7d1baea7,0x3949482b}},	//   _labi, _zeli_, brus, _psas_, 
   {{0xa3d6072f,0x443870bd,0x9f5e0369,0x9f4c0118}},	//   ाइड_, _obr_, _metí_, _gedò_, 
   {{0xac1802fb,0x443862cc,0x1bd4037a,0x660600b4}},	//   _року_, _nbr_, _коля, _aekk, 
   {{0x6606aea8,0x78b5797f,0xdb0a00fb,0xae180790}},	//   _bekk, rozv, _nyfø, _धयान_, 
   {{0x26c00021,0x4438aea9,0x3a293200,0x5694aeaa}},	//   glio_, _abr_, _ucap_, баст, 
   {{0x644e296c,0x6606aeab,0x443802c9,0x3949aeac}},	// [adf0] _babi, _dekk, _bbr_, _usas_, 
   {{0x8883009c,0x224d0226,0x52ad00b0,0x45b80b24}},	//   _ایسن, _saek_, टक्स, угую_, 
   {{0x644eaead,0x20050d94,0x7c2a0369,0x03c786cf}},	//   _dabi, _reli_, _mcfr, усам, 
   {{0x6235aeae,0x6606123b,0x443800f8,0x61e41af7}},	//   реду, _gekk, _ebr_, žiln, 
   {{0x2005aeaf,0x9f5e0228,0x3ce60036,0x3e780096}},	//   _peli_, _detí_, _nuov_, _jétu_, 
   {{0x644eaeb0,0x8f15785e,0x442503a9,0x764f016c}},	//   _gabi, афич, _øl_, _hacy, 
   {{0x2005aeb1,0x6606aeb2,0xb5fb0038,0x7d0202a5}},	//   _veli_, _yekk, _gnác, _awos, 
   {{0x644e48fd,0x20050090,0x225f044e,0x8e551d9a}},	//   _zabi, _weli_, _unuk_, рткі, 
   {{0xe299004e,0x644e01eb,0xada52690,0x6f04090e}},	//   _заң_, _yabi, рапл, ćica, 
   {{0x3ebf022b,0x7d1baeb3,0x644e3fa8,0xec760080}},	//   slut_, rrus, _xabi, ипы_, 
   {{0xda6670c3,0x26c00156,0x7d02011c,0x5acaaeb4}},	//   авни, ylio_, _ewos, клом_, 
   {{0xeb96aeb5,0x7d1baeb6,0xa3d600c2,0x764f02b8}},	//   рию_, prus, ाइत_, _nacy, 
   {{0x6606aeb7,0x7d020300,0xc4c50083,0x00000000}},	//   _rekk, _gwos, वताओ, --, 
   {{0x8ac6004e,0x6d594b11,0x6606aeb8,0x8d740491}},	//   ыққа_, _irwa, _sekk, _داما, 
   {{0x644eaeb9,0xb8ce00a5,0x9696803b,0x6606aeba}},	//   _rabi, _कद_, араш, _pekk, 
   {{0x644eaebb,0x7ebe00e5,0x4438003e,0x442aa2d0}},	//   _sabi, tëpi, _sbr_, _scb_, 
   {{0x44380026,0xf5e764f4,0xa50a0488,0x66061988}},	// [ae00] _pbr_, рмул_, теза_, _vekk, 
   {{0x26c003ef,0x644eaebc,0x446302fb,0x66065e2a}},	//   slio_, _qabi, овув, _wekk, 
   {{0x26c005b9,0x66066ce8,0x644e008b,0x764f0183}},	//   plio_, _tekk, _vabi, _facy, 
   {{0x44380175,0x6d590c0c,0x644e9515,0x764f016c}},	//   _wbr_, _orwa, _wabi, _gacy, 
   {{0x644eaebd,0xa06aaebe,0xe04633f0,0x11540719}},	//   _tabi, када_, инди, склю, 
   {{0x442a0626,0x443800ef,0x764f7c76,0x7d020199}},	//   _ucb_, _ubr_, _zacy, _rwos, 
   {{0x6d4baebf,0x6d59aec0,0xf8bf026a,0xeeaa724c}},	//   _asga, _arwa, quée_, ктик_, 
   {{0x7d0206df,0x68f602ae,0xa5bb007a,0x9df700fd}},	//   _pwos, _otyd, _scói, анът_, 
   {{0x4444aec1,0xe7fb0527,0x2259003e,0xe0da1dbd}},	//   oe_, ्रमा_, _óska_, _ава_, 
   {{0xf8bf539f,0x00000000,0x00000000,0x00000000}},	//   ntét_, --, --, --, 
   {{0x4444acca,0x6d5902f2,0xe82032f1,0x7524aec2}},	//   ie_, _erwa, _बाजा_, huiz, 
   {{0x4444aec3,0x1eda00eb,0x7d020610,0x752450de}},	//   he_, _شباب_, _twos, kuiz, 
   {{0xdca68c0b,0x673e00b9,0x81e80033,0x8cf40038}},	//   _кади, _appj, _মজা_, _اكتش, 
   {{0x8c4348f2,0x752401d2,0x7d1d019c,0x764f016c}},	//   _мече, duiz, ásse, _sacy, 
   {{0xfa37005e,0x00000000,0x00000000,0x00000000}},	//   _күні_, --, --, --, 
   {{0x9f5e0093,0x962107d5,0x83670116,0x6d4b00f8}},	//   _metà_, यलेट_, یدال, _ysga, 
   {{0x75240068,0x4444aec4,0x00000000,0x00000000}},	// [ae10] guiz, fe_, --, --, 
   {{0x764f0610,0xd37b6e36,0x041a0033,0x00000000}},	//   _wacy, кче_, ন্সী_, --, 
   {{0xf367aec5,0x7e62aec6,0x926b00a3,0x00000000}},	//   штан, _onop, крда_, --, 
   {{0x4b370056,0x7bd90070,0x7524039b,0x00000000}},	//   שראל_, אַנק, buiz, --, 
   {{0x660d0285,0x463a00c7,0x27ec0228,0x7f5a0106}},	//   maak, _גערע, ždne_, _artq, 
   {{0x660d4374,0x83f800b3,0x7e62aec7,0x6d590027}},	//   laak, _верс_, _anop, _rrwa, 
   {{0x6445aec8,0xf8bfacec,0x3f810098,0x3e7800f6}},	//   mehi, ltés_, áhu_, _néts_, 
   {{0x6445aec9,0x7ebe00e5,0x660daeca,0xc33200a7}},	//   lehi, këpu, naak, _מול_, 
   {{0xf8bfacec,0x3e78010d,0x0d080259,0x00000000}},	//   ntés_, _rétt_, адық_, --, 
   {{0x4c85197c,0x6da500cf,0x6445aecb,0xcc8900d4}},	//   слов, _қила, nehi, انده_, 
   {{0x3a2d01f1,0x660daecc,0x09e67080,0x5f791d38}},	//   мep_, kaak, йонн, _حماس_, 
   {{0x6445aecd,0x6d5900ab,0xff500116,0x660d2356}},	//   hehi, _trwa, _زخم_, jaak, 
   {{0x44447bc0,0x6445aece,0x6d590199,0x6e2922d0}},	//   ye_, kehi, _urwa, mgeb, 
   {{0x4444aecf,0x6e2975cc,0x9dd6008d,0x3ff90070}},	//   xe_, lgeb, _פוסק_, טפֿע, 
   {{0x17790934,0x6445aed0,0x9f470098,0x7c94009c}},	//   асть_, dehi, ybný_, _بشنا, 
   {{0x07a33e23,0x7524aed1,0x6e2935c5,0x3f7a0147}},	//   часн, tuiz, ngeb, אָמע, 
   {{0x644501a7,0xe4ea029a,0x3cfb0110,0x00000000}},	// [ae20] fehi, اعره_, लीचे_, --, 
   {{0x4444aed2,0x3940aed3,0xa3eaaed4,0x6e290502}},	//   ue_, _ipis_, уджа_, hgeb, 
   {{0x187700a7,0x48ee0ede,0x213f011c,0x6e29038c}},	//   _העיר_, _इंडो_, _apuh_, kgeb, 
   {{0x366a14ec,0x2c2100a2,0x6e2902b0,0x41d91e7b}},	//   _само_, _माझं_, jgeb, _बृहस, 
   {{0x7524001d,0x6445aed5,0xf8bfaed6,0x6e291025}},	//   quiz, behi, ctés_, dgeb, 
   {{0x44442190,0x6d49023e,0x7afa0065,0x6e29000b}},	//   qe_, dwea, yptt, egeb, 
   {{0x43860084,0xe7fb0bf5,0x3940016a,0x6e293877}},	//   _الأق, ्रता_, _lpis_, fgeb, 
   {{0x3940149d,0xf8bfaed7,0x776303da,0x527600f6}},	//   _opis_, ntér_, _ánxe, _уугу, 
   {{0x3940aed8,0xf65300d1,0xdb181102,0xa3d600c9}},	//   _npis_, לצה_, _vyví, ाइव_, 
   {{0x6282aed9,0x5b14aeda,0x660d0547,0x8fa60846}},	//   lkoo, омот, zaak, _лазе, 
   {{0x2d821db4,0x6fb6009c,0x6e291a0d,0x00000000}},	//   ške_, _امضا, bgeb, --, 
   {{0x6282aedb,0x200eaedc,0x7e62aedd,0x6d4959b2}},	//   nkoo, lafi_, _unop, bwea, 
   {{0x660d0547,0xc984aede,0x62823594,0x6445025b}},	//   vaak, пури, ikoo, yehi, 
   {{0x200e030c,0xd9180088,0x660d92a9,0x628b021e}},	//   nafi_, щью_, waak, zhgo, 
   {{0x8894058e,0x6282aedf,0x5c37042c,0x6445aee0}},	//   чирх, kkoo, _הטוב_, vehi, 
   {{0xf96b0141,0x62821895,0xfaa41571,0xe69400c8}},	//   _брой_, jkoo, _најо, писы, 
   {{0xf8bf026d,0x62826acc,0x660d01ce,0x6445aee1}},	// [ae30] utés_, dkoo, raak, tehi, 
   {{0xf8bfaee2,0xf8075527,0x660d01a3,0x69cd01f1}},	//   rtés_, _учин, saak, _izae, 
   {{0x6445aee3,0xf8bf844b,0x62821a77,0xe7dd0ca0}},	//   rehi, stés_, fkoo, _मणिप, 
   {{0xaac90cbd,0x7aeaaee4,0x4ac92290,0xd9f900b0}},	//   रतिक, _muft, रतिव, ंडित_, 
   {{0x7aea6a06,0x216905af,0x6aad00e5,0x6445aee5}},	//   _luft, рили_, _mjaf, pehi, 
   {{0xa3d60394,0x7bc60035,0x205400fd,0x11d4029a}},	//   ाइश_, ękuj, зтър, ستند, 
   {{0x6e291deb,0x287c0070,0x224600b4,0xceb902d9}},	//   tgeb, רנומ, beok_, toř_, 
   {{0x623433bf,0x69cd01d6,0x00000000,0x00000000}},	//   _несу, _ozae, --, --, 
   {{0x6e297633,0x7aea02f2,0xd1310dec,0xdef801f2}},	//   rgeb, _auft, _زما_, _etċ_, 
   {{0x6e2967ed,0x7aea020f,0x320f0054,0x30149409}},	//   sgeb, _buft, lagy_, _ндур, 
   {{0x3940aee6,0x7aea00ca,0x4aaaaee7,0x3b090267}},	//   _spis_, _cuft, икон_, јемо_, 
   {{0x7aea68e5,0x34a600aa,0x00000000,0x00000000}},	//   _duft, _खद्द, --, --, 
   {{0x3eb80019,0x6aad0175,0x00000000,0x00000000}},	//   _írta_, _djaf, --, --, 
   {{0x628902f0,0x3940008b,0x66e6aee8,0xf41f0033}},	//   _lleo, _vpis_, жова, ন্তর_, 
   {{0x62890543,0x7aea010c,0x39400035,0x629b4e57}},	//   _oleo, _guft, _wpis_, _omuo, 
   {{0x6aad003e,0x00000000,0x00000000,0x00000000}},	//   _gjaf, --, --, --, 
   {{0x39400062,0xf8bf0b48,0x61e41a01,0x00000000}},	// [ae40] _upis_, rtér_, žilk, --, 
   {{0xa3d60c06,0x03a60cf8,0x62890180,0xb5fb033c}},	//   ाइल_, оизо, _aleo, _unán, 
   {{0x7ae4aee9,0x200e00ef,0xf8bf35ee,0x78bcaeea}},	//   _kiit, vafi_, ptér_, morv, 
   {{0x09de0033,0x7bc3040b,0xa1c6121f,0x200e018e}},	//   _ভ্যা, _mynu, обед, wafi_, 
   {{0x6282aeeb,0x7ae4aeec,0x78700080,0xf8bf0096}},	//   rkoo, _miit, _sävy, bréd_, 
   {{0x7ae40905,0x6282214d,0x7bc30241,0x20c9007a}},	//   _liit, skoo, _oynu, súin_, 
   {{0xf8bf0175,0x00000000,0x00000000,0x00000000}},	//   kuén_, --, --, --, 
   {{0x7ae4030f,0xf41f0086,0x99990032,0x200e11f5}},	//   _niit, ন্দর_, lesť_, safi_, 
   {{0x78bcaeed,0x69c411e9,0x7bc34073,0x10a61762}},	//   korv, _nyie, _aynu, _диан, 
   {{0xb5fb1408,0x7d1d0019,0x6aad016a,0xf8bf0151}},	//   _anál, ássa, _sjaf, orée_, 
   {{0x7bc302bf,0x69c47b60,0x78bcaeee,0xaa591934}},	//   _cynu, _ayie, dorv, бину_, 
   {{0xe8d90029,0xf8bf0496,0xfce66bae,0x69c40118}},	//   _trị_, guén_, _додо, _byie, 
   {{0x7ae4aeef,0x78bc01e8,0x648000c8,0x200c027e}},	//   _diit, forv, _töih, _kedi_, 
   {{0x50ca00bd,0x6d420036,0x7aeaaef0,0xa5bb114a}},	//   ितिष, _ipoa, _tuft, _ocór, 
   {{0x200ca97d,0x7ae40379,0x2bd102e6,0x20c90038}},	//   _medi_, _fiit, _हरया, dúil_, 
   {{0x46680889,0xd9e31d00,0x68fd2be3,0x07e4128b}},	//   орум_, _गणपत_, ppsd, ьцям, 
   {{0xa5bb3c2a,0xe5340eba,0x00000000,0x00000000}},	// [ae50] _acór, меть, --, --, 
   {{0x28d20035,0x78bc0036,0x629b02a3,0xb6080098}},	//   _दीपि, corv, _smuo, tuší, 
   {{0x2909011c,0xf8bf0107,0x6289020f,0x8c3c027e}},	//   _hwaa_, grée_, _pleo, ciğe, 
   {{0x68edaef1,0x6abd22dd,0x7ae401d6,0xd627007a}},	//   _kuad, nosf, _xiit, _بعدي, 
   {{0x68ed0640,0x59d34a0c,0x200caef2,0x1a9c0070}},	//   _juad, _सरफर, _bedi_, סידע, 
   {{0x200c0082,0x68edaef3,0x3dd00033,0x37df0033}},	//   _cedi_, _muad, াখাল, _ব্যর, 
   {{0x200c095e,0x68ed0557,0xf8bf0107,0xa5bb0038}},	//   _dedi_, _luad, crée_, _gcór, 
   {{0x6455aef4,0x31354920,0x629b025b,0x7c3a3459}},	//   _hazi, _небр, _umuo, eftr, 
   {{0x7ae40088,0x61e901d6,0xb6090243,0x7bc31f57}},	//   _riit, _igel, _ikšķ, _synu, 
   {{0x7ae4030f,0x200c023e,0x64556092,0x320d01d2}},	//   _siit, _gedi_, _jazi, _heey_, 
   {{0x6455aef5,0x69c40065,0x61e9084c,0x7ebe0034}},	//   _mazi, _syie, _kgel, rëpr, 
   {{0x6455aef6,0x6abdaef7,0x68ed01fd,0x200c044d}},	//   _lazi, gosf, _buad, _zedi_, 
   {{0x7ae4aef8,0x68ed0a5e,0xdb18014b,0x645500ca}},	//   _viit, _cuad, _vyvá, _oazi, 
   {{0x6455aef9,0x68ed0eb6,0x00000000,0x00000000}},	//   _nazi, _duad, --, --, 
   {{0x366a0d38,0x2aa4010e,0x7ae44568,0xf8bf00d7}},	//   баво_, rűbb_, _tiit, muél_, 
   {{0x61e96de0,0x61e4027c,0xf8bfaefa,0x68ed3772}},	//   _ngel, žili, quén_, _fuad, 
   {{0x645569a8,0x68edaefb,0x18a663c7,0x20c90038}},	// [ae60] _bazi, _guad, _наим, túil_, 
   {{0x6455aefc,0x6ad100cc,0xf8bf026d,0xa84a0038}},	//   _cazi, _সংযো, trée_, _الدم_, 
   {{0xb5fb0076,0x645a00ce,0x200caefd,0xa87b00a7}},	//   _znám, _ótim, _redi_, _האיר, 
   {{0x25ad02f5,0x20c90084,0x3d1c0c06,0x200caefe}},	//   _žele_, súil_, _मिले_, _sedi_, 
   {{0x6455aeff,0x66049c14,0x200caf00,0x6d5b006d}},	//   _fazi, mbik, _pedi_, jvua, 
   {{0x61ff06d0,0x216a02f1,0x6604af01,0x91e32caa}},	//   ıqla, _қизи_, lbik, хоче, 
   {{0x43430c39,0x200c0141,0x7643010e,0xddcb0083}},	//   _перв, _vedi_, őnye, _nagł, 
   {{0x200c1b5a,0x64554db9,0x6604af02,0x75243ba5}},	//   _wedi_, _zazi, nbik, oriz, 
   {{0xc10600eb,0x200c033e,0xfe6f0038,0x6604af03}},	//   _رواي, _tedi_, ادى_, ibik, 
   {{0x7524af04,0x7c3a0380,0x645501ff,0x68ed01c5}},	//   iriz, uftr, _xazi, _ruad, 
   {{0x68edaf05,0xb5fb0038,0x2909016c,0x7524af06}},	//   _suad, _snám, _swaa_, hriz, 
   {{0x7524af07,0x68ed0574,0x6fa20249,0x2909018e}},	//   kriz, _puad, _केयू, _pwaa_, 
   {{0xac185891,0x68edaf08,0x62980212,0xc4be0083}},	//   _долу_, _quad, évoy, ्ताओ, 
   {{0xe8d900e7,0x387a017c,0x6b8101d5,0x660402a5}},	//   _trọ_, _copr_, bylg, ebik, 
   {{0x6455739a,0xddc90f30,0x6af300eb,0x44314d51}},	//   _razi, mješ, _كثير, _rcz_, 
   {{0x6455af09,0xddc92867,0x68e5016a,0x660495cf}},	//   _sazi, lješ, _wihd, gbik, 
   {{0x6455af0a,0xc8678981,0x95cb6a8b,0xddcb0035}},	// [ae70] _pazi, _етни, сува_, _zagł, 
   {{0x2a69006f,0x6455af0b,0xddc90ab4,0x26c2af0c}},	//   _hnab_, _qazi, nješ, _ekko_, 
   {{0x6455af0d,0x925900c8,0x569509d9,0x2a6901dd}},	//   _vazi, жает_, _жант, _knab_, 
   {{0x6455086d,0x7524af0e,0xa49b0118,0x00000000}},	//   _wazi, briz, _otòg, --, 
   {{0xdb18030f,0x75240141,0x50b50cfe,0x854400b3}},	//   _hyvä, criz, мску, _пэре, 
   {{0x26c900e9,0x660faf0f,0x708400f0,0xf95800df}},	//   llao_, _heck, нгіз, פסות_, 
   {{0xdb1800c8,0x00000000,0x00000000,0x00000000}},	//   _jyvä, --, --, --, 
   {{0x61e90036,0x77fb059e,0x00000000,0x00000000}},	//   _ugel, ्रुक_, --, --, 
   {{0x9f5c014b,0x660faf10,0x6e3b003e,0x00000000}},	//   mavý_, _meck, rfub, --, 
   {{0x3b85af11,0x660faf12,0x6d5b94a2,0x2a690175}},	//   длог, _leck, rvua, _anab_, 
   {{0xf8bf03b7,0x26c905ae,0xa3d608b3,0x6e3b0610}},	//   guém_, klao_, ाइए_, pfub, 
   {{0xedd50038,0xa3b500b0,0x9f5c00da,0xa9a601ff}},	//   _قياد, _जखन_, navý_, димд, 
   {{0x3ead264e,0xcdcb0116,0x3ebfaf13,0xddc90097}},	//   mnet_, _اذان_, mout_, bješ, 
   {{0x3ebf15ad,0x661d0f95,0xf8bf0183,0xb9060110}},	//   lout_, _adsk, quél_, _फळ_, 
   {{0xfbd100b0,0x3ead024a,0x660472af,0x17c801a2}},	//   _हरिम, onet_, tbik, яҳои_, 
   {{0x7524af14,0x3eadaf15,0x3ebf000d,0x7afcaf16}},	//   triz, nnet_, nout_, írte, 
   {{0xe5a3af17,0x3ead13d8,0x9f5c0098,0xcad72233}},	// [ae80] вити, inet_, davý_, _קופת_, 
   {{0x3eadaf18,0x752402ba,0xfbd10466,0x3ebfaf19}},	//   hnet_, rriz, _हराम, hout_, 
   {{0x3ebf0300,0x752402cd,0x93c300d9,0x3ead9e01}},	//   kout_, sriz, _ţări, knet_, 
   {{0x660f1135,0x65697455,0xd1caaf1a,0x3ebf0151}},	//   _geck, _šehe, олее_, jout_, 
   {{0x3cfd006d,0xa3df00b0,0x2ee600a1,0x00000000}},	//   _ntwv_, देब_, _riof_, --, 
   {{0x3eadaf1b,0xb5fb0126,0x32e8027e,0x74e7004f}},	//   enet_, _anáh, _eşya_, _одяг_, 
   {{0xddc903e5,0x3eadaf1c,0x20b900e4,0x3ebfaf1d}},	//   vješ, fnet_, чыць_, fout_, 
   {{0x3ebfaf1e,0x3ead0f2d,0x26c00036,0x539b00d1}},	//   gout_, gnet_, noio_, _וילו, 
   {{0x3206af1f,0xf1c303fd,0xa3d60035,0xddc90372}},	//   mboy_, _айтп, ाइक_, tješ, 
   {{0x6ef5008a,0x3eadaf20,0x00000000,0x00000000}},	//   _iġbn, anet_, --, --, 
   {{0xda3502f3,0x3ebfaf21,0xddc92178,0x3eadaf22}},	//   нены, bout_, rješ, bnet_, 
   {{0xcfa923e6,0x3206a11a,0xdddb008b,0xbd4600eb}},	//   _عالم_, nboy_, skuš, _يناي, 
   {{0xddc903e5,0xdb0a0219,0x26c001d8,0xeabf0106}},	//   pješ, _nyfö, doio_, roù_, 
   {{0x660fa221,0x3ea40343,0xf7730c30,0xb4b800bc}},	//   _seck, limt_, پاس_, ङको_, 
   {{0x660f122d,0x32060102,0xcc330535,0x6a7f0034}},	//   _peck, kboy_, _شروع, _dëfr, 
   {{0x2a690126,0x85051a1c,0x26c00036,0xe8d90108}},	//   _unab_, فورن, goio_, _trỏ_, 
   {{0x660f0750,0xf8ae00c5,0x3206af23,0xd49b0ecf}},	// [ae90] _veck, شکی_, dboy_, орж_, 
   {{0xdb18022b,0x26c90062,0x3ebfaf24,0x3ead0c52}},	//   _tyvä, slao_, zout_, znet_, 
   {{0x660f022b,0x3ead03a9,0x26c00183,0x32060054}},	//   _teck, ynet_, boio_, fboy_, 
   {{0x661d01cc,0xe29800dd,0x3ebf012b,0x291900c8}},	//   _udsk, має_, xout_, ossa_, 
   {{0x2919030f,0xa0694751,0x3ead0422,0x9f5c014b}},	//   nssa_, зала_, vnet_, ravý_, 
   {{0x2919030f,0x7ff5040f,0x3ebfaf25,0xf536042c}},	//   issa_, رستا, wout_, _אנשי_, 
   {{0x3ead6156,0xdbd61066,0x752d01f1,0xa29503bd}},	//   tnet_, _jääk, luaz, _заві, 
   {{0x3eadaf26,0x29190604,0x00000000,0x00000000}},	//   unet_, kssa_, --, --, 
   {{0xc0cbaf27,0xdbd6030f,0x3ebfaf28,0x752d01d8}},	//   _дуже_, _lääk, rout_, nuaz, 
   {{0x3ebf432b,0x9b050176,0xeb990267,0xcdc50259}},	//   sout_, нзод, зио_, маққ, 
   {{0x2919030f,0x200747a5,0x3eadaf29,0xcb696c43}},	//   essa_, mbni_, pnet_, чане_, 
   {{0x3d950a65,0x2d840369,0x752d01d6,0xb5fb00de}},	//   _пиер, byme_, kuaz, _unáh, 
   {{0xf2d200c7,0x96150086,0x61fb0053,0x7e6b04c6}},	//   טעט_, িলাম_, _mful, _ingp, 
   {{0xe00200b0,0x752daf2a,0x6b840237,0x00000000}},	//   रुपद_, duaz, _ńige, --, 
   {{0x2bc61971,0xfbc6000d,0x26c000fd,0x29190088}},	//   _रुपा, _रुपम, toio_, assa_, 
   {{0xe81c000d,0x2bfb07d5,0x61fb052b,0xc6a50bad}},	//   _भएका_, लुरू_, _nful, врђи, 
   {{0xd9de0086,0x22b80352,0xb466af2b,0x09de0033}},	// [aea0] _ভ্রম, nčke_, нкал, _ভ্রা, 
   {{0x321f0096,0x26c002a3,0x61fb01a3,0xe8d90210}},	//   _aduy_, soio_, _aful, _trề_, 
   {{0x389b0137,0xb2263f73,0x7e6b0102,0x3206af2c}},	//   _זיינ, емел, _ongp, tboy_, 
   {{0x2ca5af2d,0x38c60218,0x6aa6af2e,0xd84300de}},	//   hild_, _fêrî_, nikf, _trčí_, 
   {{0xd4f5004e,0xc1e70088,0x752d02a3,0x2ca531b7}},	//   _аясы, ньше_, cuaz, kild_, 
   {{0x59d30c14,0x6616af2f,0x7e6b0626,0x61fb01a3}},	//   _सरसर, layk, _angp, _eful, 
   {{0xb5fb0084,0xce940093,0x7ee600d9,0x44f6003e}},	//   _snái, какъ, нцие, _hæ_, 
   {{0x66160626,0x648000c8,0x2919af30,0x433b0070}},	//   nayk, _töis, yssa_, _מעלב, 
   {{0x2900006d,0x2ca5af31,0x9cca013e,0x38c60216}},	//   _ntia_, fild_, зына_, _xêrî_, 
   {{0x4f96275d,0x253700c7,0x61e40352,0x3ea4a45c}},	//   _преу, עניש_, žils, simt_, 
   {{0xa3d637c0,0x6aa69918,0x29002f8c,0xab2702a0}},	//   ाइट_, fikf, _atia_, ноќа_, 
   {{0xdbd6007e,0x2d840369,0x98a700ca,0x672e02be}},	//   _rääk, pyme_, _điđe_, dubj, 
   {{0x2ca5af32,0xf8b900d3,0x291900c8,0x44f651d3}},	//   bild_, дөн_, ussa_, _næ_, 
   {{0xdbd600c8,0x3a20027e,0x569400f0,0x6721039f}},	//   _pääk, _edip_, ңарт, áljo, 
   {{0x92100f01,0x764d0126,0xbb22010c,0x69c0af33}},	//   ाराज_, teay, _şîfr, ümer, 
   {{0x752daf34,0x67210613,0x7af7033c,0x44f6003e}},	//   tuaz, šljo, _éxta, _bæ_, 
   {{0x659458fa,0xf4871504,0x00000000,0x00000000}},	// [aeb0] гату, нужн, --, --, 
   {{0x752d3bb2,0xa49b01be,0x953800d9,0x00000000}},	//   ruaz, _stòb, эзут_, --, 
   {{0x78a7021e,0x00000000,0x00000000,0x00000000}},	//   mijv, --, --, --, 
   {{0x78a7012e,0x44f6003e,0x57b200f0,0x00000000}},	//   lijv, _fæ_, _тұст, --, 
   {{0x752d02a3,0x69da0083,0xb7f20bf1,0x00000000}},	//   quaz, ęteg, _জড়িত_, --, 
   {{0x8fa52f2f,0x21665117,0x999205d5,0x6022366a}},	//   кале, тиши_, _deyň_, адша, 
   {{0x394900e2,0xb88200bc,0x623500b3,0xa3d426f1}},	//   _lpas_, _říka, _иеву, _борч, 
   {{0x2ca515e9,0x0e65af35,0x61fb0727,0x92580258}},	//   wild_, ткин, _uful, _паст_, 
   {{0x2d8b035e,0x3949023b,0x2ca54dc8,0x00000000}},	//   áce_, _npas_, tild_, --, 
   {{0x4c85af36,0x9d440dec,0x44330104,0x6abc0e0d}},	//   тлов, ائين, ngx_, ैत्र, 
   {{0x3949af37,0x3a2000f4,0x6aa6ad17,0x290010f2}},	//   _apas_, _pdip_, tikf, _stia_, 
   {{0xfeb80084,0x60c3af38,0xfaa6af39,0x628ba8df}},	//   _كانت_, lonm, тамо, nkgo, 
   {{0x82760137,0x7e9a0070,0xed5902be,0x78a70034}},	//   דערע_, _קסנו, _цол_, fijv, 
   {{0x6aa69544,0x60c30237,0x7d1b00c2,0xdca50097}},	//   sikf, nonm, msus, _шали, 
   {{0xe737af3a,0x7d1baf3b,0xb8ca3e41,0x7bca00f8}},	//   кер_, lsus, _खग_, _gyfu, 
   {{0x61ed090e,0x656902fe,0x60c3af3c,0xddd903a0}},	//   žalj, _šeha, honm, _pawň, 
   {{0x66164c88,0x95835308,0xa3df0c8f,0x60c3af3d}},	// [aec0] rayk, алте, देस_, konm, 
   {{0x14c809e8,0x6616011d,0x64be0299,0x7d1b25c3}},	//   رهای_, sayk, ्तेश, isus, 
   {{0xddc20062,0x7d1baf3e,0x60c3af3f,0x25520237}},	//   _mnoš, hsus, donm, _wņl_, 
   {{0x7d1b2b92,0xd36f00eb,0x52750843,0x6b7a0070}},	//   ksus, تهم_, лучу, ורענ, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa3df2569,0xe043af40,0x65c2004e,0x399b008d}},	//   देह_, инчи, _бұға, וינד, 
   {{0x64a3af41,0x03a612e1,0x645c01a7,0x425600d9}},	//   _тара, _риво, _iari, _итат, 
   {{0x645caf42,0x4438af43,0x7d780038,0xeea703a1}},	//   _hari, _hcr_, فمبر_, ктык_, 
   {{0x645caf44,0x7d1b1614,0xdd9003b1,0xd1c7373a}},	//   _kari, gsus, صود_, _алте_, 
   {{0xa3df034d,0x5c7402c0,0x60c390ef,0x9f9805a8}},	//   देव_, улот, conm, lším_, 
   {{0x645caf45,0x5fb605f6,0x60da0175,0x6148003e}},	//   _mari, _अखिल, _ihtm, _félö, 
   {{0x645caf46,0x2fd700d4,0xc33302a1,0x3949016a}},	//   _lari, _شوند_, סור_, _ppas_, 
   {{0x81e400cc,0x628035de,0x645c0226,0xf653010e}},	//   পুর_, _momo, _oari, یئر_, 
   {{0x645caf47,0x6aa401b8,0x7d022f87,0xdca31782}},	//   _nari, _emif, _itos, _качи, 
   {{0x9cd700a7,0x78a7af48,0x6cd900c7,0xdbcc003e}},	//   _שווה_, rijv, _אַקצ, _góði, 
   {{0x6280af49,0x9f98026e,0x645caf4a,0x38ad02fe}},	//   _nomo, jším_, _aari, džre_, 
   {{0x645caf4b,0x35f42436,0x4438af4c,0x645e02b0}},	// [aed0] _bari, рпур, _bcr_, fdpi, 
   {{0x645caf4d,0x7d1d02a0,0x7aed0180,0xa855af4e}},	//   _cari, ássi, _hiat, _скоч, 
   {{0x645c2b84,0x6280af4f,0x7aed2358,0x2c1a0299}},	//   _dari, _bomo, _kiat, _मजनू_, 
   {{0x7d02af50,0x6e22af51,0x7aed008a,0xf364af52}},	//   _otos, _ndob, _jiat, штун, 
   {{0x645caf53,0x628061aa,0x7aed873e,0x623403a6}},	//   _fari, _domo, _miat, речу, 
   {{0x765d6af3,0x2ecb0501,0x7aedaf54,0x1dc600a5}},	//   _hasy, ात्त, _liat, _लड़त, 
   {{0xa3df37ff,0xa28300d4,0x7d02af55,0x6280145a}},	//   देश_, _پیشو, _atos, _fomo, 
   {{0x645caf56,0x7d1b0077,0xb5fb0038,0xee39af57}},	//   _zari, tsus, _gnát, хни_, 
   {{0x765daf58,0x645caf59,0x69cd11e9,0x7d020065}},	//   _masy, _yari, _nyae, _ctos, 
   {{0x645c1653,0x7d02007a,0x6e22052b,0xb5fb02d9}},	//   _xari, _dtos, _edob, _znát, 
   {{0x628002f1,0x69cd0537,0x7d0208b0,0x22b80121}},	//   _yomo, _ayae, _etos, lčka_, 
   {{0x765d0cd7,0x7aed7c33,0x7d1b00b0,0x3866009e}},	//   _nasy, _ciat, psus, _şor_, 
   {{0x7aed82b7,0x8c459abe,0xe8f70c8b,0x22b8008b}},	//   _diat, _беле, лля_, nčka_, 
   {{0x6d5934c4,0x7e7b0062,0x6e221763,0xddc20571}},	//   _iswa, ljup, _zdob, _unoš, 
   {{0x645caf5a,0x7aedaf5b,0xb8dc01a4,0x7c23023a}},	//   _rari, _fiat, _अद_, _idnr, 
   {{0x645caf5c,0x7aedaf5d,0x99860189,0x9695af5e}},	//   _sari, _giat, _ملبو, аруш, 
   {{0x056611c5,0x765d02f6,0x9f98031e,0x22b81852}},	// [aee0] ыван, _dasy, vším_, jčka_, 
   {{0x62800e2e,0x645caf5f,0x399b00d1,0x6d59893a}},	//   _somo, _qari, _נייד, _mswa, 
   {{0x22b80032,0x9f9802d9,0xe61f03c6,0x7e7b011c}},	//   ečka_, tším_, _clôs_, kjup, 
   {{0x6d4baf60,0xdce20405,0xa5bb0634,0x765daf61}},	//   _opga, _proċ, _idón, _gasy, 
   {{0x645caf62,0x21676de8,0x9f98014b,0xe7b3009c}},	//   _tari, лици_, rším_, _نمید, 
   {{0x44380369,0x645c1469,0xd00f0038,0xe8d90023}},	//   _ucr_, _uari, كله_, _trễ_, 
   {{0x7d02006a,0x6d4b3cf5,0xb4e009e2,0x9f98014b}},	//   _stos, _apga, दगी_, pším_, 
   {{0x4444ae00,0x4423739a,0x62800036,0x6d4b00b4}},	//   lf_, _zdj_, _uomo, _bpga, 
   {{0x7aedaf63,0x0caa1fde,0xb5fb014b,0xe297015a}},	//   _riat, етни_, _znás, _сат_, 
   {{0x7aedaf64,0x7c2300b4,0x6d59040b,0x2018003e}},	//   _siat, _cdnr, _dswa, _þri_, 
   {{0x4444af65,0x7aedaf66,0x6d4b0183,0x69cd085b}},	//   if_, _piat, _epga, _syae, 
   {{0x6e2206e0,0xf1b82119,0x20c9007a,0xd7f800a3}},	//   _udob, _अशान, búis_, ғур_, 
   {{0x7aed9b59,0xa802091f,0x984b0093,0x6da329ad}},	//   _viat, ğınd, нява_, _лица, 
   {{0x44440536,0xa8020749,0x7c38015e,0x656905ae}},	//   jf_, şınd, _ucvr, _šeho, 
   {{0xd6db00be,0x765daf67,0x6d40af68,0x7aed0379}},	//   ета_, _pasy, ltma, _tiat, 
   {{0x7bd802f5,0x61ed090e,0x4444af69,0xe5b503a1}},	//   _izvu, žali, ef_, айбы, 
   {{0x4444af6a,0x6d40af6b,0xd6d80d3b,0x1fe108b4}},	// [aef0] ff_, ntma, утр_, _पण्ड, 
   {{0x78a5008c,0xdce2090e,0xb4bf00bc,0x6d40af6c}},	//   _umhv, _oroč, ँके_, itma, 
   {{0x765d0da2,0x1cbb00c7,0x3ea60588,0xf367012d}},	//   _tasy, עמבע, _omot_, ытан, 
   {{0x4444af6d,0x9f5e00b9,0x00000000,0x00000000}},	//   af_, _letó_, --, --, 
   {{0x660da4d8,0x44440065,0xe1f8012d,0x6d4002d9}},	//   mbak, bf_, угі_, jtma, 
   {{0x660d02fb,0x5f055406,0x3ea6af6e,0x22b81fe0}},	//   lbak, азка, _amot_, rčka_, 
   {{0x752d0065,0x1e95af6f,0xf8bf0151,0x6d5901b8}},	//   lraz, ирир, lués_, _sswa, 
   {{0x660d0a9f,0x752d322e,0xdce20604,0xb5fb00de}},	//   nbak, oraz, _droč, _znár, 
   {{0x212b0029,0xe7fa00bc,0x7e7b00c2,0x6d400566}},	//   _ích_, ्डमा_, rjup, gtma, 
   {{0x3ea6022b,0x103500d4,0x752d0183,0x0b450176}},	//   _emot_, _خبرگ, iraz, анон, 
   {{0x752d031e,0xbb45af70,0x2bfb051f,0x660d4060}},	//   hraz, шенк, लुगू_, kbak, 
   {{0x09e6177b,0xfc3f000d,0x6d590364,0x752daf71}},	//   ионн, ří_, _tswa, kraz, 
   {{0x6d59af72,0x89d6005e,0x6d402e0f,0x19ba05e0}},	//   _uswa, рінш, ctma, тунь_, 
   {{0x752d044e,0x225faf73,0xb4bf00bc,0x6d5c0339}},	//   draz, _lauk_, ँको_, ārat, 
   {{0x752d02ba,0x7d09af74,0xeb991299,0xdb0303dd}},	//   eraz, lpes, _шик_, _exnò, 
   {{0xfb2400d4,0xcf9200c7,0x752d8a39,0x44440156}},	//   _اروپ, קטן_, fraz, wf_, 
   {{0x752daf75,0xf8bf734d,0xa3e82414,0x7d090080}},	// [af00] graz, gués_, मेन_, npes, 
   {{0x4444af76,0x2a60023b,0xd90d0499,0x394000a4}},	//   uf_, _haib_, _سیف_, _iqis_, 
   {{0x4444af77,0x752d8590,0x225f0304,0xd7640274}},	//   rf_, araz, _bauk_, _انجی, 
   {{0x752d0c7f,0xd7bb0056,0xe24600eb,0x935900d3}},	//   braz, _יציר, شخصي, ыруу_, 
   {{0x28db143e,0x752d00fd,0x444401c4,0xc05a004f}},	//   _मीडि, craz, pf_, вій_, 
   {{0xdce203ef,0x2a60023b,0x7e0e4437,0x394d3ee9}},	//   _proč, _laib_, सर्ग_, çesi_, 
   {{0xd3722751,0x20c90038,0xd9d303a2,0x4fc60d3d}},	//   _ظهر_, túir_, _सर्ट, јсла, 
   {{0xdce202ee,0x2a60af78,0x629901c4,0x6d401e2d}},	//   _vroč, _naib_, chwo, ttma, 
   {{0x8c3c01f0,0xddc901f0,0x394001a0,0x66fc014b}},	//   liği, rdeş, _nqis_, _očko, 
   {{0x672106f6,0xdce2044e,0x20c9007a,0x5fa73fee}},	//   šlji, _troč, súir_, _केवल, 
   {{0x99920118,0x201caf79,0xdce20604,0xa80204d6}},	//   _deyō_, mavi_, _uroč, ğıld, 
   {{0x201caf7a,0x38ad02fe,0x2a60af7b,0xa8020384}},	//   lavi_, džra_, _caib_, şıld, 
   {{0x2a60006d,0xf8bf010e,0x0e9b0486,0xc98400d9}},	//   _daib_, nség_, _בשאל, оури, 
   {{0xda070551,0x8d850274,0x752daf7c,0xb5fb019c}},	//   _व्रत_, _دشمن, vraz, _anáp, 
   {{0x2a60006f,0x629800e0,0x23a50035,0x25e900aa}},	//   _faib_, īvoj, _गेंद, चेनी_, 
   {{0x8c3c0c05,0x35f5af7d,0x2a6077f4,0xf8bf0107}},	//   diği, спар, _gaib_, tués_, 
   {{0x95cb6a8b,0x201c0688,0x752d2264,0xc95b00a3}},	// [af10] тува_, kavi_, uraz, _рўй_, 
   {{0x752d226c,0x7af8006d,0x44980b58,0xf3672cc5}},	//   rraz, _kuvt, авую_, итен, 
   {{0x201c01f0,0xa85600a7,0x14b81503,0x00000000}},	//   davi_, _היתה_, _आदरण, --, 
   {{0x2a6001a0,0x62351571,0x7d090eaf,0x00000000}},	//   _xaib_, седу, ypes, --, 
   {{0xf8bfaf7e,0x016502be,0xddd905d5,0x00000000}},	//   qués_, скло, _pawō, --, 
   {{0x386102f2,0x26c90026,0x77f50796,0x00000000}},	//   _jahr_, loao_, _आलोक_, --, 
   {{0xe3e500cc,0xb3e500cc,0x339500eb,0x2bc600a5}},	//   _প্রব, _প্রজ, _الأز, _रुला, 
   {{0x34950cdf,0x02a448d7,0x945400ad,0x57b800d1}},	//   _таҳр, _друм, _çərş, ילוב_, 
   {{0x201c02f5,0x2a60016a,0xa1940e06,0x6da5766e}},	//   bavi_, _raib_, _датч, сипа, 
   {{0x2a6001c1,0xec79187f,0x201c28c9,0x0dc802a6}},	//   _saib_, упо_, cavi_, јући_, 
   {{0x7d09af7f,0x2a60023b,0x0aea03dd,0x00000000}},	//   spes, _paib_, лдой_, --, 
   {{0x7d092759,0xdb1e031e,0x2a60006f,0xc33200d1}},	//   ppes, íván, _qaib_, הוט_, 
   {{0xddc902a8,0x3eadaf80,0x290d00d9,0xa49b03dd}},	//   ljež, miet_, ţean_, _atòm, 
   {{0x3eadaf81,0xe73aaf82,0xdd8e0038,0x00000000}},	//   liet_, лег_, _سوى_, --, 
   {{0xd62aaf83,0x2a600640,0xf8bf010e,0xddc90082}},	//   лове_, _taib_, zség_, njež, 
   {{0x3ead2df9,0x629800e0,0x869930dc,0x201c16ef}},	//   niet_, īvok, атут_, zavi_, 
   {{0x98a6af84,0x044a03a1,0x386159d4,0x94260028}},	// [af20] _гипе, лпак_, _fahr_, ймае, 
   {{0xb97b00a7,0x8c3c01f0,0x3eadaf85,0x33f60080}},	//   _עניי, tiği, hiet_, счас, 
   {{0x8c1a00a7,0x201c0588,0x3eadaf86,0xa2c45582}},	//   רועי, vavi_, kiet_, िकल्, 
   {{0x3ead2976,0xf8bf0019,0x8c3c027e,0x490f00bc}},	//   jiet_, tség_, riği, तीको_, 
   {{0x724300d4,0x3eadaf87,0x644303a1,0x74ba0299}},	//   سپول, diet_, ònic, ्वदृ, 
   {{0x2eb2122e,0x0496031b,0x3166af88,0x2ef900de}},	//   ुक्त, _السح, rvoz_, _čsfr_, 
   {{0xf8bf0019,0xe80900a2,0x3f410183,0x321d0035}},	//   sség_, वडता_, góu_, bawy_, 
   {{0xe297af89,0x3ead6814,0x93b700d1,0x877b0070}},	//   _лас_, giet_, _הללו_, טאצי, 
   {{0x25a0132c,0x41dc00b0,0x2b4e02aa,0x201c7130}},	//   nzil_, _बरिस, _spfc_, pavi_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x3eadaf8a,0xf8bf0107,0x2e4a0093,0x2cacaf8b}},	//   biet_, nsée_, _бяло_, ridd_, 
   {{0x59aa0f01,0x3eadaf8c,0xf8bf0212,0x3861040b}},	//   _चेहर, ciet_, isée_, _sahr_, 
   {{0xa3e809d8,0x00000000,0x00000000,0x00000000}},	//   मेत_, --, --, --, 
   {{0x321d0035,0xf99f0036,0x98ab020f,0xa8a41dbd}},	//   zawy_, rzè_, ducă_, прск, 
   {{0x25a0012b,0x2bcf1281,0x6fb80035,0x7e62af8d}},	//   ezil_, _सुपा, इपिं, _kaop, 
   {{0xa3be007e,0x38610380,0x7c3a0326,0x80da0299}},	//   ुअन_, _wahr_, lgtr, _पीसे, 
   {{0x94192831,0x7e620054,0xdddb0121,0x7d0401be}},	// [af30] ижат_, _maop, zkuž, _éisd, 
   {{0x7c3aaf8e,0x3ead01dd,0x00000000,0x00000000}},	//   ngtr, ziet_, --, --, 
   {{0xd3710084,0x321d0035,0x96b802e6,0xb4db01be}},	//   بها_, tawy_, ्कशॉ, _spàs, 
   {{0xddc90f30,0x7e620254,0xa3e802e6,0x95cb00d3}},	//   vjež, _naop, मेध_, _буга_, 
   {{0x2bcf0509,0x3eadaf8f,0x321d0035,0x763a00c7}},	//   _सुना, viet_, rawy_, _דערג, 
   {{0xa069a946,0x29090053,0x3eadaf90,0xb4440a10}},	//   рака_, _mtaa_, wiet_, _нэск, 
   {{0x3eadaf91,0x00000000,0x00000000,0x00000000}},	//   tiet_, --, --, --, 
   {{0x6457af92,0x44ff0218,0x7e62af93,0xd10920b4}},	//   lexi, _kî_, _caop, _نقره_, 
   {{0x44ff1816,0x0c7902f3,0x8d55017b,0xa282010e}},	//   _jî_, асны_, ітич, _تینو, 
   {{0x64572bf6,0x3eadaf94,0x4b251f28,0xa5bb039f}},	//   nexi, siet_, омов, _adók, 
   {{0x3f67034c,0xa49b0118,0x290902a5,0x3eadaf95}},	//   _uđu_, _atòk, _ataa_, piet_, 
   {{0x316d02fe,0x39ea2669,0x28d20035,0xe8d90108}},	//   _krez_, идно_, _दीजि, _trớ_, 
   {{0x6abd00e9,0x224d01e5,0xa9a35282,0x67252032}},	//   érfa, _mbek_, дияд, _avhj, 
   {{0x64b80f8c,0xf8bf1904,0x38050176,0xfc4611bb}},	//   _आदेश, ysée_, зорҳ, čích_, 
   {{0x7c640019,0x92190586,0x378702a0,0xaa46af96}},	//   _راول, दराज_, обро_, _дейл, 
   {{0x6e3b8d22,0x44ff010c,0x316d00b3,0x29090118}},	//   ngub, _bî_, _orez_, _ftaa_, 
   {{0xda7b00d1,0x34aa0267,0x765604a8,0x00000000}},	// [af40] _כנקר, авао_, reyy, --, 
   {{0x44ff0218,0x61e602d9,0x224d9b69,0xe3b211b6}},	//   _dî_, _úkli, _abek_, ورا_, 
   {{0x2bcf00a2,0xe1fa0267,0x6e3b0415,0x00000000}},	//   _सुमा, аге_, kgub, --, 
   {{0x316d11c8,0x2005af97,0xf8bf0107,0x366a02a6}},	//   _brez_, _afli_, rsée_, _тамо_, 
   {{0xf8bf026a,0x6f080126,0x7e620054,0x60ca1a77}},	//   ssée_, _stdc, _raop, tofm, 
   {{0x7e622337,0x2bcf08e1,0x201a55b3,0xdc450028}},	//   _saop, _सुभा, úpi_, _būči, 
   {{0x75245cd7,0xd2590118,0x644e8076,0x179a0070}},	//   lsiz, _djņb_, _ibbi, ייַב, 
   {{0x44ff009e,0x6569af98,0x6e3b3932,0x00000000}},	//   _yî_, _šehi, ggub, --, 
   {{0x442a00b4,0x316d0106,0x00000000,0x00000000}},	//   _kdb_, _grez_, --, --, 
   {{0x224d00cf,0x62820088,0x75248b52,0x9b6a8859}},	//   _zbek_, ljoo, isiz, ашма_, 
   {{0x66040348,0x442a00ad,0xc3fb0070,0x644e011c}},	//   kcik, _mdb_, יליש, _mbbi, 
   {{0x62820539,0x7524af99,0x442a03c5,0x0dcaaf9a}},	//   njoo, ksiz, _ldb_, _клей_, 
   {{0x6e20011d,0x644e01d8,0x6ef50009,0xc8670cda}},	//   mamb, _obbi, _išba, отви, 
   {{0x7524af9b,0xd7f81d02,0xf8bf0175,0x7a44039f}},	//   dsiz, жут_, jrét_, tító, 
   {{0x58d41829,0x44ff009e,0x6e20025b,0x00000000}},	//   форт, _sî_, oamb, --, 
   {{0x6e2001a7,0x644eaf9c,0x44ff009e,0x7c2a02be}},	//   namb, _abbi, _pî_, _hdfr, 
   {{0x645709a1,0x442aaf9d,0x6e200053,0xa3e80e7d}},	// [af50] texi, _bdb_, iamb, मेस_, 
   {{0x6e20af9e,0x44ff078a,0x644e00ef,0xd5b80c8b}},	//   hamb, _vî_, _cbbi, іст_, 
   {{0x44ff055a,0x6e20af9f,0x67d501a2,0xd37b012d}},	//   _wî_, kamb, _хону, шча_, 
   {{0x6e200f00,0x442aafa0,0x644e01a3,0x752401ff}},	//   jamb, _edb_, _ebbi, bsiz, 
   {{0x661d3cf5,0x6e204621,0xc61700c6,0xd009afa1}},	//   _iesk, damb, तरीय_, беле_, 
   {{0xa5bb0038,0x80a8004f,0x656f01ff,0x6282afa2}},	//   _ndói, овів_, _irch, ajoo, 
   {{0x44216d98,0x661dafa3,0x6e200054,0x6aad0c53}},	//   mah_, _kesk, famb, _omaf, 
   {{0x44211237,0x6e20afa4,0xa5bbafa5,0x224d0089}},	//   lah_, gamb, _adói, _ubek_, 
   {{0x661dafa6,0x2d8b026d,0xf1b907c7,0x316dafa7}},	//   _mesk, âce_, _beše_, _urez_, 
   {{0x442115da,0x23bf02f8,0x6aad244b,0xa5bb2888}},	//   nah_, _एखाद, _amaf, _teóf, 
   {{0x44211697,0x6e200383,0xbb4216d0,0x2d82004f}},	//   iah_, bamb, неэк, øker_, 
   {{0x661dafa8,0x6e20afa9,0xa5bb0126,0x752400a3}},	//   _nesk, camb, _geóg, ysiz, 
   {{0x4421afaa,0xed58004f,0x00000000,0x00000000}},	//   kah_, _мої_, --, --, 
   {{0x20cb13ec,0xf8bf1eb1,0x45090086,0x2bc600a5}},	//   िविध, drés_, _লিংক_, _रुका, 
   {{0x44216c86,0x66e69b82,0x661dafab,0x96969b9d}},	//   dah_, зова, _besk, праш, 
   {{0xa5bb0068,0x661dafac,0x75244972,0x442a0151}},	//   _xeóg, _cesk, tsiz, _sdb_, 
   {{0xf8bf39fa,0x442a02a2,0x1c1f00b0,0x656f00a1}},	// [af60] grés_, _pdb_, _मजाल_, _crch, 
   {{0x442100d7,0x6e20afad,0x7c21098d,0x66042b4a}},	//   gah_, zamb, nalr, scik, 
   {{0x6e20afae,0x62894742,0x22b80352,0x0af90033}},	//   yamb, _boeo, lčki_, _আবুল_, 
   {{0x661d0691,0x4421afaf,0x7524afb0,0x6e2002be}},	//   _gesk, aah_, psiz, xamb, 
   {{0x4421853f,0x6e2000a9,0x22b8008b,0xb404001c}},	//   bah_, vamb, nčki_, _жүзд, 
   {{0x4421afb1,0x6e20afb2,0x10a30d8f,0x644eafb3}},	//   cah_, wamb, ничн, _ubbi, 
   {{0xb4d80f01,0x7ae49c43,0xf1b904cb,0x7c21010e}},	//   ाती_, _ohit, _reše_, dalr, 
   {{0x2bcf0659,0x3da600dd,0x4ea600f0,0x6146afb4}},	//   _सुधा, зроб, ярла, _неба, 
   {{0x6e205280,0xa3e800ab,0x22b80352,0x7c2a00b4}},	//   ramb, मेर_, jčki_, _pdfr, 
   {{0x7ae4afb5,0x61e00a1a,0x7af60118,0x32060126}},	//   _ahit, _izml, _aiyt, lcoy_, 
   {{0x6e2021a3,0x7ae4004c,0x69c400b4,0xae1700aa}},	//   pamb, _bhit, _axie, _धड़कन_, 
   {{0x7ae4afb6,0x4421afb7,0x201e6829,0xb4d80249}},	//   _chit, zah_, _heti_, ातु_, 
   {{0xa3d3000d,0x661d06df,0x7ae40465,0x201eafb8}},	//   _हुन_, _resk, _dhit, _keti_, 
   {{0x7ae40077,0x201e34c4,0x7c2100f6,0xf8bf0107}},	//   _ehit, _jeti_, calr, vrés_, 
   {{0xc7c408b8,0x4421afb9,0x661dafba,0x7ae4afbb}},	//   ести, vah_, _pesk, _fhit, 
   {{0x442103f6,0xddc21425,0x201e27e8,0xf8bfa7aa}},	//   wah_, _množ, _leti_, trés_, 
   {{0x661dafbc,0xd8cb00d9,0x2efe0104,0x00000000}},	// [af70] _vesk, _гынд_, _lutf_, --, 
   {{0x656f05a8,0x661dafbd,0xf8bf93aa,0x629b0009}},	//   _vrch, _wesk, rrés_, _sluo, 
   {{0x6abdafbe,0xd6d10038,0xa3e83b3e,0x629b0028}},	//   onsf, _لقد_, मेल_, _pluo, 
   {{0xb184026e,0xf8bf00f6,0x6abd059b,0x65950b5d}},	//   _šťas, prés_, nnsf, _жаму, 
   {{0x4421afbf,0x656fafc0,0x201e0a9f,0xf194004f}},	//   pah_, _urch, _beti_, ниць, 
   {{0x44219377,0xe7e4190a,0x6f1a03c6,0x656d0027}},	//   qah_, _गरमा_, _bwtc, mvah, 
   {{0x201e0039,0x629b0415,0x00000000,0x00000000}},	//   _deti_, _tluo, --, --, 
   {{0x2d9560fd,0xee3914b7,0x00000000,0x00000000}},	//   дрос, цни_, --, --, 
   {{0x6298002a,0x7c210a79,0x4c35012d,0x201eafc1}},	//   īvot, talr, мэнт, _feti_, 
   {{0x7ae4afc2,0x201e008c,0x22b80352,0x9b051cc1}},	//   _shit, _geti_, včki_, мзод, 
   {{0x7fb9009c,0x60c40038,0x00000000,0x00000000}},	//   _بهار_, éime, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x8c4582f1,0x7c2907ae,0x61fb019b,0x2bcf0790}},	//   _желе, _долг_, _mgul, _सँवा, 
   {{0x7ae400a7,0x22b80352,0x7e69afc3,0x6d49afc4}},	//   _whit, rčki_, ldep, mtea, 
   {{0x6d491600,0x61fbafc5,0x7ae4afc6,0xf74321e6}},	//   ltea, _ogul, _thit, керо, 
   {{0xe8d90029,0x61fb0a13,0x7ae4afc7,0x68f700f6}},	//   _trở_, _ngul, _uhit, _eixd, 
   {{0xa8c600a3,0x17fa0038,0x75d3007a,0x00000000}},	// [af80] _ойид, _وردة_, نيفا, --, 
   {{0xb4d81011,0x61fbafc8,0x6d490094,0xb93700c7}},	//   ाते_, _agul, itea, _קריג_, 
   {{0xe814047b,0xa3e8119f,0x201eafc9,0xf99200d4}},	//   _त्या_, में_, _reti_, _سبک_, 
   {{0x673c0f4c,0x201eafca,0xf50601a2,0x7e690566}},	//   murj, _seti_, _озмо, jdep, 
   {{0xba48012d,0x7e69007b,0xbef7031e,0x662900bc}},	//   _grįž, ddep, ँदैन_, řský, 
   {{0xd00f361f,0x6d4900eb,0x61fb01b8,0xcf9a14b7}},	//   لله_, dtea, _egul, жји_, 
   {{0x201eafcb,0x321f0118,0x9f9827eb,0x6d49afcc}},	//   _veti_, _feuy_, явку_, etea, 
   {{0x6d492e31,0x61fb0298,0xf1a9009c,0x3a2000a1}},	//   ftea, _ggul, _کافه_, _neip_, 
   {{0x1ee8006b,0x814600d4,0x201eafcd,0x63ae0009}},	//   _ہوئی_, _زنان, _teti_, žinė, 
   {{0xe57100c7,0x2bcf10b0,0x00e3049b,0x00000000}},	//   אַט_, _सुहा, _ажун, --, 
   {{0x764d027e,0xaab500e4,0x673c0144,0x7536020b}},	//   yfay, ейні, jurj, hryz, 
   {{0x3a208198,0x6d49afce,0x3d19093a,0xbb9300c8}},	//   _ceip_, btea, _मौके_, тающ, 
   {{0x6d499ce1,0x1de20865,0x6abd1bbd,0xdd921c03}},	//   ctea, _परित, rnsf, _جوش_, 
   {{0x290003dd,0x2bcf21d2,0xfb190019,0x673c056f}},	//   _duia_, _सुवा, _کروں_, furj, 
   {{0x67d4345e,0xf1b907d1,0x368b0e65,0x2900022c}},	//   вору, _meša_, осан_, _euia_, 
   {{0x1de204d7,0xdddb265d,0xf1b9015e,0xdce20a1a}},	//   _परात, ljuš, _leša_, _broć, 
   {{0x2900afcf,0x7d0d0034,0x22b80121,0x321f0175}},	// [af90] _guia_, _çast, nčku_, _reuy_, 
   {{0x2a69050a,0xdddb0613,0x673c0144,0x656d0eb1}},	//   _haab_, njuš, burj, rvah, 
   {{0x5fae0081,0x656d35ae,0x6d490a9f,0x7e69017b}},	//   _झेलल, svah, ztea, ydep, 
   {{0x38ad02fe,0x99920118,0x4ed00033,0x77650508}},	//   džri_, _deyņ_, াগুল, _ishx, 
   {{0x7e690228,0xa3b40a68,0x22b8afd0,0xd0091db5}},	//   vdep, _जेठ_, jčku_, пеле_, 
   {{0xfc4e0108,0x3f698d56,0x00000000,0x00000000}},	//   _sửng_, зико_, --, --, 
   {{0xff510eea,0xf1b900ca,0xcef502a0,0x7e69017b}},	//   اخت_, _deša_, нчињ, tdep, 
   {{0x6d49afd1,0x2a69006d,0x61fb019b,0x4d650267}},	//   ttea, _naab_, _ugul, екив, 
   {{0xee360528,0x7e69afd2,0x2d990098,0x6d4900b4}},	//   хны_, rdep, áse_, utea, 
   {{0x6d49afd3,0x31780019,0x7e69afd4,0xa3b400c9}},	//   rtea, _تحفظ_, sdep, _जेड_, 
   {{0x7a6a739c,0x6d49afd5,0x2bcf048e,0x7e6900f6}},	//   пинг_, stea, _सुशा, pdep, 
   {{0x9cea0105,0x6d49afd6,0xeabf0036,0x22b80604}},	//   _ہونے_, ptea, gnù_, bčku_, 
   {{0xac951628,0x2bcf296e,0x77650508,0x00000000}},	//   _падш, _सुरा, _ashx, --, 
   {{0x6f010019,0x2a6900b4,0xac8400f0,0xddd90237}},	//   _kulc, _eaab_, _игіл, _pawņ, 
   {{0x3a2088ce,0x61dc031e,0x7bd80009,0xc5f84437}},	//   _teip_, _बर्ष, _gyvu, ंख्य_, 
   {{0xb4d800ea,0x3ebf030f,0xdce20062,0xf50a1416}},	//   ात्_, nnut_, _proć, знал_, 
   {{0x69c101f0,0xe5a3afd7,0xc4e60259,0x3ebf1279}},	// [afa0] şler, гити, ежай, inut_, 
   {{0x03a6afd8,0xa3be07d5,0x6299000b,0xa5bb010e}},	//   низо, ुअल_, ekwo, _adós, 
   {{0xdce902ee,0xf4840296,0x00000000,0x00000000}},	//   jveč, _یاسی, --, --, 
   {{0xe8141d00,0xa6830fac,0x2a69006d,0x26c20fbf}},	//   _त्ता_, _блюд, _xaab_, _ujko_, 
   {{0x26d2afd9,0x3ebf49f8,0x26c0afda,0xf1b90604}},	//   moyo_, dnut_, mnio_, _peša_, 
   {{0x232a06ba,0x26c00028,0x26d2afdb,0x74160eb7}},	//   _ноги_, lnio_, loyo_, _سورا, 
   {{0x82a600dd,0xf1b90571,0x645eafdc,0x6f0100b3}},	//   _завж, _veša_, mepi, _culc, 
   {{0x3ebf04d1,0x6f01afdd,0x645eafde,0x26c000fd}},	//   gnut_, _dulc, lepi, nnio_, 
   {{0x8ffa0a24,0xfd0f0116,0x26c0afdf,0x7646040b}},	//   _فرار_, یجی_, inio_, _mcky, 
   {{0x2a690077,0xc5f30137,0x6f0102a3,0xa3e71126}},	//   _saab_, נדז_, _fulc, _परम_, 
   {{0x2a69006d,0x34b70486,0x6f010104,0x26d2045a}},	//   _paab_, תפים_, _gulc, koyo_, 
   {{0x6ee5afe0,0x2a69006d,0x645eafe1,0xa3d30b79}},	//   tóbe, _qaab_, hepi, _हँस_, 
   {{0x26c0afe2,0x26d200d7,0x00000000,0x00000000}},	//   dnio_, doyo_, --, --, 
   {{0x645e0f30,0x26c0839f,0x3b540b40,0x00000000}},	//   jepi, enio_, _аккр, --, 
   {{0x645eafe3,0x67d51f79,0xa49b0118,0x6566076b}},	//   depi, тову, _otòr, _askh, 
   {{0xa3e704d7,0xd6d8afe4,0x7bdb042c,0x497550ef}},	//   _परब_, ету_, _מקוו, _алис, 
   {{0x7d020238,0x35f501ab,0xa8020761,0xeaf85a53}},	// [afb0] _juos, тпар, ğırd, _ثروت_, 
   {{0x64a402a6,0xa80206a2,0x7d02018e,0x3ebf0613}},	//   гађа, şırd, _muos, znut_, 
   {{0x7d1d039f,0x26d2afe5,0x00000000,0x00000000}},	//   ássz, boyo_, --, --, 
   {{0xe8d90210,0x00000000,0x00000000,0x00000000}},	//   _trồ_, --, --, --, 
   {{0x7d02012d,0x629911da,0x31080259,0x645eafe6}},	//   _nuos, rkwo, еніп_, bepi, 
   {{0x6f01afe7,0xf1b90082,0xa5c200f0,0xdceb0243}},	//   _pulc, _fešn_, _төсе, _orgā, 
   {{0x6e2201c4,0x3c2d010e,0x60c40183,0xb2ab00fd}},	//   _beob, _jövő_, éima, _етаж_, 
   {{0x4423afe8,0x44312592,0x7d02afe9,0x6e220354}},	//   _hej_, _hdz_, _buos, _ceob, 
   {{0x50f533de,0xc05b00dd,0x6e22a288,0x4423afea}},	//   _азат, _ніж_, _deob, _kej_, 
   {{0xeb99afeb,0x44231764,0x1fa7386d,0x26c005ae}},	//   дио_, _jej_, _прег, znio_, 
   {{0x4423afec,0xfaa63543,0x26d22bba,0x3ebf00da}},	//   _mej_, вано, yoyo_, pnut_, 
   {{0x442323e3,0x645e006a,0xeb968410,0x7d0203c6}},	//   _lej_, zepi, тию_, _fuos, 
   {{0x645502f5,0x81d30086,0x645e025b,0xc96300fd}},	//   _obzi, হের_, yepi, авяй, 
   {{0x4423afed,0x26d20298,0xf1b902c7,0xe8f7afee}},	//   _nej_, woyo_, _lešo_, кля_, 
   {{0x26c000ab,0x6e2200f4,0x26d2044d,0x645eafef}},	//   tnio_, _yeob, toyo_, vepi, 
   {{0x7c230533,0x443102cd,0xc6c370c9,0x38ad02fe}},	//   _henr, _adz_, айск, džru_, 
   {{0x7e6b5144,0xa2c0000f,0x26d2aff0,0x443102fe}},	// [afc0] _magp, लचस्, royo_, _bdz_, 
   {{0x26c07549,0x7e6b07fc,0x6d59095a,0x2912016c}},	//   snio_, _lagp, _mpwa, _itya_, 
   {{0x442301c1,0x645eaff1,0x7c2302cd,0xc7a600dd}},	//   _dej_, repi, _menr, _ринк, 
   {{0xe29730ea,0x7e6b1410,0x1dc100b0,0x6d59038c}},	//   ках_, _nagp, शपात, _opwa, 
   {{0x6e2203dd,0x645e0226,0x86b300f0,0x443101cf}},	//   _reob, pepi, _тәрі, _fdz_, 
   {{0x44238093,0x212d02ee,0x764489fd,0x7d021193}},	//   _gej_, _dveh_, lgiy, _ruos, 
   {{0x7d02030f,0xb17d0187,0x6d5905d5,0x7e6baff2}},	//   _suos, _vzťa, _apwa, _bagp, 
   {{0x7644aff3,0xa3e702f8,0x4444aff4,0x4423006f}},	//   ngiy, _परत_, lg_, _zej_, 
   {{0x4444aff5,0xade300dd,0xa2cf0586,0xa5bb0068}},	//   og_, ицьк, धकर्, _león, 
   {{0x7d02030f,0x5c73085c,0x7b1800b9,0x00000000}},	//   _vuos, альт, ноор_, --, 
   {{0xdeef2a50,0x4444aff6,0x2912aff7,0x765f024a}},	//   _вы_, ig_, _atya_, yeqy, 
   {{0x7d020088,0x98b100ef,0x656402b8,0x7c23aff8}},	//   _tuos, _čađu_, kwih, _eenr, 
   {{0xf2d30137,0x7e60aff9,0x20b600bd,0x98a20028}},	//   שער_, memp, _अगाध, nukė_, 
   {{0x44440b32,0x7e60078a,0x25a90098,0x00000000}},	//   jg_, lemp, vzal_, --, 
   {{0x6d400264,0x8704048a,0xb8cb1561,0xb607affa}},	//   luma, ияте, _खत_, вязк, 
   {{0x4444affb,0x7e604030,0x7c28affc,0x4423affd}},	//   eg_, nemp, ladr, _sej_, 
   {{0x6d405d8a,0x4423006f,0x55750504,0xf1b90082}},	// [afd0] numa, _pej_, ыгат, _rešo_, 
   {{0x444400fc,0x7c28affe,0xb4bf46cc,0x34bf0367}},	//   gg_, nadr, ुके_, ्वेद, 
   {{0x6d40afff,0x44230022,0x3cfc0036,0xf795b000}},	//   huma, _vej_, _mivv_, _санэ, 
   {{0x4444b001,0x6d40b002,0x7e60b003,0x1de24493}},	//   ag_, kuma, jemp, _परंत, 
   {{0xdd8609ed,0x4423b004,0x7c28a83f,0x6d40b005}},	//   _او_, _tej_, kadr, juma, 
   {{0x7c280228,0x6d40b006,0xe8d90023,0xc0c80bad}},	//   jadr, duma, _trổ_, кује_, 
   {{0x7e6b146f,0xa3e7448b,0xc4d224ea,0x52270148}},	//   _pagp, _परि_, _הגם_, _афза, 
   {{0x6d40b007,0x660d38c6,0x7c232151,0x9294012d}},	//   fuma, ncak, _senr, _касц, 
   {{0x6d40b008,0x752db009,0x41b707d5,0x7c2300f8}},	//   guma, nsaz, _अधिस, _penr, 
   {{0x6445b00a,0x7c28b00b,0xac85340d,0x4c8557c0}},	//   nghi, gadr, угол, улов, 
   {{0x7c2309a1,0x7e6bb00c,0x64450014,0x2d820219}},	//   _venr, _tagp, ighi, äker_, 
   {{0xc86902a1,0x6d40b00d,0x752d0216,0x7c239731}},	//   _מן_, buma, ksaz, _wenr, 
   {{0xf2d200fe,0x7c23b00e,0x7bca318d,0x6d40b00f}},	//   מעט_, _tenr, _exfu, cuma, 
   {{0xb4bf000d,0x7c28b010,0x91ba00a7,0xa5bb0042}},	//   ुको_, cadr, תמשי, _peón, 
   {{0x07a378c1,0xc795b011,0xb8dc2659,0x00000000}},	//   барн, арты, _आग_, --, 
   {{0x444401a0,0x6b9c0c85,0x2bb204cc,0x64450036}},	//   wg_, ørge, ुपरा, eghi, 
   {{0x44440183,0x6aa40053,0x7644b012,0x66e3011f}},	// [afe0] tg_, _ilif, rgiy, сота, 
   {{0x444401c1,0x6564016c,0x644502a3,0x7e60b013}},	//   ug_, rwih, gghi, zemp, 
   {{0xe29a33dc,0xd62a0141,0x7e60527a,0x6d40b014}},	//   наж_, _поне_, yemp, zuma, 
   {{0x4444004c,0x6d400572,0x7e600c98,0xddc20082}},	//   sg_, yuma, xemp, _laoš, 
   {{0xa3e804cc,0x394200b0,0x7e600080,0x6d400c45}},	//   मेज_, nuks_, vemp, xuma, 
   {{0xddc2015e,0x6aa400f8,0x6d40b015,0xe2863b46}},	//   _naoš, _llif, vuma, _өлги, 
   {{0x6aa4b016,0x03a64152,0x6d407d6f,0x394200c2}},	//   _olif, _сиво, wuma, huks_, 
   {{0x3942007e,0x60c300eb,0x7c28b017,0x9343002e}},	//   kuks_, annm, wadr, _ынсе, 
   {{0x7e607c29,0x62803177,0x22930084,0x7c28b018}},	//   remp, _inmo, _القس, tadr, 
   {{0x6d40342b,0x7e60b019,0x6aa4b01a,0xfc4600bc}},	//   ruma, semp, _alif, _číst_, 
   {{0x7e600727,0xf8bf039f,0x00000000,0x00000000}},	//   pemp, ssék_, --, --, 
   {{0x6d40b01b,0x224669e1,0x7c280691,0x0dcab01c}},	//   puma, ngok_, sadr, _пули_, 
   {{0x7c28b01d,0x2f0a00a1,0xdebb0147,0x00000000}},	//   padr, _hùg_, _אמאל, --, 
   {{0x2a6d031e,0x6aa4b01e,0xfbcf017d,0x2bcf0e6e}},	//   žeb_, _elif, _सुकम, _सुका, 
   {{0x6280b01f,0xa3b40b3e,0xe7842625,0x81b80033}},	//   _onmo, _जेल_, буто, _ঘুম_, 
   {{0x7d0d00eb,0xb4bf02e6,0xddc2032f,0xa61500d3}},	//   _éasc, ुक्_, _zaoš, рмач, 
   {{0x660db020,0x7aedb021,0xa5bb08b2,0x44b5b022}},	// [aff0] rcak, _ihat, _geól, абас, 
   {{0x6280b023,0x660db024,0x68fe012b,0x26151080}},	//   _anmo, scak, _gipd, _फ्री_, 
   {{0x7aedb025,0x752db026,0x6445b027,0xb4b5190a}},	//   _khat, ssaz, rghi, _जगी_, 
   {{0x2919019b,0x7d09021e,0x38630566,0x00000000}},	//   opsa_, yqes, lejr_, --, 
   {{0x216905af,0x7aed01c5,0x7aff024a,0xa5bb0183}},	//   тили_, _mhat, _miqt, _xeól, 
   {{0xf4870769,0xa1c300f0,0x224601d6,0x7aff040c}},	//   _сумн, _құлд, agok_, _liqt, 
   {{0x7aed05f0,0x439502c0,0x00000000,0x00000000}},	//   _ohat, _тавс, --, --, 
   {{0x8d55b028,0xed59b029,0x7aed0023,0x7aff009e}},	//   аточ, вои_, _nhat, _niqt, 
   {{0x315800eb,0x77670201,0x98a20083,0xae8626ef}},	//   _مجلة_, hwjx, lską_, рбыз_, 
   {{0xdd9905ff,0x7aedb02a,0xc1b82776,0x61e90b03}},	//   ryň_, _ahat, _слух_, _izel, 
   {{0x7aed01c5,0x6a860def,0x2bcfb02b,0xfbcf62d6}},	//   _bhat, ална, _सुखा, _सुखम, 
   {{0x7f430141,0x3942007e,0x7aedb02c,0x6ab6286c}},	//   munq, tuks_, _chat, рсох, 
   {{0x7aedb02d,0x7f430093,0xa2d60299,0x00000000}},	//   _dhat, lunq, यकत्, --, 
   {{0x8c42b02e,0x5c074e93,0x7ebeb02f,0x3942b030}},	//   _деше, _сяда, rūpe, ruks_, 
   {{0xd62a0577,0x4cba00a7,0x7aed0014,0x394200b0}},	//   кове_, _במסג, _fhat, suks_, 
   {{0xa5bb118d,0x3942007e,0x7aedb031,0x6aa40548}},	//   _teól, puks_, _ghat, _ulif, 
  
   {{0xe9df03da,0x386300ef,0x942600c8,0x68feb032}},	// [b000] lgún_, bejr_, имае, _tipd, 
   {{0xc483b033,0xaa7b00da,0xb4d00110,0x739a0259}},	//   олук, plýc, शवे_, ктес_, 
   {{0xa3d3006a,0xe9df128a,0x33668067,0xadff00a5}},	//   _हुआ_, ngún_, рвег, _उलझन_, 
   {{0x5b560070,0x86b300f0,0x25081c03,0x00000000}},	//   ישען_, _дәуі, _مرسی_, --, 
   {{0xe2970d3d,0x61e90083,0x00000000,0x00000000}},	//   јач_, _czel, --, --, 
   {{0x64a685db,0x61e900e0,0x26121e7b,0xd0d7017b}},	//   _тага, _dzel, धुरी_, адії_, 
   {{0x61e9b034,0x00000000,0x00000000,0x00000000}},	//   _ezel, --, --, --, 
   {{0xe29701a2,0x62806fb1,0x78bc1279,0x00000000}},	//   _кас_, _unmo, hirv, --, 
   {{0x3b070369,0x00000000,0x00000000,0x00000000}},	//   _aunq_, --, --, --, 
   {{0x7aedb035,0xaa1f031e,0x00000000,0x00000000}},	//   _shat, पर्छ_, --, --, 
   {{0xb4790137,0x7aed0364,0x9e6609e7,0xe47900c7}},	//   אָרי, _phat, _введ, אָרש, 
   {{0x4f9500d3,0xd90f00d7,0x00000000,0x00000000}},	//   _уруу, ویب_, --, --, 
   {{0xa3d3006a,0x49a600f0,0x6f08098d,0x65760098}},	//   _हुई_, бырғ, _hudc, jvyh, 
   {{0xa8a4252a,0x7aed40bd,0xa3e7007e,0xb4b503ce}},	//   орск, _what, _परल_, _जगे_, 
   {{0x7c65182b,0x7aedb036,0xd6dbb037,0x787c014e}},	//   _دانل, _that, вта_, _såvä, 
   {{0xabfb00d1,0x2612031e,0x6f084aec,0x2aa90216}},	//   _בהור, धुली_, _mudc, _bûbe_, 
   {{0x78bc0183,0x442b11b9,0x38c9015f,0x04c901c9}},	// [b010] birv, вцем_, _مادی_, هوري_, 
   {{0x442700eb,0x78bc0183,0x673a0352,0x6abdb038}},	//   ún_, cirv, štja, lisf, 
   {{0x61e90019,0x3ea603a1,0x2909016a,0x00000000}},	//   _szel, _olot_, _huaa_, --, 
   {{0x42d80965,0x7f4302a3,0x6abdb039,0xddc9020f}},	//   афія_, vunq, nisf, ndeţ, 
   {{0x29010626,0x61e003c6,0x00000000,0x00000000}},	//   _kiha_, _cyml, --, --, 
   {{0x4174017a,0x2bcf37c0,0x6f0809c7,0x61e90352}},	//   غانس, _सुझा, _budc, _vzel, 
   {{0x2901b03a,0x3d0c0262,0x5334b03b,0x6abd01d5}},	//   _miha_, _डूबे_, _мерт, kisf, 
   {{0xa3d30da6,0x1e853603,0x3ea6263d,0x2901b03c}},	//   _हुए_, слим, _clot_, _liha_, 
   {{0x8d28005e,0x17e404cc,0xf2d200c7,0x6abd003d}},	//   аның_, _गर्व_, _זען_, disf, 
   {{0x2901b03d,0xdce20242,0x408400a3,0xf65f34f9}},	//   _niha_, _brođ, _мухб, _sjæl_, 
   {{0x3ea601cc,0x60da0070,0x00000000,0x00000000}},	//   _flot_, _עקענ, --, --, 
   {{0x3a29006c,0x00000000,0x00000000,0x00000000}},	//   _ceap_, --, --, --, 
   {{0x89d600f0,0x3a2901be,0x2901b03e,0x78bcb03f}},	//   сінш, _deap_, _biha_, tirv, 
   {{0x7d1bb040,0x6eec010c,0x2909018e,0x96202002}},	//   mpus, rûbe, _duaa_, बर्ट_, 
   {{0x649a005e,0x2bcf2360,0x290102dc,0x31ae010e}},	//   қтар_, _सुचा, _diha_, _közé_, 
   {{0x5986004f,0xf74317d1,0x316d0151,0x00000000}},	//   _глиб, џето, _osez_, --, 
   {{0x2901003d,0x28ba0a10,0xe45a24fa,0x00000000}},	// [b020] _fiha_, _бунэ_, лжа_, --, 
   {{0x2901016c,0x61e002ae,0xb5c60259,0x200501ff}},	//   _giha_, _ryml, айұл, _ngli_, 
   {{0x3a290065,0x0fd600b0,0x28970486,0x61e0017c}},	//   _yeap_, _ढुंढ, _הדין_, _syml, 
   {{0x20050141,0x63ae265d,0x98b900b3,0x2a720237}},	//   _agli_, _đinđ, pusă_, _jayb_, 
   {{0xc05a0451,0x6f080032,0x613a425f,0xfc45020b}},	//   гій_, _sudc, учер_, _číne_, 
   {{0x94073fa0,0x987a00c7,0x224d105b,0x7d1b00de}},	//   _герб_, ראַט, _ecek_, dpus, 
   {{0x4438b041,0xb4d435d0,0x442a6232,0x3ea600df}},	//   _idr_, हकी_, _ieb_, _plot_, 
   {{0x442ab042,0x20050093,0x44382e00,0x66f850fb}},	//   _heb_, _egli_, _hdr_, ंगिक_, 
   {{0x442ab043,0x7d1bae82,0x7c3c0634,0x3ea60511}},	//   _keb_, gpus, órro, _vlot_, 
   {{0xdce20062,0x442a00e0,0xa2c000b0,0x3a29b044}},	//   _prođ, _jeb_, लचक्, _seap_, 
   {{0xef1a1270,0x4438b045,0xf1b93b4d,0x2901b046}},	//   _сме_, _mdr_, _reši_, _riha_, 
   {{0x442ab047,0xe8d9001b,0x29012358,0xe9f9017b}},	//   _leb_, _trừ_, _siha_, инні_, 
   {{0x58871838,0x645c7b22,0x81da0086,0x4438b048}},	//   быва, _obri, ডের_, _odr_, 
   {{0x442ab049,0x60c400eb,0xac18af4e,0x2d9900c8}},	//   _neb_, éimh, _току_, äsee_, 
   {{0x499300c5,0xdce200d2,0x3cf600aa,0x29012b92}},	//   زیگر, _urođ, ीदीं_, _viha_, 
   {{0x29010218,0x237f02c7,0x59da2488,0x442a01ca}},	//   _wiha_, _čuj_, _युवर, _aeb_, 
   {{0x442a4af2,0xca3800a7,0xf1b90097,0x54b9021d}},	// [b030] _beb_, _הנחה_, _teši_, агая_, 
   {{0xf99f06df,0x98743960,0x645c00a1,0x69da009e}},	//   myè_, _ельц, _cbri, ştec, 
   {{0x442ab04a,0xf99f03a0,0x7d1b1765,0x4438b04b}},	//   _deb_, lyè_, zpus, _ddr_, 
   {{0x645c0156,0x442ab04c,0x7c2a6c23,0x7cef00fb}},	//   _ebri, _eeb_, _lefr, pørg, 
   {{0xf99f0300,0x442ab04d,0xd13b0080,0x00000000}},	//   nyè_, _feb_, ухе_, --, 
   {{0xb6080076,0x6d400571,0x7c2ab04e,0x8f1500b3}},	//   _vyšš, drma, _nefr, офич, 
   {{0x26c984cf,0x6d404ec4,0x7cef01e8,0x442102eb}},	//   onao_, erma, nøre, mbh_, 
   {{0x442a01a0,0x6f021192,0x4421004c,0xf99f03a1}},	//   _zeb_, _cioc, lbh_, ncès_, 
   {{0xa2d62122,0x442111a1,0x7c2a2c6f,0xee360028}},	//   यकर्, obh_, _befr, цны_, 
   {{0x40340978,0x4421b04f,0x442a0201,0x2ba50586}},	//   _неус, nbh_, _xeb_, खनला, 
   {{0xda66b050,0x44210057,0x6d40b051,0x6f025069}},	//   овни, ibh_, arma, _fioc, 
   {{0x6f02048a,0xc33203e1,0x7d1bb052,0x4fd60070}},	//   _gioc, ווט_, ppus, _וועב_, 
   {{0xdce900f1,0x3ead1a3e,0x7de70eea,0x3ebfb053}},	//   jveć, mhet_, _اسام, miut_, 
   {{0x3ebfb054,0x7c2a3584,0x7cef09a8,0x3eadb055}},	//   liut_, _gefr, føre, lhet_, 
   {{0x7d0b30f7,0x656fb056,0x7cef01cc,0x4438016c}},	//   _hugs, _asch, gøre, _rdr_, 
   {{0xe61a466f,0x442ab057,0x3eadb058,0x7d03b059}},	//   рда_, _seb_, nhet_, _hins, 
   {{0x442a1124,0x7d035384,0x6e2b0019,0x7d0400eb}},	// [b040] _peb_, _kins, _megb, _éist, 
   {{0x7d03b05a,0x442a006f,0x6e2bb05b,0xa9a40013}},	//   _jins, _qeb_, _legb, _миқд, 
   {{0x7d03b05c,0x442ab05d,0x656f73e3,0x3ead2104}},	//   _mins, _veb_, _esch, khet_, 
   {{0x442a0d90,0xf99f026a,0x442102d0,0xb2830235}},	//   _web_, ccès_, abh_, дышк, 
   {{0x442a0e0c,0x64431056,0x3eadb05e,0x443802a2}},	//   _teb_, ónic, dhet_, _tdr_, 
   {{0x7d03b05f,0x10a33ec3,0x442a0034,0x6f027854}},	//   _nins, мичн, _ueb_, _sioc, 
   {{0x7d0b002a,0xf99fb060,0x6f02b061,0x3ead0326}},	//   _augs, zyè_, _pioc, fhet_, 
   {{0x7d03b062,0x3ead0dcd,0x7d0b34d1,0x614601a2}},	//   _ains, ghet_, _bugs, _меба, 
   {{0x7d03b063,0x6fda4437,0x6d40123b,0x6e3900f3}},	//   _bins, _पुरू, urma, _ddwb, 
   {{0x26c900f1,0x7d0b0096,0x7d03b064,0x6d40b065}},	//   znao_, _dugs, _cins, rrma, 
   {{0x7d03b066,0xdee60fa7,0x6f020557,0x3ead008a}},	//   _dins, _дожи, _tioc, bhet_, 
   {{0x7d03b067,0x3eadb068,0x38a60054,0xed5a2853}},	//   _eins, chet_, _bôro_, _вод_, 
   {{0x7d03076d,0x26c9015e,0x79a700f0,0x00000000}},	//   _fins, vnao_, ірме, --, 
   {{0x7d032352,0x1c0e0d4f,0x7cef03a9,0xf7730a7c}},	//   _gins, _सलिल_, tøre, واز_, 
   {{0xeabf02a3,0x23d903a2,0x7d0bb069,0x00000000}},	//   più_, _बुंद, _zugs, --, 
   {{0x7cef01e8,0x7d03b06a,0x69da00b3,0x368800d3}},	//   røre, _zins, ştea, осун_, 
   {{0x7cef00fb,0x7d04019c,0xf99f00f6,0x4421018e}},	// [b050] søre, _éiss, rcès_, tbh_, 
   {{0x3eadb06b,0xd37b52b2,0xde8f00e7,0x92c70086}},	//   zhet_, иче_, _kịch_, _উঠে_, 
   {{0x442111a1,0xdce900f1,0xf8bf026a,0x25fc0ead}},	//   rbh_, sveć, ssés_, लेबी_, 
   {{0x1dca00b0,0x656f80dc,0x69c007d5,0x26db0415}},	//   ापात, _tsch, _लेडी, qoqo_, 
   {{0xde8f00f7,0x24985094,0x656f602a,0x44210065}},	//   _lịch_, _form_, _usch, pbh_, 
   {{0x3cf6000f,0xc5fa00a7,0x7d0b012d,0x6ee503da}},	//   ीदों_, _לפרט, _rugs, móbi, 
   {{0x656db06c,0x3eadb06d,0x7d03b06e,0xbf680038}},	//   lwah, thet_, _rins, قصيم_, 
   {{0x7d03b06f,0xa3b48e0a,0x656d025b,0x00000000}},	//   _sins, _जेट_, owah, --, 
   {{0x3eadb070,0x7d03b071,0x3ebf00e5,0x656db072}},	//   rhet_, _pins, riut_, nwah, 
   {{0x2ca91416,0x3eadb073,0x6e2b120b,0x6eec078a}},	//   скоп_, shet_, _wegb, rûba, 
   {{0x3c2101f1,0x7d03215c,0xf1b904cb,0x3ebf012b}},	//   _vгv_, _vins, _vešu_, piut_, 
   {{0xde8f00f7,0x7d035055,0xa96a50df,0x656d567c}},	//   _dịch_, _wins, бима_, kwah, 
   {{0x7d03003d,0x499900c8,0x290f0212,0x5fdf1f00}},	//   _tins, отря_, _égal_, _पुतल, 
   {{0x23bd18b4,0xa3ab0e36,0x764d0539,0x00000000}},	//   ्पाद, गना_, egay, --, 
   {{0x1779030f,0xfaa6b074,0x27180397,0x6d4900b3}},	//   ость_, _нако, _očne_, luea, 
   {{0x6b9c12b7,0x46f5004f,0x784e010e,0xa3ce02d9}},	//   ärge, дчут, _bőví, tíží_, 
   {{0xb5fb0183,0x6d49b075,0x656db076,0x00000000}},	// [b060] _abáb, nuea, gwah, --, 
   {{0x6aac0f64,0x7e69038c,0x897b0486,0xe73a63e8}},	//   _चतुर, heep, _פריצ, _лео_, 
   {{0x389b0cec,0x24985465,0x37e66d6e,0x35fa00d4}},	//   _היינ, _vorm_, _хонг, _گردد_, 
   {{0x5b3a0070,0x656d02b8,0x317f0106,0x3f8200de}},	//   מגעק, bwah, _bruz_, _čku_, 
   {{0x2498b077,0xc219004f,0x3a3700d1,0x317f0656}},	//   _torm_, ієї_, פרסם_, _cruz_, 
   {{0xf8bf002c,0x6d4900a1,0x00000000,0x00000000}},	//   nsép_, duea, --, --, 
   {{0xa85700a7,0xb17d0032,0x00000000,0x00000000}},	//   פיקה_, _vyťa, --, --, 
   {{0x877b00c7,0xbd181087,0xde8f0210,0x00000000}},	//   מאצי, ожих_, _rịch_, --, 
   {{0x6d490169,0x6143b078,0x5046012d,0x6ce6004e}},	//   guea, _пета, _неаб, зіне, 
   {{0xe906010c,0xf1b90082,0xd00f0038,0x2f110038}},	//   _şûna_, _vešt_, _ملك_, _fág_, 
   {{0xe45700c7,0xccf800bc,0xa0671271,0x764d0102}},	//   הייט_, rmě_, _хаха_, ygay, 
   {{0xdc0200da,0x00000000,0x00000000,0x00000000}},	//   _učím, --, --, --, 
   {{0xc98464f4,0x69da00d9,0xc98701a2,0x00000000}},	//   нури, şten, чуни, --, 
   {{0xddeb07f5,0xde8f001b,0x2bdd031e,0x00000000}},	//   _פֿאָ, _tịch_, _नुवा, --, 
   {{0xd7f81029,0x7b0600bc,0x24c40033,0x6d9501f2}},	//   зут_, ístě, ্তাহ, _eżaġ, 
   {{0xe8d9001b,0x27ed02d9,0x70a9017d,0x1ae414b7}},	//   _trữ_, řeno_, _कत्ल, _појм, 
   {{0x764db079,0x6aad023a,0x26c70613,0xa5f8b07a}},	// [b070] rgay, _ilaf, đno_, зету_, 
   {{0x656db07b,0xe8d3006b,0x6aad0415,0x6ee50684}},	//   rwah, _سمجھ, _hlaf, róbi, 
   {{0x656db07c,0x98ab00d9,0x32555484,0x6aad0be0}},	//   swah, ască_, двер, _klaf, 
   {{0x38af0380,0xddd402d9,0x00000000,0x00000000}},	//   _würd_, žařs, --, --, 
   {{0x20d501fc,0x39590054,0x6aad018e,0x00000000}},	//   мікс, ntss_, _mlaf, --, 
   {{0x6aadb07d,0x2f110d34,0x205400fd,0x3cf600c9}},	//   _llaf, _pág_, етър, ँगों_, 
   {{0xb4d902f8,0xa3d40afc,0xcef502a0,0xa34400b3}},	//   ावी_, _зорч, мчињ, _пэтл, 
   {{0x317f0045,0x7c2400ca,0x6d49020f,0xa2820535}},	//   _truz_, _đira, tuea, _لیمو, 
   {{0x7e6912b6,0xdb08014b,0xa1590229,0x628901f5}},	//   reep, vzdá, _фазу_, _ineo, 
   {{0x4c694b4e,0x7cef004f,0x394b0151,0x00000000}},	//   цион_, føra, ducs_, --, 
   {{0xeb99b07e,0x6aad486a,0xaa4644c0,0xbc69010e}},	//   цин_, _blaf, менл, ممکن_, 
   {{0x60c3505b,0x929d00ab,0xb80700b0,0x6aad97ee}},	//   linm, _miło, _शलजम_, _claf, 
   {{0x6d493b87,0x3ea2014e,0x443300a4,0x629b0415}},	//   quea, ökte_, kax_, _mouo, 
   {{0xfbc52b21,0xb69b02a0,0x443301f2,0x20dd088c}},	//   _обло, _diâm, jax_, यविध, 
   {{0x66e6b07f,0x4807b080,0x6aad0329,0x869a0165}},	//   дова, дерн_, _flaf, отат_, 
   {{0x26f8007e,0x60c3b081,0xfe7902d9,0x644304f4}},	//   ंगेर_, hinm, ndů_, ónin, 
   {{0x38af01f0,0x66164639,0x7ae4b082,0x60c3b083}},	// [b080] _süre_, rcyk, _ikit, kinm, 
   {{0xf8d200aa,0x6dc500c3,0x7cf400b9,0x03a60488}},	//   _सदिय, _iċaħ, càrd, мизо, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x9c7c3cd0,0xeb9600c7,0x2d8001dd,0xf7730eb7}},	//   moče, ודער_, _šiem_, _شاپ_, 
   {{0x9c7cb084,0x657b00ef,0x4433010c,0x7ae466ed}},	//   loče, _šuhv, bax_, _mkit, 
   {{0x1de105fd,0x443309c7,0x60c3003e,0x6dc501f2}},	//   _पड़त, cax_, ginm, _mċaħ, 
   {{0xb4ea0ed5,0x7ae4b085,0x2d995f98,0x7cf400b9}},	//   मती_, _okit, äsen_, nàre, 
   {{0x3da6a68a,0x629b012b,0x69d6019c,0xf8bf0151}},	//   дроб, _gouo, _oxye, mpée_, 
   {{0x9c7c02d9,0x60c3011c,0x459b0147,0x00000000}},	//   hoče, binm, ַסטע, --, 
   {{0x7ae48ba6,0x6aadb086,0x9c7c0412,0x7cef004f}},	//   _akit, _slaf, koče, tøra, 
   {{0x9c7c14f4,0x69da00b3,0x00000000,0x00000000}},	//   joče, ştel, --, --, 
   {{0x7af6141f,0x1d0ab087,0xa2a107d5,0xf8bf0107}},	//   _chyt, _деди_, कॉप्, ipée_, 
   {{0x25de007e,0x7e6202aa,0xb9e4004f,0xac73009c}},	//   _कुली_, _ibop, віри, رایش, 
   {{0x7ae4b088,0x1bd41d05,0xdb020151,0x394b03dd}},	//   _ekit, _поля, hylè, rucs_, 
   {{0x9c7c02ee,0xa2bf07d5,0x248d001b,0x7cf400b9}},	//   goče, लोड्, _đem_, gàre, 
   {{0x4433b089,0xbebc01dd,0x8f9b00d1,0x6aad025b}},	//   wax_, _avīz, חילי, _ulaf, 
   {{0x4433007b,0x497408a5,0x672200ef,0x7afdb08a}},	// [b090] tax_, _алыс, _čoje, mmst, 
   {{0xb4d92894,0x7afd1618,0xa77552b9,0x9c7c4ae9}},	//   ावे_, lmst, _злоч, ločb, 
   {{0x4433b08b,0x65660065,0xca4800d4,0x7afd0c0c}},	//   rax_, _epkh, _علیه_, omst, 
   {{0xd6270084,0xd9f300a2,0x7cef00fb,0x65952276}},	//   _تعدي, _घरात_, jørn, _заму, 
   {{0x58b8009c,0x60c34438,0xde8f0210,0x00000000}},	//   _رایج_, tinm, _bịnh_, --, 
   {{0xe1f00038,0x00000000,0x00000000,0x00000000}},	//   جسم_, --, --, --, 
   {{0xd00612bb,0xdee54eff,0xa5bb02be,0x00000000}},	//   неше_, ноки, _geór, --, 
   {{0xee390925,0xfe711966,0x4431b08c,0x63b10112}},	//   чни_, ادث_, _hez_, đenč, 
   {{0x44310c05,0x98ef000f,0xc05b0c8b,0x6fdf009a}},	//   _kez_, छताछ_, _між_, _पुरं, 
   {{0x7ae41ae8,0x160104bd,0xd01100eb,0x7afd064e}},	//   _skit, लेयर_, _إلا_, emst, 
   {{0x61e9016a,0x3b090065,0x27180304,0xa9a300a3}},	//   _hyel, _biaq_, _očna_, қирд, 
   {{0xeab20198,0x4431b08d,0xe7e30262,0x68e5011c}},	//   اعد_, _lez_, _गड़ा_, _akhd, 
   {{0x8c450a63,0x160100bc,0x443100de,0x00000000}},	//   _зеле, लेमर_, _oez_, --, 
   {{0x26fa141c,0x7e7b0844,0xb4d93e41,0x7afdb08e}},	//   ्द्र_, ldup, ावो_, amst, 
   {{0x46f62e87,0x6d5bb08f,0x290c0032,0x61e9052b}},	//   ечат, ltua, _žiaľ_, _lyel, 
   {{0xcf9200c7,0x9c7cb090,0xd707915a,0x81da0086}},	//   נטן_, roče, енсе_, ডেট_, 
   {{0x61e9b091,0x34865a50,0xceb20486,0x60c102a5}},	// [b0a0] _nyel, нгаг, אין_, _omlm, 
   {{0x44310039,0xb4ea04b7,0xb9db00a7,0x6d5b7cf4}},	//   _cez_, मते_, _מחפש, itua, 
   {{0x7b090824,0x03a3a4b3,0x4431b092,0x212d01e5}},	//   _üstü, лифо, _dez_, _aweh_, 
   {{0x6d5ba03e,0xe8d90029,0xa50a2009,0x2912b093}},	//   ktua, _trợ_, _нема_, _kuya_, 
   {{0x443103b7,0x6d5b00e5,0xf8a40110,0x35a303a1}},	//   _fez_, jtua, _ऐकाय, _баяг, 
   {{0x75240180,0xa5bbb094,0xd00f091d,0x80bc02e6}},	//   mpiz, _teór, مله_, ्चें, 
   {{0xaf0686ab,0x232a084a,0x29120f3a,0x25fc0484}},	//   нчик, _хоби_, _luya_, लेरी_, 
   {{0x38b4014e,0x232a03dc,0x6d5b024a,0x38af00c2}},	//   _färg_, _моҳи_, ftua, _müra_, 
   {{0x6d5bb095,0xde8f0023,0xf65f192b,0xf8de0027}},	//   gtua, _tịnh_, _kjær_, n篩s_, 
   {{0x387a0187,0x6b83016a,0xe0850038,0x7b1800b9}},	//   _napr_, _brng, _لجمي, моор_, 
   {{0xe7e000ea,0xd00f00eb,0x79840199,0x6d5b01cf}},	//   _खुला_, _الم_, _ariw, atua, 
   {{0x29120e32,0x9e7320b4,0x7984017c,0x68e50210}},	//   _buya_, _مهمت, _briw, _skhd, 
   {{0xf2d30137,0x2912655f,0x6d5b1229,0xdca60c21}},	//   רער_, _cuya_, ctua, _пади, 
   {{0x798403c6,0x26c2b096,0x6b830bfc,0xf88b0038}},	//   _driw, _amko_, _frng, أضحى_, 
   {{0xe7db08a9,0x64433be3,0x798401a3,0x7c280065}},	//   _मुखप, ónim, _eriw, mbdr, 
   {{0x4431b097,0x63a5253f,0x3cfe0036,0x79845124}},	//   _sez_, vyhn, lmtv_, _friw, 
   {{0x25fc02f8,0x443104b3,0x545504a0,0x998400eb}},	// [b0b0] लेली_, _pez_, кват, _مليو, 
   {{0x26c20bfc,0x5fb000ae,0xb60400b3,0x00000000}},	//   _emko_, जनाल, уяск, --, 
   {{0x44310e2e,0x92590088,0x61e90065,0x6d5b0a9f}},	//   _vez_, дает_, _syel, ztua, 
   {{0x61e90626,0x4431816d,0x7ec7011c,0x27180121}},	//   _pyel, _wez_, _mèpè, _učna_, 
   {{0x4431b098,0x29120218,0xb6c203ab,0x7ec7009c}},	//   _tez_, _xuya_, _төрд, _lèpè, 
   {{0xfaff024a,0x6d5b006d,0x21a29fb3,0x7d0a1c90}},	//   hmë_, vtua, ришм, _nifs, 
   {{0xe2d9009c,0x7e7902a5,0xe0d0007a,0x00000000}},	//   _قارچ_, _pawp, حزن_, --, 
   {{0xfaff01ee,0x6d5bb099,0xa3e6009a,0x00000000}},	//   jmë_, ttua, _पडत_, --, 
   {{0xc212042c,0x7e7b03c5,0x7d0a040c,0x6b9c00c2}},	//   _כהן_, rdup, _bifs, ärgn, 
   {{0x69da0218,0x5ba9b09a,0x00000000,0x00000000}},	//   ştek, дком_, --, --, 
   {{0x6d5bb09b,0xf41200a7,0x7984b09c,0x7c2d0242}},	//   stua, יפי_, _sriw, _đard, 
   {{0x6d5bb09d,0x2912b09e,0x9f960225,0x6d4600da}},	//   ptua, _puya_, _בדעה_, ákac, 
   {{0x6e29120c,0xec6e0eaf,0x89d600f0,0xdce200d8}},	//   mbeb, _кп_, тінш, _zpoč, 
   {{0xdca23e3a,0x2eedb09f,0x661db0a0,0x6d49b0a1}},	//   _ваши, llef_, _afsk, mrea, 
   {{0x7ec7023e,0xeb9900b3,0xe73a00c8,0xcada00b3}},	//   _gèpè, _ций_, ьев_, _офич_, 
   {{0x7984b0a2,0x2912b0a3,0xf1d1109f,0x6e2916fd}},	//   _triw, _tuya_, तपान, nbeb, 
   {{0x6d49b0a4,0x9c7c3fa3,0x657b00ef,0xf50a2831}},	// [b0c0] nrea, loča, _šuhr, днал_, 
   {{0x6d494873,0x2937042c,0x7ebe0009,0x1423b0a5}},	//   irea, _שאין_, rūpi, идум, 
   {{0x6d49b0a6,0xaac60262,0x4ac6007e,0x38b4014e}},	//   hrea, _लगाक, _लगाव, _värd_, 
   {{0x232703b7,0xdcfb0a1a,0xc4c40033,0xf8bf0175}},	//   тоци_, dvuč, ্তেজ, mpéa_, 
   {{0x75439066,0x6d49032f,0xdce2895d,0xaa7b253f}},	//   _княз, jrea, _spoč, plýv, 
   {{0x6f0b01be,0xdfd40259,0x2ee60ff2,0x00000000}},	//   _aigc, лолы, _skof_, --, 
   {{0x6f0b0aaf,0x7bc738d2,0x547b00d1,0x6d49238b}},	//   _bigc, újul, _קטלו, erea, 
   {{0x9c7c0062,0x6d49b0a7,0xb7db035c,0x63a34d25}},	//   doča, frea, וקצי, änne, 
   {{0x6d49b0a8,0x6ee50187,0xddc9009e,0x00000000}},	//   grea, tóbr, rfeş, --, 
   {{0x8ffa0e70,0x212619e0,0x9ffa1a1c,0x25f5009a}},	//   _قرار_, mpoh_, _قراء_, ्धती_, 
   {{0xda351838,0x6d49b0a9,0x9c7c02ee,0xfbdf0218}},	//   лены, area, goča, şên_, 
   {{0x8aa71ac0,0x2eed03a0,0x4ea305b2,0x2de61284}},	//   трод, clef_, _врша, _июлг, 
   {{0xfaff00e5,0x6d490056,0x2f180574,0xe94700fd}},	//   rmë_, crea, _hég_, ъхно, 
   {{0x929d00ab,0xfaff024a,0x2d860379,0x690b00a4}},	//   _piłk, smë_, _iroe_, _eżen, 
   {{0x57a4b0aa,0x38af0502,0x00000000,0x00000000}},	//   ашта, _fürn_, --, --, 
   {{0x2f180105,0xa3e6000f,0x4975b0ab,0x96f80e8f}},	//   _még_, _पड़_, _блис, вест_, 
   {{0xdcfb034c,0x2619034d,0xf8ae1372,0xd6840477}},	// [b0d0] zvuč, युगी_, زکی_, јусп, 
   {{0xe29600f0,0xd3a7a4c9,0x00000000,0x00000000}},	//   ғаш_, креп, --, --, 
   {{0x6d495980,0xa0a500f0,0x00000000,0x00000000}},	//   zrea, ғайд, --, --, 
   {{0xe298004f,0x56950176,0x201e040c,0xfb150070}},	//   кає_, _самт, _afti_, אַסט_, 
   {{0x38b402f2,0x26c9b0ac,0x7abc00d1,0xc2440009}},	//   _wäre_, miao_, וצאו, рнік, 
   {{0x2d9500cf,0x6d49b0ad,0xfc470032,0x69da0380}},	//   ғрис, vrea, číky_, ßtei, 
   {{0x5334b0ae,0x289c00c7,0x2eedb0af,0x25a9b0b0}},	//   _вест, ויגא, tlef_, lyal_, 
   {{0x9c7c0352,0x6d49b0b1,0x26c902aa,0x228403a1}},	//   voča, trea, niao_, _кууг, 
   {{0x6e29b0b2,0x6468008c,0x6d4901fd,0xdcfb090e}},	//   rbeb, _þrið, urea, svuč, 
   {{0x9c7c2c9e,0x752202aa,0x6d494c72,0x2d8608b0}},	//   toča, ãozi, rrea, _droe_, 
   {{0x2d8601d8,0xfaa6b0b3,0x26c9025b,0x9b061a57}},	//   _eroe_, гано, kiao_, лзод, 
   {{0x9c7c02ee,0x38afb0b4,0x6d5c00b3,0x25a90102}},	//   roča, _büro_, ărar, kyal_, 
   {{0xeaba00b9,0xc956058b,0x38c800d4,0x9c7cb0b5}},	//   _үйл_, ытны, ناسی_, močn, 
   {{0x9c7c895d,0x3ead1d4b,0x290c3ef6,0xd7ea00f0}},	//   ločn, lket_, öda_, емге_, 
   {{0xaa7b010d,0x9cda00d1,0x81a90033,0x1be900fd}},	//   glýs, _אקספ, খছি_, _ядки_, 
   {{0x9c7c026e,0x26c9b0b6,0x3ead841b,0x69c00183}},	//   nočn, giao_, nket_, úmes, 
   {{0x958613f2,0x5983012d,0x7ae6b0b7,0xb4669a2b}},	// [b0e0] ылае, _глыб, mokt, лкал, 
   {{0x2718008b,0xf4c40086,0x7ae635ee,0x26d20226}},	//   _učno_, ্ত্ব, lokt, snyo_, 
   {{0x39401b37,0x3ead3baf,0x07a6b0b8,0xb46300b3}},	//   _hvis_, kket_, _санн, скхл, 
   {{0x26c902a3,0x2f18039f,0x25a90118,0x00000000}},	//   ciao_, _rég_, byal_, --, 
   {{0xc1e73b59,0x10a62e07,0xc693027a,0x255a00b3}},	//   льше_, лидн, _האר_, _ярнэ_, 
   {{0x3eadb0b9,0xe9f90108,0xc0e31d02,0x7ae6121d}},	//   eket_, _hoả_, бочк, hokt, 
   {{0x7ae6b0ba,0x437503a1,0x00000000,0x00000000}},	//   kokt, _кутт, --, --, 
   {{0x443a156e,0xdd9004bc,0x3ead0089,0x2d860326}},	//   lap_, قوب_, gket_, _proe_, 
   {{0xe05620b4,0xfd140165,0x00000000,0x00000000}},	//   _مخاب, јмоќ, --, --, 
   {{0x443ab0bb,0x5b263e34,0x7eb50183,0x201e0065}},	//   nap_, льма, _rápe, _ufti_, 
   {{0x3940b0bc,0xdfcf00eb,0xdeef2eb8,0xdd92009c}},	//   _avis_, _فيك_, _гы_, _گوش_, 
   {{0x3eadb0bd,0x7eb50032,0x00000000,0x00000000}},	//   cket_, _pápe, --, --, 
   {{0x3a390104,0xdd920e0e,0x1be301ff,0x00000000}},	//   rasp_, _دوش_, _қўшг, --, 
   {{0x6b9c0022,0xed570056,0x443a156e,0x7eb50098}},	//   ørgs, _עבור_, jap_, _vápe, 
   {{0x443a5d08,0x8c1b00a7,0x69c0b0be,0xb8dd00a2}},	//   dap_, _אווי, úmer, _आत_, 
   {{0x7c3ab0bf,0xaa7b003e,0x00000000,0x00000000}},	//   latr, rlýs, --, --, 
   {{0x443ab0c0,0x344b2831,0x2a690175,0x659400b9}},	// [b0f0] fap_, ечен_, _ibab_, бату, 
   {{0x443ab0c1,0xaa7b010d,0x7c3a05f0,0x25a9b0c2}},	//   gap_, plýs, natr, ryal_, 
   {{0x25a9b0c3,0xd371361f,0xe787b0c4,0x7c3a00fd}},	//   syal_, تها_, _супо, iatr, 
   {{0xf53f0750,0x7c3ab0c5,0x7cef00fb,0x3ce50474}},	//   _två_, hatr, tørk, zolv_, 
   {{0x7c3ab0c6,0x210f0fec,0x22440065,0x69da009e}},	//   katr, ादेश_, _ddmk_, ştev, 
   {{0x443a079c,0x7c3a0062,0xa06906d5,0x38b43372}},	//   cap_, jatr, така_, _kära_, 
   {{0x9c7c0039,0xc4d200a7,0x7ae65bf2,0x2eb51010}},	//   točn, _וגם_, yokt, исис, 
   {{0xa3b20035,0x2eb400f0,0x2903021e,0x00000000}},	//   टनर_, йсыс, hmja_, --, 
   {{0x9c7c45f8,0x38b4014e,0x7c3a00a9,0x6d4680e1}},	//   ročn, _lära_, fatr, škan, 
   {{0x3eadb0c7,0x6457b0c8,0xa2a13d07,0x2a695452}},	//   sket_, ngxi, कॉर्, _abab_, 
   {{0x38b4022b,0x39400082,0xdfd11e40,0x2481007a}},	//   _nära_, _svis_, _بيا_, idhm_, 
   {{0x1fa4b0c9,0x8a06b0ca,0x9c7c00de,0x00000000}},	//   _уруг, изне, bočo, --, 
   {{0x7c3ab0cb,0xfeb80399,0xed59b0cc,0x690b00a4}},	//   batr, _حالت_, _рол_, _eżem, 
   {{0x6e3bb0cd,0x38b40219,0xa3e605e5,0x764b039f}},	//   laub, _bära_, _पडल_, ógyn, 
   {{0xac7409e8,0x443a0c05,0xe737b0ce,0x7cef004f}},	//   _دانش, vap_, иер_, jøri, 
   {{0x7a0c00e0,0x6e3b95cf,0x690b00c3,0x39400b41}},	//   _pētī, naub, _jżej, _tvis_, 
   {{0x443a2d76,0xe617b0cf,0x80d6b0d0,0x690b00c3}},	// [b100] tap_, рду_, _बदले, _mżej, 
   {{0x7cef03a9,0xe3b200eb,0x25fc0035,0x6aa40038}},	//   føri, يرا_, लेगी_, _hoif, 
   {{0x443a3401,0x6e3bb0d1,0x6ab602ae,0x316d01d6}},	//   rap_, kaub, _klyf, _apez_, 
   {{0x443a6cfa,0x63a3022b,0x7c3ab0d2,0xd1869622}},	//   sap_, änna, zatr, илей, 
   {{0x7c3ab0d3,0x6aa407d7,0x715a0d47,0x00000000}},	//   yatr, _moif, трес_, --, 
   {{0x6ab602bf,0xe8d9001b,0x4f6ab0d4,0x045a007a}},	//   _llyf, _trụ_, вшим_, _جلسة_, 
   {{0x7c3a0489,0xdfcf00eb,0x645cb0d5,0x44380106}},	//   vatr, ويه_, _icri, _ier_, 
   {{0x4438918d,0x00000000,0x00000000,0x00000000}},	//   _her_, --, --, --, 
   {{0x443811c8,0x7c3a0180,0xdd901a38,0xe51c37c0}},	//   _ker_, tatr, سود_, _भूमि_, 
   {{0x443802f5,0x628063bf,0x62820d2d,0x3b5401a2}},	//   _jer_, _hamo, ldoo, бкор, 
   {{0x44389207,0x7c3a0489,0x6280b0d6,0x3cfc01a7}},	//   _mer_, ratr, _kamo, _vhvv_, 
   {{0x6282b0d7,0x4438b0d8,0x628000cf,0x7c3ab0d9}},	//   ndoo, _ler_, _jamo, satr, 
   {{0x6280b0da,0x4438b0db,0xdd8f0084,0x2903024a}},	//   _mamo, _oer_, _يوم_, tmja_, 
   {{0x44380750,0x6d401645,0x6d4201a7,0x8cf3012d}},	//   _ner_, msma, _ivoa, _дзіц, 
   {{0x6ab61f14,0x6aa400a1,0x6282142d,0xeb3800a3}},	//   _flyf, _foif, kdoo, _ёзиш_, 
   {{0x6280b0dc,0x5a35412e,0x4438b0dd,0x7c38010c}},	//   _namo, _унит, _aer_, _hevr, 
   {{0x4438b0de,0x6d40b0df,0x7eb50126,0xf5590038}},	// [b110] _ber_, nsma, _jápa, طلاب_, 
   {{0x7c380ca5,0x4438b0e0,0x645c00e2,0x6d4000c8}},	//   _jevr, _cer_, _ccri, isma, 
   {{0x4438b0e1,0xdd860456,0x7c38038c,0x6280b0e2}},	//   _der_, _کو_, _mevr, _bamo, 
   {{0xe6950b7e,0x645c026a,0x6d40b0e3,0x4438b0e4}},	//   _الحد, _ecri, ksma, _eer_, 
   {{0x4438b0e5,0x7aed1ef3,0x7eb5026e,0x78a5007e}},	//   _fer_, _mkat, _nápa, _kohv, 
   {{0x4438b0e6,0xed59196c,0x6e22023a,0x10a20258}},	//   _ger_, ҳои_, _afob, зишн, 
   {{0x6d461dbb,0x2fde0042,0x7aedb0e7,0x6d425715}},	//   škal, _cxtg_, _okat, _avoa, 
   {{0x44211a5a,0x4438b0e8,0x6280b0e9,0x417700d4}},	//   lch_, _zer_, _gamo, _پارس, 
   {{0x443818c6,0x9c7c02ee,0x6d401dd0,0x7c380318}},	//   _yer_, močj, gsma, _bevr, 
   {{0x6280b0ea,0x7aedb0eb,0x6aa400a1,0x4421b0ec}},	//   _zamo, _akat, _soif, nch_, 
   {{0x4421b0ed,0x7c38b0ee,0xa3d71281,0x6280b0ef}},	//   ich_, _devr, ापि_, _yamo, 
   {{0x62801732,0xf8a907e4,0x34d400c9,0x70b700ae}},	//   _xamo, _אש_, _दद्द, _अतुल, 
   {{0x7c38b0f0,0x6b8a038c,0x82760070,0x5ac719fe}},	//   _fevr, _erfg, זערע_, слям_, 
   {{0x7c3801a9,0x7aedb0f1,0xe8f7002e,0x7cfd0212}},	//   _gevr, _ekat, йля_, fère, 
   {{0x78a50112,0x7eb50076,0x7cfd026a,0x4438b0f2}},	//   _dohv, _zápa, gère, _rer_, 
   {{0x645cb0f3,0x44383b27,0x6447b0f4,0x4421b0f5}},	//   _scri, _ser_, _adji, ech_, 
   {{0x4438b0f6,0x6280b0f7,0x7c3802f1,0x2bb70095}},	// [b120] _per_, _ramo, _yevr, dəcə_, 
   {{0x9992000d,0x44167c89,0x4423016c,0x644708b0}},	//   _když_, сфат, _cfj_, _cdji, 
   {{0x44380e2e,0x62809b76,0x61fb2d3b,0xb5fb0183}},	//   _ver_, _pamo, _azul, _acád, 
   {{0x4438b0f8,0xd25900dd,0x44215429,0x6b9c007e}},	//   _wer_, иці_, ach_, ärgi, 
   {{0x4438b0f9,0x628217ab,0x6280671d,0x673b0062}},	//   _ter_, rdoo, _vamo, ćuje, 
   {{0xdb1a006b,0x61fb3436,0x62802fc5,0x6ab502e6}},	//   szté, _dzul, _wamo, _ंत्र, 
   {{0x6564b0fa,0x20c900eb,0x6280b0fb,0x9c7c0121}},	//   ltih, جبني_, _tamo, bočj, 
   {{0x6d40b0fc,0x7c38b0fd,0x27ed0218,0x00000000}},	//   tsma, _sevr, şeng_, --, 
   {{0x6d40b0fe,0x4cb8366a,0xb146049b,0x7c860ddd}},	//   usma, илию_, _ынал, буне, 
   {{0x7aed71bd,0x9c7c02ee,0x757b008d,0x01a700d3}},	//   _skat, močk, נטיפ, _укук_, 
   {{0x95f502e6,0xb4db0054,0xc5f50fc0,0x00000000}},	//   _आर्ट_, _ovàn, _आर्य_, --, 
   {{0x38af0749,0x15fa0c64,0x6d401bba,0x78a513ba}},	//   _türk_, ्धार_, psma, _sohv, 
   {{0x4421b0ff,0x7c38b100,0x65640ab1,0xe9190451}},	//   ych_, _tevr, jtih, рогі_, 
   {{0x6f1a0204,0x7cfd026a,0x4c94144a,0xd90f009c}},	//   _kutc, tère, _фикс, ژیک_, 
   {{0x38afb101,0xf6472794,0x3ea6b102,0x388b0028}},	//   _jüri_, йхан, _koot_, vėrė_, 
   {{0x44211b5a,0x7aedb103,0x6f1a045a,0x9c7c0b3c}},	//   wch_, _ukat, _mutc, kočk, 
   {{0x442149ae,0xf8b803a1,0x69dab104,0xf7780405}},	// [b130] tch_, рөө_, şter, ħħa_, 
   {{0x3f8c0414,0x4421b105,0x798db106,0x9d1b00a7}},	//   _ordu_, uch_, _iraw, טומט, 
   {{0x4421b107,0xcfad0033,0x61fb419f,0x00000000}},	//   rch_, _কেনন, _szul, --, 
   {{0x4421b108,0xe570006b,0x6595004e,0x3ea6b109}},	//   sch_, بطہ_, _даму, _noot_, 
   {{0x9c7c0352,0x26cb00b9,0x2167b10a,0x798d01f2}},	//   ročj, _imco_, стег, _jraw, 
   {{0x3f8c00d2,0x1fa97bdf,0x493c035c,0x752d0379}},	//   _brdu_, икли_, נגוו, mpaz, 
   {{0x29130844,0x10480080,0xf3f3144f,0x3ea602f7}},	//   _mixa_, сячи_, _رأس_, _boot_, 
   {{0x92b70e61,0x9c7c026e,0x0ea900a3,0x291311c9}},	//   _احسا, bočk, ркий_, _lixa_, 
   {{0x798d006f,0x2d8b031e,0x225f0096,0x3f8c01d6}},	//   _nraw, íce_, _icuk_, _erdu_, 
   {{0x3cc903dd,0x7cef004f,0x0b450176,0x3b0000a3}},	//   рлоо_, jørt, онон, _shiq_, 
   {{0x798db10b,0x0d97004e,0xf98907e4,0x3ee70028}},	//   _araw, ртқы_, _שר_, _людв, 
   {{0xef0e1222,0x798db10c,0x29010065,0x2483024a}},	//   _ім_, _braw, _ahha_, _lajm_, 
   {{0x7cef01e8,0xada5a964,0x2913b10d,0x798d60ea}},	//   ført, _фалл, _bixa_, _craw, 
   {{0x248302cd,0x798db10e,0x3942373e,0x690b01f2}},	//   _najm_, _draw, rsks_, _mżew, 
   {{0xfaa6104e,0x798db10f,0xe73a1a57,0x7cfd0a35}},	//   _мако, _eraw, реб_, pèrb, 
   {{0x2ca70af8,0x291303dd,0x291b008a,0x798db110}},	//   _hond_, _eixa_, _fuqa_, _fraw, 
   {{0x798db111,0x29137adc,0xb5fb0068,0x09e40033}},	// [b140] _graw, _fixa_, _acáb, নেজা, 
   {{0x33f60648,0x65644360,0x225f0574,0x7cef0a1f}},	//   очес, rtih, _acuk_, mørs, 
   {{0x2ca7b112,0x7eb50076,0x6564b113,0x3e4c012d}},	//   _mond_, _nápo, stih, lėtų_, 
   {{0x7ebc006b,0x2ca7b114,0x00000000,0x00000000}},	//   _képe, _lond_, --, --, 
   {{0x2ca70876,0x3ea6b115,0x055500b3,0x38b406ce}},	//   _oond_, _root_, _нтря, _lärm_, 
   {{0x11390009,0x9c7c1ad8,0x7ebc0175,0x60cd0151}},	//   сяцы_, ročk, _mépe, éamp, 
   {{0x3ea62466,0x9c7c00ef,0x7eb50098,0xe7ff0790}},	//   _poot_, sočk, _vápn, ोइया_, 
   {{0xa3d704d7,0xbe8a3232,0x7cf403a1,0x3e4c0009}},	//   ापर_, рске_, màri, kėtų_, 
   {{0x9c7c11c8,0x412713e6,0xeeb700dd,0x7ebc010e}},	//   loči, _мото_, ільш_, _népe, 
   {{0x0caa9d03,0x3b540235,0x3878024a,0x3e4c0028}},	//   ртии_, пкор, jerr_, dėtų_, 
   {{0x7cf400d3,0x3ea6011d,0x2ca7b116,0x38780034}},	//   nàri, _toot_, _dond_, derr_, 
   {{0x798db117,0x29130183,0x5fc302e6,0x7cef00fb}},	//   _praw, _sixa_, _वेटल, førs, 
   {{0xdd94032e,0x7eb5200a,0xc9840fc5,0x99920035}},	//   _халы, _zápo, мури, _gdyż_, 
   {{0x7ebc026a,0x9c7c3efe,0x2ca7010e,0x6f0200a1}},	//   _dépe, koči, _gond_, _hhoc, 
   {{0x9c7c008b,0xa81403b7,0x6f02b118,0x9a8769e7}},	//   joči, ддрш, _khoc, _дупл, 
   {{0x798db119,0x7eb5026e,0x7cf403a1,0x569452bb}},	//   _traw, _nápl, dàri, маст, 
   {{0x7ebc0019,0x65151a1c,0x6f029656,0x2ca7011c}},	// [b150] _gépe, سوائ, _mhoc, _yond_, 
   {{0x449811c5,0x7d1d27f2,0x752d0126,0x647400b9}},	//   овую_, íssi, rpaz, мгуу, 
   {{0x9c7c02ee,0x395901c4,0xd5d000c2,0xd2510038}},	//   goči, luss_, _सेठज, فنا_, 
   {{0xb77a07f5,0x877a035c,0x7c2d0097,0x6f020023}},	//   _פארש, _פארי, _đarm, _nhoc, 
   {{0xc69207f5,0x24830097,0x39599671,0x7cfd011c}},	//   _נאך_, _tajm_, nuss_, hèra, 
   {{0x7c242120,0x63a300dd,0x00000000,0x00000000}},	//   _şirn, ønns, --, --, 
   {{0x2ca7b11a,0x6f023772,0xdddb0082,0x39590380}},	//   _rond_, _bhoc, dduš, huss_, 
   {{0x3eb9008c,0x9258b11b,0xfe4502a0,0x2ca70083}},	//   óst_, _маст_, чнио, _sond_, 
   {{0xee3600e4,0x38610156,0x31660126,0x6f021197}},	//   чны_, _ochr_, ctoz_, _dhoc, 
   {{0x7ebc026a,0xdce2003d,0x7eb5014b,0x205400d3}},	//   _répe, _proġ, _zápl, _окуя, 
   {{0x2ca70b32,0x6f02161c,0x7cfd023e,0x00000000}},	//   _vond_, _fhoc, gèra, --, 
   {{0x2ca7b11c,0x09e60240,0x6f0200a1,0x7cef0b48}},	//   _wond_, зомн, _ghoc, tørs, 
   {{0x9c7c0308,0xf992007a,0x2ca700c3,0xb5fb0534}},	//   zoči, ربح_, _tond_, _mbás, 
   {{0x3e4c012d,0x3ebf016a,0xe51f00c2,0x6f09b11d}},	//   rėtų_, lhut_, _बढ़ि_, lmec, 
   {{0xc7a60141,0xb8d4049f,0x3b0a0093,0x7cfd011c}},	//   чивк, _झक_, _леко_, cèra, 
   {{0x6f1e20dc,0x6f095202,0x387800ef,0x9c7c014b}},	//   ípci, nmec, serr_, voči, 
   {{0xcb1300a7,0x00000000,0x00000000,0x00000000}},	// [b160] _אלה_, --, --, --, 
   {{0x7cf400d3,0x6f0901c4,0xf8e00d53,0x38b4305b}},	//   tàri, hmec, _नदिय, _märk_, 
   {{0x3ebfb11e,0x6f09139e,0x00000000,0x00000000}},	//   khut_, kmec, --, --, 
   {{0x9c7c0217,0xdddb1dc8,0x7cf400d3,0x6d460009}},	//   roči, zduš, ràri, škai, 
   {{0x26d2b11f,0x290ab120,0x9c7cb121,0x3ebf00d7}},	//   miyo_, omba_, soči, dhut_, 
   {{0x26d2ac56,0x92cc0086,0x92be0086,0xed590588}},	//   liyo_, রকে_, ীকে_, duž_, 
   {{0xdddb008b,0x7c2409c7,0x290ab122,0x6f02b123}},	//   vduš, _şiro, imba_, _phoc, 
   {{0x6d55006a,0x3ebf02f6,0x26d20204,0x00000000}},	//   ązan, ghut_, niyo_, --, 
   {{0x7c8615c5,0x38af027e,0x25a00183,0xed5902c7}},	//   пуне, _kürt_, nxil_, guž_, 
   {{0x26d2b124,0x31bb00a7,0x645eb125,0xdb1a0019}},	//   hiyo_, _הזמנ, ngpi, sztí, 
   {{0x26d2b126,0x7cef03a9,0x2d8fb127,0xdcfb0613}},	//   kiyo_, tørr, _erge_, zvuć, 
   {{0xed5ab128,0x26d29c70,0x395901dd,0xbf9b0147}},	//   _год_, jiyo_, tuss_, _ליבש, 
   {{0x26d20b94,0x26c000d7,0x7cfd023e,0x00000000}},	//   diyo_, dhio_, sèra, --, 
   {{0xa3ac6ba0,0x290a0054,0x39590b03,0x26de0151}},	//   गहा_, gmba_, russ_, éton_, 
   {{0x6c830038,0x67d508ba,0x77930535,0x00000000}},	//   _سليم, фову, ریحا, --, 
   {{0xc6f90965,0x26d28f5d,0x26c0012b,0x0ccd0086}},	//   інах_, giyo_, ghio_, রকৃত, 
   {{0x1ddc01ec,0x27ed0035,0x7bdc01d5,0x00000000}},	// [b170] मपित, łen_, úruf, --, 
   {{0x442700a1,0xca64040c,0x44f4b129,0x00000000}},	//   ùn_, _hunа, епус, --, 
   {{0x2379298e,0x26d20104,0x57b400d9,0x00000000}},	//   تماد_, biyo_, _збэт, --, 
   {{0x26c0b12a,0x394963ec,0x00000000,0x00000000}},	//   chio_, _kvas_, --, --, 
   {{0x68070175,0x98b90243,0x00000000,0x00000000}},	//   béjé, jusī_, --, --, 
   {{0x7e62b12b,0xf4840141,0xa6ca0104,0x00000000}},	//   _acop, _пусн, _etаd, --, 
   {{0x3ea50508,0x6ef6009e,0xd34700d7,0x38b400c2}},	//   дийг, xûbê, _ریشه_, _särk_, 
   {{0x3949001d,0x2d9f01d6,0x00000000,0x00000000}},	//   _ovas_, txue_, --, --, 
   {{0x7aefb12c,0x6f0904e9,0x0c79011f,0x2eed10de}},	//   doct, rmec, осны_, roef_, 
   {{0x26d21ab0,0x38b4219b,0x3ebf193f,0xaf373420}},	//   ziyo_, _värk_, shut_, _فرصت, 
   {{0x3b0a40a0,0x26d20204,0x394900b0,0x3a29040b}},	//   жено_, yiyo_, _avas_, _bfap_, 
   {{0x5f7407cb,0x2d8f0121,0x00000000,0x00000000}},	//   _سامر, _trge_, --, --, 
   {{0x68ee01ff,0x7e7b025b,0x19b90a10,0x00000000}},	//   tobd, meup, пурь_, --, 
   {{0x7e7bb12d,0x31560137,0x26d20204,0xdc3c0032}},	//   leup, וישן_, wiyo_, _záľu, 
   {{0x26c002bf,0x7ebc3d2b,0x26d2b12e,0x00000000}},	//   thio_, _hépa, tiyo_, --, 
   {{0x224d00d7,0xb4b60083,0xf4840535,0x7aef0106}},	//   _ndek_, जस्_, کاری, coct, 
   {{0xc48612e1,0x26d2b12f,0x6d460c1b,0x26c00082}},	// [b180] млак, riyo_, škav, rhio_, 
   {{0x26d24309,0x9c7c209c,0x224d388b,0x26c00053}},	//   siyo_, boču, _adek_, shio_, 
   {{0x7e7b520a,0xe8d9023a,0x212d41d2,0x26c00415}},	//   keup, _erỳ_, _ateh_, phio_, 
   {{0xe1fa3261,0x38af01c4,0xdb1a010e,0x6d5bb130}},	//   оге_, _fürs_, nztá, kuua, 
   {{0x7ebcb131,0x764400ad,0x69c628a2,0x2054049b}},	//   _népa, maiy, nzke, еӂер, 
   {{0x7e62b132,0x628f0183,0x79840548,0x6d5b0175}},	//   _scop, _ócon, _msiw, duua, 
   {{0x6383152e,0x212d0574,0x7524021e,0x6d4fb133}},	//   _игра, _eteh_, lqiz, ácan, 
   {{0xf8bb00ea,0x2f170088,0x764402dc,0x3ebd0090}},	//   _उत्प, мощь_, naiy, _clwt_, 
   {{0x4444b134,0x61463f74,0x6d4f0ab4,0x442a0175}},	//   oa_, _цеза, šcan, _kfb_, 
   {{0x4444b135,0x7ebc0518,0x1fb6017b,0x00000000}},	//   na_, _dépa, _осер, --, 
   {{0x403300dd,0x7aef0036,0x76442244,0x7984658d}},	//   _реєс, toct, kaiy, _asiw, 
   {{0x63a3b136,0x6d5b0c36,0x6e930038,0x9c7c00ca}},	//   änni, buua, _للما, voču, 
   {{0x4444b137,0x7c2d009e,0x76441b6b,0x7aef2479}},	//   ka_, _şare, daiy, roct, 
   {{0xfbcf086b,0x690b00c3,0xddc9009e,0x79840106}},	//   اتی_, _ażer, lgeş, _dsiw, 
   {{0xd7f86277,0x2f016fc7,0x86020118,0x7c2a00a4}},	//   дут_, lóga_, _dakٍ_, _iffr, 
   {{0x4444002e,0xddc9b138,0x442a3ebc,0x6d460028}},	//   ea_, ngeş, _afb_, škau, 
   {{0x4444b139,0x09d9100b,0x39492126,0x3495915a}},	// [b190] fa_, _সরকা, _uvas_, наар, 
   {{0x80b30366,0x599600d1,0x6aad0054,0x9c7c0032}},	//   _अवधे, _נכתב_, _hoaf, poču, 
   {{0x70db00a5,0x32550e8f,0x442ab13a,0xf3675484}},	//   _बदौल, евер, _dfb_, ьтан, 
   {{0x7d180a40,0x4444b13b,0x95cb0bad,0x442a3e54}},	//   _livs, aa_, _дуга_, _efb_, 
   {{0x4444b13c,0x7c2ab13d,0x442a00d7,0x6aad0415}},	//   ba_, _offr, _ffb_, _moaf, 
   {{0x7ebc026a,0x6aad198f,0xd1b80071,0xf8bfb13e}},	//   _répa, _loaf, باما_, mpés_, 
   {{0x6445b13f,0x7ebc026a,0x00000000,0x00000000}},	//   mahi, _sépa, --, --, 
   {{0x7c2ab140,0x0d852776,0x6aad0054,0x38b400c8}},	//   _affr, елин, _noaf, _väri_, 
   {{0x7d180d26,0x7e7b005f,0x9f4c0098,0x2f012f09}},	//   _bivs, reup, _vydá_, góga_, 
   {{0x6445b141,0x31346905,0xf0bb0274,0xb16e00bc}},	//   nahi, _рефр, _بارش_, ížeč, 
   {{0xeb990676,0x7eb588e4,0x6aadb142,0x628b00ca}},	//   чин_, _lápi, _boaf, odgo, 
   {{0x6445b143,0x6aad00d9,0x1a6611b7,0x628b10f3}},	//   hahi, _coaf, ریخی_, ndgo, 
   {{0x44449d20,0xed4e1e99,0x64451614,0x7eb5014b}},	//   ya_, _що_, kahi, _nápi, 
   {{0x44441321,0xdb1a006b,0xfc310a5a,0x6445b144}},	//   xa_, sztá, _صحت_, jahi, 
   {{0x6d49b145,0x6445b146,0x67220ab4,0x69c6010e}},	//   lsea, dahi, _čojs, szke, 
   {{0x6443008c,0x98a00308,0x442a016c,0xf6555484}},	//   ðnin, _otić_, _sfb_, ктую, 
   {{0x6d49b147,0x9c7c026e,0x7eb526ca,0x442a00e2}},	// [b1a0] nsea, počt, _cápi, _pfb_, 
   {{0x6d4911a1,0x4444b148,0xb4637e9d,0x6445b149}},	//   isea, ua_, лкул, gahi, 
   {{0x7c240e7b,0x929d00ab,0x764407fc,0x442a1d5e}},	//   _şirk, _chło, paiy, _vfb_, 
   {{0x4444b14a,0xaa7b026e,0xe5a60176,0xd252009c}},	//   sa_, mnýc, _зими, انش_, 
   {{0x6445b14b,0xaa7b026e,0xe1f803dc,0x291a2c6c}},	//   bahi, lnýc, фҳа_, _kipa_, 
   {{0x4444b14c,0x10a30906,0x6d4901c5,0x6445009c}},	//   qa_, личн, dsea, cahi, 
   {{0xaa7b026e,0x7eb5026e,0x291a016a,0x7ae4b14d}},	//   nnýc, _zápi, _mipa_, _ojit, 
   {{0x6f190090,0x7ae41a1f,0x62890090,0x00000000}},	//   _ciwc, _njit, _gaeo, --, 
   {{0x6d49b14e,0x91e30093,0xfd4300f6,0x291a0532}},	//   gsea, _боте, лээн, _oipa_, 
   {{0x7ae4b14f,0x2246011d,0x6aad0054,0xaa7b0098}},	//   _ajit, laok_, _soaf, knýc, 
   {{0xaa7b026e,0x31e20086,0xaa599da5,0x9f9600a3}},	//   jnýc, _বরিশ, мину_, _яшаш, 
   {{0xaa7b3077,0x6d4900a1,0x34dd0484,0xad260038}},	//   dnýc, bsea, _मद्द, _كرتو, 
   {{0x6aad00a9,0x6445b150,0x291a0242,0x6d492619}},	//   _voaf, yahi, _bipa_, csea, 
   {{0x7eb50b85,0x26f903c1,0xb4af5739,0x212b0068}},	//   _rápi, ंत्र_, _ओके_, _éche_, 
   {{0x6445b151,0x291ab152,0x37070afc,0x49740259}},	//   vahi, _dipa_, ечав, _ұлыс, 
   {{0x7ae4097b,0x6445b153,0x7cf400f6,0xabfb00d1}},	//   _gjit, wahi, càrr, _מהור, 
   {{0x6445b154,0xf8bf0212,0x291ab155,0xaa540080}},	// [b1b0] tahi, upés_, _fipa_, _свыш, 
   {{0x7afdb156,0xaa7b143b,0x9865006b,0xa8a4b157}},	//   llst, bnýc, _جیسے_, _брюк, 
   {{0x764b0019,0xf09f00e7,0xd6d12300,0xaa7b014b}},	//   ógys, _đà_, _نقد_, cnýc, 
   {{0x291a0bad,0x48fb031e,0xf1d200b0,0xf8bf0212}},	//   _zipa_, ोगको_, _देहन, ppés_, 
   {{0x6445b158,0xf194004f,0xc2c40038,0xb224004f}},	//   pahi, лиць, ديني, уміл, 
   {{0x7afd35ce,0x656d025b,0x7cfd7bd9,0x00000000}},	//   hlst, mtah, tèrm, --, 
   {{0x656db159,0x6d49039b,0x00000000,0x00000000}},	//   ltah, wsea, --, --, 
   {{0x7ebc026d,0xcf240133,0x73c2004e,0xf1d2143e}},	//   _dépo, دروي, _тәуе, _देवन, 
   {{0x6e29b15a,0xaa7b031e,0x98b90028,0x00000000}},	//   rceb, znýc, jusį_, --, 
   {{0x6d49b15b,0x0d08005e,0x7af637b4,0x7afd8b6d}},	//   rsea, ндық_, _skyt, elst, 
   {{0xa3ba0f63,0x6d49b15c,0x656d2105,0xb5fb007a}},	//   आईए_, ssea, htah, _scál, 
   {{0xaa7b143b,0x291a61bd,0x656d134a,0xe61f00e7}},	//   vnýc, _sipa_, ktah, _ngô_, 
   {{0x6d4602f5,0x656db079,0x98d6004f,0x00000000}},	//   škar, jtah, вівщ, --, 
   {{0xaa7b3077,0x7afd0c0c,0x201800b9,0xdca5022d}},	//   tnýc, alst, _úric_, _јаки, 
   {{0x46f600dd,0x98a3b15d,0x656d0326,0xf74302a0}},	//   вчат, шире, etah, иеро, 
   {{0xcf920137,0xaa7b026e,0x321f001b,0x61e902ae}},	//   סטן_, rnýc, _nguy_, _oxel, 
   {{0x61fbb15e,0xaa7b026e,0xa294004e,0x656d2078}},	// [b1c0] _nyul, snýc, ғалі, gtah, 
   {{0xaa7b014b,0xfaf901dd,0x66db0080,0xf80603a1}},	//   pnýc, stīt_, täkä, _үчүн, 
   {{0x61e916fa,0x213f011c,0x3eaf02b0,0x00000000}},	//   _axel, _awuh_, _oogt_, --, 
   {{0x60c1b15f,0x7ebc0518,0x39405052,0x255a00d9}},	//   _allm, _répo, _kwis_, _оргэ_, 
   {{0x80b30c46,0x7ebc026d,0x20050065,0xf1d2017d}},	//   _अवशे, _dépl, _azli_, _देशन, 
   {{0xed59014b,0x2126016a,0x61fb023e,0x6909003e}},	//   drž_, rqoh_, _dyul, rþeg, 
   {{0x7ee618c2,0x61e9b160,0x5467b161,0x213f17f9}},	//   кцие, _exel, _шарм_, _ewuh_, 
   {{0x2d861ff5,0x7bc8014b,0x99990228,0x91bf1276}},	//   _psoe_, vzdu, lasť_, वनशै, 
   {{0x61fb010e,0x7c2d0241,0xe04600b3,0x516611f8}},	//   _gyul, _şara, _анзи, _шваб, 
   {{0xe8ff010c,0x98b90028,0x7bc800b4,0x00000000}},	//   rtûk_, vusį_, tzdu, --, 
   {{0x34b700a7,0x39400b74,0xead9017b,0x7b210151}},	//   דפים_, _awis_, емні_, _nœud, 
   {{0x4fd90137,0x2d86084c,0xed5902d9,0x656d04df}},	//   _אַנד, _tsoe_, brž_, ytah, 
   {{0x394d1164,0x7afd014e,0xdd9206bc,0x1dd900bc}},	//   ées_, rlst, _خوش_, _बेपत, 
   {{0x79965f9f,0x26c226ad,0x00000000,0x00000000}},	//   _dryw, _alko_, --, --, 
   {{0x972504bc,0xb8db034d,0xb8670296,0x6abd021e}},	//   افرو, _अक_, _یادو, ërfs, 
   {{0x656db162,0xe654017b,0x00000000,0x00000000}},	//   ttah, ивсь, --, --, 
   {{0xe5b424e9,0x7ebcb163,0xcb1400d1,0x2a694a35}},	// [b1d0] айты, _répl, _דלק_, _icab_, 
   {{0xfaff01ee,0x656db164,0xa5bb069a,0x6abd9a21}},	//   llë_, rtah, _agóc, lksf, 
   {{0xa2b405d0,0x656db165,0x38b4014e,0x68f5b166}},	//   _आवश्, stah, _värt_, mozd, 
   {{0x656d01d5,0x2ee6021e,0x00000000,0x00000000}},	//   ptah, _njof_, --, --, 
   {{0x865a00d1,0x212400a1,0x216703fd,0xc8a702e6}},	//   _אדרי, _cumh_, ттег, खापट, 
   {{0xdce9003d,0xd00915d3,0xe057009c,0x63a302ae}},	//   rteċ, неле_, ئیات_, änns, 
   {{0x3d06000f,0x8384002e,0x136803a1,0x00000000}},	//   _सीधे_, _кыте, _ишти_, --, 
   {{0x2a69006d,0x7cfd022c,0x61e9495d,0x6abd01d2}},	//   _ncab_, mèri, _txel, jksf, 
   {{0x403527bc,0x68f52c26,0x213f00d7,0x4d156c51}},	//   _безс, kozd, _uwuh_, льот, 
   {{0x60c100eb,0xaba91d75,0x24810380,0x6abd01d2}},	//   _ullm, евоз_, nehm_, eksf, 
   {{0x7a6a093e,0x7c9500c5,0x68f500ef,0x8e7501d8}},	//   нинг_, نشگا, dozd, _булч, 
   {{0x7996006a,0xc726005e,0x2e3800b3,0x66e50028}},	//   _pryw, ғдай, _апць_, dėko, 
   {{0x7c3a264e,0x80b91503,0x00000000,0x00000000}},	//   bbtr, ्सपे, --, --, 
   {{0xdce90ab4,0x79960876,0x7c2400ad,0xfaff021e}},	//   oteč, _vryw, _şirv, alë_, 
   {{0x2cb8b167,0xeb99b168,0x869a222f,0x00000000}},	//   örde_, _чий_, нтат_, --, 
   {{0x292500eb,0x6abd03d8,0x78bc1c2b,0x7996017c}},	//   úpaí_, cksf, skrv, _tryw, 
   {{0xceb20a33,0xe5a34bbd,0x68f5008b,0x1dd903ce}},	// [b1e0] זין_, бити, bozd, _बेमत, 
   {{0x888611a8,0x03a6b169,0xf7f61f98,0x7cfd022c}},	//   _слож, лизо, _مسجد, fèri, 
   {{0xfaf900e0,0x80b900b0,0x9cd600d1,0x7cfd03dd}},	//   brīd_, ्सने, נועה_, gèri, 
   {{0x6d5b01ee,0x316a07a4,0x46a6b0b8,0x2bf60070}},	//   krua, ешко_, _самв, אמען_, 
   {{0x6e3b0a1a,0x60d803a0,0x35fa0019,0xc5b6012d}},	//   dbub, tivm, _سرحد_, _сёнь, 
   {{0x8f34012d,0x7ebc039f,0x7cfd832b,0x6d5b021e}},	//   аекц, _gépj, bèri, drua, 
   {{0x76468d76,0x7cfd00b9,0x9c7c0144,0x00000000}},	//   _keky, cèri, jnča, --, 
   {{0x6e3b140d,0x7d54b16a,0x79864974,0x72790e4e}},	//   gbub, авих, kwkw, _исус_, 
   {{0x6d5bb16b,0x66e50028,0xcd3600d7,0x00000000}},	//   grua, dėkl, درعب, --, 
   {{0xddcb00d9,0x752600e2,0x2a6902a5,0x00000000}},	//   ţişt, _mukz, _scab_, --, 
   {{0x7eb52139,0x4f5a0fd0,0x5fa82c91,0x68f51cf0}},	//   _cáps, _سجاد_, _कपिल, vozd, 
   {{0x0dca15e2,0x7646b16c,0x68f50083,0x6efe021e}},	//   _плей_, _neky, wozd, këbi, 
   {{0x75260065,0x6abdb16d,0x6e22016c,0x00000000}},	//   _nukz, rksf, _igob, --, 
   {{0x9b9400d9,0xe787991f,0x672513ba,0xa3c40249}},	//   _викц, лубо, _puhj, एना_, 
   {{0x764601c3,0x68f58b4a,0xb4db00b9,0x00000000}},	//   _beky, rozd, _ovàr, --, 
   {{0x9635a71d,0x79a7088a,0x6d4205d5,0x6d5d01d5}},	//   рнац, _брое, _kwoa, ásag, 
   {{0xf8ae0274,0x6282139f,0x68f510d4,0x00000000}},	// [b1f0] سکی_, deoo, pozd, --, 
   {{0x7cfd00d3,0x44b40cdf,0xdce900bc,0xa6144d6b}},	//   tèri, ббус, yteč, смуч, 
   {{0xd2510fdc,0x6e2201b8,0xc7ab007a,0x00000000}},	//   قنا_, _ogob, _أدخل_, --, 
   {{0x6e2247bc,0x0ce1203f,0x76460876,0x5695b16e}},	//   _ngob, _पद्म, _geky, _тамт, 
   {{0xa0690559,0xe04500cf,0xd04a0095,0x21a502f1}},	//   вала_, анли, lifə, рилм, 
   {{0x2f552b5e,0x7eb5014b,0x6e22b16f,0xdceb008a}},	//   атис, _nápr, _agob, _irgħ, 
   {{0x256fb170,0x628201c8,0xd4980093,0x64551f37}},	//   lül_, beoo, _сря_, _idzi, 
   {{0x44310bfc,0x6d5b20b2,0x26c9019c,0x00000000}},	//   _hfz_, trua, nhao_, --, 
   {{0x644704bb,0xa2c20f7a,0x256fb171,0xd04a06d0}},	//   _keji, लसर्, nül_, hifə, 
   {{0x6d5bb172,0x6447000d,0xeb9902a6,0x1c4501a2}},	//   rrua, _jeji, вио_, шном, 
   {{0x6447b173,0x6455044d,0xc0c8002e,0xdb22003e}},	//   _meji, _mdzi, _суте_, ærðf, 
   {{0x6447b174,0x6d5b024a,0xddd40372,0x256fb175}},	//   _leji, prua, šašt, kül_, 
   {{0xddc2000d,0x6455b176,0x3ead024a,0x7646b177}},	//   _zbož, _odzi, mjet_, _reky, 
   {{0xe8f779a5,0x3eadb178,0x291e464f,0x64550026}},	//   иля_, ljet_, öta_, _ndzi, 
   {{0xb8de8e28,0x290400e0,0xf746b179,0xf626460d}},	//   _आव_, ēma_, ребо, идво, 
   {{0x64550204,0xc6c30ca9,0x068602a0,0x3eada692}},	//   _adzi, ойск, јган, njet_, 
   {{0xa446b17a,0xe61a00cf,0x6447b17b,0x256fb17c}},	// [b200] инад, тда_, _beji, gül_, 
   {{0x3ead0739,0x389a0070,0x7646052b,0x00000000}},	//   hjet_, _ייִנ, _weky, --, 
   {{0xdddb034c,0x63a30219,0x7d010014,0x3eadb17d}},	//   jduž, ännp, ills, kjet_, 
   {{0x3ebf1b3e,0xd409007a,0x00000000,0x00000000}},	//   jkut_, اتكم_, --, --, 
   {{0x27f71fdb,0x3eadb17e,0xf194b17f,0x690000c8}},	//   _مفید_, djet_, силь, töeh, 
   {{0x1543b180,0x6455006a,0x240a286c,0x60f70c8b}},	//   _ферм, _gdzi, _анги_, анія_, 
   {{0xd299004e,0x656400c8,0x00000000,0x00000000}},	//   _өтті_, luih, --, --, 
   {{0x3f98010d,0x3ead00e5,0x3ebf3233,0xb5fb0038}},	//   _árum_, gjet_, gkut_, _scái, 
   {{0xd04a0095,0x7b33020f,0x27ed0241,0x81d40033}},	//   zifə, _lăud, ğeni_, _সুর_, 
   {{0x27ed914a,0x00000000,0x00000000,0x00000000}},	//   şeni_, --, --, --, 
   {{0x256f0019,0x7b19022c,0x26c00036,0xa5bb0108}},	//   zül_, лоор_, kkio_, _ngón, 
   {{0xbea30240,0x6e222bc3,0x6d420237,0x7d011bf0}},	//   _махк, _ugob, _twoa, alls, 
   {{0xf8b90161,0xfce619aa,0x76b900cf,0xa3dd2997}},	//   гөн_, _кодо, қлар_, _तेन_, 
   {{0x256f0019,0xe7f20484,0xaa7b0098,0x7d7b00d1}},	//   vül_, _आँखा_, mným, _סרוג, 
   {{0xab275041,0x6447b181,0xaa7b014b,0x66e50028}},	//   _која_, _reji, lným, sėkm, 
   {{0x256f0019,0x4431020b,0x25a900b4,0x00000000}},	//   tül_, _sfz_, txal_, --, 
   {{0x64470218,0xdddb053d,0x44230126,0xaa7b014b}},	// [b210] _peji, zduž, _pgj_, nným, 
   {{0x256f0019,0x7ebc0107,0x35e4012d,0x3eadb182}},	//   rül_, _dépi, іцтв, zjet_, 
   {{0x9f5e00e5,0x6447b183,0x69cf01dd,0xb36700fd}},	//   _dytë_, _veji, lzce, ръзк, 
   {{0xb69b026a,0x2903545e,0x64550083,0x179a2737}},	//   _chât, llja_, _wdzi, _עירב, 
   {{0x3eadb184,0x644708f4,0x764db185,0x50b51488}},	//   vjet_, _teji, maay, йску, 
   {{0x6455b186,0x764d01a3,0xaa7b014b,0x26d90b1a}},	//   _udzi, laay, dným, _hmso_, 
   {{0x3ead00e5,0x02a7675b,0x987c00c7,0x3ebf00c8}},	//   tjet_, _крам, דרוק, tkut_, 
   {{0x764db187,0x798d4e57,0x212b0212,0x24910440}},	//   naay, _osaw, _écho_, _hazm_, 
   {{0x3eadb188,0x3ebfb189,0x2d99b18a,0x798d0539}},	//   rjet_, rkut_, íse_, _nsaw, 
   {{0x3eadb18b,0x26c001f1,0x3ebfb18c,0xddc2020f}},	//   sjet_, zkio_, skut_, _scoţ, 
   {{0x798db18d,0x2cb80219,0x764db18e,0x5f95010e}},	//   _asaw, örda_, kaay, _دلائ, 
   {{0xaa7b014b,0xddd9007b,0x3ead021e,0x00000000}},	//   bným, _kawż, qjet_, --, 
   {{0xed59b18f,0x764db190,0xfe700ea3,0x2ba9034d}},	//   _сол_, daay, _آدم_, _छपवा, 
   {{0x6c35086b,0xcb69251b,0x7e69b191,0x7ebc0151}},	//   _افغا, _баке_, lgep, _répi, 
   {{0x5b351f7a,0xc7950259,0xdc360070,0x764d0547}},	//   _اعتر, орты, _פאקט_, faay, 
   {{0x9f5e024a,0x764db192,0x752d00ad,0x7ebc0212}},	//   _sytë_, gaay, fqaz, _pépi, 
   {{0x29031af7,0x6aa4176e,0xe5a390b4,0xae0d00b0}},	// [b220] blja_, _inif, пити, ाइटन_, 
   {{0x07fa00d4,0x15b900f0,0x7c2d3840,0x387a016c}},	//   _مرجع_, шысы_, _şarj, _ubpr_, 
   {{0xa2e60386,0x764d0539,0xb69b0212,0xaa7b11bb}},	//   божд, baay, _châs, zným, 
   {{0x764d02a5,0x673b0a1a,0x55e6011f,0xa97a0147}},	//   caay, ćujt, _гомб, ָאַכ, 
   {{0xf1d202c3,0x7ebc0019,0x15ba13cf,0x6aa4018e}},	//   _देखन, _képv, _сыны_, _mnif, 
   {{0xaa7b014b,0xf99300df,0x00000000,0x00000000}},	//   vným, פרו_, --, --, 
   {{0x7e690502,0x00000000,0x00000000,0x00000000}},	//   fgep, --, --, --, 
   {{0x1dd905fd,0xa5bb00ab,0xaa7b0377,0x7e69948a}},	//   _बेहत, _ogól, tným, ggep, 
   {{0xc69300a7,0x6143b193,0xfbd50033,0x3eb902ae}},	//   לאה_, _нета, _সুলত, östa_, 
   {{0x6aa40156,0xaa7b0098,0x3b544975,0xb5b700d1}},	//   _anif, rným, окор, צליח_, 
   {{0x764d7058,0xaa7b0098,0xb4fb0070,0x6ab6b194}},	//   yaay, sným, רליר, _boyf, 
   {{0x1be602f1,0x635c00b3,0xaa7b00da,0x200c040c}},	//   _қўлг, mănă, pným, _izdi_, 
   {{0x290300d2,0x00000000,0x00000000,0x00000000}},	//   tlja_, --, --, --, 
   {{0x764d0547,0xac18b195,0x66e50009,0x5ba629af}},	//   waay, _колу_, mėki, _гриз, 
   {{0xb6c7b196,0x764d01a3,0x5fa801a4,0x66e50028}},	//   бсай, taay, कमिल, lėki, 
   {{0x798d01a0,0x36d41cbe,0x290305ae,0xbb3b00c7}},	//   _tsaw, поср, slja_, _געהי, 
   {{0x2903044e,0x764d0539,0x58d502c4,0x798db197}},	// [b230] plja_, raay, _моит, _usaw, 
   {{0x764d0298,0x00000000,0x00000000,0x00000000}},	//   saay, --, --, --, 
   {{0x7c2d01f0,0xdce0034c,0x764d02dc,0x00000000}},	//   _şark, jumč, paay, --, 
   {{0x26d90380,0x66e50028,0x03fd0033,0xddd901f2}},	//   _umso_, kėki, ৌশলী_, _pawż, 
   {{0x60255d3d,0x00000000,0x00000000,0x00000000}},	//   одла, --, --, --, 
   {{0x10a201d0,0x90c500af,0x66e50009,0xe1f0b198}},	//   дишн, юбле, dėki, رسن_, 
   {{0x7e6910f3,0xdddb0082,0x9ea9144a,0xaa7b003e}},	//   tgep, deuš, ивка_, rnýj, 
   {{0x8d551793,0x00000000,0x00000000,0x00000000}},	//   оточ, --, --, --, 
   {{0xed59b199,0x7e69344e,0x200cb19a,0x00000000}},	//   шоп_, rgep, _ezdi_, --, 
   {{0x7aedb19b,0xcd280038,0x7e69168e,0xec7600b3}},	//   _ajat, حسين_, sgep, опь_, 
   {{0x6a861fc7,0x00000000,0x00000000,0x00000000}},	//   олна, --, --, --, 
   {{0x6d4f0183,0x78a50210,0x00000000,0x00000000}},	//   ácas, _anhv, --, --, 
   {{0x7aedb19c,0x0f1817bc,0x272e01d5,0x00000000}},	//   _djat, _اغلب_, _sýn_, --, 
   {{0x8afd0da6,0x186a3a44,0x52b6456f,0xa31500a2}},	//   stęp, јави_, _अक्स, तगुज_, 
   {{0xd7f20038,0x2d8f0604,0x00000000,0x00000000}},	//   ذكر_, _hsge_, --, --, 
   {{0x7aed01ee,0xb6a3185b,0x78a508bb,0x09e60a31}},	//   _gjat, мисл, _enhv, _мойн, 
   {{0x7c380096,0x2bc12b69,0x00000000,0x00000000}},	// [b240] _ébré, शनका, --, --, 
   {{0xe8ff010c,0x7ebc0175,0x2d9d02a5,0x63be20b2}},	//   stûr_, _hépt, _mrwe_, typn, 
   {{0x68fc050f,0x9346004e,0x2f010228,0xb5fb0038}},	//   mord, інде, lógu_, _scát, 
   {{0xf1db1516,0xe5a601ba,0x256ab19d,0x9c7c2ddd}},	//   _मेहन, _дими, _камп_, miče, 
   {{0x68fc01c8,0x9c7cb19e,0x2918007a,0x208ab19f}},	//   oord, liče, omra_, ийди_, 
   {{0x25740750,0x68fcb1a0,0x399b027a,0xdce900d8}},	//   mäl_, nord, יינד, čněn, 
   {{0x9c7c02f5,0x63be021e,0x2d990566,0x00000000}},	//   niče, qypn, æsen_, --, 
   {{0x1ef70038,0x68fcb1a1,0xb5fb007a,0xbdb40bad}},	//   يعية_, hord, _gcás, збиј, 
   {{0x0caa7441,0x65769e8f,0xa06a0cfe,0x307600c8}},	//   атни_, ntyh, _ваза_, _мужс, 
   {{0xf063b1a2,0x7ebc58b7,0x68fc44ae,0x8afd0035}},	//   _окуп, _répu, jord, kręc, 
   {{0x9c7c14f0,0x7aedb1a3,0x6d4f02aa,0x2d9d0ff2}},	//   jiče, _pjat, ácar, _erwe_, 
   {{0xf3ec100b,0x8afd0035,0x9c7c7e53,0x00000000}},	//   _করার_, dręc, diče, --, 
   {{0x2574014e,0x2d9634fd,0xae160a09,0x68fc0dd8}},	//   jäl_, _фрес, देशन_, ford, 
   {{0x2bca000f,0xbb2a00d9,0x9c7c0144,0x00000000}},	//   ानदा, _кцие_, fiče, --, 
   {{0xd6dbb1a4,0x7aedb1a5,0xcb670267,0x00000000}},	//   ата_, _tjat, _даје_, --, 
   {{0xa5358457,0x257402ae,0x00000000,0x00000000}},	//   знач, fäl_, --, --, 
   {{0x7c2d09c7,0xf8b800f6,0x38c9009c,0xdb170083}},	// [b250] _şari, сөө_, _هادی_, ńców, 
   {{0x7afdb1a6,0x68fcb1a7,0x3f9eb1a8,0x394906e4}},	//   lost, cord, _ortu_, _iwas_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x3f9eb1a9,0x25ad021e,0x66c300c2,0x00000000}},	//   _artu_, _çel_, _lõkk, --, 
   {{0xe0d802fb,0xfbca0501,0x55ba00a7,0x3ea60009}},	//   ові_, ानाम, _המשו, _anot_, 
   {{0x6022606f,0x7ebc0019,0x3f9e090e,0x387c0219}},	//   ндша, _néps, _crtu_, _övre_, 
   {{0x0ea927b8,0x68fcb1aa,0xee390093,0x518741ef}},	//   ский_, zord, щни_, _муза, 
   {{0x68fc0c05,0x7ebcb1ab,0x3f9e008c,0x3245004e}},	//   yord, _répt, _ertu_, _меңг, 
   {{0x7ebcb1ac,0x2b470156,0x3ea60352,0x29010026}},	//   _sépt, _pwnc_, _enot_, _nkha_, 
   {{0x7afdb1ad,0x68fcb1ae,0x39490e32,0x01bd0086}},	//   fost, vord, _awas_, _অধিদ, 
   {{0x7afdb1af,0x9c7cb1b0,0x29010026,0xef0e00dd}},	//   gost, viče, _akha_, _їм_, 
   {{0x68fcb1b1,0x224db1b2,0x6da5b1b3,0xada5b1b4}},	//   tord, _meek_, _хила, _халл, 
   {{0x2574014e,0x9c7c0688,0x3a29b1b5,0x224d01c8}},	//   väl_, tiče, _egap_, _leek_, 
   {{0x2ca701f5,0x2d8d02be,0x00000000,0x00000000}},	//   _innd_, lwee_, --, --, 
   {{0xcf9207f5,0x7afd25ed,0x68fc5094,0x200543e0}},	//   עטן_, cost, sord, _myli_, 
   {{0x0566593a,0x68fcb1b6,0x38b402f2,0xc5660093}},	// [b260] яван, pord, _märz_, якак, 
   {{0x9c7c0352,0x8ca10299,0x26cbb1b7,0x00000000}},	//   piče, _कोमो, _elco_, --, 
   {{0xc61d0086,0x7bc1011c,0x224d02b0,0x7ebc0212}},	//   ধুলা_, nylu, _beek_, _mépr, 
   {{0xc7b3035c,0x212d0126,0x55c400a3,0x7ebc4dfd}},	//   _טבת_, _bueh_, _жамғ, _lépr, 
   {{0xd24f09e8,0x7644054e,0x21250175,0x224d0175}},	//   انه_, mbiy, _bilh_, _deek_, 
   {{0x7afd431f,0x20050667,0xfd07189a,0x3ea6b1b8}},	//   zost, _byli_, _سج_, _snot_, 
   {{0x6d5d0038,0xe29a53c4,0x7afd32e2,0x4444b1b9}},	//   ásan, _лав_, yost, mb_, 
   {{0x444402ec,0x442a508d,0x644e0218,0x76441e21}},	//   lb_, _hgb_, _hebi, nbiy, 
   {{0x644e7547,0x7afdb1ba,0x44440e0c,0xb5fb0183}},	//   _kebi, vost, ob_, _edáf, 
   {{0x4444b1bb,0x644eb1bc,0x3d060394,0xdb1b0019}},	//   nb_, _jebi, _सीखे_, sztü, 
   {{0x444401a0,0x660609a8,0x28b00ffc,0x443800a1}},	//   ib_, _lykk, ञानि, _mfr_, 
   {{0x644eb1bd,0x67260352,0x443802a5,0xef1a04b6}},	//   _lebi, _nikj, _lfr_, _уме_, 
   {{0xdca68865,0x0e9b00a7,0x644e0054,0x31570070}},	//   _нади, _לשאל, _oebi, ּילן_, 
   {{0x644eb1be,0x442ab1bf,0x645cb1c0,0x00000000}},	//   _nebi, _ngb_, _ndri, --, 
   {{0x628002ee,0x4444b1c1,0xe784318b,0x6c7b00a7}},	//   _obmo, db_, нуто, _האופ, 
   {{0x4444b1c2,0x442a02f2,0x65640c43,0x66060065}},	//   eb_, _agb_, frih, _bykk, 
   {{0x349500f6,0xdb1b2197,0x6726003d,0x645c1e86}},	// [b270] маар, sztó, _dikj, _bdri, 
   {{0x660603a9,0x764402a5,0x644eb1c3,0x66ca0098}},	//   _dykk, abiy, _cebi, _výka, 
   {{0x764402f1,0x645cb1c4,0x6564059e,0xca790104}},	//   bbiy, _ddri, arih, _muvо, 
   {{0x44441124,0x66ca026e,0x645c023e,0x6564b1c5}},	//   ab_, _týka, _edri, brih, 
   {{0x4444b1c6,0x442ab1c7,0x9c7c012d,0x644e4fec}},	//   bb_, _fgb_, anči, _febi, 
   {{0x644e0dde,0x224d00a7,0x444401f5,0xdce900ca}},	//   _gebi, _week_, cb_, mteć, 
   {{0x7ebca838,0x224d01d2,0xf83800d1,0x6d40040b}},	//   _répr, _teek_, הנות_, epma, 
   {{0x3eb9003e,0x442ab1c8,0x644e547f,0x7c3810de}},	//   ðst_, _zgb_, _zebi, _afvr, 
   {{0x802713b4,0x628bb1c9,0x3cfe0108,0x644eb1ca}},	//   _فرام, mego, fotv_, _yebi, 
   {{0x628bb1cb,0x6299b1cc,0xf65f055f,0x644e0218}},	//   lego, ldwo, _blæk_, _xebi, 
   {{0x752702b0,0x64452619,0x6d40039b,0x7e7b0027}},	//   _mijz, ibhi, apma, pfup, 
   {{0x628bb1cd,0xbe1503b1,0x63a317f8,0x764f00de}},	//   nego, _قواع, änny, _necy, 
   {{0x6f0903c6,0xed4eb1ce,0x6f1bb1cf,0x67266030}},	//   mlec, _шо_, mmuc, _rikj, 
   {{0x628b0042,0x6f09b1d0,0x660614a4,0x3873011c}},	//   hego, llec, _rykk, _ccxr_, 
   {{0xa3dd29f5,0x660600dd,0x628b011c,0x44440352}},	//   _तेल_, _sykk, kego, vb_, 
   {{0x4444a082,0x9c7c0062,0x628b9f27,0x4438b1d1}},	//   wb_, miča, jego, _sfr_, 
   {{0x76441d97,0x75270b32,0x764f00ab,0x644eb1d2}},	// [b280] rbiy, _bijz, _decy, _pebi, 
   {{0x444401c1,0x6f0902f2,0x7644403b,0xe3df0086}},	//   ub_, hlec, sbiy, _বুধব, 
   {{0x9c7c02f5,0x644eb1d3,0x6f09a238,0x764f0183}},	//   niča, _vebi, klec, _fecy, 
   {{0x6606b1d4,0x628b0f41,0x6d40040c,0x5186b1d5}},	//   _tykk, gego, ypma, дука, 
   {{0x644eb1d6,0x44380036,0x6f09b1d7,0xdce000b3}},	//   _tebi, _tfr_, dlec, numă, 
   {{0x6f0923bd,0x6f02b1d8,0x3f9c0097,0x752702b0}},	//   elec, _skoc, tvvu_, _gijz, 
   {{0x628bb1d9,0xdfd000eb,0x6d4b01be,0x6d590118}},	//   bego, طية_, _awga, _avwa, 
   {{0x628b02fe,0x26d2016a,0x6d4b0090,0x6f09015c}},	//   cego, nhyo_, _bwga, glec, 
   {{0x2498b1da,0x3f850082,0x00000000,0x00000000}},	//   _karm_, _eplu_, --, --, 
   {{0xa2da0796,0x9c7c0112,0x673e0e67,0x2246b1db}},	//   पोर्, fiča, _otpj, lbok_, 
   {{0x6f09128a,0x7d08022b,0x9c7c0112,0x24980183}},	//   blec, rlds, giča, _marm_, 
   {{0x7c2d01f0,0x2246b177,0x249805ac,0x4ea3b1dc}},	//   _şart, nbok_, _larm_, _арша, 
   {{0x2bde0a34,0xace90296,0x224608b0,0x00000000}},	//   _फेरा, _کرنل_, ibok_, --, 
   {{0x9c7c02f5,0x7b760109,0x212b01d8,0x3166b1dd}},	//   biča, _قطعا, _èche_, iroz_, 
   {{0xa3dd1422,0x0cca02e6,0x67d5004f,0x22461074}},	//   _तें_, िसीम, хову, kbok_, 
   {{0x290a0126,0x929d0035,0xbbca18b4,0x2ee400b9}},	//   alba_, _okła, ानीक, nimf_, 
   {{0x224631b7,0x310e2997,0x628b0664,0x99480038}},	// [b290] dbok_, िताः_, vego, _قليل_, 
   {{0x2498008a,0x628b01a3,0x00000000,0x00000000}},	//   _carm_, wego, --, --, 
   {{0xdce90062,0x64450a75,0x6f09b1de,0x2498346d}},	//   steć, rbhi, ylec, _darm_, 
   {{0x75270b32,0x2246b1df,0x2175004f,0xb4db01be}},	//   _wijz, gbok_, еукр, _stàd, 
   {{0x9c7c003a,0x6299b1e0,0xbbca2c91,0xcad800a7}},	//   ziča, rdwo, ानुक, וואת_, 
   {{0x26c9a221,0x3cf800a5,0x4f9502a0,0x6d5d007a}},	//   lkao_, ँवों_, ериу, ásam, 
   {{0x656d0348,0xfe710038,0x00000000,0x00000000}},	//   luah, هدة_, --, --, 
   {{0xf53f0d1c,0x2735022b,0x9c7c044e,0x26c901a7}},	//   _tråd_, _mån_, viča, nkao_, 
   {{0x6f09b1e1,0x27350310,0x998000ab,0x656db1e2}},	//   rlec, _lån_, _dziś_, nuah, 
   {{0x9c7c02f5,0xc4d20137,0x0d08005e,0x6f09b1e3}},	//   tiča, ָגט_, мдық_, slec, 
   {{0x2735022b,0x656db1e4,0xb0ac059e,0x20ac0bed}},	//   _nån_, huah, चारग, चारध, 
   {{0x5fd8009a,0x26c90242,0x04eb0033,0x6f0002be}},	//   _भेटल, jkao_, _কঠোর_, comc, 
   {{0x9c7cb1e5,0xa3e600c9,0x66ca00da,0x213f008a}},	//   mičn, _बेन_, _sýko, _jtuh_, 
   {{0x9c7c00d0,0x17c801a2,0x213f018e,0x00000000}},	//   piča, дҳои_, _mtuh_, --, 
   {{0x9cd60056,0x8cac0083,0x3ebdb1e6,0xe9df003e}},	//   _רוצה_, जारो, _kowt_, rbúa_, 
   {{0x7bda0056,0x66ca3077,0x4a7600d3,0x225f167c}},	//   _מקצו, _výko, _чыкт, _nduk_, 
   {{0x213f6431,0x27ff0540,0x656d0102,0x00000000}},	// [b2a0] _ntuh_, ğuna_, guah, --, 
   {{0x7ae6b1e7,0x225f4e07,0x33f69fa1,0x26d2693f}},	//   likt, _aduk_, нчес, shyo_, 
   {{0x316600b4,0x213f20ca,0x929d00ab,0x24980310}},	//   wroz_, _atuh_, _skła, _varm_, 
   {{0x213f016a,0x26c900d2,0x9c7c0121,0x8ca1258c}},	//   _btuh_, ckao_, jičn, _कोसो, 
   {{0x9c7c024c,0x27f200e0,0x3265004f,0x2c0600b0}},	//   dičn, šanā_, ттєв, _सुनू_, 
   {{0x7ae6b1e8,0x2246b1e9,0x316601d6,0x7656040c}},	//   hikt, sbok_, rroz_, layy, 
   {{0x9c7c0121,0x929d0035,0x213f0175,0x777c084c}},	//   fičn, _wkła, _etuh_, ntrx, 
   {{0x394015ad,0xe29703dc,0xdd900198,0xc7b3042c}},	//   _otis_, _пас_, لوب_, רבה_, 
   {{0x39400201,0xe0da33dc,0x929d00ab,0x52756d82}},	//   _ntis_, _ева_, _ukła, _шуру, 
   {{0x20120095,0x2a60b1ea,0x7ae601d6,0x6f0000b9}},	//   əyin_, _adib_, eikt, somc, 
   {{0xdeef27a6,0x9c7c02f5,0x394006df,0xa8030095}},	//   _бы_, bičn, _atis_, _çıxm, 
   {{0x7ec60107,0x27350219,0x00000000,0x00000000}},	//   _dépê, _rån_, --, --, 
   {{0x2735014e,0x76560640,0x66ca014b,0x6ce602c8}},	//   _sån_, dayy, _výkl, _піке, 
   {{0x2a6006d0,0x7d0101be,0x52bd02e6,0x2905567f}},	//   _edib_, cols, _ऍक्स, ôla_, 
   {{0xb90902f8,0xf53f32b9,0x39400089,0x7ae62c69}},	//   _मग_, _stå_, _etis_, bikt, 
   {{0xf1c60029,0x7c25014b,0x7ae6b1eb,0x656d1ea8}},	//   _đánh_, _úhra, cikt, tuah, 
   {{0x6aad17ed,0x69c6b1ec,0x26c9015e,0xdce900b3}},	// [b2b0] _inaf, cyke, rkao_, _înăl, 
   {{0x473531a4,0x9c7c06e0,0x26c9044e,0x76560102}},	//   _инос, zičn, skao_, aayy, 
   {{0x29032083,0x26c90613,0x656d019c,0x6aad0604}},	//   moja_, pkao_, suah, _knaf, 
   {{0xd6db013d,0x2903b1ed,0x68e702b0,0x527400d3}},	//   _хто_, loja_, lijd, гушу, 
   {{0x9c7cb1ee,0xb0ac07d5,0x6aad0548,0xcb14027a}},	//   vičn, चांग, _mnaf, אלף_, 
   {{0x9c7c16ed,0x2903b1ef,0xd00901d7,0xafe5b1f0}},	//   dičo, noja_, меле_, колл, 
   {{0x9c7c1af7,0x6aad01a9,0x7d01b1f1,0x69c6b1f2}},	//   tičn, _onaf, vols, zyke, 
   {{0x225f4ea4,0x2903b1f3,0x0d85b1f4,0x6aad0539}},	//   _uduk_, hoja_, влин, _nnaf, 
   {{0x9c7c0412,0x213f5334,0x2903b1f5,0x7d01b1f6}},	//   ričn, _utuh_, koja_, tols, 
   {{0x6aadb1f7,0x2903b1f8,0xa2bd02e6,0x645702ae}},	//   _anaf, joja_, वॉर्, naxi, 
   {{0x76560118,0x7ae66703,0x2903b1f9,0x1e840259}},	//   yayy, tikt, doja_, _әлім, 
   {{0xd0100019,0x7d0110d4,0x9c7c020b,0x6aad03c6}},	//   _چلے_, sols, bičo, _cnaf, 
   {{0x7d0100ab,0x645700b4,0xbd8900d7,0x00000000}},	//   pols, kaxi, _آنتن_, --, 
   {{0x7ae603a8,0x29032c9e,0x776e02f1,0xd943b1fa}},	//   sikt, goja_, tubx, рери, 
   {{0x66e65dc9,0x645700ad,0x4807049b,0x2fc70102}},	//   вова, daxi, верн_, nyng_, 
   {{0x6e3b0938,0x246400e0,0xe3b20a24,0xa3d51b38}},	//   ncub, zīmē_, یرا_, ाईन_, 
   {{0x59b30335,0x7ae4b1fb,0x78be1a77,0x76560508}},	// [b2c0] _көрс, _imit, _topv, rayy, 
   {{0x2903b1fc,0x7656458b,0xa44305f3,0x32180379}},	//   coja_, sayy, инуд, _ąry_, 
   {{0x6d5bb1fd,0x7ae4024c,0x6e3b040b,0x00000000}},	//   hsua, _kmit, kcub, --, 
   {{0x61460478,0x765602cd,0xd0410095,0x25ad008b}},	//   веда, qayy, _illə, _šele_, 
   {{0x6d5b006d,0x7ae42505,0x55c50259,0x443a011c}},	//   jsua, _mmit, _баяғ, pcp_, 
   {{0x0443b1fe,0x9c7c253f,0x8ca10ed5,0x645702be}},	//   _верн, vičo, _कोलो, caxi, 
   {{0x66d10219,0xc6070086,0xdce000ef,0x84e33623}},	//   _håka, লেদা_, lumć, _торж, 
   {{0xe81a0262,0x0cca102c,0x68e702b0,0x7c2d020f}},	//   _धरना_, िस्म, zijd, _şarp, 
   {{0x6282b1ff,0xaca90019,0x127b0070,0x5d5303a1}},	//   mfoo, کھنے_, _קאמע, акыт, 
   {{0x7ae4b200,0x62820876,0x261700a2,0xdc8a00a3}},	//   _amit, lfoo, पेटी_, фсил_, 
   {{0x2903b201,0x9c7c0032,0x2fd80566,0x81f40033}},	//   voja_, sičo, _årg_, _জরিপ_, 
   {{0x7e9820b4,0x68e701c8,0x4caf0033,0x200c0104}},	//   _سنتر_, wijd, টসগু, _iydi_, 
   {{0x2903b202,0x68e7012e,0x4cba0086,0x291a01f5}},	//   toja_, tijd, ইসবু, _bhpa_, 
   {{0x7ae4b203,0x5ba60148,0xfce3b204,0xa5bb0083}},	//   _emit, _ариз, _кочо, _ogór, 
   {{0x2903b205,0x68e7b206,0x212c0237,0x64570be0}},	//   roja_, rijd, _midh_, vaxi, 
   {{0x6aadb207,0x8f9b0070,0x2903b208,0x212c024a}},	//   _unaf, וילי, soja_, _lidh_, 
   {{0xa615b209,0x2903b20a,0x628200c2,0x69db00c9}},	// [b2d0] умач, poja_, dfoo, _पेची, 
   {{0x89da37e5,0xca2a0070,0x6d42095a,0x6d5d07cf}},	//   _سوپر_, _אופֿ, _mtoa, ásai, 
   {{0xed460274,0x6457b20b,0x442700c8,0x68e501be}},	//   _گپ_, raxi, än_, _imhd, 
   {{0x64570042,0xe8e1001b,0x212c01fd,0x629b0026}},	//   saxi, _đột_, _aidh_, _qauo, 
   {{0x208903dc,0x212c0014,0x21690176,0x200c1530}},	//   ейли_, _bidh_, хили_, _aydi_, 
   {{0x92e30086,0x212cb20c,0xaf994821,0x629b018e}},	//   নকে_, _cidh_, етих_, _wauo, 
   {{0x6d42b20d,0x2f541eaf,0x212c01be,0xd0060ec6}},	//   _atoa, атыс, _didh_, леше_, 
   {{0xdd91646f,0x6455b20e,0x6d5bb20f,0x24180235}},	//   موع_, _hezi, tsua, _росы_, 
   {{0x6e3bb210,0x6d5b0201,0x64550104,0x60f908b8}},	//   rcub, usua, _kezi, _зная_, 
   {{0x6e3b334b,0x9c7cb211,0x6acc02e6,0x7ae4b212}},	//   scub, ličj, ास्र, _smit, 
   {{0x6455b213,0xa3d62c8a,0x6d5b69ee,0xd011003f}},	//   _mezi, िनय_, ssua, _الا_, 
   {{0xd94601d0,0x6455b214,0x60c137b4,0xa96a02a6}},	//   леми, _lezi, _holm, нима_, 
   {{0x60c114ba,0x3eaf1780,0xdbc900b0,0x2d58002e}},	//   _kolm, _ingt_, _rõõm, _аичь_, 
   {{0x6455114f,0x66d134db,0x8d5a00a7,0x8b950fb9}},	//   _nezi, _råka, _טכני, _брич, 
   {{0x66d103a9,0xac091f4d,0x657d00a3,0x7bc80035}},	//   _såka, _янка_, _aqsh, cydu, 
   {{0x66e3186c,0xdb040151,0x60c10508,0x00000000}},	//   боса, _orné, _lolm, --, 
   {{0x6455b215,0x25a60038,0xdb09009c,0x3486b216}},	// [b2e0] _bezi, íol_, _جزوه_, лгаг, 
   {{0x779413b4,0xbf0f0110,0x00000000,0x00000000}},	//   _پیرا, ातुन_, --, --, 
   {{0x332d2976,0x6455b217,0xdb04001d,0x287b00d1}},	//   _biex_, _dezi, _arné, _אנימ, 
   {{0xe1fab218,0x4431b219,0x20d001f5,0x645502a5}},	//   нге_, _egz_, _càin_, _eezi, 
   {{0x60c11530,0x20d00465,0x63a702a5,0x212c0034}},	//   _bolm, _dàin_, _erjn, _pidh_, 
   {{0x6455b21a,0x26c20226,0xb4260189,0x7e62b21b}},	//   _gezi, _hoko_, _معزو, _sdop, 
   {{0x26c2b21c,0xbf0f02f8,0x3eaf02a2,0x60c1b21d}},	//   _koko_, ातून_, _bngt_, _dolm, 
   {{0x64554f96,0x26c2b21e,0x44310126,0x332d008a}},	//   _zezi, _joko_, _zgz_, _giex_, 
   {{0x5046081b,0x7ebc0019,0x6455b21f,0x26c2b220}},	//   _безб, _képz, _yezi, _moko_, 
   {{0x60c1044e,0x26c2b221,0x859700c7,0x9c7c14ab}},	//   _golm, _loko_, נדיג_, mičk, 
   {{0x9c7c01e2,0xee860009,0xfaf901dd,0x9b431c03}},	//   ličk, _было, krīt_, ینیو, 
   {{0xbda60133,0x26c200fc,0xdc3c0461,0xdfcf0038}},	//   _محتو, _noko_, mšči, _عين_, 
   {{0x9c7c090b,0x7bdab222,0x6d420053,0xdc3c0121}},	//   ničk, sztu, _utoa, lšči, 
   {{0x7ac7004e,0x3aeb05d5,0xa2a602e6,0x752e01f2}},	//   _әске, _bòpè_, _घोस्, _nibz, 
   {{0x6455b223,0x26c20149,0x9c7c0062,0xdc3c02ee}},	//   _rezi, _boko_, hičk, nšči, 
   {{0x645574f8,0x26c20304,0xdc3c0144,0x00000000}},	//   _sezi, _coko_, išči, --, 
   {{0xa3dd05fd,0x6455b224,0xf8b800d3,0x26c2b225}},	// [b2f0] _तेज_, _pezi, төө_, _doko_, 
   {{0xf53f14f9,0x9c7c0076,0x2bb80c14,0xdc3c012d}},	//   _från_, dičk, इमपा, kšči, 
   {{0x9259030f,0x26c20180,0x5c370070,0x60c1b226}},	//   вает_, _foko_, ארבן_, _rolm, 
   {{0x9c7c003a,0x6455052b,0x60c1b227,0x99480296}},	//   fičk, _wezi, _solm, _جلیل_, 
   {{0x6455b228,0x60c1b229,0xb465009c,0x66d1004f}},	//   _tezi, _polm, _نگاه, _håko, 
   {{0xe05700d6,0x656db22a,0x3eaf030c,0x60c102f1}},	//   ایات_, mrah, _sngt_, _qolm, 
   {{0x4425b22b,0xa3dd00a2,0x60c152f0,0x2054004e}},	//   _àl_, _तेच_, _volm, стір, 
   {{0x8c0a00cc,0x9c7c1425,0x8d651e01,0x660f014e}},	//   রধান_, bičk, авие, _kyck, 
   {{0x798d006f,0x60c1b22c,0x9c7c0098,0x656db22d}},	//   _npaw, _tolm, cičk, nrah, 
   {{0x660f14f9,0x3b851488,0x656d0640,0xdc3c0352}},	//   _myck, алог, irah, bšči, 
   {{0x660f022b,0x764da819,0x798d019b,0x20d001fd}},	//   _lyck, kbay, _apaw, _màil_, 
   {{0x2023003d,0x656db22e,0x3eaf27e3,0x00000000}},	//   ħriġ_, krah, _ungt_, --, 
   {{0x26c2b22f,0x660f014e,0x656d0348,0x2f1800b3}},	//   _roko_, _nyck, jrah, _соць_, 
   {{0x6d49b230,0x26c2b231,0x656db232,0x7c940093}},	//   mpea, _soko_, drah, _гръц, 
   {{0x9c7c034c,0x26c2b233,0x6d493896,0xeb9900d9}},	//   zičk, _poko_, lpea, _рий_, 
   {{0x764d1a71,0xdce200a4,0x97350a65,0xf65f043d}},	//   gbay, _ipoġ, сэрч, _slær_, 
   {{0x656db234,0x6d49b235,0x7afdb236,0xc4e66562}},	// [b300] grah, npea, érte, ажай, 
   {{0x9c7c1c77,0x2ed21276,0x6d490358,0x20d00465}},	//   vičk, _तत्त, ipea, _càil_, 
   {{0x26c2b237,0x3dbd00cc,0x656db238,0xb4db03a1}},	//   _toko_, েছিল, arah, _itàl, 
   {{0x9c7c03ef,0x656db239,0xdc3c008b,0xdce201f2}},	//   tičk, brah, všči, _mpoġ, 
   {{0xa3e60077,0x6724003d,0x20d000a1,0x752e01f2}},	//   _बेर_, mmij, _fàil_, _tibz, 
   {{0x9c7c00f1,0x273c00e7,0x67242e84,0x3f66b1b3}},	//   ričk, _kín_, lmij, атиб, 
   {{0xe3b82120,0x9c7c6885,0x2f01020b,0x6d490354}},	//   _çı_, sičk, lógy_, epea, 
   {{0x273c010d,0xbe8a02a6,0xdc3cb23a,0x77610183}},	//   _mín_, тске_, ršči, álxi, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x273c0183,0x672402fe,0xafe67598,0xdc3c0352}},	//   _oín_, hmij, _козл, pšči, 
   {{0x764d7b38,0xa3d62ba3,0x9c7c5bd4,0xaa593f88}},	//   ybay, िनि_, niči, лину_, 
   {{0x6724b23b,0x7b220212,0x00000000,0x00000000}},	//   jmij, _sœur, --, --, 
   {{0x2c0600a2,0xc9870148,0x00000000,0x00000000}},	//   _सुरू_, шуни, --, --, 
   {{0x386d02f2,0xa3d6b23c,0x660f0219,0x66d12be3}},	//   ßer_, िना_, _ryck, _påko, 
   {{0x386d0c05,0x9c7c032f,0x57a4b23d,0x672f023e}},	//   ğer_, jiči, ошта, _picj, 
   {{0x656db23e,0x9c7c0228,0x386d035d,0x73d900f0}},	//   trah, diči, şer_, ңдар_, 
   {{0x764db23f,0x798d0175,0x84476564,0xef110147}},	// [b310] rbay, _upaw, لخال, פּל_, 
   {{0xb89500eb,0x672401a4,0x764d0175,0xe8730535}},	//   _الدع, amij, sbay, _بندگ, 
   {{0xb5fb00d8,0x00000000,0x00000000,0x00000000}},	//   _zdál, --, --, --, 
   {{0x660f0750,0x236702ee,0x56941988,0x6d49b240}},	//   _tyck, šnjo_, _дают, ypea, 
   {{0x7d08b241,0xe1f069c5,0x00000000,0x00000000}},	//   kods, وسه_, --, --, 
   {{0x66d8026e,0x00000000,0x00000000,0x00000000}},	//   _víke, --, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2ca955c6,0x77f80486,0x29f80210,0x00000000}},	//   _şad_, ימוד_, ọai_, --, 
   {{0x41740038,0x6d490212,0xdcfbb242,0x00000000}},	//   _واكس, upea, stuč, --, 
   {{0x2ba50bc3,0x66d12920,0x25ff0394,0x6d49b243}},	//   _pēc_, _såkl, _रखनी_, rpea, 
   {{0x1fe50033,0xe2171276,0x66d12379,0xdca5186c}},	//   _পুরস, _तरुण_, _påkl, _ҳали, 
   {{0x6d5d0183,0x3fc600a3,0x6d494e76,0xb4db01f5}},	//   ásas, _уруғ, ppea, _stàl, 
   {{0x273c008c,0xdca56df5,0xfe7000d4,0x5ca5019c}},	//   _sín_, _гали, _زدن_, _гилб, 
   {{0x2d9d0026,0x7b3300b3,0x2eedb244,0xbbe8009c}},	//   _iswe_, _băut, lief_, اریم_, 
   {{0xb8f00838,0x7b33002e,0xdc120095,0xe9df0126}},	//   _शव_, _căut, _işğa, azú_, 
   {{0x3ebf0730,0x9c7c00e4,0x273c423f,0x2eed0065}},	//   njut_, viči, _vín_, nief_, 
   {{0xe61ab245,0x6724b246,0xb466b247,0x998600eb}},	// [b320] уда_, rmij, йкал, _الخو, 
   {{0x67240f30,0x273c001b,0x2eed22fc,0x9c7c6704}},	//   smij, _tín_, hief_, tiči, 
   {{0xb78100a3,0x1d160070,0xb38621bd,0x290a00b4}},	//   _оғри, צקער_, слел, moba_, 
   {{0x9c7c7ffb,0x68ee26b6,0x2d8f040b,0x00000000}},	//   riči, libd, _opge_, --, 
   {{0x2eed01da,0x00000000,0x00000000,0x00000000}},	//   dief_, --, --, --, 
   {{0xa3d50081,0x26c00112,0x290ab248,0x66ca014b}},	//   ाईश_, ljio_, noba_, _výku, 
   {{0x645eb249,0x2d9d05d5,0x93460a10,0x00000000}},	//   mapi, _aswe_, _ынве, --, 
   {{0x645eb24a,0x26d2016a,0x26c00112,0xb3f700d1}},	//   lapi, nkyo_, njio_, _המלח_, 
   {{0x290ab24b,0x7d08b24c,0x527601a2,0x9cca00d3}},	//   koba_, tods, _вуҷу, гына_, 
   {{0x645e7ebc,0x02c400a3,0x00000000,0x00000000}},	//   napi, _уйғо, --, --, 
   {{0xdee60c0f,0xac183bc3,0x9be6004e,0x8af98258}},	//   _ложи, рону_, сіпк, инос_, 
   {{0x3f9e02f5,0x645eb24d,0xee3a0451,0xed5ab24e}},	//   _istu_, hapi, _снд_, _бод_, 
   {{0x645eb24f,0x290a02fe,0x7d086daf,0xff270535}},	//   kapi, foba_, pods, _ابلی, 
   {{0x1bd4716e,0x290a0547,0x645e19b0,0x7d7b0070}},	//   _моля, goba_, japi, _ענוו, 
   {{0x368b00f6,0x67d411c3,0x645eb250,0xccf800bc}},	//   лсан_, пору, dapi, mně_, 
   {{0xccf8000d,0xa3ac00b0,0xe3df0033,0x97150bfd}},	//   lně_, कटन_, _বুঝব, імац, 
   {{0x634500e4,0x290ab251,0xdcdc031e,0x645e0054}},	// [b330] _mėne, boba_, यसपछ, fapi, 
   {{0x645eb252,0x7aefb253,0x69cfb254,0x290a9ff6}},	//   gapi, lict, myce, coba_, 
   {{0x4394244e,0x163500c8,0x2d8400c2,0x7c2d009e}},	//   захс, _меня, htme_, _şarz, 
   {{0x7aef0484,0xd0480095,0x6f090068,0xdce97130}},	//   nict, _ildə, xoec, vreč, 
   {{0xccf800bc,0x3f9eb255,0x416b0267,0x95cb00b9}},	//   kně_, _astu_, ујем_, _суна_, 
   {{0x661d002a,0xccf8031e,0x9fc91a63,0x2bcb0299}},	//   _izsk, jně_, игла_, ाहमा, 
   {{0xccf8000d,0x2eed051e,0x25a9411b,0x3ebf0080}},	//   dně_, tief_, lval_, tjut_, 
   {{0xee3904a2,0x63b4014b,0x290a342e,0x00000000}},	//   шни_, šený, zoba_, --, 
   {{0x7aefb256,0x2eed051e,0x25a90b1f,0x3f9eb257}},	//   dict, rief_, nval_, _estu_, 
   {{0x2eed0b32,0x2a69afaa,0x6f040f4c,0xdce9b258}},	//   sief_, _adab_, čica, preč, 
   {{0x39492e7b,0x66d8008c,0xf53f0611,0x25a9b259}},	//   _atas_, _líka, _bråk_, hval_, 
   {{0xeb960088,0x645e3de7,0x290a0199,0xc9aa02a0}},	//   цию_, zapi, woba_, авме_, 
   {{0x290a0010,0xccf8031e,0x6458008c,0xdd9400e4}},	//   toba_, bně_, ðvik, _нацы, 
   {{0x26d973e1,0x6efe01dd,0xccf800bc,0x92d50033}},	//   _also_, mība, cně_, িচয়_, 
   {{0x6efe00e0,0x07a3892c,0x68ee02f1,0x645eb25a}},	//   lība, марн, ribd, vapi, 
   {{0x7e7b4fa4,0x645e0927,0x290ab25b,0x25a912b6}},	//   ngup, wapi, soba_, fval_, 
   {{0x645eb25c,0x056602fb,0x6efe00e0,0xe45a9bec}},	// [b340] tapi, юван, nība, ижа_, 
   {{0x6aa40548,0xa3d52191,0xdb2100c8,0x7b340474}},	//   _haif, ाईं_, ätök, _găur, 
   {{0x3984b25d,0x00000000,0x00000000,0x00000000}},	//   lös_, --, --, --, 
   {{0x645eb25e,0x914a2035,0x41aa23de,0xccf8031e}},	//   sapi, ачка_, ивен_, zně_, 
   {{0xccf8031e,0x39843472,0x6aa4b25f,0x6efe0243}},	//   yně_, nös_, _maif, jība, 
   {{0x6efe00e0,0x8f341a1d,0x65640c0a,0x3f9e02be}},	//   dība, пекц, msih, _pstu_, 
   {{0xccf8000d,0x444400e2,0xdb040054,0x645c0243}},	//   vně_, mc_, _ornà, _ieri, 
   {{0x7644b260,0xeeb8516f,0x4444b261,0x3984acce}},	//   nciy, слиш_, lc_, kös_, 
   {{0x016300ba,0xccf8000d,0x4444b262,0x6564b263}},	//   _окто, tně_, oc_, nsih, 
   {{0x4444b264,0x645cb265,0x00000000,0x00000000}},	//   nc_, _jeri, --, --, 
   {{0x4444b266,0x4438a0f1,0xccf8031e,0x2018008c}},	//   ic_, _mgr_, rně_, _ári_, 
   {{0xccf8031e,0x6564b267,0x6aa4261d,0xe8e100e7}},	//   sně_, ksih, _caif, _đốt_, 
   {{0x6efe002a,0xccf8031e,0x6aa4008a,0x7aefb268}},	//   cība, pně_, _daif, rict, 
   {{0x645cb269,0x9c7c090b,0x69cf00a1,0x44440144}},	//   _neri, tiču, ryce, jc_, 
   {{0x6aa4045a,0x25a901d2,0x7aefb26a,0x69cf0527}},	//   _faif, wval_, pict, syce, 
   {{0x7e60b26b,0x645cb26c,0x4444b26d,0x25a93c4a}},	//   namp, _aeri, ec_, tval_, 
   {{0x645cb26e,0x394907c5,0x25a96c96,0x65645a62}},	// [b350] _beri, _utas_, uval_, gsih, 
   {{0x645cb26f,0x7e605760,0x25a986f5,0x2bae04cc}},	//   _ceri, hamp, rval_, टिपा, 
   {{0x6efe00e0,0x44380d78,0x78a54b95,0x66ca0098}},	//   zība, _dgr_, _iahv, _výkr, 
   {{0x4444b270,0x7e609491,0xf772027a,0x479a0486}},	//   ac_, jamp, _אקט_, _פירס, 
   {{0x27ff03b0,0x661d002a,0x78a5b271,0xd49b1571}},	//   ğunu_, _uzsk, _kahv, _крв_, 
   {{0x4438014e,0x850511b7,0xb5fb00eb,0x60c80118}},	//   _ggr_, _روزن, _ndái, _codm, 
   {{0x765d0cd7,0x7e6000a9,0x6445b272,0xd34311b7}},	//   _kesy, famp, mchi, _آفری, 
   {{0x6445b273,0x645cb274,0x6efe00e0,0x7e60b275}},	//   lchi, _zeri, tība, gamp, 
   {{0x645c03b0,0x765db276,0x201e01cf,0x6299b277}},	//   _yeri, _mesy, _ezti_, mewo, 
   {{0x6aa4134c,0x7aed1bdc,0x753d283a,0x6efe00e0}},	//   _saif, _amat, _musz, rība, 
   {{0x6445b278,0x6efe002a,0x753d5e5b,0x7535b279}},	//   ichi, sība, _lusz, _mizz, 
   {{0x6efe01dd,0x6299b27a,0x7aed0183,0x644500a3}},	//   lībn, newo, _cmat, hchi, 
   {{0x644502f1,0x7aed42b5,0xec6e3a8d,0x78a5011c}},	//   kchi, _dmat, _пп_, _bahv, 
   {{0x7aed02ba,0xdca50013,0x17fa00eb,0x7535b27b}},	//   _emat, _хаки, مرأة_, _nizz, 
   {{0x6aa4b27c,0x753d6a2f,0x4438011c,0x61e2b27d}},	//   _taif, _ausz, _rgr_, zzol, 
   {{0x3b07048a,0xaad00081,0x443801c5,0x6564b27e}},	//   _нещо_, _हकिक, _sgr_, tsih, 
   {{0x4438b27f,0xa3de031e,0x765d0118,0x66030a10}},	// [b360] _pgr_, दैन_, _desy, епта, 
   {{0x65642998,0x4444b280,0x6445050a,0x985602f1}},	//   rsih, uc_, gchi, _этиш, 
   {{0x4444b147,0x7535b281,0x645cb282,0x765d0348}},	//   rc_, _dizz, _veri, _fesy, 
   {{0x78a5034c,0xd7bb0052,0x444440a5,0x645c078a}},	//   _zahv, _הצטר, sc_, _weri, 
   {{0x60c85625,0x645c86bc,0x7e60b283,0xa9280009}},	//   _podm, _teri, vamp, pažį, 
   {{0x6445048a,0x5f9400d3,0x9879015e,0x44380126}},	//   cchi, дикт, ršću_, _ugr_, 
   {{0x61e20019,0x6d4b012d,0x6d5945c9,0x62994d5c}},	//   szol, _atga, _awwa, bewo, 
   {{0x6f040b1d,0x7535052b,0xaa7b00da,0x00000000}},	//   čico, _zizz, zhýb, --, 
   {{0x7e60b284,0xa06a44d1,0x60220354,0x2a620175}},	//   ramp, _газа_, _bímí, dakb_, 
   {{0x7aed03ef,0xa0c900eb,0x8fa6b285,0x4fa60082}},	//   _smat, _وذلك_, _назе, _низв, 
   {{0xa3be04d7,0x78a50077,0x6d4b02f1,0x7e600204}},	//   ेहि_, _rahv, _etga, pamp, 
   {{0xdee3108e,0xa6ca0104,0x00000000,0x00000000}},	//   _похи, _muаs, --, --, 
   {{0xf2d30137,0xf1be0081,0x765d017c,0x2d967871}},	//   גער_, ्हिन, _resy, _хрес, 
   {{0x23670112,0x3d140c06,0x765db286,0x629900ab}},	//   šnji_, _नीचे_, _sesy, zewo, 
   {{0x64450c67,0x78a51066,0x7535b287,0x466b2067}},	//   vchi, _vahv, _rizz, йрам_, 
   {{0xabfb0056,0x7aedb288,0x7535b289,0x753d6d40}},	//   _להור, _umat, _sizz, _pusz, 
   {{0x3ea6005f,0x6445b28a,0x78a5b101,0x7535b28b}},	// [b370] _maot_, tchi, _tahv, _pizz, 
   {{0x6445045a,0x3ea607fc,0xda07009c,0xd7fb0176}},	//   uchi, _laot_, _ويژه_, _гум_, 
   {{0x629915ad,0x7afdb28c,0x753501f2,0x6445b28d}},	//   tewo, onst, _vizz, rchi, 
   {{0x753db28e,0x7afd0c58,0x64454bc0,0x6463044e}},	//   _tusz, nnst, schi, _štić, 
   {{0xa0a509d9,0x6299b28f,0x7afd0e16,0x6445b290}},	//   далд, rewo, inst, pchi, 
   {{0x644502f1,0x66d8008c,0x7afdb291,0xb4db00b9}},	//   qchi, _líkl, hnst, _quàd, 
   {{0xb4fb0586,0xdb24010e,0x4394b292,0x2901008a}},	//   ्वीप_, őség, _парс, _mjha_, 
   {{0x24bf00cc,0xdd91073c,0x3f870571,0xdce20082}},	//   _ইতিহ, نوع_, rtnu_, _dvoč, 
   {{0x3f87b293,0xfce51af2,0x290102fe,0x26cb00d7}},	//   stnu_, допо, _ojha_, _moco_, 
   {{0xd13109e8,0x7afdb294,0x26cbb295,0x225f0175}},	//   _شما_, enst, _loco_, _heuk_, 
   {{0x213f0096,0x00000000,0x00000000,0x00000000}},	//   _huuh_, --, --, --, 
   {{0xc8690056,0x2901016a,0x673e01dd,0x7afd05c2}},	//   _כן_, _ajha_, _rupj, gnst, 
   {{0xdce2008b,0x6d4b00dd,0xad8807cb,0x213f32bb}},	//   _zvoč, _utga, _فضول_, _juuh_, 
   {{0x225f0536,0x7afdb296,0x7c8700c8,0xe73a0ec6}},	//   _leuk_, anst, _худе, жев_, 
   {{0xaa7b00d8,0x00000000,0x00000000,0x00000000}},	//   uhýc, --, --, --, 
   {{0x2ca701a6,0x4ae2059e,0x225fb297,0x26cb5f93}},	//   _hand_, _पतिव, _neuk_, _coco_, 
   {{0x090698aa,0x2ca74d13,0x213f018e,0x612403dd}},	// [b380] _опин, _kand_, _nuuh_, lòle, 
   {{0xb4e800b0,0x2ca70104,0x00000000,0x00000000}},	//   यफे_, _jand_, --, --, 
   {{0x39401e97,0x2ca701cc,0x26cb48ea,0xe9df0369}},	//   _huis_, _mand_, _foco_, ncún_, 
   {{0x2ca7b298,0x225f11e9,0x26cb0bad,0xab62035d}},	//   _land_, _ceuk_, _goco_, _şükr, 
   {{0x6143b299,0xa1580088,0x3940018c,0x225fb29a}},	//   веча, чалу_, _juis_, _deuk_, 
   {{0x3940b29b,0x213f7311,0x2a602341,0x224601cf}},	//   _muis_, _duuh_, _leib_, scok_, 
   {{0xdb02014b,0x213f0096,0x7afdb29c,0xa3e6188d}},	//   zvlá, _euuh_, ynst, _बेच_, 
   {{0x2ca7018c,0x225f01ca,0xbd6a0080,0x9326029a}},	//   _aand_, _geuk_, орое_, _آرسن, 
   {{0x25a06e3d,0x2ca7166c,0x20d000a1,0xdc3c00ca}},	//   nwil_, _band_, _bàit_, nšći, 
   {{0x2ca70012,0x225f01f1,0x20d001f5,0x7afd015c}},	//   _cand_, _zeuk_, _càit_, wnst, 
   {{0xb5fb0098,0xc4770486,0x2ca7b29d,0xbbb80249}},	//   _udáv, ותיו_, _dand_, इमेक, 
   {{0xf9e70086,0x25a0b29e,0x3940b29f,0x2bac00bc}},	//   _গুগল_, kwil_, _buis_, _věc_, 
   {{0xc984002e,0x2ca72599,0xb5fb0038,0x394001fd}},	//   кури, _fand_, _meác, _cuis_, 
   {{0x6e2202ee,0x39401469,0xa80301f0,0x26cb2aba}},	//   _izob, _duis_, _çıkm, _soco_, 
   {{0x26cbb2a0,0x5ba308a5,0x6124022c,0x3940033e}},	//   _poco_, _арыз, còle, _euis_, 
   {{0x2ca701c8,0x5694b2a1,0xa63500f0,0x2bcb0249}},	//   _zand_, каст, енбі, ाहरा, 
   {{0xdbde0183,0x29010415,0x225f0326,0x66d8003e}},	// [b390] míña, _tjha_, _reuk_, _kíkj, 
   {{0x2edb1516,0xdb0401c4,0x65150189,0xd1380035}},	//   _बत्त, _ernä, روائ, _nią_, 
   {{0x68f50998,0x2911b2a2,0x26cb08b2,0xb27503a1}},	//   mizd, moza_, _toco_, елеш, 
   {{0x2911b2a3,0x00000000,0x00000000,0x00000000}},	//   loza_, --, --, --, 
   {{0x6e22007c,0x20d000a1,0x00000000,0x00000000}},	//   _nzob, _nàis_, --, --, 
   {{0x68f503c0,0x291190f3,0x6458008c,0x602526ea}},	//   nizd, noza_, ðvit, ндла, 
   {{0x386102e7,0x2ca7b2a4,0x225f0e34,0x22400082}},	//   _mehr_, _rand_, _teuk_, žika_, 
   {{0xfaff078e,0xf8380052,0x7b162d3b,0x2911aaa8}},	//   jnë_, ונות_, náut, hoza_, 
   {{0x2911b2a5,0x2ca7b2a6,0x6f0200a4,0xf53f2379}},	//   koza_, _pand_, _djoc, _gråt_, 
   {{0x236703ef,0x3940b2a7,0x672d0eb1,0x6f02107c}},	//   šnju_, _ruis_, hmaj, _ejoc, 
   {{0x39400518,0x2ca7b2a8,0x2911b2a9,0xa3d51489}},	//   _suis_, _vand_, doza_, ाईट_, 
   {{0x3940026d,0x672d0082,0x2ca706c7,0xfe7001e5}},	//   _puis_, jmaj, _wand_, _نده_, 
   {{0x394002a0,0x672d00ef,0x634c0241,0x7f410104}},	//   _quis_, dmaj, _iğne, _hulq, 
   {{0x2911b2aa,0xdca2b2ab,0x6f0200ca,0x777c0042}},	//   goza_, _баши, _zjoc, turx, 
   {{0x6f02011c,0xd7060df4,0xc5cd0033,0x7f410104}},	//   _yjoc, езви, _রেলপ, _julq, 
   {{0x3940018c,0x6f1bb2ac,0x63a20035,0x672d0082}},	//   _tuis_, nluc, łonk, gmaj, 
   {{0xe6e0000f,0x29110c25,0xb5fb0038,0x6f1b0126}},	// [b3a0] _नतीज, boza_, _reác, iluc, 
   {{0x25a0b2ad,0x6f1bb2ae,0xdc3c0304,0x20d001f5}},	//   rwil_, hluc, ršći, _làir_, 
   {{0x25a03414,0x65760080,0x6f1bb2af,0x00000000}},	//   swil_, sryh, kluc, --, 
   {{0xbee90fcf,0xc7b30486,0x016609fa,0x20d000a1}},	//   टफोन_, _עבר_, екдо, _nàir_, 
   {{0xc69300c7,0xd1380083,0x00000000,0x00000000}},	//   _גאר_, _pią_, --, --, 
   {{0x6aa900cc,0x64430228,0x7f41b2b0,0x00000000}},	//   গাযো, ľnic, _bulq, --, 
   {{0x6443b2b1,0x6e220019,0xdefa11db,0x20d001be}},	//   žnic, _szob, зып_, _bàir_, 
   {{0x2911b2b2,0x20d001be,0x238902d9,0x7d037efc}},	//   zoza_, _càir_, žují_, _ajns, 
   {{0x569b0056,0xdce00243,0x3d0c00bc,0xfe6f007a}},	//   ליקצ, esmā, ठकले_, حدى_, 
   {{0x672d0082,0xa5bb00da,0x00000000,0x00000000}},	//   zmaj, _ozón, --, --, 
   {{0x291100d0,0x6f02014e,0x68f5192c,0xdeb200f0}},	//   voza_, _tjoc, vizd, _бұйы, 
   {{0x386102ec,0x62820c70,0x20d001be,0xfaa70283}},	//   _sehr_, ngoo, _gàir_, хшон, 
   {{0x2911b2b3,0x4dd37a32,0xba3b022c,0x7ae80034}},	//   toza_, _متوس, veïd, ëjta, 
   {{0x52dd1276,0xddc90098,0xba3b040b,0x00000000}},	//   _मत्स, dceň, deïe, --, 
   {{0x672db2b4,0x7f410508,0x68f50104,0x69c00080}},	//   tmaj, _xulq, rizd, ämer, 
   {{0xf5e70c8b,0x291102b8,0x6d42095a,0x75e90104}},	//   нізм, soza_, _kuoa, _hоzi, 
   {{0x672d64e0,0x68f50f4c,0x386100e2,0x95cbb2b5}},	// [b3b0] rmaj, pizd, _tehr_, чува_, 
   {{0x99640093,0x672db2b6,0x6d42018e,0xba3b00b9}},	//   _стъл, smaj, _muoa, reïd, 
   {{0xdcfb034c,0xd2510198,0x7ce401f5,0x00000000}},	//   stuć, لنا_, _iòrd, --, 
   {{0x7e620571,0x6282b2b7,0xe8d10790,0xb603020b}},	//   _neop, ggoo, _सकुच, tláč, 
   {{0x21a502f1,0x6f1bb2b8,0x5eef0035,0xc2440259}},	//   тилм, vluc, इफस्_, унік, 
   {{0x26c9090b,0x7f41b2b9,0x20d000a1,0xf075010e}},	//   ljao_, _pulq, _sàir_, ئیاں_, 
   {{0x7e620bad,0xbea50093,0xc4d200d1,0x7f41009e}},	//   _beop, вайк, _דגם_, _qulq, 
   {{0x26c904d1,0x00000000,0x00000000,0x00000000}},	//   njao_, --, --, --, 
   {{0x7e6200b3,0x00000000,0x00000000,0x00000000}},	//   _deop, --, --, --, 
   {{0x6f1b057f,0x8d28005e,0xdbde003e,0xdb040175}},	//   sluc, нның_, tíða, _isné, 
   {{0x3b0a8509,0x5e950038,0x2d9800b3,0xef740296}},	//   дено_, _للاط, ărea_, _مدنظ, 
   {{0x63b505ae,0x7e62b2ba,0xdce90062,0xf41200a7}},	//   _mrzn, _geop, kreć, שפט_, 
   {{0x4e7800eb,0x26c90f23,0x7ce401be,0xdbde04f4}},	//   _أحمد_, djao_, _bòrd, síða, 
   {{0x3ead61da,0x8c42004e,0xa3e1b2bb,0x7ce40465}},	//   ldet_, _кеше, धना_, _còrd, 
   {{0xb90a04d7,0x628209c7,0xa6db0a6d,0x00000000}},	//   _मत_, ygoo, _miðf, --, 
   {{0x3ead238e,0x7e62b2bc,0x00000000,0x00000000}},	//   ndet_, _xeop, --, --, 
   {{0x3eadb2bd,0x66d101e8,0x04460267,0x63b5b2be}},	// [b3c0] idet_, _påkr, везн, _arzn, 
   {{0xe8f7606f,0xb97b042c,0x3ead00c8,0x6f040082}},	//   _аль_, _קניי, hdet_, čici, 
   {{0x316d026d,0x64a3b2bf,0x187700a7,0x2d8d00c8}},	//   _avez_, раха, _בעיר_, htee_, 
   {{0xe1fa11db,0x3ead01cc,0xdb0400b9,0x63b50121}},	//   мге_, jdet_, _arnú, _drzn, 
   {{0x6443012d,0x3eadb2c0,0xb27300f0,0x6282b2c1}},	//   žnia, ddet_, рліш, rgoo, 
   {{0x224d067c,0xc95300a7,0xdce20228,0x6d4200c8}},	//   _efek_, סמו_, _spoľ, _ruoa, 
   {{0x7e62b2c2,0x741600d4,0x673b253f,0x3d19011c}},	//   _peop, _شورا, ňuje, nèwu_, 
   {{0x753c00ef,0xb5fb0038,0x3eadb2c3,0x52763ae5}},	//   _hirz, _meán, gdet_, _шугу, 
   {{0x80c2283e,0x9d1461fc,0x21a3058e,0x6ce6012d}},	//   लादे, лдич, _китм, віне, 
   {{0x9b580316,0x8f76004f,0xfba800b3,0x00000000}},	//   ниот_, _ауді, еӂий_, --, 
   {{0x753cb2c4,0x395200b9,0x547b07e4,0x316d0144}},	//   _mirz, _atys_, וטיו, _zvez_, 
   {{0xb4df0c73,0x50f20790,0xbe850038,0xf41300d1}},	//   _तत्_, _अगुआ_, _مجهو, יפת_, 
   {{0x7e7d118d,0xcd06089f,0x4c9413b1,0xba3b00b9}},	//   óspe, _ички, _билс, deïc, 
   {{0xab620248,0xdce60243,0x00000000,0x00000000}},	//   _şüur, ēmēj, --, --, 
   {{0x09cb00cc,0xb5fb0068,0xd7f8b2c5,0x9c7c00da}},	//   _লেখা, _adáp, вут_, lhčo, 
   {{0xdce0012d,0xdce90613,0xb5fb0534,0x644e5490}},	//   tumė, treć, _deán, _afbi, 
   {{0x349587a0,0xa5f8b2c6,0x753cb2c7,0xe664113c}},	// [b3d0] лаар, вету_, _birz, ртсо, 
   {{0x798d01f2,0x6aad039b,0x00000000,0x00000000}},	//   _iqaw, _haaf, --, --, 
   {{0xdce902f5,0x2903003a,0x316d0082,0x3eadb2c8}},	//   sreć, mnja_, _svez_, ydet_, 
   {{0x6aadb2c9,0xdce90097,0xa6db01d5,0x00000000}},	//   _jaaf, preć, _siðf, --, 
   {{0x6aadb2ca,0x644e00ef,0x667a00d1,0x3ead076b}},	//   _maaf, _ffbi, _אטרק, vdet_, 
   {{0x66d8010d,0x89dc00a7,0x656db2cb,0x6aad039b}},	//   _ríki, וחדי, msah, _laaf, 
   {{0xd347009c,0xa6db01d5,0x93881571,0x661db2cc}},	//   _شیشه_, _viðf, _иста_, _hysk, 
   {{0x29036c4a,0x6aadb2cd,0x63b802c9,0x2d8db2ce}},	//   hnja_, _naaf, ævne, ttee_, 
   {{0x3ead37b4,0x656d1e8f,0x798d006d,0x673db2cf}},	//   rdet_, nsah, _nqaw, _misj, 
   {{0x66d8003e,0x656db2d0,0x91bf0210,0xdca50bad}},	//   _víki, isah, _ngủ_, ћани, 
   {{0xa5bb0019,0x9f552338,0x2d8db2d1,0x6aad01a3}},	//   _szól, _свеч, stee_, _baaf, 
   {{0xa5bb006b,0x673db2d2,0xaf210bf1,0x3ab41dbc}},	//   _gyóg, _nisj, _পূরণ_, рәкт, 
   {{0x6dc40fd0,0x661d0075,0xaa7b00da,0x00000000}},	//   _نزول, _nysk, chým, --, 
   {{0xd94301d7,0x290300ca,0x94090248,0xa3b600ea}},	//   сери, gnja_, şkən_, जिम_, 
   {{0x66e60676,0x1cb836b0,0x656f0354,0x37e3b2d3}},	//   гова, _جانب_, _avch, борг, 
   {{0x6aad1c73,0xe5a6b2d4,0x661d0a14,0xb4dbb2d5}},	//   _gaaf, либи, _bysk, _quàn, 
   {{0x2bcb0509,0x2903b2d6,0x7ae4b2d7,0x656db2d8}},	// [b3e0] ाहका, bnja_, _ilit, gsah, 
   {{0x661d00ab,0xe6171d55,0x2903015e,0x5fb30466}},	//   _dysk, уду_, cnja_, ंटाल, 
   {{0x2b4f00d9,0x656d0c3d,0x753c00e0,0x7e69011d}},	//   _încă_, asah, _virz, kaep, 
   {{0x656d8453,0x6efe01dd,0x7ae4011c,0x64a30467}},	//   bsah, lībv, _jlit, _қаса, 
   {{0x7ae41469,0x6b81b2d9,0x753cb2da,0x6fb803a2}},	//   _mlit, hulg, _tirz, ्मभू, 
   {{0x7ae4b2db,0x386ab2dc,0x7ce401be,0x673d01d6}},	//   _llit, nabr_, _mòrc, _zisj, 
   {{0xfbc7361f,0x248a0626,0x661db2dd,0xa5070afc}},	//   _ات_, _icbm_, _zysk, _сера_, 
   {{0x2903090b,0xa6db01d5,0x7ae4023e,0x3da60398}},	//   znja_, _viðg, _nlit, гроб, 
   {{0xa20623e1,0x386a0460,0xf1a9009c,0x290301d5}},	//   _спад, kabr_, _لاله_, ynja_, 
   {{0x7ae4b2de,0x764db2df,0x6aad2505,0x90d500e7}},	//   _alit, zcay, _saaf, _hìn, 
   {{0x29031799,0x7ae44cef,0x656d026e,0x28c307d5}},	//   vnja_, _blit, zsah, शासि, 
   {{0xb5fb0019,0xf4260033,0xd4370147,0xc9870cda}},	//   _beál, _বলার_, טריק_, луги, 
   {{0x90d500e7,0x8d561790,0x7ce400a1,0x7ae4007a}},	//   _mìn, _стеч, _còrc, _dlit, 
   {{0x661db2e0,0x6aad0548,0x6b814c59,0x7ce400a1}},	//   _rysk, _waaf, bulg, _dòrc, 
   {{0x7ae4b2e1,0x661d0611,0x66d8003e,0xc7c400b3}},	//   _flit, _sysk, _líku, бсти, 
   {{0x29030b91,0x656d8eaa,0x490300d3,0x368800d3}},	//   snja_, tsah, рүүг, лсун_, 
   {{0x29037f06,0x656d8401,0xa3e70035,0x673db2e2}},	// [b3f0] pnja_, usah, मैन_, _visj, 
   {{0x656d005c,0x764d4afb,0x661db2e3,0xe81600a2}},	//   rsah, scay, _vysk, _दुवा_, 
   {{0x56951f91,0x7ae400c8,0x659400f0,0x90d50023}},	//   _кант, _ylit, _қару, _bìn, 
   {{0x661d17f1,0x98b300d9,0x213eb2e4,0x92951628}},	//   _tysk, _fixă_, _aith_, радц, 
   {{0xe1354985,0x213e003c,0x201e03a0,0xd6d800d9}},	//   анды, _bith_, _ayti_, _стэ_, 
   {{0x6ae208b3,0xdddb0a1a,0x3a2900b4,0x7bdab2e5}},	//   _पत्र, jguš, _mzap_, kytu, 
   {{0x6b810183,0x213e01f5,0xafe50470,0xa3d50664}},	//   xulg, _dith_, ройл, _товч, 
   {{0x6b8102aa,0x2d9587e1,0xfe4503b7,0x201e0034}},	//   vulg, арос, шнио, _dyti_, 
   {{0x386a3eb0,0x608700eb,0x5187021c,0x612403dd}},	//   yabr_, _مشاك, _љуба, còlo, 
   {{0xb5fb247e,0xee365680,0x0d08004e,0x7ae4b2e6}},	//   _reál, шны_, лдық_, _slit, 
   {{0x9b0626f1,0xa6db003e,0x66d801d5,0x00000000}},	//   изод, _miðb, _kíkt, --, 
   {{0x4e190088,0xf1b90588,0x7ce400f6,0xde59004f}},	//   _июля_, _krš_, _pòrc, _раді_, 
   {{0xd9462d8b,0x386a00a3,0x7ae40604,0x00000000}},	//   реги, tabr_, _vlit, --, 
   {{0xcc8900c5,0x271e0e17,0x9d520038,0x7bda021e}},	//   _شنبه_, पत्र_, _بنوت, bytu, 
   {{0x46f62dd8,0x1867b180,0x25e80b79,0xbebd2ea3}},	//   ачат, раси_, चैनी_, plūd, 
   {{0xfd4c001b,0x29d80228,0x7ae4b2e7,0x3eaf055f}},	//   _nhiễ, eľať_, _ulit, _jagt_, 
  
   {{0xb466b2e8,0xe737b2e9,0xd547b2ea,0x3eaf02c9}},	// [b400] икал, рет_, ипте_, _magt_, 
   {{0x3eaf655c,0x25bf72ac,0xe4574872,0xd91037e5}},	//   _lagt_, _šulc_, ижу_, _ریز_, 
   {{0xf1b900ef,0x213e00eb,0x287b07e4,0xa87b00d1}},	//   _arš_, _rith_, _בנימ, _באיר, 
   {{0x2918b2eb,0xeb960137,0x213e01f5,0x68fc07fa}},	//   lora_, ידער_, _sith_, lird, 
   {{0x80c21898,0xaa7b02d9,0x7bda0083,0x00000000}},	//   लाले, lkýc, zytu, --, 
   {{0x2918836c,0x68fc0585,0xa87a0070,0xa6db01d5}},	//   nora_, nird, דאַר, _viðe, 
   {{0x7ee6b2ec,0xa3ba0077,0x6d4f0042,0x2d9d05d5}},	//   ицие, _अछि_, ícan, _apwe_, 
   {{0x213e181f,0x2918b2ed,0x68fcb2ee,0x442a0032}},	//   _with_, hora_, hird, _izb_, 
   {{0x291869a2,0x68fc008f,0x91e33123,0xaa7b0098}},	//   kora_, kird, _доте, hkýc, 
   {{0x2918adff,0x14c90598,0x7bda7a28,0xa3ba00a5}},	//   jora_, रायण, tytu, _अछा_, 
   {{0x26c2030f,0x68fc4065,0xa1130116,0x3a20b2ef}},	//   _onko_, dird, _بولت, _ayip_, 
   {{0xc4d30d2e,0x7ce401f5,0x3f9e02aa,0x7bda1dfa}},	//   _दक्ख, _dòra, _iptu_, rytu, 
   {{0x41c60083,0x5ab60259,0x00000000,0x00000000}},	//   लमिस, сқыр_, --, --, 
   {{0x26c206df,0x68fcb2f0,0x3a2006e4,0x2d840548}},	//   _anko_, gird, _dyip_, mume_, 
   {{0xbb84b2f1,0x7ce401f5,0x442a2318,0x67d403a1}},	//   _العي, _gòra, _nzb_, оору, 
   {{0x68fc00a1,0x00000000,0x00000000,0x00000000}},	//   aird, --, --, --, 
   {{0x7afd2dd1,0x2918b2f2,0x2d84b2f3,0xb99500eb}},	// [b410] mist, bora_, nume_, _الخب, 
   {{0x2918b2f4,0x2a690175,0x26c2b2f5,0x69ddb2f6}},	//   cora_, _heab_, _enko_, myse, 
   {{0xaa7b08d7,0x69dd2379,0x39490201,0xa6db008c}},	//   ckýc, lyse, _huas_, _viðb, 
   {{0x7b1d0503,0x3949b2f7,0x2d84b2f8,0xb0620080}},	//   céut, _kuas_, kume_, äänk, 
   {{0x2d846f60,0xf1a70d56,0x442a24c7,0x39492093}},	//   jume_, ррен, _ezb_, _juas_, 
   {{0x3eafb2f9,0x3949006f,0xd009b2fa,0x2d84b2fb}},	//   _sagt_, _muas_, леле_, dume_, 
   {{0x7afdb2fc,0x3949b2fd,0xc4460116,0x2ee60237}},	//   kist, _luas_, _ایمن_, _blof_, 
   {{0x7afdb2fe,0xf1b900ef,0x68fc1a3d,0x63056564}},	//   jist, _trš_, zird, _اورل, 
   {{0x7afdb2ff,0x39490014,0x25a9b300,0x2d84b301}},	//   dist, _nuas_, nwal_, gume_, 
   {{0x50db0bf5,0x7afd08d5,0x2b47b302,0xba3bb303}},	//   _भविष, eist, _punc_, teïn, 
   {{0x2918090b,0xa3d70081,0x7a6a00cf,0x68fcb304}},	//   vora_, िहि_, линг_, vird, 
   {{0x3949085f,0x2ee6012b,0x68fcb305,0x7b1d0183}},	//   _buas_, _glof_, wird, déus, 
   {{0x39491e82,0x2d840068,0x68fc6beb,0x2b4000b9}},	//   _cuas_, cume_, tird, _viic_, 
   {{0x644302f5,0x6d5b2f5c,0x3949b306,0x25a963ca}},	//   žnij, mpua, _duas_, dwal_, 
   {{0x7afdb307,0x2918b308,0x2ca563cc,0x5eaa00cc}},	//   bist, rora_, meld_, কারে, 
   {{0x68fcb309,0x5b7a027a,0x394901be,0x69dd1e1b}},	//   sird, _ערפא, _fuas_, byse, 
   {{0xf50a1416,0xaa7b037f,0x70b7031e,0xceb20070}},	// [b420] гнал_, skýc, _आफूल, הין_, 
   {{0x88861a63,0xf48400d4,0xa81a0038,0x68fcb30a}},	//   _улож, تاری, _متجر_, qird, 
   {{0x493b0056,0x7b1d0634,0x3ce700b4,0xf7720038}},	//   _תגיו, péut, _mlnv_, _عاد_, 
   {{0x6d5b02f6,0x2ca5b30b,0xa29400dd,0x39490201}},	//   kpua, held_, іалі, _yuas_, 
   {{0x2ca5b30c,0x6724b30d,0x52760258,0x3949006f}},	//   keld_, mlij, _ҳузу, _xuas_, 
   {{0x7afdb30e,0x836a00d4,0x3d1100ab,0x9fa2003e}},	//   zist, _مصرف_, ठकों_, _bíða_, 
   {{0x22490d26,0x8f3475a9,0x7afd8b7e,0x24e7035b}},	//   žaka_, оекц, yist, _умри_, 
   {{0x7afdb30f,0x2d84b310,0x67240b32,0x7986343f}},	//   xist, tume_, nlij, kukw, 
   {{0x6724b311,0x2ca501c4,0x6d5b0c3d,0x3ea4b312}},	//   ilij, feld_, gpua, remt_, 
   {{0x3949b313,0x7afdb314,0x2d8417d5,0x2ca5b315}},	//   _ruas_, wist, rume_, geld_, 
   {{0xa3e804d7,0x3949b316,0x2a690077,0x63ae0175}},	//   यनि_, _suas_, _peab_, _jsbn, 
   {{0x394901c1,0x67242f6f,0x79866fe1,0x612d008c}},	//   _puas_, jlij, fukw, rúle, 
   {{0x39490201,0x672400d2,0x2ca501c8,0xa6db0679}},	//   _quas_, dlij, beld_, _niða, 
   {{0x7afdb317,0x3949006d,0xc6a70161,0x69dd040b}},	//   sist, _vuas_, өрби, ryse, 
   {{0x7afdb318,0x644306e0,0x6e22016a,0x7d1ab319}},	//   pist, žnik, _hyob, mots, 
   {{0x3949b31a,0x7d1a66af,0xaae70e61,0x25a97d42}},	//   _tuas_, lots, _دستو, twal_, 
   {{0xf8ae0116,0xb8ef0033,0x84470038,0x8627012d}},	// [b430] رکی_, _শত_, مخال, сьве, 
   {{0xfaff0318,0x7d1ab31b,0xf9900038,0x6e222d41}},	//   lië_, nots, _أبي_, _myob, 
   {{0x6724b31c,0xb5fb0038,0x25a9209a,0x69ce00b3}},	//   blij, _meái, swal_, ăieş, 
   {{0x63ae02cd,0xfaff0511,0x7d1ab31d,0x2bb0017d}},	//   _dsbn, nië_, hots, _जनना, 
   {{0xdd86b31e,0x6e227d8f,0x9fa2008c,0xe04500cf}},	//   _تو_, _nyob, _síða_, онли, 
   {{0x7bc5008c,0xa3b6000f,0x7d1a0379,0x4f7900fd}},	//   _áhug, जिश_, jots, ащия_, 
   {{0x6e2202b8,0xdb0b118d,0x2ca53a26,0xe3b31a1c}},	//   _ayob, _esfé, veld_, _عرس_, 
   {{0x2ca55313,0xa3b6185c,0x9fa2003e,0x6e2253a0}},	//   weld_, जिर_, _víða_, _byob, 
   {{0x2ca5b31f,0xfaff15e9,0x7d1a0180,0x6d5b07fc}},	//   teld_, dië_, fots, upua, 
   {{0x6d5b1b78,0x67240372,0x7d1ab320,0x7ced00b9}},	//   rpua, zlij, gots, _múrg, 
   {{0xeb996cc1,0x2ca50e47,0x7ce400a1,0x7ced00f6}},	//   шин_, reld_, _eòro, _lúrg, 
   {{0x628bb321,0xdb040054,0x3f87b322,0x79866f8d}},	//   nggo, _arnò, munu_, tukw, 
   {{0xcdc30467,0x7d1ab323,0xec6e5ae2,0x3f8707fa}},	//   _халқ, bots, _оп_, lunu_, 
   {{0x6d59b324,0x6447024a,0x6f0902be,0x18671a41}},	//   _itwa, _ngji, lnec, жари_, 
   {{0xb9020081,0x67246906,0xfaff018c,0x3f87b325}},	//   _दव_, tlij, bië_, nunu_, 
   {{0x6d43b326,0x6d4b6f09,0x6f090513,0x7c3e3077}},	//   _hina, _kuga, nnec, _úpra, 
   {{0x6d434762,0x6d4bb327,0x67240536,0x95ca02f1}},	// [b440] _kina, _juga, rlij, шлаб_, 
   {{0x672404ab,0x6d4b2992,0x6d43b328,0x2ea6051f}},	//   slij, _muga, _jina, _खस्त, 
   {{0x6d4bb329,0x6d43b32a,0x672400d2,0x389b00c7}},	//   _luga, _mina, plij, _דיינ, 
   {{0xe29ab32b,0xdcfb22ad,0xd25032b7,0x6d43b32c}},	//   рад_, druč, رنت_, _lina, 
   {{0x6d4302ba,0x6f1b031e,0x6d4b012d,0xa5bb0019}},	//   _oina, douc, _nuga, _szóv, 
   {{0x6d43b32d,0xfbc91951,0x99bb0070,0xcbc9031e}},	//   _nina, िमाम, יזנט, िमाञ, 
   {{0x6d594588,0x6d4bb32e,0xa6db01d5,0x44230126}},	//   _atwa, _auga, _miðn, _gyj_, 
   {{0x6d4bb32f,0x6d43b330,0x644700e5,0xdce90704}},	//   _buga, _aina, _zgji, dređ, 
   {{0x6d4b4f7b,0x7d1ab331,0x6d43b332,0xddc900b3}},	//   _cuga, tots, _bina, rbeş, 
   {{0x6d4b1272,0x6d43b333,0x3326003d,0x7d080380}},	//   _duga, _cina, llox_, unds, 
   {{0x6d5902ec,0x7d1ab334,0x6d4bb335,0x7c230156}},	//   _etwa, rots, _euga, _cynr, 
   {{0x2eedb336,0x6d4325f2,0x6f1b0107,0x7d1ab337}},	//   chef_, _eina, couc, sots, 
   {{0xfaff0b1f,0x7d1a0149,0x6d4bb338,0x6e2202b8}},	//   rië_, pots, _guga, _uyob, 
   {{0x6d43b339,0xfaff7b99,0x7d1a0026,0x6f00b33a}},	//   _gina, sië_, qots, limc, 
   {{0x466b02c4,0x6d4b7620,0x7c2300f8,0xd66b05b2}},	//   ирам_, _zuga, _gynr, ијал_, 
   {{0x6d4323eb,0x6d4bb33b,0x290a0a6d,0x6f0000a3}},	//   _zina, _yuga, anba_, nimc, 
   {{0x344b117c,0x3f870761,0x9f52009e,0x6d43b33c}},	// [b450] ачен_, zunu_, îdên_, _yina, 
   {{0xb9a40019,0xe9df03c2,0x612d0679,0x3f870213}},	//   _کمیٹ, scús_, kúla, yunu_, 
   {{0x141900eb,0xa5bb010e,0x612400f6,0x6f00018e}},	//   حياة_, _azót, còli, kimc, 
   {{0x994811b7,0x00000000,0x00000000,0x00000000}},	//   _دلیل_, --, --, --, 
   {{0x6f00015e,0xdce90097,0x6f1b02d9,0x7e6b040b}},	//   dimc, zređ, vouc, _regp, 
   {{0x6d4bb33d,0x463a035c,0xe4a40082,0x7ced0228}},	//   _ruga, _לערע, _орсо, _kúre, 
   {{0x6d43b33e,0x612d0068,0x6b8800a3,0x6d4bb33f}},	//   _rina, gúla, judg, _suga, 
   {{0x6d436171,0xdce902a6,0x6d4bb340,0x53348c57}},	//   _sina, vređ, _puga, _жест, 
   {{0x6f09b341,0x6d433315,0xddcb00e0,0x3f8703c0}},	//   rnec, _pina, _iegū, sunu_, 
   {{0xa3df5a67,0x6f1bb342,0x5c150fc8,0x3b857ffd}},	//   _तथा_, souc, зьму, плог, 
   {{0x6f0002f5,0xdce90eae,0x612d4fff,0xf9890070}},	//   bimc, uređ, cúla, _תר_, 
   {{0x26d909a1,0x6d4bb343,0x6d43b344,0x387a0082}},	//   _noso_, _tuga, _wina, _sdpr_, 
   {{0x6d43b345,0x6d59b346,0xdc3c00e0,0x6d4b06e4}},	//   _tina, _utwa, kšķi, _uuga, 
   {{0xdce911b1,0xe8e100e7,0x612403a1,0x6b88b347}},	//   pređ, _đợt_, tòli, budg, 
   {{0x26d9b348,0xb8e4000c,0xe81f007e,0x3f7700b3}},	//   _boso_, _एफ_, _मुदा_, nău_, 
   {{0x9c7c037f,0x3f51001b,0x2bb0031e,0xe64a4243}},	//   nkčn, _máu_, _जनता, спад_, 
   {{0xe5a311b5,0xb0620080,0x612403dd,0x00000000}},	// [b460] нити, ääkk, sòli, --, 
   {{0xe5230ee8,0x5fbd0662,0x644900ad,0x6fbdb349}},	//   едуп, ्माल, _şeir, ्मां, 
   {{0x68e18040,0x26d9001d,0xa5bb010e,0x6ab600a3}},	//   ölde, _foso_, _szót, _kayf, 
   {{0x7d018614,0x8b560147,0x6f000210,0x00000000}},	//   hils, ליעס_, ximc, --, 
   {{0x6ab624bc,0x7d01b34a,0xa6db003e,0x399600fb}},	//   _mayf, kils, _miðl, næs_, 
   {{0x3f510023,0x612db34b,0x00000000,0x00000000}},	//   _báu_, túla, --, --, 
   {{0x53a300b3,0x3f510108,0x6f00745e,0x26d90118}},	//   _парб, _cáu_, timc, _yoso_, 
   {{0xc7b300a7,0x74c42b69,0x04433d33,0x64620035}},	//   תבה_, राकृ, _чесн, świę, 
   {{0x2167b34c,0x612d17ad,0x6f00b19a,0x3eb90054}},	//   _нити_, súla, rimc, ôsta_, 
   {{0x3b5402c0,0x7d01b34d,0x61e2b34e,0x00000000}},	//   мкор, gils, myol, --, 
   {{0x61e20539,0x3f7700b3,0x60c80566,0x00000000}},	//   lyol, cău_, _indm, --, 
   {{0x6b8802c9,0x9f040e0e,0x00000000,0x00000000}},	//   rudg, _کوچو, --, --, 
   {{0x61e2b34f,0x7d01b350,0xa3b308d2,0x26d9b351}},	//   nyol, bils, _जैन_, _roso_, 
   {{0x7d5700a7,0x26d90180,0x00000000,0x00000000}},	//   _ציוד_, _soso_, --, --, 
   {{0xb8f5000f,0x26d9137c,0x57a4b352,0x60dab353}},	//   _सच_, _poso_, ншта, _motm, 
   {{0xd6d8b354,0xf770010e,0x26d9084c,0x6ab600b4}},	//   пту_, طاف_, _qoso_, _gayf, 
   {{0xf65023e6,0x7aedb355,0xcb4402f1,0x26d903da}},	// [b470] ائف_, _ilat, _яхши, _voso_, 
   {{0x7aed07d7,0xa5bb419b,0xfe7900d8,0x61e2b356}},	//   _hlat, _szós, vkům_, dyol, 
   {{0x9295012d,0xa77400b3,0x0edc00c9,0xa3e70249}},	//   даец, _плэч, _बवंड, मैं_, 
   {{0x60c80077,0x629e0019,0x0ca9021a,0xd0470248}},	//   _andm, őpon, _कस्म, ələl, 
   {{0x3f51b357,0x60da5c1d,0x20d5004f,0x7d0125e7}},	//   _sáu_, _botm, дійс, yils, 
   {{0x7aedb358,0x7ced03dd,0x10a23f74,0xaa7b00de}},	//   _llat, _múrc, вишн, dkým, 
   {{0x60da01a7,0x7d01b359,0x7aed01f1,0x2d84001d}},	//   _dotm, vils, _olat, erme_, 
   {{0x7aed011c,0x3f77020f,0x00000000,0x00000000}},	//   _nlat, rău_, --, --, 
   {{0x7d01b35a,0x44310308,0xbeed0c46,0x00000000}},	//   tils, _hzz_, _जतीन_, --, 
   {{0x7aedb35b,0x6ab60792,0xdd8e009c,0x60da02a5}},	//   _alat, _sayf, گوی_, _gotm, 
   {{0x2d84764b,0xa3b600ab,0x7d012108,0xdb0b001d}},	//   arme_, जिए_, rils, _esfí, 
   {{0x7aedb35c,0x7d01b35d,0xdd8e009c,0x44310604}},	//   _clat, sils, دوی_, _mzz_, 
   {{0xe8160081,0x80b400ab,0xaa7b026e,0x7aed00ab}},	//   _दुजा_, _इसमे, ckým, _dlat, 
   {{0x7aedb35e,0xdcfb00e0,0x6da2286c,0x39960566}},	//   _elat, bruā, _риша, ræs_, 
   {{0x7aedb35f,0x6ab606a2,0x443102eb,0x00000000}},	//   _flat, _tayf, _nzz_, --, 
   {{0x47f400b9,0x00000000,0x00000000,0x00000000}},	//   дүүр, --, --, --, 
   {{0x2903b360,0xcb130056,0xe57a3e1a,0xa5bb0019}},	// [b480] bija_, _שלח_, юза_, _szór, 
   {{0x7aed5ef6,0x61e2b361,0x00000000,0x00000000}},	//   _zlat, vyol, --, --, 
   {{0xa6db003e,0x00000000,0x00000000,0x00000000}},	//   _miðj, --, --, --, 
   {{0x60dab362,0x05000033,0x4431016c,0xfbb00ed5}},	//   _sotm, ্তের_, _dzz_, _जनसम, 
   {{0x6fc00081,0x4431b363,0x7bd5020b,0x00000000}},	//   विभू, _ezz_, äzuj, --, 
   {{0x61e2b364,0xd2590237,0x00000000,0x00000000}},	//   ryol, _efņ_, --, --, 
   {{0xe2aa2ea7,0x61e25492,0x00000000,0x00000000}},	//   _وارن_, syol, --, --, 
   {{0x3f80012d,0x877b0070,0x61e2044d,0xaa7b0032}},	//   čiu_, קאפי, pyol, tkým, 
   {{0xa3b6048e,0x645900ab,0x0caa2af4,0xa6db003e}},	//   जिक_, świe, отни_, _biðj, 
   {{0x29030405,0x7ce405d5,0x8c3c0241,0x008341e3}},	//   xija_, _kòri, leği, _алфо, 
   {{0xa2c3009a,0xaa7b11bb,0x00000000,0x00000000}},	//   ळाच्, ským, --, --, 
   {{0x8c3c01f0,0x2903b365,0x00000000,0x00000000}},	//   neği, wija_, --, --, 
   {{0xf2d307f5,0x7aed0112,0x7ce400f6,0x00000000}},	//   דער_, _vlat, _lòri, --, 
   {{0xa6db003e,0xddd9010c,0x3cf7007a,0x00000000}},	//   _viðm, _hewş, _يعود_, --, 
   {{0xd6db1504,0x7aedb366,0x3cf9024a,0x7ce400f6}},	//   ота_, _tlat, ësve_, _nòri, 
   {{0x2cacb367,0x7aed00b0,0xf5e701fc,0x98a401dd}},	//   ledd_, _ulat, мізм, ēmā_, 
   {{0x2cac02bf,0x0577009c,0xa535666f,0x7e7d09c6}},	// [b490] oedd_, بازد, енач, óspi, 
   {{0x2cac0156,0x7ce400f6,0x29030034,0xcd9700d1}},	//   nedd_, _bòri, qija_, ודמת_, 
   {{0x3a290175,0xb5fb0534,0x00000000,0x00000000}},	//   _hyap_, _ceár, --, --, 
   {{0x5215005e,0x2cac02bf,0xc6a702f1,0x7ce4202a}},	//   ндет, hedd_, _ўрни, _dòri, 
   {{0x865a0056,0x216948f2,0xb65a008d,0x29010096}},	//   _מדרי, чили_, _מדרש, _kmha_, 
   {{0x2cac004f,0xa29f072d,0x6ea100bc,0x1fb58774}},	//   jedd_, _गॉर्, क्नु, есир, 
   {{0xf1b9014b,0x8c3c027e,0x2cac00f8,0xdfd1029a}},	//   _myši_, beği, dedd_, ايع_, 
   {{0x8c3c0c05,0xb4db03a1,0x680e039f,0x00000000}},	//   ceği, _guàr, lődé, --, 
   {{0x2cac00f8,0x3a2900b9,0xc1050038,0x00000000}},	//   fedd_, _nyap_, _كوري, --, 
   {{0x0d8202f3,0x8d28004e,0xdb0bb368,0xbc19004e}},	//   ыльн, мның_, _erfü, зімі_, 
   {{0xab2a19aa,0x7ced00eb,0x00000000,0x00000000}},	//   зона_, _cúra, --, --, 
   {{0xf4120070,0x7ced007a,0xc4dc0e07,0x63b80566}},	//   רפט_, _dúra, _मक्ख, ævni, 
   {{0x3eadb369,0xc332042c,0x690902fe,0x2cacb36a}},	//   meet_, טוט_, džeb, bedd_, 
   {{0xdce90bad,0x3ead2541,0x26cbb36b,0x80bf0033}},	//   dseć, leet_, _anco_, ্সক্, 
   {{0x07a30c67,0x68e101d5,0xe73a3a47,0x00000000}},	//   ларн, ölda, зев_, --, 
   {{0x3ead030f,0x224d5ef0,0x29010175,0x2b490108}},	//   neet_, _ngek_, _emha_, _giac_, 
   {{0x6aa40610,0xd5af010e,0x7ce400f6,0x6ea11a21}},	// [b4a0] _ibif, یفہ_, _sòri, क्यु, 
   {{0x05000086,0x224d011c,0x3eadb36c,0x395f0042}},	//   ্ত্র_, _agek_, heet_, íuse_, 
   {{0x66e6b36d,0x3ead0341,0x69c40032,0x490111ec}},	//   _зона, keet_, _hrie, _түрг, 
   {{0x69c4b36e,0x3ead00c8,0xdb190098,0x14c90249}},	//   _krie, jeet_, _krvá, राउण, 
   {{0xddd9078a,0x672600fc,0xf12615a7,0x8c3c027e}},	//   _rewş, _ikkj, нько, reği, 
   {{0x656400a9,0xdfda01a2,0xab68008a,0x69c424df}},	//   mpih, зъи_, _heżż, _mrie, 
   {{0x3eadb36f,0x65640102,0x6aa402a5,0xba3b00b9}},	//   feet_, lpih, _obif, leït, 
   {{0x539b00a7,0x2cac02bf,0x81af0086,0x3ead040b}},	//   _מילו, wedd_, _ওপর_, geet_, 
   {{0x10a6226b,0x3f8700d2,0xdce20a1a,0xcd061b85}},	//   _пиан, arnu_, _svođ, ечни, 
   {{0x559707f5,0x7e760bfc,0x3f87044e,0x9b5803b7}},	//   עדיע_, _šapć, brnu_, миот_, 
   {{0x2cac045d,0xe1ff003e,0x3eadb370,0xdb0b0d57}},	//   redd_, _þór_, beet_, _asfá, 
   {{0x2cac045d,0xa6db008c,0x3952b371,0x290406df}},	//   sedd_, _viðk, _buys_, èman_, 
   {{0xfce634e9,0x2b492e19,0x645cb372,0x7fb300ad}},	//   _подо, _viac_, _ofri, _rəqə, 
   {{0x6aa40547,0x69c4ae00,0x65640604,0x7d060106}},	//   _ebif, _drie, dpih, _dérè, 
   {{0x628002f5,0xdce2003a,0x8ccd1d11,0x69c4b373}},	//   _odmo, _uvođ, तारो, _erie, 
   {{0x645cb374,0x69c40056,0x6d4ab375,0x644e0102}},	//   _afri, _frie, _hifa, _agbi, 
   {{0x6d4ab376,0x65640495,0x644e008a,0x3952b377}},	// [b4b0] _kifa, gpih, _bgbi, _guys_, 
   {{0x2901b378,0x3f8eb379,0x6abd8094,0x799d006d}},	//   _umha_, kufu_, ldsf, mtsw, 
   {{0x6d4a576e,0xa6db008c,0x799d3e65,0x9d1b00d1}},	//   _mifa, _liði, ltsw, לומט, 
   {{0x6abd4efc,0xf6790137,0x877a008d,0x6d4ab37a}},	//   ndsf, _קאָמ, _קארי, _lifa, 
   {{0x799d0364,0x645c02bf,0x6abd6c98,0x7c2a00f8}},	//   ntsw, _ffri, idsf, _lyfr, 
   {{0x6d4a576e,0x672db37b,0x91e26192,0x3ead0876}},	//   _nifa, llaj, роше, weet_, 
   {{0x3ead1066,0x6fb200eb,0x02a700e4,0x3f8e0199}},	//   teet_, لموا, _прам, gufu_, 
   {{0x672db37c,0xb4ac034d,0x8d590028,0x6abd02c9}},	//   nlaj, कड़ी_, мшот_, jdsf, 
   {{0x6d4ab37d,0x3eadb37e,0x7bdc01c4,0x3f8700ef}},	//   _bifa, reet_, ärun, srnu_, 
   {{0x2d8306e0,0x82340084,0x7bc300ef,0x3ead32b9}},	//   čje_, _إرفا, _prnu, seet_, 
   {{0x7c2a02f0,0x6d4ab37f,0x672db380,0x69c4140a}},	//   _cyfr, _difa, klaj, _srie, 
   {{0x69c4b381,0x29110141,0x2a7212ed,0x7c2a00f8}},	//   _prie, enza_, _qeyb_, _dyfr, 
   {{0x6d4a05f0,0x2d8d0660,0x7e690532,0x69c4008a}},	//   _fifa, quee_, mbep, _qrie, 
   {{0x69c41f3a,0x6d4a0610,0x79570240,0x765d1d72}},	//   _vrie, _gifa, тиёр_, _afsy, 
   {{0x7c2a02bf,0xf09200a7,0x81d70086,0xa6960267}},	//   _gyfr, ינם_, ানি_, крај, 
   {{0x2911b382,0x6d4a23ea,0x799d006d,0xa2c1031e}},	//   anza_, _zifa, btsw, _रोल्, 
   {{0x7afd0034,0x657d0175,0x6d4a0610,0x7bc101d2}},	// [b4c0] ërte, _cvsh, _yifa, lvlu, 
   {{0x81d700cc,0x7ce400d3,0x25b20691,0x6564b383}},	//   ানা_, _fòru, rwyl_, rpih, 
   {{0x672db384,0xe29a4980,0x1fbd0035,0x25b200f8}},	//   blaj, дае_, ्मोड, swyl_, 
   {{0x672d05b9,0x3f8e00ef,0x6d46014b,0x14170038}},	//   claj, vufu_, íkaz, خيمة_, 
   {{0xd6c5004e,0x645900ab,0x14c908b3,0xa3b600bc}},	//   _сияқ, świa, राखण, जिङ_, 
   {{0x28d5673f,0x645c00fb,0xa3b34261,0x7e6908a3}},	//   दायि, _ufri, _जैव_, ebep, 
   {{0xdfd000eb,0xc29a0267,0x7e6908b0,0xdefa54c7}},	//   صية_, _отац_, fbep, дып_, 
   {{0x6d4ab385,0x3f8e0010,0x7c3e0032,0x7bc10ff2}},	//   _sifa, rufu_, _úpri, dvlu, 
   {{0x6d4a0180,0x3f8eb386,0xaad600bc,0x9fc80176}},	//   _pifa, sufu_, धानक, _ӯҳда_, 
   {{0x799d006d,0x5cc62f56,0x7bdc1279,0x00000000}},	//   vtsw, тсиз, äruo, --, 
   {{0x6d4a0010,0x7bc1b387,0x00000000,0x00000000}},	//   _vifa, gvlu, --, --, 
   {{0xb69b00d9,0x7ce400b9,0x3be600d3,0x3f580175}},	//   _amân, _aòrt, елүү_, _iéu_, 
   {{0x6d4ab388,0x6abd0430,0x3ea601ff,0x00000000}},	//   _tifa, rdsf, _ibot_, --, 
   {{0xdb0b003e,0x6f07011c,0x6d4a018e,0xac18b389}},	//   _erfð, _tèbè, _uifa, _полу_, 
   {{0x799d006d,0xa6db008c,0x7ce401f5,0x7ced00da}},	//   stsw, _miðv, _dòrt, _zúro, 
   {{0x6609008c,0xab833377,0x1db60299,0x7cf60474}},	//   _þekk, _тушк, _अनात, _bârg, 
   {{0x672db38a,0x06c50086,0x3ea6011c,0x7cf6020f}},	// [b4d0] rlaj, _একদি, _mbot_, _vârf, 
   {{0x7d0800ef,0x04f40eba,0x672db38b,0x387800a1}},	//   nids, азую, slaj, carr_, 
   {{0xd2511feb,0x6ef51d40,0xa3b300b0,0x672db38c}},	//   منا_, _hábe, _जैश_, plaj, 
   {{0x7d08b38d,0xaad600a5,0x2498012b,0x657d019b}},	//   hids, धायक, _ecrm_, _tvsh, 
   {{0x4aa51ff6,0xf99f0cd7,0x656f0156,0x7ced020b}},	//   ग्यव, ntè_, _uwch, _búrl, 
   {{0x3ea6b38e,0x6e2b00f8,0xf0750019,0x7ce400a1}},	//   _abot_, _rygb, ایاں_, _mòrs, 
   {{0x3f580165,0x63b802c9,0x4ac3009a,0x7ced2f09}},	//   _céu_, ævnt, षयाव, _súro, 
   {{0xf8380056,0xf99f0cd7,0x3f5803a1,0xa2ca009a}},	//   כנות_, ktè_, _déu_, _सोप्, 
   {{0x7bc1006d,0x7e692da7,0x52150080,0x00000000}},	//   wvlu, rbep, _сдат, --, 
   {{0xee36b38f,0x3f5803dd,0x61e400c8,0x7bc1000b}},	//   ыны_, _féu_, äile, tvlu, 
   {{0xd120007e,0xfc0500db,0xe81f00c2,0x67242c6c}},	//   मकरण_, упно, _मँगा_, yoij, 
   {{0x94070095,0xa3b600a5,0x224904a1,0x6a8603fd}},	//   ünə_, ड़ित_, žaku_, ылма, 
   {{0x6f0900ab,0x5ca500d3,0x3878b390,0xdca5b391}},	//   miec, _билб, tarr_, _бали, 
   {{0x6f0900e0,0xf1b902fe,0xa6db003e,0x394c02ae}},	//   liec, _msš_, _miðu, öds_, 
   {{0xa6db01d5,0xdc9a07e4,0x9d1a0486,0x7ce400b9}},	//   _liðu, _ניקל, _אוסט, _vòrt, 
   {{0xb8eb000f,0x6f09b392,0x3ebfb393,0x6d4100a3}},	//   _रो_, niec, ndut_, lmla, 
   {{0xa6db010d,0x80b30394,0x2d9fac07,0x2498020f}},	// [b4e0] _niðu, ंजाइ, ntue_, _pcrm_, 
   {{0x69096f18,0x00000000,0x00000000,0x00000000}},	//   lžen, --, --, --, 
   {{0x389b07f5,0x37e61dbc,0x6f092c02,0x290a002c}},	//   _איינ, _сонг, kiec, miba_, 
   {{0x290a39dc,0x7cf600d9,0x3f5802aa,0xa6db01d5}},	//   liba_, _târg, _réu_, _biðu, 
   {{0x281300c5,0xc05a02fb,0x3f58008c,0x6f09b394}},	//   _نویس, ній_, _séu_, diec, 
   {{0x290ab395,0xe5a302a6,0xb4041ab1,0x00000000}},	//   niba_, _ћири, _күзд, --, 
   {{0x6d5db396,0x7d08b397,0x6d4107d1,0xa6db01d5}},	//   ísan, vids, dmla, _viðv, 
   {{0x2d8294e7,0x660902fe,0x7176009c,0x3dc6b398}},	//   škem_, _žeki, _مهرا, _prow_, 
   {{0x7d080533,0x69090ab4,0x290ab399,0x6ce600f0}},	//   tids, džen, kiba_, гіне, 
   {{0x8f7602fb,0xdce90187,0x3dc6019c,0x61460104}},	//   _буді, ateľ, _vrow_, _сеза, 
   {{0x6f09b39a,0x7d08098d,0x290ab39b,0x6ef50042}},	//   biec, rids, diba_, _sábe, 
   {{0xa2ca119b,0xaa9502f1,0x6f090035,0x3dc60026}},	//   _सोम्, шимч, ciec, _trow_, 
   {{0x7d08b39c,0x588702f3,0x26c002bf,0xf1c70c14}},	//   pids, лыва, ddio_, लियन, 
   {{0x7faa06d0,0x25a001cc,0x5d8300eb,0xac9700eb}},	//   _təqd, dtil_, _الول, _منها_, 
   {{0xd7f8030f,0xf99f4ef0,0x948700f0,0x00000000}},	//   гут_, stè_, ғызд, --, 
   {{0xa4ff000c,0x00000000,0x00000000,0x00000000}},	//   ोच्च_, --, --, --, 
   {{0x65950fcc,0x4438b39d,0x290ab39e,0xe664390c}},	// [b4f0] разу, _azr_, biba_, стсо, 
   {{0x647403dd,0x290ab39f,0x753c0035,0x6f090083}},	//   йгуу, ciba_, _chrz, ziec, 
   {{0x3255b3a0,0x399f0216,0x29d80032,0x67d51e70}},	//   авер, lîs_, ržať_, _тону, 
   {{0xd6db440b,0x6595012d,0x6d4100a3,0x00000000}},	//   _что_, _каму, zmla, --, 
   {{0x25a06146,0x6d41040c,0x867a00d1,0x6abf01f2}},	//   ctil_, ymla, _שרשו, _maqf, 
   {{0x6f0900ab,0xa294004e,0xa6db008c,0xc05b00dd}},	//   wiec, _қауі, _viðu, хід_, 
   {{0x6f09002a,0x7fd5004e,0x3ebf012b,0x64580242}},	//   tiec, рілі, tdut_, žvic, 
   {{0x290a9fcb,0x2d9fb3a1,0x225fb3a2,0x00000000}},	//   ziba_, ttue_, _ufuk_, --, 
   {{0x3ebf8023,0xf1ca014b,0xa1595a02,0xee39b3a3}},	//   rdut_, _pláž_, _разу_, ъни_, 
   {{0x6f090156,0xdce90032,0x26c00372,0x7ced00b9}},	//   siec, steľ, zdio_, _túrm, 
   {{0xd0111fe8,0x6f09002a,0x6d41b3a4,0x2fd90491}},	//   _بلا_, piec, rmla, _جواد_, 
   {{0x6d4100a3,0x690900bc,0x1f5a00d1,0x25a00098}},	//   smla, užen, _סדנא, ytil_, 
   {{0x290ab3a5,0x0d6700c8,0x69094551,0xa6db003e}},	//   tiba_, _съем, ržen, _liðs, 
   {{0x8c454985,0x7e7b0730,0x2ca700e7,0x6d5b0210}},	//   _келе, laup, _ubnd_, mqua, 
   {{0x61eb008c,0x2f1a0243,0x7ce401be,0x6d5b02eb}},	//   hygl, līga_, _tòrr, lqua, 
   {{0x09e647c7,0x26c0b3a6,0x290ab3a7,0x78be0023}},	//   _воин, udio_, siba_, _wapv, 
   {{0x6d5bb3a8,0x44380082,0x2f1a0243,0xe8faaa86}},	// [b500] nqua, _szr_, nīga_, _алп_, 
   {{0x69090076,0x7ae42ca3,0x25a066cc,0xb97b02a1}},	//   nžel, _hoit, rtil_, _שניי, 
   {{0x25a0b3a9,0x7e7b0080,0x4ada340f,0x46a60009}},	//   stil_, kaup, _बचाव, _канв, 
   {{0x82a6012d,0x7ae40088,0x877b0070,0x25a0b3aa}},	//   радж, _joit, _באטי, ptil_, 
   {{0x7ae4b3ab,0x41b6032e,0x4426006a,0xe2970978}},	//   _moit, рсет, ło_, рач_, 
   {{0x7ae409a1,0xb1140086,0x6b5e01dd,0x7af60156}},	//   _loit, িত্ব_, _līga, _llyt, 
   {{0xd00f00b1,0xa2c100bc,0x69099593,0x44380208}},	//   وله_, _रोक्, džel, _uzr_, 
   {{0x2d8d3712,0x7ae4b3ac,0x7e7bb3ad,0x3da60009}},	//   free_, _noit, gaup, ароб, 
   {{0x50b6004f,0x2d8db3ae,0x31640604,0x114a0259}},	//   _всеу, gree_, _utmz_, _апай_, 
   {{0x7af6012d,0x399f009e,0x7cf6b3af,0x9ce600d9}},	//   _alyt, vîs_, _sârb, рцил, 
   {{0x7ae4b3b0,0xdeef656f,0x8c360176,0x00000000}},	//   _boit, _ды_, ронӣ_, --, 
   {{0x6da67a76,0x7ae4006e,0x6d5b006d,0x7ce401c5}},	//   _вида, _coit, bqua, _eòrp, 
   {{0x4efb035c,0x7ae401d6,0x7cf6020f,0x2f1a0243}},	//   _בלאג, _doit, _cârc, cīga_, 
   {{0x399f009e,0xa6db01d5,0xac570240,0x6abf007b}},	//   rîs_, _niðr, _кашф_, _waqf, 
   {{0x7af60c17,0xc7c40fa7,0x7c38003a,0x9a873a36}},	//   _flyt, ости, _uzvr, _купл, 
   {{0x7ae401ca,0x66f400d3,0xddc90474,0x3a75543d}},	//   _goit, опсу, nceş, _улир, 
   {{0x63bc01ff,0xa2ca00bc,0xc639017b,0x00000000}},	// [b510] _asrn, _सोध्, упає_, --, 
   {{0x629b0141,0x0467b3b1,0x24f800f0,0x98b919b1}},	//   _scuo, ртам, ануы_, _слот_, 
   {{0x613600d9,0xd6d100eb,0x2d8d0065,0x53470104}},	//   tâln, _فقد_, zree_, ахда, 
   {{0xa6db010d,0x63bc1d21,0xb2871628,0xc6a77b35}},	//   _viðs, _dsrn, рыжк, _трои, 
   {{0x68e5030f,0x6584021f,0x6eee00a1,0xf9940070}},	//   _kohd, _мырз, _iùbh, ַרק_, 
   {{0x68e500c8,0x61eb0156,0x6d5d033c,0x92d70033}},	//   _johd, rygl, ísam, িসে_, 
   {{0xa3bb000d,0x68e500e2,0x7e7b2ea3,0x213e01be}},	//   _अनि_, _mohd, taup, _dhth_, 
   {{0x2d8d018c,0x381800a7,0x2bb01d5b,0x2d95b3b2}},	//   tree_, יקום_, _जनजा, брос, 
   {{0x6b5e002a,0x6ef5001d,0x7e7bb3b3,0x7ae40354}},	//   _rīga, _cába, raup, _roit, 
   {{0x7ae4b3b4,0x6d5bb3b5,0x6ef50068,0x4431012b}},	//   _soit, rqua, _dába, _kyz_, 
   {{0x6909012d,0x6d5bb3b6,0x7ae40883,0x60c10183}},	//   ržel, squa, _poit, _ialm, 
   {{0x60c1b3b7,0xdce000e0,0x3d95b3b8,0xa96a277b}},	//   _halm, rpmā, _гидр, лима_, 
   {{0x7ae4b3b9,0x60c1b3ba,0x333f0529,0x78a99443}},	//   _voit, _kalm, _mhux_, đevn, 
   {{0x60c120ca,0xeb998101,0x612d0068,0x7ae4019b}},	//   _jalm, _бик_, cúlt, _woit, 
   {{0xbb85057f,0x60c1b3bb,0x6ef50076,0x6d59b3bc}},	//   _البي, _malm, _zába, _huwa, 
   {{0x6d59b3bd,0xfb860274,0x6eee01be,0xaa7b003e}},	//   _kuwa, _ادوی, _cùbh, skýr, 
   {{0xe737620e,0x7faa06d0,0x6d59167c,0xbd020107}},	// [b520] сет_, _məqa, _juwa, _àécr, 
   {{0x6d592b3d,0x00000000,0x00000000,0x00000000}},	//   _muwa, --, --, --, 
   {{0x8ca92414,0x6d592f22,0xcc7a00c7,0x7ced00b9}},	//   ज्यो, _luwa, רװער, _cúri, 
   {{0x6455b3be,0xe5a69080,0x918600eb,0xe1fa03fd}},	//   _egzi, _лими, مجتم, лге_, 
   {{0x26c202f5,0x2b400094,0x4a9b035c,0xfbc7009c}},	//   _iako_, _mhic_, רינג, _کت_, 
   {{0xa50a0d61,0x863700a7,0x7cedb3bf,0x26c2018e}},	//   _сега_, _לרכב_, _fúri, _hako_, 
   {{0x60c11a35,0x6ef50b85,0x68e10c87,0x9c7c00ca}},	//   _dalm, _sába, öldi, njče, 
   {{0x26c2b3c0,0x6d59b3c1,0x76400098,0x232a0d3d}},	//   _jako_, _buwa, _úmys, _соби_, 
   {{0x26c28ad0,0x6d59023e,0x2dda0038,0xd18600d3}},	//   _mako_, _cuwa, ابعة_, _ылай, 
   {{0x6d59b3c2,0x2d8a4699,0x2d8b2888,0x387a86d0}},	//   _duwa, čbe_, ácea_, _nepr_, 
   {{0x7afd024a,0x6d59002c,0x29180054,0x68e50657}},	//   ërto, _euwa, dnra_, _rohd, 
   {{0x26c2b3c3,0x6d5907d7,0x612d0183,0xdee30176}},	//   _nako_, _fuwa, súlt, _нохи, 
   {{0x68e50080,0x00000000,0x00000000,0x00000000}},	//   _pohd, --, --, --, 
   {{0xa2d500a2,0x2ee6018c,0x26c2b3c4,0x1958001c}},	//   णाऱ्, _hoof_, _aako_, сары_, 
   {{0x6e3c0270,0x26c2b3c5,0x78b5b3c6,0x6d594f30}},	//   ərba, _bako_, rezv, _zuwa, 
   {{0xdce000e0,0xceb900bc,0x2c4e00ad,0x6d59011c}},	//   ksmī, toři_, məd_, _yuwa, 
   {{0x26c2b3c7,0x69090864,0x26c700bc,0x6aad0610}},	// [b530] _dako_, nžek, ěno_, _ibaf, 
   {{0x89dc00d1,0x2ee60326,0x26c201cf,0xe415012d}},	//   _תחזי, _loof_, _eako_, одзь, 
   {{0x26c201a7,0x2c4e00ad,0xaadd00ae,0x7f5a00a3}},	//   _fako_, nəd_, यापक, _nutq, 
   {{0x81bd0033,0x60c118c4,0x69cd2f21,0x26c24b19}},	//   ইমস_, _salm, _krae, _gako_, 
   {{0x99480296,0x6aad0b3a,0x7faa0248,0x00000000}},	//   _خلیل_, _mbaf, _rəqa, --, 
   {{0x656db3c8,0x60c10095,0x6d59b3c9,0x26c20053}},	//   mpah, _qalm, _ruwa, _zako_, 
   {{0x60c1b3ca,0x26c2086d,0x6d59b3cb,0x439400cf}},	//   _valm, _yako_, _suwa, _нарс, 
   {{0xa3ae0077,0x7d0a00a1,0x6d590daa,0x228400b9}},	//   _कहत_, _amfs, _puwa, _нууг, 
   {{0x60c1b3cc,0x4add00c9,0x30a7b3cd,0x656db3ce}},	//   _talm, यानव, _грев, npah, 
   {{0x6aad01ae,0x5ba93c93,0x63a5192d,0x7d090267}},	//   _abaf, аком_, othn, рног_, 
   {{0x656d0089,0x6aad28e5,0x2f1a01dd,0x7faa0248}},	//   hpah, _bbaf, cīgo_, _təqa, 
   {{0x6d597b44,0x63a50a92,0x69cdb3cf,0x2b830095}},	//   _tuwa, ithn, _brae, rıc_, 
   {{0xabd7006b,0x26c2b3d0,0x6ef5010e,0x6f0b0354}},	//   _گزشت, _rako_, _hábo, _imgc, 
   {{0x26c2012d,0x672f00ab,0x69cd19ed,0x6aad01b8}},	//   _sako_, _akcj, _drae, _ebaf, 
   {{0x69cdb3d1,0x7cc400d7,0x7afd01be,0x00000000}},	//   _erae, _رزوم, bhst, --, 
   {{0x7afd02ec,0x1b180033,0x3a2000b4,0xdb02011c}},	//   chst, _ধীরে_, _txip_, ktlé, 
   {{0x69cdb3d2,0xe5a37f36,0x26c2b3d3,0x656d2a85}},	// [b540] _grae, мити, _vako_, gpah, 
   {{0x26c206c3,0xe577b3d4,0x6289025b,0x00000000}},	//   _wako_, юзу_, _adeo, --, 
   {{0x6ef5026e,0x6efc026a,0xe3bab3d5,0x80dd00bc}},	//   _nábo, _hébe, рбе_, पाने, 
   {{0xaadd00bc,0x68e1b3d6,0x81b30033,0x8c1a00df}},	//   यायक, öldv, টিন_, בועי, 
   {{0xdce2044e,0x63a500eb,0x2c4e00ad,0x2ee6b3d7}},	//   _stoč, athn, zəd_, _roof_, 
   {{0xc5f30056,0x6ef52c26,0x6efc10fd,0x67361279}},	//   _חדש_, _bábo, _mébe, llyj, 
   {{0x4acaa307,0xa3ae00b0,0xaadd0586,0xaaca0484}},	//   ियाव, _कहि_, यामक, ियाक, 
   {{0xddaa167d,0x9ed800b3,0x2f1a0243,0x7cf60474}},	//   атол_, смит_, rīgo_, _cârn, 
   {{0x527502c0,0xe0da1b3d,0xf26700d9,0x63800354}},	//   _хусу, _ква_, _фиул_, _fáná, 
   {{0xa3ae0da6,0xbc4a52b9,0x6ef50126,0x504600b3}},	//   _कहा_, ичне_, _hábl, _дезб, 
   {{0x3ce700ef,0xdce20112,0x6ef58ef0,0x7d1d0212}},	//   _donv_, _utoč, _kábl, éssa, 
   {{0x69cdb3d8,0xeb0702fb,0x6efc17e1,0x00000000}},	//   _prae, ічно, _bébe, --, 
   {{0x9e6500d4,0xad5a00c8,0xddc3049b,0x6ef500da}},	//   _رانن, _трех_, _обци, _zábo, 
   {{0x6efc0496,0x69cd0326,0x63a500f8,0xd90f0eb7}},	//   _débe, _vrae, ythn, ئید_, 
   {{0xb9030fcf,0x36d53b43,0x6d48b3d9,0x00000000}},	//   _नच_, повр, mmda, --, 
   {{0x69cd51e3,0xd6d89b04,0xae1e1615,0x656db3ce}},	//   _trae, оту_, _बखान_, tpah, 
   {{0x2d8400f4,0x7d1a0180,0x61e400c8,0xe80b0d2e}},	// [b550] nsme_, onts, äill, _हेरा_, 
   {{0x656d02cd,0x2d84b3da,0x888300d4,0x39140259}},	//   rpah, isme_, _زیرن, _омыр, 
   {{0x29114dcd,0x656db3db,0x7d1ab20d,0x68e1003e}},	//   miza_, spah, ints, öldu, 
   {{0x0cb704d7,0x63a502bf,0x2d8400e0,0x248a023a}},	//   _अस्म, rthn, ksme_, _edbm_, 
   {{0x2d8400d8,0x6d480248,0x1a9c0070,0x672d130a}},	//   jsme_, kmda, שידע, moaj, 
   {{0x29111b7a,0x7d1a0201,0xf8cb00c9,0xdcfb01dd}},	//   niza_, jnts, ायिय, ksuā, 
   {{0xa3b8022a,0x00000000,0x00000000,0x00000000}},	//   _وافر_, --, --, --, 
   {{0x2d955524,0x7d1a014b,0x2911b3dc,0x2d8b0068}},	//   прос, ents, hiza_, áceo_, 
   {{0x2911b3dd,0xfaff00e5,0x00000000,0x00000000}},	//   kiza_, dhë_, --, --, 
   {{0xeb9902a6,0x29110548,0x7cff009e,0x6ef500da}},	//   био_, jiza_, _mêrg, _zábl, 
   {{0xca29956b,0x2911033c,0x2d84b3de,0xc10420b4}},	//   _עם_, diza_, asme_, _تولي, 
   {{0x7d1a0180,0xdb04055f,0x28de52c2,0x7cf6107c}},	//   ants, _opnå, माभि, _hârl, 
   {{0x291102fe,0x7d1a006d,0xae5a00d1,0x00000000}},	//   fiza_, bnts, _הכנר, --, 
   {{0x186703dc,0x29119eed,0xccc4004f,0x291e01a4}},	//   зари_, giza_, _обій, õta_, 
   {{0x7faa0095,0x6d43567f,0x00000000,0x00000000}},	//   _nəql, _ihna, --, --, 
   {{0x056600a6,0x66e312e1,0x6f1bb3df,0x15ba03fd}},	//   зван, носа, nnuc, йызы_, 
   {{0x29110579,0x28ba0a10,0x8afb00d1,0x69c00241}},	// [b560] biza_, _лунэ_, _להקי, çmed, 
   {{0x2911b3e0,0x7ced0679,0x00000000,0x00000000}},	//   ciza_, _túru, --, --, 
   {{0x9c7cb3e1,0xd33600e4,0x672d0054,0x7986020f}},	//   njča, пэды, boaj, lskw, 
   {{0xe29ab3e2,0x2d84b3e3,0xdce90604,0xdcfb1305}},	//   сад_, ysme_, dpeč, yruğ, 
   {{0x5ee10086,0x7cf6020f,0x00000000,0x00000000}},	//   বসাই, _bârl, --, --, 
   {{0x7f4201ee,0x66040927,0xfaff0034,0x6eee00a1}},	//   _shoq, mzik, zhë_, _lùbt, 
   {{0xd0100084,0x7f42b3e4,0x6ef51666,0x7d1a006d}},	//   ضلة_, _phoq, _tábl, vnts, 
   {{0x7f420026,0xe2f80019,0x29115fdd,0x2d8400c2}},	//   _qhoq, _بورڈ_, ziza_, tsme_, 
   {{0x20569f18,0x9cca001c,0x3cfe2352,0x66047517}},	//   _етер, бына_, thtv_, nzik, 
   {{0x6d43b2e4,0x7d1a00b4,0x7986064e,0x66046973}},	//   _chna, unts, dskw, izik, 
   {{0xfaff01ee,0x7d1a0be0,0x6d48b3e5,0x00000000}},	//   thë_, rnts, rmda, --, 
   {{0x23be031e,0xf7730019,0x7d1ab3e6,0x291102b8}},	//   _můj_, ہار_, snts, wiza_, 
   {{0xdd8f03b1,0x29112141,0x7ced00eb,0xa5bb0068}},	//   _مون_, tiza_, _cúrs, _axón, 
   {{0xfaff00e5,0x66040727,0x7bdc007e,0xc2fa0086}},	//   shë_, dzik, ärus, েকটি_, 
   {{0x368bb3e7,0x291174aa,0x8ca107d5,0x9b6a1103}},	//   йсан_, riza_, _खातो, _ушла_, 
   {{0xb8f4036e,0x2911afb2,0x70b92a97,0x8c1b07e4}},	//   _सो_, siza_, _इस्ल, _לווי, 
   {{0xdce908d7,0xa5bb0183,0x690905ae,0x2911190c}},	// [b570] zpeč, _exón, džev, piza_, 
   {{0xe94500d6,0x672d095a,0x28de02ab,0x68470574}},	//   _تربی, soaj, माणि, gédé, 
   {{0xccf300c7,0xc7ab0038,0x660402a5,0x00000000}},	//   עכע_, _ادخل_, azik, --, 
   {{0xa3ae000f,0xd25138a9,0x7afd0034,0xe8d90108}},	//   _कहर_, ننا_, ërth, _dvụ_, 
   {{0xdd860105,0x6f000038,0x2d910035,0x5ee005ff}},	//   _جو_, dhmc, ązek_, कान्_, 
   {{0x25a9b3e8,0xc2440c8b,0xf77000d4,0x68470107}},	//   mtal_, хнік, _جای_, cédé, 
   {{0x25a91bc7,0x7cf60474,0x00000000,0x00000000}},	//   ltal_, _cârm, --, --, 
   {{0x26c921ae,0xdb190228,0x25a9b3e9,0x614302d9}},	//   ndao_, _prvý, otal_, _bílý, 
   {{0x25a96b0a,0x00000000,0x00000000,0x00000000}},	//   ntal_, --, --, --, 
   {{0xab651d52,0x2a690118,0x7ce40237,0xb1141623}},	//   мвол, _afab_, _kòry, _змуш, 
   {{0x1c4509a6,0xeabab3ea,0x7cff0326,0x25a90144}},	//   ьном, ойн_, _nêre, htal_, 
   {{0xc9aa0165,0x00000000,0x00000000,0x00000000}},	//   овме_, --, --, --, 
   {{0xb4bd1d00,0x5fc50da5,0xdca55964,0x186a01ff}},	//   _आसू_, विकल, _жали, жаги_, 
   {{0xa3ae0077,0xdb1900b9,0xdcfb00ca,0x7cff040b}},	//   _कहल_, _esvà, pruđ, _bêre, 
   {{0x07a305d9,0x25a9064e,0x6efc0574,0x7cff040b}},	//   карн, etal_, _héba, _vêrd, 
   {{0x660401f1,0x25a902b0,0xd2450535,0x7986039b}},	//   tzik, ftal_, _مچ_, pskw, 
   {{0x28de00c2,0x24ea03dc,0xdb0b0183,0x25a90c0c}},	// [b580] मादि, омаи_, _esfó, gtal_, 
   {{0xf53f105d,0x6604b3eb,0x6ef5020b,0x448a017b}},	//   _spår_, rzik, _bábk, ібен_, 
   {{0xf365005e,0x78bcb3ec,0x64a302c0,0x69c400a4}},	//   етін, merv, таха, _hsie, 
   {{0x78bcb3ed,0x7cff009e,0x7cf6107c,0x25a901be}},	//   lerv, _jêrb, _cârj, btal_, 
   {{0x7afd00e5,0x914a26ad,0x8c110033,0x412a00d3}},	//   ërti, очка_, _সুমন_, оодо_, 
   {{0x2f1a00e0,0x69c4a1ca,0x6ef50038,0x00000000}},	//   mīgi_, _msie, _hábh, --, 
   {{0x64a3a1f2,0x3ead447c,0xe3636745,0x2f1a01dd}},	//   _шара, ffet_, _акси, līgi_, 
   {{0x78a902f5,0x6efc42f2,0x78bc07a1,0x69c4b3ee}},	//   đevi, _béba, herv, _osie, 
   {{0x4438b3ef,0x2f1a00e0,0x78bcb3f0,0x5d5402c4}},	//   _hyr_, nīgi_, kerv, нкит, 
   {{0x6280060f,0x6efc026d,0xb14301d7,0x69090098}},	//   _hemo, _déba, _анул, nžet, 
   {{0x78bc01c3,0x5cc309d9,0xaad000b0,0x7cedb3f1}},	//   derv, тсыз, _तोहक, _púrr, 
   {{0xed5a0a43,0x60c8b3f2,0x4438b3f3,0x25a90098}},	//   _дод_, _hadm, _myr_, ytal_, 
   {{0x5ea3006b,0x645c400c,0x3f9cb3f4,0x78bc0106}},	//   _شمول, _ogri, luvu_, ferv, 
   {{0x645c5279,0xa3de000d,0x25a9014e,0x78bc14e4}},	//   _ngri, तमा_, vtal_, gerv, 
   {{0x6909740a,0xdb190183,0x7cff010c,0xe7330038}},	//   džet, _esvá, _fêrb, نصر_, 
   {{0x6d58b3f5,0x25a9b3f6,0xe7840267,0x00000000}},	//   _hiva, ttal_, ђусо, --, 
   {{0x7cff0691,0x60da01a9,0x443800a1,0x6d58a345}},	// [b590] _wêre, _ontm, _ayr_, _kiva, 
   {{0x7aedb3f7,0x4438b3f8,0x3f9c0298,0x799d2e64}},	//   _hoat, _byr_, kuvu_, musw, 
   {{0x6d5805f0,0x6280b3f9,0x7aedb3fa,0x44380151}},	//   _miva, _bemo, _koat, _cyr_, 
   {{0x44382379,0x7aed0a9f,0x25a9b3fb,0x6abdb3fc}},	//   _dyr_, _joat, ptal_, nesf, 
   {{0x7aed0626,0xa069b3fd,0xe5c40e65,0x7d080009}},	//   _moat, пала_, _исро, _kūrė, 
   {{0x7aed05f0,0x6d5800a9,0x62800102,0x4438772d}},	//   _loat, _niva, _eemo, _fyr_, 
   {{0x6ef52142,0xa295012d,0x6efcb3fe,0x2f553859}},	//   _hábi, _паві, _séba, нтис, 
   {{0x62800318,0x6d58b3ff,0x7aedb400,0x60c80183}},	//   _gemo, _aiva, _noat, _eadm, 
   {{0x6d58b401,0x6abd0227,0x3eadb402,0x00000000}},	//   _biva, desf, rfet_, --, 
   {{0x6d58b403,0x620103c0,0x3eadb404,0x6d22001c}},	//   _civa, ızlı, sfet_, лдыз, 
   {{0x7c9500c5,0x290300e5,0x78bc1008,0x6ef50165}},	//   وشگا, dhja_, verv, _lábi, 
   {{0x6d58b405,0x656f044d,0x6abd5495,0x7aedb406}},	//   _eiva, _otch, gesf, _coat, 
   {{0x6d5805f0,0x2dc4004e,0x656f030b,0x99d60019}},	//   _fiva, _ақын_, _ntch, رتحا, 
   {{0xa3c10e6e,0x6ef500eb,0x6d58b407,0x20070304}},	//   ्टा_, _sábh, _giva, ozni_, 
   {{0x656f3599,0xfc640093,0x0ea600a5,0x7aedb408}},	//   _atch, _ръчн, क्कड, _foat, 
   {{0xc4c600c5,0x7aedb409,0x645cb40a,0x69c4b40b}},	//   کترو, _goat, _sgri, _tsie, 
   {{0x443e4471,0x6280b40c,0x4438b40d,0xf98a00eb}},	// [b5a0] _št_, _remo, _syr_, _عندي_, 
   {{0x6280b40e,0x2ebd00a2,0x2f1a00e0,0x64a300f0}},	//   _semo, ्युत, rīgi_, лауа, 
   {{0x6280005c,0x60c80112,0x6ef500eb,0xe73a1d6b}},	//   _pemo, _radm, _tábh, _нео_, 
   {{0x869a030f,0x222800c5,0xe36318de,0x55e69b28}},	//   _этот_, وزشی_, укци, _зомб, 
   {{0x62802d3b,0x60c804c6,0x395ab40f,0xbbdb0299}},	//   _vemo, _padm, _kips_, यमुक, 
   {{0x7faa0095,0xc0e3b410,0xddcb0585,0x6280052b}},	//   _həqi, лочк, _şişi, _wemo, 
   {{0x6280b411,0x443e0019,0x60c8b412,0x395ab413}},	//   _temo, _át_, _vadm, _mips_, 
   {{0x6d58b414,0x03d700d1,0x395ab415,0xd84300de}},	//   _siva, _אולם_, _lips_, _hučí_, 
   {{0x6d5800a9,0xe1fa02f1,0x7ced2d3b,0x7aed00b3}},	//   _piva, _эга_, _púrp, _roat, 
   {{0x81b30086,0x7aed1d43,0xafe60b66,0x395a02c5}},	//   টিশ_, _soat, _позл, _nips_, 
   {{0x6d58b416,0x7aed0aa4,0xa2d5009a,0x6abd03c5}},	//   _viva, _poat, णाच्, tesf, 
   {{0x81b300cc,0x78a5026e,0x7c38014b,0x799d02a5}},	//   টির_, _schv, _vyvr, tusw, 
   {{0x7aed05f0,0xee3a26ad,0x6d58b417,0xdc120761}},	//   _voat, _энд_, _tiva, rşım, 
   {{0x395a3708,0x80a40299,0xe76b0165,0xdd990259}},	//   _cips_, च्चे, зјак_, _іші_, 
   {{0x7aed0aa4,0x7a4900e0,0x6ef502aa,0x913b0070}},	//   _toat, _sūtī, _sábi, פעלק, 
   {{0x290300e5,0xdc3b042c,0x3b000104,0x490303a1}},	//   shja_, _מעור, _gliq_, түүг, 
   {{0x7faa0095,0x7afd024a,0x00000000,0x00000000}},	// [b5b0] _dəqi, ërtu, --, --, 
   {{0xa3e20035,0x2f1a01dd,0x78a50098,0x57f52fe3}},	//   _गपशप_, mīgu_, _uchv, _апот, 
   {{0xd4980009,0x2901b418,0x6efc0042,0x80a409d8}},	//   эрт_, _ilha_, _nébo, च्छे, 
   {{0x91bf0f63,0x7cff010c,0x2901011c,0x395a0032}},	//   _एनआई, _mêra, _hlha_, _zips_, 
   {{0x3f8c00ef,0x2b490a75,0x656fb419,0x10a50207}},	//   _avdu_, _mhac_, _utch, вилн, 
   {{0x26cbb41a,0x25b9008a,0x6e3900f8,0x395a00f6}},	//   _haco_, _ipsl_, _rywb, _xips_, 
   {{0x6efc023e,0xafe5b41b,0x7faa00ad,0xc2b300f0}},	//   _cébo, тойл, _yəqi, _бөлш, 
   {{0x25b90065,0x2b4900e7,0x6efc1611,0x26cbb41c}},	//   _kpsl_, _nhac_, _débo, _jaco_, 
   {{0x0d8211db,0x290102a0,0x26cbb41d,0xf2d200c7}},	//   алын, _olha_, _maco_, _דען_, 
   {{0x6b5e00e0,0xfc3f00bc,0x3ea60175,0x2b490144}},	//   _līgu, řím_, _ecot_, _ahac_, 
   {{0xab2a3ffe,0xaadd0239,0x8cd60035,0x2b49006c}},	//   дона_, यांक, बाजो, _bhac_, 
   {{0x2b494c7b,0xf1b90604,0x26cbb41e,0x29130354}},	//   _chac_, _kpš_, _naco_, _amxa_, 
   {{0xed4e2613,0x6cc5b41f,0x28de00aa,0x3ebf002c}},	//   _во_, _айла, मालि, meut_, 
   {{0x7c87117c,0x290100a1,0x2d9f018e,0x3ebf002c}},	//   _чуде, _clha_, muue_, leut_, 
   {{0x186702f1,0xe73a56c5,0xdb020068,0x395a2e9c}},	//   таси_, дев_, atlá, _vips_, 
   {{0x3ebf9c99,0x07a303b7,0x2b4901f2,0x81d80033}},	//   neut_, јатн, _ghac_, াহত_, 
   {{0xe812185c,0x68470183,0x2a606347,0x395a00a7}},	// [b5c0] _डेरा_, _pédí, _igib_, _tips_, 
   {{0x3ebf32df,0x33f60a10,0x80c0017d,0x69d6016c}},	//   heut_, кчес, _एसें, _irye, 
   {{0x29180aa5,0x3ebf11e9,0x26cbb420,0x9406009c}},	//   mira_, keut_, _faco_, خواه, 
   {{0x69d6078e,0x2918b421,0x26cb4fb6,0x2a6001f2}},	//   _krye, lira_, _gaco_, _jgib_, 
   {{0x4aaa0081,0x6efc0107,0x26c0019c,0x21672776}},	//   _कानव, _débl, meio_, вичи_, 
   {{0x29184310,0x81b300cc,0x3ea6b422,0x26c002be}},	//   nira_, টিং_, _scot_, leio_, 
   {{0x0fe0100b,0x73e3b423,0x26cb0126,0x65760080}},	//   বন্ধ, _корз, _yaco_, lpyh, 
   {{0x2918b424,0xa3c10bf5,0x69d6b425,0x2bd50249}},	//   hira_, ्टर_, _orye, धिना, 
   {{0x2918aaa8,0xf1aa00c5,0xa06a08a5,0x1d340093}},	//   kira_, _تازه_, _жаза_, лния, 
   {{0x6443458d,0x2918b426,0x2ca70354,0x26c03602}},	//   żnie, jira_, _ccnd_, heio_, 
   {{0x2918b427,0x3ebf002c,0x69d6b428,0x69090f23}},	//   dira_, beut_, _arye, džep, 
   {{0x29180c7c,0x3b540a65,0x2f1a0243,0x25a0344e}},	//   eira_, икэр, tīgu_, kuil_, 
   {{0xdd941472,0xc3330056,0x69d600f6,0x7bd70068}},	//   _салы, שור_, _crye, _áxun, 
   {{0x2918b429,0x26cb3c3d,0xdd9303a1,0x2f1a01dd}},	//   gira_, _saco_, _ташы, rīgu_, 
   {{0x1958b42a,0x6f02b42b,0x26cb1eb1,0x69d60539}},	//   тары_, _kloc, _paco_, _erye, 
   {{0x25a017c1,0x6ef5118d,0x69d65c22,0x3704b42c}},	//   fuil_, _fábu, _frye, ачув, 
   {{0x2918b42d,0x44b59b28,0xa4d9004e,0x2f1a01dd}},	// [b5d0] bira_, лбас, ндау_, līgs_, 
   {{0x291845e0,0x6f025259,0x7afdb42e,0x6efc0175}},	//   cira_, _lloc, lkst, _sébl, 
   {{0x2bd500ab,0xaaaa1f19,0xf2b10086,0x7d1db42f}},	//   धिया, _कामक, _ঘোষণ, éssi, 
   {{0x7afdb430,0x26c002aa,0x25a000a1,0x00000000}},	//   nkst, ceio_, buil_, --, 
   {{0x442a0183,0xf1a71219,0x25a002a2,0xf5e421f4}},	//   _exb_, трен, cuil_, _кірм, 
   {{0x6f0200d9,0xa5da00c7,0x80cd0366,0x2bd53b3e}},	//   _aloc, _אַלי, _धोखे, धिमा, 
   {{0x6f02255f,0x46aa031e,0xf2c714c1,0x7afd8208}},	//   _bloc, ङ्कह, _исан, kkst, 
   {{0x291828ee,0x349504c5,0x7afd012e,0x7fb600eb}},	//   zira_, _шаҳр, jkst, اهير_, 
   {{0x6d4a0084,0x29180b94,0x3ebfb431,0xed5901a2}},	//   _bhfa, yira_, reut_, нои_, 
   {{0x2918b432,0x7afdb433,0x6f02b434,0x00000000}},	//   xira_, ekst, _eloc, --, 
   {{0xdfd1070f,0x6f020de5,0x00000000,0x00000000}},	//   _ديا_, _floc, --, --, 
   {{0x6f026325,0x291860ad,0x38610027,0x139a0070}},	//   _gloc, wira_, _aghr_, עברע, 
   {{0x29189c14,0x26c002be,0x00000000,0x00000000}},	//   tira_, veio_, --, --, 
   {{0x6f0204d1,0x17ca02f1,0xef19115a,0x29180151}},	//   _zloc, нгги_, liż_, uira_, 
   {{0x29189dc3,0x81e90033,0x26c002aa,0x31560070}},	//   rira_, মনি_, teio_, טישן_, 
   {{0xef19003d,0x6ef502aa,0x7faa00ad,0x69d60034}},	//   niż_, _tábu, _təqv, _trye, 
   {{0x2918b435,0xb90a00cc,0x2d8db436,0x26c002aa}},	// [b5e0] pira_, _মত_, nsee_, reio_, 
   {{0xb5fb0183,0x26c00165,0x81e90033,0x25a00d62}},	//   _afás, seio_, মনা_, ruil_, 
   {{0xdb0202c9,0x506600a3,0x1d160070,0x23d600b3}},	//   rtlæ, қтла, נקער_, ыцар, 
   {{0x66e68610,0x7cf600b3,0x5c360070,0xaadd00bc}},	//   _сома, _hârt, ארען_, याएक, 
   {{0x25a03826,0xe61f03c6,0x00000000,0x00000000}},	//   quil_, _ddôs_, --, --, 
   {{0x672402f5,0x6f024dd1,0xf4870296,0x00000000}},	//   lnij, _sloc, _مافی, --, 
   {{0x6f02b437,0x6d470529,0x5276b438,0xdfd000eb}},	//   _ploc, ċjal, _бузу, زية_, 
   {{0x6d4a00e5,0x67240529,0x6566030b,0x64430035}},	//   _shfa, nnij, _kukh, żnic, 
   {{0xb226b439,0x0caa516f,0x2d8d012b,0x9c7c0b21}},	//   _смал, нтни_, gsee_, ljči, 
   {{0x6566300b,0x672400ef,0xb8040299,0xdee300a3}},	//   _mukh, hnij, रनाम_, _қочи, 
   {{0xdb0259c6,0x5ea60019,0x6f020308,0x9c7c00ca}},	//   ktlä, _ممال, _tloc, njči, 
   {{0x672403ef,0xe45700c7,0x2f1a00e0,0x7afd0243}},	//   jnij, טייט_, rīgs_, ukst, 
   {{0xd7f800a3,0xb69b020f,0x00000000,0x00000000}},	//   қур_, _blân, --, --, 
   {{0xbd0211bb,0x7b1600da,0x7cf6107c,0x00000000}},	//   _šéfr, nšuj, _cârt, --, 
   {{0x7d1ab43a,0x7e6207d7,0x6566019b,0x00000000}},	//   mits, _kgop, _aukh, --, 
   {{0x7d1ab43b,0x65661d24,0xc8780092,0xeafb00d4}},	//   lits, _bukh, ığa_, _سرعت_, 
   {{0xd49b1ac0,0xb4c2623e,0xdb020326,0xb69b0151}},	// [b5f0] ере_, ्यू_, kulê, _flân, 
   {{0x7d1ab43c,0x656606e4,0x3f9c05ae,0xb69b019c}},	//   nits, _dukh, krvu_, _glân, 
   {{0x6724b43d,0x7faa06d0,0x201a0032,0x7e62664f}},	//   bnij, _məqs, úpil_, _ogop, 
   {{0x672404d1,0x7d1a0489,0x7e62b43e,0x0fe702f1}},	//   cnij, hits, _ngop, ғлиқ_, 
   {{0x7d1a0727,0x00850e65,0x15ab02f1,0xef190405}},	//   kits, алло, _яъни_, viż_, 
   {{0x9f9502f1,0x7e6202a3,0x6ef5020b,0x21660148}},	//   ашиш, _agop, _nábr, шиши_, 
   {{0x7d1ab43f,0x656602cd,0x35ab29c4,0x00000000}},	//   dits, _zukh, _चमड़, --, 
   {{0x0e65b440,0x2d8db441,0x64630241,0x660d0379}},	//   шкин, tsee_, ştiğ, ozak, 
   {{0x7bd80077,0x660db442,0x628bb443,0x613f0218}},	//   _arvu, nzak, mago, hêli, 
   {{0x7d1ab444,0x5f950141,0x2d8db445,0x7b16b446}},	//   gits, _вижт, rsee_, ršum, 
   {{0x3b0a1a9e,0x60c3b447,0x8c45b448,0xeb990176}},	//   вено_, menm, рене, ъин_, 
   {{0x60c30792,0x628bb449,0x81d80086,0x7b060183}},	//   lenm, nago, াহর_, _sóub, 
   {{0xfce5b44a,0x6ef51408,0x672403ef,0x7bcab44b}},	//   _воло, _fábr, vnij, _esfu, 
   {{0x3936011f,0x660db44c,0x628bb44d,0x6f090165}},	//   рэмс, dzak, hago, lhec, 
   {{0x672403ef,0x628bb44e,0xb8ee10b0,0xc71603b7}},	//   tnij, kago, _रस_, аќањ, 
   {{0x6f0900ce,0x672400e0,0x6ef5014b,0x60c30380}},	//   nhec, unij, _zábr, henm, 
   {{0x67240112,0x60c3b44f,0x7b16014b,0x6d410387}},	// [b600] rnij, kenm, yšuj, olla, 
   {{0x672403ef,0xb4c2047b,0x6d4102bf,0xf50746b2}},	//   snij, ्ये_, nlla, анул_, 
   {{0x6d41b450,0x389b035c,0x845a9d11,0x60c34448}},	//   illa, _ביינ, трат_, denm, 
   {{0xe29ab451,0x7d1ab452,0xa5bb0042,0xe5a6796a}},	//   тад_, zits, _axóu, _кими, 
   {{0x6d4102f1,0x7d1ab453,0xb0e200c6,0xdb0202be}},	//   klla, yits, पालग, tulê, 
   {{0x3f9c23b8,0x60c3b454,0x2fc700f8,0x64430083}},	//   trvu_, genm, fwng_, żnia, 
   {{0x7b2404d1,0x7d1a30c8,0x628bb455,0x21200704}},	//   rđuj, vits, bago, đih_, 
   {{0x6d41b456,0xa85700a7,0x82a302f1,0x7d1a1ab0}},	//   ella, סיקה_, _масж, wits, 
   {{0x10a602fb,0x7d1a0727,0xc0e62b3b,0x7b16014b}},	//   _визн, tits, _коак, pšuj, 
   {{0x6208008f,0x60c3b457,0xdb02023e,0x00000000}},	//   ırlı, cenm, lulè, --, 
   {{0x7d1ab458,0x9b5903b7,0x660d4411,0x14d90070}},	//   rits, лиот_, zzak, אַרמ, 
   {{0x6d41b459,0x7d1ab45a,0x6f1bb45b,0x7984016c}},	//   alla, sits, ciuc, _bwiw, 
   {{0x7d1ab45c,0xfaff0034,0x799d0326,0x7faa00ad}},	//   pits, rkë_, ursw, _təqs, 
   {{0xb4c2000d,0x2905010d,0x628bb45d,0x7cf600d9}},	//   ्यो_, óla_, zago, _vârs, 
   {{0xb4c200bc,0x9b940e61,0xdb0b055f,0xd7f80a84}},	//   ्यै_, _البت, _opfø, аут_, 
   {{0x27ed00f1,0x660d02ba,0x60c3b45e,0x38666a8e}},	//   ćen_, tzak, zenm, _şort_, 
   {{0x79840090,0x60c3b45f,0xe758017b,0x00000000}},	// [b610] _gwiw, yenm, риті_, --, 
   {{0x660db460,0x6efcb461,0x628bb462,0x5fc6031e}},	//   rzak, _débi, wago, लबाल, 
   {{0x660d0019,0x60c3b463,0xdce9032f,0xdb020343}},	//   szak, venm, speć, stlå, 
   {{0x3cdd0083,0x00000000,0x00000000,0x00000000}},	//   _कोने_, --, --, --, 
   {{0x6d41b464,0x60c3b465,0x31c705b2,0x00000000}},	//   ylla, tenm, рсев, --, 
   {{0x628bb466,0xe8d90108,0x80a8017b,0x00000000}},	//   sago, _duệ_, ивів_, --, 
   {{0x628b47b1,0x4394b467,0xa2d800a2,0x60c3b468}},	//   pago, _марс, _नोव्, renm, 
   {{0x5334143a,0x3eb9003e,0x0d852cd5,0x60c33582}},	//   _дест, ýst_, блин, senm, 
   {{0x20c7030f,0xc33200c7,0x6d417c9a,0x6f1bb469}},	//   _всег, _זון_, tlla, riuc, 
   {{0xa5da00c7,0x6aad0082,0xf99f02a3,0x2eed004f}},	//   אַטי, _acaf, drè_, sjef_, 
   {{0x63a5005c,0x69cd0054,0x673d00b0,0x6d4100f8}},	//   nuhn, _asae, _oksj, rlla, 
   {{0xc86900c7,0x6d41b46a,0x9f55662e,0xb69b0151}},	//   _טן_, slla, _увеч, _blâm, 
   {{0xdb026ae3,0x63a50175,0x6d41021e,0x00000000}},	//   nulé, huhn, plla, --, 
   {{0xcd7600a7,0xa967b46b,0x673d00dd,0xed4400dd}},	//   _העסק_, сира_, _aksj, _дніп, 
   {{0x69cd01ca,0x66e6b46c,0x63a50096,0x00000000}},	//   _esae, бова, juhn, --, 
   {{0x753c1181,0x9666134f,0x79840175,0x49ca0080}},	//   _skrz, скае, _twiw, _блин_, 
   {{0x98a67080,0x63a50175,0x00000000,0x00000000}},	// [b620] _липе, euhn, --, --, 
   {{0x7af60626,0x88ca06ba,0x291c02ae,0x216a0176}},	//   _hoyt, _слов_, _öva_, ҳиди_, 
   {{0x63a50730,0x25b208b0,0x291ab46d,0xe5a60176}},	//   guhn, styl_, _impa_, риҷи, 
   {{0xddc90032,0x7ae4008a,0x82a61623,0x2d9f01f3}},	//   dbež, _jnit, садж, krue_, 
   {{0xdce204d1,0x6146088a,0xddc90032,0x9f5a02d9}},	//   _suoč, беда, ebež, ápí_, 
   {{0x63a53883,0x291a0065,0x2fcc0068,0x2ba800ae}},	//   buhn, _jmpa_, _psdg_, _कमला, 
   {{0x7ae477c3,0x43750200,0xa3bc01a4,0xdb0201e5}},	//   _onit, _мутт, _अहि_, pulè, 
   {{0xe8d900e7,0x7cff009e,0x3f8503c6,0x3da6503b}},	//   _tuệ_, _fêrk, _dwlu_, броб, 
   {{0x24980065,0xa20612d6,0xdb020107,0x291a40e0}},	//   _kdrm_, _упад, culé, _ompa_, 
   {{0x6aadb46e,0x25a043ac,0x7cf60474,0x00000000}},	//   _scaf, iril_, _cârp, --, 
   {{0xb5fb0183,0x25a003bc,0x7af6b46f,0x2498023a}},	//   _agál, hril_, _boyt, _mdrm_, 
   {{0x291ab470,0x69cd0183,0x7ae400a1,0x25a00121}},	//   _ampa_, _psae, _cnit, kril_, 
   {{0x4aaa45f0,0x2d9fb471,0xaaaa743c,0x4c9408ba}},	//   _कारव, crue_, _कारक, _дилс, 
   {{0x25a0b472,0x7ae413dc,0xee3700b3,0xf99f0036}},	//   dril_, _enit, _унч_, rrè_, 
   {{0x28de048e,0x236a011c,0x7af6040c,0x00000000}},	//   माजि, _nubj_, _foyt, --, 
   {{0x291a0194,0xf99f0300,0x69cd0226,0x7af6019c}},	//   _empa_, prè_, _tsae, _goyt, 
   {{0x44f50c19,0xddc90d9d,0x49c800b3,0x7a1c0243}},	// [b630] опас, zbež, _луэм_, gātī, 
   {{0x0467b473,0x63a54e07,0x00000000,0x00000000}},	//   стам, tuhn, --, --, 
   {{0x645ab474,0x25a000c2,0x00000000,0x00000000}},	//   _útil, aril_, --, --, 
   {{0xa29402fb,0x25a0b475,0xe8122414,0xdb020212}},	//   заці, bril_, _डेटा_, tulé, 
   {{0x63a536ff,0xe135004e,0x51552ee5,0xbebd0028}},	//   suhn, онды, отку, liūg, 
   {{0x28ad021a,0x63a5b476,0xaf99b477,0x2903004f}},	//   ञ्चि, puhn, атих_, nkja_, 
   {{0xaaaa0ed5,0x4aaa0110,0x290301d5,0x00000000}},	//   _कालक, _कालव, ikja_, --, 
   {{0x2d952595,0xdb025f41,0x4ad90db3,0xddc90372}},	//   орос, pulé, _बोलव, rbež, 
   {{0x2903b478,0xdd8e00b1,0x6efc3dd9,0xa0c501c9}},	//   kkja_, نوي_, _nébu, _ويرو, 
   {{0x7af6b479,0x7094b47a,0x7e990535,0x7ae4b47b}},	//   _soyt, _науф, _چنار_, _snit, 
   {{0x7af602f1,0x25a00065,0xddc20035,0x7cff0216}},	//   _poyt, zril_, _czoł, _jêri, 
   {{0x6b9c00e9,0xbdf80116,0x7cff010c,0x68e50108}},	//   árga, _گرما_, _mêri, _anhd, 
   {{0xa96a00cf,0x7ae4031e,0x00000000,0x00000000}},	//   рига_, _vnit, --, --, 
   {{0x6efc026d,0xb4e800aa,0x00000000,0x00000000}},	//   _débu, _मचे_, --, --, 
   {{0xd94301d7,0x46f6004f,0xdb0200fb,0x00000000}},	//   фери, очат, ktlø, --, 
   {{0x7ae46714,0x25a050f2,0x2615007e,0x224d0144}},	//   _unit, tril_, _नइखी_, _ozek_, 
   {{0x2498b47c,0x448a0176,0x00000000,0x00000000}},	// [b640] _pdrm_, ибан_, --, --, 
   {{0x25a03f5b,0x7cff009e,0x81cf0033,0x7a1c0243}},	//   rril_, _bêri, ষমা_, rātī, 
   {{0x25a002a2,0xba290116,0x80d4296e,0xb376009c}},	//   sril_, _نسیم_, _योगे, زداش, 
   {{0x55e600f0,0x3bba0070,0x6efc011c,0xc2460082}},	//   _домб, ימעד, _yébu, онек, 
   {{0x68f706d0,0x00000000,0x00000000,0x00000000}},	//   _yoxd, --, --, --, 
   {{0x224d2873,0x6ea7031e,0xdfd020b4,0xcf9a0267}},	//   _dzek_, _गाउँ, فيت_, аји_, 
   {{0x224d0019,0x28b243f5,0x4aaa0eda,0x04430165}},	//   _ezek_, _जानि, _कांव, _жерн, 
   {{0x644e1af7,0x63b30356,0x232a2024,0x63b40083}},	//   _izbi, žení, _тоби_, ągnę, 
   {{0x628212b6,0xd1320198,0x290301d5,0x241a0259}},	//   mboo, _قمر_, ykja_, _соңы_, 
   {{0x6efc63a3,0x6282083c,0x00000000,0x00000000}},	//   _rébu, lboo, --, --, 
   {{0x0f7200a3,0x2fd8039b,0x7cff009e,0x00000000}},	//   _ўғир, _érg_, _xêri, --, 
   {{0x62820a60,0x539b00d1,0xdb020216,0x00000000}},	//   nboo, סיכו, sulî, --, 
   {{0x628201da,0x00000000,0x00000000,0x00000000}},	//   iboo, --, --, --, 
   {{0x644e00f1,0x62826fb1,0x00000000,0x00000000}},	//   _ozbi, hboo, --, --, 
   {{0x6282b47d,0x368bb47e,0x29030c86,0x67d4112d}},	//   kboo, исан_, rkja_, мору, 
   {{0x442d02f5,0x443100e2,0x2903b47f,0x7cff0ff2}},	//   _će_, _rxz_, skja_, _rêri, 
   {{0x95cb03b7,0x746b02be,0xc4cf0bf1,0x00000000}},	// [b650] шува_, арев_, রাসঙ, --, 
   {{0x628208a3,0x00000000,0x00000000,0x00000000}},	//   eboo, --, --, --, 
   {{0x628201da,0x5275477c,0xdb0200fc,0x7b160450}},	//   fboo, пулу, ttlø, ršuv, 
   {{0x6282040b,0x67290082,0x2d4b004f,0x00000000}},	//   gboo, čejs, jøen_, --, 
   {{0x28b202e6,0xdb020a1f,0x7b1600ca,0x21694ab4}},	//   _जामि, rtlø, pšuv, щили_, 
   {{0x98aa00bc,0x628202a5,0xddc90ab4,0xdb0200fb}},	//   době_, aboo, jceš, stlø, 
   {{0x62820106,0x5ed40bf1,0x00000000,0x00000000}},	//   bboo, থানে, --, --, 
   {{0x0d85062a,0xe8a8031e,0x62960369,0x2a690175}},	//   плин, _कञ्च, óyot, _ngab_, 
   {{0xb3640093,0x25a900a7,0x1ddb00b0,0xdee30176}},	//   _църк, nual_, बिधत, зоқи, 
   {{0x2a69040b,0x2b400604,0x7d090267,0x4cd30bf1}},	//   _agab_, _skic_, сног_, তাভু, 
   {{0xbb460701,0x78bb0613,0x28ca0299,0x6b73020f}},	//   зенк, đuvl, ाजसि, _băga, 
   {{0x7d0ab480,0x691000c2,0x25a900b4,0x00000000}},	//   _elfs, _käeg, kual_, --, 
   {{0x25a9b481,0x316d23e2,0xdddb36d7,0x14ac009a}},	//   jual_, _juez_, lauž, _चालण, 
   {{0x3eadb482,0x25a9b483,0x4dda00d1,0xcdf600d1}},	//   lget_, dual_, _לחנו, _ממני_, 
   {{0x3ce81574,0x8c423953,0x7d060243,0x00000000}},	//   जारे_, _пеше, īkst, --, 
   {{0x3ead77d1,0x62820626,0xea8a0b14,0x7d062409}},	//   nget_, xboo, _убил_, ūkst, 
   {{0x316d0327,0xf6510019,0x00000000,0x00000000}},	// [b660] _nuez_, ہئے_, --, --, 
   {{0x69c40175,0x62823ebc,0xd884009c,0x00000000}},	//   _ipie, wboo, _تهدی, --, 
   {{0xc95300a7,0x12e600f0,0x3ead0415,0xae1d075a}},	//   _רמת_, зілг, kget_, _बेसन_, 
   {{0xcfc300cc,0x25a91233,0xe297b484,0x69c401f2}},	//   ্মান, bual_, зац_, _kpie, 
   {{0x3eadb485,0x62822680,0x237f0062,0xe804007e}},	//   dget_, rboo, _čuje_, रनका_, 
   {{0x673bb486,0x62821a77,0x69c4b487,0x7bc3b488}},	//   čuje, sboo, _mpie, _opnu, 
   {{0x6282b489,0xdfda00fd,0x948600f0,0x9f340259}},	//   pboo, съл_, _мыңд, мекі, 
   {{0x3ead0cac,0xb2260012,0x3da643a1,0x69c43713}},	//   gget_, _ембл, проб, _opie, 
   {{0xa0a6431c,0x21a607f9,0x5d5404a0,0x316d17e1}},	//   _наад, _хизм, мкит, _guez_, 
   {{0xcb9802fb,0x48d70033,0xa61700d1,0xe0460d5c}},	//   ової_, _সক্র, פקיד_, _ензи, 
   {{0x0e66005e,0xa9f7000d,0xc05900dd,0x6efc0107}},	//   _екен, ुन्छ_, _дії_, _débr, 
   {{0xcb0b0810,0x61e00144,0xbd8700d7,0x776601f2}},	//   сход_, _krml, _کنون_, _nikx, 
   {{0x76460088,0xa6b40033,0x25a9b48a,0xfe46aa78}},	//   _nyky, ুযায়, xual_, _эндо, 
   {{0xa3df03c1,0xd90f00c5,0x61e000ca,0xa3bcb48b}},	//   तिम_, اید_, _mrml, _अहं_, 
   {{0xc7c4b48c,0x1cbb042c,0x8c4101c4,0x69c408b0}},	//   нсти, _המוע, ößte, _epie, 
   {{0x6d48b48d,0x25a9b48e,0x64430035,0x61e001be}},	//   llda, tual_, żnik, _orml, 
   {{0xa6344f00,0xdb02019c,0x7b160028,0x6d48b48f}},	// [b670] енті, bulâ, ršut, olda, 
   {{0x64c700bd,0x3ead6bb6,0x00000000,0x00000000}},	//   रजेश, zget_, --, --, 
   {{0x28b2959d,0x3ead0219,0x25a9768e,0x80bf0299}},	//   _जाति, yget_, sual_, ल्फे, 
   {{0x27fe10d4,0x2d9900d8,0x80bf00bc,0x00000000}},	//   ätne_, ásek_, ल्ने, --, 
   {{0x9647021d,0x672db490,0xd6d800b3,0x7cff0216}},	//   _хэнд, mnaj, _этэ_, _kêrt, 
   {{0x657d0149,0x7b1600ef,0x69dd00b0,0x656f01c5}},	//   _itsh, nšur, ivse, _iuch, 
   {{0xdfce00eb,0x656fb491,0x442502ae,0xdb0902aa}},	//   ليو_, _huch, _äl_, rudê, 
   {{0x656fb492,0x6d5a37e4,0xa3da00a5,0xe3b200c7}},	//   _kuch, emta, ़िर_, _שױן_, 
   {{0x5187b493,0x61e00112,0x3eadb494,0x6efc033e}},	//   _хуба, _grml, rget_, _pébr, 
   {{0x656fb495,0x69dd02ee,0x657d0026,0x6ea91893}},	//   _much, dvse, _mtsh, _टाकु, 
   {{0x656fb496,0x69c4b497,0xfaa611b5,0x00000000}},	//   _luch, _spie, мано, --, 
   {{0x6d48b498,0x656fb499,0xdb020126,0x888100f0}},	//   alda, _ouch, pulí, ңғыл, 
   {{0x657d85e4,0x672db49a,0x656fb49b,0xdce301f2}},	//   _ntsh, dnaj, _nuch, _jinċ, 
   {{0x7f5b00e2,0xdce20228,0xa3c20fc0,0x65672edf}},	//   lmuq, _zvoľ, ्बम_, _nijh, 
   {{0x186703dc,0xdbcb0068,0xdce3008a,0x80c80033}},	//   дари_, póñe, _linċ, লাচ্, 
   {{0x656fb49c,0x69c00241,0xcba20176,0xeab28bf4}},	//   _buch, çmes, _раъй, _شعب_, 
   {{0x656f1eaa,0xf743b49d,0x2bd500c9,0x6567b49e}},	// [b680] _cuch, тето, धिका, _bijh, 
   {{0x656fb49f,0x80bf0035,0x764600da,0x00000000}},	//   _duch, ल्मे, _vyky, --, 
   {{0x656fb4a0,0x6d430065,0x7cff009e,0x776600c3}},	//   _euch, _mkna, _hêrs, _tikx, 
   {{0x2bf60137,0x4e0d40a8,0xaac10527,0x71a6012d}},	//   ומען_, िनाई_, ष्पक, дадз, 
   {{0xc693042c,0x2fc5016a,0x6d48003e,0x00000000}},	//   _באר_, _aplg_, ylda, --, 
   {{0x60c10065,0x26c200b4,0x6d4602d9,0x387a040c}},	//   _cblm, _hbko_, ůkaz, _jfpr_, 
   {{0xd01000eb,0x656fb4a1,0x6604010e,0xa0670267}},	//   طلة_, _zuch, lyik, маља_, 
   {{0x6d43b4a2,0xdd9a7dcb,0x656f9daf,0x00000000}},	//   _akna, ошо_, _yuch, --, 
   {{0x66046a74,0xc2430161,0xd1b3015f,0xdb25039f}},	//   nyik, _антк, _لینک, ósít, 
   {{0x672d034c,0x28c01b38,0xf0a700b3,0x00000000}},	//   znaj, श्मि, _окул_, --, 
   {{0x6d4802ae,0x672d0083,0x66040610,0xa6b30033}},	//   rlda, ynaj, hyik, ঁড়িয়, 
   {{0xdd8f00d4,0xa3df22f8,0xdce20032,0x6abd0502}},	//   _چون_, तित_, _uvoľ, ufsf, 
   {{0x6ef50076,0xdd8f08cb,0x6abd008c,0x29110097}},	//   _náby, _نون_, rfsf, thza_, 
   {{0x656f138c,0x61e400c8,0x67d54351,0xab9402a6}},	//   _ruch, äily, ногу, _закљ, 
   {{0x656fb4a3,0xb8820187,0xdb02022c,0x6567039b}},	//   _such, _číta, bulà, _rijh, 
   {{0x63a5014b,0x656701c1,0x656fb4a4,0x66040027}},	//   vrhn, _sijh, _puch, fyik, 
   {{0x672d6871,0x05740629,0xdb02033c,0x656f01ff}},	// [b690] rnaj, نالد, atló, _quch, 
   {{0x88c400ab,0xdb025881,0x63a50098,0x26c201cf}},	//   ęści, mulá, trhn, _ebko_, 
   {{0x656f0380,0x391400b3,0xb0d90249,0xe1f000d7}},	//   _wuch, _рмэр, _योगग, یسه_, 
   {{0x60c102a2,0x798d047a,0x656fb4a5,0x3dc601e5}},	//   _sblm, _kwaw, _tuch, _opow_, 
   {{0xe6640e65,0x2fc50065,0xaac10035,0xdb02010e}},	//   _атро, _splg_, ष्यक, nulá, 
   {{0x26d900d0,0x2c0e016a,0x798d2bba,0xdce301f2}},	//   _haso_, ानां_, _mwaw, _vinċ, 
   {{0x26d9b4a6,0xe3740079,0x798d01b8,0xa066b4a7}},	//   _kaso_, _алсы, _lwaw, наша_, 
   {{0x26d90a9f,0xdb02b4a8,0xd1bb0038,0xcee30176}},	//   _jaso_, kulá, _واذا_, тбиқ, 
   {{0x2d99006b,0x26d9b43c,0x2d8b026d,0x2bd10299}},	//   ése_, _maso_, èce_, _तनहा, 
   {{0x26d9b4a9,0xdb02309e,0x00000000,0x00000000}},	//   _laso_, dulá, --, --, 
   {{0x8b26306e,0x798db4aa,0x6b5f01dd,0x00000000}},	//   едне, _awaw, _lūgu, --, 
   {{0x28b2215e,0x26d9b4ab,0x798d1fe7,0xa3c200b5}},	//   _जाहि, _naso_, _bwaw, ्बत_, 
   {{0xdca51d3c,0xdb022706,0xf1e23cae,0x0d8408af}},	//   _зали, gulá, पियन, _алін, 
   {{0x6846021d,0xfe7902d9,0x00000000,0x00000000}},	//   енга, lců_, --, --, 
   {{0x6d41b4ac,0x26d9b4ad,0x3b0a02a6,0x67240caf}},	//   mola, _baso_, _неко_, tiij, 
   {{0x6d41b4ae,0xfe7900bc,0xdb022d19,0xa5230cdf}},	//   lola, nců_, bulá, ҳмуд, 
   {{0xe5a3aaef,0xdce30082,0x05aa1b8e,0x26d90237}},	// [b6a0] лити, _linč, явай_, _daso_, 
   {{0xaac1000d,0x26d901cf,0x69d62c3e,0x66160083}},	//   ष्ठक, _easo_, _isye, rzyk, 
   {{0x66040ab1,0x661600ab,0x29290228,0xdce30242}},	//   syik, szyk, ýtať_, _ninč, 
   {{0x6d41b4af,0xe29200eb,0x6b56010e,0xe73a00fd}},	//   hola, اذا_, lágb, _хем_, 
   {{0x6d411ba8,0x68feb4b0,0xfe7902d9,0x00000000}},	//   kola, _kopd, dců_, --, 
   {{0x6d41b4b1,0x290a039f,0x00000000,0x00000000}},	//   jola, nkba_, --, --, 
   {{0x6d41b4b2,0xdce30372,0x7cf600b3,0x257623b5}},	//   dola, _cinč, _târz, _hæl_, 
   {{0x6e2d0ab4,0xb1830254,0xdce30ab4,0x6d4f0216}},	//   _žaba, šťan, _dinč, îcan, 
   {{0x6d41b4b3,0xe2a6008c,0x68fe040b,0x00000000}},	//   fola, æðum_, _oopd, --, 
   {{0x6d413277,0x798d0610,0x21750bad,0x00000000}},	//   gola, _rwaw, _јутр, --, 
   {{0x69d63656,0xac1806ba,0xdee624eb,0xfe7902d9}},	//   _asye, фону_, _пожи, bců_, 
   {{0x60dab4b4,0xdb024a13,0xbebd0028,0x00000000}},	//   _hatm, tulá, liūn, --, 
   {{0xc33300a7,0x60dab4b5,0x26d9b4b6,0xdb0200fb}},	//   רור_, _katm, _raso_, kulæ, 
   {{0x6d41593e,0xa3c20b3e,0xd0480095,0xbebd0009}},	//   cola, ्बा_, _sadə, niūn, 
   {{0x26d9128a,0x26c045a4,0x60dab4b7,0x3cf73147}},	//   _paso_, ffio_, _matm, _سعود_, 
   {{0xd6d81991,0xdb02247e,0xf7700019,0xa3df00bd}},	//   нту_, pulá, صاف_, तिस_, 
   {{0x7aed0247,0xe573646f,0xa2b6031e,0x89392b0e}},	// [b6b0] _inat, اطر_, ैभन्, _опис_, 
   {{0x6fe004d7,0xaab10b26,0xa4d800d3,0x81d60033}},	//   पटां, _झाँक, ндуу_, িমা_, 
   {{0x7aed008c,0x6b9a5890,0x929500e4,0x69d9109f}},	//   _knat, nstg, ваец, मिकी, 
   {{0x6d41b4b8,0x66fb119b,0x7aff00a4,0xfbe90216}},	//   zola, _एकटक_, _joqt, lrêç_, 
   {{0x7aedb4b9,0xe4a74134,0xdce30455,0xfe7900bc}},	//   _mnat, _прво, _sinč, vců_, 
   {{0x4438016a,0xeafe0667,0x60dab4ba,0xe4a73197}},	//   _fxr_, _उक्त_, _catm, _ярмо, 
   {{0x6d41b4bb,0xaab100a5,0xe53400c8,0x7aedb4bc}},	//   vola, _झांक, _серь, _onat, 
   {{0xdce3b4bd,0x6455b4be,0x6d41b4bf,0x6b56010e}},	//   _vinč, _izzi, wola, zágb, 
   {{0x6d41b4c0,0x6f090666,0x60dab4c1,0x200900e0}},	//   tola, rkec, _fatm, ņai_, 
   {{0x7aedb4c2,0x270e1215,0x25a90c36,0xdce30455}},	//   _anat, _सत्र_, iral_, _tinč, 
   {{0x25a90228,0x7aff084c,0x6d58008a,0xa3da0035}},	//   hral_, _boqt, _dhva, ़िए_, 
   {{0x6d41b4c3,0x74c10c46,0x25a9b4c4,0x68fe0102}},	//   sola, र्तृ, kral_, _sopd, 
   {{0x6d41b4c5,0x60da06a2,0xfe70091d,0xd6b90033}},	//   pola, _yatm, _ادم_, ুযায, 
   {{0x6d4100cf,0xada202f1,0x7aedb4c6,0x8c45004e}},	//   qola, _ташл, _enat, _иеле, 
   {{0xa967b4c7,0x19c1004e,0x31bb0216,0x673b032f}},	//   тира_, _құрм, hêz_, čujn, 
   {{0x7c2e033c,0x21270108,0x6b56010e,0x6d58021e}},	//   úbre, hinh_, ságb, _zhva, 
   {{0x1666471e,0x68feb4c8,0xd6271103,0x26c00156}},	// [b6c0] твам, _topd, воте_, rfio_, 
   {{0x7aed02f5,0x257604f4,0xd9100105,0x00000000}},	//   _znat, _væl_, _ایس_, --, 
   {{0xa3df100d,0x212700e7,0x25a9011d,0x60da0cc6}},	//   तिष_, dinh_, aral_, _ratm, 
   {{0x130a16d0,0x60da0761,0x032600fd,0x2aeb0249}},	//   ьней_, _satm, ъден, टाएँ_, 
   {{0xdb02155b,0x161a02e6,0x41b602a0,0x645501b8}},	//   pulæ, _नेचर_, тсет, _ezzi, 
   {{0xa3df258c,0x00000000,0x00000000,0x00000000}},	//   तिश_, --, --, --, 
   {{0xd00f00eb,0x2d9d0237,0xa2c40259,0x2007010e}},	//   يله_, _avwe_, _бәлк, gyni_, 
   {{0x6d5802f5,0xa3df3e8a,0x00000000,0x00000000}},	//   _shva, तिर_, --, --, 
   {{0x324640a0,0x7c8603dc,0x7aed02f1,0x60da0241}},	//   _реаг, куне, _rnat, _tatm, 
   {{0x61e2b4c9,0x645a04f4,0x00000000,0x00000000}},	//   mvol, _útis, --, --, 
   {{0x61e2b4ca,0xdb0235ce,0x3fa507cf,0x7e7b0175}},	//   lvol, kulä, _مصنف, bcup, 
   {{0x7e7b51f0,0x6b9a1a0d,0x69c8020f,0xbb930080}},	//   ccup, rstg, ăden, шающ, 
   {{0xf2d307f5,0x61e2310c,0xf8b900d3,0xceb300d1}},	//   בער_, nvol, нөн_, _כיף_, 
   {{0x6d5800f1,0xa8a42d25,0x25a90460,0xfbcf009c}},	//   _uhva, ирск, vral_, حتی_, 
   {{0xe894012d,0xd91800c8,0x394301dd,0x7aed00a1}},	//   рась, тья_, rojs_, _tnat, 
   {{0x7aedb4cb,0x47342d94,0x7bca0610,0xdb020502}},	//   _unat, ансс, _ipfu, gulä, 
   {{0x27370529,0x00000000,0x00000000,0x00000000}},	// [b6d0] għna_, --, --, --, 
   {{0x58d50088,0x61e242bd,0x2ba90425,0x21270023}},	//   _соот, dvol, _किमा, xinh_, 
   {{0xdd860274,0x0467013e,0x21270108,0xb88202d9}},	//   _گو_, ттам, vinh_, číte, 
   {{0x25a9b4cc,0x521513c3,0x29010026,0xef1f0083}},	//   pral_, лдет, _hoha_, ężko_, 
   {{0xdd861cad,0x28c0000f,0x29015477,0xa0a526ef}},	//   _دو_, श्वि, _koha_, галд, 
   {{0x31bb010c,0x7d090216,0xe3b30444,0x7bca0566}},	//   rêz_, _mêrê, _پرس_, _opfu, 
   {{0x6455b4cd,0x2901b4ce,0xb4c135ff,0xf367b4cf}},	//   _uzzi, _moha_, ्जी_, _атан, 
   {{0xa3c234d8,0x29010180,0xdce300de,0x7e7b02be}},	//   ्बर_, _loha_, _pinď, ucup, 
   {{0x6299b4d0,0x7bca0610,0x7e7bb4d1,0x2007003e}},	//   mawo, _apfu, rcup, syni_, 
   {{0x6299b4d2,0x4c853960,0x637300c3,0x14c65719}},	//   lawo, ылов, _aħni, र्पण, 
   {{0x5edb0033,0x00000000,0x00000000,0x00000000}},	//   ভাবে, --, --, --, 
   {{0x6d46078a,0x6299b4d3,0xdb0900da,0x00000000}},	//   îkar, nawo, budí, --, 
   {{0xed4eb4d4,0xada5538b,0x6da5383a,0x2901014b}},	//   _го_, _салл, _сила, _boha_, 
   {{0xeb992296,0xdce301dd,0x00000000,0x00000000}},	//   _зик_, _finā, --, --, 
   {{0x6299b4d5,0xab2a0088,0x2901b4d6,0x00000000}},	//   kawo, _пока_, _doha_, --, 
   {{0x236d00ab,0x6299b4d7,0x224d3e61,0x00000000}},	//   _niej_, jawo, _oyek_, --, 
   {{0xdce3002a,0xe737030f,0x224da819,0x74ea286c}},	// [b6e0] _zinā, ует_, _nyek_, ндаг_, 
   {{0x7984011d,0x61e20036,0xdb020080,0xa3c2b48b}},	//   _itiw, vvol, sulä, ्बल_, 
   {{0xdb02b136,0x6e2d0a1a,0x00000000,0x00000000}},	//   pulä, _žabl, --, --, 
   {{0xf8c00299,0xe284004e,0x6299b4d8,0x28c02b69}},	//   श्रय, рған, gawo, श्रि, 
   {{0xf1265b8a,0x26d20027,0xdb090183,0x00000000}},	//   лько, meyo_, xudí, --, 
   {{0x61e22e15,0x26d2b4d9,0xbebd012d,0xdfd00038}},	//   rvol, leyo_, siūl, قيت_, 
   {{0x3d070351,0x61e222d0,0xa3df021a,0xa0a5004e}},	//   ाउने_, svol, तिः_, ршіл, 
   {{0x64a600cf,0x26d21e39,0x61e210f3,0x6aa47464}},	//   _шаҳа, neyo_, pvol, _ndif, 
   {{0x9d142918,0xa0b608cb,0x00ca00b3,0x798402b8}},	//   идич, _محاص, _плак_, _ntiw, 
   {{0x0203b4da,0x26d20102,0xfb8600f0,0x00000000}},	//   _узун, heyo_, лымн, --, 
   {{0x9b5900ce,0xef8615b9,0x61d4061f,0x7984095a}},	//   киот_, _слеп, _धनुष, _atiw, 
   {{0x2901b4db,0x656e1bf0,0x7de6091d,0x26d20bcf}},	//   _soha_, _libh, _مستم, jeyo_, 
   {{0xf2d30137,0xdd9414c1,0x26d2b4dc,0x6aa40156}},	//   זער_, _талы, deyo_, _ddif, 
   {{0x6aa41d9c,0x6299b4dd,0x195900d3,0x14c689a8}},	//   _edif, zawo, тагы_, र्मण, 
   {{0x19580088,0x644e098d,0x7bca0610,0x00000000}},	//   уары_, _nybi, _upfu, --, 
   {{0x2ba900b5,0x656e0a75,0x6b56b4de,0x49754f57}},	//   _किता, _aibh, pága, _клис, 
   {{0x291800eb,0x2901b4df,0x2bdc0598,0xdb02b4e0}},	// [b6f0] bhra_, _toha_, यिका, ttlö, 
   {{0x2918b4e1,0xb4c10179,0x62994f36,0x62805490}},	//   chra_, ्जे_, wawo, _afmo, 
   {{0x6299b4e2,0x644e012b,0x656e01fd,0xdb0203c5}},	//   tawo, _cybi, _dibh, rtlö, 
   {{0x6f02052b,0xdb02b4e3,0x656e006c,0x644e00f3}},	//   _nooc, stlö, _eibh, _dybi, 
   {{0x6299b4e4,0xf99f06df,0x69cb00c2,0xb60700fd}},	//   rawo, nsè_, _äged, _сянк, 
   {{0x656e01f5,0x777700c3,0x00000000,0x00000000}},	//   _gibh, _kuxx, --, --, 
   {{0xfe71057f,0x228708ac,0x6299b4e5,0x23e4012d}},	//   يدة_, _бузг, pawo, _літв, 
   {{0x3eb95c3c,0x00000000,0x00000000,0x00000000}},	//   üst_, --, --, --, 
   {{0x7afd0082,0x6f0200a1,0x6b840121,0x224d0175}},	//   djst, _dooc, _čiga, _uyek_, 
   {{0x656e0201,0x1d25063f,0xdca51571,0x61e9b4e6}},	//   _xibh, рмом, јани, _irel, 
   {{0x5ea70086,0xf99f06df,0xd5b70035,0x798400f8}},	//   ক্ষে, syèl_, इंडज, _stiw, 
   {{0xda6648cf,0xab2a55bf,0x6f0201d2,0x2bb60f64}},	//   ивни, тома_, _gooc, _अमरा, 
   {{0x82d60111,0x4a4300fd,0x6b5d0096,0x26d20027}},	//   בורג_, жняв, dégd, veyo_, 
   {{0x26d20b3a,0x61e9011c,0xdce3107c,0x00000000}},	//   weyo_, _mrel, _dină, --, 
   {{0x6f02166b,0x7d0300eb,0x61e9012b,0x9696b4e7}},	//   _yooc, _ions, _lrel, ираш, 
   {{0x0686101b,0x656eb4e8,0x61e9020f,0x644e5625}},	//   рган, _sibh, _orel, _rybi, 
   {{0x7d03b4e9,0xa5260904,0x78bb0062,0x6b560019}},	// [b700] _kons, амад, đuvr, lágo, 
   {{0x64a6b4ea,0x26d2b4eb,0x7d03b4ec,0x399b0225}},	//   ража, seyo_, _jons, _שייד, 
   {{0x656e0175,0xe29a00e4,0x93461061,0x7d03b4ed}},	//   _vibh, вае_, анже, _mons, 
   {{0x7d030204,0xf99f06df,0x644e0098,0xf20603a1}},	//   _lons, zyèm_, _vybi, ияло, 
   {{0x644e006a,0x98a300e0,0x7bc1007e,0xd24f009c}},	//   _wybi, lijā_, htlu, ونم_, 
   {{0x1fa600cf,0x25a004be,0x656e01c5,0x2fcc0183}},	//   ариг, msil_, _uibh, _ppdg_, 
   {{0x64a30278,0xdfd00084,0x03a382f1,0x98a300e0}},	//   _фаса, سية_, _миро, nijā_, 
   {{0x61e93841,0x3ec3134f,0x5fa700b0,0x7d030354}},	//   _frel, осьб, _गिरल, _aons, 
   {{0x61e97736,0xe0dab4ee,0x9df700fd,0x24980ff2}},	//   _grel, _ива_, инът_, _kerm_, 
   {{0xdceb00d9,0x8fa639f7,0x28b200bc,0x00000000}},	//   _rugă, _важе, _जागि, --, 
   {{0x25a0b4ef,0xa3df0035,0x7d03b4f0,0x6c340038}},	//   hsil_, तिए_, _dons, صفحا, 
   {{0x25a0b4f1,0x98a301dd,0x4cd30033,0x7777008a}},	//   ksil_, dijā_, তাগু, _ruxx, 
   {{0x7d03b4f2,0x0c8600d3,0xdd8e0019,0x49a60259}},	//   _fons, _кыйм, _کوڈ_, йырғ, 
   {{0x7d03b4f3,0x2498009e,0x2d86b2ca,0x00000000}},	//   _gons, _nerm_, _itoe_, --, 
   {{0x6b560183,0xf1fa034d,0x00000000,0x00000000}},	//   cágo, ्हड़_, --, --, 
   {{0x6d48b4f4,0xa3c212e3,0x7d030727,0x25a002f1}},	//   loda, ्बई_, _zons, fsil_, 
   {{0xd49b0d49,0x7d030204,0xe6671134,0x249801d2}},	// [b710] вре_, _yons, ртво, _berm_, 
   {{0x44f429e7,0xa8a70f98,0x6e2d0098,0x2d86025b}},	//   опус, _трик, _žabk, _mtoe_, 
   {{0x61e9090b,0x98a300e0,0x9cd700a7,0xd7fb0b81}},	//   _srel, cijā_, שובה_, _руп_, 
   {{0xfaff01ee,0x2ba90b3e,0x00000000,0x00000000}},	//   një_, _किसा, --, --, 
   {{0x2498b4f5,0x672d0010,0x26cb006d,0x6d48b4f6}},	//   _ferm_, miaj, _ibco_, koda, 
   {{0x61e90b91,0x2498b4f7,0x672db4f8,0x660d1fee}},	//   _vrel, _germ_, liaj, myak, 
   {{0x660db4f9,0x6d48b4fa,0x83520019,0x6b56001d}},	//   lyak, doda, _کھلا, xágo, 
   {{0x7d03b4fb,0xf838042c,0x28a70964,0x283800a7}},	//   _sons, ינות_, कृति, ינוך_, 
   {{0xa3df3267,0x7d03b4fc,0x5184081e,0x6d480156}},	//   तिक_, _pons, _духа, foda, 
   {{0x6d4802f5,0x7bc101c4,0x660d011d,0x6b562888}},	//   goda, ttlu, iyak, tágo, 
   {{0x660d0199,0x672d0548,0x8c45b4fd,0x3ea60118}},	//   hyak, kiaj, сене, _fdot_, 
   {{0xa3e8000f,0xf1bb000f,0xfaff024a,0x7d030204}},	//   बित_, _ईमान, gjë_, _wons, 
   {{0xfce5b4fe,0x6d48b4ff,0x7bc1b500,0x5d8500eb}},	//   _голо, boda, stlu, _التل, 
   {{0x7d1ab501,0x17c80a43,0x97da05e0,0x2f18010e}},	//   chts, аҳои_, льбу_, _vége_, 
   {{0x31d40790,0x00000000,0x00000000,0x00000000}},	//   _धन्ध, --, --, --, 
   {{0x98a300e0,0x6b5d026a,0x691000c2,0x25a000c2}},	//   rijā_, tége, _käek, tsil_, 
   {{0x660db502,0x98a301dd,0x00000000,0x00000000}},	// [b720] gyak, sijā_, --, --, 
   {{0x2ed40509,0x25a0b503,0xaa7b253f,0x04461416}},	//   _दस्त, rsil_, ndýn, безн, 
   {{0x6b5d0105,0x4adc007e,0x25a0b504,0x845ab505}},	//   sége, _बसाव, ssil_, урат_, 
   {{0x1db7047c,0x734900dd,0x0f1100c9,0xeb760070}},	//   _आमंत, ачів_, ़सोस_, צענץ_, 
   {{0xc29700e4,0x6d48b506,0x249800a7,0x660d0610}},	//   скіх_, yoda, _term_, cyak, 
   {{0x61432e87,0xc05a08ab,0x69c00241,0xb97b0225}},	//   печа, лій_, çmey, אנסי, 
   {{0x6d481c77,0xf487006b,0x08770070,0x3ef800b3}},	//   voda, _چاہی, זעצט_, инкэ_, 
   {{0x6d48b507,0xf26a1dbd,0xf77300df,0xba3b040b}},	//   woda, _библ_, הקה_, laïe, 
   {{0x6d48b508,0x6282b509,0x6ce65379,0xb6030098}},	//   toda, mcoo, біне, cháč, 
   {{0xa3bc031e,0xdb020502,0xd24f007a,0x672d025b}},	//   _आमा_, hrlä, _أنك_, ziaj, 
   {{0xdeca0ecf,0x00000000,0x00000000,0x00000000}},	//   _булл_, --, --, --, 
   {{0x2ba90838,0x6f1bb50a,0x6d48b50b,0x6f661ed7}},	//   _किरा, chuc, soda, _увез, 
   {{0x6d48b50c,0x63ab00ab,0x672d2f02,0x2bda215e}},	//   poda, ągni, viaj, _बनवा, 
   {{0x672d00ab,0x47d20086,0x2905008c,0xf7730038}},	//   wiaj, হিনী, ðla_, كار_, 
   {{0x672d37a1,0x00000000,0x00000000,0x00000000}},	//   tiaj, --, --, --, 
   {{0x660db50d,0x6b5d010e,0xec3700d1,0x6e2d0604}},	//   tyak, ségb, _לאור_, _žabi, 
   {{0x645c482b,0x236605ae,0x44991d02,0x799603c6}},	// [b730] _azri, dmoj_, иваю_, _gwyw, 
   {{0xe6c00704,0x394a9fb2,0x660db50e,0xba3bb50f}},	//   čišć, cobs_, ryak, raïd, 
   {{0x8cca07d5,0x660d4852,0x3e6f01f0,0xdcfb0588}},	//   त्यो, syak, _kötü_, spuć, 
   {{0x325582ae,0xd6db8722,0xa3aa0a34,0x660d023e}},	//   овер, _сто_, _गटर_, pyak, 
   {{0x28c005fd,0xf4870d3b,0x673d02b0,0x00000000}},	//   श्कि, _губн, _ijsj, --, 
   {{0x644000ab,0x216933bf,0xc24400e4,0xd5b801fc}},	//   _śmie, шили_, чнік, _усю_, 
   {{0xdbf1031e,0x6f1bb510,0x9fa0011c,0x7f4902be}},	//   _přít, thuc, nèèh_, toeq, 
   {{0x0d85b511,0xe8b60497,0x7d180664,0x00000000}},	//   олин, _अञ्च, _alvs, --, 
   {{0x645c0065,0x0cc4075a,0xfe6e00d7,0x2fde0502}},	//   _zzri, वभूम, نگه_, _estg_, 
   {{0x929d0083,0x257f009e,0x00000000,0x00000000}},	//   _koło, _mîl_, --, --, 
   {{0x28c40035,0xeb9902a6,0x6f1b0210,0x4421021e}},	//   _लॉगि, јим_, phuc, nzh_, 
   {{0xbfb40fd0,0x44210151,0xd250006b,0xba3baffe}},	//   _رحمت, izh_, _آنے_, daïb, 
   {{0x4e7803b1,0xdca508ac,0x7de7009c,0x5ca50f25}},	//   _احمد_, _дали, _دسام, _дилб, 
   {{0xdc6900d9,0x00000000,0x00000000,0x00000000}},	//   _калд_, --, --, --, 
   {{0x186a12ce,0x869a8958,0x37e374ef,0x00000000}},	//   рави_, итат_, морг, --, 
   {{0x81d00033,0x26c90175,0x00000000,0x00000000}},	//   ষিত_, gfao_, --, --, 
   {{0x7ae4b512,0xd7f8002e,0x44210339,0xdb0202ae}},	// [b740] _iait, ţă_, ezh_, rrlä, 
   {{0x7ae4b513,0x2f18b514,0x69c401f2,0x8c3c0248}},	//   _hait, _méga_, _iqie, bağd, 
   {{0x7ae44956,0x7af60d17,0x6b5d0107,0x7b2b02d9}},	//   _kait, _knyt, léga, dřuj, 
   {{0x9f4c010c,0x7ae40a9f,0x74130038,0xfaff024a}},	//   _erdê_, _jait, بوما, hmën_, 
   {{0x7ae4b515,0x69c6006b,0x224082c0,0x6b5db516}},	//   _mait, ntke, çik_, néga, 
   {{0x7ae4b3b4,0x62821e17,0x45d900c7,0xfba9009a}},	//   _lait, scoo, _פֿרא, _किंम, 
   {{0xea0100e7,0x6b5db517,0x6f1900f8,0x257f0216}},	//   _đậu_, héga, _blwc, _zîl_, 
   {{0x7ae4b518,0x3da6004f,0x98a30028,0x00000000}},	//   _nait, ороб, miją_, --, 
   {{0xaf0736a7,0x69c401f2,0x9df82d60,0x98a30028}},	//   تقيم_, _nqie, ёнот_, liją_, 
   {{0x7af600a7,0xad260038,0x4096478a,0x85f70070}},	//   _anyt, تربو, _фрат, קציע_, 
   {{0x7ae4b519,0x98a30009,0x747b0070,0x6f190090}},	//   _bait, niją_, יניג, _flwc, 
   {{0x7ae40adb,0x74ca0527,0x25b200da,0x3f8e0027}},	//   _cait, स्तृ, kryl_, mpfu_, 
   {{0x7ae4b51a,0xfce6b51b,0x6b5d0175,0x00000000}},	//   _dait, _модо, géga, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa2db00a2,0x7ae42376,0x1a7700f0,0x37076451}},	//   _नसल्, _fait, _мұны_, очав, 
   {{0x7ae4b51c,0xab2808bd,0x257f03c6,0xba3bb51d}},	//   _gait, _моја_, _pîl_, raïb, 
   {{0x690b03a1,0xaded018b,0xdb02014b,0x59b200c2}},	// [b750] _qües, जियन_, nulý, _जियर, 
   {{0x929d00ab,0x7ae40a9f,0x6abd68e5,0x98a30028}},	//   _poło, _zait, lgsf, fiją_, 
   {{0x7ae402f8,0xb4ab00ab,0x98a30028,0x136b00a3}},	//   _yait, _गयी_, giją_, ашди_, 
   {{0x6abd1950,0x44211f57,0x8cca0035,0xd8380032}},	//   ngsf, rzh_, त्तो, úče_, 
   {{0x237f090b,0x68e50088,0x823400d4,0x5eb90033}},	//   _čuju_, _kahd, ورها, _আসলে, 
   {{0x673b02f5,0x68e5b51e,0x290302a2,0xc0cbb51f}},	//   čuju, _jahd, njja_, руде_, 
   {{0xa2953e23,0x68e5030f,0x98a300e4,0x657db520}},	//   _наві, _mahd, ciją_, _hush, 
   {{0x657db521,0x439502c0,0xdfce00d4,0x65750175}},	//   _kush, _маҳс, ايي_, _hizh, 
   {{0x7ae4b522,0x62342765,0xc3320147,0x2d8d018e}},	//   _rait, _жету, _נומ_, upee_, 
   {{0x7ae4b523,0x68e5b524,0x0c2503dc,0x80b40d51}},	//   _sait, _nahd, змон, _обух, 
   {{0x8f830c67,0x7ae4b525,0xfaff024a,0x657d6750}},	//   _ўқил, _pait, rmën_, _lush, 
   {{0x2fc7012b,0xaa460002,0x2f180696,0xfaff021e}},	//   mtng_, земл, _téga_, smën_, 
   {{0xa9a34ce4,0x657da3cf,0x7ae4b526,0x98a30028}},	//   нияд, _nush, _vait, ziją_, 
   {{0xa96a00cf,0x5fbf031e,0x68e5008a,0x7ae4b527}},	//   сига_, _एमाल, _cahd, _wait, 
   {{0x7ae4b528,0x69c6b529,0xf863ab0c,0x68e50096}},	//   _tait, stke, евро, _dahd, 
   {{0x657db52a,0x691000c2,0x7ae4006c,0x2fc70175}},	//   _bush, _näev, _uait, itng_, 
   {{0xf1da00ab,0x68e5923d,0x7abb00d1,0x65750034}},	// [b760] _मैंन, _fahd, _הצפו, _bizh, 
   {{0x657db52b,0xd5af04bc,0x6b5602aa,0x2a60040c}},	//   _dush, افل_, dági, _izib_, 
   {{0x3c2101f1,0xa87b00a7,0x387a0474,0x2fc70604}},	//   _eгvv_, _לאיר, _igpr_, jtng_, 
   {{0x657d01ee,0x98a3012d,0x2b81b52c,0xf7460b68}},	//   _fush, riją_, _móc_, _хемо, 
   {{0x657db52d,0xaac1031e,0x98a30009,0x673b0fb5}},	//   _gush, ष्टक, siją_, čujt, 
   {{0x28c03512,0x6455026e,0x03a618ae,0x2d8200bc}},	//   श्चि, _fyzi, _ниго, íkem_, 
   {{0x04433005,0xbbda031e,0x2b810023,0xb4b829c4}},	//   _зерн, _बनेक, _nóc_, छली_, 
   {{0x543b00a7,0x671c0c94,0xadf40091,0x657d0104}},	//   _העלא, नसिक_, дпиш, _yush, 
   {{0x4343005b,0x657d00a3,0xe12600ff,0x00000000}},	//   _четв, _xush, _емаи, --, 
   {{0xdd8f004e,0x2b810023,0x6b5d0096,0x00000000}},	//   _үш_, _bóc_, gégn, --, 
   {{0xdbf1031e,0x2b8100e7,0x69c0022c,0x2a60009e}},	//   _přát, _cóc_, àmen, _azib_, 
   {{0x60c41799,0x7c4201dd,0x290c02ae,0xaa592b5e}},	//   đimu, _ātrā, ödan_, жиму_, 
   {{0x6abd0343,0x00000000,0x00000000,0x00000000}},	//   rgsf, --, --, --, 
   {{0x61ed06d0,0xb4ab00ab,0x67d5585e,0xb4e6000d}},	//   çilə, _गये_, могу, भयो_, 
   {{0x2b81001b,0xd7f852b2,0xb905258c,0x68e5b52e}},	//   _góc_, пут_, _नस_, _vahd, 
   {{0x443f02f5,0x68e5007b,0x7d0ab52f,0x657da3e1}},	//   _ću_, _wahd, _hofs, _push, 
   {{0x1bea0c8f,0x68e5b530,0x6aad7284,0x657d00a3}},	// [b770] टिवल_, _tahd, _idaf, _qush, 
   {{0x04670593,0xe61f0156,0x798db531,0xdb029ce2}},	//   птем, _ffôn_, _itaw, buló, 
   {{0x69100077,0xedd9031e,0x6d460216,0x1e1804cc}},	//   _päev, _भन्छ, îkay, धनुष_, 
   {{0x657d00cf,0x6b560165,0x636300c2,0x64550ed0}},	//   _tush, tági, kõne, _vyzi, 
   {{0xbebd0028,0x798d01f2,0x00000000,0x00000000}},	//   kiūr, _jtaw, --, --, 
   {{0xdb1b0088,0xe4e400dd,0x798d0247,0x6b560126}},	//   lttä, _пісн, _mtaw, rági, 
   {{0x20540141,0xa3d450eb,0xa066b532,0xd0060093}},	//   нтър, _порч, маша_, деще_, 
   {{0xdb1b00c8,0x6b560126,0x6aadb533,0x798db534}},	//   nttä, pági, _ndaf, _otaw, 
   {{0x798d1124,0x2b81b535,0x2d995c31,0x7d0a7b90}},	//   _ntaw, _sóc_, èse_, _bofs, 
   {{0xee369256,0x6aad1ab0,0xb4ab031e,0x691000b0}},	//   ьны_, _adaf, _गयो_, _jäet, 
   {{0x798d20ca,0x3c6502fb,0xcb6a3d87,0xbb46b536}},	//   _ataw, ьког, жане_, денк, 
   {{0x2b810023,0xdd9511ec,0x6b5d039f,0xcf27007a}},	//   _vóc_, _жады, ségn, _عراي, 
   {{0x80c4031e,0xc6120033,0x1dc10299,0x6aad00f3}},	//   _रामे, _সেনা_, _शमित, _ddaf, 
   {{0x2b810029,0x3ebf03a1,0xeb993acd,0x69102b92}},	//   _tóc_, lgut_, _дик_, _näet, 
   {{0x798d269b,0xa3dc03ce,0x3b0a149b,0x00000000}},	//   _etaw, _तैं_, _меко_, --, 
   {{0x3ebfb537,0x2c0a031e,0x7b060183,0x1867186c}},	//   ngut_, ाहरू_, _lóuz, фаси_, 
   {{0xf50ab538,0xe5a3a252,0x35a300a3,0x8c3c3063}},	// [b780] онал_, кити, катг, mağa, 
   {{0xb4b800ab,0x3ce7b539,0x34d800aa,0x6f0b0354}},	//   छले_, _janv_, ड़ेद, _logc, 
   {{0x186a2a88,0x6f0b01d2,0x00000000,0x00000000}},	//   _фани_, _oogc, --, --, 
   {{0xdb090453,0x00000000,0x00000000,0x00000000}},	//   ardæ, --, --, --, 
   {{0xb5fb014b,0x316a1ed7,0x00000000,0x00000000}},	//   _vzác, ошко_, --, --, 
   {{0x26c0b53a,0x2918b53b,0x2f180096,0x00000000}},	//   lgio_, nkra_, _pégo_, --, 
   {{0xf3e300a3,0x2bddb53c,0x7d0a040b,0x00000000}},	//   _ижро, _फैला, _rofs, --, 
   {{0xef9100d4,0x03a60f5a,0x6910007e,0x26c0b53d}},	//   ایند, _ниҳо, _käes, ngio_, 
   {{0x8c3c0095,0x2918b53e,0x6b8d00ca,0x00000000}},	//   dağa, kkra_, _čaga, --, 
   {{0x6b5d0518,0x5edb0033,0x7d0a024a,0x9ffa0038}},	//   tégo, ভাগে, _qofs, _وراء_, 
   {{0xdb1b0df8,0xccf8031e,0x798d00ab,0x34b700a7}},	//   yttä, dmět_, _staw, ופים_, 
   {{0x7bc80b1f,0xef69007a,0x00000000,0x00000000}},	//   rtdu, _فإنه_, --, --, 
   {{0xff2700c5,0x5887915a,0xdb1b0034,0xa3e50eda}},	//   _تبلی, дыба, lutë, _बैन_, 
   {{0xfc2f09e8,0x3ea4b53f,0x00000000,0x00000000}},	//   احی_, lamt_, --, --, 
   {{0xba3bb540,0x36d5b541,0x9be6004f,0xdb1b0034}},	//   caïn, новр, _цілк, nutë, 
   {{0x26c00021,0x6d5ab542,0x8cca1d57,0x69c800d9}},	//   ggio_, llta, त्रो, ăder, 
   {{0x798db543,0xc61200cc,0x95c80afc,0x16340995}},	// [b790] _utaw, _সেবা_, духа_, ветя, 
   {{0x2918014e,0x6d5a02a5,0xa4d803a1,0x00000000}},	//   ckra_, nlta, мдуу_, --, 
   {{0xa775185b,0xf3150528,0x6d5ab544,0xe85902a3}},	//   _плоч, нджэ, ilta, _ханш_, 
   {{0xae0e0b79,0x65950e1b,0x6d5ab545,0x00000000}},	//   िहान_, _паму, hlta, --, 
   {{0xf1a7227f,0xa159b546,0x00000000,0x00000000}},	//   френ, паду_, --, --, 
   {{0x25a9b547,0xa2db00bc,0xd59a00d1,0x2f1101d5}},	//   msal_, _नसक्, _מבשל, _lágt_, 
   {{0x25a9b548,0x44250f2d,0x691000bd,0x00000000}},	//   lsal_, _ål_, _käer, --, 
   {{0x6d5ab549,0x261600a2,0xf364002e,0x00000000}},	//   elta, पैकी_, _атун, --, 
   {{0x25a9b54a,0xee39b54b,0x5334004e,0x98a30009}},	//   nsal_, яни_, _ретт, siję_, 
   {{0xb69b0237,0x271c0e6e,0x25a9b54c,0x00000000}},	//   _goâv, _नत्र_, isal_, --, 
   {{0xc4d200c7,0xed5900ef,0x25a904be,0xd011007a}},	//   נגט_, juže_, hsal_, _حلا_, 
   {{0x6d5a004c,0xed59044e,0x25a90b8b,0x441a00d1}},	//   alta, duže_, ksal_, פורס, 
   {{0x776d0126,0x6b5602aa,0x88e40033,0x8c3c0d16}},	//   dmax, xágu, মাসক, rağa, 
   {{0x291e5194,0x8c453ac9,0xfce200d3,0x8d653af7}},	//   óta_, _пеле, _бошо, _явле, 
   {{0x9d1a00c7,0x46f640f2,0x7c843182,0xc0520070}},	//   _מוסט, нчат, _руче, ָזן_, 
   {{0x66e3b54d,0x2918b54e,0xeab2007a,0x00000000}},	//   лоса, skra_, _صعب_, --, 
   {{0xea0100f7,0x26c0673a,0x05660b84,0x37758f40}},	// [b7a0] _đầu_, rgio_, еван, тырс, 
   {{0x7d7a0070,0x2ca56a3d,0x69100080,0x779400d7}},	//   פרעג, nald_, _väes, _لیسا, 
   {{0x389b0137,0xd7ea0161,0x25a90102,0x6b8b0474}},	//   _מיינ, _эмне_, asal_, _îngă, 
   {{0xfe670e61,0x2ca5947b,0x96ba022a,0x00000000}},	//   _مد_, hald_, _عاجز_, --, 
   {{0xa3e50262,0x6d5a0219,0x3ce00662,0x2ca534f9}},	//   _बैठ_, ylta, _कसले_, kald_, 
   {{0x672419e3,0x1c0f034d,0x2ca501d5,0xdb1b0034}},	//   lhij, ाहाल_, jald_, tutë, 
   {{0xe29a0a43,0x4ac600a2,0x7e621d04,0x1543b54f}},	//   _нав_, _वाढव, _szop, _серм, 
   {{0x6d43458b,0x67240082,0x00000000,0x00000000}},	//   _ajna, nhij, --, --, 
   {{0xb146078f,0x2ca50310,0xa3e80d0d,0x6aa60065}},	//   _знал, fald_, बिक_, dakf, 
   {{0x3ea4b550,0xdb1b0034,0x61e264d6,0x217628c1}},	//   samt_, putë, mwol, _чубр, 
   {{0xaa9502f1,0xe5710070,0x9f4c00da,0x6d5ab551}},	//   кинч, יַט_, _hrdí_, rlta, 
   {{0xa4fd000c,0x5884004e,0xd00f009c,0x25a97210}},	//   _उच्च_, ғыра, _دلم_, ysal_, 
   {{0x2ca501c4,0x298b0093,0xdb1b0098,0xf8b903a1}},	//   bald_, ясно_, nuté, мөн_, 
   {{0x63be0098,0xf456040c,0x398603c6,0x1d07b552}},	//   kupn, _bog鼠, _dôs_, _печи_, 
   {{0x67d457f0,0x98480093,0x63be0946,0x61e202eb}},	//   лору, еята_, jupn, hwol, 
   {{0x63be005c,0x61e2b553,0x25a9b554,0x7bcf0083}},	//   dupn, kwol, tsal_, ńcuc, 
   {{0x25a926e0,0xf6530d4b,0x00000000,0x00000000}},	// [b7b0] usal_, ائز_, --, --, 
   {{0x2edd07d5,0x25a9b555,0x7d1ab556,0xf9900038}},	//   _मस्त, rsal_, nkts, _ابي_, 
   {{0x25a9b557,0x0fdc01ec,0x00000000,0x00000000}},	//   ssal_, _मनगढ, --, --, 
   {{0x67240b32,0x25a9031e,0x62750038,0x6b56039f}},	//   chij, psal_, نهائ, lágr, 
   {{0xdd860535,0x66640141,0x5f040e07,0x91e5b558}},	//   _خو_, _бърз, वान्_, толе, 
   {{0x78a70588,0xe8d9023a,0xccf800bc,0x7bd8098f}},	//   najv, _itỳ_, změr_, _opvu, 
   {{0x7c28032f,0x63be016a,0x2ca5b559,0x22950038}},	//   jzdr, cupn, vald_, _للأس, 
   {{0x2566026a,0x2ca5b55a,0x63b80228,0x4ac60299}},	//   rôle_, wald_, ávne, _वाधव, 
   {{0x62841810,0xafe302f1,0x2ca50844,0xba3b0054}},	//   žioc, тоқл, tald_, faïm, 
   {{0x2f115852,0x61e4027e,0x25660106,0x00000000}},	//   _págs_, çile, pôle_, --, 
   {{0x8c45b55b,0x00000000,0x00000000,0x00000000}},	//   тене, --, --, --, 
   {{0x2b160093,0x3986019c,0xde950267,0xdb0900b9}},	//   тьор, _pôs_, _радњ, nsdè, 
   {{0xb5fb010e,0x6aa60065,0x0b4308af,0x6f0902c7}},	//   _szán, rakf, рнян, mjec, 
   {{0x186a0c67,0x6fd80394,0x6f0902c7,0x9e64347a}},	//   даги_, _महमू, ljec, _свід, 
   {{0xea010029,0xfbc7004e,0x61e200ab,0x98a357c3}},	//   _đấu_, _яғни_, zwol, рисе, 
   {{0x2eed0065,0x66040a9f,0x6b836a75,0x6f1b02eb}},	//   ndef_, txik, _iung, nkuc, 
   {{0x6724b55c,0x6d41b55d,0x0683b55e,0xe5a6117c}},	// [b7c0] rhij, onla, ргун, тизи, 
   {{0x6724024d,0x63be05a8,0xe6c90eae,0x6d41b55f}},	//   shij, tupn, čašć, nnla, 
   {{0x6d41b560,0x6b83b561,0xe8d9023a,0x68fe02a3}},	//   inla, _jung, _etỳ_, _inpd, 
   {{0x6b83b562,0x6441b563,0x63be033e,0x61e2b534}},	//   _mung, _žlic, rupn, twol, 
   {{0x9c7c063b,0x6f091c7b,0x6b830da3,0xdce30242}},	//   leče, djec, _lung, _linđ, 
   {{0x61e20156,0x6aa4b564,0x415301fc,0xdb1b0126}},	//   rwol, _leif, авіс, ruté, 
   {{0x03a3b565,0x6b8334e8,0xb4deb566,0x6363007e}},	//   _висо, _nung, ढ़ी_, sõna, 
   {{0x04432c25,0xdb1b0107,0x3ea204f4,0xd46700b3}},	//   _тесн, puté, úkt_, _рисе_, 
   {{0x91e35cd2,0x5d540d38,0x3eb90038,0x6b83025b}},	//   _коте, лкит, ósta_, _aung, 
   {{0x6b83b567,0xb0c95411,0x8c3c0585,0x00000000}},	//   _bung, _रायग, bağl, --, 
   {{0x9c7c0f30,0x6b83b568,0x6b5db569,0x6f09b56a}},	//   ječe, _cung, légi, bjec, 
   {{0xddcfae0d,0x7984011c,0x7c2800ca,0x6aa4b56b}},	//   žešk, _buiw, rzdr, _ceif, 
   {{0x645c9d80,0x6aa4b56c,0x6b83002c,0x7def010e}},	//   _lyri, _deif, _eung, rősö, 
   {{0x79840876,0xa13d03c6,0x00000000,0x00000000}},	//   _duiw, _gwŷd, --, --, 
   {{0xf7731896,0x28d23512,0x6b83b56d,0x6b56145a}},	//   لار_, द्धि, _gung, rágr, 
   {{0x27fe0219,0x6aa400f3,0x99e40032,0x62800537}},	//   åtna_, _geif, žňav, _ngmo, 
   {{0x645c09a3,0x657c06e4,0xf96b00d3,0x7aed0102}},	// [b7d0] _ayri, _birh, _орой_, _iaat, 
   {{0x7aedb56e,0x6b832b2c,0xe5c41571,0xb867b198}},	//   _haat, _yung, јсто, _لاجو, 
   {{0xf48403a1,0x7aed20eb,0x6b83b56f,0x5ea80033}},	//   руун, _kaat, _xung, _গানে, 
   {{0x7aedb570,0x00000000,0x00000000,0x00000000}},	//   _jaat, --, --, --, 
   {{0x7aed3f0b,0x6f090a9d,0x69cf427c,0x2249027e}},	//   _maat, vjec, ntce, çak_, 
   {{0x645c3bf7,0x7aedb571,0x1bf405fd,0x0cbd0086}},	//   _fyri, _laat, ेमाल_, _অস্ত, 
   {{0x6f093b0f,0xb60300da,0x69cf00b4,0x27270108}},	//   tjec, skáč, htce, _cõng_, 
   {{0x765d030f,0x6b83b572,0x7aedb573,0x6e29b574}},	//   _kysy, _rung, _naat, tzeb, 
   {{0x6aa4b575,0xdce30df4,0x6b83036d,0x6d41b576}},	//   _reif, _sinđ, _sung, tnla, 
   {{0x6b8309e8,0x6f09027c,0x61e9b577,0x6e290463}},	//   _pung, sjec, _isel, rzeb, 
   {{0xb5fb006b,0xfaa6b578,0x7aed0547,0x3dcd0463}},	//   _szál, лано, _baat, stew_, 
   {{0x7aedb579,0x6b83b57a,0x69cf0657,0x00000000}},	//   _caat, _vung, ftce, --, 
   {{0x9c7cb57b,0x3f853d94,0x6b83b57c,0x61e901f2}},	//   veče, _hulu_, _wung, _jsel, 
   {{0x92df0086,0x2f180019,0x3f8572f5,0x25660054}},	//   তায়_, _régi_, _kulu_, kôla_, 
   {{0xc81502fb,0x3f851810,0x7aed46df,0x9c7c203b}},	//   аєть, _julu_, _faat, teče, 
   {{0x7bc1b57d,0x3f852e89,0x777d0183,0x61e98836}},	//   mulu, _mulu_, _cisx, _osel, 
   {{0x7bc1b57e,0x765d02f0,0x645c52ea,0x777d0183}},	// [b7e0] lulu, _cysy, _syri, _disx, 
   {{0xb4de0a44,0x7aed5bff,0x9c7c1c2b,0x3f8500c8}},	//   ढ़े_, _zaat, seče, _oulu_, 
   {{0x9c7cb57f,0x7bc1b580,0x657c0088,0x06b00033}},	//   peče, nulu, _virh, ঙ্গি, 
   {{0x645c3431,0x6b5db581,0x7bc100b3,0x636300b0}},	//   _vyri, tégi, iulu, sõnn, 
   {{0x7bc1b582,0x657c0102,0x765d0156,0xc6120086}},	//   hulu, _tirh, _gysy, _সেরা_, 
   {{0x7bc1b583,0x3f851021,0x645c00e4,0xdce300e0}},	//   kulu, _bulu_, _tyri, _minē, 
   {{0xd547b584,0x7bc1b585,0x61e9b586,0x6b5d039f}},	//   _спре_, julu, _esel, ségi, 
   {{0x3f8511f7,0x7bc1b587,0x60c80542,0x6d58b588}},	//   _dulu_, dulu, _wcdm, _skva, 
   {{0x9cca001c,0xd33500e4,0xe1fa021d,0x7aedb589}},	//   нына_, _тэры, _яга_, _raat, 
   {{0x7aedae97,0x7bc1b58a,0x3b0002f1,0x2dd70038}},	//   _saat, fulu, _aniq_, ابية_, 
   {{0x7bc18ad0,0xdeefb58b,0x3f850727,0x78a500b0}},	//   gulu, _лы_, _gulu_, _rehv, 
   {{0xb5fb0105,0x317e02ba,0x6da600ce,0x272700c2}},	//   _szám, _hitz_, _бида, _kõne_, 
   {{0x7aed6f38,0x3f851ddb,0xa2cc2b48,0x00000000}},	//   _vaat, _zulu_, _हान्, --, 
   {{0x6d58008b,0x7aedb58c,0x2727007e,0x3ea60175}},	//   _ukva, _waat, _mõne_, _heot_, 
   {{0x7aed6c6d,0x7bc1b58d,0xc7b8b58e,0x273f0080}},	//   _taat, culu, лёт_, jänä_, 
   {{0xcb6900d4,0x765d0088,0x7bcf00b3,0xbb590148}},	//   _جمعه_, _pysy, ăcut, _шайх_, 
   {{0xdb1b014b,0x4ca70033,0x3ea61c7f,0xb8db0033}},	// [b7f0] nutí, _খাতু, _meot_, _ইউ_, 
   {{0x58d503dd,0x765d0098,0x00000000,0x00000000}},	//   _тоот, _vysy, --, --, 
   {{0x765d00ab,0x61e9332a,0xb97a00d1,0x00000000}},	//   _wysy, _ssel, _שנתי, --, 
   {{0x92eb00eb,0x14c700a2,0x317e00b4,0xdb1b8698}},	//   عراق_, _लावण, _aitz_, kutí, 
   {{0xe189004e,0xa3e50b79,0x7bc1b58f,0xa0a503a1}},	//   төбе_, _बैर_, zulu, аалд, 
   {{0xf77f0c05,0x1fb5b590,0xb5240235,0x7bc1b591}},	//   _hiç_, асир, _льск, yulu, 
   {{0x6b5d0107,0x7bc100b3,0x2af500a5,0x7e0d00bc}},	//   légu, xulu, इयाँ_, ाङ्ग_, 
   {{0x61e90364,0xd3430a5a,0x2d860226,0x7bc1b592}},	//   _tsel, _افری, _buoe_, vulu, 
   {{0x2bdd0035,0x3ea66d19,0xb5fb010e,0xfaff0034}},	//   _फैजा, _deot_, _száj, hmës_, 
   {{0x3f85b593,0x6ffc0474,0x00000000,0x00000000}},	//   _tulu_, _băcă, --, --, 
   {{0x30840084,0x237f0118,0xa2cc000d,0x2a6920fd}},	//   _المف, _kiuj_, _हाम्, _azab_, 
   {{0x7bc1b594,0x2901b595,0xb5fb0356,0x2d86084c}},	//   rulu, _anha_, _vzáj, _fuoe_, 
   {{0x7bc1b596,0xfe9a0056,0x6da500a3,0x99e40032}},	//   sulu, _סיסמ, _тила, ľňov, 
   {{0x82760137,0xa96a00cf,0x7c8724a8,0x291311c9}},	//   יערע_, тига_, _суде, _coxa_, 
   {{0xa3e51561,0x26cbb597,0x07a6401f,0xbd68122f}},	//   _बैल_, _bcco_, рабн, _срце_, 
   {{0x273f0088,0xd9100a5a,0x6fd8042b,0x29010096}},	//   vänä_, _کیس_, _महसू, _enha_, 
  
   {{0x29130183,0x2ca7b598,0x9c7c00ca,0x225f011c}},	// [b800] _foxa_, _kend_, meča, _nyuk_, 
   {{0x33f63950,0x26cb0141,0x9c7c0455,0x2ca7b599}},	//   ичес, _ecco_, leča, _jend_, 
   {{0x225f016a,0x2ca7024a,0x3958b59a,0x00000000}},	//   _ayuk_, _mend_, mors_, --, 
   {{0x28d2000c,0x48ee031e,0x225f023e,0x98b80009}},	//   द्रि, इएको_, _byuk_, torė_, 
   {{0xdb0202ae,0x273f0080,0x317e01d6,0x00000000}},	//   mslä, sänä_, _pitz_, --, 
   {{0x3958b59b,0xe5a30a43,0xc05a00dd,0xd12f07cb}},	//   nors_, _фири, кій_, ومن_, 
   {{0xf8b300a7,0x443eb59c,0x637a4138,0x98b1020f}},	//   קשה_, _ät_, _асар_, liză_, 
   {{0x9c7c10ba,0x3958026a,0xdb0225a6,0x2bd900aa}},	//   ječa, hors_, nslä, यौछा, 
   {{0x60ea1fde,0x3958b59d,0x2a60006d,0xcd06b59e}},	//   _имам_, kors_, _nyib_, ачни, 
   {{0x39580293,0x644300ab,0x2eef008a,0x6ffc00b3}},	//   jors_, źnie, _eagf_, _păcă, 
   {{0x395801bb,0x2ba60035,0x29131484,0x2a606478}},	//   dors_, _कौशा, _roxa_, _ayib_, 
   {{0xee3ab59f,0x2ca712b6,0x00000000,0x00000000}},	//   _ине_, _eend_, --, --, 
   {{0x3958b5a0,0x8d9400eb,0x27fa012b,0x6ab60156}},	//   fors_, _التش, _arpn_, _ddyf, 
   {{0xf77f00e5,0x6fca00bd,0x6ca300fd,0x67260354}},	//   _siç_, संपू, _дръж, _alkj, 
   {{0xe78725bd,0x6f022e20,0xf77f0241,0xfaff021e}},	//   руго, _knoc, _piç_, umës_, 
   {{0x6c7b0111,0xfaff024a,0x3704b5a1,0xdb020219}},	//   _באופ, rmës_, очув, gslä, 
   {{0xa4d9005e,0x29130068,0xfaff021e,0x8754017b}},	// [b810] лдау_, _toxa_, smës_, ікує, 
   {{0x2901b5a2,0x3958b5a3,0x6b5d0212,0x67260a1f}},	//   _unha_, cors_, régu, _elkj, 
   {{0x236d006d,0x656e00a1,0x00000000,0x00000000}},	//   _phej_, _dhbh, --, --, 
   {{0x1fcc0086,0x2b59b5a4,0xe50503ce,0x850500a5}},	//   লবাস, nosc_, राहि_, राहट_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x60250508,0x6f02b5a5,0x9397007a,0x1ae30033}},	//   йдла, _anoc, _نجرا, যায়া, 
   {{0x2ca7b5a6,0xed590e65,0xd37b81d4,0x63be090e}},	//   _rend_, ғон_, _ача_, crpn, 
   {{0x2ca700a7,0x8505130c,0x26c92a8e,0x6f0288ce}},	//   _send_, रावट_, ngao_, _cnoc, 
   {{0x9c7c02ee,0xa194285b,0xed5901a2,0x2ca7010c}},	//   veča, _матч, лои_, _pend_, 
   {{0x0d823e23,0x6f02b5a7,0x61fb252c,0x00000000}},	//   яльн, _enoc, _irul, --, 
   {{0x2ca7b5a8,0x3958b5a9,0x61fb02fe,0x9c7c5402}},	//   _vend_, vors_, _hrul, teča, 
   {{0x6f02b5aa,0x61fbb5ab,0x2ca70326,0x39580326}},	//   _gnoc, _krul, _wend_, wors_, 
   {{0x9c7c003a,0x3958b5ac,0x0a3a0528,0x3ead08bb}},	//   reča, tors_, учны_, maet_, 
   {{0x9c7cb5ad,0xdb020f96,0x8a391d02,0x00000000}},	//   seča, dslå, ряют_, --, 
   {{0x9c7c000d,0x7d03b5ae,0x7d1cb5af,0x2b5902df}},	//   lečn, _inns, örse, bosc_, 
   {{0xdc390405,0x3958b5b0,0xa68613cc,0xe76a243d}},	//   _aħħa, sors_, слад, احسن_, 
   {{0x9c7c0076,0x7ae601f0,0xa3ca00a2,0xdb0215f2}},	// [b820] nečn, mekt, ळून_, gslå, 
   {{0x69c6b5b1,0x63b80228,0x63be0613,0x98b1020f}},	//   muke, ávno, trpn, riză_, 
   {{0xe73ab5b2,0x61fbb5b3,0x941800ad,0xdb1b010e}},	//   _бен_, _arul, _yerə_, lutá, 
   {{0x61fbb5b4,0x6b5d3dd9,0x35c40283,0x00000000}},	//   _brul, légr, _қаҳҳ, --, 
   {{0x9c7c61cf,0x7ae602ba,0x69c6b5b5,0x023a070f}},	//   ječn, iekt, nuke, دثات_, 
   {{0x28db000c,0x7ae6b5b6,0x9c7c014b,0x9f98311c}},	//   म्पि, hekt, dečn, авку_, 
   {{0xdfd000eb,0xdefa0161,0x74160499,0x69c6359d}},	//   ذية_, гып_, _اوزا, huke, 
   {{0x69c6b5b7,0x7d031a29,0x61fb02a3,0x3ead02a2}},	//   kuke, _anns, _frul, gaet_, 
   {{0xa63b00c7,0x69c639c6,0x4226210a,0xb2266890}},	//   ָגיר, juke, _удав, _умал, 
   {{0x5046b5b8,0xdce30009,0x69c6b5b9,0xdceb0028}},	//   _лезб, _minė, duke, _mugė, 
   {{0x7ae641d7,0x628500bc,0x3ead0102,0x2cac00f8}},	//   fekt, ěhov, baet_, radd_, 
   {{0x09bf0086,0x8e860038,0xdcf801dd,0x3c0e00ad}},	//   েবসা, _الإه, _divā, nəvi_, 
   {{0xc3330056,0x941800ad,0x69c6b5ba,0x00000000}},	//   פוש_, _verə_, guke, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x0d3b0052,0x77640183,0x7ae6b5bb,0x6d48b5bc}},	//   _תגוב, flix, bekt, mnda, 
   {{0xf7700198,0x7ae601f0,0x69c6b5bd,0x26c904cb}},	//   فاق_, cekt, buke, ugao_, 
   {{0xe6670ee8,0xb505000f,0xdb240019,0x6d481ee8}},	// [b830] ство, रालय_, _írás, onda, 
   {{0x6d48b5be,0x6aaf007a,0xdb022379,0x00000000}},	//   nnda, lacf, rslå, --, 
   {{0x6d48b5bf,0xadea00c2,0x1aec0033,0x68e75f9e}},	//   inda, _जैसन_, টারে_, mejd, 
   {{0x61fb01d2,0x6d5ab5c0,0x321d0083,0x6d48009e}},	//   _prul, hota, tywy_, hnda, 
   {{0x2179005e,0x6d5ab5c1,0x7e622d50,0x80c41687}},	//   айды_, kota, _nyop, _राखे, 
   {{0x68e714f0,0x6594b5c2,0x9c7cb5c3,0xdceb01f2}},	//   nejd, _хару, večn, _itgħ, 
   {{0x7ae6b5c4,0x6d5ab5c5,0xdfce00eb,0x3d0c0035}},	//   yekt, dota, نيو_, ़ाने_, 
   {{0xef193ead,0x6d48b5c6,0x9c7c000d,0x61fbb5c7}},	//   рми_, enda, tečn, _trul, 
   {{0x6b8a02ec,0x6d48008c,0x3ead01e8,0xace90df4}},	//   _aufg, fnda, raet_, ампа_, 
   {{0x6d5ab5c8,0x9c7c1c76,0x1c450251,0x637102ae}},	//   gota, rečn, жном, fång, 
   {{0x5fdd0ee0,0x9c7c0412,0x6371022b,0xdc690a43}},	//   _महिल, sečn, gång, ранд_, 
   {{0x6d48b5c9,0x2fc7b5ca,0x69c6b5cb,0x7e62019b}},	//   anda, mung_, tuke, _fyop, 
   {{0x6d5ab5cc,0x2fc7b5cd,0x6b5d026d,0xa2cc05f6}},	//   bota, lung_, tégr, _हास्, 
   {{0x6d5ab5ce,0x69c6b5cf,0x7f5b02aa,0x7d03b5d0}},	//   cota, ruke, louq, _unns, 
   {{0x2fc7b5d1,0x3cee02f8,0x272700b0,0xddc20613}},	//   nung_, _असते_, _sõna_, _izoš, 
   {{0x7f49b471,0x69c6b5d2,0x28db0c64,0x291e00b0}},	//   nneq, puke, म्बि, ötab_, 
   {{0x68e70022,0xf09f00f7,0x2fc7b5d3,0xb4aa4f49}},	// [b840] bejd, _đàn_, hung_, иказ_, 
   {{0x2fc72157,0x61e40092,0xf53f0219,0xf50700d9}},	//   kung_, çilm, _svår_, онул_, 
   {{0x2fc771d5,0x753e01ca,0x13ea7d41,0x6b84b5d4}},	//   jung_, ripz, рмей_, _kiig, 
   {{0x2fc7170d,0x672db5d5,0xe1fab5d6,0xc7b3008d}},	//   dung_, chaj, иге_, _קבר_, 
   {{0x6d48b5d7,0x6d5a0053,0xa3e600c9,0x2fc7002c}},	//   ynda, yota, _भनक_, eung_, 
   {{0x6b843356,0x2fc7b5d8,0xf8aa0262,0x6d5a01f1}},	//   _liig, fung_, करिय, xota, 
   {{0x6d5ab5d9,0x6d4834f9,0x4fc602c8,0xa2da0035}},	//   vota, vnda, іска, नभद्, 
   {{0x68e700ab,0x6724b5da,0x6d5ab5db,0x3f82003e}},	//   zejd, nkij, wota, öku_, 
   {{0xf77300a7,0x6d5ab5dc,0x1ee800d4,0x628d0ab4}},	//   וקה_, tota, لوژی_, žaoc, 
   {{0x6d48b5dd,0x2366024a,0xa3ce02e6,0x20cab5de}},	//   unda, lloj_, _शमा_, _خبري_, 
   {{0x6d5ab5df,0x6724b5e0,0x6d48b5e1,0xe61f001b}},	//   rota, kkij, rnda, _ngôn_, 
   {{0x6d5ab5e2,0x6724b5e3,0x78a20082,0x2bdb0497}},	//   sota, jkij, _đova, _बहरा, 
   {{0x6d5ab5e4,0x3f8c008a,0x9f4c00eb,0x5a340cb4}},	//   pota, _hudu_, _ordú_, днят, 
   {{0x3f8cb5e5,0x6d5a0104,0x63712379,0x00000000}},	//   _kudu_, qota, måne, --, 
   {{0x63710c17,0x29050585,0x76ab5328,0xfe6d0019}},	//   låne, ıla_, итав_, _لگی_, 
   {{0x7d18b5e6,0x3f8c002c,0x9f4c0038,0x6b840608}},	//   _hovs, _mudu_, _ardú_, _giig, 
   {{0x672db5e7,0x5887004e,0x7bc800b2,0x2fc701c4}},	// [b850] rhaj, _мына, ludu, zung_, 
   {{0x2fc7b5e8,0x672d086d,0xf09f0029,0xd49b0200}},	//   yung_, shaj, _đào_, рра_, 
   {{0x80c43512,0x3eb9012d,0xa2cc0299,0xba3b0151}},	//   _राजे, ųsti_, _हाश्, maïq, 
   {{0x7d18b5e9,0xdceb192c,0x672400ef,0x80cd0db3}},	//   _lovs, _čiči, ckij, _साहे, 
   {{0x2fc713b6,0x7bc80053,0x673d008a,0x7985025b}},	//   wung_, hudu, _imsj, _kihw, 
   {{0x2fc7b5ea,0x3f8c4291,0x7bc87700,0x7d1848a8}},	//   tung_, _budu_, kudu, _novs, 
   {{0x6371014e,0xe8d900e7,0x2fc701c4,0xc4d20486}},	//   tånd, _quỹ_, uung_, _רגל_, 
   {{0x2fc7b5eb,0x7bc8388b,0x3f8c00d4,0xc6120086}},	//   rung_, dudu, _dudu_, _সেটা_, 
   {{0x2fc7053f,0x6b840077,0x2d9900e5,0xdb020b48}},	//   sung_, _riig, ëse_, mslø, 
   {{0x2fc70a13,0xee3648bf,0x3f8c019b,0x6aad0090}},	//   pung_, яны_, _fudu_, _aeaf, 
   {{0x798d0548,0x46cb031e,0x7bc8b5ec,0x3f8c01d6}},	//   _auaw, िलाह, gudu, _gudu_, 
   {{0x09e65a60,0x1bec121a,0x612f1341,0xdc690e65}},	//   помн, _जनरल_, _bølg, _қайд_, 
   {{0xb0d232f0,0xa2d32cad,0x6ed00ee0,0x7ed411b7}},	//   _सामग, _डान्, _धातु, _آزما, 
   {{0xfe7000c5,0x14c700a2,0x6df20038,0x6f19306c}},	//   _شدن_, _लागण, _أكوا, _howc, 
   {{0xab991d38,0x6724b5ed,0x7bc80384,0xed590082}},	//   _اختر_, tkij, cudu, juži_, 
   {{0x612f05ce,0x753c0704,0xfaff00e5,0xed59044e}},	//   _følg, _smrz, llën_, duži_, 
   {{0x6724b5ee,0x9c7c0e67,0x5bdb048e,0x6443003e}},	// [b860] rkij, ječj, _बहुव, únin, 
   {{0x6d41b5ef,0x7985016c,0x9f4b010c,0xe8ca0080}},	//   nila, _gihw, êlên_, _угол_, 
   {{0x3d0c00a5,0x7af6b5f0,0x64a30d47,0x2ec700c9}},	//   ़ाते_, _kayt, хаха, _रफ़्त, 
   {{0x6d41b5f1,0xeb9600c7,0x6f190036,0x518609f9}},	//   hila, לדער_, _nowc, пука, 
   {{0x6d41b5f2,0x291ab5f3,0x7bc8b5f4,0xb2835576}},	//   kila, _kopa_, zudu, нышк, 
   {{0x25a0b5f5,0x291a0088,0x6d41b5f6,0x3f8c3555}},	//   mpil_, _jopa_, jila, _pudu_, 
   {{0x6d41b385,0xc448086b,0x2366090e,0x291a0126}},	//   dila, _بیان_, ploj_, _mopa_, 
   {{0x53a60f5a,0x0eea00af,0x57fb00d1,0x7bc8b5f7}},	//   _маҳб, ськи_, מלצו, vudu, 
   {{0x7d18220b,0x4ac6009a,0x7f400104,0x3f8cb5f8}},	//   _povs, _वाजव, rimq, _wudu_, 
   {{0x6aadb5f9,0x7bc8031d,0xa3c3017d,0xc19b029e}},	//   _seaf, tudu, _एटम_, _לשמי, 
   {{0x1e8675eb,0x6db5091f,0xd12f073c,0xb09b008d}},	//   _елем, _aşağ, _حمل_, _היבר, 
   {{0x9c7c00bc,0x212c00a1,0x00000000,0x00000000}},	//   lečk, _hldh_, --, --, 
   {{0xc33300a7,0x291a07d7,0xc88200ad,0x7bc82c61}},	//   תור_, _bopa_, əşə_, sudu, 
   {{0x442102be,0x256f00b0,0x9c7cb5fa,0x673d01d2}},	//   yyh_, küla_, nečk, _smsj, 
   {{0xd1480029,0xf99f06df,0xaac600a2,0x36d53989}},	//   yễn_, spè_, _वाचक, мовр, 
   {{0x8f9b00fe,0xf09f00e7,0x6491008b,0x798d02a5}},	//   מילי, _đàm_, zžič, _tuaw, 
   {{0x9f5e024a,0x44f5332d,0x2bc42488,0xdb0200fc}},	// [b870] _artë_, мпас, लंका, vslø, 
   {{0xf9941a61,0x9c7cb5fb,0x612f055f,0xed59015e}},	//   _ארץ_, ječk, _køle, tuži_, 
   {{0x4427b5fc,0x25a00008,0xdb0200fb,0x9c7c024c}},	//   án_, apil_, tslø, dečk, 
   {{0x6d41b5fd,0x394300e0,0xaabf156c,0x99990035}},	//   zila, lijs_, ्लिक, mysł_, 
   {{0x6d41b5fe,0x44210065,0x6f190090,0xd1790009}},	//   yila, syh_, _rowc, оскі_, 
   {{0x394300e0,0x9c7c0352,0x312400f0,0x6d41b5ff}},	//   nijs_, rečj, ндіг, xila, 
   {{0x213e024a,0x68f7a157,0xdb0200fc,0x00000000}},	//   _dmth_, _maxd, pslø, --, 
   {{0x6d41b600,0x6fcf00a2,0x394302b0,0x00000000}},	//   wila, संबं, hijs_, --, 
   {{0x3f860118,0xee391a57,0x00000000,0x00000000}},	//   _diou_, юни_, --, --, 
   {{0x7af6b601,0xfe42004f,0x0c2505de,0x00000000}},	//   _sayt, тньо, дмон, --, 
   {{0x6d414b23,0x291a0086,0x7af6369b,0x39437c3d}},	//   rila, _ropa_, _payt, dijs_, 
   {{0x6d41b602,0x7af63fac,0x291a44d3,0xf1d13267}},	//   sila, _qayt, _sopa_, _समान, 
   {{0x6d41b603,0xdb1b030f,0x68f700ad,0x291a97a3}},	//   pila, yttö, _baxd, _popa_, 
   {{0x61e40785,0x612f09a8,0x6d41b604,0xdb0b02ae}},	//   çili, _føle, qila, _avfä, 
   {{0xb8f6047b,0x2d8f00d1,0x25740380,0x2d8700a1}},	//   _हा_, _huge_, näle_, _iine_, 
   {{0x2d8f0613,0x2d870664,0x00000000,0x00000000}},	//   _kuge_, _hine_, --, --, 
   {{0xb5fb0019,0x2d8f0107,0x6db500ad,0x25a002d9}},	// [b880] _szár, _juge_, _uşağ, upil_, 
   {{0x3eafb605,0xc8ca00d4,0x03a602f1,0x25a0b606}},	//   _legt_, _بودن_, дижо, rpil_, 
   {{0x9c7c7161,0x25a037b2,0x935a00d3,0x2d87b607}},	//   večk, spil_, орду_, _mine_, 
   {{0xfbc50a34,0x2bc51507,0x232508af,0xccf802d9}},	//   _विनम, _विना, нфіг, zdě_, 
   {{0x3cee00a2,0xb0d200a5,0xd00f009c,0x04b60eba}},	//   _असले_, _सादग, یله_, _освя, 
   {{0x332d105b,0xcf9a0886,0x61ed04d6,0x2d87918d}},	//   _elex_, оји_, çala, _nine_, 
   {{0x39940750,0x9c7c026e,0x3d1124ef,0x2d8f0f08}},	//   _läs_, rečk, ताने_, _auge_, 
   {{0x2d874e30,0xadf402a0,0x00000000,0x00000000}},	//   _aine_, епиш, --, --, 
   {{0x2d87b608,0xc6200086,0x9c7c45cb,0x2d8f00ca}},	//   _bine_, _নেতা_, meči, _cuge_, 
   {{0x2d87b609,0x9c7c02ee,0x2d8f0062,0x2b4000d3}},	//   _cine_, leči, _duge_, _amic_, 
   {{0x2d8705ce,0x69c0b60a,0x69c6b60b,0xdb02019c}},	//   _dine_, ámen, erke, mplê, 
   {{0x2d87375f,0x80da0239,0x7e260088,0x3943012e}},	//   _eine_, प्रे, _одеж, wijs_, 
   {{0x2d87b60c,0x9f4508b0,0x69c00528,0x00000000}},	//   _fine_, _oplê_, šmen, --, 
   {{0x3eaf0b32,0x00000000,0x00000000,0x00000000}},	//   _zegt_, --, --, --, 
   {{0x3943b60d,0x69c6b60e,0x67d4b60f,0x2bc500a5}},	//   rijs_, arke, кору, _विया, 
   {{0x9c7c02a8,0x2d87b610,0x3d0c00b0,0xd6e800b3}},	//   ječi, _zine_, ़ावे_, мфул_, 
   {{0xe7844e84,0x2d8701f0,0x7bda0088,0x557508d1}},	// [b890] туро, _yine_, lttu, егат, 
   {{0x2bc50a7b,0x88c60086,0xe46b0080,0xdb040090}},	//   _विमा, শ্বক, ошел_, _gwnâ, 
   {{0x7bdab611,0x0467286c,0x00000000,0x00000000}},	//   nttu, фтам, --, --, 
   {{0x2b080035,0xe81c00a5,0x52753ffa,0x25c40213}},	//   षाएँ_, नहरा_, нулу, ürlü_, 
   {{0x2bc50ba3,0x332d6036,0xa1eb0038,0x3eaf0e16}},	//   _विभा, _vlex_, تراك_, _regt_, 
   {{0x70c902f8,0x80da0598,0x7d1c0d6b,0x78b50082}},	//   रलेल, प्ले, örsl, nazv, 
   {{0x13f42c77,0x2a69052b,0x9c7c0144,0x00000000}},	//   _изря, _lyab_, beči, --, 
   {{0x2d87b612,0x69c60cac,0xdea40535,0x00000000}},	//   _sine_, yrke, نیمی, --, 
   {{0x2a6901a0,0x78b50bfc,0xf1a701fc,0x6ff300ad}},	//   _nyab_, kazv, _іран, _məcə, 
   {{0x6e9f02e6,0x28df047c,0x3ea2027e,0xa3c30035}},	//   _ग्रु, _पॉलि, ıkta_, _एटा_, 
   {{0x2d87b613,0x69b2007e,0xcb6a63e9,0x9f4c00da}},	//   _vine_, _अबही, зане_, _hrdý_, 
   {{0xdd9516d0,0x2d87b614,0x201800f6,0x929d0083}},	//   _зады, _wine_, _ària_, _poły, 
   {{0xed4e196c,0x2d87b615,0x69c6005f,0x5e271a1c}},	//   _бо_, _tine_, urke, _تعاق, 
   {{0x2eed15e9,0x2a6903a0,0x2d870465,0x00000000}},	//   leef_, _dyab_, _uine_, --, 
   {{0x37e3022c,0x00000000,0x00000000,0x00000000}},	//   лорг, --, --, --, 
   {{0x63782769,0x2c1c00bc,0x2a6905d5,0x2fc70175}},	//   míng, महरू_, _fyab_, irng_, 
   {{0x7ae4024d,0x9c7cb616,0x637844ed,0x69da020f}},	// [b8a0] _ibit, veči, líng, ătes, 
   {{0x63710219,0x2eed02b0,0xb5fb0098,0x00000000}},	//   våna, heef_, _vzáp, --, 
   {{0x20c906ea,0x5ef44994,0xb0c948e2,0xe8d700d1}},	//   _राजध, ्यम्_, _राजग, _אויר_, 
   {{0xeb9207f5,0x3d1100bd,0x290701be,0x00000000}},	//   אָס_, ताडे_, _ònar_, --, 
   {{0x9c7c3c51,0x2a690201,0x61463f28,0x00000000}},	//   reči, _xyab_, неда, --, 
   {{0x41d102e6,0x7bda003e,0xdfd0091d,0x9c7cb617}},	//   _समरस, yttu, ليت_, seči, 
   {{0x50b70084,0x4fc602f1,0x2d990183,0x7ae44155}},	//   ردود_, хсла, ísen_, _obit, 
   {{0x26d202dc,0x20d235ff,0xe29a040c,0x80d2109f}},	//   ngyo_, _सावध, _хаа_, _ठावे, 
   {{0xdb02b618,0x020600dd,0x657e0212,0xa13502d9}},	//   mplè, _язан, omph, _šňůr, 
   {{0x7ae4b619,0xe7b10035,0x527526ea,0x00000000}},	//   _abit, _जबलप, _русу, --, 
   {{0x63ae016a,0x7ae400a1,0x6c540eba,0x63550054}},	//   _jwbn, _bbit, ткну, ląna, 
   {{0xf09f001b,0xbacf0086,0x7ae401be,0x7bdab61a}},	//   _đài_, িজ্ঞ, _cbit, rttu, 
   {{0x63780183,0x6ea61b38,0x63550054,0x1df8021d}},	//   mínd, _ट्यु, nąna, _целы_, 
   {{0x7ae40298,0x26d202a5,0x00000000,0x00000000}},	//   _ebit, egyo_, --, --, 
   {{0xc6a7081b,0x272e008c,0xb8e900b0,0x6ed7009a}},	//   ерзи, _sýna_, _लए_, _यामु, 
   {{0x63780183,0xf7731a1c,0x64430083,0x674400b3}},	//   nínd, ااس_, źnik, гэуз, 
   {{0x2735022b,0x6126008c,0x8624085c,0x2a690102}},	// [b8b0] _lång_, _eðli, льфе, _uyab_, 
   {{0x7afdb61b,0x7aefb61c,0x48ab0088,0x2727007e}},	//   ldst, lect, _этим_, _mõni_, 
   {{0x98c40df8,0x3204b61d,0xd404b61e,0x9fbb0033}},	//   _ссыл, _army_, ляци, _অঙ্গ, 
   {{0xe8d90023,0x69dd0026,0x31654423,0xa3b40083}},	//   _tuỳ_, otse, _sklz_, _फ़िर_, 
   {{0x69ddb61f,0x7aef0012,0x7afd2247,0x63780068}},	//   ntse, iect, idst, dínd, 
   {{0xa0693a94,0x776db620,0xe61f001b,0x69ddb621}},	//   мала_, llax, _ngôi_, itse, 
   {{0x2bc500a5,0x62960c05,0xb0d200aa,0xdb1b00fb}},	//   _विधा, ıyor, _सारग, butø, 
   {{0x7aef6021,0x7afdb622,0x25740219,0x69dd4e59}},	//   ject, jdst, mäla_, ktse, 
   {{0x69ddb623,0x2eed10f3,0xa1950093,0x6723020f}},	//   jtse, reef_, _разч, _înju, 
   {{0xdb02b624,0x69cfb625,0x69c00228,0x273508bb}},	//   mplé, duce, ámem, _hånd_, 
   {{0x2735022b,0x7aef1907,0x7afd012e,0xfaa6491a}},	//   _gång_, fect, fdst, кано, 
   {{0x63780042,0x69dd35a1,0x61e9023e,0x00000000}},	//   cínd, ftse, _kpel, --, 
   {{0x69cf015e,0x2f18010e,0x69ddb626,0xcdc34350}},	//   guce, _négy_, gtse, _салқ, 
   {{0x1c44004e,0xa02100b0,0x7afd1a77,0x61e9095a}},	//   _өнім, _ööse, adst, _mpel, 
   {{0x1867b627,0x69dd0536,0x6378b628,0x290c0540}},	//   вари_, atse, líne, ıda_, 
   {{0xed5900f1,0xc6c3177b,0x69cf10b4,0xcf9200c7}},	//   drži_, ийск, buce, שטן_, 
   {{0x068600cf,0xb0d200a5,0x35c50176,0x6d4302a5}},	// [b8c0] тган, _सालग, латҳ, _kmna, 
   {{0x61ed003d,0x657e6fb1,0x5ea80033,0xc4cc1f9a}},	//   ħall, umph, _গাছে, ालेख, 
   {{0xf651006b,0x273501e8,0x6b5d010e,0x6d430118}},	//   لئے_, _bånd_, végz, _mmna, 
   {{0x776d03da,0x63780068,0xfe67b629,0x8c1a0070}},	//   clax, xínd, _ند_, וועי, 
   {{0x27350219,0x7d1c0d6b,0x80da0033,0x1543373a}},	//   _sång_, örsk, _যোগ্, _ӂерм, 
   {{0x64a3b62a,0x6fd60299,0xf484009c,0x7aef2828}},	//   _вара, _यमदू, _مازی, zect, 
   {{0x7aef0f46,0x63bc00d2,0x61e9b62b,0x63780068}},	//   yect, _uvrn, _epel, tínd, 
   {{0x7aef4faf,0x6d430054,0x637824bd,0xd00702a6}},	//   xect, _amna, fíne, ђење_, 
   {{0xd186b62c,0xe0da0d37,0x7aef0626,0x28d31d5b}},	//   _алай, _ова_, vect, _तालि, 
   {{0x2176b62d,0x69cf090b,0x273502ae,0x00000000}},	//   _рубр, vuce, _tång_, --, 
   {{0x7aefb61c,0x20051a35,0x776d010c,0xdeef222f}},	//   tect, _grli_, ylax, _кы_, 
   {{0x69cf026a,0xbea60595,0x69ddb62e,0x7afd5490}},	//   tuce, _радк, ttse, udst, 
   {{0x7aef07d4,0x61e90065,0x9c7c0352,0x69dd357d}},	//   rect, _xpel, veču, utse, 
   {{0x69ddb62f,0x67d559bb,0x27354329,0xdc55010e}},	//   rtse, логу, _måne_, ئریک, 
   {{0x6d487eeb,0x7aef4508,0x69ddb630,0xa2d30466}},	//   mida, pect, stse, _डाल्, 
   {{0x6d480952,0x69dd0380,0x69cf8636,0x776403dd}},	//   lida, ptse, puce, goix, 
   {{0xb0d294d6,0xdb1b0219,0x659466dd,0x7c28017c}},	// [b8d0] _सांग, rrtä, иату, lydr, 
   {{0x776d0104,0xb4cd009a,0xc17e0028,0xdb0b017b}},	//   slax, ळले_, žėja_, _avfø, 
   {{0x61e9b631,0xf48700d9,0xe9df1259,0xe3b00038}},	//   _spel, туан, ltú_, قرن_, 
   {{0x6d48b632,0xfaff00e5,0xe3b000eb,0xc2c400eb}},	//   hida, ndë_, ترك_, ليمي, 
   {{0x6b8d0495,0xe9df454d,0x672d0121,0x320b3dd7}},	//   _miag, ntú_, mkaj, بتاً_, 
   {{0xf1d5413a,0x30750088,0xa8050068,0x6d48b633}},	//   डंबन, луйс, coñé, jida, 
   {{0x6286014b,0xa0661c08,0x998202d9,0xdb1b010c}},	//   _úkon, лаша_, zyků_, rstê, 
   {{0x6b8d19e0,0xdb02026a,0x672db634,0xe1f300d4}},	//   _niag, pplé, nkaj, _پسر_, 
   {{0x6d48b635,0x90e70c72,0xa1940d38,0x61e940c4}},	//   fida, _لسان, _вауч, _upel, 
   {{0xee369da2,0x6d48b636,0x5ba900db,0x9cf500b3}},	//   унь_, gida, нком_, учиш, 
   {{0x6b8db637,0x20050036,0xe8d90108,0x3ed50195}},	//   _biag, _urli_, _huỷ_, _مقار, 
   {{0xa9a608ac,0x672d0242,0x7d1a006d,0x20df102c}},	//   лимд, jkaj, ajts, प्रध, 
   {{0xfce5b638,0x2bc508c6,0x6b8d392c,0xa924014b}},	//   _боло, _विवा, _diag, ážov, 
   {{0x6d480b85,0x6f1b04d1,0xcdc400cf,0x6d4300ca}},	//   cida, ljuc, _ташқ, _umna, 
   {{0x26d90226,0x6b8d0054,0x80db0299,0x00000000}},	//   _bcso_, _fiag, _नाने, --, 
   {{0x3d111422,0x6b8d0495,0x80cd0484,0x6f1d0502}},	//   तावे_, _giag, _साझे, ösch, 
   {{0xa3b6034d,0x6e2911f7,0xe57ab639,0x635c0655}},	// [b8e0] चीन_, nyeb, еза_, nčne, 
   {{0xdff303c1,0x6ab647d1,0xd9100499,0x850e017d}},	//   _आनंद_, _heyf, _بیس_, साइट_, 
   {{0x42ca1472,0x6ab60092,0xf74601a2,0x6f1b015e}},	//   еген_, _keyf, _бено, kjuc, 
   {{0x6d48b63a,0xe29ab63b,0xe73a030f,0xdcf41799}},	//   zida, хад_, _чем_, _čači, 
   {{0x03a307f9,0x6d48b63c,0xa8050042,0x69c00032}},	//   _ҳисо, yida, poñé, ámeh, 
   {{0x6ab6008c,0x66040199,0x6e3bb63d,0x6e29011d}},	//   _leyf, mvik, dzub, dyeb, 
   {{0x6d481408,0x660431ac,0x63a9053d,0x4034037a}},	//   vida, lvik, _čeng, рейс, 
   {{0xcfe700eb,0x6d488d0d,0x7c280098,0x6e3b0502}},	//   افيه_, wida, vydr, fzub, 
   {{0x10a6abba,0x6d48b63e,0x6604b63f,0x6b8d0014}},	//   _бизн, tida, nvik, _riag, 
   {{0x6b8db640,0x2bc510b0,0x236601a0,0x7d1a006d}},	//   _siag, _विशा, looj_, ujts, 
   {{0x2056b641,0x6d48b642,0x4093057f,0xfee600cf}},	//   _стар, rida, _المر, _бўлм, 
   {{0x6d48b643,0x2bc5017d,0x8aa7012d,0x6ab60354}},	//   sida, _विरा, ырод, _ceyf, 
   {{0x7c3a006b,0x6d48b644,0xfe72006b,0x66040082}},	//   sztr, pida, _ادا_, jvik, 
   {{0x660479c0,0x68fe03a1,0xe9dfb645,0x66097455}},	//   dvik, _capd, rtú_, _šeko, 
   {{0xb8fd0a09,0xf77328b7,0x3d110035,0xe9dfa490}},	//   _डा_, مار_, तारे_, stú_, 
   {{0x796a078a,0x96f8b646,0xd6d881f6,0x672d0548}},	//   _pêwî, лест_, лту_, ukaj, 
   {{0x672d33fd,0xf7709461,0x2d8e05d5,0x6d5d0151}},	// [b8f0] rkaj, ساف_, _kife_, ésag, 
   {{0x672db647,0x45d40bf8,0x6fea0095,0xa4d803a1}},	//   skaj, софс, _məcb, лдуу_, 
   {{0xa926002a,0x53a400eb,0xdb1b0068,0x6d4f0212}},	//   _dažā, مملك, esté, écai, 
   {{0x2d8eb648,0x63785226,0xade5007e,0x45d540ee}},	//   _life_, vínc, _कहलन_, _комс, 
   {{0xd5af0105,0x7aff729b,0xe8d900e7,0x6604014b}},	//   _رہا_, _maqt, _quỷ_, cvik, 
   {{0x2cf302f8,0x34946a25,0x602502f1,0xfbc5017d}},	//   _असेल_, _гарр, идла, _विलम, 
   {{0x60de06df,0x25a90102,0x2a7f0032,0xdb021618}},	//   òpma, lpal_, ľuby_, mslö, 
   {{0x6d5805ae,0x2d8eb649,0xcf250038,0x26093024}},	//   _ajva, _aife_, شرعي, सिपी_, 
   {{0xed593065,0xef1607a5,0x3d11031e,0xa2830116}},	//   кои_, рмы_, ताले_, _ایشو, 
   {{0xd1670141,0xed4500dd,0x61fb1a71,0x637895a2}},	//   _съби, рноп, _isul, mína, 
   {{0x610b00e0,0x2d8eb64a,0x66040242,0x6e3b8901}},	//   _vēlē, _dife_, zvik, szub, 
   {{0x6b660e65,0x8f9a00d1,0x6a861fc7,0x6604010c}},	//   ркма, _סיני, илна, yvik, 
   {{0x3da70b46,0x3eadb64b,0x25a947e5,0x61340054}},	//   _среб, mbet_, jpal_, _hàla, 
   {{0xdca51033,0x3eadb64c,0xdb02a619,0x61fb095a}},	//   _таки, lbet_, mplí, _msul, 
   {{0x186a065b,0x80da031e,0x290400bc,0x2366006d}},	//   тави_, प्टे, ěma_, yooj_, 
   {{0x660400dd,0x3ead008a,0x7d1c0d6b,0x612f02c9}},	//   tvik, nbet_, örsv, _søll, 
   {{0x660315d3,0x61340180,0x68fe00ad,0x59760080}},	// [b900] опта, _làla, _tapd, _выну, 
   {{0x3f8f044e,0x6604b64d,0x3ead01f0,0x49910499}},	//   _ligu_, rvik, hbet_, _ریفر, 
   {{0x3cdd0838,0x6604b64e,0x61fbb64f,0x66e6b650}},	//   _खाने_, svik, _asul, _кона, 
   {{0x78bcb651,0x522600a3,0xf3c920b4,0xb34701f2}},	//   larv, ифла, ابله_, _naħħ, 
   {{0x63a92331,0x63785afe,0x4a9b0225,0x09e40033}},	//   _čene, gína, דינג, মিকা, 
   {{0x78bcb652,0x316702fe,0x2366006d,0xfaff0034}},	//   narv, gonz_, sooj_, llët_, 
   {{0x61fbb653,0xb34701f2,0x18360147,0x00000000}},	//   _esul, _baħħ, יאַל_, --, 
   {{0x61340180,0x23270d47,0x0eea004f,0x256f010e}},	//   _dàla, _коси_, тьки_, vüli_, 
   {{0xb5fb0019,0x3f8f01f1,0x3dcd0118,0x0caa3d34}},	//   _száz, _digu_, grew_, ктни_, 
   {{0xdce10352,0x61e299f4,0x78bcb654,0x3f8f003e}},	//   bolč, mtol, jarv, _eigu_, 
   {{0x3ead8dd1,0x2574014e,0x27350611,0x78bcb655}},	//   bbet_, väll_, _låna_, darv, 
   {{0x27f80156,0x61e20548,0x2d8e00d1,0x79a700d3}},	//   dwrn_, otol, _wife_, ирге, 
   {{0x61e2b656,0x7aff00cf,0x2d9669bc,0x9da70141}},	//   ntol, _vaqt, _трес, _къща_, 
   {{0x7aff00a4,0x2703001b,0x3cdd0366,0x78bc05c2}},	//   _waqt, _ổn_, _खाये_, garv, 
   {{0xd6dbb657,0xb5fb0019,0xed570267,0xad1b00d1}},	//   кта_, _nyár, _њој_, _בוגר, 
   {{0x569408ad,0x5695022c,0x78bc01a4,0x2011020b}},	//   жатт, саат, aarv, _ázie_, 
   {{0xdb02014e,0x78bc3737,0x63780068,0xe2996776}},	// [b910] tslö, barv, xína, қал_, 
   {{0x25a9030c,0x78bcb658,0x929d0035,0x6abdb659}},	//   rpal_, carv, _małe, lasf, 
   {{0x3ead650d,0x49140790,0xdb0202ae,0x63711e9f}},	//   ybet_, दारो_, rslö, låni, 
   {{0x25a9010e,0x69ce031e,0xadf80586,0x52150080}},	//   ppal_, _तिमी, ्टान_, йдет, 
   {{0x877a0052,0x29010149,0x10a50925,0xfaff024a}},	//   _תארי, _kaha_, билн, llës_, 
   {{0x2903b65a,0xb3470405,0xa2d3141c,0x7535016a}},	//   ndja_, _saħħ, _डाक्, _ulzz, 
   {{0x2901b65b,0xb5fb0019,0xdb09008c,0x3f8f9129}},	//   _maha_, _gyár, nsdó, _pigu_, 
   {{0x81e600cc,0x6378026e,0x29012b62,0x61fb0026}},	//   _বছর_, pína, _laha_, _tsul, 
   {{0xf2d20138,0x61fbb65c,0x68f50019,0x929d00ab}},	//   _מען_, _usul, kezd, _całe, 
   {{0x2901b65d,0x68f5b65e,0x3ead3a85,0xdce30405}},	//   _naha_, jezd, sbet_, _minħ, 
   {{0x237f006d,0xab2a9f76,0xbb1b40d7,0x69cf039b}},	//   _khuj_, гона_, rmîn, erce, 
   {{0x05c7009a,0xa3cf01a4,0x5e95007a,0xdce70241}},	//   _लिंब, _शिन_, _الإط, ımıy, 
   {{0x8e8500eb,0x78bcb65f,0x2901b660,0xdce301f2}},	//   _الشه, tarv, _baha_, _ninħ, 
   {{0x7d1c022b,0x29010027,0xdb0901d5,0x00000000}},	//   örst, _caha_, fsdó, --, 
   {{0x29010fa3,0xd9430648,0x236db661,0x27350219}},	//   _daha_, чери, _okej_, _såna_, 
   {{0x78bc227a,0xdceb00c3,0x7bc10844,0xa90a0104}},	//   sarv, _bugħ, mslu, _chоr, 
   {{0x3bc306d0,0x290105f0,0x7bc18229,0x96b947fe}},	// [b920] lıq_, _faha_, lslu, русу_, 
   {{0x29010027,0x236d0032,0xba4902d9,0xfaff021e}},	//   _gaha_, _akej_, ulůž, blës_, 
   {{0x69c40187,0x7bc17364,0x4cba0147,0x00000000}},	//   _hvie, nslu, רמעג, --, 
   {{0x61e297b0,0x69c4012d,0xe69703dc,0x59af1d11}},	//   ttol, _kvie, _гурӯ, जीकर, 
   {{0x237f006d,0x21250604,0x7ce10237,0x2901016c}},	//   _dhuj_, _bolh_, _kňrč, _yaha_, 
   {{0x7bc1b662,0x35a31a57,0x70d2009a,0x67263f13}},	//   kslu, _харг, सलेल, _hokj, 
   {{0x443e9ffa,0x1fa313f2,0x6726011c,0x7bc19c64}},	//   _åt_, прыг, _kokj, jslu, 
   {{0x29030a88,0x3f84016a,0x6378014b,0x67260175}},	//   zdja_, ummu_, míno, _jokj, 
   {{0x63780098,0x6b4f03a0,0x171b0070,0x8e14017b}},	//   líno, _lògè, רופע, ідоц, 
   {{0xccfa02a6,0x69cf05ae,0x7bc19da7,0x00000000}},	//   ући_, vrce, fslu, --, 
   {{0x2901b663,0x68f50d9d,0x351b00c7,0x3fcb0116}},	//   _raha_, vezd, אוינ, _مدنی_, 
   {{0x290113ce,0xa3e008c6,0x44770147,0x00000000}},	//   _saha_, _दमन_, מעיל_, --, 
   {{0x4f6500eb,0x69cfb664,0xf2d300c7,0xbf656198}},	//   _بالف, urce, הער_, _بدلو, 
   {{0x69c49f07,0x68e900ef,0xd7fb54d7,0x6f0200a1}},	//   _dvie, đedo, луб_, _haoc, 
   {{0x3cddb349,0x2903b665,0x2901b666,0x6eae0035}},	//   _खाते_, rdja_, _vaha_, ीरपु, 
   {{0xdb09008c,0x160502e6,0xe7870235,0x00000000}},	//   rsdó, रिलर_, суго, --, 
   {{0x2901007e,0x69c00503,0x6f0200ef,0x7aedb667}},	// [b930] _taha_, ámet, _maoc, _ibat, 
   {{0xdb1b00eb,0x6f02161c,0x200c5d51,0x00000000}},	//   istí, _laoc, _ordi_, --, 
   {{0x69c4b668,0x69c001dd,0xf3f900fd,0x00000000}},	//   _zvie, šmet, рнеш_, --, 
   {{0x6f02015e,0xd2512e10,0x42750ca4,0x7aed00a4}},	//   _naoc, ونا_, огес, _jbat, 
   {{0x6d4a0533,0x7aedb669,0x4cd00086,0x200cb66a}},	//   _omfa, _mbat, ত্যু, _ardi_, 
   {{0x7bc13661,0xdb1bb66b,0x1c180035,0x612f02c9}},	//   yslu, nstâ, धमाल_, _køli, 
   {{0x7aedb66c,0x69a0143e,0x237f953d,0x91620210}},	//   _obat, _गंभी, _thuj_, _xử_, 
   {{0x3eb906b6,0x6d4a0f77,0xf838042c,0x80db051f}},	//   úst_, _amfa, מנות_, _नावे, 
   {{0x200cb66d,0x8d591a57,0x00000000,0x00000000}},	//   _erdi_, ишот_, --, --, 
   {{0x7aedb66e,0x3bc306d0,0x7bc10318,0x320d0054}},	//   _abat, tıq_, tslu, _irey_, 
   {{0x69c43d05,0xc4d200d1,0x5184b66f,0x6f0201fd}},	//   _svie, וגי_, _хута, _faoc, 
   {{0xf8a90052,0x7bc1b670,0xcb6a50b0,0x28dc000d}},	//   _יש_, rslu, раме_, _बाहि, 
   {{0x2bc52290,0x7bc1b671,0x3ebfb672,0x4a43aea3}},	//   _विका, sslu, maut_, дняв, 
   {{0x7aedb673,0x7bc1b674,0x6726039b,0x613d0118}},	//   _ebat, pslu, _sokj, _wèlf, 
   {{0x273c0084,0x2d9f026d,0x07a30028,0x6726016a}},	//   _líne_, lque_, дасн, _pokj, 
   {{0x7d03b675,0x2a60006f,0x2799002e,0xdb190664}},	//   _hans, _txib_, стрэ_, _avvæ, 
   {{0x7d03b676,0x2d9fb677,0xa526b678,0xe61a00cf}},	// [b940] _kans, nque_, омад, шда_, 
   {{0x2bed05fd,0x2904002a,0x2d9f9615,0x7d035e54}},	//   _जहां_, ēmas_, ique_, _jans, 
   {{0x320d0065,0x3ebf0035,0x201c0183,0x0d3a0070}},	//   _arey_, kaut_, xxvi_, סגעב, 
   {{0x7d03b679,0x320d0068,0xdcb60e17,0x63780ed9}},	//   _lans, _brey_, _आज्ञ, ríno, 
   {{0x7d030844,0x3ebf012b,0x26c0b67a,0xdb21039f}},	//   _oans, daut_, maio_, áték, 
   {{0x26c00093,0x7d03b67b,0x25740088,0x320d4cf5}},	//   laio_, _nans, käli_, _drey_, 
   {{0xdfd0057f,0x256f006b,0xe80d00aa,0x2d9f0369}},	//   رية_, rült_, हिया_, eque_, 
   {{0x7d030e47,0x26c001d8,0x66090ab4,0x256f010e}},	//   _aans, naio_, _šeki, sült_, 
   {{0x7d03b67c,0x26001779,0x320db67d,0x00000000}},	//   _bans, रिटी_, _grey_, --, 
   {{0x7aed3f57,0x200c008b,0x644000ad,0xb3d10299}},	//   _sbat, _trdi_, _əmin, _हिमख, 
   {{0x7d03b67e,0x3ebf01c4,0x6f02034c,0x635c6dc3}},	//   _dans, baut_, _taoc, nčno, 
   {{0x2d9f0126,0x20110032,0x6d4f0212,0x3ebf69da}},	//   bque_, _ázia_, écar, caut_, 
   {{0xed5a53da,0x2d9fb67f,0xda7b207b,0x28dc02e6}},	//   _код_, cque_, рян_, _बाशि, 
   {{0x7d031d4b,0x6d4a24f4,0x41d207d5,0x8c360176}},	//   _gans, _umfa, _सिनस, _молӣ_, 
   {{0x6d5ab680,0x28dc296a,0x69c00183,0xdb0200de}},	//   mnta, _बारि, ámer, splá, 
   {{0x4c3b0056,0x7aedb681,0x7d0306df,0x26c01890}},	//   _כתוב, _ubat, _zans, gaio_, 
   {{0xd49b0d0c,0x6d5ab682,0x3d0f00a2,0x7d03b683}},	// [b950] аре_, onta, _थोडे_, _yans, 
   {{0x6d5ab684,0x44f400d9,0x25a60038,0x00000000}},	//   nnta, мпус, íola_, --, 
   {{0xa2f502fb,0x6d5ab685,0x2d9f0126,0x273c007a}},	//   зпеч, inta, zque_, _síne_, 
   {{0x6595b686,0x26c00036,0x2cbc017b,0xdb1b03dd}},	//   _наму, caio_, _levd_, nstà, 
   {{0x86350070,0xa0a51ab1,0x10a50543,0x00000000}},	//   _זאָג_, палд, пилн, --, 
   {{0x6d5a006d,0x1fb500b3,0xdb1b00da,0x635c0604}},	//   jnta, псир, vrtý, bčno, 
   {{0xc954035c,0x7d03b687,0x8fa20cb4,0xefb700f0}},	//   ומס_, _rans, наще, іңді_, 
   {{0xef19b688,0xf41200d1,0x25744cd7,0x2ca902d9}},	//   сми_, _אפל_, väli_, _řad_, 
   {{0x7d03b689,0x3ebfb68a,0x30a78c57,0x28dc176c}},	//   _pans, raut_, _древ, _बालि, 
   {{0x1c45b68b,0x6d5a050a,0x613d0237,0x3ebfb68c}},	//   зном, gnta, _bèle, saut_, 
   {{0xdc690176,0x7d0300fc,0xc4d200c7,0x2d9f1907}},	//   санд_, _vans, עגט_, sque_, 
   {{0x2d991408,0x6d5ab68d,0x7d03b68e,0xf53f017e}},	//   íses_, anta, _wans, _stål_, 
   {{0x7d03b68f,0x6d5a0201,0x26c002a3,0x81e90033}},	//   _tans, bnta, vaio_, যিক_, 
   {{0x7d0309a8,0x17c803dc,0xdb1902ae,0x00000000}},	//   _uans, оҳои_, _avvä, --, 
   {{0x26c0b690,0xdb1b6f0b,0x25ab095a,0x7b050080}},	//   taio_, bstà, _atcl_, öttä, 
   {{0x2d9d23ee,0x660f02fe,0x030b00a5,0x05c7007e}},	//   _kuwe_, _brck, _सोलह_, _लिखब, 
   {{0x26c00141,0x96630f6b,0x24980054,0x6b840610}},	// [b960] raio_, екте, _pgrm_, _ihig, 
   {{0x649ab691,0x26c0145a,0x69c6b692,0x857a0cdf}},	//   стар_, saio_, mske, ёсат_, 
   {{0x69c6b693,0x389b0137,0xa3b60d4f,0x26c00126}},	//   lske, _ליינ, चीं_, paio_, 
   {{0x637800bc,0xe3c90369,0xf8dc252e,0x2d9d02b0}},	//   mínk, _soñé_, _बाँय, _ouwe_, 
   {{0x2d9d042e,0x660f03f5,0xdb02004f,0x6d5ab694}},	//   _nuwe_, _grck, pplæ, ynta, 
   {{0x98a40009,0x67241db4,0x9f5e0032,0x867b00d1}},	//   ėmė_, ljij, _isté_, _לרכו, 
   {{0xb4ca590e,0x6d5a006d,0xbef902e6,0x2cbc02a5}},	//   ोली_, vnta, ्यून_, _revd_, 
   {{0x2d9d0226,0x6724b695,0xe80d0fc0,0x69c6b696}},	//   _buwe_, njij, हिता_, kske, 
   {{0x69c64471,0x76447d4a,0x444401c4,0xf8dc007e}},	//   jske, nziy, lz_, _बांय, 
   {{0x613d65b9,0x2d9d00d4,0x69c6b697,0x612f01e8}},	//   _pèle, _duwe_, dske, _sølv, 
   {{0x44449ccf,0x3cdd010f,0x4c9402a0,0xf1d21e7b}},	//   nz_, _खारे_, ќинс, _सिडन, 
   {{0x4444b698,0xdee6b699,0x6b840727,0xaf05004f}},	//   iz_, _ходи, _chig, _очік, 
   {{0x6b84b69a,0x6e9300eb,0x6724b69b,0x5a34871c}},	//   _dhig, _كلما, djij, енят, 
   {{0x2bc5075a,0x25f2007e,0x76440532,0x6b8400b4}},	//   _विचा, ुबनी_, dziy, _ehig, 
   {{0xc86401bb,0x63a90082,0xa4270033,0x776d0183}},	//   етти, _čeno, _মধ্য_, toax, 
   {{0x444415f0,0x7bdab455,0x3f9eb69c,0x6b840036}},	//   dz_, mutu, _mutu_, _ghig, 
   {{0x7bda3356,0x4444b69d,0x69c6010e,0x3d11009a}},	// [b970] lutu, ez_, cske, ताचे_, 
   {{0x660f0304,0x272e003e,0x2a5800d1,0x637800da}},	//   _vrck, _sýnt_, _מבחן_, bínk, 
   {{0x25f9006a,0x9f5e08f4,0xe5700fce,0x3f9eb69e}},	//   _उनकी_, _esté_, اطق_, _nutu_, 
   {{0x5275049b,0x2bc502e6,0x42552f67,0x25ab095a}},	//   мулу, _विघा, ونار, _ttcl_, 
   {{0x3f9e04d1,0x44440a9f,0x7bdab69f,0xa3cf0b3e}},	//   _autu_, az_, hutu, _शिव_, 
   {{0x3f9e36d7,0x79970218,0x2d9d12b6,0x660d007c}},	//   _butu_, _jixw, _ruwe_, mvak, 
   {{0x444400ab,0x660db6a0,0x7bda06a6,0x64e2009a}},	//   cz_, lvak, jutu, _पातळ, 
   {{0xee3914ec,0x44330640,0x273c0bdb,0xdb1b014b}},	//   жни_, myx_, _kína_, ystá, 
   {{0x4433b6a1,0x2b1c00bd,0x660db6a2,0x612f0b41}},	//   lyx_, यासु_, nvak, _sølu, 
   {{0x6b84b6a3,0x69c61f7d,0x273c003e,0xdbc91285}},	//   _shig, vske, _mína_, огод_, 
   {{0x25740219,0x7bdab6a4,0x660d3d00,0x203507cb}},	//   mält_, gutu, hvak, _تفاس, 
   {{0x60c3b6a5,0x09e20086,0x929d00ab,0x69c6b6a6}},	//   lanm, যবসা, _mało, tske, 
   {{0x7997078a,0xfce5b6a7,0x612f01e8,0xba23004f}},	//   _bixw, _жоло, _følt, вдяк, 
   {{0x69c685e7,0x7bda2e9a,0x6f09b6a8,0x673db6a9}},	//   rske, butu, ldec, _alsj, 
   {{0x7997055a,0x6d41006e,0x6b8401c5,0x7bda00b3}},	//   _dixw, mhla, _thig, cutu, 
   {{0x6f091e7f,0x629b001b,0x69c6b6aa,0x257401c4}},	//   ndec, _nguo, pske, hält_, 
   {{0x09e200cc,0xaa4602f3,0xfb870274,0xdb1b008c}},	// [b980] যবহা, _цепл, _تدوی, fstæ, 
   {{0x4444093c,0x6378b6ab,0x25740219,0xb4ca2b48}},	//   tz_, míni, jält_, ोले_, 
   {{0xd91b0137,0x68fc3eac,0xf746b6ac,0x929d00ab}},	//   _וויל, merd, _жено, _cało, 
   {{0x4444b6ad,0x68fcb6ae,0x3f9e0588,0x00000000}},	//   rz_, lerd, _rutu_, --, 
   {{0x4444b6af,0x6d410666,0x7d08014e,0x291a0870}},	//   sz_, khla, ydds, _knpa_, 
   {{0x3f9e090b,0x68fc0141,0x60c3b6b0,0x4421b6b1}},	//   _putu_, nerd, ganm, bxh_, 
   {{0xd010b6b2,0x2b0e119f,0x6d410d44,0x2fc7016a}},	//   الب_, ियाँ_, dhla, gsng_, 
   {{0x7bda03f0,0x68fcb6b3,0x6f0900b9,0x00000000}},	//   vutu, herd, gdec, --, 
   {{0x10a6030f,0x68fcb6b4,0x929d00ab,0xa0a603fd}},	//   _жизн, kerd, _zało, _жазд, 
   {{0x6d414873,0x7bdab6b5,0x3f9eb6b6,0x25740219}},	//   ghla, tutu, _tutu_, mäls_, 
   {{0x68fcb6b7,0x660db6b8,0xe043b6b9,0x6f094ef1}},	//   derd, zvak, _инфи, bdec, 
   {{0x7bdab6ba,0x7c4401b4,0x291a03da,0x2cb10540}},	//   rutu, _đurđ, _anpa_, ızda_, 
   {{0x7bda0077,0x6d410a69,0x68fcb6bb,0xbea3b6bc}},	//   sutu, bhla, ferd, _рачк, 
   {{0x6d41b6bd,0x7bdab6be,0x6abf01f2,0x68fcb6bf}},	//   chla, putu, _weqf, gerd, 
   {{0x273c010d,0x5c060141,0xf7733147,0x212c00a0}},	//   _sína_, _цяла, نار_, _modh_, 
   {{0x60c3b6c0,0xdce10054,0x660db6c1,0x2d8cb6c2}},	//   zanm, rolą, tvak, lmde_, 
   {{0x68fc9388,0xa3dc00a2,0x63780165,0x60c3b6c3}},	// [b990] berd, णूस_, cíni, yanm, 
   {{0x69ddb6c4,0x660d1e67,0x273c026e,0x6f0951c4}},	//   muse, rvak, _vína_, zdec, 
   {{0x69ddb6c5,0x7bc8b6c6,0xdb1b37b2,0xfe080023}},	//   luse, nsdu, rstæ, _lữ_, 
   {{0x49070351,0x60c3023e,0x6d41014b,0x273c04f4}},	//   िएको_, wanm, zhla, _tína_, 
   {{0xfe0800f7,0x69ddb6c7,0xdb1b3d8a,0x7afd002e}},	//   _nữ_, nuse, mstä, iest, 
   {{0x613d0237,0xdb1b0f03,0x6f09019c,0x44210036}},	//   _bèla, lstä, wdec, pxh_, 
   {{0x69dd1950,0x60c3b6c8,0x6f0901c4,0x6d41006d}},	//   huse, ranm, tdec, vhla, 
   {{0xdb1b1772,0x7afd0139,0x60c3b6c9,0x2d8c0b1f}},	//   nstä, jest, sanm, emde_, 
   {{0x7afdb6ca,0x68e57fb3,0x6f09b6cb,0x6d41b6cc}},	//   dest, _ochd, rdec, thla, 
   {{0x69ddb6cd,0xfe08001b,0x0c253d33,0xdb1b12b7}},	//   duse, _dữ_, емон, hstä, 
   {{0x116a040f,0xdb1b0219,0x69dd78d2,0x6d41b6ce}},	//   _علمی_, kstä, euse, rhla, 
   {{0x6d41093e,0x60c1b6cf,0xf4120137,0x9f470228}},	//   shla, _helm, אפט_, ktné_, 
   {{0x68fcb6d0,0x60c1b6d1,0x69dd0077,0xdb1b014e}},	//   terd, _kelm, guse, dstä, 
   {{0xf1b20056,0xfc311d38,0xfce51571,0x9c820352}},	//   רסם_, _محب_, _чоко, ščam, 
   {{0x60c11f25,0xa96708ba,0xdb1b0502,0x80a70249}},	//   _melm, хира_, fstä, _चलने, 
   {{0x28dc05d2,0x69dd43c9,0xb5fb05b9,0x68fcb6d2}},	//   _बाकि, buse, _exám, serd, 
   {{0x69969cd6,0xcf920111,0x291a02cd,0x98a608c5}},	// [b9a0] _прох, רטן_, _tnpa_, _пипе, 
   {{0xec0900f7,0xe57700c4,0x20050604,0x75d3007a}},	//   _kế_, езу_, _osli_, ايلا, 
   {{0x491d0081,0x59d800a2,0x2b40a500,0x635c0121}},	//   मारो_, भंकर, _klic_, lčni, 
   {{0x661bb6d3,0x4426090b,0x23d10790,0xb8570225}},	//   _šuke, ćo_, _हिरद, _טייפ_, 
   {{0x2d8702ec,0x635c02ee,0x798e0548,0x301300f0}},	//   _ohne_, nčni, ombw, ғдыр, 
   {{0x7afdb6d4,0xdb1b017e,0x3f865f7e,0x59d36229}},	//   zest, mstå, _shou_, _तिसर, 
   {{0x22460019,0x333fb6d5,0x3f860201,0x7afdb6d6}},	//   szok_, _flux_, _phou_, yest, 
   {{0x7afd09a1,0x60c1007e,0x800300c8,0x752e008a}},	//   xest, _eelm, учше, _hobz, 
   {{0xdb1b0d1c,0x26c20397,0x60c1169f,0x916200e7}},	//   nstå, _meko_, _felm, _từ_, 
   {{0x60c101f0,0x7afdb6d7,0x69dd007e,0xec090023}},	//   _gelm, west, vuse, _bế_, 
   {{0x2b4002a6,0x69dd25e3,0x7afd074d,0x2ef3004e}},	//   _blic_, wuse, test, _әзір, 
   {{0x69dd05d2,0xec0900e7,0x9f47014b,0x3f5300b3}},	//   tuse, _dế_, ytné_, nţul_, 
   {{0x7afd71b0,0xdb1b0219,0x60c10126,0x6fa80033}},	//   rest, vstä, _yelm, _গিয়ে, 
   {{0x7afdb6d8,0x69ddb6d9,0xe80d00a2,0x60c10042}},	//   sest, ruse, हिला_, _xelm, 
   {{0xd7f8b6da,0x69ddb6db,0xdb1b0fd4,0x7afd841b}},	//   нут_, suse, tstä, pest, 
   {{0x26c2b6dc,0x7d0ab6dd,0x69ddb6de,0x26cf0216}},	//   _ceko_, _hafs, puse, ûgo_, 
   {{0xdb1b0991,0x7d0a00e5,0x752e008a,0x26c2b6df}},	// [b9b0] rstä, _kafs, _bobz, _deko_, 
   {{0xdb1b1a32,0x046700d9,0x1be41c54,0xfaff0876}},	//   sstä, нтем, _कमाल_, leë_, 
   {{0x9f47143b,0xec0900e7,0x26c20054,0xdb1b02ae}},	//   stné_, _xế_, _feko_, pstä, 
   {{0xd6db0df8,0x60c1b6e0,0xd32406ba,0x925900c8}},	//   _это_, _selm, льчи, мает_, 
   {{0x3984014e,0x527400d3,0xa2cd0a0e,0x6d86003e}},	//   lösa_, лушу, दृष्, iðab, 
   {{0x98b4034c,0x26c20588,0xd1840c8b,0x3cfe02fe}},	//   čeći_, _zeko_, глій, jetv_, 
   {{0xe81407d5,0x60c1035e,0x48e90035,0xb814156c}},	//   डिया_, _velm, _जानो_, डियम_, 
   {{0x27e7022b,0x4394b6e1,0x752e019b,0xa2cd1f36}},	//   _ännu_, _басс, _zobz, दृश्, 
   {{0x60c1b6e2,0x1e850f5a,0x5f7600eb,0x752e0532}},	//   _telm, ълим, خميس_, _yobz, 
   {{0x29cd0039,0x6aadb6e3,0x522401a2,0x635c0352}},	//   dľa_, _afaf, _ёфта, včni, 
   {{0xcb6ab6e4,0xd11e0bb6,0x2b40b6e5,0xbb46b6e6}},	//   дане_, पारण_, _plic_, венк, 
   {{0x3cdd3e41,0x4df503a1,0xec090108,0x00000000}},	//   _खाके_, _аякт, _vế_, --, 
   {{0xee2e0024,0x613400f6,0x8f3600df,0x00000000}},	//   _тн_, _vàlv, _שאנו_, --, 
   {{0x49990df8,0x23d1143e,0xec0900f7,0xdca2b6e7}},	//   ется_, _हिंद, _tế_, _каши, 
   {{0x929d00ab,0x8c42170f,0x07a62853,0x8c451d9d}},	//   _całk, _веще, табн, _шеке, 
   {{0xdb1b105d,0x273c026e,0x752e0a1a,0x41d22030}},	//   tstå, _víno_, _sobz, _सिलस, 
   {{0xb6a300d9,0x6f0b012b,0xf50a00d9,0x752e0532}},	// [b9c0] риул, _magc, мнал_, _pobz, 
   {{0xdb1b0a40,0x1dd402f8,0x14e2009a,0xb4cc009a}},	//   rstå, _दिसत, _पाळण, ळणे_, 
   {{0xd7ca00c5,0x15fe05d2,0x26c2b6e8,0x232a9463}},	//   _توجه_, _उनकर_, _teko_, можи_, 
   {{0xdb1b0164,0xdceb01dd,0x490a18b4,0xccf800d8}},	//   pstå, _augļ, ायको_, jněn_, 
   {{0xcb1300fe,0x6fbe00cc,0xe29702a6,0x7af6024a}},	//   ילא_, _ইমেই, вац_, _mbyt, 
   {{0x27fa016a,0xd12f00eb,0x6604b6e9,0x39585f93}},	//   _kppn_, يمن_, mwik, nirs_, 
   {{0x7af6014b,0xa87a00c7,0x237d0201,0xa0a500f0}},	//   _obyt, ואַר, blwj_, ушіл, 
   {{0x657eb6ea,0x35a700a5,0x831a1a1c,0x3ce70237}},	//   llph, _कूड़, _تقرر_, _acnv_, 
   {{0x660407fc,0x71ea0038,0x613400f6,0x2b2101a4}},	//   nwik, _زفاف_, _bàlt, यासँ_, 
   {{0x20563b46,0x23c60790,0xf26700b3,0x27fa0604}},	//   _итер, _लबाद, _риул_, _oppn_, 
   {{0x6aad1176,0x6c54606f,0x28dc109f,0xa3b6009a}},	//   _pfaf, укну, _बाजि, चीच_, 
   {{0x99ae0086,0x6604b6eb,0xee3ab6ec,0x671203ce}},	//   _কয়েক, kwik, _оне_, _ढोलक_, 
   {{0x7d0ab6ed,0x6d86003e,0x63785a36,0x9f5e02be}},	//   _tafs, rðab, líns, _estã_, 
   {{0x672fb6ee,0xf99f06df,0x27fa0175,0x6f00027e}},	//   _socj, twèb_, _bppn_, lemc, 
   {{0x63781eb1,0x57a4b6ef,0x3cfb00d1,0x36d54b5e}},	//   níns, ишта, _חלונ, ловр, 
   {{0xd6d8b6f0,0x2a69006d,0x6aad0053,0x7b1400fd}},	//   кту_, _txab_, _ufaf, _вдъх, 
   {{0x69c002a0,0x6604011d,0x80b400c2,0xa634004f}},	// [b9d0] âmet, gwik, ुराइ, анті, 
   {{0xf8b70ed5,0x7af69045,0x7bda1a77,0xc7c700a3}},	//   _अभिय, _zbyt, ortu, _исми, 
   {{0x09340038,0x7afa010e,0xc7ab0038,0x2a740535}},	//   _خريج, őtte, _تدخل_, _مدیح, 
   {{0x6f000098,0x2d9c3a99,0x657e00a1,0x00000000}},	//   jemc, _live_, alph, --, 
   {{0x66f6035c,0xe4a78835,0x66041d21,0xa1590176}},	//   _גמרא_, _арбо, cwik, наду_, 
   {{0x7f4200cf,0x00000000,0x00000000,0x00000000}},	//   _aloq, --, --, --, 
   {{0x7ff50fce,0x5ebe0033,0xdb0200fc,0x2eff2cff}},	//   استا, োলনে, pplø, teuf_, 
   {{0xaf051447,0x5334b6f1,0x8e0912de,0x64580083}},	//   упил, _кест, енив_, ócił, 
   {{0x7bda3f56,0x2d9c1a20,0x6378019c,0x2294004f}},	//   ertu, _bive_, rínt, _витя, 
   {{0x9f5e0161,0x7f42b6f2,0x6378b6f3,0x61fb012b}},	//   _està_, _eloq, sínt, _ipul, 
   {{0x6f0b22e4,0x7f424783,0x63780098,0xccf802d9}},	//   _tagc, _floq, cíns, mněl_, 
   {{0x273502ae,0xab2a4243,0x00000000,0x00000000}},	//   _måns_, хома_, --, --, 
   {{0x7bda1a77,0xcdc3127a,0x9f47031e,0xa14200e0}},	//   artu, _талқ, ntní_, _šķie, 
   {{0x2d9c00a7,0x3ead00b9,0x61fb0f53,0x9f5e020b}},	//   _give_, lcet_, _mpul, _istá_, 
   {{0x186718b6,0x7d012773,0x6d430036,0x00000000}},	//   гари_, mels, _ilna, --, 
   {{0x290c02f5,0x6604b6f4,0x7af60076,0x7c3c155b}},	//   žda_, twik, _ubyt, ørre, 
   {{0x068600d3,0x558a0819,0x88f400f0,0xae1600c2}},	// [b9e0] уган, ебам_, _кінә, तियन_, 
   {{0x660400c5,0x090605ef,0x27350164,0x7d01042a}},	//   rwik, _спон, _sånt_, nels, 
   {{0x48e900a2,0x61fb31c4,0x0d3a0070,0x41c602e6}},	//   _जातो_, _apul, עגעב, रीनस, 
   {{0xb7db00fe,0x64a312e1,0x7d01004f,0x613d05d5}},	//   _אקטי, _ҳара, hels, _dèlm, 
   {{0x7d010533,0x799e02ac,0x00000000,0x00000000}},	//   kels, _kipw, --, --, 
   {{0x64a3b6f5,0x7d01b6f6,0x6378890b,0xf4840c30}},	//   _гара, jels, tíns, _نازی, 
   {{0x2d9c158b,0x7d010cac,0x61fb044d,0x2fc500f0}},	//   _rive_, dels, _epul, арың, 
   {{0x2dd400c8,0x6d43076b,0x7bda00ca,0xa6d60033}},	//   ажир, _alna, vrtu, ড্রয়, 
   {{0xd266b6f7,0x7d014af9,0xdb1b0b48,0x6da30165}},	//   _скай, fels, mstø, биња, 
   {{0x7d010f2d,0x61e20009,0xdb1b01e8,0xf53f02ae}},	//   gels, muol, lstø, _utåt_, 
   {{0x9f5e1408,0x443a040b,0x3dcf0054,0x7ee60038}},	//   _está_, nyp_, _evgw_, _مكان, 
   {{0x6d43b6f8,0xdb1b00fb,0xe9f90023,0xbea607b6}},	//   _elna, nstø, _ngả_, _садк, 
   {{0x2d9c02a0,0x7d011808,0x61e2012d,0xf8b90161}},	//   _tive_, bels, nuol, көн_, 
   {{0xdd8f0fdc,0x7d01b6f9,0x443a00de,0xdb040118}},	//   _فون_, cels, kyp_, _lunè, 
   {{0x273c001b,0x6d480a75,0x6d5ab6fa,0x61e200c8}},	//   _kính_, mhda, mita, huol, 
   {{0x61e2b6fb,0x8c1b07e4,0x0b8b19fe,0x8b6700d7}},	//   kuol, _טווי, _ясли_, _حاتم, 
   {{0x613d0cd7,0x80ca0086,0x58d5add9,0x6b8db6fc}},	// [b9f0] _sèlm, _রান্, _копт, _ihag, 
   {{0x6d5a37ba,0x273c00e7,0x6d480108,0xb4df09d8}},	//   nita, _lính_, nhda, णले_, 
   {{0x61fbb6fd,0x6d5a02fe,0x02d0009a,0x69cfb6fe}},	//   _spul, iita, हणून, lsce, 
   {{0x6d5ab6ff,0x52150834,0x7d01b700,0x491d031e}},	//   hita, идет, zels, माको_, 
   {{0x6d5ab701,0x90c5012d,0x7d011950,0x6b8d8abb}},	//   kita, абле, yels, _mhag, 
   {{0xdb0401ee,0x6d5aaf3e,0x2903b702,0x672d133e}},	//   _punë, jita, neja_, ljaj, 
   {{0x7d010310,0x9f47000d,0xdb041904,0x273c0108}},	//   vels, stní_, _funè, _bính_, 
   {{0xef19b703,0x7d016782,0xcb14009a,0x613d0300}},	//   тми_, wels, _तोंड_, _kèlk, 
   {{0x6d5ab704,0x7d01b705,0x3f83002a,0x2903b706}},	//   fita, tels, ēju_, keja_, 
   {{0x6d5ab707,0x6d48b708,0x51840f67,0x291100ef}},	//   gita, ghda, _луха, jdza_, 
   {{0x7d010310,0xdc690176,0x6b8db709,0x69dd2680}},	//   rels, танд_, _bhag, erse, 
   {{0x7d0101c3,0x6b8db70a,0x6d4800a1,0x672d0547}},	//   sels, _chag, ahda, jjaj, 
   {{0x6b8da2ff,0x672d1b90,0x9f04006b,0x6d5a37ba}},	//   _dhag, djaj, _دونو, bita, 
   {{0x6d5ab70b,0x6846523f,0x6d480673,0x2903b70c}},	//   cita, анга, chda, geja_, 
   {{0x63a702ee,0x97d90fc8,0x1ad602f1,0x6c7900c7}},	//   _nujn, льту_, _кўпр, _באַפ, 
   {{0x6b8db70d,0x37e600a3,0x7f4902be,0x69dd7d1c}},	//   _ghag, лоҳг, nheq, brse, 
   {{0x4b7b00c7,0x77640068,0x2903b70e,0x7b0800e0}},	// [ba00] _באקו, rnix, beja_, āstī, 
   {{0xf53f32b9,0x14c800d4,0x443ab70f,0x613d05d5}},	//   _står_, اهای_, typ_, _dèlk, 
   {{0x649a1b17,0x6289011c,0x69c400c3,0xdb1b00fb}},	//   ттар_, _azeo, _hwie, tstø, 
   {{0x6d5ab710,0x1bf600c7,0x69c4458d,0x443a08b0}},	//   zita, יצער_, _kwie, ryp_, 
   {{0xdb1b03a9,0x6d5ab711,0x64a6b712,0x69c400c3}},	//   rstø, yita, _вага, _jwie, 
   {{0x6d5a09a1,0x415300dd,0xf8c60d53,0x61e2b713}},	//   xita, овіс, वरिय, ruol, 
   {{0x6d5ab714,0x4034012d,0xf1d200a5,0x7f584123}},	//   vita, сейс, _सिकन, лакс_, 
   {{0x6d5a12e6,0xdefa01bb,0x61e2413e,0x29037c08}},	//   wita, тык_, puol, zeja_, 
   {{0x6d5ab715,0x6b8d02f0,0x23660d26,0x6e3b012b}},	//   tita, _rhag, mnoj_, gyub, 
   {{0x236603ef,0x69dd04d1,0x6b8db716,0x7c3a01d2}},	//   lnoj_, vrse, _shag, tytr, 
   {{0x273c00f7,0x2903b717,0xa3c99fec,0x63a000a3}},	//   _tính_, veja_, लीप_, _kimn, 
   {{0x6d4800cf,0x63a0b718,0x69c400c3,0x60c8b719}},	//   shda, _jimn, _bwie, _hedm, 
   {{0x2903b71a,0x69ddb71b,0x7bc301f2,0x60c80118}},	//   teja_, urse, _ewnu, _kedm, 
   {{0x5ba60978,0x69c4248e,0x63a000a3,0x6aa401b8}},	//   _криз, _dwie, _limn, _egif, 
   {{0x6b8d009f,0x6d580199,0x60c80e79,0x00000000}},	//   _thag, _imva, _medm, --, 
   {{0x236600d2,0x63a71799,0x2903b71c,0xa3c90262}},	//   jnoj_, _rujn, seja_, लीफ_, 
   {{0x236603ef,0x672db71d,0xa3c92fcf,0x35b41cb8}},	// [ba10] dnoj_, rjaj, लीन_, жбур, 
   {{0x6441007e,0x63a04aec,0x4a7c00d1,0x672d0588}},	//   _ülik, _aimn, _ברחב, sjaj, 
   {{0x69c4b71e,0x62800104,0xdb040216,0x00000000}},	//   _zwie, _aymo, _munî, --, 
   {{0x236600ef,0xa3e6034d,0x63a70304,0xc7b200d1}},	//   gnoj_, पढ़_, _vujn, _מבט_, 
   {{0x628002bf,0x6d58b71f,0x63a0203b,0xe9df0038}},	//   _cymo, _omva, _dimn, nrú_, 
   {{0x2bac031e,0x6280b720,0x3d1600a5,0x613d023e}},	//   _něco_, _dymo, _भोले_, _kèli, 
   {{0xe9df00eb,0x23660112,0x60c8011d,0x7aedb721}},	//   hrú_, bnoj_, _dedm, _ocat, 
   {{0x75350105,0x2366090b,0x4f0903dc,0x6d5829a0}},	//   _hozz, cnoj_, унин_, _amva, 
   {{0x7f49b722,0x6d86008c,0x62800156,0x0d2100d3}},	//   rheq, rðan, _gymo, зүлү, 
   {{0x61e634db,0x41540386,0xed4513e6,0xd1b300d7}},	//   _åkla, _двус, сноп, _هیچک, 
   {{0x69c4b723,0xeb9ab724,0x7535b725,0x66160098}},	//   _swie, лио_, _mozz, zvyk, 
   {{0x63a003da,0xa3c92cad,0x7aed0082,0x6fea0095}},	//   _ximn, लीय_, _ccat, _təcr, 
   {{0x3da7b726,0x3ebf3976,0x5f7400eb,0x8f9a07e4}},	//   _треб, mbut_, _بالر, _עיני, 
   {{0x4e7a0137,0x23660112,0x7535b727,0x7aed2575}},	//   _גאנצ, znoj_, _nozz, _ecat, 
   {{0xa786091d,0xa3c917f6,0x613d00f6,0x00000000}},	//   مشرو, लीम_, _cèli, --, 
   {{0x69c4b728,0x6b6b00ab,0x7aed0038,0x657c0ab4}},	//   _twie, lęgn, _gcat, _skrh, 
   {{0x236603ef,0x2a3503a1,0xd627b729,0x99d61b65}},	// [ba20] vnoj_, _дээр, боте_, _اتبا, 
   {{0x6d41b72a,0x4cd900cc,0x753501d8,0x63a0b72b}},	//   nkla, ব্রু, _cozz, _simn, 
   {{0x236602f5,0x63a0016a,0x62800532,0xa5dd0035}},	//   tnoj_, _pimn, _symo, _पिथौ, 
   {{0x60c82365,0xd37900dd,0x2b210035,0x9f470098}},	//   _sedm, ачі_, याएँ_, ytná_, 
   {{0x26c0b72c,0x236603ef,0xa2aa07d5,0x6b460068}},	//   mbio_, rnoj_, टशब्, _xóga, 
   {{0x236600f1,0x65c2004e,0x35c50200,0xf1a5004e}},	//   snoj_, _мұға, _фарҳ, ірін, 
   {{0x63a0b72d,0x6d4105a8,0x23660112,0x320d002c}},	//   _timn, dkla, pnoj_, _esey_, 
   {{0x62800156,0x543b00c7,0xe36300d9,0x753562de}},	//   _tymo, _געלא, _екси, _zozz, 
   {{0x9cca001c,0x160e0366,0x63a1011c,0x6d41b72e}},	//   лына_, सिटर_, _èlna, fkla, 
   {{0x3ebf0495,0xf1bf00bc,0x7aed0e8b,0xb14300b3}},	//   abut_, ášen_, _scat, _енул, 
   {{0xdefa030f,0x308600eb,0x9f47026e,0xa5bbb72f}},	//   _был_, _الاف, stná_, _gróf, 
   {{0x613d0118,0x00000000,0x00000000,0x00000000}},	//   _rèli, --, --, --, 
   {{0x6e960084,0x44270023,0x074700f0,0xdb040218}},	//   _الشا, ̣n_, ұхам, _tunî, 
   {{0x6d41b730,0x3f84003d,0xd90f0116,0x273c003e}},	//   ckla, llmu_, ریج_, _mínu_, 
   {{0xa8990451,0x753509f0,0x97a41010,0x273c01d5}},	//   ркву_, _rozz, зрул, _línu_, 
   {{0x76b95f0e,0x6b460038,0x75350036,0xdb1b0502}},	//   рлар_, _tóga, _sozz, nstü, 
   {{0xa5351fde,0xf1b90d26,0x753509f7,0x3f84b731}},	// [ba30] онач, _krše_, _pozz, ilmu_, 
   {{0x3ebf0910,0x98c7170f,0x00000000,0x00000000}},	//   zbut_, _усил, --, --, 
   {{0x26c00093,0x293800c7,0x2b4900e2,0x6355004f}},	//   bbio_, _לאזן_, _klac_, овжу, 
   {{0xe2f9005e,0x291303da,0xd9ed0f7a,0x6d411ca7}},	//   реді_, _haxa_, _जमात_, zkla, 
   {{0x6d41b732,0x2b4900ca,0x659511cd,0x291301cf}},	//   ykla, _mlac_, _маму, _kaxa_, 
   {{0xa5bb008c,0x59dc40a8,0x2b49b733,0x661d06fa}},	//   _próf, _बिसर, _llac_, _irsk, 
   {{0x6d412920,0x1fb4004e,0xcfb40086,0x661d0b1d}},	//   vkla, псыр, _টিউন, _hrsk, 
   {{0x29130183,0x26cb0082,0x63b80228,0x1dd40035}},	//   _laxa_, _jeco_, ívne, _दिखत, 
   {{0xee361838,0x161c000f,0x3ebfb734,0x26cb0183}},	//   жны_, नियर_, rbut_, _meco_, 
   {{0xed5900d3,0x661d03c8,0x26c0034c,0xa5bbb735}},	//   роо_, _mrsk, zbio_, _eróg, 
   {{0xdb1b0679,0xbb1b0216,0x25a301d2,0x2b4903c6}},	//   sstý, rlîn, _mijl_, _blac_, 
   {{0xa3e10509,0x6e244510,0xa2cd0035,0x3ea60574}},	//   _दिन_, _šibe, दृच्, _ggot_, 
   {{0xa3c900a2,0x6d41b736,0x29130248,0x5f742f67}},	//   लीत_, pkla, _baxa_, _عامر, 
   {{0x07a6081b,0x8c4544f6,0x25a3039b,0x26d9076b}},	//   жавн, _меле, _nijl_, _adso_, 
   {{0xe73a97cf,0x475ab737,0x18a3004e,0x26cbb738}},	//   аев_, арая_, дарм, _beco_, 
   {{0x661d11c8,0x236d008b,0x26cb0036,0x178608af}},	//   _brsk, _njej_, _ceco_, ігам, 
   {{0x80ca0086,0xdb040369,0x291301f1,0x26cb5f93}},	// [ba40] _রাস্, _juní, _faxa_, _deco_, 
   {{0x2d85b739,0x661d034c,0xf1e00484,0x613d011c}},	//   nlle_, _drsk, _निबन, _kèlu, 
   {{0x273c008c,0x2d85b73a,0x386d0380,0xdb04020b}},	//   _sínu_, ille_, ßert_, _luní, 
   {{0x6499b73b,0xa5bbb73c,0x03260cf8,0x613d011c}},	//   стур_, _bród, юден, _mèlu, 
   {{0x6726b73d,0x41b600c8,0xb77b0070,0xe1ef149e}},	//   _inkj, цсет, _כאטש, نسو_, 
   {{0x61430088,0x2bda0035,0xe4760a10,0x26cb018e}},	//   меча, _भिला, _дубэ, _zeco_, 
   {{0xaada11bd,0xb4e60f63,0xa5bb04f4,0xd46700b3}},	//   _भयंक, फली_, _próg, _дире_, 
   {{0x236d00e5,0x6d86008c,0x25a3039b,0xf8c609d3}},	//   _gjej_, rðam, _zijl_, वरुप, 
   {{0xdb1b02f2,0xcd064eb1,0x28bfb73e,0x00000000}},	//   rstü, очни, ्रमि, --, 
   {{0xdd90073c,0x2b4900a1,0xdb1bb73f,0x00000000}},	//   عود_, _slac_, mpté, --, 
   {{0xf1b9090b,0x2b49b740,0x46aa009a,0x613d00b9}},	//   _vrše_, _plac_, कशाह, _pèlv, 
   {{0x2d85b741,0x6da6b742,0x8cba0527,0x201e00c8}},	//   alle_, _дида, _श्रो, _irti_, 
   {{0xf2d31ccc,0xfd0f00c5,0x26cbb743,0xf8c61276}},	//   וער_, رجی_, _reco_, वरूप, 
   {{0x26cb0684,0x61e2068b,0x6b460534,0x00000000}},	//   _seco_, irol, _hógl, --, 
   {{0xa15700a7,0x7d080118,0x78b00098,0x6d4a1806}},	//   קבלה_, meds, _živý, _ilfa, 
   {{0x661d01b4,0x7d082215,0x9f5e0534,0x35b53f28}},	//   _prsk, leds, _astú_, збар, 
   {{0x291326b0,0x25a302b0,0xe78408ba,0x26cb0243}},	// [ba50] _taxa_, _pijl_, фуро, _veco_, 
   {{0x7d08017e,0x201eb744,0xbef8017d,0xef190083}},	//   neds, _orti_, ्जुन_, może_, 
   {{0x61e200f6,0xfa34015f,0x25a3039b,0xf3f912f6}},	//   erol, _فرید, _vijl_, снеш_, 
   {{0x7d080022,0x80ca0086,0x661d044e,0xdb0b0219}},	//   heds, _রাষ্, _trsk, _utfä, 
   {{0x201eb745,0x2d85b746,0x661d03c5,0x20d503bd}},	//   _arti_, ylle_, _ursk, пійс, 
   {{0x201e016a,0x2b920228,0x7d08b747,0x660d5354}},	//   _brti_, máce_, jeds, mwak, 
   {{0x25e30a44,0x236d014e,0x201e0372,0x10a283a2}},	//   टंकी_, _tjej_, _crti_, нишн, 
   {{0x81aa00cc,0x61e2b748,0x15ef00c2,0x9f47021e}},	//   _খবর_, brol, _चमार_, munë_, 
   {{0x201e0938,0x2d85022c,0x613d4c27,0x80270019}},	//   _erti_, tlle_, _bèlt, _ڈرام, 
   {{0x2d85b749,0x613d00b9,0xed59058e,0xc5f20486}},	//   ulle_, _cèlt, ёон_, עדי_, 
   {{0x2d8509a1,0xed4e01a2,0x660d2835,0x00000000}},	//   rlle_, _ҷо_, hwak, --, 
   {{0x2d8503da,0x660db74a,0x6d4ab74b,0xdb0416b9}},	//   slle_, kwak, _elfa, _tuní, 
   {{0x7d08b74c,0x4a430093,0xed4e68fe,0xdb04020f}},	//   beds, еняв, _зо_, _punâ, 
   {{0xfbd100eb,0x660d7e22,0xdce101dd,0x6b4d0218}},	//   _كتب_, dwak, rolē, _rûge, 
   {{0xe61f0054,0xeb9ab74d,0x613d00b9,0x9919017b}},	//   _arô_, _лик_, _hèls, ціях_, 
   {{0xcc3a0137,0x186700a3,0x3865007a,0xdb1b0151}},	//   _לעצט, часи_, úlra_, ypté, 
   {{0xe737b74e,0xa3c903c1,0x26e4017d,0xbbdb00b0}},	// [ba60] чет_, लीस_, गलौर_, _मटुक, 
   {{0x458302a0,0x61e2801b,0x00000000,0x00000000}},	//   егув, vrol, --, --, 
   {{0x49150fc0,0xe7eb000f,0x290a00ef,0x493b00d1}},	//   _फोटो_, जूदा_, meba_, _הגיו, 
   {{0x7d08006a,0x290a1b01,0xe5a63665,0x291825f2}},	//   zeds, leba_, _ними, ldra_, 
   {{0x26d2398d,0x4681004e,0xe5a62943,0x613d0118}},	//   mayo_, _ақта, _хиги, _nèls, 
   {{0x2918b74f,0x61e20f46,0x26d2b750,0xe4da0e70}},	//   ndra_, rrol, layo_, _دوست_, 
   {{0x28bf2360,0xd9d9031e,0x9f98269c,0x7d080422}},	//   ्रति, _भट्ट, овку_, veds, 
   {{0x26d26a01,0x61e2053d,0x64a3012d,0x7d08038c}},	//   nayo_, prol, _часа, weds, 
   {{0x91e320e1,0x63ae00bc,0x290ab751,0x7d080657}},	//   _поте, _hubn, keba_, teds, 
   {{0x290ab752,0xb3e000a5,0x26d2b753,0xa3c90299}},	//   jeba_, _पटाख, hayo_, लीव_, 
   {{0x7d08b754,0x26d2ac56,0x8c6602f1,0x201eac31}},	//   reds, kayo_, ятид, _urti_, 
   {{0x657e0149,0x26d22358,0x613d0118,0x00000000}},	//   hoph, jayo_, _wèlt, --, 
   {{0x63aead60,0x26d201a3,0xf1b90864,0xd35707e4}},	//   _lubn, dayo_, _krša_, ליטי_, 
   {{0xada303b7,0x63bc0054,0x290ab755,0x6d4ab756}},	//   _зачл, _otrn, geba_, _ulfa, 
   {{0x657eb757,0x6cfb00d1,0x26d24e7c,0x00000000}},	//   doph, _הפוס, fayo_, --, 
   {{0x2918b758,0x26d2b759,0xe61f1e5f,0x48e903ce}},	//   adra_, gayo_, _prô_, _जाको_, 
   {{0xaac31cdd,0x4ac30e6e,0xae1f0790,0x290a0bab}},	// [ba70] _व्यक, _व्यव, बियन_, beba_, 
   {{0xd49bb75a,0xa5bbb75b,0x660db75c,0x290a03b7}},	//   бре_, _prób, rwak, ceba_, 
   {{0x26d22083,0x660db75d,0xa5bb4879,0xa2f51e2f}},	//   bayo_, swak, _bróc, дпеч, 
   {{0x1ddd00ab,0xf1b902fe,0x26d20126,0x63ae0356}},	//   _मिलत, _arša_, cayo_, _dubn, 
   {{0xbef80a44,0x657eb75e,0xdb020219,0x63bc0118}},	//   ्जैन_, boph, pplö, _etrn, 
   {{0xf8bf1276,0x2bac00bc,0xdca60038,0x7bd801b8}},	//   ्रिय, _těch_, _لى_, _ovvu, 
   {{0xe0d02751,0x7bdc010e,0x64743579,0xdb0400da}},	//   ازه_, árul, _згру, _luná, 
   {{0x39841772,0x290ab75f,0x321f001b,0x6e2476fc}},	//   löst_, zeba_, _truy_, _šiba, 
   {{0x1ddd00a2,0x63ae2cb5,0x7bd801b8,0x30a7a33b}},	//   _मिळत, _zubn, _avvu, _ерев, 
   {{0x61e4b760,0x26d2b761,0x7afd10f3,0x1c45b762}},	//   áile, zayo_, efst, дном, 
   {{0x63ae6f34,0xeb9a049b,0x26d2813f,0x7afdb763}},	//   _xubn, жин_, yayo_, ffst, 
   {{0x29014aec,0xe8c60299,0x290a07fc,0xdb0400e1}},	//   _abha_, वर्च, weba_, _buná, 
   {{0x657e023e,0x7bd80539,0x9f47023e,0x26d20610}},	//   yoph, _evvu, juné_, vayo_, 
   {{0x26d22d32,0x20050065,0xdb04039f,0x7afd5490}},	//   wayo_, _kpli_, _duná, afst, 
   {{0x26d2b764,0x290a024d,0x2918b765,0xa9a3b766}},	//   tayo_, reba_, rdra_, тирд, 
   {{0x7bc101f2,0x63ae02c7,0x290ab767,0x61eb0566}},	//   mplu, _rubn, seba_, kugl, 
   {{0x26d23134,0x6b84024d,0x3a2000c5,0x35a600b9}},	// [ba80] rayo_, _ikig, _urip_, дааг, 
   {{0x26d2b768,0x290ab769,0xe96a00a3,0xf507002e}},	//   sayo_, qeba_, _фаол_, мнул_, 
   {{0xe73ab76a,0xa3c900a2,0x7bc1537b,0x25ea0a34}},	//   _ден_, लील_, nplu, _चमकी_, 
   {{0x27e50039,0x91e61aac,0x728a2cdb,0xd62a0b34}},	//   álne_, доде, обег_, _доме_, 
   {{0x75490105,0x61eb0613,0x2bac00bc,0x6b84018e}},	//   ászó, gugl, _věci_, _mkig, 
   {{0xa5bb0035,0x518308b8,0x7bc1039b,0x00000000}},	//   _wróc, куща, kplu, --, 
   {{0x54c100f0,0x6b64010e,0x20050027,0x6b8401b8}},	//   _сұхб, zőga, _cpli_, _okig, 
   {{0x44441af1,0x8e140cd9,0x1e148fa3,0x48de00bd}},	//   my_, едиц, емия, कृतो_, 
   {{0x753c006a,0x3ea20219,0x6ce6b76b,0xf1b90604}},	//   _korz, äkt_, міне, _trša_, 
   {{0x6b84b76c,0xdb1bb76d,0xe2a6003e,0xf1b90144}},	//   _akig, nstö, áðum_, _urša_, 
   {{0x4444b76e,0xdb1b00c8,0x753c3275,0x8c4302a0}},	//   ny_, istö, _morz, веќе, 
   {{0xa3e10c15,0x3a2600ef,0x44441ee8,0x7afd0502}},	//   _दिस_, _šopa_, iy_, ufst, 
   {{0x4444b76f,0xc33302a1,0x527b00c7,0x753c012e}},	//   hy_, דור_, ַנלא, _oorz, 
   {{0x44445241,0x3dc9078a,0x753c00e2,0x6b840298}},	//   ky_, _çawa_, _norz, _ekig, 
   {{0x80d300cc,0x444440e0,0x6e22014b,0x140d00aa}},	//   _সাম্, jy_, _hrob, _सनेह_, 
   {{0xf7701b44,0x7d180430,0x6e22011c,0x00000000}},	//   لاق_, _havs, _krob, --, 
   {{0xa5f855bf,0xddc90035,0x6aad007c,0x753cb770}},	// [ba90] мету_, czeń, _igaf, _borz, 
   {{0x4444b771,0x7d1a40cf,0x6d48b772,0x2b920032}},	//   fy_, ndts, nkda, máca_, 
   {{0x44444894,0xa3c90a44,0x7985b773,0x36d50088}},	//   gy_, लीं_, _ikhw, _понр, 
   {{0x16350093,0x9f47b774,0x6e22b775,0x80c10299}},	//   _земя, stnú_, _orob, रुने, 
   {{0x4444b776,0x753cb777,0x7d18014e,0x91054ab4}},	//   ay_, _forz, _oavs, епле, 
   {{0x4444173b,0x61eb090e,0x41e007d5,0xf1e02b48}},	//   by_, rugl, _निरस, _निरन, 
   {{0x6286155b,0x4444106b,0x61eb1993,0x673d0082}},	//   _økon, cy_, sugl, _kosj, 
   {{0xee39b778,0x6e220156,0x61eb02a3,0x6aad1abd}},	//   зни_, _brob, pugl, _ngaf, 
   {{0xe1f00a24,0x6e220242,0x7985019b,0x673d017b}},	//   _نسل_, _crob, _okhw, _mosj, 
   {{0x31596349,0x29cdb779,0x63a90088,0x6aadb77a}},	//   _علاج_, dža_, _hien, _agaf, 
   {{0x63a90529,0x62891f87,0x6e224d7e,0x6b66b77b}},	//   _kien, _hyeo, _erob, екна, 
   {{0x79850089,0xf092008d,0x6289016a,0x6565b77c}},	//   _akhw, _גנב_, _kyeo, hihh, 
   {{0x444475ac,0x63a9b77d,0xdc3b06f6,0xfce509e7}},	//   zy_, _mien, _išče, _золо, 
   {{0x63a9b77e,0x6289016a,0x6f1b1f2d,0x7bc11091}},	//   _lien, _myeo, lduc, pplu, 
   {{0x6e22006a,0x6b46b77f,0xb8d8007e,0x27960141}},	//   _zrob, _lógi, _छल_, ешар, 
   {{0x4444301f,0x63a9b780,0xe7379516,0x6f1b1229}},	//   vy_, _nien, нес_, nduc, 
   {{0x44440da6,0x2b001bc8,0x753cb781,0x69cd0156}},	// [baa0] wy_, ष्णु_, _porz, _gwae, 
   {{0x649ab782,0x63a9b783,0x068300d3,0xdce10009}},	//   птер_, _aien, угун, rolė, 
   {{0xdb1bb784,0x63a9b785,0x130a058b,0x4444b786}},	//   rstö, _bien, зней_, uy_, 
   {{0x4444b787,0x63a92769,0x291a086d,0xa5bb405d}},	//   ry_, _cien, _hapa_, _irón, 
   {{0x63a9b788,0x291a4e39,0xb28351d0,0x6f1b0226}},	//   _dien, _kapa_, лышк, dduc, 
   {{0x444431bd,0xa5bb008c,0x63a9b789,0xdb0403b7}},	//   py_, _krón, _eien, _funç, 
   {{0x63a9b78a,0xa2e60093,0x7d1800a3,0x935a049b}},	//   _fien, _повд, _ravs, _ерау_, 
   {{0x291ab78b,0xdb0b00dd,0x7d18b78c,0xbd010042}},	//   _lapa_, _utfø, _savs, ñénd, 
   {{0x6289011c,0x52cc00bc,0x613d011c,0x6e22008a}},	//   _gyeo, ारीस, _tèlp, _qrob, 
   {{0x291ab78d,0x63a90a9f,0xd24f0038,0xd26300b3}},	//   _napa_, _zien, _انك_, _скуй, 
   {{0x6d48b78e,0x22460019,0x6f1985e8,0x69cd0326}},	//   rkda, lyok_, _fawc, _swae, 
   {{0x6e220161,0x63a9006d,0x59dc093a,0x291a025b}},	//   _trob, _xien, _बिखर, _aapa_, 
   {{0x291aa9d9,0x7d18b78f,0x6e220187,0x22460019}},	//   _bapa_, _tavs, _urob, nyok_, 
   {{0xa3e10c06,0x291ab790,0x29cdb791,0x90d50108}},	//   _दिल_, _capa_, rža_, _lòn, 
   {{0x673d02b1,0x1cb70111,0xa5bb1056,0xf77336a7}},	//   _posj, _אלול_, _crón, هار_, 
   {{0x2d8c014e,0x7bda7fb1,0x22460102,0x2d9e8b73}},	//   llde_, mstu, kyok_, lmte_, 
   {{0x63a9b792,0x44230097,0x291a084c,0xb50202e6}},	// [bab0] _rien, _srj_, _fapa_, र्भय_, 
   {{0xc6a42e93,0x6289060c,0x442302a2,0x798500e2}},	//   урси, _ryeo, _prj_, _ukhw, 
   {{0x63a9b793,0x9cd70056,0x2d9e0d2d,0x6e240a1a}},	//   _pien, גובה_, imte_, _šibl, 
   {{0x7bdab794,0x6565016a,0x490900bc,0x2d9e0502}},	//   istu, sihh, ाजको_, hmte_, 
   {{0x63a9b795,0x2246006b,0x213e0056,0x237403b1}},	//   _vien, gyok_, _both_, دالح, 
   {{0x7bdab796,0x26c9b797,0xa3cc0262,0xdb0401c4}},	//   kstu, lbao_, _शौक_, _zunä, 
   {{0x63a9b798,0x349401a2,0x7bdab799,0x7f49024a}},	//   _tien, _барр, jstu, tkeq, 
   {{0x2d8c0b1f,0x61e435f1,0x2246016a,0x2366011f}},	//   elde_, šila, byok_, cioj_, 
   {{0xb1150172,0x81bb0086,0x7bdab79a,0xc115021c}},	//   _имаш, _আটক_, estu, _имај, 
   {{0x7bda0876,0x6b460679,0x63bb0304,0xdca538f2}},	//   fstu, _jógv, _čunj, капи, 
   {{0x2ef50161,0x7bda412f,0x31670065,0x15f302e6}},	//   _азер, gstu, minz_, इंडर_, 
   {{0x291ab79b,0x2d8c3092,0x2d9e1be5,0x333f0106}},	//   _sapa_, alde_, amte_, _joux_, 
   {{0x291aad74,0xe98402f1,0x3b1b00a4,0x98d6004f}},	//   _papa_, лқин, _daqq_, ківщ, 
   {{0x17c803dc,0x3f8d4f5c,0x291ab79c,0x991546c3}},	//   нҳои_, lleu_, _qapa_, льсі, 
   {{0x4879b79d,0x5d7a0070,0xb8ea01a4,0xbc19017b}},	//   естя_, _קאצק, _ऊभ_, _цілі_, 
   {{0x27e50187,0xe80304cc,0x1fe30086,0xcfe30033}},	//   álna_, _लहरा_, _মহাস, _মহান, 
   {{0x07a311a8,0xdcfa00e0,0x661b0ab4,0xc7a30d75}},	// [bac0] ратн, lotā, _šukr, ритк, 
   {{0xe577b79e,0x291a01be,0x00000000,0x00000000}},	//   взу_, _uapa_, --, --, 
   {{0x66e692ba,0x213e7c71,0xdcfa01dd,0x44210574}},	//   _иона, _roth_, notā, gvh_, 
   {{0xf7460f91,0x41e601fc,0xa5bb0035,0x7c3eb461}},	//   _ремо, віка, _król, _àpre, 
   {{0x6d8601d5,0x333f0107,0x2d870032,0x2366011f}},	//   iðar, _doux_, _okne_, rioj_, 
   {{0x7bdab79f,0x3f860a7a,0xdcfa01dd,0x2b40597a}},	//   ystu, _skou_, kotā, _loic_, 
   {{0xb50205d0,0x351b00a7,0xdfd000eb,0xcf9a03b7}},	//   र्णय_, _קולנ, حيب_, мји_, 
   {{0x2d8706df,0x3f8d00ca,0xdcfa01dd,0x3f14b7a0}},	//   _akne_, gleu_, dotā, удис, 
   {{0x7bda3b16,0xa084005e,0x437501ff,0x00000000}},	//   wstu, _өңде, _сурт, --, 
   {{0xfe6f17c1,0x7bdab7a1,0xdce10144,0xfaff039b}},	//   تدى_, tstu, bilč, giën_, 
   {{0xdefa1088,0xc0a900eb,0x2d9e2e15,0xa0a60093}},	//   _жыл_, _كامل_, rmte_, _ражд, 
   {{0xe5020586,0x7bdab7a2,0xd5e204b7,0x6d86003e}},	//   र्ति_, rstu, _पिंज, gðar, 
   {{0x29042e7d,0x9b58424c,0x9f470228,0xa5bb0534}},	//   đman_, тият_, ntný_, _cról, 
   {{0x6d86008c,0x929d0035,0x3f84b7a3,0x644103dd}},	//   rðas, _cały, lomu_, _àlig, 
   {{0x7ac71211,0x1b080033,0xed5702a6,0xcd9700d1}},	//   _испе, ষয়ে_, _јој_, _שדות_, 
   {{0x34cb21d2,0x9f470228,0x5c3700d1,0x81c70243}},	//   िर्द, ktný_, _ירון_, lmēš, 
   {{0x333fb7a4,0x98e705e6,0x26c90a1a,0x387a10d4}},	// [bad0] _roux_, _июнд, rbao_, _expr_, 
   {{0x2d830b1d,0xeaaa00c7,0x69dd042a,0x8af000ad}},	//   čjeg_, _אױפֿ, msse, _eləd, 
   {{0x2911b7a5,0x69dd264e,0x333f0151,0x31670502}},	//   meza_, lsse, _poux_, vinz_, 
   {{0x2911ae3f,0xd498459c,0x5275049b,0xdce15129}},	//   leza_, тру_, лулу, vilč, 
   {{0x3f84b7a6,0x80ca0086,0x61e4008b,0x69ddb7a7}},	//   domu_, _রাজ্, šiln, nsse, 
   {{0x2911b7a8,0xd5fa0056,0x98c6090b,0x69ddb7a9}},	//   neza_, _אפשר, čući_, isse, 
   {{0x61420386,0x3f844272,0xd3a7998f,0x9f470369}},	//   сеща, fomu_, _арап, suní_, 
   {{0x2911b7aa,0x69ddb7ab,0x3f84b7ac,0xdcfa0243}},	//   heza_, ksse, gomu_, votā, 
   {{0x2911b7ad,0x69dd012e,0x3f8d00f6,0xc275022d}},	//   keza_, jsse, rleu_, _слај, 
   {{0xdcfa002a,0x80ca05f6,0x2911b7ae,0x69dd0075}},	//   totā, _स्पे, jeza_, dsse, 
   {{0x63b5090b,0x2911b7af,0x69ddb7b0,0x3f840053}},	//   _juzn, deza_, esse, bomu_, 
   {{0x3f84b7b1,0xa5bbb7b2,0xdcfa01dd,0x9f04b7b3}},	//   comu_, _pról, rotā, _نومو, 
   {{0x6d86010d,0xee2e4f80,0x2911b7b4,0x69c60548}},	//   rðar, _ун_, feza_, upke, 
   {{0x2911b7b5,0x6d940054,0xa5bb0354,0x00000000}},	//   geza_, làan, _cróm, --, 
   {{0x66e6b7b6,0x2d85b7b7,0x63b508e3,0x69ddb7b8}},	//   лова, mole_, _nuzn, asse, 
   {{0x2d85b7b9,0x80ca10b0,0xfaff10f3,0x64a600a3}},	//   lole_, _स्ने, niël_, ҳаза, 
   {{0x2911b7ba,0xceb2042c,0xa5bb0126,0x6b863e7d}},	// [bae0] beza_, מין_, _uról, mokg, 
   {{0x2d85b7bb,0xd764009c,0x6b860415,0x6e240352}},	//   nole_, _چندی, lokg, _šibk, 
   {{0x2d850036,0x69c400c3,0x3f84044d,0x78fb00d1}},	//   iole_, _htie, yomu_, _אליפ, 
   {{0x2d85b7bc,0x63b50d26,0x69c4003d,0x31b905d5}},	//   hole_, _duzn, _ktie, _bèz_, 
   {{0x2d851a19,0x6146152e,0xdb040038,0x69c4008a}},	//   kole_, леда, _bunú, _jtie, 
   {{0x2d852f1d,0x9f47020b,0xca7b0070,0x80ca0033}},	//   jole_, rtný_, ענסט, _রাঙ্, 
   {{0xa3e107cc,0x9f4716ed,0x2d85b7bd,0x7ae4b7be}},	//   _दिए_, stný_, dole_, _odit, 
   {{0x20d8012d,0xdb190228,0x7ae44164,0x2911011b}},	//   džių_, _otvá, _ndit, zeza_, 
   {{0x70f60e05,0x80d300cc,0xbd6ab7bf,0x2d859a7e}},	//   _مسائ, _সার্, ерне_, fole_, 
   {{0x7ae4b7c0,0x2d85b7c1,0x551400a5,0xc05a00d9}},	//   _adit, gole_, ड़िए_, _прец_, 
   {{0x291103ef,0x26140509,0x4c9438f2,0x69c4b7c2}},	//   veza_, नौती_, ринс, _atie, 
   {{0x2911b7c3,0xa3c907d5,0x69dd35f6,0x69c401f2}},	//   weza_, लीट_, tsse, _btie, 
   {{0x29117e00,0x2d85b7c4,0x69ddb7c5,0x5514034d}},	//   teza_, bole_, usse, ड़ाए_, 
   {{0x2d85b7c6,0x6e93646f,0x63a223b2,0x69ddb7c7}},	//   cole_, _الها, hmon, rsse, 
   {{0x291116ce,0x69c4b7c8,0x63a2023e,0x6db20035}},	//   reza_, _etie, kmon, _wład, 
   {{0xa6db01d5,0x69c400c3,0x9f4711bb,0x69dd076b}},	//   _boða, _ftie, trné_, psse, 
   {{0x2911030b,0x61e4007a,0x00000000,0x00000000}},	// [baf0] peza_, áill, --, --, 
   {{0x63a200e4,0x3a2902a3,0x7ae40604,0x31b90237}},	//   emon, _irap_, _zdit, _rèz_, 
   {{0x3a290102,0x44274660,0x6b460038,0x80d30033}},	//   _hrap_, ín_, _tógt, _সাল্, 
   {{0xd2510084,0x3a29206b,0x27ec014b,0x2bf70070}},	//   ينا_, _krap_, ádne_, רמאן_, 
   {{0xf1b907c7,0xe7040a24,0x96470235,0xa3c9143e}},	//   _krši_, _اسپی, _сэнд, लीज_, 
   {{0xa069b7c9,0x98ba002a,0x63b5044e,0x63a2b7ca}},	//   кала_, _kopā_, _tuzn, amon, 
   {{0x2d850141,0x2f55b7cb,0x200c0068,0xe9df0038}},	//   vole_, итис, _cpdi_, hsú_, 
   {{0x6b460183,0x2d85b7cc,0xddc90035,0xa3ea109f}},	//   _lógr, wole_, cześ, _मित_, 
   {{0x00e500d4,0x79870026,0x00000000,0x00000000}},	//   _نتای, kojw, --, --, 
   {{0xa5bb0369,0x1d090bad,0x00000000,0x00000000}},	//   _prój, њени_, --, --, 
   {{0x66160035,0x3a29b7cd,0xa3c9009a,0x2bd000bc}},	//   zwyk, _arap_, लीच_, थीला, 
   {{0x34b20d53,0xcb6a2865,0x60d701dd,0xcd35010e}},	//   _जल्द, таме_, šamī, ارکب, 
   {{0xed4eb7ce,0x6b86a843,0x7863040c,0x3a2900df}},	//   _до_, rokg, _bеvo, _crap_, 
   {{0xa5bb0035,0x3a29b7cf,0x9ce7010e,0x79873a80}},	//   _trój, _drap_, _صوبے_, gojw, 
   {{0x6d430eed,0x7bc302cd,0x3a29b7d0,0x98a68b6f}},	//   _iona, _utnu, _erap_, риве, 
   {{0x6d430a9f,0x6e24053d,0x3ebfb7d1,0x70d1000d}},	//   _hona, _šibi, ncut_, हरुल, 
   {{0x0566b7d2,0x6b460084,0x6d4311e4,0x3a29b7d3}},	// [bb00] аван, _fógr, _kona, _grap_, 
   {{0xa3e10083,0x84e60009,0x89db00d1,0xa6db01d5}},	//   _दिख_, рожж, _שחיי, _voða, 
   {{0xe5020790,0xaaba0d0d,0x6d4335c5,0xdd0102d9}},	//   र्षि_, _इलाक, _mona, _štěp, 
   {{0xb2260a10,0xa3e70080,0xd7640535,0x4226b7d4}},	//   имел, рдца_, _چنگی, идев, 
   {{0x70d1000d,0xf8da00c9,0xddc90083,0x00000000}},	//   हरूल, _बजाय, rześ, --, 
   {{0x63a2b7d5,0x26c0b7d6,0x6d43b7d7,0x7c3c02ae}},	//   smon, lcio_, _nona, ärrk, 
   {{0xd0100038,0x201a0036,0x63a208b0,0x73e30afc}},	//   سلة_, ìpi_, pmon, _морз, 
   {{0x26c0b7d8,0x6d4311a1,0x9c823077,0x6e2d0b91}},	//   ncio_, _aona, _účin, _šaba, 
   {{0x6d43137c,0x26c0b7d9,0x6db20035,0xa5bb001d}},	//   _bona, icio_, _słab, _esóf, 
   {{0x6d430adb,0x5d5401d0,0x2b92014b,0x20b900e4}},	//   _cona, скот, lách_, _быць_, 
   {{0x34b700a7,0x69c0b7da,0x6d43b7db,0xaee80086}},	//   יפים_, ímen, _dona, ক্ষণ_, 
   {{0x2b92b7dc,0x6d430183,0x3a29024a,0xac9400f0}},	//   nách_, _eona, _prap_, _қайш, 
   {{0x6d43b7dd,0x4cd50086,0xee940019,0x6d9400f6}},	//   _fona, _দারু, _اداک, làam, 
   {{0x6d43b7de,0xc9870172,0x2b92014b,0x442ab7df}},	//   _gona, руми, hách_, _orb_, 
   {{0xf1b9003a,0x2b92026e,0xc7b802c0,0x4ae702f1}},	//   _vrši_, kách_, иёт_, _кўпа, 
   {{0x442d29b6,0x8a191753,0xf7730189,0x3a29015c}},	//   _če_, _боис_, زاز_, _trap_, 
   {{0x61e40688,0x442ab7e0,0x2b92014b,0xe69924e1}},	// [bb10] šilj, _arb_, dách_, уваш_, 
   {{0xa2c9000d,0x6d4302f1,0x443a0369,0x58870009}},	//   हुन्, _xona, fxp_, _выма, 
   {{0xdcf8031e,0x320d8695,0xf1cf0e17,0x442ab7e1}},	//   _skvě, _spey_, _सौजन, _crb_, 
   {{0x26c00141,0x442a00e2,0x925900c8,0x7c2a018e}},	//   ccio_, _drb_, лает_, _mrfr, 
   {{0x6d5ab7e2,0x442ab7e3,0x3ebf027e,0xb40602f1}},	//   khta, _erb_, vcut_, _қўрқ, 
   {{0x45d4b7e4,0x26d90149,0xf43515d3,0x764d0ad9}},	//   _форс, _heso_, _легэ, myay, 
   {{0x4425b7e5,0x442a00d2,0x3f690886,0x26d9b7e6}},	//   _él_, _grb_, лико_, _keso_, 
   {{0xef1997dc,0x7c25008c,0x26d90180,0x3cfc040b}},	//   уми_, _áhri, _jeso_, _acvv_, 
   {{0xdee51cc1,0x3cd91003,0x3255011f,0xa5bb007a}},	//   _ғоли, льню_, _увар, _brói, 
   {{0x6d430095,0x3ebf57c6,0x6b8d6873,0x987800d2}},	//   _qona, scut_, _akag, _ušća_, 
   {{0x40950084,0x6d43b7e7,0x6db20035,0x5baa5a02}},	//   _الار, _vona, _płac, лком_, 
   {{0x6d43b7e8,0xa3ea176c,0x764d01a3,0x2c570248}},	//   _wona, _मिस_, kyay, nədə_, 
   {{0x5ea50086,0x99800304,0x7c2a0380,0x427900c7}},	//   _গ্রে, _ariš_, _erfr, ראָג, 
   {{0x6d5a17c1,0x764db7e9,0x2c5700ad,0x41cf02e6}},	//   chta, dyay, hədə_, सीएस, 
   {{0x26d9b7ea,0x2c570095,0x25b902a3,0x07ba007a}},	//   _beso_, kədə_, _ausl_, اهرة_, 
   {{0x2efd040b,0x00000000,0x00000000,0x00000000}},	//   _jcwf_, --, --, --, 
   {{0x6443022b,0x442a22d4,0xf74303b7,0x2b920254}},	// [bb20] änin, _srb_, чето, vách_, 
   {{0x26c00093,0x2b9200da,0xd910010e,0x61e47884}},	//   scio_, dáci_, _تیس_, šilk, 
   {{0xe2ca1ba1,0x2b92026e,0x26c01771,0x232a0a2b}},	//   глед_, tách_, pcio_, ложи_, 
   {{0x764d02b8,0xe73ab7eb,0xd0480095,0xf1b90397}},	//   byay, _сем_, _gedə, _buš_, 
   {{0x67246957,0x2b92014b,0xaeff0033,0x764d007c}},	//   mdij, rách_, ্যাণ_, cyay, 
   {{0x64a61829,0x3ce70082,0xdb0b0380,0x6724b7ec}},	//   _гага, _ndnv_, _zufä, ldij, 
   {{0x3dc63dfc,0x2b92014b,0x80d93024,0x26d96184}},	//   _stow_, pách_, _नजरे, _yeso_, 
   {{0x26d90068,0xf1b90372,0xc7b300d1,0x2c570095}},	//   _xeso_, _fuš_, הבה_, cədə_, 
   {{0x6604b7ed,0x03a3412a,0xa5bb00eb,0x50d6009c}},	//   ntik, _хито, _prói, _هزار, 
   {{0x6724009a,0x6b8d00c1,0x66043eca,0x61e25977}},	//   hdij, _skag, itik, msol, 
   {{0x69b2000f,0x66040088,0x974300d0,0xf1b900da}},	//   _इंजी, htik, šćiv, _zuš_, 
   {{0x6d5ab7ee,0x672400ef,0x61e200c2,0x69d60090}},	//   shta, jdij, osol, _bwye, 
   {{0x26d900fd,0x4e960a67,0x60da00a3,0x0a6bb7ef}},	//   _reso_, _اشار, _ketm, урни_, 
   {{0x7c3e1611,0x26d90026,0x764d0027,0x69b002e6}},	//   _àpro, _seso_, vyay, ंदगी, 
   {{0x26d96050,0x66043b1f,0x776d0183,0x2c5700ad}},	//   _peso_, etik, tiax, yədə_, 
   {{0xd6d8a562,0x764d8297,0x6b8db7f0,0x201e03bc}},	//   йту_, tyay, _ukag, _msti_, 
   {{0xf7700523,0x66040495,0x248d01dd,0x35b48369}},	// [bb30] راف_, gtik, _ņem_, збур, 
   {{0x2b920254,0x201eb7f1,0x61e21074,0x26d90226}},	//   váci_, _osti_, dsol, _weso_, 
   {{0x6724b7f2,0xf994042c,0x61e233f4,0x764db7f3}},	//   bdij, _מרץ_, esol, syay, 
   {{0xdb19014e,0x66043827,0x26d90026,0x59d02122}},	//   _utvä, btik, _ueso_, तीकर, 
   {{0x4cde100b,0x6d58006b,0x2c5706d0,0x6145093d}},	//   _মানু, _olva, rədə_, жела, 
   {{0x60da0183,0x6e2d160e,0x2c5700ad,0x2b9200da}},	//   _cetm, _šabo, sədə_, ráci_, 
   {{0x5edd0033,0x7f9e0034,0x60dab7f4,0x1428017b}},	//   _যাবে, zëqe, _detm, _літо_, 
   {{0x6d58b7f5,0xf1b914bf,0x61e22e9d,0x335800b3}},	//   _alva, _tuš_, bsol, _ласэ_, 
   {{0x201e7760,0x9f5c031e,0x80ca17f6,0x60daa066}},	//   _esti_, ctví_, _स्वे, _fetm, 
   {{0x80d30086,0x60da0095,0xbc840023,0x67240528}},	//   _সাক্, _getm, ườn, zdij, 
   {{0xca29864b,0x6604b7f6,0x8c45210a,0x69d6040b}},	//   _שם_, ztik, цене, _swye, 
   {{0x6d580d06,0x66040b58,0x60da01d2,0x00000000}},	//   _elva, ytik, _zetm, --, 
   {{0x60da15c3,0x8d740109,0x672463d4,0x7c2802ae}},	//   _yetm, _کانا, vdij, avdr, 
   {{0xa3ea0d95,0x0d8400f0,0x6604b7f7,0x61e4007a}},	//   _मिल_, _елін, vtik, áili, 
   {{0x1b0f0086,0xeb9a12cc,0xdb1903a0,0x61e2039f}},	//   িয়ে_, _кик_, _ouvè, zsol, 
   {{0x6604b7f8,0xdc3b0082,0x672451dc,0x399f010c}},	//   ttik, _ašće, udij, vîse_, 
   {{0x6604002c,0x7c3c02ae,0x88d90033,0xca7700f0}},	// [bb40] utik, ärrv, _তারক, _дәрі_, 
   {{0x3a20140d,0x672413c0,0x6d4100d7,0x240a0bae}},	//   _isip_, sdij, njla, инзи_, 
   {{0x6604b7f9,0x03261231,0xf746b7fa,0x29370486}},	//   stik, жден, _дено, _ואין_, 
   {{0x2918b7fb,0x60da0161,0x96b900c8,0x00000000}},	//   lera_, _setm, _гуру_, --, 
   {{0x61e21761,0x60da00bd,0x26d25f10,0xc1a60165}},	//   usol, _petm, mbyo_, ојки, 
   {{0x2918b7fc,0x61e2b7fd,0xdb0b014e,0x201e016a}},	//   nera_, rsol, _utfö, _psti_, 
   {{0x2918b7fe,0x6f09b7ff,0x60da00e5,0xd8d70070}},	//   iera_, ffec, _vetm, קוקט_, 
   {{0x2918b800,0x9c7c0e25,0x3f8f0065,0x3a20090e}},	//   hera_, nače, _ckgu_, _osip_, 
   {{0x2918b801,0x63bcb802,0x3f980243,0x00000000}},	//   kera_, _hurn, ēru_, --, 
   {{0x2918034c,0xa06ab803,0x0caa01ba,0x9c7c0b3c}},	//   jera_, _каза_, итни_, hače, 
   {{0x2918b804,0x63bcb805,0x3a20016a,0x201eb806}},	//   dera_, _jurn, _asip_, _usti_, 
   {{0x25eb07d5,0xa5bb00ab,0x9c7c203b,0xfbcf015f}},	//   _चिली_, _krót, jače, کتی_, 
   {{0x2918b807,0xdb190151,0xda220ed5,0x9c7c021a}},	//   fera_, _juvé, मिगत_, dače, 
   {{0x29184588,0xe6d3072d,0x09bd0033,0xdb0400e1}},	//   gera_, तर्ज, _অবদা, _bunó, 
   {{0xd6db0d5c,0xa899b808,0x36d5481d,0x27f80604}},	//   ита_, скву_, зобр, gurn_, 
   {{0x27ed688a,0x9c7c27e8,0xc6140033,0x76b900a3}},	//   čen_, gače, সিনা_, слар_, 
   {{0x29187f54,0xe4cb017a,0xe81d007e,0x63bc00b4}},	// [bb50] bera_, لبان_, _पनवा_, _aurn, 
   {{0xa5bb0042,0x2d8cb809,0xd7fb3ffa,0x63bcb80a}},	//   _asóc, node_, _кум_, _burn, 
   {{0x9c7c003a,0x49740451,0xf8b100d4,0x63bcb80b}},	//   bače, _ілюс, _سکس_, _curn, 
   {{0x2d8c5bd4,0x63bcb80c,0xe2f900f0,0xe3b8b80d}},	//   hode_, _durn, седі_, ібі_, 
   {{0x2d8c5769,0x332401f2,0xdb190151,0x2901040c}},	//   kode_, _damx_, _cuvé, _kcha_, 
   {{0xe8b921c2,0x63bcb80e,0x2d8c084c,0x88d90033}},	//   _आलोच, _furn, jode_, _তাঁক, 
   {{0x63bc9a12,0xb4d72a48,0xa5bbb80f,0x349400a3}},	//   _gurn, सरी_, _erót, _жарр, 
   {{0xd00e0084,0x63680bea,0x291833f6,0x2b9202d9}},	//   الي_, _друг_, zera_, náct_, 
   {{0x2918b810,0x236d0938,0xee3602f3,0x63bcb811}},	//   yera_, _imej_, зны_, _zurn, 
   {{0x9c7c0613,0x6f093325,0x2901b812,0x2918b813}},	//   zače, sfec, _ncha_, xera_, 
   {{0x317a00c7,0xab2ab2a1,0x31560147,0x00000000}},	//   _פרעמ, бона_, _ציען_, --, 
   {{0xe50b00c9,0x2901b814,0x29189fcc,0xe45600c7}},	//   स्ति_, _acha_, wera_, פירט_, 
   {{0x2d8c00d2,0xa9241102,0x44260108,0x00000000}},	//   bode_, ížov, ̉o_, --, 
   {{0x27f855cf,0x7afd0511,0x291801d6,0x00000000}},	//   turn_, agst, uera_, --, 
   {{0x291816ce,0x200779eb,0x475a0b58,0x2901b815}},	//   rera_, ntni_, брая_, _dcha_, 
   {{0xb8f30081,0x2901b816,0xf7431a41,0x3a200054}},	//   _ह्_, _echa_, несо, _tsip_, 
   {{0x63bcb817,0x9c7c0112,0x26d2012b,0xe4d60038}},	// [bb60] _surn, rače, rbyo_, كتاب, 
   {{0x63bc35de,0x20070813,0x3324023b,0x27f8003e}},	//   _purn, ktni_, _samx_, purn_, 
   {{0x3f8d0183,0xd252009c,0x9c7c2ddd,0xa5bb0679}},	//   koeu_, کنش_, pače, _brós, 
   {{0x2d8c04d1,0xa5bbb818,0x798e019b,0x09230033}},	//   zode_, _prót, lobw, মাণু_, 
   {{0x61ed008b,0x0cdb00b0,0x2007b819,0x20050440}},	//   šaln, _मजूम, etni_, _aqli_, 
   {{0xf8beb81a,0x3206b81b,0x2007b81c,0x798e044d}},	//   ्डिय, rtoy_, ftni_, nobw, 
   {{0x2d8c00f1,0x64a60d45,0x8af000ad,0x232a3d1f}},	//   vode_, _хава, _aləm, _лови_, 
   {{0x64490540,0x547b00d1,0xa5bbb81d,0x9f47024c}},	//   çmiş, _הטלו, _grós, trná_, 
   {{0x798e024d,0x6726b81e,0x00000000,0x00000000}},	//   kobw, _makj, --, --, 
   {{0x7c860e00,0x6726381e,0x2cb80bf7,0x2b92039f}},	//   зуме, _lakj, ørd_, kács_, 
   {{0x9c7cb81f,0xdeefb820,0xbae10086,0xd00f1cb7}},	//   dačc, _пы_, _ভাবছ, _ملل_, 
   {{0x2901b821,0x7afd01dd,0x8ccc0551,0x2d8cb822}},	//   _scha_, ugst, _द्रो, sode_, 
   {{0xdb0400e7,0x60cb010e,0x00000000,0x00000000}},	//   _khiê, _élmé, --, --, 
   {{0x6e22007c,0x3c5800d9,0x6db20083,0x00000000}},	//   _isob, _милэ_, _kłam, --, 
   {{0x7d1a4689,0xd90f00c5,0x672602b0,0x80e10033}},	//   mets, نیک_, _bakj, _নাম্, 
   {{0x7d1a4e39,0x95d90093,0x6d4ab823,0x656e011c}},	//   lets, ждат_, _hofa, _ambh, 
   {{0x59b71d3d,0xf1d700cc,0x7aed7f7b,0x67264758}},	// [bb70] _इंटर, _সম্ভ, _idat, _dakj, 
   {{0x7d1ab824,0xdb040029,0xb4d72a48,0xb4c900a2}},	//   nets, _nhiê, सरे_, ैरे_, 
   {{0xa5bb003e,0x6d4a109b,0x9cd700d1,0xbb1b0151}},	//   _prós, _mofa, פואה_, boît, 
   {{0x7d1ab825,0x2125023e,0x27e50228,0xfaff024a}},	//   hets, _salh_, álnu_, ngë_, 
   {{0x7d1a1e56,0x6e2253a0,0x00000000,0x00000000}},	//   kets, _nsob, --, --, 
   {{0x7d1a02a8,0xdb04001b,0x6f020183,0x6d4a01a7}},	//   jets, _chiê, _acoc, _nofa, 
   {{0x7aedb826,0x6e2223cb,0x672600e2,0xf3673f83}},	//   _odat, _asob, _yakj, _етан, 
   {{0x0dc9725f,0x3eb903a9,0x2007b827,0x7aedb828}},	//   олий_, øst_, rtni_, _ndat, 
   {{0x2007b829,0x61e40084,0x6adc0086,0x7d1a0364}},	//   stni_, áilt, _ভালো, fets, 
   {{0x7aedb82a,0x7d1a037d,0xa2c91898,0x61e900a9}},	//   _adat, gets, हुर्, _ivel, 
   {{0x69cdb82b,0x6e2201a3,0x61e40028,0x00000000}},	//   _atae, _esob, šilt, --, 
   {{0x61e900dd,0x399f010c,0x7d1a084c,0x44310502}},	//   _kvel, vîsa_, aets, _mrz_, 
   {{0x7d1ab82c,0x7aed02bf,0x6d4ab82d,0x6db20083}},	//   bets, _ddat, _fofa, _złam, 
   {{0x25ee000f,0x6d4a02bf,0xe981004e,0xb4d740a8}},	//   ेंसी_, _gofa, лқын, सरो_, 
   {{0x672601c8,0x69cdb82e,0x7aed00c3,0x49a400f0}},	//   _pakj, _etae, _fdat, дыңғ, 
   {{0x2b053785,0x61e9b82f,0x6d4a0532,0xd70a012d}},	//   _वायु_, _ovel, _zofa, ўнае_, 
   {{0xa5268859,0x672602b0,0x6d4a044d,0x25f50035}},	// [bb80] ммад, _vakj, _yofa, एंगी_, 
   {{0x443101b4,0x44230065,0xa5bb0634,0x3f800009}},	//   _brz_, _bsj_, _prór, čiui_, 
   {{0x6726b830,0x61e93ec9,0x4423318d,0x61ed02fe}},	//   _takj, _avel, _csj_, šall, 
   {{0x9c7c02f5,0x7d1ab831,0x65c6b832,0x3a32b833}},	//   nača, zets, _обма, _kryp_, 
   {{0xa3de05fd,0xdb040029,0x61e90097,0x93430093}},	//   _दौर_, _phiê, _cvel, ънце, 
   {{0x6f0201d8,0x61e9b834,0x00000000,0x00000000}},	//   _scoc, _dvel, --, --, 
   {{0x7d1ab835,0x9c7c02fe,0xd5ad0019,0x443102a3}},	//   vets, kača, _اہل_, _grz_, 
   {{0x9c7c00f1,0x6d4a00fb,0x64a3497f,0x7d1a0b6b}},	//   jača, _sofa, _раса, wets, 
   {{0xdb040029,0x9c7c04a1,0xb0cf00a2,0x6d4ab836}},	//   _thiê, dača, _स्वग, _pofa, 
   {{0x657e0038,0xab640035,0x00000000,0x00000000}},	//   nnph, óżni, --, --, 
   {{0x7d1a2e9e,0xfa130086,0xcf8f02a0,0xdb1603a0}},	//   rets, িয়াল_, _ај_, _kiyè, 
   {{0xee3a27a6,0x7d1ab837,0x9c7c032f,0x61e90107}},	//   _мне_, sets, gača, _yvel, 
   {{0xf2d30137,0x6d4a086d,0x7d1ab838,0x5eac0086}},	//   כער_, _tofa, pets, _ট্রে, 
   {{0x9f4e007a,0xf1b8008a,0x7d1a021e,0x00000000}},	//   irfí_, _jiġ_, qets, --, 
   {{0x9c7c0fd3,0xa3ea02e6,0x7527010e,0x3f58011c}},	//   bača, _मिग_, _rajz, _léum_, 
   {{0xb4d700a2,0x25b800a1,0x6e2d0f23,0x44231032}},	//   सर्_, _airl_, _šabi, _rsj_, 
   {{0x3a320326,0x69cd0548,0xfaff08b0,0x69b93355}},	// [bb90] _gryp_, _utae, biër_, _एंटी, 
   {{0xd49bb839,0x15f302f8,0xc7c73f74,0x00000000}},	//   оре_, ेंबर_, _осми, --, 
   {{0x752701ee,0xf48500d6,0x61e9971f,0xdb16009c}},	//   _vajz, رائی, _svel, _biyè, 
   {{0x3d0e18aa,0x45d508af,0xb866009c,0x25b80106}},	//   त्ते_, _помс, _ساپو, _eirl_, 
   {{0xe5c4b83a,0xeb9200c7,0x44310035,0xe8e00210}},	//   _ассо, אָג_, _wrz_, _hiều_, 
   {{0xa0a559df,0x25b8b83b,0xe8e000e7,0x4423ae55}},	//   налд, _girl_, _kiều_, _tsj_, 
   {{0x1fb50b66,0x44230065,0xdb160118,0xd00e029a}},	//   нсир, _usj_, _fiyè, ملو_, 
   {{0xa2950965,0x26c967f8,0x00000000,0x00000000}},	//   _забі, ncao_, --, --, 
   {{0x61e916ef,0xe8e000e7,0x2bd700c2,0x9c7c00ca}},	//   _uvel, _liều_, _भौजा, vača, 
   {{0x653a00c7,0x4c690283,0x1c45004f,0x7d090267}},	//   ִערד, зион_, еном, чног_, 
   {{0xeb9a1e6e,0xab2a78ed,0x9c7c0082,0x7c9500b3}},	//   зин_, пона_, tača, эриц, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xb69b0474,0x00000000,0x00000000,0x00000000}},	//   _scân, --, --, --, 
   {{0x9c7c0098,0xdb1900d9,0x17c80176,0x00000000}},	//   mačn, _cuvâ, мҳои_, --, 
   {{0x9c7cb83c,0xfbc6000d,0x2bc61df3,0x7b96004f}},	//   lačn, _रूपम, _रूपा, _приї, 
   {{0x28d00527,0xa5bb03b7,0x39582873,0xfaa6765e}},	//   _त्रि, _próp, skrs_, _пайо, 
   {{0x61ed1462,0x9c7c02f5,0x7ae6b83d,0x24f627be}},	// [bba0] šalj, načn, makt, ечер, 
   {{0x6aa4070c,0x26cb0036,0x26c902be,0x00000000}},	//   _izif, _efco_, acao_, --, 
   {{0x66e604fd,0x6b8400ef,0xa3db00a2,0x7ae601e5}},	//   _пона, _kjig, ढील_, oakt, 
   {{0x9c7c026e,0xdb16023e,0x26c9019c,0x0ebb0110}},	//   kačn, _biyé, ccao_, _उलगड, 
   {{0x9c7c0813,0x2367021e,0x00000000,0x00000000}},	//   jačn, ënja_, --, --, 
   {{0x6b84265d,0x6fc701f0,0x9c7c00da,0x998900ca}},	//   _ljig, _sıca, dačn, _kraš_, 
   {{0x64a3b83e,0x7ae6b83f,0xb4dc63e4,0x00000000}},	//   _бара, kakt, ठरी_, --, 
   {{0x4444007b,0x23276026,0x6b840539,0x6aa4052b}},	//   mx_, _поси_, _njig, _ozif, 
   {{0x9c7c1c76,0x4444b840,0x6aa45ed9,0x00000000}},	//   gačn, lx_, _nzif, --, 
   {{0xc0aa1b65,0x6b840175,0x4444b841,0x5d54176b}},	//   _فاضل_, _ajig, ox_, ткот, 
   {{0x7ae6b842,0x3f13004e,0x44441e5b,0xdbdb0126}},	//   fakt, _әдіс, nx_, _báñe, 
   {{0x4444b843,0x7ae65007,0xdd2f02d9,0x9c7c10ea}},	//   ix_, gakt, _měři, bačn, 
   {{0xf99f06df,0xc333042c,0xa3e70c65,0xceb902d9}},	//   stèm_, אור_, _मौन_, teře_, 
   {{0x2b8405b7,0x4444007b,0x6aa4019b,0xd90f0499}},	//   rıca_, kx_, _dzif, حید_, 
   {{0x6aa40539,0x97a7b844,0x7b060080,0xe8950080}},	//   _ezif, ерал, ättö, тавь, 
   {{0x7ae6b845,0x7c9b00fe,0x4444007b,0x2905003d}},	//   cakt, _משוג, dx_, żla_, 
   {{0x4444007b,0x80e10033,0xceb900d8,0xf99f011c}},	// [bbb0] ex_, _নাস্, peře_, ntèk_, 
   {{0x6d5ab846,0x44445fea,0x6b9db847,0x9c7c014b}},	//   nkta, fx_, llsg, načo, 
   {{0x9c7c026e,0xa5bb0068,0xf48709f9,0xdbdb1cf0}},	//   začn, _isóm, хуан, _yáñe, 
   {{0x68e70019,0x527557c5,0x290325f2,0x776400a3}},	//   lajd, кулу, lgja_, chix, 
   {{0x22580088,0x9c7c014b,0x673d02ae,0x6d5a0a1d}},	//   ницы_, xačn, _insj, kkta, 
   {{0x865a0a33,0x2903b848,0x7ae6b849,0x660db84a}},	//   _חדשי, ngja_, zakt, mtak, 
   {{0xe8e00029,0x660db84b,0x7ae6b84c,0x91620023}},	//   _hiểu_, ltak, yakt, _sự_, 
   {{0xee394f57,0x672db84d,0x9c7cb84e,0xe8e00029}},	//   дни_, ndaj, tačn, _kiểu_, 
   {{0x0d85b84f,0x338461d1,0x7ae67ad0,0x63a902b8}},	//   клин, _сурв, vakt, _ihen, 
   {{0xb274486c,0x9c7c0076,0x41b5040f,0x7ae61237}},	//   _слуш, račn, _شمار, wakt, 
   {{0x80ca2002,0x63bb0053,0x660db850,0x9c7c0228}},	//   _स्टे, _kiun, htak, sačn, 
   {{0x9c7c0813,0x628c0035,0x2564010e,0x63bb0548}},	//   pačn, żnoś, _zöld_, _jiun, 
   {{0x63bbb851,0x61ebb852,0x63a900f8,0x1d090267}},	//   _miun, nsgl, _mhen, _жели_, 
   {{0x7ae6b24f,0x290325f2,0xdb0bb853,0x63bb29a0}},	//   sakt, ggja_, _bufó, _liun, 
   {{0x66e63b35,0x660d02ba,0x59be00c9,0x00000000}},	//   кова, etak, _एंकर, --, 
   {{0x660db854,0xe8e00029,0xd5c300b0,0x29030175}},	//   ftak, _biểu_, _वंशज, agja_, 
   {{0x660db855,0xaa464d83,0x7bc3b856,0x7e6901c4}},	// [bbc0] gtak, _репл, _hunu, nzep, 
   {{0x63a9b857,0x7bc30010,0x4444b858,0x7ae4b859}},	//   _ahen, _kunu, tx_, _heit, 
   {{0x44441164,0x660db85a,0x7bc3b85b,0x99806bd2}},	//   ux_, atak, _junu, _križ_, 
   {{0x4444b85c,0x7bc3b85d,0x63a985ad,0x7ae4b85e}},	//   rx_, _munu, _chen, _jeit, 
   {{0x7ae4b85f,0x63bb290c,0x63a954ac,0x444401f2}},	//   _meit, _diun, _dhen, sx_, 
   {{0x7ae4b860,0x7e69b861,0xae1c0366,0x629b0090}},	//   _leit, dzep, _बैगन_, _dyuo, 
   {{0x7bc319e6,0x63bb2468,0xdd94004e,0x69c4013c}},	//   _nunu, _fiun, ғаны, _luie, 
   {{0x63bbb862,0x03a605b4,0x63a9b863,0x53a6b864}},	//   _giun, _рибо, _ghen, _рабб, 
   {{0xf7730056,0x9c7c026e,0x2366006d,0xafb7007a}},	//   יקה_, tačo, mhoj_, خطوط_, 
   {{0x7bc3b865,0x6d48006d,0x63bb1235,0xebd800a3}},	//   _bunu, ujda, _ziun, ндош_, 
   {{0x7ae402e7,0x6d5ab866,0x68e7b867,0x7bc300b3}},	//   _beit, rkta, vajd, _cunu, 
   {{0x3f8000e4,0x7ae40094,0x16dc00a2,0x7bc32c9f}},	//   čius_, _ceit, बरोब, _dunu, 
   {{0x3ea00084,0x7ae43c18,0x7c3e00ef,0x7e690035}},	//   _áit_, _deit, _šprd, czep, 
   {{0xbea3250f,0x7bc3b868,0x69c400f6,0x660db869}},	//   _тачк, _funu, _duie, vtak, 
   {{0x7bc3031d,0x7ae4b86a,0x212c01ee,0x68e7b86b}},	//   _gunu, _feit, _madh_, rajd, 
   {{0x2d9eb86c,0x3d0e00a2,0x61ed7ffb,0x7ae4b86d}},	//   llte_, त्रे_, šali, _geit, 
   {{0x63bbb86e,0x63a900f8,0x69c41c71,0x79850026}},	// [bbd0] _riun, _rhen, _guie, _tjhw, 
   {{0x63a901ee,0x7ae402ec,0x63bb0238,0x3a293269}},	//   _shen, _zeit, _siun, _isap_, 
   {{0x2d9e11a1,0xd49b6d0e,0x660db86f,0x63a9b527}},	//   ilte_, фра_, stak, _phen, 
   {{0x7ae409a1,0xe8e00029,0x2d9e01c4,0x4ae30c64}},	//   _xeit, _tiểu_, hlte_, परिव, 
   {{0x63bb0010,0x21750f81,0x212c0534,0x61e00090}},	//   _viun, лукр, _badh_, _cwml, 
   {{0x3f8603a0,0x212c01be,0x4a5c00d1,0x63a9b870}},	//   _ajou_, _cadh_, ודדו, _when, 
   {{0xd49816d0,0x68e54cd8,0x10150038,0x3ea6b871}},	//   _арт_, _mehd, ابتد, _azot_, 
   {{0x0c250013,0x68e50088,0x63a9b872,0x7bc3b873}},	//   ҳмон, _lehd, _uhen, _runu, 
   {{0xa3e70d95,0x7bc3b874,0x79950199,0x6df20038}},	//   _मौत_, _sunu, kozw, مكيا, 
   {{0x7ae4b875,0x22840104,0x7bc3b876,0x14aa009a}},	//   _seit, _тусг, _punu, _करमण, 
   {{0x7ae4b877,0x7bc3b878,0x3b0ab879,0x9c7c0372}},	//   _peit, _qunu, нено_, lačj, 
   {{0xa2aa2002,0x69c4b87a,0x4e35149e,0x70581a57}},	//   जेक्, _puie, _معتز, _шахр_, 
   {{0x68e500ef,0x7ae4010d,0x69c41079,0xe8e000e7}},	//   _behd, _veit, _quie, _liễu_, 
   {{0x7ae4b87b,0xfce56d54,0x7bc3b87c,0xdb19055f}},	//   _weit, _соко, _tunu, _nuvæ, 
   {{0x7ae402bf,0x00000000,0x00000000,0x00000000}},	//   _teit, --, --, --, 
   {{0xfbd20056,0x0f2100aa,0x69c4018e,0x00000000}},	//   _פתח_, _मसोस_, _tuie, --, 
   {{0x3667b87d,0x7995016c,0x00000000,0x00000000}},	// [bbe0] гато_, bozw, --, --, 
   {{0x04461c8e,0x00000000,0x00000000,0x00000000}},	//   лезн, --, --, --, 
   {{0x98a8000d,0xf8a8000d,0x212c0465,0x6fbf00c9}},	//   _गरिए, _गरिय, _radh_, _लंगू, 
   {{0x25e8047c,0x7c3e1e0d,0xb827b87e,0xe8e00108}},	//   _चौथी_, _ápre, _союз_, _diễu_, 
   {{0x5b7b00c7,0x96b900f0,0x2d9e00fc,0x00000000}},	//   ערנא, _ауру_, ylte_, --, 
   {{0xa5bb0068,0x313406ba,0x29360070,0x23660034}},	//   _apóf, рекр, ראַן_, shoj_, 
   {{0xfaff00e5,0xe8e00210,0x2d825d10,0x00000000}},	//   dhën_, _giễu_, ékem_, --, 
   {{0x9f54373b,0x442a050a,0x4438b87f,0x2d87009e}},	//   рвич, _isb_, _irr_, _ajne_, 
   {{0x6ce6a9f0,0x99890228,0x752e9c70,0x442ab880}},	//   ліне, _hrať_, _kabz, _hsb_, 
   {{0x98ba0118,0xf28b0147,0x621b0147,0x2fc5107c}},	//   _anpč_, _אָבֿ, _אומק, _fulg_, 
   {{0x9c7c00f1,0x2cb8014e,0xe7b417dc,0x442a033e}},	//   mačk, ärd_, ंगाप, _jsb_, 
   {{0x442a4fea,0xda350088,0x44380175,0xd1743b46}},	//   _msb_, аемы, _mrr_, _сығы, 
   {{0xed5a5258,0x442a0626,0x629e0035,0x799508dc}},	//   _под_, _lsb_, ępow, tozw, 
   {{0x9c7c00f1,0x4438b881,0xceb3035c,0x442a076b}},	//   načk, _orr_, _פיס_, _osb_, 
   {{0xd7f809aa,0x37abb882,0x442a0512,0x3cf720b4}},	//   лут_, етан_, _nsb_, _صعود_, 
   {{0xf40a0086,0x7c2ab883,0x9c7c2cb5,0x387e4724}},	//   রবার_, _isfr, hačk, útra_, 
   {{0x68e5b884,0x76b900cf,0x557505ef,0x442a0691}},	// [bbf0] _tehd, тлар_, агат, _asb_, 
   {{0x9c7c090b,0x04671b17,0x9989020b,0xa2b500d8}},	//   jačk, лтем, _brať_, ेशस्, 
   {{0x9c7c026e,0x99800028,0x824b010e,0x63a30474}},	//   dačk, _erių_, کشاف_, înno, 
   {{0xd49857f0,0x442ab885,0xe2f9004e,0x92590080}},	//   уру_, _dsb_, теді_, кает_, 
   {{0x81c700e0,0x324576a3,0x442a003e,0x05db0035}},	//   klēš, релг, _esb_, मीखब, 
   {{0x9c7cb886,0x2fc50126,0xfaff0034,0x6ff58d4e}},	//   gačk, _pulg_, xhën_, ачих, 
   {{0xf8b500a5,0x4425aa07,0xa15602a6,0xdfce6198}},	//   ंधिय, _èl_, рају_, ويو_, 
   {{0x34950cdf,0xbe39004f,0x4cde0033,0x00000000}},	//   _баҳр, вчої_, _মাগু, --, 
   {{0x9c7c6a05,0x6234b887,0x3eb9b888,0x91b95ca4}},	//   bačk, _лету, äst_, _агат_, 
   {{0x8d550e5f,0x3f84085f,0xed5903a1,0xa5bb00b9}},	//   ртич, anmu_, тоо_, _aróz, 
   {{0xcb6a0021,0xe8e00029,0x3b863fe3,0x1f64022c}},	//   ване_, _hiệu_, илог, ркөм, 
   {{0x661d79f4,0xfaff00e5,0xe8e00108,0x61ed0528}},	//   _opsk, shën_, _kiệu_, šalu, 
   {{0x6db200ab,0x7c2a0165,0x00000000,0x00000000}},	//   _płat, _esfr, --, --, 
   {{0x39410118,0xa2aa0035,0xdb1900bd,0x00000000}},	//   _cnhs_, जेट्, _auvä, --, 
   {{0xb8ce1d90,0x661d2a68,0xe8e00029,0xe7e10a34}},	//   _और_, _apsk, _liệu_, गीला_, 
   {{0x2b403c38,0x752e00a3,0x92e70bf1,0x00000000}},	//   _unic_, _sabz, পলু_, --, 
  
   {{0xc4e600c8,0x442a8d65,0xe8e00023,0x4438b889}},	// [bc00] ижай, _ssb_, _niệu_, _srr_, 
   {{0x845a8909,0x752eb88a,0x442a2e9f,0x6db20035}},	//   крет_, _qabz, _psb_, _ułat, 
   {{0x9c7c0112,0xb4d6006a,0x07a608f0,0x186a0d47}},	//   vačk, _सभी_, _ванн, _рани_, 
   {{0x442a0096,0x752e019b,0x00000000,0x00000000}},	//   _vsb_, _wabz, --, --, 
   {{0x2d820019,0x9c7c00da,0x442ab88b,0xdb1b0107}},	//   ékek_, tačk, _wsb_, mptô, 
   {{0x442ab88c,0xe8e000e7,0x4438008b,0x99890098}},	//   _tsb_, _diệu_, _trr_, _trať_, 
   {{0x9c7c00f1,0xfdc9005e,0x6b5f00e5,0x660428ef}},	//   račk, қтық_, _dëgj, luik, 
   {{0x03d700a7,0xd1380035,0xe81e00a5,0x9c7c49f8}},	//   _כולם_, _skąd_, _पहना_, sačk, 
   {{0x9c7cb88d,0x63a202e4,0x70f61930,0xf11a2e10}},	//   mači, mlon, _نسائ, _لغات_, 
   {{0x9c7cb88e,0x40960267,0x21a62a8b,0x6e390090}},	//   lači, _крет, _тизм, _drwb, 
   {{0x63a2b88f,0xa5bb2e9b,0x69d602a5,0x4c940398}},	//   olon, _próz, _atye, синс, 
   {{0x9c7c9022,0x64410183,0x6db20035,0x6604b890}},	//   nači, _álie, _płas, kuik, 
   {{0x9d183b8d,0x63a202a3,0xda78b891,0x672f0035}},	//   _болт_, ilon, аяр_, _racj, 
   {{0x63a2b892,0x7af600ab,0x9c7c0588,0xdb0b02ae}},	//   hlon, _edyt, hači, _nufö, 
   {{0x63a2034c,0x6db2006a,0x9c7c00d2,0xd7c900d4}},	//   klon, _włas, kači, اوره_, 
   {{0x501b0056,0x9c7c090e,0xd6d812ef,0xdb1f024a}},	//   כולו, jači, иту_, _miqë, 
   {{0x63a2b893,0xd84302d9,0xdc3b00c3,0x9c7cb894}},	// [bc10] dlon, dičů_, _iġġe, dači, 
   {{0x3cec00ef,0xdce802d9,0x63a20083,0x00000000}},	//   nadv_, vidě, elon, --, 
   {{0xf990007a,0x317c02eb,0x00000000,0x00000000}},	//   _تبي_, divz_, --, --, 
   {{0x9c7c03ef,0x63a2b895,0x33840093,0x27fe0032}},	//   gači, glon, оучв, átne_, 
   {{0xa159b896,0x569400dd,0x661db897,0x96470028}},	//   ладу_, _мают, _upsk, _тэнд, 
   {{0x63a2b898,0x27fe3053,0x7f42040c,0xfaff021e}},	//   alon, štne_, _anoq, dhëm_, 
   {{0x63a2b899,0x7bce1771,0x256401c4,0xdc3b003d}},	//   blon, íbul, _köln_, _oġġe, 
   {{0x438500eb,0x9c7c0397,0x335800b3,0x64580080}},	//   _الرق, cači, _касэ_, ävie, 
   {{0x335800d9,0x2d95b89a,0xf99f9e7e,0x00000000}},	//   _татэ_, йрос, ntès_, --, 
   {{0x4d65b89b,0x7c3e2467,0xdc3b00a4,0xecc300d3}},	//   сков, _špra, _aġġe, өшүү, 
   {{0x3f5802aa,0x7f1900f0,0xdb0401be,0x6724018e}},	//   _céus_, _білу_, _phià, yeij, 
   {{0x291a00e2,0x491a00bd,0x3f5803dd,0x8e3917bc}},	//   _sbpa_, म्नो_, _déus_, _مستر_, 
   {{0xed4eb89c,0x00000000,0x00000000,0x00000000}},	//   _ео_, --, --, --, 
   {{0x2bcf1446,0xe5030351,0x9c7c0704,0xb4d6007e}},	//   _संपा, _लागि_, zači, _सभे_, 
   {{0x6d437ad0,0x1867b89d,0x98a626f3,0x63a2b89e}},	//   _inna, бари_, сиве, ylon, 
   {{0x6f0904bb,0x7c3e0183,0x7c3c02c9,0x290c0035}},	//   ngec, _ápra, ærre, żda_, 
   {{0x6e29b89f,0x65a20054,0x63a2b8a0,0x00000000}},	// [bc20] nweb, lôhi, vlon, --, 
   {{0x66040b1f,0x3f58011c,0x6e29040b,0x00000000}},	//   ruik, _yéus_, iweb, --, 
   {{0x63a2b8a1,0x9c7c3f00,0x321f0574,0x15b916d0}},	//   tlon, tači, _apuy_, рыты_, 
   {{0xd24f00d4,0x826a326b,0x64410082,0x68eeb8a2}},	//   کنه_, лаев_, _šlic, labd, 
   {{0x9c7c875e,0x63a2b8a3,0x7d080219,0xdb0d011c}},	//   rači, rlon, ygds, _dhaè, 
   {{0x63a20688,0x9c7c0588,0x044607a4,0x2918b8a4}},	//   slon, sači, _легн, nfra_, 
   {{0x9c7cb8a5,0xcf9a0165,0x00000000,0x00000000}},	//   pači, лји_, --, --, 
   {{0x6d43328f,0x2d9c00e2,0x3f5802aa,0x984c01dd}},	//   _anna, _skve_, _réus_, dēļa_, 
   {{0xa5bb0b85,0x2cea2bdc,0x68ee0065,0x934377b6}},	//   _próx, льно_, kabd, _энте, 
   {{0x68ee0065,0x657e018e,0x3f9d008a,0x6d4302be}},	//   jabd, niph, _ekwu_, _cnna, 
   {{0xfaff01ee,0xaf0a086b,0x80a61c8f,0xa5bb20ac}},	//   shëm_, _مقام_, _امان, _isót, 
   {{0x6d43b8a6,0x0c86004e,0x7b679516,0x657eb8a7}},	//   _enna, _қылм, стое, hiph, 
   {{0x5e5a1b65,0xbc670274,0xdbe20183,0x657e0065}},	//   _حجاج_, لمین_, _véñe, kiph, 
   {{0xfbcf0444,0x7bdab8a8,0xdd9009dc,0x29180566}},	//   بتی_, pptu, _توت_, gfra_, 
   {{0xdbe20042,0x115b00c7,0x2bcf00bd,0x98480080}},	//   _téñe, נדלע, _संया, бята_, 
   {{0x28d9203f,0x443f0588,0xf77300d7,0x6db20083}},	//   _ब्रि, _ču_, ساز_, _złap, 
   {{0x9f4100d4,0x29050014,0x7bca0548,0xb4e4109f}},	// [bc30] èhé_, òlas_, _hufu, गरूप_, 
   {{0x7bca2a3b,0xbb1b0218,0x6aadb8a9,0x65b00080}},	//   _kufu, knîk, _izaf, jähd, 
   {{0xa5bb033c,0x59d40019,0x321f08b0,0x7aef00b9}},	//   _apóc, _وغیر, _spuy_, oact, 
   {{0x2564014e,0x1dc80586,0x7aefb8aa,0x7bca436b}},	//   _höll_, रदात, nact, _mufu, 
   {{0x2bcf4de2,0xe299122f,0x6e290218,0x7bca01b8}},	//   _संभा, јал_, xweb, _lufu, 
   {{0x6b8d015e,0xdb0d00d4,0x6142ae20,0x45d41d7d}},	//   _ljag, _dhaé, деша, _хорс, 
   {{0xb4e52c8a,0x7bca00a3,0x7aef02b0,0x6b8db8ab}},	//   नरी_, _nufu, kact, _ojag, 
   {{0x27e50187,0x987c008d,0x9c7c2b46,0x6e2902a5}},	//   álny_, טרוק, naču, tweb, 
   {{0x7aefb8ac,0x7bca019b,0x6f09b8ad,0x6aad016c}},	//   dact, _aufu, rgec, _nzaf, 
   {{0x8d590a65,0x6e29b8ae,0x7bca53a0,0x6b8db8af}},	//   ршит_, rweb, _bufu, _ajag, 
   {{0x3a20b8b0,0x1b4a1a9e,0x8b261110,0x6aadb8b1}},	//   _spip_, азни_, одне, _azaf, 
   {{0xeaba560c,0xeb9a7e5a,0x2007b8b2,0xe51900c6}},	//   ийн_, рим_, muni_, न्ति_, 
   {{0x09e303dc,0x2007b8b3,0x6b8d1e21,0x645e0083}},	//   моян, luni_, _djag, zypi, 
   {{0x7bcab8b4,0x6aadb8b5,0x6b8d01b8,0x1d0600d9}},	//   _fufu, _dzaf, _ejag, _деши_, 
   {{0x2007b8b6,0x291814a4,0x7bcab8b7,0x68eeb8b8}},	//   nuni_, rfra_, _gufu, rabd, 
   {{0x399f078a,0xa3cd00aa,0x68ee255e,0x49ca3d87}},	//   wîst_, रदन_, sabd, _клин_, 
   {{0x2007b8b9,0x2564014e,0x6443014e,0xe0df0023}},	// [bc40] huni_, _föll_, ånin, _đòn_, 
   {{0x645eb8ba,0x7bc400b0,0x6aa4016c,0x64412f5d}},	//   typi, _hiiu, _iyif, _šlia, 
   {{0x2007b8bb,0x657eb8bc,0x212700ef,0x42ca5891}},	//   juni_, riph, denh_, аген_, 
   {{0xe73a0088,0x2007b8bd,0x657e011d,0x9f5c00bc}},	//   _тем_, duni_, siph, prvé_, 
   {{0x27ed003a,0x914a17d9,0x65b00080,0x9c7c020b}},	//   ćene_, ичка_, tähd, lačt, 
   {{0x661601e8,0x200708dc,0x7aef00d9,0x799cb8be}},	//   mtyk, funi_, zact, norw, 
   {{0x64a32ffc,0x2007b8bf,0xdb0f026e,0xa0670267}},	//   _жара, guni_, ždéh, жаја_, 
   {{0x7bca016c,0x799c2996,0x2c4e00ad,0xc3236116}},	//   _rufu, horw, qədi_, _омск, 
   {{0xc7b3864b,0x799c099d,0xed8a456c,0x6616012d}},	//   ובה_, korw, исок_, ntyk, 
   {{0x661600e4,0x2007086d,0xdb0d026a,0x067b008d}},	//   ityk, buni_, _chaî, ינפל, 
   {{0x20070141,0x6aad0035,0x7bc400a1,0x6aa4016c}},	//   cuni_, _szaf, _biiu, _ayif, 
   {{0x66162d6b,0x6aa40610,0x00000000,0x00000000}},	//   ktyk, _byif, --, --, 
   {{0x64480183,0x799cb8c0,0x6aa40610,0xdcfa01dd}},	//   _ádif, forw, _cyif, notī, 
   {{0x7aef5855,0x7c3e0068,0x7bca3875,0x69dd357d}},	//   sact, _ápro, _tufu, rpse, 
   {{0x2fcc0118,0xa5bb019c,0x67d4022c,0x6d58107c}},	//   _judg_, _osór, досу, _iova, 
   {{0x2bcf0f01,0x6d5816b4,0x27fe23f2,0x69dd5503}},	//   _संता, _hova, átna_, ppse, 
   {{0x66f43128,0x20075f23,0xef19248e,0x6b9d0183}},	// [bc50] ьпту, zuni_, niża_, mosg, 
   {{0x6d58265d,0x2007b8c1,0x7d1a0380,0xdb0d0054}},	//   _jova, yuni_, nfts, _khaï, 
   {{0x7aed0666,0x6d58b8c2,0x95c9004e,0x49b8009c}},	//   _keat, _mova, руға_, _بايد_, 
   {{0x69c5b8c3,0x2007095a,0x7aed0118,0x8c1b0486}},	//   _hihe, vuni_, _jeat, שואי, 
   {{0x69c5b8c4,0x61458348,0x2007044d,0x7aed628b}},	//   _kihe, зела, wuni_, _meat, 
   {{0x2007b8c5,0x41291853,0xe9df0126,0x2fcc008a}},	//   tuni_, соко_, ipú_, _budg_, 
   {{0x69c5b8c6,0xfbc60a34,0x2bc600a2,0xe0420eba}},	//   _mihe, _रंगम, _रंगा, енщи, 
   {{0x69c5b8c7,0xd34311b7,0x6d580054,0x6e220038}},	//   _lihe, _تفری, _aova, _bpob, 
   {{0xc332162e,0x6d586b77,0x2007b8c8,0x6b9d0068}},	//   _און_, _bova, suni_, dosg, 
   {{0x4423016a,0x69c50180,0xceb900bc,0x7bc40026}},	//   _kpj_, _nihe, neři_, _siiu, 
   {{0x7535b8c9,0x6d586eb6,0x6aa402f6,0x44230348}},	//   _mazz, _dova, _syif, _jpj_, 
   {{0x61e9086d,0x69c5030f,0x7aedb8ca,0x66167381}},	//   _kwel, _aihe, _ceat, ytyk, 
   {{0x799cb8cb,0x69c5b8cc,0x9989044e,0x6565016a}},	//   torw, _bihe, _draž_, kkhh, 
   {{0x6d5803c8,0x75350405,0x69c5b8cd,0x61e974f9}},	//   _gova, _nazz, _cihe, _mwel, 
   {{0x69c52cce,0x2564014e,0x7aed0056,0x44312873}},	//   _dihe, _följ_, _feat, _nsz_, 
   {{0x7aed2619,0x6d58044d,0x69c500b4,0x799c0610}},	//   _geat, _zova, _eihe, sorw, 
   {{0x7535b8ce,0x69c500a9,0x61e90226,0x056600fd}},	// [bc60] _bazz, _fihe, _nwel, пван, 
   {{0xaa3b00a7,0x75350093,0x66164260,0x69c502b8}},	//   _פתיח, _cazz, rtyk, _gihe, 
   {{0x6616b8cf,0x7aed0354,0x0326b8d0,0x61e90090}},	//   styk, _yeat, зден, _awel, 
   {{0x69c5acc7,0x4431ac21,0x6448003d,0x61e99ee0}},	//   _zihe, _dsz_, _ġdid, _bwel, 
   {{0xe51900b0,0x64412419,0x753519d5,0x61e99c54}},	//   न्हि_, _álin, _fazz, _cwel, 
   {{0x7535b8d1,0x66045b9d,0x61e9b8d2,0x395a0354}},	//   _gazz, mrik, _dwel, _jops_, 
   {{0x6d58b8d3,0x442c06df,0x7c240ab4,0xa3c5009a}},	//   _rova, _èd_, _ćiro, _उंच_, 
   {{0x6d58b8d4,0x09e20033,0x00000000,0x00000000}},	//   _sova, _বিনা, --, --, 
   {{0x61e902f0,0x7aedb8d5,0x6d5880b0,0xe8e00029}},	//   _gwel, _reat, _pova, _chịu_, 
   {{0x7bcd0097,0x64489b06,0x63ae0009,0x7aedb8d6}},	//   _čaur, _àdis, šinė, _seat, 
   {{0x7aedb8d7,0x6d580054,0x69c5b8d8,0x9b958999}},	//   _peat, _vova, _rihe, динц, 
   {{0x6604b8d9,0x6d58019b,0xa3e43918,0x2366b8da}},	//   krik, _wova, पीए_, nkoj_, 
   {{0x6d58b8db,0x65ab01c4,0x69c5b8dc,0x09e400e4}},	//   _tova, fühl, _pihe, ноўн, 
   {{0x6604b8dd,0xdb0db8de,0x7aedb8df,0xa9c4b8e0}},	//   drik, _ciaò, _weat, есск, 
   {{0x7aedb8e1,0x75350fc9,0x36d5176b,0x69c53b2e}},	//   _teat, _razz, добр, _vihe, 
   {{0x27ff2805,0x2d9eb8e2,0xe81e1615,0x7ac70161}},	//   čun_, lote_, _पहरा_, _эске, 
   {{0x75355cfd,0x6604b8e3,0x4423016a,0x2d8cb8e4}},	// [bc70] _pazz, grik, _spj_, onde_, 
   {{0x2d9eb8e5,0x44230065,0x2fc6b8e6,0x61e90026}},	//   note_, _ppj_, _liog_, _rwel, 
   {{0x2d8cb8e7,0x6604b8e8,0xf9900038,0x61e91247}},	//   inde_, arik, _حبي_, _swel, 
   {{0x2bcf3785,0x2366006d,0x75351c73,0xe1f1009c}},	//   _संसा, gkoj_, _wazz, نست_, 
   {{0xb90a00f7,0x75351038,0xe1f8005e,0x45d405d9}},	//   _nghệ_, _tazz, згі_, _пояс, 
   {{0x09e20086,0x2d8c01c8,0xa0a58c07,0x2d9eb8e9}},	//   _বিমা, jnde_, малд, jote_, 
   {{0x2d9eb8ea,0x34940258,0xd4040080,0x2b4900b4}},	//   dote_, _зарр, _пяти, _onac_, 
   {{0x2d8cb8eb,0x236604d1,0x533401d7,0x6d5c489f}},	//   ende_, ckoj_, _пест, öran, 
   {{0x09e2100b,0xee36012d,0x88c50086,0xdb0d0183}},	//   _বিভা, дны_, ্রিক, _chaí, 
   {{0xe81e00ab,0x9e640038,0x2b49019c,0x3c650e8a}},	//   _पहला_, عاين, _anac_, дког, 
   {{0x2fc600a1,0x61fc01dd,0x26d9039b,0x00000000}},	//   _fiog_, _ārli, _ofso_, --, 
   {{0x2d8c034e,0x09e20033,0xc8e68e0a,0x2bee0083}},	//   ande_, _বিবা, कर्म_, _आबरू_, 
   {{0x2bcf203f,0x2d9eb8ec,0xfe45017b,0x00000000}},	//   _संवा, bote_, _інко, --, 
   {{0x2d9e095f,0xdb0d0068,0x2b490036,0x6604b8ed}},	//   cote_, _diañ, _enac_, vrik, 
   {{0x07a605af,0xe73a0837,0x236d173b,0x2b49488c}},	//   давн, оев_, _olej_, _fnac_, 
   {{0x6604b8ee,0x29040749,0x8b95012d,0xdcfa0caf}},	//   trik, şma_, _прыч, mitā, 
   {{0x27ed02f5,0xdcfa002a,0x07a32f89,0x80a40035}},	// [bc80] ćena_, litā, татн, _चुने, 
   {{0x59833eb2,0x6604b8ef,0xfaff021e,0x236d00de}},	//   _альб, rrik, nkën_, _alej_, 
   {{0x6604b8f0,0x2366090e,0xdcfa01dd,0x236d0034}},	//   srik, tkoj_, nitā, _blej_, 
   {{0x491a0351,0x2ca7b8f1,0x2d9e0548,0xdb160212}},	//   म्रो_, _mynd_, zote_, écèd, 
   {{0x236d006d,0xdcfa0054,0x2366024a,0x2d9e7170}},	//   _dlej_, hitā, rkoj_, yote_, 
   {{0x236600f1,0x2d9eb8f2,0x86b300f0,0xdb0400e1}},	//   skoj_, xote_, _рәсі, _chiú, 
   {{0x2d9eb8f3,0xe4c302f1,0x6563b8f4,0xdb040038}},	//   vote_, _айри, önhe, _dhiú, 
   {{0x93439d82,0x2d9e0053,0x236d008b,0x3f9f0065}},	//   _инсе, wote_, _glej_, gouu_, 
   {{0x2d9eb8f5,0xdb040534,0x39a9009e,0x00000000}},	//   tote_, _fhiú, nîsê_, --, 
   {{0x2d8cb8f6,0xdb0d0126,0x61e2b8f7,0x3d130110}},	//   unde_, _riañ, mpol, _दाणे_, 
   {{0xcfa90019,0x2d8c0380,0xdcfa01dd,0x00000000}},	//   _کالم_, rnde_, gitā, --, 
   {{0xdb0d019c,0xa5bb019c,0x61e2884e,0x00000000}},	//   _thaí, _apól, opol, --, 
   {{0x61e2b8f8,0xfaff0034,0x7bdc00da,0x7e9a007a}},	//   npol, dhët_, írub, _بنشر_, 
   {{0x3f84b8f9,0x2ca702bf,0xdb0d0183,0x61e20036}},	//   limu_, _fynd_, _viañ, ipol, 
   {{0x58d42220,0xb8d702f8,0x6d4a7901,0xdd93013e}},	//   тост, _जर_, _infa, _шашы, 
   {{0x65ab9170,0x3f84b8fa,0x656e00a1,0x2b4900ca}},	//   rühm, nimu_, _albh, _unac_, 
   {{0xa3e70ede,0x35b5b8fb,0x60da0380,0x98e700d3}},	// [bc90] _मौज_, ебар, _oftm, _оюнд, 
   {{0x3f84086d,0x3206023a,0x236d0121,0x00000000}},	//   himu_, droy_, _slej_, --, 
   {{0x236d0df4,0x3f8401ac,0x68f506a2,0x96c00299}},	//   _plej_, kimu_, mazd, लेबॉ, 
   {{0x14df4de2,0xdb04b8fc,0x3f84b8fd,0x61e2abbc}},	//   _प्रण, _shiú, jimu_, fpol, 
   {{0xdb16026d,0xdb040465,0xe125067d,0x3f84b8fe}},	//   écéd, _chiù, емли, dimu_, 
   {{0x660db8ff,0x6d5c0219,0x29110201,0xdb040465}},	//   muak, öral, ngza_, _dhiù, 
   {{0x10a2115f,0x660d0204,0xa0a202f1,0x603300ad}},	//   лишн, luak, лашд, _kəmə, 
   {{0x6d4ab900,0xdcfa00e0,0x3f843695,0xdb0401f5}},	//   _anfa, vitā, gimu_, _fhiù, 
   {{0x2ca70f96,0x3f8db901,0xdb0401fd,0x00000000}},	//   _synd_, rneu_, _ghiù, --, 
   {{0x68f5b902,0x128a00d6,0x98a301dd,0xd20000d3}},	//   jazd, _عملی_, zejā_, _түшк, 
   {{0x660d030c,0x1ae70086,0x09e20033,0x672d095a}},	//   huak, _কাজে_, _বিধা, keaj, 
   {{0x6d4ab903,0xfaff024a,0xdcfa00e0,0x6fb900d3}},	//   _enfa, dhës_, ritā, _эгер_, 
   {{0xfbcf02e6,0x672d5dfd,0x00000000,0x00000000}},	//   _सूरम, deaj, --, --, 
   {{0x61fb0204,0xdcfa00e0,0x2007a320,0x39a9010c}},	//   _mvul, pitā, orni_, vîsê_, 
   {{0x61e2008b,0xd7be00a2,0xdd8e00d7,0xa3bf2030}},	//   zpol, ्दलच, _دوو_, ँगा_, 
   {{0x2d85b904,0x07a6128b,0xc7a652d0,0xc7a30165}},	//   lile_, хабн, хибк, гиск, 
   {{0xfbac02e6,0x7f4b040b,0x660d01d6,0x61e201d6}},	// [bca0] _टीएम, _mngq, guak, xpol, 
   {{0x2d854944,0x3f846d21,0xba9b03e1,0xfaff0034}},	//   nile_, zimu_, _מספי, shët_, 
   {{0xdcfa002e,0x61fbb905,0x130603b7,0x7c242873}},	//   lită, _avul, езем, _ćirk, 
   {{0x2d850364,0x32060379,0x2007b906,0x4aa50299}},	//   hile_, troy_, drni_, _गुडव, 
   {{0x2d85b907,0x57be0586,0x62340aa4,0xdcfa00b3}},	//   kile_, ्दीह, телу, nită, 
   {{0x1ae700cc,0x61e4002e,0x61e2b908,0xe5a6ab1e}},	//   _কাছে_, ţilo, rpol, _чиги, 
   {{0x3f842b03,0x443eb909,0x61fb02a5,0x1dd500c9}},	//   timu_, _ét_, _evul, _डूबत, 
   {{0x7c3e0019,0x50230038,0x2d8500c2,0x00000000}},	//   _ápri, افيك, eile_, --, 
   {{0x3f8417d3,0x2d85b90a,0x63a2b90b,0x6b860226}},	//   rimu_, file_, moon, dikg, 
   {{0x3f84b90c,0x2d85ac5a,0x63a2b90d,0x20070b21}},	//   simu_, gile_, loon, brni_, 
   {{0x4c940b9a,0x68f500ef,0xfaff0034,0x20070613}},	//   тинс, vazd, xhës_, crni_, 
   {{0x63a20298,0xe0df001b,0x6b865ef0,0x2d85b90e}},	//   noon, _đòi_, gikg, aile_, 
   {{0x2d852a89,0xb510109f,0x00000000,0x00000000}},	//   bile_, ालाय_, --, --, 
   {{0x2d85b90f,0x63a2b910,0x6d4ab911,0x4aa52002}},	//   cile_, hoon, _unfa, _गुणव, 
   {{0x27ed02f5,0xb8e916df,0x63a255d5,0x2bac0df2}},	//   ćeno_, _ऋण_, koon, _टीका, 
   {{0x25a102f2,0x63a2b912,0x660db913,0x2cb10241}},	//   wohl_, joon, tuak, üzde_, 
   {{0xfaff00e5,0x63a25ca7,0xdcfa00b3,0xb99902a6}},	// [bcb0] shës_, doon, cită, _ових_, 
   {{0x200e0a9d,0x660db914,0xd2511c03,0x6d9c0241}},	//   kufi_, ruak, ینا_, _uçağ, 
   {{0x63a20b32,0x61fb0430,0x442702df,0x798702b8}},	//   foon, _svul, ïn_, mijw, 
   {{0x63a2b915,0x2007b916,0xdb160118,0x660d0eb1}},	//   goon, vrni_, _chyè, puak, 
   {{0x61e00065,0x2d85b917,0xdb0402b0,0x21751a31}},	//   _ctml, yile_, _skië, кукр, 
   {{0x798702b8,0x2d850218,0x3a290118,0xe7e800bc}},	//   nijw, xile_, _mpap_, टीका_, 
   {{0x63a2b918,0x659412a9,0x200e0199,0xdcfa020f}},	//   boon, _сару, gufi_, zită, 
   {{0xc01c00e7,0x2007024a,0x9f5c0098,0x2d85b919}},	//   _hước_, rrni_, trvá_, wile_, 
   {{0xe3b003b1,0x29016d24,0x798702b8,0x61fb018e}},	//   _طرف_, _odha_, kijw, _uvul, 
   {{0x4d653e23,0x1c45833b,0xdcfa00d9,0x2901012b}},	//   тков, вном, vită, _ndha_, 
   {{0x2d85b91a,0xeb9ab91b,0x3b0a3dc8,0x3a2968dc}},	//   rile_, дин_, мено_, _apap_, 
   {{0x00560111,0xdcfa020f,0x3d13072d,0x00000000}},	//   _בשעת_, tită, _दावे_, --, 
   {{0xeaf20262,0x3f7a00c7,0x3b00024a,0x6b860026}},	//   _अजीत_, _קאנס, _vdiq_, rikg, 
   {{0xc01c00f7,0x63a24800,0xdcfa00d9,0x2d8518e6}},	//   _nước_, zoon, rită, qile_, 
   {{0x98a6b0ce,0x0cab02f1,0x63a217f2,0x290100a1}},	//   тиве, _этди_, yoon, _ddha_, 
   {{0x57be031e,0x9a6a0038,0x00000000,0x00000000}},	//   ्देह, _يمثل_, --, --, 
   {{0x7c2400f1,0x6b84b91c,0xc01c0029,0xfaa602a0}},	// [bcc0] _ćiri, _imig, _bước_, _јапо, 
   {{0x63a2b91d,0xc01c00e7,0x00000000,0x00000000}},	//   woon, _cước_, --, --, 
   {{0x63a2b91e,0x80c70086,0x1c09072f,0x9f4e0034}},	//   toon, রুত্, _विफल_, ënës_, 
   {{0x91e61c93,0x9343b91f,0x69cb2d19,0x00000000}},	//   воде, инхе, _éger, --, 
   {{0x63a2b920,0x2564008c,0x82330038,0x25b800a1}},	//   roon, _sölu_, لروا, _thrl_, 
   {{0xe123b921,0x63a2b922,0x42d20033,0x00000000}},	//   имчи, soon, ারেশ, --, 
   {{0x63a2b923,0xf99300d1,0x00000000,0x00000000}},	//   poon, ברג_, --, --, 
   {{0x442ab924,0x65b001c4,0x200e0548,0x753c59d4}},	//   _ipb_, zähl, rufi_, _harz, 
   {{0x443800e2,0x442a0864,0xd2a7002e,0xa1c62f77}},	//   _hsr_, _hpb_, _акте_, _абад, 
   {{0x6b843b87,0xc01c0023,0xd24f007a,0x753e00b4}},	//   _amig, _xước_, _بنك_, ndpz, 
   {{0x753c1868,0x21756e53,0x45080033,0x09e20033}},	//   _marz, _сутр, র্থক_, _বিষা, 
   {{0x4438ad60,0x65b001c4,0x4ea6b925,0xf41300a7}},	//   _msr_, wähl, _ирла, ספר_, 
   {{0x80c700cc,0xed5a0093,0x6f020036,0x6d4d0038}},	//   রুদ্, _оод_, _idoc, ánaí, 
   {{0x6b84b926,0x753c00ab,0x44380bfc,0x9c4600b3}},	//   _emig, _narz, _osr_, _ахил, 
   {{0xf84603dc,0x97a7b927,0xd7f8049b,0x79870199}},	//   гӯяд_, врал, кут_, rijw, 
   {{0x24b80086,0x25fe093a,0x753cb928,0x09e20033}},	//   জশাহ, _लिखी_, _aarz, _বিরা, 
   {{0x443800a3,0x45d441a2,0xc7c800c8,0xa3be00c9}},	// [bcd0] _asr_, иотс, тыре_, ुआई_, 
   {{0x1c091615,0x0467004e,0xf4d10033,0x2901021e}},	//   _विमल_, ктем, ির্ব, _udha_, 
   {{0xdce8012d,0x7bcd012d,0x02cb00a5,0x753cb929}},	//   sidė, _kiau, िश्न, _darz, 
   {{0x212502cd,0x427503a1,0x386c1341,0x6aad01a3}},	//   _sblh_, лгес, ødre_, _kyaf, 
   {{0x753c02f1,0x1304004e,0xc01c0023,0xa3d300bd}},	//   _farz, рзім, _tước_, _हूर_, 
   {{0x7c3804d1,0x6f023dc5,0x7bcd0009,0x7c2ab92a}},	//   _osvr, _adoc, _liau, _opfr, 
   {{0xc95400fe,0x2576055f,0xe4b60161,0x03c7128b}},	//   ימס_, _sælg_, _бирө, _асам, 
   {{0xee390b68,0x753c00ab,0xb4c10262,0x3494286c}},	//   ени_, _zarz, ुशी_, _таср, 
   {{0x673d1233,0x63a9b92b,0xa6e2003e,0x7c2a00a1}},	//   _masj, _iken, óðin, _apfr, 
   {{0x2576055f,0x6b84b92c,0x27fe008b,0x673d0352}},	//   _vælg_, _smig, štni_, _lasj, 
   {{0x9f050eea,0xfbc60161,0xdc6901a2,0x63bbb92d}},	//   _موضو, лбоо, ханд_, _khun, 
   {{0x09e6a466,0x673d02fb,0x7bcd5125,0x6aad23cb}},	//   ломн, _nasj, _ciau, _byaf, 
   {{0x7bcd02cd,0x63a9095a,0x6aad0610,0x63bbb92e}},	//   _diau, _mken, _cyaf, _mhun, 
   {{0x6447027e,0x6aad0118,0x7bcd00b4,0xfce21ee4}},	//   _orji, _dyaf, _eiau, _лошо, 
   {{0x63a90cd7,0xbb46915a,0x27a200f0,0x6aad01a3}},	//   _oken, _бейк, йқоң, _eyaf, 
   {{0xe737b92f,0x63bb001b,0x442a0065,0xb6a61ca5}},	//   лес_, _nhun, _rpb_, гибл, 
   {{0x644301cc,0x753cb930,0x7e694422,0xa526212c}},	// [bce0] ænin, _parz, nyep, лмад, 
   {{0x201802cc,0x63a9b931,0x491b07d5,0x63bbb932}},	//   _årig_, _aken, _बायो_, _ahun, 
   {{0x649ab933,0x63bb0a92,0x753cb934,0x63a90226}},	//   хтар_, _bhun, _varz, _bken, 
   {{0x63bbb935,0xe29a00e4,0x69d60204,0x753c0035}},	//   _chun, нае_, _kuye, _warz, 
   {{0xa683041c,0x753cb936,0x63bbb937,0x7e6902b8}},	//   _гляд, _tarz, _dhun, jyep, 
   {{0x64a6b938,0x673d027c,0x63a9b939,0x7af6b93a}},	//   _бага, _zasj, _eken, _leyt, 
   {{0x629c006a,0xdefa1b17,0x802600d4,0x442a011a}},	//   _środ, нып_, ارتم, _upb_, 
   {{0xb4c0000f,0x7af6b93b,0x63bb006c,0x76890104}},	//   ँधी_, _neyt, _ghun, _fоyd, 
   {{0xa2cb0773,0xe297b93c,0x4444b93d,0xa5bb00eb}},	//   _तृप्, _бат_, lv_, _spói, 
   {{0x444401c1,0xa3d3006a,0x71d700a7,0x7bcd012d}},	//   ov_, _हूँ_, _עובד_, _siau, 
   {{0x4ac70081,0x6aad1b78,0xdb550088,0x7af604d6}},	//   रेनव, _syaf, авны, _beyt, 
   {{0x4444b93e,0x63a90065,0x69d6b93f,0x63bb021e}},	//   iv_, _xken, _buye, _xhun, 
   {{0xc3330056,0x69d60126,0x291a01be,0xb69b00b3}},	//   זור_, _cuye, _bcpa_, _adân, 
   {{0x69d6b940,0x6aadb941,0xc9848e8e,0x90d50210}},	//   _duye, _vyaf, буси, _làn, 
   {{0xa3d300ab,0x4444b942,0x673db943,0x69d60574}},	//   _हूं_, jv_, _pasj, _euye, 
   {{0x673d0034,0x213e0b1a,0x90d50108,0x69d60106}},	//   _qasj, _lath_, _nàn, _fuye, 
   {{0x4444b944,0xe7391dbc,0xa3da0262,0xc987b945}},	// [bcf0] ev_, нең_, _डूब_, _буни, 
   {{0x63bb0c67,0x63a9b946,0x213eb947,0x7af60384}},	//   _shun, _sken, _nath_, _zeyt, 
   {{0x3d1c40a8,0x63bb605c,0xd6d100eb,0x673db948}},	//   _माने_, _phun, _وقد_, _tasj, 
   {{0xb5191422,0x90d50108,0x00000000,0x00000000}},	//   न्जय_, _càn, --, --, 
   {{0x444401c1,0x69d60108,0x213eb949,0x90d50108}},	//   av_, _xuye, _bath_, _dàn, 
   {{0x3f86b94a,0xd0093182,0x213eaff6,0xa5930274}},	//   _amou_, веке_, _cath_, _اگرچ, 
   {{0x12e7004e,0x213e00a0,0x70520038,0x660db08c}},	//   _бізг, _dath_, قنوا, lrak, 
   {{0x63a91b06,0x6f65b94b,0x63bb0959,0x660db8ee}},	//   _uken, рвиз, _uhun, orak, 
   {{0x660da9cc,0x4421b94c,0x7af6b94d,0x213e0156}},	//   nrak, lth_, _reyt, _fath_, 
   {{0x0c250f5a,0x213eb94e,0x4421b94f,0x0d8500b9}},	//   амон, _gath_, oth_, рлон, 
   {{0x442100a7,0x69d6045a,0xdcfa0243,0x7e7b4234}},	//   nth_, _suye, entē, szup, 
   {{0x4421b950,0x1ee700d4,0x660d01dd,0x6e39006d}},	//   ith_, _صوتی_, krak, _tswb, 
   {{0x68f70216,0x7ae9b951,0xdd9500d3,0x4421019b}},	//   _bexd, ñeta, _кады, hth_, 
   {{0xfce5b952,0x7af60102,0xdb0400a1,0x44210034}},	//   _токо, _weyt, _chiò, kth_, 
   {{0x17c803dc,0x9d1a008d,0x660db953,0x52b20425}},	//   лҳои_, _יוסט, erak, _जर्स, 
   {{0x4421305f,0xa6e6a2a3,0x69d600e7,0x65b04cd7}},	//   dth_, ржал, _tuye, pähk, 
   {{0x44211b5a,0xe737b954,0x44440e0c,0x958603dc}},	// [bd00] eth_, шет_, wv_, алае, 
   {{0xe5773623,0x4444b955,0x79fb042c,0x8886306e}},	//   азу_, tv_, _שליח, _влож, 
   {{0x68fcb956,0x4444006f,0x213eb957,0xb4c004cc}},	//   mard, uv_, _rath_, ँधे_, 
   {{0x7794b958,0x68fc0998,0x4444b959,0x15b8004e}},	//   _ایرا, lard, rv_, тығы_, 
   {{0x80ad00cc,0x2d87011c,0x1603031e,0xd2a7012d}},	//   টেম্, _omne_, _लिएर_, акце_, 
   {{0x2918b95a,0x213e016a,0x333f0107,0x2b4016cd}},	//   ngra_, _qath_, _eaux_, _laic_, 
   {{0xdb06078a,0x216702a6,0x333fb95b,0x6d414b6f}},	//   rokê, рији_, _faux_, ddla, 
   {{0x9316015f,0xab620241,0x212002d9,0x3eaf017b}},	//   _خورش, çüle, řih_, _bygt_, 
   {{0x27ed00f1,0x68fcb95c,0x2fcfb95d,0x602a00ad}},	//   ćeni_, kard, _digg_, _qəmb, 
   {{0x68fc0571,0x5d66192f,0x2d8700e2,0x65b00380}},	//   jard, ртиз, _cmne_, fähi, 
   {{0x2cb80c29,0x10a600dd,0x660db95e,0x68fcb95f}},	//   ård_, _тижн, zrak, dard, 
   {{0x2d87155b,0x80ad0086,0x68f70df9,0xbb9400c8}},	//   _emne_, _চলচ্, _sexd, жающ, 
   {{0x68fcb960,0x491b007e,0x00000000,0x00000000}},	//   fard, _बादो_, --, --, 
   {{0xac180fb6,0x4421b961,0x68fcb962,0x9e6537e5}},	//   _боку_, yth_, gard, _دامن, 
   {{0x2bd042f3,0xb8682009,0x2b4001c5,0x2fcfb963}},	//   _संचा, ајте_, _faic_, _yigg_, 
   {{0x660db964,0x2d8cb965,0x8b6700d6,0x291800eb}},	//   trak, lide_, _خاتم, agra_, 
   {{0x7afd14c0,0x7bd8022b,0x76b92067,0x442100d1}},	// [bd10] mast, _huvu, улар_, wth_, 
   {{0x7afdb966,0x7bd8b967,0x2d8cb968,0x24e70028}},	//   last, _kuvu, nide_, рцаг, 
   {{0x65ab02f2,0x95c83a64,0x660db969,0x442170ed}},	//   führ, рута_, srak, uth_, 
   {{0x7afdb96a,0xa3b402fb,0x4421b96b,0x7bd842fb}},	//   nast, обхі, rth_, _muvu, 
   {{0x075600a7,0xb6040ff6,0x7bd80088,0x2d8cb96c}},	//   _הסרט_, _мярк, _luvu, kide_, 
   {{0x7afdb96d,0x463a0137,0x442100df,0xdb1f0151}},	//   hast, _געשע, pth_, _piqû, 
   {{0x7afd4a7f,0x333f026a,0x65ab01c4,0x2d8cb96e}},	//   kast, _taux_, bühr, dide_, 
   {{0x7afdb96f,0x29180571,0x2d8c038c,0x670702ab}},	//   jast, zgra_, eide_, षणिक_, 
   {{0x7afdb970,0x68fcb971,0x528500eb,0x3eb90946}},	//   dast, yard, _الذك, åst_, 
   {{0x8d550cd9,0x30a72c54,0x7bd8b972,0x2d8cb973}},	//   стич, _крев, _buvu, gide_, 
   {{0xbb460088,0xcb6ab974,0x6d41b975,0xdca537c9}},	//   бенк, гане_, rdla, сани, 
   {{0x7afd076b,0x3d1c0394,0xe45600c7,0x316501c4}},	//   gast, _माथे_, צירט_, _holz_, 
   {{0x2d8c02ba,0x139a00c7,0x68fcb976,0x394101ff}},	//   bide_, רברע, tard, _bahs_, 
   {{0x2d8cb977,0x3f8db978,0x7afd00b0,0x6d5c00c2}},	//   cide_, lieu_, aast, örat, 
   {{0x2b40004c,0x48071b4b,0x3d1c05e5,0x37e6186c}},	//   _taic_, йерн_, _माते_, собг, 
   {{0xea5a0d37,0x3165006d,0x68fcb979,0x5fa70110}},	//   _број_, _lolz_, sard, खविल, 
   {{0x09e20086,0x7ae4b97a,0x68fc52a8,0xe4d6007a}},	// [bd20] _বিকা, _ifit, pard, متاب, 
   {{0x68fc8ccd,0x3f8db97b,0x00000000,0x00000000}},	//   qard, hieu_, --, --, 
   {{0xa5bb118d,0xd8d70137,0x07a64890,0x3f8d033e}},	//   _após, _לויט_, _ганн, kieu_, 
   {{0x798e0298,0xdce300bc,0x2d8cb97c,0x7ae400a4}},	//   libw, _plně, zide_, _jfit, 
   {{0x3f8d005f,0x65ab01c4,0x216a6be3,0x7ae4b97d}},	//   dieu_, rühr, лиди_, _mfit, 
   {{0x645800c8,0xa3d30466,0xdb06b97e,0x3d1300c9}},	//   ävis, _हूक_, llkä, _दागे_, 
   {{0x2d8cb97f,0x7ae41d4a,0x7afd018e,0x25de0299}},	//   vide_, _ofit, yast, _कंडी_, 
   {{0x7bd8039d,0x798e0532,0x7ae4b980,0x38c30212}},	//   _ruvu, hibw, _nfit, léré_, 
   {{0x7afd7999,0x2d8c007e,0x511a010e,0x7bd80080}},	//   vast, tide_, _مزاح_, _suvu, 
   {{0x867b0052,0x7afdb981,0x716500eb,0x7ae4024d}},	//   טרפו, wast, _والك, _afit, 
   {{0x2d8cb982,0xdeefb983,0xb09a004f,0x7c860c09}},	//   ride_, _ны_, _стає_, супе, 
   {{0x2d8c28ff,0x3f8d022c,0xcae302e6,0x005700d1}},	//   side_, cieu_, कुंड_, _לשבת_, 
   {{0x2d8cb984,0x256f027e,0x6da600b3,0xfe4600b3}},	//   pide_, _yılı_, _лида, _ындо, 
   {{0x7ae400a9,0x7bd8b985,0x6e220026,0x7afdb986}},	//   _efit, _tuvu, _iqob, sast, 
   {{0xe8140081,0x38c30107,0x3cfe00ca,0x7ae400f8}},	//   तूला_, déré_, matv_, _ffit, 
   {{0x89d9009c,0xe8940009,0x00000000,0x00000000}},	//   _پودر_, чась, --, --, 
   {{0x38c30212,0x070829ce,0x798e180b,0x00000000}},	// [bd30] féré_, صيلي_, bibw, --, 
   {{0x67d5012d,0x7d1ab987,0x38c30151,0x798e0610}},	//   _sąju, ngts, géré_, cibw, 
   {{0xe43509e8,0x5347040c,0xa2cb2488,0x36d5b988}},	//   تفاد, йхда, तेन्, _монр, 
   {{0xdfc60038,0x8c1b07e4,0x31650144,0x66160175}},	//   _زي_, רואי, _solz_, buyk, 
   {{0x27ed0112,0x38c3b989,0x3f8d022c,0x7d1a0026}},	//   ćenu_, béré_, vieu_, kgts, 
   {{0x3cfe0bfc,0x00000000,0x00000000,0x00000000}},	//   jatv_, --, --, --, 
   {{0xdb060483,0x212c0102,0xfaff0034,0x7f420108}},	//   soké, _dbdh_, nkës_, _baoq, 
   {{0x798e0a8b,0xbb1b009e,0x00000000,0x00000000}},	//   zibw, nhîd, --, --, 
   {{0x63ab00f1,0x332d240a,0x3f8db98a,0x212c00a1}},	//   mogn, _ibex_, rieu_, _fbdh_, 
   {{0x63abb98b,0x98ba00e0,0x44310ab4,0x61e9b98c}},	//   logn, _lapā_, _kpz_, _itel, 
   {{0x61e91462,0x4431023e,0x55ac0070,0x69c70372}},	//   _htel, _jpz_, רייַ, dmje, 
   {{0x6d5c0219,0xcaca0925,0x224d0118,0x798e070c}},	//   örar, игне_, _krek_, wibw, 
   {{0x798e0298,0x224d0096,0x443100b4,0xa2dc08dd}},	//   tibw, _jrek_, _lpz_, _फलस्, 
   {{0x2eff73db,0x65b0b98d,0x3cfe0036,0x61e9b98e}},	//   lauf_, näht, catv_, _mtel, 
   {{0x6d430489,0x7ae40405,0x798eb98f,0xb7e30cfe}},	//   _iana, _tfit, ribw, джск, 
   {{0x46eab990,0x6d43b991,0x6f1b04bb,0x61e9b992}},	//   рдан_, _hana, nguc, _otel, 
   {{0x6d43b993,0x0566388f,0x63ab498e,0x61e9b994}},	// [bd40] _kana, ован, dogn, _ntel, 
   {{0x6d43b995,0xa5bb0d4b,0x78a9010c,0xa50a017b}},	//   _jana, _spór, şeva, режа_, 
   {{0x6d43b996,0x224d2c9f,0xe72a00b3,0x2eff0380}},	//   _mana, _arek_, _конд_, kauf_, 
   {{0x6d43b997,0xfe670ce0,0x232a3927,0x224d34c4}},	//   _lana, _قد_, роди_, _brek_, 
   {{0xe29a0a43,0x6d43b998,0x224d04c6,0x38c30212}},	//   шад_, _oana, _crek_, péré_, 
   {{0x6d43b999,0x6604b99a,0x2d99033c,0x7bcf014b}},	//   _nana, msik, ésel_, íbuz, 
   {{0x61e9b99b,0x657e0084,0x224d3cbb,0x6604b99c}},	//   _etel, mhph, _erek_, lsik, 
   {{0x6d43b99d,0x69c70f30,0x644eb99e,0x63abb99f}},	//   _aana, zmje, _irbi, cogn, 
   {{0x6604b9a0,0x224d024a,0x6d43b9a1,0x20050384}},	//   nsik, _grek_, _bana, _evli_, 
   {{0xa2a30a09,0x657e0023,0x660414aa,0x10560019}},	//   _छुट्, nhph, isik, _وضاح, 
   {{0x6d4303ef,0xdd97012d,0x00000000,0x00000000}},	//   _dana, ўшы_, --, --, 
   {{0x9e660040,0x6d43b9a2,0x61e9017b,0x3cfe020f}},	//   _واشن, _eana, _ytel, satv_, 
   {{0x6d430a49,0x4e961b65,0x62821a0d,0x5a441099}},	//   _fana, _بشار, nzoo, мэра, 
   {{0x6d43b9a3,0x2735001b,0x6f00b9a4,0x9d1701a2}},	//   _gana, _ấn_, lamc, _дошт_, 
   {{0xf7730fdc,0x65670218,0x69c700e5,0x98480141}},	//   وار_, _rojh, rmje, оята_, 
   {{0x6d4305f0,0x69c70eae,0x6f00025b,0xfaff021e}},	//   _zana, smje, namc, rkës_, 
   {{0x6b8db9a5,0x6d43b9a6,0x644eb9a7,0x6604b9a8}},	// [bd50] _imag, _yana, _arbi, gsik, 
   {{0x344b16e1,0x09e20086,0x44310065,0x644eb9a9}},	//   ичен_, _বিচা, _ppz_, _brbi, 
   {{0x63ab0036,0x6fca02e6,0x917b0108,0x6f00025b}},	//   togn, ागां, hệ_, kamc, 
   {{0x224db9aa,0x883a00a7,0x6f000372,0xb866011c}},	//   _prek_, _פתרו, jamc, _راپو, 
   {{0x644e7ec8,0xc0e57430,0x65b03d00,0x6b8d4f36}},	//   _erbi, полк, täht, _mmag, 
   {{0x63ab0141,0xd24e00b8,0x6b8d02f1,0xc24400e4}},	//   sogn, انو_, _lmag, ьнік, 
   {{0x6d43b9ab,0x6b8db9ac,0xddc900ab,0xf99407e4}},	//   _rana, _omag, rzeż, ורס_, 
   {{0x61e957af,0x65b00080,0x224d015c,0x6e3b016c}},	//   _ttel, säht, _trek_, twub, 
   {{0x6d432bb1,0x2eff02f2,0x61e9b9ad,0x427500a3}},	//   _pana, rauf_, _utel, _эгас, 
   {{0x0d82b9ae,0x6b8d436b,0x2eff0348,0x6d43b9af}},	//   ельн, _amag, sauf_, _qana, 
   {{0x6d4345c5,0x3d1c000f,0xc17200d1,0xff530038}},	//   _vana, _मारे_, _רחב_, _يخص_, 
   {{0x6d431bb2,0xeb9a3f1b,0x65b001c4,0x66043582}},	//   _wana, сим_, nähr, ysik, 
   {{0x6d43b9b0,0xee2e4427,0x34b80586,0x64480183}},	//   _tana, _ян_, _अर्द, _ádiv, 
   {{0xdce31c76,0x6b8db9b1,0x6d4349a4,0xfe7900d8}},	//   _konč, _emag, _uana, ncům_, 
   {{0x08c30bad,0x764f18aa,0x00000000,0x00000000}},	//   ебрн, _arcy, --, --, 
   {{0x6604b9b2,0xab6600dd,0xe51e109f,0x65b00380}},	//   tsik, _хвил, _पाहि_, jähr, 
   {{0x644e1462,0xfbd30056,0xdce31eeb,0xf99f4490}},	// [bd60] _srbi, _אתה_, _lonč, grès_, 
   {{0x6b8d848a,0x7bd6b9b3,0x62820201,0x644e0604}},	//   _zmag, _hiyu, vzoo, _prbi, 
   {{0x65b001c4,0x7bd6b9b4,0xf8db00d1,0x764f03c6}},	//   fähr, _kiyu, _לחימ, _ercy, 
   {{0x628202b0,0x03a3336d,0xf99f011c,0x00000000}},	//   tzoo, нихо, brès_, --, 
   {{0x7bd60a13,0x7d01b9b5,0x64a301a2,0x4b4d0070}},	//   _miyu, kals, _ҷара, יגאַ, 
   {{0x7d01b9b6,0x7bd66a74,0xdce30604,0x27fa01d2}},	//   jals, _liyu, _bonč, _kwpn_, 
   {{0x644eb9b7,0x62820201,0x27fa0065,0x7d014cd2}},	//   _urbi, szoo, _jwpn_, dals, 
   {{0x5ea500cc,0x23270925,0xdce30864,0x2c82011c}},	//   খেছে, _носи_, _donč, _lédé_, 
   {{0x2cba00ef,0x80a60499,0x6b8d01ff,0x46be00bc}},	//   _špd_, _کمان, _rmag, ्धिह, 
   {{0x6b8db9b8,0xc24306b3,0xdce30f9f,0xc5f300d1}},	//   _smag, _янук, _fonč, עדת_, 
   {{0x7bd6b9b9,0xe6b90e6e,0x00000000,0x00000000}},	//   _biyu, _आर्ज, --, --, 
   {{0x7bc4b9ba,0x7d01007e,0x7bd61b6b,0xdce80241}},	//   _chiu, aals, _ciyu, ğlıy, 
   {{0x7d01002a,0x2aab0ec4,0x602a0095,0x7bd6b9bb}},	//   bals, стно_, _məmm, _diyu, 
   {{0x5e570056,0xd90f0399,0x7c3703da,0x82770137}},	//   _מידע_, دید_, ñarí, לעכע_, 
   {{0x68fe3ffc,0x6d581229,0xa8a4b9bc,0x7bc41a29}},	//   _depd, _inva, ертк, _fhiu, 
   {{0x6b8db9bd,0x7bd6012b,0xf99fb9be,0x7bc4b9bf}},	//   _umag, _giyu, très_, _ghiu, 
   {{0x2c820106,0x257f0106,0x00000000,0x00000000}},	// [bd70] _fédé_, _lîle_, --, --, 
   {{0x65b001c4,0x261c00a5,0x35b46672,0x2c820175}},	//   währ, मढ़ी_, ебур, _gédé_, 
   {{0x2903b9c0,0x6b9d423a,0xf8c14f69,0x7aff021e}},	//   maja_, onsg, _एरिय, _keqt, 
   {{0xf99fb9c1,0x6b9d9277,0xdce30242,0x95c900f0}},	//   près_, nnsg, _ronč, суға_, 
   {{0x2d99006b,0xdce302ee,0x6145b9c2,0x21693a5f}},	//   ések_, _sonč, дела, жили_, 
   {{0x2903b9c3,0x764db9c4,0x7aff00b9,0x69d7008a}},	//   naja_, mvay, _leqt, _jixe, 
   {{0x7d01b9c5,0x7ae60219,0x2418021d,0x8fa502aa}},	//   vals, yckt, _норы_, маке, 
   {{0x2903b9c6,0x69d739b5,0x6d580cd7,0x6d48b9c7}},	//   haja_, _lixe, _anva, edda, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2903b9c8,0x7bc4b9c9,0xdce3b9ca,0x69d75790}},	//   jaja_, _shiu, _tonč, _nixe, 
   {{0x7d010bf7,0xd7bf00a2,0xe7bf009a,0x7bd6b9cb}},	//   rals, ्षाच, ्षाप, _piyu, 
   {{0x6d58b9cc,0x69d703a1,0x3e83011c,0x7bd60036}},	//   _enva, _aixe, _cèté_, _qiyu, 
   {{0x69d70218,0x89f60235,0x2903b9cd,0x1d09b078}},	//   _bixe, ьянц, faja_, _дели_, 
   {{0x29032346,0xed5900d9,0x290c010c,0x6e29423e}},	//   gaja_, _фок_, ûda_, mteb, 
   {{0x69d743e4,0x66e6b9ce,0xb90652f7,0xd6f50086}},	//   _dixe, доба, _फल_, _ছাড়া_, 
   {{0x61fb199e,0x69c5010e,0x635e00b3,0x69d7604b}},	//   _owul, _ehhe, _mănâ, _eixe, 
   {{0x6e29b9cf,0x29033332,0xb8d5031e,0x69d7b9d0}},	// [bd80] nteb, baja_, _छु_, _fixe, 
   {{0x290303ef,0xf1e10d53,0xdb060054,0xb347008a}},	//   caja_, _पढ़न, lokà, _leħħ, 
   {{0x53e502fb,0x395a00fd,0x20070082,0x61fb01a3}},	//   еціа, _inps_, jsni_, _awul, 
   {{0x6e29b9d1,0xdb060054,0x320601a7,0xb34700a4}},	//   kteb, nokà, tsoy_, _neħħ, 
   {{0x6d48b9d2,0x91e30080,0x00000000,0x00000000}},	//   ydda, воче, --, --, 
   {{0xc6930137,0xc1a800a2,0x257602c9,0x26c201d6}},	//   _יאר_, गवेग, _mælk_, _izko_, 
   {{0x61fb0539,0x443e03a0,0x6e29b9d3,0x661608b0}},	//   _ewul, _èt_, eteb, lryk, 
   {{0x6e29b9d4,0x602a00ad,0x00000000,0x00000000}},	//   fteb, _həmk, --, --, 
   {{0x6e29b9d5,0x6616b9d6,0x6d5801cf,0xe297013e}},	//   gteb, nryk, _pnva, _жат_, 
   {{0x23660112,0x64480183,0x3eb801dd,0x98b1484b}},	//   ljoj_, _ádis, ārt_, neză_, 
   {{0x29030688,0x6d487a65,0x61e01950,0xe06a0038}},	//   vaja_, rdda, _huml, _بإذن_, 
   {{0x236604d1,0x69d7008a,0x61e0b9d7,0x26c20144}},	//   njoj_, _sixe, _kuml, _ozko_, 
   {{0x2903b9d8,0x69d72201,0x6b9d0219,0x25de00aa}},	//   taja_, _pixe, rnsg, _कूली_, 
   {{0x6616b9d9,0x6d581305,0x61e0b9da,0x00000000}},	//   dryk, _unva, _muml, --, 
   {{0x69d70496,0x80d00086,0x5ba7b9db,0xa3c00551}},	//   _vixe, _স্ত্, _ориз, ीषा_, 
   {{0x316cb9dc,0x36d537c9,0x00000000,0x00000000}},	//   _lodz_, еобр, --, --, 
   {{0x69d70183,0x98bf0095,0x23667744,0x2d9e084c}},	// [bd90] _tixe, ırıb_, djoj_, onte_, 
   {{0x2d9e2df6,0xd5bb0451,0x332400a1,0x201cb9dd}},	//   nnte_, іса_, _acmx_, kuvi_, 
   {{0x2d9eb9de,0x7995b9df,0x6e2924c7,0x26c200b4}},	//   inte_, mizw, zteb, _ezko_, 
   {{0x79950010,0x2d9e0380,0x23660034,0x66160083}},	//   lizw, hnte_, gjoj_, bryk, 
   {{0x6fc50327,0x290100b0,0x61e0b9e0,0xc6a71329}},	//   nóce, _keha_, _cuml, _црни, 
   {{0x34956878,0x6025b9e1,0xc1050038,0x645a020b}},	//   _загр, едка, روبي, _štie, 
   {{0x29010218,0x25a61c9f,0xe05700d4,0x2fc601c5}},	//   _meha_, éole_, بیات_, _bhog_, 
   {{0x2d9e9f89,0x6e2941da,0x29010364,0x2fc600a3}},	//   ente_, tteb, _leha_, _chog_, 
   {{0xee365aca,0x799537b5,0x64480183,0x2fc601e5}},	//   ены_, kizw, _ádir, _dhog_, 
   {{0x290107d7,0x316c00ab,0xdb06014b,0xe8de01a4}},	//   _neha_, _godz_, doká, _मलेच, 
   {{0x6e29b9e2,0x236d00ef,0x00000000,0x00000000}},	//   steb, _koej_, --, --, 
   {{0x2b4900b9,0xdb06b9e3,0xdb0f00f6,0x00000000}},	//   _caac_, foká, nocè, --, 
   {{0x29010149,0xf99f01e5,0x00000000,0x00000000}},	//   _beha_, rsèn_, --, --, 
   {{0x7995039d,0xdca56bd0,0x2901b9e4,0x551e3355}},	//   gizw, _пали, _ceha_, _पाइए_, 
   {{0x18a335c2,0x29014ee2,0x2b490036,0x98a30176}},	//   гарм, _deha_, _faac_, гире, 
   {{0x6616155b,0x61330384,0xf743919e,0x00000000}},	//   tryk, lılı, лесо, --, 
   {{0xdb0d0183,0x799502b8,0x7dec00c7,0x98b100b3}},	// [bda0] _ghañ, bizw, ַקאַ, teză_, 
   {{0x61330540,0x6616b9e5,0xfaff0034,0x61e0b9e6}},	//   nılı, rryk, njën_, _ruml, 
   {{0x61e0b9e7,0x69ce0502,0x00000000,0x00000000}},	//   _suml, mmbe, --, --, 
   {{0x237f002e,0x25fb0394,0x02060cf8,0x201c0548}},	//   _cluj_, _लौकी_, ездн, vuvi_, 
   {{0x6133008f,0x2d9eb9e8,0xcb130225,0x00000000}},	//   kılı, ynte_, רלד_, --, 
   {{0x602a06d0,0x201cb9e9,0x00000000,0x00000000}},	//   _həmi, tuvi_, --, --, 
   {{0x2d9e01e8,0x69ceb9ea,0x613300ad,0x35a3074f}},	//   vnte_, imbe, dılı, _сарг, 
   {{0x2fc6006d,0x79958331,0x7bde0107,0x201c00a3}},	//   _qhog_, zizw, _épui, ruvi_, 
   {{0x79950199,0x929d0035,0x656e00a1,0x00000000}},	//   yizw, _pełe, _kobh, --, 
   {{0x7c86005e,0x4438009a,0xdb060483,0x2d9e5202}},	//   еуме, _kpr_, voká, unte_, 
   {{0x4438011c,0x2cb834f9,0x2901b9eb,0x2d9e0380}},	//   _jpr_, ærd_, _reha_, rnte_, 
   {{0x1e86192f,0x443808a1,0x2901b9ec,0x656e1bf0}},	//   _плем, _mpr_, _seha_, _lobh, 
   {{0xdb0f0bf1,0x29010640,0x79956add,0xa90a040c}},	//   nocé, _peha_, tizw, _alоq, 
   {{0x613303c0,0x6f02b9ed,0x656e01fd,0xdd940259}},	//   cılı, _heoc, _nobh, _шалы, 
   {{0xd8380528,0x79950579,0x6d4a023a,0xd877029a}},	//   нэт_, rizw, _iafa, راسب, 
   {{0x6d4ab9ee,0x2901078a,0x602a06d0,0x7995b9ef}},	//   _hafa, _weha_, _cəmi, sizw, 
   {{0x29010077,0xc8f50141,0x6d4ab9f0,0x4438b9f1}},	// [bdb0] _teha_, _изпъ, _kafa, _apr_, 
   {{0x443802cd,0x656e0a75,0x491b031e,0x200c0242}},	//   _bpr_, _cobh, _बाटो_, _ovdi_, 
   {{0x6d4ab9f2,0x7646b9f3,0x656eb9f4,0x3cfb0147}},	//   _mafa, _esky, _dobh, פלאנ, 
   {{0x61330824,0x6d4ab9f5,0x4438424e,0x645a00ca}},	//   zılı, _lafa, _dpr_, _štic, 
   {{0x613307fa,0x3245013e,0x7aed0610,0x656e0534}},	//   yılı, телг, _mfat, _fobh, 
   {{0x6d4a8e52,0x3d1c2360,0x613306d0,0x4438024d}},	//   _nafa, _मागे_, xılı, _fpr_, 
   {{0x6f02007a,0x7aedb9f6,0xa1560267,0xccf802d9}},	//   _beoc, _ofat, тају_, dbě_, 
   {{0x645500c3,0x7aed016c,0x6f020354,0x00000000}},	//   _irzi, _nfat, _ceoc, --, 
   {{0x0ea902fb,0x6f02b9f7,0x6133213d,0x6d4ab9f8}},	//   ький_, _deoc, tılı, _bafa, 
   {{0x7aedb9f9,0x6d4a1d7a,0x645ab9fa,0x673f024a}},	//   _afat, _cafa, _átic, heqj, 
   {{0x61330824,0xdca5b9fb,0x6d4ab9fc,0x51840009}},	//   rılı, тани, _dafa, _сута, 
   {{0x64550062,0x1eea006b,0x753e01f1,0x7ff40038}},	//   _mrzi, _قومی_, zepz, _إسلا, 
   {{0x6d4ab9fd,0x613305b7,0x4a430093,0xa6db01d5}},	//   _fafa, pılı, аняв, _faði, 
   {{0x6d4ab9fe,0x7aed00a9,0x69ceb9ff,0xfce2ba00}},	//   _gafa, _efat, umbe, _кошо, 
   {{0xbbe800eb,0x7aed00f8,0x2d8502d9,0x656e1bf0}},	//   _كريم_, _ffat, mhle_, _robh, 
   {{0x6d4aba01,0x6d210262,0x7d03ba02,0x6f020068}},	//   _zafa, _माँग_, _hens, _xeoc, 
   {{0x7d0302b8,0x4438ba03,0xc9aa00ce,0x6d4a23ea}},	// [bdc0] _kens, _spr_, _овие_, _yafa, 
   {{0x645502f5,0x7d03ba04,0x6d4a7d4d,0x2d8502d9}},	//   _brzi, _jens, _xafa, nhle_, 
   {{0x7d0382ed,0x602a06d0,0x00000000,0x00000000}},	//   _mens, _təmi, --, --, 
   {{0x59bc000d,0x645512e2,0x66e6ba05,0xe29a41f5}},	//   ोगकर, _drzi, _шома, мае_, 
   {{0x6d2105fd,0x6455ba06,0x81cb0086,0x6b9d0d57}},	//   _मांग_, _erzi, রআন_, érgi, 
   {{0x25fb00c9,0x7d03ba07,0x84030097,0x09df0033}},	//   _लौटी_, _nens, žđar, বীকা, 
   {{0x5f94ba08,0x2bdd0466,0xccf802d9,0x66e601a4}},	//   ликт, _नंगा, vbě_, _कलाक_, 
   {{0x6724ba09,0x64a3328c,0x6d4aba0a,0x27fe0032}},	//   ngij, _таса, _safa, átny_, 
   {{0x7d03ba0b,0x63a20626,0x324302f1,0xa3c700b0}},	//   _bens, mnon, _кетг, _उठत_, 
   {{0x7aed002e,0x6d4aba0c,0x444410d4,0xe7e50035}},	//   _sfat, _qafa, ow_, कदमा_, 
   {{0x351b00c7,0xfe6f11b7,0x251b008d,0x63a2ba0d}},	//   ווינ, مدی_, וויא, onon, 
   {{0x6d4a3469,0x444453e5,0x76442847,0x7d03ba0e}},	//   _wafa, iw_, kwiy, _eens, 
   {{0x6d4aba0f,0x7d0301c4,0x2d8501f5,0x00000000}},	//   _tafa, _fens, bhle_, --, 
   {{0xf2d307f5,0x2d85037f,0x7d03ba10,0x6e20b7aa}},	//   יער_, chle_, _gens, mumb, 
   {{0x6fc51cf0,0x29cf00c3,0x63a25132,0x6e205831}},	//   lóca, _bżar_, knon, lumb, 
   {{0x7d08ba11,0x7aedba12,0x444400f8,0x63a2011c}},	//   lads, _ufat, dw_, jnon, 
   {{0x6e20ba13,0x4444ba14,0x67d42ee5,0x645500ca}},	// [bdd0] numb, ew_, роту, _srzi, 
   {{0x7d0803a8,0x2713001b,0x04f41ca5,0x645a0032}},	//   nads, ện_, изую, _štia, 
   {{0x6e200705,0x98ba00bc,0x8319010e,0x00000000}},	//   humb, _mapě_, فقار_, --, 
   {{0x6e20ba15,0x3d1c02f8,0x671d190a,0x63a2ba16}},	//   kumb, _माझे_, _फाटक_, gnon, 
   {{0x6e20ba17,0x471a00a7,0x602a00ad,0x768700b3}},	//   jumb, _אורג, _məmu, _рынж, 
   {{0x644717c6,0x6e20ba18,0xa0a514b8,0x660dba19}},	//   _tsji, dumb, лалд, msak, 
   {{0x7d03857e,0x80ad0086,0x645500b3,0x660d6eb5}},	//   _rens, য়েন্, _urzi, lsak, 
   {{0x2f54030f,0x3ea022d4,0x6e206f0c,0xa3c700b0}},	//   атьс, _žita_, fumb, _उठि_, 
   {{0x4421002c,0x6e20ba1a,0xd20311ec,0x00000000}},	//   luh_, gumb, _түлк, --, 
   {{0x4d65ba1b,0xbc193756,0x660d6d71,0xfd11007a}},	//   уков, німі_, isak, حجة_, 
   {{0x44211237,0x7d0301c3,0xa3c7000f,0xeb9a91c4}},	//   nuh_, _vens, _उठा_, еин_, 
   {{0x660dba1c,0x7d0317ab,0x4fa400dd,0x6e2001eb}},	//   ksak, _wens, _києв, bumb, 
   {{0x2d8b026d,0x4421ba1d,0xed4e8999,0x7d08010e}},	//   èces_, huh_, _ло_, bads, 
   {{0x660dba1e,0x09e31289,0xfe9a0070,0x0d8403bd}},	//   dsak, сорн, _אינמ, _клін, 
   {{0x6d41ba1f,0x44212129,0xa6db010d,0xe73aba20}},	//   mela, juh_, _maðu, нев_, 
   {{0x6d41ba21,0x4421079c,0x8a9600c5,0x67240028}},	//   lela, duh_, _مشخص, ugij, 
   {{0x6724ba22,0x660d9c07,0xa7a7ba23,0x6b8441be}},	// [bde0] rgij, gsak, укта_, _ilig, 
   {{0x6d41ba24,0x8506155a,0x76440027,0x00000000}},	//   nela, اوان, rwiy, --, 
   {{0x4444290d,0x442115da,0x660d0ab1,0x290aba25}},	//   uw_, guh_, asak, maba_, 
   {{0x6d41ba26,0x290aba27,0x6e20ba28,0x44440e0a}},	//   hela, laba_, yumb, rw_, 
   {{0x63a2ba29,0x69deba2a,0x6b84009c,0x7c210502}},	//   rnon, _kipe, _mlig, hulr, 
   {{0x442103f6,0x290aba2b,0x6b8400d3,0x6e20aaa8}},	//   buh_, naba_, _llig, vumb, 
   {{0x6d41ba2c,0x442102f6,0x69de00a9,0x6e200f53}},	//   dela, cuh_, _mipe, wumb, 
   {{0x290aba2d,0x69de6fd3,0xa85700a7,0x1e140e65}},	//   haba_, _lipe, ריקה_, амия, 
   {{0x6d41ba2e,0x290a171d,0x7d08098d,0x25760bf7}},	//   fela, kaba_, tads, _fælt_, 
   {{0x01d757c8,0x3d9422f3,0x290aba2f,0x26190262}},	//   _موقع_, риор, jaba_, यूटी_, 
   {{0x290a2021,0x6e2060d9,0x7d082265,0x660d74f7}},	//   daba_, sumb, rads, zsak, 
   {{0x7d080267,0xdee602c0,0x660dba30,0x6e20ba31}},	//   sads, _соди, ysak, pumb, 
   {{0x69de0218,0x6b8401c5,0x442100ef,0x290aba32}},	//   _bipe, _dlig, zuh_, faba_, 
   {{0x2905057f,0x6b84ba33,0x69de02f5,0x290a3334}},	//   úla_, _elig, _cipe, gaba_, 
   {{0x4cd20086,0x645a0242,0x6b8492b4,0xab5b0380}},	//   _দ্রু, _štin, _flig, glüc, 
   {{0x660d05f0,0x6b840304,0x4c130816,0x602a00ad}},	//   tsak, _glig, _ابوس, _həms, 
   {{0x290aba34,0xdb0fba35,0x442169e0,0x98a503c0}},	// [bdf0] baba_, nocí, wuh_, ılı_, 
   {{0x290a0952,0x7afd02f2,0x628b0352,0x201c00ca}},	//   caba_, lbst, vzgo, krvi_, 
   {{0x7bcdba36,0x660dba37,0xf8b907d5,0x442102c1}},	//   _khau, ssak, _इडिय, uuh_, 
   {{0x6d41ba38,0x69deba39,0x660dba3a,0x527500b3}},	//   zela, _zipe, psak, иулу, 
   {{0x7bdf00d3,0x91051ff8,0x6f090068,0x201c0036}},	//   _miqu, апле, vaec, ervi_, 
   {{0x6d410ff9,0x4421844f,0x6edb00e0,0x7bdf84ec}},	//   xela, puh_, _jābū, _liqu, 
   {{0xddcb012d,0x98b800b3,0x00000000,0x00000000}},	//   žiūr, meră_, --, --, 
   {{0xee3900ba,0x7fd5005e,0x290aba3b,0x68fc090e}},	//   вни_, шілі, zaba_, zbrd, 
   {{0x6d41ba3c,0x0d85ba3d,0x63bbba3e,0x5238024f}},	//   tela, илин, _ikun, _مسلح_, 
   {{0x290a2cfc,0x6b96ba3f,0x6b84227b,0x7afd0502}},	//   xaba_, _smyg, _slig, ebst, 
   {{0x30a7078c,0x6aad010c,0x69deba40,0x63a902fb}},	//   _срав, _axaf, _ripe, _kjen, 
   {{0x7bcdba41,0xeb9aba42,0x6d41ba43,0x63bb0405}},	//   _chau, тим_, sela, _jkun, 
   {{0x290a0415,0x63a9ba44,0x7bcdba45,0x7bdf033c}},	//   taba_, _mjen, _dhau, _diqu, 
   {{0x7bdf0042,0x63a90372,0x63bb012b,0xb60700c3}},	//   _eiqu, _ljen, _lkun, _miġġ, 
   {{0x63bbba46,0x290aba47,0x7bdfba48,0x98b800b3}},	//   _okun, raba_, _fiqu, deră_, 
   {{0x290a2538,0x63bbba49,0x59b4031e,0xa7a705b2}},	//   saba_, _nkun, ंकहर, акса_, 
   {{0x7ae4099d,0x290aba4a,0xaa4609e7,0x69deba4b}},	// [be00] _igit, paba_, _тепл, _tipe, 
   {{0x929d00ab,0x63bb9c14,0x63a9ba4c,0x7bdf488c}},	//   _pełn, _akun, _ajen, _épur, 
   {{0x799c23cb,0x7ae40026,0x99860499,0x00000000}},	//   mirw, _kgit, _ملکو, --, 
   {{0x63a9027c,0x7bdf03a1,0x799c0298,0x5c360070}},	//   _cjen, _xiqu, lirw, ירען_, 
   {{0x42540038,0x98b800b3,0x7ae4011c,0xf20300fd}},	//   إنتر, beră_, _mgit, оящо, 
   {{0x63a901cc,0x799c3b4a,0x63bb01b8,0xdb0f0183}},	//   _ejen, nirw, _ekun, vocí, 
   {{0x64a36d52,0x506600cf,0xd4672131,0x63a902c9}},	//   _дара, ртла, _кире_, _fjen, 
   {{0x63a97250,0x7ae4ba4d,0x799c0199,0x394301dd}},	//   _gjen, _ngit, hirw, zejs_, 
   {{0x7bcd0201,0x799c01eb,0x00000000,0x00000000}},	//   _rhau, kirw, --, --, 
   {{0x7bdf1874,0x7bcdba4e,0x201c0a88,0x63a90372}},	//   _siqu, _shau, prvi_, _zjen, 
   {{0xdeef2c1b,0xfe1806c9,0x409687f3,0x7ae40870}},	//   _мы_, _दिवस_, _трат, _bgit, 
   {{0x7bcd0201,0x63a9003d,0xddc20216,0x81cb0033}},	//   _qhau, _xjen, _froş, _রূপ_, 
   {{0xc33300a7,0x7bdf00d3,0x79850201,0x602a0095}},	//   חור_, _viqu, _plhw, _təms, 
   {{0x7ae40414,0x799c01eb,0xcbe600b3,0x7bdf00b9}},	//   _egit, girw, _кции, _wiqu, 
   {{0x7bcd0e0c,0x7bdf9434,0x37070f9c,0xa3c700b0}},	//   _thau, _tiqu, ичав, _उठल_, 
   {{0x386d2e7d,0xd7f80e65,0xb8cf00c9,0x7bcd019c}},	//   ćer_, рур_, _कश_, _uhau, 
   {{0x6b87040f,0xfaff024a,0x799c23cb,0x79850415}},	// [be10] _مشکل, mbë_, birw, _tlhw, 
   {{0x63a9090e,0x6b9d02dc,0xe5c45dc9,0x799c0610}},	//   _sjen, lisg, осхо, cirw, 
   {{0x63a90704,0xaab813b4,0x0467ba4f,0x7a3d02ae}},	//   _pjen, _مدیر_, штам, _fåtö, 
   {{0x95c9004e,0xdce300ca,0x6b9dba50,0x98b800b3}},	//   туға_, _tonć, nisg, seră_, 
   {{0x63a9ba51,0x4ec10086,0x98b800b3,0x926b0093}},	//   _vjen, _উল্ল, peră_, ържа_, 
   {{0x61457c4f,0x3f860180,0x6b9d0495,0x00000000}},	//   сека, _alou_, hisg, --, 
   {{0x63a9ba52,0x3f860876,0x99890604,0x1b1f0033}},	//   _tjen, _blou_, _opaž_, য্যে_, 
   {{0x63bbb453,0x63a90010,0x3f86ba53,0x1f6522b9}},	//   _ukun, _ujen, _clou_, ским, 
   {{0x799c0199,0x332d001d,0x98b86a39,0xdb04040b}},	//   yirw, _icex_, merą_, _sjiï, 
   {{0x51740084,0x417419c7,0x3ea500cf,0xa3cb190a}},	//   _والأ, _والس, _қилг, _रीत_, 
   {{0x3b0a601b,0x61e9ba54,0x65750ab4,0xe7c70586}},	//   лено_, _huel, _mozh, लताप, 
   {{0x61e90010,0x5185004e,0x80d00086,0x3fc900d4}},	//   _kuel, _туға, _স্ক্, _صدای_, 
   {{0xeb97ba55,0x61e1ba56,0x799c0c25,0xa2cb009a}},	//   сия_, _kill, tirw, तेच्, 
   {{0x645a0fd3,0x61e18437,0x60c100c8,0xad5800fd}},	//   _štim, _jill, _kylm, _връх_, 
   {{0x63b90da6,0xdca21fde,0x61e1107d,0x7dc6010d}},	//   kown, _наши, _mill, iðsl, 
   {{0x61e11950,0x799c1fee,0x9f45079c,0x7ae4007c}},	//   _lill, sirw, _bulé_, _ugit, 
   {{0x06ca011f,0x63b9ba57,0x9f45318d,0x61e901ca}},	// [be20] угай_, down, _culé_, _nuel, 
   {{0xd9100399,0xd46aba58,0x46a60176,0xab5b1305}},	//   _زیر_, лизе_, _ҳамв, nlün, 
   {{0xdb0fba59,0x224d0118,0xdce10009,0x74130038}},	//   locá, _asek_, rklė, كولا, 
   {{0x61e1ba5a,0x61e9ba5b,0x96ba03a1,0x00000000}},	//   _aill, _buel, _бугу_, --, 
   {{0x61e1ba5c,0x61e90bf1,0x2005008a,0xd9fa0c73}},	//   _bill, _cuel, _awli_, ्ठित_, 
   {{0x61e90414,0x61e1ba5d,0x3c31014b,0x20050090}},	//   _duel, _cill, káv_, _bwli_, 
   {{0x61e1ba5e,0x01330084,0xdfd00133,0x4433155e}},	//   _dill, سعود, ويت_, ctx_, 
   {{0x63b900ab,0x644eba5f,0x645c3a77,0xadf4019c}},	//   cown, _isbi, _irri, опиш, 
   {{0x61e1ba60,0x3f860054,0x00000000,0x00000000}},	//   _fill, _vlou_, --, --, 
   {{0x61e1ba61,0x61ef026a,0x644e00ef,0xf99f06df}},	//   _gill, _écla, _ksbi, nsèt_, 
   {{0xb5fb0b85,0x61e90a9f,0x3f86084c,0xe0850038}},	//   _gráf, _zuel, _tlou_, _وجمي, 
   {{0x60db00c7,0x255f0243,0x61e1ba62,0x2d870106}},	//   _עקאנ, _zālē_, _zill, _elne_, 
   {{0x61e100cf,0x6b9d0465,0xfaff0034,0x753c0083}},	//   _yill, risg, rbë_, _obrz, 
   {{0x645c02ba,0x61e101ff,0x644e0bfc,0xe81d07d5}},	//   _orri, _xill, _osbi, _फिदा_, 
   {{0x657508d7,0x644e02fe,0x37ab4c02,0x9f450096}},	//   _rozh, _nsbi, гтан_, _sulé_, 
   {{0x2d9eba63,0x7d0a003e,0x0a6b11d2,0xc6f95754}},	//   lite_, _hefs, _брои_, рнах_, 
   {{0x645cba64,0x55750ab5,0xdb0f0183,0xe81d0790}},	// [be30] _arri, огат, cocá, बूजा_, 
   {{0x994d0009,0xdb1d007a,0x61e910cc,0xe4cb009c}},	//   ržų_, ilsí, _ruel, هبان_, 
   {{0x61e915c4,0x58d54836,0x644e0054,0x63b9ba65}},	//   _suel, _фонт, _csbi, town, 
   {{0x61e1ba66,0x2d9eba67,0x61e90026,0xf77f010c}},	//   _sill, hite_, _puel, _biçe_, 
   {{0x2d9e0904,0x61e919a9,0x645c165c,0x63b900ab}},	//   kite_, _quel, _erri, rown, 
   {{0x61e96784,0x61e1ba68,0x2d9e06e0,0xf77f0218}},	//   _vuel, _qill, jite_, _diçe_, 
   {{0x442503c6,0x395300f4,0x7dc60a6d,0x947500d4}},	//   _êl_, _maxs_, rðsl, _بگذا, 
   {{0x5334b627,0x61e155ed,0x224d0f3a,0x61e9a66b}},	//   _нест, _will, _tsek_, _tuel, 
   {{0x61e1ba69,0x2d9e099d,0x6609009e,0xb5fb010e}},	//   _till, fite_, _çekd, _drág, 
   {{0x2d9e00ce,0x161e000f,0xb5fb0b85,0x61e1ba6a}},	//   gite_, यूटर_, _tráf, _uill, 
   {{0x5baa078f,0xd16403ea,0xb5fbba6b,0x2ef5ba6c}},	//   иком_, _эъти, _frág, _дзер, 
   {{0x3c31026e,0xb5fb014b,0x2c5700b3,0xdb96004f}},	//   ráv_, _krád, _văd_, ішнь, 
   {{0x2d9eba6d,0xab5b0ef3,0x34c60179,0x39530104}},	//   bite_, mlül, _वर्द, _baxs_, 
   {{0x80d00086,0x3f8d0165,0xdb0f033c,0xa88a1bf7}},	//   _স্ট্, lheu_, rocá, айга_, 
   {{0x765d00e5,0x00000000,0x00000000,0x00000000}},	//   _arsy, --, --, --, 
   {{0xfbc30093,0x00000000,0x00000000,0x00000000}},	//   _общо, --, --, --, 
   {{0xb6a6ba6e,0xd62a536f,0x6f0b010e,0x07a3ba6f}},	// [be40] циал, розе_, _megc, фатн, 
   {{0x644e02fe,0x26c20009,0x7bc6ba70,0x845a03a1}},	//   _psbi, _vyko_, llku, ирет_, 
   {{0x2db600c7,0xe73a08a5,0x186aba71,0x00000000}},	//   קלען_, _кен_, _тани_, --, 
   {{0xd62a02a6,0x89360019,0x6f0b0574,0xdce10243}},	//   _коме_, _اٹھا, _negc, eklī, 
   {{0xdce302d9,0x3f8d0034,0xbb3b0070,0x3636009c}},	//   _poně, dheu_, שעני, _برجس, 
   {{0x753c00f1,0xd01a2f7c,0x201a02aa,0x645c0027}},	//   _ubrz, афи_, ápio_, _trri, 
   {{0xcc240086,0x645c0a9f,0x4421016a,0x7d0a3841}},	//   _বন্ধ_, _urri, crh_, _refs, 
   {{0x2d9eba72,0xfc46037f,0x93fb02a1,0x7d0a0026}},	//   wite_, šíku_, _כללי, _sefs, 
   {{0xe29a00ce,0x7d180369,0x21a65804,0xdcfa00bc}},	//   _таа_, _pdvs, _диам, chtě, 
   {{0x66090908,0x7bc60f41,0x76050216,0x00000000}},	//   _çeke, elku, lîzî, --, 
   {{0x7d0a008c,0x80a6009c,0xb5fb00d8,0x00000000}},	//   _vefs, _بمان, _zrád, --, 
   {{0x3f8d044d,0x291a0027,0xb5fb01d5,0x00000000}},	//   cheu_, _adpa_, _hráe, --, 
   {{0x7fd70138,0x7d0a4719,0x67d503dc,0x39530183}},	//   _וואס_, _tefs, ҷову, _paxs_, 
   {{0x27fa02cd,0x15f102e6,0x28b61202,0x6fea0083}},	//   _btpn_, _अंबर_, _आँखि, _pęch, 
   {{0x67d50eba,0x7af603c6,0x00000000,0x00000000}},	//   зову, _ffyt, --, --, 
   {{0x49170351,0x7c28290c,0x442105a8,0x765d012b}},	//   _भएको_, mudr, vrh_, _prsy, 
   {{0x3f840110,0x7c280096,0x33550161,0xd6db0eba}},	// [be50] ikmu_, ludr, үүгө_, ртв_, 
   {{0x6d48ba73,0x4421ba74,0x383539f7,0x45d4ba75}},	//   neda, trh_, _енор, доус, 
   {{0x2911ba76,0xd5b80965,0x2903ba77,0xab5bba78}},	//   maza_, ісу_, mbja_, hlüm, 
   {{0x29110489,0x69c7ba79,0x6d48007e,0xb5fb05a8}},	//   laza_, llje, heda, _prád, 
   {{0x6d48ba7a,0x291a0065,0x0204012d,0xd179012d}},	//   keda, _ydpa_, дзін, йскі_, 
   {{0x6d4803ef,0x88df00cc,0x29117afb,0x764d53a9}},	//   jeda, _ব্যক, naza_, mway, 
   {{0x764dba7b,0x6d48ba7c,0x3f8d0149,0xd3a70012}},	//   lway, deda, theu_, _драп, 
   {{0x2911ba7d,0x6235ba7e,0xb5fb00eb,0x69c700ef}},	//   haza_, _небу, _trád, hlje, 
   {{0x29114227,0x764d802c,0x60b50019,0x6d48040c}},	//   kaza_, nway, _کمائ, feda, 
   {{0x61fbba7f,0x69c703e5,0x2911ba80,0x7e640397}},	//   _itul, jlje, jaza_, _šipc, 
   {{0xed590200,0x69c70372,0x764d2e9e,0x02ef00b0}},	//   _ҳол_, dlje, hway, _छलाह_, 
   {{0x291100d9,0x764dba81,0x09b402e6,0x09b6296e}},	//   eaza_, kway, ंक्य, ृत्य, 
   {{0x2911942c,0x69c700ef,0x69cd00b0,0x63ab2619}},	//   faza_, flje, _दीही, ingn, 
   {{0x6e290033,0x2911ba82,0x290c18f8,0x764d044d}},	//   mueb, gaza_, úda_, dway, 
   {{0xfaff0034,0x7c284b64,0x00000000,0x00000000}},	//   gjës_, cudr, --, --, 
   {{0x61fb5bff,0xe81d0a34,0x46ea02f1,0xa3cb00a5}},	//   _otul, _फिरा_, сдан_, _रील_, 
   {{0x69c71af7,0x6fc503b7,0x29110c11,0x29034785}},	// [be60] blje, góci, baza_, bbja_, 
   {{0x2a60ba83,0xe617635f,0x69c700ef,0x63ab02a2}},	//   _irib_, яду_, clje, engn, 
   {{0x981606ab,0x61fb343f,0xc8c007d5,0x2a602e6b}},	//   _عبدا, _atul, _एडिट, _hrib_, 
   {{0x225f00fc,0x764d0547,0x232a0258,0x6d480083}},	//   _bruk_, bway, соди_, zeda, 
   {{0x6d48ba84,0x11542b68,0x225f0175,0x6fc52953}},	//   yeda, дклю, _cruk_, cóci, 
   {{0x225f09a2,0xb5fb008c,0x7dc6003e,0x15f10c35}},	//   _druk_, _fráb, rðsk, _अंतर_, 
   {{0x6d48ba85,0x0443ba86,0x61fb57fb,0x7f490065}},	//   veda, _перн, _etul, feeq, 
   {{0x6d480216,0x2911ba87,0x7c28ba88,0x645b0035}},	//   weda, zaza_, vudr, śció, 
   {{0x6d48ba89,0x29110771,0xb5fb001d,0x661600fc}},	//   teda, yaza_, _tráe, nsyk, 
   {{0x63a2ba8a,0xb5fb0098,0x6d480326,0xb81d00c9}},	//   lion, _hrác, ueda, _फिलम_, 
   {{0xfe6f1fdb,0xdb06026e,0xab5b027e,0x764d0f77}},	//   ندی_, soký, slüm, zway, 
   {{0x63a2ba8b,0x291105c9,0x799e0118,0x6616ba8c}},	//   nion, waza_, _ampw, ksyk, 
   {{0x6d48ba8d,0x6282976b,0x291137d8,0xf77f00f6}},	//   peda, nyoo, taza_, _niça_, 
   {{0x63a2ba8e,0x6d48510a,0x2a600118,0x2d9c019b}},	//   hion, qeda, _drib_, _umve_, 
   {{0x2911ba8f,0x63a2ba90,0xb5fb118d,0x2903ba91}},	//   raza_, kion, _orác, rbja_, 
   {{0x69c722ad,0x15f105fd,0x764dba92,0xf7730491}},	//   slje, _अंदर_, tway, راز_, 
   {{0x63a202a2,0x2911ba93,0x6b8d0c36,0xab5b0095}},	// [be70] dion, paza_, _ilag, hlük, 
   {{0xb5fb001d,0x26c701dd,0x6fc50035,0x764d28ff}},	//   _arác, āno_, róci, rway, 
   {{0x6b8d01c3,0x80c20086,0x61fbba94,0x764dba95}},	//   _klag, ষেত্, _stul, sway, 
   {{0xf65f055f,0x4905031e,0x225f0096,0xd6da0176}},	//   _træ_, वरको_, _pruk_, стӣ_, 
   {{0x2d850035,0xb5fb0126,0xa2291003,0x00000000}},	//   ykle_, _drác, іжка_, --, 
   {{0x6b8d089f,0x61420028,0xa0690f67,0xab5b0241}},	//   _llag, веша, жака_, rmüy, 
   {{0x63a200ab,0x645a1993,0x6b8dba96,0x506700a3}},	//   bion, _štiv, _olag, ятда, 
   {{0x225fba97,0xdee502f1,0x7e64090e,0x61fb01b8}},	//   _truk_, мойи, _šipa, _ttul, 
   {{0xe3b0017a,0x61fbba98,0x00000000,0x00000000}},	//   _صرف_, _utul, --, --, 
   {{0x6b8dba99,0x6e2908f4,0xac850278,0x4c8537eb}},	//   _alag, rueb, дгол, длов, 
   {{0x1b4a183d,0x00000000,0x00000000,0x00000000}},	//   озни_, --, --, --, 
   {{0xfaa60a43,0x6b8d00a1,0x15ed02e6,0x6e2961e6}},	//   дамо, _clag, जदार_, pueb, 
   {{0x6e2902df,0x2a60003d,0x00000000,0x00000000}},	//   queb, _qrib_, --, --, 
   {{0x63a2ba9a,0x57b600a2,0xa3d41c54,0x2d580a10}},	//   zion, ंव्ह, _सीन_, _ничь_, 
   {{0x6b8dba9b,0x394a6f41,0x00000000,0x00000000}},	//   _flag, rebs_, --, --, 
   {{0x63a21ff5,0x2905003e,0x2a60ba9c,0x2b4000b9}},	//   xion, ðlar_, _trib_, _ubic_, 
   {{0xe61a00c8,0x7bc4025b,0xab5b027e,0x9f4500b9}},	// [be80] юда_, _ikiu, zlük, _mulà_, 
   {{0x63a200ab,0x62820053,0x6616059b,0x6b8dba9d}},	//   wion, vyoo, rsyk, _zlag, 
   {{0x63a26aca,0xb5fb014b,0x66164989,0x69dc1096}},	//   tion, _prác, ssyk, mmre, 
   {{0x27f73077,0xe2ca9cce,0xab5b0248,0x00000000}},	//   žené_, олед_, vlük, --, 
   {{0xd0410095,0xb5fb00bc,0x6fc502aa,0x81c90033}},	//   _izlə, _vrác, nócu, োদন_, 
   {{0x62823b96,0x14b7009a,0x66091f57,0x00000000}},	//   ryoo, _अडचण, _çeka, --, 
   {{0x03a60e4e,0xb5fbba9e,0x63a200ab,0x7bc402a5}},	//   _живо, _trác, pion, _okiu, 
   {{0x657c0ab4,0xab5b0241,0x226902d9,0x00000000}},	//   _horh, rlük, átký_, --, 
   {{0x03a3ba9f,0x7ae90571,0x02c3baa0,0x657cbaa1}},	//   _рито, žetk, _айто, _korh, 
   {{0x6b8d416d,0xe1660195,0xe1232fe3,0x7bc40548}},	//   _slag, _تدري, _амфи, _akiu, 
   {{0x6b8d82a6,0xe046004f,0x3086b198,0x443a011c}},	//   _plag, _інди, _تلاف, ntp_, 
   {{0x0a6b1d65,0xa3c02030,0x764608b0,0x2a660144}},	//   орги_, ुति_, _opky, _šoba_, 
   {{0xed5a648c,0xfe72030e,0x6b8dbaa2,0x61e802f1}},	//   _мод_, _جدا_, _vlag, _kidl, 
   {{0x7dcf03a9,0x7bc402a5,0x657cbaa3,0x00000000}},	//   løsn, _ekiu, _norh, --, 
   {{0x61e8baa4,0x6d580379,0x07e7021d,0x6b8d24a3}},	//   _midl, _iava, дцам, _tlag, 
   {{0x7e620c17,0x6b8d02f5,0x6d5a0525,0xdb1d0175}},	//   _krop, _ulag, ldta, kosé, 
   {{0x6d58baa5,0x4ad30081,0x7aedbaa6,0x7bdd02ae}},	// [be90] _kava, _सरिव, _igat, mmsu, 
   {{0xca4800d4,0x6d5abaa7,0x36d400d9,0x7bdd03c5}},	//   _کلیه_, ndta, тоур, lmsu, 
   {{0x6d58baa8,0x7aed0149,0x69c507d7,0x3c38010e}},	//   _mava, _kgat, _ikhe, név_, 
   {{0x61e800a1,0xc797010e,0x00000000,0x00000000}},	//   _aidl, _کھڑا_, --, --, 
   {{0x657c1341,0x645a02f5,0x61e8003d,0x2169134b}},	//   _forh, _štit, _bidl, зили_, 
   {{0x6d58baa9,0xdb1d0219,0x2055516f,0x7f4203dd}},	//   _nava, llsä, етир, _aboq, 
   {{0x7aed0539,0x33950cfe,0x69c5baaa,0x00000000}},	//   _ogat, _завё, _mkhe, --, 
   {{0x7aedbaab,0xa4d402fb,0x99800083,0xef19baac}},	//   _ngat, _росі, _zwiń_, чми_, 
   {{0x6d58baad,0xe4e32569,0x0ea90eba,0x61e8baae}},	//   _bava, _कृति_, який_, _fidl, 
   {{0x6d58baaf,0x7aed1bc1,0x777d023b,0xc8fb02e6}},	//   _cava, _agat, _losx, ्रोम_, 
   {{0x6d58bab0,0xdc690176,0x3cc903a1,0x00000000}},	//   _dava, чанд_, ялоо_, --, 
   {{0x2d8e24c3,0x644701f2,0x6d5abab1,0x00000000}},	//   _elfe_, _mpji, adta, --, 
   {{0xbe87298e,0x6d5802a3,0x7c3a0036,0x3f8f2f26}},	//   _تجاو, _fava, attr, _ilgu_, 
   {{0xac8302c0,0x6d58bab2,0x7aedbab3,0xed5983a4}},	//   _аҳол, _gava, _egat, _хок_, 
   {{0x18673945,0xf7461ca5,0x6e3b4c67,0x6d43bab4}},	//   нари_, нево, ltub, _ibna, 
   {{0x6d58bab5,0x9f460093,0x7bc40053,0x69c50626}},	//   _zava, _cioè_, _ukiu, _ekhe, 
   {{0xcf9200c7,0x6e3bbab6,0x6d5840e2,0x3ea0003e}},	// [bea0] אטן_, ntub, _yava, _þitt_, 
   {{0x6d58bab7,0xd91000d7,0x00000000,0x00000000}},	//   _xava, _خیس_, --, --, 
   {{0x032618ec,0x657c02f2,0x399b00c7,0x98a63665}},	//   еден, _vorh, _זייד, _чине, 
   {{0xb5fb0019,0x61e8bab8,0x6e3bbab9,0x9f4905d5}},	//   _irán, _sidl, ktub, _òkès_, 
   {{0x71a6baba,0x657cbabb,0x27b300f0,0x0cac08c6}},	//   надз, _torh, _сәрс, _चश्म, 
   {{0x64a606b3,0x7e6402fe,0x395a0054,0x3f8fbabc}},	//   _зага, _šipo, _japs_, _algu_, 
   {{0x6d58babd,0xb0da0fcf,0x395a00d1,0xdce30243}},	//   _rava, येंग, _maps_, _monē, 
   {{0xdb1d026d,0x395a007e,0x6d5852a8,0x63a00102}},	//   posé, _laps_, _sava, _ummn, 
   {{0x6d58babe,0x61e805ce,0x6e3b02dc,0x7aed00a3}},	//   _pava, _tidl, gtub, _rgat, 
   {{0x40965041,0x721b042c,0x6d5800a3,0x7aed0465}},	//   _прет, _מומח, _qava, _sgat, 
   {{0x6fc54ae7,0x6d5805f0,0x0caa01a2,0x6e3bbabf}},	//   tóct, _vava, ятии_, atub, 
   {{0x60c4027e,0x6d582cb1,0x317e01ca,0xdb06010c}},	//   ğimd, _wava, _hotz_, likê, 
   {{0x6d58bac0,0x2fc60626,0xb5fb010e,0x588400f0}},	//   _tava, _ikog_, _arán, қыра, 
   {{0xf2d307f5,0xdee3bac1,0xa02402f2,0xb5fb0254}},	//   טער_, _сочи, _größ, _brán, 
   {{0xda1d04d7,0x8d5b00a7,0x6fc50634,0xb5fb61c2}},	//   _भटकत_, _זכוי, mócr, _crán, 
   {{0x0aeb003f,0x7aedbac2,0x317ebac3,0x36d5bac4}},	//   _عربي_, _ugat, _lotz_, вобр, 
   {{0x8aa40cfe,0x5694bac5,0x66040ae3,0x9f4602a3}},	// [beb0] _брэд, гатт, gpik, _cioé_, 
   {{0xfbdf0216,0x6455010e,0x57f5bac6,0x61ef201a}},	//   lmê_, _pszi, _ипот, _écli, 
   {{0xdcf802f5,0x26e200cc,0x645a02ee,0xb5fbbac7}},	//   _novč, গুলো_, _štir, _grán, 
   {{0xae2104bd,0x00000000,0x00000000,0x00000000}},	//   _मिलन_, --, --, --, 
   {{0xe1f8032e,0x6e3b256e,0xdb083230,0x2bb601dd}},	//   егі_, xtub, élék, nāca_, 
   {{0x61456ab8,0x25a5008c,0xa0a5bac8,0x00000000}},	//   тека, _öll_, калд, --, 
   {{0x2913bac9,0x94d426f1,0x1fb5169d,0xf77f3f9d}},	//   _mexa_, _борц, ксир, _koç_, 
   {{0xfe4503b7,0x6d8d0126,0x883c00d1,0xd00e007a}},	//   внио, _cúan, פתחו, آلي_, 
   {{0x236d0032,0xdb0f0034,0xf1d11ab1,0xdb06010c}},	//   _inej_, ancë, _көкө, bikê, 
   {{0x6e3b421c,0x2913016a,0x0d850f7d,0x39940380}},	//   rtub, _nexa_, тлон, _käse_, 
   {{0xab2a01a2,0x6e3bbaca,0x660401ca,0xdcf80118}},	//   мона_, stub, zpik, _govč, 
   {{0x395abacb,0x661d0372,0x6ff101dd,0xdb060034}},	//   _saps_, _ovsk, _nāci, mikë, 
   {{0xeb971770,0xed4ebacc,0x395a0379,0x2d990107}},	//   тия_, _ко_, _paps_, èses_, 
   {{0x2fcdbacd,0x237f0054,0x7d1cbace,0x41c100c9}},	//   lleg_, _louj_, órst, शकिस, 
   {{0x6f09026e,0x661d0164,0xa3c1252e,0xc7a62e07}},	//   obec, _avsk, ँवा_, вивк, 
   {{0x2fcdbacf,0x810d2414,0xeafa0499,0x6ce4004f}},	//   nleg_, हरुख_, _غربت_, _січе, 
   {{0xb8c91574,0xdb06009e,0x37e308ba,0x66092120}},	// [bec0] _खे_, yikê, ротг, _çekl, 
   {{0x6604009a,0xb5fb001b,0x6d41bad0,0x80a2007e}},	//   rpik, _trán, nfla, _कइले, 
   {{0x2918bad1,0x6604bad2,0x6e29bad3,0x74130195}},	//   mara_, spik, hreb, لولا, 
   {{0x2918bad4,0x69cebad5,0xb5fb031e,0xdcf80ab4}},	//   lara_, llbe, _král, _rovč, 
   {{0x27e0030f,0x2fcd00fc,0xdb06009e,0x6d41076b}},	//   mmin_, dleg_, tikê, kfla, 
   {{0x2918bad6,0xfbdf009e,0xf50300c8,0x86b3004e}},	//   nara_, zmê_, _взро, _тәсі, 
   {{0x656e004c,0xa2ce0262,0x6e29541f,0xe5a3bad7}},	//   _inbh, _तरक्, ereb, _тири, 
   {{0x27e0bad8,0x2fcd00fc,0x69ce1df5,0xb5fb2c26}},	//   nmin_, gleg_, hlbe, _orál, 
   {{0x6e290fd3,0x2918bad9,0x6d41bada,0x8e13012d}},	//   greb, kara_, ffla, адыц, 
   {{0x2918badb,0x27e0badc,0x6d411887,0x2bb60b03}},	//   jara_, hmin_, gfla, vāca_, 
   {{0x27e0badd,0x29130183,0x6f09bade,0x6fc5001d}},	//   kmin_, _rexa_, bbec, rócr, 
   {{0x291309a1,0x27e05c0a,0x6e2906a5,0xdddb045a}},	//   _sexa_, jmin_, breb, dzuŵ, 
   {{0x27e0badf,0x2918bae0,0x6fc52d3b,0xfbdf0218}},	//   dmin_, fara_, pócr, rmê_, 
   {{0x2918bae1,0x7dc6003e,0x6ff10243,0x00000000}},	//   gara_, rðss, _sāci, --, 
   {{0x35b502b9,0x28f815dd,0x291303da,0xdb1d1f6b}},	//   ҳбар, тесь_, _vexa_, losí, 
   {{0xe4e31933,0xb5fb04f4,0x3c77027a,0x656e0534}},	//   _कृषि_, _frál, _יתום_, _anbh, 
   {{0x645a0655,0x6ff100e0,0x95d9088a,0xdb1dbae2}},	// [bed0] _štip, _vāci, едат_, nosí, 
   {{0x2918023f,0x27e03337,0x6609027e,0x995514ce}},	//   cara_, amin_, _çekm, _скоц, 
   {{0x80a202f8,0x6ec9000d,0x95c80158,0x98b800d9}},	//   _केले, _हुनु, тута_, _алэт_, 
   {{0x9f81008c,0x2bc90083,0x92392540,0x27eb40cb}},	//   jóð_, रतटा, ечку_, _uicn_, 
   {{0x1308004f,0x6d41017c,0x201e0121,0x2fcd004f}},	//   тній_, yfla, _avti_, vleg_, 
   {{0x6e291a0a,0xdb0600e5,0xdb1d0019,0x20d501fc}},	//   vreb, tikë, dosí, лійс, 
   {{0x2fcdbae3,0x14c700d4,0x3206011d,0x349502a6}},	//   tleg_, _شهری_, apoy_, _савр, 
   {{0x6e295997,0x2918bae4,0xdb06024a,0x236d016a}},	//   treb, zara_, rikë, _unej_, 
   {{0x2918bae5,0x2fcd00fc,0xab5b01c4,0xfde935c2}},	//   yara_, rleg_, hlüs, ндик_, 
   {{0x6e29bae6,0x27e0bae7,0x2fcdbae8,0xdb0d003e}},	//   rreb, zmin_, sleg_, _skað, 
   {{0x2918364f,0x6d41bae9,0xb4b10035,0x5184baea}},	//   vara_, rfla, _ओशो_, _тута, 
   {{0x2918a45f,0xb5fb5369,0x6e29baeb,0xe81d00c9}},	//   wara_, _arám, preb, _फिजा_, 
   {{0x290503c0,0xdb1d0183,0x9d45a1a4,0x6d410380}},	//   ılan_, cosí, _белд, pfla, 
   {{0xed560c67,0x21f9009c,0xf1a60249,0xab5b0502}},	//   _бош_, _mèh_, कोपन, flüs, 
   {{0x2918baec,0xb5fbbaed,0xf99f0cd7,0xe61f02aa}},	//   rara_, _drám, nsèy_, _avô_, 
   {{0x2bbb37e7,0x7c3c03a1,0x3f8d02a2,0xb8dc0790}},	//   _उदया, àrre, nkeu_, _आख_, 
   {{0x7bc6baee,0xb5fb007a,0xf99f023e,0x49caa4e7}},	// [bee0] moku, _frám, mpèn_, _плин_, 
   {{0x1a9b0137,0x7bc6baef,0x29182af2,0xc885008f}},	//   _נייע, loku, qara_, _başı_, 
   {{0xef19006a,0x07a62916,0x0d160070,0x1d160070}},	//   każ_, _банн, רקעט_, רקער_, 
   {{0x4426baf0,0xef190035,0x4ad8009a,0x00000000}},	//   čo_, jaż_, _ठराव, --, 
   {{0xef1900ab,0x925801fc,0x69650499,0x067592f7}},	//   daż_, талт_, _صدیق, _куря, 
   {{0x9e0600a3,0xe5a601ff,0x00000000,0x00000000}},	//   қчил, _сиги, --, --, 
   {{0x7bc6baf1,0x443e1f57,0xdcf801dd,0xdd4101b8}},	//   koku, _ët_, _novā, _eŋŋi, 
   {{0x201e02a2,0x2d8300c8,0x083b0070,0x7dcf00fb}},	//   _vvti_, öjen_, געקל, løsh, 
   {{0x01360629,0x35d900a5,0xdb160237,0x8d863ae5}},	//   _معاد, _बीड़, _ijyè, гунд, 
   {{0xd65700a7,0x3b00178e,0x7e6d04cb,0xc88504be}},	//   ניית_, _afiq_, _šapc, _yaşı_, 
   {{0x3a200183,0x00000000,0x00000000,0x00000000}},	//   _avip_, --, --, --, 
   {{0x7bc60610,0x00000000,0x00000000,0x00000000}},	//   goku, --, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xdb061279,0x00000000,0x00000000,0x00000000}},	//   enkä, --, --, --, 
   {{0x7bc600ad,0x00000000,0x00000000,0x00000000}},	//   boku, --, --, --, 
   {{0x291e01d5,0x00000000,0x00000000,0x00000000}},	//   ótar_, --, --, --, 
   {{0xb5fb1056,0x00000000,0x00000000,0x00000000}},	// [bef0] _trám, --, --, --, 
   {{0x7d1a3c20,0x21f9023e,0xfaff021e,0x00000000}},	//   nats, _rèh_, lcë_, --, 
   {{0xd5b81248,0x32040065,0x54554c8a,0x69c7baf2}},	//   уст_, _atmy_, рвет, moje, 
   {{0x7d1abaf3,0xfaff00e5,0x2a69baf4,0x69c7baf5}},	//   hats, ncë_, _krab_, loje, 
   {{0x7d1abaf6,0x768700d9,0x2b490534,0x00000000}},	//   kats, _сынж, _mbac_, --, 
   {{0x7d1a1612,0x7bc60053,0xef1900ab,0xe1f0009c}},	//   jats, zoku, waż_, سسه_, 
   {{0x7bc6739b,0x7d1abaf7,0x9959253f,0x2b4903dd}},	//   yoku, dats, kážu_, _obac_, 
   {{0x82f800eb,0x443330d1,0xd34600d4,0x7205baf8}},	//   _مركز_, mux_, _نیمه_, _نورم, 
   {{0x3994022b,0x69c7baf9,0x7d1a0194,0x2a69006f}},	//   _läsa_, koje, fats, _nrab_, 
   {{0x7d1abafa,0x1c45bafb,0x2007008c,0x7bc601a3}},	//   gats, аном, ppni_, woku, 
   {{0x5f7400c5,0x69c7032f,0xeb9a2820,0x7bc6bafc}},	//   _گالر, doje, вин_, toku, 
   {{0x2b49017c,0xd0a899c0,0x00000000,0x00000000}},	//   _cbac_, _студ_, --, --, 
   {{0x7d1abafd,0x61ee027e,0xf2130033,0xf99f011c}},	//   bats, _ünlü, _সমুহ_, rpèn_, 
   {{0x69c70121,0x3a2002cd,0x63ab0036,0x7bc699b5}},	//   goje, _vvip_, hign, soku, 
   {{0x7bc6086d,0xa3d5143e,0x63ab012b,0xdb1d0fa8}},	//   poku, हता_, kign, ylsø, 
   {{0xcc3a00c7,0x4433007b,0x224d3e06,0x00000000}},	//   _סעפט, dux_, _opek_, --, 
   {{0x4433026a,0x24f60a10,0x46ea02f1,0x9f4c08b2}},	// [bf00] eux_, ачер, тдан_, _judá_, 
   {{0xf2130086,0xf5070a10,0x69c70126,0x6b840387}},	//   _সমূহ_, инул_, coje, _hoig, 
   {{0x7afb4551,0xdb04039f,0x00000000,0x00000000}},	//   žute, _amié, --, --, 
   {{0x232abafe,0x21250ab1,0x7d1abaff,0x05160086}},	//   тоди_, _adlh_, zats, ালের_, 
   {{0x443358c9,0x06e40086,0x7d1abb00,0x200501d5}},	//   aux_, _ফ্রি, yats, _atli_, 
   {{0xa50741aa,0x443301f2,0x6b960156,0x6b84bb01}},	//   _вера_, bux_, _llyg, _loig, 
   {{0x7d1a6a05,0x224da501,0x442c7e96,0xdb1d010e}},	//   vats, _epek_, _íd_, őzés, 
   {{0x7d1abb02,0x9f450183,0x63ab02a3,0x628b0156}},	//   wats, _zulú_, cign, bygo, 
   {{0xdb06010c,0xb3550019,0x69c7095a,0x539b029e}},	//   tikî, _دینا_, yoje, _סימו, 
   {{0xddc200ab,0x71ea0a24,0xbd6a1f93,0xb5fb253f}},	//   _społ, _شفاف_, трие_, _dráh, 
   {{0x7d1abb03,0x1b190088,0x6b8486b0,0x6f1b9139}},	//   rats, лжны_, _boig, bauc, 
   {{0x7d1abb04,0x6f1b0edb,0x7fd6004e,0x80bf072f}},	//   sats, cauc, _тізі, _लुटे, 
   {{0x6b84bb05,0x7d1abb06,0x69c70f3d,0x37cc0086}},	//   _doig, pats, toje, লগার, 
   {{0x66090c05,0x63ab14d9,0xe8270240,0xe3be0213}},	//   _çeki, zign, ифбо, ğıya_, 
   {{0x6b96105d,0x69c7bb07,0x628b00ab,0xf7730fce}},	//   _flyg, roje, zygo, يار_, 
   {{0x7d18009e,0x8aa7bb08,0x2a6900a4,0x6edd00bd}},	//   _hevs, _врод, _trab_, _परमु, 
   {{0x69c7bb09,0x63abbb0a,0x645c00d4,0x7bcd0ae3}},	// [bf10] poje, vign, _asri, _ikau, 
   {{0x443301f2,0x6ec900b0,0x557444f4,0x00000000}},	//   tux_, _हँसु, огут, --, 
   {{0x224dbb0b,0x63abbb0c,0x6b840369,0x53e70f67}},	//   _spek_, tign, _yoig, ацда, 
   {{0x4433bb0d,0x00000000,0x00000000,0x00000000}},	//   rux_, --, --, --, 
   {{0xd6db37c3,0x644e00ef,0x63abbb0e,0x6f1bbb0f}},	//   _што_, _epbi, rign, vauc, 
   {{0x7d180fb5,0x0eff02e6,0x628bbb10,0xee390148}},	//   _nevs, ईड्स_, rygo, ҳни_, 
   {{0x04950084,0x6e220379,0x63ab02a3,0x79850415}},	//   _الأح, _avob, pign, _mohw, 
   {{0x7bcd01c1,0x636815b9,0x28b800a7,0xee39bb11}},	//   _nkau, _круг_, יפוש_, гни_, 
   {{0x63a9bb12,0x0dc900cf,0x2294bb13,0x6f1bbb14}},	//   _imen, ллий_, _дитя, rauc, 
   {{0x7bcdbb15,0x6f1bbb16,0x6b84bb17,0x63bb0097}},	//   _akau, sauc, _soig, _hjun, 
   {{0x30a72989,0x6b84bb18,0x2005003d,0x34c50035}},	//   _трав, _poig, _utli_, _वडोद, 
   {{0x69de01ee,0xf98900fe,0x6e200065,0x8b960386}},	//   _shpe, _אר_, bsmb, сроч, 
   {{0xeab2006b,0x63a95a84,0x79850026,0x69c1014b}},	//   سٹس_, _mmen, _bohw, člen, 
   {{0x6f19055a,0x63bbbb19,0x4423bb1a,0x63a96a99}},	//   _hewc, _ljun, _ovj_, _lmen, 
   {{0xb900724e,0x63a9bb1b,0x442100e5,0x6c3507cb}},	//   _तर_, _omen, jsh_, _افعا, 
   {{0x07a31c8e,0xc7a33424,0x63bbbb1c,0x4bfa00d1}},	//   пасн, писк, _njun, _גלקס, 
   {{0x442301ff,0x75d669c5,0xa526bb1d,0x00000000}},	// [bf20] _avj_, ميرا, ймад, --, 
   {{0x63bbbb1e,0x63a9bb1f,0x649a1211,0x44210034}},	//   _ajun, _amen, лтер_, fsh_, 
   {{0x130a002e,0x291a86e6,0x63bb0664,0x00000000}},	//   гней_, _iepa_, _bjun, --, 
   {{0xe29abb20,0x63a9bb21,0x031a27b3,0x77940535}},	//   лае_, _cmen, اتات_, _بیرا, 
   {{0x291abb22,0x63bb8912,0x63a901f2,0x7e6d00ca}},	//   _kepa_, _djun, _dmen, _šapn, 
   {{0x55e31b02,0x63a9bb23,0x6f0201d8,0x39940228}},	//   _нояб, _emen, _sfoc, _mäso_, 
   {{0xdefa24dc,0x506602f1,0x6e221852,0xdef8004e}},	//   лып_, стла, _svob, қық_, 
   {{0x4444bb24,0x291a688a,0x7764bb25,0xb5fb00eb}},	//   mt_, _lepa_, ndix, _srái, 
   {{0xa3d505fd,0x7644bb26,0x877b0070,0x7d180121}},	//   हतर_, ntiy, ראפי, _pevs, 
   {{0x63a90039,0x7bcdbb27,0x7bdf00e5,0x444478aa}},	//   _zmen, _skau, _shqu, ot_, 
   {{0xe6d50c59,0x76441369,0x1cd80afc,0x40960f89}},	//   _दर्ज, htiy, рдны_, _урат, 
   {{0x44440656,0x291a0054,0x7644010c,0x7e6459e3}},	//   it_, _aepa_, ktiy, _šipu, 
   {{0x4444bb28,0xb5fbbb29,0x2aab02a6,0x00000000}},	//   ht_, _trái, утно_, --, 
   {{0x4444bb2a,0x398f00b0,0x442115ef,0x98b80028}},	//   kt_, _küsi_, ysh_, nerė_, 
   {{0x4444bb2b,0x291a7984,0x6f0d00d9,0xf8b9022c}},	//   jt_, _depa_, _încâ, рөп_, 
   {{0x7c8302f1,0x76449815,0xd7f816d2,0x061506ba}},	//   _хуше, ftiy, сур_, ждаю, 
   {{0xa3cc0081,0x76442244,0x291a084c,0xaa59285f}},	// [bf30] रकन_, gtiy, _fepa_, _типу_, 
   {{0x44447eaf,0x63a9bb2c,0x63bb014e,0x4421bb2d}},	//   ft_, _smen, _sjun, tsh_, 
   {{0x444441d7,0x490f000d,0x442100ef,0x7dcf02c9}},	//   gt_, _त्यो_, ush_, møst, 
   {{0x291a0183,0x69d50380,0x7dcf1341,0x442145ab}},	//   _zepa_, llze, løst, rsh_, 
   {{0x4444a3bf,0x60c40384,0x4421bb2e,0x00000000}},	//   at_, şiml, ssh_, --, 
   {{0x2169bb2f,0x290300ab,0x4444bb30,0x291a019c}},	//   рики_, ncja_, bt_, _xepa_, 
   {{0x4444bb31,0x63bb0082,0xd00900f0,0xaf99072c}},	//   ct_, _tjun, шейе_, итих_, 
   {{0xdfd10084,0x63bbbb32,0x6445bb33,0x63a9bb34}},	//   بيع_, _ujun, mthi, _umen, 
   {{0x64450014,0x290300ab,0x660dbb35,0x3f8609c6}},	//   lthi, kcja_, npak, _doou_, 
   {{0x0c2506d4,0x225f005f,0x6445bb36,0x66091f57}},	//   омон, _isuk_, othi, _çeku, 
   {{0x6445bb37,0x7e640bad,0xb5fb0165,0x06ad0033}},	//   nthi, _šipt, _gráv, _কুমি, 
   {{0x61fb14ba,0x6445bb38,0x7e6b00ef,0x660dbb39}},	//   _kuul, ithi, _trgp, kpak, 
   {{0x291abb3a,0x61fb007e,0xb69b00d9,0x7644bb3b}},	//   _pepa_, _juul, _sfân, xtiy, 
   {{0xa96a00cf,0x225f0ab1,0x644500e5,0x44443fcd}},	//   шига_, _msuk_, kthi, yt_, 
   {{0xbc19004e,0x61fb1066,0x6fea0035,0x2d870108}},	//   _тілі_, _luul, _ręcz, _ione_, 
   {{0x444417f1,0x29030083,0x6b9d0502,0x76445606}},	//   vt_, acja_, chsg, ttiy, 
   {{0x660d1614,0x05aabb3c,0x4444422e,0x291aa91f}},	// [bf40] gpak, авай_, wt_, _tepa_, 
   {{0x4444bb3d,0x7644bb3e,0xd9100a24,0x224200b0}},	//   tt_, rtiy, _سیر_, _äkki_, 
   {{0x4444bb3f,0x3958bb40,0x7644bb41,0xe45a3e80}},	//   ut_, mers_, stiy, рже_, 
   {{0x395801c3,0xa3d4000f,0x61fbbb42,0xa34a00a3}},	//   lers_, _सीख_, _buul, рзда_, 
   {{0xdd1c00da,0x2a6000a4,0x64457170,0xdb0f019c}},	//   váži, _jsib_, athi, ficê, 
   {{0xb5fb08d7,0x3958bb43,0x4444bb44,0x61fb012b}},	//   _práv, ners_, pt_, _duul, 
   {{0xcf9a0886,0x4444003d,0x39586b34,0x7f4909c7}},	//   ији_, qt_, iers_, ffeq, 
   {{0x26110f63,0x395800a7,0x61fb02a5,0x2d870d4e}},	//   दीकी_, hers_, _fuul, _aone_, 
   {{0xe2974a1c,0x395844ca,0x6609027e,0xe3be008f}},	//   _дат_, kers_, _çekt, ğıda_, 
   {{0x2d98006a,0xb5fb026e,0x3958007b,0x00000000}},	//   óre_, _tráv, jers_, --, 
   {{0x39583455,0x2246aac8,0xe4fb00c7,0xdcf80097}},	//   ders_, ltok_, יפיש, _lovć, 
   {{0xb5fb0076,0xddc2002a,0x236600e5,0xbb9400c8}},	//   _krát, _droš, ndoj_, дающ, 
   {{0x2d87bb45,0x3958bb46,0x2246bb47,0x290c008f}},	//   _fone_, fers_, ntok_, ıdan_, 
   {{0x39584806,0x64455de8,0x13b71c54,0x2d8700d1}},	//   gers_, ythi, _अद्भ, _gone_, 
   {{0x37ab2d60,0x6ca30093,0xd7fbbb48,0xb0ca0035}},	//   атан_, _оръж, руг_, िथिग, 
   {{0x2246bb49,0x660d2256,0x6445006d,0x7dcf01e8}},	//   ktok_, tpak, vthi, søst, 
   {{0x2b59002e,0xd50b3570,0xdb1d02ae,0x1a650535}},	// [bf50] mesc_, لغان_, rosä, _عیسی_, 
   {{0x660dbb4a,0x2246bb4b,0x2b59bb4c,0xdb062e9b}},	//   rpak, dtok_, lesc_, miká, 
   {{0x43757489,0xdb067ffc,0x61fbbb4d,0xc8d20c15}},	//   зулт, liká, _suul, _दुपट, 
   {{0x6445bb4e,0x2b59002e,0x660dbb4f,0x61fb033d}},	//   rthi, nesc_, ppak, _puul, 
   {{0x6445bb50,0x27e9bb51,0xdb06bb52,0x224640fa}},	//   sthi, mman_, niká, gtok_, 
   {{0x27e9bb53,0x6b9d024a,0xb5fbbb54,0xdb0f021e}},	//   lman_, ërgj, _drát, ficë, 
   {{0x76590785,0xb5fb0068,0x2d9ebb55,0xa2d70790}},	//   şayı, _usáb, dhte_, _बरक्, 
   {{0x27e9bb56,0x3958bb57,0x61fb1066,0x2d87bb58}},	//   nman_, zers_, _tuul, _sone_, 
   {{0x28d20d95,0xb5fbbb59,0x2d8721ab,0x395800a7}},	//   _दुनि, _grát, _pone_, yers_, 
   {{0xddc20e24,0x27e9bb5a,0xdb06200a,0xdbd706a6}},	//   _proš, hman_, diká, hääl, 
   {{0xb5fb0076,0x27e9102b,0x2ef50172,0x1b200086}},	//   _krás, kman_, _езер, _ভাবে_, 
   {{0x27e906df,0xdb06bb5b,0x39587ef4,0x06c40033}},	//   jman_, fiká, wers_, ্ধতি, 
   {{0x27e9bb5c,0x386102cd,0xa3cc190a,0x3958ae00}},	//   dman_, _ashr_, रकत_, ters_, 
   {{0x2d9ebb5d,0xdca52595,0x3958bb5e,0x2fcd12b6}},	//   chte_, _нали, uers_, loeg_, 
   {{0x3958bb5f,0xddc2bb60,0x22460019,0x2b5900d9}},	//   rers_, _uroš, ztok_, besc_, 
   {{0x3958bb61,0x27e9bb62,0xab9a00c5,0x2fcd09a2}},	//   sers_, gman_, _دختر_, noeg_, 
   {{0x41cb0aac,0x452abb63,0xa3c1322d,0x39583455}},	// [bf60] िवास, йжан_, ुवन_, pers_, 
   {{0x27e98e12,0xfaff024a,0xa3a90249,0x00000000}},	//   aman_, ndën_, गोस_, --, 
   {{0x27e9bb64,0x399402ae,0xdb0f00b9,0xc61d0033}},	//   bman_, _läsk_, ficè, ধূলা_, 
   {{0xb5fbbb65,0x69cebb66,0xdb0f0034,0x7dd403dd}},	//   _prát, lobe, vicë, ràsi, 
   {{0x23660304,0xb5fb001d,0x96b91a57,0x3f9f025b}},	//   rdoj_, _drás, _дуру_, dhuu_, 
   {{0xb5fb143b,0x473600c5,0x69ce0844,0x22468785}},	//   _vrát, _برگز, nobe, rtok_, 
   {{0x34a7a430,0xdb060483,0xb5fbbb67,0x2246bb68}},	//   _евро_, ziká, _frás, stok_, 
   {{0xc9180c14,0xb5fbbb69,0x69cebb6a,0x6edd3cae}},	//   थरुम_, _trát, hobe, _परशु, 
   {{0xed580039,0x2d9ebb6b,0x443abb6c,0x69ce0149}},	//   teľ_, thte_, lup_, kobe, 
   {{0x4c942f56,0x27e906df,0xd9c602e6,0xad250444}},	//   диос, zman_, लकोट, ورپو, 
   {{0x27e9bb6d,0x69ce16fb,0x2b5900d9,0xdb0f0183}},	//   yman_, dobe, tesc_, licé, 
   {{0x2d9e078e,0xa3e200a5,0xdb06309e,0xbe4a009c}},	//   shte_, _नीम_, tiká, _هشتم_, 
   {{0x2b59002e,0x27e906df,0xdfa5091d,0xdbd70080}},	//   resc_, vman_, _تحلي, vääl, 
   {{0x23de05fd,0x2b59002e,0x69ce0298,0x3eb90228}},	//   _फीसद, sesc_, gobe, úste_, 
   {{0xa3be37c0,0xa3cc000d,0xfce302a6,0xd7f800d3}},	//   ीका_, रका_, _пољо, зуу_, 
   {{0x6d5abb6e,0x443a11a4,0x1cbb00a7,0x58d47037}},	//   leta, dup_, _למוע, хост, 
   {{0xd6db09e7,0x9f4c0187,0x27e9bb6f,0x69cebb70}},	// [bf70] ств_, _budú_, rman_, bobe, 
   {{0x6d5a0414,0x27e931a3,0x69cebb71,0x7bcf00d9}},	//   neta, sman_, cobe, locu, 
   {{0x44270f97,0x27e9bb72,0x443a2998,0x96f9020f}},	//   én_, pman_, gup_, _мент_, 
   {{0x6d5abb73,0x27e96139,0x245e031e,0x31650380}},	//   heta, qman_, _dům_, _salz_, 
   {{0x6d5a913e,0x2fcd018c,0xe6674603,0xb5fbbb74}},	//   keta, voeg_, _этно, _vrás, 
   {{0x443a02a2,0x2d8a0ab8,0x00000000,0x00000000}},	//   bup_, öbel_, --, --, 
   {{0x6d5abb75,0x7e620068,0x95080019,0xbb1b009e}},	//   deta, _asop, _رہنے_, vjîn, 
   {{0x69cebb76,0x389c035c,0xa3a900a5,0x7bcf020f}},	//   zobe, מיונ, गोश_, jocu, 
   {{0x200c15a0,0x7e620019,0x69ce527f,0x316502aa}},	//   _etdi_, _csop, yobe, _talz_, 
   {{0xa3d500ab,0x6d5a1229,0xd65800d1,0xa3a911c1}},	//   हतक_, geta, ליחת_, गोर_, 
   {{0x656702ee,0x69ce0ab4,0xdcf802d9,0x2fcdbb77}},	//   _majh, vobe, _hově, poeg_, 
   {{0xeb97bb78,0x2d9cbb79,0x7bcf0183,0xdea1010e}},	//   дию_, _elve_, gocu, _لیبی, 
   {{0x6d5abb7a,0x65a002f2,0xdce3007b,0xab5b0248}},	//   beta, _höhe, _kanċ, nlüy, 
   {{0x9f5e440b,0x6d5abb7b,0x443a775f,0x6455bb7c}},	//   _että_, ceta, yup_, _opzi, 
   {{0x69cebb7d,0x6e3b0539,0x1867bb7e,0x65a0010e}},	//   robe, luub, мари_, _jöhe, 
   {{0xe61abb7f,0x69cebb80,0xdce3008a,0xdb060241}},	//   жда_, sobe, _lanċ, dikç, 
   {{0x60c401f0,0x69ce00a9,0x645518b9,0xdcf802d9}},	// [bf80] ğimi, pobe, _apzi, _nově, 
   {{0xca3700a7,0x60c40384,0x69ce0226,0xe6de0083}},	//   _קניה_, şimi, qobe, _मरीज, 
   {{0x07a6109d,0xa97b00d1,0x7dd400f6,0x00000000}},	//   _жанн, _ואיכ, màst, --, 
   {{0x443abb81,0x6d5abb82,0x7dd400b9,0x00000000}},	//   rup_, zeta, làst, --, 
   {{0x443a005f,0x6d5abb83,0xd2500071,0x925a0625}},	//   sup_, yeta, انت_, تشار_, 
   {{0x6d5a2889,0x67240065,0xdce3008a,0x5bbb83ea}},	//   xeta, laij, _canċ, _उद्व, 
   {{0x6d5abb84,0xa3d90c06,0x443a024a,0x61ea20f8}},	//   veta, _ठीक_, qup_, rmfl, 
   {{0x6d5abb85,0x7e62011c,0xdb060080,0x6724025b}},	//   weta, _psop, nikä, naij, 
   {{0xb146bb86,0x442a03c5,0x3df40bae,0x00000000}},	//   _онал, _hvb_, нзис, --, 
   {{0x60cd03c0,0x200c0065,0x67242e0f,0xaad20035}},	//   şama, _ttdi_, haij, _सड़क, 
   {{0x6d5a0be0,0x75370056,0x672432bb,0x7bcfbb87}},	//   reta, ואיד_, kaij, tocu, 
   {{0x69c0026d,0x6ec9641b,0x7e620727,0x7c3abb88}},	//   émen, _हुकु, _tsop, rutr, 
   {{0x6d5abb89,0xeda60cdf,0x7bcf25da,0xc4db031e}},	//   peta, _ошко, rocu, _भर्ख, 
   {{0x7c3abb8a,0x7bcf27c7,0x6d5a010c,0x6d4300e1}},	//   putr, socu, qeta, _gcna, 
   {{0x63a20b6b,0x58d4058e,0x98480093,0xddc9010c}},	//   khon, ворт, мята_, lweş, 
   {{0x1b1900cc,0x7e6d032f,0xab5b027e,0x7c282e9c}},	//   _থাকে_, _šapi, ylüy, msdr, 
   {{0x63a200d4,0x65670201,0x7c28bb8b,0x55750d75}},	// [bf90] dhon, _pajh, lsdr, нгат, 
   {{0xd9e3072f,0x99540228,0x6b8d040b,0x63a212b6}},	//   _गठित_, _päť_, _hoag, ehon, 
   {{0x6567bb8c,0x7c28bb8d,0xddc20083,0x7bc80212}},	//   _vajh, nsdr, _spoś, éjug, 
   {{0xa3a9006a,0x656702cd,0xd6d00019,0x63a2bb8e}},	//   गों_, _wajh, اقے_, ghon, 
   {{0x6b8dbb8f,0xdcf800bc,0x7d0a4e76,0x3cfc02a5}},	//   _moag, _pově, _offs, _ogvv_, 
   {{0xa069131d,0xe04509f9,0x26d90104,0x00000000}},	//   зака_, енки, _iyso_, --, 
   {{0x7f5b0379,0x442a01d2,0x38a7040c,0x00000000}},	//   teuq, _gvb_, _bеri_, --, 
   {{0x63a2bb90,0x9e652669,0x2bbb049f,0x0e65122f}},	//   chon, евид, _उदगा, екин, 
   {{0xa3cc11bd,0xa3be00a2,0x7bc700ca,0xdb0602ae}},	//   रकर_, ीकर_, čkul, nikå, 
   {{0x4c852849,0xfde600d3,0x926800a3,0xac85bb91}},	//   елов, ндык_, _ўрта_, егол, 
   {{0xe57207f5,0x3f150088,0x672f0372,0x6e3b0298}},	//   אַר_, _здес, _odcj, suub, 
   {{0xfe7111b7,0x27f9bb92,0x4c82004f,0xcf27009c}},	//   _مدت_, _nisn_, улюв, _آراي, 
   {{0xc33202a1,0x661d006d,0x998400bc,0xdd955cf6}},	//   נוך_, _nwsk, émů_, _пады, 
   {{0xc2121a61,0x6c0301a2,0x6e290657,0x6724018e}},	//   רהם_, _иҷоз, mseb, waij, 
   {{0xa3c1bb93,0x9f5e0237,0x8d740296,0x6e290a98}},	//   ुवा_, _butè_, _جانا, lseb, 
   {{0x6f090348,0x442a04fe,0x6d41bb94,0x1ae6bb95}},	//   ncec, _rvb_, lgla, _пойм, 
   {{0x29050749,0x6e29bb96,0xdce31e19,0x97c300af}},	// [bfa0] ılar_, nseb, _manč, уйте, 
   {{0x6d41bb97,0x64a603dc,0xdce3034c,0x65a00095}},	//   ngla, наза, _lanč, _söhb, 
   {{0xb5fb001d,0x63a2bb98,0x6d41bb99,0x98b80028}},	//   _usán, thon, igla, merį_, 
   {{0x248602f5,0xb5fb014b,0x8c1a00a7,0x69dcbb9a}},	//   ćom_, _tráp, פוני, llre, 
   {{0xddc9078a,0x45240033,0x6e2902c9,0x3986023a}},	//   xweş, _পাঠক_, jseb, _sôsy_, 
   {{0x63a2bb9b,0x6e29008b,0x442a0023,0x7ae40548}},	//   shon, dseb, _tvb_, _mzit, 
   {{0x63a2bb9c,0xb882031e,0xdce3008b,0x67c50009}},	//   phon, _říjn, _banč, lėja, 
   {{0x69dcbb9d,0x6613010c,0xdd250009,0x7ae42835}},	//   hlre, _çekê, _rūši, _ozit, 
   {{0x7ae43900,0x03a301a2,0x67c50009,0x6b8d00b3}},	//   _nzit, _сито, nėja, _roag, 
   {{0x6d41bb9e,0x7bc40548,0x7bd601a3,0x7c28423e}},	//   ggla, _ajiu, _akyu, tsdr, 
   {{0x7ae42148,0xdcba0093,0xef1003a1,0xd19700d1}},	//   _azit, ящи_, _күйө, _רכבי_, 
   {{0x291800e9,0x67c50009,0x2d830219,0x7c28bb9f}},	//   ebra_, kėja, öjer_, rsdr, 
   {{0xdfcf00c5,0x4e930274,0x7c28004f,0x7bc40096}},	//   _اين_, _مشور, ssdr, _djiu, 
   {{0x67c5012d,0xdb0f0165,0x6c54bba0,0x7ae4045a}},	//   dėja, micí, _акку, _dzit, 
   {{0xb90904d7,0xdb0f1056,0x61fa27d7,0x7ae4bba1}},	//   _बर_, licí, _mitl, _ezit, 
   {{0x2602007e,0x61fabba2,0x2d8e5235,0x67d44ba2}},	//   _वंशी_, _litl, _hofe_, госу, 
   {{0x39150fca,0xdb0fbba3,0xfc45014b,0x2918bba4}},	// [bfb0] _импр, nicí, žíte_, bbra_, 
   {{0x28d2017d,0x7bddbba5,0xd7fb0afc,0x61fa00a4}},	//   _दुवि, llsu, _нум_, _nitl, 
   {{0xe3be0824,0xc95200d1,0xdce3007b,0x9f4f02be}},	//   ğına_, _דמי_, _konġ, _ligá_, 
   {{0x04c800eb,0xe3be091f,0x6e290156,0x6d41203b}},	//   روني_, şına_, yseb, zgla, 
   {{0x21693c93,0x61fabba6,0x614500d9,0x6d4100f8}},	//   дили_, _bitl, вела, ygla, 
   {{0x23690112,0xd83811c8,0x61fa026e,0xdb0f014b}},	//   žaj_, šče_, _citl, dicí, 
   {{0xdce3bba7,0x61fa0364,0xa0660141,0x764dbba8}},	//   _panč, _ditl, ваща_, ltay, 
   {{0x776d01f9,0x3994014e,0x6e290364,0x6d41006d}},	//   ndax, _häst_, tseb, wgla, 
   {{0x764dbba9,0x6f09105b,0x2d8e0149,0x61fabbaa}},	//   ntay, rcec, _bofe_, _fitl, 
   {{0x6e291336,0x30a74f57,0xfe4200dd,0x6d41050a}},	//   rseb, _прев, шньо, ugla, 
   {{0x6e296076,0xdce3bbab,0x21270210,0xe6de1e7b}},	//   sseb, _bonġ, manh_, _मर्ज, 
   {{0x3994022b,0x6d41bbac,0x09da00a2,0x7e6d00d2}},	//   _läst_, sgla, णत्य, _šapu, 
   {{0x2d8e0026,0x98b00372,0x98b80028,0x29181bde}},	//   _fofe_, _čađe_, terį_, tbra_, 
   {{0x39940219,0x67c50009,0xdb060098,0x7bdd00b0}},	//   _näst_, vėja, nikú, alsu, 
   {{0x3f8f007e,0xdca588eb,0x2918bbad,0xd8231918}},	//   _kogu_, _шаки, rbra_, идри, 
   {{0x212700e7,0x67c50009,0x66e61cc1,0x764d035d}},	//   hanh_, tėja, воба, ftay, 
   {{0x3f8f02f5,0x3994022b,0x764d29b7,0x7ae4bbae}},	// [bfc0] _mogu_, _bäst_, gtay, _uzit, 
   {{0xa8063ac9,0x67c5012d,0x3f8f01dd,0x44f6009c}},	//   _изол, rėja, _logu_, نساز, 
   {{0x0326004f,0x499b07e4,0x764d0548,0xdb060098}},	//   вден, _חשיב, atay, dikú, 
   {{0x3f8f08b1,0x78a30095,0x61ca2158,0x30141753}},	//   _nogu_, _ünva, ाक्ष, қдир, 
   {{0x425400b1,0x60cd0213,0xdb0f02be,0x00000000}},	//   انتر, şaml, licã, --, 
   {{0x657c02f0,0x7f950b85,0xa3e212e3,0x3994014e}},	//   _unrh, _máqu, _नीर_, _gäst_, 
   {{0x93461fde,0x3f8f00d2,0x61fabbaf,0x33f615d3}},	//   _инве, _bogu_, _vitl, _ачас, 
   {{0x2d8e032f,0x61fa01da,0x25e60eda,0xdb0f7f55}},	//   _sofe_, _witl, _जीती_, ticí, 
   {{0xa3c11d00,0x3f8f01f1,0x0dca01a2,0x00000000}},	//   ुवर_, _dogu_, дуни_, --, 
   {{0x61fa0265,0x2ca900bc,0x3324008a,0x21270108}},	//   _uitl, _řada_, _hemx_, canh_, 
   {{0x7e6d08e3,0x00000000,0x00000000,0x00000000}},	//   _šapt, --, --, --, 
   {{0x316c00ef,0x3f8f0474,0x764d0508,0x2bca0299}},	//   _hadz_, _gogu_, ytay, रवगा, 
   {{0xa5bb51a9,0xee94009c,0x7f9502be,0x00000000}},	//   _kvót, _حداک, _cáqu, --, 
   {{0xdee30a43,0x3f8f0034,0xdd93012d,0x5e5700df}},	//   _точи, _zogu_, _вашы, _סיוע_, 
   {{0x59f801d7,0x032200a5,0xcbe700b3,0x316c0ff2}},	//   теря_, मराह_, _иции, _madz_, 
   {{0xb8db0b26,0x764dbbb0,0xddd90118,0x97a4002e}},	//   _आइ_, ttay, _apwň, арул, 
   {{0x8bb41f7a,0x69c50364,0xeb1f1e08,0x2b4900b9}},	// [bfd0] _خصوص, _tjhe, परीत_, _icac_, 
   {{0x764dbbb1,0x6b9d623f,0x21270023,0x9f9a00c2}},	//   rtay, lksg, xanh_, _hääl_, 
   {{0x764d15f3,0xdce300e0,0x39940219,0xf9920486}},	//   stay, _kanā, _väst_, _הרי_, 
   {{0x9f4c0126,0x317e01d6,0x32040354,0xdb0f00b9}},	//   _mudó_, _antz_, _bumy_, nicà, 
   {{0xdb1d2126,0x6b9d01c8,0xf9900499,0x21270210}},	//   losó, iksg, _طبی_, tanh_, 
   {{0x644a03a1,0xa5bb00ab,0x1a9c0ab9,0x2a69040c}},	//   àfic, _dwóc, וידע, _msab_, 
   {{0x65a000ad,0xe0550038,0x27eb0108,0xdb1d00c2}},	//   _köhn, اختب, _khcn_, fosü, 
   {{0x69d5bbb2,0x4394bbb3,0x6d5c00c2,0x2127bbb4}},	//   hoze, _касс, õran, sanh_, 
   {{0x69d5bbb5,0x43940528,0x320408f5,0x3f8f0082}},	//   koze, _татс, _gumy_, _vogu_, 
   {{0x63b9bbb6,0x25a30226,0x2fc6011c,0xee360504}},	//   liwn, _jljl_, _ejog_, ынь_, 
   {{0x7ddd00d4,0x75eb0384,0xdb0f00b9,0x2a690508}},	//   nèsi, müzd, ficà, _asab_, 
   {{0x29cd0187,0x2901044d,0x9f4c0369,0x2b49023a}},	//   hľad_, _agha_, _dudó_, _ccac_, 
   {{0x539a0137,0x6f1bbbb7,0x20050c3d,0xff040093}},	//   גירו, mbuc, _huli_, _тяхн, 
   {{0x186a0141,0x8c459bb8,0x200528ee,0x2fdf007b}},	//   наги_, _беке, _kuli_, llug_, 
   {{0xc4be0086,0xdb1d0068,0x2b4900b9,0x5895004f}},	//   _অর্জ, gosó, _fcac_, ашту, 
   {{0x2005bbb8,0x6f1b02f2,0x29010096,0x236d0054}},	//   _muli_, nbuc, _egha_, _naej_, 
   {{0x2005bbb9,0x69d5bbba,0xe57abbbb,0xa6e612d6}},	// [bfe0] _luli_, boze, нза_, ужал, 
   {{0xc966a9d0,0xdb1d0183,0x98780098,0xfe1b0fcf}},	//   _свой, bosó, láče_, पीएस_, 
   {{0x26cb0640,0x2005009c,0xdb0f2953,0xe3be008f}},	//   _exco_, _nuli_, licá, şıma_, 
   {{0xa22a0ec4,0x7c2e4ae7,0x42ca7e1a,0x2fdf023b}},	//   ежда_, ábri, нген_, jlug_, 
   {{0x758400c5,0x212500ef,0xc5f800f0,0xdb0f001d}},	//   _پیام, _belh_, _аға_, nicá, 
   {{0x27e0bbbc,0x20050a8b,0xb4260eea,0x6726486a}},	//   llin_, _buli_, _معرو, _hekj, 
   {{0x66061eab,0x2fdf9dba,0x98780098,0xdd3a020f}},	//   _hukk, flug_, káče_, _lăţi, 
   {{0x6606bbbd,0xa0670316,0x5f94143a,0x69d54c3e}},	//   _kukk, ѓања_, риит, zoze, 
   {{0x244e026e,0x28db0527,0x6e3bbbbe,0x66060080}},	//   lým_, _मुनि, grub, _jukk, 
   {{0xa3b0072f,0xdb0f26ca,0x660601a3,0x317e02fe}},	//   टोर_, dicá, _mukk, _untz_, 
   {{0x244e08fc,0x2005bbbf,0x6606790f,0xdce300e0}},	//   ným_, _guli_, _lukk, _panā, 
   {{0x656e1600,0xdb0f21dc,0x6726008b,0x69d55bff}},	//   _labh, ficá, _nekj, woze, 
   {{0xe7f80827,0x244e014b,0x69d501f1,0x660601ad}},	//   ंगना_, hým_, toze, _nukk, 
   {{0x645cbbc0,0xf2d30137,0x244e3077,0x656e01be}},	//   _opri, מער_, kým_, _nabh, 
   {{0x69d5bbc1,0xddc2008b,0x6726017b,0xdce30379}},	//   roze, _krož, _bekj, _tanā, 
   {{0x9715bbc2,0x2a6901a0,0x2d8c0219,0xe7c50033}},	//   рмац, _tsab_, ljde_, ্ষ্য, 
   {{0x645c2c07,0x2a690bc1,0xa9c71169,0x656e0038}},	// [bff0] _apri, _usab_, _مزدو, _babh, 
   {{0xd83811c8,0x656e0adb,0x2d9e0f03,0x660608bb}},	//   šča_, _cabh, nkte_, _dukk, 
   {{0x2d9ebbc3,0x27e0bbc4,0xddc2008b,0x6d4a0c4e}},	//   ikte_, blin_, _orož, _mcfa, 
   {{0xae04058f,0xb767bbc5,0x93271f98,0x656e161c}},	//   रदान_, _стой, اران, _eabh, 
   {{0x2005bbc6,0xfdf60262,0x920701dd,0x2fdf0326}},	//   _suli_, ीदास_, klāš, vlug_, 
   {{0xe29668d1,0x656e11a1,0x6f02bbc7,0x2005bbc8}},	//   раш_, _gabh, _agoc, _puli_, 
   {{0x3495bbc9,0xa0a5127a,0xddc20098,0x65a0bbca}},	//   _тавр, райд, _brož, _möhl, 
   {{0xe3b00fdc,0xddc9bbcb,0x6e3b014b,0x7f7543a1}},	//   _فرق_, dveš, trub, рукц, 
   {{0xdb0601ee,0x442301a0,0x6f1b02eb,0xddc82873}},	//   shkë, _hwj_, rbuc, _šošk, 
   {{0x2005404c,0xdcf8002a,0x44230201,0x27e027de}},	//   _tuli_, _novē, _kwj_, zlin_, 
   {{0x6e3b0219,0xb17a00c7,0xa17a00c7,0x75270082}},	//   srub, _שטער, _שטעט, _mejz, 
   {{0xddc2012d,0x765dbbcc,0x2d9e10f3,0x6e3b13cd}},	//   _grož, _opsy, akte_, prub, 
   {{0x7ff4024f,0x4423006f,0x8f9a00a7,0x27e0bbcd}},	//   _اسلا, _lwj_, _שיני, vlin_, 
   {{0x2d9e33d6,0x27e063c0,0x3f8d032f,0x6606bbce}},	//   ckte_, wlin_, ljeu_, _rukk, 
   {{0x6606532b,0xa3d52df7,0xd7060172,0x656e02d0}},	//   _sukk, सका_, изви, _rabh, 
   {{0x244e0c7f,0x656e01c5,0x660613b3,0xb5fb00de}},	//   vým_, _sabh, _pukk, _gráz, 
  
   {{0x28db0081,0xa68602f1,0xb69b00d9,0x27f2a72b}},	// [c000] _मुठि, шлад, _sfâr, rmyn_, 
   {{0x649a13d9,0x244e026e,0x1a9b035c,0xdb0402b0}},	//   ктер_, tým_, _סייע, _olië, 
   {{0xb466005e,0x4423006f,0x261a02e6,0x6726003e}},	//   ркел, _cwj_, मीजी_, _tekj, 
   {{0xa3b000ab,0x244e05a8,0xe6460205,0xe29a00e4}},	//   टों_, rým_, _кемп, кае_, 
   {{0x656e003c,0x2d9e14a4,0x98a301dd,0x7bc6bbcf}},	//   _tabh, ykte_, majā_, inku, 
   {{0xfe080029,0x44230201,0x76440010,0x7764022c}},	//   _nữa_, _fwj_, muiy, leix, 
   {{0xdb0401c8,0xf1a900d4,0xddc283e3,0x1fa600a3}},	//   _clië, دانه_, _prož, ириг, 
   {{0x4444ac56,0x77640161,0x6e220cd7,0x98a301dd}},	//   mu_, neix, _pwob, najā_, 
   {{0x4444bbd0,0xe1fa0161,0xfe0800e7,0x4423006d}},	//   lu_, _ага_, _bữa_, _zwj_, 
   {{0x4444bbd1,0x4423006f,0x3d16009a,0x00000000}},	//   ou_, _ywj_, पुढे_, --, 
   {{0xb5fb0076,0x2d9e0737,0x4423006d,0x98a301dd}},	//   _práz, rkte_, _xwj_, kajā_, 
   {{0xa3cc000c,0x4444bbd2,0x9ffa0038,0xee3a05de}},	//   रकट_, iu_, _شراء_, _анд_, 
   {{0x776403a1,0x7e790156,0x6fb30038,0x387a0027}},	//   deix, _grwp, _بمنا, _arpr_, 
   {{0x6b5c055f,0x1cba0038,0x65a00502,0x6e3d039f}},	//   _pågæ, _لاعب_, _böhm, ásbe, 
   {{0x4444020b,0xa3d60f65,0xada31221,0x776403dd}},	//   ju_, हवा_, _фајл, feix, 
   {{0x4423006d,0x776403a1,0x3cfb00a7,0xf7700038}},	//   _rwj_, geix, _בלונ, واق_, 
   {{0x4444bbd3,0x0a940283,0xe66705b2,0xf1b8008a}},	// [c010] eu_, _маъю, штво, _omġ_, 
   {{0x6d480bc1,0x4444bbd4,0x4431012d,0xdcea0097}},	//   ngda, fu_, _pvz_, _lafč, 
   {{0x5455bbd5,0x44230201,0x7dddbbd6,0x75270372}},	//   свет, _qwj_, mèst, _vejz, 
   {{0xb4e70e7d,0x69c702ee,0x44230201,0xdfc60038}},	//   _परी_, lnje, _vwj_, _ري_, 
   {{0x4444bbd7,0x4df60b79,0x75279c48,0x69c7044d}},	//   au_, ँगाई_, _tejz, onje, 
   {{0xdca6057f,0x672d0088,0x4423006f,0x44318304}},	//   _فى_, laaj, _twj_, _tvz_, 
   {{0x7d030183,0x3f9f00c8,0x6d48012b,0x9f5e00b9}},	//   _rgns, tkuu_, dgda, _butà_, 
   {{0xfe08001b,0xfaff024a,0x6445bbd8,0x69c7030d}},	//   _sữa_, ndës_, muhi, hnje, 
   {{0x3ead00d2,0x6445bbd9,0x69c70352,0xe7f8009a}},	//   uzet_, luhi, knje, ंगता_, 
   {{0xcda909e8,0x51843e6f,0x69c7090b,0x4c6913e6}},	//   اهده_, _муха, jnje, гион_, 
   {{0x69c716ef,0xeb9abbda,0x64453ad1,0x672d37a1}},	//   dnje, гин_, nuhi, kaaj, 
   {{0xe0d0024f,0x672dbbdb,0xdb040175,0x929d0083}},	//   _غزل_, jaaj, _klié, _zgła, 
   {{0xed5969b4,0xb5fb0068,0x98a30243,0x7e6b0118}},	//   _бол_, _fráx, vajā_, _usgp, 
   {{0x4444bbdc,0x69c7133e,0xd8261a57,0x6445bbdd}},	//   yu_, gnje, йдги, kuhi, 
   {{0x77640f2b,0x68e9031e,0x959a004e,0xe73abbde}},	//   teix, ředn, қтау_, лев_, 
   {{0x81cd00cc,0x81bf00cc,0x6445bbdf,0x69c7bbe0}},	//   রতি_, ীতি_, duhi, anje, 
   {{0x4444030b,0x776400d3,0x46ea021f,0xd9468b1d}},	// [c020] wu_, reix, удан_, _лепи, 
   {{0x6b960126,0x69c70613,0x128800d7,0x7e69040b}},	//   _hoyg, cnje, یمای_, iwep, 
   {{0x64450c3d,0xe1fa004e,0x7e69019b,0x7ae901dd}},	//   guhi, ңге_, hwep, ļete, 
   {{0x7e690548,0x6b9600a3,0x6b84008a,0x00000000}},	//   kwep, _joyg, _jnig, --, 
   {{0x44448007,0x6d4824bc,0xdb06bbe1,0x91e6668d}},	//   su_, ygda, likó, боде, 
   {{0x6445bbe2,0xa97a00c7,0xe9df0038,0x25b80352}},	//   buhi, ראַכ, ltúr_, _umrl_, 
   {{0xfaff01ee,0x443e0029,0x4444bbe3,0xdb0600ab}},	//   ndër_, _ít_, qu_, nikó, 
   {{0x69c71a44,0xe9df52b7,0x00000000,0x00000000}},	//   znje, ntúr_, --, --, 
   {{0xa3d5047c,0x2a600201,0xddc20082,0x6286008b}},	//   सकर_, _npib_, _asoš, _škof, 
   {{0x6b84bbe4,0x22460102,0x7ddd00b9,0x9f5e00de}},	//   _anig, muok_, dèss, _dutá_, 
   {{0xcb043e22,0x69c70a1a,0x63a23c5f,0xd12f021b}},	//   रखंड_, vnje, okon, _سمن_, 
   {{0x63a2bbe5,0x69de016a,0xd90f015f,0xddcf0588}},	//   nkon, _akpe, کید_, češl, 
   {{0x69c701b4,0xddc200e0,0xb5fb0042,0x672d00c8}},	//   tnje, _esoš, _tráx, vaaj, 
   {{0x6b84bbe6,0xfe3700c7,0x67c50009,0xdeb0004e}},	//   _enig, _פרוי_, mėji, _нұқы, 
   {{0x97a72f80,0x63a2bbe7,0xb4e70a09,0x58840b34}},	//   брал, kkon, _परे_, пыта, 
   {{0xaada2c8a,0x8aa7012d,0x68e900bc,0x69debbe8}},	//   _युवक, _грод, ředo, _ekpe, 
   {{0x69c7bbe9,0xdb0d01f0,0x67c5012d,0x63a2050f}},	// [c030] pnje, _amaç, nėji, dkon, 
   {{0x7aed0414,0x6445bbea,0xec0900e7,0xdd080032}},	//   _izat, tuhi, _mến_, _lôžk, 
   {{0xdce30379,0x93190038,0x63a2bbeb,0x75eb0248}},	//   _taną, لقاء_, fkon, güza, 
   {{0x63a2ae82,0x67c5012d,0x7565010e,0xdb040151}},	//   gkon, kėji, _ڈیرہ_, _plié, 
   {{0xe1f100d4,0x6445bbec,0x91050b2d,0xec090023}},	//   وست_, suhi, опле, _nến_, 
   {{0x6445bbed,0x801513d0,0x67c50009,0x7aed019b}},	//   puhi, офиц, dėji, _mzat, 
   {{0x299c00d1,0x63a2a3c0,0xa2d921c6,0x00000000}},	//   רסומ, bkon, _फुर्, --, 
   {{0xee393f8c,0x2d98bbee,0xdd26010c,0xec0900e7}},	//   ани_, ören_, _pêşw, _bến_, 
   {{0x63a90364,0xa3e200a2,0xe2932f23,0x6b8400a3}},	//   _ilen, _नीट_, _عذر_, _rnig, 
   {{0x31346de5,0x63a9bbef,0xdb1d01e5,0x6b96bbf0}},	//   _неур, _hlen, lisè, _soyg, 
   {{0x63a9951a,0x7aedbbf1,0x63bb085b,0xdce30082}},	//   _klen, _azat, _kmun, _manć, 
   {{0xf9890a33,0x22402f6f,0x67c50009,0x06fb0035}},	//   _בר_, šike_, bėji, ्शाव_, 
   {{0x7997012b,0x63a9bbf2,0xd35600d1,0x63bb633f}},	//   _boxw, _mlen, חירי_, _mmun, 
   {{0x63a9bbf3,0x63a2725b,0x7aed1a3b,0x3ea2017b}},	//   _llen, zkon, _dzat, økte_, 
   {{0x929d006a,0x63a2143b,0x63a9b96d,0x63bb0a8b}},	//   _ogło, ykon, _olen, _omun, 
   {{0x6b8402bf,0xec0900e7,0x9f4600e7,0x2246012b}},	//   _unig, _yến_, _khoá_, yuok_, 
   {{0xe617495e,0xa2d921d2,0x63a2bbf4,0x66e3bbf5}},	// [c040] жду_, _फुल्, vkon, дота, 
   {{0xfaa404c5,0x63bbbbf6,0x63a9bbf7,0xba9b00d1}},	//   _мақо, _amun, _alen, _כספי, 
   {{0x130a18c2,0x9426005e,0xb5fb0098,0x63a9bbf8}},	//   аней_, імде, _spác, _blen, 
   {{0x69dcbbf9,0x65a00844,0x63a92041,0xdce100ca}},	//   lore, _möhi, _clen, jelč, 
   {{0x63a2bbfa,0x84e60790,0x7f9c00b9,0xb5fb039f}},	//   rkon, _करकट_, _xéqu, _csás, 
   {{0x63a2bbfb,0x63bbbbfc,0x67c50009,0x7ae40610}},	//   skon, _emun, vėji, _myit, 
   {{0x628645f8,0xe5710137,0xbfaabbfd,0x98ba027e}},	//   _škod, _אַן_, итие_, _kapı_, 
   {{0xdfd00084,0x69dcbbfe,0xe29a00e4,0x200275c4}},	//   عية_, hore, _каб_, öki_, 
   {{0x69dc099d,0x7ae4bbff,0x80da009a,0x3167bc00}},	//   kore, _nyit, _पुरे, benz_, 
   {{0x929d006a,0x69dc0086,0xdd9abc01,0x161f35ff}},	//   _zgło, jore, рши_, मीटर_, 
   {{0x7ae42d72,0xdb1d026d,0x63bb02bf,0x7f9c04ed}},	//   _ayit, lisé, _ymun, _séqu, 
   {{0xdefa00d3,0x212c0034,0x67c50009,0x7ae402b8}},	//   _кыл_, _hedh_, pėji, _byit, 
   {{0xdb1d4d12,0x7ae40199,0x200c0121,0xdce30028}},	//   nisé, _cyit, _hudi_, _manę, 
   {{0x200c0175,0x7e62bc02,0x7aed00da,0xf1bc00d8}},	//   _kudi_, _ipop, _vzat, ्चिन, 
   {{0x200c36fa,0xa3bc00a2,0x98a30035,0xf1d20249}},	//   _judi_, ेचा_, kają_, _तदनन, 
   {{0x31670380,0x7e62016a,0x200cbc03,0x8bc400f0}},	//   zenz_, _kpop, _mudi_, _осыд, 
   {{0x69dcbc04,0x1ab4030f,0x7aedbc05,0x7bddbc06}},	// [c050] bore, _объя, _uzat, mosu, 
   {{0x7bddbc07,0x38610065,0x7e620026,0x8b350019}},	//   losu, _tphr_, _mpop, _بڑھت, 
   {{0x136b02f1,0x63a9bc08,0x33191623,0x00000000}},	//   ишди_, _plen, біля_, --, 
   {{0x67d50879,0x98a30035,0x7e621ed3,0x00000000}},	//   _хому, gają_, _opop, --, 
   {{0x443301f2,0x31670380,0x787502d9,0x63a9021e}},	//   ssx_, tenz_, bývá, _vlen, 
   {{0x3f860237,0x1e0402e6,0x628f3084,0x7bdd6179}},	//   _anou_, रदोष_, _àcom, hosu, 
   {{0x316701c4,0x98ba027e,0xa2bb00bc,0x7e62bc09}},	//   renz_, _yapı_, _शेर्, _apop, 
   {{0x69dc090e,0x63bb099d,0x200c002c,0x63a90204}},	//   zore, _umun, _dudi_, _ulen, 
   {{0xdd911fdb,0x69dcbc0a,0xdb1d00e9,0x3dce05d5}},	//   فوظ_, yore, cisé, _bjfw_, 
   {{0xc05b0b0c,0x41b503b1,0x212c011c,0x661b0241}},	//   _від_, _عمار, _gedh_, _çuku, 
   {{0x6575bc0b,0xed59004e,0x320d24bc,0xada24707}},	//   _mazh, _ғой_, _huey_, хаэл, 
   {{0x7bddbc0c,0x320d0065,0x3f860118,0x76560080}},	//   gosu, _kuey_, _gnou_, ytyy, 
   {{0x4a7500f0,0xde58012d,0x7c95009c,0x3a990080}},	//   мырт, _маці_, زشگا, отрю_, 
   {{0xceb200c7,0x200cbc0d,0xa2cc0425,0x98a30083}},	//   _איד_, _yudi_, तपत्, zają_, 
   {{0x69dcbc0e,0x2d87bc0f,0xe7f800a2,0x7e7b008c}},	//   rore, _inne_, ंगला_, lvup, 
   {{0x4c3a00a7,0xdb1d0019,0x7bdd0474,0x67c50028}},	//   _התקב, yisé, cosu, kėju, 
   {{0x69dc2c85,0x9663013e,0x7ae4007c,0x00000000}},	// [c060] pore, нкте, _uyit, --, 
   {{0x67c50009,0x98a30035,0x7abb00d1,0xdb1d0107}},	//   dėju, wają_, _לצפו, visé, 
   {{0x399b035c,0x999b00a7,0x765600c8,0x98a30083}},	//   _הייד, _הביט, styy, tają_, 
   {{0x200cbc10,0xdb1d4562,0x320d00e9,0x212c011c}},	//   _rudi_, tisé, _buey_, _sedh_, 
   {{0x628622ed,0x5213004f,0x98a30035,0xdb0f0183}},	//   _škob, едіт, rają_, ticú, 
   {{0x6724078a,0xdb1d844b,0x7bdd018e,0x00000000}},	//   lbij, risé, zosu, --, 
   {{0x7e62bc11,0x7bddbc12,0x00000000,0x00000000}},	//   _spop, yosu, --, --, 
   {{0x442a02a2,0x27e200e2,0x200c0097,0x672402b0}},	//   _iwb_, _jkkn_, _vudi_, nbij, 
   {{0x7de6005e,0x7bdd0062,0x442aacd6,0xdd1b020b}},	//   зінд, vosu, _hwb_, _dážd, 
   {{0x200c29b6,0x444401a6,0xa1c30769,0x644300e0}},	//   _tudi_, or_, _збуд, šnie, 
   {{0x442a2a41,0x7bddbc13,0x1bd5123f,0x4444bc14}},	//   _jwb_, tosu, доня, nr_, 
   {{0x4444bc15,0x2d87bc16,0x68e9031e,0x4438bc17}},	//   ir_, _enne_, ředk, _mvr_, 
   {{0x44440f08,0x7644674e,0x6724bc18,0x7e620b48}},	//   hr_, jriy, dbij, _upop, 
   {{0x62800082,0x7644bc19,0x4444bc1a,0x2aab0176}},	//   _mrmo, driy, kr_, атҳо_, 
   {{0x4444bc1b,0xec090023,0x7bddbc1c,0x7b6700f0}},	//   jr_, _yếm_, posu, _етпе, 
   {{0x6280bc1d,0x4444bc1e,0x20060379,0x7bdd8f36}},	//   _ormo, dr_, _jioi_, qosu, 
   {{0x4438bc1f,0x442abc20,0xdb1dbc21,0x3a29023e}},	// [c070] _avr_, _awb_, rnsä, _uwap_, 
   {{0x64570405,0x442a2e44,0x4444bc22,0x44383414}},	//   ttxi, _bwb_, fr_, _bvr_, 
   {{0x657501ee,0x442a2321,0xf99200a7,0x4444bc23}},	//   _vazh, _cwb_, _סרט_, gr_, 
   {{0x32050032,0x61e10034,0x21310242,0xb6020183}},	//   _sily_, _skll, _žzh_, ñáro, 
   {{0xd25b32af,0x27e901c5,0x78a10219,0x320511bb}},	//   сце_, mlan_, älvf, _pily_, 
   {{0x27e9183f,0x4444bc24,0x442a0201,0xfa7800a7}},	//   llan_, br_, _fwb_, פעות_, 
   {{0x3205014b,0xd4983e35,0x27e9bc25,0x200601d6}},	//   _vily_, _ерт_, olan_, _bioi_, 
   {{0x2240032f,0x27e9134a,0xd838014b,0x32050175}},	//   šika_, nlan_, áči_, _wily_, 
   {{0x66070536,0xc2c40038,0x27e905ca,0x3205023a}},	//   _kijk, _كيفي, ilan_, _tily_, 
   {{0x672403ef,0x27e9bc26,0xd838008b,0x442a006d}},	//   zbij, hlan_, šči_, _ywb_, 
   {{0x442a0e0c,0x27e9bc27,0x673d268a,0xdb1d0216}},	//   _xwb_, klan_, _odsj, risî, 
   {{0x66070b32,0xfc3f3077,0x547a00a7,0x200600e7}},	//   _lijk, čí_, קטרו, _gioi_, 
   {{0xeb97bc28,0x27e9bc29,0x5f0502f1,0x8db500dd}},	//   фия_, dlan_, _ўзла, _оскі, 
   {{0x6cc54a0d,0x7644bc2a,0x4444bc2b,0xb5fb2cac}},	//   _ойла, vriy, yr_, _spán, 
   {{0x661d24a5,0x6724012e,0xeb9a0a10,0x65a000ad}},	//   _atsk, tbij, _мик_, _möht, 
   {{0x7644bc2c,0x27e9bc2d,0x2fcd017c,0x752ebc2e}},	//   triy, glan_, nneg_, _sebz, 
   {{0x4444bc2f,0x6724bc30,0x442a023b,0x660701c8}},	// [c080] wr_, rbij, _swb_, _bijk, 
   {{0x27e9bc31,0x272c00f7,0x4444bc32,0x7644bc33}},	//   alan_, ến_, tr_, rriy, 
   {{0x4444bc34,0x27e9bc35,0x76441a6d,0x442a006d}},	//   ur_, blan_, sriy, _qwb_, 
   {{0x4444475f,0x76445393,0x27e901c5,0x2918bc36}},	//   rr_, priy, clan_, lcra_, 
   {{0x27e0bc37,0x660f0380,0x6445bc38,0x121769c5}},	//   moin_, _guck, arhi, وتوث_, 
   {{0x442a01c1,0x64430503,0x2918bc39,0x443800b3}},	//   _twb_, ánic, ncra_, _tvr_, 
   {{0x660fbc3a,0x00000000,0x00000000,0x00000000}},	//   _zuck, --, --, --, 
   {{0x660701c8,0x27e0bc3b,0x69cebc3c,0xab5b0502}},	//   _zijk, noin_, hnbe, nnüt, 
   {{0x6ac800ea,0x8d6a1571,0xb5fb2b70,0xbd6a583e}},	//   रपोर, ојна_, _opál, орне_, 
   {{0x27e90f6c,0x68e900bc,0x69ce02b0,0x22460082}},	//   zlan_, ředi, jnbe, mrok_, 
   {{0x27e9bc3d,0x4f9600d3,0x27e0bc3e,0x6f1903c6}},	//   ylan_, _орду, koin_, _ffwc, 
   {{0x69ceb27a,0x61eabc3f,0xf0b700c7,0xaab500f0}},	//   enbe, llfl, _קלאר_, еймі, 
   {{0x27e9bc40,0x672f0082,0x6d5c00c2,0x27e0bc41}},	//   vlan_, _recj, õras, doin_, 
   {{0x0cd4108e,0x660fbc42,0x27e903c6,0xddc900bc}},	//   _полю, _ruck, wlan_, kteř, 
   {{0x27e9006b,0x6607012e,0xf80785ec,0x660f53ff}},	//   tlan_, _rijk, дчан, _suck, 
   {{0x660f5652,0x2fc4040c,0x224635ee,0xd7f800d3}},	//   _puck, nimg_, krok_, дуу_, 
   {{0x3ea4831e,0x33260106,0x76b900a3,0x672f0121}},	// [c090] nymt_, dbox_, члар_, _vecj, 
   {{0x2d9c00d3,0x660f0ab4,0x201e00c8,0x33260212}},	//   _jove_, _vuck, _otti_, ebox_, 
   {{0x27e901c3,0x2d9c00d1,0x66077a99,0x27e0374c}},	//   plan_, _move_, _vijk, boin_, 
   {{0x2d9cbc43,0x6607012e,0x4421bc44,0x27e081ce}},	//   _love_, _wijk, rph_, coin_, 
   {{0x201e59f3,0x661d14cf,0xdcef02fe,0xdb0600c8}},	//   _atti_, _utsk, _čeča, sikö, 
   {{0x018b00c8,0xdb1d2953,0x00000000,0x00000000}},	//   ющей_, disí, --, --, 
   {{0x647400c8,0xc0e208bd,0x201e00b9,0xafe57a8d}},	//   _игру, лошк, _ctti_, нокл, 
   {{0xb4ab034d,0x80be00a2,0x0eca00b0,0xe0d0029a}},	//   गनी_, _वेळे, ापंड, جزه_, 
   {{0x201e01f0,0x63a40080,0xe81600c2,0x69ce08b0}},	//   _etti_, öine, _दूना_, ynbe, 
   {{0x2fcd02bf,0x30a70165,0x00000000,0x00000000}},	//   sneg_, _орев, --, --, 
   {{0xfaa300cf,0x6ac80239,0xfbc69a1b,0x2d9c0ad8}},	//   қаро, रप्र, ебно, _dove_, 
   {{0x7f840084,0xdb04114e,0xb5fb0254,0xcc24010e}},	//   _للمن, _aliá, _spál, کریٹ, 
   {{0x27e000c8,0x1a66010e,0x65a00502,0x764d025b}},	//   voin_, ریدی_, _möhr, juay, 
   {{0xe9df003e,0x20181535,0xcdc300f0,0x00000000}},	//   trúa_, _éric_, _шалқ, --, 
   {{0x69cebc45,0x7bcf006d,0x27e0bc46,0x29181259}},	//   rnbe, bncu, toin_, rcra_, 
   {{0x2d9c03ef,0xe61a34fc,0xb90800b0,0xe9df1cf0}},	//   _zove_, зда_, _बड_, rrúa_, 
   {{0x764dbc47,0x7bc6bc48,0x36673381,0x2b4000ef}},	// [c0a0] guay, miku, нато_, _idic_, 
   {{0x7bc66661,0x27e0bc49,0x2d9c03da,0x291a02be}},	//   liku, soin_, _xove_, _ufpa_, 
   {{0xe899006b,0x19c1004e,0x75d30038,0x321f0175}},	//   _ہمیں_, _тұрм, ديلا, _atuy_, 
   {{0x7bc6bc4a,0x80da031e,0x2246bc4b,0xf78a0216}},	//   niku, _पुगे, trok_, _diçû_, 
   {{0x41e605c6,0xdb1d02aa,0x799e040b,0x7e7d0566}},	//   ніка, lisã, _kopw, æspl, 
   {{0xd83802ee,0x7bc64cbe,0xdb1d3c2a,0x224601ca}},	//   šču_, hiku, visí, rrok_, 
   {{0x232a7489,0x7bc6bc4c,0x00000000,0x00000000}},	//   _нови_, kiku, --, --, 
   {{0x2d9cbc4d,0xedc8102c,0x2246bc4e,0x7bc60053}},	//   _sove_, िच्छ, prok_, jiku, 
   {{0x7bc6bc4f,0x2d9c008b,0x00000000,0x00000000}},	//   diku, _pove_, --, --, 
   {{0x2ca502c9,0x2b400027,0xa2d9120f,0x00000000}},	//   fyld_, _adic_, _फुट्, --, 
   {{0x7bc6bc50,0x3a20bc51,0x9ce615d3,0x00000000}},	//   fiku, _atip_, эцил, --, 
   {{0x7bc6bc52,0x443a0102,0x68150083,0xdb1d00fc}},	//   giku, isp_, _sądo, nnsø, 
   {{0x69da00bc,0xada60009,0x75f00032,0x2d9c1950}},	//   čten, _падл, väzn, _tove_, 
   {{0xdd8f02f1,0xddd90118,0x7c940038,0x7bc60326}},	//   _ёш_, _apwņ, _للتص, aiku, 
   {{0x28db0fec,0x7bc6bc53,0x37ab08a5,0x58d4bc54}},	//   _मुखि, biku, птан_, горт, 
   {{0x17f80038,0x00000000,0x00000000,0x00000000}},	//   فرقة_, --, --, --, 
   {{0xe61300eb,0x78a10219,0x65a00380,0x75eb00ad}},	// [c0b0] اشر_, älvb, _röhr, lüzi, 
   {{0x7c3abc55,0x6b8d011c,0xddc90ab4,0x00000000}},	//   ostr, _hnag, zvež, --, 
   {{0x69c70704,0xdb1d02a0,0x776d0183,0x533511d2}},	//   mije, cisã, peax, веет, 
   {{0x69c7bc56,0x7c3a51e3,0x799e0532,0xdb1d0379}},	//   lije, istr, _zopw, nisà, 
   {{0xdb0f0952,0x37c2005e,0xfe080029,0xa5650019}},	//   licó, _тәрб, _hữu_, _لگان, 
   {{0x69c703ef,0x7bc6bc57,0x7c3abc58,0x443abc59}},	//   nije, ziku, kstr, bsp_, 
   {{0x7c3abc5a,0x7bc611dc,0xdb0f0183,0x6b8d0508}},	//   jstr, yiku, nicó, _onag, 
   {{0x7c3abc5b,0xa5bb010e,0xbb1b010c,0xc6240033}},	//   dstr, _utób, ndîd, _পিতা_, 
   {{0x7bc6bc5c,0x2a69023b,0x69c71d0b,0x32550024}},	//   viku, _npab_, kije, _швар, 
   {{0x0d8212d4,0x6b8dbc5d,0x7c3abc5e,0x4c8590b4}},	//   альн, _anag, fstr, влов, 
   {{0x69c71e27,0x4035b84f,0x1f64005e,0x7c3a2773}},	//   dije, _реес, _әкім, gstr, 
   {{0xdb1d03b7,0x61e38b59,0xdb0f0183,0x799ebc5f}},	//   visã, lonl, dicó, _sopw, 
   {{0x7bc68476,0xed591472,0x7c3a002e,0x7c240613}},	//   riku, _жол_, astr, _čire, 
   {{0x69c7044e,0x7c3abc60,0x7bc6bc61,0x0ea8004f}},	//   gije, bstr, siku, _якій_, 
   {{0x29cd1612,0x6e3b04f4,0xfe080108,0x00000000}},	//   džad_, lsub, _cữu_, --, 
   {{0x6f1b0666,0x6a863a24,0x61e3bc62,0x6b8dbc63}},	//   ncuc, _алиа, honl, _gnag, 
   {{0x69c702f5,0x6926bc64,0x61e31127,0x6443008c}},	// [c0c0] bije, _импа, konl, ánin, 
   {{0x69c702f5,0x75d300eb,0xca3700a7,0xa2b7176d}},	//   cije, ليقا, _שניה_, ्छन्, 
   {{0x61e3bc65,0x64434087,0x6e3bbc66,0x00000000}},	//   donl, šnin, hsub, --, 
   {{0xdb0f022c,0x61e30036,0x07a602a0,0x63060290}},	//   licò, eonl, _рамн, نوال, 
   {{0x7c3abc67,0x86432690,0x63a90405,0x61e374f6}},	//   zstr, _княж, _ċent, fonl, 
   {{0x415300dd,0x7c3a0915,0x201a0165,0x61e3748e}},	//   ивіс, ystr, ípio_, gonl, 
   {{0x2eca3cae,0xddc90035,0x7c3a039b,0xd342010e}},	//   ाप्त, steś, xstr, _نہای, 
   {{0x1f740013,0x53a30f5a,0x657cbc68,0x7c3a2379}},	//   улия, _касб, _harh, vstr, 
   {{0x6e3b7b38,0x657c2a1e,0x245c014b,0x61e3bc69}},	//   gsub, _karh, lím_, bonl, 
   {{0x6b8d03ef,0x7c3a4249,0x657e0ac0,0xa2bb047c}},	//   _snag, tstr, ndph, _शेट्, 
   {{0x245c08d7,0x3e69032e,0x69c704ab,0x657c9466}},	//   ním_, _үшін_, vije, _marh, 
   {{0xa3d52290,0xfe4603dc,0x6e3b9796,0x320c0054}},	//   िचय_, _андо, bsub, _hidy_, 
   {{0xfe721fdb,0xec0a00f7,0x7af6006a,0xf773040f}},	//   _خدا_, _nếu_, _czyt, یار_, 
   {{0x7c3abc6a,0x6e220054,0x63a0bc6b,0x6e2d0241}},	//   pstr, _itob, _lomn, _çaba, 
   {{0x69c702f5,0x6286bc6c,0x245c026e,0xd83800b3}},	//   rije, _škol, jím_, кэт_, 
   {{0x245c026e,0x657c01cc,0x61e334ec,0xdb0f0deb}},	//   dím_, _aarh, zonl, ricó, 
   {{0x69c70eae,0x62820b32,0x657cbc6d,0x61e30966}},	// [c0d0] pije, jvoo, _barh, yonl, 
   {{0x61e3479c,0xdc4200bc,0x6e22018e,0x6282bc6e}},	//   xonl, _léče, _mtob, dvoo, 
   {{0x61e32916,0x657cbc6f,0x628212b6,0x63a0019c}},	//   vonl, _darh, evoo, _bomn, 
   {{0x6e22bc70,0xf48403a1,0x7aed01a3,0x7f42bc71}},	//   _otob, шуун, _kyat, _ndoq, 
   {{0x63a0bc72,0x320c023a,0x626502f1,0x6145011f}},	//   _domn, _bidy_, увла, гела, 
   {{0xec0a0029,0x245c014b,0x7f4200e9,0x7aed2f87}},	//   _hết_, bím_, _adoq, _myat, 
   {{0xec0a00f7,0x245c063b,0x61e3bc73,0x6e22bc74}},	//   _kết_, cím_, ronl, _atob, 
   {{0x61e3bc75,0xec0a001b,0x7ff503b8,0x6d5800b3}},	//   sonl, _yếu_, دستا, _acva, 
   {{0x6f1bbc76,0x657c0640,0x69c510f3,0xdce30097}},	//   rcuc, _yarh, _omhe, _ranđ, 
   {{0x6e3bbc77,0x6f1b0126,0xb5fb0038,0xdb0d0107}},	//   rsub, scuc, _bpái, _plaî, 
   {{0x753584ed,0x6e3bbc78,0x7aedbc79,0xc1040038}},	//   _mezz, ssub, _ayat, _نوكي, 
   {{0xeb9a7b14,0x7aed0b31,0x69c500f8,0xeababc7a}},	//   хим_, _byat, _amhe, ейм_, 
   {{0x29cd0bfc,0x7aed0199,0x245c00bc,0xdb0f00b9}},	//   džab_, _cyat, zím_, ticò, 
   {{0x9d5511b7,0x99d600eb,0x2d983372,0x2bc600a5}},	//   _صنعت, اتحا, öret_, _लगवा, 
   {{0x1867093e,0xa3e30a09,0xf746bc7b,0x64430098}},	//   лари_, नका_, лево, ánil, 
   {{0x245c031e,0x657cbc7c,0x7aed018e,0xdb0f03dd}},	//   vím_, _sarh, _fyat, sicò, 
   {{0x657c60ff,0xa686bc7d,0x05661e1c,0x99d620b4}},	// [c0e0] _parh, ылад, лван, _متدا, 
   {{0x245c035e,0x63a0bc7e,0x3ea00014,0x645ebc7f}},	//   tím_, _somn, _àite_, ttpi, 
   {{0xe73a005e,0x80a800cc,0x98a6bc80,0x63a08b61}},	//   _пен_, _কেন্, _сине, _pomn, 
   {{0x644a022c,0x245cbc81,0x99990009,0x6282123b}},	//   àfiq, rím_, busų_, tvoo, 
   {{0x245c08fc,0x442301ee,0xa2940fb6,0x71a600e4}},	//   sím_, _etj_, ралі, ладз, 
   {{0x628209a2,0x91e300c8,0x245c0edf,0x3f8f025b}},	//   rvoo, боче, pím_, _angu_, 
   {{0x98a715ed,0x6282bc82,0xf1a900d4,0x6e221787}},	//   čića_, svoo, خانه_, _stob, 
   {{0x6d43abfe,0x63a0018e,0x753502a5,0x320cbc83}},	//   _adna, _uomn, _zezz, _widy_, 
   {{0xb5fb288a,0xae43009c,0x00000000,0x00000000}},	//   _spái, مپيو, --, --, 
   {{0x3f8f003e,0x7aed02b8,0x660e00c3,0x00000000}},	//   _engu_, _ryat, _jibk, --, 
   {{0x7aedbc84,0x628f62cc,0x660e01f2,0xd012007a}},	//   _syat, _àcor, _mibk, _الص_, 
   {{0xce35010e,0x317e01cf,0x660e0604,0x69c500a1}},	//   _چونک, _hatz_, _libk, _smhe, 
   {{0x2fc6012b,0x395a0118,0x628600ca,0xde5808af}},	//   _imog_, _bcps_, _škoj, _ралі_, 
   {{0x7aedbc85,0xa5bb001d,0xdd9000d7,0x660e01f2}},	//   _vyat, _atón, _ذوب_, _nibk, 
   {{0xb7670a31,0x69b600a5,0x98480093,0xdcf82c87}},	//   лтай, _उतरी, лята_, _kavč, 
   {{0x7535007b,0x644350ce,0x317e01cf,0x7aed0118}},	//   _sezz, ánim, _latz_, _tyat, 
   {{0x75350141,0x56946d52,0xd7f8b89a,0x260d0bad}},	// [c0f0] _pezz, батт, уур_, _džon_, 
   {{0x44230ad7,0x64430688,0x69c50c20,0x6e240034}},	//   _ptj_, šnim, _umhe, _çibu, 
   {{0xe8950afc,0xec0a001b,0x753501d8,0x660ebc86}},	//   _тань, _tết_, _vezz, _dibk, 
   {{0xb6c508ad,0xf1ed0083,0xddc90216,0x00000000}},	//   _көзд, _चीज़_, kteş, --, 
   {{0x672dbc87,0xab5b00c2,0x00000000,0x00000000}},	//   mbaj, riüh, --, --, 
   {{0x644a1408,0x2169bc88,0x6025bc89,0x2fc6012b}},	//   áfic, тики_, адка, _amog_, 
   {{0xdb1d010d,0xf77f01f0,0x112800dd,0xdcf87dc7}},	//   nnsó, _kaç_, уючи_, _bavč, 
   {{0xf77f00b9,0xfe451329,0x8d2800f0,0x660e0604}},	//   _jaç_, анио, ңның_, _zibk, 
   {{0xee36bc8a,0x764dbc8b,0xdcf802ee,0x9f5e0019}},	//   аны_, nray, _davč, _autó_, 
   {{0x237f01a0,0xfce500d9,0xc69200d1,0x6289bc8c}},	//   _hauj_, иопо, קאי_, _ireo, 
   {{0xab2a6ebe,0x237f023b,0x764dbc8d,0x72040189}},	//   кона_, _kauj_, hray, _اولم, 
   {{0x99910112,0x2d98014e,0x6a86004e,0xdb0d26ca}},	//   _čašu_, örer_, алма, _amañ, 
   {{0x237f023b,0x672d5652,0xef0e04ac,0xdb0d00a1}},	//   _mauj_, dbaj, _фм_, _smaò, 
   {{0x764d0068,0x237f006f,0x6e290b48,0x6d4302be}},	//   dray, _lauj_, mpeb, _udna, 
   {{0x644308b1,0x52d100a2,0xac160886,0x776401f2}},	//   šnij, तपुस, _коју_, tfix, 
   {{0x6289045a,0x764dbc8e,0x672d010e,0x31d205ff}},	//   _oreo, fray, gbaj, _तद्ध, 
   {{0x764d5020,0x77b80183,0x25a30082,0x59b5022c}},	// [c100] gray, _níxe, _bojl_, рөөс, 
   {{0x77643292,0x672d02a5,0x00000000,0x00000000}},	//   sfix, abaj, --, --, 
   {{0x6289bc8f,0x14c800d4,0xddcb01dd,0x672dbc90}},	//   _areo, دهای_, _apgū, bbaj, 
   {{0x764dbc91,0xb4e60790,0xa6ca0a31,0x317e01c4}},	//   bray, _पडी_, _алма_, _satz_, 
   {{0x6289bc92,0x02060088,0x25a300c3,0x66290098}},	//   _creo, аздн, _fojl_, čský, 
   {{0x77b80068,0x27f2bc93,0x6289bc94,0x200fbc95}},	//   _díxe, llyn_, _dreo, _aigi_, 
   {{0x64a6bc96,0x0396bc97,0x9f4405a4,0xdcf80144}},	//   _тава, _края, lomé_, _pavč, 
   {{0x224904d1,0x237f006d,0x27f2bc98,0x77b80068}},	//   šaka_, _gauj_, nlyn_, _fíxe, 
   {{0x623303b7,0xa3e3010b,0x6289627c,0xddc20098}},	//   _меѓу, नकर_, _greo, _apoš, 
   {{0xcd062449,0x200f008c,0x50460843,0x237f0065}},	//   ични, _eigi_, _вежб, _zauj_, 
   {{0xdd97bc99,0x200f06df,0x9df7012d,0xe7fb031e}},	//   ршы_, _figi_, рнэт_, ्षमा_, 
   {{0x200f3d3a,0xee860009,0x237f023b,0xdb24003e}},	//   _gigi_, _выко, _xauj_, örðu, 
   {{0xddc2234d,0x27f21958,0x672d009e,0x00000000}},	//   _epoš, dlyn_, vbaj, --, 
   {{0x261a000f,0xf77f05b7,0x394d01c4,0x7c28550b}},	//   _बढ़ी_, _saç_, ßes_, ppdr, 
   {{0x69d50502,0xdb0400a1,0x95d90176,0xa5bb0534}},	//   rnze, _mliù, ҳдат_, _dtól, 
   {{0x6443052a,0x57b40e06,0x98b100b3,0x248d5cae}},	//   šnik, обст, ează_, _čem_, 
   {{0x2cac02bf,0x237f5fbe,0x60150009,0x00000000}},	// [c110] lydd_, _rauj_, _išme, --, 
   {{0xeb9f155b,0x2d9e024a,0xdb1d0080,0xdce80474}},	//   ljø_, njte_, sisä, cedă, 
   {{0x2cac02bf,0x764d1b6b,0x237f023b,0x628900a1}},	//   nydd_, sray, _pauj_, _sreo, 
   {{0x77b8bc9a,0x96c2047c,0x764d023e,0x237f006d}},	//   _píxe, _रेकॉ, pray, _qauj_, 
   {{0x59bb0659,0x27e9bc9b,0x9f4a02d9,0xb5fb0354}},	//   _उतार, moan_, ámým_, _bpát, 
   {{0xa295005e,0xc69200c7,0x27e9bc9c,0x2cac014e}},	//   _қазі, _זאך_, loan_, kydd_, 
   {{0x237f0201,0xa0a500f0,0xa4d4004f,0x86b50259}},	//   _tauj_, сайд, _дорі, _тәңі, 
   {{0x27e9bc9d,0x62890084,0x2cac0156,0xc2b3004e}},	//   noan_, _treo, dydd_, _мөлш, 
   {{0xddc2008b,0xe3b000eb,0x6ad13cae,0xfde9183a}},	//   _spoš, _غرف_, सपोर, лдик_, 
   {{0x27e9bc9e,0x2cac0156,0x200f045a,0xdb0400a1}},	//   hoan_, fydd_, _wigi_, _gliù, 
   {{0x27e902ba,0xec0a001b,0x200f00a4,0x2cac0156}},	//   koan_, _bếp_, _tigi_, gydd_, 
   {{0x5f772751,0xb5fb00bc,0xa5bb01d5,0x6e290b48}},	//   _خاطر, _zpát, _stól, ppeb, 
   {{0x27e96a7e,0xfe7709d9,0xa5bbbc9f,0x00000000}},	//   doan_, _түп_, _atóm, --, 
   {{0x6fde01dd,0x7c952978,0x2fcd20c5,0xbea21acc}},	//   rīce, _гриц, lieg_, _хашк, 
   {{0xdc69058e,0xb4e6190a,0x3ead0019,0xddc2008b}},	//   _сайд_, _पडे_, lyet_, _upoš, 
   {{0x27e9bca0,0x279564f0,0x18670bad,0x00000000}},	//   goan_, ошур, љати_, --, 
   {{0x3ead0a13,0x07a33953,0x27f258d5,0xc7a3a926}},	// [c120] nyet_, чатн, rlyn_, читк, 
   {{0x8b0800ab,0x29cd0352,0x27f258d5,0xbb1b009e}},	//   _cięż, lžan_, slyn_, ndîn, 
   {{0xb4b20551,0x64a000d0,0x3d3a0070,0x27e9bca1}},	//   टने_, _ošiš, רגעס, boan_, 
   {{0xec0a0029,0xd36f007a,0x27e90a13,0x00000000}},	//   _xếp_, فهم_, coan_, --, 
   {{0xdb0400a1,0x00000000,0x00000000,0x00000000}},	//   _pliù, --, --, --, 
   {{0x91e38b6f,0x3ead1041,0x644311c9,0xe9df003e}},	//   поче, dyet_, ânic, trúi_, 
   {{0xe4da0e70,0x26c00036,0x00000000,0x00000000}},	//   _صورت_, lzio_, --, --, 
   {{0x69cebca2,0xdbf1031e,0x9f420054,0x00000000}},	//   hibe, _příb, ôkà_, --, 
   {{0x2cac02f0,0xa3d50663,0x26c0bca3,0x69cebca4}},	//   wydd_, िचर_, nzio_, kibe, 
   {{0x27e9bca5,0xec0a0023,0x5be102e6,0x2cacbca6}},	//   zoan_, _sếp_, नव्व, tydd_, 
   {{0x69ce727f,0x27e91272,0x2fcd2e70,0x20b900b3}},	//   dibe, yoan_, bieg_, _кыць_, 
   {{0x5f760740,0x2cac02bf,0x22400b91,0x78a10219}},	//   _دائر, rydd_, šiku_, älvm, 
   {{0x27e90180,0x3be70161,0xcb0354cb,0x9b580093}},	//   voan_, илүү_, रेंड_, щият_, 
   {{0x3d9407f9,0x8b08031e,0x27e9023e,0x69ce0fe5}},	//   _фикр, _stří, woan_, gibe, 
   {{0x27e9bca7,0x4ac500b0,0x788302d9,0xfdf700d1}},	//   toan_, _लइकव, dívá, _הצגת_, 
   {{0x9f5d0118,0x58d4004f,0x65bb009e,0xdb2302ae}},	//   _chwè_, чост, _mîhe, öräd, 
   {{0x953910df,0x27e9bca8,0x5694bca9,0x7bcf6cc3}},	// [c130] изат_, roan_, патт, micu, 
   {{0x6d5abcaa,0x7bcfbb7b,0x69cebcab,0x27e9bcac}},	//   ngta, licu, cibe, soan_, 
   {{0x442717ab,0xb5fbbcad,0x26c001ca,0x78f20259}},	//   ën_, _spás, azio_, _жүру, 
   {{0x7bcfbcae,0x3ead0248,0x00000000,0x00000000}},	//   nicu, yyet_, --, --, 
   {{0x3cea00a5,0x6b7c0070,0x3267511e,0x00000000}},	//   _घुसे_, טראנ, стев, --, 
   {{0xa2cd047b,0x7bcfbcaf,0x3a290237,0x3ead4438}},	//   _देण्, hicu, _mtap_, vyet_, 
   {{0xe1f02751,0x2fcd0380,0x65bb0218,0x7bcf016c}},	//   رسه_, tieg_, _cîhe, kicu, 
   {{0x6d5a2f26,0x69cebcb0,0xce490386,0xef19bcb1}},	//   egta, zibe, азие_, шми_, 
   {{0x69ce0019,0x0d990528,0x62866704,0x7bcf1229}},	//   yibe, атны_, _škov, dicu, 
   {{0x69cebcb2,0xfc45026e,0xdcf800e0,0xddc5004f}},	//   xibe, žíme_, _savā, ібни, 
   {{0x3a29023f,0xdc6903dc,0xdca52160,0x2fcd115a}},	//   _atap_, шанд_, цани, pieg_, 
   {{0x7c2d0b91,0xd1c901a2,0x7bcfbcb3,0x3b0a0165}},	//   _čard, _суғд_, gicu, иено_, 
   {{0x29cd0519,0xbea5b6bc,0x00000000,0x00000000}},	//   ržan_, _фалк, --, --, 
   {{0x63b800e0,0x1d09bcb4,0x395e059e,0x00000000}},	//   īvni, _кели_, üts_, --, 
   {{0x3a29bcb5,0x7bcfbcb6,0x673f024a,0xa7aa0a2b}},	//   _etap_, bicu, faqj, аква_, 
   {{0xa6db008c,0x260d00ca,0xb8f24f69,0x7bcf107c}},	//   _meðf, _užoj_, _वध_, cicu, 
   {{0xe9da0f67,0xdca30258,0xd5b20038,0x69cebcb7}},	// [c140] _вкп_, _фақи, وفر_, pibe, 
   {{0x6b84007e,0x6457840f,0x26c000fd,0xdb040183}},	//   _haig, fuxi, rzio_, _noié, 
   {{0x07a6177b,0x6b9600e4,0x649ab438,0x6b84a1b4}},	//   _данн, _knyg, штар_, _kaig, 
   {{0x77b80068,0x7afb0035,0x61fd0243,0x75f0020b}},	//   _fíxa, żute, _īsla, väzu, 
   {{0xf1942caa,0x00000000,0x00000000,0x00000000}},	//   зиль, --, --, --, 
   {{0x6b8402d0,0x236d008a,0x7bcfbcb8,0x28cf0299}},	//   _laig, _ebej_, zicu, _हेडि, 
   {{0x61eabcb9,0x2d85bcba,0x29cd00ef,0x628f0042}},	//   rofl, ddle_, džal_, _ácon, 
   {{0x4444bcbb,0x753cbcbc,0x442a06a8,0x6b844156}},	//   ms_, _herz, _itb_, _naig, 
   {{0x7bcf023e,0xdb0dbcbd,0x3f820228,0x753cbcbe}},	//   vicu, _ilaç, ľku_, _kerz, 
   {{0x63a2bcbf,0x78a1022b,0x3f820254,0x442a016a}},	//   ljon, älvk, žku_, _ktb_, 
   {{0x6b84bcc0,0x3a2901a9,0x753cbcc1,0x64430098}},	//   _baig, _stap_, _merz, šniv, 
   {{0x63a2bcc2,0x6b84bcc3,0x753c009e,0x69de0813}},	//   njon, _caig, _lerz, _ajpe, 
   {{0x7bcfbcc4,0x6b84bcc5,0xaac5bcc6,0x4444bcc7}},	//   ricu, _daig, _लेखक, hs_, 
   {{0x4444bcc8,0x29cd04d1,0x7bcf0141,0x76440118}},	//   ks_, ržao_, sicu, dsiy, 
   {{0x4444bcc9,0x6b8411a1,0x97a7bcca,0x7bcfbccb}},	//   js_, _faig, орал, picu, 
   {{0x62803489,0x6b84bccc,0x5bc40038,0x2e200237}},	//   _osmo, _gaig, _يقول, _kòf_, 
   {{0x4444bccd,0x7644bcce,0x44380156,0xa6db008c}},	// [c150] es_, gsiy, _awr_, _meðg, 
   {{0x4444bccf,0x6724bcd0,0x6b84bcd1,0x9f4411bb}},	//   fs_, acij, _zaig, domí_, 
   {{0x444426bc,0x753cbcd2,0x62800a9f,0x442abcd3}},	//   gs_, _derz, _asmo, _ctb_, 
   {{0x987a0137,0x443800f8,0x63a2bcd4,0x176b00b3}},	//   _פארט, _dwr_, gjon, _троп_, 
   {{0x444476fb,0x79850938,0x442a01f1,0xe66440f5}},	//   as_, _kahw, _etb_, _отро, 
   {{0xe7f90081,0x4444bcd5,0x7985247a,0x442abcd6}},	//   ंतवा_, bs_, _jahw, _ftb_, 
   {{0x4444bcd7,0x6286bcd8,0x661d09a8,0x62808b3c}},	//   cs_, _škot, _husk, _esmo, 
   {{0xb4d71615,0x661502ba,0x63a200ab,0x661d03f0}},	//   ापी_, _hizk, cjon, _kusk, 
   {{0xd14b06bc,0x63bb01f1,0x661d88f6,0xd2511169}},	//   _نشان_, _ilun, _jusk, _سنا_, 
   {{0x6b84bcd9,0x6b96022b,0x798502cd,0x7bcdbcda}},	//   _saig, _snyg, _nahw, _amau, 
   {{0x6b84007e,0x752501c4,0x98b800e0,0x661d2ddd}},	//   _paig, ichz, karā_, _lusk, 
   {{0x2d830412,0x6445bcdb,0x63a900c8,0x63bb0d07}},	//   žje_, ishi, _joen, _jlun, 
   {{0xed4e50ff,0x798502f8,0x63a9bcdc,0x427900c7}},	//   _по_, _bahw, _moen, זאָג, 
   {{0x63a20405,0x76443ee6,0x63bbbcdd,0x6615bcde}},	//   zjon, vsiy, _llun, _nizk, 
   {{0x6d41bcdf,0x63bbbce0,0x6b84bce1,0x661dbce2}},	//   mala, _olun, _taig, _ausk, 
   {{0x6d41bce3,0x76440c67,0x44445d32,0x442a0097}},	//   lala, tsiy, vs_, _rtb_, 
   {{0x4444bce4,0x661502ba,0x661d02fe,0xe7370088}},	// [c160] ws_, _bizk, _cusk, яет_, 
   {{0x7644bce5,0x6d41bce6,0x63bb095b,0x4438bce7}},	//   rsiy, nala, _alun, _pwr_, 
   {{0x4444bce8,0x661d88d8,0x753cbce9,0x764401de}},	//   us_, _eusk, _verz, ssiy, 
   {{0x6d41bcea,0x661d0430,0x7644bceb,0x753c0218}},	//   hala, _fusk, psiy, _werz, 
   {{0x4444bcec,0x753cbced,0x63a9bcee,0x628f0183}},	//   ss_, _terz, _doen, _ácol, 
   {{0x63a2bcef,0x6d41bcf0,0x63bbbcf1,0x7af600c8}},	//   sjon, jala, _elun, _myyt, 
   {{0x6d41bcf2,0x644501be,0x44448437,0x3c21008c}},	//   dala, cshi, qs_, _nóv_, 
   {{0xdefa001c,0x4fc60451,0x7ae40183,0x661501f1}},	//   йып_, ясла, _oxit, _zizk, 
   {{0x6d41bcf3,0x7ae4024a,0x628000a3,0x6d4a00b4}},	//   fala, _nxit, _usmo, _pdfa, 
   {{0xfe6f2e10,0xf1b90613,0x6ce62983,0x63a901c8}},	//   ادي_, _puše_, зіме, _zoen, 
   {{0x7ae40042,0x79852991,0x213e01f5,0x00000000}},	//   _axit, _rahw, _ieth_, --, 
   {{0x4f9500d3,0x798503bc,0xdce30339,0x69dcbcf4}},	//   _орчу, _sahw, _zanī, enre, 
   {{0x6d41bcf5,0xe61f00e7,0xf0b00019,0x201e0027}},	//   bala, _trôi_, _سیکھ, _huti_, 
   {{0x201e5ca3,0x291a00e2,0x673dbcf6,0x6445bcf7}},	//   _kuti_, _cgpa_, _sesj, yshi, 
   {{0x661dbcf8,0x7ae4bcf9,0x213e24bc,0x661538c6}},	//   _susk, _exit, _meth_, _rizk, 
   {{0x201ebcfa,0x213e0014,0x77b80042,0x22465a62}},	//   _muti_, _leth_, _díxo, ksok_, 
   {{0x25aa02bf,0xf62b00f0,0x201e24ff,0x6615bcfb}},	// [c170] _bobl_, сіби_, _luti_, _pizk, 
   {{0x6445bcfc,0x63a9bcfd,0x77b803da,0x63bb031e}},	//   tshi, _soen, _fíxo, _slun, 
   {{0x65bb078a,0x63a93296,0x63bbbcfe,0xb4d702e6}},	//   _cîha, _poen, _plun, ापे_, 
   {{0x6d41bcff,0x661dbd00,0x7bddbd01,0x6445bd02}},	//   zala, _tusk, nnsu, rshi, 
   {{0x6d411843,0x213e02bf,0x6286bd03,0x201e443c}},	//   yala, _beth_, _škor, _auti_, 
   {{0x63a9051e,0x644502f1,0x29cd02fe,0x628f0068}},	//   _woen, pshi, džak_, _ácom, 
   {{0x6d41bd04,0x201ebd05,0x63a90318,0x213ebd06}},	//   vala, _cuti_, _toen, _deth_, 
   {{0x6d41bd07,0x63bb1423,0x201e4d77,0x98b800d9}},	//   wala, _ulun, _duti_, lară_, 
   {{0x3f860f32,0x2246010e,0x2ee500b3,0x00000000}},	//   _daou_, csok_, ьжиг, --, 
   {{0xe2900625,0x201ebd08,0x0c252165,0x98b800b3}},	//   _حذف_, _futi_, ммон, nară_, 
   {{0x7af60088,0x61e4007a,0x201ebd09,0x8cb4946a}},	//   _syyt, éile, _guti_, есяч, 
   {{0x6d418930,0x333f0518,0x6015012d,0x249100ca}},	//   sala, _jeux_, _išmo, _mrzm_, 
   {{0x201e00d2,0x00000000,0x00000000,0x00000000}},	//   _zuti_, --, --, --, 
   {{0x6d4100cf,0xe61f0228,0x321f0126,0xe81f00a5}},	//   qala, _osôb_, _muuy_, _मंशा_, 
   {{0x7e69bd0a,0xfbc6bd0b,0x64430474,0x00000000}},	//   ltep, _обко, ânil, --, 
   {{0x9b4600d4,0x7af600c8,0x7ae401cf,0x00000000}},	//   _کنکو, _tyyt, _txit, --, 
   {{0x2d87bd0c,0x25aa02bf,0xa2cd0b79,0x99e600c8}},	// [c180] _kane_, _pobl_, _देल्, _ожид, 
   {{0x2d87a3e1,0x6e2d0241,0xdb0400a1,0x98b80474}},	//   _jane_, _çabu, _fliò, gară_, 
   {{0x2d87bd0d,0x48063a8d,0x999b00d1,0x490103ab}},	//   _mane_, _опов, _וביט, _бүрг, 
   {{0x333f026d,0xf6260170,0x201e2085,0x3205bd0e}},	//   _ceux_, _одмо, _ruti_, _ahly_, 
   {{0x333f0518,0x201ebd0f,0x25aa00ef,0x213e0156}},	//   _deux_, _suti_, _tobl_, _peth_, 
   {{0x201e7b38,0x2d87bd10,0x3a200065,0xd12f091d}},	//   _puti_, _nane_, _muip_, لمه_, 
   {{0x232a00dd,0x333f0107,0x3f860237,0x51841d06}},	//   _мови_, _feux_, _paou_, дуқа, 
   {{0x2d8702a5,0x7e69076b,0x00000000,0x00000000}},	//   _aane_, ftep, --, --, 
   {{0x8e140dc0,0x2d87bd11,0x7c2d01b4,0x7e690b1f}},	//   ндиц, _bane_, _čara, gtep, 
   {{0x2d87bd12,0x201ebd13,0x00000000,0x00000000}},	//   _cane_, _tuti_, --, --, 
   {{0x333f026a,0x2d8750c5,0x61431eb4,0x2cb8bd14}},	//   _yeux_, _dane_, _реха, árd_, 
   {{0xdb0426ca,0xbb9400c8,0x2d870415,0x2b403952}},	//   _aliñ, вающ, _eane_, _ceic_, 
   {{0x2d87bd15,0xc333042c,0x3a2000a1,0x98ba0237}},	//   _fane_, כור_, _cuip_, _depč_, 
   {{0xdb1d01a4,0x00000000,0x00000000,0x00000000}},	//   lisü, --, --, --, 
   {{0x2006bd16,0x98b8020f,0x9cf4004f,0x65bb010c}},	//   _khoi_, vară_, _язкі, _bîhn, 
   {{0x2d87bd17,0x6443019c,0xdb1d00c2,0xde880108}},	//   _zane_, ânim, nisü, _kị_, 
   {{0x28cf000d,0x2d87bd18,0x98b800d9,0x443f0228}},	// [c190] _हेरि, _yane_, tară_, _ňu_, 
   {{0xde880108,0x00000000,0x00000000,0x00000000}},	//   _mị_, --, --, --, 
   {{0x333f026d,0x6005248d,0x81e40086,0xdb04bd19}},	//   _peux_, lóme, নতা_, _goiâ, 
   {{0x69d5bd1a,0x98b800b3,0x2b4000b9,0x20065c85}},	//   lize, sară_, _xeic_, _nhoi_, 
   {{0x60050503,0x333f026d,0x7e69bd1b,0x98b80474}},	//   nóme, _veux_, xtep, pară_, 
   {{0x69d5bd1c,0x663a0147,0x00000000,0x00000000}},	//   nize, _מעשׂ, --, --, 
   {{0xf36727c0,0x1fb500d9,0x6f020027,0x00000000}},	//   _отан, еспр, _azoc, --, 
   {{0xde8800f7,0xc9180309,0x7e697d33,0x1e8528d6}},	//   _bị_, וחות_, ttep, елим, 
   {{0x2d87bd1d,0xc1750141,0x3eb930a7,0x2a69006d}},	//   _pane_, _плащ, ást_, _nqab_, 
   {{0xde88001b,0x69d50f23,0x2d870248,0x2b4031d3}},	//   _dị_, jize, _qane_, _seic_, 
   {{0x69d5bd1e,0xf1b90df4,0xc5f2042c,0x2d87bd1f}},	//   dize, _guša_, רדי_, _vane_, 
   {{0x2d872b03,0xdc0300de,0x00000000,0x00000000}},	//   _wane_, bčín, --, --, 
   {{0x2d87bd20,0x69d5010e,0x2b4001dd,0xeb97bd21}},	//   _tane_, fize, _veic_, хия_, 
   {{0x69d5bd22,0xbed600c7,0x629d0151,0x00000000}},	//   gize, _אונז_, _àsou, --, 
   {{0x98b80009,0xa2d603a2,0x26fa00ae,0x00000000}},	//   karą_, _मेन्, ्ध्र_, --, 
   {{0x200d5d25,0x00000000,0x00000000,0x00000000}},	//   nmei_, --, --, --, 
   {{0x69d50a4c,0x60050126,0xaffa0070,0x00000000}},	// [c1a0] bize, cóme, פּלי, --, 
   {{0x69d5bd23,0x273e0108,0x00000000,0x00000000}},	//   cize, ắn_, --, --, 
   {{0x19b70111,0x7dc400f6,0xf7468730,0xdb1d02be}},	//   _נפטר_, _fòsf, _пено, cisó, 
   {{0xd8d700c7,0x753b0097,0x00000000,0x00000000}},	//   _טויט_, _đuze, --, --, 
   {{0x200602bf,0xf1b92b4a,0x85740019,0xa3b10083}},	//   _rhoi_, _suša_, _لگائ, _ओवर_, 
   {{0x27e0bd24,0x7c2dbd25,0x00000000,0x00000000}},	//   lnin_, _čarn, --, --, 
   {{0x27e0bd26,0xc5ec1cc0,0x64580165,0x6f02010e}},	//   onin_, जकीय_, ávid, _szoc, 
   {{0xb4ac1422,0x27e0bd27,0x645ebd28,0x657ebb1f}},	//   गही_, nnin_, mupi, leph, 
   {{0x645ebd29,0x69d50199,0x27e0bd2a,0x00000000}},	//   lupi, yize, inin_, --, 
   {{0xde880029,0x628211da,0x27e0bd2b,0xe8070083}},	//   _vị_, mwoo, hnin_, _वीना_, 
   {{0xa5bb0da6,0xa6db010d,0x409600cf,0x200600e7}},	//   _któr, _meða, _ярат, _thoi_, 
   {{0x205588f1,0x6282bd2c,0x657ebd2d,0xdb1d0165}},	//   _штур, owoo, heph, visó, 
   {{0x27e0207c,0x62820af8,0xfbdf02aa,0x69d5bd2e}},	//   dnin_, nwoo, rnê_, tize, 
   {{0xc9842160,0x6005033c,0xa6db008c,0x3c5800b3}},	//   луси, róme, _neða, _жикэ_, 
   {{0xf807a0b3,0x657e09a4,0x645ebd2f,0x8d630267}},	//   ечан, deph, jupi, _свје, 
   {{0x27e0bd30,0x645ebd31,0x3cfb00a7,0x6282bd32}},	//   gnin_, dupi, _מלונ, kwoo, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [c1b0] --, --, --, --, 
   {{0x78a10219,0xdb1d0035,0x645e0204,0x2d8c02b0}},	//   älvs, pisó, fupi, ndde_, 
   {{0x645ebd33,0x2d8c004f,0x00000000,0x00000000}},	//   gupi, idde_, --, --, 
   {{0x6235377a,0x6282012e,0x7f4202be,0x00000000}},	//   веду, fwoo, _neoq, --, 
   {{0x6282042e,0x657e012b,0xaab33cae,0xdd010242}},	//   gwoo, beph, ुनिक, _čuča, 
   {{0xe296bd34,0x98b80009,0x26c90054,0xe7fb00bc}},	//   таш_, sarą_, mzao_, ्षका_, 
   {{0x4425002e,0xa0a5bd35,0xdcf80028,0x645ebd36}},	//   _îl_, тайд, _tavę, cupi, 
   {{0x889c00c7,0x02d207d5,0x2d9c0118,0x4431bd37}},	//   לבוי, _देवभ, _anve_, _itz_, 
   {{0x4431ae0d,0x200d00d9,0x26c90053,0xe7c904cc}},	//   _htz_, rmei_, nzao_, _रतनप, 
   {{0x442301c1,0x224d0455,0x64580009,0x6e220028}},	//   _kuj_, _ivek_, švie, _duob, 
   {{0x27e03bad,0x27460028,0xdb1d00b9,0x00000000}},	//   ynin_, lūnų_, visò, --, 
   {{0x2d9cadbf,0x4423bd38,0x224900ca,0x2d8c052b}},	//   _enve_, _muj_, šaku_, adde_, 
   {{0xf4120137,0x4423023b,0x6e2261e1,0x27e00604}},	//   יפט_, _luj_, _guob, vnin_, 
   {{0xaf0400dd,0x44230054,0x4431925b,0xddc202d9}},	//   _спіл, _ouj_, _otz_, _zpož, 
   {{0xd9430665,0x442301a0,0x1867bd39,0x3f9d039b}},	//   реси, _nuj_, кари_, _knwu_, 
   {{0x6d43454a,0x3f8d0c7c,0xb7e316d0,0xc052027a}},	//   _hena, ndeu_, ажск, יזל_, 
   {{0x6d43bd3a,0x27e0bd3b,0x44236b3a,0xfaa675cb}},	// [c1c0] _kena, rnin_, _auj_, _рапо, 
   {{0xa5bb17b1,0x6d434617,0x27edbb07,0x645e8939}},	//   _stór, _jena, čena_, tupi, 
   {{0x6d43097d,0x4423bd3c,0x224d06df,0x27e00034}},	//   _mena, _cuj_, _avek_, pnin_, 
   {{0x628216af,0x6d430364,0x645ebd3d,0x4423006d}},	//   twoo, _lena, rupi, _duj_, 
   {{0x02d2000c,0x224d0b3c,0x2d8c00fc,0x71a60726}},	//   _देशभ, _cvek_, ydde_, кадз, 
   {{0x62824258,0x657e0194,0xf1b960e9,0xa5bb0083}},	//   rwoo, qeph, _dušo_, _wtór, 
   {{0x64a3bd3e,0x044331b5,0x6282123b,0x4423023e}},	//   _кара, _весн, swoo, _guj_, 
   {{0x62820090,0xfff80535,0xa85700d1,0x291e0241}},	//   pwoo, رکات_, דיקה_, ıtay_, 
   {{0x6d43bd3f,0x661cab12,0x4423006f,0x6fde01dd}},	//   _bena, _kirk, _zuj_, nīci, 
   {{0x6d43bd40,0x68e9002e,0x77b80068,0x4423023b}},	//   _cena, şedi, _díxi, _yuj_, 
   {{0x6d43bd41,0x23b60077,0x224d02fe,0x4423006d}},	//   _dena, _अकाद, _zvek_, _xuj_, 
   {{0x799e05d5,0xdcf802d9,0xab5b0502,0x00000000}},	//   _anpw, _zavě, chül, --, 
   {{0xdfcf361f,0x7c2302a2,0x7dc401be,0xdce10028}},	//   _بين_, _eunr, _pòsd, kelė, 
   {{0x6d43bd42,0x661cb5f5,0x6fde01dd,0xda340080}},	//   _gena, _nirk, dīci, реры, 
   {{0x8a1800d9,0x2905383b,0xdce10009,0xdc87013e}},	//   торс_, åla_, delė, _асыл_, 
   {{0xa5bb0496,0x4423bd43,0x6d43bd44,0x661c00a1}},	//   _atóp, _ruj_, _zena, _airk, 
   {{0x387a0027,0x5575bd45,0x85754ea2,0x644e0bff}},	// [c1d0] _eppr_, лгат, ллах, _avbi, 
   {{0x765f02cd,0x6b8d43aa,0x44230201,0x6d4300a4}},	//   ruqy, _haag, _puj_, _xena, 
   {{0x67d5bd46,0x6b8da860,0x661cbd47,0x44230201}},	//   _бону, _kaag, _dirk, _quj_, 
   {{0x6d48bd48,0xa3cd0035,0x443100ca,0x69c700fb}},	//   hada, षों_, _vtz_, lhje, 
   {{0x6d48bd49,0x6b8d3f34,0x7e600f73,0xa2cd031e}},	//   kada, _maag, jump, _देख्, 
   {{0x4423bd4a,0x6b8d19b2,0x764da9a9,0x7e60bd4b}},	//   _tuj_, _laag, msay, dump, 
   {{0x6adf0838,0x443101d6,0x764dbd4c,0x45d45166}},	//   नपुर, _utz_, lsay, _торс, 
   {{0x6d43bd4d,0x661c24c7,0x6b8d3e79,0xae8900d3}},	//   _sena, _zirk, _naag, ебиз_, 
   {{0x224d1462,0x764dbd4e,0x3f8d2d9c,0x6d48bd4f}},	//   _uvek_, nsay, rdeu_, fada, 
   {{0x6d4821dc,0x4f0601bb,0xc2e402f1,0xfde600d3}},	//   gada, ынын_, _тўси, лдык_, 
   {{0x69c701ee,0x6b8d0547,0x6fde01dd,0xcb6aab8b}},	//   dhje, _baag, zīci, нане_, 
   {{0x4e950071,0x6d431a13,0x764dbd50,0x3c280218}},	//   _مشتر, _wena, ksay, _dûv_, 
   {{0xee2e1c20,0x7e60988c,0xee380451,0x6b8d0b1f}},	//   _ын_, cump, _ані_, _daag, 
   {{0x7bc6bd51,0xbb1b010c,0x201d0175,0x6d43167c}},	//   shku, vdît, _hiwi_, _uena, 
   {{0xc8b528a8,0xbca80038,0xb6020183,0x29cd0243}},	//   асты, _لديك_, ñámo, ežas_, 
   {{0x6b8d0539,0xab664f57,0xd245039f,0x00000000}},	//   _gaag, _свил, _وچ_, --, 
   {{0x661cbd52,0x764d1041,0x7bc41149,0xdce10009}},	// [c1e0] _pirk, gsay, _iliu, telė, 
   {{0x5986bd53,0xb8b4004e,0xf9926223,0x661cbd54}},	//   _слоб, _көбі, _طبخ_, _qirk, 
   {{0x661cbd55,0x29cd027c,0x6289033c,0x5a1700d1}},	//   _virk, ržat_, _aseo, _תקין_, 
   {{0x661c02ec,0x926a1416,0x929d00ab,0x232abd56}},	//   _wirk, ерка_, _czło, ходи_, 
   {{0x6d488b5e,0xe297b546,0xbb3b027a,0x7bc41469}},	//   yada, лац_, געני, _mliu, 
   {{0x7bc400d3,0x644e00ef,0x6d48bd57,0xa6db003e}},	//   _lliu, _tvbi, xada, _meðl, 
   {{0x201d019b,0x65c3bd58,0x7bc47e96,0xa50700a3}},	//   _biwi_, _убра, _oliu, _бера_, 
   {{0x60053fa2,0x7e60bd59,0x68150035,0xdfd0030e}},	//   tóma, tump, _sądz, تيب_, 
   {{0x6d489c87,0xda04009a,0x6b8d00bd,0x394abd5a}},	//   tada, ळतात_, _raag, kabs_, 
   {{0x7bc4bd5b,0xc27b0070,0x6b8dbd5c,0xdcfa0ab4}},	//   _aliu, _ארמי, _saag, setč, 
   {{0x7e60bd5d,0x6b8d0bc1,0x7bc4bd5e,0x61fa00b4}},	//   sump, _paag, _bliu, _iktl, 
   {{0x764d0268,0x7e605ea4,0x629d0068,0x7bc401f5}},	//   ysay, pump, _ásoc, _cliu, 
   {{0x6d48bd5f,0x8f9b00fe,0x7bc401be,0x69c75990}},	//   pada, _רידי, _dliu, thje, 
   {{0x7cd7004e,0x6b8d2263,0x6d4802f1,0x7bd6052b}},	//   _өмір_, _waag, qada, _emyu, 
   {{0x4dfb0056,0x6b8d5642,0x7bc40557,0x69c7bd60}},	//   _רפוא, _taag, _fliu, rhje, 
   {{0x69c700e5,0x764dbd61,0x8aa787e1,0xdc9b00a7}},	//   shje, tsay, _брод, _טיול, 
   {{0x2d8ebd62,0xdb1d00eb,0xb4bd031e,0x672d2921}},	// [c1f0] _kafe_, bhsá, इन्_, rcaj, 
   {{0xb8db0086,0x29cd6d9d,0x95c80cfe,0x28d608c6}},	//   _আই_, ržas_, луха_, _डेवि, 
   {{0xb60400af,0x62890065,0x656500e2,0x764dbd63}},	//   сятк, _sseo, rghh, ssay, 
   {{0x321e4c5d,0x61fabd64,0x6458020b,0x764d0241}},	//   _aity_, _aktl, ávia, psay, 
   {{0x21690849,0xe2154bb3,0x60150372,0x201d011c}},	//   вили_, амды, _ušmi, _riwi_, 
   {{0x20551781,0x321ebd65,0x95cbbd66,0x2d8e3592}},	//   атир, _city_, _чума_, _nafe_, 
   {{0x24980183,0xdb1d00b0,0xd6c70033,0xe0420e8a}},	//   _grrm_, misõ, _এশিয, онщи, 
   {{0x61fa00a3,0xdb1d00c2,0xa246010e,0x00000000}},	//   _ektl, lisõ, _چینل_, --, 
   {{0xdee5bd67,0xe3b004bc,0x200300e0,0x69c50165}},	//   ропи, _عرف_, ēji_, _olhe, 
   {{0x7bc800e0,0x201d0096,0x69c50226,0x8c951003}},	//   ījum, _wiwi_, _nlhe, армі, 
   {{0x7bc40009,0x2d8e0118,0xa6db003e,0x201dbd68}},	//   _pliu, _dafe_, _seðl, _tiwi_, 
   {{0x69c5bd69,0xbb1b009e,0xfaa608ba,0x00000000}},	//   _alhe, vdîr, қаҳо, --, 
   {{0x6da50d47,0x2ba80df2,0x69a20e0d,0x2d8e02be}},	//   _вила, गाबा, खाली, _fafe_, 
   {{0x8cb50021,0xed59066e,0x3f8f4179,0x69c501be}},	//   _всич, _рок_, _hagu_, _clhe, 
   {{0x7aed02a0,0x15f403ce,0x4dda00d1,0x7bd602a5}},	//   _exat, अवसर_, _בחסו, _tmyu, 
   {{0x472400f0,0x69c5010e,0x3f8f00c2,0xfaff0034}},	//   спаң, _elhe, _jagu_, rfër_, 
   {{0x3f8fbd6a,0xf1c50110,0x2d8e02a5,0x7546113c}},	// [c200] _magu_, वसान, _yafe_, иназ, 
   {{0x399a07f5,0x3f8f156e,0x8af006d0,0x69f301a2}},	//   _ייִד, _lagu_, _edəc, _дӯст, 
   {{0x03262476,0x98a6bd6b,0xfaff0034,0x546abd6c}},	//   аден, _тине, ngën_, таем_, 
   {{0x3f8f0077,0x69dcbd6d,0x7aed02f1,0x7dc401be}},	//   _nagu_, lire, _yxat, _mòsa, 
   {{0x69dc00eb,0x0cc100c9,0x6fa91446,0x2366021e}},	//   oire, शनुम, कानं, rgoj_, 
   {{0xf50a085c,0x69dcbd6e,0x51f70451,0xdb1d240c}},	//   _англ_, nire, анію_, cisõ, 
   {{0x25f52df7,0x3f8f0102,0x7dc401fd,0x741600d7}},	//   ्तरी_, _bagu_, _nòsa, _نوسا, 
   {{0x443abd6f,0x69dcbd70,0xf1b800a4,0x2d8e00d1}},	//   mpp_, hire, _diġa_, _safe_, 
   {{0x69dc2d32,0x3f8f0ab1,0x317a0a24,0x9df80c0f}},	//   kire, _dagu_, _لحاظ_, лнит_, 
   {{0x69dcbd71,0x2d8e0034,0xbb1b009e,0x00000000}},	//   jire, _qafe_, feîn, --, 
   {{0x308603b1,0x60050634,0x6adf17f6,0x628f0183}},	//   _خلاف, cómo, नप्र, _ácor, 
   {{0x6fb30038,0x98a30083,0x2d8e3865,0x00000000}},	//   _وملا, ncją_, _wafe_, --, 
   {{0x9b580141,0xdd944c02,0x2fc60c36,0x69dcbd72}},	//   шият_, _галы, _ilog_, fire, 
   {{0x69dcbd73,0x3f840c22,0x645e846c,0x00000000}},	//   gire, lemu_, krpi, --, 
   {{0xed573a44,0x2ee80086,0xdb1d0165,0x98170038}},	//   _тој_, _পরিষ, visõ, لبرا, 
   {{0x69dcbd74,0x61f8bd75,0x97a40a10,0x7c3a076b}},	//   aire, hovl, орул, mptr, 
   {{0x69dcbd76,0x69c507d7,0x7c2d0a1a,0x64582403}},	// [c210] bire, _tlhe, _čari, ávin, 
   {{0x3f84086d,0x7bddbd77,0x270708c6,0x69dcbd78}},	//   hemu_, lisu, _शरीर_, cire, 
   {{0x442700f7,0xe4750316,0x3f84bd79,0x61f8bd7a}},	//   ên_, слењ, kemu_, dovl, 
   {{0x889a02a1,0x24582732,0xdb1d00c2,0xeb9f0566}},	//   _עברי, раць_, sisõ, lløb_, 
   {{0x3f8f005c,0x3f84bd7b,0x2bba00a5,0xddc900b3}},	//   _ragu_, demu_, _उकसा, nteţ, 
   {{0x2b49bd7c,0x2fc6011d,0x61f8090e,0x7bddac18}},	//   _leac_, _alog_, govl, hisu, 
   {{0x2fc63595,0x7bddbd7d,0x3a2902cd,0x3f8fbd7e}},	//   _blog_, kisu, _luap_, _pagu_, 
   {{0xdce1002a,0xf1d92997,0x2fc6bd7f,0x3f84bd80}},	//   selī, _भगवन, _clog_, gemu_, 
   {{0xef19030f,0x5fa90035,0x3f8f0613,0x69dcbd81}},	//   ыми_, काबल, _vagu_, yire, 
   {{0x69dc1286,0xdee502f1,0x3f8f023e,0x7dc4bd82}},	//   xire, _қоли, _wagu_, _pòsa, 
   {{0xc8d602e6,0x2fc6bd83,0x3f8400ca,0x409500d7}},	//   _डेंट, _flog_, bemu_, _دلار, 
   {{0x7bddbd84,0x3a290369,0x3f84bd85,0x69dcbd86}},	//   gisu, _buap_, cemu_, wire, 
   {{0x3a290089,0x69dc5f59,0x37cd0033,0x3ea92120}},	//   _cuap_, tire, রচার, _çat_, 
   {{0x6e3bbd87,0x29010065,0xfe70009c,0x600c009e}},	//   mpub, _byha_, _زده_, rûme, 
   {{0x2d85bd88,0xeb9a03a1,0xa3e700a2,0x69dc2d00}},	//   mele_, _бий_, यचा_, rire, 
   {{0x2d85bd89,0x0b460c67,0x2cb8014e,0x236d023b}},	//   lele_, _унин, ärde_, _ncej_, 
   {{0xb8ff2659,0xbb3b0137,0x6e3bbd8a,0x2c71010e}},	// [c220] _दे_, _געפי, npub, lád_, 
   {{0x9986057f,0x2d85bd8b,0xa2b802e6,0x645e1a08}},	//   _الدو, nele_, ्नस्, trpi, 
   {{0x49011088,0xf1b9090e,0xe45a0d48,0x2d85020f}},	//   _жүрг, _guši_, уже_, iele_, 
   {{0x42ca1472,0x2d85bd8c,0xdcfa020f,0x443a2dc9}},	//   лген_, hele_, letă, rpp_, 
   {{0x2d85639d,0x61f8008b,0x02d20fcf,0x3f8414f5}},	//   kele_, tovl, _देखभ, vemu_, 
   {{0x2d85bd8d,0x2fc6bd8e,0x7177005e,0x7bdd6de6}},	//   jele_, _slog_, йбір_, zisu, 
   {{0x2d85bd8f,0x61f8bd90,0x3f84bd91,0xd01002b4}},	//   dele_, rovl, temu_, ولت_, 
   {{0x9a290108,0x2d851a77,0x00000000,0x00000000}},	//   _lươn_, eele_, --, --, 
   {{0x7bdd0903,0x61f81993,0x25ef0c06,0x629b012d}},	//   visu, povl, _आदमी_, _gruo, 
   {{0x442a01a0,0x44380054,0x7bdd7184,0x2b4901be}},	//   _kub_, _ktr_, wisu, _seac_, 
   {{0xfe6f1fdb,0x3a290870,0x3f84016a,0xb5fb00c7}},	//   ودی_, _suap_, pemu_, רליכ, 
   {{0x2fc61993,0xf1b9034c,0xdb0d008c,0x442a5183}},	//   _ulog_, _ruši_, _blað, _mub_, 
   {{0x442abd92,0x2d85bd93,0x15fa456f,0x7bddbd94}},	//   _lub_, bele_, ्तार_, risu, 
   {{0xf2d30137,0x4438bd95,0x6ca6bd96,0x2d85bd97}},	//   לער_, _otr_, _гриж, cele_, 
   {{0x442a0201,0xeb9f055f,0xd5bb4ae3,0x4438bd98}},	//   _nub_, rløb_, қса_, _ntr_, 
   {{0x7bdd008a,0x6d4abd99,0x603101dd,0x3a290175}},	//   qisu, _hefa, _jāma, _tuap_, 
   {{0x442abd9a,0x6d4abd9b,0x78c6015e,0x95d9bd9c}},	// [c230] _aub_, _kefa, _čuvš, адат_, 
   {{0x7c2a00da,0x44380226,0x6d4a0634,0xfbdf02aa}},	//   _kufr, _btr_, _jefa, liê_, 
   {{0x7c2a00e2,0xd49b2ac0,0x62800009,0x6d4a02a5}},	//   _jufr, ыра_, _apmo, _mefa, 
   {{0x442abd9d,0x2d85bd9e,0x6d4a0194,0x1ab00086}},	//   _dub_, zele_, _lefa, _চেয়া, 
   {{0x27e92639,0xddc900ef,0x6d580e24,0x4438bd9f}},	//   mnan_, hteš, _odva, _etr_, 
   {{0x867a008d,0xddc200bc,0x6d4a1c58,0x2d8500b3}},	//   _דרשו, _tvoř, _nefa, xele_, 
   {{0x3dce0086,0x27e9889d,0x442a0121,0x7c2a00f6}},	//   িচাল, onan_, _gub_, _nufr, 
   {{0x27e9bda0,0xdbf20351,0x6d5828bb,0x629b001b}},	//   nnan_, _přís, _adva, _truo, 
   {{0x2d85bda1,0x27e9bda2,0x6d4abda3,0x7c2a01c4}},	//   tele_, inan_, _befa, _aufr, 
   {{0x6d4abda4,0x6e3b01dd,0x798702b8,0x7c2a0bcf}},	//   _cefa, rpub, jejw, _bufr, 
   {{0x6d4abda5,0x6e3bbda6,0x2d85bda7,0x1d091a9e}},	//   _defa, spub, rele_, рени_, 
   {{0x2d85bda8,0xd9b4017d,0x2c71bda9,0xdbf200d8}},	//   sele_, ुस्ट, rád_, _třís, 
   {{0xeb97bdaa,0x2d85bdab,0x4a43bdac,0xed4ebdad}},	//   ция_, pele_, мняв, _оо_, 
   {{0x8c453065,0x6d4abdae,0x7b3e0035,0xfeb86564}},	//   _деке, _gefa, dłuż, _دامت_, 
   {{0x6d41bdaf,0xab5b0785,0x290c0f5b,0x9a290023}},	//   mbla, mkün, åda_, _vươn_, 
   {{0x442a3892,0x27e9bdb0,0x2904002a,0x6d4abdb1}},	//   _rub_, gnan_, āma_, _zefa, 
   {{0x3ebf0da2,0x7c2abdb2,0x6d410465,0x443872fd}},	// [c240] nyut_, _zufr, obla, _str_, 
   {{0x442a01a0,0x6d4a03da,0x27e9bdb3,0x7d039cd8}},	//   _pub_, _xefa, anan_, _kyns, 
   {{0x7c24088f,0x442a01a0,0x6e23bdb4,0x98a30035}},	//   _kiir, _qub_, _minb, kcję_, 
   {{0x1306966f,0x395a0102,0x6e23bdb5,0x3ebf011d}},	//   озем, _hdps_, _linb, kyut_, 
   {{0xc7b30a33,0x6d41bdb6,0x27e09582,0x7c24052b}},	//   _חבר_, kbla, miin_, _miir, 
   {{0x442a308e,0x1a9b0137,0x4a9b00c7,0x27e0bdb7}},	//   _tub_, יינע, יינג, liin_, 
   {{0x61edbdb8,0x6d4abdb9,0x21670886,0x3160027e}},	//   éala, _refa, цији_, ğiz_, 
   {{0x6d4abdba,0x6d410bf1,0x6e2b011d,0x27e0bdbb}},	//   _sefa, ebla, _bugb, niin_, 
   {{0x7c2a6af1,0x4424a16c,0x3f9800bc,0x6d413459}},	//   _sufr, _iim_, ěru_, fbla, 
   {{0x27e0bdbc,0x6d410b48,0x442400a7,0x27e9bdbd}},	//   hiin_, gbla, _him_, znan_, 
   {{0x27e000c8,0x6e23bdbe,0x4424bdbf,0x6d4abdc0}},	//   kiin_, _dinb, _kim_, _vefa, 
   {{0x6d4a02bf,0x6e2383d4,0xa0670a10,0xddc9020f}},	//   _wefa, _einb, _фаца_, preş, 
   {{0x4424bdc1,0x6d41bdc2,0x27e90144,0x65bb0216}},	//   _mim_, bbla, vnan_, _mîhr, 
   {{0x4424bdc3,0x6d58bdc4,0x69ce24bc,0x7d0302e0}},	//   _lim_, _udva, ghbe, _fyns, 
   {{0x7c3802f5,0x61fd06b6,0x27e9bdc5,0x61ea12bf}},	//   _utvr, _ísle, tnan_, infl, 
   {{0x4424bdc6,0x27e9bdc7,0x395a01f2,0x61ea0380}},	//   _nim_, unan_, _edps_, hnfl, 
   {{0x27e9bdc8,0x395a02be,0x7bd6021e,0x9f4406a5}},	// [c250] rnan_, _fdps_, ëzue, lomó_, 
   {{0xd49b11c3,0x27e9bdc9,0x69ce2599,0x645500e2}},	//   ире_, snan_, chbe, _pvzi, 
   {{0x27e9bdca,0x27e0bdcb,0x600c010c,0x7b3e0083}},	//   pnan_, biin_, zûma, służ, 
   {{0x442401a0,0x78fa00a7,0xab5b0380,0xd0062a63}},	//   _cim_, _לפתו, chüt, _سل_, 
   {{0x4424bdcc,0x80d3006a,0xe299bdcd,0x6d4100f3}},	//   _dim_, _भेजे, сал_, ybla, 
   {{0x6e2bbdce,0x76ba0056,0xa90a0104,0x3079007a}},	//   _rugb, _המשפ, _ibоr, محبة_, 
   {{0x4424bdcf,0x671f0586,0x6e2302f1,0x6e2b0102}},	//   _fim_, _मृतक_, _rinb, _sugb, 
   {{0x6e2301ca,0xa5bb02aa,0xffd5012d,0xa2d60fc0}},	//   _sinb, _atóx, яўля, _मेक्, 
   {{0x6005128a,0x72050019,0x7d0337ed,0xf1b90a1a}},	//   nómi, _فورم, _syns, _sušu_, 
   {{0x7c2457e4,0xd1b81169,0x4424bdd0,0x6d41bdd1}},	//   _siir, _والا_, _zim_, ubla, 
   {{0x7c243356,0x442401c1,0x6d414c43,0xeb9a2057}},	//   _piir, _yim_, rbla, бин_, 
   {{0x6d41bdd2,0x4424006f,0x6e2bbdd3,0x395a0097}},	//   sbla, _xim_, _tugb, _sdps_, 
   {{0x74c300cc,0xbea5bdd4,0x80b10ffc,0x27e000c8}},	//   ্পিউ, _халк, _अपडे, viin_, 
   {{0x8e0800dd,0xab5b0019,0xf1b9bdd5,0x9f4d0126}},	//   _днів_, lkül, _gušt_, pleó_, 
   {{0x27e0030f,0x18a3bdd6,0x7c24bdd7,0xc7a6449e}},	//   tiin_, нарм, _tiir, пивк, 
   {{0x69ce7f5f,0xd6da00d7,0xa6db01d5,0x00000000}},	//   shbe, موزش_, _leðu, --, 
   {{0x27e0bdd8,0xc0760023,0xab5b0380,0x16662b32}},	// [c260] riin_, _bướm_, rhüt, явам, 
   {{0x4424bdd9,0x27e0030f,0x1a9b00c7,0x4a9b008d}},	//   _sim_, siin_, _פייע, _פייג, 
   {{0xa3e700a2,0x44247368,0x69de0df7,0xc32a00eb}},	//   यचं_, _pim_, _impe, مكان_, 
   {{0x7c2e0165,0x7bc6bdda,0x442401f2,0x7e69025b}},	//   íbri, nkku, _qim_, kuep, 
   {{0x442401c1,0x6d5c0019,0xf19406ba,0xd0560095}},	//   _vim_, órak, диль, əcək, 
   {{0x1df70c15,0x44240a58,0x3ea01b03,0x00000000}},	//   ुतोष_, _wim_, _šito_, --, 
   {{0x4424bddb,0x00000000,0x00000000,0x00000000}},	//   _tim_, --, --, --, 
   {{0x044602c0,0x672201dd,0x67360035,0x32070035}},	//   _меҳн, žoju, ncyj, alny_, 
   {{0x9f5f02a0,0x69de0080,0x00000000,0x00000000}},	//   cluí_, _ompe, --, --, 
   {{0x60e7008c,0x3eb9464f,0x9f440126,0xddaa408c}},	//   ármá, ästa_, tomó_, стил_, 
   {{0x673600ab,0x6b964c88,0x31570070,0x00000000}},	//   kcyj, _bayg, _זיבן_, --, 
   {{0x69debddc,0xdb0d02be,0x6fd6bddd,0x00000000}},	//   _ampe, _joaç, _عزائ, --, 
   {{0x5fa91971,0xada6bdde,0x00000000,0x00000000}},	//   कारल, _надл, --, --, 
   {{0x64b500bc,0x7bc61279,0x00000000,0x00000000}},	//   _hřiš, akku, --, --, 
   {{0x2905003e,0xa3be00c2,0x64b502d9,0x7dc40118}},	//   æla_, ेसा_, _křiš, _lòsk, 
   {{0x69debddf,0x600534df,0x7bc603d8,0x00000000}},	//   _empe, tómi, ckku, --, 
   {{0x66f41de7,0xe6641eac,0xf1be0249,0x7bcd00b4}},	// [c270] епту, етхо, ्सान, _ilau, 
   {{0x7bcdbde0,0x69de011c,0x67360083,0x00000000}},	//   _hlau, _gmpe, acyj, --, 
   {{0x7bcdbde1,0x6fe800bc,0x60051f6b,0x6b96027e}},	//   _klau, pěch, sómi, _yayg, 
   {{0xdfc600eb,0x69c7017b,0xdb0d02be,0x60310175}},	//   _شي_, lkje, _coaç, _sāmo, 
   {{0xd684bde2,0xdb0d0165,0xfe0c00a5,0x768400b3}},	//   _пурп, _doaç, हतास_, _пырж, 
   {{0x27ed0112,0x69c700fc,0x7bcd6540,0xc69200d1}},	//   čenu_, nkje, _llau, _שאם_, 
   {{0x79970aaf,0xa6db008c,0x84640093,0x2938027a}},	//   _maxw, _veðu, _пъте, לאגן_, 
   {{0xee39bde3,0x4394bde4,0xa2470019,0x7e69018e}},	//   они_, _пасс, _فیصل_, tuep, 
   {{0x63a9bde5,0x64dd02e6,0xab5bbde6,0x69c700fc}},	//   _inen, _मधुश, rkül, kkje, 
   {{0xa2b2006a,0xf1a42df7,0x79970218,0x6b9601f0}},	//   _आपत्, _गोपन, _naxw, _sayg, 
   {{0x7bcdbde7,0x63bb0cd7,0x9d0b0086,0xaf370a24}},	//   _blau, _koun, রশ্ন_, _فرشت, 
   {{0x63bb0cd7,0x3b0a93cc,0x69de016a,0x61e3bde8}},	//   _joun, жемо_, _smpe, linl, 
   {{0x63a9bde9,0x7bc60088,0x63bbbdea,0x7e69bdeb}},	//   _mnen, rkku, _moun, quep, 
   {{0x7bcd0348,0x61e3bdec,0x63a401dd,0x63bbbded}},	//   _elau, ninl, ķini, _loun, 
   {{0x7997078a,0x63a9bdee,0xabf600af,0xd7c90c73}},	//   _daxw, _onen, _очищ, रसंच, 
   {{0x63bbbdef,0x7bcd4a65,0x63a90539,0x7bc80243}},	//   _noun, _glau, _nnen, ījus, 
   {{0x61e377a8,0xe7df031e,0xfe79031e,0x8cc50035}},	// [c280] kinl, _नगरप, ntů_, ानको, 
   {{0x63a9bdf0,0x044600c8,0x2bcc1567,0x69c7039b}},	//   _anen, дежн, ासवा, ckje, 
   {{0x6d5c0038,0x63bb00d1,0x61e3bdf1,0xe72a0176}},	//   órai, _boun, dinl, _монд_, 
   {{0x63bb0056,0xfe79000d,0x838300c8,0x3ce000b0}},	//   _coun, ktů_, выше, _ओइसे_, 
   {{0x63a900ca,0x61e3584c,0x425601d8,0x8c1b2233}},	//   _dnen, finl, фтет, קוני, 
   {{0x61e3008c,0x63a99620,0xc0aa02b4,0xdcf80028}},	//   ginl, _enen, قابل_, _gavė, 
   {{0x63bbbdf2,0xf1b80405,0x64b5031e,0x00000000}},	//   _foun, _jiġi_, _přiš, --, 
   {{0x63a90175,0xdb0400b9,0x00000000,0x00000000}},	//   _gnen, _joió, --, --, 
   {{0xf1b80405,0x61e3bdf3,0x00000000,0x00000000}},	//   _liġi_, binl, --, --, 
   {{0x7bcdbdf4,0x63a90228,0x63bb488b,0x6005003e}},	//   _slau, _znen, _zoun, dómu, 
   {{0x7bcdbdf5,0x61fd06b6,0xd12f073c,0x63bbbdf6}},	//   _plau, _ísla, _ضمن_, _youn, 
   {{0xaec63dc8,0x20140083,0xf45700d1,0x00000000}},	//   _обел, ócić_, ויטר_, --, 
   {{0x501b00c7,0x7bd6024a,0xecde0110,0x00000000}},	//   _וואו, ëzua, _फेरफ, --, 
   {{0x7bcd02cd,0x7c660491,0xc9842c25,0xe8070083}},	//   _wlau, _قابل, куси, _वीजा_, 
   {{0x69c700fc,0x2d8cbdf7,0x80e00033,0xd7f50080}},	//   rkje, mede_, _পুত্, езвы, 
   {{0x2d8cbdf8,0x69c702fb,0x0cca031e,0x79970175}},	//   lede_, skje, ानीम, _waxw, 
   {{0x63a902cd,0x61e315c3,0x7dcd003e,0xa92b00f0}},	// [c290] _rnen, yinl, _húsa, _міне_, 
   {{0x2d8cbdf9,0xaa8800d4,0x63bb63b4,0x9e7700d1}},	//   nede_, _کنیم_, _soun, וגמה_, 
   {{0x5f05000d,0x69f214c1,0x63bbbdfa,0x61e3bdfb}},	//   _हुन्_, _сүрт, _poun, vinl, 
   {{0xe667048a,0x2d8cbdfc,0x7dcd750c,0x6f9e0299}},	//   _отго, hede_, _músa, _खोलू, 
   {{0xa2af00a2,0x61e33403,0x2d8c56c8,0x63bb0183}},	//   ंमध्, tinl, kede_, _voun, 
   {{0x2d8cbdfd,0x4095005b,0xd24415d3,0xaad00249}},	//   jede_, ерит, тэци, हनतक, 
   {{0x63bb0cd7,0x2d8cbdfe,0x61e3bdff,0x00000000}},	//   _toun, dede_, rinl, --, 
   {{0xb4bd2119,0x61e33419,0x9f44010c,0x2c780175}},	//   ेनी_, sinl, limê_, déd_, 
   {{0x2ec900ea,0x2d8cbe00,0xa3be10cf,0x61e357ca}},	//   िनेत, fede_, ेसर_, pinl, 
   {{0xc69200a7,0x2d8cbe01,0x61e302f1,0x1c45be02}},	//   נאי_, gede_, qinl, нном, 
   {{0xfe79031e,0x2c78b50d,0x443100ab,0x3b090248}},	//   stů_, géd_, _juz_, _ayaq_, 
   {{0xeb9abe03,0x224da819,0xfe7902d9,0x7dcdbe04}},	//   чим_, _kwek_, ptů_, _dúsa, 
   {{0x44310e2e,0x2d8cbe05,0x4ae0009a,0x5ac77287}},	//   _luz_, bede_, _पेशव, елям_, 
   {{0xf2d207f5,0x2d8cbe06,0x3e790cd7,0x395e026a}},	//   נעם_, cede_, mèt_, ûts_, 
   {{0x1d0601a2,0x3e790300,0x3eb500d9,0x997d01dd}},	//   _пеши_, lèt_, ţetă_, kāņu_, 
   {{0xc5fa0cb8,0x224d0547,0x7e7b018e,0x00000000}},	//   ्त्य_, _owek_, otup, --, 
   {{0x3e790cd7,0x6b840361,0x95ca02f1,0x35a600f6}},	// [c2a0] nèt_, _ibig, плаб_, нааг, 
   {{0xf1b80405,0x24f6be07,0xe4d7010e,0x44310d16}},	//   _tiġi_, нчер, کومت_, _buz_, 
   {{0x224d0348,0x290e010e,0x8ca20083,0x6aa401d5}},	//   _awek_, _áfa_, गियो, _hrif, 
   {{0xe9f900f7,0x7e7bbe08,0x3e7906df,0xa6db003e}},	//   _trả_, ktup, kèt_, _veðr, 
   {{0xa2941222,0x3d06007e,0x224d016a,0x2d8c027e}},	//   талі, _सुने_, _cwek_, yede_, 
   {{0xcb1300c7,0x7644be09,0x2d8c0566,0x6aa403c6}},	//   אלד_, mpiy, xede_, _mrif, 
   {{0x6005003e,0x4fc68e01,0x6b84be0a,0x6fde0243}},	//   jóms, еспа, _obig, lūci, 
   {{0xdfd00084,0x2d8c0c36,0x3e7906df,0x444478aa}},	//   شيخ_, wede_, fèt_, mp_, 
   {{0x2d8c06e3,0x444485e7,0x3ea2003e,0xdb1d00ad}},	//   tede_, lp_, íkt_, üyün, 
   {{0x9989090b,0x6b84be0b,0x443102f1,0x444478aa}},	//   _staž_, _abig, _yuz_, op_, 
   {{0x2d8cbe0c,0x444403a0,0x7e7b011d,0x9f440034}},	//   rede_, np_, atup, nimë_, 
   {{0x4444be0d,0x2d8cbe0e,0x6aa4be0f,0x2c78539f}},	//   ip_, sede_, _brif, réd_, 
   {{0x2d8cbe10,0x44440231,0x6aa400a1,0x5a341761}},	//   pede_, hp_, _crif, лнят, 
   {{0x6aa432b9,0xdd930161,0x7dcd008c,0x6b840298}},	//   _drif, _башы, _húsn, _ebig, 
   {{0x6a14be11,0x44440df9,0x36d401a2,0x6aa40539}},	//   умру, jp_, ҳотр, _erif, 
   {{0x6aa4be12,0x00000000,0x00000000,0x00000000}},	//   _frif, --, --, --, 
   {{0xb90810cf,0x645cbe13,0x444444ca,0x7d0a0219}},	// [c2b0] _मे_, _avri, ep_, _hyfs, 
   {{0xd0560095,0x6b9d2243,0x4431107c,0x6b840083}},	//   şbəx, ldsg, _puz_, _zbig, 
   {{0xf1b80405,0xb4bd5f9d,0x98b80009,0x89dc0486}},	//   _jiġu_, ेने_, darė_, _מחזי, 
   {{0x6b9d7368,0xf8b607e4,0x43743dbf,0x78f200f0}},	//   ndsg, _ספרי_, гушт, _түсу, 
   {{0x44448650,0x41be0f7a,0x6b9d10f3,0x075600d1}},	//   ap_, ्संस, idsg, _בסרט_, 
   {{0xc0e50d61,0x4431be14,0x21698db7,0xeb9f00fc}},	//   колк, _tuz_, фики_, rmøy_, 
   {{0x2ec91f02,0xe1f00198,0xa5c200f0,0xf8d100bd}},	//   िन्त, حسن_, _төте, सनिय, 
   {{0x6445be15,0x3e790cd7,0x6b9dbe16,0x5ee20033}},	//   mphi, tèt_, jdsg, _পড়ে, 
   {{0x603100e0,0x3f8d0326,0x7e7b025b,0x00000000}},	//   _māmi, reeu_, utup, --, 
   {{0x3e790cd7,0x7e7bbe17,0xe5300095,0x6445be18}},	//   rèt_, rtup, _müğə, ophi, 
   {{0xcb6a0b81,0xbebd012d,0x644500b9,0x3e7940f7}},	//   мане_, ncūz, nphi, sèt_, 
   {{0x6aa4446e,0x798ebe19,0xa3d70035,0xdb0401d6}},	//   _prif, webw, ाफट_, _soiñ, 
   {{0x6ec41c8f,0xb5fb00da,0x00000000,0x00000000}},	//   _متوق, _kvád, --, --, 
   {{0x200d2747,0x27e2614f,0x44442aa4,0x6d5c1d40}},	//   llei_, _smkn_, yp_, órat, 
   {{0x4444be1a,0x6e2d0036,0xeb9a00b3,0xdd8e0038}},	//   xp_, _èabb, _жий_, _ذوي_, 
   {{0xa2b2047b,0x3ea000ef,0x6fde01dd,0x7dcd0032}},	//   _आपल्, _šiti_, tūci, _kúso, 
   {{0x78a501cc,0x444400e2,0x8c1b00d1,0x7bdd0034}},	// [c2c0] _erhv, wp_, _קופי, ërue, 
   {{0x64a6be1b,0x08c65a00,0x69d542ba,0x7644390a}},	//   каза, _абон, chze, rpiy, 
   {{0x4444be1c,0x764403a0,0x200dbe1d,0xe8f700d9}},	//   up_, spiy, klei_, _алэ_, 
   {{0xc5b400f6,0x395800d3,0x44441114,0x7dc400f6}},	//   _өргө, lars_, rp_, _hòst, 
   {{0x4444be1e,0x98b80009,0x7dc40118,0xdb1d2457}},	//   sp_, tarė_, _kòst, cksä, 
   {{0x3958be1f,0x4444be20,0x7e69be21,0xe72701a2}},	//   nars_, pp_, drep, _шояд_, 
   {{0x645c027c,0x55e30d47,0xdd9400f0,0x9f44023e}},	//   _uvri, _торб, қаны, limé_, 
   {{0x28ba0fc0,0x27f2be22,0x6fe7011c,0x39580b03}},	//   _उपनि, nnyn_, _rècè, hars_, 
   {{0x7e69be23,0xb226be24,0x8fa3122f,0x3958be25}},	//   grep, _амал, рање, kars_, 
   {{0x224650d6,0x71a30234,0x20e300a2,0x27010023}},	//   mpok_, _кауз, _केवळ_, ỗng_, 
   {{0x5fa30081,0x1da602f8,0x3958be26,0x22460969}},	//   _खोवल, _कोणत, dars_, lpok_, 
   {{0x39538bab,0x7dcd0ef6,0x7d0a08b0,0x200d255f}},	//   _sexs_, _húsl, _vyfs, clei_, 
   {{0x6b8f00ef,0x7dc400a1,0x6b9d0343,0x395827e3}},	//   recg, _bòst, rdsg, fars_, 
   {{0x3958be27,0x3cfd00a5,0x20042fc2,0x3c5800d9}},	//   gars_, _रुके_, lomi_, _зикэ_, 
   {{0xf8074dc2,0xd90f00d4,0x98c41127,0x61edbe28}},	//   вчан, تید_, астл, éali, 
   {{0x2d9cbe29,0x2004be2a,0x261804b7,0x2d9ebe2b}},	//   _have_, nomi_, _बीबी_, ldte_, 
   {{0xa3b60509,0x2d9cbe2c,0x9715aa8c,0xb4bd017d}},	// [c2d0] जान_, _kave_, умац, ेन्_, 
   {{0x7c2dbe2d,0x2d9e98af,0x68ee00eb,0x20042873}},	//   _hiar, ndte_, ándá, homi_, 
   {{0x7c2dbe2e,0x6594be2f,0x2d9c02c9,0x3f8600bc}},	//   _kiar, раху, _mave_, _obou_, 
   {{0x2d9cbe30,0xdb04ac46,0x7c2d0175,0x3ea60096}},	//   _lave_, _uniã, _jiar, _orot_, 
   {{0x7c2d05f0,0x20041916,0xe285be31,0xe19300d3}},	//   _miar, domi_, улли, илдө, 
   {{0x2d9c9069,0x3f86be32,0x27e9305f,0x2d9ebe33}},	//   _nave_, _abou_, lian_, jdte_, 
   {{0x7c2d01f1,0x205403a1,0x7e690354,0x31690213}},	//   _oiar, атыр, wrep, ğaz_, 
   {{0x7e69be34,0x3ea6638f,0x7c2d00a9,0xd3a45081}},	//   trep, _brot_, _niar, _круп, 
   {{0x200dbe35,0x51f915dd,0x3ea60045,0x7cd300ad}},	//   rlei_, _знаю_, _crot_, mərə, 
   {{0x442dbe36,0xb5fb026e,0x27e9be37,0x2d95be38}},	//   _hie_, _uvád, hian_, урис, 
   {{0x27e92a09,0x7c2d7ba7,0x442dbe39,0x1bea0925}},	//   kian_, _biar, _kie_, едни_, 
   {{0x27e903f6,0x442d00e4,0x7c2dbe3a,0xa3b601ec}},	//   jian_, _jie_, _ciar, जाय_, 
   {{0x27e963d9,0x442dbe3b,0x6fd50634,0xd37a00c7}},	//   dian_, _mie_, _cáce, ערשט, 
   {{0x2d9cbe3c,0x3f9d002c,0x442d0930,0x00000000}},	//   _gave_, _hawu_, _lie_, --, 
   {{0x7c2d05f0,0x27e9be3d,0x66052998,0xa3b6000f}},	//   _fiar, fian_, dohk, जाम_, 
   {{0x442d0d91,0xb8dc0da6,0x27e994ae,0x7c2d0141}},	//   _nie_, _आप_, gian_, _giar, 
   {{0xe61a0515,0xa3d735a4,0x3958be3e,0xe9df0183}},	// [c2e0] еда_, िसन_, pars_, mpún_, 
   {{0x7c2dbe3f,0x2bcc05e5,0x27e90640,0xdce3027e}},	//   _ziar, ासका, aian_, _hanı, 
   {{0x27e90089,0xdd5600c7,0x2004be40,0x442d024a}},	//   bian_, רבעט_, yomi_, _bie_, 
   {{0x7c3ebe41,0x2ca70bab,0x3f9d0574,0x69ce0326}},	//   _épre, _mrnd_, _nawu_, lkbe, 
   {{0x442d02e8,0xa3b61011,0x41e600e4,0x66052213}},	//   _die_, जाब_, ліка, bohk, 
   {{0x442d0691,0x69cebe42,0x00000000,0x00000000}},	//   _eie_, nkbe, --, --, 
   {{0x442d0012,0x2d9c6943,0x799e012b,0x3f9d02a5}},	//   _fie_, _rave_, _mapw, _bawu_, 
   {{0x09d10ee0,0xaa860076,0x442dbe43,0x2d9cbe44}},	//   _हत्य, _zvýš, _gie_, _save_, 
   {{0x7c2d0ae7,0x6441024a,0x661c0102,0x2d9cbe45}},	//   _riar, _çlir, _khrk, _pave_, 
   {{0x442d0536,0x7c2dbe46,0x2004be47,0x27e93d4e}},	//   _zie_, _siar, somi_, zian_, 
   {{0x7c2dbe48,0x645ebe49,0x3f9d040b,0x442d011c}},	//   _piar, nspi, _fawu_, _yie_, 
   {{0x3ea610f1,0xdce303c0,0x61eabe4a,0x27e9be4b}},	//   _trot_, _canı, lifl, xian_, 
   {{0x7c2dbe4c,0xdce30fc1,0x27e9be4d,0x2d9cbe4e}},	//   _viar, _danı, vian_, _tave_, 
   {{0xa3ab1561,0x27e9be4f,0x7c2d0035,0x799e008a}},	//   _कोन_, wian_, _wiar, _capw, 
   {{0x248d02f5,0x7c2dbe50,0x799e0237,0x7cd300ad}},	//   _ćemo_, _tiar, _dapw, yərə, 
   {{0x645ebe51,0x69ce123b,0x69c002be,0x00000000}},	//   dspi, akbe, êmer, --, 
   {{0x645e37ed,0x356b117c,0x9a8703a1,0x81c70243}},	// [c2f0] espi, ерен_, _суйл, ldēš, 
   {{0x442dbe52,0x6d5abe53,0x3eb90088,0x151500e4}},	//   _sie_, nata, ästi_, адзя, 
   {{0xdce30749,0x27e96c24,0x442d42c3,0x7cd300ad}},	//   _yanı, pian_, _pie_, tərə, 
   {{0x6d5abe54,0xd498005e,0xdce30095,0xa3df0035}},	//   hata, ыру_, _xanı, धों_, 
   {{0x6d5a3648,0x442dbe55,0x49b81fdb,0x12871c03}},	//   kata, _vie_, _شاید_, امتی_, 
   {{0x442d7633,0x21a5be56,0x6a6c008c,0x6b9f003d}},	//   _wie_, рикм, _höfð, _laqg, 
   {{0x442dbe57,0x7d1c008c,0x3f9d02a5,0x3158007a}},	//   _tie_, ýrsl, _pawu_, اجهة_, 
   {{0x225f0242,0x442d0326,0xbfc56e5d,0x6b9f01f2}},	//   _tvuk_, _uie_, рбик, _naqg, 
   {{0x6d5a024d,0x8db503bd,0xe2f800f0,0x00000000}},	//   fata, асні, _беті_, --, 
   {{0x0d8223d7,0xdce301f0,0x629b07fc,0xd9df0035}},	//   ольн, _sanı, _isuo, नफोट, 
   {{0x6fd50183,0x6b9f007b,0x5f9511d2,0x3207be58}},	//   _cácc, _baqg, _виет, mony_, 
   {{0x6d5a011d,0x7dcd55b3,0x8b263b9d,0x3207a29a}},	//   aata, _kúsk, идне, lony_, 
   {{0x6d5a1f74,0x7bdd024a,0xa3b610b0,0x799ead5a}},	//   bata, ërua, जात_, _papw, 
   {{0x6d5a779b,0x684600cf,0xdca502c0,0x320700a9}},	//   cata, инга, _ваки, nony_, 
   {{0xdce303b0,0x69ce123b,0xfca80038,0x97c645f1}},	//   _tanı, rkbe, _مايو_, айве, 
   {{0x320716b4,0x6ed51d11,0x2e3b010c,0x69ce02ae}},	//   hony_, मैथु, _kêf_, skbe, 
   {{0x3207be59,0x1b0d00cc,0x2b4d0496,0xe737be5a}},	// [c300] kony_, সেবে_, ñece_, реу_, 
   {{0x2d856291,0x7bc400c2,0xd9460267,0x00000000}},	//   nfle_, _hoiu, _њени, --, 
   {{0x3ea90ab4,0x7bc400b4,0xbb1b009e,0x00000000}},	//   _šatl_, _koiu, hfîl, --, 
   {{0x6d5abe5b,0x7dcd04f4,0xf7720a67,0xd4671acc}},	//   zata, _búsk, _باد_, рице_, 
   {{0x3207be5c,0x645ebe5d,0x61eabe5e,0x98b10083}},	//   fony_, sspi, tifl, rczą_, 
   {{0x4034021f,0x64a600d3,0x6d5abe5f,0xf8ba0fc0}},	//   бекс, _кага, xata, _उपाय, 
   {{0x6d5abe60,0x61eabdff,0x1bf8072d,0x00000000}},	//   vata, rifl, ीवाल_, --, 
   {{0x6d5a4be5,0x43750a43,0x61eabe61,0xbfa700c8}},	//   wata, _гуфт, sifl, атье_, 
   {{0x6d5abe62,0x443814f9,0x32070489,0xe297be63}},	//   tata, _hur_, bony_, _кат_, 
   {{0x4438be64,0x63a0be65,0x61ed00eb,0x62820326}},	//   _kur_, _hamn, éalt, mtoo, 
   {{0x6d5abe66,0x63a0be67,0x62828f8a,0x4438be68}},	//   rata, _kamn, ltoo, _jur_, 
   {{0x4438be69,0x6d5abe6a,0x63a0be6b,0x7bc400a1}},	//   _mur_, sata, _jamn, _coiu, 
   {{0x6282be6c,0x4438be6d,0x63a001ff,0x3a740251}},	//   ntoo, _lur_, _mamn, оляр, 
   {{0xa2a745f0,0x44380052,0x6d5abe6e,0x2481be6f}},	//   चित्, _our_, qata, ythm_, 
   {{0x443802e7,0x6d5800e0,0xa8a4be70,0x290458f4}},	//   _nur_, _ieva, ортк, şman_, 
   {{0x6d58078a,0x63a20019,0x63a0be71,0x32079914}},	//   _heva, jdon, _namn, zony_, 
   {{0x443851ef,0x6d58be72,0xc987be73,0x63a2be74}},	// [c310] _aur_, _keva, _куни, ddon, 
   {{0x63a200fd,0x32077f9a,0x6d581fc4,0x4438be75}},	//   edon, xony_, _jeva, _bur_, 
   {{0x4438003c,0xd49b0141,0x7995527f,0x6d5800a3}},	//   _cur_, ъра_, mezw, _meva, 
   {{0x6d587ffe,0x63a00348,0x69c5be76,0x79950053}},	//   _leva, _camn, _hohe, lezw, 
   {{0x7cca06d0,0x320705f0,0xa3ab02f8,0x69c5be77}},	//   lərd, tony_, _कोण_, _kohe, 
   {{0x7c382811,0x5187be78,0x7995be79,0x6d5842c3}},	//   _ouvr, руда, nezw, _neva, 
   {{0x44380544,0x3207be7a,0x6282be7b,0x25f6102c}},	//   _gur_, rony_, atoo, ्वरी_, 
   {{0x6282be7c,0x63a2be7d,0xe3b31169,0x32070180}},	//   btoo, cdon, _برس_, sony_, 
   {{0x443802e7,0x320733c6,0x7dcd008c,0x799523d0}},	//   _zur_, pony_, _húsi, kezw, 
   {{0x6d580c05,0x69c5be7e,0x7e62203b,0xdb0d426d}},	//   _ceva, _nohe, _dvop, _anaï, 
   {{0x6d58be7f,0x63a0be80,0xada501a2,0x6bd6007a}},	//   _deva, _yamn, _ҳалл, متحر, 
   {{0xe9f90029,0x69d70042,0xeb9f00fb,0x7cca0248}},	//   _trẻ_, _alxe, dløs_, dərd, 
   {{0xed4e243e,0x69c5be81,0x77660210,0x00000000}},	//   _но_, _bohe, _rdkx, --, 
   {{0x6d581e97,0x69c500f6,0xed5919aa,0x79956ad0}},	//   _geva, _cohe, _сок_, gezw, 
   {{0x63a202f1,0x69c5be82,0x628200ca,0xab5bbe83}},	//   ydon, _dohe, ztoo, rkür, 
   {{0x4438be84,0x66e60258,0x6fce00a1,0x69d700b4}},	//   _rur_, боба, _cùch, _elxe, 
   {{0x4438182a,0x056601a2,0x6ff300b3,0x63a0be85}},	// [c320] _sur_, йван, găci, _ramn, 
   {{0x63a0be86,0x7cca0095,0x6282006f,0x69c5017c}},	//   _samn, bərd, vtoo, _gohe, 
   {{0xb8ed00cc,0x62820175,0xe0070827,0x97430082}},	//   _শে_, wtoo, शवाद_, _šćek, 
   {{0x53e5004f,0x6d9e008a,0x7f590216,0xd379004f}},	//   оціа, _iħaż, _newq, ичі_, 
   {{0x63a00201,0x69c502b8,0x395a0844,0x6d43be87}},	//   _vamn, _yohe, _keps_, _ofna, 
   {{0x63a24545,0x63a0044d,0xa50a09f6,0x6282654c}},	//   sdon, _wamn, _бега_, rtoo, 
   {{0x443816af,0x6282be88,0x63a00e24,0x395a8437}},	//   _uur_, stoo, _tamn, _meps_, 
   {{0x6d58be89,0x79957c76,0x232abe8a,0x6d430d62}},	//   _seva, zezw, _боби_, _afna, 
   {{0x6d5802a6,0x7c38be8b,0x7cca0095,0x63b305a8}},	//   _peva, _suvr, zərd, šení, 
   {{0xdd9a4095,0x6d4300b4,0x6e39039b,0x7cca0248}},	//   уши_, _cfna, _duwb, yərd, 
   {{0x6d58be8c,0x69c500b0,0x69dc0038,0x5bb90093}},	//   _veva, _rohe, dhre, алня_, 
   {{0x44260237,0x6d41be8d,0x6d43008c,0xa09b00d1}},	//   nmo_, acla, _efna, _תיאט, 
   {{0x6d580218,0x4426be8e,0x7995039d,0x69dc007a}},	//   _teva, imo_, tezw, fhre, 
   {{0x6abb00cc,0x69dcbe8f,0x2fc60265,0x395a263d}},	//   উনলো, ghre, _hoog_, _ceps_, 
   {{0x2fc61895,0xd7fb020f,0x4426be90,0x478bbe91}},	//   _koog_, гуа_, kmo_, лсам_, 
   {{0x36d5093d,0x442616ef,0x69c51689,0xd8380528}},	//   ообр, jmo_, _wohe, сэр_, 
   {{0x76b900cf,0x2fc6be92,0x69dc0a75,0x69c501a7}},	// [c330] шлар_, _moog_, bhre, _tohe, 
   {{0x69dcbe93,0x2fc6023b,0x2b5b0226,0x98a30384}},	//   chre, _loog_, _heqc_, sajı_, 
   {{0x6d9e0405,0x6b8d011c,0x0735be94,0x6aad003e}},	//   _għaż, _kbag, _меню, _hraf, 
   {{0xedb5119f,0x6d4105b9,0x2fc6006f,0x395a140e}},	//   _अच्छ, zcla, _noog_, _zeps_, 
   {{0x6b8dbe95,0x601e024a,0xc6a74d72,0x00000000}},	//   _mbag, këmb, _урни, --, 
   {{0x4426be96,0x764dbe97,0x7f5900a4,0x4a5c027a}},	//   amo_, mpay, _sewq, נדוו, 
   {{0x6025012d,0xdb0d03da,0xc8c90035,0xa2a7017d}},	//   одка, _moañ, रहिट, चिह्, 
   {{0x5fa30b79,0x7a20014e,0x6aad02a3,0x6b8d052b}},	//   _खोखल, möte, _oraf, _nbag, 
   {{0xa3b63278,0xee3679a7,0x2fc6006d,0x764d06df}},	//   जार_, оны_, _doog_, npay, 
   {{0x27080029,0x6b8d1575,0xb8010086,0x27ed00bc}},	//   ởng_, _abag, ্ষিত_, čeny_, 
   {{0x6d41be98,0x6aad1d56,0x6b8d052b,0x7f590216}},	//   rcla, _araf, _bbag, _tewq, 
   {{0xab2a3ca1,0xdb040038,0x6d41be99,0xa3cc09ef}},	//   иона_, _iniú, scla, शॉप_, 
   {{0x69dc55b8,0x2b4d04b3,0x15fb156c,0x6b8d011c}},	//   thre, ñeca_, ्वार_, _dbag, 
   {{0x6aadbe9a,0x7a201cd9,0x4426012d,0xdb0d0183}},	//   _draf, köte, zmo_, _coañ, 
   {{0x4426221f,0x75e906d0,0x2fc6023b,0x764d012b}},	//   ymo_, _gözə, _yoog_, epay, 
   {{0xe737be9b,0x69dc04f4,0x6aad00fb,0x98b80009}},	//   жет_, shre, _fraf, sarį_, 
   {{0x764d2639,0xf5eabe9c,0x65c60165,0x69dcbe9d}},	// [c340] gpay, амал_, обаа, phre, 
   {{0x0566012d,0x9f4d08b0,0x00000000,0x00000000}},	//   івен, fieë_, --, --, 
   {{0xa3b602ff,0x2456009c,0x9f4d0326,0x00000000}},	//   जाल_, زنشس, gieë_, --, 
   {{0xccf200d1,0x00000000,0x00000000,0x00000000}},	//   וכב_, --, --, --, 
   {{0x25a3003d,0x2fc646ec,0x7dcd01d5,0x442001dd}},	//   _fajl_, _roog_, _húsu, ķi_, 
   {{0x44267920,0x7d06006a,0x3dc70237,0x2fc6040b}},	//   smo_, ększ, _nonw_, _soog_, 
   {{0xfd07006b,0xd4670088,0x30a313f2,0x2fc6be9e}},	//   _آج_, _мире_, дрыв, _poog_, 
   {{0xef1900ab,0xb4d605f6,0x00000000,0x00000000}},	//   leży_, िनी_, --, --, 
   {{0x6fdc026d,0xa3d72c64,0xb5fb2c26,0x491100b0}},	//   _néce, िसर_, _ovál, _दुनो_, 
   {{0x6b8d0093,0x06cd0086,0x5c743725,0x6aad0034}},	//   _sbag, _রেডি, плот, _rraf, 
   {{0x6aad0df4,0x2fc6023b,0x601e0034,0x212a01be}},	//   _sraf, _toog_, rëmb, _àbh_, 
   {{0x6aad00b3,0x764d0102,0xd7a900aa,0x6ff3020f}},	//   _praf, ypay, _चोंच, făcu, 
   {{0x6fe800ab,0x6448be9f,0x6aad00ad,0xb4d600bc}},	//   jści, _édif, _qraf, िनु_, 
   {{0x6fdc026d,0x1e3300e4,0x7c3ebea0,0x1958bea1}},	//   _déce, _жніў, _épro, жары_, 
   {{0x6fe80083,0xe919017b,0x6b8d2a3a,0x00000000}},	//   eści, сові_, _tbag, --, 
   {{0x6b8dbea2,0x984900f0,0x00000000,0x00000000}},	//   _ubag, ияға_, --, --, 
   {{0x764d00e2,0x6aad0053,0xf40200b3,0xa3ab08b3}},	// [c350] upay, _uraf, inţă_, _कोष_, 
   {{0x2901023b,0x764dbea3,0xdcea027e,0x7a20bea4}},	//   _txha_, rpay, _hafı, töte, 
   {{0xd37100eb,0xa3b60299,0x00000000,0x00000000}},	//   فها_, जां_, --, --, 
   {{0xa3ab006a,0xfbdf040b,0xa3e604cc,0x3cfb00c7}},	//   _कोश_, nhê_, योल_, סלאנ, 
   {{0x6145bea5,0xd34600d7,0xfbd400df,0x00000000}},	//   пела, سیله_, ותף_, --, 
   {{0xe5700a24,0x61454478,0xfa7800a7,0x1a9c00c7}},	//   _لطف_, чека, קעות_, יידע, 
   {{0xdd1c0228,0x9878090e,0xdcfa0028,0x00000000}},	//   yšši, ršće_, metė, --, 
   {{0xe3c500f6,0xa3b605ff,0xa3b2009a,0x3dc70237}},	//   _эргү, जाः_, _झोप_, _sonw_, 
   {{0xfe710038,0x2baf0299,0x5187bea6,0x00000000}},	//   ردة_, _जोधा, _мужа, --, 
   {{0x6fdc026d,0x6fd50098,0xf402020f,0xee363ff7}},	//   _réce, _zácl, anţă_, янь_, 
   {{0xcb09181f,0x1d09bea7,0xfbdf0326,0xe057347e}},	//   _על_, сени_, fhê_, _بیعت_, 
   {{0x290401f0,0xfbdf040b,0x6fe80083,0x00000000}},	//   şmak_, ghê_, yści, --, 
   {{0xeb97bea8,0x7dcdbea9,0x7d180032,0xdcfa0028}},	//   чия_, _búst, _časť, ketė, 
   {{0x7dcd0183,0xaec402c8,0xbea25695,0xfce51712}},	//   _cúst, _юбіл, _чашк, _ноло, 
   {{0x291e34db,0xa3e600a5,0xfbdf009e,0xd82627fe}},	//   åta_, योँ_, bhê_, здви, 
   {{0xfbdf0165,0x2d82010e,0x75e0010e,0x7d1cbeaa}},	//   chê_, őket_, _közg, ürse, 
   {{0x7c24007c,0xddc90474,0x6016010c,0x00000000}},	// [c360] _ihir, creţ, lûmê, --, 
   {{0x7dcd15a8,0x80ae07d5,0x49940019,0x6fe80083}},	//   _gúst, ंटमे, _تیسر, rści, 
   {{0xc9531a61,0xd9100a24,0xb4d6b23c,0x7c24beab}},	//   _אמת_, _شیر_, िने_, _khir, 
   {{0xa3e60da6,0x93431b82,0x3eaf263d,0x200d019c}},	//   यों_, енце, _orgt_, joei_, 
   {{0x27e0beac,0x64410b74,0x6fd500bc,0x741300d4}},	//   mhin_, _élin, _václ, روها, 
   {{0x27e02a85,0x7c240102,0x6e2d00a1,0x00000000}},	//   lhin_, _lhir, _èabh, --, 
   {{0x7c24bead,0x76490241,0x00000000,0x00000000}},	//   _ohir, _çeyr, --, --, 
   {{0xdfd00084,0x27e0beae,0x289700d1,0x200d01d6}},	//   ئية_, nhin_, פדפן_, goei_, 
   {{0x27e0030f,0x442402f2,0xa3e6beaf,0xb4ac00a5}},	//   ihin_, _ihm_, योः_, _कछु_, 
   {{0x7c24beb0,0x27ff239a,0xa0a603dc,0x44240574}},	//   _ahir, čuni_, _назд, _hhm_, 
   {{0x3d06119b,0x6e2300a1,0x2b4d0369,0x200dbeb1}},	//   _सुखे_, _dhnb, ñeco_, boei_, 
   {{0x7dcdbeb2,0xdddb10ea,0xddc900b3,0xafe30c19}},	//   _súst, rtuš, treţ, _похл, 
   {{0x7c24beb3,0x27e000e5,0x601e0034,0x2ab20054}},	//   _dhir, dhin_, cëma, _rôbô_, 
   {{0x7c2402a5,0x80a100c9,0x320e0180,0x00000000}},	//   _ehir, _कैडे, nofy_, --, 
   {{0x69d501c4,0x27e001c4,0x7c241bf0,0x44241475}},	//   rkze, fhin_, _fhir, _ohm_, 
   {{0x2d8c0e47,0x7c24beb4,0x27e08bde,0x4424beb5}},	//   lfde_, _ghir, ghin_, _nhm_, 
   {{0xa3b600b0,0x5694001c,0x2d8c0b22,0x59a80299}},	// [c370] जाई_, натт, ofde_, _छोकर, 
   {{0x06140088,0x44242f6d,0x27e00379,0x2a690082}},	//   едую, _ahm_, ahin_, _ivab_, 
   {{0xd918085c,0xf8d1000f,0xdb1603a0,0x27e0a648}},	//   _нью_, _हथिय, _anyè, bhin_, 
   {{0x27e006df,0xf1b8008a,0x7a200219,0x7c240034}},	//   chin_, _anġ_, möta, _xhir, 
   {{0x59d10527,0x248d0372,0xdcfa0028,0x7ddf0216}},	//   _सकार, _ćemu_, petė, _hêse, 
   {{0x644a2769,0xe7d53633,0x76ba00d1,0x2d8c01c8}},	//   ífic, _yığı, _ומשפ, jfde_, 
   {{0x6e2d0036,0x69be009a,0x41260176,0x3494035b}},	//   _èabi, शाती, мошо_, _парр, 
   {{0x2d8c10f3,0x7ddf02aa,0xd2590237,0x3ebf00b4}},	//   efde_, _mêse, _twņ_, txut_, 
   {{0xc91a121a,0x236d008b,0xa28200d4,0x200dbeb6}},	//   _धर्म_, _idej_, _لینو, roei_, 
   {{0x7dcdbeb7,0x7c24beb8,0x1c45beb9,0x27e0024a}},	//   _rúss, _shir, мном, zhin_, 
   {{0x7c24beba,0x601e024a,0xa3b80019,0xfce5bebb}},	//   _phir, sëma, _ظاہر_, фоно, 
   {{0x3078bebc,0x2d8c0ff2,0x27e0021e,0x00000000}},	//   _رحمة_, afde_, xhin_, --, 
   {{0xbdf8006b,0x06cd0086,0x3ce902d9,0xe7d50761}},	//   _کرنا_, _রেসি, _živě_, _sığı, 
   {{0x75e0006b,0x8d870e65,0xdb06010e,0x2fdd01f2}},	//   _köze, _худд, ndké, _hlwg_, 
   {{0x27e0bebd,0x7c24bebe,0x236d0604,0x2b4903c6}},	//   thin_, _thir, _odej_, _ffac_, 
   {{0x6fdc2c55,0x224d0175,0x320e0054,0x7c240027}},	//   _kéca, _otek_, zofy_, _uhir, 
   {{0xb4d6031e,0x44240bfc,0x27e0bebf,0x95ca00b3}},	// [c380] िन्_, _rhm_, rhin_, олаб_, 
   {{0x27e001ee,0x44240110,0x7bc6090b,0x6fdc026a}},	//   shin_, _shm_, ljku, _méca, 
   {{0xe73a73f1,0x4424a889,0x27e0bec0,0x799cbec1}},	//   _мен_, _phm_, phin_, merw, 
   {{0xd36f0084,0x799cbec2,0x75e00761,0x7e7bbec3}},	//   لهم_, lerw, _sözd, kuup, 
   {{0xdb040183,0xaaa7031e,0x420a00d3,0x91e65804}},	//   _baié, खिएक, ондо_, моде, 
   {{0x799cbec4,0x9f460380,0x6aa4095a,0x6b8400a1}},	//   nerw, _bloß_, _msif, _lcig, 
   {{0x6b842f6f,0xe36602a6,0x224d027e,0x00000000}},	//   _ocig, _окви, _etek_, --, 
   {{0x3ead30c9,0x7764022c,0x799cbec5,0xce6abec6}},	//   fvet_, naix, herw, ород_, 
   {{0xcebb06d0,0xe2462751,0x799c3971,0xe2830cdf}},	//   _şərh_, _آخري, kerw, _илти, 
   {{0x7dcd00cc,0x6b8485af,0xddc91467,0x236d0352}},	//   _búsq, _acig, treš, _zdej_, 
   {{0x057700a7,0x75e0bec7,0x6aa4bec8,0x44449699}},	//   וגים_, _közb, _asif, nq_, 
   {{0x69debec9,0x444409c7,0x6fd511bb,0x6fdc0151}},	//   _alpe, iq_, _nách, _féca, 
   {{0x799cbeca,0x753c0035,0x3ead0082,0x6b8401be}},	//   ferw, _ogrz, cvet_, _dcig, 
   {{0xa3ab308d,0x2014006a,0xddc9becb,0x799c0c25}},	//   _कोई_, ścią_, preš, gerw, 
   {{0x97a7058e,0xd6fb0033,0x6d4a453c,0x29050241}},	//   мрал, _আরো_, _iffa, çla_, 
   {{0xdc2b00d4,0x69debecc,0x656e01be,0x2905003d}},	//   _بسته_, _elpe, _adbh, ħla_, 
   {{0x644e0bc3,0x44440405,0x799cbecd,0x645c00c3}},	// [c390] _atbi, eq_, berw, _awri, 
   {{0x645c0156,0x6b9d8f43,0x394709c7,0x7dc40300}},	//   _bwri, lesg, _üns_, _pòsy, 
   {{0x7985011c,0x7764310c,0x7bcd090e,0x224d5890}},	//   _ichw, baix, _koau, _stek_, 
   {{0x7764bece,0x64410107,0x6b9d2fdb,0x3ead3ed0}},	//   caix, _élim, nesg, yvet_, 
   {{0x4444008a,0x645c47e3,0xc6a400b9,0x4374017b}},	//   aq_, _ewri, _ирри, туєт, 
   {{0x7ff5082c,0x6fd50098,0x27ff0688,0x6fdc0212}},	//   کستا, _zách, čunu_, _réca, 
   {{0x44441c9f,0x261802e6,0x1c0f03ce,0x7985025b}},	//   cq_, _बीटी_, सवाल_, _mchw, 
   {{0x799c14d0,0x6d4abecf,0x7e7b0372,0x6fdc4dfd}},	//   zerw, _affa, tuup, _péca, 
   {{0xcdf5134f,0xe2f800f0,0x799cbed0,0x7cca00ad}},	//   ечны, _жеті_, yerw, fəro, 
   {{0x7bdfbed1,0x644804fe,0x63a9bed2,0x7dcd001d}},	//   _alqu, _édic, _haen, _cúsp, 
   {{0x3ead02ee,0x63a9bed3,0x30a7bed4,0x799c1114}},	//   svet_, _kaen, _юрав, verw, 
   {{0xff5303b1,0x6d4abed5,0x63a96b7e,0x799cbed6}},	//   _شخص_, _effa, _jaen, werw, 
   {{0x799cbed7,0x63a9bed8,0x7cca00ad,0xe8030d1d}},	//   terw, _maen, lərl, रचना_, 
   {{0x63a9007e,0x7bdf318d,0x2be2034d,0x69c100b0}},	//   _laen, _elqu, _पतवा, ölep, 
   {{0x799c01ae,0x63bb07fa,0x98aa07fa,0x6445006d}},	//   rerw, _onun, tabı_, jqhi, 
   {{0x07a3bed9,0x799cbeda,0x63a9bedb,0xc7a3bedc}},	//   ласн, serw, _naen, лиск, 
   {{0xd707bedd,0x7cca0095,0x80a10d53,0x6aa4095a}},	// [c3a0] енте_, hərl, _कैसे, _usif, 
   {{0xe617bede,0xf0a50023,0x98aa0761,0x69de0175}},	//   еду_, _đàng_, sabı_, _ulpe, 
   {{0x63a9bedf,0x6fd50369,0x628b040b,0x776402be}},	//   _baen, _tách, etgo, paix, 
   {{0x6fd53b87,0x63a90ec3,0x6565875a,0x4444511f}},	//   _fáci, _caen, aahh, rq_, 
   {{0xa3e608b3,0x798502bf,0x63a9bee0,0xdbc7007e}},	//   योग_, _ychw, _daen, _tööl, 
   {{0x6445006d,0x59c302e6,0x645c00f8,0x278800f6}},	//   bqhi, शायर, _twri, _эрүү_, 
   {{0x66032f48,0x644e022b,0x63a93199,0xc95300a7}},	//   _спра, _utbi, _faen, נמה_, 
   {{0xb4be333a,0x3a3a92bc,0x7c3e4a81,0x63a9afe9}},	//   ेही_, _lipp_, _épri, _gaen, 
   {{0x25aa2873,0x8d8635c2,0x68050028,0x437514b7}},	//   _kabl_, нунд, nėda, _јуст, 
   {{0x7cca0264,0x63a9bee1,0x71ea29ce,0x00000000}},	//   bərl, _zaen, _عفاف_, --, 
   {{0x67fb00c8,0x63a9bee2,0x7fd6004f,0x6b9d1d41}},	//   näjä, _yaen, _піді, tesg, 
   {{0x798502e7,0x68050028,0x00000000,0x00000000}},	//   _schw, kėda, --, --, 
   {{0x6b9dbee3,0x2be200c9,0xd00fbee4,0xdd92029a}},	//   resg, _पतरा, _الن_, _موش_, 
   {{0xdb0418f8,0x6d4a0090,0xa2c1009a,0x3ea600c8}},	//   _anió, _uffa, लमत्, _isot_, 
   {{0x2d9ebee5,0x4e1700d1,0x00000000,0x00000000}},	//   mete_, _רחוב_, --, --, 
   {{0x2d9e3050,0x656502cd,0x7bdf0126,0x7c830d47}},	//   lete_, wahh, _ulqu, _суше, 
   {{0xb8c8072f,0x63a9bee6,0x7ddf078a,0x4735012d}},	// [c3b0] _खै_, _raen, _hêsa, тнас, 
   {{0x26c70062,0x63a9bee7,0xaa640141,0x3954031e}},	//   ćno_, _saen, _стък, časí_, 
   {{0xf1bf0029,0x63a9bee8,0x6fdc0068,0xe1f100d4}},	//   _đá_, _paen, _néco, یست_, 
   {{0xe8d60052,0x2d9ebee9,0x6fd52033,0xa8560486}},	//   _יותר_, hete_, _táci, _שירה_, 
   {{0x63a900b0,0xa3b600a5,0xa2c1009a,0x36d418ec}},	//   _vaen, जाज_, लमध्, _бояр, 
   {{0x63a9beea,0x4b3800c7,0xf99400c7,0x4095210a}},	//   _waen, ׂראל_, ָרק_, врит, 
   {{0x2d9ebeeb,0x63a9beec,0x628bbeed,0x91e20eba}},	//   dete_, _taen, stgo, роще, 
   {{0x6fdc0518,0x7e69beee,0x63bbbeef,0x7cca0248}},	//   _déco, tsep, _unun, rərl, 
   {{0x6fdc1408,0x2d9ebef0,0xdee50cb2,0xd13b00b3}},	//   _técn, fete_, топи, _ехе_, 
   {{0x7e69bef1,0x6fdc0212,0x6fd500da,0x3f860474}},	//   rsep, _féco, _nácv, _ecou_, 
   {{0x3ea600e0,0x2d8b0035,0x00000000,0x00000000}},	//   _esot_, ęce_, --, --, 
   {{0x3a3a085b,0xe73f00e7,0x31671a4d,0x7e6900c2}},	//   _sipp_, _ngõ_, lanz_, psep, 
   {{0x2d9ebef2,0x00000000,0x00000000,0x00000000}},	//   bete_, --, --, --, 
   {{0x2d9e0076,0x2fcfbef3,0x31670380,0x4ce00033}},	//   cete_, _hogg_, nanz_, _ফখরু, 
   {{0x98b800e0,0xdca52461,0x00000000,0x00000000}},	//   mbrī_, _райи, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa3d50351,0x36670141,0x3a3abef4,0x24980640}},	// [c3c0] ाउन_, като_, _tipp_, _sprm_, 
   {{0x7a7b00fe,0x67fb030f,0x2fcf02fb,0x6805012d}},	//   _קריס, täjä, _logg_, rėda, 
   {{0xe5a302f1,0xb4be01a4,0x80a10035,0xbb1b010c}},	//   рихи, ेहे_, _कैले, ngîn, 
   {{0xdb04bef5,0x6fdcbef6,0x7c3e01d8,0x69dc7ac6}},	//   _unió, _réco, _èpre, lkre, 
   {{0x69dc044e,0x6fdc026d,0x2d9ebef7,0x07a35750}},	//   okre, _décl, yete_, _таян, 
   {{0xa13c0243,0x31670502,0xcad700d1,0x00000000}},	//   _kaķi, ganz_, כונת_, --, 
   {{0x75e0027e,0x2ca70210,0x515503a1,0x00000000}},	//   _göza, _nsnd_, утчу, --, 
   {{0x2d9ebef8,0x27e20065,0x08770070,0x2fcf0534}},	//   wete_, _jlkn_, דעקט_, _cogg_, 
   {{0x7d1d0095,0xc24321e6,0x69dcbef9,0x31670027}},	//   əssi, _внук, kkre, banz_, 
   {{0xf77f027e,0x2b40befa,0x00000000,0x00000000}},	//   _ilçe_, _agic_, --, --, 
   {{0xdfd20444,0x69dcbefb,0x8ca90249,0x6ca30080}},	//   _پيش_, dkre, टिगो, аряж, 
   {{0xd174005e,0x40ab006b,0xdb040068,0x8fa603b7}},	//   _шығы, _زخمی_, _aniñ, _јаде, 
   {{0xdd9403fd,0xb92a01a7,0x6ab600f8,0x2b400090}},	//   _балы, _tatỳ_, _cryf, _dgic_, 
   {{0xc33300a7,0x69dc3e39,0x6ab608b0,0x2d9e1e1b}},	//   יור_, gkre, _dryf, qete_, 
   {{0x7c8652f1,0xd83b012d,0x6d5a021e,0x69c30237}},	//   _руле, дэа_, mbta, _ònem, 
   {{0x3f843dbc,0x5fc5009a,0x6d5a0028,0xdce101dd}},	//   ngmu_, वायल, lbta, zglī, 
   {{0x6ab6befc,0x6fdc0107,0xd8380009,0x02be0083}},	// [c3d0] _gryf, _récl, тэр_, ्होन, 
   {{0x69dcbefd,0x56940176,0xa3e500c9,0xdc00009a}},	//   ckre, рафт, _फतह_, ोकॅड_, 
   {{0x61f80112,0xdb1d007e,0x601e024a,0x3167befe}},	//   divl, rksõ, rëmj, vanz_, 
   {{0x2458beff,0x7bdd0eb1,0x80b805ff,0x2fc001f5}},	//   таць_, nksu, ्मने, _òigh_, 
   {{0xe3b000d4,0xbb1b0216,0x81ac0033,0x3167bf00}},	//   ترل_, zgîn, গান_, tanz_, 
   {{0x6fd51a6e,0x2fcf0036,0x20893af7,0xbbd037ff}},	//   _láct, _sogg_, ейки_, _हक्क, 
   {{0x2edb031e,0x261000a2,0x51847ff1,0x31674ef1}},	//   यन्त, तकरी_, руча, ranz_, 
   {{0xfe79031e,0xa3ab0035,0xbb1b0218,0x61f80ff2}},	//   trů_, _कोच_, vgîn, aivl, 
   {{0xee39bf01,0x0ccb0c3a,0x3279039f,0x00000000}},	//   нни_, ाह्म, _سماج_, --, 
   {{0x925803dc,0x2b400183,0x2b9e0108,0x41b700c9}},	//   _рафт_, _sgic_, _ắc_, _आफिस, 
   {{0x9055bf02,0xd0840080,0x00000000,0x00000000}},	//   _свец, _вычи, --, --, 
   {{0x5bde02e6,0xb5fb00da,0x50da0147,0x61e60028}},	//   मसेव, _kvás, _אקעא, _įkli, 
   {{0x69dcbf03,0xe73f059e,0x00000000,0x00000000}},	//   tkre, _eaõk_, --, --, 
   {{0x6fd502aa,0x7bdd6232,0x6ab60ff2,0x00000000}},	//   _vácu, aksu, _vryf, --, 
   {{0x27e20640,0x6fd5001d,0xdd8e009c,0xdb0402be}},	//   _plkn_, _fáct, _روي_, _baiã, 
   {{0x61f8090b,0x69dcbf04,0x6ab6bf05,0xb6a600a3}},	//   zivl, skre, _tryf, либл, 
   {{0x857a041d,0x25a10380,0xc726022c,0x69c8bf06}},	// [c3e0] есет_, fehl_, удай, ödes, 
   {{0x2d85bf07,0x80b30262,0x29040095,0xe9a602a6}},	//   ngle_, ंटाइ, şmaq_, _саоп, 
   {{0xdcea2873,0x61f8bf08,0x7ddf009e,0x629b16d0}},	//   ćiće, vivl, _lêso, _apuo, 
   {{0xb5fb00bc,0xa4f4009a,0x6b860026,0x130a1193}},	//   _svát, _आधीच_, ngkg, нней_, 
   {{0x9f4400e5,0x61f8bf09,0xa3b502e6,0x6d5a0afc}},	//   shmë_, tivl, _जफर_, ybta, 
   {{0xf12600dd,0x7e7bbf0a,0xd9f60c65,0x00000000}},	//   льйо, drup, ुचित_, --, 
   {{0x61f82b4a,0xa50a00d9,0x201f0d75,0x7e7b039b}},	//   rivl, _чева_, flui_, erup, 
   {{0xddcb00ef,0x4fd40e10,0x764601a3,0x75e0039f}},	//   _ćiši, ржит, _kuky, _közo, 
   {{0x7e7b0c17,0x7306bf0b,0x63a227bb,0xa27600f0}},	//   grup, _спаз, meon, _сұлу_, 
   {{0x7cca0270,0x211a00eb,0x2713001b,0x2d85bf0c}},	//   ləri, _كتاب_, ệng_, ggle_, 
   {{0xdd97004e,0x7c661930,0x4c9482f1,0x7646935b}},	//   ушы_, داخل, шинс, _luky, 
   {{0x63a207d7,0x201f02a0,0x00000000,0x00000000}},	//   neon, clui_, --, --, 
   {{0x764602a5,0x644102be,0x8ae40259,0x00000000}},	//   _nuky, _éliv, бірл, --, 
   {{0x7cca0095,0xcee90019,0x63a228d7,0xf4020474}},	//   həri, _جرمن_, heon, liţă_, 
   {{0x6fd50503,0xe919004f,0x63a2bf0d,0xb5fb09c6}},	//   _táct, тові_, keon, _ovár, 
   {{0xd7f800d3,0xb8860165,0x69c8bf0e,0x76460547}},	//   гуу_, _suíç, öder, _buky, 
   {{0x311b0a09,0x7c2dbf0f,0x6fc500a2,0x5fc500a2}},	// [c3f0] _पुनः_, _ihar, वातं, वातल, 
   {{0xfbdf010c,0x7c2d01be,0x6282052b,0x00000000}},	//   lkê_, _hhar, duoo, --, 
   {{0x7cca0095,0x06d60033,0xd49b0009,0xd3710038}},	//   fəri, _সেদি, эра_, قها_, 
   {{0x4395bf10,0x7c2d306c,0x63a2bf11,0xfbdf0218}},	//   радс, _jhar, geon, nkê_, 
   {{0x27e91600,0x7c2dbf12,0x75e00019,0x98b104be}},	//   mhan_, _mhar, _közl, mazı_, 
   {{0x27e91ae0,0xf67a035c,0x79870065,0x2be20497}},	//   lhan_, _באשמ, ngjw, _पत्थ, 
   {{0xc0e5bf13,0x344903dc,0x7c2dbf14,0x2258008b}},	//   ройк, _рӯзи_, _ohar, _črke_, 
   {{0x27e9bf15,0x201f00d9,0x645501ca,0x1e95035b}},	//   nhan_, ului_, _itzi, арор, 
   {{0x442d016c,0x6fdc0107,0x64470548,0xdce101dd}},	//   _ihe_, _méch, _huji, dalā, 
   {{0x64472083,0x443fbf16,0x442d0045,0x5bde0a34}},	//   _kuji, _hiu_, _hhe_, मस्व, 
   {{0x7c2d531b,0x443fbf17,0x1d091270,0x6567bf18}},	//   _bhar, _kiu_, тени_, _mejh, 
   {{0x7c2dbf19,0x64470010,0x443fbf1a,0x6d5c0a6d}},	//   _char, _muji, _jiu_, ðrar, 
   {{0xed4ebf1b,0x27e93ad7,0x7c2dbf1c,0x16151516}},	//   _мо_, dhan_, _dhar, तकार_, 
   {{0x2fcd02f5,0x442d03b7,0x656700bc,0x7cca00ad}},	//   ljeg_, _lhe_, _nejh, zəri, 
   {{0x7a2002f2,0xa9673859,0x7c2d0a69,0x443f0183}},	//   nöti, риса_, _fhar, _oiu_, 
   {{0x27e90bc1,0x2fcd003a,0x443fbf1d,0x7c2dbf1e}},	//   ghan_, njeg_, _niu_, _ghar, 
  
   {{0x05660ecb,0x656745ba,0xfaa605e0,0x63a20626}},	// [c400] иван, _bejh, _тапо, veon, 
   {{0x75e00e7b,0xdb0403da,0x442d2926,0x443f01be}},	//   _gözl, _gaiá, _ahe_, _aiu_, 
   {{0xb97b0056,0x27e9bf1f,0x7663031e,0x442dbf20}},	//   _בניי, bhan_, _čtyř, _bhe_, 
   {{0x442d79b6,0x27e9bf21,0x443f00d3,0xdddb0588}},	//   _che_, chan_, _ciu_, jtuž, 
   {{0x442d5cfa,0x27e00c67,0x443f00d3,0x31c60141}},	//   _dhe_, mkin_, _diu_, искв, 
   {{0x63a22873,0xc569006b,0x442dbf22,0x7cca00ad}},	//   seon, _محفل_, _ehe_, səri, 
   {{0x443fbf23,0xb5fb0377,0x206700d3,0x216500f0}},	//   _fiu_, _tvár, ашып_, стіг, 
   {{0x27e00df8,0x443fbf24,0x7e6206df,0x06cd0033}},	//   nkin_, _giu_, _pwop, _রেটি, 
   {{0x27e0bf25,0x41aa2756,0xfbdf0216,0xf402020f}},	//   ikin_, _иван_, vkê_, riţă_, 
   {{0x7c2dbf26,0x6440bf27,0x6447016a,0x2d8a027e}},	//   _shar, _himi, _yuji, übe_, 
   {{0x2702bf28,0xa5b700c7,0x27e906a2,0x7c2dbf29}},	//   लपुर_, בליק_, yhan_, _phar, 
   {{0x75e003b0,0xdb040183,0xe4f90e07,0xcfd00033}},	//   _sözl, _saiá, ्पति_, ়োজন, 
   {{0x6440bf2a,0x27e002fe,0xfbdf010c,0x6fdc3797}},	//   _mimi, dkin_, rkê_, _réch, 
   {{0x27e00a9f,0x661c02fe,0x6fdc0107,0xfbdf010c}},	//   ekin_, _nkrk, _séch, skê_, 
   {{0x98480021,0x27e9bf2b,0x6c840084,0x7c2dbf2c}},	//   ията_, than_, _العم, _thar, 
   {{0x6440bf2d,0x27e90574,0x7c2dbf2e,0x27e05ef0}},	//   _nimi, uhan_, _uhar, gkin_, 
   {{0x76b91b17,0x443fbf2f,0x06cd0086,0x6447bf30}},	// [c410] ылар_, _riu_, _রেজি, _suji, 
   {{0x27e9bf31,0x6fdcbf32,0x442dbf26,0x64470da2}},	//   shan_, _déci, _she_, _puji, 
   {{0xf8b1182b,0x443f0141,0xb4e100a2,0xfa3400eb}},	//   _عکس_, _piu_, धने_, _بريد, 
   {{0x98a10029,0x64471ed4,0x6440bf33,0x442d0201}},	//   _nghĩ_, _vuji, _cimi, _qhe_, 
   {{0x443fbf34,0xe299bf35,0x479a00d1,0x6aad008a}},	//   _viu_, уал_, _גירס, _jsaf, 
   {{0x6447bf36,0x6aad0053,0x764d0095,0x216628c1}},	//   _tuji, _msaf, mqay, биши_, 
   {{0x442dbf37,0x645501f1,0x00000000,0x00000000}},	//   _the_, _utzi, --, --, 
   {{0x6440bf38,0x917800e7,0x442dbf39,0x6aad0532}},	//   _gimi, _với_, _uhe_, _osaf, 
   {{0xa1590099,0xfe710038,0x3eb9bf3a,0x764d0c45}},	//   _базу_, أدب_, íst_, nqay, 
   {{0x27e002ba,0x6440bf3b,0x3f7700e7,0x91780108}},	//   zkin_, _zimi, ểu_, _tới_, 
   {{0x64402843,0x6441bf3c,0x6aadbf3d,0xcb6abf3e}},	//   _yimi, _élis, _asaf, лане_, 
   {{0x64400508,0xdca5035b,0x70b30299,0x00000000}},	//   _ximi, _ҳаки, ंटील, --, 
   {{0xdfb815ce,0x00000000,0x00000000,0x00000000}},	//   _خالص_, --, --, --, 
   {{0x6d430c3d,0x6fdc026a,0xed56516f,0xdddb003d}},	//   _ugna, _réci, _лош_, ntuż, 
   {{0x27e00088,0xc8b579a7,0xdce30028,0x3cd401ff}},	//   tkin_, осты, _kenč, _мўът, 
   {{0x30da0070,0x999a02d9,0xdce30118,0x27e0bf3f}},	//   אַמע, _tipů_, _jenč, ukin_, 
   {{0x7bc40c36,0x6440a320,0x915e0108,0xe9dabf40}},	// [c420] _iniu, _rimi, _lắm_, _бкп_, 
   {{0x64400ad8,0xc9aa9958,0xdce30d9d,0x64480118}},	//   _simi, _свое_, _lenč, _édik, 
   {{0xc7a60665,0x6440bf41,0x7bd6027e,0x64a3b5c2}},	//   _линк, _pimi, _koyu, заха, 
   {{0x64a6004e,0x644001ff,0x201d0027,0xdb0402be}},	//   _қаба, _qimi, _nkwi_, _caiç, 
   {{0x6440bf42,0x9f91008c,0xe29602a0,0x8c1b029e}},	//   _vimi, _ráð_, среќ, נוני, 
   {{0xd46a0e61,0x6440016c,0xdb0402be,0x00000000}},	//   _محرم_, _wimi, _uniõ, --, 
   {{0x6440bf43,0xdce30604,0xd01a2024,0x00000000}},	//   _timi, _benč, лфи_, --, 
   {{0xa8570056,0x61ea0626,0x6440123f,0x00000000}},	//   זיקה_, shfl, _uimi, --, 
   {{0x437502a0,0x88ce0033,0x7a2031ac,0x00000000}},	//   _фуст, রনিক, lötu, --, 
   {{0x6b8dbf44,0x2d99010e,0x9f440369,0x29f201dd}},	//   _scag, ősen_, timó_, iņas_, 
   {{0x7bd603c0,0x25f0093a,0x1da93832,0xfbc400a2}},	//   _boyu, _इतनी_, _कसरत, षांम, 
   {{0x7bd6bf45,0xff2a00a3,0xac19b410,0x6aad02be}},	//   _coyu, _йўли_, рому_, _psaf, 
   {{0xa3d017dc,0x644802a3,0xdb06009e,0xff031628}},	//   _वचन_, _èdif, lekê, _няшн, 
   {{0x2d570088,0x69ca0237,0x00000000,0x00000000}},	//   _лишь_, _òfel, --, --, 
   {{0x7c3f01d8,0xfc4900e7,0xdb06010c,0x06d60033}},	//   _èpro, _hận_, nekê, _সেলি, 
   {{0xf7701a1c,0x6aadbf46,0x00000000,0x00000000}},	//   ّال_, _tsaf, --, --, 
   {{0x6aad0010,0x34e1031e,0x9f46039b,0xdb06009e}},	// [c430] _usaf, पन्द, _aloë_, hekê, 
   {{0x99671ac0,0xfc490108,0x00000000,0x00000000}},	//   _утил, _mận_, --, --, 
   {{0xfc490023,0x67d500b3,0x69c5654c,0x545516a0}},	//   _lận_, _дону, _inhe, цвет, 
   {{0x7cca0095,0x69d70068,0x78fa00d1,0x61fa9183}},	//   lərs, _hoxe, _כפתו, _amtl, 
   {{0xdce31f04,0x3abc0070,0x00000000,0x00000000}},	//   _renč, ָמונ, --, --, 
   {{0xd4e70b2d,0x51870230,0xdce37f9e,0x95cb05b4}},	//   _люби, суда, _senč, _сума_, 
   {{0x205414c1,0x00000000,0x00000000,0x00000000}},	//   птыр, --, --, --, 
   {{0x403203b7,0xfc4900e7,0xb0680038,0x69d700f6}},	//   мејс, _bận_, حصول_, _loxe, 
   {{0xdce30267,0xfc49001b,0x69c510f3,0x6006012d}},	//   _venč, _cận_, _onhe, ўным_, 
   {{0x7bd60092,0x69d7bf47,0x7a20bf48,0xfc490210}},	//   _soyu, _noxe, nött, _dận_, 
   {{0xddc9020b,0x2cae00da,0x00000000,0x00000000}},	//   prež, _csfd_, --, --, 
   {{0x7bd606d0,0x69c5bf49,0xeababf4a,0x2d8e0354}},	//   _qoyu, _anhe, айм_, _ecfe_, 
   {{0x2b170366,0x81ac0086,0x69d7bf4b,0xbe6900b3}},	//   _धुआँ_, গার_, _boxe, _талж_, 
   {{0xfce50286,0x69d70183,0xed592334,0x6fdc0151}},	//   _моло, _coxe, _ток_, _décu, 
   {{0xd943bf4c,0x186abf4d,0x7bd600ad,0x00000000}},	//   дери, раби_, _toyu, --, 
   {{0x3ea9026e,0x7bc400d9,0x69c50cac,0xb8d2017d}},	//   _šaty_, _uniu, _enhe, _टन_, 
   {{0x2fc00038,0x00000000,0x00000000,0x00000000}},	// [c440] _óige_, --, --, --, 
   {{0x6fdc1771,0x7c2632fe,0x75e0010e,0x7ddf0216}},	//   _héct, llkr, _közi, _bêsi, 
   {{0xdd7a0137,0xfecf0086,0xf746bf4e,0xb8ff0033}},	//   שטעל, িনিধ, _мено, _দে_, 
   {{0x0326bf4f,0x86b40259,0xdb06021e,0x81b30033}},	//   оден, _нәзі, jekë, টাফ_, 
   {{0xdc3700c7,0x77910019,0x386d0304,0x81b30033}},	//   קאנט_, _سیلا, ćere_, টান_, 
   {{0x6f04090e,0x36670176,0x845a0cd9,0x6441023e}},	//   _žico, _фаро_, _врат_, _èlin, 
   {{0x7cca00ad,0xc0ca00b3,0x00000000,0x00000000}},	//   hərr, руле_, --, --, 
   {{0x6fdc2888,0x645e00c8,0xdb06010c,0xaed40176}},	//   _néct, mppi, rekê, зоиш, 
   {{0x4426bf50,0xa089004e,0x3eaf0023,0x3ebd03c6}},	//   mlo_, асөз_, _csgt_, _crwt_, 
   {{0x44260df7,0xfc49001b,0x6fdc026a,0x645e00c8}},	//   llo_, _vận_, _récu, oppi, 
   {{0x6fdcbf51,0xa3ae00a2,0x4426bf52,0x6c542d94}},	//   _sécu, _कसा_, olo_, якну, 
   {{0xfc49001b,0x7a20010e,0x4426bf53,0x321cbf54}},	//   _tận_, zött, nlo_, lovy_, 
   {{0x4426bf55,0x2fc6390a,0x62823728,0x7cca0248}},	//   ilo_, _inog_, nroo, tərs, 
   {{0x4426bf56,0x9e6500c5,0x321c014b,0x2d9c045a}},	//   hlo_, _راهن, novy_, _ubve_, 
   {{0x628202b0,0xdcf80241,0x7cca0248,0x9f46260f}},	//   hroo, _tavı, rərs, _aloé_, 
   {{0x44260097,0x7df900bc,0x2d8c0512,0x4903022c}},	//   jlo_, yňsk, lgde_, зүүг, 
   {{0x4426bf57,0x5694021f,0xdce300e0,0x2d8c0511}},	// [c450] dlo_, матт, _ienā, ogde_, 
   {{0x4426bf58,0x2d8c32b9,0x69c5bf59,0x628201a6}},	//   elo_, ngde_, _unhe, droo, 
   {{0x2fc603ef,0x321c026e,0x7a20bf5a,0x2d8c299f}},	//   _onog_, dovy_, rött, igde_, 
   {{0x6282040b,0x53352e2d,0x00000000,0x00000000}},	//   froo, пеет, --, --, 
   {{0xa75600a7,0xb2ab1829,0x62820511,0x2a69016a}},	//   _משרד_, ртеж_, groo, _jwab_, 
   {{0x4426bf5b,0x21660a63,0xe1f836bb,0x64580068}},	//   alo_, пиши_, огі_, ívic, 
   {{0x6282012b,0xdb0a014b,0x316c02be,0xd24400d9}},	//   aroo, čném, _dedz_, фэци, 
   {{0x62827b51,0xa29508ab,0x0e650ca4,0xefc923de}},	//   broo, _набі, пкин, слил_, 
   {{0x6d5c04d6,0x321c0ed9,0x00000000,0x00000000}},	//   ıran, bovy_, --, --, 
   {{0x271a00e7,0x4c85052d,0x2d8c0219,0x321c00da}},	//   ỏng_, плов, ggde_, covy_, 
   {{0x236d023b,0x2a69011c,0xeaf600bd,0x29040213}},	//   _keej_, _awab_, ीप्त_, şmaz_, 
   {{0x2b490042,0xeb9a154d,0x224d0065,0x2d8c0a58}},	//   _cgac_, щим_, _kuek_, agde_, 
   {{0x236d01a0,0x67ea008c,0x644802be,0x9c7c00da}},	//   _meej_, _nýja, _édiv, vyče, 
   {{0xceb21ccc,0x236d0e0c,0x985600dd,0x645e00c8}},	//   _ניו_, _leej_, зташ, yppi, 
   {{0x4426bf5c,0xdca2177b,0x75e00019,0x7cca00ad}},	//   ylo_, _защи, _közv, sərr, 
   {{0x236d01c1,0x62820268,0x3f8d4b42,0x684312db}},	//   _neej_, yroo, ngeu_, енса, 
   {{0xe737bf5d,0x44263828,0xa68609d9,0xe57abf5e}},	// [c460] зет_, vlo_, ялад, йза_, 
   {{0x224500a1,0x00000000,0x00000000,0x00000000}},	//   _nilk_, --, --, --, 
   {{0x89db042c,0x44268bd3,0xdb06010e,0x224d01d6}},	//   _החיי, tlo_, deké, _auek_, 
   {{0x62825e20,0x44262946,0x224d0065,0xd46900eb}},	//   troo, ulo_, _buek_, تحكم_, 
   {{0x4426bf5f,0x224dbf60,0xf1c700a2,0x321cbf61}},	//   rlo_, _cuek_, लांन, tovy_, 
   {{0x98b80fa3,0x442654b1,0x62822caf,0x6aa400a9}},	//   ları_, slo_, rroo, _mpif, 
   {{0x321c3001,0x628208b0,0x30a30080,0x3ead0566}},	//   rovy_, sroo, ерыв, ewet_, 
   {{0x644e002e,0x6282bf62,0x661e0688,0x6aa40036}},	//   _iubi, proo, lopk, _opif, 
   {{0x644e04b3,0x63a0023e,0x656e1b6b,0xddcf0604}},	//   _hubi, _ibmn, _kebh, _šešo, 
   {{0x644ebf63,0x672600fc,0x2d8c15e9,0x236d023b}},	//   _kubi, _mykj, ugde_, _zeej_, 
   {{0x236d0e0c,0x6fdc026d,0x2d8c0511,0x98b80384}},	//   _yeej_, _décr, rgde_, karı_, 
   {{0x644e01ae,0x661e7a99,0x2d820241,0x656e630c}},	//   _mubi, hopk, şke_, _lebh, 
   {{0x644ebf64,0xdfcf0038,0x98b806a2,0xdd94013e}},	//   _lubi, _حين_, darı_, _жалы, 
   {{0x645cbf65,0x19586fb9,0x644ebf66,0x00000000}},	//   _otri, зары_, _oubi, --, 
   {{0x644ebf67,0x59f8bf68,0x645c008a,0x00000000}},	//   _nubi, черя_, _ntri, --, 
   {{0x98b80eb6,0x67d4bf69,0x00000000,0x00000000}},	//   garı_, носу, --, --, 
   {{0x95d9bf6a,0x644e0151,0x2a6901e5,0x4b7c00df}},	// [c470] одат_, _aubi, _uwab_, _האחו, 
   {{0x996700cf,0x644e0c25,0x236d023b,0x3c320032}},	//   _этил, _bubi, _seej_, ráve_, 
   {{0x644e2c5b,0x63a0016a,0x236d0201,0xdb16010c}},	//   _cubi, _bbmn, _peej_, _nayê, 
   {{0x236d0201,0x7ddf0216,0x645c007a,0x22451cea}},	//   _qeej_, _hêst, _dtri, _silk_, 
   {{0x923908f0,0xfc490108,0xdb06039f,0xae0c35ad}},	//   очку_, _rậm_, teké, िचान_, 
   {{0xed4600d4,0x656ebf6b,0xcb140070,0xd874023e}},	//   _لپ_, _gebh, עלס_, _تایب, 
   {{0x644e02f5,0x236d023b,0x6d47090e,0xf4840267}},	//   _gubi, _teej_, žjak, _путн, 
   {{0x7e7d397a,0x6d580af8,0x56000086,0x7ff500d4}},	//   áspo, _afva, ্তৃক_, بستا, 
   {{0x644e5d88,0x764702b8,0xddc20604,0xdce80caf}},	//   _zubi, _kijy, _dvož, vadā, 
   {{0x63ab28b5,0x644ebf6c,0x628bbf6d,0x645c01e8}},	//   legn, _yubi, mugo, _ytri, 
   {{0x644e03da,0x64486d8c,0x628bbf6e,0x3ead0d62}},	//   _xubi, _édit, lugo, swet_, 
   {{0x2734010d,0xddc20d02,0xcfab0625,0x98b800ad}},	//   _júní_, _gvož, _دائم_, xarı_, 
   {{0x6299bf6f,0x0f560056,0x628b0daa,0x75e00019}},	//   ntwo, _חינם_, nugo, _közt, 
   {{0xbea2b47e,0xa2b0009a,0x7647007c,0x997d0243}},	//   _рашк, _आईस्, _nijy, tāšu_, 
   {{0xaa435a94,0x628b2244,0x200d02be,0x98b80213}},	//   терл, hugo, onei_, tarı_, 
   {{0x764f08dc,0x5d440070,0x07a3bf70,0x200d0474}},	//   _bucy, _אָפּ_, касн, nnei_, 
   {{0x644e09e6,0x386d08b1,0x645cbf71,0x7764010c}},	// [c480] _subi, ćera_, _stri, rbix, 
   {{0x644ebf72,0xe57a2983,0x764f016c,0x98b80d16}},	//   _pubi, ізе_, _ducy, sarı_, 
   {{0x76470237,0x661e0032,0xe3ba0267,0xb4e810cf}},	//   _dijy, ropk, жбе_, यने_, 
   {{0x656e00da,0x63ab5453,0xd90d0019,0x53e5004f}},	//   _webh, gegn, _ایف_, нціа, 
   {{0x656e006d,0x66840274,0x628bbf73,0x764f02b8}},	//   _tebh, _سیال, gugo, _gucy, 
   {{0x644ebf74,0x200dbf75,0x7c24040c,0x645c01f2}},	//   _tubi, enei_, _lkir, _ttri, 
   {{0x645cbf76,0x63abbf77,0x7c24544c,0x92ce0033}},	//   _utri, begn, _okir, শনে_, 
   {{0xdfd00084,0xd7d100a2,0x628bbf78,0xf1c7031e}},	//   اية_, हायच, bugo, लाउन, 
   {{0x25b872fd,0x8d86bf79,0x7c3f0036,0x8fa30477}},	//   _karl_, мунд, _èpri, тање, 
   {{0x7c246c7f,0x200d00b3,0xdb06010c,0x25b8076b}},	//   _akir, anei_, tekî, _jarl_, 
   {{0x4424bf7a,0x64484720,0x6e28018e,0x00000000}},	//   _kkm_, _édis, rldb, --, 
   {{0x4424bf7b,0xa2c20df2,0xddc20352,0x7c3600f8}},	//   _jkm_, लिप्, _uvož, _chyr, 
   {{0x2004bf7c,0x4424bf7d,0x6b9dbf7e,0x6e93007a}},	//   mimi_, _mkm_, rfsg, _للنا, 
   {{0x2004bf7f,0x7c240a8b,0xdd940161,0x6abd0566}},	//   limi_, _ekir, _чакы, rvsf, 
   {{0x26c2b802,0xa3ae009a,0xb4ad00c2,0xdb160118}},	//   _arko_, _कसं_, _कने_, _layè, 
   {{0x2d9ebf80,0x236619e2,0x27f203c6,0x26c20372}},	//   lfte_, jboj_, ghyn_, _brko_, 
   {{0x98af0749,0x26c2015e,0x63abbf81,0x80c00586}},	// [c490] ınız_, _crko_, vegn, विडे, 
   {{0x7e6d010c,0x2004a3d8,0x6eb100a5,0xa2c21f22}},	//   _çape, himi_, _अनसु, लिन्, 
   {{0x81c60033,0xe759004f,0x3c32020b,0x442485ef}},	//   ৎসা_, _нині_, láva_, _bkm_, 
   {{0x628bbf82,0x2004bf83,0xb5fb0038,0x629901c4}},	//   tugo, jimi_, _stád, ttwo, 
   {{0x27e90730,0x2004bf84,0x63ab155b,0x81d80086}},	//   mkan_, dimi_, regn, াসন_, 
   {{0x27e91336,0x63aba560,0x628b02b8,0x9f98008c}},	//   lkan_, segn, rugo, _séð_, 
   {{0x63ab0141,0x6594005e,0x3ea603a0,0x4424023a}},	//   pegn, _шару, _apot_, _fkm_, 
   {{0x27e911f7,0x6605120c,0x2004bf85,0x628b0008}},	//   nkan_, lihk, gimi_, pugo, 
   {{0x27e9bf86,0x200d143c,0x5215004f,0xdcea0118}},	//   ikan_, rnei_, _здат, _defč, 
   {{0x27e91336,0xee361838,0x6d4e2e7d,0x3c320228}},	//   hkan_, нны_, žban, dáva_, 
   {{0x27e9bf87,0x2004024a,0x6ab80586,0x7c240102}},	//   kkan_, bimi_, इट्र, _pkir, 
   {{0xca290056,0x27e902fe,0x6605342b,0x2004bf88}},	//   _הם_, jkan_, hihk, cimi_, 
   {{0x27e9005c,0xbea51284,0x00000000,0x00000000}},	//   dkan_, _чалк, --, --, 
   {{0x67e3007e,0x64490026,0xb8665297,0x00000000}},	//   _mõju, _liei, فارو, --, 
   {{0x27e9005c,0x66050666,0xa3c105d0,0x18a3bf89}},	//   fkan_, dihk, ्ञा_, ларм, 
   {{0x27e90975,0x7c240f80,0x25b80107,0xfaff0034}},	//   gkan_, _ukir, _sarl_, mbën_, 
   {{0x65c66a02,0xdca302f1,0xd7c4009a,0x225f2f84}},	// [c4a0] нбаа, _чақи, _लोणच, _ntuk_, 
   {{0x2004bf8a,0x27e97967,0x66051cb4,0x6e210156}},	//   zimi_, akan_, gihk, nolb, 
   {{0x27e911f7,0x64495ff5,0x225f0640,0x20043f1d}},	//   bkan_, _biei, _atuk_, yimi_, 
   {{0xe29abf8b,0x27e90750,0xd5c907cc,0xd36f0038}},	//   зад_, ckan_, राउज, مهم_, 
   {{0x2004bf8c,0xd32315dd,0x6605156e,0xdb1600f6}},	//   vimi_, льши, bihk, _bayé, 
   {{0x69de43b4,0x2a6000e2,0x200402a5,0x41c701a4}},	//   _jope, _mtib_, wimi_, लागस, 
   {{0x2004bf8d,0x26c05125,0x64490c74,0x672200e0}},	//   timi_, lvio_, _fiei, ļoju, 
   {{0x69debf8e,0x4424bf8f,0x044317d9,0x2a6001ff}},	//   _lope, _ukm_, _бесн, _otib_, 
   {{0x2004bf90,0x26c07c67,0x69debf91,0x00000000}},	//   rimi_, nvio_, _oope, --, 
   {{0xdd90024f,0x69debf92,0x20040f2c,0x6e2140fa}},	//   جود_, _nope, simi_, golb, 
   {{0x6f66bf93,0x4ac302f8,0x2d9ebf94,0xe7e1031e}},	//   _звез, शिभव, rfte_, _नवलप, 
   {{0xcfaf0086,0x3c320032,0x78550028,0x27e901d6}},	//   কাউন, táva_, _sąvo, xkan_, 
   {{0x81b3100b,0x2bb20a34,0x69debf95,0x6db400f6}},	//   টার_, _जसरा, _bope, _айлу, 
   {{0x69de9f56,0x3c32063b,0x26c00242,0x61ea0e16}},	//   _cope, ráva_, dvio_, nkfl, 
   {{0x27e91336,0x2a6002f1,0x69debf96,0x386d02fe}},	//   tkan_, _etib_, _dope, ćero_, 
   {{0x69de0065,0xf7730523,0x082800d9,0x00000000}},	//   _eope, طار_, ецуи_, --, 
   {{0x27e91336,0xf6530b7e,0x66050ab1,0x69de0626}},	// [c4b0] rkan_, ائر_, tihk, _fope, 
   {{0x27e911f7,0x984bbf97,0x6d5abf98,0x7bdf022c}},	//   skan_, _няма_, ncta, _hoqu, 
   {{0x27e911f7,0x225f0265,0x6605085b,0x9c7c0098}},	//   pkan_, _stuk_, rihk, zyčn, 
   {{0x66057378,0x69debf99,0xdb16bf9a,0x987a035c}},	//   sihk, _zope, _mayî, _קארט, 
   {{0x6449bf9b,0x326702a6,0x7bdfbf9c,0xdb1606e6}},	//   _viei, хтев, _moqu, _payé, 
   {{0x7bdfbf9d,0x1e1a00ab,0x8145010e,0x00000000}},	//   _loqu, नकोष_, نچان, --, 
   {{0x70bd0509,0xd3a705c6,0x80bd07d5,0x81b30086}},	//   ्मेल, _прап, ्में, টাল_, 
   {{0x6d4e090e,0x442b0023,0x9c7cbf9e,0x7bdfbf9f}},	//   žbal, _óc_, tyčn, _noqu, 
   {{0xee39bfa0,0x228405d9,0x225f0ab1,0x75e00019}},	//   мни_, _бухг, _utuk_, _közp, 
   {{0x645a0952,0x7bcdbfa1,0x63bbbfa2,0x6577024a}},	//   _étic, _anau, _haun, naxh, 
   {{0x63bb0b58,0x32070db7,0xa806091f,0x7bdf0deb}},	//   _kaun, miny_, lmış, _boqu, 
   {{0x63bbbfa3,0x32078123,0xdb160218,0x7bdfbfa4}},	//   _jaun, liny_, _dayî, _coqu, 
   {{0x69debfa5,0x63bbbfa6,0xa806091f,0x64c50588}},	//   _pope, _maun, nmış, lčić, 
   {{0x32077583,0x26c001d8,0x63bbbfa7,0x69de0226}},	//   niny_, vvio_, _laun, _qope, 
   {{0x64c50062,0x44c10009,0x7bdf00b9,0x6fb8009a}},	//   nčić, _nė_, _foqu, _आसमं, 
   {{0xb8da143e,0x63bb1ae0,0x320705f0,0x69de044d}},	//   _आई_, _naun, hiny_, _wope, 
   {{0x32073215,0xeab713c3,0xf4170033,0xdb16009e}},	// [c4c0] kiny_, _айы_, ়তার_, _zayî, 
   {{0xe737004e,0x320731fd,0x64c502fe,0x7bdf001d}},	//   теу_, jiny_, kčić, _zoqu, 
   {{0x3207bfa8,0x26c002aa,0x64c50304,0x7bdf01ff}},	//   diny_, svio_, jčić, _yoqu, 
   {{0x63bbbfa9,0x7bdf00b9,0x7e7b4cd7,0x130a0810}},	//   _caun, _xoqu, ksup, мней_, 
   {{0x320700a9,0x63bbbfaa,0x92b3007a,0x00000000}},	//   finy_, _daun, لحوا, --, 
   {{0x7e7b02ae,0xa3ae00a5,0xb5fb020b,0x00000000}},	//   dsup, _कसक_, _vtác, --, 
   {{0xc95300a7,0xfc4a001b,0x629b0036,0x91e30bad}},	//   סמה_, _hậu_, _equo, роје, 
   {{0x63bb0009,0xeeb802da,0x00000000,0x00000000}},	//   _gaun, елиш_, --, --, 
   {{0x6d4e00d0,0x7bdf114a,0x7e7b51f1,0x3207bfab}},	//   žbam, _roqu, gsup, biny_, 
   {{0x63a2bfac,0x7bdfa5d6,0xfc4a0108,0x63bbbfad}},	//   lfon, _soqu, _mậu_, _zaun, 
   {{0x7bdfbfae,0x0cd00086,0x614602f1,0xfc4a0023}},	//   _poqu, ান্ত, _режа, _lậu_, 
   {{0x4ea66fdb,0x68e700da,0x00000000,0x00000000}},	//   _арка, vyjd, --, --, 
   {{0x80c00a44,0xb4df0083,0xfc3fbfaf,0x00000000}},	//   विवे, _तथ्_, rmí_, --, 
   {{0x7a32055f,0xfc3f00bc,0x7ae002ae,0x7e6dbd4c}},	//   sætn, smí_, ämta, _çapa, 
   {{0x7bdf4e23,0xdb040068,0xa80606a2,0x1958013e}},	//   _toqu, _baió, zmış, тасы_, 
   {{0x320733c6,0x7bcdbfb0,0xdb040068,0x0eb60a34}},	//   ziny_, _unau, _caió, _अनाड, 
   {{0x63bbbfb1,0xfc4a001b,0x63a2bfb2,0x19590b58}},	// [c4d0] _raun, _cậu_, dfon, _папы_, 
   {{0x7c2f192d,0xe5c4b07f,0x63a21a77,0x7e62018e}},	//   llcr, исхо, efon, _mtop, 
   {{0x3207bfb3,0xb90800cc,0x63bbbfb4,0x63a2bfb5}},	//   viny_, _মে_, _paun, ffon, 
   {{0x64c50112,0xa80604be,0xc435039f,0x63a26256}},	//   včić, tmış, اکست, gfon, 
   {{0x32077583,0x2ba50b6c,0x62840372,0x63bb0080}},	//   tiny_, ग्या, šion, _vaun, 
   {{0x229b010c,0xa80606a2,0x6d4e0b1d,0x40953a88}},	//   rêk_, rmış, žbaj, грит, 
   {{0x7e6209a1,0x320705f0,0xa4d4017b,0x63a2023e}},	//   _atop, riny_, _корі, bfon, 
   {{0x7e7bbfb6,0x320700a9,0x64c500d0,0x81b30086}},	//   tsup, siny_, rčić, টাই_, 
   {{0xfc4a0029,0x3207bfb7,0x657502a2,0xe31502a6}},	//   _mật_, piny_, _kezh, _смањ, 
   {{0x6455bfb8,0x628b015e,0xfc4a0023,0x80c01f36}},	//   _kuzi, mrgo, _lật_, विशे, 
   {{0xeb9abfb9,0xd13111fe,0x6575bfba,0x7e7bbfbb}},	//   нин_, _اما_, _mezh, ssup, 
   {{0x442f0183,0x6575024a,0x7ff41372,0x7e7b059e}},	//   nlg_, _lezh, _پسما, psup, 
   {{0x61e1bfbc,0x6da5093e,0x64550fe5,0xada53f2d}},	//   _koll, _била, _luzi, _балл, 
   {{0x61e10088,0x090500cc,0x657500da,0x64550118}},	//   _joll, _শুধু_, _nezh, _ouzi, 
   {{0xfc4a0029,0x6455bfbd,0x99e40098,0xdca50258}},	//   _bật_, _nuzi, šňov, _сайи, 
   {{0x6846bfbe,0x61e1bfbf,0xfc4a0108,0xcb760bae}},	//   унба, _loll, _cật_, _сукњ, 
   {{0x6455bfc0,0x35a6022c,0x6575bfc1,0x6b8401d6}},	// [c4e0] _auzi, лааг, _bezh, _idig, 
   {{0x61e11afe,0x6455bfc2,0x63a2bfc3,0xa2c21faf}},	//   _noll, _buzi, wfon, लिस्, 
   {{0x399b00c7,0x6575008a,0x645502a0,0x35c900a5}},	//   _אייד, _dezh, _cuzi, राज़, 
   {{0x645500d2,0x24860187,0x25f0009a,0xfc4a0108}},	//   _duzi, čom_, _इतकी_, _gật_, 
   {{0x0cb01df3,0xc6940137,0x91e6bfc4,0x64480036}},	//   _जन्म, _דאָ_, лоде, _èdim, 
   {{0x61e1215a,0x2fcfbfc5,0x6455bfc6,0x7c260098}},	//   _coll, _angg_, _fuzi, hokr, 
   {{0x6b840112,0xee0900cc,0x6455bfc7,0x7c26bfc8}},	//   _odig, রকাশ_, _guzi, kokr, 
   {{0xd25200d4,0xdb040183,0x6b84bfc9,0x764e0027}},	//   _هنر_, _laiñ, _ndig, _hiby, 
   {{0x61e1bfca,0x3df470a0,0x44260149,0x7de6004e}},	//   _foll, изис, moo_, гінд, 
   {{0x57e102f8,0x6b84bfcb,0x61e1bfcc,0xdd9a03dc}},	//   _नव्ह, _adig, _goll, хши_, 
   {{0x806660fd,0xc22300d4,0xb5fb0070,0x6b8400b9}},	//   _свеж, _اکنو, גליכ, _bdig, 
   {{0x4426bfcd,0xab6203c0,0x6442bfce,0xdb1d010e}},	//   noo_, şünd, nmoi, ldsé, 
   {{0x61e10824,0x6b8402bf,0xeb071768,0xdb060228}},	//   _yoll, _ddig, учно, teká, 
   {{0x764e0199,0xe80200b0,0x5a34004f,0x4a541221}},	//   _niby, रोसा_, йнят, скрс, 
   {{0x4426bfcf,0xac944e10,0xd7d10299,0x6575bfd0}},	//   koo_, _тайш, हालच, _rezh, 
   {{0xb8ddbfd1,0x44261c86,0x6455bfd2,0xdb0635ee}},	//   _इन_, joo_, _ruzi, seká, 
   {{0xfc4a0029,0x55752e87,0x6455bfd3,0x96e805e0}},	// [c4f0] _vật_, игат, _suzi, льфа_, 
   {{0xdb0401cf,0x764e03c6,0x69da396c,0x00000000}},	//   _gaiñ, _ciby, ötet, --, 
   {{0x38c900d6,0xfc4a00e7,0xdb0f0183,0x764e0156}},	//   _شادی_, _tật_, decé, _diby, 
   {{0x61e1bfd4,0x4426bfd5,0x628b07d1,0x5695bfd6}},	//   _soll, goo_, trgo, _камт, 
   {{0x61e13a77,0x60c800e1,0x645abfd7,0x776d040c}},	//   _poll, _ardm, _étin, mbax, 
   {{0x6455bfd8,0x2006030c,0x764e0539,0x6aad0027}},	//   _tuzi, _amoi_, _giby, _mpaf, 
   {{0x4426bfd9,0x61e14bc0,0x20b90cfe,0x1fb52713}},	//   boo_, _voll, тыль_, аспр, 
   {{0x3fe50342,0xafe551a7,0x61e1074a,0xd7d8009a}},	//   ржив, роил, _woll, डायच, 
   {{0x63a94645,0xa0240502,0x764e0610,0x60c80382}},	//   _iben, _stöß, _yiby, _erdm, 
   {{0x61e10065,0x67ea00bc,0xe7d10035,0xdb060241}},	//   _uoll, _výji, हाँप, lekç, 
   {{0xee360a10,0xdb040068,0xcb6a15d6,0x6aad3de7}},	//   рнэ_, _raiñ, кане_, _apaf, 
   {{0x92d70086,0xdce800d8,0x00000000,0x00000000}},	//   ানী_, ladě, --, --, 
   {{0x63a9bfda,0x6e67bfdb,0x776d1530,0xeab775cd}},	//   _mben, _стеж, dbax, айя_, 
   {{0x4426bfdc,0x9d452284,0xed56bfdd,0x6fa10a34}},	//   zoo_, _келд, _кош_, क्रू, 
   {{0x7c269f2b,0x63a9bfde,0xd94628d4,0xe7d102e6}},	//   pokr, _oben, реви, हांप, 
   {{0x4426bfdf,0x764e2a0a,0x5acabfe0,0xa7669566}},	//   xoo_, _siby, _алим_, ркад, 
   {{0x44263b6c,0xa665144f,0x7e6908b0,0x00000000}},	// [c500] voo_, مطلو, npep, --, 
   {{0x63a9bfe1,0xb8dc0033,0x28ea00b3,0xfdf50249}},	//   _aben, _আপ_, _адоп_, इसिस_, 
   {{0x65c4004e,0xb5fbbfe2,0x63a900c3,0x27e20054}},	//   _құжа, _itál, _bben, _tokn_, 
   {{0x03a642ae,0xb5fb0019,0xa87b00c7,0x87550093}},	//   ридо, _után, _באטר, _гърц, 
   {{0x4426bfe3,0xdce3031e,0x764e006d,0xc24628c1}},	//   roo_, _peně, _tiby, андк, 
   {{0x4426bfe4,0x63a902f2,0x80aa0086,0x645a1390}},	//   soo_, _eben, কিস্, _étio, 
   {{0x442600c8,0xdb0f1f6b,0x25aa02be,0x00000000}},	//   poo_, recé, _ibbl_, --, 
   {{0x4fc626b1,0x67f80126,0x7afdbfe5,0x23d500b3}},	//   рска, _fíje, yzst, _лцур, 
   {{0x7e6907fc,0x386d0613,0x7e6d04d6,0x386a02be}},	//   gpep, ćeri_, _çapl, hpbr_, 
   {{0x7f86010e,0x00000000,0x00000000,0x00000000}},	//   _چلان, --, --, --, 
   {{0x6aad0379,0xddc90604,0x00000000,0x00000000}},	//   _spaf, bsež, --, --, 
   {{0x7afd0380,0x317c0604,0x00000000,0x00000000}},	//   tzst, lavz_, --, --, 
   {{0xbea35e9d,0x8fa300b3,0x9ce60033,0x00000000}},	//   _мацк, _фаче, খছেন_, --, 
   {{0x7afd61dd,0x00000000,0x00000000,0x00000000}},	//   rzst, --, --, --, 
   {{0xf8073a94,0xfc64017a,0x9c7c0009,0x2018aa74}},	//   ачан, _اختی, kyči, _íris_, 
   {{0xe80202e6,0x69da71ce,0x3f8602d9,0x8755017b}},	//   रोला_, öter, _jdou_, скає, 
   {{0x7c2dbfe6,0x67ea008c,0x6284012d,0xa3da0083}},	// [c510] _ikar, _nýju, šioj, ़ान_, 
   {{0x63a902cd,0x6f0d00ca,0xd84300d8,0x00000000}},	//   _sben, _žack, dačů_, --, 
   {{0x090500cc,0x7c2d00c3,0x645a0096,0x00000000}},	//   _শুরু_, _kkar, _étil, --, 
   {{0xdb160126,0x68e802ae,0xdb061096,0x43950bad}},	//   _hayá, ädde, bekä, садс, 
   {{0x7c2dbfe7,0xfc4a0023,0x623502a0,0xdb06027e}},	//   _mkar, _mập_, беду, rekç, 
   {{0xfc4a0029,0xa4d503bd,0x91e20080,0x00000000}},	//   _lập_, _логі, зоше, --, 
   {{0x92d700cc,0x26cb00ca,0x601e01dd,0x490d02e6}},	//   ানে_, _hrco_, zīme, _डेमो_, 
   {{0x43949700,0xc91802a1,0x63a9023e,0x7c2dbfe8}},	//   _масс, יחות_, _uben, _nkar, 
   {{0x442dbfe9,0x443fbfea,0xa3bc009a,0xfaff024a}},	//   _ike_, _ihu_, _असत_, jzë_, 
   {{0x7c2dbfeb,0x6e285463,0x7e692bcc,0x079202d9}},	//   _akar, godb, rpep, _čímž_, 
   {{0x443f0029,0x0c2608d6,0xdb06bfec,0x9c261a57}},	//   _khu_, ймон, ndkö, йдод, 
   {{0xb5fb063b,0xfc4a0029,0x26cb0036,0xa3da00c2}},	//   _stál, _cập_, _orco_, ़ाय_, 
   {{0x442d0010,0xeb970141,0xfc4a0023,0x200d16e3}},	//   _mke_, щия_, _dập_, miei_, 
   {{0x7c2dbfed,0x200d0ab0,0xdee205de,0x237d01a0}},	//   _ekar, liei_, _хоши, hawj_, 
   {{0x442dbfee,0x7c9500eb,0x291e027e,0xa3da00a5}},	//   _oke_, _العص, çta_, ़ाम_, 
   {{0x2fdf02a6,0x200d0012,0x442d7da3,0x443f001b}},	//   njug_, niei_, _nke_, _nhu_, 
   {{0xed16082c,0xe61a030f,0xe7e900a5,0x26cb008a}},	// [c520] _نہیں_, гда_, _टकरा_, _crco_, 
   {{0x442d0727,0x443f2c3e,0xcb1300d1,0x05560009}},	//   _ake_, _ahu_, _מלח_, стая, 
   {{0xa9bb008d,0x92d70086,0x75e0010e,0x2ba502e6}},	//   _גזיר, ানো_, _közz, ग्वा, 
   {{0x443fbfef,0x037a2e10,0x86b400f0,0xa6df0033}},	//   _chu_, احات_, _мәзі, _নেওয়, 
   {{0x2178bff0,0x1db702e6,0x7a3b009e,0x200d16e3}},	//   айлы_, _असंत, lîta, diei_, 
   {{0x442dbff1,0x27e0bff2,0x527602f1,0x3ea00088}},	//   _eke_, ljin_, _ҳужу, _äiti_, 
   {{0x657e0204,0x845900d9,0x200d00b3,0xdb1f0034}},	//   maph, _врут_, fiei_, _paqë, 
   {{0x7416195e,0x5f9404a0,0x200d2268,0x442d01d6}},	//   _اورا, циит, giei_, _gke_, 
   {{0x6440030f,0xfc4a0108,0x92050243,0x6e282265}},	//   _ihmi, _rập_, _spāņ, todb, 
   {{0xf1a900c5,0x22f700a7,0x628dbff3,0xf2e700d4}},	//   _نامه_, _הזמן_, šaoc, _دکمه_, 
   {{0xa3bc02f8,0x70560411,0x628283a3,0x6ca300c8}},	//   _असा_, _انصا, lsoo, пряж, 
   {{0x27e0003d,0x657e0226,0x200d14ce,0x442d02a3}},	//   jjin_, haph, ciei_, _xke_, 
   {{0x6282bff4,0x657e044d,0x6e28008b,0xfbdf0216}},	//   nsoo, kaph, podb, rjê_, 
   {{0x27e0016a,0x998300bc,0x320e01a7,0xac730c30}},	//   ejin_, rojů_, nify_, _کاوش, 
   {{0x16d10838,0xfc4a00f7,0xdb160126,0x37ab3190}},	//   सम्ब, _tập_, _vayá, лтан_, 
   {{0x27e0024a,0x7c2dbff5,0xdb0f3146,0x237d0201}},	//   gjin_, _ukar, lecí, xawj_, 
   {{0x36d40d83,0x657e0364,0x44c804be,0x443f27d6}},	// [c530] потр, faph, _ağ_, _rhu_, 
   {{0x443f0c67,0x9b9500c5,0x442dbff6,0x657e0532}},	//   _shu_, _الکت, _ske_, gaph, 
   {{0x2bdd0586,0xe7c403a2,0x442d57e9,0x54b90b58}},	//   यापा, _लोकप, _pke_, ргея_, 
   {{0x628211da,0x4374bff7,0xdb0f02aa,0x200dbff8}},	//   fsoo, пушт, mecâ, xiei_, 
   {{0x33870013,0x657e0082,0x62821d36,0x200d0e5f}},	//   _қувв, baph, gsoo, viei_, 
   {{0xa2ba07d5,0x237d006d,0x67460032,0x21660176}},	//   _एनर्, sawj_, ňujú, оиши_, 
   {{0x443fbff9,0x6142bffa,0x200d002e,0x73c5005e}},	//   _thu_, меша, tiei_, _мәде, 
   {{0x9e6518b6,0x442d00dd,0x4fe9bffb,0x7e6d010c}},	//   овид, _uke_, рмин_, _çapk, 
   {{0x200d3d4a,0x2bdd0662,0x2a690201,0xdb0f033c}},	//   riei_, याना, _ntab_, fecí, 
   {{0x200d0ab0,0xac857749,0xdb0402be,0x320e00df}},	//   siei_, огол, _maiô, cify_, 
   {{0xab5bbffc,0x200d04e9,0x1ddb009a,0x2a69bffd}},	//   rdün, piei_, बाबत, _atab_, 
   {{0x1b4a00cf,0x657ea693,0x3ed5149e,0x2ba50ed5}},	//   изни_, zaph, _وقار, ग्ला, 
   {{0xce6b4f43,0xa3da0d2e,0x201d02b8,0xdee5795e}},	//   _сред_, ़ात_, _ijwi_, _фоли, 
   {{0x0dcb0886,0x644801d8,0xd7f10023,0xf77f02aa}},	//   _људи_, _èdiv, ễn_, _roça_, 
   {{0x2a6901f1,0x9c65009c,0x75e00213,0xf65f02c9}},	//   _etab_, _بهبو, _gözy, _fræk_, 
   {{0x7a3b010c,0x6ecd031e,0x657e044d,0xf77f02be}},	//   rîta, तिपु, waph, _poça_, 
   {{0x7bd6024d,0x060a0886,0x2a69016a,0x6d4e00d0}},	// [c540] _inyu, анак_, _gtab_, žbat, 
   {{0x64401b3e,0x7bd60201,0x67f8010e,0x7bc4018e}},	//   _shmi, _hnyu, _díja, _haiu, 
   {{0x2eb61933,0xdddb090b,0xd946bffe,0x78ad00bc}},	//   _अन्त, kruž, _фени, čová, 
   {{0x926abfff,0x2bdd101f,0xd36f00eb,0x657e3118}},	//   арка_, याया, نهم_, saph, 
   {{0xdddb8eed,0x7bc4c000,0x2bac465c,0x7bd63991}},	//   druž, _maiu, ट्या, _mnyu, 
   {{0x62821f3a,0xdce30ab4,0xa08a00a3,0x7bc400b0}},	//   rsoo, _lenđ, асиз_, _laiu, 
   {{0x320ec001,0xfbca031e,0x2bdd0425,0x6282ad54}},	//   rify_, ियाम, यामा, ssoo, 
   {{0xeeaac002,0x657cc003,0x7bc42244,0x645c0474}},	//   аток_, _herh, _naiu, _iuri, 
   {{0xdefa413e,0x645cc004,0xdde300d9,0xe28300a3}},	//   рый_, _huri, ârşi, _олти, 
   {{0x645cc005,0x50d60071,0x614600d9,0x7bd6c006}},	//   _kuri, _وزار, _деза, _anyu, 
   {{0x26c900f1,0xfdc9005e,0xdb0f0503,0x657cc007}},	//   zvao_, стық_, recí, _merh, 
   {{0x0a6b00a3,0xb5fb02d9,0x61e8c008,0x00000000}},	//   ирги_, _pták, _hodl, --, 
   {{0x2bdd000c,0x657c014e,0x63a000e2,0x61e8c009}},	//   याबा, _oerh, _mcmn, _kodl, 
   {{0x81d80033,0x645cc00a,0x628e01dd,0xdb1f00f6}},	//   াসক_, _ouri, _ābol, _inqü, 
   {{0xf65f055f,0x61e81763,0x77930296,0x00000000}},	//   _træk_, _modl, ویدا, --, 
   {{0xcb0b078c,0x3e6006df,0x68e802ae,0x00000000}},	//   _вход_, _kòt_, ädda, --, 
   {{0x657c0db9,0x645cc00b,0x81b30033,0x6ecd0249}},	// [c550] _berh, _auri, য়াত_, तियु, 
   {{0xdce1012d,0x2bac0035,0x26c91d7d,0x645cc00c}},	//   galė, ट्ठा, rvao_, _buri, 
   {{0x3e60158b,0x657c078a,0x69d703da,0x645c0139}},	//   _lòt_, _derh, _inxe, _curi, 
   {{0x6b9d7cc4,0x645cc00d,0x69c5291f,0x69c7c00e}},	//   ngsg, _duri, _hahe, ldje, 
   {{0x657cc00f,0xa3bc0509,0x69c5c010,0x645cc011}},	//   _ferh, _असर_, _kahe, _euri, 
   {{0x69c7c012,0x657cc013,0x61e8c014,0x69c53b0e}},	//   ndje, _gerh, _codl, _jahe, 
   {{0x2903991e,0x7582040f,0x69c59dac,0xd05800e4}},	//   nzja_, _سینم, _mahe, орыі_, 
   {{0x69c5007e,0xb5fb031e,0x765d34c4,0x3e6005d5}},	//   _lahe, _stáh, _kusy, _bòt_, 
   {{0x645cc015,0x3e600237,0x61e800f8,0x7bc4c016}},	//   _zuri, _còt_, _fodl, _raiu, 
   {{0x69c5c017,0x765d02f6,0x645c00cf,0xc332035c}},	//   _nahe, _musy, _yuri, _טון_, 
   {{0x645cc018,0xfbdf010c,0x62990096,0x00000000}},	//   _xuri, rmên_, luwo, --, 
   {{0xe6720092,0x69d74440,0x75f3027e,0x7a325227}},	//   _ölçü, _anxe, _hızı, hætt, 
   {{0x69c5c019,0x75f301f0,0x765d00e2,0xdb0602c9}},	//   _bahe, _kızı, _nusy, nekø, 
   {{0xcefd0092,0x7c27008b,0xa9672cb9,0xee380c8b}},	//   ığın_, čkra, зира_, _дні_, 
   {{0x69c502f2,0x31af03c0,0xf7721930,0xa3bc6de9}},	//   _dahe, mızı_, فاء_, _असल_, 
   {{0x69d7146a,0x657c078a,0xb8e40239,0x645c02b8}},	//   _enxe, _serh, _एन_, _ruri, 
   {{0xa3df0d95,0x69c500a9,0xdb9b03e1,0x69c705ae}},	// [c560] तान_, _fahe, _הספר, bdje, 
   {{0x2c61247e,0x31af213d,0x3c3205a8,0x765d99a8}},	//   _kód_, nızı_, rávu_, _dusy, 
   {{0x657c0dde,0x6fbd2649,0x645c00cf,0xdb0f033c}},	//   _verh, ्यां, _quri, mecá, 
   {{0x2c614b4b,0xa3e702e6,0x645cc01a,0x7b010241}},	//   _mód_, मॉल_, _vuri, _öztü, 
   {{0x61e89ba9,0x657cc01b,0x645c8297,0x69c50610}},	//   _podl, _terh, _wuri, _yahe, 
   {{0x26c2c01c,0xb5fb001d,0x22bd0118,0xd2590bfd}},	//   _isko_, _cuád, _dňk_, іці_, 
   {{0x645c0077,0x777d006f,0xf1a9009c,0xe643278a}},	//   _uuri, _yesx, تانه_, _черп, 
   {{0x3e600300,0x22bd0300,0x289b0ab9,0x62995632}},	//   _pòt_, _fňk_, ציפא, buwo, 
   {{0xb5fb00eb,0x2903003d,0x00000000,0x00000000}},	//   _stái, zzja_, --, --, 
   {{0x720600d6,0xa3da0f63,0xf1aa00d4,0x71a3c01d}},	//   _عوام, ़ाव_, _داره_, _пауз, 
   {{0x2c6100eb,0x69c5c01e,0x3b850161,0x644847de}},	//   _cód_, _rahe, үлүг, _èdis, 
   {{0x69c5c01f,0xa3df009a,0x23661e1b,0xaab900bc}},	//   _sahe, ताय_, ncoj_, इबलक, 
   {{0x69c5c020,0x6abd01c8,0x6b9d0343,0x68e802ae}},	//   _pahe, uwsf, rgsg, äddn, 
   {{0xac9401bb,0x225906df,0xa3b3241a,0x765dc021}},	//   _жакш, _èske_, _जॉन_, _rusy, 
   {{0x69c505d2,0xa3bc02f8,0x26c202ba,0x28f80088}},	//   _vahe, _असं_, _asko_, перь_, 
   {{0x2d9e98af,0x69c5c022,0xe80d009a,0x765503a0}},	//   lgte_, _wahe, _सगळा_, _sizy, 
   {{0x69c500b0,0x6565c023,0x6b8dc024,0x765d00e2}},	// [c570] _tahe, tchh, _idag, _qusy, 
   {{0x2d9ec025,0x317e01c4,0x2fc60102,0xdcf8c026}},	//   ngte_, _netz_, _laog_, _levč, 
   {{0x76553ccf,0x7a3241f1,0x65650502,0x1dae0c3a}},	//   _vizy, rætt, rchh, ज्यत, 
   {{0x7a3201cc,0xe3b300eb,0x76550035,0x656514a1}},	//   sætt, عرض_, _wizy, schh, 
   {{0xa3df51c8,0x38c702d9,0x6fbd0e6e,0xb2ab00fd}},	//   ताब_, bírá_, ्यसं, стеж_, 
   {{0xf77f06d0,0x75f30095,0x7c2f00e1,0xa2c2017d}},	//   _heç_, _qızı, hocr, लिज्, 
   {{0x63b900ab,0xf77f00ad,0x2fc6011d,0xdb060566}},	//   pewn, _keç_, _baog_, sekø, 
   {{0xa0091feb,0xb4e92c91,0xdcf80082,0x6b8dc027}},	//   تقبل_, यही_, _cevč, _ndag, 
   {{0xa3da00ab,0xdcf80242,0x7c2fc028,0xfe450165}},	//   ़ार_, _devč, docr, мнио, 
   {{0x6b8d12c8,0xee360009,0x64480036,0x2d9e0502}},	//   _adag, мны_, _èdir, ggte_, 
   {{0xdb1d2509,0x62840028,0x00000000,0x00000000}},	//   ndsæ, šiot, --, --, 
   {{0x442f0062,0xe7d80086,0x2ef5269c,0x225f0096}},	//   nog_, _সত্য, _озер, _kuuk_, 
   {{0xee2ec029,0x6fda07d5,0xef0ec02a,0x6b8d0539}},	//   _ан_, भारं, _рм_, _ddag, 
   {{0x442fc02b,0x7d280019,0x59d500bd,0x6b8d02a5}},	//   hog_, épsé, दागर, _edag, 
   {{0x442f02f5,0xd9ff04d7,0xc7a600fd,0xeb9f01e8}},	//   kog_, _उतरत_, мивк, giøs_, 
   {{0x442fc02c,0xdb16060f,0x3f9f0548,0xfaff021e}},	//   jog_, _mayú, nguu_, rbër_, 
   {{0xe73727b8,0x442fc02d,0xf41300cc,0xdb0f02aa}},	// [c580] дет_, dog_, িকার_, pecá, 
   {{0xa3b30fcf,0x7a3202c9,0xfa97027a,0x3dc70237}},	//   _जॉब_, ræts, _קדיש_, _janw_, 
   {{0xc486002e,0xdce1002a,0x628900ef,0x0465004e}},	//   флек, dalī, _aveo, етім, 
   {{0xb4ae000f,0xf77f01f0,0x225f7b88,0xdcfa0b03}},	//   _कही_, _geç_, _buuk_, natā, 
   {{0x26c2c02e,0xc17a004f,0x2d9e02c9,0xdcf80604}},	//   _usko_, оїй_, ygte_, _revč, 
   {{0xb5fb026e,0xeb9f08bb,0xbbca0ee0,0x2eda00aa}},	//   _stáv, niør_, ियुक, _बपौत, 
   {{0x442fc02f,0x35a3c030,0xa2c202d9,0x2a6001fd}},	//   bog_, _шарг, लिङ्, _luib_, 
   {{0x1543004e,0x232ac031,0x442f2c9f,0xab5b06a2}},	//   _ресм, _доби_, cog_, rdük, 
   {{0x2bdd148e,0xfbdd0425,0x7c2f00ca,0x3dc703c6}},	//   यासा, यासम, vocr, _banw_, 
   {{0xdd9028b7,0xdb0f11c9,0x2018010e,0x3dc70090}},	//   دود_, lecç, őri_, _canw_, 
   {{0x559700fe,0x91e3c032,0x2d9ec033,0x2bd0007e}},	//   ודיע_, _шофе, rgte_, _तोहा, 
   {{0x225f08a1,0xaa955750,0xdb0f02be,0x00000000}},	//   _yuuk_, нимч, necç, --, 
   {{0xa3df047b,0x81b300cc,0xb4bb3024,0xdd941bb9}},	//   तात_, য়ার_, _अन्_, _залы, 
   {{0x3f845360,0xfd0f00d6,0x442f411c,0x2bdd055d}},	//   lamu_, اجی_, zog_, याहा, 
   {{0x19581b17,0xa9341094,0xcec80029,0x442fc034}},	//   дары_, верш, _hộ_, yog_, 
   {{0x3f84c035,0x442f006d,0xeb9f01e8,0xdb0e00da}},	//   namu_, xog_, riøs_, škát, 
   {{0x442f00f1,0xf77f024a,0x2a6000a1,0xba3b00f6}},	// [c590] vog_, _veç_, _guib_, juïg, 
   {{0x3f840010,0xcec8001b,0x442f00f8,0x2bdd0fc0}},	//   hamu_, _mộ_, wog_, यावा, 
   {{0x3f84c036,0x6289090b,0xcec80029,0xdb0f0165}},	//   kamu_, _sveo, _lộ_, fecç, 
   {{0x3f84c037,0xfc4a0023,0xb5fb0534,0x61f801da}},	//   jamu_, _bậy_, _atát, ekvl, 
   {{0x3f849655,0x644b05ac,0xfc4a00e7,0x2169645e}},	//   damu_, rmgi, _cậy_, пили_, 
   {{0x2169c038,0x442fc039,0xfc4a001b,0x61451e2f}},	//   чики_, sog_, _dậy_, нела, 
   {{0x2055c03a,0x23600519,0x442f01b4,0x81b30086}},	//   нтир, žija_, pog_, য়াল_, 
   {{0xcec800f7,0xa2ba2c8a,0x4439c03b,0x3f84935b}},	//   _bộ_, _शैक्, _ós_, gamu_, 
   {{0xef19418c,0x15f3248b,0xdb1d1709,0xcec80023}},	//   ями_, _आकार_, ndsä, _cộ_, 
   {{0x645a022c,0xba3b00b9,0x205603a1,0x00000000}},	//   _ètic, nuïd, мтөр, --, 
   {{0x3f846d10,0xfc4a0108,0xc1e6010e,0xdc69058e}},	//   bamu_, _zậy_, _سکول_, яанд_, 
   {{0xc4d200c7,0x26c00156,0xfaff0034,0xc6230033}},	//   אגט_, ywio_, rcën_, _বীমা_, 
   {{0x539a00d1,0x501a0070,0xbec40259,0x3dc70237}},	//   הירו, _צונו, _аңыз_, _tanw_, 
   {{0x6da50244,0x1d0926dd,0xbea245c1,0x00000000}},	//   _чика, _нели_, _сашк, --, 
   {{0xb4ae0e36,0xd826185b,0xba3b03a1,0x2d85375d}},	//   _कहे_, едви, duïd, male_, 
   {{0x6d4302f5,0x2d85c03c,0x66e63efc,0xbb4601d8}},	//   _izna, lale_, ноба, _пейк, 
   {{0x2bdd22f8,0x38550093,0x6b860415,0x8646c03d}},	// [c5a0] यारा, търс, makg, енаж, 
   {{0x2d85c03e,0x6b868460,0x2bac0367,0x3f84c03f}},	//   nale_, lakg, ट्रा, zamu_, 
   {{0xdb06007e,0xdb0f0165,0xddd80118,0x00000000}},	//   hekü, tecç, _divň, --, 
   {{0x2d85c040,0xb5fb031e,0xff4729ce,0x6b860415}},	//   hale_, _stát, _مخ_, nakg, 
   {{0xc7b300a7,0xba3b022c,0x7c24045a,0xdb0f02aa}},	//   _גבר_, buïd, _mjir, recç, 
   {{0xfc4a0029,0x2d8500c2,0x3f841051,0x64a6818e}},	//   _vậy_, jale_, wamu_, _пага, 
   {{0x2d85c041,0x1543c042,0x3f84c043,0xa3ea2cdb}},	//   dale_, _берм, tamu_, _едва_, 
   {{0xf65f02c9,0x7c240727,0xbbca0249,0x00000000}},	//   _træt_, _njir, ियोक, --, 
   {{0x3f846b37,0x24170111,0xfe6f040f,0x6d43c044}},	//   ramu_, _נחמן_, یدی_, _azna, 
   {{0x63a21b04,0x7c240010,0x3f84c045,0x7d060574}},	//   lgon, _ajir, samu_, _néré, 
   {{0x61fd009e,0x2bdd2cad,0x3f84c046,0x6ab92ed8}},	//   _îsla, याला, pamu_, इब्र, 
   {{0x63a2c047,0x68f5012d,0xb4ae0790,0x38617ed2}},	//   ngon, vyzd, _कहै_, _ruhr_, 
   {{0x7d06bc39,0x63a20626,0xdcf801dd,0x7f4200a3}},	//   _béré, igon, _devā, _uzoq, 
   {{0x2d85c048,0x7d06026a,0x9f5d0237,0x7c24052b}},	//   cale_, _céré, _alwè_, _ejir, 
   {{0x63a20364,0x7d06c049,0xb5fb019c,0xddc9020f}},	//   kgon, _déré, _otár, speţ, 
   {{0x7c24024a,0x7e62c04a,0xdb1d0034,0xba3b00f6}},	//   _gjir, _kuop, nesë, duïe, 
   {{0xa3da05fd,0x63a2c04b,0x5694013e,0x7a3b0216}},	// [c5b0] ़ाई_, dgon, латт, hîti, 
   {{0x7a3b010c,0x63a26abb,0x7c3d1226,0x7e62045a}},	//   kîti, egon, llsr, _muop, 
   {{0xd3711057,0xd49bc04c,0xb7d9006b,0x7e6200c8}},	//   لها_, яра_, _ہوگا_, _luop, 
   {{0x63a2c04d,0x2d85c04e,0x30af0086,0x7a3b0218}},	//   ggon, zale_, কিৎস, dîti, 
   {{0x2d85c04f,0x27e909da,0x7d0600d7,0xb5fb0354}},	//   yale_, mjan_, _yéré, _dtár, 
   {{0xe1f8005e,0xa3df03ce,0xb5fb02aa,0xba3b00b9}},	//   нгі_, ताह_, _etár, buïe, 
   {{0xc0e590af,0x00000000,0x00000000,0x00000000}},	//   тойк, --, --, --, 
   {{0x2d85c050,0xdb1d0034,0x201f0474,0x7987c051}},	//   wale_, gesë, unui_, hajw, 
   {{0x3255606f,0x1e8201bb,0x27e9c052,0x92b42ad7}},	//   _авар, алым, ijan_, _محلا, 
   {{0x7c36c053,0xa3df3832,0xbb1b0216,0x27e90080}},	//   _skyr, ताव_, raîl, hjan_, 
   {{0xeb9a839e,0xfbdd09ef,0x4e950019,0x69c504cc}},	//   мин_, यांम, رشکر, ाजनी, 
   {{0x7d064a78,0x0f150088,0x88c00086,0x785c0613}},	//   _séré, _имею, _উপলক, _očvr, 
   {{0xa3b305f6,0x27e9c054,0x6449b04f,0x628bc055}},	//   ज्य_, djan_, _mhei, nsgo, 
   {{0xaa460093,0x27e90126,0x645b00a1,0x2d85c056}},	//   тегл, ejan_, _liui, qale_, 
   {{0x6d431763,0x64490080,0x7c24040b,0x28b900d9}},	//   _uzna, _ohei, _tjir, нутэ_, 
   {{0x2fcdc057,0x27e9c058,0x73ec0086,0x7c24095a}},	//   ndeg_, gjan_, _কষ্ট_, _ujir, 
   {{0x3eadc059,0x96630161,0x9f4f03a1,0x63a60219}},	// [c5c0] ntet_, икте, _algú_, _ökni, 
   {{0x6b8400d1,0x3ead02f2,0xd90d13b4,0x628b7047}},	//   _heig, itet_, _کیف_, dsgo, 
   {{0x6449355f,0x26cf022b,0x69de01ca,0x6b8401be}},	//   _bhei, ågor_, _inpe, _keig, 
   {{0x6449c05a,0xe29a0283,0x3eadc05b,0x6b8400e4}},	//   _chei, дад_, ktet_, _jeig, 
   {{0x64490a9a,0x2360008b,0x645bc05c,0x6b84c05d}},	//   _dhei, žijo_, _diui, _meig, 
   {{0x6b84c05e,0xb5fb0369,0x3ead58e0,0x80ce00c9}},	//   _leig, _huán, dtet_, थिले, 
   {{0x6449006e,0xdb1d0034,0x3ead0502,0x00000000}},	//   _fhei, tesë, etet_, --, 
   {{0x64491232,0x3ead0f2d,0x2fcd002c,0x765c0199}},	//   _ghei, ftet_, gdeg_, _hiry, 
   {{0xa3df0bf5,0x3f98091f,0x765cc05f,0x3ead055f}},	//   तार_, ğru_, _kiry, gtet_, 
   {{0x27e900c3,0xa3da093a,0xa80604be,0x20042e1e}},	//   zjan_, ़ाक_, llığ, shmi_, 
   {{0x6b84c060,0xf1a900d4,0xd59b00a7,0x659b00a7}},	//   _beig, _ساله_, וביל, וייק, 
   {{0xa806091f,0x69de06df,0x765cc061,0x69ce0bf3}},	//   nlığ, _anpe, _liry, edbe, 
   {{0x6b84c062,0xddc9843f,0x79870053,0x6e94449e}},	//   _deig, speš, tajw, _силу, 
   {{0x5a343b3f,0x765cc063,0x69ce1a0d,0x7d0d00d8}},	//   инят, _niry, gdbe, _řase, 
   {{0xc86400cf,0x27e9c064,0x97a7c065,0xa806027e}},	//   итти, tjan_, крал, klığ, 
   {{0xb5fb0a22,0xf7730625,0x69dec066,0x7af2024a}},	//   _cuán, شار_, _enpe, ëjtë, 
   {{0x765c84ee,0x6449c067,0x27e9c068,0x35b5c069}},	// [c5d0] _biry, _rhei, rjan_, лбар, 
   {{0x6449c06a,0x6b8402f2,0xfc3f0038,0x645b00a1}},	//   _shei, _zeig, llí_, _siui, 
   {{0x290a00ab,0xa3df0b3e,0x2baa00a2,0x7bcd0102}},	//   czba_, ताल_, _कामा, _kaau, 
   {{0x3eadc06b,0x7b080540,0x765cc06c,0x00000000}},	//   ytet_, _örtü, _eiry, --, 
   {{0x02a761b0,0x03b6004e,0xe299b46c,0x86e400a3}},	//   трем, ықты_, хал_, _кўрд, 
   {{0x785c090e,0x7d150228,0x765c7c02,0xb6da00c7}},	//   _učvr, úzsk, _giry, _אַלט, 
   {{0x6449c06d,0xa3ab02e6,0xdb0400a1,0x5f180083}},	//   _thei, _खाप_, _dbiù, _बेब्_, 
   {{0x3eada818,0xb4c1203f,0x44d31a35,0x21f9011c}},	//   ttet_, ्टी_, _ić_, _mèhi_, 
   {{0xdbdd008c,0xf1a7327e,0x2fcdabe5,0xfc3f00bc}},	//   _ráðs, _арен, rdeg_, dlí_, 
   {{0x3ead0f08,0x7bdf1c62,0x41c0072f,0x6b84c06e}},	//   rtet_, _anqu, _एसएस, _seig, 
   {{0x3ead422b,0xed580187,0x6b84c06f,0x25a5008c}},	//   stet_, teľa_, _peig, _öllu_, 
   {{0x3ead41da,0x7d1c0038,0x63a900b9,0x9f4d0080}},	//   ptet_, úrsa, _jcen, tkeä_, 
   {{0x6b84c070,0xfbaa000d,0xa3ab4994,0x798507d7}},	//   _veig, _काठम, _खान_, _behw, 
   {{0x6e920084,0x5e9200eb,0x6b84864f,0xbf3600c7}},	//   _الوا, _الوط, _weig, _גאנץ_, 
   {{0x63a906d3,0xfc3f0084,0x6b84012d,0x3e69001b}},	//   _ocen, blí_, _teig, _hút_, 
   {{0x765c089c,0xfc3f0038,0x3e698d6a,0x6eb700c2}},	//   _siry, clí_, _kút_, _अहाँ, 
   {{0x66e39958,0x464a2fe3,0x00000000,0x00000000}},	// [c5e0] бота, езан_, --, --, 
   {{0xfdfc0838,0xb4c1190a,0xa50a0a81,0x63a9494b}},	//   एसएस_, ्टू_, неза_, _acen, 
   {{0xa3df075a,0xb4de059e,0xa80604be,0x66fa01dd}},	//   तां_, तमे_, tlığ, _sākā, 
   {{0x289b0070,0x3775002e,0x765c1032,0x00000000}},	//   _איטא, _вырс, _wiry, --, 
   {{0xa8060092,0x3e69001b,0x8c1b00d1,0x753c0035}},	//   rlığ, _nút_, עוני, _wyrz, 
   {{0xb5fb00de,0x00000000,0x00000000,0x00000000}},	//   _utáp, --, --, --, 
   {{0x6603c071,0xdb1d006b,0xab5b07fa,0x2baa009a}},	//   _упра, resé, ndür, _काढा, 
   {{0xb4d000a2,0xa3df93b0,0x3a3a016a,0x3e6900e7}},	//   वटी_, ताः_, _lkpp_, _bút_, 
   {{0x2c680218,0x2d980068,0x8d8600d3,0x3e690108}},	//   _sûd_, óreo_, лунд, _cút_, 
   {{0x3207000d,0x6ce6004e,0x1e140200,0xb5fb0038}},	//   chny_, гіме, рмоя, _nuál, 
   {{0xfdc9005e,0x0ce200cc,0x236902f5,0x7bcd3cf5}},	//   ттық_, মন্ত, žaje_, _paau, 
   {{0xac1915dd,0xdb550088,0x79850026,0xdcfa00ca}},	//   тому_, ивны, _sehw, hatć, 
   {{0xdd92009c,0x3e690108,0xdb1d00fb,0xc2f80bf1}},	//   _هوش_, _gút_, ndsø, _আইডি_, 
   {{0xc3330056,0xb5fb05b9,0xfc3f014b,0x7985010c}},	//   מור_, _cuál, slí_, _qehw, 
   {{0x3a3a016a,0xa7fb0183,0xb5fb35ee,0x00000000}},	//   _dkpp_, _liñe, _duál, --, 
   {{0xc8645e5f,0x8ae7004f,0xdb1601e5,0x3f8603a0}},	//   стри, _біол, _obyè, _jeou_, 
   {{0xa3e8000f,0xa7fb0327,0x776d0183,0x06150ccb}},	// [c5f0] बान_, _niñe, rcax, адаю, 
   {{0x2bdd24ef,0x6595c072,0x2b490372,0x25b800a1}},	//   याका, ражу, _izac_, _cbrl_, 
   {{0xb4c1156c,0x354701fc,0xd5b80009,0x6d5e0098}},	//   ्टे_, ухав, ыст_, _úpad, 
   {{0xd9e30d4f,0x67d500f6,0xa7fb00b4,0x00000000}},	//   खावत_, _тому, _biñe, --, 
   {{0xa2e503a1,0xc7d800fd,0x00000000,0x00000000}},	//   ролд, _смях_, --, --, 
   {{0x518703a1,0xa7fb0496,0x40951fe9,0x3e69001b}},	//   ууда, _diñe, арит, _rút_, 
   {{0x69ad32f1,0x44d300ca,0x3e690023,0x854400b3}},	//   _जानी, _uć_, _sút_, _гэте, 
   {{0xb275c073,0x2eb51010,0xdb160118,0x00000000}},	//   _влаш, асос, _mayò, --, 
   {{0x24912fab,0x4fe6c074,0x9e65021c,0xae8600d3}},	//   _hvzm_, рмын_, јвод, абыз_, 
   {{0xed59c075,0x5fa71d00,0xfe42004f,0x3e690108}},	//   коп_, _गावल, жньо, _vút_, 
   {{0x9d45a48d,0x0c260283,0xa7fb00b4,0x2cae0151}},	//   ренд, имон, _ziñe, _cqfd_, 
   {{0x3f89010d,0x26d901d8,0x60dc003e,0x3e690210}},	//   _þau_, _orso_, _árma, _tút_, 
   {{0xeb975aac,0xdb160126,0xaa461761,0x00000000}},	//   шия_, _rayó, иемл, --, 
   {{0x602101dd,0x9f4f0175,0x6da2821d,0x00000000}},	//   dēmi, _nogé_, _диша, --, 
   {{0x26cb0327,0x2d8701d8,0x1d060cf8,0xdca54bf2}},	//   _asco_, _iene_, _вещи_, _тайи, 
   {{0xb8de00b0,0x2d87055a,0xab5b027e,0x2fcf024c}},	//   _इह_, _hene_, rdür, _jagg_, 
   {{0xb4de1f19,0x2d87c076,0x46a68f25,0x61e10082}},	// [c600] तम्_, _kene_, разв, _onll, 
   {{0xe5773c93,0xe8fa00d9,0x2d870798,0x00000000}},	//   изу_, _ало_, _jene_, --, 
   {{0x2d870112,0x399b00c7,0xdce800e0,0x26cb02a3}},	//   _mene_, _בייד, vadī, _esco_, 
   {{0xa7fb0d5f,0x61e14404,0x2d8781a8,0xb6a600a3}},	//   _piñe, _anll, _lene_, _кимл, 
   {{0xe7fb0509,0xa3e80a34,0x213e00f8,0x2d87039b}},	//   _एकता_, बाब_, _syth_, _oene_, 
   {{0xa7fb0503,0x25aa012b,0x2d87c077,0x4094009c}},	//   _viñe, _ucbl_, _nene_, ملتر, 
   {{0xa0870d18,0xf99300a7,0x4fc621f4,0xdce801dd}},	//   асыз_, קרה_, аспа, radī, 
   {{0x44c803b0,0x61e15532,0x03a31cc1,0x2b5f00ef}},	//   _iş_, _enll, _мисо, žuci_, 
   {{0xa3ab1ff6,0x539b0056,0x2d87c078,0xa3cf000f}},	//   _खात_, _שימו, _bene_, _वोट_, 
   {{0x2d87c079,0x6442030f,0x78be00dd,0x6b965020}},	//   _cene_, lloi, _oppv, _adyg, 
   {{0xd5d90137,0x2d87c07a,0x4426c07b,0x3a380b1f}},	//   אַרש, _dene_, ono_, dorp_, 
   {{0x4426c07c,0xef1a1297,0x92d80086,0x2d8702b0}},	//   nno_, _име_, াহী_, _eene_, 
   {{0x4426c07d,0x54571490,0x2d87c07e,0x78be0231}},	//   ino_, יסטן_, _fene_, _appv, 
   {{0x442673c5,0xedd3091d,0x7e6d019c,0x7c26040b}},	//   hno_, _ويند, _éapa, ankr, 
   {{0x2d8cc07f,0x4426c080,0xe7fb00a2,0xb7fb4682}},	//   made_, kno_, _एकदा_, _एकदम_, 
   {{0x442616ef,0x2d8cc081,0x2d874ec1,0x3c320098}},	//   jno_, lade_, _zene_, kávy_, 
   {{0x4426420c,0xac070274,0x44c8c082,0x85b9186c}},	// [c610] dno_, _مذکو, _aş_, ллас_, 
   {{0x2d8cc083,0x4426778f,0x2d870042,0x7afd00c8}},	//   nade_, eno_, _xene_, myst, 
   {{0x2a6901c1,0x321c00da,0x00000000,0x00000000}},	//   _huab_, divy_, --, --, 
   {{0x44260021,0x2d8cc084,0x2a690201,0x2d9800ab}},	//   gno_, hade_, _kuab_, órej_, 
   {{0x2d8cc085,0xf2c7c086,0x60dac087,0x2a69006d}},	//   kade_, рсен, _artm, _juab_, 
   {{0x4426c088,0x2a690e0c,0x2006c089,0x2d8cc08a}},	//   ano_, _muab_, _aloi_, jade_, 
   {{0x2d8cc08b,0x2a690201,0xc198004f,0x2fcf02a3}},	//   dade_, _luab_, ртії_, _pagg_, 
   {{0x4426090b,0x2d87c08c,0x7afdc08d,0x1e85796b}},	//   cno_, _sene_, kyst, блим, 
   {{0xee390e1b,0x0fe8005e,0x63bb0985,0x2d87c08e}},	//   лни_, рлық_, _ibun, _pene_, 
   {{0x2d8cc08f,0x2d8700e5,0x7afdc090,0x2006474b}},	//   gade_, _qene_, dyst, _eloi_, 
   {{0x2d87c091,0x26c90149,0x00000000,0x00000000}},	//   _vene_, hwao_, --, --, 
   {{0xc0b200e7,0x26c91d8e,0x2d87a8df,0x200600f3}},	//   _lưới_, kwao_, _wene_, _gloi_, 
   {{0x2a6901a0,0x63bbc092,0x3a380219,0x7c26c093}},	//   _cuab_, _mbun, torp_, rnkr, 
   {{0x7f3a07f5,0x4999030f,0x2a6901c1,0x5d8500eb}},	//   _גענו, ится_, _duab_, _الثل, 
   {{0x4426c094,0x63bbc095,0xd9461616,0x00000000}},	//   yno_, _obun, севи, --, 
   {{0x6607015e,0xa766332d,0x7afd0228,0x5baa018a}},	//   _aljk, скад, byst, _ским_, 
   {{0x7bc6086d,0x7afdc096,0x26c9018e,0x7e7b011c}},	// [c620] meku, cyst, gwao_, npup, 
   {{0x7bc6c097,0x63bbc098,0x442600ab,0xc0b2001b}},	//   leku, _abun, wno_, _cưới_, 
   {{0xc0b20029,0x78be5954,0x69ad2923,0x09f700a7}},	//   _dưới_, _uppv, _जाती, _המים_, 
   {{0x7bc6007e,0x2d8cc099,0x4426c09a,0x2a69006d}},	//   neku, zade_, uno_, _yuab_, 
   {{0x2ca53a16,0x2a690201,0x64420534,0xddca009e}},	//   huld_, _xuab_, rloi, _nifş, 
   {{0x3c3208d7,0x41e200ab,0x798ec09b,0x64a4004e}},	//   rávy_, पाइस, nabw, _қаға, 
   {{0x7afd0da6,0xa3e80d95,0x64a3c09c,0x236903ef}},	//   zyst, बाद_, _нара, žaja_, 
   {{0x4fc60088,0x661e4e11,0x2ca5c09d,0x798eb453}},	//   сска, lipk, duld_, habw, 
   {{0x2d8cc09e,0xdb1d0019,0x7e7b29b7,0x1306021d}},	//   tade_, tesí, gpup, _узам, 
   {{0x63bb0519,0xa7fb03da,0x2737001b,0x7afd13f2}},	//   _zbun, _miña, ủng_, vyst, 
   {{0xa7fb0496,0x7bc6c09f,0x2d8ca9a4,0x7afdc0a0}},	//   _liña, feku, rade_, wyst, 
   {{0x7afdc0a1,0x2d8cc0a2,0x7bc60053,0x2a69006f}},	//   tyst, sade_, geku, _puab_, 
   {{0xa3ab0f01,0xa7fb08f4,0x2d8cc0a3,0x2a690201}},	//   _खास_, _niña, pade_, _quab_, 
   {{0x7afdc0a4,0xdb040183,0x2bd90ead,0x2a69006d}},	//   ryst, _abió, _बोरा, _vuab_, 
   {{0x1959012d,0x661e02a2,0x7bc601f1,0x59f800fd}},	//   равы_, dipk, beku, щеря_, 
   {{0x2a69023b,0x26c9095a,0xd7f803a1,0x00000000}},	//   _tuab_, twao_, буу_, --, 
   {{0x798e0199,0x35f53a8d,0x68e80219,0x7c2d01ff}},	// [c630] babw, опар, äddr, _ijar, 
   {{0x7c2d9963,0xd567c0a5,0xa7fb00b4,0x00000000}},	//   _hjar, стап, _diña, --, 
   {{0x386202f1,0x7c2d008c,0x69c749c9,0x26c90026}},	//   _fikr_, _kjar, meje, swao_, 
   {{0x69c7c0a6,0x6e3ab024,0x291100ef,0x7f4200a3}},	//   leje, hotb, mzza_, _oyoq, 
   {{0x6d4e0032,0xc0b20023,0xa7fb01cf,0x7c2d025b}},	//   ýbaj, _tưới_, _giña, _mjar, 
   {{0x7bc6c0a7,0xe5c7c0a8,0x69d5c0a9,0x04c908b6}},	//   zeku, _усмо, ndze, _پوري_, 
   {{0xb5fb1e6f,0x7bc657e7,0x92e90086,0x2baa0f8e}},	//   _otáz, yeku, মনে_, _काला, 
   {{0x63bb3a80,0xfaff00e5,0x2ca5012e,0x7c2dc0aa}},	//   _ubun, ncës_, vuld_, _njar, 
   {{0x443f09e8,0x442d3a80,0x3f8d0068,0x6e3ac0ab}},	//   _iku_, _ije_, raeu_, fotb, 
   {{0xa19428f0,0x69c7c0ac,0x69d58bd8,0x78a7024a}},	//   _науч, jeje, jdze, kujv, 
   {{0x7c2d3841,0x1ee700c5,0x442d02ee,0xfbc611a8}},	//   _bjar, _گوشی_, _kje_, обно, 
   {{0x2baa00a2,0xc05b004e,0x798e88c6,0x7e7b17f8}},	//   _काळा, _сіз_, wabw, ppup, 
   {{0x7bc6c0ad,0x69c70019,0x7c2dc0ae,0x798e62c4}},	//   reku, feje, _djar, tabw, 
   {{0xed590161,0x69c7c0af,0x201f012d,0xa7fb0126}},	//   _кол_, geje, liui_, _riña, 
   {{0x443fc0b0,0x7c2d008c,0xdd8e0038,0x7e6b3942}},	//   _oku_, _fjar, _شوي_, _hugp, 
   {{0x442dc0b1,0xfc323d0b,0x200d0165,0x201f012d}},	//   _nje_, _تحت_, nhei_, niui_, 
   {{0xe7fb05d2,0xc60500cc,0x661e0e32,0x46ea02f1}},	// [c640] _एकरा_, োচনা_, tipk, шдан_, 
   {{0x443f097d,0xe5a36274,0x442dc0b2,0xa7fbc0b3}},	//   _aku_, дифи, _aje_, _viña, 
   {{0x661ec0b4,0x7e63c0b5,0xec13009c,0x201f0028}},	//   ripk, _minp, _روید, kiui_, 
   {{0x66e628f0,0xa7fb0496,0x661e0870,0x6d43017c}},	//   _дома, _tiña, sipk, _myna, 
   {{0x442dc0b6,0xa3ab1574,0xf77300d4,0x443f023e}},	//   _dje_, _खार_, _تاپ_, _dku_, 
   {{0xddc22c85,0x6d431ba2,0x442dc0b7,0x9f4f0126}},	//   _stož, _oyna, _eje_, _cogí_, 
   {{0x15435f15,0x0ef40f8c,0xdcf802d9,0xe4760a65}},	//   _жерм, ेन्स_, _devě, _фугэ, 
   {{0x8ca30509,0x442d543f,0xdfda0093,0x78fb0070}},	//   _कमजो, _gje_, рък_, יפצו, 
   {{0x6d4399ca,0x7e63009e,0x7e6d02be,0xddc20144}},	//   _ayna, _binp, _éapl, _vtož, 
   {{0x6e2824bc,0x7e63006d,0x6d43c0b8,0x69c70068}},	//   undb, _cinp, _byna, xeje, 
   {{0x6d434460,0x69c7c0b9,0xdb1d00bc,0xa3df009a}},	//   _cyna, veje, desá, ताच_, 
   {{0x200dc0ba,0x69ad009a,0x7ee60038,0xf77f02aa}},	//   chei_, _जाही, _وكان, _onça_, 
   {{0x69c7c0bb,0x6e3a010e,0x3179010e,0x7e630657}},	//   teje, potb, _őszi_, _finp, 
   {{0x1fbc0086,0x7e630008,0x69d500e0,0x99830028}},	//   _অফিস, _ginp, udze, vojų_, 
   {{0x69c7c0bc,0x2905c0bd,0x6d43017c,0x63ab14b1}},	//   reje, ála_, _gyna, yggn, 
   {{0x7c2d4b12,0x9983012d,0x69c7c0be,0x7e6301cf}},	//   _ujar, tojų_, seje, _zinp, 
   {{0x70c60827,0x356b0d11,0x22be01dd,0xfaff0034}},	// [c650] लबुल, арен_, nākā_, rcës_, 
   {{0x6440016a,0x2bb13c7e,0x6b8d0038,0x78a70034}},	//   _akmi, _झाडा, _heag, pujv, 
   {{0x6b8d2e67,0x05ac0249,0x00000000,0x00000000}},	//   _keag, _चारब, --, --, 
   {{0x7c3dc0bf,0x00000000,0x00000000,0x00000000}},	//   nosr, --, --, --, 
   {{0x6b8dc0c0,0x23690352,0x201f0028,0x442d1f57}},	//   _meag, žajo_, viui_, _vje_, 
   {{0x7e6b00e4,0xe2962bc2,0xbb3c0070,0x6b8da70f}},	//   _rugp, чаш_, בעדי, _leag, 
   {{0xc5f20309,0x7e6bc0c1,0x442dc0c2,0x200d0226}},	//   _אדם_, _sugp, _tje_, thei_, 
   {{0xd3e3017a,0x443fc0c3,0xa7fb03da,0x6b8d00d9}},	//   _تقری, _uku_, _miño, _neag, 
   {{0xa3e80b3e,0x201f0009,0xe165009c,0x22be0243}},	//   बार_, riui_, _فضای, gākā_, 
   {{0xee360088,0x443d00a7,0xa3ab0d2e,0x201f0028}},	//   знь_, low_, _खाँ_, siui_, 
   {{0xa7fb15c4,0x7e63c0c4,0x8c461d1d,0x6b8d0a72}},	//   _niño, _vinp, зене, _beag, 
   {{0x7e63c0c5,0x6d43c0c6,0x6b8d00a1,0x443dc0c7}},	//   _winp, _vyna, _ceag, now_, 
   {{0xdee54eed,0x6d4300ab,0xdb1d03da,0x6b8d01c5}},	//   _холи, _wyna, tesá, _deag, 
   {{0xddc300e0,0x6d438b23,0xdb1d0d09,0x00000000}},	//   _minū, _tyna, kesæ, --, 
   {{0xdb1d014b,0x6b8dc0c8,0x443dc0c9,0x6d430104}},	//   resá, _feag, kow_, _uyna, 
   {{0x27e612cf,0x4c9a00a7,0xf1c7014b,0x661c779f}},	//   ñon_, _השקע, _hráč_, _smrk, 
   {{0x6fbd0ffe,0x443dc0ca,0x00000000,0x00000000}},	// [c660] व्यू, dow_, --, --, 
   {{0x6569027e,0x6e21a648,0x55c50259,0x6459039b}},	//   _şehr, nilb, мауғ, emwi, 
   {{0x14c800d4,0x69e3010c,0x6b8d02a5,0x83c6812d}},	//   تهای_, şveç, _yeag, збеж, 
   {{0x68e1055f,0x27f90ab4,0x68e30068,0x6e217105}},	//   ælde, _gosn_, _ánda, hilb, 
   {{0x7bd6c0cb,0x26c20065,0x91fc0243,0x0ca8673f}},	//   _mayu, _upko_, _diān, _कम्म, 
   {{0x7bd61c72,0x6e21c0cc,0xa08a00a3,0x00000000}},	//   _layu, jilb, бсиз_, --, 
   {{0xbfa30023,0xddc20009,0x6e21c0cd,0x443dc0ce}},	//   _tiề, _nuoš, dilb, bow_, 
   {{0x22be01dd,0x7bd68c9f,0xbb1b0216,0x00000000}},	//   tākā_, _nayu, dbîn, --, 
   {{0x6b8dbce9,0x6e2103fa,0x28ce21c6,0x628903c6}},	//   _reag, filb, _हैसि, _gweo, 
   {{0x6b8dc0cf,0xddcb0c05,0x7bd606e4,0xdd900296}},	//   _seag, ğişt, _aayu, خود_, 
   {{0x61e80941,0x7bd6c0d0,0x6b8d00b0,0xaf360296}},	//   _indl, _bayu, _peag, _کرات, 
   {{0x61fac0d1,0x101603b1,0xa7fb0369,0xab5bc0d2}},	//   _hotl, _عباد, _riño, nfüg, 
   {{0x7bd6c0d3,0x319f01dd,0xa3b40299,0x00000000}},	//   _dayu, bāzē_, _ञान_, --, 
   {{0xaa640524,0xa7fb1f71,0x18050c59,0x5fbc0249}},	//   етск, _piño, रस्व_, ्जवल, 
   {{0x6b8d4873,0x61fa0364,0x443d0118,0xab5b04d6}},	//   _teag, _motl, yow_, ndüz, 
   {{0xb8e53e8a,0x7bd632fb,0xa7fb03da,0x61fa0102}},	//   _एह_, _gayu, _viño, _lotl, 
   {{0x47341d05,0x45d5c0d4,0x5bc9017d,0xc56b029a}},	// [c670] ентс, моас, िजीव, محال_, 
   {{0x443dc0d5,0x2d8e08f4,0xf8ae0444,0x61fac0d6}},	//   wow_, _jefe_, دکی_, _notl, 
   {{0xf9fc00a7,0x2d8e0237,0x443dc0d7,0x7bd62bc3}},	//   _להזמ, _mefe_, tow_, _yayu, 
   {{0x4ab1190a,0x61e8c0d8,0x320c0089,0x321e0054}},	//   _जमाव, _andl, _aldy_, _amty_, 
   {{0x61fa0364,0xe3b0105a,0x2169536e,0xd2a9004e}},	//   _botl, ارم_, оили_, ікке_, 
   {{0xe8190081,0xa9250032,0x6145609e,0x746b03a6}},	//   नोरा_, poľč, мела, _грав_, 
   {{0x1dd70a34,0x999802d9,0xa3ab0110,0x00000000}},	//   _भोगत, zorů_, _खाऊ_, --, 
   {{0x69d74d2f,0xddc2012d,0x321e0054,0xfbdf010c}},	//   _laxe, _ruoš, _emty_, wlên_, 
   {{0x7bd6c0d9,0x3e72002e,0xef19c0da,0x6e2143d0}},	//   _rayu, _cât_, юми_, tilb, 
   {{0x7bd65e85,0x61fa0219,0x7ae20352,0x6fa9009a}},	//   _sayu, _gotl, _šoto, _टाकू, 
   {{0x7bd63eac,0x3f8402cd,0x23720009,0x2d8e0248}},	//   _payu, bbmu_, žyje_, _defe_, 
   {{0xea01001b,0x6e21c0db,0x999800bc,0x2d8e0026}},	//   _đạt_, silb, torů_, _eefe_, 
   {{0xa3ab0fec,0x69d701d6,0x81d00086,0x61e834f9}},	//   _खाई_, _baxe, ষার_, _yndl, 
   {{0x186a08bd,0x7bd6c0dc,0x2baa35d2,0xae0100c9}},	//   жави_, _wayu, _काका, _लकिन_, 
   {{0xd9430fcc,0xa9677c98,0x7bd6b895,0x2bd91d11}},	//   вери, дира_, _tayu, _बोका, 
   {{0x7b07010e,0xc84a3197,0x66e60a36,0x00000000}},	//   örté, іпаж_, моба, --, 
   {{0x69d70dac,0x166600fd,0x86b30259,0x00000000}},	// [c680] _faxe, двам, кәрі, --, 
   {{0x2d8e03da,0x2d850cd7,0x3f8f0a6d,0x24680eb6}},	//   _xefe_, nble_, _legu_, _aşma_, 
   {{0x2d8528fe,0x136a0342,0x61fa6ecd,0x00000000}},	//   ible_, ошли_, _rotl, --, 
   {{0x3f8fc0dd,0x61fa07d7,0x2bc12002,0x00000000}},	//   _negu_, _sotl, ष्पा, --, 
   {{0xab5b02ec,0x61fa7418,0xe29709fa,0x00000000}},	//   rfüg, _potl, дач_, --, 
   {{0xc5d5c0de,0x2d850097,0x3f8f01a4,0x00000000}},	//   _пісь, jble_, _aegu_, --, 
   {{0x61fac0df,0x6d4700c2,0x2d8e0237,0xf50601ff}},	//   _votl, üjal, _refe_, _ўзбо, 
   {{0xa3ab2569,0xf8b300a7,0x2d850126,0x2d8e0149}},	//   _खाए_, דשה_, eble_, _sefe_, 
   {{0xf65f01cc,0x3f8f1d15,0x61fa0693,0x00000000}},	//   _især_, _degu_, _totl, --, 
   {{0x6282c0e0,0x61e802c9,0xdce301f2,0x3f8f059e}},	//   mpoo, _undl, _senġ, _eegu_, 
   {{0xae1d0790,0xa3d207d5,0xb4bc009a,0x16ab0035}},	//   योधन_, _वसा_, _अहो_, _चम्ब, 
   {{0xb5fb05b9,0x69d703c5,0x2d85c0e1,0x3e720210}},	//   _juár, _saxe, able_, _tât_, 
   {{0xfc3f0038,0xdddb00ad,0x2d8553ff,0x00000000}},	//   roí_, qquş, bble_, --, 
   {{0x7e7d2e19,0x2d8e00ca,0x76050216,0x00000000}},	//   íspe, _uefe_, _mîzê, --, 
   {{0xa3de02ff,0x00000000,0x00000000,0x00000000}},	//   तया_, --, --, --, 
   {{0x23dd02f8,0x7a2902fe,0x7b673ac9,0xa3b31df3}},	//   _नोंद, džte, _отпе, ज्ञ_, 
   {{0xa3e837ff,0xb6c20161,0x56943880,0x00000000}},	// [c690] बाई_, лөрд, катт, --, 
   {{0xa2dd00c9,0xe4a74ea2,0x00000000,0x00000000}},	//   पिस्, дрдо, --, --, 
   {{0x79951d0b,0xf1d90249,0xd49b7ff1,0xdb1d88c0}},	//   mazw, _योगन, юра_, sesä, 
   {{0x628400e0,0xc6a70acd,0xdcf80082,0x79950548}},	//   ģion, _орги, _jevđ, lazw, 
   {{0x62840012,0xc2cb00c5,0x3f8f1032,0x2bc14d65}},	//   ţion, تبال_, _regu_, ष्या, 
   {{0xa2f90e36,0x2cac004f,0x624d0183,0x3f8f4956}},	//   ्नौज_, kudd_, cúol, _segu_, 
   {{0x21660e65,0xab5b00ad,0xc8d80299,0x00000000}},	//   ниши_, rdüy, डिएट, --, 
   {{0xdb0d0068,0xb5fb0369,0x2bc11f9a,0x7995016c}},	//   _acaí, _guár, ष्मा, hazw, 
   {{0x442fc0e2,0x799509a4,0xe23502a6,0x00000000}},	//   mng_, kazw, _знањ, --, 
   {{0xac85c0e3,0x273e0124,0x272c00f7,0x442fc0e4}},	//   нгол, ững_, ếng_, lng_, 
   {{0x442fc0e5,0x3f8fc0e6,0x6da50176,0xee2e0259}},	//   ong_, _tegu_, _ҷила, _ұн_, 
   {{0x442fc0e7,0xfaa6c0e8,0xf3f9107c,0x80273aa9}},	//   nng_, намо, _biţi_, _غرام, 
   {{0x442fc0e9,0xef0e2010,0x200fc0ea,0x629912b6}},	//   ing_, _см_, _ilgi_, nswo, 
   {{0x442fc0eb,0x2fcdc0ec,0x799502b8,0x6f1d0587}},	//   hng_, leeg_, gazw, úscu, 
   {{0x3ead016a,0x442f167c,0x00000000,0x00000000}},	//   luet_, kng_, --, --, 
   {{0xad1a0056,0x2fcd006d,0xf3f9020f,0x80a71eed}},	//   _מוצר, neeg_, _fiţi_, _घटने, 
   {{0xe7370088,0xcfd90086,0xab660251,0x7bc402aa}},	// [c6a0] еет_, থাপন, _явил, _ibiu, 
   {{0x7ae402ba,0x442f0364,0xb5fbad26,0x2bc12360}},	//   _irit, eng_, _suár, ष्ठा, 
   {{0x69dc547c,0x600e01be,0x25a60213,0x546ac0ed}},	//   mdre, _lùma, ğol_, чаем_, 
   {{0x69cec0ee,0x69dc2d01,0x442f66a5,0x24860032}},	//   lebe, ldre, gng_, ďom_, 
   {{0x2fcd01da,0x3ead017b,0x6299040b,0x490800bc}},	//   deeg_, juet_, gswo, सनको_, 
   {{0x442fa25f,0x69dcc0ef,0x69cec0f0,0x4a9b008d}},	//   ang_, ndre, nebe, לינג, 
   {{0x62821eb6,0x03a6acc4,0x69dcc0f1,0x442f2d6c}},	//   spoo, _пиво, idre, bng_, 
   {{0x69ce4e39,0x69dc00f8,0x6033020f,0x7c260604}},	//   hebe, hdre, tăma, jikr, 
   {{0x61eb006b,0xcf260084,0x69cec0f2,0x3ead057d}},	//   állí, عربي, kebe, guet_, 
   {{0x4426c0f3,0xa3e88bbf,0xba3bc0f4,0x7bc40036}},	//   lio_, बाक_, nuït, _abiu, 
   {{0x7ae4c0f5,0x26d200f8,0x7c26c0f6,0x934300b3}},	//   _arit, hwyo_, fikr, _анӂе, 
   {{0x1beb08b3,0x8cb10035,0x2cac004f,0x69dcc0f7}},	//   टाइल_, _अमरो, rudd_, edre, 
   {{0x7ae4c0f8,0x799508dc,0x69dc4249,0xdcfa01dd}},	//   _crit, tazw, fdre, tatē, 
   {{0x4426c0f9,0x7ae4c0fa,0x69cec0fb,0x195901bb}},	//   hio_, _drit, gebe, дагы_, 
   {{0x4426c0fc,0x7ae48a30,0x07e7ae57,0xba3b022c}},	//   kio_, _erit, нцам, duït, 
   {{0x23692178,0x67d49d46,0x69dcc0fd,0x7c260574}},	//   žaji_, лосу, adre, cikr, 
   {{0x442617e3,0x69cec0fe,0x7ae45f27,0x4c542949}},	// [c6b0] dio_, bebe, _grit, _حضور, 
   {{0x69ce00ce,0x442f02bf,0x35b404fb,0x2fcd006d}},	//   cebe, wng_, лбур, zeeg_, 
   {{0x4426c0ff,0xdcf800e0,0xd4e4309a,0x629b01d8}},	//   fio_, _ievē, люци, _svuo, 
   {{0xf1d900ea,0x4426c100,0x7ae4030f,0x442fc101}},	//   _योजन, gio_, _yrit, ung_, 
   {{0x442f1191,0xa7fb0126,0x6abd0657,0xed46015f}},	//   rng_, _niñi, ntsf, _چپ_, 
   {{0xc6920137,0x7c260300,0x2fcd018c,0x442f859e}},	//   _דאך_, zikr, weeg_, sng_, 
   {{0x6299c102,0x628002f1,0x7bcf02b8,0x8c3d008f}},	//   sswo, _etmo, kecu, luğu, 
   {{0x442623fc,0xa2d500c9,0x6abd2104,0x387c039f}},	//   cio_, _मैथ्, ktsf, _évre_, 
   {{0x53341b17,0x7bcfc103,0x69dc30e6,0x69c5011d}},	//   _бетт, decu, ydre, _obhe, 
   {{0x7ae401ee,0x2fcd01c1,0x7d090886,0x69cec104}},	//   _rrit, seeg_, дног_, xebe, 
   {{0x6d4a02f0,0x69ce0218,0x7c26012d,0xa2d51295}},	//   _cyfa, vebe, tikr, _मैत्, 
   {{0xab2a0fb6,0x69cec105,0x6abd1562,0x6d4a00f8}},	//   дома_, webe, ftsf, _dyfa, 
   {{0x69cec106,0x68e102c9,0x7c26238a,0x6abd02c9}},	//   tebe, ældn, rikr, gtsf, 
   {{0x4426c107,0x8c3d03b0,0xbea29b5b,0x7c2626bb}},	//   zio_, duğu, _ташк, sikr, 
   {{0x69ce17d3,0x7ae40056,0x290c026e,0x69dc7b62}},	//   rebe, _writ, áda_, rdre, 
   {{0x69ce0194,0x4426c108,0xea010029,0x386b8c66}},	//   sebe, xio_, _đất_, _cicr_, 
   {{0xcf920137,0x7c24c109,0xba3b03a1,0x81a90086}},	// [c6c0] יטן_, _imir, tuït, গ্য_, 
   {{0x44260156,0x69ce0026,0x63a00175,0x00000000}},	//   wio_, qebe, _sdmn, --, 
   {{0x4426c10a,0x7c2402fe,0xba3b00f6,0x00000000}},	//   tio_, _kmir, ruït, --, 
   {{0x03a60cdf,0x8c3d0213,0xba3b00f6,0x00000000}},	//   тидо, buğu, suït, --, 
   {{0xc7b30a33,0x3860c10b,0x8c3d027e,0x644210f3}},	//   _דבר_, mmir_, cuğu, rooi, 
   {{0x4426c10c,0xa1580559,0x38600095,0xe4c600d3}},	//   sio_, налу_, lmir_, _ийги, 
   {{0xa7fb00b4,0x00000000,0x00000000,0x00000000}},	//   _siñi, --, --, --, 
   {{0x4fd4278a,0x4fc64d21,0x69a2009a,0x9f5d011c}},	//   ужит, тска, कृती, _kowè_, 
   {{0x62664018,0x09aa0086,0x4424c10d,0xb2c53629}},	//   _аваа, খ্যা, _imm_, _مغلو, 
   {{0x5fae00a2,0x602706df,0x7c24c10e,0xacf800d9}},	//   _टाकल, _pèmè, _amir, еноу_, 
   {{0x7bcf0474,0x00000000,0x00000000,0x00000000}},	//   tecu, --, --, --, 
   {{0xa3e80351,0x6abd0eca,0x44240065,0xc0060d4a}},	//   बाट_, ttsf, _jmm_, _шпек, 
   {{0x7bcf00b3,0x7bddc10f,0x7c2400a4,0x7a290009}},	//   recu, rdsu, _dmir, ežta, 
   {{0x7c240a8b,0x7bcfc110,0x6abd0430,0x386b00f8}},	//   _emir, secu, rtsf, _sicr_, 
   {{0xb4d1119b,0xef1900ab,0x19944008,0x4424007b}},	//   _वने_, daży_, рася, _omm_, 
   {{0x3d0e0c46,0x6e28034c,0x588428fb,0x36d5c111}},	//   ानीं_, lidb, рыра, лобр, 
   {{0x67d400d3,0x298b3f87,0x00000000,0x00000000}},	// [c6d0] шоту, _осно_, --, --, 
   {{0x80b80086,0xa5670274,0x6e280112,0x28ce00b0}},	//   _আনন্, ندان, nidb, _हैकि, 
   {{0xd371646f,0xd5b800fd,0xdb0dc112,0x3ce500aa}},	//   مها_, ъст_, _ibañ, टिये_, 
   {{0xfbdf078a,0x7640003e,0x601502d9,0x68e80566}},	//   ndê_, _ímyn, _káme, ædde, 
   {{0x59c01464,0xeabf01d8,0xa3e810cf,0x8c1c0225}},	//   श्वर, ntù_, बाज_, וואי, 
   {{0x26d900ce,0x6e280864,0x2fc60102,0xddc3020f}},	//   _isso_, jidb, _abog_, _minţ, 
   {{0x04677c4d,0x44240379,0x74f7010e,0xfbab0033}},	//   _атам, _fmm_, _جہاز_, গ্যত, 
   {{0xdb1d00fb,0x442401f2,0x6033020f,0x00000000}},	//   besø, _gmm_, rămo, --, 
   {{0x2f54418c,0x60150228,0xfe4503b7,0x9f5d00d4}},	//   итьс, _náme, лнио, _kowé_, 
   {{0x8ca40bf5,0xaded43f5,0x645b00a1,0xee361193}},	//   _किशो, जाइन_, _hhui, лны_, 
   {{0x3860c113,0xd00e0e0e,0x00000000,0x00000000}},	//   ymir_, زلی_, --, --, 
   {{0x26d911d2,0x6e9501a2,0xde950267,0xf65f0664}},	//   _osso_, _биду, _бадњ, _spæl_, 
   {{0x645b1600,0x8f9a00a7,0x2ee6c114,0x200d0102}},	//   _mhui, _ניסי, _grof_, mkei_, 
   {{0x2fc600f1,0xad240296,0xddc3020f,0x00000000}},	//   _zbog_, اریو, _dinţ, --, 
   {{0x07a604f5,0x2fdd01c1,0x26cb00e2,0x3860c115}},	//   лавн, _kawg_, _apco_, tmir_, 
   {{0x2fdf012b,0x200d7776,0x26cb2cff,0x00000000}},	//   ndug_, nkei_, _bpco_, --, 
   {{0x60150126,0x6f09c116,0x65c600f6,0x00000000}},	// [c6e0] _gáme, nyec, лбаа, --, 
   {{0xa7630f67,0x44240354,0x6b963415,0x00000000}},	//   скуд, _smm_, _heyg, --, 
   {{0x6b96c117,0x645b1232,0x6015026e,0x26d90093}},	//   _keyg, _bhui, _záme, _esso_, 
   {{0x645b4884,0x69dec118,0x290a0009,0x44240379}},	//   _chui, _hape, myba_, _qmm_, 
   {{0x69dec119,0x64a34a0d,0x645b11a1,0x244e063b}},	//   _kape, _қата, _dhui, nými_, 
   {{0x27e0c11a,0x69dec11b,0xa3e40ede,0x26c05101}},	//   ldin_, _jape, _भोर_, mtio_, 
   {{0x69dec11c,0x2fdd0201,0x6e281c2b,0x645b0094}},	//   _mape, _bawg_, vidb, _fhui, 
   {{0x27e0c11d,0x69dec11e,0x244e026e,0xa6db01d5}},	//   ndin_, _lape, kými_, _eyðu, 
   {{0x26c00156,0x60e0012d,0x27e0c11f,0xa7fb01d6}},	//   ntio_, _žymė, idin_, _giñu, 
   {{0x6015c120,0x290a0009,0x27e000c8,0x7c86c121}},	//   _cámb, kyba_, hdin_, луме, 
   {{0x85f70137,0x6e28c122,0x3d0e0035,0x27e0439b}},	//   אציע_, ridb, ानें_, kdin_, 
   {{0x6e28044e,0x6ee60195,0x290a0009,0x60dac123}},	//   sidb, _مستل, dyba_, _istm, 
   {{0x27e0c124,0x34d100c6,0xfbdf010c,0xdddb0b1d}},	//   ddin_, _सन्द, rdê_, spuš, 
   {{0xeabf00fd,0x2fdd006d,0x39470a1f,0x00000000}},	//   rtù_, _zawg_, _ønsk_, --, 
   {{0x69de009a,0x2fdd01a0,0x7d7b0070,0x0ed8031e}},	//   _dape, _yawg_, _אנוו, _बैतड, 
   {{0x6c8300eb,0x60150068,0xf7730198,0x3a7511f0}},	//   _اليم, _táme, صار_, _клир, 
   {{0x76457e1f,0x7bdf0036,0x69dec125,0x47340038}},	// [c6f0] tohy, _iaqu, _fape, مركز, 
   {{0x6449aea8,0x645b009f,0x60da00b0,0x69dec126}},	//   _skei, _shui, _ostm, _gape, 
   {{0x6f1b02a3,0x26c0c127,0x645b0465,0x94870259}},	//   zzuc, atio_, _phui, уызд, 
   {{0xd5643677,0x69de07f6,0x7bdf9434,0x1e0100a2}},	//   ступ, _zape, _jaqu, _लक्ष_, 
   {{0x26c00c33,0x2fdd006d,0x69de2fc5,0x932720b4}},	//   ctio_, _rawg_, _yape, دران, 
   {{0x7bdfc128,0x0085069b,0x6d5800da,0x910521bd}},	//   _laqu, алко, _ozva, ипле, 
   {{0x645bc129,0x80156f5d,0x2fdd01a0,0x3d0e0035}},	//   _thui, ифиц, _pawg_, ानों_, 
   {{0x7bdf0c7c,0x2fdd006d,0xa9280098,0x645b0c0a}},	//   _naqu, _qawg_, loží, _uhui, 
   {{0xcdf5058b,0xf1a72b21,0xddcb00e0,0xee3902f1}},	//   ачны, _брен, _augš, кни_, 
   {{0x3ebfc12a,0x7997078a,0x244e0076,0x27e00397}},	//   rtut_, _nexw, vými_, zdin_, 
   {{0x69dec12b,0x2fdd006f,0xd13100eb,0x2247008a}},	//   _rape, _tawg_, _بما_, monk_, 
   {{0x69dec12c,0x8c4682f1,0x244e014b,0x6b661fc7}},	//   _sape, реме, tými_, икна, 
   {{0x7bdf0c7c,0x3f8d0574,0x63a4007a,0x00000000}},	//   _daqu, mbeu_, óini, --, 
   {{0xc3320052,0x3ead0c43,0x244e954e,0x1dd900a2}},	//   קום_, mret_, rými_, _बघित, 
   {{0x69dec12d,0x245c014b,0x7bdf019c,0x779600ff}},	//   _vape, líme_, _faqu, ијац, 
   {{0x69dec12e,0x6ca40274,0x27e06d55,0x290a0009}},	//   _wape, _اصول, udin_, ryba_, 
   {{0x1867b3e2,0x27e0c12f,0xdce10824,0xd707631e}},	// [c700] рати_, rdin_, malı, анте_, 
   {{0xe617c130,0x26c0c131,0xe5a6c132,0x63bbc133}},	//   аду_, rtio_, рижи, _acun, 
   {{0x224706df,0x3eadc134,0x27e00102,0xb4c2bf28}},	//   donk_, hret_, pdin_, ्बे_, 
   {{0x7bdf0042,0xdce107fa,0x3ead543f,0x799c547c}},	//   _xaqu, nalı, kret_, larw, 
   {{0x3ead055f,0x60da0065,0x245c014b,0x3e7b009e}},	//   jret_, _sstm, jíme_, _nêt_, 
   {{0x5bd30b3e,0x30a63d5b,0x245c0254,0x3ead0cac}},	//   _तस्व, арив, díme_, dret_, 
   {{0x05c600a2,0xdce10384,0x3eadc135,0xd12f091d}},	//   र्णब, kalı, eret_, ومه_, 
   {{0x601505a8,0x04430cd9,0x3eadc136,0x799cc137}},	//   _rámc, _десн, fret_, harw, 
   {{0x7bdfc138,0x3ead8861,0xdefa1078,0x2cac0156}},	//   _raqu, gret_, тый_, wrdd_, 
   {{0x59b200a5,0x9e062164,0xb60700c3,0x799c17f9}},	//   _जागर, рчил, _gaġġ, jarw, 
   {{0xa17b035c,0x057700d1,0xdcfa01dd,0xfc401102}},	//   _סטאט, יגים_, matī, čín_, 
   {{0x245c014b,0x3ead7459,0x7997040b,0xdcfa0243}},	//   bíme_, bret_, _sexw, latī, 
   {{0x3eadc139,0x799c02bf,0x8d861e38,0x9c38c13a}},	//   cret_, farw, _куйд, рпят_, 
   {{0x799cc13b,0x5d840038,0xdcea00c3,0x5a470209}},	//   garw, _الغل, _nefħ, рэма, 
   {{0x6d5800e0,0x79970218,0x6e3d010e,0xdce10384}},	//   _uzva, _vexw, ésbe, balı, 
   {{0xdce106a2,0x20d8001b,0x00000000,0x00000000}},	//   calı, _mũi_, --, --, 
   {{0x799cc13c,0xdcfa0243,0x00000000,0x00000000}},	// [c710] barw, katī, --, --, 
   {{0xb8dd0086,0x79a70ec6,0x63bb0474,0x799c0027}},	//   _ইন_, _трие, _scun, carw, 
   {{0x69d5c13d,0x245c031e,0x601500da,0xb60700c3}},	//   meze, zíme_, _láma, _raġġ, 
   {{0x69d5c13e,0x25fb3263,0x3eadc13f,0x225e01d6}},	//   leze, लॉजी_, yret_, _ahtk_, 
   {{0x17080019,0x60150098,0x00000000,0x00000000}},	//   _پہلی_, _náma, --, --, 
   {{0x40952e07,0x245c026e,0x5694069b,0x4224004f}},	//   брит, víme_, _фарт, одів, 
   {{0x6b9dc140,0xdce10540,0x2247c141,0x20d80108}},	//   kasg, yalı, ronk_, _cũi_, 
   {{0x293800a7,0x69d5c142,0x245c014b,0x893800d1}},	//   יאון_, heze, tíme_, ירוע_, 
   {{0x69d5c143,0x6015128a,0x799c0959,0x6833003d}},	//   keze, _cáma, yarw, għdi, 
   {{0x245c0228,0x69d5c144,0x3ead0c2e,0x69c7c145}},	//   ríme_, jeze, rret_, jfje, 
   {{0x61e1c146,0x4c6a0665,0x245c05a8,0xdce107fa}},	//   _iall, лион_, síme_, talı, 
   {{0x61e1c147,0x6b9dc148,0x799cc149,0x3e7b0106}},	//   _hall, gasg, warw, _têt_, 
   {{0x8e85c14a,0xdce105b7,0x799c7184,0x1ee704f2}},	//   _угле, ralı, tarw, _خوشی_, 
   {{0x61e1c14b,0xd9b205f6,0xf98309e4,0x7d10010e}},	//   _jall, जलेट, згро, öksé, 
   {{0xfbdf02a0,0x487900b3,0x799c02b8,0x16d03e22}},	//   glês_, истя_, rarw, हब्ब, 
   {{0x32050068,0x9f4f26e2,0x61e1c14c,0x600e01c5}},	//   _loly_, _angé_, _lall, _cùmh, 
   {{0x69d5c14d,0xb6a600cf,0x46ea001c,0x95ca02f1}},	// [c720] beze, сизл, ыдан_, ллаб_, 
   {{0x61e1c14e,0xe9da0097,0x49961fc7,0x00000000}},	//   _nall, _ско_, _ушит, --, 
   {{0xd910086b,0xdcfa0243,0x18280444,0xd05a0248}},	//   _غیر_, vatī, _نقدی_, _ertə, 
   {{0x61e13aa3,0xad3600c7,0xdb1d010e,0xdb0d00b0}},	//   _aall, זנעס_, yesü, _ebaõ, 
   {{0x6a6002f2,0x320501a7,0xdcfa01dd,0xa3a900bc}},	//   röff, _boly_, tatī, _गएर_, 
   {{0x61e1c14f,0x56930148,0x320500de,0xe1f5035b}},	//   _call, _хаёт, _coly_, оҳу_, 
   {{0x61e1c150,0x845a2035,0xbb1b0216,0x3205c151}},	//   _dall, _брат_, nbîr, _doly_, 
   {{0x61e1c152,0x68e141f1,0xdb1d010e,0x69d5c153}},	//   _eall, ældi, tesü, zeze, 
   {{0x69d5c154,0xc224009c,0xdcfa01dd,0x7de600f0}},	//   yeze, _وکتو, patī, бінд, 
   {{0x61e1218b,0xc27b00d1,0x2d980032,0x6ce35b63}},	//   _gall, _ערבי, úre_, गिंग_, 
   {{0x69d50019,0x9bd51003,0x59b200bc,0x9c390165}},	//   veze, ожні, _जाजर, ипот_, 
   {{0x69d5c155,0xdb040068,0xc60500a2,0x6015010e}},	//   weze, _aciñ, _शक्य_, _táma, 
   {{0x69d5c156,0x7ae20082,0x6b9dc157,0x61e12af2}},	//   teze, _šotr, rasg, _yall, 
   {{0x61e1c158,0x6b84019c,0x7f3b0070,0x2006c159}},	//   _xall, _efig, _געדו, _hooi_, 
   {{0x69d5c15a,0x5d9b00a7,0x2d9ec15b,0xddc8014b}},	//   reze, _גבוה, mate_, vodň, 
   {{0xb9010fec,0x69d5c15c,0x08550965,0x2d9e255f}},	//   _धन_, seze, іваю, late_, 
   {{0x20060e47,0x69d50727,0xd6d70033,0xf77f0216}},	// [c730] _mooi_, peze, সম্প, _naçe_, 
   {{0xdb0402f2,0x2d9ec15d,0x7aedc15e,0x2006c15f}},	//   _heiß, nate_, _irat, _looi_, 
   {{0x93790d11,0x4d7b00c7,0xe4d503b8,0x2d9e00b3}},	//   абет_, ארבע, تقاد, iate_, 
   {{0x61e17daf,0x7c2f0068,0x4cbb00c7,0x20060326}},	//   _sall, nicr, רמאג, _nooi_, 
   {{0x81e200cc,0x61e1c160,0x7bcd628a,0x32055a29}},	//   ধান_, _pall, _mbau, _poly_, 
   {{0x2d9ec161,0x61e1c162,0x7aedc163,0x20890093}},	//   jate_, _qall, _mrat, айки_, 
   {{0x61e1b714,0x50b508af,0x320501a7,0x2006040b}},	//   _vall, іску, _voly_, _booi_, 
   {{0x20c1c164,0x60090bf2,0x61e1c165,0x1e855964}},	//   rói_, рним_, _wall, олим, 
   {{0x61e1c166,0xd5c6000c,0x442fc167,0x6607006d}},	//   _tall, र्वज, mig_, _kojk, 
   {{0x442fc168,0xfc40014b,0x61e101c5,0x6b843c88}},	//   lig_, čím_, _uall, _sfig, 
   {{0xed594316,0x7aedc169,0x63a4010d,0x6d460908}},	//   рон_, _arat, ðing, şkan, 
   {{0x7aedc16a,0x442fc16b,0x20061698,0x644bc16c}},	//   _brat, nig_, _gooi_, nogi, 
   {{0x6443078a,0xab5b01c4,0x29050219,0x6da5405a}},	//   îniy, nfüh, älan_, _дила, 
   {{0x2d9ec16d,0xe81c000c,0x2d81007e,0x7aedc16e}},	//   cate_, नसभा_, _ühe_, _drat, 
   {{0xa3b91ff6,0x442fc16f,0x63a9c170,0x5fddb349}},	//   चला_, kig_, _oden, _मसाल, 
   {{0x7aedc171,0x6015c172,0x63a9c173,0x442fc174}},	//   _frat, _mámo, _nden, jig_, 
   {{0x442fc175,0x562a2c28,0x644b0156,0xaa7b014b}},	// [c740] dig_, ажам_, dogi, jvýh, 
   {{0x660700ef,0x442f03dd,0x00000000,0x00000000}},	//   _cojk, eig_, --, --, 
   {{0x442fc176,0x1600047c,0x62890a78,0x60151102}},	//   fig_, लॉगर_, _ateo, _námo, 
   {{0x2d9ec177,0x442fc178,0x52840258,0xe28400f0}},	//   zate_, gig_, зҳаб, зған, 
   {{0x2d9ec179,0x2006018c,0x6aa80262,0x63a925a3}},	//   yate_, _rooi_, _कटोर, _dden, 
   {{0xaab205fd,0x660701b4,0x63a9c17a,0xfe670a67}},	//   _जिनक, _gojk, _eden, _زد_, 
   {{0x442f03eb,0x2d9ec17b,0xd01a0f5a,0xa50a00b3}},	//   big_, vate_, ифи_, _тева_, 
   {{0x63a4003e,0x644bc17c,0x442fc17d,0x6015334d}},	//   ðind, cogi, cig_, _dámo, 
   {{0x2d9ec17e,0x601c0019,0x81cf0086,0xdb040380}},	//   tate_, _néme, ষয়_, _reiß, 
   {{0x70f66349,0x63a900da,0x20060065,0x27370108}},	//   _وسائ, _zden, _wooi_, ầng_, 
   {{0xdef8004e,0x7aed0465,0xdca302a0,0x601c0175}},	//   рық_, _srat, маќи, _pémd, 
   {{0x2d9ec17f,0x00000000,0x00000000,0x00000000}},	//   sate_, --, --, --, 
   {{0x106900eb,0x6015253f,0xaf3601c9,0x7aed007b}},	//   _احلى_, _zámo, _برات, _qrat, 
   {{0x442fc180,0x3ea600ef,0xdb0401c4,0x7c2f1115}},	//   zig_, _ivot_, _weiß, sicr, 
   {{0x69c30c05,0x442fc181,0x644bc182,0x6607882e}},	//   _önem, yig_, yogi, _rojk, 
   {{0x2ee900ef,0x442fc183,0x2d9cc184,0x66077a31}},	//   _šafi_, xig_, _heve_, _sojk, 
   {{0x7aedc185,0x7c2dc186,0x6607c187,0x442f1e17}},	// [c750] _urat, _imar, _pojk, vig_, 
   {{0x442fc188,0x2d9c0121,0x644b00f8,0xe29f01d5}},	//   wig_, _jeve_, wogi, _æði_, 
   {{0x442f4876,0x7c2d0246,0x644bc189,0x59c407d5}},	//   tig_, _kmar, togi, _लॉटर, 
   {{0x2d9cc18a,0x601cc18b,0x245c003e,0x60152c26}},	//   _leve_, _lémb, tíma_, _rámo, 
   {{0x442f3853,0x386905a1,0x25aa00ef,0x7c2dc18c}},	//   rig_, mmar_, _fdbl_, _mmar, 
   {{0x442fc18d,0x2d9cc18e,0x38690be0,0xab5b01c4}},	//   sig_, _neve_, lmar_, rfüh, 
   {{0x442fc18f,0xb8820c7f,0xe4a4c190,0x7c2d49c9}},	//   pig_, žíva, _орто, _omar, 
   {{0x63a901cc,0x34950cdf,0x201941d4,0xfc40253f}},	//   _uden, _маҳр, ósi_, čík_, 
   {{0xa1c3004e,0x6d461b20,0x533403fd,0x2d9c02a3}},	//   _жұлд, şkal, _жетт, _beve_, 
   {{0x7c2dc191,0x8c0800cc,0x60150019,0x443f0097}},	//   _amar, _লগইন_, _támo, _hju_, 
   {{0x2d9c3065,0x442d0102,0x443f0082,0x61ee00b9}},	//   _deve_, _kme_, _kju_, _óbla, 
   {{0xca290052,0x3869010c,0xed59004e,0xe61f0032}},	//   _גם_, jmar_, _қой_, _stôl_, 
   {{0x442d0194,0x38690144,0x2d9cc192,0x00000000}},	//   _mme_, dmar_, _feve_, --, 
   {{0x7c2dc193,0x7e68012b,0x601c0096,0x6033020f}},	//   _emar, cmdp, _gémb, rămu, 
   {{0xfe70182b,0x443f00b9,0x25a1050f,0x8dfa00d1}},	//   _شده_, _oju_, dahl_, _להסת, 
   {{0x06865750,0xbb46012d,0x597400f0,0x601c00b9}},	//   зган, _нейк, зығу, _téme, 
   {{0xe61a0d3f,0x00000000,0x00000000,0x00000000}},	// [c760] бда_, --, --, --, 
   {{0xa3e43e8a,0x442dc194,0x499600cf,0x2d85832b}},	//   _भोज_, _ame_, _эшит, ncle_, 
   {{0x7c2d0156,0x442d3a63,0x68e10566,0x00000000}},	//   _ymar, _bme_, ældt, --, 
   {{0xe4522751,0x7c2dc195,0x38690183,0x394d020f}},	//   رضا_, _xmar, cmar_, şesc_, 
   {{0xcfc300cc,0x442d0226,0x201f0053,0xfbc10c64}},	//   ্যান, _dme_, dhui_, ष्टम, 
   {{0x442dc196,0x64a62cc1,0xf8b000e6,0x672402fe}},	//   _eme_, _нага, _जटाय, mzij, 
   {{0x2d9cc197,0x6724c198,0x799e0118,0x442dc199}},	//   _reve_, lzij, _mepw, _fme_, 
   {{0xd01000eb,0x93a91117,0xdfda0093,0x853b0486}},	//   ئلة_, _واقف_, сък_, _הגלי, 
   {{0x63a20204,0xb2261d98,0xe297020f,0x9f4f019b}},	//   maon, _емал, _нат_, _angâ_, 
   {{0xab5b7720,0x63a2c19a,0x442d00a3,0xf77fc19b}},	//   ngüe, laon, _zme_, _maça_, 
   {{0x442d016a,0xdce30241,0x656801f5,0x245c02be}},	//   _yme_, _benı, _ùdhd, nímo_, 
   {{0x63a29f70,0x25a101c4,0xbb9400c8,0x00000000}},	//   naon, zahl_, нающ, --, 
   {{0x2d9c03b7,0x601c22b4,0xc9051e7b,0x672429e4}},	//   _teve_, _témb, रह्म_, jzij, 
   {{0x63a2c19c,0x26002002,0x67244d0e,0x58d5004f}},	//   haon, राफी_, dzij, могт, 
   {{0x63a2c19d,0x26000497,0x37ab09d9,0x3d2201e5}},	//   kaon, रानी_, йтан_, _déwé_, 
   {{0x63a27978,0x7c2dc19e,0x25a10380,0x3869c19f}},	//   jaon, _umar, wahl_, umar_, 
   {{0xdce80749,0xf77f6fb7,0x63a20204,0x25a1168e}},	// [c770] madı, _caça_, daon, tahl_, 
   {{0x442d0039,0xdce803c0,0x443f14cf,0xe7ed109f}},	//   _sme_, ladı, _sju_, _चोरा_, 
   {{0xf6500b7e,0x443f016a,0xb88300bc,0x7c3dc1a0}},	//   ائق_, _pju_, říbr, onsr, 
   {{0xf77f03b7,0xd3711057,0x63a2c1a1,0xdce8008f}},	//   _faça_, نها_, gaon, nadı, 
   {{0x27e96c30,0x443f0097,0x437400d3,0x91e51d91}},	//   mdan_, _vju_, нушт, доле, 
   {{0x27e91d56,0xdb1d0219,0x3f9d009c,0xdce804d6}},	//   ldan_, besö, _sewu_, hadı, 
   {{0x94d40ba6,0xa4d400dd,0x63a2c1a2,0x443f0034}},	//   _порц, _порі, baon, _tju_, 
   {{0x27e9c1a3,0xef1902f1,0x442dc1a4,0x63a201fd}},	//   ndan_, жми_, _ume_, caon, 
   {{0x26c9c1a5,0x0e6502f1,0xdce804be,0x62790228}},	//   ntao_, мкин, dadı, _dňoc, 
   {{0x27e9c1a6,0x645902eb,0xe165009c,0x910700b3}},	//   hdan_, llwi, _قضای, _нчед, 
   {{0x27e902f1,0x4d6500dd,0x6724003d,0x1d099b97}},	//   kdan_, ьков, zzij, цени_, 
   {{0x3f15c1a7,0x27e9403b,0x443d0156,0x26c90588}},	//   _одес, jdan_, nnw_, ktao_, 
   {{0x27e9c1a8,0x64590175,0x260000bc,0x7e630096}},	//   ddan_, ilwi, रामी_, _thnp, 
   {{0xf77f412c,0x672400ef,0xce6b2831,0x9e64004f}},	//   _raça_, vzij, _уред_, _звід, 
   {{0x63a2c1a9,0x69cd0425,0x27e91d97,0x601c1390}},	//   yaon, द्धी, fdan_, _héma, 
   {{0x27e9c1aa,0x6f16006a,0x998d0704,0x1dbd1d5b}},	//   gdan_, _życi, đeš_, ्भवत, 
   {{0x63a2c1ab,0xe5a66149,0x67240528,0x00000000}},	// [c780] vaon, дизи, uzij, --, 
   {{0x69cd034d,0x63a2219f,0x27e9c1ac,0x7ae4c1ad}},	//   द्दी, waon, adan_, _isit, 
   {{0x1dcf0c14,0x63a2c1ae,0xd9461e0a,0x9f420187}},	//   त्यत, taon, _цени, ľké_, 
   {{0x9f42014b,0x69ce15e9,0xf77f0165,0x27e9c1af}},	//   žké_, lfbe, _taça_, cdan_, 
   {{0x78bc0065,0x926a6b7b,0x366ac1b0,0x412903a1}},	//   lurv, орка_, _мамо_, үнчү_, 
   {{0x201d4617,0x63a2c1b1,0x7ae40053,0x66210083}},	//   _alwi_, saon, _msit, ązkó, 
   {{0x63a27a2e,0x6443001d,0x69dcc1b2,0x9f4f0054}},	//   paon, énic, iere, _angà_, 
   {{0x69dcc1b3,0x7ae4c1b4,0xeeaa2dcf,0x00000000}},	//   here, _osit, оток_, --, 
   {{0x69dcc1b5,0x6015026e,0xa1c6c1b6,0xdce800ad}},	//   kere, _zámk, _обад, vadı, 
   {{0x69dcc1b7,0x27e90998,0x601c026d,0x601500eb}},	//   jere, zdan_, _déma, _lámh, 
   {{0x45b70056,0x7ae4c1b8,0x61fac1b9,0x63a00664}},	//   ופיל_, _asit, _intl, _kemn, 
   {{0x61e8c1ba,0x6280c1bb,0x63a0026e,0x320c7583}},	//   _hadl, _kumo, _jemn, _hody_, 
   {{0xdce8054d,0x27e9c1bc,0x63a0027e,0xb9c700a3}},	//   radı, vdan_, _memn, мёви, 
   {{0x69dcc1bd,0x320c0180,0x63a000d9,0x7ae40175}},	//   gere, _jody_, _lemn, _dsit, 
   {{0x7ae4c1be,0x320cb76e,0x61e8c1bf,0x27e9369b}},	//   _esit, _mody_, _madl, tdan_, 
   {{0xb90705fd,0x61e826e0,0x63a000fc,0x59b102e6}},	//   _मई_, _ladl, _nemn, _जयवर, 
   {{0x27e97edb,0x69dcc1c0,0xfc3f000d,0x61fa0b1f}},	// [c790] rdan_, bere, mní_, _ontl, 
   {{0xfc3f0351,0x61e8090b,0x69dcc1c1,0xea010029}},	//   lní_, _nadl, cere, _đặt_, 
   {{0x26c928fd,0x27e9c1c2,0x69c5c1c3,0x73d9001c}},	//   stao_, pdan_, _iche, здер_, 
   {{0xfc3fc1c4,0x27e94960,0x6280c1c5,0x320c0054}},	//   nní_, qdan_, _bumo, _aody_, 
   {{0x320c0bf9,0x63a0c1c6,0x628017ec,0x7ae4012b}},	//   _body_, _demn, _cumo, _xsit, 
   {{0xaab2006a,0x11d90038,0x26000367,0x7bddc1c7}},	//   _जिसक, سوعة_, राणी_, hesu, 
   {{0x69c574e6,0x601cc1c8,0xe0d10019,0x61e8c1c9}},	//   _mche, _séma, ازت_, _dadl, 
   {{0x69dcc1ca,0xfc3f037f,0x61fa01c4,0x7bddc1cb}},	//   zere, jní_, _entl, jesu, 
   {{0xfc3f0351,0x69dcc1cc,0x7a22026d,0x61e8c1cd}},	//   dní_, yere, _hôte, _fadl, 
   {{0x6cea143e,0x69dcc1ce,0x63a0c1cf,0x7bc40036}},	//   टिंग_, xere, _zemn, _sciu, 
   {{0x260002f8,0x69dc6b01,0x60150634,0x62800126}},	//   राती_, vere, _lámi, _zumo, 
   {{0x69c5c1d0,0xeb97030f,0x601c031e,0xdb040068}},	//   _ache, нию_, _téma, _adiá, 
   {{0x6015aa84,0x6d5806a2,0x81e20033,0x4b5500fd}},	//   _námi, _eyva, ধার_, върт, 
   {{0x68e5019b,0xdca548f2,0x69dc168e,0xfc3f0032}},	//   _bshd, _заки, uere, aní_, 
   {{0xfc3f000d,0xc21200d1,0xd943c1d1,0x6d580009}},	//   bní_, נהל_, гери, _gyva, 
   {{0x69dc422b,0x7bddc1d2,0x7ae4c1d3,0xb903c1d4}},	//   sere, cesu, _tsit, ызск, 
   {{0x69dcc1d5,0xb9070ffc,0x7ae48b38,0x6843c1d6}},	// [c7a0] pere, _मै_, _usit, унта, 
   {{0x63a00012,0xf77f02a0,0x69dc39c3,0x6280c1d7}},	//   _semn, _faço_, qere, _rumo, 
   {{0x399b1a61,0x6280c1d8,0x07a6069b,0x320c01be}},	//   _מייד, _sumo, _панн, _rody_, 
   {{0x62800102,0x1dcf05ff,0x61e8c1d9,0x00000000}},	//   _pumo, त्तत, _sadl, --, 
   {{0x81e90086,0x087700c7,0x61e8c1da,0x320c0054}},	//   যান_, _רעכט_, _padl, _pody_, 
   {{0x7bddc1db,0xfc3f031e,0x7d0e055f,0x60e62a65}},	//   zesu, zní_, øbsk, ециз, 
   {{0x320c0076,0xe64302fb,0x63a04356,0x35c50e65}},	//   _vody_, _серп, _temn, _шарҳ, 
   {{0xefb200d4,0x320c00ab,0xaa0d031e,0xfc3f00bc}},	//   ایشگ, _wody_, _सक्छ_, xní_, 
   {{0xfc3f0351,0xc24614fc,0x320c01a7,0x7bddc1dc}},	//   vní_, _знак, _tody_, vesu, 
   {{0x7ed30038,0x660e0566,0x00000000,0x00000000}},	//   ازيا, _jobk, --, --, 
   {{0xfc3f0351,0x7bddc1dd,0xddc30604,0xaa7b00da}},	//   tní_, tesu, _finž, jvýr, 
   {{0x63760824,0x69c56b01,0x6d58014b,0xbe8a00f0}},	//   _günü, _sche, _vyva, _еске_, 
   {{0xfc3f000d,0x601c4a78,0x69c55d59,0xdcea00ca}},	//   rní_, _hémo, _pche, čiđe, 
   {{0xfc3f031e,0x673b0082,0x601c0175,0x660e00b4}},	//   sní_, _žujo, _kémo, _nobk, 
   {{0xfc3f037f,0x7bdd06a6,0x248d0372,0x28f800d9}},	//   pní_, pesu, _čemo_, нерь_, 
   {{0x601c026d,0x36d52dc4,0x7bdd0034,0x00000000}},	//   _mémo, кобр, qesu, --, 
   {{0x2bc60aac,0x69c5c1de,0xfc4000bc,0xaae70038}},	// [c7b0] _वाता, _tche, čít_, _أسبو, 
   {{0x69c5c1df,0x63a4008c,0x391508d1,0x163b0038}},	//   _uche, ðinn, _амор, أسرة_, 
   {{0xe1ff00f7,0xd5b80028,0x81e90033,0x00000000}},	//   _đó_, эст_, যাম_, --, 
   {{0x69cd03be,0x9f5f008c,0x60150068,0x00000000}},	//   द्री, kkuð_, _támi, --, 
   {{0xfbd305d0,0x2bd31276,0x8627012d,0x00000000}},	//   ध्यम, ध्या, _зьве, --, 
   {{0x1a9c00c7,0x51873aed,0x601c0151,0xc8820474}},	//   לידע, худа, _bémo, _fişă_, 
   {{0x2ee6018c,0x2fc60226,0x62860b74,0xf1a801e5}},	//   _asof_, _bcog_, _ékon, راوه_, 
   {{0x601c6600,0x8f7507f4,0x7f75c1e0,0x660e0121}},	//   _démo, купі, купц, _zobk, 
   {{0x4fe600f6,0xdb0d001d,0xa3e6009a,0x81d60033}},	//   тмын_, _ocañ, _बघत_, িয়_, 
   {{0x273e0029,0xee368125,0x6b8d018e,0x601c0106}},	//   ắng_, кны_, _afag, _fémo, 
   {{0x25a3c1e1,0x9d456567,0xdb0603d8,0xc5f20486}},	//   _mejl_, тенд, ngkö, בדי_, 
   {{0x3de10086,0x09ca05ff,0x27eb00a1,0x25a3007b}},	//   বাইল, िभ्य, _nacn_, _lejl_, 
   {{0x8af00270,0xef0e537a,0xdb06021e,0x683a00d8}},	//   _azər, _тм_, makë, hůdc, 
   {{0x0dcb01a2,0xe3d50086,0xa96a02f1,0x3e6b00f6}},	//   _худи_, _সোমব, дига_, _эшен_, 
   {{0xe9a3c1e2,0x3ebf5e34,0x5e560189,0x260055b4}},	//   расп, luut_, _جلوس_, रासी_, 
   {{0xf77217ba,0x200f0019,0xab5b61dd,0x00000000}},	//   لاء_, _jogi_, rfür, --, 
   {{0xe73700a6,0x3ebf0b1f,0x25a30097,0x4de503ce}},	// [c7c0] вет_, nuut_, _bejl_, _कसाई_, 
   {{0x6443247e,0x200fc1e3,0xdb0402aa,0x55c500f0}},	//   énin, _logi_, _adiç, лауғ, 
   {{0x26d9c1e4,0x27eb0118,0x68467b5c,0xab5bc1e5}},	//   _epso_, _facn_, _анна, ngün, 
   {{0x7af61175,0xb4d200ab,0x200fc1e6,0x260052c2}},	//   _kryt, _वही_, _nogi_, राही_, 
   {{0x25a301cc,0x27e0c1e7,0x245c00bc,0x7c3d2033}},	//   _fejl_, mein_, ními_, érri, 
   {{0x27e0a32b,0x80db00cc,0xdb0403b7,0x9fc30033}},	//   lein_, ভিন্, _ediç, ্যোগ, 
   {{0xa0a3005e,0x64a603dc,0x7af6012d,0x2918545e}},	//   ашыл, _шава, _lryt, nyra_, 
   {{0x601c0068,0x200f0126,0x27e0c1e8,0xaab2009a}},	//   _vémo, _cogi_, nein_, _जिंक, 
   {{0x29187688,0x00000000,0x00000000,0x00000000}},	//   hyra_, --, --, --, 
   {{0x44260316,0x601cc1e9,0x27e0c1ea,0xa3c20527}},	//   lho_, _témo, hein_, ्भव_, 
   {{0x27e0c1eb,0xa3e600a2,0x55bb00d1,0x2918024a}},	//   kein_, _बघा_, ומיו, jyra_, 
   {{0x44260316,0x7af6c1ec,0x64420088,0x3ebfc1ed}},	//   nho_, _bryt, nnoi, buut_, 
   {{0x27e0165a,0x34df89a8,0x3fcb04f2,0xf1c90c65}},	//   dein_, _नन्द, _آدمی_, _रामन, 
   {{0x3eb90228,0x7bd601a3,0x7af63a1c,0x00000000}},	//   áste_, _ebyu, _dryt, --, 
   {{0x4426c1ee,0x19582f89,0x2918b7b3,0x26d901f5}},	//   kho_, вары_, gyra_, _spso_, 
   {{0x44260187,0xe7ed00b0,0x27e0c1ef,0x7c260380}},	//   jho_, _चोखा_, gein_, chkr, 
   {{0x4426c1f0,0x26c00102,0x245c014b,0x1dcf0249}},	// [c7d0] dho_, guio_, cími_, त्वत, 
   {{0x2fdf02f2,0x44260187,0xcfeb0086,0x85b805b2}},	//   zeug_, eho_, কায়_, клус_, 
   {{0x9f4f0219,0x27e0c1f1,0xf96bc1f2,0x25a30566}},	//   _ingå_, bein_, _юрий_, _vejl_, 
   {{0x4426c1f3,0x644244b2,0xa37d0532,0x27e001be}},	//   gho_, gnoi, _kaŵi, cein_, 
   {{0x1dc20f01,0x59a7000d,0x67460032,0xab5b2120}},	//   _शांत, _औजार, čujú, zgün, 
   {{0x78ba03ef,0x21693c93,0x65940cfe,0x200f011c}},	//   štve, нили_, _вару, _sogi_, 
   {{0x2055c1f4,0x26000d2e,0x442600a1,0x200f07fc}},	//   лтир, रारी_, bho_, _pogi_, 
   {{0x4426c1f5,0xe3b002b4,0x63ad008c,0x3fe5c1f6}},	//   cho_, _ورق_, ðand, ужив, 
   {{0x69d724d3,0xdb060034,0xddc3007b,0x00000000}},	//   _obxe, rakë, _tinż, --, 
   {{0x27e00a9f,0x7bd6016a,0x7d0902a6,0x205600d3}},	//   zein_, _sbyu, еног_, ктөр, 
   {{0x7fd5032e,0xdb06c1f7,0x6cc500e4,0x611300bc}},	//   _білі, maké, ыйна, _dělá, 
   {{0xdb067a4e,0x2d8e10f3,0x9ef50038,0x245cc1f8}},	//   laké, _effe_, _مستش, tími_, 
   {{0x27e02eef,0x2bd300c9,0xdd0304d6,0x00000000}},	//   vein_, ध्धा, ısıd, --, 
   {{0x2918024a,0x7c26024a,0x3ead07a0,0xada501ff}},	//   tyra_, shkr, mset_, _сакл, 
   {{0x3ead8888,0x291eb81d,0xe737004e,0x27e0c1f9}},	//   lset_, áta_, ңес_, tein_, 
   {{0x589535d6,0x1dcf1bc8,0x7d1c03a9,0x3f8d2b86}},	//   ршру, त्रत, ørse, nceu_, 
   {{0x291e02f5,0x7c24c1fa,0x2600190a,0xdb062510}},	// [c7e0] šta_, _ilir, राली_, kaké, 
   {{0x3ead0088,0x4426008a,0xdb06a4af,0x00000000}},	//   iset_, who_, jaké, --, 
   {{0x442668f9,0xe3bac1fb,0x2809020b,0x27e0c1fc}},	//   tho_, ебе_, ätnú_, pein_, 
   {{0x7bc60b74,0x3ead0df8,0x69c301f0,0x249700d4}},	//   ngku, kset_, _öner, انند_, 
   {{0x4426c1fd,0xf77211b7,0x6442c1fe,0x7c243436}},	//   rho_, _داد_, rnoi, _mlir, 
   {{0x44262326,0x38605257,0xab5b0380,0x7c2400b9}},	//   sho_, llir_, dgül, _llir, 
   {{0x4426c1ff,0x6015010d,0x255900d9,0x764b010e}},	//   pho_, _náms, _артэ_, égye, 
   {{0x4fc6c200,0xb4fb0056,0x442601a0,0x321c0098}},	//   уска, _אפלי, qho_, skvy_, 
   {{0x7413024f,0x4424205b,0x0dca0200,0x6704959d}},	//   _اوقا, _ilm_, нуни_, रमिक_, 
   {{0x44249fa3,0x7c363a4a,0x00000000,0x00000000}},	//   _hlm_, _amyr, --, --, 
   {{0xd65700a7,0x7c2400a1,0x00000000,0x00000000}},	//   ריית_, _blir, --, --, 
   {{0x60150076,0x7c24c201,0x00000000,0x00000000}},	//   _dáms, _clir, --, --, 
   {{0x2bc600ab,0xa3bc02e6,0xe0437e4a,0x7d1c0b48}},	//   _वारा, _आयन_, _унци, ørsb, 
   {{0xa2cc000c,0x7e6d02a3,0x2d8ec202,0xdd9403a1}},	//   _समन्, _èapp, _uffe_, _такы, 
   {{0xbd5500c5,0x19590504,0xd7fb011f,0x00000000}},	//   _پروژ, тавы_, нуа_, --, 
   {{0x6e3a02c9,0x6d460241,0x97a44fdb,0x7c2405fc}},	//   litb, şkas, йрул, _glir, 
   {{0xd5bb4e4e,0x9635c203,0x245c02d9,0x00000000}},	// [c7f0] есе_, анац, nímu_, --, 
   {{0x4424c204,0x80db0033,0x6e3ac205,0x00000000}},	//   _alm_, ভিত্, nitb, --, 
   {{0x386042e3,0x4424c206,0x67d56a60,0xfa36004e}},	//   blir_, _blm_, _кону, _түрі_, 
   {{0x44240068,0x69c700fc,0x6abd0065,0x3e6b004f}},	//   _clm_, lgje, orsf, møte_, 
   {{0x4424a662,0x81e90086,0xcfaa0033,0x7d1a023a}},	//   _dlm_, যাস_, ওলান, hyts, 
   {{0xd05a0264,0x69c7c207,0x44240095,0x44e50156}},	//   _istə, ngje, _elm_, _tŷ_, 
   {{0x2bf500a5,0x4424b1c0,0x6e3a7b7b,0xfbc6017d}},	//   इयां_, _flm_, ditb, _वालम, 
   {{0x3eadc208,0xe3b30071,0x29380225,0x4439c209}},	//   tset_, _درس_, טאון_, _ös_, 
   {{0x600611c5,0x672dc20a,0x3f8dc20b,0x645b13dc}},	//   рным_, nzaj, rceu_, _ikui, 
   {{0x3eadc20c,0x63abc20d,0x3f8d02a0,0x7c24009c}},	//   rset_, lagn, sceu_, _slir, 
   {{0xeb9a9b5b,0x3ead2379,0x61e3c20e,0x1c4629c3}},	//   кин_, sset_, menl, ином, 
   {{0x61e3c20f,0x60c31f6b,0x63ab0fe8,0x9f420098}},	//   lenl, munm, nagn, žká_, 
   {{0x20d1001b,0x60c305b7,0xde0500dd,0x501a00a7}},	//   _hơi_, lunm, _впли, _שונו, 
   {{0x672dc210,0x7a2b21ac,0x61e3c211,0x99830009}},	//   dzaj, _lütf, nenl, dijų_, 
   {{0x98a6004e,0x6d461093,0x63ab012b,0x260908b4}},	//   рибе, şkar, kagn, सानी_, 
   {{0x63ab02f5,0xa3d70262,0x7c2441be,0x61e30380}},	//   jagn, ़्म_, _ulir, henl, 
  
   {{0x6f1b085f,0x63abc212,0x61e3c213,0x6b84371f}},	// [c800] nyuc, dagn, kenl, _igig, 
   {{0x645bc214,0x63060290,0x63ab0102,0x442404a8}},	//   _akui, یوال, eagn, _slm_, 
   {{0x20d10029,0x61e3c215,0x20e70019,0x3860022c}},	//   _nơi_, denl, _női_, plir_, 
   {{0xe29a0a43,0x63abc216,0x6aa402b8,0xb4e6031e}},	//   вад_, gagn, _kwif, _भनी_, 
   {{0xf19432f8,0x9983012d,0x672d00ab,0x442400ca}},	//   биль, cijų_, czaj, _vlm_, 
   {{0x61e3c217,0x6b8400ef,0x20d100e7,0x645b2426}},	//   genl, _lgig, _bơi_, _ekui, 
   {{0x03a600dd,0x4424c218,0x63abc219,0xa491009c}},	//   _вибо, _tlm_, bagn, _فیلت, 
   {{0xdfda0141,0xdb0b01f0,0x63ab0036,0xf47800f0}},	//   тък_, _çiçe, cagn, _сөзі_, 
   {{0xe61f00e7,0x7e2a0009,0x61e374bd,0xde880108}},	//   _muôn_, віна_, benl, _bịa_, 
   {{0xe61f0029,0x20d602fb,0x3eb8008b,0x6b84c21a}},	//   _luôn_, _відс, črt_, _agig, 
   {{0x6e3a0343,0xac19c21b,0x6493007b,0x691e00c3}},	//   ritb, гону_, _għid, _jħeġ, 
   {{0xa3a90f63,0x6f090042,0x6aa4007c,0x691e00c3}},	//   _खड़ा_, bxec, _bwif, _mħeġ, 
   {{0x6e940084,0x81e900cc,0x27f202bf,0x5e9400eb}},	//   _التا, যার_, ddyn_, _التط, 
   {{0x6b84c21c,0x00000000,0x00000000,0x00000000}},	//   _egig, --, --, --, 
   {{0x97a7005b,0x69c7c21d,0xe61f00e7,0x63abc21e}},	//   ирал, rgje, _buôn_, yagn, 
   {{0x61e30c05,0x5d7b00d1,0x69c7017b,0x6b8402a5}},	//   zenl, _באוק, sgje, _ggig, 
   {{0xf773182b,0x61e310bf,0x63abc21f,0x95d9c220}},	// [c810] زار_, yenl, vagn, лдат_, 
   {{0x60c3c221,0x7aed45e2,0x9983012d,0x645b018c}},	//   yunm, _isat, rijų_, _skui, 
   {{0x228b00fc,0x63abc222,0x99830009,0x672d0035}},	//   _søk_, tagn, sijų_, szaj, 
   {{0xc484005e,0x601c026a,0x20d1001b,0x7aed5269}},	//   ілік, _fémi, _rơi_, _ksat, 
   {{0x61e3c223,0xadf84437,0xc29313b4,0x7bcd03c6}},	//   tenl, ्ञान_, زیاب, _mcau, 
   {{0x63ab1645,0x7aed0532,0x7c3d012b,0x2ff8010e}},	//   sagn, _msat, hisr, یڈنگ_, 
   {{0x2609148e,0x63abc224,0x61e3c225,0x81e90086}},	//   साठी_, pagn, renl, যাল_, 
   {{0x7aedc226,0x60c307fa,0x7bcd01a0,0x13aa0a24}},	//   _osat, runm, _ncau, _منفی_, 
   {{0x439400b3,0x64590035,0x61e3c227,0x7aed045a}},	//   _фаус, mowi, penl, _nsat, 
   {{0x6459c228,0x443dc229,0x2d83055f,0x60c300d4}},	//   lowi, liw_, øje_, punm, 
   {{0x30850084,0x63a95e9a,0x9099c22a,0x7aed2196}},	//   _الصف, _keen, _свет_, _asat, 
   {{0x6459006a,0x6281c22b,0x63a9c22c,0x7aed01f2}},	//   nowi, _hilo, _jeen, _bsat, 
   {{0x7aed006b,0x63a9c22d,0x05c7009a,0xd00e4cd1}},	//   _csat, _meen, _लांब, _سلو_, 
   {{0x7aed00c3,0x7c3d360a,0x62810508,0xe61f0108}},	//   _dsat, aisr, _jilo, _suôn_, 
   {{0xb4e60351,0x7aed9147,0x64590035,0x601c8954}},	//   _भने_, _esat, kowi, _sémi, 
   {{0x765cc22e,0x62810727,0x9ac50405,0xdb060019}},	//   _skry, _lilo, fiċċ, lakí, 
   {{0x645900ab,0x6615c22f,0x3f9f0065,0x27f253e6}},	// [c820] dowi, _bozk, ibuu_, rdyn_, 
   {{0x6281c230,0x29c800d3,0xd0f917f6,0x81e90033}},	//   _nilo, _өтүү_, ्माण_, যাঁ_, 
   {{0x63a9c231,0x2e3a00c7,0x0446c232,0x37e62f32}},	//   _been, נגענ, бежн, _лонг, 
   {{0x3ebfc233,0x63a90068,0xdc190035,0x443dc234}},	//   krut_, _ceen, _błęd, giw_, 
   {{0x63a90d62,0x6d5c143b,0x05080033,0x63ad01d5}},	//   _deen, ýraz, লনের_, ðana, 
   {{0x59db0a09,0x765cc235,0x649301f2,0x691e00a4}},	//   म्पर, _ukry, _sħie, _tħeġ, 
   {{0x92e800cc,0x64590035,0x44f700c3,0x26c00036}},	//   যমে_, bowi, _għ_, lrio_, 
   {{0x63a9c236,0xf2e800d4,0x3ebf00c3,0x26000586}},	//   _geen, _نکته_, frut_, राकी_, 
   {{0x91fc00a1,0x7a2b02eb,0x00000000,0x00000000}},	//   _bhāt, _hüte, --, --, 
   {{0x7aed00cf,0x7bcd002e,0x63a91c73,0x9e063eb8}},	//   _rsat, _scau, _zeen, счил, 
   {{0xa3bc00ab,0xa3cf3e22,0x9f4f06df,0x25aa0097}},	//   _आया_, _शाम_, _lagè_, _mebl_, 
   {{0x7f860084,0x26c008b1,0x7aed011c,0x6281c237}},	//   _الإن, krio_, _psat, _zilo, 
   {{0xe043c238,0xd5a80c14,0x7c3da046,0x3ebf0096}},	//   _энци, गराज, risr, crut_, 
   {{0xab5bc239,0x6aa9695f,0x26c022a6,0x645900ab}},	//   ngüi, _कबीर, drio_, zowi, 
   {{0x66151175,0xde8800e7,0x201902a3,0xf8b954c7}},	//   _rozk, _xịn_, _ègià_, шөп_, 
   {{0x2c7b0bc3,0x7aed1bf2,0x26c00090,0x3a3a0354}},	//   _līdz_, _tsat, frio_, _empp_, 
   {{0x7aed048a,0x5a35123f,0x98aa01dd,0xdce301dd}},	// [c830] _usat, _мнит, ākās_, _iznā, 
   {{0x644ac23a,0x63a9c23b,0x09b30086,0xfc3f014b}},	//   éfin, _seen, ঞ্জা, lií_, 
   {{0x26c0127e,0x6459c23c,0x443d3f02,0xdb160118}},	//   ario_, towi, tiw_, _adyè, 
   {{0x8cc0288f,0xaa7b014b,0xfc3f024c,0x00000000}},	//   _विनो, jvýz, nií_, --, 
   {{0x6459006a,0x248d0e24,0x63a9c23d,0x443dc23e}},	//   rowi, _čemu_, _veen, riw_, 
   {{0x40951416,0x63a9018c,0x5694673a,0x443d07fc}},	//   орит, _ween, _харт, siw_, 
   {{0x64590da6,0x628100cf,0x43950e65,0x63a9c23f}},	//   powi, _vilo, _мавс, _teen, 
   {{0x682a031e,0x6281011c,0x2eb52b21,0xfbdf009e}},	//   _týde, _wilo, осос, wnên_, 
   {{0x6281c240,0xdb1d00a8,0xfc3f0356,0x63b402d9}},	//   _tilo, ngsä, dií_, řený, 
   {{0xfe4200dd,0x7fb900d4,0x3f860237,0x3ebfc241}},	//   дньо, _چهار_, _egou_, rrut_, 
   {{0x5f950c8a,0xfc3f026e,0x16c60b3e,0x8c4a08c0}},	//   _диет, fií_, _लम्ब, ипов_, 
   {{0x5f740a24,0xfc3f014b,0x2485033e,0x00000000}},	//   _کامر, gií_, _élmu_, --, 
   {{0x69db02fe,0x62790032,0xe80d1aab,0x00000000}},	//   đuen, _dňov, हाना_, --, 
   {{0xa2cc072e,0x5ebe00cc,0x26c00ab4,0xb0dd29b0}},	//   _समस्, ্বশে, vrio_, _महाग, 
   {{0xf9831137,0xfc32007a,0x8cc00d1d,0x81ae0033}},	//   дгро, _يحب_, _वियो, _কাম_, 
   {{0x78ba808a,0xfc3f143b,0x59db3411,0x601c3ce6}},	//   štvo, cií_, म्बर, _fému, 
   {{0x32055a1f,0xdb1d02ae,0x78a90a1a,0x7a2b010e}},	// [c840] _only_, ggsä, ćeva, _süte, 
   {{0x26c06000,0xa3dc0b6c,0x55e3065b,0x959ac242}},	//   rrio_, त्न_, моуб, ртау_, 
   {{0x9f4f0175,0xd302017d,0x25b80604,0xae560070}},	//   _dagé_, लम्ब_, _vdrl_, קסעס_, 
   {{0xf8b30052,0x26c0048a,0x9cda0070,0x00000000}},	//   _קשר_, prio_, יקעפ, --, 
   {{0x8cc000c9,0x7a2b0502,0x683a00d8,0xddda020b}},	//   _विभो, _wüte, hůdk, botň, 
   {{0x64a60ecb,0x236d0082,0x9f4f023e,0xfc3f0098}},	//   _мага, _dzej_, _gagé_, zií_, 
   {{0x628f7b63,0x3f8606a5,0x00000000,0x00000000}},	//   _écon, _pgou_, --, --, 
   {{0xdfd02424,0x920300b0,0x9f44023e,0xfbc600bc}},	//   ريخ_, लाउज_, lemé_, _वागम, 
   {{0x63a401d5,0x11d60451,0x00000000,0x00000000}},	//   ðinu, _міжр, --, --, 
   {{0xddd800f1,0xdb1dc243,0x69da07d5,0x601c0107}},	//   _bivš, ngså, _पॉली, _rému, 
   {{0x8146006b,0xc27b00d1,0x00000000,0x00000000}},	//   _بنان, _כרמי, --, --, 
   {{0x2d870422,0xccf802d9,0x9f44011c,0xbb940080}},	//   _egne_, rvě_, hemé_, мающ, 
   {{0xfc3f026e,0x447b00c7,0x7a2b06a2,0xb92a0054}},	//   rií_, ינטע, _rütb, _tetỳ_, 
   {{0xfc3f0032,0xda1b0110,0x2ca703c6,0x00000000}},	//   sií_, _नकळत_, _fwnd_, --, 
   {{0x69de016a,0x63a2c244,0xfc3f0098,0x00000000}},	//   _dbpe, kbon, pií_, --, 
   {{0xa3dc0262,0x24840380,0x7a3002ae,0xd6db00b3}},	//   त्म_, _nimm_, _nätf, итз_, 
   {{0x36d46492,0x85b900f0,0x298700d9,0x27e90604}},	// [c850] мотр, йлас_, _мынг, _činč_, 
   {{0x63a2c245,0xcfc20033,0x00000000,0x00000000}},	//   ebon, ্জিন, --, --, 
   {{0x89da0019,0x91c400b0,0x5bc4009c,0x04d90165}},	//   _اوپر_, _राजै, _عقیل, смеј_, 
   {{0x58fa0070,0x9f4f01e5,0xe67a0243,0xdb06039f}},	//   _פּינ, _wagé_, āršā, laká, 
   {{0x27e9c246,0x1b1d0086,0xc5e60033,0x437403a1}},	//   mean_, _পেতে_, নাজপ, мушт, 
   {{0x27e9c247,0x171a027a,0xf6790070,0x95c80b5d}},	//   lean_, _הושע, _לאָמ, _муса_, 
   {{0x2484008c,0x7d1c08bb,0xd4984836,0xdb060054}},	//   _fimm_, ørsl, _мрт_, zakà, 
   {{0x27e9c248,0xe7cb18b4,0x600965ea,0x03c405b2}},	//   nean_, िलिप, сним_, _осум, 
   {{0xee39c249,0xe29300d4,0x260024ef,0x644bc24a}},	//   йни_, _آذر_, राची_, mngi, 
   {{0x27e9004c,0x629b07fc,0xf1d2075a,0x00000000}},	//   hean_, _ituo, _सायन, --, 
   {{0xed5907f9,0x27e9c24b,0x80a400eb,0x2484016a}},	//   сон_, kean_, _يمكن, _yimm_, 
   {{0x644ba600,0xf0f9000f,0x27e9c24c,0x6e2a0354}},	//   nngi, ्मीद_, jean_, _elfb, 
   {{0x27e9c24d,0xf1d203c1,0xda07047c,0x644bc24e}},	//   dean_, _सामन, शांत_, ingi, 
   {{0x81e90086,0x7a220054,0x63a2c24f,0x4efa00d1}},	//   যাক_, _kôti, zbon, _להנו, 
   {{0xa3bc1ef6,0x2bd4031e,0x63a20104,0xdb060379}},	//   _आयल_, _थापा, ybon, sakà, 
   {{0x27e9c250,0x2bc600a2,0x2c7b0009,0x63bb0204}},	//   gean_, _वाटा, _būdu_, _ndun, 
   {{0x0cdb17dc,0x6f1600ab,0x995500bc,0xe81d009a}},	// [c860] _बहुम, _życz, _výši_, _नवरा_, 
   {{0x63bb0bc1,0x63a27c90,0x7ae4c251,0x27040035}},	//   _adun, wbon, _ipit, रमौर_, 
   {{0x27e90916,0x629bc252,0x3a3700df,0x00000000}},	//   bean_, _atuo, _זרים_, --, 
   {{0x69dc80f7,0x27e9c253,0x9f420228,0x644b5ea9}},	//   lfre, cean_, ľkú_, gngi, 
   {{0x628f026d,0x249f0082,0x63bb0547,0x68310566}},	//   _écol, _čume_, _ddun, _bådf, 
   {{0x69cec254,0x69dcc255,0x7ae405f0,0x30a602a6}},	//   ngbe, nfre, _mpit, прив, 
   {{0x64a619a7,0x03a62a65,0x53a602c0,0x765e06e4}},	//   _хаба, _ниво, _навб, mopy, 
   {{0x64a607f9,0x6ebd072f,0x7d1c02fb,0x7ae4c256}},	//   _маҳа, _शिशु, ørsm, _opit, 
   {{0x4426c257,0x644261b4,0xb8010033,0x52765a53}},	//   mko_, mioi, _একমত_, _فائز, 
   {{0x4426c258,0x27e90a9f,0x824a02b4,0x765e3688}},	//   lko_, zean_, _اشرف_, nopy, 
   {{0x4426c259,0x7ae40204,0xdb0f0503,0x69dcc25a}},	//   oko_, _apit, macé, dfre, 
   {{0x27e90a9f,0xdb0f0212,0x61ea0657,0x7ae40354}},	//   xean_, lacé, lefl, _bpit, 
   {{0x69dcc25b,0x4426c25c,0x765ec25d,0x05cc0035}},	//   ffre, iko_, kopy, ालाब, 
   {{0x44260217,0xa3dc05f6,0xdb040634,0x7a300219}},	//   hko_, त्त_, _adió, _nätd, 
   {{0xa3cc1ff6,0x69ce0f01,0x27e9c248,0x4426c25e}},	//   लला_, _तारी, tean_, kko_, 
   {{0xdc2b00c5,0x7c261096,0x69ce08b0,0x00000000}},	//   _دسته_, ckkr, agbe, --, 
   {{0x4426c25f,0x7c2dc260,0x35f5c261,0x644b01e8}},	// [c870] dko_, _ilar, мпар, vngi, 
   {{0x4426c262,0x27e99b43,0xa3cf141c,0x682a026e}},	//   eko_, sean_, _शाह_, _výda, 
   {{0x7c2d0a40,0xb83573fa,0x7afd03a9,0x61ea027e}},	//   _klar, _женщ, lvst, defl, 
   {{0x7bcf9eea,0x644bc263,0xc952042c,0x057408cb}},	//   ngcu, ungi, _ימי_, رالد, 
   {{0x386951c3,0x245800e4,0x7c2d00d7,0x6493007b}},	//   mlar_, чаць_, _mlar, _għin, 
   {{0x4426c264,0xdd860198,0x7c2d2f0d,0x628fc265}},	//   ako_, _لو_, _llar, _écom, 
   {{0x7c2d2a30,0xe61f001b,0x442613c7,0xfbbf0fc0}},	//   _olar, _nuôi_, bko_, ्लाम, 
   {{0x38690966,0x44261a25,0xb69b026d,0x644210b4}},	//   nlar_, cko_, _grâc, cioi, 
   {{0x442dc266,0x443f787a,0x69dc00f8,0x44ef0033}},	//   _ile_, _imu_, yfre, _টপিক_, 
   {{0x386900cf,0x7a300341,0x442dc267,0x69dc7c89}},	//   hlar_, _käte, _hle_, xfre, 
   {{0x386934ec,0x7ae4c268,0xa2c9047c,0x442dc269}},	//   klar_, _spit, हूर्, _kle_, 
   {{0x3869c26a,0xeb97c26b,0xca2903e1,0x7a300219}},	//   jlar_, мию_, _דם_, _mäte, 
   {{0x3869c26c,0x683102ae,0x442d025b,0xb0dd21c6}},	//   dlar_, _mådd, _mle_, _महँग, 
   {{0x44260414,0x442dc26d,0x68fc435a,0xdee2002e}},	//   zko_, _lle_, tvrd, _роши, 
   {{0x442dafa3,0x7a30022b,0x38696f76,0x443f0a8b}},	//   _ole_, _näte, flar_, _omu_, 
   {{0x3869076b,0x3b00003d,0x81e90033,0x6831383b}},	//   glar_, _triq_, যাট_, _nådd, 
   {{0x7ae400d0,0xf7438c24,0x64420088,0x2c5600e0}},	// [c880] _upit, вето, vioi, gāde_, 
   {{0x442dc26e,0xf1d20ba3,0x443fc26f,0xb0dd456f}},	//   _ale_, _साधन, _amu_, _महंग, 
   {{0x4426c270,0x3869c271,0x442d0b0c,0x938ac272}},	//   tko_, blar_, _ble_, осла_, 
   {{0x4426c273,0x68310310,0x442dc274,0x3869c275}},	//   uko_, _rådg, _cle_, clar_, 
   {{0x442601ca,0x442d031e,0x61ea04f4,0x644200c8}},	//   rko_, _dle_, tefl, rioi, 
   {{0x442dc276,0x20ee000d,0x443f0547,0x3860b22b}},	//   _ele_, _při_, _emu_, loir_, 
   {{0xc0e33a44,0x4426879b,0x6442c277,0xdb061ece}},	//   војк, pko_, pioi, lakä, 
   {{0xd010057f,0x68e302f2,0x442dc278,0x661c024c}},	//   الة_, _ände, _gle_, _hork, 
   {{0x661cb271,0x5fbf072f,0x6724024d,0x601c0096}},	//   _kork, _एयरल, nyij, _démp, 
   {{0x38690998,0x20ee031e,0x442d5e04,0x7c2d05ac}},	//   zlar_, _tři_, _zle_, _slar, 
   {{0x3869c279,0x44fe012d,0x442dc27a,0x661cc27b}},	//   ylar_, _jį_, _yle_, _mork, 
   {{0x3869c27c,0x6288c27d,0xd00f009c,0x26050ca0}},	//   xlar_, _hido, _پله_, _होनी_, 
   {{0x6288c27e,0x3869c27f,0xe80d04cc,0x661c0876}},	//   _kido, vlar_, हासा_, _oork, 
   {{0x6831055f,0x38690090,0x29010144,0x7afd050f}},	//   _måde, wlar_, _prha_, rvst, 
   {{0x3869c280,0x6288c281,0x644000c3,0xe8000262}},	//   tlar_, _mido, _ommi, _लोहा_, 
   {{0x7c2d0c67,0x6ce300dd,0x6f02c282,0x6288c283}},	//   _ular, _ріше, _kroc, _lido, 
   {{0x38690998,0x78a21462,0x682a031e,0x7a30c284}},	// [c890] rlar_, _čove, _týdn, _säte, 
   {{0x64407052,0x38690998,0x443f067c,0x09c60086}},	//   _ammi, slar_, _smu_, শ্বা, 
   {{0x442d00d3,0x3869c285,0x661c9185,0x2c720483}},	//   _ple_, plar_, _dork, láda_, 
   {{0x386915a0,0x6f021032,0xdcfa07fa,0x443f016a}},	//   qlar_, _oroc, natı, _qmu_, 
   {{0x661c155b,0x442d158b,0x6288c286,0x6b8d137f}},	//   _fork, _vle_, _bido, _mgag, 
   {{0x661c7ead,0x863500c7,0xef1903dc,0x64403e43}},	//   _gork, _טאָג_, ҷми_, _emmi, 
   {{0x442dc287,0x6288c288,0x22491993,0x69d70077}},	//   _tle_, _dido, đak_, _बानी, 
   {{0x6b8dc289,0x62880042,0xef19c28a,0x442d0010}},	//   _ngag, _eido, зми_, _ule_, 
   {{0x3eb931b3,0x32550965,0xa3e507d5,0x6288c28b}},	//   ést_, _звар, _बॉय_, _fido, 
   {{0x78ba00d2,0x6f020094,0x6b8dc28c,0xa2c4031e}},	//   štvi, _droc, _agag, _रित्, 
   {{0x1d091853,0x6aad5c25,0xdcfa0e03,0xdc6a0176}},	//   чени_, _awaf, fatı, занд_, 
   {{0x6288044e,0xce95048a,0x6aad0547,0xfc320038}},	//   _zido, _задъ, _bwaf, احد_, 
   {{0x38600518,0x2c720098,0x3f820028,0x6f02c28d}},	//   voir_, gáda_, žkur_, _groc, 
   {{0xc332042c,0x4a750235,0x6b8d02a5,0x6e280d07}},	//   רוך_, выст, _egag, ckdb, 
   {{0x3860c28e,0xdcfa00ad,0x201d0096,0x6aadc28f}},	//   toir_, batı, _kowi_, _ewaf, 
   {{0x661cc290,0x7e61016a,0x9f4402d9,0x6b8d052b}},	//   _sork, lolp, zemí_, _ggag, 
   {{0x7a2b3633,0x7bd60199,0x38600107,0x661cc291}},	// [c8a0] _kütl, _icyu, roir_, _pork, 
   {{0x68310c29,0x7af644e1,0xa3e502e6,0x38600212}},	//   _råde, _isyt, _बॉब_, soir_, 
   {{0xf1c90a09,0x41c90eda,0xe1c90663,0x6288c292}},	//   _राजन, _राजस, _राजघ, _rido, 
   {{0x6288c293,0xe3b202b4,0x661c0056,0x1e1c0f8e}},	//   _sido, ارا_, _work, _पक्ष_, 
   {{0xa68400f0,0x7e610226,0xe80d0bb9,0x23270165}},	//   _ағай, kolp, हारा_, ноци_, 
   {{0x8cc007d5,0x7d0300a1,0x00000000,0x00000000}},	//   _विलो, _orns, --, --, 
   {{0xdcfa0749,0xa2cc072f,0x6288310f,0xe3aac294}},	//   yatı, _समक्, _vido, _нквд_, 
   {{0xf1d20081,0xddcb00ef,0x9f4f00f6,0x62881af1}},	//   _सावन, _čiši, _bagà_, _wido, 
   {{0x9cec0033,0x7d03c295,0xef1003a1,0x00000000}},	//   _ওপেন_, _arns, рүлө, --, 
   {{0x43750f5a,0x7e6104b3,0xd010006b,0x7bd6007c}},	//   _руст, golp, الک_, _acyu, 
   {{0x6f02c296,0x5c7511d2,0x9f4f02be,0xc04fc297}},	//   _wroc, клот, _pagã_, _бі_, 
   {{0x6f02c298,0xe8003ace,0x61fac299,0xd5cc0083}},	//   _troc, _लोला_, _hatl, ालुओ, 
   {{0x61fac29a,0x7d0338a2,0xdcfa0540,0xbea38b1d}},	//   _katl, _erns, ratı, _бачк, 
   {{0x7e6102a3,0xb69b00b3,0x2c721102,0xfaff021e}},	//   colp, _brân, ráda_, rvë_, 
   {{0x61fac29b,0xe80d00a2,0xa3c20154,0xdcfa027e}},	//   _matl, हाला_, ूला_, patı, 
   {{0xb9090da6,0x6b8d0102,0x6aad6a72,0x61faa497}},	//   _यह_, _ugag, _twaf, _latl, 
   {{0x2ba743f5,0xa2cc1f9a,0x0c741897,0x6aad09a4}},	// [c8b0] _क्या, _समग्, _حدود, _uwaf, 
   {{0xb69b020f,0x321e51c4,0x27f900d1,0x81e50033}},	//   _frân, _noty_, _wasn_, _বোন_, 
   {{0xbc6806bc,0x682300b0,0x92ad0033,0xb69bc29c}},	//   _زمین_, _sõdu, _কমে_, _grân, 
   {{0x61fa0026,0x320c0de2,0x00000000,0x00000000}},	//   _aatl, _andy_, --, --, 
   {{0x61fa0194,0x321e00bc,0xdb0f02d9,0x00000000}},	//   _batl, _boty_, kací, --, 
   {{0x2169c29d,0x321e0626,0x9f44022c,0x9f4f0036}},	//   мили_, _coty_, demà_, _ragà_, 
   {{0x2055c29e,0xe56818ae,0x260e12e3,0x9f420187}},	//   ктир, _зиёд_, ठारी_, ľký_, 
   {{0x2605c29f,0x205411db,0x7a302162,0x260902e6}},	//   _होती_, лтыр, _mäta, साकी_, 
   {{0x61fac2a0,0xf1a71730,0x7e61323c,0xa295004f}},	//   _fatl, _зрен, tolp, _разі, 
   {{0x26c900d2,0xdb0fc2a1,0xe37300f0,0x7a220379}},	//   irao_, gací, _алғы, _lôtr, 
   {{0x7e61c2a2,0x7a3002ae,0x22470028,0x02d1c2a3}},	//   rolp, _näta, mink_, _समुन, 
   {{0x8c466a7d,0x61fab819,0x26c90a1a,0x7a220212}},	//   теме, _zatl, krao_, _nôtr, 
   {{0x6d580126,0xdb0f5afe,0x61fac2a4,0x12bf0033}},	//   _exva, bací, _yatl, _ইহুদ, 
   {{0xa2c404b7,0xdb0f001d,0x7d03b9a9,0x26c9c2a5}},	//   _रिस्, cací, _trns, drao_, 
   {{0x64d005fd,0x4df3004e,0xa967516f,0xa9270243}},	//   _हमेश, _аяқт, вира_, _nožē, 
   {{0x2c08000f,0xde8800e7,0x66e6c2a6,0x7af60054}},	//   षाओं_, _dịu_, коба, _tsyt, 
   {{0x18672413,0x26c9003a,0x3f8f02cd,0x7c3d0034}},	// [c8c0] тати_, grao_, _mggu_, ërre, 
   {{0x66e33ffe,0xb69b02a0,0xa926c2a7,0xe5a600b3}},	//   рофа, _trân, _адол, тижи, 
   {{0xd499c2a8,0x61fac2a9,0x2247018c,0xa7aa00c8}},	//   ері_, _ratl, dink_, _окна_, 
   {{0xad1a0137,0xfbdf001b,0x68e30219,0x82a6004f}},	//   ווער, hiên_, _ända, вадж, 
   {{0xe3634326,0xe8e20394,0xe2971f28,0x61fac2aa}},	//   акци, _पहुच, вач_, _patl, 
   {{0x61fac2ab,0x22470528,0x00000000,0x00000000}},	//   _qatl, gink_, --, --, 
   {{0xdb0f5856,0xa2c40fcf,0xd12f0195,0xe6430cb4}},	//   vací, _रिव्, يمه_, _терп, 
   {{0x61fa0026,0x1ee6015f,0x75230380,0x240700b3}},	//   _watl, نوعی_, änze, _инси_, 
   {{0x09b800cc,0x61fac2ac,0x78a9003a,0x9f4f2888}},	//   _জানা, _tatl, ćevi, _pagá_, 
   {{0x9e061427,0xde880108,0x22470175,0x00000000}},	//   тчил, _nịt_, cink_, --, 
   {{0x68310219,0xdb0f0098,0x00000000,0x00000000}},	//   _låda, rací, --, --, 
   {{0x8fa667a7,0xbbbf00c9,0x41d255b4,0x6275009e}},	//   _раде, ्लेक, _साँस, rşoş, 
   {{0x290c0219,0xde880023,0xfd6400d3,0xdb0f00da}},	//   ådan_, _bịt_, _өндү, pací, 
   {{0x2c5600e0,0x00000000,0x00000000,0x00000000}},	//   rāda_, --, --, --, 
   {{0x6d4511bb,0x2905c2ad,0x00000000,0x00000000}},	//   _žhav, íla_, --, --, 
   {{0x26c900a9,0x97a4c2ae,0xb88200da,0xdb23010e}},	//   trao_, ирул, žína, _نوعی, 
   {{0x41d2034d,0x7a220107,0xa775c2af,0xdb1d0502}},	// [c8d0] _सांस, _vôtr, улач, ngsü, 
   {{0x7a3002ae,0x26c902be,0x00000000,0x00000000}},	//   _täta, rrao_, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xa2c405fd,0xdb0f0165,0x7a3000c2,0x3e790151}},	//   _रिश्, cacã, _jätn, mète_, 
   {{0x3e79026a,0x7a300219,0x69c10083,0x00000000}},	//   lète_, _mätn, ólew, --, 
   {{0xde880023,0x69d50380,0x722b0080,0xaec5035b}},	//   _xịt_, ngze, ьцев_, қбол, 
   {{0x09b800cc,0x2166068e,0xa06934a7,0x3e79026a}},	//   _জামা, лиши_, нака_, nète_, 
   {{0xfce503dc,0x224701da,0x8bbf0425,0xbbbf00d8}},	//   қомо, sink_, ्लोअ, ्लोक, 
   {{0x0e65c2b0,0x3e790107,0x00000000,0x00000000}},	//   лкин, hète_, --, --, 
   {{0x96d50fcf,0x7c3f0009,0x248d0108,0x63b9017c}},	//   यूयॉ, _įpra, _hiem_, lawn, 
   {{0x4c862651,0x3f8f030c,0x248dc2b1,0xac8619fe}},	//   ллов, _tggu_, _kiem_, лгол, 
   {{0x2299158b,0x41dfc2b2,0x248d007b,0xfaa6ba6f}},	//   _kèk_, प्रस, _jiem_, ламо, 
   {{0xef0e168f,0x270d00a2,0x200f003e,0xe4560070}},	//   _ум_, समोर_, _ingi_, רירט_, 
   {{0xed59486c,0x628f026d,0xa3e5241a,0x186700a3}},	//   _пол_, _écou, _बॉस_, ҳаси_, 
   {{0x6831c2b3,0x7d1c1341,0xde8800e7,0x68fb0035}},	//   _såda, ørst, _vịt_, łudn, 
   {{0xc2f900cc,0xf77223e6,0x248dc2b4,0x186704a2}},	//   _আপনি_, ماء_, _niem_, гаси_, 
   {{0x63b9c2b5,0xe7373552,0xdb0f02aa,0x229900d7}},	// [c8e0] dawn, гет_, racã, _nèk_, 
   {{0x3e79c2b6,0xe8fa1796,0x6aa4190c,0xf1d21f00}},	//   bète_, _зло_, _itif, _साइन, 
   {{0x66e34ae3,0x200fc2b7,0x69db0ab4,0x63a40126}},	//   _қора, _ongi_, đuet, ñino, 
   {{0x442006b6,0x229905d5,0x98160038,0x25a70585}},	//   ði_, _bèk_, _إبدا, ınla_, 
   {{0xe7270a43,0x248dc2b8,0x229901e5,0x934600b3}},	//   _бояд_, _diem_, _cèk_, ынде, 
   {{0x26d2c2b9,0x2299011c,0x200f00fc,0x366a012d}},	//   muyo_, _dèk_, _angi_, _чаго_, 
   {{0xc31c0086,0x26d20204,0xa08a1427,0x7bc40339}},	//   _দেখি_, luyo_, нсиз_, _odiu, 
   {{0xba010081,0x7bc4019b,0x22990300,0xb97b0225}},	//   _ऊफ्फ_, _ndiu, _fèk_, ענקי, 
   {{0x26d2c2ba,0x2299023e,0x6aa4016c,0xd33600d9}},	//   nuyo_, _gèk_, _ntif, _сэвы, 
   {{0xf29700a7,0x6fa403c1,0x200f9e4e,0xe2970c1d}},	//   _עכבר_, _ग्रं, _engi_, _саф_, 
   {{0x6aa4c2bb,0x5193031b,0x515600b3,0xa3bb0035}},	//   _atif, _المذ, _стау, _आजम_, 
   {{0xc0a90e05,0x26d20532,0xf0b10019,0xfbdf08b0}},	//   _شامل_, kuyo_, _بیٹھ, enêr_, 
   {{0x8ac402f1,0x27f20c45,0x26170fc0,0x628f0151}},	//   йёрл, deyn_, नामी_, _écot, 
   {{0xad2600d4,0x6935c2bc,0x5a440a10,0x00000000}},	//   _مربو, ангу, бэса, --, 
   {{0x1958c2bd,0x6aa4017c,0x4e1100bc,0xdb0f00b9}},	//   гары_, _etif, तारै_, sacà, 
   {{0xe78703dc,0x3e790107,0x26d2019b,0xdb160218}},	//   гузо, rète_, fuyo_, _meyê, 
   {{0x35b50a9b,0x248d123b,0x26d2b2d0,0xb5a71061}},	// [c8f0] ибар, _riem_, guyo_, грей, 
   {{0x7aedc2be,0x2d9e002e,0x3e790212,0x3b09c2bf}},	//   _ipat, ncte_, pète_, _iraq_, 
   {{0xfbdf001b,0xdb16010c,0x44f50ca4,0x69c5c2c0}},	//   hiêm_, _neyê, рпес, _idhe, 
   {{0x81bc01dd,0x26d2c2c1,0xe3b00038,0x36d5045f}},	//   _slēp, buyo_, كره_, _комр, 
   {{0x63b900ab,0x248d0228,0x26d20126,0x7aed008a}},	//   rawn, _viem_, cuyo_, _jpat, 
   {{0x659458f1,0x248d00ab,0x7aed6b6f,0x2326251b}},	//   _гару, _wiem_, _mpat, роши_, 
   {{0x248d00e0,0x3b09012b,0xa0a500a3,0x00000000}},	//   _tiem_, _lraq_, шайд, --, 
   {{0xaec5707b,0x7aedc2c2,0x63ad0503,0x6009c2c3}},	//   абил, _opat, ñand, тним_, 
   {{0x644bc2c4,0x2003031e,0xb3a904be,0x683102ae}},	//   migi, ěji_, ğıdı, _lådo, 
   {{0x644bc2c5,0x7d0902a6,0xcee80038,0xdb0f0183}},	//   ligi, вног_, ارين_, xacá, 
   {{0xed59c2c6,0x6aa468e5,0x7aedc2c7,0x59dc190a}},	//   тон_, _stif, _apat, _बाबर, 
   {{0x69c5c2c8,0x644bc2c9,0x5fdc009a,0x9f4600b9}},	//   _adhe, nigi, _यायल, _oboè_, 
   {{0x683800bc,0x628f0212,0x7c3d021e,0x00000000}},	//   _jíde, _écos, ërra, --, 
   {{0xa2cd072e,0x644bc2ca,0xada51753,0x68380068}},	//   _सिन्, higi, _такл, _míde, 
   {{0xa96a6890,0x69d702ab,0x7aedc2cb,0x644bc2cc}},	//   тива_, _बारी, _epat, kigi, 
   {{0xa3e507d5,0x07a6c2cd,0x644b01a3,0x26d21041}},	//   _बॉल_, раан, jigi, tuyo_, 
   {{0x644bc2ce,0x6e23c2cf,0x6aa4c2d0,0xde8800e7}},	// [c900] digi, _konb, _utif, _kịp_, 
   {{0x09e400cc,0x09e6022c,0x27f200ad,0x6283015e}},	//   _ফোরা, _тоон, seyn_, jmno, 
   {{0x644bb04f,0x7c240e8a,0xbef2c2d1,0x1ddd143e}},	//   figi, _koir, _अन्न_, _मानत, 
   {{0x644b0268,0x7aed012d,0x73e60009,0x26d20008}},	//   gigi, _ypat, родз, puyo_, 
   {{0x7c240465,0x69c1003e,0x7aed01d2,0x41b60038}},	//   _moir, ðleg, _xpat, لمشر, 
   {{0x7c24c2d2,0x20c600cf,0x6e2301ca,0xda1900a5}},	//   _loir, асиг, _nonb, दायत_, 
   {{0x644bc2d3,0x26c00009,0x00000000,0x00000000}},	//   bigi, lsio_, --, --, 
   {{0x7c24026a,0x644bc2d4,0xb7bb0023,0x7c3f0028}},	//   _noir, cigi, _loãn, _įpro, 
   {{0xe29a08ef,0xfba70c94,0x4424c2d5,0x26c000f8}},	//   _раз_, _क्षम, _iom_, nsio_, 
   {{0x4424c2d6,0x26c000f8,0x7c243afc,0x32430259}},	//   _hom_, isio_, _aoir, _деуг, 
   {{0x4424c2d7,0x7aedc2d8,0xdef8005e,0x7c2426c0}},	//   _kom_, _spat, тық_, _boir, 
   {{0xdee646a4,0x4424c2d9,0x7c24c2da,0x7aed016a}},	//   _води, _jom_, _coir, _ppat, 
   {{0x7c24c2db,0xa3ce00c9,0x2f0f003e,0x6e230118}},	//   _doir, _शयन_, rögð_, _fonb, 
   {{0x4424c2dc,0xfba721d2,0x644bc2dd,0x7c367f13}},	//   _lom_, _क्रम, zigi, _elyr, 
   {{0x7c24c2de,0x644b01ae,0x4424c2df,0xeabf02a3}},	//   _foir, yigi, _oom_, ssù_, 
   {{0x4424c2e0,0xa954004e,0x7c240014,0x59dc1e7b}},	//   _nom_, ікті, _goir, _बाथर, 
   {{0x7aed0053,0x3ce90082,0xd5bb0080,0xdb0f019c}},	// [c910] _upat, _ćavi_, все_, dacç, 
   {{0x69c5024a,0x4424c2e1,0x644bc2e2,0x2498011c}},	//   _udhe, _aom_, wigi, _burm_, 
   {{0x4424c2e3,0x644bc2e4,0x78a9015e,0x00000000}},	//   _bom_, tigi, ćevs, --, 
   {{0x68380634,0x2fc604c6,0x00000000,0x00000000}},	//   _píde, _ndog_, --, --, 
   {{0x4424c2e5,0x81ae00cc,0xe8004a0c,0x2617034d}},	//   _dom_, _কাজ_, _लोटा_, नादी_, 
   {{0x6838c2e6,0xc2440965,0xdb061102,0xdb1605d5}},	//   _víde, онік, jaký, _deyè, 
   {{0x644b460f,0x442405d5,0x6283015e,0x3ea60574}},	//   pigi, _fom_, rmno, _atot_, 
   {{0x2ba7072d,0x3ebfb96d,0x4424c2e7,0x9f5d0574}},	//   _क्ला, tsut_, _gom_, _hawé_, 
   {{0x6006058b,0x672dc2e8,0x6449c2e9,0x3ebf26ad}},	//   сным_, nyaj, _imei, usut_, 
   {{0x7c24ba5a,0xee3608fa,0x6e3ac2ea,0x30e702fb}},	//   _soir, йны_, ghtb, _відб, 
   {{0x2fd9298e,0x4424006f,0x7c24c2eb,0x2c720019}},	//   _مواد_, _yom_, _poir, ládi_, 
   {{0xca290052,0x3ebf9200,0x4424c2ec,0x6e23016a}},	//   _אם_, psut_, _xom_, _wonb, 
   {{0x6e230cd7,0xef0e0e12,0x7c24026a,0x59dc0e7d}},	//   _tonb, _эм_, _voir, _बादर, 
   {{0x6e3ab215,0xa2da05f6,0x09b80086,0x98b40613}},	//   chtb, _नमस्, _জাহা, _žeđi_, 
   {{0x7c2411a1,0x64490183,0xdb1d009e,0x00000000}},	//   _toir, _omei, nasê, --, 
   {{0x5eee258c,0x81ae0033,0x1cb600d1,0x26c0439c}},	//   _अहम्_, _কাছ_, _פלפל_, tsio_, 
   {{0x4424c2ed,0x7a3035ae,0x6f1d0fd4,0x87b901a2}},	// [c920] _rom_, _jätk, äsch, руст_, 
   {{0x44240a40,0xe29a0a43,0x6449c2ee,0x6ecf000d}},	//   _som_, ҳад_, _amei, _दिनु, 
   {{0x44240e0c,0xdcea1462,0x26c013cc,0x69fb008d}},	//   _pom_, čiće, ssio_, _גליק, 
   {{0xe29ab66f,0x746900dd,0xf4870116,0x7e68253f}},	//   гад_, арів_, مانی, zodp, 
   {{0x4424c2ef,0xa34a08a5,0x2498c2f0,0xdb0f019c}},	//   _vom_, ызда_, _wurm_, racç, 
   {{0x78a202a8,0xc5d502fb,0x46a34243,0x9f5d42f2}},	//   _čovj, _місь, _харв, _gawé_, 
   {{0xa2c402e6,0x73c4004e,0x20dc0082,0x63ad0068}},	//   _रिक्, _дәле, kšiš_, ñanc, 
   {{0x628f01d8,0x7a2b0380,0x50b70038,0x00000000}},	//   _ècon, _hütt, حدود_, --, 
   {{0x41e0018b,0x7a2b00b0,0x6443c2f1,0x63a20695}},	//   _नापस, _kütt, ënie, mcon, 
   {{0x2a6ac2f2,0x38690183,0x68310d17,0x63a2c2f3}},	//   jobb_, zoar_, _rådm, lcon, 
   {{0xdd900e61,0x7a2bc2f4,0x7c3d024a,0x40960038}},	//   بود_, _mütt, ërro, _الصر, 
   {{0x63a2c2f5,0x7e68010e,0xfbab0080,0x00000000}},	//   ncon, sodp, ытой_, --, 
   {{0x7e68026e,0x3ea607fc,0x3869107c,0x00000000}},	//   podp, _utot_, voar_, --, 
   {{0x63a20065,0x2bdb248b,0x25ad0304,0x6ab6017c}},	//   hcon, _भावा, _đelo_, _dwyf, 
   {{0x28d9143e,0x63a200fd,0x3869c2f6,0x487700eb}},	//   बंधि, kcon, toar_, مدرس, 
   {{0x98a50384,0x672d0027,0x2486c2f7,0x2004c2f8}},	//   çlı_, tyaj, jmom_, ndmi_, 
   {{0x63a2c2f9,0xf773247b,0xdb16009e,0x7a2b06a2}},	// [c930] dcon, سار_, _heyî, _sütu, 
   {{0x7a3002ae,0x28d90299,0x00000000,0x00000000}},	//   _näth, बंदि, --, --, 
   {{0xadea007e,0x63a2039b,0x290702be,0x649301f2}},	//   ज्यन_, fcon, _éna_, _rħis, 
   {{0x69d80750,0x337512bd,0x248600ef,0x63a22e13}},	//   _över, огер, gmom_, gcon, 
   {{0x387e026d,0x2be10466,0x7a2b54a3,0xab5b0248}},	//   ître_, _कानू_, _fütt, qaüd, 
   {{0x27e902bf,0x24860228,0x63a28456,0x64480028}},	//   lfan_, amom_, acon, _įdie, 
   {{0x6615160e,0xdb16010c,0x683102ae,0x2bbe0497}},	//   _inzk, _neyî, _rådj, ्णमा, 
   {{0x2bdb0659,0x9f5d0218,0x1ec9241b,0x63a20141}},	//   _भाषा, _dawî_, алии_, ccon, 
   {{0xee39c2fa,0xcdf52f89,0x63bb8f29,0x32550009}},	//   ини_, очны, _ieun, _двар, 
   {{0x7bdfc2fb,0xa6e2008c,0x63bb57db,0x926b02a6}},	//   _acqu, æðin, _heun, _срба_, 
   {{0xcb09181f,0x63bb3eac,0x61550019,0x62819d39}},	//   _של_, _keun, _بنائ, _ihlo, 
   {{0x63bb3104,0x59dc02c3,0x64590300,0x200301dd}},	//   _jeun, _बाहर, nnwi, ējis_, 
   {{0x63bb11e9,0xa3e129b0,0x41e00551,0x27e900f8}},	//   _meun, _दान_, _नामस, dfan_, 
   {{0x3ead7274,0x63bb11e9,0x0e64004e,0x63a20183}},	//   mpet_, _leun, _екін, zcon, 
   {{0x290cc2fc,0x27e9c2fd,0x160d0262,0x62810026}},	//   ída_, ffan_, _सफ़र_, _mhlo, 
   {{0x63bbc2fe,0x6705051f,0x59dc07d5,0x6ab60876}},	//   _neun, रिंक_, _बावर, _twyf, 
   {{0x63a200ef,0x464a2849,0xdb0d0165,0x2c5601dd}},	// [c940] vcon, азан_, _reaç, jādi_, 
   {{0xe617c2ff,0x683803dd,0xfe7900d8,0x27e901f5}},	//   оду_, _dída, ktům_, afan_, 
   {{0x63bb11e9,0x69dc30ca,0x7a301279,0xd4c60038}},	//   _beun, mgre, _näti, تغذي, 
   {{0x69dc0f1a,0x6d410eae,0x63bb005f,0x6281ab2c}},	//   lgre, izla, _ceun, _ahlo, 
   {{0x6f090519,0x63a2c300,0x63bbc301,0x63ad04b3}},	//   jvec, rcon, _deun, ñana, 
   {{0x6281c302,0x24860d26,0x63a21bc6,0x30a6c303}},	//   _chlo, smom_, scon, орив, 
   {{0x63a202b0,0x6ab74f69,0x6281083a,0x2c720098}},	//   pcon, _अब्र, _dhlo, ládu_, 
   {{0x212000f1,0x3ec61b69,0x63bb11e9,0x3ae40801}},	//   ćih_, особ, _geun, köp_, 
   {{0x316906a2,0x2be129c4,0x62813130,0x2ca9020b}},	//   ğaza_, _काबू_, _fhlo, _čada_, 
   {{0x2002008b,0xfd8a01a2,0x6281006c,0x63bb6232}},	//   žki_, иёни_, _ghlo, _zeun, 
   {{0xafe602fb,0xa3e1000f,0xc22300d4,0x3b000126}},	//   _можл, _दाम_, _تکنو, _asiq_, 
   {{0x09d302f8,0x1ee9009c,0x161102e6,0x69dc01d2}},	//   तल्य, جویی_, _डोनर_, egre, 
   {{0xf8b903dd,0xfad80093,0x1be1007e,0x69dc71db}},	//   өөн_, одящ_, ग्गल_, fgre, 
   {{0x69dcc304,0xa2cd0239,0xfc46003e,0xe1ee00f0}},	//   ggre, _सिस्, _þína_, егi_, 
   {{0x2605006a,0x7a3f031e,0xf84b70c9,0x19945a00}},	//   _होगी_, vště, ачай_, даря, 
   {{0x68380126,0x443d0201,0xdc2b009c,0x69d71eed}},	//   _pída, xhw_, _خسته_, _बाकी, 
   {{0x27e9c305,0x3a3a016a,0x26171503,0x2c720098}},	// [c950] rfan_, _flpp_, नाली_, gádu_, 
   {{0x63bbc306,0x61f81f17,0x69dcc307,0x26050077}},	//   _seun, jevl, cgre, _होखी_, 
   {{0x682a014b,0x63bb033e,0x6f0900da,0x61f8c308}},	//   _výdr, _peun, zvec, devl, 
   {{0x7bddc309,0x2901c30a,0x62811a29,0x490835a4}},	//   ngsu, _isha_, _shlo, हिरो_, 
   {{0x78a20062,0x03b6004e,0x628101f5,0x683103a9}},	//   _čovi, яқты_, _phlo, _rådh, 
   {{0x2c5601dd,0xddda02d9,0xaad355b4,0x7a30c30b}},	//   rādi_, potř, _तिनक, _päti, 
   {{0x63bba111,0x628f01d8,0x2c560243,0x00000000}},	//   _teun, _ècom, sādi_, --, 
   {{0x6f09014e,0x3ead0210,0x00000000,0x00000000}},	//   tvec, tpet_, --, --, 
   {{0xef161c0f,0xf1a70acd,0x69dc18c3,0x6281c30c}},	//   змы_, _дрен, ygre, _thlo, 
   {{0xee390b68,0x7a3001c4,0xfe420093,0x6281253f}},	//   сно_, _täti, еньо, _uhlo, 
   {{0xeb9a83aa,0x32050379,0x2901016c,0x69dc264e}},	//   йин_, _ialy_, _nsha_, vgre, 
   {{0x3ead0dcb,0x3205014b,0xaa7b00bc,0x6d4155c7}},	//   ppet_, _haly_, stýl, rzla, 
   {{0x69dcc30d,0xc05200c7,0x3205c30e,0x207a0147}},	//   tgre, _אזא_, _kaly_, _פאנא, 
   {{0xc60a00a5,0x32050379,0xddc10604,0x00000000}},	//   _होंठ_, _jaly_, bolš, --, 
   {{0x3205c30f,0x4c8401a2,0x7d1c02ae,0x00000000}},	//   _maly_, _оғоз, ärst, --, 
   {{0x7a30014e,0xb8f40667,0xfc3f007a,0xb9041e7b}},	//   _nätv, _हट_, chí_, _नम_, 
   {{0x95ca00a3,0x61f818d4,0xfc5700d1,0x00000000}},	// [c960] йлаб_, yevl, _מבקש_, --, 
   {{0x959a004e,0xd6cf0629,0x32050054,0x00000000}},	//   стау_, اقل_, _naly_, --, 
   {{0x399b0111,0xb3a90749,0xdb1d0218,0x999b00d1}},	//   _לייד, ğını, nasî, _לביט, 
   {{0xb3a9091f,0x00000000,0x00000000,0x00000000}},	//   şını, --, --, --, 
   {{0x224c016a,0xd4677603,0x00000000,0x00000000}},	//   _pmdk_, чице_, --, --, 
   {{0xd5b2298e,0xa2cd2ed8,0x68310f95,0x00000000}},	//   _سفر_, _सिर्, _rådi, --, 
   {{0x490f21c2,0x61f8c310,0xdb1d10f1,0x764e02b8}},	//   डियो_, revl, rasé, _imby, 
   {{0x61f80112,0x8f460141,0xe29a0528,0x35e20790}},	//   sevl, зход, _гаа_, _पाड़, 
   {{0x320500a9,0xa3e50299,0xa3e11893,0x2c560243}},	//   _faly_, _बॉट_, _दात_, nādu_, 
   {{0x2d9802fb,0x7bc0008c,0x2484016a,0x68380634}},	//   øre_, ðmun, _hhmm_, _oído, 
   {{0xfc3f00eb,0xe0d20019,0x1ddd3024,0x00000000}},	//   thí_, _سزا_, _मारत, --, 
   {{0x2fc0010d,0x2c5601dd,0x628a4e5c,0x00865576}},	//   _þig_, kādu_, lmfo, _элео, 
   {{0x7afd012e,0x764e017e,0xaa7b014b,0x648300b0}},	//   uwst, _omby, stým, sõig, 
   {{0x7de600d7,0x00000000,0x00000000,0x00000000}},	//   _رستم, --, --, --, 
   {{0x683800d8,0x00000000,0x00000000,0x00000000}},	//   _vídn, --, --, --, 
   {{0xa2cd17dc,0x940b1ef6,0x6e2a3414,0x764e5632}},	//   _सिल्, _सोंच_, _hofb, _amby, 
   {{0x7bcd3d7f,0x387e0107,0x6e2a023a,0x5695286c}},	// [c970] _idau, îtra_, _kofb, даат, 
   {{0x2901006d,0x24840102,0x6aadc311,0x2e3b0218}},	//   _tsha_, _ahmm_, _itaf, _kêfa_, 
   {{0xdb04008c,0xe4b9004e,0x2901c312,0xa8a400fd}},	//   _heið, ілді_, _usha_, _пряк, 
   {{0x442906b6,0xfbdf078a,0x628a018c,0x683800bc}},	//   ða_, ngê_, emfo, _jídl, 
   {{0xfaff0327,0xfe780009,0x32050379,0xd6d8058e}},	//   nwë_, klį_, _paly_, _нтр_, 
   {{0x6aad0937,0x2484016a,0xd49b10aa,0xdb0401d5}},	//   _mtaf, _ehmm_, _гра_, _meið, 
   {{0x6f02c313,0xdb04010d,0x20892cdb,0x32054b95}},	//   _asoc, _leið, ойки_, _valy_, 
   {{0x7a3002f2,0x6594c314,0x7bcd052b,0x6aad01b8}},	//   _hätt, _часу, _ndau, _otaf, 
   {{0x7a30007e,0x6607c315,0x63a90532,0x1f650251}},	//   _kätt, _kajk, _ifen, ьким, 
   {{0x7bcdc316,0xf1a70e1b,0x7a30c317,0x3cc900b9}},	//   _adau, _хран, _jätt, олоо_, 
   {{0x660700f1,0x2006057f,0x6aadc318,0x63a4008c}},	//   _majk, _faoi_, _ataf, þing, 
   {{0x7a30022b,0x66070062,0x6fd607fa,0xdb0401d5}},	//   _lätt, _lajk, rücü, _beið, 
   {{0x1c4320f7,0x8d770444,0x20240032,0x63a9018e}},	//   тням, _کاشا, úsiť_, _mfen, 
   {{0x66072353,0x7a30161f,0x68380183,0xdb1d0216}},	//   _najk, _nätt, _pído, pasî, 
   {{0x63a9c319,0x6f0dc0c6,0xe9a33756,0x37e600a3}},	//   _ofen, _šach, тасп, мовг, 
   {{0xf772b2f1,0x2fdf012b,0x00000000,0x00000000}},	//   ناء_, ngug_, --, --, 
   {{0x7a300750,0x2fc0007e,0xb3a906a2,0x5a660240}},	// [c980] _bätt, _õige_, ğılı, _окиб, 
   {{0x66070e67,0xaad300a2,0x63a9642d,0xb3a90213}},	//   _cajk, _तितक, _afen, şılı, 
   {{0x290400e0,0x248401be,0xca3700df,0x00000000}},	//   āmas_, _phmm_, _חניה_, --, 
   {{0x25fa9a9b,0x660701ca,0x3b12021e,0x00000000}},	//   _उसकी_, _eajk, _kryq_, --, 
   {{0x59d22f41,0x7c3d024a,0x27e012ed,0x6607c31a}},	//   _तयार, ërri, mgin_, _fajk, 
   {{0x63a9c31b,0x27e0c31c,0x628a1798,0x386dc31d}},	//   _efen, lgin_, umfo, čere_, 
   {{0x2c0e006a,0x63a9c31e,0x0ef80179,0x27e001a7}},	//   ियां_, _ffen, ्ट्स_, ogin_, 
   {{0x27e06171,0x66079ed6,0x161c00a2,0x24840102}},	//   ngin_, _zajk, नावर_, _uhmm_, 
   {{0x644200eb,0x6d550183,0x7a301ece,0x00000000}},	//   mhoi, úzan, _jäts, --, 
   {{0x44265e56,0x6838026e,0xddc800ab,0xdb04003e}},	//   ljo_, _sídl, widł, _reið, 
   {{0xb143a37e,0x6aadc31f,0x44260009,0x9f4f00b9}},	//   _инфл, _staf, ojo_, _bagó_, 
   {{0x64420088,0x3cdf0035,0xbc4b004f,0x6f02007a}},	//   nhoi, _कमरे_, ічне_, _tsoc, 
   {{0xf047017a,0xfbdf010c,0x44260165,0x8ae4004e}},	//   _تعلی, rgê_, ijo_, кірл, 
   {{0xdb04008c,0x2fc40026,0x7aa4035b,0x00000000}},	//   _veið, lamg_, тиёз, --, 
   {{0x7a300750,0xdb1d003e,0x8c670def,0x6d5c0038}},	//   _rätt, masí, _отид, úrad, 
   {{0x7a3028cb,0x27e0c320,0x44260298,0x7bcd019b}},	//   _sätt, ggin_, jjo_, _udau, 
   {{0x4426c321,0x290c014e,0x6aad0010,0x66070813}},	// [c990] djo_, ådar_, _utaf, _pajk, 
   {{0xb3a903c0,0xdb06c322,0x4426011f,0x00000000}},	//   ğımı, takö, ejo_, --, 
   {{0xb3a90092,0x63a9c323,0x7c2d01d6,0x7a3002ae}},	//   şımı, _pfen, _koar, _vätt, 
   {{0xdb160118,0xa3fb0032,0x7c2d00b4,0x4426c324}},	//   _idyò, ťaží_, _joar, gjo_, 
   {{0xe5c70cd9,0x66070d9d,0x7c2dc325,0x160a00ab}},	//   _осво, _tajk, _moar, _होकर_, 
   {{0xdd860625,0xe3d600d3,0x1308004f,0xa3e100c9}},	//   _مو_, _үйрө, ьній_, _दाव_, 
   {{0x2eff3107,0x44260352,0x00000000,0x00000000}},	//   wwuf_, bjo_, --, --, 
   {{0x6442c326,0x2c6406d0,0x2bdb00a2,0x205403a1}},	//   choi, kıda_, _भागा, ктыр, 
   {{0xe37411db,0x443f8abd,0x8e5502c8,0x26c902aa}},	//   _алты, _ilu_, етні, nsao_, 
   {{0x442dc327,0x7c2d0054,0x26c900e7,0x0e6203a1}},	//   _hoe_, _aoar, isao_, лкын, 
   {{0x442dc328,0x443f1b78,0x7af6c329,0x7c2dc32a}},	//   _koe_, _klu_, _spyt, _boar, 
   {{0xcfe900d4,0x443f011c,0x26c90613,0x442d00d1}},	//   _رفته_, _jlu_, ksao_, _joe_, 
   {{0x442dc32b,0x7c2d00b3,0x9f4f00f6,0x2be100bd}},	//   _moe_, _doar, _vagó_, _कारू_, 
   {{0x442d0077,0x7a30c32c,0xdb1d001d,0x443fc32d}},	//   _loe_, _räts, casí, _llu_, 
   {{0x7c2d0012,0x3da602fb,0x443fc32e,0x27e0c32f}},	//   _foar, _якщо_, _olu_, tgin_, 
   {{0x02df07bd,0x442d0b0c,0x7b050088,0xdcf801dd}},	//   _नमून, _noe_, ättä, _uzvā, 
   {{0x7bc6c330,0x06863ac9,0x4426c331,0xf1e00249}},	// [c9a0] maku, еган, vjo_, _नालन, 
   {{0x7bc61630,0x6b84c332,0x7a300219,0xe9daade2}},	//   laku, _izig, _väts, _эко_, 
   {{0x442d1eb1,0x443fc333,0x644200eb,0x4426c334}},	//   _boe_, _blu_, thoi, tjo_, 
   {{0x7bc6c335,0x4426c336,0x7a301096,0x03a61d06}},	//   naku, ujo_, _täts, хидо, 
   {{0x68e3022b,0x4426c337,0x443fbc31,0x77940a24}},	//   _ändr, rjo_, _dlu_, _شیطا, 
   {{0x443f0077,0x442d0183,0x644206a6,0x6b840053}},	//   _elu_, _eoe_, shoi, _mzig, 
   {{0x7bc6c338,0x443f5145,0x64420038,0x96637ffd}},	//   kaku, _flu_, phoi, _скре, 
   {{0x38603652,0x68e301e8,0x2c640384,0x442d1eb3}},	//   nnir_, _ånde, yıda_, _goe_, 
   {{0x6440c339,0x7de6005e,0x09d80086,0x7bc6c33a}},	//   _ilmi, нінд, দ্যা, daku, 
   {{0x443f00d2,0x7c2dc33b,0xdea300d7,0x00000000}},	//   _zlu_, _soar, دیوی, --, 
   {{0x7c2d00d9,0x3860008c,0x6b84813c,0x3f8200da}},	//   _poar, knir_, _azig, ťku_, 
   {{0x629a05f0,0x7bc6c33c,0x09a9009a,0x442d0210}},	//   _hito, gaku, कड्य, _xoe_, 
   {{0x629ac33d,0x2aab307f,0x7c2d00a9,0x3eaf0023}},	//   _kito, ятно_, _voar, _gtgt_, 
   {{0x629ac33e,0x2c64008f,0x00000000,0x00000000}},	//   _jito, rıda_, --, --, 
   {{0x629ac33f,0xa3e10366,0x7bc633cc,0x6b8401a3}},	//   _mito, _दाल_, baku, _ezig, 
   {{0x3860008c,0x629ac340,0xc6a78990,0x7bc602b8}},	//   gnir_, _lito, ержи, caku, 
   {{0x6443024a,0x7c3d0034,0x442dc341,0xe9f90108}},	// [c9b0] ënim, ërru, _roe_, _cuả_, 
   {{0x443f30c9,0x442dc342,0x6440c343,0x629ac344}},	//   _slu_, _soe_, _almi, _nito, 
   {{0x442da3ba,0x69c774c3,0x443fc345,0xdcf3090e}},	//   _poe_, maje, _plu_, čaće, 
   {{0x69c7c346,0x13a700c5,0x629a7361,0xe3b32e10}},	//   laje, رنتی_, _aito, ارض_, 
   {{0x629a4a1a,0x91e5c347,0x442d02be,0x260c05e5}},	//   _bito, воле, _voe_, _डोकी_, 
   {{0x69c7c348,0x442dc349,0x7bc6c34a,0x6440c34b}},	//   naje, _woe_, zaku, _elmi, 
   {{0x629ac34c,0xa2cd0ee0,0x7bc6ad14,0xfa1300cc}},	//   _dito, _सिक्, yaku, _সকাল_, 
   {{0x62880088,0x443fc34d,0x69c70054,0x64580212}},	//   _ehdo, _ulu_, haje, évit, 
   {{0x629a6dd9,0x600611c5,0x69c7c34e,0x9e65251b}},	//   _fito, тным_, kaje, квид, 
   {{0x7bc69d99,0x7a300219,0x629a5b0f,0x69c70813}},	//   waku, _nätp, _gito, jaje, 
   {{0x7bc63884,0x0d822bdc,0xdc6a0a43,0x6b840019}},	//   taku, ильн, данд_, _szig, 
   {{0x629ac34f,0x7d1c37b4,0xfaa6c350,0x00000000}},	//   _zito, årsa, камо, --, 
   {{0xde05c351,0x38600118,0xdee59e39,0xdb1d11c9}},	//   _апли, vnir_, _роли, vasã, 
   {{0xc3320056,0x7bc6c352,0x629a02f1,0x69c7c353}},	//   סום_, saku, _xito, gaje, 
   {{0x7bc6c354,0x929d0083,0x386001d5,0xab5b00b9}},	//   paku, _osło, tnir_, naüj, 
   {{0x200dc355,0x64430009,0x386001d5,0x6b8436a5}},	//   ndei_, ūnij, unir_, _tzig, 
   {{0xe5a631af,0x3860010d,0xe9f900f7,0xdb1f010c}},	// [c9c0] визи, rnir_, _quả_, _heqî, 
   {{0x69c704d1,0x683802a0,0xc7953b46,0x386001d5}},	//   caje, _mídi, урсы, snir_, 
   {{0x69d90137,0x629ac356,0x6838c357,0xdb1d2706}},	//   _אַרו, _rito, _lídi, masá, 
   {{0x629ac358,0x779411b7,0x6aa4c359,0xdb1dc35a}},	//   _sito, _میزا, _kuif, lasá, 
   {{0x200d0e69,0x6aa40107,0x2ba72b48,0x00000000}},	//   ddei_, _juif, कुटा, --, 
   {{0x5333c35b,0xe28321f9,0x7bc400b0,0xdb1d526a}},	//   решт, алчи, _leiu, nasá, 
   {{0x257600d4,0x9c7d034c,0x6458026a,0x2bb502e6}},	//   _شهرس, luče, évis, ंडमा, 
   {{0x629ac35c,0xdfd000eb,0x6d48253f,0x69c7c35d}},	//   _wito, حية_, vzda, zaje, 
   {{0x629a765b,0x26c70062,0x02069080,0x2617009a}},	//   _tito, ćnog_, _изан, नाची_, 
   {{0x43750238,0x629a038c,0x200d00b3,0x201d017c}},	//   _суст, _uito, adei_, _enwi_, 
   {{0x69c709da,0x320c0054,0x321e01a7,0x7bc40474}},	//   vaje, _iady_, _inty_, _beiu, 
   {{0xa3ea0081,0x320c0054,0x26cf010e,0x6fa6009a}},	//   _माफ_, _hady_, ágok_, _ऑलिं, 
   {{0xa3ea190a,0x320c0379,0x63ad0126,0x629d0151}},	//   _मान_, _kady_, ñani, _ésot, 
   {{0xaa643786,0x6aa4c35e,0xdb1d0054,0x00000000}},	//   атск, _duif, rasà, --, 
   {{0x69c7c35f,0x320c4b95,0x27f20156,0x3c5900d9}},	//   raje, _mady_, ffyn_, _пикэ_, 
   {{0x6ebfbfd1,0x69c7c360,0xfaa700cf,0x63a0016a}},	//   लीवु, saje, _ишон, _ngmn, 
   {{0x81cd00cc,0x09d80086,0xc6a4005b,0x6f0d0068}},	// [c9d0] ষ্ট_, দ্ধা, архи, _áact, 
   {{0x7c3d247a,0x98c700a3,0x7aed00c3,0x657c0090}},	//   lksr, _исмл, _iqat, _byrh, 
   {{0x657c00f8,0x73d900f6,0x978300d7,0x98aa0028}},	//   _cyrh, едер_, _چیزه, tybą_, 
   {{0x69c54fde,0xccf30137,0x7a2b01c4,0x8d5b00d1}},	//   _hehe, יכע_, _nütz, וכבי, 
   {{0x69c5541c,0x62359234,0x320c0180,0x6458022c}},	//   _kehe, леду, _bady_, èvia, 
   {{0x657c5609,0x016540f5,0x68384771,0x7aed01f2}},	//   _fyrh, лкло, _rídi, _mqat, 
   {{0x69c5c361,0x63a4b23a,0x320c0f9f,0x3f860118}},	//   _mehe, žina, _dady_, _azou_, 
   {{0x69c5c362,0xa2db00a5,0x4f090161,0xa3ea215e}},	//   _lehe, _निप्, енин_, _माय_, 
   {{0x200dc363,0x320c01a7,0xe8e10023,0x6da50ca4}},	//   rdei_, _fady_, _ướp_, липа, 
   {{0x69c5c364,0x6459c365,0x41c73918,0x200dc366}},	//   _nehe, liwi, _रजिस, sdei_, 
   {{0x25eb0081,0x6ed804b7,0xdb1d010e,0x290f05d5}},	//   _चानी_, _मिथु, vasá, _ņgan_, 
   {{0xdb040183,0x9f050019,0x00000000,0x00000000}},	//   _afiá, _موصو, --, --, 
   {{0xa3e10b26,0x69c5251e,0x628f01d8,0xeb97c367}},	//   _दाई_, _behe, _ècos, лию_, 
   {{0x9c7d0062,0xdb1f009e,0x6459c368,0xfaa34eed}},	//   vuče, _teqî, hiwi, саро, 
   {{0xd943c369,0x69c55721,0xa2ca0e07,0xa9672357}},	//   бери, _dehe, _सौन्, гира_, 
   {{0x2b5500d4,0x9c7d034c,0x69c5209a,0x649300c3}},	//   ایید_, tuče, _eehe, _għix, 
   {{0xe61a15b6,0x69c5c36a,0x27f2c36b,0xb8eb1202}},	// [c9e0] нда_, _fehe, rfyn_, _रौ_, 
   {{0x69c5c36c,0x9c7d01e2,0x1a060676,0x3dd50033}},	//   _gehe, ruče, _спом, ত্রল, 
   {{0x320c2194,0xa2c100ae,0x00000000,0x00000000}},	//   _rady_, रीस्, --, --, 
   {{0x320c05f0,0xf74618ae,0xda2200c2,0x9c7d0372}},	//   _sady_, _бемо, मावत_, puče, 
   {{0x4caa00cc,0x320cc36d,0x69c5b152,0x7054009c}},	//   _কিছু, _pady_, _yehe, ینتا, 
   {{0x35a3c36e,0xe5a30a43,0xe2975750,0x2d870097}},	//   _гарг, _гири, гач_, _ozne_, 
   {{0x320c7583,0x69c1003e,0x64590574,0x00000000}},	//   _vady_, ðlei, biwi, --, 
   {{0x0443c36f,0xc0341221,0xaa7b003e,0xb034c370}},	//   _лесн, рниј, ntýr, рниш, 
   {{0x320c031e,0x627b0035,0x44ee1102,0x8c3701a2}},	//   _tady_, _słoń, lý_, ҳонӣ_, 
   {{0x9e0612de,0x1ef70084,0x98ac02d9,0x660e05ff}},	//   учил, اعية_, ádě_, _jabk, 
   {{0x69c50a49,0x44ee063b,0x2d983de4,0x9c7d0704}},	//   _rehe, ný_, äre_, jučc, 
   {{0x69c5c371,0xa2db16df,0xa2c10a34,0x660ec372}},	//   _sehe, _निम्, रीव्, _labk, 
   {{0x69c50149,0x44ee0254,0x78a500ef,0xe45700c7}},	//   _pehe, hý_, _suhv, ריכט_, 
   {{0x645927b0,0xdd940161,0x8504031e,0x44ee23f2}},	//   ziwi, _калы, रबाट_, ký_, 
   {{0x199597e9,0x61f5027e,0x69c5c373,0x2bb50299}},	//   равя, _özle, _vehe, ंडदा, 
   {{0x57b511ce,0x36d50088,0x44ee014b,0x69c5a0b2}},	//   рбат, иобр, dý_, _wehe, 
   {{0x69c5c374,0x660e5e04,0xf9d500b3,0x26cf0379}},	// [c9f0] _tehe, _babk, _копэ, égo_, 
   {{0x443d2e9a,0x81c201dd,0x4e1a00bc,0xf56b0259}},	//   wkw_, šēja, बाटै_, ншек_, 
   {{0x64590876,0xc66802a0,0x497400b3,0x98aa0028}},	//   tiwi, уште_, _глэс, kybę_, 
   {{0xe3150267,0x00000000,0x00000000,0x00000000}},	//   имењ, --, --, --, 
   {{0x6459c375,0x660e023b,0x27eb0027,0x3ea60231}},	//   riwi, _fabk, _iccn_, _nuot_, 
   {{0x64596b39,0xa2c1000d,0xe80d031e,0x44ee014b}},	//   siwi, रीष्, ाएका_, bý_, 
   {{0x90c2c376,0xdb0d0068,0x00000000,0x00000000}},	//   обще, _meañ, --, --, 
   {{0x44d10904,0x3ea6011d,0xc0a80629,0x98aa0028}},	//   mą_, _buot_, داول_, gybę_, 
   {{0x53473c93,0x41e70eea,0x44d144d5,0x249f0065}},	//   _схва, _مساف, lą_, _iium_, 
   {{0xee3954ad,0xee36030f,0x8c48009e,0xdb0d0183}},	//   тно_, ины_, koşî, _neañ, 
   {{0x44d1c377,0x248d0561,0x611c00d9,0x2167012d}},	//   ną_, _khem_, _călă, _стаг, 
   {{0x5c563d48,0xed56c378,0x00000000,0x00000000}},	//   ртоф, рою_, --, --, 
   {{0xfaa6c379,0x4c6715c5,0x6a8602f1,0x00000000}},	//   раго, риян_, илма, --, 
   {{0x44d100e4,0x200fc37a,0x7f8400eb,0x4a7614c1}},	//   ką_, _hagi_, _الهن, рымт, 
   {{0x44d1c37b,0x5d790137,0x611c020f,0x200fc37c}},	//   ją_, _באַק, _gălă, _kagi_, 
   {{0x44ee08d7,0x44d157d1,0x6843c37d,0x200f023e}},	//   vý_, dą_, онса, _jagi_, 
   {{0xe737030f,0x2ca730f6,0x66e630dc,0x237f006f}},	// [ca00] ает_, _hund_, роза, _nyuj_, 
   {{0x200f2f5c,0x44ee0076,0x2ca73f04,0xaa7b01d5}},	//   _lagi_, tý_, _kund_, stýr, 
   {{0x9c7d003a,0x44d114d5,0x89db00a7,0x959a004e}},	//   luča, gą_, _בחיי, ттау_, 
   {{0x44ee08d7,0x2ca7078e,0x249f36ff,0x04460886}},	//   rý_, _mund_, _cium_, једн, 
   {{0x63a4c37e,0x660e00ef,0x291a2867,0xddc1008b}},	//   žino, _tabk, _hrpa_, dolž, 
   {{0xc8da00a2,0x09d80086,0x3253004f,0x44d11dfa}},	//   _बटाट, দ্রা, овір, bą_, 
   {{0x200f1336,0x3ea6c37f,0xa3ea0093,0xd9ee00b0}},	//   _bagi_, _suot_, _идва_, _जानत_, 
   {{0x64a32f2f,0x63ad0634,0x768b0241,0x248d107c}},	//   _фата, ñant, rüye, _ghem_, 
   {{0x9c7d090e,0x200f00a3,0x91e6c380,0xb3a9027e}},	//   juča, _dagi_, _возе, ğıtı, 
   {{0x9c7d090b,0x68fe02fb,0x2ca7c381,0xa2db02a2}},	//   duča, _oppd, _bund_, _नित्, 
   {{0x2c720098,0x00000000,0x00000000,0x00000000}},	//   lády_, --, --, --, 
   {{0x200f8568,0x3ea6c382,0x00000000,0x00000000}},	//   _gagi_, _tuot_, --, --, 
   {{0xab87c383,0xba770038,0x44d16a39,0xbf161c03}},	//   рунк, لاست, zą_, _خوشب, 
   {{0x20044774,0x291a02a2,0x6483007e,0x2ca700d1}},	//   lemi_, _brpa_, võim, _fund_, 
   {{0x2ca7009e,0x6cd40a5a,0x22890187,0xdd8f20b4}},	//   _gund_, _اقبا, núka_, _قوه_, 
   {{0x9c7d1c2b,0x2004c384,0x44d10009,0xdff80bf5}},	//   buča, nemi_, vą_, ्जिद_, 
   {{0x44d100ab,0xcf9300c7,0x7b1900b3,0xc60b0033}},	// [ca10] wą_, ַטע_, _сопр_, রাসা_, 
   {{0x44d117d8,0x2004c385,0xd9ee00b0,0x225c0604}},	//   tą_, hemi_, _जायत_, jivk_, 
   {{0x200481cb,0x248d01a0,0xd0410095,0xe7ef048e}},	//   kemi_, _phem_, _evlə, _छापा_, 
   {{0x44d117da,0xdcef090b,0x2004c386,0xa2db2122}},	//   rą_, žeći, jemi_, _निद्, 
   {{0x7764048a,0x872800cf,0x2ee4265d,0x44d144d5}},	//   _държ, _кўра_, jumf_, są_, 
   {{0x27e9093e,0x21693c93,0x44d144d5,0xe81b0366}},	//   lgan_, лили_, pą_, _पोता_, 
   {{0x200f0730,0x248dc387,0xd49b021f,0x66050ab1}},	//   _pagi_, _them_, _ара_, mehk, 
   {{0x66051237,0x2ca702f2,0xd02502f1,0x1be600b0}},	//   lehk, _rund_, смий, _काइल_, 
   {{0x200fc388,0x2ca78094,0x27e9c389,0x2be108e1}},	//   _vagi_, _sund_, igan_, _काजू_, 
   {{0x2ca727e3,0x27e901ff,0xf1f80eb7,0x200fc38a}},	//   _pund_, hgan_, _نعمت_, _wagi_, 
   {{0x200fc38b,0x63b80165,0x8027010e,0x6ab61958}},	//   _tagi_, _àaná, _پرام, _styf, 
   {{0x69d70042,0x200400bc,0x6838014b,0xaadc00aa}},	//   _adxe, cemi_, _lídr, _बिदक, 
   {{0x660500e2,0xa3ea623e,0x27e9c38c,0x70740038}},	//   kehk, _मास_, dgan_, _بالذ, 
   {{0x9c7d0062,0x291a015e,0x2ca7c38d,0x3dcc012b}},	//   ruča, _prpa_, _tund_, cadw_, 
   {{0x9c7d034c,0x6e23c38e,0xceb400ad,0x41df00bd}},	//   mučn, _innb, _çər_, _नयनस, 
   {{0x7bd60102,0x00000000,0x00000000,0x00000000}},	//   _udyu, --, --, --, 
   {{0x7c2406e4,0x2bb50466,0x81df0033,0x644a0034}},	// [ca20] _inir, ंडरा, ধ্য_, ëfim, 
   {{0xa3ea00ab,0x27e90014,0x7ae60696,0x7c3613d7}},	//   _माह_, agan_, mukt, _hoyr, 
   {{0x68fe0750,0xeafa0399,0x7ae6c38f,0x69cec390}},	//   _uppd, _شرکت_, lukt, mabe, 
   {{0x69ce6d51,0x2c21000f,0x03261f77,0xe7ef1c54}},	//   labe, याएं_, йден, _छाया_, 
   {{0x06b20086,0x26cf0019,0xa3b700b0,0x7ae60626}},	//   _চিকি, ágot_, छड़_, nukt, 
   {{0xfe67057f,0x69cec391,0x9c7d0412,0x660512c7}},	//   _رد_, nabe, jučn, cehk, 
   {{0x2004c392,0x64b700ef,0xb3a90785,0xeb9f01e8}},	//   temi_, _aćif, ğırı, ndør_, 
   {{0x69cec393,0x62838bd6,0x09e10086,0x765ec394}},	//   habe, alno, ম্পা, lipy, 
   {{0x69cec395,0x2004b7be,0x26d2aaaf,0x4424c396}},	//   kabe, remi_, nsyo_, _inm_, 
   {{0x2004c397,0x7c24c398,0xdee60013,0x6442c399}},	//   semi_, _anir, _ҳоди, lkoi, 
   {{0x667b0137,0x69cec39a,0x3b0002a2,0x78bc031e}},	//   רטיק, dabe, _apiq_, jprv, 
   {{0xdee6032c,0x9c7d0455,0x7ae60946,0x64420080}},	//   _годи, krče, fukt, nkoi, 
   {{0x9c7d01e2,0xf1ac1d11,0x7c2400b4,0xaa7b0032}},	//   bučn, _चलान, _dnir, jrýc, 
   {{0x7c24c39b,0x69cec39c,0xa2db2830,0x61ea1cd2}},	//   _enir, gabe, _निस्, ngfl, 
   {{0x27e90c67,0x644200c8,0x00000000,0x00000000}},	//   tgan_, kkoi, --, --, 
   {{0x7ae60a13,0x63a41993,0xa7b9004e,0x25eb007e}},	//   bukt, žinj, рлау_, _चाही_, 
   {{0x69cec39d,0x27e923bb,0x96351ffd,0x9c7d0098}},	// [ca30] babe, rgan_, онац, lučo, 
   {{0x69ce033c,0x7bcf71d5,0x6b8d7c70,0x27e9c39e}},	//   cabe, lacu, _izag, sgan_, 
   {{0x4424c39f,0x27e900a3,0x7bcf0126,0x6605c3a0}},	//   _bnm_, pgan_, oacu, rehk, 
   {{0x26cf0019,0x29010415,0x7bcfc3a1,0xdd7b027a}},	//   ágos_, _ipha_, nacu, נטאל, 
   {{0x3869c3a2,0xa3ea35ff,0x23299694,0x644b011c}},	//   mnar_, _मार_, роли_, rhgi, 
   {{0xe2991876,0x41e700dd,0x7bcfc3a3,0x7a300380}},	//   шал_, сіда, hacu, _sätz, 
   {{0x6443c3a4,0xa2db0110,0x7bcf0610,0x00000000}},	//   ënis, _निव्, kacu, --, 
   {{0x69cec3a5,0x386925f2,0x7ae6012b,0x7bcf98c9}},	//   zabe, nnar_, yukt, jacu, 
   {{0x3869c3a6,0x69cec3a7,0x09e10086,0x1c0d0a34}},	//   inar_, yabe, ম্যা, िजनल_, 
   {{0xc0cb44c1,0x3f8300e0,0x69cec3a8,0x2901019b}},	//   _буде_, āju_, xabe, _opha_, 
   {{0x64495846,0x9c7d0e25,0x3869c3a9,0x3207c3aa}},	//   _klei, ručn, knar_, meny_, 
   {{0x7bcf0bba,0x32072479,0x7ae60ae3,0x7f19004f}},	//   gacu, leny_, tukt, _віку_, 
   {{0x69cec3ab,0xe04202fb,0x2901019b,0x3869c3ac}},	//   tabe, _інши, _apha_, dnar_, 
   {{0x6449c3ad,0x98a60fa7,0x32073001,0x539a0486}},	//   _llei, живе, neny_, יירו, 
   {{0x69cec3ae,0x6449c3af,0x6b8d02ba,0x3ce00035}},	//   rabe, _olei, _ezag, _किये_, 
   {{0x38699119,0x69cec3b0,0x7c24c3b1,0x1ae686c6}},	//   gnar_, sabe, _unir, _доим, 
   {{0xa2db2122,0x69cec3b2,0x644202fe,0x63a40009}},	// [ca40] _निष्, pabe, vkoi, žink, 
   {{0x09e10086,0x69ce0415,0x645b0038,0x442410d4}},	//   ম্বা, qabe, _amui, _snm_, 
   {{0x6449c3b3,0x25eb18f2,0x850600d4,0x19c400f0}},	//   _blei, _चारी_, توان, _мәңг, 
   {{0x9c83143b,0x644931d6,0x442402a3,0x26d2011d}},	//   _účto, _clei, _qnm_, psyo_, 
   {{0xe29a058e,0x6442030f,0x442439eb,0xf9ab0118}},	//   аад_, rkoi, _vnm_, _àèò_, 
   {{0xa2db08dd,0x6449c3b4,0x6442c3b5,0x6b840610}},	//   _निर्, _elei, skoi, _myig, 
   {{0x64490c86,0xf65f008c,0x4424044d,0xf4840e13}},	//   _flei, _tvær_, _tnm_, _فاری, 
   {{0x09b70aac,0x6449c3b6,0x75210183,0x30770038}},	//   _अभ्य, _glei, _álza, يحية_, 
   {{0x3207c3b7,0x63ad0455,0x6b84c3b8,0xa3e70299}},	//   beny_, žanc, _nyig, पलर_, 
   {{0xa3ea000f,0x386d044e,0x248600fc,0x320708f5}},	//   _माँ_, čeri_, llom_, ceny_, 
   {{0x6449030f,0x7bcf318e,0x38695249,0x715a387f}},	//   _ylei, tacu, ynar_, _трас_, 
   {{0x9c7d014b,0x6b8402b8,0xe1650dec,0xbbb51a21}},	//   ručo, _byig, _عدلي, ंडेक, 
   {{0x25eb04d7,0x7e7a0112,0x386914e0,0x24860228}},	//   _चाली_, potp, vnar_, ilom_, 
   {{0x7bcf0369,0x6f0231de,0x6abd6673,0x00000000}},	//   sacu, _ipoc, rpsf, --, 
   {{0x2486044e,0xa3ea00ab,0x3869c3b9,0x7bcf3b0a}},	//   klom_, _मां_, tnar_, pacu, 
   {{0xf80403dc,0x765c02bf,0x24860097,0x32070356}},	//   мчун, _amry, jlom_, zeny_, 
   {{0x3869c3ba,0x24860228,0xf7732949,0x25ab0267}},	// [ca50] rnar_, dlom_, ذار_, ађен_, 
   {{0xd5bb416e,0xe81b0081,0xf1bf001b,0x38696f4d}},	//   рса_, _पोरा_, _đáo_, snar_, 
   {{0x6449c3bb,0xd49b41ab,0x3869c3bc,0x7bcd085b}},	//   _plei, ард_, pnar_, _keau, 
   {{0x2486090b,0x3cfb00c7,0x44270038,0x6e3800fb}},	//   glom_, שלאנ, غراف, _lovb, 
   {{0x32070a49,0x6449018c,0x069b00d4,0x7bcd0151}},	//   teny_, _vlei, _نخست_, _meau, 
   {{0x6aadc3bd,0x644900f8,0xe6010080,0x68311341}},	//   _muaf, _wlei, ävää, _rådy, 
   {{0x3207c3be,0x3f8900ef,0x64490226,0x21a20258}},	//   reny_, _šau_, _tlei, нишм, 
   {{0x3207c3bf,0x644900d9,0xe45fc3c0,0x1ec98c0f}},	//   seny_, _ulei, _öö_, блии_, 
   {{0x63a9c3c1,0x768b01f0,0x9c7d034c,0x6615012d}},	//   _igen, nüyo, ručl, _kazk, 
   {{0x5bb61276,0xfe710038,0x66150352,0x3ea302ae}},	//   ूर्व, عدة_, _jazk, öjt_, 
   {{0x7bcd0efb,0x661500cf,0x3eb900e0,0x63a9c3c2}},	//   _beau, _mazk, ūst_, _kgen, 
   {{0x801400dd,0x7bcd00d9,0x6615c3c3,0x2ca402ae}},	//   _офіц, _ceau, _lazk, ömd_, 
   {{0x7ff40a24,0x63a90053,0x7d1a006d,0x7bcdc3c4}},	//   _آسما, _mgen, avts, _deau, 
   {{0x3ebf1191,0xdb0f0084,0x25fd0484,0x6aad0175}},	//   mput_, ódái, र्मी_, _duaf, 
   {{0x929d006a,0x660a0264,0x63a9c3c5,0x291ec3c6}},	//   _usłu, _ölkə, _ogen, íta_, 
   {{0x63a9c3c7,0x63a43431,0x6aad4aec,0xa3ea1ef6}},	//   _ngen, žini, _fuaf, _माइ_, 
   {{0x6281090b,0x6d41c3c8,0x3ebf0112,0x386002a5}},	// [ca60] _oklo, lyla, nput_, riir_, 
   {{0x386002a5,0xa59600c8,0x7e610183,0x9c7d0121}},	//   siir_, прещ, nilp, jučj, 
   {{0x2c2100a2,0xe9f900e7,0xd8261818,0x6d41c3c9}},	//   याचं_, _huế_, _едни, nyla, 
   {{0x63a90183,0x3a3a33fc,0x628173c5,0x6d5c007a}},	//   _cgen, _hopp_, _aklo, úrai, 
   {{0x3ebf0097,0x937a1b65,0x3a3ac3ca,0x7e613b6c}},	//   jput_, حصار_, _kopp_, kilp, 
   {{0x26c0c3cb,0x63a944ae,0x2486171a,0x80d00086}},	//   mpio_, _egen, slom_, সংস্, 
   {{0x2bed00a2,0x4034170f,0xf623304d,0x6f02c3cc}},	//   _झालं_, дейс, _ядро, _spoc, 
   {{0x3a3a0219,0x6d41c3cd,0x63a902a5,0x00000000}},	//   _lopp_, dyla, _ggen, --, 
   {{0x1be6190a,0x7bcd107c,0x3a3a00de,0x00000000}},	//   _काजल_, _reau, _oopp_, --, 
   {{0x932500c5,0x7bcdc3ce,0x00000000,0x00000000}},	//   _ترفن, _seau, --, --, 
   {{0xc04f02fb,0xa3e002e6,0x41bb00a7,0x7d03016a}},	//   _зі_, _दया_, _הצבע, _cpns, 
   {{0xf044015f,0xddc8039f,0x64ac2120,0x00000000}},	//   _تعطی, ridő, _işid, --, 
   {{0xa3ea0077,0x9c7d28fd,0x7e614a37,0x7bcd0151}},	//   _माई_, lučk, bilp, _veau, 
   {{0x8f9b00d1,0x7ae0039f,0xa2c10299,0x00000000}},	//   _הידי, ámta, रीट्, --, 
   {{0x26c701b4,0x661502ee,0x6d41c3cf,0x8ca60083}},	//   ćnom_, _razk, cyla, _घंटो, 
   {{0xb9050aac,0xf1bf001b,0x66150218,0xe8e000e7}},	//   _नि_, _đám_, _sazk, _giọt_, 
   {{0x2bc30ba3,0xb8f40f01,0x78a6040b,0x661501cf}},	// [ca70] _व्या, _सौ_, _dikv, _pazk, 
   {{0x929d00ab,0x768b01f0,0xddc800ef,0x9f9d0165}},	//   _opła, rüyo, hodž, lção_, 
   {{0x58d40088,0x9c7d16ef,0xddc800ef,0x6f1b044e}},	//   _поэт, jučk, kodž, zvuc, 
   {{0x9f9d00ce,0x27ed34f9,0x99750083,0x00000000}},	//   nção_, _øen_, _męża_, --, 
   {{0x6615c3d0,0x9f9d02a0,0xddc80e67,0x00000000}},	//   _tazk, ição_, dodž, --, 
   {{0xc244012d,0x00000000,0x00000000,0x00000000}},	//   ннік, --, --, --, 
   {{0x9c7d00d2,0x569411f9,0x25fd00a2,0x62810352}},	//   ručj, _чарт, र्णी_, _vklo, 
   {{0x63a9c3d1,0x1c1d007e,0x78b8010e,0xf9940070}},	//   _ugen, _बोलल_, _évve, ערק_, 
   {{0x7e614481,0x64ac00ad,0x59bf121a,0x00000000}},	//   tilp, _eşid, ्रार, --, 
   {{0x628100f1,0x3ebfc3d2,0x9c7d0242,0xed45586b}},	//   _uklo, rput_, vrča, дноп, 
   {{0xac0a18f0,0x6f1b0a1a,0x00000000,0x00000000}},	//   онна_, svuc, --, --, 
   {{0x26c72ed1,0x9c7d0112,0x7e61c3d3,0x25fd29b0}},	//   ćnoj_, trča, silp, र्ती_, 
   {{0x6d41c3d4,0x78a60613,0xa2c1009a,0xe9f90023}},	//   syla, _rikv, रीच्, _quế_, 
   {{0x9f9d03b7,0xb69b020f,0x00000000,0x00000000}},	//   ação_, _spân, --, --, 
   {{0xfaa3c3d5,0xed5900d9,0xab5b2120,0xad250dec}},	//   таро, _фой_, lbül, _زرغو, 
   {{0x9f9d02a0,0xfbdf010c,0xdb1d8698,0xe9f90210}},	//   cção_, lkên_, lasý, _tuế_, 
   {{0x3a3ac3d6,0x1867c3d7,0xd7ef0038,0xb8d5188d}},	// [ca80] _topp_, фати_, شكل_, _छू_, 
   {{0x2fcf00fc,0xa5f70886,0x26c0c3d8,0xb9c60195}},	//   _legg_, међу_, rpio_, _تقدي, 
   {{0x78a60062,0x25fd0663,0xf8d2271a,0x3ea7558a}},	//   _tikv, र्धी_, _तबिय, _mint_, 
   {{0x26c033c4,0x3ea7781e,0x2d870876,0x3ce00eda}},	//   ppio_, _lint_, _myne_, _किसे_, 
   {{0xd12f00d4,0x17c7004f,0x2d870326,0x648300b0}},	//   یمه_, _ігри_, _lyne_, võit, 
   {{0x2d8b0da6,0x93430141,0x3f86016a,0xda0e65f8}},	//   ęcej_, ънче, _ryou_, ाजित_, 
   {{0xd5ad006b,0x2fcf00a1,0xa6b00033,0x20d3007a}},	//   _اہم_, _begg_, _ছবিট, نتيج, 
   {{0x8f467a21,0x9c7d090e,0xa087021f,0x3ea7c3d9}},	//   дход, ručk, мсыз_, _aint_, 
   {{0x3ea7c3da,0x7de6004e,0x69de0352,0xda0e009a}},	//   _bint_, мінд, _odpe, ाजात_, 
   {{0x3eb92126,0x648300c2,0x9f5d0118,0x9c7dc3db}},	//   ísta_, sõit, _pawò_, muči, 
   {{0x9c7d02f5,0x24840065,0x3ea7107c,0xac1976c8}},	//   luči, _kkmm_, _dint_, пону_, 
   {{0x628a7b26,0xdb210098,0xac19004f,0xccf802d9}},	//   llfo, štíh, чому_, rtě_, 
   {{0x3ea70533,0xccf8000d,0x9f9d02a0,0x9c7d012d}},	//   _fint_, stě_, rção_, nuči, 
   {{0x69a00110,0x7d1c4329,0xfe437c4a,0x00000000}},	//   _गृही, årss, _инчо, --, 
   {{0x9f9d02a0,0xd83f0228,0x29050151,0x00000000}},	//   pção_, áčov_, ïla_, --, 
   {{0x76b900cf,0xa3ea031e,0xdb2500b3,0x9c7dc3dc}},	//   злар_, _माग_, ăpân, kuči, 
   {{0x81e60086,0x672900ef,0x36d40e8f,0xa03b0070}},	// [ca90] য্য_, _šejb, котр, קעמפ, 
   {{0x2ca900e1,0x9c7d0528,0xa5671897,0x00000000}},	//   _hiad_, duči, ودان, --, 
   {{0xdcf8002a,0x69d5c3dd,0x69c7024a,0x67d52189}},	//   _izvē, maze, mbje, _пону, 
   {{0x442909c0,0x25eb0081,0x69d5c3de,0x6483007e}},	//   ña_, _चाकी_, laze, võis, 
   {{0x38b50533,0xba7400d4,0x69c73a49,0x93272f67}},	//   _hår_, _سایت, obje, بران, 
   {{0x69d5bd09,0x02e01d00,0x7bdfc3df,0x611300ad}},	//   naze, _निरभ, _ldqu, _hələ, 
   {{0x3ea700a1,0xa2db1280,0xd131313f,0xfbdf0216}},	//   _rint_, _निक्, امع_, vkên_, 
   {{0x3ea7c3e0,0x38b5014e,0x65944850,0x2ca9006d}},	//   _sint_, _mår_, _расу, _niad_, 
   {{0xdb16003e,0x63bbc330,0x38b50c17,0x611300ad}},	//   _neyð, _ifun, _lår_, _mələ, 
   {{0x69d50121,0xd9ee007e,0x77eb017d,0x69c70566}},	//   jaze, _जाइत_, टलुक_, jbje, 
   {{0x38b51341,0x63a4012d,0x3ea7c3e1,0xfbdf0218}},	//   _når_, žint, _vint_, rkên_, 
   {{0x3ea7012e,0x2ca90465,0xfbdf009e,0x6e2a0118}},	//   _wint_, _ciad_, skên_, _enfb, 
   {{0x63bb3897,0x69d566cb,0x5f290cfe,0xe7e336be}},	//   _mfun, faze, _холм_, गणना_, 
   {{0x69d5c3e2,0xdb160a6d,0x200d01f1,0xaa7b0098}},	//   gaze, _deyð, leei_, brým, 
   {{0x9c83008b,0x63bb2bba,0x611300ad,0x00000000}},	//   ščaj, _ofun, _bələ, --, 
   {{0x16020fc0,0x25fd2030,0x63bb95da,0x200dc3e3}},	//   र्नर_, र्सी_, _nfun, neei_, 
   {{0x66e3c3e4,0x69d51ace,0xc052035c,0x46ea4ce4}},	// [caa0] лота, baze, אזן_, ядан_, 
   {{0x38b537b4,0x63bbc3e5,0xd9100a5a,0x24840640}},	//   _får_, _afun, _پیر_, _skmm_, 
   {{0x38b537b4,0x0446c3e6,0x24840065,0x1ab80033}},	//   _går_, нежн, _pkmm_, _জিয়া, 
   {{0x611306d0,0x29370070,0x2ba700c9,0x00000000}},	//   _gələ, _נאכן_, _गणमा, --, 
   {{0xbb3b00c7,0x200d01f1,0x985500b3,0x338300fd}},	//   ּעצי, deei_, _ртэш, лушв, 
   {{0x63bb01b8,0xb4250296,0x3ce00083,0x00000000}},	//   _efun, _یعقو, _किले_, --, 
   {{0xa507c3e7,0x68fc0415,0x63bb3af0,0x386200c2}},	//   _пера_, ntrd, _ffun, _kmkr_, 
   {{0x69c728fd,0xdfd000eb,0x64a3c3e8,0x6491004f}},	//   zbje, جية_, _баса, låin, 
   {{0x64ac0c05,0x25fdc3e9,0x2ca9c1e9,0x68ee011d}},	//   _eğit, र्वी_, _riad_, hubd, 
   {{0x2ca90084,0x28e1322d,0x63a4c3ea,0xf1c30032}},	//   _siad_, _फिलि, žins, čší_, 
   {{0x9e030528,0x82770070,0x4d98004f,0xdb1601d5}},	//   учыл, _טעמע_, ькою_, _seyð, 
   {{0x69d5c3eb,0xf1bf0023,0x320e0379,0x38b50bff}},	//   waze, _đái_, lefy_, _rår_, 
   {{0x38b50075,0xdb1d010e,0x625400a1,0x3d280116}},	//   _sår_, vasó, _càog, ستگی_, 
   {{0x63ad1056,0x16020586,0x629d0036,0x6d5c0042}},	//   ñanz, र्मर_, _èsot, úras, 
   {{0x69d5c3ec,0x67d52f48,0x2db700a7,0xdb1d463c}},	//   raze, кову, _אלון_, tasó, 
   {{0x38b50dcd,0x61130095,0x69d5c3ed,0x92ab0033}},	//   _vår_, _qələ, saze, কীয়_, 
   {{0x8aa70386,0x1602072f,0xdb1d0038,0x69d50165}},	// [cab0] _прод, र्भर_, rasó, paze, 
   {{0x3b090626,0xb71400c8,0x38b573c4,0x320e0054}},	//   _ipaq_, ыдущ, _tår_, jefy_, 
   {{0x611306d0,0x7c2dc3ee,0x63bb36e5,0x44f508a5}},	//   _tələ, _knar, _pfun, тпес, 
   {{0x7afd09a2,0x7af200bc,0x9fb500bc,0x7c3f008a}},	//   otst, šetř, třík_, _joqr, 
   {{0x7c2d0548,0x1474152c,0x320e023a,0x2259c3ef}},	//   _mnar, دالج, fefy_, миды_, 
   {{0xdd861fdb,0x68e31494,0x98be0009,0x25eb00aa}},	//   _نو_, _ånds, štą_, _चाटी_, 
   {{0x9c7d044e,0x6594c3f0,0x7c2dc3f1,0x550500a5}},	//   luču, _бару, _onar, _रहिए_, 
   {{0x63bb4911,0x7afd0a98,0xf484022c,0x25fd0299}},	//   _ufun, ktst, _буун, र्री_, 
   {{0x442dc3f2,0xe80300a2,0x1e955813,0x200d45e8}},	//   _ine_, ऱ्या_, крор, reei_, 
   {{0x7aefc3f3,0x443f5765,0x7c2d7963,0x3384012d}},	//   duct, _hou_, _anar, _сусв, 
   {{0x6283c3f4,0x443fc3f5,0x2bc302f8,0xc1030161}},	//   mono, _kou_, _व्हा, _сүйл, 
   {{0x443fc3f6,0x442dc3f7,0x7afd80f7,0x2d94004e}},	//   _jou_, _jne_, ftst, ырыс, 
   {{0x7afd0b41,0x442d026e,0xa3ea320b,0x629d0036}},	//   gtst, _mne_, _माघ_, _èsos, 
   {{0x443f31ab,0x6283c3f8,0xdee26aaf,0x00000000}},	//   _lou_, nono, _тоши, --, 
   {{0x442dc3f9,0x7afd2e15,0x7c3f00a4,0x628302be}},	//   _one_, atst, _foqr, iono, 
   {{0x443fc3fa,0x442d9ad5,0xb3a904be,0x62834874}},	//   _nou_, _nne_, şıyı, hono, 
   {{0x98a30650,0xe61a0d3f,0xa686a1d3,0x06860148}},	// [cac0] рите, мда_, влад, вган, 
   {{0x442dc3fb,0xfaa66a25,0x6283c3fc,0x443f0237}},	//   _ane_, _шапо, jono, _aou_, 
   {{0x64a60769,0x443fc3fd,0x00000000,0x00000000}},	//   важа, _bou_, --, --, 
   {{0xb60900e0,0x3d1900ab,0xc796022c,0x443fc3fe}},	//   _atšķ, _बनने_, _аргы, _cou_, 
   {{0x442d1878,0xd36f00eb,0x443f6425,0x60c102a5}},	//   _dne_, يهم_, _dou_, _atlm, 
   {{0xf5060650,0xfe672045,0x26c2443c,0x00000000}},	//   _изго, _ضد_, _itko_, --, 
   {{0x443fc3ff,0x320e1749,0xd46a0bf2,0xd1300038}},	//   _fou_, refy_, _живе_, صمة_, 
   {{0x44fcc400,0x661cc401,0x443fc402,0x442d01f5}},	//   mí_, _hark, _gou_, _gne_, 
   {{0x661cc403,0x44fcc404,0x62831e88,0x7afd0219}},	//   _kark, lí_, bono, xtst, 
   {{0x7c2d0c17,0x6283c405,0x443f0536,0x6440c406}},	//   _snar, cono, _zou_, _homi, 
   {{0x6440c407,0x443f181f,0x44fcc408,0x442d0034}},	//   _komi, _you_, ní_, _yne_, 
   {{0x7afd02fb,0x98aa012d,0x661cc409,0x443f00f6}},	//   ttst, mybė_, _lark, _xou_, 
   {{0xee3a0036,0x7b6402a0,0x44fc0032,0x7afd35a1}},	//   _онд_, атре, hí_, utst, 
   {{0x7afd2e11,0x7aef77b2,0x09bf102c,0x44fc16c6}},	//   rtst, ruct, ्रेय, kí_, 
   {{0x44fc000d,0x7afdc40a,0x7aef1135,0x26c2c40b}},	//   jí_, stst, suct, _atko_, 
   {{0x44fc2dd4,0x6ca4012d,0x6440c40c,0x7c2dc40d}},	//   dí_, _крыж, _nomi, _unar, 
   {{0x661c3b27,0x63ad22d4,0x443fc40e,0x6283c40f}},	// [cad0] _bark, žank, _rou_, yono, 
   {{0x443fc410,0x9c7dc411,0x6b8d2a5f,0x6283c412}},	//   _sou_, ruču, _iyag, xono, 
   {{0x443f3755,0x6283c413,0x442d01be,0x44fc3d7a}},	//   _pou_, vono, _pne_, gí_, 
   {{0x6283c414,0x661c00b4,0x9c7d0121,0x6b8d01a3}},	//   wono, _eark, drčk, _kyag, 
   {{0x661cc415,0x443fc416,0xfaff00e5,0x91e503b7}},	//   _fark, _vou_, ntë_, голе, 
   {{0x443fc417,0x3869c418,0x20060183,0x44fc253f}},	//   _wou_, liar_, _aboi_, bí_, 
   {{0xfaff097b,0x443f158b,0x44fcc419,0x64ac0092}},	//   htë_, _tou_, cí_, _işin, 
   {{0x442dc41a,0xef19120e,0x3869c41b,0xae1b15c8}},	//   _une_, еми_, niar_, _भोजन_, 
   {{0x6283c41c,0xfaff00e5,0x6b8dc41d,0x6d5ac41e}},	//   pono, jtë_, _nyag, ezta, 
   {{0xc0cb00d9,0x6440411c,0x26063918,0x91ca0083}},	//   _жуде_, _zomi, स्पी_, _स्पै, 
   {{0x6b8d0298,0x3869c41f,0x00000000,0x00000000}},	//   _ayag, kiar_, --, --, 
   {{0xfaff00e5,0x6b8d01eb,0x80d00033,0x7d18107c}},	//   ftë_, _byag, সংখ্, _dsvs, 
   {{0xdee58884,0x44fc037f,0x6d5a0a9f,0x3869c420}},	//   _соли, zí_, azta, diar_, 
   {{0x6a860161,0x64b70082,0x6b8d05d5,0x201d0069}},	//   улга, _aćim, _dyag, _hawi_, 
   {{0x7c2f00eb,0x201d12e6,0x610a0095,0x2d940093}},	//   áirí, _kawi_, _gəld, _кръс, 
   {{0x201d00c5,0x44fc037f,0x70d1031e,0x201fc421}},	//   _jawi_, ví_, _सबैल, ndui_, 
   {{0x201d5f50,0x290501f0,0x5baa00dd,0x9c7d0098}},	// [cae0] _mawi_, çlar_, _яким_, ručt, 
   {{0x44fc08d7,0x6440c422,0x661c00e5,0xe5a600d3}},	//   tí_, _somi, _qark, гизи, 
   {{0x661cc423,0xd946038a,0x13ea0012,0x44fcc424}},	//   _vark, _сени, емей_, uí_, 
   {{0x44fcc425,0x629a00e5,0x201d02cd,0x15f03e41}},	//   rí_, _shto, _nawi_, _चाकर_, 
   {{0x661cc426,0x44fc1b0a,0x6d480035,0x81ab0033}},	//   _tark, sí_, zyda, কুম_, 
   {{0x661c29bb,0x44fcc427,0x98aa0009,0x5b7b0070}},	//   _uark, pí_, tybė_, ערסא, 
   {{0x0527c428,0x6d480212,0x67246cc8,0x0496012d}},	//   _йорк_, xyda, lvij, _браў, 
   {{0x64400093,0xf5060200,0x6d481977,0x76900080}},	//   _uomi, _изҳо, vyda, käyk, 
   {{0x61f60038,0x6d4800f8,0xdb1d2580,0xc35600fd}},	//   _مساء, wyda, lasö, _съвъ, 
   {{0x715a2309,0x386901f1,0x4375c429,0x6d48c42a}},	//   _прес_, ziar_, _туст, tyda, 
   {{0x5c7503ea,0xdd944265,0x127b0070,0xc0ff0108}},	//   илот, раны, _טאמע, _mướt_, 
   {{0x6d48c42b,0xdd9713c3,0x201d13cd,0xc0ff00e7}},	//   ryda, ышы_, _gawi_, _lướt_, 
   {{0x386944c3,0x6d5ac42c,0x543b0070,0x7bd6040c}},	//   viar_, szta, געכא, _deyu, 
   {{0xfaff01ee,0xc9872a65,0x672408e3,0x2486006d}},	//   rtë_, губи, dvij, hoom_, 
   {{0xfaff00e5,0x321e05f0,0x672400e0,0x3869c42d}},	//   stë_, _maty_, evij, tiar_, 
   {{0xd7f801bb,0x6b8d011d,0x3d1955bc,0xfaff021e}},	//   луу_, _tyag, _बनते_, ptë_, 
   {{0x386900fc,0xfaff024a,0xa8a416d0,0x28e100c2}},	// [caf0] riar_, qtë_, ёрск, _फिकि, 
   {{0x3869470f,0xd01d0086,0x201f877f,0x7bd602a5}},	//   siar_, থায়_, zdui_, _zeyu, 
   {{0x9f420218,0x2cf20ba3,0x00000000,0x00000000}},	//   ûkê_, _अमोल_, --, --, 
   {{0xe7872b3b,0x69d7c42e,0x3eaec42f,0xc4352ea7}},	//   _буго, _hexe, _lift_, جکست, 
   {{0x201d04e4,0xb7da00a7,0x67240082,0x69d79884}},	//   _rawi_, _בקרי, cvij, _kexe, 
   {{0x201d23ae,0x21690cdf,0x3abc0225,0xe2991acc}},	//   _sawi_, кили_, עמונ, њак_, 
   {{0x20551daa,0x2486c430,0x69d70165,0x201d0102}},	//   итир, boom_, _mexe, _pawi_, 
   {{0x69d7c431,0x9c7d02fe,0xdb1d00b0,0x7e78107c}},	//   _lexe, brči, lasõ, _ajvp, 
   {{0x321e00a9,0x7cc101dd,0x7bd6c432,0x00000000}},	//   _faty_, _mēre, _reyu, --, 
   {{0x69d70216,0x2eff0242,0x201d258b,0x3eae1a39}},	//   _nexe, rtuf_, _wawi_, _cift_, 
   {{0xa3e902e6,0xa115c433,0x672902fe,0x201dc434}},	//   _मया_, _خوات, _šejl, _tawi_, 
   {{0x20d3020f,0x645a0028,0x291a00a1,0x26c91b6b}},	//   mţi_, _įtik, _rspa_, kpao_, 
   {{0x308400eb,0x20d3002e,0xe8e000e7,0x543a0070}},	//   _النف, lţi_, _kiệt_, דערא, 
   {{0x2ba735ff,0x6da502f1,0xada507be,0x3eae5188}},	//   _गणरा, _кила, _калл, _gift_, 
   {{0x20d3002e,0x290cc435,0x997d004e,0x69d7c436}},	//   nţi_, ïda_, еттi, _dexe, 
   {{0x67240bc3,0x7ae9003a,0x87b903dc,0x78af00ef}},	//   tvij, šeta, гуфт_, _cicv, 
   {{0x166634bb,0x160800f0,0x24860082,0x291a02aa}},	// [cb00] авам, лмақ_, voom_, _wspa_, 
   {{0x672401dd,0x9adb027a,0xd5eb0023,0xdb9b00d1}},	//   rvij, _שחיט, _địn, _בספר, 
   {{0x6724056e,0x24861a77,0x321e0035,0x00000000}},	//   svij, toom_, _raty_, --, 
   {{0x03266c7e,0x321e0ed0,0xe4820761,0x69d70216}},	//   иден, _saty_, _öpüş, _zexe, 
   {{0xe8e00029,0x321e1740,0x59da0d5a,0x69dc01f1}},	//   _biệt_, _paty_, _बजार, oare, 
   {{0x69dcc437,0x2eed0156,0x248618b5,0x6ce50ca0}},	//   nare, dref_, soom_, _किंग_, 
   {{0xdb1f2131,0xe8e0001b,0xddc80009,0x69dc3fa9}},	//   _seqü, _diệt_, sidū, iare, 
   {{0x64591a5a,0x69dcc438,0x38bcc439,0xf106042b}},	//   chwi, hare, _mír_, _शहीद_, 
   {{0x20d3002e,0x321e00a9,0x25fd09e5,0x610a0095}},	//   aţi_, _taty_, र्की_, _qəlb, 
   {{0x69dcc43a,0x38bcc43b,0xeda6c43c,0x62720035}},	//   jare, _oír_, ишно, dłog, 
   {{0x69d70496,0x45b70070,0x20d3020f,0xc04f35f3}},	//   _rexe, יפיל_, cţi_, _ді_, 
   {{0x98be000d,0x26060f8e,0x4cb80086,0xdd94004e}},	//   ště_, स्ती_, _আবদু, _қайы, 
   {{0x69dc0343,0x69d7c43d,0x38bc03c6,0x0d390176}},	//   fare, _pexe, _aír_, взӯъ_, 
   {{0x5ef300a2,0xdb1d0019,0x3b0000c3,0xbea30009}},	//   ंढर्_, ncsé, _dqiq_, _дачк, 
   {{0x69d70496,0x7e7d0369,0x6e3c014e,0xa3e6009a}},	//   _vexe, éspe, örbu, पणा_, 
   {{0x57b502c0,0x0854004f,0x69d70664,0x00000000}},	//   сбат, овсю, _wexe, --, 
   {{0x7bddc43e,0xda7b09d9,0x57a70093,0x69d7c43f}},	// [cb10] masu, _аян_, ршва, _texe, 
   {{0x69dcc440,0xa3c9009a,0x26c900ca,0x38bc0354}},	//   care, लुन_, rpao_, _fír_, 
   {{0x25fd0a34,0x26c9090b,0xe4a7c441,0x645935b8}},	//   र्गी_, spao_, ардо, thwi, 
   {{0x68f5008f,0x00c900a3,0x6296009e,0x64ac0474}},	//   muzd, қлик_, îyon, _uşil, 
   {{0xda041451,0xd838022c,0x2903039f,0x00000000}},	//   श्वत_, _тээ_, ltja_, --, 
   {{0xf2070934,0x6459c442,0x7bddc443,0x25fd00aa}},	//   рядо, shwi, hasu, र्खी_, 
   {{0xe8e000f7,0x7bddc444,0x2a5800a7,0x34951e33}},	//   _việt_, kasu, שבון_, _гавр, 
   {{0x69dcc445,0x2eedbc98,0x20d3002e,0x260f00a5}},	//   zare, tref_, rţi_, ड़की_, 
   {{0x69dcc446,0x7bddc447,0x8db501fc,0x0e65022c}},	//   yare, dasu, йсні, йкин, 
   {{0x98c600d2,0xee39c448,0x20d300b3,0x3b00008a}},	//   _žuči_, уно_, pţi_, _rqiq_, 
   {{0x4c86c449,0x2eed00ef,0x249f050a,0x2901006d}},	//   йлов, sref_, _khum_, _nqha_, 
   {{0x7bddc44a,0xed56004f,0x00000000,0x00000000}},	//   gasu, сою_, --, --, 
   {{0x2245c44b,0x249f011c,0x00000000,0x00000000}},	//   _kolk_, _mhum_, --, --, 
   {{0xa96a02f1,0x610a00ad,0x539a027a,0x69dcc44c}},	//   гига_, _həla, טירו, uare, 
   {{0x69dcc44d,0x7bdd0c25,0x7d1c008c,0xdca6471e}},	//   rare, basu, ærst, _лаки, 
   {{0x69dc1128,0x39450219,0x7bddc44e,0xa3c9258c}},	//   sare, älsa_, casu, लुम_, 
   {{0x69dc2b5b,0xe737c44f,0x66e601a2,0xc7a3c450}},	// [cb20] pare, бет_, соза, зитк, 
   {{0xcf920137,0x38bc00eb,0x69dcc451,0x68f542b5}},	//   לטן_, _tír_, qare, buzd, 
   {{0xf1bf0029,0x25fe0fec,0x7ae400dd,0x186a3a2b}},	//   _đáp_, _लाठी_, _hvit, _бани_, 
   {{0x249f0a69,0x7ae400fc,0x64a30cfe,0x9816030e}},	//   _chum_, _kvit, паха, _ابدا, 
   {{0x31cf0086,0xf77200eb,0x00000000,0x00000000}},	//   _রাজশ, _راح_, --, --, 
   {{0x94160095,0x46a300dd,0xe5a63052,0xd6cf20b4}},	//   _əgər_, _наяв, _гиги, _سقف_, 
   {{0x7bddc452,0x293600c7,0xa08a05e6,0x2245040b}},	//   yasu, מאַן_, лсиз_, _dolk_, 
   {{0xc563c453,0x8cd20ffc,0x7ae40352,0xd1380083}},	//   _экск, _भौगो, _ovit, _rząd_, 
   {{0x64a3104e,0x22450dd8,0x93437010,0xe29a3cab}},	//   _хата, _folk_, _енте, _баа_, 
   {{0x7bdd3a65,0x2903003e,0x7bc4052b,0x06cd0033}},	//   wasu, ytja_, _afiu, _লিমি, 
   {{0x25fd072f,0x7bdd0414,0x2ca000a1,0x610a0248}},	//   र्टी_, tasu, _bhid_, _fəla, 
   {{0x71594e93,0xdefa0235,0x68f5c454,0x2ca0c455}},	//   _трус_, _бык_, vuzd, _chid_, 
   {{0x7ae40864,0xab871793,0x3f6700c8,0x2ca0018e}},	//   _cvit, сунк, _лицо_, _dhid_, 
   {{0x2903c456,0x7bdda680,0x7ae900ef,0x09d90033}},	//   ttja_, sasu, šeto, _তাহা, 
   {{0x7bdd5e1d,0x19583069,0x07e70504,0x00000000}},	//   pasu, бары_, йцам, --, 
   {{0x2ca0c457,0x2903c458,0x4cf700d1,0x628a871d}},	//   _ghid_, rtja_, _הזהב_, hofo, 
   {{0x628ac459,0x249f0151,0xaae70038,0x00000000}},	// [cb30] kofo, _rhum_, _اسبو, --, 
   {{0x3a750119,0x249f00e5,0x95d80080,0x00000000}},	//   _флор, _shum_, йдут_, --, 
   {{0x7d0d0df4,0x628ac45a,0x7ae42e6b,0x69c5008a}},	//   _ćask, dofo, _zvit, _ifhe, 
   {{0xd37136a7,0x3cfb00c7,0x25fd156c,0x320c5bf6}},	//   وها_, רלאנ, र्जी_, _abdy_, 
   {{0x628a01a7,0x92391144,0x212c0034,0xa2e50097}},	//   fofo, ичку_, _ardh_, цолд, 
   {{0x610a00ad,0x2d9c00da,0x00000000,0x00000000}},	//   _səla, _ozve_, --, --, 
   {{0x224537b8,0x67291612,0x249fc45b,0xd49bbac4}},	//   _volk_, _šejh, _thum_, _бра_, 
   {{0xaec52398,0xdb210228,0x237f01a0,0x22451a77}},	//   обил, _štýl, _txuj_, _wolk_, 
   {{0x2245c45c,0x26060db3,0x628a32aa,0x91ca2a2c}},	//   _tolk_, स्वी_, bofo, _स्वै, 
   {{0x386d0098,0x7d090267,0x13de0033,0x25fd0179}},	//   čery_, аног_, _ডায়, र्ची_, 
   {{0xc5f2042c,0x1d09386d,0x3ea5012b,0xdca6645e}},	//   ודי_, шени_, rmlt_, жани, 
   {{0x69c55437,0xb4fa00d1,0x6e3c18f1,0x00000000}},	//   _afhe, ספרי, örbr, --, 
   {{0x12d70033,0x69c50354,0x00000000,0x00000000}},	//   _সমুদ, _bfhe, --, --, 
   {{0x1e84004e,0x769000c8,0xfc3f033c,0x2fdfc45d}},	//   _елім, näyt, rmía_, laug_, 
   {{0x8c461088,0xd82624c8,0x81ab0086,0xceb20225}},	//   _меке, одви, কুর_, _קיו_, 
   {{0x7ae4c45e,0xfaa601a2,0xab5b5df6,0x28b900d9}},	//   _tvit, саҳо, rbür, сурэ_, 
   {{0x6e23c45f,0xaa7b003e,0x76900088,0x09d90033}},	// [cb40] _kanb, msýn, käyt, _তারা, 
   {{0x6e23c460,0x7c24c461,0x2fdf017b,0x7c262ccb}},	//   _janb, _hair, haug_, ldkr, 
   {{0x6e2302f1,0xe3bac462,0xab5bc463,0x00000000}},	//   _manb, абе_, ncün, --, 
   {{0x87b90965,0x7c262457,0x6e23c464,0x7c246335}},	//   _гурт_, ndkr, _lanb, _jair, 
   {{0x7c24112f,0x2fdfc465,0xe286c466,0x4df900bc}},	//   _mair, daug_, олди, ंलाई_, 
   {{0x27e0c467,0x7c24c468,0xa90500d4,0x7aeb055f}},	//   lain_, _lair, _ببین, _ægte, 
   {{0x61e80036,0x41c60f8c,0x12d70033,0x00000000}},	//   _vddl, रुषस, _সমৃদ, --, 
   {{0x64a30335,0x6e2316af,0x628ac469,0x27e0c46a}},	//   _жаса, _aanb, sofo, nain_, 
   {{0x81ab0086,0x4426c46b,0x6e23c46c,0x00000000}},	//   কুল_, mdo_, _banb, --, 
   {{0x44244f66,0x27e0c46d,0x64426019,0x229b010c}},	//   _ham_, hain_, ljoi, pêka_, 
   {{0x6e23c46e,0x27e0c46f,0x7c24c470,0x4426c471}},	//   _danb, kain_, _bair, odo_, 
   {{0x44260139,0x7c24c472,0xfe780009,0x6442c473}},	//   ndo_, _cair, snį_, njoi, 
   {{0x4424b28e,0x44260a47,0x27e0c474,0x7c243317}},	//   _mam_, ido_, dain_, _dair, 
   {{0x44245722,0x64420088,0x6e23c475,0xfe6f0038}},	//   _lam_, hjoi, _ganb, _لدى_, 
   {{0x4426c476,0x7c246c0b,0x7cc10243,0x00000000}},	//   kdo_, _fair, _tēra, --, 
   {{0x4424c477,0x7c24c478,0x4426c479,0xa8a40769}},	//   _nam_, _gair, jdo_, друк, 
   {{0xb9020509,0x4426c47a,0xd5bb6274,0xf7700038}},	// [cb50] _नौ_, ddo_, асе_, ناك_, 
   {{0x4426210a,0x44240175,0x7c24c47b,0x2fdf4a20}},	//   edo_, _aam_, _zair, zaug_, 
   {{0x94ab00cf,0x9c830121,0x7c241572,0x661700b4}},	//   атда_, ščuj, _yair, rexk, 
   {{0x27e0c47c,0xfc3f54e5,0x660e01cf,0x4426c47d}},	//   cain_, zmín_, _ebbk, gdo_, 
   {{0x769000c8,0x23290283,0x083a0070,0x883a029e}},	//   täyt, соли_, _הערל, _התרו, 
   {{0x44260b85,0x4424045a,0x76ba00d1,0x660e00b4}},	//   ado_, _eam_, _למשפ, _gbbk, 
   {{0x4424c47e,0x6e23c47f,0x4426c480,0x2fdf006d}},	//   _fam_, _ranb, bdo_, taug_, 
   {{0x7cc10bc3,0x4424c481,0x397c1490,0x6e2306df}},	//   _bērn, _gam_, יטונ, _sanb, 
   {{0x7c24c482,0x6e230495,0xdbd9008c,0x610a0095}},	//   _rair, _panb, væði, _həll, 
   {{0x4424c483,0x7c240088,0x27e0c484,0x57b80366}},	//   _zam_, _sair, zain_, _अल्ह, 
   {{0x7c24c485,0x44240e0c,0xfc3f026e,0x27e006e4}},	//   _pair, _yam_, rmín_, yain_, 
   {{0x4424a589,0x160b07d5,0x6e23c486,0xf1cf0fc0}},	//   _xam_, स्तर_, _wanb, _स्तन, 
   {{0x7c24820d,0x644909a2,0xeb9f01cc,0xdb080092}},	//   _vair, _moei, lføj_, _ölüm, 
   {{0x19b902fb,0x27e0c487,0x645b00d3,0x4426012d}},	//   жуть_, wain_, _llui, zdo_, 
   {{0x7c240adb,0x4426c488,0xd9464b00,0x27e0c489}},	//   _tair, ydo_, чеви, tain_, 
   {{0x7c241600,0x64490175,0x1867c48a,0xb3420585}},	//   _uair, _noei, паси_, şçil, 
   {{0x27e0c48b,0x442602f1,0xe7372a61,0x00000000}},	// [cb60] rain_, vdo_, пет_, --, 
   {{0x17790b0c,0x4424c48c,0x4426008a,0xea6400d4}},	//   ість_, _sam_, wdo_, _آپدی, 
   {{0x4424c48d,0x27e0c48e,0x6449c48f,0x69de937a}},	//   _pam_, pain_, _boei, _iepe, 
   {{0x645b0544,0x4426c490,0x69de45a7,0x4424453c}},	//   _clui, udo_, _hepe, _qam_, 
   {{0x64420df8,0x69de097d,0x27f7026e,0x3860161c}},	//   rjoi, _kepe, šené_, mhir_, 
   {{0xf7880095,0x69de024a,0x44241f37,0x44261f57}},	//   _neçə_, _jepe, _wam_, sdo_, 
   {{0x4424c491,0x69de4db0,0x6449040b,0x00000000}},	//   _tam_, _mepe, _foei, --, 
   {{0xdb16006b,0x6449c492,0x09b900a2,0x506600cf}},	//   _egyé, _goei, _आल्य, ятла, 
   {{0xa41103c0,0x09e20086,0x59be00bc,0x41b600fd}},	//   lığı_, _বানা, ्डार, _есет, 
   {{0x69dec493,0x7ae9090e,0xdbe5034d,0x3ebd01d2}},	//   _nepe, šetk, कण्ड_, _duwt_, 
   {{0x38600730,0xfbe10033,0x610a0248,0xac1903a1}},	//   khir_, _ভাবত, _kəlm, оону_, 
   {{0x6ab503c1,0x00bb00a7,0x09c5009a,0x69de02be}},	//   ंद्र, _המאמ, वड्य, _aepe, 
   {{0x69de0af8,0x3860c494,0x7ac7528d,0xcfaa0033}},	//   _bepe, dhir_, ясне, _গ্রন, 
   {{0x69dec495,0xbd0103da,0x2d58c496,0x00000000}},	//   _cepe, ñéce, _миль_, --, 
   {{0x69de3891,0x1958189f,0x2905009e,0x63660104}},	//   _depe, пары_, îla_, _bаnk, 
   {{0xa4110749,0x386000e1,0xfbc102e6,0x00000000}},	//   dığı_, ghir_, _एलिम, --, 
   {{0xf77328b7,0x69dec497,0x06b7015f,0x644912b6}},	// [cb70] رار_, _fepe, سناک_, _roei, 
   {{0x645b051e,0xd5bbc498,0x69dec499,0x13d51295}},	//   _slui, сса_, _gepe, दर्भ, 
   {{0x3860004c,0x645bc49a,0x6449c49b,0x8c200033}},	//   bhir_, _plui, _poei, ধারন_, 
   {{0x3860c49c,0x69de8e59,0x7bdf848f,0x765c052b}},	//   chir_, _zepe, _jequ, _elry, 
   {{0x7bdf00b9,0x69de001d,0x780201a2,0x6ab701f2}},	//   _mequ, _yepe, _шӯра, _kixf, 
   {{0x7bdfc49d,0x200f0065,0x672dc49e,0xc293009c}},	//   _lequ, _sbgi_, mvaj, ریاب, 
   {{0x672dc49f,0xf497009c,0x64490023,0x00000000}},	//   lvaj, _فشرد, _toei, --, 
   {{0x7bdf8da1,0x610a0095,0x1ec90176,0x34944d83}},	//   _nequ, _gəlm, олии_, _заср, 
   {{0x2d980b71,0x63bb095a,0xd9ed075a,0x00000000}},	//   üren_, _igun, _जयंत_, --, 
   {{0x69c70372,0x6ab700c3,0xccc51d06,0x00000000}},	//   jcje, _nixf, мбой, --, 
   {{0x61e336ef,0x7bdfc4a0,0x69c702c7,0x160215c8}},	//   manl, _bequ, dcje, र्टर_, 
   {{0x69de5082,0x61e3c4a1,0x7bdf0183,0x9ce7006b}},	//   _sepe, lanl, _cequ, _ہوتے_, 
   {{0xe8e0001b,0x25fe0827,0x3d190366,0x0b43004f}},	//   _thịt_, _लाली_, _बनके_, внян, 
   {{0x672dc4a2,0x61e37977,0xed59c4a3,0xeab20019}},	//   dvaj, nanl, _мол_, ئٹس_, 
   {{0x3860c4a4,0x63bb0539,0x672d0032,0x942300ad}},	//   thir_, _ogun, evaj, şvət_, 
   {{0x63bbc4a5,0x98a303dc,0xb8f605d2,0x61e3c4a6}},	//   _ngun, висе, _हऽ_, hanl, 
   {{0x61e369f2,0x6f090587,0x69de4186,0x672d8ba3}},	// [cb80] kanl, ntec, _tepe, gvaj, 
   {{0x6f090068,0x3860c4a7,0xa411027e,0xe6173f98}},	//   itec, shir_, tığı_, мду_, 
   {{0x67291612,0x61e3c4a8,0x0446012d,0x9a3b00d1}},	//   _šejt, danl, межн, _ותיק, 
   {{0xe73ac4a9,0x68fcc4aa,0x6f09c4ab,0x16021230}},	//   _дем_, murd, ktec, र्जर_, 
   {{0x6f0968e4,0x290a010e,0x68fcc4ac,0x6e28c4ad}},	//   jtec, ltba_, lurd, yddb, 
   {{0x63bb0414,0x61e33dbd,0x7df9072f,0x64ac010c}},	//   _egun, ganl, ्भोग_, _aşit, 
   {{0x200d0036,0x628102be,0x68fc02a4,0xe8e00108}},	//   ffei_, _djlo, nurd, _kiốt_, 
   {{0xdfd00084,0x200200b0,0xf1b800a4,0xe8e00210}},	//   دية_, üki_, _maġi_, _nhọt_, 
   {{0x7bdf3a9b,0x41cf0239,0xb60701f2,0x61e3c4ae}},	//   _requ, _स्वस, _feġġ, banl, 
   {{0x3f98002a,0x64ac04be,0x7bdfc4af,0x20020035}},	//   āru_, _eşit, _sequ, żki_, 
   {{0x7bdf1408,0xab5b0785,0x672d008b,0x85f70070}},	//   _pequ, rcüm, zvaj, וציע_, 
   {{0x68fc02bf,0x83fd0019,0xfbad0086,0x321cc4b0}},	//   durd, _előf, _ক্ষত, levy_, 
   {{0x92bc0086,0xfe4603a1,0x69c70372,0x6f09c4b1}},	//   _আবু_, _ондо, tcje, ctec, 
   {{0x8f9b00d1,0x68fc4e25,0x00000000,0x00000000}},	//   _וידי, furd, --, --, 
   {{0x19940141,0x69c7024a,0x00000000,0x00000000}},	//   варя, rcje, --, --, 
   {{0x69c702c7,0x61e30761,0x00000000,0x00000000}},	//   scje, zanl, --, --, 
   {{0xfaa701bb,0x61e303c0,0x59d054cb,0x610a0095}},	// [cb90] _ошон, yanl, _त्वर, _bəlk, 
   {{0x7afd7493,0xc5fb0038,0x68fc0780,0x61e300ad}},	//   must, تعرض_, burd, xanl, 
   {{0xb8f4100b,0x61e3c4b2,0x3de30086,0x6c840a24}},	//   _হয়_, vanl, _মামল, _سلیم, 
   {{0x8c1c0137,0x61e302cd,0x6f09c4b3,0x36d55401}},	//   ַווי, wanl, ytec, _помр, 
   {{0x7afdc4b4,0x61e3c4b5,0x09e20086,0x78ad8313}},	//   nust, tanl, _বাতা, mmav, 
   {{0x78adc4b6,0x62720035,0xfe0e0108,0x00000000}},	//   lmav, słon, _sững_, --, 
   {{0x61e3c4b7,0x7afd007e,0xe5b44bb3,0x85570019}},	//   ranl, hust, _айры, _تیار_, 
   {{0x61e30718,0x63bb00e0,0x6f09c4b8,0xff258e63}},	//   sanl, _ugun, ttec, емио, 
   {{0x61e3c4b9,0xef160088,0xe81100a2,0x9f44010c}},	//   panl, емы_, ड्या_, lamê_, 
   {{0x6f09c4ba,0x7afdc4bb,0x61e30095,0x68fc12fb}},	//   rtec, dust, qanl, yurd, 
   {{0x6f09c4bc,0x6fb9005e,0xc69200a7,0xd70b0086}},	//   stec, _егер_, ראי_, রিয়া_, 
   {{0x6459c4bd,0x68fc01e8,0xf1bf0023,0x6d411d97}},	//   nkwi, vurd, _đáy_, rxla, 
   {{0x61e1c4be,0x60c1970d,0x200a0095,0x00000000}},	//   _kell, _hulm, əbi_, --, 
   {{0x60c1c4bf,0x61e1c4c0,0xf2d21490,0x3e600300}},	//   _kulm, _jell, רעם_, _pòte_, 
   {{0x61e1076b,0x60c1c4c1,0x7c961e70,0xdb1d010e}},	//   _mell, _julm, _приц, rcsá, 
   {{0x9f440216,0x212502cd,0xfbda0086,0x61e1c4c2}},	//   damê_, _mslh_, _থাকত, _lell, 
   {{0x1867c4c3,0xa5da0038,0xdb1d039f,0x00000000}},	// [cba0] хати_, كبار_, pcsá, --, 
   {{0x61e10021,0xa926c4c4,0x78ad01d8,0x68fcc4c5}},	//   _nell, _здол, amav, purd, 
   {{0x028a004e,0x89db0486,0x321c567f,0x60c1039b}},	//   үйек_, _מחיי, vevy_, _nulm, 
   {{0x5ed50086,0x61e1040c,0x64ac04a8,0x00000000}},	//   _দিনে, _aell, _aşir, --, 
   {{0x61e10df7,0xe29a0cd9,0x321c0032,0x2c0502a2}},	//   _bell, пад_, tevy_, ष्टं_, 
   {{0x61e13595,0x60c17841,0x6726c4c6,0x26c200b4}},	//   _cell, _bulm, _iskj, _iuko_, 
   {{0x61e179b6,0xe5a383aa,0x26c2086d,0x35a3b438}},	//   _dell, _бири, _huko_, _барг, 
   {{0x26c2099d,0x661ec4c7,0x60c1c4c8,0x64593127}},	//   _kuko_, lepk, _dulm, ckwi, 
   {{0x7afd03da,0x61e1c4c9,0x52c70033,0x00000000}},	//   xust, _fell, রীবৃ, --, 
   {{0x61e102bf,0x3eb84728,0x7afd0e0f,0x60c102a3}},	//   _gell, ört_, vust, _fulm, 
   {{0x2d98155b,0x764e2708,0x60c1c4ca,0x7afd0b1f}},	//   ære_, _moby, _gulm, wust, 
   {{0x7afd14ba,0x61e1c4cb,0x3d11007e,0xdb0400b4}},	//   tust, _zell, _तहरे_, _agiñ, 
   {{0x26c2024d,0x60c1c4cc,0x61e1c4cd,0x291e027e}},	//   _nuko_, _zulm, _yell, çtan_, 
   {{0x7afd14c0,0x61e1003d,0x764e1ae0,0x9f440216}},	//   rust, _xell, _noby, yamê_, 
   {{0x7afdc4ce,0x2988152e,0x19950093,0x5b14004e}},	//   sust, есто_, тавя, _ұмыт, 
   {{0x26c23e7f,0xbca5144f,0xdb0401cf,0x610a00ad}},	//   _buko_, _جمعي, _egiñ, _cəli, 
   {{0x78adc4cf,0x26c202fe,0x76b900a3,0x7afd00ad}},	// [cbb0] rmav, _cuko_, длар_, qust, 
   {{0x7aed01a7,0xb8f70086,0x4b7c00d1,0x26cf01dd}},	//   _ivat, _সি_, _מאחו, īgo_, 
   {{0x61e1c4d0,0x7aedc4d1,0x764e1151,0x64ac0248}},	//   _rell, _hvat, _doby, _aşiq, 
   {{0x610a06d0,0x61e19910,0x43753850,0x999a031e}},	//   _gəli, _sell, култ, _např_, 
   {{0x60c100e5,0x44290187,0x64599fe1,0x7cc101dd}},	//   _sulm, ľa_, rkwi, _pērk, 
   {{0x60c189a0,0x442949f8,0x764e1ae0,0x61e1024a}},	//   _pulm, ža_, _goby, _qell, 
   {{0x8c48010c,0x9f44009e,0x6373039f,0xddda00d8}},	//   nişî, qamê_, _bűnö, entů, 
   {{0x26c238b1,0x7aedc4d2,0x61e19faa,0x610a00ad}},	//   _yuko_, _ovat, _well, _xəli, 
   {{0x61e1c4d3,0xef1900dd,0x09e20086,0x94841ab1}},	//   _tell, ємо_, _বাসা, _сырд, 
   {{0xed5900d3,0x2ca91ecb,0x9f5f16c2,0x8c480218}},	//   доо_, _ahad_, ngué_, kişî, 
   {{0x423600c7,0x2ca901fd,0x7aed80be,0x91ca0083}},	//   _שנעל_, _bhad_, _avat, _स्टै, 
   {{0x9055892c,0xed5600dd,0x91fc01dd,0x6e2a01be}},	//   _швец, тою_, _glāb, _eafb, 
   {{0x7aed00d0,0x2ca901be,0x290501a7,0x00000000}},	//   _cvat, _dhad_, àlan_, --, 
   {{0x26c2009a,0x2ca900ef,0x610a0248,0xd65e0259}},	//   _ruko_, _ehad_, _səli, нiнд, 
   {{0xfbe100cc,0x2ca90a75,0x2d82010c,0x09b50086}},	//   _ভারত, _fhad_, şker_, _জ্বা, 
   {{0x249d01c1,0x26c200d2,0x764ec4d4,0x2ca9c4d5}},	//   jlwm_, _puko_, _soby, _ghad_, 
   {{0x764e2194,0x661ec4d6,0x2bd800bc,0x66e6b410}},	// [cbc0] _poby, tepk, _भ्या, тоза, 
   {{0x787b030f,0x7ae90405,0x9f5f1ca8,0xd09900ad}},	//   tävä, ġett, ggué_, rçən, 
   {{0x7aed003a,0x661ec4d7,0x610a0095,0x27e20be0}},	//   _zvat, repk, _təli, _tekn_, 
   {{0x4a74004e,0x26c23167,0x97da007a,0x787b0080}},	//   _шықт, _tuko_, _تبدأ_, rävä, 
   {{0x778300fd,0x27fd0083,0x2be3009a,0x201f0096}},	//   _вляз, ówne_, परता, deui_, 
   {{0x98b80028,0xdce902d9,0x6724c4d8,0xd13a058e}},	//   tyrė_, áněn, mwij, дхи_, 
   {{0x672401c8,0x3e6001be,0x6e2a01d5,0x1543c4d9}},	//   lwij, _nòta_, _rafb, _керм, 
   {{0xc9530056,0x628f8ba9,0xbbc10586,0x83fd010e}},	//   שמה_, _ícon, _एलेक, _előb, 
   {{0xa49100c5,0xb226386d,0x6724012e,0x7eb87343}},	//   _اینت, _имал, nwij, нгис_, 
   {{0x291a00a2,0x7989010c,0x7aed0588,0x00000000}},	//   _oppa_, şewi, _rvat, --, 
   {{0x7aed7e5b,0x3e6001be,0xe046b0c9,0xd5fb027a}},	//   _svat, _còta_, _инжи, ופיר, 
   {{0x2175022c,0x6724c4da,0x01790070,0x9c7d0528}},	//   _суур, kwij, _אָנל, osči, 
   {{0x291a0110,0xab8701fc,0xfe6f009c,0x67240027}},	//   _appa_, тунк, صدی_, jwij, 
   {{0x25fe2191,0x672402b0,0x00000000,0x00000000}},	//   _लागी_, dwij, --, --, 
   {{0x98c402f1,0x2ca9c4db,0x6724039b,0x644d1279}},	//   истл, _thad_, ewij, öaik, 
   {{0x9c7d0009,0x4e0e031e,0x291a0237,0xc86400d9}},	//   ksči, त्रै_, _dppa_, атуи, 
   {{0x6724c4dc,0x7aed0242,0x291a008a,0xec380070}},	// [cbd0] gwij, _uvat, _eppa_, _יאהר_, 
   {{0x7c2d34c7,0x7cc101dd,0x0708007a,0x00000000}},	//   _haar, _sēri, ئيلي_, --, 
   {{0x9f5f0660,0x0b9400d7,0x98b95125,0xf8c6020b}},	//   rgué_, _مجید, _плот_, žéra_, 
   {{0x7c2d09a2,0x5fb402e6,0x6724016c,0x00000000}},	//   _jaar, ुशाल, bwij, --, 
   {{0x27e97098,0x610a0264,0xe375001c,0x7cc10243}},	//   maan_, _məlu, ылды, _vēri, 
   {{0xdd860084,0x2c62026e,0x7c2dc4dd,0xd25b0009}},	//   _هو_, _móda_, _laar, ьце_, 
   {{0xc6920056,0x78bd039f,0xf204017b,0x00000000}},	//   _האם_, _kisv, рячо, --, 
   {{0x27e9c4de,0x7c2d13b3,0x34951034,0x8504039f}},	//   naan_, _naar, _сабр, _خوفن, 
   {{0x443f0727,0xdd2e00bc,0xe3b3313f,0x00000000}},	//   _inu_, měře, _ضرر_, --, 
   {{0x442dc4df,0x27e9c4e0,0x8352006b,0x7cc802d9}},	//   _hae_, haan_, _دھما, _věrn, 
   {{0x27e9c4e1,0xed590013,0x2f0b01cc,0x7c2dc4e2}},	//   kaan_, хон_, søg_, _baar, 
   {{0x27e9c4e3,0x442dc4e4,0x78bdc4e5,0x2d9c021e}},	//   jaan_, _jae_, _nisv, _dyve_, 
   {{0x7c2d01b2,0x442d1b5a,0x9f44009e,0xb111003e}},	//   _daar, _mae_, lamî_, óðfé, 
   {{0x7c2f34c5,0x442dc4e6,0x443f2b34,0x00000000}},	//   adcr, _lae_, _lnu_, --, 
   {{0x443fc4e7,0xc9554985,0x8cca0527,0xfe7011b7}},	//   _onu_, атты, _संयो, _بدن_, 
   {{0x7c2d65f6,0x6724c4e8,0x442dc4e9,0x68460f82}},	//   _gaar, twij, _nae_, ынба, 
   {{0x98a3c4ea,0x7ae90228,0xf743c4eb,0x78bd0036}},	// [cbe0] сите, šetr, бето, _disv, 
   {{0x443f3104,0x67240536,0x291a00e2,0x6e21c4ec}},	//   _anu_, rwij, _tppa_, nelb, 
   {{0xae0612e3,0x69dcc4ed,0x27e9c4ee,0x442dc4ef}},	//   _शासन_, mbre, baan_, _bae_, 
   {{0x27e9ae6b,0x442d74ea,0xe4d70a24,0x443f016a}},	//   caan_, _cae_, اونت_, _cnu_, 
   {{0x442d0691,0x68e301cc,0xcec800e7,0xb3760444}},	//   _dae_, _ændr, _mộc_, دداش, 
   {{0x1154093d,0x69dc8d3a,0xcec800e7,0x6234c4f0}},	//   иклю, nbre, _lộc_, реку, 
   {{0x6e21c4f1,0x7d010343,0x442d0090,0x96631d91}},	//   delb, juls, _fae_, _укре, 
   {{0x443fc4f2,0x8cca0190,0x62830156,0x205476a3}},	//   _gnu_, _संबो, anno, ркия, 
   {{0xd4670316,0x6440c4f3,0xa85700a7,0x7de6c4f4}},	//   _сите_, _inmi, טיקה_, лінд, 
   {{0x7c2dc4f5,0x6e21c4f6,0x27e90938,0x5c140086}},	//   _saar, gelb, zaan_, িযোগ_, 
   {{0xa3e80f01,0x7c2dc4f7,0xf8b4009a,0x069707e4}},	//   _मजा_, _paar, ंगाय, רדים_, 
   {{0x26147722,0x61eac4f8,0x4c95c4f9,0xf77f02be}},	//   न्ती_, lafl, римс, _leça_, 
   {{0x7c2d2100,0x27e9c4fa,0x78bd00fd,0xeb0700c8}},	//   _vaar, vaan_, _risv, ычно, 
   {{0x7c2d7be9,0x27e95d8a,0x69dcc4fb,0x61eac4fc}},	//   _waar, waan_, gbre, nafl, 
   {{0x27e9c4fd,0x7c2dc4fe,0x64400318,0x48abc4ff}},	//   taan_, _taar, _onmi, етам_, 
   {{0x20ca001b,0x765e040b,0x6d5a0175,0x00000000}},	//   _mùi_, ekpy, myta, --, 
   {{0x27e96a78,0x62839301,0x6d5a0019,0x69dc81cb}},	// [cbf0] raan_, ynno, lyta, bbre, 
   {{0x442dc500,0x2be3000f,0x6440c501,0x443fc502}},	//   _sae_, परवा, _anmi, _snu_, 
   {{0x27e9c503,0x7bcf0093,0x26140667,0x442d00bd}},	//   paan_, occu, न्धी_, _pae_, 
   {{0x6288c504,0x7afdc505,0x6abec506,0xd0060038}},	//   _ajdo, orst, _zipf, _ظل_, 
   {{0x23af0190,0x7e7a0666,0x38690ae7,0x29030088}},	//   जेंद, kitp, mhar_, luja_, 
   {{0x386900ce,0x26140d0d,0x442dc507,0x6440c508}},	//   lhar_, न्दी_, _wae_, _enmi, 
   {{0x29110414,0x442dc509,0x2903c50a,0x83fd0019}},	//   ntza_, _tae_, nuja_, _előa, 
   {{0x3869c50b,0x443f2d5e,0x29110a9f,0x6d5ac50c}},	//   nhar_, _unu_, itza_, dyta, 
   {{0xf8bf0033,0x6e21c50d,0xaec2c50e,0x0e6508c7}},	//   _mié_, telb, обыл, икин, 
   {{0xee36c50f,0x63a90414,0x2903c510,0x627200ab}},	//   ань_, _izen, kuja_, dłow, 
   {{0xc05b02fb,0xdc6a0a43,0x4c86c511,0x32cb00dd}},	//   _під_, ванд_, илов, _høy_, 
   {{0x6e215a83,0x3ef900b3,0x6abe011c,0x814c0070}},	//   selb, _андэ_, _sipf, _רעאַ, 
   {{0xdee5c512,0x6e21c513,0x69dc5055,0x3869c514}},	//   _толи, pelb, tbre, dhar_, 
   {{0x4ea700cf,0x320702a2,0x4a75004e,0x26c404fe}},	//   _ёрда, ngny_, быст, _émoi_, 
   {{0xdca60088,0x69dcc515,0x7afdc516,0xcec8001b}},	//   _каки, rbre, arst, _tộc_, 
   {{0xad1a00a7,0x3869c517,0x8cca143e,0x3d1a00a5}},	//   _יוצר, ghar_, _संतो, _बहते_, 
  
   {{0xd90d00c5,0xf77f48ec,0x27fd00ab,0x929d00ab}},	// [cc00] ویی_, _peça_, ówna_, _wpły, 
   {{0x45d60234,0x7df300b5,0x2903c518,0x7ae4008a}},	//   рцат, _आयोग_, buja_, _iwit, 
   {{0x386911a1,0x98a6c519,0xd9462756,0xa5267d41}},	//   bhar_, _вине, _тени, рмед, 
   {{0x7ae4024d,0x1d160137,0x20ca00e7,0x959903a1}},	//   _kwit, יקער_, _rùi_, утуу_, 
   {{0xa87711db,0x61ea01d5,0x38600248,0x7ae4008a}},	//   _төрт_, tafl, mkir_, _jwit, 
   {{0x63a9c51a,0xe28302f1,0x7ae4a8c3,0x64580035}},	//   _dzen, олчи, _mwit, _ścią, 
   {{0x61eac4a8,0xa08a5750,0x361b0070,0x05aa1202}},	//   rafl, ксиз_, _שולד, _करिब, 
   {{0x14d702a1,0x6440c51b,0x20ca0108,0x7bc40574}},	//   _כולל_, _unmi, _vùi_, _ngiu, 
   {{0x7e7a0106,0x63a90242,0x32cb004f,0x00000000}},	//   titp, _gzen, _gøy_, --, 
   {{0x7afd16ef,0x6d5a0009,0x7bc400c3,0x38690ad9}},	//   vrst, tyta, _agiu, zhar_, 
   {{0x160b156c,0x2486044e,0xdd9424f0,0x7e7a0219}},	//   स्टर_, onom_, саны, ritp, 
   {{0x62987d65,0x6d5ac51c,0x248600fc,0x7ae40199}},	//   lovo, ryta, nnom_, _bwit, 
   {{0x20110095,0x7afd10de,0x3ed40038,0x248606e4}},	//   əzi_, urst, _اقتر, inom_, 
   {{0x386961d3,0x6d5a00ab,0x61e89865,0xda7b269c}},	//   whar_, pyta, _jedl, тям_, 
   {{0x61e80c29,0x3869003c,0x07e73d5b,0x2bd8021a}},	//   _medl, thar_, ицам, _भ्वा, 
   {{0x7cc1002a,0x29031929,0x38600110,0x16190c15}},	//   _vērt, ruja_, gkir_, न्नर_, 
   {{0x6298c51d,0x395f00e0,0xab5b0095,0x38694d78}},	// [cc10] kovo, ņus_, rcüs, rhar_, 
   {{0x3869ab02,0x61e8050f,0x1a650019,0x2903c51e}},	//   shar_, _nedl, _ایسی_, puja_, 
   {{0x63a9c51f,0x195911db,0x91fc002a,0xd5bb06fb}},	//   _szen, _саны_, _plān, тса_, 
   {{0xef1f01f0,0x2486752a,0x83fd010e,0x61e8059e}},	//   çük_, gnom_, _előn, _aedl, 
   {{0x28c0000f,0x26140d7c,0x69c50026,0xe784bb2f}},	//   _शूटि, न्ही_, _kghe, _дуро, 
   {{0x95cb3725,0x5ed50086,0xb60400b3,0x60c816c6}},	//   _шума_, _দিলে, _мяск, _budm, 
   {{0x25a50019,0x518701a2,0x24862353,0x2c69010c}},	//   _áll_, шуда, bnom_, _zûde_, 
   {{0x6add00cc,0x644900da,0x32cb00fc,0x20194650}},	//   _বিনো, álič, _tøy_, ýsi_, 
   {{0x6298014b,0x60c801be,0x7cd3020f,0x63a0c520}},	//   bovo, _eudm, _măre, _gymn, 
   {{0x0e650278,0x69c5c521,0x76550300,0x5e4953da}},	//   скон, _nghe, _jozy, упом_, 
   {{0x7ae400d1,0xfaff0034,0x386001d5,0x00000000}},	//   _swit, erë_, ykir_, --, 
   {{0x816827eb,0x69c5107c,0x00000000,0x00000000}},	//   _труб_, _aghe, --, --, 
   {{0x2fdf009c,0xc5e80033,0x00000000,0x00000000}},	//   mbug_, _পাসপ, --, --, 
   {{0x2486090e,0xfbd80ffc,0x2bd803a2,0x69b30110}},	//   znom_, _भ्रम, _भ्रा, _आणखी, 
   {{0x291e03a1,0xa96702c4,0x7cc101dd,0x248677d2}},	//   ïta_, бира_, _vērs, ynom_, 
   {{0xb8d08412,0x62980508,0x7cd300b3,0xae1300b0}},	//   _ओठ_, zovo, _căre, त्रन_, 
   {{0xe61a5f0e,0x24860c88,0x3860c522,0x7655c523}},	// [cc20] лда_, vnom_, rkir_, _bozy, 
   {{0x3860003e,0x1a061761,0x7c262462,0x00000000}},	//   skir_, _упом, lekr, --, 
   {{0xd91004f2,0x96b9102a,0x00000000,0x00000000}},	//   _تیز_, руту_, --, --, 
   {{0xd49900dd,0x61e842bd,0x2eff763e,0x2486012b}},	//   арі_, _sedl, kruf_, unom_, 
   {{0xa3c905fd,0x6298c524,0x4df9031e,0x27e0c525}},	//   ोड़_, tovo, ूलाई_, mbin_, 
   {{0xf2c500f0,0x27e0c526,0xe2970009,0xcec80108}},	//   ісін, lbin_, бач_, _bộn_, 
   {{0x61e8c527,0x64a6c528,0x7c26c529,0x867b0070}},	//   _vedl, _гава, kekr, _ערלו, 
   {{0x7416024f,0x27e0c52a,0x78a45944,0x61e83bfa}},	//   _دورا, nbin_, nliv, _wedl, 
   {{0x33660c8b,0x7c269416,0x8f34013b,0x00000000}},	//   _уваг, dekr, цепц, --, 
   {{0x4426c52b,0x78a4026e,0x1fa500b9,0x2baf24d4}},	//   leo_, hliv, өрөг, _घरबा, 
   {{0x78a47cd5,0xe0da16d9,0x61431fcd,0x869b0ab9}},	//   kliv, _све_, _нефа, רייז, 
   {{0x4426c52c,0x7cd300d9,0x8c6703dc,0x69c50036}},	//   neo_, _bărb, стод, _sghe, 
   {{0x78a4014b,0xddc8c52d,0x28be00bd,0xfbdf0216}},	//   dliv, midž, ्दनि, rbê_, 
   {{0xfaff01ee,0x60c2c52e,0x69c80228,0x27ed00bc}},	//   rrë_, _hiom, žden, _žen_, 
   {{0x4426086d,0x7cd300d9,0xf77f0165,0x7c263622}},	//   keo_, _păre, _peço_, bekr, 
   {{0xc7d93ce1,0x4426c52f,0x661c0242,0x660e00b4}},	//   рмах_, jeo_, _abrk, _acbk, 
   {{0x4426c530,0x765500ab,0x60c20180,0x9f4400f6}},	// [cc30] deo_, _pozy, _miom, namà_, 
   {{0xe1331c2b,0x60c21197,0xc987c531,0xa3db009a}},	//   ščić_, _liom, _гуми, ढुन_, 
   {{0x81e700cc,0x78a4c532,0x44269069,0xddc80082}},	//   _ভাল_, bliv, feo_, kidž, 
   {{0x2419058b,0x78a45aec,0x60c2c533,0xcec80023}},	//   роды_, cliv, _niom, _rộn_, 
   {{0x7eaf004f,0x00000000,0x00000000,0x00000000}},	//   løpe, --, --, --, 
   {{0x672f0e67,0x7c26c534,0xa8ed0249,0x00000000}},	//   _iscj, zekr, _जबाफ_, --, 
   {{0x4426c535,0x7cd300b3,0x91fc0243,0xa3d5017b}},	//   beo_, _mărc, _klāj, _мовч, 
   {{0x26c308f4,0x60c2c536,0x661c0613,0x00000000}},	//   _hijo_, _ciom, _zbrk, --, 
   {{0x2fdf4edb,0x60c2c537,0x248d12e6,0x62720035}},	//   rbug_, _diom, _ijem_, głos, 
   {{0x248d09a8,0x8cca1df3,0x26cb02b8,0x78a40ed0}},	//   _hjem_, _संशो, _muco_, zliv, 
   {{0x26c30242,0x7cd300d9,0x248d00fc,0x60c20180}},	//   _mijo_, _sărb, _kjem_, _fiom, 
   {{0x16190667,0x26d90969,0x26c30149,0x8c461d6b}},	//   न्तर_, _otso_, _lijo_, цеме, 
   {{0xef0e1a57,0xeb970f9d,0x26d90201,0x09c50086}},	//   _юм_, жия_, _ntso_, ্রনা, 
   {{0xfce50172,0x4426090e,0x7fb60629,0x0dcbc538}},	//   _доко, zeo_, _ظهور_, _суди_, 
   {{0x78a40098,0x44261b6b,0xfaa31ab5,0x9f440369}},	//   tliv, yeo_, фаро, mamá_, 
   {{0x44260634,0x248d008b,0x26cb02a3,0x60c20126}},	//   xeo_, _njem_, _buco_, _xiom, 
   {{0x442600f1,0x07a3c539,0x26cb033c,0x2ca0011d}},	// [cc40] veo_, датн, _cuco_, _ikid_, 
   {{0x9f443325,0x78a4050f,0x249f1780,0x6a8600d9}},	//   namá_, sliv, _akum_, _флоа, 
   {{0x26c3c53a,0x26d9084c,0xfc3f0042,0x3cdd009a}},	//   _dijo_, _etso_, llía_, कीचे_, 
   {{0x26cb0068,0xa5da35ff,0x1417007a,0x63a409c6}},	//   _fuco_, _प्रौ, قيمة_, üino, 
   {{0x44260489,0x26c3c53b,0xe73702f1,0x248d0034}},	//   reo_, _fijo_, _дея_, _djem_, 
   {{0x4426c53c,0x16190527,0x248d0126,0x60c2c53d}},	//   seo_, न्दर_, _ejem_, _siom, 
   {{0x35a3c53e,0x60c2c53f,0xddc805ae,0xe5a33acd}},	//   _жарг, _piom, tidž, _жири, 
   {{0x3ea5014e,0x26c300ef,0x6563055f,0x9f54004f}},	//   ellt_, _zijo_, ønhe, звич, 
   {{0xf8b302a1,0xddc83e6e,0x25aa296e,0x00000000}},	//   ושה_, ridž, _करुण, --, 
   {{0xb5e80033,0x020300d3,0x7bd6c540,0xddc80028}},	//   _পাঁচ, _озун, _afyu, sidž, 
   {{0xa06ac541,0x60c20ae7,0xddc802fe,0x200fc542}},	//   _кажа_, _tiom, pidž, _fcgi_, 
   {{0x9b6b02f1,0x2baf009a,0x2cb200f3,0x00000000}},	//   ашга_, _घरदा, _chyd_, --, 
   {{0x09e200cc,0x2c690218,0x00000000,0x00000000}},	//   _বাজা, _cûda_, --, --, 
   {{0x32d0001b,0x628ac543,0x7afb0455,0x00000000}},	//   _mày_, nnfo, šuto, --, 
   {{0x58d46628,0x6e28c544,0x628ac545,0x26cb114e}},	//   дост, medb, info, _suco_, 
   {{0xceb86eb3,0x2c050110,0x81ac0bf1,0x83fd039f}},	//   lmę_, _वाटू_, _গলা_, _előj, 
   {{0x32d00124,0xa3de0466,0x61fa9fac,0x96eb0080}},	// [cc50] _này_, _द्ध_, _odtl, рьба_, 
   {{0x6e28c546,0x26cb035f,0x249f1950,0xcec80108}},	//   nedb, _vuco_, _skum_, _nộm_, 
   {{0x7d0826d5,0x1bf207d5,0x5fca0425,0x69d50083}},	//   nuds, _अजमल_, ाखाल, mcze, 
   {{0x81e700cc,0x61fa0183,0x32d0001b,0x628a039b}},	//   _ভাই_, _adtl, _bày_, enfo, 
   {{0x4c3c0137,0x932700d4,0x3ea5c547,0x32d00023}},	//   יגאצ, تران, yllt_, _cày_, 
   {{0x6e28027c,0x99910019,0x32d000e7,0xe8e00023}},	//   jedb, lező_, _dày_, _nhớt_, 
   {{0xd24e00eb,0x823400eb,0x7647007c,0x00000000}},	//   انى_, برنا, _injy, --, 
   {{0x628a0082,0x249f00d7,0x1128017b,0x786a00de}},	//   anfo, _ukum_, юючи_, _kýva, 
   {{0x9f440183,0xd2590243,0x70592d60,0x672d011c}},	//   tamá_, _suņu_, _қадр_, nwaj, 
   {{0x670c0a34,0x32640093,0x3135397b,0x786ac548}},	//   िंतक_, _отхв, _незр, _mýva, 
   {{0xcb090056,0xdca64244,0x9991010e,0x69d50035}},	//   _תל_, зани, kező_, dcze, 
   {{0x69d500ab,0x3de30033,0xfaff0034,0x672dc549}},	//   ecze, _মাওল, jzës_, kwaj, 
   {{0x70520881,0x20d10023,0x5b35049b,0x29031050}},	//   _سنوا, _hái_, мэру, erja_, 
   {{0xad251117,0x09e20086,0xcd280eb7,0x20d10108}},	//   _فرعو, _বাঙা, حسین_, _kái_, 
   {{0x6da236b9,0xa9675cd1,0x672d0083,0x00000000}},	//   _пиша, пира_, ewaj, --, 
   {{0x786a0076,0xfc3fc54a,0x20d1001b,0x16190cb8}},	//   _býva, llín_, _mái_, न्सर_, 
   {{0x20d1001b,0x3e6006df,0x290363d4,0x83fd010e}},	// [cc60] _lái_, _sòti_, arja_, _elők, 
   {{0x7c366f76,0x6a7002ae,0x20d10108,0x00000000}},	//   _hayr, _säff, _oái_, --, 
   {{0x4a5b00d1,0xa9a6c2a6,0x142609d9,0xfc3f0038}},	//   _הדיו, _хинд, здем, ilín_, 
   {{0xc20e000f,0x136a004f,0x672d0447,0x7c360508}},	//   _साहब_, йшли_, bwaj, _jayr, 
   {{0x09c500cc,0x7c360268,0x290ac54b,0x6234c54c}},	//   ্রণা, _mayr, luba_, делу, 
   {{0x27f2c54d,0x628a033c,0x20d10023,0x48e300bc}},	//   layn_, unfo, _bái_, टीको_, 
   {{0x20d100f7,0x6e282c9e,0x290ac54e,0x628a115b}},	//   _cái_, vedb, nuba_, rnfo, 
   {{0x64a3366c,0x9ed80c0f,0x69d5c54f,0x2b40817d}},	//   _заса, омит_, zcze, _oric_, 
   {{0x213e02f0,0x69d50035,0x290a018e,0xdb0a011c}},	//   _wrth_, ycze, huba_, _ènèh, 
   {{0x290a6a72,0x2903c550,0x20d1003e,0x22a5010c}},	//   kuba_, yrja_, _fái_, rêkê_, 
   {{0x7c367428,0x6e2802f5,0x20d10029,0x4c956baa}},	//   _bayr, redb, _gái_, динс, 
   {{0x7d08055f,0x22a5010c,0x290a00b4,0x6e280352}},	//   ruds, pêkê_, duba_, sedb, 
   {{0xfc3f3311,0xe8e00023,0x6f090126,0x29180054}},	//   blín_, _thớt_, cuec, etra_, 
   {{0x2b40023a,0x7c360ff2,0x7d080566,0xfe6f0038}},	//   _dric_, _eayr, puds, _مدى_, 
   {{0x290ac551,0x69d53275,0x8bec0033,0xdd8fc552}},	//   guba_, rcze, _কারন_, _чш_, 
   {{0x27f2012b,0x2903024a,0x7c36027e,0x672d02b8}},	//   gayn_, rrja_, _gayr, twaj, 
   {{0x29180180,0xcc3400eb,0x2b400242,0xe7ee0035}},	// [cc70] atra_, _سريع, _gric_, _ज़रा_, 
   {{0x672d2477,0x290ac553,0x786a0098,0x00000000}},	//   rwaj, buba_, _výva, --, 
   {{0x290a6ad4,0x00000000,0x00000000,0x00000000}},	//   cuba_, --, --, --, 
   {{0x7c3600a3,0x09c50033,0x6b8218a7,0xc4b99d33}},	//   _xayr, ্রদা, _žogi, ेदेख, 
   {{0x9f590540,0xe3b0091d,0x00000000,0x00000000}},	//   üsü_, هره_, --, --, 
   {{0xa021027e,0x6595c554,0x20f70474,0x3f981305}},	//   _çöze, _жагу, tăi_, ğrul_, 
   {{0x65941311,0xe1f036a7,0x90b50267,0xd12e7438}},	//   _зару, اسه_, мљиш, لمو_, 
   {{0x42770444,0x333f772e,0x00000000,0x00000000}},	//   _کارآ, _trux_, --, --, 
   {{0x290a0199,0x5215c555,0x200db370,0x335800b3}},	//   zuba_, _одат, rgei_, _еатэ_, 
   {{0x20d1001b,0x4d65c556,0x27f2ae85,0xddc300b3}},	//   _tái_, дков, zayn_, _conş, 
   {{0x90e700c5,0xfc3fc557,0x29180844,0x62831f2e}},	//   _رسان, rlín_, xtra_, mino, 
   {{0x645b21d0,0x7c360508,0xff510444,0x2918023a}},	//   _joui, _qayr, _لخت_, vtra_, 
   {{0x20180270,0x6f09c558,0x25aa0e17,0x645b2195}},	//   əri_, quec, _कर्ण, _moui, 
   {{0x6283c559,0x290ac55a,0x2918c55b,0xc332008d}},	//   nino, tuba_, ttra_, דוך_, 
   {{0x644901da,0x29180183,0xb866010e,0x00000000}},	//   _onei, utra_, وارو, --, 
   {{0x6add0086,0x290ac55c,0x2b4001c5,0x2918c55d}},	//   _বিরো, ruba_, _tric_, rtra_, 
   {{0x98a320e1,0x2b40c55e,0x6283c55f,0xf21300b0}},	// [cc80] тите, _uric_, kino, _ठाढ़_, 
   {{0x2918023a,0x27f2848d,0x6449c560,0xe9d700d9}},	//   ptra_, sayn_, _anei, _окь_, 
   {{0x645bc561,0x00000000,0x00000000,0x00000000}},	//   _boui, --, --, --, 
   {{0x81e70086,0x645b0212,0x64490090,0x00000000}},	//   _ভাগ_, _coui, _cnei, --, 
   {{0x645b0212,0x93cb0019,0x87ba0508,0xc957010e}},	//   _doui, زانہ_, _фунт_, _فلیش_, 
   {{0xfe6709e8,0x38cb009c,0x645b00a1,0x64490090}},	//   _شد_, _دایی_, _eoui, _enei, 
   {{0x65c3012d,0xe5a6005b,0x2ba50a09,0x645bc562}},	//   _абра, _циви, _गुना, _foui, 
   {{0xcec800f7,0x2c62014b,0x645b0212,0x6b965338}},	//   _hội_, _kódu_, _goui, _oxyg, 
   {{0x09b50086,0xd42600ad,0x2c6200de,0x00000000}},	//   _জ্ঞা, ışdı_, _jódu_, --, 
   {{0x62830450,0x5d5425e2,0x7cd300b3,0xddc300ad}},	//   cino, екот, _căro, _qonş, 
   {{0x765c00f3,0x00000000,0x00000000,0x00000000}},	//   _mory, --, --, --, 
   {{0x765c039a,0xfc3f0068,0xcec80023,0xfd6203a1}},	//   _lory, rlío_, _lội_, енүү, 
   {{0x8cca010f,0xa6db003e,0x66ed00c9,0x765c040b}},	//   _संको, _orða, _चौंक_, _oory, 
   {{0xb06103f0,0x9958031e,0x7f4200a3,0x28a70035}},	//   _ääre, láře_, _iroq, _कीजि, 
   {{0xcec800f7,0xf773010e,0xc984b1f4,0x00000000}},	//   _nội_, ھار_, вути, --, 
   {{0xb8d700b0,0x995800bc,0x6e38c563,0xf773009c}},	//   _छठ_, náře_, _havb, پار_, 
   {{0xb8d6215e,0x7bcd00e0,0x765cc564,0x645b0212}},	// [cc90] _ची_, _igau, _bory, _roui, 
   {{0x62833db6,0x6449c565,0xb9050086,0x765c0b41}},	//   xino, _snei, _নি_, _cory, 
   {{0xd49b6f22,0x7bcd0415,0x25de00a5,0x7aed019b}},	//   орд_, _kgau, गड़ी_, _hwat, 
   {{0xd5df0f8c,0x05df00ea,0x7aedc566,0x6283c567}},	//   _प्रज, _प्रब, _kwat, wino, 
   {{0xe8df0029,0x386909c7,0x765cc568,0x2ba5320b}},	//   _khỏe_, mkar_, _fory, _गुमा, 
   {{0x6e38c569,0x3869160a,0x7aedc56a,0x765cc56b}},	//   _navb, lkar_, _mwat, _gory, 
   {{0x6283c56c,0x8cca0077,0x64ca1223,0x442b0684}},	//   rino, _संगो, िदृश, _ºc_, 
   {{0x386905a1,0x7bcd7da2,0x6449c56d,0x2f557f7f}},	//   nkar_, _ngau, _unei, етос, 
   {{0x38691e92,0x7f42c56e,0x787100fc,0x00000000}},	//   ikar_, _croq, _gåve, --, 
   {{0x63a9044d,0x02cb102c,0x7bcdc56f,0x3869c570}},	//   _iyen, ादीन, _agau, hkar_, 
   {{0x7aed2b3d,0xd0110019,0x3869c571,0x261400bc}},	//   _awat, _ملا_, kkar_, न्टी_, 
   {{0xeb9a70a0,0x3e690187,0x63a90547,0x38690219}},	//   зим_, _túto_, _kyen, jkar_, 
   {{0x3869c572,0x63a9007c,0xbf6769c5,0x66150083}},	//   dkar_, _jyen, _تداو, _oczk, 
   {{0x42790137,0x7aed0237,0x63a9007c,0x386908b0}},	//   לאָג, _dwat, _myen, ekar_, 
   {{0x48b6387d,0xd8260d11,0x7aed91b8,0x765c095a}},	//   ещат, ндви, _ewat, _rory, 
   {{0x786a0076,0x38690724,0x63a90204,0xeb9a81a1}},	//   _vývo, gkar_, _oyen, _ний_, 
   {{0x63a9c573,0x7c24024d,0x69c30042,0x765c17d0}},	// [cca0] _nyen, _ibir, _únen, _pory, 
   {{0xba7600c5,0xdb9b03e1,0x920e103d,0x00000000}},	//   _ساخت, _מספר, _साइज_, --, 
   {{0x7c240405,0x63a90727,0x78715470,0x3872040b}},	//   _kbir, _ayen, _såve, phyr_, 
   {{0x3869022b,0x66e61c93,0x787105a1,0xcec800e7}},	//   ckar_, _пома, _påve, _vội_, 
   {{0x7c247464,0x3a3ac574,0x7cc201dd,0x3e720212}},	//   _mbir, _kapp_, _bērz, _hâte_, 
   {{0xcec8001b,0x3a3a0219,0x63a93656,0x7d1a02ae}},	//   _tội_, _japp_, _dyen, ytts, 
   {{0xfd07024f,0x63a90539,0x66c90009,0x7c24c575}},	//   _حج_, _eyen, _užka, _obir, 
   {{0x7f4206d0,0x63a9055f,0xc95300d1,0xa8e800c9}},	//   _proq, _fyen, רמה_, टीएफ_, 
   {{0x63060a7c,0x26cac576,0x63a9c577,0xdb1d010e}},	//   _سوال, _kibo_, _gyen, lcsö, 
   {{0xdbfb08a9,0x7c2460d9,0xe0ce0086,0x38697aaf}},	//   ्ल्ड_, _abir, _রবীন, zkar_, 
   {{0xdb16006b,0xfc3f026e,0x6d4304ab,0xdd942609}},	//   _együ, slím_, _crna, таны, 
   {{0x26ca7b38,0x7f422953,0x24860083,0xe8e00108}},	//   _libo_, _troq, niom_, _nhốt_, 
   {{0xfbab1c0f,0x3869c578,0x44240534,0x200b020b}},	//   ятой_, vkar_, _mbm_, ócie_, 
   {{0x7c240a8b,0x44240102,0x26ca02b8,0x2ba50b6c}},	//   _ebir, _lbm_, _nibo_, _गुणा, 
   {{0x3e7200d9,0x3869c579,0x3a3a019b,0x199400fd}},	//   _câte_, tkar_, _dapp_, гаря, 
   {{0x7aed2834,0x26ca0082,0xe8e00023,0x91f50108}},	//   _twat, _aibo_, _chốt_, _nón, 
   {{0x77981ab7,0x7c2f00d3,0x3869201d,0x26ca7ff7}},	// [ccb0] ектр_, mecr, rkar_, _bibo_, 
   {{0x38690d6e,0x7c2406e0,0x26ca0093,0x7c2f4c7a}},	//   skar_, _zbir, _cibo_, lecr, 
   {{0x4424c57a,0xf77f026a,0x63a90495,0x26ca0054}},	//   _bbm_, _reçu_, _syen, _dibo_, 
   {{0x7c3d46ce,0x6281031e,0x4424025b,0x6f1b0035}},	//   ndsr, _smlo, _cbm_, ytuc, 
   {{0xa7fb24d3,0x27e9c57b,0x26190f7a,0x7c3dc57c}},	//   _coñe, mban_, _पापी_, idsr, 
   {{0x78adc57d,0x26ca0102,0x63a90927,0x7cc90035}},	//   llav, _gibo_, _vyen, _ośro, 
   {{0x40952886,0x24860bfc,0x5694c57e,0x69c80097}},	//   крит, biom_, _сарт, ždev, 
   {{0x27e9006b,0x6f1bb60c,0x7c3d02c9,0x3eac039b}},	//   nban_, ttuc, jdsr, eldt_, 
   {{0x442fc57f,0x8ccb3081,0x439474b8,0x63a90532}},	//   meg_, _संजो, _батс, _uyen, 
   {{0x442f076b,0x83fd006b,0x6f1bad0a,0x78adc580}},	//   leg_, _előt, rtuc, hlav, 
   {{0x27e9006b,0x26190b3e,0x78adc581,0x301500d9}},	//   kban_, _पानी_, klav, _адер, 
   {{0x442f0156,0x27e9039f,0x64590027,0x20030028}},	//   neg_, jban_, njwi, ėjis_, 
   {{0xee2e1b2d,0x51210077,0x207a00c7,0x907a00a7}},	//   _кн_, _महुआ_, _קאנא, _קטני, 
   {{0x6d430187,0x24860035,0x3e720107,0x442fc582}},	//   _trna, ziom_, _pâte_, heg_, 
   {{0xc212042c,0x78ad003e,0x6f09c583,0x26ca056f}},	//   יהם_, flav, lrec, _ribo_, 
   {{0x442f02f5,0x27e90019,0x7c2446a7,0x26ca007c}},	//   jeg_, gban_, _ubir, _sibo_, 
   {{0x442fc584,0xbc1b00a7,0x2ee08fd3,0x6f092b0b}},	// [ccc0] deg_, _חופש, _çift_, nrec, 
   {{0x6d412cd9,0x34ca0f7a,0x78ad6d71,0x60cb040b}},	//   ovla, िद्द, alav, _ligm, 
   {{0x27e9006b,0x6f0901c4,0x26ca01d8,0xe8e00108}},	//   bban_, hrec, _vibo_, _thốt_, 
   {{0x25410904,0xa7fb09a1,0x78adc585,0x442fc586}},	//   _dėl_, _poñe, clav, geg_, 
   {{0x26cac587,0x2c1a1d00,0x6f0948a8,0x3eac0453}},	//   _tibo_, _भानू_, jrec, yldt_, 
   {{0x6f091d7c,0x5b7b00c7,0x44240065,0x442f00b0}},	//   drec, ורנא, _wbm_, aeg_, 
   {{0xcec80124,0x442f8cdd,0x442402a0,0x764e0219}},	//   _một_, beg_, _tbm_, _inby, 
   {{0x442f04d1,0x6563c588,0x6d410613,0x753700c7}},	//   ceg_, änhe, dvla, _באלד_, 
   {{0x83fd0019,0x60cb0c3d,0x6f09c589,0x22162035}},	//   _elős, _digm, grec, _афер, 
   {{0xa80603c0,0x290a008b,0x27e9010e,0x91ba2949}},	//   ldığ, krba_, zban_, _قطار_, 
   {{0x6f09002e,0x27e9010e,0x78a400c8,0x5275c58a}},	//   arec, yban_, koiv, _суту, 
   {{0x6f09c58b,0xa80603c0,0x9ffa0c72,0x59d5031e}},	//   brec, ndığ, _آراء_, _दलहर, 
   {{0x6f094012,0x4c946ac1,0x9b58b493,0xcec800e7}},	//   crec, рияс, вият_, _bột_, 
   {{0x2be3006a,0xc6080086,0xcec800e7,0x442fc58c}},	//   _क्रं_, র্তা_, _cột_, zeg_, 
   {{0x27e9006b,0x442fc58d,0x2ba50366,0xd7fb00a3}},	//   tban_, yeg_, _गँवा, дуз_, 
   {{0x20d8033e,0x27e9c58e,0x61f800ef,0x764e03a0}},	//   _méi_, uban_, havl, _anby, 
   {{0x442fc58f,0x2ca908b1,0x78adc590,0x20d80038}},	// [ccd0] veg_, _ikad_, rlav, _léi_, 
   {{0x78ad09d6,0x27e90019,0xd5671b17,0x442f4d95}},	//   slav, sban_, ктеп, weg_, 
   {{0x442fc591,0x7afd2245,0xb4cd0a34,0x6f090304}},	//   teg_, lsst, रदे_, zrec, 
   {{0xfc3fc592,0x2541012d,0xb4bf0262,0xd3b902c8}},	//   ndí_, _vėl_, ीदे_, нулі_, 
   {{0x442f5876,0x29116422,0xe73d00bc,0xfc3f0038}},	//   reg_, luza_, _kříž, idí_, 
   {{0x442fc593,0x60cbc594,0x7afdc595,0x6f09c596}},	//   seg_, _sigm, isst, vrec, 
   {{0x2911a467,0x68e20035,0x6f093ebc,0xe73d02d9}},	//   nuza_, _łodz, wrec, _mříž, 
   {{0x20d80106,0x6f09c597,0x6b9a078a,0x83fd0019}},	//   _déi_, trec, ştgi, _előr, 
   {{0x533411db,0xb4bf185c,0x29110199,0x7afdc598}},	//   _кетт, ँगी_, huza_, jsst, 
   {{0x7afd0310,0x2911c599,0x6f094508,0xee3990b4}},	//   dsst, kuza_, rrec, хно_, 
   {{0x6f09c59a,0x60cb0495,0xccc600d3,0xa3d7109f}},	//   srec, _tigm, лбой, _सला_, 
   {{0x67030239,0x6d4179a2,0x2911c59b,0x6f09c59c}},	//   _लिंक_, rvla, duza_, prec, 
   {{0x7afdc59d,0x7cd300d9,0x05c300bc,0x4c832038}},	//   gsst, _mări, वेतब, сляв, 
   {{0x78710c43,0x29116873,0xa80607fa,0xc7a601a2}},	//   _råva, fuza_, zdığ, ҳибк, 
   {{0x69dc026d,0x291123cb,0xa8060585,0x6e920c30}},	//   rcre, guza_, ydığ, _دلوا, 
   {{0x61f8090b,0x69dcc59e,0x7afd79f7,0x7bdd011c}},	//   zavl, scre, bsst, ccsu, 
   {{0x290a02fe,0x64a6c59f,0xcec80108,0x3de20175}},	// [cce0] srba_, қада, _tột_, _érwé_, 
   {{0x261902f8,0xe6170161,0x29110f06,0x78a4c5a0}},	//   _पाणी_, лду_, buza_, soiv, 
   {{0x0446c5a1,0xa80600ad,0x186a0176,0x29110610}},	//   лежн, tdığ, _зани_, cuza_, 
   {{0x3ea580a6,0x7ae40082,0x32d90118,0x00000000}},	//   holt_, _ktit, _bèy_, --, 
   {{0xe284004e,0xa80607fa,0x828400a3,0xb28687a0}},	//   аған, rdığ, ақад, лыкк, 
   {{0xd13a307f,0xfc3f1102,0x32d905d5,0xe5a601a2}},	//   ехи_, zdí_, _dèy_, _биги, 
   {{0x26190a44,0x46d80f7a,0x38620121,0x0fe203a1}},	//   _पाती_, _भूतह, _kokr_, бөлү, 
   {{0x64a6c5a2,0x61f81462,0x6d5c00b0,0x7afd70f2}},	//   _саба, savl, äram, ysst, 
   {{0x5f942ea2,0xa3e400b0,0x61f80613,0x291102b8}},	//   рипт, पुण_, pavl, zuza_, 
   {{0x6ce6005e,0x7afd0310,0xd3b90451,0x0737042c}},	//   ліме, vsst, _русі_, נאים_, 
   {{0x7ae4c5a3,0x2bc702e6,0xa19600ff,0x628a02c5}},	//   _atit, रेना, _сјај, mifo, 
   {{0x217501bb,0x7ae4011c,0x291102b8,0x628a2e43}},	//   _туур, _btit, vuza_, lifo, 
   {{0xfc3fc5a4,0x2f18269c,0x7afdc5a5,0x3ea5010e}},	//   rdí_, _роль_, usst, bolt_, 
   {{0x7afdc5a6,0x2911011b,0x7ae4360a,0x7bdf023e}},	//   rsst, tuza_, _dtit, _wfqu, 
   {{0x7ae407fc,0x2ba500ae,0xd5eb0108,0x00000000}},	//   _etit, _गुरा, _đìn, --, 
   {{0x2911c5a7,0x628ac5a8,0x7ae4008a,0xda1701a4}},	//   ruza_, hifo, _ftit, _तावत_, 
   {{0x35f5c5a9,0xa89819ec,0xa7fb00e9,0x7c940116}},	// [ccf0] ипар, укту_, _coña, _دشوا, 
   {{0x32d906df,0xa7fb001d,0x7cd300b3,0x2b49c5aa}},	//   _rèy_, _doña, _sări, _irac_, 
   {{0xceb307f5,0x7cd300d9,0x3cfe105b,0x628ac5ab}},	//   ציע_, _pări, nstv_, difo, 
   {{0xd3710084,0xfbdf010c,0x7c3f00a4,0xf485010e}},	//   يها_, ncê_, _jaqr, جائی, 
   {{0x6fcb00ad,0x81e60033,0x427301ff,0x6d5c13ba}},	//   _möcü, _ভয়_, бҳас, äraj, 
   {{0x45d44cf8,0x15ab00fd,0x628ac5ac,0xfbdf0216}},	//   _горс, _зъби_, gifo, hcê_, 
   {{0xc69200a7,0x3ea5c5ad,0xf40200b3,0xb6040098}},	//   _ואם_, volt_, faţă_, íšer, 
   {{0xf8b50c8f,0x34950cdf,0xaf052398,0xfaff0034}},	//   ंतिय, _табр, апил, ksë_, 
   {{0x32559cd6,0x443f793b,0xcf8e00c5,0x2ba5143e}},	//   _квар, _iau_, وژه_, _गुला, 
   {{0x443fc5ae,0xa2b3009a,0xddca0237,0x628ac5af}},	//   _hau_, ेगळ्, _enfō, cifo, 
   {{0x443f2e7b,0x7ae4c5b0,0xb0350088,0x3ea50019}},	//   _kau_, _stit, _внеш, rolt_, 
   {{0x443f744b,0xcb6a01d0,0xdca6b7ef,0x7ae40212}},	//   _jau_, ваме_, рами, _ptit, 
   {{0x443fc5b1,0x3862012b,0xe7b00086,0x6d5c004f}},	//   _mau_, _rokr_, _কল্য, ørar, 
   {{0x443fc5b2,0x2b4903a1,0x17ee29c4,0x00000000}},	//   _lau_, _drac_, जर्व_, --, 
   {{0xa7fb0a22,0x2eff9a55,0x443fc5b3,0x291e009e}},	//   _soña, lsuf_, _oau_, îta_, 
   {{0xcec8001b,0xa7fb0042,0x628ac5b4,0x6140010e}},	//   _hộp_, _poña, zifo, lálá, 
   {{0x0686b19f,0x7e63c5b5,0x787803b7,0xa68673f1}},	// [cd00] аган, _konp, _níve, алад, 
   {{0x61400019,0xf5e7002e,0x63a6004f,0x8afb00d1}},	//   nálá, имул_, _økni, _שהיי, 
   {{0x7e63c5b6,0x1dab049f,0x787102ae,0x628a0054}},	//   _monp, _घुमत, _gåvo, vifo, 
   {{0x499b0cec,0xf9810258,0xc7a6017b,0xc4c5007a}},	//   _ישיב, _эҳсо, _вимк, متنو, 
   {{0x443f6483,0x628ac5b7,0x7878c5b8,0xf402020f}},	//   _dau_, tifo, _cíve, vaţă_, 
   {{0x443f026d,0xcec800e7,0x62340a10,0x7e63c5b9}},	//   _eau_, _nộp_, секу, _nonp, 
   {{0xd1300084,0x628ac5ba,0x443f00fc,0x52750267}},	//   سمة_, rifo, _fau_, ључу, 
   {{0x443fc5bb,0x20540141,0x741611b7,0x64a34243}},	//   _gau_, ския, _خورا, _даса, 
   {{0x7e63c5bc,0x64401439,0x27e0192d,0x7cd3020f}},	//   _bonp, _iami, icin_, _măru, 
   {{0x443fc5bd,0x644201ca,0xd33700d1,0xddca039f}},	//   _zau_, ldoi, _דרמה_, _sofő, 
   {{0x64402f6d,0x443f006f,0x4426c5be,0x26190790}},	//   _kami, _yau_, ofo_, _पासी_, 
   {{0x4426c5bf,0x6440c5c0,0x443fc5c1,0x4fa6c5c2}},	//   nfo_, _jami, _xau_, _киев, 
   {{0x7b64c5c3,0xfbdf02be,0xdd39020f,0x9e6600d7}},	//   отре, rcê_, păşe, _پاشن, 
   {{0x28db143e,0x4efb00a7,0x644200c8,0x2b498cd1}},	//   _मंदि, _יהדו, hdoi, _vrac_, 
   {{0x7c3f4297,0x753c0372,0x28f800d9,0x6f0000b9}},	//   _taqr, _nsrz, иерь_, lsmc, 
   {{0x6440c5c4,0x6d4ac5c5,0x7cd300d9,0x6f020242}},	//   _nami, _irfa, _căru, _kvoc, 
   {{0x443f1124,0xcc34243d,0x7cd300b3,0x62880c0c}},	// [cd10] _rau_, _ذريع, _dăru, _omdo, 
   {{0x443fc5c6,0xe6132abb,0xdb0d11e9,0x49750f67}},	//   _sau_, تشر_, _nyaé, _глос, 
   {{0x443fc5c7,0x6440c5c8,0xf8b106bc,0x4426c5c9}},	//   _pau_, _bami, _فکر_, ffo_, 
   {{0x29360137,0x6f02026e,0x443f639a,0x628800a1}},	//   _פארן_, _ovoc, _qau_, _amdo, 
   {{0x6440c5ca,0x443fc5cb,0xa6db010d,0x91e5c5cc}},	//   _dami, _vau_, _orði, боле, 
   {{0x443fc5cd,0x200600e2,0x44260379,0x64420183}},	//   _wau_, _adoi_, afo_, adoi, 
   {{0x443f1124,0x6594c5ce,0x26d9c5cf,0x20d101f2}},	//   _tau_, _дару, _huso_, _aġir_, 
   {{0x6440c5d0,0x26d1c5d1,0xf48400b9,0xfc3f0038}},	//   _gami, _hizo_, _дуун, ilís_, 
   {{0xdc6a03dc,0x7e63c5d2,0x6d4a0156,0x27f90532}},	//   ҳанд_, _ponp, _arfa, _mesn_, 
   {{0x644034ba,0x6f020187,0x26d90364,0xf1a7c5d3}},	//   _zami, _dvoc, _muso_, _крен, 
   {{0x41b5298e,0x26d9044d,0x26d1c5d4,0xdc6ac5d5}},	//   _امار, _luso_, _mizo_, ганд_, 
   {{0xf8bf0029,0x672f00ab,0x26d10183,0xfc320038}},	//   _nhé_, _opcj, _lizo_, أحد_, 
   {{0x6d4ac5d6,0x9f40008c,0xd7a7109f,0xfc3f0183}},	//   _erfa, _þið_, _कुलच, moíl_, 
   {{0x7e7ac5d7,0x63bb06f2,0x09e361bb,0x7cd3020f}},	//   chtp, _mzun, зорн, _săru, 
   {{0x6a6b07fa,0xa7fb04b3,0x6f020ab4,0x7cd3020f}},	//   _nüfu, _coño, _zvoc, _păru, 
   {{0x63bbc5d8,0xf8bfc5d9,0x26d9007c,0xb866007a}},	//   _ozun, _ché_, _buso_, حاسو, 
   {{0x44f50187,0x7bd640fa,0x2bc70790,0x27e0c5da}},	// [cd20] eť_, _igyu, रेदा, rcin_, 
   {{0x77c71afd,0x00000000,0x00000000,0x00000000}},	//   слуг_, --, --, --, 
   {{0xa96a2bfe,0x63bb3897,0x261952f7,0xd6cf0038}},	//   _сина_, _azun, _पारी_, رقم_, 
   {{0x6440c5db,0xf8bf00e7,0x26d9b658,0x7af60326}},	//   _qami, _ghé_, _fuso_, _kwyt, 
   {{0x8c1b02a1,0x28b507d5,0x26d1c5dc,0x4426019c}},	//   רוני, ंतरि, _fizo_, rfo_, 
   {{0x66e379a1,0x64402f53,0x63bb1ed4,0x8b0600ab}},	//   _хора, _wami, _dzun, częś, 
   {{0x64400a49,0x6724c5dd,0x2ee6c5de,0x44260199}},	//   _tami, ltij, _stof_, pfo_, 
   {{0x049623e6,0x64400548,0x28db031e,0x6a6b0502}},	//   _الرح, _uami, _मंसि, _hüft, 
   {{0x421a02b4,0x25b80c73,0x6d4a0604,0xa85700df}},	//   _مزاج_, _अरुण, _srfa, מיקה_, 
   {{0xa3e40b3e,0x626500eb,0x1ed70038,0x9f4f00f6}},	//   पुर_, _والق, حبيب_, _degà_, 
   {{0x67247a9f,0x321e095a,0x6a6b035d,0x63bb02a5}},	//   htij, _icty_, _müft, _zzun, 
   {{0x67242764,0xac1900dd,0x6a6b0380,0x7af60156}},	//   ktij, шому_, _lüft, _bwyt, 
   {{0xa7fb03da,0x0b8bc5df,0x26190299,0x44f5020b}},	//   _soño, усни_, _पाली_, zť_, 
   {{0x26d9c5e0,0xb69b00d9,0x629801c4,0x60da01ff}},	//   _ruso_, _avân, nnvo, _kutm, 
   {{0x61fac5e1,0x26d9c5e2,0xdd93012d,0x26d10104}},	//   _metl, _suso_, _нашы, _rizo_, 
   {{0x26d9c5e3,0x6724c5e4,0x61fa0149,0x5b15c5e5}},	//   _puso_, ftij, _letl, _дмит, 
   {{0x6d48076d,0x7af600f3,0x6724039b,0x00000000}},	// [cd30] lvda, _gwyt, gtij, --, 
   {{0x32f60083,0x2cab02be,0x629801d2,0x00000000}},	//   dły_, locd_, jnvo, --, 
   {{0xd5bb1ede,0x195903aa,0x3874033c,0xf8bf0107}},	//   уса_, _таны_, ñará_, _thé_, 
   {{0x26d9011d,0x62980d62,0xe19300d3,0xf8bf0175}},	//   _tuso_, envo, үлдө, _uhé_, 
   {{0x44f52e19,0xe78498c1,0x7c2dc5e6,0x61fa0218}},	//   sť_, _еуро, _mbar, _betl, 
   {{0x60da0bfc,0xf99013b4,0x6d4601dd,0xe2990d3d}},	//   _butm, _آبی_, ākaj, јак_, 
   {{0x32f600ab,0x61fa02eb,0x00000000,0x00000000}},	//   ały_, _detl, --, --, 
   {{0x4f0942c1,0x61fa10f3,0x62981a77,0x00000000}},	//   анин_, _eetl, anvo, --, 
   {{0x63bb7428,0x442d0610,0x61fa009e,0x93e8007a}},	//   _uzun, _ibe_, _fetl, _طفلك_, 
   {{0x7c2dc5e7,0x76451788,0x2903034d,0xd10920b4}},	//   _abar, ndhy, ksja_, _نقطه_, 
   {{0x7c2d00a1,0xfbc70e6e,0x60da1f09,0xda20075a}},	//   _bbar, रेसम, _gutm, _बाबत_, 
   {{0x7f7501d7,0x6f0e04d6,0x00000000,0x00000000}},	//   _мулц, üncü, --, --, 
   {{0xc61100cc,0x442dc5e8,0x543a00c7,0x3b831623}},	//   স্যা_, _mbe_, בערא, дляг, 
   {{0x3e7bc5e9,0x8f9a027a,0x7c2dc5ea,0x6a700502}},	//   _bête_, _דיני, _ebar, _käfi, 
   {{0xd9436294,0x442d32d1,0x764503c5,0x7cd3020f}},	//   мери, _obe_, ddhy, _vărs, 
   {{0x67240405,0x57eac5eb,0xf7720d4b,0x7c2daab7}},	//   ttij, рдам_, واء_, _gbar, 
   {{0x16661619,0xd5b800e0,0x3860003e,0xa6db003e}},	// [cd40] овам, _šā_, rjir_, _orðu, 
   {{0x442d8fc4,0x3e7b026a,0x7c2dc5ec,0x20c10038}},	//   _abe_, _fête_, _zbar, lóid_, 
   {{0x6724c5ed,0xfe2102e6,0x7c2d011d,0x7eaf017b}},	//   stij, _मानस_, _ybar, løps, 
   {{0x2bc70081,0x29180199,0x61fac5ee,0x136a062d}},	//   रेवा, mura_, _setl, ишли_, 
   {{0x2918c5ef,0x1dab02e6,0x83361b44,0x7c2b0241}},	//   lura_, _घुसत, تراض, _ögre, 
   {{0x442d0149,0x61fa09c7,0xa6e2003e,0x00000000}},	//   _ebe_, _qetl, áðun, --, 
   {{0x69c31056,0x2918024d,0x61fac5f0,0xa50737e8}},	//   _únet, nura_, _vetl, _мера_, 
   {{0xb4d605fd,0x61fa2fb7,0x3a3801c8,0x3cdd0790}},	//   सदी_, _wetl, herp_, _गढ़े_, 
   {{0x29187dae,0x1fa300b3,0x63060499,0x6d48023b}},	//   hura_, дрэг, _ذوال, wvda, 
   {{0x2918c5f1,0x60dac5f2,0x35af0c06,0x7c2dc5f3}},	//   kura_, _tutm, _जुड़, _sbar, 
   {{0x29181931,0x98ba05d5,0x2b405d78,0x442d0027}},	//   jura_, _aspč_, _asic_, _ybe_, 
   {{0x2918c5f4,0x2c620098,0x00000000,0x00000000}},	//   dura_, _kódy_, --, --, 
   {{0xa09b00a7,0x2b4004ff,0x60c2c5f5,0x8ae4004f}},	//   _דיאט, _csic_, _ihom, дісл, 
   {{0x2918c5f6,0x29110035,0x2c620098,0x59f800b3}},	//   fura_, trza_, _módy_, жеря_, 
   {{0x60c2c5f7,0x2905c5f8,0x7c2d00a1,0x79a700f0}},	//   _khom, éla_, _tbar, ірге, 
   {{0xda170a44,0x2903c5f9,0x7c2dc5fa,0xdb0400b4}},	//   _ताकत_, rsja_, _ubar, _eziñ, 
   {{0xb6c90019,0x60c201be,0x59a71446,0x00000000}},	// [cd50] مائے_, _mhom, _गडकर, --, 
   {{0x3e7bc5fb,0x2918024d,0x454b0fac,0x69c800d8}},	//   _tête_, bura_, ичем_, ýdec, 
   {{0x2918c5fc,0xe4a7c5fd,0x27f202ae,0x7645487e}},	//   cura_, ордо, bbyn_, rdhy, 
   {{0xe787c5fe,0x91fc0243,0x60c24c7b,0x00000000}},	//   _дуго, _glāz, _nhom, --, 
   {{0xa85a00d1,0x91e54590,0x78ad3c40,0x00000000}},	//   _הדרכ, поле, moav, --, 
   {{0x69c30042,0x60c20054,0x00000000,0x00000000}},	//   _únes, _ahom, --, --, 
   {{0xa50400a3,0x60c22e31,0x00000000,0x00000000}},	//   _оятл, _bhom, --, --, 
   {{0x60c2c5ff,0xd12e646f,0x442dc600,0xa99c00d1}},	//   _chom, امي_, _ube_, יבור, 
   {{0x60c26448,0x4394001c,0x57b90ed5,0x00000000}},	//   _dhom, _жатс, _आरोह, --, 
   {{0x29180199,0xc3320147,0x0d8522c5,0x3eacc601}},	//   yura_, _אומ_, злон, godt_, 
   {{0xc61100cc,0x3eb901dd,0x291801f1,0x60c200e1}},	//   স্থা_, ēst_, xura_, _fhom, 
   {{0x29180199,0x2245c602,0x3a3815e9,0x60c2008a}},	//   vura_, _halk_, werp_, _ghom, 
   {{0xeb97c603,0xf09200a7,0x20c10038,0x78ad023a}},	//   зия_, _אנא_, róid_, doav, 
   {{0x60c9027e,0xc6110033,0xa96a00a3,0x20c1007a}},	//   lmem, স্তা_, бига_, sóid_, 
   {{0xfaa33374,0x6d5c007e,0x248d0379,0x3a380026}},	//   харо, ärat, _omem_, rerp_, 
   {{0x83fd006b,0x2918167f,0x60c9c604,0x6d460083}},	//   _előz, rura_, nmem, łkac, 
   {{0x27f202bf,0x601605b7,0x1867c605,0xe7ba0086}},	// [cd60] rbyn_, lümü, чати_, ংখ্য, 
   {{0xfbdf078a,0x27f21cc9,0xe9d700b3,0x248dc606}},	//   ndên_, sbyn_, _нкь_, _amem_, 
   {{0x89db042c,0x6016008f,0x78b60228,0xf992009c}},	//   _לחיי, nümü, plyv, _سبد_, 
   {{0x60c9a486,0x7eb403a1,0x18a61753,0x64a30028}},	//   jmem, ràpi, _хамм, наха, 
   {{0x60c202a2,0x2245c607,0x6d4601dd,0x442001dd}},	//   _rhom, _balk_, ākai, ļi_, 
   {{0x44200529,0x60c2c608,0x25080499,0x95960259}},	//   żi_, _shom, _ورزی_, _ешбі, 
   {{0x22450691,0x60c207d7,0x787127fd,0x35a39d95}},	//   _dalk_, _phom, _såvi, _зарг, 
   {{0x044310ec,0x78710422,0x60c92244,0x60c2084c}},	//   _песн, _påvi, gmem, _qhom, 
   {{0x64a300d3,0x656800a1,0x00000000,0x00000000}},	//   _чата, _àdhb, --, --, 
   {{0x6146c609,0xd09106d0,0x2ca00175,0x78ad019c}},	//   _неза, _müəl, _ajid_, zoav, 
   {{0x70f617ba,0x60c2c60a,0x9ccb03a1,0x320c018e}},	//   _رسائ, _thom, йыма_, _iddy_, 
   {{0xf3f900d9,0x60c2016c,0x85970070,0x60c9c60b}},	//   _poţi_, _uhom, לדיג_, cmem, 
   {{0x7680c60c,0xfbad0033,0x78adc60d,0x00000000}},	//   _köyd, _গণহত, voav, --, 
   {{0xaa642cb9,0x6d5c00b0,0x60160241,0x7f420104}},	//   нтск, äras, bümü, _isoq, 
   {{0x79a4064f,0x78adc60e,0x00000000,0x00000000}},	//   ерте, toav, --, --, 
   {{0x76800088,0x7d1a60ad,0xf3f900d9,0x7b190f5a}},	//   _löyd, muts, _toţi_, _доир_, 
   {{0x7d1a76a7,0x7af0014b,0x7cf6010c,0x78adc60f}},	// [cd70] luts, čitý, bûrî, roav, 
   {{0xfbd00084,0x7aedc610,0x60c9002e,0xf7702e10}},	//   _حتى_, _itat, zmem, داف_, 
   {{0x947506bc,0x7d1a02b8,0xb9020033,0x7aed040c}},	//   وگرا, nuts, _নৌ_, _htat, 
   {{0x61e800e2,0x38b30216,0xe3b01c03,0x7e6a08b0}},	//   _afdl, _dûrî_, گرم_, _lofp, 
   {{0x7d1a02b8,0x6e3a0a14,0x22457596,0x60160761}},	//   huts, ketb, _palk_, zümü, 
   {{0x7d1ac611,0x7aed025b,0x60160213,0xe3b000d7}},	//   kuts, _mtat, yümü, درم_, 
   {{0xc619072f,0x7d1ac612,0xa2d902e6,0x224572ae}},	//   दलीय_, juts, _फंक्, _valk_, 
   {{0x44390161,0x7d1ac613,0x6a700a25,0x248d0097}},	//   _ús_, duts, _häft, _umem_, 
   {{0x60c9c614,0x7aed79b0,0xaec500d9,0xa7fb0126}},	//   rmem, _ntat, мбил, _coñi, 
   {{0x3e8900dd,0x7d1a07d7,0x4df400af,0xfe710038}},	//   ійно_, futs, няют, ئدة_, 
   {{0xdca6c615,0x7aedc616,0xfbdf010c,0x7d1ac617}},	//   дани, _atat, rdên_, guts, 
   {{0xa0c40038,0x60160213,0x00000000,0x00000000}},	//   _كيلو, rümü, --, --, 
   {{0x6d5c3372,0x3af60b34,0x9f4f0525,0xa7fb01d6}},	//   ärar, ьянс, _begå_, _goñi, 
   {{0x7d1a024d,0xaec400dd,0x201f03a1,0x68fb00d0}},	//   buts, _збіл, lgui_, ćudn, 
   {{0x7aedc618,0x2d940141,0x7d1a802c,0x00000000}},	//   _etat, _пръс, cuts, --, 
   {{0x201f03a1,0xb90600a5,0xeb9a049b,0x00000000}},	//   ngui_, _पढ_, _мий_, --, 
   {{0x76470199,0xe7ed00a5,0x261900b0,0x7c24af4c}},	// [cd80] _bajy, जड़ा_, _पाखी_, _icir, 
   {{0x78a902ee,0x997603a1,0xff4724a1,0x00000000}},	//   čeva, _жумш, _یخ_, --, 
   {{0x186a1db5,0x2905010e,0x08c603a1,0xddca05d5}},	//   _дани_, álat_, _обон, _enfņ, 
   {{0xf48700c5,0x6e3ac619,0xe3ba15e4,0x2d85bcfb}},	//   وانی, zetb, обе_, izle_, 
   {{0x63be0035,0x7aed00a3,0x778300b3,0x76800080}},	//   ępno, _xtat, _аляз, _pöyd, 
   {{0xe5a600d3,0x7d1ac61a,0xc6080033,0x3987040c}},	//   _жиги, yuts, র্জা_, _bеsh_, 
   {{0x28c3006a,0x7c24c61b,0x26d8b3ce,0xfd07010e}},	//   _वीडि, _ocir, _iiro_, _جج_, 
   {{0xa7fb0183,0x7d1a02b8,0x05570535,0x66c90028}},	//   _poñi, vuts, _تلفظ_, _užkr, 
   {{0xe29a19b1,0x3f840571,0x26d82c4c,0x6d43c61c}},	//   _даа_, uzmu_, _kiro_, _asna, 
   {{0x7d1ac61d,0x26d80180,0x44240029,0x7c24c61e}},	//   tuts, _jiro_, _hcm_, _acir, 
   {{0x7aedc61f,0xb80e1a4e,0x4c951fde,0x6e3ac620}},	//   _stat, िणाम_, еинс, retb, 
   {{0x7d1ac621,0xdefa012d,0xa7fb0183,0x26d8052b}},	//   ruts, _дык_, _toñi, _liro_, 
   {{0x4424c622,0xc0a9105a,0x7d1ac623,0x6d43c624}},	//   _mcm_, _عامل_, suts, _esna, 
   {{0x7d1a0364,0x7c243d74,0x44240231,0xfe6f007a}},	//   puts, _ecir, _lcm_, _ندى_, 
   {{0x4c953725,0x6ca700d9,0x76470891,0x99830028}},	//   _пикс, _ориж, _rajy, vejų_, 
   {{0x030e1139,0x7878010e,0xd5f40023,0x00000000}},	//   _सिंह_, _hívj, _đán, --, 
   {{0x26d8bf6d,0x7c3dc625,0x7aedc626,0x20c102be}},	// [cd90] _biro_, mesr, _utat, nóia_, 
   {{0x2004c627,0xd5bbc628,0x7c3d260f,0x68e30a13}},	//   hami_, осе_, lesr, _éndo, 
   {{0x26d80036,0x25b8c629,0xe4e4017b,0x58d52e07}},	//   _diro_, _cyrl_, вічн, _поот, 
   {{0x4424c62a,0x2004c62b,0x26d800e0,0x7c3d203b}},	//   _ccm_, jami_, _eiro_, nesr, 
   {{0x2004c62c,0xf8b2027a,0x92950eba,0xfdbb02e6}},	//   dami_, _תשכ_, надц, _उर्फ, 
   {{0x26d8c62d,0x6595c62e,0x44244c7a,0x28bf017d}},	//   _giro_, _загу, _ecm_, ्षवि, 
   {{0x66052129,0x4424c62f,0xf204004f,0x7c3d3b57}},	//   mahk, _fcm_, тячо, kesr, 
   {{0x409427a6,0x6605b481,0x27e9c630,0x600965ea}},	//   крыт, lahk, ncan_, чним_, 
   {{0x64a5005e,0x645bc631,0x443d01f2,0xd426027e}},	//   _жаңа, _inui, mew_, ıştı_, 
   {{0x443dc632,0xef823128,0x26d80042,0x44240183}},	//   lew_, ульп, _xiro_, _zcm_, 
   {{0x200429c1,0x5067093d,0xed5912e1,0x69da11a3}},	//   bami_, _отда, чон_, žtek, 
   {{0x2004c633,0x443dc634,0x7c3d014e,0x20c102be}},	//   cami_, new_, gesr, bóia_, 
   {{0x66056c86,0xa3e407d5,0xee2e00b9,0x7c24008a}},	//   kahk, पुट_, _йн_, _vcir, 
   {{0xddc3002e,0x6605090a,0xada56bdb,0x6da5c635}},	//   _conţ, jahk, _палл, _пила, 
   {{0x66055d08,0x19b900dd,0x443dc636,0x6d4300d8}},	//   dahk, дуть_, kew_, _usna, 
   {{0x46eaaba9,0x26d8c637,0x443d9cbb,0x18676844}},	//   здан_, _siro_, jew_, наси_, 
   {{0x6f093177,0x443dc638,0x26d8c639,0xa7a7033a}},	// [cda0] nsec, dew_, _piro_, екта_, 
   {{0x2004c63a,0x98c007fa,0x27e9c63b,0x76230028}},	//   zami_, ırır_, acan_, лмуз, 
   {{0x20047a4f,0x26d8c63c,0x39450176,0xa49400d7}},	//   yami_, _viro_, _иҷро_, نیست, 
   {{0x27e94784,0xc486c63d,0x64490042,0x645b01fd}},	//   ccan_, элек, _caei, _cnui, 
   {{0x66056a5e,0x20041dba,0x258600bc,0x87b900d3}},	//   bahk, vami_, _bílé_, _журт_, 
   {{0x2004c63e,0x66051630,0xa50ac63f,0x6234c640}},	//   wami_, cahk, _нега_, теку, 
   {{0x2004072b,0x46a3c641,0xe5a6049b,0xb6a300a3}},	//   tami_, _сарв, _чиви, _сирл, 
   {{0x6449057f,0x645bb815,0xa0a300f0,0xbf3400fd}},	//   _gaei, _gnui, лшыл, внищ, 
   {{0x2004c642,0x03a3c643,0x29180034,0x60d903c6}},	//   rami_, _бито, hrra_, _diwm, 
   {{0x6462c644,0x27e9c645,0x2004c646,0x69de0175}},	//   štič, zcan_, sami_, _ngpe, 
   {{0x27e90270,0x6d410156,0xa2d901a4,0xac19c647}},	//   ycan_, gwla, _फूट्, мону_, 
   {{0x00ca0161,0x66050ab1,0xdee6bbfd,0x69de00a1}},	//   _элек_, zahk, _зоди, _agpe, 
   {{0x9f493bf7,0x660502f6,0x2918001d,0x7c3dc648}},	//   _það_, yahk, erra_, resr, 
   {{0x7bc42c02,0x443dc649,0xceb900d8,0x00000000}},	//   _dziu, zew_, tuře_, --, 
   {{0x98c77c94,0x443d05d5,0x38c700fd,0x1958c64a}},	//   есал, yew_, ещав, нары_, 
   {{0x7c3500d9,0x00000000,0x00000000,0x00000000}},	//   _реих, --, --, --, 
   {{0xd83803dd,0x660502f6,0x2918bd37,0x00000000}},	// [cdb0] ээр_, tahk, arra_, --, 
   {{0x27e9c64b,0x644900e0,0x06b70a24,0x443dc64c}},	//   scan_, _saei, رناک_, wew_, 
   {{0x660537a8,0x443dc64d,0xa3d30c14,0xddc30228}},	//   rahk, tew_, हेन_, _konš, 
   {{0x66053eac,0x25f1119b,0x7568010e,0xe8e00108}},	//   sahk, ेरही_, ریقہ_, _giựt_, 
   {{0x628302bf,0x387e0212,0x644b0844,0x20c1007a}},	//   thno, être_, rdgi, fóin_, 
   {{0x66050065,0x672dc64e,0x3869543f,0x70b2009c}},	//   qahk, mtaj, ljar_, یموض, 
   {{0x672dc64f,0x443d0405,0x6f0901d2,0x00000000}},	//   ltaj, pew_, wsec, --, 
   {{0xfd6500f7,0x3869c650,0x6f09c651,0xd9de0bf5}},	//   _thuậ, njar_, tsec, _मल्ट, 
   {{0x672dc652,0xfc3f014b,0x00000000,0x00000000}},	//   ntaj, deí_, --, --, 
   {{0x63bbc653,0x672dc654,0xd0110019,0x63a900b9}},	//   _iyun, itaj, _چلا_, _ixen, 
   {{0x6281c655,0x63bb0e34,0x3207c656,0x672d1066}},	//   _illo, _hyun, many_, htaj, 
   {{0xeb9a67bd,0x320705f0,0x63bbc657,0x672dc658}},	//   дим_, lany_, _kyun, ktaj, 
   {{0xc4d20137,0x28db04b7,0x6d4e0eca,0x672d00ca}},	//   יגט_, _मंजि, åbar, jtaj, 
   {{0x32070489,0x63bbc659,0x672d0097,0x8f8000f0}},	//   nany_, _myun, dtaj, _ықыл, 
   {{0xa3c502e6,0x672d107c,0x291800b4,0x00000000}},	//   ॉइड_, etaj, urra_, --, 
   {{0x63bb03b0,0x32070489,0xbb8600eb,0x63a90219}},	//   _oyun, hany_, _للبي, _oxen, 
   {{0xb8e905fd,0x320705f0,0x63bbc65a,0x4cc80086}},	// [cdc0] _ली_, kany_, _nyun, _রংপু, 
   {{0xe8e000e7,0x386902be,0x068326ea,0x87b90176}},	//   _chợt_, ajar_, агун, хуст_, 
   {{0x63a909a1,0x63bbc65b,0x3207c65c,0x7ae4c65d}},	//   _axen, _ayun, dany_, _huit, 
   {{0x7413c65e,0x7ae4c65f,0xd7061a9e,0x6281c660}},	//   لوما, _kuit, _изми, _allo, 
   {{0x32070180,0x628100e5,0x63bb007c,0xfe211c54}},	//   fany_, _bllo, _cyun, _मांस_, 
   {{0x7ae4c661,0xc7b30056,0x63bb0175,0x3207c662}},	//   _muit, _כבר_, _dyun, gany_, 
   {{0x30a6152e,0x63a90503,0x4a9b00c7,0x1a9b00c7}},	//   крив, _exen, ויסג, ויסע, 
   {{0x6281c663,0xd01000eb,0x935a0cdf,0x23710034}},	//   _ello, حلة_, _орзу_, ënjë_, 
   {{0xa2e602fb,0x320700a9,0x787867b2,0x7ae4c664}},	//   _розд, bany_, _cívi, _nuit, 
   {{0xb0610088,0x78789a82,0x2486003d,0x33b50028}},	//   _ääne, _dívi, lhom_, _сёст, 
   {{0xfe6f00eb,0x7e7ac665,0x6298008b,0x361b027a}},	//   تدي_, rktp, mivo, וויד, 
   {{0x7ae4c666,0x62984b69,0x2486c667,0x672d138c}},	//   _buit, livo, nhom_, ytaj, 
   {{0x7ae4c668,0x6d5e00ca,0xfc3f019c,0x9e34c669}},	//   _cuit, _špad, reí_, _белч, 
   {{0x7ae4c66a,0x6298c66b,0x00000000,0x00000000}},	//   _duit, nivo, --, --, 
   {{0x3869c66c,0xfce302a6,0x6d34c66d,0x7ae400a1}},	//   tjar_, _којо, _сейф, _euit, 
   {{0x672d030f,0x32079283,0x7ae493aa,0xa3d301a4}},	//   ttaj, zany_, _fuit, हेड_, 
   {{0x38697ad0,0x2486003d,0x672dc66e,0x26071137}},	// [cdd0] rjar_, dhom_, utaj, вчег, 
   {{0xd04b06d0,0x63bb0027,0x6d5e7461,0x3869017b}},	//   _digə, _ryun, _àpas, sjar_, 
   {{0x32077583,0xdc4300bc,0x846701d8,0xf5e4017b}},	//   vany_, _léčb, къде, ріум, 
   {{0x3207006a,0x5f13000f,0x224c00e2,0xb4bf0e49}},	//   wany_, _दिल्_, _aadk_, ुगे_, 
   {{0x3207c66f,0x862500d6,0x7d1a0380,0x224c040b}},	//   tany_, _مکال, hrts, _badk_, 
   {{0x2b1b0366,0x62982e00,0x63bb018e,0x00000000}},	//   _बिनु_, givo, _vyun, --, 
   {{0x56942ffc,0xd5b8196c,0x32077583,0x9f5f0068}},	//   _тарт, _аст_, rany_, rauí_, 
   {{0x32079283,0x68e502cd,0x248605a8,0xd1740a31}},	//   sany_, _muhd, chom_, рышы, 
   {{0x32072bbf,0x99bf0086,0xa30300f0,0xe3b800b3}},	//   pany_, _আলোক, _түле, _алтч_, 
   {{0x62811cf0,0x7ae4c670,0x787808b2,0x00000000}},	//   _ullo, _ruit, _vívi, --, 
   {{0x7ae48be9,0x78a90352,0x68e301e5,0x5184005b}},	//   _suit, čevj, _éndh, _куца, 
   {{0xdb0d040a,0x7ae4c671,0x32050019,0x00000000}},	//   _azañ, _puit, _hely_, --, 
   {{0x320505f0,0x7ae4c672,0x7d1a10f3,0xbf6729ce}},	//   _kely_, _quit, arts, _جداو, 
   {{0x7ae4c673,0x1e840769,0xbf9a035c,0x8f9a027a}},	//   _vuit, _клім, _אינש, _איני, 
   {{0x63be00ab,0xb606026e,0x32050019,0xed591cc1}},	//   ępni, ntáž, _mely_, _чой_, 
   {{0x7ae4c674,0xb6030098,0x38cb009c,0x00000000}},	//   _tuit, hráč, فاقی_, --, 
   {{0x9b460629,0x6d5e7254,0x47c602a0,0x00000000}},	// [cde0] _صندو, _àpar, убав, --, 
   {{0x6844005e,0x4a461d69,0xb60600da,0x00000000}},	//   ынға, _снов, ktáž, --, 
   {{0x2486c675,0x68e5010c,0x29560141,0x62982558}},	//   thom_, _guhd, _съпр, vivo, 
   {{0x7c264b60,0x32050054,0x2366006d,0xb386c676}},	//   ngkr, _aely_, txoj_, ллел, 
   {{0x62981408,0xe29a0a43,0x68e5c677,0x2486c678}},	//   tivo, над_, _zuhd, rhom_, 
   {{0x851c0081,0x55e33b0a,0x6f1bc679,0x24864297}},	//   _पटपट_, _горб, druc, shom_, 
   {{0x6298c67a,0x00000000,0x00000000,0x00000000}},	//   rivo, --, --, --, 
   {{0x764e38b1,0x6298687a,0x3f141d83,0x6f1b02eb}},	//   _haby, sivo, адис, fruc, 
   {{0x27e209b7,0x44260495,0x7e2a0965,0x764ec67b}},	//   _mgkn_, mgo_, ніна_, _kaby, 
   {{0x4426c67c,0x225e085f,0x64420038,0x3205c67d}},	//   lgo_, _untk_, leoi, _gely_, 
   {{0x5275af40,0x4426002b,0xc04fc67e,0x2d8100b0}},	//   _туту, ogo_, _лі_, _ühel_, 
   {{0x4426c67f,0x6f1bc680,0x5b2711e7,0x644200eb}},	//   ngo_, bruc, льга, neoi, 
   {{0x4426c681,0x6f1bc103,0x68e500c8,0xdfd20038}},	//   igo_, cruc, _suhd, _ايش_, 
   {{0x764ec682,0x68e500c8,0x64420038,0x7c2601d2}},	//   _naby, _puhd, heoi, agkr, 
   {{0xd9180278,0x02e1000d,0x44260226,0x82770070}},	//   льт_, _पढ्न, kgo_, נעלע_, 
   {{0x57f500dd,0x6f02905d,0x6d4ac683,0x6d581032}},	//   рпат, _kwoc, _isfa, _irva, 
   {{0x6d5808b1,0x64420084,0x76b900a3,0x4426c2bc}},	// [cdf0] _hrva, deoi, влар_, dgo_, 
   {{0x4426c684,0x5f1c01a4,0xe4e7004f,0x200600b4}},	//   ego_, _मिन्_, гідн, _leoi_, 
   {{0x290cc685,0x3cea00c2,0x86e400a3,0xfc3fc35a}},	//   ádat_, _घूमे_, _қўяд, cníc_, 
   {{0x4426c686,0xd5b8c687,0x64423d84,0x6f020035}},	//   ggo_, усу_, geoi, _owoc, 
   {{0xd5af0105,0x442901dd,0x7680027e,0x00000000}},	//   _کہا_, ļa_, _köyl, --, 
   {{0x4426c688,0x442973a8,0x272f0761,0x6f1b4ea9}},	//   ago_, ża_, mün_, vruc, 
   {{0x6d4a0415,0x32050054,0xfa7800d1,0x2019019c}},	//   _nsfa, _vely_, רעות_, ósio_, 
   {{0x6f1b1d9c,0x69c800ab,0xb606014b,0xccf70258}},	//   truc, żdeg, rtáž, ққи_, 
   {{0x6d58c689,0x272f0824,0x4f060f6b,0x8fa5c68a}},	//   _arva, nün_, анын_, рапе, 
   {{0x6f1bb690,0x78a4c68b,0x2ca900c2,0xf1ca00da}},	//   rruc, zniv, _ajad_, _stáž_, 
   {{0x6d5802fe,0x2ca9008a,0x708400d3,0xddc558d8}},	//   _crva, _bjad_, ргөз, рбни, 
   {{0x673d2c65,0x6f1b01c4,0x272f0585,0xae2100c9}},	//   _opsj, pruc, kün_, _माकन_, 
   {{0x6d5816af,0x76800c05,0x984806d0,0x69c1027e}},	//   _erva, _böyl, xşı_, ülen, 
   {{0x4426c68c,0x660700bc,0x00000000,0x00000000}},	//   zgo_, _nejk, --, --, 
   {{0xd946239f,0x442603c6,0x78a4c68d,0xc89614b7}},	//   шеви, ygo_, tniv, арањ, 
   {{0x661502a2,0x7d5600a7,0x7d1c1d40,0x78a4c68e}},	//   _adzk, _כיצד_, árse, univ, 
   {{0x753c0da6,0x272f213d,0x57e703dc,0xbb465282}},	// [ce00] _sprz, gün_, рдум_, _тепк, 
   {{0x98480e7b,0x3ab3004e,0x290c0038,0x764e09c7}},	//   rşı_, _дәст, ádas_, _qaby, 
   {{0x644200eb,0x920201dd,0x4426040c,0x00000000}},	//   teoi, šāka, tgo_, --, 
   {{0x44260009,0x2257009c,0x58d30165,0x764e5ab4}},	//   ugo_, یلند_, _моќт, _waby, 
   {{0x644200eb,0x764e8f0c,0x6607012c,0xf2e8009c}},	//   reoi, _taby, _fejk, اکره_, 
   {{0x4426c68f,0x64420038,0x8b5700c7,0xc2b60267}},	//   sgo_, seoi, יינס_, шљењ, 
   {{0x35a353f3,0xe5a39405,0x753c0035,0x200600b4}},	//   _дарг, _дири, _uprz, _peoi_, 
   {{0x64a6c690,0xc1a6004e,0x9f4f04b3,0x395a0183}},	//   _таба, лыққ, _negó_, _mrps_, 
   {{0x4fc60028,0x08770070,0x5f9400d3,0x00000000}},	//   шска, שעפט_, сипт, --, 
   {{0x6d581e27,0xd73700df,0x00000000,0x00000000}},	//   _prva, סטית_, --, --, 
   {{0x272f0540,0x9f690176,0x7d0300f3,0x395a01f2}},	//   zün_, врӯз_, _cwns, _nrps_, 
   {{0x76800749,0xb17b0137,0xc19b00a7,0xa17b00c7}},	//   _söyl, _שטאר, _בשבי, _שטאט, 
   {{0x395a023e,0x3a3a0574,0xdef40009,0x2f181193}},	//   _arps_, _bbpp_, _уплы, _соль_, 
   {{0x6d583077,0x8af00095,0x386205d5,0xfd970296}},	//   _trva, _irəl, _ankr_, ائیت_, 
   {{0x6d582082,0xdd93c691,0xf807183d,0xfc3f033c}},	//   _urva, _машы, ичан, anía_, 
   {{0x272f38fa,0x673d023e,0xba270033,0x66071f57}},	//   tün_, _ppsj, য়েড_, _sejk, 
   {{0x7c2dc692,0x35e758d0,0x66070304,0x96eb017b}},	// [ce10] _icar, ацев, _pejk, тьба_, 
   {{0xbebd417f,0xc61f0086,0x7c2d009c,0x272fc693}},	//   ltūr, ন্না_, _hcar, rün_, 
   {{0xf3f90d47,0x19ab02a0,0x4ab40c46,0x272fc694}},	//   гнеш_, _штип_, ंकरव, sün_, 
   {{0xdd86082c,0xbebd2a68,0xe4a4004f,0x5dd90070}},	//   _ہو_, ntūr, орчо, אַנס, 
   {{0xb4c70262,0x66070034,0xa8020068,0x00000000}},	//   _उठी_, _tejk, óñen, --, 
   {{0xa22920f7,0xa5f8c695,0x00000000,0x00000000}},	//   ужка_, _веру_, --, --, 
   {{0xbebd2a68,0x76450054,0x98770248,0x00000000}},	//   ktūr, mehy, lçı_, --, 
   {{0xfbdf11c9,0x1dba0eda,0x671b01a4,0xd7f80108}},	//   ndês_, _उड़त, _फटाक_, _đăk_, 
   {{0x442d175b,0x98770248,0x7e75039f,0x00000000}},	//   _ice_, nçı_, özpo, --, 
   {{0xe1f0c696,0x7c2d067c,0x628ac697,0x1e850531}},	//   _قسم_, _acar, chfo, слом, 
   {{0xa3d300a2,0x5f13034d,0xfc46253f,0xc21200a7}},	//   हेर_, _दिक्_, šíme_, _זהב_, 
   {{0xcb6a1d65,0x98770761,0xa2c500f4,0x249d00f8}},	//   гаме_, kçı_, ितव्, niwm_, 
   {{0x442dc698,0x929d0035,0x395a994f,0x00000000}},	//   _mce_, _zwła, _srps_, --, 
   {{0x7c2dc699,0x00000000,0x00000000,0x00000000}},	//   _ecar, --, --, --, 
   {{0x6da201a2,0xada22e99,0xbcf50d4b,0x7e7c0380}},	//   _ниша, _нашл, _استغ, örpe, 
   {{0x442d006f,0x7c2d007a,0xf78a009e,0x08c61a57}},	//   _nce_, _gcar, _neçû_, ёбан, 
   {{0xa6865e3d,0x00000000,0x00000000,0x00000000}},	// [ce20] блад, --, --, --, 
   {{0x49ba031b,0x78bd2afd,0x7ebd00f6,0x442d015c}},	//   _ماجد_, _eksv, cèpt, _ace_, 
   {{0xa3da126e,0x09d60033,0x64a6004f,0x7ebd00b9}},	//   डेन_, _ত্রা, бажа, lèps, 
   {{0xa5079aba,0x186a4064,0xe1ff0023,0x986a00b3}},	//   сеца_, _сами_, _đóa_, _симб_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x46160105,0xbb3b0070,0x00000000,0x00000000}},	//   _دوسر, רעסי, --, --, 
   {{0xc05a00f0,0xfbdf010c,0x41b41372,0x00000000}},	//   гіп_, ndêr_, غمبر, --, 
   {{0x2b401e31,0xa087013e,0x2ef4c69a,0x00000000}},	//   _opic_, йсыз_, озир, --, 
   {{0x638600b9,0x7de600f0,0x3f8202d9,0x93aa010e}},	//   _угаа, йінд, áku_, _صارف_, 
   {{0x7c2d9f56,0x6e66c69b,0x22f700d1,0x00000000}},	//   _scar, стиж, _לזמן_, --, 
   {{0xb6bb0137,0x320e00a9,0x628801ca,0x635e107c}},	//   רציי, mafy_, _ildo, _dănţ, 
   {{0x69c101f0,0x320ec69c,0x7e6302a5,0x999a0028}},	//   ülem, lafy_, _ennp, _lapų_, 
   {{0x7c2d0310,0x29110083,0x00000000,0x00000000}},	//   _vcar, wsza_, --, --, 
   {{0xa3da0a44,0x320e0379,0xbebd0243,0x00000000}},	//   डेय_, nafy_, stūr, --, 
   {{0xc61f0033,0x7c2d00a1,0x2b4000df,0x00000000}},	//   ন্ডা_, _tcar, _epic_, --, 
   {{0xc4c40456,0xb4c70262,0x98770540,0xa3d30c59}},	//   _سے_, _उठे_, tçı_, हेँ_, 
   {{0x2911006b,0xd7f891be,0xe7306223,0x768000c8}},	// [ce30] ssza_, сус_, فصل_, _köyh, 
   {{0xf7702e10,0x7bcd01dd,0x29110035,0xeef700d1}},	//   راق_, _izau, psza_, צמבר_, 
   {{0x320e0180,0x7afdc69d,0xe507007a,0x2cfb0147}},	//   dafy_, lpst, صباي, ָלדא, 
   {{0x7afd038c,0xccf300c7,0x3aef0b8b,0x291e0588}},	//   opst, לכע_, _küp_, štac_, 
   {{0xa3d30c06,0xe3b30038,0x320e01a7,0xa2c5009a}},	//   हें_, أرض_, fafy_, ितल्, 
   {{0xd9fb0fc0,0x320e0379,0x911900d9,0x96930535}},	//   ्रित_, gafy_, ациу_, _عیاش, 
   {{0x442dc69e,0xdcf501dd,0xb145004f,0x1bf90249}},	//   _tce_, ēcīg, інил, ंडाल_, 
   {{0xef191ca5,0x2eb300a2,0x442dc69f,0xf43400b3}},	//   ами_, ुत्त, _uce_, _несэ, 
   {{0xae890161,0xd9fb009a,0xa4d4004f,0x200d0102}},	//   ибиз_, ्रात_, _хоті, raei_, 
   {{0xee365efb,0x273b00d9,0xaec20259,0x00000000}},	//   онь_, mână_, мбыл, --, 
   {{0xdc6a03dc,0x2b400183,0x7bcd0532,0x92680508}},	//   аанд_, _spic_, _azau, _урта_, 
   {{0x2d8b006a,0x7d1c010e,0x6283243f,0x2247c6a0}},	//   ące_, ársa, lkno, lenk_, 
   {{0x2d83113f,0x10d80038,0x66d00080,0x00000000}},	//   šje_, _ابلغ_, läke, --, 
   {{0xf8bfc6a1,0xc61f0086,0xefb3009c,0x66cb0d16}},	//   _aké_, ন্তা_, _ویژگ, yüka, 
   {{0x38c8040f,0x7bcd0a9f,0x09e3c6a2,0x7afd11da}},	//   ماری_, _ezau, дорн, apst, 
   {{0x22477efd,0x320e01a7,0xfbdf010c,0x00000000}},	//   henk_, zafy_, rdêr_, --, 
   {{0xe1ff001b,0x68fc00ca,0x6283383f,0x22470604}},	// [ce40] _đón_, sprd, kkno, kenk_, 
   {{0xd6260038,0x2247c6a3,0x00000000,0x00000000}},	//   تعري, jenk_, --, --, 
   {{0x37e6c6a4,0xa96a1818,0x224711da,0x53e61003}},	//   _монг, _тина_, denk_, оцла, 
   {{0x629a02a2,0x67df0028,0xd7f91d06,0x6abc0a99}},	//   _smto, _sąjū, _гуё_, lorf, 
   {{0x926a71ca,0x13390019,0x320e0180,0x68e3023e}},	//   ирка_, متوں_, tafy_, _ènda, 
   {{0x2734c6a5,0xdce900bc,0x68e30175,0xda0a55bc}},	//   män_, íněn, _éndr, वरित_, 
   {{0x273400c8,0x320e023a,0xa08a05e6,0x67360b58}},	//   län_, rafy_, исиз_, ltyj, 
   {{0xb97b00c7,0xc05a1d9a,0xc61f0033,0xdce20028}},	//   ינצי, рік_, ন্দা_, mylė, 
   {{0xeeaa00dd,0x228b004f,0x03a3c6a6,0x25de009a}},	//   иток_, _søke_, _жито, _कृती_, 
   {{0x6283c6a7,0x69c175c4,0x614601a2,0xb223049b}},	//   ckno, ülek, _меза, _омул, 
   {{0x27340df8,0xd00f9123,0x6abcc6a8,0x3c5900b3}},	//   hän_, _оф_, dorf, бинэ_, 
   {{0x27341279,0xdee6c6a9,0x656800f6,0x00000000}},	//   kän_, _доди, _àdhu, --, 
   {{0x27340088,0x320c0187,0x6abc00fb,0x6fb60038}},	//   jän_, _kedy_, forf, _بمشا, 
   {{0x2734030f,0x7afdc6aa,0xfc3f02d9,0x997300d8}},	//   dän_, rpst, mním_, _věže_, 
   {{0xfc3f00bc,0x58d526e7,0x320c00de,0x00000000}},	//   lním_, зовт, _medy_, --, 
   {{0x7afdc6ab,0x5b151571,0x3aef0241,0x00000000}},	//   ppst, _емит, _tüp_, --, 
   {{0xfc3f02d9,0x6d5a039f,0x7bcd2f26,0x00000000}},	// [ce50] nním_, lvta, _uzau, --, 
   {{0x693500b3,0xaad21ad9,0xe5c700b9,0x00000000}},	//   _еноу, _दीपक, осео, --, 
   {{0x7aed6693,0xea0000e7,0xc5391628,0xfaff021e}},	//   _huat, _hiếu_, спех_, lpë_, 
   {{0xe3b313b4,0x78a9c6ac,0xf494009c,0xf484252a}},	//   ورش_, čevs, وشند, мучн, 
   {{0x320c023a,0xb5f300f0,0xeab00444,0x6d5e0fb5}},	//   _bedy_, _жүзі, _سعی_, _špal, 
   {{0x09df100b,0xe1f11fdb,0x7aed0a13,0xfc3f031e}},	//   _ব্যা, رست_, _muat, dním_, 
   {{0x7aedb8ca,0x91e2804d,0x320c0045,0x62830f41}},	//   _luat, ноше, _dedy_, rkno, 
   {{0x7ae50077,0x6283c6ad,0x765508b0,0x7aed0e83}},	//   _liht, skno, _hazy, _ouat, 
   {{0x60061838,0x66d0161f,0x69c5c6ae,0x7655819e}},	//   чным_, säke, _lyhe, _kazy, 
   {{0x76550076,0x6eed0032,0x7ae50175,0x320c1958}},	//   _jazy, _hĺbk, _niht, _gedy_, 
   {{0x69c50533,0x25de02e6,0x7f420151,0x7e7c02ae}},	//   _nyhe, केपी_, _epoq, örpa, 
   {{0x7aed2998,0x50640386,0xfc3f00bc,0x6abc0380}},	//   _buat, _отча, bním_, worf, 
   {{0x7aed0a5e,0x6abcc6af,0x443f3875,0x6d5a05a1}},	//   _cuat, torf, _mbu_, avta, 
   {{0x2734c6a5,0xddc801dd,0x76550035,0x443f023e}},	//   vän_, ņoša, _nazy, _lbu_, 
   {{0x186a3173,0x7ae50a1a,0x6d460035,0xdcf9009c}},	//   бави_, _diht, łkar, _ارتش_, 
   {{0x38661056,0x67360088,0x2734a3f4,0x7aedc6b0}},	//   ñor_, ttyj, tän_, _fuat, 
   {{0xe61a1834,0x765531b9,0x6abc02a0,0xf74309f6}},	// [ce60] йда_, _bazy, porf, нето, 
   {{0x443f3580,0x8cc40035,0x7ae50304,0x2734c6b1}},	//   _abu_, रतको, _giht, rän_, 
   {{0x273400c8,0x443f02a5,0x20c1007a,0x67360504}},	//   sän_, _bbu_, nóis_, styj, 
   {{0x443f0870,0x66e6c6b2,0x6d430054,0xd499004f}},	//   _cbu_, _нома, _mpna, орі_, 
   {{0x833a00c8,0x443fc6b3,0x69c00241,0x2a7a0688}},	//   счет_, _dbu_, şmed, _kopb_, 
   {{0x443fc6b4,0x6d43c6b5,0xfc3f031e,0x78bb015e}},	//   _ebu_, _opna, vním_, čuve, 
   {{0x15431ac0,0x672401c8,0xa3da00a5,0x320c0032}},	//   _перм, lrij, डे़_, _vedy_, 
   {{0x443f016a,0xfc3f00bc,0x660e0218,0x7e78add5}},	//   _gbu_, tním_, _hebk, _sovp, 
   {{0x320c031e,0x7e7802ee,0xaed403dc,0x6724c6b6}},	//   _tedy_, _povp, моиш, nrij, 
   {{0x660e002a,0x2486c6b7,0x46be031e,0xfc3f00bc}},	//   _jebk, lkom_, ्तिह, rním_, 
   {{0x67240536,0x7aed0730,0x2d8200ca,0xfc3f02d9}},	//   hrij, _suat, _očeš_, sním_, 
   {{0x68e60076,0x7ae5c6b8,0xa3d3031e,0x6d5ac6b9}},	//   _nikd, _siht, हेक_, rvta, 
   {{0x7aedc6ba,0xfc3f026e,0x60c2b97a,0x7b640a84}},	//   _quat, lník_, _ikom, нтре, 
   {{0x67240536,0xdfa50084,0xdee30082,0x34a90262}},	//   drij, _تحمي, _зочи, _कद्द, 
   {{0xfc3f0228,0x291e1dc8,0x7ae5033d,0x60c280c3}},	//   nník_, štan_, _viht, _kkom, 
   {{0x7aed0014,0x2486003a,0x3ebe0019,0x7655023a}},	//   _tuat, jkom_, lott_, _sazy, 
   {{0x6724c6bb,0x443f02a2,0x2486c6bc,0x7ae500b0}},	// [ce70] grij, _rbu_, dkom_, _tiht, 
   {{0xcb120052,0x20c10038,0x443f03c5,0x2486c6bd}},	//   _שלי_, nóir_, _sbu_, ekom_, 
   {{0xfc3f0098,0x68e3023e,0x68e602be,0x6d5e10d4}},	//   jník_, _èndo, _fikd, _špaj, 
   {{0x6724a614,0xfc3f026e,0x20c100eb,0x60c2c6be}},	//   brij, dník_, hóir_, _nkom, 
   {{0x2fc601a0,0x3ebe8e9f,0x7655c6bf,0x20c102be}},	//   _nyog_, kott_, _tazy, zóis_, 
   {{0x60c2c6c0,0x78adc6c1,0x614500d9,0xa1c5c6c2}},	//   _akom, lnav, дека, мблд, 
   {{0x3ebec6c3,0x78ad9d50,0x2486c6c4,0x20c10038}},	//   dott_, onav, bkom_, dóir_, 
   {{0x443f099d,0x78adc6c5,0x24860c88,0x7c3d02b0}},	//   _ubu_, nnav, ckom_, jfsr, 
   {{0x66d0183f,0x644bc6c6,0x66cb0540,0x66c20054}},	//   läka, megi, yükl, môkr, 
   {{0x644bc6c7,0x6459c6c8,0x60c2c6c9,0x20c100eb}},	//   legi, ldwi, _ekom, góir_, 
   {{0x6724027c,0x248d65aa,0xfc3f0098,0x78adc6ca}},	//   zrij, _klem_, cník_, knav, 
   {{0x6459c6cb,0x644bc6cc,0x20c1c6cd,0x78ad5212}},	//   ndwi, negi, róis_, jnav, 
   {{0xeb97c6ce,0xee2e1512,0xb7f400c2,0x60c9c6cf}},	//   дия_, _ин_, _अलबम_, mlem, 
   {{0x60c9c6d0,0x67249144,0x6da502c0,0x4a75001c}},	//   llem, vrij, _оила, ныст, 
   {{0xb9b50141,0x1ae37f35,0x644bbcfb,0x66cb0213}},	//   естъ, торм, kegi, rükl, 
   {{0x7680030f,0x291e034c,0x60c9c6d1,0x186702f1}},	//   _löyt, štao_, nlem, маси_, 
   {{0xe737c6d2,0x2486c6d3,0x200fc6d4,0x07a31110}},	// [ce80] мет_, vkom_, _megi_, ватн, 
   {{0x6724c6d5,0x200fc6d6,0x248dc6d7,0x24864aca}},	//   rrij, _legi_, _alem_, wkom_, 
   {{0x60c9c6d8,0x248daf8d,0x78ad1a0d,0x6724c6d9}},	//   klem, _blem_, bnav, srij, 
   {{0x3ebe006b,0xfc3f0076,0x644bc6da,0xe1f843b3}},	//   zott_, vník_, gegi, ुर्ण_, 
   {{0x60c90a40,0x2486c6db,0x69c100c2,0x00000000}},	//   dlem, rkom_, ülev, --, 
   {{0x60c2c6dc,0xfc3f014b,0x44320035,0x26c3365d}},	//   _skom, tník_, ży_, _gkjo_, 
   {{0x644bc6dd,0x200f01f1,0x21670267,0x64a6011f}},	//   begi, _begi_, дији_, _жава, 
   {{0x60c9c6de,0x66e60a43,0x9f540b9d,0x212006f6}},	//   glem, _хоҳа, евич, čih_, 
   {{0x3ebe006b,0x200f003e,0x20c10038,0xfc3f024c}},	//   tott_, _degi_, tóir_, sník_, 
   {{0x60c9c6df,0x78a41ece,0xfc3f0098,0x11d6243d}},	//   alem, hiiv, pník_, _قتاد, 
   {{0x3ebec6e0,0x20c10038,0x3eac03d8,0xa3da00bc}},	//   rott_, róir_, rndt_, डेर_, 
   {{0x101600d6,0x60c238b1,0xc0aa024f,0x671e02e6}},	//   _آباد, _ukom, _باطل_, _पिंक_, 
   {{0x78ad02ee,0x3ebe0019,0x2fc6012b,0x7ac70f76}},	//   vnav, pott_, _uyog_, дсве, 
   {{0x60c0c6e1,0x2ca00175,0x6d5c02ae,0x98760243}},	//   lomm, _emid_, åras, _eļļu_, 
   {{0x195812d2,0x442f0f5b,0x768000c8,0x78ad01d2}},	//   мары_, ygg_, _löys, tnav, 
   {{0x58d4847f,0x60c0c6e2,0x31570070,0x7bc10585}},	//   вост, nomm, וילן_, ğlub, 
   {{0x3b540161,0x644b3667,0x6d5e00ca,0x57b5c6e3}},	// [ce90] _акыр, vegi, _špah, хбат, 
   {{0x644b0318,0x3ce9023b,0x78ad47ea,0x248d6b0e}},	//   wegi, _hiav_, snav, _slem_, 
   {{0x644bc6e4,0x60c025a6,0x3ce90201,0x60c901f0}},	//   tegi, komm, _kiav_, ylem, 
   {{0x947500d4,0x3f840028,0x7d0d0083,0x00000000}},	//   رگزا, kymu_, _łask, --, 
   {{0x200fc6e5,0x60c0c6e6,0x6459c6e7,0xa3da055d}},	//   _regi_, domm, rdwi, डेल_, 
   {{0x200f94da,0x644b0a9f,0x60c90216,0x442f0183}},	//   _segi_, segi, wlem, sgg_, 
   {{0x34956de8,0x60c9c6e8,0x200f0348,0x60db494c}},	//   _завр, tlem, _pegi_, tmum, 
   {{0x45d4c6e9,0x249f3fed,0x3ce9006d,0x60c9c6ea}},	//   _росс, _umum_, _niav_, ulem, 
   {{0x60c9c6eb,0x200fbea9,0xe2c90019,0x60dbc6ec}},	//   rlem, _vegi_, _فورو_, rmum, 
   {{0xee39148b,0xfe710084,0x60c9c6ed,0xa3b800c2}},	//   чно_, ادة_, slem, _घुट_, 
   {{0x200f007e,0x78a40065,0x60c0032a,0xa2bc0299}},	//   _tegi_, yiiv, bomm, शकर्, 
   {{0x3ce9023b,0x60c07167,0x26c1c6ee,0x672dc6ef}},	//   _ciav_, comm, hoho_, kuaj, 
   {{0x26c1026e,0x3ce90201,0xdd8e0a24,0x6d5c34db}},	//   koho_, _diav_, لوی_, årar, 
   {{0x291e0112,0x3f7a0070,0x69c80083,0x26c18f82}},	//   štam_, _מאנס, żdem, joho_, 
   {{0x78a43356,0xd943c6f0,0xdca658c2,0x3ea9031e}},	//   tiiv, лери, _паки, čitě_, 
   {{0xd9c00466,0x2ca000a3,0x76800080,0x3ea500c2}},	//   _एडीट, _umid_, _nöyr, lilt_, 
   {{0x68435f15,0x672dc6f1,0xdbd200c2,0x00000000}},	// [cea0] ынта, guaj, nüüm, --, 
   {{0x78bb00f1,0x78a4033d,0xb7d701c9,0x3ea500c2}},	//   čuva, siiv, رولا_, nilt_, 
   {{0x1a9b07f5,0x69c1006b,0x2d850151,0x4a9b0070}},	//   _זייע, ület, nyle_, _זייג, 
   {{0x3ce9023b,0x3ea5c6f2,0x672d018e,0xb4aa0110}},	//   _xiav_, hilt_, buaj, गचे_, 
   {{0x3ea51062,0xa3da0827,0x672d0126,0x26c107d7}},	//   kilt_, डें_, cuaj, boho_, 
   {{0x7d1c5d9e,0x2d850b41,0x00000000,0x00000000}},	//   ársk, kyle_, --, --, 
   {{0x60c0c6f3,0xd5b20071,0x3ea500c2,0x3b00040c}},	//   tomm, _صفر_, dilt_, _ltiq_, 
   {{0x3f840028,0xd0100038,0x653b0070,0x33260139}},	//   tymu_, جلة_, _מעלד, prox_, 
   {{0x7f94004e,0x60c0c6f4,0x4ea64ef5,0x3ea5a71b}},	//   тапх, romm, ерна, filt_, 
   {{0x60c0c6f5,0x3ce9023b,0x3ea5c6f6,0xaca7010e}},	//   somm, _siav_, gilt_, کھتے_, 
   {{0x291e00f1,0x3b000065,0x3ce901a0,0xc69300a7}},	//   štaj_, _atiq_, _piav_, ראת_, 
   {{0xe1ff00e7,0x66cb78a7,0x3ea500a1,0x00000000}},	//   _đói_, tükk, ailt_, --, 
   {{0x3ea50c43,0x8b671b65,0x3ce90201,0x9f3400dd}},	//   bilt_, راحم, _viav_, _релі, 
   {{0x628a93c8,0xdfcf00eb,0x7e6a4222,0xafe31827}},	//   nkfo, _ايه_, _unfp, _сочл, 
   {{0x3cea0c06,0x3ce901a0,0xdd8f5c52,0x9e65010e}},	//   _घंटे_, _tiav_, _сш_, _جانن, 
   {{0x672dc6f7,0x26d80096,0x7d1a098d,0x00000000}},	//   tuaj, _ahro_, msts, --, 
   {{0x66d0014e,0x16be0035,0x26c10149,0x7d1a0243}},	// [ceb0] räkn, ्तूब, toho_, lsts, 
   {{0xc13b001b,0x26d801be,0xd371009c,0x69c178a7}},	//   _cướp_, _chro_, یها_, üles, 
   {{0x09df00cc,0x7d1a194c,0x26c1c6f8,0x672d0548}},	//   _ব্রা, nsts, roho_, suaj, 
   {{0x2bde590e,0xe4e432af,0x6aa701c8,0x26c100ef}},	//   नेवा, гічн, lijf, soho_, 
   {{0x69d80228,0x672d0034,0xdd010304,0x26c1c6f9}},	//   _úver, quaj, _čučn, poho_, 
   {{0x7d1ac6fa,0x59d80110,0x00000000,0x00000000}},	//   ksts, णेकर, --, --, 
   {{0xd49b373a,0x45d4c6fb,0x3ea53245,0x00000000}},	//   _ера_, _борс, vilt_, --, 
   {{0x42d100cc,0x44f705b7,0xa4d50c8b,0x6aa702b0}},	//   াদেশ, _iç_, _робі, hijf, 
   {{0x3f8b0187,0x3ea5c6fc,0x91f50023,0x3494c6fd}},	//   ácu_, tilt_, _các, _сатр, 
   {{0x4d651d5d,0x2901019b,0x645bc6fe,0x0d0701ff}},	//   вков, _otha_, _haui, ндоқ_, 
   {{0xc5f202a1,0x3f8b1c2b,0x7d1a00e0,0x2b4902a5}},	//   ידי_, šcu_, gsts, _apac_, 
   {{0xdca6951d,0x291e00d2,0x68e3023e,0x3ea5c6ff}},	//   тами, štak_, _èndh, silt_, 
   {{0x29010204,0x3ea5c700,0x09df0033,0x00000000}},	//   _atha_, pilt_, _ব্লা, --, 
   {{0xc3320070,0x66d000c8,0x7d1a0226,0xbea5c701}},	//   בוך_, väko, bsts, _шалк, 
   {{0x44f709c7,0x2b490532,0x78bb0242,0x6f1b0502}},	//   _nç_, _epac_, čuvn, lsuc, 
   {{0xa2a10ed5,0x00000000,0x00000000,0x00000000}},	//   कोत्, --, --, --, 
   {{0x6f1b01c4,0x69c1027e,0x44f70384,0x46ea186c}},	// [cec0] nsuc, üler, _aç_, ддан_, 
   {{0xe6be1e08,0x6aa701c8,0x06b50033,0x661701cf}},	//   ्तेज, cijf, _জীবি, gaxk, 
   {{0x6f1b01c4,0xd82603b7,0x98ad027e,0x2d1f00aa}},	//   hsuc, _идни, _çoğu_, _मटोल_, 
   {{0x44f70c45,0x2b490028,0x52ca0c73,0x00000000}},	//   _dç_, _ypac_, ित्स, --, 
   {{0xe29a02c0,0xe3b22727,0x00000000,0x00000000}},	//   мад_, جرا_, --, --, 
   {{0x660300af,0x7d1a6b56,0x00000000,0x00000000}},	//   _впра, ysts, --, --, 
   {{0x645b01be,0x46a30508,0x91f50108,0x99980028}},	//   _faui, _тарв, _sác, merų_, 
   {{0x765cc702,0x855700d1,0x60d9017c,0x6f1b0502}},	//   _hary, _בשלב_, _chwm, fsuc, 
   {{0x765c12e6,0xa3d61503,0xaab2017d,0x7e2a1623}},	//   _kary, _हरि_, ँचाक, міна_, 
   {{0xd3370486,0x66cb00c2,0x6e9475da,0x00000000}},	//   _ברמה_, tüki, الدا, --, 
   {{0x765cc703,0xf29700d1,0xc04fc704,0x91e6c705}},	//   _mary, _שכבר_, _кі_, _роже, 
   {{0x4fc62baa,0x7d1a34c7,0xd08300c8,0x22490a1a}},	//   _исла, rsts, _выши, đake_, 
   {{0x7d1a2602,0x98a30083,0x5f7375da,0x00000000}},	//   ssts, nują_, _ناور, --, 
   {{0x765cc706,0xbea3c707,0x6f02008a,0x195903a1}},	//   _nary, _качк, _itoc, нагы_, 
   {{0x63be0035,0x6aa702b0,0x69c03f9d,0x59f8004f}},	//   ępny, rijf, şmen, теся_, 
   {{0x2aad2f4e,0x98a30035,0x6d580028,0x6d4a0027}},	//   džbe_, kują_, _isva, _ipfa, 
   {{0x765cc708,0xd7d50267,0x00000000,0x00000000}},	// [ced0] _bary, ужањ, --, --, 
   {{0x79a7171c,0xba552fa3,0x44f7019c,0x765c00f3}},	//   _арме, _свој, _pç_, _cary, 
   {{0x765cb3a0,0x29010532,0x9c6400d7,0x5bd300bc}},	//   _dary, _utha_, _صهیو, _सरुव, 
   {{0x7bcd02a5,0x6f02c709,0xa3190080,0xa3c70299}},	//   _kyau, _otoc, ежду_, _उडद_, 
   {{0x4c9c008d,0x765cc70a,0x6d5d01dd,0x837300a3}},	//   ובאו, _fary, āsai, шқач, 
   {{0x6d580571,0x765c1a45,0x6d4a055f,0x21590165}},	//   _osva, _gary, _opfa, ејиќ_, 
   {{0x81cb00cc,0x10a502f1,0xc6920070,0x6f02c70b}},	//   রেন_, ликн, _פאל_, _atoc, 
   {{0x6615c70c,0x30190038,0x765cc70d,0x6f1b02eb}},	//   _hezk, رتبة_, _zary, tsuc, 
   {{0x765c0610,0x661501f1,0x7bcdc70e,0x6d4a016c}},	//   _yary, _kezk, _nyau, _apfa, 
   {{0x6f1b02ec,0x82d83ffa,0x291e0028,0x6f020354}},	//   rsuc, _адус_, štai_, _dtoc, 
   {{0x273d00e7,0x6f1bc70f,0xd0110038,0x228400a3}},	//   hìn_, ssuc, _هلا_, _тутг, 
   {{0x6281c710,0x4c8407f9,0xab2a0e65,0x7bc10585}},	//   _holo, рғиз, нома_, ğlun, 
   {{0x4fa400dd,0xf1a70077,0x6d5e031e,0x59d635a4}},	//   _київ, _केतन, _špat, _धरहर, 
   {{0x628100e2,0x661502d9,0x0d7300d7,0x00000000}},	//   _jolo, _nezk, _نخبگ, --, 
   {{0x291ec711,0x6281c712,0x98a30035,0xb87b0534}},	//   éta_, _molo, zują_, _mhíf, 
   {{0x6281c713,0x63bb0095,0x48c40086,0x765c99d2}},	//   _lolo, _oxun, ্দ্র, _sary, 
   {{0x7c240084,0x765cc714,0x99980009,0x00000000}},	// [cee0] _idir, _pary, terų_, --, 
   {{0x6281c715,0xa3c70262,0xa6830978,0x00000000}},	//   _nolo, _उड़_, блуд, --, 
   {{0x765cc716,0x98a6c717,0xd0190035,0x63bbc718}},	//   _vary, _бине, kań_, _axun, 
   {{0xe3ba0a43,0xb4c00077,0xa8561b11,0x765cc719}},	//   нбе_, ुते_, _стој, _wary, 
   {{0x6281c71a,0x38609a64,0x765c012d,0x6442c71b}},	//   _bolo, mdir_, _tary, rfoi, 
   {{0x62810ad8,0x38609f45,0x7c2402f1,0x28d8109f}},	//   _colo, ldir_, _ldir, _भीति, 
   {{0x6281c71c,0x6f02c71d,0xe3b700f0,0x98a30083}},	//   _dolo, _stoc, _ұбт_, sują_, 
   {{0x3860c71e,0x9958026e,0x7c24c71f,0x3e8102d9}},	//   ndir_, káže_, _ndir, _létě_, 
   {{0x62810012,0xa3cb0366,0x3860c720,0x4424c721}},	//   _folo, _रुप_, idir_, _idm_, 
   {{0xa2e6c722,0x7c24c723,0x64a4004e,0x00000000}},	//   _созд, _adir, _саға, --, 
   {{0x38609168,0x7bcd2a41,0x44240065,0x64bc0097}},	//   kdir_, _syau, _kdm_, pčid, 
   {{0xd00f36b0,0x3a3a0068,0x6281045a,0xfbcd0086}},	//   _فلم_, _acpp_, _zolo, রেফত, 
   {{0x3860c724,0x69c001f0,0x62810532,0x7c24c725}},	//   ddir_, şmel, _yolo, _ddir, 
   {{0x8f9b07f5,0x7c2406d0,0x2eb1017d,0x6d58c726}},	//   _אידי, _edir, ीकृत, _tsva, 
   {{0x6d5804d1,0x6615c727,0x992870a1,0x6d4a0027}},	//   _usva, _rezk, люта_, _upfa, 
   {{0x694700f1,0x395a012b,0xfb8901ff,0xfc3f00b9}},	//   jčeš, _dsps_, _ароқ_, rnís_, 
   {{0x7bcd0102,0xa6158e01,0x7af60118,0x2eee0212}},	// [cef0] _uyau, имач, _guyt, _kiff_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x628116b6,0x386018d4,0xf4870543,0x00000000}},	//   _rolo, bdir_, лудн, --, 
   {{0x6281c728,0x297a035c,0xa7fb0634,0xbebd2409}},	//   _solo, _סטרא, _bañe, trūk, 
   {{0x5bd30184,0xa7fb060f,0x6615c729,0x225e011c}},	//   _सरोव, _cañe, _tezk, _batk_, 
   {{0xe8e0001b,0x8afc00c7,0xd0190035,0xa7fb0126}},	//   _đức_, עהוי, wań_, _dañe, 
   {{0x40951c32,0xd1751b17,0x4424055f,0xd0190035}},	//   ирит, рылы, _fdm_, tań_, 
   {{0x6281c72a,0x7085969b,0x5f7520b4,0x2eee00f3}},	//   _wolo, ргиз, لاخر, _aiff_, 
   {{0xef164c8d,0x98b800e0,0x62350429,0xa7fb63bc}},	//   амы_, ntrā_, _везу, _gañe, 
   {{0x99980019,0x38607428,0x672d0571,0x7c240065}},	//   zerű_, zdir_, iraj, _sdir, 
   {{0x672d026e,0x6d5e0b21,0x38600972,0x9d4500f0}},	//   hraj, _špar, ydir_, шенд, 
   {{0x7f59006d,0xb87b0183,0x64bc47e5,0x9f5d0237}},	//   _tswq, _xiít, mčic, _dewò_, 
   {{0x64490084,0x5f770411,0x7ff41ea7,0x672d0352}},	//   _mbei, _حاضر, _اسما, jraj, 
   {{0x6f090369,0xa3da4361,0x672dc72b,0x395a0089}},	//   mpec, डेट_, draj, _psps_, 
   {{0x09e6a2a3,0x38604960,0x9958014b,0xdce423f2}},	//   ровн, tdir_, sáže_, _hrnč, 
   {{0xf7720084,0x2eeec72c,0x6d410219,0x7c247613}},	//   ياء_, _ziff_, mtla, _udir, 
   {{0x3860bdff,0x672dc72d,0x6d5e0068,0x66d000c8}},	// [cf00] rdir_, graj, _ápar, läki, 
   {{0x6449c72e,0x442453e5,0xaa46a399,0xe9a7009c}},	//   _abei, _sdm_, _теол, اگین_, 
   {{0x64bc03e5,0x6d41c72f,0x395ac730,0x2baa09e5}},	//   jčic, ntla, _usps_, _चेता, 
   {{0x04460577,0x38601a3d,0x644900a1,0x3eb80121}},	//   редн, qdir_, _cbei, črti_, 
   {{0x68e492bc,0x6d4100b0,0x44248716,0x3aef01f2}},	//   mmid, htla, _vdm_, _mżpn_, 
   {{0xd36f00eb,0x6d412a8d,0x68e4c731,0xb506039f}},	//   بهه_, ktla, lmid, _نظرو, 
   {{0x5bd309d3,0x64930749,0x44240379,0xbbd31080}},	//   _सर्व, _için, _tdm_, _सर्क, 
   {{0x8f46013d,0x2249090b,0x2fcf33fc,0x68e4c732}},	//   аход, đaka_, _bygg_, nmid, 
   {{0x6d410035,0xdce40613,0xa06708bd,0xb87b010e}},	//   etla, _crnč, рања_, _kiír, 
   {{0x26c703ef,0x68e4c733,0x6d41c734,0x99870032}},	//   čnog_, hmid, ftla, _čiže_, 
   {{0x2484c735,0x60c40352,0x85f70070,0xddd80144}},	//   _komm_, čimb, יציע_, _bovš, 
   {{0xdb0403da,0x2aad443c,0xa2da00bd,0x321c014b}},	//   _axiñ, džba_, _पीत्, lavy_, 
   {{0x6d41c736,0xdce40ab4,0x68e431e9,0xa3da0110}},	//   atla, _grnč, dmid, डेच_, 
   {{0x68e400b0,0x321c264b,0x00000000,0x00000000}},	//   emid, navy_, --, --, 
   {{0x2bd304bd,0xd7fb03dc,0xa8a73c72,0x76b900a3}},	//   _सरका, вуз_, арак, ҳлар_, 
   {{0x1410000f,0x23660062,0x88940088,0x68e40a58}},	//   ारोह_, kvoj_, оисх, gmid, 
   {{0x56950e12,0xaa890fd0,0x321c0180,0x80c700a5}},	// [cf10] баат, _منظم_, kavy_, ावते, 
   {{0x672d02ba,0x321c020b,0x68e4c737,0x2607c738}},	//   rraj, javy_, amid, рчаг, 
   {{0x2484084c,0x6f090098,0x2bda009c,0x672d14c0}},	//   _bomm_, zpec, _لایک_, sraj, 
   {{0x672dc739,0x2d9e00b4,0x00000000,0x00000000}},	//   praj, izte_, --, --, 
   {{0xe3b0091d,0x291e0308,0x08760070,0x78ad076b}},	//   وره_, štat_, _הערט_, miav, 
   {{0x6d41132c,0x78ad012d,0x2fcf0eca,0x984f0241}},	//   ytla, liav, _rygg_, _işık_, 
   {{0xb5e500cc,0xf59500eb,0x6d414a25,0x2ca99485}},	//   _প্রচ, _الأج, xtla, _omad_, 
   {{0x78adc73a,0xf3f900d9,0x19b800a7,0x64bcc73b}},	//   niav, _faţa_, יפור_, rčic, 
   {{0x200dc73c,0x321cc73d,0x63a40038,0x1ec901a2}},	//   rbei_, bavy_, úint, ллии_, 
   {{0x6f09c73e,0xed5900f6,0x78adc73f,0x6d414b22}},	//   rpec, гоо_, hiav, ttla, 
   {{0xddd81a01,0x64bc0028,0x2d9102d9,0xdff51623}},	//   _povš, lčia, áze_, _ляль, 
   {{0x6d416c30,0xc18c00c7,0x3b0a02a0,0x22990118}},	//   rtla, _שטאָ, лемо_, _dèke_, 
   {{0x6d41c740,0x64bcc37e,0x78ad188a,0x60c9039b}},	//   stla, nčia, diav, moem, 
   {{0x64bc012d,0x2bde05e5,0xd37a0070,0x60c9c741}},	//   ičia, नेगा, ארשט, loem, 
   {{0xfaa3270e,0xf2d207e4,0x2d8c0068,0x35ac00a5}},	//   чаро, פעל_, cyde_, _टेढ़, 
   {{0x60c90265,0x2aad014b,0x98a3c742,0x64bc0009}},	//   noem, ržba_, писе, kčia, 
   {{0xd70ac743,0x64bc0228,0xac970523,0x3f8dc744}},	// [cf20] унзе_, jčia, _دنيا_, nyeu_, 
   {{0xe617687e,0xe7f407d5,0x60c9c745,0x3cdc009a}},	//   йду_, _अलका_, hoem, _गीते_, 
   {{0x321c05f0,0x3ce00201,0x64bc012d,0x452a1fc5}},	//   vavy_, _khiv_, ečia, ужен_, 
   {{0x291e00e4,0x78ad4771,0xb606014b,0x00000000}},	//   štas_, ciav, dráž, --, 
   {{0x321cc73d,0x828400a3,0x6493035d,0xcc3b0070}},	//   tavy_, оқад, _içil, רענט, 
   {{0x6d170035,0xd9fa08b4,0x66d90379,0xa30b010e}},	//   _दबंग_, ्डित_, pìka, ارنے_, 
   {{0x321c3077,0x81cb0086,0x60c9318d,0xd14a009c}},	//   ravy_, রেস_, foem, اشتن_, 
   {{0xd176005e,0x2ed008f1,0x831a195e,0x321c01a7}},	//   _қызы, हत्त, _مقرر_, savy_, 
   {{0xdfd0057f,0x9ccb005e,0x08770070,0x4cce0033}},	//   بية_, ғына_, מעקט_, রগাঁ, 
   {{0xa7fb15c4,0x2d9e02f2,0xb87b00e7,0xa75b00c7}},	//   _maña, tzte_, _khíc, נדיר, 
   {{0x3eac0f95,0xa7fb0183,0xa2c50e07,0x98c800aa}},	//   ridt_, _laña, ाकर्, लवाए, 
   {{0x3ce001a0,0xb87b0038,0xe7f4007e,0x2d9e0502}},	//   _chiv_, _mhíc, _अलगा_, rzte_, 
   {{0x661e2998,0x78adc746,0x00000000,0x00000000}},	//   kapk, viav, --, --, 
   {{0xdd941625,0xdb0a0a6d,0x6fdd0110,0x661e0574}},	//   _малы, ðnám, _परतू, japk, 
   {{0x78ad05f0,0x661e085f,0x66d00088,0x3862c747}},	//   tiav, dapk, näku, _bakr_, 
   {{0xa7fbb951,0xb7150093,0x2ca9c748,0x64bc0009}},	//   _baña, ждащ, _umad_, yčia, 
   {{0xa7fbc749,0x78adc74a,0x291ec74b,0x69c80502}},	// [cf30] _caña, riav, átar_, üder, 
   {{0x661e2a41,0xa7fb05b9,0x6c350a24,0x24530108}},	//   gapk, _daña, _افکا, _ảm_, 
   {{0x291e2b4a,0xb87bc74c,0x78ad0dfa,0xf3f91782}},	//   štar_, _chíc, piav, анеш_, 
   {{0xd7f81a31,0xb87b007a,0x44fe08b0,0x7d040fb5}},	//   _гур_, _dhíc, _dï_, _čisl, 
   {{0xa7fb09a1,0x1dcf0262,0x98b800d9,0x083a0070}},	//   _gaña, _सुनत, stră_, _דערל, 
   {{0x661e3eac,0x64bc9cc8,0x6493008f,0xb6060098}},	//   capk, rčia, _içim, tráž, 
   {{0x349503ea,0x60c91cf0,0x91e260cc,0x64bc17cb}},	//   _давр, toem, моше, sčia, 
   {{0xaf051b82,0x3f42008c,0x6ea6031e,0x64bcc74d}},	//   опил, fðu_, टोसु, lčin, 
   {{0xb4d50fcf,0x60c90a58,0x3f42003e,0x81c701dd}},	//   हती_, roem, gðu_, dzēš, 
   {{0x92b70fd0,0x64bca1a5,0xfd490eba,0xa2cb00b3}},	//   _احرا, nčin, азок_, _субз_, 
   {{0xa2c60484,0x443f02fe,0x3ce0006d,0x66d00219}},	//   िवर्, _kcu_, _phiv_, mäkt, 
   {{0x25e10d53,0x1bea8160,0xceb80083,0xfaff021e}},	//   _करनी_, идни_, anę_, rvën_, 
   {{0x98b80028,0xe79c0241,0x00000000,0x00000000}},	//   ntrą_, düğü, --, --, 
   {{0x64bc090e,0x201fc74e,0xa7fb0068,0xbebd0243}},	//   jčin, laui_, _raña, grūt, 
   {{0x81cb100b,0x443f0062,0xfbde0a20,0x3ce0023b}},	//   রের_, _ocu_, नेजम, _thiv_, 
   {{0xa7fb05b9,0x443f0201,0x64bc020b,0x00000000}},	//   _paña, _ncu_, ečin, --, 
   {{0xe61a4521,0xe73ac74f,0x661e0730,0x7e63c750}},	// [cf40] ида_, рез_, tapk, _kanp, 
   {{0x443f0084,0xd62a1d02,0xb87b0108,0x00000000}},	//   _acu_, роже_, _phíc, --, 
   {{0x661e1237,0x201f00e2,0x00000000,0x00000000}},	//   rapk, kaui_, --, --, 
   {{0xe73a9b0c,0x7e630a9f,0x69dec751,0x938a1571}},	//   _кем_, _lanp, _izpe, исла_, 
   {{0x660901f0,0x443fc752,0x66e6bf02,0xd7de00bc}},	//   _şeke, _dcu_, _мома, _मरिच, 
   {{0xb87b00f7,0x6724c753,0xe5a61297,0x7e63c754}},	//   _thíc, msij, _диги, _nanp, 
   {{0x6724c755,0xd1300038,0x052700b3,0x69d80566}},	//   lsij, رمة_, _морк_, _øved, 
   {{0x661cc756,0x7e630265,0x228b017b,0x32db009e}},	//   _herk, _aanp, _søkt_, rêya_, 
   {{0x6724c757,0x661cc758,0x66d00088,0x236d25ae}},	//   nsij, _kerk, säku, _grej_, 
   {{0x3f42010d,0x67245999,0xcee70267,0xbe8a00b3}},	//   rðu_, isij, одње_, рсие_, 
   {{0x64bc00e4,0x62880d07,0x80c700b0,0x6724023e}},	//   nčio, _iodo, ावशे, hsij, 
   {{0xceb844d5,0x06de0086,0x63a201a7,0x661c357d}},	//   snę_, _ভূমি, ozon, _lerk, 
   {{0x63a2c759,0x6724034c,0xa2a11ef6,0x69de01f1}},	//   nzon, jsij, कोक्, _azpe, 
   {{0x62881630,0x672400ef,0x63a20036,0x656e00a1}},	//   _jodo, dsij, izon, _orbh, 
   {{0x48ab70c0,0x2d8301cc,0x98500761,0x6726017b}},	//   атам_, øjet_, _ağız_, _avkj, 
   {{0x7e639117,0x63a2039b,0x6288c75a,0x00000000}},	//   _zanp, kzon, _lodo, --, 
   {{0x661c964a,0x63a20b32,0x64bcc75b,0xe71900eb}},	// [cf50] _berk, jzon, tčin, صيات_, 
   {{0x6288002a,0x7bdf6784,0x63a200ab,0x661cc75c}},	//   _nodo, _izqu, dzon, _cerk, 
   {{0x661ca177,0xc95b00a3,0x58d50314,0x00000000}},	//   _derk, _тўп_, _ноот, --, 
   {{0x236dc75d,0xb4d55845,0x18350070,0x629a074d}},	//   _prej_, हते_, _צאָל_, _alto, 
   {{0x64bc265d,0x66d00219,0x443f008a,0x987a027a}},	//   mčil, täkt, _vcu_, _הארט, 
   {{0x661cc75e,0xa7fb00b4,0x00000000,0x00000000}},	//   _gerk, _kaño, --, --, 
   {{0x6288c75f,0x7e630cd7,0x45d408ab,0x443fc252}},	//   _dodo, _ranp, _жорс, _tcu_, 
   {{0x64bc1425,0x63a22378,0xa7fb001d,0x66d00219}},	//   nčil, bzon, _maño, säkt, 
   {{0x63a2006a,0x7e63c760,0x201f016a,0x62883869}},	//   czon, _panp, raui_, _fodo, 
   {{0x6459c761,0x66054732,0x35d0034d,0x661c00b4}},	//   lewi, nchk, _तुड़, _xerk, 
   {{0x27f90183,0x3cca0161,0xdc6a08ba,0xfbc90486}},	//   _ogsn_, йлоо_, банд_, _עת_, 
   {{0x6283044e,0x7c3d0611,0x645900f8,0x443d5e8a}},	//   ljno, ggsr, newi, ngw_, 
   {{0xee2e2cd7,0x7e63386c,0x64bc42bd,0x76930241}},	//   _пн_, _tanp, dčil, _kıyı, 
   {{0xa7fb08f4,0x4a75005e,0x64bc0009,0x2d8302c9}},	//   _baño, мыст, yčio, øjes_, 
   {{0x63a2741d,0xa7fb060f,0xe7f809e2,0x6459015c}},	//   zzon, _caño, ंखला_, kewi, 
   {{0x661c078a,0x6e2126f6,0xa7fb1eaa,0xfc2b00bc}},	//   _serk, lalb, _daño, íští_, 
   {{0x661c7923,0x6459c762,0x07a6058e,0xcce5007a}},	// [cf60] _perk, dewi, чаан, _تسوي, 
   {{0x67244f46,0xddc10019,0x66d00088,0x6e212bff}},	//   rsij, lelő, väks, nalb, 
   {{0x6724c763,0x6288c764,0xa7fb03da,0xf9fb00df}},	//   ssij, _rodo, _gaño, _להימ, 
   {{0x661c3ed4,0x645902e8,0x6288c765,0x6ba101f0}},	//   _werk, gewi, _sodo, _özgü, 
   {{0x661c11f7,0xd7f200eb,0x6e21012d,0x6724003d}},	//   _terk, _سكس_, kalb, qsij, 
   {{0x63a2c766,0x64bc0455,0x6e210144,0x644b0566}},	//   rzon, mčim, jalb, afgi, 
   {{0x63a22bd6,0x66e32428,0x66d00088,0x81d40086}},	//   szon, _чора, säks, সেন_, 
   {{0x25e100ab,0x6459622e,0x63a2c767,0x55bb00d1}},	//   _करती_, cewi, pzon, _המלו, 
   {{0x62880b85,0x201dc768,0xa87b0070,0xd00708bd}},	//   _todo, _dewi_, מאקר, чење_, 
   {{0x6e2100e4,0x81cb0033,0x9e660038,0x00000000}},	//   galb, রেই_, ساخن, --, 
   {{0x769b009e,0x00000000,0x00000000,0x00000000}},	//   _jîya, --, --, --, 
   {{0x2d821462,0xd19700a7,0xa7fb0183,0xddc1010e}},	//   ćke_, _מכבי_, _raño, gelő, 
   {{0x6e21c769,0x2d83055f,0xa0c90038,0xb87b0534}},	//   balb, øjer_, _بذلك_, _bhín, 
   {{0xb87b00f7,0x2ec70659,0x6459c76a,0xa7fb033c}},	//   _chín, रकृत, zewi, _paño, 
   {{0x321e0489,0xa9c4012d,0x58d50165,0xb87b0534}},	//   _mety_, естк, довт, _dhín, 
   {{0x64bc1b81,0x321ec76b,0x50cc009a,0x20cc0da5}},	//   učil, _lety_, ाविष, ाविध, 
   {{0xb9040f01,0x7c2dc76c,0xc3110086,0x3834c76d}},	// [cf70] _पी_, _idar, _হয়নি_, энтр, 
   {{0x321e0180,0x659500d9,0x795921bd,0x00000000}},	//   _nety_, мазу, _диор_, --, 
   {{0x64595e24,0x64bc008b,0x6d48c76e,0x66050502}},	//   tewi, mčij, ntda, rchk, 
   {{0x769b0216,0x6605c76f,0xc4350535,0xfbe100bc}},	//   _dîya, schk, بکست, _नराम, 
   {{0x3869c770,0x321ec771,0x62650097,0x38790027}},	//   mdar_, _bety_, двла, _insr_, 
   {{0x3869c772,0x66d0014e,0x645988cc,0x7af7003d}},	//   ldar_, säkr, sewi, _jixt, 
   {{0x776d03da,0x6e21c773,0x321e0175,0x7af7becf}},	//   lvax, valb, _dety_, _mixt, 
   {{0x7c2dc774,0x64590218,0xd4988c38,0xb87b007a}},	//   _ndar, qewi, _еру_, _mhío, 
   {{0x64bc04ab,0x321e00a9,0x7aff00a3,0x533424e1}},	//   kčij, _fety_, _nuqt, _петт, 
   {{0x3869c775,0x7c2dc776,0xdd1b014b,0x321e08b0}},	//   hdar_, _adar, _váže, _gety_, 
   {{0x442dc777,0x6d4802c5,0x6da5527c,0x3869c778}},	//   _kde_, gtda, фина, kdar_, 
   {{0x442d031e,0xb87b0038,0x3869c779,0x7c3a0009}},	//   _jde_, _shín, jdar_, ėtro, 
   {{0x3869c77a,0x7c2d02bf,0xc058c77b,0x6e2162de}},	//   ddar_, _ddar, _хіх_, palb, 
   {{0xb87b00eb,0x7c2dc77c,0x7af79f06,0xddc1010e}},	//   _bhío, _edar, _cixt, selő, 
   {{0xa3d40509,0xb87bc77d,0xa967c77e,0xd943c77f}},	//   _सुन_, _chío, мира_, кери, 
   {{0xb87b00eb,0x442dc780,0x7f4903a1,0x78af0118}},	//   _dhío, _nde_, oteq, _cmcv, 
   {{0x769b0216,0x7f49c781,0x4b260904,0x64bc76fc}},	// [cf80] _sîya, nteq, _ўмов, učim, 
   {{0x7c2d2194,0x442d0724,0x64b8094d,0xb87b0038}},	//   _zdar, _ade_, ेक्श, _fhío, 
   {{0x442d0175,0x68fe0102,0x321e018e,0x69c00241}},	//   _bde_, _uupd, _rety_, ğmes, 
   {{0x69c001f0,0x321e5625,0x7af70216,0x00000000}},	//   şmes, _sety_, _zixt, --, 
   {{0x442dc782,0x321e01a7,0xb87b007a,0xf4870296}},	//   _dde_, _pety_, _mhíl, بالی, 
   {{0x442d0cd7,0x6d481a3d,0x81c90033,0xe29705e1}},	//   _ede_, ytda, োধন_, мач_, 
   {{0x6d48c783,0x321e10d4,0x64bc6418,0x00000000}},	//   xtda, _vety_, nčik, --, 
   {{0x442d1462,0xd0100038,0x00000000,0x00000000}},	//   _gde_, دلة_, --, --, 
   {{0x321e01a7,0xc2461571,0x2ef4181b,0x4fd400b3}},	//   _tety_, _онак, нзир, эжит, 
   {{0x248604d1,0x442d000d,0x3869c784,0xb34700c3}},	//   ljom_, _zde_, zdar_, _duħħ, 
   {{0x2d980039,0x8c3701a2,0x3869c785,0x600a06ba}},	//   áre_, монӣ_, ydar_, _днем_, 
   {{0x442d0348,0x6fc907d5,0x673608f5,0xb6020098}},	//   _xde_, _हुकू, kryj, _šálk, 
   {{0xfc3f00eb,0x6d48c786,0x2a7a016a,0x38693fad}},	//   rgí_, stda, _bnpb_, vdar_, 
   {{0x78170827,0x62983459,0xda7b07f4,0xb87b007a}},	//   तर्क_, nkvo, цям_, _phío, 
   {{0xa2b137c0,0x38690248,0x64bc0352,0x59f800d9}},	//   _अगस्, tdar_, rčij, деря_, 
   {{0xdd8e006b,0x81cb0086,0x00000000,0x00000000}},	//   _موڈ_, রেক_, --, --, 
   {{0x3869c787,0x7af7003d,0x24860a1a,0x60c20548}},	// [cf90] rdar_, _tixt, djom_, _mjom, 
   {{0x76d50084,0xb87b00eb,0xd6db0451,0x69c501c1}},	//   رياض, _thío, іта_, _txhe, 
   {{0x69c00ad9,0x386931ff,0x00000000,0x00000000}},	//   şmer, pdar_, --, --, 
   {{0x60c2c788,0x2aad0112,0xb69b00b3,0x64c90fc0}},	//   _njom, džbi_, _atât, िकेश, 
   {{0x442dc789,0xf1b800a4,0x42d50bfd,0x00000000}},	//   _vde_, _reġa_, ніку, --, 
   {{0x68ed55c7,0x2901c78a,0x21690251,0x91e56b7b}},	//   lmad, _kuha_, зики_, ноле, 
   {{0x2901c78b,0x60c2008a,0x2419012d,0x68edc78c}},	//   _juha_, _bjom, _новы_, omad, 
   {{0x442d01cc,0x2901c78d,0x68ed18c6,0x6f6592ba}},	//   _ude_, _muha_, nmad, евиз, 
   {{0xe8200081,0x68ed145a,0x290129b7,0x60c20082}},	//   बरता_, imad, _luha_, _djom, 
   {{0x68edc78e,0x7f49009e,0x249f00a1,0x62980502}},	//   hmad, rteq, _hlum_, ckvo, 
   {{0x2901c78f,0x68edc790,0xa6e2003e,0x248d0082}},	//   _nuha_, kmad, íðin, _koem_, 
   {{0x859a00a7,0x8027009c,0xa3d402e6,0xb87b0534}},	//   פשרו, _آرام, _सुड_, _bhím, 
   {{0x1dcf10ae,0x4c8100f0,0x68edc791,0xf3f9107c}},	//   _सुरत, рғыз, dmad, _baţi_, 
   {{0x249fc792,0x60dbc793,0x68ed01a4,0xb87b0354}},	//   _llum_, llum, emad, _dhím, 
   {{0xf3f900b3,0x249f2120,0x00000000,0x00000000}},	//   _daţi_, _olum_, --, --, 
   {{0x68ed6e73,0x29011272,0x248d1698,0xd70ac794}},	//   gmad, _duha_, _noem_, знае_, 
   {{0xace9009c,0x17c7017b,0x07a35250,0x3636383d}},	// [cfa0] _ترول_, егти_, гатн, فراس, 
   {{0xe5a601d0,0x7c26c795,0x249f10fd,0x60db02eb}},	//   низи, lakr, _alum_, hlum, 
   {{0x60db2d95,0x249fc796,0x2901c797,0xe45a00c8}},	//   klum, _blum_, _guha_, зже_, 
   {{0x661b0df4,0x248d0036,0x240700be,0x00000000}},	//   _đuke, _coem_, енци_, --, 
   {{0x7cfe002a,0xe3b208cb,0x248d040b,0x9aa90e0e}},	//   _vīri, درا_, _doem_, _ردیف_, 
   {{0x7d0d07cd,0x7c266d71,0x4273004e,0x2166c798}},	//   _časn, hakr, лгіс, етиг, 
   {{0x55e3c799,0x64a6b938,0x1dcf047c,0x2ca0007e}},	//   _борб, _зава, _सुलत, _olid_, 
   {{0x60dbc79a,0xa3cb0262,0x62980009,0x91b7007a}},	//   glum, _रुक_, skvo, عطور_, 
   {{0x59d202f8,0xb4cc0e7d,0x22b60035,0xb4be0e07}},	//   _दुसर, रकी_, ałka_, ीकी_, 
   {{0x44265cee,0xddd8031e,0x2ef8008c,0x68ed6c03}},	//   lao_, _zavř, örf_, zmad, 
   {{0x5fe202f8,0x01362ee1,0xa3d400bd,0xb63700c7}},	//   _परवल, _سعاد, _सुत_, ערטס_, 
   {{0x44260a49,0x2fc60e0c,0x6442c79b,0x2901010e}},	//   nao_, _txog_, ngoi, _ruha_, 
   {{0x78a4c79c,0x29010abd,0x7ac7275d,0xc3140033}},	//   dhiv, _suha_, есве, _সিডি_, 
   {{0x4426c79d,0xc9874bf2,0x25e1109f,0x59d200a5}},	//   hao_, нуби, _करली_, _दुहर, 
   {{0x68edbdf1,0x7cfe0028,0x2ca00b48,0xd5d00249}},	//   tmad, _būre, _flid_, _तुलज, 
   {{0x442603ef,0x7c26016a,0x68ed0465,0x58d40e8a}},	//   jao_, cakr, umad, гост, 
   {{0x442600f1,0x6a151880,0x3d060a44,0x248d0b22}},	// [cfb0] dao_, _импу, _संडे_, _roem_, 
   {{0x249f01be,0x68edc79e,0xa3d400a5,0xe8e00023}},	//   _slum_, smad, _सुध_, _đục_, 
   {{0xceb31490,0x3ce9006f,0x4426c79f,0x68ed082b}},	//   ניע_, _khav_, fao_, pmad, 
   {{0x442603ef,0x78a4c7a0,0xf4840cb2,0x00000000}},	//   gao_, chiv, лучн, --, 
   {{0x69e30571,0x6f02c7a1,0xa3cbc7a2,0x290e021e}},	//   šteć, _nuoc, _रुख_, _çfar_, 
   {{0xc61b00cc,0x6d58c7a3,0x1db200bc,0x5eff0466}},	//   _ঢাকা_, _opva, ुपात, रदस्_, 
   {{0x4426c7a4,0x7d0d557d,0xa15602a6,0x6fc907d5}},	//   bao_, _časo, вају_, _हुजू, 
   {{0x4426c7a5,0x249f030c,0x397c008d,0x26d30042}},	//   cao_, _ulum_, לטונ, loxo_, 
   {{0xc62400cc,0x70821f1d,0x60db7925,0x6f020093}},	//   _পাতা_, ргыз, rlum, _cuoc, 
   {{0xf1a7386d,0x60dbc7a6,0x82370625,0xa7fb033c}},	//   _прен, slum, _سرطا, _cañi, 
   {{0xdca63946,0x4df42241,0x7c26c7a7,0x26c10165}},	//   вани, ляют, takr, inho_, 
   {{0x22490613,0x7d0416d3,0x3ce901a0,0x6f020093}},	//   đaku_, _čist, _chav_, _fuoc, 
   {{0x26c700f1,0xab63c7a8,0x00000000,0x00000000}},	//   čnoj_, авял, --, --, 
   {{0xd02600cc,0xa7fb00b4,0x00000000,0x00000000}},	//   _যায়_, _gañi, --, --, 
   {{0x6da53b6e,0x26d32888,0x4426c7a9,0xada50e65}},	//   _шика, doxo_, yao_, _шакл, 
   {{0x2aad0e67,0x6e23c7aa,0x37e61cc1,0x4426c7ab}},	//   džbu_, _henb, вобг, xao_, 
   {{0x6e230cd7,0x26d30183,0x7d0320f8,0x5aca0148}},	// [cfc0] _kenb, foxo_, _huns, _олим_, 
   {{0x4426c7ac,0xb69b020f,0x7c24c7ad,0xb6cb010e}},	//   wao_, _stâr, _heir, والے_, 
   {{0x4426c7ae,0x7d031f59,0xa2b7017d,0x95860093}},	//   tao_, _juns, ्चन्, ълже, 
   {{0x7d03171d,0xb4be5845,0x7d0d00ef,0xe3ba44d7}},	//   _muns, ीके_, _časl, мбе_, 
   {{0x7c2406b6,0x9343648c,0x7d03c7af,0x77690183}},	//   _meir, инце, _luns, _áexp, 
   {{0x442603ef,0xe8e00029,0x395a016a,0x386001c5}},	//   sao_, _độc_, _kpps_, leir_, 
   {{0x442600f1,0x6f02ad2d,0x3cfd00a5,0x7d0355fb}},	//   pao_, _suoc, _रंगे_, _nuns, 
   {{0xe0cf00eb,0xf9930486,0x7c24c7b0,0x70cc00b0}},	//   يزي_, שרה_, _neir, ावेल, 
   {{0xf8b30056,0x7d0300a1,0x78a300b3,0x4424c7b1}},	//   ישה_, _auns, _înve, _iem_, 
   {{0x7d03c7b2,0x15e614a7,0x33d5012d,0x60cd0082}},	//   _buns, _करार_, _сіст, čama, 
   {{0x7c24c7b3,0x6e230a9f,0x4424c7b4,0x3ce90201}},	//   _beir, _denb, _kem_, _phav_, 
   {{0x80e000cc,0x4424c7b5,0x6e23c7b6,0x7c244b1f}},	//   _পূর্, _jem_, _eenb, _ceir, 
   {{0x7c24c7b7,0x4424c7b8,0x7d03016a,0xd007c7b9}},	//   _deir, _mem_, _euns, _рече_, 
   {{0x4424c7ba,0x7d03044d,0x6e23055f,0x3cfd0790}},	//   _lem_, _funs, _genb, _रूके_, 
   {{0x81d400cc,0x7c24c7bb,0x3ce9006d,0x69d808bb}},	//   সের_, _feir, _thav_, _øvel, 
   {{0x4424082c,0xb4cc0351,0xb4be0351,0x6e2302ba}},	//   _nem_, रको_, ीको_, _zenb, 
   {{0xf7731fe8,0x64bc012d,0x58843069,0xfc3f0183}},	// [cfd0] جاز_, nčiu, шыра, chía_, 
   {{0xed4d082c,0x64bc012d,0xceb800ab,0xd62802a6}},	//   _بھی_, ičiu, nię_, кође_, 
   {{0x442400ce,0xa9c4871c,0x79950cdf,0x3860c7bc}},	//   _bem_, _всяк, _синф, beir_, 
   {{0x4424c7bd,0x6ba8027e,0x7c240042,0x2aad014b}},	//   _cem_, _örgü, _xeir, ržbu_, 
   {{0x4424422b,0xd7f800d9,0x4734012d,0xa295017b}},	//   _dem_, _аур_, _княс, ладі, 
   {{0xdce400bc,0x672d8470,0x98b80243,0x00000000}},	//   _brně, msaj, murā_, --, 
   {{0x672d02ae,0x64bc0028,0x80cc0033,0x00000000}},	//   lsaj, ečiu, াতন্, --, 
   {{0x6e23c7be,0x657a031b,0x7d0300c8,0x2fc00cdc}},	//   _senb, _átha, _runs, _žiga_, 
   {{0x672d100b,0x68fdc7bf,0x7c245f2e,0x2bd30f7a}},	//   nsaj, _misd, _reir, _धुला, 
   {{0x4424c7c0,0x7c240544,0x764577f4,0x7d03c7c1}},	//   _zem_, _seir, nghy, _puns, 
   {{0x4424c7c2,0x7c24c7c3,0x2913023b,0xd00e2841}},	//   _yem_, _peir, _ntxa_, غلی_, 
   {{0x44240124,0xf1a423e1,0x672dc7c4,0x6e23040b}},	//   _xem_, _трун, ksaj, _wenb, 
   {{0x7d0301c4,0xceb800ab,0xef0ec7c5,0x64bc7dc1}},	//   _wuns, bię_, _ым_, mčit, 
   {{0xa96a00cf,0x7d0310a4,0x68fd01be,0xd946c7c6}},	//   нига_, _tuns, _aisd, леги, 
   {{0x7c24a2f1,0xa7fb0183,0x369600f0,0x386094fc}},	//   _teir, _mañu, қшас, teir_, 
   {{0x6d41c7c7,0x1c460e1b,0x1867c7c8,0x661b03f5}},	//   mula, _сним, ласи_, _đuka, 
   {{0xe73701bb,0xe7c40086,0x68fdc7c9,0xeb9a3b9d}},	// [cfe0] лет_, ্ধ্য, _disd, _чип_, 
   {{0x4424c7ca,0x6449687a,0xda664d21,0x5a6624d2}},	//   _sem_, _acei, _свои, _скоб, 
   {{0x4424006f,0x6d41c7cb,0x67230112,0x395a02be}},	//   _pem_, nula, ćnja, _upps_, 
   {{0x291844c3,0x64bc00f1,0x672d003d,0x7cfe1916}},	//   mpra_, jčit, bsaj, _jūra, 
   {{0x4424c7cc,0x6d41c7cd,0xa7fb00b4,0x7e61c7ce}},	//   _vem_, hula, _bañu, kelp, 
   {{0x6d41c7cf,0x6ffb002a,0xa7fb0126,0x4424c7d0}},	//   kula, _mācī, _cañu, _wem_, 
   {{0x4424c7d1,0xa3d40790,0x249d006d,0xc5f50093}},	//   _tem_, _सुर_, bkwm_, _вятъ, 
   {{0x644900eb,0xa4f80a5a,0x69de00e2,0x7afec7d2}},	//   _gcei, _شکار_, _mype, _lipt, 
   {{0x69d60262,0x6e28c7d3,0x29180034,0x7413009c}},	//   _मुसी, tadb, hpra_, _طولا, 
   {{0x6e9815f5,0x6d41c7d4,0x35d900c2,0x7e61c7d5}},	//   твор_, fula, _बुड़, gelp, 
   {{0x6d41c7d6,0xceb800ab,0xac192a13,0x6e2895b0}},	//   gula, rię_, кону_, radb, 
   {{0xbd8700d4,0x6e280098,0x61e50502,0x459b0070}},	//   چنین_, sadb, ühle, גסטע, 
   {{0x7e611008,0x68fdc7d7,0x6d41c7d8,0xceb80035}},	//   belp, _risd, aula, pię_, 
   {{0x7afea4d8,0x6d412e3f,0xedb50019,0x69de03c6}},	//   _cipt, bula, اجیک, _bype, 
   {{0x19581088,0x35d98bbf,0x69dec7d9,0x29050218}},	//   лары_, _बुढ़, _cype, êla_, 
   {{0x48152f56,0xa815c7da,0x69de017b,0x8afb00ad}},	//   рмас, рдаш, _dype, fiəç, 
   {{0x68fd8c1b,0xd7590195,0x00000000,0x00000000}},	// [cff0] _visd, ضلات_, --, --, 
   {{0x644900eb,0xba55122f,0xdcfb0028,0x68fd587d}},	//   _scei, _твој, tytė, _wisd, 
   {{0x68fd022b,0x672dc7db,0x66d00080,0x00000000}},	//   _tisd, ssaj, näky, --, 
   {{0xc86777a2,0x4867048a,0xb4c1007e,0xddc38ede}},	//   _стои, _съоб, ुवे_, _janš, 
   {{0xf8b654c7,0x6d415003,0xe19303dd,0xa7fb0327}},	//   _төр_, zula, өлдө, _pañu, 
   {{0x6d4115a5,0x7bdf011c,0x82372c4e,0x7afe03dd}},	//   yula, _myqu, ارشا, _xipt, 
   {{0x7e61039b,0x659400b3,0x21a5017b,0x6d410248}},	//   velp, _лару, рийм, xula, 
   {{0x6d41c7dc,0x27e600ab,0x64bc1e27,0x64490183}},	//   vula, żone_, učit, _ucei, 
   {{0x6d4108a1,0x2d9803a9,0x200dc7dd,0x4fe901a2}},	//   wula, øren_, rcei_, ъмин_, 
   {{0x0fe8005e,0xcdf50088,0x1e95186c,0x00000000}},	//   ылық_, ичны, ррир, --, 
   {{0x6281c7de,0x7afe023e,0x6d41011d,0x6f870259}},	//   _inlo, _ript, uula, _әуеж, 
   {{0x6d410241,0xeb9a8e58,0x7afe0f23,0x64bc00ca}},	//   rula, вим_, _sipt, lčir, 
   {{0x6d41c7df,0xe0d00411,0x7e614dd1,0xcee80296}},	//   sula, _عزم_, pelp, ضرین_, 
   {{0xee39c7e0,0x00000000,0x00000000,0x00000000}},	//   _рнк_, --, --, --, 
   {{0x7bcd3281,0x6103010e,0x48b61186,0x6d41c7e1}},	//   _exau, _főle, ащат, qula, 
   {{0x98b800b3,0x69de0098,0xb4c100c2,0x97c61e74}},	//   dură_, _vype, ुवो_, айбе, 
  
   {{0x6281c7e2,0x7afec7e3,0x98a31297,0x69de0035}},	// [d000] _onlo, _tipt, ците, _wype, 
   {{0x611101dd,0x291802ae,0x959a00f0,0xe617c7e4}},	//   _zāle, ppra_, ктеу_, иду_, 
   {{0x0566c7e5,0xfbdf0218,0x98b800b3,0x05d90366}},	//   рвен, ngên_, gură_, _बुदब, 
   {{0xed5600c7,0x2616072d,0x00000000,0x00000000}},	//   יבער_, _प्री_, --, --, 
   {{0x78a300b3,0xe8e2009a,0x335800d9,0x00000000}},	//   _înva, पतीच, уалэ_, --, 
   {{0x387200fb,0x00000000,0x00000000,0x00000000}},	//   ldyr_, --, --, --, 
   {{0x518611db,0xe2970170,0xc44800d4,0x98b800b3}},	//   рула, рај_, _میان_, cură_, 
   {{0xc05a032e,0xea0000e7,0x62815f27,0x04430cd9}},	//   тік_, _giấu_, _enlo, _месн, 
   {{0x6609c7e6,0xdb24011c,0x3ec605de,0x00000000}},	//   _şeki, _èsèn, исоб, --, 
   {{0x64a4004e,0x9e0600a3,0x628101f5,0x00000000}},	//   _таға, шчил, _gnlo, --, 
   {{0xa0a6030f,0x69d600a2,0xd00f503a,0x00000000}},	//   _кажд, _मुली, _мф_, --, 
   {{0xd00f298e,0x00000000,0x00000000,0x00000000}},	//   _قلم_, --, --, --, 
   {{0x7c36017c,0xdfd2029a,0xb87b0534,0x00000000}},	//   _ddyr, _بيش_, _mhít, --, 
   {{0x799c0156,0x635a0b03,0x290717f9,0x8f9b0486}},	//   fyrw, mānā, _énak_, _בידי, 
   {{0x6103039f,0x9e6500d7,0xcfd80bf1,0x00000000}},	//   _tőle, _دانن, দেশন, --, 
   {{0x7bcd01c1,0x5dfb00d1,0x7bc80241,0x00000000}},	//   _txau, _בפונ, ğdur, --, 
   {{0x28f8030f,0x7d0d0352,0x7bdf01ff,0x17ad0033}},	// [d010] реть_, _časi, _uyqu, _কুড়ি, 
   {{0x98b8002e,0xc7c4004f,0x29050183,0xd0b200ad}},	//   tură_, істи, ílas_, rşən, 
   {{0x7cff012d,0xa2b706ea,0xe29948de,0xb87b007a}},	//   _jūro, ्चस्, ғай_, _bhít, 
   {{0xdd39020f,0xe43c02d9,0xb87b0354,0x00000000}},	//   lăţe, bříč, _chít, --, 
   {{0xd7fb0886,0x947408cb,0xb87b0038,0x98b800b3}},	//   _јун_, تدلا, _dhít, sură_, 
   {{0x21a500a3,0xdd390474,0xd5170c30,0x00000000}},	//   йилм, năţe, _نظرب, --, 
   {{0xd1750f82,0x2aa60054,0x00000000,0x00000000}},	//   сылы, _jôba_, --, --, 
   {{0x26c7026e,0xe4a71b11,0xed5908ba,0x7ea400a1}},	//   čnou_, _трго, қом_, _ròpa, 
   {{0xa9e4031e,0x00000000,0x00000000,0x00000000}},	//   _गर्छ_, --, --, --, 
   {{0x26e51516,0x6b9d0156,0x00000000,0x00000000}},	//   _कठोर_, dysg, --, --, 
   {{0x387203c6,0x00000000,0x00000000,0x00000000}},	//   ydyr_, --, --, --, 
   {{0x6b9d0156,0xfbdf0216,0x31ba00d1,0x30e700f0}},	//   fysg, rgên_, _גזענ, _тізб, 
   {{0x61e1c7e7,0x6abc003e,0xbf67015f,0x201f48aa}},	//   _hyll, tirf, _خداو, mbui_, 
   {{0x61e1030f,0x6f1b0023,0x3b070176,0x00000000}},	//   _kyll, mpuc, серо_, --, 
   {{0x09e6185b,0x395e03a1,0x61e1055f,0x499900dd}},	//   совн, ïts_, _jyll, аття_, 
   {{0xa9280254,0x61e1377b,0x4806012d,0x09c70033}},	//   _nižš, _myll, спав, _এরশা, 
   {{0x57eac7e8,0x38720657,0x6abc0b48,0x00000000}},	// [d020] удам_, rdyr_, pirf, --, 
   {{0x645bc7e9,0x387200fb,0x799c016c,0x00000000}},	//   _abui, sdyr_, pyrw, --, 
   {{0xd7070a10,0x00000000,0x00000000,0x00000000}},	//   инӂе_, --, --, --, 
   {{0x0446c7ea,0x645b01be,0xe43c02d9,0xb87b00e1}},	//   седн, _cbui, příč, _dhís, 
   {{0xe29ac5a1,0x61e10126,0x288102f1,0x645b01be}},	//   лад_, _ayll, _ўқув, _dbui, 
   {{0x2902c7eb,0x7d1a014b,0x61e15408,0xb87b00e1}},	//   _hika_, ypts, _byll, _fhís, 
   {{0x2902c7ec,0x61e10156,0x26da044d,0x35c50148}},	//   _kika_, _cyll, mopo_, _дарҳ, 
   {{0x2902acff,0x5066c7ed,0x26dac7ee,0x03a60f5a}},	//   _jika_, стка, lopo_, _либо, 
   {{0x43751ee6,0x7e2a0965,0xf18a004e,0xdd25009e}},	//   _муфт, ліна_, _әйел_, _pêşg, 
   {{0x61e126a6,0x2902c7ef,0x69c01b20,0xdc250033}},	//   _fyll, _lika_, şmey, _ভাইস_, 
   {{0x61e1c7f0,0x68e4c7f1,0xe0d600af,0x7d1a0502}},	//   _gyll, klid, _людь, upts, 
   {{0xb5fb00c7,0x2fc90121,0x26dac7f2,0xdb0a0098}},	//   טליכ, _žage_, hopo_, žným, 
   {{0x26dac7f3,0x5f94183d,0xdd3900d9,0x9e34088a}},	//   kopo_, _филт, tăţe, _делч, 
   {{0x2902030f,0x0db9006b,0x1be702f1,0xcef608bd}},	//   _aika_, ائیں_, _қўйг, _учењ, 
   {{0x2902c7f4,0xc98460ec,0x27e20102,0xa8a70fc8}},	//   _bika_, пути, _aykn_, брак, 
   {{0x25ef1516,0x2bda09e5,0x3ebec7f5,0x7ea405d5}},	//   _अरबी_, _युवा, litt_, _kòpo, 
   {{0x76b91428,0x7cff00e0,0x2902292f,0x2d9ec7f6}},	// [d030] алар_, _jūrm, _dika_, lyte_, 
   {{0x3ebe47f1,0x2ca900da,0x7d0a02eb,0x645b00a1}},	//   nitt_, _hlad_, _kufs, _sbui, 
   {{0x2902c7f7,0xb87b0038,0x2ca956b9,0xe8952d94}},	//   _fika_, _dhír, _klad_, _дань, 
   {{0x2902c7f8,0x3ebec7f9,0x27e60035,0x20060023}},	//   _gika_, hitt_, żona_, _ngoi_, 
   {{0x6eef055f,0xb87b0038,0x26da0226,0x05d90c59}},	//   løbe, _fhír, bopo_, _बुरब, 
   {{0x61e1c7fa,0x78ad042a,0x236d008b,0x26dac7fb}},	//   _pyll, lhav, _vsej_, copo_, 
   {{0xd9f9006a,0xa2d20084,0x20892553,0x6a9c0070}},	//   ंधित_, بيوت, ийки_, רשונ, 
   {{0x78ad0022,0x7f5903b7,0x60092c6d,0xa3d4109f}},	//   nhav, ајот_, шним_, _सुक_, 
   {{0xfa0100cc,0x7d0a02f2,0x442fc7fc,0x3ebec7fd}},	//   ্রিল_, _aufs, mag_, fitt_, 
   {{0x3ebe004f,0x68e4c7fe,0x61e1c7ff,0x200601d6}},	//   gitt_, zlid, _tyll, _egoi_, 
   {{0xed5903dc,0x2ca901da,0x644b02a3,0xb1a7022c}},	//   шон_, _blad_, oggi, _ушак, 
   {{0x644b9f6f,0x442fc800,0x2299c801,0x26da0053}},	//   nggi, nag_, _tèks_, zopo_, 
   {{0xee2ec802,0x26da0053,0x7cd200e0,0x78adc803}},	//   _он_, yopo_, vārd, dhav, 
   {{0x6da5c804,0x60c9bc5b,0xe8e0001b,0xada55dd9}},	//   _мила, lnem, _đốc_, _малл, 
   {{0x2902c805,0x442f02dc,0x2ca902c9,0xed56017b}},	//   _pika_, kag_, _flad_, _дощ_, 
   {{0x60c9c806,0x6f03c807,0x02b60c94,0x442fc808}},	//   nnem, _hinc, _अग्न, jag_, 
   {{0x60c9026a,0x6f03c809,0x26dac80a,0x2902c80b}},	// [d040] inem, _kinc, topo_, _vika_, 
   {{0x29020268,0xc966c80c,0x41c900a2,0x60c90fb5}},	//   _wika_, _двой, िपास, hnem, 
   {{0x2902c80d,0x7d04c80e,0x26dac80f,0x60db53ed}},	//   _tika_, _kiis, ropo_, koum, 
   {{0x442f0096,0x60c9c810,0x26dab802,0x6d4101ff}},	//   gag_, jnem, sopo_, irla, 
   {{0xa3d4034d,0x7d040180,0x60db034c,0x26dac811}},	//   _सुख_, _miis, doum, popo_, 
   {{0x6f03c812,0x644b0093,0x7d04521f,0x7c2f01d8}},	//   _ninc, aggi, _liis, zacr, 
   {{0x64a623de,0x40345e52,0x6e2a4ce9,0x3ebec813}},	//   _дава, пейс, _refb, vitt_, 
   {{0x442fc814,0x60c9c815,0x7d040e0f,0x2240c816}},	//   cag_, gnem, _niis, şik_, 
   {{0x6f039376,0x4911007e,0x7bc011c9,0xbe8a7721}},	//   _binc, _दूनो_, úmul, асне_, 
   {{0x7d04016a,0x6f03c817,0xc2435e58,0x2ca90534}},	//   _aiis, _cinc, _онук, _slad_, 
   {{0x3ebe84d9,0x867b035c,0x6f03c818,0x7d0400c8}},	//   ritt_, בריו, _dinc, _biis, 
   {{0x7d0d0076,0x6b8200e0,0x60db0183,0x3ebe017b}},	//   _čast, _šoga, coum, sitt_, 
   {{0x7c2faea9,0xfe6f00d4,0x6d41c819,0x2ca9b3af}},	//   racr, ردی_, arla, _vlad_, 
   {{0x7c2f0a03,0x2ca90156,0x442fc00e,0x60c0c81a}},	//   sacr, _wlad_, zag_, limm, 
   {{0x442fc81b,0x28c72c8a,0x644b30f7,0x78adc81c}},	//   yag_, रचलि, yggi, thav, 
   {{0x6d48c81d,0xa3aa00ab,0x6f03c81e,0x7d040008}},	//   muda, खना_, _zinc, _giis, 
   {{0x6d48c81f,0x78ad2da2,0x442fc820,0x69dac821}},	// [d050] luda, rhav, vag_, üter, 
   {{0xc9871192,0x442f5144,0x7c2dc06d,0x8aa757c3}},	//   _думи, wag_, _hear, _фрид, 
   {{0x442fc822,0x7c2dc823,0x6d48c824,0xd6d81afd}},	//   tag_, _kear, nuda, іту_, 
   {{0xb4d500ab,0x60db0183,0x7c2d0cba,0x7e68011c}},	//   सके_, xoum, _jear, hedp, 
   {{0xdfc60084,0x6d48c825,0x7c2dc826,0x60c9c827}},	//   _أي_, huda, _mear, vnem, 
   {{0x3869195a,0x7ead0187,0x6d48c828,0x442fc829}},	//   lear_, _kúpe, kuda, sag_, 
   {{0x6d48c82a,0x442f148f,0x6f03c82b,0x3d060077}},	//   juda, pag_, _rinc, _संगे_, 
   {{0x3869c82c,0x6f03c82d,0x26c1c82e,0x7c2dbc15}},	//   near_, _sinc, liho_, _near, 
   {{0x60c9c82f,0xea0000e7,0x7d04c830,0xddc100bc}},	//   rnem, _phẫu_, _riis, telů, 
   {{0x38690a69,0x0ea9030f,0x7d041eab,0x26c113c5}},	//   hear_, ской_, _siis, niho_, 
   {{0x442d003d,0x7d0435ae,0xfce621e6,0x7c2d587c}},	//   _kee_, _piis, зоно, _bear, 
   {{0x7c2d0544,0x6d41c831,0x5f9508a5,0x442d04c3}},	//   _cear, rrla, _ниет, _jee_, 
   {{0x442d0285,0x7c2d0544,0xdd8e1fdb,0x7d041ab9}},	//   _mee_, _dear, نوی_, _viis, 
   {{0x6d48c832,0xfaa6c833,0x7c2d00a1,0x442d00d1}},	//   buda, чаго, _eear, _lee_, 
   {{0x2bdc11df,0x7d04c834,0xea000029,0xdca6449e}},	//   _गुरू_, _tiis, _khẩu_, _наки, 
   {{0x7c2d003c,0x442d051e,0x3869c835,0xb4d53e5f}},	//   _gear, _nee_, gear_, सको_, 
   {{0x237f023b,0x78a4c836,0xe73a00d9,0x6843012d}},	// [d060] _nruj_, rkiv, сез_, энта, 
   {{0x6b7b00fe,0x78a43d31,0x60c001c4,0x442d8863}},	//   _פרינ, skiv, zimm, _aee_, 
   {{0x7c2dc837,0x6abec838,0x6a9b00d1,0xa3d40c46}},	//   _year, _impf, _השינ, _सुज_, 
   {{0x442dc839,0xb4d60081,0x38697ba6,0x6abe0696}},	//   _cee_, हवे_, cear_, _hmpf, 
   {{0x1ddd00a2,0x60c000c8,0x6d48c83a,0x64d40299}},	//   _नुसत, vimm, zuda, धकौश, 
   {{0x6d48a9d8,0x3f80012d,0x3958045a,0x60c0c83b}},	//   yuda, _šiuo_, otrs_, wimm, 
   {{0x395800e0,0x60c0c83c,0x82330019,0x7e6801e8}},	//   ntrs_, timm, رروا, vedp, 
   {{0x442d0691,0x25ae01f0,0x661b4179,0x98b80035}},	//   _gee_, ıklı_, _đuki, turę_, 
   {{0x60c0c83d,0x3246011f,0xe29a6173,0x7c2dc83e}},	//   rimm, _неаг, _лаа_, _rear, 
   {{0x7c2dc83f,0x6d48c840,0x60c0030f,0x7b0b00e0}},	//   _sear, tuda, simm, _kļuv, 
   {{0x7c2d11a1,0x63a2c841,0x6288c842,0x442dc843}},	//   _pear, lyon, _indo, _yee_, 
   {{0x6d48c844,0x0cabc845,0x629ab76f,0x7cff012d}},	//   ruda, стои_, _hoto, _kūri, 
   {{0x6d4838a7,0x7eadc846,0x9b5800d9,0x38690126}},	//   suda, _súpe, пият_, vear_, 
   {{0x629a025b,0x7c2d00df,0x629d0216,0x7cff0e0b}},	//   _joto, _wear, _îsot, _mūri, 
   {{0x38690084,0x997e00b3,0x62880532,0x7c2d73c0}},	//   tear_, văţa_, _mndo, _tear, 
   {{0x6abe02ec,0x25e000ab,0xe89400e4,0x63a29d62}},	//   _empf, _कड़ी_, нась, kyon, 
   {{0x4c3c0056,0x62880414,0x3869c847,0xe71900eb}},	// [d070] _התחב, _ondo, rear_, زيات_, 
   {{0x442d5307,0x3869c848,0x9bf413f2,0xcb1400c7}},	//   _see_, sear_, _языч, _אלץ_, 
   {{0x3869c849,0x442d2d41,0x26c1c84a,0xdbd70080}},	//   pear_, _pee_, riho_, sääm, 
   {{0x442d01a0,0x629a0054,0x63a24464,0x26c10054}},	//   _qee_, _aoto, fyon, siho_, 
   {{0xe299c84b,0x442dc84c,0x69d808bb,0x26c10495}},	//   жал_, _vee_, _øver, piho_, 
   {{0x91e5c84d,0x629ac84e,0xfc3fc84f,0x68e90405}},	//   моле, _coto, chív_, ċedu, 
   {{0x442dc850,0x63a23932,0x241900e4,0x7cd20339}},	//   _tee_, ayon, _мовы_, hāra, 
   {{0xef190866,0x92bf00cc,0x63a201a3,0x92cd0086}},	//   оми_, ীতে_, byon, রতে_, 
   {{0x2d98c851,0x325503dc,0x7ead4a79,0x2a6a039f}},	//   ären_, _овар, _núpc, yebb_, 
   {{0xddc826eb,0x6b820242,0x4ca50033,0x7d07011c}},	//   cedū, _šogo, খোমু, jèrè, 
   {{0x8c466949,0xf8bf0175,0x7d0700d7,0x51840bad}},	//   мене, _omé_, dèrè, _пуца, 
   {{0x629ac852,0xdca63a20,0xbc1900f0,0xe45f00c2}},	//   _zoto, фами, зірі_, _ööd_, 
   {{0x3ae402ae,0x629ac853,0x7d07011c,0xbbc81a21}},	//   köpt_, _yoto, fèrè, रपेक, 
   {{0xddc56ab3,0xf8bf0126,0x7d07011c,0x00000000}},	//   _обли, _amé_, gèrè, --, 
   {{0x09e37489,0x63a2c854,0x00000000,0x00000000}},	//   ворн, zyon, --, --, 
   {{0x2a6a006b,0xbebd0028,0xfaa60176,0xa2bdbeaf}},	//   sebb_, spūd, чаҳо, वोत्, 
   {{0x656902fe,0x395800e0,0x44380175,0x995800de}},	// [d080] _ćeha, strs_, _ěr_, _dáša_, 
   {{0x290c1408,0x5986085c,0x44380035,0xe5a6117c}},	//   ídas_, _жлоб, _śr_, мизи, 
   {{0xd8260934,0x7cff0009,0x00000000,0x00000000}},	//   _одни, _sūri, --, --, 
   {{0x2eaa00ab,0x63a203a0,0x7ea40118,0xfe780528}},	//   _छत्त, tyon, _pòpk, zdį_, 
   {{0x41c30586,0x4ad20f7a,0x6f0d007a,0x3d0701a4}},	//   _वेबस, _सदाव, _éach, _संघे_, 
   {{0x629a2f6c,0x68e3024a,0x63a2c855,0x70d60299}},	//   _qoto, _ëndr, ryon, डक्ल, 
   {{0x63a2c856,0x629a212f,0x7cf60042,0x6603012d}},	//   syon, _voto, cárg, _апра, 
   {{0x7cff00e0,0x5183c857,0x63a2c858,0x629a019b}},	//   _tūri, туша, pyon, _woto, 
   {{0x4426c859,0x629ac85a,0x200200c8,0xb4bc00a2}},	//   mbo_, _toto, äki_, ेची_, 
   {{0x4426c85b,0x7e9800eb,0x6288c85c,0x00000000}},	//   lbo_, سنجر_, _undo, --, 
   {{0xfe780028,0x44260664,0x00000000,0x00000000}},	//   rdį_, obo_, --, --, 
   {{0x4426adcf,0x4fc60c23,0x7cd201dd,0x00000000}},	//   nbo_, _осла, tāra, --, 
   {{0x44260183,0x78a300d9,0x9be400dd,0x8ae7004f}},	//   ibo_, _învi, вірк, дівл, 
   {{0xe7e2000f,0xc33300d1,0x7cd20b03,0x00000000}},	//   _खड़ा_, כוש_, rāra, --, 
   {{0x4426140d,0x00000000,0x00000000,0x00000000}},	//   kbo_, --, --, --, 
   {{0x2d58026a,0x61e82b55,0x44269dc0,0x7cd20339}},	//   mée_, _mydl, jbo_, pāra, 
   {{0x442602ee,0x2d58bc49,0x2ca40219,0x6d5a9d2b}},	// [d090] dbo_, lée_, ömde_, ltta, 
   {{0x05eb0316,0x442607d7,0x7ead0228,0x49757983}},	//   офеи_, ebo_, _kúpa, _злос, 
   {{0x2d580518,0x69f20ecf,0x7ae50870,0x7ea4022c}},	//   née_, _бүрт, _ikht, _còpi, 
   {{0x6d5a030f,0x4426c85d,0x69d701f2,0x7e7800fb}},	//   itta, gbo_, _ixxe, _lavp, 
   {{0x27ff0107,0x2d5844b2,0x33d4004e,0x62650919}},	//   _àun_, hée_, кішт, евла, 
   {{0x61e8063b,0x4426c85e,0x7e780121,0x6d5a3b57}},	//   _bydl, abo_, _navp, ktta, 
   {{0x4426c85f,0x91e2c860,0x6d5ac861,0xdbfc17dc}},	//   bbo_, лоше, jtta, _एण्ड_, 
   {{0x2d58026a,0x2aad0098,0x69d7008a,0x00000000}},	//   dée_, ržby_, _mxxe, --, 
   {{0x443f02f5,0x41df05f6,0xf1df007e,0x6d5a1087}},	//   _idu_, _पुरस, _पुरन, etta, 
   {{0xf1a7372d,0x2d7e00a4,0x6d5a1074,0x6d250176}},	//   _орен, _bċe_, ftta, ндоз, 
   {{0x6cc600e4,0x2d58026a,0x6d5a02c9,0x2bc50035}},	//   ейна, gée_, gtta, _लेबा, 
   {{0x38790104,0x7cf6253f,0x7fd50009,0x443f02d9}},	//   _nasr_, káre, _пілі, _jdu_, 
   {{0x765500ab,0x6d5a543d,0xf1c307d5,0x69d701f2}},	//   _oczy, atta, _वेतन, _axxe, 
   {{0x7cf6795a,0x44260121,0x6ee6003e,0x2d580151}},	//   dáre, zbo_, fðbu, bée_, 
   {{0x6d5aadbf,0x2d581606,0xddc36c4a,0x2d9801e8}},	//   ctta, cée_, _hanž, øret_, 
   {{0x7afc044e,0x291e00e0,0xddc101dd,0x44262267}},	//   smrt, īta_, celš, xbo_, 
   {{0x06862f0d,0x2b4600eb,0x1ae62c54,0xf7439209}},	// [d0a0] нган, _íoc_, _поим, лето, 
   {{0xddc30076,0x443f4db0,0xfc3f0038,0x45d609f9}},	//   _manž, _adu_, bhís_, нцет, 
   {{0xe5a301a2,0x44260118,0x3a060109,0x64a6b0b8}},	//   лифи, tbo_, _سکسی_, нажа, 
   {{0x6b840310,0xb4bc00a2,0x443fc862,0x7cf6001d}},	//   _krig, ेचे_, _cdu_, báre, 
   {{0x07a308ad,0x44260930,0x61e868ed,0x443f00f8}},	//   _баян, rbo_, _sydl, _ddu_, 
   {{0x4426c863,0x6d5a201d,0x2d580107,0x443fc864}},	//   sbo_, ytta, yée_, _edu_, 
   {{0x044600dd,0x9106c865,0x2d580212,0x443f0610}},	//   _певн, нчид, xée_, _fdu_, 
   {{0x2d58026d,0xb14601bb,0xea000023,0x0f26004f}},	//   vée_, _үнал, _nhậu_, ньом, 
   {{0x3f824466,0x68e300d3,0xa346009c,0xb355010e}},	//   íku_, _índe, _سپاه, _لینا_, 
   {{0x61e8022b,0x2d58026d,0x00000000,0x00000000}},	//   _tydl, tée_, --, --, 
   {{0x6b84c866,0x6d5a00c8,0x6eef01e8,0x61430258}},	//   _arig, utta, møbl, _беха, 
   {{0x2d580518,0x61e401f0,0x6d5ac867,0xac1900dd}},	//   rée_, ğild, rtta, ьому_, 
   {{0x2d580518,0x7b64c868,0x69c8c869,0xbea6012d}},	//   sée_, лтре, úden, _падк, 
   {{0x2d980422,0x98c402c0,0x2d580107,0x6b84032d}},	//   øres_, ҳсул, pée_, _drig, 
   {{0x81e2100b,0x6440c86a,0x6b84c86b,0x656900ef}},	//   নের_, _odmi, _erig, _ćeho, 
   {{0x6b840cca,0xb4da000d,0x61e50380,0x661c040b}},	//   _frig, ठको_, ühli, _afrk, 
   {{0x6b8445a8,0xf77300d6,0x443f012b,0x60c2102d}},	// [d0b0] _grig, داز_, _rdu_, _mmom, 
   {{0x443f0330,0x7ae570d8,0xf1b0049f,0x6d48c86c}},	//   _sdu_, _ukht, जनान, orda, 
   {{0x38790187,0x60c20118,0x15a800fd,0x41df05ff}},	//   _tasr_, _omom, нъци_, _पुंस, 
   {{0x6b840126,0x7cf61cf0,0x00000000,0x00000000}},	//   _yrig, márc, --, --, 
   {{0x889a0a33,0x68edb8a0,0xc8860380,0x6d4878bf}},	//   _חברי, mlad, ößen_, hrda, 
   {{0x2169c86d,0x290b0082,0x03a2c86e,0xd6e20035}},	//   дики_, _hica_, ришо, _całą_, 
   {{0xd17511db,0x68ed0a92,0x82340629,0xfa7800d1}},	//   тылы, olad, ارها, געות_, 
   {{0x68edc86f,0xb7f50a20,0xd6c40086,0x290b6eb2}},	//   nlad, _आराम_, ্তৃপ, _jica_, 
   {{0x290bc870,0x68edc871,0x6d48c872,0x248d001d}},	//   _mica_, ilad, erda, _inem_, 
   {{0x290b00f1,0x38b54639,0x25e607d5,0x0d850240}},	//   _lica_, _hård_, _जुडी_, влон, 
   {{0x68ed294c,0x249f0118,0x6b8408a1,0x6d4800ef}},	//   klad, _koum_, _srig, grda, 
   {{0x68ed5743,0x249f0118,0x00000000,0x00000000}},	//   jlad, _joum_, --, --, 
   {{0xeb97c873,0x2d98155b,0x6d48c874,0x68edc875}},	//   вия_, ører_, arda, dlad, 
   {{0x4a75005e,0xc33200a7,0x61e401f0,0xa96a02f1}},	//   лыст, שום_, şile, мига_, 
   {{0x6cdac876,0x291303da,0x09e628d8,0xceb2008d}},	//   _офис_, _cuxa_, товн, _דיג_, 
   {{0x186702f1,0x290bc877,0x7a3f027e,0x7cf6010e}},	//   каси_, _cica_, _açtı, sárb, 
   {{0x290bc878,0x15f400b0,0x6b848a01,0x96ba0038}},	// [d0c0] _dica_, _अरहर_, _urig, وائز_, 
   {{0x68edc879,0x248d4235,0xe6100095,0x7cf60183}},	//   alad, _anem_, _düşə, bárc, 
   {{0x200f048a,0x290bc87a,0xe45a10df,0x67249c8b}},	//   _oggi_, _fica_, дже_, spij, 
   {{0x6724c87b,0x68ed3b87,0x200f00cf,0x249f0054}},	//   ppij, clad, _nggi_, _coum_, 
   {{0x2bc800a2,0x68e4c87c,0x249f0237,0x29001761}},	//   रपटा, moid, _doum_, mmia_, 
   {{0x248dc87d,0xe7370886,0x29000088,0x290bc87e}},	//   _enem_, _јер_, lmia_, _zica_, 
   {{0x291302aa,0x2ab40502,0x290b0610,0x00000000}},	//   _xuxa_, _gäbe_, _yica_, --, 
   {{0x64a38121,0x68e4c87f,0x38b56f67,0x3a38429a}},	//   _каса, noid, _gård_, harp_, 
   {{0x64a3b216,0x13060d18,0xa06702a6,0x7306012d}},	//   _тата, _азам, тања_, _апаз, 
   {{0x3c320124,0x68e403f0,0xe1261dbc,0x200fc880}},	//   _được_, hoid, _амжи, _eggi_, 
   {{0x68e4c881,0x6d483f5e,0x68edc882,0x7f4900b4}},	//   koid, urda, ylad, areq, 
   {{0x68e400c8,0x6ca74a3f,0x38b5017b,0x7f494a81}},	//   joid, трож, _kåre_, breq, 
   {{0xe0b70137,0xdb58309a,0x7f490042,0x68e40534}},	//   _בלאט_, кюр_, creq, doid, 
   {{0x68ed00f8,0x290bc883,0x7ac7704d,0x1ddd00a2}},	//   wlad, _sica_, тсме, _नुकत, 
   {{0x79a46f22,0x68edc884,0x3f860098,0x1ea90038}},	//   арте, tlad, _hrou_, _ثاني_, 
   {{0x68ed00a1,0x6f0d02a3,0xdc550477,0x2cb20090}},	//   ulad, _èacc, _свињ, _glyd_, 
   {{0x68edc885,0xc6f923ef,0x290b3393,0x7d0d00a1}},	// [d0d0] rlad, енах_, _vica_, _iias, 
   {{0x68ed330a,0x7d0dc886,0x29130183,0x3a38c887}},	//   slad, _hias, _tuxa_, carp_, 
   {{0x68edc888,0xe7e3000d,0x7d0d086d,0xceb300c7}},	//   plad, _कुरा_, _kias, סיע_, 
   {{0x73d9a4e8,0x78b6012d,0x68ed1d97,0x24190b24}},	//   ндер_, chyv, qlad, ходы_, 
   {{0x7d0d8e14,0xe3b000b1,0x38b5014e,0x64db00bd}},	//   _mias, يره_, _vård_, यकौश, 
   {{0x7ead00eb,0x78ad069b,0xe1f903ba,0x1308004f}},	//   _cúpl, lkav, нгл_, вній_, 
   {{0x26020fec,0xdee503ea,0x659411f9,0x3f860183}},	//   वेदी_, ғони, _кару, _arou_, 
   {{0x7d0d0180,0x78adc889,0x3f862004,0x22490384}},	//   _nias, nkav, _brou_, şak_, 
   {{0x0fca00ab,0x7cf6010e,0xf1bf00bc,0x00000000}},	//   ापगढ, jára, _řád_, --, 
   {{0x63a40088,0xe3b00116,0x7cf60183,0x81e20033}},	//   äine, _برف_, dára, নেই_, 
   {{0x3cca07d9,0x605536a7,0x3a38003e,0x78adc88a}},	//   елно_, _مناط, varp_, kkav, 
   {{0x7d0dc88b,0x78ad00d0,0xa3ca0035,0x61e50502}},	//   _cias, jkav, _ऊधम_, ühlu, 
   {{0x60c9c88c,0x3f861a77,0x28c60299,0x68e4c88d}},	//   miem, _grou_, रोफि, void, 
   {{0x7f3a00fe,0x60c90cfe,0x00000000,0x00000000}},	//   _טענו, liem, --, --, 
   {{0xdc6a0a43,0x7d0dc88e,0x1a6613b4,0xdb060019}},	//   _зайд_, _fias, نیکی_, nyké, 
   {{0x7d0d0008,0x60c9c88f,0xfbdf009e,0xc8b50259}},	//   _gias, niem, rgêr_, асуы, 
   {{0x38cb00d4,0x7cf6001d,0xb8dc08b3,0x00000000}},	// [d0e0] رافی_, cára, _अत_, --, 
   {{0x7c36c890,0x68e4c891,0x29000080,0x78ad052b}},	//   _heyr, soid, smia_, akav, 
   {{0x60c97a28,0x7d0d0201,0x7c36003e,0xe9a62ee5}},	//   kiem, _yias, _keyr, _санп, 
   {{0xb8b40259,0x60c9c892,0x00000000,0x00000000}},	//   _төгі, jiem, --, --, 
   {{0x7c36c893,0x04431a9e,0x4394c894,0x82a64427}},	//   _meyr, сечн, ралс, ладж, 
   {{0x38b502fb,0x2d870212,0xe2973585,0x261a1f30}},	//   _våre_, _orne_, лач_, मुखी_, 
   {{0x35a36524,0xb42607cb,0x26d800a3,0x00000000}},	//   _ларг, _معذو, _ijro_, --, 
   {{0x3f8603a1,0x60c9c895,0x89370070,0x7c367f5f}},	//   _prou_, giem, ארקע_, _neyr, 
   {{0xdfd000eb,0x2d870f2d,0x7d0dc896,0xddcf090e}},	//   تية_, _arne_, _rias, _češa, 
   {{0x7d0da441,0x3f860691,0x7cf61acf,0x33d525b2}},	//   _sias, _vrou_, vára, _тіст, 
   {{0x2d8700f1,0x7d0dc897,0x7c36bd4c,0x7cfd08b2}},	//   _crne_, _pias, _beyr, nérg, 
   {{0x60c9b7c2,0x3f86c898,0xab5b010e,0x7c3612ed}},	//   ciem, _trou_, nzüg, _ceyr, 
   {{0x2d87c899,0x99900112,0xede302f1,0x7c3600f8}},	//   _erne_, _čaše_, _қўшн, _deyr, 
   {{0xbda60e61,0x5b140477,0xdb24039f,0xd007a1d3}},	//   _محبو, смрт, ásáb, _сече_, 
   {{0x7d0d11e9,0x7cf6c89a,0x78ad25c3,0xc8671782}},	//   _tias, márn, tkav, лтаи, 
   {{0x7cf6c89b,0x6e3ac89c,0x2fc90604,0x00000000}},	//   pára, latb, _žagi_, --, 
   {{0x9635065b,0x00000000,0x00000000,0x00000000}},	// [d0f0] инац, --, --, --, 
   {{0x78adc89d,0x7cf62cb0,0xda190527,0x60c9c89e}},	//   skav, nárn, _दलित_, ziem, 
   {{0x7ae702f5,0x78ad01dd,0x600b0213,0x00000000}},	//   mojt, pkav, _kömü, --, 
   {{0x81cd00cc,0x7c3600ad,0x52dd0466,0x60c90212}},	//   রথম_, _xeyr, यव्स, xiem, 
   {{0x60c938cb,0xa856042c,0x7cf6026e,0x6e3a0844}},	//   viem, _דירה_, kárn, katb, 
   {{0xddda006b,0xae040527,0xbb1b009e,0x38a700b0}},	//   hető, रधान_, yvîn, _võru_, 
   {{0xa5f8005e,0x746b1d52,0x60c9c89f,0x7cf6014b}},	//   _беру_, _прав_, tiem, dárn, 
   {{0xcf4500b9,0xe1880dec,0xdb0a0032,0x00000000}},	//   аний, ائون_, ľném, --, 
   {{0x60c9c8a0,0x6e3a00ef,0x2295015f,0x6eef34f9}},	//   riem, fatb, _پلاس, løbi, 
   {{0x4d650bb1,0x60c9c8a1,0x7c36a177,0x0ea900c8}},	//   аков, siem, _seyr, ткой_, 
   {{0xcc8a00d4,0x7c36c8a2,0x60c995e8,0xbca60038}},	//   ننده_, _peyr, piem, لمدي, 
   {{0x7c360095,0x2d870352,0x16070e07,0xf1a41478}},	//   _qeyr, _vrne_, वेयर_, _урун, 
   {{0x7c296af1,0x7cd201dd,0x7cc4010e,0x6e3ac8a3}},	//   ñera, nāri, nőri, batb, 
   {{0xab27602d,0xceb800ab,0x6eef02c9,0x41a91f9a}},	//   рора_, chę_, købi, _कथास, 
   {{0x7c3600f8,0x81130033,0x00000000,0x00000000}},	//   _teyr, _সবুজ_, --, --, 
   {{0xf1b20070,0x7cd20b03,0x7cf65292,0x600b0241}},	//   קסן_, kāri, máro, _gömü, 
   {{0xe8012894,0xc87f02f2,0xa7a7c8a4,0x7cf60228}},	// [d100] लेला_, _daß_, акта_, láro, 
   {{0xda667160,0x63ab02ae,0xf48724a1,0x00000000}},	//   _твои, dygn, یانی, --, 
   {{0x7cf6247e,0x2125019c,0x00000000,0x00000000}},	//   náro, _ntlh_, --, --, 
   {{0x232a660a,0x7cf60183,0x6e3ac8a5,0x645b2e31}},	//   води_, iáro, zatb, _ccui, 
   {{0x93770084,0xf7460886,0xe29a78e7,0xc9d5009c}},	//   لصور_, _њего, кад_, _نمیک, 
   {{0xddda0019,0x7cf63ad3,0x7cfd010e,0xea000108}},	//   zető, káro, mére, _chầu_, 
   {{0x7cf66046,0xe5a600b3,0x6e3a010e,0x74560093}},	//   várn, _тиви, vatb, _възх, 
   {{0x645b0084,0x63ab0c85,0x98b10035,0x656e011c}},	//   _gcui, bygn, pszą_, _ipbh, 
   {{0x7cf60483,0x656900ef,0x7cfdc8a6,0xddda010e}},	//   tárn, _ćehi, nére, vető, 
   {{0xdfd4004e,0x1be1055d,0x600b0241,0x6ef400b9}},	//   _қолы, _गुगल_, _sömü, ràbo, 
   {{0x7cf6026e,0x7cfd844b,0x6e3a1621,0xd65700d1}},	//   rárn, hére, ratb, סיטת_, 
   {{0x55770137,0x7cf60019,0x4911007e,0x13aa0033}},	//   בעטן_, sárn, _दूगो_, _খেয়, 
   {{0xa2bd0299,0xbbd13b5f,0x69de00b4,0x00bb00d1}},	//   वोक्, सपेक, _axpe, _במאמ, 
   {{0x7cfdc8a7,0x7cf6445a,0xc87f0502,0x6b4c01d5}},	//   dére, báro, _saß_, _sögð, 
   {{0x7ae700e5,0x7cf60042,0x63ab0035,0x98c7c8a8}},	//   rojt, cáro, zygn, асал, 
   {{0x7cfd026d,0x6e38010c,0x290f219b,0x4815c8a9}},	//   fére, _hevb, öga_, смас, 
   {{0x69dec8aa,0x7d18006d,0xb8cf01a4,0x7c3d0096}},	// [d110] _expe, _huvs, _कव_, masr, 
   {{0x7c3dc8ab,0x94e800ad,0x645bc8ac,0x7cd20243}},	//   lasr, _işə_, _scui, vāri, 
   {{0x68e31771,0x64150038,0xaadc00d1,0x7ead0534}},	//   _índo, مواط, _בחזר, _dúph, 
   {{0x7cfda752,0x7cd20243,0xa43903a1,0x00000000}},	//   bére, tāri, узду_, --, 
   {{0x7cf6c8ad,0x212500f4,0x4abb0a34,0x224505d5}},	//   záro, _stlh_, _उताव, _pdlk_, 
   {{0x65951bd5,0x7c3d543d,0x00000000,0x00000000}},	//   _лагу, hasr, --, --, 
   {{0x45d4c8ae,0x7cf60068,0xc6920070,0xab5b02eb}},	//   _дорс, xáro, _צאל_, nzüb, 
   {{0x260200a2,0x7cf60019,0x00000000,0x00000000}},	//   वेळी_, váro, --, --, 
   {{0x443dc8af,0xea0000e7,0xdde200ca,0xb4e300b5}},	//   maw_, _thầu_, _čušp, नकी_, 
   {{0x443dc039,0xe8e00029,0x7cf6006b,0x7ead0187}},	//   law_, _đọc_, táro, _kúpi, 
   {{0xea0000e7,0xd0110038,0x7ead2093,0x6281c8b0}},	//   _khấu_, _فلا_, _júpi, _ialo, 
   {{0x6459c8b1,0x443dc8b2,0x6281c8b3,0x7cf6c8b4}},	//   ngwi, naw_, _halo, ráro, 
   {{0x7cf60019,0xee2e021d,0xdca602f1,0x00000000}},	//   sáro, _нн_, _ҳайи, --, 
   {{0x443dc8b5,0xed590009,0x6aa50118,0x7cfd9e88}},	//   haw_, _бок_, _cohf, vére, 
   {{0x6281869c,0x443dc8af,0x6283011c,0x6f1900f3}},	//   _malo, kaw_, idno, _huwc, 
   {{0x7cfd067a,0x6281c8b6,0x443d003d,0x6d412267}},	//   tére, _lalo, jaw_, msla, 
   {{0x443dc8b7,0x98a3c8b8,0x62810379,0xf746c8b9}},	// [d120] daw_, чите, _oalo, сезо, 
   {{0x38b50750,0x62810412,0x81e20086,0xfbd300d1}},	//   _våra_, _nalo, নেট_, _מתח_, 
   {{0x99860084,0x6d41c8ba,0xdb060855,0x7cfdc8bb}},	//   _الجو, nsla, szkó, sére, 
   {{0x443dc8bc,0x7cfd4f0e,0x62810c36,0x6d41c8bd}},	//   gaw_, mérc, _aalo, isla, 
   {{0x7cf60313,0x6d4100a3,0x291ac8be,0x02c80176}},	//   járm, hsla, _hupa_, ақаи_, 
   {{0x6d41c8bf,0x24800e24,0x628302fe,0x3a3a1b30}},	//   ksla, žim_, gdno, _jepp_, 
   {{0x443dc8c0,0x6281c8c1,0x7c24c8c2,0x918600eb}},	//   baw_, _dalo, _ofir, إجتم, 
   {{0x6d41050f,0x23690405,0x7cf6001d,0x61e4c8c3}},	//   dsla, ħajr_, fárm, şilo, 
   {{0x291ac8c4,0x6281c8c5,0x6d41c8c6,0x7c3d00d9}},	//   _lupa_, _falo, esla, vasr, 
   {{0x6d413b3a,0x7cf6006b,0x877b0070,0x291a0876}},	//   fsla, sárl, נאיי, _oupa_, 
   {{0x7c290503,0x7c3b0679,0x7ead0068,0x2d8a0165}},	//   ñero, ðuro, _xúpi, íbe_, 
   {{0x628183c1,0x6f1900f3,0x00000000,0x00000000}},	//   _zalo, _fuwc, --, --, 
   {{0x6281c8c7,0x7c3d00e2,0x611100e0,0x442401a7}},	//   _yalo, rasr, _tālr, _mfm_, 
   {{0x7c241ada,0x7c2f0183,0x6281c8c8,0x6d41c8c9}},	//   _efir, sbcr, _xalo, bsla, 
   {{0xdd8fbfe0,0x443d2282,0x291abf23,0x4424c8ca}},	//   _эш_, yaw_, _cupa_, _ofm_, 
   {{0x291a0012,0x26cac8cb,0x7764003d,0x4735012d}},	//   _dupa_, _ambo_, ftix, жнас, 
   {{0x7bda0c05,0xfc3f00eb,0x6fb800a5,0x7cfd001d}},	// [d130] ştur, maí_, इनिं, pérb, 
   {{0xfc3f0084,0x443dc8cc,0x6b8dc8cd,0xd5bb001c}},	//   laí_, waw_, _irag, лсе_, 
   {{0x443dc8ce,0x7c24010d,0x6281c8cf,0x4424c8d0}},	//   taw_, _yfir, _ralo, _bfm_, 
   {{0xfc3f057f,0x6b8dc8d1,0x62810961,0x8c48010c}},	//   naí_, _krag, _salo, meşî, 
   {{0x20d3002e,0x291aa136,0x443dc8d2,0xd6db02da}},	//   nţie_, _zupa_, raw_, _бтв_, 
   {{0xfc3f0084,0x443dc8d3,0x3869c8d4,0x628107d7}},	//   haí_, saw_, lfar_, _qalo, 
   {{0x443dc8d5,0x91050161,0x6d4102f1,0xea000023}},	//   paw_, опке, xsla, _thấu_, 
   {{0x386900eb,0x925803dc,0x7c3b003e,0x6b8dc8d6}},	//   nfar_, _ҳафт_, ðurl, _orag, 
   {{0x6449c8d7,0xef16c8d8,0x6281c8d9,0xfc3f00eb}},	//   _idei, омы_, _talo, daí_, 
   {{0x8234086b,0xee391fde,0x6d41b2ba,0x672dc8da}},	//   _فرما, шно_, tsla, ipaj, 
   {{0x6b8dc8db,0x7cd2002a,0x6da5c8dc,0x10e72853}},	//   _arag, kārt, цина, _людм, 
   {{0x291a079c,0x6b8dc8dd,0xfc3f0038,0x3a3ac8de}},	//   _rupa_, _brag, gaí_, _sepp_, 
   {{0x6d418215,0x291ac8df,0x2d98014e,0x78a60082}},	//   ssla, _supa_, ärer_, _rokv, 
   {{0x6b8dc8e0,0x6d41c8e1,0x6d4e020b,0x6d460028}},	//   _drag, psla, ábac, ąkar, 
   {{0xed592038,0x6b8d02ba,0x3869c8e2,0x64490165}},	//   _той_, _erag, ffar_, _odei, 
   {{0xb4e30351,0x6b8dbb30,0x3ea70118,0xfc3f0038}},	//   नको_, _frag, _hont_, caí_, 
   {{0x3ea7c8e3,0xa6ca00b9,0xc31f0086,0x20d3002e}},	// [d140] _kont_, алаа_, নীতি_, cţie_, 
   {{0x644902bf,0x77640068,0x291ac8e4,0x7cfdc8e5}},	//   _adei, rtix, _tupa_, méra, 
   {{0x7764c8e6,0x3ea7c8e7,0x291a016a,0x7cfdb516}},	//   stix, _mont_, _uupa_, léra, 
   {{0x672d006d,0x395801dd,0x38690038,0xddd80604}},	//   bpaj, murs_, cfar_, _javš, 
   {{0x7cfd0518,0xf48713b4,0x395800b9,0x644900f8}},	//   néra, تالی, lurs_, _ddei, 
   {{0x68f6c8e8,0x26ca0548,0xe7370d3d,0x6449017c}},	//   llyd, _umbo_, _фер_, _edei, 
   {{0x44240183,0x7cfdc8e9,0x1a9b0070,0x00000000}},	//   _tfm_, héra, ייסע, --, 
   {{0x8f460a71,0xddd8026e,0x64490097,0xdb1d010e}},	//   оход, _navš, _gdei, szsé, 
   {{0x629e030f,0x24860495,0x7ead20ac,0x3ea77375}},	//   öpos, mdom_, _lúpu, _bont_, 
   {{0x3ea70012,0x7cfdc8ea,0x2366c8eb,0x3eb80b72}},	//   _cont_, déra, mtoj_, órt_, 
   {{0xfc3f057f,0x3ea7c8ec,0x6b8d77d1,0xdd90030e}},	//   taí_, _dont_, _srag, روح_, 
   {{0x24862a0c,0x672d023b,0x3958c8ed,0xe5710070}},	//   ndom_, ypaj, durs_, ײַט_, 
   {{0x3ea7c8ee,0xfc3f0084,0x2bc502f8,0x3958026a}},	//   _font_, raí_, _लेखा, eurs_, 
   {{0x6b8d0285,0xfc3f0084,0x24843df4,0x672d006d}},	//   _vrag, saí_, _lamm_, vpaj, 
   {{0x29881231,0x2486c8ef,0xca140093,0xfc3f0038}},	//   осто_, kdom_, ддръ, paí_, 
   {{0x7cfd026a,0x20d300b3,0x28c6126e,0x23660034}},	//   béra, pţie_, रोलि, ktoj_, 
   {{0x3869c8f0,0x76b902f1,0x23660034,0x7cfd211b}},	// [d150] rfar_, блар_, jtoj_, céra, 
   {{0x61270c05,0x672dc8f1,0xe80100ab,0x75230183}},	//   _yıld, rpaj, लेगा_, ínzo, 
   {{0x3958175c,0x7cd20243,0x672d1f57,0x38691e1d}},	//   curs_, pārt, spaj, pfar_, 
   {{0x24862379,0xa87900c7,0xa97a0070,0x98790070}},	//   gdom_, _פאָר, _פארכ, _פאָט, 
   {{0x889a00a7,0xd37b15f5,0x24849239,0x290900c8}},	//   _הברי, рче_, _damm_, mmaa_, 
   {{0x290900c8,0x2ca9c8f2,0x6846010e,0x2d8e0a08}},	//   lmaa_, _load_, _védő, _orfe_, 
   {{0x3ea714d2,0x24840118,0xd49b0097,0x00000000}},	//   _ront_, _famm_, _кра_, --, 
   {{0x3ea71164,0x38bc00eb,0x237f006f,0x290913ba}},	//   _sont_, _tíre_, _tsuj_, nmaa_, 
   {{0x3ea7c8f3,0x7cfd0068,0x29090080,0xd11b0299}},	//   _pont_, xéra, imaa_, _पूरण_, 
   {{0x92b700d6,0x7cf6c8f4,0x260200b0,0x68ed43a3}},	//   _بحرا, mári, वेकी_, hoad, 
   {{0x7cf6c8f5,0x3ea7c8f6,0xddd80121,0xf6520070}},	//   lári, _vont_, _pavš, עצט_, 
   {{0x7cff012d,0x7cfd4635,0x2a7801c4,0x01fa00d1}},	//   _kūry, téra, werb_, _הפעל, 
   {{0x7cf607ca,0x68ed00f4,0x8f80004e,0x03d90033}},	//   nári, doad, _ақыл, _তরুণ, 
   {{0x3958c8f7,0xdd0100e0,0x7529090e,0x1e84004f}},	//   turs_, ītāj, _čezn, _олім, 
   {{0x7cfd0371,0xa2b30299,0x8a030082,0x1d0a00ed}},	//   séra, _अवन्, езре, _леки_, 
   {{0x7cfdc8f8,0xe8fab41b,0x2b920054,0x98a3bdde}},	//   péra, ёла_, _côcô_, нисе, 
   {{0x248605ae,0x3958c8f9,0x7d04007c,0xfaff021e}},	// [d160] vdom_, surs_, _ihis, mtën_, 
   {{0x7cf6c8fa,0xf1db109f,0x248400c2,0x7cd20243}},	//   dári, यपान, _samm_, pārs, 
   {{0x68edc8fb,0x2484016a,0x7d0400e2,0x7d16040c}},	//   boad, _pamm_, _khis, _kiys, 
   {{0xa507c8fc,0x68ed001d,0x7cf6c8fd,0xeab20019}},	//   пеха_, coad, fári, _آٹھ_, 
   {{0x2486c8fe,0x7d040a75,0x24840118,0x33f60038}},	//   rdom_, _mhis, _vamm_, أساس, 
   {{0x66c0014e,0x46c012e3,0x48f6031e,0xa3a500bc}},	//   _sökf, _एतिह, ्षको_, nářů_, 
   {{0x386b00eb,0x60dbc8ff,0x7c3b008c,0xfaff024a}},	//   _éirí_, fnum, ðurk, ktën_, 
   {{0x78a402f5,0xfaff00e5,0x2366024a,0x5f941d65}},	//   njiv, jtën_, ptoj_, диит, 
   {{0x4426c900,0x2ca900a7,0x289b24ea,0x7cf60587}},	//   mco_, _road_, מיקא, cári, 
   {{0x4426aa13,0x7d04c901,0x7d160237,0x7de600f0}},	//   lco_, _ahis, _aiys, зімд, 
   {{0xfaff024a,0x442602a3,0xc04f9500,0x6c552351}},	//   ftën_, oco_, _пі_, мкну, 
   {{0x7d04030b,0x44261cea,0x6442c902,0x00000000}},	//   _chis, nco_, naoi, --, 
   {{0x68e32126,0x7d0400d4,0x78a404d1,0xaf0700c5}},	//   _índi, _dhis, djiv, تقیم_, 
   {{0x64420a75,0x7d049d61,0xbea31e70,0x2b5900b9}},	//   haoi, _ehis, _пачк, rusc_, 
   {{0x68edc903,0x44260144,0x7cf6a4a0,0x6442025b}},	//   toad, kco_, zári, kaoi, 
   {{0x9ddb00a7,0xe8b501f0,0x7cfd026a,0xfdf7008d}},	//   _לקוח, _dışı, méro, _מצות_, 
   {{0x20d300d9,0x290901ad,0x64420358,0x7cfdc904}},	// [d170] nţia_, rmaa_, daoi, léro, 
   {{0x7cf6200a,0x290906a6,0x60c00102,0x68ed020f}},	//   vári, smaa_, hhmm, soad, 
   {{0x44260532,0xf5790198,0x7cfd3dd9,0x68edc905}},	//   fco_, تماع_, néro, poad, 
   {{0xdd8600d6,0x7cf6c906,0x43750161,0x7c3f00c3}},	//   _یو_, tári, дукт, _jeqr, 
   {{0x6d5ac907,0x7e7a03d8,0xd7e4017b,0x7c3f00c3}},	//   huta, ketp, _зіро, _meqr, 
   {{0x7cf603b7,0xe296c908,0x442658fd,0xdb06010e}},	//   rári, даш_, aco_, szkö, 
   {{0x6d5ac909,0xa0a53880,0x7cf6c90a,0x10a5c90b}},	//   juta, дайд, sári, дийн, 
   {{0x4426c90c,0x7cfd0742,0x6d5ac90d,0x2b49543e}},	//   cco_, déro, duta, _ovac_, 
   {{0x443f3104,0x6d4e6be9,0x60dbc90e,0xaf054854}},	//   _ieu_, ában, rnum, мпил, 
   {{0x7d04c90f,0x443fc910,0x6d5ac911,0xda1932f1}},	//   _shis, _heu_, futa, _दलगत_, 
   {{0x6d5a526d,0x443fc912,0x1d0a1c52,0x41b50038}},	//   guta, _keu_, жени_, _تمار, 
   {{0x443f0518,0x41740133,0x3f8f06e0,0xa3b80019}},	//   _jeu_, _سامس, _trgu_, _باہر_, 
   {{0x443fc913,0x20d3002e,0xfaff024a,0x7cfd001d}},	//   _meu_, cţia_, rtën_, pérn, 
   {{0x6d5a58cf,0x442608f4,0x66c033e5,0x443fc914}},	//   buta, zco_, _köke, _leu_, 
   {{0x7cfd3db6,0x7d04c915,0x3f8d0c7c,0x443f0026}},	//   céro, _this, lveu_, _oeu_, 
   {{0x443fc916,0xe8fa0fb6,0x4426c917,0x26d30183}},	//   _neu_, іла_, xco_, eixo_, 
   {{0x2ab40077,0xf743c918,0xa6862ef9,0xfaa603fd}},	// [d180] _läbi_, кето, млад, _жапо, 
   {{0x6b84c919,0x61e40384,0x257e00bc,0x44269d23}},	//   _isig, şili, _půl_, wco_, 
   {{0x1a9b00a7,0x443fc91a,0x4426c91b,0xf1c30009}},	//   _וייע, _beu_, tco_, nešė_, 
   {{0x4426c91c,0x443f033e,0x69da0212,0x6b840104}},	//   uco_, _ceu_, ûteu, _ksig, 
   {{0x443f8b2c,0x7c3b008c,0x644200a0,0x6d5a00b4}},	//   _deu_, ðuri, raoi, zuta, 
   {{0x44261107,0x6d5ac91d,0x7bc6008b,0x443f0876}},	//   sco_, yuta, izku, _eeu_, 
   {{0x443f277e,0x7cfd03da,0xdc300028,0x6d5a01cf}},	//   _feu_, xéro, _užėm, xuta, 
   {{0x6b8402f5,0x2724014e,0x6d5ac91e,0x443fc91f}},	//   _osig, _kön_, vuta, _geu_, 
   {{0x4fc6058b,0x27240019,0xe3630cdf,0x3f1437ce}},	//   ьска, _jön_, _икти, ндис, 
   {{0x6d5a0414,0x7cfdc920,0x41b66c0a,0x7ead0228}},	//   tuta, téro, _осет, _súpr, 
   {{0x629ac921,0x6b84c922,0x2724014e,0x443f00e7}},	//   _into, _asig, _lön_, _yeu_, 
   {{0x7e7ac923,0xe57100c7,0x3f8d0df4,0x409300eb}},	//   setp, אַך_, bveu_, _للمر, 
   {{0x6d5a05d2,0x6440a464,0x6288c924,0x764e00ab}},	//   suta, _memi, _kado, _odby, 
   {{0x644090fa,0xdd90143f,0x6288c925,0x628ac926}},	//   _lemi, _موت_, _jado, ndfo, 
   {{0x6288c927,0x6b840093,0x48ab012d,0xaf070038}},	//   _mado, _esig, отам_, _تقوم_, 
   {{0x6d4800fc,0x3860003e,0xceb82c02,0x272402ae}},	//   msda, ggir_, lkę_, _bön_, 
   {{0x443fc928,0x6d48c929,0x5695c92a,0x2b490ab4}},	// [d190] _reu_, lsda, наат, _uvac_, 
   {{0x443f61a7,0x629a016a,0x272405b7,0xceb814d5}},	//   _seu_, _nnto, _dön_, nkę_, 
   {{0x443fc92b,0x6d481f3a,0x628a02bf,0x545503ba}},	//   _peu_, nsda, ddfo, евет, 
   {{0x629ac92c,0x6440c92d,0x66c00219,0x7985c92e}},	//   _anto, _cemi, _röke, _ishw, 
   {{0xe299c92f,0x6288c930,0x66c0022b,0x443f0f2b}},	//   зал_, _bado, _söke, _veu_, 
   {{0x6288c931,0x6d48c932,0x29190010,0x629a011c}},	//   _cado, ksda, _hisa_, _cnto, 
   {{0x6288c933,0x443fc934,0x2919c935,0xceb80035}},	//   _dado, _teu_, _kisa_, dkę_, 
   {{0x629a1d9c,0x64402a7c,0x7645b238,0x63a202f1}},	//   _ento, _gemi, lahy, bxon, 
   {{0xb2751ba1,0x2d9886cd,0x6d4a0f5b,0x6d48011f}},	//   _плаш, åren_, _avfa, esda, 
   {{0x7ce80095,0x6288c936,0x6440c937,0x7645011c}},	//   zırd, _gado, _zemi, nahy, 
   {{0xab5b006b,0xf8bf0126,0x6f182331,0x7cf6010e}},	//   szül, _olé_, _divc, kárt, 
   {{0x2919003d,0x672f1993,0x0fd000a2,0x6440010c}},	//   _nisa_, _otcj, _तेवढ, _xemi, 
   {{0x6288016a,0x2bba0038,0x6d480465,0x00000000}},	//   _yado, ساحة_, asda, --, 
   {{0xc332864b,0xf8bf0118,0xdbcd0a6d,0x6d48c938}},	//   רום_, _alé_, róðr, bsda, 
   {{0x2919c939,0x2724014e,0xf8bf0212,0x7ce80761}},	//   _bisa_, _sön_, _blé_, tırd, 
   {{0xf8bfc93a,0x6f1808e3,0xadd6008d,0x291900b9}},	//   _clé_, _zivc, _רוקח_, _cisa_, 
   {{0x291901ee,0x3860c93b,0x27e6026d,0x64409993}},	// [d1a0] _disa_, rgir_, çon_, _remi, 
   {{0x291e0ff9,0x7c290183,0xf8bf010e,0x6ef400b9}},	//   ítas_, ñerv, _elé_, làbr, 
   {{0x64402e67,0x628809b2,0x2919c93c,0x491a02e6}},	//   _pemi, _rado, _fisa_, _मंटो_, 
   {{0x9346c93d,0x2919c8cd,0x44f600d4,0x63a2c93e}},	//   енде, _gisa_, رساز, txon, 
   {{0x6288c93f,0x7cf60228,0x6440c940,0xceb826c9}},	//   _pado, lárs, _vemi, ykę_, 
   {{0x63a200cf,0x925811e7,0x764e055f,0x7645016a}},	//   rxon, факт_, _udby, cahy, 
   {{0x62889537,0x64400979,0x66e3c941,0x7cf60377}},	//   _vado, _temi, _сора, nárs, 
   {{0x62880b0e,0x6d4e0634,0x6f180082,0xd5b900e4}},	//   _wado, ábam, _sivc, _ўсё_, 
   {{0x93aa298e,0xdefa08a5,0x6288c942,0x6f180455}},	//   _عارف_, зын_, _tado, _pivc, 
   {{0x6d4887aa,0x59b200b0,0x43750531,0x7cf60228}},	//   tsda, ीनार, _шуст, kárs, 
   {{0x61db0cbd,0x6eb40035,0xceb82c02,0x7cf6c943}},	//   यपृष, ेसबु, rkę_, járs, 
   {{0x7cf60187,0x27e60035,0x6d485094,0xdd120540}},	//   dárs, żony_, rsda, rüşl, 
   {{0x2919c944,0x76450065,0x6d483b68,0x4fb30d4b}},	//   _risa_, yahy, ssda, _مصور, 
   {{0x29192dd5,0x8f9b035c,0xfd7400b3,0xe3e20033}},	//   _sisa_, _מידי, _алкэ, _বরাব, 
   {{0xa2b30598,0x291914cc,0xf8bf00eb,0xddc8c945}},	//   _अवस्, _pisa_, _plé_, ledž, 
   {{0x764502f6,0x29190208,0x68e900ca,0xc4c4010e}},	//   wahy, _qisa_, čedo, _طے_, 
   {{0x2919c946,0x3f860351,0x48157fa5,0xddc878c4}},	// [d1b0] _visa_, _jsou_, тмас, nedž, 
   {{0x2919c947,0x7985c948,0x6595c949,0x3f9b0042}},	//   _wisa_, _tshw, казу, _áque_, 
   {{0x7cf6c94a,0x7645c94b,0x2919c94c,0x7c3b0241}},	//   párt, rahy, _tisa_, ıurf, 
   {{0x73d911db,0x2919016a,0x7c2d008a,0xa41f0033}},	//   мдер_, _uisa_, _jfar, দর্য_, 
   {{0xd7fb08ba,0x45180499,0x80a40fcf,0x7c2da63a}},	//   _хун_, رآمد_, काने, _mfar, 
   {{0x2489c94d,0x80d302e6,0xbb3c07e4,0x213e0090}},	//   žam_, बोने, לעדי, _bwth_, 
   {{0x3f8605d5,0x7cfd010e,0xe0570296,0x61fa03c6}},	//   _asou_, gérk, فیات_, _cytl, 
   {{0xddc80ab4,0xa99c027a,0x23d2122e,0x7124029a}},	//   fedž, לבור, _देवद, درول, 
   {{0x776dc94e,0x442d0727,0x21670176,0x248000c2}},	//   ntax, _ife_, фиқи_, õime_, 
   {{0x7c2dc94f,0x1e953ac9,0x31c7063f,0x7f490c45}},	//   _afar, трир, _псев, rseq, 
   {{0x7f490036,0x3eae02ae,0xdcf40a88,0x213e00a1}},	//   sseq, _doft_, žača, _gwth_, 
   {{0x7c2d00e5,0x2247bdb6,0xe9840240,0x4035011f}},	//   _cfar, lank_, ҳқон, _редс, 
   {{0xd10e017d,0x30d80070,0xd7d0072d,0x2b3a00b3}},	//   ागरण_, _אַװע, _सेंच, ьянэ_, 
   {{0xed5901bb,0x3eae006d,0x7cf6422a,0x00000000}},	//   _жок_, _goft_, társ, --, 
   {{0x442d0364,0xa96744b3,0xd9434a6b,0x78af0304}},	//   _ofe_, кира_, иери, _bocv, 
   {{0x442dc950,0x7c290068,0x7cf6c951,0x00000000}},	//   _nfe_, ñert, rárs, --, 
   {{0x166611f0,0x7cf645ec,0x22470096,0x00000000}},	// [d1c0] квам, sárs, kank_, --, 
   {{0x442dc952,0xa9266de5,0x7cf6001d,0x22470604}},	//   _afe_, _идол, cárr, jank_, 
   {{0x546ac953,0x22470876,0x00000000,0x00000000}},	//   даем_, dank_, --, --, 
   {{0x442dc954,0x55f500b9,0x6b960a7a,0x2b400027}},	//   _cfe_, учуу, _kryg, _kwic_, 
   {{0xa2b30fc0,0x61ed008f,0x7cf61cf0,0xe3633a88}},	//   _अवश्, şall, nárq, икци, 
   {{0x442dc955,0x62630886,0x61fac956,0x66e60596}},	//   _efe_, авља, _pytl, _рога, 
   {{0xe5a31b39,0x442d0298,0x35a3c957,0x5186c958}},	//   _кири, _ffe_, _карг, тула, 
   {{0x442d016a,0x61fa0377,0x6b9600ab,0x2b4d0df4}},	//   _gfe_, _vytl, _oryg, šeci_, 
   {{0xb4be00ab,0x6e2d04d6,0x7cfd00da,0x00000000}},	//   इसी_, _şaba, sérk, --, 
   {{0x7cfdc959,0x38b5014e,0x7c2dc95a,0xddc8c95b}},	//   méri, _hårt_, _sfar, redž, 
   {{0x7cfd4a9c,0x7c2d0380,0x61e4027e,0x91e3991f}},	//   léri, _pfar, ğils, _кофе, 
   {{0x6b96050f,0x776d8b5e,0xc5f300a7,0xcb3500fd}},	//   _bryg, ytax, ידת_, лемъ, 
   {{0x3f86114e,0x7cf6001d,0x2d87c95c,0x3eae00fb}},	//   _usou_, gárq, _esne_, _toft_, 
   {{0x6b96c95d,0x60c20364,0x78af0604,0x00000000}},	//   _dryg, _hlom, _socv, --, 
   {{0x60c2c95e,0x7c3b010d,0x7c2903da,0xac9503aa}},	//   _klom, ðurs, ñers, _байш, 
   {{0x6b96055f,0x7c2d0053,0x38720156,0x48c30033}},	//   _fryg, _ufar, gfyr_, ্ক্র, 
   {{0x66c00219,0x7cf6033c,0x442dc95f,0x22470537}},	// [d1d0] _söka, párr, _rfe_, yank_, 
   {{0x776dc960,0x60c27a64,0x6d5ac961,0xe3b3009c}},	//   rtax, _llom, orta, یرش_, 
   {{0x776dc962,0x60c2c963,0x7af57379,0x62ea0033}},	//   stax, _olom, mozt, য়গায়_, 
   {{0xf4e10033,0x6d5a00fc,0xde150070,0x8ddb00df}},	//   বত্ব, irta, אַנץ_, וקבק, 
   {{0x42d50769,0x7cfdc964,0x6ec500bd,0xa8a40028}},	//   ліку, géri, िसमु, _трэк, 
   {{0xf9900a24,0x91e5ab5a,0x36d516f4,0x60c22ab5}},	//   _ابی_, лоле, _согр, _alom, 
   {{0xfa78181f,0x2247c965,0x60c232b9,0x36d4c966}},	//   דעות_, rank_, _blom, _торр, 
   {{0xbb1b078a,0x6fd4034d,0x7cfd211b,0x442d018e}},	//   xwîn, _बेहू, béri, _ufe_, 
   {{0x6d5ac967,0x7af50019,0x7cfd0681,0xa3b7007e}},	//   erta, kozt, céri, _छथि_, 
   {{0x612701f0,0x52741c03,0xfe7703a1,0xc7b200d1}},	//   _yıll, _نامز, түк_, צבי_, 
   {{0xdc6a0a43,0x3075c968,0xeb9701a2,0x8c46c969}},	//   нанд_, _булс, ҳия_, лене, 
   {{0x248d00b9,0x7cf62953,0x00000000,0x00000000}},	//   _jaem_, tárq, --, --, 
   {{0x20240039,0xeb972bcb,0x6d5ac96a,0xfc470503}},	//   ásiť_, гия_, arta, ñías_, 
   {{0x7cf6118d,0x60c21c76,0x6a8600d3,0x7cc40019}},	//   rárq, _zlom, ылга, nőrz, 
   {{0x6d5a0062,0x2d870062,0x2245c96b,0x5d7900c7}},	//   crta, _usne_, _melk_, _טאַק, 
   {{0x6b9663e5,0x26c300ef,0xdc6703dc,0xbc661ee4}},	//   _tryg, _aljo_, _баъд_, _свик, 
   {{0x48067fd9,0x2ca000a1,0xa806c96c,0xc7a30bad}},	// [d1e0] упав, _inid_, узал, битк, 
   {{0xe5a66f5d,0x8c1b00d1,0xa9a6124e,0x00000000}},	//   лизи, _אופי, _биод, --, 
   {{0xe45ac96d,0x7cd201dd,0x248d03c6,0xd9461761}},	//   еже_, dārz, _baem_, _щени, 
   {{0x7cfdc96e,0xa34a08a7,0x136a032c,0x18a6c96f}},	//   téri, езда_, ешки_, _самм, 
   {{0x38b503a8,0x68e41b25,0xcc3b0070,0x60c200a1}},	//   _vårt_, mnid, גענט, _rlom, 
   {{0x60c2090e,0x2900c970,0x92948f3d,0x88c60033}},	//   _slom, llia_, ракц, _এদিক, 
   {{0x68e400b0,0x26da011d,0x8cc70110,0x00000000}},	//   onid, mipo_, ासमो, --, 
   {{0x26dac19d,0x7cfd026d,0x92e400cc,0x68e4c971}},	//   lipo_, péri, নতে_, nnid, 
   {{0x68e40156,0x6d5594a1,0xaf33009c,0x60c20121}},	//   inid, ázan, یریت, _vlom, 
   {{0x67260da2,0x2245008a,0x26da6dde,0x290059ae}},	//   _mukj, _gelk_, nipo_, hlia_, 
   {{0x29000053,0xd6db0486,0x61270384,0x2b910032}},	//   klia_, תחיל, _yılm, _môcť_, 
   {{0x6d5a0a69,0x7ce807fa,0x25dc007e,0x60c22105}},	//   rrta, tıra, _गइनी_, _ulom, 
   {{0x6d5a00d2,0xbb220218,0x66c002ae,0x2900c972}},	//   srta, şîne, _rökn, dlia_, 
   {{0x66c0022b,0xfe7803dc,0x59d63e41,0xc987681a}},	//   _sökn, _рӯи_, _डेहर, луби, 
   {{0x7af520e9,0x68e40156,0x26da9059,0x7b6700f0}},	//   rozt, fnid, dipo_, _өтпе, 
   {{0x2900048a,0xe46a078a,0x3835c973,0x7ebf08b0}},	//   glia_, şkêş, рнар, _lêpl, 
   {{0xe89400c8,0x7d0dc974,0x96f902a0,0x67260604}},	// [d1f0] щать, _ihas, веат_, _cukj, 
   {{0x2900c975,0x68e44655,0xaa670a74,0x248d02aa}},	//   alia_, anid, _стик, _saem_, 
   {{0x2900c976,0x00000000,0x00000000,0x00000000}},	//   blia_, --, --, --, 
   {{0x63b9006a,0x2900c977,0xddc80228,0xf8c900c2}},	//   tywn, clia_, radň, _रतिय, 
   {{0x03a515d3,0x03b6004e,0x66c006a2,0xddd80098}},	//   рило, ақты_, _kökl, _navž, 
   {{0x26da3801,0x7d1f0104,0xb7da00df,0x7cfd0175}},	//   cipo_, _liqs, _יקרי, méru, 
   {{0x38790065,0x63b90083,0x80b90033,0xd4981ab1}},	//   _kbsr_, sywn, ইফস্, _өрт_, 
   {{0x78ad16ef,0x249f0679,0x2245012e,0x248d0126}},	//   njav, _unum_, _welk_, _uaem_, 
   {{0x644bc978,0x09d200a2,0x20d3002e,0x20190088}},	//   magi, _सध्य, nţii_, äsi_, 
   {{0x644bc979,0x7f5b44ba,0x2eb5c97a,0x7d0dc97b}},	//   lagi, rruq, рсис, _ahas, 
   {{0x7d0dc97c,0x78adc97d,0x68e400a3,0x29002482}},	//   _bhas, kjav, ynid, ylia_, 
   {{0x628300f6,0x386b0548,0x764781ca,0xab2a4590}},	//   leno, _nccr_, _lejy, кома_, 
   {{0x7d0dc97e,0xee2e24c0,0x78ad0097,0x3ceb014b}},	//   _dhas, _мн_, djav, _živé_, 
   {{0x644b1bcb,0x60c998ad,0xfc03004f,0x13ba0070}},	//   hagi, lhem, іпро, דזשע, 
   {{0xd946c97f,0x66c00219,0x6726016a,0x644bc980}},	//   реби, _söko, _sukj, kagi, 
   {{0x60c90088,0x6283c981,0x7d0dc982,0x644bc983}},	//   nhem, heno, _ghas, jagi, 
   {{0x644bc984,0x62830226,0x7c2402b8,0x07a62b4e}},	// [d200] dagi, keno, _igir, шаан, 
   {{0xfd4c0029,0xdcf9031e,0x60db01d8,0x68e4c985}},	//   _nhiệ, _osvě, hium, snid, 
   {{0x628300d0,0x4a5b00a7,0x60c907d7,0x644bc986}},	//   deno, _בדיו, khem, fagi, 
   {{0x7cfd3541,0x644bc987,0x67260065,0x26dac988}},	//   sérv, gagi, _tukj, sipo_, 
   {{0x60c9c989,0x6283c98a,0x20d300d9,0x66c000ad}},	//   dhem, feno, cţii_, _hökm, 
   {{0x628375cc,0xfd4c0210,0xf7432965,0xca65040c}},	//   geno, _chiệ, _феро, _jihа, 
   {{0x644bc98b,0x6d55115d,0x69cec98c,0x20c600a3}},	//   bagi, ázal, nzbe, исиг, 
   {{0x7c24c98d,0x60c99d0c,0x92c80033,0x644b035d}},	//   _ngir, ghem, োকে_, cagi, 
   {{0x4ea6c98e,0x6283c98f,0x232ac990,0x7527006d}},	//   арна, beno, _рози_, _zujz, 
   {{0x7c24c991,0x7d0dc992,0xfaff00e5,0x752000ef}},	//   _agir, _shas, ntët_, _himz, 
   {{0x069700a7,0x7cfd010e,0x7d0d5237,0x4c958e5d}},	//   בדים_, kért, _phas, бинс, 
   {{0x211a00d7,0xa0a38859,0xddd80604,0x7eb60106}},	//   _شتاب_, _махд, _tavž, _câpr, 
   {{0x4c940f6b,0xd0d305fa,0x4ab40110,0x9f4901d5}},	//   цияс, _بينظ, ुसंव, _áað_, 
   {{0x644b7c70,0x7764022c,0x7d0d0369,0x7c240539}},	//   zagi, duix, _whas, _egir, 
   {{0x644bc993,0x1fe80086,0x7d0dc994,0x78adc995}},	//   yagi, _পরিস, _thas, tjav, 
   {{0x7ce8008f,0x7d0dc996,0xa8a44736,0x7cfd010e}},	//   nırl, _uhas, орук, gért, 
   {{0x78adc997,0x628301c8,0x2f0b02c9,0x644b6341}},	// [d210] rjav, yeno, søge_, vagi, 
   {{0x6b8dc998,0xed4d0105,0x62830068,0x644bc999}},	//   _isag, _تھی_, xeno, wagi, 
   {{0x62831929,0x644b938d,0xb99500eb,0xc8bf00bc}},	//   veno, tagi, _الجب, _एकपट, 
   {{0x776403a1,0x6283c99a,0x7cfdc99b,0x20d300b3}},	//   buix, weno, mérs, pţii_, 
   {{0x644bc99c,0x6283c99d,0x7ce804be,0x7647023b}},	//   ragi, teno, dırl, _tejy, 
   {{0x644bc99e,0xa5f90235,0x6b8d474e,0x00000000}},	//   sagi, _бегу_, _msag, --, 
   {{0x644bc99f,0x3495c9a0,0x846700fd,0x81bc0243}},	//   pagi, _лавр, _възе, _sfēr, 
   {{0x3869c3a9,0x6283c9a1,0x6b8d475b,0x00000000}},	//   ngar_, seno, _osag, --, 
   {{0xfd4c0029,0x60dbc9a2,0x60c9c9a3,0x68fd02a2}},	//   _thiệ, rium, rhem, _mksd, 
   {{0x4d6514d3,0x60db2f21,0x26c10727,0xddb50038}},	//   бков, sium, nkho_, محجب, 
   {{0x6b8dc9a4,0x60c92db9,0xa294004f,0x60db0036}},	//   _asag, phem, _фахі, pium, 
   {{0xfce69f4a,0xe1f01b65,0x20ca00a1,0xfc3f00b9}},	//   сомо, _غسل_, _cùid_, gbí_, 
   {{0x80a40fec,0x66c01f85,0xfaff024a,0x2d8a02c9}},	//   कारे, _sökm, jtës_, æber_, 
   {{0xa96ac0d4,0x6d5ca490,0x69ce0380,0xa3af0f64}},	//   лига_, árac, tzbe, _ओपन_, 
   {{0xcd3500c5,0x68fd016a,0x6b8db690,0x7c290304}},	//   _ارتب, _bksd, _esag, žera, 
   {{0xfaff00e5,0x3869af30,0x7c24039d,0xdc6a569f}},	//   ftës_, ggar_, _ugir, _саид_, 
   {{0xc7a3093d,0x03e20086,0x46ea050d,0xdc3b0070}},	// [d220] питк, _বর্ণ, гдан_, _געפר, 
   {{0x7ce80e7b,0x7520019b,0x3869007a,0x66c0c9a5}},	//   zırl, _simz, agar_, _tökm, 
   {{0xb8ce0086,0x644901c4,0xfaff024a,0x7ce80540}},	//   _কত_, _beei, rtët_, yırl, 
   {{0xfaff00e5,0xed5600c7,0x232ac9a6,0x959900d3}},	//   stët_, מבער_, годи_, штуу_, 
   {{0xa80503da,0xb4b80f7a,0x87ba01d7,0x20d3020f}},	//   ruñé, _छवी_, _сунт_, nţiu_, 
   {{0x26d800f1,0xd627169e,0x954a024f,0x7afe0065}},	//   _umro_, _горе_, _مشرق_, _jkpt, 
   {{0xd2590769,0x7ce8091f,0xfc3f00bc,0x80a40484}},	//   рці_, tırl, ybí_, काले, 
   {{0x44243ffc,0x644901c4,0x03260819,0x399b0070}},	//   _ugm_, _geei, _гдан, ריקד, 
   {{0xd9a507d5,0x5f940a31,0x60c0c9a7,0x30770038}},	//   _ऑप्ट, ципт, rkmm, صحية_, 
   {{0x66fa4493,0xa29f031e,0x3869c9a8,0x5d541299}},	//   ्तिक_, _गोप्, zgar_, окот, 
   {{0x321800a9,0xd24f1117,0x6b8dc9a9,0x38690eb6}},	//   _àry_, _سنن_, _ssag, ygar_, 
   {{0x7cfdc9aa,0x7bcf0126,0x248600ca,0xac19c9ab}},	//   vérs, tzcu, neom_, иону_, 
   {{0x66fa0081,0x06fa1ad9,0xc4d300d1,0xfc3f379d}},	//   ्ताक_, ्ताव_, פגש_, rbí_, 
   {{0x6d4e03da,0x3da6269c,0x7cfd014b,0x38bc00bc}},	//   ábas, _гриб, térs, _míru_, 
   {{0xf8bf0107,0xa803027e,0x6cd50816,0x69d80144}},	//   _liée_, ğıms, _وقتا, _žver, 
   {{0x58d4192f,0x320c014b,0x24860097,0x6b8d00e1}},	//   пост, _mzdy_, jeom_, _tsag, 
   {{0xf77019c7,0x38695f2e,0xb8d107d5,0x6eac0cd6}},	// [d230] فال_, rgar_, _टच_, जापु, 
   {{0x3869c9ac,0x6efd026a,0xfaff0034,0x2d9c02d9}},	//   sgar_, lèbr, rtës_, _krve_, 
   {{0xf60b128b,0xfaff024a,0x98650019,0x00000000}},	//   ухай_, stës_, _ویسے_, --, 
   {{0x2d9c00ca,0x24860372,0x6efd0212,0x20ca0465}},	//   _mrve_, geom_, nèbr, _lùib_, 
   {{0x69d8003e,0x00000000,0x00000000,0x00000000}},	//   _þver, --, --, --, 
   {{0xe299c9ad,0x04fb0033,0x64490891,0x00000000}},	//   рак_, েদের_, _weei, --, 
   {{0x96080904,0x32cb004f,0x00000000,0x00000000}},	//   _гэта_, _nøye_, --, --, 
   {{0x7ce80540,0xf8c9017d,0x2f553f74,0x69dac9ae}},	//   tırm, रसिय, отос, útei, 
   {{0x1ec9536e,0x2d9801e8,0x2d9cc9af,0x00000000}},	//   илии_, æren_, _arve_, --, 
   {{0xd2510e05,0x200300e0,0x6d4600ef,0xb4c915c8}},	//   _آنا_, āji_, ćkan, _ऋतु_, 
   {{0xb0350093,0x2d9c0304,0xdb060035,0x31c70267}},	//   _днеш, _crve_, zykó, _усав, 
   {{0x23600112,0x7c290613,0xc0ab031b,0x60d90027}},	//   šije_, žern, _حائل_, _umwm, 
   {{0x7ebf010c,0xb4fa0070,0x443800ad,0x7ce80241}},	//   _lêpi, שפרי, _ər_, lırk, 
   {{0x7f440218,0x81cc0086,0xddda0082,0x66c0035d}},	//   _çiqa, রপর_, setš, _gökh, 
   {{0x2d980310,0x5d6902a3,0x200b044e,0x7ce8027e}},	//   året_, _тийм_, škić_, nırk, 
   {{0xdb060035,0x66c0c9b0,0x48e80bf1,0x00000000}},	//   tykó, _tökk, পত্র, --, 
   {{0xe8f700dd,0x464a2fe3,0xfaff024a,0x9d1b00df}},	// [d240] ілу_, изан_, rtër_, _דוקט, 
   {{0x2be00081,0xfaff00e5,0x7ce80241,0x00000000}},	//   _पेया, stër_, kırk, --, 
   {{0x4aa700bd,0x7afc9faa,0x00000000,0x00000000}},	//   खारव, mort, --, --, 
   {{0x2d9aa238,0x23db0299,0x66c00080,0x07a6019c}},	//   _špek_, _मेहद, _möki, _дамн, 
   {{0x24860304,0x00000000,0x00000000,0x00000000}},	//   reom_, --, --, --, 
   {{0x7afcc9b1,0x7cf6010e,0x62340d3d,0x4ace0110}},	//   nort, gárz, чеку, होचव, 
   {{0xacc3010c,0x00000000,0x00000000,0x00000000}},	//   çûkt, --, --, --, 
   {{0x320c0377,0x00000000,0x00000000,0x00000000}},	//   _vzdy_, --, --, --, 
   {{0x6442c9b2,0x2002008c,0x98b3090e,0xe2e600fd}},	//   mboi, æki_, žeće_, _джап, 
   {{0x7afc017e,0x24420508,0x00000000,0x00000000}},	//   jort, _hаm_, --, --, 
   {{0xa2a7156c,0xa2b93cae,0x1df80504,0x7afcc9b3}},	//   चार्, ्सर्, сены_, dort, 
   {{0x644200b4,0x61ed0213,0x2442040c,0x00000000}},	//   nboi, ğalt, _jаm_, --, 
   {{0x7c2900ca,0x99980009,0x7afc7d5e,0xd00702a6}},	//   žero, karų_, fort, _деце_, 
   {{0x7afcc9b4,0x70da034d,0x7c360090,0x00000000}},	//   gort, _बगुल, _efyr, --, 
   {{0xdb1d0019,0x7c360156,0x28bf0d1d,0xf84b7f86}},	//   nysé, _ffyr, _एकदि, ичай_, 
   {{0x26cac9b5,0x4735bb3c,0x34b943f5,0x115b0070}},	//   _albo_, знас, _आवेद, ידלע, 
   {{0x7afcc9b6,0x7ce80248,0x2d9a0121,0x00000000}},	// [d250] bort, zırk, _špeh_, --, 
   {{0xadfe18b4,0x501b00d1,0x7afc2450,0x00000000}},	//   _उडान_, שומו, cort, --, 
   {{0x63b60080,0x00000000,0x00000000,0x00000000}},	//   äynn, --, --, --, 
   {{0xf9fa00d1,0x224c00b4,0x00000000,0x00000000}},	//   _להתמ, _aedk_, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x77ba00a7,0x02c503c1,0x67ba00d1,0x212c1e69}},	//   _המשח, वसेन, _המשק, _budh_, 
   {{0xca7c035c,0x200901dd,0xdb1d010e,0x555800d9}},	//   ינגט, _šai_, gysé, _маря_, 
   {{0x2575c9b7,0x6577006d,0xadfe00c9,0x7afcc9b8}},	//   mål_, mtxh, _उड़न_, zort, 
   {{0xb4e702f8,0x34c70262,0x6d5cc9b9,0xf076010e}},	//   यची_, लसीद, áran, سیوں_, 
   {{0xf195004f,0x4d65705a,0x00000000,0x00000000}},	//   _низь, пков, --, --, 
   {{0x7cfd2126,0x6da56cef,0x7afcc9ba,0x25750f96}},	//   térp, чина, vort, nål_, 
   {{0x7afcc9bb,0xdb0d0228,0xbfb717bc,0xa29f3421}},	//   wort, ľkýc, _وحشت, _गोत्, 
   {{0x7afcc9bc,0xa2d2058f,0x257502ae,0x7f19012d}},	//   tort, भोक्, hål_, _ліку_, 
   {{0x644200d9,0x8f9a0070,0x25dc007e,0x8d559664}},	//   zboi, _ליני, _गइली_, _етич, 
   {{0x7d11006b,0x5975004e,0x65770201,0x3ea7c9bd}},	//   üksé, мыту, jtxh, _innt_, 
   {{0xa3ab031e,0x69c1004f,0x7afc6b01,0x23bd0da5}},	//   गमा_, ølea, sort, ्नाद, 
   {{0x32050231,0x00000000,0x00000000,0x00000000}},	// [d260] _lyly_, --, --, --, 
   {{0x645b03de,0x6b8409a4,0x00000000,0x00000000}},	//   _adui, _ipig, --, --, 
   {{0x6577006d,0x3abb0486,0x7abb00d1,0x3f8d0415}},	//   gtxh, _המינ, _הציו, hweu_, 
   {{0x27ed02f5,0x212c00a1,0x00000000,0x00000000}},	//   _žene_, _rudh_, --, --, 
   {{0x29020077,0xa294c9be,0x64420acd,0x212c016a}},	//   _ikka_, далі, rboi, _sudh_, 
   {{0x3205031e,0x65770201,0x6b848a03,0x68fb0121}},	//   _byly_, btxh, _mpig, čude, 
   {{0xb909001b,0x200f0175,0xc5b71dbc,0xa13c0243}},	//   _nghỉ_, _azgi_, _ертө, _orķe, 
   {{0x15460013,0x3ea77214,0xf4840444,0xc1040038}},	//   _меҳм, _annt_, _تاسی, بوعي, 
   {{0x4fc61b8e,0x6d460613,0xdd1f02d9,0x00000000}},	//   яска, ćkam, tížn, --, 
   {{0xeeaac9bf,0x3f1303fd,0x752e0204,0x3ea700a1}},	//   стик_, ндыс, _kubz, _cnnt_, 
   {{0xaab09d35,0x2d8c02b0,0x6b840548,0xd23b00d1}},	//   ञानक, uwde_, _apig, _הגבל, 
   {{0x764e02a5,0x6298c9c0,0x63a0422d,0x00000000}},	//   _leby, ldvo, _krmn, --, 
   {{0xde580c8b,0x66c00095,0x00000000,0x00000000}},	//   _далі_, _höku, --, --, 
   {{0x765c078e,0x753c006a,0x2902c9c1,0x764e031e}},	//   _ndry, _otrz, _akka_, _neby, 
   {{0x25dc00a2,0xa3e30790,0xc98410aa,0x66c001d5}},	//   _गेली_, _फेन_, нути, _jöku, 
   {{0x02d92119,0xd7fb00d3,0x77640042,0x6d5801f2}},	//   _भग्न, буз_, frix, _ivva, 
   {{0xf7730523,0x764e1950,0x569512a9,0x76b91c92}},	// [d270] عار_, _beby, маат, олар_, 
   {{0x29020539,0x628a0bf7,0xe7be9d33,0x645b0118}},	//   _ekka_, jefo, _एअरप, _sdui, 
   {{0x764e0156,0x3915c9c2,0xa4d908af,0x765c017c}},	//   _deby, _омор, оджу_, _ddry, 
   {{0xb4e702f8,0x765c02bf,0x386d02c9,0x24582732}},	//   यचे_, _edry, _øer_, заць_, 
   {{0x68edc9c3,0x889a00a7,0x68ff00cf,0x6d4a00f8}},	//   mnad, _וברי, moqd, _lwfa, 
   {{0x628ac9c4,0x764ec9c5,0x63a00a1a,0x03a2c9c6}},	//   gefo, _geby, _drmn, тишо, 
   {{0x68ed2139,0xd5b8c9c7,0x23600405,0x6d5cc9c8}},	//   onad, _ест_, ġija_, áral, 
   {{0x7f5900ce,0x2360034c,0x5fc8000d,0x21260126}},	//   ојот_, šija_, ाईंल, _cioh_, 
   {{0x6d58c9c9,0x68edc9ca,0xa22700d4,0x67270547}},	//   _avva, inad, _فراه, _kijj, 
   {{0x68edc9cb,0x2ca9c9cc,0x7985019b,0x85430028}},	//   hnad, _anad_, _ophw, _įėji, 
   {{0x68edc9cd,0x6b8401d8,0x693c090e,0x3f8d084c}},	//   knad, _spig, _ičeg, sweu_, 
   {{0xafa1c9ce,0x67270539,0x81b60033,0x68ed039b}},	//   _ақиқ, _lijj, _চেক_, jnad, 
   {{0x3ea700ef,0x68edc9cf,0xdce201dd,0x7985019b}},	//   _tnnt_, dnad, gulā, _aphw, 
   {{0x7d07026a,0x67270bfc,0x320001f0,0x5f0500a3}},	//   térê, _nijj, şiye_, _юзла, 
   {{0x764e0257,0x6281c9d0,0x20ca00a1,0x9cf6afeb}},	//   _reby, _mblo, _mùin_, _очиш, 
   {{0x7764c9d1,0x629801b4,0xb4e7009a,0xa29f10cf}},	//   trix, zdvo, यचो_, _गोस्, 
   {{0x62814126,0x753c00ab,0x7d04c9d2,0x6b840548}},	// [d280] _oblo, _strz, _ikis, _upig, 
   {{0x68ed0a69,0x77643fa8,0x00000000,0x00000000}},	//   anad, rrix, --, --, 
   {{0x6d41c9d3,0x7e7e022b,0x628a0417,0x67270096}},	//   npla, _öppe, vefo, _dijj, 
   {{0xf483c9d4,0xcdb600d1,0x7d0400c3,0x764e020b}},	//   вушн, ופעה_, _jkis, _weby, 
   {{0x628a794c,0x764ec31e,0x6298015e,0x6281008a}},	//   tefo, _teby, tdvo, _bblo, 
   {{0xd13ac9d5,0x6d410c2b,0x68e4c9d6,0x2900c9d7}},	//   охи_, kpla, liid, loia_, 
   {{0x62980b1f,0x753c0035,0xf8d204cc,0x6281008a}},	//   rdvo, _utrz, _सताय, _dblo, 
   {{0x62814ccc,0x628ac9d8,0x7d04c9d9,0x68e414ae}},	//   _eblo, sefo, _nkis, niid, 
   {{0x7c297a86,0x27490216,0x628a039b,0xa29f0110}},	//   žerk, mînî_, pefo, _गोव्, 
   {{0x7d04c9da,0x2ca9031e,0x68e40c40,0x2ab40219}},	//   _akis, _snad_, hiid, _täby_, 
   {{0x6d41c9db,0x68edc9dc,0x290001ca,0xab5b010e}},	//   gpla, ynad, koia_, gyün, 
   {{0x7d16c9dd,0xbfc60141,0x66c0c9de,0xefca186c}},	//   _chys, _обек, _köks, _мулк_, 
   {{0x68e400b0,0xf8bf0369,0xfeb700d4,0x5c040009}},	//   diid, _bién_, سایت_, вяра, 
   {{0x7d040a8b,0x6d41589f,0x69d502eb,0x00000000}},	//   _ekis, bpla, tzze, --, 
   {{0x6d550019,0x68edc9df,0x290001d6,0xe919017b}},	//   ázat, tnad, foia_, зові_, 
   {{0x7c870965,0xdce200e0,0x8d8301a2,0x23660082}},	//   _цуке, pulā, _рушд, kroj_, 
   {{0x7c2dc9e0,0x971500d9,0x00000000,0x00000000}},	// [d290] _igar, емац, --, --, 
   {{0x68ed0465,0x66e402a6,0x7c2d008a,0x8cc702e6}},	//   snad, вођа, _hgar, ासको, 
   {{0xa29f09b3,0xe3b000d4,0x68ed0611,0x290003c2}},	//   _गोष्, یره_, pnad, boia_, 
   {{0x809e072f,0x6281c9e1,0x66c01f85,0x7d040065}},	//   _खोले, _sblo, _sökt, _xkis, 
   {{0x6d4114f5,0xe82401a2,0x9cd80486,0x673d8d56}},	//   zpla, _афро, וואה_, _utsj, 
   {{0x2bd0049f,0x6d41017b,0x00000000,0x00000000}},	//   हनता, ypla, --, --, 
   {{0x6d411b89,0x2749010c,0x78bd41d5,0x7c2d18aa}},	//   xpla, bînî_, _kosv, _ogar, 
   {{0x7c2dc9e2,0x23660112,0x1fb51184,0xa29fc9e3}},	//   _ngar, broj_, есор, _गोर्, 
   {{0x6d4101d2,0x8e7500a3,0x20ca0465,0x78bdc9e4}},	//   wpla, нунч, _iùil_, _mosv, 
   {{0x7c2dc9e5,0x1dca00a2,0xee380161,0x7d04380a}},	//   _agar, ानंत, үнө_, _skis, 
   {{0x75290b32,0x1d0a07d9,0x7d1640ab,0xfce61f25}},	//   _kiez, зени_, _phys, еоно, 
   {{0x55da00c7,0x6d41c9e6,0xe1d800bc,0x78bdc9e7}},	//   פֿינ, rpla, _भेटघ, _nosv, 
   {{0x7529c9e8,0x00d800d4,0x2be01d5b,0x29002051}},	//   _miez, _تبلت_, _पेशा, voia_, 
   {{0x60c9c9e9,0x6d41c9ea,0x7529005f,0x7c2dc9eb}},	//   lkem, ppla, _liez, _egar, 
   {{0x442d20ca,0x13bd031e,0x2cab00eb,0x6f01008b}},	//   _oge_, ्नुभ, áidí_, molc, 
   {{0x26fa000c,0x7529be7a,0x442dc9ec,0xba238f25}},	//   ्त्र_, _niez, _nge_, удск, 
   {{0xfaa60e9a,0xb6a61880,0x68e414b9,0xfaff024a}},	// [d2a0] _запо, ниал, riid, mrën_, 
   {{0xa29f1f9a,0x7c2d00cf,0x442dc9ed,0x60c9c9ee}},	//   _गोल्, _zgar, _age_, hkem, 
   {{0x60c97846,0x752901dd,0x2749009e,0x448a004e}},	//   kkem, _biez, tînî_, збен_, 
   {{0x2366c9ef,0xe4521f98,0x20ca01fd,0xd4970009}},	//   troj_, اضا_, _cùil_, ерш_, 
   {{0x7529c9f0,0x6abe01c4,0x03a3c9f1,0x2749010c}},	//   _diez, _kopf, лицо, rînî_, 
   {{0x23600352,0x442dc9f2,0x23660034,0x2d8700fc}},	//   šijo_, _ege_, rroj_, _opne_, 
   {{0x6ec3000d,0x442d0183,0x6f0128c9,0xe5a302f1}},	//   ाउनु, _fge_, dolc, _йири, 
   {{0x2b4002c7,0x75298b23,0x2366021e,0x00000000}},	//   _otic_, _giez, proj_, --, 
   {{0xb4be09e5,0xfaff021e,0x00000000,0x00000000}},	//   ेसी_, drën_, --, --, 
   {{0x7c2dc9f3,0xfaff0034,0x7529537b,0x6f01039f}},	//   _sgar, erën_, _ziez, golc, 
   {{0x2b4003c2,0x629a0054,0xfaff021e,0x8ffa0e13}},	//   _atic_, _iato, frën_, _کرار_, 
   {{0x629ac9f4,0xbebc01dd,0xe3a7010e,0x93f40110}},	//   _hato, kmīg, _تشہی, _अशाच_, 
   {{0x629ac9f5,0x9b582b04,0xddcb01b4,0x7d1dc9f6}},	//   _kato, ният_, ćišt, rmss, 
   {{0x2f9700a7,0x629ac9f7,0x7ceb0219,0xd00f091d}},	//   _נכון_, _jato, förä, _اله_, 
   {{0x3a250750,0x2d83021e,0xdd940259,0x2b40107c}},	//   älp_, çjet_, _райы, _etic_, 
   {{0x629ac9f8,0x6d5a488e,0x7c2dc9f9,0x776d0068}},	//   _lato, msta, _ugar, tuax, 
   {{0xe81c0081,0xe7333d0b,0x7c840088,0x75290065}},	// [d2b0] पेला_, اصر_, _суще, _riez, 
   {{0x629ac9fa,0x66c0014e,0x442dc9fb,0x20ca01c5}},	//   _nato, _sökr, _sge_, _sùil_, 
   {{0x7529c9fc,0x6c6a006b,0xeef70070,0x65d5007a}},	//   _piez, _علیہ_, עמבר_, خياط, 
   {{0x69f20f82,0x629a2b92,0x00000000,0x00000000}},	//   _түст, _aato, --, --, 
   {{0xd7f808ba,0x60c90352,0x75290bd4,0xa85600df}},	//   _зур_, vkem, _viez, _בירה_, 
   {{0x91e5b89b,0x6d5a06dd,0x629ac9fd,0x7529c9fe}},	//   коле, ksta, _cato, _wiez, 
   {{0x6f01c9ff,0x692e0226,0xf8bf023e,0x66f41c42}},	//   volc, _tŝee, _koé_, _спру, 
   {{0x442d01cc,0x629aca00,0x6fa953c4,0x10a5ca01}},	//   _uge_, _eato, двиг_, тиин, 
   {{0x60c94030,0x6d5aca02,0x629aca03,0xa28300d4}},	//   rkem, esta, _fato, _میشو, 
   {{0xaec5b180,0x6d5a6c98,0x32000218,0xfbd70086}},	//   тбол, fsta, şiya_, সপাত, 
   {{0xdc6aca04,0xfaff024a,0xd1b20535,0x2919008a}},	//   манд_, trën_, _نیوک, _ohsa_, 
   {{0xfce60ecb,0x7bc6006a,0xbc1a004e,0x83fd010e}},	//   томо, tyku, дігі_, _időb, 
   {{0x6d5aca05,0x629aca06,0x7ae70034,0xfaff0034}},	//   asta, _yato, fijt, rrën_, 
   {{0x3d127671,0xceb8006a,0x6d5aca07,0xef18004f}},	//   _धीरे_, cję_, bsta, _змі_, 
   {{0xab27129d,0x6d5aca08,0xfaff0034,0x68fb0372}},	//   тора_, csta, prën_, čudn, 
   {{0x09e10086,0x26d1541f,0x273602c9,0x9d420176}},	//   _মুহা, _alzo_, _pæn_, _теъд, 
   {{0xc05200c7,0x7ae70082,0x6abeca09,0x7bb300f0}},	// [d2c0] יזן_, bijt, _topf, _көру, 
   {{0xb8c905d2,0x35a600a3,0x20ca01be,0x00000000}},	//   _गो_, казг, _rùim_, --, 
   {{0xbebc01dd,0x20ca01be,0x00000000,0x00000000}},	//   smīg, _sùim_, --, --, 
   {{0x6d5c0084,0x09f7042c,0xa3ce1cc0,0x938a3dc8}},	//   árai, _ימים_, शनल_, дска_, 
   {{0x629aca0a,0xe284005e,0x6d5a2588,0x693c026e}},	//   _pato, лған, zsta, _učeb, 
   {{0x6d5aca0b,0xbb1b009e,0x629a02f1,0x6b89009e}},	//   ysta, rtîg, _qato, çegi, 
   {{0x629aca0c,0x66e3ca0d,0xdb1d010e,0x6d5a73cc}},	//   _vato, _тора, nysá, xsta, 
   {{0x629a086d,0x6d5aca0e,0x237607cf,0x2eca0367}},	//   _wato, vsta, _لائح, िस्त, 
   {{0xdefa1f1d,0x2407ca0f,0x6d5a00ab,0x69c700ab}},	//   дын_, _анти_, wsta, zyje, 
   {{0x4ea6ca10,0x317c02be,0x00000000,0x00000000}},	//   триа, ptvz_, --, --, 
   {{0x6d5aca11,0x63a2ca12,0xdb040023,0x00000000}},	//   usta, lvon, _triê, --, 
   {{0x2369034c,0x13c60086,0x61fa0126,0x7cfd0068}},	//   šaje_, _শেয়, _ixtl, nérx, 
   {{0x3f9800e0,0x6e96007a,0x5bb80080,0x00000000}},	//   ārus_, _للشا, вляя_, --, 
   {{0x6d5aca13,0x27ed2840,0xaa641918,0xdee3ca14}},	//   psta, _ženo_, итск, _кочи, 
   {{0xf8bf005f,0xa9c46286,0x6d5a007b,0xdb1d039f}},	//   _poé_, астк, qsta, gysá, 
   {{0x63a2ca15,0xa3b2031e,0x257c00bc,0x68fb6f18}},	//   kvon, टमा_, díl_, čudo, 
   {{0x64a5005e,0xdb04009c,0xd838011f,0xf7707438}},	// [d2d0] ғала, _oriè, тэс_, قال_, 
   {{0x257c0038,0x63a2ca16,0x00000000,0x00000000}},	//   fíl_, dvon, --, --, 
   {{0x56940cdf,0xe694004e,0x00000000,0x00000000}},	//   рахт, рихы, --, --, 
   {{0xe7de031e,0xb87bca17,0xe791027e,0xdb040212}},	//   _नेकप, _zmín, _göğü, _ariè, 
   {{0x6385ca18,0x387900ca,0x6284044e,0x2f190212}},	//   угла, _icsr_, đion, lège_, 
   {{0xe3b00c55,0x257c01d5,0x00000000,0x00000000}},	//   ترم_, bíl_, --, --, 
   {{0xa3e30077,0x45d50088,0x81e60033,0x63a2ca19}},	//   _फेर_, _совс, _যুব_, avon, 
   {{0x320c017c,0xd6c50033,0x63a20118,0x00000000}},	//   _dydy_, _এগিয, bvon, --, 
   {{0x645909e8,0x61fa023e,0x443f0610,0x93f5002e}},	//   mawi, _extl, _ifu_, _спац, 
   {{0x6459ca1a,0x1e9541a2,0x0ccc2c67,0x753501b8}},	//   lawi, урир, ास्म, _kuzz, 
   {{0x5de50504,0xaceaa180,0x00000000,0x00000000}},	//   ужна, емна_, --, --, 
   {{0x7e7e022b,0x75354618,0x6459ca1b,0xcb6a0cfe}},	//   _öppn, _muzz, nawi, наме_, 
   {{0x7535ca1c,0xef0e0229,0x31a3027e,0x8e2c01ff}},	//   _luzz, _гм_, _hız_, sidа_, 
   {{0x31a301f0,0x6459ca1d,0x2d9508bd,0x1c1a02e6}},	//   _kız_, hawi, _брис, नेगल_, 
   {{0x6459b3cb,0x38790226,0x443f0082,0x6913ca1e}},	//   kawi, _bcsr_, _ofu_, rçen, 
   {{0x645900ab,0x63a200a3,0xddc802d9,0x6d4600ca}},	//   jawi, yvon, jadř, ćkat, 
   {{0x0686523f,0xad1b00fe,0x9d1b00a7,0x98a344e8}},	// [d2e0] лган, _אוקר, _אוקט, щите, 
   {{0x7d06ca1f,0x443fca20,0xdb042fdd,0xa3d7215e}},	//   loks, _afu_, _orié, ानन_, 
   {{0x765506df,0x64a602f1,0x4a7b00c7,0x753500ca}},	//   _dezy, лажа, _אריב, _cuzz, 
   {{0x257cca21,0x6459ca22,0x7d06ca23,0x2258015e}},	//   ríl_, gawi, noks, _žrk_, 
   {{0xdb04ca24,0x63a2ca25,0x5453004f,0x2ba7188d}},	//   _priè, uvon, світ, खिया, 
   {{0x2d5102f5,0x63a2ca26,0x7535ca27,0x6913027e}},	//   kše_, rvon, _fuzz, hçel, 
   {{0x51860161,0x2d5111c8,0x918600eb,0xc05a004e}},	//   уула, jše_, اجتم, ніп_, 
   {{0x6459ca28,0xc95300d1,0x00000000,0x00000000}},	//   cawi, זמה_, --, --, 
   {{0x03a39123,0x6d43012d,0x75228037,0x20d8007a}},	//   _лито, _atna, mmoz, _léig_, 
   {{0x672e012b,0xacc2010c,0xb77b0070,0x7ec9010c}},	//   _jibj, çûne, עאיש, _rêpê, 
   {{0x1fb6004e,0x672e00a4,0x4086ca29,0x00000000}},	//   _әсер, _mibj, _булб, --, 
   {{0x672e00a4,0x7f8337e5,0x7d06845e,0x00000000}},	//   _libj, جلین, goks, --, 
   {{0x69c8192b,0x3eb802ae,0x6d43040c,0x2d8b0474}},	//   øden, örts_, _etna, ăcea_, 
   {{0x945d006a,0x64590035,0x2d51008b,0x7b199080}},	//   _końc, zawi, bše_, тогр_, 
   {{0x48ab1d80,0x60c2ca2a,0x6d461c2b,0x76550035}},	//   нтам_, _koom, ćkas, _rezy, 
   {{0x7d060065,0x753502a3,0x6d4803c5,0x20d10354}},	//   coks, _ruzz, mpda, _láin_, 
   {{0x62880f58,0x60c20226,0x75350036,0x466bca2b}},	// [d2f0] _obdo, _moom, _suzz, ерем_, 
   {{0x60c20077,0x7c29ca2c,0x6b8d0dc9,0x8883009c}},	//   _loom, žers, _ipag, _گیرن, 
   {{0x6459ca2d,0xa29f007e,0xb5a71bb9,0x319700ad}},	//   tawi, _गोग्, ырай, _təzə_, 
   {{0xfc3fca2e,0x60c2ca2f,0xc50b009c,0x5c380070}},	//   ncí_, _noom, رتال_, ָרגן_, 
   {{0x6459ca30,0x20d800eb,0xa85a00d1,0xdc3c0070}},	//   rawi, _méid_, _בדרכ, געדר, 
   {{0x6459ca31,0x21697480,0x20d1007a,0x6b8d1fee}},	//   sawi, вики_, _cáin_, _mpag, 
   {{0x60c2ca32,0xfc3f063b,0x31a30095,0x6459ca33}},	//   _boom, kcí_, _qız_, pawi, 
   {{0x2d5100d2,0x90c5004e,0x62880118,0x6b8d040c}},	//   vše_, рбие, _ebdo, _opag, 
   {{0xaac60ede,0x60c2ca34,0x26c3ca35,0xddda014b}},	//   रॉडक, _doom, _kojo_, latň, 
   {{0x63a9ca36,0x66d2008c,0x249f01a0,0xdb040151}},	//   _iren, _lækn, _haum_, _trié, 
   {{0x249fca37,0x7d060088,0x60c2006d,0x6b8d7746}},	//   _kaum_, toks, _foom, _apag, 
   {{0xe1f00133,0x26c3ca38,0x2d5110ea,0xed56004f}},	//   _عسل_, _lojo_, rše_, шою_, 
   {{0x9f6b0141,0x249f023b,0x63a96431,0x2d9801e8}},	//   _чрез_, _maum_, _jren, ærer_, 
   {{0x212f0056,0x63a9ca39,0x249f5183,0x6da571dc}},	//   _high_, _mren, _laum_, _вика, 
   {{0x6d43012b,0x672e0352,0xa85608bd,0x212f01be}},	//   _utna, _ribj, итај, _kigh_, 
   {{0xfc325a15,0x249fca3a,0x236000d0,0x776d03da}},	//   _بحث_, _naum_, šiji_, frax, 
   {{0x26c3ca3b,0xe737ca3c,0xa6e6ca3d,0x66d202c9}},	// [d300] _bojo_, иет_, ажал, _dækn, 
   {{0x2ca0381a,0x26c30369,0x3d1933e8,0x212f0354}},	//   _haid_, _cojo_, méwa_, _ligh_, 
   {{0x63a9ca3e,0x249f21c8,0x212f01be,0xae0b2227}},	//   _aren, _baum_, _oigh_, _सुमन_, 
   {{0x63a9ca3f,0x249f006f,0x98a6ca40,0x776d0068}},	//   _bren, _caum_, _тиме, brax, 
   {{0x249fca41,0x24070d88,0x63a984aa,0xcc3b0070}},	//   _daum_, анци_, _cren, דענט, 
   {{0x60c20077,0x63a9ca42,0x809e1181,0x216602f1}},	//   _soom, _dren, _खोजे, атиг, 
   {{0x212f01be,0x63a9ca43,0xd5b2010e,0x249f00a1}},	//   _bigh_, _eren, _ظفر_, _faum_, 
   {{0x2369003a,0x66e60013,0x68f60156,0x63a9ca44}},	//   šaja_, _соҳа, nnyd, _fren, 
   {{0x2486133e,0x99980352,0x68f60156,0x1eaa0038}},	//   mfom_, jbrž_, inyd, نادي_, 
   {{0x249f01c1,0xeeaa0161,0x248600ef,0x212f01f5}},	//   _zaum_, ттик_, lfom_, _eigh_, 
   {{0x63a90267,0x6b8dca45,0x60c2007e,0x249f023b}},	//   _zren, _spag, _toom, _yaum_, 
   {{0x20180264,0x249f0201,0x9b957a58,0x0ea6009a}},	//   ərin_, _xaum_, бимц, _कोरड, 
   {{0xd01000d4,0x2912012b,0xfb873756,0x2ca051e3}},	//   _علت_, dlya_, шынн, _daid_, 
   {{0xfc3f0038,0xfe7801a2,0x6d482104,0xa3d7456f}},	//   scí_, _сӯи_, ppda, ानत_, 
   {{0x68f602f0,0x26c3ca46,0x0dca00ce,0x3945018c}},	//   fnyd, _rojo_, _јули_, ëls_, 
   {{0x776dca47,0xfce41571,0x6f080352,0x2ca001be}},	//   trax, _мојо, lodc, _gaid_, 
   {{0x7d0d0414,0x693c171a,0x9a8702f1,0x249fca48}},	// [d310] _ikas, _učen, _кунл, _raum_, 
   {{0x2be00c14,0x249f01a0,0x2ca03bb0,0xf647ca49}},	//   _पेटा, _saum_, _zaid_, рхан, 
   {{0xe3c50161,0x249f006d,0x66d2008c,0x63a9009c}},	//   өрдү, _paum_, _tækn, _sren, 
   {{0x659507f9,0x69c4000d,0x249f006f,0x20d10038}},	//   _қабу, रहरी, _qaum_, _cáil_, 
   {{0x03a5ca4a,0x68edca4b,0xd37b0b14,0x26c30180}},	//   сило, miad, тче_, _tojo_, 
   {{0x68edca4c,0x130803bd,0x22870176,0x69130241}},	//   liad, аній_, рудг, kçek, 
   {{0x20d10084,0x7d0dca4d,0x249f023b,0x70130086}},	//   _fáil_, _okas, _taum_, _হলেও_, 
   {{0x68edca4e,0x93e700a3,0x7d0d1a20,0x09f80486}},	//   niad, _кўзл, _nkas, ימום_, 
   {{0x9267ca4f,0x63a9ca50,0x0d2200d3,0x2d8e016c}},	//   _ندام, _uren, үүлү, _apfe_, 
   {{0x7d0d01ac,0x2ca0ca51,0x68ed0156,0x2eb51cc1}},	//   _akas, _said_, hiad, ссис, 
   {{0xdca60fa7,0x68f602bf,0x212f3772,0x2ca000d1}},	//   бани, ynyd, _tigh_, _paid_, 
   {{0x2ca00065,0x32d90118,0xdb0e02d9,0x68edca52}},	//   _qaid_, _dèye_, ějíc, jiad, 
   {{0x68ed02f0,0x2ca00077,0xa3d703a2,0x7d0d016a}},	//   diad, _vaid_, ानि_, _dkas, 
   {{0x7d0d6d48,0x644900ad,0x6e9421f9,0xaa436032}},	//   _ekas, əmiş, _мичу, зерл, 
   {{0xdca48a72,0x68ed02bf,0x186a2035,0x80db0667}},	//   _ҳақи, fiad, лави_, _बताइ, 
   {{0xa3d711c1,0x68ed0156,0x60db03b7,0x68f600f8}},	//   ाना_, giad, nhum, unyd, 
   {{0xbb860084,0x693c0372,0x2fdf0380,0x2fcd010e}},	// [d320] _الخي, _ičem, nzug_, nyeg_, 
   {{0x68f60ff2,0xbb1b010c,0x00000000,0x00000000}},	//   snyd, ltîn, --, --, 
   {{0x94120095,0x60db0204,0x68edca53,0x1a9b00c7}},	//   ədən_, khum, biad, _גייע, 
   {{0x68ed2123,0x045a030e,0x69ce0009,0xbb1b0474}},	//   ciad, اجات_, mybe, ntîn, 
   {{0xa3d20262,0x69ce4f06,0x60db0548,0x87b9ca54}},	//   हैं_, lybe, dhum, _курт_, 
   {{0x78a4ca55,0xd5d607a5,0xf7436de8,0x96baca56}},	//   ldiv, _любы, _херо, _суму_, 
   {{0x60dbca57,0x6f089865,0x69ce8106,0xc5d5004f}},	//   fhum, vodc, nybe, _діть, 
   {{0x78a4048a,0x27ed0062,0xa3e31567,0x60db0495}},	//   ndiv, _ženi_, _फेक_, ghum, 
   {{0x9ed80a10,0xa9260098,0xd0100038,0x69ce021a}},	//   имит_, mažď, بلة_, hybe, 
   {{0x693c08b1,0x68edca58,0x765e339c,0x27e00379}},	//   _pčel, ziad, napy, izin_, 
   {{0xc04f32af,0xc0e61094,0xeea70161,0xb8000086}},	//   _ні_, _ложк, стык_, ্ধিত_, 
   {{0x60dbca59,0x69130c05,0x68ed0496,0x6442ca5a}},	//   chum, rçek, xiad, ncoi, 
   {{0x68ed0b85,0x78a43f57,0x6f0800da,0x69ce019c}},	//   viad, ddiv, podc, eybe, 
   {{0x68edca5b,0x27e000ab,0x7c360019,0x6fc500bc}},	//   wiad, dzin_, _egyr, िहरू, 
   {{0x68ed02bf,0x6ce70c8b,0x7d0d6e9b,0x1959bc8a}},	//   tiad, _гіпе, _tkas, рабы_, 
   {{0x32cb004f,0x98c42776,0x7d0dca5c,0x27e00108}},	//   _høyt_, псул, _ukas, fzin_, 
   {{0x68edca5d,0x799e0300,0xaad10790,0xf770189a}},	// [d330] riad, _espw, _सकपक, ّام_, 
   {{0x68edca5e,0xb8d00366,0xa3ac0d53,0xc98700d9}},	//   siad, _टो_, गिन_, _луми, 
   {{0x68ed0a47,0x69ce012e,0x27e00054,0x78a42450}},	//   piad, cybe, azin_, bdiv, 
   {{0x764904be,0xd1260816,0x26d8039b,0x60db1f57}},	//   _şeyd, _زم_, _elro_, xhum, 
   {{0xd0061b44,0x987a00c7,0x91b602e6,0xf8bfca5f}},	//   _آل_, _דארט, _अपॉइ, _diét_, 
   {{0x2369008b,0x00000000,0x00000000,0x00000000}},	//   šajo_, --, --, --, 
   {{0x273f078a,0x60dbca60,0xa4d500dd,0xc1050038}},	//   _hîn_, thum, _дові, يوتي, 
   {{0x2b4900f1,0x00c9068e,0x20d10038,0xdce201dd}},	//   _otac_, рлик_, _táim_, rtlī, 
   {{0x2b49018e,0x00000000,0x00000000,0x00000000}},	//   _ntac_, --, --, --, 
   {{0x60dbca61,0x4d65c77e,0x7bcf0065,0xdb040369}},	//   shum, оков, dycu, _prií, 
   {{0x60db0415,0x3f8410b6,0x27e0ca62,0x2b498023}},	//   phum, atmu_, zzin_, _atac_, 
   {{0x7fd51222,0x69ceca63,0x1d0a4f57,0x27e0010c}},	//   _мілі, vybe, реми_, yzin_, 
   {{0xf8bf026a,0x273f0218,0x78a4014b,0xbb1b078a}},	//   _liés_, _nîn_, vdiv, rtîn, 
   {{0xbb1b078a,0x201d0610,0x645b002c,0x69ce0028}},	//   stîn, _izwi_, _leui, tybe, 
   {{0x7c3b0588,0x19b9004f,0xde020267,0x66c00241}},	//   žura, буть_, _опши, _göky, 
   {{0x8b961488,0x27e0ca64,0x645bca65,0x7aee006d}},	//   _дроч, tzin_, _neui, sibt, 
   {{0x46ea31d7,0x78a4ca66,0xf09200d1,0xf7491cb7}},	// [d340] адан_, rdiv, ונן_, مجله_, 
   {{0x273f009e,0x27e017c4,0x32000213,0x00000000}},	//   _dîn_, rzin_, şiyi_, --, 
   {{0x66d237c8,0x765e814e,0xfc3f0503,0xdb0402aa}},	//   _hækk, rapy, ldía_, _triâ, 
   {{0x83fd010e,0x645b01be,0xf8bf0354,0x00000000}},	//   _időj, _ceui, _chéd_, --, 
   {{0x693c034c,0x645b005f,0xfc3f0503,0xb4ca07d5}},	//   _oček, _deui, ndía_, _लकी_, 
   {{0x3860ca67,0x64429924,0x816a00a3,0x779137e5}},	//   lair_, scoi, ариб_, _سیما, 
   {{0xd2590904,0x66d2ca68,0x645b5ff4,0x201d007c}},	//   сці_, _lækk, _feui, _azwi_, 
   {{0x3860b56c,0x645bca69,0xf486010e,0x765c85ef}},	//   nair_, _geui, _گاڑی, _hery, 
   {{0xb60200bc,0x77640183,0x20ca00a1,0x60f700e4}},	//   řádn, nsix, _bùir_, ўныя_, 
   {{0x753c75df,0x38600544,0x66d2008c,0x610101dd}},	//   _kurz, hair_, _sækj, vēle, 
   {{0x2b49ca6a,0xf8bf0bf1,0x25a5010e,0x765cca6b}},	//   _stac_, _miér_, _állt_, _mery, 
   {{0x3860105b,0x2ba70249,0x628a00f8,0x66d20d09}},	//   jair_, खिला, lffo, _bækk, 
   {{0x3860ca6c,0x6135012d,0xd0f900c7,0x2d85084c}},	//   dair_, _išla, _פּער, atle_, 
   {{0x66d2055f,0xb4e70299,0x62983a77,0x2d85ca6d}},	//   _dækk, _पष्_, nevo, btle_, 
   {{0x273f017c,0x66d201d5,0x38c72a83,0x00000000}},	//   _sîn_, _tækj, ощав, --, 
   {{0x3860ca6e,0x765c0237,0x6b84008a,0x66d2003e}},	//   gair_, _aery, _fqig, _fækk, 
   {{0xb8e3034d,0x14ab0527,0x765cca6f,0x26c10415}},	// [d350] _एच_, _घोषण, _bery, tjho_, 
   {{0x62981e27,0x645b0107,0x765c017c,0x628a02b0}},	//   jevo, _seui, _cery, jffo, 
   {{0x765cca70,0x3860ca71,0xd5bb183a,0x645b0175}},	//   _dery, bair_, шса_, _peui, 
   {{0x3860ca72,0x291e03a1,0xf8bf019c,0x273f009e}},	//   cair_, ïtat_, _viés_, _tîn_, 
   {{0x645b026d,0xd7f8ca73,0x6aa52998,0x765cca74}},	//   _veui, _дур_, _kahf, _fery, 
   {{0x629809a2,0x95cb2ac3,0xe299ca75,0xe7f82a48}},	//   gevo, _куба_, сак_, ंपरा_, 
   {{0x645b11e9,0x6aa56139,0x248d019c,0x6d4a01f2}},	//   _teui, _mahf, _tbem_, _ntfa, 
   {{0x673dca76,0x00000000,0x00000000,0x00000000}},	//   _kusj, --, --, --, 
   {{0x73d905ef,0x6298370f,0x753c0380,0x765c0241}},	//   _удар_, bevo, _zurz, _yery, 
   {{0x66d201cc,0x764524bc,0x6298ca77,0xd25100eb}},	//   _rækk, nchy, cevo, _أنا_, 
   {{0x386002cd,0xb0350012,0xbb1b0216,0x673501f2}},	//   yair_, _енеш, rtîl, _mizj, 
   {{0x3860008a,0xeb9a8c02,0x2d0602e6,0xd48f00f0}},	//   xair_, бим_, रवेल_, ерi_, 
   {{0x386000f6,0x2d85b949,0x239d0118,0x673d0034}},	//   vair_, stle_, _jňj_, _nusj, 
   {{0xfc3f0634,0xfaff024a,0x66d202c9,0x79870415}},	//   rdía_, drës_, _vækk, ftjw, 
   {{0x3860ca78,0xfaff0034,0xdb040354,0x764500de}},	//   tair_, erës_, _criá, dchy, 
   {{0x765cca79,0x673d02b0,0xe2070083,0x20d80354}},	//   _sery, _busj, ciół_, _léin_, 
   {{0x3860ca7a,0x969611a8,0x765cca7b,0xe737b58b}},	// [d360] rair_, зреш, _pery, зеу_, 
   {{0xfc3f1f6b,0x38600a75,0x7e61ca7c,0x673d017b}},	//   ndín_, sair_, nalp, _dusj, 
   {{0x80db0b3e,0x1dcb17f6,0x2a5700d1,0xba9b00d1}},	//   बसाइ, ाहित, _מבין_, _פסטי, 
   {{0xa3d7009a,0x62810096,0xfaff021e,0x765cca7d}},	//   ानं_, _aclo, brës_, _wery, 
   {{0x7e61002a,0x6298ca7e,0x06840200,0xaae500d4}},	//   kalp, tevo, _оҳан, _رسیو, 
   {{0x753cca7f,0x628100a1,0x20d80354,0x00000000}},	//   _turz, _cclo, _céin_, --, 
   {{0x78a603ef,0x6298ca80,0x628a02bf,0x6913027e}},	//   _kakv, revo, rffo, rçev, 
   {{0x64a3ca81,0x40342ec7,0x318e00ad,0x00000000}},	//   _паса, мейс, _cəza_, --, 
   {{0x20d8057f,0x6298be96,0xa3d702e6,0x26caca82}},	//   _féin_, pevo, ानः_, _kobo_, 
   {{0x7e610126,0x26ca084c,0xe8040035,0x6281007a}},	//   galp, _jobo_, _रखना_, _gclo, 
   {{0x78a6ca83,0x5d63002e,0xdc99017b,0x201904f4}},	//   _oakv, нтяз, овні_, ýsir_, 
   {{0x98ab00b3,0x76450098,0x9420009a,0x78a60028}},	//   _mică_, zchy, _बराच_, _nakv, 
   {{0x6b9d01c8,0x66d3027e,0x1dc3022c,0x613500de}},	//   uwsg, _yıkı, дөөн, _ušla, 
   {{0x7e610369,0x6125003e,0x673d0604,0x8f9b0486}},	//   calp, gólf, _rusj, _לידי, 
   {{0x673dca84,0x78a6070d,0x6d4a31b7,0xbd871b44}},	//   _susj, _bakv, _utfa, _فنون_, 
   {{0xfaff0034,0x2366021e,0x69345da9,0x00000000}},	//   trës_, ksoj_, енсу, --, 
   {{0x6aa50348,0x213e00e2,0x4735012d,0x67350126}},	// [d370] _tahf, _luth_, днас, _pizj, 
   {{0xdb04070b,0xfaff024a,0xb99900dd,0x26ca01e5}},	//   _triá, rrës_, _двох_, _cobo_, 
   {{0x94ab00cf,0x764500f8,0x26caca85,0xfc3f033c}},	//   йтда_, rchy, _dobo_, ndío_, 
   {{0xe4e41222,0x66d301f0,0xb4d73295,0x6615031e}},	//   нічн, _sıkı, िसे_, _vyzk, 
   {{0x26ca0026,0xa7fb00b4,0x20d800a1,0x00000000}},	//   _fobo_, _beñe, _péin_, --, 
   {{0xf2c713f2,0xb87b0068,0x213e01f5,0xe82202e6}},	//   ясен, _emít, _buth_, _मरता_, 
   {{0x26fb0509,0x659449a6,0x7d0f010e,0x90d50023}},	//   ्वीर_, _пару, kocs, _dùn, 
   {{0x213e00a1,0x318e00ad,0xb465009c,0xe1f029ce}},	//   _duth_, _qəza_, _آگاه, دسه_, 
   {{0x7e61ca86,0x7d0f6cc3,0xdee512f6,0x00000000}},	//   talp, docs, допи, --, 
   {{0x0fe8005e,0xe3b000b8,0xef160088,0xb87b00bc}},	//   ялық_, _حرف_, ммы_, _hlíd, 
   {{0xfc3fca87,0x213e0a75,0x7e61ca88,0x6913ca89}},	//   rdín_, _guth_, ralp, nçes, 
   {{0x2d6701b4,0x7e61ca8a,0xe3e40086,0xa7fb01d6}},	//   rđe_, salp, _ফুটব, _zeñe, 
   {{0xef0e1de7,0x7e61011d,0x78a600b0,0x2d6700ef}},	//   _ам_, palp, _rakv, sđe_, 
   {{0xb4ba0f63,0xed590886,0x66d2008c,0x7e6100a3}},	//   _अच्_, _док_, _tæki, qalp, 
   {{0x26caca8b,0x78a60009,0x7d0f039f,0x00000000}},	//   _robo_, _pakv, bocs, --, 
   {{0x693c0062,0x26caca8c,0x00000000,0x00000000}},	//   _očev, _sobo_, --, --, 
   {{0xf7720084,0x3ea79a40,0x26ca0496,0x59ba1c25}},	// [d380] ضاء_, _kant_, _pobo_, _उपकर, 
   {{0x64490169,0x2366015e,0x68ef01f2,0x6125003e}},	//   _afei, vsoj_, _emcd, bólg, 
   {{0x78a602f5,0xfbdf0218,0x693c0097,0xa92604c4}},	//   _takv, ncên_, _ačev, _одол, 
   {{0x26ca0cd7,0x60cb814d,0x3ea7ca8d,0x213eca8e}},	//   _wobo_, _nogm, _lant_, _ruth_, 
   {{0x2b7b0070,0x26ca011c,0x225eca8f,0x00000000}},	//   ַטקײ, _tobo_, _petk_, --, 
   {{0x644903b7,0x3ea700f8,0x610101dd,0x246e0023}},	//   _efei, _nant_, vēla, ộm_, 
   {{0xa7fb03da,0x64490156,0x60cbca90,0xdb0400f6}},	//   _veñe, _ffei, _bogm, _eriç, 
   {{0xa6db003e,0x3ea701d2,0x20d8019c,0x00000000}},	//   _guðb, _aant_, _véio_, --, 
   {{0xa7fb09a1,0xe292091d,0x3ea7ca91,0x301400d9}},	//   _teñe, _لذا_, _bant_, эдир, 
   {{0x2018002a,0xdb0d0183,0x0323049b,0x3ea7ca92}},	//   āri_, _traé, _адун, _cant_, 
   {{0x6b960009,0x3ea7017c,0xbb1b010c,0x8af700ad}},	//   _apyg, _dant_, stîk, şəka, 
   {{0xfc3f033c,0x00000000,0x00000000,0x00000000}},	//   rdío_, --, --, --, 
   {{0x9b582f63,0x3ea700dd,0x8008010e,0xc5f80243}},	//   мият_, _fant_, _عرصہ_, _žēl_, 
   {{0x3ea76c8c,0x5f930283,0x00000000,0x00000000}},	//   _gant_, _ришт, --, --, 
   {{0x20d800eb,0x8caa0586,0xac9501fc,0xdb0d0107}},	//   _léim_, _जोको, _зайш, _fraî, 
   {{0x23690112,0x25f46de9,0xcd2b009c,0xe894012d}},	//   šaji_, ्पनी_, _بستن_, кась, 
   {{0x4ae702f1,0x212600a1,0x00000000,0x00000000}},	// [d390] _жўна, _mhoh_, --, --, 
   {{0x4a5500dd,0x2126105b,0xfc3f00bc,0x20d1007a}},	//   _якос, _lhoh_, zdíl_, _háit_, 
   {{0x64490380,0xaaa835a4,0xa2c21503,0x00000000}},	//   _pfei, _छोटक, लान्, --, 
   {{0x245800e4,0x20d80038,0xfd5e0210,0x691309c7}},	//   даць_, _béim_, _suyễ, rçes, 
   {{0xe6671297,0x20d80038,0x260f0f65,0x69d52dc0}},	//   _отво, _céim_, _तुरी_, lyze, 
   {{0xd2a6004e,0x2ca92764,0x66d2003e,0xe8040083}},	//   екше_, _laad_, _bæku, _रखता_, 
   {{0xb87b031e,0x00000000,0x00000000,0x00000000}},	//   _umís, --, --, --, 
   {{0x3ea7ca93,0x3a380056,0x2ca91baf,0x7af500b4}},	//   _sant_, ורום_, _naad_, hizt, 
   {{0x20d80534,0x00000000,0x00000000,0x00000000}},	//   _géim_, --, --, --, 
   {{0xaf0214c1,0xa3ac00bc,0x00000000,0x00000000}},	//   лпыл, गिर_, --, --, 
   {{0xa3d705f6,0x3ea7ca94,0xc692035c,0x2ca9025b}},	//   ानक_, _vant_, נאט_, _baad_, 
   {{0x3ea70056,0xfbdf0218,0xeb9aca95,0x98ac01dd}},	//   _want_, rcên_, пим_, īdī_, 
   {{0x3ea7ca96,0xaed5ca97,0x2ca9000b,0x66db0216}},	//   _tant_, _подш, _daad_, _nîko, 
   {{0xbea21f1d,0x693c008b,0x7af51188,0x00000000}},	//   _башк, _očet, gizt, --, 
   {{0x09e61b49,0xc5fa0086,0x682a0019,0xf2d20070}},	//   ховн, _অর্থ_, ködé, נעל_, 
   {{0x98a3ca98,0x00000000,0x00000000,0x00000000}},	//   лисе, --, --, --, 
   {{0x6676009c,0xcb6a009c,0x39350028,0x7d040610}},	// [d3a0] فدار, _عمده_, тэрс, _ijis, 
   {{0xa3b30509,0x3ce0006d,0x69c8055f,0x7c249818}},	//   टिन_, _hliv_, ødes, _izir, 
   {{0x857a11db,0xe7f00586,0x69c100b0,0x3ce002ae}},	//   ясат_, _घेरा_, älet, _kliv_, 
   {{0x20d14faf,0xe73aca99,0x29022ca4,0x7de60574}},	//   _máis_, _нем_, _ujka_, _hésé, 
   {{0x883b0056,0x2912ca9a,0x98163147,0xc1c802d9}},	//   _מתכו, moya_, _سبحا, िङ्ग, 
   {{0xf1a6ca9b,0x68e4ca9c,0x2912ca9d,0x21265e17}},	//   ерин, lhid, loya_, _shoh_, 
   {{0x3ce003a0,0x0496012d,0x7de60096,0xdb040326}},	//   _oliv_, _праў, _mésé, _asië, 
   {{0x7c2402ee,0xb87b88e4,0x2900ca9e,0x71f70195}},	//   _ozir, _ilíc, nnia_, عروس_, 
   {{0xd2520084,0x2ca901a9,0x7c2442fb,0x2900ca9f}},	//   _منذ_, _raad_, _nzir, inia_, 
   {{0x15f40bf5,0x2ca9caa0,0x7d04caa1,0x63a28a03}},	//   _आधार_, _saad_, _ajis, mwon, 
   {{0x3ce001cc,0x20d600dd,0x7c24caa2,0x291200a3}},	//   _bliv_, _підс, _azir, koya_, 
   {{0x21754ea2,0x29120218,0xa7fb001d,0x2126040b}},	//   _шуур, joya_, _leña, _uhoh_, 
   {{0x2900006a,0x68e4caa3,0x63a2caa4,0x693c008b}},	//   dnia_, dhid, nwon, _očes, 
   {{0x2900006a,0x657e0204,0x7c24caa5,0x4424016a}},	//   enia_, kuph, _dzir, _mzm_, 
   {{0x61252888,0x38620a9d,0x7de6b989,0x7c240547}},	//   sóle, _bekr_, _désé, _ezir, 
   {{0x63a2caa6,0x29000093,0xa3e00c97,0x68e4caa7}},	//   kwon, gnia_, दना_, ghid, 
   {{0x4bc211db,0x44240082,0xb87bcaa8,0x7c2400c3}},	// [d3b0] _көрг, _nzm_, _alíc, _gzir, 
   {{0x2900caa9,0x7d1dcaaa,0x7d04031e,0x63a2038c}},	//   ania_, llss, _zjis, dwon, 
   {{0x68e43772,0x2912a09e,0x63a201c8,0x66d2003e}},	//   bhid, boya_, ewon, _rækt, 
   {{0x693ccaab,0xdb040118,0x68e4074d,0x61010243}},	//   _včet, _asiè, chid, vēlo, 
   {{0x03a5caac,0x66db0216,0x53a5022c,0x67d40259}},	//   тило, _hîkm, талб, _бояу, 
   {{0xe29616e1,0x78adcaad,0xf8bf00e7,0x27e9040c}},	//   ваш_, ldav, _khéo_, mzan_, 
   {{0xb87b0183,0x693c008b,0x27e9caae,0x80aa0033}},	//   _glíc, _hčer, lzan_, কান্, 
   {{0x78adcaaf,0x693c0372,0x27e90379,0x63a2011b}},	//   ndav, _kčer, ozan_, bwon, 
   {{0x443f0144,0x27e9cab0,0x93940629,0x6009004f}},	//   _igu_, nzan_, _مجلا, ьним_, 
   {{0x7d16cab1,0x443f016a,0x2900cab2,0x59b3000c}},	//   _skys, _hgu_, znia_, ुमार, 
   {{0x1d0a5ee9,0xfce603dc,0x3ce0006d,0x27e900e2}},	//   дени_, воно, _pliv_, hzan_, 
   {{0x23690062,0x764903c0,0xcb6a088a,0x693c0097}},	//   šaju_, _şeyl, маме_, _očer, 
   {{0x68e4cab3,0x83fd0019,0x60db0548,0x6283124a}},	//   vhid, _idős, mkum, ogno, 
   {{0x78bd0a40,0x68e4307d,0x66d2055f,0x290000ab}},	//   _ansv, whid, _lækr, wnia_, 
   {{0x3f8dcab4,0x68e40465,0x2912cab5,0x29003275}},	//   lteu_, thid, toya_, tnia_, 
   {{0xa7fb15c4,0xb9030b58,0x60dbcab6,0x443fcab7}},	//   _seña, азск, nkum, _ngu_, 
   {{0xa6868457,0x6d43cab8,0x2912cab9,0x3f8d20ca}},	// [d3c0] клад, _huna, roya_, nteu_, 
   {{0x68e4468c,0x5b7b042c,0x394600c8,0x98a002fe}},	//   shid, _קריא, _иног, kmić_, 
   {{0x60dbcaba,0x64a66a8b,0xdb040183,0xa7fb0042}},	//   kkum, кажа, _oriú, _veña, 
   {{0x60db02fe,0x63a2cabb,0x443fcabc,0x385a0019}},	//   jkum, twon, _cgu_, _تشدد_, 
   {{0x6d43cabd,0xa7fb0496,0x31da031e,0xa80300af}},	//   _luna, _teña, बन्ध, _взял, 
   {{0x7e630cd7,0x66d201cc,0x63a2cabe,0x6459019b}},	//   _nenp, _væks, rwon, abwi, 
   {{0x6d436fef,0x693c0ca5,0x5579c63d,0x63a2808d}},	//   _nuna, _učes, _пётр_, swon, 
   {{0x7c3b1993,0x63a2012e,0x44240065,0x752947e3}},	//   žuri, pwon, _tzm_, _ghez, 
   {{0x673cafa3,0x03a303ea,0x68e300d9,0x7ce60038}},	//   _kirj, _кито, _înde, _mórd, 
   {{0x6d43cabf,0x661c264e,0x59d204cc,0xa3cf0035}},	//   _buna, _kyrk, सहार, शहर_, 
   {{0x7e63cac0,0x867b00a7,0x6d440228,0x27e9cac1}},	//   _denp, וריו, _čias, zzan_, 
   {{0x6d430bc1,0x7ce60169,0x9f64010e,0x527400a3}},	//   _duna, _nórd, ától_, _шуғу, 
   {{0x7d1dcac2,0x78ad0588,0x1eca02f1,0x3f8d022c}},	//   rlss, vdav, _олди_, cteu_, 
   {{0xdb0d09a1,0x6d43cac3,0x67da00e0,0x00000000}},	//   _traí, _funa, _mājā, --, 
   {{0xdd9408ad,0x4ea4004e,0xb87b001d,0x69c80453}},	//   _сайы, _арқа, _alía, ødep, 
   {{0x7ce66784,0x27e90a9f,0x20180095,0x673c0054}},	//   _córd, tzan_, ərir_, _airj, 
   {{0x76b900cf,0x78adcac4,0x6d4302ee,0x673ccac5}},	// [d3d0] нлар_, rdav, _zuna, _birj, 
   {{0xe71900eb,0x443f055f,0x7e6803c5,0x60db00bc}},	//   ريات_, _sgu_, nadp, zkum, 
   {{0x693c0f58,0x673ccac6,0x78ad6cb6,0x60c91151}},	//   _včer, _dirj, pdav, yjem, 
   {{0x661c08bb,0x6125008c,0x3cf900ca,0x6459045a}},	//   _dyrk, kóla, nisv_, ubwi, 
   {{0xdfc61057,0xf8bf0187,0x291900ef,0xe2f9004e}},	//   _اي_, _iné_, _iksa_, неді_, 
   {{0x3869051e,0x9f9c008c,0x61350009,0x661ccac7}},	//   laar_, _ræða_, _išli, _fyrk, 
   {{0x443f00e2,0x753b0532,0x8145009c,0x7e630118}},	//   _tgu_, _tiuz, دنبن, _renp, 
   {{0x443f7484,0x386909a2,0x6d43cac8,0x7e63cac9}},	//   _ugu_, naar_, _runa, _senp, 
   {{0x776d09a1,0x60c93976,0x6d431233,0x60db0caf}},	//   nsax, rjem, _suna, rkum, 
   {{0x6d43521c,0xfe7100eb,0x3f8dcaca,0xed5903a1}},	//   _puna, حدة_, rteu_, ноо_, 
   {{0x38690e47,0x26d103da,0x41551b11,0x3f8d0e43}},	//   kaar_, _mozo_, _свес, steu_, 
   {{0x38690d2d,0x320a010c,0x7e630ff2,0x6cb403a1}},	//   jaar_, şiyê_, _wenp, рөкт, 
   {{0xd110094d,0xf8bf00e7,0x386915e9,0x7e6301f1}},	//   ावरण_, _chém_, daar_, _tenp, 
   {{0x6d43cacb,0x7ce60183,0xf8bfcacc,0x776d25ae}},	//   _tuna, _sórd, _ané_, dsax, 
   {{0x09e3005b,0x38690065,0x6d4306e4,0x41b30299}},	//   борн, faar_, _uuna, ंटिस, 
   {{0x4c8613cc,0x673ccacd,0x63a9cace,0x38691a77}},	//   _слив, _sirj, _osen, gaar_, 
   {{0x63a9cacf,0x661c00e2,0xdd0401dd,0x673ccad0}},	// [d3e0] _nsen, _syrk, šsēd, _pirj, 
   {{0x661c00c8,0xf8bf0175,0x6b5b027a,0x27260379}},	//   _pyrk, _ené_, _רדיפ, fôna_, 
   {{0x3869051e,0x63a9cad1,0xa2c235ff,0x673c9031}},	//   baar_, _asen, लास्, _virj, 
   {{0x98ba0012,0x938a0fcc,0xf8bf0038,0x598303bd}},	//   _după_, еска_, _gné_, _улюб, 
   {{0x63a9010e,0x66741c03,0xb87bcad2,0x8c45010c}},	//   _csen, _نگار, _klín, êşiy, 
   {{0x661c1ec7,0xe5a602f1,0x610800bc,0x37cd0033}},	//   _tyrk, _йиги, děla, _রেকর, 
   {{0x870700b3,0xd627cad3,0x7e6828c5,0xd259017b}},	//   _серв_, _боре_, vadp, тці_, 
   {{0x6ad1176c,0x2edc000d,0x26d10237,0x1c0402e6}},	//   _सक्र, यस्त, _zozo_, रपाल_, 
   {{0xdfd00038,0x130a5cd2,0x00000000,0x00000000}},	//   زيد_, _знай_, --, --, 
   {{0x539b00a7,0x61467a58,0x83fd0019,0x2a6a0019}},	//   _אימו, _бежа, _időp, jabb_, 
   {{0x38690175,0x02d53a87,0xdd9422e0,0xa3ac1f30}},	//   yaar_, _тютю, шаны, गिक_, 
   {{0x13d80086,0x705600eb,0x7e680008,0x3d0f0790}},	//   _দেয়, _إنشا, sadp, सवें_, 
   {{0x38691698,0xfd1f00fd,0x7e6807fc,0xbebc0243}},	//   vaar_, rlì_, padp, tlīd, 
   {{0xa7fb128a,0x38690318,0x32d905d5,0x2a6a039f}},	//   _seño, waar_, _pèyi_, gabb_, 
   {{0x38696296,0x318e0095,0xa7fb0126,0x26d153ed}},	//   taar_, _bəzi_, _peño, _rozo_, 
   {{0x3eae066b,0x1b0300d3,0x00000000,0x00000000}},	//   _haft_, рүүн, --, --, 
   {{0x38690af8,0x26d1050c,0x25aacad4,0xf7700038}},	// [d3f0] raar_, _pozo_, _asbl_, كال_, 
   {{0x776d00a4,0xe9450a24,0x386900b0,0xa3b315c8}},	//   rsax, _پردی, saar_, टिस_, 
   {{0x80ba04d7,0x3869cad5,0x63a90298,0x00000000}},	//   _शोभे, paar_, _ssen, --, 
   {{0x63a90a1a,0xa8a7170f,0xdb160118,0xb87b00bc}},	//   _psen, _срок, _aryè, _zlín, 
   {{0x3cfd000f,0xd7fb03dc,0xb46440f6,0x62651a57}},	//   _लगने_, _чун_, скіл, авла, 
   {{0x321e026e,0xe299cad6,0x612500ab,0x24890035}},	//   _byty_, так_, góln, żam_, 
   {{0xd49b0904,0x45d5017b,0x00000000,0x00000000}},	//   _пра_, _товс, --, --, 
   {{0xdfd10084,0x63a97b95,0x50b5cad7,0x6d440228}},	//   قيع_, _tsen, рску, _čiap, 
   {{0x00c614c1,0x82872e10,0xfe77013e,0xe45403a1}},	//   рлык_, _مجال, гүл_, _ыкты, 
   {{0xe7f80035,0x273800ad,0x877c0070,0x0e659055}},	//   ूपता_, tünə_, גאזי, шкон, 
   {{0x6cc661f5,0xa3b300ab,0xa2c2000c,0xf2c40995}},	//   айна, टिव_, लार्, _устн, 
   {{0x61250169,0x78af00da,0x1fb50080,0x00000000}},	//   mólo, _nacv, _вскр, --, 
   {{0x61250068,0x3b831003,0xb87b7d2a,0x00000000}},	//   lólo, оляг, _plín, --, 
   {{0xab2acad8,0x00000000,0x00000000,0x00000000}},	//   тога_, --, --, --, 
   {{0xc955021f,0x61250a47,0x6846bac4,0xb87b00e1}},	//   йтты, nólo, инва, _clío, 
   {{0x2a6a0019,0xb87b007a,0xa3d83918,0x00000000}},	//   sabb_, _dlío, ाहम_, --, 
  
   {{0xb8fe1145,0x166667a7,0x96660080,0x9748010e}},	// [d400] _तक_, ивам, икае, اثرہ_, 
   {{0xe9da0925,0xf6560451,0xbb1b010c,0x00000000}},	//   _ако_, ртаю, stîr, --, 
   {{0xa6db008c,0x7a7b035c,0x7afca026,0x546a78e8}},	//   _guðm, _בריס, mirt, ваем_, 
   {{0x7afc0c05,0x61252888,0x00000000,0x00000000}},	//   lirt, dólo, --, --, 
   {{0x33f603b7,0x68e3020f,0x78a4bd9f,0x69dccad9}},	//   јчес, _înda, meiv, lyre, 
   {{0x66e601d0,0x78a4cada,0x78af11bc,0x05260033}},	//   _тога, leiv, _zacv, যদের_, 
   {{0x64a626b1,0x69dc6bb6,0x60e6804e,0x3265017b}},	//   _кава, nyre, ициз, стів, 
   {{0xc9531a61,0xa3b31489,0x78a400ef,0x21102923}},	//   חמה_, टिश_, neiv, ावेश_, 
   {{0x612500ab,0x69dccadb,0x7afc078a,0x76490761}},	//   póln, hyre, kirt, _şeyi, 
   {{0x7522cadc,0xa3b30e49,0x69dc01d6,0x657e0027}},	//   lloz, टिर_, kyre, orph, 
   {{0x61252123,0x752207c7,0x10a60cda,0x7afccadd}},	//   cólo, oloz, _виен, dirt, 
   {{0x69dccade,0x752201d2,0x00000000,0x00000000}},	//   dyre, nloz, --, --, 
   {{0x8f5403b8,0x3eae02a2,0x60c2cadf,0x799e016a}},	//   _انتش, _taft_, _inom, _appw, 
   {{0x3f84cae0,0x7afc078a,0x6e940198,0xbea31a27}},	//   mumu_, girt, _طلبا, _мачк, 
   {{0x5d840084,0x3f84cae1,0x7522cae2,0x00000000}},	//   _العل, lumu_, kloz, --, 
   {{0x6d5acae3,0x7afc02d0,0x799e0065,0xdb0d0165}},	//   mpta, airt, _dppw, _oraç, 
   {{0x7522044e,0x7afcb474,0x629a008b,0x3f84cae4}},	// [d410] dloz, birt, _obto, numu_, 
   {{0xc98703dc,0x7afccae5,0x454500eb,0x7c3b0455}},	//   _куми, cirt, منطق, žurs, 
   {{0x60c200d2,0xdb0d01f0,0x3f849d6a,0xfc3f0183}},	//   _onom, _araç, humu_, rdíu_, 
   {{0x3f84cae6,0x451802fb,0xdb0dcae7,0x78a400a7}},	//   kumu_, ація_, _braç, ceiv, 
   {{0x3f840bc3,0x889a03e1,0x61fe0098,0x00000000}},	//   jumu_, _גברי, úpln, --, 
   {{0x60c2cae8,0x3f84cae9,0x6125033c,0xdfe9035b}},	//   _anom, dumu_, tólo, ғдод_, 
   {{0x44290187,0xe05713b4,0xfa780486,0xd24e0038}},	//   ťa_, لیات_, בעות_, رني_, 
   {{0x27ed0076,0x61251cf0,0xdb0d02aa,0x3f844164}},	//   _ženy_, cóll, _fraç, fumu_, 
   {{0x3f84caea,0xdb0d02a0,0xef19caeb,0xfc3f007a}},	//   gumu_, _graç, лми_, idís_, 
   {{0x2bcb072f,0x63bbcaec,0x6125001d,0x60c2b380}},	//   ामना, _irun, pólo, _enom, 
   {{0xdc6a18b6,0x6da50093,0x63bb003e,0x290b0083}},	//   ланд_, щина, _hrun, _ojca_, 
   {{0x3f84caed,0x7afc01c4,0x2b410118,0xddc13eeb}},	//   bumu_, wirt, _aihc_, galš, 
   {{0xeb97062f,0x7ce600eb,0xfe7700b9,0x7afccaee}},	//   бия_, _córa, _күп_, tirt, 
   {{0x69dc02d7,0x15f90f7a,0x63bb025b,0x7c280248}},	//   tyre, ्पार_, _mrun, ədrl, 
   {{0xf2d20137,0x7afc010d,0x09e323a0,0x248d0112}},	//   לעך_, rirt, порн, _ocem_, 
   {{0x7ce6057f,0x2d85caef,0x63bb052b,0x26c30165}},	//   _fóra, mule_, _orun, _anjo_, 
   {{0x7afccaf0,0x69dc0d17,0x78a46bc2,0x3cfd0035}},	// [d420] pirt, syre, reiv, _लगते_, 
   {{0x3ea57914,0x69c808d9,0x7c57009c,0xdaaa0082}},	//   nelt_, ädes, _پلیر_, _свод_, 
   {{0x63bbcaf1,0x7522caf2,0xe57acaf3,0x41a60035}},	//   _arun, tloz, узе_, _कैंस, 
   {{0x20d80084,0xdb0d0165,0x3ea5a14e,0x26c3011c}},	//   _léir_, _praç, helt_, _enjo_, 
   {{0x3ea51d4b,0x2d85caf4,0xd91b00a7,0x2618093a}},	//   kelt_, hule_, _תוכל, _बुरी_, 
   {{0x2d85caf5,0x39429eb4,0x6d5acaf6,0x3f84caf7}},	//   kule_, _hiks_, ypta, vumu_, 
   {{0xd1300105,0xdefa004e,0x3ea58888,0x21670886}},	//   ومت_, ғып_, delt_, бији_, 
   {{0x3f84caf8,0x63bbcaf9,0xdb0dcafa,0x9f542413}},	//   tumu_, _frun, _traç, ович, 
   {{0x63bb3dcb,0x39420077,0x3ea520df,0x3860019c}},	//   _grun, _miks_, felt_, ibir_, 
   {{0x3f84cafb,0x3ea5cafc,0xd36f00eb,0x2d85019b}},	//   rumu_, gelt_, _أهل_, fule_, 
   {{0x386040fc,0x2d85cafd,0xbb1b0216,0x3f84cafe}},	//   kbir_, gule_, hrîc, sumu_, 
   {{0x6d5a2a68,0x394209a2,0x60c20126,0xdb04caff}},	//   rpta, _niks_, _unom, _orió, 
   {{0x3860cb00,0xddc10f23,0xdb0400b9,0x6b860574}},	//   dbir_, ralš, _friü, gukg, 
   {{0x628a050f,0xde5832af,0x3ea501dd,0x6d5a87b1}},	//   ngfo, _такі_, celt_, ppta, 
   {{0x2d85cb01,0xd6db004e,0x13c30086,0xf3f900b3}},	//   cule_, қта_, ্নয়, _veţi_, 
   {{0xdb0403da,0x7ce6cb02,0x25bf00ca,0x6f1a01ff}},	//   _brió, _tóra, _čul_, lotc, 
   {{0x69c83d8a,0x6d4a0053,0x7d0d0537,0x6bda0019}},	// [d430] äder, _hufa, _ijas, _نوٹس_, 
   {{0x6d4acb03,0x3ce9cb04,0x7c2dcb05,0x2cb2cb06}},	//   _kufa, _hlav_, _izar, _zayd_, 
   {{0x3942cb07,0xd5bb13cf,0x3860003d,0xdcfb00b3}},	//   _fiks_, ыса_, bbir_, cută, 
   {{0x6d4acb08,0x6aa702fe,0xa634004f,0x386d0a6d}},	//   _mufa, lejf, їнці, _þer_, 
   {{0xd37b91af,0x68ed18ff,0x69130216,0x2d85cb09}},	//   уче_, mhad, xçey, zule_, 
   {{0x6d5800f1,0xa5e73558,0x68eda5d8,0x6913009e}},	//   _otva, _любл, lhad, vçey, 
   {{0x20d80084,0x6f1a0246,0x236001dd,0x66db009e}},	//   _réir_, dotc, ģija_, _dîkt, 
   {{0x63bbcb0a,0x68edcb0b,0xe0d92886,0x6f0800e2}},	//   _trun, nhad, рви_, endc, 
   {{0x4439cb0c,0x6d583cf5,0x3ea5cb0d,0x63ad0165}},	//   _às_, _atva, telt_, çand, 
   {{0x6d4acb0e,0x7ce60068,0x6913010c,0x5187cb0f}},	//   _bufa, _córn, rçey, _гуда, 
   {{0x3cca0925,0x7079017a,0x3ea52759,0x7c2dcb10}},	//   ално_, _نماز_, relt_, _azar, 
   {{0x3ea505d2,0x6d4acb11,0x3ce900ef,0x2d85cb12}},	//   selt_, _dufa, _clav_, rule_, 
   {{0xa3e90c14,0x7c2d00ab,0xdb042123,0x2d85cb13}},	//   मनि_, _czar, _asiá, sule_, 
   {{0x764700e5,0x7c2d02cd,0x6f1a00a1,0x2d85cb14}},	//   _ngjy, _dzar, cotc, pule_, 
   {{0x442d031e,0xaa430842,0x7c2d02ba,0x6d4a024d}},	//   _lze_, дерл, _ezar, _gufa, 
   {{0x2909012b,0xa92600dd,0x68ed1232,0x442dcb15}},	//   gnaa_, ідал, ghad, _oze_, 
   {{0x442d0298,0x6ecd0035,0x6d4acb16,0x272f0241}},	// [d440] _nze_, तापु, _zufa, züne_, 
   {{0x2909012b,0x63a0016a,0x6125003e,0x98b901dd}},	//   anaa_, _rpmn, fólk, _visā_, 
   {{0x68ed0094,0x394200e0,0x442dcb17,0x942400ad}},	//   bhad, _tiks_, _aze_, ətən_, 
   {{0x68ed0673,0x7649cb18,0xe3ba286c,0x1426cb19}},	//   chad, _şeyt, ибе_, одем, 
   {{0xf7720fdc,0x442d0035,0x78b60528,0x00000000}},	//   _تاج_, _cze_, mdyv, --, 
   {{0x6d442ca3,0x69c30183,0x272f027e,0x68e4cb1a}},	//   _liia, _ánec, tüne_, lkid, 
   {{0x442d3306,0xa7fb001d,0x84e6004f,0x7e6a0354}},	//   _eze_, _reñi, _довж, _refp, 
   {{0x26d801fd,0x68e4cb1b,0x6d4a3c7b,0x6aa700ef}},	//   _horo_, nkid, _rufa, zejf, 
   {{0x6d580062,0x4ea6cb1c,0x7c24cb1d,0xb87b008c}},	//   _stva, орна, _nyir, _slík, 
   {{0x232a048a,0x7f43cb1e,0x63adcb1f,0x3ce95922}},	//   _този_, _cinq, çane, _slav_, 
   {{0x3ce92f9d,0x7c2d28aa,0xf65300a7,0x6d4400a1}},	//   _plav_, _szar, וצת_, _biia, 
   {{0x26d8cb20,0x6d44011c,0x44240032,0x7c24007c}},	//   _loro_, _ciia, _kym_, _byir, 
   {{0x6d4a016a,0xa7fb0369,0x7ce6068b,0x7f4303dd}},	//   _wufa, _teñi, _tórn, _finq, 
   {{0x6d4acb21,0xdb04040a,0x7ce66be9,0x26d8cb22}},	//   _tufa, _briñ, _fóro, _noro_, 
   {{0x68edcb23,0x5b1402fb,0x6d5833fc,0x6d4401be}},	//   thad, ємст, _utva, _fiia, 
   {{0x02b70351,0x7d0d0053,0x68e40102,0x7c2dc3e3}},	//   _आफ्न, _ujas, gkid, _tzar, 
   {{0x68ed2e7b,0x7d1d8037,0x26d8033e,0x4424011c}},	// [d450] rhad, moss, _boro_, _nym_, 
   {{0x68ed00cf,0xd5bb648c,0x7d1dcb24,0x26d8cb25}},	//   shad, исе_, loss, _coro_, 
   {{0x25480785,0x68edcb26,0xdb044461,0x7649027e}},	//   _oğlu_, phad, _griñ, _şeys, 
   {{0x7d1dcb27,0xe4e40c8b,0xe3b11117,0x44240035}},	//   noss, мічн, فرت_, _bym_, 
   {{0x26d8cb28,0xa3a709ed,0x27f20035,0x442477cc}},	//   _foro_, تحان, czyn_, _cym_, 
   {{0x6d02456f,0x26d8cb29,0xa6db008c,0x7d1dcb2a}},	//   _लगभग_, _goro_, _auðv, hoss, 
   {{0x7d1d6829,0xddc300d9,0x1a9c0070,0x7b090032}},	//   koss, _menţ, ייגע, tľuj, 
   {{0x7f43024a,0x5455cb2b,0xf8bf00e7,0x00c900a3}},	//   _sinq, _хват, _ghét_, слик_, 
   {{0x6d0204d7,0x7d1d0445,0x249f0226,0x442d1060}},	//   _लगबग_, doss, _ibum_, _uze_, 
   {{0x68e401f1,0x6d4400b0,0x0d85cb2c,0x62671117}},	//   zkid, _siia, плон, _ذائق, 
   {{0x7c2437a8,0xa3b30239,0xe16500d4,0x3d180e7d}},	//   _syir, टिक_, _رضای, नवले_, 
   {{0x692c01c4,0x6eed1ff5,0x7d1dcb2d,0x612501d5}},	//   eßen, _súbd, goss, kóli, 
   {{0xeb97cb2e,0x395a0126,0x6d441ece,0xd7ab00b0}},	//   пия_, _stps_, _viia, _घैलच, 
   {{0x249f0369,0x273400c2,0xa96a00a3,0x7ced0218}},	//   _lbum_, mäng_, йига_, _cûrb, 
   {{0xc33200a7,0x26d81436,0xf1bd0c73,0x7cedcb2f}},	//   גום_, _roro_, ्मिन, _sûre, 
   {{0x80a1006a,0x26d8cb30,0x7d1d27c7,0x6125cb31}},	//   _कॉमे, _soro_, coss, fóli, 
   {{0x26d8cb32,0xdb04008c,0x68e4cb33,0x290002a5}},	// [d460] _poro_, _frið, rkid, riia_, 
   {{0x68e4cb34,0x7cf626eb,0x442453e6,0x41bd00ae}},	//   skid, ršru, _rym_, ्मास, 
   {{0x26d84f35,0x27f20035,0x4424cb35,0x27e0cb36}},	//   _voro_, szyn_, _sym_, syin_, 
   {{0xf74670c3,0x61253ba5,0xed560070,0x249f00a1}},	//   _немо, bóli, לבער_, _cbum_, 
   {{0x61250681,0x232a3d1f,0xd8d70070,0xe8d700d1}},	//   cóli, боди_, _זוכט_, _זוכר_, 
   {{0xe7370141,0xd0460095,0xbb1b0216,0x00000000}},	//   _нея_, əməl, hrîn, --, 
   {{0x7ce60183,0x6f010352,0xe5a305f3,0x3cfd00b0}},	//   _pórl, dilc, _пири, _लगले_, 
   {{0x44244333,0x249fcb37,0x98a900ca,0x2ca000c3}},	//   _tym_, _gbum_, rmać_, _nbid_, 
   {{0x40530084,0xa3ea03dd,0x6d5516a8,0x7d1d396c}},	//   رئيس, _удаа_, ízan, voss, 
   {{0xd24f0038,0x6207039f,0xb23a007a,0x200a0474}},	//   _منك_, árlá, _هكذا_, ăbi_, 
   {{0x06970056,0x7d1dcb38,0x10a62b68,0x9e0600a3}},	//   הדים_, toss, _нижн, ячил, 
   {{0x7afe0876,0x239e01dd,0x32130216,0x00000000}},	//   _ampt, pājā_, şayê_, --, 
   {{0xe81c0f63,0x6eedcb39,0x63a402be,0x00000000}},	//   _भुला_, _súbe, çinh, --, 
   {{0x3f7b0070,0x610802d9,0x7d1dcb3a,0x00000000}},	//   _פאוס, děli, soss, --, 
   {{0xd30800f7,0x3a250022,0xfe9b07e4,0x0e9b00d1}},	//   yện_, ælp_, _היומ, _השול, 
   {{0x58d4847f,0x61250952,0xb87bcb3b,0x7afe00df}},	//   ност, tóli, _llív, _empt, 
   {{0x5b1500b3,0x7b1500d9,0x273402ae,0xc64b007a}},	// [d470] _омит, _одих, känd_, مجال_, 
   {{0xaa678182,0xceb87a28,0xac990019,0x3f520023}},	//   _этик, ndę_, _اچھا_, _mâu_, 
   {{0x94d50769,0x3f520029,0x6125033c,0x5fae0035}},	//   можц, _lâu_, sóli, _जैसल, 
   {{0x2ea9031e,0xa7fb0369,0x6fdc0035,0xb87b02aa}},	//   _कस्त, _señu, यहां, _alív, 
   {{0xddc3026e,0xa6db008c,0x3f5200e7,0xb87b0679}},	//   _menš, _suðu, _nâu_, _blív, 
   {{0xbb1b009e,0x26180249,0xf8bf0151,0x715937e8}},	//   zrîn, _बुकी_, _thés_, орис_, 
   {{0x6f01cb3c,0x6ab700a3,0x95080019,0xf48700b3}},	//   vilc, _maxf, _کہنے_, _нуан, 
   {{0x273402ae,0x10a500b3,0x00000000,0x00000000}},	//   täng_, фиин, --, --, 
   {{0x3f520029,0x442b00e7,0x8cd100aa,0xa3d80249}},	//   _câu_, _ác_, धानो, ाहः_, 
   {{0x60064216,0x3f52001b,0x273402ae,0x0ecd0eda}},	//   ьным_, _dâu_, räng_, ़ाधड, 
   {{0x6f010352,0x81bc01dd,0x273402ae,0xbb1b628e}},	//   rilc, _dzēs, säng_, trîn, 
   {{0x13e100cc,0x6f01008b,0xeb9acb3d,0xddc301dd}},	//   _মেয়, silc, оим_, _cenš, 
   {{0xbb1b010c,0x6f01cb3e,0xa2c2009a,0x8009010e}},	//   rrîn, pilc, लाच्, _براہ_, 
   {{0xfe7100d6,0x3f9800d9,0x63a4cb3f,0x4fa20176}},	//   _شدت_, ărut_, çini, _ришв, 
   {{0xa3b4000d,0xbb430edd,0x7b0902fe,0x611300b3}},	//   _छैन_, терк, džud, călc, 
   {{0x52da007e,0xb87b003e,0x200e00ca,0x26180083}},	//   _बक्स, _olíu, šmiš_, _बुगी_, 
   {{0x48fd00bd,0x3cf90034,0x3f520108,0xf09200d1}},	// [d480] रोधो_, ërve_, _xâu_, כנן_, 
   {{0xe737005e,0x6c68006b,0x61e3018c,0xddc80098}},	//   деу_, _بلکہ_, kynl, ladš, 
   {{0x2734014e,0x6ee401be,0xf8660082,0x00000000}},	//   vänd_, _dòbh, _овно, --, 
   {{0x2d854873,0x2d5303b7,0xd46702a6,0x9dd60070}},	//   irle_, _mãe_, дице_, וועק_, 
   {{0xb4ae0586,0x25ad0ab4,0xe73acb40,0xd5b10108}},	//   _कसी_, _ćele_, _мем_, _ấn_, 
   {{0x98b9012d,0x3f52cb41,0x7ced0216,0x6ee401be}},	//   _visą_, _râu_, _mûra, _gòbh, 
   {{0x3f52001b,0x05660c8b,0xda0012e3,0x69ca0183}},	//   _sâu_, _іван, ोपित_, _áfed, 
   {{0xf99300a7,0xceb800ab,0x612501d5,0x00000000}},	//   דרה_, wdę_, kólu, --, 
   {{0xb7db0137,0x032611f9,0x2d854665,0x98be0009}},	//   ַקטי, _ждан, erle_, ūtė_, 
   {{0x81bc00e0,0x1dc90299,0x00000000,0x00000000}},	//   _dzēr, िमंत, --, --, 
   {{0x7ce6010e,0xceb843e0,0xdb21010e,0x61250684}},	//   _kórh, rdę_, _ítél, vólv, 
   {{0x6ee400d3,0xa3b5007e,0x0fb6034d,0x41030093}},	//   _mòbi, _जनम_, _अनपढ, _изхв, 
   {{0x2d850d7f,0x69c84be4,0x69da020b,0x5eda0033}},	//   arle_, åden, äten, যোগে, 
   {{0x1eaa0189,0x28e10c46,0x7ced0216,0xddd80241}},	//   _ذاتي_, _नवहि, _dûra, _gevş, 
   {{0x39150d61,0x19949757,0x26cd00e7,0x6113020f}},	//   емвр, каря, _đeo_, lăla, 
   {{0xf8bf00e7,0x61250183,0xdb0d0647,0x26ca039b}},	//   _chép_, sólv, _isaí, _anbo_, 
   {{0xf7700625,0x2d8ccb42,0xb90702e6,0x4735cb43}},	// [d490] لال_, lude_, _बक_, енас, 
   {{0x6ee400f6,0x9607189a,0x00000000,0x00000000}},	//   _bòbi, وبام, --, --, 
   {{0x2d8c00f1,0x885900b3,0x00000000,0x00000000}},	//   nude_, _нинс_, --, --, 
   {{0xf8bf00e7,0xb87b001d,0x980d0033,0xd7fb0bad}},	//   _ghép_, _clít, _শরীফ_, _дуг_, 
   {{0xb87b0038,0xb46400f0,0x6eed0534,0xdb04059e}},	//   _dlít, ткіл, _lúba, _eriõ, 
   {{0x41b51ede,0x6595cb44,0x78adcb45,0x6ee400f6}},	//   есит, _пагу, leav, _fòbi, 
   {{0x56948019,0x2d8ccb46,0xa3b30484,0xe80300aa}},	//   _шарт, jude_, टिङ_, _रेता_, 
   {{0x2d8ccb47,0xa6db003e,0xfa0d0023,0x78ad1226}},	//   dude_, _guðr, _đầu_, neav, 
   {{0x61e303a9,0xf0760019,0x2d8c08b0,0x00000000}},	//   synl, ریوں_, eude_, --, 
   {{0x4d650cd9,0x612502be,0x2d8c052b,0x00000000}},	//   нков, vólu, fude_, --, 
   {{0x2d8c007e,0x6eed0534,0x00000000,0x00000000}},	//   gude_, _cúba, --, --, 
   {{0x998d00ab,0xa10700d4,0x6eed007a,0x1c0100b0}},	//   łeś_, _غذاه, _dúba, _लेहल_, 
   {{0x518701a2,0x186a01a2,0xb87b11c9,0xef0e067d}},	//   _хуҷа, ҷаби_, _moíd, _бм_, 
   {{0x2d8c0076,0xbfa1010c,0x91fc00e0,0x7ff40499}},	//   bude_, _şêwe, _teāt, _جسما, 
   {{0xf8bf0029,0x2d8ccb48,0x09ce0033,0x18a60165}},	//   _phép_, cude_, রন্থ, навм, 
   {{0xb4ae00a2,0xa3cf000c,0x395e00e0,0xfd12015f}},	//   _कसे_, षमा_, īts_, _حجت_, 
   {{0x6da300cf,0xa7a723ef,0x3f8d022c,0xf7720038}},	// [d4a0] _чиқа, нкта_, nueu_, طاء_, 
   {{0x7d06cb49,0x8c1b00a7,0x5a6652cc,0xd82300b3}},	//   liks, _מופי, _якоб, удуи, 
   {{0xf8bf00e7,0xe4a62ee5,0x645b0354,0x78ad0566}},	//   _thép_, ерло, _bfui, beav, 
   {{0x78ad563c,0xb87b41e4,0x7d06cb4a,0x798e9788}},	//   ceav, _coíd, niks, mubw, 
   {{0xa2940fb6,0xd3262b68,0xdce20c45,0xf77220b4}},	//   валі, ньки, ntlı, _حاج_, 
   {{0x60cbcb4b,0xd24f20b4,0x7ce609c6,0xb87b5558}},	//   _angm, منه_, _dóri, _flís, 
   {{0xe7379da2,0xe3d80033,0x799ccb4c,0x7d060080}},	//   _чер_, _দেখব, ntrw, kiks, 
   {{0xd37200c5,0x859b00a7,0x673e012e,0x7bc4cb4d}},	//   _مهر_, _משלו, lmpj, _oriu, 
   {{0x7d06cb4e,0x3eac00a8,0x3f8d03a1,0xff06012d}},	//   diks, tedt_, gueu_, еянн, 
   {{0x2d8c998b,0x798e4af3,0x752201a3,0xb03309d9}},	//   tude_, kubw, looz, ыныш, 
   {{0x7bc4cb4f,0x7d06cb50,0x3eac14a4,0x69da00c8}},	//   _ariu, fiks, redt_, ätel, 
   {{0x2d8ccb51,0xb87b00f6,0x7bc49df7,0x00000000}},	//   rude_, _llír, _briu, --, 
   {{0xdee61184,0x30754bf2,0xddd8010e,0x78ad00fc}},	//   _поди, _рухс, _vevő, veav, 
   {{0x657c2fab,0x2902095a,0x2d8ccb52,0x673e039b}},	//   _ovrh, _amka_, pude_, jmpj, 
   {{0x78adcb53,0x7d06c4b1,0xc9842db3,0x798e2a0a}},	//   teav, biks, лути, gubw, 
   {{0x61f50019,0x7bc400fd,0x673e02b0,0x765c0083}},	//   _üzle, _friu, empj, _afry, 
   {{0x76b902f1,0x69d89b06,0x1bd500b3,0xab620241}},	// [d4b0] млар_, _àven, _ропя, şüre, 
   {{0xb87b02d9,0x798e0027,0x00000000,0x00000000}},	//   _plís, bubw, --, --, 
   {{0x610800bc,0x28d10249,0xd915012d,0x6b9d0502}},	//   něls, हादि, _адны, ltsg, 
   {{0xa8790070,0x69c500a1,0x765c0090,0x673e01d2}},	//   _קאָר, _irhe, _efry, ampj, 
   {{0x386909c2,0x98ab0035,0x6e2a040b,0x765c017c}},	//   mbar_, _chcą_, _lyfb, _ffry, 
   {{0x7d06cb54,0x612c009e,0x21260102,0x6b9d0380}},	//   ziks, bûlk, _akoh_, itsg, 
   {{0x75220298,0x41b2007a,0x00000000,0x00000000}},	//   booz, لمور, --, --, 
   {{0x3869cb55,0x629c0219,0x610800bc,0x9f52014b}},	//   nbar_, _öron, děls, ždým_, 
   {{0x7d06cb56,0xa3b500c2,0x68e3020f,0x6ee400b9}},	//   viks, _जनि_, _îndu, _lòbu, 
   {{0x3f832003,0x3869cb57,0x22a50148,0xed5903dd}},	//   čju_, hbar_, _шубҳ, моо_, 
   {{0xee393b59,0x7d06cb58,0xcc8a009c,0x7bc40009}},	//   ьно_, tiks, ونده_, _sriu, 
   {{0x7bc4090e,0xa3b51687,0xd7d1031e,0x60cb52b4}},	//   _priu, _जना_, समाच, _ungm, 
   {{0x2ef51c93,0x3f8d03a1,0xde1600d4,0x38690b41}},	//   _издр, queu_, فقیت_, dbar_, 
   {{0x212db47c,0xe8ca031e,0x2d6e031e,0x29020640}},	//   lleh_, ाञ्च, bře_, _smka_, 
   {{0x6b9d623f,0xc92a004f,0xb87b019c,0x38690502}},	//   atsg, довж_, _alíq, fbar_, 
   {{0x63a9bb40,0x6ba502ae,0x798ecb59,0x00000000}},	//   _open, åtgä, rubw, --, 
   {{0x628111c8,0x657c02f5,0x7d04024d,0x69c501c4}},	// [d4c0] _odlo, _svrh, _imis, _erhe, 
   {{0x75220a8b,0x6281cb5a,0x7d04008a,0x7f4d019c}},	//   wooz, _ndlo, _hmis, _éaqu, 
   {{0x63a93ba7,0x3869cb5b,0x212d0640,0xceb200a7}},	//   _apen, bbar_, kleh_, שיב_, 
   {{0x80a111ff,0x628100f8,0xe80302e6,0x29020082}},	//   _कॉले, _adlo, _रेवा_, _umka_, 
   {{0x291211f7,0x3940cb5c,0xc1da02d9,0x7d04cb5d}},	//   mnya_, mmis_, यङ्ग, _mmis, 
   {{0x291274a6,0x3940cb5e,0x68f6cb5f,0xf1a600a3}},	//   lnya_, lmis_, lhyd, врин, 
   {{0x7d040088,0x29126a6e,0x7f4a016a,0x63a900b9}},	//   _omis, onya_, _rifq, _epen, 
   {{0x2912cb60,0x64a601a2,0x40341eaf,0x69c3cb61}},	//   nnya_, _шаба, лейс, _šnek, 
   {{0x2912005c,0xb4264cd1,0xa8e00023,0xb87b007a}},	//   inya_, _شعرو, _độn, _hoíc, 
   {{0x291211f7,0x7d04cb62,0xfc3f001d,0x2d6e02d9}},	//   hnya_, _amis, nfíe_, tře_, 
   {{0x2912a464,0xfdd00033,0x3869cb63,0x212d0891}},	//   knya_, ান্ড, ybar_, bleh_, 
   {{0x2912030c,0x6eed0183,0x6b9d1b30,0x63a9039b}},	//   jnya_, _fúbo, ttsg, _ypen, 
   {{0x29120730,0x38694e24,0x63a90065,0x394b022c}},	//   dnya_, vbar_, _xpen, _rics_, 
   {{0x7d04cb64,0x291201a3,0x2fc6cb65,0x6b9d0b48}},	//   _emis, enya_, _irog_, rtsg, 
   {{0x29120666,0x394bca07,0x3869cb66,0x28c414a7}},	//   fnya_, _pics_, tbar_, _लोहि, 
   {{0x29120da2,0x7d1600e5,0x2fc6cb67,0x8d8300a3}},	//   gnya_, _gjys, _krog_, _тушд, 
   {{0x3835084b,0x3869cb68,0x38660503,0xa85400fd}},	// [d4d0] унар, rbar_, ñora_, ркуч, 
   {{0x29129b7f,0x2d9e0318,0xb87b20ac,0x3869cb69}},	//   anya_, otte_, _elíp, sbar_, 
   {{0x2912005c,0x69c51264,0x63a98d00,0x272f0019}},	//   bnya_, _urhe, _spen, lünk_, 
   {{0x7ce6cb6a,0x291200f4,0x3ebc1494,0x7c2d4c9e}},	//   _fóru, cnya_, _lavt_, _kyar, 
   {{0x2fc60e0c,0xd2a92d25,0xc484004e,0x68ed0daf}},	//   _nrog_, екле_, рлік, mkad, 
   {{0x68edcb6b,0xe29600ce,0x27e9cb6c,0xf8d100a2}},	//   lkad, гаш_, myan_, हावय, 
   {{0x78bd0905,0x6eedcb6d,0x45d49622,0x10a50093}},	//   _kasv, _súbo, _корс, гийн, 
   {{0x6d4d0495,0x272f010e,0x7c2dcb6e,0x3d0200c9}},	//   _niaa, künk_, _oyar, _लगें_, 
   {{0x27e9cb6f,0x7c2dcb70,0x63a90010,0x2d9ecb71}},	//   nyan_, _nyar, _upen, ette_, 
   {{0x5187032e,0x2fc62be3,0x442d030b,0x29123107}},	//   _ауда, _drog_, _iye_, znya_, 
   {{0x442dcb72,0xde05cb73,0x753b02cd,0x291210b6}},	//   _hye_, упни, _khuz, ynya_, 
   {{0x78bd11c8,0x27e9cb74,0x7c2d024d,0x29120870}},	//   _nasv, kyan_, _byar, xnya_, 
   {{0x3ea508ac,0xdb0d0503,0x7c2d0199,0x8edf0033}},	//   _билг, _arañ, _cyar, যোগগ, 
   {{0x442d02fb,0x27e9cb75,0xdb0d03da,0x291200f4}},	//   _mye_, dyan_, _brañ, wnya_, 
   {{0x2912a464,0xada5778e,0x75293ffc,0x68ed0082}},	//   tnya_, _сайл, _okez, fkad, 
   {{0x442dcb76,0x7ce60068,0x68ed51f1,0x35fb0033}},	//   _oye_, _córt, gkad, ্থাৎ_, 
   {{0x291211f7,0x442d5e48,0x27e9cb77,0x3f9f0088}},	// [d4e0] rnya_, _nye_, gyan_, ntuu_, 
   {{0x291211f7,0x98a0cb78,0x7bcb0165,0x28c40466}},	//   snya_, klić_, _água, _लोरि, 
   {{0x29123883,0x442dcb79,0x4a9b0137,0x1a9b00c7}},	//   pnya_, _aye_, _אייג, _אייע, 
   {{0x442dcb7a,0x68ed022b,0x753bcb7b,0x291202cd}},	//   _bye_, ckad, _chuz, qnya_, 
   {{0x442d0199,0xf4870019,0x98a00083,0x28d13267}},	//   _cye_, طانی, elić_, हारि, 
   {{0x2d9e03a9,0x78bd10ea,0x68e300d9,0x80a14437}},	//   ytte_, _zasv, _îndr, क्से, 
   {{0x6abecb7c,0x272f010e,0x98a008e3,0x6f083bb5}},	//   _mapf, zünk_, glić_, vidc, 
   {{0x442d05d5,0x3ea702aa,0x7df300ad,0x67230304}},	//   _fye_, _abnt_, cəsə, čnje, 
   {{0x2ef41fe9,0x442d0a8b,0x98ab0035,0x6d4d0326}},	//   изир, _gye_, _chcę_, _riaa, 
   {{0x68edcb7d,0x7c2d0199,0x98a07a99,0x90c600f0}},	//   zkad, _ryar, blić_, _әбде, 
   {{0x7c2d0666,0x6d4d012b,0x236001dd,0x7ce60032}},	//   _syar, _piaa, ģiju_, _nórs, 
   {{0x272f0019,0x61e501c4,0x27e9cb7e,0x98a90032}},	//   tünk_, ähle, yyan_, tlač_, 
   {{0x9b58cb7f,0x78bdcb80,0x2d9ecb81,0x6abe0199}},	//   лият_, _rasv, stte_, _bapf, 
   {{0x78bd03ef,0xbebc002a,0x7ce600eb,0x272f010e}},	//   _sasv, glīt, _sórt, rünk_, 
   {{0xc3330056,0x7ce64fff,0x78bdcb82,0x25ad02c7}},	//   מוש_, _pórt, _pasv, _ćelo_, 
   {{0x27e9cb83,0xd7fbcb84,0x7e7acb85,0x00000000}},	//   tyan_, нуз_, latp, --, 
   {{0x68edcb86,0x629acb87,0x7c2d01f0,0xd7950093}},	// [d4f0] rkad, _octo, _uyar, ризъ, 
   {{0x68edcb88,0x27e9cb89,0x442dcb8a,0x2d8c0b1f}},	//   skad, ryan_, _rye_, orde_, 
   {{0x545511d2,0x27e9cb8b,0x442dcb8c,0x78bdcb8d}},	//   авет, syan_, _sye_, _tasv, 
   {{0x442d0cd7,0x7ce603da,0x2d8c0038,0x7e7a0626}},	//   _pye_, _hórr, irde_, hatp, 
   {{0xe2997f95,0x672500c8,0xd7e71003,0x987a027a}},	//   вал_, pohj, _сіно, _בארט, 
   {{0x442d06df,0x91e540d4,0x0577149e,0x00000000}},	//   _vye_, иоле, _مارد, --, 
   {{0x2ca900ca,0x442dcb8e,0xf8bf01e5,0x7e7a90b2}},	//   _obad_, _wye_, _kaé_, datp, 
   {{0x3f9f0088,0x442d0876,0x98a02cd9,0x00e500d9}},	//   ttuu_, _tye_, rlić_, ржин, 
   {{0x2d8c051e,0x60dbcb8f,0xe0d60b58,0xef190f5a}},	//   erde_, rjum, рвы_, кми_, 
   {{0x2ca92c55,0x26c1009c,0x63bbcb90,0xaf05cb91}},	//   _abad_, ndho_, _isun, рпол, 
   {{0x6da5a554,0x3f9f0088,0xe80c0b3e,0xee36002e}},	//   шина, stuu_, _सेना_, инь_, 
   {{0x8c4615c5,0xdfd1007a,0x00000000,0x00000000}},	//   иене, _ويا_, --, --, 
   {{0x2d8ccb92,0x5fa9031e,0x4c36011f,0x3f6703b5}},	//   arde_, _कहिल, рэнт, _стеб, 
   {{0x7ce616c9,0x80a10c73,0x7a400019,0x63bb0204}},	//   _córr, क्रे, játé, _msun, 
   {{0xf8bf11e9,0x00000000,0x00000000,0x00000000}},	//   _baé_, --, --, --, 
   {{0xc95500e4,0x786602b9,0x63bbcb93,0x3f5b001b}},	//   стры, рказ, _osun, _kêu_, 
   {{0xb8de2125,0x63bb02a5,0x3f8d03dd,0x6abe02eb}},	// [d500] _इस_, _nsun, nreu_, _tapf, 
   {{0x8ca70035,0x657e01c4,0x98ab0243,0x00000000}},	//   ट्ठो, tsph, ījās_, --, 
   {{0xd910086b,0x63bbcb94,0x98a637e6,0x23640d07}},	//   _فیس_, _asun, _кине, _stmj_, 
   {{0x64a66f7a,0x938a17d9,0x26d1cb95,0x61ee01c4}},	//   рада, вска_, _enzo_, _übli, 
   {{0x26c1023e,0xe3b20625,0x93461b68,0x3f5b00e7}},	//   bdho_, ترا_, анде, _nêu_, 
   {{0x3f8d03a1,0xfc3f0634,0x6d5a024a,0x2d8b0035}},	//   dreu_, nfía_, yqta, ącej_, 
   {{0x7e7a098d,0x00000000,0x00000000,0x00000000}},	//   vatp, --, --, --, 
   {{0x1fa60bf8,0x3860cb96,0x2d8c015e,0x3f8dcb97}},	//   арог, ncir_, vrde_, freu_, 
   {{0xdfd000eb,0x7e7a03dd,0x76490248,0x00000000}},	//   سيد_, tatp, _şeyx, --, 
   {{0x9ed8782d,0x2f56004e,0xe465003e,0x3860a0c9}},	//   умот_, лтүс, _þörf_, hcir_, 
   {{0x073700a7,0x80b80f7a,0x2d8c0a58,0x7e7acb98}},	//   שאים_, ्यदे, urde_, ratp, 
   {{0xa06a13f1,0x3f8d19cb,0x63a2040b,0x8fa60ec6}},	//   _рада_, breu_, oton, _ваде, 
   {{0x63a2cb99,0x92d80086,0x81c701dd,0x9d18cb9a}},	//   nton, াসী_, rtēš, роят_, 
   {{0x6298cb9b,0x81c701dd,0x39b80118,0x63a2019c}},	//   ngvo, stēš, _bōs_, iton, 
   {{0xed570316,0x58d504a0,0x7c870942,0x213dcb9c}},	//   _кој_, бовт, _купе, _yhwh_, 
   {{0x3f5b00f7,0x63a2cb9d,0x7e78078a,0xa3d60bb9}},	//   _yêu_, kton, _hevp, िमा_, 
   {{0xfb8500d4,0xddda6d9d,0x63a2cb9e,0x6d584464}},	// [d510] _ادبی, katū, jton, _huva, 
   {{0x6d58cb9f,0x63a21272,0xf8bf69e0,0x39b805d5}},	//   _kuva, dton, _waé_, _fōs_, 
   {{0xdfc60019,0x24550ce0,0x63a2cba0,0x63bbb8ab}},	//   _کي_, مناس, eton, _ssun, 
   {{0x63a2cba1,0x6d58cba2,0x63bb016a,0xf4873d8f}},	//   fton, _muva, _psun, ружн, 
   {{0x7ae56f38,0xd3080029,0x63a21a71,0xe78402c0}},	//   _koht, yệt_, gton, _муро, 
   {{0x7ae5030f,0x7ced010c,0x21750d3d,0x3f5b0108}},	//   _joht, _dûri, буир, _rêu_, 
   {{0x6d58cba3,0x63a2cba4,0x256c03a0,0x00000000}},	//   _nuva, aton, _vòlò_, --, 
   {{0x6ea9000d,0x3f8dcba5,0x5a1800d1,0x212b020b}},	//   ज्नु, treu_, יקון_, ôch_, 
   {{0x63bb00ab,0xd371009c,0x7995007c,0x3de40033}},	//   _usun, _رها_, huzw, _ফেলল, 
   {{0x3f8d8b42,0x6d58cba6,0x5ea50c72,0x7ae5008b}},	//   rreu_, _buva, حمدل, _noht, 
   {{0x69c7027c,0x6d585d26,0x7e780082,0x6eed08b2}},	//   jvje, _cuva, _devp, _júbi, 
   {{0x69c7027c,0xf1c3012d,0x6d58cba7,0x3f8dcba8}},	//   dvje, rašė_, _duva, preu_, 
   {{0x70520071,0x7ae5cba9,0x21c70108,0x61b70299}},	//   _عنوا, _boht, _hđh_, _आनुष, 
   {{0x543a00c7,0x611300b3,0x6d550068,0x7995007c}},	//   טערא, dăli, ízas, fuzw, 
   {{0x5d850084,0xc332042c,0x63a20019,0x8d9500eb}},	//   _البل, פול_, zton, _العش, 
   {{0x63a2cbaa,0x97da0080,0x38790354,0x00000000}},	//   yton, льзу_, _cesr_, --, 
   {{0x386043fd,0x78b600ef,0x65670026,0x0686183a}},	// [d520] rcir_, _čavč, _atjh, йган, 
   {{0xf6563128,0x065600e4,0x6d58008f,0x6d46cbab}},	//   стаю, стаў, _yuva, lmka, 
   {{0x2734014e,0x463a33c4,0x2a5700d1,0xfc3f033c}},	//   länk_, учая_, _לבין_, nfín_, 
   {{0x672302f5,0x63a2cbac,0x6eed0496,0xb0a61446}},	//   čnja, tton, _dúbi, _कॉंग, 
   {{0x65670026,0x61130474,0x63a2cbad,0x240a00b3}},	//   _etjh, căli, uton, ынди_, 
   {{0xf8bf009c,0x04fa0033,0x21c70210,0x00000000}},	//   _akéh_, েকের_, _bđh_, --, 
   {{0x63a2cbae,0xc05a005e,0xddda5e03,0x41c60504}},	//   ston, ліп_, ratū, сёла, 
   {{0x63a2cbaf,0x92d80086,0x6d58cbb0,0xb97b0225}},	//   pton, াসে_, _ruva, אנקי, 
   {{0x6d589707,0x69c70e67,0x7995007c,0x00000000}},	//   _suva, zvje, zuzw, --, 
   {{0xdb040183,0x3f8a014b,0x395a1fda,0xe29711d2}},	//   _osiñ, čbu_, _oups_, _гаф_, 
   {{0x6b84cbb1,0x6eed0183,0x6288094e,0x7ae51ece}},	//   _avig, _xúbi, _iddo, _roht, 
   {{0xa15700a7,0x79950199,0xdd0700ad,0x7ae5040c}},	//   _הבאה_, vuzw, _döşl, _soht, 
   {{0x7ae50080,0x69c80566,0x6ab50151,0x00000000}},	//   _poht, æden, tezf, --, 
   {{0x6b84cbb2,0x6b89034c,0x6d58cbb3,0x6d46cbb4}},	//   _dvig, šego, _tuva, amka, 
   {{0x6b840c43,0x60c2cbb5,0xddc878b2,0xb6c9010e}},	//   _evig, _kaom, ladž, یائے_, 
   {{0x3e4e0095,0x611300b3,0x7995527f,0x69c7cbb6}},	//   mət_, tăli, ruzw, rvje, 
   {{0x69c72592,0xe8030586,0xddc800f1,0x7ae50187}},	// [d530] svje, _रेखा_, nadž, _toht, 
   {{0x7bcd0a9f,0x60c2cbb7,0x00000000,0x00000000}},	//   _irau, _laom, --, --, 
   {{0xddc80bfc,0x3e4e0095,0x45b90235,0x69da0080}},	//   hadž, nət_, ргею_, ätet, 
   {{0x60c2cbb8,0x7bcd250e,0x6288cbb9,0xfc3f033c}},	//   _naom, _krau, _addo, nfío_, 
   {{0x889a042c,0xddc80df4,0x3e4e0095,0x31a10083}},	//   _דברי, jadž, hət_, wóz_, 
   {{0x395a02a2,0x776d0042,0x3e4e00ad,0x4b7c0070}},	//   _yups_, mpax, kət_, נאוו, 
   {{0x6aaa02ec,0xa3b50790,0x659411a8,0x6a9c00a7}},	//   _öffe, _जनक_, _нару, אשונ, 
   {{0x6f65cbba,0x7a40003e,0x60c22619,0xa3b4252e}},	//   овиз, _hátí, _caom, _छैक_, 
   {{0xb87b05a8,0x7bcd01c1,0x7b09014b,0x60c20054}},	//   _blíz, _nrau, ržuj, _daom, 
   {{0xe45000eb,0x3e4e0095,0x776d0042,0xbd851d91}},	//   _أضف_, fət_, ipax, огок, 
   {{0x7bcd02ba,0x26c3cbbb,0xc69200a7,0x6b84092c}},	//   _arau, _majo_, ואי_, _svig, 
   {{0x7bcdcbbc,0x2d8b00bc,0x395acbbd,0x00000000}},	//   _brau, čce_, _rups_, --, 
   {{0x28c40a44,0xb87b0183,0x7bcd0626,0x6d5e0212}},	//   _लोगि, _coím, _crau, _épan, 
   {{0x7bcdcbbe,0x3e4e0095,0x290b04a8,0x7d0f00a1}},	//   _drau, bət_, _amca_, aics, 
   {{0x7bcd01ca,0x60c2cbbf,0x795b0176,0xdc6a0283}},	//   _erau, _yaom, иятӣ_, _кайд_, 
   {{0x290b0065,0x7bcdcbc0,0x28d100a5,0x6fcd0ed5}},	//   _cmca_, _frau, हागि, तिपू, 
   {{0x26c3cbc1,0x6b8403da,0x656900ef,0x07a3cbc2}},	// [d540] _bajo_, _uvig, _čeha, матн, 
   {{0x249f0012,0x57ba000d,0xe8f903dc,0x69c80219}},	//   _acum_, _उनीह, алӣ_, ådes, 
   {{0xe45a129d,0xa2dd031e,0x26c30352,0x630f0033}},	//   аже_, पान्, _dajo_, াকায়_, 
   {{0x136a71ca,0x69c80032,0x00000000,0x00000000}},	//   ашки_, ťdes, --, --, 
   {{0x5696004e,0x4420cbc3,0x60c20054,0x00000000}},	//   _қаңт, çi_, _raom, --, 
   {{0x3e4e06d0,0x3872004f,0xddc3008a,0x6b8b02c9}},	//   yət_, lbyr_, _benż, _ægge, 
   {{0xe61700b3,0x60c2023a,0xaacb031e,0x2ca00096}},	//   _ддр_, _paom, ायतक, _ocid_, 
   {{0x89db00d1,0x3e4e00ad,0xc0ca02a6,0xdcfb01dd}},	//   שחקי, vət_, руке_, kstā, 
   {{0x43670a27,0x63ad00e5,0x69cc00a2,0xe29a4eb1}},	//   _матн_, çant, हिडी, _ваз_, 
   {{0xddc82cd9,0x2018002e,0x60c21642,0x2ca0cbc4}},	//   radž, ări_, _waom, _acid_, 
   {{0xb65b00c7,0xaade00bc,0x60c2cbc5,0x7bcd0009}},	//   ידיש, मानक, _taom, _srau, 
   {{0xcd0702fb,0x9b6b00cf,0x3e4e06d0,0x7cff0034}},	//   ічни, ишга_, rət_, _mërg, 
   {{0x7ac746a4,0xdcfb00e0,0x3e4e0095,0x9bc40235}},	//   осве, gstā, sət_, мёрк, 
   {{0x273d0054,0xb0a600c9,0x387f0121,0x00000000}},	//   kìna_, क्रग, _žur_, --, 
   {{0x7d0f01c8,0x0e750228,0x58d53a8d,0x8ae408af}},	//   pics, äčší, повт, фіял, 
   {{0x58d41134,0x26c36957,0x7bcdcbc6,0x273d023a}},	//   мост, _sajo_, _trau, dìna_, 
   {{0x7cff01ee,0x6fbc0190,0x7d0dcbc7,0x31b71615}},	// [d550] _përf, ्टिं, _imas, _आन्ध, 
   {{0x8ca70239,0x466b0f25,0x00000000,0x00000000}},	//   ट्रो, ррам_, --, --, 
   {{0x2bc30ee0,0x2aba00d1,0x26c30121,0x3aba00d1}},	//   शिका, _המתא, _vajo_, _המתנ, 
   {{0x7cff00e5,0xf99200fe,0x6fcd109f,0x7d0d332a}},	//   _dërg, _ארט_, तिमू, _jmas, 
   {{0x3949cbc8,0x7d0dcbc9,0x00000000,0x00000000}},	//   mmas_, _mmas, --, --, 
   {{0x3949cbca,0x85050c30,0x1fd00086,0x7d0d02f1}},	//   lmas_, _کورن, িহাস, _lmas, 
   {{0x394921dc,0x2d8acbcb,0xd49b03b7,0x7d0d1f18}},	//   omas_, ábel_, _врз_, _omas, 
   {{0x69cc00a2,0x3949cbcc,0x6b4b00c3,0x27340080}},	//   हिती, nmas_, _iżgu, väni_, 
   {{0x44394faf,0x394901dd,0x3cdf009a,0xdcfb0009}},	//   _ás_, imas_, गाने_, lutė, 
   {{0x7d0d4310,0xb87b0183,0x3f86031e,0x443f01d6}},	//   _amas, _elíx, _dvou_, _izu_, 
   {{0xdcfb012d,0xcee800d4,0x8cd80586,0xe8030c46}},	//   nutė, ترين_, यालो, _रेघा_, 
   {{0xee3803dd,0x80a2034d,0x7d0d01be,0xcb090486}},	//   өнө_, _गाये, _cmas, _גל_, 
   {{0xbb1b010c,0x443f02fe,0x2fc9007a,0x27340080}},	//   rsîn, _jzu_, _éag_, säni_, 
   {{0xdcfb00e0,0x7d0dcbcd,0x656900ef,0x611300b3}},	//   rstā, _emas, _čehn, rălu, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2ca00474,0xdcfb23e9,0x48e34c77,0x00000000}},	//   _ucid_, dutė, носв, --, 
   {{0x81b10086,0x6d5606e4,0x443f0199,0x6d440054}},	// [d560] টটি_, _iiya, _nzu_, _ihia, 
   {{0x7cff078e,0xaa46cbce,0x6d56393d,0x69cc007e}},	//   _përg, _непл, _hiya, हिदी, 
   {{0x6d4401a0,0x7e7e007e,0x20bd3cae,0x3949cbcf}},	//   _khia, _õppe, ्याध, bmas_, 
   {{0x6d56078a,0x3949cbd0,0x7cff0034,0x273d0054}},	//   _jiya, cmas_, _gërd, rìna_, 
   {{0x6d56cbd1,0x6d440a75,0x273d023a,0x00000000}},	//   _miya, _mhia, sìna_, --, 
   {{0x6d5600c5,0x6ef6026a,0xd2500019,0x2d858b0c}},	//   _liya, _câbl, نچا_, ksle_, 
   {{0x3f86031e,0xdcfb00b3,0x27f200c8,0x6d4401ca}},	//   _svou_, nstă, lyyn_, _ohia, 
   {{0x2912cbd2,0x6d56cbd3,0x7c2400cf,0x290002a0}},	//   niya_, _niya, _oxir, nhia_, 
   {{0x425600f0,0x7c240034,0x43761a57,0x00000000}},	//   _етет, _nxir, _хубт, --, 
   {{0x2912cbd4,0x6440cbd5,0x6d440180,0x394936d7}},	//   hiya_, _izmi, _ahia, zmas_, 
   {{0x6d56cbd6,0x2912cbd7,0x3949012d,0x6d443772}},	//   _biya, kiya_, ymas_, _bhia, 
   {{0x6d44b635,0x660101f0,0x2912078a,0x6d56010c}},	//   _chia, _ülke, jiya_, _ciya, 
   {{0x6d56cbd8,0x2912cbd9,0x2900cbda,0x6d44cbdb}},	//   _diya, diya_, dhia_, _dhia, 
   {{0xdee32476,0xdd940161,0x3f820009,0xfbdf009e}},	//   _почи, _жакы, škus_, rxê_, 
   {{0x7cff01ee,0x6d560c05,0x2912cbdc,0x6d440094}},	//   _përd, _fiya, fiya_, _fhia, 
   {{0x29128b5e,0x3949cbdd,0x6d44cbde,0x6d560218}},	//   giya_, umas_, _ghia, _giya, 
   {{0xb8e5203f,0x80a14f69,0x00000000,0x00000000}},	// [d570] _एस_, क्टे, --, --, 
   {{0x6d5603b0,0x3949cbdf,0xbbc9072f,0x98b201dd}},	//   _ziya, smas_, िटीक, ībās_, 
   {{0x6440cbe0,0x7d1dcbe1,0x6d5602b8,0x2d54020f}},	//   _azmi, onss, _yiya, _oţel_, 
   {{0x2900cbe2,0x7d1dc38e,0x291268ac,0x6d5656ec}},	//   chia_, nnss, ciya_, _xiya, 
   {{0x8ca500a2,0x03a51934,0x7d1d003e,0x27e00108}},	//   _कानो, фило, inss, cxin_, 
   {{0x2d850228,0x7d1d02ae,0x81c20243,0x6eed0354}},	//   ysle_, hnss, _ģērb, _lúbr, 
   {{0xb4570116,0x74f900b3,0x6eff009e,0x4424040c}},	//   _فیاض_, _девр_, _jêbe, _exm_, 
   {{0x7d1d039b,0x00000000,0x00000000,0x00000000}},	//   jnss, --, --, --, 
   {{0x6d56cbe3,0x6d44cbe4,0x443f00c3,0x6eff078a}},	//   _riya, _rhia, _uzu_, _lêbe, 
   {{0x6d56cbe5,0x2912cbe6,0x6d44cbe7,0xdd89cbe8}},	//   _siya, ziya_, _shia, обод_, 
   {{0x57ba3263,0x6d56cbe9,0x6d4401a0,0x112b09e7}},	//   _उन्ह, _piya, _phia, _люди_, 
   {{0xd00e086b,0x2900639a,0x6d56cbea,0x6d440201}},	//   الی_, xhia_, _qiya, _qhia, 
   {{0x2912cbeb,0x2d9a00dd,0x6d566a8e,0xbea5cbec}},	//   viya_, _åpen_, _viya, _жалк, 
   {{0x62837046,0x2912cbed,0x6d56cbee,0x6eff010c}},	//   nano, wiya_, _wiya, _bêbe, 
   {{0x6d441124,0x2912cbd9,0x6d56cbef,0x248d04d1}},	//   _thia, tiya_, _tiya, _odem_, 
   {{0xb4bc047b,0x6283cbf0,0x7c240a9f,0x248d011c}},	//   _असे_, hano, _txir, _ndem_, 
   {{0x2912cbf1,0x46eacbf2,0x236d01c1,0x3af400c8}},	// [d580] riya_, одан_, _ntej_, _läpi_, 
   {{0x2912cbf3,0x6283cbf4,0x2900cbf5,0x68f6cbf6}},	//   siya_, jano, shia_, skyd, 
   {{0x6283cbf7,0x2912cbf8,0x6abc1a0d,0x39460267}},	//   dano, piya_, merf, _оног, 
   {{0x60c950f4,0x2912cbf9,0x6abccbfa,0x799c02b8}},	//   jdem, qiya_, lerf, murw, 
   {{0x6283cbfb,0x60c90547,0x69ceab7c,0x9f5200bc}},	//   fano, ddem, lvbe, ždém_, 
   {{0x7cff00e5,0x248d1540,0x416a02a6,0x645b01d6}},	//   _kërc, _edem_, ојим_, _egui, 
   {{0xbebc00e0,0x65c34095,0x799c02b8,0x81e40033}},	//   lnīg, _ибра, nurw, _পেজ_, 
   {{0xe643cbfc,0x6abccbfd,0x2d8a0082,0x645b052b}},	//   _респ, herf, šbek_, _ggui, 
   {{0x6abc008c,0x20040b1d,0x61fd00ad,0x6eed5aec}},	//   kerf, uzmi_, _əsli, _rúbr, 
   {{0x62830a47,0x799c02b8,0x7ce60083,0xe800017d}},	//   cano, kurw, _górz, लैया_, 
   {{0x069700a7,0xecd00eda,0x90c686cf,0x00000000}},	//   ודים_, _तोहफ, _обже, --, 
   {{0x6eff0218,0xb4bc00a2,0x7cff021e,0x7afecbfe}},	//   _rêbe, _असो_, _sërb, _alpt, 
   {{0x7cff01ee,0x6abcad11,0x7d1d1cd2,0x9f440080}},	//   _përb, ferf, rnss, tymä_, 
   {{0xe6c852c2,0x6abc66cc,0x3ae60379,0xdbdc003e}},	//   रयोज, gerf, _kôpy_, ráðg, 
   {{0x799c0199,0x98c71256,0xc9841271,0xbebc0243}},	//   gurw, мсал, кути, enīg, 
   {{0x6aaa02f2,0x69d86968,0x7e6d0242,0x00000000}},	//   _öffn, _švec, _đapi, --, 
   {{0x78adcbff,0x96db00a5,0x6283cc00,0xd7590038}},	// [d590] rfav, नालॉ, yano, سلات_, 
   {{0x6283cc01,0x60c9cc02,0x31a8010c,0x645b0465}},	//   xano, zdem, kûz_, _sgui, 
   {{0x6283cc03,0x2734014e,0x60c9cc04,0x6b9dcc05}},	//   vano, vänt_, ydem, lusg, 
   {{0x26c71e34,0x6283005f,0xf7733629,0x69c51d0b}},	//   žno_, wano, _لاس_, _ishe, 
   {{0x6b9d2e9c,0x3869010c,0xdb0d00c2,0x00000000}},	//   nusg, mcar_, _osaü, --, 
   {{0x3869cc06,0x877a035c,0x3959cc07,0x8c1c00d1}},	//   lcar_, _מאשי, _hiss_, חודי, 
   {{0x6b9dc0c1,0x3959cc08,0x613e0034,0x273402ae}},	//   husg, _kiss_, gëlo, ränt_, 
   {{0x6b9dcc09,0x39590175,0x41b20038,0x7c22003e}},	//   kusg, _jiss_, امير, _þorg, 
   {{0x60c9cc0a,0x3959cc0b,0x613e021e,0x799c016c}},	//   rdem, _miss_, mëll, zurw, 
   {{0x69c50539,0x39597e74,0x0ea917fc,0x4f2214c1}},	//   _oshe, _liss_, чкой_, лдыб, 
   {{0xdca6144a,0x405908cb,0x69c5cc0c,0xee396271}},	//   нани, _فلاح_, _nshe, яно_, 
   {{0x6281cc0d,0xfce6004f,0x6abc0729,0x6e3c11ca}},	//   _helo, хомо, werf, ürba, 
   {{0x6281cc0e,0x6abc5094,0x4c350afc,0x6b9d0096}},	//   _kelo, terf, вэрт, gusg, 
   {{0x7cff00e5,0x6281090e,0x799c36e5,0xb4bc07d5}},	//   _përc, _jelo, turw, _अस्_, 
   {{0x39590529,0x443a0023,0x4efa00d1,0x6abcb7b8}},	//   _biss_, ́p_, _מהסו, rerf, 
   {{0x6281cc0f,0x0d820141,0x3959cc10,0x799c0199}},	//   _lelo, _слън, _ciss_, rurw, 
   {{0x69c5cc11,0x63a9084c,0x6281cc12,0x6abccc13}},	// [d5a0] _eshe, _nqen, _oelo, perf, 
   {{0xf1c50029,0x69c500e5,0xb6a30104,0x00000000}},	//   _đáng_, _fshe, лиул, --, 
   {{0x395900a4,0xbbe90e0e,0xeef60070,0x1a9b0147}},	//   _fiss_, _فریم_, עמער_, _ציטע, 
   {{0x628102bf,0xe81100a2,0x14264247,0x3869cc14}},	//   _aelo, _ठेवा_, ндем, ccar_, 
   {{0x6281cc15,0xe3af08cb,0x3f7d020b,0x00000000}},	//   _belo, مرو_, jňu_, --, 
   {{0x6281cc16,0x31c6c01d,0xddda0098,0x273402ae}},	//   _celo, есив, hatš, räns_, 
   {{0x6281cc17,0x7d1d23f2,0x26ca02a5,0x613e021e}},	//   _delo, érsk, _iabo_, bëll, 
   {{0x26ca0149,0x6d5e0107,0x7769019c,0xf1c50299}},	//   _habo_, _épai, _éexc, विजन, 
   {{0x26caa179,0x032600c8,0x925a009c,0x6281cc18}},	//   _kabo_, _здан, _فشار_, _felo, 
   {{0x628177e4,0x1ddb143e,0x80a200c2,0x91e61271}},	//   _gelo, यमंत, _गावे, _позе, 
   {{0x3207006a,0xa2dd000c,0x7bcf0201,0x2d8a010e}},	//   czny_, पार्, wvcu, ébe_, 
   {{0x26cacc19,0x6b9dcc1a,0xac1903bd,0xb0620dfa}},	//   _labo_, tusg, дому_, äädi, 
   {{0xd12f006b,0x7b0900ef,0xfd1f0036,0x39598eb2}},	//   _امن_, džur, rnì_, _riss_, 
   {{0x26ca355a,0x2b5a040b,0xce946b5d,0x69c5021e}},	//   _nabo_, _cipc_, _ракъ, _pshe, 
   {{0x6b4002f2,0x318c00bc,0x945d0118,0x46ce00b0}},	//   mögl, něz_, _dańj, _होइह, 
   {{0x3ebecc1b,0x26ca02a5,0x2d9ecc1c,0x2eee3296}},	//   lett_, _aabo_, mute_, _hoff_, 
   {{0xf77003b1,0x2d9ecc1d,0x981700c5,0x26cacc1e}},	// [d5b0] مال_, lute_, ربرا, _babo_, 
   {{0x26ca1408,0x69c5cc1f,0x3959011c,0x3ebe4760}},	//   _cabo_, _tshe, _wiss_, nett_, 
   {{0x26ca7d70,0x4ade00b0,0x2d9e2979,0xa2a41f22}},	//   _dabo_, मारव, nute_, च्छ्, 
   {{0x62812811,0xd4e440f3,0xe4e40965,0x3f7d0032}},	//   _selo, лючи, лічн, yňu_, 
   {{0x6281b970,0x3ebecc20,0x2d9e07d7,0xa2dd031e}},	//   _pelo, kett_, hute_, पाल्, 
   {{0x2d9e007e,0x26ca007c,0x3ebe004f,0x6b8d0027}},	//   kute_, _gabo_, jett_, _mvag, 
   {{0x3ebe3ed0,0x00000000,0x00000000,0x00000000}},	//   dett_, --, --, --, 
   {{0x2d9ecc21,0x26ca0199,0x6281cc22,0xed631102}},	//   dute_, _zabo_, _welo, _leží_, 
   {{0x3ebecc23,0x26ca024d,0x13b42ee1,0xdee519e4}},	//   fett_, _yabo_, _مصلح, вопи, 
   {{0x6eff02aa,0x2d9e01b5,0x6d4f039b,0x3ebecc24}},	//   _bêba, fute_, emca, gett_, 
   {{0x2eeecc25,0x2d9ecc26,0x6b8d5c3c,0xcfa81372}},	//   _doff_, gute_, _avag, وایم_, 
   {{0x7cff0034,0xdbe4039b,0x00000000,0x00000000}},	//   _përa, _héér, --, --, 
   {{0xd9ca00bd,0xddda0098,0x3ebecc27,0x09ca009a}},	//   ाट्ट, ratš, bett_, ाट्य, 
   {{0x2eee01f2,0x2d9e2ff3,0x60cbcc28,0xb0a70110}},	//   _goff_, bute_, _hagm, _गाडग, 
   {{0x26cacc29,0x19b9154d,0x6b400219,0x6b8d008a}},	//   _rabo_, нуть_, sögo, _evag, 
   {{0x60cb00ef,0x26cacc2a,0x2eee05bc,0xa3e1031e}},	//   _jagm, _sabo_, _zoff_, धमा_, 
   {{0x2bc74985,0x60cbcc2b,0xf7720b7e,0x26cacc2c}},	// [d5c0] _алып_, _magm, شاء_, _pabo_, 
   {{0x60cbcc2d,0xb87b0183,0xbebc00e0,0xe9da00b3}},	//   _lagm, _boís, mnīc, _жко_, 
   {{0xd6cf0040,0x3569005e,0xc486cc2e,0x24860379}},	//   تقل_, ерін_, влек, taom_, 
   {{0x3ebe006b,0x60cbcc2f,0x26ca0199,0x318c00bc}},	//   zett_, _nagm, _wabo_, věz_, 
   {{0xa3b4013d,0x64a33a94,0x2d9ecc30,0xa2940451}},	//   ублі, рача, zute_, галі, 
   {{0x93432d1c,0x78a40b39,0x318c02d9,0x776902be}},	//   анче, lgiv, těz_, _éexa, 
   {{0x52750161,0x55e36013,0x60cb0566,0x2eee00b4}},	//   уучу, _корб, _bagm, _roff_, 
   {{0x2d9ecc31,0x6eff0218,0x3ebecc32,0xddd82645}},	//   vute_, _rêba, wett_, _nevš, 
   {{0x3ebe006b,0xa3b601a4,0xff0600c8,0xbebc01dd}},	//   tett_, _जहि_, вянн, jnīc, 
   {{0x24840529,0x2d9ecc33,0x7522cc34,0x629e0042}},	//   _hemm_, tute_, lnoz, ópod, 
   {{0x69d800e4,0x6b8dcc35,0x5d550141,0x4207005b}},	//   _šven, _svag, лкот, _инфо_, 
   {{0x3ebe5039,0xa3b6185c,0x2d9ecc36,0x60cb02dc}},	//   sett_, _जहा_, rute_, _gagm, 
   {{0x5f060593,0x78a4c9b7,0x6d4f00f6,0x2d9e020f}},	//   _изда, dgiv, rmca, sute_, 
   {{0x68efcc37,0x9b58cc38,0x52c07944,0x9b45009c}},	//   _socd, кият_, _एसोस, انسو, 
   {{0x3eab253f,0xd90f010e,0xdbdd040b,0x60cbc0d6}},	//   žitý_, قید_, _dáár, _yagm, 
   {{0x60c000c8,0x78a40036,0xd7fb1478,0x00000000}},	//   nemm, ggiv, муз_, --, 
   {{0x75221765,0x58842983,0x69d80068,0x00000000}},	// [d5d0] dnoz, рыса, _áven, --, 
   {{0x60c0cc39,0xb87b00bc,0x78a402a5,0xbaa52d60}},	//   hemm, _sníd, agiv, _суиқ, 
   {{0x60c0cc3a,0xe66445c1,0x2d8c01da,0x9a8400f0}},	//   kemm, ртуо, nsde_, _туыл, 
   {{0x60c0cc3b,0x6d5e0107,0x2126024a,0x3ce600aa}},	//   jemm, _épau, _njoh_, टाये_, 
   {{0x289a0111,0x44291de2,0x24580904,0x25f300a2}},	//   _אירא, ça_, ваць_, ूनही_, 
   {{0x4429003d,0x05130033,0x60cb4031,0x00000000}},	//   ħa_, িকের_, _sagm, --, 
   {{0x60cb1614,0x60c0cc3c,0xbebc00e0,0x2ca90126}},	//   _pagm, femm, znīc, _ocad_, 
   {{0x26c1cc3d,0x5045cc3e,0x75220036,0xe0570296}},	//   leho_, лейб, cnoz, نیات_, 
   {{0x7cffcc3f,0x3f42008c,0x2d8c000b,0xddd80121}},	//   _përn, rðun_, esde_, _revš, 
   {{0x26c1cc40,0x63bbcc41,0xfde9b49d,0x2ca9074d}},	//   neho_, _ipun, едок_, _acad_, 
   {{0x60c000ef,0x60cb02c5,0xef1600d9,0x00000000}},	//   bemm, _tagm, умэ_, --, 
   {{0xeb9a11b9,0xe0d00e61,0x60c00107,0x26c1cc42}},	//   ним_, _وزن_, cemm, heho_, 
   {{0x69d7cc43,0x8e55005e,0x5fb7000d,0x8ca50263}},	//   _arxe, _өткі, _अहिल, _कारो, 
   {{0x63bbcc44,0x6da5cc45,0x26c10199,0x6f920038}},	//   _mpun, _бика, jeho_, _الوض, 
   {{0xceb200a7,0xbebc00e0,0x660900bc,0x78a447ea}},	//   _היו_, snīc, _řekn, tgiv, 
   {{0x63bb3393,0xbebc01dd,0xd5b10108,0x2ca900f3}},	//   _opun, pnīc, _ấy_, _gcad_, 
   {{0xd94304c4,0x7d04cc46,0x6b891810,0x3f8d864d}},	// [d5e0] сети, _ilis, šegr, nseu_, 
   {{0x78a4cc47,0x4b7b07e4,0x69c80566,0x26c1007c}},	//   sgiv, _ראיו, ædes, geho_, 
   {{0x63bb04ff,0x3ce0017e,0x6eff009e,0x78a402ae}},	//   _apun, _kniv_, _lêbo, pgiv, 
   {{0xd38a00f0,0xf1a6035b,0x63bb0534,0x00000000}},	//   ейде_, ҳрин, _bpun, --, 
   {{0x26c1011b,0x7522cc48,0x7d04025b,0x60c00080}},	//   beho_, rnoz, _mlis, vemm, 
   {{0x39406f26,0x7d040161,0x26c10187,0x63bb023e}},	//   llis_, _llis, ceho_, _dpun, 
   {{0x7d04cc49,0x60c06c8b,0x2f000118,0x8ca524d4}},	//   _olis, temm, _bògn_, _कालो, 
   {{0xb87b03b7,0x764300ab,0x752200ad,0x213f011c}},	//   _iníc, żnyc, qnoz, gluh_, 
   {{0x60c01134,0x7dea0095,0x3940cc4a,0x69d80009}},	//   remm, məsi, ilis_, _švel, 
   {{0x7d042083,0x63a22f53,0xd24f00c5,0x60c03ffb}},	//   _alis, muon, _کنم_, semm, 
   {{0x3940916e,0x073707e4,0x7d0450c5,0xf1a90195}},	//   klis_, ראים_, _blis, _لانه_, 
   {{0x39408e90,0x628acc4b,0x7d04cc4c,0x26c10199}},	//   jlis_, lafo, _clis, zeho_, 
   {{0x26c1024d,0xab62027e,0x7d0400e1,0x8ff769c5}},	//   yeho_, şüne, _dlis, _مرور_, 
   {{0xe1f1006b,0x628acc4d,0x7dea0095,0xc6bf0086}},	//   _اسے_, nafo, həsi, _উচ্চ, 
   {{0x63a225fd,0x7d04cc4e,0xe91900dd,0x26c1915c}},	//   huon, _flis, вові_, veho_, 
   {{0x99640f6b,0x63a25180,0x6f1acc4f,0x628a0180}},	//   стрл, kuon, litc, hafo, 
   {{0x628acc50,0x26c1cc51,0x6d4d012b,0x6c780ce0}},	// [d5f0] kafo, teho_, _ihaa, _صحيح_, 
   {{0x3940cc52,0x6d4dcc53,0x7d160481,0x63a2cc54}},	//   alis_, _hhaa, _zmys, duon, 
   {{0x63bbcc55,0x69d70496,0x26c1cc56,0xfe1a07d5}},	//   _spun, _urxe, reho_, _फेमस_, 
   {{0x297a00fe,0x26c105f0,0x3940cc57,0x486400fd}},	//   _שטרא, seho_, clis_, _гърб, 
   {{0xe28507f9,0xdfc6646f,0x63a29269,0x6d5f47d4}},	//   алли, _بي_, guon, _miqa, 
   {{0x68ed8186,0xe2960176,0xa3b60262,0x6d5fcc58}},	//   ljad, ааш_, _जहर_, _liqa, 
   {{0x6f1a01c8,0x7dea0095,0x7cff024a,0xf0750019}},	//   ditc, bəsi, _përl, لیاں_, 
   {{0x68ed22fd,0xe0d905ef,0x7dea0095,0x63a2cc59}},	//   njad, тви_, cəsi, buon, 
   {{0x550400cf,0x63bb0053,0x27e90183,0xaf050fb9}},	//   _учра, _upun, nxan_, ипил, 
   {{0x6d4d007c,0x5187cc5a,0xa18713f2,0x628a00f6}},	//   _ahaa, _буда, _быдл, cafo, 
   {{0x1d0a0925,0x7d04cc5b,0x6d4d00a1,0x3f8d03dd}},	//   вени_, _plis, _bhaa, sseu_, 
   {{0x7fd5013d,0x443fcc5c,0xcb6a69bc,0x6d4d9433}},	//   _вікі, _kyu_, каме_, _chaa, 
   {{0x2909086d,0x6d4d0b29,0xdee5cc5d,0x68edcc5e}},	//   dhaa_, _dhaa, _воли, djad, 
   {{0x27e912ed,0xbea20028,0x6d4d01cf,0x7dea00ad}},	//   dxan_, _дашк, _ehaa, zəsi, 
   {{0xfc3f08f4,0x6d5f00e2,0x7d040364,0x753b0298}},	//   rgía_, _fiqa, _tlis, _okuz, 
   {{0x75292592,0x92b30086,0x7d04cc5f,0x06cf0033}},	//   _njez, য়ায়_, _ulis, রাফি, 
   {{0x07a60ca9,0xa686cc60,0x3940cc61,0x0686a94d}},	// [d600] разн, илад, rlis_, иган, 
   {{0x753bcc62,0x3940cc63,0x6d5fbea0,0xd910009c}},	//   _akuz, slis_, _épar, _کیر_, 
   {{0x443fa4d8,0x3940cc64,0xd946cc65,0x7dea0095}},	//   _ayu_, plis_, _вени, təsi, 
   {{0x6b84024d,0x63a2cc66,0x07a6cc67,0x443fcc68}},	//   _kwig, tuon, _камн, _byu_, 
   {{0xf86302fb,0xb60700e0,0x7dea0095,0x29000548}},	//   _євро, ekšē, rəsi, mkia_, 
   {{0x63a2669b,0x2900cc69,0x6b8434fa,0x443f011c}},	//   ruon, lkia_, _mwig, _dyu_, 
   {{0xe81a0509,0x6449cc6a,0xd5d50028,0x63a2cc6b}},	//   _नेता_, _ezei, _люты, suon, 
   {{0x7cff01ee,0x64a3cc6c,0x3f42010d,0x628acc6d}},	//   _përm, _маса, rðum_, safo, 
   {{0x443f524a,0x2900cc6e,0x63a22f96,0x00000000}},	//   _gyu_, ikia_, quon, --, 
   {{0x6d4dcc6f,0x6560008a,0x3eb8003e,0x6d5f00ad}},	//   _shaa, _himh, ýrt_, _siqa, 
   {{0x29000088,0xb6d900c7,0x628801dd,0x6b840175}},	//   kkia_, אַרט, _iedo, _awig, 
   {{0x215a2f23,0x6f1a02be,0x6b8402b8,0x7cff0034}},	//   _شجاع_, sitc, _bwig, _tërm, 
   {{0x62887274,0x6f1a00ca,0xdb040126,0x68ed0352}},	//   _kedo, pitc, _apiñ, vjad, 
   {{0x7cff01ee,0x628802f2,0x6b84cc70,0x6440cc71}},	//   _kërk, _jedo, _dwig, _mymi, 
   {{0x8d9400eb,0x48ab05e0,0x6b84bf80,0x6da3081b}},	//   _البش, ктам_, _ewig, _дија, 
   {{0x7c2d0a9f,0x6288cc72,0x7cff0034,0x27e901cf}},	//   _txar, _ledo, _mërk, txan_, 
   {{0x68edcc73,0x76b970a0,0xf7731ea7,0x62880156}},	// [d610] rjad, ллар_, تاز_, _oedo, 
   {{0x7d1dcc74,0x27e9cc75,0x753bcc76,0x2909cc77}},	//   liss, rxan_, _skuz, shaa_, 
   {{0x443f02cd,0x59f900b3,0x200d0036,0xa9350afc}},	//   _syu_, _сеня_, zzei_, _генш, 
   {{0x7d1dcc78,0xd1261896,0x62880532,0x291b01ff}},	//   niss, _رم_, _aedo, qiqa_, 
   {{0xe2f9005e,0x628893a2,0x7cff00e5,0x7529cc79}},	//   леді_, _bedo, _përj, _vjez, 
   {{0x7d1dcc7a,0x628802a3,0x7bcd019b,0x656082c8}},	//   hiss, _cedo, _msau, _eimh, 
   {{0x7d1dcc7b,0xb7180f67,0x3201014b,0xf42600c8}},	//   kiss, _торф_, áhy_, _ääni_, 
   {{0x753b08dc,0x1dd5126e,0x26d100a9,0x7d1dcc7c}},	//   _ukuz, धिसत, _hazo_, jiss, 
   {{0x443f19bb,0x2d9ecc7d,0x6288cc7e,0x26d1cc7f}},	//   _uyu_, erte_, _fedo, _kazo_, 
   {{0x6288cc80,0xaf0524a8,0x29000a9f,0x8ee93c34}},	//   _gedo, спол, zkia_, умов_, 
   {{0x7d1dcc81,0xed5a00d3,0x26d13bda,0x2d91024c}},	//   fiss, лоо_, _mazo_, éze_, 
   {{0x41557c6c,0x26d18d79,0xccf80200,0x2a73016c}},	//   _увес, _lazo_, рқи_, _afxb_, 
   {{0x2d9ecc82,0x8fc702b4,0x38c811b7,0x613e0034}},	//   arte_, _خزان, یاری_, gëlu, 
   {{0x20a7000f,0x26d1cc83,0xcb6700d9,0xf21c00c9}},	//   _गाँध, _nazo_, саре_, _भेड़_, 
   {{0x7d1dcc84,0x7bcd00fd,0x2d9e0588,0x29000080}},	//   biss, _esau, crte_, tkia_, 
   {{0x7d1dcc85,0x6b84cc86,0x7866cc87,0x2900cc88}},	//   ciss, _twig, сказ, ukia_, 
   {{0x29004a10,0x6903007e,0x3cf1026e,0x26d1cc89}},	// [d620] rkia_, _tõen, žová_, _bazo_, 
   {{0xb8ff04b7,0x3ce614b3,0x2bd500a2,0x26d10369}},	//   _धो_, टावे_, दिरा, _cazo_, 
   {{0xf99219c7,0x20a7100d,0x7794010e,0xb0a7362d}},	//   _عبد_, _गांध, _ڈیزا, _गांग, 
   {{0x6288cc8a,0xe76a0e61,0x64a610a0,0x2bef0033}},	//   _sedo, _محسن_, сада, _চেয়ে_, 
   {{0x6903007e,0xb87b0183,0x195700d1,0x26d1b7f7}},	//   _mõel, _unía, _לבטל_, _fazo_, 
   {{0x7cff01ee,0x7d1d154a,0x0b060033,0x644023f2}},	//   _përk, ziss, _ঈদুল_, _vymi, 
   {{0x6440006a,0x6288cc8b,0x7e7e007e,0xd13acc8c}},	//   _wymi, _vedo, _õppi, лхи_, 
   {{0x1f748884,0x6288009c,0x65600ae7,0x60f80093}},	//   олия, _wedo, _uimh, рния_, 
   {{0xdefa00d3,0x7d1d108e,0x437503dc,0x6b40008c}},	//   гын_, viss, _духт, lögu, 
   {{0x7d1dcc8d,0x613e08b0,0x00000000,0x00000000}},	//   wiss, eëlt, --, --, 
   {{0x2002cc8e,0x7d1dcc8f,0x2ae7017d,0x00000000}},	//   ški_, tiss, ञासु_, --, 
   {{0xa06a0886,0xc5f300a7,0x7f831372,0x2d9ecc90}},	//   _сада_, לדת_, _کلون, rrte_, 
   {{0x7d1dcc91,0x705606ab,0xd0e50662,0xa2dd009a}},	//   riss, _انشا, कारण_, पाच्, 
   {{0x7d1dcc92,0xde580904,0x5b2716d0,0x8ca502e6}},	//   siss, _калі_, сьма, _काको, 
   {{0x26d10068,0x7d1dcc93,0x7afa02ae,0xaa591a57}},	//   _razo_, piss, ötta, риву_, 
   {{0x7bcd01c1,0xa3e8000d,0x7d1d040c,0xe81a0ef1}},	//   _tsau, यमा_, qiss, _नेहा_, 
   {{0x02fa034d,0x26d10496,0xc1b500bc,0x7bcd012b}},	// [d630] ्साह_, _pazo_, _अङ्ग, _usau, 
   {{0x26d101ff,0xe8ff0216,0x00000000,0x00000000}},	//   _qazo_, _siûd_, --, --, 
   {{0x7cff00e5,0x26d1cc94,0x7e6d0241,0x00000000}},	//   _përh, _vazo_, _şapk, --, 
   {{0xa8a70934,0x26d123d0,0xb87b0038,0x2e3b0070}},	//   _урок, _wazo_, _inío, נגאנ, 
   {{0x6265cc95,0x26d1023a,0x7af700b4,0x00000000}},	//   овла, _tazo_, _koxt, --, 
   {{0x69d82ea3,0xaaad021a,0x00000000,0x00000000}},	//   _švei, ञ्चक, --, --, 
   {{0xdce400f1,0x945d006a,0x7cff00e5,0x3f860118}},	//   _sunč, _pańs, _tërh, _awou_, 
   {{0xe800031e,0xdce40b04,0x7af7040b,0x3387022d}},	//   लैका_, _punč, _loxt, _гужв, 
   {{0x4f090161,0xf4844ea2,0x00000000,0x00000000}},	//   инин_, _хусн, --, --, 
   {{0xdcc2072f,0xef19cc96,0x92942167,0xbebc0243}},	//   षज्ञ, рмо_, _науц, lnīj, 
   {{0xacea5c21,0x6cc68f7b,0x6b5201cc,0x3ce6072f}},	//   амна_, ойна, lægg, टाले_, 
   {{0xa3ad40a8,0x7ae5cc97,0x00000000,0x00000000}},	//   _कमा_, _anht, --, --, 
   {{0x7af7cc98,0x1b4a02f1,0xb87b007a,0x3fc900d7}},	//   _boxt, изми_, _anío, _خدای_, 
   {{0x15f90d2e,0x613e0034,0x6a8603a1,0x00000000}},	//   ंहार_, bëls, юлга, --, 
   {{0xab190451,0xfd1200eb,0x690300b0,0x2fdd0054}},	//   сцях_, _يجب_, _tõel, _hrwg_, 
   {{0x2fdd0175,0x1867cc99,0x6568011c,0x48e362f3}},	//   _krwg_, жати_, _édhi, мосв, 
   {{0x2d8700a1,0xdb061df5,0x9aa50e0e,0x00000000}},	// [d640] _hwne_, ttkä, _کمپو, --, 
   {{0x6d46cc9a,0xb87b0068,0x6eff0216,0x00000000}},	//   llka, _unín, _bêbi, --, 
   {{0xb87b0084,0xa2d405f6,0x7cff024a,0x9586004e}},	//   _gnío, _योग्, _sëri, ілде, 
   {{0xd94660ec,0x69de01d8,0xec360070,0x2d870237}},	//   _феми, _irpe, ֿאַר_, _mwne_, 
   {{0x6d4679df,0x69de2467,0x6b40003e,0x7d570225}},	//   ilka, _hrpe, sögu, קינד_, 
   {{0x69de034c,0x2ae30035,0x6d460502,0xb0620080}},	//   _krpe, खाएँ_, hlka, äämi, 
   {{0xaab2141c,0x4ab2000f,0xf506017b,0x0566017b}},	//   _जानक, _जानव, _дзво, _єван, 
   {{0xa2ba047c,0xd1300038,0x61f702ae,0x00000000}},	//   _शॉर्, عمة_, äxla, --, 
   {{0xc95300a7,0x5ed30033,0xe4d707cb,0x00000000}},	//   ומה_, তানে, _بوقت_, --, 
   {{0x7b1002f2,0x6d464d5c,0x7dea00ad,0x63a20104}},	//   _häuf, elka, xəss, mron, 
   {{0x6b400219,0x7b100380,0x63a2bc6e,0x00000000}},	//   högs, _käuf, lron, --, 
   {{0x7afacc9b,0x7af701ff,0x3f860300,0x00000000}},	//   öttn, _soxt, _twou_, --, 
   {{0x9f4601c4,0xfc6400fd,0x00000000,0x00000000}},	//   _groß_, дърн, --, --, 
   {{0x6d46cc9c,0x7b1002f2,0xbd6a2831,0x63a2cc9d}},	//   alka, _läuf, _крие_, iron, 
   {{0x59ce11bd,0x63a2cc9e,0x69de0082,0x2d9102d9}},	//   _हैदर, hron, _crpe, ázet_, 
   {{0x8d18030e,0x7c3a0216,0xf77000d7,0x2f0001be}},	//   _وزير_, ştra, چال_, _sògh_, 
   {{0x63a200d4,0xf77003b8,0x629a1ee5,0xfcaa0070}},	// [d650] jron, نال_, _odto, _היפּ, 
   {{0x3f7b00c7,0x629e2139,0x6b520566,0x76430083}},	//   יאמס, ópol, vægg, żnym, 
   {{0x63a2896c,0x80bc017d,0x7e7e00c2,0xb0621279}},	//   eron, ्जाइ, _õppu, ääji, 
   {{0x63a2cc9f,0x629a5bf2,0x613e024a,0xf9da00c7}},	//   fron, _adto, këlq, _פֿיל, 
   {{0x63a2cca0,0x27ed09c7,0x2bde122c,0x00000000}},	//   gron, _çen_, मिया, --, 
   {{0x659503dc,0x78ad00e0,0x6eff009e,0x7cff021e}},	//   _нагу, lgav, _têbi, _gërv, 
   {{0x63a2cca1,0x00000000,0x00000000,0x00000000}},	//   aron, --, --, --, 
   {{0x78adcca2,0x63a2cca3,0xddc80083,0x60e90176}},	//   ngav, bron, łośn, смим_, 
   {{0x6b5202c9,0xf8bf011c,0x4fe600f6,0xef196419}},	//   læge, _mbé_, змын_, йми_, 
   {{0x248d0664,0x00000000,0x00000000,0x00000000}},	//   _heem_, --, --, --, 
   {{0x7bdf37dc,0x248d006d,0x9d46004e,0xc8ab0035}},	//   _arqu, _keem_, зенд, _छांट, 
   {{0x23650082,0xac8300d9,0x71d62665,0x78ad039b}},	//   _hilj_, нгюл, _מועד_, jgav, 
   {{0x80270084,0x248d01a0,0x69de00bc,0x60c90547}},	//   _برام, _meem_, _srpe, meem, 
   {{0x63a4cca4,0x3d0200ab,0x60c9059e,0x78adcca5}},	//   šing, _mówi_, leem, egav, 
   {{0x2fcd2e15,0xed5a0a10,0x2365cca6,0x6f18010e}},	//   lweg_, _лок_, _milj_, _بزنس_, 
   {{0x248d0e47,0x60c9cca7,0x63a2cca8,0x78adcca9}},	//   _neem_, neem, yron, ggav, 
   {{0x7cff00e5,0x8cbc0299,0x2fcd17a9,0xb87b00e1}},	// [d660] _përv, ष्णो, nweg_, _gním, 
   {{0x63a2ccaa,0x60c9000b,0xdaaa0bad,0xe8f91a57}},	//   vron, heem, _увод_, блӣ_, 
   {{0x248d02be,0x629e0183,0x60c9ccab,0x69dec44c}},	//   _beem_, ópom, keem, _urpe, 
   {{0x248d023b,0xb0da02e6,0x2fcd02b0,0xb0620080}},	//   _ceem_, _मोंग, kweg_, ääki, 
   {{0x248dccac,0x69dc0c17,0x645d024c,0xe7942ea7}},	//   _deem_, lvre, _úsil, _تاجک, 
   {{0xb3e90d4b,0xa3ad29c4,0x2fcd878a,0x6b520566}},	//   تعمل_, _कमर_, dweg_, bæge, 
   {{0x248d01a0,0x51860161,0x63a20104,0xd24f00d7}},	//   _feem_, чула, sron, هنه_, 
   {{0x63a2ccad,0x859b00a7,0xe01d0035,0x1fa60609}},	//   pron, _לשלו, _बेहद_, прог, 
   {{0x2fcd0d62,0x03a3ccae,0x00000000,0x00000000}},	//   gweg_, _пито, --, --, 
   {{0x7522ccaf,0xdce400e0,0x0dca39f7,0xe297ccb0}},	//   lioz, _runā, буми_, _нау_, 
   {{0x248d01c1,0x69dc1993,0x908a00eb,0xb87b037f}},	//   _yeem_, jvre, _هناك_, _sním, 
   {{0x248d01a0,0x752245e8,0x8c370176,0x69dcccb1}},	//   _xeem_, nioz, зомӣ_, dvre, 
   {{0x656e0c36,0xdee60cdf,0x8ae7004f,0x673eccb2}},	//   _lubh, _ноди, півл, kopj, 
   {{0xb87b014b,0x7b6403b7,0x4ab200a2,0xa2bf0299}},	//   _vním, етсе, _जाणव, ल्प्, 
   {{0xceb3035c,0x78adccb3,0x7cff024a,0x69dc040b}},	//   _ניק_, tgav, _bërt, gvre, 
   {{0xa3ad0509,0x8e4700eb,0x6b52055f,0x7cff0034}},	//   _कमल_, _عليك_, væge, _përu, 
   {{0x78ad012e,0x7bdf04ef,0x248dc0eb,0x7522537b}},	// [d670] rgav, _urqu, _reem_, dioz, 
   {{0x7d0d1883,0x3ce9006f,0x04f90086,0x78ad8036}},	//   _hlas, _hnav_, _আগের_, sgav, 
   {{0x28f93b59,0x8afc00a7,0x248d0201,0x78adc6fa}},	//   _день_, _להזי, _peem_, pgav, 
   {{0x752200d2,0x656e0a75,0x69c507d7,0xf650007a}},	//   gioz, _dubh, _iphe, ائك_, 
   {{0x3949cadb,0x656e01f5,0xa77413c6,0x248d019c}},	//   mlas_, _eubh, _пляч, _veem_, 
   {{0x49b800c5,0xe78702b9,0x39491c4d,0x7d0dccb4}},	//   _باید_, _муҳо, llas_, _llas, 
   {{0x248d006f,0x3949ccb5,0x75220eae,0x60c91f9e}},	//   _teem_, olas_, bioz, teem, 
   {{0x7c3a00ab,0x2fcdccb6,0xa4d4004f,0x69c50204}},	//   ętrz, tweg_, _посі, _mphe, 
   {{0xa2b50141,0xb0ae07d5,0x60c9c23f,0x3949ccb7}},	//   _обач, _टारग, reem, ilas_, 
   {{0x2fcdccb8,0x3949ccb9,0x69c5ccba,0x60c93f0a}},	//   rweg_, hlas_, _ophe, seem, 
   {{0x3949ccbb,0xed5a02f1,0x2fcd2a58,0x3cca2831}},	//   klas_, жон_, sweg_, олно_, 
   {{0x69dc0df4,0x63a40372,0x00000000,0x00000000}},	//   vvre, šine, --, --, 
   {{0x69c50532,0x2bd500aa,0x3949ccbc,0xed57017b}},	//   _aphe, दिगा, dlas_, ьою_, 
   {{0xada10187,0x3949ccbd,0xdce4020f,0xb3bf0033}},	//   ľúbe, elas_, _bună, _এছাড়, 
   {{0x7cff024a,0x63abccbe,0x5ed30033,0xb87b0032}},	//   _përt, hugn, তাদে, _kníh, 
   {{0x3949ccbf,0x7d0d63de,0x69dc53a4,0x691102c9}},	//   glas_, _glas, rvre, _nåed, 
   {{0x7cff01ee,0x69c5ccc0,0x657c014b,0x6d44ccc1}},	// [d680] _vërt, _ephe, _strh, _ikia, 
   {{0x39494ea1,0xa2bf190a,0x7d0dc504,0x61e100f8}},	//   alas_, ल्म्, _zlas, _orll, 
   {{0x3949ccc2,0x75d60038,0x186a8791,0x7d0d01ff}},	//   blas_, بيضا, _мани_, _ylas, 
   {{0x100d0c97,0x14260259,0x63ab0502,0x657c00da}},	//   िनाश_, мдем, fugn, _vtrh, 
   {{0x7522ccc3,0x31c61ad9,0x63abccc4,0x3940c8d0}},	//   rioz, लब्ध, gugn, mois_, 
   {{0x39401935,0x7522ccc5,0xa2fa0249,0x656e00a1}},	//   lois_, sioz, ्सेज_, _tubh, 
   {{0xaac0000c,0x96630cb2,0xa50a2776,0x657cccc6}},	//   श्यक, _акре, _дева_, _utrh, 
   {{0x3940ccc7,0x6d440201,0x399b00a7,0x63abccc8}},	//   nois_, _nkia, קיפד, bugn, 
   {{0x26d809e8,0x8fa33a44,0x6e940978,0x63ab0036}},	//   _karo_, вање, нипу, cugn, 
   {{0x26d8024c,0x3940ccc9,0x6d44ccca,0x7d0d1649}},	//   _jaro_, hois_, _akia, _slas, 
   {{0x7d0dcccb,0x26d805f0,0x2d98cccc,0x39491240}},	//   _plas, _maro_, ére_, ylas_, 
   {{0x26d80c3d,0x6d56012b,0x7e6d00b3,0x3f42003e}},	//   _laro_, _chya, _şapt, gður_, 
   {{0x29123c04,0x6d560626,0x26d80226,0x39490844}},	//   dhya_, _dhya, _oaro_, vlas_, 
   {{0x7cff01ee,0x6d4401f1,0x21240038,0x3d940240}},	//   _përs, _ekia, limh_, _зикр, 
   {{0x69d801b4,0x9f33004e,0x3940026a,0x7d0d0364}},	//   _šver, _шеші, fois_, _tlas, 
   {{0x2124b8fc,0x6d4400a1,0x7cff0034,0x39490106}},	//   nimh_, _gkia, _vërs, ulas_, 
   {{0x3949cccd,0x20042d27,0xd6db0141,0x24860112}},	// [d690] rlas_, nymi_, жте_, dbom_, 
   {{0xb9060351,0x3949ccce,0x08540088,0x6b8d0102}},	//   _यो_, slas_, твую, _iwag, 
   {{0x26d8cccf,0x3940ccd0,0x9f55010e,0x60c210d4}},	//   _daro_, bois_, égén_, _obom, 
   {{0x63abccd1,0x6b8d7517,0x25f40466,0x20040032}},	//   tugn, _kwag, ंहजी_, kymi_, 
   {{0x26d8ccd2,0xc8642b3b,0x2fc6006f,0xc3cb0189}},	//   _faro_, _атри, _npog_, تظام_, 
   {{0x60c2ccd3,0x290900c8,0x6b8d1b1c,0x26d8ccd4}},	//   _abom, lkaa_, _mwag, _garo_, 
   {{0x61458999,0x2fc607fc,0x60c20539,0x64460664}},	//   нека, _apog_, _bbom, _økin, 
   {{0x63abccd5,0x26d802f1,0x60c200a1,0x29091279}},	//   pugn, _zaro_, _cbom, nkaa_, 
   {{0x8335013d,0x26d80027,0xafe503bd,0x249f00c3}},	//   _знах, _yaro_, хопл, _idum_, 
   {{0x6d5602b8,0x6d44ccd6,0x60c2052b,0x83190038}},	//   _shya, _skia, _ebom, _عقار_, 
   {{0x2909030f,0xd12e11b7,0x6b8d2ded,0x65690080}},	//   kkaa_, شمی_, _awag, _kieh, 
   {{0x28df233f,0xfd120198,0x6b8d0c25,0x249f00a4}},	//   _पोलि, اجد_, _bwag, _jdum_, 
   {{0xeb97ccd7,0x3f4206b6,0x6569030f,0x60db02dc}},	//   ния_, rður_, _mieh, mdum, 
   {{0x3b0a0088,0x60db2a03,0x6569ccd8,0x24861a35}},	//   чего_, ldum, _lieh, zbom_, 
   {{0x68fdb620,0x7f4105b9,0xf2d200c7,0x2bde0790}},	//   _bosd, molq, װען_, मिहा, 
   {{0x60dbccd9,0x26d8ccda,0x65699ae8,0x6d440548}},	//   ndum, _saro_, _nieh, _ukia, 
   {{0x07a32f3f,0x237f0e0c,0x26d80503,0x6b8dccdb}},	// [d6a0] латн, _ntuj_, _paro_, _gwag, 
   {{0x60d93fb0,0x2912024d,0x7bd606e4,0x249f008a}},	//   _lawm, shya_, _isyu, _adum_, 
   {{0x394000ce,0x248600ef,0x98a00588,0x20040035}},	//   pois_, tbom_, jnić_, zymi_, 
   {{0x26d80175,0x644902a5,0xb0ae188d,0x98a00083}},	//   _waro_, _byei, _टाइग, dnić_, 
   {{0x26d8ccdc,0x98a000ab,0x6569ccdd,0x249f01f2}},	//   _taro_, enić_, _dieh, _ddum_, 
   {{0x644956f6,0x7afa02ae,0x20040098,0xbcfb0212}},	//   _dyei, ötth, vymi_, mmée, 
   {{0x200400ab,0x27e0ccde,0x2fc60326,0x64a60009}},	//   wymi_, lvin_, _spog_, _пава, 
   {{0x60d9006d,0x25bb00a7,0x81b20086,0x60db1272}},	//   _cawm, _מצלמ, টবল_, gdum, 
   {{0x60d9008a,0x21240038,0x27e0264e,0x25af0035}},	//   _dawm, rimh_, nvin_, ągle_, 
   {{0xdcc90527,0x656901c4,0x2ca05c33,0x7afe00d9}},	//   िज्ञ, _zieh, _adid_, _nopt, 
   {{0x80bd00a2,0x6b8d56f6,0x7bd60985,0x27e00080}},	//   व्हे, _swag, _asyu, hvin_, 
   {{0x7cff024a,0x60c2018e,0x6b8d025b,0x60db039b}},	//   _përq, _ubom, _pwag, cdum, 
   {{0x7afeccdf,0x6d5dcce0,0x00000000,0x00000000}},	//   _bopt, rmsa, --, --, 
   {{0x27e0cce1,0xdcfb0009,0x7b100502,0x00000000}},	//   dvin_, ystė, _räuc, --, 
   {{0x29090088,0x60d90201,0x68fdcce2,0xb9250038}},	//   tkaa_, _yawm, _posd, نفسي, 
   {{0x58d4129d,0x6b8d01eb,0x290f0038,0x2ca000a4}},	//   лост, _twag, óga_, _gdid_, 
   {{0x6b8d14d0,0x2909cce3,0xbcfb1611,0x6934cce4}},	// [d6b0] _uwag, rkaa_, rméd, унту, 
   {{0x656902f2,0x81d70086,0x290900c8,0x6b52055f}},	//   _sieh, ামত_, skaa_, lægn, 
   {{0x64491b78,0xfb1c00d1,0x27e00379,0x68fd8ec9}},	//   _syei, _מוזמ, avin_, _tosd, 
   {{0x48ab030f,0x237f2b52,0xbcfb039f,0x9f59039f}},	//   _этом_, _ptuj_, lméb, ású_, 
   {{0xc6a73a44,0x98a00083,0x6569b544,0x7cf8009e}},	//   _први, wnić_, _vieh, _hûrû, 
   {{0x6569007b,0x8c1c00d1,0x1308004f,0xd7f811e7}},	//   _wieh, הודי, нній_, _чую_, 
   {{0x15a80141,0x6569cce5,0x7afacce6,0x00000000}},	//   _пъти_, _tieh, ötti, --, 
   {{0xf9941a61,0x98a028fd,0x25fe00aa,0x60d900a4}},	//   ארק_, rnić_, लहरी_, _qawm, 
   {{0xe0d60238,0x200b037f,0x60dbcce7,0x1fbd1d11}},	//   твы_, áci_, rdum, ्बेड, 
   {{0xaf0550cc,0x00000000,0x00000000,0x00000000}},	//   тпол, --, --, --, 
   {{0x7cff01ee,0x60d9006d,0xa2ba02e6,0x5184cce8}},	//   _përp, _tawm, _शॉट्, _буча, 
   {{0xeb9a79cc,0x7afe2489,0x2bde08dd,0x00000000}},	//   мим_, _sopt, मिला, --, 
   {{0x7afecce9,0x40840240,0xbb1b009e,0x00000000}},	//   _popt, _сухб, rpîn, --, 
   {{0xa3e20586,0xe8ff026a,0x00000000,0x00000000}},	//   धित_, _aoû_, --, --, 
   {{0xcb6701d7,0x00000000,0x00000000,0x00000000}},	//   таре_, --, --, --, 
   {{0x2d856426,0x27e0ccea,0x2ca04040,0xf772039f}},	//   mple_, tvin_, _udid_, لائ_, 
   {{0x39590082,0x7afecceb,0xa6960267,0x7866c449}},	// [d6c0] _dhss_, _topt, вреј, тказ, 
   {{0x32070098,0xbcfb0107,0x3ce600c2,0x0683004f}},	//   kyny_, rmée, _जोते_, игун, 
   {{0xdbe30212,0xceb80083,0x2d858612,0xda5a01ff}},	//   _rééc, więk_, nple_, _юриш_, 
   {{0x64a6ccec,0x7c22003e,0x81d70033,0x290c01dd}},	//   тада, _þors, ামা_, īdas_, 
   {{0x6903007e,0xd467cced,0x290c01dd,0x332700b9}},	//   _võet, вице_, ūdas_, finx_, 
   {{0x0676177d,0x8c1b0486,0xa8940243,0x776902be}},	//   _шумя, ווני, šķīr, _éexp, 
   {{0x7bc100b3,0x7a23040c,0x00000000,0x00000000}},	//   ălui, _kеta, --, --, 
   {{0xf9930056,0x31ba00e5,0x23bb0216,0x66036f58}},	//   ברה_, rëz_, bêj_, änke, 
   {{0xa2bf00a2,0x2489001d,0x044663f5,0x5e8600d9}},	//   ल्ह्, ñame_, _реан, кунз, 
   {{0x2ef401a2,0x27ff0107,0x9df802a0,0xb4d20299}},	//   узор, _àune_, енот_, _वसु_, 
   {{0x6298026e,0x4c95c280,0xd1768ece,0x236b020b}},	//   mavo, линс, _рызы, žijú_, 
   {{0xd026ccee,0x6298ccef,0x4fc69b5b,0x00000000}},	//   _имей, lavo, _аска, --, 
   {{0xdcfb002a,0xd00f00eb,0x7ff307cf,0x613e021e}},	//   lstī, _ولم_, _نسوا, këlz, 
   {{0x6298ccf0,0xb34503b7,0xda7b0080,0x5b27017b}},	//   navo, moçã, ьям_, тьма, 
   {{0x1db6072d,0x6b5202c9,0xbea30267,0x00000000}},	//   _अमित, mægl, _тајк, --, 
   {{0x629800a9,0x0dc7142c,0x69348256,0xc9840240}},	//   havo, _руши_, ансу, рури, 
   {{0xb8db00bd,0x80be0033,0x47350afc,0xb6c200b9}},	// [d6d0] _घा_, ্যপ্, гнас, өөрд, 
   {{0xdcfb002a,0x6d4f0293,0x59ce0394,0x23bb0216}},	//   kstī, llca, _हैकर, vêj_, 
   {{0xda9400f6,0x63a400eb,0x6298ccf1,0x6d5f0036}},	//   _өгөө, áinn, davo, _èpas, 
   {{0x588409d5,0x394d0405,0xf48710aa,0x00000000}},	//   _выра, ċess_, тужн, --, 
   {{0xad1c07f5,0xaac00e17,0x4ac0141c,0x6298ccf2}},	//   וואר, श्वक, श्वव, favo, 
   {{0x23bb078a,0x6298ccf3,0x6903007e,0xe2992cc7}},	//   rêj_, gavo, _tões, хак_, 
   {{0x80be00cc,0xb5940093,0xd5b8ccf4,0xdb06020b}},	//   ্যন্, _висш, _ист_, nuká, 
   {{0xdfd100eb,0x7c3a6252,0x320718aa,0x50b5011f}},	//   ميع_, ştri, ryny_, уску, 
   {{0x6298014b,0xb87b0183,0x3207ccf5,0x6575008a}},	//   bavo, _uníu, syny_, _huzh, 
   {{0x6575024a,0x637f00b3,0x00000000,0x00000000}},	//   _kuzh, _vână, --, --, 
   {{0xd2510084,0x4d661186,0xd1b8070f,0xcd2a586b}},	//   _انا_, лков, _لانا_, ежне_, 
   {{0x637f00d9,0xdb06239e,0x2d851453,0x00000000}},	//   _tână, stkü, rple_, --, 
   {{0xbebc01dd,0x4fa534bb,0x8fa5ccf6,0x00000000}},	//   rnīr, _силв, _сале, --, 
   {{0x8f9a07f5,0xe45600c7,0x63ab007a,0x2d8592ff}},	//   _װיקי, טירט_, irgn, pple_, 
   {{0xfce6ccf7,0x98a60488,0x00000000,0x00000000}},	//   _бойо, ливе, --, --, 
   {{0x62985d10,0x5fb79d33,0x00000000,0x00000000}},	//   zavo, _आमाल, --, --, 
   {{0x6d46ccf8,0x46eac1f4,0x27e60084,0xada302f1}},	// [d6e0] moka, ндан_, íon_, _сақл, 
   {{0x6b84ccf9,0x6d5f02a3,0x2bf300bc,0x63ab0144}},	//   _itig, _èpar, ुहरू_, drgn, 
   {{0x69370062,0xa3b600a2,0x6b8401f2,0x3abb2233}},	//   mćen, चून_, _htig, _אמינ, 
   {{0x6d46ccfa,0xb87b248c,0xd9100c30,0x629825e3}},	//   noka, _caíd, _بیر_, wavo, 
   {{0x6298ccfb,0x44200029,0x06cf0033,0x232a1a57}},	//   tavo, ài_, রাজি, ноди_, 
   {{0x6d46ccfc,0x63a472d5,0x53342189,0x29020226}},	//   hoka, šino, јект, _hoka_, 
   {{0x62986c74,0x2902ccfd,0x6d46ccfe,0x88d70086}},	//   ravo, _koka_, koka, হারক, 
   {{0x29020df8,0x6298ccff,0xf99300a7,0x6d46cd00}},	//   _joka_, savo, זרה_, joka, 
   {{0xe292057f,0x2902cd01,0x35ba0262,0x6298cd02}},	//   _هذا_, _moka_, _उमड़, pavo, 
   {{0x65620034,0x3eb87ed2,0x67bb0225,0xdb06039f}},	//   lmoh, ürt_, עמיק, yuká, 
   {{0x6d462fcf,0x6b84cd03,0x29020026,0x72060038}},	//   foka, _atig, _ooka_, _حوام, 
   {{0x2902cd04,0x6d46cd05,0x65620104,0xeb0d00bd}},	//   _noka_, goka, nmoh, हस्त_, 
   {{0xc621188d,0xdb1d0019,0x61e80098,0x7f941a57}},	//   _मध्य_, ltsé, _hrdl, _талх, 
   {{0x501b0056,0x290200a9,0x290c009e,0xf1b8cd06}},	//   _אודו, _aoka_, êdan_, _इमान, 
   {{0x13cd0086,0x2902cd07,0x764e017e,0x199500b3}},	//   লিয়, _boka_, _nyby, рабя, 
   {{0x6d46261e,0x2d9e65aa,0x93c700b3,0x6575021e}},	//   coka, mste_, ltăţ, _ruzh, 
   {{0x76b900cf,0xdd92005e,0x2d9e3cc2,0xab5b0380}},	// [d6f0] клар_, _тақы, lste_, rtüb, 
   {{0xb87b0c1f,0x1957004e,0x7bcd2c69,0xeb9f1494}},	//   _saíd, тағы_, _ipau, msø_, 
   {{0x2d9e0d62,0x29028639,0x764e0090,0xeb9f139f}},	//   nste_, _foka_, _cyby, lsø_, 
   {{0x2d9ecd08,0x39a100e4,0x79850026,0x01ba0086}},	//   iste_, mės_, _ithw, ংবাদ, 
   {{0x39a10904,0x389a0225,0xdcf000ca,0x61e8007a}},	//   lės_, _בירנ, šeći, _ardl, 
   {{0x6d46cd09,0x2d9ecd0a,0x6b7c00c7,0x2126011c}},	//   zoka, kste_, ערונ, _amoh_, 
   {{0x39a10b51,0x6d46cd0b,0x2d9ecd0c,0xda050df2}},	//   nės_, yoka, jste_, रहित_, 
   {{0x2d9ecd0d,0xd131646f,0xb0f30086,0x26d3145a}},	//   dste_, تمع_, জস্ব_, lexo_, 
   {{0x2d9ecd0e,0x02a70172,0x7bcd01a0,0x00000000}},	//   este_, _брем, _npau, --, 
   {{0x39a100e4,0x6d46cd0f,0x26d30042,0x2d9ecd10}},	//   kės_, woka, nexo_, fste_, 
   {{0x6d46cd11,0x2d9e532b,0x7985cd12,0x7bcdcd13}},	//   toka, gste_, _nthw, _apau, 
   {{0x39a1012d,0x9d46109a,0x00000000,0x00000000}},	//   dės_, ремд, --, --, 
   {{0x6d46cd14,0x2902cd15,0x2d9ecd16,0x6b84008a}},	//   roka, _roka_, aste_, _qtig, 
   {{0x6d46cd17,0x2902cd18,0xbcfbcd19,0x5f74029a}},	//   soka, _soka_, rméa, _طاهر, 
   {{0xc8961eac,0x6f0300eb,0x39a10009,0x2902a2eb}},	//   ирањ, _ionc, gės_, _poka_, 
   {{0x6f031d21,0x776e006d,0xbcfb010e,0x69370082}},	//   _honc, _sibx, lmén, sćen, 
   {{0xfaa6656c,0x693778c3,0x290201a7,0xa967cd1a}},	// [d700] _капо, pćen, _voka_, рита_, 
   {{0x39a100e4,0x3ce001a0,0xdb0601f0,0x6f030151}},	//   bės_, _haiv_, dukç, _jonc, 
   {{0x2902cd1b,0xab5b02f2,0x2bde176c,0x690300c2}},	//   _toka_, stüc, मिका, _tõep, 
   {{0x7d040088,0x6281cd1c,0x6603161f,0xd40600a3}},	//   _jois, _aflo, änka, ияли, 
   {{0x6562cd1d,0x3ce001a0,0x28df00aa,0x60c400b4}},	//   rmoh, _maiv_, _पोटि, _ñimi, 
   {{0xf1a6cd1e,0x7d04cd1f,0x6f03cd20,0x2d9ecd21}},	//   арин, _lois, _nonc, yste_, 
   {{0xbcfb0019,0xe5a31ba1,0x316f0082,0x602801dd}},	//   dmén, _мири, _bigz_, zīmī, 
   {{0x7d04cd22,0x3952cd23,0x7b100502,0xf1a70083}},	//   _nois, nlys_, _säul, _गिरन, 
   {{0x6f03cd24,0x39a1012d,0x60f7012d,0x628100f3}},	//   _bonc, zės_, рныя_, _fflo, 
   {{0x2d9e16af,0x7b100380,0x7d042619,0xbcfb0096}},	//   tste_, _bäum, _aois, gmén, 
   {{0x7bcd00e4,0x6f0300d3,0x7d04cd25,0x7d1617c6}},	//   _spau, _donc, _bois, _blys, 
   {{0x7d04cd26,0x39a100e4,0x3ce0006f,0xf8bf1ff5}},	//   _cois, vės_, _caiv_, _amén_, 
   {{0x6f030518,0x2d9e47f1,0x7d04027c,0x3ce0006d}},	//   _fonc, sste_, _dois, _daiv_, 
   {{0x6e94057f,0x39a10904,0x8f9b0137,0x2d9ecd27}},	//   _الثا, tės_, _יידי, pste_, 
   {{0x7d04cd28,0x7d16cd29,0x394b0126,0xba080093}},	//   _fois, _flys, _pkcs_, ахте_, 
   {{0x39a1012d,0x98758c2f,0x7d046416,0xa3e900bd}},	//   rės_, слац, _gois, यिम_, 
   {{0x39a100e4,0x6d4d3f34,0x63a40f4c,0x26d30068}},	// [d710] sės_, _ikaa, šinj, texo_, 
   {{0xceb80009,0x8aa72dd2,0x39a1012d,0x67ca00e0}},	//   ngę_, _трид, pės_, dējā, 
   {{0x5fd80c14,0x09f90084,0x3ce0006d,0x26d30042}},	//   _बैसल, _صفحة_, _yaiv_, rexo_, 
   {{0xbcfb0019,0x26d3cd2a,0x3ce001a0,0x26ca018e}},	//   zmén, sexo_, _xaiv_, _ebbo_, 
   {{0x39490042,0x6d4d095a,0x00000000,0x00000000}},	//   moas_, _mkaa, --, --, 
   {{0x97350116,0xc32432af,0xe296cd2b,0x00000000}},	//   _اکرا, омік, баш_, --, 
   {{0x20020088,0xa0a5cd2c,0x758200d4,0x3f860118}},	//   äkin_, байд, _فیلم, _atou_, 
   {{0xe0d9cd2d,0x6f03008b,0xeb040239,0x7b1001c4}},	//   уви_, _sonc, _रक्त_, _räum, 
   {{0xa3e21503,0x6f03cd2e,0xbcfb0019,0x75296add}},	//   धिः_, _ponc, tmén, _imez, 
   {{0x6d4d6d10,0x7d0401c5,0x7d16cd2f,0x249d0201}},	//   _akaa, _sois, _slys, lawm_, 
   {{0x7d04cd30,0x3ce0006d,0x1d0acd31,0x7d160657}},	//   _pois, _paiv_, гени_, _plys, 
   {{0xcb090a33,0x98b00032,0xd25600d1,0x753b052b}},	//   _אל_, _šaľa_, _השעה_, _jjuz, 
   {{0x7d04cd32,0x7f8500eb,0x753bcd33,0x853a0070}},	//   _vois, _التن, _mjuz, רגרי, 
   {{0x6d4d387a,0x249d006f,0x6f1acd34,0x81bc0033}},	//   _ekaa, hawm_, chtc, েটর_, 
   {{0x7d04cd35,0x7529031e,0x249d006d,0x00000000}},	//   _tois, _omez, kawm_, --, 
   {{0xb87b0503,0x443f0095,0x3949145a,0xe6d00586}},	//   _raíc, _oxu_, goas_, सज्ज, 
   {{0xc6760c72,0x66767a32,0x66030219,0xf8bf011c}},	// [d720] مطاب, مدار, änkn, _imél_, 
   {{0xe64602fb,0x7529cd36,0x63a42508,0x2d590212}},	//   безп, _amez, šink, néen_, 
   {{0x94861b17,0x394903da,0x645bcd37,0xadea00bc}},	//   былд, boas_, _azui, टियन_, 
   {{0x69decd38,0x39490369,0x443f01f2,0x98ac01dd}},	//   _ispe, coas_, _bxu_, ēlēs_, 
   {{0x7cff024a,0xc30a0451,0x68e4027e,0x2900095a}},	//   _përz, ледж_, mdid, mjia_, 
   {{0x68e4cd39,0x75291ace,0x67ca01dd,0x00000000}},	//   ldid, _emez, rējā, --, 
   {{0xe7e002e6,0x41e60038,0x443fcd3a,0x9f52002c}},	//   निकप, إستف, _exu_, _écés_, 
   {{0xd13000eb,0x2900cd3b,0x443f00c3,0x67ca0243}},	//   ظمة_, njia_, _fxu_, pējā, 
   {{0x200d010e,0x3dce019c,0x68e42e77,0xc6000033}},	//   gyei_, _spfw_, idid, _এইটা_, 
   {{0x63a2cd3c,0x69de8590,0x6d4d018c,0xb7db035c}},	//   mson, _ospe, _skaa, נקיי, 
   {{0x63a2cd3d,0xceb86a39,0x00000000,0x00000000}},	//   lson, rgę_, --, --, 
   {{0x39490183,0x629a0034,0x6b9603c6,0x5c072bd0}},	//   xoas_, _heto, _bwyg, бяга, 
   {{0x629acd3e,0x68e4cd3f,0xe0431b49,0x7f4600b3}},	//   _keto, ddid, _енци, _ледж, 
   {{0xf1dc0190,0x629a00e5,0xdd900411,0x63a2cd40}},	//   _मनान, _jeto, _قوت_, ison, 
   {{0x80db0033,0xc33300d1,0x692c09c7,0x394900c2}},	//   ভার্, לוש_, rşen, toas_, 
   {{0x629acd41,0x995532af,0x2900024a,0x68e4cd42}},	//   _leto, ікац, gjia_, gdid, 
   {{0xdb0f0503,0x394902a0,0xb87b001d,0x629a674e}},	// [d730] lucí, roas_, _caía, _oeto, 
   {{0x629acd43,0x291b00cf,0x63a237df,0x478700f0}},	//   _neto, shqa_, dson, _қымб, 
   {{0x6eca0f8c,0x249d0201,0x2489001d,0x63a2cd44}},	//   त्यु, tawm_, ñamo_, eson, 
   {{0x54550141,0xa3b90444,0x629a08b0,0x854400b3}},	//   овет, لاتر_, _aeto, пэче, 
   {{0x629a2a0c,0xe29900d3,0x03a501d7,0x2bdf27c6}},	//   _beto, аал_, цило, _पैमा, 
   {{0x249d006d,0xdb06012c,0x65950009,0x057701c9}},	//   sawm_, stkö, _магу, _هارد, 
   {{0x7bdf02f1,0x56947840,0x63a2cd45,0x629a9db5}},	//   _lsqu, _хаст, ason, _deto, 
   {{0xdb0f4ae7,0x753b0053,0x7529cd46,0x05840148}},	//   ducí, _ujuz, _umez, _хурм, 
   {{0xef19cd47,0x6006058b,0x63a20019,0x629a0364}},	//   ими_, жным_, cson, _feto, 
   {{0x629a93a2,0x2ca9cd48,0xc34b012d,0x00000000}},	//   _geto, _adad_, _сябе_, --, 
   {{0x2919c5f2,0x7bdf0369,0xab5b010e,0x2d59cd49}},	//   _olsa_, _asqu, ttün, réen_, 
   {{0x629acd4a,0x2fdd006d,0x2ca90126,0x27e9010c}},	//   _zeto, _tswg_, _cdad_, kvan_, 
   {{0x27e97744,0x2d59026a,0xe134012d,0x2ca903c6}},	//   jvan_, péen_, _энцы, _ddad_, 
   {{0x2ca9cd4b,0x63a40084,0x3f8d394e,0x7bdf0036}},	//   _edad_, áini, mpeu_, _dsqu, 
   {{0x7bdf8adb,0x6ee404bc,0xb87b068b,0xed5a27c7}},	//   _esqu, _رسول, _saía, _кок_, 
   {{0x63a4a958,0x60c90068,0x088a9bb8,0x7d1d0502}},	//   šini, nfem, рбай_, chss, 
   {{0x68e40e2e,0xdca418ae,0x2900cd4c,0x98a90035}},	// [d740] rdid, _дақи, rjia_, znać_, 
   {{0xab5b213d,0x656000a1,0x98a90083,0x00000000}},	//   ntül, _shmh, ynać_, --, 
   {{0x39466020,0x69decd4d,0x8c3b01c4,0x27e9cd4e}},	//   _мног, _uspe, raße, avan_, 
   {{0x63a2cd4f,0x629acd50,0x938a0c19,0x13ea00d9}},	//   tson, _seto, аска_, имей_, 
   {{0x93465e50,0xd40300c8,0x225800ca,0x7bc6040b}},	//   онде, дящи, _šrk_, ntku, 
   {{0x47d900c7,0xa3bbcd51,0x37d900c7,0xfbb20035}},	//   _פֿרײ, _अमर_, _פֿרע, _जिनम, 
   {{0x65c39b82,0x629a3b8f,0x63a284ec,0x60c909ad}},	//   _обра, _veto, sson, ffem, 
   {{0x63ad0bc3,0x63a2cd52,0x1fa6cd53,0x7bc61074}},	//   šana, pson, орог, ktku, 
   {{0x629acd54,0xdfd000b1,0x4aca176c,0x50b700d4}},	//   _teto, ريد_, िभाव, زديد_, 
   {{0xcf2600eb,0x7bdfcd55,0xbcfb0107,0x00000000}},	//   تربي, _rsqu, rmém, --, 
   {{0x667b00fe,0xa3e203be,0x27e91cf3,0x7bc608b0}},	//   יטיק, धिक_, zvan_, etku, 
   {{0x27e9008f,0x657c00c8,0xdce400ca,0xdb1d0679}},	//   yvan_, _murh, _bunđ, rtsí, 
   {{0xdee66274,0x1ae400cc,0x4ae700e4,0xa06a02a6}},	//   _моди, খানে_, оўва, _тада_, 
   {{0xb87b0183,0xdce40082,0x3f670543,0x00000000}},	//   _caín, _dunđ, _дичо_, --, 
   {{0x7bc60938,0x657c6cea,0xaa59765e,0x7a230104}},	//   atku, _nurh, сиву_, _kеti, 
   {{0x27e90290,0x00000000,0x00000000,0x00000000}},	//   tvan_, --, --, --, 
   {{0xdce40613,0x00000000,0x00000000,0x00000000}},	// [d750] _gunđ, --, --, --, 
   {{0x27e9cd56,0x368b42b2,0xa92800bc,0x657ccd57}},	//   rvan_, рсан_, _požá, _burh, 
   {{0x657ccd58,0xab5b0380,0x7af700c3,0xcfc20033}},	//   _curh, ntüm, _inxt, ্টিন, 
   {{0xbfa30023,0x98a000ca,0x00000000,0x00000000}},	//   _biế, viić_, --, --, 
   {{0x7ae51eab,0x69c71e17,0xd7fbb0c9,0x78fa00d1}},	//   _kaht, ltje, _тун_, _הפרו, 
   {{0x657c011c,0x20e70108,0xe296cd59,0x69c701d2}},	//   _furh, _ối_, паш_, otje, 
   {{0x34954d06,0x69c7cd5a,0x7ae52ca3,0x693700ef}},	//   _навр, ntje, _maht, tćeh, 
   {{0x7ae51eab,0x212b06df,0x04c90038,0x69c701d2}},	//   _laht, òch_, _دوري_, itje, 
   {{0x69c704ab,0x60c90397,0x78fc00d1,0xe3e9039f}},	//   htje, rfem, שפחו, _دکان_, 
   {{0xa2b425b6,0xef193dc8,0x7ae5630c,0x6b52373e}},	//   _обуч, смо_, _naht, nægt, 
   {{0x69c700e5,0x69c5006d,0xb87bcd5b,0xdce40f23}},	//   jtje, _nqhe, _raín, _sunđ, 
   {{0xb87b0042,0xdce40397,0x69c702c9,0x8c460165}},	//   _saín, _punđ, dtje, земе, 
   {{0x2bdf00aa,0x69c7012e,0x777d00a3,0x8d75009c}},	//   _पैदा, etje, _nusx, _کاتا, 
   {{0xa3ae07cc,0x692ccd5c,0xdee50148,0xbcfb0175}},	//   _किस_, rşem, _хоки, hméh, 
   {{0xab27cd5d,0x7bc6cd5e,0x811f0083,0x00000000}},	//   чора_, stku, _बताओ_, --, 
   {{0x657a0107,0x00000000,0x00000000,0x00000000}},	//   _éthi, --, --, --, 
   {{0x69c7012e,0x7ae50054,0x1867788d,0x657c040c}},	// [d760] atje, _faht, зати_, _surh, 
   {{0x63b9039b,0x00000000,0x00000000,0x00000000}},	//   duwn, --, --, --, 
   {{0xfebd0033,0xf5b60080,0x69c7039b,0x00000000}},	//   _অসাধ, ясаю, ctje, --, 
   {{0xd94608bd,0x00000000,0x00000000,0x00000000}},	//   _хеми, --, --, --, 
   {{0xf8b30a33,0x2d980503,0xdb1d010e,0x61e12555}},	//   _אשר_, árez_, ltsá, _asll, 
   {{0x657c0088,0xf8bf0175,0x3f82003e,0xbfa30023}},	//   _turh, _améh_, íkum_, _viế, 
   {{0x7d1d0876,0x6b5202c9,0x672e008a,0x26da019b}},	//   ërsk, lægs, _imbj, mepo_, 
   {{0xbcfb006b,0x26dacd5f,0xbfa300e7,0xc05a00f0}},	//   rmék, lepo_, _tiế, йіп_, 
   {{0x44220219,0x61e100b9,0xa2c4031e,0x248668e4}},	//   _åk_, _esll, _राप्, mcom_, 
   {{0x2486cd60,0x61e1008a,0x26da0204,0x91e60165}},	//   lcom_, _fsll, nepo_, _нозе, 
   {{0x2d981164,0x1cd9012d,0x301500d3,0xbcfbcd61}},	//   ère_, одны_, здөр, lméi, 
   {{0x2486cd62,0x68e64de8,0x7ae52eb4,0x26da0b6b}},	//   ncom_, _nakd, _saht, hepo_, 
   {{0x61dc0239,0x26da0532,0x60c269da,0xab5bcd63}},	//   _मनुष, kepo_, _icom, stüm, 
   {{0x26da02a8,0xbcfb00eb,0x81cf0033,0x69c7cd64}},	//   jepo_, iméi, শির_, ttje, 
   {{0x68e6cd65,0xb87b0183,0x48ab0504,0x24860089}},	//   _bakd, _faíl, йтам_, kcom_, 
   {{0x69c750c0,0x672e0405,0x76550035,0xb87b00d8}},	//   rtje, _ambj, _ryzy, _hníz, 
   {{0x7ae5cd66,0x69c73b17,0x7655cd67,0x24860032}},	// [d770] _taht, stje, _syzy, dcom_, 
   {{0x6d4f11d2,0x6b8dcd68,0xec3800d1,0x69c7cd69}},	//   loca, _itag, _מאחר_, ptje, 
   {{0x692c0241,0x00000000,0x00000000,0x00000000}},	//   kşeh, --, --, --, 
   {{0x33d5004e,0x7d1d00e5,0x62881c7f,0x32cf0241}},	//   дікт, ërsh, _afdo, zıyı_, 
   {{0x96eb17ac,0x2a6100ca,0x27ff1f57,0x00000000}},	//   _льва_, _hzhb_, _çun_, --, 
   {{0x63ad00e0,0x6d4f0038,0x290b027e,0x6b8d095a}},	//   šano, hoca, _hoca_, _mtag, 
   {{0x614501a2,0x290b027e,0xfbdf009e,0x2486024c}},	//   мека, _koca_, hwê_, bcom_, 
   {{0x2d83014b,0x290b0097,0x2486cd6a,0x6d4f04e9}},	//   íjem_, _joca_, ccom_, joca, 
   {{0x63a40084,0x6b8dcd6b,0xd0a800eb,0xb4b9215e}},	//   áint, _ntag, سطين_, चली_, 
   {{0xee39c5c3,0x290b325b,0x3f8b01dd,0x249f00a1}},	//   жно_, _loca_, īcu_, _heum_, 
   {{0x6d4fcd6c,0x9d4688ef,0x6b8d5354,0x6d47203b}},	//   foca, денд, _atag, čkan, 
   {{0x60c20084,0x63a9008c,0x30150251,0x26da0532}},	//   _gcom, _kven, _одер, zepo_, 
   {{0xeb97cd6d,0xa2c4000d,0x249f0118,0x60dbcd6e}},	//   мия_, _राम्, _meum_, meum, 
   {{0x60dbcd6f,0x68e6cd70,0x6b8d0038,0xdb1d0019}},	//   leum, _sakd, _dtag, ttsá, 
   {{0x6b8d79f7,0x68e65934,0x1d0a1853,0x00000000}},	//   _etag, _pakd, _меки_, --, 
   {{0x249f8d33,0x63a94f28,0x26da0010,0x6d4f03dd}},	//   _neum_, _oven, wepo_, coca, 
   {{0x07a3c6a2,0xcece00e7,0x24860032,0x26da0532}},	// [d780] катн, _mộng_, vcom_, tepo_, 
   {{0x363600d4,0xcece0023,0xe8f901a2,0x2ca008a3}},	//   وراس, _lộng_, олӣ_, _heid_, 
   {{0x68e6cd71,0x26dacd72,0x2486cd73,0x249f01be}},	//   _takd, repo_, tcom_, _beum_, 
   {{0x290bcd74,0x249f0465,0xe45acd75,0x60db002c}},	//   _goca_, _ceum_, оже_, jeum, 
   {{0x249f01f2,0xc3da00d4,0x60db03da,0x2ca0c23d}},	//   _deum_, تباط_, deum, _meid_, 
   {{0x60c20093,0x78a4cd76,0x6d4f034c,0xbcfb0534}},	//   _scom, laiv, zoca, rméi, 
   {{0x63a9417c,0x7b1001c4,0x24862201,0xda0e061f}},	//   _even, _häus, pcom_, सहित_, 
   {{0xcece0029,0x2ca00077,0x78a497a2,0x60db0096}},	//   _cộng_, _neid_, naiv, geum, 
   {{0x27e0cd77,0x64a3b292,0xcece0108,0x692c04a8}},	//   nwin_, _шата, _dộng_, rşeh, 
   {{0x2216cd78,0x44260010,0x63a4cd79,0x60c20026}},	//   _офер, mzo_, šins, _wcom, 
   {{0x27e019e0,0x1d350c8b,0x6b8d19a9,0x442601d8}},	//   hwin_, ення, _stag, lzo_, 
   {{0x60dbae3a,0x6603a3f4,0x2f1b010c,0x2ca000f3}},	//   ceum, änki, _vêga_, _ceid_, 
   {{0x4426cd7a,0x290b04ff,0x10160071,0x2ca001be}},	//   nzo_, _roca_, _تباد, _deid_, 
   {{0x290bcd7b,0x6d4fcd7c,0x4426cd7d,0x00000000}},	//   _soca_, soca, izo_, --, 
   {{0xd90f040f,0x290bcd7e,0xc1dc00a2,0xf77f027e}},	//   لید_, _poca_, _मनोग, _suç_, 
   {{0x58d40a71,0xa2d507d5,0xa3ae00f4,0x6eca031e}},	//   кост, _मॉन्, _किं_, त्रु, 
   {{0x3fbc00cc,0x290b0a1a,0x6b8dc610,0xa7b900f0}},	// [d790] _অনুষ, _voca_, _utag, ялау_, 
   {{0x44260204,0x60dbcd7f,0x7d0dcd80,0x00000000}},	//   dzo_, zeum, _hoas, --, 
   {{0x63a905a1,0xb8e500cc,0x44b500f0,0x60dbcd81}},	//   _sven, _এস_, ебес, yeum, 
   {{0xb4b903c1,0x7d0dcd82,0x7522039f,0x00000000}},	//   चले_, _joas, ghoz, --, 
   {{0xdb1d01cc,0xcece001b,0x7d0dcd83,0x3ce9016a}},	//   rtsæ, _rộng_, _moas, _maav_, 
   {{0xfbb200ab,0x316673f5,0xdb1d02c9,0xe3b0007a}},	//   _जिसम, _ahoz_, stsæ, شره_, 
   {{0x248004d1,0xd37800ca,0x26c15037,0xeb0d00c2}},	//   žima_, _dić_, mgho_, _सकैत_, 
   {{0x7d0d0012,0x3fe50665,0xfa7802a1,0x7522cd84}},	//   _noas, ежив, ועות_, choz, 
   {{0x61f80039,0x20190019,0x60db9f17,0xe4541dc7}},	//   _ďalš, ási_, reum, _акты, 
   {{0x60db4ef7,0x26c1cd85,0x2ca0cd86,0xc4320c30}},	//   seum, ngho_, _seid_, _حکمت, 
   {{0xed5a13a8,0xa2c44437,0x27e0905d,0x3eae01be}},	//   зон_, _रात्, zwin_, _ddft_, 
   {{0xdb061102,0x7d0dcd87,0x692c9289,0x7c2602eb}},	//   mské, _coas, lşev, tzkr, 
   {{0xdb06026e,0xdb1d0219,0x09a8009a,0x316d0151}},	//   lské, ktsä, गळ्य, mmez_, 
   {{0xada52989,0xdee202f1,0x316dcd88,0x00000000}},	//   _закл, _боши, lmez_, --, 
   {{0x44260021,0x3ea5309f,0xdb060076,0xaa4315b6}},	//   zzo_, malt_, nské, герл, 
   {{0x3ea5cd89,0x316d027e,0xb4b935d2,0xdd8e007a}},	//   lalt_, nmez_, चलो_, _اوي_, 
   {{0x63ad1af7,0x81d500cc,0x5975021f,0x78a412de}},	// [d7a0] šanj, িটি_, тыру, raiv, 
   {{0x27e008a8,0xff7a00c7,0x3ea5cd8a,0x4426cd8b}},	//   rwin_, פטעמ, nalt_, vzo_, 
   {{0xdb06014b,0x3ce9006d,0x316da6b9,0x7d0d018e}},	//   jské, _yaav_, kmez_, _yoas, 
   {{0x3ea5cd8c,0x3ce90201,0x4426cd8d,0xdb061102}},	//   halt_, _xaav_, tzo_, dské, 
   {{0x3940cba5,0x26c8004e,0x3ea5240b,0x69370f23}},	//   mnis_, _оған_, kalt_, rćet, 
   {{0x4426b72c,0xf6510105,0x3ea5007e,0x3940cd8e}},	//   rzo_, ائے_, jalt_, lnis_, 
   {{0x8cc100ab,0x3940cd8f,0xe373004e,0x3ea5cd90}},	//   _वालो, onis_, ылшы, dalt_, 
   {{0x6d440548,0x3940cd91,0x6d5601a3,0x00000000}},	//   _njia, nnis_, _nkya, --, 
   {{0x93469d03,0x93c8006b,0xbcfb4567,0xb4667ed6}},	//   _знае, _تازہ_, llég, _чкал, 
   {{0x6d471c77,0x39407122,0x801700eb,0x6d44cd92}},	//   čkam, hnis_, عزيز_, _ajia, 
   {{0x3940cd93,0xd36f36a7,0xf1d4007e,0x4c958c02}},	//   knis_, _اهل_, _दहिन, кинс, 
   {{0xa0a6058e,0x2724003e,0x9a840508,0x3952015c}},	//   _чадд, _hönd_, ғурл, joys_, 
   {{0x7d0dcd94,0x3ea54ef7,0xa2d5007e,0x0b8b0093}},	//   _voas, balt_, _मॉड्, ясни_, 
   {{0x3940cd95,0x6d560298,0x628a211b,0x7b100502}},	//   enis_, _ekya, ncfo, _säur, 
   {{0x3940cd96,0xcf5700a7,0x799e017c,0x59f800b3}},	//   fnis_, _רבות_, _cwpw, неря_, 
   {{0x0e5b00a7,0x39404ea8,0x67d5cd97,0x6e2e01d5}},	//   _מדוב, gnis_, кобу, úbbu, 
   {{0xb9090351,0xdb1d12b7,0xdb06cd98,0x7d1d021e}},	// [d7b0] _यस_, ttsä, zské, ërsu, 
   {{0x6d5dcd99,0x466b3ffa,0x394000c2,0x95cb4a4b}},	//   llsa, прем_, anis_, зуда_, 
   {{0xdb1d022b,0x394002f2,0xd5bb05e0,0x26c10054}},	//   rtsä, bnis_, яса_, rgho_, 
   {{0xdb06026e,0x3952002c,0xdb1d02ae,0xdc3400da}},	//   vské, coys_, stsä, zúča, 
   {{0x81d500cc,0xdb1d0380,0x68ed7ca2,0x00000000}},	//   িয়া_, ptsä, mdad, --, 
   {{0xdb06014b,0x2909cd9a,0x2f1b02be,0x00000000}},	//   tské, ljaa_, _rêgo_, --, 
   {{0x3ea50077,0x9f4b1b0a,0x316d027e,0x29093887}},	//   valt_, ící_, tmez_, ojaa_, 
   {{0x68ed43dd,0xdb06026e,0x3ea501c4,0x13f50093}},	//   ndad, rské, walt_, _избя, 
   {{0x3ea50a40,0xa3ae00ab,0xf8bf0019,0xb4dd00b0}},	//   talt_, _किए_, _elég_, तजी_, 
   {{0x3940cd9b,0x6569cd9c,0x68ed004c,0x657b016a}},	//   znis_, _hheh, hdad, _hiuh, 
   {{0x68fd0533,0xa3e93512,0xdc340187,0x3ea5636e}},	//   _onsd, यिक_, rúča, ralt_, 
   {{0x3ea50077,0x40870093,0xe804031e,0x6aca0035}},	//   salt_, _чужб, रममा_, िभ्र, 
   {{0x68ed16f5,0x3ea596b8,0x9d4343c3,0x398700bd}},	//   ddad, palt_, реяд, _aõs_, 
   {{0x68ed02a0,0x68fd0118,0x8064004f,0x692c0241}},	//   edad, _ansd, _свіж, hşet, 
   {{0xfaa3cd9d,0xa2c415c8,0x3940cd9e,0xdb040165}},	//   расо, _रास्, tnis_, _aviã, 
   {{0x6d442998,0x68ed514c,0xf1b200c7,0x81ce0086}},	//   _ujia, gdad, יסל_, ষয়ক_, 
   {{0x2fcd4a5e,0x46ea0a66,0xf8bf00f6,0xfc3f0038}},	// [d7c0] nteg_, мдан_, _amés_, laín_, 
   {{0x39405608,0x667613b4,0x6569011d,0x68edcd9f}},	//   snis_, ندار, _aheh, adad, 
   {{0x64490496,0x37cf0033,0x7589004f,0x3940cda0}},	//   _axei, রিগর, есів_, pnis_, 
   {{0x6b84cda1,0x63b90156,0xbcfb010e,0x6569cda2}},	//   _kuig, frwn, lmér, _cheh, 
   {{0x0fbc0033,0x656901b5,0x69cecda3,0x3d1a00bd}},	//   _অন্ধ, _dheh, ltbe, _पवने_, 
   {{0x6569cda4,0x6b8401c5,0xe36300a3,0xbcfb4a81}},	//   _eheh, _muig, акчи, plég, 
   {{0xf1a324dc,0xf66501bb,0x6b84cda5,0xe5a31184}},	//   арын, _берү, _luig, _виси, 
   {{0x6569039b,0x69ce0e16,0x00000000,0x00000000}},	//   _gheh, itbe, --, --, 
   {{0x42cacda6,0x3f664245,0x3a3c0604,0x777ccda7}},	//   _оган_, ктоб, _žvpl_, _kirx, 
   {{0xa3e718f2,0x69ce14a1,0x821a176b,0xdcdb1f36}},	//   _बनत_, ktbe, _оцет_, यज्ञ, 
   {{0x68ed18d4,0xc0e7010e,0x6f1a1a0d,0x425600b3}},	//   ydad, رفین_, rktc, _ртат, 
   {{0x6b8410de,0x200200b0,0x65690034,0x7afe01d2}},	//   _buig, äkis_, _xheh, _anpt, 
   {{0x02c9007e,0xaed40c00,0xcfb40093,0x6b840387}},	//   _रामभ, _болш, _сблъ, _cuig, 
   {{0x777c078a,0x6b8401fd,0x69ce5068,0xdce60243}},	//   _nirx, _duig, ftbe, rmkā, 
   {{0x987e0c05,0xaad200bc,0x98a90035,0xaa5802a6}},	//   _açık_, द्धक, niać_, виру_, 
   {{0xbcfba9fa,0x63ad66f5,0x6b841a29,0xed590032}},	//   rmés, šani, _fuig, buľa_, 
   {{0x68ed3ba5,0x195828bd,0xadea0827,0x290900c8}},	// [d7d0] rdad, таты_, टिकन_, rjaa_, 
   {{0xa2c42290,0x6569cda8,0x68edcda9,0x7d1d5a83}},	//   _राष्, _sheh, sdad, lkss, 
   {{0x6b8401c8,0x3375004e,0x656907d7,0x69ce02b0}},	//   _zuig, ңгер, _pheh, ctbe, 
   {{0x99f60056,0x2d590107,0x765c04a5,0x7d1d01a4}},	//   _עזרה_, mées_, _dyry, nkss, 
   {{0xd0062424,0x63a002bf,0x2d59026a,0x7bcf03dd}},	//   _ال_, _cwmn, lées_, ntcu, 
   {{0x569432af,0x8c1c008d,0xdb1d0151,0x798502a5}},	//   _варт, וודי, fusé, _kuhw, 
   {{0x2d59026d,0x65690149,0xe4a70cdf,0x2d8a03da}},	//   nées_, _theh, _арзо, íbel_, 
   {{0x00e51d05,0x6b820036,0x644900b9,0x4fe9412c}},	//   ужин, _èogg, _txei, емин_, 
   {{0x7ff5646f,0x7bcd006d,0xa3e700b0,0x2d590107}},	//   اسبا, _nqau, _बनि_, hées_, 
   {{0x6b840014,0x8e09097f,0x2fcd67f9,0xa06702f1}},	//   _ruig, енов_, rteg_, нақа_, 
   {{0xdca64b79,0x2fcdcdaa,0xdb1d0212,0x20d50259}},	//   лани, steg_, cusé, _білс, 
   {{0xa3e71139,0x6b8403a1,0x2d9101dd,0x27200390}},	//   _बना_, _puig, īze_, _यत्र_, 
   {{0xdcf900e0,0xdb0402be,0x00000000,0x00000000}},	//   _atvē, _aviá, --, --, 
   {{0x69cecdab,0xbea500a3,0x6fb22c4e,0x79850bcf}},	//   ttbe, _сакк, _اموا, _buhw, 
   {{0x2d59026a,0xc33200d1,0x00000000,0x00000000}},	//   gées_, מוך_, --, --, 
   {{0x69cecdac,0x6b8449ad,0x7d1dcdad,0xa2d502e6}},	//   rtbe, _tuig, ckss, _मॉस्, 
   {{0x69cecdae,0x96960fa7,0x6eca0249,0x5b3600b3}},	// [d7e0] stbe, греш, त्कु, _бэну, 
   {{0x613e01dd,0x628100d7,0xbcfb0151,0x69cecdaf}},	//   rīli, _nglo, rlée, ptbe, 
   {{0x777c0496,0x2d590107,0x39590175,0xd6e60033}},	//   _virx, cées_, _fkss_, নালয, 
   {{0x56930e65,0x6281cdb0,0x291e01dd,0x66e300f0}},	//   _ҳаёт, _aglo, ītas_, _қоса, 
   {{0xbd2d0137,0x628f00d9,0x98a90035,0x777c0216}},	//   וואָ, _şcoa, wiać_, _tirx, 
   {{0xab5b027e,0x7cfb0080,0x00000000,0x00000000}},	//   ltür, _kärä, --, --, 
   {{0x26d83a37,0x15460165,0x00000000,0x00000000}},	//   _ibro_, _бевм, --, --, 
   {{0x60f80093,0xb1146d6e,0x6d5d02d9,0x681a0243}},	//   тния_, рмиш, ůraz, _tādā, 
   {{0xa3ae047c,0x04465b12,0x00000000,0x00000000}},	//   _किट_, _сеан, --, --, 
   {{0x2d590107,0x2bdf00a5,0x6281008a,0x2dd413c6}},	//   yées_, _पैगा, _gglo, ажор, 
   {{0x2d59857e,0x6aa50379,0xab5bba78,0x2489cdb1}},	//   xées_, _rehf, ktür, žame_, 
   {{0xd9fe0081,0x62810062,0xac190934,0x2d59026a}},	//   _उपजत_, _zglo, вому_, vées_, 
   {{0xbcfb0634,0xddcb0e39,0xfc3f0183,0x7d1daf30}},	//   eléc, čišt, raío_, rkss, 
   {{0x2d59026a,0xce940141,0xbcfb0107,0x3ced0352}},	//   tées_, _такъ, fléc, žev_, 
   {{0xa3ab05fd,0x78a68881,0xaa59cdb2,0xdd900038}},	//   _कौन_, _bekv, тиву_, _بوب_, 
   {{0x38c800b9,0x2d59026a,0xc984049b,0xfb890e65}},	//   луун_, rées_, сури, _ироқ_, 
   {{0x2d59026d,0x26ca0226,0x373500a3,0x78a60c0c}},	// [d7f0] sées_, _bcbo_, анаё, _dekv, 
   {{0x291e00e5,0xbcfb03da,0x2d590107,0xe7330491}},	//   ëtar_, bléc, pées_, حصر_, 
   {{0x3f860183,0xdc5608b6,0x78a6010e,0x00000000}},	//   _luou_, _مریک, _fekv, --, 
   {{0x057413b4,0xb87b0183,0x26d8cdb3,0x54a7009c}},	//   ماند, _saíu, _ebro_, احاف, 
   {{0xe3750f6b,0xab5b00ad,0xaad20249,0x00000000}},	//   алды, rrüf, द्वक, --, 
   {{0x41b5383a,0x77ba00d1,0x883a00d1,0x71b50080}},	//   асит, _במשח, _יתרו, ащих, 
   {{0xab5b01c4,0x22490093,0x636d0183,0x00000000}},	//   prüf, ъпки_, húng, --, 
   {{0xd175005e,0xa2d5047c,0x5eaf0033,0x00000000}},	//   шылы, _मॉर्, জ্ঞে, --, 
   {{0x68efcdb4,0xa2cd1df3,0x2eee0118,0xf1c70032}},	//   _macd, _साप्, _baff_, _snáď_, 
   {{0xe80d0509,0x628103f5,0x2eee02a3,0x00000000}},	//   _सपना_, _uglo, _caff_, --, 
   {{0x52840084,0x60b5017a,0xed462335,0xd1b8b198}},	//   _المك, _نمائ, иноп, _مانا_, 
   {{0x1fb908ad,0x2b5a00ef,0x63ad00ef,0x2d52001d}},	//   _алды_, _skpc_, šanu, láez_, 
   {{0xa09a0137,0x8fa5081d,0xccf500f0,0x00000000}},	//   _סיסט, _тале, сқы_, --, 
   {{0xfaa3cdb5,0x5e870009,0xeb9736e6,0x2eee03c6}},	//   жаро, _судз, рир_, _gaff_, 
   {{0xa2cd0f8c,0xbb43c065,0xa9a602f1,0xc3320486}},	//   _सान्, церк, рибд, קול_, 
   {{0x684611db,0x3ea7092c,0xe8fa00fd,0x2bc30110}},	//   анба, _hent_, ълб_, वंशा, 
  
   {{0x3ea7cdb6,0xb8ee10b0,0x69a7017d,0xab5bcdb7}},	// [d800] _kent_, _रा_, टीबी, rtür, 
   {{0x2d871ddd,0xf7720d4b,0xab5b06b8,0x36964547}},	//   _kune_, زاء_, stür, ршас, 
   {{0x2d8700a7,0x6d4733db,0x3ea7cdb8,0x27eb0574}},	//   _june_, čkav, _ment_, _escn_, 
   {{0x636403a1,0xaad21464,0x6d46cdb9,0x69de007b}},	//   tòno, द्रक, nnka, _ippe, 
   {{0x68e4cdba,0x29020199,0x442000e7,0x2d870f92}},	//   meid, _inka_, ái_, _lune_, 
   {{0x68e4cdbb,0x8c1b0056,0x60cb00a1,0x21ce00ad}},	//   leid, כוני, _acgm, _məhv_, 
   {{0x4420cdbc,0x1bed7671,0x2d87808a,0xdcc607d5}},	//   ši_, _चैनल_, _nune_, _वांछ, 
   {{0x6d463614,0x68e455f4,0x2eeecdbd,0x3ea703c6}},	//   jnka, neid, _saff_, _aent_, 
   {{0x8f463a5f,0x3ea7cdbe,0x42ea02a6,0xff060009}},	//   иход, _bent_, _имао_, аянн, 
   {{0x68e4af6d,0x2d87002e,0x69de0318,0x6562cdbf}},	//   heid, _bune_, _oppe, lloh, 
   {{0x68e4cdc0,0x6d220fcf,0x656207fc,0x36f700d1}},	//   keid, मसंग_, oloh, בצים_, 
   {{0xb87b02be,0x65621da6,0x68e4a345,0x00000000}},	//   _maír, nloh, jeid, --, 
   {{0x3ea7cdc1,0x69de8c88,0xa2cd0239,0xa3c9009a}},	//   _fent_, _appe, _साम्, लंय_, 
   {{0x3ea7cdc2,0x80d2031e,0x2d8702a3,0x65620149}},	//   _gent_, भ्रे, _fune_, hloh, 
   {{0x68e400eb,0x2d8701f1,0x29883ead,0x6d46006d}},	//   feid, _gune_, исто_, bnka, 
   {{0xdb1d05a8,0xa3e7007e,0x68e4cdc3,0x1d080267}},	//   musí, _बनल_, geid, _већи_, 
   {{0xdd92005e,0xbcfbcdc4,0x65620098,0x636d020b}},	// [d810] _уақы, cléa, dloh, lúne, 
   {{0x307700a7,0x2ca9cdc5,0xb87b1484,0x00000000}},	//   שתמש_, _head_, _saís, --, 
   {{0xb87bcdc6,0x68e4984b,0xa3c902f8,0x2d8a0228}},	//   _país, beid, लून_, íbeh_, 
   {{0x67054437,0x5e790070,0x4584017b,0x00000000}},	//   राहक_, אָנד, ігів, --, 
   {{0xc6510019,0xdd020372,0x37e4012d,0x75f0010e}},	//   _کہاک, šući, _доўг, tózá, 
   {{0x97250499,0x2126cdc7,0x2ca900d1,0x69de44ae}},	//   _افسو, _aloh_, _lead_, _yppe, 
   {{0x27e9cdc8,0x349597e9,0xdbdd0098,0x3ea700d1}},	//   lwan_, _габр, dšív, _rent_, 
   {{0x3ea7cdc9,0x78adcdca,0x67050299,0x2ca931d3}},	//   _sent_, naav, रावक_, _nead_, 
   {{0x3ea7cdcb,0x2d87cdcc,0x27e90354,0xbe8300a3}},	//   _pent_, _sune_, nwan_, оқли, 
   {{0x2d87cdcd,0x27e906e4,0x533400b3,0x78ad14c0}},	//   _pune_, iwan_, _деут, haav, 
   {{0x2ca917dd,0x27e902f6,0x7997006f,0x6b96cdce}},	//   _bead_, hwan_, _ntxw, _styg, 
   {{0xeb9acdcf,0x2ca91232,0xa3bb00a5,0x27e9cdd0}},	//   лим_, _cead_, _आटा_, kwan_, 
   {{0x68e4002a,0x27e9cdd1,0x1c430235,0x6d46cdd2}},	//   veid, jwan_, зням, rnka, 
   {{0x2d87078a,0x60c9cdd3,0x6e9500eb,0x27e9cdd4}},	//   _tune_, lgem, _الغا, dwan_, 
   {{0x68e4cdd5,0x656202dc,0x2ca90d44,0x3f8d0034}},	//   teid, yloh, _fead_, lqeu_, 
   {{0x6ed32f41,0x628f00d9,0x27e92836,0x88861761}},	//   ब्रु, _şcol, fwan_, слаж, 
   {{0xa3c9000f,0x636406df,0x27e9c858,0xb87b0587}},	// [d820] लूम_, wònm, gwan_, _saír, 
   {{0x7bc619fc,0xaadf02e6,0x7d0400da,0x00000000}},	//   muku, _पॉपक, _hnis, --, 
   {{0x7bc6cdd6,0x7d040405,0x27e90877,0x6562cdd7}},	//   luku, _knis, awan_, tloh, 
   {{0xab5b0824,0x2ee56ca8,0xb4c2000d,0xdcf90009}},	//   crüb, helf_, ंले_, _buvę, 
   {{0x60c97e93,0x23d611e7,0x7d04cdd8,0x6562b544}},	//   dgem, сцер, _mnis, rloh, 
   {{0x81e100cc,0xff470a24,0xf1a667a7,0x60c9025b}},	//   দিন_, _رخ_, брин, egem, 
   {{0x248900d2,0x7bc6cdd9,0xdb1d0165,0x7d0402f1}},	//   žama_, huku, lusã, _onis, 
   {{0xf8ba0239,0xa49100d6,0x1ae40086,0x60c9cdda}},	//   ेलिय, _قیمت, মায়া, ggem, 
   {{0x2ca9cddb,0x3eac678a,0x7bc6cddc,0x4386021b}},	//   _read_, tadt_, juku, _طلاق, 
   {{0x7522006b,0x7d0484fd,0x2ca9cddd,0xdb0602c9}},	//   lkoz, _anis, _sead_, lskæ, 
   {{0xa2cd119b,0x27e900e2,0x2ca9007e,0x3eac0019}},	//   _सात्, zwan_, _pead_, radt_, 
   {{0x7bc61c36,0xf8bf03da,0x27e90102,0x7522cdde}},	//   fuku, _alén_, ywan_, nkoz, 
   {{0x673e00ca,0x78adc25e,0x2ca900c2,0xbcfb011c}},	//   kipj, vaav, _vead_, blén, 
   {{0xab5b0380,0xaa9400a3,0x7d04cddf,0x83fd039f}},	//   drüc, зирч, _enis, _szők, 
   {{0x78adcde0,0xc33902d9,0x2ca900c2,0xdb0f007a}},	//   taav, _říká, _tead_, nscé, 
   {{0x27e9cde1,0x6d47239a,0x7bc64669,0x7d040c17}},	//   twan_, čkas, buku, _gnis, 
   {{0x78ad030f,0xc8672373,0x636d27f2,0x7bc6cde2}},	// [d830] raav, стви, núnc, cuku, 
   {{0x27e904c6,0x78adcde3,0xa2cd4437,0x7d040035}},	//   rwan_, saav, _साध्, _znis, 
   {{0x466bcde4,0x78ad0080,0xa3ab1c54,0x7522039b}},	//   урам_, paav, कीन_, fkoz, 
   {{0x2ee50b32,0x7ae7cde5,0xab5b0380,0xf3f90d47}},	//   zelf_, lejt, brüc, инеш_, 
   {{0x69d50414,0x3949cde6,0xa2c4000d,0xdfc60195}},	//   ltze, mnas_, _राख्, _تي_, 
   {{0xa3aa0b3e,0xdd8616a6,0x39492ea3,0x636d0183}},	//   _खबर_, _يو_, lnas_, dúnc, 
   {{0x69d50414,0x3495ab94,0x5ea70086,0x7bc688c6}},	//   ntze, _мавр, _খালে, zuku, 
   {{0x3949cde7,0x7bc63934,0x69d50a9f,0x7ae700bc}},	//   nnas_, yuku, itze, hejt, 
   {{0x60c9cde8,0x69c77023,0x7ae7014b,0x69d50380}},	//   rgem, huje, kejt, htze, 
   {{0x60c9c09d,0x3cdc031e,0x0ea900c8,0xf8bf02be}},	//   sgem, ग्ने_, шкой_, _oléo_, 
   {{0xf1dd2f41,0x3949cde9,0x69c7234d,0x7ae7031e}},	//   _महिन, knas_, juje, dejt, 
   {{0xed5a847f,0x7bc66f0c,0x7d161324,0x63a400d9}},	//   ром_, tuku, _qoys, ţine, 
   {{0xdbf4072f,0xbcfbcdea,0xc178105a,0x75290548}},	//   इटेड_, plén, _اصلا_, _mlez, 
   {{0x41dd000c,0xf1dd000c,0xa3ab0c94,0x6d4d3f80}},	//   _महास, _महान, कीय_, _ejaa, 
   {{0x69c7368e,0x7bc66608,0x753b0547,0x2bb600b0}},	//   guje, suku, _omuz, _अटका, 
   {{0x7bc62836,0x799c00f8,0xaadb55b4,0x6aae02eb}},	//   puku, rprw, म्बक, sabf, 
   {{0x69d50a9f,0x070500c2,0xa3ab0fc0,0x2b8f0248}},	// [d840] atze, रांव_, कीम_, _güc_, 
   {{0x69c71c76,0x3949cdeb,0x753bcdec,0x869a57c5}},	//   buje, anas_, _amuz, ртат_, 
   {{0x7522006b,0x3949050a,0x7529011c,0x753b02a5}},	//   tkoz, bnas_, _blez, _bmuz, 
   {{0x6364022c,0xab5b0380,0xd576004f,0x7e63040b}},	//   mòni, prüc, цузь, _mynp, 
   {{0x636400d3,0x7522cded,0xa29401fc,0xdb060566}},	//   lòni, rkoz, палі, rskæ, 
   {{0x7529cdee,0x3940c6ff,0x753b052b,0x673e0034}},	//   _elez, liis_, _emuz, qipj, 
   {{0x6364022c,0xdb1d0212,0xdb0602ae,0x4cc20033}},	//   nòni, ursé, mskä, ষ্যু, 
   {{0x39405ef0,0x75299969,0x31570038,0x68f62c02}},	//   niis_, _glez, يجية_, ndyd, 
   {{0xd00700ff,0x42d6128b,0x68f600f8,0xaaaa0299}},	//   жење_, _міжу, idyd, कराक, 
   {{0xa3df05fd,0x6d4d01c8,0xf8bf0175,0xdb061cc9}},	//   _तहत_, _sjaa, _alél_, nskä, 
   {{0x7ae73c54,0x3949cdef,0xc69300d1,0x212d011c}},	//   vejt, ynas_, ואת_, bheh_, 
   {{0x69c70928,0xc0c73d5b,0x24802508,0x636403dd}},	//   vuje, _душе_, žimu_, dòni, 
   {{0xdb060219,0x3940212a,0x7ae700bc,0x68f6017c}},	//   kskä, diis_, tejt, ddyd, 
   {{0x4f570071,0x6364022c,0x7e6308b0,0x6b9dcdf0}},	//   _وجود_, fòni, _fynp, rpsg, 
   {{0x7ae7cdf1,0x3a25008c,0x636d0038,0xdb060219}},	//   rejt, álp_, núna, dskä, 
   {{0x69d588d8,0x2d9ecdf2,0xdc2b00c5,0x39496ac0}},	//   rtze, mpte_, _نسخه_, unas_, 
   {{0x3949a7df,0x7ae700e5,0x69c7cdf3,0x76b92067}},	// [d850] rnas_, pejt, suje, йлар_, 
   {{0x7529cdf4,0xa774cdf5,0x8f9b0486,0x0705103d}},	//   _slez, длуч, יימי, राइव_, 
   {{0xa2c4075a,0x7529cdf6,0x3940016a,0x3949cdf7}},	//   _राज्, _plez, biis_, pnas_, 
   {{0x394003c5,0x6f18733a,0x636d0038,0x6b8dcdf8}},	//   ciis_, _lovc, dúna, _kuag, 
   {{0x03a595fd,0x3cfc035c,0x53a51d65,0x9fb50033}},	//   чило, ילאנ, чалб, _জঙ্গ, 
   {{0x6f1802f5,0x6b8d3b38,0x2919cdf9,0x00000000}},	//   _novc, _muag, _hosa_, --, 
   {{0x2919cdfa,0x6d5dcdfb,0xf62800dd,0x6b8d012b}},	//   _kosa_, kosa, _діти_, _luag, 
   {{0x753b0199,0x3cf50035,0x6b8d0106,0x7529025b}},	//   _umuz, इयों_, _ouag, _ulez, 
   {{0x6d5dcdfc,0x7e63014e,0x291907d7,0x6b8d026a}},	//   dosa, _synp, _mosa_, _nuag, 
   {{0x636d003e,0x63a91a9c,0x5187011f,0x7e6308b0}},	//   búna, _iwen, _дуда, _pynp, 
   {{0xf8bf00ce,0x6d5dcdfd,0x98cb0035,0x63a90102}},	//   _além_, fosa, िलाए, _hwen, 
   {{0x63a9cdfe,0x291909a1,0xbcfbcdff,0x6d5dce00}},	//   _kwen, _nosa_, blém, gosa, 
   {{0x63a9158b,0x0c232eb8,0x60db1302,0x6b8d01be}},	//   _jwen, емян, mfum, _cuag, 
   {{0x63a92818,0x3b0a0088,0x699600dd,0x6364022c}},	//   _mwen, щего_, зрах, tòni, 
   {{0x39405132,0x63a90539,0xa3ab009a,0x00000000}},	//   tiis_, _lwen, कीत_, --, 
   {{0x2919ce01,0x63640161,0x63a9ce02,0x5fc202c3}},	//   _cosa_, ròni, _owen, _शिमल, 
   {{0x291936ff,0x8ca2006a,0x68f602bf,0x394000c2}},	// [d860] _dosa_, _क्यो, rdyd, riis_, 
   {{0x636403a1,0x394000c2,0x4bfb0070,0x69c100d8}},	//   pòni, siis_, _פליס, álec, 
   {{0xceb200a7,0x2919ce03,0xa3c900a5,0x63a9ce04}},	//   גיב_, _fosa_, लूस_, _awen, 
   {{0x6b8d006d,0x63a95c7a,0x2919357c,0x6e3c02aa}},	//   _yuag, _bwen, _gosa_, úrbi, 
   {{0x63a9011c,0xa3e618b4,0xb4bc072d,0xe3b72653}},	//   _cwen, यौं_, _आयी_, зліч_, 
   {{0xf1a6ce05,0x2d9ece06,0x1fc30086,0x63a90102}},	//   прин, ypte_, ্বাস, _dwen, 
   {{0xa2cd0527,0x64a6161b,0x6d5dce07,0x7986ce08}},	//   _सार्, _нава, yosa, _kikw, 
   {{0x636dce09,0x6d5d0068,0x63a90237,0x25080296}},	//   rúna, xosa, _fwen, _برسی_, 
   {{0x6d5d1103,0x63a94b8c,0xb4b8009a,0x636d0038}},	//   vosa, _gwen, चणी_, súna, 
   {{0x539b0a33,0x7986ce0a,0xb4bc072f,0x6d5dce0b}},	//   _לימו, _likw, _आयु_, wosa, 
   {{0x6d5dce0c,0x2baf1b38,0x63a91a0d,0xc0e60810}},	//   tosa, जीना, _zwen, _ножк, 
   {{0xab5b01c4,0x6b8d006d,0x2d9ece0d,0x79868ba6}},	//   grün, _puag, rpte_, _nikw, 
   {{0x63a9078a,0xbcfb0019,0x6b8dcca1,0xd10936be}},	//   _xwen, llék, _quag, वारण_, 
   {{0x6d5dce0e,0x6b8d006d,0x798600a1,0x2919ce0f}},	//   sosa, _vuag, _aikw, _sosa_, 
   {{0x2919129e,0x6d5dce10,0x6edb00d1,0xda782c77}},	//   _posa_, posa, _החופ, зят_, 
   {{0x3eaece11,0x2919084c,0x6d5d0026,0x79860027}},	//   _heft_, _qosa_, qosa, _cikw, 
   {{0x291903da,0x7986018c,0x00000000,0x00000000}},	// [d870] _vosa_, _dikw, --, --, 
   {{0x9f4dce12,0xc987049b,0x76b9004e,0x368bbc62}},	//   rveç_, _нуми, ілер_, ссан_, 
   {{0x63a9ce13,0xcb1200d1,0x38c8010e,0x25aa017c}},	//   _swen, _סלט_, _کاپی_, _cwbl_, 
   {{0xe8eb0105,0x3eae00a7,0x63a90300,0xdb065ca1}},	//   _اردو_, _left_, _pwen, rskå, 
   {{0x29d7ce14,0xdb061e9f,0xfc3f0183,0x78bd039b}},	//   lça_, rrkö, maís_, _idsv, 
   {{0x3eae4960,0xc2c40038,0x7986ce15,0xd6d800b9}},	//   _neft_, فيهي, _zikw, _нтс_, 
   {{0x29d7ce16,0xdce430ff,0x25aa0156,0x79860532}},	//   nça_, _uhić, _gwbl_, _yikw, 
   {{0x212b00ab,0x63a9ce17,0x850517bc,0x29d7019c}},	//   óch_, _twen, _تورن, iça_, 
   {{0xab5b00ad,0xbcfb0126,0x27ff0372,0x3eae17c4}},	//   vrün, pléj, _šunj_, _beft_, 
   {{0x29d701f0,0xf8bf0096,0xa2940bfd,0x00000000}},	//   kça_, _blék_, _зафі, --, 
   {{0xc33200a7,0x60db0610,0x78bd0144,0xacea0e27}},	//   _שוב_, pfum, _odsv, омна_, 
   {{0x3f9f00c8,0x78afce18,0x8c460259,0x46dd00bc}},	//   ppuu_, _necv, деме, न्तह, 
   {{0x7af702f1,0x9f4d0326,0x29d7019c,0x79864062}},	//   _baxt, nweë_, eça_, _rikw, 
   {{0x09e61a9e,0x1dc504cc,0x7af70183,0x7986ce19}},	//   могн, _विपत, _caxt, _sikw, 
   {{0x3f8f016c,0x79860237,0xcb670176,0x00000000}},	//   _hugu_, _pikw, фаре_, --, 
   {{0xb4bc010b,0x3f87003e,0x92e90033,0x48e301d8}},	//   _आये_, _hinu_, যায়_, косв, 
   {{0x1867ce1a,0x798606f2,0x29d7114e,0x9cd7027a}},	// [d880] дати_, _vikw, aça_, _חופה_, 
   {{0xe6a80b79,0x8c4301c4,0x7af700b4,0x917a0108}},	//   गरेज, ößer, _gaxt, _mấy_, 
   {{0x3f870077,0x3f8fce1b,0x59e21687,0x79860f83}},	//   _minu_, _lugu_, _पहिर, _tikw, 
   {{0xe5a32cb9,0x1dc500c9,0x480a00d9,0xed590032}},	//   тици, _विनत, _демн_, buľu_, 
   {{0x3f8f016a,0x394dce1c,0xa3ab0366,0xf8b30486}},	//   _nugu_, čest_, _कौआ_, _בשר_, 
   {{0x3f87ce1d,0xae0d02ab,0x80db0033,0x00000000}},	//   _ninu_, िमान_, _মোল্, --, 
   {{0x3f8fce1e,0x201900c8,0x91e30267,0x00000000}},	//   _augu_, äsin_, воје, --, 
   {{0x92ae0086,0x2d9c1eb1,0xb87b0183,0x6603055f}},	//   কলে_, _rtve_, _ubíc, ænke, 
   {{0x3f87032f,0x3f8f0613,0x2d9c00de,0x00000000}},	//   _binu_, _cugu_, _stve_, --, 
   {{0x3f8f02ba,0x692c027e,0x2d8e02be,0x8e140477}},	//   _dugu_, rşey, _pufe_, едоц, 
   {{0x3f87ce1f,0xbcfbce20,0x809f017d,0x629a0508}},	//   _dinu_, lléi, _ग्वे, _ifto, 
   {{0x3f87008c,0xa00a00eb,0x7af7ce21,0xb4bc00bc}},	//   _einu_, _وقال_, _saxt, _आयो_, 
   {{0x7b67269c,0x7af702f1,0x63a2ce22,0x3f87090e}},	//   дтве, _paxt, npon, _finu_, 
   {{0xf0470399,0x3f87015e,0x78af020f,0xbcfb007a}},	//   _تعمی, _ginu_, _secv, iléi, 
   {{0x7af706d0,0x386d0097,0xb34502aa,0xbcfb0534}},	//   _vaxt, _šer_, liçã, hléi, 
   {{0x29d7ce23,0x6376ce24,0x3f8701dd,0x6e270566}},	//   rça_, lând, _zinu_, øjbe, 
   {{0xc9842858,0xb8f715c8,0xb34502a0,0x7af71ada}},	// [d890] тури, _सा_, niçã, _taxt, 
   {{0x64a200f0,0xb8820183,0x6376020f,0x466b4b37}},	//   қаша, ñían, nând, орем_, 
   {{0x6d4f36e0,0x63a2040b,0x00000000,0x00000000}},	//   onca, epon, --, --, 
   {{0x629a014e,0x4d7c0147,0x00000000,0x00000000}},	//   _afto, ַרגע, --, --, 
   {{0x68edce25,0x290b002e,0x5f1105ff,0x63a2ce26}},	//   mead, _inca_, ताम्_, gpon, 
   {{0x68ed009f,0xb34502a0,0x44290405,0xe299ce27}},	//   lead, diçã, ġa_, чак_, 
   {{0xe0d10084,0x4429ce28,0xd5b8021d,0x3f8fce29}},	//   هزة_, ša_, _ост_, _sugu_, 
   {{0x3f870077,0x68edce2a,0x636d04b3,0x6d4f0369}},	//   _sinu_, nead, múnm, ébal, 
   {{0x3995831e,0x3f87ce2b,0xff2500d9,0x2d983146}},	//   _lås_, _pinu_, емпо, íren_, 
   {{0x27e40750,0x68edce2c,0xee3914f1,0x809f0367}},	//   _ämne_, head, зно_, _ग्रे, 
   {{0x39950343,0x69c70372,0x290b04a8,0x00000000}},	//   _nås_, jrje, _onca_, --, 
   {{0x68ed6036,0xb3450165,0x7bc600ef,0x6376019c}},	//   jead, biçã, trku, tâng, 
   {{0x69c1026e,0xd00903dc,0x23650065,0x3f87002c}},	//   álen, _хеле_, _kklj_, _tinu_, 
   {{0x643a00c7,0x6d4fce2d,0x290bce2e,0xf8bf0574}},	//   לערנ, anca, _anca_, _adé_, 
   {{0x63a20019,0x68ed0038,0x69c100bc,0x09e30593}},	//   zpon, fead, šlen, лорн, 
   {{0x68edce2f,0x6376002e,0x63bbce30,0x248d0102}},	//   gead, mâne, _ovun, _ngem_, 
   {{0x63a203c5,0x69c7bd24,0x63bb052b,0x637602be}},	// [d8a0] xpon, arje, _nvun, lâne, 
   {{0x248dce31,0x3995ce32,0xe9da013b,0xb9070299}},	//   _agem_, _fås_, _еко_, _मॉ_, 
   {{0xfad707f5,0x02c9034d,0x63bbce33,0x612e00a1}},	//   _אויך_, _राजभ, _avun, _lùla, 
   {{0x68ed0557,0x69dc3d52,0x809f07d5,0x6135008c}},	//   cead, mtre, _ग्ले, _hálf, 
   {{0x69dcce34,0x69cece35,0x17841cc1,0xe2f82676}},	//   ltre, lube, _аҳам, делі_, 
   {{0x6d46781c,0xbcfb007a,0x69dc0ff2,0x00000000}},	//   hika, rléi, otre, --, 
   {{0x69dc9bab,0x6d46ce36,0x69ce023e,0x27f253e6}},	//   ntre, kika, nube, lwyn_, 
   {{0x6d462129,0x63a2ce37,0xb34502a0,0x31ba00e0}},	//   jika, ppon, tiçã, rīz_, 
   {{0x6d4679e3,0x69c7056e,0x6562016a,0x2002003e}},	//   dika, zrje, mooh, íki_, 
   {{0xb34500ce,0x69cece38,0x4426ce39,0x2d8901d8}},	//   riçã, kube, myo_, _siae_, 
   {{0x4426ce3a,0xa0a63065,0xb34503b7,0x2d440019}},	//   lyo_, _заед, siçã, rűen_, 
   {{0x6d46ce3b,0x68ed0a47,0x6d4f0175,0x69c70e67}},	//   gika, xead, unca, vrje, 
   {{0x4426ce3c,0x48fb0964,0x399516fa,0x8fa38b64}},	//   nyo_, _लोगो_, _sås_, _баче, 
   {{0x4426b9b4,0xa3e80c02,0x69dcce3d,0x69c7008b}},	//   iyo_, _बहन_, ftre, trje, 
   {{0x68edce3e,0xdb040503,0xd90f0116,0x998500bc}},	//   tead, _avió, مید_, álů_, 
   {{0x44260298,0x69c700e5,0x7bda002e,0x2489ce3f}},	//   kyo_, rrje, ătur, žami_, 
   {{0x7d0dce40,0x68edbc15,0x69dc7758,0x3cf800b1}},	// [d8b0] _inas, read, atre, _سعيد_, 
   {{0x4426ce41,0x68edce42,0x69dc001b,0x69c7003d}},	//   dyo_, sead, btre, prje, 
   {{0xceb30137,0x69ce1c62,0x69dc00eb,0x442601a3}},	//   ריע_, cube, ctre, eyo_, 
   {{0xa56700d4,0x8883009c,0x63b90026,0x7bdd00c2}},	//   ردان, _میزن, tswn, otsu, 
   {{0x7bddce43,0x27ff03da,0x4426ce44,0x7bcfce45}},	//   ntsu, _éun_, gyo_, nucu, 
   {{0x6d461cbb,0x7bddce46,0x02c20965,0x31660300}},	//   zika, itsu, айшо, _akoz_, 
   {{0x44260bc7,0x6d46ce47,0x7d0d00a3,0x95c802a6}},	//   ayo_, yika, _onas, _пута_, 
   {{0x44261f69,0x25be008c,0x60098d40,0x63bb44ae}},	//   byo_, _ætla_, дним_, _tvun, 
   {{0x4426024d,0x7bcf00d2,0x43950141,0x8ca21567}},	//   cyo_, jucu, _разс, _क्षो, 
   {{0x7d0dce48,0x6d46ce49,0xd2f7006b,0x637602aa}},	//   _anas, wika, _سکتا_, tâne, 
   {{0xed5aac78,0x6ea7006b,0x6147023e,0xe3d100b0}},	//   дон_, ونکہ_, _cèlè, _समुझ, 
   {{0x2cb206d0,0xd24e00d4,0x63760165,0x6147023e}},	//   _qeyd_, _بچه_, râne, _dèlè, 
   {{0x317f01f0,0x61352f09,0x7bcf016c,0x00000000}},	//   mmuz_, _pálf, gucu, --, 
   {{0x69dcce4a,0x8ca235ff,0x7d0dce4b,0x316d4635}},	//   ttre, _क्रो, _enas, llez_, 
   {{0x6d46ce4c,0xf2d20070,0x63760165,0x21fc00bc}},	//   pika, יעם_, lânc, máhá_, 
   {{0x69dcce4d,0xada207f9,0xdb0f00eb,0x6c0653f3}},	//   rtre, _таъл, rscá, _азиз, 
   {{0x7bcf04cd,0xa96708c0,0x63760fb9,0x2cee00c9}},	// [d8c0] cucu, тита_, nânc, ज़ील_, 
   {{0x44262083,0x9bb700a7,0x69dcce4e,0x7d0d0035}},	//   vyo_, _שהיה_, ptre, _znas, 
   {{0x65620495,0x7d0d01ff,0xd84300da,0xa9a60097}},	//   tooh, _ynas, točí_, _шинд, 
   {{0x4426355a,0xb4ccb23c,0xf4b4009c,0xb4460a10}},	//   tyo_, लले_, اشاگ, кэлк, 
   {{0xd843014b,0x320503a0,0xbcfb3570,0x00000000}},	//   ročí_, _arly_, mlét, --, 
   {{0x4426ce4f,0x46a34243,0x637602aa,0x04430fac}},	//   ryo_, _варв, dânc, шечн, 
   {{0x44261410,0xf743005b,0x0fc30033,0x7bdd0502}},	//   syo_, _теро, ্বোধ, ztsu, 
   {{0x44260c36,0x63760165,0x50f40e10,0x316dce50}},	//   pyo_, fânc, узит, glez_, 
   {{0xe80504d7,0x0555ce51,0xb3868c21,0x63760165}},	//   रिया_, _стря, _алал, gânc, 
   {{0x7d0d26c0,0x21ce0095,0xbcfb0107,0xaf061793}},	//   _snas, _məhz_, hlét, тчик, 
   {{0x7d0d016a,0x272402ae,0x7bcf016c,0x00000000}},	//   _pnas, _höns_, wucu, --, 
   {{0x5d64123f,0x7bdd0bff,0xa0a60240,0x7d0d01ff}},	//   итяз, ttsu, _радд, _qnas, 
   {{0xdb04001d,0x60c22d77,0x1013009c,0x6376019c}},	//   _aviñ, _idom, _نبود, cânc, 
   {{0x75200201,0x7bdd4952,0x636d0183,0x69c1014b}},	//   _lomz, rtsu, gúnh, šlem, 
   {{0x273601cc,0xa9230228,0x7bddce52,0x99670176}},	//   _mænd_, áľov, stsu, втал, 
   {{0x7d0dce53,0x752002f1,0x61350126,0xdb0611bb}},	//   _unas, _nomz, _gáld, mský, 
   {{0xdb060356,0x6aa2ce54,0x98751ba1,0x26d80226}},	// [d8d0] lský, _şofe, улац, _bcro_, 
   {{0x6d44006a,0x395200b9,0x00000000,0x00000000}},	//   _zmia, anys_, --, --, 
   {{0xdb060076,0x2baf009a,0x60c210d4,0xe7840e8a}},	//   nský, जीरा, _odom, руто, 
   {{0x60c2ce55,0xe7951372,0x00000000,0x00000000}},	//   _ndom, _ماسک, --, --, 
   {{0xfbdfce56,0xd1030fc0,0xbcfb583b,0xe4b900f0}},	//   ntê_, _शोषण_, llés, _үлгі_, 
   {{0x6135008c,0x637602aa,0xf9900444,0x27f900df}},	//   _mále, vânc, _دبی_, _issn_, 
   {{0x2169418c,0x68fd012d,0xdb06014b,0x26c3011c}},	//   ники_, _kasd, jský, _idjo_, 
   {{0x637602a0,0xdb06014b,0xe0d9ce57,0x00000000}},	//   tânc, dský, хви_, --, 
   {{0x6135026e,0x1c0700ab,0x68fdce58,0x5455a8db}},	//   _nále, शिफल_, _masd, _сват, 
   {{0x60c2ce59,0x637637d7,0x200600f8,0xa3e800c2}},	//   _edom, rânc, _droi_, _बहत_, 
   {{0x0d86725f,0x200631de,0x39490009,0xd12e0499}},	//   ллон, _eroi_, kias_, زمی_, 
   {{0xfbdf010c,0x3949ce5a,0x60c200a1,0x02df0fd2}},	//   ftê_, jias_, _gdom, प्रभ, 
   {{0xeb97ce5b,0xdee5655e,0x39490549,0x61350183}},	//   лия_, _боли, dias_, _cále, 
   {{0xdd8e011c,0x2d91ce5c,0xbea20240,0xdb060098}},	//   _کوي_, ízes_, _лашк, bský, 
   {{0xa2db1556,0xbcfb00d3,0x39490deb,0x69d400a2}},	//   _नान्, glés, fias_, बंधी, 
   {{0x3949ce5d,0x68fd0183,0x6569ce5e,0x81b50033}},	//   gias_, _casd, _nkeh, _জমা_, 
   {{0xc8b5c369,0x07a6085c,0x7d7b24ea,0x2fdfce5f}},	// [d8e0] рссы, уазн, _אנקו, ntug_, 
   {{0x888311a8,0x6569ce60,0x81ea0086,0x6676009c}},	//   служ, _akeh, মিত_, هدار, 
   {{0x3949ce61,0xf8bfce62,0x6135026e,0x6b96ce63}},	//   bias_, _clés_, _zále, _huyg, 
   {{0x39493b87,0x68fdccb5,0x27e6ce64,0x7afe8974}},	//   cias_, _gasd, çons_, _hapt, 
   {{0x7afe3ed0,0x9cd700a7,0x657b0da2,0xbef300a2}},	//   _kapt, רונה_, _dhuh, _असून_, 
   {{0xf746030f,0x08fc00cc,0x6ed8047c,0x290002ba}},	//   _сего, _একটু_, _माधु, ldia_, 
   {{0x27e0ce65,0x41e600eb,0xf1a34187,0x2d44039f}},	//   ltin_, استف, брын, gűek_, 
   {{0x2900ce66,0xd01000eb,0xdb062194,0x200602fe}},	//   ndia_, قلب_, vský, _proi_, 
   {{0xfbdf0218,0x29000053,0xa3e81bf9,0x5066ce67}},	//   xtê_, idia_, _बहि_, ытка, 
   {{0x138a00eb,0xdb06014b,0x4ad30586,0xe8051489}},	//   _أخرى_, tský, _ताइव, रिता_, 
   {{0x2293057f,0x27e00ebd,0x2cb9010e,0xde582653}},	//   _المس, htin_, tasd_, тані_, 
   {{0x3949ce68,0xdb06ce69,0x27e0ce6a,0x60c208e3}},	//   xias_, rský, ktin_, _udom, 
   {{0x39492d3b,0x7afece6b,0xa2dbce6c,0x27e0ce6d}},	//   vias_, _bapt, _नाम्, jtin_, 
   {{0xa3c90081,0xfbdf010c,0x6b9601f0,0x613500bc}},	//   लूट_, rtê_, _duyg, _vále, 
   {{0xfbdf078a,0x13d10964,0xe3d1000d,0x39491279}},	//   stê_, _सम्भ, _सम्झ, tias_, 
   {{0x27e0ce6e,0x290000d3,0xbcfb010e,0x06cc0033}},	//   ftin_, gdia_, rlés, র্মি, 
   {{0x39491408,0x7afe002e,0x481500a3,0x3f8e02a5}},	// [d8f0] rias_, _fapt, шмас, _kifu_, 
   {{0x3949ce6f,0xaadc00a2,0x657b49be,0x68fd1db2}},	//   sias_, _बायक, _shuh, _wasd, 
   {{0x3949334b,0x68fd02f1,0x06cc0086,0x00000000}},	//   pias_, _tasd, র্ভি, --, 
   {{0xc56b1169,0x68e4007a,0x7afece70,0x6b6a010c}},	//   رحال_, cfid, _zapt, _têgî, 
   {{0x7afe0c05,0x78adce71,0x61fa00b4,0x0ed4075a}},	//   _yapt, mbav, _astl, _दांड, 
   {{0x9f520118,0x5694128b,0x06cc0033,0x798f016c}},	//   _èyè_, _гарт, র্বি, _hicw, 
   {{0x657b00e5,0x798f0539,0x38ad040c,0x00000000}},	//   _thuh, _kicw, _kоr_, --, 
   {{0x312570b0,0x00000000,0x00000000,0x00000000}},	//   рдиг, --, --, --, 
   {{0x2f5599c6,0x61fa19a3,0x3f8e095a,0xa30314c1}},	//   итос, _estl, _bifu_, _гүле, 
   {{0x6457009e,0x80d7009a,0x6ab7008a,0x69cb0243}},	//   şxis, _यावे, _nexf, _āgen, 
   {{0xd251c65e,0x6285026e,0x61353c3d,0x438400eb}},	//   _بنا_, ýhod, _cálc, _اللق, 
   {{0xeb9a1447,0xd0110084,0x7afece72,0x7ff5ce73}},	//   ким_, _ولا_, _sapt, _نستا, 
   {{0xed571ff8,0x2d822f0a,0x3ce90065,0x98a0053d}},	//   роя_, rmke_, _dbav_, lkić_, 
   {{0xa3e80509,0x2d52044e,0x3f8e4422,0xd00e0535}},	//   _बहस_, kšeg_, _gifu_, _آلو_, 
   {{0xc33200a7,0x98a0858e,0x48b65a00,0x798fce74}},	//   חום_, nkić_, ищат, _bicw, 
   {{0x2900ce75,0x27e0ce76,0x18a60f67,0x7afece77}},	//   udia_, ttin_, раам, _wapt, 
   {{0x7afe0965,0x9696ce78,0x6ab7008a,0x2cad0183}},	// [d900] _tapt, ареш, _fexf, ñede_, 
   {{0x27e0ce79,0x4a460080,0xdb06003e,0xbcfb010e}},	//   rtin_, _внов, rskó, llép, 
   {{0x48e6459c,0xdb2413b4,0x98a003f5,0xdb06003e}},	//   _конв, _نوکی, jkić_, sskó, 
   {{0xb4c2000d,0x84e60c8b,0xc566ce7a,0x27e0ce7b}},	//   ूले_, родж, шкек, ptin_, 
   {{0x63860082,0x33f60acd,0x00000000,0x00000000}},	//   агда, рчес, --, --, 
   {{0x69ce0b32,0x31c60b2d,0x6abc008c,0x798f016c}},	//   orbe, асив, narf, _zicw, 
   {{0xd24f11fe,0x798f007c,0xe2971acc,0x00000000}},	//   ونه_, _yicw, шај_, --, 
   {{0x3f8e00e2,0xbcfb00bc,0x6abc18e1,0x5186ce7c}},	//   _sifu_, jlép, harf, шула, 
   {{0xd0e205f6,0x53a302c0,0x03a30b46,0x2fcd10fd}},	//   क्षण_, _матб, _мито, greg_, 
   {{0x80a62002,0x2575022b,0x3ce90036,0x324648e3}},	//   _ट्रे, håll_, _sbav_, _кезг, 
   {{0x6abcce7d,0x2fcdce7e,0xa2db009a,0x5fc2009a}},	//   darf, areg_, _नात्, _शिकल, 
   {{0x613502d9,0x00000000,0x00000000,0x00000000}},	//   _válc, --, --, --, 
   {{0x6abc02bf,0x69c8ce7f,0x69cebf6f,0x6aa20216}},	//   farf, áden, erbe, _şofa, 
   {{0x98a90455,0x6d5d0107,0x6abc55d2,0x06cc0033}},	//   rkač_, érab, garf, র্তি, 
   {{0x613546c9,0xff7b0070,0xc1780028,0x00000000}},	//   _hála, _שטומ, _upės_, --, 
   {{0x2d52003a,0xe6af02e6,0x248000da,0x636d007a}},	//   všeg_, टर्ज, žimy_, lúnt, 
   {{0x69ce55b7,0x58870b34,0xdb040165,0x78adce80}},	// [d910] arbe, рыва, _aviõ, rbav, 
   {{0x6135ce81,0x399c007a,0x798f0027,0x00000000}},	//   _mála, _fís_, _wicw, --, 
   {{0xd0060399,0x368b198b,0x04950038,0xe80500bd}},	//   _کل_, тсан_, ملاح, रिहा_, 
   {{0x98a07a99,0x7af5ce82,0x00000000,0x00000000}},	//   vkić_, lezt, --, --, 
   {{0xa3b204d7,0xfc3f031e,0x69d5ce83,0x61350776}},	//   झील_, nzí_, luze, _nála, 
   {{0x2d52044e,0xf36760c7,0x257c014b,0xefc90200}},	//   pšeg_, штен, víle_, қлол_, 
   {{0x27f504d6,0x23678afd,0x00000000,0x00000000}},	//   şanı_, ronj_, --, --, 
   {{0x98a0090e,0x2fcdce84,0x06cc0033,0x7af50218}},	//   rkić_, treg_, র্দি, hezt, 
   {{0xdee50d38,0x98a0015e,0x7af5010e,0xc2eb0038}},	//   бопи, skić_, kezt, _لعام_, 
   {{0x636d0503,0x2fcd8e7b,0x69d54f36,0x41e7012d}},	//   gúnt, rreg_, kuze, _віда, 
   {{0x37a80086,0x6ed83024,0x4d66116d,0x02a4002e}},	//   _ওয়ার, _मारु, йков, _фрум, 
   {{0x69d500f1,0x3ce30081,0x6135ce85,0x40950038}},	//   duze, ट्ले_, _fála, _الإر, 
   {{0x6abc008c,0x30850038,0x00000000,0x00000000}},	//   tarf, _الشف, --, --, 
   {{0xfaa30dc7,0xeb973e6f,0x7af5217b,0x69d50474}},	//   заро, сир_, gezt, fuze, 
   {{0xbb436fd2,0x69d50fe5,0x69ce013c,0x3b01008a}},	//   черк, guze, urbe, _dahq_, 
   {{0x3a25022b,0x399c01d5,0xa3e80bb6,0x6abc8306}},	//   älpa_, _vís_, _बहल_, sarf, 
   {{0x46eace86,0x3d152ba3,0x69ce0082,0xc6960038}},	// [d920] лдан_, धारे_, srbe, مشاع, 
   {{0xf7720038,0xdb1d0212,0x00000000,0x00000000}},	//   ساء_, yssé, --, --, 
   {{0xd0f9034d,0xf3ec0086,0xceb2008d,0x2d9209fc}},	//   ्याण_, ওয়ার_, פיא_, _kiye_, 
   {{0xd91000c5,0x93aa0038,0xc4860163,0x2d9205d5}},	//   _تیر_, هاتف_, блек, _jiye_, 
   {{0x6ed8190a,0x232ace87,0xa3b200b0,0xe5050038}},	//   _मालु, лоди_, झीं_, تبلي, 
   {{0x2902ce88,0xf6d502fb,0x2d920237,0x68f61669}},	//   _haka_, _міся, _liye_, leyd, 
   {{0x2902ce89,0x84c4004e,0x35c50e65,0x61350a6d}},	//   _kaka_, _дәлд, _марҳ, _sála, 
   {{0xf993042c,0x2d92008f,0x68f6ce8a,0xc4c5007a}},	//   הרה_, _niye_, neyd, _وتقو, 
   {{0x2902ce8b,0x3d1c047b,0x7454006b,0x7af5010e}},	//   _maka_, याने_, _بھائ, yezt, 
   {{0x6135082c,0x11d603bd,0x26da0175,0x00000000}},	//   _vála, _гідр, ngpo_, --, 
   {{0x2d98ce8c,0x2d920237,0x6146645e,0x29020054}},	//   êre_, _biye_, _лежа, _oaka_, 
   {{0xd7fe00f7,0x2902ce8d,0x69d5b761,0x63a400d9}},	//   _đăng_, _naka_, vuze, ţinu, 
   {{0x2d920c05,0x716500eb,0x7af58e56,0xbc4b072c}},	//   _diye_, _بالك, tezt, учне_, 
   {{0x637f0165,0x613cce8e,0xdce9027e,0x21260175}},	//   cênd, _bélg, ılıy, _hooh_, 
   {{0x2902ce8f,0xa2db102c,0x613535b6,0x68f600f8}},	//   _baka_, _नास्, _máln, feyd, 
   {{0x69d5ce90,0x3ebece91,0x57b52831,0x2d80a0c9}},	//   ruze, latt_, жбат, _ghie_, 
   {{0x76b90c67,0x290244e2,0x2907031e,0x6d4f1dfd}},	// [d930] илар_, _daka_, ěna_, mica, 
   {{0xec380056,0x2126016a,0x29020ce3,0x3ebe0e20}},	//   _לאחר_, _looh_, _eaka_, natt_, 
   {{0x2902807e,0xa3db00a2,0x7c2f5866,0xab5b0380}},	//   _faka_, ढून_, lycr, srüs, 
   {{0x3d1c00c9,0x29020118,0xab5b0241,0x68f6ce92}},	//   याये_, _gaka_, prüs, ceyd, 
   {{0x582b02f1,0x320c016a,0x3ebece93,0x637f010c}},	//   _сўнг_, _ardy_, katt_, hêne, 
   {{0x29020727,0x85bb0fce,0x55bb009c,0x6d4f015c}},	//   _zaka_, _مارس_, _مطرح_, hica, 
   {{0x2902ce94,0x7aea01c4,0x3d1c00bd,0x613500bc}},	//   _yaka_, _öfte, यामे_, _dáln, 
   {{0x81ea0086,0x67270844,0x80af0033,0x637f0216}},	//   মিং_, _hojj, _টাঙ্, dêne, 
   {{0x200b0076,0x320c0102,0x3f990108,0x672701b8}},	//   íci_, _erdy_, êsu_, _kojj, 
   {{0x63a903b7,0x656bce95,0x2d92ce96,0x671c05f6}},	//   _iten, logh, _siye_, नायक_, 
   {{0x2d92366d,0x637f02aa,0x83fd010e,0x442fce97}},	//   _piye_, gêne, _győr, lyg_, 
   {{0xdb06014e,0x6d4fce98,0x656bce99,0xac0a1427}},	//   nskö, gica, nogh, анма_, 
   {{0x3ebece9a,0xae1711b7,0x69c500fc,0x2cadce9b}},	//   batt_, _گذشت, _avhe, ñeda_, 
   {{0x2902182b,0x3b0a0088,0x63a91c36,0x3ebe0036}},	//   _saka_, шего_, _mten, catt_, 
   {{0x2902ce9c,0x68f60088,0xdb060219,0x6f0300b3}},	//   _paka_, teyd, kskö, _ianc, 
   {{0x60db5634,0x6f03120c,0x63a91f64,0x6135014b}},	//   ngum, _hanc, _oten, _málo, 
   {{0x6f03ce9d,0x574ace9e,0x2902ce9f,0x6727008a}},	// [d940] _kanc, азам_, _vaka_, _bojj, 
   {{0x2902cea0,0x68f6cea1,0x00000000,0x00000000}},	//   _waka_, seyd, --, --, 
   {{0x2902cea2,0x60db0065,0x7d16cea3,0x613ccea4}},	//   _taka_, kgum, _knys, _héle, 
   {{0x186a2b68,0x7d0401ca,0x613c0175,0x00000000}},	//   _вами_, _jais, _kéle, --, 
   {{0x7d04cea5,0x06cc0086,0x25ad014b,0x69c100bc}},	//   _mais, র্ষি, _čele_, šlet, 
   {{0x7d04cea6,0xf1a6cc95,0x63a9085b,0x6d4f2631}},	//   _lais, орин, _dten, zica, 
   {{0x63a9cea7,0xd13a9ead,0x613c203a,0x6d4f02b8}},	//   _eten, ихи_, _léle, yica, 
   {{0x7d04cea8,0x442f0156,0x26c70228,0x60dbcea9}},	//   _nais, byg_, ónov_, ggum, 
   {{0x6f0300e2,0x3ebe004f,0x00000000,0x00000000}},	//   _banc, tatt_, --, --, 
   {{0x6d4fceaa,0x6f0340bd,0x61350183,0x75220bfc}},	//   wica, _canc, _fálo, ljoz, 
   {{0x6d4f1dfd,0x7d04ceab,0x3ebeceac,0x613c0019}},	//   tica, _bais, ratt_, _péld, 
   {{0x7d04a841,0x3ebecead,0x25a50183,0x6f0301fd}},	//   _cais, satt_, _élle_, _eanc, 
   {{0x6d4fceae,0x6135ceaf,0x60c00d40,0x6442c636}},	//   rica, _zálo, mamm, nzoi, 
   {{0x6f03498e,0x613cceb0,0x78a402be,0x637f019c}},	//   _ganc, _déle, eciv, mênc, 
   {{0x7d04ceb1,0xd90f00c5,0x637f02a0,0x9e6611b7}},	//   _fais, نید_, lênc, _باشن, 
   {{0x7d04ceb2,0x6f035802,0x9f5d0300,0x613c010e}},	//   _gais, _zanc, _aswè_, _féle, 
   {{0x6d4dceb3,0x6f030104,0x637f0165,0xd7fb00a3}},	// [d950] _imaa, _yanc, nênc, шув_, 
   {{0x7d04090b,0xb87b0183,0x6f03ceb4,0x00000000}},	//   _zais, _acíc, _xanc, --, 
   {{0x2d9cceb5,0x442f9c54,0x7d04095a,0x7d1600f8}},	//   _juve_, wyg_, _yais, _ynys, 
   {{0x2fc603ef,0x442f0750,0x61350126,0x9f42009e}},	//   _ovog_, tyg_, _cáll, îkê_, 
   {{0x18350137,0x656bceb6,0x61350042,0x3d1c059e}},	//   _זאָל_, rogh, _dáll, याते_, 
   {{0x637f03b7,0xa635005e,0x2d9cceb7,0xd6d8063e}},	//   dênc, _енгі, _ouve_, _мтс_, 
   {{0xe5c43aed,0x6d4d01ad,0x6f03036d,0x81f7010e}},	//   _осто, _omaa, _ranc, تہار_, 
   {{0x26c1ceb8,0x61350019,0xda5c00d1,0x63a9c9a9}},	//   laho_, _válo, יכול, _tten, 
   {{0x6f0333e8,0x63a9ceb9,0xe80e0790,0xaadc0e0d}},	//   _panc, _uten, सिया_, _बालक, 
   {{0x7d04ceba,0x6d4d0a8b,0x6f0302f1,0xfe45093d}},	//   _sais, _amaa, _qanc, зноо, 
   {{0x613c026d,0xe802047c,0x1d0a7489,0xab5b0019}},	//   _séle, _रैना_, бени_, tsün, 
   {{0xed5a00db,0x6f0313b6,0x60c0cebb,0x78bd875e}},	//   сом_, _wanc, camm, _nesv, 
   {{0x6f03cebc,0x7d04cebd,0x637f02aa,0x26c1011b}},	//   _tanc, _vais, cênc, kaho_, 
   {{0x613c006b,0x200f012d,0x26c11aa9,0xdb060228}},	//   _véle, _irgi_, jaho_, jskô, 
   {{0x7d04cebe,0x78bd08c2,0xb4bb109f,0x644219b1}},	//   _tais, _besv, _आजू_, zzoi, 
   {{0x7d040a75,0x7529023a,0x3f9d033e,0x613c3ba1}},	//   _uais, _noez, _kuwu_, _téle, 
   {{0x78bdcebf,0xf8bf0068,0xaa8a0274,0xd7f9004f}},	// [d960] _desv, _toén_, _گندم_, жує_, 
   {{0x869acec0,0x78a401d8,0x7bc65ef5,0x2b1d0b3e}},	//   стат_, sciv, msku, माणु_, 
   {{0x1a9b0137,0x7bc61ec7,0x4a9b00c7,0x60cb00ef}},	//   _לייע, lsku, _לייג, _odgm, 
   {{0x63760012,0xc4860b0d,0xdb0d008c,0xaadc031e}},	//   mâni, плек, _hvað, _बाँक, 
   {{0x26c1cec1,0x6135006b,0x7bc6cec2,0x60c000c8}},	//   baho_, _váll, nsku, vamm, 
   {{0xfc3f0634,0x61350183,0x637f0165,0xf4870274}},	//   ncía_, _dálm, vênc, سانی, 
   {{0x2fc603ef,0xa50a0141,0x60c0cec3,0x200f0a9f}},	//   _svog_, _лева_, tamm, _argi_, 
   {{0xd13000eb,0x637f02a0,0x7bc65ac8,0xb0c60a09}},	//   ئمة_, tênc, ksku, रृंग, 
   {{0x60c01ec7,0x394002cd,0x2d9c169c,0xa4f10213}},	//   ramm, ihis_, _suve_, lışı_, 
   {{0x60c0a9c0,0x637f00ce,0x6d4d0af8,0x75290053}},	//   samm, rênc, _smaa, _zoez, 
   {{0x2cad4ae7,0x637f02a0,0x6d4d012b,0x7bc60228}},	//   ñedo_, sênc, _pmaa, esku, 
   {{0x2fc604d1,0xc27b00fe,0x26c13c4e,0xf8bf0096}},	//   _tvog_, _פראי, zaho_, _coél_, 
   {{0x39404e5e,0x7bc6447c,0x78bd0844,0xdfcf0038}},	//   dhis_, gsku, _resv, _مين_, 
   {{0x2d9ccec4,0x78bd2fab,0x6ffb00a7,0xab5b010e}},	//   _tuve_, _sesv, _להדפ, csül, 
   {{0x637602a0,0x81ea0086,0xde5700dd,0x26c10199}},	//   gâni, মিক_, _наші_, vaho_, 
   {{0x6d4dcec5,0x3940161c,0x26c1cec6,0xa3cd02e6}},	//   _umaa, ghis_, waho_, _शटल_, 
   {{0xb905641b,0x779802c0,0x26c1cec7,0x27060033}},	// [d970] _ना_, зкур_, taho_, রানো_, 
   {{0xc6a4cec8,0x629a012b,0x6abe0380,0x6fcf009a}},	//   ерци, _ngto, _gepf, _दिसू, 
   {{0x7529cec9,0x273f010c,0x26c1099d,0x6d5dceca}},	//   _poez, _nîne_, raho_, onsa, 
   {{0x6d5d004c,0xdced03f5,0x394018e9,0x613535b6}},	//   nnsa, _okač, chis_, _pálm, 
   {{0xdfc60ce0,0x2919002e,0x2d5202ee,0xdce601dd}},	//   _جي_, _insa_, kšen_, nokā, 
   {{0x273f0218,0x27e91041,0x69c7cecb,0x68edcecc}},	//   _bîne_, mtan_, osje, lfad, 
   {{0xd01504bd,0x69c700dd,0x7529012e,0xe805000c}},	//   तम्भ_, nsje, _toez, रिका_, 
   {{0x56947be1,0x7bc6cecd,0x29090010,0x20d50451}},	//   _част, ysku, ndaa_, фікс, 
   {{0x600611c5,0x69d502f2,0x3d1c00c9,0xdb1dcece}},	//   дным_, hrze, यासे_, lusõ, 
   {{0x27e9cecf,0x02a7276b,0x3339040f,0x69c77250}},	//   itan_, _храм, _بزرگ_, ksje, 
   {{0x69d50035,0x29190102,0x3d0f00bd,0x27e9ced0}},	//   jrze, _onsa_, _तोहे_, htan_, 
   {{0x62810112,0x27e9ced1,0x69c7ced2,0x69d50035}},	//   _izlo, ktan_, dsje, drze, 
   {{0x27e90a9d,0x68ed00eb,0x3d1e0394,0x63bb0175}},	//   jtan_, dfad, _बचीं_, _jwun, 
   {{0x2919ced3,0xdce400d2,0x63760165,0x9f8400dd}},	//   _ansa_, _okić, tâni, _згід, 
   {{0x3940ced4,0xfc3f2772,0x27e902ba,0x68edced5}},	//   this_, rcía_, etan_, ffad, 
   {{0x27e9ced6,0x291901f5,0x63bb2835,0x613c42b8}},	//   ftan_, _cnsa_, _owun, _kéla, 
   {{0x27e902dc,0xb8f6000d,0xb87b00bc,0x69d505f7}},	// [d980] gtan_, _सय_, _sbír, arze, 
   {{0x3940023b,0x613c026a,0x3d1c00a2,0x6281032f}},	//   shis_, _méla, यावे_, _ozlo, 
   {{0x27e90730,0xd9460163,0x7afcced7,0x63bbacfa}},	//   atan_, _жени, mert, _awun, 
   {{0x69dcced8,0x7afcced9,0x27e902dc,0x6135ceda}},	//   mure, lert, btan_, _dálk, 
   {{0x27e97ba1,0x0edd00a2,0x59830769,0x938a07a4}},	//   ctan_, _मांड, _шлюб, оска_, 
   {{0x7afccedb,0xbfa500e7,0x613501d5,0x00000000}},	//   nert, _việ, _fálk, --, 
   {{0x63bbcedc,0x6d5dcedd,0x7afc7340,0x3cf200de}},	//   _ewun, ynsa, iert, _obyv_, 
   {{0x7afccede,0x613c0800,0x6fbf0f7a,0x637f0216}},	//   hert, _béla, लीभू, rêna, 
   {{0xbcfb0518,0x69dccedf,0x6d5dcee0,0xe2ca0b68}},	//   nnée, hure, éram, _млад_, 
   {{0x3ce10077,0x613c026a,0x273f0218,0x7afccee1}},	//   _काहे_, _déla, _tîne_, jert, 
   {{0x68ed01f0,0xc0ca02a0,0x2ca90502,0x63a0cee2}},	//   yfad, _дуле_, _pfad_, _humn, 
   {{0x613c010d,0x27e9cee3,0x63a03bd9,0x69dc78aa}},	//   _féla, ytan_, _kumn, dure, 
   {{0x7afccee4,0x2d521bcd,0x27e90216,0x61ea14a1}},	//   fert, pšen_, xtan_, ltfl, 
   {{0x69d5006a,0x7afccee5,0x69c72da2,0xc4c4006b}},	//   trze, gert, tsje, _ھے_, 
   {{0x69dccee6,0xda78cee7,0x9e0300d3,0xb98500f0}},	//   gure, дят_, _ачыл, етақ, 
   {{0x69c7cee8,0x6376020f,0x78b60ff2,0x00000000}},	//   rsje, mânu, gbyv, --, 
   {{0x6b9700c3,0x68edcee9,0x27e9ceea,0xbcfb0107}},	// [d990] _tixg, rfad, utan_, gnée, 
   {{0x27e9ceeb,0x69d5006a,0x9f9a030f,0x7bddceec}},	//   rtan_, prze, mään_, musu, 
   {{0x27e9ceed,0x7bdd660c,0x7ae561e1,0x69dcceee}},	//   stan_, lusu, _icht, cure, 
   {{0x27e9ceef,0x29190bc1,0x613500bc,0x00000000}},	//   ptan_, _unsa_, _válk, --, 
   {{0x7bdd3027,0x9f9a0088,0x27ff0093,0x6281010e}},	//   nusu, nään_, _èun_, _szlo, 
   {{0x63a00012,0xc2c50038,0x61ea8306,0x613c1a3b}},	//   _dumn, ريبي, ftfl, _réla, 
   {{0xa4d502fb,0xe1f10e70,0xe296cef0,0x7bdd10f9}},	//   _пові, است_, наш_, husu, 
   {{0x7bddcef1,0x7afc1188,0x9f9a030f,0x9f420218}},	//   kusu, zert, kään_, îkî_, 
   {{0x7ae5cef2,0x9f9a00c8,0x63bb2aa7,0x63c100d8}},	//   _ocht, jään_, _uwun, ávně, 
   {{0x200dcef3,0x7bddcef4,0x6135008c,0x798d04a3}},	//   rvei_, dusu, _máli, hmaw, 
   {{0x7afc3455,0x06cc00cc,0x06d50086,0xfce6107a}},	//   vert, র্কি, স্থি, ноно, 
   {{0x7ae5c9d3,0x7afc4fa8,0xc0e900d4,0x69dccef5}},	//   _acht, wert, _رفتن_, vure, 
   {{0x7afccef6,0x3ce10a34,0x7bddcef7,0x798d0175}},	//   tert, _कारे_, gusu, dmaw, 
   {{0x69dccef8,0x06d50086,0x7afccef9,0xdbd200c2}},	//   ture, স্তি, uert, müüj, 
   {{0x7afccefa,0x63767116,0x2cab007a,0x00000000}},	//   rert, mânt, éidí_, --, 
   {{0x7ae5cefb,0x69dccefc,0x7bdd8808,0x7afc0139}},	//   _echt, rure, busu, sert, 
   {{0x7afc1630,0xfaa6069b,0x6135248c,0x69dc0513}},	// [d9a0] pert, _папо, _cáli, sure, 
   {{0xe2050029,0x38660405,0xbcfb026a,0x98c501dd}},	//   _đóng_, ħor_, rnée, ētās_, 
   {{0x63a003ef,0x1f36035c,0x2d5202d9,0x00000000}},	//   _sumn, ערער_, yšel_, --, 
   {{0x80be05fd,0x53e6cefd,0x63a000b3,0x2d5200ca}},	//   _एजें, ецка, _pumn, kšem_, 
   {{0x613516a8,0x3ce100a5,0x2d520352,0x00000000}},	//   _gáli, कलते_, jšem_, --, 
   {{0x4908000d,0xae1f3cae,0x61ea0679,0x620600b3}},	//   ाएको_, यमान_, ttfl, ечиз, 
   {{0x3ce10035,0x6135014b,0xf77700d1,0xf8bf0096}},	//   _काले_, _záli, _נעלי_, _boéh_, 
   {{0x2d5202d9,0xab5b00c2,0x9f9a0080,0x7bdd11c7}},	//   ušel_, tsük, yään_, yusu, 
   {{0xe8133e41,0x273f0218,0xf8bf0175,0x98a90083}},	//   ठिया_, _hîna_, _soék_, skać_, 
   {{0x9f9a00c8,0x798d0035,0x7e4608b8,0xf8bf002c}},	//   vään_, zmaw, ехме, _poék_, 
   {{0x2bd30a09,0x273f010c,0xb1e50038,0x7bdd016c}},	//   _तिहा, _jîna_, _لأنه, wusu, 
   {{0x9f9a0df8,0x273f078a,0x3ce100a2,0x8fa6b0ca}},	//   tään_, _mîna_, _काळे_, _заде, 
   {{0x613c2ec6,0x3c460212,0x9d1808ba,0x00000000}},	//   _hélo, _rêvé_, хоят_, --, 
   {{0xf8b8001b,0x60c2cefe,0x63760e5f,0x613c10fd}},	//   _đĩa_, _heom, cânt, _kélo, 
   {{0x2bd30077,0x0a6829e7,0x7bdd31f8,0x798d57e9}},	//   _तिवा, ерти_, susu, tmaw, 
   {{0x9f9a0088,0x99980a84,0x7bddceff,0x798d016a}},	//   sään_, екст_, pusu, umaw, 
   {{0x671c143e,0xa3d2048e,0xa7750267,0x67d4315d}},	// [d9b0] नांक_, _विष_, влач, лоту, 
   {{0x613507ca,0x4de400a5,0xade4695f,0x65c70019}},	//   _váli, _कमाई_, _कमान_, _néhá, 
   {{0x78a20098,0x2d520228,0x6f0a0532,0xb60601dd}},	//   žova, dšej_, _mafc, jušā, 
   {{0x60c21878,0x61350679,0xb4cb009a,0xa4d5004f}},	//   _neom, _hálv, लणे_, тоді, 
   {{0x672e01f2,0x66b300f0,0xd7f80176,0xa2e501ff}},	//   _fobj, _бұзу, _пур_, волд, 
   {{0x2d520112,0x69da0369,0x613c011c,0x6ad30033}},	//   všem_, áteg, _bélo, দ্রো, 
   {{0x290ba43f,0x637600d9,0x7a3c00c8,0x6135003e}},	//   _kaca_, vânt, mätö, _málv, 
   {{0x290b090b,0x26c3033e,0x659413c3,0x613c0bde}},	//   _jaca_, _hejo_, _басу, _délo, 
   {{0x33f419c7,0x290bcf00,0x63b4014b,0x60c2849d}},	//   _مسلس, _maca_, čený, _deom, 
   {{0xee390d48,0xddd8012d,0xa2db34be,0xdb1dcf01}},	//   дно_, _gyvū, _नाट्, nssä, 
   {{0x0d8652d5,0x7bcd00c8,0x26c3cf02,0x1e82cf03}},	//   клон, _avau, _mejo_, ильм, 
   {{0x70520a24,0xd14b0038,0xc0cb0080,0x2d89cf04}},	//   انیا, _عشان_, _хуже_, _chae_, 
   {{0x06cc0086,0xafe51d7e,0x26c30175,0xd009cf05}},	//   র্টি, _ролл, _oejo_, _целе_, 
   {{0xd5d10081,0xeb97048a,0xbea2cf06,0x26c3cf07}},	//   _हिंज, кия_, _кашк, _nejo_, 
   {{0x290b1191,0xeb97cf08,0x44200023,0x2d520121}},	//   _baca_, тир_, ̣i_, nšek_, 
   {{0x60c203da,0x00000000,0x00000000,0x00000000}},	//   _xeom, --, --, --, 
   {{0x290b0aa4,0x672e02a8,0x26c31b6b,0x3d1800aa}},	// [d9c0] _daca_, _pobj, _bejo_, _बोये_, 
   {{0x5fd400a2,0x249f0089,0x6fd40035,0x61350369}},	//   _दिसल, _agum_, _दिसं, _gálv, 
   {{0x26c3cf09,0xe7fe0c06,0x290bcf0a,0x83fd0019}},	//   _dejo_, _उनका_, _faca_, _győz, 
   {{0x273f009e,0x290b0027,0x6d460231,0x00000000}},	//   _vîna_, _gaca_, nhka, --, 
   {{0x69da00d2,0x5ed90086,0x2900988f,0x6d5d0107}},	//   šted, ব্যে, meia_, érai, 
   {{0x60c2cf0b,0x27e098cf,0x6135003e,0x68e4cf0c}},	//   _seom, muin_, _málu, lgid, 
   {{0x44200012,0x5fd40077,0x212f00a1,0x27e0288b}},	//   ţi_, _दिहल, _bogh_, luin_, 
   {{0x68e443b5,0x290027c7,0xfbd304cc,0x613c0107}},	//   ngid, neia_, _तिलम, _vélo, 
   {{0x60c20ca5,0x53a623de,0xc9530a33,0x27e0cf0d}},	//   _veom, _разб, ימה_, nuin_, 
   {{0x2900cf0e,0x6376020f,0x2b58018e,0x00000000}},	//   heia_, râns, jirc_, --, 
   {{0x27e0cf0f,0x3d95cf10,0xceb817d0,0x212f0566}},	//   huin_, лиор, rbę_, _fogh_, 
   {{0x6135248c,0x27e0cf11,0xc8e1017d,0x09b10033}},	//   _sálv, kuin_, _फाइट, _ছিলা, 
   {{0x4426cf12,0x2900cf13,0x27e0016a,0x290bcf14}},	//   nxo_, deia_, juin_, _raca_, 
   {{0x4426874b,0x6d46085f,0x290b2123,0x27e0cf15}},	//   ixo_, ahka, _saca_, duin_, 
   {{0x4f9b00a7,0x6135b77f,0x2ba50262,0x78a20228}},	//   _קבוצ, _válv, _गंवा, ľovn, 
   {{0x6d46cf16,0x6d870019,0x68e4cf17,0x2900019c}},	//   chka, _جمعہ_, ggid, geia_, 
   {{0x64a5032e,0x27e000d3,0xdb1d0219,0x3f9c527f}},	// [d9d0] қала, guin_, tssä, _kivu_, 
   {{0x7d0d9e75,0xa6cc0086,0x920200bd,0x290b00d7}},	//   _haas, র্ঘট, लबाज_, _waca_, 
   {{0x7d0dcf18,0x442603da,0x26c3cf19,0x290bcf1a}},	//   _kaas, exo_, _vejo_, _taca_, 
   {{0x65620082,0x27e0011d,0x2d520352,0xb33c008a}},	//   gnoh, buin_, všek_, _jiħf, 
   {{0x7d0dcf1b,0x26c3cf1c,0x6135cf1d,0x4ab70cb8}},	//   _maas, _tejo_, _mált, _अभाव, 
   {{0x7d0d0691,0x799dc4da,0x78adcf1e,0x00000000}},	//   _laas, _hisw, lcav, --, 
   {{0x799d0010,0x51f50038,0x2d5200d8,0x656200de}},	//   _kisw, استر, ušek_, bnoh, 
   {{0x7d0d3f69,0x6009cf1f,0x78adcf20,0x3ce90201}},	//   _naas, еним_, ncav, _ncav_, 
   {{0xbea513c3,0x34940267,0x799dcf21,0x00000000}},	//   лапк, _ватр, _misw, --, 
   {{0x257c05a8,0x48160070,0x5f450189,0x212f011c}},	//   víli_, אַטן_, اندل, _wogh_, 
   {{0x7d0dcf22,0x43940e65,0x3f9ccf23,0x6135001d}},	//   _baas, _тафс, _divu_, _bált, 
   {{0x6d4628a1,0x10152ee1,0xf1d4022c,0x27e007fc}},	//   uhka, _مبتد, _төшө, yuin_, 
   {{0x29002aa3,0x60c9cf24,0x68e49168,0x61350354}},	//   veia_, maem, vgid, _dált, 
   {{0x6d468028,0x60c90175,0x257c11e4,0xa03a0070}},	//   shka, laem, ríli_, _רעספ, 
   {{0x6135ce85,0x7d0d01a4,0x2900a0f2,0xed5a0240}},	//   _fált, _faas, teia_, _пок_, 
   {{0x2bdc0262,0x2d95cf25,0x7d0dcf26,0x3f9c015e}},	//   _बिपा, _крыс, _gaas, _zivu_, 
   {{0x6d440010,0x6d56024d,0x2900cf27,0x44260036}},	// [d9e0] _ilia, _imya, reia_, xxo_, 
   {{0x613c010e,0x27e0a499,0x60c90696,0x68e4cf28}},	//   _célj, ruin_, haem, sgid, 
   {{0x7d0dcf29,0x6d44cf2a,0x29001484,0x3a250219}},	//   _yaas, _klia, peia_, älpt_, 
   {{0x44260c0d,0x6135008c,0x78adcf2b,0x69ce14a1}},	//   txo_, _máls, ccav, msbe, 
   {{0x69ce3402,0x27e0cf2c,0x6562cf2d,0x44260ff9}},	//   lsbe, quin_, rnoh, uxo_, 
   {{0x4426cf2e,0x46a3591f,0x6f010e67,0xfbdc2ba3}},	//   rxo_, _гарв, jelc, _बिनम, 
   {{0x3f9ccf2f,0x6d44431c,0x267900b3,0x799d0610}},	//   _rivu_, _olia, _астэ_, _yisw, 
   {{0x3d0e0da6,0x69cecf30,0x4fd448f2,0x3f9c0088}},	//   ियों_, isbe, ажит, _sivu_, 
   {{0xddcfcf31,0x3f9c9df0,0x3d1808f1,0x7d0dcf32}},	//   _češn, _pivu_, _बोधे_, _raas, 
   {{0x69ce6601,0x8ff700eb,0x7d0d4e30,0x61352033}},	//   ksbe, ارير_, _saas, _báls, 
   {{0x6d444873,0x7d0dcf33,0x3f82002a,0x60c902a5}},	//   _blia, _paas, ēku_, baem, 
   {{0x6d440a92,0x628800e0,0x3f9c0548,0x60c9019c}},	//   _clia, _izdo, _wivu_, caem, 
   {{0x6135006b,0x7d0dcf34,0x3f9c0036,0x6d4401be}},	//   _vált, _vaas, _tivu_, _dlia, 
   {{0x799dcf35,0x7d0d2f2e,0x6d560298,0x16041f22}},	//   _sisw, _waas, _emya, रबार_, 
   {{0x7d0dcf36,0x613c006b,0x69cecf37,0x6d44cf38}},	//   _taas, _nélk, gsbe, _flia, 
   {{0x6d44cf39,0x78ad00d2,0x6288014b,0xeab00019}},	//   _glia, ucav, _mzdo, قعہ_, 
   {{0xd6db6020,0x2bdc05e5,0x78adcf3a,0x69dccf3b}},	// [d9f0] ете_, _बिया, rcav, arre, 
   {{0x78adcf3c,0x62881175,0x7bcf0065,0x6d440032}},	//   scav, _ozdo, mscu, _zlia, 
   {{0x78ad2ca4,0xe7840080,0x6d440080,0x799d007b}},	//   pcav, суто, _ylia, _tisw, 
   {{0xf8b11fdb,0x613c031e,0xf8bf0096,0x637f019c}},	//   _ذکر_, _délk, _coét_, mêni, 
   {{0x7bcf2752,0xd00617ba,0x02c5ce51,0x39490a75}},	//   nscu, _بل_, айло, mhas_, 
   {{0x394903b7,0x2fcd05ae,0x973204f2,0x257c02d9}},	//   lhas_, vseg_, _وکلا, dílu_, 
   {{0xe125cf3d,0x60c97a69,0x7bdd0502,0x20020241}},	//   имки, taem, hrsu, çkin_, 
   {{0x3949cf3e,0xb4f90137,0x6f010380,0x2fcd52e6}},	//   nhas_, _שפּי, welc, tseg_, 
   {{0x657b012b,0xbcfb010e,0xcf452024,0xab5b134e}},	//   _ikuh, tnén, иний, nsüs, 
   {{0xff510040,0x6d44cf3f,0x7777003d,0x317f0183}},	//   تخب_, _slia, noxx, sluz_, 
   {{0x32670e9a,0x6d44cf40,0x4d6682ad,0x23ab01cc}},	//   _став, _plia, иков, _høj_, 
   {{0xed5acf41,0x2fcd00ef,0x69ce0343,0x8d56cf42}},	//   том_, pseg_, vsbe, рточ, 
   {{0x65692f4e,0x3949cf43,0x212d08e3,0x657b0102}},	//   _mjeh, dhas_, mjeh_, _mkuh, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x61e33699,0x7e7900c7,0x637f0165,0x657b0539}},	//   nunl, _באַז, gêni, _okuh, 
   {{0x6d5d026d,0x98a30ec4,0x69cecf44,0x39490ae7}},	//   érat, жите, rsbe, ghas_, 
   {{0x46ea02f1,0x69ceb763,0xa7a70267,0x37e61581}},	// [da00] кдан_, ssbe, икта_, розг, 
   {{0x6844005e,0x61e3132c,0x69ce123b,0xe6c50038}},	//   анға, kunl, psbe, متمي, 
   {{0x39490094,0xaadb00a7,0x1dab0083,0x00000000}},	//   bhas_, _בחיר, _घूमत, --, 
   {{0x3949cf45,0x00000000,0x00000000,0x00000000}},	//   chas_, --, --, --, 
   {{0xb6a600dd,0xe3af1117,0x7c220183,0x212d0e67}},	//   _вигл, ورو_, _áord, djeh_, 
   {{0x68f60156,0xb87b0090,0xf746bebb,0x00000000}},	//   lfyd, _acíw, _тего, --, 
   {{0x613ccf46,0xf8aa0466,0x6ce600a5,0xd6270176}},	//   _héli, _कलाय, _कांग_, _коре_, 
   {{0x213f02f6,0x3940cf47,0x2912052b,0x23ab02c9}},	//   gkuh_, nkis_, ndya_, _føj_, 
   {{0xa2e64986,0x27f20156,0x29370070,0xdb040534}},	//   _возд, ntyn_, שאפן_, _dtiú, 
   {{0x613ccf48,0x00000000,0x00000000,0x00000000}},	//   _méli, --, --, --, 
   {{0x628801dd,0x2d68090e,0x3940cf49,0x00000000}},	//   _uzdo, rđen_, kkis_, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xcb220a44,0x613c0183,0x2d8501dd,0xc3090033}},	//   मांड_, _néli, ēle_, লারি_, 
   {{0x0ebacf4a,0x637f019c,0xbcfb0098,0xdb1d0bf7}},	//   _руды_, têni, mném, nssø, 
   {{0x39492d4c,0x98c70849,0x7bcfcf4b,0xf99f8ec2}},	//   thas_, исал, sscu, _piè_, 
   {{0x3ce1119b,0x3940cf4c,0x7c2201dd,0x613c7bb3}},	//   _काटे_, gkis_, _šore, _béli, 
   {{0x6d5dbc61,0xf0930137,0x613ccf4d,0x61e30761}},	// [da10] misa, ַנע_, _céli, zunl, 
   {{0x6d5dcf4e,0x613c026d,0xf7701ea7,0x657b0692}},	//   lisa, _déli, وال_, _skuh, 
   {{0x3d1c02f8,0x656900ef,0x3940023b,0x2d520352}},	//   याचे_, _pjeh, bkis_, ršev_, 
   {{0x613ca77d,0x84b7004e,0x3940cf4f,0x61e3cf50}},	//   _féli, рғау_, ckis_, vunl, 
   {{0x98a9090e,0x39590327,0x65690034,0xbcfb00da}},	//   njač_, _imss_, _vjeh, jném, 
   {{0xdb040084,0x6d5dcf51,0xfbb800a7,0x61e326e6}},	//   _stiú, hisa, ספות_, tunl, 
   {{0x3ce802f8,0xdb0424d8,0x45d429e7,0xfbdf010c}},	//   _झाले_, _quié, _морс, hrê_, 
   {{0x61e301f0,0x6b4b0019,0x23ab055f,0x6d5dcf52}},	//   runl, _függ, _tøj_, jisa, 
   {{0x6d5dcf53,0x613c0183,0x6735334f,0x61e30585}},	//   disa, _xéli, _kozj, sunl, 
   {{0x98a90f23,0x43850038,0xdb0401be,0x91710108}},	//   djač_, _الطق, _ftiù, _mở_, 
   {{0x212d0f30,0x63a90010,0x6d5dcf54,0x99a600ca}},	//   pjeh_, _huen, fisa, _žuži_, 
   {{0x6d5d6617,0x63a9086d,0x200b055f,0x6aa5008a}},	//   gisa, _kuen, æcis_, _aghf, 
   {{0x814c07f5,0x517400eb,0x417400eb,0x63a9cf55}},	//   _בעאַ, _بالأ, _بالس, _juen, 
   {{0x98a0090b,0x7fb400d6,0x39590097,0x6d5dcf56}},	//   ljić_, _بلوچ, _amss_, érar, 
   {{0xaa43cf57,0x3940cf58,0x63a90080,0x00000000}},	//   перл, tkis_, _luen, --, 
   {{0x6d5dc5fc,0x6281cf59,0x98a01462,0xccc6093d}},	//   cisa, _mylo, njić_, _убий, 
   {{0x7d060088,0x3940cf5a,0x6735090e,0x63a9cf5b}},	// [da20] meks, rkis_, _bozj, _nuen, 
   {{0xa3ab0a44,0xdb0e0088,0x3940cf5c,0x443d03c6}},	//   _गढ़_, äkär, skis_, dyw_, 
   {{0x27f2cf5d,0xb8ee0086,0x2f5a0070,0xbcfb00da}},	//   styn_, _রা_, נדענ, zném, 
   {{0x63a96353,0x7d06cf5e,0xa8b900d9,0x5693004f}},	//   _buen, neks, _вырф_, чаєт, 
   {{0x63a90f46,0xdb04004c,0x63a109ad,0x6ba1035d}},	//   _cuen, _stiù, _biln, _üzgü, 
   {{0x63a902ba,0x6d5d33f2,0x27e0cf5f,0x7d0614b9}},	//   _duen, zisa, mrin_, heks, 
   {{0x6d5dcf60,0x26d8a5c1,0x63a1cf61,0x63a9019c}},	//   yisa, _idro_, _diln, _euen, 
   {{0x3d183b41,0x63a93826,0x7d06cf62,0x463b0137}},	//   _बोले_, _fuen, jeks, _געלע, 
   {{0x27e0085b,0x26cacf63,0xe8e0001b,0x63a103c5}},	//   nrin_, _kebo_, _ngọt_, _filn, 
   {{0x6d5dcf64,0x26ca04a1,0x9df803b7,0xbcfb0098}},	//   wisa, _jebo_, анот_, rném, 
   {{0x6d5dcf65,0x877b008d,0xa3e4215e,0xdd954544}},	//   tisa, ראיי, पूर_, жаны, 
   {{0x27e0cf66,0x26ca0187,0x63a1002e,0x2b5a0183}},	//   krin_, _lebo_, _ziln, _ampc_, 
   {{0x4096057f,0x63a102f1,0x703a024f,0x69da0228}},	//   _الشر, _yiln, _حساس_, áten, 
   {{0x26ca0351,0x6d5dcf67,0x27e0cf68,0xfbdf010c}},	//   _nebo_, sisa, drin_, rrê_, 
   {{0x69da02f5,0x237e00ef,0x67352a66,0x6ce700e4}},	//   šten, _mktj_, _rozj, _ліпе, 
   {{0x8e830084,0x19580f82,0x26d8bf42,0x7d0601f0}},	//   _عليه, басы_, _adro_, ceks, 
   {{0x4735cf69,0x588700c8,0xe8940080,0x26ca00df}},	// [da30] онас, сыва, зать, _bebo_, 
   {{0x2b5a0183,0x6b4b0502,0x26ca001d,0x79840539}},	//   _gmpc_, _büge, _cebo_, aliw, 
   {{0x63a90bf1,0x26ca0503,0x368b0176,0x6d680183}},	//   _suen, _debo_, усан_, _ásaí, 
   {{0x63a18375,0x63a96353,0x27e0024a,0xe4cb00d4}},	//   _siln, _puen, brin_, ابان_, 
   {{0x63a1cf6a,0x25ad00d2,0x63a90c7c,0xe7871753}},	//   _piln, _čelu_, _quen, _гуво, 
   {{0x41b50a71,0xfbdc01a4,0x443d00f8,0xa3af0790}},	//   осит, _बिसम, ryw_, _ऐंठ_, 
   {{0x63a10904,0x26c102fe,0x63bc0121,0x7d06cf6b}},	//   _viln, mbho_, _črne, yeks, 
   {{0xf0a903ea,0x13a700d4,0x63a9b7bd,0x62810356}},	//   шкил_, _هنری_, _tuen, _vylo, 
   {{0xe81c0d95,0xbcfb026e,0x6594109a,0x7d066066}},	//   निया_, mnéh, _хату, veks, 
   {{0xbcfb026e,0x289c00c7,0x248d0082,0x2d680082}},	//   lnéh, ניזא, _izem_, rđem_, 
   {{0x2bdc0fec,0x27e06706,0xdced0228,0x79960035}},	//   _बिहा, zrin_, _diaľ, ymyw, 
   {{0xbcfb026e,0x2fdf0704,0x78a20097,0x6d5d026a}},	//   nnéh, prug_, žovi, érap, 
   {{0x613c21dc,0x00000000,0x00000000,0x00000000}},	//   _célu, --, --, --, 
   {{0x7d06cf6c,0x613c010e,0x27e0403b,0x637f019c}},	//   seks, _délu, vrin_, cênt, 
   {{0xfaa372d7,0x7d06cf6d,0x26cacf6e,0xcb6700b3}},	//   даро, peks, _rebo_, царе_, 
   {{0x27e0cf6f,0xbcfb1102,0x201d0035,0x7984cf70}},	//   trin_, jnéh, _krwi_, uliw, 
   {{0xbcfb143b,0x60cb0019,0x7984cf71,0x3ce6034d}},	// [da40] dnéh, _megm, rliw, कलीं_, 
   {{0x27e0cf72,0x2b5a0626,0x23e001a4,0x25aa115b}},	//   rrin_, _umpc_, _निबद, _publ_, 
   {{0xe4a603a1,0xb87b007a,0x248d0034,0x27e0cf73}},	//   орло, _scít, _azem_, srin_, 
   {{0x92a60083,0x27e0037e,0x86990080,0xa3ce0299}},	//   zyłą, prin_, стут_, _शबद_, 
   {{0x26ca02cd,0xe5a329ad,0x613c010e,0x87b9aa41}},	//   _tebo_, фици, _mélt, _густ_, 
   {{0x248d00ef,0x8c1b00a7,0xb33c008a,0xb87b00de}},	//   _dzem_, יוני, _biħa, _vcít, 
   {{0x2d80cf74,0xbcfb0254,0x60cb040c,0x20180243}},	//   _okie_, bnéh, _begm, ārim_, 
   {{0xbcfb014b,0x200f01f5,0x00000000,0x00000000}},	//   cnéh, _bsgi_, --, --, 
   {{0xf9931900,0xff060445,0x60cbcf75,0x637f02aa}},	//   ורה_, оянн, _degm, tênt, 
   {{0x35af00aa,0x00000000,0x00000000,0x00000000}},	//   _जूड़, --, --, --, 
   {{0x69da031e,0x171b0070,0x613c8c7c,0x826600d7}},	//   átel, בויע, _sélu, _بهان, 
   {{0x8fa60def,0x6eba0fc0,0x2d9263b7,0x3f8503c6}},	//   _даде, _श्रु, _chye_, allu_, 
   {{0x69dacf76,0x98a90187,0xa6d50086,0x4f650019}},	//   štel, tiaľ_, স্টট, _کانف, 
   {{0xada50228,0x2bdc031e,0x23b00212,0xbcfb497e}},	//   _skúš, _बिरा, _màj_, inéi, 
   {{0x613c039f,0x68fd00a1,0x00000000,0x00000000}},	//   _félt, _pbsd, --, --, 
   {{0xed5808bd,0x98a90032,0x57b54da5,0x00000000}},	//   _мој_, siaľ_, збат, --, 
   {{0xbcfb143b,0x2ca90447,0x27140033,0xfc3f022c}},	// [da50] vnéh, _igad_, ঠানো_, rcís_, 
   {{0x65b301f2,0xf539020b,0x00000000,0x00000000}},	//   _aħha, _piťo_, --, --, 
   {{0xbcfb026e,0xab9800eb,0x248d010e,0x6376020f}},	//   tnéh, _بخير_, _szem_, bânz, 
   {{0xaae70a5a,0x02b3031e,0xaba8009c,0x6d4f0210}},	//   _اسکو, ँड्न, _دهیم_, nhca, 
   {{0x69d54000,0xbcfb026e,0x60cb0326,0x588446d9}},	//   lsze, rnéh, _regm, _жыра, 
   {{0x27e91e79,0xbcfb014b,0x248400e2,0x2126011d}},	//   muan_, snéh, _dymm_, _anoh_, 
   {{0x27e9cf77,0x4429002e,0xe5732e10,0x69d52eab}},	//   luan_, ţa_, _قطر_, nsze, 
   {{0x2bdc000f,0x26000035,0x2d6800ca,0x659459fd}},	//   _बिला, _रहती_, rđek_, _жасу, 
   {{0x27e9cf78,0x6d4f1a29,0x68ed0ff9,0x6dba008a}},	//   nuan_, dhca, igad, _jċaf, 
   {{0x2ca9cf79,0xa069004e,0x69d50019,0x21262ee2}},	//   _agad_, _қала_, ksze, _enoh_, 
   {{0x27e9466e,0x656bcf7a,0x69d50035,0x290900c8}},	//   huan_, ongh, jsze, keaa_, 
   {{0x27e9cf7b,0x656bcf7c,0x69d54000,0x311403bd}},	//   kuan_, nngh, dsze, _офіс, 
   {{0x27e9286b,0x31b10019,0x81ad0086,0x50670038}},	//   juan_, _ház_, _কবি_, _بطاق, 
   {{0x27e99f78,0x63bbcf7d,0xa026008c,0x2d99814d}},	//   duan_, _mtun, stöð, amse_, 
   {{0x6b500750,0x69d50019,0x29d7003d,0x27140033}},	//   _lägg, gsze, għa_, ঠামো_, 
   {{0x68edcf7e,0x63bbcf7f,0xc2120070,0x6e3c1111}},	//   ggad, _otun, עהן_, ärbe, 
   {{0x200d0237,0xb9043b5f,0x63bbcf80,0xdb050216}},	// [da60] nwei_, _नय_, _ntun, _mihê, 
   {{0x7d16cf81,0x6d460088,0x68ed55ae,0xf1070c59}},	//   _hays, lkka, agad, वजुद_, 
   {{0x7d16cf82,0x63bbcf83,0x6d461279,0x00000000}},	//   _kays, _atun, okka, --, 
   {{0x27e936ff,0x6d46cf84,0x92e80086,0x6b5002ae}},	//   buan_, nkka, _বসে_, _bägg, 
   {{0x7d16aa0f,0x293700c7,0x6d460088,0x9f44cf85}},	//   _mays, _זאכן_, ikka, sumé_, 
   {{0x656b0084,0x63bb016a,0x7d160104,0xbcfb00e1}},	//   angh, _dtun, _lays, rnéi, 
   {{0xf10705fd,0xbcfb0084,0xdb050218,0x6f08c372}},	//   वजूद_, snéi, _bihê, vedc, 
   {{0xb6a31033,0xdb050218,0x7d16016a,0x63bb3280}},	//   _числ, _cihê, _nays, _ftun, 
   {{0x6f080126,0xdb050218,0x69d523f8,0x00000000}},	//   tedc, _dihê, zsze, --, 
   {{0x69d5b222,0xa8570056,0x68edb39f,0x6562cf86}},	//   ysze, פייה_, zgad, lioh, 
   {{0x27e9cf87,0x69da2c87,0x6d4f155e,0x31b1010e}},	//   zuan_, štej, thca, _gáz_, 
   {{0x27e9cf88,0xd843026e,0x9c870098,0x14cc5582}},	//   yuan_, ničí_, _ničí, ारिण, 
   {{0x69d500ab,0xa3cf0bb9,0x613c010e,0xb33c008a}},	//   wsze, वीप_, _félr, _jiħo, 
   {{0x69d5847b,0x6d460088,0x8fa31793,0x00000000}},	//   tsze, akka, _заче, --, 
   {{0x2bd9190a,0x7d164bd0,0xd90f00d4,0x68ed0caf}},	//   _भटका, _fays, هید_, tgad, 
   {{0x27e9cf89,0x69d5cf8a,0x19580b55,0x9c830098}},	//   tuan_, rsze, пасы_, áčsk, 
   {{0x6d4dcf8b,0x69d50019,0x36d543a1,0x6d5f007b}},	// [da70] _ilaa, ssze, дозр, _imqa, 
   {{0x27e9cf8c,0x68edcf8d,0x69d52197,0xfbd200a7}},	//   ruan_, sgad, psze, _שתי_, 
   {{0xfbaf00cc,0x63bb357d,0x6d4d6a5a,0x27e9cf8e}},	//   _কবিত, _stun, _klaa, suan_, 
   {{0x27e902f6,0xb4e73b94,0x65620242,0x5fdd00b0}},	//   puan_, पले_, gioh, _मिलल, 
   {{0xe1f100c5,0x27e9cf8f,0xb8860032,0x39b80118}},	//   چسب_, quan_, _príť, _včse_, 
   {{0xaabf06ea,0x6b50014e,0xd0400095,0x6d4d025b}},	//   ्रिक, _vägg, qamə, _llaa, 
   {{0xe29669fa,0x919502a0,0x6d46076b,0xf53900da}},	//   маш_, мјиш, ykka, _toť_, 
   {{0xa0a5778e,0x3495cf90,0x63bb0539,0x00000000}},	//   майд, _жабр, _ttun, --, 
   {{0x63bbcf91,0xaabf048e,0x75290610,0x7d163e06}},	//   _utun, ्राक, _inez, _rays, 
   {{0xf8aa05f6,0x6d4dcf92,0xe8aa36a6,0x7d16cf93}},	//   _कल्प, _alaa, _कल्च, _says, 
   {{0x75290571,0xfce6bf6a,0x6d4dcf94,0x7d16cf95}},	//   _knez, моно, _blaa, _pays, 
   {{0x6d4d206b,0x7d1602f1,0x69da78ad,0x6b5000c2}},	//   _claa, _qays, štek, _mäge, 
   {{0x6b50022b,0x6d460088,0x753b0183,0x6b4b00b0}},	//   _läge, rkka, _mouz, _süga, 
   {{0x753b0042,0x06e30086,0x2f1800c8,0x6d46cf96}},	//   _louz, ন্তি, _ночь_, skka, 
   {{0xbcfb0327,0x6b500ab8,0x316d00b3,0x7529045a}},	//   mién, _näge, onez_, _onez, 
   {{0x316d026d,0xbcfb0126,0x6d4d01d2,0x753b02d9}},	//   nnez_, lién, _glaa, _nouz, 
   {{0x07a603dc,0xbf8a001b,0xd7f9017b,0x316dcf97}},	// [da80] даан, _đoạn_, зує_, inez_, 
   {{0x7529016c,0xbcfb060f,0x6d4d00ef,0x49ba2f23}},	//   _anez, nién, _zlaa, _واجد_, 
   {{0x753bcf98,0x6b500219,0x6562cf99,0xd5b0010e}},	//   _bouz, _vägd, tioh, اہر_, 
   {{0x448a6f5d,0x273f00b3,0x948600f0,0x753bcf9a}},	//   обен_, _sînt_, мылд, _couz, 
   {{0x753b37bf,0xa2a012e3,0x3205012b,0x3d0000a2}},	//   _douz, गेन्, _aply_, ष्ये_, 
   {{0x629c014b,0x316d01f1,0x7529052b,0xa29408ab}},	//   _úrok, enez_, _enez, налі, 
   {{0xbcfb1b92,0x24f6bac6,0xd2500038,0x7c220604}},	//   dién, _очар, طنة_, _šorl, 
   {{0xd1300084,0x316d026a,0x61ea1ded,0x673ccf9b}},	//   امة_, gnez_, rufl, _horj, 
   {{0x673c2ca3,0xd00703b7,0x61eacf9c,0xc48300b3}},	//   _korj, дење_, sufl, _алтк, 
   {{0x6d4d0e47,0x753b3076,0x65600175,0xc43b00d1}},	//   _slaa, _zouz, _hmmh, _ותמי, 
   {{0x6d4d6acc,0x673c02ee,0x753b0118,0x00000000}},	//   _plaa, _morj, _youz, --, 
   {{0x5066cf9d,0x2bd0109f,0xdfcf2510,0x6fb6007a}},	//   _отла, तीभा, _چين_, _قمصا, 
   {{0x63a8cf9e,0x6d4d17ab,0xbcfb00e9,0xe5710070}},	//   _kidn, _vlaa, bién, אַם_, 
   {{0xbcfb05b9,0x673c00c8,0x6389009e,0xa2c11f19}},	//   cién, _norj, mênê, रुप्, 
   {{0x6d4d07d7,0x2bd000ae,0x656000c3,0x00000000}},	//   _tlaa, तीबा, _ommh, --, 
   {{0xac95cf9f,0x6d4d1572,0xd90f0274,0x8bd90a10}},	//   _пайш, _ulaa, جیح_, _емис_, 
   {{0x6b500750,0xb8e70081,0x6f180144,0x628889c6}},	// [da90] _säge, _उभ_, _kavc, _lydo, 
   {{0x752942b5,0x753bcfa0,0x3d0000a2,0xadf210da}},	//   _snez, _souz, ष्ठे_, _अमान_, 
   {{0x753b000d,0x58d5cfa1,0x2d680082,0x6f180604}},	//   _pouz, _понт, rđev_, _mavc, 
   {{0x23e00081,0x6b5028cb,0xa8350886,0xaa64cfa2}},	//   _निशद, _väge, _земљ, _штык, 
   {{0x2919cfa3,0xd40b0189,0x628832db,0x2329cfa4}},	//   _iasa_, تتام_, _aydo, золи_, 
   {{0xb3e004d7,0x2919086d,0x673ccfa5,0x3949cfa6}},	//   _निरख, _hasa_, _gorj, lkas_, 
   {{0x236902f5,0x2006002e,0x4b3800a7,0xdb050175}},	//   đaj_, _apoi_, ורגל_, _cihé, 
   {{0x3949cfa7,0x5694121b,0x2919a97f,0x69da0165}},	//   nkas_, _раст, _jasa_, átei, 
   {{0x29191c19,0x2d8b1a64,0x600602f3,0xbcfb04b3}},	//   _masa_, dlce_, еным_, tién, 
   {{0x2919cfa8,0x8c150033,0x26d10144,0x628803c6}},	//   _lasa_, ামান_, _jezo_, _fydo, 
   {{0x8d662566,0xdee503dc,0x628863d6,0xbcfb00e9}},	//   евне, _ҷоли, _gydo, rién, 
   {{0x63a8090e,0x2d84026a,0x26d101cf,0x917a0023}},	//   _zidn, ôme_, _lezo_, _vậy_, 
   {{0x66f01d5b,0x39490626,0x2ca40219,0x92c30033}},	//   _चालक_, dkas_, ämd_, ্লী_, 
   {{0x2919001a,0x2600007e,0x3949cfa9,0x5dd901d8}},	//   _aasa_, _रहली_, ekas_, _ефир_, 
   {{0x2919cfaa,0xdb0f0038,0xbcfb9841,0xf8bf023e}},	//   _basa_, ádái, gnés, _eném_, 
   {{0x61350019,0x386d00ef,0xa3c100a5,0x3949cfab}},	//   _pály, _žera_, ूठा_, gkas_, 
   {{0xc7264ce4,0x25bf0062,0x7d04024d,0x6b50014e}},	// [daa0] ндай, _čula_, _ibis, _vägb, 
   {{0x2d82cfac,0x06e30086,0x7c24cfad,0x2d9b02a3}},	//   loke_, ন্সি, _irir, _èper_, 
   {{0x29190348,0xd946232b,0x63a888fc,0x39495fbe}},	//   _fasa_, _зени, _ridn, bkas_, 
   {{0x3949cfae,0x3a2501cc,0xbcfb0212,0x00000000}},	//   ckas_, ælpe_, lnér, --, 
   {{0x66150019,0x7d04cfaf,0x9cd700d1,0x62881e9f}},	//   _eszk, _mbis, תונה_, _sydo, 
   {{0x2d821b7a,0x2919cfb0,0x7d04008a,0x7c2b01d5}},	//   hoke_, _zasa_, _lbis, _ágre, 
   {{0x7d04cfb1,0x63a8cfb2,0x2d82afe5,0x6ed646cc}},	//   _obis, _vidn, koke_, _मजबु, 
   {{0x7afb03ef,0x63a8248e,0x2900cfb3,0x9f4d00c8}},	//   đuti, _widn, nfia_, hteä_, 
   {{0x63a8022b,0x213d0065,0x62880083,0xf0b700d7}},	//   _tidn, _dowh_, _wydo, رايش_, 
   {{0x4424cfb4,0x7d0438fb,0xd13000d4,0x7de600f0}},	//   _irm_, _abis, امک_, німд, 
   {{0xdb050218,0x7c24cfb5,0x798602a5,0x7bcd025b}},	//   _bihî, _arir, _okkw, _swau, 
   {{0x44240844,0x2d8201cf,0x7c24021e,0x91710108}},	//   _krm_, goke_, _brir, _tớ_, 
   {{0x291915da,0x5c040009,0x39495fbe,0x57df00c9}},	//   _rasa_, ляра, vkas_, _फटेह, 
   {{0x29192083,0x7d040298,0x7c2457f4,0x7986007b}},	//   _sasa_, _ebis, _drir, _akkw, 
   {{0xb9e402fb,0x26d10300,0x2d82cfb6,0x3949cfb7}},	//   літи, _rezo_, boke_, tkas_, 
   {{0xf99300eb,0x4424009f,0x69da026a,0x26d100ef}},	//   ابس_, _orm_, âtea, _sezo_, 
   {{0xb8d93b41,0x3949182b,0x23cf4493,0x26d10ab4}},	// [dab0] _चल_, rkas_, _सौंद, _pezo_, 
   {{0x3949cfb8,0x2919002c,0xa8a43954,0x7d1d00c1}},	//   skas_, _wasa_, урск, ldss, 
   {{0x195908a5,0x26d1cfb9,0xb8f70033,0x86240cb4}},	//   _жаны_, _vezo_, _সা_, льце, 
   {{0x7d1d2245,0x44240082,0x59b61451,0xbc680274}},	//   ndss, _brm_, _आंतर, _آمین_, 
   {{0x798d5c71,0xe3b8004e,0x7d1dc43f,0x53e0048e}},	//   mlaw, ебі_, idss, _निःश, 
   {{0x798d90aa,0x044203b7,0x27e90c45,0x2d680ab4}},	//   llaw, решн, mran_, nđer_, 
   {{0x56942512,0x69da02ee,0x6b503372,0x778416d0}},	//   _барт, štev, _jäga, _слёз, 
   {{0x798d011d,0x7d1d2382,0x00000000,0x00000000}},	//   nlaw, jdss, --, --, 
   {{0x2d821007,0x27e994fc,0x798d0102,0x44240604}},	//   voke_, nran_, ilaw, _grm_, 
   {{0x4f2200c8,0xf48400b3,0x257c02d9,0x9400009a}},	//   адьб, _сусн, díly_, ोबरच_, 
   {{0xf1d10161,0x27e9cfba,0x2d82cfbb,0x1be40394}},	//   _төлө, hran_, toke_, _कटहल_, 
   {{0x25e9190a,0x27e9cfbc,0xca65040c,0x7d04008a}},	//   _चटनी_, kran_, _bahо, _qbis, 
   {{0x2d82cfbd,0x798d0626,0x64590502,0x7d04625a}},	//   roke_, dlaw, nzwi, _vbis, 
   {{0x27e9cfbe,0x9f4d014e,0x005600a7,0x09e600b3}},	//   dran_, fteå_, _בשנת_, когн, 
   {{0x27e9cfbf,0x798d0156,0x2d820027,0x2d96cfc0}},	//   eran_, flaw, poke_, _ирис, 
   {{0x7d04cfc1,0x0c263ea2,0x27e9cfc2,0x09d200a5}},	//   _ubis, _амин, fran_, _तबीय, 
   {{0x186744c1,0x6843085c,0x629c0076,0xe7aa7a96}},	// [dac0] вати_, анта, _úrov, двал_, 
   {{0x998d02f5,0x7986016a,0x798d02a5,0x00000000}},	//   ćeš_, _wkkw, alaw, --, 
   {{0xd5b9019e,0x27e90014,0x7c220097,0xdb1d02ae}},	//   есі_, aran_, _šorh, tssö, 
   {{0x4424461b,0x69dc050f,0xb7bb02aa,0xd946112d}},	//   _prm_, msre, _grão, _реми, 
   {{0x3f8c003e,0x69dc80a6,0x3f870144,0x27e912ed}},	//   yldu_, lsre, _oknu_, cran_, 
   {{0xf8bf002c,0x232704f5,0x4424011f,0x23670604}},	//   _anéh_, кочи_, _vrm_, ginj_, 
   {{0xd24f646f,0x69dc68e5,0x672e0219,0xbebc00e0}},	//   ينه_, nsre, _inbj, ldīg, 
   {{0xdce6012d,0xdef8003d,0x60f800fd,0x00000000}},	//   mokė, miċi_, хния_, --, 
   {{0x64a30a27,0xdef80405,0x670215c8,0x4fd3012d}},	//   _вата, liċi_, र्थक_, ажыт, 
   {{0xa2c105d0,0x23670ab4,0x69dc0d17,0xbebc01dd}},	//   रुद्, cinj_, ksre, idīg, 
   {{0x69dc034c,0x13d70086,0x2bd000a2,0x00000000}},	//   jsre, _সময়, तीसा, --, 
   {{0x27e9cfc3,0x67020586,0xbcfb010e,0xe7e20ba3}},	//   yran_, र्तक_, gnép, _पिंप, 
   {{0xa3b80262,0x201800e0,0x7d1d6f67,0x6b5002ae}},	//   _घूम_, āris_, rdss, _säga, 
   {{0x2bb50035,0x6abf34a2,0x69dccfc4,0x31b8039f}},	//   ंदबा, ्रेर, fsre, _kéz_, 
   {{0x27e9cfc5,0x25bf034c,0xead41628,0x00000000}},	//   wran_, _čulo_, рось, --, 
   {{0x27e9cfc6,0x6b506979,0x2bdc7fdd,0xdef8003d}},	//   tran_, _väga, _बिचा, diċi_, 
   {{0x9b451fdb,0x798d04bb,0x58872f89,0x27e9cfc7}},	// [dad0] _منظو, rlaw, тыва, uran_, 
   {{0x5b15030f,0x27e9cfc8,0xdef8003d,0xd6db02a0}},	//   _смот, rran_, fiċi_, ќта_, 
   {{0x23670397,0x27e93844,0xc6a700c8,0x31b8010e}},	//   vinj_, sran_, траи, _néz_, 
   {{0x69c7cfc9,0x27e9cfca,0x4518004f,0xfd1f0036}},	//   mpje, pran_, кція_, ndì_, 
   {{0xdfc6646f,0x2bdc0a34,0x69da0abd,0x7bdd243f}},	//   _دي_, _बिछा, štet, nssu, 
   {{0x7bdd5d6d,0x6459cfcb,0x00000000,0x00000000}},	//   issu, rzwi, --, --, 
   {{0x45d40088,0xc6a400ff,0x23670034,0xb5a7cfcc}},	//   _восс, _врти, rinj_, _арай, 
   {{0xe3c600f0,0x236700ca,0x7bdd53bb,0x00000000}},	//   _әртү, sinj_, kssu, --, 
   {{0xa3e0000d,0x439503a1,0x236763d4,0x60c91f09}},	//   _थिए_, _баас, pinj_, rbem, 
   {{0xee3900ba,0x25ad01d2,0x248d0175,0x2d890d94}},	//   ено_, _hiel_, _iyem_, _akae_, 
   {{0x9d46af3a,0xf8d30081,0x7bdfcfcd,0x25ad4ea8}},	//   генд, तराय, _avqu, _kiel_, 
   {{0x69dc03a9,0xbc1a3756,0x6d880126,0xab5b0380}},	//   vsre, нігі_, eñar, spül, 
   {{0xafe502f1,0x25adcfce,0x7bdd0626,0x69c702b0}},	//   _солл, _miel_, gssu, epje, 
   {{0x69dccfcf,0x6dba008a,0x00000000,0x00000000}},	//   tsre, _iċan, --, --, 
   {{0x7bdd0036,0xdea10116,0xb9b500fd,0xdb0d019c}},	//   assu, _دیدی, истъ, _guaí, 
   {{0x69dc924d,0xfe70009c,0x25ad08a3,0xcdc41cc1}},	//   rsre, _بده_, _niel_, _таъқ, 
   {{0x248d01a0,0x271d0033,0x69dcb212,0x9f4a019c}},	// [dae0] _nyem_, নানো_, ssre, _àmão_, 
   {{0xdef8003d,0xb8ebcfd0,0x34cc52c2,0x69dc41d7}},	//   tiċi_, _र्_, ार्द, psre, 
   {{0x25adcfd1,0x248dcfd2,0x8afb008d,0x25e9009a}},	//   _biel_, _ayem_, _אפיק, _चटणी_, 
   {{0x25ad026a,0x61fc0219,0x23b90118,0xd5af009c}},	//   _ciel_, _ärli, _bèj_, سفه_, 
   {{0x938a28f0,0x2912078a,0x3f850405,0x25adcfd3}},	//   нска_, meya_, kolu_, _diel_, 
   {{0x2bb7000f,0x2912cfd4,0x68f60931,0x00000000}},	//   _इंसा, leya_, lgyd, --, 
   {{0x39425725,0x3f85cfd5,0x248d011c,0xa3e000bd}},	//   _koks_, dolu_, _eyem_, _थिक_, 
   {{0x29120218,0x64a603fd,0x25ad123b,0x26da7ef7}},	//   neya_, _баба, _giel_, lapo_, 
   {{0xdefa4985,0x2d680019,0x9f5408bd,0x98ac0028}},	//   нын_, tően_, ивич, ėlės_, 
   {{0xade50394,0x26dacfd6,0x25ad2b0b,0x3f85c134}},	//   _किशन_, napo_, _ziel_, golu_, 
   {{0x1d3532af,0xa2a01080,0x81bc01dd,0x2912cfd7}},	//   ання, गेश्, _krēm, keya_, 
   {{0xc27b1a61,0x2b4102cd,0x29120218,0x26dacfd8}},	//   _ארבי, _sohc_, jeya_, hapo_, 
   {{0xdfd4005e,0xfd1f0141,0x26da2f53,0x7bdd026a}},	//   _толы, rdì_, kapo_, ussu, 
   {{0x909700dd,0xdb160108,0x40930038,0x7bdd3245}},	//   _світ_, _huyê, _الهر, rssu, 
   {{0xf993017a,0x26da0053,0xa14301dd,0x00000000}},	//   مبر_, dapo_, _šķir, --, 
   {{0x69c700e5,0x29126a14,0x7bc401be,0x2d89025b}},	//   rpje, geya_, _ftiu, _ukae_, 
   {{0x69c7cfd9,0xbebc01dd,0xc6f95bd3,0xb8fd00c9}},	// [daf0] spje, mdīb, кнах_, _ड़_, 
   {{0xbebc002a,0x25adcfda,0x69c703f4,0x26da0204}},	//   ldīb, _siel_, ppje, gapo_, 
   {{0x69da090e,0x25adcfdb,0xcf930137,0x3942a221}},	//   šter, _piel_, צטע_, _foks_, 
   {{0x7d1f003d,0x680701dd,0x248d0237,0x23b90118}},	//   _jaqs, tījā, _pyem_, _pèj_, 
   {{0x25adcfdc,0x26da086d,0x7d1f8d91,0x9fdf0086}},	//   _viel_, bapo_, _maqs, _বঙ্গ, 
   {{0x69c500e5,0x03a5cfdd,0x25ad0511,0x26da6be6}},	//   _kthe, шило, _wiel_, capo_, 
   {{0x25ad0bd4,0xe8e00210,0x00000000,0x00000000}},	//   _tiel_, _ngớt_, --, --, 
   {{0x600927c1,0x3fe53232,0x7d1f729b,0x69c5cfde}},	//   вним_, ажив, _naqs, _mthe, 
   {{0x3f858b46,0x656bcfdf,0xdb1600e7,0x67023cae}},	//   tolu_, migh, _duyê, र्वक_, 
   {{0x69c50052,0x6f6518b6,0x20d300e7,0x613c0019}},	//   _othe, рвоз, ải_, _mély, 
   {{0x644bcfe0,0x7bc426c3,0xed5a18ae,0x2912cfe1}},	//   lygi, _stiu, вон_, yeya_, 
   {{0xe1f00040,0x3f85cfe2,0xdca600d9,0x29120216}},	//   _رسم_, solu_, иани, xeya_, 
   {{0x69c51f14,0x2912010c,0x06f71567,0x60db0548}},	//   _athe, veya_, ुभाव_, maum, 
   {{0x60dbcfe3,0xbea5cfe4,0x656b72de,0x3ea500a3}},	//   laum, _калк, high, _килг, 
   {{0x29120218,0x6d9d00eb,0x656b0495,0xa96a0ec6}},	//   teya_, féad, kigh, вива_, 
   {{0x1c461faa,0x60db0010,0xdb16001b,0x26dacfe5}},	//   _вним, naum, _xuyê, wapo_, 
   {{0x2912cfe6,0x656bcfe7,0x26dacfe8,0xad1b00a7}},	// [db00] reya_, digh, tapo_, _יוקר, 
   {{0x66e6cfe9,0x2912cfea,0x7f43cfeb,0x6d44007e}},	//   рожа, seya_, _jonq, _hoia, 
   {{0x5805005e,0x67020239,0x3942012d,0xa2d90262}},	//   _қорғ, र्षक_, _toks_, _नज़्, 
   {{0xe7ef00a2,0x6d44cfec,0x7f430126,0x26da07d7}},	//   _चमचा_, _joia, _lonq, sapo_, 
   {{0x4ada14b3,0x6b4b007e,0x60db0532,0x6d4400f6}},	//   _बजाव, _sügi, daum, _moia, 
   {{0x27e0cfed,0x6d44cfee,0x67020b6c,0x320a058e}},	//   msin_, _loia, र्शक_, вхин_, 
   {{0x6d56006b,0x27e0cfef,0x656b07fc,0x26d80054}},	//   _olya, lsin_, bigh, _iero_, 
   {{0xdb1600e7,0xf1260fac,0x26d800df,0xdb0538e1}},	//   _quyê, рько, _hero_, _mihá, 
   {{0x27e0cff0,0x26d80548,0x7f43084c,0xdce401f2}},	//   nsin_, _kero_, _bonq, _emiċ, 
   {{0x27e0a2f4,0x26d8350e,0x7d1f00c3,0x4426016c}},	//   isin_, _jero_, _saqs, mvo_, 
   {{0x27e0cff1,0x21762b8d,0xdb16001b,0x660e0065}},	//   hsin_, _кудр, _tuyê, _jpbk, 
   {{0xa2ca075a,0x60db02a2,0x4426b53a,0x26d8cff2}},	//   _स्त्, caum, ovo_, _lero_, 
   {{0xae4300c5,0x69c518b0,0x44260065,0x6b5001c4}},	//   مپیو, _sthe, nvo_, _tägl, 
   {{0xfbdf0218,0x26d8cff3,0x6d567c8d,0x656b012e}},	//   rsê_, _nero_, _elya, zigh, 
   {{0x99673f7d,0xa3b8185c,0x7d1f746a,0x613c0042}},	//   атал, _घूस_, _taqs, _bélx, 
   {{0x442602f5,0x6d44cff4,0x7520018e,0x5d845297}},	//   kvo_, _goia, _namz, _ولول, 
   {{0xd6db03b7,0x26d8cff5,0x442600ef,0x656bcff6}},	// [db10] вте_, _bero_, jvo_, vigh, 
   {{0x26d80503,0x629a01f1,0x656b000b,0x00000000}},	//   _cero_, _ozto, wigh, --, 
   {{0x69c50204,0x442600fd,0x60dbcff7,0x644b0156}},	//   _uthe, evo_, yaum, wygi, 
   {{0x6d440042,0x27e0cff8,0x26d84a69,0x00000000}},	//   _xoia, bsin_, _eero_, --, 
   {{0x44291056,0x2fc6023b,0x27e0343e,0x629acff9}},	//   ía_, _ntog_, csin_, _azto, 
   {{0x26d8cffa,0xa3e80790,0x644bcffb,0x60c2023a}},	//   _gero_, _मटर_, rygi, _afom, 
   {{0x216998a7,0x25b8cffc,0x2fc60175,0x656b06e4}},	//   лики_, _gurl_, _atog_, pigh, 
   {{0xc69207f5,0xf8bf1771,0xb33c00c3,0x9a7800d1}},	//   _זאל_, _inés_, _biħs, יתוף_, 
   {{0x60db357d,0x26d8cffd,0x7f430126,0xe1640038}},	//   raum, _yero_, _ponq, تدوي, 
   {{0x26c10727,0x7520cffe,0x60dbcfff,0xf20700e4}},	//   ncho_, _zamz, saum, _вядо, 
   {{0x2295057f,0xb87b031e,0x60db0548,0x6d4400b3}},	//   _الاس, _sdíl, paum, _poia, 
   {{0x27e00088,0x8d56af3f,0xf99f0108,0x313408ba}},	//   ysin_, сточ, _nhè_, _мехр, 
   {{0xdb0d0126,0x7f43d000,0x6569d001,0x69c100bc}},	//   _atañ, _tonq, _mmeh, ílen, 
   {{0x316d4c8c,0xaa46666f,0x290b0664,0x00000000}},	//   liez_, бегл, _abca_, --, 
   {{0x26d8099d,0x44261a08,0xfbd200d6,0xf99f02a3}},	//   _rero_, zvo_, _کتب_, _bhè_, 
   {{0xf99fd002,0x26d8d003,0x27e02b92,0x213f02c7}},	//   _chè_, _sero_, tsin_, njuh_, 
   {{0x26d8d004,0x98a347d5,0x7520d005,0xd943682e}},	// [db20] _pero_, зите, _ramz, чети, 
   {{0x27e0d006,0x6569d007,0x60d9009e,0xe8f903dc}},	//   rsin_, _ameh, _lewm, ллӣ_, 
   {{0x27e0d008,0x26d8d009,0x14c800d4,0x869a222f}},	//   ssin_, _vero_, لهای_, утат_, 
   {{0x4426d00a,0x95eb0019,0x7589004f,0x752200ca}},	//   tvo_, ابلہ_, асів_, udoz, 
   {{0x2a6e00ef,0x7522d00b,0x75200009,0x657b0175}},	//   _žfbh_, rdoz, _vamz, _djuh, 
   {{0x8c1b00a7,0x64a60148,0x2fc601ff,0x7520025b}},	//   טוני, _ғаза, _rtog_, _wamz, 
   {{0x316d026a,0x201d011c,0x9f5f0107,0x925803a1}},	//   fiez_, _aswi_, ctué_, райт_, 
   {{0x657b01ee,0x39400065,0xdb160574,0x7520018e}},	//   _gjuh, njis_, _duyé, _uamz, 
   {{0x25bf04d1,0x38606cea,0x60dd003e,0x60d900a4}},	//   _čuli_, nzir_, ðsma, _dewm, 
   {{0xdbd41f71,0xb35600d6,0x161d031e,0x65690144}},	//   _núñe, _دیتا_, फिचर_, _zmeh, 
   {{0xab5b2aa3,0x00000000,0x00000000,0x00000000}},	//   nqüe, --, --, --, 
   {{0x316dd00c,0x38600065,0x069707e4,0x6143d00d}},	//   ciez_, kzir_, מדים_, _неха, 
   {{0x06e30086,0x2cb8014b,0x26c15f93,0xed58012d}},	//   ন্টি, _šedá_, ycho_, соў_, 
   {{0x0ebad00e,0x38602a41,0xe9060218,0x139b0070}},	//   _суды_, dzir_, çûna_, ָבלע, 
   {{0x6d9d026a,0x2bd90249,0x60cd0474,0x00000000}},	//   réab, _बौरा, _înmâ, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x26c10237,0x7d0dd00f,0x2004020b,0x657b0144}},	// [db30] tcho_, _ibas, ntmi_, _rjuh, 
   {{0x2d8b0093,0x26c11a8e,0x6569688a,0x657b02ae}},	//   loce_, ucho_, _smeh, _sjuh, 
   {{0x26c1d010,0xf99fd011,0x0c780499,0xdce601dd}},	//   rcho_, _thè_, _نصیب_, likā, 
   {{0xbcfb0518,0x2d8bd012,0x26c1d013,0x3952025b}},	//   ciét, noce_, scho_, ckys_, 
   {{0x7d0dd014,0xbcfbd015,0xdce601dd,0x316da668}},	//   _mbas, liés, nikā, viez_, 
   {{0x2329bb2f,0xbcfb0019,0x2d68039f,0x490500bc}},	//   роки_, gnéz, tőek_, ह्रो_, 
   {{0x7d0dd016,0x6d5d00e2,0xe299d017,0xdce400ca}},	//   _obas, khsa, шак_, _smič, 
   {{0x7c2dd018,0x4fe9363a,0x6569095a,0xbfc51fc7}},	//   _orar, амин_, _umeh, обик, 
   {{0x6d5d01f5,0x316dd019,0x7c2d0102,0x321e0054}},	//   dhsa, riez_, _nrar, _esty_, 
   {{0x7d0dd01a,0x8e091782,0x442d0465,0x63bb0102}},	//   _abas, анов_, _ire_, _iuun, 
   {{0x6e45d01b,0x7c2dd01c,0x802713b4,0xae190035}},	//   ценз, _arar, _گرام, _फैशन_, 
   {{0xdb0d010d,0x63bbd01d,0xdce600e0,0x6d5d0038}},	//   _stað, _kuun, fikā, ghsa, 
   {{0xbcfba7aa,0x63bb007e,0xdee5d01e,0x7c2d0068}},	//   viét, _juun, _доли, _crar, 
   {{0x63bbd01f,0x78130262,0x7d0d007e,0x2fcd0aaf}},	//   _muun, डबैक_, _ebas, mpeg_, 
   {{0x6d5d02d0,0xed5ad020,0x7c2dd021,0x442d00a1}},	//   bhsa, _вой_, _erar, _lre_, 
   {{0x442dd022,0xe8cad023,0x2d8bd024,0xae7832af}},	//   _ore_, ргал_, coce_, _усіх_, 
   {{0x442d050a,0xbcfb06e6,0xdbd40068,0x63bb052b}},	// [db40] _nre_, riét, _túñe, _nuun, 
   {{0x969603b7,0xbcfb0126,0x369608b8,0x00000000}},	//   ореш, biés, ошес, --, 
   {{0x442d181f,0xe61ab2e9,0xbcfb247e,0xaad00249}},	//   _are_, рде_, miér, _त्यक, 
   {{0x442d46d3,0x63bb4262,0xa50a0bf2,0xdb0500c8}},	//   _bre_, _buun, реда_, _eihä, 
   {{0x442dd025,0x25a6d026,0x2480d027,0x9f4d6146}},	//   _cre_, rmol_, çim_, nteó_, 
   {{0x442dd028,0x69c3114e,0x69ce02b0,0x7996d029}},	//   _dre_, _énec, opbe, llyw, 
   {{0x442d88d8,0x66032756,0x98a20009,0xab5b00ad}},	//   _ere_, _опра, _kokį_, mpüt, 
   {{0x442d1a83,0xf8b80c46,0x7996d02a,0x63bb052b}},	//   _fre_, _अलोप, nlyw, _fuun, 
   {{0xb4e61bc8,0x442d11c8,0x2d8bd02b,0xc05a00dd}},	//   पणी_, _gre_, voce_, рій_, 
   {{0x63a100a1,0x200401ff,0x7c2d00b4,0x98a00144}},	//   _ghln, rtmi_, _rrar, jdič_, 
   {{0xdd954abc,0x20046877,0xb4ab008c,0xbcfb0126}},	//   заны, stmi_, _íþró, diér, 
   {{0xdce60243,0x6ed60110,0xac197dbe,0xd00a017b}},	//   tikā, _मजकु, бому_, _веде_, 
   {{0x98b300e0,0x61f80888,0x2d8bd02c,0xa2c136be}},	//   ādīt_, luvl, roce_, रुक्, 
   {{0x7c2d024a,0x7053009c,0x2d8b00bc,0xdce601dd}},	//   _vrar, _تنها, soce_, rikā, 
   {{0x80dd0086,0x3f8c01cf,0xbcfb0212,0x2bb7093a}},	//   _যাত্, modu_, théd, _इंका, 
   {{0x7c2dd02d,0x4cd50086,0x3f8c01dd,0x7d0dce4f}},	//   _trar, _থাকু, lodu_, _ubas, 
   {{0x7c2dd02e,0x27f2272e,0xbcfb0369,0x1b100033}},	// [db50] _urar, gryn_, biér, ায়ে_, 
   {{0x4e1e0838,0x3f8c007b,0xbcfb0126,0x442dd02f}},	//   _बनाई_, nodu_, ciér, _rre_, 
   {{0x63bb06d6,0x442d598c,0x672500e5,0x1db10083}},	//   _suun, _sre_, rdhj, ीआपत, 
   {{0x442dd030,0x3f8c6885,0x395902a3,0x27f2071d}},	//   _pre_, hodu_, _ulss_, bryn_, 
   {{0xdb040503,0xbcfb026a,0x3f8cd031,0xc3240033}},	//   _guió, chée, kodu_, পানি_, 
   {{0x442d0cd7,0x67ba00d1,0x77ba00d1,0x63bb02a5}},	//   _vre_, _למשק, _למשח, _vuun, 
   {{0x5694d032,0xa3cf02e6,0x63bb01b8,0x94d50267}},	//   _жарт, वीज_, _wuun, _новц, 
   {{0x442d44ae,0x63bbd033,0x6b5000b0,0x95050019}},	//   _tre_, _tuun, _vägi, _رہتے_, 
   {{0x442dd034,0x245800c8,0x69c102d9,0x85540296}},	//   _ure_, _дать_, ílej, _زیور_, 
   {{0xf8b805e5,0x3f8c00d0,0xa2ca009a,0x6b501da6}},	//   _अल्प, godu_, सुद्, _tägi, 
   {{0x227700d6,0xc7b400d1,0x490c0249,0x00000000}},	//   _بلاگ_, ובץ_, ड्डो_, --, 
   {{0x670b1e25,0x070b2659,0x00000000,0x00000000}},	//   स्तक_, स्तव_, --, --, 
   {{0xbcfb1771,0x3f8cd035,0x9fc93730,0x9f35004f}},	//   tiér, bodu_, _угла_, _неді, 
   {{0x8ccc059e,0xef1801dd,0x00000000,0x00000000}},	//   _थ्रो, ceļ_, --, --, 
   {{0xbcfb0076,0xb87b0033,0x6d9dd036,0xc33200d1}},	//   riér, _leíd, méan, עול_, 
   {{0xa9674b6d,0x186a0f5a,0x6d9dbe28,0xd94351d0}},	//   писа_, баби_, léan, неси, 
   {{0x46ea8c07,0x1dd70262,0x27e60212,0x00000000}},	// [db60] йдан_, भीरत, éon_, --, 
   {{0xf77219c7,0xd7ef00eb,0x6d9d0371,0x69ce1226}},	//   راء_, اكل_, néan, ppbe, 
   {{0x7abb00a7,0x14ca00c8,0x98a20009,0x3abb00d1}},	//   _לציו, были_, _tokį_, _למינ, 
   {{0xb4e600a2,0x6d9dcdc4,0xbcfb0212,0x9c8300ca}},	//   पणे_, héan, phée, šček, 
   {{0x29e80c45,0x999e0028,0x32070083,0x33250104}},	//   lğa_, štų_, etny_, _balx_, 
   {{0x670300b5,0xa29401fc,0x61f800a3,0x6ab00033}},	//   _लायक_, малі, tuvl, _জ্যো, 
   {{0x3f8c01e2,0xc7a3a1df,0x3ce2015e,0x07a3012d}},	//   vodu_, _чирк, kakv_, _чарн, 
   {{0xdb0403da,0x3f8c00ab,0x1fc40258,0x2d9201b8}},	//   _muiñ, wodu_, мроҳ, _nkye_, 
   {{0xb4ca0d1d,0x3f8cd037,0x1b230033,0x7ff6007a}},	//   ोरी_, todu_, মাতে_, أسعا, 
   {{0x3eb8155b,0xe2920038,0x2d8302d9,0x6d9d7858}},	//   ørt_, _كذا_, čkem_, géan, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x4fc66e6a,0x6ecc0a0e,0x75c50028,0x80d60033}},	//   _еска, _द्रु, _jėza, _ধাক্, 
   {{0x2d800118,0xceb800f0,0x00000000,0x00000000}},	//   _djie_, _мән_, --, --, 
   {{0xade51230,0x2d920539,0x6d40a700,0x00000000}},	//   _किचन_, _ekye_, ömar, --, 
   {{0x6e93377a,0xdb040068,0x00000000,0x00000000}},	//   _пишу, _cuiñ, --, --, 
   {{0x2d80040b,0x00000000,0x00000000,0x00000000}},	//   _gjie_, --, --, --, 
   {{0xf8b603a1,0xb8d50586,0x81bc01dd,0x57b5d038}},	// [db70] дөр_, _छः_, _krēs, дбат, 
   {{0xb8f405fd,0x64d51df3,0x2d9901c5,0x7bcdd039}},	//   _स्_, दर्श, llse_, _itau, 
   {{0xdb04033c,0x2d99029d,0x00000000,0x00000000}},	//   _guiñ, olse_, --, --, 
   {{0x7f94022c,0x6f1a0532,0x260e00c9,0x00000000}},	//   màqu, hetc, _ठहरी_, --, 
   {{0xd7f8d03a,0x6b5002ae,0xe454012d,0x5fb80eda}},	//   _нур_, _vägv, нкцы, _उंगल, 
   {{0xe787065b,0x97350444,0x883a00d1,0x7bcd2b03}},	//   _хумо, _تکرا, _ותשו, _mtau, 
   {{0x6fd505fd,0x22540228,0xd567d03b,0x00000000}},	//   _मौजू, _čaká_, _етап, --, 
   {{0x394b00d3,0x6727d03c,0x65941991,0xd12e007a}},	//   _jocs_, _hajj, _засу, لمى_, 
   {{0x7bcd01c1,0x6727d03d,0x32072b55,0x394b00b9}},	//   _ntau, _kajj, stny_, _mocs_, 
   {{0x2d920465,0xbebc00e0,0x337401fc,0x6727d03e}},	//   _skye_, ldīj, _згур, _jajj, 
   {{0x7bcd0e2d,0x6727d03f,0x6b8e00a3,0xe1f01036}},	//   _atau, _majj, vobg, _مسن_, 
   {{0xed57004f,0x394b008a,0x00000000,0x00000000}},	//   дою_, _nocs_, --, --, 
   {{0x6f1ad040,0x00000000,0x00000000,0x00000000}},	//   betc, --, --, --, 
   {{0x5eb70086,0x2d99d041,0xbcfb0151,0x00000000}},	//   _আজকে, alse_, théc, --, 
   {{0xeb97d042,0xdb04033c,0x9f4d0126,0x2018020f}},	//   фир_, _quiñ, nreí_, ărie_, 
   {{0x29e80248,0x61ee055f,0x6d9dd043,0x9f440034}},	//   rğa_, _æble, néal, ysmë_, 
   {{0x66e65f28,0x6727d044,0x60dd008c,0x0c2300b3}},	// [db80] доза, _bajj, ósmy, _амын, 
   {{0x7c24d045,0x6d46090e,0xbcfb0038,0x46ea00f0}},	//   _isir, ljka, mhéa, іден_, 
   {{0x6727d046,0x5b5700d1,0x394b5248,0x2d6f02d9}},	//   _dajj, _חייב_, _focs_, dřej_, 
   {{0x6e2317dd,0xb4ca190a,0x6d460688,0x387f00ca}},	//   _msnb, ोरे_, njka, _žure_, 
   {{0x68e4d047,0x5ede0086,0xbf1d009a,0x67274dba}},	//   maid, _মাসে, _बघून_, _fajj, 
   {{0x68e4d048,0xf8bf2769,0x67270539,0x7c242358}},	//   laid, _jaén_, _gajj, _msir, 
   {{0x7d04090b,0x6f1a0082,0xdb17009e,0xf8bf002c}},	//   _ocis, vetc, _bixê, _maén_, 
   {{0x2900d049,0x68e48fa1,0x7d040027,0x64a6d04a}},	//   ngia_, naid, _ncis, _жаба, 
   {{0x02cf29b0,0x73067a58,0x7c24d04b,0xf99300d1}},	//   _स्वभ, _опаз, _nsir, כרה_, 
   {{0x68e44873,0xb35600c5,0x7d04d04c,0x29000065}},	//   haid, _زیبا_, _acis, hgia_, 
   {{0x7c24d04d,0x36f700a7,0x7bcd2c6f,0x6b500219}},	//   _asir, וצים_, _stau, _lägs, 
   {{0xc0a9015d,0x20230080,0x7f9400f6,0x00000000}},	//   _کامل_, äriä_, vàqu, --, 
   {{0x68e40014,0xe04301ba,0x7c24010e,0x394b00b9}},	//   daid, _инци, _csir, _rocs_, 
   {{0xfe6f0e70,0x4424d04e,0xe1f10019,0xdb1600b9}},	//   ادی_, _msm_, _جسے_, _cuyà, 
   {{0x68e4d04f,0x44240089,0x394b03a1,0x6562d050}},	//   faid, _lsm_, _pocs_, khoh, 
   {{0x68e4d051,0xbcfb0084,0x29000141,0x6727d052}},	//   gaid, bhéa, ggia_, _sajj, 
   {{0x7d1dd053,0x67270529,0x6d9d0c24,0x7bcd1302}},	// [db90] mess, _pajj, néam, _utau, 
   {{0x7d1dd054,0x672700a4,0x00000000,0x00000000}},	//   less, _qajj, --, --, 
   {{0xb9051421,0x8aa7833b,0xfad60056,0x68e4d055}},	//   _না_, _юрид, _אותך_, baid, 
   {{0x68e4d056,0xc6a426f1,0x67d52b3b,0x672701a3}},	//   caid, труи, _пому, _wajj, 
   {{0x6727d057,0x4424d058,0x6d4d0026,0x9475009c}},	//   _tajj, _csm_, _moaa, رگرا, 
   {{0x27e9d059,0xf8bf0068,0x39b800ca,0x7d1dd05a}},	//   msan_, _xaén_, _hčsp_, hess, 
   {{0x41b5d05b,0xb87b001d,0x7d1dd05c,0x66b4d05d}},	//   нсит, _edít, kess, _абру, 
   {{0x3495152e,0x4424d05e,0x27e9d05f,0x602500b3}},	//   _забр, _fsm_, osan_, едиа, 
   {{0x27e9d060,0x7d1d06d6,0xa2ca0bf5,0x6d9da2de}},	//   nsan_, dess, _स्क्, réal, 
   {{0x6b50014e,0x27e9d061,0x6d5f2af2,0x7d1d1279}},	//   _lägr, isan_, _alqa, eess, 
   {{0x7d1dd062,0x27e901be,0x4424039b,0x6d4dd063}},	//   fess, hsan_, _zsm_, _boaa, 
   {{0x27e9d064,0x260705d2,0x90e70a24,0x6d4d0068}},	//   ksan_, _हमनी_, _آسان, _coaa, 
   {{0x6d4d0065,0x27e90219,0x68e4d065,0x752900b4}},	//   _doaa, jsan_, vaid, _maez, 
   {{0xdb1c06d0,0x68e4086d,0x27e93772,0x200a020f}},	//   _özün, waid, dsan_, ăbit_, 
   {{0x2d9604fd,0x68e4d066,0x7d1d3144,0x290000e7}},	//   _прис, taid, bess, tgia_, 
   {{0x7d1dd067,0x60c9d068,0x7c2405f0,0x9c832c85}},	//   cess, ncem, _tsir, ščak, 
   {{0x27e9011c,0x68e4d069,0x46f60ec6,0x7c241d8e}},	// [dba0] gsan_, raid, ечет, _usir, 
   {{0x68e4d06a,0x6d5d0034,0x1aea0033,0x3a2603bd}},	//   said, ërav, ঞ্জে_, _змог, 
   {{0xaadb0056,0x44240926,0x65622933,0x7529001d}},	//   _מחיר, _ssm_, thoh, _baez, 
   {{0x27e9d06b,0x4424d06c,0x2ee500df,0x00000000}},	//   bsan_, _psm_, half_, --, 
   {{0x3d122649,0xb87b03b7,0x27e900a1,0x2ee50326}},	//   ध्ये_, _veíc, csan_, kalf_, 
   {{0x6562d06d,0x7d1dd06e,0xf48713b4,0x087700c7}},	//   shoh, zess, رانی, _װעלט_, 
   {{0xb6a31cb8,0x46a3d06f,0x75290065,0x6562084c}},	//   _бирл, _барв, _faez, phoh, 
   {{0x7d1da74d,0x00000000,0x00000000,0x00000000}},	//   xess, --, --, --, 
   {{0x7d1da5d6,0x442434c4,0xd00703b7,0x6560007a}},	//   vess, _usm_, еење_, _ilmh, 
   {{0x7d1dd070,0x31a12b70,0x00000000,0x00000000}},	//   wess, róza_, --, --, 
   {{0x26c70062,0x6dba01f2,0x69c80098,0x7529018e}},	//   žnog_, _aċar, ídel, _yaez, 
   {{0x63ba02f5,0x27e9d071,0x61f80082,0x61ead072}},	//   _hitn, ysan_, mrvl, msfl, 
   {{0x27e91d97,0x7c84d073,0x0ca845c1,0x63ba02be}},	//   xsan_, гуре, етри_, _kitn, 
   {{0x5b2420f7,0x63ba007b,0xdb170151,0xa2a750fb}},	//   льса, _jitn, _xixè, टेक्, 
   {{0x7d1dd074,0x27e90626,0x61ead075,0x63bad076}},	//   pess, wsan_, nsfl, _mitn, 
   {{0x673c05d5,0x0e9b07e4,0x63bad077,0xdb170098}},	//   _anrj, _משול, _litn, _mixé, 
   {{0x6b50014e,0x27e9d078,0x2b45039f,0x00000000}},	// [dbb0] _vägr, usan_, ölcs_, --, 
   {{0x63ba2e78,0x61f800ca,0x61ea03d8,0x6dbb008a}},	//   _nitn, krvl, ksfl, _iċaq, 
   {{0x7ae7460e,0xf7480038,0x629a0e79,0x00000000}},	//   majt, علمي_, _nyto, --, 
   {{0x442f0496,0x7ae7d079,0x27e9d07a,0xa3d50080}},	//   tvg_, lajt, psan_, водч, 
   {{0x63ba02f5,0x27e90248,0x6dbb01f2,0x629a0508}},	//   _bitn, qsan_, _jċaq, _ayto, 
   {{0x629a06ff,0xe299d07b,0x7ae7d07c,0x3949d07d}},	//   _byto, мал_, najt, ljas_, 
   {{0x386905a4,0x63521571,0x629ad07e,0x61ea4f12}},	//   lzar_, рвју, _cyto, gsfl, 
   {{0xdb170068,0x7ae7d07f,0x56942c7e,0x7777003d}},	//   _dixé, hajt, _саст, lixx, 
   {{0x38691056,0x7ae7d080,0x7ed500dd,0x600600c8}},	//   nzar_, kajt, кінч, вным_, 
   {{0x7ae70688,0x63ba0c3d,0x60c9d081,0xdb17076a}},	//   jajt, _gitn, scem, _fixé, 
   {{0xf8bf11e9,0xa2ca2c64,0xc3240033,0x2018020f}},	//   _ogé_, _स्ट्, পাশি_, ăria_, 
   {{0xf8bf0379,0xed5aa415,0x00000000,0x00000000}},	//   _ngé_, фом_, --, --, 
   {{0x0d831a79,0x644f1f99,0x63ba023e,0x4c83017b}},	//   рлян, _àcid, _yitn, илюв, 
   {{0x93fa0052,0x386902cd,0x7ae7d082,0xf8bf23f1}},	//   ולשי, dzar_, gajt, _agé_, 
   {{0x200dd083,0xb87b0126,0xbcfb0107,0x499602da}},	//   ltei_, _reía, chéo, вшат, 
   {{0xf1b3009a,0x212dd084,0x6d5d021e,0x387f0604}},	//   ुदिन, ndeh_, ërat, _žura_, 
   {{0x8c460b9d,0x200da7e6,0x7ae7d085,0xcc8a00d4}},	// [dbc0] _репе, ntei_, bajt, _زنده_, 
   {{0x4438063b,0x7bfb00a7,0x7ae78824,0xd910015f}},	//   _čr_, _קפיצ, cajt, _گیر_, 
   {{0xb87b033c,0x3869001d,0x2d822873,0x63bad086}},	//   _veía, azar_, onke_, _ritn, 
   {{0x63ba02f5,0xd9100a5a,0x2d820097,0x629a0009}},	//   _sitn, _دیر_, nnke_, _ryto, 
   {{0xa3dd00a2,0x938a1fde,0x61ea494c,0x63ba11bc}},	//   थील_, мска_, wsfl, _pitn, 
   {{0x61ea03d8,0x629a03c5,0x7bc402a5,0x2d8259d4}},	//   tsfl, _pyto, _muiu, hnke_, 
   {{0xf506b078,0x63bad087,0xd5b20523,0x5b7b027a}},	//   _изво, _vitn, _نفس_, ורסא, 
   {{0x2d540165,0xdb170042,0xc05a004f,0x629a0098}},	//   _mães_, _vixé, діо_, _vyto, 
   {{0xdefa1b17,0x61ea1b30,0x5f9409f9,0x6fb82d60}},	//   мын_, ssfl, лиит, нгир_, 
   {{0x63ba0b1f,0x7d1600bc,0x9f5300c8,0x2d8216c6}},	//   _uitn, _abys, ивыч, enke_, 
   {{0x3869d088,0xdb17009e,0xadb53ae5,0x00000000}},	//   zzar_, _bixî, лбош, --, 
   {{0xdced00ef,0x7bc473c3,0x9f4d0068,0xdb16003e}},	//   _tmač, _buiu, rreá_, _styð, 
   {{0x7ae709b2,0x7bc40474,0x06e80086,0x7c8700d9}},	//   tajt, _cuiu, _পানি, туне, 
   {{0x69c3010e,0x7bc473c3,0x7d1603c6,0x00000000}},	//   _ének, _duiu, _ebys, --, 
   {{0xda78307f,0x2d540165,0xe91900dd,0x661b0082}},	//   вят_, _cães_, нові_, _ćuko, 
   {{0x3869d089,0x99644648,0x3f9ed08a,0x39496d9d}},	//   tzar_, атул, lltu_, ujas_, 
   {{0x394900b0,0x7ae70813,0x6ca400b3,0x97150bad}},	// [dbd0] rjas_, pajt, _врэж, лмац, 
   {{0x386954e6,0xf7700fce,0x2ca40241,0x00000000}},	//   rzar_, يال_, ümde_, --, 
   {{0x3a841838,0x35f5d08b,0x7777007b,0x3869162a}},	//   _выяв, упер, rixx, szar_, 
   {{0x6d5dd08c,0x38690126,0x00000000,0x00000000}},	//   nksa, pzar_, --, --, 
   {{0x7ae50077,0x248902a0,0x6d5dd08d,0x437500d3}},	//   _keht, çam_, iksa, лукт, 
   {{0x4209d08e,0x69c50053,0xb464004f,0x6b950532}},	//   енко_, _kuhe, шкіл, nozg, 
   {{0xe296611f,0x69c500b0,0xf8bf033e,0x6d5dd08f}},	//   лаш_, _juhe, _naék_, kksa, 
   {{0x7ae5907d,0x69c5d090,0xa0a55327,0x224908e3}},	//   _leht, _muhe, лайд, ćak_, 
   {{0x69c50034,0x7ae500b4,0x200d00b4,0x00000000}},	//   _luhe, _oeht, utei_, --, 
   {{0x200dd091,0x7ae500bc,0x6d5d344e,0x5e493c93}},	//   rtei_, _neht, eksa, епом_, 
   {{0x200d75fe,0x1d0a340e,0x645958d5,0x69c50027}},	//   stei_, нени_, lywi, _nuhe, 
   {{0x200dd092,0xf8bf033e,0x7bc400b3,0x6abe0df2}},	//   ptei_, _daék_, _puiu, ्ड्र, 
   {{0xff5300d4,0x60dba675,0xbcfb0bb3,0x69c5d093}},	//   _پخش_, mbum, chém, _auhe, 
   {{0x60dbd094,0x3ea502f1,0xdee503dc,0x69c5d095}},	//   lbum, _йилг, _соки, _buhe, 
   {{0x18670200,0xe9840283,0x00000000,0x00000000}},	//   ҳати_, иқон, --, --, 
   {{0x69c5078e,0x6d5dd096,0x98a00062,0x98a90228}},	//   _duhe, cksa, ndić_, adač_, 
   {{0x999e0019,0x186781d2,0x59c01df3,0x2d830082}},	// [dbe0] ítő_, гати_, _शंकर, čket_, 
   {{0x645900ab,0x7ae5d097,0x7bcb02be,0x00000000}},	//   dywi, _geht, _égua, --, 
   {{0x69c5098e,0x9bb700a7,0x75d30038,0x60db0175}},	//   _guhe, _תהיה_, ميلا, kbum, 
   {{0xd946d098,0x98a01993,0x4a7b0147,0x645900f8}},	//   _семи, jdić_, _טריב, fywi, 
   {{0x4d7b00c7,0xbebc00e0,0x06e80086,0xdcef020f}},	//   ערנע, ldīt, _পাঠি, lică, 
   {{0xd2cf00c9,0x61e100f3,0x00000000,0x00000000}},	//   सुलझ, _bwll, --, --, 
   {{0x3d050da6,0x9666606f,0x68e60065,0x6d5d02c9}},	//   _वाले_, _скве, _kekd, yksa, 
   {{0x41546138,0x41c300eb,0xbcfb0107,0x98a000ca}},	//   рвис, حقيق, thém, gdić_, 
   {{0xa3cb1139,0x68e60082,0x64a32961,0x7522025b}},	//   _रूप_, _mekd, _гата, meoz, 
   {{0x66e40ed5,0x75221732,0x141b0070,0x442602b8}},	//   गरिक_, leoz, _אומב, mwo_, 
   {{0x3eb8d099,0x98a000ef,0x59b40f8c,0xa24508b6}},	//   ärt_, bdić_, ंगार, _نیول_, 
   {{0x69c5d09a,0xafe6210a,0xdd95001c,0x68e61852}},	//   _ruhe, _бодл, рамы, _nekd, 
   {{0x6d5dd09b,0x69c5d09c,0x60c202b8,0x7ae50144}},	//   rksa, _suhe, _igom, _peht, 
   {{0x69c5030f,0x070300ab,0xdcef00d9,0x44260532}},	//   _puhe, _लाइव_, fică, iwo_, 
   {{0x645900ab,0x69c500e5,0x60c2084c,0xab5b02aa}},	//   zywi, _quhe, _kgom, nqüi, 
   {{0x260802f8,0x58d55ad0,0x78d500fd,0xc4bf0033}},	//   ांनी_, роат, ржах, _উজ্জ, 
   {{0x7ae5d09d,0xb606034c,0x60c20010,0xbd880038}},	// [dbf0] _teht, _lišć, _mgom, _حنين_, 
   {{0x4426d09e,0x6e2a00ef,0x69c53bcb,0x98a0015e}},	//   dwo_, _ksfb, _tuhe, zdić_, 
   {{0x368b0258,0x57a462c1,0xe4d507cf,0xfbd00dec}},	//   хсан_, сшта, لقاد, _وتی_, 
   {{0x60c2286d,0x89da008d,0x64590083,0xbcfb023e}},	//   _ngom, _שחרי, tywi, dhék, 
   {{0x29190183,0xbcfb0151,0x0445a320,0x00000000}},	//   _ibsa_, ckée, релн, --, 
   {{0x6459d09f,0xb60603c8,0x60c2d0a0,0x1b230086}},	//   rywi, _bišć, _agom, মাকে_, 
   {{0x291902fe,0x68e629cc,0xdb1e0216,0x645500ad}},	//   _kbsa_, _yekd, _bipê, _əziy, 
   {{0x4426099d,0x672e0ab4,0xf8bf002c,0x00000000}},	//   bwo_, _zabj, _paéh_, --, 
   {{0x8467048a,0x4fe608a5,0xff2505e0,0xdb0d0183}},	//   _съве, амын_, ампо, _luañ, 
   {{0xee3990df,0x2f55c02a,0x6d5d0218,0xd4981095}},	//   вно_, ртис, êran, _срс_, 
   {{0x2ca9d0a1,0x3ea500cf,0x8d760fd0,0xbea5d0a2}},	//   _azad_, ринг, لاحا, ранк, 
   {{0xa3a90509,0x51840494,0xfbdf010c,0x60c201a3}},	//   _गीत_, _луча, rxên_, _ggom, 
   {{0x26d1012e,0xa3cb1011,0xe50d1aab,0xd009a68a}},	//   _ofzo_, _रूम_, _हानि_, _реле_, 
   {{0x68e6d0a3,0x29194337,0x60c200b3,0x98a20035}},	//   _sekd, _absa_, _zgom, _jaką_, 
   {{0x09e602fb,0x2d8b026a,0x0f7a035c,0x672e19f1}},	//   робн, ébec_, _ברסל, _rabj, 
   {{0x44260083,0xe8f71299,0x00000000,0x00000000}},	//   ywo_, илс_, --, --, 
  
   {{0x212f8b72,0xa3e41202,0x249fd0a4,0x00000000}},	// [dc00] _magh_, _भौं_, _nyum_, --, 
   {{0x13cc0086,0x7c290241,0x212f0465,0x68e600d4}},	//   রীড়, çere, _lagh_, _wekd, 
   {{0x762604e9,0x249f0175,0x59a71230,0xf6262ee5}},	//   рмез, _ayum_, _कीवर, рдео, 
   {{0x4426006a,0xe45a030f,0x61fc0cac,0x260700b0}},	//   two_, кже_, _årli, _हमरी_, 
   {{0x7522d0a5,0xd90d0116,0x2407d0a6,0xe2f80259}},	//   reoz, _سیل_, инци_, гелі_, 
   {{0x4426aae8,0x60c200fd,0x2ca00065,0x8c37027a}},	//   rwo_, _sgom, _myid_, יטנס_, 
   {{0x661c1810,0x25bf00d9,0x46aa007e,0x212f01be}},	//   _uprk, _fiul_, _करिह, _bagh_, 
   {{0xb60602fe,0xbcfb0098,0x25ad00a1,0x1fda0033}},	//   _višć, chéh, _ghel_, _দিবস, 
   {{0x7f9d026a,0xe3ba00d3,0x212f076b,0x00000000}},	//   hèqu, _аба_, _dagh_, --, 
   {{0xc306010e,0x200b00d3,0x381700a7,0x46aa00a5}},	//   _خبرو, àcia_, סקים_, _कराह, 
   {{0xb87b0126,0x201d03a0,0xeda700a3,0xdb1702be}},	//   _reím, _epwi_, ишмо, _lixã, 
   {{0x60c2039d,0xdb170068,0xdb1e00b9,0xd01a193c}},	//   _ugom, _vixí, _hipè, _афк_, 
   {{0xd0079aba,0x80dd00cc,0x26080a34,0x249f006d}},	//   _вече_, _যাচ্, ांडी_, _xyum_, 
   {{0x200400e0,0x271702d9,0x2ee74ea8,0x2ca900da}},	//   mumi_, _mění_, _genf_, _vzad_, 
   {{0x2004d0a7,0x7de6005e,0x26d10df4,0xa924020b}},	//   lumi_, _тілд, _rfzo_, _žľaz, 
   {{0x644d00c8,0xa647009c,0x00000000,0x00000000}},	//   äaik, یخان, --, --, 
   {{0x2004d0a8,0x7d0d2d99,0x2d99d0a9,0x38341e70}},	// [dc10] numi_, _icas, mose_, онтр, 
   {{0x2d99d0aa,0x00000000,0x00000000,0x00000000}},	//   lose_, --, --, --, 
   {{0x20040010,0xcf930070,0x7c2d00c3,0xaa597d2f}},	//   humi_, קטע_, _hsar, _сину_, 
   {{0x2d99090b,0x2004d0ab,0xe57000eb,0x6d9d0183}},	//   nose_, kumi_, وطن_, méas, 
   {{0x20040bc3,0x68edd0ac,0x6d9d007a,0x7c2d01f2}},	//   jumi_, maad, léas, _jsar, 
   {{0x68edd0ad,0xb5c90740,0x2004d0ae,0x2d99d0af}},	//   laad, _موسم_, dumi_, hose_, 
   {{0x7d0d2769,0xdb1ed0b0,0xd5bb004e,0x6d9d3d84}},	//   _ocas, _sipë, _аса_, néas, 
   {{0x68edd0b1,0x7d0d0327,0x2909d0b2,0x200400fd}},	//   naad, _ncas, ngaa_, fumi_, 
   {{0x0fe8005e,0x2d99d0b3,0xed5a0a27,0x66058a7e}},	//   алық_, dose_, ҳон_, luhk, 
   {{0x442daaec,0x7d0dd0b4,0x68ed039b,0x1f65d0b5}},	//   _ise_, _acas, haad, ском, 
   {{0xed5ad0b6,0x68edd0b7,0x660504e4,0x7c2dd0b8}},	//   гон_, kaad, nuhk, _asar, 
   {{0x442d011d,0x3a3a0126,0x6366003e,0x7c2d00b4}},	//   _kse_, _rrpp_, _iðna, _bsar, 
   {{0x68ed00b0,0xdb1e001d,0x442dd0b9,0x69d701cf}},	//   daad, _hipé, _jse_, _atxe, 
   {{0x1dcf0f01,0x8f80005e,0x660503f6,0x6d4b0cd7}},	//   _संपत, _оқыл, kuhk, _ògan, 
   {{0xbcfb001d,0x7c2dd0ba,0xfaa601a2,0x2d99d0bb}},	//   zhéi, _esar, саво, bose_, 
   {{0x442d01ee,0x68edd0bc,0x6605033e,0x08c6021d}},	//   _ose_, gaad, duhk, сбан, 
   {{0x69d702ba,0x6d44d0bd,0xdb1e0038,0x7f9d0107}},	// [dc20] _etxe, _inia, _lipé, sèqu, 
   {{0x6d44023b,0x6d9d0096,0x67250b48,0x00000000}},	//   _hnia, béas, gehj, --, 
   {{0x6d56d0be,0x442d06df,0x66056c86,0x68edd0bf}},	//   _koya, _ase_, guhk, baad, 
   {{0x6d56d0c0,0xbcfb00eb,0xdb1e06df,0xe4e3004f}},	//   _joya, théi, _sipè, пішн, 
   {{0x69dcd0c1,0x6d56d0c2,0x03a60d75,0x598301d8}},	//   lpre, _moya, бидо, _хляб, 
   {{0x66054afb,0x69c301d8,0x200401dd,0x6d9d007a}},	//   buhk, _ènec, vumi_, néar, 
   {{0x442dd0c3,0x66050045,0x27f2d0c4,0x6d44d0c5}},	//   _ese_, cuhk, lsyn_, _onia, 
   {{0xf1260b0c,0x6d56d0c6,0x2d9903da,0x4fd412cd}},	//   сько, _noya, xose_, ожит, 
   {{0xa494040f,0x27f20cac,0x442d0036,0x3e4e00ad}},	//   _بیشت, nsyn_, _gse_, məti_, 
   {{0x2004d0c7,0x543b0137,0x160c05d2,0x6d44d0c8}},	//   rumi_, _געמא, _हमार_, _ania, 
   {{0xa3e411bd,0xeb9f155b,0x69dc1ae9,0x68ed01a3}},	//   भीर_, ktør_, jpre, yaad, 
   {{0x69dcd0c9,0x2d99012d,0x6562d0ca,0x27f200c8}},	//   dpre, uose_, nkoh, ksyn_, 
   {{0x6d56d0cb,0x7d0dd0cc,0x68ed00b0,0x6d440035}},	//   _doya, _vcas, vaad, _dnia, 
   {{0x68ed102d,0x69dc9373,0x2d99d0cd,0x6562a692}},	//   waad, fpre, sose_, hkoh, 
   {{0x69dcd0ce,0x68edd0cf,0x1dcf0299,0x6d560118}},	//   gpre, taad, _संयत, _foya, 
   {{0x7c2d0489,0x6d9d0038,0x2b1a031e,0x6d44d0d0}},	//   _tsar, réas, म्बु_, _gnia, 
   {{0xb8d10d95,0x7c2d0d7f,0x68ed6a5c,0x5b2716d0}},	// [dc30] _ओर_, _usar, raad, _льна, 
   {{0x66053033,0x442dd0d1,0x68edd0d2,0x7bddd0d3}},	//   tuhk, _rse_, saad, mpsu, 
   {{0x656b0a75,0x65620097,0xd91900b3,0x63a3014b}},	//   thgh, fkoh, _конц_, vlnn, 
   {{0x442d01ee,0xd1260a24,0xe7ed047c,0x660536ff}},	//   _pse_, _غم_, _चौथा_, ruhk, 
   {{0xe3b1024f,0x02c503dd,0x06e80086,0xd0062949}},	//   ورت_, ойло, _পারি, _تل_, 
   {{0x442d29b6,0x31b31893,0x67d401a2,0x660500c2}},	//   _vse_, ुद्ध, _хору, puhk, 
   {{0x3e4e00ad,0x78c8039f,0x00000000,0x00000000}},	//   bəti_, _ásvá, --, --, 
   {{0x442d68f9,0x3495012d,0x00c92432,0xd1b9010e}},	//   _tse_, _дабр, шлик_, جاتا_, 
   {{0x442d0056,0x6569d0d4,0x5f75010e,0x6d564bab}},	//   _use_, _ileh, قادر, _roya, 
   {{0x2d8b0019,0x69dc011d,0x6d56d0d5,0x00000000}},	//   ében_, ypre, _soya, --, 
   {{0x69dcd0d6,0x6d56331a,0xe0d502a0,0xdb1e0216}},	//   xpre, _poya, _доењ, _bipî, 
   {{0x69dc008b,0x6d5618d4,0x00000000,0x00000000}},	//   vpre, _qoya, --, --, 
   {{0x6d56d0d7,0x9f35004f,0xdb1e0216,0x00000000}},	//   _voya, _меді, _dipî, --, 
   {{0xf99f0118,0x6d560204,0xdce40604,0x3b0ad0d8}},	//   _akè_, _woya, _ilič, јево_, 
   {{0xa3cb000f,0x65693dbc,0x06e80086,0x7aee010c}},	//   _रूस_, _oleh, _পালি, rabt, 
   {{0x7aee0495,0x6d44d0d9,0xb4e800a5,0xdce436ba}},	//   sabt, _unia, _मजे_, _klič, 
   {{0x46ea0c67,0x98a3121b,0x9f4d0126,0xa9673ca1}},	// [dc40] идан_, дите, queó_, цита_, 
   {{0xbf8700f7,0x81df0086,0x65690180,0xbcfb0019}},	//   _điện_, _তিন_, _aleh, nkén, 
   {{0x2018002e,0x316d0019,0x9f4200d4,0xdd8f00d4}},	//   ării_, khez_, èké_, _سوی_, 
   {{0x96da11bd,0xdce4044e,0x317f018e,0x27f2144c}},	//   _प्रॉ, _olič, jiuz_, psyn_, 
   {{0x656200e5,0xc2f30086,0xeb9f01e8,0x3e4e00ad}},	//   rkoh, চ্ছি_, brød_, rəti_, 
   {{0x47c3048a,0x6562d0da,0x69c36d8c,0x9c8305a8}},	//   _обяв, skoh, _éner, _účel, 
   {{0x816a00cf,0xdce400ef,0xe1ef00eb,0xd257b2e5}},	//   ириб_, _alič, نسي_, жцы_, 
   {{0xdced1810,0x387f00d2,0x6b9cd0db,0xf99f01d8}},	//   _imać, _žuri_, horg, _xkè_, 
   {{0x6b9cd0dc,0xe5a341ae,0x3860d0dd,0x7f4a004f}},	//   korg, _цити, nyir_, аїна_, 
   {{0x25a6d0de,0x00000000,0x00000000,0x00000000}},	//   llol_, --, --, --, 
   {{0xe8a73ace,0xdce439eb,0xe80c093a,0x6b9cd0df}},	//   _खर्च, _amiđ, िंडा_, dorg, 
   {{0x316d0107,0xd130015f,0x3d27017b,0x00000000}},	//   chez_, _سمت_, цьов, --, 
   {{0xbcfb0019,0x6b9cd0e0,0x1ae20033,0x0cab2cb9}},	//   bkén, forg, _বাড়া, ртни_, 
   {{0xa3b0006a,0x96da215e,0x99d70038,0x29e8009e}},	//   _टीम_, _प्लॉ, قترا, fşa_, 
   {{0x0eba2983,0xda341628,0x7ed3189a,0xaada0083}},	//   _туды_, меры, _غزوا, भड़क, 
   {{0x26c70032,0x65a300c2,0x00000000,0x00000000}},	//   ľnom_, põhi, --, --, 
   {{0xc6f9085c,0x00000000,0x00000000,0x00000000}},	// [dc50] йнах_, --, --, --, 
   {{0xd6dbd0e1,0x6b9c00fd,0xb90226f2,0x97a702c8}},	//   рта_, corg, _न्_, ірал, 
   {{0xcb12042c,0x65691050,0x7bcd848f,0x44e2040c}},	//   _אלי_, _pleh, _huau, _bа_, 
   {{0xa6e30086,0x7bcd02a5,0x0574009c,0xbcfbd0e2}},	//   _পাওয়, _kuau, واند, chét, 
   {{0xd7f868e9,0x7bc5d0e3,0x2d8b007a,0x4427155f}},	//   _мур_, _kihu, ince_, تراف, 
   {{0x23290925,0x2608009a,0xd8ba00d1,0x7bc5018e}},	//   соки_, ांशी_, _לצרכ, _jihu, 
   {{0xdce402f5,0x7afa008c,0x96f83d1f,0xa5f81e53}},	//   _slič, ótti, _фест_, _меру_, 
   {{0x657b2904,0x6b9cd0e4,0x32074b2d,0x645c00ad}},	//   _umuh, zorg, runy_, _əriz, 
   {{0x4439d0e5,0x3207d0e6,0xb4c9009a,0x81bc01dd}},	//   _és_, suny_, ोडी_, _spēc, 
   {{0x2d8bd0e7,0x316d0019,0x443fd0e8,0x3959d0e9}},	//   ence_, shez_, _iru_, _loss_, 
   {{0x443f026e,0x6da629eb,0xada600fd,0x6b9cd0ea}},	//   _hru_, зина, занл, vorg, 
   {{0x69ca0165,0x3959d0eb,0xbcfb010e,0x7ff50038}},	//   _éfei, _noss_, skén, _فستا, 
   {{0xdce407c7,0x29e80218,0x7bc5d0ec,0x160d07d5}},	//   _ulič, wşa_, _bihu, ांडर_, 
   {{0x26c7003a,0x2d8bd0ed,0xd00e00eb,0x7bc5d0ee}},	//   žnoj_, ance_, _صلى_, _cihu, 
   {{0x7bc53eac,0xae1f0394,0x6b9cd0ef,0xbcfb026a}},	//   _dihu, _बहिन_, rorg, thét, 
   {{0x3946127e,0x88ca985f,0x6b9cd0f0,0x65aa014b}},	//   ños_, слав_, sorg, výho, 
   {{0x2d82d0f1,0x443f0405,0x7bcd0126,0x2bd8009c}},	// [dc60] mike_, _nru_, _guau, _بابک_, 
   {{0x2d82d0f2,0x7bc5d0f3,0x7c24019c,0x4e1f0299}},	//   like_, _gihu, _ipir, _बहाई_, 
   {{0x443f007e,0x38660df4,0x3860030c,0x673500a4}},	//   _aru_, šor_, syir_, _dazj, 
   {{0xe80c017d,0xa50a1cfc,0x661b0082,0x443f00fc}},	//   िंदा_, седа_, _ćukt, _bru_, 
   {{0xe803006a,0xdce6002a,0x68e4d0f4,0x27ee031e}},	//   _लिया_, dokļ, mbid, álně_, 
   {{0x27e0097d,0x7c24d0f5,0x68e402ba,0x443f1f57}},	//   mpin_, _mpir, lbid, _dru_, 
   {{0x443f06b6,0x2d82d0f6,0x7f58006d,0x55e6d0f7}},	//   _eru_, kike_, _rovq, _хобб, 
   {{0x68e4d0f8,0x443f0430,0x69c6023e,0x59be00c6}},	//   nbid, _fru_, _jike, ्दिर, 
   {{0x69c6d0f9,0x16040790,0x2d82d0fa,0x68e4d0fb}},	//   _mike, शंकर_, dike_, ibid, 
   {{0x69c6d0fc,0x64408de4,0x138a0038,0x9df8d0fd}},	//   _like, _irmi, _اخرى_, онот_, 
   {{0x69c60df8,0x2d82d0fe,0xdd952609,0x7c240a9f}},	//   _oike, fike_, даны, _apir, 
   {{0x644045f8,0x44240348,0x160d09ef,0x7bc59e05}},	//   _krmi, _kpm_, ांतर_, _sihu, 
   {{0x2b5a00b9,0x69b00c46,0x7bc565c2,0x7f46401f}},	//   _bopc_, ंतनी, _pihu, _недж, 
   {{0xddda0019,0x7fb800d4,0x3959059e,0xe0850038}},	//   sztő, _بهتر_, _soss_, _تجمي, 
   {{0x2d82d0ff,0x39590626,0x99674ce4,0x69c6d100}},	//   bike_, _poss_, птал, _bike, 
   {{0x3f9ed101,0x4424d102,0x69c6d103,0x6da40843}},	//   lotu_, _opm_, _cike, _пија, 
   {{0xa2bc08b4,0x9f5f0369,0x3959004f,0x27e00102}},	// [dc70] षेत्, ctuó_, _voss_, gpin_, 
   {{0x3f9ed104,0x69c6d105,0x69da0183,0x7d1dd106}},	//   notu_, _eike, ítec, lfss, 
   {{0x69c6d107,0x6d400107,0x4424d108,0x3f8cd109}},	//   _fike, ômag, _apm_, indu_, 
   {{0x443fd10a,0x64400065,0x3f9e0098,0x69c60610}},	//   _pru_, _brmi, hotu_, _gike, 
   {{0x98ab0012,0x240900dd,0x3f9ed10b,0x443fd10c}},	//   _dacă_, інки_, kotu_, _qru_, 
   {{0x644000ca,0x798d0102,0x64460242,0x8c1c0070}},	//   _drmi, lnaw, _škic, צווי, 
   {{0x98ab00d9,0x200402a3,0x3f9e0243,0x5694286c}},	//   _facă_, ermi_, dotu_, _зарт, 
   {{0x636f155b,0x443fd10d,0x798d4f39,0xd179012d}},	//   _sønd, _tru_, nnaw, ўскі_, 
   {{0x27ed078a,0x2d8204d1,0x443f0199,0xf2c7d10e}},	//   _çend_, vike_, _uru_, _есен, 
   {{0x2d82019b,0x798d223f,0x9e6509fa,0xd00e0116}},	//   wike_, hnaw, двод, گلی_, 
   {{0x442f02bf,0x200401d8,0xa2a40262,0x2eee0844}},	//   lwg_, armi_, _चुप्, _deff_, 
   {{0xd00e1c03,0xb33c00c3,0xcac50033,0x7c2402a5}},	//   دلی_, _ikħa, ্রাফ, _ppir, 
   {{0xef0e0b68,0x2d821e41,0xe6aa0f8c,0xbcfbd10f}},	//   _им_, rike_, _कर्ज, thér, 
   {{0x69c6d110,0x8e850925,0xb87b0126,0xa3c202e6}},	//   _sike, _огле, _leís, ृदय_, 
   {{0x69c6d111,0x6fd500cc,0xfaa3d112,0xbcfb3c3a}},	//   _pike, _দিয়ে, варо, rhér, 
   {{0x140d0838,0xb4c95739,0x2d9500e4,0x57ea0093}},	//   _समूह_, ोडो_, _прыс, ждам_, 
   {{0xbcfb0107,0x2fc700d1,0x7c2486d0,0x2d92007c}},	// [dc80] phér, _king_, _upir, _ijye_, 
   {{0x69c6d113,0x68e4d114,0x4b87004e,0x3b830028}},	//   _wike, sbid, _ойын_, _альг, 
   {{0x4424a051,0x2fc7d115,0x7afa003e,0x2fcf3b57}},	//   _spm_, _ming_, óttu, _lugg_, 
   {{0xc48624dc,0x2fc7d116,0x27e0357d,0xdb1e00b9}},	//   млек, _ling_, ppin_, _hipà, 
   {{0xd24f00c5,0x2fdd006d,0x3f9e045a,0x3f8c01d5}},	//   ینه_, _ntwg_, yotu_, yndu_, 
   {{0x2fc7d117,0x06e80086,0x3f9e01d6,0x00000000}},	//   _ning_, _পাকি, xotu_, --, 
   {{0x3f9e02f5,0x2eee0089,0xb87b0183,0x2d8008b0}},	//   votu_, _reff_, _feís, _omie_, 
   {{0x2fc7005f,0xc0340843,0x60f80093,0x2d920199}},	//   _aing_, ениј, чния_, _njye_, 
   {{0x442443db,0x64400c45,0xdce60009,0x3f9eae5d}},	//   _upm_, _urmi, likė, totu_, 
   {{0x69de07c7,0x2fc7033e,0x2d800107,0x2fcfd118}},	//   _otpe, _cing_, _amie_, _dugg_, 
   {{0xe0da0d5c,0x2fc7d119,0x3f9e850b,0xbcfb0098}},	//   _две_, _ding_, rotu_, ském, 
   {{0x7afe02be,0x7d1d0502,0x3f9ed11a,0x00000000}},	//   _adpt, ufss, sotu_, --, 
   {{0xb87b0019,0x2fc74447,0x7d1d003e,0x9cc8a1a4}},	//   _leír, _fing_, rfss, дыра_, 
   {{0x2fc7cefb,0x7c3d0566,0x68ef0b8b,0x0a6b2e2d}},	//   _ging_, rvsr, _secd, орби_, 
   {{0xa2a400c6,0x61f810de,0x3ea7901f,0x00000000}},	//   _चुम्, nsvl, _gynt_, --, 
   {{0x69da0084,0x798dd11b,0x2fc7d11c,0x442f006f}},	//   ítea, unaw, _zing_, ywg_, 
   {{0x442f0201,0xe50d00b0,0x57b511cd,0x798dd11d}},	// [dc90] xwg_, हलसि_, ебат, rnaw, 
   {{0x798dd11e,0xb87bd11f,0x61f8040b,0x00000000}},	//   snaw, _seís, ksvl, --, 
   {{0xfc3f0369,0x68ef11a5,0x06e80033,0x00000000}},	//   lví_, _tecd, _পাখি, --, 
   {{0xceb30111,0x46df000d,0xa4d500dd,0x442f78b0}},	//   דיע_, _प्रह, ході, twg_, 
   {{0xd006298e,0x98c400a3,0xd6db0165,0xd8da00d1}},	//   _حل_, _асрл, _мтв_, _מקרר, 
   {{0x442f00f8,0xe4e600d3,0x00000000,0x00000000}},	//   rwg_, _үстү, --, --, 
   {{0xc6a46ecc,0x2b1201a4,0xa3cb0d2e,0x2fc7d120}},	//   _арти, _तासु_, _रंक_, _ring_, 
   {{0x2fc7182b,0x7af50a9f,0x3cfb0035,0x00000000}},	//   _sing_, hazt, ्लों_, --, 
   {{0x160d00a2,0xf8bf0096,0x3ea7b859,0x61f8040b}},	//   ांवर_, _ubéd_, _synt_, asvl, 
   {{0xa3d4100d,0x3ea701e8,0x2fc70104,0xbcfb02d9}},	//   _संत_, _pynt_, _qing_, lkéh, 
   {{0x2fc7d121,0x7af501d6,0x00000000,0x00000000}},	//   _ving_, dazt, --, --, 
   {{0x20020009,0xc692008d,0xdb170218,0x2fc700df}},	//   škia_, ראט_, _tixû, _wing_, 
   {{0x2fc7d122,0xf5390187,0xa2c703a2,0x3dc90106}},	//   _ting_, _mať_, ाशक्, _diaw_, 
   {{0x2fc7005f,0x7af501ca,0xbcfb0098,0x3ea700fc}},	//   _uing_, gazt, hkéh, _tynt_, 
   {{0x3f8538c6,0xeb970f25,0xf2d20225,0xbcfb00da}},	//   milu_, хир_, רעל_, kkéh, 
   {{0x3f85b889,0xb87b0369,0xdc8400f0,0x2d9202b8}},	//   lilu_, _reír, _ақмо, _ujye_, 
   {{0xa3cb1204,0x7af501f1,0x8c140033,0x200d66cb}},	// [dca0] _रंग_, bazt, িবহন_, nuei_, 
   {{0x212d2d96,0xdce6012d,0x00000000,0x00000000}},	//   heeh_, tikė, --, --, 
   {{0x69de05a1,0x212d023e,0x00000000,0x00000000}},	//   _utpe, keeh_, --, --, 
   {{0xd91000d6,0xd6e80086,0x200d01d6,0x00000000}},	//   _خیر_, _পাওয, kuei_, --, 
   {{0xd467a1a8,0x68f602f1,0xf5390228,0xd90d0a5a}},	//   нице_, mayd, _dať_, _ذیل_, 
   {{0x68f6942c,0x7c360065,0xf8af0019,0x87b900b3}},	//   layd, _msyr, _چکے_, _жуст_, 
   {{0x31c6d123,0x3f85203b,0x69ca023e,0x00000000}},	//   нсив, dilu_, _éfes, --, 
   {{0x64a641a4,0xbcfb063b,0xa3cb00a5,0x68f67812}},	//   _заба, ckéh, _रूक_, nayd, 
   {{0x59d20d95,0x200d03b7,0xa44602f1,0x91710210}},	//   _दूसर, guei_, _янад, _sợ_, 
   {{0x68f601ff,0x61f800ca,0xd2aa00b3,0x3f8501d6}},	//   hayd, psvl, _екзе_, gilu_, 
   {{0x7c365d14,0x00ca1020,0x28a701ec,0x212d011c}},	//   _asyr, _елек_, _कुनि, beeh_, 
   {{0xfc3f0351,0x68f6d124,0x91710210,0x00000000}},	//   tví_, jayd, _vợ_, --, 
   {{0x3f853e8b,0x69da0019,0x68f6d125,0x71650038}},	//   bilu_, íten, dayd, _جالك, 
   {{0xdb58901c,0xdced01f2,0x00000000,0x00000000}},	//   нюс_, _klaċ, --, --, 
   {{0x3da73993,0x7af502ba,0xe803009a,0x7ed5004f}},	//   _приб, razt, _लिहा_, _річч, 
   {{0x1958001c,0x29120298,0x6c850038,0x68f6d126}},	//   насы_, ggya_, _للعم, gayd, 
   {{0x6d4dd127,0xa898662e,0x637400b9,0x636f0657}},	// [dcb0] _inaa, екту_, _gàng, _løna, 
   {{0x81bc002a,0x69b3190a,0x6d5f0226,0x7641003e}},	//   _spēl, _आठवी, _hoqa, _ályk, 
   {{0x6d4d0d62,0x63740054,0xbcfb0032,0x5f1300bd}},	//   _knaa, _mànd, tkéh, _दास्_, 
   {{0x3f8500d2,0x32070098,0xdb0e35bb,0x00000000}},	//   zilu_, vrny_, rmbå, --, 
   {{0x6d5f084c,0x58872bac,0xa3d400c9,0x6d4dbd0e}},	//   _moqa, _чына, _सूद_, _mnaa, 
   {{0xbcfb026e,0x32070379,0x6d5f01ff,0x9f5f00b9}},	//   skéh, trny_, _loqa, truí_, 
   {{0xe2964d69,0x6d4db016,0x61ed0304,0xcfda0033}},	//   каш_, _onaa, ćalo, _দিগন, 
   {{0x200dd128,0x6d4d0547,0xe7a90083,0x00000000}},	//   tuei_, _nnaa, कतकप, --, 
   {{0x3f850574,0x26c70032,0x637403dd,0xa3d5004f}},	//   tilu_, ľnou_, _bànd, _розч, 
   {{0x6d4dd129,0x2003030d,0xb4bf0df2,0x26c71102}},	//   _anaa, čji_, ुखी_, žnou_, 
   {{0x13e6100b,0xfce68a79,0x1d0a065b,0x753b7c2f}},	//   _নিয়, коно, мени_, _kauz, 
   {{0xd25600a7,0x228403a1,0x212d00e2,0x753b01f1}},	//   _בשעה_, _сууг, qeeh_, _jauz, 
   {{0x200dd12a,0x753b0548,0x3f8538e8,0xe0d00296}},	//   quei_, _mauz, pilu_, _ازم_, 
   {{0x63a3d12b,0x753bd12c,0x6d4dd12d,0x1e8400f0}},	//   nonn, _lauz, _enaa, _өлім, 
   {{0xfaa603dc,0x56130086,0x4a750161,0x68f6605a}},	//   таво, সবুক_, гытт, tayd, 
   {{0x63a3d12e,0xada60161,0x1c4617b4,0x753bd12f}},	//   honn, _шайл, _аним, _nauz, 
   {{0x63a3837f,0x68f62b9d,0xe73a01a2,0x80c400aa}},	// [dcc0] konn, rayd, меа_, ाइये, 
   {{0x63a3d130,0x68f607fa,0x3cde0e7d,0x1bba2e10}},	//   jonn, sayd, कुरे_, _تابع_, 
   {{0x63a3d131,0x61e10026,0x68f6011d,0x6d5f01ff}},	//   donn, _ntll, payd, _yoqa, 
   {{0x753b0012,0x59830386,0xf56900f0,0x637403dd}},	//   _cauz, _влюб, ншік_, _màne, 
   {{0x753b01f1,0xf487009c,0x00000000,0x00000000}},	//   _dauz, پانی, --, --, 
   {{0x63a3d132,0x66e30009,0xdced00c3,0x7c292e24}},	//   gonn, _вора, _plaċ, çeri, 
   {{0x753b7378,0x61e100a1,0x3d1300bc,0x00000000}},	//   _fauz, _ctll, _थाले_, --, 
   {{0x673c1ab9,0x753b02ba,0x261c0126,0xd6274c8a}},	//   _harj, _gauz, mío_, _шосе_, 
   {{0xb4251fe8,0x673c9707,0x34a70152,0x1b0a0086}},	//   _معلو, _karj, _авто_, শ্যই_, 
   {{0x63a3026d,0x6d4d0876,0xe3b7611f,0x2002012d}},	//   conn, _snaa, _абу_, škio_, 
   {{0x3eaa055f,0x69da00bc,0x77b00219,0x637400b9}},	//   æbt_, ítel, växl, _càne, 
   {{0x629a01d6,0x673c021e,0x6b8701d2,0x752200b4}},	//   _ixto, _larj, wijg, nfoz, 
   {{0x6442d133,0x261c0183,0x6b8702b0,0x637400f6}},	//   nvoi, hío_, tijg, _tànd, 
   {{0x636f0422,0x673c3f82,0xfb87082e,0x65600664}},	//   _lønn, _narj, тымн, _lomh, 
   {{0x5fb70056,0xdcedd134,0x5ec00086,0x6b87d135}},	//   _שהוא_, _hlač, _শ্রে, rijg, 
   {{0x63a3d136,0x261c0634,0x81bc00e0,0x6d4d0053}},	//   zonn, dío_, _spēj, _unaa, 
   {{0x63a3d137,0x69d8d138,0x2126023e,0xeab00019}},	// [dcd0] yonn, _éven, _mboh_, معہ_, 
   {{0x261c0634,0x66030228,0xf77300b1,0x656000a1}},	//   fío_, ánko, جار_, _aomh, 
   {{0x673c0938,0xc6a40d83,0x28f9d139,0x636f01e8}},	//   _darj, арци, _пень_, _bønn, 
   {{0x65604884,0x63a3d13a,0x00000000,0x00000000}},	//   _comh, wonn, --, --, 
   {{0x6560006e,0x94252f1c,0x442919cb,0xdb0510fd}},	//   _domh, умле, ïa_, _akhé, 
   {{0x212601e5,0x261c033c,0x753b0247,0x673c2b64}},	//   _aboh_, bío_, _wauz, _garj, 
   {{0x63a3d13b,0x3869d13c,0xb595d13d,0x261c6784}},	//   ronn, lyar_, _бивш, cío_, 
   {{0xf2df0029,0x63a37003,0x569439cc,0xdce407c7}},	//   _đâu_, sonn, _таст, _ilić, 
   {{0x60dbd13e,0x3869d13f,0x0584750e,0x63a3d140}},	//   rcum, nyar_, _турм, ponn, 
   {{0x260802f8,0x60dbd141,0x63a30104,0x81d500a3}},	//   ांची_, scum, qonn, _божх, 
   {{0x2f5400f0,0x38690175,0xa3d90083,0x00000000}},	//   ртыс, hyar_, _ठंड_, --, 
   {{0xed5a05af,0x51849b5b,0x6b854aec,0x2b46020f}},	//   хом_, _куча, _amhg, _şoc_, 
   {{0x644f2142,0xdced0864,0x0d831134,0xbc190259}},	//   _ácid, _glač, слян, кірі_, 
   {{0xdcef00e0,0x50b800d4,0xdee21eb4,0x3869011c}},	//   ficē, _شدند_, _лоши, dyar_, 
   {{0x201f46eb,0xaaa400c9,0x00000000,0x00000000}},	//   ltui_, _खुशक, --, --, 
   {{0x261c0a5e,0x673cd142,0x213f3231,0xb886031e}},	//   vío_, _sarj, nduh_, hlíž, 
   {{0x3869006b,0x81bc002a,0x656002d0,0xdce400ef}},	// [dce0] gyar_, _spēk, _romh, _alić, 
   {{0x65600e3d,0x636f14a4,0x261c26ca,0x00000000}},	//   _somh, _sønn, tío_, --, 
   {{0x673cd143,0xa96ad144,0x201f00c8,0xa3c9122e}},	//   _varj, _зина_, htui_, ोदन_, 
   {{0x261c0503,0x3869d145,0x14c800d4,0x7bd6d146}},	//   río_, byar_, نهای_, _kuyu, 
   {{0x673cc127,0x644249dc,0x261c0068,0x38690027}},	//   _tarj, uvoi, sío_, cyar_, 
   {{0x6442d147,0x3940d148,0x7bd6743b,0x261c001d}},	//   rvoi, ldis_, _muyu, pío_, 
   {{0xa3d4451b,0x6560d149,0x644200c8,0x1dcf0df2}},	//   _सूर_, _tomh, svoi, _संगत, 
   {{0xdcedd14a,0x7d04d14b,0x9f440054,0x3a3a05d5}},	//   _plač, _ndis, mpmé_, _mspp_, 
   {{0x0443d14c,0xa2e603dc,0x637403a1,0xb8861102}},	//   _летн, _бозд, _cànc, blíž, 
   {{0x64a4005e,0x7de6005e,0x7d04d14d,0x8514034d}},	//   _баға, лімд, _adis, _डाँट_, 
   {{0x4aa4190a,0x213f0065,0x7d040054,0x2b1b1687}},	//   _खुलव, bduh_, _bdis, _बाबु_, 
   {{0xdced063b,0x7bd67d4a,0x7d04026a,0x38691305}},	//   _tlač, _buyu, _cdis, yyar_, 
   {{0x3940007b,0x7d04bc2f,0x60189269,0x00000000}},	//   ddis_, _ddis, _роля_, --, 
   {{0x7d04d14e,0x200b0039,0x25a6d14f,0x7bd605b7}},	//   _edis, ácie_, hool_, _duyu, 
   {{0x25a62fb0,0x35d90262,0x333e00f6,0xb87b02aa}},	//   kool_, _बूढ़, _matx_, _ofíc, 
   {{0x1b03022c,0x79a721bd,0x7d0001d5,0x3940076b}},	//   шүүн, урге, ómst, gdis_, 
   {{0xab8711f8,0xdce40372,0x7bd6b10f,0xa85500d3}},	// [dcf0] _бунк, _slić, _guyu, шкач, 
   {{0x7c2dd150,0x38690218,0x213f858e,0x70d129b0}},	//   _ipar, ryar_, zduh_, _हल्ल, 
   {{0x6dbc006a,0x386945c9,0x963508af,0x858b00a3}},	//   _właś, syar_, рнец, нёда_, 
   {{0x4a5a0056,0x8af806d0,0x7bd68bab,0x3869011c}},	//   _סדרו, _şəxs, _yuyu, pyar_, 
   {{0x78fa0052,0x68edd151,0x3eae0d6e,0xbcfb010e}},	//   _בפרו, mbad, _lyft_, lkés, 
   {{0x27e99bef,0x69cf0a1a,0x6265b050,0x7c2d016c}},	//   mpan_, _hice, ивла, _mpar, 
   {{0xe0d10084,0x2d8b0f4c,0xe4e70c8b,0x27e9d152}},	//   يزة_, kice_, _бізн, lpan_, 
   {{0x7c2dd153,0x25a6d154,0x6595001c,0x201f00c8}},	//   _opar, cool_, _табу, ttui_, 
   {{0x2d8bd155,0x69cfd156,0x26110262,0x27e9d157}},	//   dice_, _mice, दूरी_, npan_, 
   {{0x442dd158,0x201fd159,0x7e251a41,0x333e00b4}},	//   _ipe_, rtui_, адож, _gatx_, 
   {{0x201fd15a,0x6449008c,0x2d8bd15b,0x7bd60966}},	//   stui_, _hrei, fice_, _suyu, 
   {{0x6da6d15c,0x7bd602f6,0x2d8bd15d,0x27e97db3}},	//   рима, _puyu, gice_, kpan_, 
   {{0x7af712ed,0x69d7d15e,0x7529d15f,0x442d01d2}},	//   _bext, _auxe, _mbez, _jpe_, 
   {{0x23bb0218,0x442dd160,0x27e90008,0x69cfd161}},	//   bêje_, _mpe_, dpan_, _aice, 
   {{0x75294179,0x34b20c14,0x7bd601e5,0xfce6022c}},	//   _obez, _जर्द, _wuyu, _койо, 
   {{0x2d8b003a,0x6449d162,0xf1c6008c,0x68ed0102}},	//   cice_, _orei, _þátt_, gbad, 
   {{0x68431431,0x442d01c1,0x3940d163,0x69d70183}},	// [dd00] онта, _npe_, rdis_, _euxe, 
   {{0x68edd164,0x39402078,0x7bfb027a,0x752945e2}},	//   abad, sdis_, _שפיצ, _abez, 
   {{0x7afcd165,0x442dd166,0x27e90da2,0x68edd167}},	//   mart, _ape_, apan_, bbad, 
   {{0x6449d168,0x7afcd169,0xd946d16a,0x3940d16b}},	//   _brei, lart, _теми, qdis_, 
   {{0x644982c3,0x69c4d16c,0x25a6d16d,0x38c900a3}},	//   _crei, mmie, rool_, _буён_, 
   {{0x64490c58,0x200dd16e,0x69c4d16f,0x2d8bd170}},	//   _drei, drei_, lmie, zice_, 
   {{0x200dd171,0x442dd172,0x63740014,0x6449d173}},	//   erei_, _epe_, _càna, _erei, 
   {{0x6449d174,0x7afcd175,0x35a30e52,0x200d01c4}},	//   _frei, hart, _дасг, frei_, 
   {{0x6449d176,0x7afcd177,0x2d8bd178,0xdb170068}},	//   _grei, kart, vice_, _xixó, 
   {{0x7afc078a,0x2d8bd179,0x3f66abd9,0x69c4d17a}},	//   jart, wice_, ртиб, hmie, 
   {{0x7afc932b,0x3eb805a1,0x7c2d5188,0x68ed040c}},	//   dart, årt_, _spar, ybad, 
   {{0x7af73ba7,0x200dd17b,0x7c2d7775,0x61eac5d6}},	//   _sext, brei_, _ppar, mpfl, 
   {{0x69cf0021,0x69c40039,0x2d8b0e24,0x69d709a1}},	//   _rice, dmie, rice_, _suxe, 
   {{0xc90f1215,0x7afcd17c,0x69cf11c8,0x69d72cfc}},	//   िल्म_, gart, _sice, _puxe, 
   {{0xd90f0399,0x29dc001d,0x3f8c547f,0x61ea0380}},	//   وید_, _cía_, midu_, npfl, 
   {{0x29dc127e,0x3f8cd17d,0x7af70218,0x69d7014e}},	//   _día_, lidu_, _wext, _vuxe, 
   {{0x7afcd17e,0x68edd17f,0x27e9d180,0x69cf7901}},	// [dd10] bart, rbad, upan_, _vice, 
   {{0x7afcd181,0x68edd182,0x69c4d183,0x29dc0183}},	//   cart, sbad, amie, _fía_, 
   {{0xd6d84570,0x20020121,0x27e9d184,0x69cf94fc}},	//   рту_, ških_, span_, _tice, 
   {{0x6449d185,0x27e9d186,0x3f8cd187,0x4518004f}},	//   _prei, ppan_, hidu_, иція_, 
   {{0x3f8c0613,0x798d0877,0xf95600a7,0x2d890226}},	//   kidu_, miaw, _הסרת_, _mmae_, 
   {{0xe299d188,0x200d9f56,0x083a00c7,0x6449076b}},	//   лал_, vrei_, _געשל, _vrei, 
   {{0x569454cd,0x644900f8,0x2d891b6b,0x3f8c025b}},	//   _дарт, _wrei, _omae_, didu_, 
   {{0x7afcd189,0x798d02f6,0x200dd18a,0x752900ab}},	//   zart, niaw, trei_, _ubez, 
   {{0x25ad003d,0x442dd18b,0x4499012d,0x33d4004f}},	//   _ikel_, _upe_, _сваю_, _дієт, 
   {{0x200d732d,0x637400a9,0x69c4d18c,0x7afc7dab}},	//   rrei_, _tàna, zmie, xart, 
   {{0x3ea5235b,0x69c4ccf5,0xbea50222,0x9d464e7d}},	//   синг, ymie, санк, бенд, 
   {{0x7afcd18d,0x29dc0496,0xbc1a004e,0x200dd18e}},	//   wart, _ría_, лігі_, prei_, 
   {{0x7afcd18f,0x798dd190,0x3f8cd191,0x28a7017d}},	//   tart, diaw, bidu_, _कुलि, 
   {{0x3d1a14b3,0x3f8c05ae,0x29dc0068,0x69d8010e}},	//   _भावे_, cidu_, _pía_, _évek, 
   {{0x7afc00a2,0x09e63ca1,0xf2d200c7,0x3eaa014b}},	//   rart, собн, לעם_, čité_, 
   {{0x29dc1056,0xe80302c3,0x69c468dc,0x249f02be}},	//   _vía_, _लिखा_, umie, _oxum_, 
   {{0x69c4d192,0xa9a61cc1,0xa3c9048e,0xab9a029a}},	// [dd20] rmie, _ҳинд, ोदा_, _مخدر_, 
   {{0x7afcd193,0x29dc24b5,0x69c4d194,0x25bf01cf}},	//   qart, _tía_, smie, _ahul_, 
   {{0x671e37c0,0x7d771372,0x69c40243,0x00000000}},	//   _पाठक_, _ضمیر_, pmie, --, 
   {{0x25bfcf7a,0x8936073c,0x61fc01e8,0xbcfb010e}},	//   _chul_, _اعدا, _ærli, nkép, 
   {{0x236511c8,0xd5af36a7,0x25bfd195,0x938a15f5}},	//   _bolj_, رفه_, _dhul_, лска_, 
   {{0x98a2012d,0xeb9f055f,0x39421a13,0x37e30bad}},	//   _sakė_, rsøg_, _haks_, _хорг, 
   {{0x3f8c134c,0x39420077,0x236500b3,0xbcfb010e}},	//   vidu_, _kaks_, _dolj_, kkép, 
   {{0x7a43006b,0xf5960084,0x61ea01c4,0x2ca0d196}},	//   lítá, _الرج, rpfl, _oxid_, 
   {{0xdefa001c,0x61ea0380,0x1fa600b9,0x2bb900c9}},	//   лын_, spfl, йрог, _इठला, 
   {{0x200bd197,0x7413247b,0x394201e8,0x200a0121}},	//   ácia_, _روما, _laks_, čbi_, 
   {{0x3f8c007b,0x39a10028,0x637401f5,0x2d990ada}},	//   ridu_, lėse_, _hàno, éreo_, 
   {{0xa1c613e6,0x5fba37e7,0x3942011d,0xdb07021e}},	//   _убед, _उठवल, _naks_, pojë, 
   {{0x39a1012d,0xb87b0042,0x7a430019,0x3f8cd198}},	//   nėse_, _afín, kítá, pidu_, 
   {{0xab840152,0x7a43010e,0x2ff700b3,0xa0070038}},	//   пуск, jítá, _уншь_, _اقول_, 
   {{0x798d3d94,0x7de6247b,0x42db0070,0xce930176}},	//   tiaw, _استم, רקלע, _нашъ, 
   {{0x996400b3,0xb4d70249,0x00000000,0x00000000}},	//   птул, _सले_, --, --, 
   {{0xa3d40509,0xc6f95dad,0x798d046e,0xf8b900f6}},	// [dd30] _संग_, инах_, riaw, рөн_, 
   {{0x798da97f,0x2d99012b,0xfb15009c,0x7a43010e}},	//   siaw, lnse_, _بودج, gítá, 
   {{0x58d508b8,0x798d0110,0xfbdf0216,0x2d99044d}},	//   _монт, piaw, lqê_, onse_, 
   {{0x39420065,0x2d998224,0x637d023e,0x00000000}},	//   _gaks_, nnse_, _kèng, --, 
   {{0x850a005e,0x23657811,0x68ff0095,0x2d99d199}},	//   рдің_, _polj_, maqd, inse_, 
   {{0xc5fb00b1,0xfbdf0216,0x63aa0156,0x224c0096}},	//   _معرض_, yvên_, gofn, _brdk_, 
   {{0xdb1e01ee,0x3942016a,0x637d023e,0xe3b00038}},	//   _shpë, _yaks_, _lèng, رره_, 
   {{0x212b294c,0x3fe5911a,0x249f006d,0x2d9901c8}},	//   ých_, ожив, _txum_, jnse_, 
   {{0x7767006d,0x4439d19a,0x4395286c,0x636f0b41}},	//   _kojx, _ès_, _даас, _løni, 
   {{0x443f19e0,0x93972300,0x00000000,0x00000000}},	//   _isu_, _اجرا, --, --, 
   {{0x3eb900ab,0xbcfb039f,0x00000000,0x00000000}},	//   ęsto_, tkép, --, --, 
   {{0x3cca0925,0x443f008a,0x637d023e,0x69d806aa}},	//   илно_, _ksu_, _bèng, _évei, 
   {{0xbcfb0019,0x637d023e,0x7a43010e,0x3942059e}},	//   rkép, _cèng, yítá, _raks_, 
   {{0x2d990af8,0x7ae501f2,0x26e3017d,0xbcfb010e}},	//   anse_, _cfht, गडोर_, skép, 
   {{0xaa43d19b,0x09e33725,0x7f4303c2,0x7a430019}},	//   мерл, досн, _ianq, vítá, 
   {{0x443fd19c,0x28ead19d,0x7f430231,0x00000000}},	//   _osu_, рдап_, _hanq, --, 
   {{0x6d56d19e,0xa76626f1,0xeb9a0a63,0x6d440054}},	// [dd40] _inya, окад, _вип_, _iaia, 
   {{0x6d56006f,0x47c300dd,0x6d443b85,0xaade00bd}},	//   _hnya, дбув, _haia, _मलिक, 
   {{0x443fd19f,0x7f43026d,0x958607ae,0x3942d1a0}},	//   _asu_, _manq, олже, _taks_, 
   {{0x7a43006b,0x6d440a9f,0x68ff00ad,0x6d560175}},	//   sítá, _jaia, caqd, _jnya, 
   {{0x6d4402ba,0x6d560ac1,0xa3d400c9,0x2900d1a1}},	//   _maia, _mnya, _सूख_, maia_, 
   {{0x2900c56f,0x6d4400b0,0x7f4302be,0x39a10028}},	//   laia_, _laia, _nanq, rėse_, 
   {{0x443f012d,0x6d56d1a2,0x26d8008b,0xf8bf0096}},	//   _esu_, _onya, _igro_, _abéh_, 
   {{0x2900d1a3,0x6d44d1a4,0x443fd1a5,0x250837e5}},	//   naia_, _naia, _fsu_, _درسی_, 
   {{0x7f433e9d,0x68e40183,0x6d4602ae,0x2d99d1a6}},	//   _banq, icid, ddka, érem_, 
   {{0x6d56d1a7,0x4426d1a8,0x6440d1a9,0x543b0137}},	//   _anya, mto_, _ismi, _דעמא, 
   {{0x4426d1aa,0x6d56085f,0x6d44d1ab,0xb87b001d}},	//   lto_, _bnya, _baia, _afíl, 
   {{0x6562d1ac,0x442623ef,0x2d9902a3,0x637d009c}},	//   njoh, oto_, unse_, _pèng, 
   {{0x4426d1ad,0x290001f1,0x98b900b3,0x26d808b2}},	//   nto_, daia_, _masă_, _ogro_, 
   {{0x44263ba7,0x98b900d9,0x6d56d1ae,0x68e4014a}},	//   ito_, _lasă_, _enya, ecid, 
   {{0x44263d25,0x6d44d1af,0x19590504,0x8a7a0176}},	//   hto_, _faia, бавы_, бирӣ_, 
   {{0x4426d1b0,0x6d440a9f,0x2900d1b1,0x6d56011d}},	//   kto_, _gaia, gaia_, _gnya, 
   {{0xd6db00b3,0x47d50084,0x44260039,0xe87c0092}},	// [dd50] ате_, سيار, jto_, rüşü, 
   {{0x44260bc1,0x27e60038,0x7d1d01e8,0xcb6802a6}},	//   dto_, íona_, lgss, _мање_, 
   {{0x69da0019,0x77b00219,0x6440d1b2,0xbb3a00d1}},	//   ítet, växt, _asmi, _העתי, 
   {{0xdcef00e0,0x98b900d9,0x67d503a7,0x200401dd}},	//   dicī, _casă_, _ному, ksmi_, 
   {{0x44267b38,0x764e02bf,0x78bd01dd,0x38c90535}},	//   gto_, _erby, _uzsv, _دادی_, 
   {{0x25a602fe,0x63850028,0x9342017b,0x8388017b}},	//   čola_, ягла, енше, обів_, 
   {{0x4426048a,0x6440bcd6,0x637d011c,0x76006ed7}},	//   ato_, _esmi, _rènd, _vázá, 
   {{0x443f519b,0x44261301,0xf65200a7,0x27f900e2}},	//   _tsu_, bto_, _אצל_, _kwsn_, 
   {{0x4426128e,0xf8b90ffc,0x6d44a910,0x443f00b0}},	//   cto_, _आरोप, _raia, _usu_, 
   {{0x6d440a9f,0x68fdd1b3,0x1e858c3f,0x657b040b}},	//   _saia, _lesd, злом, _hluh, 
   {{0x2f5402fb,0x6d5602cd,0x9d46049b,0x6d44b408}},	//   єтьс, _pnya, пенд, _paia, 
   {{0xb2ba00a7,0xd00e13b4,0xdca6272a,0x65691c7f}},	//   _המער, خلی_, зами, _joeh, 
   {{0x6d440ff9,0x7f4398d4,0xe6b80239,0xd7bd009a}},	//   _vaia, _tanq, _अर्ज, ्गाच, 
   {{0x6d44018e,0x7c26d1b4,0x656900a1,0x06c60bf1}},	//   _waia, rtkr, _loeh, শুটি, 
   {{0x637d7248,0x4426d1b5,0xa3d4743c,0x6f010352}},	//   _gène, zto_, _संघ_, malc, 
   {{0x2d95004e,0x6d56d1b6,0xb87b05a4,0xd7f20038}},	//   _орыс, _unya, _efím, فكر_, 
   {{0x68fd1408,0x44261408,0x38c800c5,0x68e4d1b7}},	// [dd60] _desd, xto_, زاری_, rcid, 
   {{0x6f0114f0,0x68e4d1b8,0x69da28e8,0x46a60093}},	//   nalc, scid, ítes, пазв, 
   {{0x4426d1b9,0x2900d1ba,0x657b008a,0x7c65009c}},	//   wto_, paia_, _bluh, _فایل, 
   {{0x44260ad8,0xe45a00dd,0x942609d9,0x05660093}},	//   tto_, йже_, змде, явен, 
   {{0x4426d1bb,0x65690026,0x69ded1bc,0x6f010b21}},	//   uto_, _doeh, _hupe, kalc, 
   {{0x69ded1bd,0x6f0102ee,0x7afed1be,0x68fd02b0}},	//   _kupe, jalc, _jept, _zesd, 
   {{0x877b0137,0xdb1e3c3d,0x6f010352,0x69ded1bf}},	//   _פאלי, _hipó, dalc, _jupe, 
   {{0x4426c65b,0x657bd1c0,0x7afed1c1,0x69ded1c2}},	//   pto_, _gluh, _lept, _mupe, 
   {{0x6f01d1c3,0xe5a3002e,0xdced00ca,0x38600068}},	//   falc, _чити, _hlać, nxir_, 
   {{0x4386024f,0x3246d1c4,0x3e820096,0x69be00bd}},	//   _علاق, _незг, _nété_, _वीसी, 
   {{0x628300ab,0x69ded1c5,0xe8b9009a,0x00000000}},	//   czno, _nupe, _आर्च, --, 
   {{0x06970056,0xdced0372,0x637d864d,0x515513cc}},	//   לדים_, _mlać, _vène, _отчу, 
   {{0x68fdd1c6,0x0cab0141,0xdb1e001d,0x69de01be}},	//   _resd, стни_, _nipó, _aupe, 
   {{0x9a874883,0x6f01d1c7,0x20020009,0x7afed1c8}},	//   публ, calc, škis_, _cept, 
   {{0x27e6057f,0x69ded1c9,0x3f8e016c,0x7afe00d1}},	//   íonn_, _cupe, _imfu_, _dept, 
   {{0x319700d9,0x3da4012d,0x7de10243,0x00000000}},	//   tăzi_, _прыб, _mēsl, --, 
   {{0xa3cc04d7,0x52d00086,0x7afe0415,0x7d0dc34a}},	// [dd70] रगा_, _স্মৃ, _fept, _idas, 
   {{0x65692e9a,0xdced0864,0xb88305a8,0x69de084c}},	//   _soeh, _blać, vníč, _fupe, 
   {{0x7bdf00cf,0xcb12042c,0x68fd439b,0x637d022c}},	//   _huqu, _בלי_, _tesd, _lènc, 
   {{0x660500e5,0x7afe031e,0x6f010121,0x636f0566}},	//   rshk, _zept, zalc, _lønt, 
   {{0xd0061169,0xf8b10274,0x395911c9,0x69de0035}},	//   _جل_, _شکر_, _inss_, _zupe, 
   {{0x8c1c0056,0xdb1e022c,0xb883014b,0x7bdfd1ca}},	//   מודי, _hipò, rníč, _muqu, 
   {{0x6f0111c8,0x7bdf0126,0x7d0d01f0,0x3949d1cb}},	//   valc, _luqu, _odas, odas_, 
   {{0x657b03bc,0x7d0dd1cc,0x6f01d1cd,0x00000000}},	//   _uluh, _ndas, walc, --, 
   {{0x62830105,0x394929ea,0x7bdfd1ce,0x61430259}},	//   szno, idas_, _nuqu, деқа, 
   {{0x8e097f95,0x7d0dd1cf,0xdb1c0cac,0x3949d1d0}},	//   онов_, _adas, områ, hdas_, 
   {{0x7afed1d1,0x63a4343e,0x6f01008b,0xd1b813b4}},	//   _rept, éine, ralc, _کالا_, 
   {{0xcb09181f,0x7bdf6734,0xed5ab074,0x823406bc}},	//   _כל_, _buqu, цом_, _سرما, 
   {{0x3949d1d2,0x7bdf00b9,0x20020ab4,0xa06902a0}},	//   ddas_, _cuqu, škir_, _фала_, 
   {{0x7d0d0077,0x3949d1d3,0x7bd70068,0x69ded1d4}},	//   _edas, edas_, _cixu, _pupe, 
   {{0x7bd70218,0x636f00fb,0x7bdf02be,0x9d460259}},	//   _dixu, _høns, _euqu, _жейд, 
   {{0x7bd703dd,0x636f02c9,0x00000000,0x00000000}},	//   _eixu, _køns, --, --, 
   {{0xdb1e022c,0xdced0097,0xb95b0108,0x7afe0528}},	// [dd80] _dipò, _slać, _thìn, _tept, 
   {{0xdced02f5,0x636f03a9,0x69ded1d5,0x3696004e}},	//   _plać, _møns, _tupe, мшес, 
   {{0x636f01e8,0xa96a5ba3,0xdb1c02ae,0x2b5a02be}},	//   _løns, _дина_, rmrä, _inpc_, 
   {{0xdb1e0183,0x395900a4,0x00000000,0x00000000}},	//   _tipó, _gnss_, --, --, 
   {{0xe8f720f7,0x7bdf0508,0x8835049b,0xd4670267}},	//   _юля_, _xuqu, _пэрц, мице_, 
   {{0x68f65d0e,0x5333081b,0x637d011c,0x661a02ae}},	//   lbyd, вешт, _rènc, _åtko, 
   {{0xd250030e,0x69d8010e,0x636f00fb,0x00000000}},	//   انب_, _éves, _rønt, --, 
   {{0x3d1a40a8,0x071e0262,0x637403dd,0x3d180083}},	//   _भागे_, _पाँव_, _màni, थलों_, 
   {{0x637403dd,0x0326d1d6,0x00000000,0x00000000}},	//   _làni, _одан, --, --, 
   {{0x3e4c00bc,0x64a4004e,0x39490009,0x637d03dd}},	//   _pět_, _жаға, zdas_, _vènc, 
   {{0x7bdf00f6,0x4e8a00c8,0x7c360028,0x39490028}},	//   _suqu, ющим_, _apyr, ydas_, 
   {{0x2b5a00b3,0xdb0702d9,0x7bd7010c,0x161f0299}},	//   _anpc_, rojí, _sixu, मंतर_, 
   {{0x071e00a5,0x321c0228,0x40342af4,0x68f6d1d7}},	//   _पांव_, luvy_, _челс, dbyd, 
   {{0xdb070098,0x60c2d1d8,0x69c60080,0xdb1e0300}},	//   pojí, _izom, _ahke, _sipò, 
   {{0x7bdf0065,0xdb1e0118,0x7e8602d9,0xa9350398}},	//   _wuqu, _pipò, úspě, невш, 
   {{0xf77009e8,0x19580d18,0x7bdf02a5,0x7d0d3afe}},	//   یال_, масы_, _tuqu, _udas, 
   {{0xe894030f,0x394906dd,0xb907456f,0x2486015e}},	// [dd90] вать, rdas_, _पल_, jzom_, 
   {{0x3949d1d9,0x6d1f00aa,0xbc381036,0x2a6e021e}},	//   sdas_, _भाँग_, _آسيا_, ëmbë_, 
   {{0x6b9502f1,0xaa95002e,0x68f6011c,0x394929c9}},	//   mizg, _чинч, bbyd, pdas_, 
   {{0x6b95d1da,0x2a7600d1,0xcdd90070,0x95cb4243}},	//   lizg, _נערך_, פֿער, цуза_, 
   {{0xc91600a7,0xb6070405,0x4395155d,0x69cdd1db}},	//   _אחרת_, _suġġ, надс, mmae, 
   {{0x8c1c008d,0x59bf07d5,0x637d0237,0x69ca0036}},	//   קווי, ्षवर, _bèna, _èfer, 
   {{0x6d1f051f,0xd669031b,0x60c2018e,0xf527275d}},	//   _भांग_, _عمرو_, _azom, _офан, 
   {{0x3f9e00e0,0x7dde00e0,0x6ff52d56,0x00000000}},	//   entu_, _mūsd, нчох, --, 
   {{0x4f95269c,0x65947c6c,0xf1df01a4,0x6b95163e}},	//   ерну, _рату, _पूरन, kizg, 
   {{0x9e6504f5,0x69cdd1dc,0x60c20532,0x80c4017d}},	//   евод, hmae, _dzom, ाइजे, 
   {{0x7c36d1dd,0xa3cc0262,0xc7b200a7,0x59db3e41}},	//   _spyr, रगर_, רבי_, _मंगर, 
   {{0xf2df00f7,0x636f017b,0xf67a0070,0x3f9e052b}},	//   _đây_, _tøns, פארמ, antu_, 
   {{0x61e120db,0x636f01e8,0xeb9f0566,0x3f9e02a5}},	//   _hull, _uøns, rsøn_, bntu_, 
   {{0x61e10792,0x69c601ee,0xbea505e0,0x2d823b31}},	//   _kull, _shke, _палк, shke_, 
   {{0x61e10e47,0xfaa3d1de,0xfbc30165,0x00000000}},	//   _jull, гаро, убро, --, 
   {{0x61e1d1df,0xd94300d3,0x57ead1e0,0x98a000ca}},	//   _mull, леси, здам_, nfić_, 
   {{0x7d06d1e1,0x68f6d1e2,0x2d8000b3,0x7d1b0068}},	// [dda0] maks, rbyd, _ilie_, óuse, 
   {{0x4a4600dd,0x61e157f4,0xee490108,0x637400b9}},	//   _знов, _oull, _kẽ_, _tàni, 
   {{0x61e1d1e3,0x98b957dd,0x00000000,0x00000000}},	//   _null, _masę_, --, --, 
   {{0x84e60769,0x09e70086,0xee4900e7,0xceb2027a}},	//   ходж, _ফিচা, _mẽ_, ניא_, 
   {{0xee49001b,0x61e1a698,0xf9f20033,0xe6600248}},	//   _lẽ_, _aull, _জটিল_, ırığ, 
   {{0x7d061eab,0xa2940965,0x8c1b00d1,0x2902584c}},	//   haks, калі, פוצי, _heka_, 
   {{0x2d805981,0x60c20019,0x07a38002,0xdbc700b0}},	//   _olie_, _szom, _сарн, _tööj, 
   {{0x61e1d1e4,0xd65700a7,0x7d064fb8,0x29020a1a}},	//   _dull, _אילת_, jaks, _jeka_, 
   {{0x301300d3,0x23e800d7,0x00000000,0x00000000}},	//   гдыр, _آذری_, --, --, 
   {{0x61e10131,0x7522006b,0x2902d1e5,0x2d80d1e6}},	//   _full, lgoz, _leka_, _alie_, 
   {{0x61e1d1e7,0x3eb864ed,0x9d193993,0xe0da03b7}},	//   _gull, ært_, монт_, _еве_, 
   {{0x290203ef,0x7522ad64,0x869b027a,0xdd951bb9}},	//   _neka_, ngoz, לייז, тамы, 
   {{0x61e10b32,0x79840010,0xdcbb00fd,0xe7b00083}},	//   _zull, dhiw, ящо_, जकाप, 
   {{0x2d80d1e8,0x5f9400d3,0x61e10508,0x00000000}},	//   _elie_, _шилт, _yull, --, 
   {{0x61e1d1e9,0x6d96002a,0xf9c733c4,0x2902d1ea}},	//   _xull, mšan, ещан, _beka_, 
   {{0x661e005c,0xdd9106bc,0x7d06d1eb,0xf77300d4}},	//   dupk, _خوب_, caks, گار_, 
   {{0x69cd155b,0x57b50e65,0x3dc9011d,0x2902b95e}},	// [ddb0] rmae, вбат, _ihaw_, _deka_, 
   {{0xf773298e,0xdd93004e,0x6da4265d,0x200b0228}},	//   دار_, _шақы, nđan, ácii_, 
   {{0x3dc90201,0x661e02cd,0xcf9300c7,0x57a4d1ec}},	//   _khaw_, gupk, נטע_, ушта, 
   {{0x7984d1ed,0x7522052b,0x00000000,0x00000000}},	//   chiw, ggoz, --, --, 
   {{0x61e1d1ee,0x044552ee,0x6d96002a,0xb95400af}},	//   _sull, телн, kšan, _свящ, 
   {{0x6d9602ee,0x61e1d1ef,0x2902d1f0,0xf62b017b}},	//   jšan, _pull, _zeka_, _ніби_, 
   {{0x85bb1896,0x61e132b1,0x7d060300,0x29020218}},	//   _فارس_, _qull, yaks, _yeka_, 
   {{0x205556c1,0x61e1d1f1,0x6d96a718,0xee490023}},	//   втор, _vull, ešan, _rẽ_, 
   {{0xee4900f7,0x7d06b028,0x7f1907f4,0x61e1039b}},	//   _sẽ_, vaks, міну_, _wull, 
   {{0x61e1d1f2,0x765500ab,0x6d9601dd,0x21260175}},	//   _tull, _krzy, gšan, _ecoh_, 
   {{0x7d0605d2,0x3ea5d1f3,0xbea5d1f4,0x4ed4004f}},	//   taks, тинг, танк, люют, 
   {{0x3dc901c1,0xed5700dd,0xee49001b,0xdb070098}},	//   _chaw_, вою_, _vẽ_, vojá, 
   {{0x7d060bc3,0x2902d1f5,0xfebb0116,0xee3800f0}},	//   raks, _reka_, _کاشت_, _үні_, 
   {{0x2902d1f6,0x213f033e,0xdee2a478,0x7bce1a9c}},	//   _seka_, leuh_, _коши, umbu, 
   {{0x7d06170d,0x7984d1f7,0x7bce024a,0x394bd1f8}},	//   paks, thiw, rmbu, _bacs_, 
   {{0x213f005f,0xdb0723f2,0x7bd9023e,0x6f0300df}},	//   neuh_, rojá, _èwun, _henc, 
   {{0x1b1700cc,0x290265ea,0xd943d1f9,0xc17200d1}},	// [ddc0] দ্ধে_, _veka_, шети, בחן_, 
   {{0x7d04d1fa,0x79840053,0x29022818,0x99e602f1}},	//   _heis, shiw, _weka_, _ижод, 
   {{0x6f03d1fb,0x2902d1fc,0x7d041003,0xf7432b68}},	//   _menc, _teka_, _keis, рехо, 
   {{0x661ed1fd,0x7d0401cf,0x213f0574,0x00000000}},	//   rupk, _jeis, jeuh_, --, 
   {{0x661e033e,0x213f033e,0x3940d1fe,0x7655011c}},	//   supk, deuh_, meis_, _erzy, 
   {{0x30140013,0x66e61b11,0xf6510019,0x39402a0c}},	//   қдор, _јова, جئے_, leis_, 
   {{0xf1a6cb2c,0x76550035,0xcb1300d1,0xd24600b3}},	//   крин, _grzy, בלו_, тэли, 
   {{0x46a30013,0x32530093,0xf1d503a1,0x213f033e}},	//   _тасв, рвър, гөчө, geuh_, 
   {{0xf993864b,0x637d00f6,0x30a600fd,0x7dde0caf}},	//   ירה_, _gèno, ъркв, _līst, 
   {{0xd378d1ff,0x394001c5,0x7f4a0095,0x637403dd}},	//   _biće_, heis_, _qafq, _cànt, 
   {{0x7d0402f2,0x826600c5,0x6d961f8f,0x6f035483}},	//   _beis, _جهان, ršan, _denc, 
   {{0xac19418c,0x7d040eed,0x61460886,0x39400126}},	//   ному_, _ceis, _једа, jeis_, 
   {{0x7d04d200,0x394004b3,0x6d9600e0,0x9f344547}},	//   _deis, deis_, pšan, _белі, 
   {{0x1dc403a1,0x394bd201,0xd3780082,0x7dde01dd}},	//   лөөн, _sacs_, _fiće_, _bīst, 
   {{0x9e34030f,0x2d99d202,0x2e4a0093,0x3940039b}},	//   _сейч, éres_, _цяло_, feis_, 
   {{0x7d042dfd,0x6f03b403,0x3dc906e4,0x6da400ca}},	//   _geis, _zenc, _uhaw_, nđal, 
   {{0x2d9905d2,0x08552f89,0x6d5f003d,0x00000000}},	// [ddd0] mise_, ываю, _inqa, --, 
   {{0x76550da6,0x7d04d203,0x2d991b8d,0x9f4d02aa}},	//   _przy, _zeis, lise_, mpeã_, 
   {{0x3940d204,0x2d99d205,0x213f005f,0x6d96090e}},	//   beis_, oise_, yeuh_, kšal, 
   {{0x2d99d206,0x39403ba7,0xa97900c7,0x6d960352}},	//   nise_, ceis_, _נאָכ, jšal, 
   {{0x68ed00ca,0xa2d50299,0x7c2d00c3,0xd91a029e}},	//   mcad, येन्, _jqar, _אורל, 
   {{0x2d99d207,0x213f11e9,0x69ddd208,0x765500ab}},	//   hise_, weuh_, _hise, _trzy, 
   {{0x69ddd209,0x6f03d20a,0x2d99d20b,0xdb07008c}},	//   _kise, _renc, kise_, lljó, 
   {{0x6f03d20c,0x7c2d0508,0xb145049b,0x5274d20d}},	//   _senc, _oqar, унил, рушу, 
   {{0x6f030666,0x2d99d20e,0x7d04d20f,0xd5b8d210}},	//   _penc, dise_, _reis, _рср_, 
   {{0x69ddd211,0x7d04d212,0xd37814f0,0x6d5f003d}},	//   _lise, _seis, _piće_, _anqa, 
   {{0x3ec303dc,0x69ddd213,0x2d99d214,0x7d04d215}},	//   ринҳ, _oise, fise_, _peis, 
   {{0x69ddd216,0x63ad00eb,0x7de800bc,0x228400d3}},	//   _nise, éanf, _těsn, _тууг, 
   {{0x394051ae,0x7d04d217,0x442f00a1,0xd003004e}},	//   veis_, _veis, ntg_, _толқ, 
   {{0x7d0402f2,0x69dd0094,0x200b0228,0xd3780b43}},	//   _weis, _aise, áciu_, _tiće_, 
   {{0x7d04d218,0x69ddd219,0x81e50086,0x2d99d21a}},	//   _teis, _bise, বীর_, bise_, 
   {{0x69ddd21b,0x6449d21c,0x5c96007a,0x00000000}},	//   _cise, _osei, _مؤخر, --, 
   {{0x07a62163,0x3940d21d,0x6e21d21e,0x200dd21f}},	// [dde0] гаан, reis_, lulb, nsei_, 
   {{0x69ddd220,0x68ed006c,0x3940d221,0x200d02aa}},	//   _eise, acad, seis_, isei_, 
   {{0x69ddd222,0x7bde0102,0x3940d223,0x4b7b0070}},	//   _fise, _iipu, peis_, _נאטו, 
   {{0x69dd11b2,0xc4862e8d,0x240ad224,0x1a9b0070}},	//   _gise, ллек, енди_, _טייע, 
   {{0x7bded225,0x7f410034,0x6e210380,0xf8b800c9}},	//   _kipu, kelq, hulb, _आडिय, 
   {{0x66e30e00,0x69ddd226,0x987b0070,0x2d99d227}},	//   _гора, _zise, _טאכט, zise_, 
   {{0x2d9906bd,0x442f012b,0x6374d228,0xf1c90098}},	//   yise_, atg_, _bànr, znáš_, 
   {{0x2d9982d6,0xdb0e0098,0x637d0237,0x00000000}},	//   xise_, dobí, _jènj, --, 
   {{0x65600038,0x6da40097,0x6d964243,0x442d02a5}},	//   _inmh, rđal, ršal, _gqe_, 
   {{0x2d99d229,0x7bded22a,0xeb9f00dd,0x91e6b988}},	//   wise_, _nipu, rsøk_, _боже, 
   {{0x2d99d22b,0x7c2d024a,0x6e21d22c,0x6f081763}},	//   tise_, _sqar, gulb, radc, 
   {{0x7bde01cf,0x4fc400f0,0xf77f021e,0x00000000}},	//   _aipu, ысқа, _muça_, --, 
   {{0x2d99d22d,0x69dd47f7,0x7bde01d6,0x3cf401a4}},	//   rise_, _rise, _bipu, ंड़े_, 
   {{0x09bf05d0,0x69dd0077,0x7bde320d,0xdfd000eb}},	//   ्ष्य, _sise, _cipu, _بيت_, 
   {{0x7bde0775,0xf0b00105,0x637d011c,0x00000000}},	//   _dipu, _دیکھ, _bènj, --, 
   {{0x69ddace9,0xd5a40019,0x2e131117,0x442f0036}},	//   _qise, _رہ_, _ابوح, ytg_, 
   {{0x69dd755c,0xb87b0183,0x8ccb0035,0xf9b301a2}},	// [ddf0] _vise, _afír, सेखो, _ҳанӯ, 
   {{0xe8ff0518,0x78bd026e,0x7bded22e,0xe71900eb}},	//   _août_, _vysv, _gipu, ئيات_, 
   {{0xdced71d9,0x69ddbd2d,0xe7ea0035,0x78bd08b0}},	//   _hlađ, _tise, _झूठा_, _wysv, 
   {{0xe8ff026a,0xdced0112,0x850407cb,0x637d023e}},	//   _coût_, _klađ, مومن, _gènj, 
   {{0x232916d2,0x27e902f1,0x00000000,0x00000000}},	//   воли_, qqan_, --, --, 
   {{0xdced02f5,0x2215203d,0x00000000,0x00000000}},	//   _mlađ, афир, --, --, 
   {{0x442fd22f,0x45d50080,0x00000000,0x00000000}},	//   stg_, _вовс, --, --, 
   {{0x200d007e,0xe8ff026a,0x6449d230,0x442f0065}},	//   tsei_, _goût_, _tsei, ptg_, 
   {{0x6449030f,0x9f8500cf,0x6006d231,0x3495022c}},	//   _usei, игид, аным_, _таар, 
   {{0x386920dc,0x200dd232,0xa2951eaf,0xdfce00d7}},	//   ixar_, rsei_, _казі, ويي_, 
   {{0x7bded233,0x8d660445,0x200d11f4,0x02a71297}},	//   _ripu, авне, ssei_, _срам, 
   {{0x200d00b3,0xdb0e0098,0x7bde8467,0x7f4100f6}},	//   psei_, robí, _sipu, selq, 
   {{0x0c23307f,0x6e210008,0x2605009a,0xdb0e11bb}},	//   омян, sulb, हीती_, sobí, 
   {{0x6a862164,0x7df3020f,0xc3320070,0x6e21d234}},	//   алга, _răsf, ֿון_, pulb, 
   {{0x7bdea66b,0xaa460080,0x4996112d,0xa92802d9}},	//   _vipu, шевл, ашат, _nežá, 
   {{0xd3780d02,0xe9df0354,0x316d107c,0x317f00b4}},	//   _mića_, _ciú_, njez_, nkuz_, 
   {{0x7bded235,0x8c4609e7,0xdced04a1,0xa2d505ff}},	// [de00] _tipu, _тепе, _glađ, येत्, 
   {{0xdced008a,0x6abe039b,0xf77fa74d,0x46f652cc}},	//   _imaġ, _typf, _puça_, рчат, 
   {{0xdd8f00c5,0xe9df0b7e,0x55060508,0x81ab0033}},	//   _روی_, _fiú_, ачла, _গঠন_, 
   {{0x2bb405fd,0x26170262,0x14c8009c,0x6374022c}},	//   ंकवा, _पटरी_, ههای_, _rànq, 
   {{0x9346882d,0xd403170f,0x64a6d236,0x00000000}},	//   инде, оящи, шада, --, 
   {{0xa6ca87a0,0xd3780062,0xd3b7004f,0x39520528}},	//   _алга_, _bića_, алії_, ldys_, 
   {{0x46a30cdf,0x6d96032f,0xe81e1779,0x6da40097}},	//   _дарв, ršaj, यंका_, rđaj, 
   {{0x26ca07c7,0x3952d237,0x6b9c00a3,0x316d0034}},	//   _izbo_, ndys_, hirg, gjez_, 
   {{0xdefa00d3,0x6b9cc6bf,0x00000000,0x00000000}},	//   кын_, kirg, --, --, 
   {{0x1be12a2c,0xd3780097,0x395200c8,0x7d160090}},	//   _गूगल_, _fića_, hdys_, _adys, 
   {{0xdcebd238,0xdced0b1d,0x63b8d239,0x506400f0}},	//   šiča, _slađ, movn, ртқа, 
   {{0x63b8d23a,0x25a602bf,0xed650248,0x00000000}},	//   lovn, nnol_, _şöbə_, --, 
   {{0x7d160156,0x637d011c,0x3952d23b,0x6b9c010c}},	//   _ddys, _bènh, ddys_, firg, 
   {{0x2cad0405,0xa3cc02e6,0x7d169d23,0x00000000}},	//   ħed_, रगट_, _edys, --, 
   {{0xb34503b7,0xda78d23c,0x09071095,0x224cd23d}},	//   leçã, аят_, ичам, _jsdk_, 
   {{0x7de1002a,0x63b872ce,0x61e801f2,0x9964022c}},	//   _vēst, hovn, _mudl, отул, 
   {{0x63b81af7,0x6b9c3cfa,0x26c55cae,0xa3e200bd}},	// [de10] kovn, birg, _šlo_, _नंग_, 
   {{0x63b8014b,0x3869022c,0x25a600f8,0xa8a400f0}},	//   jovn, rxar_, enol_, іртк, 
   {{0xd6dbd23e,0x73d900f0,0x61e85224,0x00000000}},	//   тта_, ңдер_, _nudl, --, 
   {{0xe94500d4,0x25a6d23f,0x3ed90070,0x00000000}},	//   _اردی, gnol_, אַנא, --, 
   {{0xe81e0c8f,0xb3450165,0xd3780304,0x00000000}},	//   _पिया_, jeçã, _sića_, --, 
   {{0xd378003a,0x63b8008b,0xf1df176c,0x00000000}},	//   _pića_, govn, _पूजन, --, 
   {{0x637d023e,0x00000000,0x00000000,0x00000000}},	//   _jèni, --, --, --, 
   {{0x016500ce,0x6b9cc569,0x61e8d240,0x9f420216}},	//   скио, zirg, _dudl, êkî_, 
   {{0x63b86daf,0x637d00b9,0x753b0610,0xdb0e010e}},	//   bovn, _lèni, _ibuz, őkés, 
   {{0x63b808d7,0x23740084,0xa0a5005e,0x443f81c0}},	//   covn, _والح, _қалд, _ipu_, 
   {{0x1d0ad241,0x69cf0604,0x61e8d242,0x00000000}},	//   лени_, _ohce, _gudl, --, 
   {{0x645bcd56,0x443f0580,0x6da6d243,0xf77f019c}},	//   _krui, _kpu_, сима, _ouço_, 
   {{0x753b6a01,0x443f02a2,0x6b9cd244,0xb34502aa}},	//   _mbuz, _jpu_, tirg, ceçã, 
   {{0xf1b9d245,0x443fd246,0x7f85009c,0xdefb00b3}},	//   loš_, _mpu_, _دلتن, _рыд_, 
   {{0x25a602bf,0x7df300d9,0x753b0547,0xbea20892}},	//   ynol_, _băse, _obuz, _нашк, 
   {{0x69cf7ce6,0x2d8b026e,0xfaa3bc89,0x637d009c}},	//   _chce, chce_, часо, _dèni, 
   {{0x18676dbb,0xf1df0f63,0x443f6230,0x8d760a5a}},	// [de20] бати_, _पूछन, _npu_, _ناکا, 
   {{0x4b260100,0x6d46d247,0x753bd248,0x18a612e1}},	//   _умов, leka, _abuz, _ҳамм, 
   {{0xd946d249,0xf1b90372,0xe61ad24a,0x443fd24b}},	//   _лени, koš_, уде_, _apu_, 
   {{0x645bd24c,0x7df300d9,0x9486013e,0xf7ea0038}},	//   _brui, _găse, йылд, _مرسى_, 
   {{0x2900d24d,0x63b81ad8,0x69c4d24e,0xf1b92cb7}},	//   mbia_, tovn, mlie, doš_, 
   {{0x645bba5d,0x6d46d24f,0x260500a2,0x53e5004f}},	//   _drui, heka, हीही_, іціа, 
   {{0x63b808d7,0x443f00e2,0x645b012e,0xf8bf0574}},	//   rovn, _epu_, _erui, _acéh_, 
   {{0x6d4603ef,0xb34503b7,0xf1b90097,0xa91b008c}},	//   jeka, teçã, goš_, _alþj, 
   {{0x645bd250,0xc95300d1,0x63ad0107,0xb4aa11e6}},	//   _grui, למה_, éanc, _сказ_, 
   {{0x69c402ec,0xb34502a0,0x61e82c69,0x4426d251}},	//   hlie, reçã, _tudl, muo_, 
   {{0x9486004e,0xdceb14bf,0x69c4d252,0x6d46052b}},	//   _тыңд, žičn, klie, feka, 
   {{0x6d46d253,0x443f0065,0xd3780372,0xf1b900ca}},	//   geka, _ypu_, _kićo_, coš_, 
   {{0x442600f1,0x69c4d254,0x637d03dd,0x00000000}},	//   nuo_, dlie, _sèni, --, 
   {{0xd378032f,0x61e29831,0x69c4040b,0x60c2016c}},	//   _mićo_, _hiol, elie, _iyom, 
   {{0x3f9e2c2d,0x60c20e34,0x98b0003d,0x44260548}},	//   mitu_, _hyom, _ħaġa_, huo_, 
   {{0x3f9e7d65,0x69c4048a,0x6440016a,0x61e20180}},	//   litu_, glie, _opmi, _jiol, 
   {{0x61e2d255,0xfcc20259,0xdb0e0ed9,0xdcfd0028}},	// [de30] _miol, _жәрм, sobá, nksč, 
   {{0x4426d256,0x637d023e,0x7d0f039f,0x195700f0}},	//   duo_, _tèni, lacs, шағы_, 
   {{0x69c4d257,0x29000093,0x644001dd,0x39520080}},	//   blie, bbia_, _apmi, önsä_, 
   {{0xd6d822d1,0x3f9e0a9f,0x645b12b6,0x69c4d258}},	//   сту_, hitu_, _prui, clie, 
   {{0x60c2006b,0x4426d259,0x3f9ed25a,0xd46915d3}},	//   _nyom, guo_, kitu_, риле_, 
   {{0x6d46d25b,0xe81e21c2,0x27ebaf02,0xcec300bc}},	//   zeka, _पिता_, _iucn_, _jiří_, 
   {{0x3f9ed25c,0x2d82155b,0x6d468689,0x290b0ab4}},	//   ditu_, ykke_, yeka, _keca_, 
   {{0x44260c3d,0x753b024d,0x798d1ae0,0x201f2c19}},	//   buo_, _ubuz, nhaw, trui_, 
   {{0xf1b90f23,0x61e2d25d,0x442621bd,0x3f9ed25e}},	//   roš_, _diol, cuo_, fitu_, 
   {{0x3f9ed25f,0x69c4002a,0x6d46d260,0xf1b94179}},	//   gitu_, zlie, weka, soš_, 
   {{0x27e3290d,0x798d39ad,0xa119646f,0xb2ab08d1}},	//   _mijn_, khaw, _نقاط_, _стаж_, 
   {{0x27e3012e,0x798d01c1,0x2bee1d00,0x68e20009}},	//   _lijn_, jhaw, _इंदू_, žodi, 
   {{0xef0ed261,0x3f9ed262,0x798dd263,0x6d960112}},	//   _ом_, bitu_, dhaw, kšav, 
   {{0x3f9e6871,0x2919008a,0x61e2d264,0x7c2671e9}},	//   citu_, _adsa_, _ziol, rukr, 
   {{0x290bd265,0x499a13f2,0x6d46d266,0x25bf01f0}},	//   _beca_, атая_, peka, _okul_, 
   {{0xddc3495e,0x290bd267,0x798dd268,0x69c4d269}},	//   _общи, _ceca_, ghaw, ulie, 
   {{0x290bd26a,0x2900d26b,0xb4c8109f,0x92c50033}},	// [de40] _deca_, rbia_, _उरे_, _এলো_, 
   {{0x29000237,0x69c4d26c,0x291907fc,0xb6a607a4}},	//   sbia_, slie, _edsa_, оизл, 
   {{0xfa6a3cd2,0x69c494a3,0x7c43090e,0x798d2a29}},	//   _танк_, plie, čvrš, bhaw, 
   {{0x4426d26d,0x2e3a00c7,0xe45a430f,0x3f9ed26e}},	//   tuo_, יגענ, иже_, zitu_, 
   {{0x27e3012e,0xa34a02f1,0x2019014b,0x61e201d2}},	//   _fijn_, изда_, ásil_, _riol, 
   {{0x44260149,0xd7c500a2,0x925a00eb,0x61e2d26f}},	//   ruo_, वतःच, لشعر_, _siol, 
   {{0x63ad057f,0x3f9e17a2,0x442623d9,0x09bd0033}},	//   éana, vitu_, suo_, _আওতা, 
   {{0x27e354ce,0x44260149,0x79840026,0xca7b0147}},	//   _zijn_, puo_, nkiw, ינצט, 
   {{0x64a333de,0x4426d270,0x3f9ed271,0x232a17d2}},	//   _жата, quo_, titu_, _вози_, 
   {{0x60c20010,0xdfd000eb,0xaac000c6,0x3246021f}},	//   _vyom, عيد_, _शुभक, _мезг, 
   {{0x3f9ed272,0xddc90009,0x0dcbd273,0x7df3020f}},	//   ritu_, rydž, иуми_, _răsc, 
   {{0x3f9ed274,0xc05a017b,0xdd9b286c,0x3dd20090}},	//   situ_, _вік_, ршо_, _chyw_, 
   {{0x9ccb49e1,0x290bd275,0x6ce400f0,0x160a009a}},	//   рына_, _reca_, діре, हीतर_, 
   {{0x798d00a1,0x33f003dd,0x68050216,0x00000000}},	//   whaw, _màx_, hîjî, --, 
   {{0xd3781462,0x798d0204,0x27e3d276,0xae17031e}},	//   _moć_, thaw, _rijn_, _थिएन_, 
   {{0x27e3039b,0x00000000,0x00000000,0x00000000}},	//   _sijn_, --, --, --, 
   {{0xf8b900f6,0x27e3012e,0x290b82fb,0xa3cd0249}},	// [de50] сөн_, _pijn_, _veca_, रतम_, 
   {{0xd37803ef,0x2bd24437,0x798d0053,0x25bf011d}},	//   _noć_, _दीपा, shaw, _skul_, 
   {{0x6e2811c8,0x6d96090e,0x6da4003a,0x7d0d085f}},	//   nudb, ršav, rđav, _keas, 
   {{0xb8d10086,0x27e3012e,0x7bc7d277,0xa9270195}},	//   _ওর_, _wijn_, llju, _بعده, 
   {{0x6d96090b,0x39490d44,0x7d0d6354,0xdb1500bc}},	//   pšav, meas_, _meas, hozí, 
   {{0x39497ba1,0x8cce0c8f,0x7d0d5429,0x7df300d9}},	//   leas_, _सरसो, _leas, _lăsa, 
   {{0xa91b008c,0xd3780308,0xb5a76794,0x6e2800ca}},	//   _alþi, _doć_, _драй, judb, 
   {{0x7d0dd278,0x25ad4ae9,0x6009583e,0x63b10144}},	//   _neas, _ujel_, бним_, _šenč, 
   {{0x3dd20156,0x637d009c,0x8fa53f83,0x00000000}},	//   _rhyw_, _bènt, запе, --, 
   {{0x39490adb,0x6e2802fe,0x7bc73857,0x637dd279}},	//   heas_, fudb, jlju, _cènt, 
   {{0x6d960704,0xed5a0f5a,0x637d011c,0x7d0dd27a}},	//   kšat, бон_, _dènt, _beas, 
   {{0x7d0dd27b,0x6d960352,0x523a0147,0x00000000}},	//   _ceas, jšat, _לײענ, --, 
   {{0xd1b8040f,0x7d0d004c,0x3949d27c,0x7bc702fe}},	//   _بالا_, _deas, deas_, flju, 
   {{0xff5106bc,0x70520038,0x6e280102,0x637d9e7e}},	//   _سخت_, _أنوا, budb, _gènt, 
   {{0x67210088,0xa96a15f5,0x91fc01dd,0xeb97193c}},	//   _öljy, бива_, _grād, чир_, 
   {{0x212dd27d,0x7d0dd27e,0x7e7c02ae,0xfe700038}},	//   ngeh_, _geas, ärpe, _جده_, 
   {{0xa2a20a09,0x1dc907d5,0xdb1c024a,0x18674424}},	// [de60] _केन्, रतरत, norë, пати_, 
   {{0x6d56d27f,0x7af70036,0x47c3bedc,0x79840035}},	//   _haya, _gfxt, ебув, skiw, 
   {{0x7d0dd280,0x39490175,0xf6230b68,0x637d009c}},	//   _yeas, beas_, едхо, _lèns, 
   {{0x3949d281,0x63ad0038,0x37e6504c,0x7c36021e}},	//   ceas_, éann, _номг, _kqyr, 
   {{0x6d56d282,0x2912d283,0xd37800ca,0xe4e307f4}},	//   _maya, maya_, _poć_, нішн, 
   {{0x6d5604b0,0x2912d284,0xcc3b00c7,0x3f850082}},	//   _laya, laya_, מענט, jklu_, 
   {{0x6da400ca,0xdb1c0218,0x637d33ad,0xed6102d9}},	//   nđas, torê, _rènt, ížky_, 
   {{0x2912d285,0x7de8000d,0x637d023e,0x7bc708e3}},	//   naya_, _měst, _bèns, zlju, 
   {{0x7d0d00a7,0x7df30474,0x00000000,0x00000000}},	//   _reas, _răsa, --, --, 
   {{0x29121191,0x6d56d286,0xe7be0b6c,0x7d0d77bb}},	//   haya_, _aaya, ्तिप, _seas, 
   {{0x6d56d287,0x7bc702f5,0x00000000,0x00000000}},	//   _baya, vlju, --, --, 
   {{0x6e281143,0xdb1c021e,0x00000000,0x00000000}},	//   rudb, borë, --, --, 
   {{0x6d56d288,0x2912281e,0x6e28d289,0x9f34004e}},	//   _daya, daya_, sudb, _желі, 
   {{0xdb154724,0x629c003e,0xceb80028,0xdb1c023e}},	//   pozí, _þros, ugęs_, norè, 
   {{0x7d0dd28a,0x3949d28b,0x2912af79,0x7bc702ae}},	//   _teas, teas_, faya_, rlju, 
   {{0x2912d28c,0x87090033,0x00000000,0x00000000}},	//   gaya_, _লাইফ_, --, --, 
   {{0x3949d28d,0x7bc70062,0xa40b0262,0x6d96044e}},	// [de70] reas_, plju, _सौंप_, ršat, 
   {{0x3949d28e,0x6d564e57,0x04fe0033,0xf77f0034}},	//   seas_, _zaya, ুলোর_, _kuçi_, 
   {{0x39490503,0x95cbd28f,0x6d5a0243,0x00000000}},	//   peas_, буда_, ētav, --, 
   {{0x2912d290,0x7ddf2409,0x21000352,0x6d563e06}},	//   caya_, _būsi, nčič_, _xaya, 
   {{0x63ad1cf0,0xf99f05d5,0x00000000,0x00000000}},	//   éano, _imè_, --, --, 
   {{0x69d800fd,0x98a90242,0xdb1c01e5,0x00000000}},	//   _èver, ngač_, gorè, --, 
   {{0x6d860068,0x637d00d7,0x656c01d5,0x91fc0243}},	//   _sóam, _sèns, ólhý, _arāb, 
   {{0xdb1c00e5,0x80651c8e,0x26d10036,0xf6520486}},	//   torë, движ, _izzo_, _בצל_, 
   {{0x3494085c,0x6d56d291,0x26d12fab,0x6569d292}},	//   _затр, _raya, _hzzo_, _ineh, 
   {{0x291206a2,0xdb1c0034,0x63a400e1,0x2b8f0241}},	//   zaya_, rorë, éint, _yüce_, 
   {{0x63a3a817,0x2912d293,0xdb1c0034,0x6d560da3}},	//   minn, yaya_, sorë, _paya, 
   {{0x63a3d294,0x291212ed,0xdca600a3,0x6569008a}},	//   linn, xaya_, дами, _jneh, 
   {{0x6d568ded,0x2912cb18,0x628331e0,0xdb1c0107}},	//   _vaya, vaya_, lyno, loré, 
   {{0xa3cd141c,0xa3bf141c,0x6d569f6f,0x63a32fa1}},	//   रति_, ीति_, _waya, ninn, 
   {{0x2912d295,0x6d56d296,0x28e0072f,0x63a3016a}},	//   taya_, _taya, पेनि, iinn, 
   {{0x63a31eab,0x98a002c7,0xb33c00c3,0x2c170110}},	//   hinn, ngić_, _imħe, _तिचं_, 
   {{0xb906047b,0x2912d297,0x63a3d298,0x98a313cc}},	// [de80] _पण_, raya_, kinn, вите, 
   {{0x2912d299,0x6569d29a,0xdb1c539f,0x7de800bc}},	//   saya_, _aneh, koré, _těst, 
   {{0x63a3d29b,0x6f1c02aa,0x291232cc,0x657b0106}},	//   dinn, órci, paya_, _bouh, 
   {{0x29120c45,0x186a210a,0xdb15039f,0x00000000}},	//   qaya_, _дами_, mozá, --, 
   {{0x63a3550b,0xdb0e020b,0x00000000,0x00000000}},	//   finn, dobú, --, --, 
   {{0xf6260524,0x63a355ed,0xb33c008a,0x00000000}},	//   _одго, ginn, _omħe, --, 
   {{0xd2570b58,0xe5a68b64,0x13390019,0x670103aa}},	//   дцы_, _живи, ستوں_, _сүхб, 
   {{0xdb1c014e,0xd3780a1a,0x78af015e,0xdce400de}},	//   llrä, _mići_, šivš, _anič, 
   {{0xe4c300cf,0x777c00cf,0x63a3d29c,0xcf2620b4}},	//   _айти, _korx, binn, وردي, 
   {{0xdb150019,0x63a3a0c9,0x4426d29d,0x65690098}},	//   kozá, cinn, mro_, _zneh, 
   {{0xd12f0cc2,0x657b023e,0xdb1c0212,0x7c261f03}},	//   _их_, _youh, coré, erkr, 
   {{0x4426d29e,0x008600b3,0x00000000,0x00000000}},	//   oro_, _олео, --, --, 
   {{0x5c7415dd,0x9f47009e,0x00000000,0x00000000}},	//   влят, _minê_, --, --, 
   {{0x44261454,0xcf26009c,0xdfa601c9,0x777c040c}},	//   iro_, _آرشي, _تحصي, _norx, 
   {{0x4426d29f,0x7c260326,0xaa58d2a0,0x00000000}},	//   hro_, arkr, миру_, --, 
   {{0xd378090e,0x4ea400cf,0xdce4014b,0x63a3d2a1}},	//   _dići_, _орқа, _znič, zinn, 
   {{0x777c024a,0x2e380183,0x442670d5,0x62830035}},	// [de90] _borx, léf_, jro_, zyno, 
   {{0x4426d2a2,0x657ba909,0x9a8702f1,0x65690228}},	//   dro_, _souh, _жумл, _sneh, 
   {{0x63a3aa84,0x442621ab,0x9f470218,0x98af0241}},	//   vinn, ero_, _binê_, ıgı_, 
   {{0x63a317eb,0x4426d2a3,0xdb1c17e1,0x630b0033}},	//   winn, fro_, voré, _রাইট_, 
   {{0x777c0042,0x9f47010c,0x78fa00d1,0x628300f8}},	//   _forx, _dinê_, _מפרו, wyno, 
   {{0x4255065b,0x777c01f9,0xdb1cd2a4,0xb4c100b0}},	//   етит, _gorx, toré, _ुरी_, 
   {{0x63a3d2a5,0x4426d2a6,0x2489d2a7,0xdb0e3f5b}},	//   rinn, aro_, šam_, tobú, 
   {{0x3cf90035,0x3f8e018e,0x65692f21,0x00000000}},	//   ंडों_, _alfu_, _uneh, --, 
   {{0x20190019,0x63a3d2a8,0x98a0015e,0x7bc50204}},	//   ési_, pinn, rgić_, _okhu, 
   {{0x39594718,0x82f8009c,0x7bc50727,0x35a500c9}},	//   _lass_, _قرمز_, _nkhu, _खगड़, 
   {{0xd1310038,0x398e003e,0x1ee724a1,0x6da60097}},	//   _مما_, _lýsa_, بودی_, еина, 
   {{0xdb0a0076,0x3f8e0053,0xed5a9095,0x7bc5044d}},	//   čník, _elfu_, чом_, _akhu, 
   {{0xd378015e,0x7f5800a3,0xa2830019,0x0d831988}},	//   _sići_, _favq, _سیکو, улян, 
   {{0xe51f017d,0xdce4008b,0x207a0070,0xdb15039f}},	//   मृति_, _unič, _מאנא, tozá, 
   {{0x6da6d2a9,0x1a6613b4,0xdb1c009e,0xfb8500e4}},	//   _пика, ریحی_, borî, тыўн, 
   {{0x4426d2aa,0xdb15309e,0x7bc54529,0xdce400a4}},	//   yro_, rozá, _ekhu, _eliġ, 
   {{0x395902e7,0xfc3200eb,0x777c03dd,0x00000000}},	// [dea0] _dass_, _صحة_, _porx, --, 
   {{0x4426d2ab,0xdc3b00a7,0x777c0095,0xb8e80f6f}},	//   vro_, _צעיר, _qorx, _ऊँ_, 
   {{0x39591096,0xfaa601a2,0x44260090,0xa52654c7}},	//   _fass_, _чано, wro_, емед, 
   {{0x4426b635,0x3959d2ac,0xf6510019,0x7dd6010e}},	//   tro_, _gass_, گئے_, lásb, 
   {{0x4426d2ad,0xdceb090e,0x7dd60183,0x777c00f6}},	//   uro_, šića, cáse, _torx, 
   {{0x9f47024a,0x77911c03,0x46a6d2ae,0x13010176}},	//   _dinë_, _پیما, _загв, иҷум, 
   {{0x60e50095,0x6d440035,0x4426d2af,0x27ea02a5}},	//   ərmə, _obia, sro_, _iibn_, 
   {{0xd25900e4,0x3940059e,0x2b5a0090,0x00000000}},	//   ьці_, nfis_, _lapc_, --, 
   {{0xcfa60650,0xf99300a7,0x7dd6039f,0x765518aa}},	//   ешни, טרה_, kásb, _zszy, 
   {{0x25a6d2b0,0x6d440a9f,0x661c0bfc,0x64a3004e}},	//   liol_, _abia, _kvrk, _сауа, 
   {{0xdd95541e,0x6d4400ef,0xbcfb0019,0x69c665f6}},	//   ваны, _bbia, ndég, _okke, 
   {{0x25a6d2b1,0x7bc5016a,0xac191094,0x222b009c}},	//   niol_, _skhu, мому_, _رزمی_, 
   {{0xdb1cd2b2,0x3959d2b3,0x00000000,0x00000000}},	//   rorî, _rass_, --, --, 
   {{0x25a60156,0x69c65647,0xc0a90499,0x3959d2b4}},	//   hiol_, _akke, _تامل_, _sass_, 
   {{0x2d990518,0x1c1d007e,0x7ddf012d,0xf8bf0175}},	//   ères_, _भटकल_, _būst, _acép_, 
   {{0x629800f1,0x2b5a00f6,0x00000000,0x00000000}},	//   izvo, _eapc_, --, --, 
   {{0x6d4f381a,0x25a602bf,0x2bd200ab,0xe8940251}},	// [deb0] meca, diol_, _दीवा, гать, 
   {{0x7dd6d2b5,0x69c6010d,0x6d4f006a,0x7bc5085f}},	//   ráse, _ekke, leca, _ukhu, 
   {{0x765a0187,0x7c2fab69,0xf77003b1,0x9f4f02ae}},	//   _štyr, lucr, حاق_, _utgå_, 
   {{0x6d5d238e,0x6d4f1385,0x2d8b031e,0x24f816d0}},	//   ndsa, neca, nkce_, енцы_, 
   {{0x76550da6,0xf8d50262,0x29090053,0x69cd0068}},	//   _wszy, _दरिय, mbaa_, mlae, 
   {{0x290900ef,0xe61308b6,0x69cdd2b6,0x2efc07d7}},	//   lbaa_, _مشر_, llae, _nfvf_, 
   {{0x25a62586,0x6d4fd2b7,0x69cd0156,0x41b51a89}},	//   biol_, keca, olae, ксит, 
   {{0x6d4f02a8,0x2909040c,0x106900a3,0x25a69d23}},	//   jeca, nbaa_, диий_, ciol_, 
   {{0x6d4f6383,0x6594d2b8,0x661c0242,0xe7b80790}},	//   deca, _сату, _zvrk, _आदमप, 
   {{0xd3780571,0x6d4401d8,0x64490026,0x6d5d0326}},	//   _biću_, _sbia, _ipei, edsa, 
   {{0x9f47031e,0x2b500095,0x9f4f0212,0xd37a0070}},	//   _jiné_, _öncə_, _jugé_, _קרעט, 
   {{0xb33c003d,0x7c3dd2b9,0xeb0a02e6,0xc2c4007a}},	//   _imħa, ftsr, वर्त_, _صيني, 
   {{0x69cd02bf,0x1fb50665,0x557600c7,0x442f5b15}},	//   dlae, _искр, דערן_, nug_, 
   {{0xd3780304,0x8fa52653,0x00000000,0x00000000}},	//   _fiću_, _шале, --, --, 
   {{0xc3320a33,0x442fd2ba,0xed5a00a3,0x9f47023e}},	//   יום_, hug_, _жой_, _niné_, 
   {{0x3a25003e,0x6449d2bb,0xdb1cd2bc,0x00000000}},	//   álpa_, _opei, morí, --, 
   {{0x61ebd2bd,0x09e3d2be,0xdb1cd2bf,0x3940d2c0}},	// [dec0] _migl, ротн, lorí, rfis_, 
   {{0x3860d2c1,0x442f07b1,0x25a600f8,0x9bca007a}},	//   rvir_, dug_, wiol_, _زوجك_, 
   {{0xe9da0886,0xdb1c1771,0x9f470107,0x9f4d0369}},	//   _око_, norí, _ciné_, lpeó_, 
   {{0x2d800107,0x8ab700d1,0x443d0354,0x64490534}},	//   _joie_, _יהיו_, ftw_, _bpei, 
   {{0x25a60156,0x64490068,0x442f002c,0x69c4d2c2}},	//   riol_, _cpei, gug_, moie, 
   {{0xdceb0fd3,0xd7030141,0x661c0372,0x61eb0616}},	//   žićn, _взри, _tvrk, _aigl, 
   {{0x61ebd2c3,0xa6e00086,0xdb1c1342,0x6d4f027e}},	//   _bigl, _প্রয়, jorí, yeca, 
   {{0x442fa3ce,0xdb1cd2c4,0x2fc7d2c5,0xb2830a31}},	//   bug_, dorí, _akng_, рышк, 
   {{0x6d4f00d2,0x61eb00d2,0xbcfb0107,0xd3780372}},	//   veca, _digl, ndée, _siću_, 
   {{0xd378032f,0x2d92d2c6,0xd346009c,0x836a313f}},	//   _piću_, _alye_, _شیعه_, _تصرف_, 
   {{0xdb1c127e,0x6d4fd2c7,0x61eb0141,0xf8bf026d}},	//   gorí, teca, _figl, _idée_, 
   {{0x61eb01d8,0xa18300c8,0x7c3dd2c8,0x60260009}},	//   _gigl, _вышл, ttsr, _адда, 
   {{0x2019000d,0xae060b20,0x6d5dd2c9,0x5f7600d4}},	//   ásit_, वीजन_, rdsa, _لاغر, 
   {{0x8fa3177b,0xdb0700e5,0x2d920237,0x21f80175}},	//   _каче, mijë, _elye_, _kéh_, 
   {{0x7c2fa445,0x442f01c4,0x57b502c0,0x28e002e6}},	//   sucr, zug_, ҳбат, पेसि, 
   {{0x21f83239,0xa806027e,0x7bced2ca,0x442fd2cb}},	//   _méh_, ktığ, albu, yug_, 
   {{0x98a206d0,0x3dc903eb,0x17ed00b0,0x442f0068}},	// [ded0] _bakı_, _ikaw_, जदेव_, xug_, 
   {{0x3b550ecb,0x7f8400f6,0x69cdd2cc,0x8c1c00d1}},	//   _скор, _tòqu, slae, _חוזי, 
   {{0xa2a202f8,0xd006040f,0x6449d2cd,0xcf9300c7}},	//   _केल्, _گل_, _spei, סטע_, 
   {{0x442fd2ce,0xd6d812a9,0xc88404d6,0x00000000}},	//   tug_, тту_, _bağı_, --, 
   {{0xd0060040,0xfc3fd2cf,0xef1800e0,0xf4d10086}},	//   _دل_, ntí_, kaļ_, িশ্ব, 
   {{0x442fd2d0,0x61ebd2d1,0xdb1c0a22,0x954200ad}},	//   rug_, _sigl, yorí, əşmə, 
   {{0x442fd2d2,0x05bb0a7c,0x61eb02a3,0x9f47009e}},	//   sug_, _قدرت_, _pigl, _binî_, 
   {{0x2fc70065,0x798dd2d3,0x61fe014b,0xdb1c0032}},	//   _skng_, nkaw, ípla, vorí, 
   {{0x61ebd2d4,0xf94a0070,0x69da0d62,0x64490080}},	//   _vigl, געפֿ, ïtei, _upei, 
   {{0xdb1cd2d5,0x2d99012e,0xe0d60b58,0x69c4d2d6}},	//   torí, ëren_, ывы_, zoie, 
   {{0x21f80096,0x61ebd2d7,0x2d920118,0xc1030259}},	//   _géh_, _tigl, _plye_, _күйл, 
   {{0xed5700dd,0xc1050038,0x7dd6007a,0xc8840761}},	//   гою_, _صوتي, fása, _yağı_, 
   {{0x711a0052,0xdb1c0503,0x2d805381,0x7afc02fe}},	//   _נוספ, sorí, _voie_, tcrt, 
   {{0xe0d0010e,0x798dd2d8,0x21f80175,0x00000000}},	//   _بزم_, ekaw, _yéh_, --, 
   {{0x69c4d2d9,0x6eca029c,0xdb1c02be,0x00000000}},	//   toie, _सुपु, torâ, --, 
   {{0x798d1a71,0xed5a01a2,0x6d4e00da,0x00000000}},	//   gkaw, _чои_, íhač, --, 
   {{0xa3e300aa,0x3866007a,0x999802d9,0xfc3f00b9}},	// [dee0] नगा_, íor_, strů_, ctí_, 
   {{0x7d16d2da,0xe737004e,0xb8cc00b0,0x4e1700c2}},	//   _heys, леу_, _कइ_, _दबाई_, 
   {{0x7d160218,0x452a00ba,0xdb1c5ffc,0x80aa5582}},	//   _keys, ежен_, morà, _जेने, 
   {{0xa806027e,0xc51617bc,0x399559ba,0x29560093}},	//   ttığ, ابات, _påse_, _съор, 
   {{0xd8760198,0x7d1600f8,0xd4672c0b,0xd91b00d1}},	//   _صاحب, _meys, лице_, _אוכל, 
   {{0x3952d2db,0x932600d4,0x7d16d2dc,0x59d863e4}},	//   leys_, ارشن, _leys, _भीतर, 
   {{0xa806035d,0x7dd6039f,0x2fc50604,0x00000000}},	//   stığ, zása, dolg_, --, 
   {{0x2bdb0ede,0xa80601f0,0x3ced0588,0x7df300d9}},	//   _मीना, ptığ, ževi_, _găsi, 
   {{0x2fc501c4,0xf8b40035,0x351b00d1,0xbfaa41a2}},	//   folg_, ंपिय, _רומנ, етне_, 
   {{0x21f820ca,0xa2bf072f,0xa85700a7,0xad270499}},	//   _téh_, _लुक्, נייה_, گردو, 
   {{0xe19300b9,0x7d164bd0,0x3f63cfcc,0x00000000}},	//   рлөө, _beys, стыб, --, 
   {{0x7dd60019,0xb8860032,0xa2bb00df,0x00000000}},	//   tása, _zvíť, _אמבט, --, 
   {{0x5b27085c,0x7d1601ff,0xdced00c3,0xdb07d2dd}},	//   льва, _deys, _inaċ, lijé, 
   {{0xbe8600d6,0xfc3fd2de,0x00000000,0x00000000}},	//   _مجبو, rtí_, --, --, 
   {{0xfc3f89ee,0x6f1ad2df,0xe91900dd,0x7d16017c}},	//   stí_, matc, кові_, _feys, 
   {{0x7d16d2e0,0x19582609,0x00000000,0x00000000}},	//   _geys, ласы_, --, --, 
   {{0x798d69cd,0x2d9900eb,0xf8b903a1,0x80aa0c46}},	// [def0] rkaw, mhse_, төн_, _जेमे, 
   {{0x6f1a4bd0,0x798dd2e1,0x6d5f040c,0x994e14d9}},	//   natc, skaw, _haqa, _výš_, 
   {{0xb8cc79dd,0xb87b20dc,0x941f0095,0x44d40108}},	//   _के_, _egíp, ərək_, _à_, 
   {{0x7bc7d2e2,0x6f1ad2e3,0x29f8090e,0xa2bf0e49}},	//   loju, hatc, _očaj_, _लुग्, 
   {{0x6d5fd2e4,0x588749e1,0x1b180086,0x291b12ed}},	//   _maqa, _сына, _তাতে_, maqa_, 
   {{0xe2851827,0x6d5f721f,0x7bc74e90,0x14a4009a}},	//   илли, _laqa, noju, _खेळण, 
   {{0x2fc501a9,0x5275d2e5,0x6f1ad2e6,0xa80601f0}},	//   volg_, рулу, datc, rtış, 
   {{0x91fc00e0,0xd18502a3,0x291b02f1,0x6d5f44c7}},	//   _grām, рлий, naqa_, _naqa, 
   {{0xd34700d4,0x7bc700e0,0xd5b874b8,0x6eca3e41}},	//   _میشه_, koju, _сср_, _सुबु, 
   {{0x6f1a0144,0xdb1cd2e7,0x20540093,0xff2503b7}},	//   gatc, korá, стър, јмно, 
   {{0x6d5fd2e8,0x7bc74e90,0x41551ca5,0x7d16d2e9}},	//   _baqa, doju, _ввес, _peys, 
   {{0xfce675e1,0x7d1612ed,0x00000000,0x00000000}},	//   ионо, _qeys, --, --, 
   {{0x7d090068,0x39520080,0x6f1a0508,0x7d160d16}},	//   ñesa, veys_, batc, _veys, 
   {{0xdee55e26,0xdb1c454d,0x69dd6550,0x7bc7d2ea}},	//   _коли, forá, _ahse, goju, 
   {{0x6d5f8d91,0xbea203b7,0x291b2af2,0x395200c8}},	//   _faqa, _машк, faqa_, teys_, 
   {{0x2d990380,0x66761c03,0x7dd6010e,0x7c290613}},	//   chse_, یدار, máso, šera, 
   {{0x7dd6006b,0x80dd07d5,0x443f006d,0xfbc65378}},	// [df00] láso, _परफे, _nqu_, लकदम, 
   {{0xdb1c0068,0x753b002e,0x661b0083,0x27ee003e}},	//   borá, _acuz, _łuka, öfn_, 
   {{0xd94688eb,0x645b00c8,0x291b01ff,0xdb0e0083}},	//   _кени, _asui, baqa_, sobó, 
   {{0x6f1a4819,0x6d5f0248,0xdb07010c,0x00000000}},	//   zatc, _xaqa, nijî, --, 
   {{0x63aac0cc,0x6f1a00a3,0x11d6009c,0x6609afd0}},	//   tifn, yatc, یتعد, _čeke, 
   {{0xb4d6143e,0xbcfb00eb,0x7dd60019,0x00000000}},	//   _हरी_, idéa, káso, --, 
   {{0x2b470c05,0x7ddd0019,0xd25000eb,0x443f008a}},	//   _önce_, lése, سنة_, _equ_, 
   {{0x6f1ad2eb,0x63aa02cd,0x7dd6010e,0x07a60cdf}},	//   watc, sifn, dáso, _саҳн, 
   {{0x7df300d9,0x290004b3,0x6d5f02f1,0x7bc70548}},	//   _măsu, icia_, _raqa, yoju, 
   {{0x63ad00eb,0x6d5f007b,0x33d501fc,0x65600038}},	//   éant, _saqa, _ліхт, _hamh, 
   {{0xa3e305f6,0x29000187,0x244006df,0x399502ae}},	//   नगर_, kcia_, lòm_, _låsa_, 
   {{0x6562d2ec,0x65600010,0xdb1c0587,0x6f1a01ff}},	//   ndoh, _jamh, vorá, satc, 
   {{0x6442d2ed,0x7bc7d2ee,0x0ca8ac1b,0x7dd64ce6}},	//   ntoi, toju, атри_, pásn, 
   {{0x2900d2ef,0xc0a903b1,0x29020054,0x6d5fd2f0}},	//   ecia_, _حامل_, _afka_, _waqa, 
   {{0xdced02f5,0x79a7d2f1,0x69c00b91,0x7bc71f8f}},	//   _inač, арае, čmen, roju, 
   {{0x80dd0598,0x637d0cd7,0x65607d5a,0xd90f0296}},	//   _परमे, _dèny, _namh, بیح_, 
   {{0x7d1d5999,0x6f180201,0x7bc7d2f2,0xa3d605f6}},	// [df10] mass, _kevc, poju, सता_, 
   {{0xe7190084,0xe73303b1,0x37073124,0x7d1d21e2}},	//   ايات_, تصر_, рчав, lass, 
   {{0x2126090b,0x6f1801f0,0xcb5600d1,0xdb1c0566}},	//   _odoh_, _mevc, _הסתה_, foræ, 
   {{0x29000141,0x7d1d21cb,0x3ced015e,0x656001f5}},	//   ccia_, nass, ževu_, _camh, 
   {{0x7dd60019,0x6560d2f3,0xe81600c9,0x00000000}},	//   záso, _damh, दीदा_, --, 
   {{0x7d1dd2f4,0x2126009c,0xb3c808ab,0x67e90604}},	//   hass, _adoh_, аліз_, _ožji, 
   {{0xd6e500cc,0x06e500cc,0xe69500eb,0x2919d2f5}},	//   _প্রয, _প্রি, _الأد, _kesa_, 
   {{0x7d1dd2f6,0x78b800d2,0x3495d2f7,0x753b06a2}},	//   jass, šavš, _лабр, _ucuz, 
   {{0x60060b58,0x6442d2f8,0x7d1d0336,0x63ad0068}},	//   бным_, ctoi, dass, éans, 
   {{0x7dd6006b,0x2919d2f9,0x6f180082,0x442f00ef}},	//   táso, _lesa_, _cevc, mrg_, 
   {{0x201f03b7,0x7ddd010e,0x7d1dd2fa,0xdce40082}},	//   ssui_, zése, fass, _knić, 
   {{0x2919d2fb,0x7d1dd2fc,0x442fd2fd,0xccf802f1}},	//   _nesa_, gass, org_, шқи_, 
   {{0x515a00a7,0x7c290352,0x7ddd0183,0x7e6a12b6}},	//   _תכנו, šern, xése, _erfp, 
   {{0x7d1d0175,0x3b950477,0x394b02be,0x21260144}},	//   aass, ојст, _abcs_, _zdoh_, 
   {{0x2919d2fe,0xf8bfd2ff,0x6996562b,0xfe77013e}},	//   _besa_, _axé_, брах, _түн_, 
   {{0x7ddd0019,0xe9df0029,0x29191cf0,0x49991e2f}},	//   tése, _chú_, _cesa_, атуя_, 
   {{0x2900c31a,0x29197938,0xa9670ec4,0x4ca600cc}},	// [df20] rcia_, _desa_, щита_, _গুরু, 
   {{0x6560d300,0x29000141,0xbcfbd301,0x869aa1d3}},	//   _samh, scia_, ndén, лтет_, 
   {{0x2e2301f0,0x290007f1,0x9f4e0118,0xd7ef0038}},	//   nıf_, pcia_, _difè_, ركم_, 
   {{0x4a5b0056,0xdb1c16e8,0x2919085f,0x63140086}},	//   _עדכו, forç, _gesa_, _সাইট_, 
   {{0xfe6700c5,0x260c007e,0xf3f10023,0x65624186}},	//   _کد_, डीजी_, _bị_, rdoh, 
   {{0x6442d302,0x7d1d010e,0x7c24190c,0x9cd700d1}},	//   rtoi, zass, _mvir, זונה_, 
   {{0x7d04d303,0x6442d304,0x442fd305,0x798686a3}},	//   _ofis, stoi, arg_, _kokw, 
   {{0x7d1d02f1,0x7c24008b,0x65600a75,0x60f80093}},	//   xass, _ovir, _uamh, шния_, 
   {{0x7d1dcb38,0x7986044d,0x6f180352,0xdb1c03dd}},	//   vass, _mokw, _pevc, corç, 
   {{0x7d044b1a,0x7d1dd306,0x43750f5a,0x63a40511}},	//   _afis, wass, _мухт, ëind, 
   {{0xf8d51516,0x59c81615,0x9f470054,0x7ddd010e}},	//   _दर्प, लवार, _dinà_, vésb, 
   {{0x442466cc,0x79862f43,0xc6930070,0x7c24008a}},	//   _kvm_, _nokw, פאר_, _bvir, 
   {{0x2919d307,0x3ced00b0,0xf8bf0096,0x44244d58}},	//   _resa_, äev_, _adén_, _jvm_, 
   {{0x61fad308,0x7d043ffc,0x7c24012d,0x2919d309}},	//   _kutl, _efis, _dvir, _sesa_, 
   {{0x2919d30a,0xe9df001b,0x79863e7d,0xda780cf8}},	//   _pesa_, _phú_, _bokw, бят_, 
   {{0x7d1d00c3,0x61fa6526,0x00000000,0x00000000}},	//   qass, _mutl, --, --, 
   {{0x4424012e,0x6d4dd30b,0xf8bf0369,0x61fad30c}},	// [df30] _nvm_, _ibaa, _edén_, _lutl, 
   {{0x6fdd026a,0xba5508bd,0x61fad30d,0x9f47020b}},	//   pèce, _двој, _outl, _kiná_, 
   {{0xd6dbd30e,0xe9df17aa,0x9f4700bc,0x7c24d30f}},	//   ута_, _thú_, _jiná_, _zvir, 
   {{0x9b450019,0x333e0027,0x2e3b0070,0xfd1f0054}},	//   _انھو, _actx_, רגאנ, naì_, 
   {{0x442fd310,0x61fa0082,0x6eca46cc,0x29d72768}},	//   urg_, _autl, _सुसु, nçam_, 
   {{0x61fad311,0x42091184,0x7986044d,0x8c1c008d}},	//   _butl, анко_, _zokw, נווי, 
   {{0xe2996100,0x3869d312,0x65950afc,0x7986813c}},	//   рай_, lvar_, _даву, _yokw, 
   {{0x80dd1556,0xc005d313,0x61fa0026,0xdb1c0165}},	//   _परदे, опик, _dutl, porç, 
   {{0x38690460,0x00000000,0x00000000,0x00000000}},	//   nvar_, --, --, --, 
   {{0x6d4d0a8b,0xd00e0444,0xf8aa0070,0x00000000}},	//   _abaa, کلی_, יספֿ, --, 
   {{0x7c2403ef,0x61fa00d2,0xbcfb20a0,0x76450156}},	//   _svir, _gutl, rdén, nthy, 
   {{0xe2940070,0x7dd600da,0x3869076b,0xacea26f1}},	//   _צװײ_, pásm, kvar_, имна_, 
   {{0x764501e5,0x06b00033,0x7dd6010e,0xdced008a}},	//   hthy, _করছি, lásk, _plaġ, 
   {{0x69cfd314,0x200dd315,0x9f4300c8,0x6d4dd316}},	//   _akce, mpei_, öjä_, _ebaa, 
   {{0x9d46778e,0x39490844,0x7986d317,0x7d04003d}},	//   _дейд, ffas_, _pokw, _tfis, 
   {{0x7d040010,0x7c24012d,0xbcfb002c,0x7529024a}},	//   _ufis, _tvir, ndél, _ndez, 
   {{0x3f879363,0xe7aa3ac9,0x386952c7,0x764500f8}},	// [df40] _konu_, авал_, gvar_, ethy, 
   {{0x2d820571,0x7529a192,0x7986044d,0x200d0175}},	//   ljke_, _adez, _wokw, ipei_, 
   {{0x2b580b91,0x44240082,0x79866cca,0x4c05015f}},	//   merc_, _svm_, _tokw, _وظیف, 
   {{0x4424058b,0x2d820f4c,0x89361f98,0xa96a1db5}},	//   _pvm_, njke_, _بعدا, _тима_, 
   {{0x29120c25,0x53e6d318,0xa3ea05e6,0x195700d1}},	//   mbya_, оцка, адда_, _ובכל_, 
   {{0x61fad319,0x69d6010e,0x00000000,0x00000000}},	//   _putl, llye, --, --, 
   {{0xd62713cc,0xe29702a6,0x61fa00a3,0x7ddd011c}},	//   _море_, жај_, _qutl, hésa, 
   {{0x6eca059e,0x4424d31a,0xfbc20033,0x2b580372}},	//   _सुषु, _tvm_, োগিত, herc_, 
   {{0xdced00c3,0x3f870104,0x6fd400b9,0x442459d4}},	//   _ilaħ, _bonu_, làci, _uvm_, 
   {{0x7dd60776,0x3f98003e,0xff9802a6,0x61fa0026}},	//   lásh, óru_, ској_, _tutl, 
   {{0x61460fb6,0xb7db00c7,0x80aa0299,0x00000000}},	//   _межа, שקיי, _जेरे, --, 
   {{0xdced00c3,0xbcfb0151,0x386d00de,0xd9c400bc}},	//   _jlaħ, rdéo, _šerm_, वकोट, 
   {{0x7b672e87,0x6eca1d95,0xf0b0010e,0xdced01f2}},	//   отве, _सुरु, _سیدھ, _mlaħ, 
   {{0xa0071169,0x76450156,0x6fa60035,0x29d7019c}},	//   _بقول_, ythy, टोशू, rçam_, 
   {{0x61e28aa6,0x8f9b042c,0x0a68d31b,0x5a44049b}},	//   _khol, _דיגי, орти_, мэта, 
   {{0x6d4d01b8,0x2bdb09ec,0x6fd400b9,0x291201d6}},	//   _ubaa, _मीरा, dàci, gbya_, 
   {{0xbcfbd31c,0x61e20a92,0xe70b029a,0x7ddd0151}},	// [df50] ndém, _mhol, لتان_, césa, 
   {{0xe945086b,0x80dd4a0c,0x2b5800b3,0x6603d31d}},	//   _کردی, _परसे, cerc_, ínko, 
   {{0xd575418c,0x38692379,0x61e29f2f,0x2d89084c}},	//   зуль, svar_, _ohol, _koae_, 
   {{0x76450156,0xbc681c03,0x61e201f2,0x00000000}},	//   rthy, _امین_, _nhol, --, 
   {{0xd4693e35,0x76450d06,0x98790070,0xa3d60110}},	//   силе_, sthy, _האָט, सतं_, 
   {{0x61e2d31e,0x57f400c8,0x69cd0415,0x7dd6010e}},	//   _ahol, _опят, loae, tásk, 
   {{0x6fd4022c,0xdced008a,0x61e2d31f,0x7f8d00f6}},	//   càci, _flaħ, _bhol, _xúqu, 
   {{0xd24e2424,0x98ab04be,0x3f870540,0xe4e7004f}},	//   اني_, _hacı_, _sonu_, _дізн, 
   {{0x25add320,0x61e21430,0x600616d0,0x7fd500f0}},	//   _imel_, _dhol, пным_, зіні, 
   {{0xee39537d,0x25bf017e,0x249d4cd8,0x00000000}},	//   бно_, _hjul_, ızmı_, --, 
   {{0x59bd0f8c,0x2b580036,0x61e21197,0x7dd6d321}},	//   ्कार, verc_, _fhol, lási, 
   {{0x61e2d322,0xdb15010e,0x91fc0243,0x00000000}},	//   _ghol, kozó, _prāv, --, 
   {{0xea0000f7,0x61e93dcb,0x2b5802fe,0x7dd612aa}},	//   _biết_, mmel, terc_, nási, 
   {{0x61e9d323,0x3f9e1151,0x398e003e,0x3b07cad3}},	//   lmel, chtu_, _lýst_, зеро_, 
   {{0x09e64478,0x64b800c2,0xea000210,0x00000000}},	//   зовн, _अश्श, _diết_, --, 
   {{0x61e950c0,0xe8faa341,0x5cf6d324,0xf2d20070}},	//   nmel, сла_, _эяку, געל_, 
   {{0x29120102,0x69d67a2b,0x61e92518,0x98ab0248}},	// [df60] rbya_, rlye, imel, _bacı_, 
   {{0x25add325,0x7c265ef5,0xea00001b,0x25bf0175}},	//   _amel_, mskr, _giết_, _ajul_, 
   {{0xd90d0019,0x61e9d326,0xeab238a9,0x69d60f96}},	//   _چیف_, kmel, _سعد_, plye, 
   {{0x7dd6014a,0x6f1c0035,0x7bced327,0xfbdf009e}},	//   fási, órcz, lobu, ntên_, 
   {{0x7c263667,0x938a298d,0x9f5f02aa,0x17fa0038}},	//   nskr, йска_, rquê_, _درجة_, 
   {{0x61e2d328,0x25ad0938,0x53340b49,0x78a4015e}},	//   _shol, _emel_, фект, mziv, 
   {{0x61e2d329,0x9f470088,0x66e6d32a,0x23650813}},	//   _phol, _minä_, _хова, _dalj_, 
   {{0x7c269686,0x61e2084c,0xb6bb00d1,0x7984d32b}},	//   kskr, _qhol, _הצלי, njiw, 
   {{0xdefa1472,0x7df40012,0x7bced32c,0x7dd60369}},	//   йын_, _răsp, kobu, cási, 
   {{0x7c262773,0x08e90086,0x2b940219,0x61e200a7}},	//   dskr, টুকু_, _däck_, _whol, 
   {{0x61e2d32d,0x7bce020b,0xfbdf0216,0xfe230afc}},	//   _thol, dobu, ftên_, ньян, 
   {{0x3f9e01ee,0xa44b014b,0x61e2d32e,0x7522095a}},	//   shtu_, lášť_, _uhol, naoz, 
   {{0x44266fe1,0x9ccb1b17,0x7c26d32f,0x69cd0042}},	//   nso_, сына_, gskr, voae, 
   {{0xdeb4032e,0x200bd330,0x4426d331,0x78a4d332}},	//   _облы, ície_, iso_, dziv, 
   {{0xea0000f7,0x15ec034d,0x66090df4,0xbef700eb}},	//   _viết_, जगार_, _čeko, _عروض_, 
   {{0x4426ca0a,0x9964049b,0x7c262d6b,0xceb300d1}},	//   kso_, нтул, bskr, _ריק_, 
   {{0xea000029,0x91fc002a,0x6e3a2032,0x7bce6eb2}},	// [df70] _tiết_, _krās, lutb, bobu, 
   {{0x4c9c00a7,0x7bced333,0xade1007e,0x25ad0121}},	//   _לבחו, cobu, _गीतन_, _smel_, 
   {{0x44260156,0x41cc21d2,0x28f900b3,0x6e3a47ea}},	//   eso_, ावास, _мень_, nutb, 
   {{0x3ea100b0,0x00000000,0x00000000,0x00000000}},	//   _ühte_, --, --, --, 
   {{0xf8c10b3e,0x6e3ad334,0x4426d335,0x236500ca}},	//   _एशिय, hutb, gso_, _palj_, 
   {{0x7dd6d336,0x00000000,0x00000000,0x00000000}},	//   rási, --, --, --, 
   {{0x44260298,0x61e9d337,0x7d060219,0x7c26d338}},	//   aso_, tmel, ycks, zskr, 
   {{0x6009d339,0xd9e326d4,0x7c26812e,0xcbf90033}},	//   оним_, _कीमत_, yskr, _অবৈধ_, 
   {{0x443908b0,0x4426d33a,0xafe50258,0x55c300f0}},	//   _ês_, cso_, моил, _жаңғ, 
   {{0x61e9d33b,0x91fc01dd,0x7c26042a,0x6136035d}},	//   smel, _prāt, vskr, tülü, 
   {{0xdb1c0187,0xee36049b,0xed5a59bb,0x9f5f426d}},	//   porú, мнэ_, оон_, nqué_, 
   {{0x61360092,0x9f470088,0xdb070098,0x7767008a}},	//   rülü, _sinä_, vijá, _lajx, 
   {{0xfbdf0218,0x4c830141,0xd7bf009a,0x91aa010e}},	//   rtên_, вляв, ्वाच, _بننے_, 
   {{0xfbdf0218,0x9fb506d0,0x7076015f,0x7522023a}},	//   stên_, dəçi_, _آموز_, zaoz, 
   {{0xaa431472,0x7c2672d8,0xf1e10035,0xdb0e009e}},	//   керл, sskr, _पठान, bibî, 
   {{0x442600f8,0xe9dad33c,0x213f02f6,0x7c2677d7}},	//   yso_, іка_, nguh_, pskr, 
   {{0x79843976,0x75220180,0x6d4400b4,0x378a0229}},	// [df80] rjiw, vaoz, _icia, обао_, 
   {{0x1b180086,0xe8de00c9,0x7522018e,0x00000000}},	//   _তাকে_, _मरीच, waoz, --, 
   {{0x9f5f0161,0xdb0e0219,0x29f8014b,0xa9a61bf7}},	//   rquè_, gnbå, _včas_, _жинд, 
   {{0x4426d33d,0xe57a13f2,0x6fd403dd,0x00000000}},	//   tso_, юзе_, làct, --, 
   {{0x4426298d,0x045a00eb,0xf8bf0175,0x03a6d33e}},	//   uso_, تجات_, _ndéh_, мидо, 
   {{0xa3a800ab,0x3940d33f,0xf8b30486,0x9a25010e}},	//   खों_, lgis_, _ישר_, _تعین, 
   {{0x4426589a,0xf7432a86,0x6fdd022c,0xa50a2d60}},	//   sso_, _шеро, tècn, _мева_, 
   {{0x6d44d340,0x32530141,0x386d02fe,0x66e30ca4}},	//   _ncia, твър, _šeri_, _роса, 
   {{0x394000b0,0xcfaa0038,0x7d1f12ed,0x00000000}},	//   igis_, قادم_, _reqs, --, 
   {{0x83fd0019,0xada40035,0x399502ae,0x187b00d1}},	//   _erős, óźni, _påsk_, קטיב, 
   {{0x6fd4022c,0xa3cb009a,0x6db50504,0x073700d1}},	//   dàct, ळकर_, ейну, ואים_, 
   {{0x6e3a34db,0x6d4402a3,0x4ad200c9,0x00000000}},	//   rutb, _ccia, _दुधव, --, 
   {{0xdb05057f,0x50e23512,0x6e3a0611,0x672e0372}},	//   _amhá, _परिष, sutb, _odbj, 
   {{0x21241600,0x6d44008a,0x7dd6010e,0xa3ce059e}},	//   lamh_, _ecia, dásu, रवि_, 
   {{0x996707e1,0x00000000,0x00000000,0x00000000}},	//   мтал, --, --, --, 
   {{0x2124d341,0x7520006b,0x3940d342,0x6f0d07c7}},	//   namh_, _nemz, ggis_, _đaci, 
   {{0xa3ce1ff6,0x6d5dd343,0xb4dd0b79,0x27f8d344}},	// [df90] रवा_, mesa, _डरे_, _birn_, 
   {{0xd6dbaf70,0x399c01d5,0xda7b00b3,0x7c3dd345}},	//   оте_, _vísa_, _дям_, musr, 
   {{0x19956343,0xfbdf0165,0x9f5d01e5,0x7c3d00c2}},	//   _заня, ntêm_, _duwè_, lusr, 
   {{0x6d5dd346,0x9f5fbef6,0x75200126,0x2d99b28c}},	//   nesa, rqué_, _cemz, nkse_, 
   {{0x7dd6334c,0x92bb0086,0x9f5f1535,0x33d500f0}},	//   mást, _ঘরে_, squé_, нікт, 
   {{0x6d5d5219,0xd7c9009c,0x67d500d3,0x29090372}},	//   hesa, _روزه_, _чогу, lcaa_, 
   {{0x6d5d22ea,0xf99f06df,0x00000000,0x00000000}},	//   kesa, _klè_, --, --, 
   {{0xa5e400b9,0x6d5d2808,0x2d99012e,0x7dd6d347}},	//   _аюул, jesa, jkse_, nást, 
   {{0x6d5dd348,0x00000000,0x00000000,0x00000000}},	//   desa, --, --, --, 
   {{0x6d44d349,0x75203708,0x2d990b1f,0xa300004e}},	//   _scia, _zemz, ekse_, _күше, 
   {{0x6d5dd34a,0x9d460ecf,0x443dd34b,0xe81f0083}},	//   fesa, ненд, luw_, मीता_, 
   {{0x6569b731,0x6d5dd34c,0x3860d34d,0x212401be}},	//   _jaeh, gesa, ywir_, camh_, 
   {{0xdb070088,0xbdf9006b,0x6569033e,0x7c3d00b0}},	//   kijä, _کرتا_, _maeh, gusr, 
   {{0xa0662831,0xf99fd34e,0x2d99d34f,0x656900a1}},	//   _чаша_, _alè_, akse_, _laeh, 
   {{0x6d5dd350,0x8f9a00fe,0x6fd400d3,0x34dc00c6}},	//   besa, _מיסי, ràct, _बर्द, 
   {{0x6d5d856a,0x443d3865,0x7dd6010e,0x00000000}},	//   cesa, kuw_, tásu, --, 
   {{0x26de02f5,0x3940d351,0xea0000e7,0x75208f3a}},	// [dfa0] _što_, rgis_, _thắt_, _remz, 
   {{0x657b0102,0x46a6085c,0x443d01c8,0x290b008a}},	//   _anuh, назв, duw_, _efca_, 
   {{0x752000ef,0x443d01c8,0xfc3f014b,0x3860d352}},	//   _pemz, euw_, nzín_, swir_, 
   {{0x9426004e,0x9f5d00c5,0x7dd60183,0x7bdc2be3}},	//   емде, _duwé_, cást, llru, 
   {{0x6569016a,0x7dd6010e,0xdb0ed353,0xc9532233}},	//   _daeh, láss, hibí, _גמר_, 
   {{0xd62a6019,0x26d8d354,0xdb1c003e,0x6d5dd355}},	//   _ноге_, _tyro_, fnré, zesa, 
   {{0x66e3d356,0x6d5d4366,0x3afb00c7,0xd25716d0}},	//   _бора, yesa, פּגע, ецы_, 
   {{0xea0000f7,0x86b3004e,0xdcf60118,0x244901d5}},	//   _nhật_, _сәуі, _anyč, búm_, 
   {{0xdced0b43,0x82fa0274,0x61f9023e,0x6d5d34ac}},	//   _inać, _فراز_, _diwl, vesa, 
   {{0xa3c70081,0x200bd357,0x21240a92,0x29d7022c}},	//   _उदय_, ícia_, samh_, lçat_, 
   {{0xdd91105a,0x705400d4,0x1bfa0299,0x00000000}},	//   لود_, رنگا, _एंजल_, --, 
   {{0x7afe0068,0x29d703a1,0x7c3d06a6,0xea000023}},	//   _agpt, nçat_, tusr, _chật_, 
   {{0x2d99d358,0x48c40033,0x00000000,0x00000000}},	//   rkse_, ্ধুর, --, --, 
   {{0xcf2600eb,0x0ce102e6,0x2d8403d8,0xdb15021e}},	//   _أرشي, _नरीम, ömer_, mizë, 
   {{0x6d5d1cdb,0xdb0e26ca,0x443d02aa,0xdb150034}},	//   pesa, cibí, zuw_, lizë, 
   {{0x3f8e0053,0x9a8703dc,0x5c7514ce,0x7c3dd359}},	//   _hofu_, _ҷумл, _алит, pusr, 
   {{0x7d0dd35a,0x7dd6d35b,0xdb150034,0x9f5d009c}},	// [dfb0] _ifas, rást, nizë, _suwé_, 
   {{0xab841c1a,0x7ddd0175,0x00000000,0x00000000}},	//   _буюк, késk, --, --, 
   {{0x7c2dd35c,0xc7c46cb0,0x3f8e084c,0x6725d35d}},	//   _hvar, усти, _mofu_, rahj, 
   {{0x7c2d076b,0x7dd6010e,0x5a16027a,0x7d0d00a4}},	//   _kvar, lásr, _שקרן_, _jfas, 
   {{0x7d0dd35e,0x84eb00c9,0x7c2d00a4,0x5fd000bc}},	//   _mfas, जेंट_, _jvar, सकाल, 
   {{0x443d02a5,0x7c2dd35f,0x644b4f12,0x7d0d01be}},	//   ruw_, _mvar, rtgi, _lfas, 
   {{0x6569016a,0xdce40ab4,0x644bd360,0xfc3f0038}},	//   _taeh, _raič, stgi, huí_, 
   {{0x96f80fa2,0x644b02b0,0x656902be,0x7d0d2a43}},	//   _чест_, ptgi, _uaeh, _nfas, 
   {{0x29d70165,0xa1560267,0x7dd6010e,0x63ae017b}},	//   lças_, тању_, záss, ønnø, 
   {{0x02a700ba,0x7d0dd361,0xdced00d0,0x7ddd010e}},	//   _прем, _afas, _znać, lésh, 
   {{0x7c2dd362,0x6da60593,0x29d703b7,0xa3c000a2}},	//   _avar, вина, nças_, ीवर_, 
   {{0x7bc5016a,0xaad50262,0xdb0e1cf0,0x80d30033}},	//   _ajhu, _धड़क, ribí, দেষ্, 
   {{0xb87b006b,0xfc3fd363,0xdb050219,0xd7d1009a}},	//   _szín, guí_, _omhä, तकाच, 
   {{0x7d0dd364,0x7dd60019,0x316d5b85,0x4fe8004f}},	//   _efas, táss, ldez_, _змін_, 
   {{0xea000029,0x7c2dd365,0x7d0d00f8,0x9f5f00b9}},	//   _thật_, _evar, _ffas, nquí_, 
   {{0x442d03ef,0x316d0212,0x7d1b008c,0xf1c400da}},	//   _ove_, ndez_, ðust, pešť_, 
   {{0x6d56d366,0x7c2dd367,0xa3e40a50,0x316d2d3b}},	// [dfc0] _ibya, _gvar, नतम_, idez_, 
   {{0xdced090b,0xb8da00b0,0x00000000,0x00000000}},	//   _snać, _अइ_, --, --, 
   {{0x7dd60369,0x4b370070,0x7c2dd368,0xfaa67721}},	//   lásq, _בריל_, _zvar, _рано, 
   {{0xf8bf022c,0x63a120f8,0xdb0e0054,0x25a0007a}},	//   _adéu_, _alln, libà, óil_, 
   {{0x29d77653,0x6d560bcf,0x00000000,0x00000000}},	//   aças_, _mbya, --, --, 
   {{0x442d8ed3,0xdb150034,0x57250038,0x34930176}},	//   _dve_, vizë, _مرفق, рашр, 
   {{0x442d71ad,0xdb1cd369,0x6d56d36a,0x24800474}},	//   _eve_, loró, _obya, ţim_, 
   {{0xd13000eb,0x7dd6010e,0x29d720f1,0x63a152d9}},	//   حمة_, zásr, lçar_, _elln, 
   {{0x4fd416e1,0x6747003e,0x66094243,0x0326012d}},	//   лжит, _þrjá, _čeki, _адзн, 
   {{0x29d7651a,0x64a3004e,0x7d0d0a0b,0x6d56d36b}},	//   nçar_, _тауа, _sfas, _abya, 
   {{0x7c2dd36c,0xdd9513c3,0xc7b300d1,0x7dddd36d}},	//   _svar, ганы, שבת_, lési, 
   {{0x25a6d36e,0x63b8d36f,0xfc3f0e43,0x236c3df0}},	//   nhol_, livn, tuí_, _hadj_, 
   {{0x4fc65854,0x7ddd69cd,0x7dd60019,0x4034d370}},	//   _иска, nési, tásr, _селс, 
   {{0xc0e313cc,0x09bd0662,0x6d560a8b,0x39951950}},	//   _точк, ्क्य, _ebya, _låst_, 
   {{0x75fa031e,0x6fdd65b9,0x7ddd026a,0x19590cfe}},	//   _různ, dèch, hési, навы_, 
   {{0x7c2dd371,0x39a4d372,0x1958001c,0x7d0d08dc}},	//   _tvar, ашув, касы_, _ufas, 
   {{0xfc3f3f5b,0xdb1cd373,0x7bc50026,0x7c2d0032}},	// [dfd0] quí_, goró, _tjhu, _uvar, 
   {{0x63b802fe,0x7c293973,0x7dddd374,0x995c02d9}},	//   jivn, šers, dési, _víš_, 
   {{0x442d02f5,0xd6db4316,0xaa9507d2,0xa3c8031e}},	//   _sve_, фта_, _синч, ोकन_, 
   {{0x29d73c2a,0x2d8b08e3,0xceb30486,0x442d13da}},	//   rças_, njce_, סיף_, _pve_, 
   {{0x236c0118,0x00000000,0x00000000,0x00000000}},	//   _badj_, --, --, --, 
   {{0x63b895db,0xbcfb0019,0xe61309ed,0x7bd54ea9}},	//   givn, ldés, _نشر_, nozu, 
   {{0x42520038,0x7bd500b4,0x6298922b,0xada6020b}},	//   منور, iozu, gyvo, _hnúš, 
   {{0x45d5495e,0x200b03b7,0x25a6d375,0x442d05a4}},	//   _собс, ício_, chol_, _tve_, 
   {{0x316dd376,0x7ddd0068,0x442dcc3c,0x4439003e}},	//   rdez_, cési, _uve_, _ís_, 
   {{0xea0000e7,0x645b01f1,0x60e63756,0x9f851918}},	//   _giặt_, _ipui, ымым_, угод, 
   {{0x6fdd022c,0x7bd57bb4,0x00000000,0x00000000}},	//   nèci, dozu, --, --, 
   {{0x399c014b,0xea0000e7,0xb33c008a,0x00000000}},	//   _písm_, _nhạt_, _ilħa, --, 
   {{0xa3c7009a,0xed5a01a2,0xc05b0259,0x6e3a0c0c}},	//   _उदा_, _ҷой_, _іід_, artb, 
   {{0xd00e17c1,0xf1b902ef,0xfc03d377,0xccf5004e}},	//   _على_, liš_, спро, шқы_, 
   {{0xfaa35adb,0x32050056,0x15f51d3d,0x7e9607cf}},	//   баро, _july_, ेदार_, _منور_, 
   {{0xa967d378,0xdb1c0035,0xa2c4122e,0x6d56007c}},	//   лиса_, toró, िपत्, _ubya, 
   {{0xa2da02f8,0x57ea1fde,0x7ddd0042,0x0c6900f0}},	// [dfe0] _पुन्, едам_, xési, _азық_, 
   {{0xf8bf00b9,0x6d4601e8,0xc1b000bc,0x00000000}},	//   _adés_, lgka, _जग्ग, --, 
   {{0x29d76fb7,0x25a60156,0x2d80379a,0x7c2202b7}},	//   rçar_, thol_, _knie_, _çorb, 
   {{0x7dddd2dd,0xb8b4004e,0xdb1c51c4,0xb5da0038}},	//   tési, _көзі, poró, رباء_, 
   {{0x69c4b392,0x63b82365,0x9f5c055a,0x2d80006a}},	//   mnie, tivn, _divê_, _mnie_, 
   {{0x69c4789c,0x7dddd379,0x6298d37a,0x320515ea}},	//   lnie, rési, tyvo, _buly_, 
   {{0x63b88623,0xbcfb3693,0x25a6d37b,0x645bd37c}},	//   rivn, ndér, phol_, _epui, 
   {{0xb0340c54,0xc0341eac,0xe5a353c4,0x69d6d37d}},	//   аниш, аниј, _лиси, noye, 
   {{0xf99300a7,0x80dc0086,0x32050102,0x69c4d37e}},	//   מרה_, মেন্, _euly_, inie, 
   {{0x2d8005f0,0xbcfbd37f,0x69d6a693,0x65621ece}},	//   _anie_, zdés, hoye, leoh, 
   {{0x69c4d380,0xf1b90688,0x2d92d381,0x7bd502d9}},	//   knie, biš_, _boye_, vozu, 
   {{0x69d6d382,0x69c4d383,0xf1b9090e,0x4ad200bc}},	//   joye, jnie, ciš_, _दुइव, 
   {{0x69c42aec,0x32050118,0x00000000,0x00000000}},	//   dnie, _zuly_, --, --, 
   {{0x765cd384,0x6d46023b,0x69c415fa,0x7f960212}},	//   _opry, agka, enie, _pâqu, 
   {{0xea0000e7,0x9f4700bc,0x8cd51276,0x7bd51175}},	//   _phạt_, _jiný_, _युरो, rozu, 
   {{0x391517ef,0x69c4d385,0x89a70019,0x69d6d386}},	//   рмар, gnie, اھدہ_, goye, 
   {{0xa3e40509,0xbcfb006b,0x20060065,0x6562349f}},	// [dff0] नता_, rdés, _juoi_, deoh, 
   {{0x3f9e12fc,0x7c2fd387,0x46a73a06,0x2d800032}},	//   nktu_, mscr, лшеб, _znie_, 
   {{0x69c4d388,0x645bd389,0x7c2f199b,0xd7c80038}},	//   bnie, _spui, lscr, دوله_, 
   {{0xd6d8d38a,0xdb1c003e,0xfe090023,0x394500d3}},	//   уту_, lorð, _hắc_, _өнүг, 
   {{0x394b011c,0x7c2f2d2b,0x20060108,0xd469d38b}},	//   _iccs_, nscr, _nuoi_, тиле_, 
   {{0x6fdd03a1,0xd7f85900,0x798d2d5a,0x4787d38c}},	//   pèci, _бус_, ljaw, _сымб, 
   {{0xfe09001b,0x5695286c,0xaadb00a5,0x39540183}},	//   _mắc_, _тавт, _मुमक, _éasí_, 
   {{0x798dd38d,0xfe0900e7,0x349589a4,0x2006d38e}},	//   njaw, _lắc_, _кабр, _buoi_, 
   {{0x78ad0237,0x200600e7,0xb33c01f2,0x6727008a}},	//   nzav, _cuoi_, _ilħn, _kejj, 
   {{0x69c4d38f,0x81bc002a,0x442fd390,0x20060023}},	//   znie, _svēt, msg_, _duoi_, 
   {{0xdee5d391,0xf1b94e52,0x6727003d,0x7c3d6bf8}},	//   рони, piš_, _mejj, ersr, 
   {{0x660702fe,0x38790228,0x81bc01dd,0x9f5c05d5}},	//   _mujk, _orsr_, _dvēs, _livè_, 
   {{0x69d60518,0xef0e609a,0x2d920cd7,0xfe09001b}},	//   voye, _мм_, _voye_, _bắc_, 
   {{0x69c4006a,0x78add392,0xb92b00e7,0x0cc60035}},	//   wnie, dzav, _thuỷ_, _लखीम, 
   {{0x69c4d393,0x69d6d394,0x394b0226,0xc9b61571}},	//   tnie, toye, _bccs_, асањ, 
   {{0x7c2f7b58,0x798d00e2,0x386b0226,0x2d80d395}},	//   bscr, gjaw, _bscr_, _unie_, 
  
   {{0x69c4d396,0x316f016a,0x7d040199,0xe8fa81ed}},	// [e000] rnie, _magz_, _igis, тла_, 
   {{0x69c4002a,0x998d0688,0x61e4003d,0x7c24044d}},	//   snie, češ_, ċili, _iwir, 
   {{0x67270405,0x69c4d397,0x443d0035,0x9f5c0237}},	//   _dejj, pnie, erw_, _divè_, 
   {{0x1e560137,0x7c240199,0x3ce0011c,0x78ad01ff}},	//   ישער_, _kwir, _kyiv_, bzav, 
   {{0x7ddd687a,0x9f4f04b3,0x99980009,0x6fdd03dd}},	//   mést, _jugó_, strų_, lècu, 
   {{0xd25a1297,0x7c2411b2,0x672700a4,0x6f030144}},	//   вци_, _mwir, _gejj, _ngnc, 
   {{0x20060141,0xfe670e61,0x27ff00fd,0xf1a671bb}},	//   _suoi_, _بد_, _èuna_, ирин, 
   {{0x2006048a,0xa2da02f8,0x7c2f24bc,0x7d0400c5}},	//   _puoi_, _पुण्, yscr, _ngis, 
   {{0x2006026d,0x64a3d398,0xb38614af,0x67270539}},	//   _quoi_, _дата, _клал, _yejj, 
   {{0x20060141,0x7d04d399,0x3ce90097,0x441b0147}},	//   _vuoi_, _agis, _rzav_, _סובס, 
   {{0x442401a0,0x7c24d39a,0x78add39b,0x212644e1}},	//   _hwm_, _awir, zzav, _teoh_, 
   {{0x2006d39c,0x4424006f,0xfe090029,0x7c2fd39d}},	//   _tuoi_, _kwm_, _sắc_, tscr, 
   {{0xa2da12e3,0x6ce7004e,0x9ccb001c,0x98a20118}},	//   _पुत्, ріне, тына_, _bekč_, 
   {{0x09b102f8,0x69c8026d,0x7c2f0038,0x53d60262}},	//   ीच्य, éden, rscr, धविश, 
   {{0x442401c1,0xff1700a7,0x7ddd0042,0x2b5a0237}},	//   _lwm_, _דקות_, fést, _dbpc_, 
   {{0x4efb00a7,0x78ad022c,0x9f4f0126,0xae0b00b0}},	//   _בלוג, tzav, _fugó_, _संतन_, 
   {{0x798d3976,0x7c240156,0xfe09001b,0x225e016a}},	// [e010] rjaw, _gwir, _tắc_, _lptk_, 
   {{0x78ad04d1,0x7c223ee9,0x7dc80241,0x00000000}},	//   rzav, _çora, hısl, --, 
   {{0x41d6000f,0x17f80038,0xb5220466,0x7bc70ab4}},	//   डकास, شركة_, मरूप_, mnju, 
   {{0xeef7042c,0x7bc70352,0x3cee00c2,0x6600039f}},	//   במבר_, lnju, _घरमे_, _cimk, 
   {{0x4424d39e,0x6727d39f,0x3ce0006d,0x850a004e}},	//   _cwm_, _tejj, _xyiv_, удің_, 
   {{0xfc3f0084,0x9cd800a7,0x3949d3a0,0xa3493192}},	//   irí_, בודה_, lgas_, узка_, 
   {{0x356bd3a1,0x5275d3a2,0x386903c6,0x92640038}},	//   _иран_, сулу, lwar_, قديم, 
   {{0x39496e63,0xdb1c078a,0x44240201,0xe7eb093a}},	//   ngas_, girê, _fwm_, _जीता_, 
   {{0xeae400c9,0x3949d3a3,0x4424d3a4,0x00000000}},	//   _गर्त_, igas_, _gwm_, --, 
   {{0x6d4d0082,0xf8b200d1,0xfc3f00f6,0x88b40033}},	//   _acaa, פשי_, drí_, _ঝুঁক, 
   {{0x7c24271e,0x9f4700d3,0x59c752c2,0x4424023b}},	//   _swir, _sinó_, रचार, _zwm_, 
   {{0xcb0900a7,0x4424023b,0x6d4d052b,0xea000210}},	//   _טל_, _ywm_, _ccaa, _khất_, 
   {{0x442401c1,0x38690218,0xfc3f022c,0x9f4703a0}},	//   _xwm_, jwar_, grí_, _dinò_, 
   {{0x3869d3a5,0x3cdc00bd,0x7bc70a1a,0xdb1c0034}},	//   dwar_, _गुणे_, gnju, mirë, 
   {{0x4ad204d7,0x68e306d0,0x3a99004f,0x394908a3}},	//   _दुखव, əndi, аттю_, fgas_, 
   {{0x0906d3a6,0x3949d3a7,0x7c240610,0x7c3b00ef}},	//   спан, ggas_, _twir, šura, 
   {{0xea0000f7,0xa3d71574,0xeb9a8fc2,0x249d006d}},	// [e020] _nhất_, सवा_, _бип_, jywm_, 
   {{0x6600d3a8,0x69ddd3a9,0x6609015e,0xe8f7585e}},	//   _simk, _ekse, _čekr, слу_, 
   {{0x7529d3aa,0x4424d3ab,0x7ddd0151,0xdb1c021e}},	//   _beez, _swm_, céss, hirë, 
   {{0x4424023b,0x998600eb,0x7ddd010e,0x00000000}},	//   _pwm_, _الحو, lésr, --, 
   {{0xea000029,0x7529d3ac,0x4424011c,0x00000000}},	//   _chất_, _deez, _qwm_, --, 
   {{0x4424006f,0x29de00f8,0xd5b20499,0x69c10212}},	//   _vwm_, rïau_, _کفر_, élev, 
   {{0x29de00f8,0x752901b8,0xdb15019c,0x6600d3ad}},	//   sïau_, _feez, lizã, _timk, 
   {{0x4424d3ae,0x30146be3,0x64a6d3af,0xdb1c0034}},	//   _twm_, одир, _лаба, firë, 
   {{0x4f2a08af,0x7ddd010e,0xd0070165,0x0133007a}},	//   лінг_, zéss, бење_, سعيد, 
   {{0xc3220086,0x752902b0,0xa3e4009a,0x9f4700f6}},	//   _নাকি_, _zeez, नतळ_, _sinò_, 
   {{0x8c0000cc,0x11d62b68,0x39490028,0xb7db0147}},	//   ্ঠান_, _людя, ygas_, רקיי, 
   {{0x69c80019,0xc69300a7,0xfc3f0187,0x7bde02a5}},	//   édel, לאת_, trí_, _akpu, 
   {{0x38690216,0x9f3444bd,0x00000000,0x00000000}},	//   xwar_, _делі, --, --, 
   {{0x7ddd010e,0x00000000,0x00000000,0x00000000}},	//   téss, --, --, --, 
   {{0x0f570a33,0x3949105b,0xfe09001b,0x7bc700ca}},	//   _היום_, tgas_, _hắn_, rnju, 
   {{0x3949012d,0x7bc70121,0xdd2100d8,0x00000000}},	//   ugas_, snju, lůžk, --, 
   {{0xa2da09d3,0x23ab055f,0x75290065,0xa7b900f0}},	// [e030] _पुस्, _høje_, _reez, алау_, 
   {{0x3869d3b0,0x3949d3b1,0xfe0900e7,0x7529d3b2}},	//   rwar_, sgas_, _mắn_, _seez, 
   {{0x46d90035,0x386948c8,0x6b85107c,0x1959022c}},	//   _बुशह, swar_, _inhg, _каны_, 
   {{0xf8b90f6b,0x69dd00b0,0xea000108,0x78bb0028}},	//   _көз_, _ukse, _phất_, _žuvu, 
   {{0x27ff01d8,0x5fc80484,0x63ba01ff,0xfe090108}},	//   _èuno_, िचाल, _bmtn, _nắn_, 
   {{0xe299373a,0x80dc000f,0x00000000,0x00000000}},	//   иал_, _पड़े, --, --, 
   {{0x25600237,0xa18900c8,0x23ab0566,0x00000000}},	//   _bčlč_, ибка_, _nøje_, --, 
   {{0xea000029,0xfe09001b,0xdb1c024a,0x7ddd010e}},	//   _thất_, _bắn_, tirë, zésr, 
   {{0xaadb0d2e,0xfe0900e7,0x1fa90176,0xae031a4e}},	//   _मुसक, _cắn_, икии_, _रंजन_, 
   {{0x53343173,0xa3e405ff,0x23ab0566,0x00000000}},	//   _неут, नतः_, _bøje_, --, 
   {{0x02a7c2bc,0xdb1c024a,0x8d663623,0xb2751a1b}},	//   _урам, sirë, овне, _флеш, 
   {{0x82d600c7,0x2367008b,0x7d090009,0x23600097}},	//   _וועג_, lenj_, žesn, đije_, 
   {{0x22470019,0xfe09001b,0x399c00bc,0x7ddd010e}},	//   lunk_, _gắn_, _míst_, tésr, 
   {{0xbea5199a,0x98a2002a,0xb4fa008d,0xe9df0032}},	//   _малк, _nekā_, יפרי, _akú_, 
   {{0x6996434a,0x2247039f,0x49964018,0x00000000}},	//   орах, nunk_, ошат, --, 
   {{0x62870107,0xdce4090e,0x7c22021e,0x00000000}},	//   _àjou, _naić, _çoro, --, 
   {{0xe9d70fb6,0x48e3b49d,0xfe0900e7,0x23670121}},	// [e040] іку_, дотв, _xắn_, kenj_, 
   {{0x9b46010e,0x23676a57,0x7ddd0212,0xfbdf0ff2}},	//   _بندو, jenj_, lésp, stêr_, 
   {{0x7bdcd3b3,0xa6ca00eb,0x2247d3b4,0x7dd6010e}},	//   moru, جوال_, junk_, dász, 
   {{0xa2da000c,0x2247010e,0xae5a0070,0x69c1010e}},	//   _पुष्, dunk_, יכער, élet, 
   {{0xdb15107b,0xb87b0019,0x7986d3b5,0x938a6949}},	//   lizá, _szív, _inkw, иска_, 
   {{0x7bdc6341,0xfe0900e7,0x7a150035,0x7dd6010e}},	//   noru, _rắn_, _wąte, gász, 
   {{0xdb153353,0xe5a66bd0,0xa2da0790,0x2247010e}},	//   nizá, _диви, _पुश्, gunk_, 
   {{0xdb0e009e,0xf1260c8b,0x00000000,0x00000000}},	//   tibû, цько, --, --, 
   {{0x75220f00,0xa2da1276,0x54ee0035,0xd5b9012d}},	//   mboz, _पुर्, _जरिए_, _усё_, 
   {{0xdb0e010c,0x6d40003e,0xfe090108,0x7bdc99c1}},	//   ribû, óman, _vắn_, joru, 
   {{0x798602a5,0xdb1c0574,0xa3d70110,0x00000000}},	//   _onkw, ciré, सवर_, --, 
   {{0xdced044e,0xd83f014b,0xfe090108,0x00000000}},	//   _snađ, íčku_, _tắn_, --, 
   {{0xa2be87d1,0x00000000,0x00000000,0x00000000}},	//   _वेत्, --, --, --, 
   {{0xbebc002a,0x7bdc01f2,0x23bc176c,0x79860f32}},	//   rbīb, goru, ्चिद, _ankw, 
   {{0xda78d3b6,0x64420d44,0x7e2a004f,0x7d160090}},	//   оят_, hroi, _тіла_, _ffys, 
   {{0x6442d3b7,0x7ddd0126,0x48151e38,0x00000000}},	//   kroi, césp, змас, --, 
   {{0x2247010e,0xdb1c009e,0x7dd6039f,0x7bdcd3b8}},	// [e050] zunk_, mirî, yász, boru, 
   {{0x5ba715f5,0x7bdcd3b9,0x81c20086,0x7986d3ba}},	//   _фриз, coru, ৃতি_, _enkw, 
   {{0x368b040c,0xa2da00e6,0x23670352,0x69c1010e}},	//   шсан_, _पुल्, venj_, éles, 
   {{0x671b1567,0x48c90086,0x64420107,0x9f47007a}},	//   _प्रक_, _শরীর, froi, _mhná_, 
   {{0x6442d3bb,0x399c003e,0xd8382a2f,0x638550ef}},	//   groi, _víst_, _мэр_, згла, 
   {{0x22470019,0x78fa00d1,0xdb1c0212,0x8c1c027a}},	//   tunk_, _לפרו, tiré, סווי, 
   {{0x3f89001b,0xdb1c010c,0xe299d3bc,0x00000000}},	//   _đau_, kirî, сай_, --, 
   {{0x7bdcd3bd,0x9f5cd3be,0xdb1c010c,0x2247010e}},	//   zoru, _diví_, jirî, runk_, 
   {{0x7bdc0792,0xdb0ed3bf,0x201901ee,0x6442d3c0}},	//   yoru, ribú, ësi_, croi, 
   {{0x2247039f,0xdb1c0151,0xddc9020b,0x00000000}},	//   punk_, piré, ludň, --, 
   {{0x7bdc0474,0xdb1c0218,0x7c360028,0x00000000}},	//   voru, firî, _svyr, --, 
   {{0xdb1c010c,0x00000000,0x00000000,0x00000000}},	//   girî, --, --, --, 
   {{0x7bdc0012,0x00000000,0x00000000,0x00000000}},	//   toru, --, --, --, 
   {{0xdb15d3c1,0x0fc4004e,0x96bd017d,0xe1f90009}},	//   tizá, _оқып_, ्पाउ, lmų_, 
   {{0x753b02f5,0x6da64885,0x7bdcd3c2,0xdee2d3c3}},	//   _oduz, _ника, roru, _поши, 
   {{0x7d76024f,0x7bdc00d9,0xacbb010c,0x753b007c}},	//   _رابط, soru, mbûn, _nduz, 
   {{0x661b0bad,0xfe090023,0xacbb009e,0xf8c64437}},	// [e060] _čuka, _mắm_, lbûn, लपेप, 
   {{0xfe090029,0x46f60d38,0x753b02be,0x00000000}},	//   _lắm_, пчет, _aduz, --, 
   {{0xfe050264,0xdd8f00d7,0xacbb0218,0x8b9b0486}},	//   _üçün_, _شوی_, nbûn, _הבית, 
   {{0xfe0900e7,0x80dc009a,0xb33c01f2,0x00000000}},	//   _nắm_, _पडले, _ilħi, --, 
   {{0x397b00d1,0xacbb009e,0x75220104,0x320c00da}},	//   _הטכנ, hbûn, rboz, _sudy_, 
   {{0x64427716,0xacbb010c,0x320c00de,0x00000000}},	//   rroi, kbûn, _pudy_, --, 
   {{0x27f700bc,0xacbb0216,0x3f98003e,0x48f60249}},	//   řené_, jbûn, örum_, ्शको_, 
   {{0xfe0900e7,0x9f5c0369,0x7ae10380,0x3e7a01dd}},	//   _cắm_, _viví_, ülti, _rīt_, 
   {{0xb87b0019,0x660e10d4,0x80a60035,0xdb1c009e}},	//   _nyíl, _hubk, गनें, virî, 
   {{0x995c02d9,0xdb1c010c,0x660ed3c4,0x00000000}},	//   _níž_, wirî, _kubk, --, 
   {{0xdb1c078a,0x1df90080,0x68e6040b,0x00000000}},	//   tirî, жены_, _lykd, --, 
   {{0x7ae500c8,0xfe090108,0x60cd0121,0x661c0104}},	//   _ryht, _gắm_, _žame, _mtrk, 
   {{0x61e20405,0xa2c4176c,0x673c00ca,0xf1b300d1}},	//   _ikol, िपक्, _odrj, _אסף_, 
   {{0x9f5c02be,0x25a60574,0x53dc0249,0x661c0243}},	//   _divã_, hkol_, मकिश, _otrk, 
   {{0x1f5b00d1,0xaf5b00d1,0x61e2c9a9,0x37c40033}},	//   _הדוא, _הכוכ, _kkol, ্তার, 
   {{0xf773086b,0x61e20405,0xfe7600b9,0x19940093}},	//   کار_, _jkol, _дүү_, нася, 
   {{0xa3dc00a2,0x661c00ca,0xa2be0f64,0x61e2095a}},	// [e070] ठवा_, _atrk, _वेस्, _mkol, 
   {{0x61e2007b,0x501b2737,0x6d5dd3c5,0x00000000}},	//   _lkol, צובו, lfsa, --, 
   {{0x36340038,0xf7703dd7,0xe1f90009,0xb904055d}},	//   فرنس, داق_, ymų_, _पु_, 
   {{0x6d4fd3c6,0x61e20547,0x656001be,0xa5f85a2e}},	//   ngca, _nkol, _cbmh, пеху_, 
   {{0x69cd00d2,0x7643010e,0x656000a1,0xacbb009e}},	//   mnae, ányb, _dbmh, zbûn, 
   {{0xfe09001b,0x61e2b68e,0xa2e5d3c7,0xacbb0216}},	//   _sắm_, _akol, молд, ybûn, 
   {{0x61e2008a,0xe3b00038,0x660e0104,0x00000000}},	//   _bkol, درن_, _gubk, --, 
   {{0x69cdd3c8,0x23606797,0x6d5d01c8,0xacbb010c}},	//   nnae, đija_, jfsa, vbûn, 
   {{0xbf050367,0x50b50fc8,0xe1f90009,0xbcfb5665}},	//   रश्न_, ьску, rmų_, nféd, 
   {{0xee39d3c9,0xdb1e026a,0x644b3767,0x2d89254d}},	//   оно_, _empê, mugi, _anae_, 
   {{0x644bd3ca,0x9d46d3cb,0xdb0880cd,0xfe09001b}},	//   lugi, менд, _élém, _tắm_, 
   {{0xacbb078a,0x2d89033c,0x9f452195,0x656b02a3}},	//   rbûn, _cnae_, illé_, negh, 
   {{0x61fb0547,0x69cd0df4,0x64592e11,0x644bd3cc}},	//   mmul, dnae, ntwi, nugi, 
   {{0x61e9d3cd,0x61fb00d9,0x68e60326,0x6ed80790}},	//   llel, lmul, _rykd, _नुकु, 
   {{0xea000029,0x09e60593,0x61e92b38,0x4adb0262}},	//   _chết_, довн, olel, _मुआव, 
   {{0x2007018e,0xdb1c001d,0x644b9e31,0xfe090108}},	//   _hini_, mirí, kugi, _lắk_, 
   {{0x2007d3ce,0x09e30965,0xdb1c0126,0xa3dd031e}},	// [e080] _kini_, тотн, lirí, णका_, 
   {{0x6281d3cf,0x61e90194,0x200f581d,0x68e6012d}},	//   _orlo, hlel, _mugi_, _vykd, 
   {{0x200f3b96,0x463a16d0,0xdb1c001d,0x20077b8c}},	//   _lugi_, ючая_, nirí, _mini_, 
   {{0x644bd3d0,0xea000029,0x29d7003d,0x3ce300c9}},	//   fugi, _đặc_, għad_, _टुडे_, 
   {{0x6281d3d1,0x61e900da,0x644bcc3c,0xb3a9009a}},	//   _arlo, dlel, gugi, कसंख, 
   {{0x61e220da,0x2007d3d2,0x61fbd3d3,0xdce60098}},	//   _skol, _nini_, emul, jekč, 
   {{0x661c027c,0x644b0009,0x7996006f,0xa2be0367}},	//   _utrk, augi, ojyw, _वेश्, 
   {{0x30a605af,0x61fb0c3d,0xdb1c61c2,0x22400228}},	//   дров, gmul, dirí, čik_, 
   {{0x2007003d,0xc05a00dd,0x212f016a,0x6281d3d4}},	//   _bini_, цій_, _degh_, _erlo, 
   {{0x20070519,0x200fd3d5,0xb4aa0a44,0x61e20405}},	//   _cini_, _dugi_, खनी_, _wkol, 
   {{0x2007d3d6,0xdb1c240a,0xdb1e01e5,0x200f00b4}},	//   _dini_, girí, _impè, _eugi_, 
   {{0x61e2d3d7,0x2007d3d8,0x61e9d3d9,0x200fd3da}},	//   _ukol, _eini_, clel, _fugi_, 
   {{0x2007d3db,0xd90f00d4,0xd3780082,0x6ce4004f}},	//   _fini_, یید_, _kać_, віре, 
   {{0x2007d3dc,0x09c700a2,0x61e06834,0xdb1c033c}},	//   _gini_, रच्य, loml, birí, 
   {{0x69cd04d1,0xb9850a27,0xdb1c033c,0x212f0175}},	//   tnae, нтақ, cirí, _yegh_, 
   {{0x2007d3dd,0xdb0700c8,0x644b0065,0xb33c01f2}},	//   _zini_, kijö, yugi, _ilħu, 
   {{0x2007d3de,0x656b00d9,0x7d0d8d0c,0x3f9cd3df}},	// [e090] _yini_, vegh, _igas, _kovu_, 
   {{0x69cd05ae,0x644b024d,0xd3780308,0x7c2dd3e0}},	//   snae, vugi, _nać_, _iwar, 
   {{0x61e00801,0x20ca00a2,0x7d0d07d7,0x656b008a}},	//   koml, ापुढ, _kgas, tegh, 
   {{0x3f9c2178,0xd6d8d3e1,0x644bd3e2,0x91fc01dd}},	//   _lovu_, фту_, tugi, _spān, 
   {{0x656bd3e3,0x7d0d012b,0x61e0add5,0xe3655022}},	//   regh, _mgas, doml, екли, 
   {{0x3f9c02f5,0xe667307f,0x7c2d527f,0x6281192d}},	//   _novu_, _отбо, _mwar, _prlo, 
   {{0x61e90149,0x61fbb889,0x200702f1,0xc2e70033}},	//   tlel, tmul, _rini_, গেনি_, 
   {{0x200711f7,0x7d0d6de0,0x7c2d0d07,0xdb1e02df}},	//   _sini_, _ngas, _owar, _empè, 
   {{0x2007d3e4,0x61e9d3e5,0x3ce90201,0x799d084c}},	//   _pini_, rlel, _nyav_, _mosw, 
   {{0x442dd3e6,0x7d0dd3e7,0x61fb9065,0x61e935ee}},	//   _iwe_, _agas, smul, slel, 
   {{0x2007d3e8,0x6609d3e9,0xdca300cf,0x3f9cd3ea}},	//   _vini_, _kiek, қари, _dovu_, 
   {{0x20070237,0x442dd3eb,0x8d760740,0xdb1c0634}},	//   _wini_, _kwe_, راجا, rirí, 
   {{0x200737a0,0x442d0cd7,0x5e5600d4,0x6609d3ec}},	//   _tini_, _jwe_, ولیس_, _miek, 
   {{0x6609d3ed,0x7c2d89c2,0x442d38dd,0x7d0d49ee}},	//   _liek, _dwar, _mwe_, _egas, 
   {{0x799dd3ee,0x442d0298,0x69c40380,0x00000000}},	//   _bosw, _lwe_, tiie, --, 
   {{0x6609d3ef,0x3f9c00d2,0x442dd3f0,0xed64014b}},	//   _niek, _zovu_, _owe_, _drží_, 
   {{0x7c2d9ee8,0x18678509,0x6d56024d,0x442dd3f1}},	// [e0a0] _gwar, нати_, _icya, _nwe_, 
   {{0x5c5b00fe,0xf99f011c,0x660900b4,0xdb0702c9}},	//   _צדיק, _hièl_, _aiek, dhjæ, 
   {{0x7c2d43e3,0xa9a603dc,0x34a800c9,0x6609d3f2}},	//   _zwar, _зинд, कन्द, _biek, 
   {{0x442d4059,0x660900ab,0x14c800d4,0xa2da031e}},	//   _bwe_, _ciek, وهای_, _पुग्, 
   {{0xfb0b0a9f,0xb4aa006a,0x7c2d078a,0x660902f6}},	//   _óëñ_, खने_, _xwar, _diek, 
   {{0x442d158b,0xd250144f,0x00000000,0x00000000}},	//   _dwe_, لنت_, --, --, 
   {{0x442dd3f3,0x9294012d,0x387202bf,0x6609ca19}},	//   _ewe_, тайц, lwyr_, _fiek, 
   {{0xd13000eb,0x442d019b,0x395200f8,0x3f9c016c}},	//   جمة_, _fwe_, ngys_, _sovu_, 
   {{0x442dd3f4,0xdb1ed3f5,0x38720156,0x6b9e0876}},	//   _gwe_, _empé, nwyr_, _oopg, 
   {{0x66090b32,0x7c2d0199,0x6d56016c,0x7413070f}},	//   _ziek, _rwar, _acya, _صوما, 
   {{0x7c2dd3f6,0x38720156,0x301500d3,0x63a50502}},	//   _swar, hwyr_, ндөр, öhne, 
   {{0x717300d4,0xdd120540,0xa1ba07cf,0x7dc800ad}},	//   _مهما, rüşm, _عطاء_, xıst, 
   {{0x442d1816,0x69c10107,0x8fa62f3f,0x7d0d0604}},	//   _xwe_, èlem, _паде, _vgas, 
   {{0x387202bf,0x3f9c6089,0xf4120033,0xd007002e}},	//   dwyr_, _uovu_, _হবার_, _зече_, 
   {{0x799d4cd4,0x19ab09d9,0x2bd2009a,0xf99f0118}},	//   _posw, птап_, _सदरा, _fièl_, 
   {{0x7d0d45e0,0x7c2dd3f7,0x799d084c,0x6e3a4dd1}},	//   _ugas, _twar, _qosw, mstb, 
   {{0x7ddd0019,0x7c2d1ee0,0x38720156,0xad9b1771}},	// [e0b0] kész, _uwar, gwyr_, rmúd, 
   {{0x6609d3f8,0x442dd3f9,0x2cb3008f,0x799d019b}},	//   _siek, _rwe_, ındı_, _wosw, 
   {{0x6609d38f,0x7bc7d3fa,0x6e3a5329,0x799d02a5}},	//   _piek, miju, nstb, _tosw, 
   {{0x7bc7d3fb,0xdb1c397a,0x27e10b7f,0x442d0257}},	//   liju, mirá, sohn_, _pwe_, 
   {{0x7524001d,0x00000000,0x00000000,0x00000000}},	//   ñiza, --, --, --, 
   {{0x7bc7d3fc,0x7ddd0019,0x64a2d3fd,0x660900ab}},	//   niju, gész, раша, _wiek, 
   {{0x2256182b,0x248400e2,0x6609d3fe,0xdb1c3fa2}},	//   نلود_, _ermm_, _tiek, nirá, 
   {{0xceb800ab,0x442d0199,0x201902aa,0x00000000}},	//   dzę_, _twe_, ísio_, --, 
   {{0x442dd3ff,0x7bc7d400,0xdb0702ae,0xa4d4004f}},	//   _uwe_, kiju, lhjä, _боті, 
   {{0x657bd401,0xa28300d4,0x7bc72d2a,0x645bac84}},	//   _hauh, _میتو, jiju, _iqui, 
   {{0x273c031e,0x657bd402,0x7bc7d403,0x22640098}},	//   lání_, _kauh, diju, čská_, 
   {{0xdb1c0634,0x657b99ac,0xf99f1f2d,0x30850038}},	//   dirá, _jauh, _noè_, _للصف, 
   {{0x853a00a7,0x273c031e,0x657b0102,0xfbdf0216}},	//   וגרי, nání_, _mauh, rrên_, 
   {{0x8fa20b14,0x2d99024a,0x657bd404,0x7bc7d405}},	//   _ваше, ajse_, _lauh, giju, 
   {{0xdb1cd406,0x273c00bc,0xceb80035,0x75f85d10}},	//   girá, hání_, czę_, líze, 
   {{0x273c031e,0x66e5034d,0x9f45007a,0xdb0702ae}},	//   kání_, _कड़क_, illí_, dhjä, 
   {{0xed58032e,0x261703b7,0x2d5a02ee,0x6b9e02f1}},	// [e0c0] _жоқ_, _aço_, _všeč_, _topg, 
   {{0x273c000d,0xdb1c0503,0x387202bf,0xd9f4009a}},	//   dání_, birá, rwyr_, _आठवत_, 
   {{0x1dc609e2,0x7ddd0019,0xdb1c033c,0x38720156}},	//   _लगात, vész, cirá, swyr_, 
   {{0xe9a61211,0xa9a64127,0x2d5a0144,0x00000000}},	//   _рамп, _римд, _ušeč_, --, 
   {{0x779100d6,0x00000000,0x00000000,0x00000000}},	//   _گیلا, --, --, --, 
   {{0x7c220241,0xe2f824e8,0x00000000,0x00000000}},	//   _çoru, нелі_, --, --, 
   {{0x645b3727,0x877b0070,0x7ddd010e,0x13390019}},	//   _equi, _קאלי, rész, رتوں_, 
   {{0x28c73267,0x80e00086,0x167700a7,0x7bc7471b}},	//   _रेडि, _পৃষ্, _בגלל_, ziju, 
   {{0xb0334bb3,0x394200e2,0xb465009c,0x2618109f}},	//   аныш, _mdks_, _مدله, _बंडी_, 
   {{0xaadb0f63,0xdce400d0,0x6e3a02b0,0x9f6a13cc}},	//   _मुझक, _naiđ, tstb, фриз_, 
   {{0xdd9106ab,0x777cd407,0x4426d408,0x03a30886}},	//   مود_, _marx, lpo_, _њихо, 
   {{0x2369003a,0x4426d409,0xe0461753,0x50660161}},	//   đaje_, opo_, _анди, _атка, 
   {{0xceb8006a,0x4426d40a,0x5c74d40b,0xba7400d7}},	//   szę_, npo_, алят, یافت, 
   {{0x4426128a,0xdb1cd2d5,0x9f34004e,0xfe6f0116}},	//   ipo_, tirá, _секі, حدی_, 
   {{0xbe8a004e,0x273c00bc,0x7bc7d40c,0xcb3400fd}},	//   _іске_, zání_, riju, ресъ, 
   {{0x1e970056,0x7bc700e4,0xdb1c0634,0x5d552035}},	//   _יכול_, siju, rirá, _скит, 
   {{0x777cd40d,0x7bc7012d,0x657b0088,0x391446e3}},	// [e0d0] _barx, piju, _rauh, рмур, 
   {{0x273c0351,0x76430019,0x2ca40219,0x7d1d010e}},	//   vání_, ányo, ämde_, lcss, 
   {{0x777c0104,0x39580032,0x442621b9,0xdce401f2}},	//   _darx, _šesť_, epo_, _iniġ, 
   {{0x79956a25,0xa439d40e,0xdb070219,0x7d0901dd}},	//   _симф, езду_, rhjä, _tīrī, 
   {{0x75440451,0x44260c36,0x777c0104,0x798f00f8}},	//   рніз, gpo_, _farx, _incw, 
   {{0x245b009e,0x273c00bc,0x60cd00ca,0xfe0a0108}},	//   rêm_, rání_, _žamo, _hắt_, 
   {{0x657bd40f,0x4426d410,0x163416d0,0xdce4008a}},	//   _tauh, apo_, _веся, _mniġ, 
   {{0x387900e2,0x96f800b3,0x273c00bc,0x00000000}},	//   _kssr_, _рест_, pání_, --, 
   {{0xfe0a0029,0x60090251,0x7bc51a77,0x67170083}},	//   _mắt_, нним_, _omhu, _तलाक_, 
   {{0x777c0161,0x53b700a2,0x443f9ec7,0x2377010e}},	//   _xarx, _अतिश, _ivu_, _جارح, 
   {{0xada600cf,0xed5a03dc,0x6da6d411,0xdb1c008c}},	//   ганл, нон_, гина, gnrý, 
   {{0x644b0036,0x7bc5d412,0x63a1d413,0x40352ec7}},	//   orgi, _amhu, _holn, _бедс, 
   {{0x443d02a2,0x63a1d414,0xa0693ae5,0x628e0151}},	//   nsw_, _koln, _чала_, _àbor, 
   {{0x317f151f,0xc2f60033,0x63a10574,0x69c102e6}},	//   lduz_, _চলতি_, _joln, रोसी, 
   {{0xd946d415,0xfe0a0029,0x63a1d416,0x39590226}},	//   леви, _bắt_, _moln, _bcss_, 
   {{0x443f03ef,0xfe0a001b,0x317fd417,0x3959011c}},	//   _ovu_, _cắt_, nduz_, _ccss_, 
   {{0xe9d71186,0x4426d418,0xfe0a0023,0x6d4401ca}},	// [e0e0] укт_, xpo_, _dắt_, _idia, 
   {{0x7c240092,0x6b5632e3,0xe61a602f,0x6615d419}},	//   _itir, _стих, едж_, _buzk, 
   {{0xfaa60e65,0x2b5a0237,0x7d090304,0x98ab0243}},	//   _сано, _icpc_, žest, _vecā_, 
   {{0x35e51afd,0x63a100a1,0x3879011c,0xfe0a0023}},	//   аців, _aoln, _fssr_, _gắt_, 
   {{0x777cd41a,0x03a67037,0x69c6d41b,0x44263fb1}},	//   _tarx, лидо, _imke, upo_, 
   {{0x66e6065b,0x38600218,0x63a1d41c,0x7c240548}},	//   _бога, mtir_, _coln, _mtir, 
   {{0x63a18375,0x27ea0640,0x443f7fc7,0x644b3090}},	//   _doln, _ikbn_, _evu_, argi, 
   {{0x4426048a,0x6d44d41d,0x7c240104,0xfe0a0108}},	//   ppo_, _ndia, _otir, _xắt_, 
   {{0x63a12cb7,0x7c2402b8,0x661b0097,0x6615d41e}},	//   _foln, _ntir, _čuki, _zuzk, 
   {{0x4424d41f,0x6d44c5fc,0x66020104,0x63a1d420}},	//   _itm_, _adia, lmok, _goln, 
   {{0x7c24d421,0x9f67005e,0x38604c60,0xb2264867}},	//   _atir, урыз_, htir_, _смел, 
   {{0xac199c83,0x3860d422,0x7a1500ab,0x2b5a00b9}},	//   кому_, ktir_, _wątk, _acpc_, 
   {{0x4424d423,0xdb1e04ef,0x62880098,0xfee300a3}},	//   _jtm_, _empí, _hrdo, _қўшм, 
   {{0xfe0a001b,0x69c80107,0x46b4009a,0x69c6095a}},	//   _sắt_, èden, ंनाह, _amke, 
   {{0x7c240095,0x66022fc1,0x9f45009e,0x99675ac4}},	//   _etir, kmok, kolê_, лтал, 
   {{0x3860d424,0x4424d425,0xbebc0243,0x6d5a039f}},	//   ftir_, _otm_, ecīg, őtar, 
   {{0x98170133,0x2a7a0082,0xfe0a0023,0x200e02a5}},	// [e0f0] ابرا, _espb_, _vắt_, _kifi_, 
   {{0xd6db11c3,0x6288d426,0xfc3f0038,0x5c74d427}},	//   нте_, _ordo, msí_, _ульт, 
   {{0x443f04d1,0xd6db0aca,0xfe0a001b,0x38600640}},	//   _svu_, хта_, _tắt_, atir_, 
   {{0x3860010c,0x00000000,0x00000000,0x00000000}},	//   btir_, --, --, --, 
   {{0x63a15d2d,0x38793712,0x6288d428,0x228301f0}},	//   _poln, _ussr_, _ardo, _sık_, 
   {{0x62881993,0x443fd429,0x8c1c0070,0xfc3f463c}},	//   _brdo, _vvu_, עווי, isí_, 
   {{0xe2996fb9,0x63a16b4c,0x5b580056,0xea0000e7}},	//   тай_, _voln, אשון_, _chặt_, 
   {{0x63a100ab,0x6283c75b,0x48fc031e,0xe04524e1}},	//   _woln, rvno, लेको_, ании, 
   {{0x6288d42a,0x4f950504,0x65690027,0x33950c30}},	//   _erdo, арну, _ibeh, _پلاز, 
   {{0x9e6500e4,0xb06800eb,0xae19075a,0x7c2400a4}},	//   авод, اصيل_, _नंदन_, _rtir, 
   {{0xf7720052,0x75f80496,0x28c74493,0x429902b4}},	//   חקי_, líza, _रेसि, _جناح_, 
   {{0x44247255,0x386001d5,0x261800aa,0x2b5a02be}},	//   _ytm_, ytir_, _बंसी_, _scpc_, 
   {{0xd1b800d4,0x75f80042,0x55760070,0x6569007c}},	//   _حالا_, níza, בערן_, _mbeh, 
   {{0xbcfb008c,0x61e44356,0x7c240604,0x00000000}},	//   mfél, čile, _vtir, --, 
   {{0x6569d42b,0xdb250019,0xdb1c01a4,0x00000000}},	//   _obeh, ásár, virä, --, 
   {{0x3860d42c,0xe9d716d2,0x13d2059e,0xa92622af}},	//   ttir_, акс_, _तद्भ, рдал, 
   {{0xfbdf0c7c,0xa3e5007e,0xbb461e74,0x9f470098}},	// [e100] guês_, नवा_, _кепк, _akné_, 
   {{0x186701a2,0x320f014b,0x65690027,0xf7720038}},	//   рафи_, _ligy_, _abeh, غاء_, 
   {{0x2fc702cd,0xdb1e00b9,0x00000000,0x00000000}},	//   _mmng_, _impà, --, --, 
   {{0x3860d42d,0xb8cc0033,0x2d82059e,0x636600d8}},	//   ptir_, _কই_, ndke_, _oční, 
   {{0x69d6d42e,0x6602ca3d,0x62880242,0x9f45009e}},	//   mnye, rmok, _srdo, rolê_, 
   {{0x051600cc,0x6602d42f,0x2fc70102,0x026a00c8}},	//   ারের_, smok, _nmng_, вший_, 
   {{0xa59600dd,0x69d60010,0x959602a6,0x52b00035}},	//   _кращ, onye, _краљ, जनेस, 
   {{0x236900f1,0x64a60161,0x69d61ac8,0x62880864}},	//   đaja_, _каба, nnye, _vrdo, 
   {{0x442400e2,0x737613f2,0xbcfb35b6,0xe5d914b7}},	//   _utm_, _выех, gfél, _сфрј_, 
   {{0x81460274,0x69d600e2,0x1fa600b3,0x2d92d430}},	//   _چنان, hnye, рриг, _anye_, 
   {{0x2d80042e,0x248601cc,0xc224006b,0x212d0036}},	//   _baie_, lvom_, _اکتو, bbeh_, 
   {{0x200ed431,0x2fc702a2,0xdce60083,0xd0860080}},	//   _wifi_, _emng_, zeką, _выки, 
   {{0xa3ca119f,0x2d800640,0x3a2600ca,0x2d920118}},	//   _लगा_, _daie_, _čopa_, _dnye_, 
   {{0x2d9211b2,0xfd1f01d8,0xfc3fd432,0x2ca402ae}},	//   _enye_, scì_, rsí_, ämda_, 
   {{0xf9c70141,0x19950141,0xfb8400e4,0xb87b010e}},	//   ащан, бавя, цыян, _nyír, 
   {{0x248602f5,0x3915877f,0xdb1e00b9,0x69d6039f}},	//   kvom_, смар, _empà, gnye, 
   {{0xa3d6047b,0x3dc90102,0x57b55d39,0x00000000}},	// [e110] ाचा_, _imaw_, ббат, --, 
   {{0xa7b801bb,0x2d8001f1,0x69d600b9,0xe70b029a}},	//   алуу_, _zaie_, anye, نتان_, 
   {{0x7515057f,0xa8020183,0x00000000,0x00000000}},	//   مواض, íñan, --, --, 
   {{0x2419058b,0xb99500eb,0xdb1e0068,0xbcfb010e}},	//   годы_, _الحب, _impá, yfél, 
   {{0xb8cc00cc,0x2489019c,0x784400d9,0xfbdf02be}},	//   _কে_, íam_, _мэрж, quês_, 
   {{0x75f803da,0xfe0a001b,0xe787cf06,0x69cd0156}},	//   ríza, _lắp_, _тумо, liae, 
   {{0x3875027e,0x0bb800d1,0xdd2c0028,0xb8b50259}},	//   şarı_, שלום_, _lėšo, _төңі, 
   {{0x224900f1,0x69cd02bf,0x656901e8,0xfe0a0023}},	//   čak_, niae, _ubeh, _nắp_, 
   {{0x95c8d433,0x78add434,0x2d80d435,0xf0a600fd}},	//   _тура_, nyav, _raie_, йкъл_, 
   {{0x3fb700cc,0xbcfb008c,0x67f00088,0x2d80d436}},	//   ীক্ষ, rfél, täji, _saie_, 
   {{0xbebc002a,0xdee50f5a,0x2d920065,0xfe0a00e7}},	//   ecīb, сони, _pnye_, _bắp_, 
   {{0xed576493,0xfe0a00e7,0xea0000e7,0x260a009a}},	//   бою_, _cắp_, _đắc_, िषयी_, 
   {{0x3f692a65,0x69cd0156,0x61e90180,0x98a005ae}},	//   _било_, diae, moel, mbić_, 
   {{0x61e9d437,0x09d0009a,0xdbc82d60,0x00000000}},	//   loel, सच्य, рҳод_, --, 
   {{0x2d9200e2,0x2d8000b3,0x24860228,0x69cd15d2}},	//   _tnye_, _taie_, zvom_, fiae, 
   {{0x61e9d438,0x69cdd439,0x2ef80502,0xfe0a0108}},	//   noel, giae, ürfe_, _gắp_, 
   {{0x69d6bb4b,0xb7160038,0x1b470176,0x00000000}},	// [e120] rnye, مباش, шҷӯи_, --, 
   {{0x61e97371,0xe7370259,0x00000000,0x00000000}},	//   hoel, йеу_, --, --, 
   {{0x6b7b0cec,0x7bce01c2,0x61e983b2,0x464a4494}},	//   _גרינ, mibu, koel, узен_, 
   {{0x24860c88,0x61e9d43a,0x84460038,0x7bce305f}},	//   tvom_, joel, مختل, libu, 
   {{0x61e917ab,0x53c80176,0x78ad016c,0x7bce018e}},	//   doel, аҳам_, cyav, oibu, 
   {{0xf99f0cd7,0x9f58027e,0x75f8020b,0x7984009e}},	//   _chèf_, örü_, cízn, ldiw, 
   {{0xb286d43b,0xe7dd00a2,0x7d160156,0x9c870228}},	//   сылк, _मदतप, _ogys, _kočí, 
   {{0x75d62751,0x61e90a9f,0x75f800da,0xdb050106}},	//   _ايرا, goel, mízo, _bohê, 
   {{0xf48409e8,0x3ce0006d,0x7bced43c,0x232a0176}},	//   _بازی, _nxiv_, kibu, _бози_, 
   {{0x3104034d,0xfe0a001b,0x673e010e,0x487b0070}},	//   शेषः_, _sắp_, napj, נטיס, 
   {{0xbcfb014b,0x5186d43d,0xe2160b7e,0xa3e51c54}},	//   rfém, _гула, _طباع, नवर_, 
   {{0x8cb5700a,0x64420088,0x9f4500c8,0x7522d43e}},	//   उनलो, osoi, ellä_, ncoz, 
   {{0xac1988f1,0x64423217,0x9ccb004e,0x6ce746d9}},	//   рогу_, nsoi, уына_, сіне, 
   {{0x7d16006b,0x69da026a,0x7bce052b,0x69cd0156}},	//   _egys, éten, gibu, wiae, 
   {{0x7f3b0138,0x37ab004e,0x75f80228,0x5e2609ed}},	//   _געוו, қтан_, vízn, _اعتق, 
   {{0x3835013d,0x23ab055f,0x78add43f,0x798406e4}},	//   жнар, _højt_, tyav, gdiw, 
   {{0xdb0501ee,0x69cd02f0,0xa8140f4e,0x7bced440}},	// [e130] _kohë, riae, здуш, bibu, 
   {{0x161d07d5,0x78ad052b,0x61e932e2,0x69cdd439}},	//   _बंदर_, ryav, zoel, siae, 
   {{0x163b0084,0xb8f03263,0xa635005e,0x78ad47de}},	//   اسطة_, _वे_, інді, syav, 
   {{0x7afad441,0xf99f0118,0x785901ff,0x00000000}},	//   ütte, _shèf_, _кимё_, --, 
   {{0x61e90af8,0x9f45026a,0x344b0e4e,0x81be0033}},	//   voel, solé_, учен_, ঁচা_, 
   {{0x337203dc,0x75220036,0x00000000,0x00000000}},	//   мҳур, acoz, --, --, 
   {{0x61e9d442,0x00000000,0x00000000,0x00000000}},	//   toel, --, --, --, 
   {{0x7bced443,0x75220036,0x41a93188,0xd9f90083}},	//   zibu, ccoz, рвин_, ंतित_, 
   {{0xe297032e,0x98a0015e,0x9f4500c8,0x61e94207}},	//   рақ_, rbić_, yllä_, roel, 
   {{0x3e7a002a,0x20110019,0xfe4500b9,0x61e40a1a}},	//   _būt_, özi_, оноо, čila, 
   {{0xd9fb00a2,0x753b0b32,0x61e9d444,0xa3d6059e}},	//   ्षात_, _keuz, poel, ाचर_, 
   {{0xed5ad445,0x8c9601fc,0x1d0a24e1,0x7bce02b8}},	//   шом_, оргі, иени_, wibu, 
   {{0x7bced446,0xccfa0769,0x00000000,0x00000000}},	//   tibu, рхні_, --, --, 
   {{0x248d0ab4,0x69dd0372,0x753b0036,0xb33c008a}},	//   _mrem_, _ajse, _leuz, _noħl, 
   {{0x9c873077,0x201f0126,0x3b0a4eb1,0x3e7a0243}},	//   _počí, lqui_, рево_, _gūt_, 
   {{0x3ce00e0c,0x7bced447,0x753bd448,0x75f80228}},	//   _txiv_, sibu, _neuz, vízo, 
   {{0x7bce8f82,0x77ca0afc,0x201f05a4,0x673e2764}},	// [e140] pibu, алаг_, nqui_, tapj, 
   {{0x46f60141,0xdb07003e,0x3f855974,0x213f019c}},	//   очет, skjá, ndlu_, hauh_, 
   {{0xa9a613d5,0x248d023e,0xa96ad449,0x4bc400f0}},	//   _динд, _arem_, _кина_, _дөңг, 
   {{0x213f6c86,0x6442d44a,0x248dd44b,0x25bd0175}},	//   jauh_, tsoi, _brem_, ghwl_, 
   {{0x240a07f9,0x248d020f,0xa3d6b2bb,0xb22604f4}},	//   анди_, _crem_, ाचल_, klæð, 
   {{0x75223224,0xdb05057d,0x248d03c6,0xf4872841}},	//   scoz, _bohè, _drem_, غانی, 
   {{0x6442d44c,0x248d06a0,0x9663d44d,0x3f85bc2f}},	//   ssoi, _erem_, _окре, ddlu_, 
   {{0x39400587,0x248d09a8,0x673cd44e,0x80cb109f}},	//   nais_, _frem_, _herj, _तेहे, 
   {{0x673c1146,0x248d008b,0x28d01503,0x00000000}},	//   _kerj, _grem_, _सेमि, --, 
   {{0x3940d44f,0x661c65b3,0xbfaa00d9,0x673c00b9}},	//   hais_, _kurk, ртие_, _jerj, 
   {{0x3940389a,0x673cd450,0xe81c00b0,0x201f02be}},	//   kais_, _merj, _भूसा_, aqui_, 
   {{0x63a85db6,0x69da006b,0x661c9cb0,0x39402a68}},	//   _hodn, étel, _murk, jais_, 
   {{0x3940d451,0x77770065,0x0ca8d452,0x628a00fb}},	//   dais_, yexx, отри_, lvfo, 
   {{0x673cd453,0x63a80082,0xd00700d9,0x00000000}},	//   _nerj, _jodn, _дече_, --, 
   {{0x63a814bf,0x661cd454,0x394000f8,0xaff90070}},	//   _modn, _nurk, fais_, _פּני, 
   {{0x2d8500e0,0x7994d455,0x63a8024c,0x00000000}},	//   ēles_, мисф, _lodn, --, 
   {{0x673cd456,0x661c0414,0x7e6d0097,0x753b02b0}},	// [e150] _berj, _aurk, _ćapi, _reuz, 
   {{0xf7732045,0x656000eb,0xc72b00dd,0x249d023b}},	//   بار_, _acmh, ріал_, vxwm_, 
   {{0x661c6c4a,0x248d0df4,0x673cd457,0x753b039b}},	//   _curk, _srem_, _derj, _peuz, 
   {{0x7e9b0056,0x3940d458,0xe618004f,0x00000000}},	//   יסבו, cais_, іді_, --, 
   {{0xc8642625,0xdb170183,0xa3d600a2,0x673cd459}},	//   _отри, _alxé, ाचं_, _ferj, 
   {{0x248d00d9,0x661cd45a,0x00000000,0x00000000}},	//   _vrem_, _furk, --, --, 
   {{0x61e402ee,0xf65603dc,0x661cd45b,0x63a8014b}},	//   čiln, _нерӯ, _gurk, _dodn, 
   {{0x248dd45c,0x2055340a,0xdb050107,0x91fc01dd}},	//   _trem_, птор, _cohé, _spār, 
   {{0xdb1e0088,0xb3670141,0xc21b0394,0x661c00d0}},	//   _ympä, _мъжк, _पूरब_, _zurk, 
   {{0xaec50d47,0x3940d45d,0x00c600d3,0x6d5d0382}},	//   збол, zais_, ялык_, egsa, 
   {{0x201f00f6,0x5187d45e,0x3940d45f,0x7645d460}},	//   squi_, _муда, yais_, nshy, 
   {{0x62810c67,0xdb1c00eb,0x2c64d461,0x39400201}},	//   _islo, mhré, töd_, xais_, 
   {{0x3940d462,0x6b850065,0x64594a5e,0x1c4308ab}},	//   vais_, _bahg, nuwi, нням, 
   {{0xe81f0d53,0x2c64197a,0x201d011d,0xab2781d0}},	//   _बढ़ा_, röd_, _iuwi_, зора_, 
   {{0x3940d463,0x3af500c8,0x201d0175,0x8f9a00d1}},	//   tais_, дятс, _huwi_, _ליסי, 
   {{0x673c221e,0x201d09e8,0x6459d464,0x69cc009a}},	//   _serj, _kuwi_, kuwi, _सगळी, 
   {{0x574a0161,0x661cd465,0x291903c6,0x2e2101d5}},	// [e160] йзам_, _surk, _dgsa_, _hóf_, 
   {{0x3940d466,0x661cd467,0x7f410380,0x201d05b3}},	//   sais_, _purk, nalq, _muwi_, 
   {{0x673cd468,0x3940d469,0x6459013c,0xaa8a010e}},	//   _verj, pais_, euwi, _انجم_, 
   {{0x63a802ee,0x271900bc,0x986a00b3,0x7a150083}},	//   _sodn, třní_, _лимб_, _wątr, 
   {{0x673cd46a,0xc953042c,0x645907fc,0x62810354}},	//   _terj, _אמר_, guwi, _aslo, 
   {{0x661c0961,0x60d60009,0x79860610,0x999f0032}},	//   _turk, _žymo, _hakw, čuť_, 
   {{0x63a845f8,0x7f41001d,0x66e33da6,0x79861e43}},	//   _vodn, dalq, _зора, _kakw, 
   {{0xcb130056,0x61e40352,0x63a80035,0x6459bbb6}},	//   עלה_, čilo, _wodn, buwi, 
   {{0x7986d46b,0x5ea90086,0xdb050054,0x69c109ec}},	//   _makw, _ছেলে, _vohé, रोटी, 
   {{0x7986d46c,0xbcfb129c,0x9f4500da,0x94bb00d1}},	//   _lakw, ngée, bolí_, _הממת, 
   {{0x798626e0,0x201904f4,0xdb050096,0x00000000}},	//   _oakw, ísir_, _tohé, --, 
   {{0x7986d46d,0xa0a633a9,0x9f5c00b9,0x6b85011c}},	//   _nakw, _наед, _pivó_, _sahg, 
   {{0xdcef00d9,0x5c073836,0xdb050032,0xe81c29c4}},	//   decă, зява, _dlhý, _भूला_, 
   {{0x7f4162cc,0xea000023,0x8fa30398,0x6fb4039f}},	//   calq, _đạc_, _паче, _زمبا, 
   {{0x7986938d,0x2cb300bc,0x6459025b,0x00000000}},	//   _bakw, _řadě_, zuwi, --, 
   {{0x6edb00df,0x00000000,0x00000000,0x00000000}},	//   _לחופ, --, --, --, 
   {{0x28c70081,0x79864d9d,0x6d4d011d,0x321e0035}},	// [e170] _रेखि, _dakw, _idaa, _luty_, 
   {{0x7c2d0199,0x5ba711f8,0x9cd80147,0x00000000}},	//   _itar, _хриз, _מוחה_, --, 
   {{0xf7700038,0x752d033c,0x1a65010e,0x247d05d5}},	//   طال_, ñazo, _تیزی_, _sňm_, 
   {{0xf6501fe8,0x64590c3d,0x25a9008c,0x35b5069b}},	//   ائل_, tuwi, ðal_, ьбер, 
   {{0xfc4600bc,0x7c2d008a,0x00000000,0x00000000}},	//   říve_, _jtar, --, --, 
   {{0x3869d46e,0x321e00ab,0x9f470228,0x64590175}},	//   mtar_, _buty_, _okná_, ruwi, 
   {{0xf77200a7,0x7986d46f,0xdb05019c,0x201d00d7}},	//   _שקל_, _yakw, _ilhó, _suwi_, 
   {{0x6459011d,0x321e00df,0x6d4d052b,0xe6100296}},	//   puwi, _duty_, _ndaa, _مشق_, 
   {{0x7c2d024d,0xc5e918b4,0x7529007c,0x7a1c0118}},	//   _ntar, टकीय_, _ifez, _včti, 
   {{0x386932d4,0x6d4d045a,0x442dd470,0x5e490849}},	//   itar_, _adaa, _ite_, опом_, 
   {{0x62812337,0x7c2dd471,0x90e713b4,0x3869d472}},	//   _uslo, _atar, _کسان, htar_, 
   {{0x3869d473,0x7a1c0ab4,0x201da551,0x64491e92}},	//   ktar_, _učti, _tuwi_, _kvei, 
   {{0xdb1e0068,0x201d06e4,0x3869d474,0x6d4d01a3}},	//   _impú, _uuwi_, jtar_, _ddaa, 
   {{0xee39d475,0x7986009c,0x3869d476,0x6d4d04c6}},	//   _днк_, _sakw, dtar_, _edaa, 
   {{0x386902a0,0xca750b24,0x7c2dd477,0x7986d478}},	//   etar_, нуты, _etar, _pakw, 
   {{0x3869d479,0x442d0a9f,0xcee713b4,0x3f87d47a}},	//   ftar_, _ote_, _ورژن_, _hanu_, 
   {{0x1867ce87,0x386900eb,0x3f87005f,0xe7aa1730}},	// [e180] мати_, gtar_, _kanu_, овал_, 
   {{0x7986d47b,0x090302a6,0x7a150035,0xdb240080}},	//   _wakw, тпун, _wątp, ärät, 
   {{0x442dd47c,0x3f87d47d,0x7986d47e,0xe1f9012d}},	//   _ate_, _manu_, _takw, klų_, 
   {{0x89360e70,0x442d0065,0x3f87044d,0x3869d47f}},	//   _تعدا, _bte_, _lanu_, btar_, 
   {{0xa3ea0148,0xcb2200aa,0x442d1f57,0xa5331003}},	//   одда_, _मलाड_, _cte_, тніч, 
   {{0x28c70f01,0x3f87044d,0x442d26e4,0x75290cba}},	//   _रेटि, _nanu_, _dte_, _efez, 
   {{0xe2971b11,0xfd6500e7,0xf6232d94,0x64494642}},	//   дај_, _chuố, _адсо, _evei, 
   {{0xbbbb2158,0xd13000eb,0xe1f90009,0x442d039b}},	//   _उत्क, دمة_, glų_, _fte_, 
   {{0x6e2d0bad,0xb145009c,0x00000000,0x00000000}},	//   _čaba, ریوم_, --, --, 
   {{0xdb1e022c,0x3f8700f8,0x75f802aa,0x321e0175}},	//   _empú, _canu_, dízi, _tuty_, 
   {{0x3f8704d1,0x05c20838,0x03a31753,0xc757027a}},	//   _danu_, _शताब, _шифо, וייץ_, 
   {{0x25a6d480,0xa3d60c14,0x442d543f,0x301503a1}},	//   njol_, ाचक_, _yte_, мдөр, 
   {{0x3869d481,0x61e201e5,0x3f872f26,0x00000000}},	//   xtar_, _ijol, _fanu_, --, 
   {{0xb34503b7,0x3f87d482,0x69cf023e,0x9f4500b9}},	//   maçã, _ganu_, _smce, colà_, 
   {{0xb34500ce,0xf1b200b5,0x61e203a9,0x2902016a}},	//   laçã, _जवान, _kjol, _azka_, 
   {{0x236915ed,0x3869d483,0x391552b2,0x3f87044d}},	//   đaji_, ttar_, ембр, _zanu_, 
   {{0xb34503b7,0x28f80088,0x80d404cc,0x3f87044d}},	// [e190] naçã, деть_, _बेमे, _yanu_, 
   {{0x3869d484,0x442dd485,0x7d00134e,0xe1f90028}},	//   rtar_, _rte_, ümse, zlų_, 
   {{0x6449d486,0x61e20126,0x2d8900ca,0x06b20033}},	//   _svei, _ojol, _kaae_, _টেবি, 
   {{0x3869d487,0x61e2d488,0x29d7003d,0x80b300c2}},	//   ptar_, _njol, għat_, ेनमे, 
   {{0x23296149,0xe8240240,0xc86701ff,0x3a260604}},	//   поли_, _афсо, _ўтми, _čopi_, 
   {{0x7bd5d489,0xb34502a0,0x3a21614f,0xe7301b44}},	//   nizu, daçã, _kuhp_, _نصف_, 
   {{0x2215b47a,0x425200d7,0x00000000,0x00000000}},	//   нфир, هنور, --, --, 
   {{0x3f87d48a,0x644925f2,0x7bd5d48b,0xbcfb0183}},	//   _sanu_, _tvei, hizu, nfés, 
   {{0xe0d9d48c,0xb34503b7,0x3f87d48d,0x442dd48e}},	//   яви_, gaçã, _panu_, _ute_, 
   {{0xfd650029,0x3fcd0086,0x600635bf,0x75f874cd}},	//   _thuố, রক্ষ, нным_, vízi, 
   {{0xf77200c7,0x25ad10f3,0x05d30a34,0x645e0035}},	//   נקט_, _koel_, _दगाब, ąpie, 
   {{0x6da67e58,0x3f870204,0xb345019c,0x9f4503dd}},	//   хима, _wanu_, baçã, solà_, 
   {{0xb34500ce,0x7fd5005e,0xfbdf0218,0x61fb01f0}},	//   caçã, _пікі, rsên_, mlul, 
   {{0x61fbd48f,0x7bd5252c,0x31b100de,0x00000000}},	//   llul, gizu, _vázu_, --, 
   {{0x63730092,0xdce41993,0x6e9500eb,0xc4dc059e}},	//   mını, _obić, _ألعا, _मख्ख, 
   {{0x63730092,0x3eb808bb,0x61fbd490,0xb87b02be}},	//   lını, ørte_, nlul, _exím, 
   {{0x6d46a1ed,0x7bd5252c,0x61fb0080,0xa75601d8}},	// [e1a0] maka, bizu, ilul, етещ, 
   {{0x6373091f,0x7d04d491,0x61fbd492,0xa0261279}},	//   nını, _izis, hlul, liöö, 
   {{0xb34500ce,0xd94619aa,0x25ad02b0,0x28d000bc}},	//   zaçã, _пени, _boel_, _सेरि, 
   {{0x18a61a31,0x63730585,0x25ad03c6,0x9f4c00da}},	//   _замм, hını, _coel_, rodé_, 
   {{0x25add493,0x61fb008a,0x637307fa,0xb3450165}},	//   _doel_, dlul, kını, xaçã, 
   {{0x6d46a441,0x69d6d494,0xb34503b7,0xf1b900e0}},	//   haka, liye, vaçã, ekš_, 
   {{0x6d46d495,0x39421c2b,0xbcfb026a,0x637303c0}},	//   kaka, _keks_, nfér, dını, 
   {{0x6d46d496,0x69d6d497,0xb34500ce,0x30a66246}},	//   jaka, niye, taçã, еров, 
   {{0x6d460a96,0x61e25344,0x62950183,0x637306a2}},	//   daka, _vjol, _ázon, fını, 
   {{0xb3450316,0x69d6d498,0x3dc006e4,0x35b60790}},	//   raçã, hiye, _aliw_, _अकड़, 
   {{0xd33700a7,0x69d6d499,0x6d46d49a,0x7bd5d49b}},	//   _נראה_, kiye, faka, vizu, 
   {{0xa3cc034d,0x6562d49c,0xb34502a0,0x69d6d49d}},	//   शोर_, ngoh, paçã, jiye, 
   {{0x69d6d49e,0x4c9406fb,0x6ad909d8,0x63730540}},	//   diye, гияс, णप्र, bını, 
   {{0xbcfb0518,0xf99fd49f,0x7d0400ab,0x637305b7}},	//   ffér, _chèn_, _dzis, cını, 
   {{0xda78092d,0x7d0401a3,0x7bd5d4a0,0x39420054}},	//   нят_, _ezis, rizu, _beks_, 
   {{0x69c4d4a1,0xceb300a7,0x98ad044e,0x69d6d4a2}},	//   ghie, _תיק_, _žeđ_, giye, 
   {{0x3915022c,0x25ad01d2,0x7bd500b4,0x00000000}},	// [e1b0] тмар, _roel_, pizu, --, 
   {{0xa8a40504,0x320d0065,0x25ad56b9,0x7bd5021e}},	//   ырск, zmey_, _soel_, qizu, 
   {{0x69d6659e,0x394201e8,0x25ad01da,0x7d04052b}},	//   biye, _feks_, _poel_, _zzis, 
   {{0x63730540,0xd6d8d4a3,0x69d6d4a4,0x3942039b}},	//   zını, хту_, ciye, _geks_, 
   {{0x25ad5765,0x637303c0,0xc86700dd,0x799d0b12}},	//   _voel_, yını, _ятни, _insw, 
   {{0x6d46d4a5,0x798d040b,0x25ad08b0,0xe3b80259}},	//   zaka, ldaw, _woel_, нбі_, 
   {{0x61fbd4a6,0x02c2017b,0x25ad5a65,0x00000000}},	//   tlul, ийшо, _toel_, --, 
   {{0x798d2835,0x25bf00e2,0xa22400d4,0xdce404cb}},	//   ndaw, _ulul_, دروه, _ubić, 
   {{0x63730092,0x61fbd4a7,0x66090226,0x22400082}},	//   tını, rlul, _ihek, ćika_, 
   {{0x6d46d4a8,0xddc900d2,0x661b0088,0x69d6d4a9}},	//   waka, _ćošk, _hiuk, ziye, 
   {{0x63734786,0x6d46d4aa,0xed5a02b9,0xeadc00cc}},	//   rını, taka, мон_, _ধর্ম, 
   {{0x637338fa,0x236902f5,0x69d609c7,0x307500b3}},	//   sını, đaju_, xiye, _аукс, 
   {{0x6d46d4ab,0xc8d011bd,0x4c83d4ac,0x798dd4ad}},	//   raka, _सेंट, аляв, ddaw, 
   {{0x799d00a7,0x661b134f,0x69d6d4ae,0x63730248}},	//   _answ, _liuk, wiye, qını, 
   {{0x6d46d4af,0x69d6d4b0,0x60c901f0,0xbb43d4b1}},	//   paka, tiye, lzem, реск, 
   {{0x798d0495,0x644b9945,0x60d60009,0xdc14008f}},	//   gdaw, ksgi, _žymi, rşıy, 
   {{0x69d6d4b2,0xbcfbd4b3,0xacbb078a,0xe81c00a5}},	// [e1c0] riye, sfér, kbûy, _भूखा_, 
   {{0x69d6d4b4,0x644b004f,0x61e40abd,0x66090027}},	//   siye, dsgi, čili, _ahek, 
   {{0xbcfb2c9f,0x69c4d4b5,0x443f00d7,0x660908b0}},	//   ngén, phie, _awu_, _bhek, 
   {{0x6609d4b6,0x7f430226,0x7c24d4b7,0x443f016c}},	//   _chek, _lenq, _kuir, _bwu_, 
   {{0x672300d2,0x661b41ee,0x6562a3d8,0x6d4402aa}},	//   žnja, _diuk, rgoh, _meia, 
   {{0xa3cc00ab,0x3860192d,0x6d44d4b8,0x60c9d4b9}},	//   शों_, muir_, _leia, dzem, 
   {{0x38600647,0x443fd4ba,0x46a3d4bb,0x7c2401c5}},	//   luir_, _ewu_, _карв, _luir, 
   {{0xdb050183,0xe1ef0fce,0x661b012b,0x68ed024a}},	//   _johá, يسي_, _giuk, _ëndë, 
   {{0x3860d4bc,0x7f430068,0x35c51ab5,0x443f00c3}},	//   nuir_, _benq, _сатҳ, _gwu_, 
   {{0x61ed1b5e,0x44241952,0xdb07017b,0x00000000}},	//   čala, _ium_, pkjø, --, 
   {{0x6e230465,0x518600f0,0xa75b0070,0x38603f63}},	//   _cunb, _аула, ודיר, huir_, 
   {{0x4424d4bd,0x6e234276,0x7c2426c0,0xdb050098}},	//   _kum_, _dunb, _buir, _nohá, 
   {{0x7c24006e,0x4424d4be,0x6d440a9f,0x6ce7004e}},	//   _cuir, _jum_, _deia, тіне, 
   {{0x44240298,0x386066d8,0x45280086,0xbcfb0126}},	//   _mum_, duir_, মরিক_, bgén, 
   {{0xac182c6d,0x44243287,0xdd95021f,0x996700d3}},	//   тору_, _lum_, _байы, ктал, 
   {{0x201c086d,0x7c240014,0x3ce9006f,0xef1801dd}},	//   _hivi_, _fuir, _txav_, ceļa_, 
   {{0x4424d4bf,0x201cd4c0,0x9f4c253f,0xdb05010e}},	// [e1d0] _num_, _kivi_, hodí_, _dohá, 
   {{0x66092eb7,0xf770030e,0x26e70033,0x62830083}},	//   _shek, قام_, _করবো_, ywno, 
   {{0xd7f82124,0x60c9b653,0x95cb01a2,0x66090149}},	//   тут_, zzem, муда_, _phek, 
   {{0x38600e64,0x644b014e,0x66090415,0x799dd4c1}},	//   buir_, tsgi, _qhek, _unsw, 
   {{0x44240aa4,0x33d5005e,0xad9b0496,0x38790348}},	//   _cum_, лікт, clúe, _upsr_, 
   {{0x644b078a,0x39490265,0x60c97f9e,0x67d500d3}},	//   rsgi, laas_, vzem, _согу, 
   {{0x6609d4c2,0x4424d4c3,0xb3640141,0x661b00c8}},	//   _thek, _eum_, ръчк, _tiuk, 
   {{0x4424d4c4,0x60c9d4c5,0x3949d4c6,0x443fd4c7}},	//   _fum_, tzem, naas_, _twu_, 
   {{0x44240014,0x6e23d4c8,0xf367272b,0x6d44d4c9}},	//   _gum_, _sunb, _атен, _reia, 
   {{0xee391231,0x60c9d4ca,0x394908a3,0x310608a5}},	//   нно_, rzem, haas_, ынып_, 
   {{0x442402e7,0x201c01dd,0xda0300a2,0x60c9d4cb}},	//   _zum_, _divi_, लतात_, szem, 
   {{0xb2ba0137,0xee360504,0xbcfbd4cc,0x9b96015f}},	//   _אמער, ыню_, rgén, گلست, 
   {{0x7c241ff5,0x39490b03,0x4424d4cd,0x6d44d4ce}},	//   _quir, daas_, _xum_, _veia, 
   {{0x705211fe,0xa0661c32,0x7bc7d4cf,0x8fa20229}},	//   _انوا, _саша_, ghju, _гаше, 
   {{0xfc3f0496,0xdb05247e,0x656902a2,0x2d840107}},	//   rxía_, _pohá, _oceh, ômes_, 
   {{0x201c00d2,0x3b0703b7,0x7c2400a0,0x39499364}},	//   _zivi_, ѓето_, _tuir, gaas_, 
   {{0x2d823469,0xbcfbd4d0,0x98a317b4,0xab2ad4d1}},	// [e1e0] meke_, ngél, бите, _попа_, 
   {{0xb8dc0299,0x4424d4d2,0x38607746,0x3b861790}},	//   _अथ_, _rum_, ruir_, _слог, 
   {{0x442423b5,0xfc3f0183,0x3949d4d3,0xdb1c007a}},	//   _sum_, nxín_, baas_, bhrá, 
   {{0x2d82d4d4,0xdb1cd4d5,0x7dc60183,0x4424d4d6}},	//   neke_, chrá, _fóse, _pum_, 
   {{0x7e61379a,0x386003dd,0x7afe0118,0x442458bc}},	//   hulp, quir_, _hypt, _qum_, 
   {{0x2d82d4d7,0x43949566,0xb33c008a,0x00000000}},	//   heke_, ракс, _roħs, --, 
   {{0x201cd4d8,0xdb1e24bd,0x66840a5a,0xad9b0369}},	//   _rivi_, _impó, _خیال, nlúc, 
   {{0x2d82d4d9,0x905439f7,0x9f4c00da,0xf48424a1}},	//   jeke_, авиц, rodí_, _پاری, 
   {{0x2d82a843,0x44240697,0x201c0688,0x00000000}},	//   deke_, _uum_, _pivi_, --, 
   {{0x53b84437,0x307700eb,0x212f008a,0xdcf600ad}},	//   _अविश, احية_, _efgh_, _sayğ, 
   {{0x741303b1,0x200200e0,0x201cd4da,0x2d820372}},	//   _اولا, ēki_, _vivi_, feke_, 
   {{0x2d824a1a,0x614315c5,0x8c3701a2,0xdcf600ad}},	//   geke_, _геца, ломӣ_, _qayğ, 
   {{0xdfda0141,0x201c411d,0x5c740251,0x00000000}},	//   _пък_, _tivi_, блят, --, 
   {{0x3949d4db,0x9a8708c0,0x5a3500f0,0x00000000}},	//   waas_, лубл, ингт, --, 
   {{0x39495144,0x2d82d4dc,0x539b00a7,0x7e61d4dd}},	//   taas_, beke_, עילו, culp, 
   {{0xf99f00e7,0x3f8e019b,0xb33c008a,0xc4c40083}},	//   _thèm_, _hafu_, _moħq, वनाओ, 
   {{0x3f8e2f6f,0x06b20086,0x3949d4de,0xa80200ad}},	// [e1f0] _kafu_, _টেলি, raas_, ğınc, 
   {{0x3949190f,0x3f8e007b,0xe8f803a1,0x69da0290}},	//   saas_, _jafu_, унуч_, éter, 
   {{0x67230112,0x3f8e0149,0x37074d67,0xfc300296}},	//   žnjo, _mafu_, учав, _وحی_, 
   {{0xbb220218,0x645d2920,0x29e809c7,0x68fd00fc}},	//   _çîro, _åsik, lğan_, _tysd, 
   {{0x64a552cb,0xdcfd012d,0x7e6101f1,0x00000000}},	//   рала, kesč, zulp, --, 
   {{0x42551fde,0x2d82d4df,0xdb1e0118,0x3f8e007b}},	//   атит, zeke_, _impò, _nafu_, 
   {{0x2d82009e,0x02d81503,0xfbb800d1,0x00000000}},	//   yeke_, _भेदभ, רפות_, --, 
   {{0x020500ce,0x00000000,0x00000000,0x00000000}},	//   јзин, --, --, --, 
   {{0x2d82d4e0,0x3f8ed4e1,0x798f155e,0x00000000}},	//   veke_, _bafu_, _macw, --, 
   {{0x2d82d4e2,0x1fb5d4e3,0xd00e0ce0,0x3f8e0118}},	//   weke_, рсир, ولي_, _cafu_, 
   {{0x2d82d4e4,0xd5b910b0,0xe233009c,0xf99f03a0}},	//   teke_, _आवाज, _اکتب, _chèk_, 
   {{0xf99f01e5,0x7e61020f,0x00000000,0x00000000}},	//   _dhèk_, rulp, --, --, 
   {{0x2d82d4e5,0x7e613688,0xa3cc00b0,0x814c0070}},	//   reke_, sulp, शोक_, _טעאַ, 
   {{0x2d8259ad,0x09de009a,0xcee8010e,0x7a1c0237}},	//   seke_, नच्य, ئرین_, _pōto, 
   {{0x2d82d4e6,0x7ff40e61,0xaa4600c8,0x798f0090}},	//   peke_, _اسنا, ребл, _bacw, 
   {{0xdb1cd4e7,0x7bc520e9,0x88e600b3,0x798f0090}},	//   nkré, _elhu, ажбе, _cacw, 
   {{0x4ad600c2,0xad9b020b,0x4736243d,0x00000000}},	// [e200] _डेरव, slúc, لراز, --, 
   {{0xeb9a0024,0x23b901e5,0xe73a0e8f,0x2ba70110}},	//   _рио_, _kèju_, теж_, खाणा, 
   {{0x06861b17,0x7bdcd4e8,0xfaa613d3,0xa526c9ce}},	//   рген, miru, _тано, амед, 
   {{0x25a00369,0x798f0027,0x00000000,0x00000000}},	//   ñil_, _gacw, --, --, 
   {{0x69c6b2c8,0x7984018e,0xf1a91f02,0x00000000}},	//   _ilke, meiw, कानन, --, 
   {{0x7bdc0009,0x06660296,0xe7375601,0x00000000}},	//   niru, _پاسپ, _вер_, --, 
   {{0x66e30a43,0x3f8e095a,0x31c60267,0x6d5603a0}},	//   _дора, _rafu_, исив, _odya, 
   {{0x7bdcd4e9,0x3f8e0053,0x6d565c6c,0x00000000}},	//   hiru, _safu_, _ndya, --, 
   {{0x3872017e,0xcfa6d4ea,0xdfa61221,0x6602d4eb}},	//   ntyr_, ашни, ајно, mlok, 
   {{0x6fc401be,0x7bdc095a,0xdb1e00de,0x00000000}},	//   _bòca, jiru, _alpí, --, 
   {{0x7c3600e5,0x7bdcd4ec,0xdd95021f,0x6fc401fd}},	//   _atyr, diru, баны, _còca, 
   {{0x6602d4ed,0x3f8e332c,0x629a00c8,0x00000000}},	//   nlok, _wafu_, _irto, --, 
   {{0x76430019,0x7bc5023b,0xafe635e9,0x224900ca}},	//   ányz, _plhu, _кодл, ćake_, 
   {{0x66020194,0x6d5601e5,0x7bdcd4ee,0x6fc400a1}},	//   hlok, _edya, giru, _fòca, 
   {{0x19590b58,0xe0e80086,0x6602d4ef,0x29e812ed}},	//   лавы_, _পরিভ, klok, rğan_, 
   {{0x39a408f3,0x8937007a,0x7c36021e,0xbcfb002c}},	//   ошув, شعرا, _ftyr, ngék, 
   {{0xdb5bd4f0,0x6602d4f1,0x7bdcd4f2,0xad9b0068}},	// [e210] _июн_, dlok, biru, clúa, 
   {{0xc60f03c1,0x960f1276,0x69c6d4f3,0xdb1c0054}},	//   िष्य_, िष्ट_, _elke, tirô, 
   {{0xb8fe0da6,0x6602008c,0x9a870508,0x6bd900d7}},	//   _थे_, flok, _тупл, _لوکس_, 
   {{0x7624005e,0x78a20098,0x6602d4f4,0x00000000}},	//   іміз, ťova, glok, --, 
   {{0x629ad4f5,0x24f8058b,0xa87900c7,0x66dc0453}},	//   _arto, анцы_, _גאָר, _påkø, 
   {{0x629a00ca,0x28d00179,0x6602052b,0x00000000}},	//   _brto, _सेटि, alok, --, 
   {{0x5b7c0056,0xb5a71e6e,0x95670141,0x629a00ca}},	//   דרוא, _край, _възд, _crto, 
   {{0x7bdcad03,0x629a0379,0x23d90179,0x6fc401be}},	//   ziru, _drto, _भगवद, _ròca, 
   {{0x657bd4f6,0x7dc60038,0x629a02b0,0xc4fb0411}},	//   _ibuh, _nósa, _erto, _شعرا_, 
   {{0x248d0405,0xdb1c5a36,0x72420019,0x6d560175}},	//   _isem_, skré, _کھول, _sdya, 
   {{0x7c3643a0,0xb4e70586,0xe7fa1503,0x3d150299}},	//   _styr, _पशु_, ्तता_, नेसे_, 
   {{0x518420d9,0xb33c007b,0x00000000,0x00000000}},	//   _муча, _inħa, --, --, 
   {{0x248d0351,0x7bdcd4f7,0xa3cb1c54,0xc0a8010e}},	//   _jsem_, tiru, _लता_, _ناول_, 
   {{0x6fc401be,0x00000000,0x00000000,0x00000000}},	//   _tòca, --, --, --, 
   {{0xdd110076,0x4e350189,0x7bdccef7,0xde353cd2}},	//   _výšk, _اعتز, riru, _уэль, 
   {{0x7bdc5ea7,0x7ae1031b,0x3e71010e,0x248d3053}},	//   siru, últa, mát_, _osem_, 
   {{0x3e710776,0x69d80009,0x600f01e8,0x98a34064}},	// [e220] lát_, _įved, rømf, пите, 
   {{0xbb860084,0x2d92414d,0x657bd4f8,0xab660386}},	//   _الدي, _haye_, _abuh, _увол, 
   {{0x3872155b,0x2d92d4f9,0x6602d4fa,0x248dd4fb}},	//   styr_, _kaye_, tlok, _asem_, 
   {{0x5efa0070,0x3f850080,0xc4ca01ff,0x69c61240}},	//   אפעד, helu_, ллеж_, _ulke, 
   {{0x66025934,0x3e710019,0x6ba5008c,0x2d92d4fc}},	//   rlok, hát_, _útgá, _maye_, 
   {{0x64a6146e,0x3f8502a8,0x3e71115d,0x2d923227}},	//   _қаза, jelu_, kát_, _laye_, 
   {{0x3e71006b,0x3f85d4fd,0x248dd4fe,0x437600f0}},	//   ját_, delu_, _esem_, _қуат, 
   {{0x2d922b3d,0x2fc7137f,0x9f640183,0xf99f023e}},	//   _naye_, _alng_, _átúa_, _dhèw_, 
   {{0xdce4265d,0x2fc7016a,0x25a40126,0xa507d4ff}},	//   _obiđ, _blng_, _inml_, _гета_, 
   {{0xb7fa0964,0x2d9201b8,0x3f85d500,0xaac800bd}},	//   ्तिम_, _aaye_, gelu_, रनाक, 
   {{0xd3370056,0x3860d501,0x3e710019,0x2d92d502}},	//   _הרבה_, hrir_, gát_, _baye_, 
   {{0x2d920065,0x7dc6007a,0x00000000,0x00000000}},	//   _caye_, _pósa, --, --, 
   {{0x2d92c754,0x3f85d503,0x5c744e35,0x26e400bc}},	//   _daye_, belu_, плят, कपुर_, 
   {{0x3e71309e,0xd9b30035,0xa3be36a6,0x00000000}},	//   bát_, ीस्ट, ँघट_, --, 
   {{0x386000b9,0x3e71039f,0x29024cd8,0x00000000}},	//   erir_, cát_, _ayka_, --, 
   {{0x2d920300,0x3860bef6,0x26e70033,0xdb05020b}},	//   _gaye_, frir_, _করলো_, _kohú, 
   {{0x6d4fd504,0xbbeb00c5,0xa3e800a2,0x3dc90c36}},	// [e230] maca, _مردم_, मचा_, _ilaw_, 
   {{0x6d4fd505,0x29023b12,0x2a980237,0xf77358f5}},	//   laca, _dyka_, _fčb_, ثار_, 
   {{0x3ebe31b7,0x3940d506,0x6adc0033,0x2126d507}},	//   nytt_, bbis_, _মুঠো, _ogoh_, 
   {{0x6d4fd508,0x9967251b,0x3f850ab4,0x25a400b9}},	//   naca, _утол, zelu_, _cnml_, 
   {{0x99800e7b,0xd838d509,0x77bb010c,0x69df021e}},	//   lmiş_, _гэс_, _sîxu, miqe, 
   {{0x248d02ee,0x6d4f01f5,0x6b87024a,0x3dc90156}},	//   _vsem_, haca, nejg, _llaw_, 
   {{0x6d4fd50a,0x998003c0,0xd5ae0019,0x3f850bb3}},	//   kaca, nmiş_, رہے_, velu_, 
   {{0x3e71006b,0x6d4f01b4,0xa6b20086,0x657b024d}},	//   vát_, jaca, _টেকট, _ubuh, 
   {{0x6d4fd50b,0x6e2a01c4,0x394b0107,0x2fc79e8f}},	//   daca, _aufb, _mecs_, _plng_, 
   {{0x2d920640,0x3e710019,0x3dc2085b,0x99800213}},	//   _saye_, tát_, wkkw_, kmiş_, 
   {{0x2d92d50c,0x59c90c94,0xf2c70097,0x7d0d02b8}},	//   _paye_, रसार, _усан, _azas, 
   {{0x3e71247e,0xff5f010c,0x2fc70102,0x3860003e}},	//   rát_, şî_, _wlng_, yrir_, 
   {{0x7d0d006a,0x3e71704f,0x2fc702cd,0x6e2d00ef}},	//   _czas, sát_, _tlng_, _čabu, 
   {{0xa3ac0081,0x3860026d,0x8fa58979,0x2480008f}},	//   गाय_, vrir_, _факе, çimi_, 
   {{0xdde900c5,0x61e9d50d,0x2d9203a0,0x7d0d052b}},	//   _گروه_, onel, _taye_, _ezas, 
   {{0x6d4fd50e,0x3e5501dd,0x3959019b,0x394b00f6}},	//   caca, māt_, _cdss_, _cecs_, 
   {{0x20c93512,0x186a041d,0x574a9047,0x3e5500e0}},	// [e240] िनिध, рази_, изам_, lāt_, 
   {{0x61e902ec,0x6281038c,0x869a17d9,0x3940d50f}},	//   hnel, _oplo, итет_, sbis_, 
   {{0x3e55002a,0x628101c1,0x61e9012d,0x61fbd510}},	//   nāt_, _nplo, knel, koul, 
   {{0x98a6d511,0x7e7e0219,0x186ad512,0x3860d513}},	//   _диме, _äppe, _ками_, prir_, 
   {{0x69c40405,0x61e90bad,0x64c40035,0x6281d514}},	//   mkie, dnel, वनेश, _aplo, 
   {{0xd25a386d,0x69c4d515,0x3e5501dd,0x6e2401a4}},	//   аци_, lkie, kāt_, _liib, 
   {{0x6d4f03b0,0x04fc00cc,0x6fc404b8,0x61fb10cc}},	//   yaca, েশের_, _dòcl, foul, 
   {{0x69c4d516,0x2005d517,0x61e903a9,0x6e380bfc}},	//   nkie, elli_, gnel, _rtvb, 
   {{0x224900d2,0xbfaa4f38,0xdb1e11c9,0x998004d6}},	//   ćaka_, атне_, _impõ, zmiş_, 
   {{0x61e9002e,0xdd090187,0x6d4f031d,0x6e2402a5}},	//   anel, _pôži, waca, _aiib, 
   {{0x69c4d518,0x7d04158b,0x6d4fd519,0xc9070262}},	//   kkie, _ayis, taca, _शर्म_, 
   {{0x61fbd51a,0x6e24336b,0x10a6314f,0x7d040610}},	//   coul, _ciib, _миен, _byis, 
   {{0x6e24170d,0xf8bf0574,0x61e00102,0x69c40035}},	//   _diib, _agén_, miml, dkie, 
   {{0x60cc0824,0x61e012fb,0x69c400e0,0x6d4fd51b}},	//   ılmı, liml, ekie, saca, 
   {{0xaa94198b,0x656b0eca,0x69cdd51c,0x2e4a0093}},	//   мирч, yggh, thae, _тяло_, 
   {{0x61e002f5,0x99800824,0x3c2f0380,0x7c3d2be3}},	//   niml, rmiş_, _tüv_, ppsr, 
   {{0x7d0d3038,0x69cdd51d,0xfb27009c,0x394b0243}},	// [e250] _uzas, rhae, _وردپ, _vecs_, 
   {{0x61e01a3d,0x7bce0502,0x69cd018e,0x7de4010e}},	//   himl, chbu, shae, rőse, 
   {{0x61e012fb,0x7c2d61e6,0x6d4d02cd,0x61fb095a}},	//   kiml, _huar, _keaa, youl, 
   {{0x69c4d51e,0x60c04d17,0x61fb0183,0x8afa00d1}},	//   ckie, kymm, xoul, _להתי, 
   {{0x628111c8,0x18350137,0x69dd003d,0x61e07277}},	//   _splo, _מאָל_, _imse, diml, 
   {{0x7647006d,0x3869024a,0x7c2dd51f,0x61fb0300}},	//   _twjy, muar_, _muar, woul, 
   {{0x3869d520,0x7c2dd521,0xe7fa0790,0xb33c008a}},	//   luar_, _luar, ्तरा_, _inħl, 
   {{0xdb1e026a,0x7a1c0118,0x61e9020f,0x3e5501dd}},	//   _impô, _pōti, unel, vāt_, 
   {{0x61fbd522,0xa3b80019,0x752902b8,0xe29700f0}},	//   roul, _ڈالر_, _igez, сақ_, 
   {{0x69c4d523,0x61e95c01,0x6f030156,0x3e47010e}},	//   zkie, snel, _pync, tőt_, 
   {{0x628178cf,0xbea512bd,0x61fbd524,0x69dd5876}},	//   _uplo, чанк, poul, _omse, 
   {{0x386901ee,0x442d2157,0x3eb8014e,0x4425d525}},	//   kuar_, _kue_, ärta_, _hil_, 
   {{0x7c2d3808,0x386900e5,0x442d0033,0x6e2400b0}},	//   _cuar, juar_, _jue_, _viib, 
   {{0x69dd02bf,0x44250089,0x7c2dd526,0x3869024a}},	//   _amse, _jil_, _duar, duar_, 
   {{0x442d030f,0xfaa3c7ea,0xa3ac00a2,0x69c4a174}},	//   _lue_, наро, गात_, tkie, 
   {{0x44250529,0xba230f88,0x7529d527,0x7c2dd528}},	//   _lil_, едск, _ngez, _fuar, 
   {{0x69c405f2,0x7c2d0ad8,0x2d8002a2,0x442d0107}},	// [e260] rkie, _guar, _ibie_, _nue_, 
   {{0x69c4d529,0x61e03699,0xdc9b9586,0x75290458}},	//   skie, ziml, _פסיכ, _agez, 
   {{0x3bbb00a7,0x61e07428,0x249f56f3,0x7bde1bdc}},	//   _המיד, yiml, _arum_, _impu, 
   {{0x442502bf,0x442dd4dc,0x3869924f,0x00000000}},	//   _ail_, _bue_, buar_, --, 
   {{0x4425d52a,0x2a6a0eca,0x61e0131b,0x33940009}},	//   _bil_, lubb_, viml, далё, 
   {{0x442dd52b,0x4425d52c,0x7c380304,0x7529052b}},	//   _due_, _cil_, _čvrl, _egez, 
   {{0x4425d52d,0x7bde02cd,0x249f008c,0x61e0096f}},	//   _dil_, _mmpu, _erum_, timl, 
   {{0x442d0f46,0x4425004c,0x11d800eb,0x249fd52e}},	//   _fue_, _eil_, توبة_, _frum_, 
   {{0x644902f0,0x442d00a2,0x4425055e,0x7dc6118d}},	//   _gwei, _gue_, _fil_, _cósm, 
   {{0xbfaa1192,0x61e00c05,0xe3a40a24,0x301308ad}},	//   стие_, siml, _تشری, ндыр, 
   {{0x386901ee,0x7c2d794a,0x644902f2,0xfbb0176c}},	//   zuar_, _suar, _zwei, ञानम, 
   {{0x7c250a9d,0x63ba00d9,0x2ca0d52f,0x7c2d0243}},	//   _sihr, _hotn, _brid_, _puar, 
   {{0x44250c67,0x8fa6d530,0x386900e5,0x7c2dd531}},	//   _yil_, _наде, xuar_, _quar, 
   {{0xe10b0137,0x442502f1,0x3869024a,0xbcfb0107}},	//   _פּאָ, _xil_, vuar_, dgét, 
   {{0xdd9511db,0x63ba02ee,0x7c2500c8,0xfc3fd373}},	//   _жайы, _motn, _vihr, spí_, 
   {{0x3869078e,0x7c2d0ae7,0x63ba0035,0x39520102}},	//   tuar_, _tuar, _lotn, gays_, 
   {{0x290f0750,0x2d8bd532,0x7bde0183,0xf8f400d9}},	// [e270] åga_, mece_, _fmpu, ептэ, 
   {{0x3869078e,0x442dd533,0x2d8bd534,0x290701dd}},	//   ruar_, _rue_, lece_, āna_, 
   {{0x38697973,0xf5590eea,0xfe78012d,0x4425d535}},	//   suar_, قلاب_, ntį_, _ril_, 
   {{0x2d99051e,0x2d8b24a9,0x28de0667,0x4425d536}},	//   ndse_, nece_, _नेवि, _sil_, 
   {{0x3869d537,0x63ba947b,0xa3e80110,0xef180243}},	//   quar_, _botn, मचं_, meļu_, 
   {{0x442d026d,0xfe78012d,0x63ba1540,0xbcfb08b2}},	//   _vue_, ktį_, _cotn, lgés, 
   {{0x4425d538,0x994d0187,0xf1a90035,0x9f450241}},	//   _vil_, _môžu_, कालन, rolü_, 
   {{0x442501b2,0x63a801cc,0x442dd539,0x2d8b056e}},	//   _wil_, _endn, _tue_, jece_, 
   {{0x442543d0,0x2d8b213d,0x16dd36bc,0x442d007e}},	//   _til_, dece_, _मधुब, _uue_, 
   {{0x60061c0f,0x4425d53a,0xcee900c8,0x2d9910de}},	//   мным_, _uil_, ждое_, edse_, 
   {{0xd17511db,0xaf091036,0x00000000,0x00000000}},	//   _жылы, تقدم_, --, --, 
   {{0xfce6d53b,0x63ba2e09,0x2ca0203b,0x9f450036}},	//   домо, _zotn, _prid_, golò_, 
   {{0x68e900d0,0x7bde0065,0xef180243,0x7172029a}},	//   _žedn, _pmpu, deļu_, _شهوا, 
   {{0x395200a7,0x78a20098,0xe9df007a,0x2d990ff2}},	//   ways_, ťovk, _amú_, adse_, 
   {{0xab27d53c,0x7c220036,0x9f45039f,0x00000000}},	//   дора_, _èorm, soló_, --, 
   {{0x2ca00405,0x9f4501d8,0x2d8b016c,0x2a6a8bd5}},	//   _trid_, colò_, cece_, rubb_, 
   {{0x48e32f7c,0x39522395,0x00000000,0x00000000}},	// [e280] вотв, rays_, --, --, 
   {{0x77fa0081,0xbcfbb163,0x7bde813d,0xc1da00bd}},	//   ्तेक_, rgét, _umpu, _बग्ग, 
   {{0xb90540a8,0xef1801dd,0x6fc401c5,0xddc2020f}},	//   _भे_, beļu_, _dòch, culţ, 
   {{0xdb1c0098,0x80d40033,0xe5c5004f,0x248402be}},	//   ckrá, দপত্, нсіо, _ppmm_, 
   {{0x6d460640,0x63ba008b,0xc953042c,0x00000000}},	//   ibka, _potn, _שמש_, --, 
   {{0x2d8b97f6,0x9cd70486,0x63ba00c3,0x00000000}},	//   zece_, וונה_, _qotn, --, 
   {{0xf1a900a2,0xbcfb2dcd,0x2d990876,0x41a9009a}},	//   कांन, ngér, ydse_, कांस, 
   {{0xa3ac000f,0xcb1300a7,0x3d0f0110,0x00000000}},	//   गाह_, כלו_, _ठरले_, --, 
   {{0x2d8b0141,0x92be0033,0x7dcd0218,0x00000000}},	//   vece_, ঁছে_, _nûsa, --, 
   {{0x6442d53d,0x9ed803b7,0xdfd069c5,0xdb1c00da}},	//   mpoi, змот_, ايد_, zkrá, 
   {{0x6442d53e,0xdd910195,0x00000000,0x00000000}},	//   lpoi, هود_, --, --, 
   {{0xfe78012d,0xa3ac009a,0x00000000,0x00000000}},	//   rtį_, गाव_, --, --, 
   {{0x2d8b2123,0x5c070141,0x621b0070,0x2d99d53f}},	//   rece_, дява, _וואק, rdse_, 
   {{0xab84092d,0x2d8b0688,0x6fc400b9,0xdb170216}},	//   куск, sece_, _oòci, _doxî, 
   {{0x3f8c090b,0x7bc7008c,0xbcfb0107,0x8ae4017b}},	//   medu_, rkju, ggér, вітл, 
   {{0x3e780019,0x68290a1a,0x7bc7d540,0x3f8cd541}},	//   mét_, _ažda, skju, ledu_, 
   {{0x2aff0ef0,0xb8151b11,0x4815bfbe,0x3e787072}},	// [e290] _शुरु_, едај, емас, lét_, 
   {{0xdb1c008c,0xa8a400fd,0x00000000,0x00000000}},	//   skrá, ърск, --, --, 
   {{0x3e78d542,0x601400b9,0xef180243,0x00000000}},	//   nét_, càme, peļu_, --, 
   {{0x25a90503,0x00000000,0x00000000,0x00000000}},	//   ñal_, --, --, --, 
   {{0x63853579,0xa92802d9,0x6fc40237,0x8ca2103d}},	//   егла, _vyžá, _tòch, खियो, 
   {{0x3f8c3efa,0xe299d543,0x3e7859c7,0xb4af02e6}},	//   jedu_, зак_, két_, _ओपी_, 
   {{0xf220000f,0x3e780019,0x45d5004f,0xdd3200ad}},	//   मगढ़_, jét_, _зовс, _nəşr, 
   {{0x356800d3,0x69da0212,0xf8bf0175,0x00000000}},	//   _орун_, étex, _ngék_, --, 
   {{0x602501d7,0xd37b00a3,0x7f750a10,0x00000000}},	//   ндиа, _мчж_, нунц, --, 
   {{0x443f47d2,0xf2c706ba,0x6fcd0354,0x00000000}},	//   _itu_, _осен, _búca, --, 
   {{0x5de6d544,0x3e780019,0x645969b8,0xc7b2029e}},	//   ежна, gét_, lswi, אבי_, 
   {{0x443fd545,0x78a200da,0xdbf80299,0x00000000}},	//   _ktu_, ťovi, ंक्ड_, --, 
   {{0x3f8cd546,0x315600fe,0x2d9e031e,0x707500c7}},	//   bedu_, _ניסן_, ěte_, _נײַע_, 
   {{0x443f2083,0x3e78d547,0x645901c8,0x00000000}},	//   _mtu_, bét_, iswi, --, 
   {{0x3ea500f6,0xc4ab0299,0x3e78597e,0x00000000}},	//   _чийг, चमुख, cét_, --, 
   {{0x69260886,0x6014022c,0x443fd548,0x17fa122e}},	//   емба, ràme, _otu_, ्त्व_, 
   {{0x443f006f,0x07a6d4a3,0x645901c8,0x6fc403dd}},	// [e2a0] _ntu_, наан, jswi, _sòci, 
   {{0x317f8f4a,0x645987f4,0x69cf03c5,0x46f61782}},	//   hfuz_, dswi, _elce, нчет, 
   {{0x443fd549,0xd9101fdb,0x05662035,0x6fcd0183}},	//   _atu_, _چیز_, евен, _xúca, 
   {{0xd910040f,0x64420626,0x7deb0028,0x2e3a0070}},	//   _نیز_, tpoi, tęsi, לגענ, 
   {{0x6459d54a,0xa3ac0bf5,0x5f060249,0x3e78039f}},	//   gswi, गाल_, _सुन्_, zét_, 
   {{0x443fd54b,0x3e78010e,0x6fe60106,0x00000000}},	//   _dtu_, yét_, _mécè, --, 
   {{0x644224d3,0xfe670040,0x6829012d,0x522601a2}},	//   spoi, _حد_, _užda, нфиа, 
   {{0x7dc61f71,0x3e78010e,0x6442d54c,0x443f0210}},	//   _fósi, vét_, ppoi, _ftu_, 
   {{0x443f0110,0x63ab031e,0x3f8c090e,0xdb1c12b7}},	//   _gtu_, ální, tedu_, lkrä, 
   {{0x3e780019,0x6602d54d,0x629c00bc,0xdefa013e}},	//   tét_, look, _šrou, зым_, 
   {{0x3f8cd54e,0xe0cf009c,0xdb1c2457,0x1df90080}},	//   redu_, لزی_, nkrä, дены_, 
   {{0x3e78d54f,0x00000000,0x00000000,0x00000000}},	//   rét_, --, --, --, 
   {{0x3e780019,0x3f8cd550,0x61e2d551,0x0ca8d552}},	//   sét_, pedu_, _imol, нтри_, 
   {{0x6fe6026a,0xd9c90c64,0x206900f0,0x9f5e023e}},	//   _décè, रस्ट, _ішіп_, koté_, 
   {{0x6602d553,0xb6060304,0x5fa60796,0xdb1c0502}},	//   kook, _košć, _कोयल, chrü, 
   {{0x64402e7d,0x660200b0,0x19940b81,0x00000000}},	//   _otmi, jook, лася, --, 
   {{0xb6060308,0x61e2084c,0x8dfc00d1,0xfc3f00b9}},	// [e2b0] _mošć, _mmol, _מההת, rxís_, 
   {{0x62880d62,0x65600038,0x443f0243,0x00000000}},	//   _opdo, _admh, _rtu_, --, 
   {{0xf6531feb,0x64440012,0xd6dbb17a,0x443fd554}},	//   ائط_, ţiil, чта_, _stu_, 
   {{0x64590727,0xcb12042c,0x370403b7,0xa2a40df2}},	//   tswi, _כלי_, учув, किन्, 
   {{0x6288012d,0xa3ac00bd,0xdb1c007a,0xe22f0108}},	//   _apdo, गां_, bhró, ợđiệ, 
   {{0x3949d555,0xdb170042,0x320606e4,0x64594658}},	//   lbas_, _loxí, _akoy_, rswi, 
   {{0x64400e7b,0xbe120086,0xe2960093,0x9f5e0212}},	//   _etmi, _সংসদ_, ващ_, coté_, 
   {{0x56945ce5,0x61e200ca,0x443fd556,0x1b1e0033}},	//   _щаст, _cmol, _ttu_, বুকে_, 
   {{0x443f190c,0x7fd501fc,0x25ad00b3,0x45d41d06}},	//   _utu_, віні, _inel_, _сотс, 
   {{0xee39406e,0xbfc5019c,0x00000000,0x00000000}},	//   мно_, тбок, --, --, 
   {{0x9d4613d9,0x7e7e0219,0x7c220036,0x25ad8033}},	//   кенд, _äppl, _èori, _knel_, 
   {{0x3869d557,0xb6061993,0xdb170183,0x7bc114b1}},	//   krar_, _gošć, _coxí, ölun, 
   {{0x320d24bc,0x39491612,0x7de4010e,0x5cf60080}},	//   mley_, dbas_, sőso, тяну, 
   {{0x3869d558,0x3949d559,0x5f058f64,0x320dd55a}},	//   drar_, ebas_, _изла, lley_, 
   {{0x2d9b00e5,0x62880183,0xa6ec0033,0x38690bff}},	//   _faqe_, _xpdo, _কর্ম_, erar_, 
   {{0x25bf002e,0x78a90f23,0xb222003e,0x8d765297}},	//   _noul_, _ševa, _þætt, _شابا, 
   {{0xdb1c0038,0x66020372,0x9f450218,0xdb1e021e}},	// [e2c0] thró, vook, vilê_, _kopë, 
   {{0x46a6d55b,0x25ad02bb,0x7bd501c4,0xdb1c1562}},	//   казв, _anel_, chzu, tkrä, 
   {{0xe57a0904,0x25bf0300,0x39490219,0x2b580532}},	//   дзе_, _boul_, bbas_, marc_, 
   {{0xceb21a61,0x0446d4ff,0x600f4fc2,0x25ad0036}},	//   ייב_, ведн, dømm, _cnel_, 
   {{0xdb1c0fd4,0x6602d55c,0x25bf0118,0x200c003e}},	//   skrä, rook, _doul_, yldi_, 
   {{0xf7430b66,0x25add55d,0x2b5800a1,0x66020298}},	//   _веро, _enel_, narc_, sook, 
   {{0x37e32241,0x25bf0300,0x66e6d55e,0xa3de0fc0}},	//   _торг, _foul_, _рова, दोष_, 
   {{0x2b580a92,0x320dd55f,0x200700d0,0x30a6449e}},	//   harc_, gley_, _akni_, вров, 
   {{0x14261e54,0x2eca1e4c,0xa0670aa3,0xdb170068}},	//   _адам, ान्त, вања_, _roxí, 
   {{0x1fa6d560,0x78a660b7,0x0eea00af,0xb4ce15c8}},	//   триг, _mrkv, дьми_, शनी_, 
   {{0x2d9b024a,0x320dd561,0x39490028,0xb17d0ed0}},	//   _paqe_, bley_, ybas_, ciťo, 
   {{0x3206012b,0x38690131,0x3dd2017c,0x442cd562}},	//   _ukoy_, yrar_, _clyw_, _hid_, 
   {{0x7d1600ab,0x4bc5022c,0x442c00df,0x4cb827eb}},	//   _czys, гөнг, _kid_, вляю_, 
   {{0x442c05d5,0x4ea60c00,0x9f33004e,0x3869d563}},	//   _jid_, _ариа, _кеші, vrar_, 
   {{0x442cd564,0xa3b300a2,0x257d0019,0x1ae60086}},	//   _mid_, टात_, náló_, _খুবই_, 
   {{0x442cd565,0x386932d4,0x7de7004e,0x3204d566}},	//   _lid_, trar_, _шілд, nomy_, 
   {{0x78a602f5,0x3949d567,0x3f9cd568,0x442cd569}},	// [e2d0] _crkv, rbas_, _kavu_, _oid_, 
   {{0x3869d56a,0x6fcd2142,0x25ad0536,0x442c02bf}},	//   rrar_, _núcl, _snel_, _nid_, 
   {{0x25bfd56b,0x320d35b8,0x3204d56c,0x3f9c0532}},	//   _poul_, yley_, komy_, _mavu_, 
   {{0x320d6ca8,0x3869d56d,0xb87b0068,0x6e2d4c1e}},	//   xley_, prar_, _oxíx, _jiab, 
   {{0x442c5145,0xd8384544,0x6e2dd56e,0x225e00b4}},	//   _bid_, _аэс_, _miab, _avtk_, 
   {{0x799dd56f,0x69cd0065,0x7d0d016c,0x6e2da631}},	//   _hasw, lkae, _myas, _liab, 
   {{0x36d5d570,0x442c00a7,0x799dd571,0xdb1e3191}},	//   _совр, _did_, _kasw, _copè, 
   {{0x2c1a00b0,0x442c7188,0x600f08bb,0x7d0dd572}},	//   _मीनू_, _eid_, rømm, _oyas, 
   {{0x44f50b58,0x320d0246,0x442c0405,0xe4e702fb}},	//   _спас, rley_, _fid_, _рівн, 
   {{0x442cd573,0x7dc60068,0x6ed30095,0xe0d600c8}},	//   _gid_, _lóst, ləbə, увь_, 
   {{0xc7d600a7,0x7d0dd574,0x02d90411,0x661b011c}},	//   רותי_, _ayas, _ثواب_, _khuk, 
   {{0x8c46d575,0x6e2d02a3,0x799d190c,0x7d0d3b4a}},	//   леме, _ciab, _nasw, _byas, 
   {{0x6e2dd576,0x40790137,0x61e9d577,0x1ae10033}},	//   _diab, _נאַװ, miel, _খুলে_, 
   {{0x61e9d578,0xa3ac04cc,0x799d052b,0x7d0d0300}},	//   liel, गाए_, _aasw, _dyas, 
   {{0xada60335,0x3f872998,0x09cc0086,0x799dd579}},	//   _байл, _ibnu_, রোফা, _basw, 
   {{0xa2a40239,0x2005044d,0x6e2d0495,0x09cc0086}},	//   कित्, loli_, _giab, রোনা, 
   {{0x186703b9,0x60c9d57a,0x7d1600ab,0x7deb0009}},	// [e2e0] лати_, nyem, _uzys, ręst, 
   {{0x6d56d57b,0x2005d57c,0x61e9d57d,0x661b0548}},	//   _heya, noli_, hiel, _ahuk, 
   {{0x6d56b144,0x61e9d57e,0x661b01b8,0x200502a3}},	//   _keya, kiel, _bhuk, ioli_, 
   {{0x442cd57f,0x661b0053,0xf1a300ab,0x2005d580}},	//   _sid_, _chuk, _खोलन, holi_, 
   {{0x100304d7,0x6d56d581,0x2005d582,0x61e90228}},	//   रकाश_, _meya, koli_, diel, 
   {{0xa3de00ab,0x66093b8a,0x60db01dd,0x6d5602a5}},	//   दों_, _ekek, dzum, _leya, 
   {{0x442cd583,0x61e9d584,0x228603dd,0x200500f8}},	//   _vid_, fiel, уулг, doli_, 
   {{0x3f9c002a,0xb3a4141c,0x61e900ab,0x6d56d585}},	//   _savu_, _गोरख, giel, _neya, 
   {{0x442c0533,0x6e2dd586,0xf4870a24,0x3204014b}},	//   _tid_, _riab, _مالی, romy_, 
   {{0x2005d587,0x987b0137,0x661b023e,0xdb1e011c}},	//   goli_, עריק, _zhuk, _topè, 
   {{0x51863c30,0x6d56d588,0x61e92452,0x7d0dd4c7}},	//   _була, _beya, biel, _syas, 
   {{0x61e9d589,0x7c3609a3,0x60c9d58a,0x3015022c}},	//   ciel, _buyr, byem, лдөр, 
   {{0x6d5600a3,0x1c16007e,0x3f9c01dd,0x00da2727}},	//   _deya, _दीहल_, _tavu_, _ثبات_, 
   {{0x2005048a,0x6b9ed58b,0x7d0dd58c,0x799d0415}},	//   coli_, _capg, _vyas, _sasw, 
   {{0x7dc6d58d,0x6e2dd58e,0x799dd58f,0x6d560118}},	//   _póst, _tiab, _pasw, _feya, 
   {{0x6d562bc5,0x629a019b,0x7d0d0cc6,0x6e4301c9}},	//   _geya, _msto, _tyas, _انيم, 
   {{0xac9513c3,0xb4ce01a4,0x0c870079,0x629a008a}},	// [e2f0] _тапш, शनो_, _сыйм, _lsto, 
   {{0x61e9d590,0x661bd591,0x629ad592,0xb33c003d}},	//   ziel, _shuk, _osto, _jaħd, 
   {{0xa3d812e3,0x2ca9014b,0x799dcf70,0x56951730}},	//   ासन_, _hrad_, _tasw, рает, 
   {{0x6d561093,0x2005d593,0x788700e0,0x00000000}},	//   _xeya, zoli_, tīvā, --, 
   {{0x2d89011c,0x9f45d594,0xdb1e0175,0x629a42c3}},	//   _mbae_, dilî_, _ropé, _asto, 
   {{0x03a50eb3,0x61e9d595,0x69d80009,0xa4e5009a}},	//   рико, wiel, _įvei, _कधीच_, 
   {{0x2c7f0054,0x291900ef,0x661bd596,0x61e92518}},	//   hîd_, _hzsa_, _thuk, tiel, 
   {{0x60c9d597,0x660934fa,0x60db5d9a,0x2005d598}},	//   tyem, _ukek, tzum, woli_, 
   {{0x61e9857e,0x2005d599,0x6d560cd7,0x629aca44}},	//   riel, toli_, _reya, _esto, 
   {{0x61e9d59a,0xafe500d3,0x8e850093,0x6d56d59b}},	//   siel, роол, агое, _seya, 
   {{0x2005d59c,0x612b213d,0x6d56d59d,0x61e9d59e}},	//   roli_, _bölü, _peya, piel, 
   {{0xa3b304cc,0xb2ba00a7,0x8d7607cb,0xf2c4d59f}},	//   टाव_, _במער, جادا, _усун, 
   {{0x4b2300cc,0x7c38090e,0x20051ad1,0x7df200e0}},	//   _ব্লগ_, _čvrs, poli_, nāsi, 
   {{0x629a02bf,0x78a400fd,0x200501ff,0x6d560539}},	//   _ysto, vviv, qoli_, _weya, 
   {{0x6d56ad5f,0x39460634,0xe7fb04cc,0xdee201a2}},	//   _teya, ñoso_, ्वना_, _моши, 
   {{0x213f7382,0xf2d200c7,0x3946101c,0x3eaa02c9}},	//   ncuh_, קען_, рнаг, æbte_, 
   {{0x683a0013,0xe73ab1b3,0x00000000,0x00000000}},	// [e300] тябр_, вез_, --, --, 
   {{0x657b016a,0x3cf1014b,0x78a44508,0x076a007a}},	//   _acuh, šová_, rviv, ئماً_, 
   {{0x248d023e,0x4aba00b3,0xa2b13411,0xdb050566}},	//   _apem_, _рупя_, _अपग्, _anhæ, 
   {{0xa2a43278,0x32ee0095,0x629a0242,0x963301fc}},	//   किस्, _rəy_, _rsto, ініц, 
   {{0x65c4004e,0x998c0028,0x27f802be,0x00000000}},	//   _құда, ūdų_, _tjrn_, --, 
   {{0x386002d0,0xfc3f033c,0x3940d5a0,0xe2f8557b}},	//   msir_, nvía_, lcis_, лелі_, 
   {{0xfe06333a,0x4e0654cb,0xd257012d,0xae0604cc}},	//   रवास_, रवाई_, ацы_, रवान_, 
   {{0x3940d5a1,0x629a1852,0x00000000,0x00000000}},	//   ncis_, _vsto, --, --, 
   {{0x3860d5a2,0xdfda0141,0x80b0010b,0xf99f0118}},	//   nsir_, вън_, जमें, _chèy_, 
   {{0x3860026d,0x4ea6181e,0x4fc6d5a3,0xb4b2029c}},	//   isir_, арма, рсиа, टमी_, 
   {{0x35ab0f63,0x629a00a3,0x2ca902be,0x07370486}},	//   _घोड़, _usto, _srad_, יאים_, 
   {{0x3860d5a4,0xb33c0405,0x7de7004f,0x5fa60110}},	//   ksir_, _waħd, ріод, _कोरल, 
   {{0xb33c003d,0xed58012d,0x5c746419,0x91a60108}},	//   _taħd, шоў_, олят, _gió_, 
   {{0x2c7f0216,0xf99f01e5,0xdb1e017c,0x39400caf}},	//   rîd_, _saè_, _copï, ecis_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xb33c00a4,0x00000000,0x00000000,0x00000000}},	//   _jaħb, --, --, --, 
   {{0x7afe1cf0,0x2ca92e6b,0x89384ef5,0xb33c00a4}},	// [e310] _expt, _urad_, рпус_, _maħb, 
   {{0xd75900b8,0xf7730071,0xcb9900dd,0x7dc6114e}},	//   الات_, تار_, _свої_, _hósp, 
   {{0x248d008a,0x6b95d5a5,0x6fcd0038,0x29070035}},	//   _spem_, mezg, _dúch, łna_, 
   {{0x6d5dd5a6,0xa4d900f0,0x3166023e,0xf53900da}},	//   nasa, лдеу_, _ndoz_, _baťa_, 
   {{0xdff80ee0,0x64a59789,0x7bc50077,0x7afb0241}},	//   ुवाद_, сала, _kohu, ğutu, 
   {{0x6d5dd5a7,0xf6530a43,0xf67700d4,0x316600b4}},	//   hasa, _мегӯ, _پاسخ, _adoz_, 
   {{0x6d5dd5a8,0xe81d119b,0x9f5e02a3,0xc2930116}},	//   kasa, _बीया_, dotà_, تیاب, 
   {{0xdb0502ae,0x7bc5d5a9,0x846700fd,0x00000000}},	//   _inhä, _lohu, _въже, --, 
   {{0xd49802a6,0x60090267,0x9f450036,0x248dc30e}},	//   _врх_, лним_, bilì_, _upem_, 
   {{0x395900a7,0x926bd5aa,0x6b950613,0x7bc5d5ab}},	//   _less_, _арда_, jezg, _nohu, 
   {{0xed5ad5ac,0xee36002e,0x6d5d2dd5,0x6da601a2}},	//   лон_, йнэ_, fasa, бина, 
   {{0xfbc9181f,0x63a1d5ad,0xfc4600bc,0x3860d5ae}},	//   _את_, _haln, říme_, ysir_, 
   {{0x63a12a68,0x22810019,0x7bc5d5af,0x6283090e}},	//   _kaln, lók_, _bohu, ltno, 
   {{0xac0a05e6,0x63a13393,0x8fa40038,0x7bc50106}},	//   унга_, _jaln, _ومنه, _cohu, 
   {{0xc3320a33,0x15f7017d,0x91db483e,0xa96a14f1}},	//   לום_, ंचार_, _बताई, лива_, 
   {{0x38600870,0x1a2a48cf,0x63a10379,0xfc3f001d}},	//   tsir_, ужби_, _laln, svía_, 
   {{0x3959d5b0,0x6c8600eb,0xdb0501c4,0x3940d5b1}},	// [e320] _dess_, _الخم, _anhä, rcis_, 
   {{0x63a107fc,0x66da538a,0x6eca00ad,0x2281039f}},	//   _naln, льер_, bəbd, kók_, 
   {{0x3860d5b2,0xdb1e026e,0x3e63027e,0x628300ca}},	//   ssir_, _kopí, nıt_, jtno, 
   {{0x250b0399,0x2281010e,0x499a08b8,0x3959040c}},	//   گرمی_, dók_, _стоя_, _gess_, 
   {{0x779400c5,0xb6080032,0x00000000,0x00000000}},	//   _ویرا, _našť, --, --, 
   {{0x25a00f58,0x6d5dd5b3,0xf99f00c5,0x62830304}},	//   žil_, zasa, _akèh_, ftno, 
   {{0x6d5dd5b4,0x69c6cb36,0xe5a6d5b5,0x6d440035}},	//   yasa, _koke, _ливи, _ofia, 
   {{0x527602c0,0x66f700d1,0x69c6d5b6,0xb33c008a}},	//   _ҳуду, _המלא_, _joke, _qaħb, 
   {{0xa3d8047b,0x6d5dd5b7,0x69c6d5b8,0x7bdc04e4}},	//   ासद_, vasa, _moke, khru, 
   {{0x69c60194,0x2281008c,0x63a12be3,0x389b00a7}},	//   _loke, bók_, _galn, ניינ, 
   {{0x66fa06ea,0x9f5ed5b9,0x799601be,0xd36f0038}},	//   ्थिक_, gotá_, keyw, _أهم_, 
   {{0x2bd1109f,0x69c6d5ba,0x7bc800b0,0x6b950532}},	//   हस्थ, _noke, ödun, wezg, 
   {{0x6d5d03f6,0x63a10e7b,0x2b5ad5bb,0x7bc5607b}},	//   rasa, _yaln, _bepc_, _pohu, 
   {{0x6d5dd5bc,0x8fa3041d,0x39595103,0x271807d5}},	//   sasa, _наче, _sess_, _थरूर_, 
   {{0x9967021f,0x69c6d5bd,0xcf2600eb,0x6b95044d}},	//   йтал, _boke, _ارشي, rezg, 
   {{0x69c6320d,0x5c7500c8,0x6d5dd5be,0x06df0033}},	//   _coke, _длит, qasa, _বুঝি, 
   {{0x7bc52eb4,0x22810019,0xdc550296,0x69c6d5bf}},	// [e330] _tohu, zók_, _برعک, _doke, 
   {{0xd6dbd5c0,0x67eb0405,0xdb050219,0x7bdcd5c1}},	//   лте_, rżjo, _anhå, chru, 
   {{0x3959d5c2,0xa935d5c3,0x95cb00f0,0x00000000}},	//   _tess_, _менш, луда_, --, 
   {{0x63a1d5c4,0x69c60144,0xd56b017b,0x00000000}},	//   _saln, _goke, рiал, --, 
   {{0xd7fb02fb,0xa87900c7,0xa5bd012d,0x63a1beaf}},	//   _був_, _דאָר, _siųs, _paln, 
   {{0x2281006b,0x3e6303b0,0x644b0036,0x22499463}},	//   tók_, yıt_, rpgi, апки_, 
   {{0x657a0084,0x6eca00ad,0x6fa60c46,0x00000000}},	//   úchá, həbb, _कोइं, --, 
   {{0x644b014e,0x62832d7f,0x228100f2,0x63a150c5}},	//   ppgi, rtno, rók_, _waln, 
   {{0x62833759,0x63a1d5c5,0x4f958457,0x9f4502d9}},	//   stno, _taln, орну, silí_, 
   {{0x9e655af5,0x6d441727,0x4fe956c7,0x0e654eb1}},	//   овод, _sfia, рмон_, окон, 
   {{0xdb1e014b,0x44270102,0xf77200d1,0xd12e010e}},	//   _popí, mmn_, וקי_, ٹمی_, 
   {{0x2b5a00f6,0x00000000,0x00000000,0x00000000}},	//   _sepc_, --, --, --, 
   {{0x7bdcd5c6,0x94b7009a,0x00000000,0x00000000}},	//   thru, _आपोआ, --, --, 
   {{0x69c6d5c7,0xe1f90028,0x601d023e,0x00000000}},	//   _soke, lnų_, sèmb, --, 
   {{0xab2aa732,0xfaa3d5c8,0x2fc7b1c5,0x69c6d5c9}},	//   рова_, маро, _iong_, _poke, 
   {{0xe9d7b4ee,0x7bdc0534,0x69d80009,0x6ec6031e}},	//   окс_, shru, _įves, ाहरु, 
   {{0x2fc7148f,0x57ea5d15,0x61eb0065,0x47c655bf}},	// [e340] _kong_, адам_, _mmgl, обав, 
   {{0x2fc7d5ca,0x65690065,0x95f40154,0xe814017d}},	//   _jong_, _adeh, ेक्ट_, _तीखा_, 
   {{0x2fc7d5cb,0x6449d5cc,0xa3b342f3,0x69c628b9}},	//   _mong_, _atei, टाई_, _toke, 
   {{0x2fc7d5cd,0x00000000,0x00000000,0x00000000}},	//   _long_, --, --, --, 
   {{0x7de4010e,0x27ea0126,0x2fc702a5,0x6569017c}},	//   lőss, _tmbn_, _oong_, _ddeh, 
   {{0x66e6d5ce,0x2fc7d5cf,0xb33c003d,0x64490038}},	//   _дога, _nong_, _baħa, _dtei, 
   {{0x9f4502a3,0x366701a2,0x6449d5d0,0x660b0175}},	//   dilà_, _маро_, _etei, bogk, 
   {{0xe5770451,0xb33c007b,0x78a90304,0xc1b828d4}},	//   _мзс_, _daħa, _ševi, слих_, 
   {{0x2fc7d5d1,0xdfd00084,0x9f4c0107,0x2b1100b0}},	//   _bong_, فية_, lidé_, _दुनु_, 
   {{0x2fc7001b,0x388e01dd,0xb33c00a4,0x2d8002c5}},	//   _cong_, mērā_, _faħa, _acie_, 
   {{0xdefa1472,0x2fc7d5d2,0x2ca0d5d3,0x601403a1}},	//   рып_, _dong_, _asid_, nàmi, 
   {{0x2fc70175,0xd0eb009a,0xdce400da,0x00000000}},	//   _eong_, _जेवण_, _edič, --, 
   {{0x2fc745ed,0x0fe20161,0xd7da009a,0x2486d5d4}},	//   _fong_, _жөнү, णसाच, ntom_, 
   {{0xfc3f26ca,0x2fc700fc,0x61ed0228,0xa3b30586}},	//   svío_, _gong_, ďale, टाए_, 
   {{0x200cd5d5,0x69d8012d,0x6fcd0327,0x600f01e8}},	//   modi_, _įver, _cúcu, rømt, 
   {{0x25a404e4,0x2fc7a83f,0x2486171a,0x601400b9}},	//   _naml_, _zong_, ktom_, dàmi, 
   {{0x25a602f0,0x2d99d5d6,0x2fc7d5d7,0xdcfd00e0}},	// [e350] ddol_, mese_, _yong_, resē, 
   {{0x2a785edd,0x2fc7001b,0x200cd5d8,0x25a60228}},	//   burb_, _xong_, nodi_, edol_, 
   {{0x6449d5d9,0xfdff0ede,0x80ac00a5,0xe1f90028}},	//   _stei, _उदास_, जिडे, ynų_, 
   {{0x1a9a00c7,0x24860613,0x4a9a00d1,0xa714017b}},	//   _פירע, ftom_, _פירג, ємці, 
   {{0x200cd5da,0x2d9902a3,0xd7770038,0xd49b1010}},	//   kodi_, iese_, _واسع, рре_, 
   {{0xe0190262,0x2d99d5db,0xf1a30035,0x61eb00ca}},	//   _नींद_, hese_, _खोजन, _smgl, 
   {{0x2fc7d5dc,0x2d99d5dd,0x9f4c026a,0x200c0539}},	//   _rong_, kese_, cidé_, dodi_, 
   {{0x249f01c1,0x2fc700a7,0x2486006f,0x016503b7}},	//   _tsum_, _song_, btom_, чкио, 
   {{0x2d99d5de,0x2fc7d5df,0x249f1d32,0x64490165}},	//   dese_, _pong_, _usum_, _utei, 
   {{0xb4d704bd,0xe4a402f1,0xa3e700a5,0x78af0372}},	//   ानी_, _ўрто, मोश_, _mrcv, 
   {{0x2d99d5e0,0xf77200c7,0x2fc700e7,0x68290009}},	//   fese_, עקט_, _vong_, _uždu, 
   {{0x2fc709e8,0x2d99d5e1,0xa3e70cbd,0xdb1602d9}},	//   _wong_, gese_, मोर_, ícíc, 
   {{0x2fc7d5e2,0x621a0111,0x61fb002e,0x7fd5128b}},	//   _tong_, _פונק, mnul, _нікі, 
   {{0x8fa50c09,0x600f01e8,0x69cb37e9,0x2fc70023}},	//   _хаке, røms, ögen, _uong_, 
   {{0x2d99d5e3,0x25a6b1de,0x8b231761,0x61fb0474}},	//   bese_, ydol_, едре, onul, 
   {{0x61fb666b,0x9f4c0327,0x68460165,0x248630ba}},	//   nnul, vidé_, знаа, ytom_, 
   {{0x09e33e4e,0x2486020b,0xdb1e00de,0x3ec52d60}},	// [e360] хотн, xtom_, _dopá, _фиқҳ, 
   {{0xfce402f1,0x7bd50380,0x7b07010e,0x386f010e}},	//   _ноқо, ckzu, érté, ágra_, 
   {{0x6e24b3e6,0x61fb6a05,0x91db2c64,0xb33c008a}},	//   _khib, knul, बसाई, _baħn, 
   {{0x200c0112,0x601403a1,0x248600d1,0x6e360104}},	//   zodi_, ràmi, ttom_, _jiyb, 
   {{0x29370137,0x78a90bfc,0xdb05010c,0x61fb0304}},	//   _מאכן_, _ševv, _nahê, dnul, 
   {{0x69c4d5e4,0x261c0369,0x2d9901a3,0xdb1e0032}},	//   ljie, cíon_, zese_, _zopá, 
   {{0x200c00f1,0x2d99cd72,0x5333002e,0x25a4011c}},	//   vodi_, yese_, нешт, _taml_, 
   {{0x2d9903da,0x61fbd5e5,0x7d040183,0x69c4d5e6}},	//   xese_, gnul, _oxis, njie, 
   {{0x2d99d5e7,0x200cd5e8,0x6603d5e9,0x68e46f55}},	//   vese_, todi_, énke, nzid, 
   {{0x6e242dc2,0x2d99d5ea,0xdb05010c,0x6562d5eb}},	//   _ahib, wese_, _dahê, laoh, 
   {{0x2d99d5ec,0x00000000,0x00000000,0x00000000}},	//   tese_, --, --, --, 
   {{0x6e24d5ed,0x67e0014e,0x69c4003d,0x9c870356}},	//   _chib, _höjd, jjie, _načí, 
   {{0x6e2410bb,0x2d99d5ee,0x200cd5ef,0x69c4d5f0}},	//   _dhib, rese_, podi_, djie, 
   {{0x68e40727,0x2d99d5f1,0xfc3fd5f2,0x69d601b8}},	//   dzid, sese_, lvík_, ekye, 
   {{0x3a2924bc,0x2d99d5f3,0xba0800a5,0x05dd01a4}},	//   tmap_, pese_, वकूफ_, _मतलब, 
   {{0x5a3413cc,0x6e240465,0x7d1600c8,0x64be009a}},	//   енст, _ghib, _fyys, ्हाळ, 
   {{0x7e7a03c5,0x6d5f01f2,0x65626d71,0x00000000}},	// [e370] lutp, _ieqa, daoh, --, 
   {{0x61fb0112,0x67e00219,0x6fdc02e6,0x6143003e}},	//   znul, _nöjd, यसिं, _kíló, 
   {{0xdb1e0228,0x61fbd5f4,0x65620379,0x6d5f0034}},	//   _topá, ynul, faoh, _keqa, 
   {{0xe81d0077,0x7e9b00c7,0x25e800a5,0xe3b80213}},	//   _बीरा_, מסבו, चोली_, _anı_, 
   {{0xb4d7d5f5,0x61fb07c7,0x6d5f0248,0x53a500d3}},	//   ाने_, vnul, _meqa, далб, 
   {{0xa3e700ab,0x9c87037f,0xdb05010c,0x7c3700a4}},	//   मों_, _začí, _rahê, _jixr, 
   {{0x61fb090b,0x6d460219,0x78ad00b0,0xa22919fe}},	//   tnul, ycka, lvav, ожка_, 
   {{0x61fbd5f6,0x20031eeb,0x6d5f29cc,0xa6c40033}},	//   unul, čjim_, _neqa, _এইচট, 
   {{0x61fb58c0,0x8f750c8b,0x6d4102d9,0x6ac90c46}},	//   rnul, муні, ělal, रहुर, 
   {{0x6e24d5f7,0x262800d9,0x798d00f8,0x443f008a}},	//   _shib, _uşor_, hfaw, _iuu_, 
   {{0x443f086d,0x69dd03a9,0x7d160088,0xd3e60274}},	//   _huu_, _olse, _syys, _تقلی, 
   {{0x443fd5f8,0x9f470038,0x6e24084c,0x3eb802ae}},	//   _kuu_, _imní_, _qhib, årta_, 
   {{0x443f2083,0x4425d5f9,0x67e00219,0x7c3701f2}},	//   _juu_, _khl_, _höje, _bixr, 
   {{0x443f1eab,0x7c2501be,0xf99f0237,0xb33c00c3}},	//   _muu_, _chhr, _okès_, _naħl, 
   {{0x160d00ea,0x6e240149,0x69c4d5fa,0xfebb00d4}},	//   िकार_, _thib, tjie, _داشت_, 
   {{0x1de20299,0x753bd5fb,0x7d0401f1,0x442501a7}},	//   _पतित, _nguz, _txis, _lhl_, 
   {{0x6b93022b,0x443f2a6d,0xb4d71503,0x2d920610}},	// [e380] ädgå, _nuu_, ानो_, _ibye_, 
   {{0xa80300cf,0x46f60d38,0x69c40876,0x753bd5fc}},	//   взул, мчет, sjie, _aguz, 
   {{0x6b9cd5fd,0x67e0014e,0x69c40405,0x443f0082}},	//   merg, _nöje, pjie, _auu_, 
   {{0x4425d5fe,0x93bc00e7,0x601d0036,0x00000000}},	//   _ahl_, _chăn, kèmo, --, 
   {{0x249a0399,0x04435319,0x44255d25,0x645b023e}},	//   تخاب_, вечн, _bhl_, _cwui, 
   {{0xe73a0650,0x442501be,0x443fd5ff,0x753b01f1}},	//   _фев_, _chl_, _duu_, _eguz, 
   {{0x645d003d,0xdced06a2,0xfe67247b,0x00000000}},	//   _ħsie, _ocağ, _جد_, --, 
   {{0x6b9cd600,0x68290009,0x443f10d4,0x4425d601}},	//   herg, _uždr, _fuu_, _ehl_, 
   {{0x60f80386,0xfc3f003e,0x6d5f010c,0x443f10bb}},	//   яния_, rvík_, _reqa, _guu_, 
   {{0x442500a1,0x6d5f0226,0xe29a0220,0x442a01f5}},	//   _ghl_, _seqa, _маз_, _òb_, 
   {{0x6440d602,0x78ad0613,0x600f01e8,0x65601b6b}},	//   _humi, zvav, rømp, _kemh, 
   {{0x6440d603,0x2cb20156,0x7bded604,0x63a8d605}},	//   _kumi, _bryd_, _alpu, _hadn, 
   {{0x7c846f22,0xa3b30f8c,0x673c0372,0x6440d606}},	//   куре, _जोड_, _ogrj, _jumi, 
   {{0x63a808b1,0x4fc60451,0x6b9c808c,0xdb050175}},	//   _jadn, _ісла, gerg, _hahé, 
   {{0x9e07936a,0x64406610,0x6d5f09c7,0x19950235}},	//   _очил, _lumi, _teqa, навя, 
   {{0xb0d20299,0x2cb2d607,0x6440040b,0xdb07039f}},	//   _तथाग, _fryd_, _oumi, ndjé, 
   {{0x6440d608,0x9be700dd,0x7c37007b,0x63ba0b22}},	// [e390] _numi, _жінк, _tixr, _ontn, 
   {{0xf77006ab,0x443f614f,0x6b9c0640,0x78add609}},	//   لام_, _ruu_, cerg, rvav, 
   {{0xb4d700bc,0x4425016a,0x443fd0d3,0x78ad3d00}},	//   ान्_, _rhl_, _suu_, svav, 
   {{0x6440d60a,0x443f3d00,0x44250219,0x63bad60b}},	//   _bumi, _puu_, _shl_, _antn, 
   {{0x6440d60c,0xf992042c,0xe458017b,0x628a040b}},	//   _cumi, _ערך_, джі_, etfo, 
   {{0x6440d60d,0x3869d60e,0x628a01e8,0x394b008a}},	//   _dumi, msar_, ftfo, _hfcs_, 
   {{0x443f05d5,0x63a87119,0x59d300c6,0x93bc00e7}},	//   _wuu_, _dadn, _सवार, _thăn, 
   {{0x6440d60f,0x00c902f1,0x29dc0183,0x443fd610}},	//   _fumi, злик_, _lían_, _tuu_, 
   {{0x3949118d,0x38697b26,0x6b9c01ff,0x7dcd0216}},	//   icas_, nsar_, yerg, _rûsp, 
   {{0x386903b7,0x39490065,0x6b9c11c9,0x93270816}},	//   isar_, hcas_, xerg, _قران, 
   {{0x644001c4,0x9f4c0c24,0xef1906ba,0x628a01c8}},	//   _zumi, cidí_, ямо_, ctfo, 
   {{0x63a8420c,0xed5702fb,0x2cb20156,0x6fd60107}},	//   _zadn, ною_, _pryd_, _lâch, 
   {{0x522c0137,0x68fb090e,0x6eca00ad,0x63a8674e}},	//   _וואַ, _žudn, ləbl, _yadn, 
   {{0x7bc700e5,0xc058015f,0x6b9c0380,0x3949d611}},	//   gjju, _آشنا_, uerg, ecas_, 
   {{0x6b9c1a77,0x8a060488,0x501a0070,0x3a390664}},	//   rerg, езве, _צוצו, _bisp_, 
   {{0xe9df0038,0x6b9cd612,0x29190090,0x00000000}},	//   _clú_, serg, _bysa_, --, 
   {{0x78a90082,0x48e39190,0x3a391c16,0xdce601dd}},	// [e3a0] _ševr, готв, _disp_, nekļ, 
   {{0x64402175,0x66e6d613,0x394900e9,0x6560008a}},	//   _rumi, ноза, acas_, _semh, 
   {{0x63a80e39,0x20035402,0x3949006d,0x3869d614}},	//   _radn, čjih_, bcas_, asar_, 
   {{0x7ddf01ee,0x64400c3d,0x2d822177,0x9f4c0098}},	//   _kësa, _pumi, ngke_, vidí_, 
   {{0x211e07d5,0x7c2e0036,0x6fd60212,0xfba409ec}},	//   _परेश_, ombr, _fâch, _ओसाम, 
   {{0x628ad615,0xd25a3e35,0x4394401f,0xa520009a}},	//   ttfo, пци_, такс, _बरीच_, 
   {{0x63a8c68b,0x764e33fc,0xdb05011c,0xa596562b}},	//   _vadn, _utby, _pahé, _пращ, 
   {{0x6440d616,0x64a60009,0x9f470054,0x00000000}},	//   _tumi, _паба, _amnà_, --, 
   {{0x628a46ce,0x2bd100bd,0x64401abb,0xb33c01f2}},	//   stfo, _सकला, _uumi, _jaħk, 
   {{0x39490327,0xddc90035,0x6eca00ad,0xb33c00c3}},	//   zcas_, łożo, bəbl, _maħk, 
   {{0x11d600dd,0x59e005e5,0x00000000,0x00000000}},	//   _підр, नसार, --, --, 
   {{0x7c2ed617,0x6d40090b,0x78a60372,0x6b850036}},	//   embr, žman, _oskv, _schg, 
   {{0x68fb0228,0x442ed618,0x3a3902a3,0x20d30a7c}},	//   _ľudo, omf_, _risp_, _متوج, 
   {{0x7a050028,0x00000000,0x00000000,0x00000000}},	//   dėta, --, --, --, 
   {{0x3f9e0abd,0x29dc0068,0xbea30477,0x78a6004f}},	//   metu_, _vían_, _бајк, _askv, 
   {{0x3869c932,0x7c2e0036,0xdd8703a1,0x7afad619}},	//   tsar_, ambr, _чыкп, útta, 
   {{0x39490b85,0xc4c4006b,0xa8980451,0xa31d00c9}},	// [e3b0] rcas_, _اے_, нкту_, _फर्ज_, 
   {{0x39493b87,0x37070665,0x3869d61a,0xb33c00c3}},	//   scas_, нчев, rsar_, _daħk, 
   {{0xf7700ce0,0x98141966,0x38697b26,0x34d9031e}},	//   صال_, ابقا, ssar_, भन्द, 
   {{0x3869d61b,0x3a3902a3,0x3f9e3ad4,0x00000000}},	//   psar_, _uisp_, hetu_, --, 
   {{0x64a5a404,0x6fd60107,0x58d435bc,0x25a9020b}},	//   тала, _tâch, _боят, ľal_, 
   {{0x3f9e03e5,0x69cf04d1,0xe299796c,0x25a9623d}},	//   jetu_, _hoce, дак_, žal_, 
   {{0x3f9e01f1,0xdb05001d,0x6d4d01b8,0xdb1c1c91}},	//   detu_, _inhó, _ofaa, skrö, 
   {{0x69cfc197,0x8c44010c,0x659500f0,0xf4850019}},	//   _joce, êşki, _шабу, _لائی, 
   {{0x3c24014e,0x00000000,0x00000000,0x00000000}},	//   höva_, --, --, --, 
   {{0xd00e00b1,0x69cf01dd,0x6d4d01a3,0x442e0183}},	//   يلي_, _loce, _afaa, cmf_, 
   {{0xdb050379,0xdcfd0243,0x00000000,0x00000000}},	//   _sahî, besī, --, --, 
   {{0x8c4608ad,0x11f900d4,0x00000000,0x00000000}},	//   кеме, _کوچک_, --, --, 
   {{0xddc9032f,0x3f9ed61c,0x00000000,0x00000000}},	//   budž, betu_, --, --, 
   {{0x2eb5527c,0xab2ab41b,0x6d4d0539,0x00000000}},	//   _асис, дога_, _efaa, --, 
   {{0xdee5d61d,0xaf760070,0x6d4d01b8,0xbea5d61e}},	//   _шоки, _סעקס_, _ffaa, _райк, 
   {{0xfaa601a2,0x601401a7,0x442e0054,0x00000000}},	//   наҳо, làmp, zmf_, --, 
   {{0x1867d61f,0x69cfd620,0x2367d621,0x0b5a00f0}},	// [e3c0] кати_, _doce, kanj_, _орны_, 
   {{0x69cf0183,0x4a461c93,0xd7f900dd,0x23670352}},	//   _eoce, _инов, нує_, janj_, 
   {{0x26dc05a8,0x2367015e,0x922102e6,0x69cf02d9}},	//   ávo_, danj_, मताज_, _foce, 
   {{0x3f9e33db,0x9f4c023a,0x69cfd622,0xb33c01f2}},	//   zetu_, zidà_, _goce, _taħk, 
   {{0x3f9e2fc5,0x3ea7023a,0x00000000,0x00000000}},	//   yetu_, _lsnt_, --, --, 
   {{0xdb0e010d,0x9cd700d1,0xdb0500b9,0x78a4016c}},	//   _þjón, כונה_, _inhò, mwiv, 
   {{0x3f9e0062,0x326317fc,0xe2971571,0x81ab0033}},	//   vetu_, атыв, вај_, খান_, 
   {{0x79849eed,0x7bdc5477,0x161a0035,0x38040176}},	//   ngiw, hkru, _फीचर_, _роҳҳ, 
   {{0x64a362aa,0x3f9e00f1,0x3014c1f4,0x236700d0}},	//   _ката, tetu_, лдир, banj_, 
   {{0xa3e6456f,0xdefad623,0x236700d2,0xbbd1031e}},	//   _पति_, дым_, canj_, _सकेक, 
   {{0xdef41838,0xddc915ed,0xd186d624,0x877b00d1}},	//   упны, rudž, _алей, ואיי, 
   {{0x3f9ed625,0xe0da0886,0x6602358b,0x92e40241}},	//   setu_, _ове_, nnok, ışıl, 
   {{0xa3e60d95,0x69cfd626,0x5f941571,0x66023071}},	//   _पता_, _roce, _билт, inok, 
   {{0x5c04bff0,0x61e20364,0x69cfb8c0,0x6602d627}},	//   аяса, _hlol, _soce, hnok, 
   {{0x61e2011c,0x00000000,0x00000000,0x00000000}},	//   _klol, --, --, --, 
   {{0x66020019,0x1f3700d1,0xddc800b3,0x201ed628}},	//   jnok, _ברור_, ălţi, llti_, 
   {{0x69cf2bf6,0xdd93005e,0x201e02a3,0x9f5e0212}},	// [e3d0] _voce, _бақы, olti_, enté_, 
   {{0xb8cb0d95,0x7bdc5aa8,0x61e200b9,0x798401b8}},	//   _कई_, ckru, _llol, agiw, 
   {{0x2367d629,0xd57514d3,0x61e2d62a,0xfc3f0183}},	//   vanj_, гуль, _olol, rvíu_, 
   {{0x7ddf00e5,0x9865006b,0xa2b81f22,0x7a050009}},	//   _mëso, _میرے_, ्मन्, mėto, 
   {{0xdb050183,0x7a050009,0x629a0ada,0x23670082}},	//   _mahí, lėto, _apto, tanj_, 
   {{0x61e2d62b,0xa3b3130c,0xfc3f0068,0x67e002ae}},	//   _alol, _जोश_, lvís_, _höjn, 
   {{0xe2990769,0x23679367,0x7a050028,0x00000000}},	//   хай_, ranj_, nėto, --, 
   {{0xa3b335ff,0x236700ef,0x2ca91dce,0x629a00f6}},	//   _जोर_, sanj_, _osad_, _dpto, 
   {{0x2367d62c,0x7fd5004e,0x601d03a1,0x25bf2a06}},	//   panj_, гіні, lèmi, _inul_, 
   {{0xab4a01f1,0xbfc500c8,0x7a050009,0x61e2010e}},	//   _kaмe, убок, kėto, _elol, 
   {{0x2ca9d62d,0xe3b0105a,0xdb05212f,0xa2d500eb}},	//   _asad_, _برق_, _bahí, _حيات, 
   {{0x2d8900b9,0x8d76007a,0x7a050028,0x00000000}},	//   _ccae_, دادا, dėto, --, 
   {{0x2245d62e,0xe1f90009,0x23650304,0x25ad439c}},	//   _hulk_, mių_, _kelj_, _mael_, 
   {{0xe1f90904,0x8c430251,0x25ad011c,0x0ffb07cb}},	//   lių_, сере, _lael_, _تعصب_, 
   {{0x7bdc781e,0x2ca9d62f,0x00000000,0x00000000}},	//   rkru, _esad_, --, --, 
   {{0xe1f90904,0x601d03a1,0x98a6020f,0x224500a3}},	//   nių_, dèmi, либе, _mulk_, 
   {{0xa6ca08b6,0xa926d630,0x6926058e,0x66020144}},	// [e3e0] کوال_, удал, умаа, vnok, 
   {{0x25bf0012,0xa3b30b79,0xfc3f00b9,0x38cb00d7}},	//   _anul_, _जोल_, avís_, راقی_, 
   {{0xe1f900e4,0xe57a8981,0xb8cb6a8d,0xf99f011c}},	//   kių_, езе_, _कै_, _ijèn_, 
   {{0x25ad02f0,0x6b9b00ca,0x00000000,0x00000000}},	//   _cael_, đuge, --, --, 
   {{0x7c3ed631,0x23650118,0x6602d632,0x00000000}},	//   _kipr, _belj_, rnok, --, 
   {{0x66020d12,0x7c3e00c3,0x2245d633,0x3dd20090}},	//   snok, _jipr, _bulk_, _loyw_, 
   {{0xc5b700b9,0x25ad019c,0x601d03dd,0xdcff008a}},	//   _өртө, _fael_, cèmi, _taqħ, 
   {{0x25ad02f0,0xa07426f1,0xe1f90009,0x7c3ed634}},	//   _gael_, агич, gių_, _lipr, 
   {{0xdfd00084,0x2edc000d,0xa5071d6b,0x69dc02e6}},	//   قية_, मन्त, _бета_, _नवनी, 
   {{0x749b00fe,0xb4e00262,0x7ddf024a,0x3dc00096}},	//   _אימפ, दनी_, _pëso, _aniw_, 
   {{0xe1f9012d,0x3a20d635,0x61e207d7,0x6e9401ff}},	//   bių_, klip_, _tlol, шину, 
   {{0x6146041d,0x443e00d1,0xe1f90028,0x00000000}},	//   _седа, _hit_, cių_, --, 
   {{0x3a20011d,0x443ed636,0x6ce400f0,0x224501d2}},	//   dlip_, _kit_, біре, _zulk_, 
   {{0x9f34005e,0xe7bf0086,0x3a2b0126,0x443e021a}},	//   _келі, _ইত্য, _shcp_, _jit_, 
   {{0x443ed637,0xda78307f,0x442cd638,0x2d890183}},	//   _mit_, лят_, _mhd_, _tcae_, 
   {{0xf99f0118,0x442c0090,0x99552163,0x5a440158}},	//   _ejèn_, _lhd_, ркац, сэра, 
   {{0x7c3e0068,0x2ca907b7,0x6e2dd639,0x57f5b6bc}},	// [e3f0] _fipr, _usad_, _ihab, апат, 
   {{0x443ed63a,0x7c3e0495,0x316600b4,0xe1f90028}},	//   _nit_, _gipr, _leoz_, zių_, 
   {{0x6e2dc29b,0x6d4f02a3,0xdb0500f8,0x3a200175}},	//   _khab, occa, _wahâ, blip_, 
   {{0x443ed63b,0x6595d544,0x2bc31574,0xa5670116}},	//   _ait_, раду, शावा, ادان, 
   {{0xe1f900e4,0x442c0938,0xdb1e0237,0x6d5d0102}},	//   vių_, _bhd_, _anpè, ibsa, 
   {{0x987a00c7,0xa87a035c,0xd7e4004f,0x25add63c}},	//   _באשט, _באשר, _лісо, _wael_, 
   {{0x443ed63d,0x67e00750,0xfa341fdb,0x3cfc00ab}},	//   _dit_, _möjl, _خرید, _लेने_, 
   {{0x25bf0012,0x443e00fc,0x4095d63e,0x67e00219}},	//   _unul_, _eit_, арот, _löjl, 
   {{0xe1f90904,0x68ed1056,0xe4501d38,0x660900d2}},	//   rių_, nzad, _فضل_, _ijek, 
   {{0xe1f900e4,0x9989091f,0x443e01f0,0x76470199}},	//   sių_, ylaş_, _git_, _kujy, 
   {{0x63a3d63f,0x7c3ed640,0xa2b80a34,0xaf980b58}},	//   menn, _ripr, ्मण्, утых_, 
   {{0x6283d641,0x63a3d642,0x443e0536,0x6e2dd643}},	//   muno, lenn, _zit_, _chab, 
   {{0x660900e5,0x6e2dd644,0x62835132,0x61e918c3}},	//   _mjek, _dhab, luno, mhel, 
   {{0x66090f30,0x61e968e5,0x61fbd645,0x656b07fc}},	//   _ljek, lhel, liul, hagh, 
   {{0x661b4059,0xa96a0141,0x7647d646,0x62833cc6}},	//   _okuk, кива_, _nujy, nuno, 
   {{0x63a3d647,0x6e2d11a1,0x61e9d648,0x661b69a2}},	//   henn, _ghab, nhel, _nkuk, 
  
   {{0x63a3d649,0x60dbd64a,0x656b0bc1,0xa7661834}},	// [e400] kenn, nyum, dagh, икад, 
   {{0x6283d64b,0x63a3d64c,0x661b4164,0x60c903a1}},	//   kuno, jenn, _akuk, ixem, 
   {{0x5b7b0056,0x61e9d64d,0x63a32558,0x68ed0042}},	//   _בריא, khel, denn, azad, 
   {{0x61e90226,0x62830008,0xdcf601f0,0x61fb0053}},	//   jhel, duno, _hayı, jiul, 
   {{0xdcf60c05,0x61e94f6e,0x63a302bf,0x61fb00d9}},	//   _kayı, dhel, fenn, diul, 
   {{0x660902cd,0x75290097,0x443e3db2,0x661b01b8}},	//   _ejek, _dzez, _qit_, _ekuk, 
   {{0x443ed64e,0x62833b6a,0xdcf6091f,0xdce6026e}},	//   _vit_, guno, _mayı, dakč, 
   {{0x98b201f0,0x91fc00e0,0x660900fc,0x61fb877f}},	//   layı_, _avār, _gjek, giul, 
   {{0x443ed64f,0x4fc60845,0x63a302bf,0x27f800f4}},	//   _tit_, асна, benn, _kmrn_, 
   {{0x443e2f44,0x6e2dd650,0x6d44d651,0x6283d652}},	//   _uit_, _shab, _agia, buno, 
   {{0x7640d653,0x6283002e,0x6e2d8056,0x91e66c51}},	//   _kimy, cuno, _phab, _коже, 
   {{0x51833efc,0x61fb00d9,0x6e2d006d,0xdb052c26}},	//   _душа, ciul, _qhab, _nahá, 
   {{0x3eb901dd,0xdcf6008f,0x998900ca,0xd7c94261}},	//   āsta_, _bayı, jmaš_, रामच, 
   {{0x764006df,0x6d440a9f,0x8fa303ba,0x6fb30038}},	//   _limy, _egia, _маче, _ومنا, 
   {{0x6e2dd654,0x9f5e0038,0x6d4400a1,0xec34004f}},	//   _thab, nntí_, _fgia, інсь, 
   {{0x68edd655,0x827700c7,0x6e2d4ab8,0x63a3419b}},	//   tzad, יעלע_, _uhab, zenn, 
   {{0x63a3d656,0x7c9500eb,0x77670201,0x656bd657}},	// [e410] yenn, _الخص, _pejx, vagh, 
   {{0x68ed514d,0x660900dd,0x6283d658,0xdb1702aa}},	//   rzad, _sjek, yuno, _enxá, 
   {{0xdb050fd4,0x95cb0088,0xf77000eb,0x6609024a}},	//   _anhö, куда_, باق_, _pjek, 
   {{0x361802fb,0x261c060f,0x63a3d659,0xdcf6027e}},	//   ацію_, díos_, wenn, _zayı, 
   {{0xdcf603b0,0x24f9001c,0x656bd65a,0x66090eae}},	//   _yayı, ынды_, ragh, _vjek, 
   {{0xe784b01c,0x261c0634,0xdb0500bc,0x6283d65b}},	//   _мусо, fíos_, _zahá, tuno, 
   {{0x61e9d65c,0x63a3d65d,0x6609d65e,0x656b134a}},	//   thel, renn, _tjek, pagh, 
   {{0x63a3d65f,0x62830d70,0xc6920137,0x661b1b7a}},	//   senn, runo, _מאל_, _ukuk, 
   {{0x6283d660,0x20d532af,0x61e9d661,0x61fb00d9}},	//   suno, сійс, rhel, riul, 
   {{0xddc900ef,0x4fe6004e,0x261c0183,0x61fbd662}},	//   grdž, ймын_, bíos_, siul, 
   {{0xee3a07d9,0x61e90194,0x7ddf01ee,0x61fb00d9}},	//   лно_, phel, _kësh, piul, 
   {{0x6441d663,0xdcf60749,0xd12e0116,0x682900bc}},	//   _hili, _sayı, ظمی_, _vždy, 
   {{0x6441d664,0x60c40405,0x7ddf024a,0xdea10019}},	//   _kili, _ġimg, _mësh, _کیجی, 
   {{0xdcf606d0,0x7ddf024a,0x66190035,0xd9e0121a}},	//   _qayı, _lësh, howk, नस्ट, 
   {{0x644929d8,0x98b206a2,0x00000000,0x00000000}},	//   _luei, vayı_, --, --, 
   {{0x6441d665,0x3946d666,0x7f3a0070,0x6569052b}},	//   _lili, снаг, _געצו, _neeh, 
   {{0x644100eb,0x249f006d,0xdce40009,0xb33c00a4}},	// [e420] _oili, _npum_, _keič, _jaħr, 
   {{0x6441d667,0x3b861b11,0x7640d668,0x5baa018a}},	//   _nili, _улог, _simy, _ском_, 
   {{0x3cfc0035,0xa9a60024,0x98b20384,0x261c0183}},	//   _लेते_, _линд, rayı_, xíos_, 
   {{0x261c0a22,0x6441d669,0x65690574,0x7ddf0034}},	//   víos_, _aili, _ceeh, _cësh, 
   {{0x644169f2,0x7ddf01ee,0x44fa010e,0x6449448c}},	//   _bili, _dësh, دراج_, _cuei, 
   {{0x6441d66a,0x74160086,0x7640016c,0x00000000}},	//   _cili, াষ্ট_, _wimy, --, 
   {{0xf99f03a0,0x76400102,0xddc90ab4,0xd7e726f1}},	//   _akèy_, _timy, vrdž, _умре_, 
   {{0x6441d66b,0x90541db5,0x26c50082,0xb33c00c3}},	//   _eili, овиц, _šlog_, _baħr, 
   {{0x64419db5,0xdd170366,0xa3b322f8,0xc1b7134f}},	//   _fili, _धुंध_, _जोक_, слых_, 
   {{0x656902b0,0x00000000,0x00000000,0x00000000}},	//   _zeeh, --, --, --, 
   {{0x200b11c9,0x2ca00096,0x1dc4009a,0xa3ad43f5}},	//   écia_, _apid_, षांत, _औसत_, 
   {{0x644106c3,0x7ddf021e,0x00000000,0x00000000}},	//   _zili, _kësi, --, --, 
   {{0x4c94004e,0x248602fe,0x6441d66c,0xf1c5017d}},	//   пияс, nuom_, _yili, वारन, 
   {{0x7ddf00e5,0x6441155e,0x682b0241,0x00000000}},	//   _mësi, _xili, küda, --, 
   {{0x81ab00cc,0xdd951b17,0x9b5800d9,0x7a050028}},	//   খার_, _дайы, сист_, lėti, 
   {{0xd25700d1,0xb33c01f2,0x7de7009c,0x00000000}},	//   משלה_, _jaħq, _دستم, --, 
   {{0x65690054,0x02a54f69,0x6fdf0106,0x7a050528}},	// [e430] _reeh, _खन्न, _bêch, nėti, 
   {{0x64493db6,0xdd3100ab,0xe9df00eb,0x8af900fd}},	//   _ruei, _mężc, _siúd_, _внос_, 
   {{0x7bc5d66d,0x64413195,0x7ddf0034,0x656900a1}},	//   _inhu, _rili, _pësh, _peeh, 
   {{0x19ab0acd,0x249f0065,0x7a050009,0x95670093}},	//   _стоп_, _ppum_, kėti, съжд, 
   {{0x644961a7,0x7ddf00e5,0xdb0501f0,0x2509009c}},	//   _quei, _vësh, _bahç, جرای_, 
   {{0x6441093e,0x7a05012d,0x4255063f,0xf99f011c}},	//   _qili, dėti, отит, _ojèk_, 
   {{0x6441c75f,0x02b30a34,0x78bd00ca,0xc7b200d1}},	//   _vili, ंटेन, _hrsv, _קבל_, 
   {{0x65944211,0x6441d66e,0xe1f107cb,0x9397010e}},	//   _насу, _wili, بست_, _گجرا, 
   {{0x6441d66f,0x63c400bc,0x9f5e02aa,0xb33c008a}},	//   _tili, átní, mitê_, _daħq, 
   {{0xe2f9004e,0xcf3900dd,0xdb1e027e,0x64411197}},	//   _кезі_, ичні_, _popü, _uili, 
   {{0x8e0a0df6,0x63c402d9,0x41555401,0x2ca01530}},	//   инов_, štní, _двес, _spid_, 
   {{0xfbc90056,0xb33c003d,0xa2b80299,0xcdf600e4}},	//   _בת_, _taħr, ्मर्, ічны, 
   {{0x6830014e,0xf99f011c,0x7bd70474,0x00000000}},	//   läde, _ijèh_, _boxu, --, 
   {{0xdee5d670,0x8af70095,0x9f45001d,0x653a0070}},	//   _моли, ğənn, riló_, יערד, 
   {{0xed5ad671,0x25a6059c,0x34a60586,0xe7ff21c2}},	//   _кой_, yeol_, _गन्द, ोचना_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x6fdf026a,0x68300380,0x97e80cdf,0x6fcd2122}},	// [e440] _pêch, häde, блағ_, तापू, 
   {{0x7bd700b4,0xfc320038,0x5d860535,0xe9df0534}},	//   _goxu, _تحب_, _الکل, _ciúb_, 
   {{0xd946d672,0x387202ae,0xb95b01be,0xba768bf4}},	//   _мени, ssyr_, _gnìo, _باخت, 
   {{0x64a65f0f,0x248600ef,0xa526980f,0xad9b007a}},	//   жада, tuom_, омед, miúc, 
   {{0x69c6d673,0xdb1ed674,0xad9b00eb,0x7bd71d97}},	//   _inke, _topó, liúc, _yoxu, 
   {{0xb33c01f2,0x00000000,0x00000000,0x00000000}},	//   _saħq, --, --, --, 
   {{0x26cc01ee,0x68300219,0x533348d7,0xad9b007a}},	//   _çdo_, rädd, мешт, niúc, 
   {{0x672e02a8,0xe6170093,0xd5ad0019,0x00000000}},	//   _izbj, _ддс_, _مہم_, --, 
   {{0x656200a9,0xc05a004f,0xcfa61616,0xdfa60477}},	//   mboh, шій_, ошни, ојно, 
   {{0x33d50769,0x9f5e0034,0x6d56025b,0x6562925b}},	//   _ніхт, mitë_, _afya, lboh, 
   {{0x245000e7,0x69c6513c,0x9f5e021e,0x9f4500da}},	//   _hàm_, _onke, litë_, chlí_, 
   {{0x29dc00e9,0x7bda811c,0xbcfb0175,0x00000000}},	//   _mías_, ötun, daér, --, 
   {{0x9f5e0034,0xceb80028,0x00000000,0x00000000}},	//   nitë_, svę_, --, --, 
   {{0x6b9b0062,0x212b0380,0x245001be,0xf99f0118}},	//   đugo, üche_, _màm_, _tjèk_, 
   {{0x24500124,0xf96b0141,0x236c0082,0xdce60b03}},	//   _làm_, ирай_, _medj_, rakā, 
   {{0x5c750b46,0xa2b21aab,0x3cfc007e,0xdce601dd}},	//   _елит, _आनन्, _लेवे_, sakā, 
   {{0x68fb0228,0x7bd700ad,0xe89400c8,0xa3ea0299}},	// [e450] _ľuds, _toxu, мать, मसा_, 
   {{0x69c67147,0xcd340038,0x3f8c04f4,0x9f5e0034}},	//   _enke, _غريب, ngdu_, ditë_, 
   {{0xac38007a,0x799d018e,0x6d4802d9,0xbcfb0096}},	//   _بسيط_, _tbsw, ědav, paés, 
   {{0x29dc127e,0xdb1e03a1,0x9f5e024a,0x68300219}},	//   _días_, _topò, fitë_, väde, 
   {{0x24f802f3,0x8cbe0083,0x6fbc0110,0x798d018e}},	//   онцы_, शियो, ्ञां, mgaw, 
   {{0xf8bf04b3,0x493a00a7,0x683002ae,0xf8da00d1}},	//   _iré_, _לגרו, täde, _החשמ, 
   {{0x81b400cc,0x9f5e022c,0x4b7c0070,0x2fc90210}},	//   ঞান_, mitè_, באוו, _đag_, 
   {{0xf1b91993,0x34951911,0x9f5eb849,0x683037e9}},	//   koše_, _набр, litè_, räde, 
   {{0x24580080,0x657b0610,0x798d018e,0x9f5e021e}},	//   _мать_, _iduh, igaw, citë_, 
   {{0xf1b900d2,0x7ddf00e5,0x645b02be,0x68300eec}},	//   doše_, _mësu, _itui, päde, 
   {{0x7a050009,0xa3b82727,0x798d01e5,0x37bd0033}},	//   lėtu, _باقر_, kgaw, _আকার, 
   {{0xd1b81930,0xcfe900d4,0x44271562,0x78ad2843}},	//   _وانا_, _گفته_, lln_, kwav, 
   {{0xf1b9015e,0x60c462cc,0x6e92010e,0x660b0a13}},	//   goše_, _àimp, ولیا, ingk, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xab2a4d45,0x9f5e024a,0xf8bf011c,0xee490023}},	//   сова_, zitë_, _aré_, _kẽm_, 
   {{0xad9b0084,0x29dc03da,0x798d33c9,0x8b660116}},	//   riúc, _rías_, ggaw, _کاظم, 
   {{0x98a30650,0xf1b900d2,0x4427016a,0xf8bf007a}},	// [e460] ните, coše_, kln_, _cré_, 
   {{0x29dc0042,0x657b016c,0xf99f05d5,0xf8bf039b}},	//   _pías_, _aduh, _ebè_, _dré_, 
   {{0xba76022a,0x24500108,0x2bf700d1,0x236c040b}},	//   _عادت, _sàm_, _זמין_, _redj_, 
   {{0x29dc0503,0x645b00a1,0x9f5e0034,0x69c614a1}},	//   _vías_, _btui, titë_, _unke, 
   {{0x649ad675,0x657b012b,0x628310f3,0x69da0212}},	//   стер_, _dduh, erno, êteu, 
   {{0x386004bb,0x9f5e00e5,0xa5330c8b,0x29dc00e9}},	//   mpir_, ritë_, хніч, _tías_, 
   {{0x46a30a27,0x9f5e024a,0xd25716d0,0x7ddf0034}},	//   _парв, sitë_, пцы_, _këst, 
   {{0x9f5ed676,0x3a2200e2,0x2fc74742,0x24500210}},	//   mité_, _jkkp_, _anng_, _tàm_, 
   {{0x9f5ed677,0x3cfc14b3,0x764e012b,0xb034d678}},	//   lité_, _लेले_, _huby, мниш, 
   {{0xb4d809d3,0x6602d679,0x443801fd,0x764e3b4a}},	//   ाही_, liok, _òr_, _kuby, 
   {{0xdefa1088,0x9f5e1fda,0x81460881,0x798d0102}},	//   сып_, nité_, _فنان, ygaw, 
   {{0x63aa008c,0x78ad016a,0x764e3b4a,0x2fc702a5}},	//   lefn, ywav, _muby, _enng_, 
   {{0xdb1e0237,0x764ed67a,0x628a0080,0x6298d67b}},	//   _anpà, _luby, lufo, ltvo, 
   {{0x764e0cd7,0x63aa008c,0x307b008d,0x765ca56a}},	//   _ouby, nefn, _פאונ, _otry, 
   {{0x628ad67c,0x201ed67d,0x62980aa7,0x798dd67e}},	//   nufo, moti_, ntvo, tgaw, 
   {{0x201ed67f,0xf8bf4f0e,0x9f5e026a,0x78ad052b}},	//   loti_, _pré_, dité_, twav, 
   {{0x6602d680,0xdd93004e,0x798d018c,0x2c2700dd}},	// [e470] diok, _жақы, rgaw, _ньог, 
   {{0x201ed681,0x9f47026e,0x764ed682,0x9f5e0212}},	//   noti_, _plné_, _buby, fité_, 
   {{0x645bd683,0xd6db0093,0x63aa0156,0x3dc93ebc}},	//   _stui, щта_, defn, _knaw_, 
   {{0x764ed684,0xa2c017dc,0xf8bf2948,0xbec30028}},	//   _duby, विन्, _tré_, _žūkl, 
   {{0x3e4c000d,0x628302bf,0x3a29039f,0x629801da}},	//   _děti_, wrno, mlap_, etvo, 
   {{0x0fe70086,0x7a050009,0x3a29d685,0x224600b4}},	//   _পদ্ধ, rėtu, llap_, _aiok_, 
   {{0x9f5ed686,0x201e5725,0xe2990ff6,0x764e07fc}},	//   cité_, doti_, цай_, _guby, 
   {{0x2480003a,0x60c4d687,0x200c00b0,0xc8d13024}},	//   šima_, _šima, endi_, _सपाट, 
   {{0x6b9c02bf,0x645b0102,0x3a29011d,0x224600b4}},	//   yfrg, _utui, ilap_, _diok_, 
   {{0x201ed688,0xb4e90a20,0x00000000,0x00000000}},	//   goti_, मनी_, --, --, 
   {{0x3a29d689,0xe7f502c3,0x683000c2,0x78b801dd}},	//   klap_, _इतना_, näda, āvvi, 
   {{0x200c3446,0xed5707f4,0x2246167c,0x3c2402ae}},	//   andi_, мою_, _giok_, hövt_, 
   {{0xee3714d3,0x51840664,0x3a295bf2,0x41740e0e}},	//   ьню_, _чуха, dlap_, _سانس, 
   {{0xfaa6d68a,0x660201f1,0x9b570148,0xddc402a5}},	//   маго, ziok, диёт_, _kiiŋ, 
   {{0x8c43121b,0x320d15ad,0xef1f0095,0x9f5e0212}},	//   тере, oney_, şüb_, xité_, 
   {{0x9f5e0518,0x3d190ead,0x764e02b8,0xad9b0038}},	//   vité_, _युके_, _ruby, liún, 
   {{0xd37800f1,0x765cd68b,0xd7c902f8,0x6e24024d}},	// [e480] _hoće_, _stry, रांच, _ikib, 
   {{0x66e62965,0x9f5eae65,0x77830cd9,0xad9b007a}},	//   моза, tité_, клуз, niún, 
   {{0x86c60084,0x386000f6,0x644f0126,0x4e0237c0}},	//   بيان, spir_, _écij, _लगाई_, 
   {{0x9f5e0518,0x452a0650,0xad9b0038,0x7d7b0070}},	//   rité_, ожен_, hiún, ַנצו, 
   {{0xb4d8190a,0x201e00cf,0x9f5e026a,0x776e006d}},	//   ाहे_, yoti_, sité_, _tebx, 
   {{0xd25a1297,0x6602d68c,0x320d72b1,0x764e1bc1}},	//   оци_, siok, eney_, _tuby, 
   {{0x765cd68d,0x201ed68e,0xf7431f28,0xdb07d68f}},	//   _utry, voti_, _аеро, tejé, 
   {{0x628a0065,0x62985a83,0x320d20e5,0x69d6d690}},	//   rufo, rtvo, gney_, njye, 
   {{0x629803f5,0x68e4d691,0x628a02fe,0x3ea90ab4}},	//   stvo, nyid, sufo, _ćata_, 
   {{0x6e2404bb,0x66000102,0xad9b0038,0xff9802a6}},	//   _akib, _hmmk, giún, чкој_, 
   {{0x3c24014e,0x68e443db,0x3a290008,0xdef700e4}},	//   hövs_, hyid, ylap_, дыя_, 
   {{0x6e36a62a,0x201ed692,0xd3780372,0x00e60515}},	//   _chyb, soti_, _doće_, _ожен, 
   {{0x201e219f,0x6448d693,0xdb0ed694,0x00000000}},	//   poti_, _kidi, ndbæ, --, 
   {{0xdf0a1628,0x6e240a8b,0x64480300,0x7fb8009c}},	//   _мэйл_, _ekib, _jidi, _رهبر_, 
   {{0x6448d695,0x60c26871,0xf1b90097,0x248612df}},	//   _midi, _hrom, loša_, hrom_, 
   {{0x60c2d696,0x1de3000c,0x8cc60a34,0x2d8f02c9}},	//   _krom, _पवित, ामखो, _øge_, 
   {{0x3cb408ad,0x7b672cdb,0x6448007a,0xb4d8072d}},	// [e490] _айыр, _отне, _oidi, ाहो_, 
   {{0x3a29d697,0x644800a9,0x24864604,0x6e3d0844}},	//   slap_, _nidi, drom_, lmsb, 
   {{0x60c20026,0x9f4c0126,0xf4140033,0x7c250175}},	//   _lrom, lidó_, িতার_, _ikhr, 
   {{0x6448d698,0x60c22c90,0x68300219,0x00000000}},	//   _aidi, _orom, räda, --, 
   {{0x6448055a,0xb4e908e1,0xd469d2a9,0x6d4d0102}},	//   _bidi, मने_, чиле_, _mgaa, 
   {{0x69ddd699,0xc7c400a3,0xdb17009e,0x00000000}},	//   _hose, _исси, _raxê, --, 
   {{0x6448d69a,0x6d4d052b,0x387e01dd,0x7c250532}},	//   _didi, _ogaa, _ātri_, _mkhr, 
   {{0x60c2d69b,0x6d4dd69c,0x9e480228,0xf770006b}},	//   _brom, _ngaa, _keďž, _ماہ_, 
   {{0x69ddd69d,0x6448d69e,0x6e360156,0x320dd69f}},	//   _mose, _fidi, _rhyb, rney_, 
   {{0x60c2d6a0,0x6448d6a1,0x6d4d01a3,0x6e24d6a2}},	//   _drom, _gidi, _agaa, _skib, 
   {{0xad9b00eb,0x60c2d6a3,0xa2c0009a,0xdee50240}},	//   riún, _erom, विण्, хони, 
   {{0x69ddd6a4,0xad9b0084,0x7c25044d,0xd37808b1}},	//   _nose, siún, _akhr, _voće_, 
   {{0x76490065,0x3a20012b,0x60c2d6a5,0xad9b0038}},	//   _miey, voip_, _grom, miúl, 
   {{0xe51000b0,0x64480508,0x76490065,0x6e3d8fdd}},	//   ़पति_, _xidi, _liey, amsb, 
   {{0x2005d6a6,0xf1d306ea,0x161f07bd,0xada61dd5}},	//   mili_, थापन, यकार_, _зайл, 
   {{0xf2d20138,0x61e964a3,0x69ddd6a7,0xa2c04437}},	//   נען_, nkel, _cose, वित्, 
   {{0x69dda0e6,0xa84a57c8,0xb4e900bd,0x61e9d6a8}},	// [e4a0] _dose, سلام_, मनो_, ikel, 
   {{0x5fb70586,0x61e9d6a9,0xd7f9004f,0x68f60035}},	//   _असफल, hkel, мує_, rzyd, 
   {{0x61e9d6aa,0x69ddd6ab,0x2c01001c,0x7bde01d8}},	//   kkel, _fose, _түрм, _iopu, 
   {{0x7ae12ca6,0x69dd4c67,0x20057170,0x61e901d2}},	//   älte, _gose, hili_, jkel, 
   {{0x7bded6ac,0x6448d6ad,0x439400c8,0x7529016c}},	//   _kopu, _pidi, валс, _cyez, 
   {{0x2005d6ae,0x2480d6af,0x644802f1,0x2486d6b0}},	//   jili_, šimo_, _qidi, rrom_, 
   {{0x644809c4,0x7bde0149,0x2486d6b1,0x61e91a77}},	//   _vidi, _mopu, srom_, fkel, 
   {{0xe643c5c3,0x69ddd6b2,0x7bde0088,0x6448d6b3}},	//   _бесп, _xose, _lopu, _widi, 
   {{0x64480750,0xa3d0051f,0x31570038,0x09c50033}},	//   _tidi, षाद_, رجية_, _একমা, 
   {{0x20050c05,0x30131b17,0xa2c00e17,0x9f4c310e}},	//   gili_, лдыр, विद्, vidó_, 
   {{0x211a125e,0xf1b9c757,0x9f5e0038,0x1b050033}},	//   _کتاب_, soša_, ontú_, _শুনে_, 
   {{0x61e90991,0xc33300d1,0xad9b0038,0x00000000}},	//   ckel, _עוף_, ciúl, --, 
   {{0x2005d6b4,0xafe6117c,0x7bded6b5,0x9ccb012d}},	//   bili_, _подл, _bopu, чына_, 
   {{0x69ddd6b6,0x63ba0574,0x61431dbd,0x9f4c02be}},	//   _sose, _jatn, _сеча, ridó_, 
   {{0x63ba70be,0x09c50086,0xf1c5031e,0x68300219}},	//   _matn, _একবা, वाचन, tädn, 
   {{0xf1a611bd,0x69ddd6b7,0x3cfc0077,0x99cf0086}},	//   _कॉमन, _qose, _लेके_, রস্ক, 
   {{0x76490065,0x9f5e001d,0x41b802e6,0x04f20033}},	// [e4b0] _riey, hití_, _आसनस, জপুর_, 
   {{0x7c2540fc,0xf7701b44,0x69dd044d,0x61e9ac0a}},	//   _ukhr, مام_, _wose, zkel, 
   {{0x57a445b8,0xb4e90299,0x569500c8,0x61e9d6b8}},	//   ышта, मन्_, тает, ykel, 
   {{0x7bde019b,0x75290118,0x2b1a00bc,0x00000000}},	//   _zopu, _pyez, _मुटु_, --, 
   {{0x4425d6b9,0xb4bd109f,0x61e90082,0x7bded6ba}},	//   _pkl_, ेमे_, vkel, _yopu, 
   {{0x03a5412e,0x63ba2d38,0x23294484,0x20050095}},	//   тико, _catn, моли_, xili_, 
   {{0x61e9d6bb,0xb5a72f1c,0x2054005e,0x25a40082}},	//   tkel, _прай, қтыр, _fbml_, 
   {{0x2005d6bc,0x63a400ef,0x163500c8,0x68300380}},	//   wili_, đina, _ребя, hädl, 
   {{0x61e95825,0x34950161,0x63bad6bd,0x4425307d}},	//   rkel, _шаар, _fatn, _tkl_, 
   {{0x61e9946a,0x63ba01d5,0xe9df00eb,0x4425016a}},	//   skel, _gatn, _siúl_, _ukl_, 
   {{0x2005d6be,0x35c60394,0x2ca97b69,0xbcfb0068}},	//   rili_, _रोड़, _apad_, ncéf, 
   {{0x63ba00e2,0x1d0a384a,0x7bdec881,0xfce61d05}},	//   _zatn, деми_, _sopu, вомо, 
   {{0xad9b02aa,0x5ff50593,0x63ba1032,0x00000000}},	//   ciúm, _изду, _yatn, --, 
   {{0xbfa2009e,0xafe20080,0x00000000,0x00000000}},	//   şêri, _вошл, --, --, 
   {{0xab279bdc,0xcdc4005e,0x00000000,0x00000000}},	//   вора_, _байқ, --, --, 
   {{0x7bde0532,0xccc603a1,0x00000000,0x00000000}},	//   _wopu, _абий, --, --, 
   {{0x7bded6bf,0x25bd02bf,0x67350405,0x3eb901dd}},	// [e4c0] _topu, ddwl_, _azzj, āstu_, 
   {{0x98a3226b,0xdb1c024a,0xf1b90243,0x00000000}},	//   рифе, ndrë, košo_, --, 
   {{0x63ba090b,0xc81502fb,0xf9869e7f,0xf1b901dd}},	//   _ratn, уєть, _игно, jošo_, 
   {{0x63ba0704,0x7c2e1af5,0xdb0e02ae,0xf1b90243}},	//   _satn, llbr, rdbä, došo_, 
   {{0x63bad6c0,0x2b0602c3,0x00000000,0x00000000}},	//   _patn, _हेतु_, --, --, 
   {{0x63ba02f1,0xdb0702d9,0x87b9d6c1,0x82a60080}},	//   _qatn, zejí, _пуст_, вшие, 
   {{0xfba4143e,0x63ba25f2,0x00000000,0x00000000}},	//   ख्यम, _vatn, --, --, 
   {{0xbbdf2649,0xdb0500da,0x00000000,0x00000000}},	//   _नक्क, _nahý, --, --, 
   {{0x63ba01f2,0x5edf0033,0xa4463dd8,0x00000000}},	//   _tatn, _ফেলে, _анад, --, 
   {{0x1da50e7d,0xef1f027e,0x9ed802a0,0x4fc60176}},	//   ग्नत, ğün_, емот_, тсиа, 
   {{0x2ca90065,0xef1f06a2,0xd36f009c,0x00000000}},	//   _spad_, şün_, _ذهن_, --, 
   {{0x2489d6c2,0x7e7a1a0d,0xdb1c0034,0x067b0070}},	//   šame_, rstp, adrë, ונטל, 
   {{0x5c070141,0x6fb60038,0xdb070369,0x50b61f9a}},	//   вява, _لمشا, rejí, _अनिष, 
   {{0xdb07031e,0xdb17010c,0x6e940176,0x00000000}},	//   sejí, _daxî, _бику, --, 
   {{0x9f5e741d,0x201951b5,0x2bd51779,0x3ced3eeb}},	//   mità_, ésie_, दाबा, šev_, 
   {{0x9f5e6e80,0x996427be,0x20b60249,0x00000000}},	//   lità_, итул, _अनाध, --, 
   {{0x6d5d010e,0x10170019,0x6d5f01f2,0x995400d9}},	// [e4d0] mcsa, _سکیں_, _ifqa, ркуц, 
   {{0x9f5e3277,0x683002ae,0x109b00d1,0xd9440bad}},	//   nità_, lädj, ובמב, ређи, 
   {{0xf7708bf4,0x00000000,0x00000000,0x00000000}},	//   زال_, --, --, --, 
   {{0x9f5e0054,0x6d5d010e,0x80b70c73,0x00000000}},	//   hità_, ncsa, ्टमे, --, 
   {{0x69cfd6c3,0x1da517dc,0x4584004f,0x64a57289}},	//   _ince, ग्यत, ргів, уала, 
   {{0x59d100c9,0xe29900b3,0xa8a42170,0xf1b90243}},	//   हावर, еак_, _трюк, tošo_, 
   {{0x36d4d6c4,0x9f5e3e50,0xa2c000ab,0xa3d902e6}},	//   _корр, dità_, विष्, डॉग_, 
   {{0xd37815ed,0x442e0511,0x850400a2,0xf485010e}},	//   _voća_, alf_, _शेवट_, _مائی, 
   {{0xbcfbd51a,0xc61f009a,0x00000000,0x00000000}},	//   ncéd, यकीय_, --, --, 
   {{0xa2c00367,0x9f5e0036,0x9f45007a,0xdb0e00f6}},	//   विश्, gità_, mhlú_, bebè, 
   {{0xa300004e,0x69cfd6c5,0xa3d00f64,0x24590210}},	//   _мүше, _once, षार_, _hèm_, 
   {{0x765500ab,0x2459001b,0xa2c052c2,0x00000000}},	//   _muzy, _kèm_, विर्, --, 
   {{0xe0ce4387,0x2d9e0035,0x245903a0,0x00000000}},	//   _ув_, ęte_, _jèm_, --, 
   {{0x9f5e048a,0x24598a75,0x2d9e00bc,0x76550237}},	//   cità_, _mèm_, řte_, _ouzy, 
   {{0x657900c3,0xf8bf0019,0x3eb901dd,0xcf240e13}},	//   kawh, _szép_, āsts_, _پروي, 
   {{0xdb1cd6c6,0x7ae102ae,0x00000000,0x00000000}},	//   ndré, älta, --, --, 
   {{0x07a63cf1,0xdb0e003e,0x245901e5,0x6e26039f}},	// [e4e0] лаан, ndbú, _nèm_, mokb, 
   {{0xb8dc36bc,0x67f2008c,0x6e26d6c7,0x46f61fc7}},	//   _आन_, _bæja, lokb, лчет, 
   {{0x9f5e00da,0xe7f50299,0x18a3d6c8,0x00000000}},	//   nitá_, _इतरा_, _қарм, --, 
   {{0xd5b9d6c9,0x80a400b0,0x00000000,0x00000000}},	//   ксі_, _कहले, --, --, 
   {{0x2eb075c2,0xbcfb0212,0xf8bf0096,0xa4d4017b}},	//   _जन्त, ccéd, _nyéh_, ролі, 
   {{0x63a402fe,0xd7f2007a,0x6e2601d2,0x00000000}},	//   đino, _اكس_, hokb, --, 
   {{0xe73722af,0x9f5ed6ca,0x58050259,0x2bd50484}},	//   _бер_, vità_, _торғ, दाता, 
   {{0x24590300,0x628a1bde,0x2ba400c9,0xdb0e12e6}},	//   _fèm_, rrfo, ख्ता, gebé, 
   {{0x9f5e9f0b,0x463b00c7,0xd46a01a2,0xe45f0241}},	//   tità_, _טעלע, _чизе_, _çöp_, 
   {{0x527638aa,0x09e12360,0xad9b00eb,0x21f1014b}},	//   _буду, _नव्य, miúi, _váha_, 
   {{0x9f5e2ba1,0x25fb0c14,0x29dc0b6f,0x8f348518}},	//   rità_, लोकी_, _díaz_, ренц, 
   {{0x9f5e0093,0x867b00d1,0x99890083,0x24590300}},	//   sità_, ערכו, znał_, _yèm_, 
   {{0xcd0745b4,0xae041df3,0xad9b0038,0x9f5e022c}},	//   учни, शोधन_, niúi, pità_, 
   {{0x6c541fd5,0x61e20077,0xab950886,0x30830038}},	//   скру, _hool, јављ, _الوف, 
   {{0xc4c4d6cb,0xad9b0038,0x9f5e35a2,0xf1b8093a}},	//   _کے_, hiúi, citá_, _आसान, 
   {{0x82770070,0x00000000,0x00000000,0x00000000}},	//   טעלע_, --, --, --, 
   {{0xb6060304,0xcfb70033,0x26e20033,0x00000000}},	// [e4f0] _mašć, জারন, _গেলো_, --, 
   {{0x61e23f0d,0xad9b0038,0xb60600ca,0x24590023}},	//   _lool, diúi, _lašć, _rèm_, 
   {{0x657902dc,0x26c70684,0xf77083da,0x24591da2}},	//   tawh, íno_, ثاق_, _sèm_, 
   {{0x61e2621c,0x99800032,0x69cf00df,0x24590118}},	//   _nool, tliť_, _unce, _pèm_, 
   {{0x6579d6cc,0xad9b00eb,0xdb173146,0xa3d002a2}},	//   rawh, giúi, _maxí, षां_, 
   {{0x3206d6cd,0x62657598,0x00000000,0x00000000}},	//   _amoy_, авка, --, --, 
   {{0xb6060242,0xf8bf0175,0x42d500f0,0x6b85040c}},	//   _bašć, _syéh_, рілу, _mdhg, 
   {{0x11e52916,0x245906df,0x61e2d6ce,0x9f5e0098}},	//   ржим, _tèm_, _cool, vitá_, 
   {{0x61e2881c,0xad9b0038,0x20540528,0x660baa2b}},	//   _dool, ciúi, йтэр, migk, 
   {{0x660b53cc,0x32060175,0x249f00c3,0xef1f035d}},	//   ligk, _emoy_, _iqum_, şüm_, 
   {{0x02d9086b,0x3ea5c28a,0x3255269c,0x4427d6cf}},	//   _جواب_, шинг, _твер, mon_, 
   {{0x61e23251,0x660b40f0,0x6cc63c11,0x644302e2}},	//   _gool, nigk, айма, lmni, 
   {{0x4427d6d0,0x7ae101c4,0x200b0107,0x249f00c3}},	//   oon_, ältn, écis_, _jqum_, 
   {{0x4427d6d1,0x1ef900eb,0x3869520a,0x64430038}},	//   non_, _لعبة_, dpar_, nmni, 
   {{0xab2a620d,0x6443d6d2,0x3b0703dc,0x4427d6d3}},	//   това_, imni, аеро_, ion_, 
   {{0x4427d6d4,0x248016fb,0xdb1e00e5,0x60c40e67}},	//   hon_, šimi_, _hapë, _šimi, 
   {{0xa80635d3,0x975602a6,0x660b0380,0x6b9b0097}},	// [e500] азал, атељ, digk, đugr, 
   {{0x4427d6d5,0x644300ab,0xbc7b00d1,0xd776007a}},	//   jon_, jmni, _שנית, شائع, 
   {{0x25bfd6d6,0xa9a6198b,0xf99f03a0,0x198a8217}},	//   _baul_, _кинд, _imèn_, _ибни_, 
   {{0xe5a6bb86,0xad9b00eb,0x76420532,0x660b61dd}},	//   риди, tiúi, umoy, gigk, 
   {{0x649a1b17,0xf3845327,0x6281d6d7,0x61e203f0}},	//   ттер_, йғам, _avlo, _rool, 
   {{0x4427d6d8,0x61e214b9,0xad9b0038,0x68220032}},	//   gon_, _sool, riúi, hôdz, 
   {{0x66e63b59,0xad9b00eb,0x660bd6d9,0xb6060ab4}},	//   _това, siúi, bigk, _pašć, 
   {{0x25bf41ee,0x20070065,0x2489d6da,0x61e20415}},	//   _gaul_, _amni_, šama_, _qool, 
   {{0x4427d6db,0xdfd00084,0x94a908cb,0x61e200b0}},	//   bon_, كية_, _مطلق_, _vool, 
   {{0x20070065,0x4427558a,0x42ea0258,0xb6050098}},	//   _cmni_, con_, _имзо_, _višň, 
   {{0xdefa1472,0x201900d3,0x61e2579f,0x3fc811b7}},	//   тып_, ésia_, _tool, ندگی_, 
   {{0x10a64eb1,0x28c90cb8,0xf99f05d5,0x443ecb35}},	//   _видн, रिमि, _amèn_, _hht_, 
   {{0x442cc677,0x443ed6dc,0x00d70499,0x00000000}},	//   _kkd_, _kht_, _نبوت_, --, 
   {{0x998900ab,0x26fc0086,0x38690218,0x442c00ca}},	//   znań_, _এখনো_, vpar_, _jkd_, 
   {{0x7ac41d3c,0x200cd6dd,0x443ed6de,0xaae8004f}},	//   осте, midi_, _mht_, аєте_, 
   {{0x200cd6df,0x4427d6e0,0x443e8530,0x7bda2692}},	//   lidi_, zon_, _lht_, ötur, 
   {{0x4427d6e1,0x6e2d0199,0xa3b60035,0xb4b500c9}},	// [e510] yon_, _ikab, ज़ा_, _जने_, 
   {{0x44275975,0xb767a1a4,0x28c900b0,0xb8ff031e}},	//   xon_, ртай, रिबि, _थप_, 
   {{0x660b02f2,0xa3d0007e,0xe945009c,0x25bfd6e2}},	//   tigk, षाई_, _گردی, _paul_, 
   {{0x4427d6e3,0x200c086d,0x386905a1,0x2d99d6e4}},	//   won_, hidi_, ppar_, ngse_, 
   {{0xd49bd6e5,0x443e03c8,0x442c1f87,0x2ba400a5}},	//   тре_, _bht_, _bkd_, ख्वा, 
   {{0x660b01c4,0x200c02a5,0x8428017b,0x25fb1ad9}},	//   sigk, jidi_, ажів_, लोजी_, 
   {{0x442700e2,0x68edd6e6,0x443e0626,0x200cd6e7}},	//   ron_, lyad, _dht_, didi_, 
   {{0x4427d6e8,0x40952756,0xef1f027e,0x6e2d0199}},	//   son_, брот, şük_, _nkab, 
   {{0x68edd6e9,0x66090010,0x4427d6ea,0x316d0126}},	//   nyad, _imek, pon_, rbez_, 
   {{0x753b00f1,0x6e2d0f06,0x44273bb9,0x200c6db4}},	//   _izuz, _akab, qon_, gidi_, 
   {{0x28c90299,0xbddb011c,0x00000000,0x00000000}},	//   रिडि, rmèn, --, --, 
   {{0x7c3e01ee,0xc6920137,0xa1598a22,0xcfb70033}},	//   _shpr, האט_, _саду_, জাইন, 
   {{0x661bd6eb,0x200cd6ec,0x61fb098d,0x320d0065}},	//   _mjuk, bidi_, mhul, miey_, 
   {{0x200cd6ed,0x2d990a58,0x661b0082,0x320d0065}},	//   cidi_, agse_, _ljuk, liey_, 
   {{0x6e9520ec,0xa3a905f6,0x6609d6ee,0x5e9500eb}},	//   _العا, ग्य_, _omek, _العط, 
   {{0x661bd6ef,0x320d0640,0x68ed1240,0x00000000}},	//   _njuk, niey_, fyad, --, 
   {{0x81cc0086,0x17862f77,0xf99f0300,0x18670176}},	// [e520] _রকম_, йгам, _imèl_, йати_, 
   {{0x66090010,0x994700d9,0xdb1c325b,0x60db0183}},	//   _amek, спуб_, ldrí, ixum, 
   {{0x61fb030b,0x5b5700c7,0xd378443c,0x2bd5009a}},	//   khul, _לייב_, _reć_, दारा, 
   {{0xdb1c050c,0x200c0010,0xd71900e6,0x68ed813d}},	//   ndrí, zidi_, _दशरथ_, byad, 
   {{0x61fbd6f0,0x68ed0354,0x661b2873,0xd37800d0}},	//   dhul, cyad, _djuk, _peć_, 
   {{0x29000010,0x6609d6f1,0x443e00ad,0x69c4d6f2}},	//   mzia_, _emek, _qht_, ldie, 
   {{0xd37802f5,0x200c048a,0x6d56052b,0x60cb00a1}},	//   _već_, vidi_, _ogya, _argm, 
   {{0x61fbd6f3,0x69c4d6f4,0xdb1e2ec6,0x200cd6f5}},	//   ghul, ndie, _capé, widi_, 
   {{0x2900d6f6,0x78a401d8,0x442c00ef,0x443e018e}},	//   nzia_, ntiv, _tkd_, _tht_, 
   {{0x6e2d01cc,0x28c912e3,0xd1ca00f0,0x200c0054}},	//   _skab, रिति, _әлде_, uidi_, 
   {{0x5f3802fb,0x200cd6f7,0x78a406a6,0xdd9136a7}},	//   рпня_, ridi_, htiv, وود_, 
   {{0x61fbd6f8,0x200cd6f9,0x60c402c7,0x68ed0054}},	//   chul, sidi_, _šimu, yyad, 
   {{0x69c40405,0x2d99d6fa,0x200cd6fb,0xa2c00b4a}},	//   ddie, rgse_, pidi_, विक्, 
   {{0x6d5619ea,0x69c401dd,0xf99f0118,0x2900d6fc}},	//   _egya, edie, _emèl_, dzia_, 
   {{0xec340b0c,0xcfa900d4,0x6e2d003d,0x69c4000b}},	//   їнсь, _خانم_, _tkab, fdie, 
   {{0x6e2dd6fd,0xf1b900e0,0x69c4d6fe,0x5a3508af}},	//   _ukab, toši_, gdie, інат, 
   {{0x7c970071,0x998900ca,0x00000000,0x00000000}},	// [e530] _اشعا, glaš_, --, --, 
   {{0xa8a41c0f,0x661b05a1,0x1da510da,0xf1b903f9}},	//   ярск, _sjuk, ग्रत, roši_, 
   {{0x76b90f6b,0x68edd6ff,0x2900d700,0xf1b903f9}},	//   рлер_, syad, azia_, soši_, 
   {{0xd24600c5,0x9999012d,0xe7f5009a,0x680f0028}},	//   _زن_, _visų_, _इतका_, _sėdė, 
   {{0x78a4d701,0xd12604bc,0x03950243,0x00000000}},	//   ctiv, _آم_, žīmā_, --, 
   {{0x2489d702,0xf8bf6310,0x60cb0054,0xdb1e00d4}},	//   šamo_, _isé_, _rrgm, _sapé, 
   {{0x61fbd703,0xdb1e0165,0xa2c00299,0xe945009c}},	//   thul, _papé, विग्, _درگی, 
   {{0xa5f81c0f,0x66090053,0x60db01d6,0x69c004f4}},	//   _лесу_, _umek, txum, _ómet, 
   {{0x201902aa,0x25ad0175,0x753b016c,0x00000000}},	//   ésio_, _ibel_, _uzuz, --, 
   {{0x61fb0f77,0x60093d5b,0x69c40228,0x657b033e}},	//   shul, рном_, zdie, _heuh, 
   {{0x623539f9,0x657b6a53,0x61fb044d,0x60c40009}},	//   _дежу, _keuh, phul, _šimt, 
   {{0x9f4500bc,0xf8bf0151,0x645baf03,0x62832a0c}},	//   chlý_, _osé_, _kuui, msno, 
   {{0xc0e50a2b,0x6283032a,0x657b7e1f,0x60cb0096}},	//   _фолк, lsno, _meuh, _urgm, 
   {{0x657bd704,0x645b019c,0xda66007a,0x60c90027}},	//   _leuh, _muui, قاري, mvem, 
   {{0x60c9d705,0xcdc60cdf,0xf8bf0354,0x1ea800d7}},	//   lvem, _ҳаққ, _asé_, _هايي_, 
   {{0x78a4d706,0x6d56006b,0x290002ba,0xbcfb00eb}},	//   ttiv, _ugya, tzia_, scéa, 
   {{0x69c4d707,0xf1b224ea,0x2900a9cb,0x00000000}},	// [e540] rdie, וסן_, uzia_, --, 
   {{0x69c4d708,0x25add709,0x29000187,0x9cb3009c}},	//   sdie, _abel_, rzia_, _کمیت, 
   {{0xbcfbd70a,0x569300dd,0x657b033e,0x69c49731}},	//   ncén, даєт, _beuh, pdie, 
   {{0x645bd70b,0x64413714,0xad9b0038,0x6283039b}},	//   _buui, _ahli, liúr, dsno, 
   {{0x6441003c,0xa3b6000f,0x21f8010e,0x657b0096}},	//   _bhli, ज़ल_, _néha_, _deuh, 
   {{0x656204a1,0x326682ae,0x6441d70c,0x20190107}},	//   scoh, отив, _chli, ésil_, 
   {{0xfc3f1056,0xa2bd2f41,0x2bcb031e,0x64410a69}},	//   ntía_, _वैद्, ायता, _dhli, 
   {{0xd37802f5,0x657b0175,0x6441d70d,0x00000000}},	//   _moći_, _geuh, _ehli, --, 
   {{0x41a617f6,0xef1801dd,0xf1b901dd,0x64413afc}},	//   क्षस, daļa_, jošu_, _fhli, 
   {{0xb4d60fec,0x765cd70e,0xdb0e01d5,0x4346049b}},	//   िमी_, _kury, ndbó, _дезв, 
   {{0xd37803ef,0x51860259,0x2bde055d,0x765cd70f}},	//   _noći_, _дула, माना, _jury, 
   {{0x765c0199,0x64410032,0x63b805ff,0xf1a60f64}},	//   _mury, _zhli, levn, क्शन, 
   {{0x6298d710,0x5c7406b3,0x00000000,0x00000000}},	//   luvo, млят, --, --, 
   {{0x63b8d711,0xc04fd712,0xdb15010e,0x625500c3}},	//   nevn, _іі_, lezé, _iġor, 
   {{0xc1ee05fd,0x39500248,0x62981f25,0xa2c008c6}},	//   _जवाब_, ənsə_, nuvo, विट्, 
   {{0xd37802f5,0x91fc01dd,0x195809d9,0xee0814b7}},	//   _doći_, _stāj, жаты_, _мејл_, 
   {{0x777c010c,0x80cd109f,0xb0bc02e6,0x2e32003e}},	// [e550] _berx, तिये, ्टिग, gáfu_, 
   {{0x63b8d713,0x765c024d,0xf7700071,0xdb170095}},	//   jevn, _bury, نام_, _naxç, 
   {{0xd6dbd714,0xdb15006b,0x777c0218,0x7bd7d715}},	//   шта_, kezé, _derx, _inxu, 
   {{0x6441d716,0x7bc5d717,0xdb15010e,0x7bc7d718}},	//   _shli, _hahu, jezé, ldju, 
   {{0x7bc53290,0x9f4c0038,0xdb1762a6,0x70a900b0}},	//   _kahu, ghdú_, _baxç, _कहेल, 
   {{0x39590864,0x7bc7010e,0x6283486a,0x7bc500b0}},	//   _hgss_, ndju, tsno, _jahu, 
   {{0x7bc5d719,0x058702f1,0x527500d3,0x28c91ad9}},	//   _mahu, _муам, чулу, रिवि, 
   {{0x409578ed,0xdb1cd71a,0x7bc5d71b,0xa2c04f69}},	//   прот, ndrá, _lahu, विज्, 
   {{0x6283050a,0xfbcb52c2,0x3495b54f,0x21670176}},	//   ssno, ायाम, _хазр, биқи_, 
   {{0x7bc5d71c,0xaf050141,0x60c9d71d,0x26c50126}},	//   _nahu, зпол, rvem, _álos_, 
   {{0xed5a48b1,0x60c90242,0x7bc72407,0x00000000}},	//   йон_, svem, ddju, --, 
   {{0xd1310084,0xf1b901dd,0x00000000,0x00000000}},	//   _كما_, tošu_, --, --, 
   {{0x7bc5024d,0xf1b9203b,0x00000000,0x00000000}},	//   _bahu, meš_, --, --, 
   {{0xcb67d71e,0x9f47024a,0xf1b9d71f,0xd378090e}},	//   заре_, _jonë_, leš_, _poći_, 
   {{0x7bc54d9d,0x34b81f02,0x0f7a00a7,0x6b9c016a}},	//   _dahu, _इन्द, _הרצל, rgrg, 
   {{0x09e3730f,0x777c010c,0x63b80b91,0x786627bc}},	//   носн, _serx, zevn, зказ, 
   {{0x765cae3d,0xfc3f0503,0xa3bd1d00,0x777c3a0f}},	// [e560] _sury, stía_, ेया_, _perx, 
   {{0x2d82cd70,0xfc3f00eb,0x7bc5d720,0x9ce70019}},	//   lake_, ltín_, _gahu, _روپے_, 
   {{0x41bd02f8,0xf1bd2649,0xdb1e0cd7,0x7e64d080}},	//   ्यास, ्यान, _enpò, _čipk, 
   {{0xfc3fd721,0x7bc5c3a3,0xa3a92414,0x28c93832}},	//   ntín_, _zahu, ग्स_, रिशि, 
   {{0x63b805a8,0xb4d600b0,0xf1b94b69,0x3e6100e7}},	//   tevn, िमे_, deš_, _lót_, 
   {{0x62980904,0x2d82d722,0x69c6d723,0x765c00ab}},	//   tuvo, hake_, _hake, _tury, 
   {{0x69c6d724,0x2d8209e8,0x63b8031e,0xf1b90243}},	//   _kake, kake_, revn, jošs_, 
   {{0xdb1e0039,0x64a608e8,0x63b8d725,0x05660093}},	//   _napí, _наба, sevn, _хван, 
   {{0x69c60c4b,0x2d82d726,0x7c2ed727,0x63b80098}},	//   _make, dake_, kobr, pevn, 
   {{0x2ef4251b,0xe9df001b,0x67fb0218,0xfc3f0183}},	//   дзор, _khúc_, _kîja, etín_, 
   {{0x7bc5007e,0x69c62352,0xdd95d623,0xf1b9a238}},	//   _rahu, _oake, маны, beš_, 
   {{0xdb1e022c,0x506600cf,0xf1b90254,0x21a603dc}},	//   _capí, _етка, ceš_, _хидм, 
   {{0x7bc5d728,0x7c2e0183,0xdb0e7472,0xdb1c003e}},	//   _pahu, fobr, nebæ, ndræ, 
   {{0x7c2e04d1,0x41da00bd,0x9980012d,0x60c2d729}},	//   gobr, भावस, klių_, _isom, 
   {{0x69c6d72a,0x2d82d72b,0x7bc7d72c,0x1ddd0586}},	//   _bake, bake_, rdju, यादत, 
   {{0x2486d72d,0xa7fb05b9,0x442e67ed,0x7bc53c7b}},	//   ksom_, _muñe, hof_, _wahu, 
   {{0x7bc522fd,0xd3780062,0x7c2ed72e,0x69c6d72f}},	// [e570] _tahu, _hoću_, bobr, _dake, 
   {{0xd6db0b2d,0x3f9e11e9,0xdb1e0377,0x60c20927}},	//   йте_, ngtu_, _zapí, _msom, 
   {{0xe9df001b,0x39590183,0xa7fb2016,0x3e610023}},	//   _chúc_, _tgss_, _nuñe, _xót_, 
   {{0xe9df0029,0x9f47024a,0x95f902e6,0x231700d3}},	//   _giúp_, _sonë_, ्फेट_, үндө_, 
   {{0x64a5d730,0xf1b9203b,0x8cd00035,0xfc3f001d}},	//   фала, veš_, दियो, ntío_, 
   {{0x69c60b32,0x2d82d731,0x63ad0f23,0x09c50033}},	//   _zake, zake_, đano, _একটা, 
   {{0xea000029,0xddcd00ab,0xd378003a,0x60c2d732}},	//   _hoạt_, _miał, _noću_, _asom, 
   {{0x7c2e10d4,0x3e61d733,0x3f9e0243,0x6288039b}},	//   zobr, _rót_, egtu_, _dvdo, 
   {{0x9f4700e5,0xf1b902ee,0x60c20019,0x3e6140d2}},	//   _tonë_, reš_, _csom, _sót_, 
   {{0x2d82086d,0xdb1e0165,0xbcfb0183,0x3e61d734}},	//   wake_, _japã, rcél, _pót_, 
   {{0x2d82d735,0xdb1e7fa2,0x7c2e0588,0xea00001b}},	//   take_, _papí, vobr, _loạt_, 
   {{0xa3a90aac,0x518700a3,0x7c2e04a5,0xdce4008a}},	//   ग्र_, _хужа, wobr, _ufiċ, 
   {{0x2d82d736,0x69c677c8,0x522a0137,0xddcd00ab}},	//   rake_, _rake, _ווײַ, _biał, 
   {{0x69c6d737,0x2d82d738,0xfc3f2975,0xddcd00ab}},	//   _sake, sake_, stín_, _ciał, 
   {{0x2d82d739,0x2fc73233,0x1bff00c2,0xef1f0241}},	//   pake_, _iang_, _उतरल_, ğüs_, 
   {{0xc8c907d5,0x61ebd73a,0x69c60226,0xe8fa0ab5}},	//   रिंट, _jogl, _qake, олб_, 
   {{0x2fc7290c,0x61eb364f,0x69c6d73b,0x57ea5309}},	// [e580] _kang_, _mogl, _vake, одам_, 
   {{0x26d102f5,0x69c6d73c,0x2fc7d73d,0xe9df001b}},	//   _brzo_, _wake, _jang_, _phúc_, 
   {{0x2fc7cd85,0x4a461745,0x9980012d,0x69c6d73e}},	//   _mang_, _онов, ulių_, _take, 
   {{0x61eb0022,0x2fc73fcd,0x24869b37,0x9f5e0034}},	//   _nogl, _lang_, tsom_, thtë_, 
   {{0x442ed73f,0x2d800077,0x2fc73987,0x79840026}},	//   tof_, _meie_, _oang_, maiw, 
   {{0x2fc7d740,0x248605a1,0xe9df001b,0x92589624}},	//   _nang_, rsom_, _thúc_, пакт_, 
   {{0xe7371472,0x9f5e01ee,0x966340f3,0xc7a30a27}},	//   _жер_, shtë_, _аксе, _ширк, 
   {{0x442ed741,0x61ebd742,0x2fc7d743,0x80b20086}},	//   sof_, _cogl, _aang_, জিস্, 
   {{0x2fc749eb,0x00000000,0x00000000,0x00000000}},	//   _bang_, --, --, --, 
   {{0x2fc7d744,0x4438007a,0x660207d7,0x7e742024}},	//   _cang_, _ór_, lhok, нгох, 
   {{0x61ebd745,0xdb0e022b,0x2fc7d746,0xa3bd1181}},	//   _fogl, nebä, _dang_, ेयर_, 
   {{0x72161666,0x61eb02bf,0x99890035,0x2fc73cd4}},	//   _غذائ, _gogl, ział_, _eang_, 
   {{0x79840010,0x60c234fa,0x2fc76fb1,0x2bcb2dde}},	//   daiw, _usom, _fang_, ायला, 
   {{0x2fc744ad,0x00000000,0x00000000,0x00000000}},	//   _gang_, --, --, --, 
   {{0x66022252,0x62a2026e,0xa3b000a2,0xa3e612e3}},	//   khok, _útoč, ट्य_, _बचन_, 
   {{0x2fc7d747,0x2d80008a,0x20140035,0xdb1c02ae}},	//   _zang_, _geie_, ścić_, ddrä, 
   {{0x2fc747d2,0x6602a303,0xe9df001b,0xdb1c0218}},	// [e590] _yang_, dhok, _chúa_, nerê, 
   {{0xb9074575,0x3e5e008a,0x1ddd10cf,0x201e003e}},	//   _मऊ_, _aċti_, यावत, nnti_, 
   {{0xa3e22290,0x201e0088,0x99890035,0xf4140033}},	//   धान_, inti_, riał_, াকার_, 
   {{0xdb1c0218,0x99890083,0x22460108,0x00000000}},	//   kerê, siał_, _nhok_, --, 
   {{0x61eb0688,0x2cab023e,0x00000000,0x00000000}},	//   _rogl, ntcd_, --, --, 
   {{0x61ebd748,0x22460580,0xdb1c0216,0x72790082}},	//   _sogl, _ahok_, derê, псис_, 
   {{0x6b7c0056,0xe299bc89,0x4255d749,0x65950451}},	//   חרונ, чай_, нтит, _паву, 
   {{0x66021c6c,0xdb1c03b7,0x2fc7d74a,0x201ed74b}},	//   chok, ferê, _sang_, enti_, 
   {{0x61ebd74c,0x2fc7d74d,0xdb1e2dd4,0xdb1c009e}},	//   _vogl, _pang_, _mapá, gerê, 
   {{0xe3b009e8,0xb14200f0,0x2d8000fc,0xdb0e0b48}},	//   _نرم_, ыныл, _seie_, lebå, 
   {{0x61ebd74e,0x2ca900e2,0x2fc7d74f,0x80cd00bd}},	//   _togl, _aqad_, _vang_, तिहे, 
   {{0x91fc00e0,0xdb1e026e,0x201ed750,0xdb1c010c}},	//   _stāv, _napá, anti_, berê, 
   {{0x2fc7d751,0x51846988,0xed350528,0xdb0e5a5a}},	//   _tang_, _руха, вэрэ, ndbö, 
   {{0x2fc700a2,0x224d10bf,0x21f10098,0x3ced00b0}},	//   _uang_, lmek_, _váhu_, äeva_, 
   {{0x2d80007e,0x3f8500bc,0xdce4008a,0x9f5e00da}},	//   _teie_, malu_, _ddiġ, nitý_, 
   {{0x3f850730,0xe1f900e4,0x224d01f0,0xdb1c021e}},	//   lalu_, nkų_, nmek_, lerë, 
   {{0x63ad02f5,0xdb170183,0x224d008b,0xdb0501c4}},	// [e5a0] đanj, _xaxú, imek_, _abhä, 
   {{0x3f850571,0xfd47134f,0xdb1c0034,0x79840532}},	//   nalu_, _язык_, nerë, saiw, 
   {{0x6602d752,0xdb1c0216,0xc0490023,0x224d0241}},	//   thok, zerê, _sườn_, kmek_, 
   {{0xf5390039,0x09e301bb,0xdb1cd753,0x14ca00c8}},	//   _byť_, _боюн, yerê, зыки_, 
   {{0x3f85d754,0xc95500e4,0x201e00c8,0x9f4d010c}},	//   kalu_, _атры, ynti_, ûnên_, 
   {{0x3f8500d2,0xf2c6b921,0x660208dc,0xc049001b}},	//   jalu_, есин, shok, _vườn_, 
   {{0x3f85d755,0x9f47026e,0xf74311ce,0x26de0082}},	//   dalu_, _plný_, _беро, _štof_, 
   {{0xdb1cd756,0x68e44dd1,0xf99f0118,0x6d440054}},	//   terê, oxid, _elèf_, _ozia, 
   {{0xdfd0057f,0x80bc02f8,0xc8c936bc,0xbddb026a}},	//   لية_, ्टें, रिएट, llèg, 
   {{0xa2e660fd,0x201ed757,0x6e247a91,0x9f5e0098}},	//   _позд, unti_, _ajib, bitý_, 
   {{0x645a3919,0x6d44d758,0xdb1c009e,0x2246009c}},	//   _iiti, _azia, serê, _thok_, 
   {{0x628a01e8,0xa7fb00b4,0x68f60080,0x00000000}},	//   msfo, _muña, kyyd, --, 
   {{0x645ad759,0x3f85560e,0x6f06c8a7,0x6e24d75a}},	//   _kiti, balu_, _bébé, _djib, 
   {{0x6d440da6,0x645ad75b,0xbcfbd75c,0xdb1c0034}},	//   _dzia, _jiti, ncéi, cerë, 
   {{0x645ad75d,0x03d700d1,0xe9df0038,0x2cab023e}},	//   _miti, עולם_, _dhún_, stcd_, 
   {{0xa3b00081,0x645a628b,0x6298a9e8,0x6e24021e}},	//   ट्त_, _liti, irvo, _gjib, 
   {{0x645ad75e,0xb9550093,0xa7fb00b4,0x386202d9}},	// [e5b0] _oiti, тващ, _auña, _cukr_, 
   {{0x63ad11b1,0x6e3dd75f,0xdb0e010c,0x693403dd}},	//   đank, llsb, nebû, унуу, 
   {{0xa7fb0634,0x9f5e00e9,0x2bde009a,0x224dd760}},	//   _cuña, litó_, मारा, ymek_, 
   {{0x7afa0422,0x645ad761,0x628a2379,0x644800c8}},	//   øtte, _aiti, dsfo, _ahdi, 
   {{0x69dd10f2,0x645a505b,0x629801c8,0x644801be}},	//   _inse, _biti, ervo, _bhdi, 
   {{0x74150eea,0xdb1cd762,0x3fcb0086,0x645ad763}},	//   ضوعا, ferè, _লক্ষ, _citi, 
   {{0x645a0a13,0x78add764,0x9f4d091f,0x224d01f0}},	//   _diti, ltav, ünün_, tmek_, 
   {{0x3f85d765,0xe1f9012d,0xe4e700dd,0x645a0038}},	//   walu_, ukų_, _пізн, _eiti, 
   {{0x224dd766,0x645ab0c5,0x78ad4f4c,0x3f85d767}},	//   rmek_, _fiti, ntav, talu_, 
   {{0x245500c5,0x645a02dc,0x765b0008,0x9f5e0126}},	//   _شناس, _giti, _hiuy, ditó_, 
   {{0x69ddd768,0x248d09a8,0x78ad1f18,0x6d440019}},	//   _onse, _hvem_, htav, _szia, 
   {{0x78ad26eb,0x645ad769,0x3f8500b0,0xc332035c}},	//   ktav, _ziti, salu_, _דוב_, 
   {{0x64480088,0x61e9d76a,0x61fb0204,0x78ad024a}},	//   _yhdi, mjel, mkul, jtav, 
   {{0x69ddd76b,0x61e9d76c,0x8c46021f,0x63a302a2}},	//   _anse, ljel, теге, ngnn, 
   {{0x3a200626,0x9f47014b,0xa3e2009a,0x47ca0033}},	//   tnip_, _koní_, धात_, রামী, 
   {{0xba23d76d,0x61e9427f,0x3eaa031e,0x61fbd76e}},	//   адск, njel, žití_, nkul, 
   {{0x9f5e04b3,0x753b187e,0x44250082,0x1c46002e}},	// [e5c0] citó_, _nyuz, _ojl_, _иним, 
   {{0x61e9d76f,0xa7fb0634,0xf99f0118,0x69dd7257}},	//   hjel, _puña, _alèd_, _ense, 
   {{0x61fbd770,0x248d002e,0x645ad771,0x61e900dd}},	//   kkul, _avem_, _riti, kjel, 
   {{0x645a0634,0xa2d50a09,0xc1bd0527,0x7e6d60b7}},	//   _siti, भिन्, ्योग, _čapl, 
   {{0x61e902b1,0x645ad772,0xe5a341e0,0x78ad022c}},	//   djel, _piti, ричи, ctav, 
   {{0xdb1cd773,0x628a042a,0xa7fb0183,0x7bce3440}},	//   terè, tsfo, _tuña, ndbu, 
   {{0x645ad774,0xdb1cd775,0x2005a79c,0x61e9004f}},	//   _viti, feré, dhli_, fjel, 
   {{0x61e9d776,0x645ad777,0x628a11da,0x61fbd778}},	//   gjel, _witi, rsfo, gkul, 
   {{0x91fc00e0,0x673c024a,0x628a6dcc,0xdb0503a0}},	//   _stās, _hyrj, ssfo, _echè, 
   {{0x61fbd779,0x9f5e0327,0x645a038c,0x2d92d77a}},	//   akul, vitó_, _uiti, _adye_, 
   {{0x61e92c65,0xdb0e0216,0x658702ae,0xfc3f0ed9}},	//   bjel, rebû, _örhä, stík_, 
   {{0x61e90e67,0xdb1c0126,0x645d02a3,0x7bde01d6}},	//   cjel, ceré, _èsic, _anpu, 
   {{0xa3e60262,0x6e3d8b7a,0x78ad55b2,0x7094bac6}},	//   _बचा_, rlsb, xtav, _салф, 
   {{0xac24349d,0x200502f1,0xdfcf0038,0x614339f7}},	//   афск, chli_, _وين_, _теча, 
   {{0xdeefd77b,0xdec7004e,0x19950ff6,0x9f5ed77c}},	//   _ты_, _ауыл_, лавя, sitó_, 
   {{0x78ad0df8,0x63ad03ef,0x0f5700a7,0x63a8016a}},	//   ttav, đani, _ביום_, _lcdn, 
   {{0xc4c4006b,0x57b5088a,0xf8b600d3,0x00000000}},	// [e5d0] _بے_, лбат, лөр_, --, 
   {{0xb8cb0262,0x673c25f2,0x7649d77d,0x77980258}},	//   _गम_, _byrj, _shey, ккур_, 
   {{0xcf930137,0xa3d60f8e,0xf77004bc,0x7c3516ed}},	//   שטע_, ियन_, تاق_, mozr, 
   {{0x69dd02ec,0xa3b00179,0x78ad003e,0x248d0126}},	//   _unse, ट्स_, ptav, _pvem_, 
   {{0x588402f3,0x61e9d77e,0xdb1cc373,0xe9df0032}},	//   _выса, vjel, veré, _inú_, 
   {{0xdb05d77f,0xd2a90a31,0x753b0098,0xee3f0098}},	//   _aché, екке_, _vyuz, hlý_, 
   {{0xdb1cd780,0x61e9d781,0xa3a9059e,0xad9b0038}},	//   teré, tjel, ग्ग_, thúl, 
   {{0xf1da0081,0xdb0e0183,0x61fb3fb1,0x7ae81562}},	//   भागन, tebú, ukul, ädti, 
   {{0x205518c2,0x61e9d782,0x28c90239,0xe3b9131d}},	//   лтор, rjel, रिटि, _плач_, 
   {{0x61fbd783,0xdb0565b9,0xa7fbb951,0x248900e0}},	//   skul, _tchè, _muño, šams_, 
   {{0x61e90f30,0x7c350032,0x00000000,0x00000000}},	//   pjel, dozr, --, --, 
   {{0x200502f1,0xcf49027e,0xfce62dd2,0x02fa0070}},	//   shli_, _ışık_, гомо, _אלעמ, 
   {{0xdb1c078a,0xa7fb0126,0xdb0e0453,0xed57017b}},	//   gerî, _nuño, lebø, лою_, 
   {{0x409200eb,0x7bce0369,0x3e680212,0x75160070}},	//   _الور, udbu, _fût_, אַלע_, 
   {{0xab27d784,0x9987015e,0x9f5e02a3,0x7bce4f12}},	//   гора_, _šiša_, pitò_, rdbu, 
   {{0x316dd785,0xdb1c009e,0x2d92019b,0x00000000}},	//   ncez_, berî, _udye_, --, 
   {{0xa3d62369,0x48e30093,0x673c00c8,0xcb6a630e}},	// [e5e0] ियम_, ботв, _syrj, _папе_, 
   {{0x3a39d786,0x5aca5f1c,0x6b850096,0xdb0e00fc}},	//   _eksp_, _злом_, _gehg, kebø, 
   {{0xdb15001d,0x00000000,0x00000000,0x00000000}},	//   pezá, --, --, --, 
   {{0xc976024f,0x94aa23de,0x09e63b8f,0x1f360070}},	//   _حادث, етка_, _сомн, ארער_, 
   {{0x4e3700c7,0x00000000,0x00000000,0x00000000}},	//   אָגן_, --, --, --, 
   {{0xdb0558c5,0xa3d40148,0x9f4e0118,0x7986123b}},	//   _sché, рокч, _fofè_, _hekw, 
   {{0xd25a032c,0x798600e2,0x1daa009a,0xdb0e0453}},	//   нци_, _kekw, _काढत, gebø, 
   {{0xa7850019,0x66190035,0x79860118,0x98a70083}},	//   _مشہو, ciwk, _jekw, łną_, 
   {{0x60cd0082,0x15430009,0x62810090,0xbfaa14b4}},	//   _šamr, _гетм, _ewlo, нтне_, 
   {{0x30140200,0x79860415,0x25a6011d,0x9f450098}},	//   рдор, _lekw, lgol_, sklý_, 
   {{0x6d40027e,0xdb050151,0xd36f029a,0xf83700df}},	//   üman, _tché, _رهن_, רנית_, 
   {{0x25a6d787,0xa3b021c6,0x9f4700f6,0xa06a0176}},	//   ngol_, ट्र_, _donà_, _зада_, 
   {{0xbddb00f6,0xd01a3427,0x7c35020b,0xdd260216}},	//   elèc, _пфк_, tozr, rêşa, 
   {{0xee3f0098,0x5eaf0033,0x00000000,0x00000000}},	//   slý_, টিজে, --, --, 
   {{0x3ffb0137,0xfc3f8ef0,0xdb1c009e,0x798668ae}},	//   _אפגע, ktív_, serî, _bekw, 
   {{0x497500f0,0xa7fb00e9,0x09750235,0x13cd0033}},	//   рлас, _puño, ргаю, লায়, 
   {{0x48151943,0x2d8b1293,0xd7e0009a,0x798603a0}},	// [e5f0] амас, mace_, नांच, _dekw, 
   {{0x64460009,0x370724e1,0x2d8bd788,0xb8dd1a4e}},	//   _ūkin, лчев, lace_, _आह_, 
   {{0xf7700625,0x9f47014b,0x2615020b,0x07473270}},	//   سال_, _koná_, sťom_, ухам, 
   {{0xd4f51088,0x8f37035c,0xe51600c2,0x798610f3}},	//   иялы, נטאג_, _देहि_, _gekw, 
   {{0x26d8d789,0xa2bd0ffc,0x56945db8,0x6385ca95}},	//   _erro_, _वैज्, _қатт, агла, 
   {{0x69cf9aea,0xa3b00d4f,0xe2992408,0xddd900c3}},	//   _hace, ट्ल_, вак_, _avvż, 
   {{0x2d8b000d,0x69cf2583,0x38af0540,0x26c50036}},	//   kace_, _kace, lür_, _èlo_, 
   {{0xe5161202,0x69cfd78a,0xc24500ff,0x016502a0}},	//   _देवि_, _jace, јник, шкио, 
   {{0xe3b7032e,0xf3ec005e,0xade407d5,0x38af04be}},	//   _бұл_, _ең_, गासन_, nür_, 
   {{0x41a707d5,0x6ff548f7,0x69cf339d,0xf076010e}},	//   _गावस, рчих, _lace, جیوں_, 
   {{0xa3e20bb9,0xdced00a4,0x23270afc,0x38af2120}},	//   धार_, _ffaċ, _сфаг, hür_, 
   {{0x69cfd78b,0x2d8bd78c,0x248000b3,0x38af0761}},	//   _nace, gace_, ţime_, kür_, 
   {{0x79867b00,0xef1801dd,0x8c4647e9,0xa3e90e0d}},	//   _rekw, daļu_, иеме, याप_, 
   {{0x38af0092,0x7986d78d,0x69cf012b,0xef670093}},	//   dür_, _sekw, _aace, _съдо, 
   {{0x2d8b044e,0x78bd1916,0x25a600f8,0x3ea500d3}},	//   bace_, _apsv, ygol_, _тийг, 
   {{0x38afd78e,0x692634fc,0x69cfd78f,0x2d8bd790}},	//   für_, амба, _cace, cace_, 
   {{0xe8f7d791,0xdb1cd2d5,0xc9560b58,0x1786047f}},	// [e600] алт_, merí, ртвы, игам, 
   {{0xdb1c128a,0x60040cd7,0x3f876704,0x69cf008a}},	//   lerí, _kòma, _jenu_, _eace, 
   {{0xa3e9185c,0x0566292b,0x69cfd792,0xa3a9031e}},	//   यान_, авен, _face, ग्छ_, 
   {{0xdb1c0503,0x75cb004e,0x98a6d793,0x69cfd794}},	//   nerí, ктің_, _киме, _gace, 
   {{0x25a600f6,0x69c4d795,0x8cd9093a,0x53e67c4f}},	//   rgol_, meie, मियो, ицка, 
   {{0x2d8b031e,0x69c4d796,0x25a60156,0x69cf1a44}},	//   zace_, leie, sgol_, _zace, 
   {{0x442004d1,0x12e6004e,0x3f98003e,0xdb1c0165}},	//   đi_, рілг, órum_, lerâ, 
   {{0xdb1c655f,0x69cf03da,0xe5a39ffc,0x69c4d797}},	//   jerí, _xace, _миси, neie, 
   {{0xdb1cd798,0x2d8bd799,0x546a718e,0x3eae00df}},	//   derí, vace_, _разм_, _sqft_, 
   {{0xdefa4216,0x6abe00dd,0x7642d79a,0x250b009c}},	//   вым_, _oppf, lloy, _شرقی_, 
   {{0xdb1c248c,0x2d8b00bc,0x78a4d79b,0x232787d0}},	//   ferí, tace_, huiv, _кофи_, 
   {{0x78a4033d,0xf1a9009c,0xfe780028,0x38af02a4}},	//   kuiv, _ماهه_, rpį_, yür_, 
   {{0x614301d0,0x61e2732d,0x2d8b031e,0x3f87d79c}},	//   _деца, _inol, race_, _fenu_, 
   {{0x69cfd79d,0xa3e9176c,0x2d8b86ea,0x600406df}},	//   _sace, याय_, sace_, _fòma, 
   {{0x2d8bd79e,0xa3ae1516,0x6e940084,0xdb1c1056}},	//   pace_, _कान_, _البا, berí, 
   {{0xdb1c0503,0x3f8c6e31,0x3f87c52f,0xdb170068}},	//   cerí, ladu_, _zenu_, _saxó, 
   {{0xa3d66229,0xa3e9156c,0x3f870010,0x478b0445}},	// [e610] िया_, याम_, _yenu_, всем_, 
   {{0x38af07fa,0x69cfad06,0x00000000,0x00000000}},	//   rür_, _wace, --, --, 
   {{0x61e204d1,0xb5fd015e,0xf1b92f6f,0xa3bc00b0}},	//   _onol, _liše, liše_, ेजन_, 
   {{0xd6d8d79f,0xb7c600e0,0xfc3f0183,0x78a40036}},	//   шту_, _apģē, rtíu_, buiv, 
   {{0x81d500cc,0xf1b92f6f,0xdb170183,0xfc3f0183}},	//   _সকল_, niše_, _taxó, btít_, 
   {{0x5f0900bd,0x3f8c090b,0x61e20180,0x798d01a3}},	//   ानम्_, jadu_, _anol, laaw, 
   {{0x5694d7a0,0xdb1c0bf1,0x76424028,0xe2a820b4}},	//   _март, yerí, bloy, لاين_, 
   {{0x008598a7,0x16340934,0xb5fd07c7,0x798d01a3}},	//   блио, _деся, _biše, naaw, 
   {{0xfc3f8fa6,0x03c70088,0x83fc0082,0xdb1c4435}},	//   ntís_, _всем, _siđe, verí, 
   {{0xa3ae047b,0x63ad03ef,0xf1b900d2,0x600602f3}},	//   _काय_, đans, diše_, йным_, 
   {{0xdb1c1056,0x3f870107,0x798dd7a1,0x44f90033}},	//   terí, _venu_, kaaw, _অধিক_, 
   {{0x6443d7a2,0x83fc003a,0x32551219,0x3f870053}},	//   llni, _viđe, _увер, _wenu_, 
   {{0xa3ae322d,0x44270094,0xdb1c0634,0x3f87026a}},	//   _काम_, onn_, rerí, _tenu_, 
   {{0x2d9ed7a3,0xdb1cd7a4,0x69c40326,0x60c9d7a5}},	//   şte_, serí, weie, mwem, 
   {{0x4427d7a6,0x09e61416,0xdb1cd7a7,0x69c4d7a8}},	//   inn_, бовн, derã, teie, 
   {{0xc3320052,0x896627c9,0x3ea5d7a9,0xf1b9c75b}},	//   פון_, скаж, mult_, biše_, 
   {{0xf1b900ef,0x69c4d7aa,0xc04400e7,0x48e3041d}},	// [e620] ciše_, reie, _đoạt_, потв, 
   {{0x25ad00d9,0x69c4d7ab,0x78a40036,0x00000000}},	//   _acel_, seie, ruiv, --, 
   {{0x6abed7ac,0x3ea50077,0x7afc024a,0xb8ef02ab}},	//   _uppf, nult_, qyrt, _वै_, 
   {{0xad9b00eb,0x60c96873,0xdb1c03a1,0x3f8c014b}},	//   thúi, kwem, merà, zadu_, 
   {{0x78a40c1f,0x04b613f2,0x649a2c25,0xfc3f0183}},	//   quiv, ссея, утер_, ctís_, 
   {{0x3ea5d7ad,0xe73aae86,0xdb1c02aa,0xb5fd0144}},	//   kult_, _бег_, cerã, _riše, 
   {{0xd25000c5,0x46a35f8a,0x76423bf9,0x3ea5d7ae}},	//   ونت_, _нарв, ploy, jult_, 
   {{0x44271049,0x30a62a5d,0xa0742595,0x6443a6ae}},	//   ann_, бров, огич, alni, 
   {{0x3f8c01cf,0x60c92bc3,0x6602045a,0x00000000}},	//   tadu_, gwem, mkok, --, 
   {{0xf1b902f5,0xb5fd00f1,0x224f0183,0xdb1cd7af}},	//   više_, _više, _ehgk_, ndró, 
   {{0x3f8c00f1,0x50d6040f,0x28cf000c,0x443ed7b0}},	//   radu_, _گزار, _सैनि, _ikt_, 
   {{0xf1b9044e,0xa2d505ff,0x6602d7b1,0xdb1cd7b2}},	//   tiše_, भिर्, nkok, derà, 
   {{0xdddb2409,0x316600b4,0x3ea50151,0x00000000}},	//   lptū, _igoz_, ault_, --, 
   {{0xf1b903f5,0x443ed7b3,0x7bd8118d,0x798d0298}},	//   riše_, _jkt_, _óvul, waaw, 
   {{0xa3e9047b,0x201ed7b4,0x443ed7b5,0xfc3f0503}},	//   यात_, miti_, _mkt_, guía_, 
   {{0x201ed7b6,0x26df04d1,0xf99f0118,0xddc40083}},	//   liti_, _čuo_, _elèn_, _chiń, 
   {{0x443ed7b7,0x44275110,0x798d0539,0x6443504b}},	// [e630] _okt_, ynn_, raaw, ylni, 
   {{0xb767d7b8,0x261b007e,0xfc3f453f,0x798d0547}},	//   стай, _मगही_, buía_, saaw, 
   {{0x6e2d00ef,0xb87b5e3b,0xfc3f022c,0x60c9d7b9}},	//   _kjab, _oríg, stís_, zwem, 
   {{0x7afad7ba,0xa9c700c5,0x7bd5d7bb,0x442c0112}},	//   ätte, _ازدو, ldzu, _ajd_, 
   {{0xd49bd7bc,0x201ed7bd,0xe3657bd4,0xdb1c20c2}},	//   уре_, kiti_, окли, merá, 
   {{0x201e00d0,0xc7c70093,0x0ea81f5e,0x7bd5d7be}},	//   jiti_, _усми, _कमंड, ndzu, 
   {{0x442701c5,0x443e6c2e,0xf1da08c6,0xdb0700c2}},	//   rnn_, _dkt_, _मोहन, pejõ, 
   {{0xdb1c135a,0x4095601b,0x1dd9215e,0xe1f92478}},	//   nerá, орот, _बोलत, рги_, 
   {{0x201ed5da,0x7bc75cb2,0x6443026e,0xa3e90c64}},	//   fiti_, keju, plni, याद_, 
   {{0x3ea5007e,0x6e2d727c,0x201ed7bf,0x66097dcd}},	//   tult_, _ajab, giti_, _hlek, 
   {{0xa3d609e2,0x1dd500a2,0xbddbd7c0,0x2be30366}},	//   ियर_, धयंत, rlèn, खाईं_, 
   {{0xc692008d,0xb87b0032,0x3ea55c3c,0xdb1c0502}},	//   ואט_, _kríd, rult_, rdrü, 
   {{0xdb1cd7c1,0x6609d7c2,0x6e2d02fe,0x3a2971e9}},	//   derá, _mlek, _djab, dnap_, 
   {{0x201e090b,0xdb1c03a1,0xbddb0107,0x6d4d0175}},	//   citi_, terà, llèl, _dzaa, 
   {{0x8c43d7c3,0x66090077,0xdd920105,0x661b0a8b}},	//   фере, _olek, _ہوں_, _omuk, 
   {{0xdb1c5369,0x3a29010e,0x00000000,0x00000000}},	//   gerá, gnap_, --, --, 
   {{0x2bb207cc,0xa7fb001d,0xfc3f0068,0xdb1c0054}},	// [e640] _जापा, _zuñi, muín_, serà, 
   {{0x661b74aa,0x39420009,0x7f8c0070,0xed5900da}},	//   _amuk, _vyks_, ָנאַ, ýže_, 
   {{0x06cad7c4,0xdb1c3b6b,0x6609d7c5,0xfc3f0634}},	//   ргей_, berá, _blek, quía_, 
   {{0x201e0112,0xdb1cd2d5,0x7c3c0a78,0xc883009e}},	//   ziti_, cerá, lorr, îşî_, 
   {{0xb1240086,0x201ed7c6,0x8e57035c,0x661b0065}},	//   _পর্ব_, yiti_, קינג_, _dmuk, 
   {{0x600400a1,0x37a300f0,0xd3ba00f0,0x661b56d1}},	//   _còml, _оқуғ, руді_, _emuk, 
   {{0x38b4074b,0x6609d7c7,0x78b6d7c8,0x2bb26340}},	//   lär_, _flek, ltyv, _जाना, 
   {{0x443e0089,0x201e00d4,0x7c3c01ca,0x69d6d7c9}},	//   _wkt_, witi_, horr, ndye, 
   {{0x201e02f5,0x7c3cd7ca,0x6d440e0c,0x38b4d7cb}},	//   titi_, korr, _nyia, när_, 
   {{0xdb1c08d7,0x2d82d7cc,0x6e2d2247,0x7c3c0126}},	//   zerá, ebke_, _sjab, jorr, 
   {{0x443cd7cd,0x7c3cd7ce,0x38b40219,0x2c6fd7cf}},	//   mov_, dorr, här_, _süd_, 
   {{0xae160f01,0x78b6012d,0x200c00cf,0x320d24bc}},	//   दोलन_, ktyv, shdi_, chey_, 
   {{0xdb1c001d,0x7e64d7d0,0x7bc70eb1,0x7c3c4dcc}},	//   verá, _diip, teju, forr, 
   {{0x443cd7d1,0xdb057a03,0x7c3c0a9f,0x38b40219}},	//   nov_, _achá, gorr, där_, 
   {{0xf1b9027c,0xa2a202e6,0xdb1c5881,0x7bd57337}},	//   liša_, _गिफ्, terá, rdzu, 
   {{0x38b4022b,0x69d60495,0xf1bc0c64,0x68ed1218}},	//   fär_, gdye, ्जिन, txad, 
   {{0x443cd7d2,0x7c3cd7d3,0xf1b97260,0xb5fd0f23}},	// [e650] kov_, borr, niša_, _niša, 
   {{0xd6db3381,0x443c0039,0x661bd7d4,0x68ed3a10}},	//   ите_, jov_, _smuk, rxad, 
   {{0xa3e94682,0x443cd7d5,0x660904ba,0x77690c45}},	//   यास_, dov_, _plek, _şexs, 
   {{0xd246298e,0x38b4022b,0xe9df001b,0xb87bd7d6}},	//   _سن_, bär_, _chút_, _príd, 
   {{0xd12600eb,0x600d060f,0x27f8d7d7,0x443c7c36}},	//   _أم_, _húme, _forn_, fov_, 
   {{0xf1b9044e,0xb5fd0352,0x83fc00ca,0x59df0299}},	//   diša_, _diša, _piđa, _पोतर, 
   {{0x66b4d7d8,0x60c2107c,0x6e3dd7d9,0xa3bc29c4}},	//   _обру, _apom, kosb, ेज़_, 
   {{0xa3e90394,0x661b024d,0x83fc0112,0x7c3c8e56}},	//   याह_, _umuk, _viđa, zorr, 
   {{0x443cd7da,0x7e640088,0xd24e091d,0x92ab0033}},	//   bov_, _riip, دني_, গবে_, 
   {{0x443cd7db,0x60090342,0x26150032,0xad9b003e}},	//   cov_, сном_, rťou_, khús, 
   {{0x26150039,0x6d442998,0xee3ad7dc,0xdb1c022c}},	//   sťou_, _syia, йно_, merç, 
   {{0xa3e904d7,0xbddb0518,0xd12e0274,0x78b60088}},	//   याव_, blèm, ئمی_, ytyv, 
   {{0x7c3cd7dd,0x25bf011c,0x02d30083,0x7e6413ba}},	//   torr, _mbul_, थिकभ, _viip, 
   {{0x600d0183,0x60dbd7de,0xa3ae0ead,0x38b402ae}},	//   _búme, mvum, कलय_, vär_, 
   {{0x63bc01f0,0x09e600dd,0x61f90626,0xdb1c0785}},	//   _örne, повн, _kowl, _üzün, 
   {{0x443cd7df,0xfc3f0b6f,0x78b60088,0x6569b5f5}},	//   zov_, quín_, ttyv, _ngeh, 
   {{0x7c3c640d,0x64411a44,0x61f90090,0x443c1ada}},	// [e660] porr, _okli, _mowl, yov_, 
   {{0x443c006f,0x65690096,0x61f9c0c2,0x21f1014b}},	//   xov_, _ageh, _lowl, _váhy_, 
   {{0xe9df0029,0x443c445d,0x29000065,0x2005011d}},	//   _phút_, vov_, syia_, ikli_, 
   {{0x2bca1bc8,0xb5fd090e,0xdb052549,0xa3ae01a4}},	//   ाजवा, _piša, _uchá, _काह_, 
   {{0x443cd7e0,0xe516d7e1,0x7984331c,0xd4e300c8}},	//   tov_, _देखि_, mbiw, еющи, 
   {{0xb5fd090e,0x25bf1b3e,0xf1b90d9d,0xa7fb6e43}},	//   _viša, _ebul_, viša_, _buñu, 
   {{0x443cd7e2,0x60c261b3,0x6458d7e3,0x623401a2}},	//   rov_, _spom, rmvi, меку, 
   {{0x443cd7e4,0x30a61d05,0xb5fd008b,0xa3dc00b0}},	//   sov_, пров, _hišn, _तोर_, 
   {{0x443cd7e5,0x61f9865d,0xb5fd0112,0x64a3d7e6}},	//   pov_, _dowl, _kišn, _пата, 
   {{0x6e98005b,0xdb1e08f4,0xdcef01dd,0xc8b70070}},	//   овор_, _japó, sacī, פּחה_, 
   {{0xa3e91139,0x6f0102bf,0x61f9d7e7,0x26de00ef}},	//   यार_, gylc, _fowl, _štoj_, 
   {{0x60db045a,0x61f9003d,0x600403a0,0x3f83003e}},	//   bvum, _gowl, _kòmk, ðjur_, 
   {{0x6e3d010e,0xc05a4547,0x4c9443c3,0x60c20c65}},	//   rosb, _лік_, нияс, _upom, 
   {{0x78a40343,0x2bb200a2,0x2005027e,0x3ce000fc}},	//   driv, _जाणा, ckli_, _driv_, 
   {{0x7ac4d7e8,0x78a400c2,0x81cf0033,0x00000000}},	//   нсте, eriv, শার_, --, 
   {{0x7afa014e,0x3ce0b479,0xad9b003e,0x99800372}},	//   ätta, _friv_, rhús, tniš_, 
   {{0x6934d7e9,0xd8790038,0xfc3f0068,0xad9b01d5}},	// [e670] енту, زمات_, quío_, shús, 
   {{0xb87b0187,0xf77036a7,0xdb1e1f6b,0x394701dd}},	//   _príb, هام_, _capó, āns_, 
   {{0x2bb2203f,0x6d41091f,0x59f90141,0xdb1c01c4}},	//   _जाता, şlad, _деня_, gerä, 
   {{0x78a4d7ea,0x6441d7eb,0x3f8e0364,0xb87b0038}},	//   briv, _skli, _lefu_, _críc, 
   {{0x78a466e4,0xa3ae0262,0x99f603e1,0x61f9d7ec}},	//   criv, _काश_, _חזרה_, _rowl, 
   {{0xe9df007a,0xb4ad08e1,0x466b16e5,0xdb1c0219}},	//   _thús_, _कमी_, _грам_, berä, 
   {{0xa3ae0eda,0x62630019,0x629e020b,0x20050241}},	//   _कार_, _főol, špon, vkli_, 
   {{0x00e5953c,0xdb1c02aa,0x60db00c2,0xdb1ed7ed}},	//   джин, serç, tvum, _kapò, 
   {{0x9f5e0084,0x81cf0086,0x24f800b3,0xdb1c0151}},	//   chtú_, শাল_, _енты_, perç, 
   {{0xdb1e03da,0xb5fd0704,0xad9b0a6d,0xaf05069b}},	//   _xapó, _kišo, skúl, дпол, 
   {{0x60c4002a,0x82870038,0xada631a6,0x2005d7ee}},	//   _ģime, _رجال, манл, rkli_, 
   {{0x3f9c00ef,0xb8050033,0x28e00110,0x3872021e}},	//   _edvu_, োচিত_, निमि, yqyr_, 
   {{0x2bb200b0,0x7bd701ca,0x6ff50038,0xdb0e02ae}},	//   _जादा, _baxu, _يستط, nebö, 
   {{0xbea500d3,0x290c0243,0x00000000,0x00000000}},	//   _жакк, _āda_, --, --, 
   {{0x7bd7010c,0x81b40086,0xbb43716e,0xcb67d7ef}},	//   _daxu, _ছোট_, верк, даре_, 
   {{0x78a40012,0xa3e90263,0xc3320309,0x6aa19418}},	//   triv, याँ_, דול_, álfa, 
   {{0xa3ae143e,0x78660451,0x600400a1,0x7bd7107c}},	// [e680] _काल_, дказ, _bòmh, _faxu, 
   {{0x60040014,0x07a31b69,0x83fc0588,0x7bd700b4}},	//   _còmh, каун, _riđo, _gaxu, 
   {{0xb5fd1c2b,0xf9860165,0xb87b0228,0xa96aab59}},	//   _višn, _огно, _príc, _мина_, 
   {{0x78a400f1,0x600400a1,0x68e9d7f0,0xeef60070}},	//   priv, _eòmh, _šede, ומער_, 
   {{0xa3e93e22,0xdb1e033c,0x7bd70095,0xf4cc0033}},	//   यां_, _tapó, _yaxu, লম্ব, 
   {{0xfc3f09a1,0xdb1c0088,0xa3ae009a,0x7c2e4cec}},	//   oría_, perä, _काळ_, nnbr, 
   {{0xb87bd7f1,0x07a31b11,0x2bc02158,0xfbc0153d}},	//   _tríc, _јасн, श्या, श्यम, 
   {{0x3f8e0ab4,0xfc3f1f6b,0x7ae12379,0x00000000}},	//   _sefu_, iría_, ålti, --, 
   {{0xb5fd03ef,0xfa1c0108,0x64460028,0x00000000}},	//   _mišl, _đất_, _ūkiu, --, 
   {{0xa3e934a2,0x60040118,0xf95700d1,0x2ef4d7f2}},	//   याः_, _kòmi, וספת_, езор, 
   {{0xf8ab456f,0xad9b0032,0x63061897,0x00000000}},	//   _चम्प, skúm, _توال, --, 
   {{0xfc3f15c4,0xb5fd0bad,0x420703dc,0xceb81dfa}},	//   dría_, _nišl, _онхо_, rtę_, 
   {{0x7afa022b,0xfc3f033c,0x11690274,0xceb814d5}},	//   ättn, ería_, _علوی_, stę_, 
   {{0xdb1e06df,0xfc3f033c,0xce9400fd,0xa3ae00c2}},	//   _rapò, fría_, _закъ, कलि_, 
   {{0xfc3f0503,0x27ed001b,0x2019d7f3,0x394d02fe}},	//   gría_, _đen_, ësie_, _šes_, 
   {{0xb5fd00ef,0xa3e50a34,0x62981da6,0xdb1e05d5}},	//   _rišo, _बोन_, isvo, _papò, 
   {{0xdb0502f2,0xa3ae0f8e,0xfc3f0634,0x7bd7537b}},	// [e690] _schä, कला_, aría_, _taxu, 
   {{0xfc3f08f4,0xb87b26ca,0x8858181b,0xb5fd203b}},	//   bría_, _cría, диус_, _pišo, 
   {{0x23d90ed5,0xdb1cd7f4,0x600403a1,0x1995012d}},	//   _योगद, terå, _còmi, _паня, 
   {{0x78a2063b,0x62983d52,0x6b95d7f5,0xb5fd090e}},	//   šova, dsvo, lazg, _višo, 
   {{0x629ad7f6,0xe00e02f8,0x64a54da4,0xb87b330a}},	//   _avto, िसाद_, хала, _fría, 
   {{0xdb1c0219,0x6b950a78,0x60040300,0x6298d7f7}},	//   rdrö, nazg, _fòmi, fsvo, 
   {{0x442902f5,0x3c460218,0xaad8031e,0x78ad00c8}},	//   đa_, _hêvî_, डिएक, luav, 
   {{0x200e4e11,0x69cdce42,0x644a635e,0xa4d5017b}},	//   _alfi_, neae, alfi, _побі, 
   {{0x78add7f8,0x9f470038,0x8435004f,0x6b954b3a}},	//   nuav, _inné_, _знає, kazg, 
   {{0xb5fd22ed,0x764b8490,0x0ea9d7f9,0x69cd01a4}},	//   _mišm, llgy, пкой_, heae, 
   {{0x47ca0033,0x99800032,0xf99f05d5,0x00000000}},	//   রাচী, lniť_, _odè_, --, 
   {{0x200e0036,0x6619027e,0xa3b5009a,0x248d0237}},	//   _elfi_, _çakı, _झाड_, _kwem_, 
   {{0x8fa59cc5,0x78ad3887,0x657b0027,0x00000000}},	//   _зале, juav, _mfuh, --, 
   {{0xfc3f0503,0xb5fd015e,0x09a8009a,0xdb1c001d}},	//   tría_, _sišl, गल्य, merú, 
   {{0x48bf0086,0x7c2ecdd2,0xb5fd00ca,0xca5602a6}},	//   উটোর, rnbr, _pišl, етањ, 
   {{0xfc3f0503,0x7c3602fe,0x6b6300d3,0xdb1c0151}},	//   rría_, _šarč, укса, nfré, 
   {{0x98a317b4,0x5975004e,0x16c810da,0x656d0228}},	// [e6a0] лите, тысу, रब्ब, ľahl, 
   {{0x2d92055a,0x7d060088,0x6e26d7fa,0xf99f0118}},	//   _heye_, myks, likb, _edè_, 
   {{0x39ea7245,0xa3e907bd,0x7bce88e7,0xb4e80fd2}},	//   _едно_, याई_, mebu, यम्_, 
   {{0x186a0934,0x7bdc0a76,0x600400f6,0x00000000}},	//   _нами_, ldru, _vòmi, --, 
   {{0x2d922548,0xc8b616d0,0xa4d402c8,0xdb15001d}},	//   _meye_, _ясны, толі, bezó, 
   {{0x7bdcd7fb,0x6e260b32,0x229a00e0,0x6298d7fc}},	//   ndru, hikb, tīk_, tsvo, 
   {{0xe80500a2,0x5334d7fd,0x6abc084c,0xe737d7fe}},	//   _शकता_, ъект, ntrf, _зер_, 
   {{0x20bd006a,0xd2571838,0x7bced7ff,0x62982680}},	//   ्बंध, нцы_, hebu, rsvo, 
   {{0x600d2dab,0xe3b213b4,0x63b7024a,0x629820f8}},	//   _súma, _مرا_, çanë, ssvo, 
   {{0x7642052b,0x61eb1cae,0x7bce0a13,0x00000000}},	//   looy, _engl, jebu, --, 
   {{0x91e61d05,0xd36f0195,0x2f19008a,0x248d01d2}},	//   _поже, _اهم_, _nżgħ_, _zwem_, 
   {{0x3eac02c9,0xdb1c009e,0x7bdcd800,0xd6e20033}},	//   rudt_, serû, edru, _যথায, 
   {{0x2d92d801,0xb87b5ff5,0x7bdcd802,0xf8cf034d}},	//   _deye_, _arín, fdru, _सैंय, 
   {{0x7bced803,0x645d02a3,0xa3d602e6,0x9ac40539}},	//   gebu, _èsit, ियट_, _ŋŋam, 
   {{0x8ff71fdb,0x99800187,0x61eb0156,0xa3ae00c9}},	//   _سرور_, zniť_, _yngl, _काई_, 
   {{0xfc3f0183,0x7996011d,0x6b95019b,0x78ad7d74}},	//   crín_, gayw, sazg, tuav, 
   {{0x97a7d804,0x9c390093,0x7bced805,0x851f00c9}},	// [e6b0] ерел, _опит_, bebu, _मेंट_, 
   {{0x1957032e,0xc02e001b,0x00000000,0x00000000}},	//   дағы_, _điệu_, --, --, 
   {{0x2d92086d,0x69cdd806,0xcf9300c7,0x248d0326}},	//   _yeye_, peae, רטע_, _swem_, 
   {{0x764201b8,0xc8a912e3,0xa64713b4,0xb5fd0082}},	//   gooy, _छटपट, رخان, _tišm, 
   {{0x78ad02a3,0xb5fd0352,0x386a0118,0x09d70033}},	//   quav, _hišk, _fibr_, হাদা, 
   {{0xd83b040c,0x99800228,0x61eb008a,0x00000000}},	//   _хэм_, rniť_, _sngl, --, 
   {{0x7bc5011c,0x99800032,0x00000000,0x00000000}},	//   _mbhu, sniť_, --, --, 
   {{0xb5fdd807,0xf99f0cd7,0x7c270640,0x7bce00ab}},	//   _mišk, _elèv_, hijr, zebu, 
   {{0x2d926c22,0xf99f0237,0x0ee902e6,0x2bb20110}},	//   _reye_, _flèv_, टम्स_, _जाला, 
   {{0xa2a90bd5,0x7d0602f3,0xfc3f001d,0x15ef00c9}},	//   _टिप्, vyks, drío_, छावर_, 
   {{0x4427d808,0xb5fd0bad,0x2d920cd7,0xc2c401c9}},	//   min_, _nišk, _peye_, _ميلي, 
   {{0x7d06030f,0x44270c2e,0x61ebd809,0x6281d80a}},	//   tyks, lin_, _ungl, _itlo, 
   {{0xed5702fb,0x64430077,0x442711a1,0x518403dc}},	//   кою_, ooni, oin_, _суха, 
   {{0x4427d80b,0xb87bd80c,0x7d06d80d,0x224dd80e}},	//   nin_, _prín, ryks, llek_, 
   {{0x7bce39c6,0x7bdc0bf3,0xb5fd02ee,0x2d92d80f}},	//   rebu, rdru, _višj, _teye_, 
   {{0x7bce69e1,0xb87b00eb,0x6443d810,0x7ae50112}},	//   sebu, _crío, honi, _drht, 
   {{0x4427d811,0x6443d812,0x6e24024d,0x87ba0080}},	// [e6c0] kin_, koni, _imib, дует_, 
   {{0x64432976,0x442716e7,0x6d560065,0x764201b8}},	//   joni, jin_, _izya, wooy, 
   {{0xb87b61c2,0x224d56f3,0x628107d7,0xa3d517dc}},	//   _frío, klek_, _ntlo, िजन_, 
   {{0x225f0640,0x6ea40773,0x4427007a,0xf7430386}},	//   jmuk_, _किसु, ein_, шехо, 
   {{0xa3ae007e,0xcd770070,0x00000000,0x00000000}},	//   कलल_, דענק_, --, --, 
   {{0xe1f9012d,0xc448009c,0x9d1b0486,0x2a6000c2}},	//   ejų_, ریان_, וונט, lmib_, 
   {{0xd25a0b46,0x224d016a,0xa5c4004e,0x92b30038}},	//   мци_, flek_, _бөле, لحيا, 
   {{0x4427006e,0x26d80096,0xa2b300bc,0x6d5605d5}},	//   ain_, _isro_, _इमर्, _ozya, 
   {{0x44271816,0xdfd0057f,0x6443d813,0xe3bad814}},	//   bin_, مية_, boni, _оба_, 
   {{0x224dd815,0x212bd816,0x6e24010e,0xbddb0212}},	//   alek_, úcha_, _amib, hlèt, 
   {{0xdd951b17,0x645a7d01,0x201900e5,0x224dd817}},	//   ланы, _ihti, ësia_, blek_, 
   {{0xd378032f,0x9f5c00b9,0x600400b9,0xa3bcb53c}},	//   _daće_, _jové_, _ròmu, ेजक_, 
   {{0x66000519,0xf1b300a7,0xd01ad818,0x00000000}},	//   _momk, _כסף_, _офк_, --, 
   {{0xb5fd29b6,0x6e2401a3,0xfc3f03da,0xa2a91721}},	//   _pišk, _emib, rrío_, _टिम्, 
   {{0xdb230c05,0xb87b0084,0xd3780112,0x9f470126}},	//   _ürün, _prío, _gaće_, _donó_, 
   {{0x44271b5b,0x9f5c08d7,0x5a3478ed,0xb5fd00d0}},	//   zin_, _nové_, анст, _višk, 
   {{0x2d99d819,0x6443d81a,0x9955d81b,0xb95500fd}},	// [e6d0] mase_, yoni, укац, уващ, 
   {{0x442797c4,0x6d4d085b,0xa81461d1,0xf99f05d5}},	//   xin_, _iyaa, адуш, _alèt_, 
   {{0x4427d81c,0x6d4d016a,0x2a60006d,0x6b68010e}},	//   vin_, _hyaa, bmib_, _végü, 
   {{0x6443d81d,0x44272f6d,0x2af2031e,0x2b00031e}},	//   woni, win_, ीहरु_, रहरु_, 
   {{0x2bc006ea,0x4427d81e,0xd49b41b8,0x2d990183}},	//   श्वा, tin_, фре_, iase_, 
   {{0x7e6d07d7,0x2d99d81f,0x4427d820,0x6d4d01b8}},	//   _liap, hase_, uin_, _myaa, 
   {{0x44273b27,0x69ddd821,0x6443d822,0x2d99d823}},	//   rin_, _kase, roni, kase_, 
   {{0x442721e2,0x645ad824,0xe0d93dc8,0xda13031e}},	//   sin_, _ehti, еви_, ठसित_, 
   {{0x69ddd825,0x4427d826,0x224dd827,0x2d99d828}},	//   _mase, pin_, rlek_, dase_, 
   {{0x4427d829,0x224dd82a,0xdb1e0379,0xf0760019}},	//   qin_, slek_, _kapô, دیوں_, 
   {{0x6d4d5c60,0x765b0029,0x62810364,0x224daa43}},	//   _ayaa, _khuy, _utlo, plek_, 
   {{0x2d99d82b,0x7c250084,0x6d41213d,0xb87b0187}},	//   gase_, _amhr, ğlan, _príl, 
   {{0x6d410824,0xa0a548bf,0x10a507d9,0x645a00c8}},	//   şlan, _салд, _силн, _yhti, 
   {{0xb87b04b3,0x6d4d0102,0x2909012b,0x7c2501be}},	//   _crím, _dyaa, dyaa_, _cmhr, 
   {{0x2d99d82c,0x69ddd82d,0x2fc70102,0x61fb095a}},	//   base_, _base, _ibng_, ojul, 
   {{0x2d99d82e,0xceb20056,0x61fbd82f,0x7e6dd830}},	//   case_, _היה_, njul, _giap, 
   {{0x57ead831,0x69dd754c,0x6d4d0539,0xb87b01d5}},	// [e6e0] ндам_, _dase, _gyaa, _frím, 
   {{0x671645d4,0x61fb7d33,0x7649d832,0xb8cc059e}},	//   льеф, hjul, _akey, _गि_, 
   {{0x55e6386d,0x2c6f0405,0x2ca0055f,0x7bde0870}},	//   ложб, _iżda_, _hvid_, _iapu, 
   {{0x765b0124,0x69ddd833,0x7bded834,0x44250156}},	//   _chuy, _gase, _hapu, _aml_, 
   {{0xa426d835,0x80d300a5,0x69c401d2,0x98a7020f}},	//   лькл, _बैले, mfie, ănă_, 
   {{0x69ddd836,0x2d990496,0xf746d837,0xfc3f0042}},	//   _zase, zase_, _бего, buíu_, 
   {{0x7bdea1e9,0x68e40fcb,0x0cb15582,0x69ddd838}},	//   _mapu, lvid, _जम्म, _yase, 
   {{0x2d9909a1,0x69c4d839,0x7bde4a1d,0x44259aa0}},	//   xase_, nfie, _lapu, _eml_, 
   {{0x68e44bb8,0x13b600d4,0x7e6d00fd,0x2d99d83a}},	//   nvid, _مصاح, _riap, vase_, 
   {{0x7e6d2e7b,0xa3ae000f,0xd0730038,0xa3dc009a}},	//   _siap, _काट_, حديث, _तोच_, 
   {{0x2d99d83b,0x630636b0,0x6d4d0640,0x68e4ac0b}},	//   tase_, _حوال, _syaa, hvid, 
   {{0x90e62300,0xb5fd06e0,0x7bde011d,0x320dd83c}},	//   _مستن, _piši, _aapu, ckey_, 
   {{0x2d99d83d,0xa3e902f8,0x69ddd83e,0xb87b6e64}},	//   rase_, याच_, _rase, _prím, 
   {{0x68e4d83f,0x7bde2b61,0x2d990068,0x69ddd840}},	//   dvid, _capu, sase_, _sase, 
   {{0x3a292e7b,0x2d99d841,0x7bde1021,0x601602a0}},	//   tiap_, pase_, _dapu, _câme, 
   {{0x59df1687,0xb5fd0813,0x5c755a60,0x8e830038}},	//   _पोखर, _tiši, _клит, _اليه, 
   {{0x69dd64e4,0x37ab088a,0xc9840e65,0x290f0019}},	// [e6f0] _vase, етен_, суси, ága_, 
   {{0xf1b9d621,0x3a2902cd,0x69ddd842,0x7bded843}},	//   riši_, siap_, _wase, _gapu, 
   {{0x76b911c3,0x69ddd844,0xa3ae00b0,0x96e8d845}},	//   тлер_, _tase, _काज_, льца_, 
   {{0x3ce90533,0xf1b92c85,0x7bde0688,0xd6d85013}},	//   _krav_, piši_, _zapu, ыту_, 
   {{0x798d40f1,0x4425d846,0x2ed1072e,0x7bde66ed}},	//   mbaw, _pml_, _तन्त, _yapu, 
   {{0xb5fd0d02,0x3ce900d2,0x2329d847,0x78ad024a}},	//   _nišv, _mrav_, коли_, mrav, 
   {{0x765b001b,0xf10d00bd,0x78add848,0x7d1d0175}},	//   _thuy, िन्द_, lrav, hzss, 
   {{0x0205d849,0x212b0165,0x4425008a,0x78ad0036}},	//   рзин, úcho_, _wml_, orav, 
   {{0x3ce9006d,0x61fbd84a,0x44250243,0x320dd84b}},	//   _nrav_, rjul, _tml_, rkey_, 
   {{0xb87b0187,0x60093d5b,0x44251f14,0x8fa502a0}},	//   _príj, тном_, _uml_, јане, 
   {{0x26c10364,0x7bde0dfa,0x69c4d84c,0x68e40352}},	//   ntho_, _rapu, yfie, zvid, 
   {{0x60160165,0x78ad380a,0x3ce9d84d,0xfc3f020b}},	//   _câmb, krav, _brav_, brík_, 
   {{0x7bded84e,0x68e4026a,0x3eac064e,0x6016020f}},	//   _papu, xvid, ardt_, _dâmb, 
   {{0x6a860c67,0x92d70086,0xd3780df4,0xa13600c7}},	//   илга, ামী_, _kaća_, _דאנק_, 
   {{0x7bded84f,0x69960141,0xe9df02aa,0x49962461}},	//   _vapu, ирах, _baú_, ишат, 
   {{0xecea00f6,0xdb1c0228,0x798d2639,0x7bde825c}},	//   _адил_, cerý, gbaw, _wapu, 
   {{0x69c4d850,0x3ce9d851,0x2ca004d1,0xa3d5d852}},	// [e700] rfie, _grav_, _uvid_, िजा_, 
   {{0x07a6d853,0x68e41481,0xa3e5143e,0x60160fb9}},	//   ражн, rvid, _बोल_, _zâmb, 
   {{0x6b9cd854,0x78ad5698,0x59760235,0x69c4d855}},	//   marg, arav, _выгу, pfie, 
   {{0x38710097,0x68e40844,0x1a9b0070,0x6b9c23bb}},	//   _žorž_, pvid, _ביטע, larg, 
   {{0xf1b901b4,0x78ad145a,0x59df0c46,0x5d7b0070}},	//   nišu_, crav, _पोटर, דאנק, 
   {{0x66e6048a,0xdb1c0019,0x02a67b2d,0x6b9cd856}},	//   _кога, kerü, арим, narg, 
   {{0xc7a30978,0x28ac0586,0xe7c6009a,0x59ba0083}},	//   _фиск, _चिडि, र्णप, इलपर, 
   {{0xe6430d0c,0xc4863381,0xfc3fd857,0xdb1c010e}},	//   _десп, _влак, nuír_, derü, 
   {{0x6b9c1692,0x9f470379,0x00000000,0x00000000}},	//   karg, _annà_, --, --, 
   {{0x6016002e,0xf1b90082,0x600420cf,0x238902d9}},	//   _sâmb, dišu_, _còmp, čují_, 
   {{0x08570056,0x6d41091f,0xb87b0228,0x78add858}},	//   שבים_, ğlam, _prík, zrav, 
   {{0x3ce911c8,0x6d41091f,0xf1b90ab4,0xa3ae00a5}},	//   _prav_, şlam, fišu_, कलक_, 
   {{0x6b9cd859,0x628a01d2,0x998900d8,0x00000000}},	//   farg, lpfo, chař_, --, 
   {{0x6b9cd85a,0xddc40082,0x26c100f8,0x798d012b}},	//   garg, _viiš, ytho_, wbaw, 
   {{0xda78d85b,0xbebc002a,0xdd95004e,0xdb1cd85c}},	//   ият_, dzīg, _лайы, deró, 
   {{0x78add85d,0x3ce91e9f,0x9dab0093,0xf1b90082}},	//   trav, _trav_, _ръка_, bišu_, 
   {{0x6b9cd85e,0x32d80023,0xf1b900ca,0x798dd85f}},	// [e710] barg, _lũy_, mišt_, rbaw, 
   {{0x6b9c1a6e,0xb5fd014b,0xdd9100d4,0x78add860}},	//   carg, _lišt, _بوک_, rrav, 
   {{0xfc3f0496,0x8ae402fb,0xdc3c00d1,0x7bd5d861}},	//   buír_, _діял, _בעזר, mezu, 
   {{0xb5fd02f5,0x26c10118,0x9f5c0098,0x00000000}},	//   _ništ, rtho_, _noví_, --, 
   {{0x26c10891,0xdb1c001d,0xd37800ca,0x7afa02ae}},	//   stho_, beró, _saća_, ättv, 
   {{0xb87b0183,0x87e7d862,0x925900d7,0x00000000}},	//   _asíg, _тюме, گشتر_, --, 
   {{0x9f5c00f6,0x466b09d9,0x2019021e,0x00000000}},	//   _boví_, _арам_, ësim_, --, 
   {{0xb5fd015e,0xcb3800d1,0xfba70e0d,0x6b9cd863}},	//   _pišu, ינוק_, कृतम, zarg, 
   {{0x600dd864,0x7bc702fe,0x7a33003d,0xe7ab02e6}},	//   _húmi, kfju, għti, _चयाप, 
   {{0x4394005e,0xaffe00e7,0xf1b9d865,0x04590038}},	//   _маус, _phướ, višu_, _صلاة_, 
   {{0x2eb6094d,0x59a700a2,0x6b9cd866,0x5f450038}},	//   _अमृत, गणार, varg, إنجل, 
   {{0x6b9c079a,0xe9df00e7,0xdb0501e5,0xf1b90ab4}},	//   warg, _thúy_, _idhè, tišu_, 
   {{0x308500eb,0x6b9cd867,0x8fa5009c,0x00000000}},	//   _التف, targ, _همشه, --, 
   {{0xf1b90b91,0xaffe001b,0xab2a10a0,0x1c390080}},	//   rišu_, _thướ, гога_, аясь_, 
   {{0xfc3f03da,0x6b9cd868,0xe4560070,0x2ef802eb}},	//   tuír_, rarg, מישט_, ärft_, 
   {{0xf1b91993,0x6b9c2ea3,0xb87b024c,0xdb0500de}},	//   pišu_, sarg, _osíd, _uchý, 
   {{0x1b200086,0x6b9cd869,0xfc3f0042,0xdb1cd86a}},	// [e720] _মুখে_, parg, ruír_, teró, 
   {{0x3cfb042c,0xfc3f0042,0x6b9c00a3,0xb90000c9}},	//   _עלינ, suír_, qarg, _दन_, 
   {{0x387900ef,0x205600c7,0xdb0500d7,0x7c2e0b41}},	//   _eusr_, ציעל_, _ndhè, mibr, 
   {{0x7c2ed86b,0xceb20137,0x0566391b,0xd5b935f3}},	//   libr, ליב_, бвен, исі_, 
   {{0x69d684fc,0xdb050151,0xad9b00b9,0xdb1c0083}},	//   meye, _adhè, ljúc, peró, 
   {{0x69d6d86c,0x044314d3,0xa08a02f1,0x9f5c00b9}},	//   leye, печн, қсиз_, _soví_, 
   {{0x81e10033,0x8cda0083,0x00000000,0x00000000}},	//   দান_, _पैसो, --, --, 
   {{0x69d6d86d,0x7bd500b4,0x00000000,0x00000000}},	//   neye, zezu, --, --, 
   {{0xdb0502f2,0x7c2e016a,0x914ac1d4,0xb5fd0009}},	//   _schü, kibr, ычка_, _višt, 
   {{0xa20806a2,0x3f98abad,0x7c2e0175,0x628a3b57}},	//   ılış_, úru_, jibr, ppfo, 
   {{0x601602a0,0x7c2e002c,0x644ad86e,0xdb1c003e}},	//   _câma, dibr, mofi, lfræ, 
   {{0x442e1bd0,0x63a8016a,0x69d6010c,0xe2a93dd7}},	//   lif_, _hddn, jeye, _ضامن_, 
   {{0x69d6009e,0x7bd5d86f,0xdb05011c,0x00000000}},	//   deye, tezu, _idhé, --, 
   {{0xdb0500e5,0x9f5e00e5,0x4e9300d4,0x442ed870}},	//   _udhë, njtë_, _کشور, nif_, 
   {{0x3f9e3512,0xdb07017b,0x69d6040c,0xb5fd0028}},	//   matu_, ngjø, feye, _mišr, 
   {{0x3f9e02ba,0x69d64422,0x644a27bf,0x7bd5925b}},	//   latu_, geye, hofi, sezu, 
   {{0x61e2d871,0x7799275d,0x644ad872,0x63a8d873}},	// [e730] _maol, икар_, kofi, _oddn, 
   {{0x3f9ed874,0x61e20149,0x99890228,0x20c2003e}},	//   natu_, _laol, dnať_, iði_, 
   {{0x7ac728f0,0x442ed875,0xaa596a25,0x69d687ce}},	//   _успе, dif_, _вину_, beye, 
   {{0xdebb035c,0x3f9ed876,0x6aa1008c,0x61e2d877}},	//   רמאל, hatu_, álfu, _naol, 
   {{0x3f9e02ba,0xcc34006b,0x789313b4,0x442e4394}},	//   katu_, _ذریع, _ریاض, fif_, 
   {{0xd7fb00ce,0xdb05026a,0x3f9ed878,0x2d9b7b90}},	//   _сум_, _adhé, jatu_, _leqe_, 
   {{0xdc380137,0x3f9e02ba,0x28dd3cae,0x61e20180}},	//   זאגט_, datu_, _नैति, _baol, 
   {{0x20c2010d,0x80a97480,0x61e23772,0x00000000}},	//   fði_, авив_, _caol, --, 
   {{0x20c2010d,0xe7c60662,0x349420e8,0x3f9e02fe}},	//   gði_, र्वप, _натр, fatu_, 
   {{0xbebc002a,0x3f9e685b,0x764b35b8,0x644ad879}},	//   dzīb, gatu_, logy, cofi, 
   {{0x61e200cf,0xee3a486c,0x02d906bc,0x69d60027}},	//   _faol, ино_, _خواب_, yeye, 
   {{0x92b40274,0x61e20038,0x69c90fcf,0x5cf601a2}},	//   _رحما, _gaol, _हॉली, оягу, 
   {{0x3f9ed87a,0x41c202e6,0x69d6010c,0x7c2e0151}},	//   batu_, _वॉटस, veye, tibr, 
   {{0xdb1c008c,0x69d6009e,0x3f6916d2,0x3f9ed87b}},	//   ferð, weye, _кило_, catu_, 
   {{0xdb1c010d,0xcb6a55e1,0x69d6d87c,0x99890032}},	//   gerð, раве_, teye, znať_, 
   {{0xe9da1eac,0x20070a9f,0x442ed87d,0x3a2b00a1}},	//   јка_, _honi_, zif_, _cmcp_, 
   {{0xd9100a24,0x69d6d87e,0xe8fa3a36,0x644a0548}},	// [e740] ریس_, reye, шла_, yofi, 
   {{0x99890187,0x7afa0219,0x3b832b68,0x69d6d87f}},	//   vnať_, ätts, _ольг, seye, 
   {{0x764bd880,0x20079ade,0x644a02f1,0x69d60300}},	//   fogy, _moni_, vofi, peye, 
   {{0x3f9e60c2,0x442e0065,0x26380082,0x2007d881}},	//   zatu_, wif_, pčom_, _loni_, 
   {{0x64a311f9,0x92e60086,0x9980012d,0x27e382b3}},	//   дача, _পথে_, snių_, _fajn_, 
   {{0x61e2d882,0xdb1c008c,0xb87b0228,0x200774ae}},	//   _saol, rfræ, _prív, _noni_, 
   {{0x61e2d883,0xe73758e7,0xff470195,0xdb1c003e}},	//   _paol, _дер_, _آخ_, sfræ, 
   {{0x245b010c,0x30a6d884,0x9f5c3077,0x3f9e70dc}},	//   rêma_, оров, _nová_, watu_, 
   {{0x2007d885,0x644a0053,0x61e20054,0xd3440535}},	//   _boni_, pofi, _vaol, _کفای, 
   {{0x20c206b6,0x2018008c,0xaaab0394,0x20077b3d}},	//   rði_, óri_, _छिलक, _coni_, 
   {{0x3f9ed886,0x61e22797,0x2007d887,0xddc4008a}},	//   ratu_, _taol, _doni_, _funż, 
   {{0x3f9ed888,0x6602d889,0xdb1c008c,0x20070118}},	//   satu_, njok, verð, _eoni_, 
   {{0x3f9e4d43,0x9ccb065f,0x20070204,0x91360019}},	//   patu_, шына_, _foni_, _براؤ, 
   {{0x2249090b,0x68fb03a1,0xdfcf0038,0xa3cd0c73}},	//   čake_, _àudi, _ليه_, ष्प_, 
   {{0x799f0ab1,0x5fb700a7,0x764b3b03,0x443e02a3}},	//   taqw, _והוא_, yogy, _mjt_, 
   {{0x20070704,0x7bda0107,0x442cd88a,0x27ed04a8}},	//   _zoni_, ôtur, _lmd_, _şen_, 
   {{0x7afa014e,0x442c0118,0x443e016a,0x3f9c0082}},	// [e750] ättr, _omd_, _ojt_, _kevu_, 
   {{0x6aa1010d,0x75225c43,0x478bd88b,0x79860118}},	//   álfs, dzoz, рсам_, _efkw, 
   {{0xb87b00b9,0x81e10033,0x3a2b0210,0x00000000}},	//   _arít, দাত_, _tmcp_, --, 
   {{0x3f9c9941,0x6fca02e6,0x7afa00fc,0x442c7910}},	//   _levu_, त्तू, åtte, _amd_, 
   {{0xe7870013,0x443e5b8c,0xb5fd0242,0x6e2dd88c}},	//   _муво, _bjt_, _dišp, _mmab, 
   {{0x94252f80,0x799d07fc,0x764b0090,0x442cd88d}},	//   ямле, _hesw, sogy, _cmd_, 
   {{0xc6a400cf,0x659500e4,0x442c611c,0x61c60299}},	//   _орти, _наву, _dmd_, लभूष, 
   {{0x200702f1,0xb87b003e,0x6602023e,0x799d0226}},	//   _soni_, _frít, cjok, _jesw, 
   {{0x661bd88e,0x090d0033,0x00000000,0x00000000}},	//   _iluk, _সেতু_, --, --, 
   {{0x6e2d244b,0x799d05d5,0x660901a9,0x661b631d}},	//   _amab, _lesw, _hoek, _hluk, 
   {{0x661bd88f,0x6609d890,0x59cb1489,0x8e8503bd}},	//   _kluk, _koek, ाभार, ягне, 
   {{0x82370019,0x660940a9,0x2a69006d,0x44dd03a0}},	//   _برطا, _joek, jmab_, _kň_, 
   {{0x317a00fe,0x6609d891,0xa3df00a2,0x8d560504}},	//   _האנד, _moek, _तसा_, яточ, 
   {{0x201ed892,0x6609d893,0x6e2d0547,0x44dd0118}},	//   chti_, _loek, _emab, _mň_, 
   {{0x661bd894,0x6b6317b4,0xdce603c0,0xa3cd8d12}},	//   _oluk, екра, rakı, ष्य_, 
   {{0x78a4d895,0x3ce0023b,0x66090054,0x661b052b}},	//   tsiv, _tsiv_, _noek, _nluk, 
   {{0x799d01c4,0xa9675e26,0xfc3f2419,0x394302f1}},	// [e760] _desw, зита_, grís_, ентг, 
   {{0xa3cd034d,0x78a4d896,0x6d5602cd,0x600dd897}},	//   ष्म_, rsiv, _iyya, _túmu, 
   {{0x66090e47,0x224d2760,0x442c01e5,0xb87b88e8}},	//   _boek, koek_, _rmd_, _brís, 
   {{0xb87bd898,0x44dd03a0,0x799d0326,0xf99f0237}},	//   _prít, _bň_, _gesw, _joèl_, 
   {{0x01c30086,0xd90d0e13,0x224dd899,0x660910de}},	//   ্যাদ, _پیل_, doek_, _doek, 
   {{0x3fe60086,0x661b007e,0x78a20377,0x2bc0699a}},	//   _পক্ষ, _eluk, šovs, श्चा, 
   {{0x661bd89a,0x29000042,0xb87b01d5,0x3f9cd89b}},	//   _fluk, lxia_, _frís, _revu_, 
   {{0xdb1c8040,0x44dd03a0,0x2f220175,0x8cad0083}},	//   berö, _fň_, _légé_, _जिलो, 
   {{0xdfd0057f,0x7643006b,0x0ef42df7,0x2912016a}},	//   نية_, énye, इम्स_, nyya_, 
   {{0x6609290d,0x251b00fe,0xe0cf091d,0x6b9e08b0}},	//   _zoek, _הומא, ازي_, _nepg, 
   {{0x224d6b2d,0x7e76012b,0xa3e529b0,0x00000000}},	//   boek_, _biyp, _बोट_, --, 
   {{0xa3cd5a67,0xf27b0056,0x201e2e1e,0x7e64d89c}},	//   ष्ठ_, _הראש, shti_, _chip, 
   {{0x63bc0219,0xfc3f0634,0x7e64031d,0x799d017c}},	//   _örns, esía_, _dhip, _resw, 
   {{0x9a871880,0x7e64134a,0x6b9e016c,0x799d0118}},	//   зуал, _ehip, _cepg, _sesw, 
   {{0xdb1cd89d,0xb4a90e49,0x00000000,0x00000000}},	//   ngrè, _खट्_, --, --, 
   {{0x6e2dd89e,0x7f3b0070,0x0f5700df,0x600d0534}},	//   _umab, _לעוו, _מיום_, _fúms, 
   {{0x66090b22,0x2c6402ae,0xa3e552f7,0x00000000}},	// [e770] _roek, född_, _बोझ_, --, 
   {{0x224d0b32,0x6609d89f,0x661b042a,0xfc3f0042}},	//   zoek_, _soek, _sluk, rrís_, 
   {{0xb87b2e19,0x2ca90941,0x799d0026,0x6e3dd8a0}},	//   _prís, _hvad_, _tesw, onsb, 
   {{0x3a20d8a1,0x6e3d0c86,0x80d30033,0x224d01d6}},	//   chip_, nnsb, তিত্, xoek_, 
   {{0x629ab017,0xdb1c014e,0xc48400f0,0x49744eb1}},	//   _awto, rfrå, елік, _плюс, 
   {{0xdb1c0611,0xe3b80095,0x7643010e,0x69cd0156}},	//   sfrå, _alıb_, ényb, lfae, 
   {{0x6609d8a2,0x248f0065,0x321f0108,0xf7736564}},	//   _toek, spgm_, thuy_, _ساس_, 
   {{0x601f026a,0xf99f03a0,0x6e3d01d2,0x201c0080}},	//   _même, _alèz_, jnsb, _alvi_, 
   {{0x6820014e,0x224dd8a3,0x25add8a4,0xf99f0118}},	//   _född, roek_, _idel_, _blèz_, 
   {{0x443106d0,0x6e3d24bc,0x224dd8a5,0xdb050183}},	//   _öz_, ensb, soek_, _adhí, 
   {{0x63a3d8a6,0xa3cd0367,0x1f6500dd,0xa29400dd}},	//   mann, ष्ण_, ьком, _захі, 
   {{0xd12e0e70,0xf99f0118,0xed5ad8a7,0xb0d800c9}},	//   امی_, _elèz_, жом_, _बैकग, 
   {{0x61e97472,0x63a30036,0x00000000,0x00000000}},	//   mdel, oann, --, --, 
   {{0x61e90310,0x63a3d8a8,0xddcd00d9,0x60c9d8a9}},	//   ldel, nann, _piaţ, mtem, 
   {{0x60c9d8aa,0x69cd45a4,0x63a30ab1,0x7e64d8ab}},	//   ltem, ffae, iann, _thip, 
   {{0x6d4401c1,0xddcd002e,0xdb1cd8ac,0x290001f1}},	//   _txia, _viaţ, ngré, txia_, 
   {{0x63a39368,0x61e9d8ad,0x6b670107,0x6ea1009a}},	// [e780] kann, idel, tégé, _कौतु, 
   {{0x60c9d8ae,0xb87b0187,0x61e90088,0x63a3d8af}},	//   item, _prír, hdel, jann, 
   {{0x63a30c0b,0xdb0502ec,0x765902bf,0x60c9d8b0}},	//   dann, _schö, flwy, htem, 
   {{0x61e9d8b1,0x60c9d8b2,0x6b670019,0x7bdcd8b3}},	//   jdel, ktem, ségé, leru, 
   {{0x61e96a3f,0x63a3d8b4,0xe5a30a65,0xfc3f0038}},	//   ddel, fann, тичи, isín_, 
   {{0x7bdcd8b5,0x63a3d8b6,0x61e90aa7,0xb4de007e}},	//   neru, gann, edel, _तनी_, 
   {{0x59e2109f,0x61e9d8b7,0x7bdc00b3,0x321d03c6}},	//   _पसार, fdel, ieru, _blwy_, 
   {{0x7bdcb072,0xd257058b,0x63a31423,0x68200219}},	//   heru, мцы_, aann, _döde, 
   {{0x63a3d8b8,0x30140445,0x60c965f6,0x83c600fd}},	//   bann, едпр, gtem, _обаж, 
   {{0x224900f1,0x63a3d8b9,0xb4631a79,0x6820d8ba}},	//   čaka_, cann, _акул, _föde, 
   {{0x7bdcd8bb,0x741300d6,0x80bd00cc,0x60c9d8bc}},	//   deru, _جولا, ্টগ্, atem, 
   {{0xd37802f5,0x2005006d,0x68ed11bb,0x6abcd8bd}},	//   _naći_, ajli_, yvad, durf, 
   {{0x60c9026d,0xb87b1c62,0x6e3d05c2,0x38780d44}},	//   ctem, _asín, rnsb, _oirr_, 
   {{0x201900e5,0x6abc00f8,0x09a7009a,0x5c7419b1}},	//   ësit_, furf, गण्य, клят, 
   {{0x81e10086,0xb4bb0790,0xd5a40019,0x02dc00c6}},	//   দার_, _अम्_, _پہ_, _मनोन, 
   {{0x63a3d8be,0x68ed12ed,0x79960ff2,0x25a001d5}},	//   zann, tvad, gbyw, ðill_, 
   {{0xee3f0076,0x30bc00cc,0x7bdcd8bf,0x63a3d8c0}},	// [e790] mný_, _অনুস, beru, yann, 
   {{0xee3f0076,0x61e9d8c1,0x7bdc5743,0x9c3800c8}},	//   lný_, zdel, ceru, _опыт_, 
   {{0x61e9d8c2,0x68edd8c3,0x7bc51b33,0x63a3d8c4}},	//   ydel, svad, _ichu, vann, 
   {{0x7ae5d8c5,0xee3f0076,0x63a30584,0x61e90126}},	//   _isht, nný_, wann, xdel, 
   {{0x6820022b,0x61e9d8c6,0x24f916e0,0xb87b01d5}},	//   _söde, vdel, янды_, _gríp, 
   {{0x9f470218,0x61e90d8e,0x7ae50034,0x02c51e6e}},	//   _danê_, wdel, _ksht, ейко, 
   {{0x7bc50053,0xee3f026e,0x00000000,0x00000000}},	//   _mchu, kný_, --, --, 
   {{0x63a3d8c7,0x60c9d8c8,0xee3f05a8,0x7ae50053}},	//   sann, ttem, jný_, _msht, 
   {{0xee3f08fc,0x61e9034e,0x7bc5d8c9,0x248d00e2}},	//   dný_, rdel, _ochu, _utem_, 
   {{0x60c9d8ca,0x7bc5d8cb,0x63a3040c,0x7c35015e}},	//   rtem, _nchu, qann, jizr, 
   {{0x69d00081,0x61e9d8cc,0xdb1c0369,0x00000000}},	//   ड्डी, pdel, sfrú, --, 
   {{0xfbc90056,0x7bdcd8cd,0x7bc5d8ce,0x63a103c5}},	//   _לת_, weru, _achu, _heln, 
   {{0x9f47078e,0x7bdcd8cf,0x63a1d8d0,0x395934db}},	//   _kanë_, teru, _keln, _nyss_, 
   {{0x9f47078e,0xafe20c67,0x6281d8d1,0x6abc4329}},	//   _janë_, _бошл, _kulo, turf, 
   {{0xee3f3077,0x7e56117c,0x7bdcd8d2,0x63a100e0}},	//   bný_, _птиц, reru, _meln, 
   {{0xb87b0039,0x09e3d8d3,0x6281d8d4,0xee3f014b}},	//   _príp, лосн, _mulo, cný_, 
   {{0x7ae5078e,0x39461de2,0x6d4103b0,0x387805c2}},	// [e7a0] _esht, ços_, şlar, _pirr_, 
   {{0x7bdc0034,0x1ae63a64,0x00000000,0x00000000}},	//   qeru, _зоом, --, --, 
   {{0x28ac0239,0x6281d8d5,0xa9a61a31,0xa2c10299}},	//   _चिकि, _nulo, _пинд, रूम्, 
   {{0x25a0057f,0x2a790640,0xb87b114a,0x5ab700c7}},	//   úil_, _gisb_, _tríp, _אלטע_, 
   {{0x62813118,0xb97b00a7,0xb608014b,0x69c60844}},	//   _aulo, _מרכז, _nešť, _icke, 
   {{0x6281d8d6,0xee3f014b,0x63a10497,0x387800a1}},	//   _bulo, zný_, _celn, _uirr_, 
   {{0x2bd20e0d,0x6281d8d7,0x63a1d8d8,0x9f47009e}},	//   द्या, _culo, _deln, _wanê_, 
   {{0x6281d8d9,0x63a1007e,0x60f80093,0xc7af0019}},	//   _dulo, _eeln, дния_, _پڑے_, 
   {{0xc05a0a02,0xee3f3077,0x62813ca0,0x63a1d8da}},	//   зін_, vný_, _eulo, _feln, 
   {{0x63a1d8db,0x490800c9,0x9f4705d5,0x30140176}},	//   _geln, _सपनो_, _kanè_, тдор, 
   {{0xee3f0076,0xe297d8dc,0xdd95021f,0x6281d8dd}},	//   tný_, _зах_, каны, _gulo, 
   {{0x7bc5d8de,0x00000000,0x00000000,0x00000000}},	//   _schu, --, --, --, 
   {{0xee3f063b,0x60160165,0x628101ca,0xdb15003e}},	//   rný_, _lâmi, _zulo, _íbúa, 
   {{0xee3f026e,0x7a2300b0,0x69c6d8df,0xd0071271}},	//   sný_, _mõte, _acke, _пече_, 
   {{0xee3f026e,0x22ac00bc,0x628100a3,0x27ff0023}},	//   pný_, něk_, _xulo, _đun_, 
   {{0x9b58004f,0x00000000,0x00000000,0x00000000}},	//   хист_, --, --, --, 
   {{0x9f5c0187,0x26d8d8e0,0x3ebe004f,0x7bc5019b}},	// [e7b0] _novú_, _apro_, lutt_, _tchu, 
   {{0xb9090b79,0x7bc5d8e1,0x290714f0,0xc6a70161}},	//   _मन_, _uchu, ćna_, ерди, 
   {{0xf3ff0124,0x7ae501ee,0x3ebe004f,0x63a10175}},	//   _đã_, _usht, nutt_, _reln, 
   {{0x2b0e031e,0x62815b7c,0x00000000,0x00000000}},	//   ठहरु_, _rulo, --, --, 
   {{0x6281d8e2,0x63a12ea3,0x1dd300ae,0x36050296}},	//   _sulo, _peln, ध्यत, _یوسف, 
   {{0xe3b3040f,0x6281bfb4,0x29360137,0x200e01e5}},	//   ارش_, _pulo, _יארן_, _nofi_, 
   {{0x81ea100b,0x92e80038,0x628100a3,0x63a12409}},	//   মান_, فريق_, _qulo, _veln, 
   {{0x63a1039b,0xdb1c0657,0x6281021e,0x00000000}},	//   _weln, rfrø, _vulo, --, 
   {{0xe3b31666,0x9f47024a,0x200e0118,0xd37b00d9}},	//   _مرض_, _tanë_, _bofi_, _ече_, 
   {{0x6281d8e3,0x3e7b00ec,0x69df021e,0x200e8f43}},	//   _tulo, _rūta_, heqe, _cofi_, 
   {{0x926b02f1,0x263800ef,0x6281011d,0x3ebe00fc}},	//   _ерда_, mčor_, _uulo, gutt_, 
   {{0x9f4733ad,0x518716d0,0x237400b8,0xd05f00ad}},	//   _jané_, _чужа, _صالح, _əvəz, 
   {{0xdf5300f6,0xd3780f23,0x9f47019c,0x00000000}},	//   _өндө, _daću_, _mané_, --, 
   {{0x320f082c,0x3ebe00a4,0x61eb09ad,0x9f47011c}},	//   _hogy_, butt_, _hagl, _lané_, 
   {{0xe8050509,0xfe465843,0x61eb023e,0xa1f90082}},	//   राना_, _инко, _kagl, šćuš, 
   {{0x61ebd8e4,0x4a438c3f,0x9f4500da,0x00000000}},	//   _jagl, ансв, ndlí_, --, 
   {{0x61ebd8e5,0x98a6019c,0x00000000,0x00000000}},	// [e7c0] _magl, тизе, --, --, 
   {{0x61eb4739,0xe3b8008f,0xbebc01dd,0x395c01dd}},	//   _lagl, _alın_, dzīj, āvs_, 
   {{0x3689004e,0x3d650116,0x6fd30035,0x9f47011c}},	//   есін_, _لطیف, ब्यू, _bané_, 
   {{0x61eb0daa,0x6820014e,0xdb1cd2bf,0x22ac031e}},	//   _nagl, _döda, ngrí, věk_, 
   {{0x9f47014b,0x7a3b0080,0x00000000,0x00000000}},	//   _dané_, sätä, --, --, 
   {{0xa7da09e8,0x69c4d8e6,0x93bc00b3,0x545301fc}},	//   _توسط_, lgie, _slăb, авіт, 
   {{0x61ebd8e7,0x02a30f82,0x95866e36,0x2d80b61b}},	//   _bagl, арым, _албе, _ogie_, 
   {{0xe3b200d4,0x61ebd8e8,0x9f470126,0x78b1008c}},	//   _چرا_, _cagl, _gané_, _ákvæ, 
   {{0x61ebd8e9,0xad9b003e,0xe7cf009a,0x68e4d8ea}},	//   _dagl, sjúk, स्वप, nwid, 
   {{0xa3ba0195,0xe8053263,0x69df0034,0x61eb73c0}},	//   _زائر_, राया_, zeqe, _eagl, 
   {{0x81d7100b,0x61eb43d0,0x2484d8eb,0x539b0486}},	//   ায়_, _fagl, _humm_, _חיבו, 
   {{0x4c951420,0x61eb210a,0x68e4d8ec,0x93bc020f}},	//   лимс, _gagl, kwid, _flăc, 
   {{0xdfd4032e,0xe805031e,0x22460640,0x23c91489}},	//   _болы, रामा_, _ijok_, _रामद, 
   {{0x61e001f0,0xdfd00038,0x3ebe0380,0x68e4d8ed}},	//   leml, _طيب_, putt_, dwid, 
   {{0x2bd20586,0xfbd200bc,0x307b0070,0x60c07d6d}},	//   द्धा, द्धम, _קאונ, lumm, 
   {{0x69c4d8ee,0x9f470216,0x61e0d8ef,0x24840054}},	//   ggie, _kanî_, neml, _oumm_, 
   {{0x60c00f96,0xaa58002e,0x68e4d8f0,0x52bf017d}},	// [e7d0] numm, титу_, gwid, _एम्स, 
   {{0x2bd21464,0x7d5800d1,0x00000000,0x00000000}},	//   द्दा, _ביחד_, --, --, 
   {{0x12bd0086,0x25ff00a2,0xdce4008a,0x2246d8f1}},	//   _আন্দ, ळाली_, _ifiġ, _ojok_, 
   {{0x60c0d8f2,0x28ac252e,0x61e00352,0xe61069c5}},	//   kumm, _चिचि, jeml, يشن_, 
   {{0xe8df00f7,0x60c0d8f3,0xa8a400ce,0x61eb0156}},	//   _thực_, jumm, _врск, _ragl, 
   {{0x61eb740a,0xe78703dc,0x78ad098d,0x24840380}},	//   _sagl, _шумо, msav, _dumm_, 
   {{0x61eb7fae,0x2484016a,0x78add8f4,0x2129020b}},	//   _pagl, _eumm_, lsav, _ťah_, 
   {{0x93bc00d9,0x798dd8f5,0x26c107fc,0x80be0033}},	//   _plăc, ncaw, muho_, ্বন্, 
   {{0x30751d6b,0x61eb02a3,0x03c701d7,0x26c1011d}},	//   луос, _vagl, _асем, luho_, 
   {{0x61eb6b39,0x9f47009e,0x1dc6009a,0x4fe98217}},	//   _wagl, _danî_, _वाहत, хмон_, 
   {{0x6da61891,0x61ebd8f6,0x442701fd,0x2ba70035}},	//   лина, _tagl, mhn_, _औज़ा, 
   {{0x60c0d8f7,0x25a4009e,0x00000000,0x00000000}},	//   bumm, _xeml_, --, --, 
   {{0x51840d45,0x78ad543a,0x6443d8f8,0x25a0003e}},	//   _туха, jsav, onni, ðili_, 
   {{0x78ad050f,0x81ea0033,0x225fd8f9,0x2e220534}},	//   dsav, মাণ_, lluk_, _dófa_, 
   {{0x6443a2ed,0xe6d20394,0xdc6711f9,0xab2aa109}},	//   inni, _सहेज, уард_, хова_, 
   {{0x69c4002a,0x6e9200eb,0x5fcf2f41,0x225fd8fa}},	//   ugie, _اليا, त्रल, nluk_, 
   {{0x9f470218,0x6e24d8fb,0x9f5c05d5,0x78ad44ae}},	// [e7e0] _xanî_, _ilib, _anvè_, gsav, 
   {{0x225fd8fc,0x69c44249,0x248400bd,0xebe648ec}},	//   hluk_, sgie, _rumm_, _сооп, 
   {{0x225fd8fd,0x09b00086,0x442701fd,0x7d09024a}},	//   kluk_, ঙ্গা, dhn_, _tërë, 
   {{0x644300ab,0x225fd8fe,0xa5260259,0x00000000}},	//   enni, jluk_, лмед, --, 
   {{0xdb05009e,0x649ad8ff,0x7642d900,0xb4ae0110}},	//   _nehê, хтер_, rnoy, कळे_, 
   {{0x6e240161,0x26c1d901,0x7642018e,0x2a60d902}},	//   _llib, buho_, snoy, llib_, 
   {{0x61e0d903,0x6e24d904,0x51862f32,0x475900b3}},	//   teml, _olib, лупа, _артя_, 
   {{0x225f011c,0x6443d905,0x52143ac9,0x7afa00c8}},	//   gluk_, anni, рдит, ätty, 
   {{0x61e027e8,0x463b0137,0xdcef008f,0x442701be}},	//   reml, _נעמע, yacı, bhn_, 
   {{0x6e242a62,0x60c0a0ea,0xa3e80c59,0x442702eb}},	//   _alib, rumm, _बसि_, chn_, 
   {{0x60c0d906,0xb33c0405,0x645ad907,0x93cb0019}},	//   summ, _ieħo, _ikti, _سالہ_, 
   {{0x10a6019c,0x6e2400eb,0x78ad7859,0xb87b0032}},	//   _бидн, _clib, ysav, _psík, 
   {{0x81ea0033,0x40961571,0xa3e81446,0x601f010c}},	//   মাদ_, _срет, _बसा_, _kêml, 
   {{0x6e2400d9,0xa2ab009a,0x629802b0,0xb33c01f2}},	//   _elib, ींच्, opvo, _jeħo, 
   {{0x501b042c,0x6e240118,0xfe700116,0x656f253f}},	//   _אוגו, _flib, تدی_, _úchv, 
   {{0x3ce901a0,0x78add908,0x63aa003e,0x2bb10eda}},	//   _tsav_, tsav, hafn, _जयका, 
   {{0x6443d909,0x7e6d012b,0xe3b80ef3,0xd9182853}},	// [e7f0] ynni, _ihap, _alım_, льф_, 
   {{0x201e7b42,0x225f745e,0x26c19edf,0x2a60018e}},	//   nkti_, zluk_, tuho_, alib_, 
   {{0x78ad200c,0xd6db02f3,0xb87b3ad3,0x7e6d2e9e}},	//   ssav, эта_, _kríz, _khap, 
   {{0x7afa01cc,0x64480a9d,0xeef7042c,0xceb3008d}},	//   ætte, _ajdi, טמבר_, מיע_, 
   {{0x2bd24397,0x569403dc,0x442701be,0x225f00d2}},	//   द्वा, _ҳаст, thn_, vluk_, 
   {{0x7bc71018,0x64430080,0xdb1c1259,0xdb05010c}},	//   ngju, unni, lgrá, _rehê, 
   {{0xdb1c20ac,0xa3490141,0x7e6d0054,0xdb05010c}},	//   ográ, ъзка_, _ohap, _sehê, 
   {{0xe1ff033c,0x8282004e,0x645a21ce,0x4b3800d1}},	//   ñó_, іңіз, _ekti, טרול_, 
   {{0x765b044d,0x225f1228,0xaaa502e6,0x61459eef}},	//   _ikuy, rluk_, गीतक, репа, 
   {{0x225fd90a,0x6e24d90b,0x7e6dd90c,0x682002ae}},	//   sluk_, _slib, _ahap, _nödl, 
   {{0x43840084,0xb87b348f,0x4425d90d,0x9f470118}},	//   _المق, _epíg, _ill_, _annò_, 
   {{0xd1750161,0x7e6dd90e,0x3eb803b3,0x44250118}},	//   _кылы, _chap, árta_, _hll_, 
   {{0xa0a5001c,0x7e6d00d4,0x765b018e,0x3a29009c}},	//   _талд, _dhap, _mkuy, dhap_, 
   {{0x9f4e010c,0x7bc7003e,0x5ef90f5a,0x6d5f024a}},	//   _mafê_, ggju, _ахир_, _dyqa, 
   {{0xfaa67160,0x765b95c0,0x44252ee5,0x26c7022c}},	//   рабо, _okuy, _mll_, ànol_, 
   {{0xceb800ab,0x6e24d90f,0x7e6d019b,0x765ba1b8}},	//   rzęt_, _ulib, _ghap, _nkuy, 
  
   {{0x9f470369,0x4425d910,0x0906d911,0x940400ad}},	// [e800] _maní_, _oll_, шпан, _etmə_, 
   {{0x4425006d,0x7a23007e,0x765b0727,0x46f62820}},	//   _nll_, _võta, _akuy, ичет, 
   {{0x3bbb00a7,0xf99f0118,0xddc40474,0x98a00083}},	//   _במיד, _poèt_, _ghiţ, dzią_, 
   {{0x44250052,0x9f5c035e,0x3a290b32,0x2bd21df3}},	//   _all_, _nový_, chap_, द्रा, 
   {{0x261702be,0x7649040c,0x201ed912,0x00000000}},	//   _aços_, _djey, ykti_, --, 
   {{0x18a39ee3,0x656902fe,0x765b052b,0x98a347a7}},	//   _фарм, _dzeh, _ekuy, _фире, 
   {{0x442502cd,0xb7db0486,0x63aa00f8,0xe5a6004f}},	//   _dll_, _שקלי, rafn, _виби, 
   {{0x442500d3,0x63aa008c,0x9f4700b9,0x7c3cd913}},	//   _ell_, safn, _caní_, hirr, 
   {{0x9f47014b,0x7c3ca824,0x80060bf8,0x60464e7d}},	//   _daní_, kirr, ачне, ихоз, 
   {{0x92d500cc,0x201e2409,0x7e6dd914,0xd0070165}},	//   িয়ে_, ukti_, _shap, иење_, 
   {{0x7e6dd915,0x201e012d,0xb87b0228,0x443cd916}},	//   _phap, rkti_, _príz, miv_, 
   {{0x443c690e,0x7e6d0026,0x63a8098d,0x00000000}},	//   liv_, _qhap, _hedn, --, 
   {{0x4094057f,0x62880228,0x44250034,0x3e4f0083}},	//   _التر, _hudo, _yll_, jęte_, 
   {{0x645801b4,0xbebc002a,0x7c3c01f1,0x28b70035}},	//   novi, dzīv, girr, ेंसि, 
   {{0x63a812cb,0x7e6dd917,0x9f33004e,0x9a8717e0}},	//   _medn, _thap, _меші, ругл, 
   {{0x7e6d2337,0x443cd918,0x63a81277,0x6288d919}},	//   _uhap, hiv_, _ledn, _mudo, 
   {{0x6458034c,0x6d480218,0x443cd91a,0x6e3d123b}},	// [e810] kovi, şdar, kiv_, misb, 
   {{0x6e3dd91b,0x6458a8cf,0x3ec300bc,0x6288d91c}},	//   lisb, jovi, _ústí_, _oudo, 
   {{0xcfe10086,0x628800e9,0x76b9004e,0x7d1d08b5}},	//   বাচন, _nudo, улер_, lyss, 
   {{0x0684004e,0xdb050019,0xd24608cb,0x3f7900c7}},	//   ігін, _nehé, _رن_, אָנע, 
   {{0x65600156,0x63a8d91d,0x24e700ff,0x6288d91e}},	//   _cymh, _bedn, рцег, _audo, 
   {{0x6288d91f,0xb4e70c06,0xe3b100d4,0x998203a0}},	//   _budo, _बनी_, سرت_, _ankň_, 
   {{0x9f4700bc,0x7d1d02ae,0x63a80121,0x62884e37}},	//   _paní_, hyss, _dedn, _cudo, 
   {{0xa2d80081,0x765b8331,0xddc4008b,0xe61f0054}},	//   _महर्, _ukuy, _ohiš, _ôô_, 
   {{0x64580571,0x765900ab,0x2baa05e5,0x65600156}},	//   bovi, mowy, करमा, _gymh, 
   {{0x6458d920,0x44256c4e,0x76590035,0x60098072}},	//   covi, _ull_, lowy, уном_, 
   {{0x6288d921,0xdb050019,0x26d301f1,0xb4e7109f}},	//   _gudo, _fehé, ntxo_, _बनु_, 
   {{0x81b100cc,0xdee507f9,0xb87b0183,0x76590035}},	//   ঞ্জ_, _ҳоки, _eríx, nowy, 
   {{0xee374439,0xd7c70394,0x30751270,0x7c3cd922}},	//   сня_, _लांच, _лукс, tirr, 
   {{0x6288011c,0x00000000,0x00000000,0x00000000}},	//   _yudo, --, --, --, 
   {{0xff53d923,0x81ea00cc,0x4e951896,0xab27d924}},	//   _بخش_, মার_, _اشتر, бора_, 
   {{0xbb433950,0x645800d2,0x598668bd,0x31a50790}},	//   ческ, zovi, слаб, _गजोध, 
   {{0xe8fab216,0x765900ab,0x443c0300,0xa3e8007e}},	// [e820] ыла_, dowy, yiv_, _बसल_, 
   {{0x443c01c1,0xf20900a5,0x3a20d925,0x9f470054}},	//   xiv_, वाड़_, skip_, _kanà_, 
   {{0x63a8b5e9,0x645800d2,0x443cd926,0x9f4e13cb}},	//   _redn, vovi, viv_, _cafè_, 
   {{0x63a8d927,0x452a47ee,0x601602a0,0x98a002fe}},	//   _sedn, лжен_, _lâmp, jzić_, 
   {{0x98a000ab,0x7a23007e,0xdb050126,0x280300bc}},	//   dzić_, _mõtl, _rehé, ární_, 
   {{0x9cd700a7,0x6288bba0,0x9f4e0034,0x83f87246}},	//   מונה_, _pudo, _qafë_, рекс_, 
   {{0x443c62f6,0x8bf200cc,0x63a811c8,0xd25a1c93}},	//   riv_, ঞাপন_, _vedn, лци_, 
   {{0x443c21b3,0x80be0033,0x660d02ae,0x63a8d928}},	//   siv_, ্বস্, öakt, _wedn, 
   {{0x645800f1,0x0f2011bd,0x63a802ee,0x9f4e06df}},	//   povi, मन्स_, _tedn, _zafè_, 
   {{0x6288d929,0x601600d9,0x800615c5,0x9f45009e}},	//   _tudo, _câmp, счие, melê_, 
   {{0xdb1c12b7,0xa15700f0,0x6e3d55d2,0x6d40d92a}},	//   ngrä, _қашу_, tisb, úman, 
   {{0xde592072,0x7d1d0080,0xbebc01dd,0xdb050216}},	//   рамі_, tyss, dzīt, _behî, 
   {{0x6e3dd92b,0x5c070093,0x3c260054,0x463b0070}},	//   risb, бява, _sôva_, רעכע, 
   {{0x7d1d2032,0x6e3d01d2,0x76590083,0x00000000}},	//   ryss, sisb, zowy, --, 
   {{0xa3cd0aac,0x9f5c02aa,0x7d1dd92c,0x9a8403a1}},	//   ष्ट_, _vovó_, syss, зуул, 
   {{0x6e4400ce,0x9999d92d,0x7d0900c8,0x7afa04f4}},	//   _нејз, ркат_, äess, ætta, 
   {{0x4815a4b4,0xb4e7130c,0xe80500a2,0x9be701fc}},	// [e830] омас, _बने_, राला_, _лінк, 
   {{0x2cb4031e,0xdced0613,0x2baa009a,0x76590035}},	//   řadí_, _ugađ, करणा, wowy, 
   {{0x765900ab,0xb87b1cf0,0xf7480038,0x176b14c1}},	//   towy, _apíc, ملكي_, урап_, 
   {{0xe3b80824,0x3e7b00e4,0xf7700071,0xdb070356}},	//   _adı_, _būti_, رال_, nají, 
   {{0xa50912de,0x6385d92e,0x765900ab,0x9f470369}},	//   рела_, огла, rowy, _maná_, 
   {{0xe8940fac,0x76590035,0xe29900d3,0xdb076ed7}},	//   _харь, sowy, аак_, hají, 
   {{0x8c1c2aa8,0x6d4103c0,0xe2992bac,0xdb07031e}},	//   רווי, ğlay, шай_, kají, 
   {{0x6d410e7b,0x9f45078a,0x2018a02d,0x00000000}},	//   şlay, belê_, örin_, --, 
   {{0x98a023b8,0xdb0700bc,0x4105004f,0xa507004f}},	//   rzić_, dají, ізов, _уявл, 
   {{0x225d424e,0x00000000,0x00000000,0x00000000}},	//   _wkwk_, --, --, --, 
   {{0x69c002aa,0x3f699d04,0x5e4a0849,0x69cf0118}},	//   _ômeg, рино_, ипом_, _occe, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2eee00ef,0x7bdb00ef,0xb4e700c9,0x9f470098}},	//   _esff_, đuun, _बनो_, _daná_, 
   {{0x02dd0239,0x22490112,0x69ddd92f,0x9f47023a}},	//   _महाभ, čaku_, _abse, _tanà_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x2bdb000c,0x9f470126,0xbebc01dd,0x00000000}},	//   म्बा, _ganá_, rzīt, --, 
   {{0xe7aa0665,0x249d023b,0x3ea700f8,0xd88400d7}},	// [e840] ивал_, jpwm_, _hwnt_, سهای, 
   {{0x69cf0141,0x7d1b01c4,0xdb1c0219,0x6ae607b9}},	//   _ecce, äuse, tgrä, _джоз, 
   {{0x46ea11db,0x06ead930,0xf9860080,0x3e7b0243}},	//   рден_, рмек_, _мгно, _sūti_, 
   {{0x05660d0c,0x2b17031e,0x090603b7,0xdb1c0c98}},	//   овен, नहरु_, _дпмн, rgrä, 
   {{0xe8f72f64,0x6ec0109f,0x628210f3,0xdb1c0c98}},	//   _для_, _विभु, _rioo, sgrä, 
   {{0xdb0702d9,0xb6a601d8,0x00000000,0x00000000}},	//   zají, _мигл, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x9f450218,0xb1140267,0xb33c00c3,0x00000000}},	//   pelê_, змиш, _jeħi, --, 
   {{0xfdee0035,0xdb0700bc,0x62820d62,0x039600b3}},	//   ज़नस_, vají, _vioo, _дрея, 
   {{0x64a4004e,0xd01ad931,0xb33c01f2,0x7bde040b}},	//   _маға, рфи_, _leħi, _nbpu, 
   {{0xe297d932,0x25ff009a,0xdb0702d9,0x00000000}},	//   _дах_, ळाची_, tají, --, 
   {{0x629ad933,0xb33c01f2,0xddab0165,0x00000000}},	//   _itto, _neħi, штол_, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x7a23007e,0x644ad934,0x2905020f,0x9f34557b}},	//   _võtm, nnfi, _ăla_, _нелі, 
   {{0xb024001b,0x644a0038,0xe80e1432,0x00000000}},	//   _giườ, infi, साना_, --, 
   {{0xddeb009c,0xe70b00d7,0x00000000,0x00000000}},	//   _ضربه_, یتان_, --, --, 
   {{0x69dd1eea,0xfbd347bd,0xab87d935,0xa7b900f0}},	// [e850] _vbse, _तापम, _мунк, йлау_, 
   {{0x629a048a,0xe61602ee,0xb80545e6,0x7c2e02eb}},	//   _otto, _čišč, राइम_, chbr, 
   {{0x98ac00e0,0x199570c9,0x25af0102,0x80c600bc}},	//   ālās_, _наня, tagl_, लढुं, 
   {{0x69cf00fd,0x68fd011c,0xdd14020b,0x3afa0147}},	//   _ucce, _trsd, súťa, _פּיע, 
   {{0x629ad936,0x64a5d937,0xa3e70083,0x09b10033}},	//   _atto, чала, यजल_, _ছাপা, 
   {{0x3e72026e,0x32060102,0x78700219,0xe8df0023}},	//   máte_, _anoy_, täve, _nhức_, 
   {{0x68edd938,0x200900e7,0x3e72014b,0x2bd3048e}},	//   lwad, _đai_, láte_, _ताना, 
   {{0x69cdd939,0x00000000,0x00000000,0x00000000}},	//   ngae, --, --, --, 
   {{0x629ad93a,0x442e00ef,0x68ed00f8,0xd5fb0023}},	//   _etto, bhf_, nwad, _giú, 
   {{0x25ad16af,0xe8df0029,0xb87b010e,0x32060175}},	//   _heel_, _chức_, _zsír, _enoy_, 
   {{0x961d002a,0x2ca90626,0x25adab9c,0x764b0156}},	//   _ziņa, _awad_, _keel_, ongy, 
   {{0xfce602fb,0xfe7203b1,0x68edd93b,0xee370bf8}},	//   помо, عدد_, kwad, зню_, 
   {{0xc1040084,0x25add93c,0x61e9abe1,0x9f5c00b9}},	//   _يومي, _meel_, meel, _envà_, 
   {{0xa09a1ccc,0xeb9707f9,0x3e72026e,0x317a00a7}},	//   _היסט, зир_, dáte_, _פרסמ, 
   {{0x2007d93d,0xab27d93e,0x9f4501e5,0x68ed5632}},	//   _inni_, пора_, kelé_, ewad, 
   {{0x1dc602f8,0x3e7b002a,0x61e94189,0x69cdd93f}},	//   _वाटत, _būtu_, neel, ggae, 
   {{0x2edb0dcf,0x68ed044d,0x9f45a63c,0xe8ff0106}},	// [e860] _बहुत, gwad, delé_, _crû_, 
   {{0x61e9d940,0x7e93020f,0x3cfb0225,0x69cd00b4}},	//   heel, _zăpa, _פלינ, agae, 
   {{0x61e9d941,0xdb0e005f,0x9f45010e,0x7bdc00fb}},	//   keel, kabé, felé_, mfru, 
   {{0xd6cf2751,0x6820014e,0x6e260102,0xa2ca29b0}},	//   طقه_, _nödv, nkkb, संस्, 
   {{0x25ad0e47,0x61e90265,0xd5af0133,0x200708c0}},	//   _deel_, deel, افه_, _onni_, 
   {{0x7bced942,0x961d002a,0x02a62e6c,0x7bdc00d9}},	//   ngbu, _viņa, прим, nfru, 
   {{0x66e3d943,0x61e907d7,0x5334d944,0x25ad00a7}},	//   _пора, feel, ьект, _feel_, 
   {{0x2007048a,0x25ad52d8,0xc1ea00dd,0x90980f81}},	//   _anni_, _geel_, ське_, овит_, 
   {{0x60c9a7aa,0x1dc600a2,0x24850c04,0xe8df00e7}},	//   guem, _वाजत, _film_, _phức_, 
   {{0x2465009e,0x2018008c,0xe366049b,0xb03300c8}},	//   rêmê_, ðri_, _екзи, еньш, 
   {{0x61e90285,0x443ebcd8,0x75220019,0x91e612de}},	//   beel, _imt_, lyoz, _ноже, 
   {{0x7c3ed945,0x61e900d9,0x998205d5,0x7a2300c2}},	//   _ampr, ceel, _ankō_, _võtk, 
   {{0xe8df0029,0xdb051056,0x7522d946,0x5c070ff6}},	//   _thức_, _vehí, nyoz, пява, 
   {{0x68fb02a0,0x442c7382,0x717b00d1,0x3e7202d9}},	//   _áudi, _jld_, _הנדס, váte_, 
   {{0x7e860351,0x1dc6009a,0x3fdb00d1,0x9f4e05d5}},	//   íspě, _वाचत, _הקוב, _enfò_, 
   {{0x3e72014b,0x7a2a0228,0x34dc0484,0x443e0243}},	//   táte_, _pýta, _यहूद, _lmt_, 
   {{0x442c00a7,0x69cdd947,0x6e2d06e4,0xa95444bd}},	// [e870] _old_, rgae, _ilab, екті, 
   {{0x68edd948,0x442c56a7,0x443e0096,0x6e2d07d7}},	//   rwad, _nld_, _nmt_, _hlab, 
   {{0x6e2dd949,0x9f45031e,0x68edd94a,0x61e9025b}},	//   _klab, telé_, swad, yeel, 
   {{0x1dad1422,0xd7740fd0,0x442ca1b7,0x443e44b0}},	//   चरित, رالع, _ald_, _amt_, 
   {{0x25add94b,0x248d00ce,0x61e95e20,0x443e32b1}},	//   _veel_, _quem_, veel, _bmt_, 
   {{0x2a69d94c,0x443ed94d,0x61e901da,0x9f450098}},	//   llab_, _cmt_, weel, selé_, 
   {{0xe3b00b59,0x6e2dd94e,0x61e9cf32,0x25add94f}},	//   اره_, _olab, teel, _teel_, 
   {{0x02dd119f,0x442c93b6,0x2a6900a3,0x443e00c2}},	//   _महीन, _eld_, nlab_, _emt_, 
   {{0x4900000d,0x61e9d950,0xdb0e5898,0x439509d9}},	//   रियो_, reel, rabé, _жазс, 
   {{0x2a6900cf,0x386300e2,0x61e9d951,0xa3d43a88}},	//   hlab_, _jkjr_, seel, _поуч, 
   {{0x61e9d952,0x6e2dd953,0x661bd954,0x44270065}},	//   peel, _blab, _kouk, mkn_, 
   {{0x6443d955,0x661b0088,0x4427030c,0x6e2d0387}},	//   lini, _jouk, lkn_, _clab, 
   {{0x60c93084,0xb4bb00a5,0x644300a0,0x225f050a}},	//   quem, _आटो_, oini, mouk_, 
   {{0x7afc00f1,0x6443d956,0x224d0019,0x3b0a0088}},	//   tvrt, nini, lnek_, оего_, 
   {{0xa3df00ae,0xab2a011f,0x6609d957,0x224dd958}},	//   ध्य_, цова_, _onek, onek_, 
   {{0x7bdc248c,0x6443d959,0x442702f6,0x224d0019}},	//   sfru, hini, hkn_, nnek_, 
   {{0x6443d95a,0xd943d95b,0x2bdb3e0a,0x442700e2}},	// [e880] kini, вети, म्हा, kkn_, 
   {{0x6443d95c,0x6609d95d,0x2a690102,0x75220548}},	//   jini, _anek, alab_, vyoz, 
   {{0x6443d95e,0x224d006b,0x661b0300,0x2a69d95f}},	//   dini, knek_, _bouk, blab_, 
   {{0x81e200cc,0xb33c0405,0xb87b0098,0x75460a10}},	//   _ফোন_, _meħt, _upín, мнез, 
   {{0x224d010e,0x661b0237,0xa3d23024,0x7e64025b}},	//   dnek_, _douk, _वाद_, _mkip, 
   {{0xe3b807fa,0x442702cd,0x6609d960,0x224dd961}},	//   _alır_, gkn_, _enek, enek_, 
   {{0xbddb00d3,0x7e6406df,0x442c01d2,0xb33c00c3}},	//   dièn, _okip, _vld_, _neħt, 
   {{0x2902d962,0x26d8d963,0x224d010e,0x50f40543}},	//   _krka_, _iqro_, gnek_, езит, 
   {{0x6443d964,0x961d002a,0x442700e2,0xdfd00038}},	//   bini, _ziņo, bkn_, هية_, 
   {{0x3f142595,0x29020097,0x7e640053,0xdb05014b}},	//   едос, _mrka_, _akip, _lehá, 
   {{0x3eb80105,0x2a6901ff,0x6e2d01e5,0x27f8017c}},	//   ért_, ylab_, _plab, _marn_, 
   {{0x25a65052,0x26c70062,0x2902d965,0x60e70219}},	//   nbol_, šnog_, _orka_, örmå, 
   {{0x03f10033,0xdced008a,0x7ff324a1,0xe0d40147}},	//   চারী_, _mfaħ, رسیا, _נײַ_, 
   {{0xbddb03a1,0x7a3100dd,0xf99f0118,0x00000000}},	//   cièn, _måte, _enèl_, --, 
   {{0x7a313484,0x2a695f7e,0x2902d966,0x1b0201a2}},	//   _låte, tlab_, _arka_, гӯян, 
   {{0x29020bfc,0x3e5600e0,0xb87b5aec,0xbddb61ef}},	//   _brka_, tāte_, _epíl, gnèt, 
   {{0x6443d967,0x61e20489,0x27f8b47b,0xa3c3059e}},	// [e890] yini, _mbol, _barn_, ्लम_, 
   {{0x201c033e,0x661bd968,0x224d0019,0x27f8d969}},	//   _jovi_, _souk, znek_, _carn_, 
   {{0x64436073,0x661bd96a,0x61e20412,0x201c0126}},	//   vini, _pouk, _obol, _movi_, 
   {{0x2902090b,0x2bdb0239,0x6443d96b,0x7870161f}},	//   _frka_, म्रा, wini, räva, 
   {{0x6443d955,0x290200d2,0x44273107,0xc9840012}},	//   tini, _grka_, tkn_, _аури, 
   {{0x201c034c,0x36d5ab5a,0x6820014e,0x7640d96c}},	//   _novi_, _погр, _döds, _emmy, 
   {{0x224d0019,0x442700e2,0x661b0088,0x3e72007a}},	//   tnek_, rkn_, _touk, háta_, 
   {{0x6443d96d,0x442700e2,0x66093497,0x3e72d96e}},	//   sini, skn_, _unek, káta_, 
   {{0x708500cf,0x6443d96f,0x25bf04a3,0x224dd970}},	//   нгиз, pini, _idul_, rnek_, 
   {{0x7e64d971,0x647400f6,0x6ec004cc,0x6443d972}},	//   _skip, _агуу, _विशु, qini, 
   {{0xfe463b3f,0xbddb00d3,0x201c02fe,0xd24e0a5a}},	//   енно, rièn, _dovi_, شنی_, 
   {{0xed5a2413,0x6ec005d0,0x00000000,0x00000000}},	//   зом_, _विरु, --, --, 
   {{0x61fb1021,0x2d8401a4,0x682002ae,0xdb0700c2}},	//   mdul, äme_, _mödr, hajä, 
   {{0x61f902bf,0x09ba02f8,0x60dbd973,0x683202c9}},	//   _hawl, ेल्य, mtum, _kæde, 
   {{0x60dbd974,0xf99f01e5,0xa3d202ab,0x25a66aa2}},	//   ltum, _enèm_, _वास_, ybol_, 
   {{0x61fbd975,0x3a29d976,0xed5a1e22,0x201c090e}},	//   ndul, gkap_, _ной_, _zovi_, 
   {{0x6832055f,0x6f03014b,0x64413f5e,0x7a310946}},	// [e8a0] _læde, _hrnc, _omli, _båtb, 
   {{0x25bf0096,0x6c340019,0x7d04a55a,0x27f801f2}},	//   _adul_, _شہزا, _iris, _qarn_, 
   {{0x60db0e0f,0x7d04d977,0xdb050019,0x23c9036e}},	//   htum, _hris, _tehá, _राजद, 
   {{0x7d04d978,0xa3d20f01,0x321d00ab,0x29020b91}},	//   _kris, _वाह_, _nowy_, _trka_, 
   {{0x27f8d979,0x61fbd97a,0x88840259,0x00000000}},	//   _tarn_, ddul, _ағал, --, 
   {{0x78a47019,0x7d040053,0x61e211f2,0x9f473f76}},	//   mpiv, _mris, _sbol, _danú_, 
   {{0x2bd300a2,0x78a40036,0x201c2780,0xa3df0299}},	//   _तासा, lpiv, _rovi_, ध्ध_, 
   {{0x7d04d97b,0x93bc00d9,0x28c742f3,0x61fb1a71}},	//   _oris, _alăt, _लिमि, gdul, 
   {{0x2900022c,0x60dbd97c,0xe80500a2,0x7d04011c}},	//   nvia_, gtum, राचा_, _nris, 
   {{0xdd94004e,0xa3df4437,0x53a6007a,0x93bc0474}},	//   ғары, ध्द_, _أماك, _clăt, 
   {{0x61fb1df8,0x6f030b1d,0x2ca00065,0x5e59002e}},	//   bdul, _crnc, _atid_, диня_, 
   {{0x61e22742,0xa2c103aa,0x00000000,0x00000000}},	//   _ubol, _тәшк, --, --, 
   {{0x7a23007e,0x7a2a0098,0xb87b00de,0x4c94d97d}},	//   _mõtt, _výtl, _spím, лияс, 
   {{0x7d04d97e,0x3e72d97f,0xb09b00d1,0x00f700d1}},	//   _dris, ráta_, _ציור, _נמוך_, 
   {{0x7d04d980,0xdb5800c8,0x2cea241a,0x6f030097}},	//   _eris, еют_, टबॉल_, _grnc, 
   {{0x7d04841b,0xbeec00c9,0xdb051240,0xd9cb0299}},	//   _fris, जबीन_, _lehç, िलेट, 
   {{0x5c75d981,0x3a29d982,0x195850a5,0xb4df0299}},	// [e8b0] _илит, rkap_, еаты_, _तहे_, 
   {{0x3a29d983,0x6820014e,0x38780f83,0x61fb010e}},	//   skap_, _södr, _chrr_, zdul, 
   {{0xdcfd03b0,0xc5d51afd,0x61fb7d4a,0x249f2075}},	//   ması, віль, ydul, _stum_, 
   {{0xdcfd04be,0xd6d80009,0x2c7602c9,0x39a700a3}},	//   lası, эту_, ræde_, _яшов, 
   {{0x3e5600e0,0x683234f9,0x7d04d984,0x98a90083}},	//   nāta_, _sæde, _xris, dzać_, 
   {{0xdcfd0092,0xd6130161,0xd7f80a10,0x61f9052b}},	//   nası, _өзгө, _пус_, _sawl, 
   {{0xdce4006a,0x61f93e94,0xa3d202e6,0xb3d200a2}},	//   _dzię, _pawl, _वार_, _सारख, 
   {{0x05d807d5,0x60db9a7d,0x61fbd985,0x7afa003e}},	//   _डायब, ttum, udul, ætti, 
   {{0x212b08e7,0x34952f3f,0xdcfd0e7b,0x61fbd986}},	//   ách_, _разр, kası, rdul, 
   {{0x60dbd987,0x4ae200a5,0x601e00bc,0x7d04cbb6}},	//   rtum, _पहलव, _námě, _rris, 
   {{0x34d15e31,0x2ca004a1,0x47c70086,0x6da6d988}},	//   _समुद, _stid_, র্থী, кина, 
   {{0x270100e4,0xbbaa0e7d,0x98a90035,0x80dc0033}},	//   _mėn_, कर्क, czać_, বিজ্, 
   {{0xdcfd0761,0xee3743ce,0xdb0ec9c8,0x33270379}},	//   fası, тня_, rabí, lynx_, 
   {{0x628b9194,0x290002a3,0x6f030242,0x7d047050}},	//   _higo, vvia_, _trnc, _vris, 
   {{0x2bd3102c,0x628bd989,0xeb97d4ea,0x5b353ee7}},	//   _तारा, _kigo, тис_, гэту, 
   {{0x2900d98a,0xbea202c0,0xc33207e4,0x9f45023a}},	//   tvia_, _таък, בול_, melà_, 
   {{0xf1b20137,0x60c9d98b,0x628bd98c,0x6e3d024a}},	// [e8c0] יסן_, nrem, _migo, ërbe, 
   {{0x628b012d,0x2900c450,0x60c9026a,0x656f014b}},	//   _ligo, rvia_, irem, _úchy, 
   {{0x9999006b,0x60c9d98d,0xfaa603bd,0xbddb10cc}},	//   _első_, hrem, _шано, zièm, 
   {{0x64a6d98e,0xfc3f001d,0x628bd98f,0x601e02d9}},	//   вада, mpía_, _nigo, _zámě, 
   {{0x7a230077,0xbddb026a,0x34d10fc0,0xfc3f0068}},	//   _võtt, xièm, _समृद, lpía_, 
   {{0x07a3d990,0x628b00f4,0xf99f00d7,0xfc3f033c}},	//   _варн, _aigo, _anèh_, opía_, 
   {{0xf746d991,0x628bd992,0x779100d6,0x7a23007e}},	//   _рево, _bigo, _ایما, _tõtt, 
   {{0x60f857d9,0xf506032c,0xa3e2047c,0xdcfd0092}},	//   ения_, _избо, _फॉर_, zası, 
   {{0x628bd993,0xdcfd06d0,0xfbb80086,0x5f94d994}},	//   _digo, yası, _জানত, липт, 
   {{0xf99f011c,0xdcfd00ad,0x98a90035,0x9f450054}},	//   _enèh_, xası, szać_, felà_, 
   {{0xff5f078a,0x7a310611,0x60c9001d,0xdcfd008f}},	//   şîn_, _låta, arem, vası, 
   {{0xc0aa0fd0,0x6e64123f,0x814300d4,0xd36f0629}},	//   _قاتل_, итяж, اپیم, _بهم_, 
   {{0x78700219,0xecc70093,0xdcfd0540,0x9d184bf2}},	//   tävl, ъщно, tası, воят_, 
   {{0x09cb2f41,0x628bd995,0x63b801e8,0x2298010e}},	//   िल्य, _zigo, navn, _kék_, 
   {{0xdcfd0824,0x35d800b0,0x628b016c,0x00000000}},	//   rası, _डाढ़, _yigo, --, 
   {{0x79a40088,0x63b8192b,0x39a47b1d,0x7a31264e}},	//   ируе, havn, ишув, _båta, 
   {{0xb3d2047c,0xa3d2362d,0x4975a0c1,0x6280d996}},	// [e8d0] _सांख, वला_, улас, immo, 
   {{0x63b802ee,0xb5fd00ca,0x38343eb8,0xdcfd00ad}},	//   javn, _ekšl, анур, qası, 
   {{0x63b800f1,0x58846b72,0xdb05014e,0xd6db0278}},	//   davn, рыта, _behå, ьта_, 
   {{0xdb070228,0x7a3159ba,0x7a2300b0,0xa53500c8}},	//   kajú, _fåta, _võts, лнеч, 
   {{0x63b80453,0xc98714b7,0x5a162737,0x00000000}},	//   favn, _јуни, _עקשן_, --, 
   {{0x60c900f1,0x628b027e,0xf773015f,0xdb070032}},	//   vrem, _sigo, _ناز_, dajú, 
   {{0x2298005f,0xe1f10038,0x00000000,0x00000000}},	//   _cék_, مسة_, --, --, 
   {{0xc1b900eb,0x9f4c0369,0x2298002c,0x00000000}},	//   رابط_, cedé_, _dék_, --, 
   {{0x60c9d997,0x628bd998,0x9f5900d8,0x00000000}},	//   urem, _vigo, ěsí_, --, 
   {{0x60c9d999,0xa2ca21c6,0xef19d99a,0x6fd800a2}},	//   rrem, संख्, емо_, _माणू, 
   {{0xe7f61933,0x5f4500eb,0x2298002c,0x60c90664}},	//   ीयता_, انجل, _gék_, srem, 
   {{0xe80a00ab,0xdca6d99b,0x23df35ff,0x60c9d99c}},	//   _होना_, лами, प्रद, prem, 
   {{0xf1b92c85,0xafe57a96,0xb4f90070,0xdb1c0502}},	//   maš_, _болл, עפֿי, sgrü, 
   {{0xf1b9d99d,0x9f0500c5,0xd0400095,0x557600c7}},	//   laš_, _موتو, kumə, טערן_, 
   {{0xf8bf0106,0x00000000,0x00000000,0x00000000}},	//   _avé_, --, --, --, 
   {{0x63b80d26,0x6a8603a1,0xf1b91627,0x7a310075}},	//   zavn, улба, naš_, _påta, 
   {{0x9f5c0218,0xfc3f1cf0,0x090616d0,0xdb1c00b9}},	// [e8e0] _navê_, mpín_, ыпан, ggrò, 
   {{0xe73ad99e,0xb8ec36a6,0xe8f700f0,0xf99f0300}},	//   нез_, _रट_, ылу_, _efè_, 
   {{0xa3d200b0,0xa3ba1204,0xdb070228,0x3e5601dd}},	//   वलस_, _अजब_, zajú, nāto_, 
   {{0x9f5c010c,0x2298005f,0x7c2e1788,0x7afa01d5}},	//   _bavê_, _rék_, lkbr, ættu, 
   {{0xa92800bc,0xa3b4012d,0x7a2a003e,0x00000000}},	//   _držá, аблі, _nýti, --, 
   {{0xdb070228,0x2298a1a6,0x7c2e10de,0x69d6039f}},	//   vajú, _pék_, nkbr, lgye, 
   {{0x53349d36,0x68f60156,0x02a31628,0x2d9202a5}},	//   рейт, lwyd, брым, _ogye_, 
   {{0xf7530629,0x69d6d99f,0xddcf020f,0x248c039b}},	//   _انفج, ngye, docş, _widm_, 
   {{0x261100a2,0x9f5c0218,0x25fd042b,0xb0345e21}},	//   णारी_, _gavê_, _रोटी_, иниш, 
   {{0xf1a40484,0xdb0e010e,0xdb070228,0x41a42227}},	//   _ग्रन, zabá, rajú, _ग्रस, 
   {{0x33930084,0xf1b92178,0x74130038,0x81e90033}},	//   _المز, baš_, _دولا, ময়_, 
   {{0xbd6b1472,0x2cb20156,0xdd910038,0x7c2e08a3}},	//   ерге_, _bwyd_, توح_, ekbr, 
   {{0x2cb20090,0xdb150216,0x3d0f0299,0x00000000}},	//   _cwyd_, gazî, ामें_, --, 
   {{0x9f5c024a,0x961d00e0,0x2d92ab31,0x9f450098}},	//   _javë_, _viņi, _egye_, selá_, 
   {{0x28c702f8,0xf8bf000d,0xa3e600a2,0xdb0e2005}},	//   _लिहि, _své_, य्य_, tabá, 
   {{0x229100ca,0x2cb200f8,0x69d6d9a0,0x2d920539}},	//   _uške_, _fwyd_, ggye, _ggye_, 
   {{0x68f602bf,0x644ad9a1,0x3915d9a2,0x57b50e65}},	// [e8f0] gwyd, kifi, шмар, ибат, 
   {{0x25fd02f8,0x6832055f,0x57b400dd,0x644a0548}},	//   _रोजी_, _pæda, йбут, jifi, 
   {{0xf1b902ee,0x81cc0086,0xc6a7a4ec,0x86276562}},	//   ljše_, শ্য_, урзи, льде, 
   {{0x176800d3,0xd5fb0108,0xf8bf02d9,0x9f5c02be}},	//   уруп_, _khủ, _tvé_, _pavê_, 
   {{0x644ad9a3,0xb87b03da,0xf1b9008b,0x998205d5}},	//   fifi, _osíx, njše_, _ankņ_, 
   {{0xd90e006b,0x644ad9a4,0x2246d9a5,0x659408ba}},	//   _کیے_, gifi, _amok_, _ғафу, 
   {{0xf1b9090e,0x7bc5018e,0x1dc5009a,0x00000000}},	//   taš_, _mdhu, वणात, --, 
   {{0x26d30183,0xe8130c46,0xb225181b,0x9f5c009e}},	//   muxo_, ठावा_, рмил, _tavê_, 
   {{0x644a02b8,0x9f47014b,0xb403013e,0xdcee01dd}},	//   bifi, _daný_, _гүлд, ājīb, 
   {{0x644ad9a6,0xe3b000d4,0x764b1272,0x6ec000a2}},	//   cifi, _فرم_, ligy, _विखु, 
   {{0x2bdc29b0,0xef1600d9,0xdee52428,0xa3ab258c}},	//   _बाबा, амэ_, шони, _क्य_, 
   {{0x81cc0086,0x7bc5d9a7,0xb87b0068,0x764b0c36}},	//   শ্ব_, _adhu, _esíx, nigy, 
   {{0x9f4c0093,0x6aa5007a,0x7c6603b3,0x00000000}},	//   ledì_, _athf, لاسل, --, 
   {{0x69cb4879,0x4fa515f5,0x7a3102ae,0x913a0070}},	//   ógen, _тикв, _båto, _בענק, 
   {{0x290f022b,0xae1e000f,0x9f4c0093,0x7ae3014e}},	//   ågan_, _बचपन_, nedì_, _äntl, 
   {{0xc332042c,0x644ad9a8,0x26d30183,0x7bc5011c}},	//   קון_, zifi, duxo_, _edhu, 
   {{0x684603dd,0xada900eb,0x87ba00c8,0xe8fa00fd}},	// [e900] анаа, _صديق_, вует_, ъла_, 
   {{0x68f666f4,0x6e240038,0x644a8293,0x69d6039f}},	//   rwyd, _hoib, xifi, sgye, 
   {{0x09e6356f,0x103600c7,0x5fdd6229,0x68f600f8}},	//   _конн, סטעם_, _मानल, swyd, 
   {{0x81ab0033,0x7a38d9a9,0x14ca0080,0x00000000}},	//   কৃত_, _bíte, выки_, --, 
   {{0x25a9c749,0x644ad9aa,0xb4c200a5,0xb903012d}},	//   ñala_, tifi, ्ढे_, _дзяк, 
   {{0x0ec511bd,0xf2c600cf,0x26d303da,0xdb050126}},	//   _विंड, асин, buxo_, _rehú, 
   {{0x764b0c3d,0x15e707d5,0xdb1e23f2,0xc5d6017b}},	//   bigy, _टॉवर_, _odpí, _візь, 
   {{0xe80a8ee3,0xa3d2017d,0x6e24d9ab,0xf2062170}},	//   _होता_, _वाक_, _noib, ряко, 
   {{0x1da71d5b,0xd01000eb,0x64a3637d,0x100a0038}},	//   _क्षत, كلة_, _мата, نتدى_, 
   {{0x6600ab02,0x6602d9ac,0x91a60035,0x44e002a3}},	//   _hamk, ldok, _ट्रै, mò_, 
   {{0x645aab02,0x44e200e7,0x6600d9ad,0x44e001d8}},	//   _ijti, _hư_, _kamk, lò_, 
   {{0x6602d9ae,0x5186d9af,0x6600d9b0,0x6e24d9b1}},	//   ndok, _кула, _jamk, _coib, 
   {{0x409611ab,0x44e0982d,0x6e2426c0,0x6600d9b2}},	//   _трет, nò_, _doib, _mamk, 
   {{0x78a903c0,0x6600d9b3,0x9f4703dd,0xdb1c010c}},	//   _çevi, _lamk, _canó_, marê, 
   {{0x78a6003e,0x6e240180,0xdddd0035,0x6e36d9b4}},	//   _atkv, _foib, rosł, _flyb, 
   {{0x0dcb2b68,0x6600d9b5,0xbdb51b11,0x6e246f31}},	//   _руки_, _namk, _убиј, _goib, 
   {{0x5fdd0d95,0x7e6dd9b6,0x1be702f1,0x9f4705d5}},	// [e910] _मामल, _ikap, _кўнг, _abnè_, 
   {{0x9f4705b9,0xa81433a9,0x44e08ec2,0xf99f0237}},	//   _ganó_, одуш, dò_, _anèt_, 
   {{0xfbdc02f8,0xf770024f,0x478b505f,0x2bf600d1}},	//   _बातम, وام_, тсам_, _המתן_, 
   {{0x9f4c0093,0x6600016a,0xdb1c0218,0x52a902f1}},	//   vedì_, _camk, karê, қвим_, 
   {{0x44e2001b,0xdb1c0218,0x7e6d0053,0x58870504}},	//   _cư_, jarê, _mkap, _выва, 
   {{0x26d303da,0xdb1c0218,0x229100ef,0xdb050c85}},	//   puxo_, darê, _aška_, _behø, 
   {{0x972500d4,0x7a2a026e,0x6600010c,0x368b633a}},	//   _افزو, _výtv, _famk, _асан_, 
   {{0xe1f900be,0xb87b0183,0x7a380634,0x7e6d011d}},	//   уги_, _epít, _títe, _nkap, 
   {{0x44e002a3,0xe5340080,0xa5350528,0x7649d9b7}},	//   cò_, _деть, _унач, _imey, 
   {{0x6600d9b8,0x7e6d8ee6,0x12e700dd,0x60c20217}},	//   _zamk, _akap, _відг, _dvom, 
   {{0x6e240084,0x6fd800a2,0xfeb900d4,0x4425d9b9}},	//   _poib, _मारू, داخت_, _iol_, 
   {{0x4425d9ba,0xdb152cb0,0xdb1c078a,0x201e0034}},	//   _hol_, gazí, barê, ajti_, 
   {{0x4425d9bb,0x224d2452,0x7c250380,0xf1dc0598}},	//   _kol_, miek_, _bohr, _यातन, 
   {{0x224dd9bc,0x4425d9bd,0x7e6d0f23,0x3e79d9be}},	//   liek_, _jol_, _ekap, réta_, 
   {{0x4425d9bf,0x8c43d9c0,0x09a90086,0x7c2538b3}},	//   _mol_, чере, _ওয়া, _dohr, 
   {{0x224dd9c1,0xfaa602f1,0x9f4503c5,0x4425d9c2}},	//   niek_, _қамо, relä_, _lol_, 
   {{0x19b9d9c3,0x57ea00f0,0x6600d9c4,0x6d4b0604}},	// [e920] русь_, лдам_, _ramk, _žgav, 
   {{0x6600010d,0x80cf1893,0x4425d9c5,0x76490548}},	//   _samk, _दिने, _nol_, _amey, 
   {{0x44e2001b,0xdce408e3,0x224dd9c6,0x66000532}},	//   _sư_, _iziđ, kiek_, _pamk, 
   {{0x05ba1ea7,0xdb1c0218,0x44e0836c,0x7c250032}},	//   ادات_, yarê, tò_, _zohr, 
   {{0x4425d9c7,0xe8df0029,0x6fd8000f,0x290b0082}},	//   _bol_, _phục_, _मालू, _grca_, 
   {{0x4425d9c8,0x68e40533,0x44e00093,0x657b02a2}},	//   _col_, mtid, rò_, _dzuh, 
   {{0x60c204d1,0x4425d9c9,0x68e4d266,0xc5ed00cc}},	//   _svom, _dol_, ltid, ওয়া_, 
   {{0x44e200f7,0x644d0107,0x224dd9ca,0x44253f63}},	//   _tư_, éair, giek_, _eol_, 
   {{0xa5071cc8,0x5554006b,0xdced0062,0x4425cddf}},	//   _лета_, _بھار, _izać, _fol_, 
   {{0x7e6d0be0,0xa3d22360,0xe29a4547,0xd4910023}},	//   _skap, _वाट_, _баж_, _gì_, 
   {{0x68e400b0,0xdb1c010c,0xc7b300d1,0x2d9e00bc}},	//   htid, sarê, הבת_, ěten_, 
   {{0x90e600c5,0xdb1cd9cb,0x60c200d2,0x68e4007e}},	//   _هستن, parê, _tvom, ktid, 
   {{0x44250e7b,0x412a02fb,0x60184ae5,0x7e93002e}},	//   _yol_, _щодо_, _воля_, _săpt, 
   {{0x629a1bb2,0x80a400d4,0x394001dd,0x64580a1d}},	//   _kuto, _همچن, dzis_, nnvi, 
   {{0xa3e0072f,0x4ea60104,0xf1b9008b,0x63bad9cc}},	//   _थान_, _урла, ljša_, _metn, 
   {{0x63ba16d3,0xb4e80262,0x629ad9cd,0x7e6dd9ce}},	//   _letn, _बहू_, _muto, _ukap, 
   {{0xf1b9008b,0x629e014b,0x68e4264e,0xe918004f}},	// [e930] njša_, ípoj, gtid, боті_, 
   {{0x629ad9cf,0x224dd9d0,0x7d0dd9d1,0x63ba3b3a}},	//   _outo, ziek_, _iras, _netn, 
   {{0x2baf0ba3,0x4425209d,0x25a9001d,0x68e4d9d2}},	//   _ज्या, _rol_, ñalo_, atid, 
   {{0x26c1949c,0xa3ab009a,0xdb1c023e,0x224d00b4}},	//   rsho_, कुन_, darè, xiek_, 
   {{0x4425d9d3,0x68e4d9d4,0x224d0228,0x290b00b3}},	//   _pol_, ctid, viek_, _urca_, 
   {{0x63ba0d26,0x629ad9d5,0xdb1cd9d6,0x224d0035}},	//   _cetn, _buto, rgrö, wiek_, 
   {{0x224dd9d7,0xdb1cd9d8,0x44252376,0xd4910023}},	//   tiek_, varë, _vol_, _vì_, 
   {{0x4425d9d9,0x7d0dd9da,0x00c900cf,0xa4d500dd}},	//   _wol_, _oras, алик_, _мобі, 
   {{0xdb1c01ee,0x224d02ba,0x545502c4,0xdb150054}},	//   tarë, riek_, _дват, hazà, 
   {{0x224dd9db,0x442502a0,0x8ee9d9dc,0xaec51818}},	//   siek_, _uol_, амов_, обол, 
   {{0x7d0d40e9,0x629ad9dd,0x224dd9de,0xdb1e00da}},	//   _aras, _guto, piek_, _odpá, 
   {{0x7d0dd9df,0x765902f0,0x68e4d9e0,0x1d0a00fd}},	//   _bras, nnwy, ytid, аеми_, 
   {{0x1ddb3b70,0x61e9d9e1,0xe81c000d,0x3e5600e0}},	//   _भारत, mfel, नामा_, nāti_, 
   {{0x7d0db821,0x61e90c86,0xdb1cd9e2,0xdb0d014b}},	//   _dras, lfel, laré, _škál, 
   {{0x7d0dd9e3,0x26c70112,0xa3d2009a,0xa3d10249}},	//   _eras, šnoj_, _वाघ_, _वयन_, 
   {{0x68e4d9e4,0x2bdc109f,0x6e3d0502,0x39408c89}},	//   ttid, _बावा, chsb, tzis_, 
   {{0x7a380183,0x602500bc,0xb4e80b20,0x61e90380}},	// [e940] _cíta, _témě, _बहे_, ifel, 
   {{0x394000b3,0x2005d9e5,0xa3ab1687,0x63660032}},	//   rzis_, ndli_, कुम_, nčné, 
   {{0xbddb0518,0x63ba155b,0x7d0d78f6,0x765900f8}},	//   mièr, _retn, _zras, fnwy, 
   {{0xac9715c0,0x94aa21fc,0xbddb026d,0x61e9012e}},	//   _دنیا_, атка_, lièr, jfel, 
   {{0xdb170183,0xdb15d9e6,0x68e400a3,0x61e9d9e7}},	//   _rexé, mazá, qtid, dfel, 
   {{0x629a034c,0x7bdc11e9,0x48f90137,0xbddb026d}},	//   _puto, ngru, _פּרא, nièr, 
   {{0x6458098d,0x3e725a36,0x7a3105a1,0x00000000}},	//   rnvi, látu_, _båth, --, 
   {{0x61e9006b,0x30ea011f,0x44440019,0x629a044d}},	//   gfel, афон_, _کررہ, _vuto, 
   {{0x7bdcd9e8,0x32020187,0x3e72014b,0x2d9e00d8}},	//   kgru, ľky_, nátu_, ětel_, 
   {{0x32020076,0xdb1c8283,0x629ad9e9,0x8f0a00d9}},	//   žky_, parè, _tuto, ахма_, 
   {{0x91e6d9ea,0xe7e20081,0x629a07fc,0xdb0e0216}},	//   _може, _पानप, _uuto, rabû, 
   {{0x7d0dd9eb,0x98b2006a,0x2005d9ec,0x3e720098}},	//   _pras, czyć_, adli_, kátu_, 
   {{0x7bdc01c4,0x5c074c8a,0x10a30543,0x00000000}},	//   fgru, оява, _жичн, --, 
   {{0xe80ad9ed,0x7d0d00e5,0x26c70187,0x7bdcd9ee}},	//   _होला_, _vras, ánok_, ggru, 
   {{0x628201c1,0x0dcb1a69,0x2bdc2002,0x765900f8}},	//   _khoo, _купи_, _बारा, ynwy, 
   {{0x7d0dd9ef,0x9a8403a1,0x290900ef,0x9999274e}},	//   _tras, дуул, tvaa_, скат_, 
   {{0x7bdc0068,0x7d0dd9f0,0xc4c4010e,0xfe70189a}},	// [e950] bgru, _uras, _جے_, _جدو_, 
   {{0x6282d9f1,0x7a38d9f2,0x48180235,0xbddb0212}},	//   _lhoo, _víta, ожую_, cièr, 
   {{0x56950088,0x290900c8,0x7a3102ae,0x61e9d9f3}},	//   чает, svaa_, _låti, yfel, 
   {{0x3e5600e0,0xfad600a7,0xdb150183,0x3b0101ff}},	//   tāti_, _צורך_, cazá, _ishq_, 
   {{0x03a5226b,0xa50905e1,0x04040033,0x61e93ed0}},	//   пило, села_, লানী_, vfel, 
   {{0x03a5d9f4,0xe299d9f5,0x96d302e6,0x3e560243}},	//   чико, бак_, _डिपॉ, rāti_, 
   {{0x68f903c0,0x9f5c014b,0x61e9d9f6,0xf485010e}},	//   şadı, _baví_, tfel, _ہائی, 
   {{0xdb1c0216,0x6282225a,0xa3ab0cbd,0xbddb0212}},	//   karî, _choo, _क्र_, zièr, 
   {{0xc3cb0040,0x61e920d5,0x98b200ab,0x9f4c0228}},	//   _نظام_, rfel, rzyć_, vedá_, 
   {{0x61e9d9f7,0x98b20035,0xdb0ed9f8,0x2d9e02d9}},	//   sfel, szyć_, rabú, ětem_, 
   {{0xfd4d0029,0xbddb026a,0xdb1c1390,0xe298004f}},	//   _triệ, vièr, paré, _дає_, 
   {{0x20031af7,0x628200a1,0x1da70249,0x24490083}},	//   žji_, _ghoo, कुलत, dźmi_, 
   {{0xbddb026d,0xf1b902ee,0xc19a00a7,0x02db2414}},	//   tièr, ljšo_, _השני, _यमुन, 
   {{0xb06803b1,0x2bdc009a,0xae1e00b0,0xc004017b}},	//   _وصول_, _बाळा, _बचवन_, _опік, 
   {{0x7bdc1b2e,0xbddb026a,0xdb834862,0xf1b90352}},	//   rgru, rièr, егри, njšo_, 
   {{0x7bdc050f,0xee3f026e,0xba230978,0x160b07d5}},	//   sgru, chý_, ндск, _सोलर_, 
   {{0xdb15d9f9,0x998902fe,0xbddb0212,0x3946012d}},	// [e960] razá, tkaš_, pièr, чнаг, 
   {{0x3e720076,0xb865010e,0xb7da17bc,0xa80314b7}},	//   rátu_, والو, صوصا_, нзул, 
   {{0x9989032f,0x04040086,0xa9a6d9fa,0xbf790210}},	//   rkaš_, লামী_, _нинд, _đuốc_, 
   {{0x6aa30634,0x6382007a,0xceb22737,0x00000000}},	//   _énfa, _líní, גיא_, --, 
   {{0x53980080,0x62825361,0x00000000,0x00000000}},	//   овля_, _rhoo, --, --, 
   {{0x044376d4,0x2902d9fb,0xd4992e02,0x6282b377}},	//   нечн, _iska_, ірі_, _shoo, 
   {{0x6282d9fc,0x78a9091f,0xb0240023,0x18a60283}},	//   _phoo, _çevr, _nhườ, _фаҳм, 
   {{0x35a60104,0x75840274,0x6282084c,0xf7460176}},	//   _хааг, _قیام, _qhoo, _деҳо, 
   {{0x3e5600e0,0x26dad9fd,0x00000000,0x00000000}},	//   nātu_, lupo_, --, --, 
   {{0xdefa81ad,0x30140cdf,0x73e30267,0x00000000}},	//   бым_, фдор, _поуз, --, 
   {{0x628201a0,0x5fdd0d7c,0x2d80d9fe,0x833a1818}},	//   _thoo, _मारल, _azie_, _учат_, 
   {{0x290200b0,0xc1e31204,0xd37b0070,0x31790035}},	//   _oska_, _गायब_, _פראט, ższa_, 
   {{0x94050095,0x26da0026,0x69d80009,0xa3c2009a}},	//   _ailə_, hupo_, ėvel, _्या_, 
   {{0x8aa74211,0x26da0102,0xd00700d3,0x3e560243}},	//   зрад, kupo_, _нече_, dātu_, 
   {{0x7b641088,0x7a380038,0xdb1c0216,0x00000000}},	//   етте, _vítn, sarî, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x320607fc,0x00000000,0x00000000,0x00000000}},	// [e970] _maoy_, --, --, --, 
   {{0x80cf00a2,0xb60600ca,0xed5800df,0x00000000}},	//   _दिसे, _lešć, _מבחר_, --, 
   {{0xf1dc02f8,0xfbd20309,0x48f913ec,0x26c7000d}},	//   _यांन, _בתי_, _उनको_, éno_, 
   {{0xb8d3100b,0xcf9300c7,0x683b009e,0x25a102d9}},	//   _টি_, גטע_, _dîda, ěhlo_, 
   {{0xe53400dd,0xa3b902e6,0xd5fb0023,0x3a2b0118}},	//   нець, चरल_, _chú, _iocp_, 
   {{0x61e2d9ff,0x3e480019,0xdb170042,0x7a380679}},	//   _acol, lőtt_, _lexí, _lítl, 
   {{0x753c0095,0xb60600ca,0x26da02a3,0x9474009c}},	//   _ərzi, _bešć, cupo_, ردها, 
   {{0x394d06b6,0xfbe30033,0x25a60036,0x80a9017b}},	//   _þess_, য়িত, ccol_, овив_, 
   {{0x7fd548a2,0xa4d400dd,0x6289da00,0xdb050354}},	//   міні, _поті, rmeo, _dfhé, 
   {{0xb02400e7,0x80dc0035,0xd3a70afc,0x2c7602c9}},	//   _phườ, पढ़े, _храп, pædi_, 
   {{0xfbe30086,0x73c4091d,0x249f0027,0x90e408b6}},	//   য়াত, _سينم, _huum_, وسین, 
   {{0x200b2125,0x61e2007a,0x7bc101d5,0x249f00c2}},	//   ści_, _gcol, ðlun, _kuum_, 
   {{0x61fbda01,0x2baf1b38,0x412900d9,0x25bf040b}},	//   meul, जुभा, _фоло_, _meul_, 
   {{0xb0240029,0x8c95012d,0x61fbda02,0x4e1c0035}},	//   _thườ, ерсі, leul, याहै_, 
   {{0xeb979212,0x09e6da03,0x224f016a,0x9f5c022c}},	//   дир_, мовн, _kmgk_, _gavà_, 
   {{0xed5ada04,0x2007da05,0x25bfda06,0x7a388205}},	//   _мой_, _hani_, _neul_, _víto, 
   {{0xdb1c2ef3,0x200709c3,0x2baf1489,0xddd600de}},	// [e980] marí, _kani_, _ज्वा, _chyť, 
   {{0xdb1cda07,0x7a3800d3,0x61fb11e9,0x2ca00165}},	//   larí, _títo, heul, _iuid_, 
   {{0x8c1b0138,0x2007da08,0x49ba09ed,0x2ca0012e}},	//   _וויי, _mani_, _واحد_, _huid_, 
   {{0x60dbda09,0x2ca00077,0xdb1cda0a,0xb8e40086}},	//   kuum, _kuid_, narí, _এম_, 
   {{0x6e3d00e5,0x29020613,0x61fb033e,0xdb1c0183}},	//   ërbi, _uska_, deul, iarí, 
   {{0x2ca0da0b,0x20070010,0x69c4da0c,0x7d040247}},	//   _muid_, _nani_, laie, _msis, 
   {{0xae0e08dd,0x38a4074b,0x3e5600e0,0x4e0e2414}},	//   ियान_, _hör_, nāts_, ियाई_, 
   {{0x38a4da0d,0xdb1c38eb,0x260663e4,0xe81c0a34}},	//   _kör_, jarí, _सोची_, नावा_, 
   {{0x2007da0e,0xdb1703da,0xdb1c2c71,0x53a60f82}},	//   _bani_, _rexí, darí, _жазб, 
   {{0x2007da0f,0xdfd000b1,0x69c4da10,0x99800009}},	//   _cani_, ديد_, haie, lkių_, 
   {{0x38a4014e,0x61fb005f,0x443e1ed5,0xdb1e0034}},	//   _lör_, beul, _ilt_, _depë, 
   {{0x442cda11,0xdb1c2c71,0xffa200b9,0x99800009}},	//   _hod_, garí, элүү, nkių_, 
   {{0x442c02f5,0x2ca011a1,0x7a3137ed,0x2007da12}},	//   _kod_, _cuid_, _mått, _fani_, 
   {{0x2007086d,0x2ca0016a,0x205600dd,0xdb1e023e}},	//   _gani_, _duid_, _ютер, _kepè, 
   {{0x442cda13,0x7d04da14,0xc1080029,0xdb1c2ef3}},	//   _mod_, _esis, _hỗ_, barí, 
   {{0x442cda15,0x38a4022b,0x7c3eda16,0xdb1c0503}},	//   _lod_, _bör_, _elpr, carí, 
   {{0x2007da17,0xa815da18,0x764206d7,0x5c75da19}},	// [e990] _yani_, ндаш, dhoy, _плит, 
   {{0xe610086b,0x25bf026d,0x38a40219,0x6e2dda1a}},	//   یشن_, _seul_, _dör_, _hoab, 
   {{0x249f0118,0x2ca0012e,0xc10800e7,0x69c401d6}},	//   _suum_, _zuid_, _lỗ_, baie, 
   {{0x38a477f8,0x80cf00a2,0x6e2d01a7,0x442c0354}},	//   _för_, _दिले, _joab, _aod_, 
   {{0x38a40750,0x442c02f0,0x443ea9e1,0x6e2dda1b}},	//   _gör_, _bod_, _blt_, _moab, 
   {{0xd378006a,0x6385068e,0xe299da1c,0xdb1c0634}},	//   _być_, нгла, пак_, zarí, 
   {{0x442cda1d,0x2ba7109f,0x61fbda1e,0x45d500af}},	//   _dod_, _खलना, teul, _повс, 
   {{0x443eda1f,0x60db3e96,0xdb1e022c,0x249fda20}},	//   _elt_, tuum, _depè, _tuum_, 
   {{0x442c02f0,0xdb1c3b6b,0x661b1abb,0x2007da21}},	//   _fod_, varí, _inuk, _pani_, 
   {{0x442c3576,0x44e9da22,0x60db89f6,0x2007da23}},	//   _god_, mú_, ruum, _qani_, 
   {{0x2007da24,0xdb1cda25,0x2ca00691,0x64430a92}},	//   _vani_, tarí, _suid_, mhni, 
   {{0x200738ea,0x2bb80ead,0xa3ab130c,0x6e2d227f}},	//   _wani_, अर्थ, कुर_, _coab, 
   {{0x20070cc4,0xdb1e00e5,0xdb1cda26,0xc108001b}},	//   _tani_, _tepë, rarí, _gỗ_, 
   {{0x38a4014e,0xdb1c1a6e,0x69cf66ff,0x660900b0}},	//   _rör_, sarí, _adce, _laek, 
   {{0x6d46006a,0xe80a006a,0xdb1cda27,0x60c99e57}},	//   szka, _होगा_, parí, lsem, 
   {{0xdb26006b,0x629902cd,0x7d04da28,0xdd920019}},	//   _épít, _jiwo, _tsis, _یوں_, 
   {{0x69c4da29,0x44e90039,0xed5a0ca6,0x629902a2}},	// [e9a0] raie, jú_, _хоп_, _miwo, 
   {{0x60c9da2a,0x1aff0086,0x69c4da2b,0x44e94604}},	//   isem, _উপরে_, saie, dú_, 
   {{0x64434b9c,0x6609da2c,0x2c1d01a4,0x7642019b}},	//   dhni, _baek, मारू_, thoy, 
   {{0xdb1eda2d,0x442cda2e,0x60c92b92,0x667613b4}},	//   _repè, _sod_, ksem, ردار, 
   {{0xd25000d4,0xdb1c2768,0x6609002c,0x60c902c9}},	//   ینت_, barã, _daek, jsem, 
   {{0xa3ab12e3,0xa2a44493,0x66e648cf,0x442c006d}},	//   कुल_, _चंद्, _пога, _qod_, 
   {{0x81e900cc,0x442cda2f,0x443e1096,0x6299da30}},	//   য়ন_, _vod_, _vlt_, _biwo, 
   {{0x6fdd07d5,0x99890228,0x64430032,0x7e64023e}},	//   _माउं, skať_, ahni, _njip, 
   {{0xe21300eb,0x442cda31,0x629917f9,0xdb1eda32}},	//   طبيع, _tod_, _diwo, _depé, 
   {{0x64a30a27,0x63b3026e,0x442c07fc,0x6e2dda33}},	//   _сафа, čení, _uod_, _soab, 
   {{0x60c90341,0x085700d1,0x6e2d0054,0xdefa03a1}},	//   asem, תבים_, _poab, чып_, 
   {{0x11e900eb,0xdb1e0175,0x629902a5,0xdb1cda34}},	//   _يعني_, _gepé, _giwo, darà, 
   {{0x0cabda35,0xe0d400c7,0x7e640118,0x6e2d023a}},	//   ятни_, _סײַ_, _djip, _voab, 
   {{0x7e64da36,0x62997e22,0xdb1c5d7c,0xb3e008b3}},	//   _ejip, _ziwo, farà, नलिख, 
   {{0xfee900f0,0xdb1c0e43,0x3e640241,0x6a770216}},	//   _жуық_, garà, sıta_, _nûfî, 
   {{0x6b9e0183,0xa8a70088,0x00000000,0x00000000}},	//   _egpg, ержк, --, --, 
   {{0xdb1c0165,0xa3e00fcf,0x23e009ef,0x660900c2}},	// [e9b0] tarã, थला_, _नांद, _raek, 
   {{0x7e7dda37,0x44e90187,0xdb1c03a1,0x6609da38}},	//   llsp, vú_, barà, _saek, 
   {{0xd6dbda39,0x7bc72998,0xdced003a,0xe719155f}},	//   ята_, maju, _izađ, بيات_, 
   {{0xdb050750,0x7bc74b0e,0x60c9a2fa,0x44e9da3a}},	//   _behö, laju, ysem, tú_, 
   {{0xdb1c8956,0x6443da3b,0xc9843d55,0xdb1e0107}},	//   mará, thni, _бури, _repé, 
   {{0x6299da3c,0x44e9da3d,0x7bc7da3e,0xdb1c008c}},	//   _siwo, rú_, naju, lará, 
   {{0x68ed0b85,0x44e9da3f,0xf1b902ee,0x2fc508bb}},	//   ltad, sú_, ljši_, valg_, 
   {{0x5694da40,0x60c9da41,0x64435ca9,0x661b034c}},	//   _баст, tsem, shni, _unuk, 
   {{0x3949da42,0xe664a68a,0xdb0502f2,0x60c9026a}},	//   nzas_, _стро, _gehö, usem, 
   {{0x60c965ce,0x68edd897,0x7bc700d2,0x9f5e010c}},	//   rsem, itad, jaju, metê_, 
   {{0x60c9da43,0x7bc703ef,0x9f5e009e,0x9f450327}},	//   ssem, daju, letê_, veló_, 
   {{0xed5ada44,0x68edda45,0x657b00a2,0xdb1cda46}},	//   дом_, ktad, _kyuh, jará, 
   {{0xdb1c6f66,0xc692008d,0x9f5e009e,0xc0e500ed}},	//   dará, יאט_, netê_, _ролк, 
   {{0xd0040c67,0x4fa20a43,0x307900c7,0x09ca009a}},	//   _бошқ, _кишв, _קאַנ, िण्य, 
   {{0xfaa63ffe,0xbad500e4,0x39490126,0xf8bf023e}},	//   табо, літы, ezas_, _awé_, 
   {{0x3b0700ce,0x68edda47,0xdb1cda48,0xf2d200c7}},	//   њето_, ftad, gará, יעל_, 
   {{0x6569024a,0x644100c8,0x68edda49,0x7a310343}},	// [e9c0] _nxeh, _olli, gtad, _påtr, 
   {{0x7a383f5b,0xe73a7a43,0x25ad1a45,0x68320566}},	//   _míti, мез_, _afel_, _ræds, 
   {{0x7a38010d,0x290f014e,0x657b0065,0x3949da4a}},	//   _líti, ågar_, _ayuh, azas_, 
   {{0x75d30084,0x947300d6,0xe9a61853,0xdb1c0503}},	//   ليما, یدوا, _шамп, cará, 
   {{0x68ed2769,0xd4e30088,0x200c02bf,0x7a38da4b}},	//   ctad, ающи, yddi_, _níti, 
   {{0x07a60524,0x29120027,0x7d160090,0x00000000}},	//   _јавн, mvya_, _mrys, --, 
   {{0xf2c30335,0x68320453,0x00000000,0x00000000}},	//   асын, _fædr, --, --, 
   {{0xd7e2031e,0x2281008c,0x9f5e009e,0x6441da4c}},	//   _पाँच, sókn_, betê_, _elli, 
   {{0x64a6da4d,0x7a380377,0x7bc70548,0xae21109f}},	//   _раза, _cíti, yaju, यासन_, 
   {{0xdb1c0503,0x7eb80082,0x9f450036,0xa3ab01a4}},	//   zará, нгос_, velò_, कुआ_, 
   {{0x7bc703ef,0xa3e7da4e,0x2bdc143e,0x481500c7}},	//   vaju, _भात_, _बाजा, אַרן_, 
   {{0xf77300a7,0x7d16772d,0x7bc70053,0xdb1c0042}},	//   יקת_, _brys, waju, xará, 
   {{0xd7e22002,0x7d16da4f,0x4bc5022c,0x6441da50}},	//   _पांच, _crys, лөнг, _ylli, 
   {{0x7d169f13,0x5c7427eb,0xd00f03b3,0x00000000}},	//   _drys, илят, _ولن_, --, 
   {{0x7bc70ad7,0xdb1cda51,0x629c47b3,0x5f730444}},	//   raju, tará, _éros, _پاور, 
   {{0x68edda52,0xcbe300cc,0x7bc7002e,0x9f5e009e}},	//   ttad, য়েছ, saju, yetê_, 
   {{0xdb1cda53,0x19580b58,0x6458da54,0x3a2902a2}},	// [e9d0] rará, ваты_, kivi, rjap_, 
   {{0x39491056,0xdb1c070b,0x6e3dda55,0x9f5e024a}},	//   rzas_, sará, lksb, jetë_, 
   {{0xdb1cda56,0x657b342b,0xb87b0183,0xc5d501fc}},	//   pará, _syuh, _mpíx, гіль, 
   {{0xe7ff02c3,0xb9090086,0x6e3d1a0d,0x64580028}},	//   _उसका_, _মন_, nksb, eivi, 
   {{0xd1261896,0x58d4048a,0x89da0309,0x9479da57}},	//   _ام_, _коят, _אחרי, нску_, 
   {{0x9f5e0216,0x6458da58,0x7bc5021e,0x00000000}},	//   retê_, givi, _jehu, --, 
   {{0x7a380165,0x9f5e0216,0x7bc57f8d,0x657b0096}},	//   _síti, setê_, _mehu, _wyuh, 
   {{0x96f81297,0xe9df0068,0x659566d1,0x998000ca}},	//   _шест_, _flúe_, _бабу, ljiš_, 
   {{0x6458da59,0xe4d9010e,0xd059004f,0x657b0696}},	//   bivi, _سوات_, ерні_, _uyuh, 
   {{0x7659056b,0x7a380c7c,0x6441da5a,0x998000ca}},	//   liwy, _víti, _ulli, njiš_, 
   {{0x8eb200d4,0x34940176,0x00000000,0x00000000}},	//   یمیش, _тафр, --, --, 
   {{0x7d16da5b,0x765900f8,0x7bc502be,0x00000000}},	//   _prys, niwy, _aehu, --, 
   {{0x7bc5da5c,0xee37049b,0x463a0070,0x31355af5}},	//   _behu, уня_, גערע, _щедр, 
   {{0xd0060d61,0x60dbda5d,0xdca34484,0x7d16018c}},	//   _беше_, mrum, сари, _vrys, 
   {{0x60dbda5e,0xdea111b7,0xcb67da5f,0x7bc5024a}},	//   lrum, _دیجی, гаре_, _dehu, 
   {{0x7d160090,0x6458da60,0x6e3d200f,0x9f5e021e}},	//   _trys, zivi, cksb, zetë_, 
   {{0x76590156,0xe8fada61,0x6458010c,0x3e79003e}},	// [e9e0] diwy, эла_, yivi, rétt_, 
   {{0x7bc50511,0x6458da62,0x9cbb027a,0x765908b0}},	//   _gehu, xivi, _רציח, eiwy, 
   {{0x6458da63,0x60dbda64,0x4422da65,0xdb1c02aa}},	//   vivi, hrum, _đk_, darç, 
   {{0x64a6ca81,0x4422010e,0x60dbace6,0xdb1c003e}},	//   гада, _ők_, krum, taræ, 
   {{0x81e9100b,0x7bc51d0a,0x9f5e024a,0x39360009}},	//   য়া_, _yehu, tetë_, _сэнс, 
   {{0x07a31e2b,0x69c6da66,0x83f82e07,0x07ba0038}},	//   _гарн, _heke, текс_, _سهرة_, 
   {{0x18670f5a,0xc879010c,0x81b50033,0x9f5e021e}},	//   _сари_, _êşa_, _জয়_, retë_, 
   {{0x60dba007,0x69c6da67,0xdb1e0098,0x80cf0035}},	//   frum, _jeke, _nepí, _दिखे, 
   {{0x69c6da68,0xc4866453,0xc5660398,0x645800c8}},	//   _meke, _блак, _скак, pivi, 
   {{0x66020379,0x9f5eda69,0x2ef4da61,0x232a0a63}},	//   leok, leté_, азор, _пози_, 
   {{0x04930038,0x64a601a2,0x9d180240,0xb7db0070}},	//   _اللح, _раҷа, ҳоят_, עקטי, 
   {{0x69c6da6a,0x7bc50666,0x60db008a,0x6ce701fc}},	//   _neke, _sehu, brum, ліге, 
   {{0x60db34c5,0xade600b0,0xd24f00eb,0x7bc561e6}},	//   crum, _कारन_, _عنه_, _pehu, 
   {{0x9f5e026a,0x2a790065,0x5f9400b9,0x69c600b4}},	//   heté_, _sksb_, _килт, _aeke, 
   {{0x69c6da6b,0xab9502a6,0x7a38003e,0x9f5e023e}},	//   _beke, рављ, _lítu, keté_, 
   {{0x200eda6c,0x78a611b1,0x69c6da6d,0x7ed35297}},	//   _hafi_, _bukv, _ceke, _ازوا, 
   {{0x69c6da6e,0xb99923ef,0x7bc5da6f,0xecdc00b0}},	// [e9f0] _deke, твах_, _tehu, _बियफ, 
   {{0xee3f031e,0x200ecf4b,0x27f8008a,0x2bc6009a}},	//   lký_, _jafi_, _cbrn_, वरणा, 
   {{0x200e0118,0x69c6da70,0xa2a40b79,0x60c20539}},	//   _mafi_, _feke, _चूल्, _lwom, 
   {{0x69c664bb,0x200e0054,0xee3f0098,0x79820035}},	//   _geke, _lafi_, nký_, żowa, 
   {{0xa5090d8f,0x00000000,0x00000000,0x00000000}},	//   тела_, --, --, --, 
   {{0x69c60536,0x200e00e2,0xee3f014b,0x1be9031e}},	//   _zeke, _nafi_, hký_, ञ्चल_, 
   {{0x69c6078a,0x249e0118,0x60c2052b,0x290b00b9}},	//   _yeke, _ditm_, _awom, _hsca_, 
   {{0xa3e705d2,0xd5f90137,0x62800097,0x60c2da71}},	//   _भाव_, _שפּר, glmo, _bwom, 
   {{0x00c601bb,0xdb1eda72,0x681b00e0,0x249e0054}},	//   алык_, _repí, _tādē, _fitm_, 
   {{0xb4c10081,0x60dbda73,0x200e0042,0x6280039b}},	//   ंठी_, rrum, _cafi_, almo, 
   {{0x0e66da74,0x3f699690,0x9e662b68,0x60dbda75}},	//   икон, тино_, ивод, srum, 
   {{0x60db942f,0x6f180397,0x291903c5,0x60c205d5}},	//   prum, _drvc, _orsa_, _fwom, 
   {{0x69c65837,0x200eda76,0xdca6da77,0xb33c01f2}},	//   _reke, _fafi_, раги, _igħa, 
   {{0x69c6da78,0xafe204f5,0x660201d6,0x00000000}},	//   _seke, _дошл, zeok, --, 
   {{0x69c6da79,0x2919d528,0x9f5e009e,0x290b02a3}},	//   _peke, _arsa_, letî_, _asca_, 
   {{0xee3f08d7,0xb33c003d,0x2fc7da7a,0xc33200d1}},	//   cký_, _jgħa, _heng_, חול_, 
   {{0x2fc7da7b,0x61ebda7c,0x47c64867,0x69c600dd}},	// [ea00] _keng_, _mcgl, ибав, _veke, 
   {{0x3ea70536,0x69c60b32,0x2fc70aec,0x3ea003c5}},	//   _kunt_, _weke, _jeng_, _hiit_, 
   {{0x69c6da7d,0x2fc78da3,0xdb05055f,0x2919da7e}},	//   _teke, _meng_, _afhæ, _ersa_, 
   {{0x320f006b,0x2fc70194,0x3ea7da7f,0x7afe0054}},	//   _nagy_, _leng_, _munt_, _ippt, 
   {{0x9f5e0107,0xdb1e00f6,0x24e70267,0x3ea70b48}},	//   reté_, _hepà, имци_, _lunt_, 
   {{0x2fc7da80,0x672105ae,0x68e4da81,0x6602da82}},	//   _neng_, _šlje, muid, seok, 
   {{0xa3e70790,0x68e4da83,0x200e01a7,0xb33c00c3}},	//   _भार_, luid, _rafi_, _bgħa, 
   {{0x7a380b85,0x200eda84,0x60c206df,0x8cd70a34}},	//   _títu, _safi_, _pwom, _बिलो, 
   {{0xe8df00f7,0xfbc60c14,0x51860769,0x2fc70149}},	//   _việc_, वराम, шука, _beng_, 
   {{0x2fc7c748,0x249e0348,0x7afe00dd,0x03a301a2}},	//   _ceng_, _uitm_, _oppt, _дифо, 
   {{0x2fc7da85,0x2d8000e2,0xe8df00e7,0x3e720098}},	//   _deng_, _ayie_, _tiệc_, láty_, 
   {{0x200e0065,0x60c23a59,0x2fc70415,0x320f0379}},	//   _wafi_, _twom, _eeng_, _gagy_, 
   {{0x200e0054,0x2246da86,0x8d871301,0x776e243f}},	//   _tafi_, _ilok_, рунд, _lxbx, 
   {{0xee3f0385,0xe0fb00a7,0x2fc7da87,0x32040180}},	//   ský_, _סלול, _geng_, lemy_, 
   {{0x2246da88,0x81e90033,0x3ea701d2,0x442e039b}},	//   _klok_, য়র_, _gunt_, ijf_, 
   {{0x3e72014b,0x3ea00102,0x2919da89,0x2fc712ed}},	//   káty_, _giit_, _prsa_, _zeng_, 
   {{0x2fc7da8a,0x97a7049b,0x2d89018e,0x00000000}},	// [ea10] _yeng_, арел, _uzae_, --, 
   {{0x7d0dda8b,0x4ae702f1,0x7afe0175,0x3d14009a}},	//   _isas, _кўма, _fppt, दिरे_, 
   {{0x22462a41,0x81de0086,0x78ba02d9,0x67d501ff}},	//   _olok_, দ্য_, _čtve, _қову, 
   {{0x3204006a,0x68e4671d,0x29190604,0x9f4502be}},	//   jemy_, buid, _trsa_, melô_, 
   {{0xb4c10081,0x38c90274,0x68e4033c,0x2fcc00e2}},	//   ंठे_, _حاجی_, cuid, kadg_, 
   {{0x2246cfab,0x1cb800a7,0xa3e905e0,0xdb1e014a}},	//   _alok_, סלול_, удка_, _hepá, 
   {{0x2fc7da8c,0xdb15001d,0x2ca90102,0x4cb00033}},	//   _reng_, mazó, _luad_, জীপু, 
   {{0x3ea7022b,0x2fc70a5c,0x7d0dda8d,0x3e72014b}},	//   _runt_, _seng_, _osas, báty_, 
   {{0x320f0105,0x3ea70aa4,0x2fc76d46,0xe81c009a}},	//   _vagy_, _sunt_, _peng_, नाचा_, 
   {{0x3ea7da8e,0x22460938,0x3ea0007e,0x9f5e0216}},	//   _punt_, _elok_, _siit_, retî_, 
   {{0x2246da8f,0xa3ac0b3e,0x320f301f,0xb33c003d}},	//   _flok_, _गलत_, _tagy_, _tgħa, 
   {{0x7bd70496,0x29090010,0x2ca91ecb,0x9f451109}},	//   _adxu, kwaa_, _buad_, nglé_, 
   {{0x2fc7da90,0x30a74993,0x427407cf,0xdb1cda91}},	//   _teng_, _трев, _بالآ, mbré, 
   {{0x61e90973,0x81ae0086,0xaf4903b1,0x3dd80405}},	//   lgel, করণ_, _مشعل_, _żewġ_, 
   {{0x2005d308,0x7d0dda92,0x61e900f8,0xdb1c463c}},	//   meli_, _esas, ogel, larú, 
   {{0x61e9da93,0x2005da94,0x68e42126,0x2ca9da95}},	//   ngel, leli_, tuid, _fuad_, 
   {{0x6e24da96,0xdb170183,0x61e95068,0x00000000}},	// [ea20] _inib, _xexú, igel, --, 
   {{0xdb1524d3,0x68e4da97,0x3e720098,0x61e90502}},	//   gazó, ruid, váty_, hgel, 
   {{0x7afed7ac,0xa3ab0262,0x177900e4,0x12e20086}},	//   _uppt, कुछ_, асць_, _মন্দ, 
   {{0x7bceda98,0x80d851c8,0x2005da99,0x2ca9023b}},	//   labu, _मिले, heli_, _yuad_, 
   {{0x644a00eb,0x61e90c0c,0xdb050023,0xddc4052b}},	//   thfi, dgel, _nghê, _aliŋ, 
   {{0x2005da9a,0x7bceda9b,0x66e4005e,0x3e72063b}},	//   jeli_, nabu, _қоға, ráty_, 
   {{0x61e9da9c,0x66e35b90,0x320401a7,0x8c1b00d1}},	//   fgel, _нора, temy_, טוסי, 
   {{0x61e935fd,0x7bceda9d,0x96630a10,0xf2060845}},	//   ggel, habu, _ексе, сяко, 
   {{0x7bceda9e,0x3204da9f,0x80d800a2,0x2005daa0}},	//   kabu, remy_, _मिळे, feli_, 
   {{0x2005daa1,0x7bcedaa2,0x6e24daa3,0xfd4d0210}},	//   geli_, jabu, _anib, _thoắ, 
   {{0x438623e6,0x6e36a3ab,0x645adaa4,0x6448daa5}},	//   _الاق, _boyb, _imti, _ildi, 
   {{0x2ca90065,0x7642009e,0xf99f011c,0x3f8201dd}},	//   _puad_, nkoy, _kaèt_, āku_, 
   {{0x2005daa6,0x91e315dd,0xdb1e0068,0x2ca9501c}},	//   beli_, _хоче, _repá, _quad_, 
   {{0x9f5edaa7,0x2005daa8,0xdb1e1cf0,0x509602a6}},	//   letí_, celi_, _sepá, _уређ, 
   {{0xa3d02956,0x9f4c318d,0xb33c00a4,0x7ff700d1}},	//   _वजन_, redó_, _mgħo, _הזוג_, 
   {{0x2aa8daa9,0x29090053,0x7f830038,0x6e24011c}},	//   стро_, twaa_, _علين, _gnib, 
   {{0x3835daaa,0x7bce2834,0x621b0070,0x645a02a5}},	// [ea30] онар, babu, נומק, _omti, 
   {{0x97a76bf9,0x9998049b,0x81ae0033,0xb33c00c3}},	//   срал, скут_, করি_, _ngħo, 
   {{0xdb15daab,0x61e9daac,0x478bdaad,0xdc380070}},	//   razó, ygel, усам_, _לאזט_, 
   {{0x644802ba,0xceb300c7,0xa5f9daae,0x9f5e00bc}},	//   _aldi, ליע_, реду_, jetí_, 
   {{0x7ae716fb,0x7e6ddaaf,0x647503dd,0x61e900ef}},	//   lujt, _mjap, огду, vgel, 
   {{0x987900c7,0x2005020f,0x8ccb52c2,0x2c220083}},	//   _כאָט, xeli_, तीयो, माएं_, 
   {{0x61e9dab0,0xa3b800a5,0xa2298b5f,0x7ae70098}},	//   tgel, चड़_, ижка_, nujt, 
   {{0xe0d940f5,0x200521a3,0x6448dab1,0x7bcedab2}},	//   ави_, weli_, _eldi, zabu, 
   {{0x61e9dab3,0x5694dab4,0x7bce4588,0xa3e7009a}},	//   rgel, _хатт, yabu, _भाऊ_, 
   {{0x7ae7dab5,0x61e9dab6,0x6e365edd,0xd766006b}},	//   kujt, sgel, _soyb, _انہی, 
   {{0x81de00cc,0x61e90d62,0x644300ab,0x2005dab7}},	//   দ্ধ_, pgel, mkni, reli_, 
   {{0x44251799,0x64430533,0x7ae7026e,0x7bcedab8}},	//   _hnl_, lkni, dujt, wabu, 
   {{0x2005dab9,0x7bce33cc,0x225f0574,0x7649023e}},	//   peli_, tabu, miuk_, _mley, 
   {{0x225f2fc1,0xb33c003d,0x76495124,0x224d08b0}},	//   liuk_, _ogħl, _lley, lhek_, 
   {{0xa3e70d95,0x7bcedaba,0xf21e0262,0xeb9adabb}},	//   _भाई_, rabu, _मोड़_, рив_, 
   {{0x6e24dabc,0x7bcedabd,0xa2cc07d5,0x00000000}},	//   _unib, sabu, _सबस्, --, 
   {{0x7bcedabe,0xb33c007b,0x4425a8d5,0x38cb00d7}},	// [ea40] pabu, _agħl, _onl_, لالی_, 
   {{0x6721090e,0xb90201a4,0x7e6d02c7,0x7649bdff}},	//   _šlja, _धि_, _zjap, _aley, 
   {{0xdb0500e7,0xa9a608c7,0x2a69006d,0xab2adabf}},	//   _nghè, _минд, bnab_, _тона_, 
   {{0x5efa0137,0x4425dac0,0xd5b00071,0x95860afc}},	//   יפעד, _anl_, رفت_, олее, 
   {{0x2c0f00a2,0x240a1cb8,0xb33c01f2,0x44251caf}},	//   ायचं_, инди_, _egħl, _bnl_, 
   {{0x2bbf048e,0x442500f6,0x765b01b8,0xd372009c}},	//   ्रया, _cnl_, _emuy, وهش_, 
   {{0x68f60326,0x7649dac1,0x224d040b,0xdc9b0147}},	//   ltyd, _fley, fhek_, ביסל, 
   {{0x7649008c,0x44252082,0xb88202d9,0xcad700d1}},	//   _gley, _enl_, řída, קופת_, 
   {{0x2bbf2360,0x661d008c,0x3218031e,0x68f625f8}},	//   ्रमा, _óska, ěry_, ntyd, 
   {{0x6443022b,0xdced07fa,0xa3e700c2,0x60dd0183}},	//   ckni, _ayağ, _भाए_, ásma, 
   {{0xc7b30056,0x3eb8024a,0x2a69dac2,0x224d011c}},	//   ובת_, ërt_, ynab_, bhek_, 
   {{0xdb1f04f4,0x41260019,0x74c10367,0x7ae78046}},	//   ðvík, _وفاق, रीकृ, vujt, 
   {{0xa06a0886,0x225706bc,0xa0b81103,0x00000000}},	//   _када_, _بلند_, _углу_, --, 
   {{0x7ae71dc8,0x2d850243,0x2bb8007a,0x7c3700a4}},	//   tujt, āle_, قافة_, _qoxr, 
   {{0x7e6d040b,0x68f6040b,0x00000000,0x00000000}},	//   _tjap, etyd, --, --, 
   {{0x7ae7dac3,0x42db00c7,0xbda708b6,0x7e6d025b}},	//   rujt, יקלע, _بحثو, _ujap, 
   {{0x37ab04a0,0x7ae73cd0,0x64430b48,0x3940010e}},	// [ea50] атен_, sujt, ykni, gyis_, 
   {{0x7ae700da,0xb33c007b,0x2a690102,0xb9110108}},	//   pujt, _agħm, snab_, _khoả_, 
   {{0x7649dac4,0x290200ca,0xf99f023e,0xcd3424a1}},	//   _pley, _epka_, _paès_, _فریب, 
   {{0x8f9b00a7,0x4425dac5,0xbddb0151,0xdb050108}},	//   ביבי, _snl_, chèt, _nghé, 
   {{0xc984002e,0x442500d9,0x25a9dac6,0xe53407f4}},	//   _жури, _pnl_, žalo_, мець, 
   {{0x7e7ddac7,0xb33c008a,0xe458004f,0x00000000}},	//   hosp, _egħm, ожі_, --, 
   {{0x64430a40,0x224ddac8,0xdb1e0380,0x03a2dac9}},	//   rkni, thek_, _gepä, нишо, 
   {{0x5694005e,0x64435652,0x765b024d,0x00c91cde}},	//   _жаст, skni, _umuy, блик_, 
   {{0x7e7ddaca,0x225fdacb,0xddc4015e,0xf4870267}},	//   dosp, riuk_, _njiš, _дужн, 
   {{0x8f7500dd,0x9327152c,0x00000000,0x00000000}},	//   зумі, _وران, --, --, 
   {{0x224d5b34,0x201902d9,0xd498017b,0x20180054}},	//   phek_, ěsi_, _єру_, ôria_, 
   {{0x3ea4022b,0x12fa00d1,0x7e7ddacc,0xbddb023e}},	//   ömt_, _להעב, gosp, dhès, 
   {{0xe1670038,0x00000000,0x00000000,0x00000000}},	//   _بداي, --, --, --, 
   {{0xd47900c7,0x61fb0b48,0x9f5e00b9,0xdbd72b92}},	//   מאָל, lful, betà_, jääk, 
   {{0xd00e057f,0x8b23dacd,0x00000000,0x00000000}},	//   _إلى_, ндре, --, --, 
   {{0x9f96008d,0x89aa01a2,0x2bd8031e,0x81e90033}},	//   _צדקה_, скав_, _भएका, য়ক_, 
   {{0xdb1c6aee,0x3a3900da,0x61fb0175,0x00000000}},	// [ea60] mbrí, _dosp_, iful, --, 
   {{0x6f030bfc,0x68f6934d,0xb33c01f2,0x7d040175}},	//   _kpnc, rtyd, _dgħj, _ipis, 
   {{0x8cb2047c,0x39461f8f,0x68f6dace,0xd7ef0038}},	//   _इंडो, šos_, styd, اكم_, 
   {{0x3a392178,0x98a6002e,0x95c700d9,0x00000000}},	//   _gosp_, _ниме, пуша_, --, 
   {{0x69c4dacf,0xdb1c00eb,0x1a9b00c7,0x61fb098d}},	//   mbie, ibrí, _ליטע, dful, 
   {{0x69c4dad0,0x7d04dad1,0x3d1d00bd,0xf8bf003e}},	//   lbie, _mpis, मिते_, _bréf_, 
   {{0x6ada00a5,0xd25a00fd,0x28e200bc,0x2bbf00ae}},	//   _बटोर, йци_, _पिडि, ्रता, 
   {{0x7d04dad2,0x68e40952,0x69c42e15,0x07a3dad3}},	//   _opis, orid, nbie, _часн, 
   {{0x68e4dad4,0x624700b4,0x00000000,0x00000000}},	//   nrid, _iñol, --, --, 
   {{0x645d012d,0x68e426c0,0x9ed87116,0x9989203b}},	//   _įsig, irid, омот_, njaš_, 
   {{0x68e4dad5,0x7d04018e,0x6d400a1f,0xbddb009c}},	//   hrid, _apis, øman, dhèr, 
   {{0x648d00eb,0x68e48b7a,0x69c40463,0x7d040354}},	//   núin, krid, jbie, _bpis, 
   {{0x5183d512,0x69c4dad6,0x6282d2cc,0x00000000}},	//   _пуша, dbie, _ikoo, --, 
   {{0x2ca5dad7,0x69c4dad8,0xb4ba031e,0xbddb0107}},	//   öld_, ebie, _अझै_, thès, 
   {{0xd5cc248b,0x68e4007e,0x3ffb00a7,0x62822e50}},	//   ाराज, erid, _הפוע, _kkoo, 
   {{0x81de00cc,0xaa580bf2,0x6aa60065,0x67211a35}},	//   দ্র_, пису_, _cikf, _šljo, 
   {{0x68e4dad9,0x48150c16,0x3eae02a2,0xdbd700c8}},	// [ea70] grid, ммас, _huft_, tääk, 
   {{0x37abaf3a,0xbddb0107,0x69c40126,0xa814478a}},	//   стан_, chèr, abie, ндуш, 
   {{0x69c4dada,0x442b001b,0x68e400b0,0x212b0023}},	//   bbie, _đc_, arid, ̣ch_, 
   {{0xd6d8dadb,0x6282dadc,0xd24609dc,0x00000000}},	//   яту_, _nkoo, _شن_, --, 
   {{0x26d8dadd,0x1c2200ab,0x3eae4703,0x69cf01dd}},	//   _evro_, माचल_, _luft_, _iece, 
   {{0xd7f8dade,0x6282b192,0x0574015f,0x3cfc0486}},	//   _нус_, _akoo, راند, צלונ, 
   {{0x69cf2546,0x61fbdadf,0x9f42009e,0x645d0028}},	//   _kece, tful, şkê_, _įsid, 
   {{0x26c11ddb,0x2fce0118,0x659514c1,0x244b00fc}},	//   mpho_, _aefg_, _жабу, _døma_, 
   {{0x61fb2245,0xfbbf0fc0,0x93a7002e,0x26c102be}},	//   rful, ्राम, _ешед, lpho_, 
   {{0x09aa190a,0x69cfdae0,0x61fb050f,0xa3e700bd}},	//   _कल्य, _lece, sful, _भाट_, 
   {{0x69dd22d4,0x7d04dae1,0x49140f63,0x2d8c0035}},	//   _odse, _spis, _नैनो_, ędem_, 
   {{0x69cf40bd,0x68e4dae2,0x3eaec5d6,0x8cb202e6}},	//   _nece, yrid, _duft_, _इंदो, 
   {{0x205554ad,0xd1b80499,0x629b02a3,0x76ac027e}},	//   _откр, _رانا_, mmuo, _işye, 
   {{0x7d0402ee,0x69dd36d2,0x6289c6f2,0x68e402f1}},	//   _vpis, _adse, lleo, vrid, 
   {{0xdca3dae3,0x7d04006a,0xddcb0062,0x69c4dae4}},	//   тари, _wpis, žišn, tbie, 
   {{0x7ae1006b,0x69cfdae5,0xeb9721f9,0xf99f05d5}},	//   álta, _cece, фис_, _obèd_, 
   {{0x7d0402f5,0x78a70b32,0x660b033e,0xda650195}},	// [ea80] _upis, _bijv, degk, رافي, 
   {{0xb8f6dae6,0x69c4dae7,0x68e46725,0x69dd008a}},	//   _सब_, sbie, rrid, _edse, 
   {{0x6289dae8,0xe61adae9,0x69cfdaea,0x3ebc0065}},	//   kleo, жде_, _fece, _xtvt_, 
   {{0xa3d005fd,0x69cfdaeb,0x5ee00366,0xceb20147}},	//   _वजह_, _gece, _किस्_, דיא_, 
   {{0xe5a30ec6,0xb33c00c3,0x15ff017d,0xf8bf0354}},	//   вици, _igħi, ोज़र_, _créd_, 
   {{0x62820691,0xf1bf4ae7,0xdb073096,0x22b501dd}},	//   _skoo, ñán_, rbjö, _sāka_, 
   {{0x161904d7,0xdb1c2a16,0x628902bf,0xdb0500e7}},	//   _नोकर_, maró, fleo, _nghì, 
   {{0x41e60769,0x37e30086,0xb33c0405,0xc1141b11}},	//   фіка, ন্দর, _jgħi, емиј, 
   {{0x95831a00,0x6282016a,0x1277007a,0x2ced0110}},	//   _алте, _vkoo, بحوث_, _जमेल_, 
   {{0xdb1c0038,0x00000000,0x00000000,0x00000000}},	//   naró, --, --, --, 
   {{0x2bbf0c64,0xd2b600a3,0x62890354,0x6148003e}},	//   ्रसा, _ўқиш_, bleo, félö, 
   {{0x212902fe,0xbddb026a,0xb33c003d,0x6289daec}},	//   _šahe_, thèq, _ngħi, cleo, 
   {{0xdc3a0749,0x6280daed,0x00000000,0x00000000}},	//   _açıl, momo, --, --, 
   {{0x6280daee,0x28b502e6,0xe167009c,0x7d1d02c9}},	//   lomo, _अंबि, _تضمی, rvss, 
   {{0x200cdaef,0x69cfdaf0,0x78a701d2,0x2562040c}},	//   medi_, _pece, _rijv, _jаlb_, 
   {{0xdd9511db,0x1da71451,0xdb1200eb,0x200c33f6}},	//   _пайы, _गणपत, ógái, ledi_, 
   {{0x69cf1208,0xb33c01f2,0xe8df0210,0x00000000}},	// [ea90] _vece, _dgħi, _thọc_, --, 
   {{0x200cdaf1,0x6280daf2,0x81e70033,0x00000000}},	//   nedi_, homo, ম্প_, --, 
   {{0xb8d61574,0x3ea931ff,0x7bd525e3,0x78a701c8}},	//   _चू_, _kiat_, mazu, _vijv, 
   {{0xb93500ce,0x69dd055f,0x2bbf0239,0x3ea9011c}},	//   _земј, _udse, ्रवा, _jiat_, 
   {{0x6280daf3,0x200cdaf4,0x2ab502c9,0xe9df0032}},	//   domo, kedi_, _håb_, _idú_, 
   {{0x200c02a8,0x3ea9468b,0xf8bfdaf5,0x7bd50548}},	//   jedi_, _liat_, _crée_, nazu, 
   {{0x27f8026e,0xe7849b64,0x2c860218,0xdb1e318d}},	//   žený_, _ауто, _hêdî_, _sepú, 
   {{0x3ea936ff,0x6280012d,0xdb050108,0x81e70033}},	//   _niat_, gomo, _nghí, ম্ন_, 
   {{0x9f5e0088,0x629b012d,0x25addaf6,0x2d89040b}},	//   hetä_, rmuo, _igel_, _nyae_, 
   {{0x1bee04d7,0xaec5daf7,0x200c0c08,0x628901ca}},	//   _जाइल_, нбол, gedi_, sleo, 
   {{0x6289daf8,0x7bd501cf,0x00000000,0x00000000}},	//   pleo, dazu, --, --, 
   {{0xf77200fe,0xee3711e6,0x24850102,0x765906a2}},	//   רקט_, еню_, _hklm_, _çayı, 
   {{0x61d600a7,0x200cdaf9,0x3ea947b5,0x41290176}},	//   _נוסף_, bedi_, _diat_, _холо_, 
   {{0x68ed2126,0x200cdafa,0x26dc0032,0x00000000}},	//   duad, cedi_, ávok_, --, 
   {{0xf8bf333e,0xa3c205fd,0x28e200bd,0x00000000}},	//   _até_, ूरत_, _पिहि, --, 
   {{0xc3320a33,0xf2d200c7,0x629c0036,0x4ae1009a}},	//   נון_, טעל_, _èrot, _फिरव, 
   {{0x68ed28fe,0x7bd5dafb,0x97c600d9,0x6fd60790}},	// [eaa0] guad, bazu, ейзе, _मजमू, 
   {{0x6d467fc8,0x7e66424e,0x6280b9cd,0x7d5700d1}},	//   myka, likp, zomo, _נייד_, 
   {{0x6d46dafc,0xb33c003d,0xd7760038,0x27e7007a}},	//   lyka, _tgħi, رائع, ónna_, 
   {{0xdb1c0042,0xe802007e,0x200cdafd,0x68ed02be}},	//   saró, _रउवा_, zedi_, buad, 
   {{0x7c3e2467,0x68ed1056,0x69d6dafe,0x6280daff}},	//   _kopr, cuad, maye, vomo, 
   {{0x28b5143e,0x7c3e00e0,0x69d6227b,0x64a3db00}},	//   _अंति, _jopr, laye, гача, 
   {{0x6fd605fd,0x628052a8,0xe8e000e7,0x1bee009a}},	//   _मजबू, tomo, _ruột_, _जाईल_, 
   {{0xd257db01,0x69d600b2,0x200c0149,0x7bd5db02}},	//   ець_, naye, wedi_, zazu, 
   {{0x50662f2f,0x99800405,0x7bd56b37,0x200cdb03}},	//   етна, jjiż_, yazu, tedi_, 
   {{0x62803875,0x69d69d14,0x3ea903de,0x7c3e0346}},	//   somo, haye, _siat_, _nopr, 
   {{0x442c0941,0x200cdb04,0x69d6db05,0x6280220b}},	//   _ind_, redi_, kaye, pomo, 
   {{0x200cdb06,0x442cdb07,0x443e00a7,0x7aee00f6}},	//   sedi_, _hnd_, _hot_, dubt, 
   {{0x443e29b6,0x38b600c1,0x200cdb08,0x5c070141}},	//   _kot_, _nær_, pedi_, нява, 
   {{0x31570137,0x7c3e1f45,0xe802048e,0x7ae1010e}},	//   _אידן_, _copr, र्मा_, álto, 
   {{0x443edb09,0x7c3e2b1d,0x7bd5753d,0xc4c40105}},	//   _mot_, _dopr, razu, _گے_, 
   {{0x69d6db0a,0x98a700ef,0x443edb0b,0x38b6092c}},	//   gaye, _điđa_, _lot_, _bær_, 
   {{0x442c02f0,0x6ca71d52,0xc4c4006b,0x6e2ddb0c}},	// [eab0] _ond_, _прож, _دے_, _inab, 
   {{0x443e0052,0x28e20081,0x2bee00ab,0x68ed0d44}},	//   _not_, _पिरि, _जाएं_, ruad, 
   {{0xbbbf0a09,0x69d6db0d,0x68ed02a5,0xe8020077}},	//   ्रीक, baye, suad, _रउरा_, 
   {{0x442c7d51,0x38b6db0e,0x69d6db0f,0xb33c01f2}},	//   _and_, _fær_, caye, _jgħu, 
   {{0x68eddb10,0x442c02a2,0x38b6008c,0xcc3400d6}},	//   quad, _bnd_, _gær_, _شریع, 
   {{0x7e6600ef,0x442cdb11,0x443edb12,0xdddd0083}},	//   zikp, _cnd_, _cot_, nisł, 
   {{0x07a41cc1,0x443e2d86,0x6d460083,0x86f6010e}},	//   _баён, _dot_, zyka, _لکنس_, 
   {{0x442c00a7,0x25addb13,0x6e2d0547,0xd36e0038}},	//   _end_, _ugel_, _nnab, تهى_, 
   {{0x443edb14,0x40956c7d,0x442c00a1,0x841500fd}},	//   _fot_, крот, _fnd_, _имах, 
   {{0x6e2ddb15,0x661bdb16,0x44fb0218,0x443edb17}},	//   _anab, _hauk, mê_, _got_, 
   {{0x44fbdb18,0x69d64411,0x661bdb19,0xdb1c008c}},	//   lê_, yaye, _kauk, jarð, 
   {{0x7c3edb1a,0x2f540c39,0x661b26eb,0x443edb1b}},	//   _sopr, утьс, _jauk, _zot_, 
   {{0x44fb055a,0x0d9913f2,0xb33c01f2,0x69d6db1c}},	//   nê_, етры_, _dgħu, vaye, 
   {{0x661bdb1d,0xc0e207f9,0x69d6db1e,0x2d8c00e0}},	//   _lauk, _тошк, waye, āde_, 
   {{0x44fb078a,0x38b60b48,0x6b63db1f,0xdb1c003e}},	//   hê_, _sær_, акра, garð, 
   {{0x44fb078a,0x661bdb20,0x6e2d0175,0x6d461628}},	//   kê_, _nauk, _gnab, pyka, 
   {{0x69d6db21,0xa3c12414,0x7c3e01f0,0xa9676de5}},	// [eac0] raye, ंडा_, _topr, вита_, 
   {{0x44fb0218,0x69d6db22,0x38b609a8,0x60db4a69}},	//   dê_, saye, _vær_, isum, 
   {{0x443e64bf,0x661bdb23,0x5c3700d1,0xf8bf0151}},	//   _rot_, _bauk, _סרטן_, _préc_, 
   {{0x443edb24,0x38b6db25,0x60db06a6,0x69d60118}},	//   _sot_, _tær_, ksum, qaye, 
   {{0x661b29f4,0x443edb26,0xc883078a,0x44fb010c}},	//   _dauk, _pot_, êşî_, gê_, 
   {{0x8d5b00a7,0x7d0902b7,0x76ac027e,0xd706251b}},	//   וכני, çesi, _eşya, _изги, 
   {{0x443edb27,0x442c001b,0xa3c10366,0xdbcd003e}},	//   _vot_, _vnd_, ंड़_, _móðu, 
   {{0x44fb0216,0xa19411e6,0x661bdb28,0x52143097}},	//   bê_, лайч, _gauk, удит, 
   {{0x6fd605fd,0xd0100084,0x6602085f,0xb5050fd0}},	//   _मजदू, ملة_, mfok, _مظلو, 
   {{0x442cdb29,0x6e2d0750,0x6721003a,0x70540274}},	//   _und_, _snab, _šlji, اندا, 
   {{0x1df9058b,0x7640db2a,0xd34500d4,0x661b0532}},	//   нены_, _komy, _میوه_, _yauk, 
   {{0xe802db2b,0xc8e207d5,0xdd0e0fcf,0xdb1c003e}},	//   र्ता_, _पिंट, िबंध_, varð, 
   {{0xe0d70e52,0xb884031e,0x60db0082,0x32060175}},	//   _авч_, _zvíř, csum, _iboy_, 
   {{0x7e760054,0x1dc30df2,0x60c201a7,0x60cd027e}},	//   _ejyp, _व्रत, _itom, _çama, 
   {{0x44fb010c,0x7e64016a,0x764001e5,0xcb44035b}},	//   zê_, _fmip, _oomy, ахти, 
   {{0x44fb055a,0x2c6d00ef,0x201c010e,0xf8bf33e8}},	//   yê_, džde_, _havi_, _aréa_, 
   {{0x201c2c85,0x44fb009e,0x661bdb2c,0x1da74437}},	// [ead0] _kavi_, xê_, _rauk, _गणित, 
   {{0x661bdb2d,0x201c00d0,0x44fb078a,0xdbcd008c}},	//   _sauk, _javi_, vê_, _góðu, 
   {{0x97a7c5a3,0x61e2db2e,0x661bdb2f,0x201cdb30}},	//   трал, _odol, _pauk, _mavi_, 
   {{0x44fb078a,0x60c2db31,0x201c0cd7,0x61e2b8d8}},	//   tê_, _otom, _lavi_, _ndol, 
   {{0x60c20026,0x752200ca,0x7640091b,0x00000000}},	//   _ntom, gvoz, _domy, --, 
   {{0x44fb055a,0x61e2db32,0x29190405,0x661b0204}},	//   rê_, _adol, _issa_, _wauk, 
   {{0x60c2db33,0x44fb010c,0x3949db34,0x661b69f1}},	//   _atom, sê_, lyas_, _tauk, 
   {{0x60dbdb35,0x2126016a,0x44fb010c,0x76400118}},	//   tsum, _broh_, pê_, _gomy, 
   {{0x44fb078a,0x201c00f1,0x39490ae3,0x34950161}},	//   qê_, _bavi_, nyas_, _баар, 
   {{0xf4842049,0x04950040,0x2a6901c1,0x201c00fd}},	//   _кухн, _صلاح, hiab_, _cavi_, 
   {{0x201c019c,0x60c202a5,0x212604c6,0xd24e009c}},	//   _davi_, _etom, _eroh_, زنی_, 
   {{0x2919db36,0x644128b9,0x3949510f,0x21260380}},	//   _ossa_, _holi, kyas_, _froh_, 
   {{0xaa4602f1,0x00000000,0x00000000,0x00000000}},	//   қеал, --, --, --, 
   {{0x64410212,0xfba50598,0x3949b0c2,0x61e21dc2}},	//   _joli, _गृहम, dyas_, _zdol, 
   {{0x6441db37,0x09e69c83,0x2919db38,0x3b071a31}},	//   _moli, ловн, _assa_, леро_, 
   {{0x6441db39,0x224ddb3a,0x1c0000b0,0x00000000}},	//   _loli, nkek_, _लउकल_, --, 
   {{0xa80614c1,0x0e9b00a7,0x64410054,0x9e65039f}},	// [eae0] лзал, _אשקל, _ooli, _خاون, 
   {{0x6441db3b,0x69cb003e,0x201c0954,0x6ab8010e}},	//   _noli, ðger, _xavi_, _évfo, 
   {{0x29199c2d,0x764000ab,0x85ea3aed,0x224d0019}},	//   _essa_, _pomy, едев_, kkek_, 
   {{0xd01c0086,0xdb1c0a25,0x31790035,0xf99f0118}},	//   তায়_, rbrä, ższy_, _ibèn_, 
   {{0x64410f95,0x6602d3e5,0x0446386d,0x29190226}},	//   _boli, rfok, ледн, _gssa_, 
   {{0x75222fb3,0x224d085b,0x29006089,0xf8bf0096}},	//   rvoz, ekek_, mtia_, _uréa_, 
   {{0x3d164493,0x290003a1,0x9696a0bf,0x59b807d5}},	//   _पैसे_, ltia_, _браш, _अलार, 
   {{0x77910399,0x6441db3c,0x998904be,0xe5a613d3}},	//   _بیما, _eoli, ndaş_, _биби, 
   {{0x2900db3d,0xc3c400f0,0x3014012d,0x90545131}},	//   ntia_, _көйл, адпр, ивиц, 
   {{0x64a6db3e,0x29006744,0x224d00b4,0x93b50108}},	//   _саза, itia_, akek_, _hãn, 
   {{0xa3c111bd,0xde5900dd,0x290000c8,0x201c0876}},	//   ंडर_, вані_, htia_, _vavi_, 
   {{0x6441615b,0x2a690201,0x61e288e3,0x2900db3f}},	//   _zoli, xiab_, _udol, ktia_, 
   {{0x60c2db40,0x201cdb41,0x6441044d,0x00000000}},	//   _utom, _tavi_, _yoli, --, 
   {{0x6458db42,0x644100a3,0x291901d6,0x13d80033}},	//   nhvi, _xoli, _rssa_, _সাড়, 
   {{0xce950141,0x7ac4004f,0xdb1c0212,0x2d840380}},	//   _какъ, йсте, ncrè, ümer_, 
   {{0x7ae8341d,0x00000000,0x00000000,0x00000000}},	//   ádta, --, --, --, 
   {{0x52d10a44,0x195812d2,0x00000000,0x00000000}},	// [eaf0] _सब्स, гаты_, --, --, 
   {{0x7d0ddb43,0x2a6901a0,0x394909fc,0x00000000}},	//   _ipas, siab_, ryas_, --, 
   {{0x64410917,0xdb1e0b85,0x2900db44,0xb87b001d}},	//   _roli, _depó, atia_, _avíc, 
   {{0x2bbf3512,0x394906e4,0xbb3a0147,0x224d00b4}},	//   ्रका, pyas_, _סערי, xkek_, 
   {{0xa3c1000f,0x2900002e,0x6d5d0568,0x2919db45}},	//   ंडल_, ctia_, nzsa, _ussa_, 
   {{0x80c300cc,0x68ed01c5,0x644102f1,0x67210b1d}},	//   _শিল্, mrad, _qoli, _šlju, 
   {{0x644183e4,0x7bd70183,0x68eddb46,0xd3d80629}},	//   _voli, _mexu, lrad, ابها_, 
   {{0xc245d01e,0x7bd7543f,0x64414dbe,0x68ed0a75}},	//   рник, _lexu, _woli, orad, 
   {{0xe0d608fa,0x68eddb47,0x6441db48,0x6ec100e0}},	//   авы_, nrad, _toli, _mēbe, 
   {{0xaf05177d,0x68ed1484,0x3e6f0080,0x224ddb49}},	//   апол, irad, yötä_, skek_, 
   {{0x68ed08fc,0xd37100eb,0x7d0d9d78,0x7f758e44}},	//   hrad, _بها_, _apas, рупц, 
   {{0xd13100eb,0x75297899,0x76590156,0x683b078a}},	//   _وما_, _krez, nhwy, _vîdy, 
   {{0x68ed17a2,0x628b0415,0x463a0070,0x52840038}},	//   jrad, _ikgo, דערע, _النك, 
   {{0x752901b4,0x7d0d0175,0xbc194013,0x00000000}},	//   _mrez, _dpas, лісі_, --, 
   {{0x05d511bd,0xdb1edb4a,0x6609db4b,0x60c9017b}},	//   दराब, _repó, _obek, lpem, 
   {{0x2900db4c,0x4ed43c30,0x68ed3605,0xdb1c597a}},	//   ttia_, _уюшт, frad, ncré, 
   {{0x68ed0dd0,0x98e60038,0x99892007,0xebe600f6}},	// [eb00] grad, شكاو, rdaş_, _копп, 
   {{0x60c9026d,0x2900db4d,0x6609db4e,0xdb1e0300}},	//   ipem, rtia_, _abek, _depò, 
   {{0x7bdcdb4f,0x7529db50,0x68eddb51,0x48790080}},	//   maru, _arez, arad, устя_, 
   {{0x752954e3,0xa526db52,0x8f9a00a7,0x3ced090e}},	//   _brez, имед, דיעי, ševe_, 
   {{0x6aa4db53,0x68ed2d3b,0x6891006b,0x7529db54}},	//   mmif, crad, _کیلئ, _crez, 
   {{0x2407db55,0x3ce900ab,0x7bd70183,0x628b0026}},	//   инчи_, _जिसे_, _xexu, _akgo, 
   {{0x66e314b7,0x7529db56,0xe3cf0033,0xdb1e03a0}},	//   _мора, _erez, _রাখব, _zepò, 
   {{0x7bdc3d3a,0x76595851,0x6458db57,0xe8140394}},	//   haru, chwy, shvi, ड़वा_, 
   {{0x7bdcdb58,0x7529db59,0x7aee008b,0x62470126}},	//   karu, _grez, hrbt, _años, 
   {{0x6609093e,0xcfa617a6,0xa2e67ffd,0x7bdcdb5a}},	//   _zbek, ишни, _вожд, jaru, 
   {{0x7bd703da,0x68ed03ac,0xf99f05d5,0xb7db0070}},	//   _rexu, zrad, _abèl_, כקיי, 
   {{0xd18638aa,0xe4db031e,0x2c6d00ef,0x6aa4024a}},	//   _клей, zšíř, džda_, jmif, 
   {{0x7bdcdb5b,0x224b0502,0x00000000,0x00000000}},	//   faru, öcke_, --, --, 
   {{0x7bdc024d,0x248c00e2,0xe8e00023,0x68eddb5c}},	//   garu, _jkdm_, _nuốt_, vrad, 
   {{0xc5d70086,0xaa672fc2,0x6fcc0299,0x624701cf}},	//   _হাসপ, атак, _द्यू, _iñor, 
   {{0x0f5700d1,0x645d0009,0x24590212,0x25a000d8}},	//   _כיום_, _įsim, _ième_, žily_, 
   {{0x7bdcdb5d,0x7d0ddb5e,0x68eddb5f,0x69cd00e2}},	// [eb10] baru, _upas, urad, rbae, 
   {{0x752900e5,0x7bdcdb60,0xe80200ae,0x249e0210}},	//   _rrez, caru, र्ला_, _nhtm_, 
   {{0xd12615c0,0x68ed014e,0xc6a7412a,0xfbd200a7}},	//   _کم_, srad, арди, _מתי_, 
   {{0x68eddb61,0x569500c8,0xb55900d9,0x24590151}},	//   prad, щает, лиеф_, _mème_, 
   {{0xf8bf200a,0xe7f00262,0x42e30033,0xe57001c9}},	//   _krém_, _चाचा_, _মহেশ, وطه_, 
   {{0x58d40e8a,0x752971fe,0x00000000,0x00000000}},	//   _форт, _vrez, --, --, 
   {{0x03a500c8,0x200501ff,0x7af501cf,0x00000000}},	//   щико, vfli_, nuzt, --, 
   {{0xeb7800a7,0x75292435,0x7bdcdb62,0x07d80019}},	//   יעוץ_, _trez, zaru, _مذہب_, 
   {{0x0fd90238,0x7bdc08dc,0x60c9db63,0x00000000}},	//   льны_, yaru, upem, --, 
   {{0xdb1c0f7c,0x7bdc0474,0x7af500b4,0x00000000}},	//   scré, xaru, kuzt, --, 
   {{0x3395031b,0x0eaa0080,0x69c10118,0x00000000}},	//   _الاز, лкой_, _ğlen, --, 
   {{0x60c9db64,0x7bdc2a8e,0x62344a02,0x7e5668e9}},	//   ppem, waru, _меху, стоц, 
   {{0xd0094736,0x645d0028,0x00000000,0x00000000}},	//   _беле_, _įsij, --, --, 
   {{0xfbc31ffd,0x0c792363,0x24590118,0x9f5e02d9}},	//   збро, ассы_, _fème_, letý_, 
   {{0x7bdcdb65,0x200206d0,0x3e72020b,0x7af500b4}},	//   raru, əki_, ešte_, guzt, 
   {{0x7bdcdb66,0xe1f9012d,0xc33200a7,0xe8e0001b}},	//   saru, ngų_, הול_, _suốt_, 
   {{0xe8140262,0x2292009e,0x480a03e8,0x00000000}},	// [eb20] ड़ला_, lûkê_, леан_, --, 
   {{0x7bdc02f1,0xe73a0acd,0x00000000,0x00000000}},	//   qaru, лез_, --, --, 
   {{0xbc68006b,0x46eadb67,0x3ea007fc,0x648d0038}},	//   _مجھے_, уден_, _khit_, húis, 
   {{0x54e60038,0x00000000,0x00000000,0x00000000}},	//   مستق, --, --, --, 
   {{0xd625057f,0xe3cf0033,0x22b50b03,0xe8e00108}},	//   تعلي, _রাজব, _māku_, _tuốt_, 
   {{0x68469932,0xe856db68,0x186a1a31,0x53343a64}},	//   _унга, _انسد, _саги_, жект, 
   {{0xdb1c02c9,0xb7db00df,0x00000000,0x00000000}},	//   gbrø, _תקלי, --, --, 
   {{0xd257058b,0x3ce900ab,0x2ba30175,0x00000000}},	//   йцы_, _जिले_, lécé_, --, 
   {{0xdfd0057f,0x6fe2000d,0xb6a311c3,0xdbda019c}},	//   وية_, jící, _хитл, nçói, 
   {{0x3ea04634,0xe1f90009,0xdce401dd,0x50b70038}},	//   _ahit_, agų_, _dziļ, حديد_, 
   {{0xe2ca0021,0x2002006a,0x3ea000a1,0xbfaa00c8}},	//   _след_, ęki_, _bhit_, ытие_, 
   {{0x877b008d,0x539b0486,0xa3c2017d,0x3e7200d8}},	//   ראטי, _גיבו, ूरक_, yšte_, 
   {{0x8d870161,0x3ea03981,0xbd6b14b4,0x8cd40249}},	//   сунд, _dhit_, урне_, बीलो, 
   {{0x7af50414,0x645d0009,0x99891af7,0xddd000ca}},	//   tuzt, _įsik, tjaž_, češk, 
   {{0x2246db69,0x78a90036,0x4f960130,0x00000000}},	//   _kook_, _èevi, _урду, --, 
   {{0x78ba031e,0x3ea00183,0x386a03c6,0x298703a1}},	//   _čtvr, _ghit_, _ambr_, бызг, 
   {{0x2246db6a,0x3e720a1a,0x00000000,0x00000000}},	// [eb30] _mook_, ušte_, --, --, 
   {{0x2246a1a7,0x261300e7,0x44d60035,0x7af501cf}},	//   _look_, _ảo_, dł_, puzt, 
   {{0x625cdb6b,0xe1f90009,0x38ad00ca,0xb09b00d1}},	//   _géog, ygų_, _hžrk_, ניבר, 
   {{0x3e721861,0x9f5e0126,0x37a803a1,0x7e6f0151}},	//   pšte_, letó_, стун_, nicp, 
   {{0x26c70009,0x2d800151,0x69df1f57,0x00000000}},	//   ūno_, _xxie_, maqe, --, 
   {{0x386a3107,0x00000000,0x00000000,0x00000000}},	//   _gmbr_, --, --, --, 
   {{0x44d6006a,0x224600a7,0x00000000,0x00000000}},	//   ał_, _book_, --, --, 
   {{0xe1f9012d,0x69df024a,0x2246db6c,0x24500465}},	//   ugų_, naqe, _cook_, _làmh_, 
   {{0x212bdb6d,0x38bf009e,0x28e200b0,0xe1f90028}},	//   ích_, _jîr_, _पिछि, rgų_, 
   {{0xf8bf002c,0x94772c4e,0x648d007a,0x22b50243}},	//   _arék_, _ادرا, rúis, _sāku_, 
   {{0xe80b00ea,0x5334db6e,0xbea626c4,0x244b01e8}},	//   स्या_, _нефт, жанк, _dømt_, 
   {{0x59a902e6,0xa6e2003e,0x00000000,0x00000000}},	//   कधार, æðil, --, --, 
   {{0x80c3100b,0x28b57295,0xdb0a0032,0x0d9a0528}},	//   _শিক্, _अंगि, ľník, ртны_, 
   {{0xf1b2035c,0xdb0a1102,0xb87b01d5,0x61fbdb6f}},	//   _חסד_, žník, _svín, lgul, 
   {{0x69df024a,0x3ea07e65,0x625cdb70,0x6fe202d9}},	//   faqe, _thit_, _féod, sící, 
   {{0x61fb556a,0x38bf0218,0x3ced01b4,0x49ca5aaa}},	//   ngul, _bîr_, ševa_, рлан_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [eb40] --, --, --, --, 
   {{0xd37800ef,0x7d0400c3,0x60c402be,0x00000000}},	//   _heće_, _iqis, _éime, --, 
   {{0x2bd0148e,0x6e240268,0x61fb0415,0x69df1f57}},	//   _त्या, _kaib, kgul, baqe, 
   {{0x452a0163,0xb87b003e,0x645f021e,0x2562040c}},	//   ижен_, _hvíl, ëqin, _hаli_, 
   {{0x6e241a71,0x22460b1f,0xe4a6db71,0x29040034}},	//   _maib, _rook_, орко, _ëma_, 
   {{0x68e403a8,0xc1d200a2,0xf2c6db72,0xd3780b43}},	//   msid, सर्ग, осин, _leće_, 
   {{0xd25a185b,0x68e40f96,0x22460c36,0xdddd0032}},	//   ици_, lsid, _pook_, losť, 
   {{0xd37802f5,0x61fb0298,0x6e24db73,0x69c4db74}},	//   _neće_, ggul, _naib, ncie, 
   {{0x68e4db75,0xdddd0228,0x22b501dd,0x256a03a1}},	//   nsid, nosť, _sākt_, _таап_, 
   {{0x22460e34,0x31af07fa,0x61fbc21a,0xf8bf0175}},	//   _wook_, _sözü_, agul, _srék_, 
   {{0x38170056,0x6e24db76,0xd7bb035c,0x645a16a3}},	//   חקים_, _baib, יציר, _ilti, 
   {{0x6448db77,0x6e24161c,0x69c40035,0x6fd6009a}},	//   _hodi, _caib, jcie, _मजकू, 
   {{0x61e005b7,0x6e240465,0x6448db78,0xa3be0299}},	//   maml, _daib, _kodi, _इला_, 
   {{0x6448db79,0xd14900d6,0xd00f00eb,0x68e4db7a}},	//   _jodi, _دشمن_, _لله_, dsid, 
   {{0x68e4db7b,0x6e24026a,0x9f5e6146,0x00000000}},	//   esid, _faib, retó_, --, 
   {{0xddc40c05,0x6448db7c,0x38bf010c,0xfbd00019}},	//   _iliş, _lodi, _pîr_, فتہ_, 
   {{0x645a2916,0x69dfae27,0x68e4db7d,0x7e6d044d}},	// [eb50] _olti, raqe, gsid, _imap, 
   {{0x6448db7e,0xf72b95fd,0xb5fd02fe,0x61e0db7f}},	//   _nodi, ицей_, _imši, haml, 
   {{0x87e432f8,0xe3d80086,0x501b00a7,0x61e0db80}},	//   ьюте, _সাংব, שובו, kaml, 
   {{0x645a4ce7,0x69c4db81,0x64481f7f,0xa5f9b7d4}},	//   _alti, ccie, _aodi, седу_, 
   {{0x672e022b,0x26d8db82,0x7e6d0364,0x7c25027e}},	//   _erbj, _ewro_, _mmap, _kahr, 
   {{0x7c2502ec,0x6448db83,0x69dddb84,0xe787db85}},	//   _jahr, _codi, _hese, _дубо, 
   {{0x69dd134c,0x644803ef,0xd6c300c5,0x7c2521ce}},	//   _kese, _dodi, _آمری, _mahr, 
   {{0x27e102cd,0x6448016a,0xe0d900c8,0x78bd040b}},	//   lahn_, _eodi, бви_, _kusv, 
   {{0x69dddb86,0xe80b06ea,0x6e24057f,0x41b50105}},	//   _mese, स्था_, _raib, _ہمار, 
   {{0x644802f5,0x7c251c77,0x6e24db87,0x7e6d813c}},	//   _godi, _nahr, _saib, _amap, 
   {{0x69c400ab,0x442501f2,0x6e24011d,0xa207008f}},	//   ycie, _ial_, _paib, şmış_, 
   {{0x6443034c,0x4425468b,0x69dddb88,0xe80b3267}},	//   ljni, _hal_, _nese, स्ता_, 
   {{0x4425db89,0xd37800f1,0x7c2531f9,0x7e6d0175}},	//   _kal_, _veće_, _bahr, _dmap, 
   {{0xdb1cdb8a,0xb042001b,0x644802f1,0x78b500d2}},	//   scrí, _thưở, _xodi, _nizv, 
   {{0x4425db8b,0x69dddb8c,0x765bdb8d,0x09b403c1}},	//   _mal_, _bese, _oluy, ंख्य, 
   {{0x68e4db8e,0x78b500e0,0x69dddb8f,0x69c400e0}},	//   tsid, _aizv, _cese, ucie, 
   {{0x7c2502ec,0x69c4db90,0x672e0082,0x38cb0296}},	// [eb60] _fahr, rcie, _srbj, مالی_, 
   {{0x68e4238e,0x69c4237e,0x397902fb,0x7c250226}},	//   rsid, scie, істю_, _gahr, 
   {{0x68e4db91,0x69dd016a,0x61eb0112,0x3bbb00a7}},	//   ssid, _fese, _odgl, _למיד, 
   {{0x6448db92,0x69dddb93,0x7c25035e,0x75200065}},	//   _sodi, _gese, _zahr, _psmz, 
   {{0x7bde3976,0x225fdb94,0x27e15b15,0x61e006a2}},	//   _kepu, dhuk_, bahn_, vaml, 
   {{0x44257e7c,0x7bdedb95,0x644800a3,0x6abe54b4}},	//   _cal_, _jepu, _qodi, _kupf, 
   {{0x4425db96,0x765b0369,0xdb1c62df,0x7bde0149}},	//   _dal_, _fluy, mbró, _mepu, 
   {{0x7bdedb97,0x765b011c,0x64481a9c,0xcb130486}},	//   _lepu, _gluy, _wodi, גלה_, 
   {{0x4425db98,0x6448db99,0x61e0db9a,0x645d0009}},	//   _fal_, _todi, raml, _įsiv, 
   {{0x442500e4,0x61e04efc,0x645adb9b,0x7e6d0626}},	//   _gal_, saml, _ulti, _smap, 
   {{0xd9a901ec,0x6abe016c,0x00000000,0x00000000}},	//   _कण्ट, _nupf, --, --, 
   {{0x4425da2f,0x7c251470,0x61e01a3d,0x225fdb9c}},	//   _zal_, _sahr, qaml, chuk_, 
   {{0x69dddb9d,0x4425db9e,0x7c250065,0x7bde01ff}},	//   _rese, _yal_, _pahr, _bepu, 
   {{0x69dd03f6,0x3ced090b,0x442525e7,0x7c2500a3}},	//   _sese, ševo_, _xal_, _qahr, 
   {{0x69dd09c2,0x78b5db9f,0x9f620088,0x5f9305b2}},	//   _pese, _rizv, ävän_, _пишт, 
   {{0x7c2502f2,0x69dd8eab,0x7e6ddba0,0x2f9700d1}},	//   _wahr, _qese, _umap, _מכון_, 
   {{0x69dddba1,0x7c253dbd,0xda1e18f2,0x7bde0226}},	// [eb70] _vese, _tahr, _पसरत_, _fepu, 
   {{0x69dddba2,0x7bde0af8,0x7b19022c,0x765b08a3}},	//   _wese, _gepu, _доор_, _sluy, 
   {{0xe71900eb,0xc053035c,0x69dddba3,0x6abe0199}},	//   تيات_, עזע_, _tese, _gupf, 
   {{0x4425dba4,0x7e7ddba5,0xa3cf00a2,0x2a608e96}},	//   _sal_, nnsp, वुन_, chib_, 
   {{0x9f4a0216,0x66190216,0x4425015c,0x78b5008a}},	//   ûbê_, rewk, _pal_, _tizv, 
   {{0x4425dba6,0x3a29011d,0xe3b1009c,0xa493039f}},	//   _qal_, ldap_, پرت_, ریات, 
   {{0x4425dba7,0x290900c8,0x644302ae,0xd5fb0108}},	//   _val_, ltaa_, rjni, _chụ, 
   {{0x5694dba8,0x3a29005f,0xddc4dba9,0xf8bf01e5}},	//   _заст, ndap_, _omiš, _kué_, 
   {{0x2909030f,0x4425055e,0x4427614f,0x00000000}},	//   ntaa_, _tal_, pdn_, --, 
   {{0xaec5daaa,0x7f7508af,0x44252be6,0x78600213}},	//   мбол, думц, _ual_, _gövd, 
   {{0x29090088,0x7bdedbaa,0x3ce90118,0x2f5400b3}},	//   htaa_, _repu, _avav_, етяс, 
   {{0x7bde2e9a,0x2a60639a,0x1ee7006b,0xdb1c0380}},	//   _sepu, xhib_, _ہوتی_, rbrü, 
   {{0x7bdedbab,0x2d84dbac,0x2fc7011c,0x00000000}},	//   _pepu, çme_, _tfng_, --, 
   {{0x7860006b,0x39400201,0x7e7d1a77,0x39520080}},	//   _köve, vxis_, ansp, vyys_, 
   {{0x41d1047b,0xa3e50d4f,0xa3c51615,0xab27dbad}},	//   _सभास, _भजन_, _एलन_, мора_, 
   {{0xe80b15c8,0x394000b9,0x00000000,0x00000000}},	//   स्सा_, txis_, --, --, 
   {{0x7bde170d,0xf8bf0369,0x2a7200a3,0x00000000}},	// [eb80] _tepu, _cué_, riyb_, --, 
   {{0x2a6000cf,0xd37802c7,0x7bde018e,0x60cd0241}},	//   shib_, _leća_, _uepu, _çamu, 
   {{0x78600019,0xb6c50c8b,0xdb1c00eb,0x395200c8}},	//   _növe, есій, rbró, syys_, 
   {{0xe80200aa,0x7afcdbae,0xf8bf060f,0x00000000}},	//   र्जा_, murt, _fué_, --, 
   {{0x69d6dbaf,0x94aab0ca,0x1fe30086,0x7afc01cf}},	//   mbye, отка_, _মানস, lurt, 
   {{0xa6e2008c,0x3e720009,0xd5fb0108,0x62840028}},	//   æðsl, kšto_, _phụ, čiom, 
   {{0x645d0009,0xe80300a5,0x00000000,0x00000000}},	//   _įsit, _लाता_, --, --, 
   {{0xc7a3093d,0x69d60300,0x07a31221,0x721700fd}},	//   _риск, nbye, _расн, джър_, 
   {{0xf5030141,0x7afcdbb0,0x23cf000c,0x53cf1d11}},	//   _изто, hurt, _स्वद, _स्वश, 
   {{0x7afcdbb1,0xe8023512,0xc057004f,0x3dc901f2}},	//   kurt, र्चा_, дію_, _sfaw_, 
   {{0xe81000a2,0xddc40112,0x21290e67,0x22791372}},	//   ठ्या_, _smiš, _šaht_, _کلنگ_, 
   {{0xe28602f1,0x7afcdbb2,0xc7b300d1,0x68f65cc3}},	//   _ўлди, durt, כבת_, kryd, 
   {{0x506634e9,0xed5800e4,0x7e7da705,0x106a0038}},	//   _отка, доў_, rnsp, _وحتى_, 
   {{0xe57100c7,0xd6df0035,0x00000000,0x00000000}},	//   אַל_, ółka_, --, --, 
   {{0x7afcdbb3,0xf8bf0096,0xa2d20110,0xd5de1f9a}},	//   gurt, _sué_, णीच्, मराज, 
   {{0x29090df8,0x786006d0,0xe8020586,0x68f600f8}},	//   ttaa_, _növb, र्घा_, fryd, 
   {{0xf8bf0f46,0xa3cfbfd1,0x3a29dbb4,0xddc40eae}},	// [eb90] _qué_, वुड_, rdap_, _umiš, 
   {{0x5c742cd7,0x2909030f,0x7afcdbb5,0x39140f5a}},	//   _альт, rtaa_, burt, ъмур, 
   {{0x29090df8,0x0c740bb4,0x8bd60056,0x62840009}},	//   staa_, _جديد, _אותו_, čioj, 
   {{0x68f6dbb6,0xfe1000e7,0x2c6d02fe,0xf8bf0107}},	//   bryd, _lắng_, dždi_, _tué_, 
   {{0x6aad0844,0xe5040038,0xceb400d1,0x00000000}},	//   mmaf, نبوي, דיף_, --, 
   {{0x03a51ac0,0xfe10001b,0xd37804cb,0x62822356}},	//   нило, _nắng_, _seća_, _ajoo, 
   {{0xd37800ca,0x00000000,0x00000000,0x00000000}},	//   _peća_, --, --, --, 
   {{0xe810109f,0x65951991,0xfbb800a7,0x00000000}},	//   ठ्ठा_, _забу, ופות_, --, 
   {{0xd37802f5,0xf1b90e67,0xafe5b179,0x00000000}},	//   _veća_, ješe_, нопл, --, 
   {{0x600931a4,0x64581b89,0x752d0228,0x6282052b}},	//   чном_, ckvi, ťazs, _ejoo, 
   {{0xbcfb006b,0xe3b3298e,0x7d16dbb7,0x4f7901d8}},	//   szél, _شرط_, _spys, ящия_, 
   {{0x3f9901dd,0x2d960235,0x625c0096,0x3e720028}},	//   āsu_, ергс, _héon, ršto_, 
   {{0xee372049,0x9db9004e,0x625c0175,0x916c0210}},	//   хня_, дыру_, _kéon, _gồm_, 
   {{0x7afcdbb8,0xe0060c06,0xfe1000e7,0x629b0156}},	//   turt, _शायद_, _gắng_, lluo, 
   {{0x1e9604fd,0xdca3049b,0x6fd526f2,0x625c0574}},	//   _прир, уари, _म्यू, _méon, 
   {{0x3dda0086,0x2bd002ab,0x68f6dbb9,0x7afc64de}},	//   _থাকল, _त्रा, tryd, rurt, 
   {{0xe8fa085c,0x6a830a2b,0x65b63633,0x69d6dbba}},	// [eba0] яла_, улта, _mühü, rbye, 
   {{0xb8823077,0x7afcdbbb,0x69d601e8,0x68f62a73}},	//   _čísl, purt, sbye, rryd, 
   {{0xe61a1088,0x00000000,0x00000000,0x00000000}},	//   зде_, --, --, --, 
   {{0x98a0015e,0x550605e1,0xd946668d,0x68f63296}},	//   kvić_, ечка, _земи, pryd, 
   {{0xad9b405d,0x64580613,0x26c5011c,0x645d0028}},	//   lfúr, tkvi, _élon_, _įsir, 
   {{0xdceb0112,0xd467dbbc,0x0443dbbd,0xb4e000c9}},	//   šićn, ниче_, лечн, _दबी_, 
   {{0xc795d231,0x07a303dc,0x6458dbbe,0x625c0212}},	//   _арты, _барн, rkvi, _déon, 
   {{0xa50a1d55,0x179b035c,0xa5c1004e,0xf8bfdbbf}},	//   _неба_, _זילב, _көше, _trét_, 
   {{0xe0cf00d6,0x98a000ca,0xc4863c93,0x00000000}},	//   یزی_, gvić_, _злак, --, 
   {{0x6602010e,0x75222f87,0x00000000,0x00000000}},	//   lgok, mwoz, --, --, 
   {{0x81df100b,0x1df911c5,0xfe1000e7,0x1c0403ce}},	//   _তার_, мены_, _vắng_, श्छल_, 
   {{0x6602dbc0,0xd37802fe,0x5186dbc1,0x00000000}},	//   ngok, _hećo_, _пула, --, 
   {{0xfe6e1fdb,0x625c0175,0xc05adbc2,0x9f450216}},	//   تگو_, _héoo, _нік_, nalê_, 
   {{0x212612e6,0x61e2dbc3,0x00000000,0x00000000}},	//   _isoh_, _heol, --, --, 
   {{0x60c2030f,0xfaa76079,0xab9552b9,0x8aa7dbc4}},	//   _huom, ешан, тиві, ерад, 
   {{0x201edbc5,0x60c2dbc6,0x66e700bc,0x26c70032}},	//   leti_, _kuom, _léká, ínom_, 
   {{0x60c200c8,0x3ea90800,0x628008b0,0x00000000}},	// [ebb0] _juom, _ihat_, inmo, --, 
   {{0x61e2dbc7,0x3b55b79d,0x37ab08a5,0x60c2dbc8}},	//   _leol, _акор, птен_, _muom, 
   {{0x3ea9cb37,0x60c200c8,0x629b012b,0xf8bf5b77}},	//   _khat_, _luom, yluo, _prés_, 
   {{0xfb1a082c,0xd575dbc9,0x201e010e,0xfbd00296}},	//   _کریں_, куль, heti_, _پتی_, 
   {{0x60c200e4,0x5a340fac,0x3a2b0036,0x15b887a0}},	//   _nuom, _снят, _iacp_, нышы_, 
   {{0x201edbca,0x3ea907fc,0x6280039b,0x660201ca}},	//   jeti_, _lhat_, enmo, agok, 
   {{0xe784060a,0xf8bf0107,0x21260118,0x5c3800d1}},	//   _буто, _trés_, _asoh_, תרון_, 
   {{0x3ea9001b,0x61e20038,0x629bdbcb,0x71590ca4}},	//   _nhat_, _ceol, uluo, дрос_, 
   {{0x201edbcc,0x60c20036,0xd24e0195,0x7fd50259}},	//   feti_, _cuom, تني_, кіні, 
   {{0x85740fc8,0x60c2012d,0x201edbcd,0x6280dbce}},	//   _слух, _duom, geti_, anmo, 
   {{0x2608000d,0x200b00ab,0xf1d21489,0x41d2072e}},	//   _हामी_, ęci_, _ध्वन, _ध्वस, 
   {{0x26c30062,0x27e30405,0x3ea9dbcf,0x2919019b}},	//   _mujo_, _lejn_, _chat_, _opsa_, 
   {{0x26c30033,0x26fe02c3,0xd0090267,0x7ebe23e9}},	//   _lujo_, _उम्र_, _желе_, _rūpe, 
   {{0x201edbd0,0x66020532,0x68ff00ad,0x9f45021e}},	//   ceti_, zgok, duqd, nalë_, 
   {{0x09e6dbd1,0xfe0a0c06,0xeb9736e6,0x3b0783de}},	//   ковн, _वापस_, вир_, керо_, 
   {{0xc33200a7,0x61e203da,0x2c6d02fe,0xc0b900bc}},	//   סון_, _xeol, dždu_, řádá, 
   {{0x27e30405,0xa8060278,0xad9b0496,0x26d10a9f}},	// [ebc0] _bejn_, кзал, lgún, _atzo_, 
   {{0x9f45010c,0x291963a6,0x25bf002c,0x7d57027a}},	//   valê_, _dpsa_, _agul_, _סייד_, 
   {{0xb8e90394,0x7c3e0a9f,0x26c30165,0x27e3007b}},	//   _लू_, _inpr, _cujo_, _dejn_, 
   {{0x201edbd2,0x3ce003a0,0xc6080bf1,0x00000000}},	//   zeti_, _kwiv_, _রোজা_, --, 
   {{0x27e30529,0x61e20156,0x201edbd3,0x2d8f055f}},	//   _fejn_, _reol, yeti_, _øget_, 
   {{0x61e2dbd4,0x29000053,0x26c30548,0x7c2e5094}},	//   _seol, muia_, _fujo_, ndbr, 
   {{0x60c20df8,0x201edbd5,0xb5c602f1,0xa6c70a31}},	//   _suom, veti_, _айбл, _алса_, 
   {{0x3ced034c,0x78bc0088,0x625cc8a7,0x201e0027}},	//   ševi_, _hirv, _géol, weti_, 
   {{0x201edbd6,0x6280014e,0x30a60846,0x78bcdbd7}},	//   teti_, rnmo, кров, _kirv, 
   {{0x27e30405,0xb42506bc,0x3dc00102,0x61e200e2}},	//   _xejn_, _معمو, _agiw_, _weol, 
   {{0x442c4873,0x3ea900e7,0x5226049b,0x443ec102}},	//   _iad_, _phat_, _афла, _int_, 
   {{0x442cdbd8,0x60c22f89,0xb87b008c,0x7c3e0c83}},	//   _had_, _tuom, _hvít, _anpr, 
   {{0x442cdbd9,0x201edbda,0xc69300d1,0x8d8703a1}},	//   _kad_, peti_, שאר_, тунд, 
   {{0x3ea90052,0xd01057c8,0x442cdbdb,0x2056dbdc}},	//   _what_, _طلب_, _jad_, _штер, 
   {{0x3ea9181f,0xa3200077,0xefb000c5,0x443e00b0}},	//   _that_, _मनोज_, _دیدگ, _mnt_, 
   {{0x442c01cc,0x7c3ec750,0x27e300ca,0x443e01dd}},	//   _lad_, _enpr, _sejn_, _lnt_, 
   {{0x443edbdd,0x4815778e,0x2d8f026a,0x78bc7dc6}},	// [ebd0] _ont_, лмас, _âge_, _birv, 
   {{0x443e6139,0xf1b926eb,0x442e0126,0x7d0d01f2}},	//   _nnt_, neša_, jdf_, _iqas, 
   {{0x6e2ddbde,0x2bd90527,0x442e0156,0x27e35d90}},	//   _kaab, _ब्या, ddf_, _vejn_, 
   {{0x442c01d2,0x443edbdf,0x290000d9,0x41b40e07}},	//   _aad_, _ant_, buia_, ुशास, 
   {{0x6e2d4762,0x442c2e20,0x7d0d00c3,0x29000474}},	//   _maab, _bad_, _jqas, cuia_, 
   {{0x442c0084,0x81df00cc,0x443edbe0,0x26080f63}},	//   _cad_, _তাই_, _cnt_, _हाथी_, 
   {{0xe29923e1,0x68edb802,0x442cdbe1,0xd40406ba}},	//   нак_, lsad, _dad_, рячи, 
   {{0xb87b0183,0x78bc04be,0x6e2ddbe2,0x569501a2}},	//   _evít, _zirv, _naab, _сабт, 
   {{0x442c0544,0x6abddbe3,0x3e620038,0x321f005f}},	//   _fad_, _misf, _nóta_, reuy_, 
   {{0x442cdbe4,0x68ed02a0,0xd7aa0827,0x443e201a}},	//   _gad_, isad, _करमच, _gnt_, 
   {{0x6e2d0298,0x29000010,0x7d0d00e2,0x3ce006df}},	//   _baab, zuia_, _aqas, _swiv_, 
   {{0x6abd1813,0x68eddbe5,0x9f45014b,0x01351766}},	//   _nisf, ksad, nalé_, _معتد, 
   {{0x61e9dbe6,0x442c00ad,0xf1b900ca,0x443e0241}},	//   mael, _yad_, beša_, _ynt_, 
   {{0x61e90149,0xd00903a1,0x6abd0534,0x7e66021e}},	//   lael, _чеке_, _aisf, shkp, 
   {{0x660904d1,0x7c2e93ce,0x6abd0844,0x6e2d02c9}},	//   _ocek, rdbr, _bisf, _faab, 
   {{0x78bcdbe7,0x6e2d0547,0x61e9dbe8,0x68ed03c5}},	//   _sirv, _gaab, nael, fsad, 
   {{0x6abd283b,0x68eddbe9,0xed5a03ea,0x386302cd}},	// [ebe0] _disf, gsad, _чоп_, _bljr_, 
   {{0x2005dbea,0x61e9dbeb,0x20c900e7,0x290000d9}},	//   ngli_, hael, _múi_, ruia_, 
   {{0x7e64a9e1,0x6e2d0547,0xb87ba9d1,0xfba82569}},	//   _klip, _yaab, _avís, _गरिम, 
   {{0x68eddbec,0xb87b00bc,0x6b7b24ea,0x7bdcafc3}},	//   bsad, _svít, _טרינ, lbru, 
   {{0x2900dbed,0x442cdbee,0x24f68b62,0x20c9001b}},	//   quia_, _pad_, учер, _núi_, 
   {{0x7bdcdbef,0x442c01ff,0x6299dbf0,0x443e0d75}},	//   nbru, _qad_, _akwo, _qnt_, 
   {{0x442cdbf1,0x2c16109f,0x443e0009,0x752901a3}},	//   _vad_, द्यं_, _vnt_, _esez, 
   {{0x442cdbf2,0x325469bc,0x61e9dbf3,0x82a600c8}},	//   _wad_, рвир, gael, ышле, 
   {{0x442cdbf4,0x443e5f93,0x20c90023,0xf1b90372}},	//   _tad_, _tnt_, _cúi_, teša_, 
   {{0xdefac8d8,0x7e64dbf5,0x6e2ddbf6,0x3f140978}},	//   ным_, _alip, _saab, адос, 
   {{0x6e2d23a8,0x7bdc1341,0x4ab4009a,0x00000000}},	//   _paab, dbru, ंगाव, --, 
   {{0x6e9500dd,0xbfa700c8,0x61e9dbf7,0x5275dbf8}},	//   риму, ытые_, cael, _кучу, 
   {{0x22930084,0x68ed040c,0xf1b90304,0x625c0175}},	//   _النس, xsad, peša_, _léok, 
   {{0x6e2d0547,0x5b27128b,0x3e620038,0x69ba0035}},	//   _waab, льба, _vóta_, ्शनी, 
   {{0x309b0056,0x6f01001d,0x6e2da33d,0x9f450216}},	//   _רשומ, culc, _taab, lalî_, 
   {{0x7e64dbf9,0xa3be00aa,0x5bb80080,0x99800032}},	//   _glip, _ेलन_, улся_, zdiť_, 
   {{0x98751bd2,0x7bdc0dac,0x9f451102,0x7afc0038}},	// [ebf0] алац, bbru, valé_, arrt, 
   {{0x68eddbfa,0x7e6400ef,0x2c668620,0x61e9b9cd}},	//   rsad, _zlip, _pôde_, zael, 
   {{0x68eddbfb,0x97a72025,0x7e6400c8,0x61e9095a}},	//   ssad, урал, _ylip, yael, 
   {{0x3ced04a1,0x625c0574,0x9f45009e,0x56950080}},	//   ševu_, _déok, kalî_, шает, 
   {{0xd1266349,0x68ed00cf,0x58870b34,0xf1bf02d9}},	//   _بم_, qsad, _быва, žák_, 
   {{0xa8790137,0x61e9dbfc,0xc48432af,0x2a69006d}},	//   _יאָר, wael, блік, lhab_, 
   {{0x9f510540,0x61e93050,0x9980020b,0xd466dbfd}},	//   üzü_, tael, rdiť_, рище_, 
   {{0x2ce507d5,0x3e720ab4,0x75290379,0x00000000}},	//   _कबूल_, pšti_, _tsez, --, 
   {{0x61e9dbfe,0xe6646628,0x394903da,0x7bdc0657}},	//   rael, _утро, nxas_, ybru, 
   {{0x2055c92f,0x3949dbff,0x7e64349b,0x7ebf0b03}},	//   ртир, ixas_, _slip, _rūpa, 
   {{0x8fa513d0,0xfe460088,0x2005dc00,0xae0a07d5}},	//   ране, анно, rgli_, _वादन_, 
   {{0xed5adc01,0x20c9001b,0x6299016c,0xd1cb01d8}},	//   вом_, _túi_, _ukwo, _чужд_, 
   {{0xc0e5dc02,0xf99f0118,0xf8bf023e,0xa69600d1}},	//   _толк, _nyè_, _asém_, שכרה_, 
   {{0x224d008b,0x6f019e62,0x26150299,0xddc40028}},	//   ljek_, pulc, फ्ती_, _kliū, 
   {{0x78600264,0xddcd0c05,0xf99f05d5,0x7bdc0dd8}},	//   _dövl, _ulaş, _ayè_, rbru, 
   {{0xf99f05d5,0x7bdc9da7,0x7e64dc03,0x6eca2659}},	//   _byè_, sbru, _ulip, _संतु, 
  
   {{0xeabf01be,0x7bdcdc04,0x00000000,0x00000000}},	// [ec00] _diù_, pbru, --, --, 
   {{0x1ae60161,0x00000000,0x00000000,0x00000000}},	//   _коом, --, --, --, 
   {{0xfaa6401f,0x75e6012d,0xeabf0465,0xbb4605b2}},	//   _вано, аўле, _fiù_, _тенк, 
   {{0x64411096,0xeabf00fd,0x625c0175,0xf99f03a0}},	//   _anli, _giù_, _géoh, _fyè_, 
   {{0xe534041c,0xf99208cb,0x9633012d,0x942603a1}},	//   сель, _ذبح_, ўніц, имде, 
   {{0xb60202d9,0x38a60054,0x04580038,0xf53900de}},	//   _řádk, môro_, طلبة_, _drť_, 
   {{0x24806a05,0x3266017f,0x534600a3,0xf2c30259}},	//   đim_, итив, рхла, осын, 
   {{0xd2570088,0xd5763ce1,0xddcd0a1a,0x64415188}},	//   ицы_, _кузь, _omaš, _enli, 
   {{0x26da00c8,0x2912dc05,0x81e80033,0xdb24003e}},	//   lppo_, ntya_, _বাদ_, _ósæm, 
   {{0x2a69342b,0x64a611db,0xd7aa07d5,0x32ca001b}},	//   zhab_, _таза, _कराच, _tùy_, 
   {{0x50b700eb,0x224ddc06,0x4ea702f1,0xe80700c9}},	//   جديد_, bjek_, ирма, शलता_, 
   {{0x70840161,0x2a69771b,0x38a60054,0x62840028}},	//   ргүз, xhab_, kôro_, čios, 
   {{0xeabf01be,0x00000000,0x00000000,0x00000000}},	//   _riù_, --, --, --, 
   {{0x515b00d1,0x2d85dc07,0x00000000,0x00000000}},	//   _בכדו, ăle_, --, --, 
   {{0xeabf0021,0xdb58030f,0xee870088,0x2c160299}},	//   _più_, ают_, _выпо, द्धं_, 
   {{0xe819051f,0x7afa41d4,0x8f9b00a7,0xdef703dd}},	//   न्ना_, átta, _שיהי, _тыш_, 
   {{0x7e7ddc08,0x9f4702be,0xf1b30147,0x394902be}},	// [ec10] misp, _nenê_, ַסע_, uxas_, 
   {{0x39490068,0x1c1600a2,0x7e7ddc09,0x2a6900a3}},	//   rxas_, द्दल_, lisp, shab_, 
   {{0xc5d532af,0x7bc50008,0x2912052b,0x00000000}},	//   біль, _ighu, atya_, --, 
   {{0x7e7d1d8e,0xf99f05d5,0x00000000,0x00000000}},	//   nisp, _tyè_, --, --, 
   {{0x224d03e5,0x26080262,0x6d5d03c6,0xc984058e}},	//   vjek_, _हारी_, nysa, _дури, 
   {{0x7e7d9a84,0xbcfb010e,0x24090251,0x00000000}},	//   hisp, lzés, унки_, --, 
   {{0x7ebf01dd,0x2a790054,0x224ddc0a,0x7cfe01d5}},	//   _rūpn, _kmsb_, tjek_, _kærð, 
   {{0x5694dc0b,0xc2453543,0x7e7d00d2,0x316d01f1}},	//   _даст, сник, jisp, tzez_, 
   {{0x225f1c90,0x661bdc0c,0x7e7ddc0d,0xf3ec004e}},	//   rkuk_, _ibuk, disp, _оң_, 
   {{0x44230105,0x753b0414,0x224d027c,0x6d5dd3a4}},	//   _új_, _iruz, sjek_, dysa, 
   {{0x54340a24,0xe8194437,0x20540093,0xbcfb010e}},	//   _برقر, न्या_, ютър, zzét, 
   {{0x7e7ddc0e,0x6ed3020f,0xccf808ba,0x00000000}},	//   gisp, _răbd, ақи_, --, 
   {{0xd37802f5,0x9f47024a,0x661b009c,0x6d5d1b0e}},	//   _reći_, _kenë_, _mbuk, gysa, 
   {{0x9f4700e5,0xc0b2001b,0xd3780082,0x63a1dc0f}},	//   _jenë_, _mười_, _seći_, _kyln, 
   {{0x661b0a8b,0xd3782e7d,0x7e7dc5e0,0xcaa600eb}},	//   _obuk, _peći_, bisp, مصري, 
   {{0x753b11b1,0xbcfb010e,0x6d5d139f,0x00000000}},	//   _oruz, gzés, bysa, --, 
   {{0xd37803ef,0xd94386ab,0x2f110019,0x39460165}},	// [ec20] _veći_, пети, lág_, ãos_, 
   {{0x7d06030f,0x29120019,0x661b4c9e,0x2a6002c9}},	//   muks, rtya_, _abuk, skib_, 
   {{0x2912dc10,0x7d06dc11,0x81e80033,0x661b87c7}},	//   stya_, luks, _বাস_, _bbuk, 
   {{0x69da00d9,0x26da018e,0x00000000,0x00000000}},	//   _ştef, rppo_, --, --, 
   {{0xc0b20029,0x893603b1,0x7d06dc12,0x753b0b85}},	//   _cười_, _اعجا, nuks, _cruz, 
   {{0x6aa4dc13,0x661b052b,0x3358049b,0x00000000}},	//   llif, _ebuk, иалэ_, --, 
   {{0xf99f01e5,0x753b94f1,0xf4870116,0x64a600f0}},	//   _acèh_, _eruz, حانی, _ғажа, 
   {{0x60f8dc14,0x9f47055a,0x2900dc15,0x3254004f}},	//   ания_, _tenê_, oria_, івпр, 
   {{0xc05adc16,0x26cadc17,0x753bdc18,0x3134263b}},	//   гін_, _hubo_, _gruz, цепр, 
   {{0x7d06dc19,0x2ef4041d,0x26cadc1a,0x661b0034}},	//   duks, озор, _kubo_, _zbuk, 
   {{0x6aa412fb,0x889b035c,0x9f450126,0x00000000}},	//   klif, רביי, balí_, --, 
   {{0x6d5d00c8,0x69c69a8b,0x6e6700fd,0x27ea00a1}},	//   tysa, _ngke, стож, _lebn_, 
   {{0x7e7d2f14,0xa3cf0077,0xe8192119,0x249e0065}},	//   risp, वुक_, न्डा_, _kktm_, 
   {{0x26d819d6,0x2900dc1b,0x6d5d7359,0x7e7ddc1c}},	//   _otro_, dria_, rysa, sisp, 
   {{0xf3f10023,0x307b00d1,0x00000000,0x00000000}},	//   _học_, _תאונ, --, --, 
   {{0x2bd90586,0x6aa408bc,0x7d06dc1d,0x2900dc1e}},	//   _ब्रा, glif, buks, fria_, 
   {{0x2900dc1f,0xbcfb0019,0x672e0a1f,0xdd91105a}},	// [ec30] gria_, rzés, _asbj, _زود_, 
   {{0x69d9047c,0x9f470237,0x753b021e,0x26ca16c6}},	//   _फ्री, _benè_, _rruz, _bubo_, 
   {{0x2900dc20,0x37ab0267,0x8a19002e,0xbcfb010e}},	//   aria_, утан_, _конс_, pzés, 
   {{0x290042e0,0x753b044e,0x26ca00ca,0xadfb1779}},	//   bria_, _pruz, _dubo_, ्लिन_, 
   {{0x2f110019,0x81c30086,0x672e055f,0x2900b658}},	//   zág_, ্রম_, _esbj, cria_, 
   {{0x9f4701ee,0x58d4111e,0xd37800ca,0xc48408af}},	//   _qenë_, _хорт, _leću_, плік, 
   {{0xae0a007e,0x4dfb0e07,0x26ca0604,0x850500d7}},	//   _वालन_, ्लाई_, _gubo_, _ژورن, 
   {{0xd37800f1,0x661b024d,0x60db6e41,0x6b7c07e4}},	//   _neću_, _ubuk, tpum, טרונ, 
   {{0x26ca1799,0x753b02b8,0x6fda009a,0x7e8b0083}},	//   _zubo_, _uruz, _म्हं, tępn, 
   {{0x2bd91215,0xe3b3024f,0xef19dc21,0x6aa4d72e}},	//   _ब्ला, _فرض_, амо_, zlif, 
   {{0xbba80351,0x81e800cc,0x6e26010e,0x9f47011c}},	//   _गरेक, _বার_, tekb, _kené_, 
   {{0x7d060df8,0xe8197722,0x60db01ad,0x99890097}},	//   tuks, न्ता_, ppum, zdaš_, 
   {{0x2f11006b,0x4427dc22,0x205603dd,0x9f470212}},	//   ság_, oen_, стөр, _mené_, 
   {{0x7d06dc23,0x6aa40090,0x61eb5408,0x25ad0118}},	//   ruks, wlif, _hegl, _mzel_, 
   {{0x60cb008c,0xa09a0070,0x61ebdc24,0xbcfb010e}},	//   _hugm, _דיסט, _kegl, gyéb, 
   {{0x4427dc25,0x2900dc26,0x6289dc27,0xf1d100a5}},	//   hen_, tria_, nneo, _हलफन, 
   {{0x61ebdc28,0x60cb0df4,0x26ca2e60,0xbcfb0019}},	// [ec40] _megl, _jugm, _subo_, szér, 
   {{0x29000414,0x61ebdc29,0xe9d901a2,0x2bd90110}},	//   rria_, _legl, икӣ_, बुदा, 
   {{0xbc6a1fdb,0xe5c6192f,0x25ad00ef,0xa3180262}},	//   _ممکن_, осло, _azel_, _दहेज_, 
   {{0x2900dc2a,0x4427dc2b,0xd946b7c9,0x6289090e}},	//   pria_, een_, _деми, jneo, 
   {{0x4427dc2c,0x28c3047c,0x9f47023e,0x6fc9b48b}},	//   fen_, _वंचि, _dené_, रशां, 
   {{0x4427dc2d,0x66e6dc2e,0xe819000d,0x5334021f}},	//   gen_, _мога, न्दा_, зект, 
   {{0x07a30f6b,0x61eb18e1,0x26d801e8,0x25addc2f}},	//   _жарн, _begl, _utro_, _ezel_, 
   {{0x60c311a1,0x41e60769,0xf99f0118,0x9f4700b9}},	//   _ainm, ціка, _abèy_, _gené_, 
   {{0x4427dc30,0x61eb048a,0x3fc80a24,0xf8af0019}},	//   ben_, _degl, یدگی_, _سکے_, 
   {{0x4427d2d5,0x60cb11b1,0x3ea05f31,0x26c4dc31}},	//   cen_, _dugm, _akit_, _himo_, 
   {{0xdefa021f,0x3ea007fc,0x26c4025b,0x60cb01be}},	//   шып_, _bkit_, _kimo_, _eugm, 
   {{0x60c3747c,0x62890ae7,0x3ea000e2,0x61ebdc32}},	//   _einm, cneo, _ckit_, _gegl, 
   {{0xd3780062,0x3ea0016a,0x60cb0495,0x5d85031b}},	//   _veću_, _dkit_, _gugm, سلسل, 
   {{0x6280dc33,0x35cc034d,0x271702d9,0x9f4500f6}},	//   limo, ़खड़, něná_, balà_, 
   {{0x7c27dc34,0x81c30033,0x9f4500f6,0x9f4c17f9}},	//   rejr, ্রণ_, calà_, kadé_, 
   {{0x4427dc35,0x26c42ce4,0x63a702c9,0x8cf5425a}},	//   zen_, _nimo_, _øjne, _езиц, 
   {{0x44270e3f,0xf4e50086,0x3eb91ded,0x00000000}},	// [ec50] yen_, _নম্ব, mmst_, --, 
   {{0x4427dc36,0x6280dc37,0x17fb0038,0x5b1517d2}},	//   xen_, himo, شرطة_, _емот, 
   {{0x442701c8,0xc5d508af,0xd7c8009c,0x224600d7}},	//   ven_, піль, زونه_, _onok_, 
   {{0x4427dc38,0xa3dd14a7,0x26c4dc39,0x1daf009a}},	//   wen_, थुन_, _cimo_, _घरात, 
   {{0x9f58010c,0x26c4bc02,0x625c0175,0x00000000}},	//   ûrê_, _dimo_, _léos, --, 
   {{0x4427dc3a,0x61ebdc3b,0x22460065,0x25ad0352}},	//   uen_, _segl, _anok_, _vzel_, 
   {{0x4427dc3c,0x61eb0062,0x29090088,0x60c3dc3d}},	//   ren_, _pegl, luaa_, _rinm, 
   {{0x78600019,0x28af0035,0x3dc90175,0x00000000}},	//   _rövi, _जीति, _ngaw_, --, 
   {{0x4427dc3e,0x61ebdc3f,0x5ba82122,0x44f400d9}},	//   pen_, _vegl, _गर्व, _оптс, 
   {{0x9f450161,0xe5c4449c,0x442700e5,0x3ea0dc40}},	//   talà_, _істо, qen_, _skit_, 
   {{0x62809702,0x60c30b48,0x9f4500da,0x3ea0008a}},	//   bimo, _vinm, falá_, _pkit_, 
   {{0x62800503,0x60cbdc41,0x26c4a94c,0x00000000}},	//   cimo, _tugm, _ximo_, --, 
   {{0x60c3dc42,0x80de0033,0x3ce900a1,0x9f470216}},	//   _tinm, _মিথ্, _cwav_, _genî_, 
   {{0xc1720056,0x6ab42b69,0x3e62008c,0xf1b9027c}},	//   _אחד_, ंग्र, _móti_, ješi_, 
   {{0x09e66603,0xbb4375a9,0xcb670a10,0x625c47b3}},	//   зобн, нерк, паре_, _géos, 
   {{0x32d10124,0x9f450634,0x3ea00f3a,0x00000000}},	//   _máy_, calá_, _ukit_, --, 
   {{0x7af50019,0x3ce905d5,0x9f47009e,0x9f4c010c}},	// [ec60] aszt, _gwav_, _xenî_, nadî_, 
   {{0x44e900ab,0x6280dc43,0x6e36403b,0x97b600b3}},	//   dź_, zimo, _hayb, псеш, 
   {{0x6e3601f0,0xe61a7c8f,0x212ddc44,0x25a400f8}},	//   _kayb, йдж_, hweh_, _syml_, 
   {{0x3a2900a1,0x00000000,0x00000000,0x00000000}},	//   ceap_, --, --, --, 
   {{0x64a60ca9,0xe8192bf1,0x6280dc45,0x6e36dc46}},	//   пада, न्हा_, vimo, _mayb, 
   {{0x260800a5,0x81c30033,0xf3f80259,0x9f4c011c}},	//   _हाकी_, ্রা_, іңе_, sadé_, 
   {{0x6280dc47,0x26c4dc48,0x9f580384,0x26dc35ee}},	//   timo, _timo_, ürü_, ívod_, 
   {{0x46a386d7,0x1dbe00a2,0x38b402ae,0xe6178730}},	//   _засв, ोशात, färg_, _ндс_, 
   {{0x6280c280,0x9f45014b,0x05665a50,0x212d0096}},	//   rimo, valá_, _эван, gweh_, 
   {{0x7af50083,0x00000000,0x00000000,0x00000000}},	//   yszt, --, --, --, 
   {{0x6e364fac,0x6e95002e,0x4abe0c64,0x9f451f6b}},	//   _bayb, дину, ्दाव, talá_, 
   {{0x645adc49,0x20020ef3,0x2c6f0502,0x3ce90237}},	//   _hoti, şki_, _müde_, _pwav_, 
   {{0x645adc4a,0xfd47012d,0x6562308a,0xf1bf00d8}},	//   _koti, чэнн, nyoh, žár_, 
   {{0x91bb00a7,0xa3cc00bd,0x625c840c,0xb17d00d8}},	//   _המדי, रखि_, _géor, raťt, 
   {{0x4c94058e,0xe810017d,0x26cc0175,0xaa6703a1}},	//   хирс, ालना_, _édoh_, птак, 
   {{0x7af50035,0x64480008,0x3ce902aa,0x38b402ae}},	//   rszt, _lndi, _twav_, härd_, 
   {{0xa3cc1971,0x7e6d3843,0x383500b3,0x5ed10033}},	// [ec70] रखा_, _ilap, мнар, থীদে, 
   {{0x645adc4b,0x7e6ddc4c,0xb90500b0,0x3e690216}},	//   _noti, _hlap, _नऽ_, _kûto_, 
   {{0xb87b797f,0xaa591d06,0x212d016c,0x00000000}},	//   _kvíz, _дину_, zweh_, --, 
   {{0x645a00a1,0x2bd900bc,0x00000000,0x00000000}},	//   _aoti, बुरा, --, --, 
   {{0x645adc4d,0x7e6d011c,0x2bb5009a,0xb6c203a1}},	//   _boti, _mlap, ंधका, төрд, 
   {{0xdfc60084,0x03a5dc4e,0x38b402ae,0x7e6ddc4f}},	//   _لي_, мило, gärd_, _llap, 
   {{0x645a44ef,0x6562012b,0xf794012d,0x625c0212}},	//   _doti, ayoh, _зарэ, _réor, 
   {{0xe0d9d1c4,0x32d1001b,0x6448dc50,0x3cee00c2}},	//   ови_, _váy_, _endi, _अबले_, 
   {{0x320d2edb,0x645adc51,0x7649044d,0x20d200f3}},	//   rgey_, _foti, _iney, _câi_, 
   {{0x645a0218,0x7e6d006b,0x1f654a84,0x6f657bdf}},	//   _goti, _alap, дком, двоз, 
   {{0x7bc808e3,0x765b31ab,0x7e6d08b0,0x00000000}},	//   žduk, _kouy, _blap, --, 
   {{0x645a00e5,0x68f60156,0x765b0118,0xd1b8010e}},	//   _zoti, ysyd, _jouy, _کاما_, 
   {{0x201803a1,0x7e6ddc52,0x38b40502,0x644852b4}},	//   òric_, _dlap, läre_, _yndi, 
   {{0x645a00cf,0x4e0a0262,0x3f690cb2,0x60c4114e}},	//   _xoti, _वाकई_, _мило_, _éimp, 
   {{0x6e36078a,0xfaa60009,0x38b40502,0xddc4107c}},	//   _tayb, даво, näre_, _foiş, 
   {{0x4cdd0086,0x7e6d4997,0x656200a3,0x1e95012d}},	//   _বিরু, _glap, yyoh, _прыр, 
   {{0xfaa3dc53,0x38b40380,0x161410da,0x7c3700a3}},	// [ec80] тато, häre_, _डाबर_, _faxr, 
   {{0x68f660f5,0x76492e12,0x65620548,0x9c870098}},	//   rsyd, _aney, vyoh, _vyčí, 
   {{0x765b46cd,0x38b40219,0xdb2400c8,0x00000000}},	//   _bouy, värd_, äräs, --, 
   {{0x645adc54,0x9f47000d,0x64480da2,0x05aa002e}},	//   _soti, _není_, _sndi, овей_, 
   {{0xb90300cc,0x28af08b3,0x6aa302aa,0x6d4b00b9}},	//   _নয়_, _जीवि, _ênfa, _àgat, 
   {{0x7b400bfc,0xd467dc55,0x645a00a3,0x656202b8}},	//   pćuć, миче_, _qoti, ryoh, 
   {{0x645ab8ba,0x765b06df,0x65623942,0xb87b003e}},	//   _voti, _fouy, syoh, _stíg, 
   {{0x32b70084,0xd25000eb,0x6562012b,0x76490118}},	//   ودية_, انة_, pyoh, _gney, 
   {{0x645adc56,0x442a0042,0x00000000,0x00000000}},	//   _toti, _ºb_, --, --, 
   {{0x7e6dc89f,0x6448dc57,0x15f858c4,0x00000000}},	//   _slap, _undi, ुलकर_, --, 
   {{0xd9ee3d07,0xa0670165,0xc4c5007a,0x00000000}},	//   जरात_, фаќа_, _ستكو, --, 
   {{0x4ad20081,0xa40e0b79,0x940e00b0,0x787202c9}},	//   _दूधव, _साँप_, _साँच_, _hævd, 
   {{0x161300bd,0xbd6b00f0,0xb17d0032,0x3942017b}},	//   ण्टर_, ірме_, saťr, _nrks_, 
   {{0x21260348,0x5fd200c2,0x80d50086,0x786000ad}},	//   _ipoh_, _सलिल, _দিচ্, _mövs, 
   {{0x20190264,0x260f0262,0x7e6ddc58,0xdeefdc59}},	//   əsi_, _डाली_, _tlap, _шы_, 
   {{0x7e6d01fd,0x7d0600ca,0x2d9e00b3,0x00000000}},	//   _ulap, brks, ştea_, --, 
   {{0xa40e0a44,0x940e007e,0x63a80343,0xdff26410}},	// [ec90] _सांप_, _सांच_, _lydn, _आजाद_, 
   {{0x37ab0cda,0x765b05d5,0x7ec8011c,0x00000000}},	//   отен_, _souy, pèpè, --, 
   {{0x765b0237,0x3942059e,0x00000000,0x00000000}},	//   _pouy, _erks_, --, --, 
   {{0xd7df0e6e,0x645e022b,0xe7df121a,0x2c6d014b}},	//   _प्रच, öpin, _प्रप, vždy_, 
   {{0x2a69215f,0x94251269,0x286b05b2,0x2f18011c}},	//   mkab_, емле, _дрво_, hég_, 
   {{0x9475009c,0x60cd019c,0x05960e0e,0x38b40502}},	//   رگذا, _éami, رانگ, täre_, 
   {{0x765b0cd7,0x24890112,0x63a800f8,0x80de0033}},	//   _touy, đam_, _cydn, _মিষ্, 
   {{0x2a6908f9,0x3a390237,0x98a00083,0x2f1810fd}},	//   nkab_, _jasp_, twić_, dég_, 
   {{0x9f580216,0x9f470126,0x1015012d,0x3a3902be}},	//   ûrî_, _vení_, ньня, _masp_, 
   {{0x26d1052b,0x6eca00bc,0x00000000,0x00000000}},	//   _kuzo_, _संखु, --, --, 
   {{0x20180161,0x2a69dc5a,0x53a30035,0xda0f109f}},	//   òria_, kkab_, _ओडिश, िलात_, 
   {{0x3e62008c,0x26d1dc5b,0x80de0033,0x00000000}},	//   _nótt_, _muzo_, _মির্, --, 
   {{0x7872055f,0xddc40604,0x1e9500d9,0x00000000}},	//   _hæve, _bliš, трэр, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xd00e0084,0x2919030c,0xf1b901dd,0xad9b0068}},	//   _الى_, _aqsa_, rešu_, ugúr, 
   {{0x2a69dc5c,0x3a3900f6,0xfdea00a3,0xddc4024c}},	//   gkab_, _casp_, _эдик_, _eliš, 
   {{0x6e24024d,0x26d101f1,0xaac50083,0x00000000}},	// [eca0] _ibib, _auzo_, लआजक, --, 
   {{0xddc40097,0x26d10126,0x9f4c1102,0x00000000}},	//   _gliš, _buzo_, zadí_, --, 
   {{0x6d440032,0xdbc700c2,0x00000000,0x00000000}},	//   _hria, _söök, --, --, 
   {{0xb8f600cc,0x9f4e0237,0x38af0502,0x6d44dc5d}},	//   _সব_, _defè_, büro_, _kria, 
   {{0xe534dc5e,0x786006d0,0x9f4c014b,0xaa43d9a2}},	//   тель, _dövr, vadí_, _сеял, 
   {{0x68e405f0,0xe6601669,0x63a802a5,0x3a390604}},	//   mpid, ırış, _pydn, _zasp_, 
   {{0x39400343,0x9f470379,0xf2c63d34,0x68e4dc5f}},	//   lvis_, _nenà_, нсин, lpid, 
   {{0x3ce00054,0x6d44dc60,0xdbc7007e,0x786000ad}},	//   _otiv_, _oria, _töök, _tövs, 
   {{0x394019ec,0x6d44006d,0x3ce0023b,0x9f4c253f}},	//   nvis_, _nria, _ntiv_, radí_, 
   {{0x5f040d4f,0xd2500274,0x7c2e598f,0x6e243c4e}},	//   _विद्_, انک_, jebr, _abib, 
   {{0x6d44dc61,0xdef70904,0x7f9480c6,0x201e008c}},	//   _aria, ныя_, танх, rfti_, 
   {{0x442edc62,0x63a40c05,0xddc4008b,0x39407b30}},	//   lef_, ğind, _sliš, kvis_, 
   {{0x2f18006b,0x6d4400ce,0x39400df4,0x63a40540}},	//   ség_, _cria, jvis_, şind, 
   {{0x7c2e0bf3,0x62820e0c,0x6d44454a,0x6e240a8b}},	//   gebr, _hmoo, _dria, _ebib, 
   {{0x2ba40f63,0x2a6935b5,0x3a3900ef,0x6d445706}},	//   _खुदा, tkab_, _pasp_, _eria, 
   {{0x6d44dc63,0x442edc64,0x9a8403dd,0x26d100ef}},	//   _fria, hef_, гуул, _ruzo_, 
   {{0x3940155b,0x6d44dc65,0xf807dc66,0x6282dc67}},	// [ecb0] gvis_, _gria, ечен, _mmoo, 
   {{0x2a69dc68,0x7c2edc69,0x6e3d09ad,0x442e004f}},	//   skab_, cebr, ldsb, jef_, 
   {{0x442edc6a,0x3a2d0183,0x9f4c022c,0x6d440228}},	//   def_, _ºep_, nadà_, _zria, 
   {{0x6e3d2245,0xacbb009e,0x68f2003e,0x97a403a1}},	//   ndsb, ftûg, úkdó, урул, 
   {{0x442ec667,0xc98703dc,0x64cb048e,0x6e3d0511}},	//   fef_, _чуни, ादेश, idsb, 
   {{0x6aaddc6b,0x26d10053,0x628208b2,0x7d1ddc6c}},	//   llaf, _tuzo_, _amoo, itss, 
   {{0xe299dc6d,0xfbd400d1,0x7c2500a1,0xd4c203a1}},	//   мак_, נתק_, _mbhr, рөтк, 
   {{0xc2453623,0x7d1d0131,0x60ca01f2,0x31250093}},	//   тник, ktss, _aifm, вдиг, 
   {{0x38b4014e,0x786000ad,0xa4d5004f,0x9f453084}},	//   lära_, _zövq, _розі, mblé_, 
   {{0x6aad01c4,0x7c2e0042,0x25b20241,0x78720566}},	//   hlaf, xebr, üyle_, _tæve, 
   {{0x68e40a9f,0x38b40219,0x1fb51cc1,0x6d440358}},	//   zpid, nära_, ъсир, _sria, 
   {{0x6d440039,0x7d1db0e1,0x7c250354,0x24870027}},	//   _pria, ftss, _abhr, linm_, 
   {{0x61e9dc6e,0x7c2edc6f,0x44250102,0x7d0f0082}},	//   mbel, tebr, _kbl_, gucs, 
   {{0xab2aca81,0x69dddc70,0x61e9dc71,0xfce34b5e}},	//   мога_, _afse, lbel, роро, 
   {{0x2c74014e,0x4425008c,0x6aa60065,0x7d1d29df}},	//   _rädd_, _mbl_, _pkkf, atss, 
   {{0xf2d200c7,0x3940dc72,0x61e9dc73,0x442edc74}},	//   שען_, tvis_, nbel, zef_, 
   {{0x6d440ab0,0x69a2241a,0x61e90102,0x68e4771d}},	// [ecc0] _uria, _कुशी, ibel, upid, 
   {{0x68e40a9f,0x61e91780,0x9f4c0032,0x4da80033}},	//   rpid, hbel, ladá_, _গণপূ, 
   {{0xd6d9019e,0x8a0614ec,0x39400533,0x68e4dc75}},	//   еті_, _изне, svis_, spid, 
   {{0x9f4c0952,0x68e4dc76,0x056602a6,0x61e9dc77}},	//   nadá_, ppid, квен, jbel, 
   {{0xceb3042c,0x4425c69d,0x6aa40379,0x00000000}},	//   ביא_, _bbl_, moif, --, 
   {{0x38b40219,0xa3180d3b,0x4425dc78,0x61e9dc79}},	//   bära_, ежку_, _cbl_, ebel, 
   {{0x442e02bf,0x17c700b3,0x4425107c,0x23270267}},	//   ref_, _агри_, _dbl_, воји_, 
   {{0x442edc7a,0x326300c8,0x442501be,0xe29702a0}},	//   sef_, итыв, _ebl_, кај_, 
   {{0x28d800ea,0x9f4c03da,0x44250626,0x442e01d8}},	//   _भूमि, dadá_, _fbl_, pef_, 
   {{0xdefa1838,0x9f4c022c,0xb356010e,0x00000000}},	//   мым_, tadà_, _لیتا_, --, 
   {{0xe47500b3,0xbebd0243,0x00000000,0x00000000}},	//   _сутэ, ntīg, --, --, 
   {{0x83fc0062,0x91e60172,0x7d1d14cf,0x62820102}},	//   _dođe, _роде, ttss, _umoo, 
   {{0x6e3d2267,0x32d80096,0x00000000,0x00000000}},	//   rdsb, _héy_, --, --, 
   {{0xddcd0604,0x00000000,0x00000000,0x00000000}},	//   _umaž, --, --, --, 
   {{0x6aad0149,0xfaa70283,0x69cf01be,0x7b64dc7b}},	//   tlaf, вшан, _pgce, атте, 
   {{0xb5fd0c88,0x29097d6d,0xbcfb039f,0xcfa401ff}},	//   _koše, traa_, nyék, _ишқи, 
   {{0x3ea902f6,0xd75911b7,0xa3a900b0,0x58d40a31}},	// [ecd0] _ikat_, کلات_, _गुन_, иотт, 
   {{0x61e936d3,0x38b40219,0x3ea9011c,0x29099c3c}},	//   zbel, tära_, _hkat_, rraa_, 
   {{0x7529dc7c,0x7eb6dc7d,0xb5fd003a,0x61e9dc7e}},	//   _spez, lápa, _loše, ybel, 
   {{0x24f97a57,0x38b402ae,0xb9e4004f,0x6aa40151}},	//   енды_, rära_, _віри, coif, 
   {{0xb5fd4e52,0xfd1f02a3,0x7eb60098,0x4425076b}},	//   _noše, ntì_, nápa, _pbl_, 
   {{0x61e9039b,0x38b400c2,0xa8790147,0x00000000}},	//   wbel, pära_, _טאָר, --, 
   {{0xa0a5005e,0x59a70d2e,0xddcd008a,0x82f4012d}},	//   ғанд, _कुतर, _amaż, ачыц, 
   {{0x83fc00f1,0xb6c51088,0x6d4100e0,0x61e9dc7f}},	//   _rođe, _сөзд, ālaj, ubel, 
   {{0x4425dc80,0x00c902f1,0xdff5128b,0xd68400f6}},	//   _tbl_, нлик_, лянь, _турп, 
   {{0x61e60c05,0x83fc015e,0xd5b8dc81,0x3fe50504}},	//   ıkla, _pođe, _рсс_, ыжов, 
   {{0x6aa4095a,0x20540f89,0x61e90c0c,0x8215031b}},	//   yoif, ртыр, pbel, _مواص, 
   {{0x83fc04d1,0xfce607be,0xcee8015f,0x2d9e2d5e}},	//   _vođe, ломо, کرین_, ştem_, 
   {{0x91052cd5,0x3ea902cd,0xeb970cdf,0x224f01e5}},	//   _спле, _dkat_, ҳир_, _ingk_, 
   {{0x6abe0527,0x21a4004e,0x25ad65c9,0x32d80175}},	//   ्द्र, _тиім, _myel_, _yéy_, 
   {{0x9f4c031e,0x161400a5,0xab275ae2,0xeb970283}},	//   padá_, _डालर_, лора_, гир_, 
   {{0xa3bb007e,0x6a71050f,0x00000000,0x00000000}},	//   _घरन_, _påfa, --, --, 
   {{0x3946dc82,0x25ad6b41,0x39650176,0x2ba41e7b}},	// [ece0] íos_, _nyel_, антҳ, _खुरा, 
   {{0x2c660032,0xb866010e,0x6aa40151,0x00000000}},	//   _pôdu_, دارو, soif, --, 
   {{0x5c37035c,0xe7e300a5,0xf3f10108,0x6aa4025b}},	//   _גרין_, गड़ा_, _gọi_, poif, 
   {{0xbebd00e0,0x00000000,0x00000000,0x00000000}},	//   rtīg, --, --, --, 
   {{0x7c3e12e6,0x94aadc83,0xbebd01dd,0x35f37f30}},	//   _kapr, нтка_, stīg, спір, 
   {{0x9f4701f0,0x64a3bafb,0x7c3e3a37,0x224f0175}},	//   _genç_, бача, _japr, _angk_, 
   {{0x7c3edc84,0x2912dc85,0x7eb6014b,0x25ad011c}},	//   _mapr, luya_, zápa, _eyel_, 
   {{0x7c3edc86,0xa5c4004e,0xb5fd4e52,0x26cd0023}},	//   _lapr, _көле, _poše, _gieo_, 
   {{0x2912dc87,0x92370267,0x00000000,0x00000000}},	//   nuya_, учју_, --, --, 
   {{0x3ea9dc88,0xc5630161,0x224f0175,0x201800c2}},	//   _skat_, _укук, _engk_, üri_, 
   {{0x2c1b6e44,0x443e13dd,0x2ba41489,0xa2e62a79}},	//   _बाबू_, _iat_, _खुला, _соед, 
   {{0x443e0305,0x2912dc89,0x38af01f0,0xb5fd04cb}},	//   _hat_, kuya_, türk_, _toše, 
   {{0x443edc8a,0x5c07d55b,0xa06a2c0b,0x7c3e07d7}},	//   _kat_, лява, _пада_, _bapr, 
   {{0xdfcf0084,0x443edc8b,0xfd1f02a3,0xa3a94f69}},	//   _فيه_, _jat_, rtì_, _गुड_, 
   {{0x443e0946,0x7c3e0cd7,0x8cd543f5,0x3ce100b0}},	//   _mat_, _dapr, _यूरो, _कऽके_, 
   {{0x443e006a,0x5a3502a0,0x6f0400a1,0x291201b8}},	//   _lat_, јнат, _āich, fuya_, 
   {{0x443e6139,0x7c87dc8c,0x57f57beb,0x26cd0379}},	// [ecf0] _oat_, _буне, ипат, _rieo_, 
   {{0x13cc0086,0x26cd084c,0x7c3e99d2,0x25ad0118}},	//   রুয়, _sieo_, _gapr, _ryel_, 
   {{0x47355f15,0x9f4700f6,0x25ad05d5,0x00000000}},	//   рнес, _venç_, _syel_, --, 
   {{0x7c3edc8d,0xa3ca0f63,0x2912dc8e,0x248500e2}},	//   _zapr, ोशन_, buya_, _smlm_, 
   {{0x443e4c72,0x7c3edc8f,0x6e3f44c7,0xe3b800ad}},	//   _bat_, _yapr, _maqb, _azı_, 
   {{0x443e00d1,0x0445dc90,0xe365dc91,0x78720566}},	//   _cat_, рекн, икли, _hævn, 
   {{0x443edc92,0x224f00e2,0x6289dc93,0x26cd084c}},	//   _dat_, _pngk_, tieo, _tieo_, 
   {{0xa3a90367,0x787202c9,0x60dd001d,0x41050267}},	//   _गुण_, _jævn, ísmo, азив, 
   {{0x40950176,0x54550009,0x443e00d1,0x661b007c}},	//   ирот, _кват, _fat_, _icuk, 
   {{0x443edc94,0x4f250451,0x2d9e078a,0x753bdc95}},	//   _gat_, адоб, ştek_, _isuz, 
   {{0x7c3edc96,0x224f0065,0x6a7802be,0x291211c7}},	//   _rapr, _tngk_, _hífe, zuya_, 
   {{0x7c3edc97,0x7872055f,0x29126765,0xbea6dc98}},	//   _sapr, _nævn, yuya_, рамк, 
   {{0x7c3edc99,0x61fb37db,0x7ae547f3,0x443edc9a}},	//   _papr, maul, _atht, _yat_, 
   {{0x317a035c,0x61fbdc9b,0xd009250f,0x443e0470}},	//   _באנד, laul, _реке_, _xat_, 
   {{0x6a78003e,0x1a66009c,0x7c3e01a4,0x29120027}},	//   _lífe, لیدی_, _vapr, wuya_, 
   {{0x61fbdc9c,0x7c3edc9d,0x8f9a0486,0x78bc0242}},	//   naul, _wapr, _ביצי, _shrv, 
   {{0xe9d7c687,0x7c3e8d74,0x9f450038,0x753b25e3}},	// [ed00] рку_, _tapr, iblí_, _nsuz, 
   {{0x61fbdc9e,0x661ba0af,0xb87b007a,0x2912dc9f}},	//   haul, _acuk, _dtío, ruya_, 
   {{0x5fab119b,0x443edca0,0x7e646bf5,0xb87b5aec}},	//   _घुमल, _rat_, _koip, _etío, 
   {{0x0bb7042c,0x754647c7,0xe8fa0f5a,0xe9a6181b}},	//   _כלים_, инез, _илм_, _вамп, 
   {{0x443edca1,0xe81e0262,0xe4c602f1,0x61fb0f73}},	//   _pat_, _पापा_, айди, daul, 
   {{0x443e1a3d,0x7e64dca2,0x84380038,0xddc40083}},	//   _qat_, _loip, اكثر_, _bliź, 
   {{0x443edca3,0xd4670886,0x6d4101dd,0x2900dca4}},	//   _vat_, рије_, ālai, lsia_, 
   {{0x443edca5,0x83fc0097,0x32540e65,0x442000bc}},	//   _wat_, _dođa, свир, ři_, 
   {{0x443e0529,0xb27302fb,0x2900dca6,0x1da500a2}},	//   _tat_, ільш, nsia_, _गुंत, 
   {{0x29000088,0x26d8dca7,0x69b900a2,0x443e01be}},	//   isia_, _kuro_, ्धती, _uat_, 
   {{0x1df91838,0x7522006b,0x290019e0,0xe81e0484}},	//   лены_, ltoz, hsia_, _पाना_, 
   {{0xb5fd0dee,0x2900030f,0x61fbdca8,0x26d89069}},	//   _koša, ksia_, caul, _muro_, 
   {{0x2900dca9,0x51830200,0xb5fd0ab4,0x26d80126}},	//   jsia_, _муша, _joša, _luro_, 
   {{0x26d80c7c,0x7ebd026a,0x7640044d,0xab7a040c}},	//   _ouro_, dépe, _lamy, _bo鼠d, 
   {{0xbebd002a,0x9b687ca8,0x2900059e,0x91fa0249}},	//   rtīb, ашта_, esia_, _एजाज_, 
   {{0xbebd002a,0x9f45014b,0x2900018e,0x00000000}},	//   stīb, nalý_, fsia_, --, 
   {{0xdebc00a7,0x27f85068,0x7ebd010e,0x2d8f00c2}},	// [ed10] _במהל, _bern_, gépe, _äge_, 
   {{0x085400dd,0x61fbdcaa,0x06de0033,0x7e64044d}},	//   овую, zaul, _ডিজি, _zoip, 
   {{0xec360056,0x7c350218,0x7640907a,0x7e64045a}},	//   _האתר_, mezr, _bamy, _yoip, 
   {{0x83fc04d1,0x69a21230,0x7640627c,0x3618017b}},	//   _rođa, _कुकी, _camy, ицію_, 
   {{0xf8db0394,0x2900dcab,0x76400237,0x45450038}},	//   _बढिय, csia_, _damy, إنتق, 
   {{0xb5fd02f5,0xc4840451,0xe81e241a,0x27f801c4}},	//   _doša, олік, _पाया_, _gern_, 
   {{0xe7ed02f8,0x96f80fca,0x26d8dcac,0x61fbdcad}},	//   _च्या_, _вест_, _guro_, taul, 
   {{0xeb9800a7,0x7640012d,0x83fc015e,0xf8db1615}},	//   ידור_, _gamy, _vođa, _बढाय, 
   {{0x61fbdcae,0x708503a1,0x7522dcaf,0x753bdcb0}},	//   raul, йгиз, ctoz, _usuz, 
   {{0xcea900c7,0xd3a7dcb1,0x61fbdcb2,0x76400f69}},	//   _װי_, _креп, saul, _zamy, 
   {{0x61fbdcb3,0x141a008d,0x26d80068,0x6441dcb4}},	//   paul, _תועב, _xuro_, _iali, 
   {{0x64430430,0x29002b84,0xed5a6014,0xb87bdcb5}},	//   ldni, ysia_, гом_, _stíl, 
   {{0xdd920e05,0x3f8b0035,0x627b0035,0xa05907cf}},	//   سوس_, ńcu_, głoś, _مؤثر_, 
   {{0x28db0d95,0x9f473046,0x61f90218,0x6443dcb6}},	//   _बढ़ि, _menú_, _hewl, ndni, 
   {{0x394bdcb7,0x7e64dcb8,0x00000000,0x00000000}},	//   _arcs_, _toip, --, --, 
   {{0x6441dcb9,0x225f388b,0x2900dcba,0x394b0415}},	//   _lali, njuk_, tsia_, _brcs_, 
   {{0x2900dcbb,0x76400028,0x26d806a0,0xbebd01dd}},	// [ed20] usia_, _ramy, _suro_, stīc, 
   {{0x6441dcbc,0x26d85132,0xbddb0161,0x2900dcbd}},	//   _nali, _puro_, ndèn, rsia_, 
   {{0x6443014e,0xe81e00c2,0x27f800fc,0xfaa6011f}},	//   ddni, _पाठा_, _vern_, _гано, 
   {{0xb5fd1462,0x6443dcbe,0x6441dcbf,0x2900dcc0}},	//   _poša, edni, _aali, psia_, 
   {{0x786006d0,0x9f450254,0x225f0019,0xd46a2631}},	//   _mövz, valý_, djuk_, лиде_, 
   {{0x75220019,0x64411229,0x26d8dcc1,0x6a6a014b}},	//   rtoz, _cali, _turo_, _výfu, 
   {{0x644166e5,0x08770070,0x61f90354,0x00000000}},	//   _dali, _פעלט_, _bewl, --, 
   {{0x7d042f4e,0xe6960084,0x2007010e,0x9f4e00b9}},	//   _ovis, _الرد, _adni_, _refà_, 
   {{0x61f9078a,0x315a0038,0x61fd04f4,0xbcfbdcc2}},	//   _dewl, اجعة_, ðsla, nyét, 
   {{0x6441dcc3,0x0eea004f,0xf99f00f6,0x98a90083}},	//   _gali, льми_, _odèn_, rwać_, 
   {{0x7d047673,0xb5fd129a,0x6fb400d7,0xa30b010e}},	//   _avis, _mošn, تمدا, _مرنے_, 
   {{0xc3b700c7,0x7de40259,0x00000000,0x00000000}},	//   _פלאץ_, зірд, --, --, 
   {{0x6441dcc4,0x9f4700fd,0x2d9f0212,0x2a60011c}},	//   _yali, _menù_, çue_, djib_, 
   {{0x6441dcc5,0x9f450369,0x7c290f23,0x4033128b}},	//   _xali, galó_, đero, _неіс, 
   {{0xeabf001b,0x5f93dcc6,0xdb5811f9,0x83fc0372}},	//   _phù_, _ништ, бют_, _lođo, 
   {{0x64431dee,0x63ad0218,0xdd950a31,0x00000000}},	//   zdni, şang, _майы, --, 
   {{0xb5fd28fd,0x6e2ddcc7,0x7e7d0038,0x1958dcc8}},	// [ed30] _bošn, _ibab, mhsp, баты_, 
   {{0x81bd0086,0x6d4ddcc9,0x9f452093,0x442c1b19}},	//   _আলম_, _iraa, caló_, _nbd_, 
   {{0x6441dcca,0xeabf00e7,0x7d04020b,0x787b009e}},	//   _rali, _thù_, _zvis, _nîve, 
   {{0x6d4d6f69,0x442cdccb,0x35b5b60f,0x00000000}},	//   _kraa, _abd_, обер, --, 
   {{0xa3cb0eda,0x6e2d75a1,0x63a40248,0xe3e91372}},	//   रेन_, _mbab, şinl, لکان_, 
   {{0x68eddccc,0x6441dccd,0x442cdcce,0x83fc00d2}},	//   mpad, _qali, _cbd_, _dođo, 
   {{0x644199bb,0x64430533,0x8c1c1490,0x442c02a2}},	//   _vali, rdni, אווי, _dbd_, 
   {{0x6441dccf,0x6d4ddcd0,0x61f9009e,0x68ed2f5a}},	//   _wali, _oraa, _qewl, opad, 
   {{0xe0d60904,0x3ce90201,0xa3a900a5,0x225f010e}},	//   овы_, _ntav_, _गुर_, rjuk_, 
   {{0xaf0512ce,0x6e2d2538,0x3949dcd1,0x68ed4e23}},	//   опол, _abab, ivas_, ipad, 
   {{0x9f5e010c,0x7d09a239,0x7d04dcd2,0x6e2d0026}},	//   latê_, šesl, _svis, _bbab, 
   {{0x6d4ddcd3,0xccf801a2,0x63ad02a4,0xddcd0121}},	//   _braa, бқи_, ğand, _slaš, 
   {{0x63ad078a,0xddcddcd4,0x763a0137,0xb5fd090e}},	//   şand, _plaš, בערג, _lošo, 
   {{0x6d4d051e,0xdfdb0093,0x6e2d2c3e,0xbc1a0259}},	//   _draa, _съд_, _ebab, шімі_, 
   {{0xbb43dcd5,0x6d4ddcd6,0xcb6715d3,0x00000000}},	//   мерк, _eraa, оаре_, --, 
   {{0x6d4d79f0,0x6609dcd7,0x7d04070d,0x7e7ddcd8}},	//   _fraa, _ndek, _tvis, chsp, 
   {{0x6d4d6f9d,0x68ed0bc1,0x2a79016a,0x8c46478a}},	// [ed40] _graa, gpad, _dlsb_, _депе, 
   {{0x83fc0082,0x6e2d00da,0xbebd0243,0xddc417a2}},	//   _rođo, _zbab, ntīn, _kliž, 
   {{0x442cdcd9,0x68ed0038,0xe73a3132,0xe61a30c5}},	//   _rbd_, apad, рее_, идж_, 
   {{0xd62adcda,0x8f9a00d1,0x442cdcdb,0xcf9200d1}},	//   роде_, ביעי, _sbd_, וטב_, 
   {{0x660901b8,0x6ac6109f,0x44f3012d,0xbcfb010e}},	//   _ddek, लगीर, дпіс, lyér, 
   {{0x83fc015e,0x3d1200a2,0x6ab61b89,0x38b40080}},	//   _vođo, _तिने_, llyf, käri_, 
   {{0xbcfb010e,0x7ebd0175,0x00000000,0x00000000}},	//   nyér, hépa, --, --, 
   {{0xfbd300a7,0x9f5e0218,0xf48413b4,0x29120102}},	//   ותו_, batê_, _کاری, orya_, 
   {{0xa2da075a,0x2c1b12e3,0x93bc00d9,0xdce701dd}},	//   _पूर्, _बालू_, _scăd, ēlīg, 
   {{0x64a3005e,0xddc43204,0x660929c1,0x395700d1}},	//   _жауа, _bliž, _zdek, קשים_, 
   {{0xb7db035c,0x7e7dca00,0x9f5e0034,0x6d4d00a1}},	//   יקיי, thsp, matë_, _sraa, 
   {{0x6d4d52f0,0x3949012d,0xe29213b4,0xc2ed00d8}},	//   _praa, yvas_, _غذا_, žící, 
   {{0xe01808c6,0x00000000,0x00000000,0x00000000}},	//   _दाऊद_, --, --, --, 
   {{0x6d4d16af,0x63ad010c,0x29120054,0x9f5e021e}},	//   _vraa, şane, drya_, natë_, 
   {{0x6d4d10f3,0x00000000,0x00000000,0x00000000}},	//   _wraa, --, --, --, 
   {{0x6d4d6a5c,0x6e2d34fa,0x9df900d9,0x59b90249}},	//   _traa, _ubab, _унит_, _आरआर, 
   {{0xb5fddcdc,0x3ce934db,0xdd91015f,0x38c90499}},	// [ed50] _došl, _utav_, _سود_, مائی_, 
   {{0x68eda892,0xa3cb1276,0x9f5e5c0a,0xd04300ad}},	//   rpad, रेड_, vatê_, _binə, 
   {{0x3949c0e6,0x37070009,0x96355331,0x9f5e021e}},	//   svas_, ючав, знец, datë_, 
   {{0x68ed014e,0xb5fd0082,0xcb120070,0x58d5058e}},	//   ppad, _vošo, _אלט_, _номт, 
   {{0x73e5048a,0x660901ee,0xd1260084,0x981700d4}},	//   полз, _vdek, _ثم_, _وبسا, 
   {{0x9f5edcdd,0xb5fd0242,0x81c20033,0x00000000}},	//   ratê_, _tošo, ্ডা_, --, 
   {{0x61fd0679,0x43692d60,0x00000000,0x00000000}},	//   ðslo, сайн_, --, --, 
   {{0xb87b1102,0xb5fd4243,0x00000000,0x00000000}},	//   _stíh, _košm, --, --, 
   {{0xe1f10444,0x00000000,0x00000000,0x00000000}},	//   وسک_, --, --, --, 
   {{0xe3b3024f,0x9f858311,0x307416d0,0x6aad00da}},	//   _قرض_, згод, дуюс, hoaf, 
   {{0x9f5e0cd7,0x6b830108,0xe81e017d,0x7eb602be}},	//   natè_, _ýngh, _पासा_, lápi, 
   {{0xb87b0126,0x6da6dcde,0xbebd01dd,0xc3010033}},	//   _huíd, зима, stīn, _এমপি_, 
   {{0x57b802e6,0x1c2043f5,0xee3700dd,0x315800eb}},	//   _अर्ह, _बादल_, чня_, _وجهة_, 
   {{0x60c402a3,0x9f05091d,0x38b400c8,0x629b4e93}},	//   _èimp, _فوتو, päri_, lnuo, 
   {{0xb5fd1c76,0xfbc300be,0x2d82419f,0x7ebd840c}},	//   _pošl, ебро, szke_, sépa, 
   {{0xe9da17d2,0xada6dcdf,0xe81e009a,0xeb970a65}},	//   ска_, _найл, _पाहा_, чис_, 
   {{0x7afb0082,0x98a01c77,0x6ab6dce0,0xa3cb296e}},	// [ed60] ćuta, stič_, rlyf, रेत_, 
   {{0xb9040ede,0x499900dd,0x6ab6dce1,0x07a60cb6}},	//   _पं_, іття_, slyf, пазн, 
   {{0x25bf0b85,0xc2f00086,0x59b00035,0x96ba0303}},	//   _azul_, _টিভি_, _फ़रवर, буду_, 
   {{0x3e7b00e5,0xfaa601a2,0xaabf00bc,0x5693004f}},	//   _këta_, _хамо, ्षणक, наєт, 
   {{0x48e36794,0x9f5e024a,0x7d060343,0x1fc80249}},	//   _появ, tatë_, nsks, _रण्ड, 
   {{0x25bf02cd,0x9f5c010c,0xb87b0369,0x52a402e6}},	//   _dzul_, _devê_, _cuíd, ऑक्स, 
   {{0x07a3bbf5,0x9f5e00e5,0xddc4008a,0x43671571}},	//   _зарн, ratë_, _aliż, зајн_, 
   {{0xddc40083,0xf2c326ef,0x629b401f,0x00000000}},	//   _bliż, нсын, gnuo, --, 
   {{0x7984dce2,0x6602023a,0x9f5edce3,0x93bc107c}},	//   nziw, maok, patë_, _abăt, 
   {{0x443806b6,0x44e201d5,0x2fd801e8,0x4346dce4}},	//   _úr_, _ið_, ørg_, _незв, 
   {{0x09b905d0,0xddc400c3,0xd9b90fc0,0xa3cb35d0}},	//   _आर्य, _eliż, _आर्ट, रेद_, 
   {{0x660293b8,0x59be0c64,0x9f5e0098,0xdd9511ec}},	//   naok, ्धार, naté_, дамы, 
   {{0x9f5e06df,0x6aad0379,0xe2a90433,0x00000000}},	//   zatè_, voaf, _بالن_, --, 
   {{0x6ab5143e,0x7984030b,0x9f5e0098,0x22460096}},	//   ंत्र, dziw, haté_, _haok_, 
   {{0x3d1200a2,0x6602dce5,0x160c009a,0x9f5edce6}},	//   _तिथे_, kaok, हणार_, katé_, 
   {{0x69da00d9,0xfd470019,0x9f5e07a7,0x201e00ec}},	//   _şter, _ٹیسٹ_, jaté_, lgti_, 
   {{0xf99300c5,0x1958dce7,0x7ebddce8,0x66020379}},	// [ed70] ربر_, паты_, lépo, daok, 
   {{0x201e00e4,0x26c402fe,0x3eb91ded,0x6aad06cd}},	//   ngti_, _ahmo_, llst_, soaf, 
   {{0x44e2dce9,0xb9040081,0xb87b145a,0x6f1a090e}},	//   _að_, _पू_, _ruíd, nutc, 
   {{0x195945d4,0xb87b0068,0x628007ac,0x78730241}},	//   _дамы_, _suíd, jhmo, _sıvı, 
   {{0x044516e1,0xb87b0068,0xd469c868,0x6f1a0532}},	//   делн, _puíd, жиле_, hutc, 
   {{0x7eb6010e,0x6f1a044d,0xb5fd0a95,0x3eb90502}},	//   rápi, kutc, _košk, hlst_, 
   {{0x9f5edcea,0xb5fd030d,0x22460574,0x49190035}},	//   baté_, _jošk, _baok_, यूरो_, 
   {{0xb5fd11c8,0xd5ae0019,0x6f1a22f7,0x9f5c009e}},	//   _mošk, اہے_, dutc, _tevê_, 
   {{0x81b5100b,0xf4f7010e,0xb5fd0121,0xe19403a1}},	//   ছেন_, _رواں_, _lošk, ерээ, 
   {{0x4f090176,0xbddb011c,0x00000000,0x00000000}},	//   онон_, bdèk, --, --, 
   {{0x3ea600cf,0xbea611f9,0xaabf1280,0x6280006d}},	//   динг, данк, ्षाक, bhmo, 
   {{0x38b40219,0x62807170,0xdf5303a1,0x00000000}},	//   lärt_, chmo, _үндө, --, 
   {{0xd009dceb,0xe81e190a,0x6145dcec,0x2b870508}},	//   _деле_, _पाला_, _цела, _hеch_, 
   {{0xb5fd044e,0x7afb0ab4,0x38b402ae,0x66020054}},	//   _bošk, ćutn, närt_, zaok, 
   {{0x09e65b5c,0x9f5e010c,0x20180032,0xebe39eef}},	//   добн, latî_, órie_, тосп, 
   {{0xc3320056,0x9f47dced,0x3ea0024a,0x321f17cc}},	//   כול_, _menü_, _ujit_, nguy_, 
   {{0x63a40c05,0x6e240610,0x6602023a,0x9f5e00da}},	// [ed80] ğini, _icib, vaok, vaté_, 
   {{0x63a4a942,0x787b0218,0x66020548,0x00000000}},	//   şini, _pîva, waok, --, 
   {{0x6602dcee,0x9f5edcef,0x00000000,0x00000000}},	//   taok, hatî_, --, --, 
   {{0x7c3c0a9f,0x386a00f8,0x3ce000c2,0x6d4418aa}},	//   lerr, _wobr_, _kuiv_, _ksia, 
   {{0xa3cb0497,0x9f5edcf0,0x6280006d,0x321f107c}},	//   रेस_, raté_, vhmo, dguy_, 
   {{0x7c3cdcf1,0x38b402ae,0x6d44025b,0x9f5e023e}},	//   nerr, gärt_, _msia, saté_, 
   {{0x628000e5,0xf7433626,0x9f5edcf2,0xf2c600d3}},	//   thmo, _иеро, paté_, мсин, 
   {{0x7c3cdcf3,0x7c29a239,0x6d44043a,0x969508af}},	//   herr, đeri, _osia, _зруш, 
   {{0x142607f9,0x7c3cdcf4,0xa2da1f02,0x68e4065c}},	//   _одам, kerr, _पंक्, nqid, 
   {{0x62802e21,0xacbb078a,0x7c3cdcf5,0x63ad3385}},	//   shmo, rtûk, jerr, şana, 
   {{0x6d44dcf6,0x3817042c,0x66005c71,0xdb0b04be}},	//   _asia, וקים_, _kemk, ünüz, 
   {{0x6448d581,0x443c8731,0x442edcf7,0xe0da0f81}},	//   _hadi, lev_, lff_, _двд_, 
   {{0x64480434,0x32040db7,0x645a012b,0x7c3cdcf8}},	//   _kadi, mamy_, _knti, ferr, 
   {{0x64481191,0xb5fd5a70,0x442edcf9,0x443c007e}},	//   _jadi, _pošk, nff_, nev_, 
   {{0x6d44dcfa,0xe2070035,0x442e00f8,0x0a6b01a2}},	//   _esia, spół_, iff_, ораи_, 
   {{0x83fc0112,0x443cdcfb,0x3204dcfc,0x6448dcfd}},	//   _dođi, hev_, namy_, _ladi, 
   {{0x7c3cdcfe,0x443cdcff,0x645a03dd,0x39400102}},	// [ed90] berr, kev_, _onti, gwis_, 
   {{0x3e7b01ee,0x443c06e0,0x7d1ddd00,0x7c3c687a}},	//   _këto_, jev_, muss, cerr, 
   {{0x7d1d2cb6,0xd148001b,0x443cdd01,0xb5fd00ef}},	//   luss, _lễ_, dev_, _hoši, 
   {{0xb5fd1e6f,0x64480102,0x6e3ddd02,0x442e1a77}},	//   _koši, _aadi, nesb, eff_, 
   {{0x850a005e,0x6448dd03,0xe3b807fa,0x7e6ddd04}},	//   здің_, _badi, _ayı_, _moap, 
   {{0xdfc61225,0x645a02cd,0x443c00b0,0x660000b4}},	//   _مي_, _cnti, gev_, _eemk, 
   {{0xb5fd090e,0x6448dd05,0xd404004f,0x6600032a}},	//   _loši, _dadi, тячи, _femk, 
   {{0xb145daaa,0x7c3c7373,0x7e6d002e,0x7d1dafa2}},	//   енил, zerr, _noap, kuss, 
   {{0x7c251c35,0xe5b44985,0x6448dd06,0x81d70086}},	//   _ochr, _айты, _fadi, ়ুন_, 
   {{0x6448dd07,0xd1480029,0x7d1d6cdb,0x443c008b}},	//   _gadi, _dễ_, duss, cev_, 
   {{0x3ce046cd,0x7e6d0026,0xa3cb0367,0x4adb0eda}},	//   _suiv_, _boap, रेश_, _मंगव, 
   {{0x29090088,0x290b0588,0x32040035,0x7c25dd08}},	//   ksaa_, _ovca_, camy_, _achr, 
   {{0xb87b0042,0x7d1ddd09,0x61e9dd0a,0x60d80054}},	//   _xuíc, guss, mcel, _fivm, 
   {{0x8fa5dd0b,0x61e9dd0c,0x6448dd0d,0x44250226}},	//   _пале, lcel, _xadi, _jcl_, 
   {{0x2005dd0e,0x290900ef,0x7c3c2731,0x442548c8}},	//   mali_, esaa_, rerr, _mcl_, 
   {{0x61e9dd0f,0x6d44dd10,0x7c3cdd11,0x2005dd12}},	//   ncel, _tsia, serr, lali_, 
   {{0x443cdd13,0x08c67907,0x7d1ddd14,0xf2d200c7}},	// [eda0] yev_, ебан, cuss, רען_, 
   {{0x2005dd15,0x394000ab,0xbcfb0183,0x32040083}},	//   nali_, rwis_, oxén, zamy_, 
   {{0xabfb0056,0x6600281e,0xf7721930,0x7bde012b}},	//   _מהיר, _pemk, داء_, _igpu, 
   {{0x6448dd16,0x2005dd17,0x645a0065,0xf506dd18}},	//   _sadi, hali_, _snti, ездо, 
   {{0x443c29b6,0x2005dd19,0x4abf0081,0x6448dd1a}},	//   tev_, kali_, ्षरव, _padi, 
   {{0x20051e5b,0x6448dd1b,0xd1480023,0x2c660032}},	//   jali_, _qadi, _rễ_, _pôdy_, 
   {{0x443c0c17,0x6448dd1c,0x2005dd1d,0x98a3dd1e}},	//   rev_, _vadi, dali_, _сире, 
   {{0xcb130056,0x443c5efe,0x6448dd1f,0x7bde0065}},	//   אלה_, sev_, _wadi, _lgpu, 
   {{0x64482bd8,0xe5a34d72,0x32040035,0x7e6d01a7}},	//   _tadi, _бити, ramy_, _roap, 
   {{0x2005dd20,0x32043279,0x645add21,0x64480548}},	//   gali_, samy_, _unti, _uadi, 
   {{0xb4cc10ae,0x61e93dfc,0x7d1ddd22,0xe9df033c}},	//   रगी_, bcel, wuss, _baúl_, 
   {{0x7c25dd23,0x7d1ddd24,0xb5fd0688,0x179b008d}},	//   _schr, tuss, _poši, לייב, 
   {{0x200579b5,0x7d1d14e2,0xa11317bc,0x7e6d01a7}},	//   bali_, uuss, _مونت, _voap, 
   {{0x2005dd25,0xbcfb0068,0x7ae20082,0x9f5e23f2}},	//   cali_, bxén, _čotr, latí_, 
   {{0x7d1ddd00,0x9f5c009e,0x00000000,0x00000000}},	//   suss, _zevî_, --, --, 
   {{0xb5fd032f,0x7d1ddd26,0x66e50009,0x5d5500f6}},	//   _toši, puss, _dėkl, _акит, 
   {{0x38b4022b,0xf8b124a1,0x61fd04f4,0x00000000}},	// [edb0] värr_, لکس_, ðsli, --, 
   {{0x7c2500cf,0x58840028,0x7d0d107c,0x9f5e00da}},	//   _uchr, лыха, _ivas, hatí_, 
   {{0x290900c8,0xd7590038,0x6a1500d9,0x61e900f3}},	//   ssaa_, بلات_, _имну, ycel, 
   {{0x9f5e0228,0x00000000,0x00000000,0x00000000}},	//   jatí_, --, --, --, 
   {{0x2005dd27,0x49742bd0,0x1beb0083,0xb87b0534}},	//   yali_, _бляс, जुअल_, _dtír, 
   {{0x764900f4,0x9f450151,0x00000000,0x00000000}},	//   _waey, sclé_, --, --, 
   {{0xa3cb006a,0x7649dd28,0xb87b0503,0x44250226}},	//   रें_, _taey, _guía, _vcl_, 
   {{0x2005dd29,0xa56200d4,0x7d0d1240,0x00000000}},	//   wali_, _چگون, _ovas, --, 
   {{0xe9df1771,0x61e937ba,0x41020088,0x00c900a3}},	//   _raúl_, rcel, азыв, млик_, 
   {{0x7ebd0518,0x61e9dd2a,0xe9df001d,0x205501ff}},	//   léph, scel, _saúl_, ттир, 
   {{0x2018dd2b,0x7d0ddd2c,0x8fa51daa,0xf45600a7}},	//   ória_, _avas, тане, _שיער_, 
   {{0x2005dd2d,0x9f5c0218,0x2c740380,0xc7d600d1}},	//   sali_, _tevî_, _lädt_, כותי_, 
   {{0x200500c3,0xfd1f02a3,0x66e50009,0x5d670080}},	//   pali_, guì_, _sėkl, виям_, 
   {{0x200502f1,0x224ddd2e,0x7d0d0009,0xe1f90028}},	//   qali_, ldek_, _dvas, lbų_, 
   {{0x7d0ddd2f,0x2b1506ba,0xab27ce9e,0x09d90033}},	//   _evas, льтр, кора_, ধুমা, 
   {{0x224ddba6,0xb5fd0062,0x2bde3b5f,0x6a7134f9}},	//   ndek_, _košu, _मलका, _såfr, 
   {{0x290c01dd,0xbcfb0068,0x9f5c0379,0xdea2009c}},	// [edc0] _ādas_, nxél, _levì_, _میگی, 
   {{0x92dc00cc,0x6d560610,0x00000000,0x00000000}},	//   তীয়_, _irya, --, --, 
   {{0x394d034c,0x7d090062,0x6a78008c,0x2a69012b}},	//   _šest_, šest, _lífi, bjab_, 
   {{0x940700ad,0xa3d4048e,0x63ad0213,0x212d0096}},	//   minə_, सेफ_, ğanl, kteh_, 
   {{0x63ad0540,0x940700ad,0xa3d41a21,0x6d5621ba}},	//   şanl, linə_, सेन_, _jrya, 
   {{0xb4cc049f,0x02ca00bc,0x0fa200bc,0x44b3012d}},	//   रगे_, ाग्न, _ओखलढ, абіс, 
   {{0x02a644fb,0x94070248,0x00000000,0x00000000}},	//   крим, ninə_, --, --, 
   {{0x6d560e3f,0x6a78001d,0xc7a3017b,0x224d0a0d}},	//   _orya, _bífi, _тиск, gdek_, 
   {{0x15430470,0x9f5e0098,0xb5fd020b,0x00000000}},	//   _кетм, ratí_, _pošv, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x7d0d04d1,0x50d30038,0x7afb2873,0x422600d9}},	//   _svas, جزير, ćutk, _адев, 
   {{0xc7b3042c,0xddd600bc,0xfd1f02a3,0x69c60144}},	//   יבת_, _slyš, tuì_, _ozke, 
   {{0xbebd00e0,0x3a7500cf,0x40347ba9,0xddc4dd30}},	//   ktīv, қлар, _белс, _poiš, 
   {{0x6282dd31,0x8f5400d4,0x66e5012d,0xfd1f0036}},	//   _hloo, _منتش, _sėkm, ruì_, 
   {{0xb5fd00f1,0x69c60414,0xdee30886,0x6282dd32}},	//   _košt, _azke, _који, _kloo, 
   {{0x32c8009e,0xb87b00b9,0x00000000,0x00000000}},	//   bûye_, _atíp, --, --, 
   {{0x628201c1,0xf80700dd,0xead400af,0xb5fd36ba}},	// [edd0] _mloo, вчен, роть, _mošt, 
   {{0x224ddd33,0x7e7d08b0,0xa2c90790,0x62820054}},	//   zdek_, lksp, _हीन्, _lloo, 
   {{0x69c60a9f,0xe1f90009,0x00000000,0x00000000}},	//   _ezke, ybų_, --, --, 
   {{0x6282006d,0x4b7a008d,0xf770091d,0x9f5c02d9}},	//   _nloo, _נארו, غال_, _neví_, 
   {{0x7ae50088,0xa82511b7,0x25a9dd34,0xa2c600bc}},	//   _huht, _مکان, çal_, ातन्, 
   {{0x03a544dc,0x628201a3,0x25a9003d,0x63ad008f}},	//   лило, _aloo, ħal_, şanm, 
   {{0x7ae50077,0x224d0318,0x6282dd35,0x6a780126}},	//   _juht, tdek_, _bloo, _sífi, 
   {{0x236900f1,0xc245dd36,0x7ae5dd37,0x7e7d02b0}},	//   ćaj_, уник, _muht, jksp, 
   {{0x224ddd38,0x20c2008c,0xe1f90009,0xc6920225}},	//   rdek_, rðin_, rbų_, _האן_, 
   {{0x940706d0,0x95c85ae2,0x212d34c4,0x25a0007a}},	//   yinə_, _руса_, rteh_, úile_, 
   {{0xa2f51e01,0x628200d1,0x4ab500bc,0xb87b007a}},	//   _спеч, _floo, ूताव, _luío, 
   {{0xddcd026e,0xf38c0070,0x2eb500b3,0x94070248}},	//   _dlaž, _קראָ, исяс, vinə_, 
   {{0x61fbdd39,0xb87b0c74,0x61fd003e,0xdb050098}},	//   mbul, _ruín, ðslu, _vyhý, 
   {{0xfce350eb,0x753b024d,0x7ae52467,0x7e7ddd3a}},	//   соро, _mpuz, _buht, ërpr, 
   {{0x30da00c7,0x98a00ab4,0x09be0cbd,0xaf0500a3}},	//   _אַהע, ltić_, ्ध्य, _ёпил, 
   {{0x940706d0,0xb87b00eb,0x7e7ddd3b,0x753b0242}},	//   rinə_, _buío, cksp, _opuz, 
   {{0x940706d0,0x98a0034c,0xa81a006b,0x81b50086}},	// [ede0] sinə_, ntić_, فتار_, ছের_, 
   {{0xa8030200,0xa84a007a,0x00000000,0x00000000}},	//   йзул, علام_, --, --, 
   {{0xeb9a42ae,0x61fbdd3c,0x00000000,0x00000000}},	//   _чин_, kbul, --, --, 
   {{0x95ca1b41,0xa96a13e6,0x4681004e,0x7c3b00d2}},	//   нула_, _зима_, оқса, đure, 
   {{0x6aa400d9,0x98a004cb,0xe5a334bb,0xb87b0354}},	//   mnif, jtić_, бици, _guío, 
   {{0x6282313b,0xd467049b,0xbebd01dd,0x9f5e0098}},	//   _sloo, личе_, ltīt, hatá_, 
   {{0xb5fd1487,0x6282dd3d,0xf487009c,0xe61a503b}},	//   _pošt, _ploo, دانی, _пдв_, 
   {{0x18a60a27,0x98a0053d,0x61fb1041,0x75d6091d}},	//   _раҳм, ftić_, gbul, _ميزا, 
   {{0xddcd08b1,0x83fc15ed,0x201802a0,0x62820511}},	//   _slaž, _anđe, ório_, _vloo, 
   {{0xddcd8e6b,0x61fbdd3e,0x83fc1a51,0xe4d7009c}},	//   _plaž, abul, _vođs, _موقت_, 
   {{0x61fb0547,0x2fd80219,0x1df91628,0x6aa4dd3f}},	//   bbul, ärg_, кены_, knif, 
   {{0x91e60088,0x7ae310fd,0x00000000,0x00000000}},	//   _соде, _énti, --, --, 
   {{0x7ae53356,0x61e20026,0xb7f601ec,0x8d84dd40}},	//   _suht, _igol, ेराम_, бурд, 
   {{0x7ae503f0,0xa3cb0367,0xd1c90e0e,0x7e7d0be0}},	//   _puht, रेक_, _شبنم_, sksp, 
   {{0x8aa700ba,0xb87b0084,0xddcd1462,0xc879002e}},	//   град, _suío, _ulaž, _îşi_, 
   {{0x6aa4dd41,0x98a90a1a,0x1f13243d,0x6e9500d7}},	//   gnif, rtač_, _ابوج, _خلبا, 
   {{0x98b903ea,0x98a910fc,0x3ea90065,0x38c90296}},	// [edf0] влат_, stač_, _ijat_, نائی_, 
   {{0x98a902fe,0x37ab2831,0x68e60175,0x80ca075a}},	//   ptač_, нтен_, _dukd, _सीमे, 
   {{0x753b0372,0x37abdd42,0x61e2dd43,0x00000000}},	//   _spuz, хтан_, _ogol, --, 
   {{0x61e2dd44,0x63ad010c,0x635c00d9,0x6aa41ff5}},	//   _ngol, şank, _mănă, cnif, 
   {{0x15b800d3,0x00000000,0x00000000,0x00000000}},	//   лышы_, --, --, --, 
   {{0x61e2dd45,0x4d7c00c7,0x98a00097,0x657900df}},	//   _agol, ערגע, vtić_, rywh, 
   {{0x436903b6,0x9f5c00b9,0x7d1d1562,0x36d50080}},	//   тайн_, _nevà_, hrss, _вовр, 
   {{0x3f8c00ef,0x3dc90065,0xbb3c027a,0x752202a5}},	//   dzdu_, _ozaw_, געהי, buoz, 
   {{0x310611db,0xb42706bc,0xd538073c,0x798d019b}},	//   анып_, _معاو, _مثلا_, nzaw, 
   {{0x25bf15a0,0x660b71e9,0x98a0090e,0x3ea9374a}},	//   _iyul_, lagk, rtić_, _ajat_, 
   {{0x2054005e,0x98a01462,0x64437031,0xa3cb00a2}},	//   стыр, stić_, meni, रेख_, 
   {{0x6443dd46,0x3a39dd47,0x2cba57e9,0x660b0c3d}},	//   leni, _nbsp_, _skpd_, nagk, 
   {{0x6cc600dd,0xfce643a1,0x66e50028,0x25bf040c}},	//   ийма, рого, _dėki, _jyul_, 
   {{0x6443dd48,0x629b012d,0x61e27b19,0xdb050183}},	//   neni, liuo, _zgol, _exhí, 
   {{0xa09a035c,0xdca391c4,0x68e6dd49,0x660b0495}},	//   _ביסט, цари, _sukd, kagk, 
   {{0x629b012d,0x6f1c1cf0,0x3ea90034,0x25ad00b4}},	//   niuo, árce, _gjat_, _oxel_, 
   {{0x200701ee,0x673c027c,0x6aa40090,0xa806dd4a}},	// [ee00] _keni_, _sprj, rnif, изал, 
   {{0x644309c4,0xbebd002a,0x200700e5,0xacbb078a}},	//   jeni, stīt, _jeni_, stûr, 
   {{0x6443dd4b,0x2cb8050f,0x629b0009,0x25adb04b}},	//   deni, mord_, kiuo, _axel_, 
   {{0x7d04dd4c,0x20073118,0x2cb8dd4d,0x26cddd4e}},	//   _kwis, _leni_, lord_, _cheo_, 
   {{0x64436456,0xe80100a5,0x9f4e03a0,0x7d046102}},	//   feni, _लड़का_, _jefò_, _jwis, 
   {{0x7d041731,0x2007dd4f,0x2cb805a1,0xd7f200eb}},	//   _mwis, _neni_, nord_, _ذكر_, 
   {{0x07a33379,0xd4090038,0x00000000,0x00000000}},	//   _дарн, اتهم_, --, --, 
   {{0xd257dd50,0xddcdc2b5,0x66e3012d,0x629b0028}},	//   аць_, _plaż, _фота, giuo, 
   {{0x30a6c376,0x6443dd51,0x2007dd52,0x506600e4}},	//   иров, beni, _beni_, атна, 
   {{0x2007dd53,0x213d0102,0x2cb839a9,0x656f0212}},	//   _ceni_, _dpwh_, jord_, _àcha, 
   {{0xb5fd00ef,0x7d04007b,0x2007dd54,0x987b0070}},	//   _košp, _awis, _deni_, דריק, 
   {{0x442c01fd,0x32c80218,0x77610068,0x61e247e3}},	//   _hcd_, bûya_, _álxe, _ugol, 
   {{0x442c01e5,0x6a78008c,0xb87b00eb,0x2007dd55}},	//   _kcd_, _lífs, _suím, _feni_, 
   {{0x2007dd56,0x2cb8dd57,0x442c0237,0x3a2b019c}},	//   _geni_, gord_, _jcd_, _sccp_, 
   {{0x200cdd58,0x3a2b008a,0x00000000,0x00000000}},	//   madi_, _pccp_, --, --, 
   {{0x64431d8c,0x200cdd59,0x200705ae,0x394b016a}},	//   zeni, ladi_, _zeni_, _pscs_, 
   {{0x20074786,0x2cb80f96,0x6443dd5a,0x80c90086}},	// [ee10] _yeni_, bord_, yeni, রদর্, 
   {{0x200cdd5b,0x6d4ddd5c,0x6443238f,0x3eb90e25}},	//   nadi_, _isaa, xeni, lost_, 
   {{0x7d0402ec,0x6443dd5d,0x3ce90201,0x44eb01e8}},	//   _zwis, veni, _huav_, _sø_, 
   {{0x442c0068,0x200cdd5e,0x3ce9006d,0xc6a4da03}},	//   _acd_, hadi_, _kuav_, орчи, 
   {{0xe618005e,0x200cdd5f,0xa3d44a93,0x0a6800d9}},	//   рді_, kadi_, सेस_, _трэи_, 
   {{0x6d4d086d,0x200cdd60,0x660bdd61,0x00000000}},	//   _msaa, jadi_, sagk, --, 
   {{0x6443dd62,0x26cd00f7,0xd6db1472,0x6289633d}},	//   reni, _theo_, _ата_, theo, 
   {{0x3e7b00e5,0x3eb90704,0x3a29dd63,0x6d4d48ff}},	//   _këtu_, jost_, ngap_, _osaa, 
   {{0x629bdd64,0x3eb921de,0x3ce9023b,0x200705d5}},	//   riuo, dost_, _nuav_, _peni_, 
   {{0x14740084,0x21a500cf,0x200c85e2,0x2007024a}},	//   _والج, _қилм, gadi_, _qeni_, 
   {{0x160b06ea,0x6d4ddd65,0x200757c2,0x23791a1c}},	//   _हजार_, _asaa, _veni_, _حماد_, 
   {{0x3949dd66,0x0aea004e,0x20074e57,0xfd1f0036}},	//   kwas_, ғдай_, _weni_, frì_, 
   {{0x0d9a011f,0x0d9930f4,0x3ce9006f,0x6609c0c2}},	//   утны_, атры_, _cuav_, _meek, 
   {{0xab2a8722,0x3ce9023b,0x200c1f25,0x00f600d1}},	//   лога_, _duav_, cadi_, _המסך_, 
   {{0x8fa26138,0xc05200a7,0x9ef500eb,0x2cb80f96}},	//   _наше, _מזג_, _استش, rord_, 
   {{0x4f160138,0x3a296c86,0x6609dd67,0x7c3b0397}},	//   _פֿון_, ggap_, _neek, đura, 
   {{0x49cadd68,0x7e64dd69,0xa9678ec3,0x3949137f}},	// [ee20] улан_, _inip, бита_, gwas_, 
   {{0xe9d7276b,0x81ac0033,0x3863016c,0x5b3600b3}},	//   ску_, _গরম_, _cnjr_, _лэму, 
   {{0x6609dd6a,0x7e64a8a0,0x442c5fd6,0x62990298}},	//   _beek, _knip, _rcd_, _omwo, 
   {{0xc5f8005e,0x3ce91124,0x6b8103a9,0x5fba00c7}},	//   рға_, _yuav_, ølge, אצענ, 
   {{0x3ce90201,0x200cdd6b,0x7e64018e,0x00000000}},	//   _xuav_, yadi_, _mnip, --, 
   {{0x442c9cf7,0x62998993,0x7aed010e,0x200c00b4}},	//   _qcd_, _amwo, _öltö, xadi_, 
   {{0x33170084,0x200cd702,0xd46702a6,0x7e64019c}},	//   مزيد_, vadi_, сије_, _onip, 
   {{0x200cdd6c,0x96954134,0x7e76011d,0x7ebd011c}},	//   wadi_, _друш, _noyp, hépr, 
   {{0x3eb9dd6d,0x29121614,0x200c1639,0xe1ef0133}},	//   vost_, nsya_, tadi_, رسي_, 
   {{0xdefab983,0xb5fd02fe,0x442cdd6e,0x3f1400c4}},	//   лым_, _inša, _ucd_, одос, 
   {{0x200cdd6f,0x3ce901c1,0xdd26078a,0x3eb9420c}},	//   radi_, _suav_, _pêşe, tost_, 
   {{0x200cdd70,0x3ce9006f,0xddc401dd,0x7afc0352}},	//   sadi_, _puav_, _maiņ, dprt, 
   {{0xa13300c5,0x3ce9006f,0x8d840176,0x00000000}},	//   _فروش, _quav_, пурд, --, 
   {{0x68fb024a,0x200c00a3,0x00000000,0x00000000}},	//   _çudi, qadi_, --, --, 
   {{0x4c94198b,0x00000000,0x00000000,0x00000000}},	//   чирс, --, --, --, 
   {{0x6d4ddd71,0x139b00c7,0x3ce901a0,0x3d12009a}},	//   _tsaa, אבלע, _tuav_, _तिचे_, 
   {{0x6609dd72,0x6d4d0626,0x3a29157f,0x66e50009}},	// [ee30] _reek, _usaa, rgap_, _lėkt, 
   {{0x68ed0104,0x66091b8d,0x3949040b,0x3b13dd73}},	//   rqad, _seek, rwas_, _tvxq_, 
   {{0x3949dd74,0xa2ad0249,0x2912052b,0x00000000}},	//   swas_, ुकम्, asya_, --, 
   {{0x67250640,0x66ca0098,0x00000000,0x00000000}},	//   ruhj, týka, --, --, 
   {{0xd1263d0b,0x660900b0,0x24090115,0x00000000}},	//   _تم_, _veek, анли_, --, 
   {{0x1bfb2f41,0x6609dd75,0xad9b0183,0x22ac00bc}},	//   ्रिल_, _week, laús, věka_, 
   {{0xa3d400a2,0x6609dd76,0x0ec90586,0x00000000}},	//   सेल_, _teek, रताड, --, 
   {{0xc7b200a7,0x00000000,0x00000000,0x00000000}},	//   _חבל_, --, --, --, 
   {{0xc42b024f,0x940e06d0,0xe5732045,0x5ba61489}},	//   _مثال_, hifə_, _عطر_, _ऐश्व, 
   {{0x7e760126,0x6009dd77,0x00000000,0x00000000}},	//   _soyp, шном_, --, --, 
   {{0xbebd002a,0xcdc90111,0xfe462a08,0xd24e0535}},	//   drīb, _סך_, онно, رنی_, 
   {{0x62990610,0x3f8b0083,0xd378d994,0x00000000}},	//   _umwo, ącu_, _учу_, --, 
   {{0x2d840076,0x3f832c9e,0x00000000,0x00000000}},	//   áme_, šju_, --, --, 
   {{0x2b410118,0xeb9a01ff,0x00000000,0x00000000}},	//   _bphc_, ҳиҳ_, --, --, 
   {{0x7ebd0212,0x2d840ed9,0x00000000,0x00000000}},	//   répr, šme_, --, --, 
   {{0x7e64dd78,0xada60842,0x29125020,0x394602aa}},	//   _unip, _майл, tsya_, çoso_, 
   {{0x316d00b4,0xfaa3dd79,0x00000000,0x00000000}},	// [ee40] nxez_, фато, --, --, 
   {{0x291263c8,0xbb4600d9,0x7d16dd7a,0xe73a00b3}},	//   rsya_, _деок, _ivys, иез_, 
   {{0x3ce300a5,0x20180032,0xf5ea37c4,0xe9df02be}},	//   _टूटे_, órii_, амел_, _baús_, 
   {{0x29120532,0x5693017b,0xa2c90299,0x00000000}},	//   psya_, маєт, _हील्, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x7ae30574,0x00000000,0x00000000,0x00000000}},	//   _éntr, --, --, --, 
   {{0x44200792,0xa2c600a2,0xa3d407d5,0x7ebd039f}},	//   ği_, ातल्, सें_, képp, 
   {{0x1fcf00cc,0x4420dd7b,0xd13a01a2,0x32b70038}},	//   রশাস, şi_, ахо_, يدية_, 
   {{0x6602dd7c,0xe5a3dd7d,0xdcea02d9,0x940e0248}},	//   mbok, _жити, čněj, zifə_, 
   {{0x66020a9f,0x387888bd,0x44380014,0x2bc00fc0}},	//   lbok, _jorr_, _ùr_, _शुभा, 
   {{0x44f000f7,0x38786bdf,0xf1c602d9,0xbfaa00f0}},	//   _hà_, _morr_, _řádu_, ртпе_, 
   {{0xd25000d6,0x51861a31,0x443edd7e,0xa3c9034d}},	//   _سنت_, _мула, _hbt_, ोधर_, 
   {{0x61a508a9,0xd12f0038,0x0dcba732,0x443edd7f}},	//   खपृष, _لمن_, руни_, _kbt_, 
   {{0x44f000f7,0xbf1400c5,0x443e1993,0x38780219}},	//   _mà_, _فوتب, _jbt_, _norr_, 
   {{0x44f00124,0xee3f026e,0x7522014b,0x00000000}},	//   _là_, lným_, hroz, --, 
   {{0x443eb089,0x0cb40083,0x940e0248,0x00000000}},	//   _lbt_, ंकॉम, rifə_, --, 
   {{0x44f00023,0xee3f014b,0x66022267,0xc4ca0083}},	// [ee50] _nà_, nným_, dbok, िताओ, 
   {{0x3878006c,0x27e700dd,0x6d5f00a4,0xd7fbdd80}},	//   _corr_, ønn_, _irqa, руа_, 
   {{0x8a770176,0x7d1623f2,0x00000000,0x00000000}},	//   _динӣ_, _zvys, --, --, 
   {{0x44f00029,0x6602050f,0xee3f0ed0,0x00000000}},	//   _bà_, gbok, kným_, --, 
   {{0x44f0001b,0x7522dd81,0xee3f014b,0x2c1f00a5}},	//   _cà_, groz, jným_, _बयां_, 
   {{0x44f0dd82,0xee3f143b,0x69cfdd83,0xb97a00d1}},	//   _dà_, dným_, _izce, _הנשי, 
   {{0x8c4406d0,0x44f000a1,0xe9df00b9,0x660202a5}},	//   əşdi, _eà_, _taús_, bbok, 
   {{0x6d5f369b,0x44f000fd,0x6a712379,0x316d01d6}},	//   _orqa, _fà_, _påfy, txez_, 
   {{0x44f0001b,0x2735017e,0x661b0a4c,0x7522107c}},	//   _gà_, lån_, _iduk, croz, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x6d5f0348,0x44f001a7,0x7bc5dd84,0x317f00e2}},	//   _arqa, _zà_, _nyhu, syuz_, 
   {{0xee3f014b,0xe3b20070,0xccf81d06,0x00000000}},	//   bným_, _אױב_, оқи_, --, 
   {{0x81a7143f,0x0d83dd85,0x44f00023,0xee3f0098}},	//   _بحال, елян, _xà_, cným_, 
   {{0xaff908b6,0x00000000,0x00000000,0x00000000}},	//   _افغا_, --, --, --, 
   {{0xfe7803dd,0x3d18051f,0x39425937,0x7c2f010c}},	//   _дүн_, _भटके_, _spks_, _şirî, 
   {{0x6486008c,0x661b104c,0xddcbdd86,0x2a79017c}},	//   _aðil, _nduk, šiša, _cosb_, 
   {{0xa967674a,0xa92602c8,0x387802ae,0xaec30093}},	// [ee60] пита_, ядал, _porr_, _ябъл, 
   {{0x3ea20347,0xbcfb0496,0x44f0dd87,0x13e30086}},	//   likt_, rxét, _rà_, নুয়, 
   {{0xb8f3143e,0x443e105b,0x44f0c7a1,0x2d820876}},	//   _ही_, _rbt_, _sà_, lyke_, 
   {{0xe7ee0262,0xe7b300d4,0x443e0165,0x44f02f04}},	//   _जलवा_, رمند, _sbt_, _pà_, 
   {{0x3878dd88,0x443e00e2,0x661b01b8,0x00000000}},	//   _torr_, _pbt_, _dduk, --, 
   {{0x44f05b61,0x628b076b,0x3ea20b32,0x6d4405f0}},	//   _và_, _algo, hikt_, _mpia, 
   {{0x44f00054,0xf7437343,0xe7270a10,0x66027b30}},	//   _wà_, _перо, _норд_, pbok, 
   {{0x44f05946,0xee3f026e,0x443e00e2,0x60f8ce5b}},	//   _tà_, tným_, _wbt_, ония_, 
   {{0x7ae6dd89,0x85060399,0x6d44006d,0x629c0009}},	//   _mikt, _روان, _npia, _įrod, 
   {{0x6723090b,0x628bdd8a,0xf8be1933,0x7ae6dd8b}},	//   šnje, _elgo, ्तिय, _likt, 
   {{0x3d0f00a2,0x74130fd0,0x644add8c,0x3ea20c17}},	//   तीने_, _سونا, mefi, fikt_, 
   {{0x7ae6dd8d,0x29000089,0x6458dd8e,0xd24f009c}},	//   _nikt, kpia_, ldvi, _منم_, 
   {{0xf8be00bd,0x60187ff1,0xe80f00bc,0x00000000}},	//   ्ताय, _доля_, िरमा_, --, 
   {{0x644add8f,0x39a300b0,0x7c2e1bde,0x00000000}},	//   nefi, _कs_, ggbr, --, 
   {{0x7ae6dd90,0x20180032,0x00000000,0x00000000}},	//   _bikt, óriu_, --, --, 
   {{0x644a0156,0x27350219,0x1b0300b9,0x7bc500da}},	//   hefi, vån_, мүүн, _vyhu, 
   {{0x69c602cc,0x260b00a5,0x2eeedd91,0x78be040b}},	// [ee70] _cyke, ारसी_, _huff_, fopv, 
   {{0x644a254c,0x69c60219,0xed600009,0x6e3d0502}},	//   jefi, _dyke, įžti_, lfsb, 
   {{0x6d5d1494,0x6560098d,0xb7c50259,0xf3f10210}},	//   lvsa, _armh, фрақ, _lạc_, 
   {{0x2735022b,0x395200c8,0x200e299c,0x1a65010e}},	//   rån_, änsä_, _lefi_, _تیری_, 
   {{0x644a0226,0xee470032,0x69cf0243,0xd7fb1152}},	//   fefi, chýň_, _uzce, _губ_, 
   {{0x644add92,0x2eee0183,0x20c201d5,0xe1f7048e}},	//   gefi, _ouff_, iðis_, ीर्ण_, 
   {{0xe2996163,0xe7380080,0x93bc020f,0x66d1076d}},	//   жай_, _неё_, _scăr, råkb, 
   {{0x6aaddd93,0x661bdd94,0x645801d2,0x6e3d02b0}},	//   nnaf, _uduk, advi, jfsb, 
   {{0xd12e00eb,0x3ea20946,0xc4f8091d,0x644a02eb}},	//   لمي_, vikt_, _فعلا_, befi, 
   {{0x644add95,0x7659dd96,0x00000000,0x00000000}},	//   cefi, ldwy, --, --, 
   {{0x6d440141,0x200e03a0,0x68e702b0,0x3ea201dd}},	//   _spia, _defi_, _mijd, tikt_, 
   {{0xaf981c0f,0xada6b3a0,0x68e701c8,0xad9b003e}},	//   ятых_, дамл, _lijd, rbún, 
   {{0x7ae6dd97,0xdb1e014b,0x3ea2d70f,0x200e0054}},	//   _rikt, _vypí, rikt_, _fefi_, 
   {{0x7ae6dd98,0x3ea2383b,0x69c6dd99,0x2d82dd9a}},	//   _sikt, sikt_, _ryke, ryke_, 
   {{0xfce3dd9b,0x6441a116,0x7ae6dd9c,0x1eb60f5a}},	//   торо, _mbli, _pikt, _осиё, 
   {{0x764b0019,0x6458014b,0xfa67dc83,0x644add9d}},	//   jegy, zdvi, маск_, zefi, 
   {{0x7ae60be0,0x3ea00183,0x68e7012e,0x765902bf}},	// [ee80] _vikt, _imit_, _bijd, ddwy, 
   {{0x7ae6dd9e,0x6aad0054,0x69c600de,0x00000000}},	//   _wikt, anaf, _vyke, --, 
   {{0xd70a005e,0x7ae6dd9f,0xbcfb0019,0x2900dda0}},	//   інде_, _tikt, tvég, spia_, 
   {{0x29000ec4,0x6441dda1,0xb87b0165,0xd9100274}},	//   ppia_, _abli, _suít, _میر_, 
   {{0x644adda2,0x6aa40053,0x644100a1,0x1fba17f6}},	//   tefi, miif, _bbli, _उड्ड, 
   {{0x741403b1,0x66ec09c7,0xe1ff0503,0x61ebdda3}},	//   روبا, _aşke, ñón_, _aggl, 
   {{0x1779030f,0x200edda4,0x764bdda5,0x64581be6}},	//   _есть_, _refi_, begy, rdvi, 
   {{0x68e701c8,0x2eee040b,0x6aa402a5,0x200edda6}},	//   _zijd, _ruff_, niif, _sefi_, 
   {{0x7984b190,0x644ab408,0xb87b0068,0x248c00e2}},	//   nyiw, pefi, _guís, _tldm_, 
   {{0x3ea0006b,0x66ec0218,0x61eb8208,0x942321bd}},	//   _amit_, _eşke, _eggl, _амфе, 
   {{0x98a900ab,0x93462e02,0x2fc700f3,0x61f90090}},	//   stać_, _інде, _cyng_, _ffwl, 
   {{0xbd6b1e22,0x2ca301c8,0x6441dda7,0xe2aa022a}},	//   орге_, wijd_, _zbli, _باطن_, 
   {{0x2ca30536,0x20050529,0xbebd01dd,0x386a0237}},	//   tijd_, bbli_, brīn, _onbr_, 
   {{0x2eee0219,0x4034089f,0x6d5d0566,0x2ef20176}},	//   _tuff_, _чекс, rvsa, _иҷор, 
   {{0x68e70b32,0x2ca3012e,0x8ff72949,0x00000000}},	//   _rijd, rijd_, _غرور_, --, 
   {{0xbcfb0019,0x68e7018e,0x3ea00354,0x00000000}},	//   tvéd, _sijd, _gmit_, --, 
   {{0x6aaddda8,0x5ea400eb,0x127b00c7,0x00000000}},	// [ee90] rnaf, _جميل, קאמע, --, 
   {{0x7d0ddda9,0xd7950093,0x98a40267,0x21210110}},	//   _iwas, низъ, виђе, _मिसळ_, 
   {{0x764bddaa,0x68e701ff,0x798402a5,0x644501a4}},	//   tegy, _vijd, ayiw, õhim, 
   {{0x29191612,0x68e701c8,0x35b5ddab,0x00000000}},	//   _tvsa_, _wijd, нбер, --, 
   {{0x68e70536,0x799600ab,0x7659dd96,0x764bddac}},	//   _tijd, czyw, rdwy, regy, 
   {{0x7d0d57ff,0x752b02b0,0x00000000,0x00000000}},	//   _mwas, rugz, --, --, 
   {{0x56952b68,0x28be65f8,0xa3d902e6,0x7d0d01b8}},	//   _завт, ्तरि, ठें_, _lwas, 
   {{0xd24e00eb,0xe3b020b4,0x7d0d2835,0x67d401ff}},	//   منى_, جره_, _owas, _росу, 
   {{0x63530095,0x00e50104,0xbebd0243,0x2fc78d48}},	//   _mənə, нжин, trīn, _syng_, 
   {{0x3ea0ddad,0x644151c4,0x24996564,0xa3d700b0}},	//   _smit_, _ubli, _عناد_, _सरप_, 
   {{0x3dc91614,0x7d0dddae,0x20540f82,0x3f693b8d}},	//   _ayaw_, _awas, ттыр, чино_, 
   {{0xdd1e00d9,0x61eb1618,0x7d0dcf60,0x2018003e}},	//   _câşt, _uggl, _bwas, órir_, 
   {{0x20c2010d,0x5fd10d99,0x224d01ca,0xb80f0df2}},	//   rðir_, _हरवल, meek_, िराम_, 
   {{0x7afe0640,0x224d0a9f,0x317a027a,0x7d0d08b0}},	//   _ptpt, leek_, _מאנד, _dwas, 
   {{0xcb67111a,0x7d0d011c,0x60c10102,0xbb436cb6}},	//   наре_, _ewas, molm, лерк, 
   {{0x9f5e0098,0x60c126b6,0xa3d700a5,0x7d0d0118}},	//   natý_, lolm, _सरन_, _fwas, 
   {{0x7d0d02f0,0x59b300f6,0x6aa4ddaf,0x00000000}},	// [eea0] _gwas, гөрс, riif, --, 
   {{0x6d5697ba,0x224d01c8,0x79960035,0x9f5e0098}},	//   _isya, heek_, rzyw, hatý_, 
   {{0xbcfb0107,0x7ceb007b,0x4c8300d9,0x3f850090}},	//   rvée, _iżra, _слэв, nylu_, 
   {{0x60c105ac,0x83fc0df4,0xe6120116,0x9f5e0098}},	//   holm, _inđi, اشا_, jatý_, 
   {{0xe89b0092,0x64a608be,0xa3e2ddb0,0x3dc9006f}},	//   _çağı, нада, नेन_, _xyaw_, 
   {{0x672303ef,0x6d560102,0x39520156,0x66d10946}},	//   šnja, _msya, mwys_, råka, 
   {{0x39520156,0xe8be00a2,0x851c1f00,0xbebd0243}},	//   lwys_, ्तीच, _निकट_, rtīz, 
   {{0x09e40086,0x224dddb1,0x66e3ddb2,0x66e62c0b}},	//   _ফ্যা, geek_, _боса, _чоба, 
   {{0xa3d40cd6,0xf1db009a,0x0566401f,0x395200f8}},	//   सेज_, मेलन, _яван, nwys_, 
   {{0x7d0d0458,0x80ca0083,0x89370070,0xf3f10108}},	//   _rwas, _सीखे, עריע_, _hạn_, 
   {{0x6d56ddb3,0x6e95ddb4,0x224d61d9,0xbfaa0080}},	//   _asya, вину, beek_, ятие_, 
   {{0x645addb5,0xf3ff00e7,0x63b70218,0x649401fd}},	//   _hati, _đãi_, şanê, _bàig, 
   {{0x645a1bb2,0x83fc02fe,0x225100bc,0x9d181cc1}},	//   _kati, _anđi, ánků_, ноят_, 
   {{0x645addb6,0x60c11e0c,0x635306d0,0x91e31730}},	//   _jati, colm, _sənə, _соче, 
   {{0xaa6749ac,0x5b241632,0x645a1738,0x66d102ae}},	//   нтак, льта, _mati, dåkn, 
   {{0x645addb7,0x8aa4041c,0x7d0dba49,0x7af50065}},	//   _lati, груд, _twas, rqzt, 
   {{0x7e6dddb8,0x7ebd010e,0xc9840978,0x7d0d08dc}},	// [eeb0] _inap, képz, луфи, _uwas, 
   {{0x645addb9,0x6af51a57,0x6f0d0083,0x7e6d01d5}},	//   _nati, _изоф, _łaci, _hnap, 
   {{0x7e6d0343,0xf3f100e7,0x473521f9,0x9f5e0126}},	//   _knap, _bạn_, тнес, mató_, 
   {{0x9f5e1048,0x5694ddba,0x649401c5,0x224dddb1}},	//   lató_, лахт, _làid, xeek_, 
   {{0xddc400d9,0xdfc601e5,0x7e6d6089,0xe3b800ad}},	//   _iniţ, _چي_, _mnap, _axı_, 
   {{0x645addbb,0x224d1698,0xb4bb01a4,0x03a50176}},	//   _cati, week_, घवे_, кило, 
   {{0x60c1ddbc,0x224dddbd,0x7e6dddbe,0x67d4151a}},	//   volm, teek_, _onap, _бору, 
   {{0x9f5e0019,0x752400d0,0x59d502e6,0xd90e0019}},	//   ható_, šiza, _दरार, _دیے_, 
   {{0xb3eb0491,0x224d4f5d,0x649401f5,0x60c1ddbf}},	//   _فعال_, reek_, _bàid, tolm, 
   {{0x7e6d0e50,0x224d0237,0xe7c50662,0x6d56033e}},	//   _anap, seek_, _वडाप, _rsya, 
   {{0x765b012b,0xb4cd2002,0x60c1ddc0,0x3d0f109f}},	//   _kauy, रती_, rolm, तीसे_, 
   {{0x645addc1,0x7e6d3df3,0xdc0a0179,0x41750038}},	//   _zati, _cnap, वर्ड_, _لاتس, 
   {{0x50b5ddc2,0xe1f0155f,0x69cb0380,0x649401be}},	//   _иску, _اسم_, ügel, _fàid, 
   {{0x645addc3,0x64940673,0x9f5e010e,0xa0a500f0}},	//   _xati, _gàid, gató_, _шалд, 
   {{0xaac632b7,0x80ca0083,0x00000000,0x00000000}},	//   نترن, _सीटे, --, --, 
   {{0x7e6d0036,0x00000000,0x00000000,0x00000000}},	//   _gnap, --, --, --, 
   {{0x61fb0681,0xea000023,0xc21200d1,0x66d802d9}},	// [eec0] icul, _ngất_, יהן_, níke, 
   {{0xe9d790cd,0x3952018c,0x66ec0095,0x7c851b11}},	//   тку_, rwys_, _aşka, _буџе, 
   {{0x645a7491,0xc8b54547,0xe3b804d6,0x8c1b2737}},	//   _rati, усты, _adın_, _קוטי, 
   {{0x9bb700a7,0x68ed012d,0x645addc4,0x067500b3}},	//   _יהיה_, _žodž, _sati, лучя, 
   {{0x645addc5,0x95530038,0x89d50259,0x00000000}},	//   _pati, لخوا, _бірш, --, 
   {{0x645a58bc,0x00000000,0x00000000,0x00000000}},	//   _qati, --, --, --, 
   {{0x18a3286f,0x07a6ddc6,0x98a3ddc7,0x039600fd}},	//   _тарм, _равн, _тире, ърдя, 
   {{0x645addc8,0xcb1300a7,0x35730019,0xaad80249}},	//   _wati, בלה_, _چھوڑ, _भीमक, 
   {{0x645addc9,0x273c00e1,0x649401be,0xdb1e0080}},	//   _tati, lín_, _pàid, _hypä, 
   {{0x61fb41e2,0xdb1e0080,0x00000000,0x00000000}},	//   acul, _kypä, --, --, 
   {{0x273c6db5,0x765b011c,0x00000000,0x00000000}},	//   nín_, _yauy, --, --, 
   {{0xb283ddca,0x29020082,0x6f1a243f,0xa3d7119b}},	//   _вышк, _otka_, rstc, _सरत_, 
   {{0x9f5e0019,0x7e6d0352,0x273c007a,0x7ae301e5}},	//   tató_, _vnap, hín_, _ènti, 
   {{0x273c4202,0x9f34004e,0x00000000,0x00000000}},	//   kín_, _бекі, --, --, 
   {{0x9f5e03a1,0x273c0228,0x6efe0243,0x2ac70bad}},	//   rató_, jín_, _bībe, вљав, 
   {{0x316603ef,0x273c0187,0x77610068,0x9ab400e4}},	//   _kroz_, dín_, _álxi, айсц, 
   {{0x224600d4,0x2ab7003d,0x9f5e0369,0x00000000}},	// [eed0] _mbok_, għba_, pató_, --, 
   {{0x7d1b23fc,0x273c41e4,0x765b002c,0x634a0095}},	//   áusu, fín_, _sauy, _kənd, 
   {{0xb8fa1a4e,0x27e70219,0x22460035,0x8b6737e5}},	//   _डी_, änn_, _obok_, _شادم, 
   {{0x672302f5,0x634a00ad,0xbebd01dd,0x316601d6}},	//   šnjo, _zəng, drīk, _oroz_, 
   {{0x454500eb,0x961d01dd,0x7c4a00fc,0x00000000}},	//   انتق, _noņe, _åprø, --, 
   {{0xb4cd0f01,0x85b80038,0x22460175,0x273cddcb}},	//   रते_, خامس_, _abok_, bín_, 
   {{0x44290fc1,0x273cddcc,0x00000000,0x00000000}},	//   ğa_, cín_, --, --, 
   {{0x44292037,0x31660112,0xf3f10108,0xe8e00108}},	//   şa_, _broz_, _tạo_, _đỉa_, 
   {{0x1015041c,0xe28e004e,0x83fc0097,0x649401fd}},	//   льня, _ға_, _anđu, _dàib, 
   {{0x44f9011c,0x20550163,0x9966009e,0x634a00ad}},	//   _iè_, утир, hîşt_, _bənd, 
   {{0x7c38022b,0x44f9001b,0x9eaabea7,0x634a0095}},	//   _övri, _hè_, евна_, _rəng, 
   {{0x44f90cd7,0x2e84035b,0x00000000,0x00000000}},	//   _kè_, рғиб, --, --, 
   {{0x273c247e,0x25e60035,0x44f905d5,0x7c2808b2}},	//   zín_, जेपी_, _jè_, ódro, 
   {{0x44f9ddcd,0x6cd600eb,0x213f0065,0x225f9388}},	//   _mè_, اقسا, mtuh_, lduk_, 
   {{0x44f9158b,0xeb9addce,0x273c6be9,0x00000000}},	//   _lè_, хив_, xín_, --, 
   {{0x273c0228,0x00000000,0x00000000,0x00000000}},	//   vín_, --, --, --, 
   {{0x213f1237,0x44f9ddcf,0x6e24ddd0,0x66d10f5b}},	// [eee0] ntuh_, _nè_, _idib, råkl, 
   {{0x273c3b84,0x7d04ddd1,0x2796004e,0xc8ca0491}},	//   tín_, _itis, лшер, روان_, 
   {{0xfaa6bac4,0xbcfbddd2,0xe7f500a5,0xa6e90108}},	//   _бано, nvén, ेड़ा_, _thự, 
   {{0x273c0afb,0x225fddd3,0x44f9001b,0x2b5a00b9}},	//   rín_, jduk_, _bè_, _ispc_, 
   {{0x76423107,0x5558ddd4,0x225f0065,0x44f901d8}},	//   rfoy, таля_, dduk_, _cè_, 
   {{0x44f9ddd5,0x2a60007e,0x273c3b75,0x39400009}},	//   _dè_, ldib_, pín_, mtis_, 
   {{0x439400e4,0x66190035,0x925881fd,0x260b009a}},	//   райс, bawk, вайт_, ारखी_, 
   {{0x44f90cbf,0x6e245c7a,0x6b81004f,0x39400028}},	//   _fè_, _ndib, ølgi, otis_, 
   {{0x3940ddd6,0xc610072f,0x225d0405,0x44f903a0}},	//   ntis_, ारीय_, _dawk_, _gè_, 
   {{0x6e24ddd7,0x395700a7,0x39400009,0x68ee003d}},	//   _adib, נשים_, itis_, _jibd, 
   {{0x7d04ddd8,0x44f903a0,0x394000b0,0x81e50033}},	//   _atis, _zè_, htis_, বুল_, 
   {{0x44f90300,0x3940d95d,0x68ee01ff,0x00000000}},	//   _yè_, ktis_, _libd, --, 
   {{0xb5fd310d,0x2a60008a,0xeda700cd,0x6e240156}},	//   _inšt, ddib_, ушно, _ddib, 
   {{0x6e240095,0x3137042c,0xbebd01dd,0x68ee00a4}},	//   _edib, _ערוך_, ksīg, _nibd, 
   {{0x7d0400cf,0x39402409,0x7f5841ef,0x225d011c}},	//   _etis, etis_, _райс_, _yawk_, 
   {{0x2b5a00b9,0x8c4400ad,0x5a3401d8,0xaa58bac4}},	//   _dspc_, əşmi, йнст, лису_, 
   {{0xf8070c0f,0x6448014b,0x39400009,0x481500a3}},	// [eef0] гчен, _obdi, gtis_, имас, 
   {{0xddc403ef,0x634a0095,0x6d4d134a,0xe3b80384}},	//   _uniš, _mənb, _ipaa, _adım_, 
   {{0x44f9ddd9,0x501b00a7,0x68ee0c36,0x2a600c36}},	//   _sè_, גובו, _dibd, bdib_, 
   {{0x44f906df,0xb4bf016a,0xa93500f0,0x394003dd}},	//   _pè_, ीत्_, _кемш, btis_, 
   {{0xfd1f01d8,0xbcfb0019,0xd90f0c30,0xa3e24f69}},	//   nsì_, zvén, _ریا_, नेस_, 
   {{0x29090088,0x638500c8,0x44f90300,0x1abd0086}},	//   mpaa_, игла, _vè_, _আওয়া, 
   {{0x44f9158b,0xe299db6e,0xe8d600a7,0x7af7ddda}},	//   _wè_, как_, _כושר_, _juxt, 
   {{0x44f90cd7,0x312500cf,0x7af732b1,0x00000000}},	//   _tè_, адиг, _muxt, --, 
   {{0x81a800cc,0x7aef045a,0x225fdddb,0xdbe208dd}},	//   _খুব_, _mict, rduk_, _खण्ड_, 
   {{0xe8e00029,0x69cf2279,0x65690379,0x10a50229}},	//   _địa_, _myce, _ireh, рион, 
   {{0x7d0499bd,0x6d4d57e9,0x32550fac,0x6b4c010e}},	//   _stis, _apaa, _ввер, _mögö, 
   {{0xbcfb0019,0x7c25006c,0x3940dddc,0x12e700f0}},	//   rvén, _adhr, ytis_, _сізг, 
   {{0x76490053,0x320d0096,0x69cf0237,0x46560147}},	//   _mbey, mbey_, _nyce, בױרן_, 
   {{0xafe5dddd,0xab2a44fa,0xc19a00d1,0x7d04a090}},	//   _колл, кога_, _בשני, _vtis, 
   {{0x2caaddde,0x76490300,0x93bc00b3,0x44255ddf}},	//   ribd_, _obey, _scăz, _mdl_, 
   {{0x3940dddf,0x44255bb1,0x6926049b,0x6569dde0}},	//   ttis_, _ldl_, имба, _oreh, 
   {{0x7d040571,0xe8f700b9,0x7aef4ba9,0x7821009a}},	// [ef00] _utis, илт_, _dict, मणूक_, 
   {{0x3940dde1,0xed4f00d4,0xd8260093,0xdce45c6e}},	//   rtis_, _کپی_, рджи, _krič, 
   {{0x3940dde2,0x656936e8,0x7aefdde3,0x649400b9}},	//   stis_, _areh, _fict, _nàia, 
   {{0x05660577,0x550639f7,0x3940dde4,0x83fc00ca}},	//   ивен, ачка, ptis_, _mađe, 
   {{0x68ee0405,0x7ae46ff5,0x83fc0082,0x09e40033}},	//   _tibd, mmit, _lađe, _ফ্রা, 
   {{0x6569dde5,0x7ae447c3,0x7af70126,0x3afc0023}},	//   _dreh, lmit, _yuxt, _kíp_, 
   {{0x83fc14f0,0x23480a24,0x4425dde6,0xfdd302e6}},	//   _nađe, استی_, _ddl_, _सर्फ, 
   {{0x7ae4dde7,0x6b8303a1,0x59ba02e6,0xa2ab009a}},	//   nmit, _ànge, _इशार, _जगण्, 
   {{0x65698aba,0x7ae4dde8,0x3afc3529,0x212d011c}},	//   _greh, imit, _líp_, greh_, 
   {{0x7ae4dde9,0x64a303aa,0x4425ddea,0x53a6ddeb}},	//   hmit, _дауа, _gdl_, _казб, 
   {{0x6d4d0af8,0xa3e2743c,0x7e7d0065,0x260b009a}},	//   _spaa, नेश_, tjsp, ारची_, 
   {{0xdfd4005e,0x2d8b00ab,0x614600e4,0x7ae4203b}},	//   _қойы, tyce_, _веда, jmit, 
   {{0xa3e21d5b,0x3eabddec,0xfd47012d,0xa2ab176d}},	//   नेर_, rict_, шэнн, _जगत्, 
   {{0x634a06d0,0x7af7dded,0xc0e3ddee,0x7ae4ddef}},	//   _gənc, _puxt, _дочк, emit, 
   {{0x0b88ddf0,0x8aa7ddf1,0x7aefddf2,0x83fc05ae}},	//   асти_, арад, _pict, _gađe, 
   {{0x7ae40495,0xbea42189,0x19590161,0xb5fdddf3}},	//   gmit, _мајк, лабы_, _kaše, 
   {{0x3ea9ddf4,0x6b5c0164,0x7aefb61c,0xdd91009c}},	// [ef10] _imat_, _pågå, _vict, _رود_, 
   {{0xf807b89d,0x7af7ddf5,0xa3d743f5,0x69cf0098}},	//   рчан, _tuxt, _सरल_, _vyce, 
   {{0xd7f80161,0x7ce0014e,0x29090053,0x66ca0032}},	//   руу_, förf, spaa_, výkr, 
   {{0xd24617c1,0x65690c7e,0xb87b240c,0x290900c8}},	//   _عن_, _preh, _juíz, ppaa_, 
   {{0x44251192,0xbebd00e0,0x6aad01a7,0x00000000}},	//   _pdl_, brīv, miaf, --, 
   {{0xe787ddf6,0xbebd00e0,0x58d40093,0x798d0539}},	//   _кубо, nsīb, _моят, myaw, 
   {{0xd7950084,0x3ea9824f,0xa3d7009a,0xd763009c}},	//   _الأخ, _omat_, _सरळ_, _بنزی, 
   {{0x163427a6,0x83fc01b4,0xb5fd76fc,0xfbb8042c}},	//   _меся, _rađe, _baše, יפות_, 
   {{0x83fc0613,0x798d6de0,0x00c902f1,0x320d5c0d}},	//   _sađe, nyaw, ллик_, rbey_, 
   {{0xdce409c4,0x3ea9a662,0xf1b9090b,0x7ae42250}},	//   _prič, _amat_, jaše_, zmit, 
   {{0xb4e3271a,0xd3a79a51,0xaec6ddf7,0xf1b9015e}},	//   नगी_, _трап, йбол, daše_, 
   {{0x1d0a255c,0x83fc0112,0xeb9a1753,0xbebd00e0}},	//   леми_, _vađe, қиб_, esīb, 
   {{0x4129142c,0x2485007e,0x26cd095a,0xaa7b0098}},	//   _соло_, _kolm_, _mkeo_, _ohýb, 
   {{0xdce4026e,0xfc035048,0xf1b9053d,0x3ea9023e}},	//   _trič, зпро, gaše_, _emat_, 
   {{0xeb97ddf8,0x634a0095,0xdca3a5c2,0x6aad0379}},	//   бир_, _kəna, чари, fiaf, 
   {{0xed5a9690,0x629b00c8,0xee3a8b64,0x6d41020f}},	//   _бои_, nhuo, _сни_, ălar, 
   {{0xe9da0cd9,0xdca602f1,0x634a0095,0xc3110033}},	// [ef20] ука_, _гапи, _məna, সূচি_, 
   {{0xc6100527,0xaa7b0228,0x3afc0108,0x7d7b027a}},	//   ार्य_, _chýb, _típ_, _עניו, 
   {{0x98a002fe,0x41ce031e,0x91c96410,0xe7e32fcf}},	//   hrić_, _हुनस, _हुसै, केला_, 
   {{0x98a00267,0xb87b03da,0x26df0010,0x649401fd}},	//   krić_, _xuíz, _chuo_, _càin, 
   {{0x98a00bfc,0x649400a1,0xa3f41003,0x94aaddf9}},	//   jrić_, _dàin, оплі, лтка_, 
   {{0xb8960084,0x98a00062,0x26cd023a,0x649400a1}},	//   _السع, drić_, _ekeo_, _eàin, 
   {{0xa3e2072d,0x649401fd,0x7ce00844,0xa2788596}},	//   नें_, _fàin, mörd, ибку_, 
   {{0xe6431b85,0x634a00ad,0xb5fd1f04,0x2ee0018e}},	//   _несп, _cəna, _paše, _nhif_, 
   {{0xd01000eb,0x90986e8c,0xb5fd0217,0x66e38835}},	//   ولة_, ивит_, _inšp, _хота, 
   {{0xb87b03da,0x3ea927a2,0x656f0068,0x212bddfa}},	//   _suíz, _smat_, _ácha, ácha_, 
   {{0x443e5bb1,0x66d8026e,0x7522071c,0xf1b905ae}},	//   _ict_, níko, lsoz, vaše_, 
   {{0x6602ddfb,0x7d160156,0x7ce01709,0x98a01a35}},	//   ncok, _bwys, hörd, brić_, 
   {{0xf1b90112,0x60c87161,0x443e019c,0xdceb0032}},	//   taše_, podm, _kct_, žičo, 
   {{0x672300f1,0xc0aa017a,0x98a9090e,0xfaf30038}},	//   šnji, _حاصل_, trač_, كثر_, 
   {{0x6602085b,0x6aad846e,0xf1b90528,0x00000000}},	//   kcok, tiaf, raše_, --, 
   {{0x3ea9090a,0x7d790019,0x66d8253f,0x75222ea0}},	//   _umat_, _نمبر_, díko, ksoz, 
   {{0x443eddfc,0x7ce01774,0x64940465,0xad9b01d5}},	// [ef30] _oct_, förd, _ràin, rbús, 
   {{0x798d067c,0x6d5f00c3,0x81e50086,0x7b1900b3}},	//   ryaw, _isqa, বুক_, _коор_, 
   {{0x23a7143e,0x798d12c7,0xa715004e,0x69c10035}},	//   _केंद, syaw, імді, _śled, 
   {{0x3eb94e41,0xf7700040,0x443eddfd,0x00000000}},	//   nnst_, عال_, _act_, --, 
   {{0x201e65be,0x2a3a0137,0xa2c73cae,0x3eb900a7}},	//   kati_, _דערמ, ावस्, inst_, 
   {{0x98a0034c,0xd4695258,0x634a00ad,0x443e0534}},	//   vrić_, рике_, _səna, _cct_, 
   {{0xa5c300ab,0x26df0226,0x629b4b0f,0xd6dbddfe}},	//   _łódz, _thuo_, thuo, _бта_, 
   {{0xcfce00cc,0x3863ddff,0x98a00b1d,0x7ce00f71}},	//   রধান, _hajr_, trić_, möre, 
   {{0x443e0183,0x201ede00,0x2ee00156,0x7ce0323c}},	//   _fct_, fati_, _rhif_, löre, 
   {{0x201ede01,0x2ed20df2,0x3eb942ba,0x4f2525a1}},	//   gati_, सत्त, enst_, одоб, 
   {{0x661bde02,0x7ce00219,0x56b500c7,0x09ad0033}},	//   _keuk, nöre, ַפֿן_, _কুমা, 
   {{0x7d1602bf,0x25f00b79,0x7af8010e,0x661b11da}},	//   _pwys, ुँची_, _évti, _jeuk, 
   {{0x7ce001c4,0x7c3e0082,0x661b0175,0xb5fd0604}},	//   höre, _pcpr, _meuk, _zašc, 
   {{0x201ede03,0x7ce00f71,0x661b6b01,0xb87b03dd}},	//   cati_, köre, _leuk, _guíx, 
   {{0xe5190509,0x28bf1f36,0x46c900bc,0x00000000}},	//   नीति_, ्वनि, िकाह, --, 
   {{0x83fc00f1,0x661bde04,0xd01e0033,0x4af900b3}},	//   _mađa, _neuk, _দায়_, сэря_, 
   {{0xed5a762b,0xd9436138,0x7ce0de05,0x83fc02c7}},	// [ef40] _топ_, мети, törd, _lađa, 
   {{0x7ce0014e,0x7e645a99,0x649401fd,0x2b3a00d9}},	//   före, _haip, _càil, _кямэ_, 
   {{0x661b11e9,0x7e64de06,0xc81500dd,0x7ce0de07}},	//   _beuk, _kaip, яєть, göre, 
   {{0x7e64de08,0x7bde7f9e,0x661b0096,0x443ede09}},	//   _jaip, _izpu, _ceuk, _sct_, 
   {{0x201e00cf,0x7e642282,0x661b005f,0x634a00ad}},	//   yati_, _maip, _deuk, _cənn, 
   {{0x6d46cc9c,0x7e6424a5,0x6c7a00c7,0x7522de0a}},	//   itka, _laip, שאַפ, rsoz, 
   {{0x6d465472,0x0eca10b0,0x00000000,0x00000000}},	//   htka, रवाड, --, --, 
   {{0x09de148e,0x3a20de0b,0x7e64de0c,0x6d4632fe}},	//   _मराठ, naip_, _naip, ktka, 
   {{0x443e8056,0x6d44006d,0x6d46de0d,0xa5077721}},	//   _tct_, _nqia, jtka, _мета_, 
   {{0xdb1e026d,0x7e76de0e,0xb87b0183,0xf4870109}},	//   _expé, _anyp, _quíx, _والی, 
   {{0xd7d002f8,0x83fc034c,0xe3e800d4,0xa2c73b5e}},	//   _तुमच, _gađa, _اکشن_, ावश्, 
   {{0xb5fd090b,0x7e64de0f,0xeeabb42c,0xbcfb007a}},	//   _kaša, _caip, рток_, lvéi, 
   {{0x201e6bcb,0xb5fd090b,0x6fca18df,0x649401c5}},	//   pati_, _jaša, _सुरू, _làim, 
   {{0xcce7057f,0x6458134e,0xb5fd02fe,0x290002a2}},	//   تسجي, nevi, _maša, dqia_, 
   {{0x6d460730,0xf1b905ae,0x7ce0014e,0x6e950ab5}},	//   atka, maša_, förb, _нику, 
   {{0x386dde10,0x645800a9,0x201c01a7,0x6560039b}},	//   _şer_, hevi, _hevi_, _osmh, 
   {{0x6458de11,0xb5fd14f0,0x201c01a7,0x14ca02d9}},	// [ef50] kevi, _naša, _kevi_, ाकाण, 
   {{0x64584291,0x7ce0074b,0xf1b90688,0x661bde12}},	//   jevi, töre, naša_, _seuk, 
   {{0x656000a1,0x2bd2009a,0x7e64095a,0x661b0080}},	//   _asmh, _दुपा, _yaip, _peuk, 
   {{0x6e3d0f03,0x201cde13,0x83fc0112,0xb5fd0a1a}},	//   ngsb, _levi_, _rađa, _baša, 
   {{0x260a000f,0x3d0f00a2,0x7ce002ae,0xa4d5017b}},	//   ाड़ी_, तीचे_, söre, поді, 
   {{0x6458de14,0xf1b900d0,0xb5fd0588,0x32060379}},	//   gevi, jaša_, _daša, _afoy_, 
   {{0x68fd0c43,0x661b6e9f,0xf1b900ca,0xa3570296}},	//   _husd, _teuk, daša_, تیاط_, 
   {{0x201c02fe,0x644a02a3,0x3bbc00a7,0x67255990}},	//   _aevi_, affi, ימוד, mshj, 
   {{0xdb0a0076,0x6458de15,0xa3d7034d,0x201c8a39}},	//   čnéh, bevi, _सरक_, _bevi_, 
   {{0xd24e00d6,0x6458de16,0xf1b9032f,0x201c0d77}},	//   پنی_, cevi, gaša_, _cevi_, 
   {{0x201cde17,0x7e640465,0x4abd0e7d,0x5f0500e4}},	//   _devi_, _paip, ्काव, язна, 
   {{0xed5a268e,0x6d4605ec,0x765900f8,0x649d00f6}},	//   бом_, ttka, newy, _dèie, 
   {{0xdd920133,0xf1b9015e,0x6d46de18,0x239001dd}},	//   روس_, baša_, utka, _vējš_, 
   {{0x8fa590cd,0xe0d8004f,0x7e64095a,0x649d00f6}},	//   _нале, _дві_, _waip, _fèie, 
   {{0x68fd02f2,0x3a20012d,0x7e64de19,0x8f7501fc}},	//   _ausd, taip_, _taip, _хулі, 
   {{0x68f500e0,0x672568ed,0x7fe817bc,0x244f0ef3}},	//   _aizd, dshj, _ظروف_, lımı_, 
   {{0x68f5de1a,0x645806d0,0xdeb700a7,0x3a200038}},	// [ef60] _bizd, yevi, _מפקח_, raip_, 
   {{0x244f05b7,0x29000034,0xf1ce00a5,0xada40176}},	//   nımı_, rqia_, _हँसन, _нақл, 
   {{0x68f57308,0xabfb0486,0xdb240444,0x6458238e}},	//   _dizd, _להיר, _توجی, vevi, 
   {{0xb5fd2a68,0x76590326,0x7b050032,0x6441de1b}},	//   _paša, gewy, žuté, _acli, 
   {{0x68fd0045,0x244f01f0,0x2007c4db,0x00000000}},	//   _gusd, kımı_, _ofni_, --, 
   {{0x64a3de1c,0x7afe01ee,0xb4d6215e,0xb5fd2cd9}},	//   нача, _kupt, सते_, _vaša, 
   {{0x289b00fe,0x2f01de1d,0x201c03a0,0x644a00f8}},	//   _פילא, _nóg_, _revi_, rffi, 
   {{0x6458de1e,0x201cde1f,0x2007016a,0x4ece0033}},	//   sevi, _sevi_, _afni_, রগুল, 
   {{0x7afe002e,0xe5a300b3,0x65a601ff,0x00000000}},	//   _lupt, _зити, _mаhk, --, 
   {{0x2bd20c14,0x6722002a,0xf8cc00ab,0xf99f00b9}},	//   _दुभा, ņoju, ़किय, _ofèn_, 
   {{0x7afe1c24,0x442c4900,0xb5fd2cb7,0x0f23de20}},	//   _nupt, _idd_, _mašn, ньям, 
   {{0x2007010d,0x3f82090e,0x649d00b9,0x321d0ff2}},	//   _efni_, ćku_, _vèie, _gewy_, 
   {{0x201c9969,0x3ea4024a,0x6d5d01c8,0x442c0126}},	//   _tevi_, ëjta_, uwsa, _kdd_, 
   {{0xe7be17f6,0x68fdde21,0x6725021e,0x442c0106}},	//   ्थाप, _rusd, yshj, _jdd_, 
   {{0x442c5afe,0x7afe00d9,0x66d8008c,0x68fd0248}},	//   _mdd_, _cupt, ríkj, _susd, 
   {{0x628606a6,0x68f5095e,0x68fdde22,0x290b0175}},	//   ökoh, _sizd, _pusd, _ptca_, 
   {{0x83fc00d2,0x68f5de23,0x6e2d0532,0xf8b10274}},	// [ef70] _nađo, _pizd, _idab, نکس_, 
   {{0x7d0dd842,0xd7fb011f,0xb4d6009a,0x00000000}},	//   _itas, суа_, सतो_, --, 
   {{0x59f9030f,0xf0930137,0xb5fd00ef,0x7afe08a8}},	//   _меня_, ענע_, _dašn, _gupt, 
   {{0x442c0056,0x940c06d0,0xe7303147,0xddcd008b}},	//   _add_, _ildə_, اصل_, _znaš, 
   {{0x290b0019,0xb5fd0242,0xd12600b8,0x442c0151}},	//   _utca_, _fašn, _جم_, _bdd_, 
   {{0x2a690077,0x3949de24,0x442c0107,0xddcd02a5}},	//   ldab_, mtas_, _cdd_, _abaŋ, 
   {{0x3949de25,0x6e2d02f5,0x64410348,0x2298011c}},	//   ltas_, _odab, _vcli, _céko_, 
   {{0x442c11a9,0x2a690077,0x3949012d,0x6e2d0579}},	//   _edd_, ndab_, otas_, _ndab, 
   {{0x3949de26,0x7ce00219,0x244f008f,0x7d0d02b8}},	//   ntas_, höra, tımı_, _ntas, 
   {{0x6e2d85a0,0x2f01007a,0x644101be,0xc8bf4899}},	//   _adab, _póg_, _ucli, ्विट, 
   {{0xd25100eb,0x244f05b7,0x09ba07d5,0x3949de27}},	//   _لنا_, rımı_, _इश्य, htas_, 
   {{0x3949de28,0xddcd0112,0x2a69006d,0x656d0032}},	//   ktas_, _snaš, jdab_, ťahu, 
   {{0xe0cede29,0x5045a939,0x244f027e,0x3949de2a}},	//   _ав_, _желб, pımı_, jtas_, 
   {{0x442cde2b,0x7ce0014e,0x26cf6dff,0x6e2d01e5}},	//   _xdd_, föra, hogo_, _edab, 
   {{0xcee90f1c,0x38ad0264,0x316d48ea,0xb5fd09b2}},	//   ترین_, _görə_, lvez_, _našo, 
   {{0x628bde2c,0xa3e235ff,0x394950c2,0x3b0702a0}},	//   _jogo, नेट_, ftas_, ќето_, 
   {{0x628b11c8,0x26cf086d,0x3949de2d,0xb5fdde2e}},	// [ef80] _mogo, dogo_, gtas_, _pašn, 
   {{0x6609de2f,0xddc40254,0x316d0212,0x00000000}},	//   _afek, _kniž, ivez_, --, 
   {{0x3949de30,0x26cfde31,0x7529245e,0xfaa66fba}},	//   atas_, fogo_, _avez, _жано, 
   {{0x628b333b,0x26cf0907,0xbc3a010e,0x00000000}},	//   _nogo, gogo_, _اسکا_, --, 
   {{0x39490a47,0x64a63e6f,0xb5fd2873,0x6d940228}},	//   ctas_, мада, _tašn, _fľaš, 
   {{0x628b0180,0x69c6008a,0x6d56018e,0x29121a1f}},	//   _aogo, _ixke, _mpya, mpya_, 
   {{0x628bde32,0xbcfb0019,0x66d12104,0x26cfb5b1}},	//   _bogo, lvét, råkr, bogo_, 
   {{0x628bda07,0xa686012d,0x22429761,0xf99f0237}},	//   _cogo, _ўлад, ükk_, _ofèl_, 
   {{0x041d0086,0x442c1e65,0xb5fd0098,0x50f417d9}},	//   _নারী_, _tdd_, _mašl, нзит, 
   {{0x7d0d00cf,0x6e2d0054,0x22980096,0x442c02c5}},	//   _rtas, _sdab, _téko_, _udd_, 
   {{0x7529cd4d,0xf83700a7,0xdeb50088,0x628bde33}},	//   _zvez, ונית_, ебны, _fogo, 
   {{0xe7e6006a,0x628bde34,0x3949012d,0x634a0095}},	//   _करना_, _gogo, ytas_, _lənk, 
   {{0x41e20367,0xf1e200e6,0x008600f6,0x39490684}},	//   _परिस, _परिन, _олдо, xtas_, 
   {{0xa3e504cc,0xdb1e0183,0x628b3118,0x7ce01cc9}},	//   _नरम_, _expí, _zogo, töra, 
   {{0xdfd000eb,0xb5fd00ef,0x1bd41231,0x2a790065}},	//   _حيث_, _bašl, воря, _pnsb_, 
   {{0x628b09a1,0x39497be4,0x2eca000c,0xdced034c}},	//   _xogo, ttas_, रवृत, _irač, 
   {{0xdced0076,0xddc40217,0x3949de35,0x7d0dde36}},	// [ef90] _hrač, _zniž, utas_, _utas, 
   {{0x7bc50e0c,0x7bc00213,0xb5fd6ac0,0xdced0604}},	//   _txhu, ğmur, _pašo, _krač, 
   {{0xe7ea0081,0x870400dd,0x26cf016c,0xea000108}},	//   झेला_, вяче, togo_, _ngặt_, 
   {{0xdced0704,0x3949de37,0xb5fd7bdc,0xa3e2031e}},	//   _mrač, ptas_, _vašo, नेछ_, 
   {{0x6abd017d,0xdd320095,0xd90f0274,0x27ff0241}},	//   ्कीर, _məşq, _ضیا_, _şunu_, 
   {{0x628bde38,0xd91a00a7,0xb5fdaaf3,0x7ce012b7}},	//   _sogo, _מושל, _zašl, hörn, 
   {{0x628b030d,0x7ce0de39,0xe299b1d5,0x61e20104}},	//   _pogo, körn, зай_, _azol, 
   {{0xc245de3a,0x7ce0008c,0x26d90042,0x28bf959d}},	//   хник, jörn, _óso_, ्ववि, 
   {{0x75290d26,0x316d026d,0x628b1612,0xddc483e3}},	//   _uvez, uvez_, _vogo, _sniž, 
   {{0xdced08b1,0x93bc00d9,0x628b6dda,0x316dde3b}},	//   _brač, _adău, _wogo, rvez_, 
   {{0x7aedde3c,0xc0a81057,0x61e2052b,0xe7e3009a}},	//   kmat, بايل_, _ezol, केचा_, 
   {{0x439402b9,0xed5ade3d,0xdced17a2,0xdca300a3}},	//   _шахс, пом_, _drač, қаси, 
   {{0x7aedde3e,0xdb0a031e,0xb5fd032f,0x8d760038}},	//   dmat, čníh, _našm, راحا, 
   {{0x61421cc1,0x66d8003e,0xddc401f2,0xdced0144}},	//   _сеша, ríki, _iniż, _frač, 
   {{0xdced003a,0x25a60065,0xb5fd01dd,0x00000000}},	//   _grač, zzol_, _pašl, --, 
   {{0xdce40ab4,0xb8660116,0x00000000,0x00000000}},	//   _orić, کارو, --, --, 
   {{0xdced2c85,0x6e26de3f,0x510c0070,0x38a40380}},	// [efa0] _zrač, makb, ַהאַ, _jörg_, 
   {{0x6e26de40,0x7aedde41,0xab660451,0x07a6aa94}},	//   lakb, amat, _звол, назн, 
   {{0x6f0b00d9,0xb5fd00ef,0x3ea015b7,0x7aed00bd}},	//   _încă, _tašl, _klit_, bmat, 
   {{0x6e26129f,0xd7ef0038,0xe1e715fd,0x98c0027e}},	//   nakb, حكم_, _مس_, ırıp_, 
   {{0xbcfbde42,0x3ea0008a,0x66d1076d,0x6aa4025b}},	//   lvér, _mlit_, råkp, mhif, 
   {{0x34ca00a5,0x3ea0022c,0x6e26aadd,0xdc3d0304}},	//   ाकेद, _llit_, hakb, ršću, 
   {{0x61e2006b,0xbcfbde43,0x37e3de44,0xcc3b0070}},	//   _szol, nvér, _борг, לעסט, 
   {{0x29020088,0x71782d60,0x7549039f,0x00000000}},	//   _kuka_, дбир_, öszö, --, 
   {{0x5bbd176c,0x634a06d0,0x6e26085b,0x75f60248}},	//   _ईश्व, _məni, dakb, _düzü, 
   {{0x7aed00cf,0x290215da,0x3ea042f2,0xdced14d9}},	//   zmat, _muka_, _alit_, _prač, 
   {{0xdd94004e,0x7aedde45,0x93aa07cf,0x7ce041da}},	//   қары, ymat, _عاطف_, törn, 
   {{0xdced6ac6,0x76421ab0,0x7aed01ff,0x7ce002ae}},	//   _vrač, ngoy, xmat, föro, 
   {{0x7aedde46,0x656201c4,0xf8bf00bc,0x6aa4de47}},	//   vmat, nwoh, _svém_, dhif, 
   {{0xe04a00c5,0x7aedde48,0x7eb61ba0,0xbddb0212}},	//   _رشته_, wmat, ršpa, ffèr, 
   {{0xdced034c,0x7aed639b,0x75f601f0,0xdc740504}},	//   _urač, tmat, _yüzü, ыгры, 
   {{0xb5fd01dd,0x6aa40036,0x7aed11b4,0x65620027}},	//   _pašm, ghif, umat, kwoh, 
   {{0x7aedde49,0x200b006a,0x1958de4a,0x634a0095}},	// [efb0] rmat, ście_, наты_, _dəni, 
   {{0x2902de4b,0x26c40704,0x290f00e0,0x64ca00bd}},	//   _duka_, _ajmo_, īga_, ाकोश, 
   {{0xdce40242,0x7aed00bd,0xd838022c,0x00000000}},	//   _srić, pmat, ээт_, --, 
   {{0x6aa4de4c,0xd7c801c9,0xdce4090e,0xb5fd0097}},	//   chif, رونه_, _prić, _tašm, 
   {{0x386adc93,0xd4690477,0x00000000,0x00000000}},	//   _fabr_, диле_, --, --, 
   {{0x2298008c,0x64cbc2b2,0x34cb031e,0xdce400ca}},	//   _fékk_, िवेश, िवेद, _vrić, 
   {{0x64a20088,0x753c00e0,0x38a400ad,0xb5fd0a95}},	//   раща, _ārze, _dörd_, _jašk, 
   {{0xe7e6100d,0xb5fd7161,0x29020379,0x2246011c}},	//   _करता_, _mašk, _yuka_, _ccok_, 
   {{0x7ce065f3,0x44f50f2f,0xb5fd0352,0x98a90083}},	//   förl, _апас, _lašk, grać_, 
   {{0xd3a71efe,0x2ebc0667,0xf99f0118,0x05b600bc}},	//   _преп, ोक्त, _afèk_, _आइतब, 
   {{0xb5fd00d2,0x6e260c36,0x09de29b0,0x533401a2}},	//   _našk, takb, _मर्य, _бехт, 
   {{0x98a900ab,0x39590065,0xe1352f55,0x644307a0}},	//   brać_, _opss_, _анды, lgni, 
   {{0x6145062a,0x39590df4,0x442701f1,0x6e26de4d}},	//   _рела, _npss_, oan_, rakb, 
   {{0x634a0095,0xfce61234,0x7f85007a,0x225f0574}},	//   _səni, того, _للتن, leuk_, 
   {{0x290211f7,0x4427de4e,0x6e26de4f,0x644326da}},	//   _suka_, ian_, pakb, igni, 
   {{0xdd921966,0x3ea00c3d,0x629b02f3,0x386a01ff}},	//   _نوع_, _ulit_, nkuo, _sabr_, 
   {{0x44271146,0x6f032468,0x7c274192,0x3cca00fd}},	// [efc0] kan_, _hunc, bajr, _олио_, 
   {{0x279600d3,0x2902034c,0x6aa4de50,0x6e2400f8}},	//   кшер, _vuka_, shif, _heib, 
   {{0x7d04051e,0x6e24030c,0x213f0065,0xdc9b00d1}},	//   _huis, _keib, huuh_, _חייל, 
   {{0x6f03de51,0x7d040010,0x2902bc02,0x4427de52}},	//   _munc, _kuis, _tuka_, ean_, 
   {{0x4427de53,0x7d040b32,0x3ab3004e,0x76426242}},	//   fan_, _juis, _тәрт, rgoy, 
   {{0x7d04de54,0x6e24de55,0x44270961,0x6443022b}},	//   _muis, _leib, gan_, ggni, 
   {{0x6f030b85,0x7d043f0b,0x61f70095,0x3940de56}},	//   _nunc, _luis, əblə, luis_, 
   {{0x68fc006b,0x4427de57,0x83fc044e,0x225f0175}},	//   _hird, aan_, _mađi, geuk_, 
   {{0x4427de58,0x68fcde59,0x3940a4e1,0x7ce0c602}},	//   ban_, _kird, nuis_, törl, 
   {{0x38a4022b,0x4427de5a,0x7ce0074b,0x2ee902cd}},	//   _före_, can_, förm, _shaf_, 
   {{0x6f03de5b,0x38a40c05,0x2bd22569,0x3940de5c}},	//   _cunc, _göre_, _दुला, huis_, 
   {{0x6f03de5d,0x7d04de5e,0x5276143f,0x6e24de5f}},	//   _dunc, _buis, _جائز, _ceib, 
   {{0x7d04de60,0x6f033955,0x7d2439f7,0x00000000}},	//   _cuis, _eunc, ифре, --, 
   {{0x7d04a1ae,0xb5fd3f00,0x6abd17f6,0xd19707e4}},	//   _duis, _pašk, ्क्र, _בכדי_, 
   {{0x5064005e,0x7d043981,0x644800ef,0x99bf0086}},	//   _атқа, _euis, _mcdi, _আরেক, 
   {{0x5a346020,0x7d041ba5,0x68fc0a92,0xa3ca007e}},	//   инст, _fuis, _aird, _लखन_, 
   {{0x3eb905d2,0x4975de61,0x7d0405a4,0x3940de62}},	// [efd0] mist_, ылас, _guis, guis_, 
   {{0x4427de63,0xb5fdaa27,0x7e6d06a6,0x68fc01be}},	//   xan_, _tašk, _haap, _cird, 
   {{0x7e6dde64,0xb5fd0b91,0x6f030068,0x649d01be}},	//   _kaap, _haši, _xunc, _dèil, 
   {{0x4427b275,0xb5fd0571,0x7e6dc9d6,0xa3d6034d}},	//   wan_, _kaši, _jaap, _सड़_, 
   {{0x29841f1d,0xc984b17a,0x6d4fde65,0xd4d90451}},	//   _кырг, _кури, ntca, нькі_, 
   {{0xb5fd6e45,0xdfc60084,0x4427120c,0x67d52dd2}},	//   _maši, _هي_, uan_, _богу, 
   {{0x7c25de66,0x225fde67,0x3eb9de68,0x6443de69}},	//   _mehr, teuk_, kist_, rgni, 
   {{0x4427de6a,0x5694498d,0x36d59662,0x69ddde6b}},	//   san_, _каст, _собр, _kyse, 
   {{0x6f0300f1,0x225fde6c,0x6e24de6d,0x649401be}},	//   _sunc, reuk_, _reib, _càis, 
   {{0x6f03de6e,0xb5fdb49a,0x4427de6f,0xf99200a7}},	//   _punc, _naši, qan_, צרי_, 
   {{0x7ea63c91,0x69dd0310,0x7d04de70,0x7ce0014e}},	//   _lópe, _lyse, _suis, börj, 
   {{0x44253cb8,0x3eb9de71,0xbddb03a1,0x6d4fde72}},	//   _hel_, gist_, rgèn, ftca, 
   {{0x4425de73,0x7d0464ec,0x7c250218,0xb5fd0eae}},	//   _kel_, _quis, _behr, _baši, 
   {{0x442502f5,0x7afdde74,0x3ebe006b,0xe8bf000c}},	//   _jel_, _aist, őtt_, ्वोच, 
   {{0x7c25003d,0x69ddde75,0xc05200a7,0x08c601a2}},	//   _dehr, _ayse, _הזו_, ҳбан, 
   {{0x7d04de76,0x68fcde77,0x4425de78,0x69dd3e5e}},	//   _tuis, _sird, _lel_, _byse, 
   {{0x7afdde79,0x6d4f01d2,0x3edb00c7,0xee3713f2}},	// [efe0] _dist, ctca, _אַזא, _сны_, 
   {{0x44250021,0xe9d7de7a,0x7afd02bf,0xf1b92cd9}},	//   _nel_, уку_, _eist, gaši_, 
   {{0x7afdde7b,0x6ac60fdc,0x65690180,0x68fc8b0f}},	//   _fist, _مقدم, _aseh, _vird, 
   {{0x39400518,0x7afdde7c,0x5f060e36,0xfbd300a7}},	//   puis_, _gist, _संस्_, _לתת_, 
   {{0xe7e60262,0x68fc00e0,0x3940de7d,0x69ddde7e}},	//   _करवा_, _tird, quis_, _gyse, 
   {{0x4425de7f,0x7afd0187,0xb4ce0e77,0x00000000}},	//   _cel_, _zist, रवे_, --, 
   {{0x442558a5,0xc8db00a7,0x64940465,0x07d8009c}},	//   _del_, _נקלט, _bàir, _شهرک_, 
   {{0x7afd0218,0x7f41040c,0xd6c401a2,0x442500c2}},	//   _xist, dulq, _тибқ, _eel_, 
   {{0x4425de80,0xe6930084,0x09c40033,0x2bdb2030}},	//   _fel_, _القد, ্ধকা, _मुना, 
   {{0x2e2400f7,0x7e6d01ad,0x3eb96de7,0x44255a29}},	//   _đườn, _saap, wist_, _gel_, 
   {{0x32460fdc,0xb5fd4243,0x2d990876,0x649401f5}},	//   _مناف, _raši, wyse_, _fàir, 
   {{0x7c25de81,0x80b6007e,0xb5fd0588,0x3e6b01a2}},	//   _sehr, _ऋगवे, _saši, хшон_, 
   {{0x7afdde82,0x99bf0086,0x212b00eb,0xb5fd71c2}},	//   _rist, _আর্ক, ácht_, _paši, 
   {{0x7c2512ed,0x2d99de83,0x200e1e23,0x307602a6}},	//   _qehr, ryse_, _uffi_, _људс, 
   {{0x447b00c7,0x7e6d5a8f,0xfb8416d0,0x709b0070}},	//   ענלע, _taap, бытн, _אױגו, 
   {{0xc9871d75,0x386101c4,0x7c250380,0x693548db}},	//   лузи, wehr_, _wehr, инбу, 
   {{0x7c25de84,0xf1b96c4a,0x7afd0df7,0xe9df00e1}},	// [eff0] _tehr, taši_, _vist, _gcúl_, 
   {{0x7afd43a5,0xb4ce00bd,0x69dd0098,0x9c47017b}},	//   _wist, रवो_, _vyse, _схил, 
   {{0x7afdde85,0x69ddde86,0x3a2907fc,0xa9240009}},	//   _tist, _wyse, paap_, _įžei, 
   {{0x7afdde87,0xaa6701ba,0xd2465297,0xd00600d7}},	//   _uist, _сток, _ظن_, _ژل_, 
   {{0x4425de88,0xa2b300ab,0xb5fd160e,0x7ce00219}},	//   _pel_, इफस्, _lašv, förh, 
   {{0x65c3004e,0xd4910023,0x58874e22,0x00000000}},	//   _құла, _tìm_, _сыма, --, 
   {{0x442500c1,0xddc40009,0x98a00009,0x64940014}},	//   _vel_, _maiš, usią_, _pàir, 
   {{0x4425de89,0xd6c3de8a,0x6595de8b,0xddc4012d}},	//   _wel_, _امری, _кабу, _laiš, 
   {{0x84470fdc,0x38a4014e,0x95cb0804,0x00c939de}},	//   _مخال, _höra_, _чува_, клик_, 
   {{0x38a4022b,0x442500a1,0xddc40704,0x4095de8c}},	//   _köra_, _uel_, _naiš, ррит, 
   {{0xaec600c8,0x5fcf0e49,0xafe500a3,0xdb23023e}},	//   ибол, _सुखल, ронл, _èrèn, 
   {{0x531a00d1,0x7bde0118,0x649400a1,0xe0e50033}},	//   _יועצ, _rypu, _uàir, নদেন, 
   {{0x2bdb000f,0x9fa2003e,0xee370251,0x7c3a0183}},	//   _मुबा, síða_, шня_, ótro, 
   {{0xd00600f0,0x61e601f0,0x659a00c7,0x913a027a}},	//   _кеше_, ükle, דישק, _יענק, 
   {{0x8a062010,0xbea61e2f,0xdee6210a,0x00000000}},	//   изве, _вайк, _коки, --, 
   {{0x7bde014b,0x6f0d00da,0x00000000,0x00000000}},	//   _vypu, _čach, --, --, 
  
   {{0x7ce034f2,0xb5fd0604,0x7bde0083,0x2caa0080}},	// [f000] höri, _zašv, _wypu, _акпп_, 
   {{0xdbdf003e,0xddc418b9,0x00000000,0x00000000}},	//   _tíði, _gaiš, --, --, 
   {{0x6e36031e,0x59d804cc,0xdc3b00d1,0x291f021e}},	//   _kdyb, _भँवर, _בעיר, _çuan_, 
   {{0x98a0265d,0xe7374993,0xd94635e4,0xb4ce0299}},	//   ksić_, рец_, _кеми, रव्_, 
   {{0x25a017c1,0xa80600c8,0x69d8010c,0x7ce0de8d}},	//   áil_, _взгл, şveb, törh, 
   {{0x7ce0de8e,0x38a40219,0xe71a091d,0xe4c308b8}},	//   föri, _föra_, _ليست_, ойчи, 
   {{0x38a40750,0x25a01425,0x02a6de8f,0x39520028}},	//   _göra_, šil_, ирим, ltys_, 
   {{0xcb1300a7,0x634a00ad,0x00000000,0x00000000}},	//   חלה_, _səns, --, --, 
   {{0x395200e4,0xe5a302fb,0xa50a058e,0x04466a0a}},	//   ntys_, _дити, _реза_, _везн, 
   {{0xb5fd002a,0xf1b91612,0x92c80086,0xc95300df}},	//   _pašv, jašu_, োগে_, קמת_, 
   {{0x787900c7,0x2286349d,0xa3ca00b0,0x645ade90}},	//   אָרו, _вулг, _लखि_, _ibti, 
   {{0x9d19058e,0x26c646d7,0xf0a803a1,0x00000000}},	//   ломт_, nnoo_, ткүл_, --, 
   {{0x7de7005e,0x6282011d,0x0dcbb703,0x91e3de91}},	//   рінд, _inoo, туни_, _доце, 
   {{0x62820201,0xfa230086,0xf1b90097,0x00000000}},	//   _hnoo, _ফাইল_, gašu_, --, 
   {{0x6282038c,0x601700d1,0x645a00b4,0xddc40028}},	//   _knoo, _דחוף_, _mbti, _vaiš, 
   {{0xb34503b7,0xb5fdde92,0x38a40219,0x6e360035}},	//   luçã, _kašt, _röra_, _gdyb, 
   {{0xf80728d1,0x645ade93,0xb5fda08b,0x62820097}},	// [f010] ачен, _obti, _jašt, _mnoo, 
   {{0x2bd20f01,0xb5fd0062,0xa9c40451,0x645e00b0}},	//   _दुका, _mašt, істк, õpil, 
   {{0xb5fd0b3c,0x62820547,0xb0650080,0x7ea601d5}},	//   _lašt, _onoo, lmää, _hópa, 
   {{0x645ade94,0x7ea6003e,0x62820539,0xd6181036}},	//   _abti, _kópa, _nnoo, لتها_, 
   {{0x6c7800d6,0xb5fd1a01,0x2bdb00ab,0xc987de95}},	//   _صحیح_, _našt, _मुता, _туни, 
   {{0x645a0369,0x628201a3,0x38a40219,0xb71720b4}},	//   _cbti, _anoo, _hörn_, _نظرت, 
   {{0xb34500ce,0x4375de96,0xddc400b3,0xd7c90038}},	//   duçã, султ, _obiş, _صوره_, 
   {{0xb5fdde97,0x224b02f2,0x7ce0b3ba,0x00000000}},	//   _bašt, ück_, röri, --, 
   {{0x5fcf07d5,0xa29500f0,0x765b0610,0x2003203b}},	//   _सुजल, _қаді, _ibuy, žjim_, 
   {{0x10a5321a,0x1287009c,0x62823628,0x657b0610}},	//   сион, امکی_, _enoo, _iruh, 
   {{0x1fb516d0,0x7d169385,0x00000000,0x00000000}},	//   сспр, _stys, --, --, 
   {{0x395200c8,0x69cf023e,0x00000000,0x00000000}},	//   ytys_, _oxce, --, --, 
   {{0xf1b907c7,0x765b0204,0xc10800e7,0xee3f014b}},	//   tašu_, _mbuy, _hỗn_, chým_, 
   {{0x98a7000d,0xb34502a0,0x1d073d1f,0x657b018e}},	//   čně_, cuçã, сери_, _mruh, 
   {{0xb5fd02f5,0x38a4008c,0x765b0298,0xf99f00b9}},	//   _zašt, _börn_, _obuy, _ofès_, 
   {{0xbebd01dd,0x0d86a612,0xad9b019c,0x8f9a00d1}},	//   usīt, _глин, rcúr, _תיקי, 
   {{0x8c461a79,0xf1b900ef,0x213fde98,0x7bc10212}},	// [f020] _лепе, pašu_, nruh_, ûlur, 
   {{0x6d460f8a,0x765b9bf3,0x39524c9b,0x673e02c7}},	//   muka, _abuy, rtys_, trpj, 
   {{0x69cf24bb,0x6d4b014e,0xe61a08a7,0x395235bf}},	//   _exce, _ägar, где_, stys_, 
   {{0x7c2e3efb,0xd6d9004f,0x657bde99,0xad9b0068}},	//   labr, аті_, _bruh, ocúp, 
   {{0x6d46de9a,0x7ae401f2,0xe5340528,0x05ba007a}},	//   nuka, mlit, цель, ددات_, 
   {{0x657b08d7,0x7ae40d3e,0xb5fd012d,0x7c2ede9b}},	//   _druh, llit, _rašt, nabr, 
   {{0x6d4650b2,0x3e7f00c8,0xf7430609,0x7ae400c2}},	//   huka, _jätä_, _неро, olit, 
   {{0x6d4611f7,0xb5fd00e4,0x6b831056,0x7ae4a6c9}},	//   kuka, _pašt, _ánge, nlit, 
   {{0x6d469f6f,0x95ca5560,0xddcd435a,0x7ae4de9c}},	//   juka, _слаб_, _snaž, ilit, 
   {{0x6d46de9d,0x7ae43fb9,0x39400094,0xdce400ca}},	//   duka, hlit, iris_, _oriđ, 
   {{0x394001be,0xdb1e0183,0xb4e41011,0x201e012d}},	//   hris_, _expú, नती_, rbti_, 
   {{0xdced0062,0x6d46de9e,0x3940de9f,0xa77b00d1}},	//   _krać, fuka, kris_, ארטפ, 
   {{0xf1942754,0xd01200d4,0x6d46dea0,0x00000000}},	//   _филь, _فلش_, guka, --, 
   {{0x442edea1,0x7ae4dea2,0x3940dea3,0x7c2edea4}},	//   naf_, elit, dris_, gabr, 
   {{0x8aa72bc2,0x7ae462d7,0x6e95563c,0x3940a0b6}},	//   брад, flit, _мику, eris_, 
   {{0x6d46dea5,0xe82104b7,0x1dda0964,0x3da72a65}},	//   buka, यर्थ_, _युवत, _гроб, 
   {{0x442e0691,0xa3df185c,0x6d46a6f3,0x26c7026a}},	// [f030] kaf_, _धुन_, cuka, énom_, 
   {{0xf8070b58,0x7ae40656,0x37ab1571,0x00000000}},	//   счан, alit, лтен_, --, 
   {{0x7ae4dea6,0x394092c8,0x69090082,0x442e46f5}},	//   blit, aris_, _ožeg, daf_, 
   {{0x39400347,0xdced00f1,0x657b014b,0xa3cc35d0}},	//   bris_, _brać, _pruh, रपन_, 
   {{0x61e2dea7,0x24f911db,0x4efc00c7,0x442e03c6}},	//   _nyol, анды_, אלאג, faf_, 
   {{0x2ecf00cc,0x3206012b,0x833900c8,0x29190626}},	//   রতিষ, _agoy_, ачит_, _itsa_, 
   {{0x61e202f1,0x2126023e,0x61fe00ad,0x3ea2003e}},	//   _ayol, _awoh_, əzlə, ykkt_, 
   {{0x29030529,0x290b11ed,0xe29903dc,0x765b024d}},	//   _hija_, _kuca_, раи_, _ubuy, 
   {{0xa3e50c59,0x657b024d,0x3f7700d9,0x7c2e32b1}},	//   _नरक_, _uruh, _său_, yabr, 
   {{0x6d4663be,0x442e00f8,0x61e20118,0x290b56f0}},	//   vuka, caf_, _dyol, _muca_, 
   {{0x2903dea8,0x3ea9dea9,0x290bdeaa,0x3e8adeab}},	//   _mija_, _blat_, _luca_, айно_, 
   {{0x764b524a,0x2903deac,0x291900b0,0x6aad0149}},	//   nggy, _lija_, _otsa_, jhaf, 
   {{0x77e60c15,0x2919023b,0x7c2edead,0x1d0a03a1}},	//   _कर्क_, _ntsa_, tabr, реги_, 
   {{0x3f77002e,0x3f9e1765,0x8fa57be1,0xdce40571}},	//   _tău_, bytu_, _мале, _priđ, 
   {{0x6d46deae,0x7ae4deaf,0xab2a0bf8,0x20070118}},	//   suka, tlit, роба_, _igni_, 
   {{0x3940deb0,0x7c2e9945,0x442e678c,0x290bdeb1}},	//   tris_, sabr, zaf_, _buca_, 
   {{0x29030bc3,0x7ae4deb2,0x442e02bf,0x290b97b4}},	// [f040] _bija_, rlit, yaf_, _cuca_, 
   {{0x3940deb3,0x3e7f0088,0x290300d2,0x290b2051}},	//   rris_, _tätä_, _cija_, _duca_, 
   {{0x29190194,0x2903024a,0x6aad0502,0x00000000}},	//   _etsa_, _dija_, bhaf, --, 
   {{0x6aaddeb4,0x2f5a0137,0xdced0062,0x7d7706bc}},	//   chaf, ידענ, _prać, _امیر_, 
   {{0x2007048a,0x2903deb5,0x29190226,0x20030352}},	//   _ogni_, _fija_, _gtsa_, žjih_, 
   {{0xdced02f5,0x54b71222,0xb4e40c06,0x6aa403bc}},	//   _vrać, огія_, नते_, lkif, 
   {{0xe7372853,0x644a08b0,0x61e20027,0xb6a6017b}},	//   _мер_, rgfi, _syol, _дивл, 
   {{0x442edeb6,0x20071b6b,0x2903044d,0x290b5c33}},	//   saf_, _agni_, _zija_, _yuca_, 
   {{0x21040d95,0x50666ee6,0xdddd0035,0xa3d6031e}},	//   रदेश_, отна, zesł, _सडक_, 
   {{0x61e206df,0x442e007b,0x3ea926c0,0x2ee0deb7}},	//   _vyol, qaf_, _slat_, _akif_, 
   {{0x4ada00a2,0xa2e676d4,0x73360019,0x987b0225}},	//   ढवाव, _дожд, _ذرائ, בריק, 
   {{0x442c0566,0x3206011d,0x7eb601dd,0x3f9edeb8}},	//   _hed_, _ugoy_, kšpu, rytu_, 
   {{0x442c0039,0xf99f023e,0x6f04deb9,0x2126023e}},	//   _ked_, _agèn_, _diic, _uwoh_, 
   {{0x442c10ea,0xa06715d6,0x7d1ddeba,0x3f9ec31a}},	//   _jed_, _мача_, rpss, pytu_, 
   {{0x442c17f1,0x6f0400d9,0x6aaddebb,0x290bdebc}},	//   _med_, _fiic, thaf, _suca_, 
   {{0x290b090b,0x7ce01a32,0x3ea95132,0x3915aee7}},	//   _puca_, förs, _ulat_, змар, 
   {{0x81dc0086,0x442c02bf,0x2903c319,0x255e00e0}},	// [f050] ণের_, _oed_, _pija_, nālā_, 
   {{0x6aaddebd,0xab8732af,0x26cd0e67,0x442c5094}},	//   shaf, _думк, _sjeo_, _ned_, 
   {{0x6e2d381a,0x6aad008c,0x7d0ddebe,0x3cf80038}},	//   _keab, phaf, _huas, _بعيد_, 
   {{0x7d0d19e0,0x41ca00a2,0xe81b1e25,0xcf930070}},	//   _kuas, ापास, _प्रा_, וטע_, 
   {{0xa5671c8f,0x2903debf,0x6e2d05d7,0x442c00d1}},	//   تدان, _tija_, _meab, _bed_, 
   {{0x6e2d4873,0x7d0ddec0,0x98481c0f,0x394902cd}},	//   _leab, _muas, _мяса_, muas_, 
   {{0x3949dec1,0x95050019,0xd04e0095,0x99820243}},	//   luas_, _کہتے_, _ödən, _iekš_, 
   {{0x442c206b,0x26cd0ab4,0xe3b00629,0x6e2d0028}},	//   _eed_, _ujeo_, خره_, _neab, 
   {{0x057709e8,0x7d0d0084,0x26ddb4dd,0x3949033c}},	//   _بازد, _nuas, mowo_, nuas_, 
   {{0xdce4006a,0x26dd4dbc,0x442c0014,0xa3b6000c}},	//   _ksią, lowo_, _ged_, _चेक_, 
   {{0x2bdb2a48,0x3949023b,0x7cf201e8,0xdee62e69}},	//   _मुला, huas_, nære, зони, 
   {{0x26dddec2,0x75290199,0x394902f6,0x7d0ddec3}},	//   nowo_, _kwez, kuas_, _buas, 
   {{0x6e2ddec4,0xd0099f71,0x7ce014f8,0x7d0ddec5}},	//   _deab, _леле_, dörr, _cuas, 
   {{0x7529dec6,0x7ead078a,0x711a00a7,0xdce40035}},	//   _mwez, _rûpe, _הוספ, _osią, 
   {{0x6e2d0084,0x7cf24fc2,0x7529052b,0xafe2dec7}},	//   _feab, værd, _lwez, _пошл, 
   {{0x6609dec8,0x224ddec9,0x7d0d8ab3,0x2bdb009a}},	//   _ngek, ngek_, _fuas, _मुळा, 
   {{0xf2d20137,0x39490a47,0x7d0ddeca,0x6299decb}},	// [f060] גען_, guas_, _guas, _mowo, 
   {{0x629998d7,0x6aa403a9,0x60c17428,0x4d7b00c7}},	//   _lowo, skif, nilm, _פריע, 
   {{0xdc9b1a61,0xc5f60a09,0x442c00a7,0x75292818}},	//   _הייל, ेश्य_, _red_, _awez, 
   {{0x442cdecc,0x6299006a,0x26dddecd,0x690902fe}},	//   _sed_, _nowo, gowo_, _džeb, 
   {{0xe5a30515,0x7e76006f,0x60c16472,0x442cdece}},	//   ници, _mayp, kilm, _ped_, 
   {{0x442c0529,0x7cf201e8,0x38a41f7e,0x255e0243}},	//   _qed_, bære, _mörk_, vālā_, 
   {{0x442c5e48,0x26dddecf,0x60c107fa,0x6299011c}},	//   _ved_, bowo_, dilm, _bowo, 
   {{0xfa970137,0x6299424e,0xb909001b,0x32530093}},	//   ִדיש_, _cowo, _nghị_, евър, 
   {{0x6e2dded0,0x629900ab,0xef24008a,0x442cded1}},	//   _reab, _dowo, _meżż_, _ted_, 
   {{0xf484125e,0x6e2d07d7,0x20090e03,0xd25901dd}},	//   _تاری, _seab, _şair_, riņa_, 
   {{0x7d0d2998,0xdefb08ad,0x085700a7,0x629905d5}},	//   _suas, йым_, הבים_, _fowo, 
   {{0x7d0d3eac,0xeeab606f,0x3949006d,0x88c40033}},	//   _puas, сток_, yuas_, ্তিক, 
   {{0x7d0d0e9a,0x60c1ded2,0x2d8003b7,0x75290218}},	//   _quas, bilm, _crie_, _xwez, 
   {{0x2d800e47,0xac181e13,0x62999e6d,0x26ddd9b8}},	//   _drie_, зору_, _zowo, zowo_, 
   {{0x7b64021f,0x7d0d0126,0x905b00d1,0x6299044d}},	//   нтте, _wuas, _הכות, _yowo, 
   {{0x394921dc,0x7cf2ded3,0x2d8003a9,0x49a500f0}},	//   tuas_, være, _frie_, мызғ, 
   {{0x2d800237,0x00000000,0x00000000,0x00000000}},	// [f070] _grie_, --, --, --, 
   {{0x26dd39aa,0x7cf201e8,0x7529016c,0xb4c800bc}},	//   wowo_, tære, _rwez, ोको_, 
   {{0x8d18086b,0x26dd27b0,0x06750701,0x3949006f}},	//   _وزیر_, towo_, дуля, suas_, 
   {{0x60c1ded4,0x7529ded5,0x39490e32,0x36d4ded6}},	//   zilm, _pwez, puas_, нохр, 
   {{0xf65006ab,0x26dd4dbc,0xb60900e0,0x60c18d5a}},	//   ائم_, rowo_, višķ, yilm, 
   {{0x7b0800eb,0x629901c4,0x26dd42dd,0xbddb00f6}},	//   _óstá, _sowo, sowo_, lgès, 
   {{0x6299b186,0xb60901dd,0x60c1ded7,0x00000000}},	//   _powo, tišķ, vilm, --, 
   {{0x75290bcf,0xbddb023e,0x00000000,0x00000000}},	//   _twez, ngès, --, --, 
   {{0x7529086d,0x60c1ded8,0x7ce03ff2,0x224dded9}},	//   _uwez, tilm, körp, rgek_, 
   {{0x6299deda,0x7c220082,0x00000000,0x00000000}},	//   _wowo, _đoro, --, --, 
   {{0x60c11c15,0x6299dedb,0xf41200d1,0x721900b3}},	//   rilm, _towo, _ספא_, _джер_, 
   {{0x2d8000e4,0xed5adedc,0xdb070502,0x00000000}},	//   _prie_, оом_, nzjä, --, 
   {{0x1f64004e,0x60c116a3,0xf2d80296,0x63a30090}},	//   _үкім, pilm, _عظمت_, lynn, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x3bd50080,0x6fb2007a,0x1ae60165,0x00000000}},	//   еютс, _لموا, довм, --, 
   {{0x2d8001fd,0x66ec034d,0x00000000,0x00000000}},	//   _trie_, _छींक_, --, --, 
   {{0x68f500ef,0xb906804e,0xd6d30033,0x2b5500d7}},	// [f080] _bhzd, дзак, ়তায, ویید_, 
   {{0xfc06b9bc,0xbddb03a1,0xb8660e61,0x63a3a02d}},	//   _оппо, rgèt, بارو, kynn, 
   {{0xb3a90585,0x7c3e039b,0x00000000,0x00000000}},	//   çılı, _idpr, --, --, 
   {{0x9f9600a7,0xddcddedd,0x63a3dede,0x7ead010c}},	//   ודעה_, _haaš, dynn, _kûpa, 
   {{0x23c34493,0x95531372,0xe8fa19fe,0x00000000}},	//   _वेबद, نخوا, _млм_, --, 
   {{0x6d460ab1,0x63a30156,0xcdb700d1,0xf1e129c4}},	//   irka, fynn, ופנה_, _पड़न, 
   {{0x63a300dd,0xbddb627e,0x387800a0,0x31a6959d}},	//   gynn, ngèr, _iarr_, गन्ध, 
   {{0x3878dedf,0xd13aaeb5,0xf2c30ecf,0x26c2dee0}},	//   _harr_, охо_, ксын, _öko_, 
   {{0x7c3e2588,0x00000000,0x00000000,0x00000000}},	//   _odpr, --, --, --, 
   {{0x63a30156,0x634a0095,0x6d460304,0x649400f6}},	//   bynn, _mənz, drka, _nàix, 
   {{0xc1080029,0x3878543f,0x63a300f8,0x6d46dee1}},	//   _mỗi_, _marr_, cynn, erka, 
   {{0xc1080029,0xffa2022c,0x6d462178,0xd12f0116}},	//   _lỗi_, елүү, frka, _چمن_, 
   {{0xd9e30081,0x6aa300b3,0x6ce7004f,0xc05a004f}},	//   _कुढत_, _înfi, діве, _дій_, 
   {{0xdce400ab,0x443edee2,0xdfd40b58,0xfc6400fd}},	//   _księ, _jdt_, _полы, късн, 
   {{0x6d46dee3,0xc108001b,0xad9b0228,0xbddb0212}},	//   arka, _nỗi_, ncúz, ggèr, 
   {{0x6d46090e,0x7c3e007c,0x634a00ad,0x00000000}},	//   brka, _edpr, _bənz, --, 
   {{0x195831fc,0x387800eb,0xd2590243,0x63a30083}},	// [f090] маты_, _barr_, ziņo_, zynn, 
   {{0x2907489f,0x6b75527c,0x1b1e0086,0x443e0231}},	//   öna_, _злоу, _ফিরে_, _ndt_, 
   {{0xae1c35ad,0x00000000,0x00000000,0x00000000}},	//   भुवन_, --, --, --, 
   {{0xdb1e0042,0x19950ff6,0xdce40242,0x387801f5}},	//   _expó, _замя, _psić, _earr_, 
   {{0x387803c6,0x2a79008a,0x63a300f8,0x443e0216}},	//   _farr_, _iasb_, wynn, _bdt_, 
   {{0x6ef60183,0x387803a0,0x443e0139,0x00000000}},	//   mábe, _garr_, _cdt_, --, 
   {{0x443e045a,0x25a9008b,0x2a7902f1,0x9f4bdee4}},	//   _ddt_, šal_, _kasb_, ülük_, 
   {{0x6d46264e,0x63a3be87,0x3f584d03,0x443e0139}},	//   yrka, rynn, déu_, _edt_, 
   {{0x212b06df,0x41051c93,0xb3df00a5,0x6ef60183}},	//   èch_, нзив, _पुरख, nábe, 
   {{0x3f580165,0x753b007c,0x443e9588,0xc6160033}},	//   féu_, _ivuz, _gdt_, ারণা_, 
   {{0x44270126,0xd2510d4b,0x2bdb00aa,0x7ea67882}},	//   mbn_, _منا_, _मँगा, _hópi, 
   {{0x7ea60032,0x9d4603a1,0x9f47021e,0x03780eb7}},	//   _kópi, немд, _hynë_, _زحمت_, 
   {{0x628bdee5,0x0d831f79,0x661b0053,0x26cf01f1}},	//   _ingo, глян, _mfuk, ingo_, 
   {{0x3f58240a,0x6ef60042,0x753b007c,0x69d80216}},	//   béu_, dábe, _mvuz, şvek, 
   {{0xeb9a24e3,0x7522072b,0x661bdee6,0xfaf61d02}},	//   чив_, zpoz, _ofuk, ечаю, 
   {{0x8a062189,0xc33207e4,0x6d460613,0xc1080023}},	//   езбе, טול_, prka, _rỗi_, 
   {{0x6da600b3,0x6ef60068,0xa9671b3d,0x628b1a9c}},	// [f0a0] _чипа, gábe, нита_, _mngo, 
   {{0x2bdb26f2,0x3ba40e65,0x660d22ed,0x75220082}},	//   _मुका, _алоҳ, žakl, vpoz, 
   {{0xfaa603dc,0xe6661790,0x753b0610,0x3878021e}},	//   _зано, етло, _avuz, _varr_, 
   {{0xdce40009,0x6ef68891,0x628b0415,0x443e2cd1}},	//   _priė, bábe, _nngo, _sdt_, 
   {{0xf9921fdb,0x1a9b00c7,0x7ea602a0,0x6ef60042}},	//   _صبح_, _זיכע, _cópi, cábe, 
   {{0x34bc0299,0x661b052b,0x26cf1393,0x00000000}},	//   ्चेद, _efuk, ango_, --, 
   {{0xd62a52b9,0x62050095,0x290a07fc,0x661b00c3}},	//   _нове_, ərlə, _iiba_, _ffuk, 
   {{0x290a010e,0xe60a009c,0x00000000,0x00000000}},	//   _hiba_, _رزرو_, --, --, 
   {{0x290a23ed,0xd5e5004e,0x443e1d9c,0x6d40001d}},	//   _kiba_, _айтқ, _tdt_, ámal, 
   {{0x628bdee7,0xdfda0141,0xe5060038,0x98a9032f}},	//   _engo, зъм_, _أبري, rsać_, 
   {{0x690900d2,0xf8b30486,0x6ef60183,0xee3900d3}},	//   _ožen, רשת_, zábe, үнү_, 
   {{0x290a154a,0x234b0109,0x7ae60102,0x93250274}},	//   _liba_, _رسمی_, _nkkt, _شرمن, 
   {{0x25a6dee8,0x6ef60183,0xbcfb3dd9,0xf2370070}},	//   nyol_, xábe, ntég, _טראץ_, 
   {{0x290a024d,0x3f580165,0x6ef60068,0x7e640539}},	//   _niba_, péu_, vábe, _ebip, 
   {{0xfbdb072f,0x9a87373b,0x1bd4dee9,0xee3f02d9}},	//   _मुखम, нуал, горя, lkým_, 
   {{0x290a00d9,0x6ef60042,0x6d5a020f,0x9f4700da}},	//   _aiba_, tábe, ătar, _uzná_, 
   {{0x69092f0a,0x290a01eb,0x7e7d12bf,0x00000000}},	// [f0b0] _džen, _biba_, mdsp, --, 
   {{0x7e7ddeea,0x6ef603da,0x5b150def,0x6d4f0610}},	//   ldsp, rábe, _имот, muca, 
   {{0xe70b125e,0x290adeeb,0x6d5d4e72,0x44270bfc}},	//   ستان_, _diba_, ltsa, vbn_, 
   {{0x26cfdeec,0x6d5d2b92,0xbb3a2737,0x00000000}},	//   ungo_, otsa, _קערי, --, 
   {{0x6d5d7c2d,0x3a29030c,0x7ac2001c,0x4427deed}},	//   ntsa, mbap_, _төра, tbn_, 
   {{0x7aeddeee,0xe7330198,0xdced0062,0xe5a21b39}},	//   llat, _مصر_, _krađ, риши, 
   {{0xe2993880,0x0ee10081,0x8c1c0056,0x6d5d0077}},	//   дай_, नवाड, לוגי, htsa, 
   {{0x7ea600ce,0x6d4f003a,0x7aeddeef,0x7e7d01cc}},	//   _tópi, kuca, nlat, jdsp, 
   {{0x6d4f04d1,0x44270089,0x673c0082,0x6d5d77b5}},	//   juca, pbn_, _zvrj, jtsa, 
   {{0x39490c1f,0x6d4fdef0,0x7aeddef1,0x656907d7}},	//   iras_, duca, hlat, _ipeh, 
   {{0x6ef6006b,0x6441def2,0x645e03a1,0x3255def3}},	//   vább, _idli, òpie, _авер, 
   {{0x38a41772,0x628b06e4,0x3949def4,0x6d5d09e1}},	//   _hört_, _ungo, kras_, ftsa, 
   {{0xee3f0076,0x6d4f015e,0x38a458aa,0x2d84063b}},	//   ckým_, guca, _kört_, íme_, 
   {{0x10a2125b,0x7e7d040b,0x61422024,0x00000000}},	//   _вишн, adsp, _теша, --, 
   {{0x1d07def5,0x3949def6,0x6ef60019,0xfbc33662}},	//   тери_, eras_, rább, абро, 
   {{0x39490952,0xe7e50262,0x6d4fdef7,0x65690329}},	//   fras_, _कड़ा_, buca, _opeh, 
   {{0x3949def8,0x6d4fdef9,0x290aac08,0x81e30033}},	// [f0c0] gras_, cuca, _piba_, ফের_, 
   {{0xdd310095,0x61eb04f4,0x00000000,0x00000000}},	//   ləşd, _mygl, --, --, 
   {{0xdced03ef,0x320f023e,0x3949defa,0x7aeddefb}},	//   _građ, _oggy_, aras_, blat, 
   {{0x3949334b,0xfaa6177d,0x76a900dd,0x7aeddefc}},	//   bras_, _рамо, нтів_, clat, 
   {{0x7ae40df8,0x290a2812,0x3943892c,0x3ea09f38}},	//   moit, _tiba_, _княг, _moit_, 
   {{0x7ae40088,0x5453004f,0x533400d3,0xf4d00033}},	//   loit, ивіт, гект, িত্ব, 
   {{0x3ea001a9,0x6569defd,0x38a4027e,0x7ea6003e}},	//   _ooit_, _epeh, _dört_, _hópu, 
   {{0xf7770a33,0xee3f0187,0x7ae4defe,0xb6a3b0b3}},	//   _בעלי_, tkým_, noit, _кисл, 
   {{0xb6a30ce6,0x26c4deff,0x6d400097,0xbcfb0212}},	//   _титл, _immo_, šmaj, ltée, 
   {{0x7ae40088,0x6d5d006d,0x649a01ff,0x00000000}},	//   hoit, vtsa, _ўтар_, --, 
   {{0x7ae4279b,0xf83700a7,0xbcfb026a,0x9e35df00}},	//   koit, כנית_, ntée, ленч, 
   {{0x7ae4030f,0x6d5ddf01,0x3ea001be,0x38a402ae}},	//   joit, ttsa, _coit_, _körs_, 
   {{0x3ea0026d,0x7aed00cf,0x2bdb007e,0x7e7d050f}},	//   _doit_, vlat, _मुजा, rdsp, 
   {{0x40341416,0x394900ce,0x6d4fdf02,0x6d5d0f2d}},	//   _секс, vras_, ruca, rtsa, 
   {{0x7aeddf03,0x9f580088,0x690904a1,0xc339031e}},	//   tlat, ärä_, _džel, žívá, 
   {{0x3949147b,0x6d4f04d1,0x7ae4df04,0x6ab600f8}},	//   tras_, puca, goit, ghyf, 
   {{0x7aeddf05,0x7c22010c,0x7ea60183,0x6f0d00a1}},	// [f0d0] rlat, _şore, _cópu, _iiac, 
   {{0x26c400cf,0x6ef64d59,0xd79500fd,0x8c6700b3}},	//   _ammo_, mába, лизъ, _ртид, 
   {{0xdced1810,0x7ae4df06,0x6ef60019,0x645703a1}},	//   _urađ, boit, lába, òxim, 
   {{0x60c82d95,0xd7f801bb,0x7ae40496,0x7c220082}},	//   hidm, туу_, coit, _đori, 
   {{0xe7e50081,0xd1260fdc,0x6ef6010e,0x6f0d0474}},	//   _कडवा_, _دم_, nába, _miac, 
   {{0x26c48b23,0x6aad00bd,0x6f0d88fb,0x61ebdf07}},	//   _emmo_, lkaf, _liac, _rygl, 
   {{0x2ca119e0,0xd5bf01dd,0xbcfb0107,0x49170299}},	//   _mohd_, _šādu_, ctée, _भूतो_, 
   {{0x6aaddf08,0x6ef6010e,0x38a402ae,0x4ee50033}},	//   nkaf, kába, _förs_, নগুল, 
   {{0x2f1a002a,0x38a4014e,0x6ef60019,0x00e502c4}},	//   _rīga_, _görs_, jába, лжин, 
   {{0x3ea00518,0xe1f60161,0x7ae4df09,0xe4535297}},	//   _soit_, ыгы_, zoit, _خضر_, 
   {{0x1eca199a,0xb5fd00e4,0x61eb00ab,0xbea6df0a}},	//   елни_, _rašy, _wygl, ганк, 
   {{0x7fb300ad,0x61eb76a4,0x31355695,0x6aad039b}},	//   nəqə, _tygl, _бедр, jkaf, 
   {{0x3ea0df0b,0x7ae4df0c,0x6f0ddf0d,0x61458509}},	//   _voit_, voit, _diac, _села, 
   {{0x38b6055f,0xe1f00198,0x6f0d02a3,0xed5a01a2}},	//   _kære_, _بسم_, _eiac, _ҷои_, 
   {{0x3ea0df0e,0xcb67002e,0x6f0d00a0,0xa3c90366}},	//   _toit_, ларе_, _fiac, _लेम_, 
   {{0x6909c757,0x6f0d0093,0x2d9600c8,0x6ef6039f}},	//   _džem, _giac, _брос, bába, 
   {{0xceb40270,0xe8fabf10,0x7ae4df0f,0x38b603a9}},	// [f0e0] _ilə_, ела_, roit, _lære_, 
   {{0x48c4100b,0x47bf0086,0x7ae400c8,0xb4dd031e}},	//   ্ত্র, ্থনী, soit, णको_, 
   {{0x7ae4df10,0x38b600fb,0xbcfb0883,0x464a2f32}},	//   poit, _nære_, utée, езен_, 
   {{0xbcfb0107,0x9f4a02ae,0x44380028,0x7d16040c}},	//   rtée, _åmål_, _žr_, _kuys, 
   {{0x64a6df11,0x8e570cec,0x629b00ef,0x65940a31}},	//   лада, רינג_, djuo, ралу, 
   {{0xd37a41b6,0x38b601e8,0xbcfb0107,0x6aa300b3}},	//   ечи_, _bære_, ptée, _înfr, 
   {{0x38a4014e,0x38b6055f,0x430a0097,0x07a300a3}},	//   _förr_, _værd_, нхим_, _ларн, 
   {{0x66e66a33,0x57e703b7,0x38a402ae,0x6ef6039f}},	//   _соба, _сдсм_, _törs_, yába, 
   {{0xd0100084,0x6f0d0084,0xc05adf12,0x68fc6347}},	//   يلة_, _riac, нін_, _khrd, 
   {{0x2ee92d9f,0xbcfb039f,0x00000000,0x00000000}},	//   _skaf_, ztéb, --, --, 
   {{0x6f0ddf13,0x645a0095,0x3f87003a,0x5ff411f8}},	//   _piac, _icti, _crnu_, рзну, 
   {{0x91860fce,0x6ef69972,0xb5fd0604,0x00000000}},	//   _مجتم, tába, _obšl, --, 
   {{0x9d180013,0x6f0d0187,0x69090d02,0x4ea7004e}},	//   лоят_, _viac, _džej, _ұрпа, 
   {{0xceb406d0,0xb17b00fe,0x6ef6a181,0x6280df14}},	//   _elə_, _נטור, rába, ldmo, 
   {{0x6ef60019,0xaa6700a3,0x6f0d00a1,0x2cb30210}},	//   sába, лтак, _tiac, _vlxd_, 
   {{0x8aa4df15,0x7cfb009e,0x6ef6df16,0xd2590243}},	//   бруд, wîrd, pába, tiņi_, 
   {{0x38356274,0xf84b6fd2,0x3f8700d2,0x6aaddf17}},	// [f0f0] инар, ечей_, _zrnu_, rkaf, 
   {{0x201e0237,0x6aad050f,0x25e800a5,0xd2590243}},	//   ncti_, skaf, _जड़ी_, riņi_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x17f8057f,0xf8bf10fd,0x7c37040b,0x2b4c02d9}},	//   اركة_, _awét_, _hexr, ádce_, 
   {{0xa56400b1,0xe618005e,0x7fb30248,0x7d160210}},	//   مدون, уді_, rəqə, _xuys, 
   {{0xd4693261,0xdb1e019c,0x628008a3,0x38b600fb}},	//   тике_, _expõ, edmo, _pære_, 
   {{0x37f800d9,0x57a700a3,0x7c370104,0x6280039b}},	//   _берэ_, _ёшга, _mexr, fdmo, 
   {{0x38b65e48,0xe8e0001b,0x6b880fd6,0x00000000}},	//   _være_, _đứa_, ådgi, --, 
   {{0xe0d91a9e,0xd6d83ca1,0x3495361d,0x69cb09ec}},	//   кви_, _стр_, _каар, _सेमी, 
   {{0x05de1d5b,0x1f65df18,0x6f6559f7,0x657b0027}},	//   _फुटब, аком, авоз, _isuh, 
   {{0x6e360102,0xb4fa0070,0x6d5f09c7,0x00000000}},	//   _peyb, _ספעי, _aqqa, --, 
   {{0x6e360248,0x2d8901f5,0xde061b69,0x00000000}},	//   _qeyb, _brae_, ипни, --, 
   {{0x59a500a2,0x2d89202a,0xa3c900b0,0x7c37040c}},	//   _गॅलर, _crae_, _लेत_, _bexr, 
   {{0x7cf201cc,0x69092c6e,0x00000000,0x00000000}},	//   mærk, _džek, --, --, 
   {{0xea5a03b7,0x46b51893,0x7e7f011c,0x6e36650d}},	//   крај_, ंसाह, _faqp, _teyb, 
   {{0x3eb902f2,0x3a262f0d,0xba26df19,0xaa4711cd}},	//   chst_, рмаг, рдак, ипса_, 
   {{0xada303ea,0x3b070d38,0x213f00e2,0xa96a3147}},	// [f100] _маъл, рето_, nsuh_, ضمام_, 
   {{0x270e0f7a,0xd25901dd,0xa967491e,0x00000000}},	//   िद्र_, miņu_, рифа_, --, 
   {{0x7c3cdf1a,0x69dd2093,0xd2590243,0xab2a1c7d}},	//   marr, _exse, liņu_, _шона_, 
   {{0x7c3c0a9f,0x95ca600e,0x9f47031e,0x7cfb75a6}},	//   larr, кула_, _nyní_, rîre, 
   {{0xc5f8005e,0x978400d4,0xd2590243,0xdb1e02be}},	//   уға_, _گیاه, niņu_, _expô, 
   {{0x7c3cdf1b,0x394001a0,0x765b00b9,0x6efd039f}},	//   narr, msis_, _ecuy, mébe, 
   {{0xa6960aa3,0xf743d33e,0xe73700c8,0x3940df1c}},	//   _крај, _меро, _вес_, lsis_, 
   {{0x7c3cc248,0x3a205224,0x66e3005b,0xa3c70035}},	//   harr, ncip_, _доса, _उधर_, 
   {{0x7c3c0414,0xf50aaba0,0x628008f3,0x39406da1}},	//   karr, _анал_, rdmo, nsis_, 
   {{0xa0a6df1d,0x7c3cdf1e,0x3940df1f,0x65620034}},	//   ршил, jarr, isis_, mtoh, 
   {{0x7c3cdf20,0x381702a1,0x69091612,0x80c80086}},	//   darr, יקים_, _džeh, রকল্, 
   {{0xa18608fa,0x443cdf21,0x3940df22,0x6efd010e}},	//   _выкл, lav_, ksis_, kébe, 
   {{0x7c3c02ba,0x6efd010e,0x7c222120,0x00000000}},	//   farr, jébe, _şora, --, 
   {{0x7c3c0414,0x443cdf23,0x6458df24,0x2d89018c}},	//   garr, nav_, ngvi, _vrae_, 
   {{0xa3cc02f8,0x0ac701d8,0x00000000,0x00000000}},	//   रपट_, ащам, --, --, 
   {{0x443c01a0,0x2d896dfd,0x25600cd7,0xdced00ef}},	//   hav_, _trae_, kòl_, _osać, 
   {{0x443c02f5,0xae0311bd,0x656200e5,0x78270038}},	// [f110] kav_, रेशन_, jtoh, لعال, 
   {{0x7c3c2aa3,0x37ab68b0,0x1a6500d4,0x443c3053}},	//   carr, ктен_, _گیری_, jav_, 
   {{0x443cdf25,0x3e86010e,0x3940df26,0x2cac02ae}},	//   dav_, sítő_, asis_, ödde_, 
   {{0x394001a0,0x6d4f0534,0x224601e5,0x65620034}},	//   bsis_, orca, _ndok_, ftoh, 
   {{0x98b30095,0x443c56f6,0x69d8df27,0x629c010c}},	//   şdır_, fav_, şver, _îroy, 
   {{0x7cf2055f,0x443c01a4,0x3a390216,0xf7950a65}},	//   værk, gav_, _hesp_, _лагэ, 
   {{0x67d4df28,0xd25901dd,0x2919df29,0x2126033e}},	//   _дору, ziņu_, _husa_, _atoh_, 
   {{0x7c3cd128,0x29195132,0x6b830634,0x6d4f0588}},	//   zarr, _kusa_, _ángu, krca, 
   {{0x443c02f5,0x2911df2a,0x7c3c01cf,0xf8bf011c}},	//   bav_, _kiza_, yarr, _uwés_, 
   {{0x2919396f,0x7c3cdf2b,0x92c90033,0x1ac40659}},	//   _musa_, xarr, োতে_, _षष्ठ, 
   {{0x2911df2c,0xafe502f1,0x2919df2d,0x14d607e4}},	//   _miza_, сонл, _lusa_, _פועל_, 
   {{0x7c3cdf2e,0x6e3d02dc,0x6ef6118d,0x3940df2f}},	//   warr, gasb, rábo, ysis_, 
   {{0xe7f40aac,0x7c3c02ba,0xa0691b17,0x2919067c}},	//   _अर्थ_, tarr, _бала_, _nusa_, 
   {{0x6efddf30,0x3a39011c,0xd2590243,0x00000000}},	//   vébe, _aesp_, riņu_, --, 
   {{0x6d4fdf31,0x29190495,0x6e3d5a62,0x7cf208bb}},	//   arca, _ausa_, basb, næri, 
   {{0x7c3c93ee,0x25600cd7,0x2919df32,0x6efd0019}},	//   sarr, yòl_, _busa_, tébe, 
   {{0x7c3cdf33,0xa3c90827,0xfaa3dc66,0xbcfb0038}},	// [f120] parr, _लेस_, чато, stéa, 
   {{0x39404974,0xeb9a0886,0x7c3c7775,0x6efd010e}},	//   rsis_, _био_, qarr, rébe, 
   {{0xbb8600eb,0x3940df34,0x25600cd7,0x443c0d9d}},	//   _الجي, ssis_, wòl_, vav_, 
   {{0xe7370925,0xbcfba996,0x29110126,0x443cdf35}},	//   сец_, ntén, _eiza_, wav_, 
   {{0x443cdf36,0x2919024d,0x29112b01,0x6bd70444}},	//   tav_, _gusa_, _fiza_, _نویس_, 
   {{0x2911df37,0x6562df38,0x38b6003e,0x9d1b027a}},	//   _giza_, rtoh, _færa_, אוסט, 
   {{0x961d002a,0x6562df39,0xf2c6dbf8,0x64588306}},	//   _saņe, stoh, йсин, rgvi, 
   {{0x6d4400a9,0x6562024a,0x2911016c,0x961d01dd}},	//   _ovia, ptoh, _ziza_, _paņe, 
   {{0xd9fa031e,0x6e3ddf3a,0xb3a90213,0x5a9b0070}},	//   ्धित_, vasb, çırı, רשפא, 
   {{0xa3c900c2,0x6d4f00ca,0x6aa61b32,0xf99300d1}},	//   _लेव_, vrca, _lokf, פרת_, 
   {{0x6448df3b,0x6f1802f1,0x389b008d,0xd0100038}},	//   _iddi, _quvc, איינ, بلد_, 
   {{0x6d4f00d2,0xa3d500a5,0xb7db0486,0x00000000}},	//   trca, सपर_, רקטי, --, 
   {{0x7de7005e,0x3a390254,0xc0e6df3c,0x61f60038}},	//   сінд, _resp_, _лодк, _اساء, 
   {{0x9f34004f,0xf8bfa073,0x3f9800b0,0xdced008a}},	//   _декі, _atén_, ärus_, _ipaċ, 
   {{0x6aa60611,0x2919df3d,0xdddd010e,0x6e3d01d2}},	//   _bokf, _susa_, reső, pasb, 
   {{0x2919df3e,0x8aa43cd2,0x6d4f0242,0x644801d6}},	//   _pusa_, пруд, prca, _lddi, 
   {{0x6448411c,0x99998fc2,0x1959df3f,0x6aa6cbab}},	// [f130] _oddi, шкат_, разы_, _dokf, 
   {{0xa3b8017d,0x3a39039b,0x00000000,0x00000000}},	//   ङना_, _wesp_, --, --, 
   {{0xb0650088,0x29190218,0x6282052b,0x00000000}},	//   llää, _wusa_, _oaoo, --, 
   {{0x35f59da2,0x6448df40,0xdced012d,0x29192619}},	//   опер, _addi, _praė, _tusa_, 
   {{0x64a502f1,0x454b9080,0xd56737c9,0x7e6d5c71}},	//   жала, учем_, степ, _mbap, 
   {{0x76590156,0xfbd00a5a,0x81cc0086,0xf99200d1}},	//   sgwy, _آتی_, _শুভ_, _קרם_, 
   {{0x045600eb,0x7e6d0226,0x68fa00d1,0x5c5c0070}},	//   زلية_, _obap, _כלשה, אדוק, 
   {{0x6448df41,0x6e3b01d5,0xc6a7346b,0x00000000}},	//   _eddi, ðubl, _урги, --, 
   {{0x7649df42,0x69091b5e,0x26cf687a,0xb5fd10ea}},	//   _idey, _džev, migo_, _obši, 
   {{0x26cfce44,0x7e6d01eb,0x6e240036,0x75299a3a}},	//   ligo_, _abap, _sfib, _itez, 
   {{0xf2e71ff8,0x6d440228,0x3f691fc5,0xb4e51cc0}},	//   _людо, _svia, шино_, नवी_, 
   {{0x26cfdf43,0x2a69006d,0xdce401dd,0x00000000}},	//   nigo_, jfab_, _oriģ, --, 
   {{0xbcfb006b,0x21a50593,0xe29f008c,0x2a690354}},	//   rtén, _филм, öðu_, dfab_, 
   {{0x6c360084,0x26cfdf44,0x212d00e2,0xd00908ad}},	//   تفسا, higo_, mpeh_, _келе_, 
   {{0x76490eb6,0xbea67b14,0x44258306,0x26cf0027}},	//   _odey, _макк, _mfl_, kigo_, 
   {{0x6d40df45,0x26cf008b,0x7649023e,0x00000000}},	//   ámas, jigo_, _ndey, --, 
   {{0x26cfdf46,0x752908dc,0xe8cadf47,0x442501d5}},	// [f140] digo_, _ntez, агал_, _ofl_, 
   {{0x7cfb009e,0x00000000,0x00000000,0x00000000}},	//   pîra, --, --, --, 
   {{0xe61a4f57,0xf7720b7e,0xa3c9007e,0x2a690201}},	//   аде_, باء_, _लेल_, bfab_, 
   {{0x26cf0027,0x00000000,0x00000000,0x00000000}},	//   gigo_, --, --, --, 
   {{0x85760b7e,0x62820175,0x7ae1039f,0x2cba039b}},	//   تدائ, _raoo, élte, _klpd_, 
   {{0x2d8003a0,0x7af60088,0x7ae9008b,0xddcf00d9}},	//   _msie_, llyt, čete, lecţ, 
   {{0xb4ca00ab,0x26cf3cc6,0x75292925,0xacbb009e}},	//   _लगी_, bigo_, _etez, mpût, 
   {{0xc298df48,0x44250626,0x2bed00a5,0x71461730}},	//   ских_, _efl_, _आँसू_, охож, 
   {{0x44250054,0xf8bf0096,0xddcf020f,0x04466aba}},	//   _ffl_, _otél_, iecţ, _меан, 
   {{0x7af600f8,0x92ca0033,0xd0aa00d9,0xc0e7007a}},	//   hlyt, লকে_, ртид_, يفين_, 
   {{0xb4d6047b,0x2d80df49,0x5f9400b9,0x00000000}},	//   ाची_, _asie_, чинт, --, 
   {{0x216a1184,0x00000000,0x00000000,0x00000000}},	//   _види_, --, --, --, 
   {{0x2d800354,0x00000000,0x00000000,0x00000000}},	//   _csie_, --, --, --, 
   {{0x26cf9fcb,0xa2a60299,0x00000000,0x00000000}},	//   zigo_, टॉर्, --, --, 
   {{0x0b88df4a,0x7af6098d,0x8aa7df4b,0xb06500c8}},	//   ости_, flyt, орад, slää, 
   {{0x6d48006a,0x2d800068,0xf1bf0032,0x7e6d0027}},	//   ądar, _fsie_, žšej_, _ubap, 
   {{0x26cfdf4c,0xb9550093,0x14db0110,0x38b60566}},	// [f150] vigo_, яващ, _बदलण, _værn_, 
   {{0xa2ca119b,0x3ea900e7,0x26cf90b8,0x60dadf4d}},	//   तोत्, _hoat_, wigo_, nntm, 
   {{0x26cfdf4e,0x78a7265d,0xddc40b91,0xa3c902c3}},	//   tigo_, _vojv, _ibiš, _लें_, 
   {{0x4b7a0137,0x98a90df4,0x9f4b010e,0x36d40d3d}},	//   _פארו, mpač_, ülék_, мохр, 
   {{0xd83b0028,0x26cf3548,0xceb400c7,0x7aed00a3}},	//   _вэб_, rigo_, ויף_, moat, 
   {{0x7d7c00fe,0x7aeddf4f,0xdced38b3,0x26cf180b}},	//   ינדו, loat, _opač, sigo_, 
   {{0x290302fe,0x5c3800a7,0x69090ab4,0x1635012d}},	//   _ihja_, חרון_, _džet, _невя, 
   {{0xc2450152,0x7aed8051,0xe29901a2,0x3b0900ad}},	//   чник, noat, саи_, nmaq_, 
   {{0x00c92f0d,0xddc4052a,0x84670093,0xdced0028}},	//   йлик_, _obiš, _мъже, _apač, 
   {{0x64572126,0x7aed00a9,0x44250118,0xdce4003d}},	//   óxid, hoat, _ufl_, _oriġ, 
   {{0x7aed00a9,0x212d1920,0xf1a800d4,0xc0a80038}},	//   koat, speh_, مایه_, تايل_, 
   {{0x2485050f,0x395203c6,0x3358049b,0xbcfb039f}},	//   _halm_, yrys_, _фацэ_, stél, 
   {{0x2485df50,0x26cd018e,0x290301d2,0x7cf20566}},	//   _kalm_, _mmeo_, _ohja_, kært, 
   {{0xc21200d1,0x98a00082,0xff250080,0x00000000}},	//   _נהג_, mpić_, _емко, --, 
   {{0xfce3df51,0xddcf00d9,0xa09a0070,0x26cd0180}},	//   хоро, tecţ, _ליסט, _omeo_, 
   {{0xee3a00cf,0xaa7b008c,0x395200f8,0x2d800026}},	//   _уни_, _skýr, trys_, _tsie_, 
   {{0x3e5b00a7,0xddcf00d9,0x00000000,0x00000000}},	// [f160] _הדפס, recţ, --, --, 
   {{0xb4ca0d95,0x6d460f96,0xab66df52,0x26cd0054}},	//   _लगे_, mska, _евол, _ameo_, 
   {{0x6d460fd6,0x7c3e002a,0xe807641b,0x7aeddf53}},	//   lska, _iepr, वेला_, boat, 
   {{0xeafa0a24,0xa3e615c8,0x3952df54,0xd7ef0038}},	//   _درخت_, _युग_, prys_, دكم_, 
   {{0x6d46b674,0x7c3e8953,0xdbce07fa,0x94aa0161}},	//   nska, _kepr, _bıça, йтка_, 
   {{0xb4d6047b,0xf7460fa2,0x6d46df55,0x6909df56}},	//   ाचे_, _него, iska, _džes, 
   {{0x2ca5df57,0x248502cd,0x69c400a4,0x7c3e03a0}},	//   öldi_, _dalm_, lzie, _mepr, 
   {{0x7c3edf58,0x6d46df59,0x6aa4df5a,0x626600eb}},	//   _lepr, kska, njif, سابق, 
   {{0x69c4df5b,0xdceddedd,0x6d46df5c,0xd04100ad}},	//   nzie, _spač, jska, lilə, 
   {{0x6d46df5d,0x3ea902f1,0x3b090095,0x69090613}},	//   dska, _soat_, zmaq_, _užet, 
   {{0xd04106d0,0x443e00e0,0x6f0401fd,0xd24f0478}},	//   nilə, _iet_, _bhic, _пц_, 
   {{0x443edf5e,0x6f04df5f,0x248502b0,0x3b0900ad}},	//   _het_, _chic, _zalm_, xmaq_, 
   {{0xbcfb0076,0x50b700c5,0x443edf60,0x6f0479c3}},	//   stém, زدید_, _ket_, _dhic, 
   {{0x69c4df61,0x212b0038,0xbcfb033e,0xd0410095}},	//   dzie, íche_, ptém, kilə, 
   {{0x443edf5e,0x6d465aa6,0x7aeddf62,0x3b090095}},	//   _met_, aska, toat, tmaq_, 
   {{0x443edf63,0xcff7035c,0xd0410095,0x9a84022c}},	//   _let_, _מצוה_, dilə, нуул, 
   {{0xdd9109e8,0x3b090095,0xbcfbdf64,0x20c00465}},	// [f170] _شود_, rmaq_, nték, _còig_, 
   {{0x7c3e0dde,0x443e0139,0xddc400ef,0x26cd07c7}},	//   _gepr, _net_, _ubiš, _smeo_, 
   {{0xdd02090e,0x69c4227f,0x7aed0474,0x3b090248}},	//   _žućk, azie, poat, pmaq_, 
   {{0xae01000f,0x2485df65,0x443e059e,0x7cf200fb}},	//   _ईरान_, _salm_, _aet_, bærs, 
   {{0x6909df66,0x443edf67,0xe9450274,0x248500df}},	//   _džer, _bet_, _ترجی, _palm_, 
   {{0x443edf68,0x69090009,0x039500a3,0xe5780bfd}},	//   _cet_, _ežer, дрия, язі_, 
   {{0x443e37b4,0x6d46df69,0x68f8010e,0xd0410095}},	//   _det_, zska, őadá, cilə, 
   {{0x443e01a9,0x6d46df6a,0x26cd0097,0xf1d100d3}},	//   _eet_, yska, _umeo_, көлө, 
   {{0x443edf6b,0x661b016c,0x7d1f01ff,0x2485df6c}},	//   _fet_, _iguk, _nuqs, _talm_, 
   {{0x443edf6d,0x2ef20ff2,0x999900d8,0x00000000}},	//   _get_, _skyf_, _lesů_, --, 
   {{0xdee6df6e,0x6443074d,0x69c480b3,0x98a00864}},	//   дони, mani, zzie, spić_, 
   {{0x6443df6f,0x443e0b32,0x7c3e470f,0x6d462a0c}},	//   lani, _zet_, _sepr, tska, 
   {{0x62990318,0x6d46df70,0xd0410095,0x443e00a7}},	//   _inwo, uska, zilə, _yet_, 
   {{0x6d46df71,0x6f040052,0x6443df72,0x6289df73}},	//   rska, _whic, nani, ldeo, 
   {{0x7c3e01ee,0x6d46df74,0x64430036,0x6f04bc43}},	//   _vepr, sska, iani, _thic, 
   {{0x6d46df75,0x6289df76,0x69c4df77,0x661bdf78}},	//   pska, ndeo, tzie, _nguk, 
   {{0x0d831088,0xf2d20111,0xe9dad7e6,0x20e10c64}},	// [f180] _алын, דען_, цка_, _पदाध, 
   {{0x7ae900f1,0x69c4df79,0xfd5f001b,0x661b4a1a}},	//   četa, rzie, _luyệ, _aguk, 
   {{0x6443df7a,0x9b061ddf,0x443edf7b,0x69c45a83}},	//   dani, _озод, _ret_, szie, 
   {{0xd04106d0,0x443e28bb,0xd6d9005e,0x2d92024a}},	//   rilə, _set_, пті_, _krye_, 
   {{0x6443df7c,0x997501a2,0x1c2200a5,0x628900f8}},	//   fani, _пурш, _मलाल_, ddeo, 
   {{0x443e2597,0x6299df7d,0x843800eb,0x649a1c3e}},	//   _qet_, _anwo, أكثر_, ютер_, 
   {{0x443e87db,0xf4870116,0xd7f20038,0xd90d0019}},	//   _vet_, بانی, _شكر_, _ایل_, 
   {{0x225f0982,0x291800a9,0xa2e303b7,0x2a60df7e}},	//   gguk_, _hira_, којд, ngib_, 
   {{0x443edf7f,0x64579763,0xfd5f001b,0x6443df80}},	//   _tet_, óxic, _duyệ, bani, 
   {{0x291801d6,0xbcfb0019,0x62990156,0x92be0033}},	//   _jira_, rték, _enwo, ঁচে_, 
   {{0x0857042c,0xddcd0098,0x2d92016c,0xf26a00d9}},	//   ובים_, _zdaň, _arye_, _мижл_, 
   {{0x2918df81,0x7d170065,0x22930038,0x75200247}},	//   _lira_, _sixs, _للمس, _kumz, 
   {{0x2f1a0243,0x2918008a,0x00000000,0x00000000}},	//   _rīgu_, _oira_, --, --, 
   {{0x7e6400f4,0xbca50038,0x75200204,0x00000000}},	//   _ecip, رمزي, _mumz, --, 
   {{0xbcfb007a,0xac18df82,0x2d92052b,0x5f9400fd}},	//   ntéi, дору_, _erye_, _чийт, 
   {{0x6443df83,0xe1880029,0x34db00a2,0x5f042189}},	//   zani, _kỳ_, _बद्द, _изја, 
   {{0x98b92551,0x2bcf00aa,0x2d850243,0x00000000}},	// [f190] плат_, _हेरा, āles_, --, 
   {{0x6d5d3ea6,0x6443cbdc,0x2918df84,0x22440bfc}},	//   musa, xani, _cira_, hamk_, 
   {{0x64432e19,0x29180414,0x6909003a,0x7640df85}},	//   vani, _dira_, _džep, _bemy, 
   {{0x64432125,0xcf9300c7,0x7e7d8c1b,0x6b8502f1}},	//   wani, כטע_, nesp, _ishg, 
   {{0x6d5ddf86,0x2918df87,0x6ef63c2a,0x7c22107c}},	//   nusa, _fira_, cábu, _şori, 
   {{0x2918df88,0xd006006b,0xf5920019,0xc484012d}},	//   _gira_, _مل_, الوج, клік, 
   {{0xa3c92369,0x644349f8,0x6d5ddf89,0x76400118}},	//   _लेख_, rani, husa, _femy, 
   {{0x71592595,0x3a296c87,0x7e7ddf8a,0xbcfb0098}},	//   прос_, ncap_, jesp, stéh, 
   {{0xe297032e,0x7e7d9416,0x6ea302e6,0x75200548}},	//   зақ_, desp, गानु, _gumz, 
   {{0x2918b432,0x3949df8b,0x7e64df8c,0x6d5ddf8d}},	//   _xira_, isas_, _scip, dusa, 
   {{0xfd5f001b,0x644101dd,0x312400d3,0x3f910ed0}},	//   _tuyệ, _ieli, ндөг, ízu_, 
   {{0x3949389a,0x64413e91,0x7e7dc36c,0xee370c8b}},	//   ksas_, _heli, gesp, нню_, 
   {{0x6441df8e,0x6d5ddf8f,0x20d50451,0xd0a80274}},	//   _keli, gusa, _пікс, سطین_, 
   {{0x315600fe,0x6441df90,0x2d920876,0x38b602c9}},	//   _ניצן_, _jeli, _vrye_, _værk_, 
   {{0x64412e7b,0xeabfdf91,0xa2a602e6,0x3949df92}},	//   _meli, _blù_, टॉक्, esas_, 
   {{0x6441df93,0xfd4a0141,0xa9a601a2,0xeabf00a1}},	//   _leli, _език_, нибд, _clù_, 
   {{0x2918df94,0x6d5d09f9,0xeabf01be,0x09060596}},	// [f1a0] _pira_, cusa, _dlù_, епан, 
   {{0x6441df95,0xe8f7df96,0x29180034,0x2569007a}},	//   _neli, елу_, _qira_, dúl_, 
   {{0x2918df97,0xf0b60070,0xeabf01be,0x39494aec}},	//   _vira_, עלער_, _flù_, asas_, 
   {{0x2918df98,0x75200548,0x6ea30299,0x00000000}},	//   _wira_, _pumz, गायु, --, 
   {{0x6441df99,0x2918df9a,0x25080296,0xf99f0118}},	//   _beli, _tira_, ورتی_, _ogèy_, 
   {{0x6441df9b,0x7e7ddf9c,0x64a38763,0x7ebf024a}},	//   _celi, zesp, лача, _mëpa, 
   {{0xc5f100cc,0xd46702a6,0x6d5d0380,0x48e30080}},	//   জেলা_, хије_, zusa, _сорв, 
   {{0x78200077,0x6d5d0c36,0x6441007e,0xbcfb8658}},	//   _बलुक_, yusa, _eeli, rtéi, 
   {{0x5066503a,0xbcfb5a07,0x00000000,0x00000000}},	//   нтна, stéi, --, --, 
   {{0x6441df9d,0x78ae809c,0x6d5d00b0,0xfbb200d8}},	//   _geli, _jobv, vusa, ीनाम, 
   {{0x7e7ddf9e,0x0f232f80,0x32020098,0x6d5d070c}},	//   tesp, льям, ťky_, wusa, 
   {{0x6d5d1f74,0x828900dd,0xe1880023,0x394903c5}},	//   tusa, _осіб_, _tỳ_, ysas_, 
   {{0x6441505b,0x3b1900c3,0x3eb9df9f,0x00000000}},	//   _yeli, _risq_, rkst_, --, 
   {{0x6441dfa0,0x38b6003e,0xda0700c9,0x5ff4802f}},	//   _xeli, _færi_, _शरबत_, _излу, 
   {{0x6d5ddfa1,0xa2a40865,0xdb2300d7,0xd0f700df}},	//   susa, काप्, اوری, _רמות_, 
   {{0x6d5ddfa2,0x3949dfa3,0x442c0604,0x539b00d1}},	//   pusa, tsas_, _lfd_, הילו, 
   {{0x38c90019,0x3949dfa4,0x00000000,0x00000000}},	// [f1b0] وائی_, usas_, --, --, 
   {{0x38bf0218,0x81e20033,0x442c0604,0x3b19003d}},	//   _bîra_, _ধরা_, _nfd_, _wisq_, 
   {{0x3949dfa5,0x7986dfa6,0xdced090e,0xd8740e90}},	//   ssas_, _eskw, _usađ, طالب, 
   {{0xc5d500dd,0x461500d4,0x442c05b1,0xd3a300a3}},	//   кіль, نوار, _afd_, ғлиқ, 
   {{0x6441dfa7,0x09db0086,0xa2a40df2,0xd1260e0e}},	//   _peli, _দরকা, कान्, _خم_, 
   {{0x442c1c62,0x6441ae27,0xdb070080,0xbcfb0151}},	//   _cfd_, _qeli, syjä, buée, 
   {{0x61fc0095,0x2d8c0243,0x00000000,0x00000000}},	//   ərli, ādei_, --, --, 
   {{0x442cdfa8,0x1db300c9,0x3cf3009a,0x78ae045a}},	//   _efd_, ुनात, ंकडे_, _zobv, 
   {{0x644139d8,0xb142001c,0xc69200c7,0xa15602a6}},	//   _teli, аныл, _דאן_, вању_, 
   {{0x409519aa,0x6e2d6f9e,0x6441018e,0x45d4dfa9}},	//   трит, _afab, _ueli, _соус, 
   {{0x600900c8,0x662802ae,0x6d4d73d6,0xafe500a3}},	//   ьном_, _åskå, _avaa, тонл, 
   {{0x623558e2,0x38b6010d,0x442c0027,0xba3bdfaa}},	//   _реду, _væri_, _zfd_, _moïs, 
   {{0x008512e1,0x0d99058b,0x0d8356fe,0x628b0183}},	//   _алло, нтры_, алян, _iago, 
   {{0x628bdfab,0xa15600d1,0x6e2d00b4,0x00000000}},	//   _hago, _יבנה_, _efab, --, 
   {{0x8c431431,0x628bdfac,0x316d026a,0x99800009}},	//   ресе, _kago, ltez_, ybių_, 
   {{0x7db62398,0x316d0126,0x2fe70474,0x00000000}},	//   _асоц, otez_, ăugă_, --, 
   {{0x628bdfad,0x316ddfae,0xd94612cc,0x2d870a31}},	// [f1c0] _mago, ntez_, тези, _айып_, 
   {{0xed5905a8,0x6efd0019,0x26c7024a,0x316ddfaf}},	//   áže_, yébk, ënon_, itez_, 
   {{0x6fc102e6,0x442c040b,0x316d01d6,0x00000000}},	//   शनिं, _rfd_, htez_, --, 
   {{0xb6cb010e,0x442c0083,0xe73713cc,0x00000000}},	//   وانے_, _sfd_, тец_, --, 
   {{0x2bb201a4,0x05d21c25,0xd90d010e,0x99800028}},	//   ीनवा, _देशब, زیہ_, rbių_, 
   {{0x628b0102,0x00000000,0x00000000,0x00000000}},	//   _aago, --, --, --, 
   {{0x628bdfb0,0xbcfb0107,0x83860028,0xf7430080}},	//   _bago, quée, тыле, _весо, 
   {{0xbcfb0019,0xe7eb00a5,0x628bdfb1,0xa4eb0083}},	//   ltét, _जुटा_, _cago, टवॉच_, 
   {{0x628b02ba,0xc05adfb2,0x798400d7,0x50f40e9a}},	//   _dago, мін_, nwiw, лзит, 
   {{0x628b02a5,0xf5070012,0xf8bf0151,0x00000000}},	//   _eago, _анул_, _tuée_, --, 
   {{0xa0a35b13,0xa0870a31,0x28ba00bd,0x96b63b70}},	//   ршыл, тсыз_, _इवनि, _अकाउ, 
   {{0x26c6dfb3,0xe3160038,0x628bdfb4,0xe807017d}},	//   nhoo_, _شباب, _gago, वेटा_, 
   {{0x7de7005e,0x316d026d,0x6280dfb5,0xd1300499}},	//   тінд, ctez_, memo, _امت_, 
   {{0x628bdfb6,0x62800364,0x9d180cdf,0x38b601d5}},	//   _zago, lemo, коят_, _kæru_, 
   {{0x628bdfb7,0xaa673b60,0x00000000,0x00000000}},	//   _yago, ктак, --, --, 
   {{0x6280dfb8,0x7c22dfb9,0x00000000,0x00000000}},	//   nemo, _şort, --, --, 
   {{0x7984011d,0xbcfb0126,0x6d4d025b,0x00000000}},	// [f1d0] gwiw, ruéb, _uvaa, --, 
   {{0x6280dfba,0x2d89007c,0xf8bf0574,0x6efd02be}},	//   hemo, _isae_, _suéb_, débi, 
   {{0x6280dfbb,0x2d9d0183,0x00000000,0x00000000}},	//   kemo, _áweb_, --, --, 
   {{0xaaad0790,0x7ebf0034,0x79840610,0x00000000}},	//   _टकटक, _mëpo, bwiw, --, 
   {{0x628b00f8,0xe8070299,0x00000000,0x00000000}},	//   _rago, वेजा_, --, --, 
   {{0x628b514c,0xe73315ce,0x00000000,0x00000000}},	//   _sago, _نصر_, --, --, 
   {{0x58d404a2,0xbcfb0019,0xd7f807a4,0xe784dfbc}},	//   _торт, ltés, _аут_, _куто, 
   {{0x316d026a,0x00000000,0x00000000,0x00000000}},	//   ttez_, --, --, --, 
   {{0xbcfba83d,0xdb150019,0x316d026a,0x00000000}},	//   ntés, gyzé, utez_, --, 
   {{0x316ddfbd,0x628bdfbe,0xb0e6013e,0x3e7e0108}},	//   rtez_, _wago, лдыз_, _ắt_, 
   {{0x628bdfbf,0x62800e2e,0xd0480095,0x316ddfc0}},	//   _tago, bemo, nidə, stez_, 
   {{0xed5a354b,0x62800e2e,0x316ddfc1,0xa2a41f02}},	//   ном_, cemo, ptez_, काण्, 
   {{0xd04800ad,0xbcfb039f,0x00000000,0x00000000}},	//   hidə, jtés, --, --, 
   {{0xbfb50816,0xa0693804,0x657b007c,0x00000000}},	//   _محبت, _чака_, _mpuh, --, 
   {{0x3f87015e,0x5ea60038,0x4a9a012d,0xe0d000d7}},	//   _usnu_, _ممثل, нтаў_, _بزن_, 
   {{0x0e661cbe,0x290a00e5,0x9e66170f,0xc33200d1}},	//   _скин, _shba_, _свид, מול_, 
   {{0x3ea0dfc2,0x1a06662e,0xfe3700d1,0x00000000}},	// [f1e0] _init_, упам, _גרפי_, --, 
   {{0x6a84005e,0x6280dfc3,0x291c0219,0x33250036}},	//   ылға, zemo, öva_, _oulx_, 
   {{0x3ea017dd,0x657b011d,0xf8bf00b9,0x62800126}},	//   _knit_, _apuh, _atés_, yemo, 
   {{0xfaa63993,0x62800496,0x864615c5,0xbcfbdfc4}},	//   _само, xemo, ундж, stét, 
   {{0x62800c7c,0x7ae4dfc5,0x7d1edfc6,0x3ea0016a}},	//   vemo, mnit, _kips, _mnit_, 
   {{0x7ae4dfc7,0x5334012d,0xbcfb010e,0x690b0068}},	//   lnit, аект, ltér, güed, 
   {{0x6280dfc8,0x27f70076,0x66e601a2,0xbcfb003e}},	//   temo, čené_, _бова, bréf, 
   {{0x7ae40905,0x7d1e002e,0x96950cd9,0xd13a01a2}},	//   nnit, _lips, _круш, нхо_, 
   {{0x20070065,0x7ae4dfc9,0x62806725,0x38b601d5}},	//   _azni_, init, remo, _fært_, 
   {{0x7ae4dfca,0x64a300f0,0x3ea0dfcb,0x20c00465}},	//   hnit, _лауа, _anit_, _eòin_, 
   {{0x7ae40a16,0x644adfcc,0x20180341,0x62800844}},	//   knit, mafi, äri_, pemo, 
   {{0x644adfcd,0x614616d2,0x7ae4dfce,0x9ec700d7}},	//   lafi, _беда, jnit, ازده, 
   {{0x7ae4dfcf,0x3b0000ad,0x3ea0019c,0x00000000}},	//   dnit, dliq_, _dnit_, --, 
   {{0xab870d3b,0x224600b4,0x00000000,0x00000000}},	//   лубк, _heok_, --, --, 
   {{0x60da381a,0xbcfb033c,0x7ae4dfd0,0x22461032}},	//   mitm, guéa, fnit, _keok_, 
   {{0xfebb00c5,0x644adfd1,0x7ae4dfd2,0xdb2400f2}},	//   _ساعت_, hafi, gnit, árás, 
   {{0x644ab25c,0x200b00ab,0x19580b34,0x74a702e6}},	// [f1f0] kafi, ęcie_, латы_, चामृ, 
   {{0x7ae4dfd3,0xbcfb010e,0x387801be,0x644adfd4}},	//   anit, rtés, _cbrr_, jafi, 
   {{0x64570b85,0x644adfd5,0xf80705e0,0x6d4fdfd6}},	//   óxim, dafi, учан, lsca, 
   {{0xbcfbdfd7,0x7d1edfd8,0x6d5ddfd9,0x9a8701a2}},	//   ctér, _zips, orsa, _суол, 
   {{0xe5a5dfda,0x6d4f00eb,0x6f0d0557,0x644a0379}},	//   рили, nsca, _mhac, fafi, 
   {{0x644adfdb,0xd7fb102a,0x00000000,0x00000000}},	//   gafi, _зуб_, --, --, 
   {{0x38b602fb,0x6d5d0502,0x60da10d4,0x2cb3040c}},	//   _vært_, hrsa, ditm, _moxd_, 
   {{0x29010529,0x6d5d1993,0xe29903dc,0x6f0ddfdc}},	//   llha_, krsa, таи_, _nhac, 
   {{0x91e5dfdd,0x645e6734,0x672700cf,0x2246016a}},	//   ропе, ópic, _hujj, _deok_, 
   {{0x764b0c36,0x6609dfde,0x6f0d016c,0x3ea049b5}},	//   lagy, _izek, _ahac, _snit_, 
   {{0x7d1e3d00,0x6f0d006c,0x46b9009a,0x290102be}},	//   _rips, _bhac, _आवाह, ilha_, 
   {{0x6f0ddfdf,0xef17002e,0x7d1edfe0,0x660900b4}},	//   _chac, имэ_, _sips, _kzek, 
   {{0x6f0d0014,0xccf80258,0x7ae4dfe1,0x6d4f32aa}},	//   _dhac, лқи_, vnit, gsca, 
   {{0x764b5bc5,0x1d0a00d3,0x60dadfe2,0x60c801fd}},	//   hagy, теги_, citm, chdm, 
   {{0x6d5d0094,0xbcfbdfe3,0x6f0d0a69,0x6d4fdfe4}},	//   arsa, ttér, _fhac, asca, 
   {{0x644adfe5,0x6f0ddfe6,0x3ea000d1,0x6aad003e}},	//   zafi, _ghac, _unit_, gjaf, 
   {{0x7d1e05ac,0x2d8c00e0,0x7ae4acb0,0x20c90038}},	// [f200] _tips, ādes_, rnit, _cúig_, 
   {{0xbcfbdfe7,0xe8c7dfe8,0x672701a3,0xdced00c3}},	//   stér, агул_, _bujj, _traġ, 
   {{0x5c5b0056,0xbcfb0483,0x644a0095,0x6e240026}},	//   _בדיק, ptér, vafi, _kgib, 
   {{0x6d440035,0x644acbf5,0x65620626,0xbcfb0068}},	//   _kwia, wafi, tuoh, trég, 
   {{0x644adfe9,0x6609006a,0xe4a602f1,0x7bcedfea}},	//   tafi, _czek, ирко, lzbu, 
   {{0xd37a00cf,0x224602a2,0xd9433a24,0xc44800d4}},	//   вчи_, _seok_, _фери, ایان_, 
   {{0x6609dfeb,0xf2c608ac,0x67270539,0x6e2401d6}},	//   _ezek, исин, _gujj, _ogib, 
   {{0x644adfec,0xbcfbdfed,0x6e24dfee,0x66e64018}},	//   safi, prég, _ngib, _тоба, 
   {{0x60f80141,0x644ab428,0x3cf8dfef,0x7ae10183}},	//   лния_, pafi, korv_, élti, 
   {{0x6d5d090b,0x7ae90304,0x6e24d93a,0x6f0d0de2}},	//   vrsa, četi, _agib, _shac, 
   {{0x6f0ddff0,0x3f98014b,0x6d440574,0xf99f0118}},	//   _phac, íru_, _awia, _azèl_, 
   {{0x6d4f155e,0x64483321,0xbcfb0183,0x67200508}},	//   tsca, _hedi, guén, _jimj, 
   {{0xa158dff1,0x6d5ddff2,0x3cf3dff3,0x00000000}},	//   _салу_, ursa, ंकले_, --, 
   {{0x64480e25,0x6d4f0534,0x91bb00d1,0x6e2461dc}},	//   _jedi, rsca, _במדי, _egib, 
   {{0x6f0ddff4,0xaa59dff5,0xf99f0118,0x01e80033}},	//   _thac, ливу_, _ezèl_, _পরিদ, 
   {{0x64482379,0x1b1911c5,0x8aa41231,0xbcfb0369}},	//   _ledi, ужбы_, оруд, cuén, 
   {{0x6d4400ab,0x2901084c,0x7e6d016c,0xdced01f2}},	// [f210] _gwia, tlha_, _icap, _jqaċ, 
   {{0x6448dff6,0x4ddc00a7,0x7bce0ab4,0x6e24234d}},	//   _nedi, _שחזו, bzbu, _zgib, 
   {{0x6609010e,0xbcfb0212,0x6d440083,0xab95007a}},	//   _szek, grée, _zwia, _الجغ, 
   {{0x2b5e02d9,0x99890121,0x00000000,0x00000000}},	//   átce_, mbaž_, --, --, 
   {{0x64484ba1,0x356b5547,0xd4d90904,0x25d9001c}},	//   _bedi, трен_, лькі_, ымды_, 
   {{0xdfc6dff7,0x0442065b,0x64480b5d,0x672701a3}},	//   _في_, пешн, _cedi, _tujj, 
   {{0xbcfb0212,0x7afd0604,0xc6a71fc7,0x764bdff8}},	//   crée, _kkst, _краи, pagy, 
   {{0x660901ca,0xd3b800f0,0x00000000,0x00000000}},	//   _tzek, руші_, --, --, 
   {{0x64480149,0x26dd0204,0xeaaa0070,0xf99f0118}},	//   _fedi, miwo_, רױפֿ, _ozèm_, 
   {{0x6448dff9,0x26dd0298,0x7649016a,0x60d80042}},	//   _gedi, liwo_, _heey, _cmvm, 
   {{0x25db0509,0x34940148,0x6d44285e,0x764902a5}},	//   _खेती_, _фахр, _swia, _keey, 
   {{0x26dd044d,0x7bce014b,0x644801cf,0x752100b4}},	//   niwo_, vzbu, _zedi, _hilz, 
   {{0xa2a40527,0x75296e43,0x64481ba2,0x764901b8}},	//   कार्, _juez, _yedi, _meey, 
   {{0x764901b8,0xa5da00c7,0xa2d31432,0x442500ca}},	//   _leey, אַלי, बोर्, _jgl_, 
   {{0xfe781b17,0xa3aa04cc,0xd49100e7,0x752101dd}},	//   _күн_, खमय_, _mà_, _milz, 
   {{0x7c250065,0xd49100e7,0xf8bf0042,0xfe4600d9}},	//   _eghr, _là_, _quén_, _унио, 
   {{0x6d443167,0x26dd019b,0x672000a4,0x00000000}},	// [f220] _uwia, diwo_, _rimj, --, 
   {{0x7afddffa,0x6c8600eb,0xbcfb026a,0x752102be}},	//   _ekst, _الدم, trée, _nilz, 
   {{0x78b5034c,0x64480f2d,0xdb1c024a,0x764901a3}},	//   _dozv, _redi, nyrë, _beey, 
   {{0x6448d8b5,0x6efddffb,0x6a861b68,0xbcfb0212}},	//   _sedi, lébr, _улма, rrée, 
   {{0x673b0062,0x6448841b,0x7521359e,0xd4910108}},	//   _čuje, _pedi, _bilz, _bà_, 
   {{0x6fca05fd,0xe5a600cf,0x64482c89,0x6cf80790}},	//   ानमं, _қизи, _qedi, ंकिग_, 
   {{0x6448dffc,0x6720dffd,0xf1d01202,0xdb1c0034}},	//   _vedi, _timj, _तेजन, jyrë, 
   {{0x764901b8,0x4425dffe,0x64484a5e,0xdd2d0009}},	//   _geey, _egl_, _wedi, vėžy, 
   {{0xdefb005e,0x75290183,0x3952b961,0xb6bb00d1}},	//   ғын_, _guez, nsys_, _עצמי, 
   {{0x7e6ddfff,0xfbc8047c,0xbcfb0183,0x9f542c56}},	//   _scap, रनाम, guél, овоч, 
   {{0x2d800904,0xc1a600f0,0x224de000,0x78fb00d1}},	//   _apie_, рыққ, baek_, רפיו, 
   {{0x490f0b79,0x41d91202,0x7521cb21,0x8143015f}},	//   _तीनो_, _बेवस, _zilz, _کنون, 
   {{0x200b006a,0x26c70034,0x0dc8058e,0x00000000}},	//   ęcia_, ënoi_, бури_, --, 
   {{0x1fa67f9b,0x6ce700f0,0x26dd0532,0xf1a900d7}},	//   _григ, сіме, ziwo_, _خامه_, 
   {{0x78b50076,0x2a69016a,0x26dd0532,0x2ac70bad}},	//   _rozv, tgab_, yiwo_, бљав, 
   {{0x7e6d2998,0xada60032,0x78b50604,0x7f3b0070}},	//   _ucap, _spúš, _sozv, _געהו, 
   {{0x7c250065,0x2a69e001,0x7827007a,0x00000000}},	// [f230] _tghr, rgab_, معال, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xddcd0035,0x75290844,0x569500c8,0x26dd044d}},	//   _udał, _suez, жает, tiwo_, 
   {{0x8f9b00d1,0x3f9c0613,0x39521f14,0x78b50237}},	//   טיבי, _mrvu_, bsys_, _wozv, 
   {{0x98c501f0,0x94252276,0x61e43eeb,0x7521e002}},	//   ştır_, омле, _žiln, _pilz, 
   {{0x76490539,0x233528c1,0x26dd0532,0xe35900a3}},	//   _weey, охир, siwo_, ашиш_, 
   {{0xd49100e7,0x4425e003,0xd2a900d3,0x00000000}},	//   _và_, _vgl_, икке_, --, 
   {{0x6b830165,0xf99f0118,0x00000000,0x00000000}},	//   _ângu, _tyèd_, --, --, 
   {{0x4425053f,0x00c9068e,0x059500d4,0x3f9c00b0}},	//   _tgl_, илик_, _بازگ, _arvu_, 
   {{0xe0d9e004,0x443100ad,0x4425da24,0xdb1c024a}},	//   рво_, _üz_, _ugl_, tyrë, 
   {{0xd0093888,0x8eea81fd,0xbef700a2,0x248706df}},	//   рене_, имов_, ीतून_, menm_, 
   {{0x3f9c00ca,0x6e2902d9,0x0cb4029c,0x00000000}},	//   _drvu_, žebn, ुस्म, --, 
   {{0x61ed044e,0x00000000,0x00000000,0x00000000}},	//   _žalf, --, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x6efd0212,0x799d7afc,0xdb1c021e,0x00000000}},	//   rébr, _arsw, qyrë, --, 
   {{0xfaa34eff,0xbcfb0151,0x00000000,0x00000000}},	//   масо, tréc, --, --, 
   {{0xa96a01a2,0xdce401f2,0xcee9009c,0x2bc80299}},	// [f240] риза_, _esiġ, _درون_, रनहा, 
   {{0x0c6802f1,0x3952017c,0x6d560610,0x00000000}},	//   _узоқ_, rsys_, _ivya, --, 
   {{0xd7ff00b3,0x562ae005,0x00000000,0x00000000}},	//   _ţări_, ажем_, --, --, 
   {{0xbcfb026a,0x98af00e0,0x91c901ec,0x3952e006}},	//   préc, īgā_, िनाई, psys_, 
   {{0x94aa51cd,0xddcd00ab,0x41d902e6,0x645e1484}},	//   итка_, _gdań, _बेलस, ópio, 
   {{0x439400d3,0x61e400de,0x00000000,0x00000000}},	//   закс, _žilo, --, --, 
   {{0xd46716d9,0x925800d3,0xdb152c26,0xe71a00d7}},	//   ције_, байт_, lyzá, _نيست_, 
   {{0xfbe80023,0x00000000,0x00000000,0x00000000}},	//   _đề_, --, --, --, 
   {{0xcb13554c,0x045a0a24,0x7642e007,0xd46a04b6}},	//   ולה_, _نجات_, mboy, _визе_, 
   {{0x3f9c02f5,0xb463e008,0xa50a1918,0xb97b0225}},	//   _prvu_, _окул, _теза_, סניי, 
   {{0xf3ed03dc,0x6d560cba,0xd1b70019,0x78a10118}},	//   _чӣ_, _avya, مایا_, _ólve, 
   {{0x7642e009,0x7c280613,0x65620054,0xbcfb011c}},	//   nboy, ždrl, oroh, dréa, 
   {{0xf65300a7,0x171b00c7,0xdce401f2,0x6562e00a}},	//   וצר_, יוטע, _ssiġ, nroh, 
   {{0x61ed012d,0x6fb60038,0x25a00080,0x20d3007a}},	//   _žalg, _ومشا, äily_, _يتوج, 
   {{0xbcfbe00b,0x80a300d7,0xda4b08d1,0x00000000}},	//   quém, _زمين, ичал_, --, 
   {{0x690b00d3,0x00000000,0x00000000,0x00000000}},	//   güen, --, --, --, 
   {{0x645a0228,0x59de0e0d,0x00000000,0x00000000}},	// [f250] _odti, _नेदर, --, --, 
   {{0xf80748b1,0x6562e00c,0x645e0183,0xa3aa00bc}},	//   очен, droh, ópil, खमा_, 
   {{0x37ab96ea,0x7d0700ef,0x602d010e,0xbcfb0883}},	//   штан_, mljs, _hőmé, créa, 
   {{0x0f7b00a7,0x645a0640,0xeabf0465,0xabfa00d1}},	//   שראל, _adti, _diùc_, _להתר, 
   {{0x64a531d7,0x00000000,0x00000000,0x00000000}},	//   зала, --, --, --, 
   {{0xab98009c,0x645a00b4,0x6fca2a2c,0x00000000}},	//   _اخیر_, _cdti, ानां, --, 
   {{0x76424411,0x00000000,0x00000000,0x00000000}},	//   bboy, --, --, --, 
   {{0xd2a9030f,0xdffe034d,0x2d84027e,0x7ebf0034}},	//   ские_, _उड़द_, çmek_, _këpu, 
   {{0xa3db0e36,0x213900e5,0xdc1808dd,0x00000000}},	//   _ढेर_, ësh_, _दण्ड_, --, 
   {{0x98bd34a2,0x753be00d,0xf8bd55b4,0xa0690bad}},	//   ोसिए, _ituz, ोसिय, љана_, 
   {{0x6443e00e,0x8fa5dbbd,0x798d045a,0x00000000}},	//   mbni, чане, hwaw, --, 
   {{0xe29802fb,0x798d0204,0xf99f03a0,0x7b13b4ba}},	//   _має_, kwaw, _orè_, nçud, 
   {{0xe0cee00f,0x7ebf0034,0x3eab00da,0x260f0110}},	//   _зв_, _nëpu, _šité_, तेची_, 
   {{0x213f36fa,0x40872189,0x913a00a7,0xbcfb0068}},	//   mpuh_, _фудб, _העסק, tréa, 
   {{0xf99f05d5,0x00000000,0x00000000,0x00000000}},	//   _arè_, --, --, --, 
   {{0x8b23033a,0x28de0466,0xaf760070,0x798d019b}},	//   едсе, फोनि, _זעקס_, fwaw, 
   {{0x798d3c53,0xf99f011c,0xf8bf0574,0xa9230032}},	// [f260] gwaw, _crè_, _kuéh_, _šľah, 
   {{0x765b7f08,0x2d920237,0x00000000,0x00000000}},	//   _aduy, _isye_, --, --, 
   {{0x068609d9,0xf99f0300,0x753b59ad,0x7642040c}},	//   зген, _erè_, _atuz, tboy, 
   {{0x690b27f2,0xf99f0cd7,0x798d0547,0x656288d2}},	//   qüen, _frè_, bwaw, troh, 
   {{0xa50a1fde,0xa53308af,0x7642e010,0x765b052b}},	//   беда_, еніч, rboy, _dduy, 
   {{0x39401bde,0x7afb008b,0x6562e011,0x2d920300}},	//   mpis_, čute, rroh, _msye_, 
   {{0xbcfb010e,0x753b052b,0xb62a0108,0x58050259}},	//   krén, _etuz, _chợđ, _жорғ, 
   {{0x994c0039,0xd379004f,0x6562e012,0xd13800b3}},	//   _môže_, ючі_, proh, озиц_, 
   {{0x672e00ef,0x64430219,0x7faa00ad,0x291a018e}},	//   _hubj, bbni, vəqq, ompa_, 
   {{0xbf05051f,0x94050248,0x00000000,0x00000000}},	//   रत्न_, _lalə_, --, --, 
   {{0xb4e800a2,0xb2262e05,0x7d0702fe,0x2d9205d5}},	//   मची_, _емел, vljs, _asye_, 
   {{0x6b9c0112,0x0b000086,0xbcfb2706,0x61ed0144}},	//   dvrg, ্দুল_, grén, _žale, 
   {{0x91d43b41,0x68fe0b32,0xa0a60e27,0x7b130151}},	//   _बेचै, kopd, _надд, nçue, 
   {{0x0137035c,0x690b0183,0x2cebe013,0xb113017b}},	//   _צרות_, güel, сьмо_, _зміш, 
   {{0x2d920118,0x7ee700b3,0x307b00d1,0x26c60080}},	//   _esye_, _нцие, _האונ, kkoo_, 
   {{0x59de2a2c,0xbcfb010e,0xf1b0009a,0xf99f0300}},	//   _नेहर, ntéz, _जपान, _prè_, 
   {{0x98b9a554,0x394007fc,0x6aac23f2,0x3ea9e014}},	// [f270] олат_, gpis_, _šofé, _inat_, 
   {{0x7e7d0aa7,0x798de015,0x3ea9040c,0xf99f0300}},	//   lfsp, rwaw, _hnat_, _vrè_, 
   {{0x753be016,0xac1911e6,0x41c800bc,0x5b150488}},	//   _stuz, _фону_, ाईँस, _омот, 
   {{0xa63400dd,0xf99f06df,0x672e007b,0x2bd63b70}},	//   енці, _trè_, _dubj, _डेटा, 
   {{0x7aede017,0xc984e018,0x24f900f0,0x8c190444}},	//   mnat, _пури, онды_, _ديگر_, 
   {{0x83395547,0xe5a20a66,0x39590369,0x2eba79b2}},	//   очит_, тиши, _ivss_, _उक्त, 
   {{0x6443e019,0x20c9008c,0xe4500038,0xbcfbe01a}},	//   rbni, _búin_, اضه_, guéi, 
   {{0x569462b3,0x7aede01b,0x24800062,0x23260cf8}},	//   _паст, nnat, đima_, мощи_, 
   {{0x61ed0062,0xf487237f,0x7aed21f7,0x6b9c0242}},	//   _žalb, _нужн, inat, zvrg, 
   {{0x629d0187,0x3b090da2,0x3ea903a1,0x7aede01c}},	//   ôsob, hlaq_, _anat_, hnat, 
   {{0x3e8a2cdb,0x656be01d,0x3940220b,0x7aede01e}},	//   ойно_, lugh, zpis_, knat, 
   {{0x32e306df,0x3940003e,0xee3733ed,0xbddb009c}},	//   _dèyè_, ypis_, мню_, rbèn, 
   {{0xf1d103dd,0x00000000,0x00000000,0x00000000}},	//   _шөкө, --, --, --, 
   {{0xab2a1e2f,0x7aede01f,0xbddb011c,0x00000000}},	//   жова_, enat, mbèl, --, 
   {{0x1d0733dc,0xbcfbe020,0x26cd318e,0x656b09c5}},	//   фери_, prén, _oleo_, hugh, 
   {{0x7aede021,0x39400062,0x2127001b,0x69d9007e}},	//   gnat, tpis_, _hinh_, _नइखी, 
   {{0x09e3ab5a,0x212700f7,0xa3e4047c,0x672ee022}},	// [f280] вотн, _kinh_, _पेन_, _subj, 
   {{0x7aed05f0,0x3ea92178,0x26cd00a9,0x6d9223b8}},	//   anat, _znat_, _aleo_, ržać, 
   {{0x21270029,0x68fe01d2,0x212fe023,0x7aed0534}},	//   _minh_, ropd, _lugh_, bnat, 
   {{0x21270029,0x3940e024,0x656b01d8,0x68fee025}},	//   _linh_, ppis_, fugh, sopd, 
   {{0x4681032e,0x7ae47707,0x20c9007a,0x6f04018e}},	//   ықта, miit, _rúin_, _mkic, 
   {{0x7ae41ab9,0x2127001b,0xb4e800a2,0xed59014b}},	//   liit, _ninh_, मचे_, áži_, 
   {{0xd82333dc,0x6f0408e3,0x213d0175,0x26cd0118}},	//   _адри, _okic, _atwh_, _fleo_, 
   {{0x6b830219,0x78bce026,0xdce6014b,0x212700a1}},	//   _änge, _horv, dukč, _ainh_, 
   {{0x78bc6ee5,0x2127001b,0x2007942c,0x69c4e027}},	//   _korv, _binh_, _ayni_, nyie, 
   {{0x7aed02f5,0x6f046add,0x7ae4e028,0x3cf80083}},	//   znat, _akic, hiit, ंकों_, 
   {{0x20c900eb,0x2127001b,0x7aede029,0x442c016a}},	//   _iúil_, _dinh_, ynat, _igd_, 
   {{0xa1c60c8a,0x752803c8,0x6f040054,0x7ae40548}},	//   _обед, _hidz, _ckic, jiit, 
   {{0x7aed2467,0x20070095,0x6282e02a,0x78bc0876}},	//   vnat, _eyni_, _iboo, _oorv, 
   {{0x7c84e02b,0xbcfb0183,0x8c3a01a2,0x6f04d668}},	//   кусе, ntéx, зорӣ_, _ekic, 
   {{0x3b09729b,0x75280204,0xc059e02c,0x9be4128b}},	//   tlaq_, _midz, _хіі_, вітк, 
   {{0x7528e02d,0x7ce90bfc,0x3ea9011d,0x20c90354}},	//   _lidz, džre, _unat_, _lúil_, 
   {{0x7aede02e,0x2bff130c,0x628201b8,0x6e2d02b8}},	// [f290] rnat, _शुरू_, _mboo, _igab, 
   {{0x21270029,0x27370405,0x75288568,0x6282012b}},	//   _xinh_, _aħna_, _nidz, _lboo, 
   {{0x7d0502cd,0x78bc3076,0x6e2d084c,0x6d4d14e2}},	//   _ikhs, _dorv, _kgab, _hwaa, 
   {{0xa29e000d,0x6d4d4820,0x7528085b,0x99670093}},	//   _खोल्, _kwaa, _aidz, _отгл, 
   {{0x78bc2e76,0x442ce02f,0x6e2d012b,0x2d4d0356}},	//   _forv, _bgd_, _mgab, nže_, 
   {{0xd7fb38aa,0x628201a3,0x656be030,0x6d4d3477}},	//   _дуб_, _aboo, rugh, _mwaa, 
   {{0x29018aea,0xa3ca00aa,0x21270023,0x20c9007a}},	//   moha_, रैल_, _rinh_, _dúil_, 
   {{0x212700f7,0x6e2de031,0x2901e032,0x2d4d063b}},	//   _sinh_, _ngab, loha_, kže_, 
   {{0x15f33375,0x6abde033,0xbcfb0183,0x442c002c}},	//   _आखिर_, _mosf, trél, _fgd_, 
   {{0x6f0414f9,0x2d4de034,0x6e2d4588,0x7528011c}},	//   _skic, dže_, _agab, _gidz, 
   {{0x2127001b,0x6d4d3875,0x6609016a,0xf8b20486}},	//   _vinh_, _awaa, _hyek, אשי_, 
   {{0x6282011c,0x61ea010e,0x29014a71,0x6d4d01a3}},	//   _gboo, ámlá, hoha_, _bwaa, 
   {{0x6729006a,0x21270029,0x2bc808dd,0x290100b0}},	//   _miej, _tinh_, रन्थ, koha_, 
   {{0x6d4d0b22,0x6f1d7044,0x6e2d01b8,0x67290028}},	//   _dwaa, amsc, _egab, _liej, 
   {{0xdee6736b,0x6299e035,0x316db783,0x7ae4e036}},	//   _поки, _kawo, luez_, tiit, 
   {{0x78bce037,0x629be038,0x61e40187,0x67294333}},	//   _sorv, nduo, _žili, _niej, 
   {{0xe9da0d5c,0xdca63993,0x6609e039,0x7ae4e03a}},	// [f2a0] чка_, _запи, _nyek, riit, 
   {{0x6299e03b,0x7ae41f06,0xf99f0237,0x2901018e}},	//   _lawo, siit, _iyèl_, goha_, 
   {{0x6d4d0b32,0x7528461b,0xb80a0038,0x672908b0}},	//   _zwaa, _ridz, أيام_, _biej, 
   {{0x6299e03c,0xd04106d0,0x20c900eb,0x442ce03d}},	//   _nawo, rhlə, _súil_, _sgd_, 
   {{0xe5a3228c,0x442ce03e,0x2901e03f,0x6594019c}},	//   лици, _pgd_, boha_, талу, 
   {{0x2480015e,0x66090118,0xf99f03a0,0x316d00b4}},	//   đimo_, _dyek, _myèl_, duez_, 
   {{0x2ca70068,0x6299e040,0x752801dd,0xa3ca0790}},	//   _ónde_, _bawo, _vidz, रैं_, 
   {{0x752800ab,0xd25000eb,0x629bd97c,0xf5ea00b3}},	//   _widz, جنة_, gduo, _ембл_, 
   {{0x6299e041,0x75280204,0x66090539,0x00000000}},	//   _dawo, _tidz, _gyek, --, 
   {{0xbcfb955c,0x442c0089,0x6e2de042,0x20c001be}},	//   trém, _ugd_, _sgab, _ròis_, 
   {{0x6d4d018c,0x71fa0296,0x2918008a,0x00000000}},	//   _swaa, _کراس_, _mhra_, --, 
   {{0x6299e043,0xf99f0237,0x20c00465,0xbcfb0212}},	//   _gawo, _byèl_, _còir_, rrém, 
   {{0x2918007b,0x6f1d02eb,0x98a303a0,0x9be40259}},	//   _ohra_, rmsc, _sijč_, ңіск, 
   {{0x2d4d1993,0x6299b186,0x628015e9,0xddcd008a}},	//   rže_, _zawo, lfmo, _ibaż, 
   {{0x6299e044,0x0b88002e,0x2f12010e,0x20c001be}},	//   _yawo, нсти_, sága_, _fòir_, 
   {{0x291802a2,0x6d4d3ce4,0x2901012b,0xf99f05d5}},	//   _ahra_, _twaa, woha_, _fyèl_, 
   {{0xe9f81d9a,0x2901e045,0x68e50241,0x6d4d1a1f}},	// [f2b0] енті_, toha_, tihd, _uwaa, 
   {{0x629b0009,0xe4e50484,0x672943e0,0x660902a5}},	//   zduo, _औषधि_, _siej, _ryek, 
   {{0xec360056,0x660902a2,0xe81c05e5,0x69103d00}},	//   _באתר_, _syek, भेला_, mäel, 
   {{0x29180102,0xb8c82659,0x290107d7,0x6609011c}},	//   _ehra_, _खो_, soha_, _pyek, 
   {{0x9f5c030f,0x672908f4,0xc55e009e,0xd0060019}},	//   _hyvä_, _viej, _şîrî, _چل_, 
   {{0x6299523d,0xbcfb0126,0x29010226,0x291801be}},	//   _sawo, mués, qoha_, _ghra_, 
   {{0x6299e046,0xf8bf0175,0xef1f0585,0xc1c90299}},	//   _pawo, _duét_, kmü_, िन्ग, 
   {{0x656402fe,0xddcd003d,0x660905d5,0x316de047}},	//   šiha, _bbaż, _tyek, tuez_, 
   {{0x629b00e4,0x36d40088,0xe29700f0,0xe5350080}},	//   rduo, _сотр, дақ_, _резь, 
   {{0x62993592,0xb60400b3,0xf99f0118,0xbddb011c}},	//   _wawo, _сяск, _nyèm_, mbèh, 
   {{0x644b2f4e,0xf99f06df,0xb275e048,0x6299e049}},	//   čnič, _syèl_, _алеш, _tawo, 
   {{0xed5a6458,0xdee66e99,0xfe720038,0x00000000}},	//   мом_, томи, جدد_, --, 
   {{0x316d026d,0xf1d90035,0x7bc701d5,0x61e40528}},	//   quez_, _बेचन, eyju, _žilv, 
   {{0x71d6008d,0xccf5004e,0x00000000,0x00000000}},	//   _בונד_, лқы_, --, --, 
   {{0xe7e102f8,0x5efa03dc,0x6d4035b6,0x7afb0121}},	//   _गेला_, _охир_, ímab, čutn, 
   {{0xc3320a33,0x00000000,0x00000000,0x00000000}},	//   שון_, --, --, --, 
   {{0x3b0701d0,0xeabf00e7,0x0eaf02e6,0x29182a6d}},	// [f2c0] тето_, _giùm_, टारड, _phra_, 
   {{0x07a60fb6,0xba3b0106,0x00000000,0x00000000}},	//   казн, _naïf, --, --, 
   {{0xc00f0023,0xbcfb00da,0x00000000,0x00000000}},	//   _đuối_, dréh, --, --, 
   {{0xdd1100bc,0xc79500f0,0x2bf700d1,0xf99f05d5}},	//   mýšl, ыруы, _ימין_, _zyèm_, 
   {{0x19f900b3,0x61ed73c5,0x00000000,0x00000000}},	//   _зэрь_, _žaln, --, --, 
   {{0x25a4012b,0xf8bf00e7,0xbcfb02be,0x00000000}},	//   _vrml_, _quét_, quét, --, 
   {{0x7e0f017d,0xfe7f00b9,0x289b0070,0x00000000}},	//   _सर्ग_, diïn_, _קילא, --, 
   {{0xb865006b,0xf1a60176,0xb28603a1,0xdced01f2}},	//   _لاہو, врон, тыкк, _msaġ, 
   {{0xbcfb014b,0x69c0019c,0xbddb023e,0x00000000}},	//   bréh, _àmed, rbèk, --, 
   {{0x30a62770,0x9346e04a,0xa0a63f74,0x00000000}},	//   трив, _анже, тшил, --, 
   {{0x6458e04b,0x085700a7,0x443e192b,0x691000b0}},	//   mavi, כבים_, _ift_, väel, 
   {{0x6458646d,0xe24600eb,0xdce600e0,0x7c3e02c9}},	//   lavi, _شخصي, vukā, _afpr, 
   {{0x200200ab,0x443e0019,0xbcfb0019,0xc693027a}},	//   łki_, _kft_, nség, באר_, 
   {{0x64580fc4,0x31570070,0xc0e3022c,0x6ce700f0}},	//   navi, _יידן_, _кочк, тіме, 
   {{0x6d46e04c,0xf09300d1,0x443e0290,0xfc46020b}},	//   apka, _כנס_, _mft_, _číta_, 
   {{0xbcfbe04d,0x6458e04e,0x6d4000da,0xba3b0106}},	//   guér, havi, ímac, _maïg, 
   {{0x5a347ded,0xdced01f2,0x443ee04f,0xbcfb007a}},	// [f2d0] рнут, _esaġ, _oft_, hréi, 
   {{0x645809b2,0x6d5d2238,0x2b410108,0x2907023a}},	//   javi, mssa, _tthc_, ôna_, 
   {{0x05db0083,0x00000000,0x00000000,0x00000000}},	//   _मेजब, --, --, --, 
   {{0xbcfb08b2,0x24852622,0xf8bf0126,0x4615009c}},	//   dréi, _sblm_, _pués_, هوار, 
   {{0xbcfbe050,0x3cf806bc,0x6d5dcb4a,0x443e2871}},	//   gség, _سعید_, nssa, _bft_, 
   {{0xb97a0056,0x6d5de051,0x6458e052,0xf773006b}},	//   _אנשי, issa, gavi, _پاس_, 
   {{0x443ee053,0x67d500a3,0x679300d7,0x1cbc0147}},	//   _dft_, _сову, _خیاط, ומגע, 
   {{0x81de00cc,0xe3a600d4,0x6d5f02f1,0xc6a40995}},	//   _দুই_, اشوی, _ovqa, _круи, 
   {{0x35f5128b,0x659432dc,0xbcfb0212,0x7d0a0218}},	//   _спар, _кату, préh, _jêrî, 
   {{0x2ecc1df3,0x7659023e,0x40950d38,0x6d5d0c17}},	//   ास्त, lawy, урит, dssa, 
   {{0xd2510084,0xceea2fe3,0x6d5d00c8,0xba3b0326}},	//   _هنا_, едне_, essa, _kaïd, 
   {{0xc3320052,0x656b00d9,0x67350571,0xc2e402f1}},	//   _הוא_, orgh, _muzj, _кўчи, 
   {{0x016508a7,0x7d0a010c,0xa0696449,0x7afb008b}},	//   _скло, _nêrî, _зала_, čutl, 
   {{0x515a00a7,0xa3ca0083,0xeb9a0104,0x00000000}},	//   _טכנו, रैक_, ниг_, --, 
   {{0xbea6e054,0xbcfb0019,0x6b6300dd,0x8c431b4b}},	//   _байк, zség, йкра, сесе, 
   {{0xd00e0084,0xa3d40c97,0x5a446776,0x6d46e055}},	//   _علي_, हनत_, рмағ, ppka, 
   {{0x6da68502,0x645802f1,0x200b0035,0x317f01f1}},	// [f2e0] _сипа, yavi, ęciu_, ntuz_, 
   {{0x317f01f1,0x6d4401a7,0x7b1300ad,0xa90a007a}},	//   ituz_, _itia, lçul, ريال_, 
   {{0x6458e056,0x2f190019,0x3f5100e0,0x799301ff}},	//   vavi, sége_, nšu_, _қиёф, 
   {{0xbcfbe057,0x443ede18,0x38c90216,0x8ec60033}},	//   tség, _sft_, _pîrê_, শোরগ, 
   {{0x7e64019b,0xbddb0212,0x9c8700da,0x66fc0604}},	//   _mdip, ccèd, _určí, jčke, 
   {{0xbcfbe058,0x3f5101dd,0x00000000,0x00000000}},	//   tréi, kšu_, --, --, 
   {{0xbcfb006b,0xa3e40b3e,0x929d00ab,0x3f510082}},	//   sség, _पेश_, woła, jšu_, 
   {{0x7e646fe1,0x6458e059,0x6d5de05a,0xbcfb019c}},	//   _ndip, savi, yssa, rréi, 
   {{0x6d4401c1,0x3f51002a,0xe5a31b3d,0x443eb04b}},	//   _ntia, ešu_, _лити, _tft_, 
   {{0x7e64b0f4,0xb603026e,0xe97b00c7,0x64584960}},	//   _adip, ýšen, עניש, qavi, 
   {{0x22867dd3,0xa0a3004e,0x33f60088,0x2ef53e80}},	//   _булг, сшыл, _счас, изор, 
   {{0x6d5d050f,0xbcfb0151,0x26c50151,0x00000000}},	//   tssa, isée, _îlot_, --, 
   {{0x6d5de05b,0xdced00a4,0x7e640090,0x00000000}},	//   ussa, _jsaħ, _ddip, --, 
   {{0x9ae803dc,0x6722e05c,0x940c00ad,0xdced00a4}},	//   ҳфуз_, hmoj, _sadə_, _msaħ, 
   {{0xd5a4082c,0x6d4400b4,0xcb1b03b7,0x1bd400b3}},	//   _کہ_, _etia, еќа_, боря, 
   {{0x3d1a0262,0xbb220218,0x63a8044e,0x6d440054}},	//   _मीठे_, _şîro, _mrdn, _ftia, 
   {{0x085515dd,0x286b2160,0xa855bd39,0xba3b000b}},	// [f2f0] иваю, ерео_, икач, _naïe, 
   {{0x63a8c4c6,0xe6c002f5,0xa3d408b4,0xaa7b00de}},	//   _ordn, _čišć, हना_, _zmýl, 
   {{0x9635e05d,0x97a7e05e,0xec1524a1,0x00000000}},	//   анец, ырал, _خودد, --, 
   {{0xbcfb0107,0xdced01f2,0xba3b0212,0xe70b009c}},	//   sséd, _bsaħ, _qaïd, رتان_, 
   {{0xe78402f1,0x286b081b,0x4a5a00d1,0x63a800ad}},	//   _қуро, _прво_, _בדרו, _ardn, 
   {{0x64a5e05f,0x690b0068,0x9345e060,0x67220028}},	//   рака, güet, анке, amoj, 
   {{0xe299e061,0x3949e062,0x32d5e063,0xd7f8e064}},	//   вай_, lpas_, ицис, _бут_, 
   {{0x0515100b,0xd05a0095,0x3f51090e,0x394900c8}},	//   াদের_, mitə, všu_, opas_, 
   {{0x50b5d544,0x3949e065,0x63a8e066,0x317f00b4}},	//   асну, npas_, _erdn, utuz_, 
   {{0x9f854ba5,0x317f0a9f,0x394909c6,0x6ad20fc0}},	//   агод, rtuz_, ipas_, _सत्र, 
   {{0x6d44e067,0x63a800d2,0x7afb008b,0x2002027e}},	//   _stia, _grdn, čutj, şkin_, 
   {{0x3f5101dd,0x200e00f3,0x733a0147,0x39490ff2}},	//   ršu_, _dyfi_, _סענס, kpas_, 
   {{0x224d07b1,0x20d500dd,0x6f0602f1,0xe0ce934a}},	//   mbek_, _війс, rokc, _дв_, 
   {{0xc5f200a7,0xa069a28c,0x7ae600e2,0x7d070242}},	//   קדם_, _рака_, _smkt, gojs, 
   {{0xfbc3527c,0x6b830219,0xca560267,0x60c301c5}},	//   обро, _ängl, итањ, _ionm, 
   {{0xaa464d61,0x4a46e068,0x224de069,0x316d0151}},	//   реал, рнав, nbek_, orez_, 
   {{0x7d070519,0x60c30a23,0x88e6a9d0,0x61ed0144}},	// [f300] bojs, _konm, ажае, _žalj, 
   {{0x38c80399,0x61e6008c,0xebe603b7,0x52d209d7}},	//   داری_, úkli, _вооп, _तत्स, 
   {{0x3949a6a7,0x81cb0033,0x3ea0b38b,0xe73700fd}},	//   apas_, রছি_, _kait_, аех_, 
   {{0x4aca11bd,0xfaa6b686,0xe5c6e06a,0xaaca00b0}},	//   _रविव, _тамо, исло, _रविक, 
   {{0x6722e06b,0xbcfb026a,0xa5da0038,0x2d822e6b}},	//   rmoj, ssée, خبار_, ntke_, 
   {{0xa29e000d,0xf366e06c,0x60c30300,0x3ea0e06d}},	//   _खोज्, атин, _nonm, _lait_, 
   {{0x316de06e,0xbcfb0212,0x00000000,0x00000000}},	//   erez_, prév, --, --, 
   {{0xdb1c0eca,0x7af60088,0x2489044e,0x63a80097}},	//   byrå, nnyt, đama_, _vrdn, 
   {{0x60c30226,0x64410156,0x63a8622d,0xbcfb0212}},	//   _bonm, _ffli, _wrdn, nséc, 
   {{0x60c31056,0xf484040f,0x25a6e06f,0x63a8008b}},	//   _conm, _داری, mvol_, _trdn, 
   {{0x03a31fd5,0x26c411e9,0x7d07024a,0x83690019}},	//   _мифо, _komo_, vojs, _مصنف_, 
   {{0x3ea0006c,0x7afb0352,0x91b7009c,0x26c44a16}},	//   _cait_, čutk, _چطور_, _jomo_, 
   {{0x25a60d62,0x316d00b3,0x60c3adbf,0xba3b178a}},	//   nvol_, crez_, _fonm, _laïc, 
   {{0x7d02057f,0x26c4a2f3,0x60c30237,0xf99f0118}},	//   _íosl, _lomo_, _gonm, _kyèv_, 
   {{0x3ea01164,0xd0f507d5,0x7d07015e,0x5ba464f4}},	//   _fait_, ीकरण_, rojs, ортз, 
   {{0x5a350172,0x60c3039b,0x60da8f82,0xdee40bad}},	//   снат, _zonm, lhtm, _моји, 
   {{0x7c8703dc,0x7afa010d,0x6f0d1a9c,0xbcfb003e}},	// [f310] _куне, étta, _ikac, frét, 
   {{0x3949e070,0x3ea00a9f,0x97a7dbdc,0x224d0508}},	//   rpas_, _zait_, ирел, zbek_, 
   {{0x26c411c8,0xfc46014b,0xb8080038,0x6f0d02a5}},	//   _bomo_, číte_, ليكم_, _kkac, 
   {{0x26c40b85,0x394905a1,0xbcfb0183,0x35b5a554}},	//   _como_, ppas_, rréu, йбер, 
   {{0xd05a0095,0x26c40053,0x35a500d3,0x644101c4}},	//   sitə, _domo_, салг, _pfli, 
   {{0x316d026d,0xbcfb026a,0x6441012b,0xf487285b}},	//   vrez_, crét, _qfli, рудн, 
   {{0x6f0d0f23,0x60da0175,0x00000000,0x00000000}},	//   _okac, dhtm, --, --, 
   {{0x7aede071,0x316d026a,0x26c40065,0x04e70086}},	//   niat, trez_, _gomo_, খকের_, 
   {{0x20020092,0x224de072,0x3ea0e073,0x316d0151}},	//   şkil_, rbek_, _rait_, urez_, 
   {{0x14770a7c,0x316dda29,0x3ea0e074,0x6f0de075}},	//   _خارج, rrez_, _sait_, _akac, 
   {{0x85040740,0x3ea08405,0xedd018b4,0xbea648df}},	//   _بولن, _pait_, हन्छ, банк, 
   {{0x316d0083,0x799d008a,0x7aed00b4,0x60c30237}},	//   prez_, _ossw, jiat, _wonm, 
   {{0x7d1e0604,0x7aed0a2d,0x2169e076,0x2bba176c}},	//   _phps, diat, _сили_, _उपहा, 
   {{0x2d821799,0x60dae077,0x22930019,0x3ea000d1}},	//   rtke_, chtm, _دلچس, _wait_, 
   {{0x7af60946,0x799d02a5,0x2d82e078,0x06f700c9}},	//   tnyt, _assw, stke_, ंचाव_, 
   {{0x7aed281e,0x7f3a0137,0x1ee813b4,0x3ea00038}},	//   giat, _געקו, _خوبی_, _uait_, 
   {{0xe8fae079,0x5d860084,0x088a00d3,0x2bba0367}},	// [f320] гла_, _الخل, лбай_, _उपवा, 
   {{0x7af60eca,0x26c41d8e,0xbcfb0742,0x00000000}},	//   snyt, _somo_, urét, --, 
   {{0x7aede07a,0xbcfb003e,0x661b01ca,0x26c4e07b}},	//   biat, rrét, _azuk, _pomo_, 
   {{0x667600eb,0x673b00ca,0x25a6e07c,0xf6e5004f}},	//   إدار, _čujt, tvol_, оцін, 
   {{0xb33c00c3,0x19b900b3,0xbcfb02be,0xe7e80299}},	//   _irħi, _курь_, crés, _टेरा_, 
   {{0xc9530a33,0x6d5602bf,0x25a6e07d,0x628be07e}},	//   _ממש_, _mwya, rvol_, _abgo, 
   {{0x25a6c492,0x0ec80c46,0xbcfbce20,0x00000000}},	//   svol_, _लवंड, nséa, --, 
   {{0x26c40141,0x6aa4e07f,0x25a60b22,0xbcfb007a}},	//   _uomo_, ndif, pvol_, iséa, 
   {{0xc05a24cf,0x7984e080,0x7bce014b,0xc5c60033}},	//   лін_, ntiw, hybu, _শেরপ, 
   {{0x7aed732d,0x7afb008b,0x76420369,0x3d020083}},	//   ziat, čuti, lcoy, लकों_, 
   {{0x60da0096,0x645a01dd,0xd04100ad,0x7336007a}},	//   rhtm, _ieti, nklə, _طرائ, 
   {{0x645ae081,0xe3b1006b,0x60da024a,0x539b00d1}},	//   _heti, _کرے_, shtm, _תיאו, 
   {{0x645ad046,0x7aede082,0xd24f00eb,0x6aa40156}},	//   _keti, viat, _أنه_, ddif, 
   {{0x6e36010e,0x7aed0035,0x645ae083,0xa3bf009a}},	//   _egyb, wiat, _jeti, ुनच_, 
   {{0x2f12010e,0x7aed4c72,0xd00f0038,0x75b4009a}},	//   zági_, tiat, _كله_, ंमुळ, 
   {{0x645a4356,0x61ed7ffb,0xbcfb0019,0x6d560156}},	//   _leti, _žali, trés, _fwya, 
   {{0x798406e4,0x1ef80038,0x273e0106,0x20c90534}},	// [f330] gtiw, _دعوة_, _aïn_, _iúir_, 
   {{0x4aa90081,0x7aede084,0xb33c01f2,0xa3ab2030}},	//   _चोरव, siat, _erħi, खिम_, 
   {{0x661b006a,0x7aede085,0x2d920abd,0xbcfb039f}},	//   _szuk, piat, čneš_, srés, 
   {{0xbcfb026d,0x645a01be,0x1b170033,0xca7d0104}},	//   prés, _aeti, _দূরে_, _hisо, 
   {{0x645a0087,0x2bd1007e,0x356be086,0x7afd01d2}},	//   _beti, सनका, урен_, _ijst, 
   {{0x24890571,0x5884004e,0xf99f0118,0x7afd039b}},	//   đamo_, _ныса, _dyèt_, _hjst, 
   {{0xc7c4648c,0x2f120019,0xf487004e,0x36d53603}},	//   _ести, sági_, _қуан, _довр, 
   {{0x645a00c2,0x661b00b4,0xb1453d8f,0x00000000}},	//   _eeti, _tzuk, онил, --, 
   {{0x645ae087,0xe0d9152e,0x00000000,0x00000000}},	//   _feti, иви_, --, --, 
   {{0x645ae088,0x1f65e089,0x78a59945,0xa069122f}},	//   _geti, оком, ndhv, јана_, 
   {{0xdbf2000d,0x69100077,0x765b002c,0x753b025b}},	//   _příp, päev, _keuy, _huuz, 
   {{0x753b17ed,0x8234009c,0x20c90354,0x00000000}},	//   _kuuz, _فرها, _cúir_, --, 
   {{0x645a12fb,0x69cb01cc,0x753b02a5,0x00000000}},	//   _yeti, øgel, _juuz, --, 
   {{0x7afd00ef,0x753be08a,0x765b0175,0x6443779f}},	//   _ajst, _muuz, _leuy, ncni, 
   {{0xda5ae08b,0xea5a03b7,0xeb9ae08c,0xf99f05d5}},	//   ираш_, ирај_, шив_, _asè_, 
   {{0x225f0864,0x25ade08d,0x6fc6031e,0x7bce0035}},	//   nauk_, _orel_, ाहरू, rybu, 
   {{0x6aa41654,0x98ab0241,0x00000000,0x00000000}},	// [f340] rdif, _avcı_, --, --, 
   {{0x7984e08e,0x186a0d11,0x691000c2,0x6eef0118}},	//   rtiw, ражи_, jäet, _tòbè, 
   {{0x79846773,0x645ae08f,0xf99f05d5,0xd70a00b3}},	//   stiw, _reti, _esè_, анже_, 
   {{0x268a057f,0x645ab1bd,0x65620364,0x765b0574}},	//   شخصي_, _seti, tsoh, _ceuy, 
   {{0x645ae090,0x659600eb,0xba480009,0xf50688eb}},	//   _peti, تجار, grįž, оздо, 
   {{0x645a084c,0x6562e091,0xeabf01f5,0x2d92040b}},	//   _qeti, rsoh, _fiùs_, _mpye_, 
   {{0x645a5733,0x39403107,0xf4870499,0x6d400098}},	//   _veti, lqis_, تانی, ímaj, 
   {{0x645a0237,0x32d801e5,0x8bfc0033,0xd1410083}},	//   _weti, _béya_, _ইরান_, knąć_, 
   {{0x645a4a1e,0x673c00c8,0x2c11007e,0x66fc0121}},	//   _teti, _hurj, _दुनू_, lčko, 
   {{0x2a60006f,0x673ce092,0x79b700d1,0x00000000}},	//   haib_, _kurj, קליד_, --, 
   {{0x66fc0352,0x673c0abd,0x2d9205d5,0x320a0035}},	//   nčko, _jurj, _apye_, łby_, 
   {{0xb357010e,0x539b2665,0x673ce093,0x00000000}},	//   _بیٹا_, _כיבו, _murj, --, 
   {{0xc33300d1,0x673c449f,0xa0a64ea2,0x00000000}},	//   _חוף_, _lurj, _мадд, --, 
   {{0xd12f00e4,0xe57100c7,0x00000000,0x00000000}},	//   _іх_, ײַך_, --, --, 
   {{0xdefb16d0,0xac1902a6,0x66fc14f4,0x673c00bd}},	//   _вып_, сову_, jčko, _nurj, 
   {{0xa3ab2c8a,0x39400226,0x988500bc,0x7a3900f0}},	//   खित_, fqis_, _vůči_, спар_, 
   {{0x49755efb,0xb33c00a4,0x9f04007a,0x0975e094}},	// [f350] ялас, _irħu, _تويو, ягаю, 
   {{0x7e7d0f95,0x37abbd9c,0xa9bb017d,0xec6b3d1f}},	//   lgsp, итен_, _ईपीए, _трик_, 
   {{0x2a600ab1,0xf99f06df,0x765b0574,0x753be095}},	//   baib_, _pyès_, _peuy, _suuz, 
   {{0x41ca3ace,0x7e7d00fb,0x673ce096,0x316602f1}},	//   िहास, ngsp, _durj, _ovoz_, 
   {{0xc98400b3,0x2aba00df,0x00000000,0x00000000}},	//   _оури, _המרא, --, --, 
   {{0x03a5367f,0x6b85011c,0x673c00a4,0xf99f0237}},	//   зико, _kqhg, _furj, _fyèr_, 
   {{0x673c6c61,0xf99f0237,0x00000000,0x00000000}},	//   _gurj, _tyès_, --, --, 
   {{0xc7b20052,0x3a390082,0xd29900e4,0x569400d9}},	//   _אבל_, _jgsp_, сткі_, _оаст, 
   {{0xf48701fc,0xd49b48d7,0xc8ff0033,0x225fe097}},	//   _мужн, _вре_, ্গীত_, rauk_, 
   {{0x3959011d,0x312200d3,0xe0d92a86,0x225f14e2}},	//   _mwss_, ндыг, сво_, sauk_, 
   {{0xb5fd220b,0x9f58003e,0x3ea66284,0xd009e098}},	//   _odšk, ærð_, пинг, сене_, 
   {{0xfaff097b,0xa3e40509,0x61edc51d,0x2a60006d}},	//   _një_, _पेट_, _žalu, xaib_, 
   {{0xf1a7b974,0xbcfb3ce6,0xbddb16c2,0x213f0065}},	//   _френ, trép, scèn, qquh_, 
   {{0x6cd60084,0x386101c4,0xba3b0106,0x00000000}},	//   أقسا, jahr_, _baïo, --, 
   {{0xd1410083,0x00000000,0x00000000,0x00000000}},	//   snąć_, --, --, --, 
   {{0x3946e099,0x00000000,0x00000000,0x00000000}},	//   знаг, --, --, --, 
   {{0x2a60365d,0x386101c4,0x00000000,0x00000000}},	// [f360] raib_, fahr_, --, --, 
   {{0xe9d74e4d,0x673c06a6,0xb5fd00ef,0xbcfb29d8}},	//   чку_, _purj, _kešf, nsél, 
   {{0x98aa00b3,0x3f670304,0x657901d2,0x4c3b00df}},	//   _aibă_, nđu_, euwh, _לתיב, 
   {{0xfaff00e5,0xeaf91503,0x66fc10ea,0x63bc00f6}},	//   _gjë_, ्कृत_, rčko, _àrni, 
   {{0xa3e41c25,0x00000000,0x00000000,0x00000000}},	//   _पेज_, --, --, --, 
   {{0x5fcb0fcf,0x6fcb02e6,0x1394e09a,0x673ce09b}},	//   ाहाल, ाहां, дикю, _turj, 
   {{0x398602be,0x00000000,0x00000000,0x00000000}},	//   lôs_, --, --, --, 
   {{0x46a3e09c,0xe3af0491,0x48f600bc,0x00000000}},	//   _пасв, ارو_, ्वको_, --, 
   {{0x7d0e4efc,0xe1660038,0x5436e09d,0x75e60104}},	//   kobs, أدبي, _فرار, _mаzk, 
   {{0x03a618ae,0x2ed500c9,0xaa7b0228,0x5467065b}},	//   _низо, दस्त, _umýv, _наум_, 
   {{0xb4d824dd,0xa3e40a34,0xf1f700d4,0x9f580241}},	//   ासी_, _पेच_, قعیت_, _özür_, 
   {{0xee390161,0x333b00d1,0x6aa6018e,0x7b1303dd}},	//   өнү_, _התאמ, _nakf, nçut, 
   {{0x628201c8,0x7e7d927d,0x00000000,0x00000000}},	//   _icoo, rgsp, --, --, 
   {{0xdcef00d9,0x62820175,0x00000000,0x00000000}},	//   ducă, _hcoo, --, --, 
   {{0x9b58e09e,0x6aa6e09f,0x6ad50033,0xa2c029b0}},	//   зист_, _bakf, ঠোফো, वाप्, 
   {{0x60ca7de4,0x68ee03a1,0x6ffb00d1,0x0f7b00d1}},	//   _hofm, _ambd, _להופ, _האהב, 
   {{0x7e6d044d,0x60ca0054,0xaf3400d7,0x00000000}},	// [f370] _idap, _kofm, _ثروت, --, 
   {{0x6d4de0a0,0x6f0f00fd,0x7d0e042a,0x391400d9}},	//   _itaa, locc, cobs, емур, 
   {{0x6aa6016a,0xf7990296,0xbcfb0151,0x00000000}},	//   _fakf, تناب_, nsém, --, 
   {{0x6f0f00fd,0xfaff00e5,0x68ee0175,0x6d49020f}},	//   nocc, _ujë_, _embd, ţeau, 
   {{0x64a5bb1d,0xa2c00cb8,0x6d4d016a,0x79a7011f}},	//   дала, वान्, _jtaa, _эрне, 
   {{0x6d4d0053,0xa8a40d3d,0x00000000,0x00000000}},	//   _mtaa, _прск, --, --, 
   {{0xb0b007d5,0xf8b207e4,0x6282008a,0x00000000}},	//   जयनग, _בשם_, _bcoo, --, 
   {{0xd6d8004e,0x78a7e0a1,0x7e6d8331,0x660d00b0}},	//   _ету_, _hajv, _ndap, üaks, 
   {{0xc692035c,0x30754f38,0x7649019b,0x3f4100b9}},	//   _באן_, мунс, _ifey, _sóu_, 
   {{0x7e6d163a,0xbddb0212,0x65690027,0xe0d10038}},	//   _adap, rcèl, _iveh, ئزة_, 
   {{0x6d4d976b,0x5f0600dd,0xafe501ff,0x00000000}},	//   _ataa, дзна, фонл, --, 
   {{0x3f670bad,0x03780274,0x6f0f0036,0x00000000}},	//   rđu_, _رحمت_, gocc, --, 
   {{0xed571753,0xb33c01f2,0xe1ee4e7d,0x629b018e}},	//   моя_, _isħa, _рг_, meuo, 
   {{0x78a709b2,0xee3700e4,0x7e6d023e,0xddc4020f}},	//   _najv, ьня_, _edap, _adiţ, 
   {{0x7d0ea9e1,0x6f0f01d8,0x8c433552,0x6d4d01a3}},	//   robs, bocc, тесе, _etaa, 
   {{0x7b3c0519,0xdce4032f,0x98b10237,0x629b00f8}},	//   _očuv, _ivič, _dizč_, neuo, 
   {{0x6aa60241,0x2bba2fcf,0x00000000,0x00000000}},	// [f380] _vakf, _उपका, --, --, 
   {{0xddc400d9,0xe6c90a1a,0x6aa6e0a2,0xeb9a0bad}},	//   _ediţ, _čašć, _wakf, _дио_, 
   {{0x28c4047c,0x6aa60be0,0x78a70144,0x00000000}},	//   लॉगि, _takf, _dajv, --, 
   {{0xe61a34c0,0x7e6d00e2,0x398602aa,0xdb0500da}},	//   оде_, _xdap, pôs_, _trhá, 
   {{0x83fc05ae,0x62820096,0xa2b10083,0x4d7b0147}},	//   _međe, _rcoo, _अफ़्, ַרקע, 
   {{0xb4d80081,0xa533004f,0x734a548f,0x00000000}},	//   ासे_, вніч, очив_, --, 
   {{0x779111b7,0xb17d020b,0x00000000,0x00000000}},	//   _میلا, vzťa, --, --, 
   {{0x291a0126,0x416a0267,0x816a017b,0x00000000}},	//   llpa_, ојом_, ороб_, --, 
   {{0xcb1300a7,0x26c602a2,0x60ca00a1,0x05ba007a}},	//   כלה_, mjoo_, _pofm, _بدأت_, 
   {{0xba3b00f6,0x7b130034,0xa127007a,0x3e88039f}},	//   _raïm, nçur, وكيل_, yító_, 
   {{0x6d4de0a3,0xdce4026e,0x6f0f01d8,0xa0a3004e}},	//   _staa, _cvič, tocc, тшыл, 
   {{0x25a478d8,0x83fc0097,0x26c6039b,0xfe7f03dd}},	//   _ksml_, _ceđe, njoo_, viïs_, 
   {{0x6f0fe0a4,0x0cab11d2,0xbcfb0212,0xdce400de}},	//   rocc, отви_, ssém, _evič, 
   {{0x6f0f00fd,0x3e88039f,0x00000000,0x00000000}},	//   socc, tító_, --, --, 
   {{0xbbc9000d,0x78a70bfc,0x6f0f8037,0x9d183bbd}},	//   रहेक, _rajv, pocc, форт_, 
   {{0x7e6d0532,0x3e88039f,0x5fcb4f69,0x6d4d01a3}},	//   _udap, rító_, ाहरल, _ttaa, 
   {{0xeabf00e7,0xb5fd3a61,0x3e88010e,0x6d4d0548}},	// [f390] _chùa_, _keše, sító_, _utaa, 
   {{0x3ea9cc80,0xa3c00bb6,0xad27031b,0x987400fd}},	//   _haat_, ुहा_, _تربو, клуц, 
   {{0x8c4402a0,0x6d407896,0x25a4039b,0x3ea9039b}},	//   _шеќе, ímav, _asml_, _kaat_, 
   {{0xb5fd03ac,0xba3b0054,0x501b00d1,0x33260108}},	//   _leše, _maïk, חובו, _nhox_, 
   {{0x3ea90265,0x7bd50098,0xb0650080,0xa3e10249}},	//   _maat_, lyzu, niää, नैन_, 
   {{0x3ea91e97,0xa3ab05f6,0x6b830f03,0x7d02007a}},	//   _laat_, खिल_, _ängs, _íost, 
   {{0x290301f2,0xe78400b3,0x00000000,0x00000000}},	//   _ijja_, _иуто, --, --, 
   {{0x3ea9296d,0x62800219,0x515500b3,0x00000000}},	//   _naat_, ggmo, нтоу, --, 
   {{0x7afa010d,0x83fc0242,0x629b00f8,0xddc40032}},	//   étti, _ređe, reuo, _odiš, 
   {{0x629b0156,0x4fe90176,0x6280039b,0x00000000}},	//   seuo, змон_, agmo, --, 
   {{0x32553906,0x81e70086,0x3ea9b36f,0x929d0035}},	//   _звер, _মুখ_, _baat_, wołu, 
   {{0xe0bf0033,0x7ce2040b,0xbcfb0175,0x00000000}},	//   ইসেন, _môre, bsék, --, 
   {{0x5d671127,0xd0d5e0a5,0x290301a3,0x00000000}},	//   ниям_, _подъ, _ojja_, --, 
   {{0x332de0a6,0x00000000,0x00000000,0x00000000}},	//   lmex_, --, --, --, 
   {{0x69cb12b7,0x75e600a3,0x7a2a039f,0x00000000}},	//   ägen, _vаzi, köté, --, 
   {{0x3ea90536,0xfaa3012d,0x2fd85470,0x29030298}},	//   _gaat_, ласо, ørge_, _ajja_, 
   {{0xc332554c,0x8c469932,0x09e302f3,0xa2c02122}},	// [f3a0] רון_, _пепе, готн, वात्, 
   {{0x7e6666a4,0x7d570070,0x6e24007c,0x26df0604}},	//   lakp, _רייד_, _izib, _aluo_, 
   {{0x7c3e012b,0x7d1c0065,0xe73a0080,0x2ee00664}},	//   _igpr, mlrs, чее_, _klif_, 
   {{0x28c402e6,0x7e6607fc,0x290380c3,0x00000000}},	//   लॉजि, nakp, _ejja_, --, 
   {{0x68340bfc,0x6fe60096,0x7ae478ae,0x00000000}},	//   dždž, _kécé, mhit, --, 
   {{0xdb0501c4,0x26cd0054,0x6fe60175,0x491800aa}},	//   _erhä, _eoeo_, _jécé, _बीचो_, 
   {{0xb5fd3b4d,0x969600ce,0x2f190019,0xd90d0116}},	//   _reše, _праш, ségi_, _بیل_, 
   {{0x6b83014e,0x31c653c4,0x6fe60096,0x6e2401b8}},	//   _ånge, есов, _lécé, _ozib, 
   {{0x7e660ab1,0x3ea99a8b,0x343a2c4e,0xb5fd0fb5}},	//   dakp, _raat_, _فساد_, _peše, 
   {{0x3ea9e0a7,0x2ee00e32,0xc0570451,0x63b7022c}},	//   _saat_, _alif_, нію_, çanè, 
   {{0x443ed436,0x7ae429a0,0x6e24ae7d,0x2018003e}},	//   _igt_, khit, _azib, æri_, 
   {{0x753a02ba,0x7ae40352,0x6e2402a5,0x6ce400f0}},	//   _hitz, jhit, _bzib, ңіре, 
   {{0xc2e9031b,0x7ae4ae1e,0x7173009c,0x7af6095a}},	//   _تعلم_, dhit, _مهنا, diyt, 
   {{0x3ea90c0c,0x6e2400ef,0x6fe60574,0x2ee0e0a8}},	//   _waat_, _dzib, _cécé, _elif_, 
   {{0x3ea902f6,0x6e2401a3,0xbcfb007a,0x6fe60107}},	//   _taat_, _ezib, nséi, _décé, 
   {{0x9a8400d3,0x3da70100,0x753a0a9f,0x7cd80540}},	//   луул, _зроб, _litz, _ağrı, 
   {{0x5a3516e1,0x1dc21bb9,0x6e240604,0xfc30010e}},	// [f3b0] тнат, _көрн, _gzib, لحہ_, 
   {{0x2bba000c,0x394f002a,0x6f1de0a9,0x3942e0aa}},	//   _उपचा, īgs_, llsc, _duks_, 
   {{0x7ae40534,0x6e2402a5,0x00000000,0x00000000}},	//   bhit, _zzib, --, --, 
   {{0x753a0a9f,0x443e0876,0x7ae4bb1f,0x97a40259}},	//   _aitz, _agt_, chit, ырул, 
   {{0x443e009a,0xe5a567bb,0x35a55750,0x753a238b}},	//   _bgt_, тили, талг, _bitz, 
   {{0x443ee0ab,0xdb1c003e,0x6f1d0380,0x7e660ab4}},	//   _cgt_, lyrð, hlsc, zakp, 
   {{0xc1c9031e,0x753a0a9f,0x443e001d,0xdb050219}},	//   ाङ्ग, _ditz, _dgt_, _erhå, 
   {{0x3942016a,0x443e01d2,0xe29901a2,0x753a01d6}},	//   _yuks_, _egt_, фаи_, _eitz, 
   {{0x03a30f5a,0x443e0068,0x2360015e,0x26dc01dd}},	//   тиқо, _fgt_, ćija_, īvot_, 
   {{0x24850126,0x76590156,0x6f1de0ac,0x660901f2}},	//   _uclm_, lbwy, elsc, _ixek, 
   {{0x661b166b,0xdee6e0ad,0x6729006d,0x29010165}},	//   _hyuk, вони, _khej, inha_, 
   {{0x92eb0fdc,0x753a0a9f,0x798d0daa,0x7ae40034}},	//   _عراق_, _zitz, ktaw, xhit, 
   {{0xfdc00086,0x09d60086,0x798d006d,0x673b0548}},	//   উন্ড, _সেনা, jtaw, _miuj, 
   {{0x661b0bcf,0x660901f2,0xb224017b,0x7e66e0ae}},	//   _myuk, _mxek, _сміл, sakp, 
   {{0x2d9e026e,0x7ae4e0af,0x5f060093,0x6b63e0b0}},	//   ňte_, thit, _изка, икра, 
   {{0x69c40a9f,0x6f040089,0x673b0028,0x9f490083}},	//   txie, _ujic, _niuj, łków_, 
   {{0x61e9e0b1,0x7ae4743c,0xf2d200c7,0xa967326b}},	// [f3c0] nzel, rhit, בען_, кита_, 
   {{0x7ae4d9a3,0x7d7b0a33,0xbebb024a,0x67290027}},	//   shit, _קניו, smët, _ahej, 
   {{0xcc7700a7,0x7f43022c,0x753a76dc,0x58950161}},	//   _בעיה_, _junq, _ritz, ышту, 
   {{0x753a02f2,0x798d006d,0x6729019b,0x6d440548}},	//   _sitz, btaw, _chej, _kuia, 
   {{0xa2c00a09,0x673b02f6,0x753ae0b2,0x61e901c8}},	//   वास्, _diuj, _pitz, jzel, 
   {{0x7e64e0b3,0x61e9e0b4,0xd90d006b,0x6d44e0b5}},	//   _leip, dzel, _ٹیم_, _muia, 
   {{0xf3631472,0x6609e0b6,0x443e00e7,0x61e901d2}},	//   атын, _exek, _vgt_, ezel, 
   {{0xbcfbe0b7,0xbebb024a,0x753a0380,0xddcd0474}},	//   rséi, hmër, _witz, _neaş, 
   {{0x7f430a5e,0x7ae3078a,0xb33c008a,0x443ead45}},	//   _aunq, _înte, _isħm, _tgt_, 
   {{0x753a0b32,0x6729652c,0x443e6a6c,0xbebb024a}},	//   _uitz, _zhej, _ugt_, jmër, 
   {{0x03a302fb,0x7f4303da,0x61e900b4,0x287b042c}},	//   _вихо, _cunq, azel, ונימ, 
   {{0x7f430093,0x7336143f,0x7e642dab,0xeabf0465}},	//   _dunq, _شرائ, _ceip, _chùl_, 
   {{0x009400f6,0x2918050a,0x6d4402aa,0x61e90035}},	//   _билэ, _okra_, _cuia, czel, 
   {{0x6fb43d0b,0x40a80116,0x291800e2,0x7f43040b}},	//   _ممتا, _سختی_, _nkra_, _funq, 
   {{0x7f943270,0xa3ab2ed8,0xb5fde0b8,0xac182bb2}},	//   _сайх, खिए_, _meša, вору_, 
   {{0x3863055f,0x798de0b9,0x6d4400a1,0xbebb021e}},	//   _sejr_, ttaw, _fuia, rmës, 
   {{0x6aada30b,0x09d60033,0xef1f0213,0xd5a4010e}},	// [f3d0] rdaf, _সেবা, mlü_, _بہ_, 
   {{0x798de0ba,0x661b04c6,0x6729653b,0x7f430369}},	//   rtaw, _ryuk, _shej, _yunq, 
   {{0x798de0bb,0x0675a041,0x61e9e0bc,0x7f430042}},	//   staw, гуля, zzel, _xunq, 
   {{0xf770195e,0xcf9300c7,0x201c0348,0x071408af}},	//   زام_, יטע_, _myvi_, афія, 
   {{0xa4d500dd,0x44250300,0x83fc0097,0x356b0a65}},	//   лоді, _szl_, _ređa, френ_, 
   {{0xd0060084,0x057400eb,0x2a69012b,0x61e90352}},	//   _هل_, شاهد, laab_, vzel, 
   {{0xb5fd0ca5,0xf484e0bd,0xef1f07fa,0xa0a5004e}},	//   _deša, ручн, klü_, қанд, 
   {{0xe82502b9,0x61e96075,0xd185170f,0x63a80096}},	//   _афғо, tzel, глий, _dsdn, 
   {{0x7e64e0be,0x69c00151,0x00000000,0x00000000}},	//   _reip, _àmet, --, --, 
   {{0x7e6400a1,0x61e9e0bf,0xeabf01f5,0x00000000}},	//   _seip, rzel, _shùl_, --, 
   {{0x6441e0c0,0x61e9e0c1,0x5ecd0033,0x7e640fae}},	//   _igli, szel, াসনে, _peip, 
   {{0x61e9010e,0x3124022c,0x2ede02e6,0x2a692871}},	//   pzel, лдөг, मसेत, jaab_, 
   {{0xa2c0048e,0xd12e00d4,0xeabfc477,0xcdf6134f}},	//   वार्, تمی_, _chùm_, учны, 
   {{0x7172009c,0x7cf400ad,0x9d4344f9,0x4df518ec}},	//   _اهوا, _kürə, серд, ряют, 
   {{0x3bd50088,0x75ea0019,0x7e64e0c2,0x83fc1c2b}},	//   аютс, _közé, _teip, _leđn, 
   {{0xe7f905f6,0xef1f0095,0x224de0c3,0xa9a60470}},	//   ्पना_, clü_, ncek_, либд, 
   {{0xf2d200c7,0x316de0c4,0x6b9b00d9,0x64411f93}},	// [f3e0] זען_, nsez_, ăuga, _ogli, 
   {{0x6441e0c5,0x3ea2ac17,0x2d8257ff,0xbd5b00d1}},	//   _ngli, lekt_, muke_, _רכיש, 
   {{0xb5fd10fc,0x2a690053,0xfa6a7747,0x2c010ecf}},	//   _reša, baab_, _панк_, _дүрм, 
   {{0x6441974b,0x76a9004f,0x98b9020f,0x3ea22032}},	//   _agli, ктів_, _pusă_, nekt_, 
   {{0xb5fd6e69,0x2d82e0c6,0xbcfb0212,0x63a80175}},	//   _peša, nuke_, rsév, _ssdn, 
   {{0x291e0019,0xd9b202e6,0xf1a60cdf,0xef1f0384}},	//   _óta_, ीमीट, ҳрон, zlü_, 
   {{0xf1d203dd,0xb5fde0c7,0x2d822868,0xaa7b02d9}},	//   өөдө, _veša, huke_, _mlýn, 
   {{0x6441e0c8,0xe737004e,0x2d825c5b,0xae0409ec}},	//   _egli, _бес_, kuke_, रपान_, 
   {{0xb5fd1612,0x3ea23cb7,0x638a02aa,0xf50a0080}},	//   _teša, dekt_, _bênç, _знал_, 
   {{0xe5a402f1,0xc7af006b,0xa0a617e0,0x50f4e0c9}},	//   _йиғи, _بڑے_, ушил, рзот, 
   {{0xba3b1c9f,0x78ae0532,0xc91700d1,0x5f940104}},	//   _haït, _mabv, רחית_, шинт, 
   {{0x51864a21,0x753d010e,0x78ae0243,0x2d824c9e}},	//   _бука, _észr, _labv, fuke_, 
   {{0xef1f01f0,0xb5fd234d,0x2d8265b2,0x232702be}},	//   rlü_, _lešn, guke_, _соци_, 
   {{0x1fa6192f,0x403406fb,0x3ead00bc,0xef1f0241}},	//   _бриг, _келс, žet_, slü_, 
   {{0xe814215e,0x2a69e0ca,0xac19583e,0xbbdf0249}},	//   _तुला_, taab_, тову_, ननेक, 
   {{0x4a55e0cb,0x2d829ec7,0x00000000,0x00000000}},	//   ркас, buke_, --, --, 
   {{0xadb9009c,0xe9750038,0x2d820d28,0x00000000}},	// [f3f0] _شهدا_, شهاد, cuke_, --, 
   {{0x270d07d5,0x2a690036,0x5a340596,0x940a00ad}},	//   िक्र_, saab_, снут, şmən_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x8aa7143d,0x35b57402,0x00000000,0x00000000}},	//   _срод, ибер, --, --, 
   {{0x298b387d,0x7cf40095,0x3949003d,0xa2ce00c9}},	//   _ясно_, _sürə, qqas_, _तवज्, 
   {{0x2ee21df3,0x2ca302ae,0xa3c300d8,0x00000000}},	//   _पत्त, nejd_, _váží_, --, 
   {{0x2d8275d0,0x3ea225e7,0x67d501ff,0x00000000}},	//   zuke_, yekt_, _тову, --, 
   {{0xc2454d9a,0x316d01ca,0x41b503b3,0x00000000}},	//   шник, tsez_, لمعر, --, 
   {{0xa48700eb,0x42c603dd,0x6aafe0cc,0x00e500d9}},	//   _مجان, ргын_, _macf, ижин, 
   {{0xe0d9022d,0x64410626,0xd12e073c,0x224d016a}},	//   тво_, _ugli, ومي_, scek_, 
   {{0x316d026d,0x60253b60,0x0378010e,0x62750038}},	//   ssez_, рдна, _محنت_, _نهائ, 
   {{0x2d82007e,0x6126008c,0x63bc003e,0x799d08b0}},	//   tuke_, rðla, _árna, _opsw, 
   {{0x3ea2e0cd,0xb5fd0df4,0xa1580451,0x62990027}},	//   rekt_, _mešo, _бачу_, _ibwo, 
   {{0x2d821462,0xed57572a,0x28c90f8c,0x7ff500d4}},	//   ruke_, рор_, राफि, _پستا, 
   {{0x3ea2540f,0xfaf608ab,0x8e76151a,0x00000000}},	//   pekt_, ачаю, _купч, --, 
   {{0x80da0086,0x2d8231a2,0x80db00bd,0x00000000}},	//   যোদ্, puke_, _पकडे, --, 
  
   {{0x7866386d,0xe9d7065b,0x44320023,0x44200023}},	// [f400] иказ, акт_, ̀y_, ́i_, 
   {{0x6d560027,0x97b600b3,0x98b80118,0x3aff1279}},	//   _itya, исеш, _tirč_, täpä_, 
   {{0x6299e0ce,0x6c7b24ea,0x5ea90033,0x00000000}},	//   _obwo, _בריד, গারে, --, 
   {{0x5a960316,0xa3a800a5,0x398f027e,0x00000000}},	//   _троф, खौफ_, büs_, --, 
   {{0x7ceb02f2,0x9f4d0218,0x7ae3020f,0x6aa4025b}},	//   _dürf, înên_, _înta, meif, 
   {{0xb5fd053d,0x6aa4e0cf,0x629902a5,0x00000000}},	//   _tešn, leif, _abwo, --, 
   {{0x272700b0,0xbddb0107,0xb4e60110,0x00000000}},	//   sõna_, ncèr, _पती_, --, 
   {{0xa31007bd,0xbcfbe0d0,0x6d56052b,0x224200fc}},	//   ावेज_, nsér, _otya, økk_, 
   {{0xc05ae0d1,0x6d5681db,0x9f4d00d8,0x7984018e}},	//   кін_, _ntya, ěným_, nuiw, 
   {{0x0cc100cc,0x67225311,0x6b9e02fb,0xba3b0876}},	//   _উত্ত, lloj, _oppg, _kaïr, 
   {{0x3f151b2d,0x92e40086,0xd24fd9a2,0xba3b5cdf}},	//   йдос, _নদী_, _мц_, _jaïr, 
   {{0xd9f80110,0xdc2e04d6,0x79840ff2,0x00000000}},	//   ूपात_, _sığa, kuiw, --, 
   {{0x23690112,0xf8c900bd,0x7cebe0d2,0xb5fd014b}},	//   ćaje_, रामय, _jürg, _nešl, 
   {{0x672207d7,0x7ceb00c2,0x22620083,0x798408b0}},	//   hloj, _mürg, ńską_, duiw, 
   {{0x7f840084,0x67220009,0x212b0212,0x6d564ac0}},	//   _العن, kloj, îche_, _etya, 
   {{0x7ce20183,0xb5fd0eae,0xbcfb010e,0x93bc02a5}},	//   _fôro, _bešl, gsér, _kyăb, 
   {{0x2ca30097,0x09cd0033,0x8d95007a,0x00000000}},	// [f410] pejd_, _রেজা, _الخش, --, 
   {{0x261a0c06,0xdced203b,0x398f0241,0x63ba2e9c}},	//   _बड़ी_, _kvač, rüs_, _ortn, 
   {{0xba3be0d3,0xf7730881,0xc6a70470,0x00000000}},	//   _païs, تاذ_, ирди, --, 
   {{0x7ceb01c4,0x67229fde,0xdc560290,0xba19007a}},	//   _bürg, gloj, _پریک, _ميجا_, 
   {{0xb5fd0f23,0x02c500bc,0x3946007a,0x00000000}},	//   _vešo, वासभ, íost_, --, 
   {{0x5884004e,0xb4e10035,0x64a5e0d4,0x7ceb0380}},	//   _мыса, दसे_, сака, _würf, 
   {{0xe299e0d5,0xbcfb026a,0xe3b3009c,0x28f800b3}},	//   гай_, nséq, ترش_, _терь_, 
   {{0x7ceb0502,0x00000000,0x00000000,0x00000000}},	//   _hürd, --, --, --, 
   {{0x7ceb06a2,0xeabf0108,0x00000000,0x00000000}},	//   _kürd, _chùi_, --, --, 
   {{0xdce400ca,0x25ad00f8,0x70c902a6,0x6aa4b8b8}},	//   _ivić, _isel_, угог_, zeif, 
   {{0x7d0700ef,0x79840548,0x6aa4018e,0x00000000}},	//   dnjs, zuiw, yeif, --, 
   {{0xed5ae0d6,0x67171bc8,0x6299024d,0x7ce20228}},	//   лом_, तविक_, _ubwo, _pôro, 
   {{0x6d4b0518,0x225f4b12,0xddd40032,0x93bc02a5}},	//   _égal, mbuk_, ťažn, _gyăb, 
   {{0x7bdce0d7,0xa06903b7,0x6289e0d8,0x6aa40380}},	//   tyru, _сака_, lgeo, weif, 
   {{0xcb0324ef,0xf99f0118,0x60c3017b,0x4b260038}},	//   रचंड_, _apè_, _innm, معرف, 
   {{0x612f155b,0x9e660311,0x4a46101c,0x0e6605b2}},	//   følg, _увид, снав, _укин, 
   {{0x3f85e0d9,0x6aa4e0da,0xc332042c,0xab2706ba}},	// [f420] lulu_, reif, לול_, сота_, 
   {{0xb4e60262,0xac86e0db,0x5e570109,0x6aa45202}},	//   _पते_, _угол, _پلیس_, seif, 
   {{0x6b9ee0dc,0xe3b804be,0xdb15014b,0x3f85e0dd}},	//   _uppg, _ayın_, žbác, nulu_, 
   {{0x612f00fb,0xb5fd0028,0x649102d9,0x317f00b4}},	//   bølg, _tešl, _lžič, kruz_, 
   {{0x3f85a662,0x7ceb0019,0xa5960093,0x60c30038}},	//   hulu_, _fürd, срещ, _onnm, 
   {{0x3f85e0de,0x28c91489,0x0ee2034d,0xbcfb0d07}},	//   kulu_, राणि, _पतझड, nsép, 
   {{0x25ade0df,0x3f850415,0xdbd3009e,0x00000000}},	//   _esel_, julu_, rûça, --, 
   {{0xcfd000cc,0xa3c90c06,0x63ba5463,0x68fe02dc}},	//   ানমন, _ऊपर_, _vrtn, lipd, 
   {{0xddcd08e3,0x26c40126,0xfc460098,0x3cf900a5}},	//   _odaš, _inmo_, _čína_, _उगले_, 
   {{0x291a044d,0x3f852bb5,0x7ceb027e,0x6f741504}},	//   nopa_, fulu_, _küre, огоф, 
   {{0x8f35217e,0x3f854a5d,0x64a34da5,0x3eb22b9f}},	//   женц, gulu_, _хаха, _bayt_, 
   {{0xceb903aa,0x291ae0e0,0xceeb0038,0x60c30237}},	//   рәк_, hopa_, اردن_, _ennm, 
   {{0x317f1874,0x291ad0f5,0x00000000,0x00000000}},	//   cruz_, kopa_, --, --, 
   {{0xa2d40fcf,0x3f85e0e1,0xa2c0009a,0x7ce27c89}},	//   यॉर्, bulu_, वाक्, _fôrm, 
   {{0x2bc800b3,0xe0fb00d1,0xe81d0249,0x3f850ad9}},	//   буто_, _גלגל, _बँधा_, culu_, 
   {{0x7ceb008f,0x6ee62cd8,0x00000000,0x00000000}},	//   _sürd, _tóba, --, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	// [f430] --, --, --, --, 
   {{0x28c9141c,0x291ae0e2,0xfc4700bc,0xb33c008a}},	//   राधि, gopa_, číst_, _isħu, 
   {{0x7ae300d9,0xf7700eea,0xdce40613,0xb5fd00ca}},	//   _înto, فان_, _svić, _vešm, 
   {{0x7cebe0e3,0x224656a7,0xdb1f00c8,0xa3bc00c9}},	//   _würd, _ngok_, äväk, इटन_, 
   {{0x3f85e0e4,0xb5fd00e4,0x7aede0e5,0xc984157b}},	//   zulu_, _iešk, mhat, _нури, 
   {{0x7aede0e6,0x23c4271a,0x87e71061,0x317f1bd0}},	//   lhat, वमंद, _любе, vruz_, 
   {{0x2ee9e0e7,0x6f0d015e,0x628901da,0x7cebba78}},	//   _olaf_, _ojac, tgeo, _güre, 
   {{0x3b0901f2,0x25ad016a,0xb5fd51dc,0x6e2d0054}},	//   nnaq_, _tsel_, _ješk, _ozab, 
   {{0x225fbadd,0x3f852c37,0xe5c7005b,0x2a790065}},	//   rbuk_, wulu_, _усво, _mdsb_, 
   {{0x10a5e0e8,0x3eb28b5e,0x2ee900e2,0x225f033e}},	//   цион, _sayt_, _alaf_, sbuk_, 
   {{0x7aeddaa6,0x1eca0925,0x3255cf41,0x6e2de0e9}},	//   khat, ални_, _двер, _azab, 
   {{0x7d1e059e,0xf77200c7,0x823400d4,0xb5fd1fe0}},	//   _skps, וקט_, _کرما, _nešk, 
   {{0x216908ac,0x7aede0ea,0x6f0d0f23,0x3f85e0eb}},	//   _тили_, dhat, _djac, sulu_, 
   {{0x3f85e0ec,0x6e2d2f6f,0x64911a51,0x3943039b}},	//   pulu_, _dzab, _užič, _nijs_, 
   {{0x8c431818,0xb5fd42b5,0x6e2de0ed,0x7fd508ab}},	//   дере, _bešk, _ezab, _філі, 
   {{0x7aed1bf3,0xb4e6072f,0x0d860088,0x394b00b9}},	//   ghat, _पत्_, _длин, _bucs_, 
   {{0x7ceb0c05,0x291a9aed,0x394b00f6,0xb5fd0604}},	// [f440] _süre, topa_, _cucs_, _dešk, 
   {{0x394b02df,0xe8c715de,0xed5902d9,0x6e24e0ee}},	//   _ducs_, огул_, íže_, _iyib, 
   {{0x7d1c76da,0xab2a02fb,0x68fe0065,0x464a0cda}},	//   mors, _вона_, ripd, азен_, 
   {{0xe5c600c8,0x68fe00ca,0x7d1c039f,0x00000000}},	//   жско, sipd, lors, --, 
   {{0x2b5ae0ef,0x291a8691,0x7ae40028,0x00000000}},	//   _htpc_, popa_, mkit, --, 
   {{0xd37a0515,0x7d1c02fb,0x7ae4e0f0,0x7cebe0f1}},	//   ачи_, nors, lkit, _türe, 
   {{0x24800c05,0x7ae4cc88,0x66e61a57,0x00000000}},	//   ğim_, okit, _дова, --, 
   {{0x7ae4e0f2,0x24800c05,0x6ab60090,0x31660118}},	//   nkit, şim_, ndyf, _pwoz_, 
   {{0x236914f0,0x83fcb2d6,0x7ae47aab,0x3994014e}},	//   ćaja_, _međi, ikit, näs_, 
   {{0x83fc0704,0x7aed0019,0x7aff00a3,0x7d1c29b1}},	//   _leđi, zhat, ziqt, jors, 
   {{0x6e2d006b,0x6448012b,0x224600e2,0x7ae400c8}},	//   _szab, _igdi, _tgok_, kkit, 
   {{0x799600ab,0x41e602c8,0x22460102,0x399400c8}},	//   ktyw, _міла, _ugok_, käs_, 
   {{0x7d1c2379,0x6e240610,0xb5fd1940,0x7aed0290}},	//   fors, _cyib, _rešk, vhat, 
   {{0x7d1c0571,0x394b00f6,0xbcfb0151,0x61ec1305}},	//   gors, _rucs_, xpéd, ıllı, 
   {{0x7aede0f3,0xb5fd0b91,0x2d820a1a,0x6f0d02ae}},	//   that, _pešk, arke_, _tjac, 
   {{0xb6060f30,0x7ae451f1,0x6d5d1bbd,0xd1380009}},	//   _kršć, gkit, ppsa, lmą_, 
   {{0x6f1de0f4,0xb5fd031e,0x6e2d0199,0x3d9400f0}},	// [f450] mosc, _vešk, _uzab, _жиыр, 
   {{0x7aed5fd7,0xa2a111bd,0x7d1c0093,0xddd6010c}},	//   shat, _कॉन्, cors, _heyş, 
   {{0xb5fd02f5,0x7aede0f5,0x7e6d02cd,0x6d4d0045}},	//   _tešk, phat, _keap, _huaa, 
   {{0x6f1de0f6,0x6d45e0f7,0x28c904cc,0x394302b0}},	//   nosc, _hiha, राहि, _wijs_, 
   {{0x7cf0022b,0x7ceb0095,0x63a1026e,0x49930a24}},	//   _därf, _gürc, _spln, _زیار, 
   {{0x6d45e0f8,0xe78718ae,0x7e6de0f9,0xb5fd621f}},	//   _jiha, _мубо, _leap, _ješi, 
   {{0x6d45e0fa,0xb5fd209c,0x0442e0fb,0xdced0032}},	//   _miha, _meši, нешн, _opaľ, 
   {{0x6d45e0fc,0x7e6de0fd,0x2901e0fe,0x6595e0ff}},	//   _liha, _neap, liha_, _набу, 
   {{0x7d1c0c05,0x44450019,0x6d4501f1,0xddc60352}},	//   yors, _فراہ, _oiha, kakš, 
   {{0x6d45e100,0xb5fdbf02,0x29017417,0x7ae401ca}},	//   _niha, _neši, niha_, zkit, 
   {{0x7ae400e4,0x7afd000b,0x7d1ce101,0x63a1014b}},	//   ykit, _omst, vors, _upln, 
   {{0x7e6de102,0x29011032,0x6f1de103,0x7d1ce104}},	//   _ceap, hiha_, gosc, wors, 
   {{0x7cf00077,0x6d45e105,0xb5fd032f,0x290146a7}},	//   _järg, _biha, _beši, kiha_, 
   {{0x78b5090e,0x6d45d49e,0xe1f002b4,0x7cf0007e}},	//   _nazv, _ciha, _جسم_, _märg, 
   {{0x6d45ae6b,0x7d1c006b,0xb5fd012d,0x7e6d0068}},	//   _diha, rors, _deši, _feap, 
   {{0x7d1ce106,0x4425e107,0x0e660161,0x6f1d02a3}},	//   sors, _myl_, _экин, cosc, 
   {{0x7ae4e108,0x6d4500a9,0xbebb0034,0x84eb017d}},	// [f460] rkit, _fiha, ymëz, जघाट_, 
   {{0x7ae4e109,0x6d45e10a,0x290102dc,0x3994ae4d}},	//   skit, _giha, giha_, räs_, 
   {{0x2d8f014e,0x69cb37e9,0x25bf011c,0x70a9031e}},	//   _äger_, äger, _arul_, _कसैल, 
   {{0xe7371853,0x6d4565b2,0xd13843f1,0x7cf002ae}},	//   пех_, _ziha, zmą_, _bärg, 
   {{0xd1380009,0x3ea002eb,0x6d4502b8,0x2901e10b}},	//   ymą_, _mbit_, _yiha, biha_, 
   {{0x4425000d,0x963308af,0xbcfb0212,0x79840d94}},	//   _byl_, хніц, ppée, mriw, 
   {{0xdc3600c7,0x07a30890,0x28c90249,0xdcb10108}},	//   האַט_, _парн, रारि, ổi_, 
   {{0x7cf00219,0x7ceb0095,0xd2500038,0x764901b8}},	//   _färg, _müra, خنة_, _ggey, 
   {{0x6f1d86d0,0x44250241,0x7cf000c2,0x7984011c}},	//   vosc, _eyl_, _kärd, nriw, 
   {{0x60f802fb,0x3ea003a0,0x261500b0,0xddc401f2}},	//   іння_, _abit_, _फुटी_, _ddiż, 
   {{0x6d45e10c,0xb5fde10d,0xd13857d1,0x2711023a}},	//   _riha, _reši, rmą_, ląna_, 
   {{0x6d45e10e,0x7cf00219,0xd1380009,0xb6060372}},	//   _siha, _lärd, smą_, _tršć, 
   {{0x6d4503f6,0xb5fd9941,0x2901e10f,0x44250326}},	//   _piha, _peši, yiha_, _zyl_, 
   {{0xd12f02fb,0x317b1490,0x7e6d00d1,0xe7ef00bc}},	//   _їх_, _פרומ, _weap, चनमा_, 
   {{0x50b700eb,0x6d45e110,0x7e6dcd83,0xb5fd0032}},	//   _ردود_, _viha, _teap, _veši, 
   {{0x7c2508d7,0x6d459d5c,0x2d9fe111,0x25a401ca}},	//   _vyhr, _wiha, çues_, _opml_, 
   {{0x6d45e112,0xdb24010e,0x69c00183,0xb5fde113}},	// [f470] _tiha, írás, _ámel, _teši, 
   {{0x3eab00a7,0x63ad0035,0x2d99e114,0x6d45002c}},	//   lect_, łani, mtse_, _uiha, 
   {{0x2901e115,0x2d8be116,0x569500c8,0x5eb00033}},	//   riha_, luce_, дает, টারে, 
   {{0x3eb901cc,0x7afd01c4,0x2901e117,0x2d99437e}},	//   ndst_, _umst, siha_, otse_, 
   {{0x83fc03ef,0x2d99e118,0xe81d000f,0x7cf0014e}},	//   _među, ntse_, _बुरा_, _färd, 
   {{0x03a517e0,0x942500b3,0x2d99e119,0x7cf002ae}},	//   дико, ммле, itse_, _gärd, 
   {{0xe7840267,0xb5fde11a,0x00000000,0x00000000}},	//   _путо, _nešv, --, --, 
   {{0x3eabe11b,0xdced0243,0x2d8b02d9,0x2d99e11c}},	//   ject_, _apaļ, kuce_, ktse_, 
   {{0x6ed102e6,0x7cf003c5,0x4425e11d,0x3ea000c3}},	//   धानु, _häre, _wyl_, _rbit_, 
   {{0xddc4012d,0x60090342,0x2d8b1229,0x7cf06e48}},	//   _neiš, жном_, duce_, _käre, 
   {{0x2735022b,0x7cf00077,0x9eaa34bb,0x3eabe11e}},	//   gång_, _järe, овна_, fect_, 
   {{0x441a00c7,0x141a00c7,0xa2e4004f,0x200b0474}},	//   _וועס, _וועב, _поєд, ăci_, 
   {{0x2d8b03ef,0x7ceb0241,0xf1a70080,0x00000000}},	//   guce_, _süra, _хрен, --, 
   {{0xc17200a7,0x273e00d8,0xfaff021e,0xed59020b}},	//   _יחד_, _vůni_, _amë_, íža_, 
   {{0x9d431472,0xe81d00a5,0x2d992404,0x2ca100a1}},	//   терд, _बुला_, atse_, _dbhd_, 
   {{0x91d10351,0x3ea007cd,0x41d1009a,0x2d8b00bc}},	//   _तपाई, _ubit_, _तपास, buce_, 
   {{0x394656fe,0x79840548,0x3b070cda,0x00000000}},	// [f480] днаг, uriw, фето_, --, 
   {{0x49990088,0x37e60240,0xcc8a009c,0x7cf0e11f}},	//   ятся_, мозг, _بنده_, _bäre, 
   {{0x7cf0022b,0x09d60086,0xda6636e6,0x00000000}},	//   _värd, _সেখা, _овни, --, 
   {{0x7cf0022b,0x6fb00a09,0xc6a3081b,0x2d5400c2}},	//   _däre, _जनसं, врши, _käe_, 
   {{0x24581fcd,0xeabf00a1,0x659300d7,0x00000000}},	//   паль_, _thùr_, نجور, --, 
   {{0x7cf00844,0x2d5400c2,0x00000000,0x00000000}},	//   _härb, _mäe_, --, --, 
   {{0x9696049b,0x3eab0126,0x938a1003,0x7cf000c2}},	//   _ораш, yect_, іска_, _kärb, 
   {{0x27e708bb,0x7cebd441,0x00000000,0x00000000}},	//   ønne_, _nürn, --, --, 
   {{0xd08601d7,0x2d5406a6,0x69c00098,0x00000000}},	//   мыни, _näe_, _šmej, --, 
   {{0xf6510105,0x160409e2,0x2d8b1993,0x6562e120}},	//   _لئے_, _शेयर_, vuce_, mpoh, 
   {{0x645aa7e9,0xddc40009,0x273501e8,0xe29a02a0}},	//   _ifti, _reiš, bånd_, _маж_, 
   {{0x2d8be121,0x5186e122,0x7cf02082,0x273502ae}},	//   tuce_, _жука, _närb, rång_, 
   {{0x3eab5f66,0x7ae300b3,0x80da0033,0x80080019}},	//   rect_, _înti, যোগ্, ترکہ_, 
   {{0x28d2190a,0x2d99344e,0x2d8b1866,0x6eed009e}},	//   साफि, rtse_, ruce_, _dûba, 
   {{0x7cf00a25,0x28d202e6,0x3eab00d1,0x5c040009}},	//   _bärb, सानि, pect_, вята, 
   {{0x3f8ce123,0x4ea70bad,0x00000000,0x00000000}},	//   mudu_, _црка, --, --, 
   {{0xb5fd000d,0x3f8c003d,0x44290108,0x656200da}},	// [f490] _ješt, ludu_, ́a_, jpoh, 
   {{0xb5fd1c2b,0xc8c903ce,0xa3ce031e,0x68ee00a1}},	//   _mešt, राइट, शमा_, _clbd, 
   {{0x3f8c02f5,0xb5fd014b,0x7cf00502,0x613400f6}},	//   nudu_, _lešt, _färb, càle, 
   {{0x26c91cf0,0x645a0104,0x7cf0e124,0x5ecd0033}},	//   ñao_, _afti, _väre, াসকে, 
   {{0xb5fd02f5,0x7cf001c4,0x5a440009,0x64a54243}},	//   _nešt, _wäre, _аэра, еала, 
   {{0x98c40088,0x6aade125,0x6d4b0151,0x00000000}},	//   _иссл, leaf, _égau, --, 
   {{0x8894058e,0x2735014e,0xb5fd0352,0xe8240176}},	//   _ширх, tånd_, _rešu, _афто, 
   {{0x645a06b6,0xdb0501c4,0xb5fd48a8,0x3f8c095a}},	//   _efti, _erhö, _bešt, dudu_, 
   {{0x3179006b,0xb5fd0372,0x6d5f00c3,0x95571897}},	//   ész_, _pešu, _ntqa, _آخرا, 
   {{0x1f65217e,0xddc4e126,0xb5fd11bb,0x28d20527}},	//   нком, _afiş, _dešt, सायि, 
   {{0x3f8c02b8,0x2c1f009a,0x5f06369a,0xd49800a3}},	//   gudu_, _मुलं_, езна, _юрт_, 
   {{0xb5fd1a35,0xa3bc185c,0x32750070,0x929d0083}},	//   _fešt, इटर_, _װײַל_, biła, 
   {{0xc3320052,0xfc46014b,0x765b0027,0xe1ee1137}},	//   _עוד_, číme_, _mfuy, _сг_, 
   {{0x6ee60496,0x3f8ce127,0x613403a1,0x8b66010e}},	//   _móbi, budu_, tàle, فارم, 
   {{0x1fb40d18,0xfaa601a2,0x765b052b,0x3f8c3063}},	//   _асыр, наво, _ofuy, cudu_, 
   {{0x6aad0a7a,0x645817a2,0x00000000,0x00000000}},	//   geaf, zcvi, --, --, 
   {{0x27180655,0x08c601a2,0xbcfb0696,0x00000000}},	// [f4a0] nčne_, нбан, mpén, --, 
   {{0xa2a107d5,0x3c6632af,0xee3700e4,0x7aef0126}},	//   _कॉस्, _яког, _яны_, _elct, 
   {{0x0686021f,0xc6a65e41,0xb8950093,0x66e661b6}},	//   еген, ерли, ъртъ, ножа, 
   {{0x6b7b00a7,0xb95b0054,0x6aade128,0x00000000}},	//   _צרכנ, _irìn, ceaf, --, 
   {{0x8623e129,0x34940240,0x09e3e12a,0x27180144}},	//   льше, валр, _боян, jčne_, 
   {{0xb5fd0187,0xb4ea3278,0x656200de,0x27180144}},	//   _rešt, मसे_, rpoh, dčne_, 
   {{0xa3d4093d,0xb5fd0352,0x6b9c0415,0x2718020b}},	//   тойч, _sešt, ntrg, ečne_, 
   {{0xb5fd3973,0x3f8c0097,0x216600f6,0xf7434b37}},	//   _pešt, vudu_, нтог, _бесо, 
   {{0x80c90033,0x394ae12b,0x6f0611c7,0x00000000}},	//   াউন্, _kibs_, dikc, --, 
   {{0xb5fde12c,0x67222fc9,0x69fb0486,0xb11300d3}},	//   _vešt, looj, פליק, лмыш, 
   {{0xa0a3005e,0xe1ef00d4,0x612f192b,0xa3ca034d}},	//   ушыл, لسی_, møll, _लपट_, 
   {{0x3f8ce12d,0xe29a0e52,0x929d0083,0x00000000}},	//   rudu_, _хад_, piła, --, 
   {{0xc0e62ad0,0x3f8c0062,0x00000000,0x00000000}},	//   _подк, sudu_, --, --, 
   {{0x63a800e2,0x3f8c0242,0x67220201,0x00000000}},	//   _kpdn, pudu_, hooj, --, 
   {{0x80cd00a5,0x672b59d6,0x6e2001a4,0x00000000}},	//   तारे, ylgj, ümbr, --, 
   {{0xe7fa00b0,0x7cf00502,0x00000000,0x00000000}},	//   _एइजा_, _pärc, --, --, 
   {{0xfeb800c5,0xdcf60032,0xb5200249,0x6aade12e}},	// [f4b0] _سايت_, _zvyč, मकाय_, reaf, 
   {{0xec6be12f,0xbcfb0175,0x00000000,0x00000000}},	//   _эрик_, mpéo, --, --, 
   {{0x7d0702f5,0x656001be,0xcc5600d1,0xb06500c2}},	//   mijs, _atmh, _בבתי_, lhää, 
   {{0x7d07e130,0x39b20237,0x65790415,0x7bc501f2}},	//   lijs, _fņs_, tswh, _irhu, 
   {{0x7cf002ae,0xe730007a,0x00000000,0x00000000}},	//   _hära, حصل_, --, --, 
   {{0x7d0708b1,0x2a69e131,0xf7730e05,0x64a5e132}},	//   nijs, lbab_, _مار_, така, 
   {{0x9474009c,0xb4aa00aa,0xc6a728f0,0x2903021e}},	//   ادها, गड़े_, _праи, _imja_, 
   {{0x635101dd,0xb88300da,0x7d07e133,0xb5fd0028}},	//   _jāni, stíč, hijs, _dešr, 
   {{0x7cf0022b,0x26cd0369,0x7ae300b3,0x612f0b41}},	//   _lära, _ineo_, _întu, bøll, 
   {{0xa2a12a48,0x27182e6b,0x225802d9,0x4206017b}},	//   _कॉर्, rčne_, ěrka_, тньо_, 
   {{0x12e700dd,0x7bc5006d,0xdced0082,0x53a40038}},	//   _підг, _nrhu, _zvać, _مملك, 
   {{0x7523e134,0x335800d9,0x2cba0ff2,0x00000000}},	//   lonz, _чацэ_, _sapd_, --, 
   {{0xdce402f5,0x7d07d621,0x7ceb01f0,0x7bc5e135}},	//   _sviđ, fijs, _türl, _arhu, 
   {{0xda1c034d,0xbcfbe136,0x7cf002ae,0x2b4be137}},	//   _भुगत_, spén, _bära, _aicc_, 
   {{0xab2a9420,0xeb972164,0x5a9616d0,0xfc030afc}},	//   дова_, кир_, краф, апро, 
   {{0x6a831ee8,0x752303c3,0x7cf00219,0xb95b00a1}},	//   илса, honz, _dära, _crìo, 
   {{0xee3a048a,0x75230727,0x7d07e138,0x6f04e139}},	// [f4c0] _юни_, konz, bijs, _imic, 
   {{0x7d072805,0xb95b00f7,0xa2a16229,0x7523095a}},	//   cijs, _trìn, क्त्, jonz, 
   {{0xdce403f5,0x7523e13a,0x68e35a5a,0x00000000}},	//   _uviđ, donz, önda, --, 
   {{0x224f02a2,0x6d4b7254,0xf1d108c6,0x213e02be}},	//   _nggk_, _égar, तमान, zmth_, 
   {{0x80b202f8,0x8e57035c,0x6b830219,0x6f040082}},	//   _असले, דינג_, _ångr, _mmic, 
   {{0x26cd086d,0x7523e13b,0x69c6008a,0x2b40e13c}},	//   _eneo_, gonz, _irke, lmic_, 
   {{0x6f0400fd,0x2ef208b0,0xdb050151,0xbebb08b0}},	//   _omic, _olyf_, _sphé, doën, 
   {{0x66e3e08b,0x78bce13d,0xdb0f010e,0x6134023a}},	//   _коса, _harv, ődöt, dàla, 
   {{0x66e38b62,0x09e40086,0xe69703dc,0x5066177d}},	//   _тота, _নেতা, _шурӯ, ктна, 
   {{0x6f049663,0x30a3004f,0x75230027,0x69c6089a}},	//   _amic, арюв, conz, _mrke, 
   {{0x42a479c4,0x7d0700ef,0x6ee6033c,0x0fd00033}},	//   _булғ, vijs, _lóbu, ান্ধ, 
   {{0x78bce13e,0x6f0400ca,0x7d0701c8,0x0fe303a1}},	//   _larv, _cmic, wijs, рөшү, 
   {{0x442c02f0,0xf0b700c5,0x7d071140,0x3ebb02f1}},	//   _hyd_, رایش_, tijs, _vaqt_, 
   {{0x7cf00077,0x6f04e13f,0x78bce140,0x3ebb0405}},	//   _pära, _emic, _narv, _waqt_, 
   {{0x2b4b00e2,0xa2b80a20,0x013700d1,0xbfa5009e}},	//   _picc_, ्यप्, _שרות_, rpêç, 
   {{0x7d07d1c0,0x7cf000b0,0x7523e141,0x442c017c}},	//   sijs, _vära, zonz, _myd_, 
   {{0x78bcaa87,0x442c03a9,0x23690704,0x291c0082}},	// [f4d0] _barv, _lyd_, ćaji_, čvan_, 
   {{0x7bc502fe,0x7cf00219,0x6e2d0610,0x78bc24bb}},	//   _trhu, _härn, _iyab, _carv, 
   {{0x69c6e142,0x7cf0b97e,0x78bce143,0x1dcb00a5}},	//   _erke, _kärn, _darv, ामकत, 
   {{0x7cf0014e,0x9599b808,0x7af6026e,0x98b901dd}},	//   _järn, етку_, chyt, _pusē_, 
   {{0x78bc34f9,0xa2b80c64,0xbebb024a,0x690b003d}},	//   _farv, ्यन्, llës, rżeb, 
   {{0x7aede144,0x442c02bf,0xb4bd0f63,0x00000000}},	//   lkat, _byd_, इये_, --, 
   {{0x67d457f0,0x7523e145,0x21270065,0x442c0156}},	//   _кору, ronz, _rknh_, _cyd_, 
   {{0x7aedcd77,0x69c6c932,0x442ce146,0x2489091f}},	//   nkat, _yrke, _dyd_, şam_, 
   {{0x7aed00e4,0x5803005e,0xe0d10274,0x6e2d20be}},	//   ikat, _соңғ, مزد_, _nyab, 
   {{0x6ff306d0,0x2cb100bc,0x6f04e147,0x442c00f8}},	//   ləcə, jezd_, _smic, _fyd_, 
   {{0x6e36006a,0x7aede148,0xdee6e149,0x442c0156}},	//   _szyb, kkat, гони, _gyd_, 
   {{0x6e2d2538,0x63050a5a,0x6abd019b,0x6ff300ad}},	//   _byab, _حوصل, _nasf, nəcə, 
   {{0xa0a50161,0x2718008b,0x6e2d0199,0x7aed14f2}},	//   _балд, nčna_, _cyab, dkat, 
   {{0x6e2de14a,0x61fbe14b,0x7aed01a3,0x00000000}},	//   _dyab, mzul, ekat, --, 
   {{0x013600d1,0x6e2d01a3,0x61e9e14c,0x6d59011c}},	//   _גרסת_, _eyab, lyel, _éwan, 
   {{0x7cf0022b,0x7aed0d3a,0x78bce14d,0x8e760a10}},	//   _gärn, gkat, _sarv, _сукч, 
   {{0x61e9e14e,0x4a750904,0x2b4016bf,0xe8cab51b}},	// [f4e0] nyel, рыст, rmic_, нгал_, 
   {{0x4a4308f3,0x7aed1656,0xb5fd0032,0x673b007c}},	//   снув, akat, _rešp, _ahuj, 
   {{0x7af6e14f,0x7e76008c,0x78bce150,0x7cf00219}},	//   phyt, _keyp, _varv, _häro, 
   {{0xe61a24dc,0x6d566b6f,0x7aed6ae0,0x66767a32}},	//   нде_, _kuya, ckat, ادار, 
   {{0x78bc06d6,0x29d500cf,0x597513f2,0x442c6427}},	//   _tarv, _кўрс, _высу, _syd_, 
   {{0x7ae30012,0x2fc702cd,0x6d567f48,0x442ce151}},	//   _într, _orng_, _muya, _pyd_, 
   {{0x7cf00219,0x746900dd,0x6d56012b,0x734a1988}},	//   _läro, трів_, _luya, нчив_, 
   {{0x6d56018e,0x2918023a,0x41b420b4,0xdddf009e}},	//   _ouya, _hjra_, لمبر, _neqş, 
   {{0x69c4e152,0x61e9006b,0xdce4006a,0x442ce153}},	//   nvie, gyel, _zwią, _wyd_, 
   {{0x442c0691,0x2fc7085b,0x7aed0a9f,0x2d8b0112}},	//   _tyd_, _brng_, zkat, vrce_, 
   {{0xd9d102f8,0x7cf00077,0x7aed00e5,0x6e2d0348}},	//   _सप्ट, _pärn, ykat, _syab, 
   {{0x7ceb2a30,0x69c400e4,0x63ba00ab,0x6d56e154}},	//   _türk, kvie, _istn, _buya, 
   {{0x2d8be155,0x6d5604b3,0x7cf004b2,0x29180613}},	//   urce_, _cuya, _värn, _ojra_, 
   {{0x69c4e156,0xe81d0366,0x6d56e157,0xeb1d048e}},	//   dvie, _बुझा_, _duya, भक्त_, 
   {{0x7aede158,0x66f4000f,0x6abde159,0x2d800175}},	//   tkat, _आतंक_, _pasf, _evie_, 
   {{0x7cf0014e,0x6a15229d,0x7cebe15a,0x6d560151}},	//   _härl, амбу, _müri, _fuya, 
   {{0x7aede15b,0x6d56e15c,0x7cf0014e,0x3ea906e4}},	// [f4f0] rkat, _guya, _kärl, _ibat_, 
   {{0x7aede15d,0x6729e15e,0x673be15f,0x27180352}},	//   skat, _skej, _shuj, včna_, 
   {{0xb8dd0d4f,0x7c2902f2,0x6abd04a8,0x61fb567d}},	//   _आस_, ßerd, _tasf, zzul, 
   {{0xf770057f,0xb8ec05fd,0xf9900019,0x29180126}},	//   سام_, _शो_, تبہ_, _ejra_, 
   {{0x6ff306d0,0x6d56078a,0x55c3004e,0x69c4e160}},	//   rəcə, _xuya, салғ, cvie, 
   {{0x2eb2000d,0xbf02215e,0x61fb065c,0x7cf002ae}},	//   _जस्त, _लग्न_, vzul, _närl, 
   {{0x6ed802f8,0x3ea92157,0x62990210,0x672901f2}},	//   यामु, _obat_, _pcwo, _tkej, 
   {{0xd18574ef,0x61e91e12,0xa2e50d47,0x61fb2262}},	//   алий, tyel, роид, tzul, 
   {{0x798d023e,0x69c00183,0x61fbe161,0x63ba03c5}},	//   nraw, _ámet, uzul, _estn, 
   {{0x2055e162,0x3ea93216,0x61fb4234,0x6ee6019c}},	//   штир, _abat_, rzul, _nóbr, 
   {{0x3dc9148f,0x69c4a718,0x798d0156,0x61fbe163}},	//   _araw_, zvie, hraw, szul, 
   {{0xed5a1447,0xfe46269c,0x6d5635f5,0x7cf002ae}},	//   ком_, инно, _puya, _päro, 
   {{0x236900f1,0x7ceb0380,0x2167406e,0x69c40108}},	//   ćaju_, _züri, _стег, xvie, 
   {{0x50450161,0x6ee60068,0x317f027e,0x78a200ca}},	//   _келб, _cóbr, msuz_, đovk, 
   {{0x8c46bc88,0x317f0e03,0x273c17ad,0x2fc70696}},	//   реве, lsuz_, líne_, _urng_, 
   {{0x69c4002a,0xf1a91139,0x225fe164,0x6d56e165}},	//   tvie, _कहान, ncuk_, _tuya, 
   {{0x0906bc89,0x317f7428,0xa2b8048e,0x798d0876}},	// [f500] апан, nsuz_, ्यत्, graw, 
   {{0xe8f7193e,0xa2cc00a2,0xdd7b0070,0x7d7b00d1}},	//   алу_, _दोन्, _שטיל, _שניו, 
   {{0xd90d00d6,0xfaa6361a,0x69c4e166,0x798d0036}},	//   ریف_, _кано, svie, araw, 
   {{0x46a60b10,0x798d492d,0x7c290380,0xd7ef0038}},	//   радв, braw, ßere, بكم_, 
   {{0x28762f89,0x7cf02341,0x959a00f0,0xe3b804a8}},	//   _выбр, _lärm, ттеу_, _ayıp_, 
   {{0x05140086,0xa3b2031e,0xed5923f2,0x186711d2}},	//   িত্র_, टबल_, íži_, _вари_, 
   {{0x7cf0022b,0xd377361d,0x590700b3,0x2ca7027e}},	//   _närm, ачы_, _терм_, _önde_, 
   {{0xf1a6e167,0x3878cdab,0x69c00183,0x1604009a}},	//   арон, _herr_, _ámes, _शेअर_, 
   {{0x7cf0e168,0xb5a90038,0xa634010e,0x3878e169}},	//   _pärl, _مالك_, _اکاؤ, _kerr_, 
   {{0x3878678c,0x4fc6e16a,0x7ceba14e,0x60e61646}},	//   _jerr_, асма, _türi, рциз, 
   {{0x7cf00750,0x387800e5,0x63bae16b,0x271802ee}},	//   _värl, _merr_, _ustn, nčno_, 
   {{0x7cf0014e,0xd36f009c,0x38780065,0x6d581c2b}},	//   _därm, _آهن_, _lerr_, _čvar, 
   {{0xae0102f8,0x3dc901f2,0x00000000,0x00000000}},	//   _लेखन_, _qraw_, --, --, 
   {{0x7cf004b2,0x3e750023,0x61430267,0x00000000}},	//   _härj, ất_, _деча, --, 
   {{0xc1b60667,0x81cd0086,0x61b6121a,0x7cf013ba}},	//   _अनुग, রহণ_, _अनुष, _kärj, 
   {{0x7cf006d6,0x3ea919e0,0x4a555cf6,0x798de16c}},	//   _järj, _ubat_, скас, traw, 
   {{0x4c95e16d,0x7e7da481,0x387803c6,0x13af0033}},	// [f510] _липс, masp, _berr_, কিয়, 
   {{0xd8793147,0x798d00a1,0x7e7de16e,0x85420028}},	//   امات_, rraw, lasp, žėja, 
   {{0x25ad17f0,0x798d009c,0xe28b00d8,0x00000000}},	//   _spel_, sraw, íčků_, --, 
   {{0x798d006a,0x7e7de16f,0xa3bc0249,0x00000000}},	//   praw, nasp, ेटन_, --, 
   {{0x929d0035,0xc984e170,0x3878e171,0x6ed81893}},	//   siłk, _мури, _ferr_, यातु, 
   {{0x43850038,0x7cf901be,0x7e7de172,0x3f83039f}},	//   ملتق, _fìre, hasp, ájuk_, 
   {{0x316602a2,0x5eb00033,0x13680267,0x2a790218}},	//   _atoz_, য়াতে, ашњи_, _kesb_, 
   {{0x5694cad7,0x7e7de173,0x387800ef,0x98b90009}},	//   _маст, jasp, _zerr_, _pusė_, 
   {{0x224b014e,0xc6920070,0xd49b15d3,0x38780065}},	//   äck_, _מאן_, _аре_, _yerr_, 
   {{0x395902ec,0xa3d7072f,0x317f06a2,0x9f4e00bc}},	//   _muss_, ामद_, rsuz_, ěním_, 
   {{0x7cf00219,0xe43507cf,0x6b950372,0xd251b198}},	//   _färj, _افاد, juzg, _فنا_, 
   {{0x7cf0022b,0x1efa00eb,0x7e7d0c36,0x613d026a}},	//   _värm, اعدة_, gasp, dèle, 
   {{0xd25602a1,0x0165250f,0x7cf001c4,0xdce40035}},	//   _השנה_, _укло, _wärm, _zwię, 
   {{0xed5780d4,0x1d1906ba,0xeb9a05de,0x463a0070}},	//   сор_, аюсь_, лиг_, טערע, 
   {{0x6f95057f,0x7f850084,0xa3d71281,0x7cf06ecf}},	//   _العض, _البن, ामि_, _härk, 
   {{0x3959e174,0x7cf000c8,0x27180352,0x7e7de175}},	//   _buss_, _kärk, včno_, casp, 
   {{0x7cf00088,0x9f46010e,0x9c830604,0x00000000}},	// [f520] _järk, szló_, _ščem, --, 
   {{0xa3d7e176,0x7cf0e177,0x2d8261b3,0x23b700a2}},	//   ामा_, _märk, mske_, _आनंद, 
   {{0x2a7900ca,0x387804f4,0x00000000,0x00000000}},	//   _fesb_, _verr_, --, --, 
   {{0xf74382a9,0xf72900dd,0xe9a62010,0x3959e178}},	//   пехо, ацій_, _ламп, _fuss_, 
   {{0x941206d0,0xd90d0105,0xa2b8121a,0x38780034}},	//   əyə_, ریہ_, ्यस्, _terr_, 
   {{0x26c0d76d,0x6ab6003e,0x2d82c20c,0xe0ac0bf1}},	//   žio_, leyf, iske_, _কোনভ, 
   {{0x7cf001ad,0x00000000,0x00000000,0x00000000}},	//   _pärj, --, --, --, 
   {{0x7ae6e179,0x2d82e17a,0x7d0ee17b,0xfbd300df}},	//   _jokt, kske_, hibs, לתו_, 
   {{0x7e7de17c,0x7cebc602,0x63b8006d,0x60f819fe}},	//   vasp, _kürt, swvn, иния_, 
   {{0x2d8202f5,0x7e7d08a1,0x3ae700b0,0x2259020b}},	//   dske_, wasp, _lõpp_, ľska_, 
   {{0x33f612cd,0xdeb51838,0xe4d7040f,0xd8db00c7}},	//   _учас, обны, _دولت_, אקיר, 
   {{0x7ae6e17d,0x80d61b38,0xf83700d1,0x613d0212}},	//   _nokt, बाहे, מנית_, vèle, 
   {{0xa2d50184,0x290a2b62,0x7cf026ad,0x2d820b41}},	//   भार्, _omba_, _kärh, gske_, 
   {{0x2a7929bb,0x39591f14,0xc19b00d1,0x00000000}},	//   _sesb_, _russ_, _עשוי, --, 
   {{0xe7e300cc,0x7ae6e17e,0x3cfa0262,0x7e7de17f}},	//   _মধ্য, _bokt, _उतरे_, pasp, 
   {{0x290ae180,0x39592032,0x2d822d3c,0x7ae6e181}},	//   _amba_, _puss_, bske_, _cokt, 
   {{0x6f0f02a3,0x6b95044d,0x2d82039f,0x00000000}},	// [f530] micc, suzg, cske_, --, 
   {{0x7cf0022b,0x6f0f7097,0x00000000,0x00000000}},	//   _närh, licc, --, --, 
   {{0xaac43295,0xc5e60086,0x96eb069b,0x4ac400ae}},	//   _लोकक, _খেলা_, льда_, _लोकव, 
   {{0x6f0f0036,0x41a9007e,0xfe7fe182,0xf1a900b0}},	//   nicc, _कहलस, naï_, _कहलन, 
   {{0x1a9a00c7,0xb4c40299,0x7ceb61dd,0x85a70267}},	//   _דירע, एयू_, _fürt, сјед, 
   {{0x92d500cc,0x80b702e6,0x6f0f0036,0x9a290108}},	//   _হতে_, _असें, hicc, _gươm_, 
   {{0x7ae601f0,0x7cf071ce,0x0442249e,0x00000000}},	//   _yokt, _särk, мешн, --, 
   {{0x2d8234f9,0x7ceb1305,0x68e70032,0x23a10035}},	//   yske_, _kürs, _hojd, rój_, 
   {{0x4429006a,0x6f0f3f5b,0x0edd000d,0x6d5900d4}},	//   ła_, dicc, यानड, _éwah, 
   {{0x672b01ee,0x9f854dc2,0x1fe40086,0x7cf01323}},	//   logj, огод, _ফেইস, _värk, 
   {{0xef1ab050,0x273caa84,0x6f0f00a4,0x68e7a1a5}},	//   имо_, lína_, ficc, _mojd, 
   {{0x2d82364f,0x2f540934,0x7cf00088,0x3f8b160e}},	//   tske_, ятьс, _tärk, čcu_, 
   {{0xed5a4fe7,0xa2b80262,0x2d849297,0x7cf00219}},	//   рог_, ्यर्, éme_, _häri, 
   {{0xa069e183,0x2d82e184,0x80a70086,0xdbc7003e}},	//   _така_, rske_, _কোর্, töðv, 
   {{0xf0b811b7,0xfbc30f67,0x6f0f02a3,0x7d0e1530}},	//   _دانش_, мбро, bicc, ribs, 
   {{0x2d82034c,0xed5a0316,0x672b08a1,0x6f0f1727}},	//   pske_, _кои_, jogj, cicc, 
   {{0xe9dae185,0x60c30300,0xdb0502c9,0x3ea00237}},	// [f540] шка_, _kanm, _ophæ, _icit_, 
   {{0x60c3e186,0x92d50033,0xe8d90054,0x00000000}},	//   _janm, _হতো_, drỳ_, --, 
   {{0x7cf028cb,0x60c30cd7,0x656900e5,0x25bf1041}},	//   _näri, _manm, _ateh, _asul_, 
   {{0x60c30cd7,0x27e7014e,0x7cebd7cf,0x4c3b00a7}},	//   _lanm, änna_, _fürs, _כתיב, 
   {{0xf5b600b8,0x60c303c5,0x16044f69,0x7ceb0241}},	//   تصاد, _oanm, _शेखर_, _gürs, 
   {{0xf366e187,0xdce40613,0x7ceb0384,0x290a0548}},	//   отин, _otič, _hürr, _umba_, 
   {{0xbcfb026d,0x43940cfe,0x00000000,0x00000000}},	//   mpét, чайс, --, --, 
   {{0x60c30265,0x7cf0014e,0x6569003d,0x613400f6}},	//   _aanm, _däri, _fteh, màli, 
   {{0x60c3540e,0x2cb8013c,0x79840156,0x6f0f62de}},	//   _banm, kerd_, nsiw, vicc, 
   {{0x26c4e188,0x7cf00844,0x60c300f8,0x3ea002be}},	//   _hamo_, _färi, _canm, _acit_, 
   {{0x4438e189,0x60c3e18a,0x26c4e18b,0xb4b60035}},	//   _ár_, _danm, _kamo_, ज़ी_, 
   {{0x741300c5,0x26c6e18c,0x2cb802b0,0xbd6b26ef}},	//   _توما, ndoo_, eerd_, ирге_, 
   {{0x60c3158b,0xdced003a,0x25a6e18d,0x6280e18e}},	//   _fanm, _svađ, ntol_, mamo, 
   {{0x6f0f9f26,0x2cb8e18f,0x80a100a5,0x63670213}},	//   sicc, gerd_, _खाये, _fınd, 
   {{0xcb0b058e,0x26110262,0x6f0fe190,0x68e7403b}},	//   ахад_, _देनी_, picc, _rojd, 
   {{0x6280e191,0xda0c006a,0x60c30cd7,0x26c4e192}},	//   namo, _सेहत_, _zanm, _namo_, 
   {{0x68e7e193,0x3eb97b12,0x6f0dd878,0x79842244}},	// [f550] _pojd, mest_, _imac, gsiw, 
   {{0x6280e194,0x3eb9e195,0x8b08031e,0x2d99e196}},	//   hamo, lest_, _pořá, muse_, 
   {{0x656902ec,0x6280e197,0x2d99e198,0xb06500c8}},	//   _steh, kamo, luse_, lkää, 
   {{0x3eb9772d,0x6280e199,0x2d9903da,0x95d900c8}},	//   nest_, jamo, ouse_, йдет_, 
   {{0x443e0105,0xd5bb4e4e,0xd46924d9,0x26c4e19a}},	//   _azt_, рсе_, биле_, _damo_, 
   {{0x7cf00077,0xdb1e0cc6,0x273ce19b,0xe4c200c8}},	//   _päri, _aspè, rína_, ейши, 
   {{0x60c3e19c,0x3eb9007e,0x2d99e19d,0x26c40036}},	//   _ranm, kest_, huse_, _famo_, 
   {{0x3eb902a8,0x8c1c0111,0x66b40088,0x7cf02ca3}},	//   jest_, יווי, _обсу, _väri, 
   {{0x443e006b,0xdce4a952,0x60c30495,0x65692873}},	//   _ezt_, _stič, _panm, _uteh, 
   {{0x6f0de19e,0x2d99e19f,0xdb1ee1a0,0xdce4203b}},	//   _amac, duse_, _espè, _ptič, 
   {{0x62801056,0x2cb8e1a1,0x60c36e67,0x2d994327}},	//   bamo, verd_, _vanm, euse_, 
   {{0x7cf01eab,0x62800684,0x69cf0042,0x2ca10465}},	//   _järv, camo, _orce, _achd_, 
   {{0x60c381d8,0x2d99007e,0x2cb8013c,0xf2d20070}},	//   _tanm, guse_, terd_, _רעד_, 
   {{0xb6061102,0xa3cf0fcf,0xdc6729db,0x00000000}},	//   _ukáž, शिप_, зард_, --, 
   {{0xdce40ca5,0x3eb9e1a2,0xb5fd13b0,0x1d07383a}},	//   _utič, best_, _ofšo, чери_, 
   {{0x7cf0214e,0x7984044d,0x89662cd0,0x612f00fb}},	//   _närv, tsiw, зкаж, pøls, 
   {{0x26c4e1a3,0xe8fa9932,0xc33200a7,0x2cb8000b}},	// [f560] _ramo_, бла_, תון_, perd_, 
   {{0x4999030f,0x79840156,0x8c46e1a4,0x613400f6}},	//   ются_, rsiw, _непе, tàli, 
   {{0x6280e1a5,0x69cf0304,0xbcfb9b06,0x27180352}},	//   yamo, _erce, rpét, lčni_, 
   {{0x628039b5,0xe73a0088,0x628f4879,0x6134022c}},	//   xamo, щее_, ócol, ràli, 
   {{0x69cf05ae,0xbcfb026a,0x2718008b,0x62803c3d}},	//   _grce, mpér, nčni_, vamo, 
   {{0x7ae401b4,0x3f870082,0x26c4095a,0x3f856d9d}},	//   ljit, _ovnu_, _wamo_, kslu_, 
   {{0x62800e2e,0x26c402f5,0x6602006b,0x25a6e1a6}},	//   tamo, _tamo_, szok, stol_, 
   {{0x7ae4e1a7,0x7af6012d,0x25a60242,0x6cf800bc}},	//   njit, nkyt, ptol_, ँसँग_, 
   {{0xc05a032e,0x27180144,0x00000000,0x00000000}},	//   йін_, jčni_, --, --, 
   {{0x6f0d2d1e,0x2d99007e,0x3eb9e1a8,0xc223010e}},	//   _smac, vuse_, west_, رکنو, 
   {{0x3eb9e1a9,0x6280e1aa,0x6f1d08f4,0xdb1e69bb}},	//   test_, pamo, érco, _espé, 
   {{0x7f440c67,0x2d990077,0xb06500c8,0xbebb0034}},	//   _chiq, tuse_, tkää, llëz, 
   {{0x3eb9e1ab,0x7ae403f5,0x00000000,0x00000000}},	//   rest_, djit, --, --, 
   {{0x3eb905d2,0x2d99e1ac,0x91bb00d1,0x7c290502}},	//   sest_, ruse_, _למדי, ßero, 
   {{0x3eb9006b,0xef6602b9,0x6e2400ce,0x2d99007e}},	//   pest_, _эъло, _exib, suse_, 
   {{0x7ae400e5,0x7c29e1ad,0x2d9900d9,0x6f0de1ae}},	//   gjit, şero, puse_, _umac, 
   {{0xa2a109ec,0xb95500fd,0xfc30010e,0x00000000}},	// [f570] क्ट्, дващ, نحہ_, --, 
   {{0x98b80009,0x8e38007a,0x2ca101fd,0x00000000}},	//   _mirė_, _عسير_, _uchd_, --, 
   {{0x6f1de1af,0x7e7f0034,0x0a590176,0xaa593f87}},	//   onsc, _keqp, _манъ_, _мину_, 
   {{0x69cf00ef,0x6f1dc697,0x645ab9d5,0x69cb0219}},	//   _trce, nnsc, _agti, åges, 
   {{0x6f1de1b0,0x7cf01c11,0xd138012d,0x49930274}},	//   insc, _värv, klą_, _سیار, 
   {{0x6d5fcb7e,0x3f85e1b1,0xe5700038,0x61e00175}},	//   _muqa, yslu_, اطن_, dxml, 
   {{0x6d57e1b2,0x68e3003e,0x6d5f09c7,0xa2e50080}},	//   _mixa, öndu, _luqa, дойд, 
   {{0xa2a209ef,0x6d57e1b3,0x291300b4,0x7cf00380}},	//   _गाण्, _lixa, lixa_, _härt, 
   {{0xb14518c2,0x765be1b4,0x65942cc5,0x69cd0080}},	//   мнил, _iguy, _пату, nvae, 
   {{0x5144004e,0x7f44e1b5,0x248c012b,0x27180352}},	//   ндығ, _shiq, _gddm_, včni_, 
   {{0x7cf0007e,0x26110035,0x2d89025b,0x3afc00d8}},	//   _märt, _देती_, _avae_, _lípa_, 
   {{0x7c290c05,0x6441e1b6,0x6d45e1b7,0x6d5700f6}},	//   ğerl, _izli, _ahha, _aixa, 
   {{0xa0a509d9,0x6d4500a1,0x6d57e1b8,0x28e0058c}},	//   _жалд, _bhha, _bixa, नामि, 
   {{0x3e7c00f7,0x7afde1b9,0x8c46021f,0xf1bc0a09}},	//   ật_, _alst, деге, ्टरन, 
   {{0x7f4400e2,0xa3e0059e,0x6aade1ba,0x765b0539}},	//   _thiq, दमय_, ffaf, _oguy, 
   {{0x765b00f7,0x6d5f00cf,0x6d57022c,0x291303c2}},	//   _nguy, _fuqa, _eixa, eixa_, 
   {{0x7af61838,0xe8eae1bb,0x7ae4e1bc,0x442502be}},	// [f580] rkyt, омад_, rjit, _lxl_, 
   {{0x7af6d29b,0x644130ff,0x7afde1bd,0x6fb107d5}},	//   skyt, _ozli, _elst, _जहां, 
   {{0x59ba007e,0x6ea543f5,0x7cf002ae,0x657b016c}},	//   _उनकर, _कामु, _därt, _awuh, 
   {{0x28ce00c9,0x00000000,0x00000000,0x00000000}},	//   _होरि, --, --, --, 
   {{0xd5b00e05,0x644170ef,0x6b9ce1be,0xe4e6004f}},	//   افت_, _azli, lurg, дійн, 
   {{0x29130183,0x765b02a5,0x7cf00380,0x81e30033}},	//   cixa_, _eguy, _gärt, ননা_, 
   {{0x2bd10c14,0x18a3e1bf,0x4425dfa8,0xec360070}},	//   हिया, _шарм, _cxl_, ואַר_, 
   {{0x20058007,0x7cf02cb6,0xa2d500c9,0xfbc00033}},	//   dzli_, _kärs, भाग्, _উপাত, 
   {{0x7cf000c2,0xd1b00296,0x69c41446,0x6b9c01d6}},	//   _järs, ایتک, रिटी, hurg, 
   {{0x6d5f00e2,0x6b9c01f1,0x7cf002ae,0x00000000}},	//   _ruqa, kurg, _märs, --, 
   {{0x6560e1c0,0xd01016a6,0x00000000,0x00000000}},	//   _humh, الج_, --, --, 
   {{0x6d57012b,0x65600053,0x6b9c003e,0x79962d6b}},	//   _sixa, _kumh, durg, kryw, 
   {{0x7cf002ae,0x656030a2,0x6f1d0380,0x613400b9}},	//   _närs, _jumh, rnsc, fàlt, 
   {{0xa2b802d9,0x7996e1c1,0xc1bc0299,0x6560007a}},	//   ्यक्, dryw, ्टीग, _mumh, 
   {{0x7c344865,0xd00f1d02,0x6b9ce1c2,0x4425e1c3}},	//   верх, _рф_, gurg, _xxl_, 
   {{0xa3cf35ff,0xaf080038,0xcf27030e,0x7cf002ae}},	//   शित_, _يقوم_, _ترتي, _bärs, 
   {{0x65600068,0x58d50cdf,0x79960035,0x6aade1c4}},	// [f590] _numh, ноат, gryw, rfaf, 
   {{0x7b67452e,0xf1c800e7,0x3eb20035,0x657b0027}},	//   _отме, _mỡ_, _zbyt_, _rwuh, 
   {{0x656000a1,0xf1c800e7,0x29131ed8,0x6b9c020f}},	//   _aumh, _lỡ_, rixa_, curg, 
   {{0x7bc5649b,0x7cf0014e,0x7afd238e,0x7d15dad6}},	//   _ishu, _färs, _ulst, lizs, 
   {{0x6560e1c5,0xe57800e4,0x55c300f0,0xf1c80108}},	//   _cumh, дзі_, талғ, _nỡ_, 
   {{0xa3c3031e,0x7d15e1c6,0x395800f6,0xd46950eb}},	//   _září_, nizs, _girs_, чике_, 
   {{0xe3b11cad,0x291107fa,0x65600379,0x7cf01bfa}},	//   ارت_, _imza_, _eumh, _kärr, 
   {{0x4425e1c7,0x7bc50548,0xe0bb0033,0x2b5900a1}},	//   _vxl_, _mshu, _অচেন, _jisc_, 
   {{0x9f52031e,0xf1c800e7,0x7d1500ef,0x2b593a77}},	//   ází_, _cỡ_, kizs, _misc_, 
   {{0xa3cf02e6,0x6009e1c8,0x312200d3,0xf4850019}},	//   शिद_, зном_, лдыг, _سائی, 
   {{0x3ea6e1c9,0x799600ab,0x644101dd,0x7bc502b8}},	//   нинг, zryw, _uzli, _nshu, 
   {{0x7b03007e,0x59df34a2,0x00000000,0x00000000}},	//   _jõud, नमार, --, --, 
   {{0x7bc5e1ca,0xf1c800e7,0x20050083,0x00000000}},	//   _ashu, _gỡ_, szli_, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x7cf0022b,0x1c39004f,0x26111011,0xec160c30}},	//   _särs, дять_, _देसी_, رورد, 
   {{0x7b03007e,0x395801f2,0x7cf0e1cb,0x2911107c}},	//   _nõud, _sirs_, _pärs, _amza_, 
   {{0x3958010c,0x7bc5052b,0x2b59e1cc,0xc8960267}},	// [f5a0] _pirs_, _eshu, _disc_, ерењ, 
   {{0x7cf0e1cd,0x02bd000c,0xe4f443f5,0xe8c7e1ce}},	//   _värs, ्युन, _अवधि_, нгул_, 
   {{0xb9080262,0x7cf0074b,0x7a6a02f1,0x395818b9}},	//   _मच_, _färr, _нинг_, _virs_, 
   {{0x261104d7,0xb5aa0084,0x3cde00b0,0x9586004e}},	//   _देही_, كاتك_, खावे_, елде, 
   {{0x3958e1cf,0x6d4ee1d0,0xfa36010e,0x28e00c3a}},	//   _tirs_, omba, _سرحد, नादि, 
   {{0x69c6e1d1,0x636703c0,0xf1c800e7,0x98a40028}},	//   _iske, _sına, _rỡ_, _ėmė_, 
   {{0x52bd00c9,0xf1c80023,0x63670241,0x6923807d}},	//   ्यूस, _sỡ_, _pına, _смра, 
   {{0xc7d70056,0x26110bf5,0x3dc21694,0x7d1500ef}},	//   _אולי_, _देवी_, kwkw_, zizs, 
   {{0xc1b713f2,0x00000000,0x00000000,0x00000000}},	//   елых_, --, --, --, 
   {{0xa2d500a2,0xf1c800e7,0xf99300d1,0x68eee1d2}},	//   _मोठ्, _vỡ_, נרת_, _jobd, 
   {{0x7d15e1d3,0xae8900d3,0x00000000,0x00000000}},	//   vizs, үбүз_, --, --, 
   {{0xa3bd0fec,0x6d400216,0x6d4e11da,0x032601d8}},	//   इबर_, îman, emba, _яден, 
   {{0x2b5927c5,0x9df80093,0x00000000,0x00000000}},	//   _risc_, енят_, --, --, 
   {{0x2b5900e2,0xef1f04d6,0x00000000,0x00000000}},	//   _sisc_, snü_, --, --, 
   {{0xdb1e0b85,0x69c6e1d4,0xf8ce00c2,0x3a3f00da}},	//   _espí, _aske, _होइय, _šup_, 
   {{0x6d4ee1d5,0x3f9ee1d6,0x9b58e1d7,0x00000000}},	//   amba, mutu_, еист_, --, 
   {{0x0f5800c7,0x7cf0014e,0x2a69016a,0x4a55e1d8}},	// [f5b0] _איהם_, _värr, rcab_, ткас, 
   {{0x7bc501c1,0x68ee00f6,0xa3e000bc,0x5a342989}},	//   _tshu, _cobd, दमा_, унут, 
   {{0x69c602ba,0x3f9ee1d9,0x2d8b00ab,0x3cde5739}},	//   _eske, nutu_, lsce_, खारे_, 
   {{0xa3cf5d29,0x238c00d8,0x00000000,0x00000000}},	//   शिस_, děj_, --, --, 
   {{0x64a562b3,0x3f9e2904,0x2611047c,0x7cf014aa}},	//   вала, hutu_, _देशी_, _kärp, 
   {{0x3f9ee1da,0x26c90062,0xa3bd031e,0x2d990038}},	//   kutu_, žao_, इबल_, irse_, 
   {{0x62820265,0x26110f63,0x7c290380,0x7e6d0026}},	//   _beoo, _देरी_, ßerh, _ofap, 
   {{0x02bd0081,0x0ed000a2,0x69c6040b,0x00000000}},	//   ्येन, _तोंड, _yske, --, 
   {{0x2d8b00ab,0xa2a20239,0x7aef0126,0x963500b3}},	//   jsce_, _गार्, _moct, _рнац, 
   {{0xd12e00b1,0x7e6d0379,0x7cf00747,0x3f9e0027}},	//   يمي_, _afap, _närp, futu_, 
   {{0x3f9ec8cd,0x52b50038,0x2d991a77,0xddc400b3}},	//   gutu_, _لماذ, erse_, _ofiţ, 
   {{0x7aef05a4,0x62820d62,0x52151137,0x00000000}},	//   _noct, _geoo, _идет, --, 
   {{0x78b5014b,0xe1ee556e,0x7cf002ae,0x00000000}},	//   _obzv, _тг_, _bärp, --, 
   {{0xed57684b,0x3f9ee1db,0x7e6de1dc,0xdfa920b4}},	//   коя_, butu_, _efap, _قطعه_, 
   {{0x6d4e00e5,0x2d99da63,0xff2602c0,0x7aef084c}},	//   rmba, arse_, _имко, _boct, 
   {{0x38c81fdb,0x2fc70102,0x097a16d0,0x00000000}},	//   کاری_, _isng_, дёжь_, --, 
   {{0x7aef0a2d,0x5a638651,0xfd12031b,0x261100c2}},	// [f5c0] _doct, ркуб, _نجد_, _देली_, 
   {{0x2fc7011c,0x6b6600d9,0x00000000,0x00000000}},	//   _ksng_, _икоа, --, --, 
   {{0xc8b5a2a2,0x248706df,0x17690259,0x3b0a4e7d}},	//   ысты, danm_, еріп_, _жено_, 
   {{0xe61a03fd,0x02bd2511,0x00000000,0x00000000}},	//   мде_, ्योन, --, --, 
   {{0x6f1d2142,0x68eee1dd,0x05b40038,0xb866189a}},	//   érci, _tobd, امتح, _لازو, 
   {{0x68461297,0xa53302c8,0x3f9ee1de,0x34931a57}},	//   _анга, аніч, yutu_, аашр, 
   {{0x17c707d9,0x37e3e1df,0x69c400ab,0x60ca003e}},	//   _игри_, _корг, lwie, _rafm, 
   {{0x6aa4e1e0,0x14d2009a,0xf5960038,0x69c40083}},	//   ngif, _धोरण, _للرج, owie, 
   {{0x4432006a,0x7c29027e,0x3f9e2835,0x69c4e1e1}},	//   ły_, ğeri, wutu_, nwie, 
   {{0xa3cf05fd,0x6722012d,0x3f9ee1e2,0x60ca0065}},	//   शिश_, lnoj, tutu_, _qafm, 
   {{0x69c401c4,0x2d8000e2,0x628200c2,0x251b0225}},	//   hwie, _awie_, _teoo, _קובא, 
   {{0x3f9ee1e3,0x6722323c,0x00000000,0x00000000}},	//   rutu_, nnoj, --, --, 
   {{0xf19415dd,0x3f9ee1e4,0x410600ff,0x6aa402c9}},	//   _силь, sutu_, _издв, dgif, 
   {{0x3f9ee1e5,0x2d800035,0xdb1e01be,0x67227023}},	//   putu_, _dwie_, _aspà, hnoj, 
   {{0x7b6450a5,0x7ceb01c4,0x7aef014b,0x8aa7e1e6}},	//   итте, _kürz, _poct, крад, 
   {{0x99800035,0x905700d1,0x2cad00bc,0x2487009e}},	//   dził_, _בסוף_, řed_, zanm_, 
   {{0xdb1e0183,0x3ea9e1e7,0x690b0083,0x00000000}},	// [f5d0] _arpó, _icat_, dżer, --, 
   {{0x3dc9011d,0xdb1e03dd,0x6aa402a5,0x67220450}},	//   _isaw_, _espà, agif, enoj, 
   {{0xccf20056,0x248706df,0xfd130019,0xc1af00bc}},	//   _הכי_, vanm_, _مجھ_, _जङ्ग, 
   {{0x07a41e99,0x16737fe9,0x7bd7008a,0x69c4e1e8}},	//   раїн, рқар, _irxu, bwie, 
   {{0xa6341afd,0xf7730019,0xa3c800a5,0x5a9a00d1}},	//   анці, _چار_, _लैब_, _אשרא, 
   {{0xa3cf09d8,0xf773031b,0x00000000,0x00000000}},	//   शिल_, _نار_, --, --, 
   {{0x22460019,0x3ea90308,0x28e00790,0x00000000}},	//   _azok_, _ocat_, नारि, --, 
   {{0x2487158b,0xf366009c,0x613d00b9,0xd1c92e2d}},	//   sanm_, دئوی, mèli, елие_, 
   {{0xdced0df4,0xe28ec9ce,0x788801dd,0x798d00f8}},	//   _atač, _қа_, būvē, nsaw, 
   {{0x0cce0086,0x00000000,0x00000000,0x00000000}},	//   _রক্ত, --, --, --, 
   {{0x3ce70081,0xb4cf00a2,0x69c40083,0x798d0096}},	//   ञाने_, षयी_, zwie, hsaw, 
   {{0x205400d3,0x24851475,0x6eff0034,0xddc40243}},	//   штыр, _helm_, _dëbo, _afiš, 
   {{0xe0ce0021,0x2903e1e9,0x6aa4c932,0x333f00c3}},	//   _лв_, _olja_, vgif, mlux_, 
   {{0x333f00a4,0x2af600b0,0x67222eb3,0x3ea90354}},	//   llux_, _एकहु_, znoj, _ecat_, 
   {{0x798d00f8,0x6aa4e1ea,0x3ea903a0,0x3a2b00ad}},	//   esaw, tgif, _fcat_, _axcp_, 
   {{0xdce40062,0x69c4458d,0x2365015e,0x2b4be1eb}},	//   _otić, twie, _mulj_, _chcc_, 
   {{0x09e31416,0x6aa41008,0x394a016a,0x6f04e1ec}},	// [f5e0] ботн, rgif, _phbs_, _ilic, 
   {{0x69c4e1ed,0xcc361b65,0x60c1e1ee,0xed620028}},	//   rwie, _مرجع, nelm, įžę_, 
   {{0x6f04e1ef,0x6aa4022b,0xb8cc3512,0xdb1e3ba5}},	//   _klic, pgif, _गा_, _espá, 
   {{0x2bd102f8,0xdb9b0309,0xbc1b00c7,0x798d006d}},	//   हिरा, _אסטר, _טויש, bsaw, 
   {{0x6d5ee1f0,0x63ba02a2,0x6f0417e5,0x6722011f}},	//   _kipa, _sptn, _mlic, rnoj, 
   {{0x60c1030f,0x6f0400d3,0xa7861b44,0xa4d401fc}},	//   jelm, _llic, _مشرو, рокі, 
   {{0x60c1e1f1,0x6d5e897c,0xe3af0038,0x291a0102}},	//   delm, _mipa, كري_, mipa_, 
   {{0x6d5ee1f2,0x291ae1f3,0xaa7b0187,0xa2f4481d}},	//   _lipa, lipa_, _inýc, рпич, 
   {{0xdced3077,0x8af00095,0x171b00c7,0x7b0300b0}},	//   _stač, mməd, _נומע, _jõua, 
   {{0x60c1e1f4,0x6d5ee1f5,0x8af00095,0x291ae1f6}},	//   gelm, _nipa, lməd, nipa_, 
   {{0x6f04e1f7,0x2b400352,0x7c3e5cc3,0xd36f007a}},	//   _blic, klic_, _nypr, _فهل_, 
   {{0x291a002e,0x6d5e02ba,0x9f352e02,0x2b400372}},	//   hipa_, _aipa, ремі, jlic_, 
   {{0x60c1e1f8,0x6d5ee1f9,0x7b03007e,0x291ae1fa}},	//   belm, _bipa, _nõua, kipa_, 
   {{0x6d5ee1fb,0x6f04e1fc,0x656f026a,0x273c0098}},	//   _cipa, _elic, _éche, mínu_, 
   {{0x6d5e281e,0x6f04e1fd,0x798d011d,0x5eba0033}},	//   _dipa, _flic, wsaw, ইয়ে, 
   {{0x7b643888,0x3a755f0e,0x443e768b,0x543b0070}},	//   стре, рлар, _myt_, געלא, 
   {{0xad270411,0x6d5e023a,0x6f1d0183,0x291a019b}},	// [f5f0] _مردو, _fipa, ércu, fipa_, 
   {{0x4a5450b0,0x0edd02f8,0x6fa8047c,0x6f04e1fe}},	//   скус, याकड, _कमां, _zlic, 
   {{0x443ee1ff,0xdce40112,0xf77000eb,0x7f4d011c}},	//   _nyt_, _stić, كان_, _khaq, 
   {{0x6d5e0727,0x1b7a00c7,0x28d5059e,0x60c1023d}},	//   _zipa, _שטרע, _डोरि, zelm, 
   {{0xa68402fb,0x60c176d5,0x7aed5cc9,0xb8db0033}},	//   слід, yelm, mjat, _অফ_, 
   {{0x7aede200,0x443ee201,0x290302f5,0x291ae202}},	//   ljat, _byt_, _ulja_, cipa_, 
   {{0x2bd8349a,0x60c102a0,0x26cd0415,0xddca0083}},	//   डिया, velm, _taeo_, _łoży, 
   {{0x41b52595,0x16160262,0x85751a84,0xe610015f}},	//   асот, _देवर_, _влах, _کشف_, 
   {{0x60c1e203,0x54a709ed,0x628902bf,0x753a0054}},	//   telm, _محاف, raeo, _fktz, 
   {{0xa2d53512,0x6f1611c0,0x2ee0e204,0xe7e70086}},	//   _मोर्, _smyc, _snif_, পনীয, 
   {{0x6d5ee205,0x60c1e206,0x6f04e207,0x4f2607d9}},	//   _ripa, relm, _plic, идоб, 
   {{0x6d5ee208,0x7f4de209,0x7aed00cf,0x63a3e20a}},	//   _sipa, _chaq, jjat, munn, 
   {{0x63a3e20b,0x7f5f0460,0x7aede20c,0x60c14b2b}},	//   lunn, _diqq, djat, pelm, 
   {{0xdca60aa3,0x4e9600d4,0xa066627d,0x645c0ada}},	//   јави, دشگر, _каша_, _úric, 
   {{0x6d5ee20d,0x63a319b6,0xa3d500e6,0x61fb0495}},	//   _vipa, nunn, िटि_, lyul, 
   {{0x2b40551f,0x7c3e026e,0x672900e5,0x7aede20e}},	//   ulic_, _vypr, _njej, gjat, 
   {{0x61e90496,0x61fbe20f,0x63a3e210,0x7c3e00ab}},	// [f600] nxel, nyul, hunn, _wypr, 
   {{0xa3d504d7,0xe9d74e4d,0x63a3265a,0xc8e0072f}},	//   िटा_, шку_, kunn, नाइट, 
   {{0x63a39cd8,0xcd290ce0,0x76490118,0xdc9b027a}},	//   junn, _حسين_, _azey, _בייל, 
   {{0x7d1c8ebf,0xe9a65a5b,0xa9a601bb,0x63a3e211}},	//   lirs, _камп, _кимд, dunn, 
   {{0x70c50262,0x6286008c,0xfb3700c7,0x8af000ad}},	//   _वसूल, ðkom, _כאטש_, rməd, 
   {{0x63a3741c,0x67290126,0x673b052b,0x443ee212}},	//   funn, _ejej, _ekuj, _pyt_, 
   {{0xb4e60262,0x63a3e213,0x291800b9,0x7649052b}},	//   _बची_, gunn, _imra_, _ezey, 
   {{0xb6a324e1,0x672900e5,0x7e64e214,0x64480228}},	//   _мисл, _gjej, _ngip, _vzdi, 
   {{0xdb07010e,0x443e00f8,0x7d1c399e,0x61fb039f}},	//   ntjá, _wyt_, kirs, gyul, 
   {{0x7f4d0a6c,0x63a3e215,0x443e0065,0x7aed003d}},	//   _shaq, bunn, _tyt_, zjat, 
   {{0x644800d2,0x7d1ce216,0x40343a64,0xd8d70070}},	//   _uzdi, dirs, сенс, בויט_, 
   {{0x273c29c2,0x7f4d0415,0xd04100ad,0xdb230585}},	//   míns_, _qhaq, ndlə, ürüc, 
   {{0x7d1ce217,0x7e475484,0x7e64107c,0x00000000}},	//   firs, рхне, _dgip, --, 
   {{0x7d1ce218,0x00000000,0x00000000,0x00000000}},	//   girs, --, --, --, 
   {{0x7aede219,0x9b6808bd,0x7f4de21a,0x7bc701d2}},	//   tjat, ишта_, _thaq, uwju, 
   {{0x2918d013,0x5f730491,0x2cba0118,0x6e2d01ca}},	//   _amra_, _باور, _ebpd_, _txab, 
   {{0x7aede21b,0xf8b600f6,0x7d1ce21c,0x6f1d0c37}},	// [f610] rjat, өөр_, birs, misc, 
   {{0x6f1de21d,0x7d1ce21e,0x0b8b0f5a,0x26110035}},	//   lisc, cirs, _исми_, _देगी_, 
   {{0x7aede21f,0x8e38009c,0x067511e6,0x3ebe010e}},	//   pjat, _مسیر_, буля, őtte_, 
   {{0xb8fe119f,0x6f1de220,0xec360056,0x63a3e221}},	//   _दो_, nisc, _לאתר_, vunn, 
   {{0x26110509,0x588700e4,0x764000f8,0x00000000}},	//   _देखी_, _выба, _cymy, --, 
   {{0x63a3b96f,0x6f1de220,0xd0060c72,0x27e702ae}},	//   tunn, hisc, _فل_, änns_, 
   {{0x6729022b,0x34950148,0xc7c8002e,0x6f1dbc42}},	//   _tjej, _ҳазр, _кыте_, kisc, 
   {{0x2bd804d7,0x63a3e222,0x61e9e223,0xa2e50176}},	//   डिता, runn, txel, соид, 
   {{0x34950e52,0x6f1de224,0x7d1c0095,0x764000f8}},	//   _газр, disc, yirs, _gymy, 
   {{0x63a3e225,0x25bf1b6b,0x7d1cd6b2,0xb40300f0}},	//   punn, _ipul_, xirs, _мүлд, 
   {{0x68f5090b,0x6f1de226,0x7e64012b,0x7d1ce227}},	//   _mozd, fisc, _pgip, virs, 
   {{0x81c600cc,0x6f1d0c37,0x7c3808bb,0x61fb0102}},	//   _উপর_, gisc, _øvri, pyul, 
   {{0x2d840518,0x2f5502fb,0x7d1ce228,0xa3cf0367}},	//   ème_, ютьс, tirs, शिक_, 
   {{0xd37e265d,0x6f1d0038,0xa3ab0fcf,0x656101f2}},	//   šćen_, aisc, कंप_, _jilh, 
   {{0x656103b7,0x7d1c2ada,0x3f9e034c,0xd0410248}},	//   _milh, rirs, crtu_, ydlə, 
   {{0x6441e229,0x387f0097,0x213c00ca,0x6e960038}},	//   _myli, _đura_, _zkvh_, _الظا, 
   {{0xe9da6b72,0x7d1c0218,0x6fd500b0,0x68f50241}},	// [f620] ыка_, pirs, धिवं, _bozd, 
   {{0xb4e6000f,0xdb07010e,0x644100a3,0x202800ca}},	//   _बचे_, rtjá, _oyli, štiš_, 
   {{0x64411d4b,0xdb07008c,0x656902be,0xdb1e0664}},	//   _nyli, stjá, _aueh, _aspå, 
   {{0x7b03007e,0xdd8f00d4,0x273c1e0d,0xa3ab017d}},	//   _jõul, _توی_, víns_, कंन_, 
   {{0x6561e22a,0xe5a3563c,0xd04100ad,0x64410213}},	//   _bilh, зичи, rdlə, _ayli, 
   {{0x64411377,0x68f5008b,0x7640014b,0x273c03da}},	//   _byli, _gozd, _vymy, tíns_, 
   {{0x6441e22b,0x07a30398,0x25bf0175,0x76400083}},	//   _cyli, _нарн, _epul_, _wymy, 
   {{0xf1a61ef0,0x6441045d,0x273c0068,0x628f0183}},	//   брон, _dyli, ríns_, ócop, 
   {{0x656103b7,0xe29f008c,0x3202253f,0x68f501ff}},	//   _filh, óða_, áky_, _yozd, 
   {{0x656f026d,0x6f1d42cb,0x00000000,0x00000000}},	//   _écha, wisc, --, --, 
   {{0x6f1db501,0x32020076,0x61e4012d,0x248e012b}},	//   tisc, šky_, _šild, mafm_, 
   {{0xb7db008d,0x26c6084c,0x71a6012d,0x656109c7}},	//   אקטי, neoo_, _гадз, _zilh, 
   {{0x64410380,0xa2b70299,0x00000000,0x00000000}},	//   _zyli, ्जर्, --, --, 
   {{0x6f1de220,0xd130007a,0x248e018e,0x00000000}},	//   sisc, _تمت_, nafm_, --, 
   {{0x68f52194,0x6f1de22c,0xb4fb035c,0x26c600ef}},	//   _rozd, pisc, נפלי, keoo_, 
   {{0x68f5009e,0xae9b0038,0xbebb039b,0x00000000}},	//   _sozd, _إضغط_, fiëe, --, 
   {{0xb4fa00bd,0x00000000,0x00000000,0x00000000}},	// [f630] ्साय_, --, --, --, 
   {{0x2907e22d,0xc867241b,0xb8820228,0x25a68902}},	//   óna_, стаи, _šírk, duol_, 
   {{0xf84b307f,0x68f54179,0x25bfe22e,0xdb1e02be}},	//   учай_, _vozd, _spul_, _arpõ, 
   {{0x17f80038,0x8c44020f,0x8aa7e22f,0x95d91279}},	//   حركة_, ăşti, _урод, идет_, 
   {{0xa3ab2f41,0x65610165,0x2bd10c14,0x65690369}},	//   कून_, _pilh, हिका, _queh, 
   {{0x73990165,0xdb1e040b,0x6eff021e,0xd7c9023e}},	//   атис_, _appè, _dëbi, _پوره_, 
   {{0x051600eb,0x65612245,0x6569011c,0x8cbb0083}},	//   تيوب_, _vilh, _wueh, श्यो, 
   {{0x8c1c00c7,0x6561e230,0x69dd0ab4,0x6441253f}},	//   טווי, _wilh, _krse, _vyli, 
   {{0x656164ed,0x6441056b,0x2d9e00ab,0xdb0702ae}},	//   _tilh, _wyli, ątek_, mtjä, 
   {{0x3494005e,0xc10500eb,0x161f0586,0xdb070219}},	//   _наур, زوجي, _मेयर_, ltjä, 
   {{0xceea0e4e,0xd8d80070,0x78ba039f,0x3eb90502}},	//   адне_, מוזט_, _ötve, ffst_, 
   {{0x69cf8a39,0x69dd9cda,0xc7d600d1,0x25a00e39}},	//   _osce, _orse, קורי_, šile_, 
   {{0xee370fb6,0x20030352,0x629903a0,0x8237029a}},	//   жня_, šji_, _idwo, _ارضا, 
   {{0xac0a2164,0x628b01f1,0x00000000,0x00000000}},	//   анга_, _hego, --, --, 
   {{0x628b23ae,0x69cf1c4d,0x00000000,0x00000000}},	//   _kego, _asce, --, --, 
   {{0x28ac2246,0x69dd00ca,0xb4e60035,0x1a2a1fc7}},	//   _चाहि, _brse, _बच्_, ажби_, 
   {{0x628b006b,0x3b070172,0x13a600c6,0x8d760e61}},	// [f640] _mego, цето_, _गम्भ, _بابا, 
   {{0x628b7a4e,0xa3e9000d,0x98a30a10,0x69dd0121}},	//   _lego, ममा_, дифе, _drse, 
   {{0x69cf3be8,0x69dde231,0x62990035,0xca660104}},	//   _esce, _erse, _odwo, _imkо, 
   {{0x628be232,0xb603014b,0xe73a00c8,0x09e600d9}},	//   _nego, _omáč, шее_, _домн, 
   {{0x7ae602b0,0x644500b0,0x186a4d71,0x00000000}},	//   _inkt, ühin, _ваги_, --, 
   {{0x628b4dc8,0xb6030032,0x3398007a,0x00000000}},	//   _aego, úšan, منتج_, --, 
   {{0x261a0ed3,0x628be233,0x0eaa07d5,0xdb1e0212}},	//   _मेरी_, _bego, _कांड, _appé, 
   {{0xe737e234,0x628b0587,0x69dd02ae,0xcfcf0033}},	//   _дес_, _cego, _yrse, িমান, 
   {{0x628ba57a,0x61e40082,0x80d30033,0xe5770165}},	//   _dego, _šilb, তান্, _мзт_, 
   {{0x301486ab,0xd46700d9,0xe4520296,0x00000000}},	//   здор, _дифе_, _قضا_, --, 
   {{0xa2d51f30,0x628b0118,0x436a1271,0x00000000}},	//   _मोक्, _fego, _таен_, --, 
   {{0x628be235,0x543b0147,0x00000000,0x00000000}},	//   _gego, _דעבא, --, --, 
   {{0xe0cf00d4,0x3eb92b0b,0xd4910108,0x00000000}},	//   رزی_, rfst_, _hòa_, --, 
   {{0x628b0a9f,0x224b01c4,0x387f00d0,0x7ae6024a}},	//   _zego, ücke_, _đuro_, _ankt, 
   {{0xcb1b03b7,0x7b2c00ad,0xb60300d8,0x00000000}},	//   аќа_, rğun, _zmáč, --, 
   {{0x290a004c,0x539b008d,0xb88223f2,0xdd910038}},	//   _alba_, יילו, _šípk, _كوب_, 
   {{0x5d840038,0x290a00de,0x00000000,0x00000000}},	// [f650] _قليل, _blba_, --, --, 
   {{0x2bcb00a2,0x69dd0ab4,0x60c80102,0xaa7b0032}},	//   ाबदा, _vrse, nedm, _iným, 
   {{0x6d4716ef,0xb8d35739,0xdb0702ae,0x7b0300c2}},	//   mlja, _टा_, ttjä, _jõuk, 
   {{0x69dd02cd,0x6d47008c,0x2be00262,0x2d890415}},	//   _trse, llja, _पछता, _kwae_, 
   {{0x628be236,0xdb070219,0x69cf01d8,0x257001f5}},	//   _rego, rtjä, _usce, _càl_, 
   {{0x628be237,0xdb07014e,0x929d0035,0x6aad2cbd}},	//   _sego, stjä, dkła, lgaf, 
   {{0xe299e238,0x490000a2,0x628ba639,0x7b03007e}},	//   бай_, _शकतो_, _pego, _nõuk, 
   {{0x6aade239,0x16160035,0x656f0107,0x6d470121}},	//   ngaf, _देकर_, _écho, hlja, 
   {{0x6d47203b,0x628b010c,0x672b00dd,0x257000b9}},	//   klja, _vego, mngj, _gàl_, 
   {{0xa3bb06ab,0xbef600c9,0xa3b8009c,0x61e60343}},	//   _ناصر_, ुघ्न_, _ژانر_, åkla, 
   {{0x69cd07d7,0x00000000,0x00000000,0x00000000}},	//   hwae, --, --, --, 
   {{0x672b6bdd,0x00000000,0x00000000,0x00000000}},	//   nngj, --, --, --, 
   {{0x6d470372,0x672b357d,0x00000000,0x00000000}},	//   flja, ingj, --, --, 
   {{0x2d9e026e,0x657b0010,0x91f600d1,0x6d470b21}},	//   čte_, _mtuh, _ממנו_, glja, 
   {{0xe8df001b,0x50420176,0xe9df0354,0x00000000}},	//   _ngực_, _пешб, _arú_, --, 
   {{0x63ae01cc,0xe9df5b68,0x511b00c2,0x1e863ae5}},	//   _åbne, _brú_, _फगुआ_, _элим, 
   {{0x6d4729b6,0x6ebc0e17,0x80ce0086,0x63a30098}},	// [f660] blja, ष्णु, ়ার্, hrnn, 
   {{0x7bde00ca,0xcdb700d1,0xe8f755bf,0x6eff021e}},	//   _trpu, _צפיה_, плу_, _dëbu, 
   {{0x78a3008c,0xbb466747,0x929d0035,0x657be23a}},	//   ónva, _неок, zkła, _atuh, 
   {{0x60c8006a,0x248c02d9,0x257000f6,0x3a2d1a44}},	//   zedm, _sedm_, _pàl_, _žepe_, 
   {{0xa4d4004f,0x00000000,0x00000000,0x00000000}},	//   долі, --, --, --, 
   {{0xb4d6695f,0x09890258,0x356900f0,0xdb1e0664}},	//   िये_, _фарқ_, ірін_, _aspø, 
   {{0x5334004e,0xf21400a5,0x279500c4,0x60c81341}},	//   мект, _तेज़_, _оштр, vedm, 
   {{0xf1a62dcf,0x00000000,0x00000000,0x00000000}},	//   прон, --, --, --, 
   {{0xd5c00077,0x79960035,0x67220b58,0xd5280108}},	//   _एहिज, nsyw, mioj, _cộn, 
   {{0x6722e23b,0xdce408e3,0x6aa802e6,0xd4910108}},	//   lioj, _otiđ, गलुर, _tòa_, 
   {{0x8f355d27,0x6602e23c,0xe1ef0274,0x7bdc02fe}},	//   денц, lyok, نسی_, jvru, 
   {{0x60c827f0,0x67220009,0x7d1e26d8,0x7bdc1a77}},	//   sedm, nioj, _amps, dvru, 
   {{0xa2d50081,0x6602e23d,0x7b2c0095,0x3cfa01cf}},	//   _मोट्, nyok, rğul, _bopv_, 
   {{0xeb051ad9,0xd3780242,0xed590009,0x7b0300c2}},	//   रस्त_, _zrća_, įžo_, _tõuk, 
   {{0x6d470588,0x00bb00a7,0xcc540093,0x67220009}},	//   rlja, _המומ, евръ, kioj, 
   {{0x6d4703ef,0x5bb80080,0x00000000,0x00000000}},	//   slja, ялся_, --, --, 
   {{0x5a341472,0x58d50cdf,0x2bcb0035,0x6f0de23e}},	// [f670] ентт, моат, ाबहा, _ilac, 
   {{0xb4d60a68,0x2bce0262,0x8af00095,0x63aa02fe}},	//   ियो_, _हैवा, lməl, kufn, 
   {{0x6f0de23f,0xf6d5004f,0x69cde240,0x0699007a}},	//   _klac, діля, swae, قناة_, 
   {{0x7bc507d7,0xe9dfe241,0x95b300f0,0xd4910023}},	//   _iphu, _trú_, еркә, _còn_, 
   {{0xd5bb1fd5,0x49740845,0x29cd0613,0x224614e2}},	//   ссе_, _пляс, _uža_, _nyok_, 
   {{0xc98702b9,0x6f0de242,0x1dde072e,0x64a508ba}},	//   _муҳи, _llac, मितत, фака, 
   {{0x6f0d0718,0x22461b6b,0xb0a60110,0x660201b8}},	//   _olac, _ayok_, _खाजग, ayok, 
   {{0x07090084,0x36d40d8f,0x7bc50204,0x61e40028}},	//   _بيري_, _поср, _mphu, _šila, 
   {{0x59e008d2,0x657b018e,0x41b400d9,0xdcf600de}},	//   नियर, _utuh, нсэт, _styč, 
   {{0xf1d2006a,0x6f0de243,0xa2bd047c,0x7bc50204}},	//   तिजन, _alac, _वॉर्, _ophu, 
   {{0x6f0d69c8,0x1ecae244,0x3ea66745,0xbea64251}},	//   _blac, олни_, минг, манк, 
   {{0x6f0d01c5,0x7523e245,0x2b4902fe,0x212c00a1}},	//   _clac, linz, jlac_, andh_, 
   {{0x6f0d00ab,0x2b49e246,0x7bc50727,0x0fc400f0}},	//   _dlac, dlac_, _aphu, _үйін, 
   {{0x332d016a,0xd009002e,0xcb6a9670,0x333fe247}},	//   lnex_, _меле_, жаве_, loux_, 
   {{0x8c431ede,0x6f0de248,0xdc670477,0x7fd5017b}},	//   вере, _flac, дард_, _цілі, 
   {{0x6f0de249,0x25ee00a2,0x7523024d,0x333f0212}},	//   _glac, _आपली_, hinz, noux_, 
   {{0x776e03da,0x3167e24a,0x14ae009a,0x7523e24b}},	// [f680] _subx, _kinz_, _घालण, kinz, 
   {{0x66020010,0xebe60161,0x6cc602f1,0x7c390371}},	//   vyok, _жооп, _ўйна, ébré, 
   {{0x7a6a00cf,0x8af000ad,0xd25901dd,0x6d5c0844}},	//   _минг_, lməm, meņu_, mmra, 
   {{0xe5c63730,0xa3e10497,0x333fe24c,0xa2bd07d5}},	//   дско, दिन_, joux_, _वॉल्, 
   {{0x6722012d,0x333f1935,0x8af00248,0x00000000}},	//   rioj, doux_, nməm, --, 
   {{0xd37a04f5,0x67221149,0x9f5f0098,0x75230027}},	//   очи_, sioj, ryté_, ginz, 
   {{0x224604bb,0x68fce24d,0xbebb01c8,0xf8631a31}},	//   _syok_, _iord, diën, _авро, 
   {{0x68fce24e,0x2b40199b,0xc29802a6,0x66020cc6}},	//   _hord, noic_, чких_, pyok, 
   {{0x68fc0077,0x752310d4,0x6f0d00a1,0x00000000}},	//   _kord, binz, _rlac, --, 
   {{0x68fce24f,0x6f0de250,0x6d5c015e,0x752301d8}},	//   _jord, _slac, jmra, cinz, 
   {{0x68fce251,0x6f0de252,0x3f98026e,0x25a6e253}},	//   _mord, _plac, éru_, lrol_, 
   {{0x656800e5,0x522600ce,0xe2830a10,0x216add79}},	//   _hidh, _офла, _алци, _диди_, 
   {{0x68fc1698,0x2246012b,0x8af00095,0x2f02003e}},	//   _oord, _uyok_, rməl, _nógu_, 
   {{0x68fc0075,0x6568003d,0xbebb01c8,0x23c20035}},	//   _nord, _jidh, ciën, _शहाद, 
   {{0x6f0de254,0xb06506a6,0x25a6abfe,0x251b008d}},	//   _tlac, rjää, hrol_, קולא, 
   {{0x656801ee,0x644810c9,0x75236a72,0xdb1e0151}},	//   _lidh, _mydi, zinz, _appâ, 
   {{0x68fce255,0x65681232,0x64489556,0x2dd4021f}},	// [f690] _bord, _oidh, _lydi, _ажыр, 
   {{0x2b490588,0x65680053,0x25a6017c,0xba540267}},	//   slac_, _nidh, drol_, твуј, 
   {{0xf7703d0b,0x68fc60d0,0x6d45e256,0x7bc5044d}},	//   لان_, _dord, _ikha, _uphu, 
   {{0x61e2e257,0x6568e258,0x25a653e6,0x00000000}},	//   _orol, _aidh, frol_, --, 
   {{0x68fcb312,0x6568e259,0xe4c5e25a,0x7523e25b}},	//   _ford, _bidh, ейли, tinz, 
   {{0x7afd070e,0x656801fd,0x2d99e25c,0x23d500b3}},	//   _host, _cidh, isse_, ецир, 
   {{0x7523e25d,0xc61f00ab,0xe2994a90,0x61e23cd4}},	//   rinz, _मेरठ_, пай_, _arol, 
   {{0x7e6d6de0,0x25a6ae3d,0x7afde25e,0xe1f900d3}},	//   _ngap, brol_, _jost, зги_, 
   {{0x68fc00cf,0xbebb012e,0x61e2e25f,0x75230053}},	//   _yord, tiën, _crol, pinz, 
   {{0x7afde260,0x68fc0496,0x6d45030b,0x7649044d}},	//   _lost, _xord, _nkha, _iyey, 
   {{0xff266848,0x7afde261,0xbebb10de,0x2d99e262}},	//   емно, _oost, riën, esse_, 
   {{0x7afde263,0x6da61c8e,0x6d457415,0x7769016a}},	//   _nost, нима, _akha, _jiex, 
   {{0xa3ab009a,0x61e2039b,0x52ab0035,0xbd360093}},	//   कूर_, _grol, छलीस, ехвъ, 
   {{0x7afde264,0xd19600a7,0x764917e5,0x23d303ce}},	//   _aost, _טכני_, _myey, _दनाद, 
   {{0x1be72ab7,0x7afde265,0x2d99e266,0x7649052b}},	//   ндри_, _bost, asse_, _lyey, 
   {{0x7afde267,0x6d459884,0x68fce268,0x776900a4}},	//   _cost, _ekha, _sord, _niex, 
   {{0x4a75005e,0x68fce269,0xdc3c032f,0x3ea00175}},	// [f6a0] тыст, _pord, _išča, _idit_, 
   {{0x8d29032e,0x38c80274,0x290e418f,0x7afd0106}},	//   _оның_, باری_, ófa_, _eost, 
   {{0x8cd905d0,0x7afde26a,0x68fc8693,0xcd0200ab}},	//   _फोटो, _fost, _vord, ęść_, 
   {{0x7afde26b,0x68fc0c4b,0xb90704b7,0xa96a00cf}},	//   _gost, _word, _मो_, _нима_, 
   {{0x6f1d03a1,0x45d4126b,0x2bd800bc,0x6568e26c}},	//   èrci, толс, डिका, _pidh, 
   {{0x7afd3508,0x25a60496,0x9f590084,0xb4bc00b0}},	//   _zost, rrol_, árú_, ेजे_, 
   {{0xa3ab103d,0x25a6e26d,0x3ea00237,0x6568e26e}},	//   कूल_, srol_, _odit_, _vidh, 
   {{0x65685934,0x61e2c48c,0x2d99e26f,0x64480032}},	//   _widh, _prol, ysse_, _vydi, 
   {{0xe737e270,0x6568e271,0x2d800175,0x76490539}},	//   _чет_, _tidh, _ntie_, _gyey, 
   {{0x3ea02c7a,0x61e20a58,0x61fd0747,0x60f8017b}},	//   _adit_, _vrol, äsla, єння_, 
   {{0x403448f2,0xb3e90038,0x00000000,0x00000000}},	//   тенс, _يعمل_, --, --, 
   {{0x61e236d4,0xbebb012e,0x6fb10b20,0x7b0300c2}},	//   _trol, ciël, _अमरू, _jõut, 
   {{0x7afde272,0xc33302a1,0x2d99e273,0x61e24c72}},	//   _rost, _גוף_, usse_, _urol, 
   {{0x7afde274,0xd24f00eb,0x3ea000a7,0xbd68400b}},	//   _sost, _انه_, _edit_, ерсе_, 
   {{0xd00f0ba6,0xf09307e4,0x2bc82b5e,0x64560248}},	//   _сф_, _ענק_, нуто_, əyic, 
   {{0xa3e10eda,0x3958016a,0x7b0300b0,0x7e6d016c}},	//   दित_, _ahrs_, _nõut, _ugap, 
   {{0x7afde275,0x9f5f010e,0xa8a7e276,0xe29f003e}},	// [f6b0] _vost, sztó_, ерек, óði_, 
   {{0xaa642cd5,0x273c014b,0x6d45044d,0x7afd0065}},	//   утск, míny_, _ukha, _wost, 
   {{0x28150399,0x7afde277,0x56950088,0x273c0098}},	//   خواس, _tost, вает, líny_, 
   {{0x7afd7549,0x5d8437e5,0x00000000,0x00000000}},	//   _uost, _جلیل, --, --, 
   {{0x02bc00b0,0xdb1e09c6,0x273ce278,0xdb0702d9}},	//   ्जैन, _espó, níny_, nují, 
   {{0xf9920a33,0xfaff018c,0x7c34027e,0x03a5e279}},	//   _דרך_, _hoë_, _çerç, вико, 
   {{0xdce5008b,0x77690065,0xdb0702d9,0x1958021d}},	//   _nihč, _tiex, hují, _чары_, 
   {{0xdb0702d9,0x324526ef,0x00000000,0x00000000}},	//   kují, кейг, --, --, 
   {{0x3dc9006d,0xbebb0a58,0x61e40038,0x26cf44e6}},	//   _npaw_, riël, _áill, mego_, 
   {{0x26cf4faf,0x60093232,0xdb07031e,0x3ea0016a}},	//   lego_, дном_, dují, _sdit_, 
   {{0x2d8000d9,0x7b03007e,0x3dc9011d,0x61ed0009}},	//   _stie_, _jõus, _apaw_, _šald, 
   {{0x26cf006a,0xe2900084,0x26dd01c4,0x8af000ad}},	//   nego_, _هذه_, ndwo_, rmək, 
   {{0xe0ce2566,0xc33200a7,0x273c014b,0x00e30116}},	//   _кв_, _דוא_, gíny_, _متغی, 
   {{0xa3b50f01,0xa5a900a5,0x6ef80216,0x26cf0ada}},	//   _जमा_, _घिनौ, _bûbû, hego_, 
   {{0x7b03007e,0xfaff08b0,0xad9b010e,0x00000000}},	//   _nõus, _boë_, nyúj, --, 
   {{0x3f85e27a,0x29116d3c,0x26cf00ab,0x6289039b}},	//   mplu_, _alza_, jego_, nbeo, 
   {{0x26cfe27b,0x79890216,0x273c0098,0x291102be}},	// [f6c0] dego_, _çewl, cíny_, _blza_, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x0d2303a1,0xd945007a,0x26cf02be,0x3f8501cf}},	//   _түрү, ائقي, fego_, nplu_, 
   {{0x6d4ed2c8,0xd7ef00eb,0xc6a3424b,0xdb1eb9cc}},	//   llba, تكم_, арши, _espò, 
   {{0xdb1e006a,0xe76917ba,0x31bd088c,0x6d4e486e}},	//   _wspó, رحمن_, ्बोध, olba, 
   {{0x260e00b0,0xfaff0c0c,0x6289039b,0x00000000}},	//   तैषी_, _zoë_, ebeo, --, 
   {{0x25ee00ab,0x59e00035,0xdb0702d9,0x68ee01f2}},	//   _आपकी_, निवर, zují, _inbd, 
   {{0x26cf00ab,0x61d80bdd,0x6d4e0380,0x8ca20299}},	//   cego_, емия_, hlba, कृतो, 
   {{0x261a00bc,0x00000000,0x00000000,0x00000000}},	//   _मेची_, --, --, --, 
   {{0x70ac009a,0xdb0702d9,0xddcb0028,0x00000000}},	//   चलेल, vují, šiūn, --, 
   {{0xd0070316,0xf651006b,0xb4ae03c1,0x6e95e27c}},	//   веќе_, _نئے_, कली_, лину, 
   {{0x6d4e7de2,0xb2260080,0xdb0700d8,0x00000000}},	//   elba, _имел, tují, --, 
   {{0xff5f0218,0x51f60535,0x00000000,0x00000000}},	//   rmî_, _جسار, --, --, 
   {{0x26cfe27d,0x25f500a2,0xed58012d,0x273c0098}},	//   zego_, ्हती_, коў_, ríny_, 
   {{0x212be27e,0x57d100c2,0x26cfe27f,0xac19e280}},	//   èche_, _सनेह, yego_, хову_, 
   {{0x6d4ee281,0xdb0700bc,0x26cf0183,0x940700ad}},	//   alba, pují, xego_, ganə_, 
   {{0x61e4090e,0xba5503b7,0xaa5502a0,0x3df40080}},	// [f6d0] _šilj, увај, уваш, _взыс, 
   {{0x26cfe282,0x2bab0262,0x68ee00a1,0x00000000}},	//   wego_, _छिपा, _cnbd, --, 
   {{0x3d08006a,0x26cfe283,0x64a502f1,0xba3b03c6}},	//   _सकते_, tego_, ҳала, _ddïa, 
   {{0x2bf2031e,0x98ba01dd,0x2c00031e,0x59f90093}},	//   ीहरू_, ropā_, रहरू_, _земя_, 
   {{0x26cfe284,0xc98712e1,0xe947e285,0xdb1e003e}},	//   rego_, _шуни, _ахво, _uppá, 
   {{0xe79500d6,0x7b03007e,0x26cfe286,0x68ee0118}},	//   _مارک, _tõus, sego_, _gnbd, 
   {{0xb7670161,0xe7871b11,0xf8b207e4,0x27f70019}},	//   _атай, _југо, _לשם_, _جہاد_, 
   {{0xf1b70262,0x00000000,0x00000000,0x00000000}},	//   _आमदन, --, --, --, 
   {{0x7aef08a1,0x6289459b,0xb145a35c,0xc69200d1}},	//   _mnct, rbeo, лнил, _לאן_, 
   {{0x28c62227,0xe00e1446,0xf8c65719,0x00000000}},	//   र्पि, ानंद_, र्पय, --, 
   {{0x6025177d,0x26d90042,0xe4f00790,0x28ab0083}},	//   удна, _ósos_, चारि_, _चयनि, 
   {{0x7b0a0356,0x25790237,0xe37a0070,0x3ce604a8}},	//   _výuk, _kèl_, _טרער, _şov_, 
   {{0xe1eee287,0xdb1c0034,0x25790118,0xe29f01d5}},	//   _уг_, strë, _jèl_, óðu_, 
   {{0x4026004e,0x9d560491,0x25790237,0x00000000}},	//   _өзің, انست, _mèl_, --, 
   {{0xf99f158b,0x6d4e00f4,0x25da1202,0xc0c80267}},	//   _avè_, rlba, _खैनी_, _јуче_, 
   {{0x28c60fc0,0x00000000,0x00000000,0x00000000}},	//   र्नि, --, --, --, 
   {{0xdb1ce288,0x28ea021f,0x08c65af4,0x7f3b0070}},	// [f6e0] ntré, ндап_, лбан, _רעפו, 
   {{0xe9d7058b,0x940700ad,0x61e6017b,0x61e40028}},	//   ыку_, sanə_, åkli, _šilk, 
   {{0xa686d0a6,0x3877010c,0x66e65131,0x80b80033}},	//   глед, _şerê_, ложа, _অসম্, 
   {{0xd6d9019e,0xd5ba373a,0x25790cd7,0x068401a2}},	//   кті_, еск_, _bèl_, рҳан, 
   {{0x07a302f1,0x2579022c,0xb4f05582,0x00000000}},	//   _қатн, _cèl_, चालय_, --, 
   {{0x25790cc6,0x6ab61460,0xbf10009a,0x00000000}},	//   _dèl_, lgyf, ासुन_, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0xdced00ad,0x6ab600f8,0x257903a0,0x00000000}},	//   _otağ, ngyf, _fèl_, --, 
   {{0x62340b0d,0xb114ca01,0xc4ca00fd,0x2579e289}},	//   репу, имиш, _плаж_, _gèl_, 
   {{0x64560095,0x7ddb02ae,0x7c3b0474,0x61ed0604}},	//   əyin, _läså, şuri, _šalc, 
   {{0xbf1002f8,0x5ede0086,0x58f700c7,0xdef50235}},	//   ासून_, যানে, אמיע_, апны, 
   {{0xa3e1143e,0x41e638bd,0xe29a019c,0xf8d100bc}},	//   दिर_, _مستف, _чад_, _हस्प, 
   {{0x3fc80274,0xdb0e010c,0x656f2f5a,0xe29b0070}},	//   ردگی_, stbû, _écht, _טשאר, 
   {{0x61db042c,0x307608bd,0x00000000,0x00000000}},	//   _נקוד, _судс, --, --, 
   {{0x940506d0,0x00000000,0x00000000,0x00000000}},	//   _belə_, --, --, --, 
   {{0xd5d4009a,0x3f9e0a6d,0x00000000,0x00000000}},	//   _धनंज, mstu_, --, --, 
   {{0x3f9ee28a,0xbd6b00d9,0x9a8401ff,0xaa7b01d5}},	// [f6f0] lstu_, _прое_, сусл, _snýs, 
   {{0xa3b50ead,0xd25700d1,0x0a68e28b,0x2579e28c}},	//   _जमल_, רשמה_, урси_, _rèl_, 
   {{0x2579e28d,0x6d47e28e,0x00000000,0x00000000}},	//   _sèl_, moja, --, --, 
   {{0x1673005e,0x7aefc5b3,0x3f9ee28f,0x58d400f0}},	//   сқар, _unct, istu_, _қост, 
   {{0xdb07010d,0x4a9a0070,0xaa9a00d1,0x33e30248}},	//   stjó, _בירג, _בברכ, _sıx_, 
   {{0x3f9ee290,0x6d47e291,0x290f00e0,0x63a5031e}},	//   kstu_, noja, īgas_, áhno, 
   {{0x999200ab,0xd7e42072,0x36d5e292,0x87e46ec3}},	//   czył_, _літо, _ковр, _люте, 
   {{0x2903e293,0xdc0f02d9,0x257903a0,0x00000000}},	//   _hoja_, _něče, _tèl_, --, 
   {{0x290303ef,0xf4d93381,0x3f9ee294,0x5ede0033}},	//   _koja_, _имаш_, estu_, যামে, 
   {{0x672bb8bb,0xdb1c0483,0x644500b0,0xe1254eff}},	//   ligj, rtré, ühis, рмои, 
   {{0x2903c7a4,0x6d4724a5,0xdb1ce295,0x3f9ee296}},	//   _moja_, doja, stré, gstu_, 
   {{0x290300ce,0xf3b60070,0x74c70033,0x3f830243}},	//   _loja_, _כּדי_, _শফিউ, īju_, 
   {{0x6d474069,0xf1d9031e,0x4cdf0033,0x28c60fc0}},	//   foja, _भनिन, মানু, र्डि, 
   {{0x9fc900b3,0xed5a0267,0x228400f0,0xfce603a1}},	//   _агка_, тог_, _куәг, шого, 
   {{0xfc0343a1,0xab2a004f,0x5ecb0033,0x6a96004f}},	//   опро, вова_, িয়ে, ирає, 
   {{0x672b01ee,0x6a864e7d,0x2d961e70,0xca860b5d}},	//   jigj, рлаа, _крос, ргай, 
   {{0xcb6736b3,0xa926adc3,0x8af006d0,0x290349f8}},	// [f700] рате_, адал, dmət, _boja_, 
   {{0x98a61bad,0x2903764b,0x236f024a,0x6d47001d}},	//   риже, _coja_, _ligj_, coja, 
   {{0x2ee0011c,0x2903024a,0x629b018e,0xcd3600d7}},	//   _kaif_, _doja_, kauo, _مرگب, 
   {{0xeab20040,0x99920035,0x7c3e008a,0xfc5700d1}},	//   _بعد_, rzył_, _ixpr, _כביש_, 
   {{0x25a000eb,0x45d60093,0x6f040035,0x99920083}},	//   éil_, рцет, _moic, szył_, 
   {{0xdc1900ab,0xa4d402c8,0x29030034,0x6f040534}},	//   _włąc, сокі, _goja_, _loic, 
   {{0x6f16014e,0xf8c61971,0x28c605f6,0x07a30451}},	//   _olyc, र्णय, र्णि, _марн, 
   {{0x31c65dcc,0x25a906e0,0x2ee004c6,0x61ede297}},	//   асов, šala_, _naif_, _šala, 
   {{0x8af006d0,0xd25798aa,0x7d01008c,0x28c634d8}},	//   lməs, иць_, ölsk, र्थि, 
   {{0x30a300dd,0x6b83061b,0x6f040534,0xdce50474}},	//   орюв, _éngg, _aoic, _mihă, 
   {{0x6d47a0d0,0x6f04e298,0x3f9ee299,0x8af000ad}},	//   voja, _boic, ustu_, nməs, 
   {{0x28c6000c,0x3f9ee29a,0x6d478501,0x6f04e29b}},	//   र्ति, rstu_, woja, _coic, 
   {{0x6d4705fe,0x2ee09f2b,0x6f0400eb,0x63a100da}},	//   toja, _daif_, _doic, _zvln, 
   {{0x6d470009,0x4c94017b,0x00000000,0x00000000}},	//   uoja, жирс, --, --, 
   {{0x6d47e29c,0x2903e29d,0x8af006d0,0xac95004e}},	//   roja, _roja_, ymət, _қанш, 
   {{0x200f026e,0x212c0465,0x5b1406ba,0x3a75e29e}},	//   íliš_, lidh_, омст, слар, 
   {{0x6d47e29f,0x212c00a0,0x290300c2,0x00000000}},	// [f710] poja, oidh_, _poja_, --, 
   {{0x6cd51fdb,0x7c3e0065,0x27ea01be,0x645a01d6}},	//   _اقدا, _fxpr, _brbn_, _ozti, 
   {{0x29030097,0x6282045a,0x26df0027,0x672be2a0}},	//   _voja_, _ofoo, _pauo_, tigj, 
   {{0x63670019,0x7d0500ef,0x35f502c8,0x7528045a}},	//   _tűni, _hohs, йпер, _amdz, 
   {{0xd5bb08a5,0x8af000ad,0x645a01cf,0x7c3b0585}},	//   тсе_, rmət, _azti, ğuru, 
   {{0x28c605d0,0x69dde2a1,0x15a80093,0x6282052b}},	//   र्दि, _isse, ръци_, _afoo, 
   {{0x82a513ad,0x443e0183,0xe7840258,0x3ce10104}},	//   байж, _cxt_, _муто, _mahv_, 
   {{0x5c3800a7,0x443e0183,0x8af000ad,0x98ba0028}},	//   ירון_, _dxt_, lmər, ropą_, 
   {{0xa075032e,0x212c00eb,0x752800ef,0xdb1e0219}},	//   йынш, fidh_, _fmdz, _uppå, 
   {{0x6f040038,0x2ee000f3,0xddcd02a5,0x69dd0574}},	//   _soic, _saif_, _eyaŋ, _msse, 
   {{0x6f040093,0x311d0249,0x2011bae2,0xf7700019}},	//   _poic, योगः_, ázi_, _راہ_, 
   {{0x6d5e00e5,0x212c006e,0x69dde2a2,0x69cf0e67}},	//   _shpa, aidh_, _osse, _opce, 
   {{0x7d0500e2,0x6f049a5c,0xd0e2009a,0x6729a724}},	//   _bohs, _voic, _कोकण_, _mmej, 
   {{0x30790137,0x332d003d,0xd5fa0486,0x8af00248}},	//   _גאַנ, liex_, אפשר, zləd, 
   {{0x69dd2c86,0x672902ee,0x6299e2a3,0x8af000ad}},	//   _asse, _omej, _kewo, yləd, 
   {{0x673b1b90,0x62990cd7,0xed5a0176,0x9f4840db}},	//   _njuj, _jewo, тоҳ_, _orné_, 
   {{0x62990118,0xa9a6e2a4,0xdb0700c2,0x00000000}},	// [f720] _mewo, сизд, dujä, --, 
   {{0x67290053,0xd3780242,0x27ea0175,0x8af000ad}},	//   _amej, _zrću_, _prbn_, tməs, 
   {{0x69dde2a5,0xa15600a7,0xa2d80466,0x18a60258}},	//   _esse, צבעה_, _मसल्, _қавм, 
   {{0xe61a1472,0x7bde02f5,0x63ae0f95,0x8af00095}},	//   лде_, _ispu, _åbni, rməs, 
   {{0xa50a7f7f,0xdb1c2123,0x6729008a,0x44981d02}},	//   леда_, ntrí, _dmej, авлю_, 
   {{0x7ae4e2a6,0x69c426eb,0x629903a0,0x672951cc}},	//   ldit, mtie, _aewo, _emej, 
   {{0x629964bb,0x61eb00f8,0xe73a02a0,0xd90d0019}},	//   _bewo, _argl, _бев_, _جیل_, 
   {{0x52140386,0x69c4e2a7,0x61eb0604,0x11d8007a}},	//   ждит, otie, _brgl, لوبة_, 
   {{0x64a643eb,0x80dc00cc,0x62990300,0x3a20e2a8}},	//   _газа, বাস্, _dewo, nzip_, 
   {{0xf8d802c3,0x69c4e2a9,0x7ae4e2aa,0xd37800ca}},	//   ड़िय, itie, hdit, _tuć_, 
   {{0x32ca5aca,0x212c11a1,0x332d0405,0x69c4e2ab}},	//   _было_, ridh_, biex_, htie, 
   {{0x629964bb,0x69c4e2ac,0x61e4012d,0x7ae43053}},	//   _gewo, ktie, _šilu, jdit, 
   {{0x5fda2417,0x7ae43c88,0x7bde78dc,0x61464427}},	//   _बनवल, ddit, _aspu, _леда, 
   {{0x80dc0086,0x7ae41cdb,0xa3ac00a5,0x7e76e2ad}},	//   বাহ্, edit, _कटा_, _egyp, 
   {{0xdb1c033c,0xac1879cc,0xb7b30086,0x69c40243}},	//   atrí, бору_, _ঘন্ট, etie, 
   {{0x69c4e2ae,0x15fa271a,0xd13857da,0x28c60667}},	//   ftie, ्हार_, lną_, र्सि, 
   {{0x7bdee2af,0x6f1d007a,0x69c44481,0xa89900d9}},	// [f730] _espu, mhsc, gtie, икау_, 
   {{0x672941b3,0x291800a1,0x7ae4e2b0,0xd1380083}},	//   _smej, _clra_, adit, nną_, 
   {{0x69c43cc2,0x7ae4008a,0xb9010b3e,0x80ca009a}},	//   atie, bdit, _दस_, त्ये, 
   {{0x69c4e2b1,0xd3663aa9,0xbebb039b,0x7b2c0248}},	//   btie, _زه_, ciët, nşul, 
   {{0xd2460f1c,0x69c4e2b2,0xf7700fdc,0xf8a900d4}},	//   _آن_, ctie, رام_, _نگاه_, 
   {{0x25a9e2b3,0xd1380035,0x798de2b4,0x2d89018e}},	//   šalo_, jną_, mpaw, _mtae_, 
   {{0xd13800ab,0x3ea9483a,0x629905d5,0x672901f2}},	//   dną_, _odat_, _pewo, _tmej, 
   {{0x17687f9b,0x130900dd,0xd138012d,0x6729e2b5}},	//   _груп_, рний_, eną_, _umej, 
   {{0x659459c1,0x28c6122e,0xdc05017d,0xdb1c02be}},	//   _нату, र्वि, रहुड_, ltrã, 
   {{0x61eb0121,0x629902a5,0xefc901ff,0x61fb0248}},	//   _vrgl, _wewo, алол_, rxul, 
   {{0x69c402ba,0x61e49cc8,0xf8b20486,0x657b0080}},	//   ztie, _šilt, ושי_, _huuh, 
   {{0x798d07fc,0x657b584c,0x69c4e2b6,0xd1380083}},	//   kpaw, _kuuh, ytie, aną_, 
   {{0xa3e13512,0x69c40405,0x7ae400c3,0xa0a55b07}},	//   दिक_, xtie, vdit, _далд, 
   {{0x3ea903a1,0x3f66026a,0x61e9e2b7,0xa06903a1}},	//   _edat_, _cœur_, mvel, _кала_, 
   {{0x61e9030f,0xeb9a9212,0x3ea901f2,0x7e7b0242}},	//   lvel, риб_, _fdat_, župa, 
   {{0x6f1d01c4,0xa3ea0497,0x1609109f,0x6ec10fc0}},	//   chsc, मित_, वहार_, _वायु, 
   {{0xfce6e2b8,0xf2d21490,0x090602c4,0x61e9e2b9}},	// [f740] _допо, וען_, опан, nvel, 
   {{0xe8f757a3,0x7ae4024a,0x61e9486a,0xb8560267}},	//   олу_, sdit, ivel, ођењ, 
   {{0x28c605d0,0x7bde0062,0x61e9d4c0,0x18a30176}},	//   र्षि, _uspu, hvel, фахм, 
   {{0x69c4e2ba,0x61e9e2bb,0xd1380035,0xdb1c020f}},	//   ptie, kvel, zną_, strâ, 
   {{0xbebb024a,0xe5a3002e,0xd1382c02,0x6441040c}},	//   shëg, дичи, yną_, _axli, 
   {{0x28c629f5,0x83aa02f1,0x61e9010e,0xb7da0019}},	//   र्शि, атиб_, dvel, _پورا_, 
   {{0x61e901da,0x00000000,0x00000000,0x00000000}},	//   evel, --, --, --, 
   {{0xf1a6e2bc,0xe73a0141,0xd1380035,0x1783128b}},	//   орон, _теб_, wną_, _ігум, 
   {{0xd1380035,0xd13a0176,0x7989009e,0x61e9e2bd}},	//   tną_, ихо_, _çewt, gvel, 
   {{0x4fc600c8,0x00000000,0x00000000,0x00000000}},	//   осма, --, --, --, 
   {{0x6f1d607a,0xbebb0b22,0xd1382c02,0xf2ac0033}},	//   thsc, diër, rną_, ক্ষণ, 
   {{0xd1380035,0x3f660212,0xd12f0296,0x9c8700da}},	//   sną_, _sœur_, _یمن_, _ovčí, 
   {{0x63b8026e,0x224b01c4,0x63750009,0xbebb01d2}},	//   luvn, ückt_, _išna, fiër, 
   {{0x9df901a2,0x00000000,0x00000000,0x00000000}},	//   _ҳнит_, --, --, --, 
   {{0xc04fd33c,0x2a7000ad,0x777c040c,0x00000000}},	//   _ці_, ənbə_, _nurx, --, 
   {{0x3ea9e2be,0xdb07020b,0x00000000,0x00000000}},	//   _udat_, lujú, --, --, 
   {{0x29010364,0xbebb0326,0xdce70ad9,0x00000000}},	// [f750] tjha_, biër, şlıg, --, 
   {{0x2907003e,0x28c64f69,0x657b0080,0x777ce2bf}},	//   ðna_, र्लि, _ruuh, _burx, 
   {{0x61e9e2c0,0x657b14c0,0xbf780108,0x5ede0033}},	//   zvel, _suuh, _đuợc_, যারে, 
   {{0x63b86311,0x64410065,0x5ead0086,0xdb070228}},	//   duvn, _rxli, ট্রে, hujú, 
   {{0xdb070032,0xd6180195,0x7bc75007,0xbafa00d1}},	//   kujú, يتها_, ltju, _ההרש, 
   {{0x03953fec,0xb4d500b0,0x2db800a7,0xb97a00d1}},	//   прия, िजे_, קלון_, _לנשי, 
   {{0x8ccd000f,0xdb070187,0x7bc7e2c1,0xdb1c78a2}},	//   द्यो, dujú, ntju, ltrá, 
   {{0x11d900eb,0xd3d80038,0x61e9e2c2,0xc7b2027a}},	//   موعة_, تبها_, tvel, _רבן_, 
   {{0xdb1c497e,0x61e9039b,0x00000000,0x00000000}},	//   ntrá, uvel, --, --, 
   {{0x44b48e80,0x00000000,0x00000000,0x00000000}},	//   _обус, --, --, --, 
   {{0x777c03da,0xdee6e2c3,0x61e99385,0x7bc50201}},	//   _xurx, пони, svel, _nqhu, 
   {{0xdb1c014b,0xdbd0014b,0xba3b0ff2,0x224b0502}},	//   ktrá, užív, _geïg, ücks_, 
   {{0xee3700dd,0x5ede0033,0x427a00d1,0x00000000}},	//   зня_, যালে, _האנג, --, 
   {{0xf1b90304,0x4ace02e6,0xdb070032,0xc0e5e2c4}},	//   muš_, ह्नव, cujú, _хокк, 
   {{0xbebb038c,0x00000000,0x00000000,0x00000000}},	//   riër, --, --, --, 
   {{0xbebb0326,0x00000000,0x00000000,0x00000000}},	//   siër, --, --, --, 
   {{0x61ed02f5,0x25a9090b,0x3b07e2c5,0xf1b9e2c6}},	// [f760] _šalj, šalj_, чето_, nuš_, 
   {{0xdb1c022c,0xb4d500c2,0x3ea2032a,0x00000000}},	//   strà, िजो_, lakt_, --, 
   {{0x6d4e0b41,0x7e600502,0xa84a007a,0x00000000}},	//   moba, ümpf, حلام_, --, 
   {{0x6d4e496d,0xdd8f009c,0xdb070032,0x2c0900bc}},	//   loba, _جوی_, zujú, सहरू_, 
   {{0x5fdd09e2,0x50bd017d,0x7ae61bde,0x00000000}},	//   _फैसल, ्भाष, _iakt, --, 
   {{0x3ea2e2c7,0x07a60596,0x366a01ff,0x00000000}},	//   hakt_, _нагн, _ғазо_, --, 
   {{0xdb070032,0x00000000,0x00000000,0x00000000}},	//   vujú, --, --, --, 
   {{0x66e33edd,0xa6b50088,0x7ae614cf,0xa6866e53}},	//   _поса, _осущ, _jakt, _хлад, 
   {{0x6d4ee2c8,0xcad700fe,0x7ae69489,0x290aaee1}},	//   koba, לוקת_, _makt, _koba_, 
   {{0xf55a00eb,0x290a01a7,0x28cf3024,0xdced008a}},	//   _الطب_, _joba_, स्पि, _iwaħ, 
   {{0x25a6011d,0x3f59e2c9,0xdb070228,0x6d4ee2ca}},	//   lsol_, séum_, rujú, doba, 
   {{0x3f8a0bc3,0x7ae617c7,0x290a11e9,0x2002090b}},	//   ību_, _nakt, _loba_, ćki_, 
   {{0xdb070228,0x6d4ee2cb,0xdced01f2,0x290a02a5}},	//   pujú, foba, _jwaħ, _ooba_, 
   {{0x60180141,0x6d4ee2cc,0xe6c8051f,0x61e284ec}},	//   _моля_, goba, रभुज, _isol, 
   {{0x7ae6e2cd,0x3d0d0b20,0x4900031e,0xb5fd0121}},	//   _bakt, _सकीं_, रानो_, _izše, 
   {{0xe7f00f8c,0x7ae600e5,0x60dac602,0x7bc7e2ce}},	//   घटना_, _cakt, letm, rtju, 
   {{0x7ae6e2cf,0x6d4ee2d0,0x7bc70844,0x3da40a65}},	// [f770] _dakt, boba, stju, _прэб, 
   {{0x290aa58a,0x60da01f0,0x61ed0c4c,0x61e2095a}},	//   _coba_, netm, _šalk, _msol, 
   {{0xdb1ce2d1,0xdbdc0126,0x59ac109f,0x8af000ad}},	//   strá, báñe, _चिअर, mlən, 
   {{0x61e2e2d2,0x8af00248,0x00000000,0x00000000}},	//   _osol, llən, --, --, 
   {{0x84e503b7,0x63650183,0xa5090163,0x06cc0033}},	//   долж, lóng, жела_, _রোহি, 
   {{0x3ea2e2d3,0x290ae2d4,0x7ae6e2d5,0x8af00248}},	//   zakt_, _goba_, _zakt, nlən, 
   {{0x67d4e2d6,0x61e2e2d7,0xa3d2122f,0x7ae6e2d8}},	//   _пору, _asol, војч, _yakt, 
   {{0x68e7e2d9,0x63a8085b,0x27f8014b,0xf1b91a01}},	//   _hajd, _dvdn, šený_, tuš_, 
   {{0xc245269c,0x6d4e3469,0x3ea2e2da,0x8af000ad}},	//   ьник, yoba, vakt_, klən, 
   {{0x80bd00a2,0xb6030098,0x68e7008a,0x60dad2dd}},	//   _शाळे, _vláč, _jajd, getm, 
   {{0x3ea21645,0x68e7e2db,0x6d4ee2dc,0x9327010e}},	//   takt_, _majd, voba, _ٹران, 
   {{0xada640a4,0x61e201f2,0x6fbf009a,0x5215e2dd}},	//   мамл, _fsol, लंबू, _одет, 
   {{0x7ae6e2de,0x3ea2050f,0xce4a00f0,0x8af000ad}},	//   _rakt, rakt_, ізге_, flən, 
   {{0x68e71a17,0x7ae6a199,0x28cf2369,0x3ea23245}},	//   _najd, _sakt, स्मि, sakt_, 
   {{0x6d4ee2df,0x7ae600e5,0x3ea2012e,0xdee602f1}},	//   roba, _pakt, pakt_, _жойи, 
   {{0x6d4ee2e0,0xc05200a7,0x8f9a03e1,0xbec801dd}},	//   soba, _שזה_, _ויקי, _brīž, 
   {{0x7ae6e2e1,0xc33200a7,0x68e700a4,0x63650068}},	// [f780] _vakt, דון_, _bajd, mónd, 
   {{0x7ae61021,0x68e7006d,0x3ea00abf,0x8af000ad}},	//   _wakt, _cajd, _heit_, clən, 
   {{0x7ae6e2e2,0x3ce73024,0x68e702fe,0x46ea33c4}},	//   _takt, _छोटे_, _dajd, жден_, 
   {{0x3a3f1a35,0x7ae6e2e3,0xe7378c3f,0x60dae2e4}},	//   _župe_, _uakt, мех_, zetm, 
   {{0xd6e000cc,0x68e7e2e5,0x290ae2e6,0xa5da0ea3}},	//   ণালয, _fajd, _toba_, تبار_, 
   {{0xa3ea0d95,0x3ea0008c,0xa50702a6,0x2d80e2e7}},	//   मिल_, _leit_, деља_, _muie_, 
   {{0x25a6e2e8,0xdb1c055f,0x2d8001d2,0x61e200a4}},	//   ssol_, rtræ, _luie_, _ssol, 
   {{0xdb1c37b2,0x8af00095,0x3ea0e2e9,0x6aa403d9}},	//   stræ, zlən, _neit_, naif, 
   {{0xdb1c25ae,0x67220548,0x81d60033,0x60dae2ea}},	//   mträ, mhoj, ায়ন_, tetm, 
   {{0xdb1c0a25,0x6aa40548,0x3d0dbf28,0x5f9421bd}},	//   lträ, haif, _सकें_, ниот, 
   {{0x20188ea8,0x60da01f0,0x3d02047c,0x39840219}},	//   ári_, retm, शाने_, _lös_, 
   {{0xdb1c70ee,0x60da61ab,0x7d1e133e,0x3ea001f5}},	//   nträ, setm, _alps, _ceit_, 
   {{0x3ea00465,0x8af000ad,0xdb1c0380,0x2d80020f}},	//   _deit_, tlən, iträ, _cuie_, 
   {{0x2d8008b0,0x660200b4,0x00000000,0x00000000}},	//   _duie_, ixok, --, --, 
   {{0x3ea02247,0x69a412e3,0xead56e8c,0x9f3508af}},	//   _feit_, _चौबी, новь, _пекі, 
   {{0x61ed00e4,0xa3b60035,0x80ca233f,0x6365001d}},	//   _šali, _जिन_, त्रे, cónd, 
   {{0x68e7e2eb,0xf1bc0033,0x6722e2ec,0xda340afc}},	// [f790] _pajd, _অনুভ, dhoj, веты, 
   {{0x3ea002ec,0x8af00248,0x6f0de2ed,0x80dc0033}},	//   _zeit_, lləl, _hoac, বাক্, 
   {{0x656f02a3,0xdb1c0380,0x6b7500d9,0x6aa40027}},	//   _èchi, fträ, _плоу, baif, 
   {{0x19954216,0x6f0de2ee,0x81d50033,0x3984003e}},	//   _памя, _joac, হিত_, _fös_, 
   {{0x25a9e2ef,0x2ee90730,0x68e700e2,0x16730188}},	//   éal_, _maaf_, _tajd, тқар, 
   {{0x2edc0838,0x2366026e,0x9f9f040b,0x00000000}},	//   _बस्त, _ahoj_, _wéét_, --, 
   {{0xc7c4e2f0,0x78a502a2,0x437500b3,0x7d080502}},	//   _исти, mahv, нуит, ödsi, 
   {{0x2366006f,0x645f00ad,0x67220548,0xc2c50038}},	//   _choj_, əqil, choj, ريخي, 
   {{0x28cf0df2,0xe1f10071,0x26dd0cd7,0x3219014b}},	//   स्थि, اسب_, mewo_, ásy_, 
   {{0x3ea002ec,0x6aa44af2,0x26dde2f1,0x3d0e00b0}},	//   _seit_, zaif, lewo_, _हवें_, 
   {{0x63750082,0xc880009e,0x6f0d1b1b,0xdb1c050f}},	//   _ušno, _îşev_, _boac, ltrå, 
   {{0x28cf000c,0x26dd044d,0xe1f12493,0x00000000}},	//   स्ति, newo_, _مست_, --, 
   {{0x3ea025f2,0xdb1c68ed,0x2d800126,0x78a50080}},	//   _veit_, ntrå, _quie_, kahv, 
   {{0x3ea001c4,0xc0e2c7c8,0x2b420065,0x5cd502c8}},	//   _weit_, _бошк, _sjkc_, кісх, 
   {{0x6aa42083,0x8c430a31,0x26dd7e22,0x6c360038}},	//   taif, гере, kewo_, رفرا, 
   {{0x2ee9038c,0x62895d36,0x8af00095,0xdb1c021e}},	//   _gaaf_, nceo, lməz, murë, 
   {{0x6df300eb,0x6aa4e2f2,0xcdaa20b4,0xc18c0070}},	// [f7a0] _مكيا, raif, _عهده_, ַטאָ, 
   {{0xdc9a00cf,0x7e64019b,0xebe63a8d,0x30bd0033}},	//   _этиш_, _izip, _зооп, _অসুস, 
   {{0xe50300c9,0xdb1c12b7,0x7b3700ca,0x6722021e}},	//   लानि_, tträ, tćut, thoj, 
   {{0xe5c61e16,0x6f0d0068,0x660201f1,0xf8b00019}},	//   еско, _xoac, txok, _چکا_, 
   {{0xdb1c34f2,0xceb3042c,0x18c800f0,0x8af000ad}},	//   rträ, ריד_, _оңай_, nləm, 
   {{0x53e6015b,0xdb1ce2f3,0x2b40e2f4,0x6722e2f5}},	//   ециа, strä, lnic_, shoj, 
   {{0xdb1c0219,0xbebb024a,0x6026033e,0xe3af0038}},	//   pträ, dhën, _mémé, مري_, 
   {{0x2b407dc8,0x60260175,0x8af000ad,0xdb1c0034}},	//   nnic_, _lémé, kləm, durë, 
   {{0x2b40b615,0x00000000,0x00000000,0x00000000}},	//   inic_, --, --, --, 
   {{0x2b40e2f6,0x6f0d2575,0x00000000,0x00000000}},	//   hnic_, _soac, --, --, 
   {{0x443877f8,0x6f0d56f6,0x6e9500af,0x2366006f}},	//   _är_, _poac, кину, _thoj_, 
   {{0x78a500d2,0x2ee9011c,0x9f3535f3,0x2b4023b0}},	//   zahv, _qaaf_, темі, jnic_, 
   {{0x657a009c,0xe33700c7,0x67d302d9,0x61ed00da}},	//   _kith, _אראפ_, mějš, _šalv, 
   {{0x63650086,0x645a014b,0x60260175,0x645600ad}},	//   róne, _kyti, _cémé, əyir, 
   {{0x8af00095,0x657ae2f7,0x60260107,0x6f0d020f}},	//   lməy, _mith, _démé, _toac, 
   {{0x67d3000d,0xdbdc001d,0x3df57116,0x6d5c2e31}},	//   nějš, _cáña, _азис, alra, 
   {{0x3a750c67,0x7b64df18,0x645a0009,0x8af000ad}},	// [f7b0] тлар, утре, _lyti, nməy, 
   {{0x657a1232,0xb4df00a2,0x97a71ca5,0x52dd02e6}},	//   _nith, _तसे_, ердл, _मस्स, 
   {{0x78a514b9,0xe8df0023,0x81d60033,0xe944011f}},	//   rahv, _ngục_, াটি_, ухто, 
   {{0xf7700e61,0x657a4873,0x8ccd0838,0x2b40e2f8}},	//   مان_, _aith, द्रो, cnic_, 
   {{0x645a00cf,0x657a6ffc,0x7aed00b3,0x61240237}},	//   _ayti, _bith, mdat, _gòlg, 
   {{0x7aede2f9,0x657a00d4,0x81d60086,0xbc38009c}},	//   ldat, _cith, াটা_, _آسیا_, 
   {{0x657ae2fa,0xdb1c0c43,0x7aed0648,0x8af000ad}},	//   _dith, strå, odat, zləm, 
   {{0xf99f0cd7,0x657a218b,0x52751d65,0x28c70c46}},	//   _kwè_, _eith, купу, _लाडि, 
   {{0x657a0387,0xf99f06df,0x6289e2fb,0x645a2ee8}},	//   _fith, _jwè_, rceo, _eyti, 
   {{0xdb1c024a,0x5144004e,0x9f5f0098,0x7aed5696}},	//   turë, лдығ, rytý_, hdat, 
   {{0x7afde2fc,0x765b016a,0x28c64361,0x69cd14b9}},	//   _onst, _hyuy, र्टि, htae, 
   {{0xa29500dd,0x657a0204,0x765b016a,0xdb1c024a}},	//   _раді, _zith, _kyuy, rurë, 
   {{0x7aed02f1,0xd00e0116,0xf99f05d5,0x2b40e2fd}},	//   ddat, ملی_, _nwè_, vnic_, 
   {{0x7afd4857,0xe0d90451,0xdbdc01d5,0x7aed039b}},	//   _anst, _цвк_, _báða, edat, 
   {{0xdca32536,0xfaa611e7,0x2b40e2fe,0xf99f0118}},	//   раси, каво, tnic_, _awè_, 
   {{0x7aed0c3d,0x3a3f0242,0x0b431a00,0xf99f06df}},	//   gdat, _župa_, ансн, _bwè_, 
   {{0x2b40e2ff,0xe8ea86c6,0x3a150f67,0x1ce7010e}},	// [f7c0] rnic_, ммад_, льфс, رکیٹ_, 
   {{0x7afde300,0x2b40e301,0x39410102,0xf99f05d5}},	//   _enst, snic_, gnhs_, _dwè_, 
   {{0x657a3757,0x25ade302,0xf99f011c,0x2b400352}},	//   _rith, _avel_, _ewè_, pnic_, 
   {{0x657ae303,0x28c60ed5,0xeabf00a1,0x645ae304}},	//   _sith, र्जि, _clùd_, _ryti, 
   {{0x67d3031e,0x657ae305,0xd70700fd,0x09ac0249}},	//   vějš, _pith, ънце_, _चिटठ, 
   {{0xd9465e3a,0x5ede0033,0x1ace00bc,0x765b0104}},	//   _реги, যাটে, ह्रथ, _dyuy, 
   {{0xc7a32cdd,0x7bcee306,0x4185004e,0x67d300bc}},	//   _виск, ntbu, қтығ, tějš, 
   {{0x657a0056,0x645a4475,0x7769008a,0x8af000ad}},	//   _with, _vyti, _ghex, tməy, 
   {{0xe737005e,0x21664cd0,0x2d9202a5,0xdb1c0151}},	//   _рет_, ктог, _ntye_, guré, 
   {{0x8af00095,0x657a0b1f,0x7bcee307,0x00000000}},	//   rməy, _uith, ktbu, --, 
   {{0x61ede308,0x940620b4,0x2d9202a5,0x7aed0035}},	//   _šalt, _جواه, _atye_, ydat, 
   {{0xdd950f82,0x612406df,0x7aed01c8,0x777b03b2}},	//   ламы, _sòld, xdat, _xiux, 
   {{0xa3ea0586,0xa3de00ab,0x57df0eda,0x05b80299}},	//   मिक_, दौर_, _नन्ह, उंटब, 
   {{0xc27b0cec,0xba3b0b1f,0x7aed011c,0x7bce0844}},	//   _חרדי, _beïn, wdat, ftbu, 
   {{0x46b404cc,0x612400f6,0x6365039f,0xd13857dd}},	//   ुलाह, _còle, lóna, mią_, 
   {{0x28c60081,0xc8c632f0,0xd138966d,0x69cd0088}},	//   र्घि, र्घट, lią_, ttae, 
   {{0x7aedd02c,0x61ed0183,0x6d4507d7,0x28a700c8}},	// [f7d0] rdat, _áalt, _tjha, вшег, 
   {{0x7aed395a,0x77690c45,0x69cd01f1,0xd1381dfa}},	//   sdat, _shex, rtae, nią_, 
   {{0x7aede309,0x76b90f6b,0xba3b0af8,0x6d55203b}},	//   pdat, елер_, _geïn, moza, 
   {{0x6d557658,0x6f1de30a,0x69cd007a,0x7afde30b}},	//   loza, nksc, ptae, _unst, 
   {{0xd138012d,0xaa67ae86,0x6365003e,0xb0c20299}},	//   kią_, _шток, jóna, _शांग, 
   {{0x6d55e30c,0xd46901d7,0xb4ad009a,0xdb070369}},	//   noza, ниле_, कणे_, pujó, 
   {{0xc6a70cdf,0x8882015f,0x04b4012d,0x00000000}},	//   _арзи, _ایمن, рсія, --, 
   {{0x6d55e30d,0x291136e8,0x22400097,0xdb1ce30e}},	//   hoza, _hoza_, _žika_, turé, 
   {{0x6d55e30f,0xa3e3000f,0x78b2008c,0x3f5902aa}},	//   koza, _पैर_, _ákvö, héus_, 
   {{0x6009e089,0x410500c8,0x6f1d02b0,0xbebb0034}},	//   еном_, узов, eksc, shël, 
   {{0x3ea600cf,0x2911e310,0xc2b3004e,0xdb1c0107}},	//   линг, _moza_, _көпш, suré, 
   {{0x51f50274,0x291100a9,0xdb1ce311,0x929d0083}},	//   _مستر, _loza_, strú, ykły, 
   {{0x2d84026a,0x6d55e312,0xd1380035,0x629ba324}},	//   ême_, foza, bią_, mbuo, 
   {{0xfaff024a,0x7bcee313,0xd1380035,0x7c3a0032}},	//   _anë_, ttbu, cią_, útro, 
   {{0x629b0108,0x00000000,0x00000000,0x00000000}},	//   obuo, --, --, --, 
   {{0xa3b600ab,0xba3b00d3,0x7d1c1810,0x6f1d0380}},	//   _जिस_, _veïn, skrs, cksc, 
   {{0x7bce6112,0xe9da0028,0x80ca00bc,0xed5a1a57}},	// [f7e0] stbu, эка_, त्के, _пои_, 
   {{0x28cf0bf5,0x29110226,0x8ca50083,0xfaff021e}},	//   स्लि, _coza_, करणो, _enë_, 
   {{0x2911e314,0x9b460c72,0x94860259,0x00000000}},	//   _doza_, _مندو, қылд, --, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x363600eb,0x35b6452e,0xfdf40586,0x2911023a}},	//   دراس, ущес, इटिस_, _foza_, 
   {{0xb5fd0352,0x00000000,0x00000000,0x00000000}},	//   _izšl, --, --, --, 
   {{0xd37ac1f4,0x186719d4,0xfaff024a,0x380501a2}},	//   нчи_, _бари_, _ynë_, _корҳ, 
   {{0xd378e315,0x7986b0eb,0xdc0800e0,0xd1380035}},	//   _opće_, _kukw, dēļa, wią_, 
   {{0x79860010,0xff5f009e,0x6aa6009d,0x6d55e316}},	//   _jukw, vlî_, _mekf, yoza, 
   {{0x8af00095,0x636546c9,0x7986180b,0x6aa61bde}},	//   sləh, róna, _mukw, _lekf, 
   {{0xd13857d1,0x6d55e317,0x68ee012b,0x79864535}},	//   rią_, voza, _mabd, _lukw, 
   {{0x68eee318,0xd138012d,0xd24f00d4,0x6d551a19}},	//   _labd, sią_, _کنه_, woza, 
   {{0x6282802c,0x6f1de319,0x7986007c,0x8353010e}},	//   _igoo, rksc, _nukw, _اپنا, 
   {{0xceb40095,0x25ec119b,0xdfec27c6,0x00000000}},	//   _edə_, _आईनी_, _जनपद_, --, 
   {{0x6d550019,0x2911e31a,0xa3ea0fcf,0xdbe30068}},	//   roza, _roza_, मिट_, téñe, 
   {{0xab6203c0,0x9b586f2f,0x291116c6,0x6d55e31b}},	//   şünc, гист_, _soza_, soza, 
   {{0x2911e31c,0xba3b000b,0x6aa6040b,0x2caa011c}},	// [f7f0] _poza_, _geïl, _dekf, babd_, 
   {{0x68eee31d,0x3f59019c,0x798602b8,0x00000000}},	//   _cabd, péus_, _dukw, --, 
   {{0x29110f23,0x1a6500d4,0x7aee00c8,0x7d1a0219}},	//   _voza_, _چیزی_, öntä, ötse, 
   {{0xfaff01ee,0xef1f05b7,0x36d5d449,0x35f5112d}},	//   _unë_, nkü_, родр, ипер, 
   {{0x64a53ae5,0x66050719,0x63650228,0x291101ff}},	//   аала, рпла, fónn, _toza_, 
   {{0x62823f0a,0x7aef7371,0xe4a71d63,0x2911018e}},	//   _agoo, _hact, урдо, _uoza_, 
   {{0x629b02f1,0x634101dd,0x1b740535,0x5eab0033}},	//   tbuo, lēni, _خدیج, _কানে, 
   {{0xdc210405,0x78a72f70,0x11d90038,0x60d802a5}},	//   _aċċe, _hejv, نوعة_, _abvm, 
   {{0x63a40d26,0x13060088,0x7aef01fd,0x629b012d}},	//   ćina, рный_, _mact, rbuo, 
   {{0xdb1c03a9,0x69dd00e2,0x85742853,0x6282052b}},	//   strø, _mpse, _глух, _egoo, 
   {{0x80a70086,0x5f0694a4,0x78a70df4,0x634802d9}},	//   _খাদ্, азна, _mejv, měnn, 
   {{0x539a00a7,0x25a0002e,0x850300b0,0x200b02fe}},	//   _ייעו, ţile_, लावट_, ćci_, 
   {{0xe3c70086,0x63650ed9,0x21a51bf7,0x00000000}},	//   _শনিব, lóno, _тилм, --, 
   {{0x59a9252e,0x78a7000d,0xdca3e31e,0x79864ab8}},	//   _चौधर, _nejv, жари, _rukw, 
   {{0xbb560038,0x68ee39d3,0x6a860093,0xb8820098}},	//   لنسب, _rabd, илва, šíko, 
   {{0x7aefe31f,0x68ee27c8,0x63650098,0x7986040b}},	//   _cact, _sabd, zónn, _pukw, 
  
   {{0x88ca017b,0x00000000,0x00000000,0x00000000}},	// [f800] клав_, --, --, --, 
   {{0x3f87e320,0x68ee2f6c,0x636c009e,0x090300b3}},	//   _kunu_, _qabd, mûne, опун, 
   {{0x2ba5000f,0x78a772ac,0x7aef1229,0x3f871810}},	//   गीदा, _dejv, _fact, _junu_, 
   {{0x7a2c0107,0x3f87003e,0x7bde007b,0xd5bae321}},	//   _côté, _munu_, _ippu, вск_, 
   {{0x5506088a,0x1a9b00c7,0xc5f800f0,0x7ae4e322}},	//   ичка, _ביכע, ыға_, meit, 
   {{0x7ae4e323,0x63650228,0xb7960267,0xa9a30283}},	//   leit, fóno, _враћ, _фирд, 
   {{0x66e682ad,0x3f870096,0xb226008c,0x61eb03c6}},	//   _кова, _nunu_, kvæð, _asgl, 
   {{0xb0240124,0x7ae4e324,0x6b83023e,0xdb1c021e}},	//   _ngườ, neit, _ènge, drrë, 
   {{0x69c4e325,0xe57a5282,0x71461d02,0x00000000}},	//   nuie, _аза_, ихож, --, 
   {{0x3f870824,0x7bde0f2e,0x7ae4e326,0xdb1c05b9}},	//   _bunu_, _oppu, heit, durí, 
   {{0x776203da,0x61eb00d3,0x25ec0262,0x612400a1}},	//   olox, _esgl, _आईडी_, _còla, 
   {{0x7ae49662,0xe29ae327,0x6124a1eb,0x69c4e328}},	//   jeit, _рад_, _dòla, kuie, 
   {{0x7bdee329,0x3eabe32a,0x7ae400f8,0xc8c704cc}},	//   _appu, ract_, deit, _लालट, 
   {{0x2d992557,0x3f870242,0x636c0216,0x69c40474}},	//   rpse_, _funu_, sûnd, duie, 
   {{0x7ae4e32b,0x06bc00cc,0x7aef1565,0x0b88e32c}},	//   feit, _ইউনি, _pact, исти_, 
   {{0x69dd00ef,0x7ae401f1,0x636c0216,0x307b0486}},	//   _ppse, geit, bûne, _באונ, 
   {{0x69c40f46,0x7bde1d91,0x636500da,0x7aef039b}},	// [f810] guie, _eppu, zóno, _vact, 
   {{0x3ea900d1,0x25690a6d,0xdb1c0474,0x00000000}},	//   _heat_, kúla_, gurâ, --, 
   {{0x7ae4e32d,0x6d4702f5,0x3ea900e2,0xf8072bac}},	//   beit, mnja, _keat_, шчан, 
   {{0x7ae40c7c,0x14c900a2,0xd7f800d3,0x77620126}},	//   ceit, _राहण, шуу_, glox, 
   {{0x6aade32e,0x69c400d9,0x8af000ad,0x67f0010e}},	//   maaf, cuie, tləv, tójá, 
   {{0x6365e32f,0x3ea9d341,0x6aade330,0x6d47e331}},	//   tóno, _leat_, laaf, nnja, 
   {{0xd7c900d4,0x62860032,0x6d470054,0x2d810604}},	//   _حوزه_, ľkon, inja, _mihe_, 
   {{0x4fe918ae,0x68e50088,0x6aade332,0x77620183}},	//   ҳмон_, lehd, naaf, clox, 
   {{0x659440a0,0x6d4727fa,0x11a800f0,0x612401fd}},	//   _мату, knja, айық_, _sòla, 
   {{0x3f87090e,0x7ae402f2,0x3ea904ef,0x8af00095}},	//   _punu_, zeit, _aeat_, llət, 
   {{0x6d47034c,0x14190038,0x7ae411e0,0x3ea9071f}},	//   dnja, _حياة_, yeit, _beat_, 
   {{0x7ae40496,0x2d8100c8,0x643a0070,0x3f870613}},	//   xeit, _aihe_, _געענ, _vunu_, 
   {{0x7ae4e333,0x3209e334,0x2175049b,0x2d8102b8}},	//   veit, _çay_, _лукр, _bihe_, 
   {{0x61e9e335,0x2d9e0076,0x409500eb,0x7ae42260}},	//   mwel, ďte_, _الغر, weit, 
   {{0x7ae48598,0x61e9e336,0xab2a005b,0xdb0a014b}},	//   teit, lwel, гова_, šník, 
   {{0x69c4e337,0x6d47e338,0x6aade339,0x3ea901be}},	//   tuie, anja, gaaf, _geat_, 
   {{0x7ae4e33a,0x6d470062,0x61e9e33b,0x81d50033}},	// [f820] reit, bnja, nwel, হিক_, 
   {{0x7ae4e33c,0x6d47003a,0x2d81099d,0x69c4e33d}},	//   seit, cnja, _gihe_, ruie, 
   {{0x7ae4e33e,0x61e9e33f,0x6f04e340,0x7bde00c2}},	//   peit, hwel, _knic, _uppu, 
   {{0x6f16e341,0x61e9e342,0xd3780b43,0x290300ca}},	//   _joyc, kwel, _opća_, _enja_, 
   {{0x69c4195c,0x35b3846f,0x6f04112a,0x68e50096}},	//   quie, збір, _mnic, behd, 
   {{0x61e9e343,0x25690038,0x6f164e7c,0x00000000}},	//   dwel, túla_, _loyc, --, 
   {{0x63a40062,0x3326011c,0x395a011c,0x61e908b0}},	//   ćino, _plox_, mops_, ewel, 
   {{0x070c0509,0x6d47090b,0x4900031e,0x62860228}},	//   _सचिव_, znja, राको_, ľkoo, 
   {{0x28cfe344,0x442000e0,0x8af000ad,0x61e9e345}},	//   स्कि, ņi_, lləs, gwel, 
   {{0x6f049ef7,0x6722e346,0x644f0035,0x2569007a}},	//   _anic, lkoj, _ście, púla_, 
   {{0x6d470412,0xb5fd05a8,0xf1b90228,0x15f0017d}},	//   vnja, _vyše, vyše_, चिकर_, 
   {{0x0dcb2e87,0x6722058b,0x395ae347,0x3cdb031e}},	//   луги_, nkoj, hops_, ख्ने_, 
   {{0xe2870116,0x5eab0033,0x6f16040c,0x61e90382}},	//   _اطمی, _কাদে, _doyc, cwel, 
   {{0x303900d4,0xdb1ce348,0x672208ed,0xc8c73918}},	//   اتیک_, ktró, hkoj, _लाइट, 
   {{0xc2eb0086,0x67220088,0x4034e349,0x6aad0053}},	//   কারি_, kkoj, _фейс, taaf, 
   {{0x6d4728fd,0x6f0400a1,0x61240118,0x00000000}},	//   snja, _gnic, _kòlo, --, 
   {{0x8af006d0,0x201e0009,0x6aade34a,0xa2d0e34b}},	// [f830] vlət, lyti_, raaf, _धान्, 
   {{0x6d40026d,0x213e7081,0xa3e807d5,0x6aad052b}},	//   émat, nith_, यबा_, saaf, 
   {{0x68e52850,0x61e9e34c,0xdbe30183,0x61240118}},	//   rehd, zwel, _téña, _lòlo, 
   {{0x95990559,0x7bc7e34d,0x61e9e34e,0xcf9300c7}},	//   атку_, muju, ywel, לטע_, 
   {{0xd5bb0dc0,0x61e90aaf,0x7bd501ca,0x6286020b}},	//   усе_, xwel, ltzu, ľkol, 
   {{0x201e00e4,0x0395e34f,0x61e9009e,0x98e700d3}},	//   kyti_, ория, vwel, _уюмд, 
   {{0xdb1c127e,0x213ee350,0x7bd502ba,0x8af006d0}},	//   ctró, dith_, ntzu, mlər, 
   {{0x201e00e4,0x8af006d0,0x7d170068,0xb0650088}},	//   dyti_, llər, _loxs, hdää, 
   {{0x7bc7e351,0x61e9013c,0xe61300eb,0x612400f6}},	//   huju, uwel, _عشر_, _còlo, 
   {{0x8af006d0,0x61e9623c,0x7bc7e352,0x6f041074}},	//   nlər, rwel, kuju, _snic, 
   {{0xa06917d2,0x61e9e353,0x201e0009,0xdf4ad5a3}},	//   рана_, swel, gyti_, изод_, 
   {{0x2b490097,0xdb1c0ed9,0x61e9213b,0x7d050108}},	//   jnac_, kurá, pwel, _anhs, 
   {{0x926700c5,0x8af006d0,0x7d171a0d,0x20d5004f}},	//   _ادام, klər, _boxs, _дійс, 
   {{0x53dd000c,0xdb1ce354,0x672901f2,0x7bd50502}},	//   _महाश, strü, _llej, ftzu, 
   {{0x67291175,0x8af00095,0x30790070,0xe8df0023}},	//   _olej, dlər, _דאַנ, _ngốc_, 
   {{0xab660769,0x2b490f92,0x6f04352a,0x5f760629}},	//   івал, gnac_, _unic, _باتر, 
   {{0x8af00095,0xbebb0034,0xdb1ce355,0x612d0534}},	// [f840] flər, thëv, gurá, _cúlg, 
   {{0x6729e356,0xd91006bc,0x673be357,0x9d46324c}},	//   _alej, ریز_, _amuj, _феод, 
   {{0x57eae358,0x6d5c8a61,0x6729e359,0x672200c8}},	//   рдем_, mora, _blej, tkoj, 
   {{0xd6d900dd,0x2c17031e,0x6d5c1c4d,0xf7430176}},	//   йті_, नहरू_, lora, мехо, 
   {{0x672215d5,0x6729006d,0x8af00095,0x7d170095}},	//   rkoj, _dlej, blər, _yoxs, 
   {{0xdb1c0161,0x7af6012d,0x6d5ce35a,0x6729010e}},	//   ctrò, ldyt, nora, _elej, 
   {{0x94a800f0,0x6729e20e,0x332a0398,0x6d5c01d6}},	//   атқа_, _flej, ицин_, iora, 
   {{0x6d5ce35b,0x213e00f8,0x3a3f0242,0x7af6e35c}},	//   hora, with_, _župi_, ndyt, 
   {{0xe643021f,0x7bc70704,0x69d6e35d,0x7e642efe}},	//   _жетп, zuju, ntye, _nyip, 
   {{0x6d5ce35e,0x201e00e4,0x7af600c8,0xe9ff0023}},	//   jora, tyti_, hdyt, _liếc_, 
   {{0xe51f016a,0x28cf0bf5,0x213ee35f,0x232acb2b}},	//   _भवति_, स्टि, rith_, _кожи_, 
   {{0x8af006d0,0x201e012d,0xeeab00d9,0xd5280210}},	//   zlər, ryti_, шток_, _hồn, 
   {{0x6d5ce360,0x8af00095,0xee84e361,0x201e0009}},	//   fora, ylər, дыро, syti_, 
   {{0x7bc71191,0x2918e362,0x6d5ce363,0x61e207d7}},	//   tuju, _nora_, gora, _ipol, 
   {{0x8af00095,0xe9ff0108,0x9b947208,0x628700d8}},	//   vlər, _biếc_, дисц, ějov, 
   {{0x7bc7e364,0x7bd50a9f,0x28dd52c2,0x2918e365}},	//   ruju, rtzu, न्नि, _aora_, 
   {{0x2918e366,0x8af006d0,0x5a350172,0x6d5c0139}},	// [f850] _bora_, tlər, чнат, bora, 
   {{0x25fe04b7,0x9967c9be,0xc8671818,0x6d5c44ab}},	//   लिनी_, італ, отеи, cora, 
   {{0x8af00264,0x6729e367,0x2918e368,0xddc4056e}},	//   rlər, _plej, _dora_, _iziš, 
   {{0xd36600c5,0xf7705a15,0x61e200ab,0x8af00095}},	//   _سه_, نان_, _opol, slər, 
   {{0xd246057f,0x29188b2c,0xe5a50623,0xfa96035c}},	//   _أن_, _fora_, чили, _מדרש_, 
   {{0xd006057f,0x63651c01,0x2918e369,0x7e6000b0}},	//   _كل_, móni, _gora_, ümpi, 
   {{0x67d40161,0x61e2e36a,0x636534df,0x00000000}},	//   _оору, _apol, lóni, --, 
   {{0x6d5ce36b,0x130900dd,0x673b0199,0x612400f6}},	//   zora, сний_, _umuj, _dòlm, 
   {{0x63650503,0x68f5515e,0x6d5ce36c,0xe297004e}},	//   nóni, _kazd, yora, бақ_, 
   {{0x68f5c210,0x2cb14336,0x291809c7,0x81dc0033}},	//   _jazd, jazd_, _xora_, ডিং_, 
   {{0xb4e70081,0x6d5ce36d,0x61e2084c,0xd91c00d1}},	//   यजी_, vora, _epol, יוזל, 
   {{0xbebb024a,0xd343006b,0x33750161,0x68f536d7}},	//   dhës, _تفصی, _эгер, _lazd, 
   {{0x6365008c,0xa1590451,0xa2d013bb,0xa0262afb}},	//   jóni, _ладу_, _धात्, ttöö, 
   {{0x6365405d,0x61fb2b03,0x28c700bc,0xdcf60248}},	//   dóni, mvul, _लागि, _duyğ, 
   {{0xf09200a7,0xfaa67725,0xeb9a0e65,0x7f5d001d}},	//   _אנו_, забо, сиб_, bosq, 
   {{0x6d5ce36e,0x291811e9,0x63650634,0xa02635ae}},	//   sora, _sora_, fóni, stöö, 
   {{0x6d5c4ff3,0x2918e36f,0x61fb0af8,0x6365405d}},	// [f860] pora, _pora_, nvul, góni, 
   {{0x0e5702a1,0x291800a3,0x6d5c483a,0x38c80eb7}},	//   _משפט_, _qora_, qora, تاری_, 
   {{0xe9ff00e7,0x2918e370,0xdcf70474,0xdced008a}},	//   _tiếc_, _vora_, şcăt, _staħ, 
   {{0x63650183,0x7bc100ef,0x69d6137f,0x2918e371}},	//   bóni, šluc, ptye, _wora_, 
   {{0xaad50a34,0x63650183,0x62860009,0x28cc0299}},	//   _डॉटक, cóni, žkok, ालदि, 
   {{0x68f5e372,0x644f00ab,0x634800bc,0xf99f05d5}},	//   _gazd, _ścia, měni, _brèf_, 
   {{0x61e22645,0xa3b6059e,0x69c4613c,0x00000000}},	//   _spol, _जिओ_, lrie, --, 
   {{0xa3ad04d7,0xe73a0141,0xdb240883,0x31c647fb}},	//   _कबर_, _уеб_, érès, псов, 
   {{0x68f5091f,0x0576143f,0x5eab0033,0x61fb0d62}},	//   _yazd, _فائد, _কালে, gvul, 
   {{0x7d1a014e,0x3a37042c,0x859b00a7,0x69c4e373}},	//   ötsl, פרים_, _לשמו, irie, 
   {{0x69c4e374,0xbebb024a,0x6365001d,0x63ad015e}},	//   hrie, dhër, zóni, ćanc, 
   {{0x69c4e375,0xc1780028,0x612d00e1,0xba3b0106}},	//   krie, smė_, _cúlb, _keït, 
   {{0xc33300a7,0x61e23aef,0xddcf0009,0x28af00bd}},	//   _אוף_, _upol, ždži, टरमि, 
   {{0x14df0bd5,0xc16f02fb,0x69c4e376,0xbebb00e5}},	//   प्पण, _її_, drie, thës, 
   {{0xd0f7008d,0x69c4e377,0x60db00d1,0x00000000}},	//   _זצוק_, erie, _הקונ, --, 
   {{0x69c4e378,0x6b860938,0x63652d3b,0xae9b00eb}},	//   frie, _cikg, tóni, _اضغط_, 
   {{0x69c4e379,0x6b860364,0x239500e0,0x68f5e37a}},	// [f870] grie, _dikg, _māja_, _pazd, 
   {{0x6365127e,0x9e67009c,0x98b900f0,0x3f8e02a5}},	//   róni, _واکن, ілет_, _kufu_, 
   {{0x68f51861,0x290703b0,0x69c4e37b,0x78ae0126}},	//   _vazd, ına_, arie, _debv, 
   {{0x63654ae7,0x3a3f0242,0xcfae0033,0x3f8e0539}},	//   póni, _župu_, _কমান, _mufu_, 
   {{0xa3cf02f8,0xb8d30086,0x69c429f1,0x5eb20033}},	//   वून_, _টা_, crie, _ঝামে, 
   {{0x85e802fb,0x799d0026,0xf992035c,0x98b00372}},	//   ядів_, _itsw, _ברך_, _ćaća_, 
   {{0xc95200d1,0x00000000,0x00000000,0x00000000}},	//   _סמל_, --, --, --, 
   {{0xf77311b7,0x61240237,0x798f02a5,0xe1f1007a}},	//   _ساز_, _fòlk, _kucw, نسخ_, 
   {{0x4cb300cc,0xe4e70965,0x20180088,0xdb24010e}},	//   _জানু, _ніжн, ärin_, érés, 
   {{0x61fbe37c,0x3f8e02a5,0x70c7009a,0x00000000}},	//   rvul, _bufu_, ललेल, --, 
   {{0x69c40187,0xceeae37d,0x61fbe37e,0xd5280210}},	//   zrie, одне_, svul, _uốn, 
   {{0xe28ee37f,0x26cfe380,0xf8dd01a4,0xd5d109d3}},	//   _ја_, nggo_, न्तय, _समाज, 
   {{0xee371094,0x799d006f,0xe0ce4920,0xfe7f00b9}},	//   дня_, _ntsw, _ив_, beïm_, 
   {{0x69c4e381,0xac0a00cf,0x3d930cdf,0x25e50790}},	//   vrie, онга_, тиёр, _टहनी_, 
   {{0xeb97994e,0x69c4e382,0xef1a022c,0x7c9500d9}},	//   дис_, wrie, _ммк_, эряц, 
   {{0x69c4e383,0x61ed012d,0xbebb024a,0x798f052b}},	//   trie, _šaly, shër, _bucw, 
   {{0x63a404a1,0x7987012e,0xaa434c4c,0xf2d200c7}},	// [f880] ćini, _bijw, ветл, כען_, 
   {{0x69c4e384,0x6d8b01dd,0xb5fd0098,0x00000000}},	//   rrie, _pļav, _pyšn, --, 
   {{0x28dd0964,0x7987078a,0x799d0364,0x5fc5017d}},	//   न्धि, _dijw, _etsw, _विफल, 
   {{0x69c4e385,0x6fc500a2,0x9f5d0228,0x628b00d4}},	//   prie, _विनं, _prvé_, _nggo, 
   {{0x6ed64b75,0x6d4ee386,0xba3b040b,0x14c90110}},	//   _भानु, onba, _deïs, _राखण, 
   {{0x28dd4397,0x629905d5,0x6d4ee387,0x61240237}},	//   न्दि, _afwo, nnba, _vòlk, 
   {{0x290a0126,0x6d4e0e16,0xdb0700fc,0x00000000}},	//   _inba_, inba, ssjå, --, 
   {{0x6600016a,0xba3b10de,0x28cc0249,0x798702b0}},	//   _trmk, _geïs, ालवि, _zijw, 
   {{0x9663e388,0x63ad05ae,0x6365008c,0xf743005b}},	//   _акте, ćana, jónu, _рето, 
   {{0xb5fd05a8,0x62990237,0x6d4e02b0,0x628b0539}},	//   _myšl, _efwo, jnba, _eggo, 
   {{0x00000000,0x00000000,0x00000000,0x00000000}},	//   --, --, --, --, 
   {{0x6d4ee389,0x4226327c,0x00000000,0x00000000}},	//   enba, _одев, --, --, 
   {{0xde6401d8,0x00000000,0x00000000,0x00000000}},	//   върп, --, --, --, 
   {{0xdb15010e,0x1e7200f0,0x6353020f,0x6d4e0b48}},	//   mszé, ығыс, măna, gnba, 
   {{0xd30f00e7,0x1bd41e6e,0x798702b0,0x212b0151}},	//   _mệnh_, коря, _rijw, êche_, 
   {{0x290a0cd7,0x91f20262,0xa3cf08d2,0xd30f00e7}},	//   _anba_, _अनाज_, वंत_, _lệnh_, 
   {{0x4975e38a,0x63653c6a,0x09750080,0x00000000}},	// [f890] елас, mónt, егаю, --, 
   {{0x612400b9,0xe6a709ec,0xb6a200a3,0x5fc5176c}},	//   _bòli, खर्ज, қишл, _विमल, 
   {{0xe61000d4,0x612400f6,0x6aaf02be,0x00000000}},	//   یشه_, _còli, _tecf, --, 
   {{0x7c280a1f,0x6365007a,0x2b4d00b4,0x00000000}},	//   ødre, nónt, _ñec_, --, 
   {{0xd30f0029,0x7aede38b,0xae0f051f,0xa509ade7}},	//   _bệnh_, meat, ामिन_, зела_, 
   {{0x7aede38c,0x293500c7,0x67d51289,0x612410c5}},	//   leat, _טאָן_, _погу, _fòli, 
   {{0xf8b2008d,0xf770009c,0x3b0b011c,0xc4f80038}},	//   _תשל_, _چاق_, _kncq_, بعنا_, 
   {{0xdb1ce38d,0x644e00ca,0x7aede38e,0xae0f0a0e}},	//   strö, _žbic, neat, ामान_, 
   {{0xa2d00527,0x20d501fc,0xe29700f0,0x6d4ee38f}},	//   _धार्, нінс, пақ_, ynba, 
   {{0xf8af00a5,0x63ba00b4,0xb6cc0213,0x00000000}},	//   टरिय, _fvtn, _çürü, --, 
   {{0xd00964db,0x7aeda406,0x69cd019c,0x3f89df43}},	//   чене_, keat, huae, _biau_, 
   {{0xdb1c026d,0x6fc017f6,0x3f898b19,0x25ad08b0}},	//   ntrô, _विरू, _ciau_, _kwel_, 
   {{0x7aed0a9f,0x3f890090,0x00000000,0x00000000}},	//   deat, _diau_, --, --, 
   {{0x621a008d,0xdd8f07cf,0x8234070f,0x721a00d1}},	//   _מונק, صوف_, _جرما, _מונח, 
   {{0x6d4e050f,0x69c25f9d,0xf99f0300,0xed570283}},	//   rnba, _लिही, _atè_, хор_, 
   {{0x63650042,0x62860228,0x7aed7961,0x25ad0175}},	//   cónt, ľkov, geat, _owel_, 
   {{0x6fc51ff6,0xb0b6000f,0x6286026e,0x6124022c}},	// [f8a0] _विडं, _आजमग, žkov, _sòli, 
   {{0xb5fd014b,0xf99f0237,0x612403dd,0x8cd70c73}},	//   _vyšl, _dtè_, _pòli, _बायो, 
   {{0xacd700c7,0x46ea03fd,0x61460107,0x2d92e00d}},	//   _אויפ_, зден_, _hélè, _huye_, 
   {{0xbbe900d6,0x2d92052b,0x7bcee390,0xe9a65b51}},	//   _کریم_, _kuye_, mubu, _памп, 
   {{0x7d1ee391,0x00000000,0x00000000,0x00000000}},	//   _kops, --, --, --, 
   {{0x2d92052b,0x66030267,0x61460106,0x00000000}},	//   _muye_, упља, _mélè, --, 
   {{0x7bcee392,0x533408a5,0x25ad008a,0xe4a5004f}},	//   nubu, кект, _ewel_, тріо, 
   {{0xd377642b,0xf1a60176,0x2d920118,0x7d1e2869}},	//   нчы_, нрон, _ouye_, _lops, 
   {{0x32020076,0x7bce2998,0x3f8938c6,0xf8dd0c64}},	//   íky_, hubu, _riau_, न्वय, 
   {{0xb27303a1,0xc05a1820,0xd4910108,0x7aed00b4}},	//   ылыш, зім_, _hàn_, zeat, 
   {{0x39960941,0x64a3e393,0x41c24994,0x3eb22120}},	//   _læs_, _саха, _शिवस, _beyt_, 
   {{0xe2920084,0xd37830ff,0x2d920bcf,0xceeb0038}},	//   _إذا_, _opći_, _buye_, أردن_, 
   {{0x160300ab,0x6146026a,0x3d94b47a,0x5ce7004f}},	//   लियर_, _célè, лияр, нюва, 
   {{0x7d1ee394,0x7bc70352,0x7bdc359e,0xc05a004f}},	//   _cops, trju, ftru, _ній_, 
   {{0x81dc00cc,0x63650183,0x7bce1995,0x46d11bf9}},	//   ডিও_, cóns, gubu, _हालह, 
   {{0xbe8b00d3,0xdb0700fc,0x7bc10028,0xdb6800b3}},	//   _эске_, nsjø, šluo, ерул_, 
   {{0xf9930a67,0x98c7e395,0x58d51b4b,0x7aed0a72}},	// [f8b0] ابر_, فغان, коат, reat, 
   {{0x7bcee396,0x7aed45e8,0x6f0d00da,0x00000000}},	//   bubu, seat, _hnac, --, 
   {{0x80d80c59,0x6d47e397,0x6f0de398,0x634800bc}},	//   _माने, mija, _knac, něns, 
   {{0x2366006f,0xdcfe00b3,0x7d1e045a,0x99890032}},	//   _nkoj_, _tipă, _zops, dzať_, 
   {{0xf770024f,0x6f0de399,0x6f1f040c,0x00000000}},	//   حال_, _mnac, _moqc, --, 
   {{0xcd9800a7,0xdb15001d,0x28dd009a,0xd4698776}},	//   עדות_, puzó, न्शि, миле_, 
   {{0x63ad0571,0x6f0d6b77,0xdce40243,0xa954017b}},	//   ćano, _onac, _etiķ, _скрі, 
   {{0x490502f8,0x533202a0,0x05c9029c,0x6f0d018e}},	//   _होतो_, иејт, _रिपब, _nnac, 
   {{0xc6920056,0x65953b33,0x4429002a,0x6ea202e6}},	//   _כאן_, _разу, ņa_, _क्षु, 
   {{0x6f0de39a,0x6d4710fd,0x00000000,0x00000000}},	//   _anac, jija, --, --, 
   {{0x7d1e0d26,0xbea6177d,0x7bdc81cb,0x3ea6e39b}},	//   _rops, канк, xtru, кинг, 
   {{0x7d1e1861,0x0caa0527,0x4427e39c,0x6563e39d}},	//   _sops, कर्म, myn_, lonh, 
   {{0xb6ba00a7,0x7d1ee39e,0x733a00c7,0x4427e39f}},	//   וצרי, _pops, _קענס, lyn_, 
   {{0x6da37245,0x236000f1,0x7bcee3a0,0x6d47e3a1}},	//   рира, čije_, tubu, gija, 
   {{0x4427e3a2,0x4a75004e,0x7d1e00d9,0x8cb50cfe}},	//   nyn_, ғытт, _vops, ысяч, 
   {{0x7bce20cc,0x629be3a3,0x200b0613,0xef260241}},	//   rubu, ncuo, čkić_, çüde_, 
   {{0x6d47e3a4,0xcb67412e,0xe9da02fb,0x7d1ee3a5}},	// [f8c0] bija, тате_, ька_, _tops, 
   {{0x7d1e0ca5,0x4427018c,0x98a6004e,0x6ab601f0}},	//   _uops, kyn_, тиже, sayf, 
   {{0x8ba6a404,0x8cd70035,0x2cb8e3a6,0xfaff0034}},	//   _шинж, _बातो, mard_, _ikën_, 
   {{0x442702bf,0xe5c641f4,0x2cb8e3a7,0xdd8f01e5}},	//   dyn_, вско, lard_, _دوی_, 
   {{0xca75e3a8,0x61240237,0x99860038,0x00000000}},	//   _буры, _kòlt, _للحو, --, 
   {{0x2cb8e3a9,0x44270156,0xb9070033,0x236602ae}},	//   nard_, fyn_, _মো_, _skoj_, 
   {{0x442700f8,0xd37a00a3,0x612400b9,0x68fc00e1}},	//   gyn_, мчи_, _mòlt, _iard, 
   {{0x236d02ee,0x51f80088,0x9f5d020b,0x00000000}},	//   glej_, ению_, _prví_, --, 
   {{0x25ec00ab,0x87550141,0xda0500a5,0xc0ca788f}},	//   _आईटी_, _сърц, रियत_, муне_, 
   {{0x68fce3aa,0x6f0de3ab,0x25a6e3ac,0x442702bf}},	//   _jard, _snac, mpol_, byn_, 
   {{0x44380533,0x68fce3ad,0x63a403ef,0x25a6011d}},	//   _år_, _mard, ćins, lpol_, 
   {{0x6d477190,0x645a8b5e,0x68fc942c,0xc246988f}},	//   wija, _ixti, _lard, _инек, 
   {{0xa2d70e07,0x6d4700cf,0x62860187,0x6602e3ae}},	//   _यात्, tija, ľkos, nvok, 
   {{0x614302f1,0x628626a4,0x2cb8e3af,0x70930240}},	//   _кеча, žkos, gard_, _кашф, 
   {{0xa5cc000f,0x2569010e,0xa17700d1,0xd00f1036}},	//   _समझौ, múlt_, _שעוד_, _وله_, 
   {{0x68fc52d8,0x6d47e3b0,0x7f5600e5,0x6f0de3b1}},	//   _aard, sija, _gjyq, _unac, 
   {{0x68fce3b2,0x3eb9e3b3,0x27ea00f4,0x44270035}},	// [f8d0] _bard, mast_, _apbn_, zyn_, 
   {{0x693400d3,0x442700c8,0xacf502a6,0x3da40093}},	//   ануу, yyn_, _спољ, _тръб, 
   {{0x68fce3b4,0x6d45e3b5,0x6720011c,0xdb15010e}},	//   _dard, _imha, _bomj, lszí, 
   {{0x3eb9e3b6,0x68fc336b,0xdbd1007e,0x4427e3b7}},	//   nast_, _eard, _müüg, vyn_, 
   {{0x68fce3b8,0x4427e3b9,0x2d9c008b,0x672085cd}},	//   _fard, wyn_, _čvek_, _domj, 
   {{0x4427e3ba,0x68fc9997,0x7afde3bb,0x3eb900b0}},	//   tyn_, _gard, _hast, hast_, 
   {{0xe299e3bc,0x3eb9d08f,0xd6db02f1,0x6563e3bd}},	//   най_, kast_, _ота_, ronh, 
   {{0x4427e3be,0x3eb9e3bf,0xe1f90161,0xd3780e67}},	//   ryn_, jast_, еги_, _opću_, 
   {{0x3eb9e3c0,0x3a299b51,0x7afde3c1,0x4427076b}},	//   dast_, nyap_, _mast, syn_, 
   {{0x68fc0496,0x629b00fd,0x236d6dc3,0x60330095}},	//   _xard, scuo, slej_, ləmə, 
   {{0x777b006d,0x5eab0086,0x2cb8e3c2,0x3494e3c3}},	//   _khux, _কাজে, vard_, _тахр, 
   {{0x6d45e3c4,0x6da616d2,0x752101c4,0x3eb9328f}},	//   _amha, лима, _holz, gast_, 
   {{0xc0e502c4,0x2d4d02fe,0xd49100e7,0x7e6d016c}},	//   _болк, džeb_, _làm_, _cyap, 
   {{0x7afd05d2,0x6ed60077,0x78b511bc,0x2d8ce3c5}},	//   _aast, _भावु, _nezv, öde_, 
   {{0x66020121,0x7e6d02a5,0x3eb900c2,0xdca301ff}},	//   zvok, _eyap, bast_, саси, 
   {{0x7afde3c6,0x765b0095,0x2cb80107,0x3eb93ab0}},	//   _cast, _oxuy, sard_, cast_, 
   {{0x68fce3c7,0x7afd00cf,0xdee40cdf,0xa3b31011}},	// [f8e0] _pard, _dast, _боқи, जीत_, 
   {{0x63ad02f5,0x68fc0095,0xa923e3c8,0x7afd09cc}},	//   ćanj, _qard, бдул, _east, 
   {{0x68fce3c9,0x8caa143e,0x78b5002e,0xddcd00f1}},	//   _vard, _ज्यो, _dezv, _izaš, 
   {{0x25a6548a,0x4789004f,0x31650380,0x8af000ad}},	//   tpol_, всім_, holz_, yləy, 
   {{0xe4e60769,0x7ae4270c,0x16a700cf,0x7521e3ca}},	//   гійн, mfit, увчи_, _bolz, 
   {{0x25a6e3cb,0x7ae4e3cc,0x7521ba53,0xd94603a1}},	//   rpol_, lfit, _colz, _сеги, 
   {{0xc61c00cc,0x25a6e3cd,0xf36604fb,0x752100a3}},	//   _দেখা_, spol_, лтин, _dolz, 
   {{0x436700ce,0xfbac1567,0x7afd00a3,0x61360212}},	//   лајн_, टीएम, _xast, _mâle, 
   {{0x3eb9e3ce,0xe4d66223,0x914a3585,0x14d60274}},	//   vast_, _متاب, ечна_, _مزاح, 
   {{0x200700ca,0x752102be,0x06bc0033,0x00000000}},	//   _brni_, _golz, _ইউটি, --, 
   {{0xc2e60c67,0x0493057f,0x200714f0,0x3eb94cd2}},	//   _бўли, _المح, _crni_, tast_, 
   {{0x7bc1015e,0x6d8b008a,0x798e052b,0x777b021e}},	//   šluk, _eżal, _libw, _xhux, 
   {{0x7afde3cf,0x3eb9e3d0,0x88cc0086,0x3b00e3d1}},	//   _rast, rast_, র্যক, ddiq_, 
   {{0x7e6d2b03,0x4ba700d3,0x3eb9e3d2,0x798e0199}},	//   _vyap, лөмү_, sast_, _nibw, 
   {{0x8ca4000f,0x3eb9e3d3,0xd00f0ca4,0xdb15010e}},	//   कड़ो, past_, _уф_, sszí, 
   {{0x798e018e,0x7afde3d4,0x00000000,0x00000000}},	//   _aibw, _qast, --, --, 
   {{0x7afdafa3,0x2b49e3d5,0x798e0610,0xa997010e}},	// [f8f0] _vast, riac_, _bibw, اشرت, 
   {{0x2b490187,0x6d45e3d6,0x7afde3d7,0xf99f0237}},	//   siac_, _umha, _wast, _frèn_, 
   {{0x63ad1a35,0x3a290102,0x603300ad,0xa3b301a4}},	//   ćank, syap_, təmə, _जौं_, 
   {{0x7521e3d8,0x7afd0038,0xa2d0009a,0x00000000}},	//   _solz, _uast, _धाग्, --, 
   {{0xfad607f5,0xeef800c7,0x7521e3d9,0x257b078a}},	//   _דורך_, טמאר_, _polz, hêle_, 
   {{0x69cd02f0,0xc7b7070f,0x6d5580dc,0x00000000}},	//   mrae, _مصرع, nnza, --, 
   {{0x195808a5,0xc2930019,0xc6a7122f,0x2911011c}},	//   _сары_, میاب, _брзи, _inza_, 
   {{0x0325e3da,0x1309269c,0x798e3790,0xc3251827}},	//   рдин, тний_, _zibw, рмик, 
   {{0x20070f23,0x65150019,0x332d0054,0x527544e5}},	//   _srni_, _پوائ, rkex_, шуку, 
   {{0x23600571,0x60093261,0x2901e3db,0x66090a9f}},	//   čija_, вном_, ndha_, _irek, 
   {{0xa2f50ee8,0xb4c30a0e,0x2901018e,0xdb070679}},	//   _впеч, ्ली_, idha_, nsjó, 
   {{0x6609e3dc,0x9f5d0228,0x6d5562de,0x3f8202a2}},	//   _krek, _prvá_, enza, umku_, 
   {{0x3f821f17,0x29114c98,0x8e7600d9,0x6d8b007b}},	//   rmku_, _onza_, рунч, _eżam, 
   {{0x69cde3b9,0x660991fe,0x4f9514ce,0x6b9701ff}},	//   drae, _mrek, _криу, _buxg, 
   {{0x2901e3dd,0xeb9a00cf,0xd0161766,0x2007e3de}},	//   ddha_, тиб_, _نقوش_, _urni_, 
   {{0x6d550634,0x9f5d014b,0x6609b20e,0x2911e3df}},	//   anza, _trvá_, _orek, _anza_, 
   {{0x7ae400e5,0x3ead033c,0x3946e3e0,0xc8961221}},	// [f900] rfit, ñete_, анаг, арењ, 
   {{0xf09200c7,0x78bb026a,0x3b000095,0xddcd00ca}},	//   ַנד_, _œuvr, sdiq_, _uzaš, 
   {{0x6609e3e1,0x98aa00b3,0xdb0704f4,0x798e025b}},	//   _arek, _albă_, gsjó, _vibw, 
   {{0x66e6e3e2,0x6609e3e3,0x69cdb7e1,0x29113562}},	//   рода, _brek, brae, _enza_, 
   {{0x6b8409a2,0x22a600bc,0x798ee3e4,0xb4c30a20}},	//   mmig, níků_, _tibw, ्लू_, 
   {{0x6609e3e5,0xa4d80028,0x03c63ebf,0x00000000}},	//   _drek, удку_, асим, --, 
   {{0x6d8b008a,0xdb15010e,0xd499004f,0x00000000}},	//   _bżaj, lszá, урі_, --, 
   {{0x66091d8f,0x6b84655f,0x66160080,0x80d8215e}},	//   _frek, nmig, äyks, _माहे, 
   {{0x24f62655,0xe5a3e3e6,0x6609242a,0xdb150019}},	//   _вчер, _мити, _grek, nszá, 
   {{0x6b8401c4,0x637e024a,0xf8b30070,0x99b10033}},	//   hmig, këng, ֿשר_, _চমৎক, 
   {{0xb4d206c9,0x66095625,0x88cc0033,0x69cde3e7}},	//   वली_, _zrek, র্থক, zrae, 
   {{0x91e60925,0x14170038,0xeda701a2,0x22861427}},	//   _воде, _خيمة_, ишго, _кулг, 
   {{0x51f61c8f,0x9df82ec7,0x7de700f0,0x29010054}},	//   _خسار, анят_, шінд, ydha_, 
   {{0xa3b3203f,0xc046010e,0x6b8400c2,0xd0d301d8}},	//   जीव_, _پختو, emig, _дошъ, 
   {{0xdb6b0e65,0xb17b0070,0xf99f0118,0x6b84040b}},	//   врал_, _שטור, _erèl_, fmig, 
   {{0x69cd01f2,0x9e670019,0x6b84011d,0x4ea71329}},	//   trae, _پابن, gmig, _трка, 
   {{0x63ad0704,0x7bce012b,0x6ce703bd,0xdb15010e}},	// [f910] ćani, arbu, _кіне, gszá, 
   {{0x69cd0156,0x637e024a,0x6609821e,0xf8075804}},	//   rrae, lënd, _rrek, ичен, 
   {{0x69cde3e8,0x2901e3e9,0xf99f0108,0x298805b2}},	//   srae, rdha_, _trèo_, рсто_, 
   {{0x66092f5d,0x69cd2c19,0xdb07003e,0x7c2802ae}},	//   _prek, prae, rsjó, ädre, 
   {{0x6605802f,0x64a54ac9,0xaae60116,0xdb07008c}},	//   спла, бала, _اسپو, ssjó, 
   {{0xdb1c0634,0xb4c3017d,0x637e024a,0x850a00f0}},	//   buró, ्ले_, hënd, лдің_, 
   {{0x237d006d,0xdb1c0183,0xd7f8e3ea,0x637e0034}},	//   _phwj_, curó, _кут_, kënd, 
   {{0x66093c4a,0x612de3eb,0xcc5800d1,0x00000000}},	//   _trek, _túlk, יסוק_, --, 
   {{0x130600c8,0x7985006d,0xe1f10038,0x163400c8}},	//   сный_, omhw, سسة_, _детя, 
   {{0x23e700dd,0x7bd550dc,0xf8a70466,0x64a40267}},	//   _відв, kuzu, गडिय, _мађа, 
   {{0x612d0019,0xe8df0029,0x40493eec,0x237d006f}},	//   _júli, _ngọc_, упно_, _thwj_, 
   {{0x22950084,0x9989032f,0x7bd5e3ec,0x6d8b00c3}},	//   _الإس, jzaž_, duzu, _użaj, 
   {{0x528500eb,0xf99f0118,0xa3b30154,0x00000000}},	//   _الشك, _brèm_, जीर_, --, 
   {{0xdca34095,0x7bd5e3ed,0x613600b3,0xa009031b}},	//   зари, fuzu, _vâlc, _مقتل_, 
   {{0xd4910023,0x201800c8,0xdb1c0042,0x7bd5e3ee}},	//   _bài_, ärit_, xuró, guzu, 
   {{0x2b9c031e,0xdb15010e,0xd4910108,0xbebb021e}},	//   _víc_, tszá, _cài_, skër, 
   {{0x3b070093,0x4ab91acb,0x28ea013e,0xf99f0237}},	// [f920] щето_, руся_, лдап_, _frèm_, 
   {{0xdb15006b,0xb4c3000d,0x6b84e3ef,0x20180075}},	//   rszá, ्लो_, smig, årig_, 
   {{0x6d4ead8c,0xdb150019,0xc6250033,0x23950243}},	//   miba, sszá, _মেলা_, _kāju_, 
   {{0x98b80540,0xd6d940f6,0x00000000,0x00000000}},	//   ızın_, иті_, --, --, 
   {{0x239501dd,0x291c02ae,0x7c2e03c6,0x2cba008a}},	//   _māju_, övas_, lybr, _kepd_, 
   {{0xb4d20cbe,0xe9a34a6b,0x69d6044d,0xdb050151}},	//   वले_, _харп, muye, _athè, 
   {{0x69d60369,0x15f400b0,0xa3180eba,0xa3b33918}},	//   luye, _इनकर_, ижку_, जील_, 
   {{0xe44f0084,0x6d4e0bc1,0xe737058b,0x7af6008c}},	//   عضو_, hiba, _лес_, neyt, 
   {{0xdefb004e,0x69d6e3f0,0x9406009c,0x7e990535}},	//   қын_, nuye, _گواه, یندر_, 
   {{0x6d4e50d6,0xb5fd0ed9,0x7bd50610,0x00000000}},	//   jiba, _vyšt, yuzu, --, 
   {{0x5eaa0086,0x28dd16df,0x160302e6,0x7af6e3f1}},	//   _কয়ে, न्टि, लिअर_, keyt, 
   {{0xe29ae3f2,0xeeab13f2,0x69d6813c,0x6d4e10de}},	//   _сад_, ыток_, kuye, eiba, 
   {{0x518600e4,0x637e00e5,0x511830cd,0x13ad0086}},	//   _лука, rënd, _волю_, _গিয়, 
   {{0x7bd5e3f3,0x6d4ee3f4,0x394a02b0,0x201801a4}},	//   tuzu, giba, _nmbs_, äris_, 
   {{0x7c341fde,0x3f8001be,0x3f9202a5,0x7b77243d}},	//   перх, _fhiu_, _fiyu_, مطرا, 
   {{0x7bd53f35,0xb06500c8,0x6d4e12b6,0x63a8e3f5}},	//   ruzu, seää, aiba, _mtdn, 
   {{0x6d4ee3f6,0x7bd5b453,0x69d6e3f7,0xf99f023e}},	// [f930] biba, suzu, guye, _trèm_, 
   {{0xaa7b026e,0x2be20c06,0x27050023,0x127b0070}},	//   _obýv, _पहचा, _ồn_, ראמע, 
   {{0xaa950ba6,0xd4910023,0x0a950cfe,0xf99f0237}},	//   _минч, _tài_, _маню, _krèk_, 
   {{0x69d6e3f8,0xb4c300b0,0x2d9b024a,0x291c02ae}},	//   buye, ्ल्_, _kuqe_, övar_, 
   {{0x2cb2022b,0x35e700dd,0x2c830379,0xceb400d1}},	//   _ändå_, сцев, bédé_, ליף_, 
   {{0x2c830107,0xa50941a2,0xf306009e,0x00000000}},	//   cédé_, река_, çûnê_, --, 
   {{0xe3b2006b,0xa3b31d00,0x3ea20219,0xdb05e3f9}},	//   ورٹ_, जीं_, yckt_, _athé, 
   {{0x2903e3fa,0x6d4ee3fb,0xe2990176,0x2d9302be}},	//   _haja_, ziba, шаи_, _lixe_, 
   {{0x6d4e02b8,0x612d010e,0x00000000,0x00000000}},	//   yiba, _múlv, --, --, 
   {{0x9557024f,0x4fe901a2,0x7bc5019b,0x3f800034}},	//   _اخرا, амон_, _ovhu, _shiu_, 
   {{0x2903e3fc,0x3d1d0c35,0x3f92011c,0x3f805d25}},	//   _maja_, माने_, _piyu_, _phiu_, 
   {{0x7c2e014b,0x3f6ae3fd,0x6d4ee3fe,0xb7da027a}},	//   vybr, римо_, wiba, סקרי, 
   {{0xc33200a7,0x5fc50ffc,0x3ead2afa,0x2d93010c}},	//   _קוד_, _विकल, ñeta_, _bixe_, 
   {{0x290301c4,0x2cba0126,0x61fb6089,0xf99f0118}},	//   _naja_, _qepd_, mwul, _erèk_, 
   {{0x69cb0086,0x6d4ee3ff,0xfc03e400,0x7af60088}},	//   ágen, riba, мпро, teyt, 
   {{0x2d931cf2,0x69d6e401,0xdb1c008c,0x4aaae402}},	//   _eixe_, tuye, gurð, ркан_, 
   {{0x2903e403,0x2d938cd1,0x7af6003e,0x6d4e101a}},	// [f940] _baja_, _fixe_, reyt, piba, 
   {{0x38cb15c0,0x29030033,0x69d6e404,0x2b4b00e2}},	//   لامی_, _caja_, ruye, _emcc_, 
   {{0x21270226,0x69d6896c,0xdb1c003e,0x2bd902e6}},	//   _monh_, suye, burð, बूदा, 
   {{0x69d60107,0x941100ad,0x7c2301be,0x00000000}},	//   puye, _üzə_, _ànra, --, 
   {{0x29033c3a,0x6f0431df,0x78a9010c,0x442e00f8}},	//   _faja_, _maic, _şeve, wyf_, 
   {{0x69c4e405,0x442e08b0,0x2d930212,0x3cd30083}},	//   msie, tyf_, _xixe_, _ताज़ा, 
   {{0x69c4e406,0x6f160118,0xf99f023e,0x6d8b00c3}},	//   lsie, _onyc, _arèh_, _eżaw, 
   {{0x442002f5,0x442e0691,0x31c60934,0x78bc67ed}},	//   ći_, ryf_, осов, _herv, 
   {{0x316e0065,0x2903095a,0x78bce407,0x65c31a31}},	//   _pkfz_, _yaja_, _kerv, _обта, 
   {{0x2ee000ef,0x69c44327,0x78bc076b,0x00000000}},	//   _acif_, isie, _jerv, --, 
   {{0xc05a005e,0x78bce408,0xa2e602a6,0x6f04e409}},	//   ріп_, _merv, _можд, _baic, 
   {{0x69c4e40a,0x75280bfc,0x93fb00d1,0xdb070a19}},	//   ksie, _hodz, _כלבי, lsjö, 
   {{0x7642e40b,0x7528e40c,0x6f0494e9,0x10e60cb4}},	//   nzoy, _kodz, _daic, _дюйм, 
   {{0x69c4e40d,0x2369203b,0x3af50023,0x67220080}},	//   dsie, čaje_, _ấp_, hjoj, 
   {{0x29031a3b,0x7528542d,0x69c47a28,0x6f0401c5}},	//   _raja_, _modz, esie, _faic, 
   {{0x2903e40e,0x7528e40f,0x31a00300,0x7c2802ae}},	//   _saja_, _lodz, _kòz_, ädra, 
   {{0x2903e410,0x7f4d008a,0x78bce411,0x31a00118}},	// [f950] _paja_, _imaq, _berv, _jòz_, 
   {{0x48ab0278,0x75289fde,0x490500b0,0x3f9c2358}},	//   ртам_, _nodz, _होखो_, _kuvu_, 
   {{0xab87538b,0x78bce412,0x2903007e,0x69c4e413}},	//   _мумк, _derv, _vaja_, asie, 
   {{0x2903e414,0x6722024a,0x753a01f1,0x7f4d008a}},	//   _waja_, gjoj, _altz, _jmaq, 
   {{0xe4f70f63,0x64a513cf,0x7528e415,0x5f1c0ee7}},	//   ंजलि_, пала, _bodz, यात्_, 
   {{0x64a5e416,0x75280035,0x7d05e417,0x80d00033}},	//   чака, _codz, _jahs, ত্ত্, 
   {{0x7d0500cf,0x0edb00a2,0xc7c402f1,0xc2e96564}},	//   _mahs, _भांड, _ости, معظم_, 
   {{0x799de418,0xdce73a61,0x31a00237,0xbfa30023}},	//   _kusw, dojč, _bòz_, _diễ, 
   {{0xe4e7013d,0xda0e0790,0x6f04e419,0x4cd30086}},	//   _міжн, सियत_, _raic, দ্যু, 
   {{0x7528006a,0x6f040026,0x799d728a,0x31a005d5}},	//   _godz, _saic, _musw, _dòz_, 
   {{0xa303005e,0x63ad027c,0x7995261e,0x6f040534}},	//   _жүйе, ćans, _mizw, _paic, 
   {{0x7528e41a,0xe3b008cb,0x69c4e41b,0x6abd4cc9}},	//   _zodz, _شرم_, ysie, _nesf, 
   {{0xe1ee286c,0x7d05e41c,0x75280532,0x799d00d7}},	//   _яг_, _bahs, _yodz, _nusw, 
   {{0xcfe900c5,0x200e00ef,0x320f011c,0x612d007a}},	//   _هفته_, _frfi_, _irgy_, _cúlt, 
   {{0x673b090e,0x799d02f2,0x6f0401c5,0x60c1e41d}},	//   _oluj, _ausw, _taic, malm, 
   {{0x3f670141,0x69c4e41e,0x799de41f,0x6abd0cc6}},	//   _нищо_, tsie, _busw, _cesf, 
   {{0x6abde420,0x78bce421,0xda6305ef,0x7995e422}},	// [f960] _desf, _perv, евти, _bizw, 
   {{0x01bd100b,0x69c4e423,0x6aa4e424,0x3d1d00a2}},	//   _আমাদ, rsie, scif, माणे_, 
   {{0x78bc1f3a,0x7528006a,0x799503a0,0xcc8a009c}},	//   _verv, _rodz, _dizw, _دنده_, 
   {{0xe61ae425,0x8f9a008d,0x673b00d9,0x78bc01c8}},	//   йде_, ציני, _cluj, _werv, 
   {{0x78bce426,0x7528e427,0x60c1006b,0x2d4d9ed6}},	//   _terv, _podz, kalm, džej_, 
   {{0x6d5ce428,0x3ae8006b,0x629905d5,0x60c1e429}},	//   nnra, _ابھی_, _agwo, jalm, 
   {{0x8af006d0,0x673b05b9,0x60c10019,0xdb070219}},	//   ynəl, _fluj, dalm, rsjö, 
   {{0xdce700f1,0x7528e42a,0x320f07fc,0x3f9c095a}},	//   vojč, _wodz, _brgy_, _ruvu_, 
   {{0x257600d4,0x6443e42b,0x3f9c04cb,0x60c16089}},	//   _فهرس, azni, _suvu_, falm, 
   {{0xe1ef646f,0x60c1e42c,0x6d5c1895,0x64a3e42d}},	//   اسي_, galm, jnra, _зафа, 
   {{0x6443006a,0x7d0519e0,0x06e30086,0x6729016a}},	//   czni, _rahs, _নোটি, _yoej, 
   {{0x7d05e42e,0x0ea73024,0x987b00d1,0x60c100b0}},	//   _sahs, कुंड, מריק, aalm, 
   {{0x7d05012b,0x6abda5ff,0x0e340080,0x291800a1}},	//   _pahs, _resf, еняю, _onra_, 
   {{0xe6b93081,0x5ba74a6f,0xa3d0031e,0x799d02b8}},	//   _उज्ज, зраз, _वटा_, _rusw, 
   {{0x7e6403da,0x70570f5a,0x799d1ec3,0x961d01dd}},	//   _exip, _нашр_, _susw, _izņe, 
   {{0x79953e7d,0x7d05d3aa,0x00000000,0x00000000}},	//   _sizw, _wahs, --, --, 
   {{0x7d05e42f,0x433b00c7,0x3a7500a3,0x78a50f96}},	// [f970] _tahs, צעמב, флар, tchv, 
   {{0x673b00d9,0x6729016a,0x6abd040b,0x8cd700bc}},	//   _sluj, _soej, _wesf, _बाटो, 
   {{0x673b03a1,0x6abd02c5,0x99e402d9,0x973500d7}},	//   _pluj, _tesf, ěňat, وکرا, 
   {{0xf7702751,0x067535d3,0x6d8b007b,0x64430098}},	//   هان_, муля, _eżat, vzni, 
   {{0xc1780009,0x613f0216,0x7bc73731,0x00000000}},	//   klė_, _hêle, lsju, --, 
   {{0x613f009e,0x80d80e6e,0x00000000,0x00000000}},	//   _kêle, _मागे, --, --, 
   {{0x60c103f0,0x28e200bd,0x7bc70844,0x67295cdf}},	//   valm, _पाति, nsju, _toej, 
   {{0x7aed1e9f,0x3b090065,0x613fe430,0x7c2a019c}},	//   nfat, ndaq_, _mêle, _àfre, 
   {{0x26cd008b,0x7aed0156,0x64433275,0x45d402a0}},	//   _ideo_, ifat, szni, _потс, 
   {{0xe125004f,0x3ea90034,0x7aed011c,0xdb1c02be}},	//   ємни, _afat_, hfat, lurô, 
   {{0xf770006b,0xf99f03a0,0xece30033,0xb4b91f19}},	//   _شاہ_, _grèv_, য়াড, चरी_, 
   {{0xd24e2ee9,0x60c1e431,0x994f04be,0x612d007a}},	//   انی_, salm, yüş_, _cúlr, 
   {{0x60c1e432,0x612d007a,0xc0e5022c,0x00000000}},	//   palm, _dúlr, _жолк, --, 
   {{0x25ad02fe,0x61e9e433,0x7aed0054,0xeb9ae434}},	//   _mtel_, mtel, efat, жив_, 
   {{0xdca300cf,0x7aed19fe,0x7bc70219,0x8b9602a0}},	//   таси, ffat, gsju, драч, 
   {{0xb0dd0262,0x25ad3533,0x7e760088,0x61e9aa83}},	//   _माँग, _otel_, _tyyp, otel, 
   {{0x61e9e435,0x78a90c45,0x79400502,0x092a2351}},	// [f980] ntel, _şeva, _löwe, ожай_, 
   {{0x2360044e,0xe9d70934,0x994f07fa,0x61e9e436}},	//   čiji_, ьку_, rüş_, itel, 
   {{0x61e91066,0xad1b035c,0x9d1b035c,0x2b40e437}},	//   htel, _וויר, _וויט, phic_, 
   {{0x48fa0964,0x00000000,0x00000000,0x00000000}},	//   _उसको_, --, --, --, 
   {{0x7bdc3883,0xb0dd3e22,0x80c30086,0xe5a33f74}},	//   luru, _मांग, _শান্, вичи, 
   {{0xf99f0300,0x6d8b003d,0x00000000,0x00000000}},	//   _prèv_, _użat, --, --, 
   {{0x7bdc11f7,0x61e9e438,0xa438085c,0xe73adc7b}},	//   nuru, etel, язку_, _дев_, 
   {{0xbebb0034,0xa3c100c9,0x00000000,0x00000000}},	//   gjël, _्टर_, --, --, 
   {{0x64a611db,0x7bdce439,0xd5e302f1,0x05761169}},	//   _жаза, huru, _ижти, _قائد, 
   {{0x3ea900b3,0xf99f0118,0xc1780028,0x00000000}},	//   _sfat_, _trèv_, ulė_, --, 
   {{0x7bdce43a,0xd36f6383,0x61e9e43b,0x3f520097}},	//   juru, _ач_, atel, ršun_, 
   {{0x7bdc33e8,0xdb15010e,0xf99f0237,0x69d6021e}},	//   duru, sszú, _krèt_, krye, 
   {{0x61e9002e,0x925a0198,0x7de40259,0x00000000}},	//   ctel, _بشار_, кірд, --, 
   {{0x961d00e0,0xd0101c03,0x7bc71bde,0xc05a004f}},	//   _uzņe, _ملت_, tsju, _мій_, 
   {{0xdd9448bf,0x7bdce43c,0x9f59006b,0x3d140110}},	//   тары, guru, író_, दाजे_, 
   {{0x7bc759ba,0xd1382c02,0x7aed0226,0x69d6021e}},	//   rsju, lką_, ufat, frye, 
   {{0x7aed0310,0x0dbb1fdb,0xf99f0161,0x7bc7e43d}},	// [f990] rfat, _باعث_, _què_, ssju, 
   {{0x7bdce43e,0xd13817da,0x7aed3562,0x98a301dd}},	//   buru, nką_, sfat, _bojā_, 
   {{0x25ad0e47,0x61e9e43f,0x7bdc024d,0x7aed14cf}},	//   _stel_, ztel, curu, pfat, 
   {{0x61e9e440,0x98bf008f,0x3d1d00c2,0x628202a5}},	//   ytel, ırın_, मावे_, _ozoo, 
   {{0xd2460084,0x6b8de441,0xfad600a7,0x61e9e442}},	//   _إن_, mmag, _אורך_, xtel, 
   {{0x6b8de443,0x3878008c,0xf99f0237,0xb0dd017d}},	//   lmag, _fyrr_, _drèt_, _माइग, 
   {{0x36d52009,0x64e0009a,0xd1380083,0x644e00de}},	//   _повр, _नारळ, dką_, _žbir, 
   {{0x61e9e444,0x6b8de445,0x6d550fb2,0x02053ffa}},	//   ttel, nmag, hiza, езин, 
   {{0x6d5582f4,0x61e90b1f,0x5155e446,0x7bdce447}},	//   kiza, utel, етну, zuru, 
   {{0x7bdc0540,0x7fd5c4f4,0x6282019b,0x70d9009a}},	//   yuru, німі, _dzoo, ढलेल, 
   {{0x61e9e448,0xdbd703f0,0x628201b8,0x41bf0299}},	//   stel, _jääv, _ezoo, _शौरस, 
   {{0x61e9e449,0x7bdce44a,0x9f48055f,0xc7d600d1}},	//   ptel, vuru, _opnå_, עורי_, 
   {{0xee37978d,0x6464020f,0x3e850028,0x00000000}},	//   еня_, ătiţ, jūtį_, --, 
   {{0x7bdce44b,0x6d55e44c,0xd13826c9,0x6b8d039b}},	//   turu, giza, cką_, emag, 
   {{0x6b8d003e,0x629c00bc,0xf99f0118,0x00000000}},	//   fmag, ěrov, _orès_, --, 
   {{0x28e202f8,0xab27e44d,0x39510121,0x6b8de44e}},	//   _पाहि, носа_, _amzs_, gmag, 
   {{0x2d96618f,0x6b630161,0xe9dae44f,0x6d55e450}},	// [f9a0] _прос, укта, яка_, biza, 
   {{0x7bdce451,0x6d552631,0x186a00fd,0xf4050023}},	//   puru, ciza, пази_, _đãng_, 
   {{0x313600c7,0x3d1d009a,0x6b8de452,0x00000000}},	//   ענעם_, मारे_, bmag, --, 
   {{0xf99f06df,0x78bb0a1a,0x6b8d02be,0x02be00bc}},	//   _prèt_, _đuve, cmag, _एजेन, 
   {{0x6a9b00a7,0x63a10212,0x2d9a0610,0x3bf000aa}},	//   _משכנ, _auln, _kipe_, _चहुँ_, 
   {{0x63a100a1,0xf99f0118,0x9633012d,0x2d9ac252}},	//   _buln, _erès_, ыніц, _jipe_, 
   {{0x76960792,0xff5f009e,0x63a1011c,0x290a02a5}},	//   _büyü, ynî_, _culn, _iaba_, 
   {{0x290ae453,0x2d9a0588,0xf99f6291,0x6d5505b3}},	//   _haba_, _lipe_, _grès_, ziza, 
   {{0x0566a24d,0x290ae454,0xd25000d4,0x6d55e455}},	//   _зван, _kaba_, شند_, yiza, 
   {{0x290a42f2,0x6602116f,0xd1380009,0x6d550183}},	//   _jaba_, mwok, uką_, xiza, 
   {{0xd138e456,0x290a3369,0x63a100a3,0x20130068}},	//   rką_, _maba_, _guln, _áxil_, 
   {{0x290ae457,0xd13817da,0xdb1c00a8,0xde590009}},	//   _laba_, ską_, nsrä, дамі_, 
   {{0x6b4300b0,0x82332949,0xff5f0216,0x00000000}},	//   _jõge, _مروا, rnî_, --, 
   {{0x236001b4,0x290ae458,0x2d9aa998,0x2c0d009a}},	//   čiju_, _naba_, _cipe_, हिलं_, 
   {{0x6b8d00a3,0x291f001b,0x00000000,0x00000000}},	//   tmag, _đua_, --, --, 
   {{0x6d55e459,0x6b8de45a,0x290a02a5,0x8e1500d9}},	//   siza, umag, _aaba_, _адиц, 
   {{0x290a44db,0x6b8de45b,0xdb1c014e,0x49750cb2}},	// [f9b0] _baba_, rmag, dsrä, влас, 
   {{0x3eb902ec,0x290a0369,0x602a00ad,0xdbd70080}},	//   lbst_, _caba_, həmm, _pääv, 
   {{0xb909e45c,0x3f89e45d,0xf99fe45e,0x290ae45f}},	//   _या_, _khau_, _près_, _daba_, 
   {{0x290a0149,0xcb3500fd,0x613fe460,0x36d5479e}},	//   _eaba_, _ремъ, _mêla, тодр, 
   {{0xa509486c,0x5b140141,0x290a0068,0x9a840278}},	//   дела_, _смят, _faba_, _бурл, 
   {{0x290ae461,0x3f89006d,0xf99f0118,0xaae10c59}},	//   _gaba_, _lhau_, _frèr_, _फाँक, 
   {{0xf99f0518,0x3ce9456f,0x32060495,0x27f4020b}},	//   _très_, _जाने_, _asoy_, čaná_, 
   {{0x3f890029,0x236902ee,0x9f5d0187,0x290ae462}},	//   _nhau_, čajo_, _prvý_, _zaba_, 
   {{0x339200eb,0x13060088,0x290abafd,0x0322e463}},	//   جليز, тный_, _yaba_, рдын, 
   {{0x63a100b0,0x6604009e,0xdb1c017b,0x00000000}},	//   _tuln, çike, msrå, --, 
   {{0x3f8900a1,0x3f6a0267,0x854400b3,0x602a0248}},	//   _bhau_, дино_, _сэте, qəml, 
   {{0xbebb00e5,0xada602f1,0x3f89e464,0x6da6d92d}},	//   njëh, камл, _chau_, кима, 
   {{0x3f8901c1,0x910500d9,0x28e20fc0,0xdb1c2379}},	//   _dhau_, _апле, _पालि, nsrå, 
   {{0x3afc0108,0x00000000,0x00000000,0x00000000}},	//   _ập_, --, --, --, 
   {{0x290ae465,0x00000000,0x00000000,0x00000000}},	//   _raba_, --, --, --, 
   {{0x290ae466,0xf8b90023,0x60c3e467,0x6b63e468}},	//   _saba_, _đũa_, _henm, акса, 
   {{0x2d9ae469,0xc33202a1,0x9e6600dd,0xdb1c014e}},	// [f9c0] _tipe_, בון_, _швид, vsrä, 
   {{0x3ce90e36,0x290a12ed,0xdb1c68ed,0x637e0034}},	//   _जाये_, _qaba_, dsrå, gënj, 
   {{0x37a9005e,0x60c30300,0x290a007e,0x8c461d6b}},	//   етін_, _menm, _vaba_, _рене, 
   {{0x60c3e46a,0x290a01eb,0xf99f023e,0x6b4300b0}},	//   _lenm, _waba_, _isèn_, _põge, 
   {{0x290ae46b,0x7ae40102,0x3ce900bd,0x7bda174f}},	//   _taba_, mgit, _जामे_, štud, 
   {{0x66023974,0x7ae4007e,0xcdb700a7,0x46160116}},	//   rwok, lgit, דפסה_, _یوزر, 
   {{0x03c300f0,0xf3666173,0x27962765,0xdcee0604}},	//   асым, ктин, _ашар, jobč, 
   {{0xd5b200d4,0x65c4004e,0x799ce46c,0x7ae41247}},	//   _نفر_, _бұда, _hirw, ngit, 
   {{0x35a6152e,0xe5a6e46d,0x799c0610,0x25a600a3}},	//   _разг, _ризи, _kirw, qqol_, 
   {{0x3ea0026a,0x6fb8286c,0xc05a00f0,0x613f010c}},	//   _agit_, нгор_, дім_, _pêla, 
   {{0x60c3e46e,0x3f8901a0,0x41d4288f,0x26c4e46f}},	//   _denm, _phau_, _दिवस, _kemo_, 
   {{0x60c30d2d,0x200702a2,0x3f89006d,0x620703c5}},	//   _eenm, _dsni_, _qhau_, ärlä, 
   {{0x3eb90380,0x60c305d5,0x81d40176,0x7ae4845e}},	//   rbst_, _fenm, _солх, dgit, 
   {{0xc693008d,0x26c4084c,0x799ce470,0x60c309ad}},	//   יאר_, _lemo_, _nirw, _genm, 
   {{0x3f89e471,0x2d4d11b1,0x9f6b2831,0x60c803c5}},	//   _thau_, džet_, _ориз_, madm, 
   {{0xeab30084,0x7ae4e472,0x05d207d5,0x98a30083}},	//   شعر_, ggit, _सिंब, _moją_, 
   {{0x5a34021f,0x799ce473,0x61e0e474,0x60c30241}},	// [f9d0] антт, _birw, numl, _yenm, 
   {{0x58b80084,0x60c8bfc3,0x3ad300e7,0x6f0d018e}},	//   نامج_, nadm, ệp_, _haac, 
   {{0x26c46ad1,0x61e006a2,0x637e024a,0xd7d508bd}},	//   _bemo_, huml, rënj, ужењ, 
   {{0x26c404d1,0x236602f5,0xdb1ce475,0x61e0e476}},	//   _cemo_, _njoj_, tsrå, kuml, 
   {{0x61e0090a,0x6f0dcae5,0x799c00f3,0x80c30033}},	//   juml, _maac, _firw, _শাস্, 
   {{0x6b9d6d72,0x236600ca,0x6f0d0b03,0xa3e9ca26}},	//   _hisg, _ajoj_, _laac, едка_, 
   {{0x60c30cd7,0x29010364,0x60c80369,0xe4e400dd}},	//   _renm, meha_, dadm, річн, 
   {{0x442902f5,0x29010364,0x60c303a0,0x42090267}},	//   ća_, leha_, _senm, енио_, 
   {{0x6b9d37bd,0x69cd00f8,0x60c3e477,0x29010226}},	//   _misg, nsae, _penm, oeha_, 
   {{0x29010149,0x814500d4,0x6609e478,0x26c4e479}},	//   neha_, اندن, _isek, _zemo_, 
   {{0x68e50a92,0x6f0d02a5,0x6b650028,0xb5fd0028}},	//   ighd, _baac, jėgo, _ryšy, 
   {{0xe1f100c5,0x29cf00e0,0x8af000ad,0xdb15010e}},	//   _هست_, kļa_, nnət, gszü, 
   {{0x2901e47a,0x60c32a1b,0x60c800b9,0x8e560c8b}},	//   keha_, _tenm, badm, утні, 
   {{0x2901027c,0x6da307a4,0xe81605f6,0x6b9d0358}},	//   jeha_, сира, णिमा_, _aisg, 
   {{0x8c43e47b,0x29010180,0x2007015e,0xab1a0504}},	//   бере, deha_, _usni_, нцах_, 
   {{0x3ea00102,0x799ce47c,0x6b9d0036,0x2ee60080}},	//   _ugit_, _sirw, _cisg, _сжиг, 
   {{0x6a8600b9,0xc33203e1,0x660928ee,0x6b9de39f}},	// [f9e0] улаа, זון_, _nsek, _disg, 
   {{0x6d47b9ff,0x29010218,0x26c40036,0x7ae4e47d}},	//   chja, geha_, _semo_, sgit, 
   {{0x3ce93e0a,0x6609e47e,0x6f0d268c,0x6b9d019c}},	//   _जाते_, _asek, _yaac, _fisg, 
   {{0x6aad02a3,0x61e000a3,0x69cd0226,0x799c039b}},	//   ccaf, yuml, bsae, _wirw, 
   {{0x2901084c,0x7bce098d,0x26c4008b,0x81a90033}},	//   beha_, lsbu, _vemo_, গীত_, 
   {{0x18a38f84,0x27e100e2,0x24580bf8,0x7bdce47f}},	//   _гарм, buhn_, каль_, orru, 
   {{0x26c4e480,0x7bce03fc,0x6609e481,0xec3600c7}},	//   _temo_, nsbu, _esek, טאַר_, 
   {{0x533411d2,0x395a7152,0xf7434df8,0xb0420210}},	//   реит, lips_, _лесо, _ngưở, 
   {{0x6f0d01be,0x142600f0,0x25a4e482,0x602a00ad}},	//   _raac, _әдем, _uuml_, məmi, 
   {{0x61e08ebf,0x6f0d002c,0x7f44e483,0x7bcee484}},	//   ruml, _saac, _aliq, ksbu, 
   {{0x7bcee485,0x637e00e5,0xd8db0070,0xf5930038}},	//   jsbu, hëni, עקטר, _اللج, 
   {{0x7f44e486,0xa0870a31,0x7bce042a,0x395a1453}},	//   _cliq, ысыз_, dsbu, hips_, 
   {{0x2d4d0571,0x3ce9007e,0x6b9de487,0x6d477b90}},	//   džer_, _जादे_, _risg, thja, 
   {{0x7f44e488,0x3d0f0035,0x6f0d0548,0xdb15010e}},	//   _eliq, ायें_, _waac, sszü, 
   {{0x6f0d0175,0xbc9503b7,0x645c02fe,0x6b9d0118}},	//   _taac, равј, _žrij, _pisg, 
   {{0x6d47e489,0x2901025b,0x00000000,0x00000000}},	//   shja, weha_, --, --, 
   {{0xa3e40598,0xb9550093,0x6b9d0450,0x2901084c}},	// [f9f0] भूत_, аващ, _visg, teha_, 
   {{0x69cde48a,0xdb15010e,0x395a0474,0x6609040b}},	//   rsae, tszó, gips_, _rsek, 
   {{0x6d4506d0,0xa3a904b7,0x29019ab0,0x6d5700c3}},	//   _ilha, _गंध_, reha_, _imxa, 
   {{0x657a008a,0x69cdbd2d,0x290107d7,0x660901d6}},	//   _akth, psae, seha_, _psek, 
   {{0x3d0a02f8,0x2901e48b,0xe4c5e48c,0xf625011f}},	//   ायचे_, peha_, айли, рдло, 
   {{0xdfc6091d,0x6609008b,0x8cba0551,0x6604010c}},	//   _وي_, _vsek, ्रयो, çika, 
   {{0x04450e8a,0x00000000,0x00000000,0x00000000}},	//   рейн, --, --, --, 
   {{0x6609e48d,0x613f019c,0x2b490108,0xdb0502ae}},	//   _tsek, _pêlo, nhac_, _uthä, 
   {{0x6d4503b7,0x6609e48e,0xb145e48f,0xdc0200a5}},	//   _olha, _usek, инил, _लन्ड_, 
   {{0xe9ff00e7,0x3d0f0083,0x00000000,0x00000000}},	//   _giấc_, ायों_, --, --, 
   {{0xa0695418,0x0467e490,0xb4d1009a,0x7f4400b9}},	//   тана_, _стам, वणी_, _pliq, 
   {{0x2ba90366,0x2f56e491,0x82340e0e,0xb275019c}},	//   _कढ़ा, ртос, _گرما, _клеш, 
   {{0x6d45006d,0x93940019,0xada60009,0x6da6545c}},	//   _blha, _اجلا, рагл, рига, 
   {{0x823400c5,0xc0e2e492,0x2d9e175a,0x7bce14f3}},	//   _درما, _дошк, öte_, tsbu, 
   {{0xb7b000cc,0x30790137,0x207900c7,0xdea200d4}},	//   _চট্ট, _באַנ, _באַא, _ویدی, 
   {{0x6d45e493,0xbb430165,0x224d00b4,0x00000000}},	//   _elha, оеск, ozek_, --, 
   {{0xeb9717f7,0x395a0343,0x3b073065,0x09e67c6c}},	// [fa00] рит_, tips_, шето_, розн, 
   {{0x7bce0626,0x1aee0086,0x637e021e,0x224d01d6}},	//   psbu, _চোখে_, rëni, izek_, 
   {{0xc7961e54,0x395ae494,0x602a00ad,0x59da0299}},	//   арды, rips_, təmi, यूजर, 
   {{0x28e23278,0x09e60088,0x9b03e495,0xaaaa0299}},	//   _पाकि, _комн, _дзюд, _कलिक, 
   {{0x613f08b0,0xf1d400bc,0x3f82011c,0x00000000}},	//   _pêll, _दिइन, ilku_, --, 
   {{0xd9460a66,0x2b4000ef,0x00000000,0x00000000}},	//   _теги, lkic_, --, --, 
   {{0x0fe000cc,0x53467dc5,0xb7da011c,0x22a60176}},	//   _বন্ধ, ихиа, _جوزا_, қуқҳ, 
   {{0x6d5ce496,0x320a0035,0x2b400ab4,0x00000000}},	//   hira, łbym_, nkic_, --, 
   {{0x6d5ce497,0x21660091,0xd5a4009c,0xdb0502ae}},	//   kira, итог, _طلای, _uthå, 
   {{0x6d5ce498,0x657a023e,0x09f700d1,0x845a03a1}},	//   jira, _ukth, סמים_, _ирет_, 
   {{0x940600c5,0x13060141,0xb4c204cc,0x2d4d0ab4}},	//   _خواه, _взем, ंरी_, džep_, 
   {{0x6d5c145a,0xd49100e7,0xc2e9007a,0xbddb011c}},	//   eira, _này_, _معهم_, nyèg, 
   {{0x224d00ab,0xee8713f2,0x6d45023b,0x443c0032}},	//   czek_, рыно, _plha, lyv_, 
   {{0x657d097b,0x6d5c6166,0x73fa0033,0x00000000}},	//   _ësht, gira, ্মীয়_, --, 
   {{0x443c0019,0x5f9500d9,0xb0b700d1,0x00000000}},	//   nyv_, _ликт, _דפוס_, --, 
   {{0x4fb3105a,0xb09b008d,0x7e6d0a9f,0xe51d1d11}},	//   _بصور, _ביור, _txap, _योनि_, 
   {{0x6d5ce499,0x6d450194,0x443c0126,0x8d874b5e}},	// [fa10] bira, _tlha, hyv_, _вунд, 
   {{0x236906e0,0xb4c20299,0x63a80c0c,0x00000000}},	//   čaji_, ्णो_, _oudn, --, 
   {{0x2d83090b,0x69c0024a,0x63a80de4,0x57f5e49a}},	//   mlje_, _çmen, _nudn, спет, 
   {{0xd3660629,0x2d833e6b,0xe79600d7,0x00000000}},	//   _ره_, llje_, مانک, --, 
   {{0xa9971c03,0x201a0604,0x2d8300fc,0x63a8076b}},	//   _نشست, _špil_, olje_, _audn, 
   {{0xd469d511,0xb4d100a2,0x24e941a0,0x3a360486}},	//   лиле_, वणे_, умки_, _הרשם_, 
   {{0x58d40a65,0xbebb024a,0x612d039f,0x19580b40}},	//   _фост, njës, _túlz, _тары_, 
   {{0x13096524,0x224d01ca,0x2911e49b,0xdb05007a}},	//   уний_, tzek_, _haza_, _athú, 
   {{0x6d5c024d,0x2911e49c,0x7f5d00b9,0xdb0e0151}},	//   yira, _kaza_, disq, édéf, 
   {{0x291184cf,0x6d5ce49d,0x77b301f2,0x661b45e2}},	//   _jaza_, xira, _eħxe, _iruk, 
   {{0x224d2197,0x3ea600cf,0x93270019,0x291158f9}},	//   szek_, йинг, _پران, _maza_, 
   {{0x2911d43f,0x6d5ce49e,0x3ea401e8,0x69dd009a}},	//   _laza_, wira, ømt_, _पिढी, 
   {{0xf1a74885,0x237400eb,0x63a80082,0xade300c9}},	//   _трен, _بالح, _zudn, कूलन_, 
   {{0x7c3c01e8,0x2911e49f,0x661be4a0,0x2d830604}},	//   tyrr, _naza_, _mruk, glje_, 
   {{0x6d5ce4a1,0x8c4311c2,0xbebb00e5,0x92e90086}},	//   rira, пере, gjës, য়ী_, 
   {{0xaec62f7c,0xce5a009c,0x6b8f00a1,0x2b5900b9}},	//   _убил, _مشخص_, _chcg, _cmsc_, 
   {{0xe8fab699,0x2911e4a2,0x2d8300d0,0x612d0019}},	// [fa20] лла_, _baza_, blje_, _súly, 
   {{0x2911e4a3,0xeeeb001b,0x4a4303b7,0x6d5ce4a4}},	//   _caza_, ượng_, чнув, qira, 
   {{0x3eade4a5,0x2911a832,0x661be4a6,0x9b46029a}},	//   žete_, _daza_, _aruk, _هندو, 
   {{0x661b55da,0x6f06090b,0xa6ca1e38,0x929d0083}},	//   _bruk, nekc, улда_, zeła, 
   {{0x6b84e4a7,0x991602fb,0x63a87dc6,0x3d1d009a}},	//   mlig, _льві, _sudn, माचे_, 
   {{0x28e2047c,0xbebb0034,0x443c0d09,0x00000000}},	//   _पाटि, njër, tyv_, --, 
   {{0x68e3e4a8,0x661b01b8,0x6578020b,0x6b8401a4}},	//   ónde, _eruk, rovh, olig, 
   {{0x661b03a8,0x291100a9,0x938a0080,0x00000000}},	//   _fruk, _zaza_, ысла_, --, 
   {{0x3ce900b0,0xcb1300d1,0x2911e4a9,0x6d800080}},	//   _जाले_, ללה_, _yaza_, löau, 
   {{0x3a370056,0x63a80019,0x6b84e4aa,0xf8ba017d}},	//   צרים_, _tudn, hlig, ेरिय, 
   {{0x2d8300f1,0x6b84e4ab,0x7f5d7920,0xe97b00c7}},	//   vlje_, klig, tisq, רניש, 
   {{0x6b846554,0x8f475f3a,0x398f0380,0x923b02d9}},	//   jlig, сход, müse_, ířát, 
   {{0x7f5d04fe,0x6b8417f1,0x2d830a1a,0x00000000}},	//   risq, dlig, tlje_, --, 
   {{0x63a200eb,0x2167516f,0x6282011c,0x6b650009}},	//   _hion, _личи_, _iyoo, mėgi, 
   {{0x63a20010,0x7bda0b1d,0x2911e4ac,0x853b042c}},	//   _kion, štun, _raza_, נגלי, 
   {{0x6b8417f1,0x63a214a8,0x2d8308e3,0xbab92170}},	//   glig, _jion, slje_, ргах_, 
   {{0x63a2e4ad,0x201c0242,0x200e00ca,0x291100b3}},	// [fa30] _mion, _hrvi_, _hsfi_, _paza_, 
   {{0x3947b5a2,0x6b84e4ae,0x998004d6,0xdcee0474}},	//   óns_, alig, rviş_, robă, 
   {{0x6b847052,0x4c954f49,0xe7870c8b,0x645e0032}},	//   blig, _финс, будо, úpil, 
   {{0x63a27bfd,0xcb0b0504,0x501b00d1,0x201c0372}},	//   _nion, _сход_, טובו, _mrvi_, 
   {{0x628201a0,0x29110327,0xd6296019,0xd70600f0}},	//   _nyoo, _taza_, роле_, інше_, 
   {{0x81b700cc,0xf2b30f7a,0x7d070fb5,0x63a2018e}},	//   _ছিল_, ीर्घ, nejs, _aion, 
   {{0xf8ae06bc,0xc7c4002e,0x6282e4af,0x00000000}},	//   _شکل_, _нсти, _ayoo, --, 
   {{0x63a2009f,0x661b4a82,0xc24543a1,0xf1d40035}},	//   _cion, _truk, жник, _दिखन, 
   {{0x63a2e4b0,0x661b024d,0x7d070352,0x4225004f}},	//   _dion, _uruk, kejs, ідов, 
   {{0x92e9100b,0x26cfe4b1,0x628b02ee,0x6b8402f1}},	//   য়ে_, lago_, _vzgo, zlig, 
   {{0x5f062338,0x6b84d501,0x63a28066,0x7d078568}},	//   озна, ylig, _fion, dejs, 
   {{0x26cfe4b2,0x7c2a022c,0x533401fc,0x63a2e4b3}},	//   nago_, _àfri, _нехт, _gion, 
   {{0x6b840c29,0x80ba0790,0x2378010e,0xe1ee0995}},	//   vlig, _श्वे, _írja_, _юг_, 
   {{0x236902f5,0x63a2e4b4,0x7afde4b5,0x6b84008a}},	//   čaju_, _zion, _abst, wlig, 
   {{0x6b84e4b6,0x26cfe4b7,0xf99f0118,0x00000000}},	//   tlig, kago_, _frèz_, --, 
   {{0x63a20201,0xeeeb00e7,0x26cfab16,0xb33c01f2}},	//   _xion, ưỡng_, jago_, _ruħk, 
   {{0x6b84e4b8,0x26cf6a7e,0x628201a0,0x00000000}},	// [fa40] rlig, dago_, _xyoo, --, 
   {{0x6b84e4b9,0x7afd0102,0xf99f0118,0x09031aca}},	//   slig, _ebst, _krèy_, мпун, 
   {{0xb902006a,0xfaa654b5,0x6b84e4ba,0xcc8a00c5}},	//   _नए_, _мано, plig, _خنده_, 
   {{0xe61ae420,0x34b40e49,0x6b8400a3,0xf99f0118}},	//   иде_, ुर्द, qlig, _apèd_, 
   {{0x63a2e4bb,0x929d0083,0x2b470474,0x00000000}},	//   _rion, wełn, _înca_, --, 
   {{0x6d4ee4bc,0xf99f0118,0x26cf052b,0x00000000}},	//   nhba, _orèy_, aago_, --, 
   {{0xf74611f4,0x26cf0268,0x1867e4bd,0xd57501fc}},	//   _дево, bago_, _дари_, чуць, 
   {{0x7d07e4be,0x26cf96fd,0x662502d9,0x70e22a2c}},	//   zejs, cago_, átký, पल्ल, 
   {{0x63a2086d,0x056610a0,0x6d4e1780,0x416a02a6}},	//   _vion, _дван, khba, ијом_, 
   {{0x929d00ab,0x321d02bf,0xd13a0f5a,0x6282025b}},	//   pełn, _drwy_, рхи_, _vyoo, 
   {{0xe81d07bd,0x63a2e4bf,0x6d4e00eb,0x7d07e4c0}},	//   फिया_, _tion, dhba, vejs, 
   {{0x80ba08dd,0x201c0121,0xa3df00bd,0x71a6012d}},	//   _श्रे, _vrvi_, _तित_, _дадз, 
   {{0x3326e4c1,0x079b035c,0xdb1c5cbd,0x7d07e4c2}},	//   _inox_, יסטל, mprè, tejs, 
   {{0x26cf01ca,0x656a007a,0x2585009e,0xdcf701f2}},	//   zago_, nnfh, mêlê_, _mixħ, 
   {{0x7d073c36,0x26cf25bb,0x93bc00b3,0xf99f0237}},	//   rejs, yago_, _drăg, _trèz_, 
   {{0x671900aa,0x26cf01cf,0x00000000,0x00000000}},	//   _नोंक_, xago_, --, --, 
   {{0xaf4b06bc,0x26cf80b3,0x7d070035,0x3ea9d234}},	// [fa50] _مشکل_, vago_, pejs, _igat_, 
   {{0x6d4e02f2,0xcd0000ab,0x929d0083,0x00000000}},	//   chba, ęści_, zeło, --, 
   {{0x26cfe4c3,0xb8d3047c,0x2585009e,0x00000000}},	//   tago_, _ऑल_, hêlê_, --, 
   {{0x4758004f,0x00000000,0x00000000,0x00000000}},	//   орія_, --, --, --, 
   {{0x26cf1b42,0x59e20b26,0x98aa0035,0x3a2d009e}},	//   rago_, _पियर, _sobą_, _çep_, 
   {{0x7aede4c4,0xa5092849,0x2ea81721,0x93bc0474}},	//   lgat, сека_, _गल्त, _orăd, 
   {{0x26cfe4c5,0x2b4b0640,0x64a2e4c6,0x1b0e0033}},	//   pago_, _klcc_, наша, হারে_, 
   {{0x3f990082,0x3ea99c5a,0xf2d11372,0x00000000}},	//   jmsu_, _ngat_, رآب_, --, 
   {{0x020200b3,0x93bc0474,0xc2e8007a,0x00000000}},	//   езын, _arăd, زعيم_, --, 
   {{0x3ea90084,0x2eb60ffc,0xe3b320b4,0x9f461390}},	//   _agat_, ूर्त, _قرص_, mulé_, 
   {{0x7aed0194,0xf3f000eb,0x48fd08dd,0xdca60176}},	//   kgat, _لأن_, र्यो_, ҷаги, 
   {{0x321d02bf,0x3f6a0601,0x23fa00d1,0x25a500d1}},	//   _trwy_, симо_, _לפעמ, _hill_, 
   {{0x7aed4909,0x9f4630f5,0x25a5e4c7,0x23b135ee}},	//   dgat, nulé_, _kill_, _háj_, 
   {{0x7aede4c8,0xb226008c,0x7bda012d,0xdb1c1390}},	//   egat, stæð, štum, mpré, 
   {{0xa0661d55,0x93bc00d9,0x3eade4c9,0x25a55dc1}},	//   _наша_, _grăd, žeta_, _mill_, 
   {{0x25a50529,0x23b174cd,0x8b95e4ca,0x7aede4cb}},	//   _lill_, _máj_, друч, ggat, 
   {{0x6b650028,0x00000000,0x00000000,0x00000000}},	// [fa60] jėgu, --, --, --, 
   {{0xe9d701fc,0x9f46009c,0x7aed01f1,0xef1801dd}},	//   яку_, dulé_, agat, ēļu_, 
   {{0xdb240019,0x6d3b00df,0x5d3b00df,0x0d3b00df}},	//   _ہوگی, _התינ, _התיא, _הגיב, 
   {{0x61e9e4cc,0x25a51bf0,0x44221ba0,0xdb1c10fd}},	//   kuel, _aill_, _čk_, kpré, 
   {{0xd6cf0133,0x61e90369,0xceb3042c,0x25a500d1}},	//   اقه_, juel, גיד_, _bill_, 
   {{0x25a50557,0x61e9e4cd,0x453608af,0x00000000}},	//   _cill_, duel, яхет, --, 
   {{0xb4ac0262,0x5334e4ce,0xa84a0038,0x00000000}},	//   _गली_, дейт, _الأم_, --, 
   {{0xe3af00c5,0x98a30eba,0x25ad92b4,0x9f46023e}},	//   درو_, _чисе, _fuel_, bulé_, 
   {{0x6d5ee4cf,0xdb1c39fa,0x69d6e4d0,0x518613cb}},	//   _ompa, rprè, nsye, зуна, 
   {{0x25fb04d7,0x7aed0019,0x6d5e00e2,0xdb1c61ef}},	//   ोबरी_, zgat, _nmpa, sprè, 
   {{0xc05a004e,0x3dc90118,0x6f16c056,0x93bc107c}},	//   сіп_, _swaw_, _bayc, _brăe, 
   {{0x6d5ee4d1,0x69d6e4d2,0x6f168056,0x61e9e4d3}},	//   _ampa, ksye, _cayc, buel, 
   {{0x61e915c4,0x764240d6,0xe2860161,0x753a4860}},	//   cuel, nyoy, _элди, _kotz, 
   {{0x753a0a9f,0x7aed00a1,0x93bc020f,0x7bd561dd}},	//   _jotz, wgat, _trăd, tszu, 
   {{0x01336349,0x1dd907d5,0x753a01cf,0x317e01f1}},	//   _سعود, _भटकत, _motz, motz_, 
   {{0x7aed00d9,0x3ce9007e,0x3ea9134a,0x4ea702f1}},	//   ugat, _जाके_, _ugat_, _эрка, 
   {{0x7aed7789,0x7bd50019,0x39154311,0xad270491}},	// [fa70] rgat, sszu, ммар, _فردو, 
   {{0x48abe3e2,0x7aede4d4,0x7642078a,0xa41c00a5}},	//   стам_, sgat, dyoy, पटाप_, 
   {{0xf7700296,0x69d605d5,0x00000000,0x00000000}},	//   گال_, asye, --, --, 
   {{0xf7730b7e,0xf1dd00ab,0xf99f011c,0x25a521cc}},	//   راض_, _मिलन, _asèt_, _sill_, 
   {{0x25ad9989,0x61e9e4d5,0x7642011d,0x7f4d01f2}},	//   _quel_, xuel, gyoy, _mlaq, 
   {{0x61e908f4,0xc984004f,0x6d477459,0x59e21faf}},	//   vuel, _зуси, nkja, _पितर, 
   {{0x25a5e4d6,0x7d1700cf,0xe9ff001b,0x753a54a7}},	//   _vill_, _maxs, _khắc_, _dotz, 
   {{0x25a5e4d7,0x96f803dc,0xb2250609,0x7528e4d8}},	//   _will_, _нест_, дмил, _endz, 
   {{0x25a51443,0x6d47e4d9,0xf7700a5a,0xdb060218}},	//   _till_, kkja, _صاف_, _bikê, 
   {{0xdb1ce4da,0x48f2031e,0x753a01ca,0x320d1a77}},	//   rpré, ुभयो_, _gotz, rwey_, 
   {{0xdee6e4db,0xdb1c0161,0x656303b7,0x672900a4}},	//   мони, spré, minh, _knej, 
   {{0x6563e4dc,0x6d5e085f,0xe9ff00e7,0xe8050035}},	//   linh, _smpa, _nhắc_, _रहना_, 
   {{0x61e98b71,0xa2940769,0x236de4dd,0x515575e1}},	//   quel, _заці, mnej_, _отку, 
   {{0x236db902,0x6563e4de,0x2480027e,0xe1f90028}},	//   lnej_, ninh, şime_, mtų_, 
   {{0x6da3ad1b,0x628f003a,0xada31ed0,0xe1f90009}},	//   тира, škoć, тарл, ltų_, 
   {{0xe9ff0029,0x6563e4df,0x236de4e0,0x77620183}},	//   _chắc_, hinh, nnej_, xiox, 
   {{0xe1f900e4,0x2d964eff,0x6563e4e1,0x6d5e02f6}},	// [fa80] ntų_, _орос, kinh, _tmpa, 
   {{0x6d5e0985,0x69d6e4e2,0x65630165,0x6443d077}},	//   _umpa, rsye, jinh, kyni, 
   {{0x6563e4e3,0x673b0300,0x672901f2,0x753a4249}},	//   dinh, _bouj, _bnej, _rotz, 
   {{0xe1f900e4,0x644357da,0x236da1cb,0x69d6d77a}},	//   ktų_, dyni, jnej_, psye, 
   {{0x236de4e4,0x7d1700cf,0x6563bcee,0x776201ca}},	//   dnej_, _yaxs, finh, riox, 
   {{0x6563e4e5,0xf8b200bd,0x6729e4e6,0x64430156}},	//   ginh, _जलिय, _enej, fyni, 
   {{0x8af000ad,0x2918e4e7,0x00000000,0x00000000}},	//   biət, _iara_, --, --, 
   {{0x2918e4e8,0x27f7000d,0xd0410095,0xf363e4e9}},	//   _hara_, žení_, qalə, ктын, 
   {{0x6d47010d,0x6563e4ea,0x26c6e4eb,0xe1f90028}},	//   ykja, binh, mboo_, gtų_, 
   {{0x2918e4ec,0x270e0394,0x656302a0,0x93bc00b3}},	//   _jara_, _ससुर_, cinh, _crăc, 
   {{0x2918e4ed,0x7f4de4ee,0x236de4ef,0xc05700dd}},	//   _mara_, _plaq, bnej_, дія_, 
   {{0x2918e4f0,0x122a00c8,0x236da76a,0x9f46010c}},	//   _lara_, _моей_, cnej_, sulî_, 
   {{0x29188ce4,0xcd000083,0x00000000,0x00000000}},	//   _oara_, ęśni_, --, --, 
   {{0x2918e4f1,0x77600183,0x8ca00299,0x00000000}},	//   _nara_, _lmmx, _गृहो, --, 
   {{0x5ba748f2,0x6d47e4f2,0x6b515e4b,0xf99f011c}},	//   драз, rkja, _låge, _osèr_, 
   {{0x656300ce,0x6d472652,0x3cfb00b0,0x160001ec}},	//   zinh, skja, _लउके_, ोबार_, 
   {{0x2918e4f3,0x64430035,0xd91b0080,0x3a7501ff}},	// [fa90] _bara_, zyni, жье_, хлар, 
   {{0x291894ae,0x6563e4f4,0x6729e135,0x661d008c}},	//   _cara_, xinh, _snej, _áski, 
   {{0x2918e4f5,0x656302a0,0xe9ff001b,0x5c7400d9}},	//   _dara_, vinh, _thắc_, _алэт, 
   {{0x05e00c14,0xe1f90009,0x291800a1,0x64430028}},	//   _निशब, ytų_, _eara_, vyni, 
   {{0x2918e4f6,0x656303b7,0x236d0187,0x64430156}},	//   _fara_, tinh, vnej_, wyni, 
   {{0x2918deec,0x6443e4f7,0xfbd013b4,0x236d0035}},	//   _gara_, tyni, _حتی_, wnej_, 
   {{0x673be4f8,0x6563e4f9,0x236d3508,0xd88300c5}},	//   _touj, rinh, tnej_, _شهری, 
   {{0x2918e4fa,0x6563e4fb,0x6b51014e,0x6443e4fc}},	//   _zara_, sinh, _fåge, ryni, 
   {{0x236de4fd,0x2918e4fe,0x656302a0,0xdb06011c}},	//   rnej_, _yara_, pinh, _dikè, 
   {{0xdb0600e5,0xe1f9012d,0x236da1cb,0x29180216}},	//   _pikë, rtų_, snej_, _xara_, 
   {{0xe1f900e4,0x236d2b55,0x1ee800d7,0x00000000}},	//   stų_, pnej_, وودی_, --, 
   {{0xe1f90009,0xd4983109,0x00000000,0x00000000}},	//   ptų_, _цру_, --, --, 
   {{0x3ea4014e,0x25bf008a,0x00000000,0x00000000}},	//   ämt_, _jtul_, --, --, 
   {{0x21f9023e,0x98aa031e,0xdb050019,0x61fbe4ff}},	//   mèh_, _době_, _ruhá, mtul, 
   {{0x61fbe500,0xeb9a5131,0xab2ae501,0x3b960165}},	//   ltul, зив_, пова_, ејат, 
   {{0x2918e502,0xdbd6007e,0x61fbe503,0xa3c20299}},	//   _sara_, _rääg, otul, ्ठत_, 
   {{0x2918e504,0x61fbe505,0xa926cbfc,0x21f900d4}},	// [faa0] _para_, ntul, ндал, nèh_, 
   {{0x5e5700c7,0x3f82e506,0x29180095,0xdb1c0042}},	//   _נייע_, loku_, _qara_, mprí, 
   {{0x2918e507,0xa6e60f6b,0x6e240352,0x78b30216}},	//   _vara_, ежел, _hrib, _şevê, 
   {{0x29180529,0x25bf3107,0x3ae8006b,0x61fba9a9}},	//   _wara_, _btul_, _کبھی_, ktul, 
   {{0x2918e508,0x8af000ad,0xa3a902e6,0x6f04190c}},	//   _tara_, rhəd, _गंज_, _mbic, 
   {{0x59b5143e,0x3b000065,0x97c300f0,0x6b511950}},	//   _अंतर, lfiq_, _әйте, _våge, 
   {{0xf8a71489,0x66e6e509,0xdcfc0082,0xdb060237}},	//   _कृपय, _пова, jorč, _pikè, 
   {{0x31c6deab,0xe80526d4,0x6b515743,0x69c4e50a}},	//   нсов, _रहता_, _tåge, opie, 
   {{0x61fb2de2,0xdb060574,0x69c4e50b,0x6e2400b9}},	//   gtul, _ciké, npie, _nrib, 
   {{0x2ee07607,0x6f04e50c,0x09f700a7,0xdb060891}},	//   _adif_, _abic, עמים_, _diké, 
   {{0xb4cc1489,0xf65f010d,0x6e240199,0x61fbd5f6}},	//   लरी_, _þær_, _arib, atul, 
   {{0x3ead03a9,0x3f8201e5,0x21f900d4,0x98aa00bc}},	//   øet_, goku_, bèh_, _sobě_, 
   {{0x61fb00d9,0x6e24e50d,0x69c40035,0x59b500b0}},	//   ctul, _crib, jpie, _अंधर, 
   {{0x021700fe,0xc693035c,0x2d850107,0xf99f05d5}},	//   _נחום_, טאר_, ôle_, _apèn_, 
   {{0xef1f03c0,0x6e2401a3,0x3f82e50e,0xc04f5dbe}},	//   nlük_, _erib, boku_, _сі_, 
   {{0xd7fb01a2,0xa3e8122c,0xfaff0034,0x59b50eda}},	//   ҷуд_, _बिन_, _ajër_, _अंदर, 
   {{0x6e24e50f,0x6b74537d,0xd8e70165,0x98aa02d9}},	// [fab0] _grib, улту, ецеп, _tobě_, 
   {{0x6f0f2772,0x6f1de510,0xa3c200c9,0xd7fb01a2}},	//   lecc, ldsc, ्ठा_, зуд_, 
   {{0xfe701372,0x2d83e511,0x69c401d8,0xa3b00035}},	//   _ندی_, moje_, apie, _टूल_, 
   {{0x21f9011c,0x6458e512,0x2d83be4e,0xdc3600c7}},	//   yèh_, dzvi, loje_, _סארט_, 
   {{0x6b8de513,0x64580228,0xd7740198,0x6f1d4249}},	//   mlag, ezvi, دالع, idsc, 
   {{0x2d83e514,0x6b8de515,0x9f590216,0x73e50eaf}},	//   noje_, llag, îrê_, вокз, 
   {{0x21f901e5,0xe8941279,0x3f82e516,0x43750a65}},	//   wèh_, _барь, yoku_, куит, 
   {{0x61fbe517,0x6f1d012e,0x6f0f03a1,0x2d83e518}},	//   ttul, jdsc, jecc, hoje_, 
   {{0x2d83e519,0x11d600eb,0x6f0f0036,0x29cf5974}},	//   koje_, نوية_, decc, nża_, 
   {{0x2d8300e4,0x61fbe51a,0x6b8d9262,0xd6847670}},	//   joje_, rtul, hlag, _сусп, 
   {{0x69c4006a,0xf8b202a1,0x6f0f65f9,0x2d83e51b}},	//   zpie, ישי_, fecc, doje_, 
   {{0x6b8d5a74,0x61fb00d9,0x7d0ee51c,0x7d0501be}},	//   jlag, ptul, webs, _abhs, 
   {{0x780d000c,0x6b8de51d,0xee370251,0xdb06009e}},	//   सबुक_, dlag, вня_, _bikî, 
   {{0x0cb000cc,0x4d1508f0,0x3f820112,0x4425e51e}},	//   কর্ত, льст, soku_, _krl_, 
   {{0x69dde51f,0x6b8de520,0xdbcc0068,0x3f82019b}},	//   _avse, flag, _póñe, poku_, 
   {{0x6f04e521,0x6b8de522,0xeb97e523,0x6e249db5}},	//   _ubic, glag, вис_, _trib, 
   {{0xf2d20137,0xef1f01f0,0x6e24e524,0x2d834551}},	// [fac0] יען_, zlük_, _urib, boje_, 
   {{0x63abe525,0x08c31e33,0x69c4e526,0x6da6e0cb}},	//   _lign, ибун, rpie, _шипа, 
   {{0x69c4e527,0x07a6e528,0x6b8de529,0x6609e52a}},	//   spie, важн, blag, _apek, 
   {{0x66e61e14,0x0bb70056,0x6b8de52b,0x61e92f1d}},	//   тода, _שלכם_, clag, krel, 
   {{0x6b841606,0x61e9015e,0x628e0035,0x9946020b}},	//   moig, jrel, ębok, môž_, 
   {{0xa8061c93,0x61e90474,0x442544c0,0x63abe52c}},	//   _изгл, drel, _brl_, _aign, 
   {{0x6f0f655f,0x66092282,0x63ab039a,0x86ea0038}},	//   yecc, _epek, _bign, _يعرف_, 
   {{0x6f0f0496,0x63ab28c9,0xef1f027e,0xb6c80019}},	//   xecc, _cign, rlük_, _سارے_, 
   {{0x6f0f8c32,0xf74302a0,0x9605009c,0xb3550535}},	//   vecc, _тето, _مبلم, دینا_, 
   {{0x301400f6,0x63ab25f2,0x6b8de52d,0x4a9b0070}},	//   гдор, _eign, zlag, ויפג, 
   {{0x6f0f2772,0x2d83e52e,0x61e90b95,0x63abe52f}},	//   tecc, voje_, arel, _fign, 
   {{0x6b84026a,0x2d5400b0,0xf99f0300,0x7bdc996c}},	//   joig, _näeb_, _apèl_, dsru, 
   {{0x6f0f0edb,0x2d83e530,0x61e90241,0x6b8d4ab0}},	//   recc, toje_, crel, vlag, 
   {{0xe9ff00f7,0xac1903b7,0x644501c4,0x0cbf0cbd}},	//   _nhạc_, ногу_, ähig, ्रेम, 
   {{0x2d83e531,0x6b8de532,0x7bdc1e9f,0x6f0fe533}},	//   roje_, tlag, gsru, pecc, 
   {{0x2d83e534,0x6b8d023e,0xbddb023e,0x00000000}},	//   soje_, ulag, nyèk, --, 
   {{0x4975148b,0x2d830b90,0xdd9b022c,0xdb120038}},	// [fad0] глас, poje_, _ошо_, ágái, 
   {{0x6b8d38b4,0x29cfe535,0x29191169,0xef1f0540}},	//   slag, rża_, عقاد_, ldü_, 
   {{0x6c350a67,0x6b8d4739,0x61e949f8,0xf7950528}},	//   _صفحا, plag, zrel, гажэ, 
   {{0x7bc7e536,0x61e968ed,0xc2e80086,0x7c2a008c}},	//   mpju, yrel, ক্তি_, _áfra, 
   {{0x4425e537,0x62fa0086,0x63ab01d5,0x660511f0}},	//   _srl_, ্যায়_, _rign, упла, 
   {{0x63ab3595,0x75d20038,0xdb1c001d,0x61e9e538}},	//   _sign, حيوا, mprá, vrel, 
   {{0x97a72ffc,0x63abe539,0xdcfc01dd,0xad9b001d}},	//   _арал, _pign, norā, ctúe, 
   {{0x61e90316,0xb8821e6f,0x3f89006d,0x93bc00e7}},	//   trel, číta, _nkau_, _trăn, 
   {{0x63abe53a,0x28a70527,0x20d5df11,0xe50000b0}},	//   _vign, _कृति, лінс, ल्हि_, 
   {{0x61e9e53b,0x3f8902cd,0xe297004e,0x4425095a}},	//   rrel, _akau_, нақ_, _trl_, 
   {{0x63ab0c36,0x628b00ab,0x4ad3009a,0xf4872fc2}},	//   _tign, _wygo, तराव, _руан, 
   {{0x69c11425,0x61e9e53c,0x628b00ab,0xd04800ad}},	//   _člen, prel, _tygo, nadə, 
   {{0xcdf608fa,0x7985016c,0x00000000,0x00000000}},	//   ычны, kohw, --, --, 
   {{0x3f890065,0x7bdce53d,0xd0480248,0x00000000}},	//   _ekau_, tsru, hadə, --, 
   {{0x6b5105ac,0x3b0ae53e,0x00000000,0x00000000}},	//   _såga, нево_, --, --, 
   {{0x13d1031e,0x7bdc97f5,0x6b51264e,0x00000000}},	//   _सबैभ, rsru, _påga, --, 
   {{0x0eaa02fb,0x7bdce53f,0x39644ea2,0x59640259}},	// [fae0] _який_, ssru, анаҳ, анағ, 
   {{0x6b512920,0xe8f7e540,0x18a60ca4,0xe6cc0df2}},	//   _våga, ллу_, газм, ार्ज, 
   {{0xd04806d0,0x46eae541,0x3cfb00a7,0xdc6a03dc}},	//   fadə, еден_, _אלינ, _чанд_, 
   {{0x291c032f,0x27e7031b,0xaab821d2,0x6b510219}},	//   žva_, ánna_, _अलिक, _tåga, 
   {{0x163444a5,0xe9ff0023,0xd9100296,0x7985016c}},	//   реля, _thạc_, _ویر_, bohw, 
   {{0x7af60009,0x9f430098,0xef1f2120,0x00000000}},	//   lgyt, čké_, zdü_, --, 
   {{0x4ab805fd,0x6d4e0a58,0x97b502a0,0xb7960267}},	//   _अलाव, ikba, _всуш, _браћ, 
   {{0x7d1e1dde,0xb6a62d25,0x63a0006d,0x00000000}},	//   _laps, _библ, ummn, --, 
   {{0x316a1853,0x39b20237,0x25ac00fb,0x6d4e3ed0}},	//   ешно_, _fņse_, _tidl_, kkba, 
   {{0x7d1ee542,0x6d4e0b32,0x845a2102,0x69fb0070}},	//   _naps, jkba, _прет_, עליק, 
   {{0xb4c205fd,0x893700c7,0xdb1c0228,0x490604cc}},	//   ूरी_, אריע_, zprá, स्यो_, 
   {{0x60c40c05,0x3cfa00f6,0x6d4e12b6,0x6149009e}},	//   _şimd, _acpv_, ekba, _pêlê, 
   {{0xe29200eb,0x246e06d0,0x5ce700dd,0xef1f07fa}},	//   _اذا_, _həm_, люва, rdü_, 
   {{0x74ca0c73,0xe805007e,0x7c870cda,0xd0480248}},	//   _स्मृ, _रहला_, губе, zadə, 
   {{0x070403a2,0x60da155e,0x06f60299,0x00000000}},	//   रभाव_, matm, ीभाव_, --, 
   {{0x60da7c9e,0x6149009e,0xae221230,0x00000000}},	//   latm, _têlê, मिशन_, --, 
   {{0x5a350172,0xce68021d,0x5f74009c,0x2366018e}},	// [faf0] шнат, _брэд_, _داور, _mmoj_, 
   {{0x6d4ee543,0x48c500f0,0xdd920019,0x2907e544}},	//   ckba, ршағ, _ووٹ_, ýna_, 
   {{0x8ccb2ed8,0xdb1c0254,0x6aa60086,0x481500f0}},	//   _त्यो, sprá, গুলো, рмес, 
   {{0x7bc50364,0x644a0035,0x7d1e02d9,0x00000000}},	//   _ithu, dyfi, _zaps, --, 
   {{0x06d70033,0x7d1e0241,0x00000000,0x00000000}},	//   _হাদি, _yaps, --, --, 
   {{0xa509192f,0xe5a518ed,0xd4695409,0x16730259}},	//   тека_, шили, киле_, ақұр, 
   {{0x56940013,0x60da06a2,0x36d50009,0xa954017b}},	//   _ҳатт, datm, _вобр, _укрі, 
   {{0x7bc5044d,0x39430604,0x11e5e545,0xc2e80033}},	//   _mthu, _hojs_, ажим, ক্সি_, 
   {{0x6d4e0876,0x00000000,0x00000000,0x00000000}},	//   ykba, --, --, --, 
   {{0xe6100e61,0x29131c62,0x9f59009e,0x661b6e16}},	//   _عشق_, nexa_, îrî_, _isuk, 
   {{0x6b5114f9,0x764b00f8,0x7bc5e546,0xb4c103c1}},	//   _någo, lygy, _nthu, ंडी_, 
   {{0x3f6a68fe,0x00000000,0x00000000,0x00000000}},	//   тимо_, --, --, --, 
   {{0x43840084,0x7bc5010d,0x7d1ee547,0x2b420604}},	//   _النق, _athu, _paps, _rokc_, 
   {{0xa0a50161,0x3943e548,0x661b0247,0xc5d70033}},	//   _калд, _nojs_, _msuk, _সমাপ, 
   {{0xdca60fa7,0x7fd5005e,0x31bb010c,0xdfd100eb}},	//   рави, _тілі, _hêz_, _بيع_, 
   {{0x3a2d00ef,0x207a0070,0x7d1ee549,0xc4d109ec}},	//   _šepa_, _באצא, _waps, हरुख, 
   {{0xe8fa480d,0x4aaa01bb,0xc33202a1,0x442000e7}},	// [fb00] кла_, ткан_, חון_, ̉i_, 
   {{0x7c2a0068,0x38cb0296,0xe8c7563f,0x00000000}},	//   _áfro, نامی_, игул_, --, 
   {{0x661be54a,0xad9b0032,0x00000000,0x00000000}},	//   _asuk, stúc, --, --, 
   {{0xe5c6aa8c,0x661b0640,0xe73900f8,0x6c7b0486}},	//   аско, _bsuk, _siŵr_, _יריד, 
   {{0xa713004e,0x31bb010c,0x3b83021d,0x66762f67}},	//   імші, _nêz_, _фляг, جدار, 
   {{0xb4c200c9,0xe5e50038,0x69c600c8,0x6e3b0380}},	//   ूरे_, إثني, _itke, äubi, 
   {{0xa967e54b,0xd37a05e6,0xad9b001d,0x60dae54c}},	//   _тира_, кчи_, ntúa, vatm, 
   {{0x644ae54d,0xdb1c0566,0x00000000,0x00000000}},	//   ryfi, spræ, --, --, 
   {{0x644a630f,0x60da8317,0xd1300038,0xa3d700aa}},	//   syfi, tatm, كمة_, ़ीब_, 
   {{0x66027344,0x6720e54e,0x71740038,0x62990035}},	//   mtok, _hamj, إهدا, _dzwo, 
   {{0x6602e54f,0x60da1bd0,0xc05a004e,0x7f440226}},	//   ltok, ratm, тіп_, _boiq, 
   {{0x6722e550,0x66020548,0x490618b4,0x67200175}},	//   ndoj, otok, स्तो_, _jamj, 
   {{0x60dae551,0x6602e552,0x82a61a31,0x661b0065}},	//   patm, ntok, _тадж, _xsuk, 
   {{0x61e20054,0x672000ca,0xd24f00d7,0x8d87e553}},	//   _ivol, _lamj, _تنه_, румд, 
   {{0x06d70086,0x6b510219,0xdb060379,0x39430304}},	//   _হাসি, _fågl, _bikà, _rojs_, 
   {{0x6720e554,0xc2e80086,0x290ae555,0x61e20032}},	//   _namj, ক্রি_, _abba_, _kvol, 
   {{0x29130068,0x6568011c,0x31bb009e,0xba99017b}},	// [fb10] texa_, _omdh, _xêz_, уває_, 
   {{0x60d800ef,0x98c7c0d4,0x693400d3,0x93bc020f}},	//   _jevm, рсал, онуу, _vrăj, 
   {{0x291309a1,0x97a70508,0x7d15027e,0xad9b033c}},	//   rexa_, ардл, mezs, ctúa, 
   {{0x61e20d26,0x291303da,0x6d45e556,0x290a1bc7}},	//   _ovol, sexa_, _hoha, _ebba_, 
   {{0x6d450077,0x7afd012b,0x67200b21,0x61e201f2}},	//   _koha, _icst, _damj, _nvol, 
   {{0x6d45e557,0x31bb0216,0xb4c137ff,0x5dda0070}},	//   _joha, _rêz_, ंडे_, אַקס, 
   {{0x6d45e558,0x0445e559,0x66020054,0x61e2e55a}},	//   _moha, сейн, atok, _avol, 
   {{0xe299e55b,0x6d450489,0x2129e55c,0x2d54033d}},	//   лай_, _loha, _şah_, _näen_, 
   {{0x316c134c,0x26dde55d,0x48fe031e,0x661be55e}},	//   fidz_, mawo_, _लामो_, _usuk, 
   {{0x672002a8,0x6d45e55f,0x8c49027e,0x26ddb68e}},	//   _zamj, _noha, _kaşı, lawo_, 
   {{0x04950084,0x7f440183,0xdb0f024a,0xcea90486}},	//   _الاح, _poiq, _cicë, _ני_, 
   {{0x2f56e560,0x8c490095,0x26dd343f,0x09cd0086}},	//   стос, _maşı, nawo_, _লিনা, 
   {{0x6d45e561,0xa3b0000f,0xfe780161,0x7521e562}},	//   _boha, _टूट_, рүп_, _kalz, 
   {{0xada6152f,0x8c460a31,0x26dd0532,0x4427e563}},	//   сагл, беге, hawo_, ovn_, 
   {{0x61e20076,0x224d0019,0x752101f0,0x6d452a24}},	//   _zvol, lyek_, _malz, _doha, 
   {{0x236d00ab,0xdb0d0380,0x6e47021e,0x00000000}},	//   niej_, rmaß, ërbë, --, 
   {{0x224d0019,0x26dd02a5,0xeb97690a,0xbb4302a6}},	// [fb20] nyek_, dawo_, сит_, четк, 
   {{0xa3e802e6,0x8c49091f,0xb4e604cc,0xad9b0183}},	//   _बिल_, _başı, _भये_, ptúa, 
   {{0x236d006a,0x6d5c11a1,0x672000e5,0x48063725}},	//   kiej_, mhra, _pamj, спев, 
   {{0x26c8005e,0x8c4906d0,0x2d8ae564,0x46a6e565}},	//   рған_, _daşı, lobe_, баев, 
   {{0x6d45c610,0xca75232e,0xdb1c1562,0x6722e566}},	//   _yoha, _дуры, rprä, rdoj, 
   {{0x752121ea,0xdb1c01c4,0x7a0a00e0,0x225f00ef}},	//   _calz, sprä, rētā, dzuk_, 
   {{0xf3663946,0x61e2e567,0x06d70086,0x60d8e568}},	//   йтин, _svol, _হারি, _revm, 
   {{0x2b40053d,0x60d807fa,0x236d0035,0x2d8a07d7}},	//   njic_, _sevm, giej_, hobe_, 
   {{0x6d5c0065,0x2d8ae569,0x752101f2,0x224d0019}},	//   khra, kobe_, _falz, gyek_, 
   {{0x8c490749,0x2d8a00ca,0x464705e6,0x00000000}},	//   _yaşı, jobe_, _узун_, --, 
   {{0x6d45539f,0xaab804b7,0x2d8a4d5b,0x48fd04cc}},	//   _roha, _अलंक, dobe_, र्टो_, 
   {{0x6d4500cf,0x224d65df,0x442ce56a,0x2fc7085b}},	//   _soha, byek_, _ird_, _dtng_, 
   {{0x6d45e56b,0x442c02a2,0x6e2200e0,0x8af00095}},	//   _poha, _hrd_, _šobr, rhəl, 
   {{0x6d5c027b,0xb4e6000d,0xe2830c16,0x26dd2946}},	//   ghra, _भयो_, _элчи, zawo_, 
   {{0x4fc60f67,0x93bc00b3,0x442ce56c,0x6d45e56d}},	//   _усла, _brăi, _jrd_, _voha, 
   {{0x63ba0112,0x442c0f08,0xc1780028,0x6d4500d7}},	//   _mutn, _mrd_, lnė_, _woha, 
   {{0x6d5c11a1,0x3f8b00d2,0x6d45c01e,0x2d8a00ef}},	// [fb30] bhra, mocu_, _toha, bobe_, 
   {{0x6d5c05fc,0x236d006a,0x442c32b9,0x6e2de56e}},	//   chra, ziej_, _ord_, _irab, 
   {{0x63ba037f,0x6e2d0e39,0x6e220183,0x26dde56f}},	//   _nutn, _hrab, _áobr, tawo_, 
   {{0x75210502,0x2a600201,0x93bc0474,0xd7f818b6}},	//   _salz, bzib_, _grăi, суф_, 
   {{0x442ce570,0x63ba00ef,0x26dd0c70,0x6f0d0784}},	//   _ard_, _autn, rawo_, _mbac, 
   {{0x67d5e571,0x8c4901f0,0x442ce572,0x63ba0495}},	//   _могу, _taşı, _brd_, _butn, 
   {{0x58d469fa,0x6b58e573,0xdb1c0f5b,0x3f8b0ab4}},	//   _хост, _híga, språ, kocu_, 
   {{0x225f02ba,0x6d5c014b,0xc1780009,0xdff202e6}},	//   tzuk_, zhra, enė_, _अमजद_, 
   {{0x2489006a,0x3dc90201,0x442c009e,0xa3e500a5}},	//   łam_, _ntaw_, _erd_, _भटक_, 
   {{0x6009078f,0x6f0d2870,0xdb0f0096,0x06e7009e}},	//   аном_, _abac, _dicé, _çêbû_, 
   {{0x236d00ab,0x442ce574,0xd009e575,0x6e2d251e}},	//   piej_, _grd_, шене_, _arab, 
   {{0x344899df,0x6e2de576,0x5ea80086,0x9eaa01ba}},	//   _учун_, _brab, _ক্ষে, ивна_, 
   {{0x6d5ce3c4,0x200a01f0,0x25b201f0,0xe28e537d}},	//   thra, çbir_, _ünlü_, _ца_, 
   {{0x6e2de577,0x2fc7016a,0x6f0d1727,0xad9bc35a}},	//   _drab, _ttng_, _ebac, stún, 
   {{0x6e2d0414,0x8b2602a0,0x3b0901ff,0xa0667246}},	//   _erab, одве, ffaq_, _маша_, 
   {{0x6e2d0626,0xdca300a3,0x2d8a016c,0x2b590106}},	//   _frab, фаси, sobe_, _clsc_, 
   {{0x5ea80086,0x2480027e,0x3946e578,0x261900c9}},	// [fb40] _ক্রে, ğimi_, онаг, _मैली_, 
   {{0x6f0d0ab4,0x6b5861c2,0x2480027e,0xfaff021e}},	//   _zbac, _díga, şimi_, _ecë_, 
   {{0x93bc00d9,0x443c0183,0xdca601ff,0xa6ca0dec}},	//   _trăi, xxv_, _фани, لوال_, 
   {{0xab2a1b3d,0x6b580587,0xad9b007a,0x795b009e}},	//   _тома_, _fíga, htúl, _rîwe, 
   {{0xe53400e4,0x442c0bfc,0x88840274,0x6b81010e}},	//   зель, _srd_, _کیان, élge, 
   {{0x442ce579,0x6b96b694,0x03c6e57a,0x399413ba}},	//   _prd_, llyg, осим, käsi_, 
   {{0x20050082,0x399400c8,0x398fe57b,0x00000000}},	//   jtli_, jäsi_, rüst_, --, 
   {{0x4906031e,0xdb170042,0x320a186c,0x442ce57c}},	//   स्रो_, _puxé, ахон_, _vrd_, 
   {{0xdb040107,0xdd0e0248,0x00000000,0x00000000}},	//   rmiè, xışd, --, --, 
   {{0x3a3700a7,0x442ce57d,0x6f0d0036,0x24890213}},	//   קרים_, _trd_, _sbac, şama_, 
   {{0x442c845e,0x5f9558c1,0x41b40444,0xd36f00a3}},	//   _urd_, зинт, _کمتر, _жч_, 
   {{0x6e2d290c,0xc178012d,0xdb0f0038,0xdb08009c}},	//   _prab, snė_, _ticé, _èlèk, 
   {{0xdb060088,0xdb0f0218,0x637e01dd,0x628e0502}},	//   _mikä, _bicî, cīna, ßbod, 
   {{0x6ad3000f,0xc5f302a1,0x224b12b7,0xdd0e00ad}},	//   तर्र, ודש_, äcke_, rışd, 
   {{0x63a2e57e,0x5c04e57f,0x6b965ce1,0xdb6b617f}},	//   _khon, мята, flyg, арал_, 
   {{0x6f0d03ef,0xa3dc06ea,0x5ed50086,0x6b960566}},	//   _ubac, तीय_, _থাকে, glyg, 
   {{0x63a2e580,0x6e2d02b8,0x2aab19fe,0x00000000}},	// [fb50] _mhon, _urab, ртво_, --, 
   {{0xceb400d1,0xe7390090,0x893800d9,0x00000000}},	//   _קיץ_, _chŵn_, опус_, --, 
   {{0x63a20156,0xdce700e0,0xd7fb01a2,0xac95e581}},	//   _ohon, cijā, руз_, _ханш, 
   {{0x99540032,0x69cd1f68,0x00000000,0x00000000}},	//   väť_, ppae, --, --, 
   {{0xbc6800d4,0x5f0007d5,0xeb3a00c7,0xbb3a07e4}},	//   _همین_, ष्ट्_, _הערש, _הערי, 
   {{0x850a004e,0x6b8de582,0x200500da,0x63a2e583}},	//   йдің_, loag, ytli_, _ahon, 
   {{0x63a200a0,0x200501ff,0x00000000,0x00000000}},	//   _bhon, xtli_, --, --, 
   {{0x63a2e584,0xc2452caa,0x85b92a65,0x6b8d01d6}},	//   _chon, зник, _глас_, noag, 
   {{0x63a20f09,0xe1f100eb,0x95c8e501,0xddc600ab}},	//   _dhon, رسة_, _духа_, zykł, 
   {{0xc69200c7,0x0ef402e6,0x399400c8,0x44f4645e}},	//   _טאן_, अल्स_, täsi_, _опус, 
   {{0x412903dc,0x63a20038,0xad9b022c,0x6b8d01ca}},	//   _ҳоло_, _fhon, rtúl, koag, 
   {{0x7c2a0952,0x6b8d016a,0x20054d8f,0x63a20175}},	//   _áfri, joag, rtli_, _ghon, 
   {{0xc6090086,0x2005031e,0x539a00d1,0x6b8d00b4}},	//   লিকা_, stli_, _פינו, doag, 
   {{0x63a2e585,0xc10400eb,0x9f430377,0xe1640038}},	//   _zhon, _يوني, čká_, _يدوي, 
   {{0x913a00a7,0x63a90009,0xc6188d12,0x6b96011f}},	//   _לעסק, omen, _धन्य_, tlyg, 
   {{0xbb433a44,0x63a9e586,0xdce701dd,0xdb1c017b}},	//   неск, nmen, rijā, nprø, 
   {{0x63a9e587,0x80de0086,0xb18300bc,0xdfa50fce}},	// [fb60] imen, _মাত্, šťuj, _تحوي, 
   {{0xdca634e9,0x63a9e588,0x8ccb02e6,0x0d838c2f}},	//   _напи, hmen, तुदो, _плын, 
   {{0x63a9e589,0x6b8d01cf,0x00000000,0x00000000}},	//   kmen, boag, --, --, 
   {{0x63a9ad2e,0x2d98e58a,0xd5ba0504,0x1fbd0033}},	//   jmen, llre_, бск_, _আবাস, 
   {{0x63a2e58b,0x63a9e58c,0xba76105a,0xdb1c01e8}},	//   _rhon, dmen, _راحت, dprø, 
   {{0x63a9e58d,0xd5b9005e,0x63a2e58e,0x00000000}},	//   emen, ісі_, _shon, --, 
   {{0x63a2e58f,0x29370070,0x63a9040b,0x00000000}},	//   _phon, _צאלן_, fmen, --, 
   {{0x80de00cc,0x987b00c7,0x291ae590,0x6b512032}},	//   _মাধ্, _האלט, lepa_, _pågi, 
   {{0xa3dc05fd,0x056643da,0x93bc00d9,0xb17d020b}},	//   _तौर_, _еван, _arăt, vrťr, 
   {{0x63a9e591,0x394ae592,0x291a0204,0x4613152c}},	//   amen, _jobs_, nepa_, _سومر, 
   {{0x80de0086,0xf2db0086,0x63a2e593,0x130a00b3}},	//   _মাদ্, _ধারণ, _thon, _гней_, 
   {{0x389b00c7,0x628201a0,0x291ae256,0x63a96c59}},	//   מיינ, _txoo, hepa_, cmen, 
   {{0x7d03022b,0xa3c200ab,0x398601a7,0x795b0216}},	//   _önsk, _एंड_, sôsy_, _lîwa, 
   {{0x61430906,0x291a0f30,0x8bc74c77,0x00000000}},	//   _печа, jepa_, зсад, --, 
   {{0x6d55012e,0x4fc602f1,0xab95004f,0x93bc020f}},	//   rkza, _эсла, диві, _grăt, 
   {{0x6b580068,0x69be00b0,0x307b00d1,0x00000000}},	//   _dígo, _वंशी, _לאונ, --, 
   {{0xdb060218,0xa3dc00a2,0x6b8d01f1,0x291a0126}},	// [fb70] _hikû, तीत_, roag, fepa_, 
   {{0xa8a7e594,0x6b5800b9,0x01be0033,0x6b8d547f}},	//   прек, _fígo, _ইবাদ, soag, 
   {{0xf990017a,0xaf200086,0xa3e8072d,0x63a928b9}},	//   ابق_, ধারণ_, _बिग_, ymen, 
   {{0x795b009e,0x998005ae,0xe7fe00aa,0x00000000}},	//   _dîwa, rviš_, _उमरा_, --, 
   {{0x5a3407f4,0x9a841ee8,0x63a9e595,0x00000000}},	//   _знят, _зурл, vmen, --, 
   {{0xdb170496,0xe618004f,0x291a0474,0x00000000}},	//   _muxí, яді_, cepa_, --, 
   {{0x63a9e596,0xa3d7007e,0x3f8300ca,0x59c302e6}},	//   tmen, ़ीं_, čkuj_, _वंडर, 
   {{0x63a9e597,0x00000000,0x00000000,0x00000000}},	//   umen, --, --, --, 
   {{0x63a93a73,0x2b4b00e2,0xdb1c00fb,0x00000000}},	//   rmen, _mocc_, rprø, --, 
   {{0xd5b107cb,0xdb1c00fb,0xdfe9058e,0x00000000}},	//   _شفا_, sprø, одод_, --, 
   {{0x63a97aae,0xdb170165,0x24550071,0xdbf200bc}},	//   pmen, _auxí, _تناس, třít, 
   {{0x8367017a,0xdb170183,0x32551934,0x399402ae}},	//   _عدال, _buxí, _овер, läst_, 
   {{0xb606090e,0x25bfe598,0x93bc107c,0x00000000}},	//   _gušć, _juul_, _frăs, --, 
   {{0xdb0f03da,0xdca60e65,0x61fba33d,0x93bc00b3}},	//   _dicí, даги, muul, _grăs, 
   {{0x0fc502f1,0xdbf202d9,0x61fbe599,0xdb0f0534}},	//   _ўйин, přít, luul, _eicí, 
   {{0xf0920056,0xe9da0ed8,0xdb170183,0x212700e7}},	//   _שנה_, жка_, _fuxí, _hanh_, 
   {{0x0d8600cf,0x13d60086,0x61fb0547,0x6f04e59a}},	// [fb80] _олин, সওয়, nuul, _icic, 
   {{0x6e24e59b,0x660613ba,0xdb1e0034,0x22420dfa}},	//   _isib, _äkki, _kupë, äkki_, 
   {{0x7d1cb9b0,0xb8f60077,0x212700e7,0x8cd400c9}},	//   mers, _सभ_, _manh_, _ब्यो, 
   {{0x61fbafa2,0x212700e7,0xa3c1215e,0x6b5102ae}},	//   kuul, _lanh_, ंदन_, _sågv, 
   {{0x291a045a,0x7ae4e59c,0xc5f8004e,0x21270023}},	//   pepa_, mait, яға_, _oanh_, 
   {{0x7ae4e59d,0x25bf0495,0x2ee0017e,0x61fbe59e}},	//   lait, _duul_, _leif_, duul, 
   {{0x1394e59f,0xc10e00e7,0x7d1ce5a0,0xd823e5a1}},	//   никю, _bỗng_, iers, _идри, 
   {{0x7ae4e5a2,0x18a3b766,0xb6060242,0x25bf0604}},	//   nait, _расм, _pušć, _fuul_, 
   {{0x2127e5a3,0x5186e5a4,0x6d5e0175,0x6e2419dc}},	//   _banh_, дуна, _olpa, _nsib, 
   {{0x7ae4e5a5,0x2127001b,0x224b014e,0x39940502}},	//   hait, _canh_, äcka_, mäss_, 
   {{0x7ae4e5a6,0x21270029,0xb226010d,0x6e240539}},	//   kait, _danh_, fræð, _asib, 
   {{0x75289ed6,0x2ee000ef,0x6d5ee5a7,0x7ae400c8}},	//   _hadz, _ceif_, _alpa, jait, 
   {{0x7ae400eb,0x752883d3,0x7d1ce5a8,0xad9b007a}},	//   dait, _kadz, fers, ltúi, 
   {{0x21270108,0x00000000,0x00000000,0x00000000}},	//   _ganh_, --, --, --, 
   {{0x70580283,0x7ae4bed5,0x75280727,0x6e24e5a9}},	//   _хайр_, fait, _madz, _esib, 
   {{0x7ae4e5aa,0x7528e516,0x00000000,0x00000000}},	//   gait, _ladz, --, --, 
   {{0x753ae5ab,0x9f46014b,0x2d81084c,0xad9b007a}},	// [fb90] _ontz, nulý_, _tjhe_, htúi, 
   {{0x7528e5ac,0x6f1de5ad,0x7d1c5ec4,0x21270029}},	//   _nadz, lesc, cers, _xanh_, 
   {{0x6ec305fd,0x9cd600a7,0x7ae4e5ae,0x2d91171a}},	//   रखपु, _אותה_, bait, moze_, 
   {{0x6f1de5af,0x7c250ca5,0x753a02ba,0x7ae4007a}},	//   nesc, _ishr, _antz, cait, 
   {{0x8f9c00a7,0xc10e0108,0x3ce100c2,0xa3dc0a0e}},	//   קידי, _rỗng_, _kehv_, तीस_, 
   {{0x64a58019,0x2d91b8d8,0x3dfc00d1,0x6f1d1b1b}},	//   нала, noze_, קלוד, hesc, 
   {{0x68e5e5b0,0x21270023,0x6f1de5b1,0x3ac9040c}},	//   mahd, _ranh_, kesc, _kўp_, 
   {{0x753ae5b2,0x61fbe5b3,0x68e5e5b4,0x2d91024d}},	//   _entz, tuul, lahd, hoze_, 
   {{0x2d910f06,0x75280640,0xdb1e023e,0x7d05e5b5}},	//   koze_, _fadz, _dupè, _ochs, 
   {{0x2901e5b6,0x6f042762,0x6729016a,0xa3dc00bd}},	//   ngha_, _scic, _haej, तीह_, 
   {{0x61fb0a8b,0x6f1d0126,0x26090126,0x6729011c}},	//   suul, fesc, lúo_, _kaej, 
   {{0x6d890039,0x6f1de5b7,0x6729e5b8,0x7d1ce5b9}},	//   hľad, gesc, _jaej, wers, 
   {{0x80de00cc,0x7ae408fa,0x7d1ce5ba,0x3f9e002a}},	//   _মার্, vait, ters, ētu_, 
   {{0x61e9e5bb,0x7ae4899b,0xd1380035,0x7d1ccef9}},	//   msel, wait, gląd_, uers, 
   {{0x7ae4e5bc,0x61e9e5bd,0x4425e5be,0x6f1d42ba}},	//   tait, lsel, _jsl_, besc, 
   {{0x28d207d5,0xbea647d3,0x6e24e5bf,0x6f1de5c0}},	//   दुनि, _пайк, _tsib, cesc, 
   {{0x61e9e5c1,0x7ae4e5c2,0xf2d20111,0x6e2402b8}},	// [fba0] nsel, rait, טען_, _usib, 
   {{0x7ae4e5c3,0x61e92544,0x673b023e,0x62990108}},	//   sait, isel, _anuj, _mywo, 
   {{0x7528e5c4,0x62990156,0x38cb009c,0x69cf039b}},	//   _radz, _lywo, سالی_, _etce, 
   {{0xaa463005,0x61e9e5c5,0x7528e5c6,0xdc7700c7}},	//   _земл, ksel, _sadz, _טעיפ_, 
   {{0x4425e5c7,0x7528e5c8,0x61e94ffc,0x00000000}},	//   _asl_, _padz, jsel, --, 
   {{0x61e9cd23,0x95c30038,0x6f1de5c9,0xc6d703a1}},	//   dsel, ديوه, zesc, _үстө, 
   {{0x18a380d4,0x98a3e5ca,0x6b5102ae,0xbf20009a}},	//   _барм, _бире, _tågt, _बसून_, 
   {{0x75284dbe,0x442589b0,0x23a1010e,0xdb1e0175}},	//   _wadz, _dsl_, tója_, _bupé, 
   {{0x36673232,0x61e9e5cb,0x6f1de5cc,0x3207011f}},	//   _зато_, gsel, vesc, нхэн_, 
   {{0x50661571,0xbebb0034,0x04180033,0x753a01ca}},	//   етма, ndëv, থিবী_, _untz, 
   {{0x7413db68,0xa3dc0d53,0x61e9b87a,0xc4a4109f}},	//   _مولا, तीश_, asel, _ओरिओ, 
   {{0xb28600d9,0x61e94d98,0x62990090,0x9f46039f}},	//   _пылк, bsel, _fywo, duló_, 
   {{0x6f1d36b3,0x2d9167a9,0xa3dc00bd,0x00000000}},	//   resc, toze_, तीर_, --, 
   {{0x6b510750,0x6f1d002e,0xac1908ab,0x7c380a1a}},	//   _någr, sesc, могу_, _švra, 
   {{0x6f1de5cd,0xef1100d3,0xac95618f,0x4c9503a6}},	//   pesc, _күнө, тавш, тивс, 
   {{0xdb170068,0x409b00d1,0xddd002d9,0x309b0486}},	//   _buxá, _מבוס, řeši, _משומ, 
   {{0x2d9106df,0x1ab500b9,0x238501dd,0x00000000}},	// [fbb0] poze_, тбая, nēja_, --, 
   {{0xfbd0006b,0x7d05040c,0x9998049b,0x7c250226}},	//   شتہ_, _uchs, екут_, _tshr, 
   {{0x2d54007e,0x9f460126,0xd7fb00b3,0xdb1c010e}},	//   _päev_, culó_, яуа_, gpró, 
   {{0x572700eb,0x61e9295c,0x45d581d0,0x06754ef5}},	//   عراق, ysel, водс, куля, 
   {{0xa5c500f0,0x442535c5,0x68e50080,0x00000000}},	//   төбе, _ssl_, pahd, --, 
   {{0x4a5a0052,0x2b49003a,0x67290065,0x4425e5ce}},	//   _חדשו, ljac_, _waej, _psl_, 
   {{0xa3dc047b,0xdb1e026a,0x64980141,0xd7f80886}},	//   तील_, _supé, нтър_, _пут_, 
   {{0x61e9e5cf,0x2b4904d1,0x03950093,0x9f5f0080}},	//   tsel, njac_, ърля, nttä_, 
   {{0xe784e5d0,0xdb0600e5,0x35b500e4,0x9f4d0228}},	//   _суро, _shkë, _абар, budú_, 
   {{0xe297004e,0x046700d9,0x00000000,0x00000000}},	//   мақ_, _птем, --, --, 
   {{0x4425e5d1,0x61e9e5d2,0xe53600c7,0x62990035}},	//   _usl_, ssel, _שטעט_, _wywo, 
   {{0x61e9e5d3,0x78ba35b6,0x69c00036,0x3f8400c2}},	//   psel, _útve, _èmeg, õmu_, 
   {{0xc7b200c7,0xdb1c01c4,0x2b490b91,0xfe25012d}},	//   יבט_, rprü, djac_, льён, 
   {{0xdb1c01c4,0x2a69e5d4,0xada60528,0x2d5400c8}},	//   sprü, dzab_, тагл, _näet_, 
   {{0xeb9ae5d5,0x69cb30da,0x00000000,0x00000000}},	//   див_, ígen, --, --, 
   {{0x332de5d6,0x00000000,0x00000000,0x00000000}},	//   ndex_, --, --, --, 
   {{0xeb970bb1,0x320de5d7,0xdd8ae5d8,0x6b517472}},	// [fbc0] тит_, ntey_, _обид_, _pågr, 
   {{0x3d1111bd,0xa3c11cc0,0xe8f7e5d9,0x00000000}},	//   द्दे_, ंदा_, клу_, --, 
   {{0xabaa1cc1,0x238501dd,0x870a0ca4,0x6b5802be}},	//   _овоз_, zēja_, деев_, _lígi, 
   {{0xe81300a5,0xa3e50790,0x6561e5da,0x6e360453}},	//   _ठहरा_, _बौध_, _allh, _kryb, 
   {{0x660f0219,0x5f05093a,0xdb1c01d5,0x00000000}},	//   _äckl, _वास्_, spró, --, 
   {{0x238501dd,0x637e0243,0x6b8327c7,0x69d6023e}},	//   vēja_, mīni, _íngr, mpye, 
   {{0x8af000ad,0xd7062cb9,0xa3dc1d57,0x6f165c50}},	//   hkəm, _изви, तीं_, _obyc, 
   {{0x040d0029,0x2d5400b0,0x2480020f,0x23850243}},	//   _hướn, _käes_, ăim_, tēja_, 
   {{0x249200ab,0x6d5c003e,0xf1a6157b,0x60cd0e03}},	//   łym_, kkra, крон, _şama, 
   {{0xd5ae0105,0x35c503dc,0x6d5c3204,0x238500e0}},	//   _بہت_, _сафҳ, jkra, rēja_, 
   {{0x39570056,0x9f5f0088,0x250b0019,0x2a690065}},	//   דשים_, yttä_, _ترقی_, zzab_, 
   {{0x28a71faf,0x6d5ce5db,0x23850243,0x6e360106}},	//   केटि, ekra, pēja_, _bryb, 
   {{0x6458012d,0x8d77009c,0x6d5ce5dc,0x6e3600f3}},	//   lyvi, ناسا, fkra, _cryb, 
   {{0xd12f00eb,0x3f82085f,0x6fca3604,0x040d00e7}},	//   _ومن_, anku_, _संपू, _nướn, 
   {{0x07130b26,0x30a30093,0xc04f7822,0x9f3500f0}},	//   ण्डव_, _кръв, _ті_, _бейі, 
   {{0xe0b700c7,0x70b700df,0x00000000,0x00000000}},	//   _בלוט_, _בהוד_, --, --, 
   {{0x6e364aa7,0x391560ec,0x69d60102,0x5f7424a1}},	// [fbd0] _gryb, лмар, gpye, _خاور, 
   {{0x6d5ce5dd,0x7bc1010e,0x645835d3,0x00000000}},	//   ckra, ílus, kyvi, --, 
   {{0x2d83003a,0x1aef0086,0xc7f502a6,0x35b500f0}},	//   mnje_, ঙ্গে_, узећ, ңбер, 
   {{0x29077192,0xfaff024a,0xf4080086,0x2bb4009a}},	//   żna_, _emër_, লবার_, ंगणा, 
   {{0xd2461d38,0xb90900cc,0xa3e536bc,0x7bc5e5de}},	//   _ان_, _যা_, बीन_, _huhu, 
   {{0x7bc52083,0x6b58e5df,0x2409306e,0xbf2000bc}},	//   _kuhu, _rígi, енки_, _बस्न_, 
   {{0x7bc549ab,0x26c90068,0x3f820083,0x37c40165}},	//   _juhu, ñaos_, ynku_, _вљуб, 
   {{0xbebb01ee,0x7bc53d51,0x15f5271a,0x2d83e5e0}},	//   ndës, _muhu, ुंदर_, hnje_, 
   {{0x7bc5350e,0xd9e30ef0,0x82352f23,0x2bb4009a}},	//   _luhu, गठित_, اربا, ंगता, 
   {{0x2d8304d1,0x320d0279,0x7fd5004e,0xdb0f02aa}},	//   jnje_, rtey_, лімі, _ficç, 
   {{0x7bc511e9,0xc4d200a7,0x6d5c0c17,0x00000000}},	//   _nuhu, _הגב_, vkra, --, 
   {{0x6d5c039b,0x00000000,0x00000000,0x00000000}},	//   wkra, --, --, --, 
   {{0x9f60003e,0x7bc502be,0x5f050110,0x00000000}},	//   _þrír_, _auhu, _वार्_, --, 
   {{0x7bc5e5e1,0x10a502f1,0x31790070,0x8af000ad}},	//   _buhu, _йилн, _ראַד, rkəm, 
   {{0x6d5ce5e2,0xd00e0816,0x06e300c9,0x00000000}},	//   rkra, _فلو_, खराव_, --, 
   {{0xab272b8d,0x7bc5e5e3,0xa09a0070,0x040d00e7}},	//   лоса_, _duhu, _איצט, _sướn, 
   {{0xa3ab0a09,0x6d5c3f5e,0x2d830121,0x260800c2}},	// [fbe0] _गठन_, pkra, bnje_, _समधी_, 
   {{0x61fb00e2,0x596500f0,0x69d60102,0x6d5a00b0}},	//   irul, ануғ, rpye, ötad, 
   {{0x7bc5024d,0x040d0023,0x07a690af,0x4c3600d9}},	//   _guhu, _vướn, гажн, _сэпт, 
   {{0x61fbe3d1,0x238500e0,0x3a3f0613,0xbb46e5e4}},	//   krul, dējo_, _šupe_, _семк, 
   {{0xe50505fd,0x040d001b,0x7bc5e5e5,0x88e80033}},	//   _राशि_, _tướn, _zuhu, _পাঠক, 
   {{0xad9be5e6,0x6458012d,0x9f5f0034,0x6b840347}},	//   ltúr, tyvi, tutë_, lnig, 
   {{0xbebb01ee,0x98a300e0,0xa92801dd,0x6b84e5e7}},	//   ndër, _tajā_, režģ, onig, 
   {{0x69c64eae,0x2d830d26,0xf3637236,0xad9b0187}},	//   _kuke, znje_, йтын, ntúr, 
   {{0xa6863b9d,0x7ae6e5e8,0x8b57008d,0x6b84e5e9}},	//   _слад, _mekt, טיקס_, inig, 
   {{0xd13000d6,0xb4260a24,0x69c6e5ea,0x3014461d}},	//   آمد_, _معصو, _muke, адор, 
   {{0x69c64a64,0xad9b74cd,0xddd00b1d,0x2d8302c7}},	//   _luke, ktúr, _češl, vnje_, 
   {{0xa3c13e0a,0x5f95058e,0x7bc5e5eb,0x7ae6e5ec}},	//   ंदर_, римт, _ruhu, _nekt, 
   {{0x9f5f026e,0x6b84e5ed,0x69c6e5ee,0x7bc5735a}},	//   nuté_, dnig, _nuke, _suhu, 
   {{0x7bc51ab9,0xa90300ab,0x6b580068,0xc693008d}},	//   _puhu, _लाइफ_, _mígu, מאר_, 
   {{0x69c602ba,0x2d832b4a,0x7ae6e5ef,0x6b580183}},	//   _auke, rnje_, _bekt, _lígu, 
   {{0x2d8300d2,0x69c6612d,0x29180647,0xe80e0c46}},	//   snje_, _buke, _abra_, _सहजा_, 
   {{0x4975c67e,0x6722e5f0,0x2d831140,0xff5f0216}},	// [fbf0] алас, deoj, pnje_, mkî_, 
   {{0x69c65a5d,0x7bc50010,0xff5f010c,0x3ea90065}},	//   _duke, _tuhu, lkî_, _izat_, 
   {{0x69c6e5f1,0x7bc5045a,0x61e201b8,0x290f0083}},	//   _euke, _uuhu, _lwol, ęga_, 
   {{0x9635e5f2,0xff5f009e,0x7ae601ff,0x61fb0a18}},	//   инец, nkî_, _gekt, yrul, 
   {{0xe5b5021f,0xa509e5f3,0x3f89e5f4,0x69c60199}},	//   айды, вела_, _mjau_, _guke, 
   {{0xa3c107d5,0x61fb6f56,0x238501dd,0xff5f009e}},	//   ंदल_, vrul, tējo_, hkî_, 
   {{0x67d40088,0x7ae6e5f5,0x97a78457,0x69c601d6}},	//   _госу, _yekt, _брал, _zuke, 
   {{0xe2990904,0x78ba475d,0x986a04be,0x27fc0228}},	//   кай_, _útva, lığa_, ávne_, 
   {{0xe6670c9b,0xa3e50790,0x69c00212,0x16341186}},	//   _ство, _बौर_, _émet, _летя, 
   {{0xdb0a0228,0x50b51314,0x61fbe5f6,0x23850243}},	//   ľnéh, исну, rrul, pējo_, 
   {{0xa0a5e5f7,0x68e7e5f8,0x61fbe5f9,0xdb0a014b}},	//   ранд, _mejd, srul, žnéh, 
   {{0x7523e5fa,0x68e7b942,0x2d9a02aa,0x6830010e}},	//   lenz, _lejd, _skpe_, lódá, 
   {{0x614503b7,0x61e21a19,0x442700f8,0x3ea90083}},	//   _вела, _gwol, lwn_, _czat_, 
   {{0x68e7037f,0x7523e5fb,0x3ea941ee,0x69c60610}},	//   _nejd, nenz, _dzat_, _ruke, 
   {{0xad9b008c,0x69c6e5fc,0x3ea90082,0x61e2e5fd}},	//   ttúr, _suke, _ezat_, _zwol, 
   {{0x7523e5fe,0x69c6e5ff,0x6a8603a1,0x6b840380}},	//   henz, _puke, алба, unig, 
  
   {{0xdb1dd997,0x7ae6e600,0x8d761b65,0x44270090}},	// [fc00] _misè, _vekt, _نادا, hwn_, 
   {{0x2fc712ab,0x7ae609e8,0xebe60161,0x69c61c2b}},	//   _kung_, _wekt, _кооп, _vuke, 
   {{0x2d98e601,0x75235fec,0x6b581056,0x8c460aed}},	//   more_, denz, _sígu, _тене, 
   {{0x2fc769cd,0x69c6e602,0x6602012d,0x2d980ad8}},	//   _mung_, _tuke, tuok, lore_, 
   {{0x163447fb,0x2fc700df,0x00000000,0x00000000}},	//   селя, _lung_, --, --, 
   {{0x75232d2a,0x66021838,0x29180102,0x2d98c160}},	//   genz, ruok, _ubra_, nore_, 
   {{0x2fc70c3d,0xf8aa1011,0xa6ca75ee,0xdb1d0237}},	//   _nung_, _करिय, _алба_, _bisè, 
   {{0xe3af0523,0x9f5fe603,0xaac60035,0x7f8800ad}},	//   وري_, puté_, वशिक, dıqo, 
   {{0x2d98e604,0x25be05ae,0xdb1de605,0xff5f0218}},	//   kore_, _titl_, _disè, vkî_, 
   {{0xf8aa590e,0x2fc7cc5c,0xe5a61cb8,0x2d98e606}},	//   _कराय, _bung_, _тизи, jore_, 
   {{0x2fc70029,0x2d98e607,0x656a0358,0x3ea00118}},	//   _cung_, dore_, mhfh, _ayit_, 
   {{0x2fc70029,0x61e201b8,0xdb1d2f96,0x00000000}},	//   _dung_, _twol, _gisè, --, 
   {{0xff5f0218,0xffa300b9,0x2d980056,0x7c2200d2}},	//   rkî_, йлүү, fore_, _ćora, 
   {{0x2d98099d,0x2366006d,0xff5f010c,0x7f8800ad}},	//   gore_, _hloj_, skî_, lıql, 
   {{0x2fc71a13,0x442c0065,0x6c54017f,0x92e80033}},	//   _gung_, _jsd_, окру, বলী_, 
   {{0x75234225,0x68e7e608,0x3a390027,0x3ea901cf}},	//   zenz, _sejd, _prsp_, _tzat_, 
   {{0x78eb95fd,0x98a300ab,0x752302b8,0x68e70ab4}},	// [fc10] вьев_, _mają_, yenz, _pejd, 
   {{0xb4e50081,0x2d98e609,0x6e2de60a,0x2fc70268}},	//   _भजे_, core_, _isab, _yung_, 
   {{0x75230fc9,0xd8791fe8,0x38c803a1,0x2fc7001b}},	//   venz, دمات_, руун_, _xung_, 
   {{0xf770073c,0x3f9903ef,0x7523e60b,0x7bd701f1}},	//   وان_, nosu_, wenz, _itxu, 
   {{0x752398cd,0x7aed08fb,0x442c0d25,0x9a8403e8}},	//   tenz, maat, _asd_, _дурл, 
   {{0x7aede60c,0x6e2d1302,0x2ee99cdd,0x00000000}},	//   laat, _msab, _leaf_, --, 
   {{0x7523e60d,0x6f0d0369,0xdb1d72e2,0x87071628}},	//   renz, _ocac, _aisé, _вязе, 
   {{0x7aed53e1,0x7523e60e,0x2d9811e2,0x2fc7e60f}},	//   naat, senz, zore_, _rung_, 
   {{0x7523e610,0x6e2dbcfa,0xaab718b4,0x98a30083}},	//   penz, _nsab, अधिक, _dają_, 
   {{0x0fd92f89,0x2fc7e611,0x7aede612,0x70e701a2}},	//   льмы_, _pung_, haat, шгоҳ_, 
   {{0x7aed1f06,0x6e2de613,0x7bd701a0,0x331900dd}},	//   kaat, _asab, _ntxu, _біля_, 
   {{0x32040481,0xa0a5a06b,0x7aede614,0x2fc700e7}},	//   bumy_, _қайд, jaat, _vung_, 
   {{0x2d98e615,0xd00e1c03,0x7aed2b92,0x7bd701ca}},	//   tore_, ولی_, daat, _atxu, 
   {{0x61d60056,0x2fc7e616,0x5fcf009a,0x2fc0076b}},	//   _הוסף_, _tung_, _संपल, _wiig_, 
   {{0x2d98e617,0x645c007e,0xdee602f1,0x7aede618}},	//   rore_, _ürit, _лойи, faat, 
   {{0x2d98e619,0x2005e61a,0x256b155b,0x7aed0c92}},	//   sore_, muli_, _følg_, gaat, 
   {{0x2005e61b,0x7f440036,0xed5a00f0,0xdb1e007a}},	// [fc20] luli_, _iniq, _боп_, _cupá, 
   {{0x41df02e6,0xad9b0042,0xfe370070,0x2e370147}},	//   पीएस, trúe, _פריי_, _פריש_, 
   {{0x200503ef,0xb17a07f5,0x7aede61c,0x6b580183}},	//   nuli_, נטער, baat, _dígr, 
   {{0x7aede61d,0x442c0267,0x7bdce61e,0x6e2d0102}},	//   caat, _rsd_, mpru, _ysab, 
   {{0x68f80a24,0x2005d28c,0xa3e512e3,0xdcf500e0}},	//   _نکاح_, huli_, बीस_, lizā, 
   {{0x2005e61f,0x442ce620,0x78ba0019,0xbbe9009c}},	//   kuli_, _psd_, _útvo, _حریم_, 
   {{0x88840a24,0xdcf500e0,0x236601a0,0xe50e05e5}},	//   _بیان, nizā, _ploj_, _साठि_, 
   {{0xd3260b0c,0x51f80088,0xcc3b0070,0x442c011f}},	//   ськи, анию_, רעקט, _vsd_, 
   {{0x637e012d,0x4254009c,0x7f880248,0xda7b0147}},	//   gūna, زندر, rıql, ָניר, 
   {{0xa3a8010f,0x7f4402f1,0x3d1a0c46,0x6f0d00fd}},	//   _खीर_, _aniq, म्मे_, _scac, 
   {{0x2005e621,0x7aed02a5,0x6e2d0298,0x442c90cf}},	//   guli_, yaat, _ssab, _usd_, 
   {{0xd0410095,0xad9b0032,0x7bdc00da,0xd5be0243}},	//   nclə, krúc, dpru, žāda_, 
   {{0x7aede622,0x88c00086,0x225a0a67,0xdcfc0028}},	//   vaat, েরিক, _حجاب_, norė, 
   {{0x20050298,0x7aed3875,0x41b600fd,0x661d0080}},	//   buli_, waat, _усет, _äske, 
   {{0x2005e623,0xd0b20095,0x317b00d1,0xa3dc009a}},	//   culi_, yğəm, _תרומ, तीच_, 
   {{0x317ee624,0x6e2daf9f,0x3d1a1e7b,0x3a29e625}},	//   litz_, _tsab, म्बे_, twap_, 
   {{0x6e2d9404,0x9f5f05a8,0x7bdc039b,0xad9b00b9}},	// [fc30] _usab, nutí_, apru, rrúb, 
   {{0x7aed03f0,0x98c77ee8,0xb88205a8,0x317e1c44}},	//   saat, ссал, čína, nitz_, 
   {{0x7aede626,0x6d450305,0x48ab0e31,0x00000000}},	//   paat, _inha, утам_, --, 
   {{0x317e01ca,0x27fc0032,0xf1c81f19,0x657a0108}},	//   hitz_, ávna_, रदान, _amth, 
   {{0x2005e627,0xf8ae0116,0x99890032,0x00000000}},	//   zuli_, _یکم_, evať_, --, 
   {{0x998900ab,0x23d55b6f,0x637e0009,0xdfc60784}},	//   stał_, оцир, vūna, _يي_, 
   {{0x657a00a1,0x6d450096,0x317e00b4,0xa34919fe}},	//   _dmth, _mnha, ditz_, изка_, 
   {{0xe1f9cd1e,0x6fcf2659,0x20050548,0x6568003e}},	//   аги_, _संबं, vuli_, _eldh, 
   {{0x77690068,0x6d45e628,0x20052902,0xdc3c02d9}},	//   _ilex, _onha, wuli_, váče, 
   {{0x2005e629,0x7f5600ad,0x7bdc0102,0xbebb0326}},	//   tuli_, _soyq, ypru, reël, 
   {{0xcea91a61,0xdb0400eb,0x7c220f23,0x2bbe0249}},	//   _סי_, rmiú, _ćoro, ्दमा, 
   {{0x60dc0718,0x6d45e0da,0x25f00ffe,0x7ad9009a}},	//   ırma, _anha, ुंची_, _फ्लॅ, 
   {{0xd10900c5,0x317e2333,0x2005e62a,0xa3e5241a}},	//   _نقشه_, bitz_, suli_, बीर_, 
   {{0xafe51e91,0x256b01e8,0x2005e62b,0x6d5755b2}},	//   _докл, _føle_, puli_, _coxa, 
   {{0x6da3e62c,0xdb06010e,0x2cac076d,0xdb0a02d9}},	//   фира, _mikö, ådd_, žníh, 
   {{0xe80d02f8,0x7f442376,0x6d4592b4,0xd9100535}},	//   ांना_, _uniq, _enha, کیس_, 
   {{0x7bdce62d,0xfaa3e62e,0x225fe62f,0xe9d71094}},	// [fc40] spru, дато, nyuk_, жку_, 
   {{0x7769e630,0x7bdc007b,0x291c0032,0x2cad00bc}},	//   _alex, ppru, ýva_, ředa_, 
   {{0x1c1e007e,0xad9b007a,0xc79600f0,0xd70a00d9}},	//   _पहिल_, srúc, орды, инже_, 
   {{0x236de631,0x99800028,0xdcfc0028,0x317e00b4}},	//   jhej_, tvių_, torė, zitz_, 
   {{0xd0410095,0x236d024a,0xe505322d,0x7d1e011c}},	//   rclə, dhej_, _राखि_, _kbps, 
   {{0x77690d7e,0x6d89020b,0x224d00b4,0x00000000}},	//   _elex, eľaj, dxek_, --, 
   {{0x317e9604,0xdcf500d9,0x77694ee8,0x18a30a31}},	//   vitz_, liză, _flex, _жарм, 
   {{0x3958026d,0xdb0600c8,0x938a1b11,0x7c220242}},	//   _hors_, _eikö, јска_, _ćorl, 
   {{0x914a4ae5,0x3958e632,0xdcf5020f,0xa50a0267}},	//   ачна_, _kors_, niză, _веза_, 
   {{0x55032241,0x3958040b,0xce950176,0x00000000}},	//   _опуб, _jors_, ҷамъ, --, 
   {{0x3958e633,0x6d57e634,0x3a220065,0x6aa70d2e}},	//   _mors_, _roxa, _lpkp_, _खर्र, 
   {{0x3958026d,0x443e849d,0x236d2b55,0x317e0380}},	//   _lors_, _irt_, chej_, sitz_, 
   {{0x443e4001,0x3ead01cc,0x224b0219,0x6d570183}},	//   _hrt_, ået_, äckt_, _poxa, 
   {{0x7d1b0062,0x395800e4,0x443ee635,0xdb04e636}},	//   đuso, _nors_, _krt_, lliè, 
   {{0x6602e1e0,0xdbd3010c,0xe88b020b,0x5bc50f8c}},	//   hrok, _mûçe, _ťažš, वदेव, 
   {{0x443eadce,0x3a2202a2,0xe8e000e7,0x23850243}},	//   _mrt_, _bpkp_, _đền_, tēji_, 
   {{0x3958e637,0x3a7502f1,0x4fb408cb,0xb6fe010c}},	// [fc50] _bors_, члар, _تصور, _çûyî, 
   {{0xdbd30218,0x443ee638,0xad9b010d,0xc4c4006b}},	//   _nûçe, _ort_, brúa, _لے_, 
   {{0x3958e639,0x443e0231,0xf8b603a1,0x00000000}},	//   _dors_, _nrt_, зөт_, --, 
   {{0xe80c05d2,0x6602d6a2,0x00000000,0x00000000}},	//   _हमरा_, frok, --, --, 
   {{0x8af006d0,0x662700eb,0x8d7400d4,0x98ab0095}},	//   rkət, تراك, _رایا, ılıb_, 
   {{0xe578004f,0x3958e63a,0x1be80299,0x00000000}},	//   озі_, _gors_, टीवल_, --, 
   {{0xdb1d0183,0x00000000,0x00000000,0x00000000}},	//   _lisí, --, --, --, 
   {{0x6602e63b,0x3f8b0082,0x99890035,0x37040267}},	//   brok, jncu_, stań_, _очув, 
   {{0x443ee63c,0x0ca843f5,0xe73900f0,0x00000000}},	//   _ert_, _गर्म, _кең_, --, 
   {{0x8af00095,0x60091103,0x2b590151,0x236d021e}},	//   nkər, бном_, _losc_, shej_, 
   {{0xb4e78412,0x225f3269,0x8fa6c43c,0x443e01d2}},	//   परी_, syuk_, зане, _grt_, 
   {{0x88d10086,0x224b02ae,0x527500d9,0x2a6012ed}},	//   িরিক, äcks_, _нулу, yyib_, 
   {{0xe28e636f,0x443e010e,0x3ea4003e,0x00000000}},	//   _ча_, _zrt_, æmt_, --, 
   {{0xe80c05fd,0xd256042c,0xad9b003e,0xe81c00aa}},	//   _हमला_, _משנה_, trúa, _नहला_, 
   {{0x2b5903a1,0xdb1d00eb,0x8c4300d9,0x660218a7}},	//   _bosc_, _eisí, нере, zrok, 
   {{0x3958e63d,0x5aca03b7,0x3a2200e2,0x2b590038}},	//   _sors_, слам_, _ppkp_, _cosc_, 
   {{0x3f82e63e,0x9b460019,0x3958e63f,0x1d0a275d}},	// [fc60] miku_, _ہندو, _pors_, _лепи_, 
   {{0x9f5f0098,0xa3cb0299,0x23850243,0xdcf5020f}},	//   vrté_, लदा_, mēju_, riză, 
   {{0xc726e640,0x2b593216,0xdca6e641,0x7e600380}},	//   здей, _fosc_, _хани, ämpf, 
   {{0x6602e642,0xe5c60886,0xca64004e,0x39580326}},	//   trok, пско, _жемқ, _wors_, 
   {{0x7ae46b6f,0xe534e643,0x39583080,0x9f5f014b}},	//   mbit, дель, _tors_, nutá_, 
   {{0x7bc60626,0x6602e644,0x6e24023a,0x2bb41230}},	//   _hiku, rrok, _mpib, ंगका, 
   {{0x66e626b1,0x7bc63398,0x3f824691,0x6ba702a0}},	//   _нова, _kiku, kiku_, _órgã, 
   {{0x07a30559,0x6602e645,0x61d81b82,0x443ee646}},	//   _засн, prok, омия_, _vrt_, 
   {{0xa6aa1feb,0x7ae4e647,0x784e010e,0x00000000}},	//   _طارق_, ibit, _fővá, --, 
   {{0x7bc6e648,0x443ee649,0x26c00009,0x225902ae}},	//   _liku, _trt_, žios_, äska_, 
   {{0x3f82e64a,0x30130028,0x6e240009,0x0ec802e6}},	//   fiku_, ндэр, _apib, रखंड, 
   {{0xdb04026a,0x69da031e,0x7bc60907,0xdce500da}},	//   blié, _čten, _niku, _vlhč, 
   {{0x6146e64b,0x63a2e64c,0x623436e7,0xe3ce0033}},	//   _неда, _ikon, _целу, _রবিব, 
   {{0x7bc60088,0xdb1d4a2f,0x5bc505ff,0xdcfc0144}},	//   _aiku, _visí, वद्व, birč, 
   {{0xaeec00cc,0x7bc6e64d,0x7f59e64e,0x2ca5055f}},	//   _কারণ_, _biku, _макс_, æld_, 
   {{0xdb1d0076,0x7ae4e64f,0x7bc6a68d,0x23850243}},	//   _tisí, gbit, _ciku, bēju_, 
   {{0x2aab3953,0x63a2086d,0x89d900eb,0x23850243}},	// [fc70] ство_, _mkon, زوار_, cēju_, 
   {{0xd138012d,0x6f1d1176,0x9ce700d9,0x7ae4e650}},	//   ndą_, lfsc, _эцил, abit, 
   {{0x2d8345e0,0x63a2e651,0x7bc302a3,0xb9c40038}},	//   mije_, _okon, _ènuo, رقمي, 
   {{0x7bc68b41,0xd366009c,0xcb0b00c8,0x6d4f05ae}},	//   _giku, _شه_, _уход_, škač, 
   {{0x6b8d00a1,0x80c50bf1,0x00000000,0x00000000}},	//   mnag, লুপ্, --, --, 
   {{0x63a25144,0x64a56b19,0xb92500eb,0x7bc62148}},	//   _akon, мала, _تفسي, _ziku, 
   {{0x26d20c05,0x3f8202cd,0x7c22015e,0x7bc690bf}},	//   ıyor_, yiku_, _ćork, _yiku, 
   {{0xc2450429,0x6b8de652,0x69c7e653,0x2d83e654}},	//   дник, nnag, _hije, hije_, 
   {{0xd4c7004e,0x2d830199,0x69cf027c,0x69c7e655}},	//   _есеп, kije_, _juce, _kije, 
   {{0x3f8202a2,0x2d834c1b,0x7aef37ba,0x69cfe656}},	//   wiku_, jije_, _lect, _muce, 
   {{0x2d83090b,0x69c7e657,0x69cf0a03,0x6d5a00b0}},	//   dije_, _mije, _luce, ötam, 
   {{0x69c702b1,0xdb0f0183,0x69cf0183,0x69dde658}},	//   _lije, _micó, _ouce, _otse, 
   {{0x63bbe659,0x69dd0e0c,0x7bc6e65a,0x64410082}},	//   mmun, _ntse, _riku, _hrli, 
   {{0x2d83e65b,0x7bc6e65c,0x3f820727,0x44250088}},	//   gije_, _siku, siku_, _kpl_, 
   {{0x69dd9fc8,0x6d89009d,0x7bc6e65d,0x7ae4e65e}},	//   _atse, džad, _piku, tbit, 
   {{0x63a9d42c,0x69cfe65f,0x6b8de660,0x672b00e5}},	//   nlen, _buce, gnag, jegj, 
   {{0x2d83e661,0x69c70eae,0x7ae4e662,0x7bc6e663}},	// [fc80] bije_, _bije, rbit, _viku, 
   {{0x69c702b1,0x63a964c4,0x69cfe664,0x3aec00e7}},	//   _cije, hlen, _duce, ếp_, 
   {{0x69c7e665,0xb8f607bd,0x63a9e666,0x7bc6e667}},	//   _dije, _हल_, klen, _tiku, 
   {{0x63a9e668,0xdb1d02a0,0xadeb3cae,0x66e601a2}},	//   jlen, _visã, जीवन_, фода, 
   {{0x2bd20e17,0x442589a5,0x63a9e669,0x69c700a9}},	//   _दूता, _apl_, dlen, _fije, 
   {{0x63a2e66a,0x63a9e66b,0x6b84e66c,0x64410242}},	//   _skon, elen, liig, _brli, 
   {{0x63a9e66d,0x200502fe,0x672be66e,0x00000000}},	//   flen, jrli_, begj, --, 
   {{0xdb0d0316,0x63bbe66f,0x6d5a007e,0x44251b6b}},	//   rmaç, gmun, ötaj, _dpl_, 
   {{0x6441e670,0x44254174,0x6eaa009a,0x200502a3}},	//   _erli, _epl_, _घरगु, erli_, 
   {{0x7bde003a,0xbe140033,0x63a9e671,0x61e40216}},	//   _otpu, িবাদ_, alen, _çilm, 
   {{0x2d8300f1,0x63a9e672,0x6441034c,0xd1380009}},	//   vije_, blen, _grli, rdą_, 
   {{0x63a2e673,0x2249090b,0x63a9e674,0xb50e00c2}},	//   _ukon, _šake_, clen, _साँय_, 
   {{0x2d8300d0,0x200501d8,0x63a0468e,0x7aef37ba}},	//   tije_, arli_, momn, _rect, 
   {{0x7aef77b2,0x63a09466,0x009400b3,0x6e3d0566}},	//   _sect, lomn, _пилэ, rvsb, 
   {{0x69c702b1,0xe5710137,0x394d02fe,0x4425012b}},	//   _rije, אַן_, _đes_, _xpl_, 
   {{0x2d83090b,0x69c7e675,0x200ce676,0x69cfb68c}},	//   sije_, _sije, mudi_, _puce, 
   {{0x9ccb4294,0x200c003d,0xdb1d020b,0x00000000}},	// [fc90] _мына_, ludi_, _cisá, --, 
   {{0x63bb4960,0x69cf0126,0x63a9e677,0xdb0f001d}},	//   zmun, _vuce, zlen, _picó, 
   {{0x69c702b1,0x200c044e,0x2fc901a0,0x63a9e678}},	//   _vije, nudi_, _kiag_, ylen, 
   {{0xf8df08dd,0x28df0239,0x7afd01cc,0x2fc9006d}},	//   _प्रय, _प्रि, _udst, _jiag_, 
   {{0x69c702b1,0x200c58b8,0xf7730274,0x69dd14cf}},	//   _tije, hudi_, _یار_, _utse, 
   {{0x660b0318,0x2fc9e679,0x212c024a,0x4425e67a}},	//   rugk, _liag_, jedh_, _ppl_, 
   {{0x63a9e67b,0x03a5e67c,0x64a2e67d,0x2d810065}},	//   tlen, нико, лаша, _mmhe_, 
   {{0x644100d2,0x2fc9006f,0x200c9822,0xdb1e0183}},	//   _vrli, _niag_, dudi_, _supú, 
   {{0x63a9e67e,0x3ea917f9,0x00000000,0x00000000}},	//   rlen, _nyat_, --, --, 
   {{0x63bbe67f,0x80da258c,0x78a2020f,0x200c025b}},	//   smun, पुले, şove, fudi_, 
   {{0x3ea92998,0x63bbe680,0x2fc9011d,0x200c023e}},	//   _ayat_, pmun, _biag_, gudi_, 
   {{0xc27505b2,0x3c3900d8,0x00000000,0x00000000}},	//   _плеј, zývá_, --, --, 
   {{0x2fc9e681,0x6d890bfc,0x00000000,0x00000000}},	//   _diag_, džab, --, --, 
   {{0x20050352,0xfe7f00b9,0x00000000,0x00000000}},	//   prli_, taïr_, --, --, 
   {{0x6ea00c94,0x3f6a02a6,0xc4d200d1,0xe1f90028}},	//   _गुरु, _нико_, רגל_, lsų_, 
   {{0xe9da085c,0x92c300cc,0x8e8400a3,0x645c00f6}},	//   зка_, ্রী_, _аҳме, _àrie, 
   {{0x6b84007e,0xe1f90009,0x3946e682,0x00000000}},	// [fca0] riig, nsų_, ннаг, --, 
   {{0x850e456f,0xdff340a8,0x2fc90201,0x2ef2601e}},	//   _साइट_, _आबाद_, _ziag_, _heyf_, 
   {{0x2fc90201,0x77ca0cfe,0x65ad0032,0x636e0465}},	//   _yiag_, члег_, rúhl, _lùna, 
   {{0x09e656e4,0x68e3091f,0xd6c400d4,0x65ad0228}},	//   _помн, ında, نمای, súhl, 
   {{0x6d5ee683,0x16346794,0x7af600a3,0xe80c0790}},	//   _kopa, теля, mayt, _हमका_, 
   {{0x26cd0036,0xceb300d1,0x00000000,0x00000000}},	//   _egeo_, איד_, --, --, 
   {{0x6d5ee684,0x69d600e5,0x63a0e685,0x53340093}},	//   _mopa, lqye, tomn, вейт, 
   {{0xd37718c2,0x31c829f5,0x7af66478,0xe737c8b9}},	//   ечь_, रद्ध, nayt, _пес_, 
   {{0xc29811c2,0xdb040183,0x00000000,0x00000000}},	//   ьких_, nmiñ, --, --, 
   {{0x200ce686,0x63a00228,0x02e014a7,0x636e01fd}},	//   tudi_, somn, _ग्रह_, _dùna, 
   {{0x63a0e687,0xb4cc743c,0x69d6024a,0x232a0080}},	//   pomn, रखी_, hqye, _ножи_, 
   {{0x200c9290,0x753a01d6,0xee3f0098,0xa3a80790}},	//   rudi_, _hatz, tvý_, _खीच_, 
   {{0x753ae688,0x200c8b38,0x6d5e0364,0x5186e689}},	//   _katz, sudi_, _bopa, _пука, 
   {{0x238c00bc,0x200c21b9,0x753a01d6,0x00000000}},	//   ději_, pudi_, _jatz, --, 
   {{0x850e04b7,0x3d1204b7,0x1fa70152,0x2fc901c1}},	//   _साईट_, _तारे_, _приг, _tiag_, 
   {{0x9b58e68a,0x7af63688,0x753a01ca,0x00000000}},	//   нист_, gayt, _latz, --, 
   {{0x4ea70b58,0x7f4d00a4,0x5a351b4a,0x3a9800b3}},	// [fcb0] _ярка, _inaq, ънат, ектэ_, 
   {{0x6d5e0175,0x93bc00b3,0x7cd900c8,0x753a32ee}},	//   _gopa, _spăl, _юмор_, _natz, 
   {{0x7f4d021e,0xa02100c2,0x7985016c,0x00000000}},	//   _knaq, _ööta, rihw, --, 
   {{0x6d5ee68b,0xdddd00ab,0x638700d4,0x7f4d00a4}},	//   _zopa, mysł, _mènè, _jnaq, 
   {{0x753a0414,0x6d5e044d,0x26c202d9,0x7f4d00a4}},	//   _batz, _yopa, _úkol_, _mnaq, 
   {{0xa2c409e5,0x6eaa2ba3,0x636e0465,0x00000000}},	//   ाइन्, _घरघु, _rùna, --, 
   {{0x69aa0a34,0x753acf5b,0x6387023e,0xd4e4004f}},	//   _जीटी, _datz, _nènè, уючи, 
   {{0x753a01d6,0x78b50121,0x7f4d01f2,0x00000000}},	//   _eatz, _izzv, _nnaq, --, 
   {{0xa5350d8f,0x45d500dd,0x5694e68c,0x3d1200c9}},	//   _инач, _розс, _батт, _ताले_, 
   {{0x673b01c1,0x753a01ca,0xe1f90009,0xeeeb0023}},	//   _hauj, _gatz, rsų_, ướng_, 
   {{0xdee6e68d,0x92c30086,0x6d5ee68e,0x638701e5}},	//   кони, ্রে_, _ropa, _cènè, 
   {{0x2d910093,0x753ae68f,0xf48403a1,0x673b00b4}},	//   enze_, _zatz, _суун, _jauj, 
   {{0x6d5ee690,0x9f5f0088,0x673b0b56,0x00000000}},	//   _popa, yttö_, _mauj, --, 
   {{0xdb1d0df8,0xd0091088,0x673b006d,0x602500e4}},	//   _lisä, _жеке_, _lauj, _адка, 
   {{0xdca61103,0xdb0f00a1,0xa3e500bc,0xddca010e}},	//   тави, _bhcà, बीच_, ínűl, 
   {{0x673b0904,0x98a7031e,0x2d91e691,0x6d5e0204}},	//   _nauj, žně_, anze_, _wopa, 
   {{0xee370161,0x81e50033,0xdb040068,0x25700379}},	// [fcc0] _аны_, _ফিড_, umiñ, _làla_, 
   {{0xbc662444,0xbef200a2,0x6375001d,0xdb040068}},	//   _авок, _अजुन_, _hánd, rmiñ, 
   {{0x61fb369b,0x673b0380,0xdb040183,0x7f5f01ff}},	//   hsul, _bauj, smiñ, _yoqq, 
   {{0x6a86e692,0x61fbe693,0x753a0380,0xb68a0535}},	//   _алма, ksul, _satz, وپال_, 
   {{0x63753b73,0x9f59e694,0x753ae695,0xbebb08b0}},	//   _mánd, éré_, _patz, leër, 
   {{0xb4cc00a2,0x77b80042,0x6e29027e,0xe5e50038}},	//   रखे_, díxe, çebi, اثني, 
   {{0xbef200a2,0x29180785,0xe9df001b,0xf783008a}},	//   _अजून_, _icra_, _trúc_, _baħħ_, 
   {{0x44200405,0xdcee0228,0x60cde696,0x673be697}},	//   ċi_, jobľ, _şamp, _gauj, 
   {{0x171b0137,0x61fbe698,0x75820499,0x325300fd}},	//   _קומע, gsul, _پیغم, ивър, 
   {{0x673b1e6f,0x717400eb,0x6387023e,0x00000000}},	//   _zauj, اهدا, _pènè, --, 
   {{0x7bda001d,0xc05708af,0x61fb052b,0x63751259}},	//   ítul, вія_, asul, _bánd, 
   {{0x637526ca,0x03a36832,0xbb1b40d7,0xbebb08b0}},	//   _cánd, _кихо, _amîn, deër, 
   {{0x5f94e699,0x63750634,0x76426fa2,0x29180036}},	//   рият, _dánd, nvoy, _ocra_, 
   {{0x61eda89b,0x7e600219,0x61e2a724,0x63870118}},	//   _çala, ämpa, _itol, _tènè, 
   {{0x7f5f00ad,0x08f10086,0x224600ca,0xac18e69a}},	//   _toqq, _চালু_, _hrok_, кору_, 
   {{0x63750042,0x22461763,0x2918e69b,0x7f4d4161}},	//   _gánd, _krok_, _acra_, _unaq, 
   {{0x29180126,0xdb04003e,0x201e69d8,0x00000000}},	// [fcd0] _bcra_, rmið, ltti_, --, 
   {{0xdb1d0df8,0xd7e702fb,0xe9df0068,0x201ee69c}},	//   _sisä, відо, _crúa_, otti_, 
   {{0x201e0088,0xa9c408ab,0x48ab0176,0x68f70248}},	//   ntti_, рстк, фтам_, raxd, 
   {{0x201e030f,0x61e2e69d,0xd6db00dd,0x2246e69e}},	//   itti_, _otol, єте_, _orok_, 
   {{0xf770017a,0x63b902bf,0x98b100d9,0x61fb1a3d}},	//   غام_, _rhwn, _bază_, xsul, 
   {{0xe9df060f,0xa9790070,0xf1ba0210,0x00000000}},	//   _grúa_, _טאָכ, _nhơ_, --, 
   {{0x61e2e69f,0xdb040019,0x22464262,0x3d1b0366}},	//   _atol, lliá, _arok_, _बाने_, 
   {{0x61fbe6a0,0x22466112,0x77b80042,0x490b00bc}},	//   tsul, _brok_, tíxe, ालको_, 
   {{0x68f5006b,0x201e33c4,0x569527f2,0x61fbd42f}},	//   _kezd, etti_, _саат, usul, 
   {{0x61fbe6a1,0x68f5e6a2,0x6375e6a3,0x77b80042}},	//   rsul, _jezd, _sánd, ríxe, 
   {{0x61fbe6a4,0xa069e6a5,0xbfc60093,0x22460096}},	//   ssul, хана_, лбок, _erok_, 
   {{0xeeeb00f7,0x201800d3,0xd24e0a24,0x77b80369}},	//   ường_, ària_, آنی_, píxe, 
   {{0x5fcf1489,0x6561e6a6,0xfe7800d3,0x201eb0ca}},	//   _संकल, _kolh, түп_, atti_, 
   {{0x5bbe088c,0x236d00da,0x00000000,0x00000000}},	//   ्द्व, lkej_, --, --, 
   {{0x656102a0,0xfce3366a,0xd01100eb,0x63751cf0}},	//   _molh, сосо, _الع_, _tánd, 
   {{0xf0920056,0x29030019,0xfaa69d90,0x33268521}},	//   _לנו_, _adja_, габо, _xbox_, 
   {{0xf2d20138,0x68f51497,0xeb9700d9,0x09e64e7d}},	// [fce0] מען_, _bezd, уит_, уозн, 
   {{0x1e5700df,0x00000000,0x00000000,0x00000000}},	//   _עשיר_, --, --, --, 
   {{0x9d1b00c7,0x7760006d,0x7d1b0613,0x68f5040c}},	//   _אויט, _pomx, đust, _dezd, 
   {{0x2d8a0727,0xe9df001d,0x63750354,0x2a690237}},	//   libe_, _irún_, _lánb, byab_, 
   {{0x656111c8,0x6f040065,0xdb070068,0x98b1020f}},	//   _bolh, _mdic, _émái, _pază_, 
   {{0x656102a0,0x66040228,0xad9b0038,0x201e6c04}},	//   _colh, šiko, trúi, ytti_, 
   {{0x3a20e6a7,0xd90d04f2,0xb4260019,0x00000000}},	//   ltip_, _زین_, اعتو, --, 
   {{0x69cee6a8,0x2d8a05f0,0x6f041e39,0xb6c4021f}},	//   _hibe, hibe_, _ndic, _көлд, 
   {{0x69cee6a9,0xc174e6aa,0x656103b7,0x3a2010fd}},	//   _kibe, илищ, _folh, ntip_, 
   {{0x6f04e6ab,0x2ee002cd,0x69ce010c,0xdb1e014b}},	//   _adic, _afif_, _jibe, _kupó, 
   {{0x69cee6ac,0x2d8a0218,0x7e6002ae,0x05770038}},	//   _mibe, dibe_, ämpn, _حملة_, 
   {{0x236d0187,0x201ee6ad,0x99893321,0x442c008b}},	//   ckej_, rtti_, ktaş_, _ipd_, 
   {{0x115440f3,0x61e20019,0xf1ba001b,0x6448014b}},	//   _вклю, _utol, _thơ_, _hrdi, 
   {{0x6f041565,0x442c1b78,0x68e902fe,0xe9df750c}},	//   _edic, _kpd_, _đedo, _brún_, 
   {{0x9967005e,0x80db00d1,0x00000000,0x00000000}},	//   қтал, _אחוז, --, --, 
   {{0x68f50104,0x501b00d1,0x69cee6ae,0x00000000}},	//   _sezd, _נוחו, _aibe, --, 
   {{0x69cee6af,0x8d8700cf,0x3f8be6b0,0x3d9500dd}},	// [fcf0] _bibe, _бунд, micu_, _випр, 
   {{0x2d8a128a,0x3f8b02f5,0x64480df7,0x6e2d4f98}},	//   cibe_, licu_, _ordi, _ipab, 
   {{0x69ce03f6,0xdb1e04b3,0x656102aa,0xb8fd017d}},	//   _dibe, _cupó, _rolh, _डल_, 
   {{0x3f8b49f8,0x3d1b007e,0xdb040183,0x65612267}},	//   nicu_, _बाडे_, pliá, _solh, 
   {{0x69cee6b1,0xe8010262,0x68f52edb,0x8afa00d1}},	//   _fibe, _लटका_, _tezd, _בהרי, 
   {{0x7aede6b2,0x69cee6b3,0x644300ef,0x2cad00bc}},	//   lbat, _gibe, tvni, ředu_, 
   {{0x3f8b00d0,0x656115e9,0xf99f03a0,0x7bcf0610}},	//   kicu_, _volh, _avèg_, _kicu, 
   {{0x442ce6b4,0x3f8b02f5,0x7aed0a9f,0x7bd701cf}},	//   _dpd_, jicu_, nbat, _muxu, 
   {{0x3f8b14f0,0xe1f601bb,0x64480a9f,0x7bcf9252}},	//   dicu_, агы_, _erdi, _micu, 
   {{0x236d0187,0x7bcfe6b5,0x7aed02f1,0x69ce4a8c}},	//   skej_, _licu, hbat, _xibe, 
   {{0x6e2d3e2b,0x637508f4,0x8af006d0,0x3f8b00d2}},	//   _apab, _cánc, rkəz, ficu_, 
   {{0x7649158b,0x3f8b02c7,0x7bcfe6b6,0xe80d02e6}},	//   _krey, gicu_, _nicu, _हिना_, 
   {{0x6d8903ef,0xee3726c4,0x2d8ad084,0x200ce6b7}},	//   ržan, аня_, tibe_, ardi_, 
   {{0xeeeb0029,0x427a0486,0x63a40fb5,0x7aede6b8}},	//   ưởng_, _באנג, čine, ebat, 
   {{0x69ce4bb8,0x2d8ae6b9,0x6b660141,0x3f8b0588}},	//   _ribe, ribe_, аква, bicu_, 
   {{0x69cee6ba,0x6f049ed6,0x3f8b034c,0x8a061f25}},	//   _sibe, _udic, cicu_, избе, 
   {{0xdb1e0496,0x69cee6bb,0xe9d717e0,0x5986e6bc}},	// [fd00] _supó, _pibe, икт_, алаб, 
   {{0x7aede6bd,0x99890b8b,0x6729e6be,0x61ed003d}},	//   abat, rtaş_, _abej, _ħall, 
   {{0x64580042,0x59d80262,0x3d1b0262,0x320de6bf}},	//   xxvi, _भंवर, _बाते_, hrey_, 
   {{0x7649010d,0x70d24f69,0x61e90065,0x7bcf0199}},	//   _brey, _सल्ल, kpel, _gicu, 
   {{0x69cecacc,0x28b8047c,0x76490369,0x442c8b94}},	//   _tibe, _अरवि, _crey, _spd_, 
   {{0x442ce6c0,0x3f8b0112,0x76491ecd,0x7bd700ad}},	//   _ppd_, zicu_, _drey, _yuxu, 
   {{0x7649d668,0x6d8900ef,0x9cd700a7,0x61e9da83}},	//   _erey, džal, בוצה_, epel, 
   {{0x200c034c,0x7649003e,0x98b8008a,0x320d8c80}},	//   vrdi_, _frey, _gorġ_, frey_, 
   {{0x7649e6c1,0x63750503,0x7e60014e,0x0ea53024}},	//   _grey, _sánc, ämpl, _गुंड, 
   {{0x7aed00d9,0x30140200,0x6448008b,0x200c0352}},	//   zbat, бдор, _trdi, trdi_, 
   {{0x644801cf,0x7aed55c7,0x4034dbfd,0x04db0225}},	//   _urdi, ybat, щенс, _סקאל, 
   {{0x320d0532,0x7e7d0502,0x00000000,0x00000000}},	//   brey_, tzsp, --, --, 
   {{0xa11609e8,0x3f8b02f5,0x7aed02f1,0x7bcfcc3c}},	//   _نوشت, ricu_, vbat, _ricu, 
   {{0x7bcf048a,0x3f8b0613,0xac1955bf,0x6375010e}},	//   _sicu, sicu_, логу_, _tánc, 
   {{0x7bcfe6c2,0x7aed039b,0xfbab3b46,0x00000000}},	//   _picu, tbat, втай_, --, 
   {{0x7aed030c,0xdb1e70a6,0x6d5a7eb7,0x00000000}},	//   ubat, _supò, ötar, --, 
   {{0x7aede6c3,0x4975012d,0x7bcf5369,0x4aa7017d}},	// [fd10] rbat, блас, _vicu, _कुशव, 
   {{0x6375008c,0x7aede6c4,0x7bd701ff,0x69da02d9}},	//   _mána, sbat, _tuxu, _čtet, 
   {{0xd24611b7,0xab5be6c5,0x6375658c,0x7bcf0474}},	//   _کن_, _diür, _lána, _ticu, 
   {{0x6e4400d4,0x7649e6c6,0xdc360070,0x07080038}},	//   _انیم, _prey, _פארט_, ليمي_, 
   {{0x6375008c,0x6b8de6c7,0xd6d90035,0x81e60033}},	//   _nána, miag, _cała_, _বয়স_, 
   {{0xa80503da,0x2a3a0070,0x77b80183,0x76490118}},	//   _coñé, _געשמ, ríxa, _vrey, 
   {{0x69c5b0af,0x28c30586,0x00000000,0x00000000}},	//   mmhe, वेशि, --, --, 
   {{0x6b8de6c8,0x7649e6c9,0x672945ba,0xc5e60033}},	//   niag, _trey, _ubej, _নিরপ, 
   {{0x63750038,0x81df0033,0x61e908a3,0x6d170083}},	//   _cána, ধীন_, upel, _तांग_, 
   {{0x6b8d0414,0x61e9e6ca,0x320de6cb,0xe297004e}},	//   hiag, rpel, rrey_, лақ_, 
   {{0x6d8900d2,0x69c5e6cc,0x6b8d01f1,0xe80d0299}},	//   ržal, imhe, kiag, ांटा_, 
   {{0x61e9e6cd,0x320d00a1,0x6375e6ce,0x257905d5}},	//   ppel, prey_, _fána, _dèle_, 
   {{0xaaa700a2,0x412996ea,0x63750126,0x63a90326}},	//   _कुलक, _боло_, _gána, moen, 
   {{0xfce303dc,0x63a90149,0x3d1200c9,0x61e6a24c}},	//   зоро, loen, ़लें_, íkle, 
   {{0xdd8f298e,0xc0c80267,0x3b0a18b1,0x69c52619}},	//   روف_, _куће_, лево_, dmhe, 
   {{0x63a9e6cf,0xda03007e,0x6b8de6d0,0xef1a00c8}},	//   noen, _लिखत_, giag, _сми_, 
   {{0x3de20086,0x9f5f014b,0x39640176,0x090654c7}},	// [fd20] _বিকল, nutý_, онаҳ, йпан, 
   {{0x63a9012e,0x9cf601d7,0xd9100499,0xe8f7e6d1}},	//   hoen, _учиш, بیس_, йлу_, 
   {{0x63a9e6d2,0xa3b707d5,0x6b8de6d3,0x00000000}},	//   koen, छता_, biag, --, 
   {{0x7c3e02f5,0x69c50318,0x63a9e6d4,0x3f890065}},	//   _ispr, amhe, joen, _xmau_, 
   {{0x63a9e6d5,0xa8050068,0x6d890082,0x637ce6d6}},	//   doen, _poñé, džaj, _héng, 
   {{0xf8dc07bd,0x637ce6d7,0x7c3e0237,0x3ea00ff2}},	//   _बलिय, _kéng, _kspr, _mxit_, 
   {{0xf7466b7b,0xe3af0444,0x637c079c,0x18673a20}},	//   _лево, کرو_, _jéng, _лари_, 
   {{0x637c1a3b,0x63a9e6d8,0x68fe012b,0xf40f0038}},	//   _méng, goen, lapd, رؤى_, 
   {{0x25be0640,0xf1a61c3e,0x637c033e,0x056600b3}},	//   _thtl_, йрон, _léng, _лван, 
   {{0xe80d02f8,0x7c3ee6d9,0x256b01e8,0x320a014b}},	//   ांचा_, _ospr, _sølv_, čby_, 
   {{0xa3df000f,0x63a90343,0x649a065b,0x44380542}},	//   _धूप_, boen, _стар_, _èr_, 
   {{0x443e375f,0x63a9e6da,0x289b035c,0xdd26078a}},	//   _ist_, coen, ריטא, _pêşb, 
   {{0x4aa70dc4,0x6b8d1782,0x66022170,0x82b61372}},	//   _कुंव, viag, nsok, _احاط, 
   {{0x2366006d,0x6143b1f0,0x637c8c7c,0x443ee6db}},	//   _hooj_, _неча, _béng, _kst_, 
   {{0x23660201,0x443ee6dc,0x6b8de6dd,0x637c8c7c}},	//   _kooj_, _jst_, tiag, _céng, 
   {{0xac1902f1,0x637c0574,0x23660372,0xbddb01e5}},	//   лоҳу_, _déng, _jooj_, nvèk, 
   {{0x7c3ed48f,0x6b8de6de,0x23660201,0xeab30038}},	// [fd30] _espr, riag, _mooj_, سعر_, 
   {{0x2907078a,0x2366023b,0x63a9e6df,0x443ee6e0}},	//   ûna_, _looj_, zoen, _ost_, 
   {{0x69c50084,0xdb0d0038,0x63a90053,0xf7700444}},	//   rmhe, llaí, yoen, کال_, 
   {{0xdb0d00eb,0x637c0a13,0x501b2737,0x63a901d6}},	//   olaí, _jénd, רואו, xoen, 
   {{0x637ce6e1,0x69c50026,0x62800144,0x00000000}},	//   _ménd, pmhe, jzmo, --, 
   {{0xd5af0019,0xc95b00a3,0xd469049b,0x00000000}},	//   رہا_, _сўм_, ииле_, --, 
   {{0xdcf500e0,0x984800b3,0xc86413b1,0x2bbf1f9a}},	//   lizē, _лята_, _етти, ्षपा, 
   {{0x2366006d,0x436914e6,0x9f5f007a,0x637c0096}},	//   _cooj_, раин_, artú_, _nénd, 
   {{0x443e182a,0xe2991472,0x63a9e6e2,0xdcf500e0}},	//   _est_, рап_, roen, nizē, 
   {{0x63a9e6e3,0x2fc001ff,0x5fdd0299,0xc0057d29}},	//   soen, _shig_, _नंदल, опок, 
   {{0x25a00084,0x7dc0010e,0x63a9e6e4,0x3943bf08}},	//   éile_, nöse, poen, _majs_, 
   {{0xe4680161,0xd6d90035,0x637c2c55,0x1ecae244}},	//   _ушул_, _mało_, _cénd, илни_, 
   {{0x637c04c6,0xdb0d007a,0x256b00fb,0x00000000}},	//   _séng, glaí, _følt_, --, 
   {{0x9f4600eb,0x29cd0082,0x23660201,0x637c33e8}},	//   mplí_, _džak_, _zooj_, _péng, 
   {{0x3d1b1139,0x8c430601,0x2fc0731e,0x236601a0}},	//   _बारे_, мере, _thig_, _yooj_, 
   {{0xdb0400eb,0x0aea22af,0x66040a1a,0x637c41ee}},	//   lliú, рдай_, šiki, _génd, 
   {{0xe8fac071,0xc33202a1,0xdb0d0038,0x98b800b3}},	// [fd40] ила_, וון_, claí, _oară_, 
   {{0x61e400eb,0x9f5f04b3,0x637ce6e5,0xad9b007a}},	//   _éile, butó_, _téng, lsún, 
   {{0xb17a00c7,0x6d89053d,0xdb040038,0x9f5f0126}},	//   סטער, džah, iliú, cutó_, 
   {{0xd37800f1,0x68fee6e6,0x6602e6e7,0x3943012b}},	//   _kuće_, sapd, tsok, _eajs_, 
   {{0xe5c62540,0x236601a0,0x7f44e6e8,0xddcd26a4}},	//   оско, _rooj_, _maiq, _braň, 
   {{0x1dbc0a09,0x443ee6e9,0x6375022e,0x53e6e6ea}},	//   ोगित, _pst_, _báno, оциа, 
   {{0x475a307f,0x66e61989,0x6602cff8,0xd37a7e6d}},	//   _края_, _мова, ssok, ичи_, 
   {{0x68fce6eb,0x637503da,0x7ae4e6ec,0x93bc002e}},	//   _herd, _dáno, ncit, _apăr, 
   {{0xa5f703b7,0x31670054,0x2e24003e,0x623415d3}},	//   _меѓу_, _bonz_, jöf_, чепу, 
   {{0x7ae400f4,0x637c20a0,0xc0ca0012,0x28af0249}},	//   hcit, _sénd, иуне_, _जुडि, 
   {{0x236601a0,0x443ee6ed,0xd8db0070,0x65680d44}},	//   _tooj_, _ust_, יקיר, _iodh, 
   {{0x65680034,0x68fce6ee,0x637c0106,0xddcd00de}},	//   _hodh, _lerd, _béne, _zraň, 
   {{0x6568e6ef,0x637c033c,0x59aa01a4,0x68fce6f0}},	//   _kodh, _vénd, कवार, _oerd, 
   {{0x68fc027e,0x656801e5,0xdb0d0038,0xd37800ca}},	//   _nerd, _jodh, rlaí, _duće_, 
   {{0x6568e6f1,0x39432ca4,0x768600a3,0x637ce6f2}},	//   _modh, _rajs_, _sаyl, _ténd, 
   {{0x656884c1,0xdb0d01d5,0xdcf501dd,0x9f5f0369}},	//   _lodh, gmað, tizē, rutó_, 
   {{0x68fce6f3,0x49752aa5,0x637ce6f4,0x29d500eb}},	// [fd50] _berd, плас, _géne, سياس, 
   {{0x68fce6f5,0xdcf500e0,0xf84b00d9,0x6568e6f6}},	//   _cerd, rizē, ичей_, _nodh, 
   {{0x68fce6f7,0x2d91e6f8,0x6d450054,0xdb0d0183}},	//   _derd, mize_, _iaha, smañ, 
   {{0x6d45e6f9,0x68fc051e,0x6f1de6fa,0x7ae4c7a1}},	//   _haha, _eerd, ngsc, ccit, 
   {{0x637c09a1,0x6568e6fb,0x7afd002a,0x68fce6fc}},	//   _xéne, _bodh, _iest, _ferd, 
   {{0x68fce6fd,0x2d91e6fe,0x7afde6ff,0x6d47e700}},	//   _gerd, nize_, _hest, ndja, 
   {{0x290120ca,0x6d453ebd,0x7afd98b2,0xe4e40769}},	//   maha_, _maha, _kest, фічн, 
   {{0x6d45e701,0x7afde702,0x2901e703,0x69dd93ca}},	//   _laha, _jest, laha_, _kuse, 
   {{0x68fccfef,0x69dd2f70,0x5694001c,0x2d91e704}},	//   _yerd, _juse, _жатт, kize_, 
   {{0x6d45e705,0x61e60076,0x29010364,0x656800d4}},	//   _naha, íkla, naha_, _godh, 
   {{0xfbdb1d00,0x69dd8951,0xcea90070,0x637c001d}},	//   _मूलम, _luse, _עי_, _séne, 
   {{0x69d5e706,0x7afde707,0x6d5700b9,0x6441e708}},	//   _lize, _nest, _anxa, _isli, 
   {{0x29010149,0x2d9106df,0x69dde709,0xe8b80179}},	//   kaha_, fize_, _nuse, _अर्च, 
   {{0x6d451191,0x2d91024d,0x69d5e70a,0x637ce70b}},	//   _caha, gize_, _nize, _véne, 
   {{0x7afde70c,0x6d45e70d,0x6da30258,0x307900c7}},	//   _best, _daha, хира, _לאַנ, 
   {{0x7afd2645,0x68fce70e,0x6d571321,0xbea600dd}},	//   _cest, _serd, _enxa, _найк, 
   {{0x6d450a49,0x7afd3a73,0x7ae4e70f,0x2d84026d}},	// [fd60] _faha, _dest, rcit, èmes_, 
   {{0x7afd3e8a,0x7ae4e710,0x290100a9,0x64410112}},	//   _eest, scit, gaha_, _osli, 
   {{0x7afd37ba,0x69d5e711,0x6568023e,0x443c006f}},	//   _fest, _dize, _rodh, xwv_, 
   {{0x68fce712,0x6d45e713,0x68e5004c,0x69dde714}},	//   _werd, _zaha, achd, _fuse, 
   {{0x6d450199,0x68fc11a4,0x6568951a,0x69d5e715}},	//   _yaha, _terd, _podh, _fize, 
   {{0x7afde716,0x69d5e717,0x6568016a,0x290104d3}},	//   _zest, _gize, _qodh, caha_, 
   {{0x777b1d59,0x7bde00d7,0x798e02b8,0x65680034}},	//   _flux, _jupu, _imbw, _vodh, 
   {{0x7afd24d3,0x63a40688,0xf743304a,0x8c1b008d}},	//   _xest, čino, _песо, צופי, 
   {{0x7bde1a13,0x2007e718,0x65680358,0x2d913b4a}},	//   _lupu, _avni_, _todh, yize_, 
   {{0x0446065b,0xad9b0084,0x44270d07,0x7bde0102}},	//   _незн, gsúl, btn_, _oupu, 
   {{0x2d91e719,0x636e00a1,0x7bdea0b1,0x00000000}},	//   vize_, _bùnt, _nupu, --, 
   {{0x6d45e71a,0x290100a9,0x929d00ab,0x2d911f0b}},	//   _saha, zaha_, wałe, wize_, 
   {{0x2901024d,0x6e3d0b32,0x2d91e71b,0x0ec7047c}},	//   yaha_, uwsb, tize_, रेंड, 
   {{0x69dde71c,0x6d4567e0,0x3d170a34,0xeb9f017b}},	//   _ruse, _qaha, तलें_, _sjø_, 
   {{0x2d91e71d,0x6d45e71e,0x6d47e71f,0x29012bbf}},	//   rize_, _vaha, rdja, vaha_, 
   {{0x2d91e720,0x1fa4012d,0x69dde721,0x7bde3076}},	//   size_, _прыг, _puse, _dupu, 
   {{0x7afde722,0x6d45e723,0x2901e724,0x44270065}},	// [fd70] _vest, _taha, taha_, ztn_, 
   {{0x7afd222d,0x7bde07d7,0x3958b471,0x6827012d}},	//   _west, _fupu, _cnrs_, зьдз, 
   {{0x2901e725,0xb4bb0d99,0x69d5e726,0xad9b0183}},	//   raha_, _घरे_, _vize, nsúm, 
   {{0x78b5026e,0x69dde727,0x569500c8,0xdb1d001d}},	//   _vyzv, _tuse, мает, _visó, 
   {{0x2901e728,0x69d5010e,0x8b0802d9,0x7dc002ae}},	//   paha_, _tize, stří, lösa, 
   {{0x29013107,0x00000000,0x00000000,0x00000000}},	//   qaha_, --, --, --, 
   {{0x64a201a2,0x98b817d0,0xe504007a,0x00000000}},	//   каша, _parą_, ربوي, --, 
   {{0x2b497cb9,0x6f0d7284,0xfbbf00c2,0xe3b11a1c}},	//   ndac_, _ndac, ्षिम, خرت_, 
   {{0x3a29005c,0x0eac0035,0xd346009c,0xa5f80080}},	//   ntap_, _टुंड, بینه_, _нету_, 
   {{0x44270640,0x600983d8,0x6f0d0727,0x66090304}},	//   ptn_, оном_, _adac, _ivek, 
   {{0x644103e5,0x66040304,0x8fa61054,0xfbbf0cb8}},	//   _usli, šikt, дане, ्षाम, 
   {{0x22491c2b,0x543400d7,0x00000000,0x00000000}},	//   _šaku_, _سرمر, --, --, 
   {{0x7bdee729,0xe28e480d,0xfaff0326,0x8e55017b}},	//   _supu, _ра_, _voël_, нтрі, 
   {{0x7bdee72a,0x01c80019,0xd1310a7c,0x00000000}},	//   _pupu, _فونٹ_, _شمع_, --, 
   {{0xb4bb034d,0x6ec200c9,0x224d7346,0x2d840028}},	//   _घरो_, रेजु, lvek_, ėme_, 
   {{0x05dd000f,0xd37802f5,0x66090d9d,0x637c011c}},	//   मदाब, _kuća_, _ovek, _kéna, 
   {{0x27ed0097,0xaec6bac6,0x39461003,0xeb9702be}},	// [fd80] _čena_, _юбил, мнаг, фит_, 
   {{0x637cdb6b,0xf9c703bd,0x7bdee72b,0x851cbeaf}},	//   _ména, дгук_, _tupu, _नाइट_, 
   {{0xcb6a583e,0x9b46149e,0x00000000,0x00000000}},	//   _дане_, _قندو, --, --, 
   {{0x290704f4,0x00000000,0x00000000,0x00000000}},	//   ónar_, --, --, --, 
   {{0x6d8902f5,0x66092873,0x7af60844,0xeb3b00d1}},	//   ržav, _cvek, mbyt, _ועכש, 
   {{0x798e09a4,0x00000000,0x00000000,0x00000000}},	//   _umbw, --, --, --, 
   {{0x660901a7,0x00000000,0x00000000,0x00000000}},	//   _evek, --, --, --, 
   {{0x320a1d06,0xd37802fe,0x5b7b00c7,0x7af60be0}},	//   охон_, _buća_, ַריא, nbyt, 
   {{0xa5267433,0xc29800af,0x637c002c,0x6f0d01f5}},	//   _омад, яких_, _céna, _rdac, 
   {{0xd37800ca,0x636e00a1,0x661d076d,0x78a278df}},	//   _duća_, _cùnr, _åska, şovu, 
   {{0x660900d2,0x04db00d1,0x80c9109f,0xa0a60eba}},	//   _zvek, _וקבל, हेले, ьшил, 
   {{0x20112e9b,0xf99f0237,0x77b800f6,0x00000000}},	//   ázia_, _avèl_, fíxi, --, 
   {{0xdb0d0161,0x7af6e72c,0x63a2016c,0x62340a10}},	//   llaç, dbyt, _ijon, _челу, 
   {{0x63ade72d,0xfaff08b0,0x00000000,0x00000000}},	//   čane, _seë_, --, --, 
   {{0x1fa71504,0x6d8900ef,0x5f95002e,0xdb6b00b3}},	//   _ориг, džat, _пикт, орал_, 
   {{0x63a2016a,0x6375001d,0x6f0d044d,0x7af65ac8}},	//   _jjon, _ránk, _udac, gbyt, 
   {{0x6375020b,0x00000000,0x00000000,0x00000000}},	// [fd90] _sánk, --, --, --, 
   {{0xc178012d,0x2eaa00c7,0x7dc00219,0x3a292238}},	//   nkė_, _משפּ, lösn, rtap_, 
   {{0x63a402f5,0x3a292ff7,0x6609076b,0x4c95002e}},	//   činj, stap_, _svek, _чинс, 
   {{0x8c1a0137,0x63a2e72e,0x3a29e72f,0x00000000}},	//   _צורי, _njon, ptap_, --, 
   {{0xaaa71d00,0x6595e730,0x00000000,0x00000000}},	//   _कुचक, наду, --, --, 
   {{0x7bcde731,0xdb0d0165,0x63a200c8,0x9f5f0ed0}},	//   lmau, flaç, _ajon, vrtý_, 
   {{0x63a2024a,0x637c3701,0x69c7192b,0x23d52c54}},	//   _bjon, _séna, _ihje, нцир, 
   {{0xc245005b,0x130902fb,0x6609014e,0x637c0107}},	//   еник, чний_, _tvek, _péna, 
   {{0x461500b8,0x26090659,0x2579011c,0x63a2e732}},	//   _سوار, _सिटी_, _hèlm_, _djon, 
   {{0xf1b90082,0x72c200d3,0x80650995,0x91b40023}},	//   kuše_, ыбыз, евож, _đẹp_, 
   {{0x2d8301ee,0x637504f4,0x00000000,0x00000000}},	//   dhje_, _láni, --, --, 
   {{0x92bd0086,0xa3c20bf5,0xf1b921c9,0x63a20034}},	//   _আলী_, ूषण_, duše_, _gjon, 
   {{0x69c7030f,0xf99f0118,0x539a2233,0x00000000}},	//   _ohje, _avèm_, _צינו, --, 
   {{0x63bba621,0x7bc601ee,0x3f8200e5,0x66d601f0}},	//   llun, _shku, shku_, _hükü, 
   {{0xdca3e733,0x6d89012d,0x4b560e65,0xf1b900ca}},	//   гари, ežas, нъат, guše_, 
   {{0xbb43e734,0x63bbb99c,0xeb9a00a3,0x00000000}},	//   леск, nlun, чиб_, --, 
   {{0xfce6062a,0x63bb02f2,0x63750183,0x7af61074}},	// [fda0] _попо, ilun, _cáni, rbyt, 
   {{0x63bb02f2,0xe9df00b9,0x2d83e735,0x00000000}},	//   hlun, _arús_, chje_, --, 
   {{0x6d89090e,0x69c700e5,0x63bbe736,0xad1b0070}},	//   ržat, _dhje, klun, _צוטר, 
   {{0x66e60bf8,0xdd2004bd,0x68fb00ca,0xb6a6e737}},	//   хода, _बाँध_, _đude, ниел, 
   {{0x63bbe738,0xfbbf0425,0x2bbf2dde,0x00000000}},	//   dlun, ्षरम, ्षरा, --, 
   {{0x63a2e739,0x63bbe73a,0x9f5f02be,0x00000000}},	//   _sjon, elun, istá_, --, 
   {{0xc8b511db,0x63a20f23,0x63bbe73b,0x63750098}},	//   _асты, _pjon, flun, _záni, 
   {{0x3266e73c,0x63bbe73d,0x394ae73e,0x929d0035}},	//   етов, glun, _habs_, wała, 
   {{0x6f061497,0xe1ef040f,0xdb0d0165,0xdb04010e}},	//   dakc, یسی_, slaç, llió, 
   {{0xdb0d16c2,0x82330038,0xc1780009,0x76420539}},	//   plaç, اريا, ukė_, mwoy, 
   {{0x4f090161,0x63bbe73f,0x26c40864,0x6b84012b}},	//   үнүн_, blun, _hzmo_, khig, 
   {{0x6722e740,0xf1b9d0a5,0x389b035c,0x3f8001f5}},	//   ngoj, vuše_, ליינ, _cliu_, 
   {{0x6b84e741,0x2d8300e5,0x59b000a2,0x6d8971f3}},	//   dhig, thje_, जकार, džar, 
   {{0x224600d7,0x637c0096,0x7ec90243,0xa1941f25}},	//   _isok_, _kéno, _rūpī, _шалч, 
   {{0x61e2030f,0x645c118d,0x41c32751,0x0ca803a1}},	//   _huol, _árid, _حقوق, етти_, 
   {{0x61e2e742,0x2d8300e5,0x201ee743,0x213e5321}},	//   _kuol, shje_, muti_, leth_, 
   {{0x201ee744,0x4fd800a7,0x7bcde745,0x394a1a77}},	// [fdb0] luti_, _אוהב_, rmau, _babs_, 
   {{0x3d1b0077,0xf1b90613,0x25a0007a,0x7bcde5b1}},	//   _बाटे_, puše_, éill_, smau, 
   {{0x4ac50081,0x39a44134,0xac99009c,0x63bb017c}},	//   लेजव, уштв, _آنجا_, ylun, 
   {{0x2246033e,0x6b84e746,0x9814007a,0x61ed1484}},	//   _osok_, chig, ابلا, _éalg, 
   {{0x69c700e5,0x61e20238,0x201ee747,0x2fc900a1}},	//   _thje, _nuol, huti_, _mhag_, 
   {{0x201e3c65,0xe4e702fb,0x7d071f7d,0xd37800ca}},	//   kuti_, хідн, najs, _bućo_, 
   {{0x224637a0,0xa4930499,0x63bbe748,0xad9b007a}},	//   _asok_, دیات, tlun, gsúi, 
   {{0x201e1725,0x2246016a,0x9f5f014b,0x637c026a}},	//   duti_, _bsok_, ystá_, _déno, 
   {{0x29cd0704,0x2903e749,0x2d810165,0xd36e0038}},	//   _užas_, _keja_, _olhe_, تهي_, 
   {{0x63bbe74a,0x3a3900e2,0x201ee74b,0x637c1a3b}},	//   slun, _mpsp_, futi_, _féno, 
   {{0xa0a5e74c,0x7d07026e,0xf99f158b,0x22466db1}},	//   танд, dajs, _avèk_, _esok_, 
   {{0x213e02bf,0x2292009c,0x29034a70,0x2fc90104}},	//   aeth_, الیس, _leja_, _chag_, 
   {{0x213ee74d,0x333f0107,0x2911019b,0x7d070034}},	//   beth_, meux_, _odza_, fajs, 
   {{0xc0e2c369,0x201ee74e,0xbec5004e,0x333f0107}},	//   _кошк, buti_, ыңыз_, leux_, 
   {{0x5c1530cd,0x1c3915dd,0xab2ae74f,0x201ee750}},	//   льту, нять_, мова_, cuti_, 
   {{0x26df0053,0x333f0107,0x2911019b,0xbebb024a}},	//   _nguo_, neux_, _adza_, rfër, 
   {{0x2903e751,0xbb431ede,0xe9da3a36,0x4a460e65}},	// [fdc0] _beja_, шетк, дка_, ънав, 
   {{0x6b847328,0x8c960769,0x63a4021a,0x29030369}},	//   shig, _армі, čini, _ceja_, 
   {{0x2903e752,0x2d98e753,0x92bd0086,0x7bd80036}},	//   _deja_, mire_, _আলো_, _èvuo, 
   {{0x8a061b29,0x2d98e754,0x6d4e2243,0x637c026a}},	//   _изме, lire_, ldba, _réno, 
   {{0x25fd0a44,0x6722e755,0x2903024a,0x6f04e756}},	//   रीली_, rgoj, _feja_, _meic, 
   {{0x2d98e757,0x6f04e758,0x6375010d,0x61e20093}},	//   nire_, _leic, _mánu, _ruol, 
   {{0xdb0403da,0x7c2ee759,0x61e2e75a,0x43943d1f}},	//   lliñ, ntbr, _suol, лакс, 
   {{0x61e2030f,0x2d98ad08,0x201ee75b,0xe3af00b1}},	//   _puol, hire_, vuti_, يري_, 
   {{0x69dc25f0,0x2d98e75c,0xe64308a5,0x2fc90156}},	//   _kire, kire_, _кетп, _rhag_, 
   {{0x69dc023e,0x61e20141,0x201ee75d,0xa5451169}},	//   _jire, _vuol, tuti_, _مضمو, 
   {{0x213ee75e,0x534605e6,0xd91b035c,0xf99300a7}},	//   reth_, _ахла, וויל, שרת_, 
   {{0x6d5ee75f,0x6448e760,0x61e20088,0x6d4e11da}},	//   _anpa, _isdi, _tuol, edba, 
   {{0x69dc9f9a,0x6f040094,0x7d07008b,0x213e0156}},	//   _oire, _deic, tajs, peth_, 
   {{0x2d98e761,0x69dce762,0x217600d9,0x236f021e}},	//   gire_, _nire, _шуер, _zogj_, 
   {{0x2903bd51,0x6f04e763,0x7d07e764,0xfbd3009c}},	//   _reja_, _feic, rajs, لتر_, 
   {{0x2903e765,0x69dce766,0x6d5ee767,0x2d9872e2}},	//   _seja_, _aire, _enpa, aire_, 
   {{0x69dce768,0x66e502c0,0xf1b97455,0x2903e769}},	// [fdd0] _bire, қола, luša_, _peja_, 
   {{0x69dc38c6,0x2d98e76a,0x2bc307d5,0x6f0402f2}},	//   _cire, cire_, _वीरा, _zeic, 
   {{0x290300ce,0xe7190084,0x4815e76b,0xdb040183}},	//   _veja_, فيات_, умес, aliñ, 
   {{0x4aae0081,0x3f999aca,0xf770646f,0xdb0403da}},	//   _झुकव, nisu_, يان_, bliñ, 
   {{0x69dce76c,0x333f026a,0x7bdd00d9,0x637c0183}},	//   _fire, veux_, _iisu, _vénl, 
   {{0x64a54ac9,0xf1b90d26,0x69dce76d,0x7aed2d1c}},	//   лала, kuša_, _gire, lcat, 
   {{0x7bdde76e,0x7aed0036,0x333f04fc,0x7d0512ed}},	//   _kisu, ocat, teux_, _mehs, 
   {{0x69dc9a15,0x2d98e76f,0x7aede770,0xa0a5005e}},	//   _zire, zire_, ncat, ғамд, 
   {{0x7bdde771,0x2d98e772,0x333f026d,0x6f04e773}},	//   _misu, yire_, reux_, _reic, 
   {{0x6f04e774,0x7bdde775,0x69dc00a1,0x3b09016a}},	//   _seic, _lisu, _xire, haaq_, 
   {{0x93f50ecb,0x2d98e776,0x6e2d03bc,0x6f04e777}},	//   _спец, vire_, _aqab, _peic, 
   {{0x2d9857ff,0x7bdde778,0x63750634,0x324525ad}},	//   wire_, _nisu, _cánt, _منصف, 
   {{0x6f04e779,0x7aede77a,0x260607d5,0x877a00c7}},	//   _veic, dcat, सीपी_, גארי, 
   {{0x6f0401c4,0x9f5f00c8,0x7c2e8867,0x637c002c}},	//   _weic, estä_, ttbr, _nénj, 
   {{0x2d98e77b,0x6f04e77c,0x7bdd0b3a,0x69dce77d}},	//   rire_, _teic, _bisu, _rire, 
   {{0x7aed10fd,0x69dce77e,0x7bdd002c,0x2d98e77f}},	//   gcat, _sire, _cisu, sire_, 
   {{0x69dce780,0x49ca15db,0x320de781,0x2d980ad8}},	// [fde0] _pire, елан_, nsey_, pire_, 
   {{0x6d5e614f,0x7aed00e9,0xed462631,0xdb040183}},	//   _unpa, acat, _сноп, rliñ, 
   {{0x7f4d045a,0x7649012b,0x7bdd3531,0xb17a0070}},	//   _yaaq, _asey, _fisu, עטער, 
   {{0x7aed0141,0x06860f6b,0xdc9b0111,0xa686e782}},	//   ccat, лген, _טייל, ллед, 
   {{0xd5ba4544,0x4a76049b,0x69dc358f,0x63759c57}},	//   нск_, _сынт, _tire, _láns, 
   {{0x69dc0465,0x7bdd70fd,0x637c539f,0x9f5f1950}},	//   _uire, _zisu, _génj, mstå_, 
   {{0xf98331a4,0x764906df,0xf99f0237,0xa2d6320b}},	//   _угро, _esey, _avèw_, मेन्, 
   {{0x52141fde,0x08770137,0xf1b90704,0x33740176}},	//   адит, _געלט_, vuša_, ргир, 
   {{0x86b4004e,0xb466004e,0xbb3b00c7,0x77910116}},	//   _тәжі, _әкел, געפי, _بینا, 
   {{0x442c0126,0xf1b900ca,0x3f99e783,0xc339039f}},	//   _tqd_, tuša_, wisu_, áírá, 
   {{0xc0571222,0x7aed4edb,0x9f5f0088,0x4034181b}},	//   гія_, ycat, ystä_, шенс, 
   {{0xe81c05fd,0xf1b9034c,0x7dc00219,0x6375014b}},	//   _पटना_, ruša_, lösh, _dáns, 
   {{0x7bdd048a,0x3f99034c,0x5f94e784,0x957c00ab}},	//   _risu, risu_, сият, _ciąg, 
   {{0x091a100b,0x7bdd1ab9,0xf1b902fe,0x5bbf0299}},	//   ন্তু_, _sisu, puša_, ्ष्व, 
   {{0x7bdde785,0x7aed00b9,0x41bb2233,0x00000000}},	//   _pisu, tcat, _רצוע, --, 
   {{0x1013189a,0x6e2d00a4,0x00000000,0x00000000}},	//   _ابود, _tqab, --, --, 
   {{0x7aede786,0x7bdde787,0xbda70071,0x7d050c45}},	// [fdf0] rcat, _visu, _محدو, _tehs, 
   {{0x7aed2d1c,0x3b09008a,0x7bdde788,0xdb04008c}},	//   scat, saaq_, _wisu, slið, 
   {{0x7bdd3b0f,0x7aede789,0x00000000,0x00000000}},	//   _tisu, pcat, --, --, 
   {{0x290e5b68,0x205700d1,0x55f511d2,0xa5f9d53c}},	//   ófar_, טיבל_, ачку, веду_, 
   {{0xd24657c8,0x96b800d3,0x637c0096,0xd1380083}},	//   _بن_, лушу_, _ténj, ciąg_, 
   {{0x2715001b,0x441500ba,0x35f8009c,0xd0062e10}},	//   ền_, афит, ارند_, _ول_, 
   {{0x64980093,0x54691e74,0x00000000,0x00000000}},	//   лтър_, тайм_, --, --, 
   {{0x63ad020b,0x091a0086,0x320d00a3,0x7dc0a02d}},	//   čano, ন্দু_, tsey_, tösk, 
   {{0x99800228,0x63750068,0x569500f6,0x161c00b0}},	//   stiť_, _sáns, _таат, _नियर_, 
   {{0x63750076,0x21752b3b,0x59c52ba3,0x20020082}},	//   _páns, руир, वतिर, ćkin_, 
   {{0xd7a900a2,0xefca08ba,0xe7a9176c,0x00000000}},	//   _कदाच, клол_, _कदाप, --, 
   {{0x20184df1,0x62352b68,0x1602009a,0xa3cc036e}},	//   ária_, _веду, रीवर_, _शीप_, 
   {{0x3984014e,0x59c51567,0x24a70243,0x0165548f}},	//   _lösa_, वतार, šumā_, _вкло, 
   {{0xe2c800dd,0x8cb1093a,0xe1f90028,0x00000000}},	//   _слід_, _आँखो, mpų_, --, 
   {{0x1faa00cf,0x6da315f5,0x1d0768d9,0x412600dd}},	//   _икки_, цира, реси_, _тощо_, 
   {{0x2bbf0263,0xdca3004f,0x6fb30038,0x00000000}},	//   ्षगा, іати, _وموا, --, 
   {{0x6da600dd,0xa3c800a2,0x09063b0a,0x1d1a8596}},	// [fe00] _випа, ोगत_, ипан, _июнь_, 
   {{0x6a84005e,0x9f5f0a40,0xe8f7aeb4,0x9e7b00d1}},	//   алға, rstå_, илу_, _סניפ, 
   {{0xa6e600d9,0xad1b0225,0xd11600d1,0x00000000}},	//   ажел, _בויר, שקעה_, --, 
   {{0x26170081,0x7c3e0405,0x237f0097,0x2579009c}},	//   _निशी_, _ippr, jkuj_, _mèlu_, 
   {{0xf1b901dd,0x26c83b46,0x00000000,0x00000000}},	//   jušo_, уған_, --, --, 
   {{0x5e5700c7,0x7b3e0035,0x61e40038,0x8e57027a}},	//   יינע_, _dłuż, _éili, יינג_, 
   {{0x18a3e78a,0xe4b800e4,0x25a9007a,0x637c0151}},	//   _дарм, ылкі_, éala_, _héni, 
   {{0xd37800f1,0xea000029,0xfaff0876,0x236d021e}},	//   _kući_, _luật_, _hoër_, gjej_, 
   {{0x68e900d9,0x637c023e,0xf1a60283,0xe3af0491}},	//   _şedi, _jéni, ирон, برو_, 
   {{0x7c3e00dd,0xd37800ca,0xa6c800f0,0x637ce78b}},	//   _oppr, _mući_, _алға_, _méni, 
   {{0x0496012d,0x53df0299,0x637ce78c,0x00000000}},	//   _траў, _पंचश, _léni, --, 
   {{0xf1b9090b,0x443e0640,0x63a40412,0x645ae78d}},	//   vrše_, _ipt_, čins, _irti, 
   {{0x7c3e1e83,0x6f1600f8,0x3ead0034,0x21a60d75}},	//   _appr, _ddyc, çet_, _кидм, 
   {{0xe7e70081,0x443e0065,0x6f160035,0x2d850035}},	//   _ओढला_, _kpt_, _edyc, óle_, 
   {{0x25b90038,0x3cec0098,0x00000000,0x00000000}},	//   _ísle_, _živý_, --, --, 
   {{0x201e090e,0xdb040107,0xd3780242,0xdb23e78e}},	//   mrti_, nniè, _bući_, _örül, 
   {{0x637c0068,0x39150104,0x3d951a31,0x00000000}},	// [fe10] _céni, ймар, _гипр, --, 
   {{0x637c09e8,0x645a00cf,0x2907e78f,0xd7fb6149}},	//   _déni, _orti, úna_, вуд_, 
   {{0x6f1602bf,0x7b3e00ab,0xa3c80d4f,0x7e7d040b}},	//   _ydyc, _służ, ोगा_, lysp, 
   {{0x30d900c7,0x60d900c7,0x69ce01cf,0x10370070}},	//   אַנע, אַנג, _ehbe, שטאם_, 
   {{0xf7700eea,0x98a703b0,0xbb3a00c7,0x637c026a}},	//   بال_, ını_, _גערי, _géni, 
   {{0xd90f1fdb,0x99850084,0x63ad020b,0xdde400de}},	//   _آیا_, _السو, čanm, _úsťo, 
   {{0x645a0eae,0xaadb0e07,0xad38027a,0xa44500a3}},	//   _crti, _मृतक, ינגס_, ёнид, 
   {{0x443e005c,0xe787461f,0x645a02d9,0xbb1b009e}},	//   _dpt_, _туго, _drti, _olîm, 
   {{0x645a0666,0x645c003e,0xd24e00eb,0xe7eb0b79}},	//   _erti, _árin, فني_, _जूता_, 
   {{0x05740198,0x237fe790,0x443e00e7,0x77910296}},	//   _والد, skuj_, _fpt_, _بیچا, 
   {{0xed5ae791,0xc35500fd,0x39510243,0x201e0175}},	//   қов_, _гълъ, _mazs_, grti_, 
   {{0x765b039b,0x083a0070,0x6fe800d8,0x00000000}},	//   _kruy, נערל, _měch, --, 
   {{0x201ee792,0x673b2c63,0xf38c0070,0xddc4020f}},	//   arti_, _mbuj, _בראָ, _criş, 
   {{0x61fb03f6,0xea000023,0xd2560486,0xa3e63278}},	//   mpul, _quật_, _לשנה_, _यूँ_, 
   {{0x7ff5105a,0x637ce793,0x673b0547,0x0c792cee}},	//   _استا, _séni, _obuj, асты_, 
   {{0x637c4562,0xd3780ab4,0x7bcf01be,0x7e7d243f}},	//   _péni, _pući_, _chcu, bysp, 
   {{0x61fbe794,0x5aca0028,0x2eff0183,0x5f762841}},	// [fe20] npul, улам_, ñufe_, _ناکر, 
   {{0xfaa60f5a,0x673b97a6,0x186a02a6,0xd378090e}},	//   _ҳамо, _abuj, лази_, _vući_, 
   {{0x63ad06e0,0x7c3e0d73,0x6ff300b3,0x2bc302e6}},	//   čanj, _uppr, _făce, _वीका, 
   {{0x443e0068,0xcb6a19d9,0xdc3b00c7,0xd37800d2}},	//   _rpt_, _саме_, _געטר, _tući_, 
   {{0x443e0666,0x941206d0,0x3f82509f,0xa4f80019}},	//   _spt_, əcək_, ikku_, لکار_, 
   {{0x860700eb,0x2d9a0065,0x673b02a5,0x645a0144}},	//   حقوق_, _jmpe_, _ebuj, _prti, 
   {{0x4394069b,0x6e260102,0x765be795,0x7e7d0083}},	//   жайс, hukb, _eruy, zysp, 
   {{0x645a746e,0x799e0053,0xadfa048e,0x937800d9}},	//   _vrti, lipw, ्ठान_, рбит_, 
   {{0xdb040518,0x290a0065,0x7d0ee796,0xa68600e4}},	//   rniè, _keba_, kabs, _улад, 
   {{0x20180316,0x21661fde,0x64a6005b,0xc0140995}},	//   ário_, стиг, _лаза, омощ, 
   {{0xdb0f0019,0x443e105b,0xc32a00eb,0x21760f5a}},	//   ődés, _upt_, _مكان_, _қудр, 
   {{0x2d9ae797,0x3a200495,0x290ae798,0x7e7d5ed0}},	//   _ampe_, krip_, _leba_, tysp, 
   {{0x291834bc,0x3d0500bc,0x6ff30474,0x6458e799}},	//   _odra_, वरले_, _răce, lvvi, 
   {{0x3a20e79a,0x291c0019,0xc693035c,0x99891c2b}},	//   drip_, óval_, לאר_, ktaš_, 
   {{0x9f35005e,0x00000000,0x00000000,0x00000000}},	//   _дейі, --, --, --, 
   {{0xec3400dd,0x8af90afc,0x2d9a4c6f,0x8fa41571}},	//   янсь, рнас_, _empe_, _наје, 
   {{0x290a00d0,0x99998884,0x3a200b1f,0x6f0f92de}},	// [fe30] _beba_, акат_, grip_, macc, 
   {{0x3f89006f,0x6f0f53f5,0x290ae79b,0x25be02a5}},	//   _hlau_, lacc, _ceba_, _nktl_, 
   {{0x290ae79c,0x7bc40028,0x26060ca0,0x6ff3020f}},	//   _deba_, bliu, सीसी_, _tăce, 
   {{0xd37800f1,0x6d47e79d,0x5fc90484,0x6d5501c8}},	//   _kuću_, leja, रतिल, ldza, 
   {{0xf77023e6,0x25d9021f,0x290a0226,0x3669005b}},	//   عام_, амды_, _feba_, рало_, 
   {{0x6d55e79e,0xce3800a7,0x9f4800e5,0x6fe8031e}},	//   ndza, צאות_, _punë_, _těch, 
   {{0x25fd0790,0x6d550243,0x290101e5,0x00000000}},	//   रीजी_, idza, mbha_, --, 
   {{0x765b00f7,0x69c59c36,0x7dc016ab,0x673b0199}},	//   _truy, llhe, löst, _ubuj, 
   {{0xbb1b078a,0x6f0f3be8,0x6d471327,0x64582a83}},	//   _alîk, dacc, keja, avvi, 
   {{0x6d4702cd,0x61fbe79f,0x2d8301c8,0x6d55e7a0}},	//   jeja, rpul, jkje_, jdza, 
   {{0x6f0fe7a1,0x3f89e7a2,0xd1380083,0x6b8d039f}},	//   facc, _blau_, wiąc_, khag, 
   {{0x4427ab58,0x6f0f9f10,0x3f8903a1,0x6d55a136}},	//   mun_, gacc, _clau_, edza, 
   {{0x4427e7a3,0x63bbe7a4,0x3f89006d,0x6b8d011c}},	//   lun_, moun, _dlau_, dhag, 
   {{0x6d47e7a5,0x63a9e7a6,0x63bbe7a7,0x637c0212}},	//   geja, lnen, loun, _dénu, 
   {{0xfce3e7a8,0x4427e7a9,0x63a9e7aa,0x6e26e7ab}},	//   доро, nun_, onen, sukb, 
   {{0x63a9e7ac,0x6f0f046c,0xbea62ec7,0x6b8d4a14}},	//   nnen, cacc, _майк, ghag, 
   {{0x4427e7ad,0x6d47e7ae,0x61ebe7af,0x7bc4e7b0}},	// [fe40] hun_, beja, _jugl, rliu, 
   {{0x4427e7b1,0xada600cf,0x6441064e,0x63a9e7b2}},	//   kun_, _фаол, _opli, hnen, 
   {{0x61eb048a,0xdc6a00b9,0x61e33fac,0x6441023b}},	//   _lugl, _танд_, _minl, _npli, 
   {{0xe73ae7b3,0x6b8de7b4,0x4427e7b5,0x63a9e7b6}},	//   ред_, chag, dun_, jnen, 
   {{0x63bb1056,0x442711e9,0x63a90228,0x290ae7b7}},	//   doun, eun_, dnen, _teba_, 
   {{0xa2da3785,0x4427e7b8,0x8c4301f0,0xdb1de7b9}},	//   _पृष्, fun_, ışve, _aksè, 
   {{0x63bbe7ba,0x61eb010d,0x4427251e,0x69b90f8c}},	//   foun, _augl, gun_, ्तरी, 
   {{0x63bb04fe,0x63a9e7bb,0x2fc00201,0x6b84e7bc}},	//   goun, gnen, _nkig_, nkig, 
   {{0xb6a300dd,0x6f0fe7bd,0xfbd300a7,0x316a15f5}},	//   _житл, vacc, ותה_, ашно_, 
   {{0x63a90415,0xba9b008d,0x61eb59d6,0xc05a012d}},	//   anen, יספי, _dugl, аім_, 
   {{0x4427e7be,0x6f0f0141,0x61e3091f,0x6b8419ba}},	//   cun_, tacc, _dinl, kkig, 
   {{0x91e681b8,0x63bbe7bf,0x61eb64ed,0x61e3394a}},	//   _доде, coun, _fugl, _einl, 
   {{0xa2d62b48,0x6d47e7c0,0xb7db00a7,0x23660372}},	//   मेश्, teja, יקטי, _inoj_, 
   {{0x3cdc01a4,0x6f0fe7c1,0x63a0e7c2,0x26c40036}},	//   _गृहे_, sacc, limn, _mymo_, 
   {{0x672b6316,0xfe6e06bc,0x2d83e7c3,0x6f0f00fd}},	//   yggj, نگی_, rkje_, pacc, 
   {{0x63a0e7c4,0x6d479530,0xb4f8072f,0x6b840495}},	//   nimn, seja, ुरुप_, gkig, 
   {{0x4427e7c5,0x6d47e7c6,0x69c50415,0x6ce7e7c7}},	// [fe50] zun_, peja, tlhe, _міне, 
   {{0x4427e7c8,0x63a91a35,0x6b8de7c9,0x67f30405}},	//   yun_, znen, shag, _aħja, 
   {{0x63bbe7ca,0x7dc00fd4,0x23660062,0x4427e7cb}},	//   youn, röst, _onoj_, xun_, 
   {{0x4427e7cc,0x637c0183,0x200205ae,0x6b8425a6}},	//   vun_, _méns, ćkih_, ckig, 
   {{0xaaf61a61,0x4427e7cd,0x63bb03da,0x63a9e7ce}},	//   _מזרח_, wun_, voun, vnen, 
   {{0x6f0de7cf,0x61ebe7d0,0x62800009,0x6ff3020f}},	//   _leac, _rugl, dymo, _lăca, 
   {{0x61ebe7d1,0x3a290da2,0x63a90187,0x63bbe7d2}},	//   _sugl, luap_, tnen, toun, 
   {{0x6f0d004c,0x644102ee,0x61eb0093,0x059500d4}},	//   _neac, _vpli, _pugl, _کارگ, 
   {{0x4427e7d3,0x26cd03ef,0x13060088,0xe29908ad}},	//   sun_, _uzeo_, чный_, сап_, 
   {{0x4427e7d4,0x61eb015e,0x63a90228,0x6b8401f1}},	//   pun_, _vugl, snen, zkig, 
   {{0x637c0019,0x61e3e7d5,0x7dc00019,0x6f0de7d6}},	//   _pént, _vinl, zöss, _beac, 
   {{0x6609e7d7,0x6f0d0038,0x61eb00bd,0x637c0574}},	//   _kwek, _ceac, _tugl, _déns, 
   {{0x6f0d1600,0xee37bb13,0x1e8324c8,0x2032010e}},	//   _deac, пня_, елям, وفیس, 
   {{0x66096a6e,0xac0a0104,0xf1b901dd,0x2011039f}},	//   _mwek, йнга_, kuši_, ázis_, 
   {{0xaffe00f7,0xf1b9002a,0x637c03da,0x6f0d02d0}},	//   _trướ, juši_, _tént, _feac, 
   {{0xeb971b49,0x6f0de7d8,0x6616012d,0x33f12139}},	//   пис_, _geac, šyki, _máx_, 
   {{0x6b84e7d9,0x6b9d008a,0xada63ae7,0x00000000}},	// [fe60] rkig, _dmsg, _наил, --, 
   {{0x6b84e7da,0x1d2601a2,0x63a05d17,0x7dc0e7db}},	//   skig, _эмом, zimn, röss, 
   {{0x98a347d5,0x6609e7dc,0x7d7b00d1,0xf1b90243}},	//   нифе, _awek, _הניו, guši_, 
   {{0xdb240274,0x09e65dd9,0x66090547,0x00000000}},	//   _توحی, _номн, _bwek, --, 
   {{0xb6e3021d,0x83fc00ca,0xad9b0126,0xdb0d0a6d}},	//   нюшк, _mrđe, spúe, mlað, 
   {{0xdb0d008c,0x186a11f4,0x23660604,0xb9b600d7}},	//   llað, _лаги_, _snoj_, _رمزع, 
   {{0x9f590034,0x66090ff2,0xf99f0237,0x00000000}},	//   ërë_, _ewek, _mwèl_, --, 
   {{0x51f84311,0x201802fe,0x66090237,0xa7a700b3}},	//   онию_, šrik_, _fwek, _екса_, 
   {{0xbebb00e5,0x6f0de7dd,0x63a0e7de,0x660901b8}},	//   ngët, _reac, rimn, _gwek, 
   {{0x6f0d4873,0xb603000d,0x637c0042,0x63a0e7df}},	//   _seac, ášen, _péns, simn, 
   {{0x6568e7e0,0x6ff300b3,0x82330499,0x6f0de7e1}},	//   _indh, _păca, وریا, _peac, 
   {{0x657aa5ea,0x637c0183,0xfaff024a,0xdef84a90}},	//   _hoth, _véns, _anën_, зыр_, 
   {{0x657ae7e2,0x54f00586,0x59be0bb9,0x51182351}},	//   _koth, _चलाए_, ्तार, _долю_, 
   {{0x657a02a5,0x637c0175,0x661d0566,0xd12f00d7}},	//   _joth, _téns, _æske, _ممه_, 
   {{0x6f0d6354,0x215708cb,0x657ae7e3,0x2b4900b4}},	//   _teac, _رجوع_, _moth, teac_, 
   {{0x657ae7e4,0x8bc48ed6,0x83fc00ca,0xf1b901dd}},	//   _loth, есуд, _grđe, vuši_, 
   {{0xaab4004e,0x2b499e38,0xadb53f7f,0x656801e5}},	// [fe70] ейті, reac_, _обиш, _ondh, 
   {{0x3a290065,0x657a00a7,0x61ef0183,0xf1b90243}},	//   ruap_, _noth, ícli, tuši_, 
   {{0x4735e7e5,0x3a290ab1,0xdb0d008c,0x2cfb00bc}},	//   днес, suap_, blað, ्रील_, 
   {{0xb90404bd,0x656800d4,0x6609e7e6,0xf1b90caf}},	//   _पृ_, _andh, _pwek, ruši_, 
   {{0xe618005e,0xa3c00239,0xcd340116,0x6d57c3a8}},	//   зді_, ंकन_, _غریب, _kaxa, 
   {{0x657a11a1,0x33f103da,0xceb40070,0x09e4012d}},	//   _coth, _páx_, עיס_, _поўн, 
   {{0x6d574732,0x5fbd0081,0x657a044d,0xa6340259}},	//   _maxa, ईवाल, _doth, _үнсі, 
   {{0xe1f91314,0x27fc0228,0x6568009c,0x9f5f0369}},	//   оги_, ívne_, _endh, istó_, 
   {{0x569411db,0x6d570bf1,0x66090053,0x657a0358}},	//   _затт, _oaxa, _uwek, _foth, 
   {{0x6d57e7e7,0x224d0ff2,0x297a0070,0x00000000}},	//   _naxa, rwek_, ַטרא, --, 
   {{0xff260080,0xd2f91271,0x29380147,0xbef90110}},	//   ммно, _деец_, לאזן_, ंडून_, 
   {{0x63750042,0x6b8300b3,0x657a0204,0x3ea600a3}},	//   _lánz, _îngh, _zoth, димг, 
   {{0x6d57ce21,0xceb406d0,0xa3b80740,0x657a044d}},	//   _baxa, _edən_, _عامر_, _yoth, 
   {{0xf0b800d4,0x2d9e06df,0x8c46004e,0x637c0574}},	//   _کاهش_, òte_, меге, _hénp, 
   {{0xef1f0092,0xdb0d003e,0x1fb64e00,0xdca6e7e8}},	//   mkün_, tlað, _осир, фави, 
   {{0x7e620183,0x00000000,0x00000000,0x00000000}},	//   _áopo, --, --, --, 
   {{0xc3320056,0xed5ae7e9,0x291300b4,0x81c20033}},	// [fe80] כון_, _доп_, faxa_, ্দর_, 
   {{0x261707cc,0xe9d70a8e,0x776916d7,0xbebb021e}},	//   _निजी_, дку_, _anex, rgët, 
   {{0x657ae7ea,0x2d0a00a2,0x6fe8011c,0x00000000}},	//   _roth, वरील_, cècè, --, 
   {{0x657ae7eb,0xc5f8004e,0xd83e0352,0x6d579815}},	//   _soth, зға_, ščob_, _zaxa, 
   {{0x657ae7ec,0xeb97e7ed,0xcb13027a,0x6d5700ad}},	//   _poth, _ция_, _שלש_, _yaxa, 
   {{0x29130126,0x657a0415,0x7769039b,0xa3e60083}},	//   caxa_, _qoth, _enex, _यूज_, 
   {{0xb17600e7,0xf1b900ef,0xc7a67f7f,0xd46702a6}},	//   _nhượ, nušu_, _живк, дије_, 
   {{0x7c37cd5c,0x657a044d,0xb5fde7ee,0x3958123b}},	//   _çarş, _woth, _srše, _hars_, 
   {{0x657a00d3,0x914a21df,0x99890228,0xc6c30161}},	//   _toth, очна_, stať_, _айтк, 
   {{0x6602e7ef,0x656800d4,0x442a0068,0x9f5f0151}},	//   mpok, _undh, _ªb_, mpté_, 
   {{0xb5fd05ae,0x63750019,0x3958534c,0x2018e7f0}},	//   _vrše, _lány, _mars_, éri_, 
   {{0x59d0000f,0x39580533,0x6e95cb2b,0x8354009c}},	//   _तीसर, _lars_, еиму, _سپتا, 
   {{0x6d57e7f1,0x39580102,0x6d400704,0x660201f1}},	//   _paxa, _oars_, đman, npok, 
   {{0xea0000f7,0x3958134a,0xd6d900ab,0x5f010033}},	//   _xuất_, _nars_, _cały_, ্লেখ_, 
   {{0xb5fd00ef,0x00000000,0x00000000,0x00000000}},	//   _kršc, --, --, --, 
   {{0x69d40bd5,0x798e017c,0x39584313,0x00000000}},	//   _बीबी, _albw, _aars_, --, 
   {{0x6d57e7f2,0x3958e7f3,0xcd078345,0x777be7f4}},	// [fe90] _taxa, _bars_, _очни, _roux, 
   {{0xc4c40456,0x660206ff,0x22460089,0x395800d1}},	//   _نے_, dpok, _mpok_, _cars_, 
   {{0x7d153321,0x395800a3,0x291347d1,0x00000000}},	//   mazs, _dars_, raxa_, --, 
   {{0xea00001b,0x8af00095,0x3958015c,0x00000000}},	//   _suất_, ndəl, _ears_, --, 
   {{0x3958e7f5,0x776900e7,0x66022244,0x2b59007a}},	//   _fars_, _vnex, gpok, _iasc_, 
   {{0x3958e7f6,0x6fd60032,0xea000023,0x61ed02be}},	//   _gars_, máce, _quất_, _éali, 
   {{0x2246023a,0xf99200d1,0x291101cf,0x6ff3020f}},	//   _apok_, _גרם_, _ieza_, _răco, 
   {{0x58d4369d,0x29110610,0x2b5902be,0x776900df}},	//   _рост, _heza_, _jasc_, _unex, 
   {{0xb5c90105,0x6fd62888,0x2b59e7f7,0x2911e7f8}},	//   _فورم_, náce, _masc_, _keza_, 
   {{0x291122ed,0xf99200c7,0x2cfb12e3,0xb17600e7}},	//   _jeza_, ָרט_, ्रोल_, _phượ, 
   {{0x2cfb05fd,0x2911e7f9,0x2246e7fa,0xa069e7fb}},	//   ्रैल_, _meza_, _epok_, чана_, 
   {{0x2b5900eb,0x63ad2365,0xf8b200c7,0xdef9012d}},	//   _nasc_, čans, רשט_, дыё_, 
   {{0xe28ee7fc,0x8db6004f,0x5ec80033,0x00000000}},	//   _са_, есві, রেনে, --, 
   {{0xef1f006b,0x2911099d,0xc692035c,0x44270d2d}},	//   lkül_, _neza_, ראך_, orn_, 
   {{0x8c439d46,0x2054584f,0x2b59022c,0x1c3900c8}},	//   лере, _атыр, _basc_, мять_, 
   {{0x39580149,0x4427161c,0x2b59022c,0xffd600e4}},	//   _sars_, irn_, _casc_, _яўля, 
   {{0xa3c00081,0xeab70161,0x39580616,0x2911e7fd}},	// [fea0] ंकत_, ейт_, _pars_, _beza_, 
   {{0x2911027e,0xf1b951dc,0x00000000,0x00000000}},	//   _ceza_, pušu_, --, --, 
   {{0x6d4e1a0f,0x3958e7fe,0x661be7ff,0x2911e800}},	//   meba, _vars_, _avuk, _deza_, 
   {{0x6d5c7ad0,0x7e64e801,0x39584716,0x2907003e}},	//   ldra, _krip, _wars_, ðnar_, 
   {{0xe5c6e802,0x7bc6e803,0xb8f600cc,0x3d0500a2}},	//   нско, _ikku, _হল_, वरचे_, 
   {{0x6d5ce804,0x6d4ee805,0x7e647344,0x00000000}},	//   ndra, neba, _mrip, --, 
   {{0x6846e806,0x53e67bcc,0x7c2ee807,0x6d5ce808}},	//   _янва, нциа, nubr, idra, 
   {{0x6d4ee809,0xddcd00d9,0xf99f00d7,0x291111e2}},	//   heba, _oraş, _awèh_, _zeza_, 
   {{0x4427d910,0xb5fd0df4,0x6d5c7964,0x29110027}},	//   arn_, _vršc, kdra, _yeza_, 
   {{0x6d4e2178,0xd1302f67,0x3a370486,0x98a70083}},	//   jeba, جمد_, ערים_, żną_, 
   {{0x7bc6010d,0xddcd0824,0x661b01e2,0x6d5c2407}},	//   _okku, _araş, _zvuk, ddra, 
   {{0x7e64320d,0xddcd00d9,0x6710017d,0xdd9400f0}},	//   _brip, _braş, ारिक_, қасы, 
   {{0x63a22ce4,0xb5fd00ca,0x443ce80a,0x6d4e03c6}},	//   _imon, _krša, ltv_, feba, 
   {{0x63a2006f,0x7bc6e80b,0x6d5c4e77,0x6fd600d8}},	//   _hmon, _akku, gdra, váce, 
   {{0x3ce50750,0xb5fd14f0,0x7c2e3994,0x67200e67}},	//   älv_, _mrša, gubr, _odmj, 
   {{0xa3c00d95,0xa3c20509,0x5ba4e80c,0x2911da36}},	//   ंकि_, ृति_, груз, _seza_, 
   {{0x6d4e2dd5,0x2911e80d,0x63a22789,0x2b590210}},	// [feb0] beba, _peza_, _mmon, _vasc_, 
   {{0x442e5ec5,0x63a2012b,0x291112ed,0x661b00ca}},	//   kuf_, _lmon, _qeza_, _rvuk, 
   {{0x63a2e80e,0x291102f5,0x7c2e0634,0x443c0b43}},	//   _omon, _veza_, cubr, jtv_, 
   {{0x69de00b9,0x27fc0032,0x2911095a,0x2b593817}},	//   ampe, ívna_, _weza_, _uasc_, 
   {{0x7bcde80f,0x3b090065,0xb5fd00ca,0x6e3d0b41}},	//   mlau, mbaq_, _brša, ntsb, 
   {{0x64a5b022,0x83fc11b1,0x63a22d28,0x201c02a3}},	//   кала, _srđa, _amon, _ovvi_, 
   {{0x7bc6008c,0x58d49843,0x69c7487e,0x00000000}},	//   _ykku, _борт, _ikje, --, 
   {{0xc2452b5e,0x7bcde810,0x4427e811,0xf3f10023}},	//   вник, nlau, rrn_, _vụ_, 
   {{0x6d4501c5,0x6d5ce812,0x248900e0,0x07a5004e}},	//   _obha, ydra, ņam_, _заңн, 
   {{0x69cb010c,0x63a2e813,0x7bcde814,0x6d4e01ca}},	//   îgeh, _emon, hlau, xeba, 
   {{0x7bcde815,0xe0cf0086,0x61ea00f8,0x6d5c52c3}},	//   klau, রশ্ন, _difl, vdra, 
   {{0x7e64e816,0x6d450094,0x3984014e,0x8fa6e6ea}},	//   _prip, _abha, _höst_, таме, 
   {{0x6d5c62e5,0x277600c7,0x6d45011c,0x7bcde817}},	//   tdra, דערש_, _bbha, dlau, 
   {{0x7afde818,0xf1b900ef,0x63a2e819,0x61eae81a}},	//   _afst, krši_, _zmon, _gifl, 
   {{0x6d4ee81b,0x6d5c11da,0x711a008d,0x6e3de81c}},	//   reba, rdra, _חוצפ, atsb, 
   {{0x7bcde81d,0x2005e81e,0x398400a8,0x6d4e32cc}},	//   glau, mpli_, _löst_, seba, 
   {{0x6f0924d3,0x6a839dfe,0x6d5ce81f,0x3a29261e}},	// [fec0] ñece, алта, pdra, grap_, 
   {{0x4c8601a2,0x443c0210,0x7afd003e,0x7bcde820}},	//   _алов, ytv_, _efst, alau, 
   {{0x8af00095,0xeb9a3ae5,0x200506df,0xd7f9004e}},	//   ndək, _жин_, npli_, еуі_, 
   {{0xe7d000cc,0x7bcd16cd,0x985500f0,0x3a290027}},	//   িদ্য, clau, ытуш, brap_, 
   {{0x442e1275,0xbad500f0,0x63a201ff,0xa3c00083}},	//   wuf_, _біры, _rmon, ंकस_, 
   {{0xdb0d026d,0x63a200fd,0x644800ca,0x3f8000b4}},	//   nnaî, _smon, _ppdi, _loiu_, 
   {{0xb5fd07c7,0xe9a34c02,0x61eae821,0x7f8602be}},	//   _vrša, _тарп, _rifl, _hóqu, 
   {{0x442ee822,0xa3cc009a,0x7bc4020f,0x18a608ba}},	//   ruf_, _शीख_, noiu, _заҳм, 
   {{0x442e394d,0x443c0a6d,0xd2510019,0x66e300b3}},	//   suf_, stv_, منٹ_, _вота, 
   {{0x69c302ee,0x443ce823,0xceb40095,0xb5fd00ca}},	//   čneg, ptv_, _edək_, _kršn, 
   {{0x442e02cd,0xb4250e61,0x00000000,0x00000000}},	//   quf_, _معنو, --, --, 
   {{0x331a0399,0x838300c8,0x69d42414,0x63a2018e}},	//   _آزاد_, _выше, _बीसी, _umon, 
   {{0x61eae824,0xdd910038,0x9f99011c,0x00000000}},	//   _tifl, موح_, néé_, --, 
   {{0x6e3d042a,0x398402ae,0x4034ba4f,0x00000000}},	//   rtsb, _möss_, _бекс, --, 
   {{0x7bcde825,0x3a292d82,0xebc70267,0x6aab0110}},	//   tlau, wrap_, вљан, चप्र, 
   {{0xf1b904d1,0x69c702fb,0x3a29e826,0x33f80126}},	//   vrši_, _skje, trap_, _méx_, 
   {{0x7bcdce7d,0x7d02e442,0x7ac712de,0x6d4100c2}},	// [fed0] rlau, _şose, тсве, õlas, 
   {{0x7bcde827,0x6d451bf0,0x00000000,0x00000000}},	//   slau, _ubha, --, --, 
   {{0xa2c90351,0x39840219,0x6fd60032,0x7bcd52a8}},	//   _हुन्, _röst_, láca, plau, 
   {{0xff5f055a,0x7e62239a,0x5695e828,0x2d8101c4}},	//   ndî_, _šopi, лает, _hohe_, 
   {{0x2d81e829,0x167300cf,0x8af00248,0x00000000}},	//   _kohe_, шқар, zdək, --, 
   {{0x69c700fc,0xc9870896,0x00000000,0x00000000}},	//   _ukje, _руми, --, --, 
   {{0x03a56942,0x69c5e82a,0x2d810065,0x628601e8}},	//   лико, mohe, _mohe_, økon, 
   {{0x6b8de82b,0x69c5e82c,0x2fc901a0,0xdb04019c}},	//   nkag, lohe, _nkag_, rniç, 
   {{0x6fd60126,0x0115b09a,0x00000000,0x00000000}},	//   jáca, льню, --, --, 
   {{0x69c52a77,0x60090088,0x27ed00e7,0xd6d81221}},	//   nohe, нном_, _hien_, _ртс_, 
   {{0x27ed0529,0xe1f800d3,0x26cd016a,0x058401ff}},	//   _kien_, нгө_, _hyeo_, _тутм, 
   {{0x27ed003d,0x69c5e82d,0x8af000ad,0x6b8d01d2}},	//   _jien_, hohe, rdək, jkag, 
   {{0x63a9e82e,0x61450b51,0xa3c00f01,0x69c5e82f}},	//   mien, _бела, ंकर_, kohe, 
   {{0x27ede830,0x69c500e5,0x6289e831,0x2005008a}},	//   _lien_, johe, myeo, ppli_, 
   {{0x6b9602bf,0xa0660093,0x41cf0fcf,0xb5fd0372}},	//   thyg, _баща_, _सीएस, _oršo, 
   {{0x09be2f41,0x6b8d1a71,0x7f860126,0x27ede832}},	//   ्त्य, gkag, _póqu, _nien_, 
   {{0x399601cc,0x6289da2c,0x629be833,0x69c55733}},	// [fee0] _læse_, nyeo, nzuo, fohe, 
   {{0x63a9e834,0x7a47002a,0x69c5e835,0x27ede836}},	//   hien, dītā, gohe, _aien_, 
   {{0x27ede837,0x63a9e838,0x6f1624bc,0x6bd6073c}},	//   _bien_, kien, _keyc, _متحر, 
   {{0x63a9e839,0x6d5ee83a,0x4b560141,0xb5fd0112}},	//   jien, _hapa, _съот, _vršn, 
   {{0x6d5ee83b,0x63a91974,0x27edc486,0x9cb300d4}},	//   _kapa, dien, _dien_, _نمیت, 
   {{0x8e5700fe,0x69c5e83c,0x6b8300d9,0x6d5ee83d}},	//   טינג_, cohe, _îngr, _japa, 
   {{0x69dc02ec,0x6d5ee83e,0x63a9e83f,0x27ed039b}},	//   _ihre, _mapa, fien, _fien_, 
   {{0x291a57f3,0x6d5ee840,0x27ede841,0x320a1d06}},	//   lapa_, _lapa, _gien_, нхон_, 
   {{0x69dc0026,0x5186e842,0x7ddb009e,0x171b0070}},	//   _khre, гуна, lîse, _רומע, 
   {{0x6d5ee843,0x291ae844,0x27ede845,0x63a9e846}},	//   _napa, napa_, _zien_, aien, 
   {{0xe04a00d7,0x1f7501d8,0x69dc00f3,0x00000000}},	//   رشده_, алня, _mhre, --, 
   {{0x63a9c8aa,0x69c500e5,0x6d5e9e8f,0xe3c90183}},	//   cien, zohe, _aapa, riñá_, 
   {{0xff5f010c,0x6d5e2c55,0x4ea73954,0x62890e34}},	//   rdî_, _bapa, урна, cyeo, 
   {{0xf99f0cd7,0xf237042c,0x69c50034,0x69dc00f8}},	//   _jwèt_, _ערוץ_, xohe, _nhre, 
   {{0x6d5ee847,0x6fd6026e,0x291ae848,0xfbd32751}},	//   _dapa, mácn, dapa_, متر_, 
   {{0x9b583d48,0x6d610082,0x7c28007a,0x2d8101e5}},	//   лист_, _žvać, ádra, _wohe_, 
   {{0x27ed0518,0x3a7500cf,0x69c5e849,0x69dc009f}},	// [fef0] _rien_, шлар, tohe, _bhre, 
   {{0x7f5f06d0,0x645ae84a,0x27ed042e,0x69dce84b}},	//   _haqq, _osti, _sien_, _chre, 
   {{0x69c5e84c,0x629b01d8,0x69dc0a75,0x201ee84d}},	//   rohe, zzuo, _dhre, nsti_, 
   {{0x69c500e5,0x63a903da,0x7a4700e0,0x201e7e69}},	//   sohe, xien, tītā, isti_, 
   {{0x63a9e84e,0x27ede84f,0x6d5ee850,0x291ae851}},	//   vien, _vien_, _yapa, bapa_, 
   {{0x63a9006a,0x201e2087,0x6d5e00b9,0x69dc0a75}},	//   wien, ksti_, _xapa, _ghre, 
   {{0x27ede852,0x63a9b1d0,0x7a4700e0,0xdb0d0038}},	//   _tien_, tien, sītā, hnaí, 
   {{0x7f5f453c,0x637c0019,0x61fd0098,0x27ed02b0}},	//   _naqq, _kény, íslo, _uien_, 
   {{0x201ee853,0xe299e854,0xf99f05d5,0xa5f921bd}},	//   esti_, тап_, _fwèt_, _резу_, 
   {{0x63a9e855,0xd49b0886,0xf1cf0035,0x00000000}},	//   sien, _пре_, _सीखन, --, 
   {{0x637c0019,0x7f5fc683,0x201ee856,0x2be60110}},	//   _lény, _baqq, gsti_, _कळलं_, 
   {{0x6d5ee857,0x93e702f1,0x800a0019,0xe47a0070}},	//   _sapa, _сўзл, کریہ_, _ברעכ, 
   {{0x291ae858,0x2d9800eb,0x6f09060f,0x201e0088}},	//   yapa_, thre_, ñeca, asti_, 
   {{0xc0e50d61,0xf2d203e1,0xf1b9090e,0x6d5e00ad}},	//   _колк, _ועד_, gršt_, _qapa, 
   {{0x6d5e030f,0xfce66942,0x291a02fe,0x9989014b}},	//   _vapa, рово, vapa_, mpaň_, 
   {{0x6d5e1ef3,0x291a0010,0x7ddb009e,0x8024009c}},	//   _wapa, wapa_, vîse, _اروم, 
   {{0x6d5ee859,0x291a4030,0x637c006b,0x2907008f}},	// [ff00] _tapa, tapa_, _pénz, ınan_, 
   {{0x9d46e85a,0x186a9064,0xa2dd0497,0xdb04007a}},	//   _теод, кази_, _परन्, nniú, 
   {{0x291a11f7,0x7d1ce85b,0x48d40033,0x765b0027}},	//   rapa_, mars, ়শ্র, _asuy, 
   {{0x637c0019,0xf7460e8a,0x8c1b00d1,0x645a00b9}},	//   _fény, редо, _בוטי, _rsti, 
   {{0x69dc702a,0x7f420126,0xf99f0118,0xb5fd0604}},	//   _thre, _ñoqu, _pwèt_, _uršl, 
   {{0x23ba00e0,0x201ee85c,0x69dc0a1b,0xceb300d1}},	//   dīja_, ysti_, _uhre, חיד_, 
   {{0xe73a00b3,0xbddb011c,0x00000000,0x00000000}},	//   _иев_, ntèa, --, --, 
   {{0x7d1ce85d,0x2918e85e,0x201ee85f,0x00000000}},	//   hars, _hera_, vsti_, --, 
   {{0x3a20e860,0x2918e861,0xf5ea2aaf,0x1dc643bc}},	//   nsip_, _kera_, _амал_, लकात, 
   {{0x7f5fe862,0x7d1ce863,0x29181d45,0x50660f5a}},	//   _saqq, jars, _jera_, атма, 
   {{0x2918e864,0x645ae865,0xf4870019,0x201ee866}},	//   _mera_, _usti, _پالی, usti_, 
   {{0x201ee867,0x2e3f010c,0x2918e868,0x394a0175}},	//   rsti_, tîf_, _lera_, _lbbs_, 
   {{0x7642e869,0x6d8b0095,0x7d1ce86a,0x23ba01dd}},	//   ntoy, _müav, fars, cīja_, 
   {{0x91e32d25,0x291856fe,0xdb040038,0x32062078}},	//   _доче, _nera_, cniú, _itoy_, 
   {{0xb05700eb,0x9d18e86b,0x5ba700d3,0x5f770fd0}},	//   _نشيط_, рост_, араз, _ناظر, 
   {{0x5bb80088,0xa2dd0a09,0x386d00bc,0x853c0009}},	//   ался_, _परम्, _čer_, _smėl, 
   {{0xa9072f67,0x6f1de86c,0x29181128,0x3eaf02ae}},	// [ff10] لبان, masc, _bera_, _ägt_, 
   {{0x6f1de86d,0xd138012d,0x09070258,0xfaff0034}},	//   lasc, ngą_, рчам, _anët_, 
   {{0x6d55e86e,0x2918e86f,0x6ff3002e,0xfbd00019}},	//   meza, _dera_, _făcu, ستہ_, 
   {{0x637c0019,0x6d55e870,0x6f1de871,0xf5680019}},	//   _tény, leza, nasc, یمنٹ_, 
   {{0x2918e872,0x96650278,0x6f1d00b3,0x442e02b0}},	//   _fera_, скле, iasc, erf_, 
   {{0x2918b670,0x6d55e873,0x61fb00a3,0x7dd200fb}},	//   _gera_, neza, vqul, væsk, 
   {{0x88e5100b,0xf8e5100b,0xb8950084,0xe8df0029}},	//   _প্রক, _প্রথ, _الأع, _trực_, 
   {{0x61b10586,0x6d55e874,0x6f1d337f,0x23ba00e0}},	//   ीक्ष, heza, jasc, tīja_, 
   {{0x6d55e875,0x6f1d03a1,0x957c00ab,0x7d1ce876}},	//   keza, dasc, _piąt, yars, 
   {{0x29017ee6,0x6fd60496,0x7d1c07b5,0x48de031e}},	//   ncha_, táco, xars, केको_, 
   {{0x6f1de877,0x4fea02c0,0x23ba01dd,0x2b170299}},	//   fasc, лмон_, sīja_, तराँ_, 
   {{0x7d1ce878,0x6f1de879,0xd498e87a,0x64411a3d}},	//   wars, gasc, _тру_, _iqli, 
   {{0x656100bc,0x290100a3,0x61fba757,0x6d550379}},	//   _kalh, kcha_, qqul, feza, 
   {{0x6d5523cb,0xdcfe27e5,0x237f0352,0xd0a80535}},	//   geza, _topč, ljuj_, اطین_, 
   {{0xab2a2449,0x6561e87b,0xe0d1024f,0x6f1de87c}},	//   лова_, _malh, _عزت_, basc, 
   {{0x2918e87d,0x7d1c0121,0xa3c92c67,0xfbdf00e7}},	//   _sera_, sars, ोति_, _chê_, 
   {{0xa9264ac9,0x2918e87e,0x6d55033c,0xada602f1}},	// [ff20] йдал, _pera_, beza, _гапл, 
   {{0x7d1c0508,0x6443e87f,0xf2d20137,0x6fdd03da}},	//   qars, ktni, לען_, réce, 
   {{0x291825f2,0x237f00e2,0x6443e880,0xa2c908c6}},	//   _vera_, kjuj_, jtni, _हुस्, 
   {{0x2901e881,0x2918e882,0x7642026a,0xbddbe883}},	//   acha_, _wera_, ttoy, ntèn, 
   {{0x2918e884,0x656140fa,0x7ddb009e,0x6443e885}},	//   _tera_, _balh, lîsa, etni, 
   {{0xb9960084,0x64430c29,0x2901008a,0x6561019c}},	//   _السب, ftni, ccha_, _calh, 
   {{0x65610c36,0x6443055f,0x7642e886,0x32060126}},	//   _dalh, gtni, stoy, _stoy_, 
   {{0x6d552bc3,0xf7433b8f,0xbebb0034,0x00000000}},	//   zeza, _несо, rgëz, --, 
   {{0x656102a0,0x6b860194,0x27e600a7,0x6d5524fc}},	//   _falh, _mokg, mmon_, yeza, 
   {{0x6f04e887,0x6443008b,0x656102aa,0x61ed02a3}},	//   _afic, btni, _galh, _èall, 
   {{0x6d551db4,0x6fb9e888,0x2b8e0228,0x6f090327}},	//   veza, игор_, _tých_, ñeco, 
   {{0x6d55d7bd,0x290100a3,0x8af000ad,0x46dc4400}},	//   weza, zcha_, ndəs, _बराह, 
   {{0x6f1de889,0x41e600dd,0x3206011d,0x3ebf0151}},	//   rasc, _ліка, _utoy_, çut_, 
   {{0x27e69caf,0x6f1d09c7,0xd0100d4b,0xf99f4c27}},	//   hmon_, sasc, _قلت_, _atèn_, 
   {{0xfbdf001b,0x6b860364,0x6f1de88a,0x6d47003e}},	//   _phê_, _bokg, pasc, rfja, 
   {{0x27e60082,0x6d55052b,0x40830283,0x6ab4009a}},	//   jmon_, seza, _хушб, ंपूर, 
   {{0x6d55e88b,0x2901e88c,0x75280035,0x8af000ad}},	// [ff30] peza, tcha_, _oddz, ddəs, 
   {{0x7e6d0628,0xd6db01a2,0xf99f0118,0x27e6c382}},	//   _irap, қте_, _etèn_, emon_, 
   {{0x2901e88d,0x1bf200c9,0xfbdf0023,0x885921bd}},	//   rcha_, _आंचल_, _thê_, риес_, 
   {{0x2901e88e,0x9be40769,0xb5fd0121,0x7f4d008a}},	//   scha_, _ніяк, _uršk, _jbaq, 
   {{0xbb3a00c7,0x65610165,0xb5fd0688,0xeb3a00c7}},	//   _דערי, _palh, _krši, _דערש, 
   {{0x6443e88f,0x9f59010c,0x9f52009e,0x99800032}},	//   ttni, êrê_, _ciyê_, triť_, 
   {{0xb5fd0864,0x6561e890,0x73990bae,0x81c30033}},	//   _mrši, _valh, итис_, ্ষম_, 
   {{0x656140fc,0x0205c5df,0x739800f0,0x24414604}},	//   _walh, озин, йтыс_, róm_, 
   {{0x0cd603a2,0x6561a96a,0x515516d0,0xb5fd00ca}},	//   _धर्म, _talh, отну, _orši, 
   {{0x6609567c,0x6d8b0095,0x0595015f,0x672900c3}},	//   _itek, _müas, _بارگ, _hdej, 
   {{0x6e24d62c,0x8af006d0,0x79870226,0xa2c900bc}},	//   _svib, ndər, _mojw, _हुर्, 
   {{0x7ddb078a,0x7e6d085f,0x35af0262,0x442500ef}},	//   vîsa, _brap, _झगड़, _ivl_, 
   {{0x7e6de891,0xbddb7fdc,0xa2d002e6,0xcdf61628}},	//   _crap, rtèn, _डुप्, ючны, 
   {{0x7e6de892,0xac0ac92f,0xbddb00d3,0xa06903b7}},	//   _drap, инга_, stèn, _вака_, 
   {{0x27e6e893,0x6729102e,0xa3de009a,0xab1a0080}},	//   ymon_, _odej, _दीड_, ицах_, 
   {{0x7e6d1d12,0x6609e894,0x67290034,0x6f04025b}},	//   _frap, _otek, _ndej, _ufic, 
   {{0x442500e0,0xeb979f18,0x7e6de895,0x79870026}},	// [ff40] _lvl_, цит_, _grap, _bojw, 
   {{0x3f820062,0xbddbe896,0x6fdd0151,0x6b86039b}},	//   ljku_, ntèl, méca, _wokg, 
   {{0x44251f87,0x6609e897,0x672900a4,0x00000000}},	//   _nvl_, _atek, _bdej, --, 
   {{0x3f820613,0x6fd600da,0x9f520216,0x6fca00c9}},	//   njku_, dáck, _siyê_, रविं, 
   {{0x16a70a2b,0x672901f2,0x4425e898,0xa4f80535}},	//   овци_, _ddej, _avl_, مکار_, 
   {{0x27e600f3,0xa2aa09d8,0x7bd61283,0x69ce01ca}},	//   smon_, _जेष्, llyu, _ukbe, 
   {{0xbb1b0216,0x6609e899,0x672900c3,0x6fdd0151}},	//   _alîy, _etek, _fdej, héca, 
   {{0x248002f5,0x050a0033,0xe7370637,0x136a2713}},	//   ćim_, রণের_, _мес_, ршки_, 
   {{0xd25000c5,0xef1f091f,0xc17a004f,0x9f550a13}},	//   رند_, kkür_, аїн_, _éfék_, 
   {{0x7e6d5344,0x6729036e,0x6fdd0054,0x6fd60098}},	//   _rrap, _zdej, déca, lách, 
   {{0x9f5203a0,0xc3070033,0x00000000,0x00000000}},	//   _kiyè_, োলজি_, --, --, 
   {{0x7e6de89a,0xd36f00eb,0x03c5004e,0x9f5206df}},	//   _prap, _لهم_, _есім, _jiyè_, 
   {{0x35df000f,0x80ca0367,0x51865813,0xb5fd1467}},	//   _पीड़, _सुरे, _мука, _prši, 
   {{0x0dcb11ce,0x7e6d4cfc,0x8af00248,0x00000000}},	//   руми_, _vrap, ydər, --, 
   {{0xfbabe89b,0x5f9500c8,0x79870026,0x2bd91372}},	//   атай_, _никт, _rojw, مارک_, 
   {{0x81c30086,0x00000000,0x00000000,0x00000000}},	//   ্ষণ_, --, --, --, 
   {{0x8d871d7d,0x3a320876,0x5a35e89c,0x7e6d0027}},	// [ff50] _дунд, gryp_, янат, _urap, 
   {{0xa2dd0f8c,0x35df000f,0x79870226,0x89370038}},	//   _परस्, _पीढ़, _qojw, تعرا, 
   {{0xa3ca676c,0x2b9c0228,0x9f520237,0x2a6900b0}},	//   लका_, _síce_, _biyè_, svab_, 
   {{0xb8f3007e,0x6fd6014b,0xcd340019,0xf77316a6}},	//   _हँ_, váck, _ٹریب, باط_, 
   {{0xddc4858e,0xa509516f,0x8ae701fc,0x4b7a0486}},	//   _hriš, бела_, _фінл, _הארו, 
   {{0x2b9c0351,0xce3800a7,0x05a8004f,0x8a180148}},	//   _více_, קאות_, овій_, _форс_, 
   {{0xdb0d02aa,0xe82416d2,0x58d414c1,0x69ba1f9a}},	//   gnaç, _офто, _жорт, ्वरी, 
   {{0x7bcd019c,0x7dd2818a,0x67292e6b,0x6609e89d}},	//   noau, læst, _udej, _ttek, 
   {{0x66091d8e,0x3e72e89e,0xf1d103a1,0x00000000}},	//   _utek, _môtô_, нөкө, --, 
   {{0x10a5e89f,0x6fd6d2e7,0xdb160019,0xddc40604}},	//   зион, máci, rnyé, _oriš, 
   {{0x6fd60187,0x987808e3,0x3f6a25a9,0xfbbd02d9}},	//   láci, ršća_, бино_, ्काम, 
   {{0x9f52011c,0x644b0032,0x09b85475,0x00000000}},	//   _kiyé_, ľnič, _आद्य, --, 
   {{0x6fd674cd,0x644b0b21,0x63bb3ee6,0x7bcd0126}},	//   náci, žnič, mnun, doau, 
   {{0x1d07384a,0x661d01d5,0x00000000,0x00000000}},	//   зери_, _æsku, --, --, 
   {{0x6ab41446,0x00000000,0x00000000,0x00000000}},	//   ंप्र, --, --, --, 
   {{0x63bbe8a0,0x6fd6e8a1,0x501a00a7,0xef1a03dc}},	//   nnun, káci, _פופו, _уми_, 
   {{0x63bb1d5f,0x69ba00bd,0x7dd20566,0xdcfe107c}},	// [ff60] inun, ्वली, fæst, _copă, 
   {{0x63bb02f2,0xddc40f4c,0x6fd60228,0x291c4bbe}},	//   hnun, _friš, dáci, úva_, 
   {{0xacfb00d1,0x63bba9f8,0x7bc10151,0x00000000}},	//   _להיכ, knun, éluc, --, 
   {{0xe73a03dc,0x63bb0405,0x7d1e01f0,0xad9b16a8}},	//   сед_, jnun, _heps, spút, 
   {{0x6fd6e8a2,0x63bbe8a3,0xb5fd00ca,0x28ac18b4}},	//   gáci, dnun, _oršu, _टेरि, 
   {{0xe5a3e8a4,0x2fc00267,0x7dd2055f,0x67fa00bc}},	//   ничи, _ljig_, mæss, _půjd, 
   {{0x63bb0f1a,0x81c300cc,0x09e332af,0x83aa00a3}},	//   fnun, ্ষা_, _чорн, йтиб_, 
   {{0x58bb00a7,0x48e100a2,0x7d1e9308,0xdb0de8a5}},	//   _המלצ, _करतो_, _leps, rnaç, 
   {{0xdcfc00e0,0x6fd60165,0x877b0070,0x7d1e040b}},	//   nkrē, cáci, _פאמי, _oeps, 
   {{0x63bbe8a6,0x7d1ee8a7,0x2fc00175,0x0094e8a8}},	//   anun, _neps, _ajig_, диоэ, 
   {{0xd2500a24,0xf8be0586,0x68050009,0x9f35d712}},	//   رنگ_, ्थिय, _kėda, мені, 
   {{0x2d8c0760,0x67220053,0x00000000,0x00000000}},	//   öden_, naoj, --, --, 
   {{0xbddb026d,0x00000000,0x00000000,0x00000000}},	//   stèm, --, --, --, 
   {{0xddc41384,0x7d1e0e5c,0xf8be08dd,0x6aa4044d}},	//   _priš, _ceps, ्थाय, dzif, 
   {{0x6fd6e8a1,0x28ac3411,0x7bcd3582,0x00000000}},	//   záci, _टेलि, toau, --, 
   {{0xb5fd0b1d,0xddc40112,0x69c310ea,0x23660082}},	//   _kršt, _vriš, čnem, _jaoj_, 
   {{0xfb340afc,0x6fdd026a,0x7bcde8a9,0x6fd6020b}},	// [ff70] энтэ, léco, roau, xáci, 
   {{0x127b00c7,0x6fd61acf,0x213e00a7,0xad9b0183}},	//   זאמע, váci, ngth_, rpús, 
   {{0x4af90152,0x99890082,0x23cc0df2,0x63bb0585}},	//   _меню_, graš_, ावाद, ynun, 
   {{0x6fd674cd,0x27e400a1,0x9f5200d7,0xe738017b}},	//   táci, _chmn_, _piyé_, зеї_, 
   {{0xb8d40582,0x59bf0299,0xe4c50248,0x00000000}},	//   _जे_, ्वदर, _köçə, --, 
   {{0x6fd6e8a1,0x395ae8aa,0x00000000,0x00000000}},	//   ráci, ceps_, --, --, 
   {{0xa3e93ac4,0x63bb0ef6,0x00000000,0x00000000}},	//   одка_, tnun, --, --, 
   {{0x6fdd0212,0xe2990176,0x6fd652b7,0x00000000}},	//   déco, жаи_, páci, --, 
   {{0x63bbe8ab,0x6fdd2126,0xb5fd0f4c,0x45d500b3}},	//   rnun, técn, _pršu, _жоас, 
   {{0x38715c3a,0x9f59010c,0x35b400d9,0x661b016c}},	//   _krzr_, êrî_, _збур, _iwuk, 
   {{0x7523e8ac,0x6aa40036,0xa3de072d,0xe8110110}},	//   manz, zzif, _दीव_, डीचा_, 
   {{0x7d1e01ee,0x2614000f,0x7523e8ad,0x68ec00ad}},	//   _seps, नीकी_, lanz, ündə, 
   {{0x6145078c,0x59bf1464,0x69c30655,0xa3ca3d07}},	//   _жела, ्वार, čnej, लकर_, 
   {{0x7523e8ae,0x61fd0076,0xe9ff00f7,0xfce6e8af}},	//   nanz, íslu, _hoặc_, дого, 
   {{0x8c431b45,0x300502f1,0x45220033,0x9f5d0300}},	//   кере, _ўзиг, _নামক_, _ouvè_, 
   {{0xee3ae8b0,0x752311dc,0x7d1e0026,0x661b019b}},	//   _дни_, hanz, _weps, _owuk, 
   {{0x752305b3,0x6d4f003e,0x0e6303a1,0x00000000}},	// [ff80] kanz, únað, _акын, --, 
   {{0x7e64d127,0x99890372,0x7523e8b1,0x8e370070}},	//   _isip, traš_, janz, _קניא_, 
   {{0x77660141,0x7523e8b2,0x395a1f14,0x57462473}},	//   дълж, danz, reps_, днеб, 
   {{0x7c3ce8b3,0x661b0027,0x00000000,0x00000000}},	//   murr, _bwuk, --, --, 
   {{0x6f0909a1,0xe5c604b6,0x7523e8b4,0x7c3c01f1}},	//   ñeci, мско, fanz, lurr, 
   {{0x7523ad77,0x2b40e8b5,0x61c700c9,0x2d98010e}},	//   ganz, lgic_, रकोष, nkre_, 
   {{0x3e85078e,0xd94301bb,0x6d5ce8b6,0x84e81d57}},	//   _këtë_, _шери, iera, टेंट_, 
   {{0x66e6005e,0x16190262,0x2b4000ef,0xb5fd0304}},	//   _жоба, _नौकर_, ngic_, _pršt, 
   {{0x7523024d,0x7c3c3d4e,0x6fd60068,0xfd650023}},	//   banz, hurr, nácu, _chuồ, 
   {{0x752321ea,0x7c3c02ba,0x301441d3,0x3cef0110}},	//   canz, kurr, ндор, _आणले_, 
   {{0x130a0088,0x657a07d7,0x7e6423ee,0x80d60086}},	//   _дней_, _inth, _asip, ডেন্, 
   {{0x65680ace,0x7c3ce8b7,0x6600e8b8,0x6d4e123b}},	//   _hadh, durr, _kumk, efba, 
   {{0x6d5ce8b9,0x656867f3,0x16dc0d7c,0x672002cd}},	//   fera, _kadh, _बरोब, _memj, 
   {{0x6d5ce8ba,0x316702ec,0x66000c67,0x70190019}},	//   gera, _ganz_, _mumk, _کروڑ_, 
   {{0x6568e8bb,0x644ae8bc,0x0cd400dd,0x3da415c5}},	//   _madh, ntfi, ворю, тряб, 
   {{0x6720d76a,0x75230053,0x656809c5,0x200e01f2}},	//   _nemj, zanz, _ladh, _itfi_, 
   {{0x6d5ce8bd,0x657a5765,0x443c0201,0x7523e8be}},	// [ff90] bera, _onth, huv_, yanz, 
   {{0x6d5c0750,0xf770d923,0x443ce8bf,0x6568e8c0}},	//   cera, یان_, kuv_, _nadh, 
   {{0xb9075a5c,0x7523e8c1,0x47355c21,0x6e3de8c2}},	//   _पर_, vanz, енес, lusb, 
   {{0x752302b8,0x442700ef,0x61f82267,0x657abb1f}},	//   wanz, vsn_, _livl, _anth, 
   {{0x752334fa,0x656800c5,0x6720078a,0xa509630e}},	//   tanz, _badh, _demj, пела_, 
   {{0x656869c5,0x6fd6033c,0xd469250f,0x6e20255d}},	//   _cadh, láct, зике_, âmbi, 
   {{0x7523e8c3,0x6d459b8a,0x65684a5e,0x69d502b0}},	//   ranz, _mcha, _dadh, _ikze, 
   {{0x61c708dd,0x2215e8c4,0x6d5ce8c5,0x752369a2}},	//   रक्ष, нфор, zera, sanz, 
   {{0x6568e8c6,0x7c3ce8c7,0x7523c3a3,0x6d5c2f58}},	//   _fadh, zurr, panz, yera, 
   {{0x656800c5,0x6d5ce8c8,0x6d45e8c9,0x2448009e}},	//   _gadh, xera, _ncha, bûm_, 
   {{0x61f800f1,0x6d5ce8ca,0xd00e11b7,0x7afd012b}},	//   _divl, vera, یلی_, _ogst, 
   {{0x6d45e8cb,0x6d5ce0d9,0x3494e0ad,0x6568011c}},	//   _acha, wera, _шахр, _zadh, 
   {{0x6fd650b8,0x6e3de8cc,0xa195012d,0xdb040369}},	//   dáct, gusb, _падч, xniñ, 
   {{0x6145e8cd,0x7521010e,0x7afd8deb,0x6d5c0502}},	//   _чека, _jelz, _agst, uera, 
   {{0x6d5ce8ce,0xc4d200c7,0x7f5d4ff4,0x6d453be2}},	//   rera, ָגן_, besq, _dcha, 
   {{0x6d45e8cf,0xd00e00eb,0xef1a0161,0x69d501c4}},	//   _echa, _الي_, _эми_, _akze, 
   {{0xfaa39d11,0xdb0f010e,0x7e640247,0x443c01ff}},	// [ffa0] гато, ájár, _usip, zuv_, 
   {{0xe9d7e8d0,0x7c3ce8d1,0x6720e8d2,0x752100bc}},	//   еку_, purr, _semj, _nelz, 
   {{0x6568e8d3,0x644a4d58,0x6600e8d4,0x7769039b}},	//   _radh, xtfi, _sumk, _baex, 
   {{0xd6d900ab,0xa3de0077,0x656820b4,0x69d5e8d5}},	//   _był_, _दीं_, _sadh, _ekze, 
   {{0x656800c5,0x69d500ef,0x777b011c,0xb7d7029a}},	//   _padh, _fkze, _dnux, روها_, 
   {{0x7ddb0218,0x6568085f,0xceb300c7,0x644a7740}},	//   vîsk, _qadh, ניג_, ttfi, 
   {{0x6fd60019,0xb0cf00a5,0x65683ed0,0x3a2b0144}},	//   nács, _सुलग, _vadh, _zvcp_, 
   {{0x6568cbda,0x443c02f1,0x4908031e,0xff5f0212}},	//   _wadh, ruv_, ाँको_, noît_, 
   {{0x644a1645,0x6568e8d6,0x61f80097,0x798e0027}},	//   stfi, _tadh, _pivl, _kobw, 
   {{0xe4d600eb,0x200e016a,0x6fd6039f,0xc0cae8d7}},	//   _كتاب, _ptfi_, kács, зуме_, 
   {{0x798e0532,0x89370070,0xc95300d1,0x91a60083}},	//   _mobw, ערטע_, אמת_, टोगै, 
   {{0x6d4555f1,0x798e019b,0x6e3de8d8,0x00000000}},	//   _scha, _lobw, tusb, --, 
   {{0x7f5de8d9,0x21250604,0x00000000,0x00000000}},	//   resq, balh_, --, --, 
   {{0x313411b5,0x6e3d9a8b,0x99800009,0x127b00c7}},	//   _рекр, rusb, irių_, _מאדע, 
   {{0xe0d40137,0x01330116,0x6fd60126,0x21670267}},	//   _בײַ_, _صعود, táct, _чији_, 
   {{0xdb160218,0x3a290126,0x3213010c,0x9f5500b3}},	//   liyê, tsap_, _çayê_, _рвич, 
   {{0x6d45e8da,0x6fd61056,0x99890228,0xda340028}},	// [ffb0] _tcha, ráct, hrať_, леты, 
   {{0x6d45e8db,0xa3e70ede,0xdb16078a,0x442c27a2}},	//   _ucha, _मीन_, niyê, _ovd_, 
   {{0xbb1b026d,0x3a29e8dc,0x2ca700fb,0xa9c4017b}},	//   _boît, ssap_, _ånd_, устк, 
   {{0x399f0218,0xdb160218,0xdb0700c8,0x7521008a}},	//   _dîsa_, hiyê, ämät, _selz, 
   {{0x8ae4004e,0xdb160218,0x442c076d,0x9989020b}},	//   _бірл, kiyê, _avd_, erať_, 
   {{0xdb16010c,0x442c039b,0x6e2d0027,0x00000000}},	//   jiyê, _bvd_, _mvab, --, 
   {{0xdb160218,0xd46604ce,0x659202a6,0x752101d2}},	//   diyê, вище_, рају, _velz, 
   {{0x58d45b43,0x77d700eb,0x442c9613,0x752101c8}},	//   _сост, _أغسط, _dvd_, _welz, 
   {{0xdcfe1f0a,0x422200c8,0x798e0532,0xd2f6009c}},	//   _uopć, адыв, _yobw, نکها_, 
   {{0xe4a7041d,0x6fdd0518,0x6f0d002e,0x99890187}},	//   _прео, léch, _afac, brať_, 
   {{0x8fa6048a,0x442c039b,0x00000000,0x00000000}},	//   ване, _gvd_, --, --, 
   {{0x212502cd,0x20054a25,0x4f9608d1,0xb4cd5582}},	//   salh_, rqli_, троу, रथी_, 
   {{0xe28e1e99,0x59d1109f,0xfe790b58,0x9e63012d}},	//   _та_, तकार, нёры_, авяд, 
   {{0x2dc5004e,0x6f0db56b,0x917b0108,0x00000000}},	//   лқын_, _efac, _dễ_, --, 
   {{0x4a75004e,0x224de8dd,0x6f0d00f8,0x1d0713cb}},	//   қытт, ltek_, _ffac, теси_, 
   {{0x25e805fd,0x224d0310,0x6fd60019,0x236d024a}},	//   _चीनी_, otek_, rács, ndej_, 
   {{0x224d0019,0x0dca02f1,0x798e044d,0xff5f0151}},	// [ffc0] ntek_, _олий_, _pobw, roît_, 
   {{0x224de8de,0x957c0083,0x8d5600b3,0x00000000}},	//   itek_, _wiąz, _ртич, --, 
   {{0x98b101f0,0xdca67f7f,0x6e2d0144,0xc9551ab1}},	//   _bazı_, _рани, _zvab, ытты, 
   {{0x224de8df,0xdb160218,0x7ddb0218,0x798e0532}},	//   ktek_, ziyê, vîsi, _wobw, 
   {{0x224de8e0,0xe53414d3,0x442c014e,0xdb16010c}},	//   jtek_, гель, _svd_, yiyê, 
   {{0x56933a45,0xd69302a6,0x35b60093,0x442c0b03}},	//   рашт, ришћ, ъщес, _pvd_, 
   {{0xdb160218,0xa3be0790,0x67e301a4,0x00000000}},	//   viyê, ँचल_, sõja, --, 
   {{0x68e3e8e1,0x442c01c8,0x236d006d,0x320a0148}},	//   ünde, _vvd_, gdej_, мхон_, 
   {{0x05661853,0xdb160218,0x6f0de8e2,0xc5660bad}},	//   _иван, tiyê, _rfac, _икак, 
   {{0xa3e734be,0x6f0d3c88,0xbddbd279,0x00000000}},	//   _मीठ_, _sfac, ntèt, --, 
   {{0xdb16078a,0x98b103c0,0x493b00d1,0x6e2de8e3}},	//   riyê, _yazı_, וגיו, _svab, 
   {{0xdb16010c,0x23ba0243,0x00000000,0x00000000}},	//   siyê, tīju_, --, --, 
   {{0x28d9000f,0x539b02a1,0x00000000,0x00000000}},	//   _बुनि, _קידו, --, --, 
   {{0xbbbd0081,0x7bc62cd9,0x63a2084c,0x7e767742}},	//   ्क्क, _ajku, _hlon, _dryp, 
   {{0x1df800c8,0x206703fd,0x23ba0243,0xdb04039b}},	//   теры_, _ашып_, sīju_, chië, 
   {{0x63a2011c,0xddcd020f,0x9b58e8e4,0x00000000}},	//   _jlon, _braţ, кист_, --, 
   {{0x3a751b17,0x98b104be,0x63a20204,0x6fdd0126}},	// [ffd0] ылар, _razı_, _mlon, véch, 
   {{0x645a7eaf,0x6fdde8e5,0x63a2e8e6,0x236d1377}},	//   _opti, déci, _llon, zdej_, 
   {{0x63a20489,0x224d217b,0x38c90296,0x7bc80212}},	//   _olon, ztek_, رائی_, éduc, 
   {{0x224de8e7,0xddcd00b3,0xe7d10033,0xc0530070}},	//   ytek_, _fraţ, িষ্য, יזע_, 
   {{0xf7700e61,0x26c903b7,0x6595e8e8,0x6fdd3f1e}},	//   تال_, çao_, ладу, réch, 
   {{0x63a2e8e9,0x69cb010e,0xbf1f009a,0x59a700ea}},	//   _alon, éged, परुन_, _गतिर, 
   {{0x26d2027e,0x00000000,0x00000000,0x00000000}},	//   üyor_, --, --, --, 
   {{0x248902f5,0x04560084,0x224d0019,0x6fdd5855}},	//   ćam_, الية_, ttek_, béci, 
   {{0xe1f95117,0x63a201f2,0x236de8ea,0xf79400d9}},	//   нги_, _dlon, rdej_, _татэ, 
   {{0x224de8eb,0xd49b2296,0x64680080,0x00000000}},	//   rtek_, _оре_, äsiä, --, 
   {{0x224de8ec,0xbf1f009a,0x00000000,0x00000000}},	//   stek_, परून_, --, --, 
   {{0x224d010e,0x63a2e8ed,0x201101dd,0x6d574c75}},	//   ptek_, _glon, īzi_, _abxa, 
   {{0xd17500d3,0x217508ac,0x2bc70ed5,0x69c70539}},	//   _быйы, _буйр, रचना, _ojje, 
   {{0xde031431,0x8c46e8ee,0xa3e700b0,0x21a4004e}},	//   спри, леге, _मीत_, _киім, 
   {{0xdca351a7,0x6a8300f0,0x00000000,0x00000000}},	//   бари, ұлта, --, --, 
   {{0x399637c2,0x69c702a5,0xcb67d76d,0xf4120225}},	//   _læst_, _ajje, ласе_, מפל_, 
   {{0x4e1d00ab,0x6e29015e,0x39ea0bad,0x00000000}},	// [ffe0] बीआई_, šebr, едао_, --, 
   {{0x8d6644aa,0x3996003e,0x680c00ad,0x4d661e70}},	//   _свое, _næst_, _ağda, _сков, 
   {{0x765b2833,0xf99f022c,0x3f920241,0x28f900b3}},	//   _apuy, _atès_, _koyu_, вэцэ_, 
   {{0x69c7e8ef,0x7c2e05c2,0x46a66286,0xddcd73c5}},	//   _ejje, msbr, лаев, _iraš, 
   {{0x6d4135b6,0x52e200c2,0x9f8b00c2,0x00000000}},	//   ólag, _परेस, _tööl_, --, 
   {{0x7bc400e4,0xddcde511,0x6fdd0742,0xe4e608af}},	//   lniu, _kraš, réci, лійн, 
   {{0x77940116,0x2b9c0210,0x00000000,0x00000000}},	//   _پیشا, _níck_, --, --, 
   {{0x7bc4e8f0,0x6fdd02a0,0x7ddb010c,0xa3e700b0}},	//   nniu, péci, lîst, _मीद_, 
   {{0xf1266d3e,0x399601d5,0x63a2e8f1,0x55e600b3}},	//   льно, _fæst_, _vlon, _боаб, 
   {{0x865b035c,0xddcd0112,0x399602c9,0x7c2ee8f2}},	//   _אדמי, _oraš, _gæst_, ksbr, 
   {{0x3f9207fa,0x7c2e359e,0xbddb01e5,0x7bc4e8f3}},	//   _boyu_, jsbr, ktèr, kniu, 
   {{0x7c2e01cc,0xc2e602f1,0xdfd5e8f4,0xdb0d0165}},	//   dsbr, _йўли, ромы, miaç, 
   {{0xdb0d00ce,0x9f92008c,0x3f800035,0xef1f010e}},	//   liaç, ráð_, _dniu_, ljük_, 
   {{0xfe7603dc,0x62860080,0xa6d10033,0x6fc8035d}},	//   рӯъ_, äkou, ়েকট, rıca, 
   {{0x2b9c0029,0x7c2e1c91,0x11db00a7,0x442e0237}},	//   _kích_, gsbr, _רחוב, nsf_, 
   {{0xddcd032f,0xe0e402f1,0x9b24e8f5,0x7bc4e8f6}},	//   _draš, _йўқо, йфул, gniu, 
   {{0x7762e8f7,0x52e200a5,0x394a0226,0x4ea500f0}},	// [fff0] deox, _परोस, _bcbs_, _әрқа, 
   {{0xa2c5031e,0x2b9c0108,0x7d1800da,0xddcd03ac}},	//   ापत्, _lích_, časí, _fraš, 
   {{0xddcd2b4a,0x765b016a,0x31570070,0xc7bb0283}},	//   _graš, _spuy, ריבן_, нёд_, 
   {{0x2d9309a1,0xbddb026a,0xdb0d79d3,0x7b673e3a}},	//   _hoxe_, ctèr, diaç, _стое, 
   {{0x36691110,0xddcd0604,0x752a039b,0x00000000}},	//   тало_, _zraš, fafz, --, 
   {{0x6d47e8f8,0x2d9301f1,0xbebb0034,0xd6180038}},	//   ngja, _joxe_, mbëd, اتنا_, 
   {{0x6fdd3db6,0xcd9800a7,0x2b9c00e7,0x69d70042}},	//   lécu, רדות_, _bích_, moxe, 
   {{0x6b8de8f9,0x69d70068,0x42550cda,0xf8b200df}},	//   njag, loxe, атот, _ושל_, 
   {{0x69c5e8fa,0x6aad0036,0x9f840241,0x6d5500b9}},	//   onhe, nzaf, lıç_, kfza, 
   {{0x69c5e8fb,0x2fc90574,0x6b8de8fc,0x672b2446}},	//   nnhe, _ajag_, hjag, lagj, 
   {{0xdb0d02a0,0xc0e51aac,0x27ed001b,0x65634231}},	//   ciaç, ронк, _khen_, menh, 
   {{0x27ff0175,0x72d59d04,0x69c50380,0x672be8fd}},	//   _jiun_, _коеф, hnhe, nagj, 
   {{0x6443e8fe,0x539a00a7,0x2d93e8ff,0x63a9003e}},	//   luni, _שינו, _boxe_, mhen, 
   {{0x7c2e7dfa,0xddcdd807,0x63a9e900,0x6d4777d7}},	//   tsbr, _praš, lhen, ggja, 
   {{0xab2a305d,0x6443e901,0x1c3915dd,0x69c50065}},	//   кова_, nuni, лять_, dnhe, 
   {{0x63a9e902,0x63bbe903,0x69c52ab3,0x2b9c0023}},	//   nhen, niun, enhe, _xích_, 
  
  };
  // table_hash = e161-1b58, unused_entries = 13696 (5.22%)

static const uint32 kQuadChrome1015_2SizeOne = 59652;    // Bucket count one-lang
extern const uint32 kQuadChromeIndSize = kQuadChrome1015_2SizeOne; // Source-agnostic named constant
static const uint32 kQuadChrome1015_2Ind[59652] = {
  // [0000]
  0x00000000, 0x00000000, 0x08040709, 0x06000c13,   // -- --  bg.ru.uk_444 sv.de.un_650 
  0x1a6b1cee, 0x080c03a7, 0x13003023, 0x236e05ec,   // id.ceb.tl_422 nl.sv.no_532  uz.et.un_880 fr.hmn.ca_644 
  0x00006b0a, 0x0000100f, 0x2d162908, 0x03003f08,   // ceb.un.un_500 lt.un.un_600  sl.hr.sk_443 af.nl.un_430 
  0x1c090daf, 0x00000d1c, 0x281e1c05, 0x13000914,   // ne.hi.mr_655 ne.un.un_800  id.ms.sw_333 hi.bh.un_660 
  // [0010]
  0x00002815, 0x1a210e08, 0x0000111c, 0x3000351b,   // sw.un.un_700 is.jw.tl_443  ro.un.un_800 tg.uz.un_770 
  0x0000271c, 0x02212013, 0x06030ca4, 0x286473ad,   // gd.un.un_800 sq.jw.da_665  sv.nl.de_433 ny.lg.sw_643 
  0x05190b08, 0x00001215, 0x13001a08, 0x00002b15,   // es.gl.fr_443 hu.un.un_700  tl.et.un_430 vi.un.un_700 
  0x2300441a, 0x19000b02, 0x11000721, 0x11001f18,   // kk.ky.un_760 es.gl.un_220  it.ro.un_860 cy.ro.un_740 
  // [0020]
  0x0a0735a4, 0x00000724, 0x0000021c, 0x00002b0a,   // tg.bg.mk_433 bg.un.un_900  da.un.un_800 vi.un.un_500 
  0x04070aa0, 0x2f113012, 0x00003701, 0x00005501,   // mk.bg.ru_322 uz.ro.su_654  st.un.un_200 rw.un.un_200 
  0x0000100a, 0x00002b1c, 0x00000f1c, 0x64000704,   // lt.un.un_500 vi.un.un_800  lv.un.un_800 it.lg.un_320 
  0x00002f0a, 0x0973065a, 0x00001115, 0x102330a4,   // su.un.un_500 de.ny.pl_553  ro.un.un_700 uz.ky.be_433 
  // [0030]
  0x2a20280c, 0x16092d5a, 0x00002d0a, 0x00000b0f,   // sw.sq.mt_543 sk.pl.hr_553  sk.un.un_500 bn.un.un_600 
  0x0000200a, 0x0000090f, 0x00000701, 0x1e212f05,   // sq.un.un_500 pl.un.un_600  it.un.un_200 su.jw.ms_333 
  0x0000180f, 0x00002d1c, 0x3216170e, 0x371e1aa0,   // ar.un.un_600 sk.un.un_800  sr.hr.bs_555 tl.ms.st_322 
  0x18002723, 0x00002a15, 0x00000e0f, 0x211218ad,   // gd.ga.un_880 mt.un.un_700  is.un.un_600 ar.ur.fa_643 
  // [0040]
  0x211812af, 0x1c131e0c, 0x00001906, 0x1b2825ee,   // ur.ar.fa_655 ms.et.id_543  gl.un.un_400 eu.sw.tr_422 
  0x73001118, 0x2f001c05, 0x64371aad, 0x08030208,   // ro.ny.un_740 id.su.un_330  tl.st.lg_643 da.nl.no_443 
  0x532b1f0c, 0x6b003d07, 0x1f0c06a0, 0x1b321704,   // cy.vi.ht_543 ku.ceb.un_420  de.sv.cy_322 sr.bs.tr_332 
  0x00002724, 0x0430110c, 0x00004415, 0x0000080f,   // gd.un.un_900 ro.uz.ru_543  kk.un.un_700 no.un.un_600 
  // [0050]
  0x21647312, 0x2a1220a7, 0x00000124, 0x0000280f,   // ny.lg.jw_654 sq.hu.mt_532  en.un.un_900 sw.un.un_600 
  0x00005601, 0x06030cad, 0x0000011c, 0x18002729,   // mg.un.un_200 sv.nl.de_643  en.un.un_800 gd.ga.un_960 
  0x0c060aa7, 0x130473af, 0x313017a0, 0x070a17a4,   // pt.de.sv_532 ny.fi.et_655  sr.uz.az_322 sr.mk.bg_433 
  0x1e001c14, 0x2d092507, 0x0000441c, 0x00002f15,   // id.ms.un_660 eu.pl.sk_432  kk.un.un_800 su.un.un_700 
  // [0060]
  0x2028370c, 0x6b10110c, 0x3217160e, 0x010e37ad,   // st.sw.sq_543 ro.lt.ceb_543  hr.sr.bs_555 st.is.en_643 
  0x25007308, 0x00001e01, 0x32291007, 0x25003d13,   // ny.eu.un_430 ms.un.un_200  lt.sl.bs_432 ku.eu.un_650 
  0x00001903, 0x21002802, 0x0000091c, 0x0000121c,   // gl.un.un_300 sw.jw.un_220  pl.un.un_800 hu.un.un_800 
  0x1800270d, 0x00006e06, 0x27001822, 0x00006e15,   // gd.ga.un_540 hmn.un.un_400  ga.gd.un_870 hmn.un.un_700 
  // [0070]
  0x0000240f, 0x181221af, 0x32283dee, 0x17080408,   // yi.un.un_600 fa.ur.ar_655  ku.sw.bs_422 ru.uk.sr_443 
  0x11002508, 0x0c08020d, 0x2d000d1b, 0x0000131c,   // eu.ro.un_430 da.no.sv_554  cs.sk.un_770 bh.un.un_800 
  0x0f006e0c, 0x44002312, 0x0000180a, 0x00002a0f,   // hmn.lv.un_530 ky.kk.un_640  ga.un.un_500 mt.un.un_600 
  0x00005506, 0x016b3d07, 0x00001315, 0x2a2818a0,   // rw.un.un_400 ku.ceb.en_432  bh.un.un_700 ga.sw.mt_322 
  // [0080]
  0x0000040a, 0x1c001305, 0x00001701, 0x0000090a,   // fi.un.un_500 bh.mr.un_330  sr.un.un_200 pl.un.un_500 
  0x0000181c, 0x0a04175a, 0x00000b15, 0x080225a4,   // ar.un.un_800 sr.ru.mk_553  bn.un.un_700 eu.da.no_433 
  0x00000415, 0x2f001c04, 0x00002a01, 0x0000290f,   // ru.un.un_700 id.su.un_320  mt.un.un_200 sl.un.un_600 
  0x00000e15, 0x0100240d, 0x31303dee, 0x31001b13,   // is.un.un_700 yi.iw.un_540  ku.uz.az_422 tr.az.un_650 
  // [0090]
  0x00001f03, 0x0704080d, 0x1b00311a, 0x0000070f,   // cy.un.un_300 uk.ru.bg_554  az.tr.un_760 bg.un.un_600 
  0x1800271a, 0x00003115, 0x00002f03, 0x00001703,   // gd.ga.un_760 az.un.un_700  su.un.un_300 sr.un.un_300 
  0x2d000d09, 0x04081705, 0x00001c0f, 0x64006e07,   // cs.sk.un_440 sr.uk.ru_333  mr.un.un_600 hmn.lg.un_420 
  0x0000210f, 0x17003204, 0x00003d0a, 0x2700181b,   // fa.un.un_600 bs.sr.un_320  ku.un.un_500 ga.gd.un_770 
  // [00a0]
  0x27001814, 0x00002701, 0x00001c15, 0x0000300f,   // ga.gd.un_660 gd.un.un_200  mr.un.un_700 uz.un.un_600 
  0x00002a0a, 0x13000909, 0x10070408, 0x00000115,   // mt.un.un_500 hi.bh.un_440  ru.bg.be_443 iw.un.un_700 
  0x06000c0d, 0x00005615, 0x09001304, 0x00000915,   // sv.de.un_540 mg.un.un_700  bh.hi.un_320 pl.un.un_700 
  0x73001a19, 0x0000310f, 0x091c0d0c, 0x04000813,   // tl.ny.un_750 az.un.un_600  ne.mr.hi_543 uk.ru.un_650 
  // [00b0]
  0x0000130f, 0x21001819, 0x1b003105, 0x0000110a,   // et.un.un_600 ar.fa.un_750  az.tr.un_330 ro.un.un_500 
  0x00002501, 0x130d09af, 0x10041ca0, 0x18531902,   // eu.un.un_200 hi.ne.bh_655  id.fi.lt_322 gl.ht.ga_222 
  0x121821af, 0x00002301, 0x070a170d, 0x10080c0c,   // fa.ar.ur_655 ca.un.un_200  sr.mk.bg_554 sv.no.lt_543 
  0x00000d0f, 0x00001303, 0x0a1707a9, 0x4400110c,   // ne.un.un_600 et.un.un_300  bg.sr.mk_544 ro.kk.un_530 
  // [00c0]
  0x3f010904, 0x08020eaf, 0x0000130a, 0x00002a06,   // pl.en.af_332 is.da.no_655  et.un.un_500 mt.un.un_400 
  0x04081707, 0x0000211c, 0x13090dec, 0x00002415,   // sr.uk.ru_432 fa.un.un_800  ne.hi.bh_644 yi.un.un_700 
  0x0000040f, 0x13000905, 0x00001601, 0x10234413,   // ru.un.un_600 hi.bh.un_330  hr.un.un_200 kk.ky.be_665 
  0x00000b1c, 0x17040aec, 0x00000a1c, 0x0000301c,   // bn.un.un_800 mk.ru.sr_644  mk.un.un_800 uz.un.un_800 
  // [00d0]
  0x321716a4, 0x0000010f, 0x17163205, 0x00002315,   // hr.sr.bs_433 iw.un.un_600  bs.hr.sr_333 ky.un.un_700 
  0x00002115, 0x17080aa9, 0x2100121a, 0x0000210a,   // fa.un.un_700 mk.uk.sr_544  ur.fa.un_760 fa.un.un_500 
  0x00000d06, 0x0000110f, 0x2d000d05, 0x17040813,   // cs.un.un_400 ro.un.un_600  cs.sk.un_330 uk.ru.sr_665 
  0x0400440c, 0x00000815, 0x2d000d02, 0x0000010a,   // kk.ru.un_530 uk.un.un_700  cs.sk.un_220 iw.un.un_500 
  // [00e0]
  0x00000f15, 0x00001806, 0x00001e03, 0x042001a0,   // lv.un.un_700 ga.un.un_400  ms.un.un_300 en.sq.fi_322 
  0x0000101c, 0x00002015, 0x0d001302, 0x00002b0f,   // be.un.un_800 sq.un.un_700  bh.ne.un_220 vi.un.un_600 
  0x18006b04, 0x19000b04, 0x09000d09, 0x00001815,   // ceb.ga.un_320 es.gl.un_320  ne.hi.un_440 ar.un.un_700 
  0x0f00100d, 0x3500070c, 0x6b061fa0, 0x00003201,   // lt.lv.un_540 bg.tg.un_530  cy.de.ceb_322 bs.un.un_200 
  // [00f0]
  0x0000440f, 0x32161714, 0x0e001212, 0x00001f06,   // kk.un.un_600 sr.hr.bs_666  hu.is.un_640 cy.un.un_400 
  0x00001c06, 0x18213dee, 0x00002303, 0x00002b24,   // id.un.un_400 ku.jw.ga_422  ca.un.un_300 vi.un.un_900 
  0x00001f0f, 0x09002904, 0x05001b08, 0x08000209,   // cy.un.un_600 sl.pl.un_320  tr.fr.un_430 da.no.un_440 
  0x00000806, 0x0000070a, 0x01002413, 0x0a001713,   // no.un.un_400 bg.un.un_500  yi.iw.un_650 sr.mk.un_650 
  // [0100]
  0x10000822, 0x0a0407ec, 0x00001a01, 0x1c320da0,   // uk.be.un_870 bg.ru.mk_644  tl.un.un_200 cs.bs.id_322 
  0x00003003, 0x00001224, 0x00000501, 0x0000050a,   // uz.un.un_300 ur.un.un_900  fr.un.un_200 fr.un.un_500 
  0x00002b06, 0x12002118, 0x1e1c5504, 0x1c130960,   // vi.un.un_400 fa.ur.un_740  rw.id.ms_332 hi.bh.mr_664 
  0x00003d0f, 0x00000e1c, 0x0000120f, 0x091c13a4,   // ku.un.un_600 is.un.un_800  ur.un.un_600 bh.mr.hi_433 
  // [0110]
  0x00001c0a, 0x01002419, 0x32171609, 0x1b1f1a04,   // mr.un.un_500 yi.iw.un_750  hr.sr.bs_444 tl.cy.tr_332 
  0x4404100c, 0x30000708, 0x2100120e, 0x04736408,   // be.ru.kk_543 bg.uz.un_430  ur.fa.un_550 lg.ny.fi_443 
  0x00005301, 0x0a0411a4, 0x0f002904, 0x64005512,   // ht.un.un_200 ro.ru.mk_433  sl.lv.un_320 rw.lg.un_640 
  0x00002101, 0x00001a03, 0x285564ec, 0x00001003,   // jw.un.un_200 tl.un.un_300  lg.rw.sw_644 be.un.un_300 
  // [0120]
  0x311b3dee, 0x00002906, 0x2d0d37ee, 0x182f6b0c,   // ku.tr.az_422 sl.un.un_400  st.cs.sk_422 ceb.su.ga_543 
  0x00002b2d, 0x0706310c, 0x00000b01, 0x30205302,   // vi.un.un_A00 az.de.it_543  es.un.un_200 ht.sq.uz_222 
  0x64000412, 0x370103a9, 0x1c000b02, 0x00006b06,   // fi.lg.un_640 nl.en.st_544  es.id.un_220 ceb.un.un_400 
  0x12000c04, 0x00001015, 0x0000030f, 0x08110407,   // sv.hu.un_320 be.un.un_700  nl.un.un_600 fi.ro.no_432 
  // [0130]
  0x3023350c, 0x0c080e0d, 0x06021fa0, 0x1800211a,   // tg.ky.uz_543 is.no.sv_554  cy.da.de_322 fa.ar.un_760 
  0x04000d07, 0x0c052a05, 0x03735507, 0x0000241c,   // cs.fi.un_420 mt.fr.sv_333  rw.ny.nl_432 yi.un.un_800 
  0x0000242d, 0x00000103, 0x29003704, 0x170a07a0,   // yi.un.un_A00 en.un.un_300  st.sl.un_320 bg.mk.sr_322 
  0x3f00030c, 0x08001022, 0x23004413, 0x010306a0,   // nl.af.un_530 be.uk.un_870  kk.ky.un_650 de.nl.en_322 
  // [0140]
  0x2308040e, 0x00000715, 0x1f0e0ca9, 0x023f035a,   // ru.uk.ky_555 bg.un.un_700  sv.is.cy_544 nl.af.da_553 
  0x00002903, 0x30002912, 0x01002507, 0x0000240a,   // sl.un.un_300 sl.uz.un_640  eu.en.un_420 yi.un.un_500 
  0x35003013, 0x00003715, 0x190b0aa4, 0x2d000d0e,   // uz.tg.un_650 st.un.un_700  pt.es.gl_433 cs.sk.un_550 
  0x0d293008, 0x05001004, 0x00000c0f, 0x0804300c,   // uz.sl.cs_443 lt.fr.un_320  sv.un.un_600 uz.ru.uk_543 
  // [0150]
  0x03053fa0, 0x00000503, 0x07080408, 0x13040ea0,   // af.fr.nl_322 fr.un.un_300  ru.uk.bg_443 is.fi.et_322 
  0x0d1c0955, 0x0c00200d, 0x00001f15, 0x556b2807,   // hi.mr.ne_442 sq.sv.un_540  cy.un.un_700 sw.ceb.rw_432 
  0x1000110d, 0x06001809, 0x442317ee, 0x04000723,   // ro.be.un_540 ga.de.un_440  sr.ky.kk_422 bg.ru.un_880 
  0x00000106, 0x12002120, 0x17163202, 0x12002113,   // en.un.un_400 fa.ur.un_850  bs.hr.sr_222 fa.ur.un_650 
  // [0160]
  0x0300280c, 0x0000231c, 0x0e6b3d04, 0x04070a0c,   // sw.nl.un_530 ky.un.un_800  ku.ceb.is_332 mk.bg.ru_543 
  0x08000c13, 0x00000a0a, 0x08040a0c, 0x0c060e07,   // sv.no.un_650 pt.un.un_500  mk.ru.uk_543 is.de.sv_432 
  0x070a23a4, 0x0a190b04, 0x00001c01, 0x12006408,   // ky.mk.bg_433 es.gl.pt_332  id.un.un_200 lg.hu.un_430 
  0x00005503, 0x0d005609, 0x23111112, 0x112a010b,   // rw.un.un_300 mg.cs.un_440  ro.ro.ky_654 en.mt.ro_542 
  // [0170]
  0x17000a19, 0x30000a07, 0x07000a1a, 0x190b0502,   // mk.sr.un_750 pt.uz.un_420  mk.bg.un_760 fr.es.gl_222 
  0x1128730c, 0x00002f01, 0x0000350f, 0x0e080cad,   // ny.sw.ro_543 su.un.un_200  tg.un.un_600 sv.no.is_643 
  0x64002805, 0x0d1c095a, 0x21001221, 0x0000080a,   // sw.lg.un_330 hi.mr.ne_553  ur.fa.un_860 no.un.un_500 
  0x00001f0a, 0x0d000905, 0x0c08020e, 0x040a1704,   // cy.un.un_500 hi.ne.un_330  da.no.sv_555 sr.mk.ru_332 
  // [0180]
  0x0000560f, 0x311e1c04, 0x641e2807, 0x00001901,   // mg.un.un_600 id.ms.az_332  sw.ms.lg_432 gl.un.un_200 
  0x091c1312, 0x37001f0e, 0x01000802, 0x00002d15,   // bh.mr.hi_654 cy.st.un_550  no.en.un_220 sk.un.un_700 
  0x44003013, 0x18001212, 0x1700110d, 0x1c0913ac,   // uz.kk.un_650 ur.ar.un_640  ro.sr.un_540 bh.hi.mr_632 
  0x00003f15, 0x0b230507, 0x00002801, 0x08104409,   // af.un.un_700 fr.ca.es_432  sw.un.un_200 kk.be.uk_444 
  // [0190]
  0x1c0913af, 0x033f13ad, 0x0d090ca6, 0x041005a4,   // bh.hi.mr_655 et.af.nl_643  sv.pl.cs_521 fr.lt.fi_433 
  0x00003724, 0x21001812, 0x19305507, 0x070a1004,   // st.un.un_900 ar.fa.un_640  rw.uz.gl_432 be.mk.bg_332 
  0x21121812, 0x00005515, 0x212f1ca4, 0x00007306,   // ar.ur.fa_654 rw.un.un_700  id.su.jw_433 ny.un.un_400 
  0x00000a03, 0x55736412, 0x08004421, 0x64006b0c,   // pt.un.un_300 lg.ny.rw_654  kk.uk.un_860 ceb.lg.un_530 
  // [01a0]
  0x00006e1c, 0x64557313, 0x00003515, 0x0000640f,   // hmn.un.un_800 ny.rw.lg_665  tg.un.un_700 lg.un.un_600 
  0x00001306, 0x20182f0c, 0x033f01a4, 0x0000560a,   // et.un.un_400 su.ga.sq_543  en.af.nl_433 mg.un.un_500 
  0x20271fa0, 0x03003f1a, 0x1f3f27a4, 0x30443504,   // cy.gd.sq_322 af.nl.un_760  gd.af.cy_433 tg.kk.uz_332 
  0x73286408, 0x13000412, 0x55006422, 0x2b73200d,   // lg.sw.ny_443 fi.et.un_640  lg.rw.un_870 sq.ny.vi_554 
  // [01b0]
  0x44303511, 0x10000835, 0x03003f2b, 0x30000e04,   // tg.uz.kk_653 uk.be.un_A90  af.nl.un_980 is.uz.un_320 
  0x321617a9, 0x20002807, 0x3000250e, 0x37300405,   // sr.hr.bs_544 sw.sq.un_420  eu.uz.un_550 fi.uz.st_333 
  0x00006406, 0x0e0608a4, 0x170a07a4, 0x00002324,   // lg.un.un_400 no.de.is_433  bg.mk.sr_433 ky.un.un_900 
  0x093d1f12, 0x03043fa0, 0x00002703, 0x3704230c,   // cy.ku.pl_654 af.fi.nl_322  gd.un.un_300 ca.fi.st_543 
  // [01c0]
  0x13003012, 0x00006e24, 0x12005504, 0x3f080208,   // uz.et.un_640 hmn.un.un_900  rw.hu.un_320 da.no.af_443 
  0x0000060f, 0x00002715, 0x042307a9, 0x30043755,   // de.un.un_600 gd.un.un_700  bg.ky.ru_544 st.fi.uz_442 
  0x0000030a, 0x1800210d, 0x0000250a, 0x370420a9,   // nl.un.un_500 fa.ar.un_540  eu.un.un_500 sq.fi.st_544 
  0x00000215, 0x3100550d, 0x643f0307, 0x00002506,   // da.un.un_700 rw.az.un_540  nl.af.lg_432 eu.un.un_400 
  // [01d0]
  0x07000a1b, 0x19560407, 0x00000303, 0x3f122f07,   // mk.bg.un_770 fi.mg.gl_432  nl.un.un_300 su.hu.af_432 
  0x1300010d, 0x00000e0a, 0x00002503, 0x1100111b,   // en.et.un_540 is.un.un_500  eu.un.un_300 ro.ro.un_770 
  0x00000706, 0x530523a7, 0x03003f05, 0x2d100dad,   // bg.un.un_400 ca.fr.ht_532  af.nl.un_330 cs.lt.sk_643 
  0x1a372a07, 0x00000f0f, 0x31003023, 0x010c060c,   // mt.st.tl_432 lv.un.un_600  uz.az.un_880 de.sv.en_543 
  // [01e0]
  0x12371807, 0x1a06210c, 0x162d0d08, 0x311b550c,   // ga.st.hu_432 jw.de.tl_543  cs.sk.hr_443 rw.tr.az_543 
  0x0723190c, 0x00002106, 0x2a1716eb, 0x3f190b09,   // gl.ca.it_543 jw.un.un_400  hr.sr.mt_662 es.gl.af_444 
  0x0800020e, 0x1f370107, 0x1a7327ec, 0x6400551a,   // da.no.un_550 en.st.cy_432  gd.ny.tl_644 rw.lg.un_760 
  0x0d0913a0, 0x19005508, 0x0000201c, 0x1100050d,   // bh.hi.ne_322 rw.gl.un_430  sq.un.un_800 fr.ro.un_540 
  // [01f0]
  0x00001b15, 0x0000250f, 0x00002a03, 0x080220ee,   // tr.un.un_700 eu.un.un_600  mt.un.un_300 sq.da.no_422 
  0x081b3fa0, 0x00002706, 0x56122fa0, 0x08100413,   // af.tr.no_322 gd.un.un_400  su.hu.mg_322 ru.be.uk_665 
  0x18210107, 0x31001907, 0x3f0630a4, 0x18271faf,   // en.jw.ga_432 gl.az.un_420  uz.de.af_433 cy.gd.ga_655 
  0x0800100d, 0x0000270a, 0x130704a7, 0x0000300a,   // be.uk.un_540 gd.un.un_500  fi.it.et_532 uz.un.un_500 
  // [0200]
  0x30003519, 0x00006e0a, 0x03002004, 0x303704a4,   // tg.uz.un_750 hmn.un.un_500  sq.nl.un_320 fi.st.uz_433 
  0x00007315, 0x08442304, 0x07372308, 0x070a17ad,   // ny.un.un_700 ky.kk.uk_332  ca.st.it_443 sr.mk.bg_643 
  0x3100300c, 0x10001112, 0x353011a4, 0x00002d06,   // uz.az.un_530 ro.be.un_640  ro.uz.tg_433 sk.un.un_400 
  0x17080414, 0x11001119, 0x1801270c, 0x00001106,   // ru.uk.sr_666 ro.ro.un_750  gd.en.ga_543 ro.un.un_400 
  // [0210]
  0x00002b03, 0x30731807, 0x00000506, 0x31001b0d,   // vi.un.un_300 ga.ny.uz_432  fr.un.un_400 tr.az.un_540 
  0x4407110c, 0x2173010c, 0x00003d06, 0x29002d13,   // ro.bg.kk_543 en.ny.jw_543  ku.un.un_400 sk.sl.un_650 
  0x00003d15, 0x00000c0a, 0x00000d03, 0x21181205,   // ku.un.un_700 sv.un.un_500  ne.un.un_300 ur.ar.fa_333 
  0x0a001719, 0x04001002, 0x00002006, 0x4400231a,   // sr.mk.un_750 be.ru.un_220  sq.un.un_400 ky.kk.un_760 
  // [0220]
  0x044410a0, 0x100844af, 0x171008a0, 0x04441704,   // be.kk.ru_322 kk.uk.be_655  uk.be.sr_322 sr.kk.ru_332 
  0x2b005604, 0x01002408, 0x00003703, 0x06002305,   // mg.vi.un_320 yi.iw.un_430  st.un.un_300 ca.de.un_330 
  0x00002d0f, 0x04001704, 0x211812a4, 0x00000c15,   // sk.un.un_600 sr.ru.un_320  ur.ar.fa_433 sv.un.un_700 
  0x0000230a, 0x17000a09, 0x12002d0d, 0x12000311,   // ky.un.un_500 mk.sr.un_440  sk.hu.un_540 nl.hu.un_630 
  // [0230]
  0x104404ad, 0x00002b01, 0x0308020c, 0x300a07a6,   // ru.kk.be_643 vi.un.un_200  da.no.nl_543 bg.mk.uz_521 
  0x07111112, 0x04001005, 0x56000a04, 0x00005303,   // ro.ro.bg_654 be.ru.un_330  pt.mg.un_320 ht.un.un_300 
  0x04001019, 0x1c0d0914, 0x00005606, 0x00006e0f,   // be.ru.un_750 hi.ne.mr_666  mg.un.un_400 hmn.un.un_600 
  0x35041704, 0x1b001213, 0x00002103, 0x211e1ca9,   // sr.ru.tg_332 hu.tr.un_650  jw.un.un_300 id.ms.jw_544 
  // [0240]
  0x3000350e, 0x00001b0a, 0x00001603, 0x00000f0a,   // tg.uz.un_550 tr.un.un_500  hr.un.un_300 lv.un.un_500 
  0x35173007, 0x0a170712, 0x01001c04, 0x7300280d,   // uz.sr.tg_432 bg.sr.mk_654  id.en.un_320 sw.ny.un_540 
  0x0000310a, 0x0d000902, 0x0000200f, 0x0c082009,   // az.un.un_500 hi.ne.un_220  sq.un.un_600 sq.no.sv_444 
  0x2d000d08, 0x0000551c, 0x6b043f05, 0x18211212,   // cs.sk.un_430 rw.un.un_800  af.fi.ceb_333 ur.fa.ar_654 
  // [0250]
  0x033f0407, 0x04000812, 0x0a555309, 0x04070aec,   // fi.af.nl_432 uk.ru.un_640  ht.rw.pt_444 mk.bg.ru_644 
  0x0d002d13, 0x64020c07, 0x04001a19, 0x53001a05,   // sk.cs.un_650 sv.da.lg_432  tl.fi.un_750 tl.ht.un_330 
  0x30003513, 0x0000440a, 0x6b0403ec, 0x00002803,   // tg.uz.un_650 kk.un.un_500  nl.fi.ceb_644 sw.un.un_300 
  0x047313ad, 0x6b3f04ad, 0x30003119, 0x042b13ee,   // et.ny.fi_643 fi.af.ceb_643  az.uz.un_750 et.vi.fi_422 
  // [0260]
  0x041c13a4, 0x130373a4, 0x1300090e, 0x130d0960,   // et.id.fi_433 ny.nl.et_433  hi.bh.un_550 hi.ne.bh_664 
  0x00003124, 0x3f00031a, 0x211e28ec, 0x0000170f,   // az.un.un_900 nl.af.un_760  sw.ms.jw_644 sr.un.un_600 
  0x00001a1c, 0x016b5604, 0x0000050f, 0x3d2d0d0d,   // tl.un.un_800 mg.ceb.en_332  fr.un.un_600 cs.sk.ku_554 
  0x64133fa4, 0x00000515, 0x2d000d14, 0x2000280c,   // af.et.lg_433 fr.un.un_700  cs.sk.un_660 sw.sq.un_530 
  // [0270]
  0x0000312d, 0x440717ee, 0x353023ec, 0x272d0d08,   // az.un.un_A00 sr.bg.kk_422  ky.uz.tg_644 cs.sk.gd_443 
  0x21001213, 0x1e001c19, 0x163f0355, 0x2800272a,   // ur.fa.un_650 id.ms.un_750  nl.af.hr_442 gd.sw.un_970 
  0x08041005, 0x64002f07, 0x0100240c, 0x1f001822,   // be.ru.uk_333 su.lg.un_420  yi.iw.un_530 ga.cy.un_870 
  0x3200160e, 0x6e64730c, 0x00001b0f, 0x23000304,   // hr.bs.un_550 ny.lg.hmn_543  tr.un.un_600 nl.ca.un_320 
  // [0280]
  0x64731c08, 0x09530602, 0x06007307, 0x30003512,   // id.ny.lg_443 de.ht.pl_222  ny.de.un_420 tg.uz.un_640 
  0x44111113, 0x3f000321, 0x11040813, 0x31003008,   // ro.ro.kk_665 nl.af.un_860  uk.ru.ro_665 uz.az.un_430 
  0x04070a11, 0x133f040b, 0x44042304, 0x35041712,   // mk.bg.ru_653 fi.af.et_542  ky.ru.kk_332 sr.ru.tg_654 
  0x0a233012, 0x3f041aad, 0x32080c04, 0x0d1c0910,   // uz.ky.mk_654 tl.fi.af_643  sv.no.bs_332 hi.mr.ne_642 
  // [0290]
  0x00001206, 0x13046b07, 0x1e001804, 0x01002304,   // ur.un.un_400 ceb.fi.et_432  ga.ms.un_320 ca.en.un_320 
  0x6b377307, 0x01270407, 0x2100120d, 0x00003137,   // ny.st.ceb_432 fi.gd.en_432  ur.fa.un_540 az.un.un_B00 
  0x0000641c, 0x1c000902, 0x1800210c, 0x733f03ec,   // lg.un.un_800 hi.mr.un_220  fa.ar.un_530 nl.af.ny_644 
  0x1c090d09, 0x3f031308, 0x24000111, 0x1b033faf,   // ne.hi.mr_444 et.nl.af_443  iw.yi.un_630 af.nl.tr_655 
  // [02a0]
  0x00000a0f, 0x2400011a, 0x00001c03, 0x00000703,   // pt.un.un_600 iw.yi.un_760  id.un.un_300 it.un.un_300 
  0x1b00310c, 0x00006401, 0x00001715, 0x35304407,   // az.tr.un_530 lg.un.un_200  sr.un.un_700 kk.uz.tg_432 
  0x3200161b, 0x30351755, 0x00000a06, 0x09001c07,   // hr.bs.un_770 sr.tg.uz_442  pt.un.un_400 mr.hi.un_420 
  0x53002802, 0x21002813, 0x00000c06, 0x03121607,   // sw.ht.un_220 sw.jw.un_650  sv.un.un_400 hr.hu.nl_432 
  // [02b0]
  0x00000306, 0x32001623, 0x12032011, 0x1c212f05,   // nl.un.un_400 hr.bs.un_880  sq.nl.hu_653 su.jw.id_333 
  0x211812ec, 0x32133707, 0x09033fad, 0x20001b12,   // ur.ar.fa_644 st.et.bs_432  af.nl.pl_643 tr.sq.un_640 
  0x0000550f, 0x30003523, 0x0000251c, 0x19000a12,   // rw.un.un_600 tg.uz.un_880  eu.un.un_800 pt.gl.un_640 
  0x08041711, 0x041310a7, 0x00000a01, 0x00001f1c,   // sr.ru.uk_653 lt.et.fi_532  pt.un.un_200 cy.un.un_800 
  // [02c0]
  0x3500301b, 0x1c002f07, 0x0700171b, 0x13000919,   // uz.tg.un_770 su.id.un_420  sr.bg.un_770 hi.bh.un_750 
  0x0a000714, 0x00000201, 0x290d53af, 0x32001605,   // bg.mk.un_660 da.un.un_200  ht.cs.sl_655 hr.bs.un_330 
  0x08001012, 0x0000020a, 0x30231012, 0x2b000607,   // be.uk.un_640 da.un.un_500  be.ky.uz_654 de.vi.un_420 
  0x0c00021a, 0x1e001c02, 0x182a0c0c, 0x29211304,   // da.sv.un_760 id.ms.un_220  sv.mt.ga_543 et.jw.sl_332 
  // [02d0]
  0x18002714, 0x2b377307, 0x27001833, 0x10000512,   // gd.ga.un_660 ny.st.vi_432  ga.gd.un_A70 fr.lt.un_640 
  0x11120704, 0x20002112, 0x080a1712, 0x0c002005,   // it.hu.ro_332 jw.sq.un_640  sr.mk.uk_654 sq.sv.un_330 
  0x1b0c56a7, 0x00000d0a, 0x0a00070c, 0x17302d04,   // mg.sv.tr_532 cs.un.un_500  it.pt.un_530 sk.uz.sr_332 
  0x00006b15, 0x121729a4, 0x13180607, 0x05002304,   // ceb.un.un_700 sl.sr.hu_433  de.ga.et_432 ca.fr.un_320 
  // [02e0]
  0x3f000212, 0x041707a7, 0x0c003008, 0x2b280608,   // da.af.un_640 bg.sr.ru_532  uz.sv.un_430 de.sw.vi_443 
  0x2b007304, 0x0c001f05, 0x1c000905, 0x00000624,   // ny.vi.un_320 cy.sv.un_330  hi.mr.un_330 de.un.un_900 
  0x03063f12, 0x05131eee, 0x20170307, 0x00000603,   // af.de.nl_654 ms.et.fr_422  nl.sr.sq_432 de.un.un_300 
  0x0000061c, 0x0708100e, 0x00002915, 0x29001609,   // de.un.un_800 be.uk.bg_555  sl.un.un_700 hr.sl.un_440 
  // [02f0]
  0x00001f24, 0x00003015, 0x00000615, 0x04001012,   // cy.un.un_900 uz.un.un_700  de.un.un_700 lt.fi.un_640 
  0x13001f12, 0x32171614, 0x2f1e1c04, 0x0600010c,   // cy.et.un_640 hr.sr.bs_666  id.ms.su_332 en.de.un_530 
  0x00001c1c, 0x32001723, 0x01001e08, 0x0000081c,   // mr.un.un_800 sr.bs.un_880  ms.en.un_430 uk.un.un_800 
  0x1c1309ad, 0x29000f21, 0x00003203, 0x13000d04,   // hi.bh.mr_643 lv.sl.un_860  bs.un.un_300 ne.bh.un_320 
  // [0300]
  0x0000530f, 0x21377311, 0x07272ba7, 0x08043505,   // ht.un.un_600 ny.st.jw_653  vi.gd.it_532 tg.ru.uk_333 
  0x17001602, 0x0600010d, 0x11000604, 0x070430ec,   // hr.sr.un_220 en.de.un_540  de.ro.un_320 uz.ru.bg_644 
  0x32001607, 0x24000120, 0x3f003019, 0x00007324,   // hr.bs.un_420 iw.yi.un_850  uz.af.un_750 ny.un.un_900 
  0x1c001e04, 0x1600290d, 0x122118ec, 0x0000041c,   // ms.id.un_320 sl.hr.un_540  ar.fa.ur_644 fi.un.un_800 
  // [0310]
  0x0c080213, 0x0a1704ec, 0x3f080cee, 0x12000e09,   // da.no.sv_665 ru.sr.mk_644  sv.no.af_422 is.hu.un_440 
  0x04002302, 0x7313040c, 0x00000a24, 0x021808a4,   // ky.ru.un_220 fi.et.ny_543  mk.un.un_900 no.ga.da_433 
  0x03003f14, 0x060818a0, 0x17003513, 0x12001812,   // af.nl.un_660 ga.no.de_322  tg.sr.un_650 ar.ur.un_640 
  0x0c3f23a0, 0x21002f0d, 0x00000d15, 0x0e00040c,   // ca.af.sv_322 su.jw.un_540  ne.un.un_700 fi.is.un_530 
  // [0320]
  0x0b132355, 0x23000619, 0x21005318, 0x04642fa7,   // ca.et.es_442 de.ca.un_750  ht.jw.un_740 su.lg.fi_532 
  0x12000413, 0x27002104, 0x00003f0a, 0x00000b06,   // fi.hu.un_650 jw.gd.un_320  af.un.un_500 es.un.un_400 
  0x30170a08, 0x3f002902, 0x0c000304, 0x1707040d,   // mk.sr.uz_443 sl.af.un_220  nl.sv.un_320 ru.bg.sr_554 
  0x070a1714, 0x6b001f12, 0x00004424, 0x321617a0,   // sr.mk.bg_666 cy.ceb.un_640  kk.un.un_900 sr.hr.bs_322 
  // [0330]
  0x02003204, 0x1e182707, 0x170229a0, 0x10170aa0,   // bs.da.un_320 gd.ga.ms_432  sl.da.sr_322 mk.sr.be_322 
  0x11000612, 0x2300442b, 0x07130407, 0x17005302,   // de.ro.un_640 kk.ky.un_980  fi.et.it_432 ht.sr.un_220 
  0x2a0c0207, 0x00000f01, 0x04071712, 0x100f3004,   // da.sv.mt_432 lv.un.un_200  sr.bg.ru_654 uz.lv.lt_332 
  0x19000b05, 0x0400130d, 0x00002f0f, 0x73000419,   // es.gl.un_330 et.fi.un_540  su.un.un_600 fi.ny.un_750 
  // [0340]
  0x100f04a0, 0x13000413, 0x0400170e, 0x08020ca4,   // fi.lv.lt_322 fi.et.un_650  sr.ru.un_550 sv.da.no_433 
  0x04005305, 0x6e6b3d0d, 0x0e000f07, 0x0c000f08,   // ht.fi.un_330 ku.ceb.hmn_554  lv.is.un_420 lv.sv.un_430 
  0x00001e0a, 0x13046404, 0x30000c18, 0x31086b02,   // ms.un.un_500 lg.fi.et_332  sv.uz.un_740 ceb.no.az_222 
  0x32161709, 0x09001308, 0x3f0308a0, 0x17002307,   // sr.hr.bs_444 bh.hi.un_430  no.nl.af_322 ca.sr.un_420 
  // [0350]
  0x12040ca0, 0x00000d24, 0x0000290a, 0x070a0812,   // sv.fi.hu_322 cs.un.un_900  sl.un.un_500 uk.mk.bg_654 
  0x00001801, 0x100830a0, 0x2d000d12, 0x3f0c0855,   // ga.un.un_200 uz.uk.be_322  cs.sk.un_640 no.sv.af_442 
  0x27001812, 0x01236b04, 0x0700350c, 0x3500300e,   // ga.gd.un_640 ceb.ca.en_332  tg.bg.un_530 uz.tg.un_550 
  0x01002412, 0x31001b0c, 0x2d000d21, 0x32001604,   // yi.iw.un_640 tr.az.un_530  cs.sk.un_860 hr.bs.un_320 
  // [0360]
  0x0f0b10ac, 0x1a005521, 0x0c00300e, 0x2f1205ee,   // lt.es.lv_632 rw.tl.un_860  uz.sv.un_550 fr.hu.su_422 
  0x0000371c, 0x04301307, 0x0900130c, 0x0d091caf,   // st.un.un_800 et.uz.fi_432  bh.hi.un_530 mr.hi.ne_655 
  0x0c217307, 0x00000b03, 0x07353009, 0x21052f11,   // ny.jw.sv_432 es.un.un_300  uz.tg.bg_444 su.fr.jw_653 
  0x370c080c, 0x2f000104, 0x09000d0c, 0x03002108,   // no.sv.st_543 en.su.un_320  ne.hi.un_530 jw.nl.un_430 
  // [0370]
  0x0a28550b, 0x05002f08, 0x32001602, 0x01641211,   // rw.sw.pt_542 su.fr.un_430  hr.bs.un_220 hu.lg.en_653 
  0x05002f0d, 0x203229ad, 0x2d000d18, 0x0d002d12,   // su.fr.un_540 sl.bs.sq_643  cs.sk.un_740 sk.cs.un_640 
  0x64003f1a, 0x00005603, 0x0708040e, 0x6400300e,   // af.lg.un_760 mg.un.un_300  ru.uk.bg_555 uz.lg.un_550 
  0x531a1ca0, 0x73005521, 0x31002002, 0x2d000d19,   // id.tl.ht_322 rw.ny.un_860  sq.az.un_220 cs.sk.un_750 
  // [0380]
  0x0000060a, 0x0e003704, 0x00000601, 0x736455a4,   // de.un.un_500 st.is.un_320  de.un.un_200 rw.lg.ny_433 
  0x31001b12, 0x2d000d20, 0x0400070e, 0x18002704,   // tr.az.un_640 cs.sk.un_850  bg.ru.un_550 gd.ga.un_320 
  0x373f21a4, 0x53080209, 0x233011a4, 0x080c6e04,   // jw.af.st_433 da.no.ht_444  ro.uz.ky_433 hmn.sv.no_332 
  0x3f00030d, 0x0e002f05, 0x35170aa0, 0x282a730c,   // nl.af.un_540 su.is.un_330  mk.sr.tg_322 ny.mt.sw_543 
  // [0390]
  0x1c0d0902, 0x01000609, 0x060713a7, 0x01230708,   // hi.ne.mr_222 de.en.un_440  et.it.de_532 it.ca.en_443 
  0x09001312, 0x1f002904, 0x07001212, 0x17001605,   // bh.hi.un_640 sl.cy.un_320  hu.it.un_640 hr.sr.un_330 
  0x04001702, 0x12002122, 0x07005302, 0x00000301,   // sr.ru.un_220 fa.ur.un_870  ht.it.un_220 nl.un.un_200 
  0x2a131ea0, 0x28005513, 0x1b000202, 0x0000120a,   // ms.et.mt_322 rw.sw.un_650  da.tr.un_220 hu.un.un_500 
  // [03a0]
  0x0000530a, 0x0000230f, 0x1c0d0909, 0x281e2a07,   // ht.un.un_500 ky.un.un_600  hi.ne.mr_444 mt.ms.sw_432 
  0x050708a0, 0x02070860, 0x08000a0d, 0x23303511,   // no.it.fr_322 no.it.da_664  mk.uk.un_540 tg.uz.ky_653 
  0x08000c1b, 0x08000214, 0x00004403, 0x44002308,   // sv.no.un_770 da.no.un_660  kk.un.un_300 ky.kk.un_430 
  0x322d0d04, 0x07000e04, 0x0a174405, 0x4430350e,   // cs.sk.bs_332 is.it.un_320  kk.sr.mk_333 tg.uz.kk_555 
  // [03b0]
  0x31001b23, 0x21181212, 0x2b002302, 0x1200180c,   // tr.az.un_880 ur.ar.fa_654  ca.vi.un_220 ar.ur.un_530 
  0x351708a4, 0x040a080d, 0x30001002, 0x00000a15,   // uk.sr.tg_433 uk.mk.ru_554  be.uz.un_220 mk.un.un_700 
  0x121821ec, 0x300835a9, 0x04170a04, 0x11170408,   // fa.ar.ur_644 tg.uk.uz_544  mk.sr.ru_332 ru.sr.ro_443 
  0x21001e04, 0x10000813, 0x13090d0c, 0x100a070c,   // ms.jw.un_320 uk.be.un_650  ne.hi.bh_543 bg.mk.be_543 
  // [03c0]
  0x31001b1a, 0x13091caf, 0x23001902, 0x5500730d,   // tr.az.un_760 mr.hi.bh_655  gl.ca.un_220 ny.rw.un_540 
  0x10000405, 0x00000c01, 0x00001f01, 0x0d002a19,   // fi.lt.un_330 sv.un.un_200  cy.un.un_200 mt.cs.un_750 
  0x16003207, 0x062a0411, 0x11006b13, 0x322a16ec,   // bs.hr.un_420 fi.mt.de_653  ceb.ro.un_650 hr.mt.bs_644 
  0x030c0ea0, 0x0f21130c, 0x0d0913ee, 0x301e1c0d,   // is.sv.nl_322 et.jw.lv_543  bh.hi.ne_422 id.ms.uz_554 
  // [03d0]
  0x090711ee, 0x0f0127a0, 0x311b2d07, 0x3f000619,   // ro.it.pl_422 gd.en.lv_322  sk.tr.az_432 de.af.un_750 
  0x6b0c30ec, 0x56212f0c, 0x0802300c, 0x1f001c07,   // uz.sv.ceb_644 su.jw.mg_543  uz.da.no_543 id.cy.un_420 
  0x06000c04, 0x1f002808, 0x0000190a, 0x2f56290c,   // sv.de.un_320 sw.cy.un_430  gl.un.un_500 sl.mg.su_543 
  0x0000351c, 0x00002306, 0x1e002f02, 0x210b2f0c,   // tg.un.un_800 ca.un.un_400  su.ms.un_220 su.es.jw_543 
  // [03e0]
  0x13002920, 0x24000118, 0x01001f02, 0x28002b13,   // sl.et.un_850 iw.yi.un_740  cy.en.un_220 vi.sw.un_650 
  0x3000030e, 0x17321660, 0x1329110c, 0x09253fa4,   // nl.uz.un_550 hr.bs.sr_664  ro.sl.et_543 af.eu.pl_433 
  0x30000a04, 0x3200210d, 0x35003023, 0x6b001a22,   // mk.uz.un_320 jw.bs.un_540  uz.tg.un_880 tl.ceb.un_870 
  0x0e550609, 0x19000b20, 0x040e25ad, 0x17163214,   // de.rw.is_444 es.gl.un_850  eu.is.fi_643 bs.hr.sr_666 
  // [03f0]
  0x04001314, 0x0e132aa4, 0x210e0811, 0x29001212,   // et.fi.un_660 mt.et.is_433  no.is.jw_653 hu.sl.un_640 
  0x12002a08, 0x16321708, 0x2f1c1e0c, 0x2700060d,   // mt.hu.un_430 sr.bs.hr_443  ms.id.su_543 de.gd.un_540 
  0x073508a4, 0x0f321704, 0x08020c02, 0x100423ac,   // uk.tg.bg_433 sr.bs.lv_332  sv.da.no_222 ky.ru.be_632 
  0x06003f08, 0x23004414, 0x08002019, 0x1a033fa4,   // af.de.un_430 kk.ky.un_660  sq.no.un_750 af.nl.tl_433 
  
  // [0400]
  0x09000f08, 0x2a00121a, 0x0c010802, 0x1200301a,   // lv.pl.un_430 hu.mt.un_760  no.en.sv_222 uz.hu.un_760 
  0x170f290c, 0x00002a1c, 0x1c1e2807, 0x32160914,   // sl.lv.sr_543 mt.un.un_800  sw.ms.id_432 pl.hr.bs_666 
  0x0f0413ad, 0x11182712, 0x25001902, 0x00003f01,   // et.fi.lv_643 gd.ga.ro_654  gl.eu.un_220 af.un.un_200 
  0x00003001, 0x2f301ea9, 0x3f0330af, 0x12002121,   // uz.un.un_200 ms.uz.su_544  uz.nl.af_655 fa.ur.un_860 
  // [0410]
  0x13042fa4, 0x182112ad, 0x17002908, 0x443530ee,   // su.fi.et_433 ur.fa.ar_643  sl.sr.un_430 uz.tg.kk_422 
  0x00002524, 0x00003706, 0x08021fa9, 0x01080208,   // eu.un.un_900 st.un.un_400  cy.da.no_544 da.no.en_443 
  0x2325190b, 0x131e1c14, 0x351008a4, 0x32162aee,   // gl.eu.ca_542 id.ms.et_666  uk.be.tg_433 mt.hr.bs_422 
  0x040810ad, 0x0a0717a4, 0x293d37a9, 0x0e080260,   // be.uk.ru_643 sr.bg.mk_433  st.ku.sl_544 da.no.is_664 
  // [0420]
  0x080c1fee, 0x041b0e07, 0x02000819, 0x2f003004,   // cy.sv.no_422 is.tr.fi_432  no.da.un_750 uz.su.un_320 
  0x2a002922, 0x0d001c12, 0x03042509, 0x37293dec,   // sl.mt.un_870 mr.ne.un_640  eu.fi.nl_444 ku.sl.st_644 
  0x16000805, 0x0804170c, 0x0c080204, 0x0d130955,   // no.hr.un_330 sr.ru.uk_543  da.no.sv_332 hi.bh.ne_442 
  0x24000119, 0x2d0d1b12, 0x00003f24, 0x2500011a,   // iw.yi.un_750 tr.cs.sk_654  af.un.un_900 en.eu.un_760 
  // [0430]
  0x08020ca9, 0x1c000312, 0x29000c0b, 0x18211204,   // sv.da.no_544 nl.id.un_640  sv.sl.un_520 ur.fa.ar_332 
  0x1b2f1ca0, 0x1b033d07, 0x0600011a, 0x2d103207,   // id.su.tr_322 ku.nl.tr_432  en.de.un_760 bs.lt.sk_432 
  0x202a030c, 0x06033faf, 0x09001f09, 0x1100560d,   // nl.mt.sq_543 af.nl.de_655  cy.pl.un_440 mg.ro.un_540 
  0x25001314, 0x08000e0c, 0x13007314, 0x0a002314,   // et.eu.un_660 is.no.un_530  ny.et.un_660 ky.mk.un_660 
  // [0440]
  0x1e1c30ee, 0x35101104, 0x303f1bad, 0x2723050c,   // uz.id.ms_422 ro.be.tg_332  tr.af.uz_643 fr.ca.gd_543 
  0x12002112, 0x0700041a, 0x071711ee, 0x55002804,   // fa.ur.un_640 ru.bg.un_760  ro.sr.bg_422 sw.rw.un_320 
  0x08441013, 0x160c2907, 0x08023005, 0x551f73a4,   // be.kk.uk_665 sl.sv.hr_432  uz.da.no_333 ny.cy.rw_433 
  0x1e561ca9, 0x0000730f, 0x32161705, 0x321e0307,   // id.mg.ms_544 ny.un.un_600  sr.hr.bs_333 nl.ms.bs_432 
  // [0450]
  0x0f001008, 0x0800100e, 0x2b1c30a0, 0x08000208,   // lt.lv.un_430 be.uk.un_550  uz.id.vi_322 da.no.un_430 
  0x20321705, 0x29001602, 0x00001237, 0x56001318,   // sr.bs.sq_333 hr.sl.un_220  ur.un.un_B00 et.mg.un_740 
  0x64005513, 0x102d0d13, 0x00007303, 0x090d1cac,   // rw.lg.un_650 cs.sk.lt_665  ny.un.un_300 mr.ne.hi_632 
  0x09020d0c, 0x0c001f19, 0x131f070c, 0x043035a6,   // cs.da.pl_543 cy.sv.un_750  it.cy.et_543 tg.uz.ru_521 
  // [0460]
  0x3000311b, 0x10002913, 0x64313007, 0x09002a0c,   // az.uz.un_770 sl.lt.un_650  uz.az.lg_432 mt.pl.un_530 
  0x2000550d, 0x0000270f, 0x1c0913a0, 0x35443012,   // rw.sq.un_540 gd.un.un_600  bh.hi.mr_322 uz.kk.tg_654 
  0x0b20550c, 0x216b2aad, 0x121b3d12, 0x2d120da4,   // rw.sq.es_543 mt.ceb.jw_643  ku.tr.hu_654 cs.hu.sk_433 
  0x08000707, 0x08003007, 0x2f211c02, 0x301007ad,   // bg.uk.un_420 uz.uk.un_420  id.jw.su_222 bg.be.uz_643 
  // [0470]
  0x23003013, 0x292d1704, 0x4430230d, 0x230a4404,   // uz.ky.un_650 sr.sk.sl_332  ky.uz.kk_554 kk.mk.ky_332 
  0x00001103, 0x1a006b0b, 0x20105504, 0x0a00170e,   // ro.un.un_300 ceb.tl.un_520  rw.lt.sq_332 sr.mk.un_550 
  0x070a100c, 0x27731fad, 0x556473ad, 0x00001c24,   // be.mk.bg_543 cy.ny.gd_643  ny.lg.rw_643 mr.un.un_900 
  0x1c00090e, 0x28080ead, 0x270e0813, 0x043017a0,   // hi.mr.un_550 is.no.sw_643  no.is.gd_665 sr.uz.ru_322 
  // [0480]
  0x06100e04, 0x09002d12, 0x17440702, 0x122d0d0d,   // is.lt.de_332 sk.pl.un_640  bg.kk.sr_222 cs.sk.hu_554 
  0x09000d13, 0x190a1f05, 0x24000112, 0x180104a7,   // ne.hi.un_650 cy.pt.gl_333  iw.yi.un_640 fi.en.ga_532 
  0x07001704, 0x00005624, 0x0000071c, 0x125553a7,   // sr.bg.un_320 mg.un.un_900  bg.un.un_800 ht.rw.hu_532 
  0x442311ec, 0x12000419, 0x1c090da9, 0x09002504,   // ro.ky.kk_644 fi.hu.un_750  ne.hi.mr_544 eu.pl.un_320 
  // [0490]
  0x55001c08, 0x181221ec, 0x20100a02, 0x2d0d2911,   // id.rw.un_430 fa.ur.ar_644  pt.lt.sq_222 sl.cs.sk_653 
  0x170810a0, 0x00006b0f, 0x0000190f, 0x0d000908,   // be.uk.sr_322 ceb.un.un_600  gl.un.un_600 hi.ne.un_430 
  0x733f64a4, 0x21001212, 0x6e2a05ee, 0x1100111a,   // lg.af.ny_433 ur.fa.un_640  fr.mt.hmn_422 ro.ro.un_760 
  0x091c0da7, 0x1a002d04, 0x12006b05, 0x091c1307,   // ne.mr.hi_532 sk.tl.un_320  ceb.hu.un_330 bh.mr.hi_432 
  // [04a0]
  0x07000a14, 0x1716320c, 0x070a300c, 0x212f1c04,   // mk.bg.un_660 bs.hr.sr_543  uz.mk.bg_543 id.su.jw_332 
  0x3000442b, 0x09001f05, 0x290c0812, 0x01030609,   // kk.uz.un_980 cy.pl.un_330  no.sv.sl_654 de.nl.en_444 
  0x00001b06, 0x100f0608, 0x2a255304, 0x1732165a,   // tr.un.un_400 de.lv.lt_443  ht.eu.mt_332 hr.bs.sr_553 
  0x08040aa0, 0x27100111, 0x0e000508, 0x0a00180c,   // mk.ru.uk_322 en.lt.gd_653  fr.is.un_430 ga.pt.un_530 
  // [04b0]
  0x1e1c2109, 0x73551a5a, 0x13000c0d, 0x19000b07,   // jw.id.ms_444 tl.rw.ny_553  sv.et.un_540 es.gl.un_420 
  0x64301a0c, 0x1c001604, 0x04001708, 0x1c09130e,   // tl.uz.lg_543 hr.id.un_320  sr.ru.un_430 bh.hi.mr_555 
  0x23002702, 0x556b1a0c, 0x13033faf, 0x211e1c08,   // gd.ca.un_220 tl.ceb.rw_543  af.nl.et_655 id.ms.jw_443 
  0x2118120d, 0x0d09130e, 0x1b003113, 0x11000402,   // ur.ar.fa_554 bh.hi.ne_555  az.tr.un_650 fi.ro.un_220 
  // [04c0]
  0x732819a4, 0x1a1e1c09, 0x551a64a9, 0x730428a0,   // gl.sw.ny_433 id.ms.tl_444  lg.tl.rw_544 sw.fi.ny_322 
  0x04170a09, 0x3000352b, 0x2f002104, 0x73001108,   // mk.sr.ru_444 tg.uz.un_980  jw.su.un_320 ro.ny.un_430 
  0x210c080c, 0x281a7302, 0x21002714, 0x32001707,   // no.sv.jw_543 ny.tl.sw_222  gd.jw.un_660 sr.bs.un_420 
  0x0d091305, 0x55001e04, 0x040708ec, 0x132a075a,   // bh.hi.ne_333 ms.rw.un_320  uk.bg.ru_644 it.mt.et_553 
  // [04d0]
  0x552f1a09, 0x1716320e, 0x210f2f07, 0x55003204,   // tl.su.rw_444 bs.hr.sr_555  su.lv.jw_432 bs.rw.un_320 
  0x042513a0, 0x02003f0e, 0x1b003109, 0x1c001309,   // et.eu.fi_322 af.da.un_550  az.tr.un_440 bh.mr.un_440 
  0x37003019, 0x23052d07, 0x08066ea7, 0x2900370b,   // uz.st.un_750 sk.fr.ca_432  hmn.de.no_532 st.sl.un_520 
  0x236e0508, 0x271f0107, 0x100806a0, 0x09003004,   // fr.hmn.ca_443 en.cy.gd_432  de.no.lt_322 uz.pl.un_320 
  // [04e0]
  0x230105ad, 0x1225550c, 0x0f0806a6, 0x1a645508,   // fr.en.ca_643 rw.eu.hu_543  de.no.lv_521 rw.lg.tl_443 
  0x211e1c02, 0x1c1a1ea0, 0x23193007, 0x090d2f05,   // id.ms.jw_222 ms.tl.id_322  uz.gl.ca_432 su.cs.pl_333 
  0x53001819, 0x0a001107, 0x642f1ca4, 0x28257311,   // ga.ht.un_750 ro.mk.un_420  id.su.lg_433 ny.eu.sw_653 
  0x556b640d, 0x2300050c, 0x080621a0, 0x23190b02,   // lg.ceb.rw_554 fr.ca.un_530  jw.de.no_322 es.gl.ca_222 
  // [04f0]
  0x55311ca4, 0x230a0513, 0x21001218, 0x562305ad,   // id.az.rw_433 fr.pt.ca_665  ur.fa.un_740 fr.ca.mg_643 
  0x00000e06, 0x0a07170c, 0x191a6b11, 0x084423a6,   // is.un.un_400 sr.bg.mk_543  ceb.tl.gl_653 ky.kk.uk_521 
  0x041c210c, 0x30373107, 0x06086e07, 0x170a11ee,   // jw.id.fi_543 az.st.uz_432  hmn.no.de_432 ro.mk.sr_422 
  0x55000507, 0x0a081709, 0x05001904, 0x190b23a4,   // fr.rw.un_420 sr.uk.mk_444  gl.fr.un_320 ca.es.gl_433 
  // [0500]
  0x6b050607, 0x091c0d0b, 0x00000606, 0x19000b0e,   // de.fr.ceb_432 ne.mr.hi_542  de.un.un_400 es.gl.un_550 
  0x0400100c, 0x55212fee, 0x1b00090c, 0x0c3f0305,   // lt.fi.un_530 su.jw.rw_422  pl.tr.un_530 nl.af.sv_333 
  0x00003006, 0x0d091314, 0x00006e03, 0x1c001311,   // uz.un.un_400 bh.hi.ne_666  hmn.un.un_300 bh.mr.un_630 
  0x23190b55, 0x17083007, 0x552305ac, 0x0c080205,   // es.gl.ca_442 uz.uk.sr_432  fr.ca.rw_632 da.no.sv_333 
  // [0510]
  0x3f00290b, 0x03003f0e, 0x03000807, 0x2305010c,   // sl.af.un_520 af.nl.un_550  no.nl.un_420 en.fr.ca_543 
  0x6e730605, 0x07170aa9, 0x56281f0c, 0x06000a08,   // de.ny.hmn_333 mk.sr.bg_544  cy.sw.mg_543 pt.de.un_430 
  0x0000051c, 0x171632af, 0x081f0608, 0x05001113,   // fr.un.un_800 bs.hr.sr_655  de.cy.no_443 ro.fr.un_650 
  0x2300051a, 0x6e06280c, 0x3f00031b, 0x1c0913a4,   // fr.ca.un_760 sw.de.hmn_543  nl.af.un_770 bh.hi.mr_433 
  // [0520]
  0x55230507, 0x100a3507, 0x212f280c, 0x122118af,   // fr.ca.rw_432 tg.mk.be_432  sw.su.jw_543 ar.fa.ur_655 
  0x0a001723, 0x080c02a4, 0x286e2b07, 0x09000d08,   // sr.mk.un_880 da.sv.no_433  vi.hmn.sw_432 ne.hi.un_430 
  0x00001006, 0x00002a24, 0x32002907, 0x00006403,   // be.un.un_400 mt.un.un_900  sl.bs.un_420 lg.un.un_300 
  0x2f002a05, 0x17040807, 0x1e005508, 0x02002707,   // mt.su.un_330 uk.ru.sr_432  rw.ms.un_430 gd.da.un_420 
  // [0530]
  0x1273060c, 0x040835a0, 0x0000730a, 0x0c080214,   // de.ny.hu_543 tg.uk.ru_322  ny.un.un_500 da.no.sv_666 
  0x00001803, 0x21001209, 0x0000031c, 0x1c002f02,   // ga.un.un_300 ur.fa.un_440  nl.un.un_800 su.id.un_220 
  0x30040509, 0x0000640a, 0x1e1c040c, 0x2f1c210e,   // fr.fi.uz_444 lg.un.un_500  fi.id.ms_543 jw.id.su_555 
  0x2d002905, 0x171632ee, 0x04002713, 0x2f211ca9,   // sl.sk.un_330 bs.hr.sr_422  gd.fi.un_650 id.jw.su_544 
  // [0540]
  0x31001b14, 0x0b0401a0, 0x53002102, 0x07000a07,   // tr.az.un_660 en.fi.es_322  jw.ht.un_220 mk.bg.un_420 
  0x27001823, 0x23080208, 0x1b3173a0, 0x00006415,   // ga.gd.un_880 da.no.ca_443  ny.az.tr_322 lg.un.un_700 
  0x0000280a, 0x05000804, 0x190b04ad, 0x0a041108,   // sw.un.un_500 no.fr.un_320  fi.es.gl_643 ro.ru.mk_443 
  0x01033f60, 0x1b003120, 0x73005508, 0x2b6b01a9,   // af.nl.en_664 az.tr.un_850  rw.ny.un_430 en.ceb.vi_544 
  // [0550]
  0x181b2007, 0x0d1c09ec, 0x1f2912af, 0x0c5337ee,   // sq.tr.ga_432 hi.mr.ne_644  hu.sl.cy_655 st.ht.sv_422 
  0x2f6b1cee, 0x3f3756a0, 0x2f212009, 0x1800270e,   // id.ceb.su_422 mg.st.af_322  sq.jw.su_444 gd.ga.un_550 
  0x2a002f04, 0x17081008, 0x00003d24, 0x0701270c,   // su.mt.un_320 be.uk.sr_443  ku.un.un_900 gd.en.it_543 
  0x18002808, 0x0d001c13, 0x2a000808, 0x0000020f,   // sw.ga.un_430 mr.ne.un_650  no.mt.un_430 da.un.un_600 
  // [0560]
  0x2000070c, 0x2b006e07, 0x0602070c, 0x2f213704,   // it.sq.un_530 hmn.vi.un_420  it.da.de_543 st.jw.su_332 
  0x56533708, 0x0b105607, 0x00000206, 0x1b31305a,   // st.ht.mg_443 mg.lt.es_432  da.un.un_400 uz.az.tr_553 
  0x06001e04, 0x31251807, 0x101a0c12, 0x09001f13,   // ms.de.un_320 ga.eu.az_432  sv.tl.lt_654 cy.pl.un_650 
  0x043130af, 0x01000704, 0x17321655, 0x30002904,   // uz.az.fi_655 it.en.un_320  hr.bs.sr_442 sl.uz.un_320 
  // [0570]
  0x32162509, 0x321617a4, 0x64001a07, 0x0b13040c,   // eu.hr.bs_444 sr.hr.bs_433  tl.lg.un_420 fi.et.es_543 
  0x00002f06, 0x120b040c, 0x2b000714, 0x0717080c,   // su.un.un_400 fi.es.hu_543  it.vi.un_660 uk.sr.bg_543 
  0x2905200c, 0x6400551b, 0x2f202aa7, 0x6b020811,   // sq.fr.sl_543 rw.lg.un_770  mt.sq.su_532 no.da.ceb_653 
  0x2500070d, 0x05002305, 0x377355ad, 0x00001824,   // it.eu.un_540 ca.fr.un_330  rw.ny.st_643 ar.un.un_900 
  // [0580]
  0x21001c07, 0x55001b0e, 0x0d1c1311, 0x190853ee,   // id.jw.un_420 tr.rw.un_550  bh.mr.ne_653 ht.no.gl_422 
  0x1e1c64a0, 0x1b00310d, 0x0d000909, 0x19000a09,   // lg.id.ms_322 az.tr.un_540  hi.ne.un_440 pt.gl.un_440 
  0x321716a0, 0x1e006404, 0x233011ad, 0x04001013,   // hr.sr.bs_322 lg.ms.un_320  ro.uz.ky_643 be.ru.un_650 
  0x09000d07, 0x1b252aa4, 0x00003501, 0x1c090d60,   // ne.hi.un_420 mt.eu.tr_433  tg.un.un_200 ne.hi.mr_664 
  // [0590]
  0x19110bee, 0x0b0a0ca4, 0x300a2312, 0x070a1709,   // es.ro.gl_422 sv.pt.es_433  ky.mk.uz_654 sr.mk.bg_444 
  0x3200080c, 0x07001012, 0x170408a0, 0x3f000708,   // no.bs.un_530 be.bg.un_640  uk.ru.sr_322 it.af.un_430 
  0x091c0dec, 0x080407ec, 0x13071212, 0x0e000812,   // ne.mr.hi_644 bg.ru.uk_644  hu.it.et_654 no.is.un_640 
  0x2b001c07, 0x12002a07, 0x00001301, 0x31121b07,   // id.vi.un_420 mt.hu.un_420  bh.un.un_200 tr.hu.az_432 
  // [05a0]
  0x2d080204, 0x0c000808, 0x28182702, 0x56001e13,   // da.no.sk_332 no.sv.un_430  gd.ga.sw_222 ms.mg.un_650 
  0x190b23a0, 0x0c0e02ee, 0x2a30560c, 0x0c00081a,   // ca.es.gl_322 da.is.sv_422  mg.uz.mt_543 no.sv.un_760 
  0x2d000d13, 0x252718ee, 0x56251ea0, 0x0d00210d,   // cs.sk.un_650 ga.gd.eu_422  ms.eu.mg_322 jw.cs.un_540 
  0x08020c0c, 0x561b30a0, 0x171632a0, 0x04081708,   // sv.da.no_543 uz.tr.mg_322  bs.hr.sr_322 sr.uk.ru_443 
  // [05b0]
  0x170a4404, 0x05000204, 0x17000a0e, 0x64005505,   // kk.mk.sr_332 da.fr.un_320  mk.sr.un_550 rw.lg.un_330 
  0x080a07a4, 0x10002504, 0x042537a0, 0x31001b19,   // bg.mk.uk_433 eu.lt.un_320  st.eu.fi_322 tr.az.un_750 
  0x641825a7, 0x19000b0c, 0x531a6b07, 0x042b1005,   // eu.ga.lg_532 es.gl.un_530  ceb.tl.ht_432 lt.vi.fi_333 
  0x53006b04, 0x0c000f04, 0x53292da4, 0x5500560e,   // ceb.ht.un_320 lv.sv.un_320  sk.sl.ht_433 mg.rw.un_550 
  // [05c0]
  0x1000530c, 0x73556407, 0x0c000e04, 0x256413a0,   // ht.lt.un_530 lg.rw.ny_432  is.sv.un_320 et.lg.eu_322 
  0x1f001e13, 0x285329a0, 0x08001021, 0x560d1212,   // ms.cy.un_650 sl.ht.sw_322  be.uk.un_860 hu.cs.mg_654 
  0x051f0111, 0x28643da4, 0x21002504, 0x56552808,   // en.cy.fr_653 ku.lg.sw_433  eu.jw.un_320 sw.rw.mg_443 
  0x181e25a0, 0x2f6428a0, 0x08000223, 0x09001c09,   // eu.ms.ga_322 sw.lg.su_322  da.no.un_880 mr.hi.un_440 
  // [05d0]
  0x091c0daf, 0x2500560c, 0x00001324, 0x6b042511,   // ne.mr.hi_655 mg.eu.un_530  bh.un.un_900 eu.fi.ceb_653 
  0x18120e5a, 0x00005306, 0x210c1f0c, 0x2527180c,   // is.hu.ga_553 ht.un.un_400  cy.sv.jw_543 ga.gd.eu_543 
  0x1b001904, 0x100408a4, 0x190d0b0c, 0x1300270c,   // gl.tr.un_320 uk.ru.be_433  es.cs.gl_543 gd.et.un_530 
  0x0f080604, 0x051f010c, 0x30003504, 0x060e0f0c,   // de.no.lv_332 en.cy.fr_543  tg.uz.un_320 lv.is.de_543 
  // [05e0]
  0x08041007, 0x10070aa0, 0x083f06a0, 0x19200b12,   // be.ru.uk_432 mk.bg.be_322  de.af.no_322 es.sq.gl_654 
  0x0f000919, 0x1c00130c, 0x30002313, 0x0c000e1a,   // pl.lv.un_750 bh.mr.un_530  ky.uz.un_650 is.sv.un_760 
  0x06000202, 0x092555a7, 0x311e30a0, 0x1c111ea7,   // da.de.un_220 rw.eu.pl_532  uz.ms.az_322 ms.ro.id_532 
  0x0c060807, 0x09302905, 0x0e020fa9, 0x08070a05,   // no.de.sv_432 sl.uz.pl_333  lv.da.is_544 mk.bg.uk_333 
  // [05f0]
  0x0000561c, 0x53252007, 0x03063fa4, 0x170a0704,   // mg.un.un_800 sq.eu.ht_432  af.de.nl_433 bg.mk.sr_332 
  0x09000e04, 0x04002d08, 0x09001c08, 0x09000307,   // is.pl.un_320 sk.fi.un_430  mr.hi.un_430 nl.pl.un_420 
  0x083511a0, 0x06050111, 0x21001202, 0x29000d07,   // ro.tg.uk_322 en.fr.de_653  ur.fa.un_220 cs.sl.un_420 
  0x27001f0d, 0x1300091b, 0x0f001021, 0x00000d01,   // cy.gd.un_540 hi.bh.un_770  lt.lv.un_860 ne.un.un_200 
  // [0600]
  0x1f05010c, 0x170407a4, 0x071735a0, 0x110504ee,   // en.fr.cy_543 bg.ru.sr_433  tg.sr.bg_322 fi.fr.ro_422 
  0x00002901, 0x2b001c12, 0x01551fa7, 0x1b063f5a,   // sl.un.un_200 id.vi.un_640  cy.rw.en_532 af.de.tr_553 
  0x12006402, 0x17040804, 0x080407ee, 0x3700210c,   // lg.hu.un_220 uk.ru.sr_332  bg.ru.uk_422 jw.st.un_530 
  0x2b001c0c, 0x28211fa7, 0x0c080e0c, 0x19000b08,   // id.vi.un_530 cy.jw.sw_532  is.no.sv_543 es.gl.un_430 
  // [0610]
  0x0000550a, 0x08000c0d, 0x3709550b, 0x32171602,   // rw.un.un_500 sv.no.un_540  rw.pl.st_542 hr.sr.bs_222 
  0x043507a4, 0x03001f07, 0x21000504, 0x281129af,   // bg.tg.ru_433 cy.nl.un_420  fr.jw.un_320 sl.ro.sw_655 
  0x730955a9, 0x302a31ee, 0x122a0405, 0x2f002119,   // rw.pl.ny_544 az.mt.uz_422  fi.mt.hu_333 jw.su.un_750 
  0x73201113, 0x095525a4, 0x302d0d0d, 0x1c000d18,   // ro.sq.ny_665 eu.rw.pl_433  cs.sk.uz_554 ne.mr.un_740 
  // [0620]
  0x106e06a4, 0x64007319, 0x11553d07, 0x23003022,   // de.hmn.lt_433 ny.lg.un_750  ku.rw.ro_432 uz.ky.un_870 
  0x64287307, 0x12182112, 0x00006b03, 0x321611a0,   // ny.sw.lg_432 fa.ar.ur_654  ceb.un.un_300 ro.hr.bs_322 
  0x55000b04, 0x18002113, 0x0a111108, 0x2a00180d,   // es.rw.un_320 fa.ar.un_650  ro.ro.mk_443 ga.mt.un_540 
  0x13122aa4, 0x30041707, 0x2d1f2708, 0x44071107,   // mt.hu.et_433 sr.ru.uz_432  gd.cy.sk_443 ro.bg.kk_432 
  // [0630]
  0x231e1c0c, 0x23303555, 0x0e1a6b08, 0x1c2f210d,   // id.ms.ca_543 tg.uz.ky_442  ceb.tl.is_443 jw.su.id_554 
  0x19000b09, 0x23003008, 0x1f00270d, 0x17070407,   // es.gl.un_440 uz.ky.un_430  gd.cy.un_540 ru.bg.sr_432 
  0x017355a0, 0x120156a0, 0x3217120e, 0x2d000d1a,   // rw.ny.en_322 mg.en.hu_322  hu.sr.bs_555 cs.sk.un_760 
  0x095511ee, 0x12000e04, 0x041030a4, 0x04080704,   // ro.rw.pl_422 is.hu.un_320  uz.be.ru_433 bg.uk.ru_332 
  // [0640]
  0x00001e06, 0x2a002304, 0x2d003005, 0x73642811,   // ms.un.un_400 ca.mt.un_320  uz.sk.un_330 sw.lg.ny_653 
  0x31301a07, 0x012d0d0e, 0x73551108, 0x190b0a04,   // tl.uz.az_432 cs.sk.en_555  ro.rw.ny_443 pt.es.gl_332 
  0x07041107, 0x307355ad, 0x11645508, 0x300c07a0,   // ro.ru.bg_432 rw.ny.uz_643  rw.lg.ro_443 it.sv.uz_322 
  0x033f2707, 0x1100550e, 0x3f000307, 0x080411af,   // gd.af.nl_432 rw.ro.un_550  nl.af.un_420 ro.ru.uk_655 
  // [0650]
  0x0a040708, 0x0e04060c, 0x1b003204, 0x0e041e07,   // bg.ru.mk_443 de.fi.is_543  bs.tr.un_320 ms.fi.is_432 
  0x033f1f0c, 0x2d002913, 0x05000104, 0x08000202,   // cy.af.nl_543 sl.sk.un_650  en.fr.un_320 da.no.un_220 
  0x285664a0, 0x1c0d09a4, 0x0a3035a9, 0x17070aa4,   // lg.mg.sw_322 hi.ne.mr_433  tg.uz.mk_544 mk.bg.sr_433 
  0x31003014, 0x35070404, 0x35001011, 0x44102311,   // uz.az.un_660 ru.bg.tg_332  be.tg.un_630 ky.be.kk_653 
  // [0660]
  0x05000b02, 0x201211a0, 0x1c000d13, 0x0d1c13ee,   // es.fr.un_220 ro.hu.sq_322  ne.mr.un_650 bh.mr.ne_422 
  0x00000801, 0x07170aa4, 0x1e001c0e, 0x09000d19,   // no.un.un_200 mk.sr.bg_433  id.ms.un_550 ne.hi.un_750 
  0x6b000213, 0x306b2fa0, 0x083011a0, 0x0e020c14,   // da.ceb.un_650 su.ceb.uz_322  ro.uz.uk_322 sv.da.is_666 
  0x0b0a210c, 0x6e003f08, 0x10170a08, 0x2f006b0c,   // jw.pt.es_543 af.hmn.un_430  mk.sr.be_443 ceb.su.un_530 
  // [0670]
  0x13122a07, 0x1b561e0c, 0x17083008, 0x0000272d,   // mt.hu.et_432 ms.mg.tr_543  uz.uk.sr_443 gd.un.un_A00 
  0x3120010c, 0x6e1f1913, 0x07170a14, 0x060c0807,   // en.sq.az_543 gl.cy.hmn_665  mk.sr.bg_666 no.sv.de_432 
  0x0c00022c, 0x00000e01, 0x1200050c, 0x641873ad,   // da.sv.un_990 is.un.un_200  fr.hu.un_530 ny.ga.lg_643 
  0x2f211c0c, 0x08043502, 0x060e08a9, 0x1f0511ad,   // id.jw.su_543 tg.ru.uk_222  no.is.de_544 ro.fr.cy_643 
  // [0680]
  0x06130807, 0x0b0a19ee, 0x0c001912, 0x0c082307,   // no.et.de_432 gl.pt.es_422  gl.sv.un_640 ca.no.sv_432 
  0x190b0a05, 0x560c55a9, 0x2f6b55ec, 0x30066ead,   // pt.es.gl_333 rw.sv.mg_544  rw.ceb.su_644 hmn.de.uz_643 
  0x16002907, 0x230a19a0, 0x6e003022, 0x0a001904,   // sl.hr.un_420 gl.pt.ca_322  uz.hmn.un_870 gl.pt.un_320 
  0x01296bee, 0x552f1e0c, 0x23003021, 0x08042302,   // ceb.sl.en_422 ms.su.rw_543  uz.ky.un_860 ky.ru.uk_222 
  // [0690]
  0x313d1bad, 0x00003f1c, 0x3216290e, 0x3000080c,   // tr.ku.az_643 af.un.un_800  sl.hr.bs_555 uk.uz.un_530 
  0x0e020c13, 0x03000504, 0x21002f07, 0x1e002f09,   // sv.da.is_665 fr.nl.un_320  su.jw.un_420 su.ms.un_440 
  0x736b01a0, 0x3d255609, 0x12001902, 0x080410a0,   // en.ceb.ny_322 mg.eu.ku_444  gl.hu.un_220 be.ru.uk_322 
  0x190a31ee, 0x6b276e0c, 0x1e1c1fa9, 0x2d0d1909,   // az.pt.gl_422 hmn.gd.ceb_543  cy.id.ms_544 gl.cs.sk_444 
  // [06a0]
  0x2f002304, 0x55251c0c, 0x1b00310e, 0x17001013,   // ca.su.un_320 id.eu.rw_543  az.tr.un_550 be.sr.un_650 
  0x323120a9, 0x0b002304, 0x04001313, 0x1200180e,   // sq.az.bs_544 ca.es.un_320  et.fi.un_650 ar.ur.un_550 
  0x2f001c0d, 0x1e7330a4, 0x1200050d, 0x21181213,   // id.su.un_540 uz.ny.ms_433  fr.hu.un_540 ur.ar.fa_665 
  0x033f050c, 0x53132aee, 0x09061fa6, 0x07100413,   // fr.af.nl_543 mt.et.ht_422  cy.de.pl_521 ru.be.bg_665 
  // [06b0]
  0x0e003002, 0x1b1e1c05, 0x1e001b08, 0x0410080c,   // uz.is.un_220 id.ms.tr_333  tr.ms.un_430 uk.be.ru_543 
  0x31006b02, 0x10250404, 0x00000e24, 0x106b37ad,   // ceb.az.un_220 fi.eu.lt_332  is.un.un_900 st.ceb.lt_643 
  0x1b00060d, 0x25730ea4, 0x08000413, 0x131b31b3,   // de.tr.un_540 is.ny.eu_433  ru.uk.un_650 az.tr.et_743 
  0x1200211b, 0x55006418, 0x070a04ee, 0x19000d13,   // fa.ur.un_770 lg.rw.un_740  ru.mk.bg_422 cs.gl.un_650 
  // [06c0]
  0x56281807, 0x640c37a0, 0x28005607, 0x73002821,   // ga.sw.mg_432 st.sv.lg_322  mg.sw.un_420 sw.ny.un_860 
  0x322d0d08, 0x09000707, 0x281356a0, 0x01000607,   // cs.sk.bs_443 it.pl.un_420  mg.et.sw_322 de.en.un_420 
  0x1b310608, 0x13001c09, 0x182f28a7, 0x73643005,   // de.az.tr_443 mr.bh.un_440  sw.su.ga_532 uz.lg.ny_333 
  0x2b002f04, 0x0c005604, 0x13000607, 0x2b2718a0,   // su.vi.un_320 mg.sv.un_320  de.et.un_420 ga.gd.vi_322 
  // [06d0]
  0x0000311c, 0x10070812, 0x07000411, 0x29092da4,   // az.un.un_800 uk.bg.be_654  ru.bg.un_630 sk.pl.sl_433 
  0x043035a0, 0x080a17ad, 0x13000422, 0x2f1c2104,   // tg.uz.ru_322 sr.mk.uk_643  fi.et.un_870 jw.id.su_332 
  0x170a560c, 0x32000d0d, 0x28001a13, 0x06003113,   // mg.pt.sr_543 cs.bs.un_540  tl.sw.un_650 az.de.un_650 
  0x11000707, 0x10000804, 0x0d320ba0, 0x00005315,   // it.ro.un_420 uk.be.un_320  es.bs.cs_322 ht.un.un_700 
  // [06e0]
  0x16002908, 0x19052107, 0x440810a0, 0x08021b0c,   // sl.hr.un_430 jw.fr.gl_432  be.uk.kk_322 tr.da.no_543 
  0x00001a0a, 0x17272307, 0x2100050c, 0x0207080c,   // tl.un.un_500 ca.gd.sr_432  fr.jw.un_530 no.it.da_543 
  0x180556a0, 0x21292004, 0x13000d09, 0x0311085a,   // mg.fr.ga_322 sq.sl.jw_332  ne.bh.un_440 no.ro.nl_553 
  0x2f0d0508, 0x01732008, 0x0a080408, 0x3d02080c,   // fr.cs.su_443 sq.ny.en_443  ru.uk.mk_443 no.da.ku_543 
  // [06f0]
  0x11000702, 0x160802a4, 0x73002813, 0x0703080c,   // it.ro.un_220 da.no.hr_433  sw.ny.un_650 no.nl.it_543 
  0x1a00562b, 0x370a5305, 0x1600290b, 0x6408020d,   // mg.tl.un_980 ht.pt.st_333  sl.hr.un_520 da.no.lg_554 
  0x20293d12, 0x022f55ac, 0x32000d04, 0x30234413,   // ku.sl.sq_654 rw.su.da_632  cs.bs.un_320 kk.ky.uz_665 
  0x0207110c, 0x1f1729ee, 0x060e3f55, 0x092d0d60,   // ro.it.da_543 sl.sr.cy_422  af.is.de_442 cs.sk.pl_664 
  // [0700]
  0x0723440b, 0x08041002, 0x53063f02, 0x07043005,   // kk.ky.bg_542 be.ru.uk_222  af.de.ht_222 uz.ru.bg_333 
  0x321716a9, 0x7300551b, 0x043035ec, 0x29005313,   // hr.sr.bs_544 rw.ny.un_770  tg.uz.ru_644 ht.sl.un_650 
  0x19001102, 0x08020714, 0x3f001e0d, 0x12190b08,   // ro.gl.un_220 it.da.no_666  ms.af.un_540 es.gl.hu_443 
  0x55007308, 0x080c0e07, 0x2d0d01a4, 0x1800120c,   // ny.rw.un_430 is.sv.no_432  en.cs.sk_433 ur.ar.un_530 
  // [0710]
  0x1c002a07, 0x080255ec, 0x5600251a, 0x190d0aee,   // mt.id.un_420 rw.da.no_644  eu.mg.un_760 pt.cs.gl_422 
  0x0607080c, 0x07080a08, 0x0a171113, 0x1107530c,   // no.it.de_543 mk.uk.bg_443  ro.sr.mk_665 ht.it.ro_543 
  0x1b003123, 0x10040855, 0x19050b07, 0x21112fa0,   // az.tr.un_880 uk.ru.be_442  es.fr.gl_432 su.ro.jw_322 
  0x0600300c, 0x08001f07, 0x1c001e34, 0x06000111,   // uz.de.un_530 cy.no.un_420  ms.id.un_A80 en.de.un_630 
  // [0720]
  0x212f1c12, 0x2b27010c, 0x163010ee, 0x6428550b,   // id.su.jw_654 en.gd.vi_543  lt.uz.hr_422 rw.sw.lg_542 
  0x1c2f1e08, 0x2b641ca4, 0x0700100c, 0x0000731c,   // ms.su.id_443 id.lg.vi_433  be.bg.un_530 ny.un.un_800 
  0x56090d0c, 0x06000113, 0x4404350d, 0x2d0d09a4,   // cs.pl.mg_543 en.de.un_650  tg.ru.kk_554 pl.cs.sk_433 
  0x08001712, 0x1c00090c, 0x13090da9, 0x0d00090e,   // sr.uk.un_640 hi.mr.un_530  ne.hi.bh_544 hi.ne.un_550 
  // [0730]
  0x1e001c1b, 0x281603a0, 0x110604a7, 0x3f0b01ad,   // id.ms.un_770 nl.hr.sw_322  fi.de.ro_532 en.es.af_643 
  0x050d2107, 0x112009ee, 0x0b0a37ee, 0x06033f08,   // jw.cs.fr_432 pl.sq.ro_422  st.pt.es_422 af.nl.de_443 
  0x31203002, 0x1300200c, 0x06000107, 0x05001302,   // uz.sq.az_222 sq.et.un_530  en.de.un_420 et.fr.un_220 
  0x12182113, 0x2d090d07, 0x04083005, 0x12190b13,   // fa.ar.ur_665 cs.pl.sk_432  uz.uk.ru_333 es.gl.hu_665 
  // [0740]
  0x18001213, 0x0c00131b, 0x05001905, 0x2b1801a6,   // ur.ar.un_650 et.sv.un_770  gl.fr.un_330 en.ga.vi_521 
  0x0a04110c, 0x1600290e, 0x122005a4, 0x04000c07,   // ro.ru.mk_543 sl.hr.un_550  fr.sq.hu_433 sv.fi.un_420 
  0x1a080a12, 0x31001b22, 0x06000108, 0x06000c12,   // pt.no.tl_654 tr.az.un_870  en.de.un_430 sv.de.un_640 
  0x73002108, 0x11000104, 0x1b0608a0, 0x233035ec,   // jw.ny.un_430 en.ro.un_320  no.de.tr_322 tg.uz.ky_644 
  // [0750]
  0x00000c1c, 0x06080208, 0x25001804, 0x251f0504,   // sv.un.un_800 da.no.de_443  ga.eu.un_320 fr.cy.eu_332 
  0x071012a9, 0x202f2109, 0x21042bee, 0x1e2f1c0c,   // hu.lt.it_544 jw.su.sq_444  vi.fi.jw_422 id.su.ms_543 
  0x250418ad, 0x2f046b04, 0x09001c0d, 0x292d03ec,   // ga.fi.eu_643 ceb.fi.su_332  mr.hi.un_540 nl.sk.sl_644 
  0x04060c67, 0x3f00061b, 0x32000108, 0x2b000a04,   // sv.de.fi_775 de.af.un_770  en.bs.un_430 pt.vi.un_320 
  // [0760]
  0x04060c0c, 0x31001b0e, 0x030c08ee, 0x08200cad,   // sv.de.fi_543 tr.az.un_550  no.sv.nl_422 sv.sq.no_643 
  0x182b0a05, 0x53000604, 0x04130c55, 0x2d190b07,   // pt.vi.ga_333 de.ht.un_320  sv.et.fi_442 es.gl.sk_432 
  0x07012dee, 0x08001014, 0x1900050e, 0x00000803,   // sk.en.it_422 be.uk.un_660  fr.gl.un_550 no.un.un_300 
  0x215564a0, 0x0c00080c, 0x18190b09, 0x1a00040d,   // lg.rw.jw_322 no.sv.un_530  es.gl.ga_444 fi.tl.un_540 
  // [0770]
  0x13060c0c, 0x1b645504, 0x2b006e2a, 0x0d1c1355,   // sv.de.et_543 rw.lg.tr_332  hmn.vi.un_970 bh.mr.ne_442 
  0x070e08ee, 0x21001c13, 0x2d0d12a4, 0x0a1711ec,   // no.is.it_422 id.jw.un_650  hu.cs.sk_433 ro.sr.mk_644 
  0x0f0437a4, 0x3f02040c, 0x322b04ee, 0x08002b13,   // st.fi.lv_433 fi.da.af_543  fi.vi.bs_422 vi.no.un_650 
  0x5600552c, 0x6b040aee, 0x30272bad, 0x0c0802ac,   // rw.mg.un_990 pt.fi.ceb_422  vi.gd.uz_643 da.no.sv_632 
  // [0780]
  0x0f002507, 0x1a000a02, 0x6b190a11, 0x2a00531b,   // eu.lv.un_420 pt.tl.un_220  pt.gl.ceb_653 ht.mt.un_770 
  0x18002104, 0x1b003119, 0x190b18ee, 0x0408170e,   // jw.ga.un_320 az.tr.un_750  ga.es.gl_422 sr.uk.ru_555 
  0x1308180c, 0x0e0a0107, 0x00003d1c, 0x0802050e,   // ga.no.et_543 en.pt.is_432  ku.un.un_800 fr.da.no_555 
  0x0400071b, 0x17161a0c, 0x00002024, 0x040817af,   // bg.ru.un_770 tl.hr.sr_543  sq.un.un_900 sr.uk.ru_655 
  // [0790]
  0x09001307, 0x0b230107, 0x00001b24, 0x026408af,   // bh.hi.un_420 en.ca.es_432  tr.un.un_900 no.lg.da_655 
  0x6b120e05, 0x04072308, 0x0d13090d, 0x2000640c,   // is.hu.ceb_333 ky.bg.ru_443  hi.bh.ne_554 lg.sq.un_530 
  0x06002013, 0x18000708, 0x21002f1b, 0x0f001b05,   // sq.de.un_650 it.ga.un_430  su.jw.un_770 tr.lv.un_330 
  0x21002f0c, 0x20002d1a, 0x212f1e07, 0x01006e02,   // su.jw.un_530 sk.sq.un_760  ms.su.jw_432 hmn.en.un_220 
  // [07a0]
  0x080213a0, 0x12003f04, 0x1230640c, 0x2d6413a4,   // et.da.no_322 af.hu.un_320  lg.uz.hu_543 et.lg.sk_433 
  0x17070a07, 0x1000041b, 0x2b173d04, 0x212d0d55,   // mk.bg.sr_432 ru.be.un_770  ku.sr.vi_332 cs.sk.jw_442 
  0x1f252f0b, 0x2300190d, 0x2d13100c, 0x103064a4,   // su.eu.cy_542 gl.ca.un_540  lt.et.sk_543 lg.uz.lt_433 
  0x2d006e07, 0x6e212b05, 0x04000a13, 0x1b20180c,   // hmn.sk.un_420 vi.jw.hmn_333  mk.ru.un_650 ga.sq.tr_543 
  // [07b0]
  0x28060b04, 0x301c2fee, 0x1f000309, 0x06121bad,   // es.de.sw_332 su.id.uz_422  nl.cy.un_440 tr.hu.de_643 
  0x011a6ba0, 0x3100190d, 0x351008a9, 0x13001a04,   // ceb.tl.en_322 gl.az.un_540  uk.be.tg_544 tl.et.un_320 
  0x3d003721, 0x040810ee, 0x200f29a4, 0x2d001014,   // st.ku.un_860 be.uk.ru_422  sl.lv.sq_433 lt.sk.un_660 
  0x25002102, 0x0d0913af, 0x04353007, 0x2d0d1bee,   // jw.eu.un_220 bh.hi.ne_655  uz.tg.ru_432 tr.cs.sk_422 
  // [07c0]
  0x01200da6, 0x1f2519a9, 0x2000080d, 0x131b2008,   // cs.sq.en_521 gl.eu.cy_544  no.sq.un_540 sq.tr.et_443 
  0x02000a19, 0x12002f0d, 0x303d3112, 0x321617ee,   // pt.da.un_750 su.hu.un_540  az.ku.uz_654 sr.hr.bs_422 
  0x290f2d04, 0x2f213da7, 0x12000a0c, 0x1821120c,   // sk.lv.sl_332 ku.jw.su_532  pt.hu.un_530 ur.fa.ar_543 
  0x0d00091b, 0x29321605, 0x28131aa6, 0x1800120d,   // hi.ne.un_770 hr.bs.sl_333  tl.et.sw_521 ur.ar.un_540 
  // [07d0]
  0x043508ee, 0x29321704, 0x0a3011a7, 0x2900170c,   // uk.tg.ru_422 sr.bs.sl_332  ro.uz.mk_532 sr.sl.un_530 
  0x0523010c, 0x1c000909, 0x1a080ea0, 0x0000370f,   // en.ca.fr_543 hi.mr.un_440  is.no.tl_322 st.un.un_600 
  0x233004a7, 0x170a0712, 0x06110107, 0x200d2dac,   // ru.uz.ky_532 bg.mk.sr_654  en.ro.de_432 sk.cs.sq_632 
  0x73090660, 0x296b1a08, 0x0a100708, 0x10001111,   // de.pl.ny_664 tl.ceb.sl_443  bg.be.mk_443 ro.be.un_630 
  // [07e0]
  0x0e301302, 0x23004408, 0x25050704, 0x0f080ea0,   // et.uz.is_222 kk.ky.un_430  it.fr.eu_332 is.no.lv_322 
  0x24000113, 0x2d001914, 0x04006b05, 0x05190b0e,   // iw.yi.un_650 gl.sk.un_660  ceb.fi.un_330 es.gl.fr_555 
  0x28011802, 0x05000e22, 0x352307a0, 0x01003708,   // ga.en.sw_222 is.fr.un_870  bg.ky.tg_322 st.en.un_430 
  0x64301007, 0x0800200e, 0x21292da0, 0x1a000c04,   // lt.uz.lg_432 sq.no.un_550  sk.sl.jw_322 sv.tl.un_320 
  // [07f0]
  0x182027a4, 0x190b2dee, 0x02001a07, 0x2a006b07,   // gd.sq.ga_433 sk.es.gl_422  tl.da.un_420 ceb.mt.un_420 
  0x10000812, 0x00002424, 0x29000909, 0x10120f07,   // uk.be.un_640 yi.un.un_900  pl.sl.un_440 lv.hu.lt_432 
  0x07080e0b, 0x35003022, 0x1b003114, 0x32230e07,   // is.no.it_542 uz.tg.un_870  az.tr.un_660 is.ca.bs_432 
  0x00001a06, 0x640f3002, 0x2a6b1aaf, 0x05533013,   // tl.un.un_400 uz.lv.lg_222  tl.ceb.mt_655 uz.ht.fr_665 
  
  // [0800]
  0x12002f04, 0x0e000c0e, 0x30001112, 0x0f001005,   // su.hu.un_320 sv.is.un_550  ro.uz.un_640 lt.lv.un_330 
  0x070a170e, 0x6b0c6e0c, 0x292d1204, 0x23001018,   // sr.mk.bg_555 hmn.sv.ceb_543  hu.sk.sl_332 be.ky.un_740 
  0x12001105, 0x27007304, 0x30272004, 0x0408300c,   // ro.hu.un_330 ny.gd.un_320  sq.gd.uz_332 uz.uk.ru_543 
  0x073523a4, 0x20100fa6, 0x11113514, 0x0c1e1304,   // ky.tg.bg_433 lv.lt.sq_521  tg.ro.ro_666 et.ms.sv_332 
  // [0810]
  0x1000040c, 0x0f160da0, 0x011f12a7, 0x17002904,   // ru.be.un_530 cs.hr.lv_322  hu.cy.en_532 sl.sr.un_320 
  0x05002107, 0x533020ad, 0x21181208, 0x00002137,   // jw.fr.un_420 sq.uz.ht_643  ur.ar.fa_443 fa.un.un_B00 
  0x29080202, 0x08101107, 0x17301105, 0x0a00171b,   // da.no.sl_222 ro.be.uk_432  ro.uz.sr_333 sr.mk.un_770 
  0x03001607, 0x170a10a4, 0x04071007, 0x09110d12,   // hr.nl.un_420 be.mk.sr_433  be.bg.ru_432 cs.ro.pl_654 
  // [0820]
  0x03291208, 0x0a0730ee, 0x0a102507, 0x17080204,   // hu.sl.nl_443 uz.bg.mk_422  eu.lt.pt_432 da.no.sr_332 
  0x1b00311b, 0x030208ec, 0x1f080e04, 0x09001302,   // az.tr.un_770 no.da.nl_644  is.no.cy_332 bh.hi.un_220 
  0x2f18050c, 0x0c1b0e05, 0x1300020e, 0x30311bee,   // fr.ga.su_543 is.tr.sv_333  da.et.un_550 tr.az.uz_422 
  0x0000122d, 0x1b313712, 0x4400100c, 0x1f08530c,   // ur.un.un_A00 st.az.tr_654  be.kk.un_530 ht.no.cy_543 
  // [0830]
  0x2b00270c, 0x041c1e12, 0x29110f07, 0x072a11af,   // gd.vi.un_530 ms.id.fi_654  lv.ro.sl_432 ro.mt.it_655 
  0x0a070412, 0x10001f07, 0x10001e05, 0x0430350c,   // ru.bg.mk_654 cy.lt.un_420  ms.lt.un_330 tg.uz.ru_543 
  0x0d000914, 0x04000718, 0x3f002704, 0x1c0913a7,   // hi.ne.un_660 bg.ru.un_740  gd.af.un_320 bh.hi.mr_532 
  0x063f0304, 0x1b373108, 0x3f0e06a4, 0x23050107,   // nl.af.de_332 az.st.tr_443  de.is.af_433 en.fr.ca_432 
  // [0840]
  0x170a3507, 0x081017ee, 0x443023a4, 0x17000a1a,   // tg.mk.sr_432 sr.be.uk_422  ky.uz.kk_433 mk.sr.un_760 
  0x00000c03, 0x0704100c, 0x08070405, 0x01203fa0,   // sv.un.un_300 be.ru.bg_543  ru.bg.uk_333 af.sq.en_322 
  0x311b30a9, 0x080417a4, 0x35070a0d, 0x1104070c,   // uz.tr.az_544 sr.ru.uk_433  mk.bg.tg_554 bg.ru.ro_543 
  0x0000370a, 0x080717a9, 0x212701ee, 0x05002012,   // st.un.un_500 sr.bg.uk_544  en.gd.jw_422 sq.fr.un_640 
  // [0850]
  0x13080ca0, 0x2a00072a, 0x2000051a, 0x28002018,   // sv.no.et_322 it.mt.un_970  fr.sq.un_760 sq.sw.un_740 
  0x1b001319, 0x09001213, 0x37002a04, 0x1a0c290d,   // et.tr.un_750 hu.pl.un_650  mt.st.un_320 sl.sv.tl_554 
  0x2100050e, 0x1000730c, 0x27001e07, 0x2f001c02,   // fr.jw.un_550 ny.lt.un_530  ms.gd.un_420 id.su.un_220 
  0x040810a4, 0x08212008, 0x1c301fa4, 0x1e001c09,   // be.uk.ru_433 sq.jw.no_443  cy.uz.id_433 id.ms.un_440 
  // [0860]
  0x2300251a, 0x0f000519, 0x73371108, 0x53003f0c,   // eu.ca.un_760 fr.lv.un_750  ro.st.ny_443 af.ht.un_530 
  0x00001606, 0x09000d02, 0x0830350c, 0x04301fa7,   // hr.un.un_400 ne.hi.un_220  tg.uz.uk_543 cy.uz.fi_532 
  0x1073280c, 0x1e282a04, 0x32002007, 0x21001222,   // sw.ny.lt_543 mt.sw.ms_332  sq.bs.un_420 ur.fa.un_870 
  0x550410ad, 0x0000281c, 0x301021a4, 0x12006407,   // lt.fi.rw_643 sw.un.un_800  jw.lt.uz_433 lg.hu.un_420 
  // [0870]
  0x1e001c04, 0x03202d07, 0x0a001f0d, 0x01026ba0,   // id.ms.un_320 sk.sq.nl_432  cy.pt.un_540 ceb.da.en_322 
  0x1a271860, 0x0c00121a, 0x00003f0f, 0x1c212fa9,   // ga.gd.tl_664 hu.sv.un_760  af.un.un_600 su.jw.id_544 
  0x31121ca0, 0x30043507, 0x31001912, 0x112d0d0d,   // id.hu.az_322 tg.ru.uz_432  gl.az.un_640 cs.sk.ro_554 
  0x23071104, 0x06002507, 0x121b31ad, 0x011e2107,   // ro.it.ca_332 eu.de.un_420  az.tr.hu_643 jw.ms.en_432 
  // [0880]
  0x06006b08, 0x12001818, 0x28002014, 0x56000507,   // ceb.de.un_430 ar.ur.un_740  sq.sw.un_660 fr.mg.un_420 
  0x536b1a07, 0x040723a0, 0x0000171c, 0x08001e05,   // tl.ceb.ht_432 ca.it.fi_322  sr.un.un_800 ms.no.un_330 
  0x302d0d55, 0x04072304, 0x07000a13, 0x30101255,   // cs.sk.uz_442 ky.bg.ru_332  mk.bg.un_650 hu.lt.uz_442 
  0x13000d14, 0x304404ec, 0x35300aa9, 0x04001321,   // ne.bh.un_660 ru.kk.uz_644  mk.uz.tg_544 et.fi.un_860 
  // [0890]
  0x071004a4, 0x21002f02, 0x08000a02, 0x1f0705a7,   // fi.lt.it_433 su.jw.un_220  mk.uk.un_220 fr.it.cy_532 
  0x0f090da4, 0x233704a0, 0x23353004, 0x112d0d12,   // cs.pl.lv_433 fi.st.ca_322  uz.tg.ky_332 cs.sk.ro_654 
  0x233011ac, 0x32052302, 0x2b000d04, 0x19231807,   // ro.uz.ky_632 ca.fr.bs_222  cs.vi.un_320 ga.ca.gl_432 
  0x1f001a04, 0x09007308, 0x25230b02, 0x3000230e,   // tl.cy.un_320 ny.pl.un_430  es.ca.eu_222 ky.uz.un_550 
  // [08a0]
  0x12002d09, 0x21001c04, 0x01002907, 0x03003f02,   // sk.hu.un_440 id.jw.un_320  sl.en.un_420 af.nl.un_220 
  0x080423a6, 0x44002314, 0x30041004, 0x040a17a4,   // ky.ru.uk_521 ky.kk.un_660  be.ru.uz_332 sr.mk.ru_433 
  0x01003f04, 0x1c00091b, 0x120519a6, 0x10000814,   // af.en.un_320 hi.mr.un_770  gl.fr.hu_521 uk.be.un_660 
  0x3000231a, 0x2300441b, 0x04000c0b, 0x08001009,   // ky.uz.un_760 kk.ky.un_770  sv.fi.un_520 be.uk.un_440 
  // [08b0]
  0x00003f03, 0x321716af, 0x0b000a02, 0x0d00090d,   // af.un.un_300 hr.sr.bs_655  pt.es.un_220 hi.ne.un_540 
  0x13090d0e, 0x0c000412, 0x00001203, 0x321723a0,   // ne.hi.bh_555 fi.sv.un_640  ur.un.un_300 ca.sr.bs_322 
  0x04000709, 0x202a55ad, 0x3000350d, 0x02000813,   // bg.ru.un_440 rw.mt.sq_643  tg.uz.un_540 no.da.un_650 
  0x20001904, 0x0a001714, 0x231044a4, 0x640f3fa0,   // gl.sq.un_320 sr.mk.un_660  kk.be.ky_433 af.lv.lg_322 
  // [08c0]
  0x0400300d, 0x2a30310c, 0x080c0212, 0x03060cee,   // uz.ru.un_540 az.uz.mt_543  da.sv.no_654 sv.de.nl_422 
  0x642006a0, 0x04070a55, 0x1c0d090c, 0x300423a0,   // de.sq.lg_322 mk.bg.ru_442  hi.ne.mr_543 ky.ru.uz_322 
  0x2a000721, 0x2a0f0714, 0x0e001307, 0x182112a9,   // it.mt.un_860 it.lv.mt_666  et.is.un_420 ur.fa.ar_544 
  0x04000612, 0x64301b12, 0x0a11170c, 0x6b005509,   // de.fi.un_640 tr.uz.lg_654  sr.ro.mk_543 rw.ceb.un_440 
  // [08d0]
  0x2d060402, 0x08040704, 0x09001c14, 0x32177309,   // fi.de.sk_222 bg.ru.uk_332  mr.hi.un_660 ny.sr.bs_444 
  0x06003704, 0x04033f5a, 0x043035ad, 0x2d000d23,   // st.de.un_320 af.nl.fi_553  tg.uz.ru_643 cs.sk.un_880 
  0x53562fad, 0x06040c07, 0x3f0304a4, 0x280973ad,   // su.mg.ht_643 sv.fi.de_432  fi.nl.af_433 ny.pl.sw_643 
  0x2800550d, 0x09000d0d, 0x100804a4, 0x0e0d2d12,   // rw.sw.un_540 ne.hi.un_540  ru.uk.be_433 sk.cs.is_654 
  // [08e0]
  0x64042507, 0x13091ca9, 0x083f2504, 0x17321604,   // eu.fi.lg_432 mr.hi.bh_544  eu.af.no_332 hr.bs.sr_332 
  0x070a11a0, 0x04006402, 0x03041304, 0x2d0d2baf,   // ro.mk.bg_322 lg.fi.un_220  et.fi.nl_332 vi.cs.sk_655 
  0x350a17a4, 0x1c303107, 0x092a2811, 0x3f2564ec,   // sr.mk.tg_433 az.uz.id_432  sw.mt.pl_653 lg.eu.af_644 
  0x532112ee, 0x20000409, 0x1b002819, 0x081004af,   // hu.jw.ht_422 fi.sq.un_440  sw.tr.un_750 ru.be.uk_655 
  // [08f0]
  0x1008040c, 0x1c0d13a0, 0x283f640c, 0x08000a13,   // ru.uk.be_543 bh.ne.mr_322  lg.af.sw_543 mk.uk.un_650 
  0x19000b12, 0x092d0d09, 0x0c216ba6, 0x09005604,   // es.gl.un_640 cs.sk.pl_444  ceb.jw.sv_521 mg.pl.un_320 
  0x5525280c, 0x13006b04, 0x04001021, 0x3f130408,   // sw.eu.rw_543 ceb.et.un_320  be.ru.un_860 fi.et.af_443 
  0x2d000d22, 0x0c002d12, 0x040c0807, 0x2a3755a9,   // cs.sk.un_870 sk.sv.un_640  no.sv.fi_432 rw.st.mt_544 
  // [0900]
  0x09100d08, 0x18002718, 0x55002823, 0x0b231908,   // cs.lt.pl_443 gd.ga.un_740  sw.rw.un_880 gl.ca.es_443 
  0x00001024, 0x13000423, 0x0a040709, 0x64552807,   // lt.un.un_900 fi.et.un_880  bg.ru.mk_444 sw.rw.lg_432 
  0x3d001b19, 0x250604ec, 0x2f1e1ca4, 0x17163209,   // tr.ku.un_750 fi.de.eu_644  id.ms.su_433 bs.hr.sr_444 
  0x01001304, 0x103f1c05, 0x32171605, 0x042d0d08,   // et.en.un_320 id.af.lt_333  hr.sr.bs_333 cs.sk.fi_443 
  // [0910]
  0x301e1c02, 0x12045304, 0x53042012, 0x072519a0,   // id.ms.uz_222 ht.fi.hu_332  sq.fi.ht_654 gl.eu.it_322 
  0x040c1c04, 0x0c001f04, 0x2f002507, 0x20000c08,   // id.sv.fi_332 cy.sv.un_320  eu.su.un_420 sv.sq.un_430 
  0x2f03230c, 0x301708a4, 0x73551205, 0x2d0d09ee,   // ca.nl.su_543 uk.sr.uz_433  hu.rw.ny_333 pl.cs.sk_422 
  0x2900370e, 0x21001813, 0x08005602, 0x31001b1b,   // st.sl.un_550 ar.fa.un_650  mg.no.un_220 tr.az.un_770 
  // [0920]
  0x06006b04, 0x0d2d2912, 0x1b001a0d, 0x312755a0,   // ceb.de.un_320 sl.sk.cs_654  tl.tr.un_540 rw.gd.az_322 
  0x28735513, 0x170a0713, 0x11001e04, 0x73002812,   // rw.ny.sw_665 bg.mk.sr_665  ms.ro.un_320 sw.ny.un_640 
  0x042d0d13, 0x2b20110c, 0x2f3f0305, 0x285373ad,   // cs.sk.fi_665 ro.sq.vi_543  nl.af.su_333 ny.ht.sw_643 
  0x0e08020d, 0x080407ad, 0x25292fa4, 0x552873ec,   // da.no.is_554 bg.ru.uk_643  su.sl.eu_433 ny.sw.rw_644 
  // [0930]
  0x10000108, 0x1f001008, 0x7304640c, 0x29005308,   // en.lt.un_430 lt.cy.un_430  lg.fi.ny_543 ht.sl.un_430 
  0x0400081a, 0x37006b19, 0x09000e08, 0x2800730e,   // uk.ru.un_760 ceb.st.un_750  is.pl.un_430 ny.sw.un_550 
  0x00001e0f, 0x2f0f21a0, 0x13000912, 0x282b6b02,   // ms.un.un_600 jw.lv.su_322  hi.bh.un_640 ceb.vi.sw_222 
  0x25000623, 0x04000714, 0x0000302d, 0x562b010c,   // de.eu.un_880 bg.ru.un_660  uz.un.un_A00 en.vi.mg_543 
  // [0940]
  0x103037ee, 0x00000224, 0x100a0755, 0x2309290c,   // st.uz.lt_422 da.un.un_900  bg.mk.be_442 sl.pl.ca_543 
  0x300e64a0, 0x2d00730c, 0x08000c09, 0x2f217304,   // lg.is.uz_322 ny.sk.un_530  sv.no.un_440 ny.jw.su_332 
  0x01001b04, 0x091c2107, 0x07170805, 0x1f000914,   // tr.en.un_320 jw.id.pl_432  uk.sr.bg_333 pl.cy.un_660 
  0x53007304, 0x0d1c0911, 0x1f002a07, 0x732855ec,   // ny.ht.un_320 hi.mr.ne_653  mt.cy.un_420 rw.sw.ny_644 
  // [0950]
  0x53002109, 0x0a041712, 0x0b0a190e, 0x562d0d60,   // jw.ht.un_440 sr.ru.mk_654  gl.pt.es_555 cs.sk.mg_664 
  0x190b23ee, 0x1b2011a0, 0x01006402, 0x04640f04,   // ca.es.gl_422 ro.sq.tr_322  lg.en.un_220 lv.lg.fi_332 
  0x55282aa0, 0x28005509, 0x00002806, 0x04110aa4,   // mt.sw.rw_322 rw.sw.un_440  sw.un.un_400 mk.ro.ru_433 
  0x1b006409, 0x37005519, 0x31301b13, 0x190b0aa6,   // lg.tr.un_440 rw.st.un_750  tr.uz.az_665 pt.es.gl_521 
  // [0960]
  0x161a2d12, 0x30000104, 0x07350a04, 0x010d5612,   // sk.tl.hr_654 en.uz.un_320  mk.tg.bg_332 mg.cs.en_654 
  0x09000d1a, 0x08001013, 0x31301b14, 0x2b040707,   // ne.hi.un_760 be.uk.un_650  tr.uz.az_666 it.fi.vi_432 
  0x131b25a6, 0x25001a04, 0x1629250c, 0x1b3130ec,   // eu.tr.et_521 tl.eu.un_320  eu.sl.hr_543 uz.az.tr_644 
  0x301b08a0, 0x0100561a, 0x041310af, 0x31301b12,   // no.tr.uz_322 mg.en.un_760  lt.et.fi_655 tr.uz.az_654 
  // [0970]
  0x560d01ec, 0x0e0f2a09, 0x1b3130af, 0x1b0208a4,   // en.cs.mg_644 mt.lv.is_444  uz.az.tr_655 no.da.tr_433 
  0x25101a0c, 0x1e1c1a05, 0x252313ac, 0x7307530c,   // tl.lt.eu_543 tl.id.ms_333  et.ca.eu_632 ht.it.ny_543 
  0x0a071705, 0x31301b0c, 0x64285560, 0x0000202d,   // sr.bg.mk_333 tr.uz.az_543  rw.sw.lg_664 sq.un.un_A00 
  0x0c1a6ba4, 0x211e1c14, 0x1e1c6405, 0x04440705,   // ceb.tl.sv_433 id.ms.jw_666  lg.id.ms_333 bg.kk.ru_333 
  // [0980]
  0x13736ba4, 0x27370d11, 0x211e1c05, 0x18253004,   // ceb.ny.et_433 cs.st.gd_653  id.ms.jw_333 uz.eu.ga_332 
  0x310b30af, 0x1e1c21a4, 0x1b000104, 0x172902a7,   // uz.es.az_655 jw.id.ms_433  en.tr.un_320 da.sl.sr_532 
  0x07171155, 0x3000550c, 0x1e1c2aa9, 0x56002702,   // ro.sr.bg_442 rw.uz.un_530  mt.id.ms_544 gd.mg.un_220 
  0x2a2d6404, 0x08020ca0, 0x55003d22, 0x3f032507,   // lg.sk.mt_332 sv.da.no_322  ku.rw.un_870 eu.nl.af_432 
  // [0990]
  0x09002d0d, 0x0c00061a, 0x2f121807, 0x070444ec,   // sk.pl.un_540 de.sv.un_760  ga.hu.su_432 kk.ru.bg_644 
  0x0a3d01a4, 0x0400070d, 0x2902040c, 0x201107a9,   // en.ku.pt_433 bg.ru.un_540  fi.da.sl_543 it.ro.sq_544 
  0x311b30af, 0x27000e21, 0x05000112, 0x293216ec,   // uz.tr.az_655 is.gd.un_860  en.fr.un_640 hr.bs.sl_644 
  0x6b1b300c, 0x00005524, 0x052301af, 0x2f006b0d,   // uz.tr.ceb_543 rw.un.un_900  en.ca.fr_655 ceb.su.un_540 
  // [09a0]
  0x271a1807, 0x00001915, 0x03003f1b, 0x311b30ad,   // ga.tl.gd_432 gl.un.un_700  af.nl.un_770 uz.tr.az_643 
  0x28005508, 0x1b313012, 0x04000819, 0x5500301a,   // rw.sw.un_430 uz.az.tr_654  uk.ru.un_750 uz.rw.un_760 
  0x0200081a, 0x311b300d, 0x23111155, 0x2a002d1a,   // no.da.un_760 uz.tr.az_554  ro.ro.ky_442 sk.mt.un_760 
  0x32251b13, 0x0c080202, 0x1a011bad, 0x27051902,   // tr.eu.bs_665 da.no.sv_222  tr.en.tl_643 gl.fr.gd_222 
  // [09b0]
  0x09101fad, 0x3000312b, 0x17002d08, 0x130d1cac,   // cy.lt.pl_643 az.uz.un_980  sk.sr.un_430 mr.ne.bh_632 
  0x075501a0, 0x0d001909, 0x011b37a9, 0x211e1ca4,   // en.rw.it_322 gl.cs.un_440  st.tr.en_544 id.ms.jw_433 
  0x070a3507, 0x64730504, 0x18190a04, 0x100f2804,   // tg.mk.bg_432 fr.ny.lg_332  pt.gl.ga_332 sw.lv.lt_332 
  0x0b001b0d, 0x23000705, 0x2500170d, 0x170d0f08,   // tr.es.un_540 it.ca.un_330  sr.eu.un_540 lv.cs.sr_443 
  // [09c0]
  0x25190b60, 0x050601ec, 0x1e1c21a9, 0x6b2f1aee,   // es.gl.eu_664 en.de.fr_644  jw.id.ms_544 tl.su.ceb_422 
  0x16002d08, 0x18002807, 0x19000a02, 0x00003101,   // sk.hr.un_430 sw.ga.un_420  pt.gl.un_220 az.un.un_200 
  0x0c000e02, 0x1c112fee, 0x1b000a04, 0x190a05a6,   // is.sv.un_220 su.ro.id_422  pt.tr.un_320 fr.pt.gl_521 
  0x6b180107, 0x270118a7, 0x5618050b, 0x05190bad,   // en.ga.ceb_432 ga.en.gd_532  fr.ga.mg_542 es.gl.fr_643 
  // [09d0]
  0x190405a0, 0x2500190c, 0x0500560d, 0x0d001c0d,   // fr.fi.gl_322 gl.eu.un_530  mg.fr.un_540 mr.ne.un_540 
  0x2b0c2dee, 0x04001022, 0x17002d0d, 0x0d001c07,   // sk.sv.vi_422 be.ru.un_870  sk.sr.un_540 mr.ne.un_420 
  0x1c000d12, 0x4400230e, 0x0c002904, 0x3f066ba0,   // ne.mr.un_640 ky.kk.un_550  sl.sv.un_320 ceb.de.af_322 
  0x1218210b, 0x29022da4, 0x2b002d0c, 0x29172da4,   // fa.ar.ur_542 sk.da.sl_433  sk.vi.un_530 sk.sr.sl_433 
  // [09e0]
  0x1b00110e, 0x0c080604, 0x0d130913, 0x074430ee,   // ro.tr.un_550 de.no.sv_332  hi.bh.ne_665 uz.kk.bg_422 
  0x040708a0, 0x09000d14, 0x07001109, 0x0800041b,   // uk.bg.ru_322 ne.hi.un_660  ro.it.un_440 ru.uk.un_770 
  0x00002124, 0x44000412, 0x06012fa0, 0x13040cad,   // fa.un.un_900 ru.kk.un_640  su.en.de_322 sv.fi.et_643 
  0x0d1c090c, 0x12211813, 0x07001102, 0x09001c12,   // hi.mr.ne_543 ar.fa.ur_665  ro.it.un_220 mr.hi.un_640 
  // [09f0]
  0x07000d08, 0x07171104, 0x0f171055, 0x11230760,   // cs.it.un_430 ro.sr.bg_332  lt.sr.lv_442 it.ca.ro_664 
  0x30443512, 0x0f1001a0, 0x17040aa0, 0x32000707,   // tg.kk.uz_654 en.lt.lv_322  mk.ru.sr_322 it.bs.un_420 
  0x18302b07, 0x07000a08, 0x10080404, 0x081011a7,   // vi.uz.ga_432 mk.bg.un_430  ru.uk.be_332 ro.be.uk_532 
  0x53002108, 0x1100070e, 0x0b0c0812, 0x27006e08,   // jw.ht.un_430 bg.ro.un_550  no.sv.es_654 hmn.gd.un_430 
  // [0a00]
  0x1c006e07, 0x163037ee, 0x44001022, 0x11190b04,   // hmn.id.un_420 st.uz.hr_422  be.kk.un_870 es.gl.ro_332 
  0x2f301ca0, 0x1b07310c, 0x1a006e12, 0x0b033fa4,   // id.uz.su_322 az.it.tr_543  hmn.tl.un_640 af.nl.es_433 
  0x20002304, 0x13090daf, 0x32162aa9, 0x11000705,   // ca.sq.un_320 ne.hi.bh_655  mt.hr.bs_544 it.ro.un_330 
  0x301023a4, 0x30000307, 0x090d1c0c, 0x21002f13,   // ky.be.uz_433 nl.uz.un_420  mr.ne.hi_543 su.jw.un_650 
  // [0a10]
  0x11001114, 0x0a0717ad, 0x2d0d2f09, 0x21002f08,   // ro.ro.un_660 sr.bg.mk_643  su.cs.sk_444 su.jw.un_430 
  0x0c003f02, 0x123130a9, 0x162d29a4, 0x350830a4,   // af.sv.un_220 uz.az.hu_544  sl.sk.hr_433 uz.uk.tg_433 
  0x311b30a4, 0x0e000c08, 0x32161702, 0x0400060d,   // uz.tr.az_433 sv.is.un_430  sr.hr.bs_222 de.fi.un_540 
  0x0a250302, 0x08000e0d, 0x04061308, 0x0200080c,   // nl.eu.pt_222 is.no.un_540  et.de.fi_443 no.da.un_530 
  // [0a20]
  0x1c130955, 0x03180612, 0x19000b13, 0x1b005312,   // hi.bh.mr_442 de.ga.nl_654  es.gl.un_650 ht.tr.un_640 
  0x21001214, 0x06000c0c, 0x08044404, 0x30003522,   // ur.fa.un_660 sv.de.un_530  kk.ru.uk_332 tg.uz.un_870 
  0x303f1fee, 0x080730ee, 0x11137307, 0x170a07af,   // cy.af.uz_422 uz.bg.uk_422  ny.et.ro_432 bg.mk.sr_655 
  0x063f0ca0, 0x110501a4, 0x0b212fa7, 0x3f000c05,   // sv.af.de_322 en.fr.ro_433  su.jw.es_532 sv.af.un_330 
  // [0a30]
  0x562d0d08, 0x44002313, 0x28000405, 0x24000121,   // cs.sk.mg_443 ky.kk.un_650  fi.sw.un_330 iw.yi.un_860 
  0x1c091305, 0x53002302, 0x04003507, 0x371f010c,   // bh.hi.mr_333 ca.ht.un_220  tg.ru.un_420 en.cy.st_543 
  0x55256409, 0x2700371a, 0x130f64a0, 0x09001c20,   // lg.eu.rw_444 st.gd.un_760  lg.lv.et_322 mr.hi.un_850 
  0x063f2512, 0x04350aee, 0x3f371f55, 0x112305a4,   // eu.af.de_654 mk.tg.ru_422  cy.st.af_442 fr.ca.ro_433 
  // [0a40]
  0x08020c14, 0x552d0d13, 0x5600111b, 0x00003524,   // sv.da.no_666 cs.sk.rw_665  ro.mg.un_770 tg.un.un_900 
  0x09001319, 0x0723305a, 0x1b561f13, 0x0a190b55,   // bh.hi.un_750 uz.ky.bg_553  cy.mg.tr_665 es.gl.pt_442 
  0x3f002109, 0x0000562d, 0x1f002108, 0x20000407,   // jw.af.un_440 mg.un.un_A00  jw.cy.un_430 fi.sq.un_420 
  0x25005507, 0x06000419, 0x0b001c02, 0x2300030c,   // rw.eu.un_420 fi.de.un_750  id.es.un_220 nl.ca.un_530 
  // [0a50]
  0x13090d11, 0x73000621, 0x04000c0e, 0x312a0704,   // ne.hi.bh_653 de.ny.un_860  sv.fi.un_550 it.mt.az_332 
  0x12061fee, 0x080430a4, 0x230113ee, 0x182a01a6,   // cy.de.hu_422 uz.ru.uk_433  et.en.ca_422 en.mt.ga_521 
  0x3f00030e, 0x171008a4, 0x21001219, 0x20013fa0,   // nl.af.un_550 uk.be.sr_433  ur.fa.un_750 af.en.sq_322 
  0x21003721, 0x3f002702, 0x19000b1a, 0x0a2f105a,   // st.jw.un_860 gd.af.un_220  es.gl.un_760 lt.su.pt_553 
  // [0a60]
  0x063f0307, 0x3f0306a9, 0x16001208, 0x080a0708,   // nl.af.de_432 de.nl.af_544  hu.hr.un_430 bg.mk.uk_443 
  0x55003008, 0x11001113, 0x2300301a, 0x18122160,   // uz.rw.un_430 ro.ro.un_650  uz.ky.un_760 fa.ur.ar_664 
  0x09130d12, 0x18002719, 0x3f182008, 0x122118ac,   // ne.bh.hi_654 gd.ga.un_750  sq.ga.af_443 ar.fa.ur_632 
  0x3000200c, 0x00000e03, 0x25001120, 0x04000c21,   // sq.uz.un_530 is.un.un_300  ro.eu.un_850 sv.fi.un_860 
  // [0a70]
  0x0b0d2d0c, 0x07040813, 0x182701a4, 0x5600251b,   // sk.cs.es_543 uk.ru.bg_665  en.gd.ga_433 eu.mg.un_770 
  0x070804af, 0x18002713, 0x3f060eee, 0x25005604,   // ru.uk.bg_655 gd.ga.un_650  is.de.af_422 mg.eu.un_320 
  0x25190b02, 0x120c08a0, 0x02003f0c, 0x090d1c14,   // es.gl.eu_222 no.sv.hu_322  af.da.un_530 mr.ne.hi_666 
  0x18122111, 0x25111c12, 0x0604050c, 0x19120a07,   // fa.ur.ar_653 id.ro.eu_654  fr.fi.de_543 pt.hu.gl_432 
  // [0a80]
  0x0a172302, 0x0a0711ee, 0x11252008, 0x0f6b3707,   // ky.sr.mk_222 ro.bg.mk_422  sq.eu.ro_443 st.ceb.lv_432 
  0x170a1107, 0x25001114, 0x1e2f1c0b, 0x030137ee,   // ro.mk.sr_432 ro.eu.un_660  id.su.ms_542 st.en.nl_422 
  0x29001702, 0x042137ee, 0x08322aa9, 0x00006424,   // sr.sl.un_220 st.jw.fi_422  mt.bs.no_544 lg.un.un_900 
  0x533f0304, 0x55042812, 0x04100813, 0x18273012,   // nl.af.ht_332 sw.fi.rw_654  uk.be.ru_665 uz.gd.ga_654 
  // [0a90]
  0x73370408, 0x212f6b09, 0x2700181a, 0x2d0d08a0,   // fi.st.ny_443 ceb.su.jw_444  ga.gd.un_760 no.cs.sk_322 
  0x321e1c55, 0x2d002904, 0x1e1c7309, 0x56251155,   // id.ms.bs_442 sl.sk.un_320  ny.id.ms_444 ro.eu.mg_442 
  0x020c0804, 0x2a1801a0, 0x1800272a, 0x351711ee,   // no.sv.da_332 en.ga.mt_322  gd.ga.un_970 ro.sr.tg_422 
  0x08020702, 0x20003204, 0x1e211c04, 0x00002515,   // it.da.no_222 bs.sq.un_320  id.jw.ms_332 eu.un.un_700 
  // [0aa0]
  0x11005614, 0x190d2da6, 0x040a1713, 0x0a001722,   // mg.ro.un_660 sk.cs.gl_521  sr.mk.ru_665 sr.mk.un_870 
  0x00001124, 0x73645514, 0x20211ca0, 0x06033f04,   // ro.un.un_900 rw.lg.ny_666  id.jw.sq_322 af.nl.de_332 
  0x04000802, 0x10003521, 0x0d2f2da6, 0x25001121,   // uk.ru.un_220 tg.be.un_860  sk.su.cs_521 ro.eu.un_860 
  0x091c0d13, 0x30322dee, 0x552853a4, 0x01002f04,   // ne.mr.hi_665 sk.bs.uz_422  ht.sw.rw_433 su.en.un_320 
  // [0ab0]
  0x25001112, 0x1e001c05, 0x530b1112, 0x13090d13,   // ro.eu.un_640 id.ms.un_330  ro.es.ht_654 ne.hi.bh_665 
  0x32001702, 0x04000a08, 0x09007322, 0x53110b07,   // sr.bs.un_220 mk.ru.un_430  ny.pl.un_870 es.ro.ht_432 
  0x06001312, 0x0100240b, 0x3253550c, 0x212f370c,   // et.de.un_640 yi.iw.un_520  rw.ht.bs_543 st.su.jw_543 
  0x08270607, 0x16002905, 0x192301a4, 0x06080e07,   // de.gd.no_432 sl.hr.un_330  en.ca.gl_433 is.no.de_432 
  // [0ac0]
  0x2f1e1cee, 0x2800731a, 0x13002f12, 0x2f002121,   // id.ms.su_422 ny.sw.un_760  su.et.un_640 jw.su.un_860 
  0x73132f07, 0x28002f0e, 0x6b732f0d, 0x32290d07,   // su.et.ny_432 su.sw.un_550  su.ny.ceb_554 cs.sl.bs_432 
  0x1c1f2fad, 0x5300551a, 0x233035a9, 0x13731ca0,   // su.cy.id_643 rw.ht.un_760  tg.uz.ky_544 id.ny.et_322 
  0x170730a4, 0x07040aa0, 0x28001e08, 0x32000408,   // uz.bg.sr_433 mk.ru.bg_322  ms.sw.un_430 fi.bs.un_430 
  // [0ad0]
  0x0b005512, 0x28007323, 0x32000b04, 0x13002f05,   // rw.es.un_640 ny.sw.un_880  es.bs.un_320 su.et.un_330 
  0x4400170d, 0x05002f21, 0x6b18270d, 0x17001e04,   // sr.kk.un_540 su.fr.un_860  gd.ga.ceb_554 ms.sr.un_320 
  0x07000108, 0x00001b01, 0x190b0a02, 0x27001821,   // en.it.un_430 tr.un.un_200  pt.es.gl_222 ga.gd.un_860 
  0x53280b07, 0x0a041105, 0x556428a0, 0x0c1204ad,   // es.sw.ht_432 ro.ru.mk_333  sw.lg.rw_322 fi.hu.sv_643 
  // [0ae0]
  0x13001814, 0x35070407, 0x112953a0, 0x1a006b04,   // ga.et.un_660 ru.bg.tg_432  ht.sl.ro_322 ceb.tl.un_320 
  0x0c00061b, 0x05305607, 0x55002811, 0x27001819,   // de.sv.un_770 mg.uz.fr_432  sw.rw.un_630 ga.gd.un_750 
  0x550b530c, 0x2d562f04, 0x530b11ec, 0x29212f55,   // ht.es.rw_543 su.mg.sk_332  ro.es.ht_644 su.jw.sl_442 
  0x37212f07, 0x04071104, 0x0b115309, 0x210c03ee,   // su.jw.st_432 ro.bg.ru_332  ht.ro.es_444 nl.sv.jw_422 
  // [0af0]
  0x2d290d0e, 0x28002a0e, 0x2723180c, 0x122a20a9,   // cs.sl.sk_555 mt.sw.un_550  ga.ca.gd_543 sq.mt.hu_544 
  0x1c130902, 0x2d0d0caf, 0x1c033f07, 0x2a0d0908,   // hi.bh.mr_222 sv.cs.sk_655  af.nl.id_432 pl.cs.mt_443 
  0x3f000314, 0x3f2f0314, 0x0a30440c, 0x18190b05,   // nl.af.un_660 nl.su.af_666  kk.uz.mk_543 es.gl.ga_333 
  0x00001001, 0x213713ad, 0x04071709, 0x04062f0c,   // lt.un.un_200 et.st.jw_643  sr.bg.ru_444 su.de.fi_543 
  // [0b00]
  0x161710a6, 0x0b000a0e, 0x3f212f07, 0x00000f03,   // lt.sr.hr_521 pt.es.un_550  su.jw.af_432 lv.un.un_300 
  0x2d290d07, 0x2f033fa7, 0x3700250e, 0x37000804,   // cs.sl.sk_432 af.nl.su_532  eu.st.un_550 no.st.un_320 
  0x20302812, 0x08001309, 0x1000292a, 0x27101812,   // sw.uz.sq_654 et.no.un_440  sl.lt.un_970 ga.lt.gd_654 
  0x00000824, 0x08041104, 0x2800211a, 0x2d0d1905,   // no.un.un_900 ro.ru.uk_332  jw.sw.un_760 gl.cs.sk_333 
  // [0b10]
  0x0700100e, 0x211f2fa4, 0x1f00730d, 0x271813ee,   // be.bg.un_550 su.cy.jw_433  ny.cy.un_540 et.ga.gd_422 
  0x07040aa9, 0x09005504, 0x04301255, 0x2300302c,   // mk.ru.bg_544 rw.pl.un_320  hu.uz.fi_442 uz.ky.un_990 
  0x0c001121, 0x1c1f2fee, 0x1f002704, 0x1f2f21a4,   // ro.sv.un_860 su.cy.id_422  gd.cy.un_320 jw.su.cy_433 
  0x133f6ba0, 0x32171608, 0x56132f02, 0x03003f13,   // ceb.af.et_322 hr.sr.bs_443  su.et.mg_222 af.nl.un_650 
  // [0b20]
  0x09001311, 0x171629a0, 0x03003f0c, 0x536410a7,   // bh.hi.un_630 sl.hr.sr_322  af.nl.un_530 lt.lg.ht_532 
  0x1000040e, 0x06005314, 0x090d13ad, 0x1b536408,   // ru.be.un_550 ht.de.un_660  bh.ne.hi_643 lg.ht.tr_443 
  0x08022105, 0x21002804, 0x19003f0c, 0x08063007,   // jw.da.no_333 sw.jw.un_320  af.gl.un_530 uz.de.no_432 
  0x17001f07, 0x08070413, 0x561e29ee, 0x04111705,   // cy.sr.un_420 ru.bg.uk_665  sl.ms.mg_422 sr.ro.ru_333 
  // [0b30]
  0x112301a4, 0x64005521, 0x00000315, 0x0810730c,   // en.ca.ro_433 rw.lg.un_860  nl.un.un_700 ny.lt.no_543 
  0x10000414, 0x181e1c09, 0x55646ba4, 0x1b3f3107,   // ru.be.un_660 id.ms.ga_444  ceb.lg.rw_433 az.af.tr_432 
  0x30103507, 0x13080202, 0x55006408, 0x2f211eee,   // tg.be.uz_432 da.no.et_222  lg.rw.un_430 ms.jw.su_422 
  0x0d001602, 0x53641ea0, 0x130d0914, 0x2b00050c,   // hr.cs.un_220 ms.lg.ht_322  hi.ne.bh_666 fr.vi.un_530 
  // [0b40]
  0x230444a0, 0x00000203, 0x640501af, 0x32001608,   // kk.ru.ky_322 da.un.un_300  en.fr.lg_655 hr.bs.un_430 
  0x03732808, 0x12005312, 0x0a0717af, 0x2a060107,   // sw.ny.nl_443 ht.hu.un_640  sr.bg.mk_655 en.de.mt_432 
  0x08000205, 0x0700040c, 0x091c0d55, 0x1c002119,   // da.no.un_330 ru.bg.un_530  ne.mr.hi_442 jw.id.un_750 
  0x010d2d0c, 0x06002f05, 0x0e2a0708, 0x32171002,   // sk.cs.en_543 su.de.un_330  it.mt.is_443 lt.sr.bs_222 
  // [0b50]
  0x28371309, 0x0000102d, 0x0f2f08a0, 0x0f0e06a7,   // et.st.sw_444 be.un.un_A00  no.su.lv_322 de.is.lv_532 
  0x100b2112, 0x23104407, 0x21002805, 0x4400101a,   // jw.es.lt_654 kk.be.ky_432  sw.jw.un_330 be.kk.un_760 
  0x0400100d, 0x1800212a, 0x3730285a, 0x0a002b02,   // be.ru.un_540 fa.ar.un_970  sw.uz.st_553 vi.pt.un_220 
  0x64281b07, 0x30002304, 0x1b371c07, 0x10440412,   // tr.sw.lg_432 ky.uz.un_320  id.st.tr_432 ru.kk.be_654 
  // [0b60]
  0x1b3753a7, 0x30551b04, 0x0e1b2a12, 0x0e1f2a5a,   // ht.st.tr_532 tr.rw.uz_332  mt.tr.is_654 mt.cy.is_553 
  0x1c556407, 0x31071baf, 0x0a071708, 0x0d25040c,   // lg.rw.id_432 tr.it.az_655  sr.bg.mk_443 fi.eu.cs_543 
  0x17070a0d, 0x0e2a0d07, 0x0c08030b, 0x3700731a,   // mk.bg.sr_554 cs.mt.is_432  nl.no.sv_542 ny.st.un_760 
  0x090d1cec, 0x567364ad, 0x2a001f0d, 0x23190b0d,   // mr.ne.hi_644 lg.ny.mg_643  cy.mt.un_540 es.gl.ca_554 
  // [0b70]
  0x55045307, 0x1b00060e, 0x0e001814, 0x733756a0,   // ht.fi.rw_432 de.tr.un_550  ga.is.un_660 mg.st.ny_322 
  0x2f00210e, 0x02567307, 0x552873a4, 0x647337a4,   // jw.su.un_550 ny.mg.da_432  ny.sw.rw_433 st.ny.lg_433 
  0x2a001108, 0x0900130d, 0x31051104, 0x251f0107,   // ro.mt.un_430 bh.hi.un_540  ro.fr.az_332 en.cy.eu_432 
  0x1e1c1b09, 0x21281c0c, 0x1200181a, 0x06002a02,   // tr.id.ms_444 id.sw.jw_543  ar.ur.un_760 mt.de.un_220 
  // [0b80]
  0x2d0d3da4, 0x07001005, 0x130802a7, 0x55282107,   // ku.cs.sk_433 be.bg.un_330  da.no.et_532 jw.sw.rw_432 
  0x30041705, 0x190b0a14, 0x321b3155, 0x253d0612,   // sr.ru.uz_333 pt.es.gl_666  az.tr.bs_442 de.ku.eu_654 
  0x1b090d07, 0x11001602, 0x1111300c, 0x31001b07,   // cs.pl.tr_432 hr.ro.un_220  uz.ro.ro_543 tr.az.un_420 
  0x0610250c, 0x30003208, 0x1a006407, 0x1e212f04,   // eu.lt.de_543 bs.uz.un_430  lg.tl.un_420 su.jw.ms_332 
  // [0b90]
  0x2d0d1005, 0x16321704, 0x1c211ea9, 0x30170a14,   // lt.cs.sk_333 sr.bs.hr_332  ms.jw.id_544 mk.sr.uz_666 
  0x73645512, 0x050711ee, 0x1b112aaf, 0x08070a04,   // rw.lg.ny_654 ro.it.fr_422  mt.ro.tr_655 mk.bg.uk_332 
  0x2b005607, 0x1a217307, 0x081707a4, 0x64257304,   // mg.vi.un_420 ny.jw.tl_432  bg.sr.uk_433 ny.eu.lg_332 
  0x00000f2d, 0x081111a4, 0x56372908, 0x133d5655,   // lv.un.un_A00 ro.ro.uk_433  sl.st.mg_443 mg.ku.et_442 
  // [0ba0]
  0x212355ee, 0x566455a4, 0x30170a0c, 0x09001c0c,   // rw.ca.jw_422 rw.lg.mg_433  mk.sr.uz_543 mr.hi.un_530 
  0x0a170409, 0x0f2f1308, 0x0a071107, 0x270556a0,   // ru.sr.mk_444 et.su.lv_443  ro.bg.mk_432 mg.fr.gd_322 
  0x0a072307, 0x1100010d, 0x28556407, 0x55002813,   // ky.bg.mk_432 en.ro.un_540  lg.rw.sw_432 sw.rw.un_650 
  0x17353055, 0x0000170a, 0x17000a0c, 0x27111302,   // uz.tg.sr_442 sr.un.un_500  mk.sr.un_530 et.ro.gd_222 
  // [0bb0]
  0x170a3555, 0x07041108, 0x16102908, 0x052d0d04,   // tg.mk.sr_442 ro.ru.bg_443  sl.lt.hr_443 cs.sk.fr_332 
  0x21001829, 0x11212f04, 0x1c091307, 0x0a07040d,   // ar.fa.un_960 su.jw.ro_332  bh.hi.mr_432 ru.bg.mk_554 
  0x01230b05, 0x1c0d0907, 0x21005505, 0x11000b05,   // es.ca.en_333 hi.ne.mr_432  rw.jw.un_330 es.ro.un_330 
  0x12001802, 0x0d005304, 0x13006b19, 0x036413ee,   // ga.hu.un_220 ht.cs.un_320  ceb.et.un_750 et.lg.nl_422 
  // [0bc0]
  0x285613a4, 0x00006b24, 0x372513af, 0x00000f24,   // et.mg.sw_433 ceb.un.un_900  et.eu.st_655 lv.un.un_900 
  0x1700080d, 0x3700081a, 0x11000518, 0x6b00641b,   // uk.sr.un_540 no.st.un_760  fr.ro.un_740 lg.ceb.un_770 
  0x6e203709, 0x08001c05, 0x64033f04, 0x1c081e07,   // st.sq.hmn_444 id.no.un_330  af.nl.lg_332 ms.no.id_432 
  0x3f03080c, 0x270e0812, 0x070a0808, 0x64005504,   // no.nl.af_543 no.is.gd_654  uk.mk.bg_443 rw.lg.un_320 
  // [0bd0]
  0x0e030604, 0x3f3d06a4, 0x1007040d, 0x1300092a,   // de.nl.is_332 de.ku.af_433  ru.bg.be_554 hi.bh.un_970 
  0x2d000308, 0x0d000923, 0x033f25a4, 0x640306a4,   // nl.sk.un_430 hi.ne.un_880  eu.af.nl_433 de.nl.lg_433 
  0x033f06ee, 0x35001012, 0x023f080c, 0x12000e0e,   // de.af.nl_422 be.tg.un_640  no.af.da_543 is.hu.un_550 
  0x0c080307, 0x30040704, 0x2d000504, 0x202837ee,   // nl.no.sv_432 bg.ru.uz_332  fr.sk.un_320 st.sw.sq_422 
  // [0be0]
  0x0c000804, 0x03286404, 0x090156ee, 0x2d0d01af,   // no.sv.un_320 lg.sw.nl_332  mg.en.pl_422 en.cs.sk_655 
  0x06002104, 0x3f03640e, 0x0706010c, 0x11070a09,   // jw.de.un_320 lg.nl.af_555  en.de.it_543 mk.bg.ro_444 
  0x041364a9, 0x3f130c02, 0x040a0713, 0x64136b07,   // lg.et.fi_544 sv.et.af_222  bg.mk.ru_665 ceb.et.lg_432 
  0x20280107, 0x0d091ca4, 0x3f060304, 0x092a06a7,   // en.sw.sq_432 mr.hi.ne_433  nl.de.af_332 de.mt.pl_532 
  // [0bf0]
  0x1c00131b, 0x00000b0a, 0x08001714, 0x06033fa4,   // bh.mr.un_770 es.un.un_500  sr.uk.un_660 af.nl.de_433 
  0x211c2f07, 0x13000908, 0x09065504, 0x02000807,   // su.id.jw_432 hi.bh.un_430  rw.de.pl_332 no.da.un_420 
  0x04081004, 0x2d0d010c, 0x1f002505, 0x303504a9,   // be.uk.ru_332 en.cs.sk_543  eu.cy.un_330 ru.tg.uz_544 
  0x00003206, 0x1000080e, 0x060c0804, 0x0c000809,   // bs.un.un_400 uk.be.un_550  no.sv.de_332 no.sv.un_440 
  
  // [0c00]
  0x07111111, 0x073530ec, 0x0d1309ad, 0x08004409,   // ro.ro.bg_653 uz.tg.bg_644  hi.bh.ne_643 kk.uk.un_440 
  0x05000108, 0x00001b1c, 0x1300091a, 0x2d0d01ec,   // en.fr.un_430 tr.un.un_800  hi.bh.un_760 en.cs.sk_644 
  0x1e1c12ee, 0x0a001004, 0x21002807, 0x18080213,   // hu.id.ms_422 be.mk.un_320  sw.jw.un_420 da.no.ga_665 
  0x3f000302, 0x23002519, 0x13060c02, 0x0400110d,   // nl.af.un_220 eu.ca.un_750  sv.de.et_222 ro.ru.un_540 
  // [0c10]
  0x040a0704, 0x3d645512, 0x080230af, 0x32641b05,   // bg.mk.ru_332 rw.lg.ku_654  uz.da.no_655 tr.lg.bs_333 
  0x1c001302, 0x1c0913a9, 0x2300301b, 0x08020c09,   // bh.mr.un_220 bh.hi.mr_544  uz.ky.un_770 sv.da.no_444 
  0x03322d07, 0x07041704, 0x08026eee, 0x10001704,   // sk.bs.nl_432 sr.ru.bg_332  hmn.da.no_422 sr.lt.un_320 
  0x17311107, 0x443530a0, 0x32003702, 0x19000a1b,   // ro.az.sr_432 uz.tg.kk_322  st.bs.un_220 pt.gl.un_770 
  // [0c20]
  0x06000e08, 0x0a1735a4, 0x642873a4, 0x04170a05,   // is.de.un_430 tg.sr.mk_433  ny.sw.lg_433 mk.sr.ru_333 
  0x19230b07, 0x64005514, 0x060e2807, 0x07080a12,   // es.ca.gl_432 rw.lg.un_660  sw.is.de_432 mk.uk.bg_654 
  0x11003202, 0x08020caf, 0x09001902, 0x3f030c04,   // bs.ro.un_220 sv.da.no_655  gl.pl.un_220 sv.nl.af_332 
  0x1805535e, 0x6b2f2104, 0x20000104, 0x13063055,   // ht.fr.ga_652 jw.su.ceb_332  en.sq.un_320 uz.de.et_442 
  // [0c30]
  0x21001208, 0x2a00060e, 0x2100230c, 0x1f002a04,   // ur.fa.un_430 de.mt.un_550  ca.jw.un_530 mt.cy.un_320 
  0x0a170804, 0x13091c60, 0x00001a0f, 0x0300061a,   // uk.sr.mk_332 mr.hi.bh_664  tl.un.un_600 de.nl.un_760 
  0x02080e5a, 0x08000421, 0x1c000d02, 0x02000112,   // is.no.da_553 ru.uk.un_860  ne.mr.un_220 en.da.un_640 
  0x2900091a, 0x00001a15, 0x06001f22, 0x0f2a53a0,   // pl.sl.un_760 tl.un.un_700  cy.de.un_870 ht.mt.lv_322 
  // [0c40]
  0x13006404, 0x0d181209, 0x05070aa0, 0x08020c0e,   // lg.et.un_320 hu.ga.cs_444  pt.it.fr_322 sv.da.no_555 
  0x0e0c1107, 0x00003106, 0x1c001307, 0x0c270ea9,   // ro.sv.is_432 az.un.un_400  bh.mr.un_420 is.gd.sv_544 
  0x0500231b, 0x1e1c20a4, 0x560e2512, 0x0300011a,   // ca.fr.un_770 sq.id.ms_433  eu.is.mg_654 en.nl.un_760 
  0x10001702, 0x06005514, 0x01003f02, 0x4411350c,   // sr.lt.un_220 rw.de.un_660  af.en.un_220 tg.ro.kk_543 
  // [0c50]
  0x53002d04, 0x19062709, 0x11002507, 0x03001304,   // sk.ht.un_320 gd.de.gl_444  eu.ro.un_420 et.nl.un_320 
  0x0700300d, 0x18211214, 0x532d0dad, 0x0c070e08,   // uz.bg.un_540 ur.fa.ar_666  cs.sk.ht_643 is.it.sv_443 
  0x06080e08, 0x0d001308, 0x271808a0, 0x25063d0c,   // is.no.de_443 bh.ne.un_430  no.ga.gd_322 ku.de.eu_543 
  0x05012a07, 0x2d3f0d11, 0x532d0dec, 0x0e1306a4,   // mt.en.fr_432 cs.af.sk_653  cs.sk.ht_644 de.et.is_433 
  // [0c60]
  0x09202d0c, 0x53002d13, 0x532d0d0c, 0x052d5307,   // sk.sq.pl_543 sk.ht.un_650  cs.sk.ht_543 ht.sk.fr_432 
  0x1c090dec, 0x0d000904, 0x02050807, 0x00003024,   // ne.hi.mr_644 hi.ne.un_320  no.fr.da_432 uz.un.un_900 
  0x3709110c, 0x64130408, 0x2d0d3fa9, 0x2d290909,   // ro.pl.st_543 fi.et.lg_443  af.cs.sk_544 pl.sl.sk_444 
  0x190a2d14, 0x0c081308, 0x19270104, 0x300810ee,   // sk.pt.gl_666 et.no.sv_443  en.gd.gl_332 lt.no.uz_422 
  // [0c70]
  0x73006419, 0x0e290855, 0x1800120e, 0x1c0d0905,   // lg.ny.un_750 no.sl.is_442  ur.ar.un_550 hi.ne.mr_333 
  0x0a001908, 0x32092da4, 0x171637a0, 0x1c0e25a6,   // gl.pt.un_430 sk.pl.bs_433  st.hr.sr_322 eu.is.id_521 
  0x3d2d3f09, 0x733730af, 0x7300640c, 0x250b19ec,   // af.sk.ku_444 uz.st.ny_655  lg.ny.un_530 gl.es.eu_644 
  0x19000a14, 0x2d003d12, 0x16292d0c, 0x0d002d22,   // pt.gl.un_660 ku.sk.un_640  sk.sl.hr_543 sk.cs.un_870 
  // [0c80]
  0x530405a7, 0x190a5309, 0x53200a04, 0x06005308,   // fr.fi.ht_532 ht.pt.gl_444  pt.sq.ht_332 ht.de.un_430 
  0x17111007, 0x08000213, 0x0e000807, 0x12000e19,   // lt.ro.sr_432 da.no.un_650  no.is.un_420 is.hu.un_750 
  0x32002d08, 0x64001118, 0x04070a13, 0x1000081a,   // sk.bs.un_430 ro.lg.un_740  mk.bg.ru_665 uk.be.un_760 
  0x3f030808, 0x2d530da0, 0x07010b08, 0x1c0913ad,   // no.nl.af_443 cs.ht.sk_322  es.en.it_443 bh.hi.mr_643 
  // [0c90]
  0x051b53ec, 0x1103050b, 0x130464ad, 0x073035a4,   // ht.tr.fr_644 fr.nl.ro_542  lg.fi.et_643 tg.uz.bg_433 
  0x1c090d14, 0x13006405, 0x4400171a, 0x1c130905,   // ne.hi.mr_666 lg.et.un_330  sr.kk.un_760 hi.bh.mr_333 
  0x06000c07, 0x29006411, 0x0b1918a9, 0x171008a9,   // sv.de.un_420 lg.sl.un_630  ga.gl.es_544 uk.be.sr_544 
  0x13046413, 0x6e311ba9, 0x05000604, 0x20236e0c,   // lg.fi.et_665 tr.az.hmn_544  de.fr.un_320 hmn.ca.sq_543 
  // [0ca0]
  0x1c000907, 0x091f6b04, 0x061b30ee, 0x04301004,   // hi.mr.un_420 ceb.cy.pl_332  uz.tr.de_422 be.uz.ru_332 
  0x04000a02, 0x16321760, 0x0a071105, 0x301b1c0c,   // mk.ru.un_220 sr.bs.hr_664  ro.bg.mk_333 id.tr.uz_543 
  0x10302505, 0x070410a4, 0x0a1710ee, 0x162d09a4,   // eu.uz.lt_333 lt.fi.it_433  be.sr.mk_422 pl.sk.hr_433 
  0x0c020812, 0x31302007, 0x02000520, 0x00000f06,   // no.da.sv_654 sq.uz.az_432  fr.da.un_850 lv.un.un_400 
  // [0cb0]
  0x03110511, 0x030205af, 0x0a081704, 0x11000519,   // fr.ro.nl_653 fr.da.nl_655  sr.uk.mk_332 fr.ro.un_750 
  0x0800040e, 0x1100050b, 0x10000708, 0x07351010,   // ru.uk.un_550 fr.ro.un_520  bg.be.un_430 be.tg.bg_642 
  0x091c0dad, 0x11110aa4, 0x56005304, 0x6b551aa4,   // ne.mr.hi_643 mk.ro.ro_433  ht.mg.un_320 tl.rw.ceb_433 
  0x1f091aa4, 0x090d1cad, 0x1c001323, 0x0000532d,   // tl.pl.cy_433 mr.ne.hi_643  bh.mr.un_880 ht.un.un_A00 
  // [0cc0]
  0x643701a0, 0x0d002505, 0x17000423, 0x37091208,   // en.st.lg_322 eu.cs.un_330  ru.sr.un_880 hu.pl.st_443 
  0x2f00200c, 0x3d0711a4, 0x53002104, 0x0c110713,   // sq.su.un_530 ro.it.ku_433  jw.ht.un_320 it.ro.sv_665 
  0x37001c13, 0x27000502, 0x071108a0, 0x0410080e,   // id.st.un_650 fr.gd.un_220  no.ro.it_322 uk.be.ru_555 
  0x25005605, 0x09001f2a, 0x251b2f09, 0x371855a9,   // mg.eu.un_330 cy.pl.un_970  su.tr.eu_444 rw.ga.st_544 
  // [0cd0]
  0x2f551c12, 0x0c553daf, 0x2864550c, 0x2f21030c,   // id.rw.su_654 ku.rw.sv_655  rw.lg.sw_543 nl.jw.su_543 
  0x0c113da4, 0x0c001305, 0x1c0d09ee, 0x0000531c,   // ku.ro.sv_433 et.sv.un_330  hi.ne.mr_422 ht.un.un_800 
  0x2d2305ad, 0x070a1708, 0x0a00070e, 0x0b230707,   // fr.ca.sk_643 sr.mk.bg_443  bg.mk.un_550 it.ca.es_432 
  0x32002909, 0x11311bad, 0x0423440b, 0x30003514,   // sl.bs.un_440 tr.az.ro_643  kk.ky.ru_542 tg.uz.un_660 
  // [0ce0]
  0x122118ad, 0x09531212, 0x071008ec, 0x13003705,   // ar.fa.ur_643 hu.ht.pl_654  uk.be.bg_644 st.et.un_330 
  0x11035508, 0x10070a04, 0x17071112, 0x113d010c,   // rw.nl.ro_443 mk.bg.be_332  ro.it.sr_654 en.ku.ro_543 
  0x072f3f07, 0x23443013, 0x73002023, 0x1f1032a0,   // af.su.it_432 uz.kk.ky_665  sq.ny.un_880 bs.lt.cy_322 
  0x01002421, 0x2f1f2508, 0x1e5520a0, 0x2f1a13ec,   // yi.iw.un_860 eu.cy.su_443  sq.rw.ms_322 et.tl.su_644 
  // [0cf0]
  0x291373a7, 0x190b21a0, 0x210437a7, 0x6b1e1ca9,   // ny.et.sl_532 jw.es.gl_322  st.fi.jw_532 id.ms.ceb_544 
  0x551a2108, 0x283d73a4, 0x3f062da0, 0x110c070c,   // jw.tl.rw_443 ny.ku.sw_433  sk.de.af_322 it.sv.ro_543 
  0x07000413, 0x731a6b0c, 0x23003520, 0x2d3d0d07,   // fi.it.un_650 ceb.tl.ny_543  tg.ky.un_850 cs.ku.sk_432 
  0x07201109, 0x3f112dee, 0x04001004, 0x32162905,   // ro.sq.it_444 sk.ro.af_422  be.ru.un_320 sl.hr.bs_333 
  // [0d00]
  0x0e190b02, 0x0a351705, 0x3200170c, 0x07252fa9,   // es.gl.is_222 sr.tg.mk_333  sr.bs.un_530 su.eu.it_544 
  0x070c110c, 0x2d001804, 0x53000804, 0x2f002102,   // ro.sv.it_543 ga.sk.un_320  no.ht.un_320 jw.su.un_220 
  0x302a3102, 0x08000207, 0x1308020d, 0x063f0305,   // az.mt.uz_222 da.no.un_420  da.no.et_554 nl.af.de_333 
  0x17111112, 0x0d130960, 0x030601a4, 0x0b56280c,   // ro.ro.sr_654 hi.bh.ne_664  en.de.nl_433 sw.mg.es_543 
  // [0d10]
  0x1e033f55, 0x04070a04, 0x12000d0d, 0x3f0608af,   // af.nl.ms_442 mk.bg.ru_332  cs.hu.un_540 no.de.af_655 
  0x05201160, 0x130e04a7, 0x31001b08, 0x0c0208ec,   // ro.sq.fr_664 fi.is.et_532  tr.az.un_430 no.da.sv_644 
  0x23004421, 0x08020aa4, 0x16100da7, 0x21251ca0,   // kk.ky.un_860 pt.da.no_433  cs.lt.hr_532 id.eu.jw_322 
  0x080c02af, 0x13000d05, 0x536b280b, 0x301c1eac,   // da.sv.no_655 ne.bh.un_330  sw.ceb.ht_542 ms.id.uz_632 
  // [0d20]
  0x73286bee, 0x2f2127a4, 0x53001104, 0x20002705,   // ceb.sw.ny_422 gd.jw.su_433  ro.ht.un_320 gd.sq.un_330 
  0x55286404, 0x13000704, 0x171632a9, 0x071011ee,   // lg.sw.rw_332 it.et.un_320  bs.hr.sr_544 ro.be.bg_422 
  0x55002109, 0x310904a4, 0x1e000223, 0x03063f0e,   // jw.rw.un_440 fi.pl.az_433  da.ms.un_880 af.de.nl_555 
  0x023021a4, 0x3f000313, 0x1c0913ee, 0x040735a0,   // jw.uz.da_433 nl.af.un_650  bh.hi.mr_422 tg.bg.ru_322 
  // [0d30]
  0x2d2b0c02, 0x305618a0, 0x102b1707, 0x060c0808,   // sv.vi.sk_222 ga.mg.uz_322  sr.vi.lt_432 no.sv.de_443 
  0x190b0a08, 0x19005607, 0x1e003f05, 0x17000a2b,   // pt.es.gl_443 mg.gl.un_420  af.ms.un_330 mk.sr.un_980 
  0x0a000713, 0x0f00030d, 0x2f6b1aad, 0x08041004,   // bg.mk.un_650 nl.lv.un_540  tl.ceb.su_643 be.ru.uk_332 
  0x231030ec, 0x17000a0d, 0x0e13040c, 0x234430ec,   // uz.be.ky_644 mk.sr.un_540  fi.et.is_543 uz.kk.ky_644 
  // [0d40]
  0x04080e04, 0x442311ee, 0x0e000611, 0x07170aec,   // is.no.fi_332 ro.ky.kk_422  de.is.un_630 mk.sr.bg_644 
  0x18002707, 0x35001004, 0x28001305, 0x17070a04,   // gd.ga.un_420 be.tg.un_320  et.sw.un_330 mk.bg.sr_332 
  0x080a17a9, 0x17003512, 0x07170aa7, 0x12001813,   // sr.mk.uk_544 tg.sr.un_640  mk.sr.bg_532 ar.ur.un_650 
  0x32161707, 0x070206ee, 0x28007312, 0x1c09130c,   // sr.hr.bs_432 de.da.it_422  ny.sw.un_640 bh.hi.mr_543 
  // [0d50]
  0x2a000209, 0x08001711, 0x080c09a4, 0x13000913,   // da.mt.un_440 sr.uk.un_630  pl.sv.no_433 hi.bh.un_650 
  0x021106a0, 0x1e211c0c, 0x081004ad, 0x0b000a05,   // de.ro.da_322 id.jw.ms_543  ru.be.uk_643 pt.es.un_330 
  0x5625090b, 0x442330ac, 0x13000d19, 0x02003002,   // pl.eu.mg_542 uz.ky.kk_632  ne.bh.un_750 uz.da.un_220 
  0x17070a09, 0x13250707, 0x1f002707, 0x0b001912,   // mk.bg.sr_444 it.eu.et_432  gd.cy.un_420 gl.es.un_640 
  // [0d60]
  0x3d001b12, 0x07000a23, 0x03003f09, 0x3f112d0c,   // tr.ku.un_640 mk.bg.un_880  af.nl.un_440 sk.ro.af_543 
  0x0a3f0304, 0x56250807, 0x09002d35, 0x080725a6,   // nl.af.pt_332 no.eu.mg_432  sk.pl.un_A90 eu.it.no_521 
  0x09000e12, 0x27000508, 0x051107a4, 0x0e000c0c,   // is.pl.un_640 fr.gd.un_430  it.ro.fr_433 sv.is.un_530 
  0x0f09010b, 0x1e1c2505, 0x080e0c0c, 0x0f003f22,   // en.pl.lv_542 eu.id.ms_333  sv.is.no_543 af.lv.un_870 
  // [0d70]
  0x04001a08, 0x2a006407, 0x3f0b2d0c, 0x0e000c14,   // tl.fi.un_430 lg.mt.un_420  sk.es.af_543 sv.is.un_660 
  0x0d102904, 0x07000a02, 0x3f050da4, 0x17002913,   // sl.lt.cs_332 mk.bg.un_220  cs.fr.af_433 sl.sr.un_650 
  0x1e000c05, 0x2d072511, 0x03113faf, 0x3f2d09ad,   // sv.ms.un_330 eu.it.sk_653  af.ro.nl_655 pl.sk.af_643 
  0x13001c19, 0x09002d2b, 0x25001908, 0x0b000708,   // mr.bh.un_750 sk.pl.un_980  gl.eu.un_430 it.es.un_430 
  // [0d80]
  0x3f1a6b07, 0x2f1156a4, 0x1e1c2514, 0x17111108,   // ceb.tl.af_432 mg.ro.su_433  eu.id.ms_666 ro.ro.sr_443 
  0x09070da4, 0x091e25a4, 0x0c080207, 0x052d01a4,   // cs.it.pl_433 eu.ms.pl_433  da.no.sv_432 en.sk.fr_433 
  0x070a17ec, 0x30440407, 0x0600092b, 0x0d1c1312,   // sr.mk.bg_644 ru.kk.uz_432  pl.de.un_980 bh.mr.ne_654 
  0x2d11030d, 0x2f001902, 0x2f000a02, 0x041707a4,   // nl.ro.sk_554 gl.su.un_220  pt.su.un_220 bg.sr.ru_433 
  // [0d90]
  0x060501a0, 0x2d093f12, 0x3f090d07, 0x0a003d04,   // en.fr.de_322 af.pl.sk_654  cs.pl.af_432 ku.pt.un_320 
  0x53002807, 0x13000923, 0x07002807, 0x17234407,   // sw.ht.un_420 hi.bh.un_880  sw.it.un_420 kk.ky.sr_432 
  0x30251905, 0x1c001319, 0x080c0ea9, 0x05120a04,   // gl.eu.uz_333 bh.mr.un_750  is.sv.no_544 pt.hu.fr_332 
  0x033d0107, 0x29001704, 0x122a64ee, 0x1b001a13,   // en.ku.nl_432 sr.sl.un_320  lg.mt.hu_422 tl.tr.un_650 
  // [0da0]
  0x285564a0, 0x2f001a07, 0x211e1c04, 0x1a000104,   // lg.rw.sw_322 tl.su.un_420  id.ms.jw_332 en.tl.un_320 
  0x1e002102, 0x1c090d02, 0x00000924, 0x071123a4,   // jw.ms.un_220 ne.hi.mr_222  hi.un.un_900 ky.ro.bg_433 
  0x29000f13, 0x04082307, 0x6b001a0d, 0x6425130c,   // lv.sl.un_650 ky.uk.ru_432  tl.ceb.un_540 et.eu.lg_543 
  0x06002a04, 0x3d3f1fa4, 0x1a1b0504, 0x00007301,   // mt.de.un_320 cy.af.ku_433  fr.tr.tl_332 ny.un.un_200 
  // [0db0]
  0x311b1fa9, 0x56001c02, 0x6b2001a4, 0x13001c14,   // cy.tr.az_544 id.mg.un_220  en.sq.ceb_433 mr.bh.un_660 
  0x08002704, 0x06041904, 0x1a1e1c08, 0x0900560c,   // gd.no.un_320 gl.fi.de_332  id.ms.tl_443 mg.pl.un_530 
  0x1200300d, 0x3d1e1c14, 0x0e001319, 0x2f080ca0,   // uz.hu.un_540 id.ms.ku_666  et.is.un_750 sv.no.su_322 
  0x06001f0d, 0x0c00190d, 0x076412ad, 0x063113ee,   // cy.de.un_540 gl.sv.un_540  hu.lg.it_643 et.az.de_422 
  // [0dc0]
  0x04111108, 0x1f00550d, 0x0c001904, 0x07442355,   // ro.ro.ru_443 rw.cy.un_540  gl.sv.un_320 ky.kk.bg_442 
  0x0d091311, 0x01003007, 0x0b3f1aad, 0x300a35ad,   // bh.hi.ne_653 uz.en.un_420  tl.af.es_643 tg.mk.uz_643 
  0x0e000a09, 0x6b001a1a, 0x560601a4, 0x020c08af,   // pt.is.un_440 tl.ceb.un_760  en.de.mg_433 no.sv.da_655 
  0x0827250c, 0x0c000823, 0x1e0f1ca0, 0x1c130907,   // eu.gd.no_543 no.sv.un_880  id.lv.ms_322 hi.bh.mr_432 
  // [0dd0]
  0x17000108, 0x440430ee, 0x092d0d55, 0x3507045a,   // en.sr.un_430 uz.ru.kk_422  cs.sk.pl_442 ru.bg.tg_553 
  0x6b000804, 0x1f6b30ee, 0x0a1f1955, 0x13005608,   // no.ceb.un_320 uz.ceb.cy_422  gl.cy.pt_442 mg.et.un_430 
  0x080201a0, 0x08073005, 0x213d1c07, 0x07001804,   // en.da.no_322 uz.bg.uk_333  id.ku.jw_432 ga.it.un_320 
  0x091218a7, 0x1000110b, 0x06033f13, 0x301a2fa0,   // ga.hu.pl_532 ro.be.un_520  af.nl.de_665 su.tl.uz_322 
  // [0de0]
  0x062a3fa0, 0x27002807, 0x18000104, 0x1c033f11,   // af.mt.de_322 sw.gd.un_420  en.ga.un_320 af.nl.id_653 
  0x2d0d09a9, 0x050c01a0, 0x0a0735a9, 0x230730a0,   // pl.cs.sk_544 en.sv.fr_322  tg.bg.mk_544 uz.bg.ky_322 
  0x300c6bee, 0x55000402, 0x441011ad, 0x190b0aee,   // ceb.sv.uz_422 fi.rw.un_220  ro.be.kk_643 pt.es.gl_422 
  0x00001201, 0x130301a0, 0x171629a9, 0x0a00071a,   // ur.un.un_200 en.nl.et_322  sl.hr.sr_544 bg.mk.un_760 
  // [0df0]
  0x53003119, 0x09061f07, 0x091c0da9, 0x04002308,   // az.ht.un_750 cy.de.pl_432  ne.mr.hi_544 ky.ru.un_430 
  0x00001706, 0x0c0e73a0, 0x04073505, 0x07000104,   // sr.un.un_400 ny.is.sv_322  tg.bg.ru_333 en.it.un_320 
  0x00000424, 0x0c000307, 0x04001305, 0x0a1017a4,   // fi.un.un_900 nl.sv.un_420  et.fi.un_330 sr.be.mk_433 
  0x0c081302, 0x06000502, 0x11002d0c, 0x2b001e02,   // et.no.sv_222 fr.de.un_220  sk.ro.un_530 ms.vi.un_220 
  // [0e00]
  0x0417100c, 0x1c291ead, 0x0410085a, 0x1b003112,   // be.sr.ru_543 ms.sl.id_643  uk.be.ru_553 az.tr.un_640 
  0x0b1223ec, 0x18211211, 0x08070455, 0x09000d0e,   // ca.hu.es_644 ur.fa.ar_653  ru.bg.uk_442 ne.hi.un_550 
  0x0c080211, 0x104404ac, 0x09001f0c, 0x0f00100c,   // da.no.sv_653 ru.kk.be_632  cy.pl.un_530 lt.lv.un_530 
  0x00006e2d, 0x1c000d09, 0x1200210d, 0x1300041b,   // hmn.un.un_A00 ne.mr.un_440  fa.ur.un_540 fi.et.un_770 
  // [0e10]
  0x080704ee, 0x21131cee, 0x35002304, 0x21001205,   // ru.bg.uk_422 id.et.jw_422  ky.tg.un_320 ur.fa.un_330 
  0x0444230c, 0x101704a9, 0x03000604, 0x091c0d12,   // ky.kk.ru_543 ru.sr.be_544  de.nl.un_320 ne.mr.hi_654 
  0x11000422, 0x0a2317a4, 0x031304a7, 0x170a07a9,   // ru.ro.un_870 sr.ky.mk_433  fi.et.nl_532 bg.mk.sr_544 
  0x2a0e1f0c, 0x07000304, 0x130e7305, 0x3f000e05,   // cy.is.mt_543 nl.it.un_320  ny.is.et_333 is.af.un_330 
  // [0e20]
  0x0e080ca4, 0x2d0d1305, 0x230b050e, 0x0d1c13af,   // sv.no.is_433 et.cs.sk_333  fr.es.ca_555 bh.mr.ne_655 
  0x16000d04, 0x16000d08, 0x2a000f1a, 0x080a0704,   // cs.hr.un_320 cs.hr.un_430  lv.mt.un_760 bg.mk.uk_332 
  0x0e001f1b, 0x100a0813, 0x03183fee, 0x043d1207,   // cy.is.un_770 uk.mk.be_665  af.ga.nl_422 hu.ku.fi_432 
  0x070435ee, 0x731e1c08, 0x190a0b14, 0x082137a0,   // tg.ru.bg_422 id.ms.ny_443  es.pt.gl_666 st.jw.no_322 
  // [0e30]
  0x20101304, 0x1000230e, 0x1e1c2fa0, 0x25230112,   // et.lt.sq_332 ky.be.un_550  su.id.ms_322 en.ca.eu_654 
  0x2b001c04, 0x0e002808, 0x0900131a, 0x2b1c2f07,   // id.vi.un_320 sw.is.un_430  bh.hi.un_760 su.id.vi_432 
  0x0b000713, 0x17000d04, 0x37281307, 0x10170805,   // it.es.un_650 cs.sr.un_320  et.sw.st_432 uk.sr.be_333 
  0x2d0d1f0c, 0x18002711, 0x30731114, 0x1b00530d,   // cy.cs.sk_543 gd.ga.un_630  ro.ny.uz_666 ht.tr.un_540 
  // [0e40]
  0x441030a7, 0x08004420, 0x2f211113, 0x23000a04,   // uz.be.kk_532 kk.uk.un_850  ro.jw.su_665 pt.ca.un_320 
  0x03113f0c, 0x271718ec, 0x03071808, 0x03003f22,   // af.ro.nl_543 ga.sr.gd_644  ga.it.nl_443 af.nl.un_870 
  0x050320ee, 0x0d001307, 0x0a0723a0, 0x0f0912ad,   // sq.nl.fr_422 bh.ne.un_420  ky.bg.mk_322 hu.pl.lv_643 
  0x2000280d, 0x021b0e05, 0x07170a0d, 0x04171008,   // sw.sq.un_540 is.tr.da_333  mk.sr.bg_554 be.sr.ru_443 
  // [0e50]
  0x28007322, 0x07111107, 0x00003506, 0x131c090c,   // ny.sw.un_870 ro.ro.bg_432  tg.un.un_400 hi.mr.bh_543 
  0x552028a9, 0x082f120c, 0x06002302, 0x13372f07,   // sw.sq.rw_544 hu.su.no_543  ca.de.un_220 su.st.et_432 
  0x2f287304, 0x1c132755, 0x10012804, 0x732855af,   // ny.sw.su_332 gd.et.id_442  sw.en.lt_332 rw.sw.ny_655 
  0x0f001904, 0x300a1107, 0x6b100755, 0x0a001108,   // gl.lv.un_320 ro.mk.uz_432  it.lt.ceb_442 ro.mk.un_430 
  // [0e60]
  0x1a00211b, 0x18122112, 0x09735512, 0x0e001f13,   // jw.tl.un_770 fa.ur.ar_654  rw.ny.pl_654 cy.is.un_650 
  0x0b0a23a9, 0x3500301a, 0x2a5573ad, 0x32001609,   // ca.pt.es_544 uz.tg.un_760  ny.rw.mt_643 hr.bs.un_440 
  0x30041002, 0x2a000702, 0x0b212fee, 0x110827ad,   // be.ru.uz_222 it.mt.un_220  su.jw.es_422 gd.no.ro_643 
  0x0d001c20, 0x100835ad, 0x1c000d0d, 0x27041f0b,   // mr.ne.un_850 tg.uk.be_643  ne.mr.un_540 cy.fi.gd_542 
  // [0e70]
  0x12002123, 0x1b2153a0, 0x25000b08, 0x02000c04,   // fa.ur.un_880 ht.jw.tr_322  es.eu.un_430 sv.da.un_320 
  0x1300122b, 0x1c2f1faf, 0x28081f04, 0x13001c0e,   // hu.et.un_980 cy.su.id_655  cy.no.sw_332 id.et.un_550 
  0x1f371307, 0x0c000204, 0x190437ad, 0x1b003122,   // et.st.cy_432 da.sv.un_320  st.fi.gl_643 az.tr.un_870 
  0x04003722, 0x1c0d1305, 0x0a002818, 0x061a3704,   // st.fi.un_870 bh.ne.mr_333  sw.pt.un_740 st.tl.de_332 
  // [0e80]
  0x311b1208, 0x1f043708, 0x0500070c, 0x11000505,   // hu.tr.az_443 st.fi.cy_443  it.fr.un_530 fr.ro.un_330 
  0x3700020d, 0x13000305, 0x21001f0c, 0x12082055,   // da.st.un_540 nl.et.un_330  cy.jw.un_530 sq.no.hu_442 
  0x1f6b010c, 0x2a7355ad, 0x04000808, 0x0700010d,   // en.ceb.cy_543 rw.ny.mt_643  no.fi.un_430 en.it.un_540 
  0x08060c07, 0x063f04a4, 0x1f0e370c, 0x070a1704,   // sv.de.no_432 fi.af.de_433  st.is.cy_543 sr.mk.bg_332 
  // [0e90]
  0x211218ac, 0x12071ba4, 0x093f2aec, 0x306455a0,   // ar.ur.fa_632 tr.it.hu_433  mt.af.pl_644 rw.lg.uz_322 
  0x06002002, 0x0507010c, 0x2304440c, 0x07440a09,   // sq.de.un_220 en.it.fr_543  kk.ru.ky_543 mk.kk.bg_444 
  0x53303111, 0x04091fa9, 0x0a000709, 0x020e1f04,   // az.uz.ht_653 cy.pl.fi_544  it.pt.un_440 cy.is.da_332 
  0x08110707, 0x0c0e07a0, 0x06031b08, 0x53100908,   // it.ro.no_432 it.is.sv_322  tr.nl.de_443 pl.lt.ht_443 
  // [0ea0]
  0x08110a07, 0x1f002313, 0x121b3112, 0x18122114,   // mk.ro.uk_432 ca.cy.un_650  az.tr.hu_654 fa.ur.ar_666 
  0x0800230e, 0x07050107, 0x1f082807, 0x01063707,   // ca.no.un_550 en.fr.it_432  sw.no.cy_432 st.de.en_432 
  0x1c2f3712, 0x17040709, 0x0a002f05, 0x370604a9,   // st.su.id_654 bg.ru.sr_444  su.pt.un_330 fi.de.st_544 
  0x0523300c, 0x0d1c1304, 0x17321608, 0x04000804,   // uz.ca.fr_543 bh.mr.ne_332  hr.bs.sr_443 no.fi.un_320 
  // [0eb0]
  0x08070a07, 0x04001304, 0x301104a9, 0x111135a4,   // mk.bg.uk_432 et.fi.un_320  ru.ro.uz_544 tg.ro.ro_433 
  0x09110d07, 0x06002a0d, 0x1b003102, 0x1200210e,   // cs.ro.pl_432 mt.de.un_540  az.tr.un_220 fa.ur.un_550 
  0x10080455, 0x1e002702, 0x0400080d, 0x073035ec,   // ru.uk.be_442 gd.ms.un_220  uk.ru.un_540 tg.uz.bg_644 
  0x0e00101b, 0x20003d0d, 0x102d0d05, 0x08022005,   // lt.is.un_770 ku.sq.un_540  cs.sk.lt_333 sq.da.no_333 
  // [0ec0]
  0x3007181d, 0x04377305, 0x1c00042a, 0x1f001904,   // ar.bg.uz_852 ny.st.fi_333  fi.id.un_970 gl.cy.un_320 
  0x0400071a, 0x73045608, 0x07000a0d, 0x232d0d04,   // bg.ru.un_760 mg.fi.ny_443  mk.bg.un_540 cs.sk.ca_332 
  0x17300412, 0x12000908, 0x08000c0e, 0x08070409,   // ru.uz.sr_654 pl.hu.un_430  sv.no.un_550 ru.bg.uk_444 
  0x2b1f2704, 0x44233002, 0x19040a07, 0x44002304,   // gd.cy.vi_332 uz.ky.kk_222  pt.fi.gl_432 ky.kk.un_320 
  // [0ed0]
  0x0d002d08, 0x1f003f21, 0x300717a0, 0x0d000911,   // sk.cs.un_430 af.cy.un_860  sr.bg.uz_322 hi.ne.un_630 
  0x1800212b, 0x1c090d0c, 0x10170a02, 0x030906a0,   // fa.ar.un_980 ne.hi.mr_543  mk.sr.be_222 de.pl.nl_322 
  0x10040708, 0x0d002d07, 0x1300090c, 0x23190b09,   // bg.ru.be_443 sk.cs.un_420  hi.bh.un_530 es.gl.ca_444 
  0x2d082908, 0x07040aee, 0x1c0913ec, 0x2d000d11,   // sl.no.sk_443 mk.ru.bg_422  bh.hi.mr_644 cs.sk.un_630 
  // [0ee0]
  0x1c090d5a, 0x286473a0, 0x1b000c07, 0x1800201a,   // ne.hi.mr_553 ny.lg.sw_322  sv.tr.un_420 sq.ga.un_760 
  0x16003704, 0x216b1a11, 0x1929230c, 0x090d1ca0,   // st.hr.un_320 tl.ceb.jw_653  ca.sl.gl_543 mr.ne.hi_322 
  0x0a040713, 0x4423100c, 0x18122113, 0x23070f04,   // bg.ru.mk_665 be.ky.kk_543  fa.ur.ar_665 lv.it.ca_332 
  0x06001308, 0x1f271813, 0x21003d13, 0x3f000a05,   // et.de.un_430 ga.gd.cy_665  ku.jw.un_650 pt.af.un_330 
  // [0ef0]
  0x090d1312, 0x131c0908, 0x6b0a1f08, 0x31001b11,   // bh.ne.hi_654 hi.mr.bh_443  cy.pt.ceb_443 tr.az.un_630 
  0x211c1ea4, 0x05070112, 0x12000e05, 0x03000804,   // ms.id.jw_433 en.it.fr_654  is.hu.un_330 no.nl.un_320 
  0x28001e04, 0x0e1918a0, 0x2311100c, 0x0500011a,   // ms.sw.un_320 ga.gl.is_322  lt.ro.ca_543 en.fr.un_760 
  0x231119a4, 0x0f001318, 0x2d1009a9, 0x08042712,   // gl.ro.ca_433 et.lv.un_740  pl.lt.sk_544 gd.fi.no_654 
  // [0f00]
  0x64287308, 0x1c091314, 0x271304ad, 0x0c000609,   // ny.sw.lg_443 bh.hi.mr_666  fi.et.gd_643 de.sv.un_440 
  0x0807120c, 0x270e0655, 0x73645511, 0x30000d13,   // hu.it.no_543 de.is.gd_442  rw.lg.ny_653 cs.uz.un_650 
  0x06000808, 0x21182712, 0x270501a4, 0x01033707,   // no.de.un_430 gd.ga.jw_654  en.fr.gd_433 st.nl.en_432 
  0x27202114, 0x11000d08, 0x310e3da6, 0x3d00131b,   // jw.sq.gd_666 cs.ro.un_430  ku.is.az_521 et.ku.un_770 
  // [0f10]
  0x12202da7, 0x071127ec, 0x101123ac, 0x04563d5a,   // sk.sq.hu_532 gd.ro.it_644  ca.ro.lt_632 ku.mg.fi_553 
  0x3d00300c, 0x0200070c, 0x0c19230c, 0x3d00642a,   // uz.ku.un_530 it.da.un_530  ca.gl.sv_543 lg.ku.un_970 
  0x1e191108, 0x11092da9, 0x06000e1a, 0x09201702,   // ro.gl.ms_443 sk.pl.ro_544  is.de.un_760 sr.sq.pl_222 
  0x1200212a, 0x071256ad, 0x6b372f09, 0x1a6b0705,   // fa.ur.un_970 mg.hu.it_643  su.st.ceb_444 it.ceb.tl_333 
  // [0f20]
  0x372173a9, 0x2a003d0e, 0x300f10a4, 0x32001705,   // ny.jw.st_544 ku.mt.un_550  lt.lv.uz_433 sr.bs.un_330 
  0x061e1c08, 0x23303504, 0x203028ec, 0x551a20a4,   // id.ms.de_443 tg.uz.ky_332  sw.uz.sq_644 sq.tl.rw_433 
  0x2d111005, 0x30312013, 0x010537ee, 0x19002319,   // lt.ro.sk_333 sq.az.uz_665  st.fr.en_422 ca.gl.un_750 
  0x30312008, 0x0c02080c, 0x08000719, 0x10231108,   // sq.az.uz_443 no.da.sv_543  bg.uk.un_750 ro.ca.lt_443 
  // [0f30]
  0x32001614, 0x20005514, 0x53006407, 0x733718ec,   // hr.bs.un_660 rw.sq.un_660  lg.ht.un_420 ga.st.ny_644 
  0x2d1123ad, 0x1b1853a0, 0x32166ba0, 0x1e107307,   // ca.ro.sk_643 ht.ga.tr_322  ceb.hr.bs_322 ny.lt.ms_432 
  0x30000d04, 0x2b001a04, 0x1a006b08, 0x2010110d,   // cs.uz.un_320 tl.vi.un_320  ceb.tl.un_430 ro.lt.sq_554 
  0x011a5608, 0x17000408, 0x6e2055a9, 0x372d100c,   // mg.tl.en_443 fi.sr.un_430  rw.sq.hmn_544 lt.sk.st_543 
  // [0f40]
  0x1e003d20, 0x06033fa0, 0x05003729, 0x023f08a4,   // ku.ms.un_850 af.nl.de_322  st.fr.un_960 no.af.da_433 
  0x13002008, 0x1a001e04, 0x19000b21, 0x7300642a,   // sq.et.un_430 ms.tl.un_320  es.gl.un_860 lg.ny.un_970 
  0x6b551a08, 0x2b1a6ba0, 0x03012aee, 0x02043dad,   // tl.rw.ceb_443 ceb.tl.vi_322  mt.en.nl_422 ku.fi.da_643 
  0x29001604, 0x1c293dac, 0x17040705, 0x3f552a55,   // hr.sl.un_320 ku.sl.id_632  bg.ru.sr_333 mt.rw.af_442 
  // [0f50]
  0x133d1008, 0x28302014, 0x733164af, 0x73006413,   // lt.ku.et_443 sq.uz.sw_666  lg.az.ny_655 lg.ny.un_650 
  0x200b1313, 0x01060c04, 0x73003d14, 0x05010605,   // et.es.sq_665 sv.de.en_332  ku.ny.un_660 de.en.fr_333 
  0x292d0d14, 0x203001a0, 0x3000351a, 0x0c000813,   // cs.sk.sl_666 en.uz.sq_322  tg.uz.un_760 no.sv.un_650 
  0x131020a9, 0x110710ad, 0x290d02a0, 0x203130ec,   // sq.lt.et_544 be.bg.ro_643  da.cs.sl_322 uz.az.sq_644 
  // [0f60]
  0x0913040d, 0x10002f02, 0x2a033fa0, 0x09001313,   // fi.et.pl_554 su.lt.un_220  af.nl.mt_322 bh.hi.un_650 
  0x0d091c0b, 0x1c0d1307, 0x111117a9, 0x08001002,   // mr.hi.ne_542 bh.ne.mr_432  sr.ro.ro_544 be.uk.un_220 
  0x17440407, 0x2d0d090e, 0x162d0d09, 0x44002322,   // ru.kk.sr_432 pl.cs.sk_555  cs.sk.hr_444 ky.kk.un_870 
  0x1e00250d, 0x531e1c14, 0x09130d11, 0x0d091307,   // eu.ms.un_540 id.ms.ht_666  ne.bh.hi_653 bh.hi.ne_432 
  // [0f70]
  0x0e000c13, 0x12000c08, 0x040e0ca7, 0x1e1c73a4,   // sv.is.un_650 sv.hu.un_430  sv.is.fi_532 ny.id.ms_433 
  0x551e1c05, 0x170711af, 0x07100407, 0x28005505,   // id.ms.rw_333 ro.bg.sr_655  ru.be.bg_432 rw.sw.un_330 
  0x102f1c08, 0x440411a0, 0x0d001304, 0x28733707,   // id.su.lt_443 ro.ru.kk_322  bh.ne.un_320 st.ny.sw_432 
  0x18000504, 0x0700350d, 0x1a645504, 0x06001b13,   // fr.ga.un_320 tg.bg.un_540  rw.lg.tl_332 tr.de.un_650 
  // [0f80]
  0x1e1c55a0, 0x17040a02, 0x23004419, 0x53007307,   // rw.id.ms_322 mk.ru.sr_222  kk.ky.un_750 ny.ht.un_420 
  0x2d1b0d55, 0x1f002512, 0x32301ca0, 0x1c5553a7,   // cs.tr.sk_442 eu.cy.un_640  id.uz.bs_322 ht.rw.id_532 
  0x100a17a4, 0x23001004, 0x551e1c0c, 0x101e1c13,   // sr.mk.be_433 lt.ca.un_320  id.ms.rw_543 id.ms.lt_665 
  0x1c000d08, 0x37551ca4, 0x13001c08, 0x531e1c04,   // ne.mr.un_430 id.rw.st_433  mr.bh.un_430 id.ms.ht_332 
  // [0f90]
  0x172d0d55, 0x08070414, 0x080205ee, 0x130d1c0d,   // cs.sk.sr_442 ru.bg.uk_666  fr.da.no_422 mr.ne.bh_554 
  0x21001220, 0x08000212, 0x08020c05, 0x19000b22,   // ur.fa.un_850 da.no.un_640  sv.da.no_333 es.gl.un_870 
  0x07080a05, 0x53005602, 0x08000a12, 0x27005505,   // mk.uk.bg_333 mg.ht.un_220  mk.uk.un_640 rw.gd.un_330 
  0x0a1707ad, 0x0407115a, 0x0600300d, 0x2d005304,   // bg.sr.mk_643 ro.bg.ru_553  uz.de.un_540 ht.sk.un_320 
  // [0fa0]
  0x0e0c0612, 0x01110302, 0x17070a11, 0x31001b2c,   // de.sv.is_654 nl.ro.en_222  mk.bg.sr_653 tr.az.un_990 
  0x131c1a04, 0x0f321705, 0x1100231a, 0x07170a08,   // tl.id.et_332 sr.bs.lv_333  ky.ro.un_760 mk.sr.bg_443 
  0x0200080b, 0x100a1708, 0x110b5507, 0x1b000c04,   // no.da.un_520 sr.mk.be_443  rw.es.ro_432 sv.tr.un_320 
  0x08000412, 0x084404ac, 0x04001307, 0x050111ee,   // ru.uk.un_640 ru.kk.uk_632  et.fi.un_420 ro.en.fr_422 
  // [0fb0]
  0x0a17230c, 0x080704ec, 0x55005618, 0x1f00370e,   // ky.sr.mk_543 ru.bg.uk_644  mg.rw.un_740 st.cy.un_550 
  0x11002314, 0x292d0d04, 0x0800101a, 0x101e1c02,   // ky.ro.un_660 cs.sk.sl_332  be.uk.un_760 id.ms.lt_222 
  0x30350aaf, 0x0a00110d, 0x061e1c04, 0x64006b04,   // mk.tg.uz_655 ro.mk.un_540  id.ms.de_332 ceb.lg.un_320 
  0x3200010c, 0x050930a7, 0x2b000508, 0x55001602,   // en.bs.un_530 uz.pl.fr_532  fr.vi.un_430 hr.rw.un_220 
  // [0fc0]
  0x1c0d090e, 0x1b003121, 0x21252a04, 0x212f6b07,   // hi.ne.mr_555 az.tr.un_860  mt.eu.jw_332 ceb.su.jw_432 
  0x10003009, 0x30111155, 0x0c002105, 0x02000612,   // uz.be.un_440 ro.ro.uz_442  jw.sv.un_330 de.da.un_640 
  0x04081008, 0x07002a14, 0x170a1108, 0x12190a0c,   // be.uk.ru_443 mt.it.un_660  ro.mk.sr_443 pt.gl.hu_543 
  0x040a07a4, 0x206b1aee, 0x21001814, 0x1c000912,   // bg.mk.ru_433 tl.ceb.sq_422  ar.fa.un_660 hi.mr.un_640 
  // [0fd0]
  0x1821120d, 0x3f072008, 0x0d091c05, 0x3217160c,   // ur.fa.ar_554 sq.it.af_443  mr.hi.ne_333 hr.sr.bs_543 
  0x06000c0e, 0x0f313d08, 0x0c08025a, 0x55001a0e,   // sv.de.un_550 ku.az.lv_443  da.no.sv_553 tl.rw.un_550 
  0x11041760, 0x2d0d0aec, 0x530d065a, 0x13060e0c,   // sr.ru.ro_664 pt.cs.sk_644  de.cs.ht_553 is.de.et_543 
  0x182112af, 0x0c0e29ad, 0x04313007, 0x080e0408,   // ur.fa.ar_655 sl.is.sv_643  uz.az.fi_432 fi.is.no_443 
  // [0fe0]
  0x290f0c09, 0x0a1704a9, 0x080c0907, 0x3f032909,   // sv.lv.sl_444 ru.sr.mk_544  pl.sv.no_432 sl.nl.af_444 
  0x3f2d04ee, 0x25006404, 0x080c1fa0, 0x301035a4,   // fi.sk.af_422 lg.eu.un_320  cy.sv.no_322 tg.be.uz_433 
  0x216b1a0c, 0x23040a04, 0x033f6407, 0x0e002007,   // tl.ceb.jw_543 mk.ru.ky_332  lg.af.nl_432 sq.is.un_420 
  0x0d0913ec, 0x17100811, 0x29211313, 0x3f0208a9,   // bh.hi.ne_644 uk.be.sr_653  et.jw.sl_665 no.da.af_544 
  // [0ff0]
  0x16000312, 0x01060ca6, 0x00003f06, 0x2d132912,   // nl.hr.un_640 sv.de.en_521  af.un.un_400 sl.et.sk_654 
  0x17002309, 0x212f6bad, 0x07001013, 0x35174407,   // ky.sr.un_440 ceb.su.jw_643  be.bg.un_650 kk.sr.tg_432 
  0x013753ad, 0x0a001907, 0x350a0708, 0x08003d14,   // ht.st.en_643 gl.pt.un_420  bg.mk.tg_443 ku.no.un_660 
  0x1c0d0913, 0x09006b08, 0x1c000911, 0x09000d2b,   // hi.ne.mr_665 ceb.pl.un_430  hi.mr.un_630 ne.hi.un_980 
  
  // [1000]
  0x313d0fa4, 0x033f130c, 0x303510a0, 0x0800100c,   // lv.ku.az_433 et.af.nl_543  be.tg.uz_322 be.uk.un_530 
  0x1c0301ee, 0x3d2d250c, 0x19000e09, 0x01005312,   // en.nl.id_422 eu.sk.ku_543  is.gl.un_440 ht.en.un_640 
  0x08023f05, 0x13033fa0, 0x050a19a0, 0x00000b24,   // af.da.no_333 af.nl.et_322  gl.pt.fr_322 bn.un.un_900 
  0x16292d07, 0x131c0913, 0x10645304, 0x3517300d,   // sk.sl.hr_432 hi.mr.bh_665  ht.lg.lt_332 uz.sr.tg_554 
  // [1010]
  0x04003502, 0x1c1309ec, 0x530208af, 0x03063f0c,   // tg.ru.un_220 hi.bh.mr_644  no.da.ht_655 af.de.nl_543 
  0x234430ee, 0x73002f04, 0x2f250ea4, 0x120a2304,   // uz.kk.ky_422 su.ny.un_320  is.eu.su_433 ca.pt.hu_332 
  0x2f000e14, 0x6b281a07, 0x25002f04, 0x30002323,   // is.su.un_660 tl.sw.ceb_432  su.eu.un_320 ky.uz.un_880 
  0x35001019, 0x37006b13, 0x12001305, 0x0d091c14,   // be.tg.un_750 ceb.st.un_650  et.hu.un_330 mr.hi.ne_666 
  // [1020]
  0x070a11ee, 0x1e1c2f14, 0x1f0453ee, 0x73072fa0,   // ro.mk.bg_422 su.id.ms_666  ht.fi.cy_422 su.it.ny_322 
  0x011f5312, 0x01033fa0, 0x23190704, 0x211e1cee,   // ht.cy.en_654 af.nl.en_322  it.gl.ca_332 id.ms.jw_422 
  0x286b100c, 0x04111112, 0x100408a0, 0x53001c04,   // lt.ceb.sw_543 ro.ro.ru_654  uk.ru.be_322 id.ht.un_320 
  0x1c000d05, 0x64002808, 0x29090da9, 0x1a0e2f04,   // ne.mr.un_330 sw.lg.un_430  cs.pl.sl_544 su.is.tl_332 
  // [1030]
  0x08351007, 0x2b3756a0, 0x1c002f04, 0x07080413,   // be.tg.uk_432 mg.st.vi_322  su.id.un_320 ru.uk.bg_665 
  0x351710a4, 0x090d13a6, 0x2100180d, 0x0a44235a,   // be.sr.tg_433 et.cs.pl_521  ar.fa.un_540 ky.kk.mk_553 
  0x07002a19, 0x0a1f190d, 0x3504440e, 0x2f00212b,   // mt.it.un_750 gl.cy.pt_554  kk.ru.tg_555 jw.su.un_980 
  0x37007308, 0x130d090c, 0x281025ee, 0x120b25ee,   // ny.st.un_430 hi.ne.bh_543  eu.lt.sw_422 eu.es.hu_422 
  // [1040]
  0x0e002d12, 0x1a006b13, 0x0c041b0c, 0x350a075a,   // sk.is.un_640 ceb.tl.un_650  tr.fi.sv_543 bg.mk.tg_553 
  0x19120b07, 0x186b01a7, 0x216473ad, 0x18005304,   // es.hu.gl_432 en.ceb.ga_532  ny.lg.jw_643 ht.ga.un_320 
  0x12000b05, 0x2700182b, 0x0b001221, 0x17311fad,   // es.hu.un_330 ga.gd.un_980  hu.es.un_860 cy.az.sr_643 
  0x21007305, 0x202a07a4, 0x10303512, 0x12230b08,   // ny.jw.un_330 it.mt.sq_433  tg.uz.be_654 es.ca.hu_443 
  // [1050]
  0x29002007, 0x21006407, 0x3216095a, 0x3004235a,   // sq.sl.un_420 lg.jw.un_420  pl.hr.bs_553 ky.ru.uz_553 
  0x10000712, 0x0f2d10a0, 0x19000b14, 0x2100181b,   // bg.be.un_640 lt.sk.lv_322  es.gl.un_660 ar.fa.un_770 
  0x6b081302, 0x0c1237ad, 0x121821ad, 0x21001c02,   // et.no.ceb_222 st.hu.sv_643  fa.ar.ur_643 id.jw.un_220 
  0x1c1304ee, 0x08020cec, 0x6e00372b, 0x13006e14,   // fi.et.id_422 sv.da.no_644  st.hmn.un_980 hmn.et.un_660 
  // [1060]
  0x32005504, 0x08040707, 0x02080c0c, 0x136e1a07,   // rw.bs.un_320 bg.ru.uk_432  sv.no.da_543 tl.hmn.et_432 
  0x12190bac, 0x53000308, 0x1300041a, 0x12000d13,   // es.gl.hu_632 nl.ht.un_430  fi.et.un_760 cs.hu.un_650 
  0x2f003719, 0x080f040c, 0x12230ba4, 0x09000113,   // st.su.un_750 fi.lv.no_543  es.ca.hu_433 en.pl.un_650 
  0x120b2313, 0x08022aee, 0x040f01a6, 0x55001b0c,   // ca.es.hu_665 mt.da.no_422  en.lv.fi_521 tr.rw.un_530 
  // [1070]
  0x04000c04, 0x21006408, 0x0f002f05, 0x112b01a4,   // sv.fi.un_320 lg.jw.un_430  su.lv.un_330 en.vi.ro_433 
  0x08000c04, 0x066e0107, 0x1c216e07, 0x56550507,   // sv.no.un_320 en.hmn.de_432  hmn.jw.id_432 fr.rw.mg_432 
  0x11000413, 0x0b00010d, 0x170407ee, 0x19122d0c,   // ru.ro.un_650 en.es.un_540  bg.ru.sr_422 sk.hu.gl_543 
  0x00001101, 0x13000104, 0x05001804, 0x2b131ca0,   // ro.un.un_200 en.et.un_320  ga.fr.un_320 id.et.vi_322 
  // [1080]
  0x0d1c0912, 0x3f2506ad, 0x44041014, 0x01006e07,   // hi.mr.ne_654 de.eu.af_643  be.ru.kk_666 hmn.en.un_420 
  0x4408100b, 0x23003511, 0x03190a04, 0x04000704,   // be.uk.kk_542 tg.ky.un_630  pt.gl.nl_332 bg.ru.un_320 
  0x23004423, 0x1f000912, 0x350a30a0, 0x5623010c,   // kk.ky.un_880 pl.cy.un_640  uz.mk.tg_322 en.ca.mg_543 
  0x0a2755a0, 0x07100aa9, 0x07040807, 0x0a043009,   // rw.gd.pt_322 mk.be.bg_544  uk.ru.bg_432 uz.ru.mk_444 
  // [1090]
  0x441023a6, 0x0c00060c, 0x2300120c, 0x31003d0d,   // ky.be.kk_521 de.sv.un_530  hu.ca.un_530 ku.az.un_540 
  0x10080412, 0x0700170d, 0x06000c05, 0x2a001804,   // ru.uk.be_654 sr.bg.un_540  sv.de.un_330 ga.mt.un_320 
  0x30001702, 0x1000110c, 0x44002302, 0x37007313,   // sr.uz.un_220 ro.be.un_530  ky.kk.un_220 ny.st.un_650 
  0x27003f02, 0x10443055, 0x281e1c02, 0x1c001304,   // af.gd.un_220 uz.kk.be_442  id.ms.sw_222 et.id.un_320 
  // [10a0]
  0x08101705, 0x1b001205, 0x311b120c, 0x311b13a7,   // sr.be.uk_333 hu.tr.un_330  hu.tr.az_543 et.tr.az_532 
  0x0804115a, 0x0c003707, 0x00000d2d, 0x31371bec,   // ro.ru.uk_553 st.sv.un_420  ne.un.un_A00 tr.st.az_644 
  0x181f73ac, 0x062b3008, 0x17000813, 0x44000418,   // ny.cy.ga_632 uz.vi.de_443  uk.sr.un_650 ru.kk.un_740 
  0x132703a0, 0x0f002804, 0x091c1308, 0x2b007313,   // nl.gd.et_322 sw.lv.un_320  bh.mr.hi_443 ny.vi.un_650 
  // [10b0]
  0x09001c05, 0x09000614, 0x32002912, 0x170a3512,   // mr.hi.un_330 de.pl.un_660  sl.bs.un_640 tg.mk.sr_654 
  0x11001902, 0x08173507, 0x1e001c07, 0x30001707,   // gl.ro.un_220 tg.sr.uk_432  id.ms.un_420 sr.uz.un_420 
  0x3f002104, 0x2a001319, 0x32171660, 0x28002704,   // jw.af.un_320 et.mt.un_750  hr.sr.bs_664 gd.sw.un_320 
  0x350a11a7, 0x033f53a4, 0x1b123112, 0x12001b1a,   // ro.mk.tg_532 ht.af.nl_433  az.hu.tr_654 tr.hu.un_760 
  // [10c0]
  0x172d2908, 0x010528ad, 0x28006b04, 0x303112ad,   // sl.sk.sr_443 sw.fr.en_643  ceb.sw.un_320 hu.az.uz_643 
  0x013020a6, 0x23005307, 0x121b2d0c, 0x23530904,   // sq.uz.en_521 ht.ca.un_420  sk.tr.hu_543 pl.ht.ca_332 
  0x1b1629a4, 0x2d001e02, 0x1e2f180d, 0x11300413,   // sl.hr.tr_433 ms.sk.un_220  ga.su.ms_554 ru.uz.ro_665 
  0x53000504, 0x08005612, 0x0400120e, 0x1c13090d,   // fr.ht.un_320 mg.no.un_640  hu.fi.un_550 hi.bh.mr_554 
  // [10d0]
  0x0f073d07, 0x0c3f0312, 0x32175609, 0x2d005313,   // ku.it.lv_432 nl.af.sv_654  mg.sr.bs_444 ht.sk.un_650 
  0x00002d03, 0x092d560d, 0x550456ee, 0x0e1356ad,   // sk.un.un_300 mg.sk.pl_554  mg.fi.rw_422 mg.et.is_643 
  0x182b27a7, 0x230410ec, 0x0d091302, 0x05110aa0,   // gd.vi.ga_532 be.ru.ky_644  bh.hi.ne_222 pt.ro.fr_322 
  0x3d56370c, 0x09005308, 0x3f000309, 0x07001113,   // st.mg.ku_543 ht.pl.un_430  nl.af.un_440 ro.bg.un_650 
  // [10e0]
  0x27190b02, 0x562f37ee, 0x110203ee, 0x0e205507,   // es.gl.gd_222 st.su.mg_422  nl.da.ro_422 rw.sq.is_432 
  0x100e06a0, 0x10071707, 0x0e551355, 0x09001c0b,   // de.is.lt_322 sr.bg.be_432  et.rw.is_442 mr.hi.un_520 
  0x062d0d04, 0x29033da0, 0x2d0d29ee, 0x296e0da0,   // cs.sk.de_332 ku.nl.sl_322  sl.cs.sk_422 cs.hmn.sl_322 
  0x10040a09, 0x2f20550d, 0x27123fee, 0x03090708,   // mk.ru.be_444 rw.sq.su_554  af.hu.gd_422 it.pl.nl_443 
  // [10f0]
  0x560730ec, 0x05002f04, 0x1100070d, 0x03003f0d,   // uz.it.mg_644 su.fr.un_320  it.ro.un_540 af.nl.un_540 
  0x1206020c, 0x120307ee, 0x551a6b02, 0x3d001320,   // da.de.hu_543 it.nl.hu_422  ceb.tl.rw_222 et.ku.un_850 
  0x040811a0, 0x37002805, 0x2f135608, 0x170711a6,   // ro.uk.ru_322 sw.st.un_330  mg.et.su_443 ro.bg.sr_521 
  0x163217ad, 0x21002f04, 0x2f095507, 0x0e000219,   // sr.bs.hr_643 su.jw.un_320  rw.pl.su_432 da.is.un_750 
  // [1100]
  0x0d1a37a4, 0x1f002013, 0x2d000d0d, 0x04001709,   // st.tl.cs_433 sq.cy.un_650  cs.sk.un_540 sr.ru.un_440 
  0x16001007, 0x0a1b2304, 0x53000304, 0x0a070107,   // lt.hr.un_420 ca.tr.pt_332  nl.ht.un_320 en.it.pt_432 
  0x040105ee, 0x05002f0c, 0x30003536, 0x2d12080c,   // fr.en.fi_422 su.fr.un_530  tg.uz.un_AA0 no.hu.sk_543 
  0x04170a12, 0x07043507, 0x110825ee, 0x1200101b,   // mk.sr.ru_654 tg.ru.bg_432  eu.no.ro_422 lt.hu.un_770 
  // [1110]
  0x0a041707, 0x06001305, 0x30080aaf, 0x0b2b5602,   // sr.ru.mk_432 et.de.un_330  mk.uk.uz_655 mg.vi.es_222 
  0x3f0301a0, 0x01001f07, 0x052311a4, 0x2118120c,   // en.nl.af_322 cy.en.un_420  ro.ca.fr_433 ur.ar.fa_543 
  0x20001f04, 0x3202300c, 0x171111af, 0x10084455,   // cy.sq.un_320 uz.da.bs_543  ro.ro.sr_655 kk.uk.be_442 
  0x0a3023ad, 0x092512ec, 0x170811a0, 0x321f2fa0,   // ky.uz.mk_643 hu.eu.pl_644  ro.uk.sr_322 su.cy.bs_322 
  // [1120]
  0x1a000411, 0x2b001f04, 0x112718ad, 0x1f000c13,   // fi.tl.un_630 cy.vi.un_320  ga.gd.ro_643 sv.cy.un_650 
  0x00006e37, 0x2a0708a4, 0x13000904, 0x30000412,   // hmn.un.un_B00 no.it.mt_433  hi.bh.un_320 ru.uz.un_640 
  0x25000804, 0x101308a0, 0x2d090da7, 0x05110807,   // no.eu.un_320 no.et.lt_322  cs.pl.sk_532 no.ro.fr_432 
  0x11006e22, 0x04000a04, 0x27306e11, 0x051827a9,   // hmn.ro.un_870 mk.ru.un_320  hmn.uz.gd_653 gd.ga.fr_544 
  // [1130]
  0x11080409, 0x05182711, 0x6e003014, 0x083f6e07,   // ru.uk.ro_444 gd.ga.fr_653  uz.hmn.un_660 hmn.af.no_432 
  0x0708040c, 0x00006b01, 0x06002102, 0x07001702,   // ru.uk.bg_543 ceb.un.un_200  jw.de.un_220 sr.bg.un_220 
  0x0527180d, 0x13000922, 0x033f23a4, 0x23000408,   // ga.gd.fr_554 hi.bh.un_870  ca.af.nl_433 ru.ky.un_430 
  0x30002302, 0x30234455, 0x1f000c19, 0x321629ec,   // ky.uz.un_220 kk.ky.uz_442  sv.cy.un_750 sl.hr.bs_644 
  // [1140]
  0x16002913, 0x64007302, 0x0a000d07, 0x0800020b,   // sl.hr.un_650 ny.lg.un_220  cs.pt.un_420 da.no.un_520 
  0x040817ec, 0x1300092c, 0x211e1c13, 0x211c2fec,   // sr.uk.ru_644 hi.bh.un_990  id.ms.jw_665 su.id.jw_644 
  0x0e3f1a07, 0x28001013, 0x19002304, 0x2037250c,   // tl.af.is_432 lt.sw.un_650  ca.gl.un_320 eu.st.sq_543 
  0x3000081b, 0x12306b02, 0x19000a0c, 0x64100f0c,   // uk.uz.un_770 ceb.uz.hu_222  pt.gl.un_530 lv.lt.lg_543 
  // [1150]
  0x250873ee, 0x092d0d08, 0x100804a9, 0x0e0d1007,   // ny.no.eu_422 cs.sk.pl_443  ru.uk.be_544 lt.cs.is_432 
  0x1f0973a0, 0x28732108, 0x06033fa7, 0x230a1ea0,   // ny.pl.cy_322 jw.ny.sw_443  af.nl.de_532 ms.pt.ca_322 
  0x08280e07, 0x0f731ea0, 0x09002a08, 0x06000804,   // is.sw.no_432 ms.ny.lv_322  mt.pl.un_430 no.de.un_320 
  0x0b212f08, 0x2d0d12af, 0x061e0e07, 0x0708300c,   // su.jw.es_443 hu.cs.sk_655  is.ms.de_432 uz.uk.bg_543 
  // [1160]
  0x0a0710af, 0x0e082a12, 0x03023f08, 0x11200212,   // be.bg.mk_655 mt.no.is_654  af.da.nl_443 da.sq.ro_654 
  0x00000524, 0x55643707, 0x0800201a, 0x0a3f03a4,   // fr.un.un_900 st.lg.rw_432  sq.no.un_760 nl.af.pt_433 
  0x060d040c, 0x211812ad, 0x3f060a09, 0x03040608,   // fi.cs.de_543 ur.ar.fa_643  pt.de.af_444 de.fi.nl_443 
  0x1e1c0fa0, 0x040807a9, 0x04132012, 0x5528640b,   // lv.id.ms_322 bg.uk.ru_544  sq.et.fi_654 lg.sw.rw_542 
  // [1170]
  0x16640e08, 0x53020b05, 0x234404a9, 0x20080c08,   // is.lg.hr_443 es.da.ht_333  ru.kk.ky_544 sv.no.sq_443 
  0x293208a4, 0x2d0d0914, 0x06000305, 0x300a07ad,   // no.bs.sl_433 pl.cs.sk_666  nl.de.un_330 bg.mk.uz_643 
  0x3f040308, 0x0308200c, 0x08033faf, 0x1f190bad,   // nl.fi.af_443 sq.no.nl_543  af.nl.no_655 es.gl.cy_643 
  0x0a040705, 0x20000b19, 0x2a001704, 0x1106190d,   // bg.ru.mk_333 es.sq.un_750  sr.mt.un_320 gl.de.ro_554 
  // [1180]
  0x016e0cad, 0x0d000919, 0x08002a0c, 0x18000521,   // sv.hmn.en_643 hi.ne.un_750  mt.no.un_530 fr.ga.un_860 
  0x080a1708, 0x2f090107, 0x0804070c, 0x1e1c2f0c,   // sr.mk.uk_443 en.pl.su_432  bg.ru.uk_543 su.id.ms_543 
  0x12002508, 0x53003f05, 0x0b2307ad, 0x0e0c3f04,   // eu.hu.un_430 af.ht.un_330  it.ca.es_643 af.sv.is_332 
  0x1900230d, 0x0b0a1905, 0x29200908, 0x092010ac,   // ca.gl.un_540 gl.pt.es_333  pl.sq.sl_443 lt.sq.pl_632 
  // [1190]
  0x533d0213, 0x2f1e1c09, 0x07001114, 0x1000040d,   // da.ku.ht_665 id.ms.su_444  ro.it.un_660 fi.lt.un_540 
  0x172d0d08, 0x08002919, 0x2f1c1eaf, 0x2700180d,   // cs.sk.sr_443 sl.no.un_750  ms.id.su_655 ga.gd.un_540 
  0x032008a0, 0x2b001119, 0x18273fa4, 0x1c001308,   // no.sq.nl_322 ro.vi.un_750  af.gd.ga_433 bh.mr.un_430 
  0x0604090c, 0x28100f0e, 0x03063f09, 0x13000921,   // pl.fi.de_543 lv.lt.sw_555  af.de.nl_444 hi.bh.un_860 
  // [11a0]
  0x08200309, 0x18002722, 0x2920030c, 0x2d001008,   // nl.sq.no_444 gd.ga.un_870  nl.sq.sl_543 lt.sk.un_430 
  0x1c001e22, 0x06000a04, 0x28001104, 0x12015660,   // ms.id.un_870 pt.de.un_320  ro.sw.un_320 mg.en.hu_664 
  0x17070408, 0x1f006b04, 0x11070509, 0x08070a09,   // ru.bg.sr_443 ceb.cy.un_320  fr.it.ro_444 mk.bg.uk_444 
  0x3055310c, 0x551805a4, 0x56001212, 0x01005621,   // az.rw.uz_543 fr.ga.rw_433  hu.mg.un_640 mg.en.un_860 
  // [11b0]
  0x01000c13, 0x1632170d, 0x2800550c, 0x0c732ba7,   // sv.en.un_650 sr.bs.hr_554  rw.sw.un_530 vi.ny.sv_532 
  0x2d0d01a0, 0x08170aa4, 0x1221180e, 0x1200211a,   // en.cs.sk_322 mk.sr.uk_433  ar.fa.ur_555 fa.ur.un_760 
  0x2f2b1ba0, 0x0800170e, 0x2b00370d, 0x2d000d0c,   // tr.vi.su_322 sr.uk.un_550  st.vi.un_540 cs.sk.un_530 
  0x292d0d05, 0x1c000914, 0x17230705, 0x18007304,   // cs.sk.sl_333 hi.mr.un_660  bg.ky.sr_333 ny.ga.un_320 
  // [11c0]
  0x09000c0d, 0x1c1309a9, 0x04000821, 0x1711110c,   // sv.pl.un_540 hi.bh.mr_544  uk.ru.un_860 ro.ro.sr_543 
  0x2d56010c, 0x04001014, 0x212f53ad, 0x1b003104,   // en.mg.sk_543 be.ru.un_660  ht.su.jw_643 az.tr.un_320 
  0x0000291c, 0x19000a07, 0x06001b09, 0x1e0c1cee,   // sl.un.un_800 pt.gl.un_420  tr.de.un_440 id.sv.ms_422 
  0x0e0604a6, 0x17000a07, 0x30070aa4, 0x21201e09,   // fi.de.is_521 mk.sr.un_420  mk.bg.uz_433 ms.sq.jw_444 
  // [11d0]
  0x211e2f04, 0x0d122d0c, 0x07000a09, 0x0a07040b,   // su.ms.jw_332 sk.hu.cs_543  mk.bg.un_440 ru.bg.mk_542 
  0x063f2a04, 0x010318ee, 0x3f082a07, 0x0c001c07,   // mt.af.de_332 ga.nl.en_422  mt.no.af_432 id.sv.un_420 
  0x29033f0c, 0x01215302, 0x3f000305, 0x4400231b,   // af.nl.sl_543 ht.jw.en_222  nl.af.un_330 ky.kk.un_770 
  0x55007314, 0x06216ea0, 0x08132aa0, 0x091c1313,   // ny.rw.un_660 hmn.jw.de_322  mt.et.no_322 bh.mr.hi_665 
  // [11e0]
  0x1200280b, 0x0c022a04, 0x17002007, 0x18211205,   // sw.hu.un_520 mt.da.sv_332  sq.sr.un_420 ur.fa.ar_333 
  0x0e002d08, 0x190a1aa9, 0x08001004, 0x04081007,   // sk.is.un_430 tl.pt.gl_544  be.uk.un_320 be.uk.ru_432 
  0x08001c04, 0x00002f1c, 0x6b002f09, 0x37296411,   // id.no.un_320 su.un.un_800  su.ceb.un_440 lg.sl.st_653 
  0x2300440d, 0x16321713, 0x10001b2a, 0x0407105a,   // kk.ky.un_540 sr.bs.hr_665  tr.lt.un_970 be.bg.ru_553 
  // [11f0]
  0x070417a0, 0x04091013, 0x30000702, 0x1c072102,   // sr.ru.bg_322 lt.pl.fi_665  it.uz.un_220 jw.it.id_222 
  0x04000a0c, 0x0e002804, 0x3d063705, 0x1e001c23,   // mk.ru.un_530 sw.is.un_320  st.de.ku_333 id.ms.un_880 
  0x08041702, 0x040710a0, 0x30313d0c, 0x730b075a,   // sr.ru.uk_222 be.bg.ru_322  ku.az.uz_543 it.es.ny_553 
  0x6b3706a9, 0x3d100608, 0x18002121, 0x13091c14,   // de.st.ceb_544 de.lt.ku_443  fa.ar.un_860 mr.hi.bh_666 
  // [1200]
  0x053f0d0c, 0x25080c08, 0x090d13ee, 0x1b1e1ca9,   // cs.af.fr_543 sv.no.eu_443  bh.ne.hi_422 id.ms.tr_544 
  0x1c1309af, 0x0a004421, 0x2f091ba0, 0x23001b05,   // hi.bh.mr_655 kk.mk.un_860  tr.pl.su_322 tr.ca.un_330 
  0x29190b5a, 0x12001912, 0x201b11a0, 0x03063fa9,   // es.gl.sl_553 gl.hu.un_640  ro.tr.sq_322 af.de.nl_544 
  0x2f1e1c05, 0x2b172102, 0x0a070809, 0x13000d12,   // id.ms.su_333 jw.sr.vi_222  uk.bg.mk_444 ne.bh.un_640 
  // [1210]
  0x0f132004, 0x07170a07, 0x300a1007, 0x2f001107,   // sq.et.lv_332 mk.sr.bg_432  be.mk.uz_432 ro.su.un_420 
  0x1e1c37af, 0x09001321, 0x2923190c, 0x072311ee,   // st.id.ms_655 bh.hi.un_860  gl.ca.sl_543 ro.ca.it_422 
  0x2300250d, 0x071704a4, 0x0d1c090d, 0x070a0409,   // eu.ca.un_540 ru.sr.bg_433  hi.mr.ne_554 ru.mk.bg_444 
  0x083035ac, 0x03002102, 0x10643705, 0x04000707,   // tg.uz.uk_632 jw.nl.un_220  st.lg.lt_333 bg.ru.un_420 
  // [1220]
  0x2d021112, 0x0a001712, 0x0800101b, 0x0d0913ad,   // ro.da.sk_654 sr.mk.un_640  be.uk.un_770 bh.hi.ne_643 
  0x202d11a0, 0x18002120, 0x08000c02, 0x231901a0,   // ro.sk.sq_322 fa.ar.un_850  sv.no.un_220 en.gl.ca_322 
  0x32001b07, 0x11000108, 0x112801ee, 0x04170709,   // tr.bs.un_420 en.ro.un_430  en.sw.ro_422 bg.sr.ru_444 
  0x1c130904, 0x2d000d04, 0x090d1c0d, 0x17000a14,   // hi.bh.mr_332 cs.sk.un_320  mr.ne.hi_554 mk.sr.un_660 
  // [1230]
  0x1c00090d, 0x080704af, 0x18002721, 0x2f001e08,   // hi.mr.un_540 ru.bg.uk_655  gd.ga.un_860 ms.su.un_430 
  0x080a1704, 0x2800730b, 0x270b6e04, 0x2f1e1c13,   // sr.mk.uk_332 ny.sw.un_520  hmn.es.gd_332 id.ms.su_665 
  0x0c040ba7, 0x070403af, 0x1e005307, 0x3f000304,   // es.fi.sv_532 nl.fi.it_655  ht.ms.un_420 nl.af.un_320 
  0x25190bee, 0x060a04ad, 0x010a07ee, 0x0400110c,   // es.gl.eu_422 fi.pt.de_643  it.pt.en_422 ro.ru.un_530 
  // [1240]
  0x00001b03, 0x20733711, 0x102d0f14, 0x6b642f09,   // tr.un.un_300 st.ny.sq_653  lv.sk.lt_666 su.lg.ceb_444 
  0x640a2aa9, 0x6b2f1a05, 0x02000307, 0x6b000104,   // mt.pt.lg_544 tl.su.ceb_333  nl.da.un_420 en.ceb.un_320 
  0x35111108, 0x44041004, 0x08006b07, 0x11563705,   // ro.ro.tg_443 be.ru.kk_332  ceb.no.un_420 st.mg.ro_333 
  0x217364a4, 0x1a212f07, 0x0a071702, 0x2d005609,   // lg.ny.jw_433 su.jw.tl_432  sr.bg.mk_222 mg.sk.un_440 
  // [1250]
  0x1c110107, 0x37003208, 0x08100409, 0x1b130414,   // en.ro.id_432 bs.st.un_430  ru.be.uk_444 fi.et.tr_666 
  0x211c3d0c, 0x0900040c, 0x4400300e, 0x201101a4,   // ku.id.jw_543 fi.pl.un_530  uz.kk.un_550 en.ro.sq_433 
  0x2d000908, 0x12001808, 0x0f000704, 0x0a040804,   // pl.sk.un_430 ga.hu.un_430  it.lv.un_320 uk.ru.mk_332 
  0x04081060, 0x09000204, 0x1200212b, 0x09007307,   // be.uk.ru_664 da.pl.un_320  fa.ur.un_980 ny.pl.un_420 
  // [1260]
  0x1a000b04, 0x02303155, 0x073256ec, 0x0a210907,   // es.tl.un_320 az.uz.da_442  mg.bs.it_644 pl.jw.pt_432 
  0x0600041a, 0x3f040e14, 0x64563708, 0x077337a4,   // fi.de.un_760 is.fi.af_666  st.mg.lg_443 st.ny.it_433 
  0x2a00020d, 0x44040808, 0x2f211a14, 0x07170aad,   // da.mt.un_540 uk.ru.kk_443  tl.jw.su_666 mk.sr.bg_643 
  0x12001009, 0x211e2f05, 0x1c090d04, 0x1b032fa0,   // lt.hu.un_440 su.ms.jw_333  ne.hi.mr_332 su.nl.tr_322 
  // [1270]
  0x170a0760, 0x07000a05, 0x00006b1c, 0x10040704,   // bg.mk.sr_664 mk.bg.un_330  ceb.un.un_800 bg.ru.be_332 
  0x0d1309a7, 0x2f1c1e07, 0x090d1c12, 0x0c000d08,   // hi.bh.ne_532 ms.id.su_432  mr.ne.hi_654 cs.sv.un_430 
  0x231101a4, 0x00000406, 0x3000441a, 0x32291609,   // en.ro.ca_433 fi.un.un_400  kk.uz.un_760 hr.sl.bs_444 
  0x040f10af, 0x1f5301a4, 0x19000b23, 0x06000307,   // lt.lv.fi_655 en.ht.cy_433  es.gl.un_880 nl.de.un_420 
  // [1280]
  0x1c090dad, 0x091c0d05, 0x1100300e, 0x12003004,   // ne.hi.mr_643 ne.mr.hi_333  uz.ro.un_550 uz.hu.un_320 
  0x30002309, 0x1700100d, 0x25001904, 0x1b002f0e,   // ky.uz.un_440 be.sr.un_540  gl.eu.un_320 su.tr.un_550 
  0x0a11010c, 0x0a0417a0, 0x19000b1b, 0x08001008,   // en.ro.pt_543 sr.ru.mk_322  es.gl.un_770 be.uk.un_430 
  0x10000408, 0x06000c09, 0x19000b2c, 0x56732504,   // ru.be.un_430 sv.de.un_440  es.gl.un_990 eu.ny.mg_332 
  // [1290]
  0x08022a02, 0x3d001220, 0x03002313, 0x32000d07,   // mt.da.no_222 hu.ku.un_850  ca.nl.un_650 cs.bs.un_420 
  0x0a23075a, 0x090d1c11, 0x2d3f0d08, 0x07170a13,   // it.ca.pt_553 mr.ne.hi_653  cs.af.sk_443 mk.sr.bg_665 
  0x120d03a4, 0x07040a02, 0x0d002902, 0x1030170d,   // nl.cs.hu_433 mk.ru.bg_222  sl.cs.un_220 sr.uz.be_554 
  0x2f000509, 0x07041708, 0x0a0723a7, 0x21001a07,   // fr.su.un_440 sr.ru.bg_443  ky.bg.mk_532 tl.jw.un_420 
  // [12a0]
  0x0a1c2fa0, 0x03062508, 0x2b731b04, 0x37001a13,   // su.id.pt_322 eu.de.nl_443  tr.ny.vi_332 tl.st.un_650 
  0x21011302, 0x2b006b2a, 0x06030a09, 0x170a0407,   // et.en.jw_222 ceb.vi.un_970  pt.nl.de_444 ru.mk.sr_432 
  0x233044a4, 0x35002312, 0x12000a04, 0x1a006b36,   // kk.uz.ky_433 ky.tg.un_640  pt.hu.un_320 ceb.tl.un_AA0 
  0x061b0312, 0x10042011, 0x0a070ba0, 0x04003204,   // nl.tr.de_654 sq.fi.lt_653  es.it.pt_322 bs.fi.un_320 
  // [12b0]
  0x1e2b1ca0, 0x37003023, 0x0d162d07, 0x110a070c,   // id.vi.ms_322 uz.st.un_880  sk.hr.cs_432 bg.mk.ro_543 
  0x35081004, 0x30190b05, 0x3f000308, 0x06000c08,   // be.uk.tg_332 es.gl.uz_333  nl.af.un_430 sv.de.un_430 
  0x550d1b07, 0x3d0a1212, 0x080a30a4, 0x07440a07,   // tr.cs.rw_432 hu.pt.ku_654  uz.mk.uk_433 mk.kk.bg_432 
  0x2800030c, 0x080a1007, 0x21000c07, 0x08000607,   // nl.sw.un_530 be.mk.uk_432  sv.jw.un_420 de.no.un_420 
  // [12c0]
  0x0d040c0c, 0x07000513, 0x0f000608, 0x27033fac,   // sv.fi.cs_543 fr.it.un_650  de.lv.un_430 af.nl.gd_632 
  0x23032b0c, 0x0d0406a0, 0x06171605, 0x1e2f1ca0,   // vi.nl.ca_543 de.fi.cs_322  hr.sr.de_333 id.su.ms_322 
  0x12007321, 0x2d003012, 0x2a0d20ad, 0x0f002919,   // ny.hu.un_860 uz.sk.un_640  sq.cs.mt_643 sl.lv.un_750 
  0x07170aa0, 0x07040814, 0x170708a4, 0x19250b07,   // mk.sr.bg_322 uk.ru.bg_666  uk.bg.sr_433 es.eu.gl_432 
  // [12d0]
  0x2a003014, 0x06001a02, 0x23041007, 0x06001b12,   // uz.mt.un_660 tl.de.un_220  be.ru.ky_432 tr.de.un_640 
  0x10040813, 0x01171602, 0x041017a0, 0x2a001705,   // uk.ru.be_665 hr.sr.en_222  sr.be.ru_322 sr.mt.un_330 
  0x03003f18, 0x2a00180c, 0x210c1708, 0x11080405,   // af.nl.un_740 ga.mt.un_530  sr.sv.jw_443 ru.uk.ro_333 
  0x07003005, 0x0710040d, 0x04000a05, 0x30002705,   // uz.bg.un_330 ru.be.bg_554  mk.ru.un_330 gd.uz.un_330 
  // [12e0]
  0x070901a7, 0x35003021, 0x17002d04, 0x0d091309,   // en.pl.it_532 uz.tg.un_860  sk.sr.un_320 bh.hi.ne_444 
  0x6b2a01a4, 0x10060fad, 0x2f002108, 0x100a17af,   // en.mt.ceb_433 lv.de.lt_643  jw.su.un_430 sr.mk.be_655 
  0x202d290c, 0x292d0d5a, 0x100f0713, 0x18000108,   // sl.sk.sq_543 cs.sk.sl_553  it.lv.lt_665 en.ga.un_430 
  0x532a2107, 0x00003103, 0x11040860, 0x04081712,   // jw.mt.ht_432 az.un.un_300  uk.ru.ro_664 sr.uk.ru_654 
  // [12f0]
  0x0f562904, 0x172a10a4, 0x0d080204, 0x1f002f09,   // sl.mg.lv_332 lt.mt.sr_433  da.no.cs_332 su.cy.un_440 
  0x04033f55, 0x3f000318, 0x0a000707, 0x64002a1a,   // af.nl.fi_442 nl.af.un_740  bg.mk.un_420 mt.lg.un_760 
  0x32002a09, 0x1803270d, 0x0e001004, 0x1b303113,   // mt.bs.un_440 gd.nl.ga_554  lt.is.un_320 az.uz.tr_665 
  0x10090f12, 0x3f000311, 0x032718a7, 0x731e1ca9,   // lv.pl.lt_654 nl.af.un_630  ga.gd.nl_532 id.ms.ny_544 
  // [1300]
  0x2d0d37a4, 0x10002307, 0x28007309, 0x130f2002,   // st.cs.sk_433 ky.be.un_420  ny.sw.un_440 sq.lv.et_222 
  0x0f292a60, 0x31001b09, 0x032718af, 0x032513a4,   // mt.sl.lv_664 tr.az.un_440  ga.gd.nl_655 et.eu.nl_433 
  0x0d092d55, 0x1f00641b, 0x04002802, 0x257312ec,   // sk.pl.cs_442 lg.cy.un_770  sw.fi.un_220 hu.ny.eu_644 
  0x0d130911, 0x6b081aec, 0x310b19a0, 0x0807100c,   // hi.bh.ne_653 tl.no.ceb_644  gl.es.az_322 be.bg.uk_543 
  // [1310]
  0x04100808, 0x04353008, 0x292a0f13, 0x1253250c,   // uk.be.ru_443 uz.tg.ru_443  lv.mt.sl_665 eu.ht.hu_543 
  0x04081709, 0x0400291a, 0x23001109, 0x19052012,   // sr.uk.ru_444 sl.fi.un_760  ro.ca.un_440 sq.fr.gl_654 
  0x290e2aa9, 0x13292a09, 0x18033f12, 0x1b30310e,   // mt.is.sl_544 mt.sl.et_444  af.nl.ga_654 az.uz.tr_555 
  0x290f2a12, 0x081710a0, 0x31301b5a, 0x17257308,   // mt.lv.sl_654 be.sr.uk_322  tr.uz.az_553 ny.eu.sr_443 
  // [1320]
  0x170a30a7, 0x190a23a9, 0x0c09100c, 0x04130ca9,   // uz.mk.sr_532 ca.pt.gl_544  lt.pl.sv_543 sv.et.fi_544 
  0x30003107, 0x3f287308, 0x282537a4, 0x101e1c08,   // az.uz.un_420 ny.sw.af_443  st.eu.sw_433 id.ms.lt_443 
  0x02310804, 0x17000a12, 0x2937250c, 0x44040a0c,   // no.az.da_332 mk.sr.un_640  eu.st.sl_543 mk.ru.kk_543 
  0x3100301a, 0x0835040e, 0x30001813, 0x03002a04,   // uz.az.un_760 ru.tg.uk_555  ga.uz.un_650 mt.nl.un_320 
  // [1330]
  0x30000413, 0x101c1105, 0x10130404, 0x213d12a9,   // ru.uz.un_650 ro.id.lt_333  fi.et.lt_332 hu.ku.jw_544 
  0x2a53010c, 0x5302560c, 0x1e001c2c, 0x1c005319,   // en.ht.mt_543 mg.da.ht_543  id.ms.un_990 ht.id.un_750 
  0x19300ba6, 0x03212faf, 0x04131ba4, 0x0d171307,   // es.uz.gl_521 su.jw.nl_655  tr.et.fi_433 et.sr.cs_432 
  0x6b000913, 0x130504a0, 0x17002907, 0x04131b0c,   // pl.ceb.un_650 fi.fr.et_322  sl.sr.un_420 tr.et.fi_543 
  // [1340]
  0x201b730b, 0x02000808, 0x23190ba0, 0x23000414,   // ny.tr.sq_542 no.da.un_430  es.gl.ca_322 ru.ky.un_660 
  0x0a0701ee, 0x1b003f21, 0x03120f12, 0x6e6b010c,   // en.it.pt_422 af.tr.un_860  lv.hu.nl_654 en.ceb.hmn_543 
  0x37111213, 0x3f031b0e, 0x6b001a13, 0x080417ee,   // hu.ro.st_665 tr.nl.af_555  tl.ceb.un_650 sr.ru.uk_422 
  0x211c1e0c, 0x7328270c, 0x1b001308, 0x10000413,   // ms.id.jw_543 gd.sw.ny_543  et.tr.un_430 ru.be.un_650 
  // [1350]
  0x06001f23, 0x01253f08, 0x64552511, 0x1f230509,   // cy.de.un_880 af.eu.en_443  eu.rw.lg_653 fr.ca.cy_444 
  0x641b5508, 0x230a19ee, 0x06371ca0, 0x050601a4,   // rw.tr.lg_443 gl.pt.ca_422  id.st.de_322 en.de.fr_433 
  0x0600272b, 0x1b731c07, 0x122d0d14, 0x06271804,   // gd.de.un_980 id.ny.tr_432  cs.sk.hu_666 ga.gd.de_332 
  0x0e000d14, 0x0f002702, 0x170903a4, 0x2a2032ee,   // cs.is.un_660 gd.lv.un_220  nl.pl.sr_433 bs.sq.mt_422 
  // [1360]
  0x642006af, 0x25733708, 0x07201b0b, 0x2000040c,   // de.sq.lg_655 st.ny.eu_443  tr.sq.it_542 fi.sq.un_530 
  0x1300550d, 0x07231107, 0x2a203dee, 0x050723a4,   // rw.et.un_540 ro.ky.bg_432  ku.sq.mt_422 ca.it.fr_433 
  0x0900110c, 0x1b0430a9, 0x733f030c, 0x3f000620,   // ro.pl.un_530 uz.fi.tr_544  nl.af.ny_543 de.af.un_850 
  0x102b1107, 0x0a00060d, 0x1b530907, 0x200e045a,   // ro.vi.lt_432 de.pt.un_540  pl.ht.tr_432 fi.is.sq_553 
  // [1370]
  0x173510a4, 0x20311ba7, 0x2100120c, 0x0c3706a4,   // be.tg.sr_433 tr.az.sq_532  ur.fa.un_530 de.st.sv_433 
  0x04300705, 0x2f211c0e, 0x55071b0c, 0x092d0d05,   // it.uz.fi_333 id.jw.su_555  tr.it.rw_543 cs.sk.pl_333 
  0x3723195a, 0x550f1ba4, 0x2800372b, 0x1823010c,   // gl.ca.st_553 tr.lv.rw_433  st.sw.un_980 en.ca.ga_543 
  0x37001c08, 0x1c2f21af, 0x3100200c, 0x1a006b07,   // id.st.un_430 jw.su.id_655  sq.az.un_530 ceb.tl.un_420 
  // [1380]
  0x0c7301a4, 0x27181355, 0x18282bad, 0x0d0506ad,   // en.ny.sv_433 et.ga.gd_442  vi.sw.ga_643 de.fr.cs_643 
  0x17292d12, 0x11000a0e, 0x0300062b, 0x2b280a0c,   // sk.sl.sr_654 pt.ro.un_550  de.nl.un_980 pt.sw.vi_543 
  0x070423a0, 0x020618ec, 0x301b3105, 0x12040cee,   // ky.ru.bg_322 ga.de.da_644  az.tr.uz_333 sv.fi.hu_422 
  0x2d0d090c, 0x37002b23, 0x0c002a07, 0x061f370b,   // pl.cs.sk_543 vi.st.un_880  mt.sv.un_420 st.cy.de_542 
  // [1390]
  0x2f000508, 0x23000808, 0x0c0a3f02, 0x64002505,   // fr.su.un_430 no.ca.un_430  af.pt.sv_222 eu.lg.un_330 
  0x1b0401a4, 0x13200414, 0x0c2f21a0, 0x56002822,   // en.fi.tr_433 fi.sq.et_666  jw.su.sv_322 sw.mg.un_870 
  0x1f003d0e, 0x25096b07, 0x111104a4, 0x302829af,   // ku.cy.un_550 ceb.pl.eu_432  ru.ro.ro_433 sl.sw.uz_655 
  0x29003007, 0x0a562bad, 0x29001b0d, 0x08000204,   // uz.sl.un_420 vi.mg.pt_643  tr.sl.un_540 da.no.un_320 
  // [13a0]
  0x17041009, 0x0b0a1fec, 0x2b005622, 0x3007350e,   // be.ru.sr_444 cy.pt.es_644  mg.vi.un_870 tg.bg.uz_555 
  0x56001a2c, 0x44112311, 0x25005508, 0x10090ca0,   // tl.mg.un_990 ky.ro.kk_653  rw.eu.un_430 sv.pl.lt_322 
  0x07353008, 0x1f080ca9, 0x09080c0d, 0x131c09ac,   // uz.tg.bg_443 sv.no.cy_544  sv.no.pl_554 hi.mr.bh_632 
  0x04441105, 0x443023ec, 0x0e003005, 0x56001222,   // ro.kk.ru_333 ky.uz.kk_644  uz.is.un_330 hu.mg.un_870 
  // [13b0]
  0x0f001704, 0x2300300e, 0x0a1111a9, 0x3f040304,   // sr.lv.un_320 uz.ky.un_550  ro.ro.mk_544 nl.fi.af_332 
  0x12002119, 0x321773a0, 0x21002f1a, 0x12133104,   // fa.ur.un_750 ny.sr.bs_322  su.jw.un_760 az.et.hu_332 
  0x0c001004, 0x0d002b07, 0x1300040c, 0x1c090da0,   // lt.sv.un_320 vi.cs.un_420  fi.et.un_530 ne.hi.mr_322 
  0x0e00181a, 0x23303560, 0x2f6b1a55, 0x6b1a56a0,   // ga.is.un_760 tg.uz.ky_664  tl.ceb.su_442 mg.tl.ceb_322 
  // [13c0]
  0x20000305, 0x17040802, 0x566b2f0c, 0x44002319,   // nl.sq.un_330 uk.ru.sr_222  su.ceb.mg_543 ky.kk.un_750 
  0x2f006b13, 0x2d0d56a9, 0x07001008, 0x0f002504,   // ceb.su.un_650 mg.cs.sk_544  be.bg.un_430 eu.lv.un_320 
  0x0d09560e, 0x0f0e3d07, 0x253d0ea9, 0x0700230d,   // mg.pl.cs_555 ku.is.lv_432  is.ku.eu_544 ky.bg.un_540 
  0x0a0407a4, 0x1a006b0e, 0x21002f22, 0x23441004,   // bg.ru.mk_433 ceb.tl.un_550  su.jw.un_870 be.kk.ky_332 
  // [13d0]
  0x04070a09, 0x27003d2a, 0x10030fee, 0x07303504,   // mk.bg.ru_444 ku.gd.un_970  lv.nl.lt_422 tg.uz.bg_332 
  0x200f3d08, 0x353023af, 0x0c001f21, 0x1b000804,   // ku.lv.sq_443 ky.uz.tg_655  cy.sv.un_860 no.tr.un_320 
  0x08001304, 0x0a23440c, 0x01060502, 0x08021f02,   // et.no.un_320 kk.ky.mk_543  fr.de.en_222 cy.da.no_222 
  0x73000412, 0x25002704, 0x0600080d, 0x1e2d0da4,   // fi.ny.un_640 gd.eu.un_320  no.de.un_540 cs.sk.ms_433 
  // [13e0]
  0x6b1a5612, 0x0f111205, 0x2d0d02a9, 0x0c086411,   // mg.tl.ceb_654 hu.ro.lv_333  da.cs.sk_544 lg.no.sv_653 
  0x181a5605, 0x07033f09, 0x04070a05, 0x0a302304,   // mg.tl.ga_333 af.nl.it_444  mk.bg.ru_333 ky.uz.mk_332 
  0x21131104, 0x293d0fa4, 0x030b28ad, 0x30003d05,   // ro.et.jw_332 lv.ku.sl_433  sw.es.nl_643 ku.uz.un_330 
  0x13090dad, 0x09005602, 0x290f3d55, 0x301b5307,   // ne.hi.bh_643 mg.pl.un_220  ku.lv.sl_442 ht.tr.uz_432 
  // [13f0]
  0x12310f04, 0x1008170c, 0x04001009, 0x291e1c05,   // lv.az.hu_332 sr.uk.be_543  be.ru.un_440 id.ms.sl_333 
  0x27003107, 0x55002012, 0x17001b0c, 0x31203007,   // az.gd.un_420 sq.rw.un_640  tr.sr.un_530 uz.sq.az_432 
  0x120f3d07, 0x3d020807, 0x270e1f07, 0x1a2d6b0c,   // ku.lv.hu_432 no.da.ku_432  cy.is.gd_432 ceb.sk.tl_543 
  0x3d0802a9, 0x6b0d2dec, 0x09000313, 0x130673ee,   // da.no.ku_544 sk.cs.ceb_644  nl.pl.un_650 ny.de.et_422 
  
  // [1400]
  0x100407a4, 0x2d0d310e, 0x531b310c, 0x1b0f1904,   // bg.ru.be_433 az.cs.sk_555  az.tr.ht_543 gl.lv.tr_332 
  0x6b551a13, 0x0b0a070b, 0x063f08a0, 0x1c2125a0,   // tl.rw.ceb_665 it.pt.es_542  no.af.de_322 eu.jw.id_322 
  0x0b0a1914, 0x21043f07, 0x10002a09, 0x080302ad,   // gl.pt.es_666 af.fi.jw_432  mt.lt.un_440 da.nl.no_643 
  0x03000b04, 0x6b001a19, 0x0f003202, 0x272a0ea7,   // es.nl.un_320 tl.ceb.un_750  bs.lv.un_220 is.mt.gd_532 
  // [1410]
  0x1a006b2b, 0x30231104, 0x2a556b11, 0x0c006b0d,   // ceb.tl.un_980 ro.ky.uz_332  ceb.rw.mt_653 ceb.sv.un_540 
  0x071711a4, 0x2f1e1c55, 0x04070a08, 0x06001f12,   // ro.sr.bg_433 id.ms.su_442  mk.bg.ru_443 cy.de.un_640 
  0x0d00310e, 0x02131f60, 0x6b292a04, 0x312d0d13,   // az.cs.un_550 cy.et.da_664  mt.sl.ceb_332 cs.sk.az_665 
  0x13090d14, 0x0a000718, 0x10282104, 0x1f2d0d13,   // ne.hi.bh_666 bg.mk.un_740  jw.sw.lt_332 cs.sk.cy_665 
  // [1420]
  0x043023a0, 0x00000b2d, 0x1c00130e, 0x1e1c2102,   // ky.uz.ru_322 bn.un.un_A00  bh.mr.un_550 jw.id.ms_222 
  0x1a2d31a0, 0x292d0d13, 0x73370812, 0x23003012,   // az.sk.tl_322 cs.sk.sl_665  no.st.ny_654 uz.ky.un_640 
  0x234430af, 0x0f052304, 0x2a006b08, 0x2a072312,   // uz.kk.ky_655 ca.fr.lv_332  ceb.mt.un_430 ca.it.mt_654 
  0x0a1711a0, 0x0300130c, 0x37126b07, 0x08730c07,   // ro.sr.mk_322 et.nl.un_530  ceb.hu.st_432 sv.ny.no_432 
  // [1430]
  0x21002704, 0x08041108, 0x1c0d09a7, 0x1e006b04,   // gd.jw.un_320 ro.ru.uk_443  hi.ne.mr_532 ceb.ms.un_320 
  0x043507ad, 0x201f0e0c, 0x1c212f02, 0x321629a7,   // bg.tg.ru_643 is.cy.sq_543  su.jw.id_222 sl.hr.bs_532 
  0x08000a14, 0x28003204, 0x070a11a4, 0x0d002d19,   // mk.uk.un_660 bs.sw.un_320  ro.pt.it_433 sk.cs.un_750 
  0x0a110704, 0x07171008, 0x1c130914, 0x18001219,   // bg.ro.mk_332 be.sr.bg_443  hi.bh.mr_666 ur.ar.un_750 
  // [1440]
  0x1b321702, 0x17270ea0, 0x6b1a6ea9, 0x00000c2d,   // sr.bs.tr_222 is.gd.sr_322  hmn.tl.ceb_544 sv.un.un_A00 
  0x07040a09, 0x08031307, 0x09001c0e, 0x080417af,   // mk.ru.bg_444 et.nl.no_432  mr.hi.un_550 sr.ru.uk_655 
  0x6e000808, 0x0a000812, 0x0a070405, 0x6e6b1a0d,   // no.hmn.un_430 uk.mk.un_640  ru.bg.mk_333 tl.ceb.hmn_554 
  0x1f000802, 0x19000a2c, 0x121f10a0, 0x21001811,   // no.cy.un_220 pt.gl.un_990  lt.cy.hu_322 ar.fa.un_630 
  // [1450]
  0x27190a0d, 0x09001c19, 0x1f102007, 0x6b000107,   // pt.gl.gd_554 mr.hi.un_750  sq.lt.cy_432 en.ceb.un_420 
  0x19000a23, 0x282f6e12, 0x18190a05, 0x101711a0,   // pt.gl.un_880 hmn.su.sw_654  pt.gl.ga_333 ro.sr.be_322 
  0x110208a7, 0x016e1ca0, 0x19000a0e, 0x1f190a13,   // no.da.ro_532 id.hmn.en_322  pt.gl.un_550 pt.gl.cy_665 
  0x09290a08, 0x6e000314, 0x2d0d300e, 0x302d0d0e,   // pt.sl.pl_443 nl.hmn.un_660  uz.cs.sk_555 cs.sk.uz_555 
  // [1460]
  0x12001f0c, 0x12060d0c, 0x321617ec, 0x120e0a0b,   // cy.hu.un_530 cs.de.hu_543  sr.hr.bs_644 pt.is.hu_542 
  0x091c0d11, 0x1106230b, 0x6e200d0c, 0x2d002908,   // ne.mr.hi_653 ca.de.ro_542  cs.sq.hmn_543 sl.sk.un_430 
  0x27190a60, 0x28002702, 0x0a001913, 0x6e1930a4,   // pt.gl.gd_664 gd.sw.un_220  gl.pt.un_650 uz.gl.hmn_433 
  0x063f02a4, 0x20000802, 0x0000442d, 0x1a006b35,   // da.af.de_433 no.sq.un_220  kk.un.un_A00 ceb.tl.un_A90 
  // [1470]
  0x30321704, 0x13210aad, 0x44002323, 0x6e005308,   // sr.bs.uz_332 pt.jw.et_643  ky.kk.un_880 ht.hmn.un_430 
  0x1f3f1a60, 0x01000604, 0x0a230d08, 0x112d0d07,   // tl.af.cy_664 de.en.un_320  cs.ca.pt_443 cs.sk.ro_432 
  0x3035230c, 0x1f0820a6, 0x230a07a4, 0x10190a5a,   // ky.tg.uz_543 sq.no.cy_521  bg.mk.ky_433 pt.gl.lt_553 
  0x0d00301a, 0x0400300e, 0x0b006402, 0x083504ee,   // uz.cs.un_760 uz.ru.un_550  lg.es.un_220 ru.tg.uk_422 
  // [1480]
  0x64190a5a, 0x0a000804, 0x020e0c60, 0x174410a4,   // pt.gl.lg_553 no.pt.un_320  sv.is.da_664 be.kk.sr_433 
  0x19000a05, 0x3d0d23a4, 0x0a290daf, 0x17290da4,   // pt.gl.un_330 ca.cs.ku_433  cs.sl.pt_655 cs.sl.sr_433 
  0x080410a9, 0x1c0d09af, 0x23000602, 0x040a0709,   // be.ru.uk_544 hi.ne.mr_655  de.ca.un_220 bg.mk.ru_444 
  0x20001705, 0x29060da4, 0x00001c2d, 0x00001a24,   // sr.sq.un_330 cs.de.sl_433  mr.un.un_A00 tl.un.un_900 
  // [1490]
  0x01002418, 0x4400300d, 0x3f2528ad, 0x09131cad,   // yi.iw.un_740 uz.kk.un_540  sw.eu.af_643 mr.bh.hi_643 
  0x02000812, 0x06005302, 0x250564ec, 0x2d0d0fa4,   // no.da.un_640 ht.de.un_220  lg.fr.eu_644 lv.cs.sk_433 
  0x2f3756a4, 0x040830ee, 0x292d0d02, 0x170a0755,   // mg.st.su_433 uz.uk.ru_422  cs.sk.sl_222 bg.mk.sr_442 
  0x1356730c, 0x16290908, 0x21181204, 0x10000707,   // ny.mg.et_543 pl.sl.hr_443  ur.ar.fa_332 it.lt.un_420 
  // [14a0]
  0x73122fa4, 0x0c000604, 0x0b000504, 0x0a4407a0,   // su.hu.ny_433 de.sv.un_320  fr.es.un_320 bg.kk.mk_322 
  0x0200080d, 0x170a3007, 0x28000404, 0x1c1309a4,   // no.da.un_540 uz.mk.sr_432  fi.sw.un_320 hi.bh.mr_433 
  0x56002814, 0x0c0802a7, 0x1300040e, 0x160d2dee,   // sw.mg.un_660 da.no.sv_532  fi.et.un_550 sk.cs.hr_422 
  0x08020e02, 0x09006411, 0x6404130c, 0x08101702,   // is.da.no_222 lg.pl.un_630  et.fi.lg_543 sr.be.uk_222 
  // [14b0]
  0x321204a0, 0x0e000c0d, 0x280f7304, 0x1c001313,   // fi.hu.bs_322 sv.is.un_540  ny.lv.sw_332 bh.mr.un_650 
  0x0800170c, 0x2b001702, 0x11001714, 0x0a00170d,   // sr.uk.un_530 sr.vi.un_220  sr.ro.un_660 sr.mk.un_540 
  0x23443508, 0x04001312, 0x04001323, 0x04033fad,   // tg.kk.ky_443 et.fi.un_640  et.fi.un_880 af.nl.fi_643 
  0x08201fee, 0x0b033fa0, 0x25001f04, 0x171629a4,   // cy.sq.no_422 af.nl.es_322  cy.eu.un_320 sl.hr.sr_433 
  // [14c0]
  0x1300040d, 0x4400230d, 0x11732808, 0x0873090d,   // fi.et.un_540 ky.kk.un_540  sw.ny.ro_443 pl.ny.no_554 
  0x13113707, 0x21000908, 0x730e30a9, 0x0d2529a0,   // st.ro.et_432 pl.jw.un_430  uz.is.ny_544 sl.eu.cs_322 
  0x371b20a0, 0x016b09ad, 0x3f00032b, 0x07100804,   // sq.tr.st_322 pl.ceb.en_643  nl.af.un_980 uk.be.bg_332 
  0x190b07ee, 0x1200300c, 0x0a00110c, 0x0c000814,   // it.es.gl_422 uz.hu.un_530  ro.pt.un_530 no.sv.un_660 
  // [14d0]
  0x55000919, 0x25301207, 0x12005304, 0x0408100c,   // pl.rw.un_750 hu.uz.eu_432  ht.hu.un_320 be.uk.ru_543 
  0x2d000304, 0x10000914, 0x6b2a1255, 0x0d2d105a,   // nl.sk.un_320 pl.lt.un_660  hu.mt.ceb_442 lt.sk.cs_553 
  0x09006402, 0x2d000d07, 0x29001f05, 0x131f0c13,   // lg.pl.un_220 cs.sk.un_420  cy.sl.un_330 sv.cy.et_665 
  0x090306ad, 0x2d0d0912, 0x2b3f0112, 0x0d291107,   // de.nl.pl_643 pl.cs.sk_654  en.af.vi_654 ro.sl.cs_432 
  // [14e0]
  0x08003d12, 0x250411a4, 0x1c002102, 0x132d290c,   // ku.no.un_640 ro.fi.eu_433  jw.id.un_220 sl.sk.et_543 
  0x0e000207, 0x0c2d0d13, 0x304423a0, 0x112d0d05,   // da.is.un_420 cs.sk.sv_665  ky.kk.uz_322 cs.sk.ro_333 
  0x0c131a02, 0x12002912, 0x1225300c, 0x0d0a23a0,   // tl.et.sv_222 sl.hu.un_640  uz.eu.hu_543 ca.pt.cs_322 
  0x17070a14, 0x300417a0, 0x12000221, 0x130c02a0,   // mk.bg.sr_666 sr.ru.uz_322  da.hu.un_860 da.sv.et_322 
  // [14f0]
  0x321617af, 0x0a070805, 0x0c000907, 0x0c3f08ee,   // sr.hr.bs_655 uk.bg.mk_333  pl.sv.un_420 no.af.sv_422 
  0x0d00290c, 0x2d0d290c, 0x250c3011, 0x30120c0c,   // sl.cs.un_530 sl.cs.sk_543  uz.sv.eu_653 sv.hu.uz_543 
  0x12000c07, 0x00000c24, 0x0c2156a4, 0x2d12640c,   // sv.hu.un_420 sv.un.un_900  mg.jw.sv_433 lg.hu.sk_543 
  0x08100408, 0x1b002912, 0x055653a0, 0x110c1607,   // ru.be.uk_443 sl.tr.un_640  ht.mg.fr_322 hr.sv.ro_432 
  // [1500]
  0x06003112, 0x16122907, 0x01002b04, 0x09000d04,   // az.de.un_640 sl.hu.hr_432  vi.en.un_320 ne.hi.un_320 
  0x07000409, 0x25002713, 0x182325a4, 0x090d1c08,   // ru.bg.un_440 gd.eu.un_650  eu.ca.ga_433 mr.ne.hi_443 
  0x082330af, 0x08301704, 0x0725180c, 0x21002505,   // uz.ky.uk_655 sr.uz.uk_332  ga.eu.it_543 eu.jw.un_330 
  0x02232907, 0x08002f02, 0x162f2907, 0x080a2302,   // sl.ca.da_432 su.no.un_220  sl.su.hr_432 ky.mk.uk_222 
  // [1510]
  0x2d290907, 0x042508a0, 0x00003537, 0x13280304,   // pl.sl.sk_432 no.eu.fi_322  tg.un.un_B00 nl.sw.et_332 
  0x182725af, 0x28000429, 0x09001305, 0x2500180c,   // eu.gd.ga_655 fi.sw.un_960  bh.hi.un_330 ga.eu.un_530 
  0x3f0704ec, 0x27251812, 0x080730a0, 0x271c6e07,   // fi.it.af_644 ga.eu.gd_654  uz.bg.uk_322 hmn.id.gd_432 
  0x27003002, 0x28000422, 0x250627a4, 0x30002513,   // uz.gd.un_220 fi.sw.un_870  gd.de.eu_433 eu.uz.un_650 
  // [1520]
  0x18001114, 0x040328a0, 0x1a316ba0, 0x2a07560c,   // ro.ga.un_660 sw.nl.fi_322  ceb.az.tl_322 mg.it.mt_543 
  0x2a1207a0, 0x04002f0d, 0x03063fa0, 0x090407ee,   // it.hu.mt_322 su.fi.un_540  af.de.nl_322 it.fi.pl_422 
  0x0c251807, 0x640111a0, 0x313f035a, 0x21530412,   // ga.eu.sv_432 ro.en.lg_322  nl.af.az_553 fi.ht.jw_654 
  0x211812a7, 0x6b0e010c, 0x0a170709, 0x17001005,   // ur.ar.fa_532 en.is.ceb_543  bg.sr.mk_444 be.sr.un_330 
  // [1530]
  0x31003004, 0x212f17a0, 0x073f11a0, 0x55310507,   // uz.az.un_320 sr.su.jw_322  ro.af.it_322 fr.az.rw_432 
  0x07080204, 0x23000504, 0x1827250c, 0x350810a9,   // da.no.it_332 fr.ca.un_320  eu.gd.ga_543 be.uk.tg_544 
  0x03020e05, 0x011325a7, 0x174423a0, 0x271801ad,   // is.da.nl_333 eu.et.en_532  ky.kk.sr_322 en.ga.gd_643 
  0x110328a6, 0x1c090d05, 0x112107a0, 0x2527010b,   // sw.nl.ro_521 ne.hi.mr_333  it.jw.ro_322 en.gd.eu_542 
  // [1540]
  0x11005302, 0x21001802, 0x02030607, 0x1a733f04,   // ht.ro.un_220 ar.fa.un_220  de.nl.da_432 af.ny.tl_332 
  0x043f1308, 0x27000b08, 0x190b2313, 0x060b04a4,   // et.af.fi_443 es.gd.un_430  ca.es.gl_665 fi.es.de_433 
  0x440417a7, 0x55000e07, 0x12006404, 0x35301705,   // sr.ru.kk_532 is.rw.un_420  lg.hu.un_320 sr.uz.tg_333 
  0x08290c08, 0x08000419, 0x0b002a07, 0x64001218,   // sv.sl.no_443 ru.uk.un_750  mt.es.un_420 hu.lg.un_740 
  // [1550]
  0x2a1107ee, 0x071131a0, 0x03016b07, 0x441023ad,   // it.ro.mt_422 az.ro.it_322  ceb.en.nl_432 ky.be.kk_643 
  0x08120407, 0x3f2801a4, 0x0d1c1308, 0x301035a7,   // fi.hu.no_432 en.sw.af_433  bh.mr.ne_443 tg.be.uz_532 
  0x0a3511ee, 0x0e0704a0, 0x1812210b, 0x0800021b,   // ro.tg.mk_422 fi.it.is_322  fa.ur.ar_542 da.no.un_770 
  0x53005604, 0x070817a0, 0x6e6b3d04, 0x12211811,   // mg.ht.un_320 sr.uk.bg_322  ku.ceb.hmn_332 ar.fa.ur_653 
  // [1560]
  0x17000807, 0x091c130d, 0x0c000607, 0x1b5373a0,   // uk.sr.un_420 bh.mr.hi_554  de.sv.un_420 ny.ht.tr_322 
  0x020306ad, 0x190b23af, 0x3f0b6b02, 0x1c091302,   // de.nl.da_643 ca.es.gl_655  ceb.es.af_222 bh.hi.mr_222 
  0x036b06ee, 0x21560307, 0x191f0b0c, 0x11442308,   // de.ceb.nl_422 nl.mg.jw_432  es.cy.gl_543 ky.kk.ro_443 
  0x0d1c09a4, 0x09131c11, 0x1c2f1ea4, 0x230a11a0,   // hi.mr.ne_433 mr.bh.hi_653  ms.su.id_433 ro.mk.ky_322 
  // [1570]
  0x2a000214, 0x17000a13, 0x28002104, 0x01565308,   // da.mt.un_660 mk.sr.un_650  jw.sw.un_320 ht.mg.en_443 
  0x091c130c, 0x6400552b, 0x1c1b1ea4, 0x08000911,   // bh.mr.hi_543 rw.lg.un_980  ms.tr.id_433 pl.no.un_630 
  0x28566e07, 0x6b0730a0, 0x212f1b0e, 0x23303507,   // hmn.mg.sw_432 uz.it.ceb_322  tr.su.jw_555 tg.uz.ky_432 
  0x191f2308, 0x29172d0c, 0x441023ec, 0x30001c04,   // ca.cy.gl_443 sk.sr.sl_543  ky.be.kk_644 id.uz.un_320 
  // [1580]
  0x072f270c, 0x0830355a, 0x1e1c01a4, 0x1b0e25ad,   // gd.su.it_543 tg.uz.uk_553  en.id.ms_433 eu.is.tr_643 
  0x1a006e1a, 0x27560705, 0x2b076b07, 0x640c08a0,   // hmn.tl.un_760 it.mg.gd_333  ceb.it.vi_432 no.sv.lg_322 
  0x093701a4, 0x0400082c, 0x2a00040e, 0x00005324,   // en.st.pl_433 uk.ru.un_990  fi.mt.un_550 ht.un.un_900 
  0x53002f0e, 0x190a0baf, 0x2a641f5a, 0x13190bee,   // su.ht.un_550 es.pt.gl_655  cy.lg.mt_553 es.gl.et_422 
  // [1590]
  0x2d0f2a55, 0x0e023da0, 0x09531f04, 0x3d006e18,   // mt.lv.sk_442 ku.da.is_322  cy.ht.pl_332 hmn.ku.un_740 
  0x050a0107, 0x6e1f1a12, 0x0a003022, 0x17040aaf,   // en.pt.fr_432 tl.cy.hmn_654  uz.mk.un_870 mk.ru.sr_655 
  0x0a001e05, 0x1f1807ec, 0x13003204, 0x130c1007,   // ms.pt.un_330 it.ga.cy_644  bs.et.un_320 lt.sv.et_432 
  0x21001a0c, 0x0c322fee, 0x06000e07, 0x250523a0,   // tl.jw.un_530 su.bs.sv_422  is.de.un_420 ca.fr.eu_322 
  // [15a0]
  0x30003122, 0x07052a07, 0x1231305a, 0x02001307,   // az.uz.un_870 mt.fr.it_432  uz.az.hu_553 et.da.un_420 
  0x301723ec, 0x301b31a4, 0x17090d07, 0x100804af,   // ky.sr.uz_644 az.tr.uz_433  cs.pl.sr_432 ru.uk.be_655 
  0x0e00190d, 0x1f311b12, 0x1b313013, 0x440a075a,   // gl.is.un_540 tr.az.cy_654  uz.az.tr_665 bg.mk.kk_553 
  0x2d2a0d0c, 0x01005304, 0x6b301204, 0x04000d0d,   // cs.mt.sk_543 ht.en.un_320  hu.uz.ceb_332 cs.fi.un_540 
  // [15b0]
  0x2d000c0c, 0x310f1ba9, 0x2f190bee, 0x0a00172a,   // sv.sk.un_530 tr.lv.az_544  es.gl.su_422 sr.mk.un_970 
  0x1c1e12ad, 0x2a1f6eec, 0x30234412, 0x02003f02,   // hu.ms.id_643 hmn.cy.mt_644  kk.ky.uz_654 af.da.un_220 
  0x170410a4, 0x040a1705, 0x0d001c14, 0x04000c19,   // be.ru.sr_433 sr.mk.ru_333  mr.ne.un_660 sv.fi.un_750 
  0x0e003d0d, 0x35002307, 0x0a100707, 0x13060ca0,   // ku.is.un_540 ky.tg.un_420  bg.be.mk_432 sv.de.et_322 
  // [15c0]
  0x21001223, 0x0a441714, 0x1b0b1207, 0x311b3012,   // ur.fa.un_880 sr.kk.mk_666  hu.es.tr_432 uz.tr.az_654 
  0x19000b19, 0x0700110c, 0x30080205, 0x11001e02,   // es.gl.un_750 ro.bg.un_530  da.no.uz_333 ms.ro.un_220 
  0x0d130908, 0x08073507, 0x0a1708ee, 0x31123013,   // hi.bh.ne_443 tg.bg.uk_432  uk.sr.mk_422 uz.hu.az_665 
  0x13000c05, 0x2000100e, 0x2112180d, 0x1231300c,   // sv.et.un_330 lt.sq.un_550  ar.ur.fa_554 uz.az.hu_543 
  // [15d0]
  0x30123102, 0x1e1b37a4, 0x08021fa4, 0x11001122,   // az.hu.uz_222 st.tr.ms_433  cy.da.no_433 ro.ro.un_870 
  0x203004ec, 0x041020ad, 0x17000712, 0x21121814,   // fi.uz.sq_644 sq.lt.fi_643  bg.sr.un_640 ar.ur.fa_666 
  0x20321b0e, 0x04000f0d, 0x1c2f1e0c, 0x07041104,   // tr.bs.sq_555 lv.fi.un_540  ms.su.id_543 ro.ru.bg_332 
  0x2b005305, 0x0800041a, 0x2300100e, 0x090d13ac,   // ht.vi.un_330 ru.uk.un_760  be.ky.un_550 bh.ne.hi_632 
  // [15e0]
  0x1c203007, 0x213f0304, 0x04083004, 0x1b005322,   // uz.sq.id_432 nl.af.jw_332  uz.uk.ru_332 ht.tr.un_870 
  0x04101707, 0x130c04a0, 0x5300280b, 0x060c130c,   // sr.be.ru_432 fi.sv.et_322  sw.ht.un_520 et.sv.de_543 
  0x106b1aa4, 0x03003f12, 0x2d0d64a0, 0x08353012,   // tl.ceb.lt_433 af.nl.un_640  lg.cs.sk_322 uz.tg.uk_654 
  0x030f0911, 0x32171613, 0x0f002b0c, 0x30002004,   // pl.lv.nl_653 hr.sr.bs_665  vi.lv.un_530 sq.uz.un_320 
  // [15f0]
  0x0f000923, 0x35003004, 0x02000c09, 0x1b006419,   // pl.lv.un_880 uz.tg.un_320  sv.da.un_440 lg.tr.un_750 
  0x200f10a4, 0x17070a12, 0x08210504, 0x09000f1a,   // lt.lv.sq_433 mk.bg.sr_654  fr.jw.no_332 lv.pl.un_760 
  0x31301904, 0x10006405, 0x0f000914, 0x08003d19,   // gl.uz.az_332 lg.lt.un_330  pl.lv.un_660 ku.no.un_750 
  0x0700301a, 0x1218210e, 0x1f001308, 0x09002d05,   // uz.bg.un_760 fa.ar.ur_555  et.cy.un_430 sk.pl.un_330 
  // [1600]
  0x1800271b, 0x4404230e, 0x0a0131a6, 0x203f37ad,   // gd.ga.un_770 ky.ru.kk_555  az.en.pt_521 st.af.sq_643 
  0x2d090fee, 0x53312105, 0x56000512, 0x01202807,   // lv.pl.sk_422 jw.az.ht_333  fr.mg.un_640 sw.sq.en_432 
  0x0f002d1a, 0x313010af, 0x080c1ca0, 0x11040809,   // sk.lv.un_760 lt.uz.az_655  id.sv.no_322 uk.ru.ro_444 
  0x1a1f640c, 0x6b255307, 0x16003204, 0x31001902,   // lg.cy.tl_543 ht.eu.ceb_432  bs.hr.un_320 gl.az.un_220 
  // [1610]
  0x1744100c, 0x0a00050d, 0x0000320a, 0x31000a09,   // be.kk.sr_543 fr.pt.un_540  bs.un.un_500 pt.az.un_440 
  0x1a006b22, 0x0d0913a4, 0x30000a02, 0x44302313,   // ceb.tl.un_870 bh.hi.ne_433  mk.uz.un_220 ky.uz.kk_665 
  0x0e000c07, 0x041008af, 0x09002d0c, 0x3508100c,   // sv.is.un_420 uk.be.ru_655  sk.pl.un_530 be.uk.tg_543 
  0x27001813, 0x0c000408, 0x04060c0d, 0x04000c0d,   // ga.gd.un_650 fi.sv.un_430  sv.de.fi_554 sv.fi.un_540 
  // [1620]
  0x042a0708, 0x12000205, 0x0b002d08, 0x1000080d,   // it.mt.fi_443 da.hu.un_330  sk.es.un_430 uk.be.un_540 
  0x04000608, 0x231004a4, 0x1a000302, 0x29321602,   // de.fi.un_430 ru.be.ky_433  nl.tl.un_220 hr.bs.sl_222 
  0x04001007, 0x2112180e, 0x1200090c, 0x301a2807,   // be.ru.un_420 ar.ur.fa_555  pl.hu.un_530 sw.tl.uz_432 
  0x55006b05, 0x2f1e1a0d, 0x00002437, 0x6b002809,   // ceb.rw.un_330 tl.ms.su_554  yi.un.un_B00 sw.ceb.un_440 
  // [1630]
  0x2f1e1c0d, 0x28213005, 0x10040860, 0x1b535504,   // id.ms.su_554 uz.jw.sw_333  uk.ru.be_664 rw.ht.tr_332 
  0x370929a7, 0x556406ec, 0x080c1214, 0x12110505,   // sl.pl.st_532 de.lg.rw_644  hu.sv.no_666 fr.ro.hu_333 
  0x6b5573a0, 0x532f300c, 0x73000108, 0x37001a04,   // ny.rw.ceb_322 uz.su.ht_543  en.ny.un_430 tl.st.un_320 
  0x30001f04, 0x28002909, 0x0f00730d, 0x2800251b,   // cy.uz.un_320 sl.sw.un_440  ny.lv.un_540 eu.sw.un_770 
  // [1640]
  0x0c000b02, 0x18002b02, 0x7300280e, 0x2f000d19,   // es.sv.un_220 vi.ga.un_220  sw.ny.un_550 cs.su.un_750 
  0x1e001a04, 0x08020eee, 0x17080aa0, 0x271e1c0d,   // tl.ms.un_320 is.da.no_422  mk.uk.sr_322 id.ms.gd_554 
  0x0925120e, 0x0e000104, 0x0800102b, 0x645507a9,   // hu.eu.pl_555 en.is.un_320  be.uk.un_980 it.rw.lg_544 
  0x06080e0c, 0x20295307, 0x182830a7, 0x2f002802,   // is.no.de_543 ht.sl.sq_432  uz.sw.ga_532 sw.su.un_220 
  // [1650]
  0x120e28ee, 0x3523440c, 0x1000730d, 0x30003121,   // sw.is.hu_422 kk.ky.tg_543  ny.lt.un_540 az.uz.un_860 
  0x1f080204, 0x2a030602, 0x64005608, 0x01640f07,   // da.no.cy_332 de.nl.mt_222  mg.lg.un_430 lv.lg.en_432 
  0x1a003721, 0x37182707, 0x1c002704, 0x0a131908,   // st.tl.un_860 gd.ga.st_432  gd.id.un_320 gl.et.pt_443 
  0x06002519, 0x53192304, 0x201f0e05, 0x0d18060b,   // eu.de.un_750 ca.gl.ht_332  is.cy.sq_333 de.ga.cs_542 
  // [1660]
  0x047328a7, 0x062a03a9, 0x1b1c2fa9, 0x042916a0,   // sw.ny.fi_532 nl.mt.de_544  su.id.tr_544 hr.sl.fi_322 
  0x53003f21, 0x2d007304, 0x18001214, 0x253f03a7,   // af.ht.un_860 ny.sk.un_320  ur.ar.un_660 nl.af.eu_532 
  0x06640811, 0x31001b04, 0x06120eaf, 0x2b001c09,   // no.lg.de_653 tr.az.un_320  is.hu.de_655 id.vi.un_440 
  0x06000112, 0x3f0306af, 0x0c09100e, 0x0f000e19,   // en.de.un_640 de.nl.af_655  lt.pl.sv_555 is.lv.un_750 
  // [1670]
  0x2d00370c, 0x1b0f2955, 0x1b1f0612, 0x215373a0,   // st.sk.un_530 sl.lv.tr_442  de.cy.tr_654 ny.ht.jw_322 
  0x062d0d5a, 0x2000211a, 0x537321af, 0x0f2d0e05,   // cs.sk.de_553 jw.sq.un_760  jw.ny.ht_655 is.sk.lv_333 
  0x16095304, 0x230b010c, 0x292f5602, 0x170408a9,   // ht.pl.hr_332 en.es.ca_543  mg.su.sl_222 uk.ru.sr_544 
  0x1c002107, 0x3500110d, 0x230744a4, 0x2028550c,   // jw.id.un_420 ro.tg.un_540  kk.bg.ky_433 rw.sw.sq_543 
  // [1680]
  0x09006419, 0x53000909, 0x2f000305, 0x0a040760,   // lg.pl.un_750 pl.ht.un_440  nl.su.un_330 bg.ru.mk_664 
  0x010507a0, 0x08061807, 0x1b000912, 0x13000d1a,   // it.fr.en_322 ga.de.no_432  pl.tr.un_640 ne.bh.un_760 
  0x6e285512, 0x5500060d, 0x3d000619, 0x0c0413a0,   // rw.sw.hmn_654 de.rw.un_540  de.ku.un_750 et.fi.sv_322 
  0x05045307, 0x283255ec, 0x3f00060c, 0x0a00350c,   // ht.fi.fr_432 rw.bs.sw_644  de.af.un_530 tg.mk.un_530 
  // [1690]
  0x083f040c, 0x1f002a1a, 0x1a6b25a4, 0x643055ad,   // fi.af.no_543 mt.cy.un_760  eu.ceb.tl_433 rw.uz.lg_643 
  0x212f1ca0, 0x2d0d56ad, 0x3d1b5308, 0x016e6ba0,   // id.su.jw_322 mg.cs.sk_643  ht.tr.ku_443 ceb.hmn.en_322 
  0x03003f19, 0x093d1ba6, 0x0d00560d, 0x0e002507,   // af.nl.un_750 tr.ku.pl_521  mg.cs.un_540 eu.is.un_420 
  0x17001312, 0x0a0704af, 0x0a071713, 0x0c001218,   // et.sr.un_640 ru.bg.mk_655  sr.bg.mk_665 hu.sv.un_740 
  // [16a0]
  0x1007040c, 0x11060ca0, 0x23075555, 0x311b300c,   // ru.bg.be_543 sv.de.ro_322  rw.it.ca_442 uz.tr.az_543 
  0x07001805, 0x18000c02, 0x2112180c, 0x1218215a,   // ga.it.un_330 sv.ga.un_220  ar.ur.fa_543 fa.ar.ur_553 
  0x2d001902, 0x31002a09, 0x55002822, 0x0c0604ec,   // gl.sk.un_220 mt.az.un_440  sw.rw.un_870 fi.de.sv_644 
  0x182d0e0d, 0x08020d0c, 0x12560d09, 0x3f000322,   // is.sk.ga_554 cs.da.no_543  cs.mg.hu_444 nl.af.un_870 
  // [16b0]
  0x303544a4, 0x070d5607, 0x27000e0c, 0x070501a0,   // kk.tg.uz_433 mg.cs.it_432  is.gd.un_530 en.fr.it_322 
  0x2d0d56ee, 0x04000c13, 0x2d0d0aee, 0x35043007,   // mg.cs.sk_422 sv.fi.un_650  pt.cs.sk_422 uz.ru.tg_432 
  0x6e00560d, 0x190a23ee, 0x562d0d05, 0x0417110c,   // mg.hmn.un_540 ca.pt.gl_422  cs.sk.mg_333 ro.sr.ru_543 
  0x2f1f23a4, 0x6b235508, 0x1a212fa4, 0x23001104,   // ca.cy.su_433 rw.ca.ceb_443  su.jw.tl_433 ro.ca.un_320 
  // [16c0]
  0x2f00231a, 0x30071aac, 0x0500230c, 0x440a0404,   // ca.su.un_760 tl.it.uz_632  ca.fr.un_530 ru.mk.kk_332 
  0x0e001a08, 0x20372f13, 0x00002d01, 0x3d551aec,   // tl.is.un_430 su.st.sq_665  sk.un.un_200 tl.rw.ku_644 
  0x04130cee, 0x190a230c, 0x29001014, 0x0e3d1011,   // sv.et.fi_422 ca.pt.gl_543  lt.sl.un_660 lt.ku.is_653 
  0x1e1c5509, 0x11002304, 0x7364550d, 0x2d000c0d,   // rw.id.ms_444 ca.ro.un_320  rw.lg.ny_554 sv.sk.un_540 
  // [16d0]
  0x04001008, 0x04074402, 0x0a303507, 0x2d290da4,   // be.ru.un_430 kk.bg.ru_222  tg.uz.mk_432 cs.sl.sk_433 
  0x0e533dee, 0x2f230a0b, 0x551f0704, 0x11190a08,   // ku.ht.is_422 pt.ca.su_542  it.cy.rw_332 pt.gl.ro_443 
  0x2a060708, 0x00001724, 0x1b201309, 0x09005513,   // it.de.mt_443 sr.un.un_900  et.sq.tr_444 rw.pl.un_650 
  0x44353002, 0x041b130c, 0x0e07640d, 0x1c090d11,   // uz.tg.kk_222 et.tr.fi_543  lg.it.is_554 ne.hi.mr_653 
  // [16e0]
  0x102344ad, 0x0a00071b, 0x06040c0c, 0x2500110c,   // kk.ky.be_643 bg.mk.un_770  sv.fi.de_543 ro.eu.un_530 
  0x172f1307, 0x080a1104, 0x172d0dad, 0x3d000d04,   // et.su.sr_432 ro.mk.uk_332  cs.sk.sr_643 cs.ku.un_320 
  0x23000a14, 0x6b2f1aa4, 0x08113004, 0x11030709,   // pt.ca.un_660 tl.su.ceb_433  uz.ro.uk_332 it.nl.ro_444 
  0x32002308, 0x0d002d18, 0x080213ec, 0x32002908,   // ca.bs.un_430 sk.cs.un_740  et.da.no_644 sl.bs.un_430 
  // [16f0]
  0x1f11230c, 0x110a230c, 0x1b3d7304, 0x282155a6,   // ca.ro.cy_543 ca.pt.ro_543  ny.ku.tr_332 rw.jw.sw_521 
  0x04000a09, 0x301f0ca4, 0x0a2f2308, 0x30071107,   // mk.ru.un_440 sv.cy.uz_433  ca.su.pt_443 ro.bg.uz_432 
  0x312d0d14, 0x0c2b3d55, 0x02000c08, 0x2d0d290e,   // cs.sk.az_666 ku.vi.sv_442  sv.da.un_430 sl.cs.sk_555 
  0x040a1008, 0x21000c04, 0x2d0f0907, 0x1b6420ec,   // be.mk.ru_443 sv.jw.un_320  pl.lv.sk_432 sq.lg.tr_644 
  // [1700]
  0x2d0d3004, 0x0a101707, 0x0f1025a4, 0x35070807,   // uz.cs.sk_332 sr.be.mk_432  eu.lt.lv_433 uk.bg.tg_432 
  0x2f281ea0, 0x21021c07, 0x2b002708, 0x25211011,   // ms.sw.su_322 id.da.jw_432  gd.vi.un_430 lt.jw.eu_653 
  0x35231104, 0x0c000612, 0x3d116b0c, 0x06020ca4,   // ro.ky.tg_332 de.sv.un_640  ceb.ro.ku_543 sv.da.de_433 
  0x04100712, 0x1e1c2fa4, 0x6b101aa0, 0x07000414,   // bg.be.ru_654 su.id.ms_433  tl.lt.ceb_322 ru.bg.un_660 
  // [1710]
  0x6b100c07, 0x73371e11, 0x30003505, 0x137356a0,   // sv.lt.ceb_432 ms.st.ny_653  tg.uz.un_330 mg.ny.et_322 
  0x07170dee, 0x12642807, 0x0a001007, 0x170435a4,   // cs.sr.it_422 sw.lg.hu_432  be.mk.un_420 tg.ru.sr_433 
  0x11002819, 0x2b00270e, 0x32002d04, 0x05075509,   // sw.ro.un_750 gd.vi.un_550  sk.bs.un_320 rw.it.fr_444 
  0x071111a4, 0x736455ec, 0x5303060c, 0x1a1f2f07,   // ro.ro.bg_433 rw.lg.ny_644  de.nl.ht_543 su.cy.tl_432 
  // [1720]
  0x052801a4, 0x09000d11, 0x2120280b, 0x083504a4,   // en.sw.fr_433 cs.pl.un_630  sw.sq.jw_542 ru.tg.uk_433 
  0x06010d02, 0x07002a0e, 0x127337a4, 0x11000704,   // cs.en.de_222 mt.it.un_550  st.ny.hu_433 it.ro.un_320 
  0x27732a12, 0x5528120c, 0x55007321, 0x10001c04,   // mt.ny.gd_654 hu.sw.rw_543  ny.rw.un_860 id.lt.un_320 
  0x6411200c, 0x3f312008, 0x1a6b530b, 0x12005512,   // sq.ro.lg_543 sq.az.af_443  ht.ceb.tl_542 rw.hu.un_640 
  // [1730]
  0x07000412, 0x55002821, 0x30001902, 0x551064ec,   // ru.bg.un_640 sw.rw.un_860  gl.uz.un_220 lg.lt.rw_644 
  0x322d1760, 0x29160da4, 0x0900550c, 0x072a11a4,   // sr.sk.bs_664 cs.hr.sl_433  rw.pl.un_530 ro.mt.it_433 
  0x1a000d04, 0x2f1037a0, 0x3f2f5302, 0x092d0d14,   // cs.tl.un_320 st.lt.su_322  ht.su.af_222 cs.sk.pl_666 
  0x2b37730e, 0x17070dee, 0x30020704, 0x190b01a4,   // ny.st.vi_555 cs.it.sr_422  it.da.uz_332 en.es.gl_433 
  // [1740]
  0x0d005604, 0x05060107, 0x0e000a08, 0x183d06ee,   // mg.cs.un_320 en.de.fr_432  pt.is.un_430 de.ku.ga_422 
  0x20732855, 0x07000819, 0x5564280e, 0x173023ad,   // sw.ny.sq_442 uk.bg.un_750  sw.lg.rw_555 ky.uz.sr_643 
  0x1f556407, 0x0900560e, 0x64285513, 0x09005605,   // lg.rw.cy_432 mg.pl.un_550  rw.sw.lg_665 mg.pl.un_330 
  0x3f120305, 0x231c2fa0, 0x0c1c3f07, 0x29002d09,   // nl.hu.af_333 su.id.ca_322  af.id.sv_432 sk.sl.un_440 
  // [1750]
  0x1a55230c, 0x2a55075a, 0x23732804, 0x35003019,   // ca.rw.tl_543 it.rw.mt_553  sw.ny.ca_332 uz.tg.un_750 
  0x1708070e, 0x08110e07, 0x1b001122, 0x0d292d04,   // bg.uk.sr_555 is.ro.no_432  ro.tr.un_870 sk.sl.cs_332 
  0x03083fa9, 0x0c310602, 0x060c0412, 0x066b0107,   // af.no.nl_544 de.az.sv_222  fi.sv.de_654 en.ceb.de_432 
  0x112301a9, 0x080e1f11, 0x351711ac, 0x0a110707,   // en.ca.ro_544 cy.is.no_653  ro.sr.tg_632 bg.ro.mk_432 
  // [1760]
  0x2b1f1b0c, 0x0700040d, 0x440407a0, 0x2d0d09af,   // tr.cy.vi_543 ru.bg.un_540  bg.ru.kk_322 pl.cs.sk_655 
  0x0d092d12, 0x092d0d0e, 0x21181209, 0x010629a0,   // sk.pl.cs_654 cs.sk.pl_555  ur.ar.fa_444 sl.de.en_322 
  0x041708af, 0x3007045a, 0x0a1730a7, 0x08070a0c,   // uk.sr.ru_655 ru.bg.uz_553  uz.sr.mk_532 mk.bg.uk_543 
  0x1c090da4, 0x1c090dee, 0x0c00530d, 0x2d0d1007,   // ne.hi.mr_433 ne.hi.mr_422  ht.sv.un_540 lt.cs.sk_432 
  // [1770]
  0x110407a9, 0x23190b04, 0x06000c14, 0x03083f05,   // bg.ru.ro_544 es.gl.ca_332  sv.de.un_660 af.no.nl_333 
  0x0c000613, 0x3f003702, 0x0e0d2d07, 0x070105a4,   // de.sv.un_650 st.af.un_220  sk.cs.is_432 fr.en.it_433 
  0x0c030aa0, 0x1c0d09ec, 0x23170a05, 0x07000422,   // pt.nl.sv_322 hi.ne.mr_644  mk.sr.ky_333 ru.bg.un_870 
  0x190a03ee, 0x070410a0, 0x06001211, 0x64003f08,   // nl.pt.gl_422 be.ru.bg_322  hu.de.un_630 af.lg.un_430 
  // [1780]
  0x2f001e02, 0x04073504, 0x0a000708, 0x066b01a4,   // ms.su.un_220 tg.bg.ru_332  bg.mk.un_430 en.ceb.de_433 
  0x1312040d, 0x11013fa0, 0x0f172912, 0x0f002704,   // fi.hu.et_554 af.en.ro_322  sl.sr.lv_654 gd.lv.un_320 
  0x03000c02, 0x442304a4, 0x56230507, 0x09060d14,   // sv.nl.un_220 ru.ky.kk_433  fr.ca.mg_432 cs.de.pl_666 
  0x29100904, 0x291827ee, 0x31001e07, 0x181123a0,   // pl.lt.sl_332 gd.ga.sl_422  ms.az.un_420 ca.ro.ga_322 
  // [1790]
  0x040a1707, 0x1b002519, 0x23001704, 0x08070407,   // sr.mk.ru_432 eu.tr.un_750  sr.ca.un_320 ru.bg.uk_432 
  0x1b0c3d55, 0x2725080c, 0x10001705, 0x03003702,   // ku.sv.tr_442 no.eu.gd_543  sr.lt.un_330 st.nl.un_220 
  0x20002d05, 0x0000160f, 0x0900070c, 0x19000809,   // sk.sq.un_330 hr.un.un_600  it.pl.un_530 no.gl.un_440 
  0x0e0d0aaf, 0x19001602, 0x0e0c1c07, 0x0444230b,   // pt.cs.is_655 hr.gl.un_220  id.sv.is_432 ky.kk.ru_542 
  // [17a0]
  0x2b0a18af, 0x06271813, 0x162d0d04, 0x0e00182a,   // ga.pt.vi_655 ga.gd.de_665  cs.sk.hr_332 ga.is.un_970 
  0x1b3d1111, 0x03083fee, 0x0a0730a4, 0x12182bad,   // ro.ku.tr_653 af.no.nl_422  uz.bg.mk_433 vi.ga.hu_643 
  0x040b20a7, 0x0300060e, 0x18002b21, 0x3f000319,   // sq.es.fi_532 de.nl.un_550  vi.ga.un_860 nl.af.un_750 
  0x08041055, 0x2d00180c, 0x07020812, 0x3d1b25af,   // be.ru.uk_442 ga.sk.un_530  no.da.it_654 eu.tr.ku_655 
  // [17b0]
  0x1c000d1b, 0x18000e21, 0x2a0501ec, 0x2b0c10ee,   // ne.mr.un_770 is.ga.un_860  en.fr.mt_644 lt.sv.vi_422 
  0x0a0704a4, 0x170a040d, 0x0e1125ad, 0x08250e0c,   // ru.bg.mk_433 ru.mk.sr_554  eu.ro.is_643 is.eu.no_543 
  0x1f00250c, 0x171673ee, 0x1200181b, 0x0a180d11,   // eu.cy.un_530 ny.hr.sr_422  ga.hu.un_770 cs.ga.pt_653 
  0x1800210e, 0x0d2d090d, 0x2b0e0a08, 0x37007321,   // fa.ar.un_550 pl.sk.cs_554  pt.is.vi_443 ny.st.un_860 
  // [17c0]
  0x060810a4, 0x0000182d, 0x03000214, 0x06003702,   // lt.no.de_433 ga.un.un_A00  da.nl.un_660 st.de.un_220 
  0x20000302, 0x44001107, 0x08003f02, 0x0f001022,   // nl.sq.un_220 ro.kk.un_420  af.no.un_220 lt.lv.un_870 
  0x07350a08, 0x1b105507, 0x2000030d, 0x2d0d10af,   // mk.tg.bg_443 rw.lt.tr_432  nl.sq.un_540 lt.cs.sk_655 
  0x53000502, 0x2a00200c, 0x170a3509, 0x252d0d0d,   // fr.ht.un_220 sq.mt.un_530  tg.mk.sr_444 cs.sk.eu_554 
  // [17d0]
  0x0900100d, 0x17000a11, 0x17070aa9, 0x5500640d,   // lt.pl.un_540 mk.sr.un_630  mk.bg.sr_544 lg.rw.un_540 
  0x21556411, 0x55281008, 0x35100811, 0x04100704,   // lg.rw.jw_653 lt.sw.rw_443  uk.be.tg_653 bg.be.ru_332 
  0x09001021, 0x07170a0c, 0x0900101a, 0x2500641b,   // lt.pl.un_860 mk.sr.bg_543  lt.pl.un_760 lg.eu.un_770 
  0x09000d05, 0x01006b05, 0x0f1710ad, 0x285573ad,   // ne.hi.un_330 ceb.en.un_330  lt.sr.lv_643 ny.rw.sw_643 
  // [17e0]
  0x080417a0, 0x05001902, 0x120c0213, 0x1f000104,   // sr.ru.uk_322 gl.fr.un_220  da.sv.hu_665 en.cy.un_320 
  0x30000a08, 0x28007305, 0x01533fa7, 0x04090b55,   // mk.uz.un_430 ny.sw.un_330  af.ht.en_532 es.pl.fi_442 
  0x0e282a14, 0x030f3fa4, 0x211a3da7, 0x0600091b,   // mt.sw.is_666 af.lv.nl_433  ku.tl.jw_532 pl.de.un_770 
  0x09002104, 0x73002819, 0x090f035a, 0x301111a4,   // jw.pl.un_320 sw.ny.un_750  nl.lv.pl_553 ro.ro.uz_433 
  // [17f0]
  0x3f030ca4, 0x0c0208af, 0x64002813, 0x0c3f2a02,   // sv.nl.af_433 no.da.sv_655  sw.lg.un_650 mt.af.sv_222 
  0x06030ca0, 0x2a641fad, 0x091c0d0d, 0x041111af,   // sv.nl.de_322 cy.lg.mt_643  ne.mr.hi_554 ro.ro.ru_655 
  0x0c00040c, 0x2f002107, 0x10001607, 0x093f3d0c,   // fi.sv.un_530 jw.su.un_420  hr.lt.un_420 ku.af.pl_543 
  0x10000412, 0x1a3f0407, 0x1f6428ad, 0x2f001a20,   // ru.be.un_640 fi.af.tl_432  sw.lg.cy_643 tl.su.un_850 
  
  // [1800]
  0x10645308, 0x2a060713, 0x5300101a, 0x12093fa7,   // ht.lg.lt_443 it.de.mt_665  lt.ht.un_760 af.pl.hu_532 
  0x17100411, 0x2d102a07, 0x07000c02, 0x0900201a,   // ru.be.sr_653 mt.lt.sk_432  sv.it.un_220 sq.pl.un_760 
  0x3f000908, 0x07000f11, 0x040f2d11, 0x55006419,   // pl.af.un_430 lv.it.un_630  sk.lv.fi_653 lg.rw.un_750 
  0x09000622, 0x35233055, 0x09211a07, 0x301b2aee,   // de.pl.un_870 uz.ky.tg_442  tl.jw.pl_432 mt.tr.uz_422 
  // [1810]
  0x3200170e, 0x18033fad, 0x1f2a0e0e, 0x2f2a1e02,   // sr.bs.un_550 af.nl.ga_643  is.mt.cy_555 ms.mt.su_222 
  0x1a732f04, 0x0c080705, 0x00003d2d, 0x440423ac,   // su.ny.tl_332 it.no.sv_333  ku.un.un_A00 ky.ru.kk_632 
  0x04070a07, 0x2f1c3d08, 0x2f2109ee, 0x0a040704,   // mk.bg.ru_432 ku.id.su_443  pl.jw.su_422 bg.ru.mk_332 
  0x1030350b, 0x05000118, 0x302344a9, 0x0000012d,   // tg.uz.be_542 en.fr.un_740  kk.ky.uz_544 en.un.un_A00 
  // [1820]
  0x10004413, 0x29003d19, 0x532b2f07, 0x29003d0c,   // kk.be.un_650 ku.sl.un_750  su.vi.ht_432 ku.sl.un_530 
  0x0d002102, 0x2b003d35, 0x16002902, 0x0400300c,   // jw.cs.un_220 ku.vi.un_A90  sl.hr.un_220 uz.fi.un_530 
  0x21185607, 0x080411ee, 0x0000052d, 0x0000212d,   // mg.ga.jw_432 ro.ru.uk_422  fr.un.un_A00 fa.un.un_A00 
  0x23002b23, 0x21301ca9, 0x0327180c, 0x180e0a14,   // vi.ca.un_880 id.uz.jw_544  ga.gd.nl_543 pt.is.ga_666 
  // [1830]
  0x0c0203a0, 0x2a302811, 0x1c21130c, 0x31301e02,   // nl.da.sv_322 sw.uz.mt_653  et.jw.id_543 ms.uz.az_222 
  0x30442313, 0x56000a0d, 0x28307313, 0x0d1b29a0,   // ky.kk.uz_665 pt.mg.un_540  ny.uz.sw_665 sl.tr.cs_322 
  0x0400101a, 0x10040805, 0x23003014, 0x30121bee,   // be.ru.un_760 uk.ru.be_333  uz.ky.un_660 tr.hu.uz_422 
  0x12032a04, 0x170a0707, 0x0a0518ec, 0x04000c0c,   // mt.nl.hu_332 bg.mk.sr_432  ga.fr.pt_644 sv.fi.un_530 
  // [1840]
  0x0b0e1811, 0x18190a08, 0x1b3130ac, 0x1b313011,   // ga.is.es_653 pt.gl.ga_443  uz.az.tr_632 uz.az.tr_653 
  0x0f2701a0, 0x12001004, 0x180d23ec, 0x21552808,   // en.gd.lv_322 lt.hu.un_320  ca.cs.ga_644 sw.rw.jw_443 
  0x030602ee, 0x0300060c, 0x06000d0b, 0x13001f21,   // da.de.nl_422 de.nl.un_530  cs.de.un_520 cy.et.un_860 
  0x17163211, 0x1f001304, 0x2b000d07, 0x09532007,   // bs.hr.sr_653 et.cy.un_320  cs.vi.un_420 sq.ht.pl_432 
  // [1850]
  0x28002022, 0x016b11a4, 0x29000d13, 0x170a0708,   // sq.sw.un_870 ro.ceb.en_433  cs.sl.un_650 bg.mk.sr_443 
  0x1b060dee, 0x53290d07, 0x170a07ad, 0x0721560b,   // cs.de.tr_422 cs.sl.ht_432  bg.mk.sr_643 mg.jw.it_542 
  0x2f3d01a4, 0x110601a4, 0x21091004, 0x170a0714,   // en.ku.su_433 en.de.ro_433  lt.pl.jw_332 bg.mk.sr_666 
  0x0d0913a9, 0x0a0807a9, 0x3756640c, 0x73563704,   // bh.hi.ne_544 bg.uk.mk_544  lg.mg.st_543 st.mg.ny_332 
  // [1860]
  0x0c000113, 0x32001714, 0x732164a9, 0x230129a9,   // en.sv.un_650 sr.bs.un_660  lg.jw.ny_544 sl.en.ca_544 
  0x120e0c08, 0x093004ee, 0x01000d04, 0x12060c05,   // sv.is.hu_443 fi.uz.pl_422  cs.en.un_320 sv.de.hu_333 
  0x07190b09, 0x2f076412, 0x09001f0d, 0x030208ee,   // es.gl.it_444 lg.it.su_654  cy.pl.un_540 no.da.nl_422 
  0x35003012, 0x217337ad, 0x372a64a0, 0x070b0a14,   // uz.tg.un_640 st.ny.jw_643  lg.mt.st_322 pt.es.it_666 
  // [1870]
  0x09000712, 0x1600250c, 0x11071709, 0x09002909,   // it.pl.un_640 eu.hr.un_530  sr.bg.ro_444 sl.pl.un_440 
  0x190a0bee, 0x08255604, 0x04000a0d, 0x305512ee,   // es.pt.gl_422 mg.eu.no_332  mk.ru.un_540 hu.rw.uz_422 
  0x29000d1a, 0x092910af, 0x735537a4, 0x2f211c55,   // cs.sl.un_760 lt.sl.pl_655  st.rw.ny_433 id.jw.su_442 
  0x0a040712, 0x191064ad, 0x28007313, 0x17003504,   // bg.ru.mk_654 lg.lt.gl_643  ny.sw.un_650 tg.sr.un_320 
  // [1880]
  0x07041105, 0x32053004, 0x1b315504, 0x372d0d13,   // ro.ru.bg_333 uz.fr.bs_332  rw.az.tr_332 cs.sk.st_665 
  0x212f7304, 0x64125509, 0x181a6b12, 0x02001f04,   // ny.su.jw_332 rw.hu.lg_444  ceb.tl.ga_654 cy.da.un_320 
  0x041328a0, 0x28735509, 0x20005619, 0x1023070c,   // sw.et.fi_322 rw.ny.sw_444  mg.sq.un_750 bg.ky.be_543 
  0x1c00210e, 0x0d13095a, 0x2d0d03a4, 0x120c0608,   // jw.id.un_550 hi.bh.ne_553  nl.cs.sk_433 de.sv.hu_443 
  // [1890]
  0x19000a04, 0x0a07300c, 0x060c1255, 0x0d001c0c,   // pt.gl.un_320 uz.bg.mk_543  hu.sv.de_442 mr.ne.un_530 
  0x031925a0, 0x03006e07, 0x12182111, 0x1218210c,   // eu.gl.nl_322 hmn.nl.un_420  fa.ar.ur_653 fa.ar.ur_543 
  0x0d1c1307, 0x0a00200e, 0x18001208, 0x2a0e1008,   // bh.mr.ne_432 sq.pt.un_550  ur.ar.un_430 lt.is.mt_443 
  0x27002519, 0x0a001e02, 0x3000201a, 0x1044230d,   // eu.gd.un_750 ms.pt.un_220  sq.uz.un_760 ky.kk.be_554 
  // [18a0]
  0x28557314, 0x126b1aa0, 0x041320a9, 0x23190ba9,   // ny.rw.sw_666 tl.ceb.hu_322  sq.et.fi_544 es.gl.ca_544 
  0x0e3216ad, 0x5600090e, 0x56000912, 0x0f002907,   // hr.bs.is_643 pl.mg.un_550  pl.mg.un_640 sl.lv.un_420 
  0x21182fad, 0x1700230d, 0x00000906, 0x0d092d5a,   // su.ga.jw_643 ky.sr.un_540  pl.un.un_400 sk.pl.cs_553 
  0x04171107, 0x1f003f0d, 0x30003521, 0x440708a6,   // ro.sr.ru_432 af.cy.un_540  tg.uz.un_860 uk.bg.kk_521 
  // [18b0]
  0x0a006e04, 0x070a0407, 0x070417ee, 0x10041755,   // hmn.pt.un_320 ru.mk.bg_432  sr.ru.bg_422 sr.fi.lt_442 
  0x09000d12, 0x3f006e04, 0x0a30350c, 0x13006e09,   // cs.pl.un_640 hmn.af.un_320  tg.uz.mk_543 hmn.et.un_440 
  0x20123f04, 0x10000f12, 0x011f1ba0, 0x13201ba4,   // af.hu.sq_332 lv.lt.un_640  tr.cy.en_322 tr.sq.et_433 
  0x083f300d, 0x1c301e0c, 0x56092d12, 0x20123d0c,   // uz.af.no_554 ms.uz.id_543  sk.pl.mg_654 ku.hu.sq_543 
  // [18c0]
  0x110113a4, 0x092d0d02, 0x0400110e, 0x0c001f12,   // et.en.ro_433 cs.sk.pl_222  ro.ru.un_550 cy.sv.un_640 
  0x31000104, 0x08441060, 0x30311baf, 0x08120e0c,   // en.az.un_320 be.kk.uk_664  tr.az.uz_655 is.hu.no_543 
  0x1811320c, 0x29122a55, 0x06000a19, 0x0d107307,   // bs.ro.ga_543 mt.hu.sl_442  pt.de.un_750 ny.lt.cs_432 
  0x130430a9, 0x08190a55, 0x301b310e, 0x25000808,   // uz.fi.et_544 pt.gl.no_442  az.tr.uz_555 no.eu.un_430 
  // [18d0]
  0x25001222, 0x190a010c, 0x3008355a, 0x3f000104,   // hu.eu.un_870 en.pt.gl_543  tg.uk.uz_553 en.af.un_320 
  0x30003112, 0x11202308, 0x18001911, 0x20001012,   // az.uz.un_640 ca.sq.ro_443  gl.ga.un_630 lt.sq.un_640 
  0x0b6b1a0d, 0x30232014, 0x31113007, 0x03000619,   // tl.ceb.es_554 sq.ca.uz_666  uz.ro.az_432 de.nl.un_750 
  0x080256a9, 0x30005602, 0x0a1704a4, 0x0d131c11,   // mg.da.no_544 mg.uz.un_220  ru.sr.mk_433 mr.bh.ne_653 
  // [18e0]
  0x18000b05, 0x18000607, 0x120c2a11, 0x162501a4,   // es.ga.un_330 de.ga.un_420  mt.sv.hu_653 en.eu.hr_433 
  0x03122a07, 0x0c00560d, 0x20003707, 0x733756a9,   // mt.hu.nl_432 mg.sv.un_540  st.sq.un_420 mg.st.ny_544 
  0x18190b02, 0x531811ee, 0x070a110c, 0x0f005614,   // es.gl.ga_222 ro.ga.ht_422  ro.mk.bg_543 mg.lv.un_660 
  0x04000809, 0x08003019, 0x080c37ac, 0x0a005612,   // uk.ru.un_440 uz.uk.un_750  st.sv.no_632 mg.pt.un_640 
  // [18f0]
  0x07000814, 0x0e000c09, 0x1c00130d, 0x0e001309,   // uk.bg.un_660 sv.is.un_440  bh.mr.un_540 et.is.un_440 
  0x0e73280e, 0x1e3028a9, 0x0a1723a4, 0x1805270c,   // sw.ny.is_555 sw.uz.ms_544  ky.sr.mk_433 gd.fr.ga_543 
  0x2d001904, 0x18270513, 0x0f0913ad, 0x0300050d,   // gl.sk.un_320 fr.gd.ga_665  et.pl.lv_643 fr.nl.un_540 
  0x1827050c, 0x64000e05, 0x160f1004, 0x2827180b,   // fr.gd.ga_543 is.lg.un_330  lt.lv.hr_332 ga.gd.sw_542 
  // [1900]
  0x24000122, 0x1a2125a0, 0x0f0901a4, 0x123f0309,   // iw.yi.un_870 eu.jw.tl_322  en.pl.lv_433 nl.af.hu_444 
  0x53000507, 0x180527ad, 0x1e001c36, 0x0500010d,   // fr.ht.un_420 gd.fr.ga_643  id.ms.un_AA0 en.fr.un_540 
  0x0f005609, 0x0c2b1c07, 0x1c091309, 0x0a001109,   // mg.lv.un_440 id.vi.sv_432  bh.hi.mr_444 ro.pt.un_440 
  0x55002807, 0x04081713, 0x23001605, 0x0f000804,   // sw.rw.un_420 sr.uk.ru_665  hr.ca.un_330 no.lv.un_320 
  // [1910]
  0x1b001f13, 0x040a0805, 0x2327180c, 0x07001119,   // cy.tr.un_650 uk.mk.ru_333  ga.gd.ca_543 ro.bg.un_750 
  0x56532dee, 0x032f050d, 0x10000f13, 0x1f00050b,   // sk.ht.mg_422 fr.su.nl_554  lv.lt.un_650 fr.cy.un_520 
  0x070a17a0, 0x09020c07, 0x05001823, 0x23055302,   // sr.mk.bg_322 sv.da.pl_432  ga.fr.un_880 ht.fr.ca_222 
  0x5600051b, 0x21000804, 0x120427a4, 0x30442307,   // fr.mg.un_770 no.jw.un_320  gd.fi.hu_433 ky.kk.uz_432 
  // [1920]
  0x29001708, 0x271801ee, 0x312b0aa0, 0x12080207,   // sr.sl.un_430 en.ga.gd_422  pt.vi.az_322 da.no.hu_432 
  0x6b093da4, 0x12203007, 0x281c2fa7, 0x02000818,   // ku.pl.ceb_433 uz.sq.hu_432  su.id.sw_532 no.da.un_740 
  0x35000a12, 0x16001e04, 0x30311e05, 0x0800020d,   // mk.tg.un_640 ms.hr.un_320  ms.az.uz_333 da.no.un_540 
  0x10003202, 0x01002704, 0x090f10a4, 0x080a17a4,   // bs.lt.un_220 gd.en.un_320  lt.lv.pl_433 sr.mk.uk_433 
  // [1930]
  0x12001819, 0x11005507, 0x1e1c2702, 0x0d00091a,   // ar.ur.un_750 rw.ro.un_420  gd.id.ms_222 hi.ne.un_760 
  0x04001707, 0x2a000504, 0x093f030c, 0x2d001808,   // sr.ru.un_420 fr.mt.un_320  nl.af.pl_543 ga.sk.un_430 
  0x09001008, 0x55732811, 0x0200230c, 0x202f73ee,   // lt.pl.un_430 sw.ny.rw_653  ca.da.un_530 ny.su.sq_422 
  0x30003507, 0x1f002a08, 0x10170808, 0x20000604,   // tg.uz.un_420 mt.cy.un_430  uk.sr.be_443 de.sq.un_320 
  // [1940]
  0x0f002902, 0x23030607, 0x1f1a6ba4, 0x30004422,   // sl.lv.un_220 de.nl.ca_432  ceb.tl.cy_433 kk.uz.un_870 
  0x19110bec, 0x27002107, 0x0f2d0912, 0x04171105,   // es.ro.gl_644 jw.gd.un_420  pl.sk.lv_654 ro.sr.ru_333 
  0x12002019, 0x02072a04, 0x02120455, 0x10003d13,   // sq.hu.un_750 mt.it.da_332  fi.hu.da_442 ku.lt.un_650 
  0x03000608, 0x030c08a0, 0x30100107, 0x08006e08,   // de.nl.un_430 no.sv.nl_322  en.lt.uz_432 hmn.no.un_430 
  // [1950]
  0x0c080209, 0x090d13a9, 0x27005302, 0x04001018,   // da.no.sv_444 bh.ne.hi_544  ht.gd.un_220 be.ru.un_740 
  0x0a2f730d, 0x120e010b, 0x212f23a0, 0x2f1f37a4,   // ny.su.pt_554 en.is.hu_542  ca.su.jw_322 st.cy.su_433 
  0x1f003f04, 0x09080213, 0x1f002705, 0x08301105,   // af.cy.un_320 da.no.pl_665  gd.cy.un_330 ro.uz.uk_333 
  0x23190ba4, 0x0c002a09, 0x182112ec, 0x2b012aee,   // es.gl.ca_433 mt.sv.un_440  ur.fa.ar_644 mt.en.vi_422 
  // [1960]
  0x0b0a18ec, 0x25030608, 0x301b1ea0, 0x0d0f7304,   // ga.pt.es_644 de.nl.eu_443  ms.tr.uz_322 ny.lv.cs_332 
  0x1044040c, 0x03090d12, 0x1800211b, 0x061209ad,   // ru.kk.be_543 cs.pl.nl_654  fa.ar.un_770 pl.hu.de_643 
  0x18190ba7, 0x3f002f07, 0x1f003f0e, 0x120c0807,   // es.gl.ga_532 su.af.un_420  af.cy.un_550 no.sv.hu_432 
  0x0000352d, 0x0a070408, 0x212030ee, 0x28001105,   // tg.un.un_A00 ru.bg.mk_443  uz.sq.jw_422 ro.sw.un_330 
  // [1970]
  0x100f3dad, 0x1c000d1a, 0x1104100c, 0x0a190ba7,   // ku.lv.lt_643 ne.mr.un_760  be.ru.ro_543 es.gl.pt_532 
  0x0f1001a4, 0x09000619, 0x1f190b0e, 0x2d0d10ec,   // en.lt.lv_433 de.pl.un_750  es.gl.cy_555 lt.cs.sk_644 
  0x2f1021a0, 0x03001f04, 0x12000c0d, 0x07003508,   // jw.lt.su_322 cy.nl.un_320  sv.hu.un_540 tg.bg.un_430 
  0x080a170c, 0x30001b13, 0x0a001814, 0x56002b13,   // sr.mk.uk_543 tr.uz.un_650  ga.pt.un_660 vi.mg.un_650 
  // [1980]
  0x301023af, 0x11002b11, 0x321b2007, 0x0b00180e,   // ky.be.uz_655 vi.ro.un_630  sq.tr.bs_432 ga.es.un_550 
  0x20532513, 0x18190ba0, 0x18283713, 0x18000a0e,   // eu.ht.sq_665 es.gl.ga_322  st.sw.ga_665 pt.ga.un_550 
  0x0400080c, 0x3008100c, 0x2f27180b, 0x30002305,   // uk.ru.un_530 be.uk.uz_543  ga.gd.su_542 ky.uz.un_330 
  0x09130d07, 0x2f002a0c, 0x1800170c, 0x01003702,   // ne.bh.hi_432 mt.su.un_530  sr.ga.un_530 st.en.un_220 
  // [1990]
  0x190b56ad, 0x041008a4, 0x03010aa0, 0x171632a4,   // mg.es.gl_643 uk.be.ru_433  pt.en.nl_322 bs.hr.sr_433 
  0x07010602, 0x2f006b04, 0x17080409, 0x1e000e04,   // de.en.it_222 ceb.su.un_320  ru.uk.sr_444 is.ms.un_320 
  0x2b001907, 0x2a001819, 0x0a000722, 0x01001802,   // gl.vi.un_420 ga.mt.un_750  bg.mk.un_870 ga.en.un_220 
  0x020c0813, 0x301b31ec, 0x09006412, 0x182b56a7,   // no.sv.da_665 az.tr.uz_644  lg.pl.un_640 mg.vi.ga_532 
  // [19a0]
  0x37271813, 0x06557360, 0x13375660, 0x0c1308a0,   // ga.gd.st_665 ny.rw.de_664  mg.st.et_664 no.et.sv_322 
  0x196b0bee, 0x08043f05, 0x6b191fa7, 0x44353013,   // es.ceb.gl_422 af.fi.no_333  cy.gl.ceb_532 uz.tg.kk_665 
  0x10070aec, 0x050701a4, 0x04070aa4, 0x1f311e12,   // mk.bg.be_644 en.it.fr_433  mk.bg.ru_433 ms.az.cy_654 
  0x233007a4, 0x1e5331a0, 0x312830ad, 0x0f001f07,   // bg.uz.ky_433 az.ht.ms_322  uz.sw.az_643 cy.lv.un_420 
  // [19b0]
  0x042813ee, 0x04000702, 0x3f130313, 0x13033fa4,   // et.sw.fi_422 it.fi.un_220  nl.et.af_665 af.nl.et_433 
  0x170a3012, 0x12002919, 0x30000e14, 0x022d0e12,   // uz.mk.sr_654 sl.hu.un_750  is.uz.un_660 is.sk.da_654 
  0x3f0313af, 0x0c00091a, 0x13033f11, 0x73005522,   // et.nl.af_655 pl.sv.un_760  af.nl.et_653 rw.ny.un_870 
  0x0a372802, 0x11003f1a, 0x131f2704, 0x082a0107,   // sw.st.pt_222 af.ro.un_760  gd.cy.et_332 en.mt.no_432 
  // [19c0]
  0x64003f02, 0x03080207, 0x0a041305, 0x1c003721,   // af.lg.un_220 da.no.nl_432  et.fi.pt_333 st.id.un_860 
  0x17001304, 0x212837ad, 0x070c0ea0, 0x12001821,   // et.sr.un_320 st.sw.jw_643  is.sv.it_322 ar.ur.un_860 
  0x0e126407, 0x190a0505, 0x122a6407, 0x05002307,   // lg.hu.is_432 fr.pt.gl_333  lg.mt.hu_432 ca.fr.un_420 
  0x0c0501a4, 0x2a1b3008, 0x530d2d11, 0x30122aa7,   // en.fr.sv_433 uz.tr.mt_443  sk.cs.ht_653 mt.hu.uz_532 
  // [19d0]
  0x10443012, 0x07350a02, 0x0f002909, 0x04033f09,   // uz.kk.be_654 mk.tg.bg_222  sl.lv.un_440 af.nl.fi_444 
  0x35301105, 0x2a000708, 0x190f0bec, 0x64122a04,   // ro.uz.tg_333 it.mt.un_430  es.lv.gl_644 mt.hu.lg_332 
  0x280313a4, 0x17000819, 0x203f03a4, 0x2f005619,   // et.nl.sw_433 uk.sr.un_750  nl.af.sq_433 mg.su.un_750 
  0x64002a13, 0x6b041355, 0x015528a0, 0x55642d07,   // mt.lg.un_650 et.fi.ceb_442  sw.rw.en_322 sk.lg.rw_432 
  // [19e0]
  0x00001e15, 0x13033f05, 0x2d0d1702, 0x1c211e04,   // ms.un.un_700 af.nl.et_333  sr.cs.sk_222 ms.jw.id_332 
  0x07080405, 0x13042d04, 0x282f2105, 0x0b190a0d,   // ru.uk.bg_333 sk.fi.et_332  jw.su.sw_333 pt.gl.es_554 
  0x0300250c, 0x126b640c, 0x12006414, 0x322d0d55,   // eu.nl.un_530 lg.ceb.hu_543  lg.hu.un_660 cs.sk.bs_442 
  0x08002313, 0x183f1fad, 0x1c282f05, 0x0e1f27ad,   // ky.uk.un_650 cy.af.ga_643  su.sw.id_333 gd.cy.is_643 
  // [19f0]
  0x73130407, 0x12002a0c, 0x08300711, 0x28001705,   // fi.et.ny_432 mt.hu.un_530  bg.uz.uk_653 sr.sw.un_330 
  0x64082aad, 0x2a210e07, 0x19230bec, 0x072a3008,   // mt.no.lg_643 is.jw.mt_432  es.ca.gl_644 uz.mt.it_443 
  0x321655a0, 0x6b2301a7, 0x2d170d14, 0x190b6ba0,   // rw.hr.bs_322 en.ca.ceb_532  cs.sr.sk_666 ceb.es.gl_322 
  0x73556409, 0x216b5304, 0x04000708, 0x55136413,   // lg.rw.ny_444 ht.ceb.jw_332  bg.ru.un_430 lg.et.rw_665 
  // [1a00]
  0x11001108, 0x2d0d2905, 0x25001219, 0x2800030e,   // ro.ro.un_430 sl.cs.sk_333  hu.eu.un_750 nl.sw.un_550 
  0x0e3f0804, 0x0f002807, 0x1e1c29ee, 0x1a6b0c0c,   // no.af.is_332 sw.lv.un_420  sl.id.ms_422 sv.ceb.tl_543 
  0x2d321602, 0x2f132807, 0x08000718, 0x29003022,   // hr.bs.sk_222 sw.et.su_432  bg.uk.un_740 uz.sl.un_870 
  0x560d2d12, 0x06000304, 0x033f30a0, 0x21282f05,   // sk.cs.mg_654 nl.de.un_320  uz.af.nl_322 su.sw.jw_333 
  // [1a10]
  0x292d1007, 0x291610ee, 0x1117110d, 0x2f002105,   // lt.sk.sl_432 lt.hr.sl_422  ro.sr.ro_554 jw.su.un_330 
  0x37002502, 0x100d2807, 0x0500110d, 0x2d290d0c,   // eu.st.un_220 sw.cs.lt_432  ro.fr.un_540 cs.sl.sk_543 
  0x07000813, 0x09006408, 0x04440aa0, 0x0a0804a0,   // uk.bg.un_650 lg.pl.un_430  mk.kk.ru_322 ru.uk.mk_322 
  0x18001209, 0x08231004, 0x55211207, 0x64002802,   // ur.ar.un_440 be.ky.uk_332  hu.jw.rw_432 sw.lg.un_220 
  // [1a20]
  0x64005502, 0x0d091ca9, 0x4408170c, 0x16000204,   // rw.lg.un_220 mr.hi.ne_544  sr.uk.kk_543 da.hr.un_320 
  0x253d1807, 0x322d0da4, 0x092a040c, 0x07170a12,   // ga.ku.eu_432 cs.sk.bs_433  fi.mt.pl_543 mk.sr.bg_654 
  0x0f080c55, 0x18002705, 0x3f042aa4, 0x0600730d,   // sv.no.lv_442 gd.ga.un_330  mt.fi.af_433 ny.de.un_540 
  0x1e313012, 0x30295613, 0x0a003505, 0x126b1a02,   // uz.az.ms_654 mg.sl.uz_665  tg.mk.un_330 tl.ceb.hu_222 
  // [1a30]
  0x1800280e, 0x04003504, 0x06000c19, 0x53001a14,   // sw.ga.un_550 tg.ru.un_320  sv.de.un_750 tl.ht.un_660 
  0x080a0711, 0x321716ee, 0x2a005504, 0x032a6407,   // bg.mk.uk_653 hr.sr.bs_422  rw.mt.un_320 lg.mt.nl_432 
  0x2118125a, 0x1b002008, 0x20001b04, 0x21002f09,   // ur.ar.fa_553 sq.tr.un_430  tr.sq.un_320 su.jw.un_440 
  0x04302302, 0x31003013, 0x0c00081b, 0x2f530408,   // ky.uz.ru_222 uz.az.un_650  no.sv.un_770 fi.ht.su_443 
  // [1a40]
  0x123f2f07, 0x17070a0c, 0x17080a09, 0x02000835,   // su.af.hu_432 mk.bg.sr_543  mk.uk.sr_444 no.da.un_A90 
  0x32002904, 0x53001f02, 0x0800122c, 0x3d181b14,   // sl.bs.un_320 cy.ht.un_220  hu.no.un_990 tr.ga.ku_666 
  0x07190107, 0x0f2a1012, 0x3f0603a6, 0x282d0dac,   // en.gl.it_432 lt.mt.lv_654  nl.de.af_521 cs.sk.sw_632 
  0x30352312, 0x1e000607, 0x1c130909, 0x32301eee,   // ky.tg.uz_654 de.ms.un_420  hi.bh.mr_444 ms.uz.bs_422 
  // [1a50]
  0x1f00082a, 0x32001708, 0x35000713, 0x1f050107,   // no.cy.un_970 sr.bs.un_430  bg.tg.un_650 en.fr.cy_432 
  0x051901a4, 0x28171307, 0x20001b09, 0x0000350a,   // en.gl.fr_433 et.sr.sw_432  tr.sq.un_440 tg.un.un_500 
  0x10182aad, 0x033f0c5a, 0x06001f21, 0x3f0e08af,   // mt.ga.lt_643 sv.af.nl_553  cy.de.un_860 no.is.af_655 
  0x063f0314, 0x6e001f14, 0x235301a0, 0x44080405,   // nl.af.de_666 cy.hmn.un_660  en.ht.ca_322 ru.uk.kk_333 
  // [1a60]
  0x0e001813, 0x0100241a, 0x070444a4, 0x0400170d,   // ga.is.un_650 yi.iw.un_760  kk.ru.bg_433 sr.ru.un_540 
  0x09005304, 0x301310a0, 0x11552002, 0x3d00312b,   // ht.pl.un_320 lt.et.uz_322  sq.rw.ro_222 az.ku.un_980 
  0x07170408, 0x170a070b, 0x216455af, 0x12176407,   // ru.sr.bg_443 bg.mk.sr_542  rw.lg.jw_655 lg.sr.hu_432 
  0x060c135a, 0x30006b04, 0x0a190b5a, 0x0c000404,   // et.sv.de_553 ceb.uz.un_320  es.gl.pt_553 fi.sv.un_320 
  // [1a70]
  0x562b0607, 0x1a006b1a, 0x09007304, 0x5528640d,   // de.vi.mg_432 ceb.tl.un_760  ny.pl.un_320 lg.sw.rw_554 
  0x3f641304, 0x0a002f04, 0x08060204, 0x03003f04,   // et.lg.af_332 su.pt.un_320  da.de.no_332 af.nl.un_320 
  0x0d1c135a, 0x04071004, 0x20000612, 0x081a6b0b,   // bh.mr.ne_553 be.bg.ru_332  de.sq.un_640 ceb.tl.no_542 
  0x6b101a05, 0x173d2904, 0x175530ee, 0x3f092904,   // tl.lt.ceb_333 sl.ku.sr_332  uz.rw.sr_422 sl.pl.af_332 
  // [1a80]
  0x561f27ee, 0x12130c0c, 0x21645504, 0x53000c05,   // gd.cy.mg_422 sv.et.hu_543  rw.lg.jw_332 sv.ht.un_330 
  0x0a1711a9, 0x1b256b0d, 0x35002308, 0x2a005505,   // ro.sr.mk_544 ceb.eu.tr_554  ky.tg.un_430 rw.mt.un_330 
  0x06255507, 0x350a07ee, 0x212f5560, 0x07100b08,   // rw.eu.de_432 bg.mk.tg_422  rw.su.jw_664 es.lt.it_443 
  0x101a5307, 0x29080ca9, 0x23001604, 0x050c2aa4,   // ht.tl.lt_432 sv.no.sl_544  hr.ca.un_320 mt.sv.fr_433 
  // [1a90]
  0x1a070aa4, 0x17163210, 0x556b1c0b, 0x0a35300c,   // pt.it.tl_433 bs.hr.sr_642  id.ceb.rw_542 uz.tg.mk_543 
  0x551e1c5a, 0x6b2a07ee, 0x0f060107, 0x6410550c,   // id.ms.rw_553 it.mt.ceb_422  en.de.lv_432 rw.lt.lg_543 
  0x641a6b0e, 0x281029ee, 0x29001312, 0x0a353002,   // ceb.tl.lg_555 sl.lt.sw_422  et.sl.un_640 uz.tg.mk_222 
  0x28007304, 0x0409130c, 0x17070a13, 0x102829a4,   // ny.sw.un_320 et.pl.fi_543  mk.bg.sr_665 sl.sw.lt_433 
  // [1aa0]
  0x070417a7, 0x290b07a7, 0x0a3510a6, 0x55000c07,   // sr.ru.bg_532 it.es.sl_532  be.tg.mk_521 sv.rw.un_420 
  0x17000809, 0x0a1135ad, 0x040c06a7, 0x100f1705,   // uk.sr.un_440 tg.ro.mk_643  de.sv.fi_532 sr.lv.lt_333 
  0x1017080c, 0x55003202, 0x1008040e, 0x130d09a9,   // uk.sr.be_543 bs.rw.un_220  ru.uk.be_555 hi.ne.bh_544 
  0x070435a0, 0x0d00180d, 0x3d0729a4, 0x083f030c,   // tg.ru.bg_322 ga.cs.un_540  sl.it.ku_433 nl.af.no_543 
  // [1ab0]
  0x55007319, 0x2300440e, 0x2910070c, 0x56291a0c,   // ny.rw.un_750 kk.ky.un_550  it.lt.sl_543 tl.sl.mg_543 
  0x30040812, 0x30003518, 0x11353008, 0x443023af,   // uk.ru.uz_654 tg.uz.un_740  uz.tg.ro_443 ky.uz.kk_655 
  0x1e1c3702, 0x0400131b, 0x551a64a4, 0x28001a04,   // st.id.ms_222 et.fi.un_770  lg.tl.rw_433 tl.sw.un_320 
  0x06002a14, 0x55002f02, 0x2800060c, 0x1b002805,   // mt.de.un_660 su.rw.un_220  de.sw.un_530 sw.tr.un_330 
  // [1ac0]
  0x0411110c, 0x1f272da4, 0x1a3f01a7, 0x04002a09,   // ro.ro.ru_543 sk.gd.cy_433  en.af.tl_532 mt.fi.un_440 
  0x292d0d60, 0x122a070c, 0x29002d22, 0x13080c08,   // cs.sk.sl_664 it.mt.hu_543  sk.sl.un_870 sv.no.et_443 
  0x64001219, 0x2a041208, 0x44080407, 0x04081002,   // hu.lg.un_750 hu.fi.mt_443  ru.uk.kk_432 be.uk.ru_222 
  0x0a00170c, 0x05001a04, 0x55006404, 0x12002d13,   // sr.mk.un_530 tl.fr.un_320  lg.rw.un_320 sk.hu.un_650 
  // [1ad0]
  0x10040707, 0x07000808, 0x03073fa0, 0x12001b08,   // bg.ru.be_432 no.it.un_430  af.it.nl_322 tr.hu.un_430 
  0x11070aa9, 0x0c2a20a4, 0x13002011, 0x070305a0,   // mk.bg.ro_544 sq.mt.sv_433  sq.et.un_630 fr.nl.it_322 
  0x2d002909, 0x1c090d08, 0x3000310e, 0x2b731f07,   // sl.sk.un_440 ne.hi.mr_443  az.uz.un_550 cy.ny.vi_432 
  0x25000622, 0x32007307, 0x3f002507, 0x04170813,   // de.eu.un_870 ny.bs.un_420  eu.af.un_420 uk.sr.ru_665 
  // [1ae0]
  0x6b001a14, 0x2f002518, 0x3d1a6ba4, 0x0c033f55,   // tl.ceb.un_660 eu.su.un_740  ceb.tl.ku_433 af.nl.sv_442 
  0x052a01a0, 0x3f2a0707, 0x1f112302, 0x7328640e,   // en.mt.fr_322 it.mt.af_432  ca.ro.cy_222 lg.sw.ny_555 
  0x3f080ca4, 0x2d00291a, 0x2f050802, 0x321b06ee,   // sv.no.af_433 sl.sk.un_760  no.fr.su_222 de.tr.bs_422 
  0x08132fa0, 0x03023f02, 0x060a23a4, 0x0c2a0408,   // su.et.no_322 af.da.nl_222  ca.pt.de_433 fi.mt.sv_443 
  // [1af0]
  0x0c0e13a0, 0x09000108, 0x04080a07, 0x04310c07,   // et.is.sv_322 en.pl.un_430  mk.uk.ru_432 sv.az.fi_432 
  0x321116a0, 0x06080c05, 0x3f042a0c, 0x1600290c,   // hr.ro.bs_322 sv.no.de_333  mt.fi.af_543 sl.hr.un_530 
  0x211c2f0c, 0x1213045a, 0x0b000611, 0x0e080608,   // su.id.jw_543 fi.et.hu_553  de.es.un_630 de.no.is_443 
  0x120625ad, 0x10000819, 0x0427180c, 0x17020807,   // eu.de.hu_643 uk.be.un_750  ga.gd.fi_543 no.da.sr_432 
  // [1b00]
  0x2a0f2813, 0x2d0d3dee, 0x04303509, 0x10000f0d,   // sw.lv.mt_665 ku.cs.sk_422  tg.uz.ru_444 lv.lt.un_540 
  0x0c0807ad, 0x0f0502a4, 0x55080213, 0x1a27180c,   // it.no.sv_643 da.fr.lv_433  da.no.rw_665 ga.gd.tl_543 
  0x0a003008, 0x2d30060e, 0x18000d13, 0x440410ee,   // uz.pt.un_430 de.uz.sk_555  cs.ga.un_650 be.ru.kk_422 
  0x6b081005, 0x040313a9, 0x12001f05, 0x1e3231a0,   // lt.no.ceb_333 et.nl.fi_544  cy.hu.un_330 az.bs.ms_322 
  // [1b10]
  0x3f001a02, 0x0a00171a, 0x060d3f0c, 0x183d1ca9,   // tl.af.un_220 sr.mk.un_760  af.cs.de_543 id.ku.ga_544 
  0x1e1c05a4, 0x29121604, 0x193f1f0c, 0x23004422,   // fr.id.ms_433 hr.hu.sl_332  cy.af.gl_543 kk.ky.un_870 
  0x321607a4, 0x03000f04, 0x101201a7, 0x11000a02,   // it.hr.bs_433 lv.nl.un_320  en.hu.lt_532 pt.ro.un_220 
  0x735564af, 0x0e121104, 0x2f251114, 0x253130a9,   // lg.rw.ny_655 ro.hu.is_332  ro.eu.su_666 uz.az.eu_544 
  // [1b20]
  0x1b003d14, 0x051255ad, 0x1e2025a4, 0x23122905,   // ku.tr.un_660 rw.hu.fr_643  eu.sq.ms_433 sl.hu.ca_333 
  0x735564a0, 0x1c003005, 0x08033f07, 0x0e000419,   // lg.rw.ny_322 uz.id.un_330  af.nl.no_432 fi.is.un_750 
  0x0e130608, 0x0a04170c, 0x0e002a1a, 0x73551113,   // de.et.is_443 sr.ru.mk_543  mt.is.un_760 ro.rw.ny_665 
  0x303523a0, 0x040810a0, 0x080206a4, 0x642555ad,   // ky.tg.uz_322 be.uk.ru_322  de.da.no_433 rw.eu.lg_643 
  // [1b30]
  0x060c08a4, 0x3f2a2307, 0x08060ca0, 0x30002807,   // no.sv.de_433 ca.mt.af_432  sv.de.no_322 sw.uz.un_420 
  0x3055640c, 0x130701a0, 0x1b312008, 0x02000822,   // lg.rw.uz_543 en.it.et_322  sq.az.tr_443 no.da.un_870 
  0x1c000d0e, 0x3523300c, 0x35443013, 0x2573550c,   // ne.mr.un_550 uz.ky.tg_543  uz.kk.tg_665 rw.ny.eu_543 
  0x122d19ee, 0x040717a0, 0x20003202, 0x1f001905,   // gl.sk.hu_422 sr.bg.ru_322  bs.sq.un_220 gl.cy.un_330 
  // [1b40]
  0x642555ee, 0x17081005, 0x55002508, 0x07001f13,   // rw.eu.lg_422 be.uk.sr_333  eu.rw.un_430 cy.it.un_650 
  0x211218af, 0x0744235a, 0x110817a4, 0x23002f0c,   // ar.ur.fa_655 ky.kk.bg_553  sr.uk.ro_433 su.ca.un_530 
  0x073523a7, 0x0a081708, 0x350730a9, 0x0700110d,   // ky.tg.bg_532 sr.uk.mk_443  uz.bg.tg_544 ro.bg.un_540 
  0x1e001f21, 0x1f1e1c12, 0x530c23ee, 0x2a002813,   // cy.ms.un_860 id.ms.cy_654  ca.sv.ht_422 sw.mt.un_650 
  // [1b50]
  0x18002d12, 0x130f0602, 0x11005607, 0x06101fa9,   // sk.ga.un_640 de.lv.et_222  mg.ro.un_420 cy.lt.de_544 
  0x550c08a0, 0x37281fad, 0x30005609, 0x1e1c1014,   // no.sv.rw_322 cy.sw.st_643  mg.uz.un_440 lt.id.ms_666 
  0x070a300d, 0x1e1c10af, 0x00001f2d, 0x1b313daf,   // uz.mk.bg_554 lt.id.ms_655  cy.un.un_A00 ku.az.tr_655 
  0x041735a9, 0x55005621, 0x0000320f, 0x3264200c,   // tg.sr.ru_544 mg.rw.un_860  bs.un.un_600 sq.lg.bs_543 
  // [1b60]
  0x2f061f0c, 0x3229170b, 0x1700560c, 0x370d56ac,   // cy.de.su_543 sr.sl.bs_542  mg.sr.un_530 mg.cs.st_632 
  0x311a280c, 0x211812a9, 0x1a001f1b, 0x033f02a7,   // sw.tl.az_543 ur.ar.fa_544  cy.tl.un_770 da.af.nl_532 
  0x35003005, 0x08000408, 0x305564a0, 0x1c002104,   // uz.tg.un_330 ru.uk.un_430  lg.rw.uz_322 jw.id.un_320 
  0x3700280d, 0x251011ad, 0x1a732808, 0x1f00200d,   // sw.st.un_540 ro.lt.eu_643  sw.ny.tl_443 sq.cy.un_540 
  // [1b70]
  0x101a130c, 0x37006409, 0x211e1f12, 0x23101f08,   // et.tl.lt_543 lg.st.un_440  cy.ms.jw_654 cy.lt.ca_443 
  0x29001307, 0x551a6b12, 0x30000422, 0x6b000204,   // et.sl.un_420 ceb.tl.rw_654  fi.uz.un_870 da.ceb.un_320 
  0x1c001e12, 0x1e1c1f0c, 0x5500730c, 0x56033fee,   // ms.id.un_640 cy.id.ms_543  ny.rw.un_530 af.nl.mg_422 
  0x10251fa7, 0x55136407, 0x03043f07, 0x28212fa7,   // cy.eu.lt_532 lg.et.rw_432  af.fi.nl_432 su.jw.sw_532 
  // [1b80]
  0x56001a22, 0x29321607, 0x04111107, 0x07170412,   // tl.mg.un_870 hr.bs.sl_432  ro.ro.ru_432 ru.sr.bg_654 
  0x11113008, 0x0a170805, 0x09531f09, 0x18000713,   // uz.ro.ro_443 uk.sr.mk_333  cy.ht.pl_444 it.ga.un_650 
  0x553073a4, 0x01000c04, 0x13562805, 0x04003f08,   // ny.uz.rw_433 sv.en.un_320  sw.mg.et_333 af.fi.un_430 
  0x6b285504, 0x13000108, 0x0700100d, 0x4400350e,   // rw.sw.ceb_332 en.et.un_430  be.bg.un_540 tg.kk.un_550 
  // [1b90]
  0x16321707, 0x30561a0c, 0x2f190b04, 0x06002a0c,   // sr.bs.hr_432 tl.mg.uz_543  es.gl.su_332 mt.de.un_530 
  0x097310a9, 0x10002d0c, 0x2300210c, 0x1e006b05,   // lt.ny.pl_544 sk.lt.un_530  jw.ca.un_530 ceb.ms.un_330 
  0x23441012, 0x1a007305, 0x02001f02, 0x3f031f0e,   // be.kk.ky_654 ny.tl.un_330  cy.da.un_220 cy.nl.af_555 
  0x0c060209, 0x0c0e080b, 0x27003007, 0x0a111107,   // da.de.sv_444 no.is.sv_542  uz.gd.un_420 ro.ro.mk_432 
  // [1ba0]
  0x2d0d1602, 0x07170aaf, 0x30311b12, 0x1f00030b,   // hr.cs.sk_222 mk.sr.bg_655  tr.az.uz_654 nl.cy.un_520 
  0x1c092f02, 0x18000b08, 0x1e1c64a9, 0x230a05ec,   // su.pl.id_222 es.ga.un_430  lg.id.ms_544 fr.pt.ca_644 
  0x1c641e0c, 0x1e1c640c, 0x2f3f03ee, 0x5512370c,   // ms.lg.id_543 lg.id.ms_543  nl.af.su_422 st.hu.rw_543 
  0x37551c07, 0x440423a0, 0x091e1c08, 0x13000304,   // id.rw.st_432 ky.ru.kk_322  id.ms.pl_443 nl.et.un_320 
  // [1bb0]
  0x211a55a4, 0x0c0f02a0, 0x0000282d, 0x012a6ea0,   // rw.tl.jw_433 da.lv.sv_322  sw.un.un_A00 hmn.mt.en_322 
  0x7364555a, 0x1a556b08, 0x170a04ad, 0x06040312,   // rw.lg.ny_553 ceb.rw.tl_443  ru.mk.sr_643 nl.fi.de_654 
  0x1e1c55a9, 0x23004412, 0x0c0308a0, 0x1830565a,   // rw.id.ms_544 kk.ky.un_640  no.nl.sv_322 mg.uz.ga_553 
  0x0b30250c, 0x0e080c04, 0x0600300e, 0x082502a0,   // eu.uz.es_543 sv.no.is_332  uz.de.un_550 da.eu.no_322 
  // [1bc0]
  0x08001308, 0x0964550c, 0x08092a07, 0x1e1c55a4,   // et.no.un_430 rw.lg.pl_543  mt.pl.no_432 rw.id.ms_433 
  0x08062aa0, 0x1255640c, 0x070a01a4, 0x0e000c04,   // mt.de.no_322 lg.rw.hu_543  en.pt.it_433 sv.is.un_320 
  0x1c090d13, 0x2855090c, 0x13043013, 0x1c551e0c,   // ne.hi.mr_665 pl.rw.sw_543  uz.fi.et_665 ms.rw.id_543 
  0x301b310d, 0x16321711, 0x08003502, 0x1e1c55ec,   // az.tr.uz_554 sr.bs.hr_653  tg.uk.un_220 rw.id.ms_644 
  // [1bd0]
  0x301b310c, 0x1e641c0c, 0x17071105, 0x37231e12,   // az.tr.uz_543 id.lg.ms_543  ro.bg.sr_333 ms.ca.st_654 
  0x02041304, 0x07041702, 0x55006b11, 0x30130605,   // et.fi.da_332 sr.ru.bg_222  ceb.rw.un_630 de.et.uz_333 
  0x23111113, 0x3d301ba4, 0x6b1c21a0, 0x20301011,   // ro.ro.ky_665 tr.uz.ku_433  jw.id.ceb_322 lt.uz.sq_653 
  0x55000104, 0x1f001221, 0x08000c07, 0x6b301aa4,   // en.rw.un_320 hu.cy.un_860  sv.no.un_420 tl.uz.ceb_433 
  // [1be0]
  0x106b030b, 0x116b01a4, 0x56100404, 0x350a0704,   // nl.ceb.lt_542 en.ceb.ro_433  fi.lt.mg_332 bg.mk.tg_332 
  0x311e1c0d, 0x06003f07, 0x3f0c0802, 0x44042302,   // id.ms.az_554 af.de.un_420  no.sv.af_222 ky.ru.kk_222 
  0x0c005302, 0x31001f07, 0x1f003f19, 0x101b0907,   // ht.sv.un_220 cy.az.un_420  af.cy.un_750 pl.tr.lt_432 
  0x0d1c0907, 0x100a0709, 0x56001f0d, 0x7353300c,   // hi.mr.ne_432 bg.mk.be_444  cy.mg.un_540 uz.ht.ny_543 
  // [1bf0]
  0x1800270c, 0x303153ee, 0x567337a4, 0x1a126bec,   // gd.ga.un_530 ht.az.uz_422  st.ny.mg_433 ceb.hu.tl_644 
  0x56055304, 0x04130c05, 0x12002a05, 0x3000230c,   // ht.fr.mg_332 sv.et.fi_333  mt.hu.un_330 ky.uz.un_530 
  0x13002904, 0x1c00130b, 0x0c00040e, 0x550537ee,   // sl.et.un_320 bh.mr.un_520  fi.sv.un_550 st.fr.rw_422 
  0x0a0835a0, 0x55531fa7, 0x060a1ba4, 0x07300804,   // tg.uk.mk_322 cy.ht.rw_532  tr.pt.de_433 uk.uz.bg_332 
  
  // [1c00]
  0x300a07a7, 0x12001907, 0x04443507, 0x12002114,   // bg.mk.uz_532 gl.hu.un_420  tg.kk.ru_432 fa.ur.un_660 
  0x100a08a4, 0x56000e13, 0x352330af, 0x56001f20,   // uk.mk.be_433 is.mg.un_650  uz.ky.tg_655 cy.mg.un_850 
  0x44302302, 0x533173ee, 0x0b001f02, 0x2704180c,   // ky.uz.kk_222 ny.az.ht_422  cy.es.un_220 ga.fi.gd_543 
  0x3504175a, 0x561f7304, 0x09061f0d, 0x0400100e,   // sr.ru.tg_553 ny.cy.mg_332  cy.de.pl_554 be.ru.un_550 
  // [1c10]
  0x352330ac, 0x0c001319, 0x040c130b, 0x120d09a9,   // uz.ky.tg_632 et.sv.un_750  et.sv.fi_542 pl.cs.hu_544 
  0x311b3d05, 0x301b31af, 0x07001104, 0x041107a7,   // ku.tr.az_333 az.tr.uz_655  ro.it.un_320 bg.ro.ru_532 
  0x0a2d0d0e, 0x111e1c0d, 0x3000110e, 0x0c2301a4,   // cs.sk.pt_555 id.ms.ro_554  ro.uz.un_550 en.ca.sv_433 
  0x233d0613, 0x0900200e, 0x0d2d0907, 0x320917a4,   // de.ku.ca_665 sq.pl.un_550  pl.sk.cs_432 sr.pl.bs_433 
  // [1c20]
  0x11001135, 0x010653a0, 0x19160d07, 0x09290da4,   // ro.ro.un_A90 ht.de.en_322  cs.hr.gl_432 cs.sl.pl_433 
  0x05001c02, 0x1c0d09ad, 0x37115609, 0x640306ee,   // id.fr.un_220 hi.ne.mr_643  mg.ro.st_444 de.nl.lg_422 
  0x731a37a4, 0x0d0105af, 0x3700111b, 0x32171604,   // st.tl.ny_433 fr.en.cs_655  ro.st.un_770 hr.sr.bs_332 
  0x6b280a05, 0x37001108, 0x022a070c, 0x293f0355,   // pt.sw.ceb_333 ro.st.un_430  it.mt.da_543 nl.af.sl_442 
  // [1c30]
  0x0556370b, 0x6b2707ad, 0x0a1711a4, 0x080e0c07,   // st.mg.fr_542 it.gd.ceb_643  ro.sr.mk_433 sv.is.no_432 
  0x3f371c07, 0x092d0d12, 0x28007321, 0x033f0ca0,   // id.st.af_432 cs.sk.pl_654  ny.sw.un_860 sv.af.nl_322 
  0x1132165a, 0x3f192707, 0x2a00230c, 0x0a292d07,   // hr.bs.ro_553 gd.gl.af_432  ca.mt.un_530 sk.sl.pt_432 
  0x1b001804, 0x3f060307, 0x08303507, 0x011137a7,   // ga.tr.un_320 nl.de.af_432  tg.uz.uk_432 st.ro.en_532 
  // [1c40]
  0x281173ec, 0x11072da4, 0x17001002, 0x1e001f2a,   // ny.ro.sw_644 sk.it.ro_433  be.sr.un_220 cy.ms.un_970 
  0x06002505, 0x170704af, 0x040e56a4, 0x08023fa4,   // eu.de.un_330 ru.bg.sr_655  mg.is.fi_433 af.da.no_433 
  0x0e0c120c, 0x25182713, 0x3f0327a7, 0x3f030612,   // hu.sv.is_543 gd.ga.eu_665  gd.nl.af_532 de.nl.af_654 
  0x290d1baf, 0x190b01a0, 0x01052aa4, 0x01097355,   // tr.cs.sl_655 en.es.gl_322  mt.fr.en_433 ny.pl.en_442 
  // [1c50]
  0x11002b02, 0x09251108, 0x0a170713, 0x30170705,   // vi.ro.un_220 ro.eu.pl_443  bg.sr.mk_665 bg.sr.uz_333 
  0x1c13090e, 0x44072309, 0x09003d21, 0x09002a0e,   // hi.bh.mr_555 ky.bg.kk_444  ku.pl.un_860 mt.pl.un_550 
  0x11002d04, 0x5605010c, 0x1f0937a4, 0x050602a0,   // sk.ro.un_320 en.fr.mg_543  st.pl.cy_433 da.de.fr_322 
  0x0d05010c, 0x5600110c, 0x0e231e04, 0x07001823,   // en.fr.cs_543 ro.mg.un_530  ms.ca.is_332 ga.it.un_880 
  // [1c60]
  0x033f0f0c, 0x0b3711a6, 0x23001904, 0x122030a0,   // lv.af.nl_543 ro.st.es_521  gl.ca.un_320 uz.sq.hu_322 
  0x3704110c, 0x2d006e0e, 0x110a3704, 0x060c03a0,   // ro.fi.st_543 hmn.sk.un_550  st.pt.ro_332 nl.sv.de_322 
  0x0f00730c, 0x1b006421, 0x12212f02, 0x05252704,   // ny.lv.un_530 lg.tr.un_860  su.jw.hu_222 gd.eu.fr_332 
  0x2800732a, 0x552f210c, 0x30001907, 0x0c080607,   // ny.sw.un_970 jw.su.rw_543  gl.uz.un_420 de.no.sv_432 
  // [1c70]
  0x19560bee, 0x1900230c, 0x212f1aad, 0x03006404,   // es.mg.gl_422 ca.gl.un_530  tl.su.jw_643 lg.nl.un_320 
  0x28000804, 0x061b03ad, 0x2d0d29af, 0x292d0d08,   // no.sw.un_320 nl.tr.de_643  sl.cs.sk_655 cs.sk.sl_443 
  0x1f002f12, 0x10002d12, 0x2b000308, 0x09003204,   // su.cy.un_640 sk.lt.un_640  nl.vi.un_430 bs.pl.un_320 
  0x0a00300d, 0x08003504, 0x06002509, 0x2f000302,   // uz.mk.un_540 tg.uk.un_320  eu.de.un_440 nl.su.un_220 
  // [1c80]
  0x0d321608, 0x0f020807, 0x08006b0e, 0x321709ec,   // hr.bs.cs_443 no.da.lv_432  ceb.no.un_550 pl.sr.bs_644 
  0x1007110c, 0x2f003707, 0x04001908, 0x040a2108,   // ro.bg.be_543 st.su.un_420  gl.fi.un_430 jw.pt.fi_443 
  0x07001709, 0x32171309, 0x0a0e1255, 0x282f1c07,   // sr.bg.un_440 et.sr.bs_444  hu.is.pt_442 id.su.sw_432 
  0x321608a0, 0x250d2a07, 0x0a07040c, 0x1821120e,   // no.hr.bs_322 mt.cs.eu_432  ru.bg.mk_543 ur.fa.ar_555 
  // [1c90]
  0x08002a04, 0x0c000e08, 0x44003012, 0x17070aaf,   // mt.no.un_320 is.sv.un_430  uz.kk.un_640 mk.bg.sr_655 
  0x27050a07, 0x130f28a0, 0x09005302, 0x10002108,   // pt.fr.gd_432 sw.lv.et_322  ht.pl.un_220 jw.lt.un_430 
  0x10090f0c, 0x28121b05, 0x0f3273ee, 0x07130411,   // lv.pl.lt_543 tr.hu.sw_333  ny.bs.lv_422 fi.et.it_653 
  0x12532504, 0x3207560c, 0x20321607, 0x05005308,   // eu.ht.hu_332 mg.it.bs_543  hr.bs.sq_432 ht.fr.un_430 
  // [1ca0]
  0x1b005304, 0x08040ea7, 0x25192305, 0x292d1604,   // ht.tr.un_320 is.fi.no_532  ca.gl.eu_333 hr.sk.sl_332 
  0x041327a0, 0x0400080e, 0x0e642a11, 0x0f2d0d04,   // gd.et.fi_322 uk.ru.un_550  mt.lg.is_653 cs.sk.lv_332 
  0x05005602, 0x6b251c07, 0x09130407, 0x210631a0,   // mg.fr.un_220 id.eu.ceb_432  fi.et.pl_432 az.de.jw_322 
  0x55093702, 0x2100122b, 0x1f2701a4, 0x07000807,   // st.pl.rw_222 ur.fa.un_980  en.gd.cy_433 uk.bg.un_420 
  // [1cb0]
  0x13040514, 0x2d0d1605, 0x0800010d, 0x090d2d11,   // fr.fi.et_666 hr.cs.sk_333  en.no.un_540 sk.cs.pl_653 
  0x2f001e09, 0x55001e0d, 0x0e300804, 0x18002111,   // ms.su.un_440 ms.rw.un_540  no.uz.is_332 fa.ar.un_630 
  0x23003019, 0x0c130ea9, 0x10640d07, 0x100f1e07,   // uz.ky.un_750 is.et.sv_544  cs.lg.lt_432 ms.lv.lt_432 
  0x2d0d2aee, 0x090d2d0b, 0x0a041705, 0x040901a4,   // mt.cs.sk_422 sk.cs.pl_542  sr.ru.mk_333 en.pl.fi_433 
  // [1cc0]
  0x0d091c11, 0x35003014, 0x30001b0d, 0x0c00370c,   // mr.hi.ne_653 uz.tg.un_660  tr.uz.un_540 st.sv.un_530 
  0x211e1cac, 0x06130f04, 0x0e06180c, 0x0e1f1214,   // id.ms.jw_632 lv.et.de_332  ga.de.is_543 hu.cy.is_666 
  0x041710a4, 0x04000c08, 0x0a071104, 0x10303da4,   // be.sr.ru_433 sv.fi.un_430  ro.bg.mk_332 ku.uz.lt_433 
  0x01002422, 0x0a0807a4, 0x0e101b08, 0x170744a0,   // yi.iw.un_870 bg.uk.mk_433  tr.lt.is_443 kk.bg.sr_322 
  // [1cd0]
  0x04003719, 0x01281fee, 0x0c000e07, 0x04003708,   // st.fi.un_750 cy.sw.en_422  is.sv.un_420 st.fi.un_430 
  0x2a072107, 0x213f1f07, 0x2b00271a, 0x30190b14,   // jw.it.mt_432 cy.af.jw_432  gd.vi.un_760 es.gl.uz_666 
  0x271f29a4, 0x12000c13, 0x11231f0c, 0x13003707,   // sl.cy.gd_433 sv.hu.un_650  cy.ca.ro_543 st.et.un_420 
  0x27002b21, 0x091c0d0e, 0x04301104, 0x2b002714,   // vi.gd.un_860 ne.mr.hi_555  ro.uz.ru_332 gd.vi.un_660 
  // [1ce0]
  0x55250e0c, 0x64002814, 0x08000b07, 0x3d000e14,   // is.eu.rw_543 sw.lg.un_660  es.no.un_420 is.ku.un_660 
  0x060355a9, 0x373f080c, 0x6413305a, 0x06005508,   // rw.nl.de_544 no.af.st_543  uz.et.lg_553 rw.de.un_430 
  0x11556455, 0x171030ee, 0x0a000104, 0x1a6455a4,   // lg.rw.ro_442 uz.be.sr_422  en.pt.un_320 rw.lg.tl_433 
  0x04442313, 0x02001904, 0x6428550d, 0x30350805,   // ky.kk.ru_665 gl.da.un_320  rw.sw.lg_554 uk.tg.uz_333 
  // [1cf0]
  0x0b001904, 0x1044085a, 0x23001909, 0x32001104,   // gl.es.un_320 uk.kk.be_553  gl.ca.un_440 ro.bs.un_320 
  0x051901ad, 0x10020f05, 0x28251f0d, 0x092855ad,   // en.gl.fr_643 lv.da.lt_333  cy.eu.sw_554 rw.sw.pl_643 
  0x19091fa4, 0x2d2820ee, 0x290723a0, 0x03001212,   // cy.pl.gl_433 sq.sw.sk_422  ca.it.sl_322 hu.nl.un_640 
  0x100417a0, 0x09000304, 0x12000921, 0x036455a4,   // sr.ru.be_322 nl.pl.un_320  pl.hu.un_860 rw.lg.nl_433 
  // [1d00]
  0x091c1304, 0x190b1f05, 0x0800040c, 0x3f00551a,   // bh.mr.hi_332 cy.es.gl_333  ru.uk.un_530 rw.af.un_760 
  0x09001212, 0x070408a4, 0x3000350c, 0x1f190b0c,   // hu.pl.un_640 uk.ru.bg_433  tg.uz.un_530 es.gl.cy_543 
  0x056b1104, 0x731b3012, 0x21001c08, 0x28005507,   // ro.ceb.fr_332 uz.tr.ny_654  id.jw.un_430 rw.sw.un_420 
  0x070a0102, 0x033f0aa6, 0x0400531a, 0x0430070c,   // en.pt.it_222 pt.af.nl_521  ht.fi.un_760 bg.uz.ru_543 
  // [1d10]
  0x3f5301a0, 0x0d000912, 0x0500531a, 0x21003f05,   // en.ht.af_322 hi.ne.un_640  ht.fr.un_760 af.jw.un_330 
  0x0a0553ad, 0x10002507, 0x732001a4, 0x5300052b,   // ht.fr.pt_643 eu.lt.un_420  en.sq.ny_433 fr.ht.un_980 
  0x04060c04, 0x09003007, 0x173f0502, 0x25001f0c,   // sv.de.fi_332 uz.pl.un_420  fr.af.sr_222 cy.eu.un_530 
  0x53000202, 0x1000070b, 0x05005322, 0x29002108,   // da.ht.un_220 bg.be.un_520  ht.fr.un_870 jw.sl.un_430 
  // [1d20]
  0x090d1c05, 0x01002f02, 0x0f3217a4, 0x080c2aa4,   // mr.ne.hi_333 su.en.un_220  sr.bs.lv_433 mt.sv.no_433 
  0x1c731e08, 0x020c3fee, 0x100735ee, 0x0a110708,   // ms.ny.id_443 af.sv.da_422  tg.bg.be_422 bg.ro.mk_443 
  0x166b10ee, 0x11121f04, 0x0d530514, 0x53000523,   // lt.ceb.hr_422 cy.hu.ro_332  fr.ht.cs_666 fr.ht.un_880 
  0x30000729, 0x0508025a, 0x566b5505, 0x072335ad,   // it.uz.un_960 da.no.fr_553  rw.ceb.mg_333 tg.ky.bg_643 
  // [1d30]
  0x13002f09, 0x35301104, 0x21002f18, 0x0d005608,   // su.et.un_440 ro.uz.tg_332  su.jw.un_740 mg.cs.un_430 
  0x32000f08, 0x16063011, 0x3f006b08, 0x1f033f0d,   // lv.bs.un_430 uz.de.hr_653  ceb.af.un_430 af.nl.cy_554 
  0x21181211, 0x2d1f0ba0, 0x200e06a7, 0x32172102,   // ur.ar.fa_653 es.cy.sk_322  de.is.sq_532 jw.sr.bs_222 
  0x0704080c, 0x131c09af, 0x091f0e07, 0x016b0da0,   // uk.ru.bg_543 hi.mr.bh_655  is.cy.pl_432 cs.ceb.en_322 
  // [1d40]
  0x0e000b02, 0x0c003f08, 0x2a32165a, 0x56003013,   // es.is.un_220 af.sv.un_430  hr.bs.mt_553 uz.mg.un_650 
  0x0430055a, 0x53001c02, 0x10002d0d, 0x04111113,   // fr.uz.fi_553 id.ht.un_220  sk.lt.un_540 ro.ro.ru_665 
  0x2007040c, 0x04102307, 0x1100300d, 0x020c0812,   // fi.it.sq_543 ky.be.ru_432  uz.ro.un_540 no.sv.da_654 
  0x04443008, 0x29001b07, 0x081330ad, 0x1304300c,   // uz.kk.ru_443 tr.sl.un_420  uz.et.no_643 uz.fi.et_543 
  // [1d50]
  0x04080760, 0x061330ac, 0x07040808, 0x16133fa0,   // bg.uk.ru_664 uz.et.de_632  uk.ru.bg_443 af.et.hr_322 
  0x302d0d14, 0x081710a4, 0x30000804, 0x1c13090c,   // cs.sk.uz_666 be.sr.uk_433  no.uz.un_320 hi.bh.mr_543 
  0x1711110d, 0x11190a04, 0x13300908, 0x1c090d12,   // ro.ro.sr_554 pt.gl.ro_332  pl.uz.et_443 ne.hi.mr_654 
  0x25080e07, 0x0a081707, 0x2a000604, 0x08060e0d,   // is.no.eu_432 sr.uk.mk_432  de.mt.un_320 is.de.no_554 
  // [1d60]
  0x080c0260, 0x23300aa4, 0x01293007, 0x0800350c,   // da.sv.no_664 mk.uz.ky_433  uz.sl.en_432 tg.uk.un_530 
  0x09050407, 0x0a000712, 0x18370413, 0x0d001c0b,   // fi.fr.pl_432 bg.mk.un_640  fi.st.ga_665 mr.ne.un_520 
  0x060c07a0, 0x081704a7, 0x05000413, 0x0a0717a0,   // it.sv.de_322 ru.sr.uk_532  fi.fr.un_650 sr.bg.mk_322 
  0x0f1b3060, 0x1100081a, 0x0518040b, 0x44231155,   // uz.tr.lv_664 uk.ro.un_760  fi.ga.fr_542 ro.ky.kk_442 
  // [1d70]
  0x0c083f04, 0x05000412, 0x02003f04, 0x0613300c,   // af.no.sv_332 fi.fr.un_640  af.da.un_320 uz.et.de_543 
  0x1c0d13ec, 0x07170a0e, 0x130630ad, 0x0e133008,   // bh.ne.mr_644 mk.sr.bg_555  uz.de.et_643 uz.et.is_443 
  0x04002807, 0x115308a4, 0x05002704, 0x23005611,   // sw.fi.un_420 no.ht.ro_433  gd.fr.un_320 mg.ca.un_630 
  0x03001f12, 0x0a001702, 0x08043004, 0x06000823,   // cy.nl.un_640 sr.mk.un_220  uz.ru.uk_332 no.de.un_880 
  // [1d80]
  0x041110a4, 0x270f06a0, 0x0c010eee, 0x080717a0,   // be.ro.ru_433 de.lv.gd_322  is.en.sv_422 sr.bg.uk_322 
  0x21002b0c, 0x0a1723ec, 0x321b0e0b, 0x234408a4,   // vi.jw.un_530 ky.sr.mk_644  is.tr.bs_542 uk.kk.ky_433 
  0x3f0c0fa0, 0x6e00090b, 0x28130455, 0x17073502,   // lv.sv.af_322 pl.hmn.un_520  fi.et.sw_442 tg.bg.sr_222 
  0x2d0d09ec, 0x21002b09, 0x55002808, 0x2a000e0c,   // pl.cs.sk_644 vi.jw.un_440  sw.rw.un_430 is.mt.un_530 
  // [1d90]
  0x00000937, 0x0700040e, 0x55001004, 0x1f001320,   // hi.un.un_B00 ru.bg.un_550  lt.rw.un_320 et.cy.un_850 
  0x55281012, 0x130d1cad, 0x07000822, 0x3100300d,   // lt.sw.rw_654 mr.ne.bh_643  uk.bg.un_870 uz.az.un_540 
  0x0800110d, 0x1e213005, 0x08004419, 0x732a1f07,   // ro.uk.un_540 uz.jw.ms_333  kk.uk.un_750 cy.mt.ny_432 
  0x190b2309, 0x230a44a4, 0x102a0e0d, 0x53002b0d,   // ca.es.gl_444 kk.mk.ky_433  is.mt.lt_554 vi.ht.un_540 
  // [1da0]
  0x17162d05, 0x73371b13, 0x21005308, 0x0a001720,   // sk.hr.sr_333 tr.st.ny_665  ht.jw.un_430 sr.mk.un_850 
  0x170a070d, 0x283f7304, 0x04000604, 0x73001814,   // bg.mk.sr_554 ny.af.sw_332  de.fi.un_320 ga.ny.un_660 
  0x023f03a0, 0x082335ec, 0x07040a05, 0x7300270c,   // nl.af.da_322 tg.ky.uk_644  mk.ru.bg_333 gd.ny.un_530 
  0x161b2d04, 0x09291b55, 0x04170aa6, 0x3544230c,   // sk.tr.hr_332 tr.sl.pl_442  mk.sr.ru_521 ky.kk.tg_543 
  // [1db0]
  0x37002704, 0x6e016ba9, 0x213f0307, 0x64003704,   // gd.st.un_320 ceb.en.hmn_544  nl.af.jw_432 st.lg.un_320 
  0x1700290d, 0x0a071707, 0x17353004, 0x0900370d,   // sl.sr.un_540 sr.bg.mk_432  uz.tg.sr_332 st.pl.un_540 
  0x1f292d55, 0x0400730d, 0x0d292d07, 0x0f001604,   // sk.sl.cy_442 ny.fi.un_540  sk.sl.cs_432 hr.lv.un_320 
  0x00004401, 0x17000a04, 0x3110110c, 0x04233004,   // kk.un.un_200 mk.sr.un_320  ro.lt.az_543 uz.ky.ru_332 
  // [1dc0]
  0x0a112da0, 0x2d007307, 0x0d2d0912, 0x0704440c,   // sk.ro.pt_322 ny.sk.un_420  pl.sk.cs_654 kk.ru.bg_543 
  0x271830ec, 0x1e2d1c0c, 0x23000818, 0x23001021,   // uz.ga.gd_644 id.sk.ms_543  uk.ky.un_740 be.ky.un_860 
  0x2d0d17a0, 0x180e1fa7, 0x0600040b, 0x03000c07,   // sr.cs.sk_322 cy.is.ga_532  fi.de.un_520 sv.nl.un_420 
  0x2d1b29a4, 0x08002805, 0x0d0913a7, 0x173007ee,   // sl.tr.sk_433 sw.no.un_330  bh.hi.ne_532 bg.uz.sr_422 
  // [1dd0]
  0x0e000c05, 0x29120312, 0x2d1129a7, 0x530a1108,   // sv.is.un_330 nl.hu.sl_654  sl.ro.sk_532 ro.pt.ht_443 
  0x1b002d04, 0x35003007, 0x20002a13, 0x0e120ca9,   // sk.tr.un_320 uz.tg.un_420  mt.sq.un_650 sv.hu.is_544 
  0x442335a4, 0x01001f05, 0x03002019, 0x73003719,   // tg.ky.kk_433 cy.en.un_330  sq.nl.un_750 st.ny.un_750 
  0x1f533fa0, 0x09001607, 0x1300042b, 0x3500302b,   // af.ht.cy_322 hr.pl.un_420  fi.et.un_980 uz.tg.un_980 
  // [1de0]
  0x05561a07, 0x10041712, 0x23000a23, 0x09011f04,   // tl.mg.fr_432 sr.ru.be_654  pt.ca.un_880 cy.en.pl_332 
  0x125328ee, 0x23050b07, 0x2b001e08, 0x1100112a,   // sw.ht.hu_422 es.fr.ca_432  ms.vi.un_430 ro.ro.un_970 
  0x041008ec, 0x010c1002, 0x180c06ad, 0x3f0603af,   // uk.be.ru_644 lt.sv.en_222  de.sv.ga_643 nl.de.af_655 
  0x44110460, 0x0e000612, 0x09002907, 0x130306ad,   // ru.ro.kk_664 de.is.un_640  sl.pl.un_420 de.nl.et_643 
  // [1df0]
  0x033f0613, 0x0c000822, 0x12302011, 0x090d1caf,   // de.af.nl_665 no.sv.un_870  sq.uz.hu_653 mr.ne.hi_655 
  0x3100530e, 0x0c000608, 0x6b3f0212, 0x29000313,   // ht.az.un_550 de.sv.un_430  da.af.ceb_654 nl.sl.un_650 
  0x1b002a0c, 0x0c0217a4, 0x10000913, 0x13643004,   // mt.tr.un_530 sr.da.sv_433  pl.lt.un_650 uz.lg.et_332 
  0x210b075a, 0x19000108, 0x21000105, 0x53560713,   // it.es.jw_553 en.gl.un_430  en.jw.un_330 it.mg.ht_665 
  // [1e00]
  0x20002b14, 0x071111af, 0x0a281104, 0x1910560c,   // vi.sq.un_660 ro.ro.bg_655  ro.sw.pt_332 mg.lt.gl_543 
  0x040a08a9, 0x2a002008, 0x3f001f02, 0x01080205,   // uk.mk.ru_544 sq.mt.un_430  cy.af.un_220 da.no.en_333 
  0x1c0d0955, 0x0a110f0c, 0x0a1107a4, 0x07234404,   // hi.ne.mr_442 lv.ro.pt_543  bg.ro.mk_433 kk.ky.bg_332 
  0x07001904, 0x0e001904, 0x3f0c06ee, 0x06021ea9,   // gl.it.un_320 gl.is.un_320  de.sv.af_422 ms.da.de_544 
  // [1e10]
  0x08030555, 0x21001a08, 0x091253ee, 0x0804350c,   // fr.nl.no_442 tl.jw.un_430  ht.hu.pl_422 tg.ru.uk_543 
  0x0708350c, 0x080212af, 0x0717040c, 0x080203ee,   // tg.uk.bg_543 hu.da.no_655  ru.sr.bg_543 nl.da.no_422 
  0x03001207, 0x10001707, 0x0c001007, 0x00002001,   // hu.nl.un_420 sr.lt.un_420  lt.sv.un_420 sq.un.un_200 
  0x041707ad, 0x18005504, 0x01001f19, 0x32001712,   // bg.sr.ru_643 rw.ga.un_320  cy.en.un_750 sr.bs.un_640 
  // [1e20]
  0x1100301b, 0x53002107, 0x04001112, 0x2a000704,   // uz.ro.un_770 jw.ht.un_420  ro.fi.un_640 it.mt.un_320 
  0x0400111a, 0x0d001c09, 0x0d2873a0, 0x29321608,   // ro.fi.un_760 mr.ne.un_440  ny.sw.cs_322 hr.bs.sl_443 
  0x172344ad, 0x111b1211, 0x0a3007a7, 0x040708a4,   // kk.ky.sr_643 hu.tr.ro_653  bg.uz.mk_532 uk.bg.ru_433 
  0x10000e04, 0x0c0806a0, 0x0100110c, 0x07001002,   // is.lt.un_320 de.no.sv_322  ro.en.un_530 be.bg.un_220 
  // [1e30]
  0x3f002008, 0x0d001902, 0x043510a0, 0x08071704,   // sq.af.un_430 gl.cs.un_220  be.tg.ru_322 sr.bg.uk_332 
  0x16292da4, 0x04115605, 0x130411ec, 0x28000104,   // sk.sl.hr_433 mg.ro.fi_333  ro.fi.et_644 en.sw.un_320 
  0x2300300d, 0x28007319, 0x04003704, 0x2a000a07,   // uz.ky.un_540 ny.sw.un_750  st.fi.un_320 pt.mt.un_420 
  0x0a001102, 0x06000d13, 0x643023a7, 0x37201305,   // ro.pt.un_220 cs.de.un_650  ca.uz.lg_532 et.sq.st_333 
  // [1e40]
  0x18002108, 0x20002d04, 0x130b0c05, 0x1a736404,   // fa.ar.un_430 sk.sq.un_320  sv.es.et_333 lg.ny.tl_332 
  0x0b0c13af, 0x30640708, 0x30641607, 0x0a0c1e07,   // et.sv.es_655 it.lg.uz_443  hr.lg.uz_432 ms.sv.pt_432 
  0x0a0908a0, 0x553028a0, 0x02000e13, 0x13000c04,   // no.pl.pt_322 sw.uz.rw_322  is.da.un_650 sv.et.un_320 
  0x13000d0c, 0x0a043004, 0x55642855, 0x6b251b11,   // ne.bh.un_530 uz.ru.mk_332  sw.lg.rw_442 tr.eu.ceb_653 
  // [1e50]
  0x64552f0c, 0x21736412, 0x16000a05, 0x10041704,   // su.rw.lg_543 lg.ny.jw_654  pt.hr.un_330 sr.ru.be_332 
  0x4400232c, 0x1a2d0a07, 0x567337ad, 0x53102907,   // ky.kk.un_990 pt.sk.tl_432  st.ny.mg_643 sl.lt.ht_432 
  0x1a00280c, 0x44000823, 0x305521a4, 0x2a002d08,   // sw.tl.un_530 uk.kk.un_880  jw.rw.uz_433 sk.mt.un_430 
  0x0c190ba6, 0x30321604, 0x190b07a0, 0x2b005605,   // es.gl.sv_521 hr.bs.uz_332  it.es.gl_322 mg.vi.un_330 
  // [1e60]
  0x321613ee, 0x2f002921, 0x2d001704, 0x08006412,   // et.hr.bs_422 sl.su.un_860  sr.sk.un_320 lg.no.un_640 
  0x0704100d, 0x2f005304, 0x070c2002, 0x0c041305,   // be.ru.bg_554 ht.su.un_320  sq.sv.it_222 et.fi.sv_333 
  0x3f001318, 0x21001807, 0x0b01110c, 0x0417300c,   // et.af.un_740 ar.fa.un_420  ro.en.es_543 uz.sr.ru_543 
  0x190a01a0, 0x06000809, 0x08040708, 0x0d002d21,   // en.pt.gl_322 no.de.un_440  bg.ru.uk_443 sk.cs.un_860 
  // [1e70]
  0x07080404, 0x21001014, 0x19002113, 0x3230080c,   // ru.uk.bg_332 lt.jw.un_660  jw.gl.un_650 no.uz.bs_543 
  0x044423a0, 0x05032502, 0x08230408, 0x060e0c60,   // ky.kk.ru_322 eu.nl.fr_222  ru.ky.uk_443 sv.is.de_664 
  0x30070aa6, 0x1e001c08, 0x5600190d, 0x1c000904,   // mk.bg.uz_521 id.ms.un_430  gl.mg.un_540 hi.mr.un_320 
  0x0d000412, 0x5600111a, 0x29002a0b, 0x06001108,   // fi.cs.un_640 ro.mg.un_760  mt.sl.un_520 ro.de.un_430 
  // [1e80]
  0x20001308, 0x12020ca4, 0x18006e07, 0x070501a4,   // et.sq.un_430 sv.da.hu_433  hmn.ga.un_420 en.fr.it_433 
  0x08044407, 0x44230407, 0x01001804, 0x0e0506a6,   // kk.ru.uk_432 ru.ky.kk_432  ga.en.un_320 de.fr.is_521 
  0x64003708, 0x2f002504, 0x0c000220, 0x03082f07,   // st.lg.un_430 eu.su.un_320  da.sv.un_850 su.no.nl_432 
  0x31301ea0, 0x0e000c1a, 0x11070a14, 0x6b001a1b,   // ms.uz.az_322 sv.is.un_760  mk.bg.ro_666 tl.ceb.un_770 
  // [1e90]
  0x271c2f07, 0x04080708, 0x08000e13, 0x032923ad,   // su.id.gd_432 bg.uk.ru_443  is.no.un_650 ca.sl.nl_643 
  0x17300a02, 0x133f0312, 0x0a30230d, 0x03003f23,   // mk.uz.sr_222 nl.af.et_654  ky.uz.mk_554 af.nl.un_880 
  0x2a011eee, 0x0000082d, 0x3f00130e, 0x12301a02,   // ms.en.mt_422 uk.un.un_A00  et.af.un_550 tl.uz.hu_222 
  0x03000911, 0x05002b02, 0x13000a07, 0x08020cee,   // pl.nl.un_630 vi.fr.un_220  pt.et.un_420 sv.da.no_422 
  // [1ea0]
  0x0c070107, 0x0e000504, 0x0c25050c, 0x2d090da0,   // en.it.sv_432 fr.is.un_320  fr.eu.sv_543 cs.pl.sk_322 
  0x130a08a0, 0x033f08ad, 0x0a0744ee, 0x21121813,   // no.pt.et_322 no.af.nl_643  kk.bg.mk_422 ar.ur.fa_665 
  0x2f002804, 0x6b2928a9, 0x19000b11, 0x0400131a,   // sw.su.un_320 sw.sl.ceb_544  es.gl.un_630 et.fi.un_760 
  0x17000a22, 0x44172307, 0x10002312, 0x44001012,   // mk.sr.un_870 ky.sr.kk_432  ky.be.un_640 be.kk.un_640 
  // [1eb0]
  0x03283fa7, 0x23190b05, 0x556b1a12, 0x11000302,   // af.sw.nl_532 es.gl.ca_333  tl.ceb.rw_654 nl.ro.un_220 
  0x0a07170e, 0x6b5520a4, 0x033f1308, 0x11001604,   // sr.bg.mk_555 sq.rw.ceb_433  et.af.nl_443 hr.ro.un_320 
  0x1b120c02, 0x17001c04, 0x12002711, 0x061132a4,   // sv.hu.tr_222 id.sr.un_320  gd.hu.un_630 bs.ro.de_433 
  0x06122514, 0x21282da7, 0x13000c09, 0x29030604,   // eu.hu.de_666 sk.sw.jw_532  sv.et.un_440 de.nl.sl_332 
  // [1ec0]
  0x04350a05, 0x641b7304, 0x04281807, 0x28001c02,   // mk.tg.ru_333 ny.tr.lg_332  ga.sw.fi_432 id.sw.un_220 
  0x06000f19, 0x321656ee, 0x20102802, 0x0e080208,   // lv.de.un_750 mg.hr.bs_422  sw.lt.sq_222 da.no.is_443 
  0x3112550c, 0x55287311, 0x09001c1b, 0x1c2f1e07,   // rw.hu.az_543 ny.sw.rw_653  mr.hi.un_770 ms.su.id_432 
  0x64001c07, 0x3f000e07, 0x0400130c, 0x130409a4,   // id.lg.un_420 is.af.un_420  et.fi.un_530 pl.fi.et_433 
  // [1ed0]
  0x233044ec, 0x080a1711, 0x3f000e13, 0x1700730c,   // kk.uz.ky_644 sr.mk.uk_653  is.af.un_650 ny.sr.un_530 
  0x2b001704, 0x13000204, 0x18002b12, 0x04170a0c,   // sr.vi.un_320 da.et.un_320  vi.ga.un_640 mk.sr.ru_543 
  0x19002504, 0x552028a7, 0x233035af, 0x17000a20,   // eu.gl.un_320 sw.sq.rw_532  tg.uz.ky_655 mk.sr.un_850 
  0x253f0304, 0x1c2025a7, 0x040717a4, 0x09040e07,   // nl.af.eu_332 eu.sq.id_532  sr.bg.ru_433 is.fi.pl_432 
  // [1ee0]
  0x09005512, 0x0f090613, 0x107364ad, 0x1c046407,   // rw.pl.un_640 de.pl.lv_665  lg.ny.lt_643 lg.fi.id_432 
  0x170a070c, 0x2d0d2909, 0x04303507, 0x040a3055,   // bg.mk.sr_543 sl.cs.sk_444  tg.uz.ru_432 uz.mk.ru_442 
  0x0a003004, 0x040102a0, 0x28001808, 0x171629ee,   // uz.mk.un_320 da.en.fi_322  ga.sw.un_430 sl.hr.sr_422 
  0x040a11ee, 0x09001c11, 0x13182707, 0x20122a0c,   // ro.mk.ru_422 mr.hi.un_630  gd.ga.et_432 mt.hu.sq_543 
  // [1ef0]
  0x170435a0, 0x44042307, 0x0a301708, 0x2800731b,   // tg.ru.sr_322 ky.ru.kk_432  sr.uz.mk_443 ny.sw.un_770 
  0x640937ad, 0x6b3f0307, 0x090d130c, 0x1100132a,   // st.pl.lg_643 nl.af.ceb_432  bh.ne.hi_543 et.ro.un_970 
  0x091f37a4, 0x06003713, 0x2a732808, 0x0400250e,   // st.cy.pl_433 st.de.un_650  sw.ny.mt_443 eu.fi.un_550 
  0x73003f13, 0x3f7306a9, 0x170a0709, 0x37642a12,   // af.ny.un_650 de.ny.af_544  bg.mk.sr_444 mt.lg.st_654 
  // [1f00]
  0x130d090d, 0x08002f04, 0x13090da4, 0x03000602,   // hi.ne.bh_554 su.no.un_320  ne.hi.bh_433 de.nl.un_220 
  0x2d0d2902, 0x12561007, 0x64041304, 0x2a3f0805,   // sl.cs.sk_222 lt.mg.hu_432  et.fi.lg_332 no.af.mt_333 
  0x350a08a0, 0x13000604, 0x3200161a, 0x53005504,   // uk.mk.tg_322 de.et.un_320  hr.bs.un_760 rw.ht.un_320 
  0x643d3f0c, 0x070a04a7, 0x120c1ea4, 0x552a06ee,   // af.ku.lg_543 ru.mk.bg_532  ms.sv.hu_433 de.mt.rw_422 
  // [1f10]
  0x0337060c, 0x20030807, 0x0e001908, 0x2a007307,   // de.st.nl_543 no.nl.sq_432  gl.is.un_430 ny.mt.un_420 
  0x01000804, 0x06080f04, 0x10120911, 0x17003207,   // no.en.un_320 lv.no.de_332  pl.hu.lt_653 bs.sr.un_420 
  0x13000414, 0x091c0da4, 0x0b180102, 0x3064730e,   // fi.et.un_660 ne.mr.hi_433  en.ga.es_222 ny.lg.uz_555 
  0x130c2aa7, 0x0000232d, 0x3101050c, 0x16071105,   // mt.sv.et_532 ky.un.un_A00  fr.en.az_543 ro.it.hr_333 
  // [1f20]
  0x0c093fa0, 0x08120208, 0x1c000d07, 0x04111160,   // af.pl.sv_322 da.hu.no_443  ne.mr.un_420 ro.ro.ru_664 
  0x1f0c3fa0, 0x07002304, 0x2a002d07, 0x052301ee,   // af.sv.cy_322 ky.bg.un_320  sk.mt.un_420 en.ca.fr_422 
  0x17080aa4, 0x080723a9, 0x292d0907, 0x02093202,   // mk.uk.sr_433 ky.bg.uk_544  pl.sk.sl_432 bs.pl.da_222 
  0x377356af, 0x23000702, 0x53000108, 0x32730908,   // mg.ny.st_655 it.ca.un_220  en.ht.un_430 pl.ny.bs_443 
  // [1f30]
  0x0d091c0e, 0x0a230704, 0x64271aa0, 0x28730a07,   // mr.hi.ne_555 bg.ky.mk_332  tl.gd.lg_322 pt.ny.sw_432 
  0x311b5511, 0x0c1827a7, 0x091c0d04, 0x73000913,   // rw.tr.az_653 gd.ga.sv_532  ne.mr.hi_332 pl.ny.un_650 
  0x011827a4, 0x09007321, 0x3f000323, 0x531e1704,   // gd.ga.en_433 ny.pl.un_860  nl.af.un_880 sr.ms.ht_332 
  0x080c0208, 0x64730911, 0x3f000335, 0x12002009,   // da.sv.no_443 pl.ny.lg_653  nl.af.un_A90 sq.hu.un_440 
  // [1f40]
  0x030b3f5a, 0x210973ee, 0x03132904, 0x64730907,   // af.es.nl_553 ny.pl.jw_422  sl.et.nl_332 pl.ny.lg_432 
  0x29002004, 0x230507a4, 0x2d006408, 0x1a561b08,   // sq.sl.un_320 it.fr.ca_433  lg.sk.un_430 tr.mg.tl_443 
  0x130c27a7, 0x645528a4, 0x055301a4, 0x0900640e,   // gd.sv.et_532 sw.rw.lg_433  en.ht.fr_433 lg.pl.un_550 
  0x6b000b04, 0x0708100c, 0x2b00050d, 0x2f2856a9,   // es.ceb.un_320 be.uk.bg_543  fr.vi.un_540 mg.sw.su_544 
  // [1f50]
  0x02002714, 0x080c1f0c, 0x30000619, 0x29006b07,   // gd.da.un_660 cy.sv.no_543  de.uz.un_750 ceb.sl.un_420 
  0x30170455, 0x2d042807, 0x731a55ad, 0x00002003,   // ru.sr.uz_442 sw.fi.sk_432  rw.tl.ny_643 sq.un.un_300 
  0x25553d11, 0x2b001c05, 0x133f0607, 0x1b1c2fa4,   // ku.rw.eu_653 id.vi.un_330  de.af.et_432 su.id.tr_433 
  0x11001f0e, 0x37003d12, 0x091c13a0, 0x3d005621,   // cy.ro.un_550 ku.st.un_640  bh.mr.hi_322 mg.ku.un_860 
  // [1f60]
  0x7337090c, 0x53641211, 0x09007314, 0x6e641a12,   // pl.st.ny_543 hu.lg.ht_653  ny.pl.un_660 tl.lg.hmn_654 
  0x73001c08, 0x28557312, 0x301735a4, 0x216b550c,   // id.ny.un_430 ny.rw.sw_654  tg.sr.uz_433 rw.ceb.jw_543 
  0x130408a0, 0x64005522, 0x110a1313, 0x0b001907,   // no.fi.et_322 rw.lg.un_870  et.pt.ro_665 gl.es.un_420 
  0x0c00021b, 0x1f04205a, 0x3d080e0d, 0x1a001f07,   // da.sv.un_770 sq.fi.cy_553  is.no.ku_554 cy.tl.un_420 
  // [1f70]
  0x13552108, 0x0b00190d, 0x44043504, 0x0c000523,   // jw.rw.et_443 gl.es.un_540  tg.ru.kk_332 fr.sv.un_880 
  0x1a1e1ca4, 0x200b07a4, 0x032b01a4, 0x44070455,   // id.ms.tl_433 it.es.sq_433  en.vi.nl_433 ru.bg.kk_442 
  0x016b3f08, 0x10040807, 0x18211260, 0x1f055305,   // af.ceb.en_443 uk.ru.be_432  ur.fa.ar_664 ht.fr.cy_333 
  0x040a11a6, 0x29002d14, 0x0c000e13, 0x56002704,   // ro.mk.ru_521 sk.sl.un_660  is.sv.un_650 gd.mg.un_320 
  // [1f80]
  0x73000f2a, 0x100721a0, 0x13000404, 0x64000423,   // lv.ny.un_970 jw.it.lt_322  fi.et.un_320 fi.lg.un_880 
  0x56002819, 0x1b000c12, 0x0f201155, 0x2b001c02,   // sw.mg.un_750 sv.tr.un_640  ro.sq.lv_442 id.vi.un_220 
  0x30171ea7, 0x0e00640d, 0x28046404, 0x190b25a9,   // ms.sr.uz_532 lg.is.un_540  lg.fi.sw_332 eu.es.gl_544 
  0x73641a02, 0x30350711, 0x0f641304, 0x10000f19,   // tl.lg.ny_222 bg.tg.uz_653  et.lg.lv_332 lv.lt.un_750 
  // [1f90]
  0x0413255a, 0x23001022, 0x64131aa0, 0x07001112,   // eu.et.fi_553 be.ky.un_870  tl.et.lg_322 ro.bg.un_640 
  0x1b096ea0, 0x2b640404, 0x06002704, 0x351123a4,   // hmn.pl.tr_322 fi.lg.vi_332  gd.de.un_320 ky.ro.tg_433 
  0x1821125a, 0x0a002307, 0x091c0d08, 0x30007309,   // ur.fa.ar_553 ky.mk.un_420  ne.mr.hi_443 ny.uz.un_440 
  0x73006b04, 0x0800561a, 0x64041311, 0x0400640c,   // ceb.ny.un_320 mg.no.un_760  et.fi.lg_653 lg.fi.un_530 
  // [1fa0]
  0x120e0ca0, 0x04641313, 0x0b1219ee, 0x041364ad,   // sv.is.hu_322 et.lg.fi_665  gl.hu.es_422 lg.et.fi_643 
  0x0e002502, 0x110a1712, 0x0c02080b, 0x116418ad,   // eu.is.un_220 sr.mk.ro_654  no.da.sv_542 ga.lg.ro_643 
  0x04350a02, 0x28002507, 0x0a070414, 0x44000814,   // mk.tg.ru_222 eu.sw.un_420  ru.bg.mk_666 uk.kk.un_660 
  0x2d000d0b, 0x1a1e1c04, 0x202925a7, 0x0d1c0904,   // cs.sk.un_520 id.ms.tl_332  eu.sl.sq_532 hi.mr.ne_332 
  // [1fb0]
  0x070a2513, 0x21300755, 0x2700250e, 0x371a2505,   // eu.pt.it_665 it.uz.jw_442  eu.gd.un_550 eu.tl.st_333 
  0x300a35af, 0x31212f05, 0x11050ea4, 0x2728730c,   // tg.mk.uz_655 su.jw.az_333  is.fr.ro_433 ny.sw.gd_543 
  0x28046e07, 0x2a005621, 0x44230aa4, 0x230b13ec,   // hmn.fi.sw_432 mg.mt.un_860  mk.ky.kk_433 et.es.ca_644 
  0x1b005321, 0x110711af, 0x175573ee, 0x1e18110c,   // ht.tr.un_860 ro.bg.ro_655  ny.rw.sr_422 ro.ga.ms_543 
  // [1fc0]
  0x04002102, 0x0f00080c, 0x2a00550d, 0x10000b05,   // jw.fi.un_220 no.lv.un_530  rw.mt.un_540 es.lt.un_330 
  0x17002a04, 0x04170aa0, 0x0a171107, 0x0a00070d,   // mt.sr.un_320 mk.sr.ru_322  ro.sr.mk_432 bg.mk.un_540 
  0x732f53a4, 0x2f287308, 0x08005302, 0x6b1a5312,   // ht.su.ny_433 ny.sw.su_443  ht.no.un_220 ht.tl.ceb_654 
  0x1f301b0c, 0x08001007, 0x2d120eee, 0x29002705,   // tr.uz.cy_543 be.uk.un_420  is.hu.sk_422 gd.sl.un_330 
  // [1fd0]
  0x182311ee, 0x0e002a0e, 0x13010ead, 0x07002708,   // ro.ca.ga_422 mt.is.un_550  is.en.et_643 gd.it.un_430 
  0x1b000604, 0x44041104, 0x0409250d, 0x25732855,   // de.tr.un_320 ro.ru.kk_332  eu.pl.fi_554 sw.ny.eu_442 
  0x23180eaf, 0x0c1102a0, 0x56000508, 0x2100121b,   // is.ga.ca_655 da.ro.sv_322  fr.mg.un_430 ur.fa.un_770 
  0x12005612, 0x370d5504, 0x17070a08, 0x080a1f04,   // mg.hu.un_640 rw.cs.st_332  mk.bg.sr_443 cy.pt.no_332 
  // [1fe0]
  0x2d0d29a0, 0x23202fa4, 0x0b182308, 0x080f73a0,   // sl.cs.sk_322 su.sq.ca_433  ca.ga.es_443 ny.lv.no_322 
  0x44230a05, 0x0b0a20a4, 0x0b0a11ee, 0x286455af,   // mk.ky.kk_333 sq.pt.es_433  ro.pt.es_422 rw.lg.sw_655 
  0x21181260, 0x040a070c, 0x09000421, 0x1800121a,   // ur.ar.fa_664 bg.mk.ru_543  fi.pl.un_860 hu.ga.un_760 
  0x23071711, 0x32002a05, 0x5500640e, 0x230e1907,   // sr.bg.ky_653 mt.bs.un_330  lg.rw.un_550 gl.is.ca_432 
  // [1ff0]
  0x1b003012, 0x033d0407, 0x081b2fee, 0x116455ec,   // uz.tr.un_640 fi.ku.nl_432  su.tr.no_422 rw.lg.ro_644 
  0x11200c11, 0x190b2305, 0x1c001314, 0x06002322,   // sv.sq.ro_653 ca.es.gl_333  bh.mr.un_660 ca.de.un_870 
  0x080410a4, 0x0c062504, 0x0807230c, 0x18002304,   // be.ru.uk_433 eu.de.sv_332  ky.bg.uk_543 ca.ga.un_320 
  0x4400170e, 0x07170a02, 0x1912180b, 0x182d0d1a,   // sr.kk.un_550 mk.sr.bg_222  ga.hu.gl_542 cs.sk.ga_776 
  
  // [2000]
  0x11003021, 0x27003707, 0x0d1c0908, 0x32162909,   // uz.ro.un_860 st.gd.un_420  hi.mr.ne_443 sl.hr.bs_444 
  0x3f002305, 0x122d0d12, 0x3008020c, 0x1b003111,   // ca.af.un_330 cs.sk.hu_654  da.no.uz_543 az.tr.un_630 
  0x440435ee, 0x17000a23, 0x122d0d0e, 0x30211c07,   // tg.ru.kk_422 mk.sr.un_880  cs.sk.hu_555 id.jw.uz_432 
  0x070a2305, 0x0b312705, 0x043008a4, 0x0c003f04,   // ky.mk.bg_333 gd.az.es_333  uk.uz.ru_433 af.sv.un_320 
  // [2010]
  0x08070408, 0x3d000513, 0x190b060c, 0x0a002f09,   // ru.bg.uk_443 fr.ku.un_650  de.es.gl_543 su.pt.un_440 
  0x2a122fa0, 0x353011a0, 0x25190b04, 0x6b041fa7,   // su.hu.mt_322 ro.uz.tg_322  es.gl.eu_332 cy.fi.ceb_532 
  0x1c003007, 0x6b0d0407, 0x0a000504, 0x1b000609,   // uz.id.un_420 fi.cs.ceb_432  fr.pt.un_320 de.tr.un_440 
  0x120d2da9, 0x0e0c0807, 0x03053d13, 0x0e0c25a0,   // sk.cs.hu_544 no.sv.is_432  ku.fr.nl_665 eu.sv.is_322 
  // [2020]
  0x12001319, 0x64190b04, 0x25002309, 0x1c5521ad,   // et.hu.un_750 es.gl.lg_332  ca.eu.un_440 jw.rw.id_643 
  0x30003502, 0x11002321, 0x0f311b5a, 0x0f000607,   // tg.uz.un_220 ca.ro.un_860  tr.az.lv_553 de.lv.un_420 
  0x29230509, 0x44001011, 0x27002302, 0x3f00020c,   // fr.ca.sl_444 be.kk.un_630  ca.gd.un_220 da.af.un_530 
  0x081e0207, 0x041e1c04, 0x0e0f1055, 0x031205a0,   // da.ms.no_432 id.ms.fi_332  lt.lv.is_442 fr.hu.nl_322 
  // [2030]
  0x130d090e, 0x100a0708, 0x08000c05, 0x190a0b02,   // hi.ne.bh_555 bg.mk.be_443  sv.no.un_330 es.pt.gl_222 
  0x07101faf, 0x07170a05, 0x102d1ea0, 0x3d1b3113,   // cy.lt.it_655 mk.sr.bg_333  ms.sk.lt_322 az.tr.ku_665 
  0x081007a9, 0x320e2d08, 0x0e001214, 0x16002904,   // bg.be.uk_544 sk.is.bs_443  hu.is.un_660 sl.hr.un_320 
  0x09041007, 0x17040a07, 0x0f111005, 0x1c000908,   // lt.fi.pl_432 mk.ru.sr_432  lt.ro.lv_333 hi.mr.un_430 
  // [2040]
  0x53130407, 0x0d002d04, 0x27002d0e, 0x2f016ba9,   // fi.et.ht_432 sk.cs.un_320  sk.gd.un_550 ceb.en.su_544 
  0x1c04280c, 0x12182160, 0x3f2d1f12, 0x1f002d0e,   // sw.fi.id_543 fa.ar.ur_664  cy.sk.af_654 sk.cy.un_550 
  0x030908ec, 0x080407af, 0x2d00061b, 0x1a133012,   // no.pl.nl_644 bg.ru.uk_655  de.sk.un_770 uz.et.tl_654 
  0x30000c0d, 0x55133011, 0x323f2da0, 0x1a55300c,   // sv.uz.un_540 uz.et.rw_653  sk.af.bs_322 uz.rw.tl_543 
  // [2050]
  0x3007100c, 0x07001108, 0x1f002d0c, 0x300c6408,   // be.bg.uz_543 ro.bg.un_430  sk.cy.un_530 lg.sv.uz_443 
  0x321637a0, 0x04182804, 0x280f100c, 0x352317a4,   // st.hr.bs_322 sw.ga.fi_332  lt.lv.sw_543 sr.ky.tg_433 
  0x11081208, 0x1730230d, 0x112055ee, 0x1300301a,   // hu.no.ro_443 ky.uz.sr_554  rw.sq.ro_422 uz.et.un_760 
  0x23000807, 0x10190a13, 0x1a6b5607, 0x270f10af,   // no.ca.un_420 pt.gl.lt_665  mg.ceb.tl_432 lt.lv.gd_655 
  // [2060]
  0x02001819, 0x020608a6, 0x01005508, 0x641330a7,   // ga.da.un_750 no.de.da_521  rw.en.un_430 uz.et.lg_532 
  0x08021805, 0x0b00070c, 0x120c0ead, 0x44233013,   // ga.da.no_333 it.es.un_530  is.sv.hu_643 uz.ky.kk_665 
  0x200f55a4, 0x083f0614, 0x37102512, 0x03003f07,   // rw.lv.sq_433 de.af.no_666  eu.lt.st_654 af.nl.un_420 
  0x273128a4, 0x0c050608, 0x18272dad, 0x071125a0,   // sw.az.gd_433 de.fr.sv_443  sk.gd.ga_643 eu.ro.it_322 
  // [2070]
  0x553064ad, 0x12201704, 0x08001019, 0x55000107,   // lg.uz.rw_643 sr.sq.hu_332  be.uk.un_750 en.rw.un_420 
  0x130c3004, 0x0c003002, 0x35001002, 0x2903090c,   // uz.sv.et_332 uz.sv.un_220  be.tg.un_220 pl.nl.sl_543 
  0x1a006b12, 0x0c005304, 0x07133055, 0x080711a0,   // ceb.tl.un_640 ht.sv.un_320  uz.et.it_442 ro.bg.uk_322 
  0x2d0d2a0e, 0x091c1360, 0x130c30ec, 0x0d062504,   // mt.cs.sk_555 bh.mr.hi_664  uz.sv.et_644 eu.de.cs_332 
  // [2080]
  0x64001b0b, 0x5564300c, 0x13000c07, 0x00002824,   // tr.lg.un_520 uz.lg.rw_543  sv.et.un_420 sw.un.un_900 
  0x32171b07, 0x16005504, 0x12000e1a, 0x04130f0c,   // tr.sr.bs_432 rw.hr.un_320  is.hu.un_760 lv.et.fi_543 
  0x05000e13, 0x1f033fa9, 0x0e05080c, 0x050137a0,   // is.fr.un_650 af.nl.cy_544  no.fr.is_543 st.en.fr_322 
  0x2f041007, 0x06031812, 0x303f1fad, 0x170a10af,   // lt.fi.su_432 ga.nl.de_654  cy.af.uz_643 be.mk.sr_655 
  // [2090]
  0x1206080c, 0x070501ec, 0x1e732807, 0x0b002302,   // no.de.hu_543 en.fr.it_644  sw.ny.ms_432 ca.es.un_220 
  0x16732da4, 0x101a7308, 0x041a130c, 0x06000322,   // sk.ny.hr_433 ny.tl.lt_443  et.tl.fi_543 nl.de.un_870 
  0x0a043505, 0x07050112, 0x1a006b09, 0x3d3f020c,   // tg.ru.mk_333 en.fr.it_654  ceb.tl.un_440 da.af.ku_543 
  0x2d0d32a0, 0x3f001c04, 0x02040eec, 0x23191fac,   // bs.cs.sk_322 id.af.un_320  is.fi.da_644 cy.gl.ca_632 
  // [20a0]
  0x19002f04, 0x07043509, 0x1673280d, 0x0c020e55,   // su.gl.un_320 tg.ru.bg_444  sw.ny.hr_554 is.da.sv_442 
  0x231f1208, 0x301108a4, 0x04060307, 0x1f3f0312,   // hu.cy.ca_443 uk.ro.uz_433  nl.de.fi_432 nl.af.cy_654 
  0x040813af, 0x735521af, 0x0f001f13, 0x64041a0c,   // et.no.fi_655 jw.rw.ny_655  cy.lv.un_650 tl.fi.lg_543 
  0x0b0a19a0, 0x120b1a0c, 0x21001822, 0x190a10af,   // gl.pt.es_322 tl.es.hu_543  ar.fa.un_870 lt.pt.gl_655 
  // [20b0]
  0x0704110c, 0x0f1b31af, 0x2d0d20ee, 0x2d052507,   // ro.ru.bg_543 az.tr.lv_655  sq.cs.sk_422 eu.fr.sk_432 
  0x18002112, 0x29000707, 0x0f371b07, 0x312164ee,   // fa.ar.un_640 it.sl.un_420  tr.st.lv_432 lg.jw.az_422 
  0x06080ca0, 0x1205530c, 0x1b1273a0, 0x3d001b22,   // sv.no.de_322 ht.fr.hu_543  ny.hu.tr_322 tr.ku.un_870 
  0x02000f14, 0x2f3f0304, 0x212f5508, 0x0a001208,   // lv.da.un_660 nl.af.su_332  rw.su.jw_443 hu.pt.un_430 
  // [20c0]
  0x011307a0, 0x0a4407a4, 0x2d0d12ee, 0x04105608,   // it.et.en_322 bg.kk.mk_433  hu.cs.sk_422 mg.lt.fi_443 
  0x10045607, 0x1f033f07, 0x2f0973a4, 0x1c1a6bad,   // mg.fi.lt_432 af.nl.cy_432  ny.pl.su_433 ceb.tl.id_643 
  0x1a000408, 0x04100505, 0x00002f24, 0x30000404,   // fi.tl.un_430 fr.lt.fi_333  su.un.un_900 fi.uz.un_320 
  0x212f55a4, 0x13070404, 0x1e2f21ec, 0x2300270d,   // rw.su.jw_433 fi.it.et_332  jw.su.ms_644 gd.ca.un_540 
  // [20d0]
  0x280f73a7, 0x3700300d, 0x170704ad, 0x2d0d1904,   // ny.lv.sw_532 uz.st.un_540  ru.bg.sr_643 gl.cs.sk_332 
  0x1f002502, 0x0e060805, 0x08063f05, 0x285304a4,   // eu.cy.un_220 no.de.is_333  af.de.no_333 fi.ht.sw_433 
  0x06040355, 0x35041004, 0x0c0f080c, 0x00003f2d,   // nl.fi.de_442 be.ru.tg_332  no.lv.sv_543 af.un.un_A00 
  0x0a002309, 0x033f270e, 0x1a001318, 0x060208a4,   // ca.pt.un_440 gd.af.nl_555  et.tl.un_740 no.da.de_433 
  // [20e0]
  0x12023f60, 0x17040a08, 0x0c181ba0, 0x2900030e,   // af.da.hu_664 mk.ru.sr_443  tr.ga.sv_322 nl.sl.un_550 
  0x0b050308, 0x05002502, 0x07302302, 0x180227a0,   // nl.fr.es_443 eu.fr.un_220  ky.uz.bg_222 gd.da.ga_322 
  0x080a0707, 0x12002513, 0x3f000e08, 0x641304ee,   // bg.mk.uk_432 eu.hu.un_650  is.af.un_430 fi.et.lg_422 
  0x21001834, 0x13043f55, 0x03002a05, 0x3f040313,   // ar.fa.un_A80 af.fi.et_442  mt.nl.un_330 nl.fi.af_665 
  // [20f0]
  0x0f000e18, 0x23000a05, 0x04022aa4, 0x3f031aaf,   // is.lv.un_740 pt.ca.un_330  mt.da.fi_433 tl.nl.af_655 
  0x09080e0c, 0x13271813, 0x44233505, 0x0804100c,   // is.no.pl_543 ga.gd.et_665  tg.ky.kk_333 be.ru.uk_543 
  0x06000e04, 0x08023702, 0x562d0d0b, 0x2000320c,   // is.de.un_320 st.da.no_222  cs.sk.mg_542 bs.sq.un_530 
  0x2f282108, 0x301c1eee, 0x133f0307, 0x18076bee,   // jw.sw.su_443 ms.id.uz_422  nl.af.et_432 ceb.it.ga_422 
  // [2100]
  0x033f0409, 0x043f13a4, 0x0a1711ee, 0x113073a9,   // fi.af.nl_444 et.af.fi_433  ro.sr.mk_422 ny.uz.ro_544 
  0x0c00080d, 0x04003007, 0x0b2a25a0, 0x08001705,   // no.sv.un_540 uz.ru.un_420  eu.mt.es_322 sr.uk.un_330 
  0x1b313007, 0x552511a7, 0x0a000704, 0x300220ee,   // uz.az.tr_432 ro.eu.rw_532  bg.mk.un_320 sq.da.uz_422 
  0x37002722, 0x211f1107, 0x1b00040c, 0x021f56a7,   // gd.st.un_870 ro.cy.jw_432  fi.tr.un_530 mg.cy.da_532 
  // [2110]
  0x2f372104, 0x02300804, 0x55003022, 0x55000d13,   // jw.st.su_332 no.uz.da_332  uz.rw.un_870 cs.rw.un_650 
  0x23002012, 0x30070455, 0x201206ad, 0x300811ee,   // sq.ca.un_640 ru.bg.uz_442  de.hu.sq_643 ro.uk.uz_422 
  0x10190f13, 0x1c0d13ad, 0x033f1f08, 0x12000504,   // lv.gl.lt_665 bh.ne.mr_643  cy.af.nl_443 fr.hu.un_320 
  0x2b002508, 0x031c5307, 0x07442304, 0x2b002504,   // eu.vi.un_430 ht.id.nl_432  ky.kk.bg_332 eu.vi.un_320 
  // [2120]
  0x1b003108, 0x033f0ca9, 0x091c0d09, 0x190a0b09,   // az.tr.un_430 sv.af.nl_544  ne.mr.hi_444 es.pt.gl_444 
  0x04101104, 0x0000092d, 0x0b0a1909, 0x2f13730c,   // ro.be.ru_332 pl.un.un_A00  gl.pt.es_444 ny.et.su_543 
  0x17040aa9, 0x1e1c2faf, 0x0f001307, 0x071c2fa0,   // mk.ru.sr_544 su.id.ms_655  et.lv.un_420 su.id.it_322 
  0x4400301a, 0x13642808, 0x13041a07, 0x190a0ba4,   // uz.kk.un_760 sw.lg.et_443  tl.fi.et_432 es.pt.gl_433 
  // [2130]
  0x281e560c, 0x0a00230d, 0x0b2b19a0, 0x2137100b,   // mg.ms.sw_543 ca.pt.un_540  gl.vi.es_322 lt.st.jw_542 
  0x56001904, 0x2f1c56a9, 0x53212fa0, 0x2b3764ad,   // gl.mg.un_320 mg.id.su_544  su.jw.ht_322 lg.st.vi_643 
  0x23040804, 0x190b0aa9, 0x3011110c, 0x2f007304,   // uk.ru.ky_332 pt.es.gl_544  ro.ro.uz_543 ny.su.un_320 
  0x051c2f07, 0x31001b21, 0x2f000108, 0x276b1a60,   // su.id.fr_432 tr.az.un_860  en.su.un_430 tl.ceb.gd_664 
  // [2140]
  0x1812210e, 0x64002809, 0x0b0a19af, 0x25556b0c,   // fa.ur.ar_555 sw.lg.un_440  gl.pt.es_655 ceb.rw.eu_543 
  0x05302007, 0x0b1a30ad, 0x05212fa4, 0x23190a08,   // sq.uz.fr_432 uz.tl.es_643  su.jw.fr_433 pt.gl.ca_443 
  0x645573ec, 0x120a05a0, 0x21001235, 0x1f282aa0,   // ny.rw.lg_644 fr.pt.hu_322  ur.fa.un_A90 mt.sw.cy_322 
  0x13002a1b, 0x043f1313, 0x0c001314, 0x021a2fa7,   // mt.et.un_770 et.af.fi_665  et.sv.un_660 su.tl.da_532 
  // [2150]
  0x2d2f21ad, 0x64001904, 0x21131c0b, 0x13250204,   // jw.su.sk_643 gl.lg.un_320  id.et.jw_542 da.eu.et_332 
  0x1e303108, 0x0c0f1014, 0x071044a9, 0x2f211c12,   // az.uz.ms_443 lt.lv.sv_666  kk.be.bg_544 id.jw.su_654 
  0x090d1c13, 0x02300605, 0x050701a9, 0x2f16730c,   // mr.ne.hi_665 de.uz.da_333  en.it.fr_544 ny.hr.su_543 
  0x080c0e0c, 0x0e321bee, 0x13091cec, 0x212f1ca7,   // is.sv.no_543 tr.bs.is_422  mr.hi.bh_644 id.su.jw_532 
  // [2160]
  0x040711ee, 0x07233004, 0x13000c08, 0x10002304,   // ro.bg.ru_422 uz.ky.bg_332  sv.et.un_430 ca.lt.un_320 
  0x30002321, 0x35001111, 0x041707a0, 0x08001709,   // ky.uz.un_860 ro.tg.un_630  bg.sr.ru_322 sr.uk.un_440 
  0x301b1855, 0x0a1711af, 0x2d0a1205, 0x16000702,   // ga.tr.uz_442 ro.sr.mk_655  hu.pt.sk_333 it.hr.un_220 
  0x17230a0d, 0x2a1e2707, 0x03083f02, 0x304404ad,   // mk.ky.sr_554 gd.ms.mt_432  af.no.nl_222 ru.kk.uz_643 
  // [2170]
  0x04000805, 0x322916a0, 0x1a2820a9, 0x21002819,   // uk.ru.un_330 hr.sl.bs_322  sq.sw.tl_544 sw.jw.un_750 
  0x44301104, 0x1e1c21ee, 0x32291602, 0x1a2f21a4,   // ro.uz.kk_332 jw.id.ms_422  hr.sl.bs_222 jw.su.tl_433 
  0x29321604, 0x21201ea0, 0x6b131a08, 0x25001212,   // hr.bs.sl_332 ms.sq.jw_322  tl.et.ceb_443 hu.eu.un_640 
  0x217328ad, 0x1820300b, 0x040811a4, 0x130221a7,   // sw.ny.jw_643 uz.sq.ga_542  ro.uk.ru_433 jw.da.et_532 
  // [2180]
  0x2d00250c, 0x0973280b, 0x11002007, 0x2f1c210d,   // eu.sk.un_530 sw.ny.pl_542  sq.ro.un_420 jw.id.su_554 
  0x6b1a28ad, 0x2d0d64ec, 0x1b003707, 0x04351105,   // sw.tl.ceb_643 lg.cs.sk_644  st.tr.un_420 ro.tg.ru_333 
  0x2164280d, 0x17000a1b, 0x2d102707, 0x1f00011a,   // sw.lg.jw_554 mk.sr.un_770  gd.lt.sk_432 en.cy.un_760 
  0x162932a7, 0x0c102702, 0x25101fec, 0x1e1c2d0c,   // bs.sl.hr_532 gd.lt.sv_222  cy.lt.eu_644 sk.id.ms_543 
  // [2190]
  0x313020ec, 0x13000d1b, 0x64732808, 0x0c3f2507,   // sq.uz.az_644 ne.bh.un_770  sw.ny.lg_443 eu.af.sv_432 
  0x092d0d13, 0x5300050d, 0x73006414, 0x0900121a,   // cs.sk.pl_665 fr.ht.un_540  lg.ny.un_660 hu.pl.un_760 
  0x1723300c, 0x072501a0, 0x0900250c, 0x0c00130d,   // uz.ky.sr_543 en.eu.it_322  eu.pl.un_530 et.sv.un_540 
  0x353010a4, 0x0413100e, 0x08002702, 0x7300281a,   // be.uz.tg_433 lt.et.fi_555  gd.no.un_220 sw.ny.un_760 
  // [21a0]
  0x375612a4, 0x050625ad, 0x160d2da4, 0x7300281b,   // hu.mg.st_433 eu.de.fr_643  sk.cs.hr_433 sw.ny.un_770 
  0x1218270c, 0x731a28af, 0x1200010c, 0x073008ee,   // gd.ga.hu_543 sw.tl.ny_655  en.hu.un_530 uk.uz.bg_422 
  0x0a07170d, 0x17040a0c, 0x1e1c37a0, 0x19070b12,   // sr.bg.mk_554 mk.ru.sr_543  st.id.ms_322 es.it.gl_654 
  0x31001b20, 0x292d1602, 0x5600281a, 0x033f06a4,   // tr.az.un_850 hr.sk.sl_222  sw.mg.un_760 de.af.nl_433 
  // [21b0]
  0x0d005308, 0x2a272107, 0x311f1b07, 0x2000110c,   // ht.cs.un_430 jw.gd.mt_432  tr.cy.az_432 ro.sq.un_530 
  0x6b002704, 0x0f033fa0, 0x101a56ad, 0x1e1f1012,   // gd.ceb.un_320 af.nl.lv_322  mg.tl.lt_643 lt.cy.ms_654 
  0x040711a4, 0x10003702, 0x28001804, 0x301a2708,   // ro.bg.ru_433 st.lt.un_220  ga.sw.un_320 gd.tl.uz_443 
  0x17290d07, 0x07000a04, 0x0b1056ee, 0x215653a0,   // cs.sl.sr_432 mk.bg.un_320  mg.lt.es_422 ht.mg.jw_322 
  // [21c0]
  0x08250c02, 0x25002809, 0x130d0913, 0x2000251a,   // sv.eu.no_222 sw.eu.un_440  hi.ne.bh_665 eu.sq.un_760 
  0x252a04af, 0x53375604, 0x09130d0d, 0x29160da0,   // fi.mt.eu_655 mg.st.ht_332  ne.bh.hi_554 cs.hr.sl_322 
  0x6e00060d, 0x32000d05, 0x443011a4, 0x0e1304a4,   // de.hmn.un_540 cs.bs.un_330  ro.uz.kk_433 fi.et.is_433 
  0x20000c02, 0x2a000c04, 0x1b003008, 0x1c002304,   // sv.sq.un_220 sv.mt.un_320  uz.tr.un_430 ca.id.un_320 
  // [21d0]
  0x5300050c, 0x1f20275a, 0x091c0d5a, 0x041e1cad,   // fr.ht.un_530 gd.sq.cy_553  ne.mr.hi_553 id.ms.fi_643 
  0x285530a4, 0x37730107, 0x6e0e0ba0, 0x21040ca0,   // uz.rw.sw_433 en.ny.st_432  es.is.hmn_322 sv.fi.jw_322 
  0x28001a07, 0x321729a4, 0x07003019, 0x21190b0d,   // tl.sw.un_420 sl.sr.bs_433  uz.bg.un_750 es.gl.jw_554 
  0x0b0a19a4, 0x0c3f0204, 0x17000d07, 0x0a0710ee,   // gl.pt.es_433 da.af.sv_332  cs.sr.un_420 be.bg.mk_422 
  // [21e0]
  0x13002f07, 0x13041b55, 0x04000104, 0x2904530c,   // su.et.un_420 tr.fi.et_442  en.fi.un_320 ht.fi.sl_543 
  0x011b6ba0, 0x3f250ba4, 0x08040a04, 0x100b06ee,   // ceb.tr.en_322 es.eu.af_433  mk.ru.uk_332 de.es.lt_422 
  0x191a0aa4, 0x170408ee, 0x190b07af, 0x02001f08,   // pt.tl.gl_433 uk.ru.sr_422  it.es.gl_655 cy.da.un_430 
  0x25002807, 0x07370ba0, 0x01001b02, 0x05212f07,   // sw.eu.un_420 es.st.it_322  tr.en.un_220 su.jw.fr_432 
  // [21f0]
  0x120d0e07, 0x1c130d11, 0x3500040c, 0x040a170d,   // is.cs.hu_432 ne.bh.mr_653  ru.tg.un_530 sr.mk.ru_554 
  0x4400100e, 0x53071111, 0x3f000320, 0x07002507,   // be.kk.un_550 ro.it.ht_653  nl.af.un_850 eu.it.un_420 
  0x03005313, 0x04003004, 0x6b3001a4, 0x53000414,   // ht.nl.un_650 uz.ru.un_320  en.uz.ceb_433 fi.ht.un_660 
  0x0a0723a4, 0x190a01a9, 0x53050dee, 0x561e1c05,   // ky.bg.mk_433 en.pt.gl_544  cs.fr.ht_422 id.ms.mg_333 
  // [2200]
  0x312830a0, 0x01002d04, 0x3f000413, 0x351030ad,   // uz.sw.az_322 sk.en.un_320  fi.af.un_650 uz.be.tg_643 
  0x11002513, 0x02071fee, 0x56006413, 0x040a1709,   // eu.ro.un_650 cy.it.da_422  lg.mg.un_650 sr.mk.ru_444 
  0x0d530507, 0x0400250d, 0x64001f07, 0x2d0d29ec,   // fr.ht.cs_432 eu.fi.un_540  cy.lg.un_420 sl.cs.sk_644 
  0x19232508, 0x533f030b, 0x32176409, 0x1700040c,   // eu.ca.gl_443 nl.af.ht_542  lg.sr.bs_444 ru.sr.un_530 
  // [2210]
  0x04100aa9, 0x110711ac, 0x3f040da0, 0x1e001c0d,   // mk.be.ru_544 ro.bg.ro_632  cs.fi.af_322 id.ms.un_540 
  0x53050d0c, 0x0c000205, 0x53052912, 0x02060d08,   // cs.fr.ht_543 da.sv.un_330  sl.fr.ht_654 cs.de.da_443 
  0x084404a0, 0x1f251807, 0x0d000920, 0x0a17080b,   // ru.kk.uk_322 ga.eu.cy_432  hi.ne.un_850 uk.sr.mk_542 
  0x2a00730d, 0x0600290c, 0x3d002a1a, 0x1f001021,   // ny.mt.un_540 sl.de.un_530  mt.ku.un_760 lt.cy.un_860 
  // [2220]
  0x170408a4, 0x13001c13, 0x07010ba0, 0x212873ad,   // uk.ru.sr_433 mr.bh.un_650  es.en.it_322 ny.sw.jw_643 
  0x12000621, 0x07440409, 0x230525a9, 0x130d0905,   // de.hu.un_860 ru.kk.bg_444  eu.fr.ca_544 hi.ne.bh_333 
  0x1c1309ee, 0x0e0406a7, 0x1f2125a0, 0x06041313,   // hi.bh.mr_422 de.fi.is_532  eu.jw.cy_322 et.fi.de_665 
  0x0e002f08, 0x3f0601a4, 0x302a1313, 0x23001112,   // su.is.un_430 en.de.af_433  et.mt.uz_665 ro.ky.un_640 
  // [2230]
  0x25001214, 0x05002808, 0x130c120c, 0x2400010c,   // hu.eu.un_660 sw.fr.un_430  hu.sv.et_543 iw.yi.un_530 
  0x64321704, 0x6413060c, 0x0e3006ad, 0x0c1a6b07,   // sr.bs.lg_332 de.et.lg_543  de.uz.is_643 ceb.tl.sv_432 
  0x0e000802, 0x19310aad, 0x28000204, 0x2a000e21,   // no.is.un_220 pt.az.gl_643  da.sw.un_320 is.mt.un_860 
  0x1704100e, 0x02212a07, 0x23004418, 0x1f006b07,   // be.ru.sr_555 mt.jw.da_432  kk.ky.un_740 ceb.cy.un_420 
  // [2240]
  0x56003704, 0x0400081b, 0x08202aad, 0x0e080204,   // st.mg.un_320 uk.ru.un_770  mt.sq.no_643 da.no.is_332 
  0x6b001a09, 0x08020ea4, 0x0d000921, 0x08033f0c,   // tl.ceb.un_440 is.da.no_433  hi.ne.un_860 af.nl.no_543 
  0x13000421, 0x12211802, 0x10081702, 0x2a060408,   // fi.et.un_860 ar.fa.ur_222  sr.uk.be_222 fi.de.mt_443 
  0x03000413, 0x2a2507af, 0x13040609, 0x030413ad,   // fi.nl.un_650 it.eu.mt_655  de.fi.et_444 et.fi.nl_643 
  // [2250]
  0x2d003202, 0x13031a05, 0x73003713, 0x0804100b,   // bs.sk.un_220 tl.nl.et_333  st.ny.un_650 be.ru.uk_542 
  0x062701ad, 0x21080205, 0x080203a0, 0x28006b0b,   // en.gd.de_643 da.no.jw_333  nl.da.no_322 ceb.sw.un_520 
  0x3f001a08, 0x05000704, 0x73000119, 0x17230a07,   // tl.af.un_430 it.fr.un_320  en.ny.un_750 mk.ky.sr_432 
  0x062112a0, 0x04001a0e, 0x6b5301ec, 0x180205a0,   // hu.jw.de_322 tl.fi.un_550  en.ht.ceb_644 fr.da.ga_322 
  // [2260]
  0x1f00061a, 0x6b270111, 0x1100250c, 0x06643f05,   // de.cy.un_760 en.gd.ceb_653  eu.ro.un_530 af.lg.de_333 
  0x25000702, 0x12000804, 0x13002518, 0x020c0807,   // it.eu.un_220 no.hu.un_320  eu.et.un_740 no.sv.da_432 
  0x2500110d, 0x050a1b02, 0x03003708, 0x04071107,   // ro.eu.un_540 tr.pt.fr_222  st.nl.un_430 ro.bg.ru_432 
  0x07002508, 0x292d1702, 0x133f03ec, 0x2d002008,   // eu.it.un_430 sr.sk.sl_222  nl.af.et_644 sq.sk.un_430 
  // [2270]
  0x56530707, 0x732830ee, 0x0e110107, 0x30442360,   // it.ht.mg_432 uz.sw.ny_422  en.ro.is_432 ky.kk.uz_664 
  0x02001a08, 0x053f03a9, 0x08100407, 0x080e04ee,   // tl.da.un_430 nl.af.fr_544  ru.be.uk_432 fi.is.no_422 
  0x2500010d, 0x01002102, 0x081304a4, 0x27000113,   // en.eu.un_540 jw.en.un_220  fi.et.no_433 en.gd.un_650 
  0x04173505, 0x44233011, 0x303d31a0, 0x07001107,   // tg.sr.ru_333 uz.ky.kk_653  az.ku.uz_322 ro.it.un_420 
  // [2280]
  0x11032d0c, 0x30080707, 0x1a006b1b, 0x09001102,   // sk.nl.ro_543 bg.uk.uz_432  ceb.tl.un_770 ro.pl.un_220 
  0x44233014, 0x201125a0, 0x1100250b, 0x28112504,   // uz.ky.kk_666 eu.ro.sq_322  eu.ro.un_520 eu.ro.sw_332 
  0x09032502, 0x056b01a0, 0x0b2519a7, 0x533113a7,   // eu.nl.pl_222 en.ceb.fr_322  gl.eu.es_532 et.az.ht_532 
  0x170a2309, 0x13033f60, 0x56120511, 0x0a2310ee,   // ky.mk.sr_444 af.nl.et_664  fr.hu.mg_653 be.ky.mk_422 
  // [2290]
  0x13000d0d, 0x30040802, 0x3000550d, 0x03001108,   // ne.bh.un_540 no.fi.uz_222  rw.uz.un_540 ro.nl.un_430 
  0x560464a0, 0x29300207, 0x35001112, 0x13300407,   // lg.fi.mg_322 da.uz.sl_432  ro.tg.un_640 fi.uz.et_432 
  0x11120107, 0x0f090760, 0x193f0308, 0x530413a4,   // en.hu.ro_432 it.pl.lv_664  nl.af.gl_443 et.fi.ht_433 
  0x56006b23, 0x040823a0, 0x53561a05, 0x052d1212,   // ceb.mg.un_880 ky.uk.ru_322  tl.mg.ht_333 hu.sk.fr_654 
  // [22a0]
  0x03002d0e, 0x062b270b, 0x0b070209, 0x0a005607,   // sk.nl.un_550 gd.vi.de_542  da.it.es_444 mg.pt.un_420 
  0x2308350b, 0x0b005508, 0x07190bee, 0x3009270d,   // tg.uk.ky_542 rw.es.un_430  es.gl.it_422 gd.pl.uz_554 
  0x20560aee, 0x191101a4, 0x0a303512, 0x1c002807,   // pt.mg.sq_422 en.ro.gl_433  tg.uz.mk_654 sw.id.un_420 
  0x04233011, 0x17321613, 0x35041055, 0x30442305,   // uz.ky.ru_653 hr.bs.sr_665  be.ru.tg_442 ky.kk.uz_333 
  // [22b0]
  0x230a07af, 0x31001e0d, 0x3f291302, 0x1012110c,   // bg.mk.ky_655 ms.az.un_540  et.sl.af_222 ro.hu.lt_543 
  0x21002f19, 0x64302805, 0x043f13a0, 0x0411350c,   // su.jw.un_750 sw.uz.lg_333  et.af.fi_322 tg.ro.ru_543 
  0x071117af, 0x17000413, 0x56000d19, 0x530130a6,   // sr.ro.bg_655 ru.sr.un_650  cs.mg.un_750 uz.en.ht_521 
  0x201101a0, 0x1f003022, 0x3d0e73ad, 0x0b00121a,   // en.ro.sq_322 uz.cy.un_870  ny.is.ku_643 hu.es.un_760 
  // [22c0]
  0x27002d13, 0x73002019, 0x0600271a, 0x042f3da4,   // sk.gd.un_650 sq.ny.un_750  gd.de.un_760 ku.su.fi_433 
  0x3f030212, 0x080407a7, 0x110811a4, 0x28300f07,   // da.nl.af_654 bg.ru.uk_532  ro.uk.ro_433 lv.uz.sw_432 
  0x04003d1a, 0x25002107, 0x232719ec, 0x0e190b60,   // ku.fi.un_760 jw.eu.un_420  gl.gd.ca_644 es.gl.is_664 
  0x30001a19, 0x20001123, 0x3f050313, 0x290d2daf,   // tl.uz.un_750 ro.sq.un_880  nl.fr.af_665 sk.cs.sl_655 
  // [22d0]
  0x03063f08, 0x10081708, 0x354430af, 0x2f001e05,   // af.de.nl_443 sr.uk.be_443  uz.kk.tg_655 ms.su.un_330 
  0x29001705, 0x17000104, 0x1007230c, 0x050a01a4,   // sr.sl.un_330 en.sr.un_320  ky.bg.be_543 en.pt.fr_433 
  0x120b0a02, 0x19001104, 0x371a07ec, 0x532f1a07,   // pt.es.hu_222 ro.gl.un_320  it.tl.st_644 tl.su.ht_432 
  0x64552808, 0x2f2123a0, 0x0e5308a0, 0x31001b2a,   // sw.rw.lg_443 ca.jw.su_322  no.ht.is_322 tr.az.un_970 
  // [22e0]
  0x23104412, 0x212f230d, 0x0b271904, 0x0f001f19,   // kk.be.ky_654 ca.su.jw_554  gl.gd.es_332 cy.lv.un_750 
  0x07000612, 0x0f130e12, 0x10000834, 0x1b000807,   // de.it.un_640 is.et.lv_654  uk.be.un_A80 no.tr.un_420 
  0x2a033f5a, 0x21007323, 0x21001e0d, 0x013708a0,   // af.nl.mt_553 ny.jw.un_880  ms.jw.un_540 no.st.en_322 
  0x0b0a5555, 0x29003204, 0x05003702, 0x2300111b,   // rw.pt.es_442 bs.sl.un_320  st.fr.un_220 ro.ca.un_770 
  // [22f0]
  0x73005614, 0x0207055a, 0x272173a0, 0x11071108,   // mg.ny.un_660 fr.it.da_553  ny.jw.gd_322 ro.bg.ro_443 
  0x01532805, 0x2f210309, 0x06731f55, 0x03003704,   // sw.ht.en_333 nl.jw.su_444  cy.ny.de_442 st.nl.un_320 
  0x1c090d0d, 0x02001209, 0x121837ee, 0x73556460,   // ne.hi.mr_554 hu.da.un_440  st.ga.hu_422 lg.rw.ny_664 
  0x01060307, 0x1e001c2b, 0x0627180d, 0x123f0107,   // nl.de.en_432 id.ms.un_980  ga.gd.de_554 en.af.hu_432 
  // [2300]
  0x181221ad, 0x29001e02, 0x19002507, 0x532f21a0,   // fa.ur.ar_643 ms.sl.un_220  eu.gl.un_420 jw.su.ht_322 
  0x21001809, 0x033f2007, 0x172d0d0d, 0x201f0304,   // ar.fa.un_440 sq.af.nl_432  cs.sk.sr_554 nl.cy.sq_332 
  0x060e0c04, 0x170a08a4, 0x0e120c09, 0x3f1123a0,   // sv.is.de_332 uk.mk.sr_433  sv.hu.is_444 ca.ro.af_322 
  0x231110a4, 0x44041708, 0x0a041104, 0x01036b04,   // lt.ro.ca_433 sr.ru.kk_443  ro.ru.mk_332 ceb.nl.en_332 
  // [2310]
  0x1f0137ee, 0x13002722, 0x73372704, 0x25001907,   // st.en.cy_422 gd.et.un_870  gd.st.ny_332 gl.eu.un_420 
  0x30123107, 0x6b002014, 0x1b02230c, 0x1e1c37ee,   // az.hu.uz_432 sq.ceb.un_660  ca.da.tr_543 st.id.ms_422 
  0x18000302, 0x53002819, 0x13271808, 0x170c5302,   // nl.ga.un_220 sw.ht.un_750  ga.gd.et_443 ht.sv.sr_222 
  0x07353060, 0x530121a0, 0x18271f07, 0x0e000505,   // uz.tg.bg_664 jw.en.ht_322  cy.gd.ga_432 fr.is.un_330 
  // [2320]
  0x210103a0, 0x0a006e07, 0x3f003712, 0x03001105,   // nl.en.jw_322 hmn.pt.un_420  st.af.un_640 ro.nl.un_330 
  0x01532712, 0x1f3f010c, 0x37552812, 0x232b1ca0,   // gd.ht.en_654 en.af.cy_543  sw.rw.st_654 id.vi.ca_322 
  0x30003704, 0x20050aa6, 0x25000307, 0x17043004,   // st.uz.un_320 pt.fr.sq_521  nl.eu.un_420 uz.ru.sr_332 
  0x30080408, 0x130806a6, 0x10004407, 0x35071704,   // ru.uk.uz_443 de.no.et_521  kk.be.un_420 sr.bg.tg_332 
  // [2330]
  0x12132708, 0x0f001702, 0x0e2d0d08, 0x06016ba0,   // gd.et.hu_443 sr.lv.un_220  cs.sk.is_443 ceb.en.de_322 
  0x04170707, 0x081711ee, 0x0a04170d, 0x3200171b,   // bg.sr.ru_432 ro.sr.uk_422  sr.ru.mk_554 sr.bs.un_770 
  0x040a1708, 0x552053ee, 0x55007323, 0x07203707,   // sr.mk.ru_443 ht.sq.rw_422  ny.rw.un_880 st.sq.it_432 
  0x21001805, 0x1b0931a0, 0x07300807, 0x0d091cac,   // ga.jw.un_330 az.pl.tr_322  uk.uz.bg_432 mr.hi.ne_632 
  // [2340]
  0x20002a09, 0x06001309, 0x2d2b56a0, 0x2a001212,   // mt.sq.un_440 et.de.un_440  mg.vi.sk_322 hu.mt.un_640 
  0x55061304, 0x190a18ac, 0x13002908, 0x2d0920ec,   // et.de.rw_332 ga.pt.gl_632  sl.et.un_430 sq.pl.sk_644 
  0x6b080cec, 0x30170aad, 0x12206e04, 0x070a44ec,   // sv.no.ceb_644 mk.sr.uz_643  hmn.sq.hu_332 kk.mk.bg_644 
  0x0e640404, 0x17002905, 0x0f1029a0, 0x2f046455,   // fi.lg.is_332 sl.sr.un_330  sl.lt.lv_322 lg.fi.su_442 
  // [2350]
  0x041b3107, 0x100408a9, 0x01006b07, 0x16002d05,   // az.tr.fi_432 no.fi.lt_544  ceb.en.un_420 sk.hr.un_330 
  0x28640407, 0x64046ba0, 0x04006409, 0x35000a04,   // fi.lg.sw_432 ceb.fi.lg_322  lg.fi.un_440 mk.tg.un_320 
  0x64002804, 0x10000429, 0x210518ac, 0x230430a0,   // sw.lg.un_320 ru.be.un_960  ga.fr.jw_632 uz.ru.ky_322 
  0x190a07af, 0x19001804, 0x20002a0d, 0x0c12170c,   // it.pt.gl_655 ga.gl.un_320  mt.sq.un_540 sr.hu.sv_543 
  // [2360]
  0x0d001c19, 0x0f120c0c, 0x6e1720a4, 0x23000411,   // mr.ne.un_750 sv.hu.lv_543  sq.sr.hmn_433 ru.ky.un_630 
  0x010c0aa6, 0x32000d08, 0x535605ad, 0x20006e13,   // pt.sv.en_521 cs.bs.un_430  fr.mg.ht_643 hmn.sq.un_650 
  0x07295612, 0x1c0d0912, 0x2a0c25a0, 0x120c2a07,   // mg.sl.it_654 hi.ne.mr_654  eu.sv.mt_322 mt.sv.hu_432 
  0x10020fee, 0x08010c04, 0x21001e02, 0x281a6407,   // lv.da.lt_422 sv.en.no_332  ms.jw.un_220 lg.tl.sw_432 
  // [2370]
  0x20001318, 0x252a1aa0, 0x18000709, 0x17070413,   // et.sq.un_740 tl.mt.eu_322  it.ga.un_440 ru.bg.sr_665 
  0x0608020d, 0x64130412, 0x05000113, 0x2d0f100c,   // da.no.de_554 fi.et.lg_654  en.fr.un_650 lt.lv.sk_543 
  0x08021bee, 0x0c080208, 0x0f003f02, 0x44080408,   // tr.da.no_422 da.no.sv_443  af.lv.un_220 ru.uk.kk_443 
  0x10170405, 0x3f0604a4, 0x01000707, 0x07000421,   // ru.sr.be_333 fi.de.af_433  it.en.un_420 ru.bg.un_860 
  // [2380]
  0x080204a9, 0x19000709, 0x0300020c, 0x12090da0,   // fi.da.no_544 it.gl.un_440  da.nl.un_530 cs.pl.hu_322 
  0x56001704, 0x09001f14, 0x3f1008a0, 0x211c1ea7,   // sr.mg.un_320 cy.pl.un_660  no.lt.af_322 ms.id.jw_532 
  0x64043707, 0x55000611, 0x29001304, 0x11002502,   // st.fi.lg_432 de.rw.un_630  et.sl.un_320 eu.ro.un_220 
  0x08021302, 0x3000070e, 0x02000804, 0x250b19ee,   // et.da.no_222 bg.uz.un_550  no.da.un_320 gl.es.eu_422 
  // [2390]
  0x10060f07, 0x13003712, 0x11002302, 0x2300251b,   // lv.de.lt_432 st.et.un_640  ca.ro.un_220 eu.ca.un_770 
  0x0744230b, 0x080601a0, 0x1f122713, 0x353004a4,   // ky.kk.bg_542 en.de.no_322  gd.hu.cy_665 ru.uz.tg_433 
  0x0a0708a4, 0x21061aa0, 0x29171605, 0x100704ec,   // uk.bg.mk_433 tl.de.jw_322  hr.sr.sl_333 ru.bg.be_644 
  0x1f00110c, 0x0f102904, 0x0600130c, 0x080a17a7,   // ro.cy.un_530 sl.lt.lv_332  et.de.un_530 sr.mk.uk_532 
  // [23a0]
  0x44170a04, 0x08003005, 0x1b103da0, 0x27183007,   // mk.sr.kk_332 uz.uk.un_330  ku.lt.tr_322 uz.ga.gd_432 
  0x10041e05, 0x06040107, 0x30000113, 0x0e0f0604,   // ms.fi.lt_333 en.fi.de_432  en.uz.un_650 de.lv.is_332 
  0x1a136ba4, 0x07002313, 0x2800530d, 0x0d0929ad,   // ceb.et.tl_433 ky.bg.un_650  ht.sw.un_540 sl.pl.cs_643 
  0x0d092da0, 0x041710a0, 0x1e1c21a0, 0x1b3d310d,   // sk.pl.cs_322 be.sr.ru_322  jw.id.ms_322 az.ku.tr_554 
  // [23b0]
  0x29000d05, 0x1f000919, 0x20003019, 0x01130455,   // cs.sl.un_330 pl.cy.un_750  uz.sq.un_750 fi.et.en_442 
  0x12112aa0, 0x0e080205, 0x10251faf, 0x290f1707,   // mt.ro.hu_322 da.no.is_333  cy.eu.lt_655 sr.lv.sl_432 
  0x163217a7, 0x64003014, 0x0f002a08, 0x3000010d,   // sr.bs.hr_532 uz.lg.un_660  mt.lv.un_430 en.uz.un_540 
  0x2d000912, 0x01001104, 0x170229a9, 0x100f17ee,   // pl.sk.un_640 ro.en.un_320  sl.da.sr_544 sr.lv.lt_422 
  // [23c0]
  0x731e1c04, 0x55642811, 0x3f6b1a07, 0x2d096e08,   // id.ms.ny_332 sw.lg.rw_653  tl.ceb.af_432 hmn.pl.sk_443 
  0x73006b08, 0x0a234405, 0x28000802, 0x0e04135a,   // ceb.ny.un_430 kk.ky.mk_333  no.sw.un_220 et.fi.is_553 
  0x110730ec, 0x64735314, 0x0b121908, 0x5500641a,   // uz.it.ro_644 ht.ny.lg_666  gl.hu.es_443 lg.rw.un_760 
  0x1b30110c, 0x0f0625a4, 0x09100207, 0x160d29a0,   // ro.uz.tr_543 eu.de.lv_433  da.lt.pl_432 sl.cs.hr_322 
  // [23d0]
  0x55002812, 0x21050ea4, 0x302335ee, 0x0717440c,   // sw.rw.un_640 is.fr.jw_433  tg.ky.uz_422 kk.sr.bg_543 
  0x2d00170d, 0x6b053007, 0x21006b13, 0x08041013,   // sr.sk.un_540 uz.fr.ceb_432  ceb.jw.un_650 be.ru.uk_665 
  0x07060dad, 0x32001004, 0x08200e0c, 0x171029a9,   // cs.de.it_643 lt.bs.un_320  is.sq.no_543 sl.lt.sr_544 
  0x2300112a, 0x1f1c1eec, 0x040a0708, 0x030f0502,   // ro.ca.un_970 ms.id.cy_644  bg.mk.ru_443 fr.lv.nl_222 
  // [23e0]
  0x6b252aad, 0x1708100c, 0x25190ba7, 0x02006e19,   // mt.eu.ceb_643 be.uk.sr_543  es.gl.eu_532 hmn.da.un_750 
  0x2000031a, 0x730f0908, 0x12001822, 0x3f320702,   // nl.sq.un_760 pl.lv.ny_443  ar.ur.un_870 it.bs.af_222 
  0x1200110c, 0x0f00100e, 0x642855ad, 0x73002823,   // ro.hu.un_530 lt.lv.un_550  rw.sw.lg_643 sw.ny.un_880 
  0x100419ad, 0x55645312, 0x2800210e, 0x07041004,   // gl.fi.lt_643 ht.lg.rw_654  jw.sw.un_550 be.ru.bg_332 
  // [23f0]
  0x0f100a04, 0x2f2105a0, 0x0d002d0c, 0x23002521,   // pt.lt.lv_332 fr.jw.su_322  sk.cs.un_530 eu.ca.un_860 
  0x64001905, 0x13002a02, 0x0b0f1012, 0x12640713,   // gl.lg.un_330 mt.et.un_220  lt.lv.es_654 it.lg.hu_665 
  0x12000913, 0x19532308, 0x190b0c05, 0x531b3d07,   // pl.hu.un_650 ca.ht.gl_443  sv.es.gl_333 ku.tr.ht_432 
  0x190a0ba9, 0x04002f05, 0x23062560, 0x046455ee,   // es.pt.gl_544 su.fi.un_330  eu.de.ca_664 rw.lg.fi_422 
  
  // [2400]
  0x640503ee, 0x3f006e08, 0x12000922, 0x0e001902,   // nl.fr.lg_422 hmn.af.un_430  pl.hu.un_870 gl.is.un_220 
  0x133f03ee, 0x0a550607, 0x302f210c, 0x0c000208,   // nl.af.et_422 de.rw.pt_432  jw.su.uz_543 da.sv.un_430 
  0x0a101708, 0x0f001013, 0x23000b04, 0x13000808,   // sr.be.mk_443 lt.lv.un_650  es.ca.un_320 no.et.un_430 
  0x19000a0b, 0x0e006404, 0x040811a9, 0x0b25190c,   // pt.gl.un_520 lg.is.un_320  ro.uk.ru_544 gl.eu.es_543 
  // [2410]
  0x03010602, 0x10001904, 0x3f250a04, 0x1704080c,   // de.en.nl_222 gl.lt.un_320  pt.eu.af_332 uk.ru.sr_543 
  0x0d1c09ad, 0x2b0801ad, 0x180701a4, 0x1c00131a,   // hi.mr.ne_643 en.no.vi_643  en.it.ga_433 bh.mr.un_760 
  0x17081014, 0x0e001907, 0x1c000913, 0x04003513,   // be.uk.sr_666 gl.is.un_420  hi.mr.un_650 tg.ru.un_650 
  0x063d01ad, 0x6b113fa0, 0x291304ec, 0x202f37a0,   // en.ku.de_643 af.ro.ceb_322  fi.et.sl_644 st.su.sq_322 
  // [2420]
  0x5653050d, 0x203d040d, 0x06205505, 0x070810a9,   // fr.ht.mg_554 fi.ku.sq_554  rw.sq.de_333 be.uk.bg_544 
  0x2100182a, 0x033f130b, 0x21002004, 0x036e13ad,   // ar.fa.un_970 et.af.nl_542  sq.jw.un_320 et.hmn.nl_643 
  0x0730350c, 0x1c1e2f07, 0x0c200807, 0x20001602,   // tg.uz.bg_543 su.ms.id_432  no.sq.sv_432 hr.sq.un_220 
  0x2d0d1faf, 0x2f1c56a7, 0x3216290d, 0x232b19ee,   // cy.cs.sk_655 mg.id.su_532  sl.hr.bs_554 gl.vi.ca_422 
  // [2430]
  0x53556ba4, 0x3000050d, 0x08003011, 0x19020b08,   // ceb.rw.ht_433 fr.uz.un_540  uz.uk.un_630 es.da.gl_443 
  0x2500121b, 0x2d0d11ee, 0x10351104, 0x24000109,   // hu.eu.un_770 ro.cs.sk_422  ro.tg.be_332 iw.yi.un_440 
  0x0b002513, 0x2d0d0e09, 0x0b00250c, 0x2d0d0a05,   // eu.es.un_650 is.cs.sk_444  eu.es.un_530 pt.cs.sk_333 
  0x560f21a0, 0x18001205, 0x0a040714, 0x06000302,   // jw.lv.mg_322 ur.ar.un_330  bg.ru.mk_666 nl.de.un_220 
  // [2440]
  0x0a000b07, 0x044417ec, 0x10002909, 0x10000307,   // es.pt.un_420 sr.kk.ru_644  sl.lt.un_440 nl.lt.un_420 
  0x0a111155, 0x0700111a, 0x20000e07, 0x1c000d22,   // ro.ro.mk_442 ro.bg.un_760  is.sq.un_420 ne.mr.un_870 
  0x55732812, 0x17070809, 0x11000f11, 0x647355af,   // sw.ny.rw_654 uk.bg.sr_444  lv.ro.un_630 rw.ny.lg_655 
  0x10004420, 0x100d2dee, 0x440411a4, 0x0e000608,   // kk.be.un_850 sk.cs.lt_422  ro.ru.kk_433 de.is.un_430 
  // [2450]
  0x19000104, 0x55005611, 0x2d3f0307, 0x130364a4,   // en.gl.un_320 mg.rw.un_630  nl.af.sk_432 lg.nl.et_433 
  0x0e3f03a7, 0x2f1b21a7, 0x1c3f2f02, 0x0c000605,   // nl.af.is_532 jw.tr.su_532  su.af.id_222 de.sv.un_330 
  0x0d00092c, 0x21003202, 0x0208370c, 0x04003f0e,   // hi.ne.un_990 bs.jw.un_220  st.no.da_543 af.fi.un_550 
  0x0403130e, 0x07002305, 0x30000704, 0x070a11af,   // et.nl.fi_555 ky.bg.un_330  bg.uz.un_320 ro.mk.bg_655 
  // [2460]
  0x08006404, 0x303511ee, 0x080212a9, 0x070804a9,   // lg.no.un_320 ro.tg.uz_422  hu.da.no_544 ru.uk.bg_544 
  0x55126409, 0x2d0c1fa4, 0x3f031a0c, 0x29001605,   // lg.hu.rw_444 cy.sv.sk_433  tl.nl.af_543 hr.sl.un_330 
  0x12002702, 0x2d0c09ec, 0x081144ad, 0x12322fa4,   // gd.hu.un_220 pl.sv.sk_644  kk.ro.uk_643 su.bs.hu_433 
  0x0e3f1204, 0x073d23a4, 0x17130655, 0x31130407,   // hu.af.is_332 ca.ku.it_433  de.et.sr_442 fi.et.az_432 
  // [2470]
  0x1716290c, 0x08300708, 0x053f23a4, 0x0a171002,   // sl.hr.sr_543 bg.uz.uk_443  ca.af.fr_433 be.sr.mk_222 
  0x6b0523a0, 0x0b03050c, 0x080a0709, 0x551e1c04,   // ca.fr.ceb_322 fr.nl.es_543  it.pt.no_444 id.ms.rw_332 
  0x0835305a, 0x092d0d07, 0x21003f07, 0x211218ec,   // uz.tg.uk_553 cs.sk.pl_432  af.jw.un_420 ar.ur.fa_644 
  0x0b0a190c, 0x18000204, 0x122d0d13, 0x0c2d09ad,   // gl.pt.es_543 da.ga.un_320  cs.sk.hu_665 pl.sk.sv_643 
  // [2480]
  0x1900300e, 0x10190b13, 0x09001f04, 0x19001008,   // uz.gl.un_550 es.gl.lt_665  cy.pl.un_320 lt.gl.un_430 
  0x091b13a0, 0x12002905, 0x07123013, 0x073035ad,   // et.tr.pl_322 sl.hu.un_330  uz.hu.it_665 tg.uz.bg_643 
  0x1c090d55, 0x11000c04, 0x0a0701a9, 0x0d091c12,   // ne.hi.mr_442 sv.ro.un_320  en.it.pt_544 mr.hi.ne_654 
  0x0a190b08, 0x0e190b13, 0x09002a0d, 0x18000a08,   // es.gl.pt_443 es.gl.is_665  mt.pl.un_540 pt.ga.un_430 
  // [2490]
  0x100b0a08, 0x55212f07, 0x3f130308, 0x1812215a,   // pt.es.lt_443 su.jw.rw_432  nl.et.af_443 fa.ur.ar_553 
  0x30040a04, 0x030c06a0, 0x121b2512, 0x23050313,   // mk.ru.uz_332 de.sv.nl_322  eu.tr.hu_654 nl.fr.ca_665 
  0x2b002d08, 0x0f041355, 0x09001705, 0x30555355,   // sk.vi.un_430 et.fi.lv_442  sr.pl.un_330 ht.rw.uz_442 
  0x0e2d0daf, 0x73102808, 0x10000a09, 0x321755af,   // cs.sk.is_655 sw.lt.ny_443  pt.lt.un_440 rw.sr.bs_655 
  // [24a0]
  0x060e0807, 0x1200210c, 0x0f100807, 0x1a00210d,   // no.is.de_432 fa.ur.un_530  no.lt.lv_432 jw.tl.un_540 
  0x03022d07, 0x0f00101a, 0x120c2a0b, 0x02080c11,   // sk.da.nl_432 lt.lv.un_760  mt.sv.hu_542 sv.no.da_653 
  0x170a04a4, 0x190a0b0e, 0x25000f2b, 0x0c033fee,   // ru.mk.sr_433 es.pt.gl_555  lv.eu.un_980 af.nl.sv_422 
  0x08026ba0, 0x35171007, 0x271118ad, 0x3f2f250d,   // ceb.da.no_322 be.sr.tg_432  ga.ro.gd_643 eu.su.af_554 
  // [24b0]
  0x10252313, 0x0e1a6b12, 0x2a0810a4, 0x25000f1a,   // ca.eu.lt_665 ceb.tl.is_654  lt.no.mt_433 lv.eu.un_760 
  0x07171007, 0x2b190b09, 0x56001a21, 0x271806a4,   // be.sr.bg_432 es.gl.vi_444  tl.mg.un_860 de.ga.gd_433 
  0x04003f07, 0x2723010c, 0x133127ee, 0x0a000108,   // af.fi.un_420 en.ca.gd_543  gd.az.et_422 en.pt.un_430 
  0x01006b04, 0x18001907, 0x53211ca0, 0x6b2a01ee,   // ceb.en.un_320 gl.ga.un_420  id.jw.ht_322 en.mt.ceb_422 
  // [24c0]
  0x0a0710a4, 0x31202a0c, 0x2f55640c, 0x06000504,   // be.bg.mk_433 mt.sq.az_543  lg.rw.su_543 fr.de.un_320 
  0x25061f0c, 0x56646b0c, 0x06132504, 0x06002508,   // cy.de.eu_543 ceb.lg.mg_543  eu.et.de_332 eu.de.un_430 
  0x070804ad, 0x04007302, 0x0c1b2a0c, 0x01531e02,   // ru.uk.bg_643 ny.fi.un_220  mt.tr.sv_543 ms.ht.en_222 
  0x0e06075a, 0x12080e13, 0x05645307, 0x081044af,   // it.de.is_553 is.no.hu_665  ht.lg.fr_432 kk.be.uk_655 
  // [24d0]
  0x35001721, 0x3f321604, 0x040710a4, 0x0000191c,   // sr.tg.un_860 hr.bs.af_332  be.bg.ru_433 gl.un.un_800 
  0x13090d5a, 0x21252f12, 0x12001e0d, 0x050f0911,   // ne.hi.bh_553 su.eu.jw_654  ms.hu.un_540 pl.lv.fr_653 
  0x19000b18, 0x170a11a4, 0x210609a4, 0x3013120d,   // es.gl.un_740 ro.mk.sr_433  pl.de.jw_433 hu.et.uz_554 
  0x2300442c, 0x0d001309, 0x0e190b5a, 0x21002d0c,   // kk.ky.un_990 bh.ne.un_440  es.gl.is_553 sk.jw.un_530 
  // [24e0]
  0x1f030107, 0x07000a12, 0x732825a0, 0x0a0408a4,   // en.nl.cy_432 mk.bg.un_640  eu.sw.ny_322 uk.ru.mk_433 
  0x040a10a0, 0x01003004, 0x55091aee, 0x1f006405,   // be.mk.ru_322 uz.en.un_320  tl.pl.rw_422 lg.cy.un_330 
  0x1044080c, 0x23004420, 0x01002411, 0x17080407,   // uk.kk.be_543 kk.ky.un_850  yi.iw.un_630 ru.uk.sr_432 
  0x30006408, 0x0835300b, 0x0a00041b, 0x09001c18,   // lg.uz.un_430 uz.tg.uk_542  ru.mk.un_770 mr.hi.un_740 
  // [24f0]
  0x441023af, 0x046e0604, 0x20001a02, 0x0604100c,   // ky.be.kk_655 de.hmn.fi_332  tl.sq.un_220 lt.fi.de_543 
  0x0e000613, 0x0f0410a4, 0x21002302, 0x110f1055,   // de.is.un_650 lt.fi.lv_433  ca.jw.un_220 lt.lv.ro_442 
  0x1f00170c, 0x3f2d250c, 0x074423a7, 0x0803010c,   // sr.cy.un_530 eu.sk.af_543  ky.kk.bg_532 en.nl.no_543 
  0x73002805, 0x04252105, 0x08100f05, 0x20006404,   // sw.ny.un_330 jw.eu.fi_333  lv.lt.no_333 lg.sq.un_320 
  // [2500]
  0x17234409, 0x170823a4, 0x0e060f13, 0x12000d18,   // kk.ky.sr_444 ky.uk.sr_433  lv.de.is_665 cs.hu.un_740 
  0x30732804, 0x37006405, 0x2d000302, 0x371264ad,   // sw.ny.uz_332 lg.st.un_330  nl.sk.un_220 lg.hu.st_643 
  0x102d0d04, 0x080e0207, 0x2023050c, 0x12211c02,   // cs.sk.lt_332 da.is.no_432  fr.ca.sq_543 id.jw.hu_222 
  0x131c0da9, 0x2f643708, 0x060f10ad, 0x04001712,   // ne.mr.bh_544 st.lg.su_443  lt.lv.de_643 sr.ru.un_640 
  // [2510]
  0x12002108, 0x091c0d02, 0x10303508, 0x0f25060e,   // jw.hu.un_430 ne.mr.hi_222  tg.uz.be_443 de.eu.lv_555 
  0x2123050d, 0x3f080904, 0x0f0e1007, 0x043530a7,   // fr.ca.jw_554 pl.no.af_332  lt.is.lv_432 uz.tg.ru_532 
  0x03000407, 0x230804a0, 0x1b3d310c, 0x04001705,   // fi.nl.un_420 ru.uk.ky_322  az.ku.tr_543 sr.ru.un_330 
  0x0c3f2302, 0x0e250d0c, 0x25000104, 0x161b31a7,   // ca.af.sv_222 cs.eu.is_543  en.eu.un_320 az.tr.hr_532 
  // [2520]
  0x1e00550e, 0x0a001708, 0x64555313, 0x21042f02,   // rw.ms.un_550 sr.mk.un_430  ht.rw.lg_665 su.fi.jw_222 
  0x6b1a53a9, 0x5623050b, 0x101e1c55, 0x2d1b3111,   // ht.tl.ceb_544 fr.ca.mg_542  id.ms.lt_442 az.tr.sk_653 
  0x44003513, 0x532855af, 0x0a071709, 0x730655a4,   // tg.kk.un_650 rw.sw.ht_655  sr.bg.mk_444 rw.de.ny_433 
  0x64002504, 0x3f5364ad, 0x0d00130c, 0x6b73530b,   // eu.lg.un_320 lg.ht.af_643  bh.ne.un_530 ht.ny.ceb_542 
  // [2530]
  0x0e00131a, 0x3d730f0b, 0x1b212fee, 0x28531ca9,   // et.is.un_760 lv.ny.ku_542  su.jw.tr_422 id.ht.sw_544 
  0x1200641b, 0x05271808, 0x0835300c, 0x056428a0,   // lg.hu.un_770 ga.gd.fr_443  uz.tg.uk_543 sw.lg.fr_322 
  0x64005523, 0x0e072a08, 0x35040755, 0x05002109,   // rw.lg.un_880 mt.it.is_443  bg.ru.tg_442 jw.fr.un_440 
  0x1c2f6b04, 0x1e1c04a6, 0x206b1a04, 0x0d002d0d,   // ceb.su.id_332 fi.id.ms_521  tl.ceb.sq_332 sk.cs.un_540 
  // [2540]
  0x17040808, 0x3f030408, 0x1c212fec, 0x55003d19,   // uk.ru.sr_443 fi.nl.af_443  su.jw.id_644 ku.rw.un_750 
  0x133f040c, 0x20000f12, 0x211e1c5a, 0x051e3702,   // fi.af.et_543 lv.sq.un_640  id.ms.jw_553 st.ms.fr_222 
  0x551b53a0, 0x0d002d11, 0x53553f0c, 0x07110a5a,   // ht.tr.rw_322 sk.cs.un_630  af.rw.ht_543 mk.ro.bg_553 
  0x16173207, 0x28005305, 0x0f092aa4, 0x3f64535a,   // bs.sr.hr_432 ht.sw.un_330  mt.pl.lv_433 ht.lg.af_553 
  // [2550]
  0x20005322, 0x04081107, 0x0100050e, 0x0700300e,   // ht.sq.un_870 ro.uk.ru_432  fr.en.un_550 uz.bg.un_550 
  0x0600550c, 0x0c002007, 0x2f001702, 0x01000304,   // rw.de.un_530 sq.sv.un_420  sr.su.un_220 nl.en.un_320 
  0x2d0d04a4, 0x050413ad, 0x2f1b3108, 0x1300280c,   // fi.cs.sk_433 et.fi.fr_643  az.tr.su_443 sw.et.un_530 
  0x080a0713, 0x11000a07, 0x21003102, 0x071101a4,   // bg.mk.uk_665 pt.ro.un_420  az.jw.un_220 en.ro.it_433 
  // [2560]
  0x11001c0d, 0x372f1ca0, 0x0c21200d, 0x2556280c,   // id.ro.un_540 id.su.st_322  sq.jw.sv_554 sw.mg.eu_543 
  0x1a112808, 0x0c051fee, 0x04080713, 0x08043007,   // sw.ro.tl_443 cy.fr.sv_422  bg.uk.ru_665 uz.ru.uk_432 
  0x0400102b, 0x090d13ec, 0x536b2012, 0x1e1c3d09,   // be.ru.un_980 bh.ne.hi_644  sq.ceb.ht_654 ku.id.ms_444 
  0x64051fee, 0x060802a7, 0x3f1c3105, 0x730b0a08,   // cy.fr.lg_422 da.no.de_532  az.id.af_333 pt.es.ny_443 
  // [2570]
  0x010c20a7, 0x1c002a02, 0x120e1b02, 0x30111112,   // sq.sv.en_532 mt.id.un_220  tr.is.hu_222 ro.ro.uz_654 
  0x30043555, 0x0b001108, 0x3f006b0c, 0x5625280c,   // tg.ru.uz_442 ro.es.un_430  ceb.af.un_530 sw.eu.mg_543 
  0x03283f04, 0x20083707, 0x551b2107, 0x0100370e,   // af.sw.nl_332 st.no.sq_432  jw.tr.rw_432 st.en.un_550 
  0x321629af, 0x0b000a09, 0x3f002005, 0x0300200e,   // sl.hr.bs_655 pt.es.un_440  sq.af.un_330 sq.nl.un_550 
  // [2580]
  0x0c000e0d, 0x2f2120af, 0x23070b02, 0x1c2f2112,   // is.sv.un_540 sq.jw.su_655  es.it.ca_222 jw.su.id_654 
  0x041011a7, 0x3f0306ac, 0x01002305, 0x2b0601a6,   // ro.lt.fi_532 de.nl.af_632  ca.en.un_330 en.de.vi_521 
  0x0900290c, 0x251e1c13, 0x033f1bee, 0x06002804,   // sl.pl.un_530 id.ms.eu_665  tr.af.nl_422 sw.de.un_320 
  0x13000902, 0x2a1a6b5a, 0x291304ad, 0x3000011a,   // hi.bh.un_220 ceb.tl.mt_553  fi.et.sl_643 en.uz.un_760 
  // [2590]
  0x04001c0d, 0x2a6b20ee, 0x17321611, 0x29002d0c,   // id.fi.un_540 sq.ceb.mt_422  hr.bs.sr_653 sk.sl.un_530 
  0x030c02a0, 0x0700041b, 0x3f04200c, 0x20003d12,   // da.sv.nl_322 ru.bg.un_770  sq.fi.af_543 ku.sq.un_640 
  0x2f0f2104, 0x1f000613, 0x060820a7, 0x17100805,   // jw.lv.su_332 de.cy.un_650  sq.no.de_532 uk.be.sr_333 
  0x3f001f0c, 0x06200804, 0x37002005, 0x73215508,   // cy.af.un_530 no.sq.de_332  sq.st.un_330 rw.jw.ny_443 
  // [25a0]
  0x30211ea0, 0x07170807, 0x1b3173a9, 0x1f006414,   // ms.jw.uz_322 uk.sr.bg_432  ny.az.tr_544 lg.cy.un_660 
  0x1b001f19, 0x13041aa4, 0x0c00060d, 0x0a3530af,   // cy.tr.un_750 tl.fi.et_433  de.sv.un_540 uz.tg.mk_655 
  0x1b211e0c, 0x170a3502, 0x5600230b, 0x07303511,   // ms.jw.tr_543 tg.mk.sr_222  ca.mg.un_520 tg.uz.bg_653 
  0x07100a04, 0x1821120b, 0x02000c0d, 0x300735a7,   // mk.be.bg_332 ur.fa.ar_542  sv.da.un_540 tg.bg.uz_532 
  // [25b0]
  0x443035a0, 0x20311bec, 0x0800440e, 0x08040aa4,   // tg.uz.kk_322 tr.az.sq_644  kk.uk.un_550 mk.ru.uk_433 
  0x321753a0, 0x27050da0, 0x1707040c, 0x08021ba0,   // ht.sr.bs_322 cs.fr.gd_322  ru.bg.sr_543 tr.da.no_322 
  0x1700291a, 0x20002712, 0x73250505, 0x1a6b55ee,   // sl.sr.un_760 gd.sq.un_640  fr.eu.ny_333 rw.ceb.tl_422 
  0x37051904, 0x10043504, 0x20001109, 0x35080408,   // gl.fr.st_332 tg.ru.be_332  ro.sq.un_440 ru.uk.tg_443 
  // [25c0]
  0x23044407, 0x313d30ad, 0x6e00180e, 0x13000408,   // kk.ru.ky_432 uz.ku.az_643  ga.hmn.un_550 fi.et.un_430 
  0x3000212c, 0x0a101705, 0x31301a0d, 0x2d301c02,   // jw.uz.un_990 sr.be.mk_333  tl.uz.az_554 id.uz.sk_222 
  0x216b0a07, 0x230f1304, 0x211c2fa7, 0x1f080202,   // pt.ceb.jw_432 et.lv.ca_332  su.id.jw_532 da.no.cy_222 
  0x6473375a, 0x313d3008, 0x04003702, 0x2804730c,   // st.ny.lg_553 uz.ku.az_443  st.fi.un_220 ny.fi.sw_543 
  // [25d0]
  0x13171604, 0x282b04ec, 0x7330310e, 0x7300282b,   // hr.sr.et_332 fi.vi.sw_644  az.uz.ny_555 sw.ny.un_980 
  0x2131300d, 0x090c0802, 0x2b000421, 0x6b301b05,   // uz.az.jw_554 no.sv.pl_222  fi.vi.un_860 tr.uz.ceb_333 
  0x111f070c, 0x1b6430ee, 0x040a1107, 0x732b1aa4,   // it.cy.ro_543 uz.lg.tr_422  ro.mk.ru_432 tl.vi.ny_433 
  0x0a3530ad, 0x0e1308a4, 0x07001a23, 0x530e1ca4,   // uz.tg.mk_643 no.et.is_433  tl.it.un_880 id.is.ht_433 
  // [25e0]
  0x3d3130a9, 0x10002b1a, 0x08070a0d, 0x55007304,   // uz.az.ku_544 vi.lt.un_760  mk.bg.uk_554 ny.rw.un_320 
  0x6b37070c, 0x110410a4, 0x2500061a, 0x3000310d,   // it.st.ceb_543 be.ru.ro_433  de.eu.un_760 az.uz.un_540 
  0x091f30af, 0x09075507, 0x0f001a02, 0x531b3109,   // uz.cy.pl_655 rw.it.pl_432  tl.lv.un_220 az.tr.ht_444 
  0x040a1712, 0x190a07a4, 0x37735514, 0x08001a0b,   // sr.mk.ru_654 it.pt.gl_433  rw.ny.st_666 tl.no.un_520 
  // [25f0]
  0x28645508, 0x3031730d, 0x0e000808, 0x0f1137a4,   // rw.lg.sw_443 ny.az.uz_554  no.is.un_430 st.ro.lv_433 
  0x08530408, 0x01731f04, 0x13000d2a, 0x732807a4,   // fi.ht.no_443 cy.ny.en_332  ne.bh.un_970 it.sw.ny_433 
  0x08021fee, 0x0f0604ee, 0x042b0707, 0x071955a4,   // cy.da.no_422 fi.de.lv_422  it.vi.fi_432 rw.gl.it_433 
  0x0f13300b, 0x2b000419, 0x2d0f30ee, 0x0600180c,   // uz.et.lv_542 fi.vi.un_750  uz.lv.sk_422 ga.de.un_530 
  // [2600]
  0x28042b13, 0x101f180c, 0x1300060b, 0x06003f0e,   // vi.fi.sw_665 ga.cy.lt_543  de.et.un_520 af.de.un_550 
  0x13091c0d, 0x18130e04, 0x06180e04, 0x311e1c5a,   // mr.hi.bh_554 is.et.ga_332  is.ga.de_332 id.ms.az_553 
  0x0e3130a9, 0x10234412, 0x01002f07, 0x2917070c,   // uz.az.is_544 kk.ky.be_654  su.en.un_420 it.sr.sl_543 
  0x21101fee, 0x642809ad, 0x312030a4, 0x12000502,   // cy.lt.jw_422 pl.sw.lg_643  uz.sq.az_433 fr.hu.un_220 
  // [2610]
  0x0a0728ad, 0x102a0f04, 0x180137a0, 0x00000a37,   // sw.it.pt_643 lv.mt.lt_332  st.en.ga_322 pt.un.un_B00 
  0x7309370c, 0x0a190b12, 0x5537735a, 0x1e1c100c,   // st.pl.ny_543 es.gl.pt_654  ny.st.rw_553 lt.id.ms_543 
  0x12000619, 0x2700180e, 0x060a2f04, 0x12561f07,   // de.hu.un_750 ga.gd.un_550  su.pt.de_332 cy.mg.hu_432 
  0x01000808, 0x18001f1a, 0x2f1c21a0, 0x25217304,   // no.en.un_430 cy.ga.un_760  jw.id.su_322 ny.jw.eu_332 
  // [2620]
  0x13001013, 0x311e04ee, 0x1c001e0d, 0x322f16a0,   // lt.et.un_650 fi.ms.az_422  ms.id.un_540 hr.su.bs_322 
  0x10170813, 0x040708ad, 0x07041f5a, 0x0a003104,   // uk.sr.be_665 uk.bg.ru_643  cy.fi.it_553 az.pt.un_320 
  0x30000f21, 0x17730aa4, 0x080204a4, 0x17002919,   // lv.uz.un_860 pt.ny.sr_433  fi.da.no_433 sl.sr.un_750 
  0x30103505, 0x17002921, 0x30311ea4, 0x1711110b,   // tg.be.uz_333 sl.sr.un_860  ms.az.uz_433 ro.ro.sr_542 
  // [2630]
  0x1e001904, 0x17001107, 0x082b010c, 0x0a2f3dad,   // gl.ms.un_320 ro.sr.un_420  en.vi.no_543 ku.su.pt_643 
  0x0c0e01a4, 0x190b200c, 0x0e080107, 0x4417350c,   // en.is.sv_433 sq.es.gl_543  en.no.is_432 tg.sr.kk_543 
  0x10000a13, 0x6b001a0e, 0x27002d0c, 0x17070a5a,   // mk.be.un_650 tl.ceb.un_550  sk.gd.un_530 mk.bg.sr_553 
  0x01033fee, 0x01002307, 0x066e04a4, 0x251e1ca7,   // af.nl.en_422 ca.en.un_420  fi.hmn.de_433 id.ms.eu_532 
  // [2640]
  0x0a103507, 0x0e002108, 0x2f0e0508, 0x170a23a9,   // tg.be.mk_432 jw.is.un_430  fr.is.su_443 ky.mk.sr_544 
  0x130823a9, 0x292d0d0d, 0x37000a12, 0x1b1220ac,   // ca.no.et_544 cs.sk.sl_554  pt.st.un_640 sq.hu.tr_632 
  0x07190f04, 0x0d001c21, 0x0300041a, 0x56002d08,   // lv.gl.it_332 mr.ne.un_860  fi.nl.un_760 sk.mg.un_430 
  0x30042008, 0x0a0423a0, 0x0c000807, 0x35083007,   // sq.fi.uz_443 ky.ru.mk_322  no.sv.un_420 uz.uk.tg_432 
  // [2650]
  0x04002022, 0x300435a0, 0x13000e12, 0x1000080c,   // sq.fi.un_870 tg.ru.uz_322  is.et.un_640 uk.be.un_530 
  0x11122b04, 0x040a0714, 0x300804a9, 0x04000e09,   // vi.hu.ro_332 bg.mk.ru_666  ru.uk.uz_544 is.fi.un_440 
  0x10003509, 0x1c130913, 0x080e040c, 0x44040805,   // tg.be.un_440 hi.bh.mr_665  fi.is.no_543 uk.ru.kk_333 
  0x180427af, 0x3216170c, 0x28001802, 0x253216ee,   // gd.fi.ga_655 sr.hr.bs_543  ga.sw.un_220 hr.bs.eu_422 
  // [2660]
  0x0400370e, 0x25041213, 0x37271fee, 0x08042308,   // st.fi.un_550 hu.fi.eu_665  cy.gd.st_422 ky.ru.uk_443 
  0x08061f0c, 0x2400010d, 0x0a1704a7, 0x0300252a,   // cy.de.no_543 iw.yi.un_540  ru.sr.mk_532 eu.nl.un_970 
  0x2100090c, 0x04080705, 0x09006404, 0x09100604,   // pl.jw.un_530 bg.uk.ru_333  lg.pl.un_320 de.lt.pl_332 
  0x04080e05, 0x3710040c, 0x0900641a, 0x3f0e0305,   // is.no.fi_333 fi.lt.st_543  lg.pl.un_760 nl.is.af_333 
  // [2670]
  0x03040ca4, 0x21002305, 0x440417ec, 0x21203fa0,   // sv.fi.nl_433 ca.jw.un_330  sr.ru.kk_644 af.sq.jw_322 
  0x3f000c07, 0x0a17070d, 0x44000813, 0x3f1a6b08,   // sv.af.un_420 bg.sr.mk_554  uk.kk.un_650 ceb.tl.af_443 
  0x0d2d190d, 0x0d290912, 0x53232109, 0x202f6ba7,   // gl.sk.cs_554 pl.sl.cs_654  jw.ca.ht_444 ceb.su.sq_532 
  0x0c006b07, 0x0c000811, 0x043507a0, 0x3f040ea0,   // ceb.sv.un_420 no.sv.un_630  bg.tg.ru_322 is.fi.af_322 
  // [2680]
  0x06033f07, 0x091c13af, 0x20313d5a, 0x32005507,   // af.nl.de_432 bh.mr.hi_655  ku.az.sq_553 rw.bs.un_420 
  0x13030407, 0x191e23a4, 0x13006e05, 0x06201ea4,   // fi.nl.et_432 ca.ms.gl_433  hmn.et.un_330 ms.sq.de_433 
  0x080211ec, 0x281a03a0, 0x1732160d, 0x0e2a0413,   // ro.da.no_644 nl.tl.sw_322  hr.bs.sr_554 fi.mt.is_665 
  0x28001e05, 0x0804170b, 0x08170413, 0x2d000614,   // ms.sw.un_330 sr.ru.uk_542  ru.sr.uk_665 de.sk.un_660 
  // [2690]
  0x070810a0, 0x080e6ba0, 0x0e04130c, 0x04060cee,   // be.uk.bg_322 ceb.is.no_322  et.fi.is_543 sv.de.fi_422 
  0x03006b09, 0x736413ec, 0x64552109, 0x3f302aec,   // ceb.nl.un_440 et.lg.ny_644  jw.rw.lg_444 mt.uz.af_644 
  0x053f230d, 0x29320da0, 0x642713a9, 0x641c21a0,   // ca.af.fr_554 cs.bs.sl_322  et.gd.lg_544 jw.id.lg_322 
  0x04000814, 0x56251055, 0x19003707, 0x17302305,   // uk.ru.un_660 lt.eu.mg_442  st.gl.un_420 ky.uz.sr_333 
  // [26a0]
  0x08026b02, 0x0c101f07, 0x2b121ca4, 0x0e100855,   // ceb.da.no_222 cy.lt.sv_432  id.hu.vi_433 no.lt.is_442 
  0x0d002d0b, 0x301801ee, 0x0e080caf, 0x16190a55,   // sk.cs.un_520 en.ga.uz_422  sv.no.is_655 pt.gl.hr_442 
  0x1e003119, 0x0664035a, 0x033f0414, 0x1e303daf,   // az.ms.un_750 nl.lg.de_553  fi.af.nl_666 ku.uz.ms_655 
  0x6b023109, 0x00000403, 0x292f21a7, 0x1e1b2aee,   // az.da.ceb_444 fi.un.un_300  jw.su.sl_532 mt.tr.ms_422 
  // [26b0]
  0x190a1105, 0x070a1008, 0x0704180c, 0x2d000613,   // ro.pt.gl_333 be.mk.bg_443  ga.fi.it_543 de.sk.un_650 
  0x301c1ea0, 0x6b000704, 0x31003012, 0x0206085a,   // ms.id.uz_322 it.ceb.un_320  uz.az.un_640 no.de.da_553 
  0x2d321605, 0x23000a12, 0x3f0e080b, 0x080210a4,   // hr.bs.sk_333 pt.ca.un_640  no.is.af_542 lt.da.no_433 
  0x063f01a4, 0x23000a1a, 0x07303555, 0x27646ba7,   // en.af.de_433 pt.ca.un_760  tg.uz.bg_442 ceb.lg.gd_532 
  // [26c0]
  0x18002708, 0x6b162dee, 0x0a1710af, 0x11002719,   // gd.ga.un_430 sk.hr.ceb_422  be.sr.mk_655 gd.ro.un_750 
  0x08071004, 0x04102511, 0x1f0910a0, 0x25100407,   // be.bg.uk_332 eu.lt.fi_653  lt.pl.cy_322 fi.lt.eu_432 
  0x18001905, 0x1000090c, 0x0b001908, 0x536b0102,   // gl.ga.un_330 pl.lt.un_530  gl.es.un_430 en.ceb.ht_222 
  0x032f0b08, 0x07230409, 0x29000713, 0x09100412,   // es.su.nl_443 ru.ky.bg_444  it.sl.un_650 fi.lt.pl_654 
  // [26d0]
  0x1e1c6ba0, 0x13271104, 0x6b181108, 0x0f10125a,   // ceb.id.ms_322 ro.gd.et_332  ro.ga.ceb_443 hu.lt.lv_553 
  0x13000918, 0x02006b0d, 0x13000b07, 0x441104ec,   // hi.bh.un_740 ceb.da.un_540  es.et.un_420 ru.ro.kk_644 
  0x13003f08, 0x212f1c0d, 0x06000e13, 0x12006e12,   // af.et.un_430 id.su.jw_554  is.de.un_650 hmn.hu.un_640 
  0x1b230aee, 0x07110a12, 0x35001107, 0x0735080c,   // pt.ca.tr_422 mk.ro.bg_654  ro.tg.un_420 uk.tg.bg_543 
  // [26e0]
  0x01001a02, 0x2f532702, 0x2f005604, 0x351704a0,   // tl.en.un_220 gd.ht.su_222  mg.su.un_320 ru.sr.tg_322 
  0x0c002302, 0x19001f1b, 0x311b3007, 0x30004413,   // ca.sv.un_220 cy.gl.un_770  uz.tr.az_432 kk.uz.un_650 
  0x07000504, 0x321710a4, 0x3500300c, 0x10000f14,   // fr.it.un_320 lt.sr.bs_433  uz.tg.un_530 lv.lt.un_660 
  0x1c001f04, 0x070830a0, 0x2f3027a4, 0x44002309,   // cy.id.un_320 uz.uk.bg_322  gd.uz.su_433 ky.kk.un_440 
  // [26f0]
  0x1a1f56a7, 0x07170a04, 0x13000907, 0x07040a0d,   // mg.cy.tl_532 mk.sr.bg_332  hi.bh.un_420 mk.ru.bg_554 
  0x181127a4, 0x11270108, 0x2300190c, 0x6b190b0d,   // gd.ro.ga_433 en.gd.ro_443  gl.ca.un_530 es.gl.ceb_554 
  0x1c001f05, 0x231811a7, 0x016b1807, 0x18001b08,   // cy.id.un_330 ro.ga.ca_532  ga.ceb.en_432 tr.ga.un_430 
  0x11003008, 0x0500111a, 0x11001808, 0x20053007,   // uz.ro.un_430 ro.fr.un_760  ga.ro.un_430 uz.fr.sq_432 
  // [2700]
  0x3f001102, 0x0a1111ad, 0x30350a07, 0x010530ee,   // ro.af.un_220 ro.ro.mk_643  mk.tg.uz_432 uz.fr.en_422 
  0x2f001104, 0x21000d04, 0x122d0d05, 0x04002313,   // ro.su.un_320 cs.jw.un_320  cs.sk.hu_333 ky.ru.un_650 
  0x05006b04, 0x2f27100c, 0x05042005, 0x321029ad,   // ceb.fr.un_320 lt.gd.su_543  sq.fi.fr_333 sl.lt.bs_643 
  0x551e1c02, 0x20001213, 0x0a040707, 0x21005304,   // id.ms.rw_222 hu.sq.un_650  bg.ru.mk_432 ht.jw.un_320 
  // [2710]
  0x440423ad, 0x0c061313, 0x13251107, 0x04170a02,   // ky.ru.kk_643 et.de.sv_665  ro.eu.et_432 mk.sr.ru_222 
  0x112701a0, 0x371101ad, 0x1813040c, 0x2a000f10,   // en.gd.ro_322 en.ro.st_643  fi.et.ga_543 lv.mt.un_620 
  0x0f002509, 0x20000f09, 0x091c13ad, 0x11001b13,   // eu.lv.un_440 lv.sq.un_440  bh.mr.hi_643 tr.ro.un_650 
  0x2829130b, 0x0f1009a7, 0x01003704, 0x190e0107,   // et.sl.sw_542 pl.lt.lv_532  st.en.un_320 en.is.gl_432 
  // [2720]
  0x1a002104, 0x735528a9, 0x08183004, 0x31003002,   // jw.tl.un_320 sw.rw.ny_544  uz.ga.no_332 uz.az.un_220 
  0x13001914, 0x2a002908, 0x2900551b, 0x1812210c,   // gl.et.un_660 sl.mt.un_430  rw.sl.un_770 fa.ur.ar_543 
  0x050a23ec, 0x29006419, 0x303511a4, 0x170711a4,   // ca.pt.fr_644 lg.sl.un_750  ro.tg.uz_433 ro.bg.sr_433 
  0x160f2904, 0x351017a4, 0x08021fa0, 0x29090fa4,   // sl.lv.hr_332 sr.be.tg_433  cy.da.no_322 lv.pl.sl_433 
  // [2730]
  0x55643fa0, 0x080225a0, 0x11001019, 0x0e002922,   // af.lg.rw_322 eu.da.no_322  be.ro.un_750 sl.is.un_870 
  0x0a2a1fa0, 0x06180307, 0x11111013, 0x01002407,   // cy.mt.pt_322 nl.ga.de_432  be.ro.ro_665 yi.iw.un_420 
  0x5529130c, 0x250710a4, 0x13552908, 0x283f0355,   // et.sl.rw_543 lt.it.eu_433  sl.rw.et_443 nl.af.sw_442 
  0x6b180155, 0x0b6e0455, 0x03130404, 0x23250a05,   // en.ga.ceb_442 fi.hmn.es_442  fi.et.nl_332 pt.eu.ca_333 
  // [2740]
  0x036404ad, 0x04032aee, 0x09001604, 0x0c12060c,   // fi.lg.nl_643 mt.nl.fi_422  hr.pl.un_320 de.hu.sv_543 
  0x230407a4, 0x531b03a0, 0x02085307, 0x03043f04,   // it.fi.ca_433 nl.tr.ht_322  ht.no.da_432 af.fi.nl_332 
  0x3f002d08, 0x05640709, 0x23050708, 0x3f1a6b0c,   // sk.af.un_430 it.lg.fr_444  it.fr.ca_443 ceb.tl.af_543 
  0x130506a4, 0x311b0aa0, 0x10000711, 0x530d2da0,   // de.fr.et_433 pt.tr.az_322  bg.be.un_630 sk.cs.ht_322 
  // [2750]
  0x0c080e04, 0x18002119, 0x08190b04, 0x030c3f04,   // is.no.sv_332 fa.ar.un_750  es.gl.no_332 af.sv.nl_332 
  0x44000422, 0x030c08a4, 0x0a1707a4, 0x1f2708a4,   // ru.kk.un_870 no.sv.nl_433  bg.sr.mk_433 no.gd.cy_433 
  0x13370712, 0x13080205, 0x2a0e05a4, 0x3f130407,   // it.st.et_654 da.no.et_333  fr.is.mt_433 fi.et.af_432 
  0x30002a11, 0x070a170c, 0x3f2a080c, 0x042344a6,   // mt.uz.un_630 sr.mk.bg_543  no.mt.af_543 kk.ky.ru_521 
  // [2760]
  0x033f25ad, 0x032a060c, 0x07002a09, 0x3f080c04,   // eu.af.nl_643 de.mt.nl_543  mt.it.un_440 sv.no.af_332 
  0x13000308, 0x2300440c, 0x23000a1b, 0x032d2a04,   // nl.et.un_430 kk.ky.un_530  pt.ca.un_770 mt.sk.nl_332 
  0x23000a07, 0x23190b08, 0x161709a7, 0x08101708,   // pt.ca.un_420 es.gl.ca_443  pl.sr.hr_532 sr.be.uk_443 
  0x1b0131ee, 0x0c010ea7, 0x0c043fa0, 0x0c086ba0,   // az.en.tr_422 is.en.sv_532  af.fi.sv_322 ceb.no.sv_322 
  // [2770]
  0x04111109, 0x25000302, 0x23190b13, 0x0c003f05,   // ro.ro.ru_444 nl.eu.un_220  es.gl.ca_665 af.sv.un_330 
  0x0e0430a4, 0x04003f0c, 0x0a0407a0, 0x030c3f02,   // uz.fi.is_433 af.fi.un_530  bg.ru.mk_322 af.sv.nl_222 
  0x100a04a0, 0x2d10560c, 0x105629a4, 0x30351712,   // ru.mk.be_322 mg.lt.sk_543  sl.mg.lt_433 sr.tg.uz_654 
  0x560710ac, 0x1b0a2302, 0x05002314, 0x290d1602,   // lt.it.mg_632 ca.pt.tr_222  ca.fr.un_660 hr.cs.sl_222 
  // [2780]
  0x56003002, 0x2d291007, 0x1a003004, 0x2d1029ad,   // uz.mg.un_220 lt.sl.sk_432  uz.tl.un_320 sl.lt.sk_643 
  0x0410170e, 0x0c052704, 0x0b2d0d55, 0x20190bee,   // sr.be.ru_555 gd.fr.sv_332  cs.sk.es_442 es.gl.sq_422 
  0x27000802, 0x2a003704, 0x040807a4, 0x13171608,   // no.gd.un_220 st.mt.un_320  bg.uk.ru_433 hr.sr.et_443 
  0x290413a4, 0x300916af, 0x301309a7, 0x31002f04,   // et.fi.sl_433 hr.pl.uz_655  pl.et.uz_532 su.az.un_320 
  // [2790]
  0x561029ec, 0x060105a0, 0x16001308, 0x08556ba7,   // sl.lt.mg_644 fr.en.de_322  et.hr.un_430 ceb.rw.no_532 
  0x23004407, 0x090d1c07, 0x1b303105, 0x5630370c,   // kk.ky.un_420 mr.ne.hi_432  az.uz.tr_333 st.uz.mg_543 
  0x1b000e18, 0x207325a4, 0x1f100fa0, 0x04002522,   // is.tr.un_740 eu.ny.sq_433  lv.lt.cy_322 eu.fi.un_870 
  0x011b0e0c, 0x53102904, 0x0f5609a4, 0x04173502,   // is.tr.en_543 sl.lt.ht_332  pl.mg.lv_433 tg.sr.ru_222 
  // [27a0]
  0x0800441b, 0x0f301e07, 0x64003202, 0x560c37a4,   // kk.uk.un_770 ms.uz.lv_432  bs.lg.un_220 st.sv.mg_433 
  0x080a0404, 0x1e1c040e, 0x10000422, 0x10066e04,   // ru.mk.uk_332 fi.id.ms_555  ru.be.un_870 hmn.de.lt_332 
  0x3f022aec, 0x64281f0c, 0x0f291ca4, 0x08006e07,   // mt.da.af_644 cy.sw.lg_543  id.sl.lv_433 hmn.no.un_420 
  0x18162aee, 0x1b561214, 0x2a08560c, 0x300e1b0d,   // mt.hr.ga_422 hu.mg.tr_666  mg.no.mt_543 tr.is.uz_554 
  // [27b0]
  0x09007313, 0x1b00210e, 0x56002d04, 0x211218a9,   // ny.pl.un_650 jw.tr.un_550  sk.mg.un_320 ar.ur.fa_544 
  0x1f00550c, 0x2a001f1a, 0x04000a1b, 0x4400082b,   // rw.cy.un_530 cy.mt.un_760  mk.ru.un_770 uk.kk.un_980 
  0x44000421, 0x0a3d230c, 0x442310ad, 0x28000119,   // ru.kk.un_860 ca.ku.pt_543  be.ky.kk_643 en.sw.un_750 
  0x08000713, 0x06002504, 0x08001113, 0x1f002807,   // bg.uk.un_650 eu.de.un_320  ro.uk.un_650 sw.cy.un_420 
  // [27c0]
  0x30004419, 0x0800171b, 0x04130e0c, 0x3200290e,   // kk.uz.un_750 sr.uk.un_770  is.et.fi_543 sl.bs.un_550 
  0x25002302, 0x11002313, 0x0d13090b, 0x0a002304,   // ca.eu.un_220 ky.ro.un_650  hi.bh.ne_542 ky.mk.un_320 
  0x2f211ea4, 0x04100aa7, 0x557301a4, 0x5600280c,   // ms.jw.su_433 mk.be.ru_532  en.ny.rw_433 sw.mg.un_530 
  0x290b10a0, 0x172d2912, 0x0a106b04, 0x13301b04,   // lt.es.sl_322 sl.sk.sr_654  ceb.lt.pt_332 tr.uz.et_332 
  // [27d0]
  0x64001a08, 0x6b041b55, 0x1200060e, 0x100a19a4,   // tl.lg.un_430 tr.fi.ceb_442  de.hu.un_550 gl.pt.lt_433 
  0x1c00550d, 0x0c080e08, 0x1f002f02, 0x06002a13,   // rw.id.un_540 is.no.sv_443  su.cy.un_220 mt.de.un_650 
  0x31043009, 0x30311b14, 0x040e13a4, 0x30002f0e,   // uz.fi.az_444 tr.az.uz_666  et.is.fi_433 su.uz.un_550 
  0x08020e09, 0x207355af, 0x31001e04, 0x311b0505,   // is.da.no_444 rw.ny.sq_655  ms.az.un_320 fr.tr.az_333 
  // [27e0]
  0x040806a0, 0x286412a9, 0x0a1735a7, 0x08020ea0,   // de.no.fi_322 hu.lg.sw_544  tg.sr.mk_532 is.da.no_322 
  0x120d20a0, 0x0d321704, 0x130d1ba4, 0x04071308,   // sq.cs.hu_322 sr.bs.cs_332  tr.cs.et_433 et.it.fi_443 
  0x1700290c, 0x2f001b08, 0x21001304, 0x0800040d,   // sl.sr.un_530 tr.su.un_430  et.jw.un_320 ru.uk.un_540 
  0x292d12a6, 0x370103ec, 0x0b045607, 0x0c0e0107,   // hu.sk.sl_521 nl.en.st_644  mg.fi.es_432 en.is.sv_432 
  // [27f0]
  0x2d0d32a4, 0x0a005619, 0x0a002313, 0x3f3d1b07,   // bs.cs.sk_433 mg.pt.un_750  ca.pt.un_650 tr.ku.af_432 
  0x1e3130a9, 0x13000712, 0x0e311bac, 0x203117a0,   // uz.az.ms_544 it.et.un_640  tr.az.is_632 sr.az.sq_322 
  0x20230a04, 0x06001f04, 0x21002904, 0x0c076ba0,   // pt.ca.sq_332 cy.de.un_320  sl.jw.un_320 ceb.it.sv_322 
  0x3f1a6ba4, 0x020c0808, 0x0a0704a0, 0x0b052108,   // ceb.tl.af_433 no.sv.da_443  ru.bg.mk_322 jw.fr.es_443 
  
  // [2800]
  0x215329ee, 0x560e06ad, 0x1b2d0d05, 0x231044ec,   // sl.ht.jw_422 de.is.mg_643  cs.sk.tr_333 kk.be.ky_644 
  0x231107af, 0x16002909, 0x080211a6, 0x2d12205a,   // it.ro.ca_655 sl.hr.un_440  ro.da.no_521 sq.hu.sk_553 
  0x08321604, 0x082105a7, 0x23071008, 0x18052f0e,   // hr.bs.no_332 fr.jw.no_532  be.bg.ky_443 su.fr.ga_555 
  0x0c006408, 0x2f041e07, 0x2d122912, 0x07111104,   // lg.sv.un_430 ms.fi.su_432  sl.hu.sk_654 ro.ro.bg_332 
  // [2810]
  0x11070aaf, 0x5300051b, 0x281e1c08, 0x10000418,   // mk.bg.ro_655 fr.ht.un_770  id.ms.sw_443 ru.be.un_740 
  0x321620ad, 0x2d0d03a7, 0x120208a4, 0x02000c05,   // sq.hr.bs_643 nl.cs.sk_532  no.da.hu_433 sv.da.un_330 
  0x64002812, 0x32000c04, 0x3523440e, 0x283d21a7,   // sw.lg.un_640 sv.bs.un_320  kk.ky.tg_555 jw.ku.sw_532 
  0x0f212f0c, 0x17002a07, 0x212f1c0c, 0x080a17ec,   // su.jw.lv_543 mt.sr.un_420  id.su.jw_543 sr.mk.uk_644 
  // [2820]
  0x0a070808, 0x1f000121, 0x21132f55, 0x051109ad,   // uk.bg.mk_443 en.cy.un_860  su.et.jw_442 pl.ro.fr_643 
  0x1c2113ad, 0x0a110407, 0x170830a4, 0x093f0107,   // et.jw.id_643 ru.ro.mk_432  uz.uk.sr_433 en.af.pl_432 
  0x112d0d55, 0x3f090f08, 0x11093fa0, 0x16000d07,   // cs.sk.ro_442 lv.pl.af_443  af.pl.ro_322 cs.hr.un_420 
  0x09002912, 0x04192112, 0x6428090d, 0x1104110c,   // sl.pl.un_640 jw.gl.fi_654  pl.sw.lg_554 ro.ru.ro_543 
  // [2830]
  0x09000d0b, 0x07000a0e, 0x070905a4, 0x53001a02,   // ne.hi.un_520 mk.bg.un_550  fr.pl.it_433 tl.ht.un_220 
  0x55006414, 0x64007308, 0x1e1c73ee, 0x6b091a07,   // lg.rw.un_660 ny.lg.un_430  ny.id.ms_422 tl.pl.ceb_432 
  0x2f211ba7, 0x37000302, 0x12000919, 0x23190b0c,   // tr.jw.su_532 nl.st.un_220  pl.hu.un_750 es.gl.ca_543 
  0x0a1c21a7, 0x04353013, 0x0d1c13a4, 0x12050907,   // jw.id.pt_532 uz.tg.ru_665  bh.mr.ne_433 pl.fr.hu_432 
  // [2840]
  0x3216290c, 0x21001204, 0x0e031b0c, 0x6400550d,   // sl.hr.bs_543 ur.fa.un_320  tr.nl.is_543 rw.lg.un_540 
  0x082331ad, 0x084404a7, 0x06007304, 0x7300551a,   // az.ca.no_643 ru.kk.uk_532  ny.de.un_320 rw.ny.un_760 
  0x2d003713, 0x07041707, 0x35442304, 0x1a070e0d,   // st.sk.un_650 sr.ru.bg_432  ky.kk.tg_332 is.it.tl_554 
  0x081123a4, 0x04136408, 0x1812090b, 0x13060c04,   // ky.ro.uk_433 lg.et.fi_443  pl.hu.ga_542 sv.de.et_332 
  // [2850]
  0x04002f0e, 0x3000562b, 0x270d2f02, 0x10040804,   // su.fi.un_550 mg.uz.un_980  su.cs.gd_222 uk.ru.be_332 
  0x1700090c, 0x080253a0, 0x061a2808, 0x21061ca0,   // pl.sr.un_530 ht.da.no_322  sw.tl.de_443 id.de.jw_322 
  0x0a111111, 0x641c2107, 0x73280612, 0x10040808,   // ro.ro.mk_653 jw.id.lg_432  de.sw.ny_654 uk.ru.be_443 
  0x1700090b, 0x6b00210d, 0x2700090c, 0x170408ad,   // pl.sr.un_520 jw.ceb.un_540  pl.gd.un_530 uk.ru.sr_643 
  // [2860]
  0x08004429, 0x73280da0, 0x042f2860, 0x13006b08,   // kk.uk.un_960 cs.sw.ny_322  sw.su.fi_664 ceb.et.un_430 
  0x64557314, 0x35070a09, 0x13640408, 0x17321607,   // ny.rw.lg_666 mk.bg.tg_444  fi.lg.et_443 hr.bs.sr_432 
  0x13005505, 0x10001304, 0x556420a9, 0x2f1e1c0c,   // rw.et.un_330 et.lt.un_320  sq.lg.rw_544 id.ms.su_543 
  0x00003503, 0x2f551ca4, 0x0a351704, 0x443023a9,   // tg.un.un_300 id.rw.su_433  sr.tg.mk_332 ky.uz.kk_544 
  // [2870]
  0x64005520, 0x03002804, 0x040313ee, 0x32001704,   // rw.lg.un_850 sw.nl.un_320  et.nl.fi_422 sr.bs.un_320 
  0x3d002819, 0x07000823, 0x20322aee, 0x04122aad,   // sw.ku.un_750 uk.bg.un_880  mt.bs.sq_422 mt.hu.fi_643 
  0x281e55a4, 0x301111a7, 0x732f56a6, 0x17252807,   // rw.ms.sw_433 ro.ro.uz_532  mg.su.ny_521 sw.eu.sr_432 
  0x041073a9, 0x1204730d, 0x2f1e1c12, 0x12735604,   // ny.lt.fi_544 ny.fi.hu_554  id.ms.su_654 mg.ny.hu_332 
  // [2880]
  0x3f002f0d, 0x04002f12, 0x73126404, 0x1a002f04,   // su.af.un_540 su.fi.un_640  lg.hu.ny_332 su.tl.un_320 
  0x1b7316a0, 0x320d2aa4, 0x0a08070c, 0x0f2864a4,   // hr.ny.tr_322 mt.cs.bs_433  bg.uk.mk_543 lg.sw.lv_433 
  0x0b0a1902, 0x25001913, 0x0e001819, 0x04001a04,   // gl.pt.es_222 gl.eu.un_650  ga.is.un_750 tl.fi.un_320 
  0x55200c05, 0x09320f04, 0x17002a08, 0x13001c0c,   // sv.sq.rw_333 lv.bs.pl_332  mt.sr.un_430 mr.bh.un_530 
  // [2890]
  0x05005309, 0x17202a04, 0x2f0664a0, 0x190b2308,   // ht.fr.un_440 mt.sq.sr_332  lg.de.su_322 ca.es.gl_443 
  0x13001c22, 0x32001807, 0x64532007, 0x551228a4,   // mr.bh.un_870 ga.bs.un_420  sq.ht.lg_432 sw.hu.rw_433 
  0x103530ec, 0x0b002507, 0x07562807, 0x5328730d,   // uz.tg.be_644 eu.es.un_420  sw.mg.it_432 ny.sw.ht_554 
  0x530c1208, 0x4423170c, 0x28531309, 0x32001212,   // hu.sv.ht_443 sr.ky.kk_543  et.ht.sw_444 hu.bs.un_640 
  // [28a0]
  0x0b0a05a9, 0x041e1c5a, 0x12002509, 0x73006412,   // fr.pt.es_544 id.ms.fi_553  eu.hu.un_440 lg.ny.un_640 
  0x01270511, 0x03133f0c, 0x643d555a, 0x29172a07,   // fr.gd.en_653 af.et.nl_543  rw.ku.lg_553 mt.sr.sl_432 
  0x10004421, 0x286429ee, 0x12000914, 0x1e1c090c,   // kk.be.un_860 sl.lg.sw_422  pl.hu.un_660 pl.id.ms_543 
  0x28557307, 0x732a2955, 0x121009a4, 0x2d0d3d0c,   // ny.rw.sw_432 sl.mt.ny_442  pl.lt.hu_433 ku.cs.sk_543 
  // [28b0]
  0x20285511, 0x04002f0c, 0x033713a4, 0x016413ec,   // rw.sw.sq_653 su.fi.un_530  et.st.nl_433 et.lg.en_644 
  0x160f0da7, 0x07080205, 0x2d0d1ba0, 0x12211814,   // cs.lv.hr_532 da.no.it_333  tr.cs.sk_322 ar.fa.ur_666 
  0x230128ee, 0x37000108, 0x040a07a7, 0x0802010c,   // sw.en.ca_422 en.st.un_430  bg.mk.ru_532 en.da.no_543 
  0x250301a6, 0x104404a4, 0x27006e04, 0x1708040e,   // en.nl.eu_521 ru.kk.be_433  hmn.gd.un_320 ru.uk.sr_555 
  // [28c0]
  0x1f006e2a, 0x07003504, 0x03133f12, 0x0e001802,   // hmn.cy.un_970 tg.bg.un_320  af.et.nl_654 ga.is.un_220 
  0x0c130107, 0x0f001308, 0x311b2a17, 0x30080a05,   // en.et.sv_432 et.lv.un_430  mt.tr.az_753 mk.uk.uz_333 
  0x12180e0c, 0x23000704, 0x35002313, 0x13000c19,   // is.ga.hu_543 it.ca.un_320  ky.tg.un_650 sv.et.un_750 
  0x552837a0, 0x0a170855, 0x557308a0, 0x18000611,   // st.sw.rw_322 uk.sr.mk_442  no.ny.rw_322 de.ga.un_630 
  // [28d0]
  0x30233513, 0x070408af, 0x28000602, 0x01086b09,   // tg.ky.uz_665 uk.ru.bg_655  de.sw.un_220 ceb.no.en_444 
  0x071708af, 0x1b5673af, 0x0a171112, 0x2f001807,   // uk.sr.bg_655 ny.mg.tr_655  ro.sr.mk_654 ga.su.un_420 
  0x070408a7, 0x5325640c, 0x0a071112, 0x13000e14,   // uk.ru.bg_532 lg.eu.ht_543  ro.bg.mk_654 is.et.un_660 
  0x21005508, 0x0e301ca4, 0x2b0c0507, 0x063d1aa4,   // rw.jw.un_430 id.uz.is_433  fr.sv.vi_432 tl.ku.de_433 
  // [28e0]
  0x35443008, 0x3d063712, 0x030c37a7, 0x55007335,   // uz.kk.tg_443 st.de.ku_654  st.sv.nl_532 ny.rw.un_A90 
  0x1f2a550c, 0x28006407, 0x643f37af, 0x0e086b07,   // rw.mt.cy_543 lg.sw.un_420  st.af.lg_655 ceb.no.is_432 
  0x12001908, 0x64375508, 0x35000a19, 0x6418275a,   // gl.hu.un_430 rw.st.lg_443  mk.tg.un_750 gd.ga.lg_553 
  0x44070408, 0x533d5505, 0x645573a9, 0x0400730e,   // ru.bg.kk_443 rw.ku.ht_333  ny.rw.lg_544 ny.fi.un_550 
  // [28f0]
  0x07170a09, 0x234435af, 0x3f080308, 0x3f000207,   // mk.sr.bg_444 tg.kk.ky_655  nl.no.af_443 da.af.un_420 
  0x556437a9, 0x7364550c, 0x161e32a0, 0x2800640d,   // st.lg.rw_544 rw.lg.ny_543  bs.ms.hr_322 lg.sw.un_540 
  0x735564ad, 0x55216412, 0x16640955, 0x44001004,   // lg.rw.ny_643 lg.jw.rw_654  pl.lg.hr_442 be.kk.un_320 
  0x16530ca0, 0x171632ec, 0x23000b07, 0x55000108,   // sv.ht.hr_322 bs.hr.sr_644  es.ca.un_420 en.rw.un_430 
  // [2900]
  0x13061ea0, 0x0d001f1a, 0x55006407, 0x6b231907,   // ms.de.et_322 cy.cs.un_760  lg.rw.un_420 gl.ca.ceb_432 
  0x28005521, 0x3f2f2104, 0x18002b2b, 0x232a0da7,   // rw.sw.un_860 jw.su.af_332  vi.ga.un_980 cs.mt.ca_532 
  0x3d100d12, 0x55003f08, 0x732513af, 0x55251a12,   // cs.lt.ku_654 af.rw.un_430  et.eu.ny_655 tl.eu.rw_654 
  0x2f211c07, 0x00000324, 0x25000614, 0x643f55a9,   // id.jw.su_432 nl.un.un_900  de.eu.un_660 rw.af.lg_544 
  // [2910]
  0x55002f0e, 0x1c2f1904, 0x55733712, 0x73001321,   // su.rw.un_550 gl.su.id_332  st.ny.rw_654 et.ny.un_860 
  0x53002808, 0x112b2104, 0x04003019, 0x0a110f11,   // sw.ht.un_430 jw.vi.ro_332  uz.ru.un_750 lv.ro.pt_653 
  0x07040812, 0x033f0205, 0x063f2b0b, 0x080c0313,   // uk.ru.bg_654 da.af.nl_333  vi.af.de_542 nl.sv.no_665 
  0x09003202, 0x530128a0, 0x1f090d07, 0x55005604,   // bs.pl.un_220 sw.en.ht_322  cs.pl.cy_432 mg.rw.un_320 
  // [2920]
  0x08000c12, 0x0b001105, 0x2f1e21af, 0x090d1c60,   // sv.no.un_640 ro.es.un_330  jw.ms.su_655 mr.ne.hi_664 
  0x28561602, 0x28006402, 0x55003704, 0x03376e11,   // hr.mg.sw_222 lg.sw.un_220  st.rw.un_320 hmn.st.nl_653 
  0x6b2b280d, 0x083756a0, 0x2a005502, 0x10070a08,   // sw.vi.ceb_554 mg.st.no_322  rw.mt.un_220 mk.bg.be_443 
  0x7300202b, 0x2d1273a4, 0x55212f5a, 0x21005604,   // sq.ny.un_980 ny.hu.sk_433  su.jw.rw_553 mg.jw.un_320 
  // [2930]
  0x6b37735a, 0x2700051b, 0x0f1973ee, 0x20003705,   // ny.st.ceb_553 fr.gd.un_770  ny.gl.lv_422 st.sq.un_330 
  0x2a071104, 0x05001914, 0x19230f0c, 0x0b0118a0,   // ro.it.mt_332 gl.fr.un_660  lv.ca.gl_543 ga.en.es_322 
  0x73005523, 0x3000320d, 0x0e2a0faf, 0x3f180b5a,   // rw.ny.un_880 bs.uz.un_540  lv.mt.is_655 es.ga.af_553 
  0x3055280c, 0x35170a08, 0x16110da4, 0x0a170405,   // sw.rw.uz_543 mk.sr.tg_443  cs.ro.hr_433 ru.sr.mk_333 
  // [2940]
  0x162b32ee, 0x170407a7, 0x0d12090c, 0x170a070e,   // bs.vi.hr_422 bg.ru.sr_532  pl.hu.cs_543 bg.mk.sr_555 
  0x06093f02, 0x23040708, 0x64007313, 0x44041055,   // af.pl.de_222 bg.ru.ky_443  ny.lg.un_650 be.ru.kk_442 
  0x0e00180e, 0x1218210d, 0x10081709, 0x07002704,   // ga.is.un_550 fa.ar.ur_554  sr.uk.be_444 gd.it.un_320 
  0x2d000d2c, 0x182705af, 0x2a1237a0, 0x1a002813,   // cs.sk.un_990 fr.gd.ga_655  st.hu.mt_322 sw.tl.un_650 
  // [2950]
  0x12001108, 0x182b64a0, 0x202937ec, 0x190b0aa0,   // ro.hu.un_430 lg.vi.ga_322  st.sl.sq_644 pt.es.gl_322 
  0x16192307, 0x0c1306ac, 0x0d091c08, 0x11003712,   // ca.gl.hr_432 de.et.sv_632  mr.hi.ne_443 st.ro.un_640 
  0x64327307, 0x0f080204, 0x2d300d12, 0x0f2a0d07,   // ny.bs.lg_432 da.no.lv_332  cs.uz.sk_654 cs.mt.lv_432 
  0x08022da4, 0x10041312, 0x0112130c, 0x2300052a,   // sk.da.no_433 et.fi.lt_654  et.hu.en_543 fr.ca.un_970 
  // [2960]
  0x04442304, 0x0a1710a0, 0x32002002, 0x23005312,   // ky.kk.ru_332 be.sr.mk_322  sq.bs.un_220 ht.ca.un_640 
  0x23000302, 0x08000704, 0x1230315a, 0x53001921,   // nl.ca.un_220 it.no.un_320  az.uz.hu_553 gl.ht.un_860 
  0x201b32a0, 0x18001a02, 0x131c09ec, 0x0d00050b,   // bs.tr.sq_322 tl.ga.un_220  hi.mr.bh_644 fr.cs.un_520 
  0x5364550c, 0x3f005304, 0x09001c04, 0x2f1c2112,   // rw.lg.ht_543 ht.af.un_320  mr.hi.un_320 jw.id.su_654 
  // [2970]
  0x53252f07, 0x44003014, 0x071108a7, 0x3f530511,   // su.eu.ht_432 uz.kk.un_660  uk.ro.bg_532 fr.ht.af_653 
  0x64003721, 0x18000e08, 0x00002a2d, 0x233f530d,   // st.lg.un_860 is.ga.un_430  mt.un.un_A00 ht.af.ca_554 
  0x17080a04, 0x07110107, 0x080a3007, 0x03003202,   // mk.uk.sr_332 en.ro.it_432  uz.mk.uk_432 bs.nl.un_220 
  0x55731b07, 0x300f0d07, 0x23070a07, 0x060a25ad,   // tr.ny.rw_432 cs.lv.uz_432  mk.bg.ky_432 eu.pt.de_643 
  // [2980]
  0x21003705, 0x21311b5a, 0x53021ea0, 0x44001013,   // st.jw.un_330 tr.az.jw_553  ms.da.ht_322 be.kk.un_650 
  0x0b3d23a9, 0x16112007, 0x10082307, 0x100417a7,   // ca.ku.es_544 sq.ro.hr_432  ky.uk.be_432 sr.ru.be_532 
  0x18001104, 0x041008a9, 0x1e1c230c, 0x092a1bee,   // ro.ga.un_320 uk.be.ru_544  ca.id.ms_543 tr.mt.pl_422 
  0x28556413, 0x0700101a, 0x18211213, 0x25001c13,   // lg.rw.sw_665 be.bg.un_760  ur.fa.ar_665 id.eu.un_650 
  // [2990]
  0x3f001105, 0x2f002112, 0x256455a9, 0x1e002f19,   // ro.af.un_330 jw.su.un_640  rw.lg.eu_544 su.ms.un_750 
  0x35234412, 0x04100707, 0x55001f12, 0x00000901,   // kk.ky.tg_654 bg.be.ru_432  cy.rw.un_640 hi.un.un_200 
  0x2f1e1c08, 0x04002305, 0x64282a12, 0x2300101b,   // id.ms.su_443 ky.ru.un_330  mt.sw.lg_654 be.ky.un_770 
  0x1f003702, 0x35170404, 0x28001307, 0x08033f08,   // st.cy.un_220 ru.sr.tg_332  et.sw.un_420 af.nl.no_443 
  // [29a0]
  0x28007307, 0x083f25a0, 0x31006b08, 0x645573ac,   // ny.sw.un_420 eu.af.no_322  ceb.az.un_430 ny.rw.lg_632 
  0x120802ee, 0x6473550b, 0x16003008, 0x0407080e,   // da.no.hu_422 rw.ny.lg_542  uz.hr.un_430 uk.bg.ru_555 
  0x0d292daf, 0x35443007, 0x02002704, 0x1600090c,   // sk.sl.cs_655 uz.kk.tg_432  gd.da.un_320 pl.hr.un_530 
  0x08003002, 0x070a0405, 0x173035af, 0x0a080704,   // uz.uk.un_220 ru.mk.bg_333  tg.uz.sr_655 bg.uk.mk_332 
  // [29b0]
  0x0d001c08, 0x09000804, 0x64002107, 0x3d000f14,   // mr.ne.un_430 no.pl.un_320  jw.lg.un_420 lv.ku.un_660 
  0x113f25ad, 0x5318300c, 0x00002924, 0x6b001a12,   // eu.af.ro_643 uz.ga.ht_543  sl.un.un_900 tl.ceb.un_640 
  0x2916300d, 0x07181f12, 0x016b1204, 0x25001e04,   // uz.hr.sl_554 cy.ga.it_654  hu.ceb.en_332 ms.eu.un_320 
  0x44100412, 0x3012290c, 0x123f6ba4, 0x2d1307a0,   // ru.be.kk_654 sl.hu.uz_543  ceb.af.hu_433 it.et.sk_322 
  // [29c0]
  0x07000607, 0x09002905, 0x0e001905, 0x080435a0,   // de.it.un_420 sl.pl.un_330  gl.is.un_330 tg.ru.uk_322 
  0x1300090d, 0x32201b08, 0x211e1ca0, 0x1e00640d,   // hi.bh.un_540 tr.sq.bs_443  id.ms.jw_322 lg.ms.un_540 
  0x081104af, 0x03006b08, 0x3d00110e, 0x1c2f2102,   // ru.ro.uk_655 ceb.nl.un_430  ro.ku.un_550 jw.su.id_222 
  0x31003d09, 0x18032307, 0x18002109, 0x2b003702,   // ku.az.un_440 ca.nl.ga_432  fa.ar.un_440 st.vi.un_220 
  // [29d0]
  0x1f2106ee, 0x0a0704ec, 0x2d0f0704, 0x23003512,   // de.jw.cy_422 ru.bg.mk_644  it.lv.sk_332 tg.ky.un_640 
  0x30006409, 0x0717045a, 0x0f0e08a0, 0x1a101ba0,   // lg.uz.un_440 ru.sr.bg_553  no.is.lv_322 tr.lt.tl_322 
  0x2f001904, 0x123d2f04, 0x23001f04, 0x04000a07,   // gl.su.un_320 su.ku.hu_332  cy.ca.un_320 mk.ru.un_420 
  0x111b0fa0, 0x1f0b2f08, 0x016b0604, 0x0600030d,   // lv.tr.ro_322 su.es.cy_443  de.ceb.en_332 nl.de.un_540 
  // [29e0]
  0x2d001214, 0x0f3f08a0, 0x1f002f04, 0x211204a9,   // hu.sk.un_660 no.af.lv_322  su.cy.un_320 fi.hu.jw_544 
  0x16000304, 0x132855af, 0x0b001004, 0x080407a4,   // nl.hr.un_320 rw.sw.et_655  lt.es.un_320 bg.ru.uk_433 
  0x19000302, 0x111355a9, 0x190b1005, 0x30350405,   // nl.gl.un_220 rw.et.ro_544  lt.es.gl_333 ru.tg.uz_333 
  0x1730235a, 0x03001805, 0x03055508, 0x0f28130c,   // ky.uz.sr_553 ga.nl.un_330  rw.fr.nl_443 et.sw.lv_543 
  // [29f0]
  0x03023f05, 0x050311a4, 0x2a2f2508, 0x110f1007,   // af.da.nl_333 ro.nl.fr_433  eu.su.mt_443 lt.lv.ro_432 
  0x10002520, 0x13091c09, 0x1b282f0c, 0x6b287308,   // eu.lt.un_850 mr.hi.bh_444  su.sw.tr_543 ny.sw.ceb_443 
  0x13100f0b, 0x06002513, 0x10000f21, 0x20321ca0,   // lv.lt.et_542 eu.de.un_650  lv.lt.un_860 id.bs.sq_322 
  0x1b2a07a9, 0x0805230c, 0x1e2f30a4, 0x100f13af,   // it.mt.tr_544 ca.fr.no_543  uz.su.ms_433 et.lv.lt_655 
  // [2a00]
  0x100e0f09, 0x2a2855ec, 0x0e282102, 0x130f25a4,   // lv.is.lt_444 rw.sw.mt_644  jw.sw.is_222 eu.lv.et_433 
  0x285525a4, 0x07080a09, 0x2f1c210c, 0x1e1c64a4,   // eu.rw.sw_433 mk.uk.bg_444  jw.id.su_543 lg.id.ms_433 
  0x07080412, 0x251e1c0d, 0x64005508, 0x530e08a0,   // ru.uk.bg_654 id.ms.eu_554  rw.lg.un_430 no.is.ht_322 
  0x3f000804, 0x06001f1b, 0x11303205, 0x3d1b55ad,   // no.af.un_320 cy.de.un_770  bs.uz.ro_333 rw.tr.ku_643 
  // [2a10]
  0x080255a4, 0x73551ba4, 0x372f1a13, 0x101708a4,   // rw.da.no_433 tr.rw.ny_433  tl.su.st_665 uk.sr.be_433 
  0x2f211cac, 0x3d1b550c, 0x09190b02, 0x1a6b1ca9,   // id.jw.su_632 rw.tr.ku_543  es.gl.pl_222 id.ceb.tl_544 
  0x11110712, 0x130f1013, 0x1b005521, 0x213f03ee,   // bg.ro.ro_654 lt.lv.et_665  rw.tr.un_860 nl.af.jw_422 
  0x6b001a35, 0x1100130c, 0x2d000412, 0x55281e0b,   // tl.ceb.un_A90 et.ro.un_530  fi.sk.un_640 ms.sw.rw_542 
  // [2a20]
  0x371a1e07, 0x074408a4, 0x286b310c, 0x110f2104,   // ms.tl.st_432 uk.kk.bg_433  az.ceb.sw_543 jw.lv.ro_332 
  0x56002508, 0x0f11285a, 0x56001b09, 0x1b5355ec,   // eu.mg.un_430 sw.ro.lv_553  tr.mg.un_440 rw.ht.tr_644 
  0x1b005513, 0x21006e07, 0x73281ba4, 0x2f3f0307,   // rw.tr.un_650 hmn.jw.un_420  tr.sw.ny_433 nl.af.su_432 
  0x0d091c0c, 0x07000112, 0x551b5304, 0x10042304,   // mr.hi.ne_543 en.it.un_640  ht.tr.rw_332 ky.ru.be_332 
  // [2a30]
  0x31001b2b, 0x551b64a4, 0x2b033fee, 0x1b041ea7,   // tr.az.un_980 lg.tr.rw_433  af.nl.vi_422 ms.fi.tr_532 
  0x0f562fa9, 0x27002f05, 0x3d00551b, 0x0f731e0c,   // su.mg.lv_544 su.gd.un_330  rw.ku.un_770 ms.ny.lv_543 
  0x1b3d55ec, 0x030f10a9, 0x27002a04, 0x647328af,   // rw.ku.tr_644 lt.lv.nl_544  mt.gd.un_320 sw.ny.lg_655 
  0x1b55730c, 0x072a1105, 0x552053a4, 0x5612040c,   // ny.rw.tr_543 ro.mt.it_333  ht.sq.rw_433 fi.hu.mg_543 
  // [2a40]
  0x5606050b, 0x2f1e1c02, 0x05000a0d, 0x55002a04,   // fr.de.mg_542 id.ms.su_222  pt.fr.un_540 mt.rw.un_320 
  0x04003723, 0x2700042a, 0x2500031a, 0x182702a0,   // st.fi.un_880 fi.gd.un_970  nl.eu.un_760 da.gd.ga_322 
  0x13091c12, 0x0518040c, 0x321807a0, 0x130d1cec,   // mr.hi.bh_654 fi.ga.fr_543  it.ga.bs_322 mr.ne.bh_644 
  0x180427ec, 0x0f1a04ad, 0x281304ad, 0x1800370d,   // gd.fi.ga_644 fi.tl.lv_643  fi.et.sw_643 st.ga.un_540 
  // [2a50]
  0x1000042b, 0x0f1827ec, 0x0a002b19, 0x0600130d,   // ru.be.un_980 gd.ga.lv_644  vi.pt.un_750 et.de.un_540 
  0x10182704, 0x27000e18, 0x0c0229a4, 0x08270504,   // gd.ga.lt_332 is.gd.un_740  sl.da.sv_433 fr.gd.no_332 
  0x3f06030c, 0x1f002b0d, 0x03000605, 0x10050412,   // nl.de.af_543 vi.cy.un_540  de.nl.un_330 fi.fr.lt_654 
  0x2700560c, 0x08071708, 0x06040f0b, 0x30005507,   // mg.gd.un_530 sr.bg.uk_443  lv.fi.de_542 rw.uz.un_420 
  // [2a60]
  0x230417ec, 0x23071704, 0x28647308, 0x12182108,   // sr.ru.ky_644 sr.bg.ky_332  ny.lg.sw_443 fa.ar.ur_443 
  0x07002105, 0x070a17af, 0x2d090d0d, 0x1b3101a4,   // jw.it.un_330 sr.mk.bg_655  cs.pl.sk_554 en.az.tr_433 
  0x10000f1b, 0x3f1a03a9, 0x07282504, 0x11440a13,   // lv.lt.un_770 nl.tl.af_544  eu.sw.it_332 mk.kk.ro_665 
  0x0a250ead, 0x27002102, 0x2d0d05a0, 0x301b2012,   // is.eu.pt_643 jw.gd.un_220  fr.cs.sk_322 sq.tr.uz_654 
  // [2a70]
  0x3f006407, 0x103004a9, 0x1f53080b, 0x3f000c04,   // lg.af.un_420 ru.uz.be_544  no.ht.cy_542 sv.af.un_320 
  0x100725a7, 0x1300070c, 0x1e1c300c, 0x5600201a,   // eu.it.lt_532 it.et.un_530  uz.id.ms_543 sq.mg.un_760 
  0x1a201208, 0x0a000413, 0x31001f04, 0x0b0c64a4,   // hu.sq.tl_443 ru.mk.un_650  cy.az.un_320 lg.sv.es_433 
  0x3f031ea0, 0x53272012, 0x05001907, 0x3f6e0111,   // ms.nl.af_322 sq.gd.ht_654  gl.fr.un_420 en.hmn.af_653 
  // [2a80]
  0x27001108, 0x18080208, 0x171e1c04, 0x08000708,   // ro.gd.un_430 da.no.ga_443  id.ms.sr_332 bg.uk.un_430 
  0x25002f22, 0x1a006b21, 0x0a303504, 0x06023fa9,   // su.eu.un_870 ceb.tl.un_860  tg.uz.mk_332 af.da.de_544 
  0x0a0830ee, 0x1107010c, 0x10640fa4, 0x11002319,   // uz.uk.mk_422 en.it.ro_543  lv.lg.lt_433 ky.ro.un_750 
  0x0602230c, 0x08313008, 0x2f002807, 0x05112312,   // ca.da.de_543 uz.az.no_443  sw.su.un_420 ca.ro.fr_654 
  // [2a90]
  0x0c2a31ee, 0x37002813, 0x371923a4, 0x28552f09,   // az.mt.sv_422 sw.st.un_650  ca.gl.st_433 su.rw.sw_444 
  0x0e001605, 0x0c0708a0, 0x2f6455a4, 0x0d1c09af,   // hr.is.un_330 no.it.sv_322  rw.lg.su_433 hi.mr.ne_655 
  0x061225ad, 0x3d251e07, 0x55563002, 0x06000508,   // eu.hu.de_643 ms.eu.ku_432  uz.mg.rw_222 fr.de.un_430 
  0x16113107, 0x2f1064ee, 0x0d001809, 0x03006e19,   // az.ro.hr_432 lg.lt.su_422  ga.cs.un_440 hmn.nl.un_750 
  // [2aa0]
  0x2d000804, 0x2564550d, 0x06055311, 0x0a002308,   // no.sk.un_320 rw.lg.eu_554  ht.fr.de_653 ky.mk.un_430 
  0x0e001a04, 0x080411a4, 0x19002a05, 0x2f00550c,   // tl.is.un_320 ro.ru.uk_433  mt.gl.un_330 rw.su.un_530 
  0x01002420, 0x3f0630ee, 0x016e6b07, 0x0e001707,   // yi.iw.un_850 uz.de.af_422  ceb.hmn.en_432 sr.is.un_420 
  0x440823ee, 0x550208ee, 0x1b282a55, 0x4430350c,   // ky.uk.kk_422 no.da.rw_422  mt.sw.tr_442 tg.uz.kk_543 
  // [2ab0]
  0x28130107, 0x20002809, 0x354430a0, 0x08023fa0,   // en.et.sw_432 sw.sq.un_440  uz.kk.tg_322 af.da.no_322 
  0x30530408, 0x3f003004, 0x17002109, 0x07081107,   // fi.ht.uz_443 uz.af.un_320  jw.sr.un_440 ro.uk.bg_432 
  0x08033f0d, 0x3d123712, 0x21000a08, 0x121821ac,   // af.nl.no_554 st.hu.ku_654  pt.jw.un_430 fa.ar.ur_632 
  0x303f03a0, 0x21006b04, 0x2b001c0b, 0x32000a04,   // nl.af.uz_322 ceb.jw.un_320  id.vi.un_520 pt.bs.un_320 
  // [2ac0]
  0x102344af, 0x0d001107, 0x08100404, 0x0a001104,   // kk.ky.be_655 ro.cs.un_420  ru.be.uk_332 ro.pt.un_320 
  0x37002a02, 0x210c13af, 0x6e2f210c, 0x10040a02,   // mt.st.un_220 et.sv.jw_655  jw.su.hmn_543 mk.ru.be_222 
  0x232811a7, 0x0b2d0d0d, 0x30103508, 0x07351112,   // ro.sw.ca_532 cs.sk.es_554  tg.be.uz_443 ro.tg.bg_654 
  0x37001f18, 0x25000a07, 0x0b2f210c, 0x112305ad,   // cy.st.un_740 pt.eu.un_420  jw.su.es_543 fr.ca.ro_643 
  // [2ad0]
  0x040735af, 0x211c1108, 0x18001105, 0x0e001c1a,   // tg.bg.ru_655 ro.id.jw_443  ro.ga.un_330 id.is.un_760 
  0x2f001822, 0x3f20090c, 0x1707040b, 0x1221180c,   // ga.su.un_870 pl.sq.af_543  ru.bg.sr_542 ar.fa.ur_543 
  0x30170e0c, 0x641304af, 0x311b0e0c, 0x04136407,   // is.sr.uz_543 fi.et.lg_655  is.tr.az_543 lg.et.fi_432 
  0x1f3f03a9, 0x28000302, 0x03136407, 0x0a000e2a,   // nl.af.cy_544 nl.sw.un_220  lg.et.nl_432 is.pt.un_970 
  // [2ae0]
  0x35000a09, 0x06000913, 0x04641308, 0x082b0107,   // mk.tg.un_440 pl.de.un_650  et.lg.fi_443 en.vi.no_432 
  0x041364ac, 0x1031110c, 0x06110302, 0x643013a4,   // lg.et.fi_632 ro.az.lt_543  nl.ro.de_222 et.uz.lg_433 
  0x6400130e, 0x0373280c, 0x10110708, 0x30350408,   // et.lg.un_550 sw.ny.nl_543  it.ro.lt_443 ru.tg.uz_443 
  0x0f000922, 0x0b110707, 0x02000619, 0x1300641a,   // pl.lv.un_870 it.ro.es_432  de.da.un_750 lg.et.un_760 
  // [2af0]
  0x6b301bee, 0x1900010c, 0x31003007, 0x6b000919,   // tr.uz.ceb_422 en.gl.un_530  uz.az.un_420 pl.ceb.un_750 
  0x0a073007, 0x03000705, 0x02000a04, 0x04080a02,   // uz.bg.mk_432 it.nl.un_330  pt.da.un_320 mk.uk.ru_222 
  0x0e1b010c, 0x0b192f07, 0x25190b05, 0x13000407,   // en.tr.is_543 su.gl.es_432  es.gl.eu_333 fi.et.un_420 
  0x2f2864ad, 0x13003f02, 0x6b0464a4, 0x302f29af,   // lg.sw.su_643 af.et.un_220  lg.fi.ceb_433 sl.su.uz_655 
  // [2b00]
  0x112d0d08, 0x32001e04, 0x12290fad, 0x28007308,   // cs.sk.ro_443 ms.bs.un_320  lv.sl.hu_643 ny.sw.un_430 
  0x3007350c, 0x6b010607, 0x1b007309, 0x20120304,   // tg.bg.uz_543 de.en.ceb_432  ny.tr.un_440 nl.hu.sq_332 
  0x7300550e, 0x30641aa9, 0x6b1f06ac, 0x03000613,   // rw.ny.un_550 tl.lg.uz_544  de.cy.ceb_632 de.nl.un_650 
  0x1f000619, 0x30735505, 0x0a170813, 0x73003207,   // de.cy.un_750 rw.ny.uz_333  uk.sr.mk_665 bs.ny.un_420 
  // [2b10]
  0x5513300c, 0x072330a0, 0x3013550c, 0x30113507,   // uz.et.rw_543 uz.ky.bg_322  rw.et.uz_543 tg.ro.uz_432 
  0x09281f04, 0x35233009, 0x13300eaf, 0x3f2f5308,   // cy.sw.pl_332 uz.ky.tg_444  is.uz.et_655 ht.su.af_443 
  0x4417045a, 0x5600551b, 0x2a180911, 0x0f132807,   // ru.sr.kk_553 rw.mg.un_770  pl.ga.mt_653 sw.et.lv_432 
  0x2800090d, 0x172d0d0c, 0x3064555a, 0x6400530d,   // pl.sw.un_540 cs.sk.sr_543  rw.lg.uz_553 ht.lg.un_540 
  // [2b20]
  0x2d005507, 0x08040a08, 0x2f28730c, 0x073530a4,   // rw.sk.un_420 mk.ru.uk_443  ny.sw.su_543 uz.tg.bg_433 
  0x093029a4, 0x0f002913, 0x25305511, 0x64553013,   // sl.uz.pl_433 sl.lv.un_650  rw.uz.eu_653 uz.rw.lg_665 
  0x1b00040e, 0x0e002a13, 0x1b005504, 0x553013af,   // fi.tr.un_550 mt.is.un_650  rw.tr.un_320 et.uz.rw_655 
  0x641a5507, 0x3d000a0d, 0x1a305508, 0x6421550c,   // rw.tl.lg_432 pt.ku.un_540  rw.uz.tl_443 rw.jw.lg_543 
  // [2b30]
  0x300e55a4, 0x5573280c, 0x0810070c, 0x13003007,   // rw.is.uz_433 sw.ny.rw_543  bg.be.uk_543 uz.et.un_420 
  0x09000802, 0x1337040d, 0x2f000502, 0x11130411,   // no.pl.un_220 fi.st.et_554  fr.su.un_220 fi.et.ro_653 
  0x04003713, 0x2a00290e, 0x1c2f2160, 0x04001107,   // st.fi.un_650 sl.mt.un_550  jw.su.id_664 ro.ru.un_420 
  0x1e1b3002, 0x287364ec, 0x2f0e10a7, 0x013f2804,   // uz.tr.ms_222 lg.ny.sw_644  lt.is.su_532 sw.af.en_332 
  // [2b40]
  0x2a00291a, 0x3508100d, 0x10000d12, 0x06005304,   // sl.mt.un_760 be.uk.tg_554  cs.lt.un_640 ht.de.un_320 
  0x183728a0, 0x16002004, 0x292d0d0c, 0x0400441a,   // sw.st.ga_322 sq.hr.un_320  cs.sk.sl_543 kk.ru.un_760 
  0x1c000d0c, 0x6b563707, 0x29171604, 0x2500230d,   // ne.mr.un_530 st.mg.ceb_432  hr.sr.sl_332 ca.eu.un_540 
  0x29190707, 0x07291604, 0x35002305, 0x25130707,   // it.gl.sl_432 hr.sl.it_332  ky.tg.un_330 it.et.eu_432 
  // [2b50]
  0x2b00191b, 0x1f002a13, 0x3200290c, 0x162a2904,   // gl.vi.un_770 mt.cy.un_650  sl.bs.un_530 sl.mt.hr_332 
  0x3f00030b, 0x0d092d0c, 0x1600320c, 0x17442307,   // nl.af.un_520 sk.pl.cs_543  bs.hr.un_530 ky.kk.sr_432 
  0x29100faf, 0x162905a7, 0x23304412, 0x6b0501a4,   // lv.lt.sl_655 fr.sl.hr_532  kk.uz.ky_654 en.fr.ceb_433 
  0x160720ac, 0x201a6b12, 0x0417080c, 0x30002520,   // sq.it.hr_632 ceb.tl.sq_654  uk.sr.ru_543 eu.uz.un_850 
  // [2b60]
  0x1f0918a4, 0x05001107, 0x56002807, 0x25002307,   // ga.pl.cy_433 ro.fr.un_420  sw.mg.un_420 ca.eu.un_420 
  0x23002902, 0x1700040d, 0x060105a9, 0x3f0553a0,   // sl.ca.un_220 ru.sr.un_540  fr.en.de_544 ht.fr.af_322 
  0x08000414, 0x1c0d0908, 0x55286b04, 0x282a180c,   // ru.uk.un_660 hi.ne.mr_443  ceb.sw.rw_332 ga.mt.sw_543 
  0x28002a04, 0x2d122004, 0x120a1fee, 0x042b1b04,   // mt.sw.un_320 sq.hu.sk_332  cy.pt.hu_422 tr.vi.fi_332 
  // [2b70]
  0x122d0d55, 0x1f000b04, 0x2f202504, 0x03041307,   // cs.sk.hu_442 es.cy.un_320  eu.sq.su_332 et.fi.nl_432 
  0x111135af, 0x031101a4, 0x03002904, 0x080e0607,   // tg.ro.ro_655 en.ro.nl_433  sl.nl.un_320 de.is.no_432 
  0x201813ee, 0x2500201a, 0x180711af, 0x21002007,   // et.ga.sq_422 sq.eu.un_760  ro.it.ga_655 sq.jw.un_420 
  0x072025ee, 0x05002804, 0x050401a6, 0x051f2308,   // eu.sq.it_422 sw.fr.un_320  en.fi.fr_521 ca.cy.fr_443 
  // [2b80]
  0x252307a7, 0x0a353004, 0x02252805, 0x2f200805,   // it.ca.eu_532 uz.tg.mk_332  sw.eu.da_333 no.sq.su_333 
  0x00001e24, 0x6b1a1fad, 0x23190a04, 0x300a1707,   // ms.un.un_900 cy.tl.ceb_643  pt.gl.ca_332 sr.mk.uz_432 
  0x171111ac, 0x2f2520ad, 0x3f0c07a0, 0x1b000404,   // ro.ro.sr_632 sq.eu.su_643  it.sv.af_322 fi.tr.un_320 
  0x2500200d, 0x043035a4, 0x1b000c08, 0x20250107,   // sq.eu.un_540 tg.uz.ru_433  sv.tr.un_430 en.eu.sq_432 
  // [2b90]
  0x03133f04, 0x64000c02, 0x04001308, 0x200a07a4,   // af.et.nl_332 sv.lg.un_220  et.fi.un_430 it.pt.sq_433 
  0x0d0105a4, 0x20250507, 0x04300802, 0x20050204,   // fr.en.cs_433 fr.eu.sq_432  uk.uz.ru_222 da.fr.sq_332 
  0x0e00230e, 0x0a122da0, 0x2f000519, 0x0c0711a7,   // ca.is.un_550 sk.hu.pt_322  fr.su.un_750 ro.it.sv_532 
  0x0a050112, 0x311b30ee, 0x0c006404, 0x28003004,   // en.fr.pt_654 uz.tr.az_422  lg.sv.un_320 uz.sw.un_320 
  // [2ba0]
  0x233504a9, 0x07002a1b, 0x6b001a20, 0x0d1c13a0,   // ru.tg.ky_544 mt.it.un_770  tl.ceb.un_850 bh.mr.ne_322 
  0x04230a02, 0x25190b0d, 0x110410af, 0x29001804,   // mk.ky.ru_222 es.gl.eu_554  be.ru.ro_655 ga.sl.un_320 
  0x09001f07, 0x2d000e20, 0x11442309, 0x562812ad,   // cy.pl.un_420 is.sk.un_850  ky.kk.ro_444 hu.sw.mg_643 
  0x23001019, 0x09005620, 0x56271812, 0x12072a12,   // be.ky.un_750 mg.pl.un_850  ga.gd.mg_654 mt.it.hu_654 
  // [2bb0]
  0x23000404, 0x2f6b1a0d, 0x04170808, 0x03203708,   // ru.ky.un_320 tl.ceb.su_554  uk.sr.ru_443 st.sq.nl_443 
  0x18275612, 0x64007312, 0x2d0d28a0, 0x2f005509,   // mg.gd.ga_654 ny.lg.un_640  sw.cs.sk_322 rw.su.un_440 
  0x11251ea0, 0x09251813, 0x6400731a, 0x566b1a0c,   // ms.eu.ro_322 ga.eu.pl_665  ny.lg.un_760 tl.ceb.mg_543 
  0x0e00190e, 0x2a0f2155, 0x6b131aec, 0x2d0d56a4,   // gl.is.un_550 jw.lv.mt_442  tl.et.ceb_644 mg.cs.sk_433 
  // [2bc0]
  0x35043008, 0x6b000712, 0x0a0710a0, 0x55006402,   // uz.ru.tg_443 it.ceb.un_640  be.bg.mk_322 lg.rw.un_220 
  0x040f25af, 0x25006407, 0x13002022, 0x11003514,   // eu.lv.fi_655 lg.eu.un_420  sq.et.un_870 tg.ro.un_660 
  0x256455a7, 0x322a1712, 0x64551ba9, 0x04440708,   // rw.lg.eu_532 sr.mt.bs_654  tr.rw.lg_544 bg.kk.ru_443 
  0x08006b04, 0x290837a0, 0x1c731f0d, 0x2f000b02,   // ceb.no.un_320 st.no.sl_322  cy.ny.id_554 es.su.un_220 
  // [2bd0]
  0x1000070d, 0x042310a4, 0x046425a7, 0x132d0d08,   // bg.be.un_540 be.ky.ru_433  eu.lg.fi_532 cs.sk.et_443 
  0x2a1e1c08, 0x023f1f12, 0x09001222, 0x0b0407ec,   // id.ms.mt_443 cy.af.da_654  hu.pl.un_870 it.fi.es_644 
  0x2f561e07, 0x0f101c0c, 0x0c071f07, 0x211729a0,   // ms.mg.su_432 id.lt.lv_543  cy.it.sv_432 sl.sr.jw_322 
  0x08000422, 0x1e302aad, 0x130f100d, 0x2a281f08,   // ru.uk.un_870 mt.uz.ms_643  lt.lv.et_554 cy.sw.mt_443 
  // [2be0]
  0x13003f13, 0x30041b08, 0x210a0b05, 0x08000c08,   // af.et.un_650 tr.fi.uz_443  es.pt.jw_333 sv.no.un_430 
  0x252d0d55, 0x084410ec, 0x20001f02, 0x130e04ec,   // cs.sk.eu_442 be.kk.uk_644  cy.sq.un_220 fi.is.et_644 
  0x04173008, 0x0f2537ee, 0x06006e22, 0x13250d0c,   // uz.sr.ru_443 st.eu.lv_422  hmn.de.un_870 cs.eu.et_543 
  0x2f080b07, 0x1c0e6ead, 0x08100a14, 0x0c311b13,   // es.no.su_432 hmn.is.id_643  mk.be.uk_666 tr.az.sv_665 
  // [2bf0]
  0x0a000604, 0x09131c12, 0x012b3da0, 0x180127ec,   // de.pt.un_320 mr.bh.hi_654  ku.vi.en_322 gd.en.ga_644 
  0x021a6b11, 0x23006e19, 0x11190b05, 0x1f001214,   // ceb.tl.da_653 hmn.ca.un_750  es.gl.ro_333 hu.cy.un_660 
  0x350a2312, 0x18050807, 0x1b2b250c, 0x3d18060c,   // ky.mk.tg_654 no.fr.ga_432  eu.vi.tr_543 de.ga.ku_543 
  0x07000c07, 0x0a442311, 0x070817a4, 0x021208ee,   // sv.it.un_420 ky.kk.mk_653  sr.uk.bg_433 no.hu.da_422 
  
  // [2c00]
  0x23006e0c, 0x203202ad, 0x10000912, 0x1b0705a9,   // hmn.ca.un_530 da.bs.sq_643  pl.lt.un_640 fr.it.tr_544 
  0x3000180c, 0x07354412, 0x303523ee, 0x110701a4,   // ga.uz.un_530 kk.tg.bg_654  ky.tg.uz_422 en.it.ro_433 
  0x08271307, 0x071209a7, 0x0b232da4, 0x07001713,   // et.gd.no_432 pl.hu.it_532  sk.ca.es_433 sr.bg.un_650 
  0x4411235a, 0x1e1b3111, 0x352310a0, 0x35170407,   // ky.ro.kk_553 az.tr.ms_653  be.ky.tg_322 ru.sr.tg_432 
  // [2c10]
  0x083510a0, 0x17000708, 0x203d1ca4, 0x110723a0,   // be.tg.uk_322 bg.sr.un_430  id.ku.sq_433 ca.it.ro_322 
  0x086e06ad, 0x080321a0, 0x190b11a6, 0x0c216ea7,   // de.hmn.no_643 jw.nl.no_322  ro.es.gl_521 hmn.jw.sv_532 
  0x2073080c, 0x071110a0, 0x530a05a9, 0x10000423,   // no.ny.sq_543 lt.ro.it_322  fr.pt.ht_544 ru.be.un_880 
  0x321729a0, 0x3f05230c, 0x732f1aec, 0x73001a1b,   // sl.sr.bs_322 ca.fr.af_543  tl.su.ny_644 tl.ny.un_770 
  // [2c20]
  0x162307a0, 0x731a2112, 0x04171108, 0x09000705,   // it.ca.hr_322 jw.tl.ny_654  ro.sr.ru_443 it.pl.un_330 
  0x21731eac, 0x07040a04, 0x122d0d08, 0x097328a4,   // ms.ny.jw_632 mk.ru.bg_332  cs.sk.hu_443 sw.ny.pl_433 
  0x0a041007, 0x03071105, 0x2f2128ee, 0x290f32ee,   // be.ru.mk_432 ro.it.nl_333  sw.jw.su_422 bs.lv.sl_422 
  0x020c08a7, 0x25092aee, 0x21281aec, 0x53283d07,   // no.sv.da_532 mt.pl.eu_422  tl.sw.jw_644 ku.sw.ht_432 
  // [2c30]
  0x10190a02, 0x303d3105, 0x170a4407, 0x3d000108,   // pt.gl.lt_222 az.ku.uz_333  kk.mk.sr_432 en.ku.un_430 
  0x2a000908, 0x1e001c13, 0x16003005, 0x64002102,   // pl.mt.un_430 id.ms.un_650  uz.hr.un_330 jw.lg.un_220 
  0x21732f55, 0x02090512, 0x73002112, 0x73006407,   // su.ny.jw_442 fr.pl.da_654  jw.ny.un_640 lg.ny.un_420 
  0x53003d07, 0x020906a0, 0x1b006404, 0x2d0306ec,   // ku.ht.un_420 de.pl.da_322  lg.tr.un_320 de.nl.sk_644 
  // [2c40]
  0x64281aa4, 0x3f002d04, 0x0c1c31a0, 0x230205ad,   // tl.sw.lg_433 sk.af.un_320  az.id.sv_322 fr.da.ca_643 
  0x0c002d04, 0x17070808, 0x553f2dee, 0x532864a7,   // sk.sv.un_320 uk.bg.sr_443  sk.af.rw_422 lg.sw.ht_532 
  0x2d090607, 0x44231104, 0x01533d0c, 0x02000f04,   // de.pl.sk_432 ro.ky.kk_332  ku.ht.en_543 lv.da.un_320 
  0x21006413, 0x1e002f05, 0x1812210d, 0x290f2d0c,   // lg.jw.un_650 su.ms.un_330  fa.ur.ar_554 sk.lv.sl_543 
  // [2c50]
  0x6455280c, 0x070a230b, 0x2d001707, 0x110a11a9,   // sw.rw.lg_543 ky.mk.bg_542  sr.sk.un_420 ro.mk.ro_544 
  0x04170a07, 0x2f002109, 0x08000411, 0x30271807,   // mk.sr.ru_432 jw.su.un_440  ru.uk.un_630 ga.gd.uz_432 
  0x20071b5a, 0x03060204, 0x170f20ee, 0x01190bee,   // tr.it.sq_553 da.de.nl_332  sq.lv.sr_422 es.gl.en_422 
  0x311b0107, 0x64321708, 0x051364af, 0x10304407,   // en.tr.az_432 sr.bs.lg_443  lg.et.fr_655 kk.uz.be_432 
  // [2c60]
  0x10110712, 0x31001b05, 0x162f1ea0, 0x55002107,   // it.ro.lt_654 tr.az.un_330  ms.su.hr_322 jw.rw.un_420 
  0x0d1c0913, 0x08321609, 0x2a00280c, 0x091c0da0,   // hi.mr.ne_665 hr.bs.no_444  sw.mt.un_530 ne.mr.hi_322 
  0x04035504, 0x1a006b0d, 0x293f0107, 0x23004411,   // rw.nl.fi_332 ceb.tl.un_540  en.af.sl_432 kk.ky.un_630 
  0x53002804, 0x08041705, 0x32170f05, 0x080206ee,   // sw.ht.un_320 sr.ru.uk_333  lv.sr.bs_333 de.da.no_422 
  // [2c70]
  0x1f3d28a0, 0x0e190b04, 0x030121a0, 0x17353007,   // sw.ku.cy_322 es.gl.is_332  jw.en.nl_322 uz.tg.sr_432 
  0x170410ad, 0x55567312, 0x23070508, 0x0400070c,   // be.ru.sr_643 ny.mg.rw_654  fr.it.ca_443 bg.ru.un_530 
  0x050c0809, 0x1b5501ee, 0x2f1e1ca0, 0x13002a13,   // no.sv.fr_444 en.rw.tr_422  id.ms.su_322 mt.et.un_650 
  0x09070a04, 0x2d000e0d, 0x1000171a, 0x281c6402,   // pt.it.pl_332 is.sk.un_540  sr.be.un_760 lg.id.sw_222 
  // [2c80]
  0x3f032a0c, 0x09100f02, 0x563037ee, 0x73000122,   // mt.nl.af_543 lv.lt.pl_222  st.uz.mg_422 en.ny.un_870 
  0x0a2305a4, 0x29001608, 0x072301a4, 0x0d002909,   // fr.ca.pt_433 hr.sl.un_430  en.ca.it_433 sl.cs.un_440 
  0x181127a7, 0x31003d12, 0x0d001305, 0x1011230c,   // gd.ro.ga_532 ku.az.un_640  bh.ne.un_330 ky.ro.be_543 
  0x122a0708, 0x160932ee, 0x1c001329, 0x04003f04,   // it.mt.hu_443 bs.pl.hr_422  bh.mr.un_960 af.fi.un_320 
  // [2c90]
  0x21003007, 0x1c000d19, 0x21033f0b, 0x1e301ca9,   // uz.jw.un_420 ne.mr.un_750  af.nl.jw_542 id.uz.ms_544 
  0x04003520, 0x05001702, 0x2800301b, 0x37000612,   // tg.ru.un_850 sr.fr.un_220  uz.sw.un_770 de.st.un_640 
  0x051a01a4, 0x05090707, 0x1e56290c, 0x230a4414,   // en.tl.fr_433 it.pl.fr_432  sl.mg.ms_543 kk.mk.ky_666 
  0x217327ad, 0x04006408, 0x321629a4, 0x21002f14,   // gd.ny.jw_643 lg.fi.un_430  sl.hr.bs_433 su.jw.un_660 
  // [2ca0]
  0x1f3f0408, 0x0a000719, 0x0b190a13, 0x13000419,   // fi.af.cy_443 bg.mk.un_750  pt.gl.es_665 fi.et.un_750 
  0x20001702, 0x0f131005, 0x06130c0c, 0x29005608,   // sr.sq.un_220 lt.et.lv_333  sv.et.de_543 mg.sl.un_430 
  0x23190a0c, 0x18060e07, 0x08000409, 0x04231002,   // pt.gl.ca_543 is.de.ga_432  ru.uk.un_440 be.ky.ru_222 
  0x2d0d0e0e, 0x1c000d14, 0x557364ec, 0x03133f02,   // is.cs.sk_555 ne.mr.un_660  lg.ny.rw_644 af.et.nl_222 
  // [2cb0]
  0x122d0d60, 0x55642808, 0x25182fee, 0x354430ee,   // cs.sk.hu_664 sw.lg.rw_443  su.ga.eu_422 uz.kk.tg_422 
  0x16291ca0, 0x162d0d55, 0x061304ec, 0x29171602,   // id.sl.hr_322 cs.sk.hr_442  fi.et.de_644 hr.sr.sl_222 
  0x23000609, 0x170a0705, 0x4408230c, 0x04082355,   // de.ca.un_440 bg.mk.sr_333  ky.uk.kk_543 ky.uk.ru_442 
  0x0f3f0807, 0x13000e04, 0x302813ee, 0x1c0904a7,   // no.af.lv_432 is.et.un_320  et.sw.uz_422 fi.pl.id_532 
  // [2cc0]
  0x131c0d0e, 0x35081013, 0x6b103fa0, 0x0a081004,   // ne.mr.bh_555 be.uk.tg_665  af.lt.ceb_322 be.uk.mk_332 
  0x2017290c, 0x11000a1a, 0x2900100e, 0x233035a0,   // sl.sr.sq_543 mk.ro.un_760  lt.sl.un_550 tg.uz.ky_322 
  0x10002d19, 0x211e0307, 0x440835a4, 0x3f000604,   // sk.lt.un_750 nl.ms.jw_432  tg.uk.kk_433 de.af.un_320 
  0x04003f1a, 0x04100fad, 0x20003d09, 0x080e29a4,   // af.fi.un_760 lv.lt.fi_643  ku.sq.un_440 sl.is.no_433 
  // [2cd0]
  0x0700080e, 0x1c002b08, 0x0e001222, 0x0a1744ad,   // uk.bg.un_550 vi.id.un_430  hu.is.un_870 kk.sr.mk_643 
  0x30040f12, 0x170411ee, 0x2b001c08, 0x04081013,   // lv.fi.uz_654 ro.ru.sr_422  id.vi.un_430 be.uk.ru_665 
  0x12000e0c, 0x16321755, 0x132b04ad, 0x04000713,   // is.hu.un_530 sr.bs.hr_442  fi.vi.et_643 bg.ru.un_650 
  0x1a6b1e07, 0x04001104, 0x04300a07, 0x027304ee,   // ms.ceb.tl_432 ro.fi.un_320  mk.uz.ru_432 fi.ny.da_422 
  // [2ce0]
  0x28000423, 0x170413ee, 0x130410a4, 0x071a100c,   // fi.sw.un_880 et.fi.sr_422  lt.fi.et_433 lt.tl.it_543 
  0x00006b2d, 0x10001f0e, 0x2b001e07, 0x180e2702,   // ceb.un.un_A00 cy.lt.un_550  ms.vi.un_420 gd.is.ga_222 
  0x64130f08, 0x4404300c, 0x06002a07, 0x0773640c,   // lv.et.lg_443 uz.ru.kk_543  mt.de.un_420 lg.ny.it_543 
  0x0f111313, 0x23301107, 0x100444ad, 0x28130f08,   // et.ro.lv_665 ro.uz.ky_432  kk.ru.be_643 lv.et.sw_443 
  // [2cf0]
  0x011827ad, 0x0f28135a, 0x072f27ad, 0x0f3d0807,   // gd.ga.en_643 et.sw.lv_553  gd.su.it_643 no.ku.lv_432 
  0x077364ad, 0x0f136408, 0x04001c07, 0x0a443508,   // lg.ny.it_643 lg.et.lv_443  id.fi.un_420 tg.kk.mk_443 
  0x6b2a2713, 0x2f0413a9, 0x1e04130c, 0x10310804,   // gd.mt.ceb_665 et.fi.su_544  et.fi.ms_543 no.az.lt_332 
  0x0a00190c, 0x25270107, 0x021b1808, 0x07000502,   // gl.pt.un_530 en.gd.eu_432  ga.tr.da_443 fr.it.un_220 
  // [2d00]
  0x25001108, 0x080201af, 0x1000011a, 0x733f01a4,   // ro.eu.un_430 en.da.no_655  en.lt.un_760 en.af.ny_433 
  0x130401a0, 0x180506a9, 0x0c00030c, 0x32160909,   // en.fi.et_322 de.fr.ga_544  nl.sv.un_530 pl.hr.bs_444 
  0x27061e05, 0x533f13ad, 0x20000219, 0x25033f09,   // ms.de.gd_333 et.af.ht_643  da.sq.un_750 af.nl.eu_444 
  0x023f13a4, 0x0f64280e, 0x137328ec, 0x203f0802,   // et.af.da_433 sw.lg.lv_555  sw.ny.et_644 no.af.sq_222 
  // [2d10]
  0x0400082b, 0x3f1327a4, 0x0420130c, 0x19001012,   // uk.ru.un_980 gd.et.af_433  et.sq.fi_543 lt.gl.un_640 
  0x100835a0, 0x371101ac, 0x10001f23, 0x73000408,   // tg.uk.be_322 en.ro.st_632  cy.lt.un_880 fi.ny.un_430 
  0x12002008, 0x12000a02, 0x1f000107, 0x1000040b,   // sq.hu.un_430 pt.hu.un_220  en.cy.un_420 ru.be.un_520 
  0x07001105, 0x2a131bee, 0x091827af, 0x19530b08,   // ro.it.un_330 tr.et.mt_422  gd.ga.pl_655 es.ht.gl_443 
  // [2d20]
  0x070e08a0, 0x73371eaf, 0x09271812, 0x0c081704,   // no.is.it_322 ms.st.ny_655  ga.gd.pl_654 sr.no.sv_332 
  0x083f1b08, 0x0a0417a4, 0x10070a13, 0x2d00091a,   // tr.af.no_443 sr.ru.mk_433  mk.bg.be_665 pl.sk.un_760 
  0x6b00011a, 0x73375513, 0x642855a9, 0x19050107,   // en.ceb.un_760 rw.st.ny_665  rw.sw.lg_544 en.fr.gl_432 
  0x567325ad, 0x30001a0e, 0x2a182714, 0x1f180607,   // eu.ny.mg_643 tl.uz.un_550  gd.ga.mt_666 de.ga.cy_432 
  // [2d30]
  0x23443507, 0x3f1320a9, 0x735564a4, 0x273001a4,   // tg.kk.ky_432 sq.et.af_544  lg.rw.ny_433 en.uz.gd_433 
  0x182721a4, 0x040d2dad, 0x190b1055, 0x09270605,   // jw.gd.ga_433 sk.cs.fi_643  lt.es.gl_442 de.gd.pl_333 
  0x1c006b04, 0x18272a0c, 0x44081108, 0x190a0b05,   // ceb.id.un_320 mt.gd.ga_543  ro.uk.kk_443 es.pt.gl_333 
  0x32002905, 0x1c556408, 0x073044a4, 0x013f2fa0,   // sl.bs.un_330 lg.rw.id_443  kk.uz.bg_433 su.af.en_322 
  // [2d40]
  0x35071702, 0x01005504, 0x551a6407, 0x270918af,   // sr.bg.tg_222 rw.en.un_320  lg.tl.rw_432 ga.pl.gd_655 
  0x18377355, 0x231e1c04, 0x17233012, 0x10000908,   // ny.st.ga_442 id.ms.ca_332  uz.ky.sr_654 pl.lt.un_430 
  0x091827a9, 0x21000c0c, 0x09271813, 0x07002a0c,   // gd.ga.pl_544 sv.jw.un_530  ga.gd.pl_665 mt.it.un_530 
  0x1f18270c, 0x32172aa9, 0x182709a7, 0x0e020c0c,   // gd.ga.cy_543 mt.sr.bs_544  pl.gd.ga_532 sv.da.is_543 
  // [2d50]
  0x080237a0, 0x44070a05, 0x641e1c0c, 0x372f21a4,   // st.da.no_322 mk.bg.kk_333  id.ms.lg_543 jw.su.st_433 
  0x06000912, 0x09730112, 0x35081007, 0x2a001f34,   // pl.de.un_640 en.ny.pl_654  be.uk.tg_432 cy.mt.un_A80 
  0x23000708, 0x111b2504, 0x2a001e04, 0x0f1f2aa4,   // it.ca.un_430 eu.tr.ro_332  ms.mt.un_320 mt.cy.lv_433 
  0x0f642aa4, 0x2a321704, 0x1b001108, 0x1b003013,   // mt.lg.lv_433 sr.bs.mt_332  ro.tr.un_430 uz.tr.un_650 
  // [2d60]
  0x3500300d, 0x05002b05, 0x2800090e, 0x171609ad,   // uz.tg.un_540 vi.fr.un_330  pl.sw.un_550 pl.hr.sr_643 
  0x04000302, 0x64551c0b, 0x102556ad, 0x0328090b,   // nl.fi.un_220 id.rw.lg_542  mg.eu.lt_643 pl.sw.nl_542 
  0x0e000b04, 0x231044ad, 0x101f2504, 0x3f000913,   // es.is.un_320 kk.be.ky_643  eu.cy.lt_332 pl.af.un_650 
  0x2f001a02, 0x06730955, 0x7300642b, 0x10000a19,   // tl.su.un_220 pl.ny.de_442  lg.ny.un_980 mk.be.un_750 
  // [2d70]
  0x251f2aaf, 0x11132aa4, 0x6400532a, 0x10043007,   // mt.cy.eu_655 mt.et.ro_433  ht.lg.un_970 uz.ru.be_432 
  0x0a3507a7, 0x17082307, 0x1b1e1c13, 0x12001012,   // bg.tg.mk_532 ky.uk.sr_432  id.ms.tr_665 lt.hu.un_640 
  0x44070a07, 0x44231708, 0x561073a0, 0x116b1a07,   // mk.bg.kk_432 sr.ky.kk_443  ny.lt.mg_322 tl.ceb.ro_432 
  0x070a1005, 0x1e1121a0, 0x32001719, 0x1700300c,   // be.mk.bg_333 jw.ro.ms_322  sr.bs.un_750 uz.sr.un_530 
  // [2d80]
  0x191218a7, 0x3500070d, 0x00000101, 0x04070a0e,   // ga.hu.gl_532 bg.tg.un_540  en.un.un_200 mk.bg.ru_555 
  0x16005505, 0x033f6408, 0x25000107, 0x287337a4,   // rw.hr.un_330 lg.af.nl_443  en.eu.un_420 st.ny.sw_433 
  0x20003004, 0x1a001b0c, 0x3f0428ac, 0x231704ec,   // uz.sq.un_320 tr.tl.un_530  sw.fi.af_632 ru.sr.ky_644 
  0x1b001a09, 0x210e0604, 0x03000209, 0x32000104,   // tl.tr.un_440 de.is.jw_332  da.nl.un_440 en.bs.un_320 
  // [2d90]
  0x180627a7, 0x3f006405, 0x03043fad, 0x182f20ba,   // gd.de.ga_532 lg.af.un_330  af.fi.nl_643 sq.su.ga_843 
  0x080410ee, 0x00001e1c, 0x1a006e04, 0x2f0f05ec,   // be.ru.uk_422 ms.un.un_800  hmn.tl.un_320 fr.lv.su_644 
  0x53001913, 0x0a003704, 0x232f2105, 0x042f1ca0,   // gl.ht.un_650 st.pt.un_320  jw.su.ca_333 id.su.fi_322 
  0x190a23af, 0x091e1c02, 0x2800250d, 0x02003f07,   // ca.pt.gl_655 id.ms.pl_222  eu.sw.un_540 af.da.un_420 
  // [2da0]
  0x131c090b, 0x0a1f250c, 0x03080204, 0x10007308,   // hi.mr.bh_542 eu.cy.pt_543  da.no.nl_332 ny.lt.un_430 
  0x02033f08, 0x082f0711, 0x3f002502, 0x033f06a0,   // af.nl.da_443 it.su.no_653  eu.af.un_220 de.af.nl_322 
  0x0e000a0c, 0x08103504, 0x18002118, 0x23001905,   // pt.is.un_530 tg.be.uk_332  fa.ar.un_740 gl.ca.un_330 
  0x040e23a6, 0x533f03a4, 0x0a2f05a0, 0x23190a12,   // ca.is.fi_521 nl.af.ht_433  fr.su.pt_322 pt.gl.ca_654 
  // [2db0]
  0x03533fa4, 0x04321704, 0x551b2804, 0x070a17a7,   // af.ht.nl_433 sr.bs.fi_332  sw.tr.rw_332 sr.mk.bg_532 
  0x0e000d04, 0x533f03a0, 0x19122dad, 0x1f3f2504,   // cs.is.un_320 nl.af.ht_322  sk.hu.gl_643 eu.af.cy_332 
  0x17001213, 0x6b003712, 0x2a060112, 0x3f0403a0,   // hu.sr.un_650 st.ceb.un_640  en.de.mt_654 nl.fi.af_322 
  0x08020ea9, 0x080207a0, 0x1f192d07, 0x0a0e30ee,   // is.da.no_544 it.da.no_322  sk.gl.cy_432 uz.is.pt_422 
  // [2dc0]
  0x1200010d, 0x0503640c, 0x55006b08, 0x05000107,   // en.hu.un_540 lg.nl.fr_543  ceb.rw.un_430 en.fr.un_420 
  0x0804070e, 0x09000321, 0x28006b20, 0x2f050ba4,   // bg.ru.uk_555 nl.pl.un_860  ceb.sw.un_850 es.fr.su_433 
  0x30131b07, 0x20002802, 0x045528a0, 0x27001112,   // tr.et.uz_432 sw.sq.un_220  sw.rw.fi_322 ro.gd.un_640 
  0x21005319, 0x2f002113, 0x250713ee, 0x17080404,   // ht.jw.un_750 jw.su.un_650  et.it.eu_422 ru.uk.sr_332 
  // [2dd0]
  0x30443507, 0x18130411, 0x040817a0, 0x0c083d0c,   // tg.kk.uz_432 fi.et.ga_653  sr.uk.ru_322 ku.no.sv_543 
  0x2d0d1809, 0x1e1c56a4, 0x18002504, 0x10070a05,   // ga.cs.sk_444 mg.id.ms_433  eu.ga.un_320 mk.bg.be_333 
  0x08100412, 0x200432ee, 0x3d131f07, 0x25202109,   // ru.be.uk_654 bs.fi.sq_422  cy.et.ku_432 jw.sq.eu_444 
  0x04102304, 0x0d002904, 0x0d001c0e, 0x232b25ad,   // ky.be.ru_332 sl.cs.un_320  mr.ne.un_550 eu.vi.ca_643 
  // [2de0]
  0x13001c21, 0x6b552fa0, 0x126b1a11, 0x29321707,   // mr.bh.un_860 su.rw.ceb_322  tl.ceb.hu_653 sr.bs.sl_432 
  0x322d1055, 0x0b002308, 0x25002313, 0x28002a02,   // lt.sk.bs_442 ca.es.un_430  ca.eu.un_650 mt.sw.un_220 
  0x17002312, 0x17080a02, 0x3023250b, 0x25041108,   // ky.sr.un_640 mk.uk.sr_222  eu.ca.uz_542 ro.fi.eu_443 
  0x2a6b7302, 0x2873640c, 0x0e081fa7, 0x0a080404,   // ny.ceb.mt_222 lg.ny.sw_543  cy.no.is_532 ru.uk.mk_332 
  // [2df0]
  0x04303513, 0x08060fa4, 0x03000612, 0x080f0608,   // tg.uz.ru_665 lv.de.no_433  de.nl.un_640 de.lv.no_443 
  0x040f3dad, 0x130427ad, 0x18000622, 0x09000d1b,   // ku.lv.fi_643 gd.fi.et_643  de.ga.un_870 ne.hi.un_770 
  0x0600101a, 0x030f3f08, 0x321617ad, 0x2b001a0d,   // lt.de.un_760 af.lv.nl_443  sr.hr.bs_643 tl.vi.un_540 
  0x28005304, 0x0e061faf, 0x08060e0c, 0x35113055,   // ht.sw.un_320 cy.de.is_655  is.de.no_543 uz.ro.tg_442 
  // [2e00]
  0x6e6b3d05, 0x23031908, 0x08004414, 0x291b0da0,   // ku.ceb.hmn_333 gl.nl.ca_443  kk.uk.un_660 cs.tr.sl_322 
  0x0a052ba9, 0x0444110c, 0x30002008, 0x040a0707,   // vi.fr.pt_544 ro.kk.ru_543  sq.uz.un_430 bg.mk.ru_432 
  0x0c296bee, 0x20003009, 0x2b1127a0, 0x20003d19,   // ceb.sl.sv_422 uz.sq.un_440  gd.ro.vi_322 ku.sq.un_750 
  0x06190a09, 0x0300060d, 0x030e0607, 0x2f000304,   // pt.gl.de_444 de.nl.un_540  de.is.nl_432 nl.su.un_320 
  // [2e10]
  0x12211812, 0x3f0306a4, 0x28005302, 0x12000302,   // ar.fa.ur_654 de.nl.af_433  ht.sw.un_220 nl.hu.un_220 
  0x12001308, 0x063f030c, 0x083f12a9, 0x11301108,   // et.hu.un_430 nl.af.de_543  hu.af.no_544 ro.uz.ro_443 
  0x13060ca9, 0x00002d24, 0x080a350c, 0x6b001a29,   // sv.de.et_544 sk.un.un_900  tg.mk.uk_543 tl.ceb.un_960 
  0x083f05ee, 0x051f28ee, 0x30002012, 0x2b1827af,   // fr.af.no_422 sw.cy.fr_422  sq.uz.un_640 gd.ga.vi_655 
  // [2e20]
  0x0c060107, 0x2000301a, 0x3000200d, 0x1200641a,   // en.de.sv_432 uz.sq.un_760  sq.uz.un_540 lg.hu.un_760 
  0x31201bee, 0x0a042308, 0x0a000407, 0x27003702,   // tr.sq.az_422 ky.ru.mk_443  ru.mk.un_420 st.gd.un_220 
  0x1b0c02a9, 0x052f2108, 0x0e062705, 0x18005312,   // da.sv.tr_544 jw.su.fr_443  gd.de.is_333 ht.ga.un_640 
  0x1f0306ad, 0x040a0755, 0x10007307, 0x110f7307,   // de.nl.cy_643 bg.mk.ru_442  ny.lt.un_420 ny.lv.ro_432 
  // [2e30]
  0x12051f0c, 0x27001804, 0x2a0653ec, 0x3f0c08a4,   // cy.fr.hu_543 ga.gd.un_320  ht.de.mt_644 no.sv.af_433 
  0x0f130455, 0x130c04ee, 0x5305370c, 0x061827ec,   // fi.et.lv_442 fi.sv.et_422  st.fr.ht_543 gd.ga.de_644 
  0x08001e04, 0x0708110d, 0x0e6406a7, 0x370e07ee,   // ms.no.un_320 ro.uk.bg_554  de.lg.is_532 it.is.st_422 
  0x17001607, 0x640655ec, 0x100f2aad, 0x64000104,   // hr.sr.un_420 rw.de.lg_644  mt.lv.lt_643 en.lg.un_320 
  // [2e40]
  0x0705010b, 0x01000907, 0x28647309, 0x6b3d01a4,   // en.fr.it_542 pl.en.un_420  ny.lg.sw_444 en.ku.ceb_433 
  0x1f007304, 0x44303504, 0x12180804, 0x00001a2d,   // ny.cy.un_320 tg.uz.kk_332  no.ga.hu_332 tl.un.un_A00 
  0x01006419, 0x03556405, 0x20092d11, 0x03006422,   // lg.en.un_750 lg.rw.nl_333  sk.pl.sq_653 lg.nl.un_870 
  0x6b561a12, 0x0a002814, 0x55003f14, 0x0200060c,   // tl.mg.ceb_654 sw.pt.un_660  af.rw.un_660 de.da.un_530 
  // [2e50]
  0x2a006412, 0x1b091ca0, 0x090e1fa4, 0x081013a4,   // lg.mt.un_640 id.pl.tr_322  cy.is.pl_433 et.lt.no_433 
  0x091a6b55, 0x09556eec, 0x08020f05, 0x31191f07,   // ceb.tl.pl_442 hmn.rw.pl_644  lv.da.no_333 cy.gl.az_432 
  0x1f56200c, 0x09647307, 0x04050112, 0x053f060c,   // sq.mg.cy_543 ny.lg.pl_432  en.fr.fi_654 de.af.fr_543 
  0x1700160e, 0x08040c04, 0x080e0204, 0x731a6413,   // hr.sr.un_550 sv.fi.no_332  da.is.no_332 lg.tl.ny_665 
  // [2e60]
  0x0b001a09, 0x042a0e11, 0x321f56ec, 0x12033fa0,   // tl.es.un_440 is.mt.fi_653  mg.cy.bs_644 af.nl.hu_322 
  0x73645504, 0x13212fa4, 0x0a043504, 0x211e1c0d,   // rw.lg.ny_332 su.jw.et_433  tg.ru.mk_332 id.ms.jw_554 
  0x64047307, 0x35003008, 0x18030655, 0x2d002907,   // ny.fi.lg_432 uz.tg.un_430  de.nl.ga_442 sl.sk.un_420 
  0x11070408, 0x64283704, 0x642813a7, 0x11044413,   // ru.bg.ro_443 st.sw.lg_332  et.sw.lg_532 kk.ru.ro_665 
  // [2e70]
  0x3f000912, 0x19256407, 0x082973af, 0x1732160c,   // pl.af.un_640 lg.eu.gl_432  ny.sl.no_655 hr.bs.sr_543 
  0x0f04100c, 0x100c0807, 0x0e020807, 0x2b001308,   // lt.fi.lv_543 no.sv.lt_432  no.da.is_432 et.vi.un_430 
  0x2a001702, 0x3732160d, 0x3028730c, 0x1e001c22,   // sr.mt.un_220 hr.bs.st_554  ny.sw.uz_543 id.ms.un_870 
  0x252d0aa0, 0x3217160d, 0x16301007, 0x28002513,   // pt.sk.eu_322 hr.sr.bs_554  lt.uz.hr_432 eu.sw.un_650 
  // [2e80]
  0x30532508, 0x23303508, 0x2f002502, 0x0600370e,   // eu.ht.uz_443 tg.uz.ky_443  eu.su.un_220 st.de.un_550 
  0x00003d03, 0x0a353060, 0x01103fa7, 0x0a070413,   // ku.un.un_300 uz.tg.mk_664  af.lt.en_532 ru.bg.mk_665 
  0x090c02a0, 0x2f731c0c, 0x0a000809, 0x1e0c1ca0,   // da.sv.pl_322 id.ny.su_543  no.pt.un_440 id.sv.ms_322 
  0x2a002012, 0x2344040c, 0x180a0560, 0x0e370807,   // sq.mt.un_640 ru.kk.ky_543  fr.pt.ga_664 no.st.is_432 
  // [2e90]
  0x03232908, 0x3f001307, 0x3f00200c, 0x350430a4,   // sl.ca.nl_443 et.af.un_420  sq.af.un_530 uz.ru.tg_433 
  0x31002007, 0x1b000420, 0x1b313dad, 0x2b016b0c,   // sq.az.un_420 fi.tr.un_850  ku.az.tr_643 ceb.en.vi_543 
  0x0a112704, 0x0a170412, 0x2f211ca4, 0x122d0d09,   // gd.ro.pt_332 ru.sr.mk_654  id.jw.su_433 cs.sk.hu_444 
  0x0c000802, 0x190a11a0, 0x73003709, 0x1c000a04,   // no.sv.un_220 ro.pt.gl_322  st.ny.un_440 pt.id.un_320 
  // [2ea0]
  0x30002007, 0x0c201f0c, 0x07042304, 0x0f001014,   // sq.uz.un_420 cy.sq.sv_543  ky.ru.bg_332 lt.lv.un_660 
  0x09321602, 0x045525ee, 0x3d130105, 0x21001207,   // hr.bs.pl_222 eu.rw.fi_422  en.et.ku_333 ur.fa.un_420 
  0x0c0273a9, 0x5328050c, 0x1100010c, 0x06001212,   // ny.da.sv_544 fr.sw.ht_543  en.ro.un_530 hu.de.un_640 
  0x1c00100d, 0x10070807, 0x13121b0c, 0x440a0712,   // lt.id.un_540 uk.bg.be_432  tr.hu.et_543 bg.mk.kk_654 
  // [2eb0]
  0x1a090ca4, 0x04120c07, 0x170a0809, 0x16000f04,   // sv.pl.tl_433 sv.hu.fi_432  uk.mk.sr_444 lv.hr.un_320 
  0x13001b13, 0x25070c07, 0x6b110c07, 0x2830200c,   // tr.et.un_650 sv.it.eu_432  sv.ro.ceb_432 sq.uz.sw_543 
  0x041011a0, 0x2111550b, 0x7300370e, 0x02060ca4,   // ro.be.ru_322 rw.ro.jw_542  st.ny.un_550 sv.de.da_433 
  0x0a002d0d, 0x21733711, 0x312b1c0c, 0x190b050e,   // sk.pt.un_540 st.ny.jw_653  id.vi.az_543 fr.es.gl_555 
  // [2ec0]
  0x07113012, 0x73000104, 0x44003002, 0x0f001b04,   // uz.ro.bg_654 en.ny.un_320  uz.kk.un_220 tr.lv.un_320 
  0x212f6408, 0x27180c0b, 0x05002f07, 0x1004070c,   // lg.su.jw_443 sv.ga.gd_542  su.fr.un_420 bg.ru.be_543 
  0x3f1b13af, 0x21003f04, 0x18283fa9, 0x0b000502,   // et.tr.af_655 af.jw.un_320  af.sw.ga_544 fr.es.un_220 
  0x3f1b1260, 0x110a35a4, 0x0a1704a6, 0x0c050802,   // hu.tr.af_664 tg.mk.ro_433  ru.sr.mk_521 no.fr.sv_222 
  // [2ed0]
  0x13190a04, 0x321617ac, 0x0a002f11, 0x100417a9,   // pt.gl.et_332 sr.hr.bs_632  su.pt.un_630 sr.ru.be_544 
  0x12001707, 0x251e1c08, 0x0d091c60, 0x12002507,   // sr.hu.un_420 id.ms.eu_443  mr.hi.ne_664 eu.hu.un_420 
  0x130d09ad, 0x1a00300b, 0x0a370302, 0x3100300e,   // hi.ne.bh_643 uz.tl.un_520  nl.st.pt_222 uz.az.un_550 
  0x0a000307, 0x0a1e25ad, 0x1c1e2511, 0x21000304,   // nl.pt.un_420 eu.ms.pt_643  eu.ms.id_653 nl.jw.un_320 
  // [2ee0]
  0x210a25ee, 0x2118120e, 0x11002f04, 0x033f0208,   // eu.pt.jw_422 ur.ar.fa_555  su.ro.un_320 da.af.nl_443 
  0x2f2105ee, 0x04002304, 0x3544300c, 0x08172355,   // fr.jw.su_422 ky.ru.un_320  uz.kk.tg_543 ky.sr.uk_442 
  0x64001a02, 0x1200212c, 0x04231009, 0x3017230c,   // tl.lg.un_220 fa.ur.un_990  be.ky.ru_444 ky.sr.uz_543 
  0x052d0d14, 0x12000708, 0x06130a05, 0x12001302,   // cs.sk.fr_666 it.hu.un_430  pt.et.de_333 et.hu.un_220 
  // [2ef0]
  0x350a07a0, 0x06000521, 0x1e002514, 0x230b19ee,   // bg.mk.tg_322 fr.de.un_860  eu.ms.un_660 gl.es.ca_422 
  0x1e1c25af, 0x2b0c0fa0, 0x37031fad, 0x18005313,   // eu.id.ms_655 lv.sv.vi_322  cy.nl.st_643 ht.ga.un_650 
  0x070a350c, 0x0a003019, 0x04081307, 0x033f37ec,   // tg.mk.bg_543 uz.mk.un_750  et.no.fi_432 st.af.nl_644 
  0x130627a0, 0x2a00040c, 0x2f002114, 0x10003011,   // gd.de.et_322 fi.mt.un_530  jw.su.un_660 uz.be.un_630 
  // [2f00]
  0x1a212fad, 0x053217a0, 0x13000b02, 0x19001a02,   // su.jw.tl_643 sr.bs.fr_322  es.et.un_220 tl.gl.un_220 
  0x56002b04, 0x23070e0c, 0x0d00130b, 0x2373280c,   // vi.mg.un_320 is.it.ca_543  bh.ne.un_520 sw.ny.ca_543 
  0x081107a9, 0x12002d08, 0x17003208, 0x04061311,   // bg.ro.uk_544 sk.hu.un_430  bs.sr.un_430 et.de.fi_653 
  0x13060508, 0x3000231b, 0x2b1e1c0d, 0x53002b14,   // fr.de.et_443 ky.uz.un_770  id.ms.vi_554 vi.ht.un_660 
  // [2f10]
  0x0c2a08a0, 0x0f002813, 0x210e2fa0, 0x32007304,   // no.mt.sv_322 sw.lv.un_650  su.is.jw_322 ny.bs.un_320 
  0x1b072aa4, 0x0200210d, 0x32170f0c, 0x190a0bec,   // mt.it.tr_433 jw.da.un_540  lv.sr.bs_543 es.pt.gl_644 
  0x19730bec, 0x05110111, 0x02003012, 0x211a2faf,   // es.ny.gl_644 en.ro.fr_653  uz.da.un_640 su.tl.jw_655 
  0x080410a7, 0x080210a0, 0x35231009, 0x0b007304,   // be.ru.uk_532 lt.da.no_322  be.ky.tg_444 ny.es.un_320 
  // [2f20]
  0x100a1713, 0x06001304, 0x21006b08, 0x18211209,   // sr.mk.be_665 et.de.un_320  ceb.jw.un_430 ur.fa.ar_444 
  0x050201ee, 0x0c000207, 0x10000f0c, 0x0100070e,   // en.da.fr_422 da.sv.un_420  lv.lt.un_530 it.en.un_550 
  0x0b231208, 0x641a6b07, 0x09071102, 0x17102da0,   // hu.ca.es_443 ceb.tl.lg_432  ro.it.pl_222 sk.lt.sr_322 
  0x01232aa0, 0x231b30a0, 0x2f642807, 0x070a10a4,   // mt.ca.en_322 uz.tr.ca_322  sw.lg.su_432 be.mk.bg_433 
  // [2f30]
  0x281f73ec, 0x5564280c, 0x17070a02, 0x19120b0c,   // ny.cy.sw_644 sw.lg.rw_543  mk.bg.sr_222 es.hu.gl_543 
  0x556428ad, 0x322d0d0d, 0x2703180e, 0x070a30ee,   // sw.lg.rw_643 cs.sk.bs_554  ga.nl.gd_555 uz.mk.bg_422 
  0x06000813, 0x0700080c, 0x10000e18, 0x303523a9,   // no.de.un_650 uk.bg.un_530  is.lt.un_740 ky.tg.uz_544 
  0x28003114, 0x033f2704, 0x1c211eec, 0x170704a9,   // az.sw.un_660 gd.af.nl_332  ms.jw.id_644 ru.bg.sr_544 
  // [2f40]
  0x030a07a0, 0x0d001c1a, 0x081117a4, 0x5500640c,   // it.pt.nl_322 mr.ne.un_760  sr.ro.uk_433 lg.rw.un_530 
  0x3f00032c, 0x04100708, 0x170735ee, 0x03011855,   // nl.af.un_990 bg.be.ru_443  tg.bg.sr_422 ga.en.nl_442 
  0x0408100d, 0x092873a4, 0x440a1708, 0x061e1c14,   // be.uk.ru_554 ny.sw.pl_433  sr.mk.kk_443 id.ms.de_666 
  0x32002108, 0x64201ea0, 0x1732160b, 0x0d1c09a0,   // jw.bs.un_430 ms.sq.lg_322  hr.bs.sr_542 hi.mr.ne_322 
  // [2f50]
  0x20171ea0, 0x21000412, 0x21535504, 0x28007314,   // ms.sr.sq_322 fi.jw.un_640  rw.ht.jw_332 ny.sw.un_660 
  0x642f5512, 0x44002318, 0x2344300c, 0x1b733205,   // rw.su.lg_654 ky.kk.un_740  uz.kk.ky_543 bs.ny.tr_333 
  0x73643d07, 0x033f27a4, 0x18000304, 0x0d122d08,   // ku.lg.ny_432 gd.af.nl_433  nl.ga.un_320 sk.hu.cs_443 
  0x211c1e11, 0x10002d08, 0x11001b0d, 0x0444350c,   // ms.id.jw_653 sk.lt.un_430  tr.ro.un_540 tg.kk.ru_543 
  // [2f60]
  0x642f21a9, 0x070a04ad, 0x12002a19, 0x350730af,   // jw.su.lg_544 ru.mk.bg_643  mt.hu.un_750 uz.bg.tg_655 
  0x10080413, 0x07003721, 0x1004070d, 0x18211208,   // ru.uk.be_665 st.it.un_860  it.fi.lt_554 ur.fa.ar_443 
  0x6e006b12, 0x16000f07, 0x0408230c, 0x0c003007,   // ceb.hmn.un_640 lv.hr.un_420  ky.uk.ru_543 uz.sv.un_420 
  0x31002a0c, 0x1a001c04, 0x0a0711a9, 0x1632175a,   // mt.az.un_530 id.tl.un_320  ro.bg.mk_544 sr.bs.hr_553 
  // [2f70]
  0x0c001704, 0x442330a7, 0x3f003d05, 0x07040aa4,   // sr.sv.un_320 uz.ky.kk_532  ku.af.un_330 mk.ru.bg_433 
  0x0e060ca0, 0x3f063d0c, 0x23003202, 0x35302312,   // sv.de.is_322 ku.de.af_543  bs.ca.un_220 ky.uz.tg_654 
  0x081017a0, 0x1c1e2155, 0x3f00060d, 0x08100707,   // sr.be.uk_322 jw.ms.id_442  de.af.un_540 bg.be.uk_432 
  0x080a17a0, 0x08070a55, 0x441007a4, 0x2f0e21ad,   // sr.mk.uk_322 mk.bg.uk_442  bg.be.kk_433 jw.is.su_643 
  // [2f80]
  0x08041008, 0x3008100b, 0x25232112, 0x202a3055,   // be.ru.uk_443 be.uk.uz_542  jw.ca.eu_654 uz.mt.sq_442 
  0x1e1c2105, 0x013f06ee, 0x180b190b, 0x28005502,   // jw.id.ms_333 de.af.en_422  gl.es.ga_542 rw.sw.un_220 
  0x0e002012, 0x1000041a, 0x04000b07, 0x64732160,   // sq.is.un_640 ru.be.un_760  es.fi.un_420 jw.ny.lg_664 
  0x28002502, 0x081111a9, 0x3d28130c, 0x3f063d11,   // eu.sw.un_220 ro.ro.uk_544  et.sw.ku_543 ku.de.af_653 
  // [2f90]
  0x23040855, 0x25287307, 0x212a20ad, 0x00003037,   // uk.ru.ky_442 ny.sw.eu_432  sq.mt.jw_643 uz.un.un_B00 
  0x29002507, 0x080e2012, 0x56000504, 0x20000e1b,   // eu.sl.un_420 sq.is.no_654  fr.mg.un_320 is.sq.un_770 
  0x731a210c, 0x020e0c05, 0x32116407, 0x041321a7,   // jw.tl.ny_543 sv.is.da_333  lg.ro.bs_432 jw.et.fi_532 
  0x100421ad, 0x171632a6, 0x25033f07, 0x25003f08,   // jw.fi.lt_643 bs.hr.sr_521  af.nl.eu_432 af.eu.un_430 
  // [2fa0]
  0x041007a0, 0x0c080ea7, 0x313f03a4, 0x0a00172b,   // bg.be.ru_322 is.no.sv_532  nl.af.az_433 sr.mk.un_980 
  0x0b3719a0, 0x033f01a7, 0x033f6ead, 0x0b0c0607,   // gl.st.es_322 en.af.nl_532  hmn.af.nl_643 de.sv.es_432 
  0x0f2930a7, 0x300a07a4, 0x06000f0e, 0x0000160a,   // uz.sl.lv_532 bg.mk.uz_433  lv.de.un_550 hr.un.un_500 
  0x3f007304, 0x3f032fa0, 0x10730f12, 0x30002504,   // ny.af.un_320 su.nl.af_322  lv.ny.lt_654 eu.uz.un_320 
  // [2fb0]
  0x3f00131a, 0x6e033f13, 0x0e0f1fad, 0x16003007,   // et.af.un_760 af.nl.hmn_665  cy.lv.is_643 uz.hr.un_420 
  0x532a0707, 0x3035110c, 0x531656ac, 0x01003f08,   // it.mt.ht_432 ro.tg.uz_543  mg.hr.ht_632 af.en.un_430 
  0x64002119, 0x6e000309, 0x033f6ea4, 0x172a1104,   // jw.lg.un_750 nl.hmn.un_440  hmn.af.nl_433 ro.mt.sr_332 
  0x302d0d13, 0x1f00280d, 0x2d0d04a0, 0x10041105,   // cs.sk.uz_665 sw.cy.un_540  fi.cs.sk_322 ro.ru.be_333 
  // [2fc0]
  0x172d0d07, 0x10001c02, 0x17001007, 0x25006b07,   // cs.sk.sr_432 id.lt.un_220  lt.sr.un_420 ceb.eu.un_420 
  0x27001f07, 0x2800730d, 0x12000713, 0x13036eee,   // cy.gd.un_420 ny.sw.un_540  it.hu.un_650 hmn.nl.et_422 
  0x040c06a9, 0x13006e13, 0x170423ac, 0x31002902,   // de.sv.fi_544 hmn.et.un_650  ky.ru.sr_632 sl.az.un_220 
  0x73642d02, 0x08040a11, 0x1c301e07, 0x13001c04,   // sk.lg.ny_222 mk.ru.uk_653  ms.uz.id_432 mr.bh.un_320 
  // [2fd0]
  0x0f6e5602, 0x0f0e1005, 0x311b1104, 0x2d0d1fee,   // mg.hmn.lv_222 lt.is.lv_333  ro.tr.az_332 cy.cs.sk_422 
  0x080c1bec, 0x13041004, 0x0e003f09, 0x01180eee,   // tr.sv.no_644 lt.fi.et_332  af.is.un_440 is.ga.en_422 
  0x082f1f07, 0x0e063dec, 0x55211e04, 0x08002507,   // cy.su.no_432 ku.de.is_644  ms.jw.rw_332 eu.no.un_420 
  0x073f6ea9, 0x19002f07, 0x272f2a08, 0x202d17a0,   // hmn.af.it_544 su.gl.un_420  mt.su.gd_443 sr.sk.sq_322 
  // [2fe0]
  0x19311baf, 0x1b063da9, 0x640825a4, 0x070a17ee,   // tr.az.gl_655 ku.de.tr_544  eu.no.lg_433 sr.mk.bg_422 
  0x080205af, 0x1f060812, 0x182753a7, 0x0b230555,   // fr.da.no_655 no.de.cy_654  ht.gd.ga_532 fr.ca.es_442 
  0x0f2b0308, 0x533130a6, 0x20000f14, 0x16291bee,   // nl.vi.lv_443 uz.az.ht_521  lv.sq.un_660 tr.sl.hr_422 
  0x281f5505, 0x230a04af, 0x30001a2a, 0x0f1a530b,   // rw.cy.sw_333 ru.mk.ky_655  tl.uz.un_970 ht.tl.lv_542 
  // [2ff0]
  0x0c3f30a7, 0x271808a9, 0x1b250c07, 0x050601ee,   // uz.af.sv_532 no.ga.gd_544  sv.eu.tr_432 en.de.fr_422 
  0x11132908, 0x29081ba4, 0x0c1153ad, 0x03133f07,   // sl.et.ro_443 tr.no.sl_433  ht.ro.sv_643 af.et.nl_432 
  0x30006e2a, 0x032b0107, 0x2b000108, 0x080411a0,   // hmn.uz.un_970 en.vi.nl_432  en.vi.un_430 ro.ru.uk_322 
  0x30442312, 0x0f2f1ca4, 0x070501af, 0x190701a4,   // ky.kk.uz_654 id.su.lv_433  en.fr.it_655 en.it.gl_433 
  
  // [3000]
  0x21001113, 0x2d0d560c, 0x1b2d0d07, 0x17003704,   // ro.jw.un_650 mg.cs.sk_543  cs.sk.tr_432 st.sr.un_320 
  0x0c002008, 0x100408af, 0x120f7305, 0x07044414,   // sq.sv.un_430 uk.ru.be_655  ny.lv.hu_333 kk.ru.bg_666 
  0x09023fa0, 0x21310107, 0x1b001012, 0x731a1e07,   // af.da.pl_322 en.az.jw_432  lt.tr.un_640 ms.tl.ny_432 
  0x101b3113, 0x6b2f1a0d, 0x736b1a08, 0x732f1ca4,   // az.tr.lt_665 tl.su.ceb_554  tl.ceb.ny_443 id.su.ny_433 
  // [3010]
  0x07033f60, 0x641a6b5a, 0x171108a4, 0x2100530d,   // af.nl.it_664 ceb.tl.lg_553  uk.ro.sr_433 ht.jw.un_540 
  0x2f1a1ca4, 0x1f001307, 0x53311b09, 0x301b2555,   // id.tl.su_433 et.cy.un_420  tr.az.ht_444 eu.tr.uz_442 
  0x2900100d, 0x30735504, 0x3700280c, 0x64001a20,   // lt.sl.un_540 rw.ny.uz_332  sw.st.un_530 tl.lg.un_850 
  0x13270eec, 0x2a101b08, 0x6b001604, 0x562d0d0d,   // is.gd.et_644 tr.lt.mt_443  hr.ceb.un_320 cs.sk.mg_554 
  // [3020]
  0x281a730c, 0x212f1e08, 0x56000e12, 0x73211a08,   // ny.tl.sw_543 ms.su.jw_443  is.mg.un_640 tl.jw.ny_443 
  0x09001c13, 0x1e1a03ec, 0x185553a9, 0x281a1b0c,   // mr.hi.un_650 nl.tl.ms_644  ht.rw.ga_544 tr.tl.sw_543 
  0x0d090bba, 0x30040808, 0x1e6b1a08, 0x06002119,   // bn.hi.ne_843 uk.ru.uz_443  tl.ceb.ms_443 jw.de.un_750 
  0x0a442312, 0x311e3007, 0x30350aec, 0x18000e18,   // ky.kk.mk_654 uz.ms.az_432  mk.tg.uz_644 is.ga.un_740 
  // [3030]
  0x64372807, 0x27060ead, 0x2f180507, 0x2f1e1cad,   // sw.st.lg_432 is.de.gd_643  fr.ga.su_432 id.ms.su_643 
  0x1c000923, 0x253d1b12, 0x2f123104, 0x230a010c,   // hi.mr.un_880 tr.ku.eu_654  az.hu.su_332 en.pt.ca_543 
  0x09005505, 0x180e01a0, 0x2000010c, 0x0a2f050c,   // rw.pl.un_330 en.is.ga_322  en.sq.un_530 fr.su.pt_543 
  0x5300050b, 0x055507a4, 0x10002908, 0x282029a4,   // fr.ht.un_520 it.rw.fr_433  sl.lt.un_430 sl.sq.sw_433 
  // [3040]
  0x30061f0c, 0x03003713, 0x64031aa7, 0x18270eaf,   // cy.de.uz_543 st.nl.un_650  tl.nl.lg_532 is.gd.ga_655 
  0x0b0a1005, 0x27180ead, 0x0b231913, 0x0e2a270c,   // lt.pt.es_333 is.ga.gd_643  gl.ca.es_665 gd.mt.is_543 
  0x0a1f25a4, 0x73000319, 0x04000a0e, 0x29062508,   // eu.cy.pt_433 nl.ny.un_750  pt.fi.un_550 eu.de.sl_443 
  0x10441711, 0x23304408, 0x2f00210c, 0x350430ac,   // sr.kk.be_653 kk.uz.ky_443  jw.su.un_530 uz.ru.tg_632 
  // [3050]
  0x37000808, 0x3f0a01ad, 0x23044404, 0x29002d0d,   // no.st.un_430 en.pt.af_643  kk.ru.ky_332 sk.sl.un_540 
  0x13201005, 0x1b005522, 0x735301ad, 0x1118270c,   // lt.sq.et_333 rw.tr.un_870  en.ht.ny_643 gd.ga.ro_543 
  0x11300a05, 0x30070408, 0x281b2aa0, 0x0c00130c,   // mk.uz.ro_333 ru.bg.uz_443  mt.tr.sw_322 et.sv.un_530 
  0x2a2f1ea0, 0x170710a4, 0x1b005519, 0x6b000108,   // ms.su.mt_322 be.bg.sr_433  rw.tr.un_750 en.ceb.un_430 
  // [3060]
  0x01530c0b, 0x17111105, 0x1f2120a4, 0x31001b0b,   // sv.ht.en_542 ro.ro.sr_333  sq.jw.cy_433 tr.az.un_520 
  0x3f0b23a4, 0x07000a22, 0x040a080e, 0x27310c02,   // ca.es.af_433 mk.bg.un_870  uk.mk.ru_555 sv.az.gd_222 
  0x1c000920, 0x234410ec, 0x030f3f07, 0x1600080c,   // hi.mr.un_850 be.kk.ky_644  af.lv.nl_432 no.hr.un_530 
  0x01002a02, 0x0a080405, 0x070a04af, 0x1b00551a,   // mt.en.un_220 ru.uk.mk_333  ru.mk.bg_655 rw.tr.un_760 
  // [3070]
  0x20005308, 0x04002504, 0x551b53ad, 0x1f006407,   // ht.sq.un_430 eu.fi.un_320  ht.tr.rw_643 lg.cy.un_420 
  0x052330af, 0x301144a4, 0x05005304, 0x0d002d1a,   // uz.ca.fr_655 kk.ro.uz_433  ht.fr.un_320 sk.cs.un_760 
  0x11051707, 0x0c322f0c, 0x301f07a4, 0x113f0e04,   // sr.fr.ro_432 su.bs.sv_543  it.cy.uz_433 is.af.ro_332 
  0x0a170811, 0x21005302, 0x53080508, 0x04000719,   // uk.sr.mk_653 ht.jw.un_220  fr.no.ht_443 bg.ru.un_750 
  // [3080]
  0x02000c13, 0x1c09130b, 0x1b3f03a7, 0x64003f0d,   // sv.da.un_650 bh.hi.mr_542  nl.af.tr_532 af.lg.un_540 
  0x0a000508, 0x08033f12, 0x35070a07, 0x1f017304,   // fr.pt.un_430 af.nl.no_654  mk.bg.tg_432 ny.en.cy_332 
  0x4423350b, 0x0a0807af, 0x55003705, 0x35000404,   // tg.ky.kk_542 bg.uk.mk_655  st.rw.un_330 ru.tg.un_320 
  0x20070ca4, 0x13000929, 0x01006e08, 0x19060a0c,   // sv.it.sq_433 hi.bh.un_960  hmn.en.un_430 pt.de.gl_543 
  // [3090]
  0x03253fa0, 0x37033f04, 0x033f25ec, 0x1e2530a0,   // af.eu.nl_322 af.nl.st_332  eu.af.nl_644 uz.eu.ms_322 
  0x1b0f20ad, 0x44173507, 0x0c000e12, 0x17070404,   // sq.lv.tr_643 tg.sr.kk_432  is.sv.un_640 ru.bg.sr_332 
  0x44041008, 0x2a003007, 0x440407a4, 0x043530ad,   // be.ru.kk_443 uz.mt.un_420  bg.ru.kk_433 uz.tg.ru_643 
  0x563f25a0, 0x17250302, 0x2d0d12ec, 0x0e00130c,   // eu.af.mg_322 nl.eu.sr_222  hu.cs.sk_644 et.is.un_530 
  // [30a0]
  0x07002804, 0x182d0d05, 0x1e1c3002, 0x0a0708ad,   // sw.it.un_320 cs.sk.ga_333  uz.id.ms_222 uk.bg.mk_643 
  0x2a00051b, 0x3f5528a4, 0x0e1f070c, 0x0e001219,   // fr.mt.un_770 sw.rw.af_433  it.cy.is_543 hu.is.un_750 
  0x060e04a9, 0x372d0d55, 0x04302aa4, 0x0e2d0d0e,   // fi.is.de_544 cs.sk.st_442  mt.uz.fi_433 cs.sk.is_555 
  0x08030e0c, 0x27531c07, 0x640e2a05, 0x170730af,   // is.nl.no_543 id.ht.gd_432  mt.is.lg_333 uz.bg.sr_655 
  // [30b0]
  0x172a0f04, 0x0b001e04, 0x3137640c, 0x170f29ad,   // lv.mt.sr_332 ms.es.un_320  lg.st.az_543 sl.lv.sr_643 
  0x0b001008, 0x0d160fa0, 0x0c0208ee, 0x230501af,   // lt.es.un_430 lv.hr.cs_322  no.da.sv_422 en.fr.ca_655 
  0x080207a4, 0x04002f09, 0x09002d07, 0x0c070e14,   // it.da.no_433 su.fi.un_440  sk.pl.un_420 is.it.sv_666 
  0x0f1f2aee, 0x27001a05, 0x1b00530e, 0x2a2d37af,   // mt.cy.lv_422 tl.gd.un_330  ht.tr.un_550 st.sk.mt_655 
  // [30c0]
  0x560564a4, 0x12190ba4, 0x64733712, 0x27186bee,   // lg.fr.mg_433 es.gl.hu_433  st.ny.lg_654 ceb.ga.gd_422 
  0x3d1b310c, 0x04000705, 0x180e27a9, 0x1e3d1ca9,   // az.tr.ku_543 bg.ru.un_330  gd.is.ga_544 id.ku.ms_544 
  0x130456a4, 0x0c003204, 0x0c080e09, 0x297332a4,   // mg.fi.et_433 bs.sv.un_320  is.no.sv_444 bs.ny.sl_433 
  0x3f321605, 0x04081012, 0x20111b0d, 0x050713a4,   // hr.bs.af_333 be.uk.ru_654  tr.ro.sq_554 et.it.fr_433 
  // [30d0]
  0x73301e0c, 0x31002a07, 0x0e370855, 0x07081208,   // ms.uz.ny_543 mt.az.un_420  no.st.is_442 hu.no.it_443 
  0x28033f12, 0x0f1f5309, 0x735564a7, 0x301b3202,   // af.nl.sw_654 ht.cy.lv_444  lg.rw.ny_532 bs.tr.uz_222 
  0x0e6408a0, 0x13643105, 0x0b002305, 0x277337ee,   // no.lg.is_322 az.lg.et_333  ca.es.un_330 st.ny.gd_422 
  0x170710a0, 0x73000f12, 0x530b1ca4, 0x0b0e2a07,   // be.bg.sr_322 lv.ny.un_640  id.es.ht_433 mt.is.es_432 
  // [30e0]
  0x10000719, 0x3f2106af, 0x20003002, 0x2b005308,   // it.lt.un_750 de.jw.af_655  uz.sq.un_220 ht.vi.un_430 
  0x120930a0, 0x3f000407, 0x01080204, 0x2f5573a4,   // uz.pl.hu_322 fi.af.un_420  da.no.en_332 ny.rw.su_433 
  0x083010a4, 0x27180e0c, 0x04081014, 0x18000c1a,   // be.uz.uk_433 is.ga.gd_543  be.uk.ru_666 sv.ga.un_760 
  0x0a00231b, 0x371c1e0c, 0x17731a55, 0x2100100c,   // ca.pt.un_770 ms.id.st_543  tl.ny.sr_442 lt.jw.un_530 
  // [30f0]
  0x08563dee, 0x2f182708, 0x31040ea7, 0x0f190ba4,   // ku.mg.no_422 gd.ga.su_443  is.fi.az_532 es.gl.lv_433 
  0x04441004, 0x2d0d0509, 0x060c0208, 0x08000e21,   // be.kk.ru_332 fr.cs.sk_444  da.sv.de_443 is.no.un_860 
  0x17110707, 0x120d2807, 0x12000e14, 0x23000308,   // bg.ro.sr_432 sw.cs.hu_432  is.hu.un_660 nl.ca.un_430 
  0x02000e07, 0x19230aa9, 0x233f030d, 0x32001612,   // is.da.un_420 pt.ca.gl_544  nl.af.ca_554 hr.bs.un_640 
  // [3100]
  0x23003d11, 0x25190aad, 0x03000d04, 0x08000e19,   // ku.ca.un_630 pt.gl.eu_643  cs.nl.un_320 is.no.un_750 
  0x00002f2d, 0x201c28ee, 0x04000e0e, 0x1c001e07,   // su.un.un_A00 sw.id.sq_422  is.fi.un_550 ms.id.un_420 
  0x040a08a4, 0x040807a0, 0x18013f07, 0x0c3f1a02,   // uk.mk.ru_433 bg.uk.ru_322  af.en.ga_432 tl.af.sv_222 
  0x23190a14, 0x29002d1a, 0x19000b0b, 0x16002808,   // pt.gl.ca_666 sk.sl.un_760  es.gl.un_520 sw.hr.un_430 
  // [3110]
  0x29167307, 0x010c0504, 0x6420730c, 0x121b3002,   // ny.hr.sl_432 fr.sv.en_332  ny.sq.lg_543 uz.tr.hu_222 
  0x0a192312, 0x06000f12, 0x07043502, 0x55002809,   // ca.gl.pt_654 lv.de.un_640  tg.ru.bg_222 sw.rw.un_440 
  0x20007304, 0x28550711, 0x212f640c, 0x30351708,   // ny.sq.un_320 it.rw.sw_653  lg.su.jw_543 sr.tg.uz_443 
  0x17080413, 0x1b312f04, 0x2a026ba0, 0x0c0e080c,   // ru.uk.sr_665 su.az.tr_332  ceb.da.mt_322 no.is.sv_543 
  // [3120]
  0x2b2f3fa0, 0x0e3f0812, 0x6b086404, 0x17080a08,   // af.su.vi_322 no.af.is_654  lg.no.ceb_332 mk.uk.sr_443 
  0x17071011, 0x09001904, 0x1a0e6ba4, 0x01000605,   // be.bg.sr_653 gl.pl.un_320  ceb.is.tl_433 de.en.un_330 
  0x040810af, 0x303f3155, 0x3012640c, 0x556b370d,   // be.uk.ru_655 az.af.uz_442  lg.hu.uz_543 st.ceb.rw_554 
  0x09217313, 0x09006405, 0x20735504, 0x30642da4,   // ny.jw.pl_665 lg.pl.un_330  rw.ny.sq_332 sk.lg.uz_433 
  // [3130]
  0x27001805, 0x307355ec, 0x0a0704ad, 0x2a000e1b,   // ga.gd.un_330 rw.ny.uz_644  ru.bg.mk_643 is.mt.un_770 
  0x73556413, 0x182d0d20, 0x103730ee, 0x2b000707,   // lg.rw.ny_665 cs.sk.ga_875  uz.st.lt_422 it.vi.un_420 
  0x37063f04, 0x2d0d6e0e, 0x12101a08, 0x013f030b,   // af.de.st_332 hmn.cs.sk_555  tl.lt.hu_443 nl.af.en_542 
  0x3f1a6bec, 0x2d0f64a9, 0x0400730c, 0x121821a9,   // ceb.tl.af_644 lg.lv.sk_544  ny.fi.un_530 fa.ar.ur_544 
  // [3140]
  0x0e2d0dac, 0x0e0208af, 0x30000419, 0x27002d08,   // cs.sk.is_632 no.da.is_655  ru.uz.un_750 sk.gd.un_430 
  0x1b0612ee, 0x0911120c, 0x0d001904, 0x21121811,   // hu.de.tr_422 hu.ro.pl_543  gl.cs.un_320 ar.ur.fa_653 
  0x23060a02, 0x0530310c, 0x04070804, 0x060d0960,   // pt.de.ca_222 az.uz.fr_543  uk.bg.ru_332 pl.cs.de_664 
  0x44000407, 0x10040814, 0x306410ad, 0x07003509,   // ru.kk.un_420 uk.ru.be_666  lt.lg.uz_643 tg.bg.un_440 
  // [3150]
  0x12002914, 0x372b1cee, 0x0a003007, 0x0f2d2912,   // sl.hu.un_660 id.vi.st_422  uz.mk.un_420 sl.sk.lv_654 
  0x2d001302, 0x1a2001ee, 0x27002a13, 0x733701ee,   // et.sk.un_220 en.sq.tl_422  mt.gd.un_650 en.st.ny_422 
  0x31006e14, 0x07203d08, 0x0804110b, 0x3f006e14,   // hmn.az.un_660 ku.sq.it_443  ro.ru.uk_542 hmn.af.un_660 
  0x53000808, 0x230408a0, 0x31056eee, 0x12002a14,   // no.ht.un_430 uk.ru.ky_322  hmn.fr.az_422 mt.hu.un_660 
  // [3160]
  0x3f030208, 0x0d091205, 0x1e313011, 0x23056ea0,   // da.nl.af_443 hu.pl.cs_333  uz.az.ms_653 hmn.fr.ca_322 
  0x21192312, 0x180e31ee, 0x203d0e05, 0x1a00280d,   // ca.gl.jw_654 az.is.ga_422  is.ku.sq_333 sw.tl.un_540 
  0x12000404, 0x132d0d07, 0x2b192307, 0x641a7308,   // fi.hu.un_320 cs.sk.et_432  ca.gl.vi_432 ny.tl.lg_443 
  0x0c2d0d0c, 0x1730350b, 0x3f190b55, 0x31732807,   // cs.sk.sv_543 tg.uz.sr_542  es.gl.af_442 sw.ny.az_432 
  // [3170]
  0x1b000e12, 0x6e005321, 0x120c1bad, 0x0a1707ec,   // is.tr.un_640 ht.hmn.un_860  tr.sv.hu_643 bg.sr.mk_644 
  0x0c2f29a0, 0x1a006408, 0x04080cec, 0x11190b08,   // sl.su.sv_322 lg.tl.un_430  sv.no.fi_644 es.gl.ro_443 
  0x030c0f07, 0x3216290b, 0x080602af, 0x120d09a4,   // lv.sv.nl_432 sl.hr.bs_542  da.de.no_655 pl.cs.hu_433 
  0x2d6425a0, 0x190b53a0, 0x2d0d12a0, 0x092d0d0c,   // eu.lg.sk_322 ht.es.gl_322  hu.cs.sk_322 cs.sk.pl_543 
  // [3180]
  0x6b041a0c, 0x3511110c, 0x04000a12, 0x092d29a4,   // tl.fi.ceb_543 ro.ro.tg_543  mk.ru.un_640 sl.sk.pl_433 
  0x0f2d0d08, 0x306b1a07, 0x301711ec, 0x1a002809,   // cs.sk.lv_443 tl.ceb.uz_432  ro.sr.uz_644 sw.tl.un_440 
  0x35000a05, 0x12001b0d, 0x2011070c, 0x0804170d,   // mk.tg.un_330 tr.hu.un_540  it.ro.sq_543 sr.ru.uk_554 
  0x53001704, 0x23000b02, 0x0b000a07, 0x11071005,   // sr.ht.un_320 es.ca.un_220  pt.es.un_420 lt.it.ro_333 
  // [3190]
  0x10234404, 0x23002107, 0x10080411, 0x20301fad,   // kk.ky.be_332 jw.ca.un_420  ru.uk.be_653 cy.uz.sq_643 
  0x25551207, 0x300720a4, 0x23303514, 0x08001005,   // hu.rw.eu_432 sq.it.uz_433  tg.uz.ky_666 be.uk.un_330 
  0x0d6b1a0c, 0x07001f04, 0x64002807, 0x0d001c05,   // tl.ceb.cs_543 cy.it.un_320  sw.lg.un_420 mr.ne.un_330 
  0x562d0d09, 0x44000413, 0x131b1aa0, 0x290e3004,   // cs.sk.mg_444 ru.kk.un_650  tl.tr.et_322 uz.is.sl_332 
  // [31a0]
  0x32175307, 0x2d120aac, 0x37002804, 0x3000530d,   // ht.sr.bs_432 pt.hu.sk_632  sw.st.un_320 ht.uz.un_540 
  0x04001714, 0x04003f02, 0x170a30a4, 0x56000b02,   // sr.ru.un_660 af.fi.un_220  uz.mk.sr_433 es.mg.un_220 
  0x0f007308, 0x1b101355, 0x6400210c, 0x05005307,   // ny.lv.un_430 et.lt.tr_442  jw.lg.un_530 ht.fr.un_420 
  0x04000e08, 0x09006421, 0x075530a4, 0x070a3508,   // is.fi.un_430 lg.pl.un_860  uz.rw.it_433 tg.mk.bg_443 
  // [31b0]
  0x21190ba4, 0x53000916, 0x0d091c5a, 0x0d001219,   // es.gl.jw_433 pl.ht.un_720  mr.hi.ne_553 hu.cs.un_750 
  0x0b003002, 0x04080a08, 0x733130ad, 0x0c00080e,   // uz.es.un_220 mk.uk.ru_443  uz.az.ny_643 no.sv.un_550 
  0x080a1714, 0x0900560d, 0x2d0d12ac, 0x30101b07,   // sr.mk.uk_666 mg.pl.un_540  hu.cs.sk_632 tr.lt.uz_432 
  0x1a006402, 0x2d090daf, 0x443007a0, 0x091a6bec,   // lg.tl.un_220 cs.pl.sk_655  bg.uz.kk_322 ceb.tl.pl_644 
  // [31c0]
  0x31000609, 0x0b00230d, 0x12230b55, 0x0d002a04,   // de.az.un_440 ca.es.un_540  es.ca.hu_442 mt.cs.un_320 
  0x04007308, 0x30006405, 0x18002107, 0x2d120d0e,   // ny.fi.un_430 lg.uz.un_330  fa.ar.un_420 cs.hu.sk_555 
  0x120b1814, 0x11302312, 0x2f210ba0, 0x13043fa0,   // ga.es.hu_666 ky.uz.ro_654  es.jw.su_322 af.fi.et_322 
  0x35174408, 0x120b23af, 0x530d0455, 0x08000420,   // kk.sr.tg_443 ca.es.hu_655  fi.cs.ht_442 ru.uk.un_850 
  // [31d0]
  0x00002337, 0x03043f08, 0x6b0e1a0c, 0x18002709,   // ca.un.un_B00 af.fi.nl_443  tl.is.ceb_543 gd.ga.un_440 
  0x2f25550d, 0x3d2f21ad, 0x18271f12, 0x442330af,   // rw.eu.su_554 jw.su.ku_643  cy.gd.ga_654 uz.ky.kk_655 
  0x0d000413, 0x2f6420a9, 0x562f0905, 0x55001c1a,   // fi.cs.un_650 sq.lg.su_544  pl.su.mg_333 id.rw.un_760 
  0x062308a4, 0x1a003d22, 0x11000709, 0x18001107,   // no.ca.de_433 ku.tl.un_870  it.ro.un_440 ro.ga.un_420 
  // [31e0]
  0x1f000d04, 0x3f0d53a9, 0x305601a0, 0x110a230e,   // cs.cy.un_320 ht.cs.af_544  en.mg.uz_322 ca.pt.ro_555 
  0x0b033f04, 0x181a6b07, 0x1a3f2912, 0x080c0d0c,   // af.nl.es_332 ceb.tl.ga_432  sl.af.tl_654 cs.sv.no_543 
  0x29001f18, 0x0d003f04, 0x08201f12, 0x3f2111a9,   // cy.sl.un_740 af.cs.un_320  cy.sq.no_654 ro.jw.af_544 
  0x111055ee, 0x6b002108, 0x1120300b, 0x0504530c,   // rw.lt.ro_422 jw.ceb.un_430  uz.sq.ro_542 ht.fi.fr_543 
  // [31f0]
  0x231107a0, 0x531a100c, 0x08031104, 0x2a033f09,   // it.ro.ca_322 lt.tl.ht_543  ro.nl.no_332 af.nl.mt_444 
  0x10040da0, 0x1f00370d, 0x64135508, 0x1a210904,   // cs.fi.lt_322 st.cy.un_540  rw.et.lg_443 pl.jw.tl_332 
  0x2f211a08, 0x30001e0d, 0x08070aaf, 0x0d562d0c,   // tl.jw.su_443 ms.uz.un_540  mk.bg.uk_655 sk.mg.cs_543 
  0x04004421, 0x562d0d13, 0x23000709, 0x211c2fa9,   // kk.ru.un_860 cs.sk.mg_665  it.ca.un_440 su.id.jw_544 
  // [3200]
  0x1e2f1c12, 0x0a1f19af, 0x2f00280d, 0x080435ee,   // id.su.ms_654 gl.cy.pt_655  sw.su.un_540 tg.ru.uk_422 
  0x29002d08, 0x0700230b, 0x0b1819ee, 0x08000e09,   // sk.sl.un_430 ca.it.un_520  gl.ga.es_422 is.no.un_440 
  0x030c0607, 0x286b1aec, 0x0700230c, 0x13000d07,   // de.sv.nl_432 tl.ceb.sw_644  ca.it.un_530 ne.bh.un_420 
  0x531b6b55, 0x2f211ca0, 0x20001f12, 0x0a300708,   // ceb.tr.ht_442 id.jw.su_322  cy.sq.un_640 bg.uz.mk_443 
  // [3210]
  0x373f0307, 0x041a560c, 0x0755280c, 0x161f2aa4,   // nl.af.st_432 mg.tl.fi_543  sw.rw.it_543 mt.cy.hr_433 
  0x0a190b0d, 0x2d0d56af, 0x05002308, 0x04000513,   // es.gl.pt_554 mg.cs.sk_655  ca.fr.un_430 fr.fi.un_650 
  0x0b072312, 0x033f640d, 0x303504a4, 0x3f000505,   // ca.it.es_654 lg.af.nl_554  ru.tg.uz_433 fr.af.un_330 
  0x0e640a04, 0x23053f04, 0x21302f07, 0x11002b13,   // pt.lg.is_332 af.fr.ca_332  su.uz.jw_432 vi.ro.un_650 
  // [3220]
  0x05003f07, 0x0d1b1ca4, 0x091f18af, 0x212f1260,   // af.fr.un_420 id.tr.cs_433  ga.cy.pl_655 hu.su.jw_664 
  0x1100190c, 0x023f0355, 0x1e2f1c07, 0x05005302,   // gl.ro.un_530 nl.af.da_442  id.su.ms_432 ht.fr.un_220 
  0x023d0812, 0x311b1f0e, 0x23003005, 0x1e002f07,   // no.ku.da_654 cy.tr.az_555  uz.ky.un_330 su.ms.un_420 
  0x0c005607, 0x0d00130d, 0x25000704, 0x03133fa9,   // mg.sv.un_420 bh.ne.un_540  it.eu.un_320 af.et.nl_544 
  // [3230]
  0x12002f05, 0x1c2f210c, 0x04001719, 0x2f006b08,   // su.hu.un_330 jw.su.id_543  sr.ru.un_750 ceb.su.un_430 
  0x17000d0d, 0x200a2355, 0x20001c04, 0x53001f07,   // cs.sr.un_540 ca.pt.sq_442  id.sq.un_320 cy.ht.un_420 
  0x1b130908, 0x21122fec, 0x0a0807ee, 0x29080213,   // pl.et.tr_443 su.hu.jw_644  bg.uk.mk_422 da.no.sl_665 
  0x04000c05, 0x12556408, 0x04060c0b, 0x2f2555a4,   // sv.fi.un_330 lg.rw.hu_443  sv.de.fi_542 rw.eu.su_433 
  // [3240]
  0x040711ac, 0x12002f1a, 0x1c080ea0, 0x033f04ee,   // ro.bg.ru_632 su.hu.un_760  is.no.id_322 fi.af.nl_422 
  0x11000107, 0x13000804, 0x10005507, 0x21122fa7,   // en.ro.un_420 no.et.un_320  rw.lt.un_420 su.hu.jw_532 
  0x131b64ee, 0x080456a4, 0x0c000e14, 0x12002814,   // lg.tr.et_422 mg.fi.no_433  is.sv.un_660 sw.hu.un_660 
  0x044408a0, 0x37000e08, 0x282a56ad, 0x10170a12,   // uk.kk.ru_322 is.st.un_430  mg.mt.sw_643 mk.sr.be_654 
  // [3250]
  0x072a01a4, 0x07006404, 0x030b1aad, 0x20230aa7,   // en.mt.it_433 lg.it.un_320  tl.es.nl_643 pt.ca.sq_532 
  0x55003d1b, 0x0e00250d, 0x1b170eee, 0x640d28a0,   // ku.rw.un_770 eu.is.un_540  is.sr.tr_422 sw.cs.lg_322 
  0x0a0623af, 0x121819a0, 0x130603ee, 0x23000b05,   // ca.de.pt_655 gl.ga.hu_322  nl.de.et_422 es.ca.un_330 
  0x6b1a0faf, 0x060325ee, 0x0b121812, 0x55002009,   // lv.tl.ceb_655 eu.nl.de_422  ga.hu.es_654 sq.rw.un_440 
  // [3260]
  0x64001113, 0x0400171a, 0x07170860, 0x131c09ad,   // ro.lg.un_650 sr.ru.un_760  uk.sr.bg_664 hi.mr.bh_643 
  0x31020811, 0x162d01ee, 0x55300708, 0x13090d09,   // no.da.az_653 en.sk.hr_422  it.uz.rw_443 ne.hi.bh_444 
  0x64001a12, 0x1c001e0c, 0x101b1fee, 0x040730ee,   // tl.lg.un_640 ms.id.un_530  cy.tr.lt_422 uz.bg.ru_422 
  0x2f0c1ca0, 0x6b00010c, 0x07111055, 0x1a005502,   // id.sv.su_322 en.ceb.un_530  be.ro.bg_442 rw.tl.un_220 
  // [3270]
  0x35003002, 0x53563d07, 0x280118ee, 0x08370fee,   // uz.tg.un_220 ku.mg.ht_432  ga.en.sw_422 lv.st.no_422 
  0x02122107, 0x12000912, 0x6e290fa4, 0x07002a22,   // jw.hu.da_432 pl.hu.un_640  lv.sl.hmn_433 mt.it.un_870 
  0x1c13095a, 0x1e005605, 0x09003213, 0x23000713,   // hi.bh.mr_553 mg.ms.un_330  bs.pl.un_650 it.ca.un_650 
  0x0a170407, 0x0d00120c, 0x080704a4, 0x18120d0b,   // ru.sr.mk_432 hu.cs.un_530  ru.bg.uk_433 cs.hu.ga_542 
  // [3280]
  0x2b001602, 0x05000a07, 0x104423ad, 0x3f0f100c,   // hr.vi.un_220 pt.fr.un_420  ky.kk.be_643 lt.lv.af_543 
  0x2d1f3011, 0x09190eee, 0x2f2111a7, 0x2f2a300c,   // uz.cy.sk_653 is.gl.pl_422  ro.jw.su_532 uz.mt.su_543 
  0x04442308, 0x0a251802, 0x10000e0b, 0x350a30af,   // ky.kk.ru_443 ga.eu.pt_222  is.lt.un_520 uz.mk.tg_655 
  0x44353012, 0x071104a4, 0x1f002d1a, 0x0c0e08a0,   // uz.tg.kk_654 ru.ro.bg_433  sk.cy.un_760 no.is.sv_322 
  // [3290]
  0x2f6b1a0c, 0x3d2f2355, 0x0c001902, 0x08000c22,   // tl.ceb.su_543 ca.su.ku_442  gl.sv.un_220 sv.no.un_870 
  0x1b3d1ca9, 0x0d1c130c, 0x1f000808, 0x3f090f07,   // id.ku.tr_544 bh.mr.ne_543  no.cy.un_430 lv.pl.af_432 
  0x0a1f2da4, 0x0b2d0d02, 0x6b01110c, 0x07002a21,   // sk.cy.pt_433 cs.sk.es_222  ro.en.ceb_543 mt.it.un_860 
  0x232a0709, 0x312855ee, 0x0c0901ad, 0x09250307,   // it.mt.ca_444 rw.sw.az_422  en.pl.sv_643 nl.eu.pl_432 
  // [32a0]
  0x09131c60, 0x073510ee, 0x112d1207, 0x1b1f53a4,   // mr.bh.hi_664 be.tg.bg_422  hu.sk.ro_432 ht.cy.tr_433 
  0x3f100f09, 0x30232da9, 0x1b000e1a, 0x1f2a53ec,   // lv.lt.af_444 sk.ca.uz_544  is.tr.un_760 ht.mt.cy_644 
  0x1a00230d, 0x1200111a, 0x02000302, 0x3f001022,   // ca.tl.un_540 ro.hu.un_760  nl.da.un_220 lt.af.un_870 
  0x061b0ea0, 0x1b0a0e0c, 0x300a35a4, 0x1000081b,   // is.tr.de_322 is.pt.tr_543  tg.mk.uz_433 uk.be.un_770 
  // [32b0]
  0x2d301fad, 0x30003114, 0x0c001607, 0x2a31300c,   // cy.uz.sk_643 az.uz.un_660  hr.sv.un_420 uz.az.mt_543 
  0x642328a7, 0x10081107, 0x2100200d, 0x18002122,   // sw.ca.lg_532 ro.uk.be_432  sq.jw.un_540 fa.ar.un_870 
  0x44000820, 0x0c0208a4, 0x08021309, 0x04002f08,   // uk.kk.un_850 no.da.sv_433  et.da.no_444 su.fi.un_430 
  0x4435230e, 0x122f0504, 0x530b21a9, 0x04001108,   // ky.tg.kk_555 fr.su.hu_332  jw.es.ht_544 ro.fi.un_430 
  // [32c0]
  0x2b086bee, 0x042311a7, 0x042d0d55, 0x0a2923a0,   // ceb.no.vi_422 ro.ky.ru_532  cs.sk.fi_442 ca.sl.pt_322 
  0x3f2f0304, 0x05532f08, 0x7356370d, 0x271811a4,   // nl.su.af_332 su.ht.fr_443  st.mg.ny_554 ro.ga.gd_433 
  0x3d2901a4, 0x203217a4, 0x0b001602, 0x37645512,   // en.sl.ku_433 sr.bs.sq_433  hr.es.un_220 rw.lg.st_654 
  0x21000104, 0x05005619, 0x0d001213, 0x06110da0,   // en.jw.un_320 mg.fr.un_750  hu.cs.un_650 cs.ro.de_322 
  // [32d0]
  0x212b010c, 0x29172da9, 0x1b200a05, 0x3d2f21b6,   // en.vi.jw_543 sk.sr.sl_544  pt.sq.tr_333 jw.su.ku_766 
  0x23000a0c, 0x0510270c, 0x5500281b, 0x21192f07,   // pt.ca.un_530 gd.lt.fr_543  sw.rw.un_770 su.gl.jw_432 
  0x1c000918, 0x3017440c, 0x11231b07, 0x6b001b09,   // hi.mr.un_740 kk.sr.uz_543  tr.ca.ro_432 tr.ceb.un_440 
  0x080423ad, 0x1a287304, 0x043010ad, 0x20002f08,   // ky.ru.uk_643 ny.sw.tl_332  be.uz.ru_643 su.sq.un_430 
  // [32e0]
  0x350410a4, 0x1100112b, 0x01002807, 0x07000405,   // be.ru.tg_433 ro.ro.un_980  sw.en.un_420 fi.it.un_330 
  0x0a033f07, 0x040d2d0c, 0x031b19a0, 0x321608a4,   // af.nl.pt_432 sk.cs.fi_543  gl.tr.nl_322 no.hr.bs_433 
  0x3511300c, 0x0d202d12, 0x1f3f2d0c, 0x1f00210d,   // uz.ro.tg_543 sk.sq.cs_654  sk.af.cy_543 jw.cy.un_540 
  0x1e00530c, 0x6400121a, 0x23002504, 0x2f212da4,   // ht.ms.un_530 hu.lg.un_760  eu.ca.un_320 sk.jw.su_433 
  // [32f0]
  0x13090d12, 0x090d1307, 0x0c00210c, 0x18003d07,   // ne.hi.bh_654 bh.ne.hi_432  jw.sv.un_530 ku.ga.un_420 
  0x10132507, 0x090164ee, 0x2d040daf, 0x29125507,   // eu.et.lt_432 lg.en.pl_422  cs.fi.sk_655 rw.hu.sl_432 
  0x4400041a, 0x10073004, 0x55001b22, 0x21001a19,   // ru.kk.un_760 uz.it.lt_332  tr.rw.un_870 tl.jw.un_750 
  0x210d0908, 0x271f1811, 0x06080c04, 0x37083f07,   // pl.cs.jw_443 ga.cy.gd_653  sv.no.de_332 af.no.st_432 
  // [3300]
  0x08002d0d, 0x641325a7, 0x20212b07, 0x0c080e13,   // sk.no.un_540 eu.et.lg_532  vi.jw.sq_432 is.no.sv_665 
  0x06036b07, 0x120d2d0b, 0x25006405, 0x1200231a,   // ceb.nl.de_432 sk.cs.hu_542  lg.eu.un_330 ca.hu.un_760 
  0x05001104, 0x07043007, 0x0e190b08, 0x2f21100c,   // ro.fr.un_320 uz.ru.bg_432  es.gl.is_443 lt.jw.su_543 
  0x09302da0, 0x306b1f08, 0x295528af, 0x6b1f1a60,   // sk.uz.pl_322 cy.ceb.uz_443  sw.rw.sl_655 tl.cy.ceb_664 
  // [3310]
  0x311b28af, 0x0b2319a0, 0x1e272007, 0x7364280c,   // sw.tr.az_655 gl.ca.es_322  sq.gd.ms_432 sw.lg.ny_543 
  0x291f0d07, 0x6b1a1e12, 0x28563702, 0x73311b0c,   // cs.cy.sl_432 ms.tl.ceb_654  st.mg.sw_222 tr.az.ny_543 
  0x2f122aa0, 0x2a0f1208, 0x30007319, 0x11552812,   // mt.hu.su_322 hu.lv.mt_443  ny.uz.un_750 sw.rw.ro_654 
  0x73552807, 0x121a6bad, 0x3028070d, 0x300a35a6,   // sw.rw.ny_432 ceb.tl.hu_643  it.sw.uz_554 tg.mk.uz_521 
  // [3320]
  0x08301f0c, 0x31001b18, 0x44100812, 0x23002d04,   // cy.uz.no_543 tr.az.un_740  uk.be.kk_654 sk.ca.un_320 
  0x0e130411, 0x190a0b0c, 0x3500101b, 0x2d190b0d,   // fi.et.is_653 es.pt.gl_543  be.tg.un_770 es.gl.sk_554 
  0x31125304, 0x6b301a13, 0x18002a02, 0x131f6b0d,   // ht.hu.az_332 tl.uz.ceb_665  mt.ga.un_220 ceb.cy.et_554 
  0x645328a7, 0x100423a0, 0x31110dee, 0x1f1a1ea0,   // sw.ht.lg_532 ky.ru.be_322  cs.ro.az_422 ms.tl.cy_322 
  // [3330]
  0x04071008, 0x072555a7, 0x13190b07, 0x0f7309ec,   // be.bg.ru_443 rw.eu.it_532  es.gl.et_432 pl.ny.lv_644 
  0x55736408, 0x0a113508, 0x2d0d29ac, 0x04001a05,   // lg.ny.rw_443 tg.ro.mk_443  sl.cs.sk_632 tl.fi.un_330 
  0x23044412, 0x1300370d, 0x0d001c1b, 0x29321614,   // kk.ru.ky_654 st.et.un_540  mr.ne.un_770 hr.bs.sl_666 
  0x28732da4, 0x19120ba4, 0x19000a2a, 0x13280408,   // sk.ny.sw_433 es.hu.gl_433  pt.gl.un_970 fi.sw.et_443 
  // [3340]
  0x6b0b1a05, 0x212f64a4, 0x1b2a07a0, 0x121a6b05,   // tl.es.ceb_333 lg.su.jw_433  it.mt.tr_322 ceb.tl.hu_333 
  0x121a0cad, 0x23170705, 0x17040708, 0x120c1aa7,   // sv.tl.hu_643 bg.sr.ky_333  bg.ru.sr_443 tl.sv.hu_532 
  0x552a1ba7, 0x06201107, 0x180e12ad, 0x0a190b13,   // tr.mt.rw_532 ro.sq.de_432  hu.is.ga_643 es.gl.pt_665 
  0x12001905, 0x2d0d19a0, 0x02063f05, 0x17162905,   // gl.hu.un_330 gl.cs.sk_322  af.de.da_333 sl.hr.sr_333 
  // [3350]
  0x041b7307, 0x552864a4, 0x556473af, 0x0d122dec,   // ny.tr.fi_432 lg.sw.rw_433  ny.lg.rw_655 sk.hu.cs_644 
  0x041a6b07, 0x0d00090c, 0x04001322, 0x131c04ad,   // ceb.tl.fi_432 hi.ne.un_530  et.fi.un_870 fi.id.et_643 
  0x210f2f04, 0x120c1313, 0x281213a4, 0x09131c13,   // su.lv.jw_332 et.sv.hu_665  et.hu.sw_433 mr.bh.hi_665 
  0x2f131007, 0x0c1e0ba4, 0x29071cee, 0x130c080c,   // lt.et.su_432 es.ms.sv_433  id.it.sl_422 no.sv.et_543 
  // [3360]
  0x0c0f3fee, 0x110108a0, 0x13041e07, 0x6b113712,   // af.lv.sv_422 no.en.ro_322  ms.fi.et_432 st.ro.ceb_654 
  0x0708020d, 0x0c061f0c, 0x0e063f04, 0x56001114,   // da.no.it_554 cy.de.sv_543  af.de.is_332 ro.mg.un_660 
  0x06001a05, 0x1a001c02, 0x0e231905, 0x27002f04,   // tl.de.un_330 id.tl.un_220  gl.ca.is_333 su.gd.un_320 
  0x0f323da4, 0x230435ee, 0x6e005613, 0x0e2d180c,   // ku.bs.lv_433 tg.ru.ky_422  mg.hmn.un_650 ga.sk.is_543 
  // [3370]
  0x0c002d0c, 0x230744a6, 0x13000c0c, 0x01002805,   // sk.sv.un_530 kk.bg.ky_521  sv.et.un_530 sw.en.un_330 
  0x113510a4, 0x0d091312, 0x2b003707, 0x08302305,   // be.tg.ro_433 bh.hi.ne_654  st.vi.un_420 ky.uz.uk_333 
  0x083d5308, 0x04083507, 0x05002317, 0x370856a4,   // ht.ku.no_443 tg.uk.ru_432  ca.fr.un_730 mg.no.st_433 
  0x211c1e0b, 0x30063f07, 0x231b3dee, 0x0f003204,   // ms.id.jw_542 af.de.uz_432  ku.tr.ca_422 bs.lv.un_320 
  // [3380]
  0x0a000512, 0x17070a60, 0x21001602, 0x0e1218af,   // fr.pt.un_640 mk.bg.sr_664  hr.jw.un_220 ga.hu.is_655 
  0x04440a04, 0x3d311b12, 0x07234414, 0x32291707,   // mk.kk.ru_332 tr.az.ku_654  kk.ky.bg_666 sr.sl.bs_432 
  0x17533707, 0x300723ee, 0x290828ee, 0x11001c04,   // st.ht.sr_432 ky.bg.uz_422  sw.no.sl_422 id.ro.un_320 
  0x27001836, 0x3d003f1a, 0x0a17070c, 0x13040c11,   // ga.gd.un_AA0 af.ku.un_760  bg.sr.mk_543 sv.fi.et_653 
  // [3390]
  0x20731a55, 0x100c09a0, 0x111c2f05, 0x16001104,   // tl.ny.sq_442 pl.sv.lt_322  su.id.ro_333 ro.hr.un_320 
  0x372028a4, 0x11272fee, 0x55281309, 0x2700130d,   // sw.sq.st_433 su.gd.ro_422  et.sw.rw_444 et.gd.un_540 
  0x6400281b, 0x27002f13, 0x032718a4, 0x1131280c,   // sw.lg.un_770 su.gd.un_650  ga.gd.nl_433 sw.az.ro_543 
  0x04001a02, 0x01000502, 0x03080208, 0x23041105,   // tl.fi.un_220 fr.en.un_220  da.no.nl_443 ro.ru.ky_333 
  // [33a0]
  0x1f0c06a9, 0x5573640e, 0x043523ec, 0x0d0956ad,   // de.sv.cy_544 lg.ny.rw_555  ky.tg.ru_644 mg.pl.cs_643 
  0x11002f07, 0x06182708, 0x2d0d56ac, 0x292d170c,   // su.ro.un_420 gd.ga.de_443  mg.cs.sk_632 sr.sk.sl_543 
  0x56251ca0, 0x07040a07, 0x532f11a7, 0x303128ec,   // id.eu.mg_322 mk.ru.bg_432  ro.su.ht_532 sw.az.uz_644 
  0x30004407, 0x23002104, 0x19040b07, 0x2a200e0c,   // kk.uz.un_420 jw.ca.un_320  es.fi.gl_432 is.sq.mt_543 
  // [33b0]
  0x55311b07, 0x18031311, 0x1700550c, 0x2a64280c,   // tr.az.rw_432 et.nl.ga_653  rw.sr.un_530 sw.lg.mt_543 
  0x372864a4, 0x08091f04, 0x01060ca0, 0x0a0923a0,   // lg.sw.st_433 cy.pl.no_332  sv.de.en_322 ca.pl.pt_322 
  0x1708230c, 0x28736408, 0x3f0913a4, 0x0c080e0e,   // ky.uk.sr_543 lg.ny.sw_443  et.pl.af_433 is.no.sv_555 
  0x35081107, 0x03080f04, 0x0e1310ec, 0x17040805,   // ro.uk.tg_432 lv.no.nl_332  lt.et.is_644 uk.ru.sr_333 
  // [33c0]
  0x1a1e5507, 0x2f5528ad, 0x0a181210, 0x270521ad,   // rw.ms.tl_432 sw.rw.su_643  hu.ga.pt_642 jw.fr.gd_643 
  0x04000712, 0x6b731a0d, 0x09005608, 0x0f2a250c,   // it.fi.un_640 tl.ny.ceb_554  mg.pl.un_430 eu.mt.lv_543 
  0x0c0608a0, 0x646b1a08, 0x2d17290d, 0x042d0d5a,   // no.de.sv_322 tl.ceb.lg_443  sl.sr.sk_554 cs.sk.fi_553 
  0x73556408, 0x23190b60, 0x121b2004, 0x55002b04,   // lg.rw.ny_443 es.gl.ca_664  sq.tr.hu_332 vi.rw.un_320 
  // [33d0]
  0x35301713, 0x09002d09, 0x09131bee, 0x12230a07,   // sr.uz.tg_665 sk.pl.un_440  tr.et.pl_422 pt.ca.hu_432 
  0x07303507, 0x0a1735a0, 0x06000c1a, 0x0f2a28ec,   // tg.uz.bg_432 tg.sr.mk_322  sv.de.un_760 sw.mt.lv_644 
  0x551628a7, 0x211e0aa0, 0x31212fa4, 0x0d171602,   // sw.hr.rw_532 pt.ms.jw_322  su.jw.az_433 hr.sr.cs_222 
  0x070a1104, 0x20001f0c, 0x4400232a, 0x271805a4,   // ro.mk.bg_332 cy.sq.un_530  ky.kk.un_970 fr.ga.gd_433 
  // [33e0]
  0x0410280c, 0x55286411, 0x040a1711, 0x44082304,   // sw.lt.fi_543 lg.sw.rw_653  sr.mk.ru_653 ky.uk.kk_332 
  0x10002d14, 0x1b000c13, 0x173035ec, 0x110a1711,   // sk.lt.un_660 sv.tr.un_650  tg.uz.sr_644 sr.mk.ro_653 
  0x2f00210d, 0x043007ee, 0x037328ad, 0x1320040c,   // jw.su.un_540 bg.uz.ru_422  sw.ny.nl_643 fi.sq.et_543 
  0x28556409, 0x10000411, 0x13551a05, 0x1a002007,   // lg.rw.sw_444 ru.be.un_630  tl.rw.et_333 sq.tl.un_420 
  // [33f0]
  0x113023a4, 0x1f0e04a4, 0x28647307, 0x0637730c,   // ky.uz.ro_433 fi.is.cy_433  ny.lg.sw_432 ny.st.de_543 
  0x10006b04, 0x171107a9, 0x73000d04, 0x64202307,   // ceb.lt.un_320 bg.ro.sr_544  cs.ny.un_320 ca.sq.lg_432 
  0x282055a4, 0x190b73a4, 0x03003707, 0x20002305,   // rw.sq.sw_433 ny.es.gl_433  st.nl.un_420 ca.sq.un_330 
  0x0c000819, 0x12002904, 0x25100708, 0x08351005,   // no.sv.un_750 sl.hu.un_320  it.lt.eu_443 be.tg.uk_333 
  
  // [3400]
  0x2d1b13ac, 0x1e1c1aaf, 0x060302ee, 0x1b303112,   // et.tr.sk_632 tl.id.ms_655  da.nl.de_422 az.uz.tr_654 
  0x0b182807, 0x162032ee, 0x0d001e02, 0x170c1b55,   // sw.ga.es_432 bs.sq.hr_422  ms.cs.un_220 tr.sv.sr_442 
  0x02000c02, 0x0810170d, 0x080723ee, 0x131827ec,   // sv.da.un_220 sr.be.uk_554  ky.bg.uk_422 gd.ga.et_644 
  0x64000308, 0x170410a7, 0x23000714, 0x1c001318,   // nl.lg.un_430 be.ru.sr_532  it.ca.un_660 bh.mr.un_740 
  // [3410]
  0x23000718, 0x1c090dac, 0x04063f05, 0x070410a7,   // it.ca.un_740 ne.hi.mr_632  af.de.fi_333 be.ru.bg_532 
  0x06003f04, 0x1b000e04, 0x280255a7, 0x081b0c0b,   // af.de.un_320 is.tr.un_320  rw.da.sw_532 sv.tr.no_542 
  0x230704ee, 0x30311bad, 0x1c1b1aa0, 0x02080e0b,   // ru.bg.ky_422 tr.az.uz_643  tl.tr.id_322 is.no.da_542 
  0x2a020eee, 0x12001805, 0x27020ca0, 0x2310170c,   // is.da.mt_422 ga.hu.un_330  sv.da.gd_322 sr.be.ky_543 
  // [3420]
  0x121821a7, 0x090d1ca9, 0x32172f05, 0x04073007,   // fa.ar.ur_532 mr.ne.hi_544  su.sr.bs_333 uz.bg.ru_432 
  0x080a04a4, 0x2300011a, 0x321711af, 0x170730a0,   // ru.mk.uk_433 en.ca.un_760  ro.sr.bs_655 uz.bg.sr_322 
  0x0900190d, 0x290b07ee, 0x0f2d0d05, 0x1c001e08,   // gl.pl.un_540 it.es.sl_422  cs.sk.lv_333 ms.id.un_430 
  0x25000405, 0x162d2907, 0x55001212, 0x0d122d0d,   // fi.eu.un_330 sl.sk.hr_432  hu.rw.un_640 sk.hu.cs_554 
  // [3430]
  0x53000a07, 0x2d001019, 0x02003f08, 0x090f2813,   // pt.ht.un_420 lt.sk.un_750  af.da.un_430 sw.lv.pl_665 
  0x08002f05, 0x0e001808, 0x21007307, 0x17110a07,   // su.no.un_330 ga.is.un_430  ny.jw.un_420 mk.ro.sr_432 
  0x55642005, 0x35000a08, 0x2f281aa0, 0x062904ac,   // sq.lg.rw_333 mk.tg.un_430  tl.sw.su_322 fi.sl.de_632 
  0x56002307, 0x375328a7, 0x12001804, 0x64007314,   // ca.mg.un_420 sw.ht.st_532  ga.hu.un_320 ny.lg.un_660 
  // [3440]
  0x3f030607, 0x3f001219, 0x64283112, 0x552864ec,   // de.nl.af_432 hu.af.un_750  az.sw.lg_654 lg.sw.rw_644 
  0x3f002009, 0x0a6410ee, 0x2f000704, 0x28551b0e,   // sq.af.un_440 lt.lg.pt_422  it.su.un_320 tr.rw.sw_555 
  0x553d2812, 0x2d250da7, 0x23000508, 0x16001012,   // sw.ku.rw_654 cs.eu.sk_532  fr.ca.un_430 lt.hr.un_640 
  0x301a2f09, 0x0f000d04, 0x03133fa0, 0x30040f0c,   // su.tl.uz_444 cs.lv.un_320  af.et.nl_322 lv.fi.uz_543 
  // [3450]
  0x0e002714, 0x6b285513, 0x53002304, 0x120f040d,   // gd.is.un_660 rw.sw.ceb_665  ca.ht.un_320 fi.lv.hu_554 
  0x01190b05, 0x3f03010c, 0x3d122fa4, 0x0830130c,   // es.gl.en_333 en.nl.af_543  su.hu.ku_433 et.uz.no_543 
  0x121a0ca9, 0x06003f02, 0x030601a0, 0x64553d12,   // sv.tl.hu_544 af.de.un_220  en.de.nl_322 ku.rw.lg_654 
  0x03173dee, 0x053f0307, 0x0800110e, 0x5500531a,   // ku.sr.nl_422 nl.af.fr_432  ro.uk.un_550 ht.rw.un_760 
  // [3460]
  0x06040c04, 0x73535512, 0x033f55a0, 0x05000e07,   // sv.fi.de_332 rw.ht.ny_654  rw.af.nl_322 is.fr.un_420 
  0x2d0e1bad, 0x55086407, 0x19530b5a, 0x533155af,   // tr.is.sk_643 lg.no.rw_432  es.ht.gl_553 rw.az.ht_655 
  0x03001204, 0x5500280c, 0x537305a4, 0x0a173002,   // hu.nl.un_320 sw.rw.un_530  fr.ny.ht_433 uz.sr.mk_222 
  0x0e531ba7, 0x3f030608, 0x201b0fee, 0x13286404,   // tr.ht.is_532 de.nl.af_443  lv.tr.sq_422 lg.sw.et_332 
  // [3470]
  0x25002304, 0x303510ec, 0x04001213, 0x2a001f14,   // ca.eu.un_320 be.tg.uz_644  hu.fi.un_650 cy.mt.un_660 
  0x130f300c, 0x06000e14, 0x0e1b5302, 0x2800640c,   // uz.lv.et_543 is.de.un_660  ht.tr.is_222 lg.sw.un_530 
  0x0e0b18a0, 0x0f006404, 0x10000818, 0x6412550c,   // ga.es.is_322 lg.lv.un_320  uk.be.un_740 rw.hu.lg_543 
  0x1a006b02, 0x123d0812, 0x21001211, 0x06036408,   // ceb.tl.un_220 no.ku.hu_654  ur.fa.un_630 lg.nl.de_443 
  // [3480]
  0x28556460, 0x55641060, 0x531b0e0d, 0x0e000a05,   // lg.rw.sw_664 lt.lg.rw_664  is.tr.ht_554 pt.is.un_330 
  0x08000c19, 0x0e001b14, 0x1b000e13, 0x09033f11,   // sv.no.un_750 tr.is.un_660  is.tr.un_650 af.nl.pl_653 
  0x050c20a0, 0x17003008, 0x04302804, 0x170a300c,   // sq.sv.fr_322 uz.sr.un_430  sw.uz.fi_332 uz.mk.sr_543 
  0x13292da4, 0x0f1364ad, 0x21002308, 0x0b2319a4,   // sk.sl.et_433 lg.et.lv_643  ca.jw.un_430 gl.ca.es_433 
  // [3490]
  0x0e2130a9, 0x17000d0c, 0x0f162907, 0x1f000b1b,   // uz.jw.is_544 cs.sr.un_530  sl.hr.lv_432 es.cy.un_770 
  0x27051809, 0x01370d05, 0x2d2319a0, 0x08002504,   // ga.fr.gd_444 cs.st.en_333  gl.ca.sk_322 eu.no.un_320 
  0x0a1e1c0c, 0x110a07a0, 0x091c0dac, 0x0c000104,   // id.ms.pt_543 it.pt.ro_322  ne.mr.hi_632 en.sv.un_320 
  0x1a117308, 0x0a0717ec, 0x06001313, 0x0e2d0d02,   // ny.ro.tl_443 sr.bg.mk_644  et.de.un_650 cs.sk.is_222 
  // [34a0]
  0x1c080205, 0x2a0a04ee, 0x1c0d0904, 0x305331ad,   // da.no.id_333 fi.pt.mt_422  hi.ne.mr_332 az.ht.uz_643 
  0x285330af, 0x0c303204, 0x3d003012, 0x083017a4,   // uz.ht.sw_655 bs.uz.sv_332  uz.ku.un_640 sr.uz.uk_433 
  0x2a013207, 0x29530107, 0x092a1fa7, 0x091f530c,   // bs.en.mt_432 en.ht.sl_432  cy.mt.pl_532 ht.cy.pl_543 
  0x56000d04, 0x181101a7, 0x2073010c, 0x043f0eec,   // cs.mg.un_320 en.ro.ga_532  en.ny.sq_543 is.af.fi_644 
  // [34b0]
  0x2337010c, 0x0e0f0807, 0x530a1c0c, 0x291153ac,   // en.st.ca_543 no.lv.is_432  id.pt.ht_543 ht.ro.sl_632 
  0x08122aa0, 0x3d3730ec, 0x1f0c2d07, 0x1700101b,   // mt.hu.no_322 uz.st.ku_644  sk.sv.cy_432 be.sr.un_770 
  0x532f2704, 0x04100805, 0x16090d07, 0x0a170705,   // gd.su.ht_332 uk.be.ru_333  cs.pl.hr_432 bg.sr.mk_333 
  0x09002902, 0x01040907, 0x13001c1a, 0x281e1cad,   // sl.pl.un_220 pl.fi.en_432  mr.bh.un_760 id.ms.sw_643 
  // [34c0]
  0x0400171b, 0x1c1f1e55, 0x09001f19, 0x19000b2a,   // sr.ru.un_770 ms.cy.id_442  cy.pl.un_750 es.gl.un_970 
  0x2f001e04, 0x01036ba0, 0x21170fee, 0x3f0603a4,   // ms.su.un_320 ceb.nl.en_322  lv.sr.jw_422 nl.de.af_433 
  0x1e281a08, 0x0d100404, 0x17302304, 0x1c1a2508,   // tl.sw.ms_443 fi.lt.cs_332  ky.uz.sr_332 eu.tl.id_443 
  0x2d0d250d, 0x0e00080c, 0x55281f07, 0x0a35080d,   // eu.cs.sk_554 no.is.un_530  cy.sw.rw_432 uk.tg.mk_554 
  // [34d0]
  0x122873af, 0x02001a05, 0x37282f09, 0x2f2a11a7,   // ny.sw.hu_655 tl.da.un_330  su.sw.st_444 ro.mt.su_532 
  0x06000814, 0x0c1306a4, 0x310f25a0, 0x021b11a0,   // no.de.un_660 de.et.sv_433  eu.lv.az_322 ro.tr.da_322 
  0x130d0909, 0x0f2f1c07, 0x2d0d300c, 0x08000c0c,   // hi.ne.bh_444 id.su.lv_432  uz.cs.sk_543 sv.no.un_530 
  0x642855ec, 0x443004ee, 0x160f2d08, 0x12002d04,   // rw.sw.lg_644 ru.uz.kk_422  sk.lv.hr_443 sk.hu.un_320 
  // [34e0]
  0x290f105a, 0x2f0d0911, 0x233544a9, 0x370f2fa9,   // lt.lv.sl_553 pl.cs.su_653  kk.tg.ky_544 su.lv.st_544 
  0x55050fa0, 0x04130c09, 0x06210909, 0x443530ad,   // lv.fr.rw_322 sv.et.fi_444  pl.jw.de_444 uz.tg.kk_643 
  0x1c212fa4, 0x04070aa9, 0x122d0d0b, 0x1000120b,   // su.jw.id_433 mk.bg.ru_544  cs.sk.hu_542 hu.lt.un_520 
  0x1b00300d, 0x03000121, 0x736b1aec, 0x3153200c,   // uz.tr.un_540 en.nl.un_860  tl.ceb.ny_644 sq.ht.az_543 
  // [34f0]
  0x32171b04, 0x73555611, 0x0c000614, 0x1c2a1e07,   // tr.sr.bs_332 mg.rw.ny_653  de.sv.un_660 ms.mt.id_432 
  0x6b0a010b, 0x30007304, 0x6b03010c, 0x08303508,   // en.pt.ceb_542 ny.uz.un_320  en.nl.ceb_543 tg.uz.uk_443 
  0x2100730d, 0x0800020c, 0x2800550e, 0x07353011,   // ny.jw.un_540 da.no.un_530  rw.sw.un_550 uz.tg.bg_653 
  0x234430a9, 0x0a171105, 0x112a2308, 0x0c130412,   // uz.kk.ky_544 ro.sr.mk_333  ca.mt.ro_443 fi.et.sv_654 
  // [3500]
  0x06000408, 0x183f03a0, 0x13000936, 0x0f001a0c,   // fi.de.un_430 nl.af.ga_322  hi.bh.un_AA0 tl.lv.un_530 
  0x0113640b, 0x1030350c, 0x0f291f08, 0x0e002b12,   // lg.et.en_542 tg.uz.be_543  cy.sl.lv_443 vi.is.un_640 
  0x09002d1a, 0x27002008, 0x1c2a210c, 0x0700230e,   // sk.pl.un_760 sq.gd.un_430  jw.mt.id_543 ca.it.un_550 
  0x1318010c, 0x231744a0, 0x21002f21, 0x01032704,   // en.ga.et_543 kk.sr.ky_322  su.jw.un_860 gd.nl.en_332 
  // [3510]
  0x033f56a4, 0x6b132da4, 0x13000d08, 0x2f2125a9,   // mg.af.nl_433 sk.et.ceb_433  ne.bh.un_430 eu.jw.su_544 
  0x17292d0e, 0x1e1a13a4, 0x12001f07, 0x3f172913,   // sk.sl.sr_555 et.tl.ms_433  cy.hu.un_420 sl.sr.af_665 
  0x01002521, 0x441135a4, 0x1f2f2108, 0x1b3153a4,   // eu.en.un_860 tg.ro.kk_433  jw.su.cy_443 ht.az.tr_433 
  0x2a1b17a0, 0x093f2104, 0x0400030e, 0x1211070c,   // sr.tr.mt_322 jw.af.pl_332  nl.fi.un_550 it.ro.hu_543 
  // [3520]
  0x28311b08, 0x13211804, 0x13006e04, 0x060c0304,   // tr.az.sw_443 ga.jw.et_332  hmn.et.un_320 nl.sv.de_332 
  0x0653080c, 0x16060e12, 0x0d192011, 0x03131fac,   // no.ht.de_543 is.de.hr_654  sq.gl.cs_653 cy.et.nl_632 
  0x3f2a13a4, 0x2b000d08, 0x110701a0, 0x172053a6,   // et.mt.af_433 cs.vi.un_430  en.it.ro_322 ht.sq.sr_521 
  0x30001318, 0x1b1119ee, 0x052d0912, 0x21001311,   // et.uz.un_740 gl.ro.tr_422  pl.sk.fr_654 et.jw.un_630 
  // [3530]
  0x7300370c, 0x190b11a0, 0x4408040c, 0x31111ba4,   // st.ny.un_530 ro.es.gl_322  ru.uk.kk_543 tr.ro.az_433 
  0x163f0307, 0x1b2864ee, 0x3f1a1f11, 0x2f1e130c,   // nl.af.hr_432 lg.sw.tr_422  cy.tl.af_653 et.ms.su_543 
  0x32172daf, 0x1f1230ec, 0x25080ca7, 0x53130107,   // sk.sr.bs_655 uz.hu.cy_644  sv.no.eu_532 en.et.ht_432 
  0x1c0f21a0, 0x04005304, 0x20190b05, 0x1b125307,   // jw.lv.id_322 ht.fi.un_320  es.gl.sq_333 ht.hu.tr_432 
  // [3540]
  0x12001807, 0x531219a0, 0x1c2f0107, 0x0a08170c,   // ga.hu.un_420 gl.hu.ht_322  en.su.id_432 sr.uk.mk_543 
  0x016b020c, 0x1b3d5305, 0x3f005520, 0x1b005314,   // da.ceb.en_543 ht.ku.tr_333  rw.af.un_850 ht.tr.un_660 
  0x07190a04, 0x2a180307, 0x31003d14, 0x080417a9,   // pt.gl.it_332 nl.ga.mt_432  ku.az.un_660 sr.ru.uk_544 
  0x73002113, 0x300417a7, 0x1100250e, 0x17110705,   // jw.ny.un_650 sr.ru.uz_532  eu.ro.un_550 bg.ro.sr_333 
  // [3550]
  0x30552811, 0x37003d0c, 0x0a442304, 0x0c040614,   // sw.rw.uz_653 ku.st.un_530  ky.kk.mk_332 de.fi.sv_666 
  0x1e3706a7, 0x0d001e04, 0x033f0204, 0x56000405,   // de.st.ms_532 ms.cs.un_320  da.af.nl_332 fi.mg.un_330 
  0x08041014, 0x443530ec, 0x55006423, 0x081103ee,   // be.ru.uk_666 uz.tg.kk_644  lg.rw.un_880 nl.ro.no_422 
  0x3d1b0605, 0x0a0730ad, 0x0b002a04, 0x1800272c,   // de.tr.ku_333 uz.bg.mk_643  mt.es.un_320 gd.ga.un_990 
  // [3560]
  0x211001a0, 0x05271811, 0x2a000705, 0x23000c02,   // en.lt.jw_322 ga.gd.fr_653  it.mt.un_330 sv.ca.un_220 
  0x2810010b, 0x2a1106ee, 0x1b2a03ee, 0x102718a4,   // en.lt.sw_542 de.ro.mt_422  nl.mt.tr_422 ga.gd.lt_433 
  0x081c1ea9, 0x0a04170e, 0x56051e04, 0x03201b08,   // ms.id.no_544 sr.ru.mk_555  ms.fr.mg_332 tr.sq.nl_443 
  0x73082a04, 0x17000a0b, 0x1b121ea0, 0x070410a9,   // mt.no.ny_332 mk.sr.un_520  ms.hu.tr_322 be.ru.bg_544 
  // [3570]
  0x12002104, 0x28003f14, 0x1e283f08, 0x04004414,   // jw.hu.un_320 af.sw.un_660  af.sw.ms_443 kk.ru.un_660 
  0x3f0e03a9, 0x08070aad, 0x3f000108, 0x180504ee,   // nl.is.af_544 mk.bg.uk_643  en.af.un_430 fi.fr.ga_422 
  0x0125050c, 0x0a0810a0, 0x0a003d09, 0x3f7303ad,   // fr.eu.en_543 be.uk.mk_322  ku.pt.un_440 nl.ny.af_643 
  0x0c002304, 0x0e000804, 0x033f01a0, 0x2d2f2907,   // ca.sv.un_320 no.is.un_320  en.af.nl_322 sl.su.sk_432 
  // [3580]
  0x301e1c08, 0x071008a4, 0x06000405, 0x100711a7,   // id.ms.uz_443 uk.be.bg_433  fi.de.un_330 ro.it.lt_532 
  0x3f0306ec, 0x10170a04, 0x1b301e07, 0x04000c1b,   // de.nl.af_644 mk.sr.be_332  ms.uz.tr_432 sv.fi.un_770 
  0x29091155, 0x0d00120d, 0x3f000204, 0x0c00040d,   // ro.pl.sl_442 hu.cs.un_540  da.af.un_320 fi.sv.un_540 
  0x282f6407, 0x16092907, 0x0e2d0aa9, 0x0a050107,   // lg.su.sw_432 sl.pl.hr_432  pt.sk.is_544 en.fr.pt_432 
  // [3590]
  0x23040a12, 0x4400080e, 0x6400730c, 0x292f1c0c,   // mk.ru.ky_654 uk.kk.un_550  ny.lg.un_530 id.su.sl_543 
  0x3f1303a4, 0x0705010c, 0x0900290d, 0x111008a4,   // nl.et.af_433 en.fr.it_543  sl.pl.un_540 uk.be.ro_433 
  0x01000805, 0x1f007307, 0x21131155, 0x08301108,   // no.en.un_330 ny.cy.un_420  ro.et.jw_442 ro.uz.uk_443 
  0x3f2706ee, 0x08041304, 0x02000304, 0x350408a7,   // de.gd.af_422 et.fi.no_332  nl.da.un_320 uk.ru.tg_532 
  // [35a0]
  0x321623a0, 0x06000807, 0x0b000a08, 0x11000e05,   // ca.hr.bs_322 no.de.un_420  pt.es.un_430 is.ro.un_330 
  0x0d001312, 0x050c0811, 0x0e06180d, 0x44041009,   // bh.ne.un_640 no.sv.fr_653  ga.de.is_554 be.ru.kk_444 
  0x1f2718a9, 0x041827ad, 0x23003f07, 0x1300030d,   // ga.gd.cy_544 gd.ga.fi_643  af.ca.un_420 nl.et.un_540 
  0x37000c0d, 0x13000d13, 0x04001319, 0x1f2801a7,   // sv.st.un_540 ne.bh.un_650  et.fi.un_750 en.sw.cy_532 
  // [35b0]
  0x2301050c, 0x3f132f07, 0x303d11a9, 0x120e0cad,   // fr.en.ca_543 su.et.af_432  ro.ku.uz_544 sv.is.hu_643 
  0x05101f0c, 0x13002f13, 0x12000e0d, 0x0e005313,   // cy.lt.fr_543 su.et.un_650  is.hu.un_540 ht.is.un_650 
  0x01001f04, 0x0810040e, 0x11002a13, 0x0c0802a0,   // cy.en.un_320 ru.be.uk_555  mt.ro.un_650 da.no.sv_322 
  0x0708040d, 0x080e1fec, 0x230408ec, 0x10000419,   // ru.uk.bg_554 cy.is.no_644  uk.ru.ky_644 ru.be.un_750 
  // [35c0]
  0x53190ba7, 0x1f001a13, 0x30002319, 0x370501a4,   // es.gl.ht_532 tl.cy.un_650  ky.uz.un_750 en.fr.st_433 
  0x350410af, 0x06000104, 0x033725a4, 0x082f20a4,   // be.ru.tg_655 en.de.un_320  eu.st.nl_433 sq.su.no_433 
  0x1c130912, 0x27126b07, 0x6b080204, 0x3f2102a0,   // hi.bh.mr_654 ceb.hu.gd_432  da.no.ceb_332 da.jw.af_322 
  0x1b100cad, 0x27007319, 0x040c0608, 0x0c00041a,   // sv.lt.tr_643 ny.gd.un_750  de.sv.fi_443 fi.sv.un_760 
  // [35d0]
  0x090d13a0, 0x0a350708, 0x0d001c11, 0x0810040c,   // bh.ne.hi_322 bg.tg.mk_443  mr.ne.un_630 ru.be.uk_543 
  0x273728ec, 0x080c0e13, 0x07040805, 0x203f030d,   // sw.st.gd_644 is.sv.no_665  uk.ru.bg_333 nl.af.sq_554 
  0x082f2105, 0x121e1c09, 0x12006b12, 0x0c0608ec,   // jw.su.no_333 id.ms.hu_444  ceb.hu.un_640 no.de.sv_644 
  0x120e08a0, 0x0413125a, 0x1c2f2105, 0x64003021,   // no.is.hu_322 hu.et.fi_553  jw.su.id_333 uz.lg.un_860 
  // [35e0]
  0x0f3f0308, 0x07001a07, 0x64060e5a, 0x6b3f0355,   // nl.af.lv_443 tl.it.un_420  is.de.lg_553 nl.af.ceb_442 
  0x443023ad, 0x641f120c, 0x1b092da4, 0x18005507,   // ky.uz.kk_643 hu.cy.lg_543  sk.pl.tr_433 rw.ga.un_420 
  0x040130a0, 0x30001111, 0x5364120c, 0x071f0213,   // uz.en.fi_322 ro.uz.un_630  hu.lg.ht_543 da.cy.it_665 
  0x06000d05, 0x11003014, 0x122d0d04, 0x19002707,   // cs.de.un_330 uz.ro.un_660  cs.sk.hu_332 gd.gl.un_420 
  // [35f0]
  0x08040307, 0x10321708, 0x2f131a08, 0x0800440d,   // nl.fi.no_432 sr.bs.lt_443  tl.et.su_443 kk.uk.un_540 
  0x1328040c, 0x23001a04, 0x060e08a0, 0x643f1aa4,   // fi.sw.et_543 tl.ca.un_320  no.is.de_322 tl.af.lg_433 
  0x011353a0, 0x1e1c6b09, 0x166b2008, 0x321608ec,   // ht.et.en_322 ceb.id.ms_444  sq.ceb.hr_443 no.hr.bs_644 
  0x09001208, 0x12080209, 0x111b2aad, 0x1c130908,   // hu.pl.un_430 da.no.hu_444  mt.tr.ro_643 hi.bh.mr_443 
  // [3600]
  0x08120107, 0x641a6b60, 0x190a0805, 0x300a1708,   // en.hu.no_432 ceb.tl.lg_664  no.pt.gl_333 sr.mk.uz_443 
  0x0d091cad, 0x190b1fee, 0x3d6b0107, 0x10442307,   // mr.hi.ne_643 cy.es.gl_422  en.ceb.ku_432 ky.kk.be_432 
  0x043f1aee, 0x133f0411, 0x2700180c, 0x300710ad,   // tl.af.fi_422 fi.af.et_653  ga.gd.un_530 be.bg.uz_643 
  0x0328640c, 0x28033fa4, 0x04000c14, 0x08002a12,   // lg.sw.nl_543 af.nl.sw_433  sv.fi.un_660 mt.no.un_640 
  // [3610]
  0x21321602, 0x31303202, 0x08290d04, 0x301135ad,   // hr.bs.jw_222 bs.uz.az_222  cs.sl.no_332 tg.ro.uz_643 
  0x03006e08, 0x30002f04, 0x3044230e, 0x30001021,   // hmn.nl.un_430 su.uz.un_320  ky.kk.uz_555 be.uz.un_860 
  0x0a0417ee, 0x0817350e, 0x101735a4, 0x056e0d04,   // sr.ru.mk_422 tg.sr.uk_555  tg.sr.be_433 cs.hmn.fr_332 
  0x313032a0, 0x2300101a, 0x13091c0e, 0x21001821,   // bs.uz.az_322 be.ky.un_760  mr.hi.bh_555 ar.fa.un_860 
  // [3620]
  0x311b0c05, 0x081711af, 0x08020309, 0x1708040c,   // sv.tr.az_333 ro.sr.uk_655  nl.da.no_444 ru.uk.sr_543 
  0x04351712, 0x13201002, 0x440411ee, 0x64105602,   // sr.tg.ru_654 lt.sq.et_222  ro.ru.kk_422 mg.lt.lg_222 
  0x29006404, 0x182112a4, 0x6b250202, 0x0d131c0d,   // lg.sl.un_320 ur.fa.ar_433  da.eu.ceb_222 mr.bh.ne_554 
  0x64552814, 0x131c09a9, 0x1b000f21, 0x300435a4,   // sw.rw.lg_666 hi.mr.bh_544  lv.tr.un_860 tg.ru.uz_433 
  // [3630]
  0x0c131b07, 0x040e0c07, 0x170f1ba7, 0x1b003118,   // tr.et.sv_432 sv.is.fi_432  tr.lv.sr_532 az.tr.un_740 
  0x060328a4, 0x2f1e1c0b, 0x130f1207, 0x21201807,   // sw.nl.de_433 id.ms.su_542  hu.lv.et_432 ga.sq.jw_432 
  0x44001714, 0x05001b07, 0x0a3035a0, 0x6b2001a0,   // sr.kk.un_660 tr.fr.un_420  tg.uz.mk_322 en.sq.ceb_322 
  0x29132fa0, 0x0f303708, 0x13060707, 0x210f1b11,   // su.et.sl_322 st.uz.lv_443  it.de.et_432 tr.lv.jw_653 
  // [3640]
  0x13003f05, 0x03001804, 0x53300fa4, 0x2d207307,   // af.et.un_330 ga.nl.un_320  lv.uz.ht_433 ny.sq.sk_432 
  0x0e00530e, 0x0e1f250c, 0x1a001c13, 0x23111855,   // ht.is.un_550 eu.cy.is_543  id.tl.un_650 ga.ro.ca_442 
  0x6b1a1ea9, 0x13040f08, 0x2f0d2008, 0x2a100f12,   // ms.tl.ceb_544 lv.fi.et_443  sq.cs.su_443 lv.lt.mt_654 
  0x0d000108, 0x25100f08, 0x3530230d, 0x16000804,   // en.cs.un_430 lv.lt.eu_443  ky.uz.tg_554 no.hr.un_320 
  // [3650]
  0x1b062a07, 0x3f2a28a4, 0x1f000e1a, 0x230c1aa9,   // mt.de.tr_432 sw.mt.af_433  is.cy.un_760 tl.sv.ca_544 
  0x53080eec, 0x731e37a7, 0x1a005304, 0x35040813,   // is.no.ht_644 st.ms.ny_532  ht.tl.un_320 uk.ru.tg_665 
  0x301317a4, 0x25171b0c, 0x00002737, 0x131017a0,   // sr.et.uz_433 tr.sr.eu_543  gd.un.un_B00 sr.lt.et_322 
  0x116b0fa4, 0x18005302, 0x6b071aaf, 0x08001b0e,   // lv.ceb.ro_433 ht.ga.un_220  tl.it.ceb_655 tr.no.un_550 
  // [3660]
  0x18005307, 0x04000e05, 0x040a1755, 0x53000805,   // ht.ga.un_420 is.fi.un_330  sr.mk.ru_442 no.ht.un_330 
  0x0c0408ee, 0x0a111112, 0x11200d0c, 0x08020e0c,   // no.fi.sv_422 ro.ro.mk_654  cs.sq.ro_543 is.da.no_543 
  0x100411a0, 0x200c2304, 0x04003505, 0x64190bad,   // ro.ru.be_322 ca.sv.sq_332  tg.ru.un_330 es.gl.lg_643 
  0x17070804, 0x1a53210c, 0x05532012, 0x04250fee,   // uk.bg.sr_332 jw.ht.tl_543  sq.ht.fr_654 lv.eu.fi_422 
  // [3670]
  0x6b010655, 0x1120010c, 0x0d6b1aa9, 0x11303513,   // de.en.ceb_442 en.sq.ro_543  tl.ceb.cs_544 tg.uz.ro_665 
  0x0800441a, 0x06371855, 0x1e061bad, 0x170810a9,   // kk.uk.un_760 ga.st.de_442  tr.de.ms_643 be.uk.sr_544 
  0x5528300c, 0x191a0b0b, 0x04003102, 0x313010a4,   // uz.sw.rw_543 es.tl.gl_542  az.fi.un_220 lt.uz.az_433 
  0x53130c02, 0x08070460, 0x5300080e, 0x08170aaf,   // sv.et.ht_222 ru.bg.uk_664  no.ht.un_550 mk.sr.uk_655 
  // [3680]
  0x2a005314, 0x0e3d0104, 0x130d1c5a, 0x1e281c0c,   // ht.mt.un_660 en.ku.is_332  mr.ne.bh_553 id.sw.ms_543 
  0x552f2107, 0x25313012, 0x0e022507, 0x011f1bee,   // jw.su.rw_432 uz.az.eu_654  eu.da.is_432 tr.cy.en_422 
  0x01001a04, 0x131a30ad, 0x0d2d290b, 0x313d28a9,   // tl.en.un_320 uz.tl.et_643  sl.sk.cs_542 sw.ku.az_544 
  0x372f210c, 0x1a003013, 0x29001707, 0x131a28ac,   // jw.su.st_543 uz.tl.un_650  sr.sl.un_420 sw.tl.et_632 
  // [3690]
  0x06000b02, 0x1b1a3d07, 0x03103f07, 0x2f122105,   // es.de.un_220 ku.tl.tr_432  af.lt.nl_432 jw.hu.su_333 
  0x04005502, 0x64001005, 0x192d0b07, 0x011b0ca4,   // rw.fi.un_220 lt.lg.un_330  es.sk.gl_432 sv.tr.en_433 
  0x30311ba9, 0x1b3031af, 0x070408a0, 0x31003022,   // tr.az.uz_544 az.uz.tr_655  uk.ru.bg_322 uz.az.un_870 
  0x6b005619, 0x08043508, 0x3f031c04, 0x6b1028a9,   // mg.ceb.un_750 tg.ru.uk_443  id.nl.af_332 sw.lt.ceb_544 
  // [36a0]
  0x1a736b0d, 0x0a1735ee, 0x6b013da4, 0x2f002004,   // ceb.ny.tl_554 tg.sr.mk_422  ku.en.ceb_433 sq.su.un_320 
  0x10000805, 0x11000502, 0x0900130b, 0x18002114,   // uk.be.un_330 fr.ro.un_220  bh.hi.un_520 fa.ar.un_660 
  0x21023fa0, 0x3f6b1a08, 0x1600100d, 0x0a1117a4,   // af.da.jw_322 tl.ceb.af_443  lt.hr.un_540 sr.ro.mk_433 
  0x1e001213, 0x233010ad, 0x31000904, 0x0c0806a7,   // hu.ms.un_650 be.uz.ky_643  pl.az.un_320 de.no.sv_532 
  // [36b0]
  0x18001221, 0x0e0208ee, 0x042344a4, 0x070a1108,   // ur.ar.un_860 no.da.is_422  kk.ky.ru_433 ro.mk.bg_443 
  0x05230b04, 0x0a0411a7, 0x211c2f60, 0x170a110c,   // es.ca.fr_332 ro.ru.mk_532  su.id.jw_664 ro.mk.sr_543 
  0x0d131cad, 0x08070a12, 0x170d29a0, 0x0844100c,   // mr.bh.ne_643 mk.bg.uk_654  sl.cs.sr_322 be.kk.uk_543 
  0x091c13ec, 0x17292d55, 0x1c0d090d, 0x230a44ee,   // bh.mr.hi_644 sk.sl.sr_442  hi.ne.mr_554 kk.mk.ky_422 
  // [36c0]
  0x05002319, 0x2d321655, 0x0e0208ec, 0x230319a0,   // ca.fr.un_750 hr.bs.sk_442  no.da.is_644 gl.nl.ca_322 
  0x23000a0e, 0x12000f13, 0x08033fa0, 0x02011207,   // pt.ca.un_550 lv.hu.un_650  af.nl.no_322 hu.en.da_432 
  0x0c080faf, 0x060437a7, 0x1b043f04, 0x01060804,   // lv.no.sv_655 st.fi.de_532  af.fi.tr_332 no.de.en_332 
  0x12100fa7, 0x6e6b3107, 0x301c2a0c, 0x071030a7,   // lv.lt.hu_532 az.ceb.hmn_432  mt.id.uz_543 uz.be.bg_532 
  // [36d0]
  0x44000414, 0x04300a05, 0x6e6b3d09, 0x12003202,   // ru.kk.un_660 mk.uz.ru_333  ku.ceb.hmn_444 bs.hu.un_220 
  0x0f0c0807, 0x12003714, 0x18003202, 0x0f001012,   // no.sv.lv_432 st.hu.un_660  bs.ga.un_220 lt.lv.un_640 
  0x301a56a4, 0x230b12ad, 0x53000709, 0x2f10560c,   // mg.tl.uz_433 hu.es.ca_643  it.ht.un_440 mg.lt.su_543 
  0x173004ec, 0x12105504, 0x301f1ba6, 0x0e301bec,   // ru.uz.sr_644 rw.lt.hu_332  tr.cy.uz_521 tr.uz.is_644 
  // [36e0]
  0x18000704, 0x181b27a4, 0x2b2f1e08, 0x120e1304,   // it.ga.un_320 gd.tr.ga_433  ms.su.vi_443 et.is.hu_332 
  0x642873a9, 0x0600550d, 0x300a17a0, 0x040a0712,   // ny.sw.lg_544 rw.de.un_540  sr.mk.uz_322 bg.mk.ru_654 
  0x28005604, 0x25282d55, 0x2f1e31a0, 0x020e550c,   // mg.sw.un_320 sk.sw.eu_442  az.ms.su_322 rw.is.da_543 
  0x53112a04, 0x16170fa9, 0x0f002921, 0x30311ba4,   // mt.ro.ht_332 lv.sr.hr_544  sl.lv.un_860 tr.az.uz_433 
  // [36f0]
  0x07135604, 0x120b23a4, 0x09000d33, 0x3f030207,   // mg.et.it_332 ca.es.hu_433  ne.hi.un_A70 da.nl.af_432 
  0x2b0c0611, 0x1a300fa4, 0x040208ec, 0x1e1c1214,   // de.sv.vi_653 lv.uz.tl_433  no.da.fi_644 hu.id.ms_666 
  0x2d00092a, 0x030c3fa0, 0x1e1c2f05, 0x2d091fec,   // pl.sk.un_970 af.sv.nl_322  su.id.ms_333 cy.pl.sk_644 
  0x2f0f1207, 0x01270c0c, 0x100504ee, 0x1e1c2f09,   // hu.lv.su_432 sv.gd.en_543  fi.fr.lt_422 su.id.ms_444 
  // [3700]
  0x21132fa4, 0x212f050c, 0x12001112, 0x100711ee,   // su.et.jw_433 fr.su.jw_543  ro.hu.un_640 ro.bg.be_422 
  0x120c0f0c, 0x044410a7, 0x202a11a9, 0x3113640d,   // lv.sv.hu_543 be.kk.ru_532  ro.mt.sq_544 lg.et.az_554 
  0x1b003202, 0x203211a0, 0x08101709, 0x0c001219,   // bs.tr.un_220 ro.bs.sq_322  sr.be.uk_444 hu.sv.un_750 
  0x2f00300c, 0x29000d14, 0x08352307, 0x033f0604,   // uz.su.un_530 cs.sl.un_660  ky.tg.uk_432 de.af.nl_332 
  // [3710]
  0x56002319, 0x2a033f05, 0x01006b02, 0x2d000919,   // ca.mg.un_750 af.nl.mt_333  ceb.en.un_220 pl.sk.un_750 
  0x2f003005, 0x28012aee, 0x1e2f1c55, 0x2d091fad,   // uz.su.un_330 mt.en.sw_422  id.su.ms_442 cy.pl.sk_643 
  0x2f052355, 0x32033fa0, 0x08003d0c, 0x322d2905,   // ca.fr.su_442 af.nl.bs_322  ku.no.un_530 sl.sk.bs_333 
  0x0455730d, 0x12033fa4, 0x0400300b, 0x55001a02,   // ny.rw.fi_554 af.nl.hu_433  uz.fi.un_520 tl.rw.un_220 
  // [3720]
  0x191223a7, 0x2300070d, 0x06002905, 0x3d06730c,   // ca.hu.gl_532 it.ca.un_540  sl.de.un_330 ny.de.ku_543 
  0x28006b08, 0x0a041704, 0x2f1c1eee, 0x0b2301a4,   // ceb.sw.un_430 sr.ru.mk_332  ms.id.su_422 en.ca.es_433 
  0x013f0304, 0x06040c12, 0x093f03a9, 0x35044402,   // nl.af.en_332 sv.fi.de_654  nl.af.pl_544 kk.ru.tg_222 
  0x44081009, 0x04000818, 0x012a0704, 0x29025307,   // be.uk.kk_444 uk.ru.un_740  it.mt.en_332 ht.da.sl_432 
  // [3730]
  0x10041708, 0x090c0808, 0x081707ee, 0x040810a6,   // sr.ru.be_443 no.sv.pl_443  bg.sr.uk_422 be.uk.ru_521 
  0x04371e04, 0x201356a6, 0x162d29a0, 0x0d00290e,   // ms.st.fi_332 mg.et.sq_521  sl.sk.hr_322 sl.cs.un_550 
  0x6473285a, 0x30040aa7, 0x11001123, 0x070411ec,   // sw.ny.lg_553 mk.ru.uz_532  ro.ro.un_880 ro.ru.bg_644 
  0x2b00370c, 0x30350a12, 0x0e000208, 0x10234455,   // st.vi.un_530 mk.tg.uz_654  da.is.un_430 kk.ky.be_442 
  // [3740]
  0x1004080d, 0x13642511, 0x0c001f2b, 0x10081104,   // uk.ru.be_554 eu.lg.et_653  cy.sv.un_980 ro.uk.be_332 
  0x3f001e04, 0x30250807, 0x162a2d07, 0x073f010c,   // ms.af.un_320 no.eu.uz_432  sk.mt.hr_432 en.af.it_543 
  0x2b00301b, 0x251819a0, 0x2f000412, 0x531907af,   // uz.vi.un_770 gl.ga.eu_322  fi.su.un_640 it.gl.ht_655 
  0x21005602, 0x211e2fa7, 0x23055312, 0x190b070e,   // mg.jw.un_220 su.ms.jw_532  ht.fr.ca_654 it.es.gl_555 
  // [3750]
  0x07000d0d, 0x56275308, 0x202b5304, 0x1e560308,   // cs.it.un_540 ht.gd.mg_443  ht.vi.sq_332 nl.mg.ms_443 
  0x19287355, 0x00005337, 0x44001009, 0x0e182712,   // ny.sw.gl_442 ht.un.un_B00  be.kk.un_440 gd.ga.is_654 
  0x2344100b, 0x292d0d09, 0x0f000b02, 0x200b2702,   // be.kk.ky_542 cs.sk.sl_444  es.lv.un_220 gd.es.sq_222 
  0x27000107, 0x11130107, 0x11001f05, 0x0000062d,   // en.gd.un_420 en.et.ro_432  cy.ro.un_330 de.un.un_A00 
  // [3760]
  0x01530c02, 0x2f1a10ee, 0x3f31050c, 0x03180613,   // sv.ht.en_222 lt.tl.su_422  fr.az.af_543 de.ga.nl_665 
  0x100f1602, 0x190a3d0b, 0x3028550c, 0x286455ee,   // hr.lv.lt_222 ku.pt.gl_542  rw.sw.uz_543 rw.lg.sw_422 
  0x20003d13, 0x1f00041a, 0x552173af, 0x301a55af,   // ku.sq.un_650 fi.cy.un_760  ny.jw.rw_655 rw.tl.uz_655 
  0x2f006b21, 0x1b3d53a4, 0x1873270c, 0x21001e07,   // ceb.su.un_860 ht.ku.tr_433  gd.ny.ga_543 ms.jw.un_420 
  // [3770]
  0x2f002116, 0x6b1b1a11, 0x18002712, 0x2d100da4,   // jw.su.un_720 tl.tr.ceb_653  gd.ga.un_640 cs.lt.sk_433 
  0x1127180e, 0x55003019, 0x1b00550e, 0x10002911,   // ga.gd.ro_555 uz.rw.un_750  rw.tr.un_550 sl.lt.un_630 
  0x12006e04, 0x130f12af, 0x08040aad, 0x080204ee,   // hmn.hu.un_320 hu.lv.et_655  mk.ru.uk_643 fi.da.no_422 
  0x183027af, 0x640807a6, 0x6b012ba0, 0x130825ad,   // gd.uz.ga_655 it.no.lg_521  vi.en.ceb_322 eu.no.et_643 
  // [3780]
  0x170a080c, 0x212320ac, 0x55002108, 0x111e0707,   // uk.mk.sr_543 sq.ca.jw_632  jw.rw.un_430 it.ms.ro_432 
  0x23001216, 0x1c0d0911, 0x040a170c, 0x3f1b25ec,   // hu.ca.un_720 hi.ne.mr_653  sr.mk.ru_543 eu.tr.af_644 
  0x2f2a1e04, 0x19311bee, 0x1b1e1c08, 0x17042a07,   // ms.mt.su_332 tr.az.gl_422  id.ms.tr_443 mt.fi.sr_432 
  0x100b1912, 0x3000060d, 0x19003d16, 0x212f1255,   // gl.es.lt_654 de.uz.un_540  ku.gl.un_720 hu.su.jw_442 
  // [3790]
  0x645573a7, 0x0e032daf, 0x6e000f08, 0x120655a4,   // ny.rw.lg_532 sk.nl.is_655  lv.hmn.un_430 rw.de.hu_433 
  0x13160da4, 0x08041307, 0x0c0d2912, 0x1800050d,   // cs.hr.et_433 et.fi.no_432  sl.cs.sv_654 fr.ga.un_540 
  0x0b23110c, 0x1e1c1aa6, 0x06033f0d, 0x1e13200c,   // ro.ca.es_543 tl.id.ms_521  af.nl.de_554 sq.et.ms_543 
  0x3f181f07, 0x2d002302, 0x111735a9, 0x55200f0c,   // cy.ga.af_432 ca.sk.un_220  tg.sr.ro_544 lv.sq.rw_543 
  // [37a0]
  0x2f122104, 0x28041307, 0x64001b19, 0x0c0325ee,   // jw.hu.su_332 et.fi.sw_432  tr.lg.un_750 eu.nl.sv_422 
  0x2f005504, 0x052101a4, 0x301b2f04, 0x28556b12,   // rw.su.un_320 en.jw.fr_433  su.tr.uz_332 ceb.rw.sw_654 
  0x2f1e1c5a, 0x1a6b5555, 0x19100bec, 0x0f190b0d,   // id.ms.su_553 rw.ceb.tl_442  es.lt.gl_644 es.gl.lv_554 
  0x19050ba0, 0x080411a7, 0x2700020c, 0x171325ee,   // es.fr.gl_322 ro.ru.uk_532  da.gd.un_530 eu.et.sr_422 
  // [37b0]
  0x28301ea0, 0x02033f0e, 0x0e000213, 0x18000514,   // ms.uz.sw_322 af.nl.da_555  da.is.un_650 fr.ga.un_660 
  0x020c08a4, 0x55002814, 0x190a0f0e, 0x133121a0,   // no.sv.da_433 sw.rw.un_660  lv.pt.gl_555 jw.az.et_322 
  0x06033fec, 0x6b1e1c0d, 0x23000104, 0x132f55a4,   // af.nl.de_644 id.ms.ceb_554  en.ca.un_320 rw.su.et_433 
  0x1e1137a0, 0x030e3f04, 0x081a6bad, 0x0500530e,   // st.ro.ms_322 af.is.nl_332  ceb.tl.no_643 ht.fr.un_550 
  // [37c0]
  0x130d0912, 0x1708045a, 0x0e000212, 0x17100a13,   // hi.ne.bh_654 ru.uk.sr_553  da.is.un_640 mk.be.sr_665 
  0x07000a0c, 0x6b001a2b, 0x25092da0, 0x110407af,   // mk.bg.un_530 tl.ceb.un_980  sk.pl.eu_322 bg.ru.ro_655 
  0x02000e19, 0x07170405, 0x066437ad, 0x02001a12,   // is.da.un_750 ru.sr.bg_333  st.lg.de_643 tl.da.un_640 
  0x2b53305a, 0x071004a9, 0x0a3530ec, 0x03006b05,   // uz.ht.vi_553 ru.be.bg_544  uz.tg.mk_644 ceb.nl.un_330 
  // [37d0]
  0x0e020c55, 0x212a28a4, 0x05033d07, 0x101711ee,   // sv.da.is_442 sw.mt.jw_433  ku.nl.fr_432 ro.sr.be_422 
  0x73011fa0, 0x130d28a0, 0x170a3504, 0x11000a0c,   // cy.en.ny_322 sw.cs.et_322  tg.mk.sr_332 pt.ro.un_530 
  0x64285555, 0x126e6b04, 0x06000914, 0x2f000b07,   // rw.sw.lg_442 ceb.hmn.hu_332  pl.de.un_660 es.su.un_420 
  0x23190a09, 0x29003002, 0x23011b0c, 0x043f0304,   // pt.gl.ca_444 uz.sl.un_220  tr.en.ca_543 nl.af.fi_332 
  // [37e0]
  0x19002d0d, 0x01000921, 0x04080714, 0x0a12195a,   // sk.gl.un_540 pl.en.un_860  bg.uk.ru_666 gl.hu.pt_553 
  0x2b006e08, 0x12002111, 0x11170a08, 0x1c001312,   // hmn.vi.un_430 fa.ur.un_630  mk.sr.ro_443 bh.mr.un_640 
  0x0a0817a4, 0x0c00060e, 0x5600070c, 0x30080407,   // sr.uk.mk_433 de.sv.un_550  it.mg.un_530 ru.uk.uz_432 
  0x192f1aa9, 0x0c080260, 0x06030f07, 0x051a0109,   // tl.su.gl_544 da.no.sv_664  lv.nl.de_432 en.tl.fr_444 
  // [37f0]
  0x080e03ad, 0x30287309, 0x1b730d55, 0x20285304,   // nl.is.no_643 ny.sw.uz_444  cs.ny.tr_442 ht.sw.sq_332 
  0x0f001709, 0x0205010c, 0x2f00640c, 0x0632550c,   // sr.lv.un_440 en.fr.da_543  lg.su.un_530 rw.bs.de_543 
  0x0c0a0809, 0x0a002108, 0x11002308, 0x0a00010c,   // no.pt.sv_444 jw.pt.un_430  ca.ro.un_430 en.pt.un_530 
  0x013d2808, 0x0c000621, 0x025508af, 0x13091c0c,   // sw.ku.en_443 de.sv.un_860  no.rw.da_655 mr.hi.bh_543 
  
  // [3800]
  0x2f025507, 0x190b070c, 0x291e1ca0, 0x73005518,   // rw.da.su_432 it.es.gl_543  id.ms.sl_322 rw.ny.un_740 
  0x23000707, 0x19002d08, 0x04170a55, 0x31002109,   // it.ca.un_420 sk.gl.un_430  mk.sr.ru_442 jw.az.un_440 
  0x190b18ec, 0x3000640c, 0x020c08ee, 0x01001907,   // ga.es.gl_644 lg.uz.un_530  no.sv.da_422 gl.en.un_420 
  0x3200170d, 0x5528730d, 0x2f6455af, 0x03050aa0,   // sr.bs.un_540 ny.sw.rw_554  rw.lg.su_655 pt.fr.nl_322 
  // [3810]
  0x1a53010c, 0x0c06030c, 0x17040702, 0x1055010c,   // en.ht.tl_543 nl.de.sv_543  bg.ru.sr_222 en.rw.lt_543 
  0x1c3130ec, 0x0a005519, 0x4400081a, 0x56002304,   // uz.az.id_644 rw.pt.un_750  uk.kk.un_760 ca.mg.un_320 
  0x6455050b, 0x235605a7, 0x211e1c55, 0x1e1c2aee,   // fr.rw.lg_542 fr.mg.ca_532  id.ms.jw_442 mt.id.ms_422 
  0x64030607, 0x550c025a, 0x12000305, 0x0b001919,   // de.nl.lg_432 da.sv.rw_553  nl.hu.un_330 gl.es.un_750 
  // [3820]
  0x2300560d, 0x1c2f730c, 0x290109ee, 0x03040e08,   // mg.ca.un_540 ny.su.id_543  pl.en.sl_422 is.fi.nl_443 
  0x026b01ee, 0x1330030c, 0x23190ba7, 0x30006b07,   // en.ceb.da_422 nl.uz.et_543  es.gl.ca_532 ceb.uz.un_420 
  0x08005304, 0x56000b07, 0x56005307, 0x1e001a02,   // ht.no.un_320 es.mg.un_420  ht.mg.un_420 tl.ms.un_220 
  0x05006e04, 0x2f1b1ea4, 0x061a3f08, 0x08132a0e,   // hmn.fr.un_320 ms.tr.su_433  af.tl.de_443 mt.et.no_555 
  // [3830]
  0x23003507, 0x23005604, 0x1c0d1302, 0x2a000723,   // tg.ky.un_420 mg.ca.un_320  bh.ne.mr_222 it.mt.un_880 
  0x3d000a0e, 0x07002322, 0x10000713, 0x5600230d,   // pt.ku.un_550 ca.it.un_870  bg.be.un_650 ca.mg.un_540 
  0x01060c0c, 0x31041b21, 0x04170705, 0x0c000812,   // sv.de.en_543 tr.fi.az_876  bg.sr.ru_333 no.sv.un_640 
  0x2310445a, 0x18211207, 0x04131014, 0x08000304,   // kk.be.ky_553 ur.fa.ar_432  lt.et.fi_666 nl.no.un_320 
  // [3840]
  0x1b003d0d, 0x08020eec, 0x05003d19, 0x2f6b1a08,   // ku.tr.un_540 is.da.no_644  ku.fr.un_750 tl.ceb.su_443 
  0x1b002102, 0x3f060c14, 0x0a000616, 0x100c1307,   // jw.tr.un_220 sv.de.af_666  de.pt.un_720 et.sv.lt_432 
  0x0c251e0c, 0x08003f09, 0x08070aa0, 0x11000405,   // ms.eu.sv_543 af.no.un_440  mk.bg.uk_322 ru.ro.un_330 
  0x0e060ca9, 0x03290fad, 0x13091c05, 0x1708350d,   // sv.de.is_544 lv.sl.nl_643  mr.hi.bh_333 tg.uk.sr_554 
  // [3850]
  0x110a17a4, 0x17081105, 0x311b3daf, 0x033f0807,   // sr.mk.ro_433 ro.uk.sr_333  ku.tr.az_655 no.af.nl_432 
  0x1f033fee, 0x0a3010ad, 0x29033fa4, 0x32002911,   // af.nl.cy_422 be.uz.mk_643  af.nl.sl_433 sl.bs.un_630 
  0x1b0910a6, 0x17000a05, 0x10001f14, 0x11003513,   // lt.pl.tr_521 mk.sr.un_330  cy.lt.un_660 tg.ro.un_650 
  0x6428550c, 0x04114408, 0x6b033f13, 0x1c062107,   // rw.sw.lg_543 kk.ro.ru_443  af.nl.ceb_665 jw.de.id_432 
  // [3860]
  0x061c3707, 0x256404a4, 0x0e08010c, 0x211c2fee,   // st.id.de_432 fi.lg.eu_433  en.no.is_543 su.id.jw_422 
  0x2564040c, 0x28006405, 0x13000e11, 0x033f1b5a,   // fi.lg.eu_543 lg.sw.un_330  is.et.un_630 tr.af.nl_553 
  0x18001e02, 0x12001f04, 0x04003012, 0x531827ad,   // ms.ga.un_220 cy.hu.un_320  uz.fi.un_640 gd.ga.ht_643 
  0x211e1c0c, 0x070a1713, 0x08003018, 0x212f1eee,   // id.ms.jw_543 sr.mk.bg_665  uz.uk.un_740 ms.su.jw_422 
  // [3870]
  0x2d100d14, 0x2a031a0c, 0x64082107, 0x070a10a0,   // cs.lt.sk_666 tl.nl.mt_543  jw.no.lg_432 be.mk.bg_322 
  0x351044a4, 0x28006412, 0x2d121aa0, 0x033f06ad,   // kk.be.tg_433 lg.sw.un_640  tl.hu.sk_322 de.af.nl_643 
  0x03643f12, 0x1200131a, 0x04006407, 0x040e060c,   // af.lg.nl_654 et.hu.un_760  lg.fi.un_420 de.is.fi_543 
  0x07083507, 0x08040712, 0x290c5307, 0x0800110c,   // tg.uk.bg_432 bg.ru.uk_654  ht.sv.sl_432 ro.uk.un_530 
  // [3880]
  0x30442311, 0x11231e07, 0x35040804, 0x2f1e1c11,   // ky.kk.uz_653 ms.ca.ro_432  uk.ru.tg_332 id.ms.su_653 
  0x0400280c, 0x08026411, 0x1e1c64a6, 0x04002805,   // sw.fi.un_530 lg.da.no_653  lg.id.ms_521 sw.fi.un_330 
  0x0000112d, 0x1123440c, 0x20130807, 0x2f1c1ea4,   // ro.un.un_A00 kk.ky.ro_543  no.et.sq_432 ms.id.su_433 
  0x311b110d, 0x130e0ca4, 0x13106e07, 0x17080412,   // ro.tr.az_554 sv.is.et_433  hmn.lt.et_432 ru.uk.sr_654 
  // [3890]
  0x0b2501a0, 0x230b01a4, 0x01006e05, 0x19251f07,   // en.eu.es_322 en.es.ca_433  hmn.en.un_330 cy.eu.gl_432 
  0x7300282c, 0x6e080209, 0x190b2505, 0x552873ad,   // sw.ny.un_990 da.no.hmn_444  eu.es.gl_333 ny.sw.rw_643 
  0x190b25a6, 0x6400250d, 0x10000f22, 0x32101704,   // eu.es.gl_521 eu.lg.un_540  lv.lt.un_870 sr.lt.bs_332 
  0x17100412, 0x170f3204, 0x07006e05, 0x28006421,   // ru.be.sr_654 bs.lv.sr_332  hmn.it.un_330 lg.sw.un_860 
  // [38a0]
  0x31111baf, 0x09290f0c, 0x03063faf, 0x300a11ac,   // tr.ro.az_655 lv.sl.pl_543  af.de.nl_655 ro.mk.uz_632 
  0x1c25550c, 0x08041112, 0x0600071a, 0x531e1c05,   // rw.eu.id_543 ro.ru.uk_654  it.de.un_760 id.ms.ht_333 
  0x3f0c0302, 0x12001814, 0x08041009, 0x1f2301a4,   // nl.sv.af_222 ga.hu.un_660  be.ru.uk_444 en.ca.cy_433 
  0x0f103202, 0x0a070411, 0x3f016402, 0x16062508,   // bs.lt.lv_222 ru.bg.mk_653  lg.en.af_222 eu.de.hr_443 
  // [38b0]
  0x0c006e0c, 0x2800551a, 0x2b006e0e, 0x162d0d0d,   // hmn.sv.un_530 rw.sw.un_760  hmn.vi.un_550 cs.sk.hr_554 
  0x03000c08, 0x56000b04, 0x3f036eee, 0x050b07ee,   // sv.nl.un_430 es.mg.un_320  hmn.nl.af_422 it.es.fr_422 
  0x16001702, 0x2d0d0ea4, 0x0d303f0c, 0x53645555,   // sr.hr.un_220 is.cs.sk_433  af.uz.cs_543 rw.lg.ht_442 
  0x37003207, 0x2118120b, 0x1b002809, 0x07350aa0,   // bs.st.un_420 ur.ar.fa_542  sw.tr.un_440 mk.tg.bg_322 
  // [38c0]
  0x1b041ea0, 0x25001b05, 0x35073012, 0x2f211caf,   // ms.fi.tr_322 tr.eu.un_330  uz.bg.tg_654 id.jw.su_655 
  0x0700530c, 0x2d190b5a, 0x212f1c07, 0x100723ad,   // ht.it.un_530 es.gl.sk_553  id.su.jw_432 ky.bg.be_643 
  0x120c0107, 0x120420ac, 0x3f0c0313, 0x192d0bec,   // en.sv.hu_432 sq.fi.hu_632  nl.sv.af_665 es.sk.gl_644 
  0x190e0a0c, 0x321620ee, 0x19000b36, 0x10000820,   // pt.is.gl_543 sq.hr.bs_422  es.gl.un_AA0 uk.be.un_850 
  // [38d0]
  0x5306020e, 0x070a30ec, 0x19120b04, 0x55005305,   // da.de.ht_555 uz.mk.bg_644  es.hu.gl_332 ht.rw.un_330 
  0x5300010d, 0x11732804, 0x731128a4, 0x31002919,   // en.ht.un_540 sw.ny.ro_332  sw.ro.ny_433 sl.az.un_750 
  0x11007321, 0x05003208, 0x21231c07, 0x1b00251a,   // ny.ro.un_860 bs.fr.un_430  id.ca.jw_432 eu.tr.un_760 
  0x18190b07, 0x55006421, 0x55733f05, 0x2f097304,   // es.gl.ga_432 lg.rw.un_860  af.ny.rw_333 ny.pl.su_332 
  // [38e0]
  0x09282107, 0x2d00120d, 0x06371ea0, 0x6b121007,   // jw.sw.pl_432 hu.sk.un_540  ms.st.de_322 lt.hu.ceb_432 
  0x3f030605, 0x642f1f04, 0x5637645a, 0x12000f18,   // de.nl.af_333 cy.su.lg_332  lg.st.mg_553 lv.hu.un_740 
  0x111025a0, 0x08020cad, 0x73212f12, 0x23190bee,   // eu.lt.ro_322 sv.da.no_643  su.jw.ny_654 es.gl.ca_422 
  0x080a040d, 0x060d370c, 0x20002513, 0x30002336,   // ru.mk.uk_554 st.cs.de_543  eu.sq.un_650 ky.uz.un_AA0 
  // [38f0]
  0x73043708, 0x09643dec, 0x17000a08, 0x21106b07,   // st.fi.ny_443 ku.lg.pl_644  pt.sr.un_430 ceb.lt.jw_432 
  0x17080aa7, 0x123730a4, 0x171211a0, 0x556428a9,   // mk.uk.sr_532 uz.st.hu_433  ro.hu.sr_322 sw.lg.rw_544 
  0x120925ec, 0x5511280c, 0x1b00312b, 0x257355a4,   // eu.pl.hu_644 sw.ro.rw_543  az.tr.un_980 rw.ny.eu_433 
  0x2f64285a, 0x301137a0, 0x21122fee, 0x02000314,   // sw.lg.su_553 st.ro.uz_322  su.hu.jw_422 nl.da.un_660 
  // [3900]
  0x64552812, 0x2a1f2fa0, 0x07005305, 0x2304080c,   // sw.rw.lg_654 su.cy.mt_322  ht.it.un_330 uk.ru.ky_543 
  0x73285504, 0x37003f07, 0x1004080c, 0x2900101a,   // rw.sw.ny_332 af.st.un_420  uk.ru.be_543 lt.sl.un_760 
  0x27000602, 0x097364a9, 0x30001a04, 0x043773a9,   // de.gd.un_220 lg.ny.pl_544  tl.uz.un_320 ny.st.fi_544 
  0x04303502, 0x0955290c, 0x230511af, 0x09162d07,   // tg.uz.ru_222 sl.rw.pl_543  ro.fr.ca_655 sk.hr.pl_432 
  // [3910]
  0x32102907, 0x3d1f0605, 0x093f2da4, 0x20103013,   // sl.lt.bs_432 de.cy.ku_333  sk.af.pl_433 uz.lt.sq_665 
  0x560401a4, 0x44170460, 0x110411a4, 0x03373fa6,   // en.fi.mg_433 ru.sr.kk_664  ro.ru.ro_433 af.st.nl_521 
  0x0d1c09a7, 0x04005604, 0x281853ee, 0x08170a55,   // hi.mr.ne_532 mg.fi.un_320  ht.ga.sw_422 mk.sr.uk_442 
  0x070a35a7, 0x2d001814, 0x2b641cee, 0x080435a7,   // tg.mk.bg_532 ga.sk.un_660  id.lg.vi_422 tg.ru.uk_532 
  // [3920]
  0x30731f04, 0x09291604, 0x353010a0, 0x5600301a,   // cy.ny.uz_332 hr.sl.pl_332  be.uz.tg_322 uz.mg.un_760 
  0x12642f55, 0x1004170d, 0x56300ba4, 0x0a0835a4,   // su.lg.hu_442 sr.ru.be_554  es.uz.mg_433 tg.uk.mk_433 
  0x11311b02, 0x3200090c, 0x0e105612, 0x01002434,   // tr.az.ro_222 pl.bs.un_530  mg.lt.is_654 yi.iw.un_A80 
  0x0f000107, 0x03061ca4, 0x0d002f04, 0x032b3f07,   // en.lv.un_420 id.de.nl_433  su.cs.un_320 af.vi.nl_432 
  // [3930]
  0x2f131002, 0x070811a0, 0x64006b0d, 0x02003d12,   // lt.et.su_222 ro.uk.bg_322  ceb.lg.un_540 ku.da.un_640 
  0x641e1c55, 0x11080705, 0x233d64a4, 0x040721a9,   // id.ms.lg_442 bg.uk.ro_333  lg.ku.ca_433 jw.it.fi_544 
  0x1a1e1c07, 0x282718ad, 0x1e041307, 0x2000302b,   // id.ms.tl_432 ga.gd.sw_643  et.fi.ms_432 uz.sq.un_980 
  0x44102312, 0x2f1a6ba4, 0x04001f18, 0x2a00640d,   // ky.be.kk_654 ceb.tl.su_433  cy.fi.un_740 lg.mt.un_540 
  // [3940]
  0x21041309, 0x040e3004, 0x1a006b0c, 0x2000120e,   // et.fi.jw_444 uz.is.fi_332  ceb.tl.un_530 hu.sq.un_550 
  0x0c002908, 0x17350a0c, 0x080704a9, 0x03051105,   // sl.sv.un_430 mk.tg.sr_543  ru.bg.uk_544 ro.fr.nl_333 
  0x2f002b08, 0x2d000a04, 0x0e000619, 0x27000e04,   // vi.su.un_430 pt.sk.un_320  de.is.un_750 is.gd.un_320 
  0x7300190d, 0x28211ca0, 0x23002f08, 0x2f003f13,   // gl.ny.un_540 id.jw.sw_322  su.ca.un_430 af.su.un_650 
  // [3950]
  0x0700042b, 0x071112a9, 0x23002704, 0x0a04070d,   // ru.bg.un_980 hu.ro.it_544  gd.ca.un_320 bg.ru.mk_554 
  0x0a0410a0, 0x23002f04, 0x73001b2b, 0x1c645512,   // be.ru.mk_322 su.ca.un_320  tr.ny.un_980 rw.lg.id_654 
  0x0f73115a, 0x040f2aa6, 0x08060208, 0x102021a0,   // ro.ny.lv_553 mt.lv.fi_521  da.de.no_443 jw.sq.lt_322 
  0x28555604, 0x2f1c1e0b, 0x1c212f11, 0x0c083707,   // mg.rw.sw_332 ms.id.su_542  su.jw.id_653 st.no.sv_432 
  // [3960]
  0x440410a4, 0x253704ec, 0x011311ad, 0x061c1e0c,   // be.ru.kk_433 fi.st.eu_644  ro.et.en_643 ms.id.de_543 
  0x29001e08, 0x0f5511ad, 0x2d12110c, 0x23002f19,   // ms.sl.un_430 ro.rw.lv_643  ro.hu.sk_543 su.ca.un_750 
  0x11000214, 0x301f7311, 0x232f1707, 0x2a003008,   // da.ro.un_660 ny.cy.uz_653  sr.su.ca_432 uz.mt.un_430 
  0x12000408, 0x27281808, 0x25003202, 0x2f28640c,   // fi.hu.un_430 ga.sw.gd_443  bs.eu.un_220 lg.sw.su_543 
  // [3970]
  0x2b001807, 0x285564ee, 0x29551e0d, 0x10321704,   // ga.vi.un_420 lg.rw.sw_422  ms.rw.sl_554 sr.bs.lt_332 
  0x21001c05, 0x550711af, 0x211e1c09, 0x08206ba0,   // id.jw.un_330 ro.it.rw_655  id.ms.jw_444 ceb.sq.no_322 
  0x231120a4, 0x0c05010c, 0x12001904, 0x04100807,   // sq.ro.ca_433 en.fr.sv_543  gl.hu.un_320 uk.be.ru_432 
  0x060e1713, 0x5500211a, 0x213f6ba0, 0x0e003204,   // sr.is.de_665 jw.rw.un_760  ceb.af.jw_322 bs.is.un_320 
  // [3980]
  0x25000414, 0x2f002702, 0x1104170c, 0x1e001b05,   // fi.eu.un_660 gd.su.un_220  sr.ru.ro_543 tr.ms.un_330 
  0x1a001212, 0x092030a4, 0x06001107, 0x2b003704,   // hu.tl.un_640 uz.sq.pl_433  ro.de.un_420 st.vi.un_320 
  0x081a0c02, 0x173508a7, 0x37305604, 0x04000d04,   // sv.tl.no_222 uk.tg.sr_532  mg.uz.st_332 cs.fi.un_320 
  0x562830a4, 0x28731a07, 0x1f001814, 0x03000621,   // uz.sw.mg_433 tl.ny.sw_432  ga.cy.un_660 de.nl.un_860 
  // [3990]
  0x2f002a02, 0x2800730c, 0x0f1f5660, 0x07080409,   // mt.su.un_220 ny.sw.un_530  mg.cy.lv_664 ru.uk.bg_444 
  0x211c2fa0, 0x17731b55, 0x2000732a, 0x201232af,   // su.id.jw_322 tr.ny.sr_442  ny.sq.un_970 bs.hu.sq_655 
  0x3064250c, 0x131e2f02, 0x37002305, 0x2100200c,   // eu.lg.uz_543 su.ms.et_222  ca.st.un_330 sq.jw.un_530 
  0x731e1c14, 0x19001f19, 0x31101b07, 0x37647308,   // id.ms.ny_666 cy.gl.un_750  tr.lt.az_432 ny.lg.st_443 
  // [39a0]
  0x05113004, 0x1f006421, 0x2d0c53a7, 0x56530a08,   // uz.ro.fr_332 lg.cy.un_860  ht.sv.sk_532 pt.ht.mg_443 
  0x29002d05, 0x25032fee, 0x0e3125a0, 0x2b1e1c04,   // sk.sl.un_330 su.nl.eu_422  eu.az.is_322 id.ms.vi_332 
  0x1200230d, 0x020c08ec, 0x09007305, 0x2500030d,   // ca.hu.un_540 no.sv.da_644  ny.pl.un_330 nl.eu.un_540 
  0x2000320d, 0x73001c0e, 0x2f1e1aa4, 0x23001219,   // bs.sq.un_540 id.ny.un_550  tl.ms.su_433 hu.ca.un_750 
  // [39b0]
  0x255321ad, 0x27005334, 0x560e30a0, 0x03003f36,   // jw.ht.eu_643 ht.gd.un_A80  uz.is.mg_322 af.nl.un_AA0 
  0x53122b13, 0x0a00190d, 0x2b2f01ad, 0x2a1e1c12,   // vi.hu.ht_665 gl.pt.un_540  en.su.vi_643 id.ms.mt_654 
  0x0000161c, 0x2706250c, 0x230b1207, 0x1c0f1fa9,   // hr.un.un_800 eu.de.gd_543  hu.es.ca_432 cy.lv.id_544 
  0x2f211c60, 0x73252d0b, 0x30532513, 0x3d001a0d,   // id.jw.su_664 sk.eu.ny_542  eu.ht.uz_665 tl.ku.un_540 
  // [39c0]
  0x23000910, 0x30193107, 0x022d17a4, 0x2a002004,   // pl.ca.un_620 az.gl.uz_432  sr.sk.da_433 sq.mt.un_320 
  0x56271f0c, 0x270355ee, 0x08002f08, 0x1853270e,   // cy.gd.mg_543 rw.nl.gd_422  su.no.un_430 gd.ht.ga_555 
  0x0e060305, 0x1627010c, 0x20003112, 0x123f0360,   // nl.de.is_333 en.gd.hr_543  az.sq.un_640 nl.af.hu_664 
  0x1723440c, 0x2a5301a0, 0x182f27ee, 0x0a2705a0,   // kk.ky.sr_543 en.ht.mt_322  gd.su.ga_422 fr.gd.pt_322 
  // [39d0]
  0x1b000619, 0x29321fa0, 0x3f1b1e14, 0x3000110d,   // de.tr.un_750 cy.bs.sl_322  ms.tr.af_666 ro.uz.un_540 
  0x18001211, 0x301b1a08, 0x1f1803ee, 0x2b1c21a0,   // ur.ar.un_630 tl.tr.uz_443  nl.ga.cy_422 jw.id.vi_322 
  0x1e1c1ba4, 0x0a073008, 0x101b30a4, 0x05111002,   // tr.id.ms_433 uz.bg.mk_443  uz.tr.lt_433 lt.ro.fr_222 
  0x281b64a7, 0x11003702, 0x0800300e, 0x55000a12,   // lg.tr.sw_532 st.ro.un_220  uz.uk.un_550 pt.rw.un_640 
  // [39e0]
  0x6b0d2012, 0x0a004412, 0x31003205, 0x07001a02,   // sq.cs.ceb_654 kk.mk.un_640  bs.az.un_330 tl.it.un_220 
  0x130208a4, 0x02100609, 0x0e081f12, 0x2a007304,   // no.da.et_433 de.lt.da_444  cy.no.is_654 ny.mt.un_320 
  0x2a006b19, 0x1c002508, 0x0c0225a7, 0x2b003204,   // ceb.mt.un_750 eu.id.un_430  eu.da.sv_532 bs.vi.un_320 
  0x043008ad, 0x0e002505, 0x2b000304, 0x301b0e0c,   // uk.uz.ru_643 eu.is.un_330  nl.vi.un_320 is.tr.uz_543 
  // [39f0]
  0x302813a4, 0x0e271860, 0x20001b07, 0x0b0105a7,   // et.sw.uz_433 ga.gd.is_664  tr.sq.un_420 fr.en.es_532 
  0x091b3008, 0x0e000308, 0x1e1a1b55, 0x17070a05,   // uz.tr.pl_443 nl.is.un_430  tr.tl.ms_442 mk.bg.sr_333 
  0x063f0e04, 0x170411a0, 0x0500230e, 0x27185305,   // is.af.de_332 ro.ru.sr_322  ca.fr.un_550 ht.ga.gd_333 
  0x11040a05, 0x0e001305, 0x020c1fa4, 0x012f11ee,   // mk.ru.ro_333 et.is.un_330  cy.sv.da_433 ro.su.en_422 
  // [3a00]
  0x11000708, 0x19016ba0, 0x0c0e53ad, 0x060e180c,   // it.ro.un_430 ceb.en.gl_322  ht.is.sv_643 ga.is.de_543 
  0x130a0855, 0x19182802, 0x070a040e, 0x0f1f1308,   // no.pt.et_442 sw.ga.gl_222  ru.mk.bg_555 et.cy.lv_443 
  0x271853af, 0x012830a0, 0x061237a4, 0x12002519,   // ht.ga.gd_655 uz.sw.en_322  st.hu.de_433 eu.hu.un_750 
  0x08090e07, 0x100c2aa7, 0x271f0e0c, 0x23001908,   // is.pl.no_432 mt.sv.lt_532  is.cy.gd_543 gl.ca.un_430 
  // [3a10]
  0x19002309, 0x182708a4, 0x27190b07, 0x18030605,   // ca.gl.un_440 no.gd.ga_433  es.gl.gd_432 de.nl.ga_333 
  0x23190a02, 0x0e27250c, 0x0600030e, 0x550120ee,   // pt.gl.ca_222 eu.gd.is_543  nl.de.un_550 sq.en.rw_422 
  0x080c53af, 0x53000612, 0x180e53a4, 0x172304a7,   // ht.sv.no_655 de.ht.un_640  ht.is.ga_433 ru.ky.sr_532 
  0x0c001f02, 0x182753ec, 0x0c370104, 0x0818530b,   // cy.sv.un_220 ht.gd.ga_644  en.st.sv_332 ht.ga.no_542 
  // [3a20]
  0x07003007, 0x0c185307, 0x13180407, 0x1f270807,   // uz.bg.un_420 ht.ga.sv_432  fi.ga.et_432 no.gd.cy_432 
  0x07111155, 0x271018ad, 0x083f0308, 0x6b002119,   // ro.ro.bg_442 ga.lt.gd_643  nl.af.no_443 jw.ceb.un_750 
  0x1318060c, 0x07002107, 0x0a1707af, 0x30040707,   // de.ga.et_543 jw.it.un_420  bg.sr.mk_655 bg.ru.uz_432 
  0x0420080c, 0x07000b13, 0x07100aa4, 0x10005307,   // no.sq.fi_543 es.it.un_650  mk.be.bg_433 ht.lt.un_420 
  // [3a30]
  0x212f3004, 0x372f1e02, 0x1b201312, 0x64211aa7,   // uz.su.jw_332 ms.su.st_222  et.sq.tr_654 tl.jw.lg_532 
  0x0f001907, 0x0d6b0e07, 0x081004a4, 0x32002f04,   // gl.lv.un_420 is.ceb.cs_432  ru.be.uk_433 su.bs.un_320 
  0x18000912, 0x131a6b12, 0x0e001f18, 0x1e211caf,   // pl.ga.un_640 ceb.tl.et_654  cy.is.un_740 id.jw.ms_655 
  0x0e3f1e02, 0x11532aec, 0x01033d07, 0x23051355,   // ms.af.is_222 mt.ht.ro_644  ku.nl.en_432 et.fr.ca_442 
  // [3a40]
  0x3f001b07, 0x0b0a1ea0, 0x30082aee, 0x6b2f210c,   // tr.af.un_420 ms.pt.es_322  mt.no.uz_422 jw.su.ceb_543 
  0x17000a21, 0x17002319, 0x73646b0c, 0x44000a04,   // mk.sr.un_860 ky.sr.un_750  ceb.lg.ny_543 mk.kk.un_320 
  0x1f030e08, 0x2d0d13a0, 0x1e005302, 0x13001a0c,   // is.nl.cy_443 et.cs.sk_322  ht.ms.un_220 tl.et.un_530 
  0x10211c07, 0x06130c04, 0x32160eee, 0x31003011,   // id.jw.lt_432 sv.et.de_332  is.hr.bs_422 uz.az.un_630 
  // [3a50]
  0x1704080d, 0x08132aa9, 0x1c213007, 0x033f04ec,   // uk.ru.sr_554 mt.et.no_544  uz.jw.id_432 fi.af.nl_644 
  0x180705a0, 0x20311ea0, 0x2d003f13, 0x03373fa4,   // fr.it.ga_322 ms.az.sq_322  af.sk.un_650 af.st.nl_433 
  0x171304ec, 0x55005304, 0x04000308, 0x2a0405ee,   // fi.et.sr_644 ht.rw.un_320  nl.fi.un_430 fr.fi.mt_422 
  0x11001705, 0x2a051907, 0x122d0d5a, 0x081704a4,   // sr.ro.un_330 gl.fr.mt_432  cs.sk.hu_553 ru.sr.uk_433 
  // [3a60]
  0x27000504, 0x2d001702, 0x2d0d06a9, 0x12002805,   // fr.gd.un_320 sr.sk.un_220  de.cs.sk_544 sw.hu.un_330 
  0x080407a0, 0x286473af, 0x060813ad, 0x212a1ea0,   // bg.ru.uk_322 ny.lg.sw_655  et.no.de_643 ms.mt.jw_322 
  0x270e1808, 0x120f0607, 0x051304ee, 0x3d007319,   // ga.is.gd_443 de.lv.hu_432  fi.et.fr_422 ny.ku.un_750 
  0x211f135a, 0x04003714, 0x0321080b, 0x18122d60,   // et.cy.jw_553 st.fi.un_660  no.jw.nl_542 sk.hu.ga_664 
  // [3a70]
  0x08023fee, 0x2a1f01a9, 0x2a001f09, 0x3d000104,   // af.da.no_422 en.cy.mt_544  cy.mt.un_440 en.ku.un_320 
  0x2800370d, 0x080a1702, 0x64001f1b, 0x2a000104,   // st.sw.un_540 sr.mk.uk_222  cy.lg.un_770 en.mt.un_320 
  0x01002d0b, 0x10043004, 0x31121b11, 0x231127a0,   // sk.en.un_520 uz.ru.be_332  tr.hu.az_653 gd.ro.ca_322 
  0x533d1208, 0x120a01af, 0x033f2aa9, 0x0a001302,   // hu.ku.ht_443 en.pt.hu_655  mt.af.nl_544 et.pt.un_220 
  // [3a80]
  0x28005504, 0x0d3f01a4, 0x133101a0, 0x37007312,   // rw.sw.un_320 en.af.cs_433  en.az.et_322 ny.st.un_640 
  0x061b13ec, 0x31002a04, 0x20002f02, 0x0800070e,   // et.tr.de_644 mt.az.un_320  su.sq.un_220 bg.uk.un_550 
  0x040a17a0, 0x043544a4, 0x04000e20, 0x73280312,   // sr.mk.ru_322 kk.tg.ru_433  is.fi.un_850 nl.sw.ny_654 
  0x0e0c1fad, 0x07040804, 0x09001004, 0x0c1f6ba0,   // cy.sv.is_643 uk.ru.bg_332  lt.pl.un_320 ceb.cy.sv_322 
  // [3a90]
  0x1000090e, 0x100835a4, 0x0b1123ee, 0x1f3029ad,   // pl.lt.un_550 tg.uk.be_433  ca.ro.es_422 sl.uz.cy_643 
  0x0a0810a4, 0x08560407, 0x1029040b, 0x20000113,   // be.uk.mk_433 fi.mg.no_432  fi.sl.lt_542 en.sq.un_650 
  0x302344a7, 0x186b010c, 0x202d28a0, 0x0b00010c,   // kk.ky.uz_532 en.ceb.ga_543  sw.sk.sq_322 en.es.un_530 
  0x0b07205a, 0x012911a4, 0x272f21a0, 0x28000b02,   // sq.it.es_553 ro.sl.en_433  jw.su.gd_322 es.sw.un_220 
  // [3aa0]
  0x0b072aa0, 0x6b1f5607, 0x321b30a4, 0x1f000408,   // mt.it.es_322 mg.cy.ceb_432  uz.tr.bs_433 fi.cy.un_430 
  0x1f003208, 0x27001820, 0x20006407, 0x322d10a0,   // bs.cy.un_430 ga.gd.un_850  lg.sq.un_420 lt.sk.bs_322 
  0x271118af, 0x2100180c, 0x2700011a, 0x2d001e0c,   // ga.ro.gd_655 ga.jw.un_530  en.gd.un_760 ms.sk.un_530 
  0x04081f11, 0x31182712, 0x32005602, 0x081c0e08,   // cy.no.fi_653 gd.ga.az_654  mg.bs.un_220 is.id.no_443 
  // [3ab0]
  0x6e6b0107, 0x12281aa9, 0x2d0d1614, 0x192718ad,   // en.ceb.hmn_432 tl.sw.hu_544  hr.cs.sk_666 ga.gd.gl_643 
  0x1327010c, 0x1f307355, 0x552864a9, 0x1912560c,   // en.gd.et_543 ny.uz.cy_442  lg.sw.rw_544 mg.hu.gl_543 
  0x562f64a4, 0x31560f0c, 0x13000617, 0x1b1820a0,   // lg.su.mg_433 lv.mg.az_543  de.et.un_730 sq.ga.tr_322 
  0x0c080655, 0x186e2809, 0x07041307, 0x0c232008,   // de.no.sv_442 sw.hmn.ga_444  et.fi.it_432 sq.ca.sv_443 
  // [3ac0]
  0x1f00091a, 0x040e0c12, 0x1a1c1ea9, 0x166e1707,   // pl.cy.un_760 sv.is.fi_654  ms.id.tl_544 sr.hmn.hr_432 
  0x1004070e, 0x0c6b1a07, 0x29211c08, 0x0c001b05,   // bg.ru.be_555 tl.ceb.sv_432  id.jw.sl_443 tr.sv.un_330 
  0x080a11a6, 0x040a0705, 0x032311a0, 0x10170804,   // ro.mk.uk_521 bg.mk.ru_333  ro.ca.nl_322 uk.sr.be_332 
  0x11231ea0, 0x30170aa0, 0x1c0d1309, 0x291301a4,   // ms.ca.ro_322 mk.sr.uz_322  bh.ne.mr_444 en.et.sl_433 
  // [3ad0]
  0x1f29010c, 0x1e1c1aee, 0x1925560c, 0x12002d12,   // en.sl.cy_543 tl.id.ms_422  mg.eu.gl_543 sk.hu.un_640 
  0x13000209, 0x1312010c, 0x32162a09, 0x1e1c27a4,   // da.et.un_440 en.hu.et_543  mt.hr.bs_444 gd.id.ms_433 
  0x04082311, 0x28181fac, 0x2100011a, 0x0b0a1302,   // ky.uk.ru_653 cy.ga.sw_632  en.jw.un_760 et.pt.es_222 
  0x530a05af, 0x1f3f0114, 0x302310af, 0x0105110c,   // fr.pt.ht_655 en.af.cy_666  be.ky.uz_655 ro.fr.en_543 
  // [3ae0]
  0x0910250c, 0x202f21a9, 0x202730ee, 0x17290d0c,   // eu.lt.pl_543 jw.su.sq_544  uz.gd.sq_422 cs.sl.sr_543 
  0x19280ba7, 0x3000230d, 0x09130d60, 0x17000409,   // es.sw.gl_532 ky.uz.un_540  ne.bh.hi_664 ru.sr.un_440 
  0x10252da4, 0x12090111, 0x190a25ee, 0x73132555,   // sk.eu.lt_433 en.pl.hu_653  eu.pt.gl_422 eu.et.ny_442 
  0x0425640c, 0x04303505, 0x2a1f01ec, 0x17002804,   // lg.eu.fi_543 tg.uz.ru_333  en.cy.mt_644 sw.sr.un_320 
  // [3af0]
  0x1f006404, 0x1f000112, 0x20092509, 0x13000122,   // lg.cy.un_320 en.cy.un_640  eu.pl.sq_444 en.et.un_870 
  0x5513255a, 0x28033f55, 0x10084412, 0x0807040d,   // eu.et.rw_553 af.nl.sw_442  kk.uk.be_654 ru.bg.uk_554 
  0x6b001305, 0x3f000809, 0x023020ee, 0x2a092da0,   // et.ceb.un_330 no.af.un_440  sq.uz.da_422 sk.pl.mt_322 
  0x27001808, 0x13190ba0, 0x73005513, 0x0c0625af,   // ga.gd.un_430 es.gl.et_322  rw.ny.un_650 eu.de.sv_655 
  // [3b00]
  0x2d000f12, 0x25135507, 0x10252a0d, 0x1c00210c,   // lv.sk.un_640 rw.et.eu_432  mt.eu.lt_554 jw.id.un_530 
  0x2a002509, 0x1a2113ad, 0x30070a12, 0x55130e12,   // eu.mt.un_440 et.jw.tl_643  mk.bg.uz_654 is.et.rw_654 
  0x092a0711, 0x55001307, 0x08001107, 0x050453ee,   // it.mt.pl_653 et.rw.un_420  ro.uk.un_420 ht.fi.fr_422 
  0x3f031304, 0x12060c02, 0x7300130e, 0x32001619,   // et.nl.af_332 sv.de.hu_222  et.ny.un_550 hr.bs.un_750 
  // [3b10]
  0x2a00250d, 0x10231111, 0x10000c08, 0x4417110c,   // eu.mt.un_540 ro.ky.be_653  sv.lt.un_430 ro.sr.kk_543 
  0x1b000108, 0x030802ec, 0x01006e04, 0x03080213,   // en.tr.un_430 da.no.nl_644  hmn.en.un_320 da.no.nl_665 
  0x07306ea7, 0x1b06300c, 0x06080307, 0x08026e14,   // hmn.uz.it_532 uz.de.tr_543  nl.no.de_432 hmn.da.no_666 
  0x232a18a4, 0x3d000f2c, 0x53000914, 0x64001312,   // ga.mt.ca_433 lv.ku.un_990  pl.ht.un_660 et.lg.un_640 
  // [3b20]
  0x04730807, 0x2500300e, 0x1e1a1ca0, 0x25011ba6,   // no.ny.fi_432 uz.eu.un_550  id.tl.ms_322 tr.en.eu_521 
  0x25302302, 0x03000418, 0x2a0d1e0b, 0x3d000804,   // ca.uz.eu_222 fi.nl.un_740  ms.cs.mt_542 no.ku.un_320 
  0x1b1a6b02, 0x121a6b0c, 0x192325ad, 0x17110a12,   // ceb.tl.tr_222 ceb.tl.hu_543  eu.ca.gl_643 mk.ro.sr_654 
  0x18012fa4, 0x6e2b6ba0, 0x120420a4, 0x18272313,   // su.en.ga_433 ceb.vi.hmn_322  sq.fi.hu_433 ca.gd.ga_665 
  // [3b30]
  0x01000c05, 0x3d002013, 0x326e10a4, 0x0a171008,   // sv.en.un_330 sq.ku.un_650  lt.hmn.bs_433 be.sr.mk_443 
  0x53106e08, 0x04081009, 0x080203ec, 0x3d256ea6,   // hmn.lt.ht_443 be.uk.ru_444  nl.da.no_644 hmn.eu.ku_521 
  0x2b006e04, 0x130f0455, 0x0e003f04, 0x12003f0d,   // hmn.vi.un_320 fi.lv.et_442  af.is.un_320 af.hu.un_540 
  0x3f0c080c, 0x3d003f0d, 0x1c090d07, 0x080704ad,   // no.sv.af_543 af.ku.un_540  ne.hi.mr_432 ru.bg.uk_643 
  // [3b40]
  0x20002805, 0x1c091311, 0x06311bad, 0x35170a0c,   // sw.sq.un_330 bh.hi.mr_653  tr.az.de_643 mk.sr.tg_543 
  0x311b3dad, 0x0e001314, 0x00004406, 0x071004ec,   // ku.tr.az_643 et.is.un_660  kk.un.un_400 ru.be.bg_644 
  0x0a2120a7, 0x2d563008, 0x64005519, 0x09080fa0,   // sq.jw.pt_532 uz.mg.sk_443  rw.lg.un_750 lv.no.pl_322 
  0x03303104, 0x29001709, 0x18537304, 0x21531c07,   // az.uz.nl_332 sr.sl.un_440  ny.ht.ga_332 id.ht.jw_432 
  // [3b50]
  0x0a291a09, 0x10070404, 0x19182755, 0x050127a0,   // tl.sl.pt_444 fi.it.lt_332  gd.ga.gl_442 gd.en.fr_322 
  0x13061e04, 0x0e000f1b, 0x641a55ad, 0x0c000805,   // ms.de.et_332 lv.is.un_770  rw.tl.lg_643 no.sv.un_330 
  0x1e001c1a, 0x08000423, 0x300e08a4, 0x0730200d,   // id.ms.un_760 ru.uk.un_880  no.is.uz_433 sq.uz.it_554 
  0x321b2055, 0x0b0a3d0c, 0x1c130d0e, 0x091c13a7,   // sq.tr.bs_442 ku.pt.es_543  ne.bh.mr_555 bh.mr.hi_532 
  // [3b60]
  0x0a001002, 0x0f091014, 0x071656a0, 0x090c1004,   // be.mk.un_220 lt.pl.lv_666  mg.hr.it_322 lt.sv.pl_332 
  0x0a190bad, 0x21230ba0, 0x230b3da4, 0x23213d12,   // es.gl.pt_643 es.ca.jw_322  ku.es.ca_433 ku.jw.ca_654 
  0x300608a0, 0x6b135609, 0x19250b0c, 0x2d190b08,   // no.de.uz_322 mg.et.ceb_444  es.eu.gl_543 es.gl.sk_443 
  0x13000411, 0x04303512, 0x3004350c, 0x23180ba0,   // fi.et.un_630 tg.uz.ru_654  tg.ru.uz_543 es.ga.ca_322 
  // [3b70]
  0x0d1c09a9, 0x19122da4, 0x230b0ea4, 0x12190b55,   // hi.mr.ne_544 sk.hu.gl_433  is.es.ca_433 es.gl.hu_442 
  0x080a040c, 0x18002d0c, 0x111912a4, 0x1000190e,   // ru.mk.uk_543 sk.ga.un_530  hu.gl.ro_433 gl.lt.un_550 
  0x28072d08, 0x0f001c02, 0x18001222, 0x230a10a0,   // sk.it.sw_443 id.lv.un_220  ur.ar.un_870 be.mk.ky_322 
  0x122d3711, 0x0f2531ad, 0x230807ad, 0x2d0d3fa0,   // st.sk.hu_653 az.eu.lv_643  bg.uk.ky_643 af.cs.sk_322 
  // [3b80]
  0x30002f0c, 0x0b002508, 0x2900300b, 0x16210507,   // su.uz.un_530 eu.es.un_430  uz.sl.un_520 fr.jw.hr_432 
  0x18190b08, 0x28005602, 0x202f070d, 0x190b0a13,   // es.gl.ga_443 mg.sw.un_220  it.su.sq_554 pt.es.gl_665 
  0x56112502, 0x1a002f08, 0x211e56a7, 0x04233504,   // eu.ro.mg_222 su.tl.un_430  mg.ms.jw_532 tg.ky.ru_332 
  0x286b1a60, 0x04070a02, 0x2304170c, 0x0a000414,   // tl.ceb.sw_664 mk.bg.ru_222  sr.ru.ky_543 ru.mk.un_660 
  // [3b90]
  0x55002008, 0x2530560c, 0x29161904, 0x56001a1b,   // sq.rw.un_430 mg.uz.eu_543  gl.hr.sl_332 tl.mg.un_770 
  0x131c0d12, 0x20190ba6, 0x64001a04, 0x1c6b640c,   // ne.mr.bh_654 es.gl.sq_521  tl.lg.un_320 lg.ceb.id_543 
  0x23012aa4, 0x552011a4, 0x0a003521, 0x11001f0c,   // mt.en.ca_433 ro.sq.rw_433  tg.mk.un_860 cy.ro.un_530 
  0x37040514, 0x0a04070c, 0x071101a0, 0x201b06a0,   // fr.fi.st_666 bg.ru.mk_543  en.ro.it_322 de.tr.sq_322 
  // [3ba0]
  0x3f08040c, 0x0500120d, 0x05110708, 0x1130560c,   // fi.no.af_543 hu.fr.un_540  it.ro.fr_443 mg.uz.ro_543 
  0x120a2305, 0x190b0a09, 0x1f731aaf, 0x190b0a0c,   // ca.pt.hu_333 pt.es.gl_444  tl.ny.cy_655 pt.es.gl_543 
  0x27002b13, 0x07200fee, 0x7300280c, 0x01060708,   // vi.gd.un_650 lv.sq.it_422  sw.ny.un_530 it.de.en_443 
  0x272b5313, 0x31003d19, 0x2b00531a, 0x0302080c,   // ht.vi.gd_665 ku.az.un_750  ht.vi.un_760 no.da.nl_543 
  // [3bb0]
  0x1c281ea0, 0x1e1c3009, 0x25000705, 0x190b23a9,   // ms.sw.id_322 uz.id.ms_444  it.eu.un_330 ca.es.gl_544 
  0x272b53ad, 0x29000c04, 0x051a6ba9, 0x2b002719,   // ht.vi.gd_643 sv.sl.un_320  ceb.tl.fr_544 gd.vi.un_750 
  0x0500190d, 0x20313008, 0x27532b07, 0x301710a9,   // gl.fr.un_540 uz.az.sq_443  vi.ht.gd_432 be.sr.uz_544 
  0x0956300d, 0x08040705, 0x133704a4, 0x29003205,   // uz.mg.pl_554 bg.ru.uk_333  fi.st.et_433 bs.sl.un_330 
  // [3bc0]
  0x082344a0, 0x07110a55, 0x206b1c07, 0x081035af,   // kk.ky.uk_322 mk.ro.bg_442  id.ceb.sq_432 tg.be.uk_655 
  0x13000405, 0x56272b0b, 0x73003d0c, 0x072b53a9,   // fi.et.un_330 vi.gd.mg_542  ku.ny.un_530 ht.vi.it_544 
  0x1e1c28ac, 0x53000713, 0x0c0e0607, 0x28001604,   // sw.id.ms_632 it.ht.un_650  de.is.sv_432 hr.sw.un_320 
  0x731a2809, 0x0b070107, 0x0b0a1a02, 0x2700030d,   // sw.tl.ny_444 en.it.es_432  tl.pt.es_222 nl.gd.un_540 
  // [3bd0]
  0x2900281a, 0x0d280408, 0x10641aa4, 0x2d002819,   // sw.sl.un_760 fi.sw.cs_443  tl.lg.lt_433 sw.sk.un_750 
  0x13033f04, 0x04033fec, 0x1c1e280c, 0x0b0a230e,   // af.nl.et_332 af.nl.fi_644  sw.ms.id_543 ca.pt.es_555 
  0x0a230b0b, 0x2f00280c, 0x17000f07, 0x64033f0c,   // es.ca.pt_542 sw.su.un_530  lv.sr.un_420 af.nl.lg_543 
  0x0b0a23af, 0x551b3d08, 0x045637ec, 0x0a1004a4,   // ca.pt.es_655 ku.tr.rw_443  st.mg.fi_644 ru.be.mk_433 
  // [3be0]
  0x56000a1b, 0x10086b55, 0x12002704, 0x0a190b60,   // pt.mg.un_770 ceb.no.lt_442  gd.hu.un_320 es.gl.pt_664 
  0x0c001f0c, 0x2f002820, 0x2d0d2b0c, 0x1e006e0c,   // cy.sv.un_530 sw.su.un_850  vi.cs.sk_543 hmn.ms.un_530 
  0x190b2314, 0x211b28ee, 0x03043fa4, 0x25002909,   // ca.es.gl_666 sw.tr.jw_422  af.fi.nl_433 sl.eu.un_440 
  0x133f04ee, 0x03003f2a, 0x73286e05, 0x122a070b,   // fi.af.et_422 af.nl.un_970  hmn.sw.ny_333 it.mt.hu_542 
  // [3bf0]
  0x23171107, 0x1b003d19, 0x2a070aa4, 0x3000250d,   // ro.sr.ky_432 ku.tr.un_750  pt.it.mt_433 eu.uz.un_540 
  0x2d001307, 0x1e001105, 0x2a1c375a, 0x00000e2d,   // et.sk.un_420 ro.ms.un_330  st.id.mt_553 is.un.un_A00 
  0x170a10a9, 0x05000119, 0x09003f0d, 0x28646b0c,   // be.mk.sr_544 en.fr.un_750  af.pl.un_540 ceb.lg.sw_543 
  0x0d2004a0, 0x162a290c, 0x0d001113, 0x44353055,   // fi.sq.cs_322 sl.mt.hr_543  ro.cs.un_650 uz.tg.kk_442 
  
  // [3c00]
  0x052f21a0, 0x375564a0, 0x6b041aa9, 0x11002008,   // jw.su.fr_322 lg.rw.st_322  tl.fi.ceb_544 sq.ro.un_430 
  0x01002104, 0x21136b07, 0x090c13a4, 0x2b002507,   // jw.en.un_320 ceb.et.jw_432  et.sv.pl_433 eu.vi.un_420 
  0x30282508, 0x1e1b0e08, 0x31560cee, 0x12200812,   // eu.sw.uz_443 is.tr.ms_443  sv.mg.az_422 no.sq.hu_654 
  0x53005619, 0x731a6455, 0x200812a9, 0x230a0709,   // mg.ht.un_750 lg.tl.ny_442  hu.no.sq_544 bg.mk.ky_444 
  // [3c10]
  0x05201eaf, 0x234430ad, 0x64553713, 0x0c0208a9,   // ms.sq.fr_655 uz.kk.ky_643  st.rw.lg_665 no.da.sv_544 
  0x09643755, 0x37001a14, 0x201b05a4, 0x643755ad,   // st.lg.pl_442 tl.st.un_660  fr.tr.sq_433 rw.st.lg_643 
  0x1f00250d, 0x32160da0, 0x1f5620ee, 0x2f2102a9,   // eu.cy.un_540 cs.hr.bs_322  sq.mg.cy_422 da.jw.su_544 
  0x371956a0, 0x2b005508, 0x64121aad, 0x07353055,   // mg.gl.st_322 rw.vi.un_430  tl.hu.lg_643 uz.tg.bg_442 
  // [3c20]
  0x73005608, 0x190807a4, 0x05110d05, 0x2d0d02ee,   // mg.ny.un_430 it.no.gl_433  cs.ro.fr_333 da.cs.sk_422 
  0x2003120c, 0x080613a0, 0x2b121b0c, 0x080204ec,   // hu.nl.sq_543 et.de.no_322  tr.hu.vi_543 fi.da.no_644 
  0x09041805, 0x2a0c0205, 0x19000a08, 0x56281ea0,   // ga.fi.pl_333 da.sv.mt_333  pt.gl.un_430 ms.sw.mg_322 
  0x21641a07, 0x3f21090c, 0x211a640c, 0x2830560c,   // tl.lg.jw_432 pl.jw.af_543  lg.tl.jw_543 mg.uz.sw_543 
  // [3c30]
  0x30002322, 0x030502ee, 0x64203108, 0x200802a9,   // ky.uz.un_870 da.fr.nl_422  az.sq.lg_443 da.no.sq_544 
  0x30040aa0, 0x07006412, 0x16000207, 0x1f1a2f04,   // mk.ru.uz_322 lg.it.un_640  da.hr.un_420 su.tl.cy_332 
  0x23001111, 0x6b1a100d, 0x12000b04, 0x10001221,   // ro.ky.un_630 lt.tl.ceb_554  es.hu.un_320 hu.lt.un_860 
  0x18001f13, 0x190b0a0e, 0x211c0405, 0x09001f08,   // cy.ga.un_650 pt.es.gl_555  fi.id.jw_333 cy.pl.un_430 
  // [3c40]
  0x04003008, 0x37101ba4, 0x18002813, 0x101b1ca4,   // uz.ru.un_430 tr.lt.st_433  sw.ga.un_650 id.tr.lt_433 
  0x17002912, 0x281364a0, 0x1300092b, 0x30646ba4,   // sl.sr.un_640 lg.et.sw_322  hi.bh.un_980 ceb.lg.uz_433 
  0x12001705, 0x32161ca9, 0x3f0308a9, 0x080a07a9,   // sr.hu.un_330 id.hr.bs_544  no.nl.af_544 bg.mk.uk_544 
  0x13001107, 0x0a001105, 0x64005518, 0x180a2bec,   // ro.et.un_420 ro.mk.un_330  rw.lg.un_740 vi.pt.ga_644 
  // [3c50]
  0x101303a9, 0x17001014, 0x1310370c, 0x64001a13,   // nl.et.lt_544 be.sr.un_660  st.lt.et_543 tl.lg.un_650 
  0x29000d19, 0x561304a4, 0x64553012, 0x211b12a7,   // cs.sl.un_750 fi.et.mg_433  uz.rw.lg_654 hu.tr.jw_532 
  0x3d101ba4, 0x28731b07, 0x07044407, 0x06003d04,   // tr.lt.ku_433 tr.ny.sw_432  kk.ru.bg_432 ku.de.un_320 
  0x0e002d2a, 0x5300090d, 0x1f033f14, 0x04007307,   // sk.is.un_970 pl.ht.un_540  af.nl.cy_666 ny.fi.un_420 
  // [3c60]
  0x0a30175a, 0x31002904, 0x732a16a0, 0x28002108,   // sr.uz.mk_553 sl.az.un_320  hr.mt.ny_322 jw.sw.un_430 
  0x551a6455, 0x1e1c73ec, 0x20303d0c, 0x132f290c,   // lg.tl.rw_442 ny.id.ms_644  ku.uz.sq_543 sl.su.et_543 
  0x30000a14, 0x10070a0e, 0x18001908, 0x441730ad,   // mk.uz.un_660 mk.bg.be_555  gl.ga.un_430 uz.sr.kk_643 
  0x080a30a0, 0x30212f08, 0x1807010c, 0x303507a7,   // uz.mk.uk_322 su.jw.uz_443  en.it.ga_543 bg.tg.uz_532 
  // [3c70]
  0x17002f05, 0x2b002804, 0x30233508, 0x09000114,   // su.sr.un_330 sw.vi.un_320  tg.ky.uz_443 en.pl.un_660 
  0x300e2511, 0x3f001e02, 0x04303504, 0x023028a0,   // eu.is.uz_653 ms.af.un_220  tg.uz.ru_332 sw.uz.da_322 
  0x042511a4, 0x5604370c, 0x19052305, 0x55002819,   // ro.eu.fi_433 st.fi.mg_543  ca.fr.gl_333 sw.rw.un_750 
  0x2a000e04, 0x01375608, 0x0d001c18, 0x27001f1b,   // is.mt.un_320 mg.st.en_443  mr.ne.un_740 cy.gd.un_770 
  // [3c80]
  0x0e253da4, 0x21556404, 0x29000f1b, 0x0f6b11af,   // ku.eu.is_433 lg.rw.jw_332  lv.sl.un_770 ro.ceb.lv_655 
  0x250b19a4, 0x310c08a9, 0x125564a0, 0x0f311b12,   // gl.es.eu_433 no.sv.az_544  lg.rw.hu_322 tr.az.lv_654 
  0x2a000707, 0x35302308, 0x190a21a0, 0x0a323002,   // it.mt.un_420 ky.uz.tg_443  jw.pt.gl_322 uz.bs.pt_222 
  0x0e122307, 0x03203705, 0x081007a0, 0x19050ba4,   // ca.hu.is_432 st.sq.nl_333  bg.be.uk_322 es.fr.gl_433 
  // [3c90]
  0x251120a4, 0x23190b14, 0x100f13ad, 0x040817a4,   // sq.ro.eu_433 es.gl.ca_666  et.lv.lt_643 sr.uk.ru_433 
  0x0c2311af, 0x212f05ad, 0x0c020e0c, 0x30112308,   // ro.ca.sv_655 fr.su.jw_643  is.da.sv_543 ca.ro.uz_443 
  0x300c040c, 0x3f0301a4, 0x2f000407, 0x023008af,   // fi.sv.uz_543 en.nl.af_433  fi.su.un_420 no.uz.da_655 
  0x2d0d30ad, 0x1e1c0ca4, 0x0c3f180c, 0x0e1f0c12,   // uz.cs.sk_643 sv.id.ms_433  ga.af.sv_543 sv.cy.is_654 
  // [3ca0]
  0x6e006b05, 0x070417a4, 0x0a0817a0, 0x182f1ba0,   // ceb.hmn.un_330 sr.ru.bg_433  sr.uk.mk_322 tr.su.ga_322 
  0x0c6b2305, 0x211c1ea0, 0x1b0c06ad, 0x19230107,   // ca.ceb.sv_333 ms.id.jw_322  de.sv.tr_643 en.ca.gl_432 
  0x05000a09, 0x041a13a4, 0x13001a21, 0x30002312,   // pt.fr.un_440 et.tl.fi_433  tl.et.un_860 ky.uz.un_640 
  0x131a04a0, 0x440730a0, 0x1c090d0e, 0x11300ca0,   // fi.tl.et_322 uz.bg.kk_322  ne.hi.mr_555 sv.uz.ro_322 
  // [3cb0]
  0x0d000f05, 0x371f1b0c, 0x0e0803ec, 0x112a2313,   // lv.cs.un_330 tr.cy.st_543  nl.no.is_644 ca.mt.ro_665 
  0x1b531f0c, 0x0e080c14, 0x642073a4, 0x0800030c,   // cy.ht.tr_543 sv.no.is_666  ny.sq.lg_433 nl.no.un_530 
  0x3f000c08, 0x1f1137a0, 0x2f050a04, 0x1b122f07,   // sv.af.un_430 st.ro.cy_322  pt.fr.su_332 su.hu.tr_432 
  0x112706ee, 0x3f2a1fa4, 0x033f6412, 0x062555a9,   // de.gd.ro_422 cy.mt.af_433  lg.af.nl_654 rw.eu.de_544 
  // [3cc0]
  0x7355280d, 0x371b1f07, 0x063f0355, 0x37006b07,   // sw.rw.ny_554 cy.tr.st_432  nl.af.de_442 ceb.st.un_420 
  0x282064a0, 0x281e64a4, 0x6b001a07, 0x1a3f6404,   // lg.sq.sw_322 lg.ms.sw_433  tl.ceb.un_420 lg.af.tl_332 
  0x7300641b, 0x13000f05, 0x3f036412, 0x64255560,   // lg.ny.un_770 lv.et.un_330  lg.nl.af_654 rw.eu.lg_664 
  0x0f001311, 0x033f040c, 0x2f006413, 0x1b005313,   // et.lv.un_630 fi.af.nl_543  lg.su.un_650 ht.tr.un_650 
  // [3cd0]
  0x2d0d29a9, 0x19120ba0, 0x440410a0, 0x565305ad,   // sl.cs.sk_544 es.hu.gl_322  be.ru.kk_322 fr.ht.mg_643 
  0x37001f1a, 0x090306a0, 0x55733104, 0x291f01a0,   // cy.st.un_760 de.nl.pl_322  az.ny.rw_332 en.cy.sl_322 
  0x1b002807, 0x291e37a9, 0x7328530c, 0x735511af,   // sw.tr.un_420 st.ms.sl_544  ht.sw.ny_543 ro.rw.ny_655 
  0x193001a4, 0x20552508, 0x3f0364af, 0x0d64550b,   // en.uz.gl_433 eu.rw.sq_443  lg.nl.af_655 rw.lg.cs_542 
  // [3ce0]
  0x25061c0b, 0x040810a9, 0x250f0611, 0x561632a0,   // id.de.eu_542 be.uk.ru_544  de.lv.eu_653 bs.hr.mg_322 
  0x64033fa4, 0x0d0906a0, 0x05190b02, 0x2f211c13,   // af.nl.lg_433 de.pl.cs_322  es.gl.fr_222 id.jw.su_665 
  0x3d001e19, 0x23353011, 0x1b005308, 0x270206a0,   // ms.ku.un_750 uz.tg.ky_653  ht.tr.un_430 de.da.gd_322 
  0x092d06a7, 0x23110107, 0x040a075a, 0x6b006e09,   // de.sk.pl_532 en.ro.ca_432  bg.mk.ru_553 hmn.ceb.un_440 
  // [3cf0]
  0x25372804, 0x3500230b, 0x010e64a4, 0x300d06ec,   // sw.st.eu_332 ky.tg.un_520  lg.is.en_433 de.cs.uz_644 
  0x302a0807, 0x10000f1a, 0x0e030613, 0x0a23010c,   // no.mt.uz_432 lv.lt.un_760  de.nl.is_665 en.ca.pt_543 
  0x28642104, 0x171a1311, 0x06000e0e, 0x10565311,   // jw.lg.sw_332 et.tl.sr_653  is.de.un_550 ht.mg.lt_653 
  0x56372507, 0x6b002705, 0x0c041c04, 0x6b212f12,   // eu.st.mg_432 gd.ceb.un_330  id.fi.sv_332 su.jw.ceb_654 
  // [3d00]
  0x0400130e, 0x01073104, 0x731864a4, 0x6430310e,   // et.fi.un_550 az.it.en_332  lg.ga.ny_433 az.uz.lg_555 
  0x2a060460, 0x0f102daf, 0x5311300c, 0x1c000919,   // fi.de.mt_664 sk.lt.lv_655  uz.ro.ht_543 hi.mr.un_750 
  0x0900030c, 0x092a2504, 0x18000511, 0x21181214,   // nl.pl.un_530 eu.mt.pl_332  fr.ga.un_630 ur.ar.fa_666 
  0x19052307, 0x06003f1b, 0x162901a0, 0x0c0f560c,   // ca.fr.gl_432 af.de.un_770  en.sl.hr_322 mg.lv.sv_543 
  // [3d10]
  0x30130409, 0x1f3f0311, 0x0f040704, 0x130f100c,   // fi.et.uz_444 nl.af.cy_653  it.fi.lv_332 lt.lv.et_543 
  0x2310040c, 0x070f1008, 0x04002104, 0x06030e0c,   // ru.be.ky_543 lt.lv.it_443  jw.fi.un_320 is.nl.de_543 
  0x321756a0, 0x640128a0, 0x10043da7, 0x2a2307a4,   // mg.sr.bs_322 sw.en.lg_322  ku.fi.lt_532 it.ca.mt_433 
  0x53002f04, 0x09162907, 0x13251a08, 0x17070aa0,   // su.ht.un_320 sl.hr.pl_432  tl.eu.et_443 mk.bg.sr_322 
  // [3d20]
  0x033f0fa4, 0x0b072d0c, 0x102a0f0c, 0x08022aa0,   // lv.af.nl_433 sk.it.es_543  lv.mt.lt_543 mt.da.no_322 
  0x2b100f0d, 0x04002d1a, 0x311b2f02, 0x31090fa0,   // lv.lt.vi_554 sk.fi.un_760  su.tr.az_222 lv.pl.az_322 
  0x11041011, 0x641e730c, 0x071111a7, 0x0500210d,   // be.ru.ro_653 ny.ms.lg_543  ro.ro.bg_532 jw.fr.un_540 
  0x0a113509, 0x12063004, 0x23552f08, 0x25321702,   // tg.ro.mk_444 uz.de.hu_332  su.rw.ca_443 sr.bs.eu_222 
  // [3d30]
  0x252a30ec, 0x0c1304a4, 0x02003005, 0x0a040807,   // uz.mt.eu_644 fi.et.sv_433  uz.da.un_330 uk.ru.mk_432 
  0x30070a04, 0x3530440d, 0x0a173507, 0x1c281ea4,   // mk.bg.uz_332 kk.uz.tg_554  tg.sr.mk_432 ms.sw.id_433 
  0x552528a4, 0x0c066ba0, 0x111e1c08, 0x211c5602,   // sw.eu.rw_433 ceb.de.sv_322  id.ms.ro_443 mg.id.jw_222 
  0x1e00070c, 0x30112dee, 0x0400230c, 0x440810af,   // it.ms.un_530 sk.ro.uz_422  ky.ru.un_530 be.uk.kk_655 
  // [3d40]
  0x3f733708, 0x10070809, 0x2f1128ad, 0x6b733709,   // st.ny.af_443 uk.bg.be_444  sw.ro.su_643 st.ny.ceb_444 
  0x131123ee, 0x55280912, 0x23111c07, 0x11005308,   // ca.ro.et_422 pl.sw.rw_654  id.ro.ca_432 ht.ro.un_430 
  0x04110705, 0x0700291a, 0x2500111a, 0x1e28550c,   // bg.ro.ru_333 sl.it.un_760  ro.eu.un_760 rw.sw.ms_543 
  0x1f1311a0, 0x55281aa9, 0x2000250c, 0x0c060202,   // ro.et.cy_322 tl.sw.rw_544  eu.sq.un_530 da.de.sv_222 
  // [3d50]
  0x01063fa0, 0x28552f0c, 0x03083f04, 0x23201108,   // af.de.en_322 su.rw.sw_543  af.no.nl_332 ro.sq.ca_443 
  0x30001722, 0x1130350e, 0x25231109, 0x09005607,   // sr.uz.un_870 tg.uz.ro_555  ro.ca.eu_444 mg.pl.un_420 
  0x0a0835ee, 0x28041207, 0x3000250c, 0x04001713,   // tg.uk.mk_422 hu.fi.sw_432  eu.uz.un_530 sr.ru.un_650 
  0x1b1e3007, 0x1200100d, 0x21730404, 0x11002312,   // uz.ms.tr_432 lt.hu.un_540  fi.ny.jw_332 ca.ro.un_640 
  // [3d60]
  0x23003020, 0x562d0d55, 0x190b230b, 0x13112312,   // uz.ky.un_850 cs.sk.mg_442  ca.es.gl_542 ca.ro.et_654 
  0x216b1ba0, 0x0e6b3fee, 0x1221180d, 0x070430ee,   // tr.ceb.jw_322 af.ceb.is_422  ar.fa.ur_554 uz.ru.bg_422 
  0x090d20ad, 0x0e04105a, 0x3d003f21, 0x0430080d,   // sq.cs.pl_643 lt.fi.is_553  af.ku.un_860 uk.uz.ru_554 
  0x3d002b1a, 0x56005312, 0x12101f0c, 0x29000604,   // vi.ku.un_760 ht.mg.un_640  cy.lt.hu_543 de.sl.un_320 
  // [3d70]
  0x04000605, 0x1017040d, 0x3f2b3dec, 0x10040faf,   // de.fi.un_330 ru.sr.be_554  ku.vi.af_644 lv.fi.lt_655 
  0x2b003f08, 0x0473250c, 0x2300250c, 0x2b003d21,   // af.vi.un_430 eu.ny.fi_543  eu.ca.un_530 ku.vi.un_860 
  0x071708ad, 0x0a003d2a, 0x230b180c, 0x64003005,   // uk.sr.bg_643 ku.pt.un_970  ga.es.ca_543 uz.lg.un_330 
  0x100a2304, 0x2d002018, 0x0a002502, 0x25007307,   // ky.mk.be_332 sq.sk.un_740  eu.pt.un_220 ny.eu.un_420 
  // [3d80]
  0x083f0ea0, 0x64322fa0, 0x132a2805, 0x3d003f2b,   // is.af.no_322 su.bs.lg_322  sw.mt.et_333 af.ku.un_980 
  0x0500180d, 0x040f1013, 0x0e730fad, 0x170407a0,   // ga.fr.un_540 lt.lv.fi_665  lv.ny.is_643 bg.ru.sr_322 
  0x233001a4, 0x300823a4, 0x06000c11, 0x0a056413,   // en.uz.ca_433 ky.uk.uz_433  sv.de.un_630 lg.fr.pt_665 
  0x041f6b55, 0x13291707, 0x6b137311, 0x0a170404,   // ceb.cy.fi_442 sr.sl.et_432  ny.et.ceb_653 ru.sr.mk_332 
  // [3d90]
  0x01191ea4, 0x1c231eee, 0x25001807, 0x1e041ca0,   // ms.gl.en_433 ms.ca.id_422  ga.eu.un_420 id.fi.ms_322 
  0x1e1c2fee, 0x2a3216a4, 0x20292f02, 0x281301a0,   // su.id.ms_422 hr.bs.mt_433  su.sl.sq_222 en.et.sw_322 
  0x04350a12, 0x230417ad, 0x1e020807, 0x09000602,   // mk.tg.ru_654 sr.ru.ky_643  no.da.ms_432 de.pl.un_220 
  0x0c1c03a4, 0x1c2f21a4, 0x28130412, 0x3f032da0,   // nl.id.sv_433 jw.su.id_433  fi.et.sw_654 sk.nl.af_322 
  // [3da0]
  0x0c0704af, 0x1f255609, 0x25002702, 0x1c1f2007,   // fi.it.sv_655 mg.eu.cy_444  gd.eu.un_220 sq.cy.id_432 
  0x110411af, 0x180a055e, 0x10170a13, 0x16000f0c,   // ro.ru.ro_655 fr.pt.ga_652  mk.sr.be_665 lv.hr.un_530 
  0x103d1b08, 0x1b001e09, 0x25000e07, 0x53003005,   // tr.ku.lt_443 ms.tr.un_440  is.eu.un_420 uz.ht.un_330 
  0x1e1c04a0, 0x100a08a0, 0x171004ad, 0x301017ad,   // fi.id.ms_322 no.pt.lt_322  ru.be.sr_643 sr.be.uz_643 
  // [3db0]
  0x100f2f12, 0x0e110fa4, 0x2000300d, 0x0313045a,   // su.lv.lt_654 lv.ro.is_433  uz.sq.un_540 fi.et.nl_553 
  0x180a01a0, 0x0e040ca4, 0x05001908, 0x04351705,   // en.pt.ga_322 sv.fi.is_433  gl.fr.un_430 sr.tg.ru_333 
  0x282053a0, 0x071101a7, 0x20062504, 0x190b08a4,   // ht.sq.sw_322 en.ro.it_532  eu.de.sq_332 no.es.gl_433 
  0x1e1c210e, 0x1b003021, 0x023d04ec, 0x35002319,   // jw.id.ms_555 uz.tr.un_860  fi.ku.da_644 ky.tg.un_750 
  // [3dc0]
  0x071708a4, 0x015520a0, 0x232f055a, 0x30003118,   // uk.sr.bg_433 sq.rw.en_322  fr.su.ca_553 az.uz.un_740 
  0x101a0404, 0x0b0a2302, 0x10190b55, 0x0d001c04,   // fi.tl.lt_332 ca.pt.es_222  es.gl.lt_442 id.cs.un_320 
  0x070a1712, 0x20002a02, 0x01045507, 0x0602080c,   // sr.mk.bg_654 mt.sq.un_220  rw.fi.en_432 no.da.de_543 
  0x1a032107, 0x20251ba9, 0x1044235a, 0x20253da9,   // jw.nl.tl_432 tr.eu.sq_544  ky.kk.be_553 ku.eu.sq_544 
  // [3dd0]
  0x03060f12, 0x1b200107, 0x0c060eaf, 0x110a0da4,   // lv.de.nl_654 en.sq.tr_432  is.de.sv_655 cs.pt.ro_433 
  0x3f082107, 0x3f001a07, 0x1a212007, 0x18211255,   // jw.no.af_432 tl.af.un_420  sq.jw.tl_432 ur.fa.ar_442 
  0x17004404, 0x2f000504, 0x080225a9, 0x56253108,   // kk.sr.un_320 fr.su.un_320  eu.da.no_544 az.eu.mg_443 
  0x28001b18, 0x6b192507, 0x185627ad, 0x0a040805,   // tr.sw.un_740 eu.gl.ceb_432  gd.mg.ga_643 uk.ru.mk_333 
  // [3de0]
  0x18282707, 0x562520a9, 0x030f06a7, 0x060e0309,   // gd.sw.ga_432 sq.eu.mg_544  de.lv.nl_532 nl.is.de_444 
  0x0c1306ad, 0x1e252755, 0x181e2707, 0x12007307,   // de.et.sv_643 gd.eu.ms_442  gd.ms.ga_432 ny.hu.un_420 
  0x180b270c, 0x553773ee, 0x04111105, 0x0e301c04,   // gd.es.ga_543 ny.st.rw_422  ro.ro.ru_333 id.uz.is_332 
  0x530b28ee, 0x2f2d0d04, 0x050b0702, 0x181227ee,   // sw.es.ht_422 cs.sk.su_332  it.es.fr_222 gd.hu.ga_422 
  // [3df0]
  0x03000502, 0x1c2112a7, 0x19063f07, 0x18562707,   // fr.nl.un_220 hu.jw.id_532  af.de.gl_432 gd.mg.ga_432 
  0x066b0c08, 0x281227a0, 0x11072a0c, 0x2f001a0d,   // sv.ceb.de_443 gd.hu.sw_322  mt.it.ro_543 tl.su.un_540 
  0x0a103505, 0x212f1ea9, 0x063f5507, 0x01552507,   // tg.be.mk_333 ms.su.jw_544  rw.af.de_432 eu.rw.en_432 
  0x01002702, 0x08021f0c, 0x1021010c, 0x1a0c0104,   // gd.en.un_220 cy.da.no_543  en.jw.lt_543 en.sv.tl_332 
  // [3e00]
  0x17207307, 0x13033f13, 0x033f0708, 0x271801ec,   // ny.sq.sr_432 af.nl.et_665  it.af.nl_443 en.ga.gd_644 
  0x53301ba9, 0x29121e07, 0x30003104, 0x6b5301a4,   // tr.uz.ht_544 ms.hu.sl_432  az.uz.un_320 en.ht.ceb_433 
  0x111931ee, 0x250f1a02, 0x09001c22, 0x3f040360,   // az.gl.ro_422 tl.lv.eu_222  mr.hi.un_870 nl.fi.af_664 
  0x531e1a0c, 0x040364a0, 0x1e3f130d, 0x2d121b07,   // tl.ms.ht_543 lg.nl.fi_322  et.af.ms_554 tr.hu.sk_432 
  // [3e10]
  0x11001709, 0x11072aa4, 0x06001012, 0x531901a9,   // sr.ro.un_440 mt.it.ro_433  lt.de.un_640 en.gl.ht_544 
  0x0c0e1305, 0x04351004, 0x04133fee, 0x0c310611,   // et.is.sv_333 be.tg.ru_332  af.et.fi_422 de.az.sv_653 
  0x302a3155, 0x562555ee, 0x070410af, 0x27002f07,   // az.mt.uz_442 rw.eu.mg_422  be.ru.bg_655 su.gd.un_420 
  0x130e0ca7, 0x732830af, 0x131237a9, 0x09000704,   // sv.is.et_532 uz.sw.ny_655  st.hu.et_544 it.pl.un_320 
  // [3e20]
  0x27006b0d, 0x0d13090c, 0x1c130911, 0x08001023,   // ceb.gd.un_540 hi.bh.ne_543  hi.bh.mr_653 be.uk.un_880 
  0x16552fa9, 0x30002809, 0x09323107, 0x1b001309,   // su.rw.hr_544 sw.uz.un_440  az.bs.pl_432 et.tr.un_440 
  0x6b251aa0, 0x30070414, 0x73003f12, 0x1c001e21,   // tl.eu.ceb_322 ru.bg.uz_666  af.ny.un_640 ms.id.un_860 
  0x07002718, 0x042028a4, 0x101127a0, 0x033f04af,   // gd.it.un_740 sw.sq.fi_433  gd.ro.lt_322 fi.af.nl_655 
  // [3e30]
  0x1c270712, 0x563003a0, 0x55003f04, 0x20323707,   // it.gd.id_654 nl.uz.mg_322  af.rw.un_320 st.bs.sq_432 
  0x080410af, 0x0a17110c, 0x73281c0c, 0x301b31a0,   // be.ru.uk_655 ro.sr.mk_543  id.sw.ny_543 az.tr.uz_322 
  0x0400200e, 0x08002104, 0x04070a5a, 0x04110aad,   // sq.fi.un_550 jw.no.un_320  mk.bg.ru_553 mk.ro.ru_643 
  0x04002a07, 0x2d0d10ac, 0x1e733004, 0x121a6b12,   // mt.fi.un_420 lt.cs.sk_632  uz.ny.ms_332 ceb.tl.hu_654 
  // [3e40]
  0x642128ad, 0x091c13ee, 0x440423ee, 0x2a006404,   // sw.jw.lg_643 bh.mr.hi_422  ky.ru.kk_422 lg.mt.un_320 
  0x30033fee, 0x17002505, 0x29321705, 0x080f1012,   // af.nl.uz_422 eu.sr.un_330  sr.bs.sl_333 lt.lv.no_654 
  0x08021a14, 0x070a1002, 0x732f21ec, 0x1b000613,   // tl.da.no_666 be.mk.bg_222  jw.su.ny_644 de.tr.un_650 
  0x04071009, 0x044410af, 0x081007ee, 0x53006408,   // be.bg.ru_444 be.kk.ru_655  bg.be.uk_422 lg.ht.un_430 
  // [3e50]
  0x2a000714, 0x645553a0, 0x2b1204a9, 0x25072a08,   // it.mt.un_660 ht.rw.lg_322  fi.hu.vi_544 mt.it.eu_443 
  0x32000204, 0x03001c0c, 0x16282fa0, 0x203f1ca4,   // da.bs.un_320 id.nl.un_530  su.sw.hr_322 id.af.sq_433 
  0x03021faf, 0x121e2a08, 0x03733fa4, 0x201b3208,   // cy.da.nl_655 mt.ms.hu_443  af.ny.nl_433 bs.tr.sq_443 
  0x2d050da6, 0x0f041aee, 0x08001f0c, 0x09000d20,   // cs.fr.sk_521 tl.fi.lv_422  cy.no.un_530 ne.hi.un_850 
  // [3e60]
  0x1012040c, 0x25002f02, 0x29090da4, 0x3f000334,   // fi.hu.lt_543 su.eu.un_220  cs.pl.sl_433 nl.af.un_A80 
  0x201b53a7, 0x06003708, 0x2f131e0b, 0x0f291705,   // ht.tr.sq_532 st.de.un_430  ms.et.su_542 sr.sl.lv_333 
  0x201b12ee, 0x02002a14, 0x2f002123, 0x12002012,   // hu.tr.sq_422 mt.da.un_660  jw.su.un_880 sq.hu.un_640 
  0x2a0312ec, 0x040c3f07, 0x10000f04, 0x233035a4,   // hu.nl.mt_644 af.sv.fi_432  lv.lt.un_320 tg.uz.ky_433 
  // [3e70]
  0x0c000407, 0x64006b09, 0x1a6b0bec, 0x0c19040d,   // fi.sv.un_420 ceb.lg.un_440  es.ceb.tl_644 fi.gl.sv_554 
  0x21000604, 0x2f1f18ad, 0x1a6b0f0c, 0x3700640d,   // de.jw.un_320 ga.cy.su_643  lv.ceb.tl_543 lg.st.un_540 
  0x23003035, 0x1a6b640c, 0x061f3f0c, 0x1300640c,   // uz.ky.un_A90 lg.ceb.tl_543  af.cy.de_543 lg.et.un_530 
  0x6b3d21a4, 0x3f003707, 0x0e3d55ec, 0x1a006405,   // jw.ku.ceb_433 st.af.un_420  rw.ku.is_644 lg.tl.un_330 
  // [3e80]
  0x041711a0, 0x12100407, 0x0f101f02, 0x10041304,   // ro.sr.ru_322 fi.lt.hu_432  cy.lt.lv_222 et.fi.lt_332 
  0x1c112107, 0x1b1a6b11, 0x212f285a, 0x303f03ec,   // jw.ro.id_432 ceb.tl.tr_653  sw.su.jw_553 nl.af.uz_644 
  0x080411a9, 0x01282fa0, 0x0000132d, 0x292d0da4,   // ro.ru.uk_544 su.sw.en_322  et.un.un_A00 cs.sk.sl_433 
  0x1f6b1a08, 0x13083f09, 0x2f0109ee, 0x1f00130d,   // tl.ceb.cy_443 af.no.et_444  pl.en.su_422 et.cy.un_540 
  // [3e90]
  0x1f000c12, 0x13002d04, 0x160d175a, 0x190b100c,   // sv.cy.un_640 sk.et.un_320  sr.cs.hr_553 lt.es.gl_543 
  0x09002a13, 0x31002a12, 0x281364ad, 0x10000811,   // mt.pl.un_650 mt.az.un_640  lg.et.sw_643 uk.be.un_630 
  0x10190b0c, 0x012d06a0, 0x040a0804, 0x300e1ba0,   // es.gl.lt_543 de.sk.en_322  uk.mk.ru_332 tr.is.uz_322 
  0x063d5507, 0x0b000507, 0x1b3125a9, 0x101104a4,   // rw.ku.de_432 fr.es.un_420  eu.az.tr_544 ru.ro.be_433 
  // [3ea0]
  0x0a30170c, 0x12006409, 0x35111107, 0x0d000f13,   // sr.uz.mk_543 lg.hu.un_440  ro.ro.tg_432 lv.cs.un_650 
  0x731f0107, 0x303508a7, 0x735564a9, 0x2f00051d,   // en.cy.ny_432 uk.tg.uz_532  lg.rw.ny_544 fr.su.un_820 
  0x13000c1a, 0x30350411, 0x05001f13, 0x1a001004,   // sv.et.un_760 ru.tg.uz_653  cy.fr.un_650 lt.tl.un_320 
  0x2f1e1c14, 0x0a080708, 0x16292d12, 0x212f12ad,   // id.ms.su_666 bg.uk.mk_443  sk.sl.hr_654 hu.su.jw_643 
  // [3eb0]
  0x53303112, 0x30070504, 0x08041012, 0x32092807,   // az.uz.ht_654 fr.it.uz_332  be.ru.uk_654 sw.pl.bs_432 
  0x2a000612, 0x0e001109, 0x060c0409, 0x3f1a0302,   // de.mt.un_640 ro.is.un_440  fi.sv.de_444 nl.tl.af_222 
  0x3000110c, 0x03000e0d, 0x130c04a4, 0x562528a0,   // ro.uz.un_530 is.nl.un_540  fi.sv.et_433 sw.eu.mg_322 
  0x01000302, 0x56001e04, 0x01001211, 0x173007a0,   // nl.en.un_220 ms.mg.un_320  hu.en.un_630 bg.uz.sr_322 
  // [3ec0]
  0x182801ee, 0x6b291aee, 0x561a01a0, 0x17000705,   // en.sw.ga_422 tl.sl.ceb_422  en.tl.mg_322 bg.sr.un_330 
  0x1f001014, 0x1f2d1807, 0x0c0e06ee, 0x530f2104,   // lt.cy.un_660 ga.sk.cy_432  de.is.sv_422 jw.lv.ht_332 
  0x1e001012, 0x56000808, 0x10001305, 0x64002f04,   // lt.ms.un_640 no.mg.un_430  et.lt.un_330 su.lg.un_320 
  0x0f2d2107, 0x0a1210a0, 0x0b1b19a0, 0x133f2f5a,   // jw.sk.lv_432 lt.hu.pt_322  gl.tr.es_322 su.af.et_553 
  // [3ed0]
  0x12000808, 0x010a13ee, 0x1e6b1a0d, 0x201f03a0,   // no.hu.un_430 et.pt.en_422  tl.ceb.ms_554 nl.cy.sq_322 
  0x063f0312, 0x530e1f04, 0x1c1e1f11, 0x05003113,   // nl.af.de_654 cy.is.ht_332  cy.ms.id_653 az.fr.un_650 
  0x0f730907, 0x2a041a0b, 0x0f005304, 0x1f041012,   // pl.ny.lv_432 tl.fi.mt_542  ht.lv.un_320 lt.fi.cy_654 
  0x162d230b, 0x0a170808, 0x17111111, 0x35000a23,   // ca.sk.hr_542 uk.sr.mk_443  ro.ro.sr_653 mk.tg.un_880 
  // [3ee0]
  0x231a210c, 0x25000113, 0x0f00170d, 0x20000309,   // jw.tl.ca_543 en.eu.un_650  sr.lv.un_540 nl.sq.un_440 
  0x120b0702, 0x102d01a4, 0x31301baf, 0x10111112,   // it.es.hu_222 en.sk.lt_433  tr.uz.az_655 ro.ro.be_654 
  0x17111fec, 0x20001b0c, 0x0f000e13, 0x0d002907,   // cy.ro.sr_644 tr.sq.un_530  is.lv.un_650 sl.cs.un_420 
  0x040a1760, 0x29091007, 0x1700370d, 0x061b3111,   // sr.mk.ru_664 lt.pl.sl_432  st.sr.un_540 az.tr.de_653 
  // [3ef0]
  0x040a0811, 0x0a6b100d, 0x17001e08, 0x23190b0b,   // uk.mk.ru_653 lt.ceb.pt_554  ms.sr.un_430 es.gl.ca_542 
  0x172937ad, 0x1b190b04, 0x0c001318, 0x2f1304ee,   // st.sl.sr_643 es.gl.tr_332  et.sv.un_740 fi.et.su_422 
  0x29000f0c, 0x0c2012a7, 0x0d321604, 0x07190b13,   // lv.sl.un_530 hu.sq.sv_532  hr.bs.cs_332 es.gl.it_665 
  0x173035ad, 0x2a001b19, 0x101629ee, 0x04641eee,   // tg.uz.sr_643 tr.mt.un_750  sl.hr.lt_422 ms.lg.fi_422 
  // [3f00]
  0x10001604, 0x2f00130e, 0x2f001a0c, 0x2f280a0c,   // hr.lt.un_320 et.su.un_550  tl.su.un_530 pt.sw.su_543 
  0x20000c12, 0x1729100c, 0x44001007, 0x04171112,   // sv.sq.un_640 lt.sl.sr_543  be.kk.un_420 ro.sr.ru_654 
  0x110305a0, 0x291055ad, 0x13006408, 0x04033f0c,   // fr.nl.ro_322 rw.lt.sl_643  lg.et.un_430 af.nl.fi_543 
  0x0735105a, 0x13006407, 0x29162d0c, 0x0c040dee,   // be.tg.bg_553 lg.et.un_420  sk.hr.sl_543 cs.fi.sv_422 
  // [3f10]
  0x016b1aad, 0x1827280c, 0x2a003012, 0x03000808,   // tl.ceb.en_643 sw.gd.ga_543  uz.mt.un_640 no.nl.un_430 
  0x73562808, 0x301201a0, 0x64007323, 0x10070a12,   // sw.mg.ny_443 en.hu.uz_322  ny.lg.un_880 mk.bg.be_654 
  0x0328560b, 0x1b1e1c0d, 0x5530730c, 0x35113005,   // mg.sw.nl_542 id.ms.tr_554  ny.uz.rw_543 uz.ro.tg_333 
  0x2a13730c, 0x301b3107, 0x18000507, 0x35044412,   // ny.et.mt_543 az.tr.uz_432  fr.ga.un_420 kk.ru.tg_654 
  // [3f20]
  0x3f0313ad, 0x3f036405, 0x1c002702, 0x12645308,   // et.nl.af_643 lg.nl.af_333  gd.id.un_220 ht.lg.hu_443 
  0x3f1a64ad, 0x30073507, 0x32291711, 0x2344100c,   // lg.tl.af_643 tg.bg.uz_432  sr.sl.bs_653 be.kk.ky_543 
  0x08001704, 0x081044ee, 0x31303702, 0x23001322,   // sr.uk.un_320 kk.be.uk_422  st.uz.az_222 et.ca.un_870 
  0x111130ec, 0x233004a4, 0x733003a7, 0x0c0a30a7,   // uz.ro.ro_644 ru.uz.ky_433  nl.uz.ny_532 uz.pt.sv_532 
  // [3f30]
  0x64303104, 0x5600031a, 0x73033faf, 0x55566411,   // az.uz.lg_332 nl.mg.un_760  af.nl.ny_655 lg.mg.rw_653 
  0x286b1aa4, 0x252855a0, 0x06003f23, 0x17350705,   // tl.ceb.sw_433 rw.sw.eu_322  af.de.un_880 bg.tg.sr_333 
  0x5673055a, 0x1c372f0c, 0x1e73370c, 0x3f2d29a4,   // fr.ny.mg_553 su.st.id_543  st.ny.ms_543 sl.sk.af_433 
  0x101135af, 0x16733007, 0x130c0e07, 0x01310204,   // tg.ro.be_655 uz.ny.hr_432  is.sv.et_432 da.az.en_332 
  // [3f40]
  0x3f000702, 0x0f0d0907, 0x06130c11, 0x0c133005,   // it.af.un_220 pl.cs.lv_432  sv.et.de_653 uz.et.sv_333 
  0x0c5508ee, 0x272d0d05, 0x10442304, 0x03080c12,   // no.rw.sv_422 cs.sk.gd_333  ky.kk.be_332 sv.no.nl_654 
  0x2d171602, 0x0e040804, 0x111117ec, 0x234404af,   // hr.sr.sk_222 no.fi.is_332  sr.ro.ro_644 ru.kk.ky_655 
  0x2700371b, 0x2a011308, 0x281a5508, 0x0b040705,   // st.gd.un_770 et.en.mt_443  rw.tl.sw_443 it.fi.es_333 
  // [3f50]
  0x0c190b0d, 0x13005504, 0x043f0309, 0x04000304,   // es.gl.sv_554 rw.et.un_320  nl.af.fi_444 nl.fi.un_320 
  0x2a07270c, 0x3f0413a4, 0x04033f08, 0x2a00070d,   // gd.it.mt_543 et.fi.af_433  af.nl.fi_443 it.mt.un_540 
  0x190b2360, 0x3f031314, 0x07084408, 0x190b230e,   // ca.es.gl_664 et.nl.af_666  kk.uk.bg_443 ca.es.gl_555 
  0x2a0e64a0, 0x27041302, 0x08033f04, 0x0b0a1811,   // lg.is.mt_322 et.fi.gd_222  af.nl.no_332 ga.pt.es_653 
  // [3f60]
  0x07016b02, 0x27011f04, 0x07100a14, 0x27001807,   // ceb.en.it_222 cy.en.gd_332  mk.be.bg_666 ga.gd.un_420 
  0x070430af, 0x04081109, 0x133f03a4, 0x061e6ea4,   // uz.ru.bg_655 ro.uk.ru_444  nl.af.et_433 hmn.ms.de_433 
  0x23001212, 0x133f030c, 0x2344110d, 0x2a003f04,   // hu.ca.un_640 nl.af.et_543  ro.kk.ky_554 af.mt.un_320 
  0x1f002107, 0x1306040d, 0x2a2506a0, 0x23170a11,   // jw.cy.un_420 fi.de.et_554  de.eu.mt_322 mk.sr.ky_653 
  // [3f70]
  0x11001134, 0x2f6b1aec, 0x0e001204, 0x231144af,   // ro.ro.un_A80 tl.ceb.su_644  hu.is.un_320 kk.ro.ky_655 
  0x0a001704, 0x6e000512, 0x18002d08, 0x31103005,   // sr.mk.un_320 fr.hmn.un_640  sk.ga.un_430 uz.lt.az_333 
  0x1a6b2511, 0x3d001109, 0x64731aaf, 0x13002104,   // eu.ceb.tl_653 ro.ku.un_440  tl.ny.lg_655 jw.et.un_320 
  0x1a000904, 0x100411ee, 0x311e1c0c, 0x1700110e,   // pl.tl.un_320 ro.ru.be_422  id.ms.az_543 ro.sr.un_550 
  // [3f80]
  0x1c1e2107, 0x0800050d, 0x21002f12, 0x07081702,   // jw.ms.id_432 fr.no.un_540  su.jw.un_640 sr.uk.bg_222 
  0x1e1c1a0e, 0x731a6412, 0x1c121ea9, 0x040a1702,   // tl.id.ms_555 lg.tl.ny_654  ms.hu.id_544 sr.mk.ru_222 
  0x040817a9, 0x033f0d12, 0x21001c0e, 0x03000f0e,   // sr.uk.ru_544 cs.af.nl_654  id.jw.un_550 lv.nl.un_550 
  0x0a30350d, 0x09292504, 0x1e002504, 0x02003f05,   // tg.uz.mk_554 eu.sl.pl_332  eu.ms.un_320 af.da.un_330 
  // [3f90]
  0x2300112b, 0x20001305, 0x2b6455a4, 0x0430350b,   // ro.ca.un_980 et.sq.un_330  rw.lg.vi_433 tg.uz.ru_542 
  0x6b551a0c, 0x1b113113, 0x0200130c, 0x0e1220ee,   // tl.rw.ceb_543 az.ro.tr_665  et.da.un_530 sq.hu.is_422 
  0x35302311, 0x12250da4, 0x0203060b, 0x2f0a0f07,   // ky.uz.tg_653 cs.eu.hu_433  de.nl.da_542 lv.pt.su_432 
  0x1b301e0c, 0x3d001b0e, 0x110c2307, 0x0c0d0412,   // ms.uz.tr_543 tr.ku.un_550  ca.sv.ro_432 fi.cs.sv_654 
  // [3fa0]
  0x1000071a, 0x060b25ad, 0x12190b04, 0x0d002912,   // it.lt.un_760 eu.es.de_643  es.gl.hu_332 sl.cs.un_640 
  0x112a23ec, 0x051123a0, 0x641a01ad, 0x1812200c,   // ca.mt.ro_644 ca.ro.fr_322  en.tl.lg_643 sq.hu.ga_543 
  0x19002513, 0x08002512, 0x1a1e1caf, 0x17100a02,   // eu.gl.un_650 eu.no.un_640  id.ms.tl_655 mk.be.sr_222 
  0x31003021, 0x3d000808, 0x0e645504, 0x08002534,   // uz.az.un_860 no.ku.un_430  rw.lg.is_332 eu.no.un_A80 
  // [3fb0]
  0x01006e0c, 0x10001a05, 0x1b1f0b0c, 0x2a016ba4,   // hmn.en.un_530 tl.lt.un_330  es.cy.tr_543 ceb.en.mt_433 
  0x6e003f0e, 0x040e550c, 0x07190a09, 0x3f0325a7,   // af.hmn.un_550 rw.is.fi_543  pt.gl.it_444 eu.nl.af_532 
  0x3f0364a4, 0x06181f07, 0x19110a0e, 0x731204ee,   // lg.nl.af_433 cy.ga.de_432  pt.ro.gl_555 fi.hu.ny_422 
  0x211873a0, 0x0c6406a7, 0x2a002314, 0x12092da7,   // ny.ga.jw_322 de.lg.sv_532  ca.mt.un_660 sk.pl.hu_532 
  // [3fc0]
  0x3d6e01ee, 0x0a081007, 0x6e0a3107, 0x090d2da4,   // en.hmn.ku_422 be.uk.mk_432  az.pt.hmn_432 sk.cs.pl_433 
  0x06000523, 0x040c13a4, 0x56001323, 0x20050b0c,   // fr.de.un_880 et.sv.fi_433  et.mg.un_880 es.fr.sq_543 
  0x032f10ec, 0x0a002508, 0x0e1308ee, 0x3f070107,   // lt.su.nl_644 eu.pt.un_430  no.et.is_422 en.it.af_432 
  0x123706ee, 0x1a000804, 0x072301a0, 0x0e001f12,   // de.st.hu_422 no.tl.un_320  en.ca.it_322 cy.is.un_640 
  // [3fd0]
  0x13006402, 0x010c19a0, 0x1b0e64a0, 0x1b6e0fa7,   // lg.et.un_220 gl.sv.en_322  lg.is.tr_322 lv.hmn.tr_532 
  0x1e552808, 0x73005609, 0x1a106ba9, 0x55643004,   // sw.rw.ms_443 mg.ny.un_440  ceb.lt.tl_544 uz.lg.rw_332 
  0x6e3d0f60, 0x6b1a1ea4, 0x0d002502, 0x3f072aa4,   // lv.ku.hmn_664 ms.tl.ceb_433  eu.cs.un_220 mt.it.af_433 
  0x101711a4, 0x53022507, 0x30311b0c, 0x0c001804,   // ro.sr.be_433 eu.da.ht_432  tr.az.uz_543 ga.sv.un_320 
  // [3fe0]
  0x03000623, 0x1e16280c, 0x306453a9, 0x040a17ee,   // de.nl.un_880 sw.hr.ms_543  ht.lg.uz_544 sr.mk.ru_422 
  0x033f2f09, 0x11041013, 0x304404a6, 0x07040811,   // su.af.nl_444 be.ru.ro_665  ru.kk.uz_521 uk.ru.bg_653 
  0x25000c04, 0x03560f05, 0x04111704, 0x440811ee,   // sv.eu.un_320 lv.mg.nl_333  sr.ro.ru_332 ro.uk.kk_422 
  0x11070412, 0x1c211ea4, 0x0d1c09ee, 0x04060ca0,   // ru.bg.ro_654 ms.jw.id_433  hi.mr.ne_422 sv.de.fi_322 
  // [3ff0]
  0x1b001607, 0x25561213, 0x3100060c, 0x1b060302,   // hr.tr.un_420 hu.mg.eu_665  de.az.un_530 nl.de.tr_222 
  0x170a10a0, 0x130f2507, 0x1b000612, 0x44040855,   // be.mk.sr_322 eu.lv.et_432  de.tr.un_640 uk.ru.kk_442 
  0x0413060c, 0x12090307, 0x11001121, 0x2a00041b,   // de.et.fi_543 nl.pl.hu_432  ro.ro.un_860 fi.mt.un_770 
  0x2f211c04, 0x16001307, 0x070a3505, 0x0a081013,   // id.jw.su_332 et.hr.un_420  tg.mk.bg_333 be.uk.mk_665 
  
  // [4000]
  0x09001219, 0x173216ad, 0x27091fa7, 0x170a10ad,   // hu.pl.un_750 hr.bs.sr_643  cy.pl.gd_532 be.mk.sr_643 
  0x1b0306ad, 0x121730ee, 0x12060307, 0x04292aee,   // de.nl.tr_643 uz.sr.hu_422  nl.de.hu_432 mt.sl.fi_422 
  0x040710ad, 0x2f2a20a4, 0x20171602, 0x10001108,   // be.bg.ru_643 sq.mt.su_433  hr.sr.sq_222 ro.be.un_430 
  0x321629a0, 0x2a003013, 0x21132aa0, 0x04301707,   // sl.hr.bs_322 uz.mt.un_650  mt.et.jw_322 sr.uz.ru_432 
  // [4010]
  0x0f003f04, 0x3f1e1c08, 0x230b1907, 0x08004411,   // af.lv.un_320 id.ms.af_443  gl.es.ca_432 kk.uk.un_630 
  0x3d205612, 0x20003704, 0x100423af, 0x03251b0c,   // mg.sq.ku_654 st.sq.un_320  ky.ru.be_655 tr.eu.nl_543 
  0x35000a02, 0x17290955, 0x0d002a02, 0x320f21a4,   // mk.tg.un_220 pl.sl.sr_442  mt.cs.un_220 jw.lv.bs_433 
  0x1b210112, 0x043f2a05, 0x55530504, 0x07001004,   // en.jw.tr_654 mt.af.fi_333  fr.ht.rw_332 be.bg.un_320 
  // [4020]
  0x132a23a4, 0x0517300c, 0x2573320c, 0x2a0c0408,   // ca.mt.et_433 uz.sr.fr_543  bs.ny.eu_543 fi.sv.mt_443 
  0x04191c07, 0x30560112, 0x1e1c56a9, 0x07000507,   // id.gl.fi_432 en.mg.uz_654  mg.id.ms_544 fr.it.un_420 
  0x1b003d12, 0x071c1eee, 0x560a37af, 0x643f0407,   // ku.tr.un_640 ms.id.it_422  st.pt.mg_655 fi.af.lg_432 
  0x301019a4, 0x271707a0, 0x2a007308, 0x2f73060c,   // gl.lt.uz_433 it.sr.gd_322  ny.mt.un_430 de.ny.su_543 
  // [4030]
  0x041e1c08, 0x08003f07, 0x0b56230d, 0x7356280c,   // id.ms.fi_443 af.no.un_420  ca.mg.es_554 sw.mg.ny_543 
  0x291c0fee, 0x21003d2b, 0x0a00232b, 0x08020aa0,   // lv.id.sl_422 ku.jw.un_980  ky.mk.un_980 pt.da.no_322 
  0x3f0108ee, 0x07251907, 0x3d080213, 0x1b003004,   // no.en.af_422 gl.eu.it_432  da.no.ku_665 uz.tr.un_320 
  0x080f0ea4, 0x0f56100c, 0x28371fa4, 0x30105609,   // is.lv.no_433 lt.mg.lv_543  cy.st.sw_433 mg.lt.uz_444 
  // [4040]
  0x2b001102, 0x04100705, 0x302d01a0, 0x02002b05,   // ro.vi.un_220 bg.be.ru_333  en.sk.uz_322 vi.da.un_330 
  0x1a0e56ad, 0x6b1e1c11, 0x17005507, 0x30231cee,   // mg.is.tl_643 id.ms.ceb_653  rw.sr.un_420 id.ca.uz_422 
  0x0c640808, 0x133f040d, 0x27002b0d, 0x04133f0c,   // no.lg.sv_443 fi.af.et_554  vi.gd.un_540 af.et.fi_543 
  0x13640414, 0x270d0607, 0x04132511, 0x35170808,   // fi.lg.et_666 de.cs.gd_432  eu.et.fi_653 uk.sr.tg_443 
  // [4050]
  0x0e215507, 0x0719200c, 0x13000a04, 0x0e230a07,   // rw.jw.is_432 sq.gl.it_543  pt.et.un_320 pt.ca.is_432 
  0x07532104, 0x080723ad, 0x2f003204, 0x1111100c,   // jw.ht.it_332 ky.bg.uk_643  bs.su.un_320 be.ro.ro_543 
  0x180156a4, 0x0000642d, 0x3000350b, 0x37736407,   // mg.en.ga_433 lg.un.un_A00  tg.uz.un_520 lg.ny.st_432 
  0x20320413, 0x12190b02, 0x31001a04, 0x212d2808,   // fi.bs.sq_665 es.gl.hu_222  tl.az.un_320 sw.sk.jw_443 
  // [4060]
  0x1b001a04, 0x07000402, 0x2a1c55ee, 0x32001a04,   // tl.tr.un_320 ru.bg.un_220  rw.id.mt_422 tl.bs.un_320 
  0x170a0405, 0x301b310b, 0x0c6b0113, 0x0c092da0,   // ru.mk.sr_333 az.tr.uz_542  en.ceb.sv_665 sk.pl.sv_322 
  0x2a051308, 0x1c000b04, 0x311b0ba0, 0x31321704,   // et.fr.mt_443 es.id.un_320  es.tr.az_322 sr.bs.az_332 
  0x321620a9, 0x04003013, 0x080a0705, 0x557328af,   // sq.hr.bs_544 uz.fi.un_650  bg.mk.uk_333 sw.ny.rw_655 
  // [4070]
  0x0d00290d, 0x2100060b, 0x080e2aa6, 0x301b3108,   // sl.cs.un_540 de.jw.un_520  mt.is.no_521 az.tr.uz_443 
  0x1c007308, 0x272a1804, 0x07442308, 0x311b0eee,   // ny.id.un_430 ga.mt.gd_332  ky.kk.bg_443 is.tr.az_422 
  0x1b132f02, 0x280473a4, 0x1a306ba4, 0x01030604,   // su.et.tr_222 ny.fi.sw_433  ceb.uz.tl_433 de.nl.en_332 
  0x6e000619, 0x27070308, 0x0600270d, 0x0600291a,   // de.hmn.un_750 nl.it.gd_443  gd.de.un_540 sl.de.un_760 
  // [4080]
  0x0f1006a9, 0x2d0d06ec, 0x190b2fa9, 0x04081702,   // de.lt.lv_544 de.cs.sk_644  su.es.gl_544 sr.uk.ru_222 
  0x3019060c, 0x063025a4, 0x1b080305, 0x102d0d08,   // de.gl.uz_543 eu.uz.de_433  nl.no.tr_333 cs.sk.lt_443 
  0x56003719, 0x1a002a08, 0x28552fa4, 0x25000914,   // st.mg.un_750 mt.tl.un_430  su.rw.sw_433 pl.eu.un_660 
  0x070a04a0, 0x64282008, 0x3f03010b, 0x082902a4,   // ru.mk.bg_322 sq.sw.lg_443  en.nl.af_542 da.sl.no_433 
  // [4090]
  0x1b002504, 0x133725a4, 0x28002304, 0x08102004,   // eu.tr.un_320 eu.st.et_433  ca.sw.un_320 sq.lt.no_332 
  0x0817040c, 0x0a3530a4, 0x03060e0c, 0x01103fa4,   // ru.sr.uk_543 uz.tg.mk_433  is.de.nl_543 af.lt.en_433 
  0x300306ad, 0x08002308, 0x0916290c, 0x0b23010c,   // de.nl.uz_643 ky.uk.un_430  sl.hr.pl_543 en.ca.es_543 
  0x1f1012af, 0x08006402, 0x1e000c08, 0x02000821,   // hu.lt.cy_655 lg.no.un_220  sv.ms.un_430 no.da.un_860 
  // [40a0]
  0x08170a05, 0x19070aec, 0x2a00072c, 0x052308a0,   // mk.sr.uk_333 pt.it.gl_644  it.mt.un_990 no.ca.fr_322 
  0x30002307, 0x18000808, 0x2a19180c, 0x271101a0,   // ky.uz.un_420 no.ga.un_430  ga.gl.mt_543 en.ro.gd_322 
  0x0d09130c, 0x03001602, 0x443523ee, 0x0605010c,   // bh.hi.ne_543 hr.nl.un_220  ky.tg.kk_422 en.fr.de_543 
  0x30170707, 0x2b6b0107, 0x1c000305, 0x1e1c73a9,   // bg.sr.uz_432 en.ceb.vi_432  nl.id.un_330 ny.id.ms_544 
  // [40b0]
  0x53050607, 0x060302a4, 0x0e0c2aad, 0x216b06a0,   // de.fr.ht_432 da.nl.de_433  mt.sv.is_643 de.ceb.jw_322 
  0x3f0e0609, 0x231e1c02, 0x11202a07, 0x25001f1b,   // de.is.af_444 id.ms.ca_222  mt.sq.ro_432 cy.eu.un_770 
  0x13001e07, 0x6b1a30a9, 0x2a00112a, 0x55731a08,   // ms.et.un_420 uz.tl.ceb_544  ro.mt.un_970 tl.ny.rw_443 
  0x2f000a04, 0x0b000108, 0x2f300107, 0x083004af,   // pt.su.un_320 en.es.un_430  en.uz.su_432 ru.uz.uk_655 
  // [40c0]
  0x73641a0e, 0x12182ba7, 0x1a536b09, 0x28090455,   // tl.lg.ny_555 vi.ga.hu_532  ceb.ht.tl_444 fi.pl.sw_442 
  0x25102807, 0x6430550c, 0x53001e0d, 0x101708a9,   // sw.lt.eu_432 rw.uz.lg_543  ms.ht.un_540 uk.sr.be_544 
  0x06301104, 0x3f080c0d, 0x0f1c2502, 0x23000502,   // ro.uz.de_332 sv.no.af_554  eu.id.lv_222 fr.ca.un_220 
  0x55303da4, 0x305564ec, 0x271007a0, 0x0600020c,   // ku.uz.rw_433 lg.rw.uz_644  it.lt.gd_322 da.de.un_530 
  // [40d0]
  0x550531ac, 0x1a306b55, 0x12002b12, 0x01731aa0,   // az.fr.rw_632 ceb.uz.tl_442  vi.hu.un_640 tl.ny.en_322 
  0x04070aee, 0x040a17a7, 0x1b2855a9, 0x11003d08,   // mk.bg.ru_422 sr.mk.ru_532  rw.sw.tr_544 ku.ro.un_430 
  0x0b000404, 0x1a1c6b08, 0x302d0d04, 0x0d000504,   // fi.es.un_320 ceb.id.tl_443  cs.sk.uz_332 fr.cs.un_320 
  0x560631a9, 0x132025a4, 0x25001e0c, 0x2f190b08,   // az.de.mg_544 eu.sq.et_433  ms.eu.un_530 es.gl.su_443 
  // [40e0]
  0x04005607, 0x530537ee, 0x55311ba4, 0x2f191b05,   // mg.fi.un_420 st.fr.ht_422  tr.az.rw_433 tr.gl.su_333 
  0x5531730c, 0x1b64310c, 0x19003118, 0x530509a7,   // ny.az.rw_543 az.lg.tr_543  az.gl.un_740 pl.fr.ht_532 
  0x283f06a4, 0x55311b0d, 0x0d0553a7, 0x0e1b310d,   // de.af.sw_433 tr.az.rw_554  ht.fr.cs_532 az.tr.is_554 
  0x2173280d, 0x31003018, 0x08000404, 0x1710440c,   // sw.ny.jw_554 uz.az.un_740  ru.uk.un_320 kk.be.sr_543 
  // [40f0]
  0x06001a04, 0x1e1c1a14, 0x080410ad, 0x08040713,   // tl.de.un_320 tl.id.ms_666  be.ru.uk_643 bg.ru.uk_665 
  0x5612250b, 0x0a17070e, 0x4400080d, 0x21005312,   // eu.hu.mg_542 bg.sr.mk_555  uk.kk.un_540 ht.jw.un_640 
  0x08101104, 0x31003202, 0x12006b08, 0x08022714,   // ro.be.uk_332 bs.az.un_220  ceb.hu.un_430 gd.da.no_666 
  0x2f1c1ea0, 0x1f031804, 0x03083fec, 0x181f2713,   // ms.id.su_322 ga.nl.cy_332  af.no.nl_644 gd.cy.ga_665 
  // [4100]
  0x23081007, 0x232153ec, 0x190b18a0, 0x061827af,   // be.uk.ky_432 ht.jw.ca_644  ga.es.gl_322 gd.ga.de_655 
  0x0e1e1c02, 0x066b1a0c, 0x1b0d0302, 0x2f3d73a4,   // id.ms.is_222 tl.ceb.de_543  nl.cs.tr_222 ny.ku.su_433 
  0x0306550d, 0x2b182702, 0x2a23200c, 0x0b232708,   // rw.de.nl_554 gd.ga.vi_222  sq.ca.mt_543 gd.ca.es_443 
  0x18310707, 0x040a08a7, 0x56000607, 0x6b121aaf,   // it.az.ga_432 uk.mk.ru_532  de.mg.un_420 tl.hu.ceb_655 
  // [4110]
  0x01020fa0, 0x44172308, 0x2d292fa0, 0x110327a0,   // lv.da.en_322 ky.sr.kk_443  su.sl.sk_322 gd.nl.ro_322 
  0x010c08a0, 0x12002b08, 0x35104408, 0x350704a0,   // no.sv.en_322 vi.hu.un_430  kk.be.tg_443 ru.bg.tg_322 
  0x11182704, 0x0730350d, 0x0e002b11, 0x0c001302,   // gd.ga.ro_332 tg.uz.bg_554  vi.is.un_630 et.sv.un_220 
  0x30002d08, 0x2f212b07, 0x351130a4, 0x1200561a,   // sk.uz.un_430 vi.jw.su_432  uz.ro.tg_433 mg.hu.un_760 
  // [4120]
  0x032f2107, 0x3d001b0d, 0x05122fee, 0x040a07ee,   // jw.su.nl_432 tr.ku.un_540  su.hu.fr_422 bg.mk.ru_422 
  0x2d002020, 0x55000105, 0x0d292da0, 0x3044230c,   // sq.sk.un_850 en.rw.un_330  sk.sl.cs_322 ky.kk.uz_543 
  0x05640704, 0x05001f08, 0x073530a7, 0x10001a02,   // it.lg.fr_332 cy.fr.un_430  uz.tg.bg_532 tl.lt.un_220 
  0x23000a0d, 0x191a2107, 0x04111111, 0x3f000f04,   // mk.ky.un_540 jw.tl.gl_432  ro.ro.ru_653 lv.af.un_320 
  // [4130]
  0x122b19ad, 0x051103a9, 0x04001b0e, 0x02030f07,   // gl.vi.hu_643 nl.ro.fr_544  tr.fi.un_550 lv.nl.da_432 
  0x0a001721, 0x05011111, 0x05110304, 0x201a3d09,   // sr.mk.un_860 ro.en.fr_653  nl.ro.fr_332 ku.tl.sq_444 
  0x44353011, 0x11000322, 0x091c1311, 0x32212d07,   // uz.tg.kk_653 nl.ro.un_870  bh.mr.hi_653 sk.jw.bs_432 
  0x303517a0, 0x08170a0c, 0x10000421, 0x021a3f0d,   // sr.tg.uz_322 mk.sr.uk_543  ru.be.un_860 af.tl.da_554 
  // [4140]
  0x1125010c, 0x071156a4, 0x1c303704, 0x0c001f07,   // en.eu.ro_543 mg.ro.it_433  st.uz.id_332 cy.sv.un_420 
  0x5600232c, 0x1100270c, 0x110501ad, 0x35000a0c,   // ca.mg.un_990 gd.ro.un_530  en.fr.ro_643 mk.tg.un_530 
  0x6b3056a4, 0x3f0701a4, 0x20051305, 0x0c063fad,   // mg.uz.ceb_433 en.it.af_433  et.fr.sq_333 af.de.sv_643 
  0x11052da4, 0x05005504, 0x11032da4, 0x21007304,   // sk.fr.ro_433 rw.fr.un_320  sk.nl.ro_433 ny.jw.un_320 
  // [4150]
  0x1130010c, 0x03001113, 0x08071702, 0x3073230d,   // en.uz.ro_543 ro.nl.un_650  sr.bg.uk_222 ca.ny.uz_554 
  0x03010505, 0x16000108, 0x1a002702, 0x731a1ca4,   // fr.en.nl_333 en.hr.un_430  gd.tl.un_220 id.tl.ny_433 
  0x23090704, 0x0530010d, 0x080723a0, 0x281a01af,   // it.pl.ca_332 en.uz.fr_554  ky.bg.uk_322 en.tl.sw_655 
  0x203130a9, 0x162873a0, 0x013d56ad, 0x55533d08,   // uz.az.sq_544 ny.sw.hr_322  mg.ku.en_643 ku.ht.rw_443 
  // [4160]
  0x0d002a0d, 0x2300300c, 0x30075611, 0x3f000611,   // mt.cs.un_540 uz.ca.un_530  mg.it.uz_653 de.af.un_630 
  0x64007321, 0x045637a9, 0x02003f12, 0x0d0f2d0c,   // ny.lg.un_860 st.mg.fi_544  af.da.un_640 sk.lv.cs_543 
  0x02003f1a, 0x23560913, 0x10001a04, 0x1c56250c,   // af.da.un_760 pl.mg.ca_665  tl.lt.un_320 eu.mg.id_543 
  0x04292809, 0x3f0208a4, 0x4423300c, 0x0b001b07,   // sw.sl.fi_444 no.da.af_433  uz.ky.kk_543 tr.es.un_420 
  // [4170]
  0x0a010508, 0x0a35100c, 0x28377309, 0x08023f0c,   // fr.en.pt_443 be.tg.mk_543  ny.st.sw_444 af.da.no_543 
  0x17001307, 0x20170cec, 0x132311ec, 0x252813a9,   // et.sr.un_420 sv.sr.sq_644  ro.ca.et_644 et.sw.eu_544 
  0x020e08af, 0x32001709, 0x300c08a0, 0x07233707,   // no.is.da_655 sr.bs.un_440  no.sv.uz_322 st.ca.it_432 
  0x1103010c, 0x013f09ad, 0x100444a4, 0x10000f23,   // en.nl.ro_543 pl.af.en_643  kk.ru.be_433 lv.lt.un_880 
  // [4180]
  0x070835a9, 0x3d2a0f05, 0x2304075a, 0x1600030c,   // tg.uk.bg_544 lv.mt.ku_333  bg.ru.ky_553 nl.hr.un_530 
  0x6b3d1ea0, 0x17000c04, 0x2d0d20a4, 0x10002313,   // ms.ku.ceb_322 sv.sr.un_320  sq.cs.sk_433 ky.be.un_650 
  0x071304a4, 0x3f000408, 0x2829175a, 0x0a130413,   // fi.et.it_433 fi.af.un_430  sr.sl.sw_553 fi.et.pt_665 
  0x04000822, 0x03310fa0, 0x0f0820a0, 0x12000e13,   // uk.ru.un_870 lv.az.nl_322  sq.no.lv_322 is.hu.un_650 
  // [4190]
  0x200803ee, 0x07040a0c, 0x21003204, 0x0717080d,   // nl.no.sq_422 mk.ru.bg_543  bs.jw.un_320 uk.sr.bg_554 
  0x3530235a, 0x311b0e07, 0x07080a04, 0x05016b04,   // ky.uz.tg_553 is.tr.az_432  mk.uk.bg_332 ceb.en.fr_332 
  0x031304a0, 0x3f031313, 0x0a2105a0, 0x0900120e,   // fi.et.nl_322 et.nl.af_665  fr.jw.pt_322 hu.pl.un_550 
  0x280d2d11, 0x4407040e, 0x20071102, 0x0900120d,   // sk.cs.sw_653 ru.bg.kk_555  ro.it.sq_222 hu.pl.un_540 
  // [41a0]
  0x08003013, 0x0c042a0b, 0x070a1707, 0x12060e02,   // uz.uk.un_650 mt.fi.sv_542  sr.mk.bg_432 is.de.hu_222 
  0x07100a09, 0x0a1723ee, 0x0e130cee, 0x2a172907,   // mk.be.bg_444 ky.sr.mk_422  sv.et.is_422 sl.sr.mt_432 
  0x090d13af, 0x083530a7, 0x100a1705, 0x300a3507,   // bh.ne.hi_655 uz.tg.uk_532  sr.mk.be_333 tg.mk.uz_432 
  0x173530ee, 0x2d0d18ec, 0x0a070455, 0x6e002013,   // uz.tg.sr_422 ga.cs.sk_644  ru.bg.mk_442 sq.hmn.un_650 
  // [41b0]
  0x560e29a0, 0x0b002804, 0x53180d07, 0x0f291704,   // sl.is.mg_322 sw.es.un_320  cs.ga.ht_432 sr.sl.lv_332 
  0x30163207, 0x0c003013, 0x0a070407, 0x081035a4,   // bs.hr.uz_432 uz.sv.un_650  ru.bg.mk_432 tg.be.uk_433 
  0x041711ad, 0x64090eee, 0x3f00050d, 0x04003519,   // ro.sr.ru_643 is.pl.lg_422  fr.af.un_540 tg.ru.un_750 
  0x080230a0, 0x06121b1e, 0x28001a08, 0x10281ea0,   // uz.da.no_322 tr.hu.de_863  tl.sw.un_430 ms.sw.lt_322 
  // [41c0]
  0x03060aa0, 0x11041105, 0x7300371a, 0x11033f08,   // pt.de.nl_322 ro.ru.ro_333  st.ny.un_760 af.nl.ro_443 
  0x2a282304, 0x32292d07, 0x3705010c, 0x122f210d,   // ca.sw.mt_332 sk.sl.bs_432  en.fr.st_543 jw.su.hu_554 
  0x0c08200c, 0x0107050d, 0x0b18070b, 0x08130207,   // sq.no.sv_543 fr.it.en_554  it.ga.es_542 da.et.no_432 
  0x12001b14, 0x060c030c, 0x0e182308, 0x233f02a4,   // tr.hu.un_660 nl.sv.de_543  ca.ga.is_443 da.af.ca_433 
  // [41d0]
  0x052a01a4, 0x12231804, 0x1e000a07, 0x30352313,   // en.mt.fr_433 ga.ca.hu_332  pt.ms.un_420 ky.tg.uz_665 
  0x12000e12, 0x20003f04, 0x1b000702, 0x020c08a0,   // is.hu.un_640 af.sq.un_320  it.tr.un_220 no.sv.da_322 
  0x09112da4, 0x25001021, 0x12000c05, 0x7321370e,   // sk.ro.pl_433 lt.eu.un_860  sv.hu.un_330 st.jw.ny_555 
  0x23006b08, 0x02130807, 0x020428ee, 0x03103f55,   // ceb.ca.un_430 no.et.da_432  sw.fi.da_422 af.lt.nl_442 
  // [41e0]
  0x23111108, 0x0c5528a7, 0x050173a0, 0x173035a0,   // ro.ro.ky_443 sw.rw.sv_532  ny.en.fr_322 tg.uz.sr_322 
  0x18001902, 0x100f29ec, 0x3f082007, 0x230556ad,   // gl.ga.un_220 sl.lv.lt_644  sq.no.af_432 mg.fr.ca_643 
  0x07002a23, 0x13040c02, 0x060c0e0b, 0x06040eee,   // mt.it.un_880 sv.fi.et_222  is.sv.de_542 is.fi.de_422 
  0x07002302, 0x5556370c, 0x21002f05, 0x44303507,   // ca.it.un_220 st.mg.rw_543  su.jw.un_330 tg.uz.kk_432 
  // [41f0]
  0x21050aa0, 0x0e00020d, 0x1b0f5302, 0x02000e0e,   // pt.fr.jw_322 da.is.un_540  ht.lv.tr_222 is.da.un_550 
  0x17000414, 0x35001013, 0x27120e07, 0x29322fa7,   // ru.sr.un_660 be.tg.un_650  is.hu.gd_432 su.bs.sl_532 
  0x04080709, 0x11041108, 0x08000619, 0x37257307,   // bg.uk.ru_444 ro.ru.ro_443  de.no.un_750 ny.eu.st_432 
  0x2300191a, 0x0e000c0b, 0x282107a0, 0x1a1e1c02,   // gl.ca.un_760 sv.is.un_520  it.jw.sw_322 id.ms.tl_222 
  // [4200]
  0x6e3d6ba4, 0x2d0d10a9, 0x2d190b04, 0x120e0860,   // ceb.ku.hmn_433 lt.cs.sk_544  es.gl.sk_332 no.is.hu_664 
  0x0a3510a0, 0x11003f13, 0x271206a4, 0x07003f04,   // be.tg.mk_322 af.ro.un_650  de.hu.gd_433 af.it.un_320 
  0x3f1105a4, 0x212f1a12, 0x122d2007, 0x56070504,   // fr.ro.af_433 tl.su.jw_654  sq.sk.hu_432 fr.it.mg_332 
  0x16290da4, 0x1a280405, 0x0a00040d, 0x0428730d,   // cs.sl.hr_433 fi.sw.tl_333  ru.mk.un_540 ny.sw.fi_554 
  // [4210]
  0x0900270c, 0x08171004, 0x18112707, 0x55046412,   // gd.pl.un_530 be.sr.uk_332  gd.ro.ga_432 lg.fi.rw_654 
  0x1727110b, 0x083f0cee, 0x0400101b, 0x643208a0,   // ro.gd.sr_542 sv.af.no_422  be.ru.un_770 no.bs.lg_322 
  0x23040704, 0x2f0818ee, 0x2f100405, 0x091107a0,   // bg.ru.ky_332 ga.no.su_422  fi.lt.su_333 it.ro.pl_322 
  0x251c1ead, 0x1c2f1ead, 0x252f5307, 0x04081112,   // ms.id.eu_643 ms.su.id_643  ht.su.eu_432 ro.uk.ru_654 
  // [4220]
  0x0c1b0ea0, 0x062532a0, 0x21005502, 0x062d0d02,   // is.tr.sv_322 bs.eu.de_322  rw.jw.un_220 cs.sk.de_222 
  0x3f0603ee, 0x2a1206ee, 0x0c031355, 0x16005508,   // nl.de.af_422 de.hu.mt_422  et.nl.sv_442 rw.hr.un_430 
  0x23040812, 0x2f0c1a0c, 0x2d001218, 0x0206080c,   // uk.ru.ky_654 tl.sv.su_543  hu.sk.un_740 no.de.da_543 
  0x084411a4, 0x29000d04, 0x1f00030d, 0x0e003118,   // ro.kk.uk_433 cs.sl.un_320  nl.cy.un_540 az.is.un_740 
  // [4230]
  0x08001807, 0x120603a0, 0x3008230b, 0x0f1009ad,   // ga.no.un_420 nl.de.hu_322  ky.uk.uz_542 pl.lt.lv_643 
  0x12000604, 0x21002312, 0x170a35a0, 0x64002b08,   // de.hu.un_320 ca.jw.un_640  tg.mk.sr_322 vi.lg.un_430 
  0x17161005, 0x2803100b, 0x02060307, 0x303544af,   // lt.hr.sr_333 lt.nl.sw_542  nl.de.da_432 kk.tg.uz_655 
  0x37033fa4, 0x06040307, 0x0c000302, 0x2d0d0e05,   // af.nl.st_433 nl.fi.de_432  nl.sv.un_220 is.cs.sk_333 
  // [4240]
  0x2d001012, 0x1a046b13, 0x04271807, 0x17001004,   // lt.sk.un_640 ceb.fi.tl_665  ga.gd.fi_432 be.sr.un_320 
  0x07170409, 0x040723a7, 0x10081712, 0x301744a0,   // ru.sr.bg_444 ky.bg.ru_532  sr.uk.be_654 kk.sr.uz_322 
  0x642a090c, 0x06000308, 0x016b05ee, 0x041708a4,   // pl.mt.lg_543 nl.de.un_430  fr.ceb.en_422 uk.sr.ru_433 
  0x0700110e, 0x07004413, 0x2f211cee, 0x10001605,   // ro.bg.un_550 kk.bg.un_650  id.jw.su_422 hr.lt.un_330 
  // [4250]
  0x09000e18, 0x041030a0, 0x073f1111, 0x6b001e07,   // is.pl.un_740 uz.be.ru_322  ro.af.it_653 ms.ceb.un_420 
  0x301735a9, 0x06293fa4, 0x1f00231a, 0x0d110505,   // tg.sr.uz_544 af.sl.de_433  ca.cy.un_760 fr.ro.cs_333 
  0x01033fa4, 0x1f0e2055, 0x11000713, 0x0a2a070d,   // af.nl.en_433 sq.is.cy_442  it.ro.un_650 it.mt.pt_554 
  0x64002f0d, 0x0e002008, 0x160f29a9, 0x350a0707,   // su.lg.un_540 sq.is.un_430  sl.lv.hr_544 bg.mk.tg_432 
  // [4260]
  0x09003f07, 0x0d1c090b, 0x1a002102, 0x2873375a,   // af.pl.un_420 hi.mr.ne_542  jw.tl.un_220 st.ny.sw_553 
  0x0600090d, 0x23441013, 0x0100090c, 0x2a0427a0,   // pl.de.un_540 be.kk.ky_665  pl.en.un_530 gd.fi.mt_322 
  0x2a00371a, 0x1e2f1cee, 0x2d0d0aa9, 0x192d0d08,   // st.mt.un_760 id.su.ms_422  pt.cs.sk_544 cs.sk.gl_443 
  0x1e032a04, 0x23000507, 0x2d0d11a0, 0x32090fa7,   // mt.nl.ms_332 fr.ca.un_420  ro.cs.sk_322 lv.pl.bs_532 
  // [4270]
  0x32172009, 0x532305ad, 0x28647304, 0x16002804,   // sq.sr.bs_444 fr.ca.ht_643  ny.lg.sw_332 sw.hr.un_320 
  0x091073a6, 0x1811010b, 0x01002707, 0x6b04010c,   // ny.lt.pl_521 en.ro.ga_542  gd.en.un_420 en.fi.ceb_543 
  0x300804a0, 0x032b2fee, 0x170f23ee, 0x18062707,   // ru.uk.uz_322 su.vi.nl_422  ca.lv.sr_422 gd.de.ga_432 
  0x05002302, 0x04110708, 0x13006e22, 0x561e1c09,   // ca.fr.un_220 bg.ro.ru_443  hmn.et.un_870 id.ms.mg_444 
  // [4280]
  0x322f1ba0, 0x1c53285a, 0x18270660, 0x28563d0c,   // tr.su.bs_322 sw.ht.id_553  de.gd.ga_664 ku.mg.sw_543 
  0x0f071e05, 0x137325af, 0x37006e19, 0x29002302,   // ms.it.lv_333 eu.ny.et_655  hmn.st.un_750 ca.sl.un_220 
  0x0b0430a4, 0x3d560da4, 0x730f1011, 0x0b64110c,   // uz.fi.es_433 cs.mg.ku_433  lt.lv.ny_653 ro.lg.es_543 
  0x18000909, 0x64007318, 0x2a1f1109, 0x1e1c3d0c,   // pl.ga.un_440 ny.lg.un_740  ro.cy.mt_444 ku.id.ms_543 
  // [4290]
  0x09182711, 0x17000d08, 0x170b5608, 0x13020d0c,   // gd.ga.pl_653 cs.sr.un_430  mg.es.sr_443 cs.da.et_543 
  0x11442360, 0x1a2a6ba7, 0x1f080ca7, 0x30002a12,   // ky.kk.ro_664 ceb.mt.tl_532  sv.no.cy_532 mt.uz.un_640 
  0x02003f14, 0x162f55a0, 0x06000c02, 0x5632170e,   // af.da.un_660 rw.su.hr_322  sv.de.un_220 sr.bs.mg_555 
  0x230a2da0, 0x2928040c, 0x2b000302, 0x1f002722,   // sk.pt.ca_322 fi.sw.sl_543  nl.vi.un_220 gd.cy.un_870 
  // [42a0]
  0x2b6b010b, 0x032928a7, 0x05003007, 0x06130c13,   // en.ceb.vi_542 sw.sl.nl_532  uz.fr.un_420 sv.et.de_665 
  0x1c212f0d, 0x2f531704, 0x32160fec, 0x051108af,   // su.jw.id_554 sr.ht.su_332  lv.hr.bs_644 no.ro.fr_655 
  0x3f5503a0, 0x13000307, 0x06000c29, 0x1c3f1f02,   // nl.rw.af_322 nl.et.un_420  sv.de.un_960 cy.af.id_222 
  0x311b1220, 0x200f02a7, 0x173035a4, 0x291302ee,   // hu.tr.az_875 da.lv.sq_532  tg.uz.sr_433 da.et.sl_422 
  // [42b0]
  0x3007230d, 0x1f003f14, 0x352330a0, 0x082b1fa0,   // ky.bg.uz_554 af.cy.un_660  uz.ky.tg_322 cy.vi.no_322 
  0x0c002004, 0x16001704, 0x646b01a6, 0x060108a4,   // sq.sv.un_320 sr.hr.un_320  en.ceb.lg_521 no.en.de_433 
  0x2f00210b, 0x3f100e0b, 0x03000614, 0x31001702,   // jw.su.un_520 is.lt.af_542  de.nl.un_660 sr.az.un_220 
  0x232a0514, 0x292d0d55, 0x0a041004, 0x29203dad,   // fr.mt.ca_666 cs.sk.sl_442  be.ru.mk_332 ku.sq.sl_643 
  // [42c0]
  0x133f0f02, 0x080a1705, 0x0c080e12, 0x0f000108,   // lv.af.et_222 sr.mk.uk_333  is.no.sv_654 en.lv.un_430 
  0x081003a0, 0x031301a6, 0x030501a4, 0x1f000304,   // nl.lt.no_322 en.et.nl_521  en.fr.nl_433 nl.cy.un_320 
  0x0e023f07, 0x080223a0, 0x28001b07, 0x0900060e,   // af.da.is_432 ca.da.no_322  tr.sw.un_420 de.pl.un_550 
  0x17000812, 0x3100061b, 0x3f0f10ad, 0x2d100d12,   // uk.sr.un_640 de.az.un_770  lt.lv.af_643 cs.lt.sk_654 
  // [42d0]
  0x2f5664ec, 0x18190b5a, 0x0a005611, 0x07561a0d,   // lg.mg.su_644 es.gl.ga_553  mg.pt.un_630 tl.mg.it_554 
  0x03023005, 0x13551e07, 0x1f001a07, 0x080c06ee,   // uz.da.nl_333 ms.rw.et_432  tl.cy.un_420 de.sv.no_422 
  0x01000a07, 0x35070a05, 0x0e20560b, 0x0a101107,   // pt.en.un_420 mk.bg.tg_333  mg.sq.is_542 ro.be.mk_432 
  0x1b062904, 0x7300090e, 0x180301a6, 0x56005504,   // sl.de.tr_332 pl.ny.un_550  en.nl.ga_521 rw.mg.un_320 
  // [42e0]
  0x190b07a4, 0x2f736411, 0x08060ea0, 0x05002313,   // it.es.gl_433 lg.ny.su_653  is.de.no_322 ca.fr.un_650 
  0x091f7305, 0x311b7312, 0x230810a4, 0x3d005636,   // ny.cy.pl_333 ny.tr.az_654  be.uk.ky_433 mg.ku.un_AA0 
  0x56002f08, 0x2f00560d, 0x0f3f035a, 0x304423ec,   // su.mg.un_430 mg.su.un_540  nl.af.lv_553 ky.kk.uz_644 
  0x2a001b0e, 0x30080209, 0x0c25020c, 0x066b550d,   // tr.mt.un_550 da.no.uz_444  da.eu.sv_543 rw.ceb.de_554 
  // [42f0]
  0x3100280d, 0x08251108, 0x2f00211a, 0x130d09a4,   // sw.az.un_540 ro.eu.no_443  jw.su.un_760 hi.ne.bh_433 
  0x08013fee, 0x021a1208, 0x08001018, 0x092b23ee,   // af.en.no_422 hu.tl.da_443  be.uk.un_740 ca.vi.pl_422 
  0x082d0d0b, 0x0c311b12, 0x56126bad, 0x642855af,   // cs.sk.no_542 tr.az.sv_654  ceb.hu.mg_643 rw.sw.lg_655 
  0x3d002a0d, 0x37060107, 0x56552faf, 0x251203a7,   // mt.ku.un_540 en.de.st_432  su.rw.mg_655 nl.hu.eu_532 
  // [4300]
  0x09000702, 0x5664550c, 0x1b007305, 0x21001823,   // it.pl.un_220 rw.lg.mg_543  ny.tr.un_330 ar.fa.un_880 
  0x31171602, 0x643d55a9, 0x17292d0c, 0x1c162fa0,   // hr.sr.az_222 rw.ku.lg_544  sk.sl.sr_543 su.hr.id_322 
  0x1e2f1ca9, 0x2873550c, 0x04112312, 0x13031ca0,   // id.su.ms_544 rw.ny.sw_543  ky.ro.ru_654 id.nl.et_322 
  0x13007307, 0x0e003f14, 0x29006b21, 0x110417af,   // ny.et.un_420 af.is.un_660  ceb.sl.un_860 sr.ru.ro_655 
  // [4310]
  0x736455af, 0x04003509, 0x35114405, 0x03000204,   // rw.lg.ny_655 tg.ru.un_440  kk.ro.tg_333 da.nl.un_320 
  0x12021a04, 0x04104412, 0x3000352a, 0x1300031a,   // tl.da.hu_332 kk.be.ru_654  tg.uz.un_970 nl.et.un_760 
  0x37080202, 0x2f3d6404, 0x23303505, 0x1f562fa7,   // da.no.st_222 lg.ku.su_332  tg.uz.ky_333 su.mg.cy_532 
  0x23001012, 0x30171008, 0x212f5507, 0x2d000921,   // be.ky.un_640 be.sr.uz_443  rw.su.jw_432 pl.sk.un_860 
  // [4320]
  0x213f03a0, 0x113f2d04, 0x2d091f11, 0x286b01a7,   // nl.af.jw_322 sk.af.ro_332  cy.pl.sk_653 en.ceb.sw_532 
  0x11033f0c, 0x276b010c, 0x17040a05, 0x3f00050e,   // af.nl.ro_543 en.ceb.gd_543  mk.ru.sr_333 fr.af.un_550 
  0x2b000e12, 0x0c020807, 0x0f0973af, 0x05003f02,   // is.vi.un_640 no.da.sv_432  ny.pl.lv_655 af.fr.un_220 
  0x133f0aaf, 0x73000918, 0x0d2d090b, 0x0e000214,   // pt.af.et_655 pl.ny.un_740  pl.sk.cs_542 da.is.un_660 
  // [4330]
  0x2d191008, 0x532d090c, 0x0e02080b, 0x09002d13,   // lt.gl.sk_443 pl.sk.ht_543  no.da.is_542 sk.pl.un_650 
  0x2700070c, 0x352330a4, 0x2d000913, 0x3f00370e,   // it.gd.un_530 uz.ky.tg_433  pl.sk.un_650 st.af.un_550 
  0x3523305a, 0x35443004, 0x05033f0c, 0x2d003f14,   // uz.ky.tg_553 uz.kk.tg_332  af.nl.fr_543 af.sk.un_660 
  0x09282d09, 0x10351107, 0x2d000704, 0x56302502,   // sk.sw.pl_444 ro.tg.be_432  it.sk.un_320 eu.uz.mg_222 
  // [4340]
  0x25002d08, 0x56322802, 0x180627ad, 0x27282f08,   // sk.eu.un_430 sw.bs.mg_222  gd.de.ga_643 su.sw.gd_443 
  0x3f001819, 0x12002d05, 0x170a08a9, 0x23440804,   // ga.af.un_750 sk.hu.un_330  uk.mk.sr_544 uk.kk.ky_332 
  0x190d0e02, 0x440a35a7, 0x300835a4, 0x31040c04,   // is.cs.gl_222 tg.mk.kk_532  tg.uk.uz_433 sv.fi.az_332 
  0x11351109, 0x1b0f2813, 0x3f007308, 0x23301bee,   // ro.tg.ro_444 sw.lv.tr_665  ny.af.un_430 tr.uz.ca_422 
  // [4350]
  0x3000440d, 0x23003519, 0x320e280c, 0x28643707,   // kk.uz.un_540 tg.ky.un_750  sw.is.bs_543 st.lg.sw_432 
  0x2f5528a4, 0x28005533, 0x2d0d29a4, 0x12001e11,   // sw.rw.su_433 rw.sw.un_A70  sl.cs.sk_433 ms.hu.un_630 
  0x2f3155ee, 0x1c005602, 0x162d0d07, 0x55372804,   // rw.az.su_422 mg.id.un_220  cs.sk.hr_432 sw.st.rw_332 
  0x2f25555a, 0x033f30ad, 0x2f00251a, 0x6e001022,   // rw.eu.su_553 uz.af.nl_643  eu.su.un_760 lt.hmn.un_870 
  // [4360]
  0x0c001a02, 0x1c0d0960, 0x0c1f08a9, 0x17083004,   // tl.sv.un_220 hi.ne.mr_664  no.cy.sv_544 uz.uk.sr_332 
  0x3d1b2307, 0x30281e07, 0x6428730d, 0x1b005612,   // ca.tr.ku_432 ms.sw.uz_432  ny.sw.lg_554 mg.tr.un_640 
  0x0c2a0208, 0x2800551b, 0x16552804, 0x557364af,   // da.mt.sv_443 rw.sw.un_770  sw.rw.hr_332 lg.ny.rw_655 
  0x0304370c, 0x531b5607, 0x55642755, 0x2a003707,   // st.fi.nl_543 mg.tr.ht_432  gd.lg.rw_442 st.mt.un_420 
  // [4370]
  0x37000322, 0x563d3108, 0x17130fa4, 0x37001319,   // nl.st.un_870 az.ku.mg_443  lv.et.sr_433 et.st.un_750 
  0x04006419, 0x13002514, 0x30043508, 0x1b2855a7,   // lg.fi.un_750 eu.et.un_660  tg.ru.uz_443 rw.sw.tr_532 
  0x0f5625a0, 0x123d550c, 0x07111fa0, 0x172755ec,   // eu.mg.lv_322 rw.ku.hu_543  cy.ro.it_322 rw.gd.sr_644 
  0x1c1364ee, 0x0f1325ee, 0x033f370c, 0x2a3007af,   // lg.et.id_422 eu.et.lv_422  st.af.nl_543 it.uz.mt_655 
  // [4380]
  0x231f3f07, 0x641a550c, 0x01121307, 0x11200e0c,   // af.cy.ca_432 rw.tl.lg_543  et.hu.en_432 is.sq.ro_543 
  0x020e08ad, 0x2d172907, 0x21000312, 0x0a081104,   // no.is.da_643 sl.sr.sk_432  nl.jw.un_640 ro.uk.mk_332 
  0x13312f07, 0x21551c11, 0x1e565507, 0x1f303105,   // su.az.et_432 id.rw.jw_653  rw.mg.ms_432 az.uz.cy_333 
  0x0a005304, 0x5300730e, 0x2b072307, 0x08071008,   // ht.pt.un_320 ny.ht.un_550  ca.it.vi_432 be.bg.uk_443 
  // [4390]
  0x56190b04, 0x02080c13, 0x373f1307, 0x110805a4,   // es.gl.mg_332 sv.no.da_665  et.af.st_432 fr.no.ro_433 
  0x2a001b13, 0x0c2864ac, 0x0109280c, 0x1c130d08,   // tr.mt.un_650 lg.sw.sv_632  sw.pl.en_543 ne.bh.mr_443 
  0x3f5613a9, 0x37002104, 0x73001813, 0x31001a02,   // et.mg.af_544 jw.st.un_320  ga.ny.un_650 tl.az.un_220 
  0x1f005604, 0x23103012, 0x030f13ee, 0x20001e08,   // mg.cy.un_320 uz.be.ky_654  et.lv.nl_422 ms.sq.un_430 
  // [43a0]
  0x0e080209, 0x070804a4, 0x050d2dee, 0x2b000a07,   // da.no.is_444 ru.uk.bg_433  sk.cs.fr_422 pt.vi.un_420 
  0x131a2f08, 0x2a000304, 0x0500180c, 0x2f211aee,   // su.tl.et_443 nl.mt.un_320  ga.fr.un_530 tl.jw.su_422 
  0x08000e07, 0x2330110c, 0x03001308, 0x080e02a0,   // is.no.un_420 ro.uz.ky_543  et.nl.un_430 da.is.no_322 
  0x2f001304, 0x64001c02, 0x30000814, 0x050601a0,   // et.su.un_320 id.lg.un_220  uk.uz.un_660 en.de.fr_322 
  // [43b0]
  0x230710af, 0x09000404, 0x1b321608, 0x1c130dec,   // be.bg.ky_655 fi.pl.un_320  hr.bs.tr_443 ne.bh.mr_644 
  0x13002a0d, 0x6413730c, 0x21251ea0, 0x37551308,   // mt.et.un_540 ny.et.lg_543  ms.eu.jw_322 et.rw.st_443 
  0x31000a02, 0x08442309, 0x1f287307, 0x647355a7,   // pt.az.un_220 ky.kk.uk_444  ny.sw.cy_432 rw.ny.lg_532 
  0x1300090b, 0x0a0d180c, 0x1811270c, 0x32730607,   // hi.bh.un_520 ga.cs.pt_543  gd.ro.ga_543 de.ny.bs_432 
  // [43c0]
  0x12205508, 0x2f645508, 0x64732805, 0x442330a9,   // rw.sq.hu_443 rw.lg.su_443  sw.ny.lg_333 uz.ky.kk_544 
  0x211a250c, 0x13552508, 0x3f001608, 0x1213100c,   // eu.tl.jw_543 eu.rw.et_443  hr.af.un_430 lt.et.hu_543 
  0x6b27180b, 0x25001305, 0x17443002, 0x3500231a,   // ga.gd.ceb_542 et.eu.un_330  uz.kk.sr_222 ky.tg.un_760 
  0x2f00050d, 0x23120dee, 0x041008ad, 0x01190a0c,   // fr.su.un_540 cs.hu.ca_422  uk.be.ru_643 pt.gl.en_543 
  // [43d0]
  0x0e080213, 0x133f1155, 0x56001a09, 0x56281ea4,   // da.no.is_665 ro.af.et_442  tl.mg.un_440 ms.sw.mg_433 
  0x441023a9, 0x23205608, 0x0f002d04, 0x37251ba4,   // ky.be.kk_544 mg.sq.ca_443  sk.lv.un_320 tr.eu.st_433 
  0x44112313, 0x55005612, 0x11001005, 0x04001e04,   // ky.ro.kk_665 mg.rw.un_640  be.ro.un_330 ms.fi.un_320 
  0x051c2fee, 0x1900130d, 0x3d0c560c, 0x2f073d0c,   // su.id.fr_422 et.gl.un_540  mg.sv.ku_543 ku.it.su_543 
  // [43e0]
  0x0900100c, 0x2b120608, 0x06033f11, 0x09000319,   // lt.pl.un_530 de.hu.vi_443  af.nl.de_653 nl.pl.un_750 
  0x19003d19, 0x3f000808, 0x03133f0d, 0x440710a0,   // ku.gl.un_750 no.af.un_430  af.et.nl_554 be.bg.kk_322 
  0x53005513, 0x1900050b, 0x0c006402, 0x101111a4,   // rw.ht.un_650 fr.gl.un_520  lg.sv.un_220 ro.ro.be_433 
  0x120e2d12, 0x011905a4, 0x31203d04, 0x010a0455,   // sk.is.hu_654 fr.gl.en_433  ku.sq.az_332 fi.pt.en_442 
  // [43f0]
  0x0a00200c, 0x09001012, 0x06002f04, 0x2f121007,   // sq.pt.un_530 lt.pl.un_640  su.de.un_320 lt.hu.su_432 
  0x1c122f07, 0x0d000913, 0x11003519, 0x11234412,   // su.hu.id_432 hi.ne.un_650  tg.ro.un_750 kk.ky.ro_654 
  0x210802a4, 0x563f030d, 0x23053712, 0x041008ee,   // da.no.jw_433 nl.af.mg_554  st.fr.ca_654 uk.be.ru_422 
  0x07301705, 0x0500230d, 0x1c00092c, 0x0a17080d,   // sr.uz.bg_333 ca.fr.un_540  hi.mr.un_990 uk.sr.mk_554 
  
  // [4400]
  0x131c0da4, 0x23190ea4, 0x30080409, 0x122f1e07,   // cs.id.et_433 is.gl.ca_433  ru.uk.uz_444 ms.su.hu_432 
  0x1f001908, 0x211c2f0e, 0x1a536ba4, 0x0811100e,   // gl.cy.un_430 su.id.jw_555  ceb.ht.tl_433 be.ro.uk_555 
  0x07000c0e, 0x09642507, 0x030123a0, 0x0000042d,   // sv.it.un_550 eu.lg.pl_432  ca.en.nl_322 ru.un.un_A00 
  0x19230b0b, 0x170835a4, 0x56002522, 0x0700350e,   // es.ca.gl_542 tg.uk.sr_433  eu.mg.un_870 tg.bg.un_550 
  // [4410]
  0x0700440d, 0x30006404, 0x0d2904a4, 0x64002908,   // kk.bg.un_540 lg.uz.un_320  fi.sl.cs_433 sl.lg.un_430 
  0x64191aa0, 0x162d07a0, 0x07005304, 0x1b322aee,   // tl.gl.lg_322 it.sk.hr_322  ht.it.un_320 mt.bs.tr_422 
  0x086420a0, 0x092d0d11, 0x4408105a, 0x1b001e04,   // sq.lg.no_322 cs.sk.pl_653  be.uk.kk_553 ms.tr.un_320 
  0x12003f02, 0x23080404, 0x1a1e1c5a, 0x291613a7,   // af.hu.un_220 ru.uk.ky_332  id.ms.tl_553 et.hr.sl_532 
  // [4420]
  0x2f1b21a0, 0x306b1a04, 0x55002f04, 0x2d002902,   // jw.tr.su_322 tl.ceb.uz_332  su.rw.un_320 sl.sk.un_220 
  0x0a17080e, 0x123f0c0c, 0x301007a4, 0x070810a7,   // uk.sr.mk_555 sv.af.hu_543  bg.be.uz_433 be.uk.bg_532 
  0x321855a4, 0x5500281a, 0x30200504, 0x1f080209,   // rw.ga.bs_433 sw.rw.un_760  fr.sq.uz_332 da.no.cy_444 
  0x0c5608a0, 0x1a002108, 0x1700081a, 0x3d1101a0,   // no.mg.sv_322 jw.tl.un_430  uk.sr.un_760 en.ro.ku_322 
  // [4430]
  0x56290708, 0x060b2004, 0x29160407, 0x28295507,   // it.sl.mg_443 sq.es.de_332  fi.hr.sl_432 rw.sl.sw_432 
  0x23190507, 0x0a002d04, 0x0e6b1a02, 0x0d091cec,   // fr.gl.ca_432 sk.pt.un_320  tl.ceb.is_222 mr.hi.ne_644 
  0x04001b04, 0x04100860, 0x0a002509, 0x0a23050b,   // tr.fi.un_320 uk.be.ru_664  eu.pt.un_440 fr.ca.pt_542 
  0x3200160c, 0x12002309, 0x0d00300d, 0x12002102,   // hr.bs.un_530 ca.hu.un_440  uz.cs.un_540 jw.hu.un_220 
  // [4440]
  0x30001904, 0x08120c05, 0x0a2b0ca0, 0x04101713,   // gl.uz.un_320 sv.hu.no_333  sv.vi.pt_322 sr.be.ru_665 
  0x6b3d2805, 0x372b7307, 0x101632ee, 0x05000607,   // sw.ku.ceb_333 ny.vi.st_432  bs.hr.lt_422 de.fr.un_420 
  0x06000407, 0x0d292dec, 0x28011fee, 0x2a042da9,   // fi.de.un_420 sk.sl.cs_644  cy.en.sw_422 sk.fi.mt_544 
  0x2b006b12, 0x321c2aee, 0x1c2b0aac, 0x1c215308,   // ceb.vi.un_640 mt.id.bs_422  pt.vi.id_632 ht.jw.id_443 
  // [4450]
  0x3f2728ec, 0x23041711, 0x2b000a19, 0x0b0928a4,   // sw.gd.af_644 sr.ru.ky_653  pt.vi.un_750 sw.pl.es_433 
  0x2d292aec, 0x110932a0, 0x23040808, 0x04443012,   // mt.sl.sk_644 bs.pl.ro_322  uk.ru.ky_443 uz.kk.ru_654 
  0x6b001a04, 0x2b3d1aa4, 0x19002d07, 0x27006b08,   // tl.ceb.un_320 tl.ku.vi_433  sk.gl.un_420 ceb.gd.un_430 
  0x0a006b22, 0x2d002914, 0x6b2d07a0, 0x06000e21,   // ceb.pt.un_870 sl.sk.un_660  it.sk.ceb_322 is.de.un_860 
  // [4460]
  0x09001f12, 0x25000b04, 0x020c0855, 0x23190a05,   // cy.pl.un_640 es.eu.un_320  no.sv.da_442 pt.gl.ca_333 
  0x30002804, 0x731827ad, 0x0e2d0d13, 0x070a2fa0,   // sw.uz.un_320 gd.ga.ny_643  cs.sk.is_665 su.pt.it_322 
  0x2d2029ad, 0x2a002b05, 0x29000f0e, 0x276407a0,   // sl.sq.sk_643 vi.mt.un_330  lv.sl.un_550 it.lg.gd_322 
  0x0d2d290d, 0x1f006b08, 0x20001f1a, 0x172d2907,   // sl.sk.cs_554 ceb.cy.un_430  cy.sq.un_760 sl.sk.sr_432 
  // [4470]
  0x04441060, 0x2d002919, 0x64000307, 0x022b0aec,   // be.kk.ru_664 sl.sk.un_750  nl.lg.un_420 pt.vi.da_644 
  0x0d292da7, 0x102d0d60, 0x29002d18, 0x28006408,   // sk.sl.cs_532 cs.sk.lt_664  sk.sl.un_740 lg.sw.un_430 
  0x080a17af, 0x0c1009a4, 0x174411a9, 0x07093fa4,   // sr.mk.uk_655 pl.lt.sv_433  ro.kk.sr_544 af.pl.it_433 
  0x0c0208a7, 0x30080c08, 0x30002002, 0x022b1207,   // no.da.sv_532 sv.no.uz_443  sq.uz.un_220 hu.vi.da_432 
  // [4480]
  0x53002504, 0x10000f07, 0x0e002d1a, 0x21250e05,   // eu.ht.un_320 lv.lt.un_420  sk.is.un_760 is.eu.jw_333 
  0x1730350c, 0x0c300e07, 0x0f137307, 0x53000113,   // tg.uz.sr_543 is.uz.sv_432  ny.et.lv_432 en.ht.un_650 
  0x3f030da0, 0x30101705, 0x04191113, 0x1c0d13a4,   // cs.nl.af_322 sr.be.uz_333  ro.gl.fi_665 bh.ne.mr_433 
  0x190a05a4, 0x0a051912, 0x3f641f04, 0x3f035309,   // fr.pt.gl_433 gl.fr.pt_654  cy.lg.af_332 ht.nl.af_444 
  // [4490]
  0x5300050e, 0x0c2927a7, 0x11033f12, 0x09001c1a,   // fr.ht.un_550 gd.sl.sv_532  af.nl.ro_654 mr.hi.un_760 
  0x10000a04, 0x032b010c, 0x111117a4, 0x060501a4,   // mk.be.un_320 en.vi.nl_543  sr.ro.ro_433 en.fr.de_433 
  0x29000c0c, 0x050d53ad, 0x050437ac, 0x442311a9,   // sv.sl.un_530 ht.cs.fr_643  st.fi.fr_632 ro.ky.kk_544 
  0x10000821, 0x5300052a, 0x08040a07, 0x13002504,   // uk.be.un_860 fr.ht.un_970  mk.ru.uk_432 eu.et.un_320 
  // [44a0]
  0x1c122f0c, 0x071710a4, 0x10040702, 0x281a2f05,   // su.hu.id_543 be.sr.bg_433  bg.ru.be_222 su.tl.sw_333 
  0x12100f08, 0x0804070d, 0x0e080cee, 0x04072355,   // lv.lt.hu_443 bg.ru.uk_554  sv.no.is_422 ky.bg.ru_442 
  0x170b3005, 0x6b250a07, 0x070a040c, 0x0b0a01ee,   // uz.es.sr_333 pt.eu.ceb_432  ru.mk.bg_543 en.pt.es_422 
  0x53006e07, 0x080201a9, 0x020c080c, 0x2a000c08,   // hmn.ht.un_420 en.da.no_544  no.sv.da_543 sv.mt.un_430 
  // [44b0]
  0x080206a9, 0x1856040c, 0x5600050c, 0x0a073504,   // de.da.no_544 fi.mg.ga_543  fr.mg.un_530 tg.bg.mk_332 
  0x3f000e0d, 0x0a234412, 0x56080cad, 0x56020512,   // is.af.un_540 kk.ky.mk_654  sv.no.mg_643 fr.da.mg_654 
  0x0200050d, 0x1f002012, 0x19052308, 0x3f020312,   // fr.da.un_540 sq.cy.un_640  ca.fr.gl_443 nl.da.af_654 
  0x10300a05, 0x08004412, 0x0a071ca4, 0x30001119,   // mk.uz.be_333 kk.uk.un_640  id.it.pt_433 ro.uz.un_750 
  // [44c0]
  0x30000a0d, 0x17000822, 0x10170aee, 0x230b0a0d,   // mk.uz.un_540 uk.sr.un_870  mk.sr.be_422 pt.es.ca_554 
  0x25001309, 0x17101112, 0x1711100c, 0x2a00300e,   // et.eu.un_440 ro.be.sr_654  be.ro.sr_543 uz.mt.un_550 
  0x2a080e11, 0x09730f0d, 0x033f01af, 0x0a2d19a0,   // is.no.mt_653 lv.ny.pl_554  en.af.nl_655 gl.sk.pt_322 
  0x080423ec, 0x1b000904, 0x0b372fa0, 0x373056ec,   // ky.ru.uk_644 pl.tr.un_320  su.st.es_322 mg.uz.st_644 
  // [44d0]
  0x732d09a4, 0x442304a0, 0x042f56ad, 0x0b0a2305,   // pl.sk.ny_433 ru.ky.kk_322  mg.su.fi_643 ca.pt.es_333 
  0x046b130c, 0x09001013, 0x0c001e07, 0x0a001705,   // et.ceb.fi_543 lt.pl.un_650  ms.sv.un_420 sr.mk.un_330 
  0x557353a0, 0x21005608, 0x1000091a, 0x28551ea0,   // ht.ny.rw_322 mg.jw.un_430  pl.lt.un_760 ms.rw.sw_322 
  0x353011ee, 0x37562fa7, 0x642d5602, 0x030210ee,   // ro.uz.tg_422 su.mg.st_532  mg.sk.lg_222 lt.da.nl_422 
  // [44e0]
  0x31007308, 0x21001e05, 0x20005604, 0x535573a9,   // ny.az.un_430 ms.jw.un_330  mg.sq.un_320 ny.rw.ht_544 
  0x211e1b07, 0x300835a0, 0x73000912, 0x0f002f04,   // tr.ms.jw_432 tg.uk.uz_322  pl.ny.un_640 su.lv.un_320 
  0x04000711, 0x1e000f07, 0x316430a4, 0x28306bad,   // bg.ru.un_630 lv.ms.un_420  uz.lg.az_433 ceb.uz.sw_643 
  0x0c235507, 0x0e000a02, 0x04560aa7, 0x32290fa4,   // rw.ca.sv_432 pt.is.un_220  pt.mg.fi_532 lv.sl.bs_433 
  // [44f0]
  0x6b561a0c, 0x1e1c09ee, 0x3730560c, 0x44080704,   // tl.mg.ceb_543 pl.id.ms_422  mg.uz.st_543 bg.uk.kk_332 
  0x08170a08, 0x211b53a0, 0x08170aa0, 0x0f2305a4,   // mk.sr.uk_443 ht.tr.jw_322  mk.sr.uk_322 fr.ca.lv_433 
  0x05000c1a, 0x44040804, 0x171007af, 0x30001113,   // sv.fr.un_760 uk.ru.kk_332  bg.be.sr_655 ro.uz.un_650 
  0x182729ad, 0x2b0128ee, 0x13003113, 0x05180107,   // sl.gd.ga_643 sw.en.vi_422  az.et.un_650 en.ga.fr_432 
  // [4500]
  0x0411170c, 0x08000f12, 0x1f003d0d, 0x080c0204,   // sr.ro.ru_543 lv.no.un_640  ku.cy.un_540 da.sv.no_332 
  0x30001713, 0x320f2308, 0x17300408, 0x042d0d0d,   // sr.uz.un_650 ca.lv.bs_443  ru.uz.sr_443 cs.sk.fi_554 
  0x23000108, 0x0f122507, 0x305328a7, 0x03133f09,   // en.ca.un_430 eu.hu.lv_432  sw.ht.uz_532 af.et.nl_444 
  0x251207a4, 0x373f08a6, 0x212a2004, 0x0f303207,   // it.hu.eu_433 no.af.st_521  sq.mt.jw_332 bs.uz.lv_432 
  // [4510]
  0x292d1607, 0x6e732802, 0x03253fa4, 0x131a7309,   // hr.sk.sl_432 sw.ny.hmn_222  af.eu.nl_433 ny.tl.et_444 
  0x07002a08, 0x171108ad, 0x03052302, 0x0100110b,   // mt.it.un_430 uk.ro.sr_643  ca.fr.nl_222 ro.en.un_520 
  0x230f05a4, 0x12561f5a, 0x230105a4, 0x091c135a,   // fr.lv.ca_433 cy.mg.hu_553  fr.en.ca_433 bh.mr.hi_553 
  0x352344ad, 0x0a170714, 0x0c050112, 0x732555af,   // kk.ky.tg_643 bg.sr.mk_666  en.fr.sv_654 rw.eu.ny_655 
  // [4520]
  0x3f12010b, 0x35003034, 0x6e287309, 0x37230baf,   // en.hu.af_542 uz.tg.un_A80  ny.sw.hmn_444 es.ca.st_655 
  0x6b550e04, 0x1b000d04, 0x55316405, 0x370e28a4,   // is.rw.ceb_332 cs.tr.un_320  lg.az.rw_333 sw.is.st_433 
  0x30001a08, 0x1e003f04, 0x0c6b08a4, 0x32007308,   // tl.uz.un_430 af.ms.un_320  no.ceb.sv_433 ny.bs.un_430 
  0x05000702, 0x3d10250c, 0x07000419, 0x02033f04,   // it.fr.un_220 eu.lt.ku_543  ru.bg.un_750 af.nl.da_332 
  // [4530]
  0x5300281b, 0x0b23190d, 0x0e0b02ad, 0x192312a7,   // sw.ht.un_770 gl.ca.es_554  da.es.is_643 hu.ca.gl_532 
  0x0f002522, 0x2873640d, 0x08101112, 0x21640408,   // eu.lv.un_870 lg.ny.sw_554  ro.be.uk_654 fi.lg.jw_443 
  0x313025ad, 0x137325ad, 0x2d091aaf, 0x1100110d,   // eu.uz.az_643 eu.ny.et_643  tl.pl.sk_655 ro.ro.un_540 
  0x30002a0c, 0x3d090aee, 0x081710ee, 0x190a23a0,   // mt.uz.un_530 pt.pl.ku_422  be.sr.uk_422 ca.pt.gl_322 
  // [4540]
  0x1a130fa7, 0x2500230b, 0x0f1008a0, 0x093f06a4,   // lv.et.tl_532 ca.eu.un_520  no.lt.lv_322 de.af.pl_433 
  0x440410ad, 0x03001e04, 0x130d1c11, 0x4400100d,   // be.ru.kk_643 ms.nl.un_320  mr.ne.bh_653 be.kk.un_540 
  0x1a1b1f0c, 0x2b21730c, 0x1f005607, 0x0a08040d,   // cy.tr.tl_543 ny.jw.vi_543  mg.cy.un_420 ru.uk.mk_554 
  0x210c0807, 0x1200180d, 0x2500131a, 0x020c0a0c,   // no.sv.jw_432 ar.ur.un_540  et.eu.un_760 pt.sv.da_543 
  // [4550]
  0x09231907, 0x10000d08, 0x19002302, 0x2b000207,   // gl.ca.pl_432 cs.lt.un_430  ca.gl.un_220 da.vi.un_420 
  0x1a120504, 0x121a05ad, 0x170a08af, 0x11270555,   // fr.hu.tl_332 fr.tl.hu_643  uk.mk.sr_655 fr.gd.ro_442 
  0x1a122fee, 0x295310a4, 0x12056b07, 0x1f071907,   // su.hu.tl_422 lt.ht.sl_433  ceb.fr.hu_432 gl.it.cy_432 
  0x06041207, 0x080e2b02, 0x20251a13, 0x2b001f0c,   // hu.fi.de_432 vi.is.no_222  tl.eu.sq_665 cy.vi.un_530 
  // [4560]
  0x03733f04, 0x08100460, 0x1200050e, 0x1700110b,   // af.ny.nl_332 ru.be.uk_664  fr.hu.un_550 ro.sr.un_520 
  0x10081705, 0x122005ad, 0x28016b02, 0x05001213,   // sr.uk.be_333 fr.sq.hu_643  ceb.en.sw_222 hu.fr.un_650 
  0x04001311, 0x17003012, 0x2112185a, 0x31000521,   // et.fi.un_630 uz.sr.un_640  ar.ur.fa_553 fr.az.un_860 
  0x0a0804af, 0x12310513, 0x44302304, 0x130d09ec,   // ru.uk.mk_655 fr.az.hu_665  ky.uz.kk_332 hi.ne.bh_644 
  // [4570]
  0x040844a4, 0x081704ec, 0x070423a4, 0x64002820,   // kk.uk.ru_433 ru.sr.uk_644  ky.ru.bg_433 sw.lg.un_850 
  0x56007307, 0x131c0960, 0x1c2f16a0, 0x29162d5a,   // ny.mg.un_420 hi.mr.bh_664  hr.su.id_322 sk.hr.sl_553 
  0x2b0d2da7, 0x1104085a, 0x082004ee, 0x2a001a0c,   // sk.cs.vi_532 uk.ru.ro_553  fi.sq.no_422 tl.mt.un_530 
  0x1e1c2f07, 0x1b1a25a6, 0x0a303514, 0x080207ee,   // su.id.ms_432 eu.tl.tr_521  tg.uz.mk_666 it.da.no_422 
  // [4580]
  0x2d1029a4, 0x2d0b3da6, 0x0107030c, 0x042f30ee,   // sl.lt.sk_433 ku.es.sk_521  nl.it.en_543 uz.su.fi_422 
  0x302f1e55, 0x2173285a, 0x56006b07, 0x0300082a,   // ms.su.uz_442 sw.ny.jw_553  ceb.mg.un_420 no.nl.un_970 
  0x55006413, 0x0b085607, 0x07041311, 0x30001e02,   // lg.rw.un_650 mg.no.es_432  et.fi.it_653 ms.uz.un_220 
  0x190b1ba0, 0x2a000919, 0x17000b08, 0x062b1ea0,   // tr.es.gl_322 pl.mt.un_750  es.sr.un_430 ms.vi.de_322 
  // [4590]
  0x04170804, 0x1a0507a4, 0x17301007, 0x100f0c11,   // uk.sr.ru_332 it.fr.tl_433  be.uz.sr_432 sv.lv.lt_653 
  0x0c2864ee, 0x2f001311, 0x0c0e0405, 0x181c2fa0,   // lg.sw.sv_422 et.su.un_630  fi.is.sv_333 su.id.ga_322 
  0x3100641a, 0x28047307, 0x1f3718a7, 0x0600030c,   // lg.az.un_760 ny.fi.sw_432  ga.st.cy_532 nl.de.un_530 
  0x0811110c, 0x06200705, 0x37735605, 0x070e1fec,   // ro.ro.uk_543 it.sq.de_333  mg.ny.st_333 cy.is.it_644 
  // [45a0]
  0x20005313, 0x190a1fa9, 0x07001207, 0x30002a18,   // ht.sq.un_650 cy.pt.gl_544  hu.it.un_420 mt.uz.un_740 
  0x07001f0e, 0x072a6404, 0x32005505, 0x01003204,   // cy.it.un_550 lg.mt.it_332  rw.bs.un_330 bs.en.un_320 
  0x101107a4, 0x16205507, 0x1f003721, 0x20000108,   // bg.ro.be_433 rw.sq.hr_432  st.cy.un_860 en.sq.un_430 
  0x13040aa0, 0x040208af, 0x30170aee, 0x033d0609,   // pt.fi.et_322 no.da.fi_655  mk.sr.uz_422 de.ku.nl_444 
  // [45b0]
  0x1300060c, 0x440704a0, 0x20060ea0, 0x1030230c,   // de.et.un_530 ru.bg.kk_322  is.de.sq_322 ky.uz.be_543 
  0x080a1713, 0x052307ee, 0x083504a9, 0x532d3704,   // sr.mk.uk_665 it.ca.fr_422  ru.tg.uk_544 st.sk.ht_332 
  0x44231013, 0x2b6b01ee, 0x20003205, 0x08040aa9,   // be.ky.kk_665 en.ceb.vi_422  bs.sq.un_330 mk.ru.uk_544 
  0x04003705, 0x03041ea4, 0x29190b04, 0x083007a4,   // st.fi.un_330 ms.fi.nl_433  es.gl.sl_332 bg.uz.uk_433 
  // [45c0]
  0x11041705, 0x07080aa0, 0x23001002, 0x2f003f04,   // sr.ru.ro_333 mk.uk.bg_322  be.ky.un_220 af.su.un_320 
  0x19170b55, 0x3f13030d, 0x10000a23, 0x1b001c08,   // es.sr.gl_442 nl.et.af_554  mk.be.un_880 id.tr.un_430 
  0x3f001c08, 0x1c2f1e04, 0x120e2d07, 0x0d001008,   // id.af.un_430 ms.su.id_332  sk.is.hu_432 lt.cs.un_430 
  0x1c1b01a0, 0x2f1b21ad, 0x1b000312, 0x04170860,   // en.tr.id_322 jw.tr.su_643  nl.tr.un_640 uk.sr.ru_664 
  // [45d0]
  0x25002802, 0x07535604, 0x64001e02, 0x1c121fa4,   // sw.eu.un_220 mg.ht.it_332  ms.lg.un_220 cy.hu.id_433 
  0x4404100b, 0x25002314, 0x1b3f030c, 0x1a0b6b04,   // be.ru.kk_542 ca.eu.un_660  nl.af.tr_543 ceb.es.tl_332 
  0x12130404, 0x041e1c07, 0x04002f14, 0x1b002d14,   // fi.et.hu_332 id.ms.fi_432  su.fi.un_660 sk.tr.un_660 
  0x1c006e08, 0x4408100e, 0x1b080204, 0x01301907,   // hmn.id.un_430 be.uk.kk_555  da.no.tr_332 gl.uz.en_432 
  // [45e0]
  0x32005508, 0x03130604, 0x25005504, 0x13060d02,   // rw.bs.un_430 de.et.nl_332  rw.eu.un_320 cs.de.et_222 
  0x08021ca0, 0x113023ec, 0x1c0d09ac, 0x350810ee,   // id.da.no_322 ky.uz.ro_644  hi.ne.mr_632 be.uk.tg_422 
  0x11002504, 0x03001705, 0x3f080309, 0x2506130c,   // eu.ro.un_320 sr.nl.un_330  nl.no.af_444 et.de.eu_543 
  0x0e002d0b, 0x1e002302, 0x0a0208a4, 0x13002512,   // sk.is.un_520 ca.ms.un_220  no.da.pt_433 eu.et.un_640 
  // [45f0]
  0x091c0d60, 0x300704a4, 0x080444af, 0x13002308,   // ne.mr.hi_664 ru.bg.uz_433  kk.ru.uk_655 ca.et.un_430 
  0x070a10a7, 0x06232511, 0x642a07ee, 0x25000619,   // be.mk.bg_532 eu.ca.de_653  it.mt.lg_422 de.eu.un_750 
  0x2d0d2914, 0x030a2560, 0x530d2905, 0x250623a4,   // sl.cs.sk_666 eu.pt.nl_664  sl.cs.ht_333 ca.de.eu_433 
  0x550b73ec, 0x03060ca0, 0x2a561a07, 0x2a3025a0,   // ny.es.rw_644 sv.de.nl_322  tl.mg.mt_432 eu.uz.mt_322 
  // [4600]
  0x6b061fa7, 0x3f643d09, 0x2a732807, 0x10234408,   // cy.de.ceb_532 ku.lg.af_444  sw.ny.mt_432 kk.ky.be_443 
  0x18002d0d, 0x2a002009, 0x7304130d, 0x1a2f6ba4,   // sk.ga.un_540 sq.mt.un_440  et.fi.ny_554 ceb.su.tl_433 
  0x2800010d, 0x2d0d0b14, 0x642f210c, 0x181364a0,   // en.sw.un_540 es.cs.sk_666  jw.su.lg_543 lg.et.ga_322 
  0x6b003d12, 0x040830a0, 0x2d291707, 0x28001a14,   // ku.ceb.un_640 uz.uk.ru_322  sr.sl.sk_432 tl.sw.un_660 
  // [4610]
  0x13042807, 0x44003023, 0x07253708, 0x6e011f07,   // sw.fi.et_432 uz.kk.un_880  st.eu.it_443 cy.en.hmn_432 
  0x0b2d0d14, 0x081030a0, 0x32552f0c, 0x1c211e0c,   // cs.sk.es_666 uz.be.uk_322  su.rw.bs_543 ms.jw.id_543 
  0x01006407, 0x1a201e07, 0x1f002a05, 0x11001e08,   // lg.en.un_420 ms.sq.tl_432  mt.cy.un_330 ms.ro.un_430 
  0x2f1a55a4, 0x10353007, 0x282a64a0, 0x041723a0,   // rw.tl.su_433 uz.tg.be_432  lg.mt.sw_322 ky.sr.ru_322 
  // [4620]
  0x0b2d0d04, 0x56007304, 0x35300a0e, 0x1300281a,   // cs.sk.es_332 ny.mg.un_320  mk.uz.tg_555 sw.et.un_760 
  0x015627a0, 0x2112010c, 0x552f28af, 0x1f003f12,   // gd.mg.en_322 en.hu.jw_543  sw.su.rw_655 af.cy.un_640 
  0x2f285507, 0x37000421, 0x350a1708, 0x56001b13,   // rw.sw.su_432 fi.st.un_860  sr.mk.tg_443 tr.mg.un_650 
  0x174404ec, 0x313011ac, 0x20095504, 0x0b000718,   // ru.kk.sr_644 ro.uz.az_632  rw.pl.sq_332 it.es.un_740 
  // [4630]
  0x17002320, 0x6e003722, 0x03000508, 0x210413a0,   // ky.sr.un_850 st.hmn.un_870  fr.nl.un_430 et.fi.jw_322 
  0x1b001a07, 0x190b05ee, 0x1b311313, 0x55001113,   // tl.tr.un_420 fr.es.gl_422  et.az.tr_665 ro.rw.un_650 
  0x0b002013, 0x0c000213, 0x1c000d23, 0x2d005504,   // sq.es.un_650 da.sv.un_650  ne.mr.un_880 rw.sk.un_320 
  0x0e00180c, 0x08000a22, 0x036b3f04, 0x1f000307,   // ga.is.un_530 mk.uk.un_870  af.ceb.nl_332 nl.cy.un_420 
  // [4640]
  0x1600050d, 0x321653ee, 0x0f000507, 0x0d000918,   // fr.hr.un_540 ht.hr.bs_422  fr.lv.un_420 hi.ne.un_740 
  0x13005507, 0x55001a09, 0x0a17100b, 0x30173508,   // rw.et.un_420 tl.rw.un_440  be.sr.mk_542 tg.sr.uz_443 
  0x1135110c, 0x17000821, 0x440435a0, 0x17162da4,   // ro.tg.ro_543 uk.sr.un_860  tg.ru.kk_322 sk.hr.sr_433 
  0x200a0b07, 0x1b3130a0, 0x02001e02, 0x0c00130e,   // es.pt.sq_432 uz.az.tr_322  ms.da.un_220 et.sv.un_550 
  // [4650]
  0x2d000e08, 0x074404ee, 0x2d0d32a9, 0x0e033fee,   // is.sk.un_430 ru.kk.bg_422  bs.cs.sk_544 af.nl.is_422 
  0x12002b0c, 0x1300640e, 0x162a2807, 0x032a3faf,   // vi.hu.un_530 lg.et.un_550  sw.mt.hr_432 af.mt.nl_655 
  0x3f0603a0, 0x06645507, 0x2d212804, 0x2f250f08,   // nl.de.af_322 rw.lg.de_432  sw.jw.sk_332 lv.eu.su_443 
  0x130d1caf, 0x2f047355, 0x10040a0d, 0x290b2807,   // mr.ne.bh_655 ny.fi.su_442  mk.ru.be_554 sw.es.sl_432 
  // [4660]
  0x190b1809, 0x0804440e, 0x1164550c, 0x55126407,   // ga.es.gl_444 kk.ru.uk_555  rw.lg.ro_543 lg.hu.rw_432 
  0x44170a12, 0x0b000702, 0x084410a7, 0x09002802,   // mk.sr.kk_654 it.es.un_220  be.kk.uk_532 sw.pl.un_220 
  0x2f5625ad, 0x2f645507, 0x12003f19, 0x02285514,   // eu.mg.su_643 rw.lg.su_432  af.hu.un_750 rw.sw.da_666 
  0x09291fa4, 0x09063dee, 0x211e1c12, 0x3023350d,   // cy.sl.pl_433 ku.de.pl_422  id.ms.jw_654 tg.ky.uz_554 
  // [4670]
  0x3d0f01ee, 0x07186e02, 0x6b0e56a4, 0x04104413,   // en.lv.ku_422 hmn.ga.it_222  mg.is.ceb_433 kk.be.ru_665 
  0x25006402, 0x0f102a13, 0x55041aee, 0x0f000621,   // lg.eu.un_220 mt.lt.lv_665  tl.fi.rw_422 de.lv.un_860 
  0x08041709, 0x08071713, 0x1e1c56ec, 0x10042aad,   // sr.ru.uk_444 sr.bg.uk_665  mg.id.ms_644 mt.fi.lt_643 
  0x30180707, 0x0b000919, 0x1b311307, 0x212f3d0c,   // it.ga.uz_432 pl.es.un_750  et.az.tr_432 ku.su.jw_543 
  // [4680]
  0x2f0a2305, 0x2a0609ac, 0x13001c0d, 0x19530b07,   // ca.pt.su_333 pl.de.mt_632  mr.bh.un_540 es.ht.gl_432 
  0x0a0711ec, 0x0c0108a0, 0x09002002, 0x12001f0d,   // ro.bg.mk_644 no.en.sv_322  sq.pl.un_220 cy.hu.un_540 
  0x12195507, 0x1373370c, 0x32110c05, 0x1e2f1cad,   // rw.gl.hu_432 st.ny.et_543  sv.ro.bs_333 id.su.ms_643 
  0x55003021, 0x6b2504ad, 0x56003707, 0x0d190b08,   // uz.rw.un_860 fi.eu.ceb_643  st.mg.un_420 es.gl.cs_443 
  // [4690]
  0x212f5512, 0x1e211ca4, 0x06190b02, 0x062a08a4,   // rw.su.jw_654 id.jw.ms_433  es.gl.de_222 no.mt.de_433 
  0x56001a0e, 0x07000f1a, 0x25002009, 0x042f56a4,   // tl.mg.un_550 lv.it.un_760  sq.eu.un_440 mg.su.fi_433 
  0x23191104, 0x2d002912, 0x09001c2a, 0x08130e09,   // ro.gl.ca_332 sl.sk.un_640  mr.hi.un_970 is.et.no_444 
  0x121121a4, 0x0405250d, 0x09013fee, 0x0f1a040c,   // jw.ro.hu_433 eu.fr.fi_554  af.en.pl_422 fi.tl.lv_543 
  // [46a0]
  0x0c052305, 0x286b73a4, 0x1b001304, 0x1a012aad,   // ca.fr.sv_333 ny.ceb.sw_433  et.tr.un_320 mt.en.tl_643 
  0x0a041708, 0x1b133113, 0x44000812, 0x32005502,   // sr.ru.mk_443 az.et.tr_665  uk.kk.un_640 rw.bs.un_220 
  0x01002a08, 0x02000b05, 0x0e002b13, 0x3f002a0d,   // mt.en.un_430 es.da.un_330  vi.is.un_650 mt.af.un_540 
  0x120c30a4, 0x040a1004, 0x10001602, 0x182337a0,   // uz.sv.hu_433 be.mk.ru_332  hr.lt.un_220 st.ca.ga_322 
  // [46b0]
  0x100501ee, 0x232007a4, 0x04111155, 0x3f103713,   // en.fr.lt_422 it.sq.ca_433  ro.ro.ru_442 st.lt.af_665 
  0x55001c02, 0x04002319, 0x0f110507, 0x2d003007,   // id.rw.un_220 ca.fi.un_750  fr.ro.lv_432 uz.sk.un_420 
  0x110f1305, 0x0f0603a0, 0x301b11ad, 0x110e04ee,   // et.lv.ro_333 nl.de.lv_322  ro.tr.uz_643 fi.is.ro_422 
  0x7305280c, 0x6e016ba0, 0x0e121811, 0x1a6b1e0c,   // sw.fr.ny_543 ceb.en.hmn_322  ga.hu.is_653 ms.ceb.tl_543 
  // [46c0]
  0x120e180e, 0x3f03020c, 0x0511230c, 0x4408100c,   // ga.is.hu_555 da.nl.af_543  ca.ro.fr_543 be.uk.kk_543 
  0x1c100f0c, 0x02110e0c, 0x05000e29, 0x111005a0,   // lv.lt.id_543 is.ro.da_543  is.fr.un_960 fr.lt.ro_322 
  0x1b307308, 0x0e121808, 0x25190b0c, 0x2300530c,   // ny.uz.tr_443 ga.hu.is_443  es.gl.eu_543 ht.ca.un_530 
  0x1c0d130c, 0x05005312, 0x0c080255, 0x3f030609,   // bh.ne.mr_543 ht.fr.un_640  da.no.sv_442 de.nl.af_444 
  // [46d0]
  0x07110413, 0x321b30ee, 0x010c3004, 0x20001708,   // ru.ro.bg_665 uz.tr.bs_422  uz.sv.en_332 sr.sq.un_430 
  0x081030ee, 0x23081060, 0x04130c0c, 0x13000402,   // uz.be.uk_422 be.uk.ky_664  sv.et.fi_543 fi.et.un_220 
  0x37731aad, 0x10004412, 0x05033fa4, 0x2f251ca7,   // tl.ny.st_643 kk.be.un_640  af.nl.fr_433 id.eu.su_532 
  0x1c532fee, 0x21002021, 0x0c292dad, 0x37002802,   // su.ht.id_422 sq.jw.un_860  sk.sl.sv_643 sw.st.un_220 
  // [46e0]
  0x642037a0, 0x0d00092a, 0x230a07ee, 0x08303504,   // st.sq.lg_322 hi.ne.un_970  it.pt.ca_422 tg.uz.uk_332 
  0x21192f12, 0x07007304, 0x29000307, 0x2f136eee,   // su.gl.jw_654 ny.it.un_320  nl.sl.un_420 hmn.et.su_422 
  0x2f23210c, 0x202f1e07, 0x1b00130c, 0x1100100c,   // jw.ca.su_543 ms.su.sq_432  et.tr.un_530 lt.ro.un_530 
  0x13006e0c, 0x0a001c02, 0x1a00010b, 0x2a190b05,   // hmn.et.un_530 id.pt.un_220  en.tl.un_520 es.gl.mt_333 
  // [46f0]
  0x21002013, 0x08001f19, 0x0b2f12ad, 0x11003104,   // sq.jw.un_650 cy.no.un_750  hu.su.es_643 az.ro.un_320 
  0x06001214, 0x02001f07, 0x3d080208, 0x081102ec,   // hu.de.un_660 cy.da.un_420  da.no.ku_443 da.ro.no_644 
  0x12285508, 0x12001f0e, 0x0a0835a7, 0x53002913,   // rw.sw.hu_443 cy.hu.un_550  tg.uk.mk_532 sl.ht.un_650 
  0x291e1c04, 0x35233005, 0x02001f0d, 0x0308010c,   // id.ms.sl_332 uz.ky.tg_333  cy.da.un_540 en.no.nl_543 
  // [4700]
  0x05371b04, 0x55001b19, 0x1b002302, 0x08020605,   // tr.st.fr_332 tr.rw.un_750  ca.tr.un_220 de.da.no_333 
  0x130823af, 0x063f03ad, 0x6b190b04, 0x44041002,   // ca.no.et_655 nl.af.de_643  es.gl.ceb_332 be.ru.kk_222 
  0x08170704, 0x0c00132a, 0x12001b19, 0x0c3f1f5a,   // bg.sr.uk_332 et.sv.un_970  tr.hu.un_750 cy.af.sv_553 
  0x051107a0, 0x171120ee, 0x23041008, 0x1c2f21a0,   // it.ro.fr_322 sq.ro.sr_422  be.ru.ky_443 jw.su.id_322 
  // [4710]
  0x2b011b5a, 0x6430310c, 0x11100f05, 0x0217080c,   // tr.en.vi_553 az.uz.lg_543  lv.lt.ro_333 no.sr.da_543 
  0x55000502, 0x100e020c, 0x050601a7, 0x1b3106ec,   // fr.rw.un_220 da.is.lt_543  en.de.fr_532 de.az.tr_644 
  0x13000608, 0x201b32a9, 0x2d0d1e02, 0x321728a0,   // de.et.un_430 bs.tr.sq_544  ms.cs.sk_222 sw.sr.bs_322 
  0x040f2104, 0x120f1304, 0x04071704, 0x0600050d,   // jw.lv.fi_332 et.lv.hu_332  sr.bg.ru_332 fr.de.un_540 
  // [4720]
  0x21192f04, 0x100830ee, 0x120d2dee, 0x21000511,   // su.gl.jw_332 uz.uk.be_422  sk.cs.hu_422 fr.jw.un_630 
  0x12002d0c, 0x04291707, 0x3700010d, 0x20002d08,   // sk.hu.un_530 sr.sl.fi_432  en.st.un_540 sk.sq.un_430 
  0x060e0ca4, 0x201b1304, 0x033f10ec, 0x200f2507,   // sv.is.de_433 et.tr.sq_332  lt.af.nl_644 eu.lv.sq_432 
  0x18272504, 0x013f0655, 0x1b002105, 0x1f002304,   // eu.gd.ga_332 de.af.en_442  jw.tr.un_330 ca.cy.un_320 
  // [4730]
  0x0d002d2a, 0x300828ec, 0x0c003004, 0x04003d08,   // sk.cs.un_970 sw.no.uz_644  uz.sv.un_320 ku.fi.un_430 
  0x732864ec, 0x2f2a1a05, 0x17002313, 0x1e1b250c,   // lg.sw.ny_644 tl.mt.su_333  ky.sr.un_650 eu.tr.ms_543 
  0x2d0d06af, 0x0e080c07, 0x303f2108, 0x031a3fa9,   // de.cs.sk_655 sv.no.is_432  jw.af.uz_443 af.tl.nl_544 
  0x0c0e2aad, 0x3f301304, 0x163d2da4, 0x033721a9,   // mt.is.sv_643 et.uz.af_332  sk.ku.hr_433 jw.st.nl_544 
  // [4740]
  0x281156a0, 0x731a28a4, 0x21003707, 0x3f002113,   // mg.ro.sw_322 sw.tl.ny_433  st.jw.un_420 jw.af.un_650 
  0x180e2dad, 0x6473370c, 0x1f373d0c, 0x09232704,   // sk.is.ga_643 st.ny.lg_543  ku.st.cy_543 gd.ca.pl_332 
  0x1018300c, 0x072a55a9, 0x30004408, 0x27002304,   // uz.ga.lt_543 rw.mt.it_544  kk.uz.un_430 ca.gd.un_320 
  0x27190a08, 0x122f2d08, 0x28007302, 0x2b001f11,   // pt.gl.gd_443 sk.su.hu_443  ny.sw.un_220 cy.vi.un_630 
  // [4750]
  0x25127305, 0x10041705, 0x070a0813, 0x64001c04,   // ny.hu.eu_333 sr.ru.be_333  uk.mk.bg_665 id.lg.un_320 
  0x04005518, 0x050931a7, 0x55562811, 0x052d0d08,   // rw.fi.un_740 az.pl.fr_532  sw.mg.rw_653 cs.sk.fr_443 
  0x03002104, 0x03373007, 0x0a6401a0, 0x73002512,   // jw.nl.un_320 uz.st.nl_432  en.lg.pt_322 eu.ny.un_640 
  0x16731a0c, 0x2d0d0eaf, 0x313d37ad, 0x18000804,   // tl.ny.hr_543 is.cs.sk_655  st.ku.az_643 no.ga.un_320 
  // [4760]
  0x0c2a0807, 0x212820a0, 0x281a6b12, 0x1e1c37a4,   // no.mt.sv_432 sq.sw.jw_322  ceb.tl.sw_654 st.id.ms_433 
  0x2f2d0d0b, 0x35070808, 0x4404170d, 0x320f17a4,   // cs.sk.su_542 uk.bg.tg_443  sr.ru.kk_554 sr.lv.bs_433 
  0x16296eee, 0x2f280604, 0x125364a0, 0x2f2d0d08,   // hmn.sl.hr_422 de.sw.su_332  lg.ht.hu_322 cs.sk.su_443 
  0x12002021, 0x20000521, 0x6b567307, 0x2973560c,   // sq.hu.un_860 fr.sq.un_860  ny.mg.ceb_432 mg.ny.sl_543 
  // [4770]
  0x104423ec, 0x0a002302, 0x160f55a4, 0x170f10a0,   // ky.kk.be_644 ky.mk.un_220  rw.lv.hr_433 lt.lv.sr_322 
  0x1b00640d, 0x55293704, 0x20000507, 0x53070560,   // lg.tr.un_540 st.sl.rw_332  fr.sq.un_420 fr.it.ht_664 
  0x0f00290c, 0x3f040302, 0x0c000418, 0x0b1819a4,   // sl.lv.un_530 nl.fi.af_222  fi.sv.un_740 gl.ga.es_433 
  0x2300110d, 0x0d130904, 0x20232f09, 0x55002914,   // ro.ca.un_540 hi.bh.ne_332  su.ca.sq_444 sl.rw.un_660 
  // [4780]
  0x08103005, 0x11070414, 0x321655a4, 0x20002302,   // uz.be.uk_333 ru.bg.ro_666  rw.hr.bs_433 ca.sq.un_220 
  0x18016ba0, 0x12002a12, 0x1b00312c, 0x07110412,   // ceb.en.ga_322 mt.hu.un_640  az.tr.un_990 ru.ro.bg_654 
  0x23002a04, 0x530501a7, 0x17001112, 0x1a005508,   // mt.ca.un_320 en.fr.ht_532  ro.sr.un_640 rw.tl.un_430 
  0x2900550c, 0x0f092905, 0x73000719, 0x6b201a07,   // rw.sl.un_530 sl.pl.lv_333  it.ny.un_750 tl.sq.ceb_432 
  // [4790]
  0x165529ee, 0x2556735a, 0x0a000705, 0x2855645a,   // sl.rw.hr_422 ny.mg.eu_553  bg.mk.un_330 lg.rw.sw_553 
  0x06556408, 0x32002504, 0x64092aad, 0x20112313,   // lg.rw.de_443 eu.bs.un_320  mt.pl.lg_643 ca.ro.sq_665 
  0x10000f20, 0x112a23af, 0x17211e04, 0x125320ad,   // lv.lt.un_850 ca.mt.ro_655  ms.jw.sr_332 sq.ht.hu_643 
  0x05003004, 0x64095511, 0x35001705, 0x25313da7,   // uz.fr.un_320 rw.pl.lg_653  sr.tg.un_330 ku.az.eu_532 
  // [47a0]
  0x07041109, 0x18000308, 0x03063f04, 0x28000d02,   // ro.ru.bg_444 nl.ga.un_430  af.de.nl_332 cs.sw.un_220 
  0x3f0627a0, 0x2000290d, 0x1c201eec, 0x17113507,   // gd.de.af_322 sl.sq.un_540  ms.sq.id_644 tg.ro.sr_432 
  0x080203a9, 0x2d0d1c05, 0x1710080c, 0x30190a13,   // nl.da.no_544 id.cs.sk_333  uk.be.sr_543 pt.gl.uz_665 
  0x1a2a53af, 0x2d321704, 0x64000808, 0x19110b08,   // ht.mt.tl_655 sr.bs.sk_332  no.lg.un_430 es.ro.gl_443 
  // [47b0]
  0x08642711, 0x2f001a08, 0x236b1fad, 0x05002f05,   // gd.lg.no_653 tl.su.un_430  cy.ceb.ca_643 su.fr.un_330 
  0x0b0c0f07, 0x1e002507, 0x3f0103a0, 0x0c01080c,   // lv.sv.es_432 eu.ms.un_420  nl.en.af_322 no.en.sv_543 
  0x0e0825ee, 0x082b0ea4, 0x103228a4, 0x17113504,   // eu.no.is_422 is.vi.no_433  sw.bs.lt_433 tg.ro.sr_332 
  0x1c212f0c, 0x0d1c0960, 0x0e030607, 0x01002302,   // su.jw.id_543 hi.mr.ne_664  de.nl.is_432 ca.en.un_220 
  // [47c0]
  0x041044ad, 0x27033f05, 0x201b3008, 0x06041307,   // kk.be.ru_643 af.nl.gd_333  uz.tr.sq_443 et.fi.de_432 
  0x371e56a4, 0x070e0107, 0x13201e04, 0x0a041107,   // mg.ms.st_433 en.is.it_432  ms.sq.et_332 ro.ru.mk_432 
  0x27130412, 0x640c080c, 0x130401a9, 0x32001618,   // fi.et.gd_654 no.sv.lg_543  en.fi.et_544 hr.bs.un_740 
  0x072330a4, 0x281e56a7, 0x1b202a07, 0x016b09ee,   // uz.ky.bg_433 mg.ms.sw_532  mt.sq.tr_432 pl.ceb.en_422 
  // [47d0]
  0x0900132a, 0x31003d0c, 0x1e001c35, 0x300435ee,   // bh.hi.un_970 ku.az.un_530  id.ms.un_A90 tg.ru.uz_422 
  0x1e003d12, 0x110a1708, 0x070f110e, 0x12081e04,   // ku.ms.un_640 sr.mk.ro_443  ro.lv.it_555 ms.no.hu_332 
  0x043511ee, 0x2b000905, 0x041e6b07, 0x31002805,   // ro.tg.ru_422 pl.vi.un_330  ceb.ms.fi_432 sw.az.un_330 
  0x0d000f0c, 0x3507300c, 0x21000707, 0x64002a08,   // lv.cs.un_530 uz.bg.tg_543  it.jw.un_420 mt.lg.un_430 
  // [47e0]
  0x2700071b, 0x30231709, 0x23001708, 0x07002a02,   // it.gd.un_770 sr.ky.uz_444  sr.ky.un_430 mt.it.un_220 
  0x18001223, 0x0d001702, 0x0c00080b, 0x083010ad,   // ur.ar.un_880 sr.cs.un_220  no.sv.un_520 be.uz.uk_643 
  0x6b050704, 0x440a070c, 0x02080c04, 0x10002004,   // it.fr.ceb_332 bg.mk.kk_543  sv.no.da_332 sq.lt.un_320 
  0x230c0e12, 0x234430a0, 0x0a000419, 0x2a201204,   // is.sv.ca_654 uz.kk.ky_322  ru.mk.un_750 hu.sq.mt_332 
  // [47f0]
  0x29200105, 0x0c0806af, 0x05000721, 0x27181ea0,   // en.sq.sl_333 de.no.sv_655  it.fr.un_860 ms.ga.gd_322 
  0x06000b04, 0x122f0555, 0x0f006b07, 0x2a00070c,   // es.de.un_320 fr.su.hu_442  ceb.lv.un_420 it.mt.un_530 
  0x64000304, 0x08350405, 0x13203002, 0x07040809,   // nl.lg.un_320 ru.tg.uk_333  uz.sq.et_222 uk.ru.bg_444 
  0x03001f05, 0x29000b09, 0x100823ad, 0x55732107,   // cy.nl.un_330 es.sl.un_440  ky.uk.be_643 jw.ny.rw_432 
  
  // [4800]
  0x642873af, 0x1c0d090b, 0x29006429, 0x0b2f190b,   // ny.sw.lg_655 hi.ne.mr_542  lg.sl.un_960 gl.su.es_542 
  0x64311a04, 0x131a1bad, 0x05033f08, 0x1b6b0f04,   // tl.az.lg_332 tr.tl.et_643  af.nl.fr_443 lv.ceb.tr_332 
  0x08040aa6, 0x12041aad, 0x10132da0, 0x0e001e04,   // mk.ru.uk_521 tl.fi.hu_643  sk.et.lt_322 ms.is.un_320 
  0x0f131bad, 0x100717a4, 0x6b73110c, 0x04281a0c,   // tr.et.lv_643 sr.bg.be_433  ro.ny.ceb_543 tl.sw.fi_543 
  // [4810]
  0x35001014, 0x1e002813, 0x132f2107, 0x04170704,   // be.tg.un_660 sw.ms.un_650  jw.su.et_432 bg.sr.ru_332 
  0x6b370107, 0x09001329, 0x56103202, 0x12000422,   // en.st.ceb_432 bh.hi.un_960  bs.lt.mg_222 fi.hu.un_870 
  0x06006b07, 0x12007304, 0x2d0d04ee, 0x25551307,   // ceb.de.un_420 ny.hu.un_320  fi.cs.sk_422 et.rw.eu_432 
  0x041009ad, 0x0a0704ee, 0x18033702, 0x44080412,   // pl.lt.fi_643 ru.bg.mk_422  st.nl.ga_222 ru.uk.kk_654 
  // [4820]
  0x64033f07, 0x07001712, 0x3f007307, 0x161b1a08,   // af.nl.lg_432 sr.bg.un_640  ny.af.un_420 tl.tr.hr_443 
  0x252873a4, 0x7300562b, 0x041a1ea4, 0x56230511,   // ny.sw.eu_433 mg.ny.un_980  ms.tl.fi_433 fr.ca.mg_653 
  0x73255614, 0x09001b04, 0x2f255608, 0x53001e04,   // mg.eu.ny_666 tr.pl.un_320  mg.eu.su_443 ms.ht.un_320 
  0x04021313, 0x19230ba9, 0x04006b2a, 0x19001216,   // et.da.fi_665 es.ca.gl_544  ceb.fi.un_970 hu.gl.un_720 
  // [4830]
  0x3f10040c, 0x04000735, 0x09081007, 0x010503a4,   // fi.lt.af_543 bg.ru.un_A90  lt.no.pl_432 nl.fr.en_433 
  0x091004ad, 0x0d092dee, 0x08040aee, 0x17250d0c,   // fi.lt.pl_643 sk.pl.cs_422  mk.ru.uk_422 cs.eu.sr_543 
  0x313037ee, 0x190b2304, 0x2000300c, 0x0408100b,   // st.uz.az_422 ca.es.gl_332  uz.sq.un_530 be.uk.ru_542 
  0x37002f14, 0x09002107, 0x0d001319, 0x37561cec,   // su.st.un_660 jw.pl.un_420  bh.ne.un_750 id.mg.st_644 
  // [4840]
  0x282b73a0, 0x1e007307, 0x270e08a7, 0x07257312,   // ny.vi.sw_322 ny.ms.un_420  no.is.gd_532 ny.eu.it_654 
  0x3d002a13, 0x042013ee, 0x73130411, 0x19005304,   // mt.ku.un_650 et.sq.fi_422  fi.et.ny_653 ht.gl.un_320 
  0x2a092007, 0x03643f0e, 0x28130460, 0x21001108,   // sq.pl.mt_432 af.lg.nl_555  fi.et.sw_664 ro.jw.un_430 
  0x0a002a12, 0x08351055, 0x0f04135a, 0x64000508,   // mt.pt.un_640 be.tg.uk_442  et.fi.lv_553 fr.lg.un_430 
  // [4850]
  0x17353011, 0x170a07ee, 0x1c211eee, 0x0a002a0d,   // uz.tg.sr_653 bg.mk.sr_422  ms.jw.id_422 mt.pt.un_540 
  0x040a07a0, 0x18006402, 0x07173004, 0x06000c1b,   // bg.mk.ru_322 lg.ga.un_220  uz.sr.bg_332 sv.de.un_770 
  0x092d2907, 0x1204060e, 0x0c096ba0, 0x11171113,   // sl.sk.pl_432 de.fi.hu_555  ceb.pl.sv_322 ro.sr.ro_665 
  0x1a3f0107, 0x0c131e07, 0x2f060207, 0x06100907,   // en.af.tl_432 ms.et.sv_432  da.de.su_432 pl.lt.de_432 
  // [4860]
  0x06003f09, 0x082a0aa4, 0x173011ee, 0x11000607,   // af.de.un_440 pt.mt.no_433  ro.uz.sr_422 de.ro.un_420 
  0x04100812, 0x04100814, 0x321c2504, 0x17040704,   // uk.be.ru_654 uk.be.ru_666  eu.id.bs_332 bg.ru.sr_332 
  0x10234405, 0x0b2319a7, 0x08000302, 0x301017a0,   // kk.ky.be_333 gl.ca.es_532  nl.no.un_220 sr.be.uz_322 
  0x17040aa4, 0x0d23110b, 0x25003f04, 0x122520ad,   // mk.ru.sr_433 ro.ca.cs_542  af.eu.un_320 sq.eu.hu_643 
  // [4870]
  0x212519a0, 0x282718af, 0x080417a7, 0x1800272b,   // gl.eu.jw_322 ga.gd.sw_655  sr.ru.uk_532 gd.ga.un_980 
  0x37002d0d, 0x013f06a4, 0x3f03060c, 0x031827ad,   // sk.st.un_540 de.af.en_433  de.nl.af_543 gd.ga.nl_643 
  0x0b2f05af, 0x190a0ba0, 0x3100110e, 0x55003709,   // fr.su.es_655 es.pt.gl_322  ro.az.un_550 st.rw.un_440 
  0x6b3f06a9, 0x08033f02, 0x08002007, 0x64375607,   // de.af.ceb_544 af.nl.no_222  sq.no.un_420 mg.st.lg_432 
  // [4880]
  0x3f032f07, 0x1312110c, 0x2d293007, 0x171111ec,   // su.nl.af_432 ro.hu.et_543  uz.sl.sk_432 ro.ro.sr_644 
  0x2700182c, 0x0a001709, 0x060f10a4, 0x06641307,   // ga.gd.un_990 sr.mk.un_440  lt.lv.de_433 et.lg.de_432 
  0x033f13ee, 0x0a002711, 0x351044ad, 0x37007305,   // et.af.nl_422 gd.pt.un_630  kk.be.tg_643 ny.st.un_330 
  0x0a000507, 0x2d0d05a6, 0x060e08a4, 0x0800200c,   // fr.pt.un_420 fr.cs.sk_521  no.is.de_433 sq.no.un_530 
  // [4890]
  0x30081007, 0x08102302, 0x0b00191a, 0x6400030d,   // be.uk.uz_432 ky.be.uk_222  gl.es.un_760 nl.lg.un_540 
  0x2d0d120c, 0x2a003111, 0x30000819, 0x190a09af,   // hu.cs.sk_543 az.mt.un_630  uk.uz.un_750 pl.pt.gl_655 
  0x73375655, 0x1c00090b, 0x2f003021, 0x27282008,   // mg.st.ny_442 hi.mr.un_520  uz.su.un_860 sq.sw.gd_443 
  0x0f080202, 0x32002708, 0x06193009, 0x13000c12,   // da.no.lv_222 gd.bs.un_430  uz.gl.de_444 sv.et.un_640 
  // [48a0]
  0x3f2856ec, 0x27002119, 0x44100813, 0x070e270c,   // mg.sw.af_644 jw.gd.un_750  uk.be.kk_665 gd.is.it_543 
  0x182756ac, 0x56002f0c, 0x11001020, 0x6b005622,   // mg.gd.ga_632 su.mg.un_530  lt.ro.un_850 mg.ceb.un_870 
  0x2d001604, 0x55086ba4, 0x1e1c28a0, 0x18000720,   // hr.sk.un_320 ceb.no.rw_433  sw.id.ms_322 it.ga.un_850 
  0x0735170d, 0x182f07a7, 0x0a180709, 0x272f1c07,   // sr.tg.bg_554 it.su.ga_532  it.ga.pt_444 id.su.gd_432 
  // [48b0]
  0x182756ad, 0x111108a4, 0x0a212f07, 0x072b0107,   // mg.gd.ga_643 uk.ro.ro_433  su.jw.pt_432 en.vi.it_432 
  0x074435ee, 0x04103d55, 0x73555307, 0x091e1cad,   // tg.kk.bg_422 ku.lt.fi_442  ht.rw.ny_432 id.ms.pl_643 
  0x2f2109ac, 0x17100407, 0x18192708, 0x3f001f19,   // pl.jw.su_632 ru.be.sr_432  gd.gl.ga_443 cy.af.un_750 
  0x2800271b, 0x1711350c, 0x1b002829, 0x10442313,   // gd.sw.un_770 tg.ro.sr_543  sw.tr.un_960 ky.kk.be_665 
  // [48c0]
  0x281e1c11, 0x23052da4, 0x0b001219, 0x1a1c1e0c,   // id.ms.sw_653 sk.fr.ca_433  hu.es.un_750 ms.id.tl_543 
  0x230e0bee, 0x371a09a7, 0x072021a4, 0x07230608,   // es.is.ca_422 pl.tl.st_532  jw.sq.it_433 de.ca.it_443 
  0x01002802, 0x6b1a1ca9, 0x07000120, 0x1a005504,   // sw.en.un_220 id.tl.ceb_544  en.it.un_850 rw.tl.un_320 
  0x0c0a11a4, 0x233510a0, 0x4410230c, 0x0a1708a4,   // ro.pt.sv_433 be.tg.ky_322  ky.be.kk_543 uk.sr.mk_433 
  // [48d0]
  0x1e010c02, 0x2a030605, 0x11070105, 0x30072a14,   // sv.en.ms_222 de.nl.mt_333  en.it.ro_333 mt.it.uz_666 
  0x0f080ea7, 0x30000e1a, 0x31202a04, 0x17001113,   // is.no.lv_532 is.uz.un_760  mt.sq.az_332 ro.sr.un_650 
  0x11105604, 0x25091b07, 0x0e0b3009, 0x303504ee,   // mg.lt.ro_332 tr.pl.eu_432  uz.es.is_444 ru.tg.uz_422 
  0x0d0e2da4, 0x35000714, 0x303544ec, 0x100804a0,   // sk.is.cs_433 bg.tg.un_660  kk.tg.uz_644 ru.uk.be_322 
  // [48e0]
  0x31003d07, 0x070b3104, 0x0d091ca7, 0x30442308,   // ku.az.un_420 az.es.it_332  mr.hi.ne_532 ky.kk.uz_443 
  0x31122102, 0x0b0a2da7, 0x080402a4, 0x21032f04,   // jw.hu.az_222 sk.pt.es_532  da.fi.no_433 su.nl.jw_332 
  0x2f1a1ca0, 0x06001b08, 0x190b0aec, 0x23005304,   // id.tl.su_322 tr.de.un_430  pt.es.gl_644 ht.ca.un_320 
  0x23000a13, 0x10005305, 0x10292a04, 0x033f23a0,   // pt.ca.un_650 ht.lt.un_330  mt.sl.lt_332 ca.af.nl_322 
  // [48f0]
  0x170411ac, 0x2f300b08, 0x04170805, 0x56100905,   // ro.ru.sr_632 es.uz.su_443  uk.sr.ru_333 pl.lt.mg_333 
  0x0c000309, 0x093f0aa7, 0x0a000421, 0x07003502,   // nl.sv.un_440 pt.af.pl_532  ru.mk.un_860 tg.bg.un_220 
  0x130f040d, 0x55062a04, 0x440411ac, 0x11550b02,   // fi.lv.et_554 mt.de.rw_332  ro.ru.kk_632 es.rw.ro_222 
  0x551b300c, 0x321609a4, 0x550b37ee, 0x64000419,   // uz.tr.rw_543 pl.hr.bs_433  st.es.rw_422 fi.lg.un_750 
  // [4900]
  0x28000313, 0x536455a0, 0x200c08ee, 0x101704a0,   // nl.sw.un_650 rw.lg.ht_322  no.sv.sq_422 ru.sr.be_322 
  0x35300a55, 0x08170405, 0x1f052308, 0x0700442a,   // mk.uz.tg_442 ru.sr.uk_333  ca.fr.cy_443 kk.bg.un_970 
  0x10012307, 0x010c0802, 0x3f076407, 0x061b0302,   // ca.en.lt_432 no.sv.en_222  lg.it.af_432 nl.tr.de_222 
  0x3f002b09, 0x0e051fa0, 0x11061205, 0x1703110c,   // vi.af.un_440 cy.fr.is_322  hu.de.ro_333 ro.nl.sr_543 
  // [4910]
  0x28557304, 0x735528ad, 0x56033fa0, 0x040807ad,   // ny.rw.sw_332 sw.rw.ny_643  af.nl.mg_322 bg.uk.ru_643 
  0x170a23a0, 0x561a5507, 0x080711a7, 0x1e372bee,   // ky.mk.sr_322 rw.tl.mg_432  ro.bg.uk_532 vi.st.ms_422 
  0x3f203004, 0x281827ec, 0x07001705, 0x6b5655ec,   // uz.sq.af_332 gd.ga.sw_644  sr.bg.un_330 rw.mg.ceb_644 
  0x06001802, 0x2873010c, 0x040a0702, 0x182721a9,   // ga.de.un_220 en.ny.sw_543  bg.mk.ru_222 jw.gd.ga_544 
  // [4920]
  0x04071702, 0x56132804, 0x112718af, 0x311b3055,   // sr.bg.ru_222 sw.et.mg_332  ga.gd.ro_655 uz.tr.az_442 
  0x2100200b, 0x16001f04, 0x0a1f0604, 0x072335a0,   // sq.jw.un_520 cy.hr.un_320  de.cy.pt_332 tg.ky.bg_322 
  0x30280107, 0x18007319, 0x10000a1a, 0x0c283dee,   // en.sw.uz_432 ny.ga.un_750  mk.be.un_760 ku.sw.sv_422 
  0x12080ea4, 0x2a001f05, 0x190a0802, 0x2900160c,   // is.no.hu_433 cy.mt.un_330  no.pt.gl_222 hr.sl.un_530 
  // [4930]
  0x020b0a05, 0x28552504, 0x123f08a4, 0x3d0813a9,   // pt.es.da_333 eu.rw.sw_332  no.af.hu_433 et.no.ku_544 
  0x120425a0, 0x3d0c73a9, 0x1225060c, 0x5600130d,   // eu.fi.hu_322 ny.sv.ku_544  de.eu.hu_543 et.mg.un_540 
  0x0f02290c, 0x1f0e5611, 0x301a6412, 0x0f00130d,   // sl.da.lv_543 mg.is.cy_653  lg.tl.uz_654 et.lv.un_540 
  0x3f083dee, 0x061b0cee, 0x29561707, 0x64042502,   // ku.no.af_422 sv.tr.de_422  sr.mg.sl_432 eu.fi.lg_222 
  // [4940]
  0x2855730d, 0x0704130c, 0x2f0521a4, 0x55282aa4,   // ny.rw.sw_554 et.fi.it_543  jw.fr.su_433 mt.sw.rw_433 
  0x0713110c, 0x1311370d, 0x11122112, 0x56201104,   // ro.et.it_543 st.ro.et_554  jw.hu.ro_654 ro.sq.mg_332 
  0x3f00530d, 0x733155a9, 0x23001702, 0x190a3da4,   // ht.af.un_540 rw.az.ny_544  sr.ky.un_220 ku.pt.gl_433 
  0x01002a04, 0x110f29a4, 0x130223a7, 0x0d0c1307,   // mt.en.un_320 sl.lv.ro_433  ca.da.et_532 et.sv.cs_432 
  // [4950]
  0x11050707, 0x21053da9, 0x13002508, 0x23102da4,   // it.fr.ro_432 ku.fr.jw_544  eu.et.un_430 sk.lt.ca_433 
  0x3d00250d, 0x17000707, 0x0f00130c, 0x133d25a9,   // eu.ku.un_540 it.sr.un_420  et.lv.un_530 eu.ku.et_544 
  0x250e08a0, 0x120e08a4, 0x0e052d0c, 0x2d291607,   // no.is.eu_322 no.is.hu_433  sk.fr.is_543 hr.sl.sk_432 
  0x031330a7, 0x23002508, 0x04000722, 0x030608a9,   // uz.et.nl_532 eu.ca.un_430  bg.ru.un_870 no.de.nl_544 
  // [4960]
  0x3000311a, 0x10001b04, 0x11212f0c, 0x2d07110c,   // az.uz.un_760 tr.lt.un_320  su.jw.ro_543 ro.it.sk_543 
  0x031b2507, 0x17353008, 0x0a002808, 0x1f00210c,   // eu.tr.nl_432 uz.tg.sr_443  sw.pt.un_430 jw.cy.un_530 
  0x29071705, 0x1e061213, 0x25031b09, 0x530602a0,   // sr.it.sl_333 hu.de.ms_665  tr.nl.eu_444 da.de.ht_322 
  0x6b003014, 0x17002f08, 0x31041312, 0x3f0103ee,   // uz.ceb.un_660 su.sr.un_430  et.fi.az_654 nl.en.af_422 
  // [4970]
  0x561c0f0e, 0x0d001114, 0x31301b0e, 0x0f1a6bac,   // lv.id.mg_555 ro.cs.un_660  tr.uz.az_555 ceb.tl.lv_632 
  0x211c2fa4, 0x041708a0, 0x56000402, 0x3f080e08,   // su.id.jw_433 uk.sr.ru_322  fi.mg.un_220 is.no.af_443 
  0x1700041b, 0x272f1f07, 0x030e1b04, 0x0a1301a4,   // ru.sr.un_770 cy.su.gd_432  tr.is.nl_332 en.et.pt_433 
  0x37232fa4, 0x1c062faf, 0x2d0d180c, 0x0a2335a0,   // su.ca.st_433 su.de.id_655  ga.cs.sk_543 tg.ky.mk_322 
  // [4980]
  0x3500101a, 0x1c0853ee, 0x1b0a01a0, 0x351130ad,   // be.tg.un_760 ht.no.id_422  en.pt.tr_322 uz.ro.tg_643 
  0x183701a0, 0x4400232b, 0x0a00041a, 0x29733007,   // en.st.ga_322 ky.kk.un_980  ru.mk.un_760 uz.ny.sl_432 
  0x0b0a2314, 0x13040807, 0x0f000c04, 0x73005512,   // ca.pt.es_666 no.fi.et_432  sv.lv.un_320 rw.ny.un_640 
  0x302311ec, 0x23001023, 0x07002f0b, 0x0704300c,   // ro.ky.uz_644 be.ky.un_880  su.it.un_520 uz.ru.bg_543 
  // [4990]
  0x4400350d, 0x06001902, 0x05000b04, 0x040a07af,   // tg.kk.un_540 gl.de.un_220  es.fr.un_320 bg.mk.ru_655 
  0x0d091c07, 0x23190da0, 0x0700171a, 0x080e0ca4,   // mr.hi.ne_432 cs.gl.ca_322  sr.bg.un_760 sv.is.no_433 
  0x21000c05, 0x441008ad, 0x082a20a0, 0x2d00120c,   // sv.jw.un_330 uk.be.kk_643  sq.mt.no_322 hu.sk.un_530 
  0x08000305, 0x440a170e, 0x1a371855, 0x2837180c,   // nl.no.un_330 sr.mk.kk_555  ga.st.tl_442 ga.st.sw_543 
  // [49a0]
  0x0400562a, 0x2b370807, 0x28002708, 0x5300180d,   // mg.fi.un_970 no.st.vi_432  gd.sw.un_430 ga.ht.un_540 
  0x2100280d, 0x0d006b07, 0x080410ec, 0x73202808,   // sw.jw.un_540 ceb.cs.un_420  lt.fi.no_644 sw.sq.ny_443 
  0x2f6b3007, 0x28301e12, 0x02123f12, 0x2800131b,   // uz.ceb.su_432 ms.uz.sw_654  af.hu.da_654 et.sw.un_770 
  0x0a071009, 0x6b182711, 0x0553010c, 0x28642107,   // be.bg.mk_444 gd.ga.ceb_653  en.ht.fr_543 jw.lg.sw_432 
  // [49b0]
  0x3f001a12, 0x20212805, 0x64040b05, 0x073008a7,   // tl.af.un_640 sw.jw.sq_333  es.fi.lg_333 uk.uz.bg_532 
  0x21002f11, 0x3f00020d, 0x212f5505, 0x07114408,   // su.jw.un_630 da.af.un_540  rw.su.jw_333 kk.ro.bg_443 
  0x12007308, 0x3f313007, 0x642f7307, 0x06001b19,   // ny.hu.un_430 uz.az.af_432  ny.su.lg_432 tr.de.un_750 
  0x01531fa0, 0x18007313, 0x282030a4, 0x1f0b19ad,   // cy.ht.en_322 ny.ga.un_650  uz.sq.sw_433 gl.es.cy_643 
  // [49c0]
  0x125564a4, 0x040a5602, 0x02001f21, 0x73371808,   // lg.rw.hu_433 mg.pt.fi_222  cy.da.un_860 ga.st.ny_443 
  0x010810a0, 0x10001e0c, 0x732b0111, 0x212f1eaf,   // lt.no.en_322 ms.lt.un_530  en.vi.ny_653 ms.su.jw_655 
  0x1f080c05, 0x55282907, 0x0d002f05, 0x080c0e0d,   // sv.no.cy_333 sl.sw.rw_432  su.cs.un_330 is.sv.no_554 
  0x1c252fa0, 0x1000442a, 0x2f1e210c, 0x09002a09,   // su.eu.id_322 kk.be.un_970  jw.ms.su_543 mt.pl.un_440 
  // [49d0]
  0x3d12560d, 0x17000805, 0x02642aa0, 0x08441107,   // mg.hu.ku_554 uk.sr.un_330  mt.lg.da_322 ro.kk.uk_432 
  0x161973a4, 0x0b1756a0, 0x201b2507, 0x3713010b,   // ny.gl.hr_433 mg.sr.es_322  eu.tr.sq_432 en.et.st_542 
  0x64003112, 0x641c3755, 0x56000f19, 0x172344af,   // az.lg.un_640 st.id.lg_442  lv.mg.un_750 kk.ky.sr_655 
  0x05005305, 0x08170a0d, 0x2a00370d, 0x19230b0c,   // ht.fr.un_330 mk.sr.uk_554  st.mt.un_540 es.ca.gl_543 
  // [49e0]
  0x10002912, 0x10234460, 0x2a550707, 0x37562f05,   // sl.lt.un_640 kk.ky.be_664  it.rw.mt_432 su.mg.st_333 
  0x07020807, 0x25271b0c, 0x0c3d1f0e, 0x19005604,   // no.da.it_432 tr.gd.eu_543  cy.ku.sv_555 mg.gl.un_320 
  0x190a2509, 0x272f20a4, 0x21731c08, 0x37000104,   // eu.pt.gl_444 sq.su.gd_433  id.ny.jw_443 en.st.un_320 
  0x11053f0c, 0x2d733d09, 0x64003012, 0x25001119,   // af.fr.ro_543 ku.ny.sk_444  uz.lg.un_640 ro.eu.un_750 
  // [49f0]
  0x0b122305, 0x2d3773ad, 0x23002105, 0x23001205,   // ca.hu.es_333 ny.st.sk_643  jw.ca.un_330 hu.ca.un_330 
  0x190b20ee, 0x056b0c08, 0x56003004, 0x21171604,   // sq.es.gl_422 sv.ceb.fr_443  uz.mg.un_320 hr.sr.jw_332 
  0x16002d04, 0x6b2a070c, 0x6400131b, 0x55285609,   // sk.hr.un_320 it.mt.ceb_543  et.lg.un_770 mg.sw.rw_444 
  0x37000a02, 0x190a2307, 0x3f036411, 0x23132807,   // pt.st.un_220 ca.pt.gl_432  lg.nl.af_653 sw.et.ca_432 
  // [4a00]
  0x1304010c, 0x2f210eee, 0x1707350c, 0x0318275a,   // en.fi.et_543 is.jw.su_422  tg.bg.sr_543 gd.ga.nl_553 
  0x2344300d, 0x1e00080c, 0x17100813, 0x17071005,   // uz.kk.ky_554 no.ms.un_530  uk.be.sr_665 be.bg.sr_333 
  0x01287307, 0x171632ac, 0x321701a4, 0x0400111b,   // ny.sw.en_432 bs.hr.sr_632  en.sr.bs_433 ro.ru.un_770 
  0x1c0913a6, 0x30004421, 0x08110a55, 0x733f56a4,   // bh.hi.mr_521 kk.uz.un_860  mk.ro.uk_442 mg.af.ny_433 
  // [4a10]
  0x10082507, 0x6e1b53a9, 0x10000a02, 0x2d001211,   // eu.no.lt_432 ht.tr.hmn_544  pt.lt.un_220 hu.sk.un_630 
  0x121a6b07, 0x56193007, 0x55002805, 0x55562a0b,   // ceb.tl.hu_432 uz.gl.mg_432  sw.rw.un_330 mt.mg.rw_542 
  0x060e0c0c, 0x18731c07, 0x55006409, 0x302311ee,   // sv.is.de_543 id.ny.ga_432  lg.rw.un_440 ro.ky.uz_422 
  0x17101107, 0x04002508, 0x211e560c, 0x3d005519,   // ro.be.sr_432 eu.fi.un_430  mg.ms.jw_543 rw.ku.un_750 
  // [4a20]
  0x0f006e07, 0x231111a4, 0x060c0fa4, 0x0f290707,   // hmn.lv.un_420 ro.ro.ky_433  lv.sv.de_433 it.sl.lv_432 
  0x06190bec, 0x30003113, 0x10040aa0, 0x08003514,   // es.gl.de_644 az.uz.un_650  mk.ru.be_322 tg.uk.un_660 
  0x022825a4, 0x255564ee, 0x17040755, 0x02005305,   // eu.sw.da_433 lg.rw.eu_422  bg.ru.sr_442 ht.da.un_330 
  0x1a640914, 0x1e1c55ee, 0x12002b18, 0x0b190a04,   // pl.lg.tl_666 rw.id.ms_422  vi.hu.un_740 pt.gl.es_332 
  // [4a30]
  0x18273007, 0x641a2fa4, 0x1e000f14, 0x641c2108,   // uz.gd.ga_432 su.tl.lg_433  lv.ms.un_660 jw.id.lg_443 
  0x02112007, 0x1b002304, 0x64000f08, 0x080225ee,   // sq.ro.da_432 ca.tr.un_320  lv.lg.un_430 eu.da.no_422 
  0x020330a0, 0x07281aa0, 0x0a0810ad, 0x2f2155ad,   // uz.nl.da_322 tl.sw.it_322  be.uk.mk_643 rw.jw.su_643 
  0x0e002a09, 0x311b55a9, 0x11006402, 0x071710a0,   // mt.is.un_440 rw.tr.az_544  lg.ro.un_220 be.sr.bg_322 
  // [4a40]
  0x641e1c5a, 0x29162da4, 0x29080ca4, 0x28121aac,   // id.ms.lg_553 sk.hr.sl_433  sv.no.sl_433 tl.hu.sw_632 
  0x532f1ea0, 0x04532507, 0x281225af, 0x0f255608,   // ms.su.ht_322 eu.ht.fi_432  eu.hu.sw_655 mg.eu.lv_443 
  0x25006422, 0x0d002a0c, 0x231b5604, 0x44003509,   // lg.eu.un_870 mt.cs.un_530  mg.tr.ca_332 tg.kk.un_440 
  0x11310d07, 0x1800270b, 0x37301e0c, 0x27050107,   // cs.az.ro_432 gd.ga.un_520  ms.uz.st_543 en.fr.gd_432 
  // [4a50]
  0x3d002529, 0x08020a09, 0x32251f08, 0x64732813,   // eu.ku.un_960 pt.da.no_444  cy.eu.bs_443 sw.ny.lg_665 
  0x170823a7, 0x08252707, 0x64097304, 0x1f310504,   // ky.uk.sr_532 gd.eu.no_432  ny.pl.lg_332 fr.az.cy_332 
  0x6b1f05ee, 0x3f021bad, 0x1c642808, 0x0a171014,   // fr.cy.ceb_422 tr.da.af_643  sw.lg.id_443 be.sr.mk_666 
  0x25002f14, 0x6400731b, 0x1f002104, 0x55052f0c,   // su.eu.un_660 ny.lg.un_770  jw.cy.un_320 su.fr.rw_543 
  // [4a60]
  0x2800100e, 0x190b30af, 0x1b562f5a, 0x090d2da9,   // lt.sw.un_550 uz.es.gl_655  su.mg.tr_553 sk.cs.pl_544 
  0x2500041a, 0x10000619, 0x0800022c, 0x1700082c,   // fi.eu.un_760 de.lt.un_750  da.no.un_990 uk.sr.un_990 
  0x56271808, 0x13000409, 0x290e08a4, 0x0a07110c,   // ga.gd.mg_443 fi.et.un_440  no.is.sl_433 ro.bg.mk_543 
  0x04170a5a, 0x080a35a9, 0x210b1ca4, 0x04071005,   // mk.sr.ru_553 tg.mk.uk_544  id.es.jw_433 be.bg.ru_333 
  // [4a70]
  0x0f002004, 0x55003707, 0x093216a7, 0x02000b04,   // sq.lv.un_320 st.rw.un_420  hr.bs.pl_532 es.da.un_320 
  0x555364a7, 0x230501ad, 0x056e2f0c, 0x2b002f19,   // lg.ht.rw_532 en.fr.ca_643  su.hmn.fr_543 su.vi.un_750 
  0x05002f09, 0x23000a02, 0x04006405, 0x055501ee,   // su.fr.un_440 pt.ca.un_220  lg.fi.un_330 en.rw.fr_422 
  0x130c04ec, 0x101e250c, 0x561c53a0, 0x1325040c,   // fi.sv.et_644 eu.ms.lt_543  ht.id.mg_322 fi.eu.et_543 
  // [4a80]
  0x35302307, 0x0a000502, 0x25001008, 0x0d003202,   // ky.uz.tg_432 fr.pt.un_220  lt.eu.un_430 bs.cs.un_220 
  0x0408350c, 0x3025290c, 0x25002905, 0x17292d0b,   // tg.uk.ru_543 sl.eu.uz_543  sl.eu.un_330 sk.sl.sr_542 
  0x0c080302, 0x08060c09, 0x0a08045a, 0x130e08a9,   // nl.no.sv_222 sv.de.no_444  ru.uk.mk_553 no.is.et_544 
  0x2a002508, 0x03642502, 0x30233505, 0x121a6b04,   // eu.mt.un_430 eu.lg.nl_222  tg.ky.uz_333 ceb.tl.hu_332 
  // [4a90]
  0x10442355, 0x0e033f04, 0x0c081b07, 0x13091ca4,   // ky.kk.be_442 af.nl.is_332  tr.no.sv_432 mr.hi.bh_433 
  0x06315312, 0x20123d04, 0x2b250cad, 0x55642812,   // ht.az.de_654 ku.hu.sq_332  sv.eu.vi_643 sw.lg.rw_654 
  0x1f001013, 0x1f101ea9, 0x190b06ba, 0x64552813,   // lt.cy.un_650 ms.lt.cy_544  de.es.gl_843 sw.rw.lg_665 
  0x12002d1a, 0x281b3013, 0x25000813, 0x73552805,   // sk.hu.un_760 uz.tr.sw_665  no.eu.un_650 sw.rw.ny_333 
  // [4aa0]
  0x28001e09, 0x64095504, 0x033f0808, 0x556428ec,   // ms.sw.un_440 rw.pl.lg_332  no.af.nl_443 sw.lg.rw_644 
  0x0e080ca0, 0x11002509, 0x305511a4, 0x1f001018,   // sv.no.is_322 eu.ro.un_440  ro.rw.uz_433 lt.cy.un_740 
  0x1f00101a, 0x2d120e07, 0x060c2a07, 0x3530440b,   // lt.cy.un_760 is.hu.sk_432  mt.sv.de_432 kk.uz.tg_542 
  0x01281804, 0x0a0430ee, 0x32000d0c, 0x110c3004,   // ga.sw.en_332 uz.ru.mk_422  cs.bs.un_530 uz.sv.ro_332 
  // [4ab0]
  0x300c080c, 0x2d55060d, 0x1b005512, 0x731b37a0,   // no.sv.uz_543 de.rw.sk_554  rw.tr.un_640 st.tr.ny_322 
  0x070804a7, 0x55647311, 0x0c002108, 0x122f1c05,   // ru.uk.bg_532 ny.lg.rw_653  jw.sv.un_430 id.su.hu_333 
  0x5500280d, 0x10001f1b, 0x10001f21, 0x10001f12,   // sw.rw.un_540 cy.lt.un_770  cy.lt.un_860 cy.lt.un_640 
  0x04441007, 0x533002ac, 0x13040c07, 0x19230ba4,   // be.kk.ru_432 da.uz.ht_632  sv.fi.et_432 es.ca.gl_433 
  // [4ac0]
  0x64003007, 0x64080208, 0x2f1e5655, 0x100a17ee,   // uz.lg.un_420 da.no.lg_443  mg.ms.su_442 sr.mk.be_422 
  0x28002312, 0x123d0d0c, 0x1c001212, 0x1812270c,   // ca.sw.un_640 cs.ku.hu_543  hu.id.un_640 gd.hu.ga_543 
  0x2f562504, 0x23304413, 0x09002a04, 0x3f1264a7,   // eu.mg.su_332 kk.uz.ky_665  mt.pl.un_320 lg.hu.af_532 
  0x23070aa4, 0x371f05ad, 0x02033f0d, 0x06003004,   // mk.bg.ky_433 fr.cy.st_643  af.nl.da_554 uz.de.un_320 
  // [4ad0]
  0x0e1923ee, 0x09033fa4, 0x02000e1a, 0x0a071004,   // ca.gl.is_422 af.nl.pl_433  is.da.un_760 be.bg.mk_332 
  0x3f640707, 0x06001707, 0x300410ee, 0x30006b08,   // it.lg.af_432 sr.de.un_420  be.ru.uz_422 ceb.uz.un_430 
  0x06643fee, 0x2053560c, 0x211a30ad, 0x73553755,   // af.lg.de_422 mg.ht.sq_543  uz.tl.jw_643 st.rw.ny_442 
  0x73552f09, 0x27011807, 0x23441005, 0x06000e19,   // su.rw.ny_444 ga.en.gd_432  be.kk.ky_333 is.de.un_750 
  // [4ae0]
  0x180603a4, 0x1a1b21a0, 0x35073002, 0x44003019,   // nl.de.ga_433 jw.tr.tl_322  uz.bg.tg_222 uz.kk.un_750 
  0x062d0d55, 0x080710a4, 0x3d0d2da7, 0x0b00190c,   // cs.sk.de_442 be.bg.uk_433  sk.cs.ku_532 gl.es.un_530 
  0x061b0ca4, 0x0d002908, 0x2d000e12, 0x2305300c,   // sv.tr.de_433 sl.cs.un_430  is.sk.un_640 uz.fr.ca_543 
  0x18002702, 0x280d1ea0, 0x2d0d21a0, 0x2b2d2504,   // gd.ga.un_220 ms.cs.sw_322  jw.cs.sk_322 eu.sk.vi_332 
  // [4af0]
  0x1a6b2513, 0x2a180604, 0x64001e04, 0x735528af,   // eu.ceb.tl_665 de.ga.mt_332  ms.lg.un_320 sw.rw.ny_655 
  0x30000204, 0x01000b05, 0x28002f0c, 0x0300551a,   // da.uz.un_320 es.en.un_330  su.sw.un_530 rw.nl.un_760 
  0x212f2804, 0x0c061207, 0x6b2d0d04, 0x1c001e13,   // sw.su.jw_332 hu.de.sv_432  cs.sk.ceb_332 ms.id.un_650 
  0x18001f20, 0x010d2da0, 0x052f3704, 0x06002f22,   // cy.ga.un_850 sk.cs.en_322  st.su.fr_332 su.de.un_870 
  // [4b00]
  0x0a0717ee, 0x0600731a, 0x2a0764ec, 0x08441108,   // sr.bg.mk_422 ny.de.un_760  lg.it.mt_644 ro.kk.uk_443 
  0x2f3d300c, 0x12062fad, 0x065637a4, 0x205511a4,   // uz.ku.su_543 su.de.hu_643  st.mg.de_433 ro.rw.sq_433 
  0x2a00111b, 0x091827ad, 0x1a2a11ec, 0x202855a4,   // ro.mt.un_770 gd.ga.pl_643  ro.mt.tl_644 rw.sw.sq_433 
  0x28551b0d, 0x6b205555, 0x112f1ea4, 0x28002b04,   // tr.rw.sw_554 rw.sq.ceb_442  ms.su.ro_433 vi.sw.un_320 
  // [4b10]
  0x13112a0c, 0x2f2155a4, 0x211e1c0e, 0x55011fee,   // mt.ro.et_543 rw.jw.su_433  id.ms.jw_555 cy.en.rw_422 
  0x55281107, 0x28212f0c, 0x2a2011a4, 0x0e111307,   // ro.sw.rw_432 su.jw.sw_543  ro.sq.mt_433 et.ro.is_432 
  0x2f212ba0, 0x5500250d, 0x55281108, 0x036b050b,   // vi.jw.su_322 eu.rw.un_540  ro.sw.rw_443 fr.ceb.nl_542 
  0x03002f20, 0x31211b12, 0x2b181fa4, 0x1f001813,   // su.nl.un_850 tr.jw.az_654  cy.ga.vi_433 ga.cy.un_650 
  // [4b20]
  0x04302308, 0x033f1a07, 0x0e0c0804, 0x2500300c,   // ky.uz.ru_443 tl.af.nl_432  no.sv.is_332 uz.eu.un_530 
  0x551128ad, 0x3d000422, 0x1b553004, 0x350723ad,   // sw.ro.rw_643 fi.ku.un_870  uz.rw.tr_332 ky.bg.tg_643 
  0x04112aa0, 0x2f5521a0, 0x102a1160, 0x03002307,   // mt.ro.fi_322 jw.rw.su_322  ro.mt.lt_664 ca.nl.un_420 
  0x31113713, 0x092d0d0d, 0x55372f0d, 0x201a110c,   // st.ro.az_665 cs.sk.pl_554  su.st.rw_554 ro.tl.sq_543 
  // [4b30]
  0x1e2f6b11, 0x041a110c, 0x2f2113a4, 0x23073555,   // ceb.su.ms_653 ro.tl.fi_543  et.jw.su_433 tg.bg.ky_442 
  0x281b31af, 0x071035ee, 0x03000f02, 0x17003507,   // az.tr.sw_655 tg.be.bg_422  lv.nl.un_220 tg.sr.un_420 
  0x3f32290c, 0x6b2b01a4, 0x30007308, 0x1c231107,   // sl.bs.af_543 en.vi.ceb_433  ny.uz.un_430 ro.ca.id_432 
  0x230a17ee, 0x172007a9, 0x05120b02, 0x026b3f07,   // sr.mk.ky_422 it.sq.sr_544  es.hu.fr_222 af.ceb.da_432 
  // [4b40]
  0x2f122da0, 0x07316404, 0x2d002f04, 0x230e3f04,   // sk.hu.su_322 lg.az.it_332  su.sk.un_320 af.is.ca_332 
  0x0e006419, 0x0c733004, 0x0a230c04, 0x0b007307,   // lg.is.un_750 uz.ny.sv_332  sv.ca.pt_332 ny.es.un_420 
  0x0b2f1c07, 0x282f1314, 0x7364250c, 0x12001809,   // id.su.es_432 et.su.sw_666  eu.lg.ny_543 ga.hu.un_440 
  0x190b1205, 0x7364040c, 0x17041107, 0x071111a9,   // hu.es.gl_333 fi.lg.ny_543  ro.ru.sr_432 ro.ro.bg_544 
  // [4b50]
  0x0b3d300d, 0x30007312, 0x1b000a12, 0x20172907,   // uz.ku.es_554 ny.uz.un_640  pt.tr.un_640 sl.sr.sq_432 
  0x730464a4, 0x041708ec, 0x13001602, 0x12062507,   // lg.fi.ny_433 uk.sr.ru_644  hr.et.un_220 eu.de.hu_432 
  0x64001f02, 0x09002d18, 0x08120302, 0x05122d02,   // cy.lg.un_220 sk.pl.un_740  nl.hu.no_222 sk.hu.fr_222 
  0x322d29a0, 0x350804ee, 0x0a003502, 0x132f2112,   // sl.sk.bs_322 ru.uk.tg_422  tg.mk.un_220 jw.su.et_654 
  // [4b60]
  0x1c212f09, 0x12002809, 0x0f001323, 0x281c1e0c,   // su.jw.id_444 sw.hu.un_440  et.lv.un_880 ms.id.sw_543 
  0x190b27a0, 0x161e1c55, 0x1b212fa0, 0x1e04640c,   // gd.es.gl_322 id.ms.hr_442  su.jw.tr_322 lg.fi.ms_543 
  0x120d2d12, 0x290d2d07, 0x09000f04, 0x13080209,   // sk.cs.hu_654 sk.cs.sl_432  lv.pl.un_320 da.no.et_444 
  0x302335a7, 0x1700071a, 0x1200091a, 0x0c001f08,   // tg.ky.uz_532 bg.sr.un_760  pl.hu.un_760 cy.sv.un_430 
  // [4b70]
  0x1f010504, 0x13041ba4, 0x32001e0c, 0x17160205,   // fr.en.cy_332 tr.fi.et_433  ms.bs.un_530 da.hr.sr_333 
  0x55122807, 0x1c000d0b, 0x44300704, 0x2a0c1104,   // sw.hu.rw_432 ne.mr.un_520  bg.uz.kk_332 ro.sv.mt_332 
  0x0a07080c, 0x040730af, 0x21007312, 0x3028210c,   // uk.bg.mk_543 uz.bg.ru_655  ny.jw.un_640 jw.sw.uz_543 
  0x13005605, 0x29561260, 0x1e216ba0, 0x1228640c,   // mg.et.un_330 hu.mg.sl_664  ceb.jw.ms_322 lg.sw.hu_543 
  // [4b80]
  0x56730414, 0x06185307, 0x190a2709, 0x20005602,   // fi.ny.mg_666 ht.ga.de_432  gd.pt.gl_444 mg.sq.un_220 
  0x1b00560d, 0x0c080eee, 0x1f000c0d, 0x3d550da0,   // mg.tr.un_540 is.no.sv_422  sv.cy.un_540 cs.rw.ku_322 
  0x302304a4, 0x0501110c, 0x19312a11, 0x371373a9,   // ru.ky.uz_433 ro.en.fr_543  mt.az.gl_653 ny.et.st_544 
  0x64001f19, 0x1c1e3f0c, 0x0e1905a0, 0x07081105,   // cy.lg.un_750 af.ms.id_543  fr.gl.is_322 ro.uk.bg_333 
  // [4b90]
  0x10303509, 0x28003019, 0x3711285a, 0x2f560107,   // tg.uz.be_444 uz.sw.un_750  sw.ro.st_553 en.mg.su_432 
  0x253f6ba0, 0x11005602, 0x733756ec, 0x2f3d1ca0,   // ceb.af.eu_322 mg.ro.un_220  mg.st.ny_644 id.ku.su_322 
  0x550f0708, 0x1803050c, 0x05011bad, 0x04211105,   // it.lv.rw_443 fr.nl.ga_543  tr.en.fr_643 ro.jw.fi_333 
  0x20002713, 0x10270408, 0x11282009, 0x2a0955a7,   // gd.sq.un_650 fi.gd.lt_443  sq.sw.ro_444 rw.pl.mt_532 
  // [4ba0]
  0x372f55a9, 0x033f0609, 0x0400230d, 0x3727010c,   // rw.su.st_544 de.af.nl_444  ky.ru.un_540 en.gd.st_543 
  0x051827af, 0x10070409, 0x55735611, 0x2a1207a4,   // gd.ga.fr_655 ru.bg.be_444  mg.ny.rw_653 it.hu.mt_433 
  0x3d2f73a9, 0x230501a4, 0x08563f04, 0x6b050107,   // ny.su.ku_544 en.fr.ca_433  af.mg.no_332 en.fr.ceb_432 
  0x17005612, 0x5564370d, 0x286b56a9, 0x442304af,   // mg.sr.un_640 st.lg.rw_554  mg.ceb.sw_544 ru.ky.kk_655 
  // [4bb0]
  0x17072302, 0x551e5612, 0x553f1f07, 0x44002321,   // ky.bg.sr_222 mg.ms.rw_654  cy.af.rw_432 ky.kk.un_860 
  0x372f560d, 0x06050ea0, 0x562f3708, 0x3700030e,   // mg.su.st_554 is.fr.de_322  st.su.mg_443 nl.st.un_550 
  0x190a23a4, 0x0800291a, 0x070a2312, 0x29072aee,   // ca.pt.gl_433 sl.no.un_760  ky.mk.bg_654 mt.it.sl_422 
  0x23005607, 0x0a0807ad, 0x2d190a55, 0x0710040c,   // mg.ca.un_420 bg.uk.mk_643  pt.gl.sk_442 ru.be.bg_543 
  // [4bc0]
  0x060301a0, 0x291705ad, 0x0c2925a9, 0x551a2812,   // en.nl.de_322 fr.sr.sl_643  eu.sl.sv_544 sw.tl.rw_654 
  0x1a641ca4, 0x0e003719, 0x30002311, 0x072125ee,   // id.lg.tl_433 st.is.un_750  ky.uz.un_630 eu.jw.it_422 
  0x0f290908, 0x1a2837a9, 0x3f0c0811, 0x6b1a10a9,   // pl.sl.lv_443 st.sw.tl_544  no.sv.af_653 lt.tl.ceb_544 
  0x0f0c08af, 0x2f0c0212, 0x0a000814, 0x2d002920,   // no.sv.lv_655 da.sv.su_654  uk.mk.un_660 sl.sk.un_850 
  // [4bd0]
  0x1b003002, 0x55641a0c, 0x17113508, 0x1b002902,   // uz.tr.un_220 tl.lg.rw_543  tg.ro.sr_443 sl.tr.un_220 
  0x190b1ea4, 0x37000a21, 0x19531fa0, 0x2a002109,   // ms.es.gl_433 pt.st.un_860  cy.ht.gl_322 jw.mt.un_440 
  0x6b0f1a0c, 0x0a072d05, 0x092925a9, 0x1f2137ac,   // tl.lv.ceb_543 sk.it.pt_333  eu.sl.pl_544 st.jw.cy_632 
  0x2d0c025a, 0x1b645513, 0x170a2d07, 0x0c0f040c,   // da.sv.sk_553 rw.lg.tr_665  sk.pt.sr_432 fi.lv.sv_543 
  // [4be0]
  0x1304250c, 0x00000a2d, 0x56000707, 0x092d0d0b,   // eu.fi.et_543 mk.un.un_A00  it.mg.un_420 cs.sk.pl_542 
  0x020c08a9, 0x282f1e0c, 0x0a3517a7, 0x0c0208ad,   // no.sv.da_544 ms.su.sw_543  sr.tg.mk_532 no.da.sv_643 
  0x08233508, 0x372a3112, 0x270c08a4, 0x321729af,   // tg.ky.uk_443 az.mt.st_654  no.sv.gd_433 sl.sr.bs_655 
  0x086b18ee, 0x083f0c0c, 0x2b1f0611, 0x1b136b09,   // ga.ceb.no_422 sv.af.no_543  de.cy.vi_653 ceb.et.tr_444 
  // [4bf0]
  0x01086ba0, 0x13001208, 0x35003018, 0x19010504,   // ceb.no.en_322 hu.et.un_430  uz.tg.un_740 fr.en.gl_332 
  0x050b0a04, 0x0d000221, 0x0b002512, 0x53000d13,   // pt.es.fr_332 da.cs.un_860  eu.es.un_640 cs.ht.un_650 
  0x18301bee, 0x0b1107a0, 0x01001902, 0x3f0d11ee,   // tr.uz.ga_422 it.ro.es_322  gl.en.un_220 ro.cs.af_422 
  0x561e370c, 0x012523ad, 0x270f2807, 0x09010da4,   // st.ms.mg_543 ca.eu.en_643  sw.lv.gd_432 cs.en.pl_433 
  
  // [4c00]
  0x132137ee, 0x210837a4, 0x44001002, 0x350a1008,   // st.jw.et_422 st.no.jw_433  be.kk.un_220 be.mk.tg_443 
  0x0802560e, 0x0e000820, 0x0e2a11ad, 0x28000704,   // mg.da.no_555 no.is.un_850  ro.mt.is_643 it.sw.un_320 
  0x06033f05, 0x121311ec, 0x0d1218ad, 0x2d0309a7,   // af.nl.de_333 ro.et.hu_644  ga.hu.cs_643 pl.nl.sk_532 
  0x112f130c, 0x281a7307, 0x2f1c0c04, 0x2f13110c,   // et.su.ro_543 ny.tl.sw_432  sv.id.su_332 ro.et.su_543 
  // [4c10]
  0x292d09a9, 0x1c312f04, 0x11000120, 0x7300560d,   // pl.sk.sl_544 su.az.id_332  en.ro.un_850 mg.ny.un_540 
  0x1e005602, 0x023010a0, 0x1b286ba0, 0x1b2873a0,   // mg.ms.un_220 lt.uz.da_322  ceb.sw.tr_322 ny.sw.tr_322 
  0x0e005619, 0x561337a4, 0x0f000a02, 0x53005519,   // mg.is.un_750 st.et.mg_433  pt.lv.un_220 rw.ht.un_750 
  0x08566b0c, 0x251211ad, 0x28005608, 0x2f376b02,   // ceb.mg.no_543 ro.hu.eu_643  mg.sw.un_430 ceb.st.su_222 
  // [4c20]
  0x122f2107, 0x303f11a4, 0x28217304, 0x100f1304,   // jw.su.hu_432 ro.af.uz_433  ny.jw.sw_332 et.lv.lt_332 
  0x640a73a4, 0x1e2a11ec, 0x212f110c, 0x21005307,   // ny.pt.lg_433 ro.mt.ms_644  ro.su.jw_543 ht.jw.un_420 
  0x2730110c, 0x31201ba4, 0x23101307, 0x2073530c,   // ro.uz.gd_543 tr.sq.az_433  et.lt.ca_432 ht.ny.sq_543 
  0x0a251108, 0x125564ad, 0x0c3f08a4, 0x062a3f55,   // ro.eu.pt_443 lg.rw.hu_643  no.af.sv_433 af.mt.de_442 
  // [4c30]
  0x0c0a080b, 0x73283dee, 0x2d0d1009, 0x020c2305,   // no.pt.sv_542 ku.sw.ny_422  lt.cs.sk_444 ca.sv.da_333 
  0x32002a19, 0x25002a04, 0x532f13ad, 0x28002f19,   // mt.bs.un_750 mt.eu.un_320  et.su.ht_643 su.sw.un_750 
  0x16000c07, 0x170a1111, 0x080e3f0c, 0x0a53030c,   // sv.hr.un_420 ro.mk.sr_653  af.is.no_543 nl.ht.pt_543 
  0x250b2307, 0x2a2f1ca4, 0x0d291604, 0x1e1c30ec,   // ca.es.eu_432 id.su.mt_433  hr.sl.cs_332 uz.id.ms_644 
  // [4c40]
  0x102017ee, 0x56551214, 0x32001b0d, 0x0c033f07,   // sr.sq.lt_422 hu.rw.mg_666  tr.bs.un_540 af.nl.sv_432 
  0x280f560c, 0x1a6b01a7, 0x201756ad, 0x27190b11,   // mg.lv.sw_543 en.ceb.tl_532  mg.sr.sq_643 es.gl.gd_653 
  0x1730295a, 0x1b18270c, 0x072327a0, 0x190b11ec,   // sl.uz.sr_553 gd.ga.tr_543  gd.ca.it_322 ro.es.gl_644 
  0x07100405, 0x200a31a4, 0x2f1e1c07, 0x0800031b,   // ru.be.bg_333 az.pt.sq_433  id.ms.su_432 nl.no.un_770 
  // [4c50]
  0x321b10a0, 0x04000835, 0x101b2d07, 0x53551bec,   // lt.tr.bs_322 uk.ru.un_A90  sk.tr.lt_432 tr.rw.ht_644 
  0x55311b0c, 0x0d132d12, 0x21100fa7, 0x3100281b,   // tr.az.rw_543 sk.et.cs_654  lv.lt.jw_532 sw.az.un_770 
  0x12032fee, 0x1a252807, 0x0a07010c, 0x09122707,   // su.nl.hu_422 sw.eu.tl_432  en.it.pt_543 gd.hu.pl_432 
  0x3d561e12, 0x56005302, 0x12002907, 0x130f1004,   // ms.mg.ku_654 ht.mg.un_220  sl.hu.un_420 lt.lv.et_332 
  // [4c60]
  0x201b3dee, 0x32171b0c, 0x110a56ad, 0x01190b13,   // ku.tr.sq_422 tr.sr.bs_543  mg.pt.ro_643 es.gl.en_665 
  0x0b56280b, 0x0c0e3f12, 0x081218af, 0x0c002504,   // sw.mg.es_542 af.is.sv_654  ga.hu.no_655 eu.sv.un_320 
  0x12000714, 0x07002309, 0x05002708, 0x0b2319a9,   // it.hu.un_660 ca.it.un_440  gd.fr.un_430 gl.ca.es_544 
  0x2d00290c, 0x2a1107a7, 0x0c6b1a0c, 0x64003702,   // sl.sk.un_530 it.ro.mt_532  tl.ceb.sv_543 st.lg.un_220 
  // [4c70]
  0x1e1c29af, 0x0b070aee, 0x25000108, 0x1a1c6ba4,   // sl.id.ms_655 pt.it.es_422  en.eu.un_430 ceb.id.tl_433 
  0x026b010c, 0x3000310c, 0x05110104, 0x08000709,   // en.ceb.da_543 az.uz.un_530  en.ro.fr_332 bg.uk.un_440 
  0x1004300c, 0x17300704, 0x01000702, 0x18002b04,   // uz.ru.be_543 bg.uz.sr_332  it.en.un_220 vi.ga.un_320 
  0x084404a6, 0x31000712, 0x072344a0, 0x21131fad,   // ru.kk.uk_521 it.az.un_640  kk.ky.bg_322 cy.et.jw_643 
  // [4c80]
  0x130b6bec, 0x6b001334, 0x08006b13, 0x6b130d11,   // ceb.es.et_644 et.ceb.un_A80  ceb.no.un_650 cs.et.ceb_653 
  0x301e130c, 0x082002a0, 0x17002314, 0x01186ba0,   // et.ms.uz_543 da.sq.no_322  ky.sr.un_660 ceb.ga.en_322 
  0x1b002f04, 0x23181f12, 0x0800070d, 0x123f1002,   // su.tr.un_320 cy.ga.ca_654  bg.uk.un_540 lt.af.hu_222 
  0x11000504, 0x440423a4, 0x07080a14, 0x1a6b2fa0,   // fr.ro.un_320 ky.ru.kk_433  mk.uk.bg_666 su.ceb.tl_322 
  // [4c90]
  0x12001c02, 0x23010e09, 0x08120c02, 0x13080208,   // id.hu.un_220 is.en.ca_444  sv.hu.no_222 da.no.et_443 
  0x19001813, 0x6b000d13, 0x13006b13, 0x301707a0,   // ga.gl.un_650 cs.ceb.un_650  ceb.et.un_650 bg.sr.uz_322 
  0x0d190b02, 0x174404a4, 0x190b13a0, 0x0600100d,   // es.gl.cs_222 ru.kk.sr_433  et.es.gl_322 lt.de.un_540 
  0x0c0e1f04, 0x0e1308ec, 0x28006404, 0x122f1ca9,   // cy.is.sv_332 no.et.is_644  lg.sw.un_320 id.su.hu_544 
  // [4ca0]
  0x092d0dee, 0x443004a4, 0x73040daf, 0x531a55ec,   // cs.sk.pl_422 ru.uz.kk_433  cs.fi.ny_655 rw.tl.ht_644 
  0x211c0107, 0x2f04130e, 0x73003704, 0x233d73a4,   // en.id.jw_432 et.fi.su_555  st.ny.un_320 ny.ku.ca_433 
  0x6b080209, 0x351111a4, 0x18562708, 0x070904ac,   // da.no.ceb_444 ro.ro.tg_433  gd.mg.ga_443 fi.pl.it_632 
  0x111a5612, 0x0911230b, 0x211a01a0, 0x082302ee,   // mg.tl.ro_654 ca.ro.pl_542  en.tl.jw_322 da.ca.no_422 
  // [4cb0]
  0x64201b05, 0x28563712, 0x090b2508, 0x2f00550e,   // tr.sq.lg_333 st.mg.sw_654  eu.es.pl_443 rw.su.un_550 
  0x303d1b08, 0x0d092a04, 0x07190407, 0x3f0373af,   // tr.ku.uz_443 mt.pl.cs_332  fi.gl.it_432 ny.nl.af_655 
  0x29161ca0, 0x28561e07, 0x3764550b, 0x0a2501a0,   // id.hr.sl_322 ms.mg.sw_432  rw.lg.st_542 en.eu.pt_322 
  0x32162da9, 0x281056a9, 0x25137307, 0x1b55310d,   // sk.hr.bs_544 mg.lt.sw_544  ny.et.eu_432 az.rw.tr_554 
  // [4cc0]
  0x012305ad, 0x3d303108, 0x0c120808, 0x03371fa6,   // fr.ca.en_643 az.uz.ku_443  no.hu.sv_443 cy.st.nl_521 
  0x56372f0c, 0x0c002704, 0x1e212a07, 0x086b1aad,   // su.st.mg_543 gd.sv.un_320  mt.jw.ms_432 tl.ceb.no_643 
  0x0f000905, 0x08001104, 0x2d001219, 0x1f0564a7,   // pl.lv.un_330 ro.no.un_320  hu.sk.un_750 lg.fr.cy_532 
  0x53002f07, 0x08170707, 0x3008170b, 0x3f033707,   // su.ht.un_420 bg.sr.uk_432  sr.uk.uz_542 st.nl.af_432 
  // [4cd0]
  0x08002312, 0x211812ee, 0x0c0e0807, 0x1b000f13,   // ky.uk.un_640 ur.ar.fa_422  no.is.sv_432 lv.tr.un_650 
  0x09003705, 0x0a00040e, 0x0a081008, 0x04001309,   // st.pl.un_330 ru.mk.un_550  be.uk.mk_443 et.fi.un_440 
  0x1b003107, 0x32286b0c, 0x00001337, 0x23072013,   // az.tr.un_420 ceb.sw.bs_543  bh.un.un_B00 sq.it.ca_665 
  0x12061b04, 0x041023ec, 0x180c06a0, 0x6b3f0655,   // tr.de.hu_332 ky.be.ru_644  de.sv.ga_322 de.af.ceb_442 
  // [4ce0]
  0x102344ec, 0x06272fa0, 0x04003511, 0x322d2907,   // kk.ky.be_644 su.gd.de_322  tg.ru.un_630 sl.sk.bs_432 
  0x304423af, 0x5300200c, 0x122d0d02, 0x020301a4,   // ky.kk.uz_655 sq.ht.un_530  cs.sk.hu_222 en.nl.da_433 
  0x56100f55, 0x282a18a4, 0x080704a7, 0x25083dec,   // lv.lt.mg_442 ga.mt.sw_433  ru.bg.uk_532 ku.no.eu_644 
  0x060c08a0, 0x176b25ad, 0x5300020d, 0x3f06080c,   // no.sv.de_322 eu.ceb.sr_643  da.ht.un_540 no.de.af_543 
  // [4cf0]
  0x0d321708, 0x0f180607, 0x06200c04, 0x0c270804,   // sr.bs.cs_443 de.ga.lv_432  sv.sq.de_332 no.gd.sv_332 
  0x1700200b, 0x13001a02, 0x0800042b, 0x3f3709a9,   // sq.sr.un_520 tl.et.un_220  ru.uk.un_980 pl.st.af_544 
  0x041707ee, 0x6b012b07, 0x56293d0c, 0x0711050c,   // bg.sr.ru_422 vi.en.ceb_432  ku.sl.mg_543 fr.ro.it_543 
  0x16002007, 0x10233007, 0x21550a04, 0x0e002508,   // sq.hr.un_420 uz.ky.be_432  pt.rw.jw_332 eu.is.un_430 
  // [4d00]
  0x03060c07, 0x2d00060c, 0x2b300604, 0x0a002305,   // sv.de.nl_432 de.sk.un_530  de.uz.vi_332 ca.pt.un_330 
  0x251a6b60, 0x3f1306a4, 0x0a00350d, 0x2900560d,   // ceb.tl.eu_664 de.et.af_433  tg.mk.un_540 mg.sl.un_540 
  0x30000714, 0x20001108, 0x08170412, 0x53000509,   // bg.uz.un_660 ro.sq.un_430  ru.sr.uk_654 fr.ht.un_440 
  0x0d0c12a0, 0x03733755, 0x321703a0, 0x12002107,   // hu.sv.cs_322 st.ny.nl_442  nl.sr.bs_322 fa.ur.un_420 
  // [4d10]
  0x02080e08, 0x6b000608, 0x18120507, 0x0c005504,   // is.no.da_443 de.ceb.un_430  fr.hu.ga_432 rw.sv.un_320 
  0x110a19a0, 0x0105090c, 0x05000213, 0x0c000413,   // gl.pt.ro_322 pl.fr.en_543  da.fr.un_650 fi.sv.un_650 
  0x0a0407ad, 0x0c06040d, 0x0c0604ee, 0x02042ba0,   // bg.ru.mk_643 fi.de.sv_554  fi.de.sv_422 vi.fi.da_322 
  0x120b0a09, 0x2a1a20a0, 0x0e001119, 0x252b1fee,   // pt.es.hu_444 sq.tl.mt_322  ro.is.un_750 cy.vi.eu_422 
  // [4d20]
  0x1b007304, 0x070a0413, 0x0e2d18ec, 0x3d003705,   // ny.tr.un_320 ru.mk.bg_665  ga.sk.is_644 st.ku.un_330 
  0x033f2108, 0x0c000414, 0x1f2b0a09, 0x536b0107,   // jw.af.nl_443 fi.sv.un_660  pt.vi.cy_444 en.ceb.ht_432 
  0x04111ba4, 0x04000614, 0x12556404, 0x31120708,   // tr.ro.fi_433 de.fi.un_660  lg.rw.hu_332 it.hu.az_443 
  0x28321655, 0x3d1c1eec, 0x2f2855ad, 0x0c001905,   // hr.bs.sw_442 ms.id.ku_644  rw.sw.su_643 gl.sv.un_330 
  // [4d30]
  0x09111704, 0x0c0319a9, 0x3d1b0807, 0x192010ee,   // sr.ro.pl_332 gl.nl.sv_544  no.tr.ku_432 lt.sq.gl_422 
  0x030c19ee, 0x0e081f0c, 0x2a736412, 0x213d0e55,   // gl.sv.nl_422 cy.no.is_543  lg.ny.mt_654 is.ku.jw_442 
  0x0464130c, 0x0f0728a0, 0x37001a12, 0x1b2307a0,   // et.lg.fi_543 sw.it.lv_322  tl.st.un_640 it.ca.tr_322 
  0x031b3104, 0x73376409, 0x052923a0, 0x11301902,   // az.tr.nl_332 lg.st.ny_444  ca.sl.fr_322 gl.uz.ro_222 
  // [4d40]
  0x08281fee, 0x2d0d1ea4, 0x13063fa0, 0x2f251c11,   // cy.sw.no_422 ms.cs.sk_433  af.de.et_322 id.eu.su_653 
  0x12000b14, 0x0710170c, 0x06000323, 0x251c2f04,   // es.hu.un_660 sr.be.bg_543  nl.de.un_880 su.id.eu_332 
  0x1b003d18, 0x56553712, 0x060164a0, 0x19000a19,   // ku.tr.un_740 st.rw.mg_654  lg.en.de_322 pt.gl.un_750 
  0x061207a0, 0x0c060e0c, 0x04000609, 0x010b3004,   // it.hu.de_322 is.de.sv_543  de.fi.un_440 uz.es.en_332 
  // [4d50]
  0x30001007, 0x21000a05, 0x0c003d13, 0x301e2011,   // be.uz.un_420 pt.jw.un_330  ku.sv.un_650 sq.ms.uz_653 
  0x20002b0c, 0x201b2aac, 0x29535513, 0x2300070c,   // vi.sq.un_530 mt.tr.sq_632  rw.ht.sl_665 it.ca.un_530 
  0x01000c02, 0x19001212, 0x31003707, 0x29002d12,   // sv.en.un_220 hu.gl.un_640  st.az.un_420 sk.sl.un_640 
  0x063f03a0, 0x030c06a7, 0x03003f11, 0x04001722,   // nl.af.de_322 de.sv.nl_532  af.nl.un_630 sr.ru.un_870 
  // [4d60]
  0x08000f18, 0x04171104, 0x23003721, 0x27005504,   // lv.no.un_740 ro.sr.ru_332  st.ca.un_860 rw.gd.un_320 
  0x030e37a7, 0x090d1ca7, 0x0b000c04, 0x17000713,   // st.is.nl_532 mr.ne.hi_532  sv.es.un_320 bg.sr.un_650 
  0x05000302, 0x30070a08, 0x55533dee, 0x07081007,   // nl.fr.un_220 mk.bg.uz_443  ku.ht.rw_422 be.uk.bg_432 
  0x0a5355a4, 0x07372a07, 0x17002f04, 0x133230a0,   // rw.ht.pt_433 mt.st.it_432  su.sr.un_320 uz.bs.et_322 
  // [4d70]
  0x20000c1a, 0x0a00080c, 0x0700300b, 0x313f0fa7,   // sv.sq.un_760 uk.mk.un_530  uz.bg.un_520 lv.af.az_532 
  0x32000f19, 0x2d000c07, 0x1a046b08, 0x55001e08,   // lv.bs.un_750 sv.sk.un_420  ceb.fi.tl_443 ms.rw.un_430 
  0x29001a02, 0x273d2ba9, 0x0a1711ac, 0x0e1b3dac,   // tl.sl.un_220 vi.ku.gd_544  ro.sr.mk_632 ku.tr.is_632 
  0x1b043da4, 0x20007305, 0x020608a9, 0x07003009,   // ku.fi.tr_433 ny.sq.un_330  no.de.da_544 uz.bg.un_440 
  // [4d80]
  0x0410070c, 0x03080405, 0x04230a04, 0x04070aa7,   // bg.be.ru_543 fi.no.nl_333  mk.ky.ru_332 mk.bg.ru_532 
  0x211e1b04, 0x20320355, 0x30182712, 0x060403ad,   // tr.ms.jw_332 nl.bs.sq_442  gd.ga.uz_654 nl.fi.de_643 
  0x0f000c0c, 0x3f1f0e60, 0x1c131eac, 0x1f002714,   // sv.lv.un_530 is.cy.af_664  ms.et.id_632 gd.cy.un_660 
  0x73041eee, 0x05202b04, 0x21133712, 0x1b313004,   // ms.fi.ny_422 vi.sq.fr_332  st.et.jw_654 uz.az.tr_332 
  // [4d90]
  0x0e132aac, 0x1c530808, 0x2f216b08, 0x100428ac,   // mt.et.is_632 no.ht.id_443  ceb.jw.su_443 sw.fi.lt_632 
  0x2300040d, 0x063f03a4, 0x31202502, 0x11040d0b,   // fi.ca.un_540 nl.af.de_433  eu.sq.az_222 cs.fi.ro_542 
  0x08002002, 0x20002122, 0x04110807, 0x201e1c0d,   // sq.no.un_220 jw.sq.un_870  uk.ro.ru_432 id.ms.sq_554 
  0x11001c09, 0x1c001e19, 0x11002a0c, 0x641220a0,   // id.ro.un_440 ms.id.un_750  mt.ro.un_530 sq.hu.lg_322 
  // [4da0]
  0x6b20230c, 0x2f0c09ee, 0x2f20280c, 0x2d000f09,   // ca.sq.ceb_543 pl.sv.su_422  sw.sq.su_543 lv.sk.un_440 
  0x10301104, 0x35070a04, 0x30317310, 0x301735af,   // ro.uz.be_332 mk.bg.tg_332  ny.az.uz_642 tg.sr.uz_655 
  0x050c5304, 0x160e0a04, 0x04100aa0, 0x08041714,   // ht.sv.fr_332 pt.is.hr_332  mk.be.ru_322 sr.ru.uk_666 
  0x2d070304, 0x6b3d7307, 0x0f111055, 0x1b2a04a7,   // nl.it.sk_332 ny.ku.ceb_432  lt.ro.lv_442 fi.mt.tr_532 
  // [4db0]
  0x1c212f04, 0x1b002a19, 0x0a3517a0, 0x13041ea4,   // su.jw.id_332 mt.tr.un_750  sr.tg.mk_322 ms.fi.et_433 
  0x07005504, 0x3d09730b, 0x041711a6, 0x23002522,   // rw.it.un_320 ny.pl.ku_542  ro.sr.ru_521 eu.ca.un_870 
  0x16000704, 0x29007307, 0x12002a04, 0x28732d07,   // it.hr.un_320 ny.sl.un_420  mt.hu.un_320 sk.ny.sw_432 
  0x09007319, 0x55072805, 0x09007312, 0x2311070c,   // ny.pl.un_750 sw.it.rw_333  ny.pl.un_640 it.ro.ca_543 
  // [4dc0]
  0x18002a07, 0x55001702, 0x0a17080c, 0x17000307,   // mt.ga.un_420 sr.rw.un_220  uk.sr.mk_543 nl.sr.un_420 
  0x27000307, 0x136473a9, 0x08040714, 0x091a6ba4,   // nl.gd.un_420 ny.lg.et_544  bg.ru.uk_666 ceb.tl.pl_433 
  0x12000304, 0x09000513, 0x1b000704, 0x1a1373af,   // nl.hu.un_320 fr.pl.un_650  it.tr.un_320 ny.et.tl_655 
  0x080212a0, 0x64287309, 0x23001f19, 0x1328645a,   // hu.da.no_322 ny.sw.lg_444  cy.ca.un_750 lg.sw.et_553 
  // [4dd0]
  0x64003022, 0x03000c04, 0x73000921, 0x1a5664a9,   // uz.lg.un_870 sv.nl.un_320  pl.ny.un_860 lg.mg.tl_544 
  0x55287355, 0x300a070c, 0x35002321, 0x2810730c,   // ny.sw.rw_442 bg.mk.uz_543  ky.tg.un_860 ny.lt.sw_543 
  0x7300091a, 0x25002a13, 0x3d000113, 0x2d097313,   // pl.ny.un_760 mt.eu.un_650  en.ku.un_650 ny.pl.sk_665 
  0x3009730c, 0x2d160d0d, 0x10556413, 0x21041b08,   // ny.pl.uz_543 cs.hr.sk_554  lg.rw.lt_665 tr.fi.jw_443 
  // [4de0]
  0x170f0307, 0x443035a4, 0x09001309, 0x1100531b,   // nl.lv.sr_432 tg.uz.kk_433  bh.hi.un_440 ht.ro.un_770 
  0x1c121eaf, 0x0b001807, 0x0e2a23a7, 0x271813a4,   // ms.hu.id_655 ga.es.un_420  ca.mt.is_532 et.ga.gd_433 
  0x1b006b04, 0x310f2555, 0x04120a04, 0x10304413,   // ceb.tr.un_320 eu.lv.az_442  pt.hu.fi_332 kk.uz.be_665 
  0x1200080b, 0x042810ee, 0x3f123d07, 0x25003207,   // no.hu.un_520 lt.sw.fi_422  ku.hu.af_432 bs.eu.un_420 
  // [4df0]
  0x11002908, 0x12000a19, 0x100a070d, 0x131e53a7,   // sl.ro.un_430 pt.hu.un_750  bg.mk.be_554 ht.ms.et_532 
  0x3f0612ee, 0x03120aad, 0x7304100c, 0x354411a0,   // hu.de.af_422 pt.hu.nl_643  lt.fi.ny_543 ro.kk.tg_322 
  0x170704ee, 0x1a2f28ac, 0x20001c08, 0x04736412,   // ru.bg.sr_422 sw.su.tl_632  id.sq.un_430 lg.ny.fi_654 
  0x070823a0, 0x05002f02, 0x231130ec, 0x08111711,   // ky.uk.bg_322 su.fr.un_220  uz.ro.ky_644 sr.ro.uk_653 
  // [4e00]
  0x0a001707, 0x0800440c, 0x292d08a0, 0x2f001305,   // sr.mk.un_420 kk.uk.un_530  no.sk.sl_322 et.su.un_330 
  0x6b3f0312, 0x10172dee, 0x011f0407, 0x1e2f1c04,   // nl.af.ceb_654 sk.sr.lt_422  fi.cy.en_432 id.su.ms_332 
  0x2d001102, 0x0a2344a0, 0x231729ee, 0x08030611,   // ro.sk.un_220 kk.ky.mk_322  sl.sr.ca_422 de.nl.no_653 
  0x1c2f1a02, 0x032718a9, 0x04111c04, 0x234435a4,   // tl.su.id_222 ga.gd.nl_544  id.ro.fi_332 tg.kk.ky_433 
  // [4e10]
  0x44001008, 0x2d001c02, 0x53003704, 0x2d230204,   // be.kk.un_430 id.sk.un_220  st.ht.un_320 da.ca.sk_332 
  0x02080e55, 0x032d20a4, 0x17292d11, 0x312f2908,   // is.no.da_442 sq.sk.nl_433  sk.sl.sr_653 sl.su.az_443 
  0x211820af, 0x12552107, 0x0e0c0607, 0x0a00081a,   // sq.ga.jw_655 jw.rw.hu_432  de.sv.is_432 uk.mk.un_760 
  0x1c2f37a0, 0x10081112, 0x35004419, 0x32292da0,   // st.su.id_322 ro.uk.be_654  kk.tg.un_750 sk.sl.bs_322 
  // [4e20]
  0x2a3d6407, 0x0b530aa4, 0x44002311, 0x230b0a04,   // lg.ku.mt_432 pt.ht.es_433  ky.kk.un_630 pt.es.ca_332 
  0x2a183d04, 0x0e001304, 0x11072a04, 0x27001f19,   // ku.ga.mt_332 et.is.un_320  mt.it.ro_332 cy.gd.un_750 
  0x0e321704, 0x130f04ee, 0x300804ee, 0x2330100c,   // sr.bs.is_332 fi.lv.et_422  ru.uk.uz_422 be.uz.ky_543 
  0x281b2fee, 0x291353a0, 0x06043d07, 0x20001222,   // su.tr.sw_422 ht.et.sl_322  ku.fi.de_432 hu.sq.un_870 
  // [4e30]
  0x64041307, 0x01005305, 0x2000121a, 0x122a0408,   // et.fi.lg_432 ht.en.un_330  hu.sq.un_760 fi.mt.hu_443 
  0x031e010c, 0x100804ad, 0x2a55170d, 0x32000907,   // en.ms.nl_543 ru.uk.be_643  sr.rw.mt_554 pl.bs.un_420 
  0x0800210d, 0x0000372d, 0x25042fa0, 0x161b5307,   // jw.no.un_540 st.un.un_A00  su.fi.eu_322 ht.tr.hr_432 
  0x03063f0d, 0x2f1e12a4, 0x04002f04, 0x531801ad,   // af.de.nl_554 hu.ms.su_433  su.fi.un_320 en.ga.ht_643 
  // [4e40]
  0x37001708, 0x06000e22, 0x120818a0, 0x20282104,   // sr.st.un_430 is.de.un_870  ga.no.hu_322 jw.sw.sq_332 
  0x061f18a4, 0x03001f0c, 0x2d0d73ee, 0x6b2b0107,   // ga.cy.de_433 cy.nl.un_530  ny.cs.sk_422 en.vi.ceb_432 
  0x6b1820ee, 0x3d205511, 0x08002022, 0x2d161f07,   // sq.ga.ceb_422 rw.sq.ku_653  sq.no.un_870 cy.hr.sk_432 
  0x30041104, 0x08041708, 0x1144230c, 0x165504ee,   // ro.ru.uz_332 sr.ru.uk_443  ky.kk.ro_543 fi.rw.hr_422 
  // [4e50]
  0x28001f02, 0x160e04a4, 0x160d2904, 0x732a10ec,   // cy.sw.un_220 fi.is.hr_433  sl.cs.hr_332 lt.mt.ny_644 
  0x2b002511, 0x13000f02, 0x0c2b1aa0, 0x64007307,   // eu.vi.un_630 lv.et.un_220  tl.vi.sv_322 ny.lg.un_420 
  0x0e00120c, 0x06081307, 0x1e120f0b, 0x5301280c,   // hu.is.un_530 et.no.de_432  lv.hu.ms_542 sw.en.ht_543 
  0x12080202, 0x200c08a4, 0x20002107, 0x3125280c,   // da.no.hu_222 no.sv.sq_433  jw.sq.un_420 sw.eu.az_543 
  // [4e60]
  0x08070a13, 0x021b17a0, 0x1b1a6b13, 0x011311a0,   // mk.bg.uk_665 sr.tr.da_322  ceb.tl.tr_665 ro.et.en_322 
  0x32031e07, 0x2b006b08, 0x1c531f04, 0x23301f0c,   // ms.nl.bs_432 ceb.vi.un_430  cy.ht.id_332 cy.uz.ca_543 
  0x311b5609, 0x2b006b07, 0x0a083509, 0x731b6bad,   // mg.tr.az_444 ceb.vi.un_420  tg.uk.mk_444 ceb.tr.ny_643 
  0x08003f05, 0x19272d07, 0x19000504, 0x5613310c,   // af.no.un_330 sk.gd.gl_432  fr.gl.un_320 az.et.mg_543 
  // [4e70]
  0x180153a0, 0x010553a0, 0x132506a4, 0x12251b08,   // ht.en.ga_322 ht.fr.en_322  de.eu.et_433 tr.eu.hu_443 
  0x64010507, 0x082801ec, 0x080201ee, 0x0e033fa0,   // fr.en.lg_432 en.sw.no_644  en.da.no_422 af.nl.is_322 
  0x27130405, 0x02122f07, 0x04004402, 0x12182155,   // fi.et.gd_333 su.hu.da_432  kk.ru.un_220 fa.ar.ur_442 
  0x73006409, 0x17000a02, 0x19000d07, 0x0a000d12,   // lg.ny.un_440 mk.sr.un_220  cs.gl.un_420 cs.pt.un_640 
  // [4e80]
  0x081b04ad, 0x5505010c, 0x3f130405, 0x122f0d0c,   // fi.tr.no_643 en.fr.rw_543  fi.et.af_333 cs.su.hu_543 
  0x10111108, 0x233d01a0, 0x13002102, 0x27181ca0,   // ro.ro.be_443 en.ku.ca_322  jw.et.un_220 id.ga.gd_322 
  0x351044ec, 0x07042a60, 0x0b000e05, 0x2f000a0c,   // kk.be.tg_644 mt.fi.it_664  is.es.un_330 pt.su.un_530 
  0x53006409, 0x21372fa4, 0x2b1e2fad, 0x071130ec,   // lg.ht.un_440 su.st.jw_433  su.ms.vi_643 uz.ro.bg_644 
  // [4e90]
  0x10000f18, 0x25002709, 0x08021faf, 0x07001009,   // lv.lt.un_740 gd.eu.un_440  cy.da.no_655 be.bg.un_440 
  0x2d0d0aa4, 0x0c08020c, 0x53736ba7, 0x080e0413,   // pt.cs.sk_433 da.no.sv_543  ceb.ny.ht_532 fi.is.no_665 
  0x07301107, 0x01252355, 0x0d000a0e, 0x300410a7,   // ro.uz.bg_432 ca.eu.en_442  pt.cs.un_550 be.ru.uz_532 
  0x07730e04, 0x0a000d13, 0x081b040c, 0x13201f12,   // is.ny.it_332 cs.pt.un_650  fi.tr.no_543 cy.sq.et_654 
  // [4ea0]
  0x190a18a6, 0x1000270e, 0x30003509, 0x2a3f0308,   // ga.pt.gl_521 gd.lt.un_550  tg.uz.un_440 nl.af.mt_443 
  0x212f1c02, 0x31532807, 0x011f7307, 0x3f0625ad,   // id.su.jw_222 sw.ht.az_432  ny.cy.en_432 eu.de.af_643 
  0x0e000604, 0x1b000304, 0x1b313002, 0x6b001f09,   // de.is.un_320 nl.tr.un_320  uz.az.tr_222 cy.ceb.un_440 
  0x04050c11, 0x23033f0b, 0x20286407, 0x0c06030d,   // sv.fr.fi_653 af.nl.ca_542  lg.sw.sq_432 nl.de.sv_554 
  // [4eb0]
  0x18001121, 0x07080407, 0x182327a4, 0x290d1f04,   // ro.ga.un_860 ru.uk.bg_432  gd.ca.ga_433 cy.cs.sl_332 
  0x120306ee, 0x1f0e3d11, 0x08060c02, 0x0c02035a,   // de.nl.hu_422 ku.is.cy_653  sv.de.no_222 nl.da.sv_553 
  0x0c021f07, 0x04030611, 0x0e005504, 0x02001f11,   // cy.da.sv_432 de.nl.fi_653  rw.is.un_320 cy.da.un_630 
  0x0e1b3d0c, 0x0e005302, 0x321617a6, 0x06292504,   // ku.tr.is_543 ht.is.un_220  sr.hr.bs_521 eu.sl.de_332 
  // [4ec0]
  0x032a3fa7, 0x32001208, 0x30352314, 0x080e2a09,   // af.mt.nl_532 hu.bs.un_430  ky.tg.uz_666 mt.is.no_444 
  0x063f0302, 0x0e3d1ba9, 0x2f122311, 0x0c231fa4,   // nl.af.de_222 tr.ku.is_544  ca.hu.su_653 cy.ca.sv_433 
  0x32021fee, 0x0b000e02, 0x070435a9, 0x230c0404,   // cy.da.bs_422 is.es.un_220  tg.ru.bg_544 fi.sv.ca_332 
  0x091837a6, 0x1b531a0c, 0x07001714, 0x303511ac,   // st.ga.pl_521 tl.ht.tr_543  sr.bg.un_660 ro.tg.uz_632 
  // [4ed0]
  0x12001a12, 0x0a00100e, 0x0e080202, 0x040a3007,   // tl.hu.un_640 be.mk.un_550  da.no.is_222 uz.mk.ru_432 
  0x2d321702, 0x0b000302, 0x190a11ee, 0x0a08070d,   // sr.bs.sk_222 nl.es.un_220  ro.pt.gl_422 bg.uk.mk_554 
  0x04111755, 0x3f000605, 0x30231107, 0x01001e02,   // sr.ro.ru_442 de.af.un_330  ro.ky.uz_432 ms.en.un_220 
  0x122a21a4, 0x0c0e0308, 0x21073104, 0x0c0e01a0,   // jw.mt.hu_433 nl.is.sv_443  az.it.jw_332 en.is.sv_322 
  // [4ee0]
  0x0f033fa4, 0x02031304, 0x1b002f02, 0x200c11ee,   // af.nl.lv_433 et.nl.da_332  su.tr.un_220 ro.sv.sq_422 
  0x062718a9, 0x06002512, 0x020f080c, 0x2902030c,   // ga.gd.de_544 eu.de.un_640  no.lv.da_543 nl.da.sl_543 
  0x02000108, 0x23000113, 0x29000c02, 0x2b006e05,   // en.da.un_430 en.ca.un_650  sv.sl.un_220 hmn.vi.un_330 
  0x06030e11, 0x0a3035a4, 0x06106b08, 0x05232011,   // is.nl.de_653 tg.uz.mk_433  ceb.lt.de_443 sq.ca.fr_653 
  // [4ef0]
  0x2300531a, 0x23000607, 0x64552504, 0x20231907,   // ht.ca.un_760 de.ca.un_420  eu.rw.lg_332 gl.ca.sq_432 
  0x32131607, 0x10080405, 0x25302a05, 0x080213ee,   // hr.et.bs_432 ru.uk.be_333  mt.uz.eu_333 et.da.no_422 
  0x06033f14, 0x180501ec, 0x2d001f1a, 0x122f2d55,   // af.nl.de_666 en.fr.ga_644  cy.sk.un_760 sk.su.hu_442 
  0x08020e05, 0x052718a4, 0x080e0ca0, 0x07003507,   // is.da.no_333 ga.gd.fr_433  sv.is.no_322 tg.bg.un_420 
  // [4f00]
  0x4400081b, 0x130c0612, 0x021308a9, 0x20002522,   // uk.kk.un_770 de.sv.et_654  no.et.da_544 eu.sq.un_870 
  0x300a07ee, 0x5300231d, 0x10001212, 0x271837a4,   // bg.mk.uz_422 ca.ht.un_820  hu.lt.un_640 st.ga.gd_433 
  0x13080ea7, 0x0718275a, 0x0e03010c, 0x0600251b,   // is.no.et_532 gd.ga.it_553  en.nl.is_543 eu.de.un_770 
  0x080c06a9, 0x112501ad, 0x05000a14, 0x130e0607,   // de.sv.no_544 en.eu.ro_643  pt.fr.un_660 de.is.et_432 
  // [4f10]
  0x0a2d0d08, 0x2a1827a7, 0x080c02a0, 0x18002802,   // cs.sk.pt_443 gd.ga.mt_532  da.sv.no_322 sw.ga.un_220 
  0x021b6b12, 0x112a6b08, 0x1b2d0d55, 0x04250513,   // ceb.tr.da_654 ceb.mt.ro_443  cs.sk.tr_442 fr.eu.fi_665 
  0x1805010c, 0x1f1e3f0c, 0x561104af, 0x37093f07,   // en.fr.ga_543 af.ms.cy_543  fi.ro.mg_655 af.pl.st_432 
  0x2a002904, 0x6b000e13, 0x2f05280c, 0x31002804,   // sl.mt.un_320 is.ceb.un_650  sw.fr.su_543 sw.az.un_320 
  // [4f20]
  0x100c3f13, 0x64315504, 0x27000607, 0x64003714,   // af.sv.lt_665 rw.az.lg_332  de.gd.un_420 st.lg.un_660 
  0x050b23a0, 0x1e1c2107, 0x041044af, 0x192f01a4,   // ca.es.fr_322 jw.id.ms_432  kk.be.ru_655 en.su.gl_433 
  0x03080255, 0x116b07a0, 0x0f3104a0, 0x281e1ca0,   // da.no.nl_442 it.ceb.ro_322  fi.az.lv_322 id.ms.sw_322 
  0x64001a11, 0x0e00080e, 0x212f3105, 0x32000702,   // tl.lg.un_630 no.is.un_550  az.su.jw_333 it.bs.un_220 
  // [4f30]
  0x06003d0d, 0x3f1e1fee, 0x180e1907, 0x551a07ee,   // ku.de.un_540 cy.ms.af_422  gl.is.ga_432 it.tl.rw_422 
  0x0f732507, 0x10005604, 0x64007304, 0x0717040d,   // eu.ny.lv_432 mg.lt.un_320  ny.lg.un_320 ru.sr.bg_554 
  0x08001713, 0x64001f0d, 0x04231705, 0x252718ec,   // sr.uk.un_650 cy.lg.un_540  sr.ky.ru_333 ga.gd.eu_644 
  0x10212f07, 0x271718a9, 0x0c1a0604, 0x561827a9,   // su.jw.lt_432 ga.sr.gd_544  de.tl.sv_332 gd.ga.mg_544 
  // [4f40]
  0x1c0f1304, 0x5500530e, 0x29175307, 0x170a07ec,   // et.lv.id_332 ht.rw.un_550  ht.sr.sl_432 bg.mk.sr_644 
  0x232719ee, 0x4423100e, 0x2a100f0c, 0x440704a4,   // gl.gd.ca_422 be.ky.kk_555  lv.lt.mt_543 ru.bg.kk_433 
  0x200f2da0, 0x0a0417ec, 0x17001c02, 0x06080ea0,   // sk.lv.sq_322 sr.ru.mk_644  id.sr.un_220 is.no.de_322 
  0x23100408, 0x321613a0, 0x53322912, 0x05182704,   // ru.be.ky_443 et.hr.bs_322  sl.bs.ht_654 gd.ga.fr_332 
  // [4f50]
  0x20001e09, 0x081044ad, 0x0e070f0b, 0x120f10ac,   // ms.sq.un_440 kk.be.uk_643  lv.it.is_542 lt.lv.hu_632 
  0x25002b04, 0x253f080e, 0x03082504, 0x0a0717a9,   // vi.eu.un_320 no.af.eu_555  eu.no.nl_332 sr.bg.mk_544 
  0x301723a9, 0x0804250d, 0x062103ee, 0x080225ec,   // ky.sr.uz_544 eu.fi.no_554  nl.jw.de_422 eu.da.no_644 
  0x1900230e, 0x25033fad, 0x01300507, 0x25000805,   // ca.gl.un_550 af.nl.eu_643  fr.uz.en_432 no.eu.un_330 
  // [4f60]
  0x216b2f0b, 0x05002b0e, 0x20000119, 0x371f1207,   // su.ceb.jw_542 vi.fr.un_550  en.sq.un_750 hu.cy.st_432 
  0x110501a9, 0x1c000f05, 0x080230ec, 0x25000313,   // en.fr.ro_544 lv.id.un_330  uz.da.no_644 nl.eu.un_650 
  0x32132d0b, 0x1c0d09a9, 0x2b7337ee, 0x30000609,   // sk.et.bs_542 hi.ne.mr_544  st.ny.vi_422 de.uz.un_440 
  0x133755ec, 0x257308a0, 0x20002108, 0x06001002,   // rw.st.et_644 no.ny.eu_322  jw.sq.un_430 lt.de.un_220 
  // [4f70]
  0x03002505, 0x190a10a4, 0x30001607, 0x1f061004,   // eu.nl.un_330 lt.pt.gl_433  hr.uz.un_420 lt.de.cy_332 
  0x1f01375a, 0x3f002514, 0x04002811, 0x25101a07,   // st.en.cy_553 eu.af.un_660  sw.fi.un_630 tl.lt.eu_432 
  0x095330ec, 0x110b01a4, 0x0b2356ad, 0x27002312,   // uz.ht.pl_644 en.es.ro_433  mg.ca.es_643 ca.gd.un_640 
  0x28001b05, 0x08040702, 0x28137313, 0x05033f05,   // tr.sw.un_330 bg.ru.uk_222  ny.et.sw_665 af.nl.fr_333 
  // [4f80]
  0x1100112c, 0x37002b08, 0x082304ad, 0x212f1cee,   // ro.ro.un_990 vi.st.un_430  ru.ky.uk_643 id.su.jw_422 
  0x3f3703a9, 0x31005502, 0x56002b19, 0x190b12a4,   // nl.st.af_544 rw.az.un_220  vi.mg.un_750 hu.es.gl_433 
  0x3f030613, 0x5625370c, 0x17292da4, 0x01566b11,   // de.nl.af_665 st.eu.mg_543  sk.sl.sr_433 ceb.mg.en_653 
  0x1e6b73a0, 0x2b013708, 0x12190ea9, 0x1e1a1ca4,   // ny.ceb.ms_322 st.en.vi_443  is.gl.hu_544 id.tl.ms_433 
  // [4f90]
  0x0d055307, 0x53000621, 0x182d0d55, 0x1a002a07,   // ht.fr.cs_432 de.ht.un_860  cs.sk.ga_442 mt.tl.un_420 
  0x1a376bec, 0x532056a0, 0x64005604, 0x0e001211,   // ceb.st.tl_644 mg.sq.ht_322  mg.lg.un_320 hu.is.un_630 
  0x1a6b37a9, 0x1c002b21, 0x2a000204, 0x1e285612,   // st.ceb.tl_544 vi.id.un_860  da.mt.un_320 mg.sw.ms_654 
  0x55735307, 0x53552007, 0x3f0301ad, 0x28207307,   // ht.ny.rw_432 sq.rw.ht_432  en.nl.af_643 ny.sq.sw_432 
  // [4fa0]
  0x19002b09, 0x043f0355, 0x01271812, 0x25000629,   // vi.gl.un_440 nl.af.fi_442  ga.gd.en_654 de.eu.un_960 
  0x1e131c07, 0x641b37a0, 0x0c000a0e, 0x29002a04,   // id.et.ms_432 st.tr.lg_322  pt.sv.un_550 mt.sl.un_320 
  0x1f000621, 0x2f005613, 0x291656a7, 0x5500561a,   // de.cy.un_860 mg.su.un_650  mg.hr.sl_532 mg.rw.un_760 
  0x1b6b1a0c, 0x53005608, 0x562b370d, 0x00001924,   // tl.ceb.tr_543 mg.ht.un_430  st.vi.mg_554 gl.un.un_900 
  // [4fb0]
  0x0f001023, 0x09005508, 0x2155560d, 0x1a561ca0,   // lt.lv.un_880 rw.pl.un_430  mg.rw.jw_554 id.mg.tl_322 
  0x02002802, 0x2344305a, 0x21005504, 0x0e000404,   // sw.da.un_220 uz.kk.ky_553  rw.jw.un_320 fi.is.un_320 
  0x1e1c04a4, 0x011b3d12, 0x23006e07, 0x530e01a0,   // fi.id.ms_433 ku.tr.en_654  hmn.ca.un_420 en.is.ht_322 
  0x0c532308, 0x44230404, 0x0c1b5305, 0x56002905,   // ca.ht.sv_443 ru.ky.kk_332  ht.tr.sv_333 sl.mg.un_330 
  // [4fc0]
  0x283f5308, 0x231304ad, 0x08000219, 0x6e6b53ad,   // ht.af.sw_443 fi.et.ca_643  da.no.un_750 ht.ceb.hmn_643 
  0x0c5323a4, 0x213f0302, 0x0c531f55, 0x2f02315a,   // ca.ht.sv_433 nl.af.jw_222  cy.ht.sv_442 az.da.su_553 
  0x532301a0, 0x2b3f16a7, 0x18052307, 0x04230108,   // en.ca.ht_322 hr.af.vi_532  ca.fr.ga_432 en.ca.fi_443 
  0x01001604, 0x2912040d, 0x5600010c, 0x32211c02,   // hr.en.un_320 fi.hu.sl_554  en.mg.un_530 id.jw.bs_222 
  // [4fd0]
  0x311b53ad, 0x13040e04, 0x213f1ea0, 0x0c005305,   // ht.tr.az_643 is.fi.et_332  ms.af.jw_322 ht.sv.un_330 
  0x25041ea0, 0x21001c0c, 0x31182702, 0x0e0c5308,   // ms.fi.eu_322 id.jw.un_530  gd.ga.az_222 ht.sv.is_443 
  0x37281312, 0x231b53ad, 0x37001314, 0x2335300d,   // et.sw.st_654 ht.tr.ca_643  et.st.un_660 uz.tg.ky_554 
  0x13321607, 0x0c0353ee, 0x1a6e2f08, 0x645520a0,   // hr.bs.et_432 ht.nl.sv_422  su.hmn.tl_443 sq.rw.lg_322 
  // [4fe0]
  0x041f2a12, 0x29175607, 0x27231a07, 0x3023170c,   // mt.cy.fi_654 mg.sr.sl_432  tl.ca.gd_432 sr.ky.uz_543 
  0x172916ad, 0x0b0a19a7, 0x130110a4, 0x10041107,   // hr.sl.sr_643 gl.pt.es_532  lt.en.et_433 ro.ru.be_432 
  0x0a440412, 0x011805ee, 0x0c006b04, 0x2d0d30a0,   // ru.kk.mk_654 fr.ga.en_422  ceb.sv.un_320 uz.cs.sk_322 
  0x21003702, 0x180107ee, 0x0600370c, 0x1000290e,   // st.jw.un_220 it.en.ga_422  st.de.un_530 sl.lt.un_550 
  // [4ff0]
  0x55172907, 0x192b0ba9, 0x17304455, 0x211c1e07,   // sl.sr.rw_432 es.vi.gl_544  kk.uz.sr_442 ms.id.jw_432 
  0x05002102, 0x550603ad, 0x0f0b53a4, 0x0f0d2dad,   // jw.fr.un_220 nl.de.rw_643  ht.es.lv_433 sk.cs.lv_643 
  0x28030604, 0x030208a9, 0x032f3f55, 0x35233007,   // de.nl.sw_332 no.da.nl_544  af.su.nl_442 uz.ky.tg_432 
  0x0300020d, 0x0204080c, 0x170b295a, 0x18001904,   // da.nl.un_540 no.fi.da_543  sl.es.sr_553 gl.ga.un_320 
  
  // [5000]
  0x4435230c, 0x21000402, 0x0e272f0d, 0x06003108,   // ky.tg.kk_543 fi.jw.un_220  su.gd.is_554 az.de.un_430 
  0x06031f09, 0x1f0603a4, 0x190601a0, 0x12000c02,   // cy.nl.de_444 nl.de.cy_433  en.de.gl_322 sv.hu.un_220 
  0x191a0bee, 0x182711af, 0x0a002704, 0x1a191e07,   // es.tl.gl_422 ro.gd.ga_655  gd.pt.un_320 ms.gl.tl_432 
  0x2f1c27a4, 0x0e1f210c, 0x1e20300c, 0x211e1cec,   // gd.id.su_433 jw.cy.is_543  uz.sq.ms_543 id.ms.jw_644 
  // [5010]
  0x316b2704, 0x2f026b0c, 0x3d0a1004, 0x10004419,   // gd.ceb.az_332 ceb.da.su_543  lt.pt.ku_332 kk.be.un_750 
  0x2f0b3007, 0x1f030607, 0x200401a4, 0x28076ba0,   // uz.es.su_432 de.nl.cy_432  en.fi.sq_433 ceb.it.sw_322 
  0x070417ad, 0x19101105, 0x06001e13, 0x30100708,   // sr.ru.bg_643 ro.lt.gl_333  ms.de.un_650 bg.be.uz_443 
  0x06010504, 0x100a07ec, 0x642053a4, 0x231a3007,   // fr.en.de_332 bg.mk.be_644  ht.sq.lg_433 uz.tl.ca_432 
  // [5020]
  0x30002104, 0x35001713, 0x44001707, 0x0b0523a7,   // jw.uz.un_320 sr.tg.un_650  sr.kk.un_420 ca.fr.es_532 
  0x1f00180e, 0x2a0f0ca7, 0x01001a08, 0x04111712,   // ga.cy.un_550 sv.lv.mt_532  tl.en.un_430 sr.ro.ru_654 
  0x561a0c07, 0x161029a9, 0x1c0d1311, 0x16292a07,   // sv.tl.mg_432 sl.lt.hr_544  bh.ne.mr_653 mt.sl.hr_432 
  0x01530407, 0x1b045607, 0x060801a6, 0x08000705,   // fi.ht.en_432 mg.fi.tr_432  en.no.de_521 bg.uk.un_330 
  // [5030]
  0x02250811, 0x37641ba7, 0x016b04ad, 0x1b3f01a0,   // no.eu.da_653 tr.lg.st_532  fi.ceb.en_643 en.af.tr_322 
  0x6b020104, 0x102a2dee, 0x0a003513, 0x04000502,   // en.da.ceb_332 sk.mt.lt_422  tg.mk.un_650 fr.fi.un_220 
  0x212f30ad, 0x0e12080c, 0x040710ee, 0x1700080e,   // uz.su.jw_643 no.hu.is_543  be.bg.ru_422 uk.sr.un_550 
  0x08212fa0, 0x13002808, 0x013011a7, 0x31300c07,   // su.jw.no_322 sw.et.un_430  ro.uz.en_532 sv.uz.az_432 
  // [5040]
  0x3f000414, 0x17000a2c, 0x3f0305a6, 0x033f270c,   // fi.af.un_660 mk.sr.un_990  fr.nl.af_521 gd.af.nl_543 
  0x03283002, 0x3230120c, 0x6b041f04, 0x273f03a0,   // uz.sw.nl_222 hu.uz.bs_543  cy.fi.ceb_332 nl.af.gd_322 
  0x350807a4, 0x0c0106a4, 0x31080204, 0x30000c04,   // bg.uk.tg_433 de.en.sv_433  da.no.az_332 sv.uz.un_320 
  0x30003511, 0x37030107, 0x08000312, 0x02006b02,   // tg.uz.un_630 en.nl.st_432  nl.no.un_640 ceb.da.un_220 
  // [5050]
  0x1b1230a7, 0x032f05ee, 0x03005304, 0x10000304,   // uz.hu.tr_532 fr.su.nl_422  ht.nl.un_320 nl.lt.un_320 
  0x115305a9, 0x013f0355, 0x27110507, 0x31301bad,   // fr.ht.ro_544 nl.af.en_442  fr.ro.gd_432 tr.uz.az_643 
  0x0f00030c, 0x1e212f13, 0x30080214, 0x311b3008,   // nl.lv.un_530 su.jw.ms_665  da.no.uz_666 uz.tr.az_443 
  0x11030512, 0x0c001013, 0x0e313012, 0x4430230e,   // fr.nl.ro_654 lt.sv.un_650  uz.az.is_654 ky.uz.kk_555 
  // [5060]
  0x04000621, 0x0d1c13a7, 0x23071b0c, 0x04000619,   // de.fi.un_860 bh.mr.ne_532  tr.it.ca_543 de.fi.un_750 
  0x0a5573a6, 0x6b010e07, 0x3032560c, 0x311b0707,   // ny.rw.pt_521 is.en.ceb_432  mg.bs.uz_543 it.tr.az_432 
  0x08000604, 0x170a07a6, 0x302a25a0, 0x2f371ea4,   // de.no.un_320 bg.mk.sr_521  eu.mt.uz_322 ms.st.su_433 
  0x3f1a210c, 0x020305a9, 0x0f10640c, 0x0e0c0613,   // jw.tl.af_543 fr.nl.da_544  lg.lt.lv_543 de.sv.is_665 
  // [5070]
  0x6b1105a7, 0x2b00160e, 0x0105730c, 0x0311050c,   // fr.ro.ceb_532 hr.vi.un_550  ny.fr.en_543 fr.ro.nl_543 
  0x0501235a, 0x20001f20, 0x11000717, 0x532564a0,   // ca.en.fr_553 cy.sq.un_850  it.ro.un_730 lg.eu.ht_322 
  0x08072a0d, 0x2b231008, 0x06002708, 0x00001737,   // mt.it.no_554 lt.ca.vi_443  gd.de.un_430 sr.un.un_B00 
  0x6b3d0704, 0x0400172c, 0x06080cad, 0x210d32a0,   // it.ku.ceb_332 sr.ru.un_990  sv.no.de_643 bs.cs.jw_322 
  // [5080]
  0x02060c13, 0x170804a4, 0x371e1c13, 0x530308a9,   // sv.de.da_665 ru.uk.sr_433  id.ms.st_665 no.nl.ht_544 
  0x03132507, 0x030604ad, 0x25005314, 0x11000414,   // eu.et.nl_432 fi.de.nl_643  ht.eu.un_660 ru.ro.un_660 
  0x250564a0, 0x3210160d, 0x3d006412, 0x060b03a4,   // lg.fr.eu_322 hr.lt.bs_554  lg.ku.un_640 nl.es.de_433 
  0x2f216e09, 0x06001c04, 0x060c0205, 0x1b555308,   // hmn.jw.su_444 id.de.un_320  da.sv.de_333 ht.rw.tr_443 
  // [5090]
  0x03002a07, 0x08002d04, 0x21003f1a, 0x2307110c,   // mt.nl.un_420 sk.no.un_320  af.jw.un_760 ro.it.ca_543 
  0x080201a4, 0x120e0807, 0x180627ac, 0x021c2ba7,   // en.da.no_433 no.is.hu_432  gd.de.ga_632 vi.id.da_532 
  0x2820070c, 0x3f640755, 0x20070107, 0x6e2f37ee,   // it.sq.sw_543 it.lg.af_442  en.it.sq_432 st.su.hmn_422 
  0x550705a4, 0x29191c08, 0x1300251a, 0x04001c02,   // fr.it.rw_433 id.gl.sl_443  eu.et.un_760 id.fi.un_220 
  // [50a0]
  0x1a6e2855, 0x02006e08, 0x250603a9, 0x1b003708,   // sw.hmn.tl_442 hmn.da.un_430  nl.de.eu_544 st.tr.un_430 
  0x550d0504, 0x0423440c, 0x25131107, 0x282b180c,   // fr.cs.rw_332 kk.ky.ru_543  ro.et.eu_432 ga.vi.sw_543 
  0x04000922, 0x10006e2a, 0x56001c2b, 0x160853a4,   // pl.fi.un_870 hmn.lt.un_970  id.mg.un_980 ht.no.hr_433 
  0x0f112da4, 0x0c2a0112, 0x561812a0, 0x11252f08,   // sk.ro.lv_433 en.mt.sv_654  hu.ga.mg_322 su.eu.ro_443 
  // [50b0]
  0x10070aa4, 0x3f56090c, 0x1a1c1e07, 0x2a030905,   // mk.bg.be_433 pl.mg.af_543  ms.id.tl_432 pl.nl.mt_333 
  0x19090b0c, 0x033f2d07, 0x2f2d0d0d, 0x11002a08,   // es.pl.gl_543 sk.af.nl_432  cs.sk.su_554 mt.ro.un_430 
  0x0b001913, 0x0f6e0714, 0x252006a0, 0x05070160,   // gl.es.un_650 it.hmn.lv_666  de.sq.eu_322 en.it.fr_664 
  0x031a64a4, 0x6e2b560c, 0x31022507, 0x0d291ea0,   // lg.tl.nl_433 mg.vi.hmn_543  eu.da.az_432 ms.sl.cs_322 
  // [50c0]
  0x080203a4, 0x11081ea0, 0x0c100fa4, 0x1a311b0c,   // nl.da.no_433 ms.no.ro_322  lv.lt.sv_433 tr.az.tl_543 
  0x030f0912, 0x09000104, 0x0b042d07, 0x1f0309ad,   // pl.lv.nl_654 en.pl.un_320  sk.fi.es_432 pl.nl.cy_643 
  0x0b000609, 0x0c307355, 0x030f29a9, 0x103f0405,   // de.es.un_440 ny.uz.sv_442  sl.lv.nl_544 fi.af.lt_333 
  0x08170aa7, 0x270306ee, 0x2d190b55, 0x2900020e,   // mk.sr.uk_532 de.nl.gd_422  es.gl.sk_442 da.sl.un_550 
  // [50d0]
  0x5500090c, 0x6b0b73ee, 0x1a015607, 0x230a0707,   // pl.rw.un_530 ny.es.ceb_422  mg.en.tl_432 bg.mk.ky_432 
  0x0d112304, 0x10060e04, 0x2f211c08, 0x040708af,   // ca.ro.cs_332 is.de.lt_332  id.jw.su_443 uk.bg.ru_655 
  0x10000113, 0x37005313, 0x080e04a4, 0x1000111a,   // en.lt.un_650 ht.st.un_650  fi.is.no_433 ro.be.un_760 
  0x286455a0, 0x641f2a0c, 0x20002508, 0x07001718,   // rw.lg.sw_322 mt.cy.lg_543  eu.sq.un_430 sr.bg.un_740 
  // [50e0]
  0x37007304, 0x0300300c, 0x30006413, 0x080444a0,   // ny.st.un_320 uz.nl.un_530  lg.uz.un_650 kk.ru.uk_322 
  0x6e100f04, 0x136b2107, 0x641b3da9, 0x0e1b0f04,   // lv.lt.hmn_332 jw.ceb.et_432  ku.tr.lg_544 lv.tr.is_332 
  0x011f28a6, 0x11041012, 0x730d37a0, 0x04003508,   // sw.cy.en_521 be.ru.ro_654  st.cs.ny_322 tg.ru.un_430 
  0x255653a0, 0x5564730b, 0x1b533d08, 0x17040707,   // ht.mg.eu_322 ny.lg.rw_542  ku.ht.tr_443 bg.ru.sr_432 
  // [50f0]
  0x170d2da4, 0x20250804, 0x37002d08, 0x1044230b,   // sk.cs.sr_433 no.eu.sq_332  sk.st.un_430 ky.kk.be_542 
  0x292d0d0e, 0x063025ec, 0x10111ba7, 0x170f0707,   // cs.sk.sl_555 eu.uz.de_644  tr.ro.lt_532 it.lv.sr_432 
  0x531125a9, 0x16297307, 0x29371e12, 0x0d091c0d,   // eu.ro.ht_544 ny.sl.hr_432  ms.st.sl_654 mr.hi.ne_554 
  0x066403a4, 0x29101f0c, 0x642d0d13, 0x0a04070e,   // nl.lg.de_433 cy.lt.sl_543  cs.sk.lg_665 bg.ru.mk_555 
  // [5100]
  0x3f0864a0, 0x321f0ca0, 0x191f2108, 0x0e002a12,   // lg.no.af_322 sv.cy.bs_322  jw.cy.gl_443 mt.is.un_640 
  0x04302307, 0x07012a02, 0x53007319, 0x04101702,   // ky.uz.ru_432 mt.en.it_222  ny.ht.un_750 sr.be.ru_222 
  0x73001912, 0x0e072a07, 0x20003104, 0x30002f13,   // gl.ny.un_640 mt.it.is_432  az.sq.un_320 su.uz.un_650 
  0x082901a0, 0x231e05a4, 0x3729095a, 0x53006b19,   // en.sl.no_322 fr.ms.ca_433  pl.sl.st_553 ceb.ht.un_750 
  // [5110]
  0x18011fa0, 0x0a231007, 0x07230da4, 0x03110504,   // cy.en.ga_322 be.ky.mk_432  cs.ca.it_433 fr.ro.nl_332 
  0x0500110e, 0x045325ac, 0x060e0860, 0x23353013,   // ro.fr.un_550 eu.ht.fi_632  no.is.de_664 uz.tg.ky_665 
  0x20011f11, 0x2f000707, 0x6b050108, 0x0a1130a4,   // cy.en.sq_653 it.su.un_420  en.fr.ceb_443 uz.ro.mk_433 
  0x196455a0, 0x081b32a0, 0x0a000405, 0x2a313012,   // rw.lg.gl_322 bs.tr.no_322  ru.mk.un_330 uz.az.mt_654 
  // [5120]
  0x13000d0e, 0x35070a11, 0x31006404, 0x020e0812,   // ne.bh.un_550 mk.bg.tg_653  lg.az.un_320 no.is.da_654 
  0x53001f04, 0x10000704, 0x100444ec, 0x08441002,   // cy.ht.un_320 bg.be.un_320  kk.ru.be_644 be.kk.uk_222 
  0x21562a08, 0x5300290c, 0x13252a0c, 0x2a30200c,   // mt.mg.jw_443 sl.ht.un_530  mt.eu.et_543 sq.uz.mt_543 
  0x04080204, 0x11051908, 0x03061fa9, 0x041735a0,   // da.no.fi_332 gl.fr.ro_443  cy.de.nl_544 tg.sr.ru_322 
  // [5130]
  0x070a080c, 0x0a0717a7, 0x6b001a08, 0x2b06250c,   // uk.mk.bg_543 sr.bg.mk_532  tl.ceb.un_430 eu.de.vi_543 
  0x1a002804, 0x2a042560, 0x133031ad, 0x0d092d08,   // sw.tl.un_320 eu.fi.mt_664  az.uz.et_643 sk.pl.cs_443 
  0x033f0fa9, 0x230b0514, 0x1e1a7308, 0x0400251a,   // lv.af.nl_544 fr.es.ca_666  ny.tl.ms_443 eu.fi.un_760 
  0x060208a0, 0x23003514, 0x56281aa9, 0x19130bee,   // no.da.de_322 tg.ky.un_660  tl.sw.mg_544 es.et.gl_422 
  // [5140]
  0x0b1e6ea0, 0x02052aee, 0x072b1faf, 0x230b05a7,   // hmn.ms.es_322 mt.fr.da_422  cy.vi.it_655 fr.es.ca_532 
  0x6b001a23, 0x01001c08, 0x216e2707, 0x01002505,   // tl.ceb.un_880 id.en.un_430  gd.hmn.jw_432 eu.en.un_330 
  0x2f212805, 0x30005304, 0x10003208, 0x285637ee,   // sw.jw.su_333 ht.uz.un_320  bs.lt.un_430 st.mg.sw_422 
  0x6b001a0c, 0x190b31a0, 0x25232a04, 0x0f2304af,   // tl.ceb.un_530 az.es.gl_322  mt.ca.eu_332 fi.ca.lv_655 
  // [5150]
  0x1e213704, 0x1e002a08, 0x2a06090c, 0x5304050c,   // st.jw.ms_332 mt.ms.un_430  pl.de.mt_543 fr.fi.ht_543 
  0x23041112, 0x30312a0c, 0x0735040c, 0x022508a4,   // ro.fi.ca_654 mt.az.uz_543  ru.tg.bg_543 no.eu.da_433 
  0x043f1ca4, 0x1c3053ad, 0x1b095312, 0x25060407,   // id.af.fi_433 ht.uz.id_643  ht.pl.tr_654 fi.de.eu_432 
  0x0a301705, 0x55281aa4, 0x0d092daf, 0x080231ee,   // sr.uz.mk_333 tl.sw.rw_433  sk.pl.cs_655 az.da.no_422 
  // [5160]
  0x28731e12, 0x2856250c, 0x6430315a, 0x10000604,   // ms.ny.sw_654 eu.mg.sw_543  az.uz.lg_553 de.lt.un_320 
  0x1a6b10ec, 0x1e1a1c0b, 0x070444a0, 0x060c1b0c,   // lt.ceb.tl_644 id.tl.ms_542  kk.ru.bg_322 tr.sv.de_543 
  0x2f1e1aa9, 0x045601a4, 0x046b1caf, 0x2f061ca4,   // tl.ms.su_544 en.mg.fi_433  id.ceb.fi_655 id.de.su_433 
  0x1c301ead, 0x08315308, 0x252a200b, 0x17070a0e,   // ms.uz.id_643 ht.az.no_443  sq.mt.eu_542 mk.bg.sr_555 
  // [5170]
  0x04131a04, 0x1800252b, 0x371e1c0d, 0x12000e21,   // tl.et.fi_332 eu.ga.un_980  id.ms.st_554 is.hu.un_860 
  0x11271809, 0x3f03370c, 0x2718100c, 0x1f002f0d,   // ga.gd.ro_444 st.nl.af_543  lt.ga.gd_543 su.cy.un_540 
  0x560b030d, 0x13092d04, 0x07001807, 0x251e1c0e,   // nl.es.mg_554 sk.pl.et_332  ga.it.un_420 id.ms.eu_555 
  0x6b121aad, 0x25091ea4, 0x0a07200c, 0x011f0fad,   // tl.hu.ceb_643 ms.pl.eu_433  sq.it.pt_543 lv.cy.en_643 
  // [5180]
  0x2528730b, 0x3f041308, 0x060a01a4, 0x6b006e0d,   // ny.sw.eu_542 et.fi.af_443  en.pt.de_433 hmn.ceb.un_540 
  0x01006e09, 0x0b0306a4, 0x1f0120a0, 0x033f1705,   // hmn.en.un_440 de.nl.es_433  sq.en.cy_322 sr.af.nl_333 
  0x0c000108, 0x1f3027ad, 0x12000614, 0x1f0a0205,   // en.sv.un_430 gd.uz.cy_643  de.hu.un_660 da.pt.cy_333 
  0x190a2304, 0x281827ad, 0x3d001922, 0x0b18300c,   // ca.pt.gl_332 gd.ga.sw_643  gl.ku.un_870 uz.ga.es_543 
  // [5190]
  0x56000104, 0x162d29ee, 0x0a04010b, 0x18302707,   // en.mg.un_320 sl.sk.hr_422  en.fi.pt_542 gd.uz.ga_432 
  0x0e00121a, 0x05100fa4, 0x2f5328ee, 0x0e120cad,   // hu.is.un_760 lv.lt.fr_433  sw.ht.su_422 sv.hu.is_643 
  0x111a27a4, 0x3d211e0c, 0x1337560c, 0x2f006e07,   // gd.tl.ro_433 ms.jw.ku_543  mg.st.et_543 hmn.su.un_420 
  0x31203dec, 0x53133fa4, 0x2f2a3d07, 0x20180804,   // ku.sq.az_644 af.et.ht_433  ku.mt.su_432 no.ga.sq_332 
  // [51a0]
  0x030c040c, 0x120a1aa7, 0x291713a0, 0x6e000e12,   // fi.sv.nl_543 tl.pt.hu_532  et.sr.sl_322 is.hmn.un_640 
  0x083f30a7, 0x2a110712, 0x1b1237ad, 0x043530a4,   // uz.af.no_532 it.ro.mt_654  st.hu.tr_643 uz.tg.ru_433 
  0x7300370d, 0x12000e07, 0x6b000a22, 0x05091f07,   // st.ny.un_540 is.hu.un_420  pt.ceb.un_870 cy.pl.fr_432 
  0x0b0a2aa0, 0x28180aa0, 0x19000a21, 0x28370107,   // mt.pt.es_322 pt.ga.sw_322  pt.gl.un_860 en.st.sw_432 
  // [51b0]
  0x300c7307, 0x530d2705, 0x531c0507, 0x2730010c,   // ny.sv.uz_432 gd.cs.ht_333  fr.id.ht_432 en.uz.gd_543 
  0x0306010c, 0x565305a7, 0x06000a12, 0x30120aa4,   // en.de.nl_543 fr.ht.mg_532  pt.de.un_640 pt.hu.uz_433 
  0x1f002302, 0x0a1b735a, 0x29122107, 0x0300130d,   // ca.cy.un_220 ny.tr.pt_553  jw.hu.sl_432 et.nl.un_540 
  0x110a1007, 0x070408ec, 0x08030fa0, 0x350a08ad,   // lt.pt.ro_432 uk.ru.bg_644  lv.nl.no_322 uk.mk.tg_643 
  // [51c0]
  0x3f0610ee, 0x1f003f0b, 0x0e1308a7, 0x31301b0d,   // lt.de.af_422 af.cy.un_520  no.et.is_532 tr.uz.az_554 
  0x092d0d04, 0x1a2b0707, 0x0a1008a4, 0x07170413,   // cs.sk.pl_332 it.vi.tl_432  uk.be.mk_433 ru.sr.bg_665 
  0x0d130912, 0x230d0b04, 0x043544a0, 0x04000e19,   // hi.bh.ne_654 es.cs.ca_332  kk.tg.ru_322 is.fi.un_750 
  0x53002a07, 0x08040a05, 0x0a2d11af, 0x02000e23,   // mt.ht.un_420 mk.ru.uk_333  ro.sk.pt_655 is.da.un_880 
  // [51d0]
  0x04002312, 0x1108115a, 0x08100ea9, 0x02000e09,   // ky.ru.un_640 ro.uk.ro_553  is.lt.no_544 is.da.un_440 
  0x27001102, 0x552f73ee, 0x0f311b02, 0x041b6b07,   // ro.gd.un_220 ny.su.rw_422  tr.az.lv_222 ceb.tr.fi_432 
  0x0d001819, 0x18110704, 0x376e2b07, 0x313020ac,   // ga.cs.un_750 it.ro.ga_332  vi.hmn.st_432 sq.uz.az_632 
  0x0f001602, 0x1b6b5604, 0x040844a7, 0x07080aee,   // hr.lv.un_220 mg.ceb.tr_332  kk.uk.ru_532 mk.uk.bg_422 
  // [51e0]
  0x376455af, 0x27287313, 0x20002721, 0x18001f08,   // rw.lg.st_655 ny.sw.gd_665  gd.sq.un_860 cy.ga.un_430 
  0x2304085a, 0x37001304, 0x55001f21, 0x1f281c07,   // uk.ru.ky_553 et.st.un_320  cy.rw.un_860 id.sw.cy_432 
  0x171030a6, 0x09001104, 0x182f55ad, 0x3f0b0107,   // uz.be.sr_521 ro.pl.un_320  rw.su.ga_643 en.es.af_432 
  0x1f53050c, 0x2a2301a0, 0x07231102, 0x11001f14,   // fr.ht.cy_543 en.ca.mt_322  ro.ca.it_222 cy.ro.un_660 
  // [51f0]
  0x0500070e, 0x1a006b19, 0x290f1007, 0x2f1003a4,   // it.fr.un_550 ceb.tl.un_750  lt.lv.sl_432 nl.lt.su_433 
  0x11000714, 0x072a110c, 0x25007304, 0x28553011,   // it.ro.un_660 ro.mt.it_543  ny.eu.un_320 uz.rw.sw_653 
  0x2d11300b, 0x1000251a, 0x3000200e, 0x20232f04,   // uz.ro.sk_542 eu.lt.un_760  sq.uz.un_550 su.ca.sq_332 
  0x6e1f2bec, 0x1e281caf, 0x282737a7, 0x731e1c07,   // vi.cy.hmn_644 id.sw.ms_655  st.gd.sw_532 id.ms.ny_432 
  // [5200]
  0x280c1a07, 0x27000822, 0x06000702, 0x302028a9,   // tl.sv.sw_432 no.gd.un_870  it.de.un_220 sw.sq.uz_544 
  0x3d001021, 0x37001f14, 0x211828ad, 0x3f03280e,   // lt.ku.un_860 cy.st.un_660  sw.ga.jw_643 sw.nl.af_555 
  0x1a132804, 0x08041712, 0x0c002f04, 0x641a6ba6,   // sw.et.tl_332 sr.ru.uk_654  su.sv.un_320 ceb.tl.lg_521 
  0x172855a9, 0x55000d0d, 0x0f071307, 0x0f321005,   // rw.sw.sr_544 cs.rw.un_540  et.it.lv_432 lt.bs.lv_333 
  // [5210]
  0x1f000a07, 0x1f003d11, 0x022d0d09, 0x011e2ba0,   // pt.cy.un_420 ku.cy.un_630  cs.sk.da_444 vi.ms.en_322 
  0x0c282104, 0x23081704, 0x0723170b, 0x0a003d07,   // jw.sw.sv_332 sr.uk.ky_332  sr.ky.bg_542 ku.pt.un_420 
  0x13002007, 0x21002808, 0x11190baf, 0x081a2802,   // sq.et.un_420 sw.jw.un_430  es.gl.ro_655 sw.tl.no_222 
  0x041321af, 0x271228a4, 0x043f0308, 0x64041312,   // jw.et.fi_655 sw.hu.gd_433  nl.af.fi_443 et.fi.lg_654 
  // [5220]
  0x0b37560c, 0x072a0405, 0x5300231a, 0x10002318,   // mg.st.es_543 fi.mt.it_333  ca.ht.un_760 ky.be.un_740 
  0x0c000d04, 0x051c03ac, 0x0a002312, 0x02000e0d,   // cs.sv.un_320 nl.id.fr_632  ca.pt.un_640 is.da.un_540 
  0x04110709, 0x1b3031a4, 0x060c0809, 0x6b5609ec,   // bg.ro.ru_444 az.uz.tr_433  no.sv.de_444 pl.mg.ceb_644 
  0x07311b55, 0x202d0907, 0x11001719, 0x1b2b05ec,   // tr.az.it_442 pl.sk.sq_432  sr.ro.un_750 fr.vi.tr_644 
  // [5230]
  0x30311ba6, 0x201923a9, 0x11170aa4, 0x2d090d0c,   // tr.az.uz_521 ca.gl.sq_544  mk.sr.ro_433 cs.pl.sk_543 
  0x1b0e31a4, 0x06003707, 0x2f2521a0, 0x05370107,   // az.is.tr_433 st.de.un_420  jw.eu.su_322 en.st.fr_432 
  0x2a1f1807, 0x0b311baf, 0x1b310b04, 0x2f1a2155,   // ga.cy.mt_432 tr.az.es_655  es.az.tr_332 jw.tl.su_442 
  0x1e003f12, 0x1c005304, 0x061e1f07, 0x2300302b,   // af.ms.un_640 ht.id.un_320  cy.ms.de_432 uz.ky.un_980 
  // [5240]
  0x313019a0, 0x2d0d5614, 0x2a001e08, 0x30000e08,   // gl.uz.az_322 mg.cs.sk_666  ms.mt.un_430 is.uz.un_430 
  0x1a212f04, 0x08042304, 0x1b0e3108, 0x23121f07,   // su.jw.tl_332 ky.ru.uk_332  az.is.tr_443 cy.hu.ca_432 
  0x1f00230c, 0x301b31ad, 0x12001c04, 0x0c081f08,   // ca.cy.un_530 az.tr.uz_643  id.hu.un_320 cy.no.sv_443 
  0x646b2102, 0x041017ad, 0x16130404, 0x01271f05,   // jw.ceb.lg_222 sr.be.ru_643  fi.et.hr_332 cy.gd.en_333 
  // [5250]
  0x08000702, 0x063f0ca4, 0x6b2d1a07, 0x291632a0,   // it.no.un_220 sv.af.de_433  tl.sk.ceb_432 bs.hr.sl_322 
  0x2a002308, 0x6b131a09, 0x137364a4, 0x0e231f12,   // ca.mt.un_430 tl.et.ceb_444  lg.ny.et_433 cy.ca.is_654 
  0x070417a9, 0x1f002319, 0x44043007, 0x282d0d5a,   // sr.ru.bg_544 ca.cy.un_750  uz.ru.kk_432 cs.sk.sw_553 
  0x08231fa4, 0x6455130d, 0x2f551bee, 0x30002f05,   // cy.ca.no_433 et.rw.lg_554  tr.rw.su_422 su.uz.un_330 
  // [5260]
  0x2a033f0b, 0x0a122f02, 0x20732813, 0x64735507,   // af.nl.mt_542 su.hu.pt_222  sw.ny.sq_665 rw.ny.lg_432 
  0x2f130404, 0x0804100d, 0x23002a22, 0x0f011fa0,   // fi.et.su_332 be.ru.uk_554  mt.ca.un_870 cy.en.lv_322 
  0x0f100e12, 0x2f1c2155, 0x12000e02, 0x06082308,   // is.lt.lv_654 jw.id.su_442  is.hu.un_220 ca.no.de_443 
  0x080b23ee, 0x6b1a1308, 0x18082a04, 0x2f12080c,   // ca.es.no_422 et.tl.ceb_443  mt.no.ga_332 no.hu.su_543 
  // [5270]
  0x2f201c0c, 0x02003704, 0x046b13a4, 0x551021ec,   // id.sq.su_543 st.da.un_320  et.ceb.fi_433 jw.lt.rw_644 
  0x1228550c, 0x040a070b, 0x300a3513, 0x371a6b0c,   // rw.sw.hu_543 bg.mk.ru_542  tg.mk.uz_665 ceb.tl.st_543 
  0x6b211c04, 0x2100201a, 0x6b281a0c, 0x04000613,   // id.jw.ceb_332 sq.jw.un_760  tl.sw.ceb_543 de.fi.un_650 
  0x070a1705, 0x0e0913ee, 0x55006e05, 0x28005512,   // sr.mk.bg_333 et.pl.is_422  hmn.rw.un_330 rw.sw.un_640 
  // [5280]
  0x643d550c, 0x2f001223, 0x304423a9, 0x37002f08,   // rw.ku.lg_543 hu.su.un_880  ky.kk.uz_544 su.st.un_430 
  0x312f0408, 0x287337ec, 0x301b6407, 0x6423530c,   // fi.su.az_443 st.ny.sw_644  lg.tr.uz_432 ht.ca.lg_543 
  0x043010a0, 0x1e1c10ee, 0x010e0604, 0x0e121807,   // be.uz.ru_322 lt.id.ms_422  de.is.en_332 ga.hu.is_432 
  0x0a041709, 0x040807af, 0x03011007, 0x10006b12,   // sr.ru.mk_444 bg.uk.ru_655  lt.en.nl_432 ceb.lt.un_640 
  // [5290]
  0x060120a0, 0x556b2f04, 0x192d1207, 0x1c6b2f08,   // sq.en.de_322 su.ceb.rw_332  hu.sk.gl_432 su.ceb.id_443 
  0x202a17a0, 0x02001a0d, 0x6e6b23a0, 0x21181255,   // sr.mt.sq_322 tl.da.un_540  ca.ceb.hmn_322 ur.ar.fa_442 
  0x01315607, 0x011b64a0, 0x2d290dee, 0x1f1001a4,   // mg.az.en_432 lg.tr.en_322  cs.sl.sk_422 en.lt.cy_433 
  0x092f1ca7, 0x1e002a02, 0x11352305, 0x2a000108,   // id.su.pl_532 mt.ms.un_220  ky.tg.ro_333 en.mt.un_430 
  // [52a0]
  0x01301aad, 0x2a00290d, 0x093130a0, 0x2302010c,   // tl.uz.en_643 sl.mt.un_540  uz.az.pl_322 en.da.ca_543 
  0x0d04730c, 0x3f0f0112, 0x110d2911, 0x13010f11,   // ny.fi.cs_543 en.lv.af_654  sl.cs.ro_653 lv.en.et_653 
  0x10000104, 0x0b050112, 0x0f00011a, 0x2f003007,   // en.lt.un_320 en.fr.es_654  en.lv.un_760 uz.su.un_420 
  0x3720210c, 0x1b030aee, 0x6b001212, 0x11053da4,   // jw.sq.st_543 pt.nl.tr_422  hu.ceb.un_640 ku.fr.ro_433 
  // [52b0]
  0x080229a4, 0x170d2dad, 0x17111113, 0x0e002908,   // sl.da.no_433 sk.cs.sr_643  ro.ro.sr_665 sl.is.un_430 
  0x02000e12, 0x2d3d0104, 0x304435ad, 0x12002d07,   // is.da.un_640 en.ku.sk_332  tg.kk.uz_643 sk.hu.un_420 
  0x08442355, 0x0800171a, 0x20192f04, 0x10004414,   // ky.kk.uk_442 sr.uk.un_760  su.gl.sq_332 kk.be.un_660 
  0x2f0153a6, 0x1105010c, 0x04002322, 0x08111111,   // ht.en.su_521 en.fr.ro_543  ca.fi.un_870 ro.ro.uk_653 
  // [52c0]
  0x0b121907, 0x3f030909, 0x1c000d04, 0x08020c55,   // gl.hu.es_432 pl.nl.af_444  ne.mr.un_320 sv.da.no_442 
  0x0a0501a0, 0x17003508, 0x1023440d, 0x080c0e05,   // en.fr.pt_322 tg.sr.un_430  kk.ky.be_554 is.sv.no_333 
  0x2d0d230c, 0x09033f04, 0x0d060cee, 0x23443014,   // ca.cs.sk_543 af.nl.pl_332  sv.de.cs_422 uz.kk.ky_666 
  0x08000407, 0x173216a7, 0x6b2d12a9, 0x1a00552a,   // ru.uk.un_420 hr.bs.sr_532  hu.sk.ceb_544 rw.tl.un_970 
  // [52d0]
  0x3008350c, 0x25122d0c, 0x7321280c, 0x2f1a6b11,   // tg.uk.uz_543 sk.hu.eu_543  sw.jw.ny_543 ceb.tl.su_653 
  0x17326bad, 0x07041705, 0x2f2112a4, 0x212d1208,   // ceb.bs.sr_643 sr.ru.bg_333  hu.jw.su_433 hu.sk.jw_443 
  0x13033f12, 0x0f006402, 0x252f120c, 0x0807040b,   // af.nl.et_654 lg.lv.un_220  hu.su.eu_543 ru.bg.uk_542 
  0x3f1303ad, 0x31272302, 0x01000308, 0x040313af,   // nl.et.af_643 ca.gd.az_222  nl.en.un_430 et.nl.fi_655 
  // [52e0]
  0x11565307, 0x1256370d, 0x3d122d0b, 0x08003702,   // ht.mg.ro_432 st.mg.hu_554  sk.hu.ku_542 st.no.un_220 
  0x64033f60, 0x216b12a4, 0x12006e08, 0x2d000108,   // af.nl.lg_664 hu.ceb.jw_433  hmn.hu.un_430 en.sk.un_430 
  0x0500070d, 0x1a122d11, 0x0c0208a0, 0x1c1a1212,   // it.fr.un_540 sk.hu.tl_653  no.da.sv_322 hu.tl.id_654 
  0x2f121c0b, 0x280c0811, 0x0a000721, 0x640313a4,   // id.hu.su_542 no.sv.sw_653  bg.mk.un_860 et.nl.lg_433 
  // [52f0]
  0x13033fad, 0x070804ee, 0x64551213, 0x300a17a9,   // af.nl.et_643 ru.uk.bg_422  hu.rw.lg_665 sr.mk.uz_544 
  0x566b1a5a, 0x2f001c0b, 0x1f005613, 0x130d0908,   // tl.ceb.mg_553 id.su.un_520  mg.cy.un_650 hi.ne.bh_443 
  0x12001019, 0x1f0105a0, 0x16091205, 0x13003704,   // lt.hu.un_750 fr.en.cy_322  hu.pl.hr_333 st.et.un_320 
  0x55003723, 0x1f000708, 0x1c731e07, 0x04643708,   // st.rw.un_880 it.cy.un_430  ms.ny.id_432 st.lg.fi_443 
  // [5300]
  0x0c030609, 0x1200101a, 0x08000321, 0x052555a7,   // de.nl.sv_444 lt.hu.un_760  nl.no.un_860 rw.eu.fr_532 
  0x55370807, 0x02030812, 0x071210ad, 0x27000108,   // no.st.rw_432 no.nl.da_654  lt.hu.it_643 en.gd.un_430 
  0x440408a4, 0x10080408, 0x033f080c, 0x12290c02,   // uk.ru.kk_433 ru.uk.be_443  no.af.nl_543 sv.sl.hu_222 
  0x1104200c, 0x0a000735, 0x23200413, 0x1300210c,   // sq.fi.ro_543 bg.mk.un_A90  fi.sq.ca_665 jw.et.un_530 
  // [5310]
  0x0c060111, 0x04002019, 0x0b251908, 0x033f1f13,   // en.de.sv_653 sq.fi.un_750  gl.eu.es_443 cy.af.nl_665 
  0x18211a07, 0x08001813, 0x041108af, 0x30205507,   // tl.jw.ga_432 ga.no.un_650  uk.ro.ru_655 rw.sq.uz_432 
  0x100e3f13, 0x170410a0, 0x37002702, 0x18271e07,   // af.is.lt_665 be.ru.sr_322  gd.st.un_220 ms.gd.ga_432 
  0x2f000514, 0x73000808, 0x372821a0, 0x043530a6,   // fr.su.un_660 no.ny.un_430  jw.sw.st_322 uz.tg.ru_521 
  // [5320]
  0x061b030d, 0x01001f12, 0x211273ad, 0x3f001f08,   // nl.tr.de_554 cy.en.un_640  ny.hu.jw_643 cy.af.un_430 
  0x1000020c, 0x3f2137a0, 0x056e2107, 0x4400301b,   // da.lt.un_530 st.jw.af_322  jw.hmn.fr_432 uz.kk.un_770 
  0x04080a0c, 0x0c0603a0, 0x12200c07, 0x08023f09,   // mk.uk.ru_543 nl.de.sv_322  sv.sq.hu_432 af.da.no_444 
  0x2a2023a9, 0x20040d0b, 0x0a0710a7, 0x12007312,   // ca.sq.mt_544 cs.fi.sq_542  be.bg.mk_532 ny.hu.un_640 
  // [5330]
  0x20000413, 0x4408040b, 0x281273a4, 0x6b1b09a4,   // fi.sq.un_650 ru.uk.kk_542  ny.hu.sw_433 pl.tr.ceb_433 
  0x1e211c07, 0x2700731a, 0x73001a08, 0x022a11a4,   // id.jw.ms_432 ny.gd.un_760  tl.ny.un_430 ro.mt.da_433 
  0x6b0501a0, 0x73002f2a, 0x040a10ec, 0x13001005,   // en.fr.ceb_322 su.ny.un_970  be.mk.ru_644 lt.et.un_330 
  0x732804ec, 0x06303711, 0x2a00730c, 0x0d321ba7,   // fi.sw.ny_644 st.uz.de_653  ny.mt.un_530 tr.bs.cs_532 
  // [5340]
  0x1a252307, 0x042b6402, 0x05005605, 0x2d370d11,   // ca.eu.tl_432 lg.vi.fi_222  mg.fr.un_330 cs.st.sk_653 
  0x20002a12, 0x441004a9, 0x64001a05, 0x557329a4,   // mt.sq.un_640 ru.be.kk_544  tl.lg.un_330 sl.ny.rw_433 
  0x64301004, 0x5500641b, 0x1b5603a4, 0x08290604,   // lt.uz.lg_332 lg.rw.un_770  nl.mg.tr_433 de.sl.no_332 
  0x08000104, 0x18120e0c, 0x30002d02, 0x1000060d,   // en.no.un_320 is.hu.ga_543  sk.uz.un_220 de.lt.un_540 
  // [5350]
  0x02000e0c, 0x560d0909, 0x100953ec, 0x06021113,   // is.da.un_530 pl.cs.mg_444  ht.pl.lt_644 ro.da.de_665 
  0x64557308, 0x06000e0d, 0x32090d07, 0x377364a0,   // ny.rw.lg_443 is.de.un_540  cs.pl.bs_432 lg.ny.st_322 
  0x190a20a9, 0x171013a4, 0x0f190d0b, 0x07303508,   // sq.pt.gl_544 et.lt.sr_433  cs.gl.lv_542 tg.uz.bg_443 
  0x2d060d07, 0x7325090c, 0x06003712, 0x2d0d120e,   // cs.de.sk_432 pl.eu.ny_543  st.de.un_640 hu.cs.sk_555 
  // [5360]
  0x28736412, 0x05000304, 0x190f0ba4, 0x37233d0b,   // lg.ny.sw_654 nl.fr.un_320  es.lv.gl_433 ku.ca.st_542 
  0x1e1304a6, 0x2b131ca9, 0x55001a2a, 0x23551105,   // fi.et.ms_521 id.et.vi_544  tl.rw.un_970 ro.rw.ca_333 
  0x2f2101a4, 0x12000b02, 0x2f100708, 0x552021a4,   // en.jw.su_433 es.hu.un_220  it.lt.su_443 jw.sq.rw_433 
  0x10121a07, 0x312a37af, 0x0400350d, 0x350410ee,   // tl.hu.lt_432 st.mt.az_655  tg.ru.un_540 be.ru.tg_422 
  // [5370]
  0x1f282f0c, 0x0f1953a4, 0x0c1b080c, 0x23645512,   // su.sw.cy_543 ht.gl.lv_433  no.tr.sv_543 rw.lg.ca_654 
  0x21001833, 0x21121ca0, 0x251a3708, 0x7355280c,   // ar.fa.un_A70 id.hu.jw_322  st.tl.eu_443 sw.rw.ny_543 
  0x090d13a4, 0x10440860, 0x30040804, 0x03002504,   // bh.ne.hi_433 uk.kk.be_664  uk.ru.uz_332 eu.nl.un_320 
  0x230a0755, 0x070a17a9, 0x0a111104, 0x1f000707,   // bg.mk.ky_442 sr.mk.bg_544  ro.ro.mk_332 it.cy.un_420 
  // [5380]
  0x2f2723a0, 0x11000514, 0x0b000511, 0x6b1b53ec,   // ca.gd.su_322 fr.ro.un_660  fr.es.un_630 ht.tr.ceb_644 
  0x55006b21, 0x063f0f02, 0x12040fa0, 0x09002a05,   // ceb.rw.un_860 lv.af.de_222  lv.fi.hu_322 mt.pl.un_330 
  0x090d1ca6, 0x1a066b04, 0x44041007, 0x233530ad,   // mr.ne.hi_521 ceb.de.tl_332  be.ru.kk_432 uz.tg.ky_643 
  0x17080d07, 0x20002111, 0x04290304, 0x1c0d6404,   // cs.no.sr_432 jw.sq.un_630  nl.sl.fi_332 lg.cs.id_332 
  // [5390]
  0x212f10ad, 0x10043508, 0x07171055, 0x2100531a,   // lt.su.jw_643 tg.ru.be_443  be.sr.bg_442 ht.jw.un_760 
  0x64562d55, 0x1b00730d, 0x133f1007, 0x05277307,   // sk.mg.lg_442 ny.tr.un_540  lt.af.et_432 ny.gd.fr_432 
  0x3f080c08, 0x311b5312, 0x32730911, 0x552d130b,   // sv.no.af_443 ht.tr.az_654  pl.ny.bs_653 et.sk.rw_542 
  0x25006b08, 0x211a5507, 0x0623010c, 0x12002f08,   // ceb.eu.un_430 rw.tl.jw_432  en.ca.de_543 su.hu.un_430 
  // [53a0]
  0x55006412, 0x6b1a21ee, 0x060105ec, 0x120c2304,   // lg.rw.un_640 jw.tl.ceb_422  fr.en.de_644 ca.sv.hu_332 
  0x03083fa0, 0x2b081f0b, 0x03002a12, 0x090408a0,   // af.no.nl_322 cy.no.vi_542  mt.nl.un_640 no.fi.pl_322 
  0x2a23110d, 0x6473530e, 0x3f050107, 0x311c21a0,   // ro.ca.mt_554 ht.ny.lg_555  en.fr.af_432 jw.id.az_322 
  0x04200ca0, 0x2304070c, 0x07040aad, 0x03230112,   // sv.sq.fi_322 bg.ru.ky_543  mk.ru.bg_643 en.ca.nl_654 
  // [53b0]
  0x27007307, 0x300a3514, 0x110603ec, 0x311b730c,   // ny.gd.un_420 tg.mk.uz_666  nl.de.ro_644 ny.tr.az_543 
  0x12002f12, 0x04353011, 0x1f645511, 0x0a0744ad,   // su.hu.un_640 uz.tg.ru_653  rw.lg.cy_653 kk.bg.mk_643 
  0x35001104, 0x0a0817ec, 0x6b3728a0, 0x0c0802ee,   // ro.tg.un_320 sr.uk.mk_644  sw.st.ceb_322 da.no.sv_422 
  0x05000b0c, 0x06120ca0, 0x2f000804, 0x0d00531a,   // es.fr.un_530 sv.hu.de_322  no.su.un_320 ht.cs.un_760 
  // [53c0]
  0x0e000607, 0x1744350b, 0x0c002a1b, 0x033f0aaf,   // de.is.un_420 tg.kk.sr_542  mt.sv.un_770 pt.af.nl_655 
  0x08170a04, 0x172f1007, 0x2a112308, 0x29033f55,   // mk.sr.uk_332 lt.su.sr_432  ca.ro.mt_443 af.nl.sl_442 
  0x126b1aee, 0x23110d12, 0x30732aa0, 0x27005307,   // tl.ceb.hu_422 cs.ro.ca_654  mt.ny.uz_322 ht.gd.un_420 
  0x06080209, 0x0e1b3112, 0x0664550c, 0x302307a7,   // da.no.de_444 az.tr.is_654  rw.lg.de_543 bg.ky.uz_532 
  // [53d0]
  0x033f230c, 0x1700100b, 0x271f0208, 0x1300550e,   // ca.af.nl_543 lt.sr.un_520  da.cy.gd_443 rw.et.un_550 
  0x2a003d13, 0x31007307, 0x100407ad, 0x32002f08,   // ku.mt.un_650 ny.az.un_420  bg.ru.be_643 su.bs.un_430 
  0x1f0727a9, 0x08110a04, 0x0408170c, 0x2f211b0c,   // gd.it.cy_544 mk.ro.uk_332  sr.uk.ru_543 tr.jw.su_543 
  0x10001e08, 0x1b033f0c, 0x292d1705, 0x170925a7,   // ms.lt.un_430 af.nl.tr_543  sr.sk.sl_333 eu.pl.sr_532 
  // [53e0]
  0x2d29100c, 0x13046408, 0x2f101c04, 0x2d170d07,   // lt.sl.sk_543 lg.fi.et_443  id.lt.su_332 cs.sr.sk_432 
  0x1a6b1207, 0x2f001c0c, 0x3f001f12, 0x322a09a4,   // hu.ceb.tl_432 id.su.un_530  cy.af.un_640 pl.mt.bs_433 
  0x25230bee, 0x29002013, 0x0200201a, 0x303510ad,   // es.ca.eu_422 sq.sl.un_650  sq.da.un_760 be.tg.uz_643 
  0x17160fa0, 0x53001602, 0x20001014, 0x17002d12,   // lv.hr.sr_322 hr.ht.un_220  lt.sq.un_660 sk.sr.un_640 
  // [53f0]
  0x0b002d0d, 0x23080413, 0x11033fec, 0x23303512,   // sk.es.un_540 ru.uk.ky_665  af.nl.ro_644 tg.uz.ky_654 
  0x113f030b, 0x03000707, 0x53083007, 0x120e0cee,   // nl.af.ro_542 it.nl.un_420  uz.no.ht_432 sv.is.hu_422 
  0x070a0860, 0x32000b02, 0x21022905, 0x033f2311,   // uk.mk.bg_664 es.bs.un_220  sl.da.jw_333 ca.af.nl_653 
  0x202902ad, 0x2d0807ac, 0x3f001112, 0x18000107,   // da.sl.sq_643 it.no.sk_632  ro.af.un_640 en.ga.un_420 
  
  // [5400]
  0x0b002002, 0x070a1702, 0x16002912, 0x201153a4,   // sq.es.un_220 sr.mk.bg_222  sl.hr.un_640 ht.ro.sq_433 
  0x0410355a, 0x18006e08, 0x080710a0, 0x08062304,   // tg.be.ru_553 hmn.ga.un_430  be.bg.uk_322 ca.de.no_332 
  0x08001f04, 0x23443504, 0x11000522, 0x01005607,   // cy.no.un_320 tg.kk.ky_332  fr.ro.un_870 mg.en.un_420 
  0x11033f60, 0x350a1760, 0x2b005304, 0x20000804,   // af.nl.ro_664 sr.mk.tg_664  ht.vi.un_320 no.sq.un_320 
  // [5410]
  0x0a2304ac, 0x13091cac, 0x560e0ca4, 0x08020e55,   // ru.ky.mk_632 mr.hi.bh_632  sv.is.mg_433 is.da.no_442 
  0x07102307, 0x0400080b, 0x080423a7, 0x1e160da0,   // ky.be.bg_432 uk.ru.un_520  ky.ru.uk_532 cs.hr.ms_322 
  0x070a440c, 0x01001307, 0x29000e0d, 0x6e001e08,   // kk.mk.bg_543 et.en.un_420  is.sl.un_540 ms.hmn.un_430 
  0x2f1e1c60, 0x231918a4, 0x44001019, 0x03000704,   // id.ms.su_664 ga.gl.ca_433  be.kk.un_750 it.nl.un_320 
  // [5420]
  0x0e020604, 0x031113a0, 0x206432a4, 0x104423a7,   // de.da.is_332 et.ro.nl_322  bs.lg.sq_433 ky.kk.be_532 
  0x126407a0, 0x73211c0c, 0x0f1173ec, 0x13121ba4,   // it.lg.hu_322 id.jw.ny_543  ny.ro.lv_644 tr.hu.et_433 
  0x1a6407ad, 0x18270112, 0x2032160d, 0x182827ec,   // it.lg.tl_643 en.gd.ga_654  hr.bs.sq_554 gd.sw.ga_644 
  0x372573a7, 0x09007318, 0x21040ea0, 0x07001902,   // ny.eu.st_532 ny.pl.un_740  is.fi.jw_322 gl.it.un_220 
  // [5430]
  0x732120ac, 0x0613250c, 0x1e182712, 0x321708ee,   // sq.jw.ny_632 eu.et.de_543  gd.ga.ms_654 no.sr.bs_422 
  0x032555a9, 0x09550e08, 0x10002802, 0x02000e14,   // rw.eu.nl_544 is.rw.pl_443  sw.lt.un_220 is.da.un_660 
  0x082002af, 0x11061fa4, 0x12321704, 0x3f5506a9,   // da.sq.no_655 cy.de.ro_433  sr.bs.hu_332 de.rw.af_544 
  0x19020b5a, 0x00000401, 0x293216a0, 0x20000808,   // es.da.gl_553 fi.un.un_200  hr.bs.sl_322 no.sq.un_430 
  // [5440]
  0x37062f08, 0x3f2718a4, 0x18276e13, 0x04120cee,   // su.de.st_443 ga.gd.af_433  hmn.gd.ga_665 sv.hu.fi_422 
  0x20006e0d, 0x0c0204af, 0x06032702, 0x16042904,   // hmn.sq.un_540 fi.da.sv_655  gd.nl.de_222 sl.fi.hr_332 
  0x053f0304, 0x011803a0, 0x21001804, 0x18276eaf,   // nl.af.fr_332 nl.ga.en_322  ar.fa.un_320 hmn.gd.ga_655 
  0x1200640d, 0x0f12250c, 0x37006b02, 0x251119ee,   // lg.hu.un_540 eu.hu.lv_543  ceb.st.un_220 gl.ro.eu_422 
  // [5450]
  0x030764a7, 0x100b2da0, 0x64002108, 0x06000713,   // lg.it.nl_532 sk.es.lt_322  jw.lg.un_430 it.de.un_650 
  0x6e0a1f0c, 0x64000713, 0x120f10ec, 0x232556a9,   // cy.pt.hmn_543 it.lg.un_650  lt.lv.hu_644 mg.eu.ca_544 
  0x2d001223, 0x0b0f10ec, 0x285521a9, 0x082325a4,   // hu.sk.un_880 lt.lv.es_644  jw.rw.sw_544 eu.ca.no_433 
  0x35073007, 0x1906050c, 0x12002013, 0x3f130304,   // uz.bg.tg_432 fr.de.gl_543  sq.hu.un_650 nl.et.af_332 
  // [5460]
  0x10002d04, 0x30005604, 0x10136ea0, 0x16002919,   // sk.lt.un_320 mg.uz.un_320  hmn.et.lt_322 sl.hr.un_750 
  0x2100122a, 0x13033f0c, 0x0a0b19ad, 0x6b001a11,   // ur.fa.un_970 af.nl.et_543  gl.es.pt_643 tl.ceb.un_630 
  0x302307a4, 0x11000408, 0x21180107, 0x2f370609,   // bg.ky.uz_433 ru.ro.un_430  en.ga.jw_432 de.st.su_444 
  0x0d103dec, 0x231320ac, 0x08171014, 0x200e020c,   // ku.lt.cs_644 sq.et.ca_632  be.sr.uk_666 da.is.sq_543 
  // [5470]
  0x08000211, 0x20005314, 0x03001307, 0x3f036455,   // da.no.un_630 ht.sq.un_660  et.nl.un_420 lg.nl.af_442 
  0x07352305, 0x0d091cee, 0x1b130502, 0x1300201a,   // ky.tg.bg_333 mr.hi.ne_422  fr.et.tr_222 sq.et.un_760 
  0x32001718, 0x030e2007, 0x532105a6, 0x120e06a0,   // sr.bs.un_740 sq.is.nl_432  fr.jw.ht_521 de.is.hu_322 
  0x06001f07, 0x0453640c, 0x18001f0e, 0x64002507,   // cy.de.un_420 lg.ht.fi_543  cy.ga.un_550 eu.lg.un_420 
  // [5480]
  0x1e2f1caf, 0x1e110411, 0x11110760, 0x02002304,   // id.su.ms_655 fi.ro.ms_653  bg.ro.ro_664 ca.da.un_320 
  0x1008040d, 0x535528ad, 0x11002f08, 0x07080414,   // ru.uk.be_554 sw.rw.ht_643  su.ro.un_430 ru.uk.bg_666 
  0x190306a4, 0x06021e02, 0x1c2f2109, 0x11002305,   // de.nl.gl_433 ms.da.de_222  jw.su.id_444 ca.ro.un_330 
  0x13302107, 0x211b1207, 0x301b5308, 0x08000a08,   // jw.uz.et_432 hu.tr.jw_432  ht.tr.uz_443 mk.uk.un_430 
  // [5490]
  0x03000207, 0x1b531c07, 0x6b001b04, 0x0225300c,   // da.nl.un_420 id.ht.tr_432  tr.ceb.un_320 uz.eu.da_543 
  0x03080e08, 0x06001f02, 0x1b1e21a4, 0x37020c5a,   // is.no.nl_443 cy.de.un_220  jw.ms.tr_433 sv.da.st_553 
  0x0b0223ee, 0x11230704, 0x02001807, 0x56001604,   // ca.da.es_422 it.ca.ro_332  ga.da.un_420 hr.mg.un_320 
  0x53121e07, 0x08060205, 0x5331120c, 0x0709110c,   // ms.hu.ht_432 da.de.no_333  hu.az.ht_543 ro.pl.it_543 
  // [54a0]
  0x0a1925ad, 0x133d08a9, 0x110a28ee, 0x1200060c,   // eu.gl.pt_643 no.ku.et_544  sw.pt.ro_422 de.hu.un_530 
  0x3d001914, 0x2f190e0c, 0x16076eee, 0x2500230c,   // gl.ku.un_660 is.gl.su_543  hmn.it.hr_422 ca.eu.un_530 
  0x12092512, 0x02001908, 0x1e211c08, 0x10301112,   // eu.pl.hu_654 gl.da.un_430  id.jw.ms_443 ro.uz.be_654 
  0x21002019, 0x0a070409, 0x201655ee, 0x09251802,   // sq.jw.un_750 ru.bg.mk_444  rw.hr.sq_422 ga.eu.pl_222 
  // [54b0]
  0x201f11ad, 0x292d0daf, 0x1c6b53a0, 0x230621a4,   // ro.cy.sq_643 cs.sk.sl_655  ht.ceb.id_322 jw.de.ca_433 
  0x21000607, 0x0a07350c, 0x23190708, 0x3f0837ec,   // de.jw.un_420 tg.bg.mk_543  it.gl.ca_443 st.no.af_644 
  0x110925a0, 0x552a25a4, 0x3f081208, 0x18002502,   // eu.pl.ro_322 eu.mt.rw_433  hu.no.af_443 eu.ga.un_220 
  0x122f55a7, 0x05001222, 0x5364280c, 0x02185504,   // rw.su.hu_532 hu.fr.un_870  sw.lg.ht_543 rw.ga.da_332 
  // [54c0]
  0x0f002302, 0x05001909, 0x3d0a0e05, 0x55640611,   // ca.lv.un_220 gl.fr.un_440  is.pt.ku_333 de.lg.rw_653 
  0x0c030502, 0x25551e0b, 0x0a07230c, 0x44002305,   // fr.nl.sv_222 ms.rw.eu_542  ca.it.pt_543 ky.kk.un_330 
  0x1b0d55a0, 0x1f002702, 0x0400102c, 0x131c0911,   // rw.cs.tr_322 gd.cy.un_220  be.ru.un_990 hi.mr.bh_653 
  0x30001214, 0x07002307, 0x0000032d, 0x12300c0c,   // hu.uz.un_660 ky.bg.un_420  nl.un.un_A00 sv.uz.hu_543 
  // [54d0]
  0x552820ee, 0x6b2b010c, 0x0c121fad, 0x553701a0,   // sq.sw.rw_422 en.vi.ceb_543  cy.hu.sv_643 en.st.rw_322 
  0x30000802, 0x1c1225ee, 0x2d12185a, 0x35083004,   // no.uz.un_220 eu.hu.id_422  ga.hu.sk_553 uz.uk.tg_332 
  0x0c061fac, 0x03370112, 0x1a00210c, 0x645525ec,   // cy.de.sv_632 en.st.nl_654  jw.tl.un_530 eu.rw.lg_644 
  0x0c002018, 0x11060111, 0x1e071f07, 0x23000604,   // sq.sv.un_740 en.de.ro_653  cy.it.ms_432 de.ca.un_320 
  // [54e0]
  0x08550107, 0x016b1007, 0x182030ee, 0x2053290c,   // en.rw.no_432 lt.ceb.en_432  uz.sq.ga_422 sl.ht.sq_543 
  0x10070a09, 0x2d000b04, 0x23002a05, 0x64000702,   // mk.bg.be_444 es.sk.un_320  mt.ca.un_330 it.lg.un_220 
  0x200c2d07, 0x29311ba9, 0x112a2305, 0x072a120c,   // sk.sv.sq_432 tr.az.sl_544  ca.mt.ro_333 hu.mt.it_543 
  0x1700081b, 0x20001e13, 0x3700010c, 0x230704a9,   // uk.sr.un_770 ms.sq.un_650  en.st.un_530 ru.bg.ky_544 
  // [54f0]
  0x20000d20, 0x3f2f0107, 0x2f0f10a9, 0x230111ee,   // cs.sq.un_850 en.su.af_432  lt.lv.su_544 ro.en.ca_422 
  0x04234407, 0x2a003d08, 0x171606a4, 0x06643704,   // kk.ky.ru_432 ku.mt.un_430  de.hr.sr_433 st.lg.de_332 
  0x04173507, 0x37033f02, 0x0f0410ec, 0x207330ad,   // tg.sr.ru_432 af.nl.st_222  lt.fi.lv_644 uz.ny.sq_643 
  0x162d0d05, 0x2a002108, 0x0a042304, 0x0a00081b,   // cs.sk.hr_333 jw.mt.un_430  ky.ru.mk_332 uk.mk.un_770 
  // [5500]
  0x0d002304, 0x04202308, 0x1f00060d, 0x0e0c0809,   // ca.cs.un_320 ca.sq.fi_443  de.cy.un_540 no.sv.is_444 
  0x080e0c5a, 0x1c061e04, 0x23082007, 0x0c000e1b,   // sv.is.no_553 ms.de.id_332  sq.no.ca_432 is.sv.un_770 
  0x3f040507, 0x080e0c55, 0x09000805, 0x0e0c08a9,   // fr.fi.af_432 sv.is.no_442  no.pl.un_330 no.sv.is_544 
  0x2300530d, 0x19002502, 0x0e0c1304, 0x55001a1a,   // ht.ca.un_540 eu.gl.un_220  et.sv.is_332 tl.rw.un_760 
  // [5510]
  0x56107304, 0x044410a4, 0x29041007, 0x130106a0,   // ny.lt.mg_332 be.kk.ru_433  lt.fi.sl_432 de.en.et_322 
  0x13306ba0, 0x300e0407, 0x25041007, 0x1c0f1004,   // ceb.uz.et_322 fi.is.uz_432  lt.fi.eu_432 lt.lv.id_332 
  0x3d1025a4, 0x080e0c04, 0x1a085307, 0x290917a0,   // eu.lt.ku_433 sv.is.no_332  ht.no.tl_432 sr.pl.sl_322 
  0x231101af, 0x012927a4, 0x103004ad, 0x11016b04,   // en.ro.ca_655 gd.sl.en_433  fi.uz.lt_643 ceb.en.ro_332 
  // [5520]
  0x561225a0, 0x012311a4, 0x042010a4, 0x020b6b0c,   // eu.hu.mg_322 ro.ca.en_433  lt.sq.fi_433 ceb.es.da_543 
  0x08070411, 0x23110108, 0x04182708, 0x3000171a,   // ru.bg.uk_653 en.ro.ca_443  gd.ga.fi_443 sr.uz.un_760 
  0x1123010c, 0x3f0930a4, 0x321729ee, 0x28077311,   // en.ca.ro_543 uz.pl.af_433  sl.sr.bs_422 ny.it.sw_653 
  0x04080712, 0x0a2307af, 0x53255614, 0x531725ee,   // bg.uk.ru_654 bg.ky.mk_655  mg.eu.ht_666 eu.sr.ht_422 
  // [5530]
  0x0e0508a0, 0x05001105, 0x1f002321, 0x080435a9,   // no.fr.is_322 ro.fr.un_330  ca.cy.un_860 tg.ru.uk_544 
  0x090d1104, 0x2d0d050c, 0x0a041713, 0x281801a4,   // ro.cs.pl_332 fr.cs.sk_543  sr.ru.mk_665 en.ga.sw_433 
  0x11012304, 0x070e0aec, 0x133f1b55, 0x321701a0,   // ca.en.ro_332 pt.is.it_644  tr.af.et_442 en.sr.bs_322 
  0x37735355, 0x30352304, 0x2f00022a, 0x04201b13,   // ht.ny.st_442 ky.tg.uz_332  da.su.un_970 tr.sq.fi_665 
  // [5540]
  0x371b200d, 0x1b3d5313, 0x2b2301ad, 0x070c25af,   // sq.tr.st_554 ht.ku.tr_665  en.ca.vi_643 eu.sv.it_655 
  0x2b1c01a4, 0x2000252a, 0x132916a0, 0x070411ad,   // en.id.vi_433 eu.sq.un_970  hr.sl.et_322 ro.ru.bg_643 
  0x020a37a0, 0x2d2911ee, 0x730413ad, 0x1f012fa0,   // st.pt.da_322 ro.sl.sk_422  et.fi.ny_643 su.en.cy_322 
  0x24000129, 0x07000622, 0x16003711, 0x37123f07,   // iw.yi.un_960 de.it.un_870  st.hr.un_630 af.hu.st_432 
  // [5550]
  0x2500550c, 0x55285607, 0x231b5507, 0x281a1ba9,   // rw.eu.un_530 mg.sw.rw_432  rw.tr.ca_432 tr.tl.sw_544 
  0x0607050c, 0x732856ec, 0x06182760, 0x0f102112,   // fr.it.de_543 mg.sw.ny_644  gd.ga.de_664 jw.lt.lv_654 
  0x2d000e0c, 0x372f1314, 0x07203204, 0x203723ee,   // is.sk.un_530 et.su.st_666  bs.sq.it_332 ca.st.sq_422 
  0x2d002702, 0x072053a6, 0x21000c0d, 0x3d132308,   // gd.sk.un_220 ht.sq.it_521  sv.jw.un_540 ca.et.ku_443 
  // [5560]
  0x0a0711af, 0x11550907, 0x3f201112, 0x050b5304,   // ro.bg.mk_655 pl.rw.ro_432  ro.sq.af_654 ht.es.fr_332 
  0x0c0504ee, 0x01003d2b, 0x0a18120b, 0x042011ee,   // fi.fr.sv_422 ku.en.un_980  ur.ar.mk_542 ro.sq.fi_422 
  0x02170cec, 0x12201311, 0x287364a9, 0x0f00102c,   // sv.sr.da_644 et.sq.hu_653  lg.ny.sw_544 lt.lv.un_990 
  0x20001f0d, 0x31001e02, 0x0400440d, 0x0e001704,   // cy.sq.un_540 ms.az.un_220  kk.ru.un_540 sr.is.un_320 
  // [5570]
  0x03010ca4, 0x321e1ba0, 0x0c000f18, 0x53050613,   // sv.en.nl_433 tr.ms.bs_322  lv.sv.un_740 de.fr.ht_665 
  0x23050114, 0x0e000c2b, 0x04002307, 0x050e01af,   // en.fr.ca_666 sv.is.un_980  ky.ru.un_420 en.is.fr_655 
  0x55111704, 0x2a1703a7, 0x050f01a0, 0x0810440c,   // sr.ro.rw_332 nl.sr.mt_532  en.lv.fr_322 kk.be.uk_543 
  0x06321605, 0x290d2da4, 0x06120304, 0x04563711,   // hr.bs.de_333 sk.cs.sl_433  nl.hu.de_332 st.mg.fi_653 
  // [5580]
  0x2d0d0fa6, 0x07173007, 0x1c0d095a, 0x052719a0,   // lv.cs.sk_521 uz.sr.bg_432  hi.ne.mr_553 gl.gd.fr_322 
  0x17000f0b, 0x0c0e3f04, 0x27252f0c, 0x2a011fa4,   // lv.sr.un_520 af.is.sv_332  su.eu.gd_543 cy.en.mt_433 
  0x023f0f07, 0x0f2301a4, 0x12000108, 0x0e000f04,   // lv.af.da_432 en.ca.lv_433  en.hu.un_430 lv.is.un_320 
  0x17000a35, 0x0803560c, 0x0c001012, 0x0332230c,   // mk.sr.un_A90 mg.nl.no_543  lt.sv.un_640 ca.bs.nl_543 
  // [5590]
  0x290437ee, 0x3f0203ec, 0x132f37ad, 0x27032f08,   // st.fi.sl_422 nl.da.af_644  st.su.et_643 su.nl.gd_443 
  0x11050760, 0x1c0c2105, 0x535625a0, 0x16001019,   // it.fr.ro_664 jw.sv.id_333  eu.mg.ht_322 lt.hr.un_750 
  0x25070607, 0x25000f13, 0x08070a14, 0x130c37a0,   // de.it.eu_432 lv.eu.un_650  mk.bg.uk_666 st.sv.et_322 
  0x0a0523ec, 0x200401ee, 0x0a0523a7, 0x6b0305ee,   // ca.fr.pt_644 en.fi.sq_422  ca.fr.pt_532 fr.nl.ceb_422 
  // [55a0]
  0x041735ad, 0x0a08025a, 0x1c000d2b, 0x131e0cee,   // tg.sr.ru_643 da.no.pt_553  ne.mr.un_980 sv.ms.et_422 
  0x08273fa0, 0x1b3730a4, 0x13735311, 0x5600280d,   // af.gd.no_322 uz.st.tr_433  ht.ny.et_653 sw.mg.un_540 
  0x32550b0c, 0x321b73a0, 0x732128a9, 0x12001107,   // es.rw.bs_543 ny.tr.bs_322  sw.jw.ny_544 ro.hu.un_420 
  0x2d320d07, 0x1b1c730c, 0x0a001802, 0x21002507,   // cs.bs.sk_432 ny.id.tr_543  ga.pt.un_220 eu.jw.un_420 
  // [55b0]
  0x12001602, 0x021018a0, 0x31000a04, 0x0e002d0c,   // hr.hu.un_220 ga.lt.da_322  pt.az.un_320 sk.is.un_530 
  0x13090dac, 0x06120eac, 0x05006b07, 0x020608a4,   // ne.hi.bh_632 is.hu.de_632  ceb.fr.un_420 no.de.da_433 
  0x271f1812, 0x2a2718a4, 0x100804ee, 0x1f3f0a07,   // ga.cy.gd_654 ga.gd.mt_433  ru.uk.be_422 pt.af.cy_432 
  0x131c095a, 0x2d1107ad, 0x190a20a0, 0x04081704,   // hi.mr.bh_553 it.ro.sk_643  sq.pt.gl_322 sr.uk.ru_332 
  // [55c0]
  0x06001808, 0x28181fee, 0x09022305, 0x30182708,   // ga.de.un_430 cy.ga.sw_422  ca.da.pl_333 gd.ga.uz_443 
  0x11002104, 0x20231108, 0x1b00310b, 0x1b003009,   // jw.ro.un_320 ro.ca.sq_443  az.tr.un_520 uz.tr.un_440 
  0x1b200404, 0x081004a9, 0x3d0c08a4, 0x13000212,   // fi.sq.tr_332 ru.be.uk_544  no.sv.ku_433 da.et.un_640 
  0x270e1812, 0x442310a0, 0x29001c04, 0x37000119,   // ga.is.gd_654 be.ky.kk_322  id.sl.un_320 en.st.un_750 
  // [55d0]
  0x1800212c, 0x1c32210d, 0x0c080ea0, 0x23205508,   // fa.ar.un_990 jw.bs.id_554  is.no.sv_322 rw.sq.ca_443 
  0x301e1c04, 0x64130413, 0x301c2f04, 0x1e2f1c08,   // id.ms.uz_332 fi.et.lg_665  su.id.uz_332 id.su.ms_443 
  0x18232aa4, 0x2f007305, 0x0c00082a, 0x1f002802,   // mt.ca.ga_433 ny.su.un_330  no.sv.un_970 sw.cy.un_220 
  0x0601230c, 0x191b0aec, 0x181a27ee, 0x135304ad,   // ca.en.de_543 pt.tr.gl_644  gd.tl.ga_422 fi.ht.et_643 
  // [55e0]
  0x212f02a0, 0x10170713, 0x08272007, 0x12111ba0,   // da.su.jw_322 bg.sr.be_665  sq.gd.no_432 tr.ro.hu_322 
  0x0c2a230c, 0x0c002313, 0x020508a4, 0x062308a7,   // ca.mt.sv_543 ca.sv.un_650  no.fr.da_433 no.ca.de_532 
  0x021f0807, 0x23060108, 0x0810040d, 0x0c061ba7,   // no.cy.da_432 en.de.ca_443  ru.be.uk_554 tr.de.sv_532 
  0x18201313, 0x060301a4, 0x0600051a, 0x21302aa0,   // et.sq.ga_665 en.nl.de_433  fr.de.un_760 mt.uz.jw_322 
  // [55f0]
  0x083507ee, 0x030608a4, 0x6b1a730c, 0x03060412,   // bg.tg.uk_422 no.de.nl_433  ny.tl.ceb_543 fi.de.nl_654 
  0x061f04a4, 0x1e1c06ac, 0x011f030c, 0x13062707,   // fi.cy.de_433 de.id.ms_632  nl.cy.en_543 gd.de.et_432 
  0x2a030613, 0x3100030b, 0x0f110e08, 0x0c000305,   // de.nl.mt_665 nl.az.un_520  is.ro.lv_443 nl.sv.un_330 
  0x3d0410a4, 0x20000c09, 0x270e010c, 0x181f0555,   // lt.fi.ku_433 sv.sq.un_440  en.is.gd_543 fr.cy.ga_442 
  // [5600]
  0x1f06230c, 0x17100807, 0x1f3f0307, 0x53002514,   // ca.de.cy_543 uk.be.sr_432  nl.af.cy_432 eu.ht.un_660 
  0x111310ec, 0x051b3005, 0x1b000408, 0x27051804,   // lt.et.ro_644 uz.tr.fr_333  fi.tr.un_430 ga.fr.gd_332 
  0x21101c0c, 0x1f080cee, 0x1b00080d, 0x116b6e08,   // id.lt.jw_543 sv.no.cy_422  no.tr.un_540 hmn.ceb.ro_443 
  0x23073004, 0x05181311, 0x0f001e13, 0x3003040c,   // uz.bg.ky_332 et.ga.fr_653  ms.lv.un_650 fi.nl.uz_543 
  // [5610]
  0x2a0307ee, 0x1b06030d, 0x07190b0d, 0x1f0b05a7,   // it.nl.mt_422 nl.de.tr_554  es.gl.it_554 fr.es.cy_532 
  0x050a12ad, 0x230a0e55, 0x12000e08, 0x06031f13,   // hu.pt.fr_643 is.pt.ca_442  is.hu.un_430 cy.nl.de_665 
  0x10190a14, 0x2704130c, 0x31001707, 0x30003202,   // pt.gl.lt_666 et.fi.gd_543  sr.az.un_420 bs.uz.un_220 
  0x2513040c, 0x080f100c, 0x32120fa4, 0x2f1f2112,   // fi.et.eu_543 lt.lv.no_543  lv.hu.bs_433 jw.cy.su_654 
  // [5620]
  0x6e1001a9, 0x351017a0, 0x303523ad, 0x2a006408,   // en.lt.hmn_544 sr.be.tg_322  ky.tg.uz_643 lg.mt.un_430 
  0x04004413, 0x092d0d5a, 0x4430350d, 0x08046ba0,   // kk.ru.un_650 cs.sk.pl_553  tg.uz.kk_554 ceb.fi.no_322 
  0x213f2fa0, 0x063f0407, 0x18310102, 0x0800070c,   // su.af.jw_322 fi.af.de_432  en.az.ga_222 bg.uk.un_530 
  0x084430a0, 0x0e3217a6, 0x56000412, 0x1a371055,   // uz.kk.uk_322 sr.bs.is_521  fi.mg.un_640 lt.st.tl_442 
  // [5630]
  0x170a0412, 0x101809ad, 0x21006404, 0x18000e0b,   // ru.mk.sr_654 pl.ga.lt_643  lg.jw.un_320 is.ga.un_520 
  0x1000280d, 0x29003107, 0x3f1037ad, 0x64072811,   // sw.lt.un_540 az.sl.un_420  st.lt.af_643 sw.it.lg_653 
  0x531a6bad, 0x020e0c09, 0x55002513, 0x2700130c,   // ceb.tl.ht_643 sv.is.da_444  eu.rw.un_650 et.gd.un_530 
  0x08001112, 0x2b180107, 0x35071104, 0x3035110b,   // ro.uk.un_640 en.ga.vi_432  ro.bg.tg_332 ro.tg.uz_542 
  // [5640]
  0x2a000f11, 0x551f13a7, 0x64001305, 0x0b0a07a4,   // lv.mt.un_630 et.cy.rw_532  et.lg.un_330 it.pt.es_433 
  0x55371007, 0x01005604, 0x372810ad, 0x0e033f07,   // lt.st.rw_432 mg.en.un_320  lt.sw.st_643 af.nl.is_432 
  0x1c000804, 0x082a1205, 0x106409ee, 0x306b285a,   // no.id.un_320 hu.mt.no_333  pl.lg.lt_422 sw.ceb.uz_553 
  0x0c293008, 0x0a0730ec, 0x0d1a6ba4, 0x2718310c,   // uz.sl.sv_443 uz.bg.mk_644  ceb.tl.cs_433 az.ga.gd_543 
  // [5650]
  0x0400550e, 0x532125a4, 0x09000c04, 0x08022a0c,   // rw.fi.un_550 eu.jw.ht_433  sv.pl.un_320 mt.da.no_543 
  0x20533f08, 0x37560a0c, 0x29302507, 0x211b640d,   // af.ht.sq_443 pt.mg.st_543  eu.uz.sl_432 lg.tr.jw_554 
  0x191325ee, 0x2555320e, 0x0e0c02a4, 0x3f002018,   // eu.et.gl_422 bs.rw.eu_555  da.sv.is_433 sq.af.un_740 
  0x17040855, 0x1f0501a0, 0x0c0830a9, 0x2a042d07,   // uk.ru.sr_442 en.fr.cy_322  uz.no.sv_544 sk.fi.mt_432 
  // [5660]
  0x121f1304, 0x07040a14, 0x1f000e11, 0x533f230c,   // et.cy.hu_332 mk.ru.bg_666  is.cy.un_630 ca.af.ht_543 
  0x0e001f02, 0x2f000507, 0x56001008, 0x0f37110c,   // cy.is.un_220 fr.su.un_420  lt.mg.un_430 ro.st.lv_543 
  0x10440808, 0x3032550c, 0x3f002021, 0x56122807,   // uk.kk.be_443 rw.bs.uz_543  sq.af.un_860 sw.hu.mg_432 
  0x321004ee, 0x37072f11, 0x046b37a4, 0x3700280e,   // fi.lt.bs_422 su.it.st_653  st.ceb.fi_433 sw.st.un_550 
  // [5670]
  0x06032709, 0x30081f04, 0x1c2156a4, 0x2a1125a4,   // gd.nl.de_444 cy.no.uz_332  mg.jw.id_433 eu.ro.mt_433 
  0x126b1a0d, 0x2f1e37a7, 0x292028a7, 0x2d0d07a6,   // tl.ceb.hu_554 st.ms.su_532  sw.sq.sl_532 it.cs.sk_521 
  0x183f1105, 0x252307a0, 0x56002a1a, 0x35041007,   // ro.af.ga_333 it.ca.eu_322  mt.mg.un_760 be.ru.tg_432 
  0x37005508, 0x2a003004, 0x0e6b5307, 0x2d005604,   // rw.st.un_430 uz.mt.un_320  ht.ceb.is_432 mg.sk.un_320 
  // [5680]
  0x04231008, 0x041708a7, 0x28003020, 0x04103008,   // be.ky.ru_443 uk.sr.ru_532  uz.sw.un_850 uz.lt.fi_443 
  0x2018275a, 0x01182707, 0x12190bad, 0x19732fee,   // gd.ga.sq_553 gd.ga.en_432  es.gl.hu_643 su.ny.gl_422 
  0x200f30a4, 0x56046b04, 0x10531ba4, 0x372718ad,   // uz.lv.sq_433 ceb.fi.mg_332  tr.ht.lt_433 ga.gd.st_643 
  0x231901a4, 0x2f162aa0, 0x0200080e, 0x641b5355,   // en.gl.ca_433 mt.hr.su_322  no.da.un_550 ht.tr.lg_442 
  // [5690]
  0x1b203108, 0x1b2031a7, 0x301a6ba4, 0x20120ba0,   // az.sq.tr_443 az.sq.tr_532  ceb.tl.uz_433 es.hu.sq_322 
  0x04083008, 0x0a070404, 0x30000407, 0x08102307,   // uz.uk.ru_443 ru.bg.mk_332  ru.uz.un_420 ky.be.uk_432 
  0x07005604, 0x17003505, 0x6e311b07, 0x040823ee,   // mg.it.un_320 tg.sr.un_330  tr.az.hmn_432 ky.uk.ru_422 
  0x11560507, 0x18016ea0, 0x53006e12, 0x23353060,   // fr.mg.ro_432 hmn.en.ga_322  hmn.ht.un_640 uz.tg.ky_664 
  // [56a0]
  0x231704ad, 0x3f040309, 0x6e1e1c13, 0x250403a9,   // ru.sr.ky_643 nl.fi.af_444  id.ms.hmn_665 nl.fi.eu_544 
  0x10002d02, 0x3008045a, 0x1e731c0c, 0x2b002f02,   // sk.lt.un_220 ru.uk.uz_553  id.ny.ms_543 su.vi.un_220 
  0x060304ad, 0x043f2514, 0x09080202, 0x2073285a,   // fi.nl.de_643 eu.af.fi_666  da.no.pl_222 sw.ny.sq_553 
  0x732813a0, 0x31003207, 0x030802a0, 0x55281a12,   // et.sw.ny_322 bs.az.un_420  da.no.nl_322 tl.sw.rw_654 
  // [56b0]
  0x28003014, 0x32162fa0, 0x733d28a9, 0x033f2504,   // uz.sw.un_660 su.hr.bs_322  sw.ku.ny_544 eu.af.nl_332 
  0x1e006e08, 0x05000402, 0x55643d0c, 0x2f315504,   // hmn.ms.un_430 fi.fr.un_220  ku.lg.rw_543 rw.az.su_332 
  0x04081105, 0x3f002102, 0x10736412, 0x121b730c,   // ro.uk.ru_333 jw.af.un_220  lg.ny.lt_654 ny.tr.hu_543 
  0x08173005, 0x2503040c, 0x5373550c, 0x040301a4,   // uz.sr.uk_333 fi.nl.eu_543  rw.ny.ht_543 en.nl.fi_433 
  // [56c0]
  0x5373105a, 0x04080aa9, 0x08021bec, 0x28550107,   // lt.ny.ht_553 mk.uk.ru_544  tr.da.no_644 en.rw.sw_432 
  0x0464280c, 0x04070a0d, 0x6b003204, 0x0a353055,   // sw.lg.fi_543 mk.bg.ru_554  bs.ceb.un_320 uz.tg.mk_442 
  0x08021baf, 0x2100120b, 0x2b190513, 0x06080260,   // tr.da.no_655 ur.fa.un_520  fr.gl.vi_665 da.no.de_664 
  0x2b00051a, 0x010306ac, 0x081b0208, 0x2b071112,   // fr.vi.un_760 de.nl.en_632  da.tr.no_443 ro.it.vi_654 
  // [56d0]
  0x6e001e0c, 0x2f006407, 0x23072bad, 0x6b251aec,   // ms.hmn.un_530 lg.su.un_420  vi.it.ca_643 tl.eu.ceb_644 
  0x2a231904, 0x2f001804, 0x2b002514, 0x31211ca4,   // gl.ca.mt_332 ga.su.un_320  eu.vi.un_660 id.jw.az_433 
  0x2a130708, 0x041110ad, 0x08021b12, 0x27012a07,   // it.et.mt_443 be.ro.ru_643  tr.da.no_654 mt.en.gd_432 
  0x3f000504, 0x2b051f0c, 0x31051bec, 0x1108100c,   // fr.af.un_320 cy.fr.vi_543  tr.fr.az_644 be.uk.ro_543 
  // [56e0]
  0x021b0808, 0x04052b08, 0x042335a0, 0x2b1104a9,   // no.tr.da_443 vi.fr.fi_443  tg.ky.ru_322 fi.ro.vi_544 
  0x07041008, 0x042b05af, 0x2a310e04, 0x0c2308a4,   // be.ru.bg_443 fr.vi.fi_655  is.az.mt_332 no.ca.sv_433 
  0x307355a4, 0x291b2d07, 0x301f1e02, 0x08170a02,   // rw.ny.uz_433 sk.tr.sl_432  ms.cy.uz_222 mk.sr.uk_222 
  0x31003d13, 0x01005308, 0x08100712, 0x53001a04,   // ku.az.un_650 ht.en.un_430  bg.be.uk_654 tl.ht.un_320 
  // [56f0]
  0x18002904, 0x531a6ba7, 0x1c130dad, 0x1c2f2107,   // sl.ga.un_320 ceb.tl.ht_532  ne.bh.mr_643 jw.su.id_432 
  0x052301a0, 0x1f00050c, 0x01005302, 0x2f1104a0,   // en.ca.fr_322 fr.cy.un_530  ht.en.un_220 fi.ro.su_322 
  0x07100a02, 0x21000b04, 0x53001313, 0x070a10a9,   // mk.be.bg_222 es.jw.un_320  et.ht.un_650 be.mk.bg_544 
  0x2b0b23a0, 0x1a1b0f04, 0x07001014, 0x11070805,   // ca.es.vi_322 lv.tr.tl_332  be.bg.un_660 uk.bg.ro_333 
  // [5700]
  0x080735a0, 0x020106a6, 0x556b1aa0, 0x0a000511,   // tg.bg.uk_322 de.en.da_521  tl.ceb.rw_322 fr.pt.un_630 
  0x081744a9, 0x531b0507, 0x640413ad, 0x531c05ee,   // kk.sr.uk_544 fr.tr.ht_432  et.fi.lg_643 fr.id.ht_422 
  0x10001114, 0x040f12a4, 0x1f27010c, 0x35001122,   // ro.be.un_660 hu.lv.fi_433  en.gd.cy_543 ro.tg.un_870 
  0x04120faf, 0x12000a14, 0x040d6b0c, 0x161c290c,   // lv.hu.fi_655 pt.hu.un_660  ceb.cs.fi_543 sl.id.hr_543 
  // [5710]
  0x110d0f07, 0x2a000c13, 0x1b290d0b, 0x04230aa0,   // lv.cs.ro_432 sv.mt.un_650  cs.sl.tr_542 mk.ky.ru_322 
  0x6b1a1f04, 0x19005611, 0x1e1f1ca0, 0x2f1e2102,   // cy.tl.ceb_332 mg.gl.un_630  id.cy.ms_322 jw.ms.su_222 
  0x1e1c2f04, 0x091c0d07, 0x2a070407, 0x11002804,   // su.id.ms_332 ne.mr.hi_432  fi.it.mt_432 sw.ro.un_320 
  0x0f1210a9, 0x17040a12, 0x041a1ca7, 0x6b002f19,   // lt.hu.lv_544 mk.ru.sr_654  id.tl.fi_532 su.ceb.un_750 
  // [5720]
  0x2f001c14, 0x1f002a19, 0x2b006e22, 0x1a2030ee,   // id.su.un_660 mt.cy.un_750  hmn.vi.un_870 uz.sq.tl_422 
  0x1e0e31af, 0x0f001019, 0x2a001f13, 0x1f2d2908,   // az.is.ms_655 lt.lv.un_750  cy.mt.un_650 sl.sk.cy_443 
  0x21251ba7, 0x1b3108a4, 0x113035a9, 0x20003f07,   // tr.eu.jw_532 no.az.tr_433  tg.uz.ro_544 af.sq.un_420 
  0x18311b04, 0x55182804, 0x1e003008, 0x29000d11,   // tr.az.ga_332 sw.ga.rw_332  uz.ms.un_430 cs.sl.un_630 
  // [5730]
  0x070911ad, 0x6e002b2a, 0x171110af, 0x20005608,   // ro.pl.it_643 vi.hmn.un_970  be.ro.sr_655 mg.sq.un_430 
  0x07041711, 0x1e0f53a9, 0x13371a08, 0x0a0456a7,   // sr.ru.bg_653 ht.lv.ms_544  tl.st.et_443 mg.fi.pt_532 
  0x1356040c, 0x091c1355, 0x10172d07, 0x03002907,   // fi.mg.et_543 bh.mr.hi_442  sk.sr.lt_432 sl.nl.un_420 
  0x290e090c, 0x567301a0, 0x3f25100c, 0x040a23ee,   // pl.is.sl_543 en.ny.mg_322  lt.eu.af_543 ky.mk.ru_422 
  // [5740]
  0x7300561a, 0x233035ee, 0x1b005514, 0x02000c0e,   // mg.ny.un_760 tg.uz.ky_422  rw.tr.un_660 sv.da.un_550 
  0x1b2955a9, 0x55001102, 0x2a105505, 0x350a10ee,   // rw.sl.tr_544 ro.rw.un_220  rw.lt.mt_333 be.mk.tg_422 
  0x293d7304, 0x19235302, 0x11070a0c, 0x170c21a4,   // ny.ku.sl_332 ht.ca.gl_222  mk.bg.ro_543 jw.sv.sr_433 
  0x270456ee, 0x56372bad, 0x07190b04, 0x06070e0c,   // mg.fi.gd_422 vi.st.mg_643  es.gl.it_332 is.it.de_543 
  // [5750]
  0x30002314, 0x2f132bec, 0x53100112, 0x080c0ea0,   // ky.uz.un_660 vi.et.su_644  en.lt.ht_654 is.sv.no_322 
  0x04080707, 0x25043712, 0x73311ca0, 0x7327250c,   // bg.uk.ru_432 st.fi.eu_654  id.az.ny_322 eu.gd.ny_543 
  0x122105a4, 0x192f0aaf, 0x03133f5a, 0x132d0408,   // fr.jw.hu_433 pt.su.gl_655  af.et.nl_553 fi.sk.et_443 
  0x21000c09, 0x3f647355, 0x251c1e0c, 0x06033f55,   // sv.jw.un_440 ny.lg.af_442  ms.id.eu_543 af.nl.de_442 
  // [5760]
  0x2f005609, 0x2f2b01a0, 0x23003504, 0x18271f13,   // mg.su.un_440 en.vi.su_322  tg.ky.un_320 cy.gd.ga_665 
  0x6e272355, 0x03003f21, 0x080a0405, 0x2f1c1fee,   // ca.gd.hmn_442 af.nl.un_860  ru.mk.uk_333 cy.id.su_422 
  0x2500130e, 0x3f080205, 0x0a5628a9, 0x052f0aa0,   // et.eu.un_550 da.no.af_333  sw.mg.pt_544 pt.su.fr_322 
  0x55565308, 0x56002b02, 0x28005621, 0x18001e05,   // ht.mg.rw_443 vi.mg.un_220  mg.sw.un_860 ms.ga.un_330 
  // [5770]
  0x023f0307, 0x27530ea4, 0x3f050304, 0x033f5612,   // nl.af.da_432 is.ht.gd_433  nl.fr.af_332 mg.af.nl_654 
  0x23000d04, 0x19017302, 0x20373f0c, 0x0400642a,   // cs.ca.un_320 ny.en.gl_222  af.st.sq_543 lg.fi.un_970 
  0x05002f0e, 0x2a3d0eee, 0x291c1e0b, 0x3f031b0c,   // su.fr.un_550 is.ku.mt_422  ms.id.sl_542 tr.nl.af_543 
  0x071156a6, 0x2d191207, 0x112008a0, 0x06003f0d,   // mg.ro.it_521 hu.gl.sk_432  no.sq.ro_322 af.de.un_540 
  // [5780]
  0x251923ee, 0x21002f0e, 0x080237a4, 0x3f1b2da0,   // ca.gl.eu_422 su.jw.un_550  st.da.no_433 sk.tr.af_322 
  0x18011fad, 0x0802030c, 0x0e1e1c14, 0x0d1c2104,   // cy.en.ga_643 nl.da.no_543  id.ms.is_666 jw.id.cs_332 
  0x735528ec, 0x1b310e05, 0x1b1e1c12, 0x1b000e08,   // sw.rw.ny_644 is.az.tr_333  id.ms.tr_654 is.tr.un_430 
  0x06080eee, 0x040f21ee, 0x642d0da7, 0x1b123d08,   // is.no.de_422 jw.lv.fi_422  cs.sk.lg_532 ku.hu.tr_443 
  // [5790]
  0x2a001904, 0x121f100d, 0x31190b11, 0x25001705,   // gl.mt.un_320 lt.cy.hu_554  es.gl.az_653 sr.eu.un_330 
  0x3d132d08, 0x3700090c, 0x11550b05, 0x10130fa0,   // sk.et.ku_443 pl.st.un_530  es.rw.ro_333 lv.et.lt_322 
  0x1b003d08, 0x3f030faf, 0x07101708, 0x133d030c,   // ku.tr.un_430 lv.nl.af_655  sr.be.bg_443 nl.ku.et_543 
  0x172f1212, 0x080204a0, 0x122f37a4, 0x2a18010c,   // hu.su.sr_654 fi.da.no_322  st.su.hu_433 en.ga.mt_543 
  // [57a0]
  0x07061f07, 0x2f101b08, 0x08005604, 0x17080a0c,   // cy.de.it_432 tr.lt.su_443  mg.no.un_320 mk.uk.sr_543 
  0x120f10a4, 0x30641c0b, 0x37001222, 0x0e080255,   // lt.lv.hu_433 id.lg.uz_542  hu.st.un_870 da.no.is_442 
  0x033f3d0d, 0x120c0812, 0x08022a05, 0x0c030807,   // ku.af.nl_554 no.sv.hu_654  mt.da.no_333 no.nl.sv_432 
  0x100f130d, 0x2a02010d, 0x0e010f11, 0x0c002a08,   // et.lv.lt_554 en.da.mt_554  lv.en.is_653 mt.sv.un_430 
  // [57b0]
  0x3f2f7307, 0x56001f22, 0x35000807, 0x016b7304,   // ny.su.af_432 cy.mg.un_870  uk.tg.un_420 ny.ceb.en_332 
  0x07080208, 0x031230a7, 0x216e2b0c, 0x30070aec,   // da.no.it_443 uz.hu.nl_532  vi.hmn.jw_543 mk.bg.uz_644 
  0x1f001802, 0x1b0b31a4, 0x31203dac, 0x53730e04,   // ga.cy.un_220 az.es.tr_433  ku.sq.az_632 is.ny.ht_332 
  0x031f2f07, 0x55562805, 0x531f2ba9, 0x21002707,   // su.cy.nl_432 sw.mg.rw_333  vi.cy.ht_544 gd.jw.un_420 
  // [57c0]
  0x17300aa0, 0x56003702, 0x20001107, 0x170a11a0,   // mk.uz.sr_322 st.mg.un_220  ro.sq.un_420 ro.mk.sr_322 
  0x0f201105, 0x23001113, 0x2300111a, 0x120c2aa0,   // ro.sq.lv_333 ro.ky.un_650  ro.ca.un_760 mt.sv.hu_322 
  0x21121860, 0x1c002f0c, 0x04001b05, 0x27000308,   // ar.ur.fa_664 su.id.un_530  tr.fi.un_330 nl.gd.un_430 
  0x6e1f2b12, 0x120a11a7, 0x6e002b2c, 0x6b2a2dec,   // vi.cy.hmn_654 ro.pt.hu_532  vi.hmn.un_990 sk.mt.ceb_644 
  // [57d0]
  0x06003011, 0x09001019, 0x173544ee, 0x25002007,   // uz.de.un_630 lt.pl.un_750  kk.tg.sr_422 sq.eu.un_420 
  0x0900101b, 0x20001104, 0x55000609, 0x6b3f030d,   // lt.pl.un_770 ro.sq.un_320  de.rw.un_440 nl.af.ceb_554 
  0x2f003f1a, 0x0700042c, 0x10000919, 0x3f002f13,   // af.su.un_760 ru.bg.un_990  pl.lt.un_750 su.af.un_650 
  0x2000302a, 0x1000090d, 0x082f12ee, 0x0b00562b,   // uz.sq.un_970 pl.lt.un_540  hu.su.no_422 mg.es.un_980 
  // [57e0]
  0x08070a60, 0x01097307, 0x16006b04, 0x08041011,   // mk.bg.uk_664 ny.pl.en_432  ceb.hr.un_320 be.ru.uk_653 
  0x6413040c, 0x03090604, 0x2d110d0c, 0x64002819,   // fi.et.lg_543 de.pl.nl_332  cs.ro.sk_543 sw.lg.un_750 
  0x07005607, 0x2f001c07, 0x0e001e02, 0x06372355,   // mg.it.un_420 id.su.un_420  ms.is.un_220 ca.st.de_442 
  0x2d290913, 0x3f2d0d08, 0x30000b0e, 0x1f29730c,   // pl.sl.sk_665 cs.sk.af_443  es.uz.un_550 ny.sl.cy_543 
  // [57f0]
  0x081723a4, 0x56123105, 0x2f1f07a0, 0x2f00370c,   // ky.sr.uk_433 az.hu.mg_333  it.cy.su_322 st.su.un_530 
  0x05005604, 0x09530407, 0x04000921, 0x06005608,   // mg.fr.un_320 fi.ht.pl_432  pl.fi.un_860 mg.de.un_430 
  0x04002119, 0x55306ba0, 0x12007302, 0x0400640d,   // jw.fi.un_750 ceb.uz.rw_322  ny.hu.un_220 lg.fi.un_540 
  0x44230714, 0x27002309, 0x09033f02, 0x645573a4,   // bg.ky.kk_666 ca.gd.un_440  af.nl.pl_222 ny.rw.lg_433 
  
  // [5800]
  0x196b0bad, 0x2364250c, 0x190b0702, 0x23280714,   // es.ceb.gl_643 eu.lg.ca_543  it.es.gl_222 it.sw.ca_666 
  0x110704a4, 0x1c000705, 0x1b732008, 0x0455530c,   // ru.bg.ro_433 it.id.un_330  sq.ny.tr_443 ht.rw.fi_543 
  0x73551a55, 0x31641b0c, 0x19300bad, 0x211b3114,   // tl.rw.ny_442 tr.lg.az_543  es.uz.gl_643 az.tr.jw_666 
  0x350a100c, 0x21001c0d, 0x255573a4, 0x2f21300c,   // be.mk.tg_543 id.jw.un_540  ny.rw.eu_433 uz.jw.su_543 
  // [5810]
  0x080a05a9, 0x2f5564ee, 0x73100eac, 0x083530a4,   // fr.pt.no_544 lg.rw.su_422  is.lt.ny_632 uz.tg.uk_433 
  0x5500080d, 0x282555a9, 0x07100411, 0x37000702,   // no.rw.un_540 rw.eu.sw_544  fi.lt.it_653 it.st.un_220 
  0x2b000722, 0x1b3125ee, 0x3f031fa7, 0x55641ca4,   // it.vi.un_870 eu.az.tr_422  cy.nl.af_532 id.lg.rw_433 
  0x061256a0, 0x552f2114, 0x17440a07, 0x080a040b,   // mg.hu.de_322 jw.su.rw_666  mk.kk.sr_432 ru.mk.uk_542 
  // [5820]
  0x0f000320, 0x10530408, 0x04001b08, 0x1e021ca4,   // nl.lv.un_850 fi.ht.lt_443  tr.fi.un_430 id.da.ms_433 
  0x55002514, 0x03080209, 0x25000a08, 0x0c080da0,   // eu.rw.un_660 da.no.nl_444  pt.eu.un_430 cs.no.sv_322 
  0x063f1ca4, 0x311b1a08, 0x73641ca0, 0x55131a0c,   // id.af.de_433 tl.tr.az_443  id.lg.ny_322 tl.et.rw_543 
  0x645655a9, 0x730264a4, 0x550664af, 0x01271f04,   // rw.mg.lg_544 lg.da.ny_433  lg.de.rw_655 cy.gd.en_332 
  // [5830]
  0x55061a05, 0x73640107, 0x031b2fa4, 0x201a2507,   // tl.de.rw_333 en.lg.ny_432  su.tr.nl_433 eu.tl.sq_432 
  0x731b28a4, 0x640732a4, 0x0c000502, 0x2f033f08,   // sw.tr.ny_433 bs.it.lg_433  fr.sv.un_220 af.nl.su_443 
  0x2f3121a4, 0x31111b07, 0x1b011fa0, 0x12000507,   // jw.az.su_433 tr.ro.az_432  cy.en.tr_322 fr.hu.un_420 
  0x19180d0e, 0x190b0da0, 0x0800170d, 0x0a2d0d13,   // cs.ga.gl_555 cs.es.gl_322  sr.uk.un_540 cs.sk.pt_665 
  // [5840]
  0x2f3d2d07, 0x2a313d12, 0x07112d0c, 0x35301113,   // sk.ku.su_432 ku.az.mt_654  sk.ro.it_543 ro.uz.tg_665 
  0x04556408, 0x1c00091a, 0x033f0614, 0x1907290c,   // lg.rw.fi_443 hi.mr.un_760  de.af.nl_666 sl.it.gl_543 
  0x37211f08, 0x043753a9, 0x531e3fad, 0x0f1b0512,   // cy.jw.st_443 ht.st.fi_544  af.ms.ht_643 fr.tr.lv_654 
  0x04002804, 0x11005612, 0x06002f07, 0x1100441a,   // sw.fi.un_320 mg.ro.un_640  su.de.un_420 kk.ro.un_760 
  // [5850]
  0x0c1f0ead, 0x09001f21, 0x0a190b0b, 0x110a0708,   // is.cy.sv_643 cy.pl.un_860  es.gl.pt_542 bg.mk.ro_443 
  0x3504070c, 0x190b0505, 0x182d0d13, 0x08100ca4,   // bg.ru.tg_543 fr.es.gl_333  cs.sk.ga_665 sv.lt.no_433 
  0x080c3008, 0x0b2d0d09, 0x20001e05, 0x11171108,   // uz.sv.no_443 cs.sk.es_444  ms.sq.un_330 ro.sr.ro_443 
  0x0a5607a0, 0x2400012b, 0x08041704, 0x3f030104,   // it.mg.pt_322 iw.yi.un_980  sr.ru.uk_332 en.nl.af_332 
  // [5860]
  0x2d0d2fee, 0x2b5303a4, 0x03001104, 0x171809ee,   // su.cs.sk_422 nl.ht.vi_433  ro.nl.un_320 pl.ga.sr_422 
  0x12033f07, 0x20211113, 0x01000a04, 0x0c060308,   // af.nl.hu_432 ro.jw.sq_665  pt.en.un_320 nl.de.sv_443 
  0x0c06030e, 0x230a30af, 0x1c642fa0, 0x08001708,   // nl.de.sv_555 uz.mk.ky_655  su.lg.id_322 sr.uk.un_430 
  0x10070a11, 0x013f03a0, 0x0810045a, 0x032105ee,   // mk.bg.be_653 nl.af.en_322  ru.be.uk_553 fr.jw.nl_422 
  // [5870]
  0x0800180e, 0x0c00030d, 0x080c05ec, 0x3f030811,   // ga.no.un_550 nl.sv.un_540  fr.sv.no_644 no.nl.af_653 
  0x20003012, 0x0c000a05, 0x3f000807, 0x287318a9,   // uz.sq.un_640 pt.sv.un_330  no.af.un_420 ga.ny.sw_544 
  0x23530511, 0x06090308, 0x10001c0d, 0x1c002113,   // fr.ht.ca_653 nl.pl.de_443  id.lt.un_540 jw.id.un_650 
  0x061801a4, 0x6e6b01a0, 0x0b0a37a0, 0x0d282d07,   // en.ga.de_433 en.ceb.hmn_322  st.pt.es_322 sk.sw.cs_432 
  // [5880]
  0x12180e5a, 0x2d0d1214, 0x08040e12, 0x0c1b2307,   // is.ga.hu_553 hu.cs.sk_666  is.fi.no_654 ca.tr.sv_432 
  0x0e0f2908, 0x0800060e, 0x31732112, 0x2f25010c,   // sl.lv.is_443 de.no.un_550  jw.ny.az_654 en.eu.su_543 
  0x18271f0c, 0x06023f07, 0x05000122, 0x7300372c,   // cy.gd.ga_543 af.da.de_432  en.fr.un_870 st.ny.un_990 
  0x3f1306a0, 0x1b250704, 0x1810270e, 0x6b530507,   // de.et.af_322 it.eu.tr_332  gd.lt.ga_555 fr.ht.ceb_432 
  // [5890]
  0x030c0804, 0x100a0707, 0x080206af, 0x0b230608,   // no.sv.nl_332 bg.mk.be_432  de.da.no_655 de.ca.es_443 
  0x1a3f6bee, 0x0c080708, 0x060208a7, 0x0c040807,   // ceb.af.tl_422 it.no.sv_443  no.da.de_532 no.fi.sv_432 
  0x19000a13, 0x53050107, 0x0a00072c, 0x050208a4,   // pt.gl.un_650 en.fr.ht_432  bg.mk.un_990 no.da.fr_433 
  0x3d0205a4, 0x130f2707, 0x0b0507a4, 0x06000207,   // fr.da.ku_433 gd.lv.et_432  it.fr.es_433 da.de.un_420 
  // [58a0]
  0x320916ee, 0x06293f02, 0x05250d08, 0x061225a7,   // hr.pl.bs_422 af.sl.de_222  cs.eu.fr_443 eu.hu.de_532 
  0x1f012a0c, 0x070b2314, 0x0d052113, 0x30101107,   // mt.en.cy_543 ca.es.it_666  jw.fr.cs_665 ro.be.uz_432 
  0x082d0207, 0x05210d0b, 0x12000c12, 0x2805010c,   // da.sk.no_432 cs.jw.fr_542  sv.hu.un_640 en.fr.sw_543 
  0x2d210d12, 0x212d0d14, 0x55002522, 0x6b011fa9,   // cs.jw.sk_654 cs.sk.jw_666  eu.rw.un_870 cy.en.ceb_544 
  // [58b0]
  0x1a023f05, 0x73281aad, 0x560305ac, 0x6b2f2112,   // af.da.tl_333 tl.sw.ny_643  fr.nl.mg_632 jw.su.ceb_654 
  0x052d0d07, 0x13110fa4, 0x55642805, 0x212f0512,   // cs.sk.fr_432 lv.ro.et_433  sw.lg.rw_333 fr.su.jw_654 
  0x1e1c28a4, 0x21001012, 0x19002f02, 0x25271204,   // sw.id.ms_433 lt.jw.un_640  su.gl.un_220 hu.gd.eu_332 
  0x2a303107, 0x06001122, 0x28000707, 0x12001704,   // az.uz.mt_432 ro.de.un_870  it.sw.un_420 sr.hu.un_320 
  // [58c0]
  0x16001107, 0x35001113, 0x170a23ee, 0x052d0d60,   // ro.hr.un_420 ro.tg.un_650  ky.mk.sr_422 cs.sk.fr_664 
  0x131c0912, 0x2d0d05a9, 0x30071fa0, 0x0c13045a,   // hi.mr.bh_654 fr.cs.sk_544  cy.it.uz_322 fi.et.sv_553 
  0x212d0d0d, 0x2100051a, 0x05002108, 0x25202112,   // cs.sk.jw_554 fr.jw.un_760  jw.fr.un_430 jw.sq.eu_654 
  0x285564af, 0x17072907, 0x28006e13, 0x211a6b0c,   // lg.rw.sw_655 sl.it.sr_432  hmn.sw.un_650 ceb.tl.jw_543 
  // [58d0]
  0x070a0807, 0x30006b05, 0x07440a02, 0x211e18a0,   // uk.mk.bg_432 ceb.uz.un_330  mk.kk.bg_222 ga.ms.jw_322 
  0x09000508, 0x1f003f08, 0x0c53210c, 0x2b0e01a0,   // fr.pl.un_430 af.cy.un_430  jw.ht.sv_543 en.is.vi_322 
  0x08003009, 0x0a04350c, 0x3d300ea4, 0x1f001e07,   // uz.uk.un_440 tg.ru.mk_543  is.uz.ku_433 ms.cy.un_420 
  0x08025609, 0x302a2355, 0x0e2356ee, 0x30000a0b,   // mg.da.no_444 ca.mt.uz_442  mg.ca.is_422 mk.uz.un_520 
  // [58e0]
  0x1200020c, 0x13002905, 0x04071105, 0x64732fa7,   // da.hu.un_530 sl.et.un_330  ro.bg.ru_333 su.ny.lg_532 
  0x08003008, 0x040844a0, 0x07300402, 0x30354408,   // uz.no.un_430 kk.uk.ru_322  ru.uz.bg_222 kk.tg.uz_443 
  0x311b3d12, 0x6b2173a9, 0x3f0106a7, 0x2f016b02,   // ku.tr.az_654 ny.jw.ceb_544  de.en.af_532 ceb.en.su_222 
  0x44001721, 0x30122907, 0x13290a07, 0x73311b07,   // sr.kk.un_860 sl.hu.uz_432  pt.sl.et_432 tr.az.ny_432 
  // [58f0]
  0x731b31a4, 0x1100100e, 0x1b007319, 0x10000a0e,   // az.tr.ny_433 be.ro.un_550  ny.tr.un_750 mk.be.un_550 
  0x313d1baf, 0x122118a9, 0x0d562da0, 0x2a000512,   // tr.ku.az_655 ar.fa.ur_544  sk.mg.cs_322 fr.mt.un_640 
  0x641e1c04, 0x30100f07, 0x30111107, 0x28001e0d,   // id.ms.lg_332 lv.lt.uz_432  ro.ro.uz_432 ms.sw.un_540 
  0x0a081113, 0x0b000704, 0x080730ad, 0x10002321,   // ro.uk.mk_665 it.es.un_320  uz.bg.uk_643 ky.be.un_860 
  // [5900]
  0x17000704, 0x1f55370c, 0x531b120c, 0x53731b07,   // bg.sr.un_320 st.rw.cy_543  hu.tr.ht_543 tr.ny.ht_432 
  0x07192b13, 0x2f0410ec, 0x732f375a, 0x3f030e05,   // vi.gl.it_665 lt.fi.su_644  st.su.ny_553 is.nl.af_333 
  0x05251012, 0x11000808, 0x2b000f2a, 0x6400370c,   // lt.eu.fr_654 no.ro.un_430  lv.vi.un_970 st.lg.un_530 
  0x01002b0b, 0x12283708, 0x09001c21, 0x6b300608,   // vi.en.un_520 st.sw.hu_443  mr.hi.un_860 de.uz.ceb_443 
  // [5910]
  0x2b1f25ec, 0x310c2aee, 0x2d0d0fa0, 0x2b2f6e12,   // eu.cy.vi_644 mt.sv.az_422  lv.cs.sk_322 hmn.su.vi_654 
  0x29163207, 0x21291e02, 0x2b6e070c, 0x0a100f08,   // bs.hr.sl_432 ms.sl.jw_222  it.hmn.vi_543 lv.lt.pt_443 
  0x1f07190c, 0x0f2f2d0c, 0x2b00251b, 0x55537307,   // gl.it.cy_543 sk.su.lv_543  eu.vi.un_770 ny.ht.rw_432 
  0x1e252b04, 0x28006e0e, 0x64281e04, 0x07001007,   // vi.eu.ms_332 hmn.sw.un_550  ms.sw.lg_332 be.bg.un_420 
  // [5920]
  0x2b236ea9, 0x012b6b02, 0x11003d13, 0x031c2fa0,   // hmn.ca.vi_544 ceb.vi.en_222  ku.ro.un_650 su.id.nl_322 
  0x1f002305, 0x0c031311, 0x072f1f08, 0x12025307,   // ca.cy.un_330 et.nl.sv_653  cy.su.it_443 ht.da.hu_432 
  0x6e001309, 0x2d0d3fa4, 0x0100560c, 0x03130111,   // et.hmn.un_440 af.cs.sk_433  mg.en.un_530 en.et.nl_653 
  0x11190a13, 0x040a0f12, 0x180105a7, 0x110305a9,   // pt.gl.ro_665 lv.pt.fi_654  fr.en.ga_532 fr.nl.ro_544 
  // [5930]
  0x232b1e02, 0x2b041012, 0x35231007, 0x033f0514,   // ms.vi.ca_222 lt.fi.vi_654  be.ky.tg_432 fr.af.nl_666 
  0x1c002108, 0x0c000e0b, 0x012d05a0, 0x03001e02,   // jw.id.un_430 is.sv.un_520  fr.sk.en_322 ms.nl.un_220 
  0x1c2f21ad, 0x3d002021, 0x10000721, 0x02063f07,   // jw.su.id_643 sq.ku.un_860  bg.be.un_860 af.de.da_432 
  0x6b01050c, 0x2d0d0a02, 0x19070107, 0x06192507,   // fr.en.ceb_543 pt.cs.sk_222  en.it.gl_432 eu.gl.de_432 
  // [5940]
  0x010d050c, 0x120c08af, 0x04733d04, 0x07103511,   // fr.cs.en_543 no.sv.hu_655  ku.ny.fi_332 tg.be.bg_653 
  0x082d0d08, 0x04102904, 0x2b002713, 0x23053f09,   // cs.sk.no_443 sl.lt.fi_332  gd.vi.un_650 af.fr.ca_444 
  0x303d110c, 0x11052da0, 0x1e002805, 0x060305a0,   // ro.ku.uz_543 sk.fr.ro_322  sw.ms.un_330 fr.nl.de_322 
  0x113773a9, 0x440410a6, 0x31001b35, 0x07005602,   // ny.st.ro_544 be.ru.kk_521  tr.az.un_A90 mg.it.un_220 
  // [5950]
  0x010607ec, 0x30000605, 0x1053020c, 0x08352308,   // it.de.en_644 de.uz.un_330  da.ht.lt_543 ky.tg.uk_443 
  0x0e000c12, 0x0500110c, 0x090d2daf, 0x231e1ca9,   // sv.is.un_640 ro.fr.un_530  sk.cs.pl_655 id.ms.ca_544 
  0x2b093f04, 0x010305ad, 0x08271f55, 0x29000104,   // af.pl.vi_332 fr.nl.en_643  cy.gd.no_442 en.sl.un_320 
  0x37050107, 0x07042a07, 0x213f030c, 0x12212fa9,   // en.fr.st_432 mt.fi.it_432  nl.af.jw_543 su.jw.hu_544 
  // [5960]
  0x0d093f07, 0x04002904, 0x0d3f010b, 0x2b002d07,   // af.pl.cs_432 sl.fi.un_320  en.af.cs_542 sk.vi.un_420 
  0x0a173004, 0x27011fa0, 0x732d0d12, 0x0a00021a,   // uz.sr.mk_332 cy.en.gd_322  cs.sk.ny_654 da.pt.un_760 
  0x1c560107, 0x13001704, 0x04000209, 0x013f0907,   // en.mg.id_432 sr.et.un_320  da.fi.un_440 pl.af.en_432 
  0x0109565a, 0x29002a07, 0x130420a0, 0x17234412,   // mg.pl.en_553 mt.sl.un_420  sq.fi.et_322 kk.ky.sr_654 
  // [5970]
  0x3f005611, 0x2d0d3fee, 0x1a3016ee, 0x3f000a08,   // mg.af.un_630 af.cs.sk_422  hr.uz.tl_422 pt.af.un_430 
  0x2a00090d, 0x01203007, 0x08231002, 0x0c00300c,   // pl.mt.un_540 uz.sq.en_432  be.ky.uk_222 uz.sv.un_530 
  0x373064ee, 0x300823a0, 0x05001805, 0x5612640c,   // lg.uz.st_422 ky.uk.uz_322  ga.fr.un_330 lg.hu.mg_543 
  0x17001119, 0x32552112, 0x12002f07, 0x040912a4,   // ro.sr.un_750 jw.rw.bs_654  su.hu.un_420 hu.pl.fi_433 
  // [5980]
  0x09120da0, 0x03023f14, 0x2d0d2fa0, 0x102f2907,   // cs.hu.pl_322 af.da.nl_666  su.cs.sk_322 sl.su.lt_432 
  0x171329ee, 0x0c2a290c, 0x2f121c02, 0x160d2905,   // sl.et.sr_422 sl.mt.sv_543  id.hu.su_222 sl.cs.hr_333 
  0x096453a7, 0x212d2fa4, 0x30006429, 0x28291907,   // ht.lg.pl_532 su.sk.jw_433  lg.uz.un_960 gl.sl.sw_432 
  0x17002914, 0x32001220, 0x11002805, 0x08022f02,   // sl.sr.un_660 hu.bs.un_850  sw.ro.un_330 su.da.no_222 
  // [5990]
  0x0802200c, 0x170a1002, 0x08025602, 0x190b05a4,   // sq.da.no_543 be.mk.sr_222  mg.da.no_222 fr.es.gl_433 
  0x23070aaf, 0x1704110c, 0x182d120c, 0x17292da9,   // mk.bg.ky_655 ro.ru.sr_543  hu.sk.ga_543 sk.sl.sr_544 
  0x53280f07, 0x0f13040c, 0x73531eee, 0x09121808,   // lv.sw.ht_432 fi.et.lv_543  ms.ht.ny_422 ga.hu.pl_443 
  0x1a002504, 0x1c1f18a0, 0x0e3f02a0, 0x28303712,   // eu.tl.un_320 ga.cy.id_322  da.af.is_322 st.uz.sw_654 
  // [59a0]
  0x21132f07, 0x25271c04, 0x28001c05, 0x080256ee,   // su.et.jw_432 id.gd.eu_332  id.sw.un_330 mg.da.no_422 
  0x311b250b, 0x1b302a07, 0x11090d0b, 0x211b1c55,   // eu.tr.az_542 mt.uz.tr_432  cs.pl.ro_542 id.tr.jw_442 
  0x03066402, 0x0d000e08, 0x27002504, 0x0a351708,   // lg.de.nl_222 is.cs.un_430  eu.gd.un_320 sr.tg.mk_443 
  0x64563055, 0x28645504, 0x21000404, 0x2813040d,   // uz.mg.lg_442 rw.lg.sw_332  fi.jw.un_320 fi.et.sw_554 
  // [59b0]
  0x08021aa4, 0x556473ee, 0x2d006402, 0x2800040c,   // tl.da.no_433 ny.lg.rw_422  lg.sk.un_220 fi.sw.un_530 
  0x0f007321, 0x6b64250c, 0x02062a11, 0x28000f14,   // ny.lv.un_860 eu.lg.ceb_543  mt.de.da_653 lv.sw.un_660 
  0x0a1017ee, 0x0e000702, 0x02080c07, 0x08002304,   // sr.be.mk_422 it.is.un_220  sv.no.da_432 ca.no.un_320 
  0x1e002007, 0x3f032804, 0x0e0802a0, 0x1f000605,   // sq.ms.un_420 sw.nl.af_332  da.no.is_322 de.cy.un_330 
  // [59c0]
  0x1018275a, 0x041011a4, 0x12001708, 0x13002b0e,   // gd.ga.lt_553 ro.be.ru_433  sr.hu.un_430 vi.et.un_550 
  0x273118a0, 0x10000909, 0x13000c11, 0x2f001219,   // ga.az.gd_322 pl.lt.un_440  sv.et.un_630 hu.su.un_750 
  0x113028a4, 0x6400550b, 0x11230107, 0x303511a0,   // sw.uz.ro_433 rw.lg.un_520  en.ca.ro_432 ro.tg.uz_322 
  0x230a1702, 0x0200290b, 0x3100300b, 0x1b003207,   // sr.mk.ky_222 sl.da.un_520  uz.az.un_520 bs.tr.un_420 
  // [59d0]
  0x050c07ad, 0x2100370b, 0x2300270c, 0x190b09a4,   // it.sv.fr_643 st.jw.un_520  gd.ca.un_530 pl.es.gl_433 
  0x02000604, 0x1b0956ee, 0x08000e12, 0x3f125607,   // de.da.un_320 mg.pl.tr_422  is.no.un_640 mg.hu.af_432 
  0x190b1a55, 0x09130dad, 0x1b300204, 0x3d1b0d0c,   // tl.es.gl_442 ne.bh.hi_643  da.uz.tr_332 cs.tr.ku_543 
  0x21123da9, 0x25123d0d, 0x062d3102, 0x30234408,   // ku.hu.jw_544 ku.hu.eu_554  az.sk.de_222 kk.ky.uz_443 
  // [59e0]
  0x21293d0c, 0x1b3d1c07, 0x32161ea9, 0x10171602,   // ku.sl.jw_543 id.ku.tr_432  ms.hr.bs_544 hr.sr.lt_222 
  0x3f642aa0, 0x1200300e, 0x1b3f3d08, 0x06001e02,   // mt.lg.af_322 uz.hu.un_550  ku.af.tr_443 ms.de.un_220 
  0x07640ea4, 0x03061804, 0x200f12a4, 0x07170411,   // is.lg.it_433 ga.de.nl_332  hu.lv.sq_433 ru.sr.bg_653 
  0x070364a0, 0x0802180c, 0x312d1b12, 0x0413300c,   // lg.nl.it_322 ga.da.no_543  tr.sk.az_654 uz.et.fi_543 
  // [59f0]
  0x37000e02, 0x08020655, 0x1f00270e, 0x07002a1a,   // is.st.un_220 de.da.no_442  gd.cy.un_550 mt.it.un_760 
  0x0d123d09, 0x3d001c13, 0x25003d0e, 0x070408ee,   // ku.hu.cs_444 id.ku.un_650  ku.eu.un_550 uk.ru.bg_422 
  0x2f1c0908, 0x29120d0c, 0x23303513, 0x1111170c,   // pl.id.su_443 cs.hu.sl_543  tg.uz.ky_665 sr.ro.ro_543 
  0x3d001c04, 0x3000440e, 0x3d2112a9, 0x0f002f02,   // id.ku.un_320 kk.uz.un_550  hu.jw.ku_544 su.lv.un_220 
  // [5a00]
  0x0408070c, 0x29001208, 0x10040812, 0x2a003d12,   // bg.uk.ru_543 hu.sl.un_430  uk.ru.be_654 ku.mt.un_640 
  0x083510ee, 0x251118ec, 0x032a0804, 0x05001811,   // be.tg.uk_422 ga.ro.eu_644  no.mt.nl_332 ga.fr.un_630 
  0x17000404, 0x231907a4, 0x192311a0, 0x190b2311,   // ru.sr.un_320 it.gl.ca_433  ro.ca.gl_322 ca.es.gl_653 
  0x051e2504, 0x1000250e, 0x30170aa9, 0x1f112102,   // eu.ms.fr_332 eu.lt.un_550  mk.sr.uz_544 jw.ro.cy_222 
  // [5a10]
  0x2f001f0e, 0x0a0435ec, 0x1b0208a0, 0x560b2b12,   // cy.su.un_550 tg.ru.mk_644  no.da.tr_322 vi.es.mg_654 
  0x550105a0, 0x12182114, 0x35073008, 0x37300508,   // fr.en.rw_322 fa.ar.ur_666  uz.bg.tg_443 fr.uz.st_443 
  0x021f0812, 0x1c6412ad, 0x1f0410ac, 0x13030ca0,   // no.cy.da_654 hu.lg.id_643  lt.fi.cy_632 sv.nl.et_322 
  0x2b530111, 0x1200642a, 0x6b002b07, 0x2b000121,   // en.ht.vi_653 lg.hu.un_970  vi.ceb.un_420 en.vi.un_860 
  // [5a20]
  0x275653a0, 0x553064ee, 0x30536405, 0x25005635,   // ht.mg.gd_322 lg.uz.rw_422  lg.ht.uz_333 mg.eu.un_A90 
  0x440810a4, 0x306e2bad, 0x73283709, 0x1f080407,   // be.uk.kk_433 vi.hmn.uz_643  st.sw.ny_444 fi.no.cy_432 
  0x08021f0e, 0x060501ee, 0x2b000119, 0x28315504,   // cy.da.no_555 en.fr.de_422  en.vi.un_750 rw.az.sw_332 
  0x2011730c, 0x1b312ba7, 0x100417a4, 0x050129ec,   // ny.ro.sq_543 vi.az.tr_532  sr.ru.be_433 sl.en.fr_644 
  // [5a30]
  0x0e1b310c, 0x2d040d0c, 0x04000607, 0x552f280c,   // az.tr.is_543 cs.fi.sk_543  de.fi.un_420 sw.su.rw_543 
  0x12050807, 0x2f211608, 0x0e2d0d04, 0x252f7309,   // no.fr.hu_432 hr.jw.su_443  cs.sk.is_332 ny.su.eu_444 
  0x21001002, 0x300444a0, 0x11095607, 0x6400732b,   // lt.jw.un_220 kk.ru.uz_322  mg.pl.ro_432 ny.lg.un_980 
  0x09000c09, 0x17002304, 0x0b251ea4, 0x2d1f56a4,   // sv.pl.un_440 ky.sr.un_320  ms.eu.es_433 mg.cy.sk_433 
  // [5a40]
  0x30006419, 0x6b3d01a7, 0x2f55285a, 0x202f56a4,   // lg.uz.un_750 en.ku.ceb_532  sw.rw.su_553 mg.su.sq_433 
  0x05060112, 0x561f37ec, 0x30002d13, 0x312f1ba0,   // en.de.fr_654 st.cy.mg_644  sk.uz.un_650 tr.su.az_322 
  0x28132f0c, 0x120d2da4, 0x311b25ad, 0x3028550d,   // su.et.sw_543 sk.cs.hu_433  eu.tr.az_643 rw.sw.uz_554 
  0x30060107, 0x16282909, 0x73002a0d, 0x3010350b,   // en.de.uz_432 sl.sw.hr_444  mt.ny.un_540 tg.be.uz_542 
  // [5a50]
  0x30001004, 0x09005519, 0x37642808, 0x181221a9,   // lt.uz.un_320 rw.pl.un_750  sw.lg.st_443 fa.ur.ar_544 
  0x53372a0b, 0x282a64a4, 0x2f551a05, 0x17043055,   // mt.st.ht_542 lg.mt.sw_433  tl.rw.su_333 uz.ru.sr_442 
  0x2d12560b, 0x5637290c, 0x0c000e0c, 0x170a100c,   // mg.hu.sk_542 sl.st.mg_543  is.sv.un_530 be.mk.sr_543 
  0x13000934, 0x55002021, 0x10080a05, 0x1f00020d,   // hi.bh.un_A80 sq.rw.un_860  mk.uk.be_333 da.cy.un_540 
  // [5a60]
  0x07040a08, 0x07000604, 0x12001a04, 0x1b213da0,   // mk.ru.bg_443 de.it.un_320  tl.hu.un_320 ku.jw.tr_322 
  0x230306a7, 0x2f001308, 0x16643204, 0x0d000922,   // de.nl.ca_532 et.su.un_430  bs.lg.hr_332 hi.ne.un_870 
  0x291630ee, 0x19250ba4, 0x321764ee, 0x033107a0,   // uz.hr.sl_422 es.eu.gl_433  lg.sr.bs_422 it.az.nl_322 
  0x0c000e21, 0x0f0e0107, 0x3f095311, 0x0e0301a9,   // is.sv.un_860 en.is.lv_432  ht.pl.af_653 en.nl.is_544 
  // [5a70]
  0x2d290d12, 0x3f010f05, 0x0d003d0c, 0x230a1708,   // cs.sl.sk_654 lv.en.af_333  ku.cs.un_530 sr.mk.ky_443 
  0x02000312, 0x021a1ca0, 0x0e0901a0, 0x0b1c21a0,   // nl.da.un_640 id.tl.da_322  en.pl.is_322 jw.id.es_322 
  0x070435ad, 0x311a1bec, 0x031b29ee, 0x1f00030c,   // tg.ru.bg_643 tr.tl.az_644  sl.tr.nl_422 nl.cy.un_530 
  0x19080307, 0x5600551a, 0x0f1064ad, 0x16000b04,   // nl.no.gl_432 rw.mg.un_760  lg.lt.lv_643 es.hr.un_320 
  // [5a80]
  0x29642109, 0x25060107, 0x3700561a, 0x03000607,   // jw.lg.sl_444 en.de.eu_432  mg.st.un_760 de.nl.un_420 
  0x64007322, 0x0d021304, 0x07315607, 0x27023fad,   // ny.lg.un_870 et.da.cs_332  mg.az.it_432 af.da.gd_643 
  0x020328a0, 0x10002d1b, 0x130456a9, 0x30006420,   // sw.nl.da_322 sk.lt.un_770  mg.fi.et_544 lg.uz.un_850 
  0x115673a4, 0x32162105, 0x190b03a0, 0x0f000412,   // ny.mg.ro_433 jw.hr.bs_333  nl.es.gl_322 fi.lv.un_640 
  // [5a90]
  0x050f010c, 0x3216070c, 0x5300250e, 0x041011ee,   // en.lv.fr_543 it.hr.bs_543  eu.ht.un_550 ro.be.ru_422 
  0x302344ad, 0x35302313, 0x107364a7, 0x02010807,   // kk.ky.uz_643 ky.uz.tg_665  lg.ny.lt_532 no.en.da_432 
  0x07080411, 0x2b00280d, 0x07002104, 0x6b071aa9,   // ru.uk.bg_653 sw.vi.un_540  jw.it.un_320 tl.it.ceb_544 
  0x190b1a0c, 0x080212a4, 0x27000b04, 0x5528090c,   // tl.es.gl_543 hu.da.no_433  es.gd.un_320 pl.sw.rw_543 
  // [5aa0]
  0x3000730d, 0x07230b08, 0x1b3125ad, 0x04350812,   // ny.uz.un_540 es.ca.it_443  eu.az.tr_643 uk.tg.ru_654 
  0x117307a7, 0x072a0c04, 0x3f1e1c04, 0x1a000707,   // it.ny.ro_532 sv.mt.it_332  id.ms.af_332 it.tl.un_420 
  0x0c00060b, 0x131c0dad, 0x23440aa4, 0x182811ec,   // de.sv.un_520 ne.mr.bh_643  mk.kk.ky_433 ro.sw.ga_644 
  0x1100071a, 0x6473280b, 0x320410a7, 0x042910a9,   // bg.ro.un_760 sw.ny.lg_542  lt.fi.bs_532 lt.sl.fi_544 
  // [5ab0]
  0x070123a0, 0x1700100c, 0x044423ee, 0x30252707,   // ca.en.it_322 lt.sr.un_530  ky.kk.ru_422 gd.eu.uz_432 
  0x6400550c, 0x25002322, 0x252818a4, 0x1a042107,   // rw.lg.un_530 ca.eu.un_870  ga.sw.eu_433 jw.fi.tl_432 
  0x3000101b, 0x05003d20, 0x05000708, 0x2a101708,   // lt.uz.un_770 ku.fr.un_850  it.fr.un_430 sr.lt.mt_443 
  0x233044a0, 0x06000a05, 0x2a001802, 0x23000f1a,   // kk.uz.ky_322 pt.de.un_330  ga.mt.un_220 lv.ca.un_760 
  // [5ac0]
  0x11001813, 0x23053fee, 0x0e112512, 0x18102704,   // ga.ro.un_650 af.fr.ca_422  eu.ro.is_654 gd.lt.ga_332 
  0x04004404, 0x1730100c, 0x172a10ac, 0x170410ac,   // kk.ru.un_320 lt.uz.sr_543  lt.mt.sr_632 lt.fi.sr_632 
  0x08003f04, 0x251c28ee, 0x04001023, 0x0f052fec,   // af.no.un_320 sw.id.eu_422  be.ru.un_880 su.fr.lv_644 
  0x2a100f60, 0x072a1fad, 0x12080205, 0x09062dad,   // lv.lt.mt_664 cy.mt.it_643  da.no.hu_333 sk.de.pl_643 
  // [5ad0]
  0x300a3504, 0x01185507, 0x102501a0, 0x230f10a7,   // tg.mk.uz_332 rw.ga.en_432  en.eu.lt_322 lt.lv.ca_532 
  0x210302ee, 0x555364ec, 0x64317307, 0x552f1ea0,   // da.nl.jw_422 lg.ht.rw_644  ny.az.lg_432 ms.su.rw_322 
  0x55052f08, 0x64550807, 0x0000552d, 0x0835100c,   // su.fr.rw_443 no.rw.lg_432  rw.un.un_A00 be.tg.uk_543 
  0x236b5302, 0x1c2f6407, 0x6b2511af, 0x200353a0,   // ht.ceb.ca_222 lg.su.id_432  ro.eu.ceb_655 ht.nl.sq_322 
  // [5ae0]
  0x13003d11, 0x130c0fec, 0x07171107, 0x3d000318,   // ku.et.un_630 lv.sv.et_644  ro.sr.bg_432 nl.ku.un_740 
  0x2a30135a, 0x06130c08, 0x12020807, 0x44351704,   // et.uz.mt_553 sv.et.de_443  no.da.hu_432 sr.tg.kk_332 
  0x32001307, 0x2f1a5311, 0x060c0112, 0x132f01ee,   // et.bs.un_420 ht.tl.su_653  en.sv.de_654 en.su.et_422 
  0x190b2302, 0x28006422, 0x1a002d22, 0x083f3d05,   // ca.es.gl_222 lg.sw.un_870  sk.tl.un_870 ku.af.no_333 
  // [5af0]
  0x272b73a0, 0x17070aec, 0x55002505, 0x0200082a,   // ny.vi.gd_322 mk.bg.sr_644  eu.rw.un_330 no.da.un_970 
  0x07352307, 0x070408a9, 0x282764ad, 0x5629120c,   // ky.tg.bg_432 uk.ru.bg_544  lg.gd.sw_643 hu.sl.mg_543 
  0x11061213, 0x1a643712, 0x0c23065a, 0x18092da0,   // hu.de.ro_665 st.lg.tl_654  de.ca.sv_553 sk.pl.ga_322 
  0x170708af, 0x53001213, 0x2d000b02, 0x25001f09,   // uk.bg.sr_655 hu.ht.un_650  es.sk.un_220 cy.eu.un_440 
  // [5b00]
  0x0e311b05, 0x01311b09, 0x31300ea4, 0x640608a0,   // tr.az.is_333 tr.az.en_444  is.uz.az_433 no.de.lg_322 
  0x181a30a7, 0x44233005, 0x30253108, 0x44302307,   // uz.tl.ga_532 uz.ky.kk_333  az.eu.uz_443 ky.uz.kk_432 
  0x20292d11, 0x12030811, 0x300e3105, 0x20000704,   // sk.sl.sq_653 no.nl.hu_653  az.is.uz_333 it.sq.un_320 
  0x050106a4, 0x170f2da0, 0x181f01a4, 0x6b005513,   // de.en.fr_433 sk.lv.sr_322  en.cy.ga_433 rw.ceb.un_650 
  // [5b10]
  0x0b31300c, 0x07190b05, 0x44080404, 0x10442312,   // uz.az.es_543 es.gl.it_333  ru.uk.kk_332 ky.kk.be_654 
  0x0b311b0c, 0x6b000612, 0x0212060c, 0x0b311ba4,   // tr.az.es_543 de.ceb.un_640  de.hu.da_543 tr.az.es_433 
  0x300b1ba4, 0x1e1c20ee, 0x233510ad, 0x6b0c1a02,   // tr.es.uz_433 sq.id.ms_422  be.tg.ky_643 tl.sv.ceb_222 
  0x376b1a08, 0x20000d04, 0x562f5305, 0x1a6b3704,   // tl.ceb.st_443 cs.sq.un_320  ht.su.mg_333 st.ceb.tl_332 
  // [5b20]
  0x07081013, 0x0a111113, 0x1a000c05, 0x2f1e1307,   // be.uk.bg_665 ro.ro.mk_665  sv.tl.un_330 et.ms.su_432 
  0x6b1f3f11, 0x03000113, 0x30005512, 0x16000307,   // af.cy.ceb_653 en.nl.un_650  rw.uz.un_640 nl.hr.un_420 
  0x32162902, 0x0a0730a0, 0x3f1c55ee, 0x301a2508,   // sl.hr.bs_222 uz.bg.mk_322  rw.id.af_422 eu.tl.uz_443 
  0x5610290c, 0x100811a0, 0x551e1c11, 0x1a372505,   // sl.lt.mg_543 ro.uk.be_322  id.ms.rw_653 eu.st.tl_333 
  // [5b30]
  0x167304a7, 0x552f1aec, 0x2d001113, 0x53731fa9,   // fi.ny.hr_532 tl.su.rw_644  ro.sk.un_650 cy.ny.ht_544 
  0x3f001a04, 0x257328a0, 0x03123dee, 0x281c2f12,   // tl.af.un_320 sw.ny.eu_322  ku.hu.nl_422 su.id.sw_654 
  0x060c0204, 0x551e1ca9, 0x23000608, 0x53286405,   // da.sv.de_332 id.ms.rw_544  de.ca.un_430 lg.sw.ht_333 
  0x5323090c, 0x10731a07, 0x122864ee, 0x2f2a20a0,   // pl.ca.ht_543 tl.ny.lt_432  lg.sw.hu_422 sq.mt.su_322 
  // [5b40]
  0x73553d12, 0x20251007, 0x32000605, 0x0a000423,   // ku.rw.ny_654 lt.eu.sq_432  de.bs.un_330 ru.mk.un_880 
  0x061b2a05, 0x233f0504, 0x1f121809, 0x03200b14,   // mt.tr.de_333 fr.af.ca_332  ga.hu.cy_444 es.sq.nl_666 
  0x212f6407, 0x0923110c, 0x732f210c, 0x06251e04,   // lg.su.jw_432 ro.ca.pl_543  jw.su.ny_543 ms.eu.de_332 
  0x2d0d12b3, 0x560a05ac, 0x040710a9, 0x08005312,   // hu.cs.sk_743 fr.pt.mg_632  be.bg.ru_544 ht.no.un_640 
  // [5b50]
  0x1205010c, 0x08100704, 0x02121e04, 0x060107a4,   // en.fr.hu_543 bg.be.uk_332  ms.hu.da_332 it.en.de_433 
  0x04063d07, 0x2d1a21ee, 0x6b2a1eee, 0x320a0f5a,   // ku.de.fi_432 jw.tl.sk_422  ms.mt.ceb_422 lv.pt.bs_553 
  0x0400290e, 0x2b00182c, 0x530b120c, 0x30234407,   // sl.fi.un_550 ga.vi.un_990  hu.es.ht_543 kk.ky.uz_432 
  0x04100713, 0x171329a0, 0x2319010b, 0x211f3fa4,   // bg.be.ru_665 sl.et.sr_322  en.gl.ca_542 af.cy.jw_433 
  // [5b60]
  0x19182bad, 0x00002b37, 0x06053f05, 0x131c090d,   // vi.ga.gl_643 vi.un.un_B00  af.fr.de_333 hi.mr.bh_554 
  0x2f2129ee, 0x01115308, 0x0f0501a4, 0x041029a4,   // sl.jw.su_422 ht.ro.en_443  en.fr.lv_433 sl.lt.fi_433 
  0x0e001812, 0x192b0aac, 0x2b3f01ac, 0x441035a4,   // ga.is.un_640 pt.vi.gl_632  en.af.vi_632 tg.be.kk_433 
  0x17291bad, 0x0f1c2904, 0x0a2b0e05, 0x04170aa9,   // tr.sl.sr_643 sl.id.lv_332  is.vi.pt_333 mk.sr.ru_544 
  // [5b70]
  0x04002908, 0x29232aa0, 0x2a002309, 0x0817110e,   // sl.fi.un_430 mt.ca.sl_322  ca.mt.un_440 ro.sr.uk_555 
  0x2d040d04, 0x1b001e02, 0x64000908, 0x12000508,   // cs.fi.sk_332 ms.tr.un_220  pl.lg.un_430 fr.hu.un_430 
  0x20732812, 0x10641304, 0x04132dee, 0x136404ad,   // sw.ny.sq_654 et.lg.lt_332  sk.et.fi_422 fi.lg.et_643 
  0x131011a0, 0x640c3007, 0x04003d0d, 0x23074412,   // ro.lt.et_322 uz.sv.lg_432  ku.fi.un_540 kk.bg.ky_654 
  // [5b80]
  0x64000f0c, 0x13321704, 0x0c2a0407, 0x20082304,   // lv.lg.un_530 sr.bs.et_332  fi.mt.sv_432 ca.no.sq_332 
  0x2d2904af, 0x190b25a0, 0x291c1bee, 0x04000d12,   // fi.sl.sk_655 eu.es.gl_322  tr.id.sl_422 cs.fi.un_640 
  0x3f080e05, 0x09000c1a, 0x100408ad, 0x321710a9,   // is.no.af_333 sv.pl.un_760  uk.ru.be_643 lt.sr.bs_544 
  0x2b002102, 0x2d0f0504, 0x040f10ad, 0x0f301bee,   // jw.vi.un_220 fr.lv.sk_332  lt.lv.fi_643 tr.uz.lv_422 
  // [5b90]
  0x10303507, 0x302821a4, 0x190b2310, 0x2f003108,   // tg.uz.be_432 jw.sw.uz_433  ca.es.gl_642 az.su.un_430 
  0x310e09ad, 0x30020c55, 0x10311ba0, 0x2d1b310d,   // pl.is.az_643 sv.da.uz_442  tr.az.lt_322 az.tr.sk_554 
  0x0e001604, 0x551228ac, 0x321730a4, 0x160c12ee,   // hr.is.un_320 sw.hu.rw_632  uz.sr.bs_433 hu.sv.hr_422 
  0x072310a0, 0x080c21a0, 0x6b2a0811, 0x31301304,   // be.ky.bg_322 jw.sv.no_322  no.mt.ceb_653 et.uz.az_332 
  // [5ba0]
  0x30131a0b, 0x11233008, 0x090e29a4, 0x044417a0,   // tl.et.uz_542 uz.ky.ro_443  sl.is.pl_433 sr.kk.ru_322 
  0x53041055, 0x07112507, 0x6b730407, 0x04101ca0,   // lt.fi.ht_442 eu.ro.it_432  fi.ny.ceb_432 id.lt.fi_322 
  0x211b04a4, 0x1a046b07, 0x160828a4, 0x2d1b17a7,   // fi.tr.jw_433 ceb.fi.tl_432  sw.no.hr_433 sr.tr.sk_532 
  0x321710b3, 0x350407a0, 0x160c320c, 0x53016b02,   // lt.sr.bs_743 bg.ru.tg_322  bs.sv.hr_543 ceb.en.ht_222 
  // [5bb0]
  0x0d001e07, 0x01001e04, 0x3217530c, 0x10041baf,   // ms.cs.un_420 ms.en.un_320  ht.sr.bs_543 tr.fi.lt_655 
  0x301b12ee, 0x551b6ea0, 0x531208a0, 0x2a003019,   // hu.tr.uz_422 hmn.tr.rw_322  no.hu.ht_322 uz.mt.un_750 
  0x0e1a0b0c, 0x11001c07, 0x10530dad, 0x05003d1a,   // es.tl.is_543 id.ro.un_420  cs.ht.lt_643 ku.fr.un_760 
  0x09171604, 0x0411115a, 0x13005302, 0x1a10120c,   // hr.sr.pl_332 ro.ro.ru_553  ht.et.un_220 hu.lt.tl_543 
  // [5bc0]
  0x02002109, 0x111b3104, 0x13091c07, 0x230b01a9,   // jw.da.un_440 az.tr.ro_332  mr.hi.bh_432 en.es.ca_544 
  0x64003f0c, 0x1a00121a, 0x13005611, 0x12001307,   // af.lg.un_530 hu.tl.un_760  mg.et.un_630 et.hu.un_420 
  0x071008a7, 0x03273fa7, 0x02103fec, 0x0d32170d,   // uk.be.bg_532 af.gd.nl_532  af.lt.da_644 sr.bs.cs_554 
  0x0c2d0d04, 0x3f00101a, 0x0f00292b, 0x130111a4,   // cs.sk.sv_332 lt.af.un_760  sl.lv.un_980 ro.en.et_433 
  // [5bd0]
  0x2900090c, 0x230b0705, 0x53110c0c, 0x08071005,   // pl.sl.un_530 it.es.ca_333  sv.ro.ht_543 be.bg.uk_333 
  0x17002d07, 0x1b553107, 0x09270607, 0x04112a0c,   // sk.sr.un_420 az.rw.tr_432  de.gd.pl_432 mt.ro.fi_543 
  0x231708a0, 0x1004120e, 0x6e000d09, 0x0423300c,   // uk.sr.ky_322 hu.fi.lt_555  cs.hmn.un_440 uz.ky.ru_543 
  0x11000a17, 0x033f2355, 0x13000e09, 0x31300ead,   // pt.ro.un_730 ca.af.nl_442  is.et.un_440 is.uz.az_643 
  // [5be0]
  0x29000813, 0x643073af, 0x17321008, 0x35304409,   // no.sl.un_650 ny.uz.lg_655  lt.bs.sr_443 kk.uz.tg_444 
  0x29002d19, 0x325630a9, 0x64303d07, 0x1f301905,   // sk.sl.un_750 uz.mg.bs_544  ku.uz.lg_432 gl.uz.cy_333 
  0x180601ad, 0x010c3007, 0x09643da7, 0x0c3f64ec,   // en.de.ga_643 uz.sv.en_432  ku.lg.pl_532 lg.af.sv_644 
  0x25233005, 0x07040aac, 0x2700560d, 0x6400301b,   // uz.ca.eu_333 mk.ru.bg_632  mg.gd.un_540 uz.lg.un_770 
  // [5bf0]
  0x0c006412, 0x27005607, 0x12006b07, 0x08641f08,   // lg.sv.un_640 mg.gd.un_420  ceb.hu.un_420 cy.lg.no_443 
  0x01001f0c, 0x19005504, 0x2f003f02, 0x29000e08,   // cy.en.un_530 rw.gl.un_320  af.su.un_220 is.sl.un_430 
  0x5301055a, 0x2b010304, 0x133d2507, 0x5520210c,   // fr.en.ht_553 nl.en.vi_332  eu.ku.et_432 jw.sq.rw_543 
  0x100453ad, 0x191f30a4, 0x2f21050e, 0x0900640d,   // ht.fi.lt_643 uz.cy.gl_433  fr.jw.su_555 lg.pl.un_540 
  
  // [5c00]
  0x2f001908, 0x03001004, 0x283d130c, 0x230411ee,   // gl.su.un_430 lt.nl.un_320  et.ku.sw_543 ro.ru.ky_422 
  0x250b5504, 0x3d00251a, 0x011f0ea0, 0x320c25a4,   // rw.es.eu_332 eu.ku.un_760  is.cy.en_322 eu.sv.bs_433 
  0x2a1320a9, 0x130473ee, 0x20003d0e, 0x31102aec,   // sq.et.mt_544 ny.fi.et_422  ku.sq.un_550 mt.lt.az_644 
  0x2a00251b, 0x1b1a6bad, 0x2f207304, 0x09000e0d,   // eu.mt.un_770 ceb.tl.tr_643  ny.sq.su_332 is.pl.un_540 
  // [5c10]
  0x0e0c2511, 0x2756230c, 0x13552805, 0x09000f09,   // eu.sv.is_653 ca.mg.gd_543  sw.rw.et_333 lv.pl.un_440 
  0x2a272504, 0x04092804, 0x1b2530ad, 0x1a086ba7,   // eu.gd.mt_332 sw.pl.fi_332  uz.eu.tr_643 ceb.no.tl_532 
  0x321b2fa0, 0x0825010b, 0x561709a4, 0x1b002d07,   // su.tr.bs_322 en.eu.no_542  pl.sr.mg_433 sk.tr.un_420 
  0x3f016e07, 0x30003f04, 0x25003f02, 0x04000f1b,   // hmn.en.af_432 af.uz.un_320  af.eu.un_220 lv.fi.un_770 
  // [5c20]
  0x070a25ad, 0x110a1108, 0x20006b04, 0x3d5309a4,   // eu.pt.it_643 ro.mk.ro_443  ceb.sq.un_320 pl.ht.ku_433 
  0x6b1c27ad, 0x28006409, 0x0d091f07, 0x2f1a1c0c,   // gd.id.ceb_643 lg.sw.un_440  cy.pl.cs_432 id.tl.su_543 
  0x12042508, 0x1f562707, 0x32175305, 0x1e1c2a0c,   // eu.fi.hu_443 gd.mg.cy_432  ht.sr.bs_333 mt.id.ms_543 
  0x08132907, 0x04533daf, 0x2f2153a0, 0x12001312,   // sl.et.no_432 ku.ht.fi_655  ht.jw.su_322 et.hu.un_640 
  // [5c30]
  0x073105ad, 0x53000513, 0x28171112, 0x53000b04,   // fr.az.it_643 fr.ht.un_650  ro.sr.sw_654 es.ht.un_320 
  0x23001719, 0x11002a1b, 0x19070b04, 0x1012130c,   // sr.ky.un_750 mt.ro.un_770  es.it.gl_332 et.hu.lt_543 
  0x04073004, 0x182527ec, 0x18006b07, 0x0b0737ec,   // uz.bg.ru_332 gd.eu.ga_644  ceb.ga.un_420 st.it.es_644 
  0x13001212, 0x09306ead, 0x08173509, 0x053f0e04,   // hu.et.un_640 hmn.uz.pl_643  tg.sr.uk_444 is.af.fr_332 
  // [5c40]
  0x1b1a53a4, 0x02091f13, 0x1a211e07, 0x09007309,   // ht.tl.tr_433 cy.pl.da_665  ms.jw.tl_432 ny.pl.un_440 
  0x091a6b04, 0x040817ee, 0x200c30a4, 0x08101707,   // ceb.tl.pl_332 sr.uk.ru_422  uz.sv.sq_433 sr.be.uk_432 
  0x12000809, 0x29321702, 0x12080208, 0x045305ee,   // no.hu.un_440 sr.bs.sl_222  da.no.hu_443 fr.ht.fi_422 
  0x1b321307, 0x05530d0c, 0x291208ee, 0x1f005304,   // et.bs.tr_432 cs.ht.fr_543  no.hu.sl_422 ht.cy.un_320 
  // [5c50]
  0x2d00090d, 0x0a231705, 0x10353012, 0x10003013,   // pl.sk.un_540 sr.ky.mk_333  uz.tg.be_654 uz.be.un_650 
  0x2f1b3012, 0x25096407, 0x1b556408, 0x29002304,   // uz.tr.su_654 lg.pl.eu_432  lg.rw.tr_443 ca.sl.un_320 
  0x53003007, 0x2f64730c, 0x1b6473ad, 0x645573a0,   // uz.ht.un_420 ny.lg.su_543  ny.lg.tr_643 ny.rw.lg_322 
  0x0c0302a0, 0x440711ee, 0x531b730b, 0x3d645507,   // da.nl.sv_322 ro.bg.kk_422  ny.tr.ht_542 rw.lg.ku_432 
  // [5c60]
  0x64002f05, 0x1b556411, 0x1200640e, 0x091f020c,   // su.lg.un_330 lg.rw.tr_653  lg.hu.un_550 da.cy.pl_543 
  0x05235608, 0x643d5312, 0x1a00531a, 0x122d730d,   // mg.ca.fr_443 ht.ku.lg_654  ht.tl.un_760 ny.sk.hu_554 
  0x73536407, 0x05642308, 0x53556407, 0x060e27a9,   // lg.ht.ny_432 ca.lg.fr_443  lg.rw.ht_432 gd.is.de_544 
  0x55647308, 0x12002d0e, 0x162d2908, 0x232b0555,   // ny.lg.rw_443 sk.hu.un_550  sl.sk.hr_443 fr.vi.ca_442 
  // [5c70]
  0x212f53a0, 0x28002102, 0x30530107, 0x556473a0,   // ht.su.jw_322 jw.sw.un_220  en.ht.uz_432 ny.lg.rw_322 
  0x013d30a4, 0x64215555, 0x350704a4, 0x31303d0d,   // uz.ku.en_433 rw.jw.lg_442  ru.bg.tg_433 ku.uz.az_554 
  0x0b0a230c, 0x645553ee, 0x55736413, 0x1b643008,   // ca.pt.es_543 ht.rw.lg_422  lg.ny.rw_665 uz.lg.tr_443 
  0x35001105, 0x0a231107, 0x535564a9, 0x0e212804,   // ro.tg.un_330 ro.ky.mk_432  lg.rw.ht_544 sw.jw.is_332 
  // [5c80]
  0x0c311307, 0x2b000a09, 0x55302fee, 0x0a002b0d,   // et.az.sv_432 pt.vi.un_440  su.uz.rw_422 vi.pt.un_540 
  0x08171104, 0x0a002b04, 0x0b002321, 0x09011fac,   // ro.sr.uk_332 vi.pt.un_320  ca.es.un_860 cy.en.pl_632 
  0x081b3105, 0x0810020c, 0x3d033f08, 0x10080260,   // az.tr.no_333 da.lt.no_543  af.nl.ku_443 da.no.lt_664 
  0x03070ca0, 0x28002d12, 0x3f02080b, 0x1f0c06a4,   // sv.it.nl_322 sk.sw.un_640  no.da.af_542 de.sv.cy_433 
  // [5c90]
  0x0c060ea4, 0x0a002b0b, 0x1b005502, 0x0a002b0c,   // is.de.sv_433 vi.pt.un_520  rw.tr.un_220 vi.pt.un_530 
  0x111104ec, 0x21005321, 0x041044ec, 0x1700310c,   // ru.ro.ro_644 ht.jw.un_860  kk.be.ru_644 az.sr.un_530 
  0x28002f1a, 0x0d2d09a4, 0x060c0e14, 0x2030550c,   // su.sw.un_760 pl.sk.cs_433  is.sv.de_666 rw.uz.sq_543 
  0x011f0c08, 0x2f1c0d04, 0x53002114, 0x090b1907,   // sv.cy.en_443 cs.id.su_332  jw.ht.un_660 gl.es.pl_432 
  // [5ca0]
  0x0700231d, 0x08020c07, 0x132b01ee, 0x00007337,   // ca.it.un_820 sv.da.no_432  en.vi.et_422 ny.un.un_B00 
  0x080423ee, 0x173008a4, 0x08023faf, 0x64001307,   // ky.ru.uk_422 uk.uz.sr_433  af.da.no_655 et.lg.un_420 
  0x64001f14, 0x20003021, 0x2d006b07, 0x2a002b04,   // cy.lg.un_660 uz.sq.un_860  ceb.sk.un_420 vi.mt.un_320 
  0x0c000e09, 0x09000a0c, 0x29000d0d, 0x30001f1a,   // is.sv.un_440 pt.pl.un_530  cs.sl.un_540 cy.uz.un_760 
  // [5cb0]
  0x3f130e0c, 0x23003009, 0x101e1c04, 0x211b300c,   // is.et.af_543 uz.ky.un_440  id.ms.lt_332 uz.tr.jw_543 
  0x53002120, 0x0b000509, 0x06303713, 0x20003005,   // jw.ht.un_850 fr.es.un_440  st.uz.de_665 uz.sq.un_330 
  0x5321230e, 0x170d2d0b, 0x23001c04, 0x0b0a2002,   // ca.jw.ht_555 sk.cs.sr_542  id.ca.un_320 sq.pt.es_222 
  0x44301014, 0x23002113, 0x302d5308, 0x05060fa0,   // be.uz.kk_666 jw.ca.un_650  ht.sk.uz_443 lv.de.fr_322 
  // [5cc0]
  0x02002805, 0x3200300c, 0x0b0a21a0, 0x0e0c02a0,   // sw.da.un_330 uz.bs.un_530  jw.pt.es_322 da.sv.is_322 
  0x100923a7, 0x10080414, 0x28001814, 0x0a000408,   // ca.pl.lt_532 ru.uk.be_666  ga.sw.un_660 ru.mk.un_430 
  0x300b3105, 0x2d002a05, 0x56000113, 0x32000908,   // az.es.uz_333 mt.sk.un_330  en.mg.un_650 pl.bs.un_430 
  0x0700060c, 0x3d090107, 0x0c3201a4, 0x04002712,   // de.it.un_530 en.pl.ku_432  en.bs.sv_433 gd.fi.un_640 
  // [5cd0]
  0x566b010c, 0x300a1704, 0x04070805, 0x0c291704,   // en.ceb.mg_543 sr.mk.uz_332  uk.bg.ru_333 sr.sl.sv_332 
  0x290a1b07, 0x112b0107, 0x27000807, 0x311b3004,   // tr.pt.sl_432 en.vi.ro_432  no.gd.un_420 uz.tr.az_332 
  0x19212f07, 0x1b371ea4, 0x13311b0c, 0x04122907,   // su.jw.gl_432 ms.st.tr_433  tr.az.et_543 sl.hu.fi_432 
  0x35002314, 0x0c080e11, 0x02232a55, 0x56003f02,   // ky.tg.un_660 is.no.sv_653  mt.ca.da_442 af.mg.un_220 
  // [5ce0]
  0x2d291104, 0x02080c55, 0x0100280d, 0x321704ec,   // ro.sl.sk_332 sv.no.da_442  sw.en.un_540 fi.sr.bs_644 
  0x072d010c, 0x08000714, 0x37015611, 0x071937af,   // en.sk.it_543 bg.uk.un_660  mg.en.st_653 st.gl.it_655 
  0x1713040b, 0x56007312, 0x0b0f20ad, 0x04001805,   // fi.et.sr_542 ny.mg.un_640  sq.lv.es_643 ga.fi.un_330 
  0x1956370c, 0x0a040812, 0x5600372b, 0x0c003f0d,   // st.mg.gl_543 uk.ru.mk_654  st.mg.un_980 af.sv.un_540 
  // [5cf0]
  0x64377313, 0x02033fa0, 0x07730b04, 0x5600370e,   // ny.st.lg_665 af.nl.da_322  es.ny.it_332 st.mg.un_550 
  0x07007321, 0x37002d12, 0x23001014, 0x0900120c,   // ny.it.un_860 sk.st.un_640  be.ky.un_660 hu.pl.un_530 
  0x041e12ad, 0x0d001c22, 0x00002037, 0x1609295a,   // hu.ms.fi_643 mr.ne.un_870  sq.un.un_B00 sl.pl.hr_553 
  0x0f000319, 0x56000712, 0x2a1e3104, 0x37730713,   // nl.lv.un_750 it.mg.un_640  az.ms.mt_332 it.ny.st_665 
  // [5d00]
  0x2f1c1ea7, 0x03002d14, 0x1e1c2fa9, 0x0f3f0307,   // ms.id.su_532 sk.nl.un_660  su.id.ms_544 nl.af.lv_432 
  0x567364af, 0x04000823, 0x03013fa9, 0x1c052b02,   // lg.ny.mg_655 uk.ru.un_880  af.en.nl_544 vi.fr.id_222 
  0x2f1c1e11, 0x05002007, 0x062a07a4, 0x04001209,   // ms.id.su_653 sq.fr.un_420  it.mt.de_433 hu.fi.un_440 
  0x563108a0, 0x1e001208, 0x08000218, 0x07190ba7,   // no.az.mg_322 hu.ms.un_430  da.no.un_740 es.gl.it_532 
  // [5d10]
  0x12000d08, 0x29000f1a, 0x0704440d, 0x00002042,   // cs.hu.un_430 lv.sl.un_760  kk.ru.bg_554 sq.un.un_C00 
  0x56001e05, 0x0a351007, 0x23100a04, 0x1c1e3055,   // ms.mg.un_330 be.tg.mk_432  mk.be.ky_332 uz.ms.id_442 
  0x53110504, 0x063f0111, 0x200d04af, 0x04001e13,   // fr.ro.ht_332 en.af.de_653  fi.cs.sq_655 ms.fi.un_650 
  0x0c080eaf, 0x0e321602, 0x0d003709, 0x175307a7,   // is.no.sv_655 hr.bs.is_222  st.cs.un_440 it.ht.sr_532 
  // [5d20]
  0x311b1e09, 0x2f0d56a7, 0x07100a07, 0x1f0e0c55,   // ms.tr.az_444 mg.cs.su_532  mk.be.bg_432 sv.is.cy_442 
  0x2f00370d, 0x2b002702, 0x32001108, 0x07111108,   // st.su.un_540 gd.vi.un_220  ro.bs.un_430 ro.ro.bg_443 
  0x022d1e07, 0x090d13a7, 0x20000e13, 0x44070405,   // ms.sk.da_432 bh.ne.hi_532  is.sq.un_650 ru.bg.kk_333 
  0x303105af, 0x1300290d, 0x29002d0e, 0x282d0d0d,   // fr.az.uz_655 sl.et.un_540  sk.sl.un_550 cs.sk.sw_554 
  // [5d30]
  0x0f1025ad, 0x29322da4, 0x0c000f09, 0x2f5321a4,   // eu.lt.lv_643 sk.bs.sl_433  lv.sv.un_440 jw.ht.su_433 
  0x201b1ea4, 0x35001108, 0x02001804, 0x13003009,   // ms.tr.sq_433 ro.tg.un_430  ga.da.un_320 uz.et.un_440 
  0x73041312, 0x35304413, 0x0a08170d, 0x25072307,   // et.fi.ny_654 kk.uz.tg_665  sr.uk.mk_554 ca.it.eu_432 
  0x56230555, 0x0a003012, 0x10121b08, 0x060727a0,   // fr.ca.mg_442 uz.pt.un_640  tr.hu.lt_443 gd.it.de_322 
  // [5d40]
  0x732b6e04, 0x64551b09, 0x270612a0, 0x1e001c34,   // hmn.vi.ny_332 tr.rw.lg_444  hu.de.gd_322 id.ms.un_A80 
  0x18270aa9, 0x031827af, 0x06006404, 0x250703a0,   // pt.gd.ga_544 gd.ga.nl_655  lg.de.un_320 nl.it.eu_322 
  0x13042804, 0x64001f22, 0x215520ad, 0x0a075505,   // sw.fi.et_332 cy.lg.un_870  sq.rw.jw_643 rw.it.pt_333 
  0x06080255, 0x29300daf, 0x23000522, 0x08441104,   // da.no.de_442 cs.uz.sl_655  fr.ca.un_870 ro.kk.uk_332 
  // [5d50]
  0x350704ad, 0x235605ee, 0x07170aee, 0x25001b22,   // ru.bg.tg_643 fr.mg.ca_422  mk.sr.bg_422 tr.eu.un_870 
  0x18006e0e, 0x372b18a0, 0x16000f12, 0x30005505,   // hmn.ga.un_550 ga.vi.st_322  lv.hr.un_640 rw.uz.un_330 
  0x3200641a, 0x09006b04, 0x2a000913, 0x1f003d14,   // lg.bs.un_760 ceb.pl.un_320  pl.mt.un_650 ku.cy.un_660 
  0x73001c04, 0x09251c05, 0x27091808, 0x060e08ee,   // id.ny.un_320 id.eu.pl_333  ga.pl.gd_443 no.is.de_422 
  // [5d60]
  0x2b1f27a7, 0x1f00180d, 0x172311ad, 0x56002802,   // gd.cy.vi_532 ga.cy.un_540  ro.ky.sr_643 sw.mg.un_220 
  0x2f0c7302, 0x0c0e08af, 0x2300170e, 0x30102fa0,   // ny.sv.su_222 no.is.sv_655  sr.ky.un_550 su.lt.uz_322 
  0x32020807, 0x03083fad, 0x0c001b0b, 0x106b1b07,   // no.da.bs_432 af.no.nl_643  tr.sv.un_520 tr.ceb.lt_432 
  0x25001b0d, 0x0600040e, 0x2f251e0c, 0x4430040e,   // tr.eu.un_540 fi.de.un_550  ms.eu.su_543 ru.uz.kk_555 
  // [5d70]
  0x281956ee, 0x56122512, 0x0c002d05, 0x6b731fa7,   // mg.gl.sw_422 eu.hu.mg_654  sk.sv.un_330 cy.ny.ceb_532 
  0x0d003009, 0x640328a7, 0x0a18370b, 0x6b3d1704,   // uz.cs.un_440 sw.nl.lg_532  st.ga.pt_542 sr.ku.ceb_332 
  0x01002502, 0x1e251c0c, 0x28001702, 0x217329ee,   // eu.en.un_220 id.eu.ms_543  sr.sw.un_220 sl.ny.jw_422 
  0x0a005604, 0x252f21a9, 0x0e005605, 0x091004ee,   // mg.pt.un_320 jw.su.eu_544  mg.is.un_330 fi.lt.pl_422 
  // [5d80]
  0x2f211b11, 0x25000608, 0x1200560b, 0x0400090e,   // tr.jw.su_653 de.eu.un_430  mg.hu.un_520 pl.fi.un_550 
  0x1b001f07, 0x0400280b, 0x25000612, 0x310c1b04,   // cy.tr.un_420 sw.fi.un_520  de.eu.un_640 tr.sv.az_332 
  0x25001e08, 0x30002a19, 0x1e1c1aa4, 0x0c3d1b07,   // ms.eu.un_430 mt.uz.un_750  tl.id.ms_433 tr.ku.sv_432 
  0x2f211e02, 0x2f1e1a08, 0x2f251c0c, 0x28000c0e,   // ms.jw.su_222 tl.ms.su_443  id.eu.su_543 sv.sw.un_550 
  // [5d90]
  0x20001704, 0x251b1e0c, 0x09292da4, 0x1b000c1b,   // sr.sq.un_320 ms.tr.eu_543  sk.sl.pl_433 sv.tr.un_770 
  0x2100122c, 0x1c04080b, 0x17442360, 0x190a11a9,   // ur.fa.un_990 no.fi.id_542  ky.kk.sr_664 ro.pt.gl_544 
  0x1e005612, 0x04000914, 0x0600250c, 0x28100612,   // mg.ms.un_640 pl.fi.un_660  eu.de.un_530 de.lt.sw_654 
  0x1c2821ee, 0x081c21a0, 0x0e2d0d0d, 0x1f082aa0,   // jw.sw.id_422 jw.id.no_322  cs.sk.is_554 mt.no.cy_322 
  // [5da0]
  0x071017a7, 0x13001f04, 0x0b000f07, 0x08101b09,   // sr.be.bg_532 cy.et.un_320  lv.es.un_420 tr.lt.no_444 
  0x6e002a0d, 0x23013da4, 0x13211ba4, 0x32162005,   // mt.hmn.un_540 ku.en.ca_433  tr.jw.et_433 sq.hr.bs_333 
  0x0a231913, 0x07000804, 0x17001111, 0x3f102105,   // gl.ca.pt_665 no.it.un_320  ro.sr.un_630 jw.lt.af_333 
  0x08000734, 0x04081113, 0x031e3f04, 0x181011a0,   // bg.uk.un_A80 ro.no.fi_665  af.ms.nl_332 ro.lt.ga_322 
  // [5db0]
  0x11190b5a, 0x04130fa0, 0x1b250912, 0x64201b08,   // es.gl.ro_553 lv.et.fi_322  pl.eu.tr_654 tr.sq.lg_443 
  0x021210a4, 0x3f006419, 0x2d000d2a, 0x56201b0c,   // lt.hu.da_433 lg.af.un_750  cs.sk.un_970 tr.sq.mg_543 
  0x3000441b, 0x0406130d, 0x0508010c, 0x0a0804a4,   // kk.uz.un_770 et.de.fi_554  en.no.fr_543 ru.uk.mk_433 
  0x1b30060c, 0x311b6b04, 0x1008440d, 0x0d010ca4,   // de.uz.tr_543 ceb.tr.az_332  kk.uk.be_554 sv.en.cs_433 
  // [5dc0]
  0x020413ad, 0x2a00010d, 0x040a11a0, 0x04232a55,   // et.fi.da_643 en.mt.un_540  ro.mk.ru_322 mt.ca.fi_442 
  0x07001019, 0x2800031a, 0x1c2f640c, 0x1f0608ad,   // be.bg.un_750 nl.sw.un_760  lg.su.id_543 no.de.cy_643 
  0x250b1907, 0x3508040c, 0x080c0412, 0x1703020c,   // gl.es.eu_432 ru.uk.tg_543  fi.sv.no_654 da.nl.sr_543 
  0x08070aa4, 0x08006b05, 0x0c2a0708, 0x2a0c0812,   // mk.bg.uk_433 ceb.no.un_330  it.mt.sv_443 no.sv.mt_654 
  // [5dd0]
  0x04033f11, 0x012b30ee, 0x353004a7, 0x080a04af,   // af.nl.fi_653 uz.vi.en_422  ru.uz.tg_532 ru.mk.uk_655 
  0x13000917, 0x08300a12, 0x30230ba0, 0x2a0a300c,   // pl.et.un_730 mk.uz.uk_654  es.ca.uz_322 uz.pt.mt_543 
  0x1f3f0213, 0x30003508, 0x1200561b, 0x1f2d0d11,   // da.af.cy_665 tg.uz.un_430  mg.hu.un_770 cs.sk.cy_653 
  0x6e0d2dee, 0x053f030d, 0x08303f0b, 0x02001104,   // sk.cs.hmn_422 nl.af.fr_554  af.uz.no_542 ro.da.un_320 
  // [5de0]
  0x29272b13, 0x28371a07, 0x372821ec, 0x08321708,   // vi.gd.sl_665 tl.st.sw_432  jw.sw.st_644 sr.bs.no_443 
  0x211a1e12, 0x35101705, 0x210a37a7, 0x1110110d,   // ms.tl.jw_654 sr.be.tg_333  st.pt.jw_532 ro.be.ro_554 
  0x1f000119, 0x10002009, 0x0d292d12, 0x1a0a37ee,   // en.cy.un_750 sq.lt.un_440  sk.sl.cs_654 st.pt.tl_422 
  0x3000170c, 0x08070a02, 0x645318a4, 0x0a1123a4,   // sr.uz.un_530 mk.bg.uk_222  ga.ht.lg_433 ky.ro.mk_433 
  // [5df0]
  0x01311c04, 0x37006b22, 0x08100411, 0x32370c07,   // id.az.en_332 ceb.st.un_870  ru.be.uk_653 sv.st.bs_432 
  0x080232a4, 0x2900200d, 0x1b000608, 0x562913af,   // bs.da.no_433 sq.sl.un_540  de.tr.un_430 et.sl.mg_655 
  0x101709a4, 0x12000618, 0x076b1809, 0x30234405,   // pl.sr.lt_433 de.hu.un_740  ga.ceb.it_444 kk.ky.uz_333 
  0x0f105313, 0x13001104, 0x0f0818a7, 0x233530ac,   // ht.lt.lv_665 ro.et.un_320  ga.no.lv_532 uz.tg.ky_632 
  // [5e00]
  0x371c1ead, 0x1f2b32a0, 0x160912ad, 0x0f00101b,   // ms.id.st_643 bs.vi.cy_322  hu.pl.hr_643 lt.lv.un_770 
  0x0d092d07, 0x101b31a0, 0x29000902, 0x23080405,   // sk.pl.cs_432 az.tr.lt_322  pl.sl.un_220 ru.uk.ky_333 
  0x1a000e04, 0x2d0901a0, 0x2a290605, 0x17291304,   // is.tl.un_320 en.pl.sk_322  de.sl.mt_333 et.sl.sr_332 
  0x3f002f02, 0x01006b14, 0x17003107, 0x0407350c,   // su.af.un_220 ceb.en.un_660  az.sr.un_420 tg.bg.ru_543 
  // [5e10]
  0x16005307, 0x563028a0, 0x08441012, 0x04101112,   // ht.hr.un_420 sw.uz.mg_322  be.kk.uk_654 ro.be.ru_654 
  0x1f2a210c, 0x18113704, 0x181b27ac, 0x30002013,   // jw.mt.cy_543 st.ro.ga_332  gd.tr.ga_632 sq.uz.un_650 
  0x21113705, 0x1911180c, 0x0a1a6bad, 0x04352307,   // st.ro.jw_333 ga.ro.gl_543  ceb.tl.pt_643 ky.tg.ru_432 
  0x03643f14, 0x281a6ba4, 0x042f130c, 0x6b2f21a4,   // af.lg.nl_666 ceb.tl.sw_433  et.su.fi_543 jw.su.ceb_433 
  // [5e20]
  0x13033f08, 0x17353012, 0x0e003702, 0x03186407,   // af.nl.et_443 uz.tg.sr_654  st.is.un_220 lg.ga.nl_432 
  0x03013fa0, 0x1a556b09, 0x07041709, 0x03001c08,   // af.en.nl_322 ceb.rw.tl_444  sr.ru.bg_444 id.nl.un_430 
  0x37172fa4, 0x27003202, 0x3f036407, 0x19130ba4,   // su.sr.st_433 bs.gd.un_220  lg.nl.af_432 es.et.gl_433 
  0x32120604, 0x55211aa4, 0x27000b02, 0x081007a7,   // de.hu.bs_332 tl.jw.rw_433  es.gd.un_220 bg.be.uk_532 
  // [5e30]
  0x17292da0, 0x091c0d14, 0x1a211c08, 0x133f6405,   // sk.sl.sr_322 ne.mr.hi_666  id.jw.tl_443 lg.af.et_333 
  0x043f035a, 0x033f13af, 0x04170712, 0x13643f05,   // nl.af.fi_553 et.af.nl_655  bg.sr.ru_654 af.lg.et_333 
  0x0c080e0b, 0x30000212, 0x170407a9, 0x190b230c,   // is.no.sv_542 da.uz.un_640  bg.ru.sr_544 ca.es.gl_543 
  0x0811170d, 0x073004a4, 0x0f000d0c, 0x25080208,   // sr.ro.uk_554 ru.uz.bg_433  cs.lv.un_530 da.no.eu_443 
  // [5e40]
  0x0802250c, 0x300a2305, 0x29000805, 0x21003f02,   // eu.da.no_543 ky.mk.uz_333  no.sl.un_330 af.jw.un_220 
  0x37003020, 0x302d29a4, 0x0e000305, 0x1e1c28af,   // uz.st.un_850 sl.sk.uz_433  nl.is.un_330 sw.id.ms_655 
  0x0200082b, 0x0e020c07, 0x2d0d07a0, 0x0c0802a4,   // no.da.un_980 sv.da.is_432  it.cs.sk_322 da.no.sv_433 
  0x0f0811a0, 0x292d30a9, 0x2f73640c, 0x31000d09,   // ro.no.lv_322 uz.sk.sl_544  lg.ny.su_543 cs.az.un_440 
  // [5e50]
  0x070835a4, 0x2a0855a0, 0x08100709, 0x020f0c0c,   // tg.uk.bg_433 rw.no.mt_322  bg.be.uk_444 sv.lv.da_543 
  0x3f0c0304, 0x0c0230a9, 0x3200290d, 0x29002504,   // nl.sv.af_332 uz.da.sv_544  sl.bs.un_540 eu.sl.un_320 
  0x0800230d, 0x3f2a640b, 0x32002f07, 0x09006e07,   // ky.uk.un_540 lg.mt.af_542  su.bs.un_420 hmn.pl.un_420 
  0x55001705, 0x0e080704, 0x05313f04, 0x0a0407a9,   // sr.rw.un_330 it.no.is_332  af.az.fr_332 bg.ru.mk_544 
  // [5e60]
  0x0728730c, 0x2a0c64a0, 0x01072a55, 0x6e5305a4,   // ny.sw.it_543 lg.sv.mt_322  mt.it.en_442 fr.ht.hmn_433 
  0x732d0dec, 0x23000519, 0x64563712, 0x731a31ee,   // cs.sk.ny_644 fr.ca.un_750  st.mg.lg_654 az.tl.ny_422 
  0x103d08a0, 0x53557302, 0x350810af, 0x3d136408,   // no.ku.lt_322 ny.rw.ht_222  be.uk.tg_655 lg.et.ku_443 
  0x07190bec, 0x3f0355a4, 0x1f560aee, 0x311827a4,   // es.gl.it_644 rw.nl.af_433  pt.mg.cy_422 gd.ga.az_433 
  // [5e70]
  0x2f0630ee, 0x06080ca4, 0x16003d07, 0x1a372907,   // uz.de.su_422 sv.no.de_433  ku.hr.un_420 sl.st.tl_432 
  0x07441705, 0x3f030211, 0x1e1c13ec, 0x0a1708a9,   // sr.kk.bg_333 da.nl.af_653  et.id.ms_644 uk.sr.mk_544 
  0x080e0707, 0x056b07a0, 0x0c000704, 0x08001f0d,   // it.is.no_432 it.ceb.fr_322  it.sv.un_320 cy.no.un_540 
  0x095627ad, 0x17080a0d, 0x0a080460, 0x03001b08,   // gd.mg.pl_643 mk.uk.sr_554  ru.uk.mk_664 tr.nl.un_430 
  // [5e80]
  0x03023fee, 0x02001f1a, 0x0c001e0d, 0x130464a6,   // af.da.nl_422 cy.da.un_760  ms.sv.un_540 lg.fi.et_521 
  0x30006e0c, 0x64006b08, 0x0b0a6402, 0x100a3708,   // hmn.uz.un_530 ceb.lg.un_430  lg.pt.es_222 st.pt.lt_443 
  0x02201f12, 0x64042804, 0x55003702, 0x732937ad,   // cy.sq.da_654 sw.fi.lg_332  st.rw.un_220 st.sl.ny_643 
  0x21006b11, 0x08040a09, 0x0e312b55, 0x193f0b07,   // ceb.jw.un_630 mk.ru.uk_444  vi.az.is_442 es.af.gl_432 
  // [5e90]
  0x64102f0e, 0x1a001104, 0x073d010b, 0x1c0d13a7,   // su.lt.lg_555 ro.tl.un_320  en.ku.it_542 bh.ne.mr_532 
  0x13183d08, 0x1f001b19, 0x2f033f04, 0x0c530204,   // ku.ga.et_443 tr.cy.un_750  af.nl.su_332 da.ht.sv_332 
  0x273d01a7, 0x1b3f13af, 0x131e1c04, 0x6b040c04,   // en.ku.gd_532 et.af.tr_655  id.ms.et_332 sv.fi.ceb_332 
  0x0406250b, 0x1000070c, 0x093f0305, 0x17103507,   // eu.de.fi_542 bg.be.un_530  nl.af.pl_333 tg.be.sr_432 
  // [5ea0]
  0x0c001b12, 0x300408a0, 0x10092daf, 0x0f033f0d,   // tr.sv.un_640 uk.ru.uz_322  sk.pl.lt_655 af.nl.lv_554 
  0x020408a4, 0x2d000920, 0x64561008, 0x1000641a,   // no.fi.da_433 pl.sk.un_850  lt.mg.lg_443 lg.lt.un_760 
  0x32002505, 0x1a006b05, 0x3f000634, 0x12377305,   // eu.bs.un_330 ceb.tl.un_330  de.af.un_A80 ny.st.hu_333 
  0x2f370407, 0x6b0610a0, 0x12300c04, 0x04170812,   // fi.st.su_432 lt.de.ceb_322  sv.uz.hu_332 uk.sr.ru_654 
  // [5eb0]
  0x301c56a0, 0x0e000a04, 0x64311bad, 0x081210a0,   // mg.id.uz_322 pt.is.un_320  tr.az.lg_643 lt.hu.no_322 
  0x1c110a04, 0x2d290dad, 0x0e1f53a0, 0x11114405,   // pt.ro.id_332 cs.sl.sk_643  ht.cy.is_322 kk.ro.ro_333 
  0x060b0708, 0x110f2daf, 0x0f042d0c, 0x062a0914,   // it.es.de_443 sk.lv.ro_655  sk.fi.lv_543 pl.mt.de_666 
  0x04100f12, 0x07442313, 0x01033f12, 0x3f190b04,   // lv.lt.fi_654 ky.kk.bg_665  af.nl.en_654 es.gl.af_332 
  // [5ec0]
  0x3d000d08, 0x13080407, 0x2304100d, 0x53002b02,   // cs.ku.un_430 fi.no.et_432  be.ru.ky_554 vi.ht.un_220 
  0x09190b08, 0x32001c04, 0x2a292d07, 0x11102311,   // es.gl.pl_443 id.bs.un_320  sk.sl.mt_432 ky.be.ro_653 
  0x30562f07, 0x0d0f2da4, 0x110a11a4, 0x0e12180b,   // su.mg.uz_432 sk.lv.cs_433  ro.mk.ro_433 ga.hu.is_542 
  0x10001109, 0x04002007, 0x0e00020b, 0x042029a4,   // ro.lt.un_440 sq.fi.un_420  da.is.un_520 sl.sq.fi_433 
  // [5ed0]
  0x09000412, 0x73200c07, 0x010e25ad, 0x35072307,   // fi.pl.un_640 sv.sq.ny_432  eu.is.en_643 ky.bg.tg_432 
  0x44301107, 0x56371207, 0x13000309, 0x30102102,   // ro.uz.kk_432 hu.st.mg_432  nl.et.un_440 jw.lt.uz_222 
  0x0b001012, 0x55006405, 0x11100a0c, 0x561204a4,   // lt.es.un_640 lg.rw.un_330  mk.be.ro_543 fi.hu.mg_433 
  0x0f001c04, 0x01006b08, 0x53002113, 0x190a1a14,   // id.lv.un_320 ceb.en.un_430  jw.ht.un_650 tl.pt.gl_666 
  // [5ee0]
  0x20560414, 0x100f08a0, 0x27000a02, 0x19001208,   // fi.mg.sq_666 no.lv.lt_322  pt.gd.un_220 hu.gl.un_430 
  0x30002a02, 0x300810a4, 0x121b30a7, 0x100f1c0c,   // mt.uz.un_220 be.uk.uz_433  uz.tr.hu_532 id.lv.lt_543 
  0x31201b05, 0x07440aaf, 0x1b0e3113, 0x3f0e0ca0,   // tr.sq.az_333 mk.kk.bg_655  az.is.tr_665 sv.is.af_322 
  0x11292da0, 0x322d0dad, 0x1a0f1e12, 0x21200e12,   // sk.sl.ro_322 cs.sk.bs_643  ms.lv.tl_654 is.sq.jw_654 
  // [5ef0]
  0x2f001a04, 0x040e1005, 0x321703ee, 0x31000e14,   // tl.su.un_320 lt.is.fi_333  nl.sr.bs_422 is.az.un_660 
  0x09190b09, 0x08020e0e, 0x2d170da4, 0x3f0329a0,   // es.gl.pl_444 is.da.no_555  cs.sr.sk_433 sl.nl.af_322 
  0x0704300d, 0x2f066b0e, 0x110f0e07, 0x0804100e,   // uz.fi.it_554 ceb.de.su_555  is.lv.ro_432 be.ru.uk_555 
  0x0b001e08, 0x5301130c, 0x13006e08, 0x0a0804ad,   // ms.es.un_430 et.en.ht_543  hmn.et.un_430 ru.uk.mk_643 
  // [5f00]
  0x3d002a22, 0x122d18af, 0x210410a0, 0x03010607,   // mt.ku.un_870 ga.sk.hu_655  lt.fi.jw_322 de.en.nl_432 
  0x30000a09, 0x310e1ba4, 0x06003f05, 0x1a535502,   // mk.uz.un_440 tr.is.az_433  af.de.un_330 rw.ht.tl_222 
  0x102903ee, 0x55251aa0, 0x35304405, 0x12301008,   // nl.sl.lt_422 tl.eu.rw_322  kk.uz.tg_333 lt.uz.hu_443 
  0x0c002307, 0x2300352a, 0x23443012, 0x23301007,   // ca.sv.un_420 tg.ky.un_970  uz.kk.ky_654 be.uz.ky_432 
  // [5f10]
  0x1a6b55ad, 0x1f0e20a4, 0x35170405, 0x1f23190d,   // rw.ceb.tl_643 sq.is.cy_433  ru.sr.tg_333 gl.ca.cy_554 
  0x10080ead, 0x44001112, 0x17162fee, 0x1e6e2007,   // is.no.lt_643 ro.kk.un_640  su.hr.sr_422 sq.hmn.ms_432 
  0x2a0b0aa4, 0x0b251955, 0x195301a0, 0x2d000909,   // pt.es.mt_433 gl.eu.es_442  en.ht.gl_322 pl.sk.un_440 
  0x17081002, 0x3055640d, 0x1a6b2f55, 0x07300f07,   // be.uk.sr_222 lg.rw.uz_554  su.ceb.tl_442 lv.uz.it_432 
  // [5f20]
  0x0600070d, 0x0a002f0d, 0x0728100c, 0x28005313,   // it.de.un_540 su.pt.un_540  lt.sw.it_543 ht.sw.un_650 
  0x0709100c, 0x100d2d11, 0x09085507, 0x190b0a55,   // lt.pl.it_543 sk.cs.lt_653  rw.no.pl_432 pt.es.gl_442 
  0x083035ad, 0x13006e0d, 0x1f033faf, 0x2d2307a9,   // tg.uz.uk_643 hmn.et.un_540  af.nl.cy_655 it.ca.sk_544 
  0x18561307, 0x071310ad, 0x190b08a0, 0x1f3f030e,   // et.mg.ga_432 lt.et.it_643  no.es.gl_322 nl.af.cy_555 
  // [5f30]
  0x100907ee, 0x1a001213, 0x2d121905, 0x08441712,   // it.pl.lt_422 hu.tl.un_650  gl.hu.sk_333 sr.kk.uk_654 
  0x200a0708, 0x0e033f0c, 0x102307a4, 0x73280707,   // it.pt.sq_443 af.nl.is_543  it.ca.lt_433 it.sw.ny_432 
  0x5607100c, 0x041810a4, 0x1700041a, 0x19072305,   // lt.it.mg_543 lt.ga.fi_433  ru.sr.un_760 ca.it.gl_333 
  0x2d0d19ee, 0x27050712, 0x17072308, 0x2f3f03af,   // gl.cs.sk_422 it.fr.gd_654  ky.bg.sr_443 nl.af.su_655 
  // [5f40]
  0x07003012, 0x05212f0c, 0x09000c02, 0x170723ad,   // uz.bg.un_640 su.jw.fr_543  sv.pl.un_220 ky.bg.sr_643 
  0x0100250d, 0x27002f0e, 0x2a2f06ee, 0x0700191b,   // eu.en.un_540 su.gd.un_550  de.su.mt_422 gl.it.un_770 
  0x23033f12, 0x19000707, 0x060e1e07, 0x3f252f0b,   // af.nl.ca_654 it.gl.un_420  ms.is.de_432 su.eu.af_542 
  0x0c043005, 0x1000230c, 0x03002512, 0x172d10a6,   // uz.fi.sv_333 ky.be.un_530  eu.nl.un_640 lt.sk.sr_521 
  // [5f50]
  0x21001e08, 0x53001905, 0x6b250fad, 0x6b2521a4,   // ms.jw.un_430 gl.ht.un_330  lv.eu.ceb_643 jw.eu.ceb_433 
  0x276b01ee, 0x3d1e1c0e, 0x2f000422, 0x2b005319,   // en.ceb.gd_422 id.ms.ku_555  fi.su.un_870 ht.vi.un_750 
  0x113d1fa7, 0x111b0107, 0x27042fa7, 0x1f3d01a4,   // cy.ku.ro_532 en.tr.ro_432  su.fi.gd_532 en.ku.cy_433 
  0x2f1b2105, 0x08001119, 0x1a6b3709, 0x1f00730c,   // jw.tr.su_333 ro.no.un_750  st.ceb.tl_444 ny.cy.un_530 
  // [5f60]
  0x1c1f1008, 0x11302811, 0x042f0660, 0x08302807,   // lt.cy.id_443 sw.uz.ro_653  de.su.fi_664 sw.uz.no_432 
  0x090b6b02, 0x2d560d0c, 0x05110107, 0x280855ee,   // ceb.es.pl_222 cs.mg.sk_543  en.ro.fr_432 rw.no.sw_422 
  0x01002804, 0x56373008, 0x1800300c, 0x11001b07,   // sw.en.un_320 uz.st.mg_443  uz.ga.un_530 tr.ro.un_420 
  0x1a6b56ec, 0x1a206b0c, 0x280118a4, 0x053111ad,   // mg.ceb.tl_644 ceb.sq.tl_543  ga.en.sw_433 ro.az.fr_643 
  // [5f70]
  0x0e200204, 0x02005309, 0x3d00061b, 0x30002907,   // da.sq.is_332 ht.da.un_440  de.ku.un_770 sl.uz.un_420 
  0x19070aee, 0x172d29a9, 0x6b1b1004, 0x566410a0,   // pt.it.gl_422 sl.sk.sr_544  lt.tr.ceb_332 lt.lg.mg_322 
  0x56000414, 0x1b113dec, 0x301a560e, 0x0e002704,   // fi.mg.un_660 ku.ro.tr_644  mg.tl.uz_555 gd.is.un_320 
  0x121a6407, 0x562904af, 0x6b3d3007, 0x07313004,   // lg.tl.hu_432 fi.sl.mg_655  uz.ku.ceb_432 uz.az.it_332 
  // [5f80]
  0x281f5512, 0x060f11ee, 0x04305608, 0x190c0aee,   // rw.cy.sw_654 ro.lv.de_422  mg.uz.fi_443 pt.sv.gl_422 
  0x1b1231ee, 0x066e37ee, 0x0c3001a0, 0x06080ca6,   // az.hu.tr_422 st.hmn.de_422  en.uz.sv_322 sv.no.de_521 
  0x0c0802a6, 0x12531008, 0x3004100c, 0x64172802,   // da.no.sv_521 lt.ht.hu_443  be.ru.uz_543 sw.sr.lg_222 
  0x1e201a05, 0x1b00110d, 0x0e64560c, 0x1f287312,   // tl.sq.ms_333 ro.tr.un_540  mg.lg.is_543 ny.sw.cy_654 
  // [5f90]
  0x202837a0, 0x161155ee, 0x100a21a0, 0x01000504,   // st.sw.sq_322 rw.ro.hr_422  jw.pt.lt_322 fr.en.un_320 
  0x320f100b, 0x2f216b11, 0x016b0607, 0x6b1f1804,   // lt.lv.bs_542 ceb.jw.su_653  de.ceb.en_432 ga.cy.ceb_332 
  0x060c040c, 0x231901ee, 0x190b37a4, 0x2f2111a9,   // fi.sv.de_543 en.gl.ca_422  st.es.gl_433 ro.jw.su_544 
  0x071a31a0, 0x13001c18, 0x2a001104, 0x1f003f05,   // az.tl.it_322 mr.bh.un_740  ro.mt.un_320 af.cy.un_330 
  // [5fa0]
  0x2f213002, 0x1a006e07, 0x2d0f10ee, 0x37002509,   // uz.jw.su_222 hmn.tl.un_420  lt.lv.sk_422 eu.st.un_440 
  0x10000b08, 0x20061f0c, 0x31212304, 0x1f033f0c,   // es.lt.un_430 cy.de.sq_543  ca.jw.az_332 af.nl.cy_543 
  0x0c061904, 0x2d000208, 0x35001009, 0x23001304,   // gl.de.sv_332 da.sk.un_430  be.tg.un_440 et.ca.un_320 
  0x25041104, 0x0b0e30a0, 0x0a0823a7, 0x561e1c0d,   // ro.fi.eu_332 uz.is.es_322  ky.uk.mk_532 id.ms.mg_554 
  // [5fb0]
  0x17100408, 0x281a04a9, 0x5655280c, 0x32000a07,   // ru.be.sr_443 fi.tl.sw_544  sw.rw.mg_543 pt.bs.un_420 
  0x256b1a08, 0x6b0473a7, 0x080613ee, 0x1b1a25a4,   // tl.ceb.eu_443 ny.fi.ceb_532  et.de.no_422 eu.tl.tr_433 
  0x13255504, 0x060d03ee, 0x2800201a, 0x280437a0,   // rw.eu.et_332 nl.cs.de_422  sq.sw.un_760 st.fi.sw_322 
  0x6b2873a4, 0x28552508, 0x0f006e08, 0x1c3101ee,   // ny.sw.ceb_433 eu.rw.sw_443  hmn.lv.un_430 en.az.id_422 
  // [5fc0]
  0x30313202, 0x55253112, 0x070810a4, 0x04562d08,   // bs.az.uz_222 az.eu.rw_654  be.uk.bg_433 sk.mg.fi_443 
  0x1104255a, 0x080e0fad, 0x6b000413, 0x5504280c,   // eu.fi.ro_553 lv.is.no_643  fi.ceb.un_650 sw.fi.rw_543 
  0x281304af, 0x2855560c, 0x20321609, 0x3f0305ec,   // fi.et.sw_655 mg.rw.sw_543  hr.bs.sq_444 fr.nl.af_644 
  0x2f3f050c, 0x101a1ea4, 0x53012aa0, 0x256b1a5a,   // fr.af.su_543 ms.tl.lt_433  mt.en.ht_322 tl.ceb.eu_553 
  // [5fd0]
  0x73201808, 0x2f6b0507, 0x106b1a09, 0x283708a0,   // ga.sq.ny_443 fr.ceb.su_432  tl.ceb.lt_444 no.st.sw_322 
  0x27001904, 0x301c1ead, 0x23005504, 0x282055a9,   // gl.gd.un_320 ms.id.uz_643  rw.ca.un_320 rw.sq.sw_544 
  0x282f1aa4, 0x065564a0, 0x3f002f14, 0x1228370c,   // tl.su.sw_433 lg.rw.de_322  su.af.un_660 st.sw.hu_543 
  0x042a07ee, 0x2a645507, 0x136b2f04, 0x53023f08,   // it.mt.fi_422 rw.lg.mt_432  su.ceb.et_332 af.da.ht_443 
  // [5fe0]
  0x1100180e, 0x3f052fad, 0x556430ee, 0x6402080c,   // ga.ro.un_550 su.fr.af_643  uz.lg.rw_422 no.da.lg_543 
  0x0b000613, 0x232d0d05, 0x1e1c53ee, 0x323d11a4,   // de.es.un_650 cs.sk.ca_333  ht.id.ms_422 ro.ku.bs_433 
  0x10010fad, 0x371f12af, 0x18002a04, 0x53000208,   // lv.en.lt_643 hu.cy.st_655  mt.ga.un_320 da.ht.un_430 
  0x2a000722, 0x53256404, 0x73002114, 0x23001f02,   // it.mt.un_870 lg.eu.ht_332  jw.ny.un_660 cy.ca.un_220 
  // [5ff0]
  0x11003113, 0x1a532107, 0x0a0702a4, 0x13002802,   // az.ro.un_650 jw.ht.tl_432  da.it.pt_433 sw.et.un_220 
  0x53000512, 0x23001907, 0x31002104, 0x03000512,   // fr.ht.un_640 gl.ca.un_420  jw.az.un_320 fr.nl.un_640 
  0x0420290b, 0x3f000519, 0x03052f08, 0x536b1aa0,   // sl.sq.fi_542 fr.af.un_750  su.fr.nl_443 tl.ceb.ht_322 
  0x23005605, 0x64002112, 0x180827ad, 0x0a002a05,   // mg.ca.un_330 jw.lg.un_640  gd.no.ga_643 mt.pt.un_330 
  
  // [6000]
  0x25190b13, 0x2b001809, 0x2f061804, 0x08020602,   // es.gl.eu_665 ga.vi.un_440  ga.de.su_332 de.da.no_222 
  0x2a3f07ad, 0x350730ad, 0x21093f07, 0x731a6b11,   // it.af.mt_643 uz.bg.tg_643  af.pl.jw_432 ceb.tl.ny_653 
  0x562f05a6, 0x040a44a4, 0x20002502, 0x64002a0d,   // fr.su.mg_521 kk.mk.ru_433  eu.sq.un_220 mt.lg.un_540 
  0x2f7321a0, 0x56736e08, 0x2300100b, 0x122a0aee,   // jw.ny.su_322 hmn.ny.mg_443  be.ky.un_520 pt.mt.hu_422 
  // [6010]
  0x18000e07, 0x17040aa7, 0x10003f04, 0x23003513,   // is.ga.un_420 mk.ru.sr_532  af.lt.un_320 tg.ky.un_650 
  0x04081714, 0x0a0744ec, 0x20002507, 0x23043005,   // sr.uk.ru_666 kk.bg.mk_644  eu.sq.un_420 uz.ru.ky_333 
  0x08063f07, 0x0400170c, 0x234435a0, 0x04070808,   // af.de.no_432 sr.ru.un_530  tg.kk.ky_322 uk.bg.ru_443 
  0x2100030e, 0x0d2910a4, 0x31003d08, 0x0c0802ec,   // nl.jw.un_550 lt.sl.cs_433  ku.az.un_430 da.no.sv_644 
  // [6020]
  0x040a070d, 0x2300010d, 0x25005505, 0x0d290807,   // bg.mk.ru_554 en.ca.un_540  rw.eu.un_330 no.sl.cs_432 
  0x110a0405, 0x07351104, 0x083511a7, 0x1a135505,   // ru.mk.ro_333 ro.tg.bg_332  ro.tg.uk_532 rw.et.tl_333 
  0x103f0304, 0x060c3fa4, 0x062d0d08, 0x350a3005,   // nl.af.lt_332 af.sv.de_433  cs.sk.de_443 uz.mk.tg_333 
  0x23006405, 0x35171107, 0x070e1f02, 0x0400440e,   // lg.ca.un_330 ro.sr.tg_432  cy.is.it_222 kk.ru.un_550 
  // [6030]
  0x20002a0c, 0x072d0dee, 0x23443008, 0x20003208,   // mt.sq.un_530 cs.sk.it_422  uz.kk.ky_443 bs.sq.un_430 
  0x0f2f0b04, 0x280c180c, 0x0a000b04, 0x1b000a07,   // es.su.lv_332 ga.sv.sw_543  es.pt.un_320 pt.tr.un_420 
  0x0b2d3107, 0x10076b08, 0x040c0a08, 0x031f08a0,   // az.sk.es_432 ceb.it.lt_443  pt.sv.fi_443 no.cy.nl_322 
  0x022d0d60, 0x091e1c09, 0x64531f02, 0x1900070c,   // cs.sk.da_664 id.ms.pl_444  cy.ht.lg_222 it.gl.un_530 
  // [6040]
  0x0a040855, 0x07190b08, 0x126b1a04, 0x2f553204,   // uk.ru.mk_442 es.gl.it_443  tl.ceb.hu_332 bs.rw.su_332 
  0x551764ee, 0x2d1b3da9, 0x122d0dad, 0x0a09280c,   // lg.sr.rw_422 ku.tr.sk_544  cs.sk.hu_643 sw.pl.pt_543 
  0x202a0807, 0x09130404, 0x041310ad, 0x19002305,   // no.mt.sq_432 fi.et.pl_332  lt.et.fi_643 ca.gl.un_330 
  0x07100b05, 0x2a20550d, 0x04201305, 0x1105230c,   // es.lt.it_333 rw.sq.mt_554  et.sq.fi_333 ca.fr.ro_543 
  // [6050]
  0x070b0a08, 0x047307a4, 0x0f1e1c55, 0x2d001304,   // pt.es.it_443 it.ny.fi_433  id.ms.lv_442 et.sk.un_320 
  0x2837730c, 0x5530135a, 0x0c301e55, 0x0f000b07,   // ny.st.sw_543 et.uz.rw_553  ms.uz.sv_442 es.lv.un_420 
  0x11002309, 0x110a170c, 0x311b30a7, 0x0d000619,   // ca.ro.un_440 sr.mk.ro_543  uz.tr.az_532 de.cs.un_750 
  0x2b37730c, 0x350730a4, 0x300423a4, 0x202128a0,   // ny.st.vi_543 uz.bg.tg_433  ky.ru.uz_433 sw.jw.sq_322 
  // [6060]
  0x3f530305, 0x280f27ee, 0x20646bec, 0x16202a0c,   // nl.ht.af_333 gd.lv.sw_422  ceb.lg.sq_644 mt.sq.hr_543 
  0x080209ec, 0x201c1e11, 0x04080205, 0x20103fec,   // pl.da.no_644 ms.id.sq_653  da.no.fi_333 af.lt.sq_644 
  0x021020ac, 0x181f55ee, 0x1827110c, 0x25133060,   // sq.lt.da_632 rw.cy.ga_422  ro.gd.ga_543 uz.et.eu_664 
  0x28002107, 0x1c64215a, 0x13201014, 0x04081005,   // jw.sw.un_420 jw.lg.id_553  lt.sq.et_666 be.uk.ru_333 
  // [6070]
  0x0c55250c, 0x0e130407, 0x1b3031a9, 0x1b00100c,   // eu.rw.sv_543 fi.et.is_432  az.uz.tr_544 lt.tr.un_530 
  0x29000304, 0x06000313, 0x080212ee, 0x311b3013,   // nl.sl.un_320 nl.de.un_650  hu.da.no_422 uz.tr.az_665 
  0x201228ee, 0x17041004, 0x01001807, 0x2100200e,   // sw.hu.sq_422 be.ru.sr_332  ga.en.un_420 sq.jw.un_550 
  0x08100a0c, 0x230410a9, 0x2b001f0d, 0x1f002b13,   // mk.be.uk_543 be.ru.ky_544  cy.vi.un_540 vi.cy.un_650 
  // [6080]
  0x0c032304, 0x2b001908, 0x2f025512, 0x1f002b19,   // ca.nl.sv_332 gl.vi.un_430  rw.da.su_654 vi.cy.un_750 
  0x042718af, 0x2b001f0e, 0x04561a09, 0x311012a9,   // ga.gd.fi_655 cy.vi.un_550  tl.mg.fi_444 hu.lt.az_544 
  0x040711af, 0x5300280c, 0x11001023, 0x03100911,   // ro.bg.ru_655 sw.ht.un_530  lt.ro.un_880 pl.lt.nl_653 
  0x110c5655, 0x11251011, 0x212510a4, 0x0c000202,   // mg.sv.ro_442 lt.eu.ro_653  lt.eu.jw_433 da.sv.un_220 
  // [6090]
  0x3025190c, 0x1f002b1b, 0x30002d04, 0x3d12110c,   // gl.eu.uz_543 vi.cy.un_770  sk.uz.un_320 ro.hu.ku_543 
  0x303112ee, 0x10110413, 0x23120107, 0x1a033d04,   // hu.az.uz_422 fi.ro.lt_665  en.hu.ca_432 ku.nl.tl_332 
  0x0431100c, 0x0f002304, 0x111004a4, 0x5600730c,   // lt.az.fi_543 ca.lv.un_320  fi.lt.ro_433 ny.mg.un_530 
  0x100c08a0, 0x0804020e, 0x0a071005, 0x0b0a0702,   // no.sv.lt_322 da.fi.no_555  be.bg.mk_333 it.pt.es_222 
  // [60a0]
  0x016b0eee, 0x30000e12, 0x130c060c, 0x102056af,   // is.ceb.en_422 is.uz.un_640  de.sv.et_543 mg.sq.lt_655 
  0x0c000f19, 0x0a531cee, 0x291364a0, 0x12002f0e,   // lv.sv.un_750 id.ht.pt_422  lg.et.sl_322 su.hu.un_550 
  0x03133f05, 0x552f2505, 0x13003702, 0x120523af,   // af.et.nl_333 eu.su.rw_333  st.et.un_220 ca.fr.hu_655 
  0x082f0507, 0x5500731b, 0x0613645a, 0x6404135a,   // fr.su.no_432 ny.rw.un_770  lg.et.de_553 et.fi.lg_553 
  // [60b0]
  0x180e10a4, 0x313d0704, 0x05033f0d, 0x0e001b07,   // lt.is.ga_433 it.ku.az_332  af.nl.fr_554 tr.is.un_420 
  0x03000a02, 0x25731fad, 0x53002b0c, 0x2d321604,   // pt.nl.un_220 cy.ny.eu_643  vi.ht.un_530 hr.bs.sk_332 
  0x01007304, 0x55280e0e, 0x07002f02, 0x53033faf,   // ny.en.un_320 is.sw.rw_555  su.it.un_220 af.nl.ht_655 
  0x05080204, 0x2d0d0909, 0x3f030cee, 0x0a0c0107,   // da.no.fr_332 pl.cs.sk_444  sv.nl.af_422 en.sv.pt_432 
  // [60c0]
  0x20033f02, 0x2b000621, 0x11002519, 0x083001a0,   // af.nl.sq_222 de.vi.un_860  eu.ro.un_750 en.uz.no_322 
  0x300a3502, 0x3f0108a4, 0x2b002707, 0x110a1713,   // tg.mk.uz_222 no.en.af_433  gd.vi.un_420 sr.mk.ro_665 
  0x072729a0, 0x0400560e, 0x033f53af, 0x06001704,   // sl.gd.it_322 mg.fi.un_550  ht.af.nl_655 sr.de.un_320 
  0x35040807, 0x06530112, 0x17040711, 0x19105508,   // uk.ru.tg_432 en.ht.de_654  bg.ru.sr_653 rw.lt.gl_443 
  // [60d0]
  0x05000308, 0x53017304, 0x10736408, 0x070e0c05,   // nl.fr.un_430 ny.en.ht_332  lg.ny.lt_443 sv.is.it_333 
  0x2d0d1fad, 0x102928a4, 0x0a2a05ee, 0x2820370c,   // cy.cs.sk_643 sw.sl.lt_433  fr.mt.pt_422 st.sq.sw_543 
  0x0903100c, 0x28645513, 0x1a126b12, 0x061064a0,   // lt.nl.pl_543 rw.lg.sw_665  ceb.hu.tl_654 lg.lt.de_322 
  0x3f1125a7, 0x30001e13, 0x1900250d, 0x01323704,   // eu.ro.af_532 ms.uz.un_650  eu.gl.un_540 st.bs.en_332 
  // [60e0]
  0x2d3f03a4, 0x0c061304, 0x2718280c, 0x0f1f060c,   // nl.af.sk_433 et.de.sv_332  sw.ga.gd_543 de.cy.lv_543 
  0x06000319, 0x09182755, 0x56121c07, 0x1b3731ee,   // nl.de.un_750 gd.ga.pl_442  id.hu.mg_432 az.st.tr_422 
  0x28733708, 0x16291007, 0x6b1801a0, 0x531c1ea4,   // st.ny.sw_443 lt.sl.hr_432  en.ga.ceb_322 ms.id.ht_433 
  0x170711ee, 0x06250855, 0x5537290c, 0x23110a05,   // ro.bg.sr_422 no.eu.de_442  sl.st.rw_543 pt.ro.ca_333 
  // [60f0]
  0x55642813, 0x0d092d04, 0x033f0fec, 0x1b3031ad,   // sw.lg.rw_665 sk.pl.cs_332  lv.af.nl_644 az.uz.tr_643 
  0x55377307, 0x0c083fa0, 0x10070805, 0x10000922,   // ny.st.rw_432 af.no.sv_322  uk.bg.be_333 pl.lt.un_870 
  0x07040aa7, 0x53091b07, 0x375528ee, 0x21061fa7,   // mk.ru.bg_532 tr.pl.ht_432  sw.rw.st_422 cy.de.jw_532 
  0x2831300b, 0x070a04a4, 0x100723a4, 0x1f00041b,   // uz.az.sw_542 ru.mk.bg_433  ky.bg.be_433 fi.cy.un_770 
  // [6100]
  0x07234408, 0x0f2d1f08, 0x2a005305, 0x04131b08,   // kk.ky.bg_443 cy.sk.lv_443  ht.mt.un_330 tr.et.fi_443 
  0x1a556b04, 0x0f190b08, 0x03733708, 0x3d00531a,   // ceb.rw.tl_332 es.gl.lv_443  st.ny.nl_443 ht.ku.un_760 
  0x37072faf, 0x120d5607, 0x120964a7, 0x111711a9,   // su.it.st_655 mg.cs.hu_432  lg.pl.hu_532 ro.sr.ro_544 
  0x043511a7, 0x311b6408, 0x046b1a0c, 0x190a2305,   // ro.tg.ru_532 lg.tr.az_443  tl.ceb.fi_543 ca.pt.gl_333 
  // [6110]
  0x442335ad, 0x0a17300c, 0x08020305, 0x2a003708,   // tg.ky.kk_643 uz.sr.mk_543  nl.da.no_333 st.mt.un_430 
  0x64005312, 0x096410ad, 0x171004a7, 0x2b003d0c,   // ht.lg.un_640 lt.lg.pl_643  ru.be.sr_532 ku.vi.un_530 
  0x30000709, 0x0900100b, 0x120218a0, 0x6b1b1007,   // bg.uz.un_440 lt.pl.un_520  ga.da.hu_322 lt.tr.ceb_432 
  0x01000e04, 0x17350a05, 0x2b003d33, 0x352330ad,   // is.en.un_320 mk.tg.sr_333  ku.vi.un_A70 uz.ky.tg_643 
  // [6120]
  0x282519ec, 0x29530b07, 0x1b3111af, 0x1c561ea4,   // gl.eu.sw_644 es.ht.sl_432  ro.az.tr_655 ms.mg.id_433 
  0x2810300c, 0x282a30a7, 0x2b001f05, 0x3f13560c,   // uz.lt.sw_543 uz.mt.sw_532  cy.vi.un_330 mg.et.af_543 
  0x3d002b29, 0x033f53a0, 0x182312ec, 0x53060355,   // vi.ku.un_960 ht.af.nl_322  hu.ca.ga_644 nl.de.ht_442 
  0x010753ee, 0x37645508, 0x23120e0c, 0x06120707,   // ht.it.en_422 rw.lg.st_443  is.hu.ca_543 it.hu.de_432 
  // [6130]
  0x2d0a0dec, 0x55313012, 0x643130ec, 0x32001007,   // cs.pt.sk_644 uz.az.rw_654  uz.az.lg_644 lt.bs.un_420 
  0x2a3f0aa0, 0x04313055, 0x12002304, 0x3f30130d,   // pt.af.mt_322 uz.az.fi_442  ca.hu.un_320 et.uz.af_554 
  0x0a17040c, 0x30001e04, 0x09001907, 0x3255310c,   // ru.sr.mk_543 ms.uz.un_320  gl.pl.un_420 az.rw.bs_543 
  0x06000f04, 0x03290608, 0x19002107, 0x3d080c08,   // lv.de.un_320 de.sl.nl_443  jw.gl.un_420 sv.no.ku_443 
  // [6140]
  0x08001f02, 0x230835a4, 0x271801a9, 0x3f0356a4,   // cy.no.un_220 tg.uk.ky_433  en.ga.gd_544 mg.nl.af_433 
  0x1e121b0c, 0x130725ad, 0x19230ba0, 0x235305a9,   // tr.hu.ms_543 eu.it.et_643  es.ca.gl_322 fr.ht.ca_544 
  0x052f5604, 0x07300a04, 0x12001f12, 0x100b37a0,   // mg.su.fr_332 pt.uz.it_332  cy.hu.un_640 st.es.lt_322 
  0x12002a0d, 0x01562b12, 0x320c1708, 0x2f001c08,   // mt.hu.un_540 vi.mg.en_654  sr.sv.bs_443 id.su.un_430 
  // [6150]
  0x282f1c02, 0x11101708, 0x02001009, 0x200d56ee,   // id.su.sw_222 sr.be.ro_443  lt.da.un_440 mg.cs.sq_422 
  0x0a07100c, 0x55007329, 0x11000807, 0x111b31ec,   // be.bg.mk_543 ny.rw.un_960  no.ro.un_420 az.tr.ro_644 
  0x3d100913, 0x0f001f1a, 0x5355115a, 0x3000731a,   // pl.lt.ku_665 cy.lv.un_760  ro.rw.ht_553 ny.uz.un_760 
  0x202a3004, 0x09007302, 0x1b006412, 0x1e292fa0,   // uz.mt.sq_332 ny.pl.un_220  lg.tr.un_640 su.sl.ms_322 
  // [6160]
  0x210c28ee, 0x292f1e08, 0x2100731a, 0x44001014,   // sw.sv.jw_422 ms.su.sl_443  ny.jw.un_760 be.kk.un_660 
  0x25001102, 0x1f1c1eee, 0x2500550d, 0x3f230fee,   // ro.eu.un_220 ms.id.cy_422  rw.eu.un_540 lv.ca.af_422 
  0x06002105, 0x09003d08, 0x17100802, 0x1e00730e,   // jw.de.un_330 ku.pl.un_430  uk.be.sr_222 ny.ms.un_550 
  0x312064ee, 0x11000e2a, 0x28305511, 0x1e303d60,   // lg.sq.az_422 is.ro.un_970  rw.uz.sw_653 ku.uz.ms_664 
  // [6170]
  0x04083504, 0x21001a0d, 0x55102507, 0x23003004,   // tg.uk.ru_332 tl.jw.un_540  eu.lt.rw_432 uz.ky.un_320 
  0x07100aee, 0x17041013, 0x2f210e0c, 0x0464530c,   // mk.be.bg_422 be.ru.sr_665  is.jw.su_543 ht.lg.fi_543 
  0x30043504, 0x20001102, 0x10234411, 0x09201f08,   // tg.ru.uz_332 ro.sq.un_220  kk.ky.be_653 cy.sq.pl_443 
  0x0c003704, 0x046413ec, 0x05003d21, 0x0a074404,   // st.sv.un_320 et.lg.fi_644  ku.fr.un_860 kk.bg.mk_332 
  // [6180]
  0x1f002a02, 0x163155a0, 0x2d0d73a4, 0x3f3d0f05,   // mt.cy.un_220 rw.az.hr_322  ny.cs.sk_433 lv.ku.af_333 
  0x0b006405, 0x19173d0c, 0x20002912, 0x64097313,   // lg.es.un_330 ku.sr.gl_543  sl.sq.un_640 ny.pl.lg_665 
  0x73181fa9, 0x110b37a4, 0x12000c0e, 0x1a6b560c,   // cy.ga.ny_544 st.es.ro_433  sv.hu.un_550 mg.ceb.tl_543 
  0x32160f0e, 0x041e1c09, 0x6b01200d, 0x081704a9,   // lv.hr.bs_555 id.ms.fi_444  sq.en.ceb_554 ru.sr.uk_544 
  // [6190]
  0x1700040e, 0x070a230d, 0x170804ad, 0x0103060d,   // ru.sr.un_550 ky.mk.bg_554  ru.uk.sr_643 de.nl.en_554 
  0x05537307, 0x28001f08, 0x232d0d11, 0x040a0802,   // ny.ht.fr_432 cy.sw.un_430  cs.sk.ca_653 uk.mk.ru_222 
  0x18001202, 0x11170aec, 0x37050aee, 0x56001f08,   // ur.ar.un_220 mk.sr.ro_644  pt.fr.st_422 cy.mg.un_430 
  0x080e0c13, 0x091c13a6, 0x033f0ea0, 0x2d0d0414,   // sv.is.no_665 bh.mr.hi_521  is.af.nl_322 fi.cs.sk_666 
  // [61a0]
  0x080e1f08, 0x18002302, 0x372d0d09, 0x29131fa0,   // cy.is.no_443 ca.ga.un_220  cs.sk.st_444 cy.et.sl_322 
  0x08200207, 0x1b002505, 0x20081f04, 0x23190a13,   // da.sq.no_432 eu.tr.un_330  cy.no.sq_332 pt.gl.ca_665 
  0x0c1f1055, 0x06070107, 0x0d292d0c, 0x31003d04,   // lt.cy.sv_442 en.it.de_432  sk.sl.cs_543 ku.az.un_320 
  0x1f0c0205, 0x04293207, 0x29001f04, 0x6b001818,   // da.sv.cy_333 bs.sl.fi_432  cy.sl.un_320 ga.ceb.un_740 
  // [61b0]
  0x070411ee, 0x10000b04, 0x040730a4, 0x32292da4,   // ro.ru.bg_422 es.lt.un_320  uz.bg.ru_433 sk.sl.bs_433 
  0x25000413, 0x041035ec, 0x041707a9, 0x09000f0d,   // fi.eu.un_650 tg.be.ru_644  bg.sr.ru_544 lv.pl.un_540 
  0x30000c02, 0x35070409, 0x18016b07, 0x04173004,   // sv.uz.un_220 ru.bg.tg_444  ceb.en.ga_432 uz.sr.ru_332 
  0x2a001902, 0x3200560c, 0x0600100c, 0x53731ea0,   // gl.mt.un_220 mg.bs.un_530  lt.de.un_530 ms.ny.ht_322 
  // [61c0]
  0x37062102, 0x04283011, 0x18190b04, 0x565319a0,   // jw.de.st_222 uz.sw.fi_653  es.gl.ga_332 gl.ht.mg_322 
  0x037355a0, 0x1f001805, 0x2f092812, 0x55562560,   // rw.ny.nl_322 ga.cy.un_330  sw.pl.su_654 eu.mg.rw_664 
  0x5300562a, 0x30080708, 0x35041702, 0x30001308,   // mg.ht.un_970 bg.uk.uz_443  sr.ru.tg_222 et.uz.un_430 
  0x280573a0, 0x3200162c, 0x0300021a, 0x3200160d,   // ny.fr.sw_322 hr.bs.un_990  da.nl.un_760 hr.bs.un_540 
  // [61d0]
  0x02033f05, 0x17071008, 0x25006419, 0x281e2a04,   // af.nl.da_333 be.bg.sr_443  lg.eu.un_750 mt.ms.sw_332 
  0x3f021fa4, 0x02286ba7, 0x5500731a, 0x73551b13,   // cy.da.af_433 ceb.sw.da_532  ny.rw.un_760 tr.rw.ny_665 
  0x6425730c, 0x3f250308, 0x06020812, 0x3f202107,   // ny.eu.lg_543 nl.eu.af_443  no.da.de_654 jw.sq.af_432 
  0x25006409, 0x12000608, 0x1f285504, 0x033f0212,   // lg.eu.un_440 de.hu.un_430  rw.sw.cy_332 da.af.nl_654 
  // [61e0]
  0x2000081a, 0x10002104, 0x1c212fad, 0x1a002802,   // no.sq.un_760 jw.lt.un_320  su.jw.id_643 sw.tl.un_220 
  0x1f007321, 0x2f1e3d05, 0x25000b02, 0x2b561b07,   // ny.cy.un_860 ku.ms.su_333  es.eu.un_220 tr.mg.vi_432 
  0x211a730c, 0x0f002002, 0x1630295a, 0x212f16a4,   // ny.tl.jw_543 sq.lv.un_220  sl.uz.hr_553 hr.su.jw_433 
  0x2a292f08, 0x10212f04, 0x04321655, 0x2100230d,   // su.sl.mt_443 su.jw.lt_332  hr.bs.fi_442 ca.jw.un_540 
  // [61f0]
  0x230a3513, 0x321620af, 0x171c2f0b, 0x203217a0,   // tg.mk.ky_665 sq.hr.bs_655  su.id.sr_542 sr.bs.sq_322 
  0x11003d14, 0x44071007, 0x02042704, 0x06002534,   // ku.ro.un_660 be.bg.kk_432  gd.fi.da_332 eu.de.un_A80 
  0x6b001c1a, 0x033f0213, 0x3d00732a, 0x73005509,   // id.ceb.un_760 da.af.nl_665  ny.ku.un_970 rw.ny.un_440 
  0x0a17110b, 0x10002522, 0x020608a0, 0x102d070c,   // ro.sr.mk_542 eu.lt.un_870  no.de.da_322 it.sk.lt_543 
  // [6200]
  0x1c645305, 0x1b2f53a0, 0x1f08020d, 0x020e06a0,   // ht.lg.id_333 ht.su.tr_322  da.no.cy_554 de.is.da_322 
  0x102320a0, 0x04735605, 0x2300190b, 0x06030907,   // sq.ca.lt_322 mg.ny.fi_333  gl.ca.un_520 pl.nl.de_432 
  0x11231114, 0x18080202, 0x4404230c, 0x10003512,   // ro.ky.ro_666 da.no.ga_222  ky.ru.kk_543 tg.be.un_640 
  0x11102307, 0x08170708, 0x04170a08, 0x02080404,   // ca.lt.ro_432 bg.sr.uk_443  mk.sr.ru_443 fi.no.da_332 
  // [6210]
  0x020711a0, 0x21002b04, 0x25001a21, 0x212f04a0,   // ro.it.da_322 vi.jw.un_320  tl.eu.un_860 fi.su.jw_322 
  0x2873565a, 0x556b1a05, 0x12002902, 0x28556412,   // mg.ny.sw_553 tl.ceb.rw_333  sl.hu.un_220 lg.rw.sw_654 
  0x0b102807, 0x64551ca4, 0x0d292d11, 0x04000905,   // sw.lt.es_432 id.rw.lg_433  sk.sl.cs_653 pl.fi.un_330 
  0x6400130d, 0x3f0c1f14, 0x560f0b0c, 0x0d001704,   // et.lg.un_540 cy.sv.af_666  es.lv.mg_543 sr.cs.un_320 
  // [6220]
  0x2500560e, 0x302d29a0, 0x073031a4, 0x21001818,   // mg.eu.un_550 sl.sk.uz_322  az.uz.it_433 ar.fa.un_740 
  0x2f0b27a0, 0x55002d04, 0x1b0513ee, 0x231807a0,   // gd.es.su_322 sk.rw.un_320  et.fr.tr_422 it.ga.ca_322 
  0x06002f0d, 0x13001c12, 0x051b5311, 0x1b1c1ea9,   // su.de.un_540 mr.bh.un_640  ht.tr.fr_653 ms.id.tr_544 
  0x6b1a6405, 0x2a001a04, 0x09002f04, 0x6b1a0b08,   // lg.tl.ceb_333 tl.mt.un_320  su.pl.un_320 es.tl.ceb_443 
  // [6230]
  0x29006e08, 0x3f1c2aa0, 0x3f002504, 0x1e1c0da4,   // hmn.sl.un_430 mt.id.af_322  eu.af.un_320 cs.id.ms_433 
  0x251b07ad, 0x013f3da0, 0x2f07550c, 0x6b2f1a0c,   // it.tr.eu_643 ku.af.en_322  rw.it.su_543 tl.su.ceb_543 
  0x6e036b04, 0x23051f04, 0x64556b09, 0x022d290e,   // ceb.nl.hmn_332 cy.fr.ca_332  ceb.rw.lg_444 sl.sk.da_555 
  0x03063f07, 0x2d00290e, 0x0d000907, 0x06033f0c,   // af.de.nl_432 sl.sk.un_550  pl.cs.un_420 af.nl.de_543 
  // [6240]
  0x016b64a0, 0x2b1e1ca0, 0x1b000808, 0x10111105,   // lg.ceb.en_322 id.ms.vi_322  no.tr.un_430 ro.ro.be_333 
  0x55532855, 0x301b3109, 0x110717a4, 0x040810ec,   // sw.ht.rw_442 az.tr.uz_444  sr.bg.ro_433 be.uk.ru_644 
  0x556b1ca4, 0x303255ee, 0x10162807, 0x23300408,   // id.ceb.rw_433 rw.bs.uz_422  sw.hr.lt_432 ru.uz.ky_443 
  0x10000407, 0x29190a0d, 0x10091ea0, 0x18002f14,   // ru.be.un_420 pt.gl.sl_554  ms.pl.lt_322 su.ga.un_660 
  // [6250]
  0x1b305504, 0x1c0c2fa9, 0x1b001107, 0x02200602,   // rw.uz.tr_332 su.sv.id_544  ro.tr.un_420 de.sq.da_222 
  0x05001c08, 0x271e1c02, 0x080212ec, 0x03001e0d,   // id.fr.un_430 id.ms.gd_222  hu.da.no_644 ms.nl.un_540 
  0x212f1209, 0x05000121, 0x18002902, 0x28645514,   // hu.su.jw_444 en.fr.un_860  sl.ga.un_220 rw.lg.sw_666 
  0x320816a4, 0x640802ad, 0x255553a0, 0x04000c20,   // hr.no.bs_433 da.no.lg_643  ht.rw.eu_322 sv.fi.un_850 
  // [6260]
  0x18171255, 0x311b560c, 0x1e1c1aec, 0x13002017,   // hu.sr.ga_442 mg.tr.az_543  tl.id.ms_644 sq.et.un_730 
  0x0e0a5607, 0x0a170809, 0x32170faf, 0x1f00280e,   // mg.pt.is_432 uk.sr.mk_444  lv.sr.bs_655 sw.cy.un_550 
  0x3f00550c, 0x1729125a, 0x35440a04, 0x0c121307,   // rw.af.un_530 hu.sl.sr_553  mk.kk.tg_332 et.hu.sv_432 
  0x10001312, 0x0c02120c, 0x17001207, 0x0c291255,   // et.lt.un_640 hu.da.sv_543  hu.sr.un_420 hu.sl.sv_442 
  // [6270]
  0x23001f0d, 0x04070807, 0x23061f12, 0x082a02a0,   // cy.ca.un_540 uk.bg.ru_432  cy.de.ca_654 da.mt.no_322 
  0x171111a4, 0x061f2304, 0x0c0602a0, 0x1100041a,   // ro.ro.sr_433 ca.cy.de_332  da.de.sv_322 ru.ro.un_760 
  0x20311b0b, 0x033f5309, 0x01030602, 0x35234404,   // tr.az.sq_542 ht.af.nl_444  de.nl.en_222 kk.ky.tg_332 
  0x11001f04, 0x0a040702, 0x2100050d, 0x1f31120c,   // cy.ro.un_320 bg.ru.mk_222  fr.jw.un_540 hu.az.cy_543 
  // [6280]
  0x535605a7, 0x283055a9, 0x040a1012, 0x350730a7,   // fr.mg.ht_532 rw.uz.sw_544  be.mk.ru_654 uz.bg.tg_532 
  0x070430a0, 0x18230713, 0x301004a4, 0x64115507,   // uz.ru.bg_322 it.ca.ga_665  ru.be.uz_433 rw.ro.lg_432 
  0x350810ad, 0x6b0e120c, 0x21007308, 0x27000104,   // be.uk.tg_643 hu.is.ceb_543  ny.jw.un_430 en.gd.un_320 
  0x16003004, 0x2f007313, 0x11003d0c, 0x732d0d55,   // uz.hr.un_320 ny.su.un_650  ku.ro.un_530 cs.sk.ny_442 
  // [6290]
  0x070612a0, 0x0500530c, 0x112d12ee, 0x130453a4,   // hu.de.it_322 ht.fr.un_530  hu.sk.ro_422 ht.fi.et_433 
  0x111707a4, 0x30005514, 0x03133f0e, 0x0825130c,   // bg.sr.ro_433 rw.uz.un_660  af.et.nl_555 et.eu.no_543 
  0x0a1a6b55, 0x1c2a21a0, 0x0a23110c, 0x730511a4,   // ceb.tl.pt_442 jw.mt.id_322  ro.ky.mk_543 ro.fr.ny_433 
  0x072504a4, 0x1b305512, 0x120a07a9, 0x300973ad,   // fi.eu.it_433 rw.uz.tr_654  it.pt.hu_544 ny.pl.uz_643 
  // [62a0]
  0x1a080208, 0x21732f08, 0x1123300c, 0x20000609,   // da.no.tl_443 su.ny.jw_443  uz.ky.ro_543 de.sq.un_440 
  0x216b06ad, 0x6b7301a6, 0x31003d11, 0x11136e07,   // de.ceb.jw_643 en.ny.ceb_521  ku.az.un_630 hmn.et.ro_432 
  0x3d00061a, 0x080a10ec, 0x071023a9, 0x3d1c2aaf,   // de.ku.un_760 be.mk.uk_644  ky.be.bg_544 mt.id.ku_655 
  0x23271f04, 0x052723a4, 0x13033f07, 0x162d0d5a,   // cy.gd.ca_332 ca.gd.fr_433  af.nl.et_432 cs.sk.hr_553 
  // [62b0]
  0x031f27ad, 0x0a3510ee, 0x27000621, 0x3000100c,   // gd.cy.nl_643 be.tg.mk_422  de.gd.un_860 be.uz.un_530 
  0x272311af, 0x3d5301ee, 0x07081011, 0x030208a7,   // ro.ca.gd_655 en.ht.ku_422  be.uk.bg_653 no.da.nl_532 
  0x10440409, 0x0a1710ec, 0x28001a2b, 0x282555ad,   // ru.kk.be_444 be.sr.mk_644  tl.sw.un_980 rw.eu.sw_643 
  0x13000807, 0x08071707, 0x03113f60, 0x53091113,   // no.et.un_420 sr.bg.uk_432  af.ro.nl_664 ro.pl.ht_665 
  // [62c0]
  0x271f2308, 0x230408af, 0x0a000607, 0x10132811,   // ca.cy.gd_443 uk.ru.ky_655  de.pt.un_420 sw.et.lt_653 
  0x64735560, 0x29552507, 0x6428370c, 0x16000c0b,   // rw.ny.lg_664 eu.rw.sl_432  st.sw.lg_543 sv.hr.un_520 
  0x53001222, 0x321607a0, 0x2511280c, 0x230b0a08,   // hu.ht.un_870 it.hr.bs_322  sw.ro.eu_543 pt.es.ca_443 
  0x05000a04, 0x561273a4, 0x12230707, 0x0e3013a4,   // pt.fr.un_320 ny.hu.mg_433  it.ca.hu_432 et.uz.is_433 
  // [62d0]
  0x100a20a9, 0x28006b05, 0x0a002b07, 0x12292aa9,   // sq.pt.lt_544 ceb.sw.un_330  vi.pt.un_420 mt.sl.hu_544 
  0x1100301e, 0x07001707, 0x13090da0, 0x03000702,   // uz.ro.un_830 sr.it.un_420  ne.hi.bh_322 it.nl.un_220 
  0x02010704, 0x04530804, 0x7328170c, 0x20112807,   // it.en.da_332 no.ht.fi_332  sr.sw.ny_543 sw.ro.sq_432 
  0x08005319, 0x53001e1a, 0x12000702, 0x09002302,   // ht.no.un_750 ms.ht.un_760  it.hu.un_220 ca.pl.un_220 
  // [62e0]
  0x2f001109, 0x53001113, 0x55282dee, 0x11002d0d,   // ro.su.un_440 ro.ht.un_650  sk.sw.rw_422 sk.ro.un_540 
  0x3f006402, 0x0c033fa0, 0x07231705, 0x0a0408ee,   // lg.af.un_220 af.nl.sv_322  sr.ky.bg_333 uk.ru.mk_422 
  0x080e2aa4, 0x2f1c2704, 0x10003507, 0x0e2f6ba4,   // mt.is.no_433 gd.id.su_332  tg.be.un_420 ceb.su.is_433 
  0x10001105, 0x0b2f1e07, 0x232f2d07, 0x210c2f08,   // ro.be.un_330 ms.su.es_432  sk.su.ca_432 su.sv.jw_443 
  // [62f0]
  0x17002008, 0x3d1e1c13, 0x041e050c, 0x170a04a0,   // sq.sr.un_430 id.ms.ku_665  fr.ms.fi_543 ru.mk.sr_322 
  0x55311b13, 0x0727110c, 0x08023da9, 0x250210ac,   // tr.az.rw_665 ro.gd.it_543  ku.da.no_544 lt.da.eu_632 
  0x06041b0c, 0x27002b04, 0x2f002508, 0x30000502,   // tr.fi.de_543 vi.gd.un_320  eu.su.un_430 fr.uz.un_220 
  0x3d311912, 0x013f035a, 0x23000b09, 0x0a111160,   // gl.az.ku_654 nl.af.en_553  es.ca.un_440 ro.ro.mk_664 
  // [6300]
  0x44000a08, 0x2a1e2f04, 0x17003005, 0x73311e0c,   // mk.kk.un_430 su.ms.mt_332  uz.sr.un_330 ms.az.ny_543 
  0x0e001221, 0x55302709, 0x1e00200d, 0x0c060412,   // hu.is.un_860 gd.uz.rw_444  sq.ms.un_540 fi.de.sv_654 
  0x0a17040e, 0x73292da4, 0x211c300c, 0x12052da7,   // ru.sr.mk_555 sk.sl.ny_433  uz.id.jw_543 sk.fr.hu_532 
  0x27000604, 0x0c1601a4, 0x10041707, 0x09000e0e,   // de.gd.un_320 en.hr.sv_433  sr.ru.be_432 is.pl.un_550 
  // [6310]
  0x18005608, 0x32001711, 0x010504ad, 0x5537640b,   // mg.ga.un_430 sr.bs.un_630  fi.fr.en_643 lg.st.rw_542 
  0x443010ee, 0x35080413, 0x08000e1b, 0x28002d07,   // be.uz.kk_422 ru.uk.tg_665  is.no.un_770 sk.sw.un_420 
  0x0b0710a9, 0x32172da4, 0x531c5504, 0x55110f04,   // lt.it.es_544 sk.sr.bs_433  rw.id.ht_332 lv.ro.rw_332 
  0x31000807, 0x372d0d08, 0x0411110b, 0x20171107,   // no.az.un_420 cs.sk.st_443  ro.ro.ru_542 ro.sr.sq_432 
  // [6320]
  0x6e002f05, 0x211c0602, 0x063f0aee, 0x730756ee,   // su.hmn.un_330 de.id.jw_222  pt.af.de_422 mg.it.ny_422 
  0x0b1a64ad, 0x01061f07, 0x20002104, 0x0600180d,   // lg.tl.es_643 cy.de.en_432  jw.sq.un_320 ga.de.un_540 
  0x6b001207, 0x1709560c, 0x032d0d04, 0x29000e1a,   // hu.ceb.un_420 mg.pl.sr_543  cs.sk.nl_332 is.sl.un_760 
  0x07550407, 0x0a1a73ad, 0x73002807, 0x18016b55,   // fi.rw.it_432 ny.tl.pt_643  sw.ny.un_420 ceb.en.ga_442 
  // [6330]
  0x2700050d, 0x0f120a08, 0x011c1a04, 0x13090d55,   // fr.gd.un_540 pt.hu.lv_443  tl.id.en_332 ne.hi.bh_442 
  0x203f37a6, 0x25002804, 0x13062055, 0x2f001f04,   // st.af.sq_521 sw.eu.un_320  sq.de.et_442 cy.su.un_320 
  0x0d091ca0, 0x3f000607, 0x23004409, 0x030604a0,   // mr.hi.ne_322 de.af.un_420  kk.ky.un_440 fi.de.nl_322 
  0x3f282002, 0x37001821, 0x10230504, 0x7300640d,   // sq.sw.af_222 ga.st.un_860  fr.ca.lt_332 lg.ny.un_540 
  // [6340]
  0x1c130d04, 0x10001104, 0x2f2806a4, 0x08100414,   // ne.bh.mr_332 ro.be.un_320  de.sw.su_433 ru.be.uk_666 
  0x0e0713ad, 0x20231304, 0x042d0d04, 0x2a001a02,   // et.it.is_643 et.ca.sq_332  cs.sk.fi_332 tl.mt.un_220 
  0x200523a9, 0x1800121b, 0x07002108, 0x0f0523a4,   // ca.fr.sq_544 ur.ar.un_770  jw.it.un_430 ca.fr.lv_433 
  0x041b270b, 0x0e0429ac, 0x30002a05, 0x31113d04,   // gd.tr.fi_542 sl.fi.is_632  mt.uz.un_330 ku.ro.az_332 
  // [6350]
  0x0b2d2904, 0x0c321607, 0x101a6b60, 0x25190bad,   // sl.sk.es_332 hr.bs.sv_432  ceb.tl.lt_664 es.gl.eu_643 
  0x271801af, 0x040a3005, 0x230444a9, 0x2028300c,   // en.ga.gd_655 uz.mk.ru_333  kk.ru.ky_544 uz.sw.sq_543 
  0x0a001920, 0x0b000a1e, 0x290f3dad, 0x081f2702,   // gl.pt.un_850 pt.es.un_830  ku.lv.sl_643 gd.cy.no_222 
  0x0a073508, 0x202f0f07, 0x1b001307, 0x35100812,   // tg.bg.mk_443 lv.su.sq_432  et.tr.un_420 uk.be.tg_654 
  // [6360]
  0x10042307, 0x25006e04, 0x1c1330a4, 0x2f0429a0,   // ca.fi.lt_432 hmn.eu.un_320  uz.et.id_433 sl.fi.su_322 
  0x2b001c0d, 0x3f0510ee, 0x11002a12, 0x1f020c02,   // id.vi.un_540 lt.fr.af_422  mt.ro.un_640 sv.da.cy_222 
  0x1e1c04af, 0x56370da4, 0x0c081f05, 0x2f003712,   // fi.id.ms_655 cs.st.mg_433  cy.no.sv_333 st.su.un_640 
  0x2d2537af, 0x1b132104, 0x13080204, 0x1117110c,   // st.eu.sk_655 jw.et.tr_332  da.no.et_332 ro.sr.ro_543 
  // [6370]
  0x07040aec, 0x121f050d, 0x0502010c, 0x0a0430ec,   // mk.ru.bg_644 fr.cy.hu_554  en.da.fr_543 uz.ru.mk_644 
  0x06033f12, 0x05003d09, 0x0a0744a6, 0x0a3510a4,   // af.nl.de_654 ku.fr.un_440  kk.bg.mk_521 be.tg.mk_433 
  0x1a2d3fa0, 0x31131ba9, 0x3d016ba4, 0x56123712,   // af.sk.tl_322 tr.et.az_544  ceb.en.ku_433 st.hu.mg_654 
  0x2d00041a, 0x10442305, 0x32005612, 0x18001b0e,   // fi.sk.un_760 ky.kk.be_333  mg.bs.un_640 tr.ga.un_550 
  // [6380]
  0x0b0523a4, 0x180127ee, 0x0a003707, 0x23001119,   // ca.fr.es_433 gd.en.ga_422  st.pt.un_420 ro.ky.un_750 
  0x35041002, 0x042344af, 0x11100705, 0x08100aec,   // be.ru.tg_222 kk.ky.ru_655  bg.be.ro_333 mk.be.uk_644 
  0x30040807, 0x44301704, 0x0a00100d, 0x1f001804,   // uk.ru.uz_432 sr.uz.kk_332  be.mk.un_540 ga.cy.un_320 
  0x04283707, 0x30000705, 0x30005605, 0x08060ea4,   // st.sw.fi_432 bg.uz.un_330  mg.uz.un_330 is.de.no_433 
  // [6390]
  0x251937ee, 0x12130407, 0x12173207, 0x10354405,   // st.gl.eu_422 fi.et.hu_432  bs.sr.hu_432 kk.tg.be_333 
  0x19060c04, 0x6e002018, 0x04070855, 0x12061b07,   // sv.de.gl_332 sq.hmn.un_740  uk.bg.ru_442 tr.de.hu_432 
  0x6400290b, 0x202f1c07, 0x20006e08, 0x3f031307,   // sl.lg.un_520 id.su.sq_432  hmn.sq.un_430 et.nl.af_432 
  0x197337ad, 0x133f0308, 0x2700110c, 0x132704a7,   // st.ny.gl_643 nl.af.et_443  ro.gd.un_530 fi.gd.et_532 
  // [63a0]
  0x1773370c, 0x56003722, 0x73003729, 0x2d002f08,   // st.ny.sr_543 st.mg.un_870  st.ny.un_960 su.sk.un_430 
  0x64551fa4, 0x0c0e20a7, 0x37001a05, 0x083f0305,   // cy.rw.lg_433 sq.is.sv_532  tl.st.un_330 nl.af.no_333 
  0x5355640c, 0x08280207, 0x20006e19, 0x0a077307,   // lg.rw.ht_543 da.sw.no_432  hmn.sq.un_750 ny.it.pt_432 
  0x0e0c0855, 0x041044a9, 0x6b566407, 0x0e232007,   // no.sv.is_442 kk.be.ru_544  lg.mg.ceb_432 sq.ca.is_432 
  // [63b0]
  0x290410a4, 0x730a37ad, 0x322d1907, 0x012027a0,   // lt.fi.sl_433 st.pt.ny_643  gl.sk.bs_432 gd.sq.en_322 
  0x06000119, 0x082a0455, 0x64565504, 0x1e002f04,   // en.de.un_750 fi.mt.no_442  rw.mg.lg_332 su.ms.un_320 
  0x3f006b12, 0x0c212fa0, 0x12003709, 0x353007a4,   // ceb.af.un_640 su.jw.sv_322  st.hu.un_440 bg.uz.tg_433 
  0x19002508, 0x17005607, 0x17005505, 0x37005609,   // eu.gl.un_430 mg.sr.un_420  rw.sr.un_330 mg.st.un_440 
  // [63c0]
  0x2a006b04, 0x0400550d, 0x082d0d05, 0x23535607,   // ceb.mt.un_320 rw.fi.un_540  cs.sk.no_333 mg.ht.ca_432 
  0x1c291e04, 0x130c23a0, 0x29003721, 0x070417af,   // ms.sl.id_332 ca.sv.et_322  st.sl.un_860 sr.ru.bg_655 
  0x1c001a07, 0x20231f0d, 0x6b1a1c07, 0x04231707,   // tl.id.un_420 cy.ca.sq_554  id.tl.ceb_432 sr.ky.ru_432 
  0x3f0302af, 0x21070da4, 0x19230b13, 0x2b001c19,   // da.nl.af_655 cs.it.jw_433  es.ca.gl_665 id.vi.un_750 
  // [63d0]
  0x16120407, 0x0f231055, 0x300164a7, 0x1e001704,   // fi.hu.hr_432 lt.ca.lv_442  lg.en.uz_532 sr.ms.un_320 
  0x2000290c, 0x271128af, 0x10001f13, 0x09002808,   // sl.sq.un_530 sw.ro.gd_655  cy.lt.un_650 sw.pl.un_430 
  0x040735a7, 0x2f1c1ea9, 0x23001e04, 0x1e1b3004,   // tg.bg.ru_532 ms.id.su_544  ms.ca.un_320 uz.tr.ms_332 
  0x5300051a, 0x1f00060e, 0x29000108, 0x0a300704,   // fr.ht.un_760 de.cy.un_550  en.sl.un_430 bg.uz.mk_332 
  // [63e0]
  0x313019ad, 0x16292fa0, 0x31192aee, 0x0c2a200d,   // gl.uz.az_643 su.sl.hr_322  mt.gl.az_422 sq.mt.sv_554 
  0x0d09130b, 0x0c080ea9, 0x12002a13, 0x01001c07,   // bh.hi.ne_542 is.no.sv_544  mt.hu.un_650 id.en.un_420 
  0x17000702, 0x1700070e, 0x060c08ad, 0x300711a0,   // bg.sr.un_220 bg.sr.un_550  no.sv.de_643 ro.bg.uz_322 
  0x29003004, 0x073f01a4, 0x171b2902, 0x73070107,   // uz.sl.un_320 en.af.it_433  sl.tr.sr_222 en.it.ny_432 
  // [63f0]
  0x08070c08, 0x23043504, 0x560555a0, 0x35441008,   // sv.it.no_443 tg.ru.ky_332  rw.fr.mg_322 be.kk.tg_443 
  0x0b3f03a4, 0x04440804, 0x2a0703a4, 0x442304ad,   // nl.af.es_433 uk.kk.ru_332  nl.it.mt_433 ru.ky.kk_643 
  0x040807ee, 0x30000713, 0x191c0ba0, 0x12313007,   // bg.uk.ru_422 bg.uz.un_650  es.id.gl_322 uz.az.hu_432 
  0x19002813, 0x0727180c, 0x282d2905, 0x1f2012af,   // sw.gl.un_650 ga.gd.it_543  sl.sk.sw_333 hu.sq.cy_655 
  
  // [6400]
  0x01000b04, 0x44350709, 0x111827a4, 0x08190b02,   // es.en.un_320 bg.tg.kk_444  gd.ga.ro_433 es.gl.no_222 
  0x0b003204, 0x0a063fad, 0x21100fee, 0x2713180c,   // bs.es.un_320 af.de.pt_643  lv.lt.jw_422 ga.et.gd_543 
  0x033f0fa7, 0x17000a2a, 0x11000507, 0x2b056b07,   // lv.af.nl_532 mk.sr.un_970  fr.ro.un_420 ceb.fr.vi_432 
  0x11003007, 0x190a07ee, 0x56320d07, 0x20182905,   // uz.ro.un_420 it.pt.gl_422  cs.bs.mg_432 sl.ga.sq_333 
  // [6410]
  0x0d130907, 0x2d555607, 0x250b19a0, 0x1100440e,   // hi.bh.ne_432 mg.rw.sk_432  gl.es.eu_322 kk.ro.un_550 
  0x131811a7, 0x3f0302a7, 0x06002702, 0x0a000412,   // ro.ga.et_532 da.nl.af_532  gd.de.un_220 fi.pt.un_640 
  0x17100fa0, 0x04300804, 0x0700110b, 0x0d1c13ad,   // lv.lt.sr_322 uk.uz.ru_332  ro.bg.un_520 bh.mr.ne_643 
  0x2305080c, 0x1b131007, 0x2f00190c, 0x37305507,   // no.fr.ca_543 lt.et.tr_432  gl.su.un_530 rw.uz.st_432 
  // [6420]
  0x2900100c, 0x170407af, 0x73006405, 0x17351004,   // lt.sl.un_530 bg.ru.sr_655  lg.ny.un_330 be.tg.sr_332 
  0x19050b12, 0x19530a04, 0x23050112, 0x080c02a9,   // es.fr.gl_654 pt.ht.gl_332  en.fr.ca_654 da.sv.no_544 
  0x08006e04, 0x0a171012, 0x03003013, 0x23001013,   // hmn.no.un_320 be.sr.mk_654  uz.nl.un_650 lt.ca.un_650 
  0x2900530e, 0x37005607, 0x081107a4, 0x3f032760,   // ht.sl.un_550 mg.st.un_420  bg.ro.uk_433 gd.nl.af_664 
  // [6430]
  0x10003f19, 0x2a001c02, 0x23100f04, 0x2d003704,   // af.lt.un_750 id.mt.un_220  lv.lt.ca_332 st.sk.un_320 
  0x1b6e10a4, 0x3f031f13, 0x531c1ea0, 0x0f10050b,   // lt.hmn.tr_433 cy.nl.af_665  ms.id.ht_322 fr.lt.lv_542 
  0x1a2d21a0, 0x2f0f18ee, 0x201f0855, 0x2f211ea0,   // jw.sk.tl_322 ga.lv.su_422  no.cy.sq_442 ms.jw.su_322 
  0x11531ba0, 0x0a171011, 0x27000a04, 0x56003009,   // tr.ht.ro_322 be.sr.mk_653  pt.gd.un_320 uz.mg.un_440 
  // [6440]
  0x1a3f0305, 0x0c0f10ee, 0x0c2b27ad, 0x28301ea4,   // nl.af.tl_333 lt.lv.sv_422  gd.vi.sv_643 ms.uz.sw_433 
  0x2f0f2105, 0x30083504, 0x3f000223, 0x041325a4,   // jw.lv.su_333 tg.uk.uz_332  da.af.un_880 eu.et.fi_433 
  0x18202712, 0x041007a4, 0x112501a0, 0x1c1f1e12,   // gd.sq.ga_654 bg.be.ru_433  en.eu.ro_322 ms.cy.id_654 
  0x6e271809, 0x2500040e, 0x0b2a04ad, 0x10002d18,   // ga.gd.hmn_444 fi.eu.un_550  fi.mt.es_643 sk.lt.un_740 
  // [6450]
  0x08003f12, 0x07170812, 0x0f001804, 0x170810a4,   // af.no.un_640 uk.sr.bg_654  ga.lv.un_320 be.uk.sr_433 
  0x3f020608, 0x2f125608, 0x1f033fa4, 0x0d001321,   // de.da.af_443 mg.hu.su_443  af.nl.cy_433 bh.ne.un_860 
  0x35170408, 0x121f56ec, 0x23043055, 0x08001114,   // ru.sr.tg_443 mg.cy.hu_644  uz.ru.ky_442 ro.uk.un_660 
  0x30000719, 0x300b3d13, 0x17080405, 0x25000b1b,   // bg.uz.un_750 ku.es.uz_665  ru.uk.sr_333 es.eu.un_770 
  // [6460]
  0x19060402, 0x19040508, 0x1f190b05, 0x10002d07,   // fi.de.gl_222 fr.fi.gl_443  es.gl.cy_333 sk.lt.un_420 
  0x080711a4, 0x11190b55, 0x231105a0, 0x1256290c,   // ro.bg.uk_433 es.gl.ro_442  fr.ro.ca_322 sl.mg.hu_543 
  0x0c0406a7, 0x0d093f0e, 0x102508a0, 0x37190b55,   // de.fi.sv_532 af.pl.cs_555  no.eu.lt_322 es.gl.st_442 
  0x4400080c, 0x305610a4, 0x273f18a0, 0x2100181a,   // uk.kk.un_530 lt.mg.uz_433  ga.af.gd_322 ar.fa.un_760 
  // [6470]
  0x2d0c29a0, 0x0c03040c, 0x0e1b31a4, 0x113707a0,   // sl.sv.sk_322 fi.nl.sv_543  az.tr.is_433 it.st.ro_322 
  0x6b271807, 0x17350808, 0x08102305, 0x19310aee,   // ga.gd.ceb_432 uk.tg.sr_443  ca.lt.no_333 pt.az.gl_422 
  0x31003009, 0x212856a0, 0x27005604, 0x30292d02,   // uz.az.un_440 mg.sw.jw_322  mg.gd.un_320 sk.sl.uz_222 
  0x3f200309, 0x11103155, 0x06120ca7, 0x100f040c,   // nl.sq.af_444 az.lt.ro_442  sv.hu.de_532 fi.lv.lt_543 
  // [6480]
  0x2a002b07, 0x0f292da4, 0x0c020404, 0x1f001c04,   // vi.mt.un_420 sk.sl.lv_433  fi.da.sv_332 id.cy.un_320 
  0x08042312, 0x180b1fa0, 0x250929ee, 0x0e2813ac,   // ky.ru.uk_654 cy.es.ga_322  sl.pl.eu_422 et.sw.is_632 
  0x23256407, 0x202f1f08, 0x04171004, 0x53000e0b,   // lg.eu.ca_432 cy.su.sq_443  be.sr.ru_332 is.ht.un_520 
  0x041111a4, 0x560c1211, 0x55216408, 0x5600300c,   // ro.ro.ru_433 hu.sv.mg_653  lg.jw.rw_443 uz.mg.un_530 
  // [6490]
  0x11552f0c, 0x23070a08, 0x303504a7, 0x04100811,   // su.rw.ro_543 mk.bg.ky_443  ru.tg.uz_532 uk.be.ru_653 
  0x25300308, 0x202a2907, 0x29312d04, 0x12005605,   // nl.uz.eu_443 sl.mt.sq_432  sk.az.sl_332 mg.hu.un_330 
  0x0444100c, 0x556b2104, 0x311b110c, 0x2000551a,   // be.kk.ru_543 jw.ceb.rw_332  ro.tr.az_543 rw.sq.un_760 
  0x12190a07, 0x21531fa0, 0x110755a4, 0x31121baf,   // pt.gl.hu_432 cy.ht.jw_322  rw.it.ro_433 tr.hu.az_655 
  // [64a0]
  0x44303512, 0x071735a4, 0x556401af, 0x3f56030c,   // tg.uz.kk_654 tg.sr.bg_433  en.lg.rw_655 nl.mg.af_543 
  0x25030f55, 0x03213fa0, 0x131f03ad, 0x64002513,   // lv.nl.eu_442 af.jw.nl_322  nl.cy.et_643 eu.lg.un_650 
  0x0a003f04, 0x20231fa7, 0x170704ec, 0x56003705,   // af.pt.un_320 cy.ca.sq_532  ru.bg.sr_644 st.mg.un_330 
  0x07561aa0, 0x2f041311, 0x01030aa0, 0x1f011ca4,   // tl.mg.it_322 et.fi.su_653  pt.nl.en_322 id.en.cy_433 
  // [64b0]
  0x1e211cee, 0x3f000c0b, 0x13001f1a, 0x202503ad,   // id.jw.ms_422 sv.af.un_520  cy.et.un_760 nl.eu.sq_643 
  0x25172908, 0x322d0d0c, 0x2b212804, 0x12003002,   // sl.sr.eu_443 cs.sk.bs_543  sw.jw.vi_332 uz.hu.un_220 
  0x21022fad, 0x732955af, 0x3f2f03ee, 0x063f0313,   // su.da.jw_643 rw.sl.ny_655  nl.su.af_422 nl.af.de_665 
  0x231908a0, 0x27060211, 0x30001b1a, 0x080306ee,   // no.gl.ca_322 da.de.gd_653  tr.uz.un_760 de.nl.no_422 
  // [64c0]
  0x6b0c0607, 0x010637ec, 0x071c37a7, 0x1c002808,   // de.sv.ceb_432 st.de.en_644  st.id.it_532 sw.id.un_430 
  0x06003709, 0x08002f07, 0x2a005302, 0x06006b05,   // st.de.un_440 su.no.un_420  ht.mt.un_220 ceb.de.un_330 
  0x021b1fa7, 0x35170a07, 0x08001a0d, 0x37001f13,   // cy.tr.da_532 mk.sr.tg_432  tl.no.un_540 cy.st.un_650 
  0x32000208, 0x4407040c, 0x0e1c1eee, 0x0d096ba0,   // da.bs.un_430 ru.bg.kk_543  ms.id.is_422 ceb.pl.cs_322 
  // [64d0]
  0x023106a0, 0x1b001f14, 0x12000613, 0x13250407,   // de.az.da_322 cy.tr.un_660  de.hu.un_650 fi.eu.et_432 
  0x210c1a04, 0x06120ea7, 0x6400060c, 0x033f1ea0,   // tl.sv.jw_332 is.hu.de_532  de.lg.un_530 ms.af.nl_322 
  0x01000b02, 0x0e321702, 0x12131c04, 0x08071712,   // es.en.un_220 sr.bs.is_222  id.et.hu_332 sr.bg.uk_654 
  0x30234410, 0x090d1cee, 0x02000608, 0x320512ee,   // kk.ky.uz_642 mr.ne.hi_422  de.da.un_430 hu.fr.bs_422 
  // [64e0]
  0x10130f0c, 0x102d16a0, 0x2d29160c, 0x16000404,   // lv.et.lt_543 hr.sk.lt_322  hr.sl.sk_543 fi.hr.un_320 
  0x171104ee, 0x13001e08, 0x230b0a02, 0x35442308,   // fi.ro.sr_422 ms.et.un_430  pt.es.ca_222 ky.kk.tg_443 
  0x10560707, 0x0e003f21, 0x1256550c, 0x102d2904,   // it.mg.lt_432 af.is.un_860  rw.mg.hu_543 sl.sk.lt_332 
  0x0b000a1b, 0x0e080214, 0x03272a04, 0x56302f55,   // pt.es.un_770 da.no.is_666  mt.gd.nl_332 su.uz.mg_442 
  // [64f0]
  0x080a07a0, 0x1100180c, 0x106b2507, 0x0b070a07,   // it.pt.no_322 ga.ro.un_530  eu.ceb.lt_432 pt.it.es_432 
  0x0408110c, 0x04082305, 0x091a6b5a, 0x23003521,   // ro.uk.ru_543 ky.uk.ru_333  ceb.tl.pl_553 tg.ky.un_860 
  0x320d2a08, 0x0f0d1105, 0x6b080205, 0x0f321709,   // mt.cs.bs_443 ro.cs.lv_333  da.no.ceb_333 sr.bs.lv_444 
  0x35111755, 0x2d0d210c, 0x29071308, 0x0a081107,   // sr.ro.tg_442 jw.cs.sk_543  et.it.sl_443 ro.uk.mk_432 
  // [6500]
  0x290704a0, 0x2810130c, 0x373f73ad, 0x0f2f1a07,   // fi.it.sl_322 et.lt.sw_543  ny.af.st_643 tl.su.lv_432 
  0x0a291008, 0x070835a7, 0x17003d07, 0x1a6b730c,   // lt.sl.pt_443 tg.uk.bg_532  ku.sr.un_420 ny.ceb.tl_543 
  0x12201ba7, 0x6b0b0104, 0x08076b04, 0x0255080c,   // tr.sq.hu_532 en.es.ceb_332  ceb.it.no_332 no.rw.da_543 
  0x273f230c, 0x1b003d0c, 0x1b292d02, 0x4423305a,   // ca.af.gd_543 ku.tr.un_530  sk.sl.tr_222 uz.ky.kk_553 
  // [6510]
  0x02126bee, 0x10002808, 0x190b23a6, 0x01123002,   // ceb.hu.da_422 sw.lt.un_430  ca.es.gl_521 uz.hu.en_222 
  0x1f130405, 0x30001311, 0x21001307, 0x036b3faf,   // fi.et.cy_333 et.uz.un_630  et.jw.un_420 af.ceb.nl_655 
  0x100220a4, 0x1b53280c, 0x0a00231a, 0x6b003f07,   // sq.da.lt_433 sw.ht.tr_543  ky.mk.un_760 af.ceb.un_420 
  0x08000e22, 0x3064280b, 0x1f110508, 0x1b0c30a0,   // is.no.un_870 sw.lg.uz_542  fr.ro.cy_443 uz.sv.tr_322 
  // [6520]
  0x04170a13, 0x3f5325a4, 0x23003704, 0x3000531a,   // mk.sr.ru_665 eu.ht.af_433  st.ca.un_320 ht.uz.un_760 
  0x30111113, 0x6b551aa9, 0x30001b0c, 0x05011fee,   // ro.ro.uz_665 tl.rw.ceb_544  tr.uz.un_530 cy.en.fr_422 
  0x300735a0, 0x0c006407, 0x05190b55, 0x0735300c,   // tg.bg.uz_322 lg.sv.un_420  es.gl.fr_442 uz.tg.bg_543 
  0x20002a04, 0x070a12a9, 0x2100281a, 0x04002509,   // mt.sq.un_320 hu.pt.it_544  sw.jw.un_760 eu.fi.un_440 
  // [6530]
  0x281c1eee, 0x123004a9, 0x04132904, 0x212f1ea0,   // ms.id.sw_422 fi.uz.hu_544  sl.et.fi_332 ms.su.jw_322 
  0x27001e05, 0x2855735a, 0x091f25a6, 0x070a17ac,   // ms.gd.un_330 ny.rw.sw_553  eu.cy.pl_521 sr.mk.bg_632 
  0x370e6404, 0x21202507, 0x132325a9, 0x37002013,   // lg.is.st_332 eu.sq.jw_432  eu.ca.et_544 sq.st.un_650 
  0x645511a0, 0x321e29ee, 0x05092309, 0x29002019,   // ro.rw.lg_322 sl.ms.bs_422  ca.pl.fr_444 sq.sl.un_750 
  // [6540]
  0x2000230b, 0x011f2704, 0x311a6b08, 0x25001919,   // ca.sq.un_520 gd.cy.en_332  ceb.tl.az_443 gl.eu.un_750 
  0x20001e0d, 0x28001e07, 0x100701a9, 0x1121010c,   // ms.sq.un_540 ms.sw.un_420  en.it.lt_544 en.jw.ro_543 
  0x0e0925a4, 0x0d09250c, 0x200411a7, 0x1a042511,   // eu.pl.is_433 eu.pl.cs_543  ro.fi.sq_532 eu.fi.tl_653 
  0x6b3f0107, 0x25003d0c, 0x13300e0c, 0x2f55280c,   // en.af.ceb_432 ku.eu.un_530  is.uz.et_543 sw.rw.su_543 
  // [6550]
  0x1b002a04, 0x09006414, 0x08111113, 0x1a2153a0,   // mt.tr.un_320 lg.pl.un_660  ro.ro.uk_665 ht.jw.tl_322 
  0x02000c22, 0x28000920, 0x10001713, 0x3f03060e,   // sv.da.un_870 pl.sw.un_850  sr.be.un_650 de.nl.af_555 
  0x35110708, 0x06001f0c, 0x5328090c, 0x033f090c,   // bg.ro.tg_443 cy.de.un_530  pl.sw.ht_543 pl.af.nl_543 
  0x020e08a9, 0x212f1c14, 0x08043504, 0x19000b0d,   // no.is.da_544 id.su.jw_666  tg.ru.uk_332 es.gl.un_540 
  // [6560]
  0x3f06035a, 0x1f003f09, 0x0804440c, 0x1100171a,   // nl.de.af_553 af.cy.un_440  kk.ru.uk_543 sr.ro.un_760 
  0x21181207, 0x0a17100c, 0x1a000108, 0x17234455,   // ur.ar.fa_432 be.sr.mk_543  en.tl.un_430 kk.ky.sr_442 
  0x1b001604, 0x250d0f55, 0x012b6ba0, 0x1b001114,   // hr.tr.un_320 lv.cs.eu_442  ceb.vi.en_322 ro.tr.un_660 
  0x17041104, 0x2f0501a4, 0x1b0a13a7, 0x44001021,   // ro.ru.sr_332 en.fr.su_433  et.pt.tr_532 be.kk.un_860 
  // [6570]
  0x276e6b11, 0x1e6b2b09, 0x1a556b0b, 0x18120bec,   // ceb.hmn.gd_653 vi.ceb.ms_444  ceb.rw.tl_542 es.hu.ga_644 
  0x1a006b23, 0x0d00060c, 0x37001f0c, 0x64001e05,   // ceb.tl.un_880 de.cs.un_530  cy.st.un_530 ms.lg.un_330 
  0x253f03ad, 0x1f002513, 0x1e00200c, 0x033f05af,   // nl.af.eu_643 eu.cy.un_650  sq.ms.un_530 fr.af.nl_655 
  0x16001304, 0x18271c0c, 0x0a1135a9, 0x0d1305a9,   // et.hr.un_320 id.gd.ga_543  tg.ro.mk_544 fr.et.cs_544 
  // [6580]
  0x252811ec, 0x09001005, 0x18000a13, 0x0e00200d,   // ro.sw.eu_644 lt.pl.un_330  pt.ga.un_650 sq.is.un_540 
  0x11003d1a, 0x55236405, 0x31300c02, 0x25001104,   // ku.ro.un_760 lg.ca.rw_333  sv.uz.az_222 ro.eu.un_320 
  0x3f030c07, 0x101111af, 0x03270c07, 0x2b1a6bee,   // sv.nl.af_432 ro.ro.be_655  sv.gd.nl_432 ceb.tl.vi_422 
  0x18000e13, 0x1a2f2807, 0x08171208, 0x3f001319,   // is.ga.un_650 sw.su.tl_432  hu.sr.no_443 et.af.un_750 
  // [6590]
  0x03001f0d, 0x03012907, 0x033f0dee, 0x0100242a,   // cy.nl.un_540 sl.en.nl_432  cs.af.nl_422 yi.iw.un_970 
  0x10000907, 0x130823ad, 0x010a19ee, 0x10023f0c,   // pl.lt.un_420 ca.no.et_643  gl.pt.en_422 af.da.lt_543 
  0x1801040b, 0x0e005519, 0x090316a7, 0x0c05080c,   // fi.en.ga_542 rw.is.un_750  hr.nl.pl_532 no.fr.sv_543 
  0x3017350c, 0x0f060512, 0x311b5555, 0x3f0553ad,   // tg.sr.uz_543 fr.de.lv_654  rw.tr.az_442 ht.fr.af_643 
  // [65a0]
  0x32080f07, 0x0425110c, 0x010519a7, 0x25001122,   // lv.no.bs_432 ro.eu.fi_543  gl.fr.en_532 ro.eu.un_870 
  0x642f1aa4, 0x091953ec, 0x0f190ba6, 0x130208af,   // tl.su.lg_433 ht.gl.pl_644  es.gl.lv_521 no.da.et_655 
  0x281125ad, 0x1f0c020c, 0x03083f07, 0x052a0711,   // eu.ro.sw_643 da.sv.cy_543  af.no.nl_432 it.mt.fr_653 
  0x09122007, 0x5605230b, 0x12552807, 0x30110507,   // sq.hu.pl_432 ca.fr.mg_542  sw.rw.hu_432 fr.ro.uz_432 
  // [65b0]
  0x3f0523a0, 0x1c121aa6, 0x25005512, 0x091304ee,   // ca.fr.af_322 tl.hu.id_521  rw.eu.un_640 fi.et.pl_422 
  0x321b31a4, 0x3f0a0507, 0x1800190d, 0x09313008,   // az.tr.bs_433 fr.pt.af_432  gl.ga.un_540 uz.az.pl_443 
  0x0c0704ad, 0x0500530d, 0x30182755, 0x645528ec,   // fi.it.sv_643 ht.fr.un_540  gd.ga.uz_442 sw.rw.lg_644 
  0x6b1a25a4, 0x0520010c, 0x6473280d, 0x112f55ec,   // eu.tl.ceb_433 en.sq.fr_543  sw.ny.lg_554 rw.su.ro_644 
  // [65c0]
  0x0d055311, 0x17290fad, 0x2f00130c, 0x291e1c13,   // ht.fr.cs_653 lv.sl.sr_643  et.su.un_530 id.ms.sl_665 
  0x1a2f55ad, 0x0b0208a4, 0x3f05530c, 0x081f1e07,   // rw.su.tl_643 no.da.es_433  ht.fr.af_543 ms.cy.no_432 
  0x2f641e07, 0x04005302, 0x285573a9, 0x55200d05,   // ms.lg.su_432 ht.fi.un_220  ny.rw.sw_544 cs.sq.rw_333 
  0x53032a04, 0x2f096407, 0x131e1c08, 0x32051804,   // mt.nl.ht_332 lg.pl.su_432  id.ms.et_443 ga.fr.bs_332 
  // [65d0]
  0x731f640c, 0x1e001f07, 0x11002b12, 0x5520110c,   // lg.cy.ny_543 cy.ms.un_420  vi.ro.un_640 ro.sq.rw_543 
  0x090603af, 0x73010404, 0x07160a07, 0x08010bee,   // nl.de.pl_655 fi.en.ny_332  pt.hr.it_432 es.en.no_422 
  0x033f10ad, 0x28005535, 0x01213f07, 0x06000d04,   // lt.af.nl_643 rw.sw.un_A90  af.jw.en_432 cs.de.un_320 
  0x041230a9, 0x0c0701a4, 0x376455a4, 0x212f1ca9,   // uz.hu.fi_544 en.it.sv_433  rw.lg.st_433 id.su.jw_544 
  // [65e0]
  0x271f2aac, 0x0c2a07a9, 0x13002305, 0x0664070c,   // mt.cy.gd_632 it.mt.sv_544  ca.et.un_330 it.lg.de_543 
  0x0823105a, 0x030764a0, 0x1b00640e, 0x0212200b,   // be.ky.uk_553 lg.it.nl_322  lg.tr.un_550 sq.hu.da_542 
  0x321e1c14, 0x0a104407, 0x17000814, 0x3f00730c,   // id.ms.bs_666 kk.be.mk_432  uk.sr.un_660 ny.af.un_530 
  0x170430ee, 0x0c0413a4, 0x216b2fee, 0x352311a0,   // uz.ru.sr_422 et.fi.sv_433  su.ceb.jw_422 ro.ky.tg_322 
  // [65f0]
  0x12070107, 0x64001304, 0x2a00301a, 0x1b000c0d,   // en.it.hu_432 et.lg.un_320  uz.mt.un_760 sv.tr.un_540 
  0x53556404, 0x64183fa7, 0x08023f02, 0x182a0107,   // lg.rw.ht_332 af.ga.lg_532  af.da.no_222 en.mt.ga_432 
  0x09000d18, 0x23190b0e, 0x304435ee, 0x321606ec,   // ne.hi.un_740 es.gl.ca_555  tg.kk.uz_422 de.hr.bs_644 
  0x0a003014, 0x06001805, 0x18001f0d, 0x641a3f02,   // uz.mk.un_660 ga.de.un_330  cy.ga.un_540 af.tl.lg_222 
  // [6600]
  0x122f05a7, 0x3f080255, 0x0a0811ee, 0x07040a0e,   // fr.su.hu_532 da.no.af_442  ro.uk.mk_422 mk.ru.bg_555 
  0x04100a02, 0x07051a0b, 0x2a12730c, 0x56733004,   // mk.be.ru_222 tl.fr.it_542  ny.hu.mt_543 uz.ny.mg_332 
  0x6b28730c, 0x3000030d, 0x0a17350c, 0x190b2f02,   // ny.sw.ceb_543 nl.uz.un_540  tg.sr.mk_543 su.es.gl_222 
  0x21111a0c, 0x1b1273a7, 0x1200730c, 0x191a55af,   // tl.ro.jw_543 ny.hu.tr_532  ny.hu.un_530 rw.tl.gl_655 
  // [6610]
  0x111a01a0, 0x2d0d1fa0, 0x6b101a0b, 0x280c300c,   // en.tl.ro_322 cy.cs.sk_322  tl.lt.ceb_542 uz.sv.sw_543 
  0x44111112, 0x1a5525a4, 0x08006e0d, 0x55641aa4,   // ro.ro.kk_654 eu.rw.tl_433  hmn.no.un_540 tl.lg.rw_433 
  0x56002f07, 0x1f0c30a9, 0x32000804, 0x082855ee,   // su.mg.un_420 uz.sv.cy_544  no.bs.un_320 rw.sw.no_422 
  0x0b23560c, 0x040a0808, 0x217353ad, 0x20212fa0,   // mg.ca.es_543 uk.mk.ru_443  ht.ny.jw_643 su.jw.sq_322 
  // [6620]
  0x2d180d0c, 0x55251aad, 0x081f3f04, 0x0b001102,   // cs.ga.sk_543 tl.eu.rw_643  af.cy.no_332 ro.es.un_220 
  0x2d001f05, 0x53000521, 0x0b0a2309, 0x20005512,   // cy.sk.un_330 fr.ht.un_860  ca.pt.es_444 rw.sq.un_640 
  0x170a0408, 0x21307307, 0x293016a0, 0x203f1304,   // ru.mk.sr_443 ny.uz.jw_432  hr.uz.sl_322 et.af.sq_332 
  0x73645507, 0x73082805, 0x100817a9, 0x1f0c0304,   // rw.lg.ny_432 sw.no.ny_333  sr.uk.be_544 nl.sv.cy_332 
  // [6630]
  0x2a112307, 0x373f28a7, 0x1f6b2707, 0x11050304,   // ca.ro.mt_432 sw.af.st_532  gd.ceb.cy_432 nl.fr.ro_332 
  0x55190a08, 0x1b001702, 0x05000613, 0x3f000e21,   // pt.gl.rw_443 sr.tr.un_220  de.fr.un_650 is.af.un_860 
  0x2f6b280c, 0x1c002904, 0x28001822, 0x0f2510ee,   // sw.ceb.su_543 sl.id.un_320  ga.sw.un_870 lt.eu.lv_422 
  0x12295612, 0x120f730c, 0x735629a9, 0x28251f02,   // mg.sl.hu_654 ny.lv.hu_543  sl.mg.ny_544 cy.eu.sw_222 
  // [6640]
  0x05040f0c, 0x533056ee, 0x08070aec, 0x05001b14,   // lv.fi.fr_543 mg.uz.ht_422  mk.bg.uk_644 tr.fr.un_660 
  0x0c003f12, 0x190a28af, 0x29003f08, 0x05000829,   // af.sv.un_640 sw.pt.gl_655  af.sl.un_430 no.fr.un_960 
  0x0c060808, 0x3f000f23, 0x053f01a7, 0x29170204,   // no.de.sv_443 lv.af.un_880  en.af.fr_532 da.sr.sl_332 
  0x10006e1a, 0x013f23af, 0x080a04a0, 0x27002804,   // hmn.lt.un_760 ca.af.en_655  ru.mk.uk_322 sw.gd.un_320 
  // [6650]
  0x04000820, 0x3f012a05, 0x0804110c, 0x0d000a02,   // uk.ru.un_850 mt.en.af_333  ro.ru.uk_543 pt.cs.un_220 
  0x01531307, 0x23075308, 0x06090f07, 0x0164180c,   // et.ht.en_432 ht.it.ca_443  lv.pl.de_432 ga.lg.en_543 
  0x0f030108, 0x3f061f08, 0x030f0111, 0x12100fa4,   // en.nl.lv_443 cy.de.af_443  en.lv.nl_653 lv.lt.hu_433 
  0x28002514, 0x052301ec, 0x0f003f23, 0x040a35a0,   // eu.sw.un_660 en.ca.fr_644  af.lv.un_880 tg.mk.ru_322 
  // [6660]
  0x233f0107, 0x7328130d, 0x1f001213, 0x03182707,   // en.af.ca_432 et.sw.ny_554  hu.cy.un_650 gd.ga.nl_432 
  0x10000d07, 0x08020f07, 0x6e016b07, 0x1f002d02,   // cs.lt.un_420 lv.da.no_432  ceb.en.hmn_432 sk.cy.un_220 
  0x0205010b, 0x1f0802ee, 0x080f0e08, 0x04130ea4,   // en.fr.da_542 da.no.cy_422  is.lv.no_443 is.et.fi_433 
  0x100e1ca0, 0x07100a0c, 0x02130eee, 0x10001712,   // id.is.lt_322 mk.be.bg_543  is.et.da_422 sr.be.un_640 
  // [6670]
  0x0b0a0eee, 0x11130ea0, 0x170810ee, 0x03000e04,   // is.pt.es_422 is.et.ro_322  be.uk.sr_422 is.nl.un_320 
  0x110e0f04, 0x04000107, 0x010973ad, 0x080310a0,   // lv.is.ro_332 en.fi.un_420  ny.pl.en_643 lt.nl.no_322 
  0x0a6b010c, 0x1b2a040c, 0x2304100e, 0x1b1e30a4,   // en.ceb.pt_543 fi.mt.tr_543  be.ru.ky_555 uz.ms.tr_433 
  0x03007307, 0x300b0304, 0x64212f12, 0x550b19ee,   // ny.nl.un_420 nl.es.uz_332  su.jw.lg_654 gl.es.rw_422 
  // [6680]
  0x062873ad, 0x097303a4, 0x30647305, 0x061827ad,   // ny.sw.de_643 nl.ny.pl_433  ny.lg.uz_333 gd.ga.de_643 
  0x070b2304, 0x532f5509, 0x217303ee, 0x19003102,   // ca.es.it_332 rw.su.ht_444  nl.ny.jw_422 az.gl.un_220 
  0x322909a7, 0x021f2f04, 0x3544230e, 0x0a3753a0,   // pl.sl.bs_532 su.cy.da_332  ky.kk.tg_555 ht.st.pt_322 
  0x09050b04, 0x17070a55, 0x2f00041a, 0x53001f13,   // es.fr.pl_332 mk.bg.sr_442  fi.su.un_760 cy.ht.un_650 
  // [6690]
  0x0b022fec, 0x13567307, 0x287303af, 0x28001812,   // su.da.es_644 ny.mg.et_432  nl.ny.sw_655 ga.sw.un_640 
  0x53067312, 0x18001e04, 0x041a7304, 0x180673a4,   // ny.de.ht_654 ms.ga.un_320  ny.tl.fi_332 ny.de.ga_433 
  0x050973a0, 0x17351008, 0x282d0d0e, 0x2b003712,   // ny.pl.fr_322 be.tg.sr_443  cs.sk.sw_555 st.vi.un_640 
  0x1c23530c, 0x0f000a08, 0x25006408, 0x35004408,   // ht.ca.id_543 pt.lv.un_430  lg.eu.un_430 kk.tg.un_430 
  // [66a0]
  0x02000407, 0x100b2804, 0x1c130d14, 0x06022f0d,   // fi.da.un_420 sw.es.lt_332  ne.bh.mr_666 su.da.de_554 
  0x12001a07, 0x211a6ba0, 0x2500190e, 0x1600730c,   // tl.hu.un_420 ceb.tl.jw_322  gl.eu.un_550 ny.hr.un_530 
  0x04121304, 0x1200090d, 0x1f05040c, 0x082304a4,   // et.hu.fi_332 pl.hu.un_540  fi.fr.cy_543 ru.ky.uk_433 
  0x18210fa4, 0x28101aa0, 0x0d1613ad, 0x7356370c,   // lv.jw.ga_433 tl.lt.sw_322  et.hr.cs_643 st.mg.ny_543 
  // [66b0]
  0x37562905, 0x291e1c02, 0x212b1c02, 0x3d0c0855,   // sl.mg.st_333 id.ms.sl_222  id.vi.jw_222 no.sv.ku_442 
  0x1a646ba4, 0x17286b08, 0x30311b60, 0x1c0a01a4,   // ceb.lg.tl_433 ceb.sw.sr_443  tr.az.uz_664 en.pt.id_433 
  0x3f1b0da0, 0x2f211fad, 0x30002913, 0x1b311205,   // cs.tr.af_322 cy.jw.su_643  sl.uz.un_650 hu.az.tr_333 
  0x32005302, 0x2f002905, 0x2f130fa4, 0x201605a0,   // ht.bs.un_220 sl.su.un_330  lv.et.su_433 fr.hr.sq_322 
  // [66c0]
  0x080313a0, 0x167337a4, 0x0400440b, 0x16006408,   // et.nl.no_322 st.ny.hr_433  kk.ru.un_520 lg.hr.un_430 
  0x1c2a1e04, 0x0a3035ec, 0x200c06a4, 0x11282511,   // ms.mt.id_332 tg.uz.mk_644  de.sv.sq_433 eu.sw.ro_653 
  0x03062504, 0x071017a0, 0x2f211c0b, 0x25000a04,   // eu.de.nl_332 sr.be.bg_322  id.jw.su_542 pt.eu.un_320 
  0x080c0207, 0x201b060c, 0x2800041b, 0x190b23ac,   // da.sv.no_432 de.tr.sq_543  fi.sw.un_770 ca.es.gl_632 
  // [66d0]
  0x030c2013, 0x08100405, 0x131827a9, 0x06031108,   // sq.sv.nl_665 ru.be.uk_333  gd.ga.et_544 ro.nl.de_443 
  0x0718270c, 0x02003f13, 0x0200061b, 0x030806ee,   // gd.ga.it_543 af.da.un_650  de.da.un_770 de.no.nl_422 
  0x27002319, 0x19002104, 0x103f04a7, 0x3f1f1008,   // ca.gd.un_750 jw.gl.un_320  fi.af.lt_532 lt.cy.af_443 
  0x07442307, 0x44070407, 0x0f022507, 0x6b1a2f09,   // ky.kk.bg_432 ru.bg.kk_432  eu.da.lv_432 su.tl.ceb_444 
  // [66e0]
  0x100411ad, 0x3f5310a4, 0x6b001a21, 0x180427a7,   // ro.ru.be_643 lt.ht.af_433  tl.ceb.un_860 gd.fi.ga_532 
  0x0a23070c, 0x201f100c, 0x353004ee, 0x642809ec,   // it.ca.pt_543 lt.cy.sq_543  ru.uz.tg_422 pl.sw.lg_644 
  0x273f03af, 0x03020cee, 0x211c3fa0, 0x201006a0,   // nl.af.gd_655 sv.da.nl_422  af.id.jw_322 de.lt.sq_322 
  0x03080ca0, 0x1a002807, 0x21096407, 0x2100640c,   // sv.no.nl_322 sw.tl.un_420  lg.pl.jw_432 lg.jw.un_530 
  // [66f0]
  0x09212f55, 0x2a003d23, 0x040a17af, 0x04304405,   // su.jw.pl_442 ku.mt.un_880  sr.mk.ru_655 kk.uz.ru_333 
  0x3f001f2a, 0x172d2904, 0x1f3f100c, 0x011f10ee,   // cy.af.un_970 sl.sk.sr_332  lt.af.cy_543 lt.cy.en_422 
  0x31131ba4, 0x09002108, 0x0a0e235a, 0x2f1e1a05,   // tr.et.az_433 jw.pl.un_430  ca.is.pt_553 tl.ms.su_333 
  0x1a00281a, 0x32006b04, 0x3f002307, 0x53006b07,   // sw.tl.un_760 ceb.bs.un_320  ca.af.un_420 ceb.ht.un_420 
  // [6700]
  0x73281e0c, 0x12000705, 0x0e2a0b08, 0x1b0f1012,   // ms.sw.ny_543 it.hu.un_330  es.mt.is_443 lt.lv.tr_654 
  0x2d001602, 0x1c00550e, 0x31001e08, 0x561f37af,   // hr.sk.un_220 rw.id.un_550  ms.az.un_430 st.cy.mg_655 
  0x0e00120b, 0x10072d0c, 0x6b002107, 0x0e190a04,   // hu.is.un_520 sk.it.lt_543  jw.ceb.un_420 pt.gl.is_332 
  0x18136b05, 0x73192812, 0x6b111aa4, 0x1a000e19,   // ceb.et.ga_333 sw.gl.ny_654  tl.ro.ceb_433 is.tl.un_750 
  // [6710]
  0x07110408, 0x08001913, 0x10000f09, 0x73205607,   // ru.ro.bg_443 gl.no.un_650  lv.lt.un_440 mg.sq.ny_432 
  0x072a010c, 0x13562f0c, 0x300b0a02, 0x2b0301ee,   // en.mt.it_543 su.mg.et_543  pt.es.uz_222 en.nl.vi_422 
  0x03552807, 0x3229080b, 0x291a6b55, 0x28003d1b,   // sw.rw.nl_432 no.sl.bs_542  ceb.tl.sl_442 ku.sw.un_770 
  0x0400641b, 0x190b0a60, 0x0b1853ee, 0x2344350c,   // lg.fi.un_770 pt.es.gl_664  ht.ga.es_422 tg.kk.ky_543 
  // [6720]
  0x556413a4, 0x1f2305a0, 0x170a2355, 0x132921a0,   // et.lg.rw_433 fr.ca.cy_322  ca.pt.sr_442 jw.sl.et_322 
  0x0400030d, 0x0b000104, 0x08131b55, 0x643f730c,   // nl.fi.un_540 en.es.un_320  tr.et.no_442 ny.af.lg_543 
  0x646b10a0, 0x0c000e22, 0x0b1a6b55, 0x5500280b,   // lt.ceb.lg_322 is.sv.un_870  ceb.tl.es_442 sw.rw.un_520 
  0x2a556404, 0x2d290d08, 0x1707080c, 0x28006b07,   // lg.rw.mt_332 cs.sl.sk_443  uk.bg.sr_543 ceb.sw.un_420 
  // [6730]
  0x083f0204, 0x173d2909, 0x0a003d0c, 0x0300641a,   // da.af.no_332 sl.ku.sr_444  ku.pt.un_530 lg.nl.un_760 
  0x0b0a19a9, 0x2128640c, 0x12000911, 0x642804a9,   // gl.pt.es_544 lg.sw.jw_543  pl.hu.un_630 fi.sw.lg_544 
  0x046413af, 0x04136413, 0x100a07a4, 0x033f1fa4,   // et.lg.fi_655 lg.et.fi_665  bg.mk.be_433 cy.af.nl_433 
  0x25271104, 0x3f061fa4, 0x070804a0, 0x1c090d0b,   // ro.gd.eu_332 cy.de.af_433  ru.uk.bg_322 ne.hi.mr_542 
  // [6740]
  0x07021007, 0x3f12105a, 0x1210010c, 0x174435a4,   // lt.da.it_432 lt.hu.af_553  en.lt.hu_543 tg.kk.sr_433 
  0x28002504, 0x07353007, 0x28180104, 0x0a041702,   // eu.sw.un_320 uz.tg.bg_432  en.ga.sw_332 sr.ru.mk_222 
  0x20002113, 0x04001218, 0x0a071755, 0x64011fee,   // jw.sq.un_650 hu.fi.un_740  sr.bg.mk_442 cy.en.lg_422 
  0x230a1007, 0x53002105, 0x2f1c2102, 0x28203007,   // lt.pt.ca_432 jw.ht.un_330  jw.id.su_222 uz.sq.sw_432 
  // [6750]
  0x28002008, 0x18000121, 0x2a0b28ee, 0x190a2da0,   // sq.sw.un_430 en.ga.un_860  sw.es.mt_422 sk.pt.gl_322 
  0x30001c02, 0x281a5504, 0x1c6e2804, 0x1c2123a7,   // id.uz.un_220 rw.tl.sw_332  sw.hmn.id_332 ca.jw.id_532 
  0x28552004, 0x01001107, 0x28203011, 0x040810a7,   // sq.rw.sw_332 ro.en.un_420  uz.sq.sw_653 be.uk.ru_532 
  0x11163211, 0x18200111, 0x02006e04, 0x20552304,   // bs.hr.ro_653 en.sq.ga_653  hmn.da.un_320 ca.rw.sq_332 
  // [6760]
  0x271e2f07, 0x553730a4, 0x53002f0b, 0x2a0b230c,   // su.ms.gd_432 uz.st.rw_433  su.ht.un_520 ca.es.mt_543 
  0x1e1830a0, 0x1b31550c, 0x0a0735ec, 0x21532912,   // uz.ga.ms_322 rw.az.tr_543  tg.bg.mk_644 sl.ht.jw_654 
  0x1e1c20af, 0x30002b0c, 0x5530280c, 0x251c11a7,   // sq.id.ms_655 vi.uz.un_530  sw.uz.rw_543 ro.id.eu_532 
  0x13000d21, 0x252f5512, 0x6b3d280c, 0x2f1821a0,   // ne.bh.un_860 rw.su.eu_654  sw.ku.ceb_543 jw.ga.su_322 
  // [6770]
  0x1f1c5307, 0x302055a7, 0x550528a0, 0x1e1c1fa4,   // ht.id.cy_432 rw.sq.uz_532  sw.fr.rw_322 cy.id.ms_433 
  0x64001c08, 0x2800200e, 0x35004412, 0x082335a7,   // id.lg.un_430 sq.sw.un_550  kk.tg.un_640 tg.ky.uk_532 
  0x31001709, 0x12001005, 0x212f01ee, 0x29002d2b,   // sr.az.un_440 lt.hu.un_330  en.su.jw_422 sk.sl.un_980 
  0x3f2a1fa7, 0x2f1f1ca0, 0x64005305, 0x55111a09,   // cy.mt.af_532 id.cy.su_322  ht.lg.un_330 tl.ro.rw_444 
  // [6780]
  0x10132014, 0x040a30a4, 0x09003f04, 0x0a044408,   // sq.et.lt_666 uz.mk.ru_433  af.pl.un_320 kk.ru.mk_443 
  0x23190bad, 0x6b190111, 0x01093f07, 0x03000e08,   // es.gl.ca_643 en.gl.ceb_653  af.pl.en_432 is.nl.un_430 
  0x53003202, 0x0a441705, 0x033f06a6, 0x3f0e08a4,   // bs.ht.un_220 sr.kk.mk_333  de.af.nl_521 no.is.af_433 
  0x53001e02, 0x53182755, 0x3f0c0805, 0x12083f07,   // ms.ht.un_220 gd.ga.ht_442  no.sv.af_333 af.no.hu_432 
  // [6790]
  0x270618ac, 0x063f0ea0, 0x0e3f080c, 0x04301704,   // ga.de.gd_632 is.af.de_322  no.af.is_543 sr.uz.ru_332 
  0x08070412, 0x1e1c3fec, 0x0400200b, 0x16001707,   // ru.bg.uk_654 af.id.ms_644  sq.fi.un_520 sr.hr.un_420 
  0x0727180b, 0x230225ec, 0x731a3f0c, 0x0e103f07,   // ga.gd.it_542 eu.da.ca_644  af.tl.ny_543 af.lt.is_432 
  0x64732809, 0x1c2f2507, 0x1a6b30ad, 0x0c030607,   // sw.ny.lg_444 eu.su.id_432  uz.ceb.tl_643 de.nl.sv_432 
  // [67a0]
  0x050d53a0, 0x303237a6, 0x033f0ea4, 0x28001902,   // ht.cs.fr_322 st.bs.uz_521  is.af.nl_433 gl.sw.un_220 
  0x0e001a0d, 0x0704080e, 0x0a174404, 0x0a071704,   // tl.is.un_540 uk.ru.bg_555  kk.sr.mk_332 sr.bg.mk_332 
  0x2500280e, 0x202d0d05, 0x2d0d0a55, 0x440a2304,   // sw.eu.un_550 cs.sk.sq_333  pt.cs.sk_442 ky.mk.kk_332 
  0x0e0608a0, 0x567328a4, 0x302f2108, 0x041a0fa4,   // no.de.is_322 sw.ny.mg_433  jw.su.uz_443 lv.tl.fi_433 
  // [67b0]
  0x211e7307, 0x0f2510ad, 0x190b23ec, 0x6b0604a4,   // ny.ms.jw_432 lt.eu.lv_643  ca.es.gl_644 fi.de.ceb_433 
  0x211e3f04, 0x04130e08, 0x5664730c, 0x040a08a0,   // af.ms.jw_332 is.et.fi_443  ny.lg.mg_543 uk.mk.ru_322 
  0x1e100405, 0x736b0807, 0x17003102, 0x2304300c,   // fi.lt.ms_333 no.ceb.ny_432  az.sr.un_220 uz.ru.ky_543 
  0x73551e0b, 0x1707300c, 0x12002f09, 0x0f002105,   // ms.rw.ny_542 uz.bg.sr_543  su.hu.un_440 jw.lv.un_330 
  // [67c0]
  0x2b212fa4, 0x56003005, 0x64285508, 0x6b0810a7,   // su.jw.vi_433 uz.mg.un_330  rw.sw.lg_443 lt.no.ceb_532 
  0x1f1b1213, 0x081711a7, 0x18205607, 0x1a126b11,   // hu.tr.cy_665 ro.sr.uk_532  mg.sq.ga_432 ceb.hu.tl_653 
  0x2b1e5504, 0x100f73ec, 0x025313a9, 0x2f640f04,   // rw.ms.vi_332 ny.lv.lt_644  et.ht.da_544 lv.lg.su_332 
  0x7332530c, 0x3f1106a0, 0x11040a12, 0x2f73040c,   // ht.bs.ny_543 de.ro.af_322  mk.ru.ro_654 fi.ny.su_543 
  // [67d0]
  0x53560fa4, 0x56305507, 0x0f1006ee, 0x3f37730b,   // lv.mg.ht_433 rw.uz.mg_432  de.lt.lv_422 ny.st.af_542 
  0x5330560c, 0x112327a9, 0x73002021, 0x731c6408,   // mg.uz.ht_543 gd.ca.ro_544  sq.ny.un_860 lg.id.ny_443 
  0x23071fa4, 0x645608a4, 0x287318a0, 0x2304105a,   // cy.it.ca_433 no.mg.lg_433  ga.ny.sw_322 be.ru.ky_553 
  0x0c64080b, 0x53003d0d, 0x07170a11, 0x03007314,   // no.lg.sv_542 ku.ht.un_540  mk.sr.bg_653 ny.nl.un_660 
  // [67e0]
  0x30003702, 0x28095507, 0x07002a12, 0x08110414,   // st.uz.un_220 rw.pl.sw_432  mt.it.un_640 ru.ro.uk_666 
  0x12000521, 0x28002522, 0x732f2114, 0x2300530b,   // fr.hu.un_860 eu.sw.un_870  jw.su.ny_666 ht.ca.un_520 
  0x2f285608, 0x6b1e1aa0, 0x01110704, 0x16002d0c,   // mg.sw.su_443 tl.ms.ceb_322  it.ro.en_332 sk.hr.un_530 
  0x01181f07, 0x033f0608, 0x05003d0e, 0x6b730107,   // cy.ga.en_432 de.af.nl_443  ku.fr.un_550 en.ny.ceb_432 
  // [67f0]
  0x11002808, 0x310830a0, 0x13001119, 0x2100281b,   // sw.ro.un_430 uz.no.az_322  ro.et.un_750 sw.jw.un_770 
  0x160d2955, 0x441123ad, 0x18120911, 0x286b64ad,   // sl.cs.hr_442 ky.ro.kk_643  pl.hu.ga_653 lg.ceb.sw_643 
  0x21000a04, 0x2f1c2107, 0x56287309, 0x0d2510ec,   // pt.jw.un_320 jw.id.su_432  ny.sw.mg_444 lt.eu.cs_644 
  0x2f1a6ba0, 0x6b2837a0, 0x121013a0, 0x07112112,   // ceb.tl.su_322 st.sw.ceb_322  et.lt.hu_322 jw.ro.it_654 
  
  // [6800]
  0x2a1b0e04, 0x08021ba4, 0x6e000f14, 0x6b736402,   // is.tr.mt_332 tr.da.no_433  lv.hmn.un_660 lg.ny.ceb_222 
  0x081011a6, 0x0e311f11, 0x1c001a08, 0x08000c2b,   // ro.be.uk_521 cy.az.is_653  tl.id.un_430 sv.no.un_980 
  0x21205512, 0x080c3f09, 0x250c20a7, 0x64000108,   // rw.sq.jw_654 af.sv.no_444  sq.sv.eu_532 en.lg.un_430 
  0x53200908, 0x0c0225a0, 0x13091112, 0x645525ad,   // pl.sq.ht_443 eu.da.sv_322  ro.pl.et_654 eu.rw.lg_643 
  // [6810]
  0x04082504, 0x09001119, 0x64000e12, 0x2500020e,   // eu.no.fi_332 ro.pl.un_750  is.lg.un_640 da.eu.un_550 
  0x083f02a0, 0x0b03060c, 0x321729ad, 0x56530502,   // da.af.no_322 de.nl.es_543  sl.sr.bs_643 fr.ht.mg_222 
  0x23530cee, 0x17255504, 0x081730ee, 0x1108100d,   // sv.ht.ca_422 rw.eu.sr_332  uz.sr.uk_422 be.uk.ro_554 
  0x20000a2b, 0x30004423, 0x0410070b, 0x1f2b070d,   // pt.sq.un_980 kk.uz.un_880  bg.be.ru_542 it.vi.cy_554 
  // [6820]
  0x2d1310ee, 0x030c3f0c, 0x080a07ec, 0x1f0137a4,   // lt.et.sk_422 af.sv.nl_543  bg.mk.uk_644 st.en.cy_433 
  0x12002007, 0x25081f04, 0x04301008, 0x28553708,   // sq.hu.un_420 cy.no.eu_332  be.uz.ru_443 st.rw.sw_443 
  0x1b3d2504, 0x1200041a, 0x23202504, 0x5508020d,   // eu.ku.tr_332 fi.hu.un_760  eu.sq.ca_332 da.no.rw_554 
  0x07000423, 0x23202904, 0x0717110c, 0x2b190a12,   // ru.bg.un_880 sl.sq.ca_332  ro.sr.bg_543 pt.gl.vi_654 
  // [6830]
  0x0a3011a0, 0x1735110b, 0x17003502, 0x13091cad,   // ro.uz.mk_322 ro.tg.sr_542  tg.sr.un_220 mr.hi.bh_643 
  0x17003004, 0x2300442a, 0x18001a07, 0x10077314,   // uz.sr.un_320 kk.ky.un_970  tl.ga.un_420 ny.it.lt_666 
  0x3f6e1312, 0x193707a9, 0x73280755, 0x301b315a,   // et.hmn.af_654 it.st.gl_544  it.sw.ny_442 az.tr.uz_553 
  0x280306ec, 0x036e1302, 0x0727730c, 0x031853a0,   // de.nl.sw_644 et.hmn.nl_222  ny.gd.it_543 ht.ga.nl_322 
  // [6840]
  0x731028a7, 0x2700061a, 0x30092812, 0x53006e04,   // sw.lt.ny_532 de.gd.un_760  sw.pl.uz_654 hmn.ht.un_320 
  0x071730ad, 0x28000d12, 0x0a550702, 0x192907a7,   // uz.sr.bg_643 cs.sw.un_640  it.rw.pt_222 it.sl.gl_532 
  0x04080aa4, 0x1c1827a4, 0x280705af, 0x07003014,   // mk.uk.ru_433 gd.ga.id_433  fr.it.sw_655 uz.it.un_660 
  0x555607a4, 0x283073ee, 0x641323af, 0x56002f1a,   // it.mg.rw_433 ny.uz.sw_422  ca.et.lg_655 su.mg.un_760 
  // [6850]
  0x11005509, 0x0f562507, 0x28002f13, 0x561e1c13,   // rw.ro.un_440 eu.mg.lv_432  su.sw.un_650 id.ms.mg_665 
  0x07005609, 0x3f036e05, 0x250f5613, 0x127303af,   // mg.it.un_440 hmn.nl.af_333  mg.lv.eu_665 nl.ny.hu_655 
  0x2f555608, 0x13036ea0, 0x290953ee, 0x16002507,   // mg.rw.su_443 hmn.nl.et_322  ht.pl.sl_422 eu.hr.un_420 
  0x7300210d, 0x28305304, 0x6b3707a9, 0x7327070c,   // jw.ny.un_540 ht.uz.sw_332  it.st.ceb_544 it.gd.ny_543 
  // [6860]
  0x17565307, 0x2a000712, 0x56112f04, 0x27060312,   // ht.mg.sr_432 it.mt.un_640  su.ro.mg_332 nl.de.gd_654 
  0x370728a4, 0x272806a9, 0x311b6b08, 0x280773a0,   // sw.it.st_433 de.sw.gd_544  ceb.tr.az_443 ny.it.sw_322 
  0x30552904, 0x2f1a6b13, 0x64735512, 0x21000808,   // sl.rw.uz_332 ceb.tl.su_665  rw.ny.lg_654 no.jw.un_430 
  0x2f001307, 0x2f002814, 0x2f0321a0, 0x32163f14,   // et.su.un_420 sw.su.un_660  jw.nl.su_322 af.hr.bs_666 
  // [6870]
  0x1c2764a4, 0x0f2d0d55, 0x1b00110c, 0x6473550c,   // lg.gd.id_433 cs.sk.lv_442  ro.tr.un_530 rw.ny.lg_543 
  0x2f56170c, 0x08020cac, 0x2a0f5611, 0x0d002914,   // sr.mg.su_543 sv.da.no_632  mg.lv.mt_653 sl.cs.un_660 
  0x080a0408, 0x30071105, 0x190b0aaf, 0x041023ee,   // ru.mk.uk_443 ro.it.uz_333  pt.es.gl_655 ky.be.ru_422 
  0x080221a4, 0x1f003f07, 0x08042307, 0x1b001004,   // jw.da.no_433 af.cy.un_420  ky.ru.uk_432 lt.tr.un_320 
  // [6880]
  0x23000413, 0x6e6b1fa0, 0x211b1ca4, 0x2900170d,   // ru.ky.un_650 cy.ceb.hmn_322  id.tr.jw_433 sr.sl.un_540 
  0x27016b07, 0x2d290d05, 0x100a0704, 0x120f10ee,   // ceb.en.gd_432 cs.sl.sk_333  bg.mk.be_332 lt.lv.hu_422 
  0x101e1c09, 0x0c080212, 0x17002909, 0x530f01a0,   // id.ms.lt_444 da.no.sv_654  sl.sr.un_440 en.lv.ht_322 
  0x01002002, 0x56001e1a, 0x172f100c, 0x28001a02,   // sq.en.un_220 ms.mg.un_760  lt.su.sr_543 tl.sw.un_220 
  // [6890]
  0x04071705, 0x055601a0, 0x0a041008, 0x642f6b08,   // sr.bg.ru_333 en.mg.fr_322  be.ru.mk_443 ceb.su.lg_443 
  0x23000813, 0x551a6b08, 0x1f080c07, 0x07310e04,   // uk.ky.un_650 ceb.tl.rw_443  sv.no.cy_432 is.az.it_332 
  0x6400562b, 0x6b211aa4, 0x205653a9, 0x3755210c,   // mg.lg.un_980 tl.jw.ceb_433  ht.mg.sq_544 jw.rw.st_543 
  0x552f0faf, 0x1c101ea9, 0x121f100c, 0x64551aad,   // lv.su.rw_655 ms.lt.id_544  lt.cy.hu_543 tl.rw.lg_643 
  // [68a0]
  0x16002f04, 0x35443005, 0x21641a05, 0x0c002505,   // su.hr.un_320 uz.kk.tg_333  tl.lg.jw_333 eu.sv.un_330 
  0x55311ba7, 0x0804110d, 0x2f002805, 0x287308a0,   // tr.az.rw_532 ro.ru.uk_554  sw.su.un_330 no.ny.sw_322 
  0x2508025a, 0x03642aee, 0x050e01a0, 0x19120baf,   // da.no.eu_553 mt.lg.nl_422  en.is.fr_322 es.hu.gl_655 
  0x1b3130a4, 0x23200c08, 0x64033f0b, 0x102f1a0c,   // uz.az.tr_433 sv.sq.ca_443  af.nl.lg_542 tl.su.lt_543 
  // [68b0]
  0x0723440c, 0x122508a0, 0x257323a9, 0x190f01a0,   // kk.ky.bg_543 no.eu.hu_322  ca.ny.eu_544 en.lv.gl_322 
  0x30352308, 0x64211a08, 0x0d1737a0, 0x17202f08,   // ky.tg.uz_443 tl.jw.lg_443  st.sr.cs_322 su.sq.sr_443 
  0x2b0155a0, 0x102506a4, 0x56007305, 0x041f735a,   // rw.en.vi_322 de.eu.lt_433  ny.mg.un_330 ny.cy.fi_553 
  0x25060fad, 0x080a07ee, 0x4404080c, 0x17111008,   // lv.de.eu_643 bg.mk.uk_422  uk.ru.kk_543 be.ro.sr_443 
  // [68c0]
  0x3f0364a0, 0x0e1809ec, 0x2800270c, 0x0e06130c,   // lg.nl.af_322 pl.ga.is_644  gd.sw.un_530 et.de.is_543 
  0x1b2801a7, 0x32136408, 0x01033f07, 0x093f0302,   // en.sw.tr_532 lg.et.bs_443  af.nl.en_432 nl.af.pl_222 
  0x06002b02, 0x100e0f08, 0x6b000619, 0x12230ba0,   // vi.de.un_220 lv.is.lt_443  de.ceb.un_750 es.ca.hu_322 
  0x06002721, 0x0400132c, 0x23005319, 0x18062714,   // gd.de.un_860 et.fi.un_990  ht.ca.un_750 gd.de.ga_666 
  // [68d0]
  0x3f6b0404, 0x0a303508, 0x27002b19, 0x1f09060d,   // fi.ceb.af_332 tg.uz.mk_443  vi.gd.un_750 de.pl.cy_554 
  0x27000121, 0x06001f13, 0x6b06010c, 0x1b2520ee,   // en.gd.un_860 cy.de.un_650  en.de.ceb_543 sq.eu.tr_422 
  0x354423ec, 0x0a080705, 0x2b53270c, 0x1f062bee,   // ky.kk.tg_644 bg.uk.mk_333  gd.ht.vi_543 vi.de.cy_422 
  0x09002a02, 0x2b005309, 0x303544ad, 0x21371a0c,   // mt.pl.un_220 ht.vi.un_440  kk.tg.uz_643 tl.st.jw_543 
  // [68e0]
  0x06531f11, 0x552a3707, 0x112f560e, 0x08100705,   // cy.ht.de_653 st.mt.rw_432  mg.su.ro_555 bg.be.uk_333 
  0x09002d04, 0x06080205, 0x020308a9, 0x0a001134,   // sk.pl.un_320 da.no.de_333  no.nl.da_544 ro.pt.un_A80 
  0x0600041b, 0x080a10a0, 0x190407ee, 0x16122055,   // fi.de.un_770 be.mk.uk_322  it.fi.gl_422 sq.hu.hr_442 
  0x20030207, 0x080c020c, 0x20291711, 0x251b070c,   // da.nl.sq_432 da.sv.no_543  sr.sl.sq_653 it.tr.eu_543 
  // [68f0]
  0x19001f02, 0x0d1016a4, 0x042f28ee, 0x64070407,   // cy.gl.un_220 hr.lt.cs_433  sw.su.fi_422 fi.it.lg_432 
  0x08111160, 0x12001f09, 0x3f00291a, 0x020553af,   // ro.ro.uk_664 cy.hu.un_440  sl.af.un_760 ht.fr.da_655 
  0x060e0c02, 0x00003737, 0x6b010713, 0x1c1e2104,   // sv.is.de_222 st.un.un_B00  it.en.ceb_665 jw.ms.id_332 
  0x350a2307, 0x23114404, 0x07081707, 0x1e2d0d14,   // ky.mk.tg_432 kk.ro.ky_332  sr.uk.bg_432 cs.sk.ms_666 
  // [6900]
  0x041c2fa4, 0x0c20120c, 0x322b16a0, 0x0302060c,   // su.id.fi_433 hu.sq.sv_543  hr.vi.bs_322 de.da.nl_543 
  0x440430ec, 0x17111155, 0x32000305, 0x0820030c,   // uz.ru.kk_644 ro.ro.sr_442  nl.bs.un_330 nl.sq.no_543 
  0x01001f08, 0x03002013, 0x11110413, 0x23002513,   // cy.en.un_430 sq.nl.un_650  ru.ro.ro_665 eu.ca.un_650 
  0x27001105, 0x30080204, 0x08020da4, 0x7300250c,   // ro.gd.un_330 da.no.uz_332  cs.da.no_433 eu.ny.un_530 
  // [6910]
  0x0c0229ad, 0x55132a0c, 0x0c00020d, 0x205528ec,   // sl.da.sv_643 mt.et.rw_543  da.sv.un_540 sw.rw.sq_644 
  0x06022fa0, 0x283001a9, 0x35071004, 0x10000602,   // su.da.de_322 en.uz.sw_544  be.bg.tg_332 de.lt.un_220 
  0x28300107, 0x0a110712, 0x283055af, 0x2055280d,   // en.uz.sw_432 bg.ro.mk_654  rw.uz.sw_655 sw.rw.sq_554 
  0x20000322, 0x3d3f06ad, 0x2055280c, 0x2000031b,   // nl.sq.un_870 de.af.ku_643  sw.rw.sq_543 nl.sq.un_770 
  // [6920]
  0x1c1304a9, 0x2a202813, 0x20000313, 0x30005522,   // fi.et.id_544 sw.sq.mt_665  nl.sq.un_650 rw.uz.un_870 
  0x080253ee, 0x73202114, 0x28101aa4, 0x20552812,   // ht.da.no_422 jw.sq.ny_666  tl.lt.sw_433 sw.rw.sq_654 
  0x0f6425a7, 0x0b006404, 0x072317a4, 0x0a000819,   // eu.lg.lv_532 lg.es.un_320  sr.ky.bg_433 uk.mk.un_750 
  0x0a00060c, 0x27100f09, 0x0c0e0204, 0x5500301b,   // de.pt.un_530 lv.lt.gd_444  da.is.sv_332 uz.rw.un_770 
  // [6930]
  0x29000404, 0x251f10a7, 0x2820300c, 0x10006b0d,   // fi.sl.un_320 lt.cy.eu_532  uz.sq.sw_543 ceb.lt.un_540 
  0x02001308, 0x5528300d, 0x3f001f13, 0x090f730c,   // et.da.un_430 uz.sw.rw_554  cy.af.un_650 ny.lv.pl_543 
  0x0904100c, 0x28203012, 0x010910a0, 0x3000281a,   // lt.fi.pl_543 uz.sq.sw_654  lt.pl.en_322 sw.uz.un_760 
  0x2000301b, 0x2f216b12, 0x110e2a07, 0x30005513,   // uz.sq.un_770 ceb.jw.su_654  mt.is.ro_432 rw.uz.un_650 
  // [6940]
  0x0e732f07, 0x2a0425ee, 0x08170409, 0x01003d07,   // su.ny.is_432 eu.fi.mt_422  ru.sr.uk_444 ku.en.un_420 
  0x0a0435ad, 0x280f2f0d, 0x44100411, 0x17042305,   // tg.ru.mk_643 su.lv.sw_554  ru.be.kk_653 ky.ru.sr_333 
  0x30111111, 0x070a0408, 0x20002f04, 0x0408170d,   // ro.ro.uz_653 ru.mk.bg_443  su.sq.un_320 sr.uk.ru_554 
  0x12042a12, 0x0f000205, 0x2d090da4, 0x01070509,   // mt.fi.hu_654 da.lv.un_330  cs.pl.sk_433 fr.it.en_444 
  // [6950]
  0x30041055, 0x2b001112, 0x6b002005, 0x01281fad,   // be.ru.uz_442 ro.vi.un_640  sq.ceb.un_330 cy.sw.en_643 
  0x3f730913, 0x23073007, 0x35302355, 0x20003207,   // pl.ny.af_665 uz.bg.ky_432  ky.uz.tg_442 bs.sq.un_420 
  0x03001702, 0x17002911, 0x0c001321, 0x06000c22,   // sr.nl.un_220 sl.sr.un_630  et.sv.un_860 sv.de.un_870 
  0x11002813, 0x530630ee, 0x4400350c, 0x1c091312,   // sw.ro.un_650 uz.de.ht_422  tg.kk.un_530 bh.hi.mr_654 
  // [6960]
  0x64285509, 0x0a003102, 0x09005514, 0x08072309,   // rw.sw.lg_444 az.pt.un_220  rw.pl.un_660 ky.bg.uk_444 
  0x645528a0, 0x16190b0c, 0x170710ee, 0x1b312f0c,   // sw.rw.lg_322 es.gl.hr_543  be.bg.sr_422 su.az.tr_543 
  0x2d0d3205, 0x0613040d, 0x55000912, 0x06040caf,   // bs.cs.sk_333 fi.et.de_554  pl.rw.un_640 sv.fi.de_655 
  0x28002019, 0x230704af, 0x111827a0, 0x055316a0,   // sq.sw.un_750 ru.bg.ky_655  gd.ga.ro_322 hr.ht.fr_322 
  // [6970]
  0x2d0d0905, 0x0500280c, 0x08000504, 0x64005607,   // pl.cs.sk_333 sw.fr.un_530  fr.no.un_320 mg.lg.un_420 
  0x0c06130c, 0x00005637, 0x1e551ca9, 0x0937010c,   // et.de.sv_543 mg.un.un_B00  id.rw.ms_544 en.st.pl_543 
  0x2f2810a4, 0x13000c13, 0x0e2a05a0, 0x06300e04,   // lt.sw.su_433 sv.et.un_650  fr.mt.is_322 is.uz.de_332 
  0x3f035509, 0x21102f07, 0x2a001909, 0x282f2112,   // rw.nl.af_444 su.lt.jw_432  gl.mt.un_440 jw.su.sw_654 
  // [6980]
  0x1c001320, 0x28552f55, 0x0b2a3702, 0x0d006404,   // bh.mr.un_850 su.rw.sw_442  st.mt.es_222 lg.cs.un_320 
  0x230308a4, 0x3d003f0c, 0x192f55ee, 0x1c212fee,   // no.nl.ca_433 af.ku.un_530  rw.su.gl_422 su.jw.id_422 
  0x23104408, 0x10641e0b, 0x0f101e04, 0x02072a08,   // kk.be.ky_443 ms.lg.lt_542  ms.lt.lv_332 mt.it.da_443 
  0x311b13ec, 0x55731104, 0x07350a0d, 0x0b3255a4,   // et.tr.az_644 ro.ny.rw_332  mk.tg.bg_554 rw.bs.es_433 
  // [6990]
  0x551107ad, 0x2f3f13ac, 0x55642004, 0x081104ec,   // it.ro.rw_643 et.af.su_632  sq.lg.rw_332 ru.ro.uk_644 
  0x21092f02, 0x53255507, 0x11001a04, 0x174410a7,   // su.pl.jw_222 rw.eu.ht_432  tl.ro.un_320 be.kk.sr_532 
  0x1600291a, 0x0f001e07, 0x090d1c0e, 0x1a000e02,   // sl.hr.un_760 ms.lv.un_420  mr.ne.hi_555 is.tl.un_220 
  0x27181007, 0x730755a4, 0x1e002707, 0x291310af,   // lt.ga.gd_432 rw.it.ny_433  gd.ms.un_420 lt.et.sl_655 
  // [69a0]
  0x17440a0c, 0x050806ee, 0x736455ad, 0x070f05a4,   // mk.kk.sr_543 de.no.fr_422  rw.lg.ny_643 fr.lv.it_433 
  0x20255507, 0x0b18020c, 0x015528a4, 0x033f02a4,   // rw.eu.sq_432 da.ga.es_543  sw.rw.en_433 da.af.nl_433 
  0x64553d13, 0x2f003d12, 0x060308a4, 0x270955a0,   // ku.rw.lg_665 ku.su.un_640  no.nl.de_433 rw.pl.gd_322 
  0x052d27a0, 0x0507010d, 0x116b6408, 0x0c645511,   // gd.sk.fr_322 en.it.fr_554  lg.ceb.ro_443 rw.lg.sv_653 
  // [69b0]
  0x100507a4, 0x08023705, 0x0f100713, 0x0705250d,   // it.fr.lt_433 st.da.no_333  it.lt.lv_665 eu.fr.it_554 
  0x17234408, 0x070255af, 0x1b1304ec, 0x1013020c,   // kk.ky.sr_443 rw.da.it_655  fi.et.tr_644 da.et.lt_543 
  0x3f060302, 0x08021caf, 0x072823a4, 0x19050a55,   // nl.de.af_222 id.da.no_655  ca.sw.it_433 pt.fr.gl_442 
  0x11070aa4, 0x010c0404, 0x5300230e, 0x0b0a235a,   // mk.bg.ro_433 fi.sv.en_332  ca.ht.un_550 ca.pt.es_553 
  // [69c0]
  0x0d091c09, 0x082d0d02, 0x1c003f0c, 0x0c3d08a0,   // mr.hi.ne_444 cs.sk.no_222  af.id.un_530 no.ku.sv_322 
  0x2123200c, 0x2100180e, 0x0a001118, 0x09211e04,   // sq.ca.jw_543 ar.fa.un_550  ro.mk.un_740 ms.jw.pl_332 
  0x2b18010c, 0x292d2008, 0x09000d21, 0x09003f13,   // en.ga.vi_543 sq.sk.sl_443  ne.hi.un_860 af.pl.un_650 
  0x25005514, 0x2f002122, 0x05250107, 0x0200100c,   // rw.eu.un_660 jw.su.un_870  en.eu.fr_432 lt.da.un_530 
  // [69d0]
  0x322920af, 0x08001b12, 0x0b1923a6, 0x0e311b07,   // sq.sl.bs_655 tr.no.un_640  ca.gl.es_521 tr.az.is_432 
  0x0c005319, 0x04301107, 0x1b310e04, 0x73211c07,   // ht.sv.un_750 ro.uz.ru_432  is.az.tr_332 id.jw.ny_432 
  0x1b00040d, 0x08250f11, 0x05001102, 0x06303f07,   // fi.tr.un_540 lv.eu.no_653  ro.fr.un_220 af.uz.de_432 
  0x3725100b, 0x2f0e2112, 0x1256250d, 0x2f1a1c0d,   // lt.eu.st_542 jw.is.su_654  eu.mg.hu_554 id.tl.su_554 
  // [69e0]
  0x2f00211b, 0x212f1ea4, 0x2f1a5609, 0x1a001e2b,   // jw.su.un_770 ms.su.jw_433  mg.tl.su_444 ms.tl.un_980 
  0x19110a0d, 0x0a002018, 0x2900200c, 0x100a1704,   // pt.ro.gl_554 sq.pt.un_740  sq.sl.un_530 sr.mk.be_332 
  0x2d2004af, 0x29002018, 0x64001102, 0x13002817,   // fi.sq.sk_655 sq.sl.un_740  ro.lg.un_220 sw.et.un_730 
  0x0844230d, 0x231f6ea9, 0x13000708, 0x25005619,   // ky.kk.uk_554 hmn.cy.ca_544  it.et.un_430 mg.eu.un_750 
  // [69f0]
  0x080e6b0d, 0x10040fa4, 0x311b1ea4, 0x04311bad,   // ceb.is.no_554 lv.fi.lt_433  ms.tr.az_433 tr.az.fi_643 
  0x04000f07, 0x08041113, 0x0e0407ec, 0x0f04100d,   // lv.fi.un_420 ro.ru.uk_665  it.fi.is_644 lt.fi.lv_554 
  0x30192509, 0x0f130c0b, 0x070a35a4, 0x311a20a0,   // eu.gl.uz_444 sv.et.lv_542  tg.mk.bg_433 sq.tl.az_322 
  0x18190aad, 0x0c1e2305, 0x020c2902, 0x7311040c,   // pt.gl.ga_643 ca.ms.sv_333  sl.sv.da_222 fi.ro.ny_543 
  // [6a00]
  0x312a3055, 0x6428730c, 0x44003007, 0x0b0a1b09,   // uz.mt.az_442 ny.sw.lg_543  uz.kk.un_420 tr.pt.es_444 
  0x160c3004, 0x321716ec, 0x080220a9, 0x2b002807,   // uz.sv.hr_332 hr.sr.bs_644  sq.da.no_544 sw.vi.un_420 
  0x04732809, 0x01050204, 0x1700070c, 0x0700050e,   // sw.ny.fi_444 da.fr.en_332  bg.sr.un_530 fr.it.un_550 
  0x0a1011ec, 0x2f556408, 0x280920a4, 0x53002d0d,   // ro.be.mk_644 lg.rw.su_443  sq.pl.sw_433 sk.ht.un_540 
  // [6a10]
  0x160710ee, 0x0a286404, 0x06100904, 0x031105a9,   // lt.it.hr_422 lg.sw.pt_332  pl.lt.de_332 fr.ro.nl_544 
  0x6400550e, 0x10645508, 0x271825ad, 0x16202304,   // rw.lg.un_550 rw.lg.lt_443  eu.ga.gd_643 ca.sq.hr_332 
  0x0c080605, 0x3f08020d, 0x09200a55, 0x08065511,   // de.no.sv_333 da.no.af_554  pt.sq.pl_442 rw.de.no_653 
  0x1f182708, 0x033f060c, 0x1b6430ec, 0x55000607,   // gd.ga.cy_443 de.af.nl_543  uz.lg.tr_644 de.rw.un_420 
  // [6a20]
  0x25001f2b, 0x0825030c, 0x2718050c, 0x282120ec,   // cy.eu.un_980 nl.eu.no_543  fr.ga.gd_543 sq.jw.sw_644 
  0x3f0308a4, 0x08041107, 0x051001a0, 0x190a0709,   // no.nl.af_433 ro.ru.uk_432  en.lt.fr_322 it.pt.gl_444 
  0x0603250c, 0x06001813, 0x082a07a9, 0x281c1e12,   // eu.nl.de_543 ga.de.un_650  it.mt.no_544 ms.id.sw_654 
  0x1306020d, 0x642510a7, 0x08130405, 0x1200061a,   // da.de.et_554 lt.eu.lg_532  fi.et.no_333 de.hu.un_760 
  // [6a30]
  0x32111e0b, 0x2a000313, 0x07081213, 0x0a080412,   // ms.ro.bs_542 nl.mt.un_650  hu.no.it_665 ru.uk.mk_654 
  0x2507640c, 0x0a233508, 0x18002019, 0x102718ec,   // lg.it.eu_543 tg.ky.mk_443  sq.ga.un_750 ga.gd.lt_644 
  0x56190a08, 0x09001009, 0x06036407, 0x03005314,   // pt.gl.mg_443 lt.pl.un_440  lg.nl.de_432 ht.nl.un_660 
  0x28001c0d, 0x642701a0, 0x3f030614, 0x3f030ca9,   // id.sw.un_540 en.gd.lg_322  de.nl.af_666 sv.nl.af_544 
  // [6a40]
  0x06026405, 0x02001705, 0x05001f0c, 0x060d25ee,   // lg.da.de_333 sr.da.un_330  cy.fr.un_530 eu.cs.de_422 
  0x2f25030c, 0x02000107, 0x23304404, 0x03136e05,   // nl.eu.su_543 en.da.un_420  kk.uz.ky_332 hmn.et.nl_333 
  0x11006b02, 0x37000113, 0x6e002d0c, 0x1e285304,   // ceb.ro.un_220 en.st.un_650  sk.hmn.un_530 ht.sw.ms_332 
  0x18001302, 0x1f003707, 0x041328ee, 0x11321707,   // et.ga.un_220 st.cy.un_420  sw.et.fi_422 sr.bs.ro_432 
  // [6a50]
  0x112317a9, 0x56042802, 0x373f290b, 0x04002f13,   // sr.ky.ro_544 sw.fi.mg_222  sl.af.st_542 su.fi.un_650 
  0x0a0417af, 0x37000418, 0x04211c02, 0x20002907,   // sr.ru.mk_655 fi.st.un_740  id.jw.fi_222 sl.sq.un_420 
  0x6e002d0d, 0x2b002104, 0x133f0314, 0x21003f13,   // sk.hmn.un_540 jw.vi.un_320  nl.af.et_666 af.jw.un_650 
  0x033f13a4, 0x182837a0, 0x1c211ea0, 0x23281909,   // et.af.nl_433 st.sw.ga_322  ms.jw.id_322 gl.sw.ca_444 
  // [6a60]
  0x302335af, 0x2f2104af, 0x11006e07, 0x2f291e02,   // tg.ky.uz_655 fi.jw.su_655  hmn.ro.un_420 ms.sl.su_222 
  0x56181a07, 0x2d1c2f0c, 0x0e2308a7, 0x1b731c0c,   // tl.ga.mg_432 su.id.sk_543  no.ca.is_532 id.ny.tr_543 
  0x2f1304ad, 0x04000c12, 0x56372805, 0x16286411,   // fi.et.su_643 sv.fi.un_640  sw.st.mg_333 lg.sw.hr_653 
  0x6b002304, 0x310b19ee, 0x28006413, 0x0c060304,   // ca.ceb.un_320 gl.es.az_422  lg.sw.un_650 nl.de.sv_332 
  // [6a70]
  0x23181ea0, 0x167328a4, 0x2855640c, 0x55281f0c,   // ms.ga.ca_322 sw.ny.hr_433  lg.rw.sw_543 cy.sw.rw_543 
  0x6400280c, 0x08002804, 0x00002a37, 0x3d211fad,   // sw.lg.un_530 sw.no.un_320  mt.un.un_B00 cy.jw.ku_643 
  0x1e1c1aa9, 0x1c002f19, 0x56313755, 0x28732111,   // tl.id.ms_544 su.id.un_750  st.az.mg_442 jw.ny.sw_653 
  0x18000c04, 0x23114411, 0x2f002512, 0x09212f08,   // sv.ga.un_320 kk.ro.ky_653  eu.su.un_640 su.jw.pl_443 
  // [6a80]
  0x10640e07, 0x211c2008, 0x55006b22, 0x0f3f0ca9,   // is.lg.lt_432 sq.id.jw_443  ceb.rw.un_870 sv.af.lv_544 
  0x020f0807, 0x08050f07, 0x2d0220ec, 0x04212f13,   // no.lv.da_432 lv.fr.no_432  sq.da.sk_644 su.jw.fi_665 
  0x1f2a0c07, 0x19000f07, 0x040e28af, 0x07000a19,   // sv.mt.cy_432 lv.gl.un_420  sw.is.fi_655 mk.bg.un_750 
  0x0c003f0e, 0x1c0d1314, 0x1b003d09, 0x3f2153a0,   // af.sv.un_550 bh.ne.mr_666  ku.tr.un_440 ht.jw.af_322 
  // [6a90]
  0x44003504, 0x0a050fa7, 0x10080402, 0x12093005,   // tg.kk.un_320 lv.fr.pt_532  ru.uk.be_222 uz.pl.hu_333 
  0x182b01ee, 0x12001605, 0x040a2507, 0x732837a0,   // en.vi.ga_422 hr.hu.un_330  eu.pt.fi_432 st.sw.ny_322 
  0x11080408, 0x0e002a07, 0x2a2f2108, 0x020c2907,   // ru.uk.ro_443 mt.is.un_420  jw.su.mt_443 sl.sv.da_432 
  0x303721ee, 0x353004ec, 0x21121ea9, 0x2d006b04,   // jw.st.uz_422 ru.uz.tg_644  ms.hu.jw_544 ceb.sk.un_320 
  // [6aa0]
  0x17290d05, 0x0817070c, 0x301b31a9, 0x1e2d0d08,   // cs.sl.sr_333 bg.sr.uk_543  az.tr.uz_544 cs.sk.ms_443 
  0x122d3009, 0x1e1c1205, 0x036b01ee, 0x01060805,   // uz.sk.hu_444 hu.id.ms_333  en.ceb.nl_422 no.de.en_333 
  0x04102308, 0x44070a02, 0x1e211ba4, 0x082d250c,   // ky.be.ru_443 mk.bg.kk_222  tr.jw.ms_433 eu.sk.no_543 
  0x190a37a0, 0x300408ad, 0x03001a08, 0x071730a0,   // st.pt.gl_322 uk.ru.uz_643  tl.nl.un_430 uz.sr.bg_322 
  // [6ab0]
  0x1b1225a4, 0x2b000719, 0x1b1c30a7, 0x0817110c,   // eu.hu.tr_433 it.vi.un_750  uz.id.tr_532 ro.sr.uk_543 
  0x12001a11, 0x6b080eaf, 0x29000923, 0x04300aa0,   // tl.hu.un_630 is.no.ceb_655  pl.sl.un_880 mk.uz.ru_322 
  0x170a1105, 0x04173007, 0x170a35a7, 0x3f001a0d,   // ro.mk.sr_333 uz.sr.ru_432  tg.mk.sr_532 tl.af.un_540 
  0x2b0407a0, 0x312d0d02, 0x10000f02, 0x1700100e,   // it.fi.vi_322 cs.sk.az_222  lv.lt.un_220 be.sr.un_550 
  // [6ac0]
  0x0f001004, 0x30442314, 0x6b561a55, 0x6b060c0c,   // lt.lv.un_320 ky.kk.uz_666  tl.mg.ceb_442 sv.de.ceb_543 
  0x0c0806a4, 0x01000f02, 0x1700290b, 0x73000407,   // de.no.sv_433 lv.en.un_220  sl.sr.un_520 fi.ny.un_420 
  0x55092812, 0x031e1c04, 0x06050112, 0x73275607,   // sw.pl.rw_654 id.ms.nl_332  en.fr.de_654 mg.gd.ny_432 
  0x133f0313, 0x440a10a4, 0x123f0308, 0x73005505,   // nl.af.et_665 be.mk.kk_433  nl.af.hu_443 rw.ny.un_330 
  // [6ad0]
  0x28005519, 0x1c2f2104, 0x03643faf, 0x23003f12,   // rw.sw.un_750 jw.su.id_332  af.lg.nl_655 af.ca.un_640 
  0x1e005504, 0x64097312, 0x20252855, 0x20003d18,   // rw.ms.un_320 ny.pl.lg_654  sw.eu.sq_442 ku.sq.un_740 
  0x6b3f1307, 0x0d0e2d12, 0x732855ad, 0x0a001022,   // et.af.ceb_432 sk.is.cs_654  rw.sw.ny_643 be.mk.un_870 
  0x0f3f130c, 0x5500280e, 0x310413a0, 0x0a2335a4,   // et.af.lv_543 sw.rw.un_550  et.fi.az_322 tg.ky.mk_433 
  // [6ae0]
  0x17000c07, 0x122d0d11, 0x2d0d0ca0, 0x052d0d0d,   // sv.sr.un_420 cs.sk.hu_653  sv.cs.sk_322 cs.sk.fr_554 
  0x281c010b, 0x0c006b08, 0x373f3008, 0x2f2a0ca0,   // en.id.sw_542 ceb.sv.un_430  uz.af.st_443 sv.mt.su_322 
  0x232d0d09, 0x0f1030ee, 0x13110d07, 0x20000607,   // cs.sk.ca_444 uz.lt.lv_422  cs.ro.et_432 de.sq.un_420 
  0x0a29230b, 0x29231207, 0x230b19a7, 0x2d190b05,   // ca.sl.pt_542 hu.ca.sl_432  gl.es.ca_532 es.gl.sk_333 
  // [6af0]
  0x6b300c55, 0x25190b08, 0x132155a0, 0x1e211ca0,   // sv.uz.ceb_442 es.gl.eu_443  rw.jw.et_322 id.jw.ms_322 
  0x2d5511ad, 0x0708170c, 0x172344a7, 0x29120ead,   // ro.rw.sk_643 sr.uk.bg_543  kk.ky.sr_532 is.hu.sl_643 
  0x5300230c, 0x530c0da0, 0x0f23010c, 0x121b55a4,   // ca.ht.un_530 cs.sv.ht_322  en.ca.lv_543 rw.tr.hu_433 
  0x01000614, 0x23002b0c, 0x321e1c04, 0x091355ee,   // de.en.un_660 vi.ca.un_530  id.ms.bs_332 rw.et.pl_422 
  // [6b00]
  0x05551104, 0x03000108, 0x2a120e07, 0x1c001104,   // ro.rw.fr_332 en.nl.un_430  is.hu.mt_432 ro.id.un_320 
  0x1e1f1ca4, 0x30443508, 0x55730608, 0x0c6b2aec,   // id.cy.ms_433 tg.kk.uz_443  de.ny.rw_443 mt.ceb.sv_644 
  0x0c0f050e, 0x0a2119ad, 0x2303010c, 0x08212a0c,   // fr.lv.sv_555 gl.jw.pt_643  en.nl.ca_543 mt.jw.no_543 
  0x033f25a9, 0x212f1f08, 0x08021702, 0x2f321702,   // eu.af.nl_544 cy.su.jw_443  sr.da.no_222 sr.bs.su_222 
  // [6b10]
  0x2f000709, 0x02013fa0, 0x0e002a33, 0x0f1b3012,   // it.su.un_440 af.en.da_322  mt.is.un_A70 uz.tr.lv_654 
  0x3f1b0304, 0x13271860, 0x1730290c, 0x03233fa0,   // nl.tr.af_332 ga.gd.et_664  sl.uz.sr_543 af.ca.nl_322 
  0x21641705, 0x23304414, 0x1020530c, 0x080c0107,   // sr.lg.jw_333 kk.uz.ky_666  ht.sq.lt_543 en.sv.no_432 
  0x2d001107, 0x0f2301a9, 0x2b001205, 0x180f01ad,   // ro.sk.un_420 en.ca.lv_544  hu.vi.un_330 en.lv.ga_643 
  // [6b20]
  0x035601a4, 0x05530107, 0x1900250c, 0x190156ee,   // en.mg.nl_433 en.ht.fr_432  eu.gl.un_530 mg.en.gl_422 
  0x6437550d, 0x641f550c, 0x30000e02, 0x080f2908,   // rw.st.lg_554 rw.cy.lg_543  is.uz.un_220 sl.lv.no_443 
  0x532a21ee, 0x0f132107, 0x64002907, 0x2f3f0302,   // jw.mt.ht_422 jw.et.lv_432  sl.lg.un_420 nl.af.su_222 
  0x0e00272a, 0x25033f12, 0x033f25ac, 0x17081055,   // gd.is.un_970 af.nl.eu_654  eu.af.nl_632 be.uk.sr_442 
  // [6b30]
  0x080c530c, 0x011a5302, 0x0818270d, 0x0423445a,   // ht.sv.no_543 ht.tl.en_222  gd.ga.no_554 kk.ky.ru_553 
  0x05033f07, 0x20003d20, 0x0b2d1904, 0x5528640c,   // af.nl.fr_432 ku.sq.un_850  gl.sk.es_332 lg.sw.rw_543 
  0x17110aa4, 0x3f006b04, 0x05006e07, 0x2d0b19a0,   // mk.ro.sr_433 ceb.af.un_320  hmn.fr.un_420 gl.es.sk_322 
  0x37286b08, 0x2300200b, 0x0c031302, 0x0900030e,   // ceb.sw.st_443 sq.ca.un_520  et.nl.sv_222 nl.pl.un_550 
  // [6b40]
  0x20000512, 0x21122fa0, 0x0900030d, 0x03002902,   // fr.sq.un_640 su.hu.jw_322  nl.pl.un_540 sl.nl.un_220 
  0x20000312, 0x2a1e1c04, 0x281b3da9, 0x0a001307,   // nl.sq.un_640 id.ms.mt_332  ku.tr.sw_544 et.pt.un_420 
  0x2300030e, 0x211304ec, 0x07301108, 0x1b1110a4,   // nl.ca.un_550 fi.et.jw_644  ro.uz.bg_443 lt.ro.tr_433 
  0x12000d1a, 0x25130460, 0x113104ee, 0x0300090c,   // cs.hu.un_760 fi.et.eu_664  fi.az.ro_422 pl.nl.un_530 
  // [6b50]
  0x2d120dad, 0x04063002, 0x040e09af, 0x1a1e06ee,   // cs.hu.sk_643 uz.de.fi_222  pl.is.fi_655 de.ms.tl_422 
  0x311b1108, 0x3700250c, 0x09080204, 0x1b0111a0,   // ro.tr.az_443 eu.st.un_530  da.no.pl_332 ro.en.tr_322 
  0x09000a02, 0x233d050c, 0x08090304, 0x3f2103ac,   // pt.pl.un_220 fr.ku.ca_543  nl.pl.no_332 nl.jw.af_632 
  0x20000307, 0x0700300c, 0x1b1011af, 0x1a6b2814,   // nl.sq.un_420 uz.bg.un_530  ro.lt.tr_655 sw.ceb.tl_666 
  // [6b60]
  0x19230505, 0x0f200907, 0x07192307, 0x09190bad,   // fr.ca.gl_333 pl.sq.lv_432  ca.gl.it_432 es.gl.pl_643 
  0x252f1ca0, 0x06300205, 0x0f00131b, 0x1105130c,   // id.su.eu_322 da.uz.de_333  et.lv.un_770 et.fr.ro_543 
  0x072873a7, 0x29123007, 0x55190b08, 0x301b2504,   // ny.sw.it_532 uz.hu.sl_432  es.gl.rw_443 eu.tr.uz_332 
  0x29001222, 0x0a255307, 0x1f006e0e, 0x5528730c,   // hu.sl.un_870 ht.eu.pt_432  hmn.cy.un_550 ny.sw.rw_543 
  // [6b70]
  0x19000621, 0x56002505, 0x230410ad, 0x0a441709,   // de.gl.un_860 eu.mg.un_330  be.ru.ky_643 sr.kk.mk_444 
  0x2a072513, 0x531b3111, 0x17104404, 0x30000304,   // eu.it.mt_665 az.tr.ht_653  kk.be.sr_332 nl.uz.un_320 
  0x30020811, 0x2a091f07, 0x011f6e0b, 0x07170407,   // no.da.uz_653 cy.pl.mt_432  hmn.cy.en_542 ru.sr.bg_432 
  0x2a006e07, 0x13100fa4, 0x25001c04, 0x310c2707,   // hmn.mt.un_420 lv.lt.et_433  id.eu.un_320 gd.sv.az_432 
  // [6b80]
  0x070817ad, 0x12310409, 0x12000405, 0x25536ba0,   // sr.uk.bg_643 fi.az.hu_444  fi.hu.un_330 ceb.ht.eu_322 
  0x0703010c, 0x17000804, 0x1e0d3155, 0x04101712,   // en.nl.it_543 no.sr.un_320  az.cs.ms_442 sr.be.ru_654 
  0x37001704, 0x07190a14, 0x16003f12, 0x0700011a,   // sr.st.un_320 pt.gl.it_666  af.hr.un_640 en.it.un_760 
  0x21055304, 0x53000a0e, 0x2f1e3008, 0x0409120c,   // ht.fr.jw_332 pt.ht.un_550  uz.ms.su_443 hu.pl.fi_543 
  // [6b90]
  0x08001f05, 0x3013310b, 0x3530170d, 0x04071012,   // cy.no.un_330 az.et.uz_542  sr.uz.tg_554 be.bg.ru_654 
  0x07000a2a, 0x130812a4, 0x02002f04, 0x12101f09,   // mk.bg.un_970 hu.no.et_433  su.da.un_320 cy.lt.hu_444 
  0x1f1210a9, 0x2f1819a0, 0x0a1229ee, 0x02001012,   // lt.hu.cy_544 gl.ga.su_322  sl.hu.pt_422 lt.da.un_640 
  0x73000312, 0x0c200804, 0x0a2d0d05, 0x0a070460,   // nl.ny.un_640 no.sq.sv_332  cs.sk.pt_333 ru.bg.mk_664 
  // [6ba0]
  0x0d0913a6, 0x232d0d65, 0x11001212, 0x5600090d,   // bh.hi.ne_521 cs.sk.ca_763  hu.ro.un_640 pl.mg.un_540 
  0x37005514, 0x1e2f3f12, 0x0a000d08, 0x2a2f05a0,   // rw.st.un_660 af.su.ms_654  cs.pt.un_430 fr.su.mt_322 
  0x56001019, 0x1f033fa0, 0x071117ad, 0x13000a02,   // lt.mg.un_750 af.nl.cy_322  sr.ro.bg_643 pt.et.un_220 
  0x27002f12, 0x080656ad, 0x08003513, 0x041a6b55,   // su.gd.un_640 mg.de.no_643  tg.uk.un_650 ceb.tl.fi_442 
  // [6bb0]
  0x190a25ec, 0x12173707, 0x3f061ea4, 0x110a2304,   // eu.pt.gl_644 st.sr.hu_432  ms.de.af_433 ca.pt.ro_332 
  0x3d001312, 0x19002b0b, 0x12002004, 0x733f01ee,   // et.ku.un_640 vi.gl.un_520  sq.hu.un_320 en.af.ny_422 
  0x3f2711a4, 0x13100f0e, 0x112307a9, 0x10131ea4,   // ro.gd.af_433 lv.lt.et_555  it.ca.ro_544 ms.et.lt_433 
  0x172d2902, 0x03120660, 0x18730107, 0x372855ad,   // sl.sk.sr_222 de.hu.nl_664  en.ny.ga_432 rw.sw.st_643 
  // [6bc0]
  0x2d001011, 0x2000190d, 0x120f10a9, 0x0f11130d,   // lt.sk.un_630 gl.sq.un_540  lt.lv.hu_544 et.ro.lv_554 
  0x273f2fa7, 0x04120c12, 0x3d002813, 0x02003d07,   // su.af.gd_532 sv.hu.fi_654  sw.ku.un_650 ku.da.un_420 
  0x01733d07, 0x3d00092a, 0x1b1f0911, 0x211e1c07,   // ku.ny.en_432 pl.ku.un_970  pl.cy.tr_653 id.ms.jw_432 
  0x4400300c, 0x321709a4, 0x29000808, 0x011e1c04,   // uz.kk.un_530 pl.sr.bs_433  no.sl.un_430 id.ms.en_332 
  // [6bd0]
  0x17000808, 0x0f131014, 0x3229160c, 0x122f2aa0,   // uk.sr.un_430 lt.et.lv_666  hr.sl.bs_543 mt.su.hu_322 
  0x6b00371a, 0x21181107, 0x120b0a08, 0x0b2a0708,   // st.ceb.un_760 ro.ga.jw_432  pt.es.hu_443 it.mt.es_443 
  0x371e1c08, 0x55000813, 0x441111ec, 0x350430a0,   // id.ms.st_443 no.rw.un_650  ro.ro.kk_644 uz.ru.tg_322 
  0x12162aad, 0x0e000813, 0x11001c08, 0x20002a05,   // mt.hr.hu_643 no.is.un_650  id.ro.un_430 mt.sq.un_330 
  // [6be0]
  0x08020314, 0x0a000304, 0x05080205, 0x170735a0,   // nl.da.no_666 nl.pt.un_320  da.no.fr_333 tg.bg.sr_322 
  0x120330a0, 0x05001119, 0x0b000705, 0x29003021,   // uz.nl.hu_322 ro.fr.un_750  it.es.un_330 uz.sl.un_860 
  0x171209ee, 0x2d001907, 0x642804ee, 0x31301b08,   // pl.hu.sr_422 gl.sk.un_420  fi.sw.lg_422 tr.uz.az_443 
  0x100f0811, 0x2d001714, 0x1e1306ee, 0x1b302f07,   // no.lv.lt_653 sr.sk.un_660  de.et.ms_422 su.uz.tr_432 
  // [6bf0]
  0x3f000f13, 0x0e2d0d09, 0x44170aa9, 0x021a6b55,   // lv.af.un_650 cs.sk.is_444  mk.sr.kk_544 ceb.tl.da_442 
  0x30172dee, 0x0400250c, 0x083004ad, 0x2b7301a6,   // sk.sr.uz_422 eu.fi.un_530  ru.uz.uk_643 en.ny.vi_521 
  0x083f0307, 0x08003004, 0x170730a9, 0x190501ee,   // nl.af.no_432 uz.uk.un_320  uz.bg.sr_544 en.fr.gl_422 
  0x1c1e55ad, 0x17351104, 0x0a0423a9, 0x311b09a7,   // rw.ms.id_643 ro.tg.sr_332  ky.ru.mk_544 pl.tr.az_532 
  
  // [6c00]
  0x7337250c, 0x19050a0b, 0x31003d0e, 0x311b3005,   // eu.st.ny_543 pt.fr.gl_542  ku.az.un_550 uz.tr.az_333 
  0x0e000413, 0x28030107, 0x440a1704, 0x0423170c,   // fi.is.un_650 en.nl.sw_432  sr.mk.kk_332 sr.ky.ru_543 
  0x181123a4, 0x733f0107, 0x350a1707, 0x18050107,   // ca.ro.ga_433 en.af.ny_432  sr.mk.tg_432 en.fr.ga_432 
  0x0d00160c, 0x01000205, 0x041707af, 0x060c0fee,   // hr.cs.un_530 da.en.un_330  bg.sr.ru_655 lv.sv.de_422 
  // [6c10]
  0x1f272fee, 0x0b192308, 0x1e001a05, 0x1e085607,   // su.gd.cy_422 ca.gl.es_443  tl.ms.un_330 mg.no.ms_432 
  0x023f2504, 0x321630a0, 0x04647307, 0x3f2f1f04,   // eu.af.da_332 uz.hr.bs_322  ny.lg.fi_432 cy.su.af_332 
  0x1e00030d, 0x2f531105, 0x190a3205, 0x190b2312,   // nl.ms.un_540 ro.ht.su_333  bs.pt.gl_333 ca.es.gl_654 
  0x0f32250d, 0x64562fee, 0x230a0bec, 0x3728010c,   // eu.bs.lv_554 su.mg.lg_422  es.pt.ca_644 en.sw.st_543 
  // [6c20]
  0x0c0506ee, 0x0b002309, 0x55005307, 0x19005308,   // de.fr.sv_422 ca.es.un_440  ht.rw.un_420 ht.gl.un_430 
  0x2f002008, 0x09001804, 0x2f1230a0, 0x16002921,   // sq.su.un_430 ga.pl.un_320  uz.hu.su_322 sl.hr.un_860 
  0x2f0f5504, 0x53321704, 0x01251fa0, 0x230a19a9,   // rw.lv.su_332 sr.bs.ht_332  cy.eu.en_322 gl.pt.ca_544 
  0x530630a0, 0x1e000413, 0x1e1c28ee, 0x3f0c0804,   // uz.de.ht_322 fi.ms.un_650  sw.id.ms_422 no.sv.af_332 
  // [6c30]
  0x311b3009, 0x29126ea4, 0x3f0a2fa4, 0x100c0407,   // uz.tr.az_444 hmn.hu.sl_433  su.pt.af_433 fi.sv.lt_432 
  0x06030fad, 0x12001709, 0x130f08a4, 0x201a6ea0,   // lv.nl.de_643 sr.hu.un_440  no.lv.et_433 hmn.tl.sq_322 
  0x2f04230e, 0x23000e19, 0x12321702, 0x16002f05,   // ca.fi.su_555 is.ca.un_750  sr.bs.hu_222 su.hr.un_330 
  0x270b1808, 0x04001e08, 0x082006ee, 0x06002705,   // ga.es.gd_443 ms.fi.un_430  de.sq.no_422 gd.de.un_330 
  // [6c40]
  0x0835110c, 0x027364a4, 0x55736407, 0x101707ee,   // ro.tg.uk_543 lg.ny.da_433  lg.ny.rw_432 bg.sr.be_422 
  0x27071fad, 0x04002809, 0x12321705, 0x305364a0,   // cy.it.gd_643 sw.fi.un_440  sr.bs.hu_333 lg.ht.uz_322 
  0x551064a0, 0x1b316b0c, 0x29001607, 0x31000f18,   // lg.lt.rw_322 ceb.az.tr_543  hr.sl.un_420 lv.az.un_740 
  0x04132aa0, 0x0d062da9, 0x08002305, 0x1110350c,   // mt.et.fi_322 sk.de.cs_544  ky.uk.un_330 tg.be.ro_543 
  // [6c50]
  0x1a1b02a0, 0x0407080c, 0x0a440404, 0x17350804,   // da.tr.tl_322 uk.bg.ru_543  ru.kk.mk_332 uk.tg.sr_332 
  0x0407110c, 0x0e292fa0, 0x07000e07, 0x1c0e2f07,   // ro.bg.ru_543 su.sl.is_322  is.it.un_420 su.is.id_432 
  0x010c1fa0, 0x2d0d31a0, 0x302f0ea0, 0x273701ad,   // cy.sv.en_322 az.cs.sk_322  is.su.uz_322 en.st.gd_643 
  0x12001007, 0x082d0d13, 0x32291c04, 0x231004af,   // lt.hu.un_420 cs.sk.no_665  id.sl.bs_332 ru.be.ky_655 
  // [6c60]
  0x1000310e, 0x13003002, 0x30001604, 0x29000e07,   // az.lt.un_550 uz.et.un_220  hr.uz.un_320 is.sl.un_420 
  0x1f1020ad, 0x11003013, 0x30283104, 0x2104730c,   // sq.lt.cy_643 uz.ro.un_650  az.sw.uz_332 ny.fi.jw_543 
  0x286b550c, 0x2a301ba0, 0x1b1304a4, 0x203031a4,   // rw.ceb.sw_543 tr.uz.mt_322  fi.et.tr_433 az.uz.sq_433 
  0x1b311a07, 0x28046407, 0x120373ee, 0x73135508,   // tl.az.tr_432 lg.fi.sw_432  ny.nl.hu_422 rw.et.ny_443 
  // [6c70]
  0x31373008, 0x31131b07, 0x287364af, 0x303504ad,   // uz.st.az_443 tr.et.az_432  lg.ny.sw_655 ru.tg.uz_643 
  0x562d0d5a, 0x2100550e, 0x13001702, 0x1200730d,   // cs.sk.mg_553 rw.jw.un_550  sr.et.un_220 ny.hu.un_540 
  0x081c21ee, 0x0430100b, 0x10001714, 0x64557355,   // jw.id.no_422 be.uz.ru_542  sr.be.un_660 ny.rw.lg_442 
  0x37006e0b, 0x044435a0, 0x2330350d, 0x642855a4,   // hmn.st.un_520 tg.kk.ru_322  tg.uz.ky_554 rw.sw.lg_433 
  // [6c80]
  0x233f0555, 0x301b3704, 0x031304a4, 0x23080207,   // fr.af.ca_442 st.tr.uz_332  fi.et.nl_433 da.no.ca_432 
  0x04033fa9, 0x2f0d1c04, 0x2f1e1c0e, 0x1b1c1eee,   // af.nl.fi_544 id.cs.su_332  id.ms.su_555 ms.id.tr_422 
  0x64130404, 0x111711af, 0x3000352c, 0x033f0404,   // fi.et.lg_332 ro.sr.ro_655  tg.uz.un_990 fi.af.nl_332 
  0x05001f05, 0x2d0f1008, 0x0d000a08, 0x171b31a4,   // cy.fr.un_330 lt.lv.sk_443  pt.cs.un_430 az.tr.sr_433 
  // [6c90]
  0x250120a4, 0x2b1c37ee, 0x73002835, 0x0d2820af,   // sq.en.eu_433 st.id.vi_422  sw.ny.un_A90 sq.sw.cs_655 
  0x37005308, 0x53287312, 0x0d005305, 0x53006423,   // ht.st.un_430 ny.sw.ht_654  ht.cs.un_330 lg.ht.un_880 
  0x08033fa4, 0x3f036ea0, 0x640473a0, 0x0a552008,   // af.nl.no_433 hmn.nl.af_322  ny.fi.lg_322 sq.rw.pt_443 
  0x12005609, 0x23070a0c, 0x53645513, 0x6b64550c,   // mg.hu.un_440 pt.it.ca_543  rw.lg.ht_665 rw.lg.ceb_543 
  // [6ca0]
  0x55005302, 0x0900532a, 0x55736405, 0x2f552104,   // ht.rw.un_220 ht.pl.un_970  lg.ny.rw_333 jw.rw.su_332 
  0x230501a7, 0x0a002d07, 0x6473210e, 0x1f55640c,   // en.fr.ca_532 sk.pt.un_420  jw.ny.lg_555 lg.rw.cy_543 
  0x27016ba0, 0x310913ee, 0x1f180107, 0x11201ea4,   // ceb.en.gd_322 et.pl.az_422  en.ga.cy_432 ms.sq.ro_433 
  0x302d5602, 0x732a1f11, 0x0a000e02, 0x081011ee,   // mg.sk.uz_222 cy.mt.ny_653  is.pt.un_220 ro.be.uk_422 
  // [6cb0]
  0x350804a4, 0x282f55ad, 0x200102a0, 0x3f6b1a0e,   // ru.uk.tg_433 rw.su.sw_643  da.en.sq_322 tl.ceb.af_555 
  0x6b1a1faf, 0x3f001805, 0x1000230d, 0x2a645504,   // cy.tl.ceb_655 ga.af.un_330  ca.lt.un_540 rw.lg.mt_332 
  0x01050808, 0x2a3f09ee, 0x556b1ca0, 0x0e6b1305,   // no.fr.en_443 pl.af.mt_422  id.ceb.rw_322 et.ceb.is_333 
  0x08043008, 0x040a170b, 0x1a002004, 0x11000d04,   // uz.ru.uk_443 sr.mk.ru_542  sq.tl.un_320 cs.ro.un_320 
  // [6cc0]
  0x13101155, 0x23003508, 0x111013ee, 0x12001104,   // ro.lt.et_442 tg.ky.un_430  et.lt.ro_422 ro.hu.un_320 
  0x3f0a1804, 0x161b0602, 0x35170a04, 0x1a5325a4,   // ga.pt.af_332 de.tr.hr_222  mk.sr.tg_332 eu.ht.tl_433 
  0x160f10a0, 0x550f110b, 0x64006b05, 0x13000f12,   // lt.lv.hr_322 ro.lv.rw_542  ceb.lg.un_330 lv.et.un_640 
  0x12556ba0, 0x530f1305, 0x6b1101a0, 0x04080e11,   // ceb.rw.hu_322 et.lv.ht_333  en.ro.ceb_322 is.no.fi_653 
  // [6cd0]
  0x062a55ad, 0x05003f04, 0x7355110c, 0x2564230b,   // rw.mt.de_643 af.fr.un_320  ro.rw.ny_543 ca.lg.eu_542 
  0x1c002002, 0x05001604, 0x6453370b, 0x0e0c08ee,   // sq.id.un_220 hr.fr.un_320  st.ht.lg_542 no.sv.is_422 
  0x286437a7, 0x10070a14, 0x2f1230ee, 0x13000f1a,   // st.lg.sw_532 mk.bg.be_666  uz.hu.su_422 lv.et.un_760 
  0x010628ee, 0x026b7307, 0x302513a7, 0x03311ba0,   // sw.de.en_422 ny.ceb.da_432  et.eu.uz_532 tr.az.nl_322 
  // [6ce0]
  0x0e02200c, 0x0d732daf, 0x251356ec, 0x281b30a0,   // sq.da.is_543 sk.ny.cs_655  mg.et.eu_644 uz.tr.sw_322 
  0x1704300b, 0x19002105, 0x440408ad, 0x2d732807,   // uz.ru.sr_542 jw.gl.un_330  uk.ru.kk_643 sw.ny.sk_432 
  0x30001319, 0x03000912, 0x1c2f1ea0, 0x281a6bee,   // et.uz.un_750 pl.nl.un_640  ms.su.id_322 ceb.tl.sw_422 
  0x3f253707, 0x2d060807, 0x021a6e07, 0x0a080409,   // st.eu.af_432 no.de.sk_432  hmn.tl.da_432 ru.uk.mk_444 
  // [6cf0]
  0x130330a4, 0x061073a0, 0x12001a23, 0x2f7355a4,   // uz.nl.et_433 ny.lt.de_322  tl.hu.un_880 rw.ny.su_433 
  0x04131a07, 0x53231902, 0x11131202, 0x563704af,   // tl.et.fi_432 gl.ca.ht_222  hu.et.ro_222 fi.st.mg_655 
  0x19030ba4, 0x731f0612, 0x1b001a08, 0x113523ad,   // es.nl.gl_433 de.cy.ny_654  tl.tr.un_430 ky.tg.ro_643 
  0x030b060e, 0x1825040c, 0x130c25a9, 0x19730b55,   // de.es.nl_555 fi.eu.ga_543  eu.sv.et_544 es.ny.gl_442 
  // [6d00]
  0x052d530b, 0x0630135a, 0x08170a12, 0x08041755,   // ht.sk.fr_542 et.uz.de_553  mk.sr.uk_654 sr.ru.uk_442 
  0x56002821, 0x732501ee, 0x2500130d, 0x17233008,   // sw.mg.un_860 en.eu.ny_422  et.eu.un_540 uz.ky.sr_443 
  0x110405af, 0x033f13a0, 0x1b1228a0, 0x273004a4,   // fr.fi.ro_655 et.af.nl_322  sw.hu.tr_322 fi.uz.gd_433 
  0x44302311, 0x17233007, 0x04170aee, 0x08003522,   // ky.uz.kk_653 uz.ky.sr_432  mk.sr.ru_422 tg.uk.un_870 
  // [6d10]
  0x28006414, 0x1900120c, 0x110a0812, 0x55286455,   // lg.sw.un_660 hu.gl.un_530  uk.mk.ro_654 lg.sw.rw_442 
  0x0a005307, 0x3f00230e, 0x06020cee, 0x032012ec,   // ht.pt.un_420 ca.af.un_550  sv.da.de_422 hu.sq.nl_644 
  0x32170fa0, 0x18005607, 0x3f1303a9, 0x0407080d,   // lv.sr.bs_322 mg.ga.un_420  nl.et.af_544 uk.bg.ru_554 
  0x73533d04, 0x09000305, 0x20373f08, 0x1b5331a0,   // ku.ht.ny_332 nl.pl.un_330  af.st.sq_443 az.ht.tr_322 
  // [6d20]
  0x0a001114, 0x286473a4, 0x1e1c0b05, 0x100435a0,   // ro.pt.un_660 ny.lg.sw_433  es.id.ms_333 tg.ru.be_322 
  0x27001c04, 0x100704a9, 0x11550e07, 0x0c2855a0,   // id.gd.un_320 ru.bg.be_544  is.rw.ro_432 rw.sw.sv_322 
  0x121023a0, 0x1127180c, 0x1c211e07, 0x1f00110d,   // ca.lt.hu_322 ga.gd.ro_543  ms.jw.id_432 ro.cy.un_540 
  0x05002513, 0x180801ee, 0x0d212fa9, 0x553709a4,   // eu.fr.un_650 en.no.ga_422  su.jw.cs_544 pl.st.rw_433 
  // [6d30]
  0x1c5321a0, 0x553773a9, 0x12006b02, 0x0d122dad,   // jw.ht.id_322 ny.st.rw_544  ceb.hu.un_220 sk.hu.cs_643 
  0x05235309, 0x640f37ee, 0x53050aa7, 0x311b25af,   // ht.ca.fr_444 st.lv.lg_422  pt.fr.ht_532 eu.tr.az_655 
  0x300b19ec, 0x212f0709, 0x27012304, 0x1f191b55,   // gl.es.uz_644 it.su.jw_444  ca.en.gd_332 tr.gl.cy_442 
  0x07000b04, 0x082f1ea0, 0x0800042c, 0x25301007,   // es.it.un_320 ms.su.no_322  ru.uk.un_990 lt.uz.eu_432 
  // [6d40]
  0x09001214, 0x042f1aa0, 0x190b0d05, 0x55730f07,   // hu.pl.un_660 tl.su.fi_322  cs.es.gl_333 lv.ny.rw_432 
  0x120d0705, 0x2f5605a7, 0x1e1c20a0, 0x0213080c,   // it.cs.hu_333 fr.mg.su_532  sq.id.ms_322 no.et.da_543 
  0x04003712, 0x304411a7, 0x56043013, 0x31192011,   // st.fi.un_640 ro.kk.uz_532  uz.fi.mg_665 sq.gl.az_653 
  0x1c1e2f0c, 0x3f080cac, 0x2f002534, 0x171973a4,   // su.ms.id_543 sv.no.af_632  eu.su.un_A80 ny.gl.sr_433 
  // [6d50]
  0x6b2a5507, 0x5637250c, 0x23353008, 0x1a080c0c,   // rw.mt.ceb_432 eu.st.mg_543  uz.tg.ky_443 sv.no.tl_543 
  0x110a1705, 0x20045502, 0x1a313204, 0x10201a04,   // sr.mk.ro_333 rw.fi.sq_222  bs.az.tl_332 tl.sq.lt_332 
  0x202910ee, 0x03283f0c, 0x2100010d, 0x2d290d0d,   // lt.sl.sq_422 af.sw.nl_543  en.jw.un_540 cs.sl.sk_554 
  0x0d000c05, 0x13002907, 0x6e006b08, 0x37003013,   // sv.cs.un_330 sl.et.un_420  ceb.hmn.un_430 uz.st.un_650 
  // [6d60]
  0x53003012, 0x370856a0, 0x112d5507, 0x30002f0d,   // uz.ht.un_640 mg.no.st_322  rw.sk.ro_432 su.uz.un_540 
  0x050137ee, 0x041237ee, 0x21091c02, 0x2556370b,   // st.en.fr_422 st.hu.fi_422  id.pl.jw_222 st.mg.eu_542 
  0x6b001b07, 0x201113a0, 0x084423a4, 0x0e2909ac,   // tr.ceb.un_420 et.ro.sq_322  ky.kk.uk_433 pl.sl.is_632 
  0x0b0a1105, 0x030410a7, 0x30001704, 0x553120a4,   // ro.pt.es_333 lt.fi.nl_532  sr.uz.un_320 sq.az.rw_433 
  // [6d70]
  0x2f1e1cec, 0x13005604, 0x301a6b07, 0x0e003f05,   // id.ms.su_644 mg.et.un_320  ceb.tl.uz_432 af.is.un_330 
  0x21202807, 0x090f73a4, 0x0d2d0208, 0x0717040e,   // sw.sq.jw_432 ny.lv.pl_433  da.sk.cs_443 ru.sr.bg_555 
  0x64041007, 0x562f2502, 0x18002014, 0x2d0d2355,   // lt.fi.lg_432 eu.su.mg_222  sq.ga.un_660 ca.cs.sk_442 
  0x04126407, 0x0500531b, 0x13552104, 0x0500250b,   // lg.hu.fi_432 ht.fr.un_770  jw.rw.et_332 eu.fr.un_520 
  // [6d80]
  0x30002021, 0x0c000e05, 0x08043507, 0x1300101b,   // sq.uz.un_860 is.sv.un_330  tg.ru.uk_432 lt.et.un_770 
  0x212f2008, 0x30200604, 0x21552f02, 0x1f006419,   // sq.su.jw_443 de.sq.uz_332  su.rw.jw_222 lg.cy.un_750 
  0x2f2b1ca4, 0x07051112, 0x551364a4, 0x0f033f13,   // id.vi.su_433 ro.fr.it_654  lg.et.rw_433 af.nl.lv_665 
  0x2f00051a, 0x31012060, 0x040d5309, 0x1e202a08,   // fr.su.un_760 sq.en.az_664  ht.cs.fi_444 mt.sq.ms_443 
  // [6d90]
  0x64207313, 0x291e060c, 0x161b2807, 0x2f233f07,   // ny.sq.lg_665 de.ms.sl_543  sw.tr.hr_432 af.ca.su_432 
  0x0b100a13, 0x20002a23, 0x1b303109, 0x013720a4,   // pt.lt.es_665 mt.sq.un_880  az.uz.tr_444 sq.st.en_433 
  0x2f1c1e12, 0x08303fa4, 0x0a55300c, 0x170f1011,   // ms.id.su_654 af.uz.no_433  uz.rw.pt_543 lt.lv.sr_653 
  0x0655280b, 0x10000f0e, 0x552820af, 0x2f6407a4,   // sw.rw.de_542 lv.lt.un_550  sq.sw.rw_655 it.lg.su_433 
  // [6da0]
  0x06033fa9, 0x10000d04, 0x033f3da7, 0x550128af,   // af.nl.de_544 cs.lt.un_320  ku.af.nl_532 sw.en.rw_655 
  0x186b08a0, 0x562d0d04, 0x370a2b04, 0x31000719,   // no.ceb.ga_322 cs.sk.mg_332  vi.pt.st_332 it.az.un_750 
  0x2b001905, 0x13005626, 0x230705ec, 0x101325ad,   // gl.vi.un_330 mg.et.un_930  fr.it.ca_644 eu.et.lt_643 
  0x23052f04, 0x19002b19, 0x2b000805, 0x302d0d08,   // su.fr.ca_332 vi.gl.un_750  no.vi.un_330 cs.sk.uz_443 
  // [6db0]
  0x2d006e08, 0x211c1e12, 0x16210e04, 0x21732aee,   // hmn.sk.un_430 ms.id.jw_654  is.jw.hr_332 mt.ny.jw_422 
  0x07007307, 0x2d0d18af, 0x1c091ea4, 0x552028ec,   // ny.it.un_420 ga.cs.sk_655  ms.pl.id_433 sw.sq.rw_644 
  0x2b002013, 0x010f1011, 0x3755280c, 0x083035af,   // sq.vi.un_650 lt.lv.en_653  sw.rw.st_543 tg.uz.uk_655 
  0x28552055, 0x1e1c0fee, 0x0402080c, 0x2855010b,   // sq.rw.sw_442 lv.id.ms_422  no.da.fi_543 en.rw.sw_542 
  // [6dc0]
  0x13282007, 0x1031300c, 0x552820a7, 0x2d00290d,   // sq.sw.et_432 uz.az.lt_543  sq.sw.rw_532 sl.sk.un_540 
  0x1a731005, 0x322f2807, 0x37006e22, 0x5600100c,   // lt.ny.tl_333 sw.su.bs_432  hmn.st.un_870 lt.mg.un_530 
  0x10003207, 0x050756ee, 0x103035a4, 0x0d2018a0,   // bs.lt.un_420 mg.it.fr_422  tg.uz.be_433 ga.sq.cs_322 
  0x060c08a9, 0x2d291107, 0x3100230d, 0x731f1a05,   // no.sv.de_544 ro.sl.sk_432  ca.az.un_540 tl.cy.ny_333 
  // [6dd0]
  0x0508060c, 0x53736b07, 0x08021ca4, 0x6b641a55,   // de.no.fr_543 ceb.ny.ht_432  id.da.no_433 tl.lg.ceb_442 
  0x20282907, 0x0e040c08, 0x4430355a, 0x042a130c,   // sl.sw.sq_432 sv.fi.is_443  tg.uz.kk_553 et.mt.fi_543 
  0x02003f22, 0x20005622, 0x0900730d, 0x44100414,   // af.da.un_870 mg.sq.un_870  ny.pl.un_540 ru.be.kk_666 
  0x06010ca7, 0x11292302, 0x1a00730c, 0x64135511,   // sv.en.de_532 ca.sl.ro_222  ny.tl.un_530 rw.et.lg_653 
  // [6de0]
  0x1c2f2108, 0x05020107, 0x10003004, 0x11000a2a,   // jw.su.id_443 en.da.fr_432  uz.be.un_320 mk.ro.un_970 
  0x040823a7, 0x0a171104, 0x64557304, 0x53000302,   // ky.uk.ru_532 ro.sr.mk_332  ny.rw.lg_332 nl.ht.un_220 
  0x070a1760, 0x09130d13, 0x190b0dec, 0x2b1e1c05,   // sr.mk.bg_664 ne.bh.hi_665  cs.es.gl_644 id.ms.vi_333 
  0x0f001108, 0x11002913, 0x053f03ad, 0x1f040ea4,   // ro.lv.un_430 sl.ro.un_650  nl.af.fr_643 is.fi.cy_433 
  // [6df0]
  0x08041713, 0x04130e12, 0x312913ad, 0x04290e0d,   // sr.ru.uk_665 is.et.fi_654  et.sl.az_643 is.sl.fi_554 
  0x1a002912, 0x0a1108a4, 0x21733704, 0x1000290d,   // sl.tl.un_640 uk.ro.mk_433  st.ny.jw_332 sl.lt.un_540 
  0x23001602, 0x08172907, 0x082718a7, 0x13003004,   // hr.ca.un_220 sl.sr.no_432  ga.gd.no_532 uz.et.un_320 
  0x01001904, 0x07190b55, 0x561a1ea0, 0x562855ee,   // gl.en.un_320 es.gl.it_442  ms.tl.mg_322 rw.sw.mg_422 
  // [6e00]
  0x0d1729a0, 0x0e001a12, 0x2800732b, 0x2f251a0c,   // sl.sr.cs_322 tl.is.un_640  ny.sw.un_980 tl.eu.su_543 
  0x012a21a0, 0x2d0d2904, 0x2f2521ad, 0x0856550c,   // jw.mt.en_322 sl.cs.sk_332  jw.eu.su_643 rw.mg.no_543 
  0x09730f60, 0x6b251aa4, 0x73000804, 0x6b6456af,   // lv.ny.pl_664 tl.eu.ceb_433  no.ny.un_320 mg.lg.ceb_655 
  0x212808a9, 0x13102f0c, 0x0e080b04, 0x040835a4,   // no.sw.jw_544 su.lt.et_543  es.no.is_332 tg.uk.ru_433 
  // [6e10]
  0x56001a0c, 0x640e550c, 0x211e1c11, 0x30111114,   // tl.mg.un_530 rw.is.lg_543  id.ms.jw_653 ro.ro.uz_666 
  0x55002705, 0x2f216408, 0x2f005514, 0x642a0705,   // gd.rw.un_330 lg.jw.su_443  rw.su.un_660 it.mt.lg_333 
  0x1c2a28ad, 0x281801a0, 0x1e287355, 0x01280802,   // sw.mt.id_643 en.ga.sw_322  ny.sw.ms_442 no.sw.en_222 
  0x300725a4, 0x64255508, 0x551a6412, 0x6b6e37ad,   // eu.it.uz_433 rw.eu.lg_443  lg.tl.rw_654 st.hmn.ceb_643 
  // [6e20]
  0x2d0d17ee, 0x0e0806a7, 0x55212fa4, 0x732064a4,   // sr.cs.sk_422 de.no.is_532  su.jw.rw_433 lg.sq.ny_433 
  0x1b0903ec, 0x731a640c, 0x551a6b0c, 0x1c071e0c,   // nl.pl.tr_644 lg.tl.ny_543  ceb.tl.rw_543 ms.it.id_543 
  0x07103d08, 0x2f286ead, 0x21642f08, 0x21042fa7,   // ku.lt.it_443 hmn.sw.su_643  su.lg.jw_443 su.fi.jw_532 
  0x2f2873ec, 0x25551c0b, 0x20281e12, 0x5628730d,   // ny.sw.su_644 id.rw.eu_542  ms.sw.sq_654 ny.sw.mg_554 
  // [6e30]
  0x20002b2a, 0x29000d08, 0x180a11a4, 0x2164555a,   // vi.sq.un_970 cs.sl.un_430  ro.pt.ga_433 rw.lg.jw_553 
  0x09216b04, 0x033f0413, 0x070a230c, 0x06002808,   // ceb.jw.pl_332 fi.af.nl_665  ky.mk.bg_543 sw.de.un_430 
  0x0f005513, 0x18003721, 0x0a162f02, 0x2b006e23,   // rw.lv.un_650 st.ga.un_860  su.hr.pt_222 hmn.vi.un_880 
  0x2f6e1e0c, 0x06001c02, 0x19230aaf, 0x2900270d,   // ms.hmn.su_543 id.de.un_220  pt.ca.gl_655 gd.sl.un_540 
  // [6e40]
  0x2f2a0707, 0x0c001c02, 0x0f1773a0, 0x19250ba0,   // it.mt.su_432 id.sv.un_220  ny.sr.lv_322 es.eu.gl_322 
  0x09001320, 0x10001709, 0x2330355a, 0x376e0a08,   // bh.hi.un_850 sr.lt.un_440  tg.uz.ky_553 pt.hmn.st_443 
  0x0c001304, 0x11070a11, 0x28006e19, 0x56005308,   // et.sv.un_320 pt.it.ro_653  hmn.sw.un_750 ht.mg.un_430 
  0x1f076e0d, 0x19250b12, 0x196b0b0c, 0x030e2513,   // hmn.it.cy_554 es.eu.gl_654  es.ceb.gl_543 eu.is.nl_665 
  // [6e50]
  0x13003f0e, 0x0411300c, 0x042308a4, 0x17000714,   // af.et.un_550 uz.ro.ru_543  uk.ky.ru_433 bg.sr.un_660 
  0x12250eec, 0x020e0860, 0x3f2f0a04, 0x0600551a,   // is.eu.hu_644 no.is.da_664  pt.su.af_332 rw.de.un_760 
  0x0a1744af, 0x17041002, 0x16000f16, 0x25062b04,   // kk.sr.mk_655 be.ru.sr_222  lv.hr.un_720 vi.de.eu_332 
  0x23040802, 0x44000a09, 0x0a3023a0, 0x040723a9,   // uk.ru.ky_222 mk.kk.un_440  ky.uz.mk_322 ky.bg.ru_544 
  // [6e60]
  0x2d130d04, 0x1a5525ec, 0x17000718, 0x1300100c,   // cs.et.sk_332 eu.rw.tl_644  bg.sr.un_740 lt.et.un_530 
  0x0e122d07, 0x6b6e2fa0, 0x0e251309, 0x0e3f030d,   // sk.hu.is_432 su.hmn.ceb_322  et.eu.is_444 nl.af.is_554 
  0x2b6b0104, 0x2932170c, 0x08170702, 0x352304a0,   // en.ceb.vi_332 sr.bs.sl_543  bg.sr.uk_222 ru.ky.tg_322 
  0x1b0e6407, 0x0423100c, 0x081707a0, 0x5300130c,   // lg.is.tr_432 be.ky.ru_543  bg.sr.uk_322 et.ht.un_530 
  // [6e70]
  0x0c0e03a4, 0x07030ca4, 0x532b30af, 0x30001a07,   // nl.is.sv_433 sv.nl.it_433  uz.vi.ht_655 tl.uz.un_420 
  0x05283002, 0x07080cee, 0x130504a9, 0x18002318,   // uz.sw.fr_222 sv.no.it_422  fi.fr.et_544 ca.ga.un_740 
  0x05001808, 0x08250405, 0x060c6bee, 0x0300120c,   // ga.fr.un_430 fi.eu.no_333  ceb.sv.de_422 hu.nl.un_530 
  0x354410a4, 0x083035a7, 0x1005075a, 0x1a552804,   // be.kk.tg_433 tg.uz.uk_532  it.fr.lt_553 sw.rw.tl_332 
  // [6e80]
  0x2a00072b, 0x231925a0, 0x130411ee, 0x2f00640b,   // it.mt.un_980 eu.gl.ca_322  ro.fi.et_422 lg.su.un_520 
  0x0f002d08, 0x53002313, 0x040f1307, 0x64281208,   // sk.lv.un_430 ca.ht.un_650  et.lv.fi_432 hu.sw.lg_443 
  0x1f303112, 0x64130402, 0x301a31a4, 0x0e002019,   // az.uz.cy_654 fi.et.lg_222  az.tl.uz_433 sq.is.un_750 
  0x04001111, 0x56002907, 0x09001802, 0x04440714,   // ro.fi.un_630 sl.mg.un_420  ga.pl.un_220 bg.kk.ru_666 
  // [6e90]
  0x11130460, 0x1c001e2b, 0x30016b07, 0x2a005604,   // fi.et.ro_664 ms.id.un_980  ceb.en.uz_432 mg.mt.un_320 
  0x05212f04, 0x180b6ba0, 0x0a213704, 0x023f08a6,   // su.jw.fr_332 ceb.es.ga_322  st.jw.pt_332 no.af.da_521 
  0x56003007, 0x070a08a4, 0x10080407, 0x2a001e02,   // uz.mg.un_420 uk.mk.bg_433  ru.uk.be_432 ms.mt.un_220 
  0x21002a19, 0x21557311, 0x2f08020c, 0x211c2f09,   // mt.jw.un_750 ny.rw.jw_653  da.no.su_543 su.id.jw_444 
  // [6ea0]
  0x2f1805ad, 0x2f000a13, 0x10000d19, 0x2b006b04,   // fr.ga.su_643 pt.su.un_650  cs.lt.un_750 ceb.vi.un_320 
  0x10000d09, 0x2f0a2d0c, 0x01536402, 0x44081704,   // cs.lt.un_440 sk.pt.su_543  lg.ht.en_222 sr.uk.kk_332 
  0x1c000729, 0x0802050c, 0x11081009, 0x17291008,   // it.id.un_960 fr.da.no_543  be.uk.ro_444 lt.sl.sr_443 
  0x080e0c09, 0x0f3f10ec, 0x530609af, 0x093f0c0e,   // sv.is.no_444 lt.af.lv_644  pl.de.ht_655 sv.af.pl_555 
  // [6eb0]
  0x316b20ee, 0x0910045a, 0x30005502, 0x09001007,   // sq.ceb.az_422 fi.lt.pl_553  rw.uz.un_220 lt.pl.un_420 
  0x0600080c, 0x3f1308a0, 0x1100101a, 0x05006b19,   // no.de.un_530 no.et.af_322  be.ro.un_760 ceb.fr.un_750 
  0x230a0511, 0x3d002f0e, 0x090210a4, 0x29020dee,   // fr.pt.ca_653 su.ku.un_550  lt.da.pl_433 cs.da.sl_422 
  0x28010404, 0x0710040b, 0x04170708, 0x041f09ec,   // fi.en.sw_332 ru.be.bg_542  bg.sr.ru_443 pl.cy.fi_644 
  // [6ec0]
  0x30002a0b, 0x44001702, 0x18122d04, 0x04080702,   // mt.uz.un_520 sr.kk.un_220  sk.hu.ga_332 bg.uk.ru_222 
  0x1c130da9, 0x121608a6, 0x280306a4, 0x0b0a55a4,   // ne.bh.mr_544 no.hr.hu_521  de.nl.sw_433 rw.pt.es_433 
  0x125525ad, 0x132864a0, 0x060405a0, 0x641a73a4,   // eu.rw.hu_643 lg.sw.et_322  fr.fi.de_322 ny.tl.lg_433 
  0x35111111, 0x06002307, 0x1a281ea4, 0x0c000409,   // ro.ro.tg_653 ca.de.un_420  ms.sw.tl_433 fi.sv.un_440 
  // [6ed0]
  0x1a001e13, 0x060c045a, 0x19643755, 0x282f1e09,   // ms.tl.un_650 fi.sv.de_553  st.lg.gl_442 ms.su.sw_444 
  0x64006e08, 0x73096b0d, 0x3f040e07, 0x12000d0c,   // hmn.lg.un_430 ceb.pl.ny_554  is.fi.af_432 cs.hu.un_530 
  0x1e6b1c07, 0x1e120404, 0x25370e08, 0x0a000422,   // id.ceb.ms_432 fi.hu.ms_332  is.st.eu_443 ru.mk.un_870 
  0x0a000107, 0x3f0304a7, 0x21041304, 0x20001111,   // en.pt.un_420 fi.nl.af_532  et.fi.jw_332 ro.sq.un_630 
  // [6ee0]
  0x1f311b07, 0x190b1207, 0x2d000a05, 0x641b3113,   // tr.az.cy_432 hu.es.gl_432  pt.sk.un_330 az.tr.lg_665 
  0x09287304, 0x0c130411, 0x070410ad, 0x3d006408,   // ny.sw.pl_332 fi.et.sv_653  be.ru.bg_643 lg.ku.un_430 
  0x0a002323, 0x0a081760, 0x2f641aa4, 0x03020ea0,   // ca.pt.un_880 sr.uk.mk_664  tl.lg.su_433 is.da.nl_322 
  0x1a001e08, 0x0a311112, 0x1a2b6b07, 0x20000e0e,   // ms.tl.un_430 ro.az.pt_654  ceb.vi.tl_432 is.sq.un_550 
  // [6ef0]
  0x2a000e23, 0x64217355, 0x01640ba0, 0x170435a7,   // is.mt.un_880 ny.jw.lg_442  es.lg.en_322 tg.ru.sr_532 
  0x30000e21, 0x11001314, 0x3f211207, 0x3f1203a4,   // is.uz.un_860 et.ro.un_660  hu.jw.af_432 nl.hu.af_433 
  0x20230555, 0x23062a04, 0x08170755, 0x13002807,   // fr.ca.sq_442 mt.de.ca_332  bg.sr.uk_442 sw.et.un_420 
  0x10110411, 0x1e1c6bee, 0x0e00060b, 0x1e1c270c,   // ru.ro.be_653 ceb.id.ms_422  de.is.un_520 gd.id.ms_543 
  // [6f00]
  0x131c0955, 0x02080555, 0x01000c08, 0x05000105,   // hi.mr.bh_442 fr.no.da_442  sv.en.un_430 en.fr.un_330 
  0x1e1f2711, 0x1c000d20, 0x64001220, 0x080205ec,   // gd.cy.ms_653 ne.mr.un_850  hu.lg.un_850 fr.da.no_644 
  0x1a556404, 0x647355a9, 0x3d230507, 0x0a00230c,   // lg.rw.tl_332 rw.ny.lg_544  fr.ca.ku_432 ca.pt.un_530 
  0x2873645a, 0x6e0407a0, 0x6b041a55, 0x2d120e05,   // lg.ny.sw_553 it.fi.hmn_322  tl.fi.ceb_442 is.hu.sk_333 
  // [6f10]
  0x30113508, 0x13046455, 0x131107ee, 0x090425a0,   // tg.ro.uz_443 lg.fi.et_442  it.ro.et_422 eu.fi.pl_322 
  0x0d0b190c, 0x190d2d0b, 0x07062512, 0x070d2dad,   // gl.es.cs_543 sk.cs.gl_542  eu.de.it_654 sk.cs.it_643 
  0x2d00290b, 0x11010505, 0x552873a9, 0x21126402,   // sl.sk.un_520 fr.en.ro_333  ny.sw.rw_544 lg.hu.jw_222 
  0x2a0a23a9, 0x2a002b0d, 0x08230aad, 0x64203709,   // ca.pt.mt_544 vi.mt.un_540  mk.ky.uk_643 st.sq.lg_444 
  // [6f20]
  0x0a2d0d0d, 0x06002802, 0x070a1107, 0x19002a04,   // cs.sk.pt_554 sw.de.un_220  ro.mk.bg_432 mt.gl.un_320 
  0x21001c12, 0x043f03ad, 0x2f041307, 0x012305ee,   // id.jw.un_640 nl.af.fi_643  et.fi.su_432 fr.ca.en_422 
  0x040610ec, 0x040e1008, 0x3f03040e, 0x06001f19,   // lt.de.fi_644 lt.is.fi_443  fi.nl.af_555 cy.de.un_750 
  0x100604a4, 0x21001820, 0x0e6e060b, 0x0704350c,   // fi.de.lt_433 ar.fa.un_850  de.hmn.is_542 tg.ru.bg_543 
  // [6f30]
  0x1f3f03a4, 0x27002507, 0x291f1e0b, 0x20321ba4,   // nl.af.cy_433 eu.gd.un_420  ms.cy.sl_542 tr.bs.sq_433 
  0x11006e0c, 0x0c2f2107, 0x3d0501a7, 0x5300210d,   // hmn.ro.un_530 jw.su.sv_432  en.fr.ku_532 jw.ht.un_540 
  0x0400132b, 0x016b110c, 0x03041312, 0x062031ad,   // et.fi.un_980 ro.ceb.en_543  et.fi.nl_654 az.sq.de_643 
  0x301b1807, 0x0304130d, 0x2f533fa0, 0x10040612,   // ga.tr.uz_432 et.fi.nl_554  af.ht.su_322 de.fi.lt_654 
  // [6f40]
  0x212d0d04, 0x02000607, 0x23052fa6, 0x11311b11,   // cs.sk.jw_332 de.da.un_420  su.fr.ca_521 tr.az.ro_653 
  0x20212fa7, 0x06001908, 0x0728010c, 0x322d1609,   // su.jw.sq_532 gl.de.un_430  en.sw.it_543 hr.sk.bs_444 
  0x32100107, 0x7300060d, 0x0c111304, 0x1e1330ad,   // en.lt.bs_432 de.ny.un_540  et.ro.sv_332 uz.et.ms_643 
  0x06301b12, 0x08000e04, 0x052f3d12, 0x21052f08,   // tr.uz.de_654 is.no.un_320  ku.su.fr_654 su.fr.jw_443 
  // [6f50]
  0x04001e11, 0x190a05a0, 0x01060c05, 0x09120ca0,   // ms.fi.un_630 fr.pt.gl_322  sv.de.en_333 sv.hu.pl_322 
  0x55002014, 0x64007305, 0x11311b0b, 0x0f272804,   // sq.rw.un_660 ny.lg.un_330  tr.az.ro_542 sw.gd.lv_332 
  0x040c065a, 0x30083508, 0x030213ad, 0x03250507,   // de.sv.fi_553 tg.uk.uz_443  et.da.nl_643 fr.eu.nl_432 
  0x02080c0d, 0x0a0407af, 0x3f02180c, 0x55110ba0,   // sv.no.da_554 bg.ru.mk_655  ga.da.af_543 es.ro.rw_322 
  // [6f60]
  0x320f1707, 0x1027185a, 0x171f3dee, 0x06000312,   // sr.lv.bs_432 ga.gd.lt_553  ku.cy.sr_422 nl.de.un_640 
  0x09100ca0, 0x275564ac, 0x0e001807, 0x020c080d,   // sv.lt.pl_322 lg.rw.gd_632  ga.is.un_420 no.sv.da_554 
  0x05002104, 0x033f1313, 0x08063f13, 0x040a07ad,   // jw.fr.un_320 et.af.nl_665  af.de.no_665 bg.mk.ru_643 
  0x06032013, 0x3f002814, 0x06005502, 0x211a5304,   // sq.nl.de_665 sw.af.un_660  rw.de.un_220 ht.tl.jw_332 
  // [6f70]
  0x0a2d0da7, 0x350a1107, 0x0f321604, 0x73371aa9,   // cs.sk.pt_532 ro.mk.tg_432  hr.bs.lv_332 tl.st.ny_544 
  0x55007309, 0x04350705, 0x1b003014, 0x23171108,   // ny.rw.un_440 bg.tg.ru_333  uz.tr.un_660 ro.sr.ky_443 
  0x532f3fa0, 0x37000604, 0x1707100c, 0x04301b12,   // af.su.ht_322 de.st.un_320  be.bg.sr_543 tr.uz.fi_654 
  0x06133fa9, 0x0b122da0, 0x73301e07, 0x083f0304,   // af.et.de_544 sk.hu.es_322  ms.uz.ny_432 nl.af.no_332 
  // [6f80]
  0x56002921, 0x181e28a7, 0x202856ee, 0x1a276b09,   // sl.mg.un_860 sw.ms.ga_532  mg.sw.sq_422 ceb.gd.tl_444 
  0x1a076b07, 0x21562d08, 0x0e080c12, 0x73033013,   // ceb.it.tl_432 sk.mg.jw_443  sv.no.is_654 uz.nl.ny_665 
  0x18102707, 0x53230504, 0x3f005521, 0x1c5621ee,   // gd.lt.ga_432 fr.ca.ht_332  rw.af.un_860 jw.mg.id_422 
  0x561e1c07, 0x55647307, 0x0d000607, 0x2f1a2b04,   // id.ms.mg_432 ny.lg.rw_432  de.cs.un_420 vi.tl.su_332 
  // [6f90]
  0x7306370c, 0x640f6b02, 0x07000a2c, 0x07231113,   // st.de.ny_543 ceb.lv.lg_222  mk.bg.un_990 ro.ky.bg_665 
  0x12212fa4, 0x30002022, 0x08000a21, 0x0804560c,   // su.jw.hu_433 sq.uz.un_870  mk.uk.un_860 mg.fi.no_543 
  0x53003707, 0x120b05af, 0x271c1ea4, 0x0d2a5602,   // st.ht.un_420 fr.es.hu_655  ms.id.gd_433 mg.mt.cs_222 
  0x37251f14, 0x13033f0d, 0x23005602, 0x0f080cee,   // cy.eu.st_666 af.nl.et_554  mg.ca.un_220 sv.no.lv_422 
  // [6fa0]
  0x07006b0e, 0x0a00561a, 0x1b000508, 0x6b00320d,   // ceb.it.un_550 mg.pt.un_760  fr.tr.un_430 bs.ceb.un_540 
  0x20001907, 0x03201707, 0x212f305a, 0x2d0d0505,   // gl.sq.un_420 sr.sq.nl_432  uz.su.jw_553 fr.cs.sk_333 
  0x0a441107, 0x2f002305, 0x0d2d120b, 0x0b001804,   // ro.kk.mk_432 ca.su.un_330  hu.sk.cs_542 ga.es.un_320 
  0x08005607, 0x230f0b07, 0x081f0204, 0x0f05010c,   // mg.no.un_420 es.lv.ca_432  da.cy.no_332 en.fr.lv_543 
  // [6fb0]
  0x230330ee, 0x01000602, 0x010c0807, 0x44352307,   // uz.nl.ca_422 de.en.un_220  no.sv.en_432 ky.tg.kk_432 
  0x120d0a14, 0x010b0f0c, 0x06023f02, 0x0a00230e,   // pt.cs.hu_666 lv.es.en_543  af.da.de_222 ky.mk.un_550 
  0x02031108, 0x2344100d, 0x1000301a, 0x1130230c,   // ro.nl.da_443 be.kk.ky_554  uz.be.un_760 ky.uz.ro_543 
  0x1b000204, 0x23000c09, 0x2305010b, 0x06051304,   // da.tr.un_320 sv.ca.un_440  en.fr.ca_542 et.fr.de_332 
  // [6fc0]
  0x0a071008, 0x06080202, 0x0a00120c, 0x313f07a9,   // be.bg.mk_443 da.no.de_222  hu.pt.un_530 it.af.az_544 
  0x2330440c, 0x04351005, 0x0a17085a, 0x2d00180d,   // kk.uz.ky_543 be.tg.ru_333  uk.sr.mk_553 ga.sk.un_540 
  0x07052aa9, 0x0e2319a0, 0x010a2da0, 0x213f25ee,   // mt.fr.it_544 gl.ca.is_322  sk.pt.en_322 eu.af.jw_422 
  0x06283fa4, 0x1f002504, 0x2a002913, 0x016b3fee,   // af.sw.de_433 eu.cy.un_320  sl.mt.un_650 af.ceb.en_422 
  // [6fd0]
  0x083f0313, 0x3f0306a7, 0x080411ad, 0x2f73370c,   // nl.af.no_665 de.nl.af_532  ro.ru.uk_643 st.ny.su_543 
  0x05001f0d, 0x270673a9, 0x182728a9, 0x290209ad,   // cy.fr.un_540 ny.de.gd_544  sw.gd.ga_544 pl.da.sl_643 
  0x0e00181b, 0x73271808, 0x0d201212, 0x100423a4,   // ga.is.un_770 ga.gd.ny_443  hu.sq.cs_654 ky.ru.be_433 
  0x056b5302, 0x031c28ee, 0x0373270c, 0x03063f13,   // ht.ceb.fr_222 sw.id.nl_422  gd.ny.nl_543 af.de.nl_665 
  // [6fe0]
  0x033f0660, 0x0000732d, 0x18273008, 0x2127280d,   // de.af.nl_664 ny.un.un_A00  uz.gd.ga_443 sw.gd.jw_554 
  0x212a53af, 0x440a10ec, 0x3023440e, 0x03062855,   // ht.mt.jw_655 be.mk.kk_644  kk.ky.uz_555 sw.de.nl_442 
  0x1a1227a9, 0x29007312, 0x230a3ded, 0x1a005607,   // gd.hu.tl_544 ny.sl.un_640  ku.pt.ca_622 mg.tl.un_420 
  0x21281108, 0x0a10350c, 0x2a1f23af, 0x0e001a02,   // ro.sw.jw_443 tg.be.mk_543  ca.cy.mt_655 tl.is.un_220 
  // [6ff0]
  0x31295312, 0x00003d37, 0x0a002319, 0x12045307,   // ht.sl.az_654 ku.un.un_B00  ca.pt.un_750 ht.fi.hu_432 
  0x7328300c, 0x04000108, 0x041e1c02, 0x73280609,   // uz.sw.ny_543 en.fi.un_430  id.ms.fi_222 de.sw.ny_444 
  0x18270111, 0x13310407, 0x16293dec, 0x3d2d0d0e,   // en.gd.ga_653 fi.az.et_432  ku.sl.hr_644 cs.sk.ku_555 
  0x731827ec, 0x2900210c, 0x061a37a9, 0x041f130e,   // gd.ga.ny_644 jw.sl.un_530  st.tl.de_544 et.cy.fi_555 
  
  // [7000]
  0x042a110d, 0x033f06a9, 0x3f2a0e05, 0x30000509,   // ro.mt.fi_554 de.af.nl_544  is.mt.af_333 fr.uz.un_440 
  0x30086ba9, 0x0830060c, 0x37087308, 0x20113013,   // ceb.no.uz_544 de.uz.no_543  ny.no.st_443 uz.ro.sq_665 
  0x2f1a5608, 0x6e301baf, 0x09000d22, 0x12132807,   // mg.tl.su_443 tr.uz.hmn_655  ne.hi.un_870 sw.et.hu_432 
  0x37002705, 0x23002a08, 0x122d0408, 0x376b1aad,   // gd.st.un_330 mt.ca.un_430  fi.sk.hu_443 tl.ceb.st_643 
  // [7010]
  0x08170aee, 0x302027ec, 0x0c033f05, 0x2f56280c,   // mk.sr.uk_422 gd.sq.uz_644  af.nl.sv_333 sw.mg.su_543 
  0x3d1a55a4, 0x6e302004, 0x04311bec, 0x0c003f07,   // rw.tl.ku_433 sq.uz.hmn_332  tr.az.fi_644 af.sv.un_420 
  0x040e1e0c, 0x04005612, 0x0a182b1f, 0x21122f07,   // ms.is.fi_543 mg.fi.un_640  vi.ga.pt_864 su.hu.jw_432 
  0x30311ba7, 0x011f3707, 0x292d1108, 0x6b003707,   // tr.az.uz_532 st.cy.en_432  ro.sk.sl_443 st.ceb.un_420 
  // [7020]
  0x0f2f040c, 0x01211ca0, 0x2d0937ee, 0x042d0d05,   // fi.su.lv_543 id.jw.en_322  st.pl.sk_422 cs.sk.fi_333 
  0x55647355, 0x0a0f0e08, 0x1a132107, 0x3f000919,   // ny.lg.rw_442 is.lv.pt_443  jw.et.tl_432 pl.af.un_750 
  0x2537200c, 0x06003f1a, 0x1f18010c, 0x0e00010d,   // sq.st.eu_543 af.de.un_760  en.ga.cy_543 en.is.un_540 
  0x64012f07, 0x1b3109a9, 0x2000730d, 0x44100811,   // su.en.lg_432 pl.az.tr_544  ny.sq.un_540 uk.be.kk_653 
  // [7030]
  0x30001714, 0x111001a0, 0x10301155, 0x2000111a,   // sr.uz.un_660 en.lt.ro_322  ro.uz.lt_442 ro.sq.un_760 
  0x171110a4, 0x3004110c, 0x2f21730c, 0x04003512,   // be.ro.sr_433 ro.fi.uz_543  ny.jw.su_543 tg.ru.un_640 
  0x192d0d05, 0x020c085a, 0x0b002d07, 0x250c04a0,   // cs.sk.gl_333 no.sv.da_553  sk.es.un_420 fi.sv.eu_322 
  0x17100a14, 0x043013a9, 0x2d060daf, 0x64551a12,   // mk.be.sr_666 et.uz.fi_544  cs.de.sk_655 tl.rw.lg_654 
  // [7040]
  0x6b171aa4, 0x1f0601af, 0x300403ad, 0x043f64ee,   // tl.sr.ceb_433 en.de.cy_655  nl.fi.uz_643 lg.af.fi_422 
  0x03006b04, 0x6400080d, 0x2d0d1aa4, 0x080227ee,   // ceb.nl.un_320 no.lg.un_540  tl.cs.sk_433 gd.da.no_422 
  0x64080202, 0x04130cec, 0x10001f08, 0x170a115a,   // da.no.lg_222 sv.et.fi_644  cy.lt.un_430 ro.mk.sr_553 
  0x30646ba0, 0x23040807, 0x200c6eec, 0x0d001220,   // ceb.lg.uz_322 uk.ru.ky_432  hmn.sv.sq_644 hu.cs.un_850 
  // [7050]
  0x32002004, 0x2a0c0608, 0x2a00071b, 0x02080460,   // sq.bs.un_320 de.sv.mt_443  it.mt.un_770 fi.no.da_664 
  0x556b1aee, 0x07033f08, 0x04001808, 0x13005520,   // tl.ceb.rw_422 af.nl.it_443  ga.fi.un_430 rw.et.un_850 
  0x1a00640e, 0x180631a0, 0x080a0702, 0x2a3f1e0c,   // lg.tl.un_550 az.de.ga_322  bg.mk.uk_222 ms.af.mt_543 
  0x120913a9, 0x236b1b07, 0x56001223, 0x6e00200e,   // et.pl.hu_544 tr.ceb.ca_432  hu.mg.un_880 sq.hmn.un_550 
  // [7060]
  0x0d202da9, 0x251b3da0, 0x1300250d, 0x1b04560c,   // sk.sq.cs_544 ku.tr.eu_322  eu.et.un_540 mg.fi.tr_543 
  0x53212312, 0x01311804, 0x55006b04, 0x0e0f045a,   // ca.jw.ht_654 ga.az.en_332  ceb.rw.un_320 fi.lv.is_553 
  0x212f1cac, 0x641b0409, 0x0f292007, 0x0d082da0,   // id.su.jw_632 fi.tr.lg_444  sq.sl.lv_432 sk.no.cs_322 
  0x100c02a0, 0x2b006b0c, 0x29001a09, 0x64101a5a,   // da.sv.lt_322 ceb.vi.un_530  tl.sl.un_440 tl.lt.lg_553 
  // [7070]
  0x73645513, 0x35100408, 0x2f001213, 0x2a040a0c,   // rw.lg.ny_665 ru.be.tg_443  hu.su.un_650 pt.fi.mt_543 
  0x0a2105af, 0x03131fa6, 0x290f25ee, 0x06230a0c,   // fr.jw.pt_655 cy.et.nl_521  eu.lv.sl_422 pt.ca.de_543 
  0x6b0930ee, 0x30016412, 0x040a10a4, 0x0a11110c,   // uz.pl.ceb_422 lg.en.uz_654  be.mk.ru_433 ro.ro.mk_543 
  0x200c0e55, 0x235321a0, 0x020c13a0, 0x231b0aad,   // is.sv.sq_442 jw.ht.ca_322  et.sv.da_322 pt.tr.ca_643 
  // [7080]
  0x070408ad, 0x05001f04, 0x29250d12, 0x13000c0b,   // uk.ru.bg_643 cy.fr.un_320  cs.eu.sl_654 sv.et.un_520 
  0x0a110408, 0x042344ad, 0x18372707, 0x55000808,   // ru.ro.mk_443 kk.ky.ru_643  gd.st.ga_432 no.rw.un_430 
  0x320f1012, 0x130c0411, 0x2f193da6, 0x16000c05,   // lt.lv.bs_654 fi.sv.et_653  ku.gl.su_521 sv.hr.un_330 
  0x04201307, 0x2d0d2f02, 0x113530ad, 0x202a1308,   // et.sq.fi_432 su.cs.sk_222  uz.tg.ro_643 et.mt.sq_443 
  // [7090]
  0x35040aa9, 0x285530af, 0x28305507, 0x2830550c,   // mk.ru.tg_544 uz.rw.sw_655  rw.uz.sw_432 rw.uz.sw_543 
  0x0b0a19ec, 0x302055ad, 0x020e2aa4, 0x27000704,   // gl.pt.es_644 rw.sq.uz_643  mt.is.da_433 it.gd.un_320 
  0x1e1c04ec, 0x64305555, 0x201a2f09, 0x1100200e,   // fi.id.ms_644 rw.uz.lg_442  su.tl.sq_444 sq.ro.un_550 
  0x0c130e55, 0x282055ad, 0x731a1ca0, 0x1a2f1eac,   // is.et.sv_442 rw.sq.sw_643  id.tl.ny_322 ms.su.tl_632 
  // [70a0]
  0x2335300c, 0x10304405, 0x0a006e14, 0x2f1127a7,   // uz.tg.ky_543 kk.uz.be_333  hmn.pt.un_660 gd.ro.su_532 
  0x6b3055ad, 0x6b1a2f0b, 0x53002307, 0x200c12af,   // rw.uz.ceb_643 su.tl.ceb_542  ca.ht.un_420 hu.sv.sq_655 
  0x28001207, 0x101704af, 0x21102f0c, 0x300602a4,   // hu.sw.un_420 ru.sr.be_655  su.lt.jw_543 da.de.uz_433 
  0x732855a4, 0x20553013, 0x55003004, 0x12001608,   // rw.sw.ny_433 uz.rw.sq_665  uz.rw.un_320 hr.hu.un_430 
  // [70b0]
  0x300423ec, 0x0f2028ad, 0x015330ee, 0x230b1e07,   // ky.ru.uz_644 sw.sq.lv_643  uz.ht.en_422 ms.es.ca_432 
  0x04130d07, 0x09642f0c, 0x30006e14, 0x641a1308,   // cs.et.fi_432 su.lg.pl_543  hmn.uz.un_660 et.tl.lg_443 
  0x11000d16, 0x0a172307, 0x132f6b07, 0x53003018,   // cs.ro.un_720 ky.sr.mk_432  ceb.su.et_432 uz.ht.un_740 
  0x21080209, 0x2d090dee, 0x2d0d30a4, 0x215564a4,   // da.no.jw_444 cs.pl.sk_422  uz.cs.sk_433 lg.rw.jw_433 
  // [70c0]
  0x350a1007, 0x04073555, 0x083f05a0, 0x08170a09,   // be.mk.tg_432 tg.bg.ru_442  fr.af.no_322 mk.sr.uk_444 
  0x0a0b19ee, 0x0a000d0b, 0x04080aa7, 0x09000613,   // gl.es.pt_422 cs.pt.un_520  mk.uk.ru_532 de.pl.un_650 
  0x53182712, 0x07041007, 0x6e6b01ee, 0x531827af,   // gd.ga.ht_654 be.ru.bg_432  en.ceb.hmn_422 gd.ga.ht_655 
  0x2f131a02, 0x217364ee, 0x352344a0, 0x55287307,   // tl.et.su_222 lg.ny.jw_422  kk.ky.tg_322 ny.sw.rw_432 
  // [70d0]
  0x2a005307, 0x376b7309, 0x25121b12, 0x17290dee,   // ht.mt.un_420 ny.ceb.st_444  tr.hu.eu_654 cs.sl.sr_422 
  0x29130413, 0x3200200d, 0x53001b19, 0x2a005308,   // fi.et.sl_665 sq.bs.un_540  tr.ht.un_750 ht.mt.un_430 
  0x281e1c04, 0x0c3f0207, 0x0e000805, 0x10440812,   // id.ms.sw_332 da.af.sv_432  no.is.un_330 uk.kk.be_654 
  0x642873ee, 0x0a2d0d5a, 0x532128a0, 0x2f2827ec,   // ny.sw.lg_422 cs.sk.pt_553  sw.jw.ht_322 gd.sw.su_644 
  // [70e0]
  0x0d1219a0, 0x07303505, 0x2b0106a0, 0x73551f60,   // gl.hu.cs_322 tg.uz.bg_333  de.en.vi_322 cy.rw.ny_664 
  0x09080c09, 0x2b322711, 0x06271f0c, 0x2f0a1a0c,   // sv.no.pl_444 gd.bs.vi_653  cy.gd.de_543 tl.pt.su_543 
  0x281a73a4, 0x0d1e1c08, 0x270e280c, 0x25001b19,   // ny.tl.sw_433 id.ms.cs_443  sw.is.gd_543 tr.eu.un_750 
  0x0c081ba0, 0x062701a0, 0x0c000619, 0x31001e05,   // tr.no.sv_322 en.gd.de_322  de.sv.un_750 ms.az.un_330 
  // [70f0]
  0x08000e23, 0x042b1f07, 0x0e083f07, 0x170a30a0,   // is.no.un_880 cy.vi.fi_432  af.no.is_432 uz.mk.sr_322 
  0x2b206eec, 0x092a0860, 0x13060da9, 0x3f0703a4,   // hmn.sq.vi_644 no.mt.pl_664  cs.de.et_544 nl.it.af_433 
  0x311b0c07, 0x3f0309a7, 0x18091902, 0x3f642509,   // sv.tr.az_432 pl.nl.af_532  gl.pl.ga_222 eu.lg.af_444 
  0x0420190c, 0x73645509, 0x562f1e07, 0x040e080b,   // gl.sq.fi_543 rw.lg.ny_444  ms.su.mg_432 no.is.fi_542 
  // [7100]
  0x04172911, 0x02292d07, 0x0d2d0611, 0x16305507,   // sl.sr.fi_653 sk.sl.da_432  de.sk.cs_653 rw.uz.hr_432 
  0x0e5606a4, 0x31006b04, 0x2f0c0209, 0x531f0611,   // de.mg.is_433 ceb.az.un_320  da.sv.su_444 de.cy.ht_653 
  0x211c2f04, 0x091a100c, 0x64001c1a, 0x1b000f1b,   // su.id.jw_332 lt.tl.pl_543  id.lg.un_760 lv.tr.un_770 
  0x32080208, 0x10312008, 0x211f2f07, 0x113f5508,   // da.no.bs_443 sq.az.lt_443  su.cy.jw_432 rw.af.ro_443 
  // [7110]
  0x1c552f02, 0x136b2fa9, 0x1c00190e, 0x110408a4,   // su.rw.id_222 su.ceb.et_544  gl.id.un_550 uk.ru.ro_433 
  0x557364ad, 0x25191ca4, 0x0a001113, 0x29041307,   // lg.ny.rw_643 id.gl.eu_433  ro.mk.un_650 et.fi.sl_432 
  0x2700070e, 0x16003208, 0x25003014, 0x0c041307,   // it.gd.un_550 bs.hr.un_430  uz.eu.un_660 et.fi.sv_432 
  0x2f641e0c, 0x212f1308, 0x532a2007, 0x375525a4,   // ms.lg.su_543 et.su.jw_443  sq.mt.ht_432 eu.rw.st_433 
  // [7120]
  0x201b2504, 0x642f550d, 0x2f000612, 0x070c1307,   // eu.tr.sq_332 rw.su.lg_554  de.su.un_640 et.sv.it_432 
  0x3d6b1a07, 0x2f000f1b, 0x19300b04, 0x13072004,   // tl.ceb.ku_432 lv.su.un_770  es.uz.gl_332 sq.it.et_332 
  0x1c213fa0, 0x200f1108, 0x0b1819a7, 0x11002512,   // af.jw.id_322 ro.lv.sq_443  gl.ga.es_532 eu.ro.un_640 
  0x080c0213, 0x6b2025a0, 0x05201f07, 0x0f2f210c,   // da.sv.no_665 eu.sq.ceb_322  cy.sq.fr_432 jw.su.lv_543 
  // [7130]
  0x17162902, 0x1b033009, 0x21112fa4, 0x0c190b05,   // sl.hr.sr_222 uz.nl.tr_444  su.ro.jw_433 es.gl.sv_333 
  0x211c2f05, 0x251b2a09, 0x29160d07, 0x20302555,   // su.id.jw_333 mt.tr.eu_444  cs.hr.sl_432 eu.uz.sq_442 
  0x18000505, 0x56002805, 0x301b25a7, 0x234410a9,   // fr.ga.un_330 sw.mg.un_330  eu.tr.uz_532 be.kk.ky_544 
  0x1300081a, 0x3f133dec, 0x0e0308a7, 0x6b033fa0,   // no.et.un_760 ku.et.af_644  no.nl.is_532 af.nl.ceb_322 
  // [7140]
  0x1b132a04, 0x27000919, 0x551308a4, 0x160d2d07,   // mt.et.tr_332 pl.gd.un_750  no.et.rw_433 sk.cs.hr_432 
  0x0a170708, 0x2f6455a9, 0x05012fac, 0x0c03080c,   // bg.sr.mk_443 rw.lg.su_544  su.en.fr_632 no.nl.sv_543 
  0x171629ec, 0x32160d0c, 0x06001c07, 0x190564a0,   // sl.hr.sr_644 cs.hr.bs_543  id.de.un_420 lg.fr.gl_322 
  0x731b2f08, 0x531b0512, 0x731b05a9, 0x5500030e,   // su.tr.ny_443 fr.tr.ht_654  fr.tr.ny_544 nl.rw.un_550 
  // [7150]
  0x11000509, 0x080410ac, 0x03000104, 0x17001019,   // fr.ro.un_440 be.ru.uk_632  en.nl.un_320 be.sr.un_750 
  0x640501a0, 0x2b002008, 0x05191208, 0x020621ec,   // en.fr.lg_322 sq.vi.un_430  hu.gl.fr_443 jw.de.da_644 
  0x530501a4, 0x113705a0, 0x160d0fa0, 0x100f2d0b,   // en.fr.ht_433 fr.st.ro_322  lv.cs.hr_322 sk.lv.lt_542 
  0x0c06025a, 0x06135507, 0x0705190c, 0x0e0413ee,   // da.de.sv_553 rw.et.de_432  gl.fr.it_543 et.fi.is_422 
  // [7160]
  0x07040aaf, 0x2d0d16a0, 0x120d0f05, 0x29172507,   // mk.ru.bg_655 hr.cs.sk_322  lv.cs.hu_333 eu.sr.sl_432 
  0x19002008, 0x1b3f3009, 0x080c02ad, 0x3705010b,   // sq.gl.un_430 uz.af.tr_444  da.sv.no_643 en.fr.st_542 
  0x64040cad, 0x1b05010b, 0x562f7307, 0x1b3f30a9,   // sv.fi.lg_643 en.fr.tr_542  ny.su.mg_432 uz.af.tr_544 
  0x285537ee, 0x0f005512, 0x08071002, 0x0f0e55ec,   // st.rw.sw_422 rw.lv.un_640  be.bg.uk_222 rw.is.lv_644 
  // [7170]
  0x28000108, 0x311b3f08, 0x12213d07, 0x312a1bee,   // en.sw.un_430 af.tr.az_443  ku.jw.hu_432 tr.mt.az_422 
  0x31133012, 0x55003d18, 0x530425ad, 0x033f0c07,   // uz.et.az_654 ku.rw.un_740  eu.fi.ht_643 sv.af.nl_432 
  0x190b2d0c, 0x301b3fec, 0x3017100c, 0x55001a07,   // sk.es.gl_543 af.tr.uz_644  be.sr.uz_543 tl.rw.un_420 
  0x551f6bac, 0x20531c0c, 0x28007311, 0x29000d0e,   // ceb.cy.rw_632 id.ht.sq_543  ny.sw.un_630 cs.sl.un_550 
  // [7180]
  0x132a28a4, 0x210723a7, 0x32132955, 0x28735507,   // sw.mt.et_433 ca.it.jw_532  sl.et.bs_442 rw.ny.sw_432 
  0x2f005507, 0x2b733007, 0x06111307, 0x1a126b08,   // rw.su.un_420 uz.ny.vi_432  et.ro.de_432 ceb.hu.tl_443 
  0x28000807, 0x0600250d, 0x3f00300d, 0x2f1b1cee,   // no.sw.un_420 eu.de.un_540  uz.af.un_540 id.tr.su_422 
  0x553f04ee, 0x1b13305a, 0x04301005, 0x212964a0,   // fi.af.rw_422 uz.et.tr_553  be.uz.ru_333 lg.sl.jw_322 
  // [7190]
  0x1c212f08, 0x1100011a, 0x2a000921, 0x1a005602,   // su.jw.id_443 en.ro.un_760  pl.mt.un_860 mg.tl.un_220 
  0x06551307, 0x303f0305, 0x07230aa0, 0x27201ea4,   // et.rw.de_432 nl.af.uz_333  pt.ca.it_322 ms.sq.gd_433 
  0x17002321, 0x0c2912ec, 0x56001a08, 0x202830ad,   // ky.sr.un_860 hu.sl.sv_644  tl.mg.un_430 uz.sw.sq_643 
  0x1c1a1e04, 0x0b00011a, 0x6b2104ee, 0x17111107,   // ms.tl.id_332 en.es.un_760  fi.jw.ceb_422 ro.ro.sr_432 
  // [71a0]
  0x1c2f1f09, 0x172007ee, 0x733028ad, 0x13000f09,   // cy.su.id_444 it.sq.sr_422  sw.uz.ny_643 lv.et.un_440 
  0x28013007, 0x3f321609, 0x3f02100c, 0x32000207,   // uz.en.sw_432 hr.bs.af_444  lt.da.af_543 da.bs.un_420 
  0x0c000f0c, 0x29001104, 0x1a113707, 0x0c005602,   // lv.sv.un_530 ro.sl.un_320  st.ro.tl_432 mg.sv.un_220 
  0x73285511, 0x1b00010d, 0x37300c07, 0x0900210d,   // rw.sw.ny_653 en.tr.un_540  sv.uz.st_432 jw.pl.un_540 
  // [71b0]
  0x2011010c, 0x0c3001a4, 0x08070aa9, 0x0a1b1c0b,   // en.ro.sq_543 en.uz.sv_433  mk.bg.uk_544 id.tr.pt_542 
  0x10321605, 0x30003109, 0x12002308, 0x07440a04,   // hr.bs.lt_333 az.uz.un_440  ca.hu.un_430 mk.kk.bg_332 
  0x250f2908, 0x30002819, 0x2a18115a, 0x35233012,   // sl.lv.eu_443 sw.uz.un_750  ro.ga.mt_553 uz.ky.tg_654 
  0x2d000808, 0x08020fa9, 0x250f08a4, 0x0f001009,   // no.sk.un_430 lv.da.no_544  no.lv.eu_433 lt.lv.un_440 
  // [71c0]
  0x531e1c0d, 0x07043504, 0x10000f08, 0x30080405,   // id.ms.ht_554 tg.ru.bg_332  lv.lt.un_430 ru.uk.uz_333 
  0x55050112, 0x050608a4, 0x0704100b, 0x531c2fac,   // en.fr.rw_654 no.de.fr_433  be.ru.bg_542 su.id.ht_632 
  0x050255af, 0x560305a7, 0x0a170704, 0x0c13040c,   // rw.da.fr_655 fr.nl.mg_532  bg.sr.mk_332 fi.et.sv_543 
  0x0b190a5a, 0x3f000802, 0x0c1304a9, 0x200511a0,   // pt.gl.es_553 no.af.un_220  fi.et.sv_544 ro.fr.sq_322 
  // [71d0]
  0x53080c08, 0x02051305, 0x5500011a, 0x28182a13,   // sv.no.ht_443 et.fr.da_333  en.rw.un_760 mt.ga.sw_665 
  0x01130507, 0x2f1c1ead, 0x55732808, 0x02120307,   // fr.et.en_432 ms.id.su_643  sw.ny.rw_443 nl.hu.da_432 
  0x25190b07, 0x3217165a, 0x351004ad, 0x060c0ea0,   // es.gl.eu_432 hr.sr.bs_553  ru.be.tg_643 is.sv.de_322 
  0x17070aa7, 0x30233507, 0x1c2128a9, 0x25230b04,   // mk.bg.sr_532 tg.ky.uz_432  sw.jw.id_544 es.ca.eu_332 
  // [71e0]
  0x080710a9, 0x09645502, 0x1a566b04, 0x0e003721,   // be.bg.uk_544 rw.lg.pl_222  ceb.mg.tl_332 st.is.un_860 
  0x536b1b08, 0x29032008, 0x0f6e290b, 0x167321a6,   // tr.ceb.ht_443 sq.nl.sl_443  sl.hmn.lv_542 jw.ny.hr_521 
  0x28060204, 0x12001a02, 0x02066405, 0x561b12a4,   // da.de.sw_332 tl.hu.un_220  lg.de.da_333 hu.tr.mg_433 
  0x311c1ea4, 0x53100f07, 0x2b2f1aec, 0x19000c04,   // ms.id.az_433 lv.lt.ht_432  tl.su.vi_644 sv.gl.un_320 
  // [71f0]
  0x64070ead, 0x205329ec, 0x120c1eee, 0x321629a9,   // is.it.lg_643 sl.ht.sq_644  ms.sv.hu_422 sl.hr.bs_544 
  0x0d192d0b, 0x21002a08, 0x0e2001a0, 0x290f03ad,   // sk.gl.cs_542 mt.jw.un_430  en.sq.is_322 nl.lv.sl_643 
  0x061b3fa0, 0x0d0804a9, 0x130c28a4, 0x10171111,   // af.tr.de_322 fi.no.cs_544  sw.sv.et_433 ro.sr.be_653 
  0x18122dee, 0x562b13ee, 0x29000308, 0x3700730e,   // sk.hu.ga_422 et.vi.mg_422  nl.sl.un_430 ny.st.un_550 
  // [7200]
  0x012a05a0, 0x2103280c, 0x1e005512, 0x09003207,   // fr.mt.en_322 sw.nl.jw_543  rw.ms.un_640 bs.pl.un_420 
  0x0f002905, 0x2d005334, 0x0a1120ad, 0x0f2920ec,   // sl.lv.un_330 ht.sk.un_A80  sq.ro.pt_643 sq.sl.lv_644 
  0x08001702, 0x3000121a, 0x2800022a, 0x30290308,   // sr.uk.un_220 hu.uz.un_760  da.sw.un_970 nl.sl.uz_443 
  0x6e002905, 0x0d000c08, 0x02121bee, 0x1f2f21a7,   // sl.hmn.un_330 sv.cs.un_430  tr.hu.da_422 jw.su.cy_532 
  // [7210]
  0x30001b04, 0x10173505, 0x2800291b, 0x072b2aa0,   // tr.uz.un_320 tg.sr.be_333  sl.sw.un_770 mt.vi.it_322 
  0x0e002705, 0x55002f29, 0x07083007, 0x3f033005,   // gd.is.un_330 su.rw.un_960  uz.uk.bg_432 uz.nl.af_333 
  0x55003d2a, 0x37006e0d, 0x08012aa0, 0x00002d2d,   // ku.rw.un_970 hmn.st.un_540  mt.en.no_322 sk.un.un_A00 
  0x0f0c0904, 0x56000302, 0x2f3f2811, 0x30002a0d,   // pl.sv.lv_332 nl.mg.un_220  sw.af.su_653 mt.uz.un_540 
  // [7220]
  0x212f6409, 0x10041307, 0x0b041012, 0x2f733d55,   // lg.su.jw_444 et.fi.lt_432  lt.fi.es_654 ku.ny.su_442 
  0x20000c05, 0x283f09a9, 0x091130ec, 0x09643d11,   // sv.sq.un_330 pl.af.sw_544  uz.ro.pl_644 ku.lg.pl_653 
  0x08174408, 0x211f3da4, 0x0100230b, 0x1b2f2811,   // kk.sr.uk_443 ku.cy.jw_433  ca.en.un_520 sw.su.tr_653 
  0x3f2f21a4, 0x090c1e0c, 0x03080202, 0x09286404,   // jw.su.af_433 ms.sv.pl_543  da.no.nl_222 lg.sw.pl_332 
  // [7230]
  0x2a1a28a9, 0x53286460, 0x11040f04, 0x55070fad,   // sw.tl.mt_544 lg.sw.ht_664  lv.fi.ro_332 lv.it.rw_643 
  0x170408a7, 0x09110f0c, 0x23104460, 0x552f1ca4,   // uk.ru.sr_532 lv.ro.pl_543  kk.be.ky_664 id.su.rw_433 
  0x2f002120, 0x07171012, 0x043f07a0, 0x2f000908,   // jw.su.un_850 be.sr.bg_654  it.af.fi_322 pl.su.un_430 
  0x200a1ba4, 0x550c6ba4, 0x09002818, 0x0c301107,   // tr.pt.sq_433 ceb.sv.rw_433  sw.pl.un_740 ro.uz.sv_432 
  // [7240]
  0x2f641fee, 0x327355ee, 0x286473ec, 0x033f060d,   // cy.lg.su_422 rw.ny.bs_422  ny.lg.sw_644 de.af.nl_554 
  0x07002319, 0x0a000723, 0x080704a0, 0x02002904,   // ky.bg.un_750 bg.mk.un_880  ru.bg.uk_322 sl.da.un_320 
  0x05002312, 0x08172904, 0x2d002308, 0x351111ad,   // ca.fr.un_640 sl.sr.no_332  ca.sk.un_430 ro.ro.tg_643 
  0x304423a4, 0x0c041ba0, 0x0d001c2b, 0x17001212,   // ky.kk.uz_433 tr.fi.sv_322  mr.ne.un_980 hu.sr.un_640 
  // [7250]
  0x20000807, 0x0a230504, 0x0a072312, 0x3023440c,   // no.sq.un_420 fr.ca.pt_332  ky.bg.mk_654 kk.ky.uz_543 
  0x0a00050c, 0x04001e02, 0x12002d23, 0x230501a0,   // fr.pt.un_530 ms.fi.un_220  sk.hu.un_880 en.fr.ca_322 
  0x3f3013a9, 0x3100302c, 0x0b12180c, 0x1b2d0d04,   // et.uz.af_544 uz.az.un_990  ga.hu.es_543 cs.sk.tr_332 
  0x311a30a9, 0x133130a4, 0x31131e07, 0x30041107,   // uz.tl.az_544 uz.az.et_433  ms.et.az_432 ro.ru.uz_432 
  // [7260]
  0x0f171604, 0x531331a7, 0x070c0804, 0x12732804,   // hr.sr.lv_332 az.et.ht_532  no.sv.it_332 sw.ny.hu_332 
  0x0417070b, 0x1e132aaf, 0x31301e0c, 0x281b3d09,   // bg.sr.ru_542 mt.et.ms_655  ms.uz.az_543 ku.tr.sw_444 
  0x315330ad, 0x53303160, 0x07000e08, 0x31006e09,   // uz.ht.az_643 az.uz.ht_664  is.it.un_430 hmn.az.un_440 
  0x253773ee, 0x0a072309, 0x31301312, 0x181173a0,   // ny.st.eu_422 ky.bg.mk_444  et.uz.az_654 ny.ro.ga_322 
  // [7270]
  0x2d0d1aee, 0x0f2910a4, 0x21313012, 0x1f136ea9,   // tl.cs.sk_422 lt.sl.lv_433  uz.az.jw_654 hmn.et.cy_544 
  0x212f1c05, 0x13003019, 0x0f1132a0, 0x31003019,   // id.su.jw_333 uz.et.un_750  bs.ro.lv_322 uz.az.un_750 
  0x042f1ea0, 0x20043704, 0x0a00300b, 0x23080c07,   // ms.su.fi_322 st.fi.sq_332  uz.mk.un_520 sv.no.ca_432 
  0x30002813, 0x281737ee, 0x28160f04, 0x56002504,   // sw.uz.un_650 st.sr.sw_422  lv.hr.sw_332 eu.mg.un_320 
  // [7280]
  0x16100f05, 0x0e0c0811, 0x0f3d2907, 0x282d0d12,   // lv.lt.hr_333 no.sv.is_653  sl.ku.lv_432 cs.sk.sw_654 
  0x5500730e, 0x17350807, 0x040a0809, 0x070804ec,   // ny.rw.un_550 uk.tg.sr_432  uk.mk.ru_444 ru.uk.bg_644 
  0x64735513, 0x443017a0, 0x73642804, 0x0a1707a0,   // rw.ny.lg_665 sr.uz.kk_322  sw.lg.ny_332 bg.sr.mk_322 
  0x320728a0, 0x2d0e2aa4, 0x250b1e04, 0x2d00061a,   // sw.it.bs_322 mt.is.sk_433  ms.es.eu_332 de.sk.un_760 
  // [7290]
  0x2000731a, 0x206432a0, 0x13313008, 0x73131ba4,   // ny.sq.un_760 bs.lg.sq_322  uz.az.et_443 tr.et.ny_433 
  0x2a301fa7, 0x0d1c13ec, 0x3f002312, 0x7300550d,   // cy.uz.mt_532 bh.mr.ne_644  ca.af.un_640 rw.ny.un_540 
  0x021a6bee, 0x536e0507, 0x2809550c, 0x30002a0e,   // ceb.tl.da_422 fr.hmn.ht_432  rw.pl.sw_543 mt.uz.un_550 
  0x2000060c, 0x29002d04, 0x2f283d04, 0x0d162da0,   // de.sq.un_530 sk.sl.un_320  ku.sw.su_332 sk.hr.cs_322 
  // [72a0]
  0x09002812, 0x0e120da4, 0x0d180ead, 0x043130ee,   // sw.pl.un_640 cs.hu.is_433  is.ga.cs_643 uz.az.fi_422 
  0x1a013007, 0x0d000813, 0x03060c02, 0x100730ad,   // uz.en.tl_432 no.cs.un_650  sv.de.nl_222 uz.bg.be_643 
  0x2a040712, 0x1e033fa0, 0x3002200c, 0x23002a19,   // it.fi.mt_654 af.nl.ms_322  sq.da.uz_543 mt.ca.un_750 
  0x0d001708, 0x01030607, 0x13000302, 0x1b000805,   // sr.cs.un_430 de.nl.en_432  nl.et.un_220 no.tr.un_330 
  // [72b0]
  0x04000f08, 0x18011f04, 0x1700040b, 0x31001b34,   // lv.fi.un_430 cy.en.ga_332  ru.sr.un_520 tr.az.un_A80 
  0x03001320, 0x082a07ec, 0x531b250e, 0x273f0304,   // et.nl.un_850 it.mt.no_644  eu.tr.ht_555 nl.af.gd_332 
  0x100802a4, 0x190b250c, 0x0f082dee, 0x32311e05,   // da.no.lt_433 eu.es.gl_543  sk.no.lv_422 ms.az.bs_333 
  0x1b302560, 0x17082305, 0x0a110107, 0x2d100faf,   // eu.uz.tr_664 ky.uk.sr_333  en.ro.pt_432 lv.lt.sk_655 
  // [72c0]
  0x300d25a0, 0x23005302, 0x04200fad, 0x1a0f1005,   // eu.cs.uz_322 ht.ca.un_220  lv.sq.fi_643 lt.lv.tl_333 
  0x1b302555, 0x0d120e0c, 0x3f001e21, 0x1b00531b,   // eu.uz.tr_442 is.hu.cs_543  ms.af.un_860 ht.tr.un_770 
  0x09292d0b, 0x53201ba4, 0x1b0b53ee, 0x1a003f09,   // sk.sl.pl_542 tr.sq.ht_433  ht.es.tr_422 af.tl.un_440 
  0x171f32a0, 0x1b000c02, 0x32290da4, 0x21190b02,   // bs.cy.sr_322 sv.tr.un_220  cs.sl.bs_433 es.gl.jw_222 
  // [72d0]
  0x32301705, 0x17080a12, 0x3f253007, 0x08211b08,   // sr.uz.bs_333 mk.uk.sr_654  uz.eu.af_432 tr.jw.no_443 
  0x233f2fee, 0x170f10a4, 0x30001309, 0x041035a4,   // su.af.ca_422 lt.lv.sr_433  et.uz.un_440 tg.be.ru_433 
  0x3f0e0804, 0x3f2f0604, 0x1e00300c, 0x270e53ad,   // no.is.af_332 de.su.af_332  uz.ms.un_530 ht.is.gd_643 
  0x06002707, 0x2900730e, 0x6b3d2707, 0x2f0e3f08,   // gd.de.un_420 ny.sl.un_550  gd.ku.ceb_432 af.is.su_443 
  // [72e0]
  0x27030655, 0x0a001013, 0x18000509, 0x0a00101a,   // de.nl.gd_442 be.mk.un_650  fr.ga.un_440 be.mk.un_760 
  0x2f7301ad, 0x10113055, 0x0e275307, 0x0c532707,   // en.ny.su_643 uz.ro.be_442  ht.gd.is_432 gd.ht.sv_432 
  0x09280604, 0x23062f07, 0x3f030a11, 0x08063f04,   // de.sw.pl_332 su.de.ca_432  pt.nl.af_653 af.de.no_332 
  0x0c5308a4, 0x1c1e2555, 0x104408ad, 0x18130612,   // no.ht.sv_433 eu.ms.id_442  uk.kk.be_643 de.et.ga_654 
  // [72f0]
  0x08111107, 0x074410ad, 0x021b08ee, 0x5500040d,   // ro.ro.uk_432 be.kk.bg_643  no.tr.da_422 fi.rw.un_540 
  0x010f0302, 0x041b13a0, 0x16092912, 0x3209290c,   // nl.lv.en_222 et.tr.fi_322  sl.pl.hr_654 sl.pl.bs_543 
  0x03130907, 0x235502ee, 0x13292f04, 0x040a11ec,   // pl.et.nl_432 da.rw.ca_422  su.sl.et_332 ro.mk.ru_644 
  0x25006e0b, 0x01000608, 0x2d002504, 0x012b23a4,   // hmn.eu.un_520 de.en.un_430  eu.sk.un_320 ca.vi.en_433 
  // [7300]
  0x06080c0c, 0x030820a0, 0x092917a0, 0x232f1904,   // sv.no.de_543 sq.no.nl_322  sr.sl.pl_322 gl.su.ca_332 
  0x180c3fa4, 0x0c081207, 0x30041312, 0x091729a4,   // af.sv.ga_433 hu.no.sv_432  et.fi.uz_654 sl.sr.pl_433 
  0x20321704, 0x04190aee, 0x172d29a4, 0x1e091005,   // sr.bs.sq_332 pt.gl.fi_422  sl.sk.sr_433 lt.pl.ms_333 
  0x092912ec, 0x301f64af, 0x0411070c, 0x100a1709,   // hu.sl.pl_644 lg.cy.uz_655  bg.ro.ru_543 sr.mk.be_444 
  // [7310]
  0x091a6b0c, 0x28002f04, 0x12002011, 0x060e0c12,   // ceb.tl.pl_543 su.sw.un_320  sq.hu.un_630 sv.is.de_654 
  0x17162da0, 0x09071304, 0x0e311b0d, 0x23050e0e,   // sk.hr.sr_322 et.it.pl_332  tr.az.is_554 is.fr.ca_555 
  0x2300042a, 0x1e002907, 0x311b18af, 0x230e08a0,   // ru.ky.un_970 sl.ms.un_420  ga.tr.az_655 no.is.ca_322 
  0x052f3d0b, 0x2a070413, 0x18002720, 0x190b1eaf,   // ku.su.fr_542 fi.it.mt_665  gd.ga.un_850 ms.es.gl_655 
  // [7320]
  0x0d121907, 0x0c3f03ee, 0x0f04130d, 0x251607a4,   // gl.hu.cs_432 nl.af.sv_422  et.fi.lv_554 it.hr.eu_433 
  0x73003718, 0x0e56110b, 0x1e1125a0, 0x0a313008,   // st.ny.un_740 ro.mg.is_542  eu.ro.ms_322 uz.az.pt_443 
  0x55003020, 0x303119ee, 0x212f1f12, 0x3d0e1c12,   // uz.rw.un_850 gl.az.uz_422  cy.su.jw_654 id.is.ku_654 
  0x21735507, 0x2500071a, 0x556b1a13, 0x23310ead,   // rw.ny.jw_432 it.eu.un_760  tl.ceb.rw_665 is.az.ca_643 
  // [7330]
  0x19122dee, 0x192d0d12, 0x230a0712, 0x25561104,   // sk.hu.gl_422 cs.sk.gl_654  bg.mk.ky_654 ro.mg.eu_332 
  0x19052102, 0x31203004, 0x0a0805a0, 0x0f002d0d,   // jw.fr.gl_222 uz.sq.az_332  fr.no.pt_322 sk.lv.un_540 
  0x3000280d, 0x0e001804, 0x16293007, 0x322d2904,   // sw.uz.un_540 ga.is.un_320  uz.sl.hr_432 sl.sk.bs_332 
  0x06000d0e, 0x0e0c3fa0, 0x25123004, 0x2d212f05,   // cs.de.un_550 af.sv.is_322  uz.hu.eu_332 su.jw.sk_333 
  // [7340]
  0x25000605, 0x20110d07, 0x6b1a04a4, 0x35001704,   // de.eu.un_330 cs.ro.sq_432  fi.tl.ceb_433 sr.tg.un_320 
  0x28002112, 0x6b7327ad, 0x2d00120e, 0x0f171012,   // jw.sw.un_640 gd.ny.ceb_643  hu.sk.un_550 lt.sr.lv_654 
  0x2d001007, 0x0e002d07, 0x04271160, 0x08050412,   // lt.sk.un_420 sk.is.un_420  ro.gd.fi_664 fi.fr.no_654 
  0x04000829, 0x0b192355, 0x35442307, 0x3f0e040c,   // uk.ru.un_960 ca.gl.es_442  ky.kk.tg_432 fi.is.af_543 
  // [7350]
  0x033f0412, 0x20007307, 0x041f0e11, 0x56210305,   // fi.af.nl_654 ny.sq.un_420  is.cy.fi_653 nl.jw.mg_333 
  0x05311ba0, 0x18293fee, 0x04061fa0, 0x3f080305,   // tr.az.fr_322 af.sl.ga_422  cy.de.fi_322 nl.no.af_333 
  0x3700030d, 0x05001f07, 0x28002f07, 0x25030609,   // nl.st.un_540 cy.fr.un_420  su.sw.un_420 de.nl.eu_444 
  0x040503a4, 0x1f007305, 0x05040612, 0x13036407,   // nl.fr.fi_433 ny.cy.un_330  de.fi.fr_654 lg.nl.et_432 
  // [7360]
  0x2505040b, 0x04002519, 0x273f0311, 0x53190a02,   // fi.fr.eu_542 eu.fi.un_750  nl.af.gd_653 pt.gl.ht_222 
  0x0c3f0355, 0x2d230a0c, 0x731a6b12, 0x0c032902,   // nl.af.sv_442 pt.ca.sk_543  ceb.tl.ny_654 sl.nl.sv_222 
  0x03000c05, 0x0a07370c, 0x033f6402, 0x08353008,   // sv.nl.un_330 st.it.pt_543  lg.af.nl_222 uz.tg.uk_443 
  0x1b000c14, 0x1c531eee, 0x1b023104, 0x10007320,   // sv.tr.un_660 ms.ht.id_422  az.da.tr_332 ny.lt.un_850 
  // [7370]
  0x08026ba4, 0x1f003704, 0x03083f08, 0x12002514,   // ceb.da.no_433 st.cy.un_320  af.no.nl_443 eu.hu.un_660 
  0x215564ad, 0x3f031fac, 0x1006210c, 0x0b5655ee,   // lg.rw.jw_643 cy.nl.af_632  jw.de.lt_543 rw.mg.es_422 
  0x1e1c2f0e, 0x2d120d0c, 0x641a6bec, 0x092a0d07,   // su.id.ms_555 cs.hu.sk_543  ceb.tl.lg_644 cs.mt.pl_432 
  0x1e1c05ee, 0x0a1101a4, 0x0a001f02, 0x0b0a12ee,   // fr.id.ms_422 en.ro.pt_433  cy.pt.un_220 hu.pt.es_422 
  // [7380]
  0x1f562da0, 0x09000413, 0x2f001e07, 0x20002d0d,   // sk.mg.cy_322 fi.pl.un_650  ms.su.un_420 sk.sq.un_540 
  0x30121bad, 0x1f281e05, 0x1125100c, 0x171a3008,   // tr.hu.uz_643 ms.sw.cy_333  lt.eu.ro_543 uz.tl.sr_443 
  0x6b1b5308, 0x2500121a, 0x1a0453a0, 0x20301155,   // ht.tr.ceb_443 hu.eu.un_760  ht.fi.tl_322 ro.uz.sq_442 
  0x1b310a04, 0x070a3008, 0x0400530e, 0x0e005602,   // pt.az.tr_332 uz.mk.bg_443  ht.fi.un_550 mg.is.un_220 
  // [7390]
  0x2500300d, 0x011b1f07, 0x101101a0, 0x0b091109,   // uz.eu.un_540 cy.tr.en_432  en.ro.lt_322 ro.pl.es_444 
  0x010503a0, 0x04001f08, 0x09000408, 0x0c041055,   // nl.fr.en_322 cy.fi.un_430  fi.pl.un_430 lt.fi.sv_442 
  0x045630ec, 0x04130605, 0x09002908, 0x2800641b,   // uz.mg.fi_644 de.et.fi_333  sl.pl.un_430 lg.sw.un_770 
  0x30070a07, 0x6412280c, 0x161a3708, 0x07081111,   // mk.bg.uz_432 sw.hu.lg_543  st.tl.hr_443 ro.uk.bg_653 
  // [73a0]
  0x3031200c, 0x20185605, 0x531a6ba9, 0x23000a21,   // sq.az.uz_543 mg.ga.sq_333  ceb.tl.ht_544 pt.ca.un_860 
  0x25645512, 0x1c0f2fee, 0x2f371e07, 0x0f082007,   // rw.lg.eu_654 su.lv.id_422  ms.st.su_432 sq.no.lv_432 
  0x09002a22, 0x1356070c, 0x0c2a56ad, 0x6b005521,   // mt.pl.un_870 it.mg.et_543  mg.mt.sv_643 rw.ceb.un_860 
  0x18071107, 0x20101b12, 0x55042a13, 0x6b005308,   // ro.it.ga_432 tr.lt.sq_654  mt.fi.rw_665 ht.ceb.un_430 
  // [73b0]
  0x20212dee, 0x35004405, 0x730428a7, 0x182a2007,   // sk.jw.sq_422 kk.tg.un_330  sw.fi.ny_532 sq.mt.ga_432 
  0x27001902, 0x732f37ad, 0x17303504, 0x0d2d18af,   // gl.gd.un_220 st.su.ny_643  tg.uz.sr_332 ga.sk.cs_655 
  0x0a2317ee, 0x2b003202, 0x07000b0e, 0x1f0a0b07,   // sr.ky.mk_422 bs.vi.un_220  es.it.un_550 es.pt.cy_432 
  0x08171007, 0x6b000b07, 0x0b2d1907, 0x042718a0,   // be.sr.uk_432 es.ceb.un_420  gl.sk.es_432 ga.gd.fi_322 
  // [73c0]
  0x1827010c, 0x04006e0b, 0x11003004, 0x11002704,   // en.gd.ga_543 hmn.fi.un_520  uz.ro.un_320 gd.ro.un_320 
  0x02000c07, 0x10002904, 0x16272504, 0x1e072304,   // sv.da.un_420 sl.lt.un_320  eu.gd.hr_332 ca.it.ms_332 
  0x10046407, 0x0927110e, 0x3f640305, 0x2d120d07,   // lg.fi.lt_432 ro.gd.pl_555  nl.lg.af_333 cs.hu.sk_432 
  0x03003104, 0x133f0309, 0x19002807, 0x1a0228a4,   // az.nl.un_320 nl.af.et_444  sw.gl.un_420 sw.da.tl_433 
  // [73d0]
  0x1311270c, 0x18132702, 0x030c0805, 0x28252aaf,   // gd.ro.et_543 gd.et.ga_222  no.sv.nl_333 mt.eu.sw_655 
  0x6b00280d, 0x0c060a0c, 0x6400040e, 0x35001007,   // sw.ceb.un_540 pt.de.sv_543  fi.lg.un_550 be.tg.un_420 
  0x2d0f29a4, 0x1e0f2aee, 0x0b002f09, 0x32000612,   // sl.lv.sk_433 mt.lv.ms_422  su.es.un_440 de.bs.un_640 
  0x05060113, 0x56190bad, 0x01020811, 0x64285302,   // en.de.fr_665 es.gl.mg_643  no.da.en_653 ht.sw.lg_222 
  // [73e0]
  0x0430100c, 0x06000122, 0x11302aa9, 0x07010604,   // lt.uz.fi_543 en.de.un_870  mt.uz.ro_544 de.en.it_332 
  0x3d2b0aaf, 0x050b1ea4, 0x1673280b, 0x0a0f0e05,   // pt.vi.ku_655 ms.es.fr_433  sw.ny.hr_542 is.lv.pt_333 
  0x042f30a0, 0x04001f29, 0x120f2f08, 0x20561ea0,   // uz.su.fi_322 cy.fi.un_960  su.lv.hu_443 ms.mg.sq_322 
  0x033f3707, 0x09002508, 0x29162a04, 0x1a372fad,   // st.af.nl_432 eu.pl.un_430  mt.hr.sl_332 su.st.tl_643 
  // [73f0]
  0x551e1c55, 0x233044af, 0x2d002f20, 0x53291ea0,   // id.ms.rw_442 kk.uz.ky_655  su.sk.un_850 ms.sl.ht_322 
  0x2a311bee, 0x1200250c, 0x27001c07, 0x01000612,   // tr.az.mt_422 eu.hu.un_530  id.gd.un_420 de.en.un_640 
  0x060a0e13, 0x031e30a0, 0x11000419, 0x0912250c,   // is.pt.de_665 uz.ms.nl_322  ru.ro.un_750 eu.hu.pl_543 
  0x280b0aa4, 0x2d001212, 0x282173a0, 0x080407a9,   // pt.es.sw_433 hu.sk.un_640  ny.jw.sw_322 bg.ru.uk_544 
  
  // [7400]
  0x0a0712a4, 0x2d0d10a4, 0x17071104, 0x17040860,   // hu.it.pt_433 lt.cs.sk_433  ro.bg.sr_332 uk.ru.sr_664 
  0x29080205, 0x731c1ea4, 0x1e000a0c, 0x1e211aa0,   // da.no.sl_333 ms.id.ny_433  pt.ms.un_530 tl.jw.ms_322 
  0x08101704, 0x283208ee, 0x32170fa4, 0x1b0f10ad,   // sr.be.uk_332 no.bs.sw_422  lv.sr.bs_433 lt.lv.tr_643 
  0x2f210512, 0x170a2308, 0x0b002323, 0x1a211cee,   // fr.jw.su_654 ky.mk.sr_443  ca.es.un_880 id.jw.tl_422 
  // [7410]
  0x120925ad, 0x09202507, 0x306e1b04, 0x18003d11,   // eu.pl.hu_643 eu.sq.pl_432  tr.hmn.uz_332 ku.ga.un_630 
  0x212d1c07, 0x37007322, 0x08001804, 0x2a555604,   // id.sk.jw_432 ny.st.un_870  ga.no.un_320 mg.rw.mt_332 
  0x2d0d370c, 0x20003214, 0x030118ee, 0x3000232a,   // st.cs.sk_543 bs.sq.un_660  ga.en.nl_422 ky.uz.un_970 
  0x0c080ead, 0x2a000713, 0x21072fa4, 0x192d0aad,   // is.no.sv_643 it.mt.un_650  su.it.jw_433 pt.sk.gl_643 
  // [7420]
  0x095607ee, 0x160930ec, 0x44233012, 0x2d060107,   // it.mg.pl_422 uz.pl.hr_644  uz.ky.kk_654 en.de.sk_432 
  0x16000405, 0x05302f0b, 0x091c13a9, 0x1e1c0ea4,   // fi.hr.un_330 su.uz.fr_542  bh.mr.hi_544 is.id.ms_433 
  0x301b3113, 0x30070405, 0x290e0c0c, 0x2107560c,   // az.tr.uz_665 ru.bg.uz_333  sv.is.sl_543 mg.it.jw_543 
  0x07080aaf, 0x20033f0d, 0x18120ea7, 0x55002912,   // mk.uk.bg_655 af.nl.sq_554  is.hu.ga_532 sl.rw.un_640 
  // [7430]
  0x04001011, 0x09000e05, 0x17043513, 0x30003520,   // be.ru.un_630 is.pl.un_330  tg.ru.sr_665 tg.uz.un_850 
  0x353044ec, 0x290e0caf, 0x281a3fa7, 0x311b1a04,   // kk.uz.tg_644 sv.is.sl_655  af.tl.sw_532 tl.tr.az_332 
  0x1221180b, 0x231b01a4, 0x2d0d5655, 0x551b6407,   // ar.fa.ur_542 en.tr.ca_433  mg.cs.sk_442 lg.tr.rw_432 
  0x13001c07, 0x0e001213, 0x30230405, 0x643d1aa4,   // mr.bh.un_420 hu.is.un_650  ru.ky.uz_333 tl.ku.lg_433 
  // [7440]
  0x0c6b0904, 0x070a30a4, 0x64551108, 0x1c1e2111,   // pl.ceb.sv_332 uz.mk.bg_433  ro.rw.lg_443 jw.ms.id_653 
  0x071a0107, 0x3d2853a9, 0x190b1109, 0x2d0d560e,   // en.tl.it_432 ht.sw.ku_544  ro.es.gl_444 mg.cs.sk_555 
  0x1b313008, 0x53002308, 0x1a73370c, 0x10000f2c,   // uz.az.tr_443 ca.ht.un_430  st.ny.tl_543 lv.lt.un_990 
  0x070a30ad, 0x192f12a7, 0x02002a07, 0x10001c08,   // uz.mk.bg_643 hu.su.gl_532  mt.da.un_420 id.lt.un_430 
  // [7450]
  0x0b1804ee, 0x06005604, 0x29002d1b, 0x13000f13,   // fi.ga.es_422 mg.de.un_320  sk.sl.un_770 lv.et.un_650 
  0x290d2da9, 0x2d003204, 0x101704a7, 0x20563708,   // sk.cs.sl_544 bs.sk.un_320  ru.sr.be_532 st.mg.sq_443 
  0x56007309, 0x2a000804, 0x7300212a, 0x56136402,   // ny.mg.un_440 no.mt.un_320  jw.ny.un_970 lg.et.mg_222 
  0x2300072c, 0x230a2a0c, 0x17001b07, 0x0a0e56a9,   // it.ca.un_990 mt.pt.ca_543  tr.sr.un_420 mg.is.pt_544 
  // [7460]
  0x1f0d2da4, 0x05000a02, 0x130456a7, 0x56002122,   // sk.cs.cy_433 pt.fr.un_220  mg.fi.et_532 jw.mg.un_870 
  0x55647312, 0x561304ad, 0x0a005514, 0x0b002808,   // ny.lg.rw_654 fi.et.mg_643  rw.pt.un_660 sw.es.un_430 
  0x0a031907, 0x12103f08, 0x30002a1a, 0x28001212,   // gl.nl.pt_432 af.lt.hu_443  mt.uz.un_760 hu.sw.un_640 
  0x03552104, 0x0a0701a0, 0x29171608, 0x176b1a04,   // jw.rw.nl_332 en.it.pt_322  hr.sr.sl_443 tl.ceb.sr_332 
  // [7470]
  0x25112313, 0x192a30ee, 0x02000811, 0x110b0aee,   // ca.ro.eu_665 uz.mt.gl_422  no.da.un_630 pt.es.ro_422 
  0x010573a0, 0x211a73ad, 0x3f005302, 0x190a2f09,   // ny.fr.en_322 ny.tl.jw_643  ht.af.un_220 su.pt.gl_444 
  0x561205a7, 0x1c2106a0, 0x44081104, 0x563f035a,   // fr.hu.mg_532 de.jw.id_322  ro.uk.kk_332 nl.af.mg_553 
  0x0e00061b, 0x2b1a0107, 0x530e55a4, 0x121b0c0c,   // de.is.un_770 en.tl.vi_432  rw.is.ht_433 sv.tr.hu_543 
  // [7480]
  0x04080a0d, 0x136b55ec, 0x21190205, 0x10070405,   // mk.uk.ru_554 rw.ceb.et_644  da.gl.jw_333 ru.bg.be_333 
  0x13001805, 0x6b0e1311, 0x3f0e28ad, 0x02001708,   // ga.et.un_330 et.is.ceb_653  sw.is.af_643 sr.da.un_430 
  0x13110e05, 0x0a071714, 0x3f0802ee, 0x64016bee,   // is.ro.et_333 sr.bg.mk_666  da.no.af_422 ceb.en.lg_422 
  0x2b012f02, 0x012f21a0, 0x1a003005, 0x3544235a,   // su.en.vi_222 jw.su.en_322  uz.tl.un_330 ky.kk.tg_553 
  // [7490]
  0x0c060255, 0x1828010c, 0x440a040c, 0x1a04130c,   // da.de.sv_442 en.sw.ga_543  ru.mk.kk_543 et.fi.tl_543 
  0x3000111b, 0x110e55a4, 0x2f122109, 0x0708020c,   // ro.uz.un_770 rw.is.ro_433  jw.hu.su_444 da.no.it_543 
  0x735611ad, 0x0e5513a0, 0x56647308, 0x3d020708,   // ro.mg.ny_643 et.rw.is_322  ny.lg.mg_443 it.da.ku_443 
  0x062507af, 0x1f2d0d04, 0x2025060c, 0x55306455,   // it.eu.de_655 cs.sk.cy_332  de.eu.sq_543 lg.uz.rw_442 
  // [74a0]
  0x311e1c08, 0x04002108, 0x090c1f11, 0x081007ad,   // id.ms.az_443 jw.fi.un_430  cy.sv.pl_653 bg.be.uk_643 
  0x6455250c, 0x0f0711a7, 0x1e001c21, 0x30001804,   // eu.rw.lg_543 ro.it.lv_532  id.ms.un_860 ga.uz.un_320 
  0x731729a4, 0x120e1112, 0x73556412, 0x0f006b33,   // sl.sr.ny_433 ro.is.hu_654  lg.rw.ny_654 ceb.lv.un_A70 
  0x32002507, 0x2064070c, 0x1e1c30a0, 0x2f551ea9,   // eu.bs.un_420 it.lg.sq_543  uz.id.ms_322 ms.rw.su_544 
  // [74b0]
  0x7307640c, 0x25000721, 0x6b1a0708, 0x0e041304,   // lg.it.ny_543 it.eu.un_860  it.tl.ceb_443 et.fi.is_332 
  0x30070460, 0x29006b04, 0x1a6b070c, 0x0b0111ee,   // fi.it.uz_664 ceb.sl.un_320  it.ceb.tl_543 ro.en.es_422 
  0x44231004, 0x12111aad, 0x642d73a0, 0x2f00050b,   // be.ky.kk_332 tl.ro.hu_643  ny.sk.lg_322 fr.su.un_520 
  0x0e211e07, 0x06000205, 0x190b25ee, 0x25033fee,   // ms.jw.is_432 da.de.un_330  eu.es.gl_422 af.nl.eu_422 
  // [74c0]
  0x35103007, 0x11130404, 0x0755640c, 0x2f292104,   // uz.be.tg_432 fi.et.ro_332  lg.rw.it_543 jw.sl.su_332 
  0x12000d07, 0x1a001b1a, 0x30001b23, 0x55001c07,   // cs.hu.un_420 tr.tl.un_760  tr.uz.un_880 id.rw.un_420 
  0x04003202, 0x282530a9, 0x191a0708, 0x5600371a,   // bs.fi.un_220 uz.eu.sw_544  it.tl.gl_443 st.mg.un_760 
  0x07234407, 0x12002d19, 0x2913170c, 0x21730704,   // kk.ky.bg_432 sk.hu.un_750  sr.et.sl_543 it.ny.jw_332 
  // [74d0]
  0x23170a13, 0x1a0e2155, 0x311b1105, 0x13080305,   // mk.sr.ky_665 jw.is.tl_442  ro.tr.az_333 nl.no.et_333 
  0x041a64ec, 0x13370455, 0x04130312, 0x04006414,   // lg.tl.fi_644 fi.st.et_442  nl.et.fi_654 lg.fi.un_660 
  0x56003021, 0x280464a4, 0x21371eec, 0x30735609,   // uz.mg.un_860 lg.fi.sw_433  ms.st.jw_644 mg.ny.uz_444 
  0x1107080c, 0x10005607, 0x37002118, 0x30551355,   // uk.bg.ro_543 mg.lt.un_420  jw.st.un_740 et.rw.uz_442 
  // [74e0]
  0x04132108, 0x300d56a7, 0x08021902, 0x30042355,   // jw.et.fi_443 mg.cs.uz_532  gl.da.no_222 ky.ru.uz_442 
  0x44113555, 0x37000c04, 0x73002822, 0x311b3da4,   // tg.ro.kk_442 sv.st.un_320  sw.ny.un_870 ku.tr.az_433 
  0x03096412, 0x05072a13, 0x190b1faf, 0x123f0207,   // lg.pl.nl_654 mt.it.fr_665  cy.es.gl_655 da.af.hu_432 
  0x0e080212, 0x732f1c07, 0x6455730e, 0x07003004,   // da.no.is_654 id.su.ny_432  ny.rw.lg_555 uz.bg.un_320 
  // [74f0]
  0x0a443005, 0x281f010c, 0x1f311b09, 0x3d7328af,   // uz.kk.mk_333 en.cy.sw_543  tr.az.cy_444 sw.ny.ku_655 
  0x2a00032a, 0x3104130c, 0x30311b13, 0x12000f08,   // nl.mt.un_970 et.fi.az_543  tr.az.uz_665 lv.hu.un_430 
  0x5530070c, 0x647328ec, 0x033f64ad, 0x176b64ee,   // it.uz.rw_543 sw.ny.lg_644  lg.af.nl_643 lg.ceb.sr_422 
  0x56230b08, 0x036404ee, 0x19230b60, 0x5673370c,   // es.ca.mg_443 fi.lg.nl_422  es.ca.gl_664 st.ny.mg_543 
  // [7500]
  0x0400082a, 0x286473a7, 0x1c0219a7, 0x0e1c1e0c,   // uk.ru.un_970 ny.lg.sw_532  gl.da.id_532 ms.id.is_543 
  0x2d7329ee, 0x28562904, 0x0c0e1bec, 0x2a0f0907,   // sl.ny.sk_422 sl.mg.sw_332  tr.is.sv_644 pl.lv.mt_432 
  0x29003711, 0x300a3508, 0x2a6b6e0c, 0x2a551a08,   // st.sl.un_630 tg.mk.uz_443  hmn.ceb.mt_543 tl.rw.mt_443 
  0x0e001809, 0x121809ec, 0x103023af, 0x2b000a02,   // ga.is.un_440 pl.ga.hu_644  ky.uz.be_655 pt.vi.un_220 
  // [7510]
  0x1e1c11a4, 0x64283055, 0x041a1b0c, 0x2800640e,   // ro.id.ms_433 uz.sw.lg_442  tr.tl.fi_543 lg.sw.un_550 
  0x2d1206a9, 0x3009110d, 0x2a250413, 0x5573640c,   // de.hu.sk_544 ro.pl.uz_554  fi.eu.mt_665 lg.ny.rw_543 
  0x10230b07, 0x731b64a9, 0x2364280c, 0x230b250d,   // es.ca.lt_432 lg.tr.ny_544  sw.lg.ca_543 eu.es.ca_554 
  0x0e550a05, 0x552830a9, 0x55643d60, 0x182d0d04,   // pt.rw.is_333 uz.sw.rw_544  ku.lg.rw_664 cs.sk.ga_332 
  // [7520]
  0x552f1a07, 0x2f000518, 0x27190a04, 0x55643d0d,   // tl.su.rw_432 fr.su.un_740  pt.gl.gd_332 ku.lg.rw_554 
  0x10110f07, 0x3d55640d, 0x1a1b530c, 0x1a0453ec,   // lv.ro.lt_432 lg.rw.ku_554  ht.tr.tl_543 ht.fi.tl_644 
  0x32102f04, 0x103f2f07, 0x2d002307, 0x350410a0,   // su.lt.bs_332 su.af.lt_432  ca.sk.un_420 be.ru.tg_322 
  0x1a55040c, 0x0b070d09, 0x5500282a, 0x04190bad,   // fi.rw.tl_543 cs.it.es_444  sw.rw.un_970 es.gl.fi_643 
  // [7530]
  0x1a6b5308, 0x31556412, 0x033f1c12, 0x2a0f0604,   // ht.ceb.tl_443 lg.rw.az_654  id.af.nl_654 de.lv.mt_332 
  0x530f5507, 0x32202904, 0x551f73a9, 0x0f000808,   // rw.lv.ht_432 sl.sq.bs_332  ny.cy.rw_544 no.lv.un_430 
  0x317330a9, 0x05190a08, 0x6455100d, 0x0d002702,   // uz.ny.az_544 pt.gl.fr_443  lt.rw.lg_554 gd.cs.un_220 
  0x301a730c, 0x17005508, 0x12640404, 0x02080e04,   // ny.tl.uz_543 rw.sr.un_430  fi.lg.hu_332 is.no.da_332 
  // [7540]
  0x21123f05, 0x13552813, 0x0708100d, 0x2a0721a4,   // af.hu.jw_333 sw.rw.et_665  be.uk.bg_554 jw.it.mt_433 
  0x05001217, 0x12043d04, 0x31001107, 0x1e1c2112,   // hu.fr.un_730 ku.fi.hu_332  ro.az.un_420 jw.id.ms_654 
  0x321b55a4, 0x32001008, 0x04073509, 0x53001e12,   // rw.tr.bs_433 lt.bs.un_430  tg.bg.ru_444 ms.ht.un_640 
  0x20000605, 0x3f030807, 0x64001207, 0x04536b07,   // de.sq.un_330 no.nl.af_432  hu.lg.un_420 ceb.ht.fi_432 
  // [7550]
  0x6b091a14, 0x3f0e0807, 0x07080a13, 0x0a1735af,   // tl.pl.ceb_666 no.is.af_432  mk.uk.bg_665 tg.sr.mk_655 
  0x072737a7, 0x1f372711, 0x27005612, 0x04001f11,   // st.gd.it_532 gd.st.cy_653  mg.gd.un_640 cy.fi.un_630 
  0x08001207, 0x31121b05, 0x300435af, 0x2f1208ee,   // hu.no.un_420 tr.hu.az_333  tg.ru.uz_655 no.hu.su_422 
  0x12020812, 0x182a10a0, 0x10190b02, 0x1c1f1e0c,   // no.da.hu_654 lt.mt.ga_322  es.gl.lt_222 ms.cy.id_543 
  // [7560]
  0x0c001b0c, 0x0c110308, 0x3f03060d, 0x080e065a,   // tr.sv.un_530 nl.ro.sv_443  de.nl.af_554 de.is.no_553 
  0x21000e12, 0x1655030c, 0x101117a4, 0x18002d13,   // is.jw.un_640 nl.rw.hr_543  sr.ro.be_433 sk.ga.un_650 
  0x30081004, 0x0c1e1c09, 0x021b1304, 0x3d2301a0,   // be.uk.uz_332 id.ms.sv_444  et.tr.da_332 en.ca.ku_322 
  0x0903060b, 0x21031313, 0x11530612, 0x6b1a6408,   // de.nl.pl_542 et.nl.jw_665  de.ht.ro_654 lg.tl.ceb_443 
  // [7570]
  0x0f001112, 0x5500070c, 0x05006b02, 0x30033f07,   // ro.lv.un_640 it.rw.un_530  ceb.fr.un_220 af.nl.uz_432 
  0x31301a0e, 0x170a0409, 0x3f000d08, 0x042128a7,   // tl.uz.az_555 ru.mk.sr_444  cs.af.un_430 sw.jw.fi_532 
  0x290f1205, 0x072f56a9, 0x04000913, 0x56002b0e,   // hu.lv.sl_333 mg.su.it_544  pl.fi.un_650 vi.mg.un_550 
  0x1c641e07, 0x1b002b02, 0x112320ee, 0x11565304,   // ms.lg.id_432 vi.tr.un_220  sq.ca.ro_422 ht.mg.ro_332 
  // [7580]
  0x1f276ba7, 0x0b640107, 0x12103da9, 0x2d0d56ec,   // ceb.gd.cy_532 en.lg.es_432  ku.lt.hu_544 mg.cs.sk_644 
  0x29000522, 0x35112308, 0x080256ec, 0x5600270c,   // fr.sl.un_870 ky.ro.tg_443  mg.da.no_644 gd.mg.un_530 
  0x561237a7, 0x11002f0e, 0x2b302302, 0x31301bec,   // st.hu.mg_532 su.ro.un_550  ca.uz.vi_222 tr.uz.az_644 
  0x56000833, 0x0e210507, 0x562923a0, 0x0d001914,   // no.mg.un_A70 fr.jw.is_432  ca.sl.mg_322 gl.cs.un_660 
  // [7590]
  0x3d2830a4, 0x531b0b05, 0x082927a0, 0x2d20560d,   // uz.sw.ku_433 es.tr.ht_333  gd.sl.no_322 mg.sq.sk_554 
  0x29053fa0, 0x3500102a, 0x2a00130d, 0x072b010c,   // af.fr.sl_322 be.tg.un_970  et.mt.un_540 en.vi.it_543 
  0x044407a0, 0x23085655, 0x0c003202, 0x25042804,   // bg.kk.ru_322 mg.no.ca_442  bs.sv.un_220 sw.fi.eu_332 
  0x1c551eaf, 0x6b3d01ad, 0x30005308, 0x31111ba0,   // ms.rw.id_655 en.ku.ceb_643  ht.uz.un_430 tr.ro.az_322 
  // [75a0]
  0x29000d09, 0x216455a4, 0x11080412, 0x2d3129a0,   // cs.sl.un_440 rw.lg.jw_433  ru.uk.ro_654 sl.az.sk_322 
  0x55002f2c, 0x05190a55, 0x11003d07, 0x07560eaf,   // su.rw.un_990 pt.gl.fr_442  ku.ro.un_420 is.mg.it_655 
  0x29086ea0, 0x04080aa0, 0x2555280c, 0x1017040c,   // hmn.no.sl_322 mk.uk.ru_322  sw.rw.eu_543 ru.sr.be_543 
  0x09005609, 0x2d0d2907, 0x1b131f02, 0x2d0d12a9,   // mg.pl.un_440 sl.cs.sk_432  cy.et.tr_222 hu.cs.sk_544 
  // [75b0]
  0x1e302aec, 0x2a0f0760, 0x0810070b, 0x2d0d0ab6,   // mt.uz.ms_644 it.lv.mt_664  bg.be.uk_542 pt.cs.sk_766 
  0x2f2111a4, 0x4407230c, 0x2d0c3707, 0x112a0705,   // ro.jw.su_433 ky.bg.kk_543  st.sv.sk_432 it.mt.ro_333 
  0x12006b14, 0x64135513, 0x120d2da0, 0x303d0107,   // ceb.hu.un_660 rw.et.lg_665  sk.cs.hu_322 en.ku.uz_432 
  0x2a031211, 0x0b642507, 0x2d0d09a0, 0x1b25215a,   // hu.nl.mt_653 eu.lg.es_432  pl.cs.sk_322 jw.eu.tr_553 
  // [75c0]
  0x0c020e04, 0x2d0d3f0b, 0x13090dee, 0x311304ee,   // is.da.sv_332 af.cs.sk_542  ne.hi.bh_422 fi.et.az_422 
  0x1200130e, 0x0c03020c, 0x2d0d0614, 0x19001e05,   // et.hu.un_550 da.nl.sv_543  de.cs.sk_666 ms.gl.un_330 
  0x27183709, 0x3229170c, 0x030664ee, 0x040811ee,   // st.ga.gd_444 sr.sl.bs_543  lg.de.nl_422 ro.uk.ru_422 
  0x063f0308, 0x04003002, 0x23181aac, 0x280955ee,   // nl.af.de_443 uz.ru.un_220  tl.ga.ca_632 rw.pl.sw_422 
  // [75d0]
  0x55002504, 0x20131007, 0x21370aa7, 0x0e04130b,   // eu.rw.un_320 lt.et.sq_432  pt.st.jw_532 et.fi.is_542 
  0x20000208, 0x080264ee, 0x0d003f0c, 0x53002f0d,   // da.sq.un_430 lg.da.no_422  af.cs.un_530 su.ht.un_540 
  0x0d0c1fa4, 0x2d0d0cec, 0x18001204, 0x0900060c,   // cy.sv.cs_433 sv.cs.sk_644  ur.ar.un_320 de.pl.un_530 
  0x0c0d2d07, 0x045573ad, 0x64030205, 0x2d0d0609,   // sk.cs.sv_432 ny.rw.fi_643  da.nl.lg_333 de.cs.sk_444 
  // [75e0]
  0x28135507, 0x0a1704af, 0x5500040e, 0x73045507,   // rw.et.sw_432 ru.sr.mk_655  fi.rw.un_550 rw.fi.ny_432 
  0x08441008, 0x073f08a9, 0x0400560c, 0x23021b0b,   // be.kk.uk_443 no.af.it_544  mg.fi.un_530 tr.da.ca_542 
  0x731013ec, 0x03000609, 0x2b100307, 0x170811a4,   // et.lt.ny_644 de.nl.un_440  nl.lt.vi_432 ro.uk.sr_433 
  0x107355a9, 0x64315507, 0x07230a04, 0x21000107,   // rw.ny.lt_544 rw.az.lg_432  mk.ky.bg_332 en.jw.un_420 
  // [75f0]
  0x0c030802, 0x10005508, 0x2a081309, 0x2b3f2aa0,   // no.nl.sv_222 rw.lt.un_430  et.no.mt_444 mt.af.vi_322 
  0x640473ac, 0x16290d04, 0x13080ea4, 0x08002d02,   // ny.fi.lg_632 cs.sl.hr_332  is.no.et_433 sk.no.un_220 
  0x3f030fec, 0x0f122d02, 0x100704a0, 0x44112304,   // lv.nl.af_644 sk.hu.lv_222  fi.it.lt_322 ky.ro.kk_332 
  0x100f0407, 0x106b1a13, 0x0a00111a, 0x04002b08,   // fi.lv.lt_432 tl.ceb.lt_665  ro.mk.un_760 vi.fi.un_430 
  // [7600]
  0x190b0709, 0x1a001608, 0x121f1007, 0x0700170c,   // it.es.gl_444 hr.tl.un_430  lt.cy.hu_432 sr.bg.un_530 
  0x3517110c, 0x07005634, 0x075637ad, 0x0b231904,   // ro.sr.tg_543 mg.it.un_A80  st.mg.it_643 gl.ca.es_332 
  0x301a5514, 0x18001a35, 0x6e070baf, 0x1a003709,   // rw.tl.uz_666 tl.ga.un_A90  es.it.hmn_655 st.tl.un_440 
  0x190a5614, 0x2f281e07, 0x373d3013, 0x561a28ad,   // mg.pt.gl_666 ms.sw.su_432  uz.ku.st_665 sw.tl.mg_643 
  // [7610]
  0x2f5612a4, 0x3700562c, 0x30212fee, 0x29000702,   // hu.mg.su_433 mg.st.un_990  su.jw.uz_422 it.sl.un_220 
  0x1f56270c, 0x3f1a08a0, 0x352330a9, 0x73071caf,   // gd.mg.cy_543 no.tl.af_322  uz.ky.tg_544 id.it.ny_655 
  0x552d030d, 0x12006b0d, 0x553053ad, 0x2b6e30ad,   // nl.sk.rw_554 ceb.hu.un_540  ht.uz.rw_643 uz.hmn.vi_643 
  0x440810ad, 0x2d0d11a4, 0x2f001c13, 0x203730a4,   // be.uk.kk_643 ro.cs.sk_433  id.su.un_650 uz.st.sq_433 
  // [7620]
  0x25000613, 0x301356a0, 0x06082505, 0x273011a9,   // de.eu.un_650 mg.et.uz_322  eu.no.de_333 ro.uz.gd_544 
  0x0600012b, 0x23562907, 0x532b2dec, 0x3f211c04,   // en.de.un_980 sl.mg.ca_432  sk.vi.ht_644 id.jw.af_332 
  0x066455a9, 0x18060111, 0x16000118, 0x070a2308,   // rw.lg.de_544 en.de.ga_653  en.hr.un_740 ky.mk.bg_443 
  0x120e1905, 0x211a7314, 0x12000a0d, 0x042a070c,   // gl.is.hu_333 ny.tl.jw_666  pt.hu.un_540 it.mt.fi_543 
  // [7630]
  0x19020ba4, 0x12003d13, 0x23212f08, 0x033f06af,   // es.da.gl_433 ku.hu.un_650  su.jw.ca_443 de.af.nl_655 
  0x0a0901a0, 0x2f012004, 0x02002804, 0x09212f13,   // en.pl.pt_322 sq.en.su_332  sw.da.un_320 su.jw.pl_665 
  0x73001e08, 0x2f3056ee, 0x21005607, 0x06211ea4,   // ms.ny.un_430 mg.uz.su_422  mg.jw.un_420 ms.jw.de_433 
  0x1c101e0c, 0x2f202307, 0x211c1eee, 0x112f20ad,   // ms.lt.id_543 ca.sq.su_432  ms.id.jw_422 sq.su.ro_643 
  // [7640]
  0x30005612, 0x1c212f14, 0x17000e05, 0x30135612,   // mg.uz.un_640 su.jw.id_666  is.sr.un_330 mg.et.uz_654 
  0x6400100c, 0x1c0e1e13, 0x736421a4, 0x041744ec,   // lt.lg.un_530 ms.is.id_665  jw.lg.ny_433 kk.sr.ru_644 
  0x2f1c09ad, 0x0f001e08, 0x1e213f07, 0x11000b04,   // pl.id.su_643 ms.lv.un_430  af.jw.ms_432 es.ro.un_320 
  0x302308af, 0x2a3007a0, 0x256b1a12, 0x06002d0e,   // uk.ky.uz_655 it.uz.mt_322  tl.ceb.eu_654 sk.de.un_550 
  // [7650]
  0x10000107, 0x033f0e11, 0x5500642c, 0x23000a09,   // en.lt.un_420 is.af.nl_653  lg.rw.un_990 pt.ca.un_440 
  0x551b250c, 0x120b19ee, 0x04000a19, 0x181f270d,   // eu.tr.rw_543 gl.es.hu_422  mk.ru.un_750 gd.cy.ga_554 
  0x32005607, 0x6425130d, 0x29312504, 0x192a070c,   // mg.bs.un_420 et.eu.lg_554  eu.az.sl_332 it.mt.gl_543 
  0x301017a4, 0x0a002d12, 0x08003509, 0x18120404,   // sr.be.uz_433 sk.pt.un_640  tg.uk.un_440 fi.hu.ga_332 
  // [7660]
  0x04200e12, 0x21006419, 0x301b29a4, 0x190a0da4,   // is.sq.fi_654 lg.jw.un_750  sl.tr.uz_433 cs.pt.gl_433 
  0x12000a09, 0x0a0b1907, 0x07130404, 0x1f000109,   // pt.hu.un_440 gl.es.pt_432  fi.et.it_332 en.cy.un_440 
  0x1f5373af, 0x0e000218, 0x442330ad, 0x30083512,   // ny.ht.cy_655 da.is.un_740  uz.ky.kk_643 tg.uk.uz_654 
  0x1c302055, 0x12172904, 0x0a0708a0, 0x1300120e,   // sq.uz.id_442 sl.sr.hu_332  uk.bg.mk_322 hu.et.un_550 
  // [7670]
  0x0a1708ad, 0x09001322, 0x290c3f04, 0x0a000808,   // uk.sr.mk_643 bh.hi.un_870  af.sv.sl_332 uk.mk.un_430 
  0x3d6b01a0, 0x0a35300e, 0x13006b09, 0x3f3101ee,   // en.ceb.ku_322 uz.tg.mk_555  ceb.et.un_440 en.az.af_422 
  0x13046b08, 0x2f212007, 0x20212904, 0x07040860,   // ceb.fi.et_443 sq.jw.su_432  sl.jw.sq_332 uk.ru.bg_664 
  0x64211eee, 0x6b012804, 0x1a1827a4, 0x442310ec,   // ms.jw.lg_422 sw.en.ceb_332  gd.ga.tl_433 be.ky.kk_644 
  // [7680]
  0x1727180c, 0x25041a0c, 0x0c11010c, 0x1e1f08a0,   // ga.gd.sr_543 tl.fi.eu_543  en.ro.sv_543 no.cy.ms_322 
  0x17041304, 0x29162d07, 0x10252713, 0x03213faf,   // et.fi.sr_332 sk.hr.sl_432  gd.eu.lt_665 af.jw.nl_655 
  0x0c002104, 0x08000308, 0x1110530d, 0x0c001e08,   // jw.sv.un_320 nl.no.un_430  ht.lt.ro_554 ms.sv.un_430 
  0x19051113, 0x2f000409, 0x230a01a4, 0x282d0d13,   // ro.fr.gl_665 fi.su.un_440  en.pt.ca_433 cs.sk.sw_665 
  // [7690]
  0x2f003f07, 0x27002d05, 0x3704050c, 0x3700730d,   // af.su.un_420 sk.gd.un_330  fr.fi.st_543 ny.st.un_540 
  0x2505010c, 0x1b080c07, 0x303523af, 0x253104ac,   // en.fr.eu_543 sv.no.tr_432  ky.tg.uz_655 fi.az.eu_632 
  0x170208ad, 0x040723a4, 0x10130805, 0x080225af,   // no.da.sr_643 ky.bg.ru_433  no.et.lt_333 eu.da.no_655 
  0x041017a4, 0x0c17120c, 0x21003d0e, 0x0d001813,   // sr.be.ru_433 hu.sr.sv_543  ku.jw.un_550 ga.cs.un_650 
  // [76a0]
  0x21003d08, 0x29080204, 0x17071108, 0x44302308,   // ku.jw.un_430 da.no.sl_332  ro.bg.sr_443 ky.uz.kk_443 
  0x0d000c04, 0x11001b11, 0x0730350b, 0x13007321,   // sv.cs.un_320 tr.ro.un_630  tg.uz.bg_542 ny.et.un_860 
  0x10302360, 0x25001105, 0x111123a9, 0x0b112508,   // ky.uz.be_664 ro.eu.un_330  ky.ro.ro_544 eu.ro.es_443 
  0x440a17a6, 0x17233508, 0x07004412, 0x082a0e07,   // sr.mk.kk_521 tg.ky.sr_443  kk.bg.un_640 is.mt.no_432 
  // [76b0]
  0x080a30af, 0x040a11a7, 0x25002912, 0x040725a0,   // uz.mk.uk_655 ro.mk.ru_532  sl.eu.un_640 eu.it.fi_322 
  0x25001123, 0x44041011, 0x28200b02, 0x286409a4,   // ro.eu.un_880 be.ru.kk_653  es.sq.sw_222 pl.lg.sw_433 
  0x083225ee, 0x212f32a0, 0x11042305, 0x2f0232a0,   // eu.bs.no_422 bs.su.jw_322  ky.ru.ro_333 bs.da.su_322 
  0x08000e08, 0x302f375a, 0x28003018, 0x05000411,   // is.no.un_430 st.su.uz_553  uz.sw.un_740 fi.fr.un_630 
  // [76c0]
  0x112311ec, 0x0209080c, 0x530a05a0, 0x29205309,   // ro.ky.ro_644 no.pl.da_543  fr.pt.ht_322 ht.sq.sl_444 
  0x0c2d0907, 0x2a092d0c, 0x1300100b, 0x09002d22,   // pl.sk.sv_432 sk.pl.mt_543  lt.et.un_520 sk.pl.un_870 
  0x350417a0, 0x53006402, 0x20002d13, 0x291609a4,   // sr.ru.tg_322 lg.ht.un_220  sk.sq.un_650 pl.hr.sl_433 
  0x2d001e13, 0x202d0d0c, 0x06042fa0, 0x1b102aad,   // ms.sk.un_650 cs.sk.sq_543  su.fi.de_322 mt.lt.tr_643 
  // [76d0]
  0x03060811, 0x0b1c2f04, 0x292d0914, 0x29251b07,   // no.de.nl_653 su.id.es_332  pl.sk.sl_666 tr.eu.sl_432 
  0x100a04af, 0x12005308, 0x6b2b30ad, 0x09002105,   // ru.mk.be_655 ht.hu.un_430  uz.vi.ceb_643 jw.pl.un_330 
  0x06001f18, 0x13001014, 0x1629090c, 0x23040805,   // cy.de.un_740 lt.et.un_660  pl.sl.hr_543 uk.ru.ky_333 
  0x06000208, 0x02002d21, 0x0e0b0802, 0x53002a04,   // da.de.un_430 sk.da.un_860  no.es.is_222 mt.ht.un_320 
  // [76e0]
  0x7328640c, 0x6e001e13, 0x2d0d18ed, 0x31645507,   // lg.sw.ny_543 ms.hmn.un_650  ga.cs.sk_622 rw.lg.az_432 
  0x552a28a7, 0x13640f0c, 0x30351105, 0x041a6408,   // sw.mt.rw_532 lv.lg.et_543  ro.tg.uz_333 lg.tl.fi_443 
  0x130f28ec, 0x04030604, 0x2d001b0c, 0x230619a0,   // sw.lv.et_644 de.nl.fi_332  tr.sk.un_530 gl.de.ca_322 
  0x640413af, 0x08015304, 0x100f0a08, 0x2d0d18ba,   // et.fi.lg_655 ht.en.no_332  pt.lv.lt_443 ga.cs.sk_843 
  // [76f0]
  0x04000319, 0x130364ee, 0x31550fa4, 0x101b215a,   // nl.fi.un_750 lg.nl.et_422  lv.rw.az_433 jw.tr.lt_553 
  0x0304640c, 0x17104407, 0x1a1364ec, 0x060701ad,   // lg.fi.nl_543 kk.be.sr_432  lg.et.tl_644 en.it.de_643 
  0x6e2d2b0c, 0x280f64af, 0x0a0d18b3, 0x6e000104,   // vi.sk.hmn_543 lg.lv.sw_655  ga.cs.pt_743 en.hmn.un_320 
  0x29003202, 0x130708af, 0x040d09a6, 0x1b31640c,   // bs.sl.un_220 no.it.et_655  pl.cs.fi_521 lg.az.tr_543 
  // [7700]
  0x73252fa4, 0x0100062c, 0x0b0a73ec, 0x131b0407,   // su.eu.ny_433 de.en.un_990  ny.pt.es_644 fi.tr.et_432 
  0x032864a7, 0x64280308, 0x07041713, 0x1304640c,   // lg.sw.nl_532 nl.sw.lg_443  sr.ru.bg_665 lg.fi.et_543 
  0x2f6e27a0, 0x1a3f030c, 0x0f1a6bee, 0x00001f42,   // gd.hmn.su_322 nl.af.tl_543  ceb.tl.lv_422 cy.un.un_C00 
  0x01306ba0, 0x071708a9, 0x0d120c02, 0x080d2905,   // ceb.uz.en_322 uk.sr.bg_544  sv.hu.cs_222 sl.cs.no_333 
  // [7710]
  0x06000908, 0x07060105, 0x0a44300c, 0x063f030b,   // pl.de.un_430 en.de.it_333  uz.kk.mk_543 nl.af.de_542 
  0x35300a04, 0x0c000f05, 0x050408a0, 0x2100310b,   // mk.uz.tg_332 lv.sv.un_330  no.fi.fr_322 az.jw.un_520 
  0x371a3f02, 0x080f0502, 0x212010a4, 0x20006e07,   // af.tl.st_222 fr.lv.no_222  lt.sq.jw_433 hmn.sq.un_420 
  0x011a0502, 0x13002502, 0x1a005519, 0x12000d11,   // fr.tl.en_222 eu.et.un_220  rw.tl.un_750 cs.hu.un_630 
  // [7720]
  0x19002318, 0x0a170807, 0x09130d08, 0x051730a0,   // ca.gl.un_740 uk.sr.mk_432  ne.bh.hi_443 uz.sr.fr_322 
  0x3d130d0c, 0x170a3505, 0x31301f07, 0x1f001322,   // cs.et.ku_543 tg.mk.sr_333  cy.uz.az_432 et.cy.un_870 
  0x1a036b05, 0x0d001a09, 0x2a136e12, 0x3700070c,   // ceb.nl.tl_333 tl.cs.un_440  hmn.et.mt_654 it.st.un_530 
  0x212a2fee, 0x1f080208, 0x21002a04, 0x1b071ca0,   // su.mt.jw_422 da.no.cy_443  mt.jw.un_320 id.it.tr_322 
  // [7730]
  0x0c6b1a0b, 0x010208a7, 0x0a122dee, 0x2b102fee,   // tl.ceb.sv_542 no.da.en_532  sk.hu.pt_422 su.lt.vi_422 
  0x0806020d, 0x0d3d09ad, 0x11002905, 0x1b001104,   // da.de.no_554 pl.ku.cs_643  sl.ro.un_330 ro.tr.un_320 
  0x6e2a1faf, 0x0c000f1a, 0x132a0207, 0x1f132a55,   // cy.mt.hmn_655 lv.sv.un_760  da.mt.et_432 mt.et.cy_442 
  0x0d0306a4, 0x0c0625a4, 0x3f00071a, 0x23040aa4,   // de.nl.cs_433 eu.de.sv_433  it.af.un_760 mk.ru.ky_433 
  // [7740]
  0x0c0806ee, 0x07000208, 0x1e080208, 0x13001121,   // de.no.sv_422 da.it.un_430  da.no.ms_443 ro.et.un_860 
  0x20321702, 0x0e005604, 0x230b0a05, 0x040a1002,   // sr.bs.sq_222 mg.is.un_320  pt.es.ca_333 be.mk.ru_222 
  0x2f210802, 0x0a080455, 0x0f002d14, 0x050607ec,   // no.jw.su_222 ru.uk.mk_442  sk.lv.un_660 it.de.fr_644 
  0x2b1f200b, 0x2a12530c, 0x0e012a02, 0x6b1e20ee,   // sq.cy.vi_542 ht.hu.mt_543  mt.en.is_222 sq.ms.ceb_422 
  // [7750]
  0x30001b14, 0x033f29a4, 0x0a041005, 0x31531208,   // tr.uz.un_660 sl.af.nl_433  be.ru.mk_333 hu.ht.az_443 
  0x3f73530c, 0x311b6ba0, 0x04131aa0, 0x1b306b04,   // ht.ny.af_543 ceb.tr.az_322  tl.et.fi_322 ceb.uz.tr_332 
  0x01033f04, 0x53210f0c, 0x2b1123ad, 0x11000113,   // af.nl.en_332 lv.jw.ht_543  ca.ro.vi_643 en.ro.un_650 
  0x051153ee, 0x2f321608, 0x302311ad, 0x1b006b19,   // ht.ro.fr_422 hr.bs.su_443  ro.ky.uz_643 ceb.tr.un_750 
  // [7760]
  0x12001119, 0x29050aa0, 0x1b531ea0, 0x1f531105,   // ro.hu.un_750 pt.fr.sl_322  ms.ht.tr_322 ro.ht.cy_333 
  0x73003013, 0x1f19115a, 0x2d53560b, 0x1b732860,   // uz.ny.un_650 ro.gl.cy_553  mg.ht.sk_542 sw.ny.tr_664 
  0x13006b22, 0x0d532d0c, 0x2f1e0204, 0x2b00531b,   // ceb.et.un_870 sk.ht.cs_543  da.ms.su_332 ht.vi.un_770 
  0x20190b0d, 0x2b31530c, 0x301c010c, 0x640f02a0,   // es.gl.sq_554 ht.az.vi_543  en.id.uz_543 da.lv.lg_322 
  // [7770]
  0x1b316bee, 0x10000609, 0x350417a4, 0x2b006e0c,   // ceb.az.tr_422 de.lt.un_440  sr.ru.tg_433 hmn.vi.un_530 
  0x10000504, 0x30002a08, 0x25001007, 0x090d2d0c,   // fr.lt.un_320 mt.uz.un_430  lt.eu.un_420 sk.cs.pl_543 
  0x02006b08, 0x37006e13, 0x29006e09, 0x170a110e,   // ceb.da.un_430 hmn.st.un_650  hmn.sl.un_440 ro.mk.sr_555 
  0x736e06ee, 0x1c042f04, 0x3f2356ee, 0x1c041eee,   // de.hmn.ny_422 su.fi.id_332  mg.ca.af_422 ms.fi.id_422 
  // [7780]
  0x2f6e2104, 0x21000609, 0x12051ba4, 0x6e736b05,   // jw.hmn.su_332 de.jw.un_440  tr.fr.hu_433 ceb.ny.hmn_333 
  0x253d0512, 0x290525ad, 0x1c061eee, 0x2f001f02,   // fr.ku.eu_654 eu.fr.sl_643  ms.de.id_422 cy.su.un_220 
  0x2502130b, 0x1220250c, 0x02002104, 0x200b11a0,   // et.da.eu_542 eu.sq.hu_543  jw.da.un_320 ro.es.sq_322 
  0x231105a7, 0x12250560, 0x44003022, 0x10002914,   // fr.ro.ca_532 fr.eu.hu_664  uz.kk.un_870 sl.lt.un_660 
  // [7790]
  0x20051b55, 0x190b0e07, 0x09080da0, 0x642073ec,   // tr.fr.sq_442 is.es.gl_432  cs.no.pl_322 ny.sq.lg_644 
  0x1b3d250c, 0x2f002904, 0x1e1c5605, 0x110525a4,   // eu.ku.tr_543 sl.su.un_320  mg.id.ms_333 eu.fr.ro_433 
  0x084410ee, 0x231f1e05, 0x1105255a, 0x23001108,   // be.kk.uk_422 ms.cy.ca_333  eu.fr.ro_553 ro.ca.un_430 
  0x6b000304, 0x04003f09, 0x112505ad, 0x0d002905,   // nl.ceb.un_320 af.fi.un_440  fr.eu.ro_643 sl.cs.un_330 
  // [77a0]
  0x08003022, 0x16002704, 0x07000420, 0x316b3007,   // uz.uk.un_870 gd.hr.un_320  fi.it.un_850 uz.ceb.az_432 
  0x1e1c250c, 0x2004250c, 0x1e036ba0, 0x3200171a,   // eu.id.ms_543 eu.fi.sq_543  ceb.nl.ms_322 sr.bs.un_760 
  0x311b3014, 0x05556407, 0x1e0e64ad, 0x250801a4,   // uz.tr.az_666 lg.rw.fr_432  lg.is.ms_643 en.no.eu_433 
  0x27180112, 0x56002d0b, 0x190b01a9, 0x12286e0b,   // en.ga.gd_654 sk.mg.un_520  en.es.gl_544 hmn.sw.hu_542 
  // [77b0]
  0x11270107, 0x300817a7, 0x0511010c, 0x062a0711,   // en.gd.ro_432 sr.uk.uz_532  en.ro.fr_543 it.mt.de_653 
  0x202325ad, 0x12006e07, 0x44000404, 0x07181108,   // eu.ca.sq_643 hmn.hu.un_420  ru.kk.un_320 ro.ga.it_443 
  0x126403a0, 0x443035ad, 0x11281907, 0x2718010c,   // nl.lg.hu_322 tg.uz.kk_643  gl.sw.ro_432 en.ga.gd_543 
  0x11080204, 0x441008a4, 0x081302ec, 0x17290e04,   // da.no.ro_332 uk.be.kk_433  da.et.no_644 is.sl.sr_332 
  // [77c0]
  0x0e122d04, 0x0e002308, 0x12006e0d, 0x3f005605,   // sk.hu.is_332 ca.is.un_430  hmn.hu.un_540 mg.af.un_330 
  0x1a00551b, 0x070a23a7, 0x08001c07, 0x0f080c0c,   // rw.tl.un_770 ky.mk.bg_532  id.no.un_420 sv.no.lv_543 
  0x2f13040c, 0x2f2105a4, 0x136e1aad, 0x0c1e0211,   // fi.et.su_543 fr.jw.su_433  tl.hmn.et_643 da.ms.sv_653 
  0x21001f04, 0x11300708, 0x086b1a55, 0x0a000409,   // cy.jw.un_320 bg.uz.ro_443  tl.ceb.no_442 ru.mk.un_440 
  // [77d0]
  0x553728ad, 0x1c00210d, 0x1f092d04, 0x21052f02,   // sw.st.rw_643 jw.id.un_540  sk.pl.cy_332 su.fr.jw_222 
  0x04171055, 0x30000712, 0x0a001809, 0x0e00081b,   // be.sr.ru_442 bg.uz.un_640  ga.pt.un_440 no.is.un_770 
  0x2f6b3713, 0x2b1a73a0, 0x0f130460, 0x07002a35,   // st.ceb.su_665 ny.tl.vi_322  fi.et.lv_664 mt.it.un_A90 
  0x3f080b0c, 0x043f2a04, 0x0506010d, 0x110b1b08,   // es.no.af_543 mt.af.fi_332  en.de.fr_554 tr.es.ro_443 
  // [77e0]
  0x1e2031ac, 0x0b0208ac, 0x6e001313, 0x2f003714,   // az.sq.ms_632 no.da.es_632  et.hmn.un_650 st.su.un_660 
  0x2f033f0c, 0x1a6437ad, 0x062b11ec, 0x0c0802a9,   // af.nl.su_543 st.lg.tl_643  ro.vi.de_644 da.no.sv_544 
  0x090d1fad, 0x29000f0d, 0x072356ec, 0x092d06ec,   // cy.cs.pl_643 lv.sl.un_540  mg.ca.it_644 de.sk.pl_644 
  0x25211ca0, 0x05000713, 0x375556ad, 0x3d372813,   // id.jw.eu_322 it.fr.un_650  mg.rw.st_643 sw.st.ku_665 
  // [77f0]
  0x2f6b1a13, 0x6e00190d, 0x1e131ca9, 0x561a6bec,   // tl.ceb.su_665 gl.hmn.un_540  id.et.ms_544 ceb.tl.mg_644 
  0x211c2f0d, 0x0a00131a, 0x120a0d07, 0x0a0430a4,   // su.id.jw_554 et.pt.un_760  cs.pt.hu_432 uz.ru.mk_433 
  0x00000c37, 0x2005010c, 0x56256b12, 0x0c3d230c,   // sv.un.un_B00 en.fr.sq_543  ceb.eu.mg_654 ca.ku.sv_543 
  0x052f21a9, 0x0108020d, 0x216b2b12, 0x531a6b12,   // jw.su.fr_544 da.no.en_554  vi.ceb.jw_654 ceb.tl.ht_654 
  
  // [7800]
  0x1f3f01a9, 0x0a556bad, 0x023f060c, 0x206e3004,   // en.af.cy_544 ceb.rw.pt_643  de.af.da_543 uz.hmn.sq_332 
  0x131c21ee, 0x112330af, 0x0508020d, 0x0c033fa9,   // jw.id.et_422 uz.ca.ro_655  da.no.fr_554 af.nl.sv_544 
  0x377328af, 0x20302aec, 0x1b3156ec, 0x033f29af,   // sw.ny.st_655 mt.uz.sq_644  mg.az.tr_644 sl.af.nl_655 
  0x301e31a4, 0x20033fa9, 0x0e003202, 0x3d003021,   // az.ms.uz_433 af.nl.sq_544  bs.is.un_220 uz.ku.un_860 
  // [7810]
  0x18030f08, 0x17291607, 0x31301ba9, 0x012706a0,   // lv.nl.ga_443 hr.sl.sr_432  tr.uz.az_544 de.gd.en_322 
  0x05000722, 0x046b1a12, 0x0c1f1c02, 0x6b312155,   // it.fr.un_870 tl.ceb.fi_654  id.cy.sv_222 jw.az.ceb_442 
  0x0f190b11, 0x04315609, 0x2800212a, 0x21552807,   // es.gl.lv_653 mg.az.fi_444  jw.sw.un_970 sw.rw.jw_432 
  0x281a6b08, 0x0d0208ee, 0x133f0304, 0x6b1e1c09,   // ceb.tl.sw_443 no.da.cs_422  nl.af.et_332 id.ms.ceb_444 
  // [7820]
  0x02002902, 0x03251bee, 0x44000819, 0x161a21ee,   // sl.da.un_220 tr.eu.nl_422  uk.kk.un_750 jw.tl.hr_422 
  0x551e7312, 0x0e00020e, 0x1e2f1a04, 0x25211ea0,   // ny.ms.rw_654 da.is.un_550  tl.su.ms_332 ms.jw.eu_322 
  0x2a00640b, 0x013f6ba4, 0x10130107, 0x0d04070c,   // lg.mt.un_520 ceb.af.en_433  en.et.lt_432 it.fi.cs_543 
  0x2f282a02, 0x0a353012, 0x300c0707, 0x17292d02,   // mt.sw.su_222 uz.tg.mk_654  it.sv.uz_432 sk.sl.sr_222 
  // [7830]
  0x2d002911, 0x21257305, 0x25031bee, 0x1c295355,   // sl.sk.un_630 ny.eu.jw_333  tr.nl.eu_422 ht.sl.id_442 
  0x120f100b, 0x130f0107, 0x10003f0c, 0x18000c07,   // lt.lv.hu_542 en.lv.et_432  af.lt.un_530 sv.ga.un_420 
  0x0435300d, 0x0400031a, 0x3f0e0c02, 0x64041ea4,   // uz.tg.ru_554 nl.fi.un_760  sv.is.af_222 ms.fi.lg_433 
  0x1b1204a4, 0x73281ba9, 0x3d3f250c, 0x0a001008,   // fi.hu.tr_433 tr.sw.ny_544  eu.af.ku_543 be.mk.un_430 
  // [7840]
  0x103035ec, 0x30001b19, 0x08182504, 0x64731ca4,   // tg.uz.be_644 tr.uz.un_750  eu.ga.no_332 id.ny.lg_433 
  0x30001b22, 0x1f562ba0, 0x08026405, 0x07181105,   // tr.uz.un_870 vi.mg.cy_322  lg.da.no_333 ro.ga.it_333 
  0x37212bee, 0x73001f09, 0x20000e04, 0x12641e04,   // vi.jw.st_422 cy.ny.un_440  is.sq.un_320 ms.lg.hu_332 
  0x04302a07, 0x08301007, 0x2a200e07, 0x441008af,   // mt.uz.fi_432 lt.uz.no_432  is.sq.mt_432 uk.be.kk_655 
  // [7850]
  0x1c641ea4, 0x6e2b2807, 0x050a2b07, 0x53000121,   // ms.lg.id_433 sw.vi.hmn_432  vi.pt.fr_432 en.ht.un_860 
  0x27181f0c, 0x30211b0c, 0x281b3d0c, 0x130604ec,   // cy.ga.gd_543 tr.jw.uz_543  ku.tr.sw_543 fi.de.et_644 
  0x18002f04, 0x01000e07, 0x130e0407, 0x040e0807,   // su.ga.un_320 is.en.un_420  fi.is.et_432 no.is.fi_432 
  0x0c060e04, 0x25003008, 0x11040705, 0x2500530c,   // is.de.sv_332 uz.eu.un_430  bg.ru.ro_333 ht.eu.un_530 
  // [7860]
  0x0f123d07, 0x1a2f6b12, 0x1f3007a0, 0x1a6b64a9,   // ku.hu.lv_432 ceb.su.tl_654  it.uz.cy_322 lg.ceb.tl_544 
  0x0e00102a, 0x3d00091a, 0x181327ad, 0x0e0f105a,   // lt.is.un_970 pl.ku.un_760  gd.et.ga_643 lt.lv.is_553 
  0x13001707, 0x21083fee, 0x07000f07, 0x08033fa7,   // sr.et.un_420 af.no.jw_422  lv.it.un_420 af.nl.no_532 
  0x282b1107, 0x070527a4, 0x3f642f0c, 0x0a112308,   // ro.vi.sw_432 gd.fr.it_433  su.lg.af_543 ky.ro.mk_443 
  // [7870]
  0x110a070e, 0x30000807, 0x20232704, 0x23003104,   // bg.mk.ro_555 uk.uz.un_420  gd.ca.sq_332 az.ca.un_320 
  0x111107a4, 0x01001e07, 0x04230702, 0x201216ee,   // bg.ro.ro_433 ms.en.un_420  it.ca.fi_222 hr.hu.sq_422 
  0x02162aa0, 0x44000a05, 0x041007ee, 0x2d000f1a,   // mt.hr.da_322 mk.kk.un_330  bg.be.ru_422 lv.sk.un_760 
  0x35072308, 0x17300808, 0x0400011b, 0x1b003f04,   // ky.bg.tg_443 uk.uz.sr_443  en.fi.un_770 af.tr.un_320 
  // [7880]
  0x201b3d07, 0x08000a1a, 0x12000e0b, 0x354430a4,   // ku.tr.sq_432 mk.uk.un_760  is.hu.un_520 uz.kk.tg_433 
  0x29000d0c, 0x190b05a6, 0x25120f04, 0x082310ee,   // cs.sl.un_530 fr.es.gl_521  lv.hu.eu_332 be.ky.uk_422 
  0x1a001e0e, 0x55002104, 0x17100855, 0x23174405,   // ms.tl.un_550 jw.rw.un_320  uk.be.sr_442 kk.sr.ky_333 
  0x181912a9, 0x351708af, 0x64552804, 0x351711a7,   // hu.gl.ga_544 uk.sr.tg_655  sw.rw.lg_332 ro.sr.tg_532 
  // [7890]
  0x081827ad, 0x18201f07, 0x0d1918a4, 0x271820af,   // gd.ga.no_643 cy.sq.ga_432  ga.gl.cs_433 sq.ga.gd_655 
  0x6e6b3da0, 0x092718ee, 0x0d122d04, 0x372718ee,   // ku.ceb.hmn_322 ga.gd.pl_422  sk.hu.cs_332 ga.gd.st_422 
  0x10093205, 0x17005304, 0x09100f0c, 0x0d1912ec,   // bs.pl.lt_333 ht.sr.un_320  lv.lt.pl_543 hu.gl.cs_644 
  0x09100faf, 0x105628ee, 0x13311bad, 0x12000d21,   // lv.lt.pl_655 sw.mg.lt_422  tr.az.et_643 cs.hu.un_860 
  // [78a0]
  0x1820270c, 0x190b1209, 0x190b2da4, 0x23190b07,   // gd.sq.ga_543 hu.es.gl_444  sk.es.gl_433 es.gl.ca_432 
  0x072718ee, 0x19121812, 0x320720a7, 0x1200130c,   // ga.gd.it_422 ga.hu.gl_654  sq.it.bs_532 et.hu.un_530 
  0x32002302, 0x3d131aec, 0x033f0107, 0x32002702,   // ca.bs.un_220 tl.et.ku_644  en.af.nl_432 gd.bs.un_220 
  0x2a000d13, 0x162d2905, 0x18002805, 0x2f130a04,   // cs.mt.un_650 sl.sk.hr_333  sw.ga.un_330 pt.et.su_332 
  // [78b0]
  0x1f006e07, 0x25552108, 0x10003204, 0x19270aad,   // hmn.cy.un_420 jw.rw.eu_443  bs.lt.un_320 pt.gd.gl_643 
  0x0a0c27ad, 0x020601af, 0x531b3d12, 0x6b112fa4,   // gd.sv.pt_643 en.de.da_655  ku.tr.ht_654 su.ro.ceb_433 
  0x2100280b, 0x73100f0c, 0x0f000921, 0x0f005308,   // sw.jw.un_520 lv.lt.ny_543  pl.lv.un_860 ht.lv.un_430 
  0x3700181a, 0x31553d0b, 0x6b2818a7, 0x0d003002,   // ga.st.un_760 ku.rw.az_542  ga.sw.ceb_532 uz.cs.un_220 
  // [78c0]
  0x170f10a9, 0x08303511, 0x03731ea0, 0x171632a7,   // lt.lv.sr_544 tg.uz.uk_653  ms.ny.nl_322 bs.hr.sr_532 
  0x292d0f07, 0x120c2f04, 0x2f00250c, 0x6b3d010c,   // lv.sk.sl_432 su.sv.hu_332  eu.su.un_530 en.ku.ceb_543 
  0x231008a7, 0x08443507, 0x0717080b, 0x643f2104,   // uk.be.ky_532 tg.kk.uk_432  uk.sr.bg_542 jw.af.lg_332 
  0x1004085a, 0x2f1c21a7, 0x131e1c55, 0x281a01a7,   // uk.ru.be_553 jw.id.su_532  id.ms.et_442 en.tl.sw_532 
  // [78d0]
  0x6b531aa9, 0x250c3d0c, 0x2f00050c, 0x08303509,   // tl.ht.ceb_544 ku.sv.eu_543  fr.su.un_530 tg.uz.uk_444 
  0x051c1ea0, 0x281e30a7, 0x53000d22, 0x0730080c,   // ms.id.fr_322 uz.ms.sw_532  cs.ht.un_870 uk.uz.bg_543 
  0x04005309, 0x0e081f04, 0x0d00050e, 0x3d003122,   // ht.fi.un_440 cy.no.is_332  fr.cs.un_550 az.ku.un_870 
  0x0c001e02, 0x0a002507, 0x04000c02, 0x11003108,   // ms.sv.un_220 eu.pt.un_420  sv.fi.un_220 az.ro.un_430 
  // [78e0]
  0x071004ad, 0x010705a0, 0x30003d0d, 0x0300300b,   // fi.lt.it_643 fr.it.en_322  ku.uz.un_540 uz.nl.un_520 
  0x0608250b, 0x1c2b6ba0, 0x196b3da0, 0x0a001718,   // eu.no.de_542 ceb.vi.id_322  ku.ceb.gl_322 sr.mk.un_740 
  0x07100412, 0x322d6ea0, 0x53050daf, 0x53050a0e,   // ru.be.bg_654 hmn.sk.bs_322  cs.fr.ht_655 pt.fr.ht_555 
  0x036b1a07, 0x04071708, 0x212f1213, 0x12002f1b,   // tl.ceb.nl_432 sr.bg.ru_443  hu.su.jw_665 su.hu.un_770 
  // [78f0]
  0x21122f55, 0x32003004, 0x53000d20, 0x2f00121a,   // su.hu.jw_442 uz.bs.un_320  cs.ht.un_850 hu.su.un_760 
  0x230a1707, 0x21190b04, 0x2d09290c, 0x08093f07,   // sr.mk.ky_432 es.gl.jw_332  sl.pl.sk_543 af.pl.no_432 
  0x061304a7, 0x28255507, 0x30354455, 0x73253708,   // fi.et.de_532 rw.eu.sw_432  kk.tg.uz_442 st.eu.ny_443 
  0x25190ba0, 0x04350808, 0x1b000413, 0x73255607,   // es.gl.eu_322 uk.tg.ru_443  fi.tr.un_650 mg.eu.ny_432 
  // [7900]
  0x171130a4, 0x230701a0, 0x350a30ad, 0x25103702,   // uz.ro.sr_433 en.it.ca_322  uz.mk.tg_643 st.lt.eu_222 
  0x06296e13, 0x28001b1b, 0x735625ec, 0x070a1105,   // hmn.sl.de_665 tr.sw.un_770  eu.mg.ny_644 ro.mk.bg_333 
  0x232f120c, 0x0932160e, 0x641b53a4, 0x0a3008a7,   // hu.su.ca_543 hr.bs.pl_555  ht.tr.lg_433 uk.uz.mk_532 
  0x5306640d, 0x12192f14, 0x3f060f07, 0x04020807,   // lg.de.ht_554 su.gl.hu_666  lv.de.af_432 no.da.fi_432 
  // [7910]
  0x05060104, 0x03250605, 0x03002f07, 0x084404af,   // en.de.fr_332 de.eu.nl_333  su.nl.un_420 ru.kk.uk_655 
  0x13080255, 0x3200110c, 0x0700232a, 0x302d060e,   // da.no.et_442 ro.bs.un_530  ca.it.un_970 de.sk.uz_555 
  0x6b2f1a07, 0x2f1e21a4, 0x562825ad, 0x6428550e,   // tl.su.ceb_432 jw.ms.su_433  eu.sw.mg_643 rw.sw.lg_555 
  0x1b000913, 0x25003d22, 0x1b1c3dad, 0x732556ec,   // pl.tr.un_650 ku.eu.un_870  ku.id.tr_643 mg.eu.ny_644 
  // [7920]
  0x0a001e04, 0x3f3d0e04, 0x32292dad, 0x2f211ea9,   // ms.pt.un_320 is.ku.af_332  sk.sl.bs_643 ms.jw.su_544 
  0x2f29250c, 0x1c2f1eee, 0x081b1f05, 0x0e0302a4,   // eu.sl.su_543 ms.su.id_422  cy.tr.no_333 da.nl.is_433 
  0x130108a4, 0x3216110c, 0x162a55a6, 0x23006e21,   // no.en.et_433 ro.hr.bs_543  rw.mt.hr_521 hmn.ca.un_860 
  0x1a003f14, 0x042f2007, 0x07003520, 0x53011aa0,   // af.tl.un_660 sq.su.fi_432  tg.bg.un_850 tl.en.ht_322 
  // [7930]
  0x0a2304af, 0x1100180d, 0x1e0d1cad, 0x2b001219,   // ru.ky.mk_655 ga.ro.un_540  id.cs.ms_643 hu.vi.un_750 
  0x11000813, 0x281c1ea0, 0x28001b08, 0x08113f60,   // uk.ro.un_650 ms.id.sw_322  tr.sw.un_430 af.ro.no_664 
  0x2f211c09, 0x3f000221, 0x0c0e02ec, 0x11001f1a,   // id.jw.su_444 da.af.un_860  da.is.sv_644 cy.ro.un_760 
  0x3f021107, 0x0211130c, 0x350423ee, 0x3f000c0d,   // ro.da.af_432 et.ro.da_543  ky.ru.tg_422 sv.af.un_540 
  // [7940]
  0x0a00072a, 0x37002821, 0x55000608, 0x201b6b0c,   // bg.mk.un_970 sw.st.un_860  de.rw.un_430 ceb.tr.sq_543 
  0x13090d0d, 0x6b7328a4, 0x2909320d, 0x12002f19,   // ne.hi.bh_554 sw.ny.ceb_433  bs.pl.sl_554 su.hu.un_750 
  0x21003712, 0x1a042807, 0x211e1cad, 0x55003712,   // st.jw.un_640 sw.fi.tl_432  id.ms.jw_643 st.rw.un_640 
  0x37000508, 0x11070107, 0x07041055, 0x03000509,   // fr.st.un_430 en.it.ro_432  be.ru.bg_442 fr.nl.un_440 
  // [7950]
  0x211a1cee, 0x732909a9, 0x281b7313, 0x211e2fec,   // id.tl.jw_422 pl.sl.ny_544  ny.tr.sw_665 su.ms.jw_644 
  0x17073008, 0x060c3fa0, 0x1c1309ac, 0x3d00310e,   // uz.bg.sr_443 af.sv.de_322  hi.bh.mr_632 az.ku.un_550 
  0x083023a4, 0x31003709, 0x120d2d0c, 0x041723ee,   // ky.uz.uk_433 st.az.un_440  sk.cs.hu_543 ky.sr.ru_422 
  0x20001a07, 0x07170a60, 0x0a110705, 0x131273a4,   // tl.sq.un_420 mk.sr.bg_664  bg.ro.mk_333 ny.hu.et_433 
  // [7960]
  0x1100071b, 0x25001107, 0x022f28ee, 0x56000108,   // it.ro.un_770 ro.eu.un_420  sw.su.da_422 en.mg.un_430 
  0x03000202, 0x171329a4, 0x10002f07, 0x1c561e12,   // da.nl.un_220 sl.et.sr_433  su.lt.un_420 ms.mg.id_654 
  0x25000708, 0x25041107, 0x112311a4, 0x0a0411ee,   // it.eu.un_430 ro.fi.eu_432  ro.ky.ro_433 ro.ru.mk_422 
  0x17103508, 0x1e2156a9, 0x111b3daf, 0x2f002307,   // tg.be.sr_443 mg.jw.ms_544  ku.tr.ro_655 ca.su.un_420 
  // [7970]
  0x08021e09, 0x1b301ea4, 0x18536b07, 0x1b002021,   // ms.da.no_444 ms.uz.tr_433  ceb.ht.ga_432 sq.tr.un_860 
  0x0d072807, 0x64077308, 0x28121ea0, 0x0e311b08,   // sw.it.cs_432 ny.it.lg_443  ms.hu.sw_322 tr.az.is_443 
  0x28005613, 0x1e0e250c, 0x2800300e, 0x6e000708,   // mg.sw.un_650 eu.is.ms_543  uz.sw.un_550 it.hmn.un_430 
  0x1c0e2f05, 0x28736404, 0x0a232104, 0x2d120d09,   // su.is.id_333 lg.ny.sw_332  jw.ca.pt_332 cs.hu.sk_444 
  // [7980]
  0x20036407, 0x07002b0d, 0x17110a14, 0x17100a05,   // lg.nl.sq_432 vi.it.un_540  mk.ro.sr_666 mk.be.sr_333 
  0x53001e08, 0x08002108, 0x21000108, 0x1b003135,   // ms.ht.un_430 jw.no.un_430  en.jw.un_430 az.tr.un_A90 
  0x071b20a4, 0x5600230c, 0x2f306407, 0x092873ee,   // sq.tr.it_433 ca.mg.un_530  lg.uz.su_432 ny.sw.pl_422 
  0x56041ca0, 0x04112505, 0x371c2512, 0x082511a7,   // id.fi.mg_322 eu.ro.fi_333  eu.id.st_654 ro.eu.no_532 
  // [7990]
  0x731037ad, 0x297337a4, 0x37287307, 0x13020ea4,   // st.lt.ny_643 st.ny.sl_433  ny.sw.st_432 is.da.et_433 
  0x1b5311ee, 0x56120708, 0x53321705, 0x2025555a,   // ro.ht.tr_422 it.hu.mg_443  sr.bs.ht_333 rw.eu.sq_553 
  0x56733708, 0x12130412, 0x250706a0, 0x110625a7,   // st.ny.mg_443 fi.et.hu_654  de.it.eu_322 eu.de.ro_532 
  0x07640507, 0x73003014, 0x0b0a2109, 0x55212f0c,   // fr.lg.it_432 uz.ny.un_660  jw.pt.es_444 su.jw.rw_543 
  // [79a0]
  0x561237af, 0x3000071a, 0x133f030b, 0x110607ec,   // st.hu.mg_655 it.uz.un_760  nl.af.et_542 it.de.ro_644 
  0x062a01a4, 0x041111a9, 0x0e3f2aee, 0x44100460,   // en.mt.de_433 ro.ro.ru_544  mt.af.is_422 ru.be.kk_664 
  0x0c000223, 0x1e555609, 0x292a07ad, 0x202f21a4,   // da.sv.un_880 mg.rw.ms_444  it.mt.sl_643 jw.su.sq_433 
  0x030c060c, 0x17291e07, 0x4423110c, 0x2d0d1805,   // de.sv.nl_543 ms.sl.sr_432  ro.ky.kk_543 ga.cs.sk_333 
  // [79b0]
  0x55003719, 0x06020c0c, 0x090d1ca4, 0x37561c0c,   // st.rw.un_750 sv.da.de_543  mr.ne.hi_433 id.mg.st_543 
  0x0c031304, 0x321628a4, 0x0000072d, 0x112d0d0c,   // et.nl.sv_332 sw.hr.bs_433  it.un.un_A00 cs.sk.ro_543 
  0x30550407, 0x051a1307, 0x55302805, 0x0d001908,   // fi.rw.uz_432 et.tl.fr_432  sw.uz.rw_333 gl.cs.un_430 
  0x08000d07, 0x2a071e12, 0x020c0660, 0x02000c1a,   // cs.no.un_420 ms.it.mt_654  de.sv.da_664 sv.da.un_760 
  // [79c0]
  0x0c000214, 0x18277360, 0x321602a4, 0x211827ee,   // da.sv.un_660 ny.gd.ga_664  da.hr.bs_433 gd.ga.jw_422 
  0x35003009, 0x1c001804, 0x29002305, 0x132a0e0e,   // uz.tg.un_440 ga.id.un_320  ca.sl.un_330 is.mt.et_555 
  0x1100230d, 0x100f1307, 0x29003d13, 0x2d001308,   // ca.ro.un_540 et.lv.lt_432  ku.sl.un_650 et.sk.un_430 
  0x04170807, 0x180501ad, 0x033006a0, 0x32173fa0,   // uk.sr.ru_432 en.fr.ga_643  de.uz.nl_322 af.sr.bs_322 
  // [79d0]
  0x20033fad, 0x1c2113a6, 0x37002021, 0x31000a0e,   // af.nl.sq_643 et.jw.id_521  sq.st.un_860 pt.az.un_550 
  0x1b006b08, 0x08100a08, 0x290f2dad, 0x202953a4,   // ceb.tr.un_430 mk.be.uk_443  sk.lv.sl_643 ht.sl.sq_433 
  0x091b31a4, 0x11295305, 0x20092911, 0x2a000509,   // az.tr.pl_433 ht.sl.ro_333  sl.pl.sq_653 fr.mt.un_440 
  0x160929a4, 0x13000935, 0x21042fee, 0x04001e07,   // sl.pl.hr_433 hi.bh.un_A90  su.fi.jw_422 ms.fi.un_420 
  // [79e0]
  0x1253200d, 0x12007305, 0x11007302, 0x1e1c08a0,   // sq.ht.hu_554 ny.hu.un_330  ny.ro.un_220 no.id.ms_322 
  0x1b000d0d, 0x351730af, 0x3f111307, 0x060501a9,   // cs.tr.un_540 uz.sr.tg_655  et.ro.af_432 en.fr.de_544 
  0x09292d11, 0x6e3153a7, 0x0b0c3dec, 0x17005308,   // sk.sl.pl_653 ht.az.hmn_532  ku.sv.es_644 ht.sr.un_430 
  0x322817a4, 0x2a1e1c13, 0x012b2805, 0x1b0c73ad,   // sr.sw.bs_433 id.ms.mt_665  sw.vi.en_333 ny.sv.tr_643 
  // [79f0]
  0x3f130307, 0x531629a9, 0x01232b08, 0x012a73a0,   // nl.et.af_432 sl.hr.ht_544  vi.ca.en_443 ny.mt.en_322 
  0x3f000208, 0x53001005, 0x0c113d08, 0x06000204,   // da.af.un_430 lt.ht.un_330  ku.ro.sv_443 da.de.un_320 
  0x64203da0, 0x08021ea0, 0x20211ead, 0x2f001b04,   // ku.sq.lg_322 ms.da.no_322  ms.jw.sq_643 tr.su.un_320 
  0x73113012, 0x20061b07, 0x7300282a, 0x193d0caf,   // uz.ro.ny_654 tr.de.sq_432  sw.ny.un_970 sv.ku.gl_655 
  // [7a00]
  0x211c3d04, 0x0111730c, 0x643f3d0b, 0x2d0d1902,   // ku.id.jw_332 ny.ro.en_543  ku.af.lg_542 gl.cs.sk_222 
  0x2d072faf, 0x05060114, 0x01000509, 0x3d001c19,   // su.it.sk_655 en.de.fr_666  fr.en.un_440 id.ku.un_750 
  0x01060509, 0x0500211a, 0x0a171004, 0x23071ea4,   // fr.de.en_444 jw.fr.un_760  be.sr.mk_332 ms.it.ca_433 
  0x02060ca0, 0x210e1ca0, 0x643f2812, 0x1f6428a0,   // sv.de.da_322 id.is.jw_322  sw.af.lg_654 sw.lg.cy_322 
  // [7a10]
  0x0b1218a4, 0x732f21a9, 0x30280fee, 0x12000a05,   // ga.hu.es_433 jw.su.ny_544  lv.sw.uz_422 pt.hu.un_330 
  0x0c00120d, 0x0e2d1260, 0x120d0aa4, 0x030611a9,   // hu.sv.un_540 hu.sk.is_664  pt.cs.hu_433 ro.de.nl_544 
  0x06213d07, 0x096b53a7, 0x1b1f53a0, 0x1a6b5313,   // ku.jw.de_432 ht.ceb.pl_532  ht.cy.tr_322 ht.ceb.tl_665 
  0x063d2fa7, 0x2873300c, 0x28160607, 0x3f6b0107,   // su.ku.de_532 uz.ny.sw_543  de.hr.sw_432 en.ceb.af_432 
  // [7a20]
  0x09001f1b, 0x04070814, 0x0b005302, 0x2d000907,   // cy.pl.un_770 uk.bg.ru_666  ht.es.un_220 pl.sk.un_420 
  0x033f2004, 0x20113055, 0x200613ad, 0x06083fa4,   // sq.af.nl_332 uz.ro.sq_442  et.de.sq_643 af.no.de_433 
  0x0900100e, 0x021220a7, 0x44231012, 0x20003f08,   // lt.pl.un_550 sq.hu.da_532  be.ky.kk_654 af.sq.un_430 
  0x113508a9, 0x06023fec, 0x17001614, 0x06002312,   // uk.tg.ro_544 af.da.de_644  hr.sr.un_660 ca.de.un_640 
  // [7a30]
  0x19210bee, 0x322d0d02, 0x12211860, 0x0205080c,   // es.jw.gl_422 cs.sk.bs_222  ar.fa.ur_664 no.fr.da_543 
  0x230503ee, 0x170a11a9, 0x032305ad, 0x120c3fee,   // nl.fr.ca_422 ro.mk.sr_544  fr.ca.nl_643 af.sv.hu_422 
  0x130523a9, 0x0c0f230c, 0x043035ee, 0x300804ac,   // ca.fr.et_544 ca.lv.sv_543  tg.uz.ru_422 ru.uk.uz_632 
  0x4407175a, 0x2800040b, 0x2b0125ee, 0x31001308,   // sr.bg.kk_553 fi.sw.un_520  eu.en.vi_422 et.az.un_430 
  // [7a40]
  0x2d0d0a14, 0x10001723, 0x30136e0c, 0x0a003509,   // pt.cs.sk_666 sr.be.un_880  hmn.et.uz_543 tg.mk.un_440 
  0x5313020c, 0x1e1c13a4, 0x5330130c, 0x2a0e2355,   // da.et.ht_543 et.id.ms_433  et.uz.ht_543 ca.is.mt_442 
  0x080209ad, 0x3f0613a7, 0x0a07230d, 0x172d290e,   // pl.da.no_643 et.de.af_532  ky.bg.mk_554 sl.sk.sr_555 
  0x01003107, 0x2f002014, 0x2f1221a4, 0x1a005308,   // az.en.un_420 sq.su.un_660  jw.hu.su_433 ht.tl.un_430 
  // [7a50]
  0x13003121, 0x35233004, 0x2f2113a9, 0x1e133108,   // az.et.un_860 uz.ky.tg_332  et.jw.su_544 az.et.ms_443 
  0x03063d0c, 0x731c21ec, 0x311e6e02, 0x1100040e,   // ku.de.nl_543 jw.id.ny_644  hmn.ms.az_222 ru.ro.un_550 
  0x0417070c, 0x0106050e, 0x11301113, 0x53735512,   // bg.sr.ru_543 fr.de.en_555  ro.uz.ro_665 rw.ny.ht_654 
  0x02002907, 0x1c005302, 0x0b0a23a4, 0x32191f08,   // sl.da.un_420 ht.id.un_220  ca.pt.es_433 cy.gl.bs_443 
  // [7a60]
  0x120c6bee, 0x2156370c, 0x031f3712, 0x10217307,   // ceb.sv.hu_422 st.mg.jw_543  st.cy.nl_654 ny.jw.lt_432 
  0x20002307, 0x08001f13, 0x20005504, 0x2d2b3004,   // ca.sq.un_420 cy.no.un_650  rw.sq.un_320 uz.vi.sk_332 
  0x552f1aa0, 0x0e003708, 0x2f3f0308, 0x300431ee,   // tl.su.rw_322 st.is.un_430  nl.af.su_443 az.fi.uz_422 
  0x13003709, 0x0a00180d, 0x2a0c18a0, 0x173004a6,   // st.et.un_440 ga.pt.un_540  ga.sv.mt_322 ru.uz.sr_521 
  // [7a70]
  0x441710a7, 0x04080c08, 0x13006414, 0x53006e0c,   // be.sr.kk_532 sv.no.fi_443  lg.et.un_660 hmn.ht.un_530 
  0x1a3256a0, 0x30003105, 0x040a08ad, 0x303d0f0e,   // mg.bs.tl_322 az.uz.un_330  uk.mk.ru_643 lv.ku.uz_555 
  0x191a6b04, 0x103f0fac, 0x06190b0b, 0x282a01a4,   // ceb.tl.gl_332 lv.af.lt_632  es.gl.de_542 en.mt.sw_433 
  0x0f1801a4, 0x3f230f0c, 0x6e00641a, 0x070a56a4,   // en.ga.lv_433 lv.ca.af_543  lg.hmn.un_760 mg.pt.it_433 
  // [7a80]
  0x645673a0, 0x133756ac, 0x2a0619a0, 0x18001218,   // ny.mg.lg_322 mg.st.et_632  gl.de.mt_322 ur.ar.un_740 
  0x07000122, 0x2b2f6407, 0x0d001707, 0x0a350807,   // en.it.un_870 lg.su.vi_432  sr.cs.un_420 uk.tg.mk_432 
  0x3f0c55a4, 0x0b0a32a0, 0x04070a60, 0x321e17ee,   // rw.sv.af_433 bs.pt.es_322  mk.bg.ru_664 sr.ms.bs_422 
  0x641c1aa0, 0x08300405, 0x6b000907, 0x01003104,   // tl.id.lg_322 ru.uz.uk_333  pl.ceb.un_420 az.en.un_320 
  // [7a90]
  0x16001b04, 0x1c002804, 0x53560807, 0x310f10a0,   // tr.hr.un_320 sw.id.un_320  no.mg.ht_432 lt.lv.az_322 
  0x050a0604, 0x251956ad, 0x043530a0, 0x0f311b0c,   // de.pt.fr_332 mg.gl.eu_643  uz.tg.ru_322 tr.az.lv_543 
  0x08021aee, 0x17001604, 0x123d25a4, 0x23043007,   // tl.da.no_422 hr.sr.un_320  eu.ku.hu_433 uz.ru.ky_432 
  0x21311bee, 0x320d2da4, 0x183f37a0, 0x04321608,   // tr.az.jw_422 sk.cs.bs_433  st.af.ga_322 hr.bs.fi_443 
  // [7aa0]
  0x1b531e07, 0x305525a4, 0x282556a4, 0x1b2553a0,   // ms.ht.tr_432 eu.rw.uz_433  mg.eu.sw_433 ht.eu.tr_322 
  0x190a1807, 0x7364210e, 0x11562555, 0x645506a7,   // ga.pt.gl_432 jw.lg.ny_555  eu.mg.ro_442 de.rw.lg_532 
  0x0e033f0e, 0x040a0807, 0x080637a0, 0x2500561a,   // af.nl.is_555 uk.mk.ru_432  st.de.no_322 mg.eu.un_760 
  0x25005522, 0x09002512, 0x7337010c, 0x31002505,   // rw.eu.un_870 eu.pl.un_640  en.st.ny_543 eu.az.un_330 
  // [7ab0]
  0x29562507, 0x05072a05, 0x1e250d14, 0x1e001a07,   // eu.mg.sl_432 mt.it.fr_333  cs.eu.ms_666 tl.ms.un_420 
  0x09252da9, 0x2500550e, 0x17001f04, 0x0d000804,   // sk.eu.pl_544 rw.eu.un_550  cy.sr.un_320 no.cs.un_320 
  0x6b1c2faf, 0x73002509, 0x3100060b, 0x060c25a0,   // su.id.ceb_655 eu.ny.un_440  de.az.un_520 eu.sv.de_322 
  0x06011f0c, 0x2a1c2f12, 0x13005607, 0x64552a07,   // cy.en.de_543 su.id.mt_654  mg.et.un_420 mt.rw.lg_432 
  // [7ac0]
  0x555625a9, 0x01041355, 0x101a6b07, 0x123701a4,   // eu.mg.rw_544 et.fi.en_442  ceb.tl.lt_432 en.st.hu_433 
  0x251a6b12, 0x1e160e05, 0x06080204, 0x02280807,   // ceb.tl.eu_654 is.hr.ms_333  da.no.de_332 no.sw.da_432 
  0x3d002821, 0x32006b20, 0x3d130c0c, 0x23301714,   // sw.ku.un_860 ceb.bs.un_850  sv.et.ku_543 sr.uz.ky_666 
  0x04126b08, 0x0c28730c, 0x19642804, 0x12040f0d,   // ceb.hu.fi_443 ny.sw.sv_543  sw.lg.gl_332 lv.fi.hu_554 
  // [7ad0]
  0x0e0c08a4, 0x060a05a0, 0x0e10190c, 0x0a2a11a4,   // no.sv.is_433 fr.pt.de_322  gl.lt.is_543 ro.mt.pt_433 
  0x56280413, 0x556b6405, 0x0a001817, 0x253707a0,   // fi.sw.mg_665 lg.ceb.rw_333  ga.pt.un_730 it.st.eu_322 
  0x210c2fec, 0x10230eaf, 0x2d0d55a4, 0x083002ee,   // su.sv.jw_644 is.ca.lt_655  rw.cs.sk_433 da.uz.no_422 
  0x23000c08, 0x290a2702, 0x1707045a, 0x21062508,   // sv.ca.un_430 gd.pt.sl_222  ru.bg.sr_553 eu.de.jw_443 
  // [7ae0]
  0x08532fa0, 0x1b121f0c, 0x08002d07, 0x3f53370c,   // su.ht.no_322 cy.hu.tr_543  sk.no.un_420 st.ht.af_543 
  0x645525a4, 0x322156ad, 0x17002012, 0x102f1aa7,   // eu.rw.lg_433 mg.jw.bs_643  sq.sr.un_640 tl.su.lt_532 
  0x2f0c6b07, 0x372f73a9, 0x1a6b010c, 0x071306ee,   // ceb.sv.su_432 ny.su.st_544  en.ceb.tl_543 de.et.it_422 
  0x1e645512, 0x020d08ee, 0x033f02a9, 0x28643d0c,   // rw.lg.ms_654 no.cs.da_422  da.af.nl_544 ku.lg.sw_543 
  // [7af0]
  0x44100855, 0x1f00080c, 0x21371ca0, 0x1230250d,   // uk.be.kk_442 no.cy.un_530  id.st.jw_322 eu.uz.hu_554 
  0x052001ec, 0x44231712, 0x100f1fac, 0x270c020d,   // en.sq.fr_644 sr.ky.kk_654  cy.lv.lt_632 da.sv.gd_554 
  0x07002d04, 0x2d007312, 0x210b73a7, 0x32000b05,   // sk.it.un_320 ny.sk.un_640  ny.es.jw_532 es.bs.un_330 
  0x21001f07, 0x311202ee, 0x562f1c08, 0x37002908,   // cy.jw.un_420 da.hu.az_422  id.su.mg_443 sl.st.un_430 
  // [7b00]
  0x37002a12, 0x645553ec, 0x050207a0, 0x550928ec,   // mt.st.un_640 ht.rw.lg_644  it.da.fr_322 sw.pl.rw_644 
  0x3f647307, 0x090f01a4, 0x06002b04, 0x2000050c,   // ny.lg.af_432 en.lv.pl_433  vi.de.un_320 fr.sq.un_530 
  0x03003005, 0x37182aa7, 0x3d000e22, 0x0400301a,   // uz.nl.un_330 mt.ga.st_532  is.ku.un_870 uz.ru.un_760 
  0x28000619, 0x020520ad, 0x130e04af, 0x301b25ee,   // de.sw.un_750 sq.fr.da_643  fi.is.et_655 eu.tr.uz_422 
  // [7b10]
  0x2300052c, 0x29001c08, 0x0f001319, 0x286b1a55,   // fr.ca.un_990 id.sl.un_430  et.lv.un_750 tl.ceb.sw_442 
  0x04353055, 0x5600050d, 0x18251ea0, 0x2500080c,   // uz.tg.ru_442 fr.mg.un_540  ms.eu.ga_322 no.eu.un_530 
  0x1c2a1e0c, 0x73002912, 0x21003d07, 0x0c2b0107,   // ms.mt.id_543 sl.ny.un_640  ku.jw.un_420 en.vi.sv_432 
  0x300e1ea0, 0x30000a12, 0x066e0fee, 0x3707010b,   // ms.is.uz_322 mk.uz.un_640  lv.hmn.de_422 en.it.st_542 
  // [7b20]
  0x250f1007, 0x213d1ea4, 0x23190a0d, 0x202f2304,   // lt.lv.eu_432 ms.ku.jw_433  pt.gl.ca_554 ca.su.sq_332 
  0x3f0f1007, 0x3000060c, 0x23000804, 0x1b006b07,   // lt.lv.af_432 de.uz.un_530  no.ca.un_320 ceb.tr.un_420 
  0x302a3113, 0x212f2aec, 0x17300aa4, 0x120f105a,   // az.mt.uz_665 mt.su.jw_644  mk.uz.sr_433 lt.lv.hu_553 
  0x050601af, 0x0a1730ad, 0x35000812, 0x04303508,   // en.de.fr_655 uz.sr.mk_643  uk.tg.un_640 tg.uz.ru_443 
  // [7b30]
  0x3f001702, 0x0f106ea7, 0x0b55530c, 0x6b12070d,   // sr.af.un_220 hmn.lt.lv_532  ht.rw.es_543 it.hu.ceb_554 
  0x27190b04, 0x071704a0, 0x0e1923a0, 0x0a29070c,   // es.gl.gd_332 ru.sr.bg_322  ca.gl.is_322 it.sl.pt_543 
  0x1a006b14, 0x0d080ca4, 0x301629a0, 0x6e001f05,   // ceb.tl.un_660 sv.no.cs_433  sl.hr.uz_322 cy.hmn.un_330 
  0x2700070d, 0x29000704, 0x11040808, 0x052a1307,   // it.gd.un_540 it.sl.un_320  uk.ru.ro_443 et.mt.fr_432 
  // [7b40]
  0x11006407, 0x01100408, 0x0f13100c, 0x03131ca4,   // lg.ro.un_420 fi.lt.en_443  lt.et.lv_543 id.et.nl_433 
  0x1a282105, 0x18016b02, 0x06070104, 0x2b0a0504,   // jw.sw.tl_333 ceb.en.ga_222  en.it.de_332 fr.pt.vi_332 
  0x032b0c08, 0x23001c0d, 0x030501a7, 0x03000529,   // sv.vi.nl_443 id.ca.un_540  en.fr.nl_532 fr.nl.un_960 
  0x2700022a, 0x30083507, 0x08001722, 0x08020908,   // da.gd.un_970 tg.uk.uz_432  sr.uk.un_870 pl.da.no_443 
  // [7b50]
  0x03013fa4, 0x03013fee, 0x20000207, 0x033f08a4,   // af.en.nl_433 af.en.nl_422  da.sq.un_420 no.af.nl_433 
  0x012153a0, 0x01190b08, 0x231f0560, 0x0700290d,   // ht.jw.en_322 es.gl.en_443  fr.cy.ca_664 sl.it.un_540 
  0x1923010c, 0x190113a0, 0x1632200d, 0x21323f08,   // en.ca.gl_543 et.en.gl_322  sq.bs.hr_554 af.bs.jw_443 
  0x44003004, 0x1929070c, 0x07003204, 0x230a30ee,   // uz.kk.un_320 it.sl.gl_543  bs.it.un_320 uz.mk.ky_422 
  // [7b60]
  0x1a001e02, 0x071035a0, 0x20020807, 0x0a000519,   // ms.tl.un_220 tg.be.bg_322  no.da.sq_432 fr.pt.un_750 
  0x0e000b08, 0x23051ea4, 0x23130508, 0x20052308,   // es.is.un_430 ms.fr.ca_433  fr.et.ca_443 ca.fr.sq_443 
  0x110723ec, 0x12005302, 0x05001c04, 0x3f032504,   // ky.bg.ro_644 ht.hu.un_220  id.fr.un_320 eu.nl.af_332 
  0x30006412, 0x13253711, 0x080e01a0, 0x1f002508,   // lg.uz.un_640 st.eu.et_653  en.is.no_322 eu.cy.un_430 
  // [7b70]
  0x0a0723a9, 0x1f2537ee, 0x041017a9, 0x080711ee,   // ky.bg.mk_544 st.eu.cy_422  sr.be.ru_544 ro.bg.uk_422 
  0x16641b0c, 0x1c125307, 0x04231007, 0x2f0420ad,   // tr.lg.hr_543 ht.hu.id_432  be.ky.ru_432 sq.fi.su_643 
  0x25000c05, 0x2b060107, 0x3f0325ee, 0x060c30a0,   // sv.eu.un_330 en.de.vi_432  eu.nl.af_422 uz.sv.de_322 
  0x3500041b, 0x1c215604, 0x05082b07, 0x2f0a1b13,   // ru.tg.un_770 mg.jw.id_332  vi.no.fr_432 tr.pt.su_665 
  // [7b80]
  0x08002b19, 0x53001902, 0x2d0f2907, 0x3f135608,   // vi.no.un_750 gl.ht.un_220  sl.lv.sk_432 mg.et.af_443 
  0x17040814, 0x121f56ad, 0x373f25af, 0x2a0201ad,   // uk.ru.sr_666 mg.cy.hu_643  eu.af.st_655 en.da.mt_643 
  0x6b002f12, 0x3f250302, 0x1b070107, 0x28130408,   // su.ceb.un_640 nl.eu.af_222  en.it.tr_432 fi.et.sw_443 
  0x060501af, 0x1a23530b, 0x3f03050c, 0x27372fee,   // en.fr.de_655 ht.ca.tl_542  fr.nl.af_543 su.st.gd_422 
  // [7b90]
  0x20003702, 0x070a13ee, 0x13043fac, 0x04080c0d,   // st.sq.un_220 et.pt.it_422  af.fi.et_632 sv.no.fi_554 
  0x30231002, 0x56003721, 0x04080ca0, 0x37001109,   // be.ky.uz_222 st.mg.un_860  sv.no.fi_322 ro.st.un_440 
  0x1100190e, 0x20033f5a, 0x190a2312, 0x290e07a4,   // gl.ro.un_550 af.nl.sq_553  ca.pt.gl_654 it.is.sl_433 
  0x051127a4, 0x3004105a, 0x03002f04, 0x1b170907,   // gd.ro.fr_433 be.ru.uz_553  su.nl.un_320 pl.sr.tr_432 
  // [7ba0]
  0x02321602, 0x190b27a4, 0x12311bee, 0x10000a22,   // hr.bs.da_222 gd.es.gl_433  tr.az.hu_422 mk.be.un_870 
  0x2a0f3f04, 0x25122f04, 0x0b002707, 0x251c1e11,   // af.lv.mt_332 su.hu.eu_332  gd.es.un_420 ms.id.eu_653 
  0x211c11a0, 0x1000441b, 0x3704135a, 0x061112ec,   // ro.id.jw_322 kk.be.un_770  et.fi.st_553 hu.ro.de_644 
  0x641304a0, 0x21641c07, 0x216b1aa4, 0x2300070e,   // fi.et.lg_322 id.lg.jw_432  tl.ceb.jw_433 it.ca.un_550 
  // [7bb0]
  0x036b73ee, 0x030e0f07, 0x30083560, 0x190b05a0,   // ny.ceb.nl_422 lv.is.nl_432  tg.uk.uz_664 fr.es.gl_322 
  0x12002502, 0x286b1aad, 0x2b002323, 0x641a2109,   // eu.hu.un_220 tl.ceb.sw_643  ca.vi.un_880 jw.tl.lg_444 
  0x0e00180b, 0x6b1755ad, 0x642f29a4, 0x37090d07,   // ga.is.un_520 rw.sr.ceb_643  sl.su.lg_433 cs.pl.st_432 
  0x1a2164a4, 0x53211ea0, 0x2b001802, 0x736b210c,   // lg.jw.tl_433 ms.jw.ht_322  ga.vi.un_220 jw.ceb.ny_543 
  // [7bc0]
  0x55000804, 0x55002007, 0x201a01a0, 0x5628550c,   // no.rw.un_320 sq.rw.un_420  en.tl.sq_322 rw.sw.mg_543 
  0x56002a04, 0x21641aa7, 0x642555af, 0x07233008,   // mt.mg.un_320 tl.lg.jw_532  rw.eu.lg_655 uz.ky.bg_443 
  0x64215507, 0x37091a05, 0x64285507, 0x092d25a0,   // rw.jw.lg_432 tl.pl.st_333  rw.sw.lg_432 eu.sk.pl_322 
  0x23040707, 0x1b007322, 0x111135ad, 0x732555a4,   // bg.ru.ky_432 ny.tr.un_870  tg.ro.ro_643 rw.eu.ny_433 
  // [7bd0]
  0x641a2111, 0x44231112, 0x29560da4, 0x0f252f0c,   // jw.tl.lg_653 ro.ky.kk_654  cs.mg.sl_433 su.eu.lv_543 
  0x30040705, 0x56005320, 0x111130a4, 0x04123007,   // bg.ru.uz_333 ht.mg.un_850  uz.ro.ro_433 uz.hu.fi_432 
  0x73285508, 0x53002305, 0x170a0805, 0x35080405,   // rw.sw.ny_443 ca.ht.un_330  uk.mk.sr_333 ru.uk.tg_333 
  0x17002d05, 0x441023a7, 0x3500110e, 0x04080a04,   // sk.sr.un_330 ky.be.kk_532  ro.tg.un_550 mk.uk.ru_332 
  // [7be0]
  0x1c000d21, 0x10080409, 0x28551211, 0x17000f09,   // ne.mr.un_860 ru.uk.be_444  hu.rw.sw_653 lv.sr.un_440 
  0x08040ca6, 0x08001f0e, 0x04003d12, 0x3f001004,   // sv.fi.no_521 cy.no.un_550  ku.fi.un_640 lt.af.un_320 
  0x350408ad, 0x03003f2c, 0x0f276bee, 0x44170a07,   // uk.ru.tg_643 af.nl.un_990  ceb.gd.lv_422 mk.sr.kk_432 
  0x086b2aee, 0x37001f0d, 0x25000718, 0x2a09180c,   // mt.ceb.no_422 cy.st.un_540  it.eu.un_740 ga.pl.mt_543 
  // [7bf0]
  0x735564ec, 0x130e0cad, 0x28001008, 0x211c73a7,   // lg.rw.ny_644 sv.is.et_643  lt.sw.un_430 ny.id.jw_532 
  0x07230b04, 0x563f13a4, 0x067356ec, 0x13373008,   // es.ca.it_332 et.af.mg_433  mg.ny.de_644 uz.st.et_443 
  0x0d172904, 0x0f002f19, 0x04000f0e, 0x1107300c,   // sl.sr.cs_332 su.lv.un_750  lv.fi.un_550 uz.it.ro_543 
  0x0f002814, 0x18285604, 0x7313040d, 0x28560f08,   // sw.lv.un_660 mg.sw.ga_332  fi.et.ny_554 lv.mg.sw_443 
  
  // [7c00]
  0x291728a0, 0x11002811, 0x30006402, 0x041b640b,   // sw.sr.sl_322 sw.ro.un_630  lg.uz.un_220 lg.tr.fi_542 
  0x08111112, 0x641e1c02, 0x1a00102a, 0x641f0607,   // ro.ro.uk_654 id.ms.lg_222  lt.tl.un_970 de.cy.lg_432 
  0x17000f04, 0x1a046b0c, 0x1e00551a, 0x0103640b,   // lv.sr.un_320 ceb.fi.tl_543  rw.ms.un_760 lg.nl.en_542 
  0x73001c13, 0x56180107, 0x37000413, 0x0353010c,   // id.ny.un_650 en.ga.mg_432  fi.st.un_650 en.ht.nl_543 
  // [7c10]
  0x136b3704, 0x53003713, 0x37566ba4, 0x286b03a0,   // st.ceb.et_332 st.ht.un_650  ceb.mg.st_433 nl.ceb.sw_322 
  0x0b6e2012, 0x01006404, 0x180537af, 0x03533f04,   // sq.hmn.es_654 lg.en.un_320  st.fr.ga_655 af.ht.nl_332 
  0x3f005619, 0x533d0f04, 0x21182b13, 0x123701ec,   // mg.af.un_750 lv.ku.ht_332  vi.ga.jw_665 en.st.hu_644 
  0x280f2aa9, 0x11000536, 0x1756280c, 0x372513ad,   // mt.lv.sw_544 fr.ro.un_AA0  sw.mg.sr_543 et.eu.st_643 
  // [7c20]
  0x1e1c28a6, 0x53001f23, 0x6b253704, 0x0c642f0d,   // sw.id.ms_521 cy.ht.un_880  st.eu.ceb_332 su.lg.sv_554 
  0x64043712, 0x17080a07, 0x30107312, 0x563d6404,   // st.fi.lg_654 mk.uk.sr_432  ny.lt.uz_654 lg.ku.mg_332 
  0x53643d12, 0x1e1c0414, 0x016b1fa9, 0x73643711,   // ku.lg.ht_654 fi.id.ms_666  cy.ceb.en_544 st.lg.ny_653 
  0x6b1329a0, 0x25005623, 0x32556404, 0x202d0d0d,   // sl.et.ceb_322 mg.eu.un_880  lg.rw.bs_332 cs.sk.sq_554 
  // [7c30]
  0x371b3da9, 0x563d3704, 0x04441005, 0x09002704,   // ku.tr.st_544 st.ku.mg_332  be.kk.ru_333 gd.pl.un_320 
  0x3d002033, 0x1c171ea4, 0x31001105, 0x3d1b010c,   // sq.ku.un_A70 ms.sr.id_433  ro.az.un_330 en.tr.ku_543 
  0x050123a0, 0x3f532013, 0x2a005613, 0x23112aac,   // ca.en.fr_322 sq.ht.af_665  mg.mt.un_650 mt.ro.ca_632 
  0x041723a4, 0x0f000309, 0x3f211ca4, 0x44041709,   // ky.sr.ru_433 nl.lv.un_440  id.jw.af_433 sr.ru.kk_444 
  // [7c40]
  0x08442312, 0x0c550704, 0x565537ee, 0x1e1656a0,   // ky.kk.uk_654 it.rw.sv_332  st.rw.mg_422 mg.hr.ms_322 
  0x180c3007, 0x020c3f02, 0x64003719, 0x1156010b,   // uz.sv.ga_432 af.sv.da_222  st.lg.un_750 en.mg.ro_542 
  0x100a0407, 0x27071107, 0x35000709, 0x4430040c,   // ru.mk.be_432 ro.it.gd_432  bg.tg.un_440 ru.uz.kk_543 
  0x010605ee, 0x102344a4, 0x05230112, 0x17040a04,   // fr.de.en_422 kk.ky.be_433  en.ca.fr_654 mk.ru.sr_332 
  // [7c50]
  0x1000082b, 0x020507ec, 0x2f2b1c04, 0x200a28ee,   // uk.be.un_980 it.fr.da_644  id.vi.su_332 sw.pt.sq_422 
  0x120a23a0, 0x01050704, 0x1f002004, 0x110523a4,   // ca.pt.hu_322 it.fr.en_332  sq.cy.un_320 ca.fr.ro_433 
  0x20210a07, 0x030d3f0e, 0x0d2d0c04, 0x04172302,   // pt.jw.sq_432 af.cs.nl_555  sv.sk.cs_332 ky.sr.ru_222 
  0x010b37a0, 0x6b000605, 0x0e000818, 0x29006413,   // st.es.en_322 de.ceb.un_330  no.is.un_740 lg.sl.un_650 
  // [7c60]
  0x0407110d, 0x1a007313, 0x1f000a04, 0x251a0ea7,   // ro.bg.ru_554 ny.tl.un_650  pt.cy.un_320 is.tl.eu_532 
  0x111b640d, 0x1e1221a0, 0x551a1b0c, 0x230a0704,   // lg.tr.ro_554 jw.hu.ms_322  tr.tl.rw_543 it.pt.ca_332 
  0x0f1f1307, 0x73003705, 0x736b0107, 0x255528a9,   // et.cy.lv_432 st.ny.un_330  en.ceb.ny_432 sw.rw.eu_544 
  0x17081007, 0x6407250c, 0x0b001808, 0x23110755,   // be.uk.sr_432 eu.it.lg_543  ga.es.un_430 it.ro.ca_442 
  // [7c70]
  0x25005513, 0x18010604, 0x1b552908, 0x64551ba7,   // rw.eu.un_650 de.en.ga_332  sl.rw.tr_443 tr.rw.lg_532 
  0x210510a0, 0x11072908, 0x09005509, 0x1e645507,   // lt.fr.jw_322 sl.it.ro_443  rw.pl.un_440 rw.lg.ms_432 
  0x13001004, 0x0700550c, 0x6b1613a0, 0x06082aa0,   // lt.et.un_320 rw.it.un_530  et.hr.ceb_322 mt.no.de_322 
  0x17007304, 0x12007309, 0x64005612, 0x133704a9,   // ny.sr.un_320 ny.hu.un_440  mg.lg.un_640 fi.st.et_544 
  // [7c80]
  0x01111b0c, 0x250413a4, 0x04030d05, 0x1f001907,   // tr.ro.en_543 et.fi.eu_433  cs.nl.fi_333 gl.cy.un_420 
  0x0b000420, 0x2d0d53a0, 0x172d0d05, 0x531905ee,   // fi.es.un_850 ht.cs.sk_322  cs.sk.sr_333 fr.gl.ht_422 
  0x55000913, 0x08000a04, 0x3f0503a0, 0x0c2304a4,   // pl.rw.un_650 mk.uk.un_320  nl.fr.af_322 fi.ca.sv_433 
  0x2105530c, 0x641b53a0, 0x21282fa0, 0x07041002,   // ht.fr.jw_543 ht.tr.lg_322  su.sw.jw_322 be.ru.bg_222 
  // [7c90]
  0x0d006b04, 0x170a08a7, 0x28206bec, 0x28530111,   // ceb.cs.un_320 uk.mk.sr_532  ceb.sq.sw_644 en.ht.sw_653 
  0x17441107, 0x0c000505, 0x03005305, 0x1e000504,   // ro.kk.sr_432 fr.sv.un_330  ht.nl.un_330 fr.ms.un_320 
  0x300a3505, 0x0e1f0c05, 0x20002312, 0x060e29a6,   // tg.mk.uz_333 sv.cy.is_333  ca.sq.un_640 sl.is.de_521 
  0x0b000e07, 0x211c2f14, 0x31301b07, 0x063003a4,   // is.es.un_420 su.id.jw_666  tr.uz.az_432 nl.uz.de_433 
  // [7ca0]
  0x313d1ba9, 0x0a0704a7, 0x30311b07, 0x0c2a0707,   // tr.ku.az_544 ru.bg.mk_532  tr.az.uz_432 it.mt.sv_432 
  0x10203daf, 0x200805a0, 0x11002019, 0x060c0fa9,   // ku.sq.lt_655 fr.no.sq_322  sq.ro.un_750 lv.sv.de_544 
  0x17233505, 0x18010304, 0x0c1b30ad, 0x1b300f04,   // tg.ky.sr_333 nl.en.ga_332  uz.tr.sv_643 lv.uz.tr_332 
  0x6b100f11, 0x102d0d0d, 0x1f0d2d11, 0x070a30a0,   // lv.lt.ceb_653 cs.sk.lt_554  sk.cs.cy_653 uz.mk.bg_322 
  // [7cb0]
  0x311137a0, 0x112f56ad, 0x06002d02, 0x0700440e,   // st.ro.az_322 mg.su.ro_643  sk.de.un_220 kk.bg.un_550 
  0x07000811, 0x07250fa4, 0x28250708, 0x11006404,   // uk.bg.un_630 lv.eu.it_433  it.eu.sw_443 lg.ro.un_320 
  0x311e73ee, 0x11001702, 0x3273250c, 0x3f002802,   // ny.ms.az_422 sr.ro.un_220  eu.ny.bs_543 sw.af.un_220 
  0x25730712, 0x04000a14, 0x53033fa4, 0x101107a0,   // it.ny.eu_654 mk.ru.un_660  af.nl.ht_433 it.ro.lt_322 
  // [7cc0]
  0x07002f05, 0x3f6b1a0d, 0x10170709, 0x3d256408,   // su.it.un_330 tl.ceb.af_554  bg.sr.be_444 lg.eu.ku_443 
  0x3f000608, 0x080a070d, 0x44000419, 0x557325ad,   // de.af.un_430 bg.mk.uk_554  ru.kk.un_750 eu.ny.rw_643 
  0x28643155, 0x170a3511, 0x2530310c, 0x03532702,   // az.lg.sw_442 tg.mk.sr_653  az.uz.eu_543 gd.ht.nl_222 
  0x643d280c, 0x532507a9, 0x2500070e, 0x07253dad,   // sw.ku.lg_543 it.eu.ht_544  it.eu.un_550 ku.eu.it_643 
  // [7cd0]
  0x0e270c55, 0x0f250708, 0x07441007, 0x310f1b05,   // sv.gd.is_442 it.eu.lv_443  be.kk.bg_432 tr.lv.az_333 
  0x06006b12, 0x2d0d3202, 0x2a1f3f07, 0x2a006414,   // ceb.de.un_640 bs.cs.sk_222  af.cy.mt_432 lg.mt.un_660 
  0x13002a09, 0x1c162bee, 0x11110808, 0x060b28a0,   // mt.et.un_440 vi.hr.id_422  uk.ro.ro_443 sw.es.de_322 
  0x1c003f02, 0x530c0813, 0x2d0d2502, 0x53000912,   // af.id.un_220 no.sv.ht_665  eu.cs.sk_222 pl.ht.un_640 
  // [7ce0]
  0x09000605, 0x283073a0, 0x170a11af, 0x5356050c,   // de.pl.un_330 ny.uz.sw_322  ro.mk.sr_655 fr.mg.ht_543 
  0x3f002004, 0x5301050c, 0x090d2dec, 0x16291208,   // sq.af.un_320 fr.en.ht_543  sk.cs.pl_644 hu.sl.hr_443 
  0x16290c07, 0x10080a04, 0x53033f13, 0x2d060907,   // sv.sl.hr_432 mk.uk.be_332  af.nl.ht_665 pl.de.sk_432 
  0x23350a12, 0x7300060c, 0x060b2804, 0x18000908,   // mk.tg.ky_654 de.ny.un_530  sw.es.de_332 pl.ga.un_430 
  // [7cf0]
  0x080602a0, 0x643f0308, 0x0d6e1ca0, 0x1a00550d,   // da.de.no_322 nl.af.lg_443  id.hmn.cs_322 rw.tl.un_540 
  0x0a00250d, 0x20001608, 0x111f6ba4, 0x291708a0,   // eu.pt.un_540 hr.sq.un_430  ceb.cy.ro_433 no.sr.sl_322 
  0x100844a9, 0x05005335, 0x28642f08, 0x17192908,   // kk.uk.be_544 ht.fr.un_A90  su.lg.sw_443 sl.gl.sr_443 
  0x3001250c, 0x56286eee, 0x64040607, 0x73000523,   // eu.en.uz_543 hmn.sw.mg_422  de.fi.lg_432 fr.ny.un_880 
  // [7d00]
  0x2f73550c, 0x2f001b19, 0x3f100f5a, 0x1a005305,   // rw.ny.su_543 tr.su.un_750  lv.lt.af_553 ht.tl.un_330 
  0x55643709, 0x736437a4, 0x1c64730c, 0x100f0313,   // st.lg.rw_444 st.lg.ny_433  ny.lg.id_543 nl.lv.lt_665 
  0x7325370e, 0x0700030e, 0x25091013, 0x091153ad,   // st.eu.ny_555 nl.it.un_550  lt.pl.eu_665 ht.ro.pl_643 
  0x2a000f14, 0x372f64ec, 0x3f0725a4, 0x7309550b,   // lv.mt.un_660 lg.su.st_644  eu.it.af_433 rw.pl.ny_542 
  // [7d10]
  0x0b287307, 0x1f3f0304, 0x25090660, 0x070264af,   // ny.sw.es_432 nl.af.cy_332  de.pl.eu_664 lg.da.it_655 
  0x64003f09, 0x101a5607, 0x64002d13, 0x73002814,   // af.lg.un_440 mg.tl.lt_432  sk.lg.un_650 sw.ny.un_660 
  0x213f2507, 0x557328a7, 0x07111160, 0x30640408,   // eu.af.jw_432 sw.ny.rw_532  ro.ro.bg_664 fi.lg.uz_443 
  0x21006402, 0x2d100f0c, 0x3073640b, 0x23251905,   // lg.jw.un_220 lv.lt.sk_543  lg.ny.uz_542 gl.eu.ca_333 
  // [7d20]
  0x0802040c, 0x305607a4, 0x19002009, 0x077337af,   // fi.da.no_543 it.mg.uz_433  sq.gl.un_440 st.ny.it_655 
  0x04234413, 0x1c303dee, 0x1b003d13, 0x0f002309,   // kk.ky.ru_665 ku.uz.id_422  ku.tr.un_650 ca.lv.un_440 
  0x076473a7, 0x170704a0, 0x0d000a04, 0x052d0305,   // ny.lg.it_532 ru.bg.sr_322  pt.cs.un_320 nl.sk.fr_333 
  0x10001308, 0x070a23ec, 0x080a35ec, 0x08351708,   // et.lt.un_430 ky.mk.bg_644  tg.mk.uk_644 sr.tg.uk_443 
  // [7d30]
  0x11561c0b, 0x081b3008, 0x11253012, 0x08021305,   // id.mg.ro_542 uz.tr.no_443  uz.eu.ro_654 et.da.no_333 
  0x10290d08, 0x35040aa0, 0x55561ea0, 0x56253dec,   // cs.sl.lt_443 mk.ru.tg_322  ms.mg.rw_322 ku.eu.mg_644 
  0x0e3028a9, 0x233d2d07, 0x31301b60, 0x1a20550c,   // sw.uz.is_544 sk.ku.ca_432  tr.uz.az_664 rw.sq.tl_543 
  0x31551ca0, 0x6b1a53ad, 0x10081105, 0x6b1a530c,   // id.rw.az_322 ht.tl.ceb_643  ro.uk.be_333 ht.tl.ceb_543 
  // [7d40]
  0x173508ad, 0x11004414, 0x1a6b53af, 0x0a2f2113,   // uk.tg.sr_643 kk.ro.un_660  ht.ceb.tl_655 jw.su.pt_665 
  0x1b133d0b, 0x11302508, 0x283d1a5a, 0x1b1a530c,   // ku.et.tr_542 eu.uz.ro_443  tl.ku.sw_553 ht.tl.tr_543 
  0x23310a04, 0x53001a1b, 0x1b31300c, 0x1a531b04,   // pt.az.ca_332 tl.ht.un_770  uz.az.tr_543 tr.ht.tl_332 
  0x25301b0c, 0x30002308, 0x1b303114, 0x0e0601a0,   // tr.uz.eu_543 ca.uz.un_430  az.uz.tr_666 en.de.is_322 
  // [7d50]
  0x09001002, 0x00000137, 0x3d1b53af, 0x53001a0d,   // lt.pl.un_220 en.un.un_B00  ht.tr.ku_655 tl.ht.un_540 
  0x6b1a53a4, 0x0444100d, 0x3f0e0212, 0x3f200e07,   // ht.tl.ceb_433 be.kk.ru_554  da.is.af_654 is.sq.af_432 
  0x1a1b53a9, 0x6b531a12, 0x27061807, 0x6b1a53af,   // ht.tr.tl_544 tl.ht.ceb_654  ga.de.gd_432 ht.tl.ceb_655 
  0x0a043555, 0x321f0ead, 0x060701a4, 0x1b6453ee,   // tg.ru.mk_442 is.cy.bs_643  en.it.de_433 ht.lg.tr_422 
  // [7d60]
  0x20003008, 0x232f05a4, 0x530f0514, 0x0a000513,   // uz.sq.un_430 fr.su.ca_433  fr.lv.ht_666 fr.pt.un_650 
  0x101707ad, 0x2d0d16a4, 0x18002512, 0x100553ee,   // bg.sr.be_643 hr.cs.sk_433  eu.ga.un_640 ht.fr.lt_422 
  0x0e0c64a0, 0x1b002112, 0x6b121a04, 0x12040f08,   // lg.sv.is_322 jw.tr.un_640  tl.hu.ceb_332 lv.fi.hu_443 
  0x1b120f0b, 0x0f00040c, 0x11270111, 0x55007305,   // lv.hu.tr_542 fi.lv.un_530  en.gd.ro_653 ny.rw.un_330 
  // [7d70]
  0x16005304, 0x016b0f04, 0x28533fee, 0x062d0d05,   // ht.hr.un_320 lv.ceb.en_332  af.ht.sw_422 cs.sk.de_333 
  0x13002304, 0x130e04a4, 0x2f211c05, 0x0d002d20,   // ca.et.un_320 fi.is.et_433  id.jw.su_333 sk.cs.un_850 
  0x0a002804, 0x30321608, 0x122a0f08, 0x202f1c04,   // sw.pt.un_320 hr.bs.uz_443  lv.mt.hu_443 id.su.sq_332 
  0x29091308, 0x64097309, 0x102f0fad, 0x55297307,   // et.pl.sl_443 ny.pl.lg_444  lv.su.lt_643 ny.sl.rw_432 
  // [7d80]
  0x1b2f2107, 0x2d097360, 0x2f0b2905, 0x55115308,   // jw.su.tr_432 ny.pl.sk_664  sl.es.su_333 ht.ro.rw_443 
  0x13002f04, 0x320d2d07, 0x6b00060d, 0x283020ad,   // su.et.un_320 sk.cs.bs_432  de.ceb.un_540 sq.uz.sw_643 
  0x040b530c, 0x29072aa0, 0x1373210b, 0x08031c08,   // ht.es.fi_543 mt.it.sl_322  jw.ny.et_542 id.nl.no_443 
  0x2f1c13ad, 0x375303ee, 0x53002521, 0x552f2108,   // et.id.su_643 nl.ht.st_422  eu.ht.un_860 jw.su.rw_443 
  // [7d90]
  0x1a136ba7, 0x3f6403a0, 0x1f002a14, 0x0900290e,   // ceb.et.tl_532 nl.lg.af_322  mt.cy.un_660 sl.pl.un_550 
  0x2932160e, 0x1a2f730d, 0x17000709, 0x2f041005,   // hr.bs.sl_555 ny.su.tl_554  bg.sr.un_440 lt.fi.su_333 
  0x212f1aa9, 0x17053fee, 0x101b11a9, 0x30001f12,   // tl.su.jw_544 af.fr.sr_422  ro.tr.lt_544 cy.uz.un_640 
  0x043055ad, 0x136b20ee, 0x102f21a0, 0x55641aec,   // rw.uz.fi_643 sq.ceb.et_422  jw.su.lt_322 tl.lg.rw_644 
  // [7da0]
  0x182721af, 0x30202855, 0x2f211aa9, 0x55003714,   // jw.gd.ga_655 sw.sq.uz_442  tl.jw.su_544 st.rw.un_660 
  0x53002702, 0x642028a4, 0x2f3d1a0c, 0x20135555,   // gd.ht.un_220 sw.sq.lg_433  tl.ku.su_543 rw.et.sq_442 
  0x53013fa0, 0x30311aee, 0x55282a0c, 0x25003107,   // af.en.ht_322 tl.az.uz_422  mt.sw.rw_543 az.eu.un_420 
  0x132855a7, 0x32172902, 0x6420550b, 0x05001e08,   // rw.sw.et_532 sl.sr.bs_222  rw.sq.lg_542 ms.fr.un_430 
  // [7db0]
  0x11001022, 0x07001e0d, 0x1e1c73af, 0x3f6b1aec,   // be.ro.un_870 ms.it.un_540  ny.id.ms_655 tl.ceb.af_644 
  0x2f301a0c, 0x64041aee, 0x08063004, 0x552830ee,   // tl.uz.su_543 tl.fi.lg_422  uz.de.no_332 uz.sw.rw_422 
  0x28041305, 0x202855ad, 0x2d0d0cee, 0x17443004,   // et.fi.sw_333 rw.sw.sq_643  sv.cs.sk_422 uz.kk.sr_332 
  0x55202807, 0x56005502, 0x081004a7, 0x041730ac,   // sw.sq.rw_432 rw.mg.un_220  ru.be.uk_532 uz.sr.ru_632 
  // [7dc0]
  0x1130230d, 0x32291604, 0x08004413, 0x10170a0c,   // ky.uz.ro_554 hr.sl.bs_332  kk.uk.un_650 mk.sr.be_543 
  0x074404a0, 0x07044405, 0x30003204, 0x321629ee,   // ru.kk.bg_322 kk.ru.bg_333  bs.uz.un_320 sl.hr.bs_422 
  0x09002702, 0x1f080e08, 0x2d040dee, 0x35230aa4,   // gd.pl.un_220 is.no.cy_443  cs.fi.sk_422 mk.ky.tg_433 
  0x2d0d180e, 0x0e003713, 0x2a201804, 0x07041807,   // ga.cs.sk_555 st.is.un_650  ga.sq.mt_332 ga.fi.it_432 
  // [7dd0]
  0x2000230d, 0x2855730c, 0x08022302, 0x112330a4,   // ca.sq.un_540 ny.rw.sw_543  ca.da.no_222 uz.ky.ro_433 
  0x033f0c04, 0x170a0804, 0x6b3d01a6, 0x08020e14,   // sv.af.nl_332 uk.mk.sr_332  en.ku.ceb_521 is.da.no_666 
  0x0c6b08ad, 0x27041811, 0x2b1a1ea0, 0x12311ba7,   // no.ceb.sv_643 ga.fi.gd_653  ms.tl.vi_322 tr.az.hu_532 
  0x081827a9, 0x03123fa4, 0x28003202, 0x1c212f07,   // gd.ga.no_544 af.hu.nl_433  bs.sw.un_220 su.jw.id_432 
  // [7de0]
  0x13110107, 0x0f000e09, 0x3f030604, 0x6b291604,   // en.ro.et_432 is.lv.un_440  de.nl.af_332 hr.sl.ceb_332 
  0x03063fee, 0x1020010b, 0x063f03a7, 0x30532105,   // af.de.nl_422 en.sq.lt_542  nl.af.de_532 jw.ht.uz_333 
  0x090430af, 0x043011ee, 0x1b001214, 0x06083fa0,   // uz.fi.pl_655 ro.uz.ru_422  hu.tr.un_660 af.no.de_322 
  0x0a0f6b07, 0x1708040b, 0x0a1710a9, 0x552d0d5a,   // ceb.lv.pt_432 ru.uk.sr_542  be.sr.mk_544 cs.sk.rw_553 
  // [7df0]
  0x0c030612, 0x036b06ad, 0x29002802, 0x06033004,   // de.nl.sv_654 de.ceb.nl_643  sw.sl.un_220 uz.nl.de_332 
  0x2100182c, 0x0c060311, 0x123f1aa0, 0x73005318,   // ar.fa.un_990 nl.de.sv_653  tl.af.hu_322 ht.ny.un_740 
  0x1f016bee, 0x2f64730d, 0x08000c1a, 0x080a120c,   // ceb.en.cy_422 ny.lg.su_554  sv.no.un_760 hu.pt.no_543 
  0x092d73ad, 0x1a216b0d, 0x32096407, 0x0a080c0c,   // ny.sk.pl_643 ceb.jw.tl_554  lg.pl.bs_432 sv.no.pt_543 
  // [7e00]
  0x287355a9, 0x64551ca9, 0x25126b08, 0x0873370c,   // rw.ny.sw_544 id.rw.lg_544  ceb.hu.eu_443 st.ny.no_543 
  0x066b2f08, 0x12202114, 0x01190bad, 0x301e2109,   // su.ceb.de_443 jw.sq.hu_666  es.gl.en_643 jw.ms.uz_444 
  0x73012708, 0x1b001221, 0x21005512, 0x64001a34,   // gd.en.ny_443 hu.tr.un_860  rw.jw.un_640 tl.lg.un_A80 
  0x731c1ea9, 0x642507a0, 0x2f00551a, 0x1f271812,   // ms.id.ny_544 it.eu.lg_322  rw.su.un_760 ga.gd.cy_654 
  // [7e10]
  0x280306ad, 0x0705110c, 0x1e172aa4, 0x0300062c,   // de.nl.sw_643 ro.fr.it_543  mt.sr.ms_433 de.nl.un_990 
  0x7317550b, 0x1e1c2308, 0x0800231a, 0x35071107,   // rw.sr.ny_542 ca.id.ms_443  ky.uk.un_760 ro.bg.tg_432 
  0x320d17a0, 0x642f550c, 0x07234411, 0x16003014,   // sr.cs.bs_322 rw.su.lg_543  kk.ky.bg_653 uz.hr.un_660 
  0x2b005504, 0x55642f08, 0x32002013, 0x04002f07,   // rw.vi.un_320 su.lg.rw_443  sq.bs.un_650 su.fi.un_420 
  // [7e20]
  0x2f00060b, 0x0d172da0, 0x6400730d, 0x120c080c,   // de.su.un_520 sk.sr.cs_322  ny.lg.un_540 no.sv.hu_543 
  0x110427a9, 0x04282109, 0x27001104, 0x13032b0c,   // gd.fi.ro_544 jw.sw.fi_444  ro.gd.un_320 vi.nl.et_543 
  0x1e1c2aa4, 0x07560da0, 0x0e010602, 0x21372fee,   // mt.id.ms_433 cs.mg.it_322  de.en.is_222 su.st.jw_422 
  0x06000919, 0x0700180c, 0x00006b37, 0x561a1c0c,   // pl.de.un_750 ga.it.un_530  ceb.un.un_B00 id.tl.mg_543 
  // [7e30]
  0x13000911, 0x04001f07, 0x1a301c0c, 0x3f011a55,   // hi.bh.un_630 cy.fi.un_420  id.uz.tl_543 tl.en.af_442 
  0x212f200c, 0x0f2d0d13, 0x1f033f55, 0x3128560c,   // sq.su.jw_543 cs.sk.lv_665  af.nl.cy_442 mg.sw.az_543 
  0x1a306ba7, 0x73303da4, 0x20130412, 0x2d0d31ee,   // ceb.uz.tl_532 ku.uz.ny_433  fi.et.sq_654 az.cs.sk_422 
  0x2f3f1355, 0x120e2b12, 0x302a07af, 0x3544230b,   // et.af.su_442 vi.is.hu_654  it.mt.uz_655 ky.kk.tg_542 
  // [7e40]
  0x1a1c1ea4, 0x3119230c, 0x046413a0, 0x21281ea4,   // ms.id.tl_433 ca.gl.az_543  et.lg.fi_322 ms.sw.jw_433 
  0x213004ec, 0x3f033da4, 0x0d00291a, 0x3f0e03a4,   // fi.uz.jw_644 ku.nl.af_433  sl.cs.un_760 nl.is.af_433 
  0x060c130d, 0x1300061a, 0x07042302, 0x3f0301af,   // et.sv.de_554 de.et.un_760  ky.ru.bg_222 en.nl.af_655 
  0x211c2f02, 0x071023a7, 0x3f060107, 0x3000040d,   // su.id.jw_222 ky.be.bg_532  en.de.af_432 ru.uz.un_540 
  // [7e50]
  0x350711ee, 0x02000611, 0x172330ad, 0x17290d04,   // ro.bg.tg_422 de.da.un_630  uz.ky.sr_643 cs.sl.sr_332 
  0x211812ac, 0x1320030d, 0x05030107, 0x0e063f05,   // ur.ar.fa_632 nl.sq.et_554  en.nl.fr_432 af.de.is_333 
  0x353017a4, 0x642f7304, 0x2307300c, 0x16000d19,   // sr.uz.tg_433 ny.su.lg_332  uz.bg.ky_543 cs.hr.un_750 
  0x643f030c, 0x1e1c01ee, 0x350a0407, 0x13001b09,   // nl.af.lg_543 en.id.ms_422  ru.mk.tg_432 tr.et.un_440 
  // [7e60]
  0x1827280e, 0x0f555608, 0x530e2707, 0x01182704,   // sw.gd.ga_555 mg.rw.lv_443  gd.is.ht_432 gd.ga.en_332 
  0x042d1a07, 0x2b001812, 0x732f01a0, 0x56002804,   // tl.sk.fi_432 ga.vi.un_640  en.su.ny_322 sw.mg.un_320 
  0x190b18a4, 0x04100fa4, 0x1328070c, 0x130103a6,   // ga.es.gl_433 lv.lt.fi_433  it.sw.et_543 nl.en.et_521 
  0x13311b0d, 0x073017a4, 0x300704a9, 0x114411af,   // tr.az.et_554 sr.uz.bg_433  ru.bg.uz_544 ro.kk.ro_655 
  // [7e70]
  0x2f00010d, 0x041b1804, 0x05010c08, 0x1c2f30ee,   // en.su.un_540 ga.tr.fi_332  sv.en.fr_443 uz.su.id_422 
  0x0c000a02, 0x6b553d02, 0x270a18af, 0x02033f07,   // pt.sv.un_220 ku.rw.ceb_222  ga.pt.gd_655 af.nl.da_432 
  0x092f2aa0, 0x56090fee, 0x31200eee, 0x6e0164a4,   // mt.su.pl_322 lv.pl.mg_422  is.sq.az_422 lg.en.hmn_433 
  0x19002322, 0x1c532f04, 0x12311b07, 0x562f13ad,   // ca.gl.un_870 su.ht.id_332  tr.az.hu_432 et.su.mg_643 
  // [7e80]
  0x3000730c, 0x121b3113, 0x0f171602, 0x733155ee,   // ny.uz.un_530 az.tr.hu_665  hr.sr.lv_222 rw.az.ny_422 
  0x31085604, 0x2a080204, 0x23190bec, 0x03005508,   // mg.no.az_332 da.no.mt_332  es.gl.ca_644 rw.nl.un_430 
  0x1b101307, 0x16007308, 0x10016ba4, 0x27171fa4,   // et.lt.tr_432 ny.hr.un_430  ceb.en.lt_433 cy.sr.gd_433 
  0x212f1aec, 0x08101fad, 0x2f291ca0, 0x1b2507a4,   // tl.su.jw_644 cy.lt.no_643  id.sl.su_322 it.eu.tr_433 
  // [7e90]
  0x10256b12, 0x0f230560, 0x3025730c, 0x01003f0e,   // ceb.eu.lt_654 fr.ca.lv_664  ny.eu.uz_543 af.en.un_550 
  0x1f033f60, 0x02250812, 0x0e002302, 0x052353ad,   // af.nl.cy_664 no.eu.da_654  ca.is.un_220 ht.ca.fr_643 
  0x0c0f25a4, 0x251b0413, 0x53232112, 0x6b212f5a,   // eu.lv.sv_433 fi.tr.eu_665  jw.ca.ht_654 su.jw.ceb_553 
  0x166b1a0c, 0x07111105, 0x03002a08, 0x551330a4,   // tl.ceb.hr_543 ro.ro.bg_333  mt.nl.un_430 uz.et.rw_433 
  // [7ea0]
  0x37131a05, 0x2b006412, 0x13002708, 0x2f131c11,   // tl.et.st_333 lg.vi.un_640  gd.et.un_430 id.et.su_653 
  0x31002a05, 0x2d0d1017, 0x21532312, 0x25003f07,   // mt.az.un_330 lt.cs.sk_753  ca.ht.jw_654 af.eu.un_420 
  0x313007ee, 0x21092f12, 0x0a3f0307, 0x1c001e35,   // it.uz.az_422 su.pl.jw_654  nl.af.pt_432 ms.id.un_A90 
  0x2153235a, 0x16002504, 0x3f1f0208, 0x0603010c,   // ca.ht.jw_553 eu.hr.un_320  da.cy.af_443 en.nl.de_543 
  // [7eb0]
  0x21532307, 0x17111e0c, 0x0000172d, 0x121b13a9,   // ca.ht.jw_432 ms.ro.sr_543  sr.un.un_A00 et.tr.hu_544 
  0x0a251907, 0x0a001009, 0x21235312, 0x130c0408,   // gl.eu.pt_432 be.mk.un_440  ht.ca.jw_654 fi.sv.et_443 
  0x3d2501a4, 0x532305af, 0x53002119, 0x16296b0c,   // en.eu.ku_433 fr.ca.ht_655  jw.ht.un_750 ceb.sl.hr_543 
  0x1a001e0d, 0x0a000813, 0x04001711, 0x01056404,   // ms.tl.un_540 uk.mk.un_650  sr.ru.un_630 lg.fr.en_332 
  // [7ec0]
  0x1f013fa9, 0x0c1306a7, 0x07353012, 0x2f2103ee,   // af.en.cy_544 de.et.sv_532  uz.tg.bg_654 nl.jw.su_422 
  0x08300a13, 0x11001608, 0x08280204, 0x2a033f07,   // mk.uz.uk_665 hr.ro.un_430  da.sw.no_332 af.nl.mt_432 
  0x2a000307, 0x3f001204, 0x44233009, 0x13640404,   // nl.mt.un_420 hu.af.un_320  uz.ky.kk_444 fi.lg.et_332 
  0x2b321602, 0x12311b12, 0x44070aee, 0x2731250c,   // hr.bs.vi_222 tr.az.hu_654  mk.bg.kk_422 eu.az.gd_543 
  // [7ed0]
  0x04233055, 0x036b3da0, 0x12000607, 0x03060107,   // uz.ky.ru_442 ku.ceb.nl_322  de.hu.un_420 en.de.nl_432 
  0x060405ec, 0x6b53010c, 0x041035a0, 0x03130405,   // fr.fi.de_644 en.ht.ceb_543  tg.be.ru_322 fi.et.nl_333 
  0x3f0b0a02, 0x033f2505, 0x21531c0c, 0x3000080d,   // pt.es.af_222 eu.af.nl_333  id.ht.jw_543 no.uz.un_540 
  0x051201a0, 0x2d002f05, 0x1c110605, 0x0a6b3d04,   // en.hu.fr_322 su.sk.un_330  de.ro.id_333 ku.ceb.pt_332 
  // [7ee0]
  0x18280a04, 0x3f030ba9, 0x08172312, 0x19070a07,   // pt.sw.ga_332 es.nl.af_544  ky.sr.uk_654 pt.it.gl_432 
  0x0f00290d, 0x197312ac, 0x0b00300c, 0x130b300c,   // sl.lv.un_540 hu.ny.gl_632  uz.es.un_530 uz.es.et_543 
  0x35233008, 0x16313007, 0x23033f08, 0x19003008,   // uz.ky.tg_443 uz.az.hr_432  af.nl.ca_443 uz.gl.un_430 
  0x11063f5a, 0x1e371ca4, 0x072a30a7, 0x230b30a9,   // af.de.ro_553 id.st.ms_433  uz.mt.it_532 uz.es.ca_544 
  // [7ef0]
  0x1004440c, 0x030856a4, 0x231907ad, 0x2d0d2fa9,   // kk.ru.be_543 mg.no.nl_433  it.gl.ca_643 su.cs.sk_544 
  0x3f00011a, 0x05735607, 0x1000440d, 0x37007319,   // en.af.un_760 mg.ny.fr_432  kk.be.un_540 ny.st.un_750 
  0x0a3055ad, 0x23301912, 0x07050b08, 0x0a0830ad,   // rw.uz.pt_643 gl.uz.ca_654  es.fr.it_443 uz.no.pt_643 
  0x321720ee, 0x1b03060c, 0x13300111, 0x130830ad,   // sq.sr.bs_422 de.nl.tr_543  en.uz.et_653 uz.no.et_643 
  // [7f00]
  0x0807110b, 0x1b2153ee, 0x30285507, 0x1b1a6b05,   // ro.bg.uk_542 ht.jw.tr_422  rw.sw.uz_432 ceb.tl.tr_333 
  0x321611a9, 0x1b536b09, 0x32291612, 0x02080c5a,   // ro.hr.bs_544 ceb.ht.tr_444  hr.sl.bs_654 sv.no.da_553 
  0x55001e02, 0x2f001e12, 0x13002811, 0x28002f09,   // ms.rw.un_220 ms.su.un_640  sw.et.un_630 su.sw.un_440 
  0x231101a0, 0x03130f05, 0x3f271f07, 0x180b190c,   // en.ro.ca_322 lv.et.nl_333  cy.gd.af_432 gl.es.ga_543 
  // [7f10]
  0x1035080c, 0x1a00370d, 0x37321b07, 0x1f002f05,   // uk.tg.be_543 st.tl.un_540  tr.bs.st_432 su.cy.un_330 
  0x2d0d2714, 0x110a110c, 0x2f000513, 0x301827ee,   // gd.cs.sk_666 ro.mk.ro_543  fr.su.un_650 gd.ga.uz_422 
  0x181f2760, 0x532a2807, 0x06006e0c, 0x130304a4,   // gd.cy.ga_664 sw.mt.ht_432  hmn.de.un_530 fi.nl.et_433 
  0x0b011904, 0x040a11a4, 0x0e1219a7, 0x30041155,   // gl.en.es_332 ro.mk.ru_433  gl.hu.is_532 ro.ru.uz_442 
  // [7f20]
  0x05002008, 0x12182109, 0x3f2823ee, 0x123230ad,   // sq.fr.un_430 fa.ar.ur_444  ca.sw.af_422 uz.bs.hu_643 
  0x17203007, 0x28565508, 0x043035af, 0x070a23a0,   // uz.sq.sr_432 rw.mg.sw_443  tg.uz.ru_655 ky.mk.bg_322 
  0x1200190c, 0x09292d04, 0x17043509, 0x07251904,   // gl.hu.un_530 sk.sl.pl_332  tg.ru.sr_444 gl.eu.it_332 
  0x3f001005, 0x122d0ca4, 0x180237a0, 0x2d060d0c,   // lt.af.un_330 sv.sk.hu_433  st.da.ga_322 cs.de.sk_543 
  // [7f30]
  0x100844ad, 0x062b0aa0, 0x3044350d, 0x0d2855ec,   // kk.uk.be_643 pt.vi.de_322  tg.kk.uz_554 rw.sw.cs_644 
  0x0b0411af, 0x04442307, 0x1108110c, 0x2d0928a7,   // ro.fi.es_655 ky.kk.ru_432  ro.uk.ro_543 sw.pl.sk_532 
  0x07090507, 0x3f021002, 0x7300030d, 0x29101704,   // fr.pl.it_432 lt.da.af_222  nl.ny.un_540 sr.lt.sl_332 
  0x0a003f02, 0x281825a0, 0x215537a9, 0x040a3507,   // af.pt.un_220 eu.ga.sw_322  st.rw.jw_544 tg.mk.ru_432 
  // [7f40]
  0x03732a07, 0x25190a5a, 0x292d0da0, 0x232507a7,   // mt.ny.nl_432 pt.gl.eu_553  cs.sk.sl_322 it.eu.ca_532 
  0x18061fee, 0x5500640b, 0x0e120c0c, 0x046407a4,   // cy.de.ga_422 lg.rw.un_520  sv.hu.is_543 it.lg.fi_433 
  0x64557305, 0x31001234, 0x531c28ee, 0x2d000d33,   // ny.rw.lg_333 hu.az.un_A80  sw.id.ht_422 cs.sk.un_A70 
  0x285356a9, 0x311b64ec, 0x732837a9, 0x44080411,   // mg.ht.sw_544 lg.tr.az_644  st.sw.ny_544 ru.uk.kk_653 
  // [7f50]
  0x2f28560d, 0x080e0c08, 0x7325130c, 0x376455a0,   // mg.sw.su_554 sv.is.no_443  et.eu.ny_543 rw.lg.st_322 
  0x64255512, 0x0a000d04, 0x2155280d, 0x372f1ca4,   // rw.eu.lg_654 cs.pt.un_320  sw.rw.jw_554 id.su.st_433 
  0x0f64130d, 0x556b2da9, 0x55067309, 0x32162014,   // et.lg.lv_554 sk.ceb.rw_544  ny.de.rw_444 sq.hr.bs_666 
  0x060d12a4, 0x0c1604a4, 0x062d0704, 0x31003005,   // hu.cs.de_433 fi.hr.sv_433  it.sk.de_332 uz.az.un_330 
  // [7f60]
  0x100a1707, 0x0d0c2da4, 0x553228ad, 0x13042007,   // sr.mk.be_432 sk.sv.cs_433  sw.bs.rw_643 sq.fi.et_432 
  0x30160fec, 0x0e006405, 0x552109ec, 0x2f6b1c07,   // lv.hr.uz_644 lg.is.un_330  pl.jw.rw_644 id.ceb.su_432 
  0x2f7308a0, 0x2d0d12bb, 0x250b0a04, 0x11173513,   // no.ny.su_322 hu.cs.sk_854  pt.es.eu_332 tg.sr.ro_665 
  0x040717af, 0x07120ca0, 0x0832165a, 0x3f000609,   // sr.bg.ru_655 sv.hu.it_322  hr.bs.no_553 de.af.un_440 
  // [7f70]
  0x321620ec, 0x200b29a4, 0x10041b04, 0x2032165a,   // sq.hr.bs_644 sl.es.sq_433  tr.fi.lt_332 hr.bs.sq_553 
  0x32162a0e, 0x2a2d0da4, 0x122a0704, 0x0d002f07,   // mt.hr.bs_555 cs.sk.mt_433  it.mt.hu_332 su.cs.un_420 
  0x12072a09, 0x285673ec, 0x32250d07, 0x73002522,   // mt.it.hu_444 ny.mg.sw_644  cs.eu.bs_432 eu.ny.un_870 
  0x56642507, 0x07040a13, 0x531737a9, 0x0a071712,   // eu.lg.mg_432 mk.ru.bg_665  st.sr.ht_544 sr.bg.mk_654 
  // [7f80]
  0x041a1205, 0x07122a11, 0x303f06af, 0x0a2330ad,   // hu.tl.fi_333 mt.hu.it_653  de.af.uz_655 uz.ky.mk_643 
  0x532123a7, 0x285564a9, 0x07000812, 0x08255607,   // ca.jw.ht_532 lg.rw.sw_544  uk.bg.un_640 mg.eu.no_432 
  0x1a2873a0, 0x375525ac, 0x64552508, 0x73642507,   // ny.sw.tl_322 eu.rw.st_632  eu.rw.lg_443 eu.lg.ny_432 
  0x04110713, 0x29000405, 0x2d173dec, 0x04293708,   // bg.ro.ru_665 fi.sl.un_330  ku.sr.sk_644 st.sl.fi_443 
  // [7f90]
  0x271f6402, 0x08021f04, 0x0735100c, 0x01070504,   // lg.cy.gd_222 cy.da.no_332  be.tg.bg_543 fr.it.en_332 
  0x551137a9, 0x30043509, 0x0a233505, 0x04082304,   // st.ro.rw_544 tg.ru.uz_444  tg.ky.mk_333 ky.uk.ru_332 
  0x1c2d25a0, 0x20311a07, 0x0d002704, 0x070811a4,   // eu.sk.id_322 tl.az.sq_432  gd.cs.un_320 ro.uk.bg_433 
  0x2100290b, 0x1711445a, 0x0f002912, 0x06130c05,   // sl.jw.un_520 kk.ro.sr_553  sl.lv.un_640 sv.et.de_333 
  // [7fa0]
  0x281f0607, 0x033f020d, 0x12000d19, 0x3f64030d,   // de.cy.sw_432 da.af.nl_554  cs.hu.un_750 nl.lg.af_554 
  0x6b1a0ba9, 0x04073008, 0x27005319, 0x255355af,   // es.tl.ceb_544 uz.bg.ru_443  ht.gd.un_750 rw.ht.eu_655 
  0x06002d07, 0x06040c0d, 0x18000e12, 0x64211aee,   // sk.de.un_420 sv.fi.de_554  is.ga.un_640 tl.jw.lg_422 
  0x070a3512, 0x735556ec, 0x6b001a2c, 0x28110ba0,   // tg.mk.bg_654 mg.rw.ny_644  tl.ceb.un_990 es.ro.sw_322 
  // [7fb0]
  0x05002013, 0x0c0e0812, 0x2f115508, 0x3000270e,   // sq.fr.un_650 no.is.sv_654  rw.ro.su_443 gd.uz.un_550 
  0x19230907, 0x0c0d060c, 0x55003014, 0x2000642b,   // pl.ca.gl_432 de.cs.sv_543  uz.rw.un_660 lg.sq.un_980 
  0x321609ee, 0x0b0a0605, 0x13001c11, 0x283d01a0,   // pl.hr.bs_422 de.pt.es_333  mr.bh.un_630 en.ku.sw_322 
  0x2b640107, 0x1b043013, 0x00005642, 0x00001a37,   // en.lg.vi_432 uz.fi.tr_665  mg.un.un_C00 tl.un.un_B00 
  // [7fc0]
  0x0b2a19af, 0x640d01ec, 0x0e0320ee, 0x3d1f2012,   // gl.mt.es_655 en.cs.lg_644  sq.nl.is_422 sq.cy.ku_654 
  0x2d002a04, 0x09001108, 0x1c0a2fa0, 0x0e002a04,   // mt.sk.un_320 ro.pl.un_430  su.pt.id_322 mt.is.un_320 
  0x09001908, 0x3d00200d, 0x2a3216a0, 0x1e001c0c,   // gl.pl.un_430 sq.ku.un_540  hr.bs.mt_322 id.ms.un_530 
  0x07062a12, 0x0f00300c, 0x3f565560, 0x1f3f56af,   // mt.de.it_654 uz.lv.un_530  rw.mg.af_664 mg.af.cy_655 
  // [7fd0]
  0x230f09ee, 0x31091b55, 0x09072a11, 0x3f1f0955,   // pl.lv.ca_422 tr.pl.az_442  mt.it.pl_653 pl.cy.af_442 
  0x20002b0d, 0x2f2b300c, 0x2000530e, 0x2700370c,   // vi.sq.un_540 uz.vi.su_543  ht.sq.un_550 st.gd.un_530 
  0x0c135304, 0x070a100e, 0x16133207, 0x20001604,   // ht.et.sv_332 be.mk.bg_555  bs.et.hr_432 hr.sq.un_320 
  0x23002112, 0x1c130daf, 0x0b005305, 0x0e001709,   // jw.ca.un_640 ne.bh.mr_655  ht.es.un_330 sr.is.un_440 
  // [7fe0]
  0x21235304, 0x2d190b0c, 0x080221a0, 0x20001112,   // ht.ca.jw_332 es.gl.sk_543  jw.da.no_322 ro.sq.un_640 
  0x032b0504, 0x17002302, 0x21231702, 0x19251004,   // fr.vi.nl_332 ky.sr.un_220  sr.ca.jw_222 lt.eu.gl_332 
  0x28000a04, 0x44303513, 0x110f0aa4, 0x06081f04,   // pt.sw.un_320 tg.uz.kk_665  pt.lv.ro_433 cy.no.de_332 
  0x192301a9, 0x230a1755, 0x0a1708af, 0x2d200f02,   // en.ca.gl_544 sr.mk.ky_442  uk.sr.mk_655 lv.sq.sk_222 
  // [7ff0]
  0x170a44ec, 0x04100804, 0x0a2330a6, 0x0a1710a4,   // kk.mk.sr_644 uk.be.ru_332  uz.ky.mk_521 be.sr.mk_433 
  0x35040860, 0x1a1c3007, 0x1a003021, 0x2b001a02,   // uk.ru.tg_664 uz.id.tl_432  uz.tl.un_860 tl.vi.un_220 
  0x040a07a9, 0x30002822, 0x551a30a0, 0x16001008,   // bg.mk.ru_544 sw.uz.un_870  uz.tl.rw_322 lt.hr.un_430 
  0x120d2dec, 0x08041707, 0x0b190a08, 0x44170407,   // sk.cs.hu_644 sr.ru.uk_432  pt.gl.es_443 ru.sr.kk_432 
  
  // [8000]
  0x646b55a0, 0x230a4409, 0x08003512, 0x53001b07,   // rw.ceb.lg_322 kk.mk.ky_444  tg.uk.un_640 tr.ht.un_420 
  0x6b6430a4, 0x04000811, 0x30561e08, 0x09001e04,   // uz.lg.ceb_433 no.fi.un_630  ms.mg.uz_443 ms.pl.un_320 
  0x10082aad, 0x2f6b0b07, 0x561f1008, 0x3073210c,   // mt.no.lt_643 es.ceb.su_432  lt.cy.mg_443 jw.ny.uz_543 
  0x2a6455a4, 0x112327a7, 0x09123d07, 0x0b0e18a4,   // rw.lg.mt_433 gd.ca.ro_532  ku.hu.pl_432 ga.is.es_433 
  // [8010]
  0x20050ca0, 0x25231904, 0x44040755, 0x212f090c,   // sv.fr.sq_322 gl.ca.eu_332  bg.ru.kk_442 pl.su.jw_543 
  0x080206ec, 0x30561211, 0x07000505, 0x1b001a12,   // de.da.no_644 hu.mg.uz_653  fr.it.un_330 tl.tr.un_640 
  0x642173a7, 0x233044a9, 0x0a1723a7, 0x6b3d01a0,   // ny.jw.lg_532 kk.uz.ky_544  ky.sr.mk_532 en.ku.ceb_322 
  0x0a000823, 0x04080711, 0x53250107, 0x1a0510a4,   // uk.mk.un_880 bg.uk.ru_653  en.eu.ht_432 lt.fr.tl_433 
  // [8020]
  0x273130ad, 0x2f28550e, 0x53002f05, 0x23001114,   // uz.az.gd_643 rw.sw.su_555  su.ht.un_330 ro.ky.un_660 
  0x041011a9, 0x03063f02, 0x1b1130a4, 0x1b053d08,   // ro.be.ru_544 af.de.nl_222  uz.ro.tr_433 ku.fr.tr_443 
  0x28302011, 0x0c1330a7, 0x052918a0, 0x010930a0,   // sq.uz.sw_653 uz.et.sv_532  ga.sl.fr_322 uz.pl.en_322 
  0x01005502, 0x0e12040e, 0x0417350c, 0x170a040c,   // rw.en.un_220 fi.hu.is_555  tg.sr.ru_543 ru.mk.sr_543 
  // [8030]
  0x04132a14, 0x120f0e07, 0x130210ad, 0x03003f0b,   // mt.et.fi_666 is.lv.hu_432  lt.da.et_643 af.nl.un_520 
  0x1001230c, 0x030110a7, 0x08022305, 0x12000704,   // ca.en.lt_543 lt.en.nl_532  ca.da.no_333 it.hu.un_320 
  0x11033fa4, 0x3f000904, 0x0f002312, 0x04233507,   // af.nl.ro_433 pl.af.un_320  ca.lv.un_640 tg.ky.ru_432 
  0x0411080c, 0x030523a0, 0x23000f05, 0x0a071108,   // uk.ro.ru_543 ca.fr.nl_322  lv.ca.un_330 ro.bg.mk_443 
  // [8040]
  0x12000c09, 0x170a30a9, 0x171130a7, 0x132a01a4,   // sv.hu.un_440 uz.mk.sr_544  uz.ro.sr_532 en.mt.et_433 
  0x4400070e, 0x102d0d55, 0x172d0d04, 0x040811af,   // bg.kk.un_550 cs.sk.lt_442  cs.sk.sr_332 ro.uk.ru_655 
  0x08172304, 0x0700080d, 0x082330ee, 0x12000605,   // ky.sr.uk_332 uk.bg.un_540  uz.ky.uk_422 de.hu.un_330 
  0x2928370c, 0x17070460, 0x0a081702, 0x110756ee,   // st.sw.sl_543 ru.bg.sr_664  sr.uk.mk_222 mg.it.ro_422 
  // [8050]
  0x271828a0, 0x56003019, 0x562f3707, 0x5613370d,   // sw.ga.gd_322 uz.mg.un_750  st.su.mg_432 st.et.mg_554 
  0x565337a7, 0x09191f08, 0x2b002704, 0x18072b04,   // st.ht.mg_532 cy.gl.pl_443  gd.vi.un_320 vi.it.ga_332 
  0x0307090c, 0x1c00310c, 0x286b5607, 0x313020ee,   // pl.it.nl_543 az.id.un_530  mg.ceb.sw_432 sq.uz.az_422 
  0x2500372a, 0x130e28a4, 0x211355ec, 0x28080eaf,   // st.eu.un_970 sw.is.et_433  rw.et.jw_644 is.no.sw_655 
  // [8060]
  0x203f56a4, 0x53561c12, 0x25290f12, 0x0e642807,   // mg.af.sq_433 id.mg.ht_654  lv.sl.eu_654 sw.lg.is_432 
  0x732156ac, 0x112307ad, 0x56271811, 0x08103007,   // mg.jw.ny_632 it.ca.ro_643  ga.gd.mg_653 uz.lt.no_432 
  0x5673270e, 0x3d2337ad, 0x27190ba7, 0x0121190c,   // gd.ny.mg_555 st.ca.ku_643  es.gl.gd_532 gl.jw.en_543 
  0x120e090c, 0x271823a4, 0x09000c0e, 0x0200562a,   // pl.is.hu_543 ca.ga.gd_433  sv.pl.un_550 mg.da.un_970 
  // [8070]
  0x0e3f0308, 0x64253702, 0x100817a0, 0x037356a4,   // nl.af.is_443 st.eu.lg_222  sr.uk.be_322 mg.ny.nl_433 
  0x311b55a4, 0x30003108, 0x30002a07, 0x20230b05,   // rw.tr.az_433 az.uz.un_430  mt.uz.un_420 es.ca.sq_333 
  0x0d642d04, 0x53552807, 0x19230b0d, 0x102916a4,   // sk.lg.cs_332 sw.rw.ht_432  es.ca.gl_554 hr.sl.lt_433 
  0x377356a0, 0x07001708, 0x25005607, 0x07003514,   // mg.ny.st_322 sr.bg.un_430  mg.eu.un_420 tg.bg.un_660 
  // [8080]
  0x311b370c, 0x2120230b, 0x643d550b, 0x2d171605,   // st.tr.az_543 ca.sq.jw_542  rw.ku.lg_542 hr.sr.sk_333 
  0x12200eec, 0x64003712, 0x10083514, 0x173720a4,   // is.sq.hu_644 st.lg.un_640  tg.uk.be_666 sq.st.sr_433 
  0x1f002307, 0x20063f09, 0x29003208, 0x730907a0,   // ca.cy.un_420 af.de.sq_444  bs.sl.un_430 it.pl.ny_322 
  0x060c02a0, 0x21000302, 0x04080307, 0x170d09a4,   // da.sv.de_322 nl.jw.un_220  nl.no.fi_432 pl.cs.sr_433 
  // [8090]
  0x0a1108ec, 0x06000102, 0x08550e02, 0x2a001708,   // uk.ro.mk_644 en.de.un_220  is.rw.no_222 sr.mt.un_430 
  0x0e08020e, 0x07002813, 0x0e080c0d, 0x1e19010c,   // da.no.is_555 sw.it.un_650  sv.no.is_554 en.gl.ms_543 
  0x0e121ba9, 0x12003f09, 0x1a0b530b, 0x73070ba0,   // tr.hu.is_544 af.hu.un_440  ht.es.tl_542 es.it.ny_322 
  0x02000702, 0x12182107, 0x536409ee, 0x210908a0,   // it.da.un_220 fa.ar.ur_432  pl.lg.ht_422 no.pl.jw_322 
  // [80a0]
  0x2b00200c, 0x13002a08, 0x23251914, 0x0f041311,   // sq.vi.un_530 mt.et.un_430  gl.eu.ca_666 et.fi.lv_653 
  0x12002307, 0x033f0408, 0x080206a0, 0x050607a0,   // ca.hu.un_420 fi.af.nl_443  de.da.no_322 it.de.fr_322 
  0x1206250c, 0x32300255, 0x13003f04, 0x030413a4,   // eu.de.hu_543 da.uz.bs_442  af.et.un_320 et.fi.nl_433 
  0x20730807, 0x040625ac, 0x080e1207, 0x1304560e,   // no.ny.sq_432 eu.de.fi_632  hu.is.no_432 mg.fi.et_555 
  // [80b0]
  0x292d0d12, 0x0e002f0e, 0x2a071baf, 0x06000704,   // cs.sk.sl_654 su.is.un_550  tr.it.mt_655 it.de.un_320 
  0x3f64040c, 0x1e002f12, 0x2f1e0eaf, 0x231f0e07,   // fi.lg.af_543 su.ms.un_640  is.ms.su_655 is.cy.ca_432 
  0x322a0f07, 0x011c0ea7, 0x0a0411ec, 0x0c100408,   // lv.mt.bs_432 is.id.en_532  ro.ru.mk_644 fi.lt.sv_443 
  0x642a07af, 0x070653a0, 0x041301a0, 0x041303af,   // it.mt.lg_655 ht.de.it_322  en.et.fi_322 nl.et.fi_655 
  // [80c0]
  0x6b001319, 0x3000130e, 0x23100407, 0x2a006413,   // et.ceb.un_750 et.uz.un_550  ru.be.ky_432 lg.mt.un_650 
  0x1a086b0c, 0x08210eee, 0x10003508, 0x04082313,   // ceb.no.tl_543 is.jw.no_422  tg.be.un_430 ky.uk.ru_665 
  0x1a6b210d, 0x2a1101a0, 0x11020807, 0x642a0712,   // jw.ceb.tl_554 en.ro.mt_322  no.da.ro_432 it.mt.lg_654 
  0x2a00641b, 0x56000518, 0x252a5312, 0x1f180e0c,   // lg.mt.un_770 fr.mg.un_740  ht.mt.eu_654 is.ga.cy_543 
  // [80d0]
  0x306b0b04, 0x0a00370d, 0x553f1107, 0x162910a0,   // es.ceb.uz_332 st.pt.un_540  ro.af.rw_432 lt.sl.hr_322 
  0x304435a4, 0x3f000214, 0x29005302, 0x3f1a6b5a,   // tg.kk.uz_433 da.af.un_660  ht.sl.un_220 ceb.tl.af_553 
  0x13035307, 0x18080c07, 0x11133d0c, 0x29321755,   // ht.nl.et_432 sv.no.ga_432  ku.et.ro_543 sr.bs.sl_442 
  0x53000607, 0x200111ec, 0x113511a4, 0x321710ee,   // de.ht.un_420 ro.en.sq_644  ro.tg.ro_433 lt.sr.bs_422 
  // [80e0]
  0x173511af, 0x162d1007, 0x19072313, 0x083011a6,   // ro.tg.sr_655 lt.sk.hr_432  ca.it.gl_665 ro.uz.uk_521 
  0x645328ee, 0x12100fa9, 0x131911ad, 0x03001112,   // sw.ht.lg_422 lv.lt.hu_544  ro.gl.et_643 ro.nl.un_640 
  0x13005508, 0x113d0207, 0x17162da6, 0x130e37ee,   // rw.et.un_430 da.ku.ro_432  sk.hr.sr_521 st.is.et_422 
  0x023f0613, 0x1a006b2c, 0x44233513, 0x07003705,   // de.af.da_665 ceb.tl.un_990  tg.ky.kk_665 st.it.un_330 
  // [80f0]
  0x113d0805, 0x01110808, 0x27063fa7, 0x3f6b1805,   // no.ku.ro_333 no.ro.en_443  af.de.gd_532 ga.ceb.af_333 
  0x1f093f0c, 0x182705a7, 0x080407a6, 0x08020614,   // af.pl.cy_543 fr.gd.ga_532  bg.ru.uk_521 de.da.no_666 
  0x28003205, 0x01065607, 0x13311bee, 0x17102aa4,   // bs.sw.un_330 mg.de.en_432  tr.az.et_422 mt.lt.sr_433 
  0x2d17290c, 0x100444a7, 0x0e0313a4, 0x130407a0,   // sl.sr.sk_543 kk.ru.be_532  et.nl.is_433 it.fi.et_322 
  // [8100]
  0x020313ee, 0x23070aee, 0x44230a13, 0x0829210c,   // et.nl.da_422 mk.bg.ky_422  mk.ky.kk_665 jw.sl.no_543 
  0x55103707, 0x13002818, 0x10001213, 0x0e00050d,   // st.lt.rw_432 sw.et.un_740  hu.lt.un_650 fr.is.un_540 
  0x0c070809, 0x64322808, 0x0e031307, 0x08010304,   // no.it.sv_444 sw.bs.lg_443  et.nl.is_432 nl.en.no_332 
  0x2a530b04, 0x100744ec, 0x1b30120c, 0x0c100f05,   // es.ht.mt_332 kk.bg.be_644  hu.uz.tr_543 lv.lt.sv_333 
  // [8110]
  0x0c060e0e, 0x04060e0c, 0x08001105, 0x130e10a4,   // is.de.sv_555 is.de.fi_543  ro.uk.un_330 lt.is.et_433 
  0x060e2f02, 0x1a3f0355, 0x3f031302, 0x0332165a,   // su.is.de_222 nl.af.tl_442  et.nl.af_222 hr.bs.nl_553 
  0x1b132109, 0x130e2508, 0x20046b04, 0x311b0ea9,   // jw.et.tr_444 eu.is.et_443  ceb.fi.sq_332 is.tr.az_544 
  0x04130e07, 0x13002109, 0x2f210e08, 0x17074405,   // is.et.fi_432 jw.et.un_440  is.jw.su_443 kk.bg.sr_333 
  // [8120]
  0x0e100c04, 0x0435300c, 0x350817a4, 0x2d0d5609,   // sv.lt.is_332 uz.tg.ru_543  sr.uk.tg_433 mg.cs.sk_444 
  0x0809130c, 0x2300100c, 0x0e20080c, 0x132d0d55,   // et.pl.no_543 be.ky.un_530  no.sq.is_543 cs.sk.et_442 
  0x1a1b3108, 0x04301112, 0x316b0d07, 0x6b31210c,   // az.tr.tl_443 ro.uz.ru_654  cs.ceb.az_432 jw.az.ceb_543 
  0x04000912, 0x04171007, 0x3f000c02, 0x30350707,   // pl.fi.un_640 be.sr.ru_432  sv.af.un_220 bg.tg.uz_432 
  // [8130]
  0x531b28a0, 0x0d202d0c, 0x08003507, 0x040820a9,   // sw.tr.ht_322 sk.sq.cs_543  tg.uk.un_420 sq.no.fi_544 
  0x0e002013, 0x10006407, 0x036b07a0, 0x28002f05,   // sq.is.un_650 lg.lt.un_420  it.ceb.nl_322 su.sw.un_330 
  0x35100808, 0x25001f21, 0x07002705, 0x0800300c,   // uk.be.tg_443 cy.eu.un_860  gd.it.un_330 uz.uk.un_530 
  0x645573ad, 0x55001a04, 0x2b2f1ca0, 0x7355640d,   // ny.rw.lg_643 tl.rw.un_320  id.su.vi_322 lg.rw.ny_554 
  // [8140]
  0x0711440c, 0x28162aee, 0x3f1807a0, 0x0e180804,   // kk.ro.bg_543 mt.hr.sw_422  it.ga.af_322 no.ga.is_332 
  0x0c6402af, 0x2d180dec, 0x060f0804, 0x0c1f640c,   // da.lg.sv_655 cs.ga.sk_644  no.lv.de_332 lg.cy.sv_543 
  0x114423ec, 0x64001f18, 0x1700060c, 0x0800061a,   // ky.kk.ro_644 cy.lg.un_740  de.sr.un_530 de.no.un_760 
  0x09062a0c, 0x3f000312, 0x04001f04, 0x03016407,   // mt.de.pl_543 nl.af.un_640  cy.fi.un_320 lg.en.nl_432 
  // [8150]
  0x5337280b, 0x033f01ad, 0x1c2a730b, 0x2f003207,   // sw.st.ht_542 en.af.nl_643  ny.mt.id_542 bs.su.un_420 
  0x25006421, 0x033f04ad, 0x2f110907, 0x172701a0,   // lg.eu.un_860 fi.af.nl_643  pl.ro.su_432 en.gd.sr_322 
  0x53002812, 0x27111855, 0x6b0437a0, 0x04136405,   // sw.ht.un_640 ga.ro.gd_442  st.fi.ceb_322 lg.et.fi_333 
  0x31051ba7, 0x091264a7, 0x080c1fac, 0x6b002f0d,   // tr.fr.az_532 lg.hu.pl_532  cy.sv.no_632 su.ceb.un_540 
  // [8160]
  0x300a0705, 0x27000702, 0x13182760, 0x0c04080c,   // bg.mk.uz_333 it.gd.un_220  gd.ga.et_664 no.fi.sv_543 
  0x0c0b64ee, 0x13376407, 0x532811ec, 0x64021f0c,   // lg.es.sv_422 lg.st.et_432  ro.sw.ht_644 cy.da.lg_543 
  0x731a370c, 0x080c370c, 0x2a006422, 0x73002514,   // st.tl.ny_543 st.sv.no_543  lg.mt.un_870 eu.ny.un_660 
  0x11001a02, 0x210906a7, 0x6400281a, 0x20100fee,   // tl.ro.un_220 de.pl.jw_532  sw.lg.un_760 lv.lt.sq_422 
  // [8170]
  0x08130e11, 0x3f73370c, 0x372873a4, 0x270364ee,   // is.et.no_653 st.ny.af_543  ny.sw.st_433 lg.nl.gd_422 
  0x04132509, 0x12002b0d, 0x25041304, 0x17161e02,   // eu.et.fi_444 vi.hu.un_540  et.fi.eu_332 ms.hr.sr_222 
  0x04251307, 0x320a560c, 0x0d190aee, 0x1b115302,   // et.eu.fi_432 mg.pt.bs_543  pt.gl.cs_422 ht.ro.tr_222 
  0x561a6b14, 0x11003204, 0x1b006e13, 0x083013ad,   // ceb.tl.mg_666 bs.ro.un_320  hmn.tr.un_650 et.uz.no_643 
  // [8180]
  0x372373a9, 0x06286407, 0x04442305, 0x05230fa7,   // ny.ca.st_544 lg.sw.de_432  ky.kk.ru_333 lv.ca.fr_532 
  0x550628a7, 0x1028530c, 0x13321708, 0x1e121a12,   // sw.de.rw_532 ht.sw.lt_543  sr.bs.et_443 tl.hu.ms_654 
  0x03233f04, 0x1b001113, 0x0e00020c, 0x3f1702a0,   // af.ca.nl_332 ro.tr.un_650  da.is.un_530 da.sr.af_322 
  0x1a00300d, 0x3530230c, 0x0a1710ad, 0x530d05ad,   // uz.tl.un_540 ky.uz.tg_543  be.sr.mk_643 fr.cs.ht_643 
  // [8190]
  0x1c212f0e, 0x23311008, 0x37011105, 0x29003d1a,   // su.jw.id_555 lt.az.ca_443  ro.en.st_333 ku.sl.un_760 
  0x0a2521a0, 0x530501af, 0x0e0d2da4, 0x10091a0c,   // jw.eu.pt_322 en.fr.ht_655  sk.cs.is_433 tl.pl.lt_543 
  0x2300190e, 0x02003207, 0x37002302, 0x28212f08,   // gl.ca.un_550 bs.da.un_420  ca.st.un_220 su.jw.sw_443 
  0x022f53ac, 0x0a441007, 0x53001007, 0x2d0d19a4,   // ht.su.da_632 be.kk.mk_432  lt.ht.un_420 gl.cs.sk_433 
  // [81a0]
  0x06002a0e, 0x07000805, 0x19070b07, 0x05000f13,   // mt.de.un_550 uk.bg.un_330  es.it.gl_432 lv.fr.un_650 
  0x1f001104, 0x2500552a, 0x0f00230e, 0x0c64040c,   // ro.cy.un_320 rw.eu.un_970  ca.lv.un_550 fi.lg.sv_543 
  0x080220a4, 0x100e56af, 0x0f0523a0, 0x250704a0,   // sq.da.no_433 mg.is.lt_655  ca.fr.lv_322 fi.it.eu_322 
  0x0f23050c, 0x4404100d, 0x071125a4, 0x02202508,   // fr.ca.lv_543 be.ru.kk_554  eu.ro.it_433 eu.sq.da_443 
  // [81b0]
  0x0f0523ee, 0x3f2520ee, 0x01000f05, 0x02303f5a,   // ca.fr.lv_422 sq.eu.af_422  lv.en.un_330 af.uz.da_553 
  0x64000219, 0x23003002, 0x250855a4, 0x08353004,   // da.lg.un_750 uz.ky.un_220  rw.no.eu_433 uz.tg.uk_332 
  0x35170aad, 0x642701a4, 0x64000404, 0x6400030e,   // mk.sr.tg_643 en.gd.lg_433  fi.lg.un_320 nl.lg.un_550 
  0x28005309, 0x0a007304, 0x190b1b05, 0x0200531b,   // ht.sw.un_440 ny.pt.un_320  tr.es.gl_333 ht.da.un_770 
  // [81c0]
  0x28001e02, 0x291610a4, 0x023f08a0, 0x1b253d11,   // ms.sw.un_220 lt.hr.sl_433  no.af.da_322 ku.eu.tr_653 
  0x010c0804, 0x2a0c0eee, 0x01080c04, 0x120806a0,   // no.sv.en_332 is.sv.mt_422  sv.no.en_332 de.no.hu_322 
  0x033f13a9, 0x033f250c, 0x1b005307, 0x0c002a04,   // et.af.nl_544 eu.af.nl_543  ht.tr.un_420 mt.sv.un_320 
  0x133f0a07, 0x3044230d, 0x2b000504, 0x2b000519,   // pt.af.et_432 ky.kk.uz_554  fr.vi.un_320 fr.vi.un_750 
  // [81d0]
  0x17070405, 0x2b002f12, 0x070a0805, 0x2b052f0c,   // ru.bg.sr_333 su.vi.un_640  uk.mk.bg_333 su.fr.vi_543 
  0x2300110e, 0x040711a0, 0x30101104, 0x28532a0c,   // ro.ky.un_550 ro.bg.ru_322  ro.be.uz_332 mt.ht.sw_543 
  0x2300530e, 0x0a120e05, 0x1e1c56a0, 0x64005507,   // ht.ca.un_550 is.hu.pt_333  mg.id.ms_322 rw.lg.un_420 
  0x35100a02, 0x3500171a, 0x120b0a05, 0x552830ad,   // mk.be.tg_222 sr.tg.un_760  pt.es.hu_333 uz.sw.rw_643 
  // [81e0]
  0x05011fa4, 0x11004419, 0x03050604, 0x06003008,   // cy.en.fr_433 kk.ro.un_750  de.fr.nl_332 uz.de.un_430 
  0x100817ee, 0x31000108, 0x13091c5a, 0x0e001c08,   // sr.uk.be_422 en.az.un_430  mr.hi.bh_553 id.is.un_430 
  0x120610a0, 0x2f1b0f0c, 0x212f2a13, 0x101b2aee,   // lt.de.hu_322 lv.tr.su_543  mt.su.jw_665 mt.tr.lt_422 
  0x28733011, 0x100708a4, 0x09132fad, 0x012d07a0,   // uz.ny.sw_653 uk.bg.be_433  su.et.pl_643 it.sk.en_322 
  // [81f0]
  0x3f080e07, 0x312a2804, 0x0a011107, 0x23002008,   // is.no.af_432 sw.mt.az_332  ro.en.pt_432 sq.ca.un_430 
  0x23271fee, 0x1c252f0c, 0x174410a0, 0x01212302,   // cy.gd.ca_422 su.eu.id_543  be.kk.sr_322 ca.jw.en_222 
  0x6b0118a0, 0x1b001f20, 0x31001f05, 0x05000307,   // ga.en.ceb_322 cy.tr.un_850  cy.az.un_330 nl.fr.un_420 
  0x53232005, 0x04303555, 0x1a00030d, 0x04002005,   // sq.ca.ht_333 tg.uz.ru_442  nl.tl.un_540 sq.fi.un_330 
  // [8200]
  0x1b1321a4, 0x08000908, 0x0411130b, 0x170429a0,   // jw.et.tr_433 pl.no.un_430  et.ro.fi_542 sl.fi.sr_322 
  0x100e0f07, 0x0d190a02, 0x320413ee, 0x3f08130b,   // lv.is.lt_432 pt.gl.cs_222  et.fi.bs_422 et.no.af_542 
  0x0e00080d, 0x04132855, 0x180e090c, 0x110510a0,   // no.is.un_540 sw.et.fi_442  pl.is.ga_543 lt.fr.ro_322 
  0x23040a55, 0x10000f2b, 0x35110a07, 0x0c0f0e08,   // mk.ru.ky_442 lv.lt.un_980  mk.ro.tg_432 is.lv.sv_443 
  // [8210]
  0x55005622, 0x25001f1a, 0x2d0d0ea0, 0x13002522,   // mg.rw.un_870 cy.eu.un_760  is.cs.sk_322 eu.et.un_870 
  0x06080c0b, 0x0e080c08, 0x070c04a4, 0x233035ad,   // sv.no.de_542 sv.no.is_443  fi.sv.it_433 tg.uz.ky_643 
  0x35070aa0, 0x1b0a010c, 0x1008130c, 0x32162914,   // mk.bg.tg_322 en.pt.tr_543  et.no.lt_543 sl.hr.bs_666 
  0x28010302, 0x350a070c, 0x20002a08, 0x6404130d,   // nl.en.sw_222 bg.mk.tg_543  mt.sq.un_430 et.fi.lg_554 
  // [8220]
  0x04005513, 0x55647305, 0x53281805, 0x64280fad,   // rw.fi.un_650 ny.lg.rw_333  ga.sw.ht_333 lv.sw.lg_643 
  0x7318270c, 0x3d2a0712, 0x35071708, 0x0d001320,   // gd.ga.ny_543 it.mt.ku_654  sr.bg.tg_443 bh.ne.un_850 
  0x12000202, 0x0e080207, 0x256456a4, 0x736425ad,   // da.hu.un_220 da.no.is_432  mg.lg.eu_433 eu.lg.ny_643 
  0x733756ad, 0x28183007, 0x64105502, 0x64042dee,   // mg.st.ny_643 uz.ga.sw_432  rw.lt.lg_222 sk.fi.lg_422 
  // [8230]
  0x64256b11, 0x556425af, 0x04001602, 0x64282508,   // ceb.eu.lg_653 eu.lg.rw_655  hr.fi.un_220 eu.sw.lg_443 
  0x300631a0, 0x6456250c, 0x1e120da0, 0x732864a7,   // az.de.uz_322 eu.mg.lg_543  cs.hu.ms_322 lg.sw.ny_532 
  0x645625ad, 0x56642512, 0x08062f07, 0x56251014,   // eu.mg.lg_643 eu.lg.mg_654  su.de.no_432 lt.eu.mg_666 
  0x56292508, 0x10003008, 0x37280eaf, 0x042f1f04,   // eu.sl.mg_443 uz.be.un_430  is.sw.st_655 cy.su.fi_332 
  // [8240]
  0x6b002f2b, 0x1300562b, 0x2d0d280c, 0x166b250c,   // su.ceb.un_980 mg.et.un_980  sw.cs.sk_543 eu.ceb.hr_543 
  0x231f06ad, 0x37001112, 0x56212f07, 0x551b37af,   // de.cy.ca_643 ro.st.un_640  su.jw.mg_432 st.tr.rw_655 
  0x06002f0e, 0x2f0802ec, 0x1f000a0c, 0x3d285605,   // su.de.un_550 da.no.su_644  pt.cy.un_530 mg.sw.ku_333 
  0x281b30ad, 0x56310aa0, 0x05011a0d, 0x2f000419,   // uz.tr.sw_643 pt.az.mg_322  tl.en.fr_554 fi.su.un_750 
  // [8250]
  0x1b1a280c, 0x37000623, 0x23010508, 0x280911ac,   // sw.tl.tr_543 de.st.un_880  fr.en.ca_443 ro.pl.sw_632 
  0x2f270807, 0x13003d1b, 0x081035a0, 0x213d280c,   // no.gd.su_432 ku.et.un_770  tg.be.uk_322 sw.ku.jw_543 
  0x07173512, 0x56007322, 0x300a170c, 0x021b3da0,   // tg.sr.bg_654 ny.mg.un_870  sr.mk.uz_543 ku.tr.da_322 
  0x73002809, 0x0d062d0c, 0x2706180c, 0x09006e0c,   // sw.ny.un_440 sk.de.cs_543  ga.de.gd_543 hmn.pl.un_530 
  // [8260]
  0x31301f12, 0x08021205, 0x011e30ee, 0x0e000704,   // cy.uz.az_654 hu.da.no_333  uz.ms.en_422 it.is.un_320 
  0x121904a4, 0x29130407, 0x12000208, 0x351030a0,   // fi.gl.hu_433 fi.et.sl_432  da.hu.un_430 uz.be.tg_322 
  0x04033f02, 0x30021b08, 0x0c1a120c, 0x182704a4,   // af.nl.fi_222 tr.da.uz_443  hu.tl.sv_543 fi.gd.ga_433 
  0x04110809, 0x1f0e0cad, 0x113517a4, 0x0f002918,   // uk.ro.ru_444 sv.is.cy_643  sr.tg.ro_433 sl.lv.un_740 
  // [8270]
  0x300a4407, 0x0c0820a4, 0x1329040c, 0x1f080213,   // kk.mk.uz_432 sq.no.sv_433  fi.sl.et_543 da.no.cy_665 
  0x12090804, 0x0d252904, 0x131156ad, 0x04072307,   // no.pl.hu_332 sl.eu.cs_332  mg.ro.et_643 ky.bg.ru_432 
  0x10120807, 0x03120908, 0x300a0e04, 0x08130c12,   // no.hu.lt_432 pl.hu.nl_443  is.pt.uz_332 sv.et.no_654 
  0x29001309, 0x2330270c, 0x3f090d12, 0x021f08ec,   // et.sl.un_440 gd.uz.ca_543  cs.pl.af_654 no.cy.da_644 
  // [8280]
  0x233011ee, 0x23081005, 0x12002b1a, 0x53002312,   // ro.uz.ky_422 be.uk.ky_333  vi.hu.un_760 ca.ht.un_640 
  0x1300101a, 0x08022007, 0x170735ac, 0x16130708,   // lt.et.un_760 sq.da.no_432  tg.bg.sr_632 it.et.hr_443 
  0x03002507, 0x170a0460, 0x12002005, 0x302a13a0,   // eu.nl.un_420 ru.mk.sr_664  sq.hu.un_330 et.mt.uz_322 
  0x0e002512, 0x203f2304, 0x53080c11, 0x56000e2c,   // eu.is.un_640 ca.af.sq_332  sv.no.ht_653 is.mg.un_990 
  // [8290]
  0x233511a4, 0x321756a4, 0x012d1802, 0x6e6b3d07,   // ro.tg.ky_433 mg.sr.bs_433  ga.sk.en_222 ku.ceb.hmn_432 
  0x05550107, 0x270501ac, 0x050720ec, 0x55002102,   // en.rw.fr_432 en.fr.gd_632  sq.it.fr_644 jw.rw.un_220 
  0x25271855, 0x060564a7, 0x551118a0, 0x0b252005,   // ga.gd.eu_442 lg.fr.de_532  ga.ro.rw_322 sq.eu.es_333 
  0x550705a0, 0x11001c02, 0x73120eec, 0x17101104,   // fr.it.rw_322 id.ro.un_220  is.hu.ny_644 ro.be.sr_332 
  // [82a0]
  0x073023a4, 0x0a730608, 0x11201804, 0x0200190d,   // ky.uz.bg_433 de.ny.pt_443  ga.sq.ro_332 gl.da.un_540 
  0x290d2aa0, 0x27002007, 0x050820af, 0x1673060c,   // mt.cs.sl_322 sq.gd.un_420  sq.no.fr_655 de.ny.hr_543 
  0x05371aa7, 0x17040a0d, 0x203f0404, 0x190a5505,   // tl.st.fr_532 mk.ru.sr_554  fi.af.sq_332 rw.pt.gl_333 
  0x0e2056a7, 0x08071705, 0x17070409, 0x73062907,   // mg.sq.is_532 sr.bg.uk_333  ru.bg.sr_444 sl.de.ny_432 
  // [82b0]
  0x0d09290d, 0x060c1905, 0x645556a4, 0x0d292da9,   // sl.pl.cs_554 gl.sv.de_333  mg.rw.lg_433 sk.sl.cs_544 
  0x1a033f08, 0x1220320c, 0x1c181e04, 0x2f1e1ca7,   // af.nl.tl_443 bs.sq.hu_543  ms.ga.id_332 id.ms.su_532 
  0x2a73280c, 0x1811230c, 0x27180105, 0x2b002009,   // sw.ny.mt_543 ca.ro.ga_543  en.ga.gd_333 sq.vi.un_440 
  0x04731308, 0x1a647307, 0x06181f0d, 0x30567307,   // et.ny.fi_443 ny.lg.tl_432  cy.ga.de_554 ny.mg.uz_432 
  // [82c0]
  0x3d00311a, 0x291737ad, 0x28186bad, 0x231827a9,   // az.ku.un_760 st.sr.sl_643  ceb.ga.sw_643 gd.ga.ca_544 
  0x0a25370c, 0x180403a0, 0x23050b0c, 0x08440704,   // st.eu.pt_543 nl.fi.ga_322  es.fr.ca_543 bg.kk.uk_332 
  0x08002707, 0x18002004, 0x012825a9, 0x13002012,   // gd.no.un_420 sq.ga.un_320  eu.sw.en_544 sq.et.un_640 
  0x1b2f31ad, 0x0a002322, 0x250a370c, 0x371a5611,   // az.su.tr_643 ca.pt.un_870  st.pt.eu_543 mg.tl.st_653 
  // [82d0]
  0x31003d05, 0x08736bee, 0x732801a0, 0x17002508,   // ku.az.un_330 ceb.ny.no_422  en.sw.ny_322 eu.sr.un_430 
  0x73003d0d, 0x2a1a13a0, 0x13001902, 0x011e1cee,   // ku.ny.un_540 et.tl.mt_322  gl.et.un_220 id.ms.en_422 
  0x1a7337ec, 0x300e3107, 0x1625370c, 0x03321613,   // st.ny.tl_644 az.is.uz_432  st.eu.hr_543 hr.bs.nl_665 
  0x010c2312, 0x171b37a4, 0x01230504, 0x030c1207,   // ca.sv.en_654 st.tr.sr_433  fr.ca.en_332 hu.sv.nl_432 
  // [82e0]
  0x44103508, 0x08000e02, 0x09005305, 0x100407a9,   // tg.be.kk_443 is.no.un_220  ht.pl.un_330 bg.ru.be_544 
  0x6b130c04, 0x2300051b, 0x1e122104, 0x1b0519a7,   // sv.et.ceb_332 fr.ca.un_770  jw.hu.ms_332 gl.fr.tr_532 
  0x28060e07, 0x05230107, 0x3723010b, 0x55000702,   // is.de.sw_432 en.ca.fr_432  en.ca.st_542 it.rw.un_220 
  0x23130ca0, 0x3f000d04, 0x07171004, 0x532d0604,   // sv.et.ca_322 cs.af.un_320  be.sr.bg_332 de.sk.ht_332 
  // [82f0]
  0x123f0e05, 0x0a170408, 0x30000604, 0x132d0904,   // is.af.hu_333 ru.sr.mk_443  de.uz.un_320 pl.sk.et_332 
  0x7300561b, 0x290913a4, 0x292d32a0, 0x2d0d10a0,   // mg.ny.un_770 et.pl.sl_433  bs.sk.sl_322 lt.cs.sk_322 
  0x111304a0, 0x2d171604, 0x06001b02, 0x32000f04,   // fi.et.ro_322 hr.sr.sk_332  tr.de.un_220 lv.bs.un_320 
  0x160b25a4, 0x3f2f1c02, 0x30000b02, 0x11041308,   // eu.es.hr_433 id.su.af_222  es.uz.un_220 et.fi.ro_443 
  // [8300]
  0x171b310b, 0x081301a4, 0x130825a7, 0x1300110e,   // az.tr.sr_542 en.et.no_433  eu.no.et_532 ro.et.un_550 
  0x28001602, 0x08000e20, 0x0e000c02, 0x186b01ee,   // hr.sw.un_220 is.no.un_850  sv.is.un_220 en.ceb.ga_422 
  0x03003007, 0x080c02a6, 0x2900320d, 0x32291307,   // uz.nl.un_420 da.sv.no_521  bs.sl.un_540 et.sl.bs_432 
  0x03000c11, 0x0b2313a4, 0x0b002d04, 0x12000807,   // sv.nl.un_630 et.ca.es_433  sk.es.un_320 no.hu.un_420 
  // [8310]
  0x137304ad, 0x17100aa0, 0x12080e0c, 0x13000c02,   // fi.ny.et_643 mk.be.sr_322  is.no.hu_543 sv.et.un_220 
  0x08250e13, 0x2f0b1ea0, 0x2f191707, 0x20002102,   // is.eu.no_665 ms.es.su_322  sr.gl.su_432 jw.sq.un_220 
  0x641f3755, 0x1f00371a, 0x370964af, 0x070a08a9,   // st.cy.lg_442 st.cy.un_760  lg.pl.st_655 uk.mk.bg_544 
  0x1900290c, 0x100807af, 0x080c020d, 0x1a002f02,   // sl.gl.un_530 bg.uk.be_655  da.sv.no_554 su.tl.un_220 
  // [8320]
  0x0a172304, 0x1609110c, 0x120856ad, 0x137304ec,   // ky.sr.mk_332 ro.pl.hr_543  mg.no.hu_643 fi.ny.et_644 
  0x730e37ac, 0x37735612, 0x2f002813, 0x37561ca0,   // st.is.ny_632 mg.ny.st_654  sw.su.un_650 id.mg.st_322 
  0x250728a0, 0x55003721, 0x1e002808, 0x21002304,   // sw.it.eu_322 st.rw.un_860  sw.ms.un_430 ca.jw.un_320 
  0x201b3d0b, 0x09643f05, 0x07000107, 0x56033707,   // ku.tr.sq_542 af.lg.pl_333  en.it.un_420 st.nl.mg_432 
  // [8330]
  0x1f003712, 0x55007312, 0x060f100c, 0x1b557360,   // st.cy.un_640 ny.rw.un_640  lt.lv.de_543 ny.rw.tr_664 
  0x06270fa0, 0x0b002908, 0x1008170d, 0x11170809,   // lv.gd.de_322 sl.es.un_430  sr.uk.be_554 uk.sr.ro_444 
  0x0b070507, 0x0413560c, 0x301e06ee, 0x300408a4,   // fr.it.es_432 mg.et.fi_543  de.ms.uz_422 uk.ru.uz_433 
  0x050b1107, 0x0f137311, 0x04113555, 0x31003704,   // ro.es.fr_432 ny.et.lv_653  tg.ro.ru_442 st.az.un_320 
  // [8340]
  0x2a0105a0, 0x56000413, 0x553f73a4, 0x110a1113,   // fr.en.mt_322 fi.mg.un_650  ny.af.rw_433 ro.mk.ro_665 
  0x735606a7, 0x07080a02, 0x642f1cee, 0x05010fa4,   // de.mg.ny_532 mk.uk.bg_222  id.su.lg_422 lv.en.fr_433 
  0x071710ee, 0x0a13560c, 0x73202812, 0x0700730c,   // be.sr.bg_422 mg.et.pt_543  sw.sq.ny_654 ny.it.un_530 
  0x23040813, 0x64113da7, 0x072a1208, 0x55566413,   // uk.ru.ky_665 ku.ro.lg_532  hu.mt.it_443 lg.mg.rw_665 
  // [8350]
  0x02072307, 0x6b010a07, 0x0a311ba4, 0x191827ee,   // ca.it.da_432 pt.en.ceb_432  tr.az.pt_433 gd.ga.gl_422 
  0x20562513, 0x0b0e19a7, 0x040c31ac, 0x25560da0,   // eu.mg.sq_665 gl.is.es_532  az.sv.fi_632 cs.mg.eu_322 
  0x11171160, 0x562527a0, 0x0c37300d, 0x350a070b,   // ro.sr.ro_664 gd.eu.mg_322  uz.st.sv_554 bg.mk.tg_542 
  0x5308230c, 0x6b012aa0, 0x563718a4, 0x0b000204,   // ca.no.ht_543 mt.en.ceb_322  ga.st.mg_433 da.es.un_320 
  // [8360]
  0x25201f07, 0x53005612, 0x03733008, 0x251a550c,   // cy.sq.eu_432 mg.ht.un_640  uz.ny.nl_443 rw.tl.eu_543 
  0x3d0f0a08, 0x316473a4, 0x022b0e0b, 0x11005309,   // pt.lv.ku_443 ny.lg.az_433  is.vi.da_542 ht.ro.un_440 
  0x23050209, 0x17001012, 0x1c2f21a7, 0x1b181fee,   // da.fr.ca_444 lt.sr.un_640  jw.su.id_532 cy.ga.tr_422 
  0x0700560c, 0x210973ad, 0x05063da4, 0x0a101709,   // mg.it.un_530 ny.pl.jw_643  ku.de.fr_433 sr.be.mk_444 
  // [8370]
  0x0f1c1e12, 0x0d112da7, 0x07005514, 0x033f640e,   // ms.id.lv_654 sk.ro.cs_532  rw.it.un_660 lg.af.nl_555 
  0x1735100c, 0x2d090d12, 0x64092d05, 0x0c321602,   // be.tg.sr_543 cs.pl.sk_654  sk.pl.lg_333 hr.bs.sv_222 
  0x182b01a4, 0x0a07100b, 0x21042d07, 0x2921100b,   // en.vi.ga_433 be.bg.mk_542  sk.fi.jw_432 lt.jw.sl_542 
  0x21052f05, 0x0737530c, 0x53005507, 0x2d0d130c,   // su.fr.jw_333 ht.st.it_543  rw.ht.un_420 et.cs.sk_543 
  // [8380]
  0x2b550a0c, 0x070301a4, 0x2b7321a4, 0x0e130107,   // pt.rw.vi_543 en.nl.it_433  jw.ny.vi_433 en.et.is_432 
  0x56041808, 0x3f375507, 0x04061bee, 0x01070907,   // ga.fi.mg_443 rw.st.af_432  tr.de.fi_422 pl.it.en_432 
  0x121e10a7, 0x20303d55, 0x1b303108, 0x17000908,   // lt.ms.hu_532 ku.uz.sq_442  az.uz.tr_443 pl.sr.un_430 
  0x09126bad, 0x172821a0, 0x375301ad, 0x0f005602,   // ceb.hu.pl_643 jw.sw.sr_322  en.ht.st_643 mg.lv.un_220 
  // [8390]
  0x0425135a, 0x01042860, 0x1119235a, 0x73033f08,   // et.eu.fi_553 sw.fi.en_664  ca.gl.ro_553 af.nl.ny_443 
  0x1f001812, 0x16112da4, 0x01070807, 0x190b0708,   // ga.cy.un_640 sk.ro.hr_433  no.it.en_432 it.es.gl_443 
  0x30311b05, 0x64000407, 0x190e18a7, 0x1b300804,   // tr.az.uz_333 fi.lg.un_420  ga.is.gl_532 no.uz.tr_332 
  0x130e10a7, 0x18271aee, 0x302335ad, 0x10001f05,   // lt.is.et_532 tl.gd.ga_422  tg.ky.uz_643 cy.lt.un_330 
  // [83a0]
  0x1200100c, 0x04170809, 0x350430ee, 0x03133fa4,   // lt.hu.un_530 uk.sr.ru_444  uz.ru.tg_422 af.et.nl_433 
  0x0a003512, 0x02002502, 0x232513a9, 0x070a35a0,   // tg.mk.un_640 eu.da.un_220  et.eu.ca_544 tg.mk.bg_322 
  0x21271807, 0x13236b14, 0x3000232b, 0x0a081105,   // ga.gd.jw_432 ceb.ca.et_666  ky.uz.un_980 ro.uk.mk_333 
  0x28040f04, 0x2b1c2109, 0x0a2317a7, 0x731b3108,   // lv.fi.sw_332 jw.id.vi_444  sr.ky.mk_532 az.tr.ny_443 
  // [83b0]
  0x28006e04, 0x230a05af, 0x3f030407, 0x112a01a0,   // hmn.sw.un_320 fr.pt.ca_655  fi.nl.af_432 en.mt.ro_322 
  0x051304ad, 0x0f2305a0, 0x11002707, 0x2f29040c,   // fi.et.fr_643 fr.ca.lv_322  gd.ro.un_420 fi.sl.su_543 
  0x180b56ee, 0x28216ba4, 0x2f7327af, 0x1f300fec,   // mg.es.ga_422 ceb.jw.sw_433  gd.ny.su_655 lv.uz.cy_644 
  0x08023dec, 0x20003023, 0x0b272fa4, 0x271f1805,   // ku.da.no_644 uz.sq.un_880  su.gd.es_433 ga.cy.gd_333 
  // [83c0]
  0x113d01a4, 0x29090d0c, 0x202f1cee, 0x301f0aa0,   // en.ku.ro_433 cs.pl.sl_543  id.su.sq_422 pt.cy.uz_322 
  0x7300031a, 0x08110705, 0x6e0501a7, 0x6b03065a,   // nl.ny.un_760 bg.ro.uk_333  en.fr.hmn_532 de.nl.ceb_553 
  0x2508130c, 0x350a17ac, 0x3127250c, 0x04103f0c,   // et.no.eu_543 sr.mk.tg_632  eu.gd.az_543 af.lt.fi_543 
  0x3217040c, 0x130e0814, 0x0d0916a4, 0x32000e0b,   // fi.sr.bs_543 no.is.et_666  hr.pl.cs_433 is.bs.un_520 
  // [83d0]
  0x321217a0, 0x28211a07, 0x021a25a0, 0x09007311,   // sr.hu.bs_322 tl.jw.sw_432  eu.tl.da_322 ny.pl.un_630 
  0x0e00061a, 0x0f25130b, 0x121b3107, 0x536b1a0c,   // de.is.un_760 et.eu.lv_542  az.tr.hu_432 tl.ceb.ht_543 
  0x170408af, 0x020e250c, 0x18122109, 0x190b2511,   // uk.ru.sr_655 eu.is.da_543  fa.ur.ar_444 eu.es.gl_653 
  0x112310ad, 0x1c001602, 0x08350a07, 0x35070a60,   // be.ky.ro_643 hr.id.un_220  mk.tg.uk_432 mk.bg.tg_664 
  // [83e0]
  0x20005502, 0x291017a0, 0x212f0507, 0x16000d05,   // rw.sq.un_220 sr.lt.sl_322  fr.su.jw_432 cs.hr.un_330 
  0x16002d07, 0x0d161755, 0x201710a7, 0x050c01a4,   // sk.hr.un_420 sr.hr.cs_442  lt.sr.sq_532 en.sv.fr_433 
  0x645613a0, 0x170811ee, 0x1c130d05, 0x1b0e21a7,   // et.mg.lg_322 ro.uk.sr_422  ne.bh.mr_333 jw.is.tr_532 
  0x030c3fee, 0x2f1e20a4, 0x0e232aa0, 0x1a1b6ba4,   // af.sv.nl_422 sq.ms.su_433  mt.ca.is_322 ceb.tr.tl_433 
  // [83f0]
  0x1704230c, 0x18170ba0, 0x02007305, 0x6b641b12,   // ky.ru.sr_543 es.sr.ga_322  ny.da.un_330 tr.lg.ceb_654 
  0x44352312, 0x06020e08, 0x1c2a2f0c, 0x13303108,   // ky.tg.kk_654 is.da.de_443  su.mt.id_543 az.uz.et_443 
  0x313d090c, 0x2b287311, 0x07053dad, 0x11002a0e,   // pl.ku.az_543 ny.sw.vi_653  ku.fr.it_643 mt.ro.un_550 
  0x0b000a23, 0x1a0864a0, 0x0e0c1ba4, 0x07135607,   // pt.es.un_880 lg.no.tl_322  tr.sv.is_433 mg.et.it_432 
  
  // [8400]
  0x29002511, 0x6b001e0d, 0x2517270c, 0x2a0b37a6,   // eu.sl.un_630 ms.ceb.un_540  gd.sr.eu_543 st.es.mt_521 
  0x0e3f1b02, 0x1a212fa9, 0x060823ee, 0x37110c07,   // tr.af.is_222 su.jw.tl_544  ca.no.de_422 sv.ro.st_432 
  0x16282fee, 0x200b0a08, 0x021b1c0c, 0x2509200c,   // su.sw.hr_422 pt.es.sq_443  id.tr.da_543 sq.pl.eu_543 
  0x2f000505, 0x28001321, 0x530628a7, 0x2500190d,   // fr.su.un_330 et.sw.un_860  sw.de.ht_532 gl.eu.un_540 
  // [8410]
  0x3500040e, 0x64211ea0, 0x1c0d13a9, 0x300e64ee,   // ru.tg.un_550 ms.jw.lg_322  bh.ne.mr_544 lg.is.uz_422 
  0x640c1f04, 0x3d2503af, 0x1b735504, 0x1f2a64a7,   // cy.sv.lg_332 nl.eu.ku_655  rw.ny.tr_332 lg.mt.cy_532 
  0x210f2fa0, 0x1e302a04, 0x0f280408, 0x12000104,   // su.lv.jw_322 mt.uz.ms_332  fi.sw.lv_443 en.hu.un_320 
  0x12003204, 0x640156ad, 0x211a6b07, 0x2f0e27a4,   // bs.hu.un_320 mg.en.lg_643  ceb.tl.jw_432 gd.is.su_433 
  // [8420]
  0x733d0408, 0x3f001f11, 0x3d002020, 0x55002a02,   // fi.ku.ny_443 cy.af.un_630  sq.ku.un_850 mt.rw.un_220 
  0x10173504, 0x16043055, 0x553d0613, 0x37001f22,   // tg.sr.be_332 uz.fi.hr_442  de.ku.rw_665 cy.st.un_870 
  0x13003d08, 0x080228af, 0x37001f11, 0x1e006405,   // ku.et.un_430 sw.da.no_655  cy.st.un_630 lg.ms.un_330 
  0x19002b13, 0x28006b22, 0x16003212, 0x31002a08,   // vi.gl.un_650 ceb.sw.un_870  bs.hr.un_640 mt.az.un_430 
  // [8430]
  0x2b000e1a, 0x07103060, 0x0e006412, 0x30071f07,   // is.vi.un_760 uz.be.bg_664  lg.is.un_640 cy.it.uz_432 
  0x3f020c0c, 0x08272f04, 0x1e2a30ec, 0x01002a07,   // sv.da.af_543 su.gd.no_332  uz.mt.ms_644 mt.en.un_420 
  0x1a002913, 0x0425730c, 0x303d1ea4, 0x212f16a0,   // sl.tl.un_650 ny.eu.fi_543  ms.ku.uz_433 hr.su.jw_322 
  0x173010a9, 0x0d130c08, 0x0d0b0a05, 0x2d1729af,   // be.uz.sr_544 sv.et.cs_443  pt.es.cs_333 sl.sr.sk_655 
  // [8440]
  0x44101711, 0x13321702, 0x0e181904, 0x122d0d0c,   // sr.be.kk_653 sr.bs.et_222  gl.ga.is_332 cs.sk.hu_543 
  0x0708170d, 0x3f1b31a9, 0x17083009, 0x170835af,   // sr.uk.bg_554 az.tr.af_544  uz.uk.sr_444 tg.uk.sr_655 
  0x06311b12, 0x20101f04, 0x04002a05, 0x12000513,   // tr.az.de_654 cy.lt.sq_332  mt.fi.un_330 fr.hu.un_650 
  0x532d0d0e, 0x29160d02, 0x1e6b1c0c, 0x1c212faf,   // cs.sk.ht_555 cs.hr.sl_222  id.ceb.ms_543 su.jw.id_655 
  // [8450]
  0x2f1b55ee, 0x11171602, 0x0f00080d, 0x232d0d55,   // rw.tr.su_422 hr.sr.ro_222  no.lv.un_540 cs.sk.ca_442 
  0x0800060b, 0x6b301a07, 0x1f001102, 0x0410080d,   // de.no.un_520 tl.uz.ceb_432  ro.cy.un_220 uk.be.ru_554 
  0x1b0e1a07, 0x6e160da4, 0x10201f0c, 0x0b1205ec,   // tl.is.tr_432 cs.hr.hmn_433  cy.sq.lt_543 fr.hu.es_644 
  0x3f2d0d60, 0x095505a4, 0x08002102, 0x5500100c,   // cs.sk.af_664 fr.rw.pl_433  jw.no.un_220 lt.rw.un_530 
  // [8460]
  0x2f003704, 0x232d0dec, 0x27006402, 0x16091b08,   // st.su.un_320 cs.sk.ca_644  lg.gd.un_220 tr.pl.hr_443 
  0x2f211ea7, 0x21121e07, 0x19180a55, 0x1e1c04ee,   // ms.jw.su_532 ms.hu.jw_432  pt.ga.gl_442 fi.id.ms_422 
  0x6b1a0eaf, 0x30001012, 0x04641013, 0x201b2307,   // is.tl.ceb_655 be.uz.un_640  lt.lg.fi_665 ca.tr.sq_432 
  0x32171655, 0x070501ee, 0x28003702, 0x44081008,   // hr.sr.bs_442 en.fr.it_422  st.sw.un_220 be.uk.kk_443 
  // [8470]
  0x09002804, 0x16203207, 0x1f005502, 0x0b310cee,   // sw.pl.un_320 bs.sq.hr_432  rw.cy.un_220 sv.az.es_422 
  0x1c080cec, 0x2900091b, 0x641e1c09, 0x06003d19,   // sv.no.id_644 pl.sl.un_770  id.ms.lg_444 ku.de.un_750 
  0x6400552a, 0x0500061a, 0x3f271607, 0x06001219,   // rw.lg.un_970 de.fr.un_760  hr.gd.af_432 hu.de.un_750 
  0x1b0d3d04, 0x64001321, 0x1123170d, 0x170804a9,   // ku.cs.tr_332 et.lg.un_860  sr.ky.ro_554 ru.uk.sr_544 
  // [8480]
  0x2507010b, 0x05016ba0, 0x05230aee, 0x64551113,   // en.it.eu_542 ceb.en.fr_322  pt.ca.fr_422 ro.rw.lg_665 
  0x2713040c, 0x1a026bee, 0x1b3d1108, 0x1b20310d,   // fi.et.gd_543 ceb.da.tl_422  ro.ku.tr_443 az.sq.tr_554 
  0x1c080ca0, 0x37230b08, 0x09002919, 0x1c2164ee,   // sv.no.id_322 es.ca.st_443  sl.pl.un_750 lg.jw.id_422 
  0x09285302, 0x2800300c, 0x082330a4, 0x0b000a04,   // ht.sw.pl_222 uz.sw.un_530  uz.ky.uk_433 pt.es.un_320 
  // [8490]
  0x12001f08, 0x182d0d02, 0x3d002921, 0x0f2a07ec,   // cy.hu.un_430 cs.sk.ga_222  sl.ku.un_860 it.mt.lv_644 
  0x09002921, 0x1b211ca4, 0x21092955, 0x29000914,   // sl.pl.un_860 id.jw.tr_433  sl.pl.jw_442 pl.sl.un_660 
  0x44070a13, 0x64551309, 0x13000107, 0x32101712,   // mk.bg.kk_665 et.rw.lg_444  en.et.un_420 sr.lt.bs_654 
  0x32172907, 0x30002702, 0x6b003714, 0x212f0504,   // sl.sr.bs_432 gd.uz.un_220  st.ceb.un_660 fr.su.jw_332 
  // [84a0]
  0x1708070d, 0x10003023, 0x19007304, 0x050173ee,   // bg.uk.sr_554 uz.be.un_880  ny.gl.un_320 ny.en.fr_422 
  0x313d1b12, 0x0c561113, 0x1b312508, 0x0f2d0d02,   // tr.ku.az_654 ro.mg.sv_665  eu.az.tr_443 cs.sk.lv_222 
  0x07561ca0, 0x070a3007, 0x11190a05, 0x11070d0c,   // id.mg.it_322 uz.mk.bg_432  pt.gl.ro_333 cs.it.ro_543 
  0x122f05ee, 0x1f560c04, 0x0c08021a, 0x2b083fa4,   // fr.su.hu_422 sv.mg.cy_332  da.no.sv_776 af.no.vi_433 
  // [84b0]
  0x203073ee, 0x30007313, 0x08170a13, 0x0a10170d,   // ny.uz.sq_422 ny.uz.un_650  mk.sr.uk_665 sr.be.mk_554 
  0x08351155, 0x23300407, 0x080735a4, 0x536473ad,   // ro.tg.uk_442 fi.uz.ca_432  tg.bg.uk_433 ny.lg.ht_643 
  0x300e1e0c, 0x160d1707, 0x1c002b07, 0x10000823,   // ms.is.uz_543 sr.cs.hr_432  vi.id.un_420 uk.be.un_880 
  0x53002d02, 0x44000704, 0x08110aa4, 0x2a0f1012,   // sk.ht.un_220 bg.kk.un_320  mk.ro.uk_433 lt.lv.mt_654 
  // [84c0]
  0x21005313, 0x21002012, 0x01001805, 0x06130fa0,   // ht.jw.un_650 sq.jw.un_640  ga.en.un_330 lv.et.de_322 
  0x100807ad, 0x55645308, 0x1b6b55ad, 0x21001302,   // bg.uk.be_643 ht.lg.rw_443  rw.ceb.tr_643 et.jw.un_220 
  0x0f1f1813, 0x30550aec, 0x1b006418, 0x28001219,   // ga.cy.lv_665 pt.rw.uz_644  lg.tr.un_740 hu.sw.un_750 
  0x023f03af, 0x2d092905, 0x07030e0c, 0x28005612,   // nl.af.da_655 sl.pl.sk_333  is.nl.it_543 mg.sw.un_640 
  // [84d0]
  0x32003f07, 0x371b0107, 0x561864a0, 0x190a2dec,   // af.bs.un_420 en.tr.st_432  lg.ga.mg_322 sk.pt.gl_644 
  0x210553ee, 0x3f6b1a0c, 0x0b191212, 0x351008ad,   // ht.fr.jw_422 tl.ceb.af_543  hu.gl.es_654 uk.be.tg_643 
  0x31532155, 0x0c0608a4, 0x23292d0c, 0x1e732008,   // jw.ht.az_442 no.de.sv_433  sk.sl.ca_543 sq.ny.ms_443 
  0x10080208, 0x2855640e, 0x21070608, 0x6b1a08a0,   // da.no.lt_443 lg.rw.sw_555  de.it.jw_443 no.tl.ceb_322 
  // [84e0]
  0x2f28210c, 0x201b3da4, 0x0a1b2b0c, 0x17212d07,   // jw.sw.su_543 ku.tr.sq_433  vi.tr.pt_543 sk.jw.sr_432 
  0x130c08ec, 0x37311bee, 0x0c2927a9, 0x08020f09,   // no.sv.et_644 tr.az.st_422  gd.sl.sv_544 lv.da.no_444 
  0x230b11ee, 0x64135507, 0x560405a7, 0x0456270c,   // ro.es.ca_422 rw.et.lg_432  fr.fi.mg_532 gd.mg.fi_543 
  0x05070107, 0x2a00071a, 0x64553d0c, 0x0400561a,   // en.it.fr_432 it.mt.un_760  ku.rw.lg_543 mg.fi.un_760 
  // [84f0]
  0x0b0f2fa0, 0x10003102, 0x1b323005, 0x08001b04,   // su.lv.es_322 az.lt.un_220  uz.bs.tr_333 tr.no.un_320 
  0x031f0912, 0x172308a4, 0x0c2d0d08, 0x1800560d,   // pl.cy.nl_654 uk.ky.sr_433  cs.sk.sv_443 mg.ga.un_540 
  0x07647304, 0x313d1b04, 0x0a230555, 0x11003d04,   // ny.lg.it_332 tr.ku.az_332  fr.ca.pt_442 ku.ro.un_320 
  0x1b003d22, 0x2000560c, 0x3d201ba9, 0x20051b0c,   // ku.tr.un_870 mg.sq.un_530  tr.sq.ku_544 tr.fr.sq_543 
  // [8500]
  0x190528a4, 0x09001c02, 0x3500441a, 0x08043002,   // sw.fr.gl_433 id.pl.un_220  kk.tg.un_760 uz.ru.uk_222 
  0x736b1a05, 0x051104ee, 0x0f0910ee, 0x0b3f06ee,   // tl.ceb.ny_333 fi.ro.fr_422  lt.pl.lv_422 de.af.es_422 
  0x06003f0b, 0x07080aa4, 0x05000408, 0x25090f07,   // af.de.un_520 mk.uk.bg_433  fi.fr.un_430 lv.pl.eu_432 
  0x04055613, 0x0c083db3, 0x044407ad, 0x282a3f02,   // mg.fr.fi_665 ku.no.sv_743  bg.kk.ru_643 af.mt.sw_222 
  // [8510]
  0x0a23100b, 0x1c201eee, 0x3004085a, 0x062a09ad,   // be.ky.mk_542 ms.sq.id_422  uk.ru.uz_553 pl.mt.de_643 
  0x16001c08, 0x12050fee, 0x0f303112, 0x313d30af,   // id.hr.un_430 lv.fr.hu_422  az.uz.lv_654 uz.ku.az_655 
  0x11001708, 0x20003018, 0x09062a07, 0x2506035a,   // sr.ro.un_430 uz.sq.un_740  mt.de.pl_432 nl.de.eu_553 
  0x11001804, 0x093f0607, 0x06250708, 0x0e000108,   // ga.ro.un_320 de.af.pl_432  it.eu.de_443 en.is.un_430 
  // [8520]
  0x0f002a04, 0x06050105, 0x05190a14, 0x19180bec,   // mt.lv.un_320 en.fr.de_333  pt.gl.fr_666 es.ga.gl_644 
  0x0e1005a7, 0x0a052308, 0x4435235a, 0x100f04a7,   // fr.lt.is_532 ca.fr.pt_443  ky.tg.kk_553 fi.lv.lt_532 
  0x17100f08, 0x03001302, 0x0d076455, 0x042330ad,   // lv.lt.sr_443 et.nl.un_220  lg.it.cs_442 uz.ky.ru_643 
  0x1a000613, 0x30003d0c, 0x23192508, 0x7355560d,   // de.tl.un_650 ku.uz.un_530  eu.gl.ca_443 mg.rw.ny_554 
  // [8530]
  0x1c001a04, 0x08003d1a, 0x030620a7, 0x126407a9,   // tl.id.un_320 ku.no.un_760  sq.de.nl_532 it.lg.hu_544 
  0x2a1207af, 0x200c0811, 0x040f1060, 0x37002a07,   // it.hu.mt_655 no.sv.sq_653  lt.lv.fi_664 mt.st.un_420 
  0x100e25a4, 0x2a6412ad, 0x19230508, 0x137304a4,   // eu.is.lt_433 hu.lg.mt_643  fr.ca.gl_443 fi.ny.et_433 
  0x2b000509, 0x23050ba9, 0x56001e21, 0x1c2f1ea9,   // fr.vi.un_440 es.fr.ca_544  ms.mg.un_860 ms.su.id_544 
  // [8540]
  0x063d0e07, 0x033f2808, 0x561a2f0d, 0x731a280c,   // is.ku.de_432 sw.af.nl_443  su.tl.mg_554 sw.tl.ny_543 
  0x1a7364ee, 0x3f216407, 0x1a213fad, 0x0d002312,   // lg.ny.tl_422 lg.jw.af_432  af.jw.tl_643 ca.cs.un_640 
  0x1a1e1c60, 0x25002907, 0x322f210c, 0x32311b0c,   // id.ms.tl_664 sl.eu.un_420  jw.su.bs_543 tr.az.bs_543 
  0x032f21ec, 0x28003708, 0x311b64af, 0x20002812,   // jw.su.nl_644 st.sw.un_430  lg.tr.az_655 sw.sq.un_640 
  // [8550]
  0x647328a9, 0x303d31a4, 0x642a075a, 0x556401a0,   // sw.ny.lg_544 az.ku.uz_433  it.mt.lg_553 en.lg.rw_322 
  0x12072a0c, 0x0c001f0d, 0x30561e04, 0x10212f0b,   // mt.it.hu_543 cy.sv.un_540  ms.mg.uz_332 su.jw.lt_542 
  0x56641aa9, 0x55643009, 0x3730310c, 0x111012ad,   // tl.lg.mg_544 uz.lg.rw_444  az.uz.st_543 hu.lt.ro_643 
  0x083d0c07, 0x2a1a21a4, 0x11070a02, 0x6b301a12,   // sv.ku.no_432 jw.tl.mt_433  pt.it.ro_222 tl.uz.ceb_654 
  // [8560]
  0x0325040c, 0x550b6413, 0x101704a4, 0x0c0e080d,   // fi.eu.nl_543 lg.es.rw_665  ru.sr.be_433 no.is.sv_554 
  0x2128640d, 0x30213155, 0x015605a0, 0x120e2d04,   // lg.sw.jw_554 az.jw.uz_442  fr.mg.en_322 sk.is.hu_332 
  0x09001704, 0x17100405, 0x190b1114, 0x28105507,   // sr.pl.un_320 ru.be.sr_333  ro.es.gl_666 rw.lt.sw_432 
  0x2a371007, 0x0a0817af, 0x2f311ca4, 0x090f25a0,   // lt.st.mt_432 sr.uk.mk_655  id.az.su_433 eu.lv.pl_322 
  // [8570]
  0x1a21010c, 0x08103012, 0x19530b55, 0x0b0d0ea0,   // en.jw.tl_543 uz.be.uk_654  es.ht.gl_442 is.cs.es_322 
  0x30005508, 0x100b0408, 0x07120412, 0x1c2f7307,   // rw.uz.un_430 fi.es.lt_443  fi.hu.it_654 ny.su.id_432 
  0x5600300e, 0x11563713, 0x730553a4, 0x37005621,   // uz.mg.un_550 st.mg.ro_665  ht.fr.ny_433 mg.st.un_860 
  0x2b3756ac, 0x5628370c, 0x080205a4, 0x11562b04,   // mg.st.vi_632 st.sw.mg_543  fr.da.no_433 vi.mg.ro_332 
  // [8580]
  0x1c2a0da4, 0x2d060d11, 0x37116b04, 0x12130ead,   // cs.mt.id_433 cs.de.sk_653  ceb.ro.st_332 is.et.hu_643 
  0x3f0e10a9, 0x35003035, 0x0d2d2955, 0x0b0711a0,   // lt.is.af_544 uz.tg.un_A90  sl.sk.cs_442 ro.it.es_322 
  0x30443555, 0x112856ac, 0x107309af, 0x37005629,   // tg.kk.uz_442 mg.sw.ro_632  pl.ny.lt_655 mg.st.un_960 
  0x213f1c04, 0x11005619, 0x1632170c, 0x37005622,   // id.af.jw_332 mg.ro.un_750  sr.bs.hr_543 mg.st.un_870 
  // [8590]
  0x25000714, 0x56112812, 0x352330ee, 0x05033f04,   // it.eu.un_660 sw.ro.mg_654  uz.ky.tg_422 af.nl.fr_332 
  0x03002f08, 0x08537312, 0x4400040c, 0x020e08a4,   // su.nl.un_430 ny.ht.no_654  ru.kk.un_530 no.is.da_433 
  0x043f0313, 0x211c73a4, 0x202d07ac, 0x1f00530c,   // nl.af.fi_665 ny.id.jw_433  it.sk.sq_632 ht.cy.un_530 
  0x230f3f08, 0x53001f0c, 0x1c003707, 0x32060707,   // af.lv.ca_443 cy.ht.un_530  st.id.un_420 it.de.bs_432 
  // [85a0]
  0x73003022, 0x31006402, 0x6e190a0e, 0x11551e07,   // uz.ny.un_870 lg.az.un_220  pt.gl.hmn_555 ms.rw.ro_432 
  0x06000321, 0x31287308, 0x561e1c08, 0x250906a0,   // nl.de.un_860 ny.sw.az_443  id.ms.mg_443 de.pl.eu_322 
  0x1e04530c, 0x230556af, 0x29321613, 0x321973a4,   // ht.fi.ms_543 mg.fr.ca_655  hr.bs.sl_665 ny.gl.bs_433 
  0x06230baf, 0x53732808, 0x04001214, 0x31001904,   // es.ca.de_655 sw.ny.ht_443  hu.fi.un_660 gl.az.un_320 
  // [85b0]
  0x06080c07, 0x1200562a, 0x13731e05, 0x53042da0,   // sv.no.de_432 mg.hu.un_970  ms.ny.et_333 sk.fi.ht_322 
  0x3055200d, 0x2f001302, 0x1e1f0a0c, 0x1a562f0c,   // sq.rw.uz_554 et.su.un_220  pt.cy.ms_543 su.mg.tl_543 
  0x0a566408, 0x5300320c, 0x0a2a2704, 0x271a6bad,   // lg.mg.pt_443 bs.ht.un_530  gd.mt.pt_332 ceb.tl.gd_643 
  0x1a7308a0, 0x210f1f0c, 0x25001318, 0x0800091a,   // no.ny.tl_322 cy.lv.jw_543  et.eu.un_740 pl.no.un_760 
  // [85c0]
  0x0c0408a9, 0x09003d19, 0x06091108, 0x010a5607,   // no.fi.sv_544 ku.pl.un_750  ro.pl.de_443 mg.pt.en_432 
  0x2f082b05, 0x0c010212, 0x05010614, 0x012b12a6,   // vi.no.su_333 da.en.sv_654  de.en.fr_666 hu.vi.en_521 
  0x6b642d07, 0x233530a4, 0x3217090c, 0x09006e08,   // sk.lg.ceb_432 uz.tg.ky_433  pl.sr.bs_543 hmn.pl.un_430 
  0x1711230c, 0x12001604, 0x112521ad, 0x5600370d,   // ky.ro.sr_543 hr.hu.un_320  jw.eu.ro_643 st.mg.un_540 
  // [85d0]
  0x6e2a01a4, 0x1a7337a9, 0x0f731ca4, 0x73101ca4,   // en.mt.hmn_433 st.ny.tl_544  id.ny.lv_433 id.lt.ny_433 
  0x1e31305a, 0x31121005, 0x100c0804, 0x212f2808,   // uz.az.ms_553 lt.hu.az_333  no.sv.lt_332 sw.su.jw_443 
  0x04085304, 0x060c1ca0, 0x1b0e120c, 0x23001008,   // ht.no.fi_332 id.sv.de_322  hu.is.tr_543 be.ky.un_430 
  0x0773370b, 0x2f006412, 0x06101ba4, 0x0d122da4,   // st.ny.it_542 lg.su.un_640  tr.lt.de_433 sk.hu.cs_433 
  // [85e0]
  0x05060304, 0x2a0809a0, 0x73003005, 0x531a56a0,   // nl.de.fr_332 pl.no.mt_322  uz.ny.un_330 mg.tl.ht_322 
  0x37006e2b, 0x28005523, 0x3d1a730c, 0x3f02080c,   // hmn.st.un_980 rw.sw.un_880  ny.tl.ku_543 no.da.af_543 
  0x011853a0, 0x011b0eee, 0x13043da7, 0x64000804,   // ht.ga.en_322 is.tr.en_422  ku.fi.et_532 no.lg.un_320 
  0x070810ee, 0x37313da0, 0x0a100711, 0x1c2f1b04,   // be.uk.bg_422 ku.az.st_322  bg.be.mk_653 tr.su.id_332 
  // [85f0]
  0x2d002319, 0x1e002804, 0x1e005304, 0x531e73a0,   // ca.sk.un_750 sw.ms.un_320  ht.ms.un_320 ny.ms.ht_322 
  0x1e290fad, 0x3f000a12, 0x2b000a08, 0x3f000a14,   // lv.sl.ms_643 pt.af.un_640  pt.vi.un_430 pt.af.un_660 
  0x1044110c, 0x02033faf, 0x2300201b, 0x18001f04,   // ro.kk.be_543 af.nl.da_655  sq.ca.un_770 cy.ga.un_320 
  0x080711ac, 0x0a002008, 0x0b230aa0, 0x081f0e04,   // ro.bg.uk_632 sq.pt.un_430  pt.ca.es_322 is.cy.no_332 
  // [8600]
  0x30312313, 0x01282aee, 0x210c2bee, 0x0e000c2c,   // ca.az.uz_665 mt.sw.en_422  vi.sv.jw_422 sv.is.un_990 
  0x300e08a0, 0x0e300c0d, 0x190a1809, 0x13000105,   // no.is.uz_322 sv.uz.is_554  ga.pt.gl_444 en.et.un_330 
  0x080e01a4, 0x29020c08, 0x3f0313a4, 0x080f1007,   // en.is.no_433 sv.da.sl_443  et.nl.af_433 lt.lv.no_432 
  0x060e1f0c, 0x070411ac, 0x0b120a5a, 0x02003008,   // cy.is.de_543 ro.ru.bg_632  pt.hu.es_553 uz.da.un_430 
  // [8610]
  0x0a3044ee, 0x2f2137ad, 0x5300250c, 0x2000091b,   // kk.uz.mk_422 st.jw.su_643  eu.ht.un_530 pl.sq.un_770 
  0x080230a4, 0x08093fee, 0x05270805, 0x321707a4,   // uz.da.no_433 af.pl.no_422  no.gd.fr_333 it.sr.bs_433 
  0x30020c14, 0x0306250c, 0x2a2818ee, 0x06562507,   // sv.da.uz_666 eu.de.nl_543  ga.sw.mt_422 eu.mg.de_432 
  0x202a56a9, 0x211e37a9, 0x3f001e08, 0x0e300111,   // mg.mt.sq_544 st.ms.jw_544  ms.af.un_430 en.uz.is_653 
  // [8620]
  0x0a002d08, 0x1f002308, 0x2d562314, 0x29000c08,   // sk.pt.un_430 ca.cy.un_430  ca.mg.sk_666 sv.sl.un_430 
  0x1800372b, 0x1a001708, 0x1f0656a0, 0x21035308,   // st.ga.un_980 sr.tl.un_430  mg.de.cy_322 ht.nl.jw_443 
  0x73232004, 0x0700231a, 0x1b373004, 0x23060509,   // sq.ca.ny_332 ky.bg.un_760  uz.st.tr_332 fr.de.ca_444 
  0x56082a04, 0x321b3dec, 0x206e090c, 0x37002007,   // mt.no.mg_332 ku.tr.bs_644  pl.hmn.sq_543 sq.st.un_420 
  // [8630]
  0x53002908, 0x0a002514, 0x29096e0c, 0x2b1a5307,   // sl.ht.un_430 eu.pt.un_660  hmn.pl.sl_543 ht.tl.vi_432 
  0x312519a7, 0x6b3f2a07, 0x320520a0, 0x0a302808,   // gl.eu.az_532 mt.af.ceb_432  sq.fr.bs_322 sw.uz.pt_443 
  0x23003034, 0x12003704, 0x21370c04, 0x37002a2b,   // uz.ky.un_A80 st.hu.un_320  sv.st.jw_332 mt.st.un_980 
  0x31300a07, 0x2173250c, 0x20192308, 0x2800562b,   // pt.uz.az_432 eu.ny.jw_543  ca.gl.sq_443 mg.sw.un_980 
  // [8640]
  0x312f23a4, 0x06012b04, 0x321120ee, 0x052a55ee,   // ca.su.az_433 vi.en.de_332  sq.ro.bs_422 rw.mt.fr_422 
  0x06033fad, 0x062301a7, 0x0f000104, 0x097328a0,   // af.nl.de_643 en.ca.de_532  en.lv.un_320 sw.ny.pl_322 
  0x230a130c, 0x3f03230e, 0x0a2d18a0, 0x2400012a,   // et.pt.ca_543 ca.nl.af_555  ga.sk.pt_322 iw.yi.un_970 
  0x3700730b, 0x19002307, 0x353023a9, 0x03000118,   // ny.st.un_520 ca.gl.un_420  ky.uz.tg_544 en.nl.un_740 
  // [8650]
  0x183f0107, 0x083011ee, 0x3f230507, 0x030f3fad,   // en.af.ga_432 ro.uz.uk_422  fr.ca.af_432 af.lv.nl_643 
  0x03053f13, 0x11351113, 0x070a350d, 0x20121f55,   // af.fr.nl_665 ro.tg.ro_665  tg.mk.bg_554 cy.hu.sq_442 
  0x0a001807, 0x080917a0, 0x530c6b02, 0x01640f04,   // ga.pt.un_420 sr.pl.no_322  ceb.sv.ht_222 lv.lg.en_332 
  0x290910a9, 0x1f002b04, 0x044423ad, 0x020c03a0,   // lt.pl.sl_544 vi.cy.un_320  ky.kk.ru_643 nl.sv.da_322 
  // [8660]
  0x0b0f25a0, 0x21001119, 0x3f370355, 0x1a131fa4,   // eu.lv.es_322 ro.jw.un_750  nl.st.af_442 cy.et.tl_433 
  0x023f0360, 0x13002919, 0x0b0856a4, 0x110c2a04,   // nl.af.da_664 sl.et.un_750  mg.no.es_433 mt.sv.ro_332 
  0x291c13a6, 0x080c2355, 0x17080c08, 0x080256a0,   // et.id.sl_521 ca.sv.no_442  sv.no.sr_443 mg.da.no_322 
  0x0d00530e, 0x28001f04, 0x562d53a7, 0x0e280607,   // ht.cs.un_550 cy.sw.un_320  ht.sk.mg_532 de.sw.is_432 
  // [8670]
  0x0430110b, 0x012a0307, 0x0e0656ad, 0x210273a0,   // ro.uz.ru_542 nl.mt.en_432  mg.de.is_643 ny.da.jw_322 
  0x2f2131ad, 0x3f0825ad, 0x1f2d0d0e, 0x316e13a4,   // az.jw.su_643 eu.no.af_643  cs.sk.cy_555 et.hmn.az_433 
  0x13213108, 0x060d1fad, 0x211013ec, 0x6e002b09,   // az.jw.et_443 cy.cs.de_643  et.lt.jw_644 vi.hmn.un_440 
  0x052b53a0, 0x1a2b01ad, 0x061b12af, 0x091f64a4,   // ht.vi.fr_322 en.vi.tl_643  hu.tr.de_655 lg.cy.pl_433 
  // [8680]
  0x023137a7, 0x1f020812, 0x533f0d07, 0x28130413,   // st.az.da_532 no.da.cy_654  cs.af.ht_432 fi.et.sw_665 
  0x18002f0e, 0x1b7317a0, 0x091b3107, 0x08060307,   // su.ga.un_550 sr.ny.tr_322  az.tr.pl_432 nl.de.no_432 
  0x565305ec, 0x2164280c, 0x550173a0, 0x3d000914,   // fr.ht.mg_644 sw.lg.jw_543  ny.en.rw_322 pl.ku.un_660 
  0x0e081aee, 0x04641aa0, 0x0c042107, 0x09000f02,   // tl.no.is_422 tl.lg.fi_322  jw.fi.sv_432 lv.pl.un_220 
  // [8690]
  0x25033f0e, 0x11007308, 0x32051707, 0x033f0605,   // af.nl.eu_555 ny.ro.un_430  sr.fr.bs_432 de.af.nl_333 
  0x1b006408, 0x27006b04, 0x2f182704, 0x27182f07,   // lg.tr.un_430 ceb.gd.un_320  gd.ga.su_332 su.ga.gd_432 
  0x2d000e09, 0x130208ee, 0x641104a4, 0x27005602,   // is.sk.un_440 no.da.et_422  fi.ro.lg_433 mg.gd.un_220 
  0x73002d04, 0x1a130407, 0x25001f0b, 0x64041313,   // sk.ny.un_320 fi.et.tl_432  cy.eu.un_520 et.fi.lg_665 
  // [86a0]
  0x35172308, 0x281b6407, 0x1f370305, 0x73003712,   // ky.sr.tg_443 lg.tr.sw_432  nl.st.cy_333 st.ny.un_640 
  0x37137304, 0x21007329, 0x1e271f07, 0x0c0102a4,   // ny.et.st_332 ny.jw.un_960  cy.gd.ms_432 da.en.sv_433 
  0x27180407, 0x286b5609, 0x011c21ee, 0x080423a4,   // fi.ga.gd_432 mg.ceb.sw_444  jw.id.en_422 ky.ru.uk_433 
  0x0b231109, 0x281a6b0e, 0x56001e08, 0x21040908,   // ro.ca.es_444 ceb.tl.sw_555  ms.mg.un_430 pl.fi.jw_443 
  // [86b0]
  0x18003702, 0x6b1a56a9, 0x04731a04, 0x6b286412,   // st.ga.un_220 mg.tl.ceb_544  tl.ny.fi_332 lg.sw.ceb_654 
  0x18230111, 0x2f000d08, 0x071108af, 0x09736412,   // en.ca.ga_653 cs.su.un_430  uk.ro.bg_655 lg.ny.pl_654 
  0x733728a9, 0x250f550d, 0x080229ee, 0x0a0435ee,   // sw.st.ny_544 rw.lv.eu_554  sl.da.no_422 tg.ru.mk_422 
  0x1e1c01a0, 0x133701a4, 0x28050104, 0x070d370c,   // en.id.ms_322 en.st.et_433  en.fr.sw_332 st.cs.it_543 
  // [86c0]
  0x310b300c, 0x12111ea0, 0x1b0302a7, 0x101337a4,   // uz.es.az_543 ms.ro.hu_322  da.nl.tr_532 st.et.lt_433 
  0x01303107, 0x561b3013, 0x11353012, 0x304435a0,   // az.uz.en_432 uz.tr.mg_665  uz.tg.ro_654 tg.kk.uz_322 
  0x552128ad, 0x1a2f1ca0, 0x080d2d0b, 0x080c29a0,   // sw.jw.rw_643 id.su.tl_322  sk.cs.no_542 sl.sv.no_322 
  0x32002d07, 0x08020ca6, 0x18011902, 0x080423a0,   // sk.bs.un_420 sv.da.no_521  gl.en.ga_222 ky.ru.uk_322 
  // [86d0]
  0x32002902, 0x0a05110c, 0x321b250d, 0x074423ad,   // sl.bs.un_220 ro.fr.pt_543  eu.tr.bs_554 ky.kk.bg_643 
  0x31000804, 0x0b281804, 0x1b113104, 0x04100855,   // no.az.un_320 ga.sw.es_332  az.ro.tr_332 uk.be.ru_442 
  0x2b00110c, 0x112307af, 0x3d2511a4, 0x2f552807,   // ro.vi.un_530 bg.ky.ro_655  ro.eu.ku_433 sw.rw.su_432 
  0x160c0da0, 0x304410ad, 0x2f252104, 0x211e1c0b,   // cs.sv.hr_322 be.kk.uz_643  jw.eu.su_332 id.ms.jw_542 
  // [86e0]
  0x53002507, 0x1300250c, 0x53212f07, 0x351730ee,   // eu.ht.un_420 eu.et.un_530  su.jw.ht_432 uz.sr.tg_422 
  0x6b1a1304, 0x201b255a, 0x2a002504, 0x31251b60,   // et.tl.ceb_332 eu.tr.sq_553  eu.mt.un_320 tr.eu.az_664 
  0x320929ee, 0x30311b55, 0x21000507, 0x30001a02,   // sl.pl.bs_422 tr.az.uz_442  fr.jw.un_420 tl.uz.un_220 
  0x111c2107, 0x2f2025a0, 0x28001c08, 0x29002713,   // jw.id.ro_432 eu.sq.su_322  id.sw.un_430 gd.sl.un_650 
  // [86f0]
  0x6b3d640c, 0x11002702, 0x53116ba0, 0x0e29100c,   // lg.ku.ceb_543 gd.ro.un_220  ceb.ro.ht_322 lt.sl.is_543 
  0x2f0b210c, 0x03133f08, 0x0e0811ec, 0x07110405,   // jw.es.su_543 af.et.nl_443  ro.no.is_644 ru.ro.bg_333 
  0x033f6ea7, 0x440708a0, 0x1f0d0fa7, 0x01131fee,   // hmn.af.nl_532 uk.bg.kk_322  lv.cs.cy_532 cy.et.en_422 
  0x19000908, 0x072801a4, 0x092856a9, 0x2f1f56a4,   // pl.gl.un_430 en.sw.it_433  mg.sw.pl_544 mg.cy.su_433 
  // [8700]
  0x2f002908, 0x10562814, 0x2a56280c, 0x0d370107,   // sl.su.un_430 sw.mg.lt_666  sw.mg.mt_543 en.st.cs_432 
  0x2d0d53a4, 0x2d0603ee, 0x1f5601a0, 0x17162505,   // ht.cs.sk_433 nl.de.sk_422  en.mg.cy_322 eu.hr.sr_333 
  0x56001808, 0x10040aa4, 0x1a1007a4, 0x44302312,   // ga.mg.un_430 mk.ru.be_433  it.lt.tl_433 ky.uz.kk_654 
  0x2b003004, 0x193720a0, 0x44070404, 0x12002d1b,   // uz.vi.un_320 sq.st.gl_322  ru.bg.kk_332 sk.hu.un_770 
  // [8710]
  0x561b0708, 0x251807a4, 0x0d092da7, 0x3f08560c,   // it.tr.mg_443 it.ga.eu_433  sk.pl.cs_532 mg.no.af_543 
  0x30280b04, 0x050108a0, 0x3f000502, 0x0b07560c,   // es.sw.uz_332 no.en.fr_322  fr.af.un_220 mg.it.es_543 
  0x563037ad, 0x041337af, 0x285618a9, 0x73130da4,   // st.uz.mg_643 st.et.fi_655  ga.mg.sw_544 cs.et.ny_433 
  0x08040711, 0x01002d02, 0x1056280c, 0x6b0e3d05,   // bg.ru.uk_653 sk.en.un_220  sw.mg.lt_543 ku.is.ceb_333 
  // [8720]
  0x56200713, 0x1a0d01a4, 0x07101705, 0x13002d22,   // it.sq.mg_665 en.cs.tl_433  sr.be.bg_333 sk.et.un_870 
  0x11005521, 0x301729a6, 0x08375604, 0x05192fee,   // rw.ro.un_860 sl.sr.uz_521  mg.st.no_332 su.gl.fr_422 
  0x110807a4, 0x105631ee, 0x2f0627a0, 0x351704af,   // it.no.ro_433 az.mg.lt_422  gd.de.su_322 ru.sr.tg_655 
  0x090d1c0b, 0x563d730c, 0x112106ee, 0x2d000b07,   // mr.ne.hi_542 ny.ku.mg_543  de.jw.ro_422 es.sk.un_420 
  // [8730]
  0x35000407, 0x13000214, 0x0e001c0d, 0x12001114,   // ru.tg.un_420 da.et.un_660  id.is.un_540 ro.hu.un_660 
  0x55005602, 0x211c3109, 0x2f0e1ea4, 0x202b31ee,   // mg.rw.un_220 az.id.jw_444  ms.is.su_433 az.vi.sq_422 
  0x300325ee, 0x1b310e60, 0x06002719, 0x015337ee,   // eu.nl.uz_422 is.az.tr_664  gd.de.un_750 st.ht.en_422 
  0x0d3f5605, 0x2f201ea4, 0x56001221, 0x200e1e0c,   // mg.af.cs_333 ms.sq.su_433  hu.mg.un_860 ms.is.sq_543 
  // [8740]
  0x0a003013, 0x18002b0c, 0x11071ea0, 0x13291705,   // uz.pt.un_650 vi.ga.un_530  ms.it.ro_322 sr.sl.et_333 
  0x11211c07, 0x18002b0e, 0x05002f1b, 0x211c200c,   // id.jw.ro_432 vi.ga.un_550  su.fr.un_770 sq.id.jw_543 
  0x1f000e2a, 0x17040713, 0x23110ead, 0x23190aad,   // is.cy.un_970 bg.ru.sr_665  is.ro.ca_643 pt.gl.ca_643 
  0x043d130b, 0x133d0455, 0x29021308, 0x56302311,   // et.ku.fi_542 fi.ku.et_442  et.da.sl_443 ca.uz.mg_653 
  // [8750]
  0x0c190a14, 0x0a04070b, 0x28001005, 0x2b230bee,   // pt.gl.sv_666 bg.ru.mk_542  lt.sw.un_330 es.ca.vi_422 
  0x37003f19, 0x121b255a, 0x1b252005, 0x290507a0,   // af.st.un_750 eu.tr.hu_553  sq.eu.tr_333 it.fr.sl_322 
  0x1b0f1155, 0x0e302a0c, 0x1c2f1aa0, 0x192d0eb4,   // ro.lv.tr_442 mt.uz.is_543  tl.su.id_322 is.sk.gl_754 
  0x200e1c0c, 0x23300aa7, 0x17001008, 0x2b050a04,   // id.is.sq_543 pt.uz.ca_532  be.sr.un_430 pt.fr.vi_332 
  // [8760]
  0x0e203009, 0x06006b02, 0x2f00200d, 0x301710a0,   // uz.sq.is_444 ceb.de.un_220  sq.su.un_540 be.sr.uz_322 
  0x1c1e2b12, 0x27001005, 0x13080704, 0x12190b09,   // vi.ms.id_654 lt.gd.un_330  it.no.et_332 es.gl.hu_444 
  0x173d29a4, 0x04001f12, 0x29041355, 0x291317a0,   // sl.ku.sr_433 cy.fi.un_640  et.fi.sl_442 sr.et.sl_322 
  0x13002a0c, 0x3f001107, 0x08001222, 0x1a192107,   // mt.et.un_530 ro.af.un_420  hu.no.un_870 jw.gl.tl_432 
  // [8770]
  0x53112012, 0x0d1c6404, 0x533f1c07, 0x53007308,   // sq.ro.ht_654 lg.id.cs_332  id.af.ht_432 ny.ht.un_430 
  0x170a0702, 0x53122f0e, 0x171123ad, 0x123f0804,   // bg.mk.sr_222 su.hu.ht_555  ky.ro.sr_643 no.af.hu_332 
  0x29000908, 0x232d0a08, 0x120a2da9, 0x4404070c,   // pl.sl.un_430 pt.sk.ca_443  sk.pt.hu_544 bg.ru.kk_543 
  0x125307ee, 0x080e3fa0, 0x0b003f11, 0x10001107,   // it.ht.hu_422 af.is.no_322  af.es.un_630 ro.be.un_420 
  // [8780]
  0x2718060c, 0x0800121a, 0x07002d0c, 0x530325ad,   // de.ga.gd_543 hu.no.un_760  sk.it.un_530 eu.nl.ht_643 
  0x06001121, 0x08001213, 0x0407170d, 0x29102d04,   // ro.de.un_860 hu.no.un_650  sr.bg.ru_554 sk.lt.sl_332 
  0x052b01a4, 0x2a1207ee, 0x3f0306ee, 0x0a0708ee,   // en.vi.fr_433 it.hu.mt_422  de.nl.af_422 uk.bg.mk_422 
  0x046b01a0, 0x13000802, 0x0e1e1c0d, 0x0c271802,   // en.ceb.fi_322 no.et.un_220  id.ms.is_554 ga.gd.sv_222 
  // [8790]
  0x2a0a6b12, 0x0a3530a0, 0x041a1fad, 0x07171105,   // ceb.pt.mt_654 uz.tg.mk_322  cy.tl.fi_643 ro.sr.bg_333 
  0x1a0837a4, 0x21282708, 0x321016a4, 0x0c1308a4,   // st.no.tl_433 gd.sw.jw_443  hr.lt.bs_433 no.et.sv_433 
  0x0c052308, 0x230f02a4, 0x6413560c, 0x2d1629ee,   // ca.fr.sv_443 da.lv.ca_433  mg.et.lg_543 sl.hr.sk_422 
  0x0373010c, 0x08030c02, 0x2f006b05, 0x233705ac,   // en.ny.nl_543 sv.nl.no_222  ceb.su.un_330 fr.st.ca_632 
  // [87a0]
  0x4400230c, 0x0a110405, 0x27001e08, 0x21552f07,   // ky.kk.un_530 ru.ro.mk_333  ms.gd.un_430 su.rw.jw_432 
  0x230c020c, 0x0e271a0c, 0x271801ac, 0x05000e12,   // da.sv.ca_543 tl.gd.is_543  en.ga.gd_632 is.fr.un_640 
  0x3055010c, 0x16292da6, 0x08060c04, 0x030237a0,   // en.rw.uz_543 sk.sl.hr_521  sv.de.no_332 st.da.nl_322 
  0x07301104, 0x13040302, 0x20001214, 0x01280a07,   // ro.uz.bg_332 nl.fi.et_222  hu.sq.un_660 pt.sw.en_432 
  // [87b0]
  0x063f08ac, 0x130c0807, 0x1b312307, 0x0a3510ad,   // no.af.de_632 no.sv.et_432  ca.az.tr_432 be.tg.mk_643 
  0x351023a4, 0x1b080eac, 0x2b1c01a6, 0x0e3d1812,   // ky.be.tg_433 is.no.tr_632  en.id.vi_521 ga.ku.is_654 
  0x0812290c, 0x5664310c, 0x03000405, 0x041e1902,   // sl.hu.no_543 az.lg.mg_543  fi.nl.un_330 gl.ms.fi_222 
  0x043f030c, 0x2a00201b, 0x1f0c0ea0, 0x0f001020,   // nl.af.fi_543 sq.mt.un_770  is.sv.cy_322 lt.lv.un_850 
  // [87c0]
  0x3f1c1eee, 0x04001909, 0x0a103513, 0x13313012,   // ms.id.af_422 gl.fi.un_440  tg.be.mk_665 uz.az.et_654 
  0x132f53a7, 0x04301705, 0x0400170b, 0x64002a04,   // ht.su.et_532 sr.uz.ru_333  sr.ru.un_520 mt.lg.un_320 
  0x0a2311ee, 0x0408070e, 0x5300230b, 0x35304411,   // ro.ky.mk_422 bg.uk.ru_555  ca.ht.un_520 kk.uz.tg_653 
  0x0744110c, 0x0e0307a0, 0x55005308, 0x350408ee,   // ro.kk.bg_543 it.nl.is_322  ht.rw.un_430 uk.ru.tg_422 
  // [87d0]
  0x07303509, 0x13000d02, 0x040c0e07, 0x100d29a0,   // tg.uz.bg_444 ne.bh.un_220  is.sv.fi_432 sl.cs.lt_322 
  0x73006e12, 0x11113013, 0x311b03a9, 0x2a281804,   // hmn.ny.un_640 uz.ro.ro_665  nl.tr.az_544 ga.sw.mt_332 
  0x6b7309ee, 0x56080ca4, 0x64071c07, 0x20080ca9,   // pl.ny.ceb_422 sv.no.mg_433  id.it.lg_432 sv.no.sq_544 
  0x6b0164ad, 0x292a53ee, 0x16320d0c, 0x320f0305,   // lg.en.ceb_643 ht.mt.sl_422  cs.bs.hr_543 nl.lv.bs_333 
  // [87e0]
  0x08005308, 0x080a1707, 0x552132a0, 0x04562508,   // ht.no.un_430 sr.mk.uk_432  bs.jw.rw_322 eu.mg.fi_443 
  0x0827180c, 0x21002812, 0x05042aa0, 0x0a35040d,   // ga.gd.no_543 sw.jw.un_640  mt.fi.fr_322 ru.tg.mk_554 
  0x3f03280d, 0x101120a9, 0x73130855, 0x733d28ec,   // sw.nl.af_554 sq.ro.lt_544  no.et.ny_442 sw.ku.ny_644 
  0x73001a09, 0x272821a9, 0x2508060c, 0x44000a02,   // tl.ny.un_440 jw.sw.gd_544  de.no.eu_543 mk.kk.un_220 
  // [87f0]
  0x181a6bad, 0x3f040512, 0x28055304, 0x04001119,   // ceb.tl.ga_643 fr.fi.af_654  ht.fr.sw_332 ro.ru.un_750 
  0x03023fa0, 0x532801a4, 0x2800300b, 0x536428ee,   // af.da.nl_322 en.sw.ht_433  uz.sw.un_520 sw.lg.ht_422 
  0x10040107, 0x010d73a0, 0x5610010c, 0x5625100c,   // en.fi.lt_432 ny.cs.en_322  en.lt.mg_543 lt.eu.mg_543 
  0x2f010607, 0x25042907, 0x090620a7, 0x300c0802,   // de.en.su_432 sl.fi.eu_432  sq.de.pl_532 no.sv.uz_222 
  
  // [8800]
  0x642f1a0c, 0x1e3025a7, 0x37187312, 0x372855a9,   // tl.su.lg_543 eu.uz.ms_532  ny.ga.st_654 rw.sw.st_544 
  0x1a556ba6, 0x282a180d, 0x647310a4, 0x731b1007,   // ceb.rw.tl_521 ga.mt.sw_554  lt.ny.lg_433 lt.tr.ny_432 
  0x10641104, 0x31080ea0, 0x641355ad, 0x10000d0c,   // ro.lg.lt_332 is.no.az_322  rw.et.lg_643 cs.lt.un_530 
  0x013f1f07, 0x1f000207, 0x180104ee, 0x210a2f04,   // cy.af.en_432 da.cy.un_420  fi.en.ga_422 su.pt.jw_332 
  // [8810]
  0x311b0408, 0x27371b07, 0x370e1b08, 0x0e001012,   // fi.tr.az_443 tr.st.gd_432  tr.is.st_443 lt.is.un_640 
  0x1e0208a4, 0x730e1b0c, 0x01321704, 0x25003729,   // no.da.ms_433 tr.is.ny_543  sr.bs.en_332 st.eu.un_960 
  0x25006b09, 0x0e371b60, 0x28001b12, 0x270e1b08,   // ceb.eu.un_440 tr.st.is_664  tr.sw.un_640 tr.is.gd_443 
  0x3f006404, 0x2f131005, 0x281a1311, 0x1b0e2509,   // lg.af.un_320 lt.et.su_333  et.tl.sw_653 eu.is.tr_444 
  // [8820]
  0x13000b04, 0x30003535, 0x37251ba9, 0x05001b0d,   // es.et.un_320 tg.uz.un_A90  tr.eu.st_544 tr.fr.un_540 
  0x0d172dee, 0x55642802, 0x73251ba7, 0x311b7307,   // sk.sr.cs_422 sw.lg.rw_222  tr.eu.ny_532 ny.tr.az_432 
  0x1b370e09, 0x10000a0c, 0x0a13370b, 0x6b3d0105,   // is.st.tr_444 pt.lt.un_530  st.et.pt_542 en.ku.ceb_333 
  0x13000612, 0x0a4423a4, 0x2d000c04, 0x04353009,   // de.et.un_640 ky.kk.mk_433  sv.sk.un_320 uz.tg.ru_444 
  // [8830]
  0x2100070d, 0x0a0408ad, 0x311b3d0c, 0x07642a0e,   // it.jw.un_540 uk.ru.mk_643  ku.tr.az_543 mt.lg.it_555 
  0x321b30a0, 0x35301112, 0x08003707, 0x0f645513,   // uz.tr.bs_322 ro.uz.tg_654  st.no.un_420 rw.lg.lv_665 
  0x641a30ee, 0x115530a7, 0x182b13a0, 0x371320ec,   // uz.tl.lg_422 uz.rw.ro_532  et.vi.ga_322 sq.et.st_644 
  0x55642514, 0x29002a19, 0x73022d07, 0x0c1a3707,   // eu.lg.rw_666 mt.sl.un_750  sk.da.ny_432 st.tl.sv_432 
  // [8840]
  0x08370607, 0x17352310, 0x190a08a4, 0x07002a13,   // de.st.no_432 ky.tg.sr_642  no.pt.gl_433 mt.it.un_650 
  0x641e5504, 0x1105010b, 0x2d0a2302, 0x13071fa0,   // rw.ms.lg_332 en.fr.ro_542  ca.pt.sk_222 cy.it.et_322 
  0x1a20530c, 0x12006b19, 0x0100051b, 0x2308100c,   // ht.sq.tl_543 ceb.hu.un_750  fr.en.un_770 be.uk.ky_543 
  0x55110507, 0x08003020, 0x07002004, 0x06002009,   // fr.ro.rw_432 uz.uk.un_850  sq.it.un_320 sq.de.un_440 
  // [8850]
  0x211237a0, 0x3f002007, 0x37002a05, 0x3f2f1c05,   // st.hu.jw_322 sq.af.un_420  mt.st.un_330 id.su.af_333 
  0x180e27ad, 0x2a00370c, 0x072a0da4, 0x180b1907,   // gd.is.ga_643 st.mt.un_530  cs.mt.it_433 gl.es.ga_432 
  0x0c642805, 0x2330350c, 0x28005522, 0x2f00230c,   // sw.lg.sv_333 tg.uz.ky_543  rw.sw.un_870 ca.su.un_530 
  0x06005319, 0x7300530d, 0x1000020d, 0x1b316b11,   // ht.de.un_750 ht.ny.un_540  da.lt.un_540 ceb.az.tr_653 
  // [8860]
  0x28005314, 0x530c0807, 0x53050111, 0x55001f04,   // ht.sw.un_660 no.sv.ht_432  en.fr.ht_653 cy.rw.un_320 
  0x2d0d1755, 0x071135a4, 0x1b2d0d08, 0x060c080c,   // sr.cs.sk_442 tg.ro.bg_433  cs.sk.tr_443 no.sv.de_543 
  0x30001b0e, 0x30131b08, 0x2b000204, 0x1b002502,   // tr.uz.un_550 tr.et.uz_443  da.vi.un_320 eu.tr.un_220 
  0x1f2d0d60, 0x211b2f0c, 0x292f11ee, 0x1b132512,   // cs.sk.cy_664 su.tr.jw_543  ro.su.sl_422 eu.et.tr_654 
  // [8870]
  0x23131055, 0x53001b0c, 0x301123a4, 0x0d3037ad,   // lt.et.ca_442 tr.ht.un_530  ca.ro.uz_433 st.uz.cs_643 
  0x290f03a0, 0x1e000704, 0x05032f0c, 0x09643704,   // nl.lv.sl_322 it.ms.un_320  su.nl.fr_543 st.lg.pl_332 
  0x230701a4, 0x1e1c3fa0, 0x21002b08, 0x3f05030c,   // en.it.ca_433 af.id.ms_322  vi.jw.un_430 nl.fr.af_543 
  0x1237645a, 0x2b372f09, 0x641e5604, 0x0f291605,   // lg.st.hu_553 su.st.vi_444  mg.ms.lg_332 hr.sl.lv_333 
  // [8880]
  0x30310da4, 0x17000c08, 0x35300707, 0x03052fee,   // cs.az.uz_433 sv.sr.un_430  bg.uz.tg_432 su.fr.nl_422 
  0x1135300c, 0x290d3202, 0x3f030507, 0x2f090604,   // uz.tg.ro_543 bs.cs.sl_222  fr.nl.af_432 de.pl.su_332 
  0x080213a4, 0x120b2d0c, 0x011273a0, 0x290c2504,   // et.da.no_433 sk.es.hu_543  ny.hu.en_322 eu.sv.sl_332 
  0x20230aee, 0x09200f07, 0x1e1c09a4, 0x131b31ad,   // pt.ca.sq_422 lv.sq.pl_432  pl.id.ms_433 az.tr.et_643 
  // [8890]
  0x12001b0c, 0x19001211, 0x2b030504, 0x2f0305ec,   // tr.hu.un_530 hu.gl.un_630  fr.nl.vi_332 fr.nl.su_644 
  0x04353012, 0x07080460, 0x440804ec, 0x09000611,   // uz.tg.ru_654 ru.uk.bg_664  ru.uk.kk_644 de.pl.un_630 
  0x2f2505ee, 0x081730a7, 0x062b0502, 0x300823a6,   // fr.eu.su_422 uz.sr.uk_532  fr.vi.de_222 ky.uk.uz_521 
  0x07231007, 0x190b0405, 0x1c2f1111, 0x0700090c,   // be.ky.bg_432 fi.es.gl_333  ro.su.id_653 pl.it.un_530 
  // [88a0]
  0x2f1a0702, 0x100f55ec, 0x2f531a0c, 0x0e001009,   // it.tl.su_222 rw.lv.lt_644  tl.ht.su_543 lt.is.un_440 
  0x53033fac, 0x300711ee, 0x2a200807, 0x64002a05,   // af.nl.ht_632 ro.bg.uz_422  no.sq.mt_432 mt.lg.un_330 
  0x55286408, 0x231111af, 0x07132504, 0x2317300c,   // lg.sw.rw_443 ro.ro.ky_655  eu.et.it_332 uz.sr.ky_543 
  0x12001102, 0x13000819, 0x171107a0, 0x08252008,   // ro.hu.un_220 no.et.un_750  it.ro.sr_322 sq.eu.no_443 
  // [88b0]
  0x20282512, 0x2d00730d, 0x25736408, 0x0a230714,   // eu.sw.sq_654 ny.sk.un_540  lg.ny.eu_443 bg.ky.mk_666 
  0x2d002102, 0x060a070d, 0x0611090b, 0x10082312,   // jw.sk.un_220 it.pt.de_554  pl.ro.de_542 ky.uk.be_654 
  0x092d290c, 0x322864a7, 0x5500371a, 0x251c1a04,   // sl.sk.pl_543 lg.sw.bs_532  st.rw.un_760 tl.id.eu_332 
  0x105507a4, 0x13211c04, 0x11000712, 0x06303104,   // it.rw.lt_433 id.jw.et_332  it.ro.un_640 az.uz.de_332 
  // [88c0]
  0x0c041304, 0x2a55100c, 0x0d16290c, 0x093d01a0,   // et.fi.sv_332 lt.rw.mt_543  sl.hr.cs_543 en.ku.pl_322 
  0x166e320c, 0x0c000836, 0x64557307, 0x3025070c,   // bs.hmn.hr_543 no.sv.un_AA0  ny.rw.lg_432 it.eu.uz_543 
  0x2b3f0308, 0x28080c0b, 0x2b230e08, 0x557307ad,   // nl.af.vi_443 sv.no.sw_542  is.ca.vi_443 it.ny.rw_643 
  0x06013d04, 0x0900291b, 0x1f182707, 0x1200530b,   // ku.en.de_332 sl.pl.un_770  gd.ga.cy_432 ht.hu.un_520 
  // [88d0]
  0x2a641f60, 0x09002807, 0x56002004, 0x083017ee,   // cy.lg.mt_664 sw.pl.un_420  sq.mg.un_320 sr.uz.uk_422 
  0x17350aee, 0x23044405, 0x0e120d07, 0x321208ac,   // mk.tg.sr_422 kk.ru.ky_333  cs.hu.is_432 no.hu.bs_632 
  0x0000252d, 0x642155ee, 0x2a1f1a0c, 0x170a3055,   // eu.un.un_A00 rw.jw.lg_422  tl.cy.mt_543 uz.mk.sr_442 
  0x031f5308, 0x1f003719, 0x64282f04, 0x64100f07,   // ht.cy.nl_443 st.cy.un_750  su.sw.lg_332 lv.lt.lg_432 
  // [88e0]
  0x2700060e, 0x0e2910ad, 0x3d000612, 0x0d007304,   // de.gd.un_550 lt.sl.is_643  de.ku.un_640 ny.cs.un_320 
  0x190b0a5a, 0x07043508, 0x13005304, 0x08022102,   // pt.es.gl_553 tg.ru.bg_443  ht.et.un_320 jw.da.no_222 
  0x2d0d18a4, 0x37001b09, 0x5373645a, 0x0a0723ee,   // ga.cs.sk_433 tr.st.un_440  lg.ny.ht_553 ky.bg.mk_422 
  0x190712a0, 0x3f0902ec, 0x30350a0e, 0x23440a07,   // hu.it.gl_322 da.pl.af_644  mk.tg.uz_555 mk.kk.ky_432 
  // [88f0]
  0x2d0e0c04, 0x0408100e, 0x3f082daf, 0x0d000e19,   // sv.is.sk_332 be.uk.ru_555  sk.no.af_655 is.cs.un_750 
  0x050911a7, 0x212f1c09, 0x13005307, 0x09200aad,   // ro.pl.fr_532 id.su.jw_444  ht.et.un_420 pt.sq.pl_643 
  0x012f0605, 0x0c08060c, 0x321725a0, 0x28001807,   // de.su.en_333 de.no.sv_543  eu.sr.bs_322 ga.sw.un_420 
  0x08020c04, 0x0a003702, 0x0b1101a4, 0x082d1307,   // sv.da.no_332 st.pt.un_220  en.ro.es_433 et.sk.no_432 
  // [8900]
  0x0c0e3f0c, 0x0900060d, 0x1f001a02, 0x0e2d3f0c,   // af.is.sv_543 de.pl.un_540  tl.cy.un_220 af.sk.is_543 
  0x080e0ca9, 0x29000819, 0x6b561aa9, 0x25131209,   // sv.is.no_544 no.sl.un_750  tl.mg.ceb_544 hu.et.eu_444 
  0x080c2d55, 0x041117a4, 0x2f562108, 0x2d0e0da4,   // sk.sv.no_442 sr.ro.ru_433  jw.mg.su_443 cs.is.sk_433 
  0x08003f08, 0x12061e04, 0x20115508, 0x6473560c,   // af.no.un_430 ms.de.hu_332  rw.ro.sq_443 mg.ny.lg_543 
  // [8910]
  0x1a115508, 0x0d27180d, 0x2f000c04, 0x2f20550c,   // rw.ro.tl_443 ga.gd.cs_554  sv.su.un_320 rw.sq.su_543 
  0x37002d07, 0x212873af, 0x280e55af, 0x2d0d06a4,   // sk.st.un_420 ny.sw.jw_655  rw.is.sw_655 de.cs.sk_433 
  0x556408a0, 0x73211ea0, 0x1b561ea0, 0x2f1301ec,   // no.lg.rw_322 ms.jw.ny_322  ms.mg.tr_322 en.et.su_644 
  0x2f2a5508, 0x04551ea0, 0x0f3d560c, 0x110501af,   // rw.mt.su_443 ms.rw.fi_322  mg.ku.lv_543 en.fr.ro_655 
  // [8920]
  0x27010ba0, 0x6b5608a0, 0x101901a0, 0x2f561ea4,   // es.en.gd_322 no.mg.ceb_322  en.gl.lt_322 ms.mg.su_433 
  0x04211fec, 0x1e046402, 0x250e0707, 0x302f2905,   // cy.jw.fi_644 lg.fi.ms_222  it.is.eu_432 sl.su.uz_333 
  0x25113008, 0x20003107, 0x5500300e, 0x07190e02,   // uz.ro.eu_443 az.sq.un_420  uz.rw.un_550 is.gl.it_222 
  0x07081004, 0x01003f11, 0x1a2f300c, 0x04305507,   // be.uk.bg_332 af.en.un_630  uz.su.tl_543 rw.uz.fi_432 
  // [8930]
  0x1c301ea9, 0x371e1c60, 0x21371ea9, 0x113155a4,   // ms.uz.id_544 id.ms.st_664  ms.st.jw_544 rw.az.ro_433 
  0x02063da0, 0x56052f07, 0x6b3f1aad, 0x210f100c,   // ku.de.da_322 su.fr.mg_432  tl.af.ceb_643 lt.lv.jw_543 
  0x0e1104a4, 0x732813a4, 0x64732807, 0x0c0b2909,   // fi.ro.is_433 et.sw.ny_433  sw.ny.lg_432 sl.es.sv_444 
  0x560c120c, 0x043530ec, 0x3f0f2312, 0x072335a4,   // hu.sv.mg_543 uz.tg.ru_644  ca.lv.af_654 tg.ky.bg_433 
  // [8940]
  0x300e085a, 0x3d00251b, 0x6b041aa4, 0x19120a0b,   // no.is.uz_553 eu.ku.un_770  tl.fi.ceb_433 pt.hu.gl_542 
  0x1e162902, 0x73012312, 0x1c000412, 0x28002521,   // sl.hr.ms_222 ca.en.ny_654  fi.id.un_640 eu.sw.un_860 
  0x563025ee, 0x12301ba4, 0x6b37250c, 0x2a120804,   // eu.uz.mg_422 tr.uz.hu_433  eu.st.ceb_543 no.hu.mt_332 
  0x2b0e12a7, 0x0c0123af, 0x01002320, 0x015530a7,   // hu.is.vi_532 ca.en.sv_655  ca.en.un_850 uz.rw.en_532 
  // [8950]
  0x01002312, 0x083f6407, 0x0e6b07ad, 0x2f1c210b,   // ca.en.un_640 lg.af.no_432  it.ceb.is_643 jw.id.su_542 
  0x215605ee, 0x32312aac, 0x0a2d0d11, 0x0e640255,   // fr.mg.jw_422 mt.az.bs_632  cs.sk.pt_653 da.lg.is_442 
  0x0a07110e, 0x080c060d, 0x010e3fa0, 0x2f000c22,   // ro.bg.mk_555 de.sv.no_554  af.is.en_322 sv.su.un_870 
  0x010764a0, 0x290d2d0c, 0x0a351107, 0x060c02a4,   // lg.it.en_322 sk.cs.sl_543  ro.tg.mk_432 da.sv.de_433 
  // [8960]
  0x16190b0d, 0x6b003d05, 0x0c0e070c, 0x02002b08,   // es.gl.hr_554 ku.ceb.un_330  it.is.sv_543 vi.da.un_430 
  0x19003d0c, 0x08443005, 0x323f5355, 0x03053f07,   // ku.gl.un_530 uz.kk.uk_333  ht.af.bs_442 af.fr.nl_432 
  0x071c640c, 0x110d0f12, 0x281801ee, 0x17000f13,   // lg.id.it_543 lv.cs.ro_654  en.ga.sw_422 lv.sr.un_650 
  0x05006405, 0x1711040c, 0x0d0b1908, 0x1b0c3d05,   // lg.fr.un_330 ru.ro.sr_543  gl.es.cs_443 ku.sv.tr_333 
  // [8970]
  0x0d051104, 0x2d000a2b, 0x532d1ea7, 0x061f370c,   // ro.fr.cs_332 pt.sk.un_980  ms.sk.ht_532 st.cy.de_543 
  0x06002007, 0x555673af, 0x37001c0d, 0x063f37ee,   // sq.de.un_420 ny.mg.rw_655  id.st.un_540 st.af.de_422 
  0x5556285a, 0x08040a02, 0x2856310c, 0x0d1c13ac,   // sw.mg.rw_553 mk.ru.uk_222  az.mg.sw_543 bh.mr.ne_632 
  0x5673280c, 0x0a0410ee, 0x03020c04, 0x035505a4,   // sw.ny.mg_543 be.ru.mk_422  sv.da.nl_332 fr.rw.nl_433 
  // [8980]
  0x641155ec, 0x0a171108, 0x5300041b, 0x08210e55,   // rw.ro.lg_644 ro.sr.mk_443  fi.ht.un_770 is.jw.no_442 
  0x2d0d1812, 0x37000605, 0x2a321708, 0x1f000618,   // ga.cs.sk_654 de.st.un_330  sr.bs.mt_443 de.cy.un_740 
  0x19000307, 0x2f080e55, 0x55286412, 0x32162912,   // nl.gl.un_420 is.no.su_442  lg.sw.rw_654 sl.hr.bs_654 
  0x0e001207, 0x44230a07, 0x29202aa0, 0x11252005,   // hu.is.un_420 mk.ky.kk_432  mt.sq.sl_322 sq.eu.ro_333 
  // [8990]
  0x08350407, 0x0c313007, 0x04300a04, 0x28556408,   // ru.tg.uk_432 uz.az.sv_432  mk.uz.ru_332 lg.rw.sw_443 
  0x09553fec, 0x562a6455, 0x29002a12, 0x27730507,   // af.rw.pl_644 lg.mt.mg_442  mt.sl.un_640 fr.ny.gd_432 
  0x066e6bec, 0x17001114, 0x1e1c0ca6, 0x28001f1a,   // ceb.hmn.de_644 ro.sr.un_660  sv.id.ms_521 cy.sw.un_760 
  0x31080ca0, 0x13090804, 0x1c006422, 0x20372a0c,   // sv.no.az_322 no.pl.et_332  lg.id.un_870 mt.st.sq_543 
  // [89a0]
  0x23001307, 0x051310ee, 0x7308020e, 0x09060302,   // et.ca.un_420 lt.et.fr_422  da.no.ny_555 nl.de.pl_222 
  0x30350aa0, 0x05101ea0, 0x112a0508, 0x17005312,   // mk.tg.uz_322 ms.lt.fr_322  fr.mt.ro_443 ht.sr.un_640 
  0x13090d05, 0x231b1f04, 0x10020fa4, 0x0c040805,   // ne.hi.bh_333 cy.tr.ca_332  lv.da.lt_433 no.fi.sv_333 
  0x283f01a0, 0x06016e08, 0x2f2a1c07, 0x2a000602,   // en.af.sw_322 hmn.en.de_443  id.mt.su_432 de.mt.un_220 
  // [89b0]
  0x0501060c, 0x28556ead, 0x06001b0c, 0x18271f08,   // de.en.fr_543 hmn.rw.sw_643  tr.de.un_530 cy.gd.ga_443 
  0x212f25a0, 0x0a3d13a4, 0x1b303d04, 0x041023a4,   // eu.su.jw_322 et.ku.pt_433  ku.uz.tr_332 ky.be.ru_433 
  0x29001b19, 0x3f080c09, 0x3f1220a4, 0x3f082fa0,   // tr.sl.un_750 sv.no.af_444  sq.hu.af_433 su.no.af_322 
  0x350430a9, 0x25001e0d, 0x1b060107, 0x32170daf,   // uz.ru.tg_544 ms.eu.un_540  en.de.tr_432 cs.sr.bs_655 
  // [89c0]
  0x07302304, 0x1e2f0f12, 0x033f2a0c, 0x1127560d,   // ky.uz.bg_332 lv.su.ms_654  mt.af.nl_543 mg.gd.ro_554 
  0x0e1013a0, 0x0e00190c, 0x10080204, 0x05313dee,   // et.lt.is_322 gl.is.un_530  da.no.lt_332 ku.az.fr_422 
  0x0b002504, 0x182709a4, 0x13080ea0, 0x642802a0,   // eu.es.un_320 pl.gd.ga_433  is.no.et_322 da.sw.lg_322 
  0x0e020811, 0x09271eee, 0x031373ec, 0x160208a7,   // no.da.is_653 ms.gd.pl_422  ny.et.nl_644 no.da.hr_532 
  // [89d0]
  0x0c0830a4, 0x31532108, 0x7364080c, 0x561a27a0,   // uz.no.sv_433 jw.ht.az_443  no.lg.ny_543 gd.tl.mg_322 
  0x2d001220, 0x1355080c, 0x10000807, 0x3f0f10a9,   // hu.sk.un_850 no.rw.et_543  no.lt.un_420 lt.lv.af_544 
  0x2a200704, 0x20080607, 0x3f060808, 0x19090a07,   // it.sq.mt_332 de.no.sq_432  no.de.af_443 pt.pl.gl_432 
  0x44111111, 0x2f00270e, 0x091f730c, 0x040a07ec,   // ro.ro.kk_653 gd.su.un_550  ny.cy.pl_543 bg.mk.ru_644 
  // [89e0]
  0x53081b07, 0x17100705, 0x09121813, 0x2a07010b,   // tr.no.ht_432 bg.be.sr_333  ga.hu.pl_665 en.it.mt_542 
  0x16080208, 0x130608a7, 0x011a2112, 0x07042307,   // da.no.hr_443 no.de.et_532  jw.tl.en_654 ky.ru.bg_432 
  0x12001f1b, 0x301035af, 0x123f0307, 0x060312a9,   // cy.hu.un_770 tg.be.uz_655  nl.af.hu_432 hu.nl.de_544 
  0x130c040c, 0x64556ba4, 0x182d0d14, 0x100229a0,   // fi.sv.et_543 ceb.rw.lg_433  cs.sk.ga_666 sl.da.lt_322 
  // [89f0]
  0x73001f0d, 0x64003f05, 0x1f00731a, 0x645373a9,   // cy.ny.un_540 af.lg.un_330  ny.cy.un_760 ny.ht.lg_544 
  0x0603120c, 0x07231755, 0x64001314, 0x0264130c,   // hu.nl.de_543 sr.ky.bg_442  et.lg.un_660 et.lg.da_543 
  0x173510ee, 0x0d001004, 0x21001008, 0x21026b07,   // be.tg.sr_422 lt.cs.un_320  lt.jw.un_430 ceb.da.jw_432 
  0x02002f05, 0x31301b11, 0x30000409, 0x2f1b3107,   // su.da.un_330 tr.uz.az_653  fi.uz.un_440 az.tr.su_432 
  // [8a00]
  0x17033f04, 0x02005502, 0x32311b55, 0x55642807,   // af.nl.sr_332 rw.da.un_220  tr.az.bs_442 sw.lg.rw_432 
  0x2b1c3702, 0x736453a4, 0x1a0b6b08, 0x73005322,   // st.id.vi_222 ht.lg.ny_433  ceb.es.tl_443 ht.ny.un_870 
  0x64005313, 0x21002f2a, 0x161f2702, 0x291f56a0,   // ht.lg.un_650 su.jw.un_970  gd.cy.hr_222 mg.cy.sl_322 
  0x646b3dad, 0x291602a0, 0x04002f21, 0x13286b07,   // ku.ceb.lg_643 da.hr.sl_322  su.fi.un_860 ceb.sw.et_432 
  // [8a10]
  0x04002f1a, 0x033f2faf, 0x16290da0, 0x130153a0,   // su.fi.un_760 su.af.nl_655  cs.sl.hr_322 ht.en.et_322 
  0x0b003704, 0x312d0907, 0x234404ad, 0x10084460,   // st.es.un_320 pl.sk.az_432  ru.kk.ky_643 kk.uk.be_664 
  0x201b2ba4, 0x31006b07, 0x09072aa0, 0x04032fad,   // vi.tr.sq_433 ceb.az.un_420  mt.it.pl_322 su.nl.fi_643 
  0x09001107, 0x18281e07, 0x23181f04, 0x300a2302,   // ro.pl.un_420 ms.sw.ga_432  cy.ga.ca_332 ky.mk.uz_222 
  // [8a20]
  0x23070ba4, 0x0800350d, 0x0804170e, 0x250723a0,   // es.it.ca_433 tg.uk.un_540  sr.ru.uk_555 ca.it.eu_322 
  0x2f2a19ee, 0x0a001021, 0x375355a7, 0x641304a9,   // gl.mt.su_422 be.mk.un_860  rw.ht.st_532 fi.et.lg_544 
  0x3000532a, 0x0d122d55, 0x1f2a3704, 0x0f302d0c,   // ht.uz.un_970 sk.hu.cs_442  st.mt.cy_332 sk.uz.lv_543 
  0x29302008, 0x53561308, 0x2a0413ad, 0x1300560c,   // sq.uz.sl_443 et.mg.ht_443  et.fi.mt_643 mg.et.un_530 
  // [8a30]
  0x56130409, 0x100964a4, 0x201f13ee, 0x29302da0,   // fi.et.mg_444 lg.pl.lt_433  et.cy.sq_422 sk.uz.sl_322 
  0x1b312d08, 0x060e0804, 0x160f13a4, 0x01282aa0,   // sk.az.tr_443 no.is.de_332  et.lv.hr_433 mt.sw.en_322 
  0x3d000518, 0x53000704, 0x31203009, 0x0e2d090c,   // fr.ku.un_740 it.ht.un_320  uz.sq.az_444 pl.sk.is_543 
  0x30000809, 0x30292d07, 0x0c083fee, 0x202d0d14,   // uk.uz.un_440 sk.sl.uz_432  af.no.sv_422 cs.sk.sq_666 
  // [8a40]
  0x3212560c, 0x121013a7, 0x0b0a0502, 0x2855640b,   // mg.hu.bs_543 et.lt.hu_532  fr.pt.es_222 lg.rw.sw_542 
  0x13005621, 0x30312a08, 0x2d0413ad, 0x6e00532a,   // mg.et.un_860 mt.az.uz_443  et.fi.sk_643 ht.hmn.un_970 
  0x73131ca4, 0x30126b08, 0x311b5507, 0x0c232b08,   // id.et.ny_433 ceb.hu.uz_443  rw.tr.az_432 vi.ca.sv_443 
  0x13000513, 0x20216412, 0x2300040c, 0x27371804,   // fr.et.un_650 lg.jw.sq_654  ru.ky.un_530 ga.st.gd_332 
  // [8a50]
  0x55110a05, 0x30000823, 0x253f0307, 0x302f01ee,   // pt.ro.rw_333 uk.uz.un_880  nl.af.eu_432 en.su.uz_422 
  0x1a0b6b0c, 0x6b7320ee, 0x071711ec, 0x280611ee,   // ceb.es.tl_543 sq.ny.ceb_422  ro.sr.bg_644 ro.de.sw_422 
  0x09005321, 0x07173513, 0x55012805, 0x052b0c08,   // ht.pl.un_860 tg.sr.bg_665  sw.en.rw_333 sv.vi.fr_443 
  0x251801ee, 0x0c00082c, 0x2304010c, 0x3f0e110c,   // en.ga.eu_422 no.sv.un_990  en.fi.ca_543 ro.is.af_543 
  // [8a60]
  0x2902160c, 0x370a01a0, 0x17002308, 0x12190e05,   // hr.da.sl_543 en.pt.st_322  ca.sr.un_430 is.gl.hu_333 
  0x731101a0, 0x0a6b1ba0, 0x05002a11, 0x642f040c,   // en.ro.ny_322 tr.ceb.pt_322  mt.fr.un_630 fi.su.lg_543 
  0x20003f0d, 0x040c08a4, 0x53001a0c, 0x2900110d,   // af.sq.un_540 no.sv.fi_433  tl.ht.un_530 ro.sl.un_540 
  0x0d2911a7, 0x1e1c560c, 0x201c1ea0, 0x10062005,   // ro.sl.cs_532 mg.id.ms_543  ms.id.sq_322 sq.de.lt_333 
  // [8a70]
  0x73000313, 0x0600032c, 0x35003029, 0x05006419,   // nl.ny.un_650 nl.de.un_990  uz.tg.un_960 lg.fr.un_750 
  0x1f005302, 0x2b005307, 0x08000611, 0x05282b07,   // ht.cy.un_220 ht.vi.un_420  de.no.un_630 vi.sw.fr_432 
  0x6b000412, 0x0a040809, 0x10033f08, 0x11050112,   // fi.ceb.un_640 uk.ru.mk_444  af.nl.lt_443 en.fr.ro_654 
  0x2000270d, 0x02641109, 0x2f001c09, 0x303507a0,   // gd.sq.un_540 ro.lg.da_444  id.su.un_440 bg.tg.uz_322 
  // [8a80]
  0x06020c14, 0x3d560caf, 0x1c301ea4, 0x313f0107,   // sv.da.de_666 sv.mg.ku_655  ms.uz.id_433 en.af.az_432 
  0x092a2f04, 0x1710010c, 0x0f002314, 0x13230c08,   // su.mt.pl_332 en.lt.sr_543  ca.lv.un_660 sv.ca.et_443 
  0x021017a4, 0x07001602, 0x040501ec, 0x050a230e,   // sr.lt.da_433 hr.it.un_220  en.fr.fi_644 ca.pt.fr_555 
  0x25000512, 0x0500012b, 0x030208a4, 0x1e111caf,   // fr.eu.un_640 en.fr.un_980  no.da.nl_433 id.ro.ms_655 
  // [8a90]
  0x0c0523ec, 0x0a310eac, 0x2920375a, 0x3f040312,   // ca.fr.sv_644 is.az.pt_632  st.sq.sl_553 nl.fi.af_654 
  0x050c23ad, 0x31171008, 0x1b083fa0, 0x11120807,   // ca.sv.fr_643 lt.sr.az_443  af.no.tr_322 no.hu.ro_432 
  0x250b53a0, 0x27112fa0, 0x64003019, 0x2f010507,   // ht.es.eu_322 su.ro.gd_322  uz.lg.un_750 fr.en.su_432 
  0x31001905, 0x0a003d12, 0x033f30ee, 0x10033f0c,   // gl.az.un_330 ku.pt.un_640  uz.af.nl_422 af.nl.lt_543 
  // [8aa0]
  0x0a25010c, 0x060405a6, 0x0c040107, 0x3f001007,   // en.eu.pt_543 fr.fi.de_521  en.fi.sv_432 lt.af.un_420 
  0x052301a4, 0x18006b09, 0x73003722, 0x30233509,   // en.ca.fr_433 ceb.ga.un_440  st.ny.un_870 tg.ky.uz_444 
  0x0c002311, 0x642f2160, 0x080273a0, 0x08001f08,   // ca.sv.un_630 jw.su.lg_664  ny.da.no_322 cy.no.un_430 
  0x250c2308, 0x110a0712, 0x0c002308, 0x130c2307,   // ca.sv.eu_443 bg.mk.ro_654  ca.sv.un_430 ca.sv.et_432 
  // [8ab0]
  0x21283707, 0x29005502, 0x190a12a6, 0x181f2712,   // st.sw.jw_432 rw.sl.un_220  hu.pt.gl_521 gd.cy.ga_654 
  0x20110f5a, 0x07000c0d, 0x2a042fa9, 0x55190bad,   // lv.ro.sq_553 sv.it.un_540  su.fi.mt_544 es.gl.rw_643 
  0x0a440704, 0x202f23ee, 0x32172909, 0x281827a4,   // bg.kk.mk_332 ca.su.sq_422  sl.sr.bs_444 gd.ga.sw_433 
  0x2818270e, 0x13002a1a, 0x13642a0c, 0x643207ee,   // gd.ga.sw_555 mt.et.un_760  mt.lg.et_543 it.bs.lg_422 
  // [8ac0]
  0x1a6b1c0c, 0x171004a4, 0x07102708, 0x20000619,   // id.ceb.tl_543 ru.be.sr_433  gd.lt.it_443 de.sq.un_750 
  0x203f0807, 0x03172007, 0x1f1827a4, 0x6b033f0d,   // no.af.sq_432 sq.sr.nl_432  gd.ga.cy_433 af.nl.ceb_554 
  0x171111a9, 0x1c121e04, 0x1b090ea4, 0x010a23a0,   // ro.ro.sr_544 ms.hu.id_332  is.pl.tr_433 ca.pt.en_322 
  0x6b003108, 0x55002d0d, 0x16000b02, 0x1f2a3d07,   // az.ceb.un_430 sk.rw.un_540  es.hr.un_220 ku.mt.cy_432 
  // [8ad0]
  0x73006408, 0x06295604, 0x3f6b28a0, 0x031e3fa0,   // lg.ny.un_430 mg.sl.de_332  sw.ceb.af_322 af.ms.nl_322 
  0x0800300d, 0x56001f13, 0x13000609, 0x0f095508,   // uz.uk.un_540 cy.mg.un_650  de.et.un_440 rw.pl.lv_443 
  0x081f120c, 0x30647308, 0x09291fee, 0x190a2309,   // hu.cy.no_543 ny.lg.uz_443  cy.sl.pl_422 ca.pt.gl_444 
  0x01033f02, 0x03232fa4, 0x06001f08, 0x0f730a07,   // af.nl.en_222 su.ca.nl_433  cy.de.un_430 pt.ny.lv_432 
  // [8ae0]
  0x23000f08, 0x280f1f05, 0x2f0302a0, 0x1300110c,   // lv.ca.un_430 cy.lv.sw_333  da.nl.su_322 ro.et.un_530 
  0x0e00300d, 0x06001114, 0x02000809, 0x311b2507,   // uz.is.un_540 ro.de.un_660  no.da.un_440 eu.tr.az_432 
  0x03535555, 0x08022012, 0x56003713, 0x56643da0,   // rw.ht.nl_442 sq.da.no_654  st.mg.un_650 ku.lg.mg_322 
  0x20007313, 0x20003d21, 0x73285509, 0x32002008,   // ny.sq.un_650 ku.sq.un_860  rw.sw.ny_444 sq.bs.un_430 
  // [8af0]
  0x0f202912, 0x64101f07, 0x320c0e07, 0x12006e23,   // sl.sq.lv_654 cy.lt.lg_432  is.sv.bs_432 hmn.hu.un_880 
  0x297323a4, 0x53001022, 0x0b1f13ec, 0x2a536e5a,   // ca.ny.sl_433 lt.ht.un_870  et.cy.es_644 hmn.ht.mt_553 
  0x203207a0, 0x55007311, 0x0e0264a0, 0x23301012,   // it.bs.sq_322 ny.rw.un_630  lg.da.is_322 be.uz.ky_654 
  0x212a06ad, 0x53002007, 0x056e3f0c, 0x300a23ee,   // de.mt.jw_643 sq.ht.un_420  af.hmn.fr_543 ky.mk.uz_422 
  // [8b00]
  0x0a063f07, 0x1f002a29, 0x6b3f08ee, 0x11006e1a,   // af.de.pt_432 mt.cy.un_960  no.af.ceb_422 hmn.ro.un_760 
  0x1b3d2011, 0x1700070d, 0x041a1108, 0x13000811,   // sq.ku.tr_653 bg.sr.un_540  ro.tl.fi_443 no.et.un_630 
  0x170807ee, 0x05000109, 0x6e00272a, 0x09233108,   // bg.uk.sr_422 en.fr.un_440  gd.hmn.un_970 az.ca.pl_443 
  0x10080209, 0x03001b04, 0x08003202, 0x321710a0,   // da.no.lt_444 tr.nl.un_320  bs.no.un_220 lt.sr.bs_322 
  // [8b10]
  0x27061aa0, 0x1b003d0b, 0x093f0308, 0x560418af,   // tl.de.gd_322 ku.tr.un_520  nl.af.pl_443 ga.fi.mg_655 
  0x1c3d0404, 0x10291a0c, 0x29001105, 0x64021f12,   // fi.ku.id_332 tl.sl.lt_543  ro.sl.un_330 cy.da.lg_654 
  0x1b0c06ec, 0x10000702, 0x2a001208, 0x17166ba4,   // de.sv.tr_644 it.lt.un_220  hu.mt.un_430 ceb.hr.sr_433 
  0x20002f18, 0x04071707, 0x031b2807, 0x2d2809ee,   // su.sq.un_740 sr.bg.ru_432  sw.tr.nl_432 pl.sw.sk_422 
  // [8b20]
  0x21101ea0, 0x252b20ec, 0x2a126e14, 0x03005602,   // ms.lt.jw_322 sq.vi.eu_644  hmn.hu.mt_666 mg.nl.un_220 
  0x55643daf, 0x0f00730b, 0x130c200d, 0x27556460,   // ku.lg.rw_655 ny.lv.un_520  sq.sv.et_554 lg.rw.gd_664 
  0x1c000514, 0x190a53af, 0x0c112f12, 0x28110513,   // fr.id.un_660 ht.pt.gl_655  su.ro.sv_654 fr.ro.sw_665 
  0x190a2314, 0x32003d08, 0x00001137, 0x0a1923ad,   // ca.pt.gl_666 ku.bs.un_430  ro.un.un_B00 ca.gl.pt_643 
  // [8b30]
  0x20002504, 0x110a1faf, 0x3d071f0c, 0x080a1014,   // eu.sq.un_320 cy.pt.ro_655  cy.it.ku_543 be.mk.uk_666 
  0x1b2a0713, 0x2f006e04, 0x252d0d04, 0x06130cee,   // it.mt.tr_665 hmn.su.un_320  cs.sk.eu_332 sv.et.de_422 
  0x16002807, 0x6e002b19, 0x55283060, 0x0300251a,   // sw.hr.un_420 vi.hmn.un_750  uz.sw.rw_664 eu.nl.un_760 
  0x0a192307, 0x03001208, 0x3f1304ad, 0x0f303113,   // ca.gl.pt_432 hu.nl.un_430  fi.et.af_643 az.uz.lv_665 
  // [8b40]
  0x2b1605ec, 0x55006b1a, 0x190a23ec, 0x102b050c,   // fr.hr.vi_644 ceb.rw.un_760  ca.pt.gl_644 fr.vi.lt_543 
  0x25122d05, 0x283d0b0d, 0x13002a19, 0x301b1ca0,   // sk.hu.eu_333 es.ku.sw_554  mt.et.un_750 id.tr.uz_322 
  0x13071f0c, 0x08100708, 0x302d0d09, 0x230730a4,   // cy.it.et_543 bg.be.uk_443  cs.sk.uz_444 uz.bg.ky_433 
  0x55063008, 0x2a3709a4, 0x20042902, 0x1b310e08,   // uz.de.rw_443 pl.st.mt_433  sl.fi.sq_222 is.az.tr_443 
  // [8b50]
  0x322907a9, 0x2335170d, 0x07006409, 0x012d090d,   // it.sl.bs_544 sr.tg.ky_554  lg.it.un_440 pl.sk.en_554 
  0x53000d04, 0x072327a4, 0x1b311213, 0x31121b0c,   // cs.ht.un_320 gd.ca.it_433  hu.az.tr_665 tr.hu.az_543 
  0x17230aa4, 0x31301ba4, 0x3130090d, 0x3d1b30a4,   // mk.ky.sr_433 tr.uz.az_433  pl.uz.az_554 uz.tr.ku_433 
  0x071735ad, 0x0e0b0a05, 0x3100301b, 0x0408070d,   // tg.sr.bg_643 pt.es.is_333  uz.az.un_770 bg.uk.ru_554 
  // [8b60]
  0x0500130b, 0x09292da0, 0x0711110c, 0x04110607,   // et.fr.un_520 sk.sl.pl_322  ro.ro.bg_543 de.ro.fi_432 
  0x0a081755, 0x12250405, 0x1f250805, 0x015305ee,   // sr.uk.mk_442 fi.eu.hu_333  no.eu.cy_333 fr.ht.en_422 
  0x0e061f07, 0x1b3112ec, 0x17003509, 0x171305ad,   // cy.de.is_432 hu.az.tr_644  tg.sr.un_440 fr.et.sr_643 
  0x2028120c, 0x3f060308, 0x080e0608, 0x040717ad,   // hu.sw.sq_543 nl.de.af_443  de.is.no_443 sr.bg.ru_643 
  // [8b70]
  0x131e1c05, 0x05190a09, 0x2f271805, 0x06033fee,   // id.ms.et_333 pt.gl.fr_444  ga.gd.su_333 af.nl.de_422 
  0x555605a7, 0x082102a4, 0x033f06a7, 0x1b000811,   // fr.mg.rw_532 da.jw.no_433  de.af.nl_532 no.tr.un_630 
  0x1312040c, 0x29001b0c, 0x080c02ee, 0x1a001b22,   // fi.hu.et_543 tr.sl.un_530  da.sv.no_422 tr.tl.un_870 
  0x3f003202, 0x2d000204, 0x53000407, 0x1c002b05,   // bs.af.un_220 da.sk.un_320  fi.ht.un_420 vi.id.un_330 
  // [8b80]
  0x06000314, 0x311b01ee, 0x35070aec, 0x0f030cee,   // nl.de.un_660 en.tr.az_422  mk.bg.tg_644 sv.nl.lv_422 
  0x13003119, 0x1f2718af, 0x061a270c, 0x1b1101a4,   // az.et.un_750 ga.gd.cy_655  gd.tl.de_543 en.ro.tr_433 
  0x353010ec, 0x072a05a7, 0x05132f04, 0x114404af,   // be.uz.tg_644 fr.mt.it_532  su.et.fr_332 ru.kk.ro_655 
  0x442310a4, 0x06000907, 0x12290407, 0x100f17a4,   // be.ky.kk_433 pl.de.un_420  fi.sl.hu_432 sr.lv.lt_433 
  // [8b90]
  0x1730070c, 0x291827a6, 0x1c2f3d04, 0x25162f04,   // bg.uz.sr_543 gd.ga.sl_521  ku.su.id_332 su.hr.eu_332 
  0x0100060c, 0x28010c55, 0x1b6b1a12, 0x17005504,   // de.en.un_530 sv.en.sw_442  tl.ceb.tr_654 rw.sr.un_320 
  0x32560407, 0x17000119, 0x17070d07, 0x166b2dee,   // fi.mg.bs_432 en.sr.un_750  cs.it.sr_432 sk.ceb.hr_422 
  0x0c003104, 0x731c0912, 0x32000308, 0x19530ba7,   // az.sv.un_320 pl.id.ny_654  nl.bs.un_430 es.ht.gl_532 
  // [8ba0]
  0x103f0907, 0x2d1b3104, 0x301a53ee, 0x0f1017a0,   // pl.af.lt_432 az.tr.sk_332  ht.tl.uz_422 sr.lt.lv_322 
  0x23110505, 0x212f0ead, 0x556428a4, 0x100b1304,   // fr.ro.ca_333 is.su.jw_643  sw.lg.rw_433 et.es.lt_332 
  0x121b2fa0, 0x0b000a12, 0x080e10a7, 0x31001c04,   // su.tr.hu_322 pt.es.un_640  lt.is.no_532 id.az.un_320 
  0x55006b18, 0x110d3f04, 0x0c2808a0, 0x2555560d,   // ceb.rw.un_740 af.cs.ro_332  no.sw.sv_322 mg.rw.eu_554 
  // [8bb0]
  0x551e28a4, 0x256407a4, 0x1b310807, 0x211e2f08,   // sw.ms.rw_433 it.lg.eu_433  no.az.tr_432 su.ms.jw_443 
  0x2d0d37ec, 0x172a0c08, 0x2a2d0d5a, 0x100830a9,   // st.cs.sk_644 sv.mt.sr_443  cs.sk.mt_553 uz.uk.be_544 
  0x211b1ea4, 0x08001108, 0x120b190c, 0x313f04a0,   // ms.tr.jw_433 ro.uk.un_430  gl.es.hu_543 fi.af.az_322 
  0x0735305a, 0x1a282714, 0x1b000614, 0x09001318,   // uz.tg.bg_553 gd.sw.tl_666  de.tr.un_660 bh.hi.un_740 
  // [8bc0]
  0x180b280c, 0x30103160, 0x1b000813, 0x101117ee,   // sw.es.ga_543 az.lt.uz_664  no.tr.un_650 sr.ro.lt_422 
  0x231811a4, 0x04202bad, 0x2520370c, 0x02001b18,   // ro.ga.ca_433 vi.sq.fi_643  st.sq.eu_543 tr.da.un_740 
  0x11200408, 0x311b1a02, 0x11171109, 0x31321bec,   // fi.sq.ro_443 tl.tr.az_222  ro.sr.ro_444 tr.bs.az_644 
  0x250623a0, 0x3f003719, 0x09200408, 0x0c00310d,   // ca.de.eu_322 st.af.un_750  fi.sq.pl_443 az.sv.un_540 
  // [8bd0]
  0x08310ca4, 0x25112004, 0x1f093da4, 0x37002d13,   // sv.az.no_433 sq.ro.eu_332  ku.pl.cy_433 sk.st.un_650 
  0x04201fa4, 0x0c1208a0, 0x16000908, 0x160e0da4,   // cy.sq.fi_433 no.hu.sv_322  pl.hr.un_430 cs.is.hr_433 
  0x0f321702, 0x0e00021a, 0x112b23a0, 0x2800181a,   // sr.bs.lv_222 da.is.un_760  ca.vi.ro_322 ga.sw.un_760 
  0x02201b07, 0x13311102, 0x27111807, 0x06531f0d,   // tr.sq.da_432 ro.az.et_222  ga.ro.gd_432 cy.ht.de_554 
  // [8be0]
  0x25131bec, 0x21072aec, 0x2520190c, 0x563011a0,   // tr.et.eu_644 mt.it.jw_644  gl.sq.eu_543 ro.uz.mg_322 
  0x11271811, 0x110405a4, 0x041f2013, 0x353008af,   // ga.gd.ro_653 fr.fi.ro_433  sq.cy.fi_665 uk.uz.tg_655 
  0x04442311, 0x051801a4, 0x111f200c, 0x042520a4,   // ky.kk.ru_653 en.ga.fr_433  sq.cy.ro_543 sq.eu.fi_433 
  0x08441004, 0x062718a7, 0x1100170e, 0x443507ad,   // be.kk.uk_332 ga.gd.de_532  sr.ro.un_550 bg.tg.kk_643 
  // [8bf0]
  0x21190b0e, 0x03001c07, 0x230a3007, 0x0e236413,   // es.gl.jw_555 id.nl.un_420  uz.mk.ky_432 lg.ca.is_665 
  0x1221185a, 0x01061fa7, 0x2f11180c, 0x02182711,   // ar.fa.ur_553 cy.de.en_532  ga.ro.su_543 gd.ga.da_653 
  0x561811a4, 0x07642502, 0x170804a7, 0x08351060,   // ro.ga.mg_433 eu.lg.it_222  ru.uk.sr_532 be.tg.uk_664 
  0x04130c02, 0x17160307, 0x1225530d, 0x0e2811af,   // sv.et.fi_222 nl.hr.sr_432  ht.eu.hu_554 ro.sw.is_655 
  
  // [8c00]
  0x0e2553a0, 0x05002b12, 0x043007a0, 0x282a010c,   // ht.eu.is_322 vi.fr.un_640  bg.uz.ru_322 en.mt.sw_543 
  0x251206ad, 0x0553060d, 0x0e000d0c, 0x302344af,   // de.hu.eu_643 de.ht.fr_554  cs.is.un_530 kk.ky.uz_655 
  0x0c0413a7, 0x0c005502, 0x0817045a, 0x30352307,   // et.fi.sv_532 rw.sv.un_220  ru.sr.uk_553 ky.tg.uz_432 
  0x2900170e, 0x64002818, 0x53120cad, 0x0a043507,   // sr.sl.un_550 sw.lg.un_740  sv.hu.ht_643 tg.ru.mk_432 
  // [8c10]
  0x16001f08, 0x251805ad, 0x2900130e, 0x646b12ad,   // cy.hr.un_430 fr.ga.eu_643  et.sl.un_550 hu.ceb.lg_643 
  0x44233508, 0x1c553712, 0x251f17a0, 0x13000e08,   // tg.ky.kk_443 st.rw.id_654  sr.cy.eu_322 is.et.un_430 
  0x072a01a0, 0x6400120d, 0x2d001802, 0x08020fee,   // en.mt.it_322 hu.lg.un_540  ga.sk.un_220 lv.da.no_422 
  0x04001802, 0x1b533da0, 0x19112308, 0x64205355,   // ga.fi.un_220 ku.ht.tr_322  ca.ro.gl_443 ht.sq.lg_442 
  // [8c20]
  0x20005319, 0x35231155, 0x27001119, 0x53002008,   // ht.sq.un_750 ro.ky.tg_442  ro.gd.un_750 sq.ht.un_430 
  0x170a04af, 0x121c2fa7, 0x3f020ead, 0x280c0ea4,   // ru.mk.sr_655 su.id.hu_532  is.da.af_643 is.sv.sw_433 
  0x44000405, 0x27001c02, 0x1f00012a, 0x16290e07,   // ru.kk.un_330 id.gd.un_220  en.cy.un_970 is.sl.hr_432 
  0x09061f02, 0x040918a4, 0x2d010d07, 0x10001113,   // cy.de.pl_222 ga.pl.fi_433  cs.en.sk_432 ro.be.un_650 
  // [8c30]
  0x203d0707, 0x0d000119, 0x1b00070c, 0x0f001705,   // it.ku.sq_432 en.cs.un_750  it.tr.un_530 sr.lv.un_330 
  0x0912110c, 0x010a2304, 0x07103504, 0x010956a6,   // ro.hu.pl_543 ca.pt.en_332  tg.be.bg_332 mg.pl.en_521 
  0x173010a0, 0x2f3f010b, 0x1f070fa4, 0x28302508,   // be.uz.sr_322 en.af.su_542  lv.it.cy_433 eu.uz.sw_443 
  0x250437ec, 0x2b001319, 0x042137a4, 0x04101704,   // st.fi.eu_644 et.vi.un_750  st.jw.fi_433 sr.be.ru_332 
  // [8c40]
  0x37562512, 0x011308ee, 0x042537ee, 0x04282555,   // eu.mg.st_654 no.et.en_422  st.eu.fi_422 eu.sw.fi_442 
  0x04033f0d, 0x280425a9, 0x3700250d, 0x3023440d,   // af.nl.fi_554 eu.fi.sw_544  eu.st.un_540 kk.ky.uz_554 
  0x01000d08, 0x2f3f01ad, 0x2819250c, 0x312f0ea0,   // cs.en.un_430 en.af.su_643  eu.gl.sw_543 is.su.az_322 
  0x55001b13, 0x1a001b12, 0x08171009, 0x190a2504,   // tr.rw.un_650 tr.tl.un_640  be.sr.uk_444 eu.pt.gl_332 
  // [8c50]
  0x6b1b73a4, 0x110a0704, 0x5604280d, 0x045625a9,   // ny.tr.ceb_433 it.pt.ro_332  sw.fi.mg_554 eu.mg.fi_544 
  0x216b1aa6, 0x25375613, 0x1b002305, 0x170704a4,   // tl.ceb.jw_521 mg.st.eu_665  ca.tr.un_330 ru.bg.sr_433 
  0x28250412, 0x051123af, 0x033f56ad, 0x1a5530ad,   // fi.eu.sw_654 ca.ro.fr_655  mg.af.nl_643 uz.rw.tl_643 
  0x06005602, 0x0f135504, 0x102307a0, 0x56121f0d,   // mg.de.un_220 rw.et.lv_332  bg.ky.be_322 cy.hu.mg_554 
  // [8c60]
  0x551b6bac, 0x281355af, 0x7313560c, 0x44100809,   // ceb.tr.rw_632 rw.et.sw_655  mg.et.ny_543 uk.be.kk_444 
  0x1a3d0e0c, 0x0d290a0b, 0x05555304, 0x11003711,   // is.ku.tl_543 pt.sl.cs_542  ht.rw.fr_332 st.ro.un_630 
  0x29735607, 0x07300a07, 0x0e1a6b04, 0x0c07010c,   // mg.ny.sl_432 mk.uz.bg_432  ceb.tl.is_332 en.it.sv_543 
  0x022008a4, 0x73001f18, 0x3d002923, 0x1f00560c,   // no.sq.da_433 cy.ny.un_740  sl.ku.un_880 mg.cy.un_530 
  // [8c70]
  0x310420a7, 0x1a120fa4, 0x3704560c, 0x251f23a4,   // sq.fi.az_532 lv.hu.tl_433  mg.fi.st_543 ca.cy.eu_433 
  0x1309270b, 0x08173008, 0x170d29a4, 0x307328ec,   // gd.pl.et_542 uz.sr.uk_443  sl.cs.sr_433 sw.ny.uz_644 
  0x1f001113, 0x3d001919, 0x2b005614, 0x232501a4,   // ro.cy.un_650 gl.ku.un_750  mg.vi.un_660 en.eu.ca_433 
  0x21002f0b, 0x07552a08, 0x30006b0c, 0x2d3d0804,   // su.jw.un_520 mt.rw.it_443  ceb.uz.un_530 no.ku.sk_332 
  // [8c80]
  0x55002802, 0x28080c08, 0x53003702, 0x212873ee,   // sw.rw.un_220 sv.no.sw_443  st.ht.un_220 ny.sw.jw_422 
  0x6b0501ee, 0x2b002513, 0x3000132a, 0x2f050dac,   // en.fr.ceb_422 eu.vi.un_650  et.uz.un_970 cs.fr.su_632 
  0x070501a9, 0x06002304, 0x31002013, 0x046b28a0,   // en.fr.it_544 ca.de.un_320  sq.az.un_650 sw.ceb.fi_322 
  0x2d000307, 0x0d0f040b, 0x3f2b37a0, 0x11070a08,   // nl.sk.un_420 fi.lv.cs_542  st.vi.af_322 mk.bg.ro_443 
  // [8c90]
  0x2b005613, 0x0a37640c, 0x21011bac, 0x0c562bac,   // mg.vi.un_650 lg.st.pt_543  tr.en.jw_632 vi.mg.sv_632 
  0x0b0a250c, 0x3f031fee, 0x033f1f55, 0x251a5507,   // eu.pt.es_543 cy.nl.af_422  cy.af.nl_442 rw.tl.eu_432 
  0x0a4417a0, 0x090d1c09, 0x100f1707, 0x53062811,   // sr.kk.mk_322 mr.ne.hi_444  sr.lv.lt_432 sw.de.ht_653 
  0x0e081f07, 0x56002813, 0x3f032a07, 0x1a006404,   // cy.no.is_432 sw.mg.un_650  mt.nl.af_432 lg.tl.un_320 
  // [8ca0]
  0x530e28a7, 0x1004235a, 0x2701370c, 0x06052f5a,   // sw.is.ht_532 ky.ru.be_553  st.en.gd_543 su.fr.de_553 
  0x23001107, 0x04111114, 0x2f083f05, 0x0e1f1b11,   // ro.ky.un_420 ro.ro.ru_666  af.no.su_333 tr.cy.is_653 
  0x551c64a0, 0x1a2a1e0c, 0x07081009, 0x56005512,   // lg.id.rw_322 ms.mt.tl_543  be.uk.bg_444 rw.mg.un_640 
  0x041e0107, 0x64732105, 0x01000618, 0x1c2f1e0b,   // en.ms.fi_432 jw.ny.lg_333  de.en.un_740 ms.su.id_542 
  // [8cb0]
  0x070811ac, 0x532928a0, 0x1c2f2113, 0x29230eee,   // ro.uk.bg_632 sw.sl.ht_322  jw.su.id_665 is.ca.sl_422 
  0x0800170b, 0x0c070eee, 0x0c550611, 0x0900250d,   // sr.no.un_520 is.it.sv_422  de.rw.sv_653 eu.pl.un_540 
  0x0b00110d, 0x0f050408, 0x5604230c, 0x18042709,   // ro.es.un_540 fi.fr.lv_443  ca.fi.mg_543 gd.fi.ga_444 
  0x03053fee, 0x322117a0, 0x1e1c0202, 0x301b0fa6,   // af.fr.nl_422 sr.jw.bs_322  da.id.ms_222 lv.tr.uz_521 
  // [8cc0]
  0x53001004, 0x0f3020a6, 0x301353a0, 0x04251108,   // lt.ht.un_320 sq.uz.lv_521  ht.et.uz_322 ro.eu.fi_443 
  0x0a182712, 0x056e0aee, 0x080a1005, 0x291f30a9,   // gd.ga.pt_654 pt.hmn.fr_422  be.mk.uk_333 uz.cy.sl_544 
  0x561a6ba4, 0x2013075a, 0x10003022, 0x121f0eec,   // ceb.tl.mg_433 it.et.sq_553  uz.be.un_870 is.cy.hu_644 
  0x01561a07, 0x31203011, 0x07081708, 0x566b1a08,   // tl.mg.en_432 uz.sq.az_653  sr.uk.bg_443 tl.ceb.mg_443 
  // [8cd0]
  0x0e301c0c, 0x11000508, 0x080b1aa0, 0x0f2a1f08,   // id.uz.is_543 fr.ro.un_430  tl.es.no_322 cy.mt.lv_443 
  0x171011a0, 0x642f1a04, 0x16111e04, 0x64132808,   // ro.be.sr_322 tl.su.lg_332  ms.ro.hr_332 sw.et.lg_443 
  0x182753a4, 0x0e003707, 0x163029a4, 0x6b230b08,   // ht.gd.ga_433 st.is.un_420  sl.uz.hr_433 es.ca.ceb_443 
  0x3f0753a0, 0x211f2f05, 0x1000091b, 0x2912300d,   // ht.it.af_322 su.cy.jw_333  pl.lt.un_770 uz.hu.sl_554 
  // [8ce0]
  0x0c3f0eee, 0x0713370c, 0x5300110b, 0x01305604,   // is.af.sv_422 st.et.it_543  ro.ht.un_520 mg.uz.en_332 
  0x3700110d, 0x2a091f12, 0x6b55230c, 0x30000b1b,   // ro.st.un_540 cy.pl.mt_654  ca.rw.ceb_543 es.uz.un_770 
  0x2f1a210c, 0x6400110c, 0x162d6bee, 0x53001b12,   // jw.tl.su_543 ro.lg.un_530  ceb.sk.hr_422 tr.ht.un_640 
  0x290730ec, 0x56013005, 0x27230d07, 0x17293da4,   // uz.it.sl_644 uz.en.mg_333  cs.ca.gd_432 ku.sl.sr_433 
  // [8cf0]
  0x6b1a2511, 0x3f250ea4, 0x210908a4, 0x551c1a0c,   // eu.tl.ceb_653 is.eu.af_433  no.pl.jw_433 tl.id.rw_543 
  0x0e562305, 0x212801a0, 0x2a3201ad, 0x2d0a05a4,   // ca.mg.is_333 en.sw.jw_322  en.bs.mt_643 fr.pt.sk_433 
  0x011109ee, 0x11080e04, 0x2d0d1ea0, 0x1a0a64a0,   // pl.ro.en_422 is.no.ro_332  ms.cs.sk_322 lg.pt.tl_322 
  0x07042312, 0x10033fa4, 0x2d0d21a7, 0x19645513,   // ky.ru.bg_654 af.nl.lt_433  jw.cs.sk_532 rw.lg.gl_665 
  // [8d00]
  0x0e0801a4, 0x73001f12, 0x376e210c, 0x11040a13,   // en.no.is_433 cy.ny.un_640  jw.hmn.st_543 mk.ru.ro_665 
  0x05013d0c, 0x13005512, 0x5500041b, 0x21000929,   // ku.en.fr_543 rw.et.un_640  fi.rw.un_770 pl.jw.un_960 
  0x372108a0, 0x25211a05, 0x32082da4, 0x1b64280c,   // no.jw.st_322 tl.jw.eu_333  sk.no.bs_433 sw.lg.tr_543 
  0x55001319, 0x212f2a07, 0x213708a0, 0x10301ba9,   // et.rw.un_750 mt.su.jw_432  no.st.jw_322 tr.uz.lt_544 
  // [8d10]
  0x11131a08, 0x3f1f09a4, 0x13001c05, 0x3f003704,   // tl.et.ro_443 pl.cy.af_433  mr.bh.un_330 st.af.un_320 
  0x303d3104, 0x53123707, 0x731025a4, 0x53371113,   // az.ku.uz_332 st.hu.ht_432  eu.lt.ny_433 ro.st.ht_665 
  0x37281b13, 0x300a23a9, 0x03100107, 0x13020812,   // tr.sw.st_665 ky.mk.uz_544  en.lt.nl_432 no.da.et_654 
  0x1300372a, 0x1a6b5513, 0x28000309, 0x173112a4,   // st.et.un_970 rw.ceb.tl_665  nl.sw.un_440 hu.az.sr_433 
  // [8d20]
  0x081b12a9, 0x292808a0, 0x641e1c08, 0x052f210d,   // hu.tr.no_544 no.sw.sl_322  id.ms.lg_443 jw.su.fr_554 
  0x0f1b12a7, 0x0a1711a6, 0x13041eee, 0x2f005607,   // hu.tr.lv_532 ro.sr.mk_521  ms.fi.et_422 mg.su.un_420 
  0x1e091ca0, 0x04135608, 0x08041105, 0x09003008,   // id.pl.ms_322 mg.et.fi_443  ro.ru.uk_333 uz.pl.un_430 
  0x101c2ba9, 0x21375304, 0x1b091208, 0x0a1730a4,   // vi.id.lt_544 ht.st.jw_332  hu.pl.tr_443 uz.sr.mk_433 
  // [8d30]
  0x3d121b0c, 0x0a171155, 0x3f031213, 0x1600320d,   // tr.hu.ku_543 ro.sr.mk_442  hu.nl.af_665 bs.hr.un_540 
  0x111b12a9, 0x231711ee, 0x1b370107, 0x0c120802,   // hu.tr.ro_544 ro.sr.ky_422  en.st.tr_432 no.hu.sv_222 
  0x30233da7, 0x18000e14, 0x3f060305, 0x1e1c1bee,   // ku.ca.uz_532 is.ga.un_660  nl.de.af_333 tr.id.ms_422 
  0x16291ba9, 0x29101c04, 0x101b30ad, 0x2f1e3d07,   // tr.sl.hr_544 id.lt.sl_332  uz.tr.lt_643 ku.ms.su_432 
  // [8d40]
  0x04081711, 0x08101ca0, 0x0c020f07, 0x21052fa4,   // sr.uk.ru_653 id.lt.no_322  lv.da.sv_432 su.fr.jw_433 
  0x030553a0, 0x08096bee, 0x1e00060d, 0x09002809,   // ht.fr.nl_322 ceb.pl.no_422  de.ms.un_540 sw.pl.un_440 
  0x0e02080c, 0x30043dac, 0x1b1c3d07, 0x13100c0d,   // no.da.is_543 ku.fi.uz_632  ku.id.tr_432 sv.lt.et_554 
  0x053f28a6, 0x0e001b0e, 0x35000704, 0x122d1812,   // sw.af.fr_521 tr.is.un_550  bg.tg.un_320 ga.sk.hu_654 
  // [8d50]
  0x0a002b08, 0x080c2107, 0x2d181213, 0x311b30ec,   // vi.pt.un_430 jw.sv.no_432  hu.ga.sk_665 uz.tr.az_644 
  0x10093f05, 0x12002d11, 0x04000807, 0x35440704,   // af.pl.lt_333 sk.hu.un_630  uk.ru.un_420 bg.kk.tg_332 
  0x10001a08, 0x303511a9, 0x1b30310d, 0x212305ec,   // tl.lt.un_430 ro.tg.uz_544  az.uz.tr_554 fr.ca.jw_644 
  0x0b0d2dad, 0x10352355, 0x281c21a0, 0x18002102,   // sk.cs.es_643 ky.tg.be_442  jw.id.sw_322 jw.ga.un_220 
  // [8d60]
  0x312a30af, 0x250456a9, 0x0a113008, 0x27002f2b,   // uz.mt.az_655 mg.fi.eu_544  uz.ro.mk_443 su.gd.un_980 
  0x2d18120c, 0x2f000808, 0x081711ad, 0x2a0806a4,   // hu.ga.sk_543 no.su.un_430  ro.sr.uk_643 de.no.mt_433 
  0x122d0eec, 0x050123ee, 0x0e122d0b, 0x040f2509,   // is.sk.hu_644 ca.en.fr_422  sk.hu.is_542 eu.lv.fi_444 
  0x0f00530d, 0x0e122d0c, 0x0e002a2b, 0x0c007305,   // ht.lv.un_540 sk.hu.is_543  mt.is.un_980 ny.sv.un_330 
  // [8d70]
  0x2f070e0d, 0x210812ad, 0x1864560e, 0x0e0807af,   // is.it.su_554 hu.no.jw_643  mg.lg.ga_555 it.no.is_655 
  0x2900530d, 0x2f290d07, 0x53006404, 0x041128a9,   // ht.sl.un_540 cs.sl.su_432  lg.ht.un_320 sw.ro.fi_544 
  0x190a1111, 0x53190b04, 0x092811ec, 0x07441107,   // ro.pt.gl_653 es.gl.ht_332  ro.sw.pl_644 ro.kk.bg_432 
  0x09130d0c, 0x28091112, 0x10000507, 0x016b1ba0,   // ne.bh.hi_543 ro.pl.sw_654  fr.lt.un_420 tr.ceb.en_322 
  // [8d80]
  0x30000602, 0x28001113, 0x2f0e0908, 0x0d010504,   // de.uz.un_220 ro.sw.un_650  pl.is.su_443 fr.en.cs_332 
  0x09280404, 0x302a0cad, 0x04281104, 0x283111a4,   // fi.sw.pl_332 sv.mt.uz_643  ro.sw.fi_332 ro.az.sw_433 
  0x3d2a09ad, 0x17000608, 0x131b0c08, 0x0d091108,   // pl.mt.ku_643 de.sr.un_430  sv.tr.et_443 ro.pl.cs_443 
  0x3d033f55, 0x11002f2a, 0x0900111b, 0x080203af,   // af.nl.ku_442 su.ro.un_970  ro.pl.un_770 nl.da.no_655 
  // [8d90]
  0x3f00080d, 0x2a003021, 0x32002f0d, 0x170208a4,   // no.af.un_540 uz.mt.un_860  su.bs.un_540 no.da.sr_433 
  0x28316b08, 0x0c2f0d07, 0x2d001123, 0x03000222,   // ceb.az.sw_443 cs.su.sv_432  ro.sk.un_880 da.nl.un_870 
  0x3f071208, 0x08090207, 0x162a5511, 0x0e0830ec,   // hu.it.af_443 da.pl.no_432  rw.mt.hr_653 uz.no.is_644 
  0x130e3da4, 0x64071207, 0x2f0319a4, 0x5303050c,   // ku.is.et_433 hu.it.lg_432  gl.nl.su_433 fr.nl.ht_543 
  // [8da0]
  0x0c0206af, 0x64002502, 0x25020708, 0x3f00370c,   // de.da.sv_655 eu.lg.un_220  it.da.eu_443 st.af.un_530 
  0x19001107, 0x29080260, 0x3f070304, 0x0400112a,   // ro.gl.un_420 da.no.sl_664  nl.it.af_332 ro.fi.un_970 
  0x02061802, 0x2f211ca7, 0x09110d11, 0x2d04110c,   // ga.de.da_222 id.jw.su_532  cs.ro.pl_653 ro.fi.sk_543 
  0x256427ee, 0x090411ad, 0x3f190a14, 0x1b2512ee,   // gd.lg.eu_422 ro.fi.pl_643  pt.gl.af_666 hu.eu.tr_422 
  // [8db0]
  0x1c1a0a07, 0x11072905, 0x1f211a07, 0x6b1a53ec,   // pt.tl.id_432 sl.it.ro_333  tl.jw.cy_432 ht.tl.ceb_644 
  0x020b08a4, 0x30007314, 0x080c3007, 0x0400350c,   // no.es.da_433 ny.uz.un_660  uz.sv.no_432 tg.ru.un_530 
  0x2a2756a0, 0x1a6b5312, 0x0e0830a0, 0x4423070b,   // mg.gd.mt_322 ht.ceb.tl_654  uz.no.is_322 bg.ky.kk_542 
  0x0c041313, 0x031f3011, 0x11000e02, 0x30320d09,   // et.fi.sv_665 uz.cy.nl_653  is.ro.un_220 cs.bs.uz_444 
  // [8dc0]
  0x03003004, 0x2f033fa4, 0x44100808, 0x162d0d64,   // uz.nl.un_320 af.nl.su_433  uk.be.kk_443 cs.sk.hr_762 
  0x251b6ba7, 0x0a10175a, 0x0a0408a0, 0x040e3fa9,   // ceb.tr.eu_532 sr.be.mk_553  uk.ru.mk_322 af.is.fi_544 
  0x2b533007, 0x100a35a0, 0x20042502, 0x3f050305,   // uz.ht.vi_432 tg.mk.be_322  eu.fi.sq_222 nl.fr.af_333 
  0x3f000d07, 0x051f3004, 0x3f005313, 0x1e080c02,   // cs.af.un_420 uz.cy.fr_332  ht.af.un_650 sv.no.ms_222 
  // [8dd0]
  0x02122f0c, 0x0c1208a4, 0x170304ad, 0x080520ee,   // su.hu.da_543 no.hu.sv_433  fi.nl.sr_643 sq.fr.no_422 
  0x025673af, 0x18080209, 0x09251fad, 0x440a23a4,   // ny.mg.da_655 da.no.ga_444  cy.eu.pl_643 ky.mk.kk_433 
  0x56372504, 0x0a350411, 0x0e0c01a4, 0x1f0c0e07,   // eu.st.mg_332 ru.tg.mk_653  en.sv.is_433 is.sv.cy_432 
  0x3d291b55, 0x3d002a09, 0x071035a4, 0x040118a0,   // tr.sl.ku_442 mt.ku.un_440  tg.be.bg_433 ga.en.fi_322 
  // [8de0]
  0x103f0312, 0x190a0507, 0x64212f13, 0x02122fa4,   // nl.af.lt_654 fr.pt.gl_432  su.jw.lg_665 su.hu.da_433 
  0x1b002a05, 0x251230ee, 0x6b2f21a0, 0x0d2d3f0d,   // mt.tr.un_330 uz.hu.eu_422  jw.su.ceb_322 af.sk.cs_554 
  0x2f320fee, 0x0d0f10a9, 0x212f64ec, 0x31003f04,   // lv.bs.su_422 lt.lv.cs_544  lg.su.jw_644 af.az.un_320 
  0x01002f0d, 0x19530b0c, 0x3f060c09, 0x2d0d2fa4,   // su.en.un_540 es.ht.gl_543  sv.de.af_444 su.cs.sk_433 
  // [8df0]
  0x55321602, 0x1b040e04, 0x3f0e6407, 0x0c081107,   // hr.bs.rw_222 is.fi.tr_332  lg.is.af_432 ro.no.sv_432 
  0x181f27ee, 0x270401a0, 0x271f1008, 0x0f046b0c,   // gd.cy.ga_422 en.fi.gd_322  lt.cy.gd_443 ceb.fi.lv_543 
  0x55732f0c, 0x1c100fec, 0x1c6473a4, 0x6b0e0607,   // su.ny.rw_543 lv.lt.id_644  ny.lg.id_433 de.is.ceb_432 
  0x181f6b02, 0x1f001807, 0x030206a0, 0x063225a0,   // ceb.cy.ga_222 ga.cy.un_420  de.da.nl_322 eu.bs.de_322 
  // [8e00]
  0x033f0eee, 0x17070aee, 0x04182712, 0x050a2305,   // is.af.nl_422 mk.bg.sr_422  gd.ga.fi_654 ca.pt.fr_333 
  0x27101f0e, 0x071028a0, 0x56001f14, 0x0d095612,   // cy.lt.gd_555 sw.lt.it_322  cy.mg.un_660 mg.pl.cs_654 
  0x01091fa9, 0x2f060302, 0x0d1c09ac, 0x091f5611,   // cy.pl.en_544 nl.de.su_222  hi.mr.ne_632 mg.cy.pl_653 
  0x05000802, 0x10003012, 0x05041f07, 0x0d092d11,   // no.fr.un_220 uz.be.un_640  cy.fi.fr_432 sk.pl.cs_653 
  // [8e10]
  0x35040a05, 0x56080507, 0x04002707, 0x1e18270c,   // mk.ru.tg_333 fr.no.mg_432  gd.fi.un_420 gd.ga.ms_543 
  0x56000922, 0x0f1804a4, 0x250428a9, 0x0a07280d,   // pl.mg.un_870 fi.ga.lv_433  sw.fi.eu_544 sw.it.pt_554 
  0x282d09af, 0x28076ea9, 0x23052aa4, 0x28001002,   // pl.sk.sw_655 hmn.it.sw_544  mt.fr.ca_433 lt.sw.un_220 
  0x1b001f21, 0x2a5327a0, 0x230725a9, 0x062507a4,   // cy.tr.un_860 gd.ht.mt_322  eu.it.ca_544 it.eu.de_433 
  // [8e20]
  0x11130707, 0x3f000909, 0x0a0711ad, 0x250409af,   // it.et.ro_432 pl.af.un_440  ro.bg.mk_643 pl.fi.eu_655 
  0x3f000b02, 0x35040a07, 0x10121f07, 0x0c2a0b09,   // es.af.un_220 mk.ru.tg_432  cy.hu.lt_432 es.mt.sv_444 
  0x1c0d1312, 0x13000d11, 0x090b06a7, 0x1107250d,   // bh.ne.mr_654 ne.bh.un_630  de.es.pl_532 eu.it.ro_554 
  0x060b095a, 0x09110b09, 0x23195608, 0x11282da9,   // pl.es.de_553 es.ro.pl_444  mg.gl.ca_443 sk.sw.ro_544 
  // [8e30]
  0x645528ad, 0x170a1004, 0x64095307, 0x05006402,   // sw.rw.lg_643 be.mk.sr_332  ht.pl.lg_432 lg.fr.un_220 
  0x0f09060c, 0x252a060e, 0x3f0b0608, 0x551a2855,   // de.pl.lv_543 de.mt.eu_555  de.es.af_443 sw.tl.rw_442 
  0x0f0506a4, 0x110608a0, 0x0b06255a, 0x2864550e,   // de.fr.lv_433 no.de.ro_322  eu.de.es_553 rw.lg.sw_555 
  0x0f102d09, 0x11070a0d, 0x3044235a, 0x1a56250c,   // sk.lt.lv_444 mk.bg.ro_554  ky.kk.uz_553 eu.mg.tl_543 
  // [8e40]
  0x020e08ac, 0x0e086ba4, 0x136b1a04, 0x016b100c,   // no.is.da_632 ceb.no.is_433  tl.ceb.et_332 lt.ceb.en_543 
  0x0a081705, 0x051f270d, 0x17442304, 0x30081708,   // sr.uk.mk_333 gd.cy.fr_554  ky.kk.sr_332 sr.uk.uz_443 
  0x0a5630a0, 0x0500181a, 0x2900201a, 0x1e562707,   // uz.mg.pt_322 ga.fr.un_760  sq.sl.un_760 gd.mg.ms_432 
  0x2d002019, 0x0f1030ec, 0x2a073012, 0x1b113107,   // sq.sk.un_750 uz.lt.lv_644  uz.it.mt_654 az.ro.tr_432 
  // [8e50]
  0x250501ec, 0x16292007, 0x28251e07, 0x281020ee,   // en.fr.eu_644 sq.sl.hr_432  ms.eu.sw_432 sq.lt.sw_422 
  0x070411a0, 0x200f53ee, 0x1200250d, 0x03020807,   // ro.ru.bg_322 ht.lv.sq_422  eu.hu.un_540 no.da.nl_432 
  0x0708175a, 0x53000b02, 0x050e06a0, 0x100e0fad,   // sr.uk.bg_553 es.ht.un_220  de.is.fr_322 lv.is.lt_643 
  0x1f130408, 0x08170407, 0x2f050155, 0x170423ad,   // fi.et.cy_443 ru.sr.uk_432  en.fr.su_442 ky.ru.sr_643 
  // [8e60]
  0x1f001e05, 0x052756a4, 0x20002909, 0x35440a07,   // ms.cy.un_330 mg.gd.fr_433  sl.sq.un_440 mk.kk.tg_432 
  0x3229200c, 0x29322008, 0x31002702, 0x2d002007,   // sq.sl.bs_543 sq.bs.sl_443  gd.az.un_220 sq.sk.un_420 
  0x302f2360, 0x0f00251a, 0x30002704, 0x17162909,   // ca.su.uz_664 eu.lv.un_760  gd.uz.un_320 sl.hr.sr_444 
  0x07003505, 0x29003108, 0x28001319, 0x17233004,   // tg.bg.un_330 az.sl.un_430  et.sw.un_750 uz.ky.sr_332 
  // [8e70]
  0x070a3009, 0x19000e05, 0x17230aec, 0x041017ee,   // uz.mk.bg_444 is.gl.un_330  mk.ky.sr_644 sr.be.ru_422 
  0x0e1b1304, 0x0c2d0d02, 0x0a0735af, 0x10003019,   // et.tr.is_332 cs.sk.sv_222  tg.bg.mk_655 uz.be.un_750 
  0x1f010604, 0x080402ee, 0x17003002, 0x3f001f14,   // de.en.cy_332 da.fi.no_422  uz.sr.un_220 cy.af.un_660 
  0x04002b04, 0x172d290c, 0x131e0e12, 0x2a0a01a0,   // vi.fi.un_320 sl.sk.sr_543  is.ms.et_654 en.pt.mt_322 
  // [8e80]
  0x0704170d, 0x1a1e1c55, 0x73372104, 0x202128af,   // sr.ru.bg_554 id.ms.tl_442  jw.st.ny_332 sw.jw.sq_655 
  0x5300201b, 0x11000411, 0x2a1107ec, 0x32082d07,   // sq.ht.un_770 fi.ro.un_630  it.ro.mt_644 sk.no.bs_432 
  0x080c0eee, 0x280773a9, 0x120c0809, 0x0c2825a4,   // is.sv.no_422 ny.it.sw_544  no.sv.hu_444 eu.sw.sv_433 
  0x29200d07, 0x19050104, 0x300a07a0, 0x3753110c,   // cs.sq.sl_432 en.fr.gl_332  bg.mk.uz_322 ro.ht.st_543 
  // [8e90]
  0x30001e1a, 0x312830af, 0x07300aa7, 0x0c250107,   // ms.uz.un_760 uz.sw.az_655  mk.uz.bg_532 en.eu.sv_432 
  0x172d090c, 0x2d0d55a9, 0x53003011, 0x30310405,   // pl.sk.sr_543 rw.cs.sk_544  uz.ht.un_630 fi.az.uz_333 
  0x20283060, 0x07005322, 0x031b1211, 0x53190a08,   // uz.sw.sq_664 ht.it.un_870  hu.tr.nl_653 pt.gl.ht_443 
  0x32172a12, 0x0f050107, 0x2864120c, 0x130c12a4,   // mt.sr.bs_654 en.fr.lv_432  hu.lg.sw_543 hu.sv.et_433 
  // [8ea0]
  0x27045608, 0x311b0caf, 0x3f005319, 0x120a2f02,   // mg.fi.gd_443 sv.tr.az_655  ht.af.un_750 su.pt.hu_222 
  0x052853a4, 0x185627af, 0x3510230c, 0x1a04250c,   // ht.sw.fr_433 gd.mg.ga_655  ky.be.tg_543 eu.fi.tl_543 
  0x0e2d1212, 0x2006120c, 0x5600371b, 0x3100200d,   // hu.sk.is_654 hu.de.sq_543  st.mg.un_770 sq.az.un_540 
  0x18561f07, 0x532105ec, 0x121b0ca7, 0x30176e07,   // cy.mg.ga_432 fr.jw.ht_644  sv.tr.hu_532 hmn.sr.uz_432 
  // [8eb0]
  0x6e202a05, 0x1a033f07, 0x08000608, 0x0f25560c,   // mt.sq.hmn_333 af.nl.tl_432  de.no.un_430 mg.eu.lv_543 
  0x56040faf, 0x210e2fa9, 0x07110a07, 0x0c081ba4,   // lv.fi.mg_655 su.is.jw_544  mk.ro.bg_432 tr.no.sv_433 
  0x440a1705, 0x2f0521a7, 0x562701a0, 0x3d730805,   // sr.mk.kk_333 jw.fr.su_532  en.gd.mg_322 no.ny.ku_333 
  0x131856a9, 0x0504250c, 0x2f051205, 0x31001b29,   // mg.ga.et_544 eu.fi.fr_543  hu.fr.su_333 tr.az.un_960 
  // [8ec0]
  0x04131aec, 0x01080ea4, 0x07005308, 0x07003512,   // tl.et.fi_644 is.no.en_433  ht.it.un_430 tg.bg.un_640 
  0x1c0d130e, 0x130256a4, 0x10051f0c, 0x0a080205,   // bh.ne.mr_555 mg.da.et_433  cy.fr.lt_543 da.no.pt_333 
  0x081f0607, 0x2f002704, 0x0a0735a0, 0x07233055,   // de.cy.no_432 gd.su.un_320  tg.bg.mk_322 uz.ky.bg_442 
  0x18002a08, 0x02000e22, 0x1000110e, 0x0c011fa0,   // mt.ga.un_430 is.da.un_870  ro.be.un_550 cy.en.sv_322 
  // [8ed0]
  0x53006b11, 0x0f003707, 0x1f0b2307, 0x29172daf,   // ceb.ht.un_630 st.lv.un_420  ca.es.cy_432 sk.sr.sl_655 
  0x0900530d, 0x25000521, 0x440a17af, 0x1c002112,   // ht.pl.un_540 fr.eu.un_860  sr.mk.kk_655 jw.id.un_640 
  0x0a17350b, 0x2d0d5605, 0x12002512, 0x53110107,   // tg.sr.mk_542 mg.cs.sk_333  eu.hu.un_640 en.ro.ht_432 
  0x1a2a010c, 0x556421ec, 0x16002911, 0x0a00042a,   // en.mt.tl_543 jw.lg.rw_644  sl.hr.un_630 ru.mk.un_970 
  // [8ee0]
  0x64732511, 0x04005509, 0x55251002, 0x1c000922,   // eu.ny.lg_653 rw.fi.un_440  lt.eu.rw_222 hi.mr.un_870 
  0x3700300c, 0x08021aa0, 0x28647313, 0x2500731a,   // uz.st.un_530 tl.da.no_322  ny.lg.sw_665 ny.eu.un_760 
  0x291b280c, 0x305564af, 0x30732807, 0x231a3004,   // sw.tr.sl_543 lg.rw.uz_655  sw.ny.uz_432 uz.tl.ca_332 
  0x6b002505, 0x29003213, 0x130410a9, 0x64551a08,   // eu.ceb.un_330 bs.sl.un_650  lt.fi.et_544 tl.rw.lg_443 
  // [8ef0]
  0x2d001213, 0x01001109, 0x6b005518, 0x2f171fa0,   // hu.sk.un_650 ro.en.un_440  rw.ceb.un_740 cy.sr.su_322 
  0x28551f07, 0x0c3d6b04, 0x290a3712, 0x1e3130ad,   // cy.rw.sw_432 ceb.ku.sv_332  st.pt.sl_654 uz.az.ms_643 
  0x075373ac, 0x06321709, 0x30106b02, 0x55281a08,   // ny.ht.it_632 sr.bs.de_444  ceb.lt.uz_222 tl.sw.rw_443 
  0x20003007, 0x1b300605, 0x3228550b, 0x1a7308a4,   // uz.sq.un_420 de.uz.tr_333  rw.sw.bs_542 no.ny.tl_433 
  // [8f00]
  0x322a3711, 0x2021280d, 0x25000a1a, 0x5500251b,   // st.mt.bs_653 sw.jw.sq_554  pt.eu.un_760 eu.rw.un_770 
  0x04102309, 0x28256ba4, 0x2a30315a, 0x271828af,   // ky.be.ru_444 ceb.eu.sw_433  az.uz.mt_553 sw.ga.gd_655 
  0x5301300c, 0x10443007, 0x302a27a4, 0x2830180d,   // uz.en.ht_543 uz.kk.be_432  gd.mt.uz_433 ga.uz.sw_554 
  0x6b006408, 0x1b093008, 0x2913300c, 0x130e04ad,   // lg.ceb.un_430 uz.pl.tr_443  uz.et.sl_543 fi.is.et_643 
  // [8f10]
  0x13290913, 0x2a090f0c, 0x29091804, 0x040a0d02,   // pl.sl.et_665 lv.pl.mt_543  ga.pl.sl_332 cs.pt.fi_222 
  0x37203007, 0x162a04a4, 0x55281ea0, 0x290964a4,   // uz.sq.st_432 fi.mt.hr_433  ms.sw.rw_322 lg.pl.sl_433 
  0x0c300807, 0x13093013, 0x28046408, 0x3d000114,   // no.uz.sv_432 uz.pl.et_665  lg.fi.sw_443 en.ku.un_660 
  0x070105a0, 0x35040aaf, 0x1e000d14, 0x04112355,   // fr.en.it_322 mk.ru.tg_655  cs.ms.un_660 ca.ro.fi_442 
  // [8f20]
  0x0e20060b, 0x3009250c, 0x6b1c13a0, 0x01007321,   // de.sq.is_542 eu.pl.uz_543  et.id.ceb_322 ny.en.un_860 
  0x64373fa9, 0x17041007, 0x0409290d, 0x133f64ad,   // af.st.lg_544 be.ru.sr_432  sl.pl.fi_554 lg.af.et_643 
  0x250e090d, 0x1f002f07, 0x042f64a7, 0x1b290914,   // pl.is.eu_554 su.cy.un_420  lg.su.fi_532 pl.sl.tr_666 
  0x1300730c, 0x2f641a05, 0x3f2804a0, 0x1c28640b,   // ny.et.un_530 tl.lg.su_333  fi.sw.af_322 lg.sw.id_542 
  // [8f30]
  0x0a3007ac, 0x0300640d, 0x04080755, 0x31001114,   // bg.uz.mk_632 lg.nl.un_540  bg.uk.ru_442 ro.az.un_660 
  0x64001a09, 0x046b1a08, 0x31003705, 0x1000120c,   // tl.lg.un_440 tl.ceb.fi_443  st.az.un_330 hu.lt.un_530 
  0x07234460, 0x0a07100e, 0x1b002005, 0x07004402,   // kk.ky.bg_664 be.bg.mk_555  sq.tr.un_330 kk.bg.un_220 
  0x01001f13, 0x17110a04, 0x026b0d04, 0x30080a0c,   // cy.en.un_650 mk.ro.sr_332  cs.ceb.da_332 mk.uk.uz_543 
  // [8f40]
  0x23441007, 0x04300812, 0x0c091007, 0x27001f04,   // be.kk.ky_432 uk.uz.ru_654  lt.pl.sv_432 cy.gd.un_320 
  0x536b1aaf, 0x37287304, 0x1035070c, 0x532d0d05,   // tl.ceb.ht_655 ny.sw.st_332  bg.tg.be_543 cs.sk.ht_333 
  0x1e110ba0, 0x2a061f09, 0x30001e07, 0x0d000f08,   // es.ro.ms_322 cy.de.mt_444  ms.uz.un_420 lv.cs.un_430 
  0x1a096b09, 0x0e2a1004, 0x021a6ba9, 0x56000911,   // ceb.pl.tl_444 lt.mt.is_332  ceb.tl.da_544 pl.mg.un_630 
  // [8f50]
  0x07002b02, 0x010956ee, 0x311a10a4, 0x1b00300e,   // vi.it.un_220 mg.pl.en_422  lt.tl.az_433 uz.tr.un_550 
  0x0625530e, 0x2b6427a0, 0x0a6b2f04, 0x0700170e,   // ht.eu.de_555 gd.lg.vi_322  su.ceb.pt_332 sr.bg.un_550 
  0x303508ad, 0x021a6b07, 0x535605a0, 0x190b550b,   // uk.tg.uz_643 ceb.tl.da_432  fr.mg.ht_322 rw.es.gl_542 
  0x19270aa4, 0x1c006402, 0x040f18a0, 0x3d563008,   // pt.gd.gl_433 lg.id.un_220  ga.lv.fi_322 uz.mg.ku_443 
  // [8f60]
  0x64733709, 0x0473255a, 0x04003018, 0x5556100e,   // st.ny.lg_444 eu.ny.fi_553  uz.ru.un_740 lt.mg.rw_555 
  0x0a173008, 0x053211ee, 0x072705a0, 0x532a0508,   // uz.sr.mk_443 ro.bs.fr_422  fr.gd.it_322 fr.mt.ht_443 
  0x32172f02, 0x370523a7, 0x27186eee, 0x0b005608,   // su.sr.bs_222 ca.fr.st_532  hmn.ga.gd_422 mg.es.un_430 
  0x10000b02, 0x2b005602, 0x0b2519ee, 0x08020c11,   // es.lt.un_220 mg.vi.un_220  gl.eu.es_422 sv.da.no_653 
  // [8f70]
  0x23190aa0, 0x1e0f18a0, 0x29100411, 0x2f005305,   // pt.gl.ca_322 ga.lv.ms_322  fi.lt.sl_653 ht.su.un_330 
  0x0f2920a4, 0x0f000504, 0x37087312, 0x09290da9,   // sq.sl.lv_433 fr.lv.un_320  ny.no.st_654 cs.sl.pl_544 
  0x10046455, 0x2d0d0a0c, 0x040e640c, 0x07041012,   // lg.fi.lt_442 pt.cs.sk_543  lg.is.fi_543 be.ru.bg_654 
  0x046408a0, 0x0d000104, 0x28123d55, 0x0f006409,   // no.lg.fi_322 en.cs.un_320  ku.hu.sw_442 lg.lv.un_440 
  // [8f80]
  0x04086407, 0x211c1aa4, 0x28002f02, 0x5600641b,   // lg.no.fi_432 tl.id.jw_433  su.sw.un_220 lg.mg.un_770 
  0x08103505, 0x371801a6, 0x0c000d1a, 0x173d0312,   // tg.be.uk_333 en.ga.st_521  cs.sv.un_760 nl.ku.sr_654 
  0x3f370304, 0x030e12af, 0x13003f07, 0x09250d07,   // nl.st.af_332 hu.is.nl_655  af.et.un_420 cs.eu.pl_432 
  0x032501a9, 0x0c0601af, 0x190d0aa7, 0x7310640c,   // en.eu.nl_544 en.de.sv_655  pt.cs.gl_532 lg.lt.ny_543 
  // [8f90]
  0x0e211aa0, 0x2d290dec, 0x2d0d0aaf, 0x1b3d25ad,   // tl.jw.is_322 cs.sl.sk_644  pt.cs.sk_655 eu.ku.tr_643 
  0x3f123da0, 0x05000a08, 0x0a2d0d04, 0x12003d08,   // ku.hu.af_322 pt.fr.un_430  cs.sk.pt_332 ku.hu.un_430 
  0x08000f05, 0x04120308, 0x0c030fee, 0x3f2d0d04,   // lv.no.un_330 nl.hu.fi_443  lv.nl.sv_422 cs.sk.af_332 
  0x1c2104a0, 0x2f003202, 0x25045307, 0x535605ee,   // fi.jw.id_322 bs.su.un_220  ht.fi.eu_432 fr.mg.ht_422 
  // [8fa0]
  0x1744100b, 0x1f1827ec, 0x0c0e0da4, 0x302344a4,   // be.kk.sr_542 gd.ga.cy_644  cs.is.sv_433 kk.ky.uz_433 
  0x3f030204, 0x040f1c04, 0x0b23190c, 0x09131c10,   // da.nl.af_332 id.lv.fi_332  gl.ca.es_543 mr.bh.hi_642 
  0x07002308, 0x180e23a7, 0x190b1fec, 0x120d2d11,   // ca.it.un_430 ca.is.ga_532  cy.es.gl_644 sk.cs.hu_653 
  0x19530507, 0x1104080d, 0x041353a0, 0x0200300c,   // fr.ht.gl_432 uk.ru.ro_554  ht.et.fi_322 uz.da.un_530 
  // [8fb0]
  0x555328a0, 0x08300207, 0x561e250d, 0x120530ee,   // sw.ht.rw_322 da.uz.no_432  eu.ms.mg_554 uz.fr.hu_422 
  0x0d2d125a, 0x121b1807, 0x015327ee, 0x3f3d2b08,   // hu.sk.cs_553 ga.tr.hu_432  gd.ht.en_422 vi.ku.af_443 
  0x1c002122, 0x1f0e18a6, 0x2a3f0ea4, 0x371a6b08,   // jw.id.un_870 ga.is.cy_521  is.af.mt_433 ceb.tl.st_443 
  0x0d2d1207, 0x030e08a4, 0x133f0311, 0x0602565a,   // hu.sk.cs_432 no.is.nl_433  nl.af.et_653 mg.da.de_553 
  // [8fc0]
  0x08555604, 0x0d2d1211, 0x07001111, 0x01033f0c,   // mg.rw.no_332 hu.sk.cs_653  ro.bg.un_630 af.nl.en_543 
  0x25645507, 0x052f1604, 0x1203530c, 0x6b2f37a4,   // rw.lg.eu_432 hr.su.fr_332  ht.nl.hu_543 st.su.ceb_433 
  0x290919ee, 0x166b1804, 0x64001b21, 0x212b06a4,   // gl.pl.sl_422 ga.ceb.hr_332  tr.lg.un_860 de.vi.jw_433 
  0x253055ee, 0x0e031aee, 0x21122f11, 0x033764a0,   // rw.uz.eu_422 tl.nl.is_422  su.hu.jw_653 lg.st.nl_322 
  // [8fd0]
  0x10003209, 0x2d000714, 0x21375504, 0x20001b14,   // bs.lt.un_440 it.sk.un_660  rw.st.jw_332 tr.sq.un_660 
  0x1a6b6412, 0x170410af, 0x291e080c, 0x28000208,   // lg.ceb.tl_654 be.ru.sr_655  no.ms.sl_543 da.sw.un_430 
  0x3d061f07, 0x551c21a0, 0x12003020, 0x640321a0,   // cy.de.ku_432 jw.id.rw_322  uz.hu.un_850 jw.nl.lg_322 
  0x1f062305, 0x013f03a4, 0x12006423, 0x080e0107,   // ca.de.cy_333 nl.af.en_433  lg.hu.un_880 en.is.no_432 
  // [8fe0]
  0x101f0407, 0x101f18a9, 0x561f100c, 0x1f040707,   // fi.cy.lt_432 ga.cy.lt_544  lt.cy.mg_543 it.fi.cy_432 
  0x311b2813, 0x12006e11, 0x251c1fee, 0x100305a0,   // sw.tr.az_665 hmn.hu.un_630  cy.id.eu_422 fr.nl.lt_322 
  0x0a0402a0, 0x1c1208ad, 0x05001207, 0x09131c55,   // da.fi.pt_322 no.hu.id_643  hu.fr.un_420 mr.bh.hi_442 
  0x07190a5a, 0x04000e0c, 0x2800201b, 0x0a0811af,   // pt.gl.it_553 is.fi.un_530  sq.sw.un_770 ro.uk.mk_655 
  // [8ff0]
  0x012d0d02, 0x0d002d2b, 0x30642a04, 0x32172a08,   // cs.sk.en_222 sk.cs.un_980  mt.lg.uz_332 mt.sr.bs_443 
  0x1f000414, 0x190a1fa4, 0x32002a04, 0x1f0410ad,   // fi.cy.un_660 cy.pt.gl_433  mt.bs.un_320 lt.fi.cy_643 
  0x0f292aa0, 0x012d0d0d, 0x27201f04, 0x28003f08,   // mt.sl.lv_322 cs.sk.en_554  cy.sq.gd_332 af.sw.un_430 
  0x20005523, 0x2a00091b, 0x0d322904, 0x292a0f55,   // rw.sq.un_880 pl.mt.un_770  sl.bs.cs_332 lv.mt.sl_442 
  
  // [9000]
  0x23060313, 0x55005313, 0x132864ac, 0x312a295a,   // nl.de.ca_665 ht.rw.un_650  lg.sw.et_632 sl.mt.az_553 
  0x04070a14, 0x0f002a19, 0x02000a07, 0x070f0aaf,   // mk.bg.ru_666 mt.lv.un_750  pt.da.un_420 pt.lv.it_655 
  0x0e0a23ee, 0x180f2712, 0x0f1017a4, 0x13061804,   // ca.pt.is_422 gd.lv.ga_654  sr.lt.lv_433 ga.de.et_332 
  0x292f30ee, 0x11002013, 0x135573ac, 0x2f6473ad,   // uz.su.sl_422 sq.ro.un_650  ny.rw.et_632 ny.lg.su_643 
  // [9010]
  0x306b2f08, 0x0a100808, 0x292809a4, 0x557328a4,   // su.ceb.uz_443 uk.be.mk_443  pl.sw.sl_433 sw.ny.rw_433 
  0x73556b08, 0x20001004, 0x1a557313, 0x1f730704,   // ceb.rw.ny_443 lt.sq.un_320  ny.rw.tl_665 it.ny.cy_332 
  0x03005507, 0x23001b07, 0x130f10a0, 0x1b301eaf,   // rw.nl.un_420 tr.ca.un_420  lt.lv.et_322 ms.uz.tr_655 
  0x10003502, 0x1300292a, 0x286b7309, 0x08001f12,   // tg.be.un_220 sl.et.un_970  ny.ceb.sw_444 cy.no.un_640 
  // [9020]
  0x32061ea0, 0x64553014, 0x292d0d07, 0x10006b08,   // ms.de.bs_322 uz.rw.lg_666  cs.sk.sl_432 ceb.lt.un_430 
  0x13556411, 0x6b00640c, 0x291630a4, 0x110b7313,   // lg.rw.et_653 lg.ceb.un_530  uz.hr.sl_433 ny.es.ro_665 
  0x3f1720a4, 0x0e3d37ec, 0x3f556407, 0x101a37a4,   // sq.sr.af_433 st.ku.is_644  lg.rw.af_432 st.tl.lt_433 
  0x250b08a4, 0x071801a0, 0x53002f1b, 0x1b035608,   // no.es.eu_433 en.ga.it_322  su.ht.un_770 mg.nl.tr_443 
  // [9030]
  0x53033f07, 0x3000560c, 0x132f2907, 0x081f0d0c,   // af.nl.ht_432 mg.uz.un_530  sl.su.et_432 cs.cy.no_543 
  0x64735505, 0x02033f13, 0x251155ec, 0x0a0444a7,   // rw.ny.lg_333 af.nl.da_665  rw.ro.eu_644 kk.ru.mk_532 
  0x0e21730c, 0x04131e02, 0x29642508, 0x19050b08,   // ny.jw.is_543 ms.et.fi_222  eu.lg.sl_443 es.fr.gl_443 
  0x17292d05, 0x0b1a370e, 0x0f1a3708, 0x101b0aa0,   // sk.sl.sr_333 st.tl.es_555  st.tl.lv_443 pt.tr.lt_322 
  // [9040]
  0x1b041305, 0x3d292d11, 0x2909250b, 0x1b643d07,   // et.fi.tr_333 sk.sl.ku_653  eu.pl.sl_542 ku.lg.tr_432 
  0x6e002012, 0x092d0dad, 0x092d19a7, 0x070a1755,   // sq.hmn.un_640 cs.sk.pl_643  gl.sk.pl_532 sr.mk.bg_442 
  0x560e37af, 0x3f122811, 0x05003d0d, 0x372b1107,   // st.is.mg_655 sw.hu.af_653  ku.fr.un_540 ro.vi.st_432 
  0x1100120d, 0x062504ec, 0x212f1fad, 0x08170a5a,   // hu.ro.un_540 fi.eu.de_644  cy.su.jw_643 mk.sr.uk_553 
  // [9050]
  0x070a35ad, 0x06002004, 0x21041102, 0x442335a0,   // tg.mk.bg_643 sq.de.un_320  ro.fi.jw_222 tg.ky.kk_322 
  0x210a2fa0, 0x3500230e, 0x10000705, 0x2b00230d,   // su.pt.jw_322 ky.tg.un_550  bg.be.un_330 ca.vi.un_540 
  0x19230aa0, 0x28000702, 0x0612200c, 0x2500040d,   // pt.ca.gl_322 it.sw.un_220  sq.hu.de_543 fi.eu.un_540 
  0x273018ad, 0x09005309, 0x24000134, 0x10041709,   // ga.uz.gd_643 ht.pl.un_440  iw.yi.un_A80 sr.ru.be_444 
  // [9060]
  0x17000719, 0x1b552111, 0x1a311ba0, 0x02120807,   // bg.sr.un_750 jw.rw.tr_653  tr.az.tl_322 no.hu.da_432 
  0x17080aaf, 0x080211a4, 0x04081011, 0x551b64a9,   // mk.uk.sr_655 ro.da.no_433  be.uk.ru_653 lg.tr.rw_544 
  0x11007309, 0x190b0705, 0x55001c0d, 0x3f001b12,   // ny.ro.un_440 it.es.gl_333  id.rw.un_540 tr.af.un_640 
  0x081130af, 0x04132013, 0x73006418, 0x2a006434,   // uz.ro.uk_655 sq.et.fi_665  lg.ny.un_740 lg.mt.un_A80 
  // [9070]
  0x29122a14, 0x1032160d, 0x131b2507, 0x20090f07,   // mt.hu.sl_666 hr.bs.lt_554  eu.tr.et_432 lv.pl.sq_432 
  0x29200e0c, 0x44003512, 0x2f120ea9, 0x3d1f1aa4,   // is.sq.sl_543 tg.kk.un_640  is.hu.su_544 tl.cy.ku_433 
  0x2b6473a0, 0x37042fec, 0x551b6404, 0x2f53210c,   // ny.lg.vi_322 su.fi.st_644  lg.tr.rw_332 jw.ht.su_543 
  0x04000f02, 0x13042013, 0x12292aa4, 0x31040ea4,   // lv.fi.un_220 sq.fi.et_665  mt.sl.hu_433 is.fi.az_433 
  // [9080]
  0x1700110c, 0x2f000608, 0x3f31300c, 0x55562813,   // ro.sr.un_530 de.su.un_430  uz.az.af_543 sw.mg.rw_665 
  0x20000821, 0x023f6b02, 0x6404250c, 0x29091faf,   // no.sq.un_860 ceb.af.da_222  eu.fi.lg_543 cy.pl.sl_655 
  0x202a0908, 0x16553d0c, 0x06251b13, 0x09120e07,   // pl.mt.sq_443 ku.rw.hr_543  tr.eu.de_665 is.hu.pl_432 
  0x053720ad, 0x28130304, 0x2a1229a4, 0x122a1b0c,   // sq.st.fr_643 nl.et.sw_332  sl.hu.mt_433 tr.mt.hu_543 
  // [9090]
  0x6b2f56ee, 0x13007304, 0x232f1308, 0x2025120c,   // mg.su.ceb_422 ny.et.un_320  et.su.ca_443 hu.eu.sq_543 
  0x110f30a9, 0x04103507, 0x09202aa9, 0x371e2f0c,   // uz.lv.ro_544 tg.be.ru_432  mt.sq.pl_544 su.ms.st_543 
  0x2a2012ec, 0x2f0306a4, 0x2b231f07, 0x3125230c,   // hu.sq.mt_644 de.nl.su_433  cy.ca.vi_432 ca.eu.az_543 
  0x2f231355, 0x2102080c, 0x231e1c08, 0x3213230c,   // et.ca.su_442 no.da.jw_543  id.ms.ca_443 ca.et.bs_543 
  // [90a0]
  0x20003711, 0x230b08a0, 0x1319230c, 0x55003007,   // st.sq.un_630 no.es.ca_322  ca.gl.et_543 uz.rw.un_420 
  0x6e002f08, 0x0a3d1208, 0x23304455, 0x200a2fa0,   // su.hmn.un_430 hu.ku.pt_443  kk.uz.ky_442 su.pt.sq_322 
  0x0b272f0c, 0x533d29ee, 0x1f2f21a0, 0x06130314,   // su.gd.es_543 sl.ku.ht_422  jw.su.cy_322 nl.et.de_666 
  0x1e1a6b08, 0x2300130d, 0x04300805, 0x08070404,   // ceb.tl.ms_443 et.ca.un_540  uk.uz.ru_333 ru.bg.uk_332 
  // [90b0]
  0x121b0f07, 0x193031a0, 0x2b000c04, 0x2d005612,   // lv.tr.hu_432 az.uz.gl_322  sv.vi.un_320 mg.sk.un_640 
  0x080717ee, 0x0a3008ee, 0x4404080d, 0x313f0307,   // sr.bg.uk_422 uk.uz.mk_422  uk.ru.kk_554 nl.af.az_432 
  0x1f001902, 0x0c002f07, 0x212f1e05, 0x041035a7,   // gl.cy.un_220 su.sv.un_420  ms.su.jw_333 tg.be.ru_532 
  0x31131baf, 0x0f001305, 0x080430a0, 0x55007313,   // tr.et.az_655 et.lv.un_330  uz.ru.uk_322 ny.rw.un_650 
  // [90c0]
  0x173010ad, 0x1b5531a0, 0x1a0464a0, 0x045331ee,   // be.uz.sr_643 az.rw.tr_322  lg.fi.tl_322 az.ht.fi_422 
  0x550464a9, 0x0f081011, 0x19000e04, 0x0a07040e,   // lg.fi.rw_544 lt.no.lv_653  is.gl.un_320 ru.bg.mk_555 
  0x1b1c1ea0, 0x09556404, 0x302003ee, 0x0a1730ee,   // ms.id.tr_322 lg.rw.pl_332  nl.sq.uz_422 uz.sr.mk_422 
  0x1e002b07, 0x17100808, 0x21000904, 0x2b000107,   // vi.ms.un_420 uk.be.sr_443  pl.jw.un_320 en.vi.un_420 
  // [90d0]
  0x042855a0, 0x1b1f31af, 0x0464105a, 0x09003005,   // rw.sw.fi_322 az.cy.tr_655  lt.lg.fi_553 uz.pl.un_330 
  0x3d0701a0, 0x0a110809, 0x0506110b, 0x08021105,   // en.it.ku_322 uk.ro.mk_444  ro.de.fr_542 ro.da.no_333 
  0x1b643109, 0x0d005602, 0x12371f60, 0x1f136ea0,   // az.lg.tr_444 mg.cs.un_220  cy.st.hu_664 hmn.et.cy_322 
  0x113d1ba4, 0x32000304, 0x0600121a, 0x080a1709,   // tr.ku.ro_433 nl.bs.un_320  hu.de.un_760 sr.mk.uk_444 
  // [90e0]
  0x53371aee, 0x040a23a4, 0x1f030612, 0x04233007,   // tl.st.ht_422 ky.mk.ru_433  de.nl.cy_654 uz.ky.ru_432 
  0x3f032aa9, 0x210e1204, 0x05121155, 0x1f065307,   // mt.nl.af_544 hu.is.jw_332  ro.hu.fr_442 ht.de.cy_432 
  0x043011a0, 0x17110a08, 0x2a000a08, 0x04001208,   // ro.uz.ru_322 mk.ro.sr_443  pt.mt.un_430 hu.fi.un_430 
  0x2353010c, 0x32371b07, 0x06030b02, 0x2b000b02,   // en.ht.ca_543 tr.st.bs_432  es.nl.de_222 es.vi.un_220 
  // [90f0]
  0x0e000622, 0x0a006402, 0x2d0c02a9, 0x0b3055ee,   // de.is.un_870 lg.pt.un_220  da.sv.sk_544 rw.uz.es_422 
  0x021e64ad, 0x1f000419, 0x1f1e64a7, 0x136e28a4,   // lg.ms.da_643 fi.cy.un_750  lg.ms.cy_532 sw.hmn.et_433 
  0x64002f08, 0x110901a4, 0x10002a13, 0x031e1fec,   // su.lg.un_430 en.pl.ro_433  mt.lt.un_650 cy.ms.nl_644 
  0x080264af, 0x6e3f1ea4, 0x210a1e07, 0x321004a9,   // lg.da.no_655 ms.af.hmn_433  ms.pt.jw_432 fi.lt.bs_544 
  // [9100]
  0x25313007, 0x3f6e20a9, 0x0e003d21, 0x190b6e60,   // uz.az.eu_432 sq.hmn.af_544  ku.is.un_860 hmn.es.gl_664 
  0x640e1308, 0x03062007, 0x010673a0, 0x3f036eac,   // et.is.lg_443 sq.de.nl_432  ny.de.en_322 hmn.nl.af_632 
  0x1f006408, 0x11042505, 0x01000705, 0x2f0825ee,   // lg.cy.un_430 eu.fi.ro_333  it.en.un_330 eu.no.su_422 
  0x27532355, 0x100e2307, 0x036e3fa9, 0x6e003019,   // ca.ht.gd_442 ca.is.lt_432  af.hmn.nl_544 uz.hmn.un_750 
  // [9110]
  0x1b0c2ba0, 0x0200640e, 0x6e003f11, 0x21006412,   // vi.sv.tr_322 lg.da.un_550  af.hmn.un_630 lg.jw.un_640 
  0x102305ec, 0x06092104, 0x0f2f6e0d, 0x2a002507,   // fr.ca.lt_644 jw.pl.de_332  hmn.su.lv_554 eu.mt.un_420 
  0x1a003f04, 0x0c080ea4, 0x17040812, 0x1f12100d,   // af.tl.un_320 is.no.sv_433  uk.ru.sr_654 lt.hu.cy_554 
  0x2d101211, 0x27281a0c, 0x232b1807, 0x1c2f56a0,   // hu.lt.sk_653 tl.sw.gd_543  ga.vi.ca_432 mg.su.id_322 
  // [9120]
  0x026b1a04, 0x06031fee, 0x0f3f30a0, 0x04081104,   // tl.ceb.da_332 cy.nl.de_422  uz.af.lv_322 ro.uk.ru_332 
  0x53016ba0, 0x311828ee, 0x1a000212, 0x3d19010b,   // ceb.en.ht_322 sw.ga.az_422  da.tl.un_640 en.gl.ku_542 
  0x1b3d0455, 0x0f00100b, 0x1f1009ad, 0x0a350709,   // fi.ku.tr_442 lt.lv.un_520  pl.lt.cy_643 bg.tg.mk_444 
  0x233f3713, 0x0a2007a0, 0x312f21ad, 0x1e1c25a4,   // st.af.ca_665 it.sq.pt_322  jw.su.az_643 eu.id.ms_433 
  // [9130]
  0x033f5304, 0x20000323, 0x21000807, 0x07005502,   // ht.af.nl_332 nl.sq.un_880  no.jw.un_420 rw.it.un_220 
  0x56002513, 0x2a321604, 0x32311b60, 0x0b532502,   // eu.mg.un_650 hr.bs.mt_332  tr.az.bs_664 eu.ht.es_222 
  0x11321608, 0x0600050c, 0x11321704, 0x29001f07,   // hr.bs.ro_443 fr.de.un_530  sr.bs.ro_332 cy.sl.un_420 
  0x1f002a0b, 0x121b13a7, 0x1e1c25ec, 0x2511130c,   // mt.cy.un_520 et.tr.hu_532  eu.id.ms_644 et.ro.eu_543 
  // [9140]
  0x2504135a, 0x25131f08, 0x2f002714, 0x1b001f02,   // et.fi.eu_553 cy.et.eu_443  gd.su.un_660 cy.tr.un_220 
  0x03321614, 0x12080260, 0x1c002f12, 0x0764250c,   // hr.bs.nl_666 da.no.hu_664  su.id.un_640 eu.lg.it_543 
  0x08050c07, 0x1f071b04, 0x1b001109, 0x07001304,   // sv.fr.no_432 tr.it.cy_332  ro.tr.un_440 et.it.un_320 
  0x082523a4, 0x09122509, 0x083511af, 0x30170412,   // ca.eu.no_433 eu.hu.pl_444  ro.tg.uk_655 ru.sr.uz_654 
  // [9150]
  0x3f0802a7, 0x30354412, 0x1b322d0d, 0x08001b13,   // da.no.af_532 kk.tg.uz_654  sk.bs.tr_554 tr.no.un_650 
  0x09250e55, 0x53052d05, 0x1c1e2d07, 0x37003009,   // is.eu.pl_442 sk.fr.ht_333  sk.ms.id_432 uz.st.un_440 
  0x561004a4, 0x230a25a9, 0x44002307, 0x201b31a4,   // fi.lt.mg_433 eu.pt.ca_544  ky.kk.un_420 az.tr.sq_433 
  0x552d0d0d, 0x2b000702, 0x230a4455, 0x0e531b0c,   // cs.sk.rw_554 it.vi.un_220  kk.mk.ky_442 tr.ht.is_543 
  // [9160]
  0x202f5507, 0x1b0e30a9, 0x0c080b02, 0x031f0107,   // rw.su.sq_432 uz.is.tr_544  es.no.sv_222 en.cy.nl_432 
  0x041f1307, 0x317330a4, 0x10040713, 0x56000709,   // et.cy.fi_432 uz.ny.az_433  bg.ru.be_665 it.mg.un_440 
  0x1b30310c, 0x2a311f0c, 0x0f2a0707, 0x1300210d,   // az.uz.tr_543 cy.az.mt_543  it.mt.lv_432 jw.et.un_540 
  0x0300010c, 0x104404ec, 0x13100f5a, 0x2f0713a7,   // en.nl.un_530 ru.kk.be_644  lv.lt.et_553 et.it.su_532 
  // [9170]
  0x0600130e, 0x2f005519, 0x0602010c, 0x0b2f2aee,   // et.de.un_550 rw.su.un_750  en.da.de_543 mt.su.es_422 
  0x371f5611, 0x121730a4, 0x041b12ee, 0x3d645508,   // mg.cy.st_653 uz.sr.hu_433  hu.tr.fi_422 rw.lg.ku_443 
  0x07002312, 0x0c083f02, 0x370f0755, 0x18000d05,   // ky.bg.un_640 af.no.sv_222  it.lv.st_442 cs.ga.un_330 
  0x3130080c, 0x312f30a4, 0x0d5525a4, 0x28556405,   // no.uz.az_543 uz.su.az_433  eu.rw.cs_433 lg.rw.sw_333 
  // [9180]
  0x132d0d0d, 0x3f121fa0, 0x251101a4, 0x64000607,   // cs.sk.et_554 cy.hu.af_322  en.ro.eu_433 de.lg.un_420 
  0x1325050c, 0x12005604, 0x3d12560c, 0x030412ad,   // fr.eu.et_543 mg.hu.un_320  mg.hu.ku_543 hu.fi.nl_643 
  0x1b12250c, 0x1712010c, 0x0d1c2107, 0x215356a0,   // eu.hu.tr_543 en.hu.sr_543  jw.id.cs_432 mg.ht.jw_322 
  0x3f100309, 0x3d00010d, 0x354423a0, 0x1b001021,   // nl.lt.af_444 en.ku.un_540  ky.kk.tg_322 lt.tr.un_860 
  // [9190]
  0x040a0711, 0x2f001e0d, 0x01002d07, 0x11000a09,   // bg.mk.ru_653 ms.su.un_540  sk.en.un_420 pt.ro.un_440 
  0x1a005604, 0x0103070c, 0x03301155, 0x25041012,   // mg.tl.un_320 it.nl.en_543  ro.uz.nl_442 lt.fi.eu_654 
  0x3f0e030e, 0x21531e0b, 0x29000312, 0x11001014,   // nl.is.af_555 ms.ht.jw_542  nl.sl.un_640 lt.ro.un_660 
  0x0e003722, 0x3f23030c, 0x08230407, 0x0b2156ee,   // st.is.un_870 nl.ca.af_543  ru.ky.uk_432 mg.jw.es_422 
  // [91a0]
  0x170c56a6, 0x27306b07, 0x641253a7, 0x2a001c08,   // mg.sv.sr_521 ceb.uz.gd_432  ht.hu.lg_532 id.mt.un_430 
  0x08000712, 0x1e211cac, 0x30002a1b, 0x03005319,   // bg.uk.un_640 id.jw.ms_632  mt.uz.un_770 ht.nl.un_750 
  0x30731cee, 0x071827ad, 0x30201b07, 0x2f531a08,   // id.ny.uz_422 gd.ga.it_643  tr.sq.uz_432 tl.ht.su_443 
  0x05012304, 0x292117a0, 0x291721a4, 0x1700111a,   // ca.en.fr_332 sr.jw.sl_322  jw.sr.sl_433 ro.sr.un_760 
  // [91b0]
  0x11000a12, 0x130910a4, 0x56211704, 0x210d200d,   // pt.ro.un_640 lt.pl.et_433  sr.jw.mg_332 sq.cs.jw_554 
  0x30002d0c, 0x563f03a0, 0x211e3da0, 0x562510ad,   // sk.uz.un_530 nl.af.mg_322  ku.ms.jw_322 lt.eu.mg_643 
  0x2f006402, 0x07041060, 0x27003005, 0x093137a4,   // lg.su.un_220 be.ru.bg_664  uz.gd.un_330 st.az.pl_433 
  0x16202da0, 0x25002113, 0x043035a7, 0x103523a4,   // sk.sq.hr_322 jw.eu.un_650  tg.uz.ru_532 ky.tg.be_433 
  // [91c0]
  0x312d0d08, 0x0b003108, 0x0400230b, 0x0e2d0d05,   // cs.sk.az_443 az.es.un_430  ky.ru.un_520 cs.sk.is_333 
  0x44070a04, 0x04173002, 0x0b6e73a4, 0x0b1925a7,   // mk.bg.kk_332 uz.sr.ru_222  ny.hmn.es_433 eu.gl.es_532 
  0x30000805, 0x0118060b, 0x277310ad, 0x1b20310c,   // no.uz.un_330 de.ga.en_542  lt.ny.gd_643 az.sq.tr_543 
  0x302a04a4, 0x03003f34, 0x0c302aa4, 0x0c642aa9,   // fi.mt.uz_433 af.nl.un_A80  mt.uz.sv_433 mt.lg.sv_544 
  // [91d0]
  0x31000522, 0x2a0b2da9, 0x104430a4, 0x1a6b0808,   // fr.az.un_870 sk.es.mt_544  uz.kk.be_433 no.ceb.tl_443 
  0x030608a7, 0x3f0c230c, 0x23112808, 0x03040807,   // no.de.nl_532 ca.sv.af_543  sw.ro.ca_443 no.fi.nl_432 
  0x0f080302, 0x0200031b, 0x64000421, 0x0f006b12,   // nl.no.lv_222 nl.da.un_770  fi.lg.un_860 ceb.lv.un_640 
  0x3f0307a4, 0x53001608, 0x25060405, 0x171b30a9,   // it.nl.af_433 hr.ht.un_430  fi.de.eu_333 uz.tr.sr_544 
  // [91e0]
  0x2d162007, 0x31303da9, 0x530d2809, 0x3100080c,   // sq.hr.sk_432 ku.uz.az_544  sw.cs.ht_444 no.az.un_530 
  0x1700561b, 0x2f0c0204, 0x3d2a0912, 0x180627ec,   // mg.sr.un_770 da.sv.su_332  pl.mt.ku_654 gd.de.ga_644 
  0x110f10a4, 0x03001802, 0x2300060d, 0x2a313011,   // lt.lv.ro_433 ga.nl.un_220  de.ca.un_540 uz.az.mt_653 
  0x0c3156a0, 0x06371304, 0x05010708, 0x0e1b310b,   // mg.az.sv_322 et.st.de_332  it.en.fr_443 az.tr.is_542 
  // [91f0]
  0x0607030e, 0x081306a4, 0x05000621, 0x040708a6,   // nl.it.de_555 de.et.no_433  de.fr.un_860 uk.bg.ru_521 
  0x641304ad, 0x1a64040c, 0x3f0603a9, 0x03082508,   // fi.et.lg_643 fi.lg.tl_543  nl.de.af_544 eu.no.nl_443 
  0x1e370e04, 0x25190bec, 0x13080e07, 0x13000821,   // is.st.ms_332 es.gl.eu_644  is.no.et_432 no.et.un_860 
  0x06173da4, 0x06000819, 0x1c2120ad, 0x1b133207,   // ku.sr.de_433 no.de.un_750  sq.jw.id_643 bs.et.tr_432 
  // [9200]
  0x04001902, 0x08060302, 0x53201ea0, 0x08130412,   // gl.fi.un_220 nl.de.no_222  ms.sq.ht_322 fi.et.no_654 
  0x13170855, 0x08130e12, 0x311b5502, 0x0c00082b,   // no.sr.et_442 is.et.no_654  rw.tr.az_222 no.sv.un_980 
  0x2300081a, 0x170a04ee, 0x040811ec, 0x1c06370b,   // uk.ky.un_760 ru.mk.sr_422  ro.uk.ru_644 st.de.id_542 
  0x20561aee, 0x1e0e0607, 0x08130c11, 0x27161ba0,   // tl.mg.sq_422 de.is.ms_432  sv.et.no_653 tr.hr.gd_322 
  // [9210]
  0x08001312, 0x733708a0, 0x3500302a, 0x060e1ea9,   // et.no.un_640 no.st.ny_322  uz.tg.un_970 ms.is.de_544 
  0x0100050c, 0x0e130405, 0x180105ee, 0x05182bad,   // fr.en.un_530 fi.et.is_333  fr.en.ga_422 vi.ga.fr_643 
  0x2f0a1aa4, 0x530c08ad, 0x2f1813ee, 0x0a0f110c,   // tl.pt.su_433 no.sv.ht_643  et.ga.su_422 ro.lv.pt_543 
  0x0a3f110c, 0x0a251155, 0x11080aa7, 0x10123fa4,   // ro.af.pt_543 ro.eu.pt_442  pt.no.ro_532 af.hu.lt_433 
  // [9220]
  0x0a001207, 0x11000f08, 0x08230a02, 0x0900160d,   // hu.pt.un_420 lv.ro.un_430  mk.ky.uk_222 hr.pl.un_540 
  0x6e0105a7, 0x10122508, 0x20000a04, 0x0a3f060c,   // fr.en.hmn_532 eu.hu.lt_443  pt.sq.un_320 de.af.pt_543 
  0x0f0a11a4, 0x64006b02, 0x0f6b100c, 0x12001008,   // ro.pt.lv_433 ceb.lg.un_220  lt.ceb.lv_543 lt.hu.un_430 
  0x07301704, 0x353023a7, 0x180227ec, 0x19110a5a,   // sr.uz.bg_332 ky.uz.tg_532  gd.da.ga_644 pt.ro.gl_553 
  // [9230]
  0x100f11a4, 0x03006411, 0x0c203f55, 0x120f11a4,   // ro.lv.lt_433 lg.nl.un_630  af.sq.sv_442 ro.lv.hu_433 
  0x10040aee, 0x071211a4, 0x20090805, 0x10072a07,   // mk.ru.be_422 ro.hu.it_433  no.pl.sq_333 mt.it.lt_432 
  0x0a231708, 0x08230ca0, 0x08120ead, 0x0a1105ec,   // sr.ky.mk_443 sv.ca.no_322  is.hu.no_643 fr.ro.pt_644 
  0x3f2a0908, 0x32005604, 0x31000802, 0x13120411,   // pl.mt.af_443 mg.bs.un_320  no.az.un_220 fi.hu.et_653 
  // [9240]
  0x08000c23, 0x2a190a0d, 0x3f030f07, 0x08002a1b,   // sv.no.un_880 pt.gl.mt_554  lv.nl.af_432 mt.no.un_770 
  0x070425a4, 0x17000c19, 0x10044411, 0x73000a0c,   // eu.fi.it_433 sv.sr.un_750  kk.ru.be_653 pt.ny.un_530 
  0x6b1a0404, 0x25030607, 0x2a000305, 0x1a6b3107,   // fi.tl.ceb_332 de.nl.eu_432  nl.mt.un_330 az.ceb.tl_432 
  0x0b190a0c, 0x0c080304, 0x0200121a, 0x08002012,   // pt.gl.es_543 nl.no.sv_332  hu.da.un_760 sq.no.un_640 
  // [9250]
  0x12030655, 0x6b0130a0, 0x55001112, 0x09002918,   // de.nl.hu_442 uz.en.ceb_322  ro.rw.un_640 sl.pl.un_740 
  0x640c37a9, 0x0e2d12a7, 0x04001020, 0x3f2a0607,   // st.sv.lg_544 hu.sk.is_532  be.ru.un_850 de.mt.af_432 
  0x033d2507, 0x1c12040c, 0x12002b04, 0x06002502,   // eu.ku.nl_432 fi.hu.id_543  vi.hu.un_320 eu.de.un_220 
  0x0c030207, 0x530501a0, 0x032506a4, 0x04006404,   // da.nl.sv_432 en.fr.ht_322  de.eu.nl_433 lg.fi.un_320 
  // [9260]
  0x061e1b0d, 0x033f0c55, 0x3000061a, 0x090d04ad,   // tr.ms.de_554 sv.af.nl_442  de.uz.un_760 fi.cs.pl_643 
  0x55100cee, 0x731a1ea9, 0x37736408, 0x090c04ee,   // sv.lt.rw_422 ms.tl.ny_544  lg.ny.st_443 fi.sv.pl_422 
  0x28183fee, 0x1000070e, 0x1a007321, 0x04020c04,   // af.ga.sw_422 bg.be.un_550  ny.tl.un_860 sv.da.fi_332 
  0x032a0cec, 0x08136407, 0x73006b1b, 0x286473ac,   // sv.mt.nl_644 lg.et.no_432  ceb.ny.un_770 ny.lg.sw_632 
  // [9270]
  0x256473a9, 0x212513ec, 0x110a04a4, 0x19130ba7,   // ny.lg.eu_544 et.eu.jw_644  ru.mk.ro_433 es.et.gl_532 
  0x12732508, 0x11000a0d, 0x0f1a56ad, 0x08002708,   // eu.ny.hu_443 pt.ro.un_540  mg.tl.lv_643 gd.no.un_430 
  0x27112312, 0x07100408, 0x1173640c, 0x2a7364a4,   // ca.ro.gd_654 ru.be.bg_443  lg.ny.ro_543 lg.ny.mt_433 
  0x1b002007, 0x0f080ca0, 0x30005607, 0x55003122,   // sq.tr.un_420 sv.no.lv_322  mg.uz.un_420 az.rw.un_870 
  // [9280]
  0x12180ea9, 0x09002008, 0x0400072a, 0x09005621,   // is.ga.hu_544 sq.pl.un_430  bg.ru.un_970 mg.pl.un_860 
  0x170a3005, 0x110a0fa7, 0x53006412, 0x2528110c,   // uz.mk.sr_333 lv.pt.ro_532  lg.ht.un_640 ro.sw.eu_543 
  0x085523a0, 0x1b1131a4, 0x11252812, 0x0b2511a9,   // ca.rw.no_322 az.ro.tr_433  sw.eu.ro_654 ro.eu.es_544 
  0x190906ee, 0x3d5301a4, 0x042513a4, 0x25042812,   // de.pl.gl_422 en.ht.ku_433  et.eu.fi_433 sw.fi.eu_654 
  // [9290]
  0x2500281a, 0x0d1125a9, 0x1135080d, 0x036413a4,   // sw.eu.un_760 eu.ro.cs_544  uk.tg.ro_554 et.lg.nl_433 
  0x1e251107, 0x030113a9, 0x252811a9, 0x05002d0d,   // ro.eu.ms_432 et.en.nl_544  ro.sw.eu_544 sk.fr.un_540 
  0x643f0312, 0x112825a7, 0x1a000120, 0x076b11a6,   // nl.af.lg_654 eu.sw.ro_532  en.tl.un_850 ro.ceb.it_521 
  0x3f031312, 0x031364a9, 0x121021a0, 0x28250d0c,   // et.nl.af_654 lg.et.nl_544  jw.lt.hu_322 cs.eu.sw_543 
  // [92a0]
  0x043237ee, 0x10370f07, 0x28251160, 0x043023a4,   // st.bs.fi_422 lv.st.lt_432  ro.eu.sw_664 ky.uz.ru_433 
  0x2f2511ad, 0x32006405, 0x231637a0, 0x23132a0c,   // ro.eu.su_643 lg.bs.un_330  st.hr.ca_322 mt.et.ca_543 
  0x1923530d, 0x3f0364ec, 0x25031308, 0x070a30af,   // ht.ca.gl_554 lg.nl.af_644  et.nl.eu_443 uz.mk.bg_655 
  0x3f0e0204, 0x6403130d, 0x130364a9, 0x3004070c,   // da.is.af_332 et.nl.lg_554  lg.nl.et_544 bg.ru.uz_543 
  // [92b0]
  0x03136412, 0x17290307, 0x0a120105, 0x2300010c,   // lg.et.nl_654 nl.sl.sr_432  en.hu.pt_333 en.ca.un_530 
  0x6b000112, 0x1a211207, 0x1a292f0c, 0x10040cee,   // en.ceb.un_640 hu.jw.tl_432  su.sl.tl_543 sv.fi.lt_422 
  0x31291bee, 0x0700640d, 0x0a1711ad, 0x55121007,   // tr.sl.az_422 lg.it.un_540  ro.sr.mk_643 lt.hu.rw_432 
  0x2a001307, 0x17200dee, 0x0a4407af, 0x30212807,   // et.mt.un_420 cs.sq.sr_422  bg.kk.mk_655 sw.jw.uz_432 
  // [92c0]
  0x6e2301ad, 0x3213730b, 0x0c371312, 0x2a006b21,   // en.ca.hmn_643 ny.et.bs_542  et.st.sv_654 ceb.mt.un_860 
  0x1c0310a7, 0x097337a4, 0x6e190bad, 0x0e006b07,   // lt.nl.id_532 st.ny.pl_433  es.gl.hmn_643 ceb.is.un_420 
  0x13002319, 0x301806a7, 0x1000121a, 0x04102a11,   // ca.et.un_750 de.ga.uz_532  hu.lt.un_760 mt.lt.fi_653 
  0x11292d07, 0x32051ea4, 0x37301faf, 0x05236eec,   // sk.sl.ro_432 ms.fr.bs_433  cy.uz.st_655 hmn.ca.fr_644 
  // [92d0]
  0x21553da9, 0x063f090c, 0x190a06af, 0x55002d07,   // ku.rw.jw_544 pl.af.de_543  de.pt.gl_655 sk.rw.un_420 
  0x2700130e, 0x276e5308, 0x09000f14, 0x1b1a6b09,   // et.gd.un_550 ht.hmn.gd_443  lv.pl.un_660 ceb.tl.tr_444 
  0x212f0f07, 0x0e130f0c, 0x302d73ad, 0x1f070da9,   // lv.su.jw_432 lv.et.is_543  ny.sk.uz_643 cs.it.cy_544 
  0x1b316eec, 0x643073ad, 0x27000707, 0x06090faf,   // hmn.az.tr_644 ny.uz.lg_643  it.gd.un_420 lv.pl.de_655 
  // [92e0]
  0x190a130c, 0x1f002514, 0x21131ca0, 0x301228ad,   // et.pt.gl_543 eu.cy.un_660  id.et.jw_322 sw.hu.uz_643 
  0x0f2f1108, 0x10200511, 0x0e561f08, 0x6e003d1a,   // ro.su.lv_443 fr.sq.lt_653  cy.mg.is_443 ku.hmn.un_760 
  0x37003011, 0x3f040704, 0x0600012a, 0x04190b0c,   // uz.st.un_630 it.fi.af_332  en.de.un_970 es.gl.fi_543 
  0x1f051107, 0x282173ec, 0x0f2a6e14, 0x07000f21,   // ro.fr.cy_432 ny.jw.sw_644  hmn.mt.lv_666 lv.it.un_860 
  // [92f0]
  0x04136ba7, 0x04292f04, 0x04002d12, 0x0c251a02,   // ceb.et.fi_532 su.sl.fi_332  sk.fi.un_640 tl.eu.sv_222 
  0x6b00090d, 0x2f1f2aa0, 0x10190bec, 0x3004080b,   // pl.ceb.un_540 mt.cy.su_322  es.gl.lt_644 uk.ru.uz_542 
  0x06003104, 0x1a190ba7, 0x1f1b0eec, 0x20312aee,   // az.de.un_320 es.gl.tl_532  is.tr.cy_644 mt.az.sq_422 
  0x0c0e08a9, 0x6b1a0b0d, 0x12000e22, 0x1a000107,   // no.is.sv_544 es.tl.ceb_554  is.hu.un_870 en.tl.un_420 
  // [9300]
  0x0813040b, 0x09001f1a, 0x0c086b09, 0x061b30ec,   // fi.et.no_542 cy.pl.un_760  ceb.no.sv_444 uz.tr.de_644 
  0x03011f07, 0x19052304, 0x081735a0, 0x2d00090c,   // cy.en.nl_432 ca.fr.gl_332  tg.sr.uk_322 pl.sk.un_530 
  0x0d2d09a7, 0x281301ee, 0x0413730c, 0x092d1007,   // pl.sk.cs_532 en.et.sw_422  ny.et.fi_543 lt.sk.pl_432 
  0x18000519, 0x10080c04, 0x2f006e12, 0x08070c09,   // fr.ga.un_750 sv.no.lt_332  hmn.su.un_640 sv.it.no_444 
  // [9310]
  0x56001011, 0x0a1107af, 0x180a5604, 0x09292507,   // lt.mg.un_630 bg.ro.mk_655  mg.pt.ga_332 eu.sl.pl_432 
  0x1b2d0d09, 0x04101107, 0x4423300e, 0x100a2d05,   // cs.sk.tr_444 ro.be.ru_432  uz.ky.kk_555 sk.pt.lt_333 
  0x3f1c1aa0, 0x23000719, 0x2f530107, 0x311b010c,   // tl.id.af_322 it.ca.un_750  en.ht.su_432 en.tr.az_543 
  0x301b0412, 0x201105a0, 0x10560aa0, 0x182d6e02,   // fi.tr.uz_654 fr.ro.sq_322  pt.mg.lt_322 hmn.sk.ga_222 
  // [9320]
  0x31000e04, 0x56100aa4, 0x303f3702, 0x1831250c,   // is.az.un_320 pt.lt.mg_433  st.af.uz_222 eu.az.ga_543 
  0x561810ec, 0x2a001a07, 0x19000204, 0x18251fac,   // lt.ga.mg_644 tl.mt.un_420  da.gl.un_320 cy.eu.ga_632 
  0x07292da4, 0x3530040c, 0x3f2a07a0, 0x3d002508,   // sk.sl.it_433 ru.uz.tg_543  it.mt.af_322 eu.ku.un_430 
  0x09132aa4, 0x44230460, 0x12001f02, 0x0f180a04,   // mt.et.pl_433 ru.ky.kk_664  cy.hu.un_220 pt.ga.lv_332 
  // [9330]
  0x12003d07, 0x232a01a4, 0x3f2f53a0, 0x440a17a7,   // ku.hu.un_420 en.mt.ca_433  ht.su.af_322 sr.mk.kk_532 
  0x2500531a, 0x122a53a9, 0x212f050d, 0x080a0414,   // ht.eu.un_760 ht.mt.hu_544  fr.su.jw_554 ru.mk.uk_666 
  0x052312ee, 0x0a2301a4, 0x100711a0, 0x350a11a0,   // hu.ca.fr_422 en.ca.pt_433  ro.bg.be_322 ro.mk.tg_322 
  0x11112312, 0x0d002104, 0x03171604, 0x08351002,   // ky.ro.ro_654 jw.cs.un_320  hr.sr.nl_332 be.tg.uk_222 
  // [9340]
  0x021208a0, 0x1c2b73ee, 0x73001218, 0x0807300c,   // no.hu.da_322 ny.vi.id_422  hu.ny.un_740 uz.bg.uk_543 
  0x252a0708, 0x2b000104, 0x23443502, 0x10070a07,   // it.mt.eu_443 en.vi.un_320  tg.kk.ky_222 mk.bg.be_432 
  0x1e000608, 0x081302a0, 0x0a0407ee, 0x290e1bee,   // de.ms.un_430 da.et.no_322  bg.ru.mk_422 tr.is.sl_422 
  0x1f000c04, 0x0c083fa4, 0x2b2d10ee, 0x13001002,   // sv.cy.un_320 af.no.sv_433  lt.sk.vi_422 lt.et.un_220 
  // [9350]
  0x1a003204, 0x111c2804, 0x122d0e05, 0x19280e0c,   // bs.tl.un_320 sw.id.ro_332  is.sk.hu_333 is.sw.gl_543 
  0x301f3da0, 0x291632a7, 0x322d2aee, 0x0e000819,   // ku.cy.uz_322 bs.hr.sl_532  mt.sk.bs_422 no.is.un_750 
  0x44003005, 0x173530ad, 0x0a001919, 0x1c006407,   // uz.kk.un_330 uz.tg.sr_643  gl.pt.un_750 lg.id.un_420 
  0x0c041211, 0x3f2a010c, 0x04000618, 0x043230a7,   // hu.fi.sv_653 en.mt.af_543  de.fi.un_740 uz.bs.fi_532 
  // [9360]
  0x0c001213, 0x060e1304, 0x1e3d1b08, 0x0e001b21,   // hu.sv.un_650 et.is.de_332  tr.ku.ms_443 tr.is.un_860 
  0x0f001304, 0x02005307, 0x30130407, 0x29005304,   // et.lv.un_320 ht.da.un_420  fi.et.uz_432 ht.sl.un_320 
  0x061e1c0d, 0x111f0e0c, 0x0a073012, 0x072a1f55,   // id.ms.de_554 is.cy.ro_543  uz.bg.mk_654 cy.mt.it_442 
  0x2a1119a4, 0x19311ba4, 0x29000e12, 0x022f21ee,   // gl.ro.mt_433 tr.az.gl_433  is.sl.un_640 jw.su.da_422 
  // [9370]
  0x25131fee, 0x301b3112, 0x182730ad, 0x0e00060c,   // cy.et.eu_422 az.tr.uz_654  uz.gd.ga_643 de.is.un_530 
  0x73002a1a, 0x04120c0c, 0x3d001e08, 0x211c1eec,   // mt.ny.un_760 sv.hu.fi_543  ms.ku.un_430 ms.id.jw_644 
  0x2a0413a4, 0x1e006b08, 0x0f000304, 0x2a080c07,   // et.fi.mt_433 ceb.ms.un_430  nl.lv.un_320 sv.no.mt_432 
  0x06003f0c, 0x040a300c, 0x110755ec, 0x25000923,   // af.de.un_530 uz.pt.fi_543  rw.it.ro_644 pl.eu.un_880 
  // [9380]
  0x1a6b01af, 0x6b3128ad, 0x3d6b1a0d, 0x30000c05,   // en.ceb.tl_655 sw.az.ceb_643  tl.ceb.ku_554 sv.uz.un_330 
  0x2d1f0dad, 0x0e003f08, 0x64551a0d, 0x1b00210c,   // cs.cy.sk_643 af.is.un_430  tl.rw.lg_554 jw.tr.un_530 
  0x1b002509, 0x56000d12, 0x1b113d0c, 0x23190a11,   // eu.tr.un_440 cs.mg.un_640  ku.ro.tr_543 pt.gl.ca_653 
  0x0d180604, 0x64005509, 0x23080a07, 0x1144110c,   // de.ga.cs_332 rw.lg.un_440  mk.uk.ky_432 ro.kk.ro_543 
  // [9390]
  0x1b563d08, 0x0c002a0e, 0x1a211c0b, 0x27005605,   // ku.mg.tr_443 mt.sv.un_550  id.jw.tl_542 mg.gd.un_330 
  0x6b1a01a9, 0x2718200c, 0x0456300c, 0x2830200b,   // en.tl.ceb_544 sq.ga.gd_543  uz.mg.fi_543 sq.uz.sw_542 
  0x201b09a9, 0x3f2f03af, 0x5500200b, 0x3f052f07,   // pl.tr.sq_544 nl.su.af_655  sq.rw.un_520 su.fr.af_432 
  0x0e131b09, 0x0e00731a, 0x1f006b02, 0x3f2f050d,   // tr.et.is_444 ny.is.un_760  ceb.cy.un_220 fr.su.af_554 
  // [93a0]
  0x070f1312, 0x10073008, 0x2f3f0313, 0x05112f08,   // et.lv.it_654 uz.bg.be_443  nl.af.su_665 su.ro.fr_443 
  0x0d2f19ee, 0x08133002, 0x13252aad, 0x640e07ec,   // gl.su.cs_422 uz.et.no_222  mt.eu.et_643 it.is.lg_644 
  0x6b00130d, 0x0a1711a7, 0x2300050d, 0x05531904,   // et.ceb.un_540 ro.sr.mk_532  fr.ca.un_540 gl.ht.fr_332 
  0x3f2f0508, 0x1f002b10, 0x05042fa4, 0x301b73a4,   // fr.su.af_443 vi.cy.un_620  su.fi.fr_433 ny.tr.uz_433 
  // [93b0]
  0x1c0d09a0, 0x11130f08, 0x0a162804, 0x1004080e,   // hi.ne.mr_322 lv.et.ro_443  sw.hr.pt_332 uk.ru.be_555 
  0x070a0404, 0x1c007307, 0x0e080ca9, 0x30170a11,   // ru.mk.bg_332 ny.id.un_420  sv.no.is_544 mk.sr.uz_653 
  0x56002812, 0x2a0701a4, 0x73642814, 0x092d1607,   // sw.mg.un_640 en.it.mt_433  sw.lg.ny_666 hr.sk.pl_432 
  0x0f071007, 0x2f0c1307, 0x132a0755, 0x0900290b,   // lt.it.lv_432 et.sv.su_432  it.mt.et_442 sl.pl.un_520 
  // [93c0]
  0x731e37a9, 0x01003f07, 0x30112311, 0x2d045304,   // st.ms.ny_544 af.en.un_420  ky.ro.uz_653 ht.fi.sk_332 
  0x28101307, 0x0c0e3d09, 0x03005504, 0x122118a0,   // et.lt.sw_432 ku.is.sv_444  rw.nl.un_320 ar.fa.ur_322 
  0x3f020ca0, 0x0c000508, 0x6473280c, 0x311a06a6,   // sv.da.af_322 fr.sv.un_430  sw.ny.lg_543 de.tl.az_521 
  0x08001719, 0x21552fee, 0x020c0811, 0x031c01a4,   // sr.uk.un_750 su.rw.jw_422  no.sv.da_653 en.id.nl_433 
  // [93d0]
  0x28002508, 0x272f0b07, 0x0b6b55a4, 0x11001319,   // eu.sw.un_430 es.su.gd_432  rw.ceb.es_433 et.ro.un_750 
  0x0e001208, 0x4410235a, 0x252718ad, 0x0f250302,   // hu.is.un_430 ky.be.kk_553  ga.gd.eu_643 nl.eu.lv_222 
  0x292820a7, 0x1200051a, 0x2800070c, 0x300106ee,   // sq.sw.sl_532 fr.hu.un_760  it.sw.un_530 de.en.uz_422 
  0x2f0105ee, 0x080430a9, 0x2006010c, 0x313d29a7,   // fr.en.su_422 uz.ru.uk_544  en.de.sq_543 sl.ku.az_532 
  // [93e0]
  0x02002f33, 0x2d0f0dec, 0x1200091b, 0x5500061a,   // su.da.un_A70 cs.lv.sk_644  pl.hu.un_770 de.rw.un_760 
  0x2f20130c, 0x1300300d, 0x0b00050c, 0x28000209,   // et.sq.su_543 uz.et.un_540  fr.es.un_530 da.sw.un_440 
  0x23070a02, 0x05000d08, 0x1708230d, 0x0c313008,   // mk.bg.ky_222 cs.fr.un_430  ky.uk.sr_554 uz.az.sv_443 
  0x5304130b, 0x172d0da4, 0x1b190b0c, 0x01300aee,   // et.fi.ht_542 cs.sk.sr_433  es.gl.tr_543 pt.uz.en_422 
  // [93f0]
  0x010356ee, 0x17212fad, 0x285564a6, 0x32236e0c,   // mg.nl.en_422 su.jw.sr_643  lg.rw.sw_521 hmn.ca.bs_543 
  0x01370a0b, 0x0a092708, 0x2d0d1609, 0x01007302,   // pt.st.en_542 gd.pl.pt_443  hr.cs.sk_444 ny.en.un_220 
  0x1b00230b, 0x0a000c05, 0x07040a5a, 0x2d0f17a9,   // ca.tr.un_520 sv.pt.un_330  mk.ru.bg_553 sr.lv.sk_544 
  0x0c0864a9, 0x1200090b, 0x05010607, 0x0804105a,   // lg.no.sv_544 pl.hu.un_520  de.en.fr_432 be.ru.uk_553 
  
  // [9400]
  0x02016404, 0x321711ee, 0x53300907, 0x552d0907,   // lg.en.da_332 ro.sr.bs_422  pl.uz.ht_432 pl.sk.rw_432 
  0x190b55ee, 0x172311ee, 0x10002d0e, 0x10040a08,   // rw.es.gl_422 ro.ky.sr_422  sk.lt.un_550 mk.ru.be_443 
  0x0412080b, 0x2300110c, 0x1b0601a0, 0x25211004,   // no.hu.fi_542 ro.ky.un_530  en.de.tr_322 lt.jw.eu_332 
  0x0a00310c, 0x19006b04, 0x210a7302, 0x31101b0e,   // az.pt.un_530 ceb.gl.un_320  ny.pt.jw_222 tr.lt.az_555 
  // [9410]
  0x35002320, 0x02000504, 0x32000905, 0x6b003021,   // ky.tg.un_850 fr.da.un_320  pl.bs.un_330 uz.ceb.un_860 
  0x0813300c, 0x641318a6, 0x3f080204, 0x1b253011,   // uz.et.no_543 ga.et.lg_521  da.no.af_332 uz.eu.tr_653 
  0x18000e19, 0x30092904, 0x170930ee, 0x0f0713a4,   // is.ga.un_750 sl.pl.uz_332  uz.pl.sr_422 et.it.lv_433 
  0x640c1c07, 0x301020a7, 0x03003d0e, 0x170f2da7,   // id.sv.lg_432 sq.lt.uz_532  ku.nl.un_550 sk.lv.sr_532 
  // [9420]
  0x100817a4, 0x0802070c, 0x6b7328a9, 0x2d0d295a,   // sr.uk.be_433 it.da.no_543  sw.ny.ceb_544 sl.cs.sk_553 
  0x2d0d2b02, 0x16733011, 0x17080707, 0x0c103013,   // vi.cs.sk_222 uz.ny.hr_653  bg.uk.sr_432 uz.lt.sv_665 
  0x30002519, 0x135673ee, 0x1900300c, 0x28041a09,   // eu.uz.un_750 ny.mg.et_422  uz.gl.un_530 tl.fi.sw_444 
  0x1b003019, 0x55132aa0, 0x566b37a0, 0x0f1011ec,   // uz.tr.un_750 mt.et.rw_322  st.ceb.mg_322 ro.lt.lv_644 
  // [9430]
  0x73003d13, 0x1a003007, 0x07081704, 0x05002802,   // ku.ny.un_650 uz.tl.un_420  sr.uk.bg_332 sw.fr.un_220 
  0x05230a04, 0x1a0e1ca4, 0x20251c07, 0x020306a4,   // pt.ca.fr_332 id.is.tl_433  id.eu.sq_432 de.nl.da_433 
  0x07041013, 0x1f002718, 0x04170aaf, 0x44100a13,   // be.ru.bg_665 gd.cy.un_740  mk.sr.ru_655 mk.be.kk_665 
  0x6b001318, 0x062f1ea0, 0x352308a7, 0x060401a4,   // et.ceb.un_740 ms.su.de_322  uk.ky.tg_532 en.fi.de_433 
  // [9440]
  0x1300302b, 0x552164a4, 0x2d0302a4, 0x3200160b,   // uz.et.un_980 lg.jw.rw_433  da.nl.sk_433 hr.bs.un_520 
  0x0a0744a4, 0x1c371e07, 0x28171608, 0x25010c0c,   // kk.bg.mk_433 ms.st.id_432  hr.sr.sw_443 sv.en.eu_543 
  0x1c213002, 0x01021aa7, 0x182725a6, 0x44070413,   // uz.jw.id_222 tl.da.en_532  eu.gd.ga_521 ru.bg.kk_665 
  0x21113712, 0x0e3f0612, 0x3035070c, 0x2b3f03ad,   // st.ro.jw_654 de.af.is_654  bg.tg.uz_543 nl.af.vi_643 
  // [9450]
  0x251a10a4, 0x100807ec, 0x2f3012a9, 0x10000808,   // lt.tl.eu_433 bg.uk.be_644  hu.uz.su_544 uk.be.un_430 
  0x25007321, 0x30556407, 0x1a003002, 0x6b301304,   // ny.eu.un_860 lg.rw.uz_432  uz.tl.un_220 et.uz.ceb_332 
  0x072f3007, 0x21072fa0, 0x04002112, 0x0413730d,   // uz.su.it_432 su.it.jw_322  jw.fi.un_640 ny.et.fi_554 
  0x2b003f02, 0x6b1a180c, 0x05190eee, 0x0b0a13a0,   // af.vi.un_220 ga.tl.ceb_543  is.gl.fr_422 et.pt.es_322 
  // [9460]
  0x06002a08, 0x211812a0, 0x2a051faf, 0x08000a0c,   // mt.de.un_430 ur.ar.fa_322  cy.fr.mt_655 mk.uk.un_530 
  0x0e0a1107, 0x31002320, 0x12003008, 0x173023ee,   // ro.pt.is_432 ca.az.un_850  uz.hu.un_430 ky.uz.sr_422 
  0x0100130d, 0x03070607, 0x10000409, 0x131201a7,   // et.en.un_540 de.it.nl_432  ru.be.un_440 en.hu.et_532 
  0x1355010c, 0x53003f04, 0x552d01a7, 0x292025ac,   // en.rw.et_543 af.ht.un_320  en.sk.rw_532 eu.sq.sl_632 
  // [9470]
  0x2d002107, 0x2d0e0c02, 0x210d2d0b, 0x30312508,   // jw.sk.un_420 sv.is.sk_222  sk.cs.jw_542 eu.az.uz_443 
  0x111b31a0, 0x2b1801ee, 0x3d003121, 0x2d081aa0,   // az.tr.ro_322 en.ga.vi_422  az.ku.un_860 tl.no.sk_322 
  0x28130404, 0x290f30a0, 0x102d29ee, 0x0e000814,   // fi.et.sw_332 uz.lv.sl_322  sl.sk.lt_422 no.is.un_660 
  0x05013fa0, 0x0d252dad, 0x04001f02, 0x30191302,   // af.en.fr_322 sk.eu.cs_643  cy.fi.un_220 et.gl.uz_222 
  // [9480]
  0x051304a7, 0x08000c2c, 0x3f2901a4, 0x0e003207,   // fi.et.fr_532 sv.no.un_990  en.sl.af_433 bs.is.un_420 
  0x073517a4, 0x13003013, 0x551f08a7, 0x08005505,   // sr.tg.bg_433 uz.et.un_650  no.cy.rw_532 rw.no.un_330 
  0x2d005308, 0x30000813, 0x21080204, 0x0c001908,   // ht.sk.un_430 uk.uz.un_650  da.no.jw_332 gl.sv.un_430 
  0x17080255, 0x250b1055, 0x313d2a07, 0x56001012,   // da.no.sr_442 lt.es.eu_442  mt.ku.az_432 lt.mg.un_640 
  // [9490]
  0x6b033f09, 0x2f001012, 0x2f001013, 0x311b20a7,   // af.nl.ceb_444 lt.su.un_640  lt.su.un_650 sq.tr.az_532 
  0x3f103704, 0x100223ec, 0x640328ad, 0x130c10a0,   // st.lt.af_332 ca.da.lt_644  sw.nl.lg_643 lt.sv.et_322 
  0x55080205, 0x010e3fa7, 0x2a11180c, 0x0c0855a9,   // da.no.rw_333 af.is.en_532  ga.ro.mt_543 rw.no.sv_544 
  0x0f001707, 0x180c0808, 0x12032309, 0x1300640d,   // sr.lv.un_420 no.sv.ga_443  ca.nl.hu_444 lg.et.un_540 
  // [94a0]
  0x122318ad, 0x192d0d04, 0x10002012, 0x2b00010c,   // ga.ca.hu_643 cs.sk.gl_332  sq.lt.un_640 en.vi.un_530 
  0x0a001019, 0x0b28100c, 0x21002909, 0x1011120c,   // lt.pt.un_750 lt.sw.es_543  sl.jw.un_440 hu.ro.lt_543 
  0x5600121a, 0x050823a6, 0x111607a0, 0x182155ee,   // hu.mg.un_760 ca.no.fr_521  it.hr.ro_322 rw.jw.ga_422 
  0x03002304, 0x6b205608, 0x2f1e1ca9, 0x1e3f1ca4,   // ca.nl.un_320 mg.sq.ceb_443  id.ms.su_544 id.af.ms_433 
  // [94b0]
  0x231e1c07, 0x2a000c12, 0x1a04130d, 0x2700561a,   // id.ms.ca_432 sv.mt.un_640  et.fi.tl_554 mg.gd.un_760 
  0x072b6b0d, 0x0a1744a4, 0x55001207, 0x2d002814,   // ceb.vi.it_554 kk.sr.mk_433  hu.rw.un_420 sw.sk.un_660 
  0x0b005509, 0x211c530c, 0x2f216ba0, 0x73182709,   // rw.es.un_440 ht.id.jw_543  ceb.jw.su_322 gd.ga.ny_444 
  0x2900110c, 0x230411a7, 0x322d0908, 0x56001a04,   // ro.sl.un_530 ro.ru.ky_532  pl.sk.bs_443 tl.mg.un_320 
  // [94c0]
  0x27091809, 0x0a005613, 0x301b2a12, 0x100a0507,   // ga.pl.gd_444 mg.pt.un_650  mt.tr.uz_654 fr.pt.lt_432 
  0x1105070d, 0x18000921, 0x0f202fa4, 0x10001c1a,   // it.fr.ro_554 pl.ga.un_860  su.sq.lv_433 id.lt.un_760 
  0x17290fa9, 0x303d2aa7, 0x1100310d, 0x0e040f0c,   // lv.sl.sr_544 mt.ku.uz_532  az.ro.un_540 lv.fi.is_543 
  0x202a0e0c, 0x2f212aee, 0x272111a4, 0x32100f08,   // is.mt.sq_543 mt.jw.su_422  ro.jw.gd_433 lv.lt.bs_443 
  // [94d0]
  0x73210107, 0x070b23a9, 0x08073009, 0x110a0713,   // en.jw.ny_432 ca.es.it_544  uz.bg.uk_444 bg.mk.ro_665 
  0x0f100c08, 0x04001122, 0x0d001c2a, 0x3f1a1007,   // sv.lt.lv_443 ro.fi.un_870  mr.ne.un_970 lt.tl.af_432 
  0x1a6b0108, 0x182b0e0d, 0x1c0e1ea4, 0x080e090c,   // en.ceb.tl_443 is.vi.ga_554  ms.is.id_433 pl.is.no_543 
  0x2b0b1812, 0x23182bad, 0x2f003d0d, 0x32091e0b,   // ga.es.vi_654 vi.ga.ca_643  ku.su.un_540 ms.pl.bs_542 
  // [94e0]
  0x0d00182a, 0x100d0412, 0x110e0c0d, 0x1e1c0a05,   // ga.cs.un_970 fi.cs.lt_654  sv.is.ro_554 pt.id.ms_333 
  0x06020ca0, 0x19000a1a, 0x2b001823, 0x0d002919,   // sv.da.de_322 pt.gl.un_760  ga.vi.un_880 sl.cs.un_750 
  0x10174408, 0x2b001804, 0x1c323d07, 0x23180e05,   // kk.sr.be_443 ga.vi.un_320  ku.bs.id_432 is.ga.ca_333 
  0x2b000e04, 0x091b5307, 0x1c2156ee, 0x041023a7,   // is.vi.un_320 ht.tr.pl_432  mg.jw.id_422 ky.be.ru_532 
  // [94f0]
  0x1b3d5304, 0x64000705, 0x09251b07, 0x1c313da7,   // ht.ku.tr_332 it.lg.un_330  tr.eu.pl_432 ku.az.id_532 
  0x31190a60, 0x12642aad, 0x3f0410a0, 0x1e1c0909,   // pt.gl.az_664 mt.lg.hu_643  lt.fi.af_322 pl.id.ms_444 
  0x0b2318af, 0x041b0faf, 0x2a06010c, 0x6b3d1e04,   // ga.ca.es_655 lv.tr.fi_655  en.de.mt_543 ms.ku.ceb_332 
  0x27001f12, 0x0c1e1c5a, 0x09002113, 0x0d002b1a,   // cy.gd.un_640 id.ms.sv_553  jw.pl.un_650 vi.cs.un_760 
  // [9500]
  0x44081007, 0x1f562d0c, 0x2d182b13, 0x0c0610a0,   // be.uk.kk_432 sk.mg.cy_543  vi.ga.sk_665 lt.de.sv_322 
  0x56000121, 0x2a6b29a0, 0x2f1c1aee, 0x07002707,   // en.mg.un_860 sl.ceb.mt_322  tl.id.su_422 gd.it.un_420 
  0x196b01ad, 0x3d731ba7, 0x071023ee, 0x530b5504,   // en.ceb.gl_643 tr.ny.ku_532  ky.be.bg_422 rw.es.ht_332 
  0x2f2128af, 0x531b3da0, 0x0e120c07, 0x0b080c05,   // sw.jw.su_655 ku.tr.ht_322  sv.hu.is_432 sv.no.es_333 
  // [9510]
  0x1b1208a4, 0x2d0c0da4, 0x11121008, 0x29162fee,   // no.hu.tr_433 cs.sv.sk_433  lt.hu.ro_443 su.hr.sl_422 
  0x31005304, 0x28645555, 0x04070aad, 0x29215604,   // ht.az.un_320 rw.lg.sw_442  mk.bg.ru_643 mg.jw.sl_332 
  0x1b53310e, 0x1100550d, 0x2d0d21a4, 0x19110b04,   // az.ht.tr_555 rw.ro.un_540  jw.cs.sk_433 es.ro.gl_332 
  0x11101e11, 0x07300aa4, 0x30040755, 0x233544a0,   // ms.lt.ro_653 mk.uz.bg_433  bg.ru.uz_442 kk.tg.ky_322 
  // [9520]
  0x076411a0, 0x100f1ea9, 0x13091c08, 0x10281ea9,   // ro.lg.it_322 ms.lv.lt_544  mr.hi.bh_443 ms.sw.lt_544 
  0x562f0b04, 0x1f28100e, 0x101e1c60, 0x13732908,   // es.su.mg_332 lt.sw.cy_555  id.ms.lt_664 sl.ny.et_443 
  0x11001b1a, 0x042344a7, 0x19230d04, 0x200f10ad,   // tr.ro.un_760 kk.ky.ru_532  cs.ca.gl_332 lt.lv.sq_643 
  0x0700060b, 0x0f120ca0, 0x2f001207, 0x2a000502,   // de.it.un_520 sv.hu.lv_322  hu.su.un_420 fr.mt.un_220 
  // [9530]
  0x1e1c0aa4, 0x553f28a0, 0x06136ba0, 0x1b10120c,   // pt.id.ms_433 sw.af.rw_322  ceb.et.de_322 hu.lt.tr_543 
  0x28121ea4, 0x25006e07, 0x6b3d73a9, 0x120f10ad,   // ms.hu.sw_433 hmn.eu.un_420  ny.ku.ceb_544 lt.lv.hu_643 
  0x3700640e, 0x03070aa0, 0x28001004, 0x100356a9,   // lg.st.un_550 pt.it.nl_322  lt.sw.un_320 mg.nl.lt_544 
  0x040711a7, 0x2b002007, 0x27002821, 0x0564550e,   // ro.bg.ru_532 sq.vi.un_420  sw.gd.un_860 rw.lg.fr_555 
  // [9540]
  0x1b113dad, 0x2d0f090d, 0x37003204, 0x272a1112,   // ku.ro.tr_643 pl.lv.sk_554  bs.st.un_320 ro.mt.gd_654 
  0x06020c09, 0x0723190d, 0x0c0e08ee, 0x18231ea0,   // sv.da.de_444 gl.ca.it_554  no.is.sv_422 ms.ca.ga_322 
  0x1f0518a7, 0x1f0518ec, 0x27302807, 0x533d0e07,   // ga.fr.cy_532 ga.fr.cy_644  sw.uz.gd_432 is.ku.ht_432 
  0x130d1ca9, 0x30310a02, 0x0e2d0d60, 0x05041fa0,   // mr.ne.bh_544 pt.az.uz_222  cs.sk.is_664 cy.fi.fr_322 
  // [9550]
  0x030625ad, 0x25041ca0, 0x1b3f6ba0, 0x1a0910ee,   // eu.de.nl_643 id.fi.eu_322  ceb.af.tr_322 lt.pl.tl_422 
  0x1b00530c, 0x2317110d, 0x10003f05, 0x01001f0b,   // ht.tr.un_530 ro.sr.ky_554  af.lt.un_330 cy.en.un_520 
  0x53001f12, 0x53002502, 0x1800051a, 0x032b16a0,   // cy.ht.un_640 eu.ht.un_220  fr.ga.un_760 hr.vi.nl_322 
  0x052d0d13, 0x17311bad, 0x3f0313a7, 0x08313d55,   // cs.sk.fr_665 tr.az.sr_643  et.nl.af_532 ku.az.no_442 
  // [9560]
  0x212d0d0e, 0x300653ad, 0x01102da0, 0x023d25ad,   // cs.sk.jw_555 ht.de.uz_643  sk.lt.en_322 eu.ku.da_643 
  0x103f1aa0, 0x1b1a5355, 0x35302304, 0x29203004,   // tl.af.lt_322 ht.tl.tr_442  ky.uz.tg_332 uz.sq.sl_332 
  0x1b1a3007, 0x20033f07, 0x2a1e2104, 0x24000133,   // uz.tl.tr_432 af.nl.sq_432  jw.ms.mt_332 iw.yi.un_A70 
  0x022a0bee, 0x06001014, 0x3200210c, 0x130408af,   // es.mt.da_422 lt.de.un_660  jw.bs.un_530 no.fi.et_655 
  // [9570]
  0x052d0d11, 0x17006e04, 0x533f3007, 0x1e1c2f08,   // cs.sk.fr_653 hmn.sr.un_320  uz.af.ht_432 su.id.ms_443 
  0x53000702, 0x1f372fa4, 0x0f16130c, 0x6b1c1107,   // it.ht.un_220 su.st.cy_433  et.hr.lv_543 ro.id.ceb_432 
  0x32001209, 0x2f210308, 0x1a001c07, 0x01552902,   // hu.bs.un_440 nl.jw.su_443  id.tl.un_420 sl.rw.en_222 
  0x32122904, 0x2000310e, 0x0d0802a0, 0x09002914,   // sl.hu.bs_332 az.sq.un_550  da.no.cs_322 sl.pl.un_660 
  // [9580]
  0x2b033f04, 0x3f3230a4, 0x1300040b, 0x21100ca4,   // af.nl.vi_332 uz.bs.af_433  fi.et.un_520 sv.lt.jw_433 
  0x2f001b1a, 0x0e0b19a7, 0x2400010e, 0x3f003d13,   // tr.su.un_760 gl.es.is_532  iw.yi.un_550 ku.af.un_650 
  0x23003f02, 0x1b2008a0, 0x301723af, 0x041364a0,   // af.ca.un_220 no.sq.tr_322  ky.sr.uz_655 lg.et.fi_322 
  0x0c093008, 0x2d3029ec, 0x306408a7, 0x0e1918a7,   // uz.pl.sv_443 sl.uz.sk_644  no.lg.uz_532 ga.gl.is_532 
  // [9590]
  0x30003f05, 0x13302904, 0x192302a4, 0x0f1710a9,   // af.uz.un_330 sl.uz.et_332  da.ca.gl_433 lt.sr.lv_544 
  0x28041313, 0x272318ee, 0x286b040d, 0x286b0413,   // et.fi.sw_665 ga.ca.gd_422  fi.ceb.sw_554 fi.ceb.sw_665 
  0x1044080d, 0x2800042a, 0x0410350c, 0x0f280412,   // uk.kk.be_554 fi.sw.un_970  tg.be.ru_543 fi.sw.lv_654 
  0x0f1b2804, 0x1c090da7, 0x02006407, 0x173023ec,   // sw.tr.lv_332 ne.hi.mr_532  lg.da.un_420 ky.uz.sr_644 
  // [95a0]
  0x30002821, 0x23351104, 0x192d0d13, 0x0f0428a0,   // sw.uz.un_860 ro.tg.ky_332  cs.sk.gl_665 sw.fi.lv_322 
  0x0b000304, 0x280f6ba0, 0x17100cee, 0x30441107,   // nl.es.un_320 ceb.lv.sw_322  sv.lt.sr_422 ro.kk.uz_432 
  0x371c2504, 0x1800122a, 0x370128a7, 0x033f21a0,   // eu.id.st_332 ur.ar.un_970  sw.en.st_532 jw.af.nl_322 
  0x530f28ac, 0x31000e05, 0x0c00022a, 0x28000421,   // sw.lv.ht_632 is.az.un_330  da.sv.un_970 fi.sw.un_860 
  // [95b0]
  0x32162907, 0x0d17160e, 0x6b002805, 0x6b280412,   // sl.hr.bs_432 hr.sr.cs_555  sw.ceb.un_330 fi.sw.ceb_654 
  0x28000414, 0x281e7305, 0x3d2804ad, 0x08070a08,   // fi.sw.un_660 ny.ms.sw_333  fi.sw.ku_643 mk.bg.uk_443 
  0x02370305, 0x2a1f2b04, 0x1c311e07, 0x03045304,   // nl.st.da_333 vi.cy.mt_332  ms.az.id_432 ht.fi.nl_332 
  0x640e1b0c, 0x2d097312, 0x530406a0, 0x111e6b0c,   // tr.is.lg_543 ny.pl.sk_654  de.fi.ht_322 ceb.ms.ro_543 
  // [95c0]
  0x1b00642a, 0x28002a13, 0x170728ec, 0x25190ba9,   // lg.tr.un_970 mt.sw.un_650  sw.it.sr_644 es.gl.eu_544 
  0x161328af, 0x1029730c, 0x100a37ad, 0x04321708,   // sw.et.hr_655 ny.sl.lt_543  st.pt.lt_643 sr.bs.fi_443 
  0x2f0e2a05, 0x0c000e2b, 0x180e1a0c, 0x20210755,   // mt.is.su_333 is.sv.un_980  tl.is.ga_543 it.jw.sq_442 
  0x070b110c, 0x071056ee, 0x1c000e04, 0x25001a02,   // ro.es.it_543 mg.lt.it_422  is.id.un_320 tl.eu.un_220 
  // [95d0]
  0x0a000411, 0x1b3111a9, 0x55005614, 0x641207a7,   // ru.mk.un_630 ro.az.tr_544  mg.rw.un_660 it.hu.lg_532 
  0x19200b07, 0x0b0a07a0, 0x1f18270d, 0x55000b02,   // es.sq.gl_432 it.pt.es_322  gd.ga.cy_554 es.rw.un_220 
  0x0b1007a0, 0x5521280c, 0x73006411, 0x08020c12,   // it.lt.es_322 sw.jw.rw_543  lg.ny.un_630 sv.da.no_654 
  0x282a27ee, 0x06202307, 0x11002521, 0x1709300c,   // gd.mt.sw_422 ca.sq.de_432  eu.ro.un_860 uz.pl.sr_543 
  // [95e0]
  0x07001908, 0x1e1c6b02, 0x12000918, 0x10170a07,   // gl.it.un_430 ceb.id.ms_222  pl.hu.un_740 mk.sr.be_432 
  0x030e3f07, 0x03060808, 0x0603040d, 0x735528a4,   // af.is.nl_432 no.de.nl_443  fi.nl.de_554 sw.rw.ny_433 
  0x2f000f07, 0x0a0408a6, 0x281b1107, 0x21001a1b,   // lv.su.un_420 uk.ru.mk_521  ro.tr.sw_432 tl.jw.un_770 
  0x2f560f02, 0x2f1a6402, 0x5510280e, 0x07285507,   // lv.mg.su_222 lg.tl.su_222  sw.lt.rw_555 rw.sw.it_432 
  // [95f0]
  0x231711a7, 0x2864550d, 0x190a25a9, 0x282b5355,   // ro.sr.ky_532 rw.lg.sw_554  eu.pt.gl_544 ht.vi.sw_442 
  0x1b202aa0, 0x0603100b, 0x17231fad, 0x10351707,   // mt.sq.tr_322 lt.nl.de_542  cy.ca.sr_643 sr.tg.be_432 
  0x2f1927ee, 0x6b001312, 0x641201a4, 0x070116a0,   // gd.gl.su_422 et.ceb.un_640  en.hu.lg_433 hr.en.it_322 
  0x29203107, 0x04001113, 0x550b18a4, 0x73230505,   // az.sq.sl_432 ro.ru.un_650  ga.es.rw_433 fr.ca.ny_333 
  // [9600]
  0x23370fad, 0x16003104, 0x08071012, 0x250328a0,   // lv.st.ca_643 az.hr.un_320  be.bg.uk_654 sw.nl.eu_322 
  0x180153ee, 0x16180704, 0x182d0d09, 0x18003204,   // ht.en.ga_422 it.ga.hr_332  cs.sk.ga_444 bs.ga.un_320 
  0x370511a0, 0x2f0a64a4, 0x050d1207, 0x101707a0,   // ro.fr.st_322 lg.pt.su_433  hu.cs.fr_432 bg.sr.be_322 
  0x18092711, 0x063f08a4, 0x04170855, 0x2b002308,   // gd.pl.ga_653 no.af.de_433  uk.sr.ru_442 ca.vi.un_430 
  // [9610]
  0x27000912, 0x2b1f01ad, 0x02000511, 0x06050104,   // pl.gd.un_640 en.cy.vi_643  fr.da.un_630 en.fr.de_332 
  0x0a070f04, 0x19050b55, 0x100523ee, 0x2b000b05,   // lv.it.pt_332 es.fr.gl_442  ca.fr.lt_422 es.vi.un_330 
  0x100a0712, 0x182725a4, 0x01000208, 0x552a2007,   // bg.mk.be_654 eu.gd.ga_433  da.en.un_430 sq.mt.rw_432 
  0x2d0a12a0, 0x1e001f08, 0x12082904, 0x04072302,   // hu.pt.sk_322 cy.ms.un_430  sl.no.hu_332 ky.bg.ru_222 
  // [9620]
  0x64212f07, 0x07002712, 0x070423ee, 0x562f300c,   // su.jw.lg_432 gd.it.un_640  ky.ru.bg_422 uz.su.mg_543 
  0x4400110d, 0x64000119, 0x301a6b0d, 0x231f3f02,   // ro.kk.un_540 en.lg.un_750  ceb.tl.uz_554 af.cy.ca_222 
  0x0b2319ec, 0x3004070e, 0x561a6b12, 0x3105300c,   // gl.ca.es_644 bg.ru.uz_555  ceb.tl.mg_654 uz.fr.az_543 
  0x10002813, 0x1f171602, 0x012f5655, 0x28000113,   // sw.lt.un_650 hr.sr.cy_222  mg.su.en_442 en.sw.un_650 
  // [9630]
  0x6b531a13, 0x562d1b11, 0x73286413, 0x25002721,   // tl.ht.ceb_665 tr.sk.mg_653  lg.sw.ny_665 gd.eu.un_860 
  0x647328a4, 0x106429ec, 0x0e005512, 0x0b2f0102,   // sw.ny.lg_433 sl.lg.lt_644  rw.is.un_640 en.su.es_222 
  0x0b002319, 0x5500290e, 0x1a3d5355, 0x1000291a,   // ca.es.un_750 sl.rw.un_550  ht.ku.tl_442 sl.lt.un_760 
  0x2d00230d, 0x016b1a14, 0x31121307, 0x536b1a14,   // ca.sk.un_540 tl.ceb.en_666  et.hu.az_432 tl.ceb.ht_666 
  // [9640]
  0x07012807, 0x53560107, 0x101729ec, 0x1f000405,   // sw.en.it_432 en.mg.ht_432  sl.sr.lt_644 fi.cy.un_330 
  0x12530e07, 0x282110a6, 0x0a642807, 0x56000702,   // is.ht.hu_432 lt.jw.sw_521  sw.lg.pt_432 it.mg.un_220 
  0x062355a0, 0x56283708, 0x1e1c21af, 0x01002f13,   // rw.ca.de_322 st.sw.mg_443  jw.id.ms_655 su.en.un_650 
  0x563011a4, 0x20006409, 0x020c29a4, 0x37000d04,   // ro.uz.mg_433 lg.sq.un_440  sl.sv.da_433 cs.st.un_320 
  // [9650]
  0x270c0ea0, 0x01060da0, 0x0e000d1a, 0x190b370c,   // is.sv.gd_322 cs.de.en_322  cs.is.un_760 st.es.gl_543 
  0x2f001f08, 0x645528a9, 0x181f2707, 0x3073550c,   // cy.su.un_430 sw.rw.lg_544  gd.cy.ga_432 rw.ny.uz_543 
  0x1b311a0c, 0x010825ad, 0x21562fad, 0x2956120c,   // tl.az.tr_543 eu.no.en_643  su.mg.jw_643 hu.mg.sl_543 
  0x0d12040c, 0x2a31305a, 0x06115607, 0x3f030eee,   // fi.hu.cs_543 uz.az.mt_553  mg.ro.de_432 is.nl.af_422 
  // [9660]
  0x09735504, 0x04122a07, 0x04000a1a, 0x1123070c,   // rw.ny.pl_332 mt.hu.fi_432  mk.ru.un_760 it.ca.ro_543 
  0x17070805, 0x64731ea0, 0x0d2a100c, 0x566427ac,   // uk.bg.sr_333 ms.ny.lg_322  lt.mt.cs_543 gd.lg.mg_632 
  0x1253300c, 0x286b1a07, 0x2a003705, 0x16112aad,   // uz.ht.hu_543 tl.ceb.sw_432  st.mt.un_330 mt.ro.hr_643 
  0x19120707, 0x09001018, 0x642a0b08, 0x17000818,   // it.hu.gl_432 lt.pl.un_740  es.mt.lg_443 uk.sr.un_740 
  // [9670]
  0x10001719, 0x0f00060d, 0x20641108, 0x063d1bec,   // sr.be.un_750 de.lv.un_540  ro.lg.sq_443 tr.ku.de_644 
  0x640c2a0c, 0x35301008, 0x1f0c0204, 0x6b010304,   // mt.sv.lg_543 be.uz.tg_443  da.sv.cy_332 nl.en.ceb_332 
  0x442310a9, 0x12160d07, 0x190a6402, 0x3f03070c,   // be.ky.kk_544 cs.hr.hu_432  lg.pt.gl_222 it.nl.af_543 
  0x35040712, 0x300d2da7, 0x07081112, 0x250853a9,   // bg.ru.tg_654 sk.cs.uz_532  ro.uk.bg_654 ht.no.eu_544 
  // [9680]
  0x530d1007, 0x17111005, 0x12290da0, 0x29253dee,   // lt.cs.ht_432 be.ro.sr_333  cs.sl.hu_322 ku.eu.sl_422 
  0x1f303d04, 0x02001305, 0x3f0c080d, 0x0d00020b,   // ku.uz.cy_332 et.da.un_330  no.sv.af_554 da.cs.un_520 
  0x2b000113, 0x10002302, 0x30290d07, 0x070a11ad,   // en.vi.un_650 ky.be.un_220  cs.sl.uz_432 ro.mk.bg_643 
  0x301b2008, 0x066b1aee, 0x1820080e, 0x10566bee,   // sq.tr.uz_443 tl.ceb.de_422  no.sq.ga_555 ceb.mg.lt_422 
  // [9690]
  0x04070a12, 0x103023a4, 0x29002002, 0x31002a14,   // mk.bg.ru_654 ky.uz.be_433  sq.sl.un_220 mt.az.un_660 
  0x040a3004, 0x08020112, 0x0c000221, 0x27002513,   // uz.mk.ru_332 en.da.no_654  da.sv.un_860 eu.gd.un_650 
  0x321603ec, 0x2a003112, 0x2a312004, 0x353023ad,   // nl.hr.bs_644 az.mt.un_640  sq.az.mt_332 ky.uz.tg_643 
  0x1a6b6408, 0x30311b09, 0x0e002a0c, 0x1e1b5302,   // lg.ceb.tl_443 tr.az.uz_444  mt.is.un_530 ht.tr.ms_222 
  // [96a0]
  0x25040c0b, 0x1607290c, 0x0a1035ad, 0x070a37a0,   // sv.fi.eu_542 sl.it.hr_543  tg.be.mk_643 st.pt.it_322 
  0x111807a0, 0x040835ec, 0x29090dad, 0x1b301704,   // it.ga.ro_322 tg.uk.ru_644  cs.pl.sl_643 sr.uz.tr_332 
  0x2a00312a, 0x16006b08, 0x0d202da0, 0x1e2a310b,   // az.mt.un_970 ceb.hr.un_430  sk.sq.cs_322 az.mt.ms_542 
  0x321807a4, 0x0d002504, 0x11231905, 0x0f3d6e55,   // it.ga.bs_433 eu.cs.un_320  gl.ca.ro_333 hmn.ku.lv_442 
  // [96b0]
  0x315564ee, 0x3d131e12, 0x6b1a640c, 0x25230704,   // lg.rw.az_422 ms.et.ku_654  lg.tl.ceb_543 it.ca.eu_332 
  0x08230560, 0x212f2505, 0x1f00100d, 0x1a646b12,   // fr.ca.no_664 eu.su.jw_333  lt.cy.un_540 ceb.lg.tl_654 
  0x0c002a05, 0x180306ec, 0x313f3d07, 0x05006e34,   // mt.sv.un_330 de.nl.ga_644  ku.af.az_432 hmn.fr.un_A80 
  0x23060512, 0x05002d04, 0x21121a07, 0x1709070c,   // fr.de.ca_654 sk.fr.un_320  tl.hu.jw_432 it.pl.sr_543 
  // [96c0]
  0x040e13ec, 0x6e00231a, 0x0a0155ee, 0x09072a08,   // et.is.fi_644 ca.hmn.un_760  rw.en.pt_422 mt.it.pl_443 
  0x6e000313, 0x6e00011a, 0x3100530d, 0x3f033dec,   // nl.hmn.un_650 en.hmn.un_760  ht.az.un_540 ku.nl.af_644 
  0x01050602, 0x3f1b050c, 0x0413735a, 0x20003108,   // de.fr.en_222 fr.tr.af_543  ny.et.fi_553 az.sq.un_430 
  0x31206ea7, 0x31536407, 0x731b5505, 0x303d6b04,   // hmn.sq.az_532 lg.ht.az_432  rw.tr.ny_333 ceb.ku.uz_332 
  // [96d0]
  0x2d0b29a4, 0x06133707, 0x3f03190c, 0x21003f1b,   // sl.es.sk_433 st.et.de_432  gl.nl.af_543 af.jw.un_770 
  0x05006e11, 0x1a372109, 0x13002821, 0x070435a7,   // hmn.fr.un_630 jw.st.tl_444  sw.et.un_860 tg.ru.bg_532 
  0x1a5537ad, 0x3f212aac, 0x210a37ee, 0x30371aa0,   // st.rw.tl_643 mt.jw.af_632  st.pt.jw_422 tl.st.uz_322 
  0x133d0804, 0x0e080707, 0x08000f04, 0x30101708,   // no.ku.et_332 it.no.is_432  lv.no.un_320 sr.be.uz_443 
  // [96e0]
  0x02065507, 0x07000307, 0x070d56ad, 0x23001f1a,   // rw.de.da_432 nl.it.un_420  mg.cs.it_643 cy.ca.un_760 
  0x0c0437a4, 0x23111f13, 0x1b3155a0, 0x5564130c,   // st.fi.sv_433 cy.ro.ca_665  rw.az.tr_322 et.lg.rw_543 
  0x2d000205, 0x2d0d0214, 0x2300351b, 0x170823a9,   // da.sk.un_330 da.cs.sk_666  tg.ky.un_770 ky.uk.sr_544 
  0x64045512, 0x3f0d0402, 0x2f0173a4, 0x032008a4,   // rw.fi.lg_654 fi.cs.af_222  ny.en.su_433 no.sq.nl_433 
  // [96f0]
  0x64292807, 0x17301312, 0x64000a07, 0x0c033f04,   // sw.sl.lg_432 et.uz.sr_654  pt.lg.un_420 af.nl.sv_332 
  0x560425ee, 0x1b64130c, 0x3d03270c, 0x3f062307,   // eu.fi.mg_422 et.lg.tr_543  gd.nl.ku_543 ca.de.af_432 
  0x73180107, 0x6b060cad, 0x73642812, 0x010206ee,   // en.ga.ny_432 sv.de.ceb_643  sw.lg.ny_654 de.da.en_422 
  0x070e0807, 0x6b3d01ee, 0x07080260, 0x08121b0c,   // no.is.it_432 en.ku.ceb_422  da.no.it_664 tr.hu.no_543 
  // [9700]
  0x4423040c, 0x092d3f08, 0x10190b04, 0x132006ad,   // ru.ky.kk_543 af.sk.pl_443  es.gl.lt_332 de.sq.et_643 
  0x1b001313, 0x2d002005, 0x2d2913ee, 0x041310a4,   // et.tr.un_650 sq.sk.un_330  et.sl.sk_422 lt.et.fi_433 
  0x322030ee, 0x37271808, 0x130c2aa4, 0x04311304,   // uz.sq.bs_422 ga.gd.st_443  mt.sv.et_433 et.az.fi_332 
  0x201801af, 0x02006b04, 0x1b2311a0, 0x645655ee,   // en.ga.sq_655 ceb.da.un_320  ro.ca.tr_322 rw.mg.lg_422 
  // [9710]
  0x35100411, 0x061f08a4, 0x64002811, 0x1c132a10,   // ru.be.tg_653 no.cy.de_433  sw.lg.un_630 mt.et.id_642 
  0x0a5528a9, 0x1f3f2aa0, 0x091b3fa0, 0x0f003f05,   // sw.rw.pt_544 mt.af.cy_322  af.tr.pl_322 af.lv.un_330 
  0x2a1b53a0, 0x23131b13, 0x12370407, 0x18002509,   // ht.tr.mt_322 tr.et.ca_665  fi.st.hu_432 eu.ga.un_440 
  0x1b1153a4, 0x2a1b08a4, 0x3f072aee, 0x0e070807,   // ht.ro.tr_433 no.tr.mt_433  mt.it.af_422 no.it.is_432 
  // [9720]
  0x645528ee, 0x12005314, 0x4400040d, 0x072a1fee,   // sw.rw.lg_422 ht.hu.un_660  ru.kk.un_540 cy.mt.it_422 
  0x532a11a4, 0x20003d08, 0x0600081a, 0x110a23a4,   // ro.mt.ht_433 ku.sq.un_430  no.de.un_760 ky.mk.ro_433 
  0x0c000708, 0x052a3704, 0x04131a0c, 0x033f2aee,   // it.sv.un_430 st.mt.fr_332  tl.et.fi_543 mt.af.nl_422 
  0x200f1009, 0x3d03300c, 0x28000d08, 0x111b3108,   // lt.lv.sq_444 uz.nl.ku_543  cs.sw.un_430 az.tr.ro_443 
  // [9730]
  0x1700200c, 0x2b003f04, 0x070412ad, 0x1c0d13af,   // sq.sr.un_530 af.vi.un_320  hu.fi.it_643 bh.ne.mr_655 
  0x03002805, 0x300f2da4, 0x1b11290c, 0x32170a02,   // sw.nl.un_330 sk.lv.uz_433  sl.ro.tr_543 pt.sr.bs_222 
  0x1828090c, 0x300804a7, 0x291b2fa9, 0x44000705,   // pl.sw.ga_543 ru.uk.uz_532  su.tr.sl_544 bg.kk.un_330 
  0x29092dad, 0x20002902, 0x6b3d53a4, 0x0a440755,   // sk.pl.sl_643 sl.sq.un_220  ht.ku.ceb_433 bg.kk.mk_442 
  // [9740]
  0x182d11a4, 0x05003707, 0x012a07ad, 0x233011a0,   // ro.sk.ga_433 st.fr.un_420  it.mt.en_643 ro.uz.ky_322 
  0x35040855, 0x3f020ea4, 0x2a1118ee, 0x291b0ba4,   // uk.ru.tg_442 is.da.af_433  ga.ro.mt_422 es.tr.sl_433 
  0x290756ac, 0x0b000707, 0x31091b12, 0x31000707,   // mg.it.sl_632 it.es.un_420  tr.pl.az_654 it.az.un_420 
  0x64012704, 0x113129a0, 0x11000f07, 0x0c530802,   // gd.en.lg_332 sl.az.ro_322  lv.ro.un_420 no.ht.sv_222 
  // [9750]
  0x23072da4, 0x080e0c02, 0x18052709, 0x1b001e07,   // sk.it.ca_433 sv.is.no_222  gd.fr.ga_444 ms.tr.un_420 
  0x182d01a0, 0x44230708, 0x10020caf, 0x0708110c,   // en.sk.ga_322 bg.ky.kk_443  sv.da.lt_655 ro.uk.bg_543 
  0x23000107, 0x05062807, 0x3000190e, 0x197364a7,   // en.ca.un_420 sw.de.fr_432  gl.uz.un_550 lg.ny.gl_532 
  0x03002808, 0x32160ca0, 0x06080c09, 0x06052304,   // sw.nl.un_430 sv.hr.bs_322  sv.no.de_444 ca.fr.de_332 
  // [9760]
  0x21255609, 0x12001309, 0x234410a7, 0x0a001912,   // mg.eu.jw_444 et.hu.un_440  be.kk.ky_532 gl.pt.un_640 
  0x23010fa0, 0x2555640c, 0x101117af, 0x55296405,   // lv.en.ca_322 lg.rw.eu_543  sr.ro.be_655 lg.sl.rw_333 
  0x03173fa0, 0x0e0802ad, 0x10173007, 0x28006419,   // af.sr.nl_322 da.no.is_643  uz.sr.be_432 lg.sw.un_750 
  0x30004405, 0x56001005, 0x1f007313, 0x2a000b04,   // kk.uz.un_330 lt.mg.un_330  ny.cy.un_650 es.mt.un_320 
  // [9770]
  0x1103250c, 0x6b3d73a7, 0x180125a0, 0x73281b08,   // eu.nl.ro_543 ny.ku.ceb_532  eu.en.ga_322 tr.sw.ny_443 
  0x171b2107, 0x12553707, 0x121a6ba0, 0x552f6412,   // jw.tr.sr_432 st.rw.hu_432  ceb.tl.hu_322 lg.su.rw_654 
  0x1c002908, 0x180108a0, 0x37287308, 0x1c003f04,   // sl.id.un_430 no.en.ga_322  ny.sw.st_443 af.id.un_320 
  0x171625ee, 0x0e023fa0, 0x021e1c02, 0x09002b04,   // eu.hr.sr_422 af.da.is_322  id.ms.da_222 vi.pl.un_320 
  // [9780]
  0x1c1b29ee, 0x171110ad, 0x3f001b09, 0x1f552f0c,   // sl.tr.id_422 be.ro.sr_643  tr.af.un_440 su.rw.cy_543 
  0x2d0d2109, 0x64063fa6, 0x1f190a14, 0x3700640b,   // jw.cs.sk_444 af.de.lg_521  pt.gl.cy_666 lg.st.un_520 
  0x647355ec, 0x4435300c, 0x01063f0c, 0x11535504,   // rw.ny.lg_644 uz.tg.kk_543  af.de.en_543 rw.ht.ro_332 
  0x375304a9, 0x11111008, 0x531e1c0c, 0x03563da4,   // fi.ht.st_544 be.ro.ro_443  id.ms.ht_543 ku.mg.nl_433 
  // [9790]
  0x17040a13, 0x736b1aa7, 0x13640e09, 0x73285512,   // mk.ru.sr_665 tl.ceb.ny_532  is.lg.et_444 rw.sw.ny_654 
  0x27071f0c, 0x1111350c, 0x21002702, 0x0d000802,   // cy.it.gd_543 tg.ro.ro_543  gd.jw.un_220 no.cs.un_220 
  0x131701ee, 0x130c3707, 0x0c560812, 0x13023f0c,   // en.sr.et_422 st.sv.et_432  no.mg.sv_654 af.da.et_543 
  0x370108a6, 0x0655645a, 0x070a1055, 0x64033f05,   // no.en.st_521 lg.rw.de_553  be.mk.bg_442 af.nl.lg_333 
  // [97a0]
  0x28133f02, 0x64551f55, 0x5300560e, 0x37001107,   // af.et.sw_222 cy.rw.lg_442  mg.ht.un_550 ro.st.un_420 
  0x32171611, 0x56006b04, 0x372855a0, 0x08042aad,   // hr.sr.bs_653 ceb.mg.un_320  rw.sw.st_322 mt.fi.no_643 
  0x03001608, 0x376455ac, 0x273f0355, 0x10003f0d,   // hr.nl.un_430 rw.lg.st_632  nl.af.gd_442 af.lt.un_540 
  0x35004404, 0x130156a7, 0x172937a0, 0x10306404,   // kk.tg.un_320 mg.en.et_532  st.sl.sr_322 lg.uz.lt_332 
  // [97b0]
  0x042a0713, 0x060364a0, 0x2d0c0d55, 0x19313da7,   // it.mt.fi_665 lg.nl.de_322  cs.sv.sk_442 ku.az.gl_532 
  0x190a2302, 0x0e645511, 0x0c050707, 0x730413ec,   // ca.pt.gl_222 rw.lg.is_653  it.fr.sv_432 et.fi.ny_644 
  0x3130010c, 0x35443055, 0x1c1b1e07, 0x085618a0,   // en.uz.az_543 uz.kk.tg_442  ms.tr.id_432 ga.mg.no_322 
  0x3f13080c, 0x13001b18, 0x0c0102a0, 0x08040a14,   // no.et.af_543 tr.et.un_740  da.en.sv_322 mk.ru.uk_666 
  // [97c0]
  0x080423a9, 0x07040c08, 0x2a041205, 0x23312504,   // ky.ru.uk_544 sv.fi.it_443  hu.fi.mt_333 eu.az.ca_332 
  0x31233d0c, 0x19072508, 0x27003f07, 0x2100300d,   // ku.ca.az_543 eu.it.gl_443  af.gd.un_420 uz.jw.un_540 
  0x2832730c, 0x553056ad, 0x55736404, 0x292530ad,   // ny.bs.sw_543 mg.uz.rw_643  lg.ny.rw_332 uz.eu.sl_643 
  0x562809af, 0x1100270e, 0x321630a4, 0x353044a4,   // pl.sw.mg_655 gd.ro.un_550  uz.hr.bs_433 kk.uz.tg_433 
  // [97d0]
  0x443023a7, 0x55202d05, 0x73190b05, 0x091f12ad,   // ky.uz.kk_532 sk.sq.rw_333  es.gl.ny_333 hu.cy.pl_643 
  0x18042504, 0x182711a7, 0x1004530c, 0x531109a4,   // eu.fi.ga_332 ro.gd.ga_532  ht.fi.lt_543 pl.ro.ht_433 
  0x3f070fa4, 0x13001817, 0x1b312aa4, 0x3f001902,   // lv.it.af_433 ga.et.un_730  mt.az.tr_433 gl.af.un_220 
  0x170a35ad, 0x03112705, 0x20116e08, 0x171973af,   // tg.mk.sr_643 gd.ro.nl_333  hmn.ro.sq_443 ny.gl.sr_655 
  // [97e0]
  0x182f01ee, 0x201b10a0, 0x280973a0, 0x6b00560d,   // en.su.ga_422 lt.tr.sq_322  ny.pl.sw_322 mg.ceb.un_540 
  0x55282da0, 0x07100404, 0x1b001112, 0x18120805,   // sk.sw.rw_322 fi.lt.it_332  ro.tr.un_640 no.hu.ga_333 
  0x170709ee, 0x10000714, 0x083004ee, 0x0f5304ee,   // pl.it.sr_422 bg.be.un_660  fi.uz.no_422 fi.ht.lv_422 
  0x04133711, 0x6b1b0805, 0x1f000502, 0x10300807,   // st.et.fi_653 no.tr.ceb_333  fr.cy.un_220 uk.uz.be_432 
  // [97f0]
  0x0f130404, 0x011606a0, 0x13060404, 0x1b1911a7,   // fi.et.lv_332 de.hr.en_322  fi.de.et_332 ro.gl.tr_532 
  0x03311b07, 0x3f001304, 0x17001104, 0x53000807,   // tr.az.nl_432 et.af.un_320  ro.sr.un_320 no.ht.un_420 
  0x01072aa0, 0x190b01af, 0x0f00201a, 0x080c130e,   // mt.it.en_322 en.es.gl_655  sq.lv.un_760 et.sv.no_555 
  0x0c3f0309, 0x31190a12, 0x0c011bee, 0x111011ec,   // nl.af.sv_444 pt.gl.az_654  tr.en.sv_422 ro.be.ro_644 
  
  // [9800]
  0x08025302, 0x2a1b13ee, 0x020c0e05, 0x13003008,   // ht.da.no_222 et.tr.mt_422  is.sv.da_333 uz.et.un_430 
  0x200e0608, 0x0e00100c, 0x107355a4, 0x37735607,   // de.is.sq_443 lt.is.un_530  rw.ny.lt_433 mg.ny.st_432 
  0x53733108, 0x3101640c, 0x13080ca4, 0x7356550c,   // az.ny.ht_443 lg.en.az_543  sv.no.et_433 rw.mg.ny_543 
  0x5673640c, 0x1f003709, 0x3228550c, 0x0a1707ee,   // lg.ny.mg_543 st.cy.un_440  rw.sw.bs_543 bg.sr.mk_422 
  // [9810]
  0x30551a5a, 0x30006e07, 0x1a5573a4, 0x282a56ac,   // tl.rw.uz_553 hmn.uz.un_420  ny.rw.tl_433 mg.mt.sw_632 
  0x64255604, 0x30003d08, 0x53733d55, 0x13122a04,   // mg.eu.lg_332 ku.uz.un_430  ku.ny.ht_442 mt.hu.et_332 
  0x56005508, 0x095310a0, 0x1a55640c, 0x2a000c0b,   // rw.mg.un_430 lt.ht.pl_322  lg.rw.tl_543 sv.mt.un_520 
  0x532328ee, 0x253d55a0, 0x55563d08, 0x060c0e12,   // sw.ca.ht_422 rw.ku.eu_322  ku.mg.rw_443 is.sv.de_654 
  // [9820]
  0x733d55a4, 0x566428ec, 0x30003713, 0x56293daf,   // rw.ku.ny_433 sw.lg.mg_644  st.uz.un_650 ku.sl.mg_655 
  0x30645304, 0x0200052b, 0x1a73640d, 0x3d735604,   // ht.lg.uz_332 fr.da.un_980  lg.ny.tl_554 mg.ny.ku_332 
  0x3d555308, 0x025508a4, 0x64733004, 0x53305502,   // ht.rw.ku_443 no.rw.da_433  uz.ny.lg_332 rw.uz.ht_222 
  0x25001304, 0x53000708, 0x04004412, 0x130e0c04,   // et.eu.un_320 it.ht.un_430  kk.ru.un_640 sv.is.et_332 
  // [9830]
  0x1b0f0107, 0x18005602, 0x56301ea0, 0x2a376b12,   // en.lv.tr_432 mg.ga.un_220  ms.uz.mg_322 ceb.st.mt_654 
  0x041305af, 0x733256ee, 0x03273fee, 0x05301aad,   // fr.et.fi_655 mg.bs.ny_422  af.gd.nl_422 tl.uz.fr_643 
  0x0700640b, 0x05003f1a, 0x37002808, 0x11532907,   // lg.it.un_520 af.fr.un_760  sw.st.un_430 sl.ht.ro_432 
  0x08023f0e, 0x03083704, 0x0600250e, 0x1600300c,   // af.da.no_555 st.no.nl_332  eu.de.un_550 uz.hr.un_530 
  // [9840]
  0x0d2d3012, 0x2f050aa4, 0x21003713, 0x30080404,   // uz.sk.cs_654 pt.fr.su_433  st.jw.un_650 ru.uk.uz_332 
  0x2d093d0c, 0x2a0507ec, 0x2f553004, 0x080c0255,   // ku.pl.sk_543 it.fr.mt_644  uz.rw.su_332 da.sv.no_442 
  0x6b0c0812, 0x1708105a, 0x1230560c, 0x3f0308ac,   // no.sv.ceb_654 be.uk.sr_553  mg.uz.hu_543 no.nl.af_632 
  0x04101110, 0x29040da0, 0x041305a4, 0x21552804,   // ro.be.ru_642 cs.fi.sl_322  fr.et.fi_433 sw.rw.jw_332 
  // [9850]
  0x232f3008, 0x10005302, 0x07231108, 0x3f1f0212,   // uz.su.ca_443 ht.lt.un_220  ro.ca.it_443 da.cy.af_654 
  0x112311af, 0x17441004, 0x101730a0, 0x02030e07,   // ro.ky.ro_655 be.kk.sr_332  uz.sr.be_322 is.nl.da_432 
  0x01000f0b, 0x1e271ca0, 0x312d0d04, 0x35442311,   // lv.en.un_520 id.gd.ms_322  cs.sk.az_332 ky.kk.tg_653 
  0x04081fee, 0x1a0953a0, 0x1b1131a6, 0x080717a4,   // cy.no.fi_422 ht.pl.tl_322  az.ro.tr_521 sr.bg.uk_433 
  // [9860]
  0x3d6b1aa4, 0x1b532108, 0x17004419, 0x3f1c03a4,   // tl.ceb.ku_433 jw.ht.tr_443  kk.sr.un_750 nl.id.af_433 
  0x01000f0c, 0x290d2dec, 0x1c181ea4, 0x31000302,   // lv.en.un_530 sk.cs.sl_644  ms.ga.id_433 nl.az.un_220 
  0x23350709, 0x551a6b09, 0x1704070b, 0x53101bad,   // bg.tg.ky_444 ceb.tl.rw_444  bg.ru.sr_542 tr.lt.ht_643 
  0x551a0904, 0x160c13ad, 0x112030a0, 0x531a55a0,   // pl.tl.rw_332 et.sv.hr_643  uz.sq.ro_322 rw.tl.ht_322 
  // [9870]
  0x1a530d04, 0x03013f02, 0x04132d0c, 0x0c0e0813,   // cs.ht.tl_332 af.en.nl_222  sk.et.fi_543 no.is.sv_665 
  0x190a6b02, 0x1f1118af, 0x32003008, 0x0100060b,   // ceb.pt.gl_222 ga.ro.cy_655  uz.bs.un_430 de.en.un_520 
  0x170a440b, 0x31300fad, 0x20313007, 0x0a2319ee,   // kk.mk.sr_542 lv.uz.az_643  uz.az.sq_432 gl.ca.pt_422 
  0x0b112da4, 0x2d003004, 0x253d1faf, 0x0a133f04,   // sk.ro.es_433 uz.sk.un_320  cy.ku.eu_655 af.et.pt_332 
  // [9880]
  0x350804a0, 0x1e1c1902, 0x3530070c, 0x17301104,   // ru.uk.tg_322 gl.id.ms_222  bg.uz.tg_543 ro.uz.sr_332 
  0x0c002502, 0x1f005308, 0x56006e13, 0x0f0410af,   // eu.sv.un_220 ht.cy.un_430  hmn.mg.un_650 lt.fi.lv_655 
  0x64005302, 0x00001b2d, 0x0430080e, 0x0b646b02,   // ht.lg.un_220 tr.un.un_A00  uk.uz.ru_555 ceb.lg.es_222 
  0x2f190b0e, 0x2a2156ee, 0x53190a13, 0x0a001112,   // es.gl.su_555 mg.jw.mt_422  pt.gl.ht_665 ro.pt.un_640 
  // [9890]
  0x30072a0c, 0x201953a9, 0x0f001119, 0x37007307,   // mt.it.uz_543 ht.gl.sq_544  ro.lv.un_750 ny.st.un_420 
  0x01253da6, 0x1c1e1b5a, 0x30001313, 0x2a3209ad,   // ku.eu.en_521 tr.ms.id_553  et.uz.un_650 pl.bs.mt_643 
  0x64000a04, 0x0a1304a4, 0x553d7309, 0x1c000711,   // pt.lg.un_320 fi.et.pt_433  ny.ku.rw_444 it.id.un_630 
  0x1b102d0b, 0x0f1004a7, 0x0e0608ec, 0x3f0e1c04,   // sk.lt.tr_542 fi.lt.lv_532  no.de.is_644 id.is.af_332 
  // [98a0]
  0x731b6413, 0x203f0107, 0x101304a6, 0x1a3f03ee,   // lg.tr.ny_665 en.af.sq_432  fi.et.lt_521 nl.af.tl_422 
  0x1b000502, 0x2d132905, 0x210a06ee, 0x0704170c,   // fr.tr.un_220 sl.et.sk_333  de.pt.jw_422 sr.ru.bg_543 
  0x06003f21, 0x10211aa9, 0x081111af, 0x2d0a0da4,   // af.de.un_860 tl.jw.lt_544  ro.ro.uk_655 cs.pt.sk_433 
  0x12002312, 0x0c000a08, 0x0a2d190c, 0x06020811,   // ca.hu.un_640 pt.sv.un_430  gl.sk.pt_543 no.da.de_653 
  // [98b0]
  0x1c020f55, 0x071b010c, 0x1b13040c, 0x01210cee,   // lv.da.id_442 en.tr.it_543  fi.et.tr_543 sv.jw.en_422 
  0x2d251b07, 0x06020c05, 0x08000e0e, 0x2b5573a7,   // tr.eu.sk_432 sv.da.de_333  is.no.un_550 ny.rw.vi_532 
  0x27000c07, 0x35070aa4, 0x0f132907, 0x1308025a,   // sv.gd.un_420 mk.bg.tg_433  sl.et.lv_432 da.no.et_553 
  0x0e003d0c, 0x010802a4, 0x130928a0, 0x0c000405,   // ku.is.un_530 da.no.en_433  sw.pl.et_322 fi.sv.un_330 
  // [98c0]
  0x016b2dad, 0x441111af, 0x231b0aa0, 0x12000209,   // sk.ceb.en_643 ro.ro.kk_655  pt.tr.ca_322 da.hu.un_440 
  0x0e0827ad, 0x30080202, 0x2513640c, 0x082311a0,   // gd.no.is_643 da.no.uz_222  lg.et.eu_543 ro.ky.uk_322 
  0x323f030d, 0x03003204, 0x080e1f13, 0x3d0301a0,   // nl.af.bs_554 bs.nl.un_320  cy.is.no_665 en.nl.ku_322 
  0x163f3da0, 0x2a00070e, 0x250430ee, 0x04001c04,   // ku.af.hr_322 it.mt.un_550  uz.fi.eu_422 id.fi.un_320 
  // [98d0]
  0x180827ee, 0x0725130c, 0x041f01a4, 0x376b1a04,   // gd.no.ga_422 et.eu.it_543  en.cy.fi_433 tl.ceb.st_332 
  0x0a2330a4, 0x73281e11, 0x12091602, 0x73641c0c,   // uz.ky.mk_433 ms.sw.ny_653  hr.pl.hu_222 id.lg.ny_543 
  0x10303505, 0x236437a4, 0x211c2f08, 0x0c0f13a4,   // tg.uz.be_333 st.lg.ca_433  su.id.jw_443 et.lv.sv_433 
  0x102f21a9, 0x0b190a55, 0x641e1ca9, 0x270b2fa0,   // jw.su.lt_544 pt.gl.es_442  id.ms.lg_544 su.es.gd_322 
  // [98e0]
  0x04122807, 0x1c2f6b09, 0x2f376b08, 0x23251902,   // sw.hu.fi_432 ceb.su.id_444  ceb.st.su_443 gl.eu.ca_222 
  0x300423a6, 0x182728ec, 0x173d1a08, 0x030701a4,   // ky.ru.uz_521 sw.gd.ga_644  tl.ku.sr_443 en.it.nl_433 
  0x73001309, 0x1e250607, 0x11001034, 0x25072a14,   // et.ny.un_440 de.eu.ms_432  be.ro.un_A80 mt.it.eu_666 
  0x04282aee, 0x036b21ee, 0x1a101c07, 0x731c1e0c,   // mt.sw.fi_422 jw.ceb.nl_422  id.lt.tl_432 ms.id.ny_543 
  // [98f0]
  0x03002f02, 0x2b002005, 0x060c0708, 0x1c210f0c,   // su.nl.un_220 sq.vi.un_330  it.sv.de_443 lv.jw.id_543 
  0x6b1f0708, 0x17130ea7, 0x31001319, 0x20002808,   // it.cy.ceb_443 is.et.sr_532  et.az.un_750 sw.sq.un_430 
  0x1f0c64a4, 0x131801a7, 0x0823440d, 0x1c13010c,   // lg.sv.cy_433 en.ga.et_532  kk.ky.uk_554 en.et.id_543 
  0x040a11ac, 0x291325a4, 0x731337ad, 0x2a011fec,   // ro.mk.ru_632 eu.et.sl_433  st.et.ny_643 cy.en.mt_644 
  // [9900]
  0x2a050707, 0x03093fa0, 0x062a0307, 0x072304a0,   // it.fr.mt_432 af.pl.nl_322  nl.mt.de_432 ru.ky.bg_322 
  0x06001e1a, 0x020708a0, 0x06006421, 0x55733f04,   // ms.de.un_760 no.it.da_322  lg.de.un_860 af.ny.rw_332 
  0x01093fee, 0x032a3fa0, 0x56130412, 0x13002b11,   // af.pl.en_422 af.mt.nl_322  fi.et.mg_654 vi.et.un_630 
  0x046453a0, 0x111205a0, 0x0d2d09ad, 0x55180508,   // ht.lg.fi_322 fr.hu.ro_322  pl.sk.cs_643 fr.ga.rw_443 
  // [9910]
  0x13000113, 0x0b001107, 0x1f001c0d, 0x370912ee,   // en.et.un_650 ro.es.un_420  id.cy.un_540 hu.pl.st_422 
  0x12000909, 0x27283207, 0x250612ad, 0x031f0607,   // pl.hu.un_440 bs.sw.gd_432  hu.de.eu_643 de.cy.nl_432 
  0x06020c07, 0x6b000c04, 0x0c1364a0, 0x03002007,   // sv.da.de_432 sv.ceb.un_320  lg.et.sv_322 sq.nl.un_420 
  0x20642807, 0x060c3004, 0x09002a19, 0x0a1704a0,   // sw.lg.sq_432 uz.sv.de_332  mt.pl.un_750 ru.sr.mk_322 
  // [9920]
  0x06040112, 0x072a040c, 0x351107a4, 0x19271811,   // en.fi.de_654 fi.mt.it_543  bg.ro.tg_433 ga.gd.gl_653 
  0x190a18ec, 0x2a0604a4, 0x06130c02, 0x041012ee,   // ga.pt.gl_644 fi.de.mt_433  sv.et.de_222 hu.lt.fi_422 
  0x03300412, 0x0807100d, 0x042a0808, 0x0a043511,   // fi.uz.nl_654 be.bg.uk_554  no.mt.fi_443 tg.ru.mk_653 
  0x172d0d09, 0x53190b08, 0x05060707, 0x0d172d07,   // cs.sk.sr_444 es.gl.ht_443  it.de.fr_432 sk.sr.cs_432 
  // [9930]
  0x090c0da7, 0x0c081fa0, 0x0a0711a4, 0x2a00030c,   // cs.sv.pl_532 cy.no.sv_322  ro.bg.mk_433 nl.mt.un_530 
  0x2b001214, 0x17001905, 0x091c130b, 0x08042a12,   // hu.vi.un_660 gl.sr.un_330  bh.mr.hi_542 mt.fi.no_654 
  0x040910a4, 0x0c0813a4, 0x2d0d3005, 0x6408040c,   // lt.pl.fi_433 et.no.sv_433  uz.cs.sk_333 fi.no.lg_543 
  0x322d3008, 0x281a2fad, 0x3f040807, 0x081004a0,   // uz.sk.bs_443 su.tl.sw_643  no.fi.af_432 fi.lt.no_322 
  // [9940]
  0x285573af, 0x2d001705, 0x351004a6, 0x2312050c,   // ny.rw.sw_655 sr.sk.un_330  ru.be.tg_521 fr.hu.ca_543 
  0x3025370c, 0x0e006b04, 0x552d10a0, 0x11052307,   // st.eu.uz_543 ceb.is.un_320  lt.sk.rw_322 ca.fr.ro_432 
  0x122f1c0c, 0x32273da0, 0x0b251f0c, 0x27000112,   // id.su.hu_543 ku.gd.bs_322  cy.eu.es_543 en.gd.un_640 
  0x23002709, 0x0813020c, 0x443530af, 0x17002702,   // gd.ca.un_440 da.et.no_543  uz.tg.kk_655 gd.sr.un_220 
  // [9950]
  0x0a07300b, 0x072356a0, 0x6b2501ee, 0x07100813,   // uz.bg.mk_542 mg.ca.it_322  en.eu.ceb_422 uk.be.bg_665 
  0x281c01a0, 0x301931a7, 0x1a002f12, 0x182701a7,   // en.id.sw_322 az.gl.uz_532  su.tl.un_640 en.gd.ga_532 
  0x070a0412, 0x03000505, 0x1a2f010c, 0x55182708,   // ru.mk.bg_654 fr.nl.un_330  en.su.tl_543 gd.ga.rw_443 
  0x101e1cad, 0x0b0107a0, 0x20091f02, 0x29162da0,   // id.ms.lt_643 it.en.es_322  cy.pl.sq_222 sk.hr.sl_322 
  // [9960]
  0x1b1a640c, 0x2f27300c, 0x55121f12, 0x08000e1a,   // lg.tl.tr_543 uz.gd.su_543  cy.hu.rw_654 is.no.un_760 
  0x6e321604, 0x045637ee, 0x2300730d, 0x091c1e11,   // hr.bs.hmn_332 st.mg.fi_422  ny.ca.un_540 ms.id.pl_653 
  0x2a203007, 0x11000f12, 0x1e1f0fee, 0x09110a0c,   // uz.sq.mt_432 lv.ro.un_640  lv.cy.ms_422 pt.ro.pl_543 
  0x0c3f02a0, 0x320625a7, 0x21372fec, 0x01251fee,   // da.af.sv_322 eu.de.bs_532  su.st.jw_644 cy.eu.en_422 
  // [9970]
  0x102304ec, 0x20001113, 0x190b12ec, 0x230501a9,   // ru.ky.be_644 ro.sq.un_650  hu.es.gl_644 en.fr.ca_544 
  0x2111070c, 0x051201a4, 0x112b0704, 0x0e081304,   // it.ro.jw_543 en.hu.fr_433  it.vi.ro_332 et.no.is_332 
  0x050401a4, 0x07552807, 0x01041904, 0x0e00050e,   // en.fi.fr_433 sw.rw.it_432  gl.fi.en_332 fr.is.un_550 
  0x12033011, 0x16217304, 0x06000404, 0x25132107,   // uz.nl.hu_653 ny.jw.hr_332  fi.de.un_320 jw.et.eu_432 
  // [9980]
  0x172a0808, 0x3031010c, 0x010f0807, 0x0f00130e,   // no.mt.sr_443 en.az.uz_543  no.lv.en_432 et.lv.un_550 
  0x212513af, 0x53001907, 0x0c231004, 0x1c2f3012,   // et.eu.jw_655 gl.ht.un_420  lt.ca.sv_332 uz.su.id_654 
  0x37000704, 0x0700051b, 0x05193f04, 0x0105190c,   // it.st.un_320 fr.it.un_770  af.gl.fr_332 gl.fr.en_543 
  0x30281b12, 0x09110613, 0x05313004, 0x230a170c,   // tr.sw.uz_654 de.ro.pl_665  uz.az.fr_332 sr.mk.ky_543 
  // [9990]
  0x09200f08, 0x111011a4, 0x101b28a0, 0x100501a4,   // lv.sq.pl_443 ro.be.ro_433  sw.tr.lt_322 en.fr.lt_433 
  0x20132107, 0x6400372b, 0x045319ee, 0x050801a4,   // jw.et.sq_432 st.lg.un_980  gl.ht.fi_422 en.no.fr_433 
  0x13212512, 0x64000912, 0x010d1904, 0x2106370b,   // eu.jw.et_654 pl.lg.un_640  gl.cs.en_332 st.de.jw_542 
  0x16001108, 0x061f3711, 0x060c0308, 0x036437ee,   // ro.hr.un_430 st.cy.de_653  nl.sv.de_443 st.lg.nl_422 
  // [99a0]
  0x0a112007, 0x17080712, 0x6400090c, 0x5373060b,   // sq.ro.pt_432 bg.uk.sr_654  pl.lg.un_530 de.ny.ht_542 
  0x23000802, 0x375564ec, 0x282a21ec, 0x567321ad,   // no.ca.un_220 lg.rw.st_644  jw.mt.sw_644 jw.ny.mg_643 
  0x10002102, 0x06001e07, 0x1a6b7305, 0x731b280c,   // jw.lt.un_220 ms.de.un_420  ny.ceb.tl_333 sw.tr.ny_543 
  0x2f000408, 0x28301ba0, 0x2556280b, 0x282a73a9,   // fi.su.un_430 tr.uz.sw_322  sw.mg.eu_542 ny.mt.sw_544 
  // [99b0]
  0x111255a6, 0x322d0d09, 0x30231f11, 0x23110405,   // rw.hu.ro_521 cs.sk.bs_444  cy.ca.uz_653 ru.ro.ky_333 
  0x25003d05, 0x25005502, 0x13001708, 0x2f00071a,   // ku.eu.un_330 rw.eu.un_220  sr.et.un_430 it.su.un_760 
  0x1f112713, 0x1b3721ee, 0x13001221, 0x56001c04,   // gd.ro.cy_665 jw.st.tr_422  hu.et.un_860 id.mg.un_320 
  0x29061b04, 0x160d29a4, 0x2f561ea0, 0x07250aad,   // tr.de.sl_332 sl.cs.hr_433  ms.mg.su_322 pt.eu.it_643 
  // [99c0]
  0x44080702, 0x11002004, 0x2d003009, 0x32110da0,   // bg.uk.kk_222 sq.ro.un_320  uz.sk.un_440 cs.ro.bs_322 
  0x0400010d, 0x172311a0, 0x07170404, 0x09181fad,   // en.fi.un_540 ro.ky.sr_322  ru.sr.bg_332 cy.ga.pl_643 
  0x05002321, 0x277318ee, 0x311b3011, 0x08100aa9,   // ca.fr.un_860 ga.ny.gd_422  uz.tr.az_653 mk.be.uk_544 
  0x6e211ca0, 0x53000514, 0x0823440c, 0x08092f04,   // id.jw.hmn_322 fr.ht.un_660  kk.ky.uk_543 su.pl.no_332 
  // [99d0]
  0x0b006e04, 0x2f001211, 0x30002f02, 0x19000119,   // hmn.es.un_320 hu.su.un_630  su.uz.un_220 en.gl.un_750 
  0x090553a6, 0x0b0512ad, 0x30160d07, 0x190a0d05,   // ht.fr.pl_521 hu.fr.es_643  cs.hr.uz_432 cs.pt.gl_333 
  0x013f0504, 0x23120511, 0x03001904, 0x0a006e0b,   // fr.af.en_332 fr.hu.ca_653  gl.nl.un_320 hmn.pt.un_520 
  0x0b000a21, 0x2f05010c, 0x230b0504, 0x2300302a,   // pt.es.un_860 en.fr.su_543  fr.es.ca_332 uz.ky.un_970 
  // [99e0]
  0x28001907, 0x0e006b12, 0x190a3f05, 0x092d02ee,   // gl.sw.un_420 ceb.is.un_640  af.pt.gl_333 da.sk.pl_422 
  0x642055a0, 0x05190a04, 0x19230555, 0x192d1ca0,   // rw.sq.lg_322 pt.gl.fr_332  fr.ca.gl_442 id.sk.gl_322 
  0x320829a0, 0x0500122c, 0x13005513, 0x0a2f6e5a,   // sl.no.bs_322 hu.fr.un_990  rw.et.un_650 hmn.su.pt_553 
  0x0b0523a9, 0x03050111, 0x2f051212, 0x0a006e08,   // ca.fr.es_544 en.fr.nl_653  hu.fr.su_654 hmn.pt.un_430 
  // [99f0]
  0x040a110c, 0x05001219, 0x532a07a9, 0x11001b04,   // ro.mk.ru_543 hu.fr.un_750  it.mt.ht_544 tr.ro.un_320 
  0x12002807, 0x0a7319a4, 0x072a20a4, 0x0717100e,   // sw.hu.un_420 gl.ny.pt_433  sq.mt.it_433 be.sr.bg_555 
  0x135301a0, 0x07000e13, 0x03000208, 0x03013f12,   // en.ht.et_322 is.it.un_650  da.nl.un_430 af.en.nl_654 
  0x2a190a08, 0x01001302, 0x32001308, 0x0e130c04,   // pt.gl.mt_443 et.en.un_220  et.bs.un_430 sv.et.is_332 
  // [9a00]
  0x53000107, 0x1a006b20, 0x28645512, 0x30002f19,   // en.ht.un_420 ceb.tl.un_850  rw.lg.sw_654 su.uz.un_750 
  0x552f1ca0, 0x3f020ca9, 0x19000804, 0x160103ee,   // id.su.rw_322 sv.da.af_544  no.gl.un_320 nl.en.hr_422 
  0x255631a0, 0x2f5564a4, 0x253256a0, 0x23080255,   // az.mg.eu_322 lg.rw.su_433  mg.bs.eu_322 da.no.ca_442 
  0x2800060d, 0x6425550d, 0x0300080c, 0x3f0a06a0,   // de.sw.un_540 rw.eu.lg_554  no.nl.un_530 de.pt.af_322 
  // [9a10]
  0x19010e0c, 0x122d29a0, 0x16002a04, 0x06735555,   // is.en.gl_543 sl.sk.hu_322  mt.hr.un_320 rw.ny.de_442 
  0x562f05ec, 0x55002521, 0x23552a0b, 0x102f2804,   // fr.su.mg_644 eu.rw.un_860  mt.rw.ca_542 sw.su.lt_332 
  0x127313ee, 0x250a23af, 0x1a2111a4, 0x170704a7,   // et.ny.hu_422 ca.pt.eu_655  ro.jw.tl_433 ru.bg.sr_532 
  0x3f092da4, 0x32005608, 0x2d3f09a9, 0x292011a0,   // sk.pl.af_433 mg.bs.un_430  pl.af.sk_544 ro.sq.sl_322 
  // [9a20]
  0x111144ad, 0x06000e05, 0x6b083f07, 0x190b3f12,   // kk.ro.ro_643 is.de.un_330  af.no.ceb_432 af.es.gl_654 
  0x06003f18, 0x0b093f08, 0x11100812, 0x0b090f04,   // af.de.un_740 af.pl.es_443  uk.be.ro_654 lv.pl.es_332 
  0x17001a04, 0x12080caf, 0x2d0d05ec, 0x301023ec,   // tl.sr.un_320 sv.no.hu_655  fr.cs.sk_644 ky.be.uz_644 
  0x030f0408, 0x03090613, 0x3f000f09, 0x010c3fa7,   // fi.lv.nl_443 de.pl.nl_665  lv.af.un_440 af.sv.en_532 
  // [9a30]
  0x1123070d, 0x093f0f08, 0x1110230c, 0x08170712,   // it.ca.ro_554 lv.af.pl_443  ky.be.ro_543 bg.sr.uk_654 
  0x2f250504, 0x233004ee, 0x300735a9, 0x043013a7,   // fr.eu.su_332 ru.uz.ky_422  tg.bg.uz_544 et.uz.fi_532 
  0x0407530c, 0x0e0c08ec, 0x12005507, 0x290d0fee,   // ht.it.fi_543 no.sv.is_644  rw.hu.un_420 lv.cs.sl_422 
  0x10006b18, 0x0c37300c, 0x06562007, 0x56002707,   // ceb.lt.un_740 uz.st.sv_543  sq.mg.de_432 gd.mg.un_420 
  // [9a40]
  0x2a033f08, 0x100c0814, 0x2a0e64ad, 0x2700230d,   // af.nl.mt_443 no.sv.lt_666  lg.is.mt_643 ca.gd.un_540 
  0x183f0755, 0x1923055a, 0x1c12210d, 0x12190a09,   // it.af.ga_442 fr.ca.gl_553  jw.hu.id_554 pt.gl.hu_444 
  0x19042707, 0x1b2a6412, 0x0500191a, 0x56190a05,   // gd.fi.gl_432 lg.mt.tr_654  gl.fr.un_760 pt.gl.mg_333 
  0x2104560c, 0x2d0d0fee, 0x11003d1e, 0x0e7310ee,   // mg.fi.jw_543 lv.cs.sk_422  ku.ro.un_830 lt.ny.is_422 
  // [9a50]
  0x01002005, 0x080710af, 0x300413a4, 0x190a1305,   // sq.en.un_330 be.bg.uk_655  et.fi.uz_433 et.pt.gl_333 
  0x2f08100c, 0x2f1c21a4, 0x37005504, 0x1a6b3f11,   // lt.no.su_543 jw.id.su_433  rw.st.un_320 af.ceb.tl_653 
  0x0d6e5607, 0x132a1055, 0x1c04180c, 0x1304050c,   // mg.hmn.cs_432 lt.mt.et_442  ga.fi.id_543 fr.fi.et_543 
  0x2b050107, 0x64287304, 0x64556ba9, 0x17000504,   // en.fr.vi_432 ny.sw.lg_332  ceb.rw.lg_544 fr.sr.un_320 
  // [9a60]
  0x07113011, 0x0c0804ad, 0x08005521, 0x25003d18,   // uz.ro.bg_653 fi.no.sv_643  rw.no.un_860 ku.eu.un_740 
  0x30310e0c, 0x19250ba9, 0x1c5604ec, 0x041319a4,   // is.az.uz_543 es.eu.gl_544  fi.mg.id_644 gl.et.fi_433 
  0x120e010c, 0x01040e04, 0x3d10010c, 0x202d0d60,   // en.is.hu_543 is.fi.en_332  en.lt.ku_543 cs.sk.sq_664 
  0x3719550c, 0x010e1008, 0x252110a7, 0x1200560c,   // rw.gl.st_543 lt.is.en_443  lt.jw.eu_532 mg.hu.un_530 
  // [9a70]
  0x0a002708, 0x6e182711, 0x64303105, 0x562718a7,   // gd.pt.un_430 gd.ga.hmn_653  az.uz.lg_333 ga.gd.mg_532 
  0x550621ee, 0x190b0a12, 0x37002b19, 0x173510ec,   // jw.de.rw_422 pt.es.gl_654  vi.st.un_750 be.tg.sr_644 
  0x2900080e, 0x2d0d12a6, 0x0e08200b, 0x0502080c,   // no.sl.un_550 hu.cs.sk_521  sq.no.is_542 no.da.fr_543 
  0x25271102, 0x0e1304af, 0x07003704, 0x0a07085a,   // ro.gd.eu_222 fi.et.is_655  st.it.un_320 uk.bg.mk_553 
  // [9a80]
  0x35000405, 0x37002b18, 0x19000a0d, 0x2b00271b,   // ru.tg.un_330 vi.st.un_740  pt.gl.un_540 gd.vi.un_770 
  0x0b002807, 0x37001104, 0x111827af, 0x11000c0c,   // sw.es.un_420 ro.st.un_320  gd.ga.ro_655 sv.ro.un_530 
  0x17043013, 0x052f0eaf, 0x0a3023ec, 0x3f002f04,   // uz.ru.sr_665 is.su.fr_655  ky.uz.mk_644 su.af.un_320 
  0x05000a12, 0x160555ee, 0x353007ad, 0x121b250d,   // pt.fr.un_640 rw.fr.hr_422  bg.uz.tg_643 eu.tr.hu_554 
  // [9a90]
  0x311630ee, 0x07190b02, 0x250e0ca7, 0x022b010c,   // uz.hr.az_422 es.gl.it_222  sv.is.eu_532 en.vi.da_543 
  0x083004a4, 0x561a5505, 0x0e052fa0, 0x12003209,   // ru.uz.uk_433 rw.tl.mg_333  su.fr.is_322 bs.hu.un_440 
  0x04000204, 0x6b2f1a08, 0x0a122d11, 0x13000920,   // da.fi.un_320 tl.su.ceb_443  sk.hu.pt_653 hi.bh.un_850 
  0x212f0eb2, 0x55133704, 0x73371aa4, 0x31302055,   // is.su.jw_732 st.et.rw_332  tl.st.ny_433 sq.uz.az_442 
  // [9aa0]
  0x13002a04, 0x64282f13, 0x230d0aee, 0x091f0d07,   // mt.et.un_320 su.sw.lg_665  pt.cs.ca_422 cs.cy.pl_432 
  0x190a12ac, 0x11001a22, 0x2f1a2113, 0x216b2804,   // hu.pt.gl_632 tl.ro.un_870  jw.tl.su_665 sw.ceb.jw_332 
  0x12551a04, 0x100b0f55, 0x230219a6, 0x12555604,   // tl.rw.hu_332 lv.es.lt_442  gl.da.ca_521 mg.rw.hu_332 
  0x2f006b02, 0x55006b13, 0x190a56ec, 0x210b0507,   // ceb.su.un_220 ceb.rw.un_650  mg.pt.gl_644 fr.es.jw_432 
  // [9ab0]
  0x37005604, 0x09003f08, 0x132d0da0, 0x6b0d560c,   // mg.st.un_320 af.pl.un_430  cs.sk.et_322 mg.cs.ceb_543 
  0x131617ad, 0x132f2109, 0x074410ee, 0x0d6b2da4,   // sr.hr.et_643 jw.su.et_444  be.kk.bg_422 sk.ceb.cs_433 
  0x562f05ad, 0x2b371c07, 0x17000721, 0x1325730c,   // fr.su.mg_643 id.st.vi_432  bg.sr.un_860 ny.eu.et_543 
  0x19000512, 0x05007308, 0x0a2307a4, 0x181e0408,   // fr.gl.un_640 ny.fr.un_430  it.ca.pt_433 fi.ms.ga_443 
  // [9ac0]
  0x2a002708, 0x73182704, 0x20123205, 0x052112ac,   // gd.mt.un_430 gd.ga.ny_332  bs.hu.sq_333 hu.jw.fr_632 
  0x23640904, 0x121a6b5a, 0x1e1c2705, 0x0d050aa9,   // pl.lg.ca_332 ceb.tl.hu_553  gd.id.ms_333 pt.fr.cs_544 
  0x0a053d0e, 0x0e002f04, 0x0d321705, 0x0d1c130b,   // ku.fr.pt_555 su.is.un_320  sr.bs.cs_333 bh.mr.ne_542 
  0x640a3708, 0x1a056ba7, 0x1e1c01a9, 0x122d0d1b,   // st.pt.lg_443 ceb.fr.tl_532  en.id.ms_544 cs.sk.hu_777 
  // [9ad0]
  0x5628645a, 0x1b215308, 0x11003719, 0x37536413,   // lg.sw.mg_553 ht.jw.tr_443  st.ro.un_750 lg.ht.st_665 
  0x0b0a12b2, 0x3700281a, 0x122d0d07, 0x2f37285a,   // hu.pt.es_732 sw.st.un_760  cs.sk.hu_432 sw.st.su_553 
  0x08171155, 0x190b110e, 0x29000f05, 0x0200230e,   // ro.sr.uk_442 ro.es.gl_555  lv.sl.un_330 ca.da.un_550 
  0x645637ad, 0x2f0302ad, 0x73000413, 0x0c0801a0,   // st.mg.lg_643 da.nl.su_643  fi.ny.un_650 en.no.sv_322 
  // [9ae0]
  0x0f0711a0, 0x060c13ee, 0x192025a0, 0x1000290c,   // ro.it.lv_322 et.sv.de_422  eu.sq.gl_322 sl.lt.un_530 
  0x10000b07, 0x0a0b2908, 0x06031602, 0x0802130c,   // es.lt.un_420 sl.es.pt_443  hr.nl.de_222 et.da.no_543 
  0x3f002a04, 0x044430ee, 0x19000b29, 0x370b200c,   // mt.af.un_320 uz.kk.ru_422  es.gl.un_960 sq.es.st_543 
  0x03170804, 0x29007308, 0x10441707, 0x25121fa7,   // no.sr.nl_332 ny.sl.un_430  sr.kk.be_432 cy.hu.eu_532 
  // [9af0]
  0x13091204, 0x07006b12, 0x10041aa4, 0x21282011,   // hu.pl.et_332 ceb.it.un_640  tl.fi.lt_433 sq.sw.jw_653 
  0x64001804, 0x092f1c02, 0x281327a0, 0x18042707,   // ga.lg.un_320 id.su.pl_222  gd.et.sw_322 gd.fi.ga_432 
  0x31042505, 0x04170a11, 0x11232704, 0x32090511,   // eu.fi.az_333 mk.sr.ru_653  gd.ca.ro_332 fr.pl.bs_653 
  0x211029a4, 0x29000a13, 0x37530509, 0x19290bee,   // sl.lt.jw_433 pt.sl.un_650  fr.ht.st_444 es.sl.gl_422 
  // [9b00]
  0x2f110804, 0x19100907, 0x04001212, 0x73371b04,   // no.ro.su_332 pl.lt.gl_432  hu.fi.un_640 tr.st.ny_332 
  0x35040805, 0x08002722, 0x0a000509, 0x120c0607,   // uk.ru.tg_333 gd.no.un_870  fr.pt.un_440 de.sv.hu_432 
  0x3f270407, 0x1a301c07, 0x100717ad, 0x040127a0,   // fi.gd.af_432 id.uz.tl_432  sr.bg.be_643 gd.en.fi_322 
  0x23044413, 0x56002007, 0x02000507, 0x2300080c,   // kk.ru.ky_665 sq.mg.un_420  fr.da.un_420 uk.ky.un_530 
  // [9b10]
  0x0f01070c, 0x07561ba0, 0x301b3104, 0x080a07ad,   // it.en.lv_543 tr.mg.it_322  az.tr.uz_332 bg.mk.uk_643 
  0x050a0ea0, 0x27000812, 0x29201111, 0x03002702,   // is.pt.fr_322 no.gd.un_640  ro.sq.sl_653 gd.nl.un_220 
  0x16292aee, 0x080711ad, 0x10090408, 0x12292002,   // mt.sl.hr_422 ro.bg.uk_643  fi.pl.lt_443 sq.sl.hu_222 
  0x10071704, 0x07103507, 0x290f1012, 0x1e301caf,   // sr.bg.be_332 tg.be.bg_432  lt.lv.sl_654 id.uz.ms_655 
  // [9b20]
  0x210e1207, 0x20292a60, 0x132029ad, 0x131f01ad,   // hu.is.jw_432 mt.sl.sq_664  sl.sq.et_643 en.cy.et_643 
  0x302556a0, 0x090410a4, 0x091f0405, 0x0d001012,   // mg.eu.uz_322 lt.fi.pl_433  fi.cy.pl_333 lt.cs.un_640 
  0x044423a7, 0x08001604, 0x2a070ca4, 0x01000d19,   // ky.kk.ru_532 hr.no.un_320  sv.it.mt_433 cs.en.un_750 
  0x1f1e1c04, 0x183f01a7, 0x73002105, 0x080a2705,   // id.ms.cy_332 en.af.ga_532  jw.ny.un_330 gd.pt.no_333 
  // [9b30]
  0x1b0e30a4, 0x6b2f25a0, 0x29051f0b, 0x06001f14,   // uz.is.tr_433 eu.su.ceb_322  cy.fr.sl_542 cy.de.un_660 
  0x130103ee, 0x1908100c, 0x030802a4, 0x56003f04,   // nl.en.et_422 lt.no.gl_543  da.no.nl_433 af.mg.un_320 
  0x06033f60, 0x2f003012, 0x131f0112, 0x040a2307,   // af.nl.de_664 uz.su.un_640  en.cy.et_654 ky.mk.ru_432 
  0x3102080c, 0x1c301ea0, 0x3f553704, 0x18002734,   // no.da.az_543 ms.uz.id_322  st.rw.af_332 gd.ga.un_A80 
  // [9b40]
  0x081030a4, 0x1000560d, 0x02001f14, 0x251827ec,   // uz.lt.no_433 mg.lt.un_540  cy.da.un_660 gd.ga.eu_644 
  0x2500070c, 0x182527af, 0x250a0107, 0x110f0107,   // it.eu.un_530 gd.eu.ga_655  en.pt.eu_432 en.lv.ro_432 
  0x0d372d04, 0x0a301107, 0x280811a0, 0x18052713,   // sk.st.cs_332 ro.uz.mk_432  ro.no.sw_322 gd.fr.ga_665 
  0x1b002004, 0x10045608, 0x25072a12, 0x6404370d,   // sq.tr.un_320 mg.fi.lt_443  mt.it.eu_654 st.fi.lg_554 
  // [9b50]
  0x281e1c60, 0x1c2f1eec, 0x205653ee, 0x1e1c20a6,   // id.ms.sw_664 ms.su.id_644  ht.mg.sq_422 sq.id.ms_521 
  0x182725ad, 0x25206e07, 0x3f0b5504, 0x04111007,   // eu.gd.ga_643 hmn.sq.eu_432  rw.es.af_332 be.ro.ru_432 
  0x080705a0, 0x23001122, 0x282f1305, 0x23353012,   // fr.it.no_322 ro.ca.un_870  et.su.sw_333 uz.tg.ky_654 
  0x530208ec, 0x282023ee, 0x11735604, 0x3f080213,   // no.da.ht_644 ca.sq.sw_422  mg.ny.ro_332 da.no.af_665 
  // [9b60]
  0x28213007, 0x27005304, 0x0d0913ac, 0x291337a4,   // uz.jw.sw_432 ht.gd.un_320  bh.hi.ne_632 st.et.sl_433 
  0x11111712, 0x29002009, 0x1a372aa0, 0x30280907,   // sr.ro.ro_654 sq.sl.un_440  mt.st.tl_322 pl.sw.uz_432 
  0x0a351707, 0x25003004, 0x6b0b07ad, 0x130208a7,   // sr.tg.mk_432 uz.eu.un_320  it.es.ceb_643 no.da.et_532 
  0x102f1ea0, 0x0a040802, 0x1e001104, 0x06035307,   // ms.su.lt_322 uk.ru.mk_222  ro.ms.un_320 ht.nl.de_432 
  // [9b70]
  0x2b050a5a, 0x1e115604, 0x1b233007, 0x1b1310a0,   // pt.fr.vi_553 mg.ro.ms_332  uz.ca.tr_432 lt.et.tr_322 
  0x370a20a7, 0x28000a13, 0x107328ad, 0x11040a0c,   // sq.pt.st_532 pt.sw.un_650  sw.ny.lt_643 mk.ru.ro_543 
  0x0e040fa0, 0x10302355, 0x110a2308, 0x0c0e130b,   // lv.fi.is_322 ky.uz.be_442  ca.pt.ro_443 et.is.sv_542 
  0x2d102913, 0x1004230c, 0x01216ba0, 0x37006408,   // sl.lt.sk_665 ky.ru.be_543  ceb.jw.en_322 lg.st.un_430 
  // [9b80]
  0x07192312, 0x06050fee, 0x071704a9, 0x1b2a31a4,   // ca.gl.it_654 lv.fr.de_422  ru.sr.bg_544 az.mt.tr_433 
  0x73002808, 0x2a1125ee, 0x070a08ec, 0x04061008,   // sw.ny.un_430 eu.ro.mt_422  uk.mk.bg_644 lt.de.fi_443 
  0x05731a0d, 0x19005521, 0x73002820, 0x060e1a07,   // tl.ny.fr_554 rw.gl.un_860  sw.ny.un_850 tl.is.de_432 
  0x23441011, 0x071911a0, 0x133f02a0, 0x1a0173a0,   // be.kk.ky_653 ro.gl.it_322  da.af.et_322 ny.en.tl_322 
  // [9b90]
  0x0d53250c, 0x645528af, 0x17071007, 0x1c0d13a6,   // eu.ht.cs_543 sw.rw.lg_655  be.bg.sr_432 bh.ne.mr_521 
  0x130c06a7, 0x200603ec, 0x537328a7, 0x17001108,   // de.sv.et_532 nl.de.sq_644  sw.ny.ht_532 ro.sr.un_430 
  0x19111804, 0x1b001f12, 0x56000a02, 0x1100530d,   // ga.ro.gl_332 cy.tr.un_640  pt.mg.un_220 ht.ro.un_540 
  0x641955ad, 0x040a10ad, 0x3f03130e, 0x190b7305,   // rw.gl.lg_643 be.mk.ru_643  et.nl.af_555 ny.es.gl_333 
  // [9ba0]
  0x1b283108, 0x070a0811, 0x0802060b, 0x09001207,   // az.sw.tr_443 uk.mk.bg_653  de.da.no_542 hu.pl.un_420 
  0x08300408, 0x53302860, 0x18075605, 0x051b2707,   // ru.uz.uk_443 sw.uz.ht_664  mg.it.ga_333 gd.tr.fr_432 
  0x06370309, 0x292d0da9, 0x272321a4, 0x05000d04,   // nl.st.de_444 cs.sk.sl_544  jw.ca.gd_433 cs.fr.un_320 
  0x37000f0d, 0x280627ee, 0x64080707, 0x56000612,   // lv.st.un_540 gd.de.sw_422  it.no.lg_432 de.mg.un_640 
  // [9bb0]
  0x2d096407, 0x190b5614, 0x23531f0c, 0x2a081ba0,   // lg.pl.sk_432 mg.es.gl_666  cy.ht.ca_543 tr.no.mt_322 
  0x03070b09, 0x08103508, 0x37275608, 0x3073030c,   // es.it.nl_444 tg.be.uk_443  mg.gd.st_443 nl.ny.uz_543 
  0x10442311, 0x301107a4, 0x111b2004, 0x37000913,   // ky.kk.be_653 bg.ro.uz_433  sq.tr.ro_332 pl.st.un_650 
  0x18003d12, 0x070601a4, 0x1b093707, 0x73000622,   // ku.ga.un_640 en.de.it_433  st.pl.tr_432 de.ny.un_870 
  // [9bc0]
  0x05102807, 0x272501a4, 0x732d0d05, 0x21531008,   // sw.lt.fr_432 en.eu.gd_433  cs.sk.ny_333 lt.ht.jw_443 
  0x11072504, 0x112507ee, 0x101735ee, 0x23443005,   // eu.it.ro_332 it.eu.ro_422  tg.sr.be_422 uz.kk.ky_333 
  0x11252dad, 0x01060808, 0x1c1e2560, 0x080c25ee,   // sk.eu.ro_643 no.de.en_443  eu.ms.id_664 eu.sv.no_422 
  0x56102004, 0x081b01a0, 0x251107a9, 0x56112504,   // sq.lt.mg_332 en.tr.no_322  it.ro.eu_544 eu.ro.mg_332 
  // [9bd0]
  0x022108a4, 0x110712a0, 0x1e1c12af, 0x1a286b07,   // no.jw.da_433 hu.it.ro_322  hu.id.ms_655 ceb.sw.tl_432 
  0x2a28550d, 0x5612280c, 0x07202507, 0x286b5613,   // rw.sw.mt_554 sw.hu.mg_543  eu.sq.it_432 mg.ceb.sw_665 
  0x0b072d5a, 0x09732d12, 0x281164ec, 0x11252dee,   // sk.it.es_553 sk.ny.pl_654  lg.ro.sw_644 sk.eu.ro_422 
  0x0407170c, 0x072511a4, 0x313073a0, 0x30290f07,   // sr.bg.ru_543 ro.eu.it_433  ny.uz.az_322 lv.sl.uz_432 
  // [9be0]
  0x273701a9, 0x280855a4, 0x1c1e1811, 0x07642a14,   // en.st.gd_544 rw.no.sw_433  ga.ms.id_653 mt.lg.it_666 
  0x0e18190d, 0x29201b02, 0x37001e0d, 0x0d6428a6,   // gl.ga.is_554 tr.sq.sl_222  ms.st.un_540 sw.lg.cs_521 
  0x072a0d07, 0x182f2155, 0x17131ca0, 0x0b6473a4,   // cs.mt.it_432 jw.su.ga_442  id.et.sr_322 ny.lg.es_433 
  0x110a07a4, 0x11003707, 0x190b6409, 0x561e1c0c,   // bg.mk.ro_433 st.ro.un_420  lg.es.gl_444 id.ms.mg_543 
  // [9bf0]
  0x2700100d, 0x0e0c04a9, 0x280773a4, 0x641c1e0c,   // lt.gd.un_540 fi.sv.is_544  ny.it.sw_433 ms.id.lg_543 
  0x732564a4, 0x032f56a4, 0x372f0b07, 0x1b10250c,   // lg.eu.ny_433 mg.su.nl_433  es.su.st_432 eu.lt.tr_543 
  0x070b6455, 0x0b271812, 0x0729560c, 0x550764a4,   // lg.es.it_442 ga.gd.es_654  mg.sl.it_543 lg.it.rw_433 
  0x1f1a6b0c, 0x18272813, 0x10133fec, 0x0f002722,   // ceb.tl.cy_543 sw.gd.ga_665  af.et.lt_644 gd.lv.un_870 
  
  // [9c00]
  0x2573530c, 0x2a000e1a, 0x6b0e275a, 0x7355070c,   // ht.ny.eu_543 is.mt.un_760  gd.is.ceb_553 it.rw.ny_543 
  0x1c5564a0, 0x2d0d0a09, 0x020e3107, 0x3f1a6b11,   // lg.rw.id_322 pt.cs.sk_444  az.is.da_432 ceb.tl.af_653 
  0x3f102508, 0x04531e07, 0x2b3028a0, 0x32170da0,   // eu.lt.af_443 ms.ht.fi_432  sw.uz.vi_322 cs.sr.bs_322 
  0x0b557304, 0x30185305, 0x27131ca0, 0x560407ee,   // ny.rw.es_332 ht.ga.uz_333  id.et.gd_322 it.fi.mg_422 
  // [9c10]
  0x27041307, 0x12311bad, 0x0e3f0807, 0x190756a9,   // et.fi.gd_432 tr.az.hu_643  no.af.is_432 mg.it.gl_544 
  0x6455730c, 0x0f13100b, 0x2d0d6ea4, 0x18090d0c,   // ny.rw.lg_543 lt.et.lv_542  hmn.cs.sk_433 cs.pl.ga_543 
  0x18000418, 0x053d1ea4, 0x55375614, 0x64000b05,   // fi.ga.un_740 ms.ku.fr_433  mg.st.rw_666 es.lg.un_330 
  0x3f311ba9, 0x17043f08, 0x101b2108, 0x21130909,   // tr.az.af_544 af.fi.sr_443  jw.tr.lt_443 pl.et.jw_444 
  // [9c20]
  0x27090107, 0x190a1814, 0x080a0407, 0x083f0255,   // en.pl.gd_432 ga.pt.gl_666  ru.mk.uk_432 da.af.no_442 
  0x05537355, 0x32172955, 0x232f2110, 0x062d0309,   // ny.ht.fr_442 sl.sr.bs_442  jw.su.ca_642 nl.sk.de_444 
  0x07300aa0, 0x03010207, 0x074404a9, 0x06052f0c,   // mk.uz.bg_322 da.en.nl_432  ru.kk.bg_544 su.fr.de_543 
  0x0300050c, 0x07000a21, 0x2d0d050e, 0x062f3f12,   // fr.nl.un_530 mk.bg.un_860  fr.cs.sk_555 af.su.de_654 
  // [9c30]
  0x170708a9, 0x02002719, 0x440417a4, 0x08071105,   // uk.bg.sr_544 gd.da.un_750  sr.ru.kk_433 ro.bg.uk_333 
  0x44231005, 0x552f05ee, 0x0c081f07, 0x560305ad,   // be.ky.kk_333 fr.su.rw_422  cy.no.sv_432 fr.nl.mg_643 
  0x290c08ee, 0x20001f09, 0x0c001002, 0x04080c02,   // no.sv.sl_422 cy.sq.un_440  lt.sv.un_220 sv.no.fi_222 
  0x2f1304a0, 0x08053f08, 0x04306ba0, 0x350a040e,   // fi.et.su_322 af.fr.no_443  ceb.uz.fi_322 ru.mk.tg_555 
  // [9c40]
  0x032f0504, 0x06190504, 0x27182ba4, 0x04002513,   // fr.su.nl_332 fr.gl.de_332  vi.ga.gd_433 eu.fi.un_650 
  0x0a100802, 0x27186ba7, 0x042317ee, 0x31001108,   // uk.be.mk_222 ceb.ga.gd_532  sr.ky.ru_422 ro.az.un_430 
  0x20006e0c, 0x1c557309, 0x30172311, 0x04181760,   // hmn.sq.un_530 ny.rw.id_444  ky.sr.uz_653 sr.ar.ru_664 
  0x06301baf, 0x040853a4, 0x1b110a07, 0x1b300e04,   // tr.uz.de_655 ht.no.fi_433  pt.ro.tr_432 is.uz.tr_332 
  // [9c50]
  0x1b003205, 0x281030ee, 0x113173a4, 0x203028a7,   // bs.tr.un_330 uz.lt.sw_422  ny.az.ro_433 sw.uz.sq_532 
  0x3f001f04, 0x0f2864ee, 0x271f1104, 0x18000e0d,   // cy.af.un_320 lg.sw.lv_422  ro.cy.gd_332 is.ga.un_540 
  0x301c1ea4, 0x230511a4, 0x20002b02, 0x2d1720a6,   // ms.id.uz_433 ro.fr.ca_433  vi.sq.un_220 sq.sr.sk_521 
  0x2d0973ec, 0x23100509, 0x130412ec, 0x0b00641a,   // ny.pl.sk_644 fr.lt.ca_444  hu.fi.et_644 lg.es.un_760 
  // [9c60]
  0x08732007, 0x102825ad, 0x10230c08, 0x53642a02,   // sq.ny.no_432 eu.sw.lt_643  sv.ca.lt_443 mt.lg.ht_222 
  0x17000304, 0x1013230c, 0x73002d0d, 0x085320ec,   // nl.sr.un_320 ca.et.lt_543  sk.ny.un_540 sq.ht.no_644 
  0x05230355, 0x170a1fad, 0x05012308, 0x640701a0,   // nl.ca.fr_442 cy.pt.sr_643  ca.en.fr_443 en.it.lg_322 
  0x1e1b31a0, 0x1b136407, 0x2f1b1aa4, 0x1f1302a0,   // az.tr.ms_322 lg.et.tr_432  tl.tr.su_433 da.et.cy_322 
  // [9c70]
  0x1b007308, 0x28002a07, 0x2300252b, 0x0e000309,   // ny.tr.un_430 mt.sw.un_420  eu.ca.un_980 nl.is.un_440 
  0x1f5305a4, 0x28647312, 0x0f07090c, 0x110523ad,   // fr.ht.cy_433 ny.lg.sw_654  pl.it.lv_543 ca.fr.ro_643 
  0x23000523, 0x12000923, 0x292a0713, 0x12730f5a,   // fr.ca.un_880 pl.hu.un_880  it.mt.sl_665 lv.ny.hu_553 
  0x28000f22, 0x6b13280b, 0x03041360, 0x28551e04,   // lv.sw.un_870 sw.et.ceb_542  et.fi.nl_664 ms.rw.sw_332 
  // [9c80]
  0x063073ee, 0x3f0523a9, 0x283020af, 0x0a04080c,   // ny.uz.de_422 ca.fr.af_544  sq.uz.sw_655 uk.ru.mk_543 
  0x1123050c, 0x64036b07, 0x121304ec, 0x19002308,   // fr.ca.ro_543 ceb.nl.lg_432  fi.et.hu_644 ca.gl.un_430 
  0x56060514, 0x0a0419a0, 0x01090cee, 0x03321605,   // fr.de.mg_666 gl.fi.pt_322  sv.pl.en_422 hr.bs.nl_333 
  0x20302809, 0x31015505, 0x64082807, 0x27002522,   // sw.uz.sq_444 rw.en.az_333  sw.no.lg_432 eu.gd.un_870 
  // [9c90]
  0x080717ad, 0x11371c08, 0x64203713, 0x6b1a0e08,   // sr.bg.uk_643 id.st.ro_443  st.sq.lg_665 is.tl.ceb_443 
  0x1b040eaf, 0x1c5537a0, 0x11050355, 0x73006422,   // is.fi.tr_655 st.rw.id_322  nl.fr.ro_442 lg.ny.un_870 
  0x28205511, 0x06002f14, 0x1002080c, 0x550e37ad,   // rw.sq.sw_653 su.de.un_660  no.da.lt_543 st.is.rw_643 
  0x09736408, 0x08641c07, 0x73001e05, 0x3000551a,   // lg.ny.pl_443 id.lg.no_432  ms.ny.un_330 rw.uz.un_760 
  // [9ca0]
  0x070c0407, 0x1101130c, 0x17203704, 0x302319a0,   // fi.sv.it_432 et.en.ro_543  st.sq.sr_332 gl.ca.uz_322 
  0x0400132a, 0x31111ba9, 0x28096bad, 0x53642a0e,   // et.fi.un_970 tr.ro.az_544  ceb.pl.sw_643 mt.lg.ht_555 
  0x13080e08, 0x080273af, 0x2f0764ee, 0x04287305,   // is.no.et_443 ny.da.no_655  lg.it.su_422 ny.sw.fi_333 
  0x30051b05, 0x191b0fec, 0x23110508, 0x20003014,   // tr.fr.uz_333 lv.tr.gl_644  fr.ro.ca_443 uz.sq.un_660 
  // [9cb0]
  0x04002107, 0x567337af, 0x06311baf, 0x301c73ee,   // jw.fi.un_420 st.ny.mg_655  tr.az.de_655 ny.id.uz_422 
  0x09003f19, 0x7328300b, 0x30000d07, 0x0f121ba7,   // af.pl.un_750 uz.sw.ny_542  cs.uz.un_420 tr.hu.lv_532 
  0x06256405, 0x13212fa0, 0x3f2016a0, 0x09002a07,   // lg.eu.de_333 su.jw.et_322  hr.sq.af_322 mt.pl.un_420 
  0x31061b0e, 0x25120412, 0x0864130c, 0x121304a4,   // tr.de.az_555 fi.hu.eu_654  et.lg.no_543 fi.et.hu_433 
  // [9cc0]
  0x23641107, 0x03131204, 0x0e3d1c07, 0x31002118,   // ro.lg.ca_432 hu.et.nl_332  id.ku.is_432 jw.az.un_740 
  0x04000904, 0x07100808, 0x0e08040c, 0x1704080e,   // pl.fi.un_320 uk.be.bg_443  fi.no.is_543 uk.ru.sr_555 
  0x2d001013, 0x53321708, 0x0c00021f, 0x35001714,   // lt.sk.un_650 sr.bs.ht_443  da.sv.un_840 sr.tg.un_660 
  0x25001702, 0x6b002a05, 0x170a075a, 0x2a00060c,   // sr.eu.un_220 mt.ceb.un_330  bg.mk.sr_553 de.mt.un_530 
  // [9cd0]
  0x30002908, 0x443008a7, 0x0a04170b, 0x0f000d12,   // sl.uz.un_430 uk.uz.kk_532  sr.ru.mk_542 cs.lv.un_640 
  0x56000a07, 0x2b0501ee, 0x0704085a, 0x0e042aa0,   // pt.mg.un_420 en.fr.vi_422  uk.ru.bg_553 mt.fi.is_322 
  0x04000e13, 0x0c0801a7, 0x07001f0c, 0x230744a9,   // is.fi.un_650 en.no.sv_532  cy.it.un_530 kk.bg.ky_544 
  0x3f031f0d, 0x73000107, 0x0507030b, 0x06040c08,   // cy.nl.af_554 en.ny.un_420  nl.it.fr_542 sv.fi.de_443 
  // [9ce0]
  0x56000a08, 0x18001119, 0x12002302, 0x281a6b11,   // pt.mg.un_430 ro.ga.un_750  ca.hu.un_220 ceb.tl.sw_653 
  0x3d1e1c0c, 0x21282aa7, 0x030864ee, 0x2a131ea4,   // id.ms.ku_543 mt.sw.jw_532  lg.no.nl_422 ms.et.mt_433 
  0x192a1ea0, 0x0d190bec, 0x0b2f6ba9, 0x25562705,   // ms.mt.gl_322 es.gl.cs_644  ceb.su.es_544 gd.mg.eu_333 
  0x1255640d, 0x64733d09, 0x0e000621, 0x081207a7,   // lg.rw.hu_554 ku.ny.lg_444  de.is.un_860 it.hu.no_532 
  // [9cf0]
  0x0e642504, 0x13100408, 0x292a100c, 0x283073a9,   // eu.lg.is_332 fi.lt.et_443  lt.mt.sl_543 ny.uz.sw_544 
  0x5564300d, 0x28566ba4, 0x64531008, 0x01005602,   // uz.lg.rw_554 ceb.mg.sw_433  lt.ht.lg_443 mg.en.un_220 
  0x3d00100c, 0x0805115a, 0x170d2d0c, 0x2f2a010c,   // lt.ku.un_530 ro.fr.no_553  sk.cs.sr_543 en.mt.su_543 
  0x1c00560c, 0x13110ca4, 0x21131007, 0x3f2808a0,   // mg.id.un_530 sv.ro.et_433  lt.et.jw_432 no.sw.af_322 
  // [9d00]
  0x01212da0, 0x23001314, 0x13321602, 0x04070aaf,   // sk.jw.en_322 et.ca.un_660  hr.bs.et_222 mk.bg.ru_655 
  0x0a070804, 0x11000c07, 0x292d25a7, 0x1a001305,   // uk.bg.mk_332 sv.ro.un_420  eu.sk.sl_532 et.tl.un_330 
  0x1b3d3008, 0x100f3f05, 0x310955a7, 0x6b0f13a0,   // uz.ku.tr_443 af.lv.lt_333  rw.pl.az_532 et.lv.ceb_322 
  0x3f002804, 0x13001021, 0x020b0a0d, 0x3104010c,   // sw.af.un_320 lt.et.un_860  pt.es.da_554 en.fi.az_543 
  // [9d10]
  0x3f08025a, 0x041108a4, 0x6b5305ec, 0x7310280c,   // da.no.af_553 uk.ro.ru_433  fr.ht.ceb_644 sw.lt.ny_543 
  0x1b003d0e, 0x04251008, 0x070811a7, 0x0809040c,   // ku.tr.un_550 lt.eu.fi_443  ro.uk.bg_532 fi.pl.no_543 
  0x101302a7, 0x011b30a0, 0x0d007308, 0x13003d0c,   // da.et.lt_532 uz.tr.en_322  ny.cs.un_430 ku.et.un_530 
  0x0e021307, 0x11001318, 0x30002b08, 0x080c1307,   // et.da.is_432 et.ro.un_740  vi.uz.un_430 et.sv.no_432 
  // [9d20]
  0x30003d0e, 0x13100fad, 0x016b30a7, 0x09001f02,   // ku.uz.un_550 lv.lt.et_643  uz.ceb.en_532 cy.pl.un_220 
  0x0f0313a6, 0x370413ee, 0x0c040eee, 0x32173fee,   // et.nl.lv_521 et.fi.st_422  is.fi.sv_422 af.sr.bs_422 
  0x1008440c, 0x212f0511, 0x1e00110c, 0x061204ad,   // kk.uk.be_543 fr.su.jw_653  ro.ms.un_530 fi.hu.de_643 
  0x103035ac, 0x04060ca9, 0x3d00290d, 0x020804ad,   // tg.uz.be_632 sv.de.fi_544  sl.ku.un_540 fi.no.da_643 
  // [9d30]
  0x12311baf, 0x033f1305, 0x2a005519, 0x1c000d11,   // tr.az.hu_655 et.af.nl_333  rw.mt.un_750 ne.mr.un_630 
  0x12000512, 0x0d091c13, 0x44040813, 0x207364a0,   // fr.hu.un_640 mr.hi.ne_665  uk.ru.kk_665 lg.ny.sq_322 
  0x04020812, 0x2d003008, 0x11100107, 0x32300204,   // no.da.fi_654 uz.sk.un_430  en.lt.ro_432 da.uz.bs_332 
  0x046b25a0, 0x275631a4, 0x4435040c, 0x12060407,   // eu.ceb.fi_322 az.mg.gd_433  ru.tg.kk_543 fi.de.hu_432 
  // [9d40]
  0x6b1a64af, 0x3f030107, 0x13040c0d, 0x08020e07,   // lg.tl.ceb_655 en.nl.af_432  sv.fi.et_554 is.da.no_432 
  0x01531f07, 0x2d0d060e, 0x230408a4, 0x1a00040e,   // cy.ht.en_432 de.cs.sk_555  uk.ru.ky_433 fi.tl.un_550 
  0x04033faf, 0x2f006b22, 0x040a23a0, 0x23001707,   // af.nl.fi_655 ceb.su.un_870  ky.mk.ru_322 sr.ky.un_420 
  0x10170807, 0x0e6b1aec, 0x0e100f0c, 0x131011a4,   // uk.sr.be_432 tl.ceb.is_644  lv.lt.is_543 ro.lt.et_433 
  // [9d50]
  0x070a2302, 0x1a2d0d02, 0x0a1a010c, 0x0a080707,   // ky.mk.bg_222 cs.sk.tl_222  en.tl.pt_543 bg.uk.mk_432 
  0x11002f0d, 0x05232f08, 0x0f0c08ee, 0x0407350e,   // su.ro.un_540 su.ca.fr_443  no.sv.lv_422 tg.bg.ru_555 
  0x2800301a, 0x13000e05, 0x033f0507, 0x3f230505,   // uz.sw.un_760 is.et.un_330  fr.af.nl_432 fr.ca.af_333 
  0x2f21550c, 0x1a1b64a7, 0x1f2f1c04, 0x1a5373a9,   // rw.jw.su_543 lg.tr.tl_532  id.su.cy_332 ny.ht.tl_544 
  // [9d60]
  0x0c1329a4, 0x13002702, 0x1e006408, 0x731b2805,   // sl.et.sv_433 gd.et.un_220  lg.ms.un_430 sw.tr.ny_333 
  0x1100550c, 0x21646bad, 0x02321704, 0x0e060c07,   // rw.ro.un_530 ceb.lg.jw_643  sr.bs.da_332 sv.de.is_432 
  0x081110a4, 0x0d173002, 0x1b732807, 0x122164a9,   // be.ro.uk_433 uz.sr.cs_222  sw.ny.tr_432 lg.jw.hu_544 
  0x6b551ea4, 0x12012307, 0x16000707, 0x03000408,   // ms.rw.ceb_433 ca.en.hu_432  it.hr.un_420 fi.nl.un_430 
  // [9d70]
  0x060325a7, 0x120123ee, 0x1b3f31a4, 0x050123a7,   // eu.nl.de_532 ca.en.hu_422  az.af.tr_433 ca.en.fr_532 
  0x2d0e1904, 0x10072304, 0x040c0607, 0x1600020c,   // gl.is.sk_332 ky.bg.be_332  de.sv.fi_432 da.hr.un_530 
  0x230b11a4, 0x1e1c6ea4, 0x1f192302, 0x25132355,   // ro.es.ca_433 hmn.id.ms_433  ca.gl.cy_222 ca.et.eu_442 
  0x55182709, 0x2d002a09, 0x250711a7, 0x08051e04,   // gd.ga.rw_444 mt.sk.un_440  ro.it.eu_532 ms.fr.no_332 
  // [9d80]
  0x272f010c, 0x3d012307, 0x170a1104, 0x0b2d02ad,   // en.su.gd_543 ca.en.ku_432  ro.mk.sr_332 da.sk.es_643 
  0x6b1a0212, 0x01036ba4, 0x030113a7, 0x100c0ead,   // da.tl.ceb_654 ceb.nl.en_433  et.en.nl_532 is.sv.lt_643 
  0x0b1827ad, 0x191c0aee, 0x13000507, 0x25073fa4,   // gd.ga.es_643 pt.id.gl_422  fr.et.un_420 af.it.eu_433 
  0x230411a4, 0x1f0729ee, 0x062718a0, 0x0d001311,   // ro.ru.ky_433 sl.it.cy_422  ga.gd.de_322 bh.ne.un_630 
  // [9d90]
  0x073511ee, 0x3504110d, 0x3f020e07, 0x300e20a9,   // ro.tg.bg_422 ro.ru.tg_554  is.da.af_432 sq.is.uz_544 
  0x300407ec, 0x10303504, 0x06020fa0, 0x56041308,   // bg.ru.uz_644 tg.uz.be_332  lv.da.de_322 et.fi.mg_443 
  0x170f13ee, 0x73286412, 0x2d0d1f07, 0x212d1107,   // et.lv.sr_422 lg.sw.ny_654  cy.cs.sk_432 ro.sk.jw_432 
  0x53736407, 0x042153a4, 0x030c2104, 0x3035170c,   // lg.ny.ht_432 ht.jw.fi_433  jw.sv.nl_332 sr.tg.uz_543 
  // [9da0]
  0x13006b0e, 0x3f0208a7, 0x08111108, 0x085305ee,   // ceb.et.un_550 no.da.af_532  ro.ro.uk_443 fr.ht.no_422 
  0x215573ad, 0x04173504, 0x292d090c, 0x03080205,   // ny.rw.jw_643 tg.sr.ru_332  pl.sk.sl_543 da.no.nl_333 
  0x08003f13, 0x1f006413, 0x116b1bee, 0x074417ee,   // af.no.un_650 lg.cy.un_650  tr.ceb.ro_422 sr.kk.bg_422 
  0x7300560c, 0x1011080c, 0x1f000704, 0x2b003002,   // mg.ny.un_530 no.ro.lt_543  it.cy.un_320 uz.vi.un_220 
  // [9db0]
  0x282f210c, 0x6b000802, 0x29002807, 0x01002429,   // jw.su.sw_543 no.ceb.un_220  sw.sl.un_420 yi.iw.un_960 
  0x2d1e1c08, 0x53000104, 0x442311af, 0x23300704,   // id.ms.sk_443 en.ht.un_320  ro.ky.kk_655 bg.uz.ky_332 
  0x07003008, 0x2500370d, 0x0e00060d, 0x130e1855,   // uz.bg.un_430 st.eu.un_540  de.is.un_540 ga.is.et_442 
  0x17005512, 0x20232b07, 0x2f0f7355, 0x05040709,   // rw.sr.un_640 vi.ca.sq_432  ny.lv.su_442 it.fi.fr_444 
  // [9dc0]
  0x05002902, 0x53130808, 0x0800121b, 0x73556414,   // sl.fr.un_220 no.et.ht_443  hu.no.un_770 lg.rw.ny_666 
  0x06010407, 0x20005302, 0x050704a9, 0x062a08ec,   // fi.en.de_432 ht.sq.un_220  fi.it.fr_544 no.mt.de_644 
  0x1207045a, 0x29002f14, 0x1c001321, 0x552d3702,   // fi.it.hu_553 su.sl.un_660  bh.mr.un_860 st.sk.rw_222 
  0x112010a0, 0x11202aa4, 0x12070408, 0x135525af,   // lt.sq.ro_322 mt.sq.ro_433  fi.it.hu_443 eu.rw.et_655 
  // [9dd0]
  0x060c0813, 0x12000721, 0x64552555, 0x302f06a7,   // no.sv.de_665 it.hu.un_860  eu.rw.lg_442 de.su.uz_532 
  0x06071b04, 0x23103505, 0x233504ee, 0x1f002109,   // tr.it.de_332 tg.be.ky_333  ru.tg.ky_422 jw.cy.un_440 
  0x1b002019, 0x10002512, 0x05641b07, 0x1a306b0c,   // sq.tr.un_750 eu.lt.un_640  tr.lg.fr_432 ceb.uz.tl_543 
  0x110805a0, 0x07101302, 0x041207a4, 0x2a063fa4,   // fr.no.ro_322 et.lt.it_222  it.hu.fi_433 af.de.mt_433 
  // [9de0]
  0x6b081a0d, 0x071204ec, 0x12000814, 0x2a000c09,   // tl.no.ceb_554 fi.hu.it_644  no.hu.un_660 sv.mt.un_440 
  0x072a08a0, 0x032d0d05, 0x3d002918, 0x371e25a4,   // no.mt.it_322 cs.sk.nl_333  sl.ku.un_740 eu.ms.st_433 
  0x2a040709, 0x32290908, 0x731e200c, 0x3f04130b,   // it.fi.mt_444 pl.sl.bs_443  sq.ms.ny_543 et.fi.af_542 
  0x2a070214, 0x0c0e0855, 0x1b000f08, 0x2a0705ad,   // da.it.mt_666 no.is.sv_442  lv.tr.un_430 fr.it.mt_643 
  // [9df0]
  0x0d321602, 0x233f0207, 0x03080ca4, 0x1b123d0c,   // hr.bs.cs_222 da.af.ca_432  sv.no.nl_433 ku.hu.tr_543 
  0x08072307, 0x3504080d, 0x6b066ea0, 0x2700100c,   // ky.bg.uk_432 uk.ru.tg_554  hmn.de.ceb_322 lt.gd.un_530 
  0x04080507, 0x0437120c, 0x122f0508, 0x082311ad,   // fr.no.fi_432 hu.st.fi_543  fr.su.hu_443 ro.ky.uk_643 
  0x293017a9, 0x2a001b0c, 0x350a10a0, 0x1c211a07,   // sr.uz.sl_544 tr.mt.un_530  be.mk.tg_322 tl.jw.id_432 
  // [9e00]
  0x0c0a08a0, 0x023f0807, 0x312508a9, 0x2d00040c,   // no.pt.sv_322 no.af.da_432  no.eu.az_544 fi.sk.un_530 
  0x0c1206a7, 0x13002f0d, 0x2f053f04, 0x0400050c,   // de.hu.sv_532 su.et.un_540  af.fr.su_332 fr.fi.un_530 
  0x0a07080d, 0x0807110e, 0x131c0daf, 0x1a000213,   // uk.bg.mk_554 ro.bg.uk_555  ne.mr.bh_655 da.tl.un_650 
  0x19530a07, 0x280c1a04, 0x0c0403a7, 0x73000c07,   // pt.ht.gl_432 tl.sv.sw_332  nl.fi.sv_532 sv.ny.un_420 
  // [9e10]
  0x27060207, 0x18000102, 0x35000423, 0x0b09060c,   // da.de.gd_432 en.ga.un_220  ru.tg.un_880 de.pl.es_543 
  0x070435a4, 0x1a126ba7, 0x2d0a23ee, 0x0103250c,   // tg.ru.bg_433 ceb.hu.tl_532  ca.pt.sk_422 eu.nl.en_543 
  0x0811040d, 0x64000d04, 0x3d7355a9, 0x03376b04,   // ru.ro.uk_554 cs.lg.un_320  rw.ny.ku_544 ceb.st.nl_332 
  0x28000805, 0x07100aec, 0x3f1a29a4, 0x02002913,   // no.sw.un_330 mk.be.bg_644  sl.tl.af_433 sl.da.un_650 
  // [9e20]
  0x28002f2b, 0x07003011, 0x5564280b, 0x56532902,   // su.sw.un_980 uz.bg.un_630  sw.lg.rw_542 sl.ht.mg_222 
  0x7300131a, 0x37561a02, 0x10000c07, 0x6e001c13,   // et.ny.un_760 tl.mg.st_222  sv.lt.un_420 id.hmn.un_650 
  0x0a11110b, 0x28122a04, 0x09005507, 0x2f002529,   // ro.ro.mk_542 mt.hu.sw_332  rw.pl.un_420 eu.su.un_960 
  0x29255508, 0x104411a4, 0x73006e22, 0x731c1e12,   // rw.eu.sl_443 ro.kk.be_433  hmn.ny.un_870 ms.id.ny_654 
  // [9e30]
  0x6e002118, 0x6b556412, 0x37642912, 0x320c73ad,   // jw.hmn.un_740 lg.rw.ceb_654  sl.lg.st_654 ny.sv.bs_643 
  0x2f1b20ad, 0x29200d0c, 0x090501a4, 0x32002107,   // sq.tr.su_643 cs.sq.sl_543  en.fr.pl_433 jw.bs.un_420 
  0x111827ad, 0x0830040c, 0x07170a0b, 0x1f006e0c,   // gd.ga.ro_643 ru.uz.uk_543  mk.sr.bg_542 hmn.cy.un_530 
  0x1e017304, 0x2d092a08, 0x55002f08, 0x0f1b1307,   // ny.en.ms_332 mt.pl.sk_443  su.rw.un_430 et.tr.lv_432 
  // [9e40]
  0x3d200d05, 0x21002329, 0x2a3d23af, 0x13082a08,   // cs.sq.ku_333 ca.jw.un_960  ca.ku.mt_655 mt.no.et_443 
  0x29093007, 0x04083009, 0x1b05010c, 0x1c2d0eee,   // uz.pl.sl_432 uz.uk.ru_444  en.fr.tr_543 is.sk.id_422 
  0x0b371807, 0x3f2103a6, 0x1e1c13af, 0x37186ba0,   // ga.st.es_432 nl.jw.af_521  et.id.ms_655 ceb.ga.st_322 
  0x55282aad, 0x642f03a0, 0x0e003004, 0x1328030b,   // mt.sw.rw_643 nl.su.lg_322  uz.is.un_320 nl.sw.et_542 
  // [9e50]
  0x3d0b280c, 0x083517ee, 0x21001a13, 0x280364ee,   // sw.es.ku_543 sr.tg.uk_422  tl.jw.un_650 lg.nl.sw_422 
  0x1e293704, 0x03006402, 0x061b30a4, 0x13080c04,   // st.sl.ms_332 lg.nl.un_220  uz.tr.de_433 sv.no.et_332 
  0x28211b05, 0x23210504, 0x1c1a1e07, 0x3f002a02,   // tr.jw.sw_333 fr.jw.ca_332  ms.tl.id_432 mt.af.un_220 
  0x2a3d300c, 0x13000118, 0x033f53ec, 0x10040a05,   // uz.ku.mt_543 en.et.un_740  ht.af.nl_644 mk.ru.be_333 
  // [9e60]
  0x1b1a2f04, 0x04001329, 0x190b0fee, 0x09000c07,   // su.tl.tr_332 et.fi.un_960  lv.es.gl_422 sv.pl.un_420 
  0x27181f05, 0x0c0827a4, 0x13190a13, 0x101723a9,   // cy.ga.gd_333 gd.no.sv_433  pt.gl.et_665 ky.sr.be_544 
  0x080210ee, 0x6e1f53ec, 0x64002904, 0x1b1c1e07,   // lt.da.no_422 ht.cy.hmn_644  sl.lg.un_320 ms.id.tr_432 
  0x2a0a1802, 0x53007312, 0x201b3104, 0x0b287355,   // ga.pt.mt_222 ny.ht.un_640  az.tr.sq_332 ny.sw.es_442 
  // [9e70]
  0x305673a4, 0x10190b07, 0x073017ec, 0x03046407,   // ny.mg.uz_433 es.gl.lt_432  sr.uz.bg_644 lg.fi.nl_432 
  0x350417ad, 0x3f03040c, 0x2800552a, 0x64000413,   // sr.ru.tg_643 fi.nl.af_543  rw.sw.un_970 fi.lg.un_650 
  0x643f030d, 0x074411a4, 0x12643f04, 0x071735ac,   // nl.af.lg_554 ro.kk.bg_433  af.lg.hu_332 tg.sr.bg_632 
  0x55280ba4, 0x28100b02, 0x23002102, 0x11000a08,   // es.sw.rw_433 es.lt.sw_222  jw.ca.un_220 pt.ro.un_430 
  // [9e80]
  0x6400031b, 0x04006422, 0x5321070c, 0x13060ea4,   // nl.lg.un_770 lg.fi.un_870  it.jw.ht_543 is.de.et_433 
  0x20046404, 0x11001607, 0x1f000702, 0x3d000312,   // lg.fi.sq_332 hr.ro.un_420  it.cy.un_220 nl.ku.un_640 
  0x0500120c, 0x562f0507, 0x12311b55, 0x30310307,   // hu.fr.un_530 fr.su.mg_432  tr.az.hu_442 nl.az.uz_432 
  0x051853a7, 0x561c28ee, 0x53000517, 0x1c001a02,   // ht.ga.fr_532 sw.id.mg_422  fr.ht.un_730 tl.id.un_220 
  // [9e90]
  0x21033fa4, 0x56280404, 0x1b313da7, 0x320a0304,   // af.nl.jw_433 fi.sw.mg_332  ku.az.tr_532 nl.pt.bs_332 
  0x0a001605, 0x182f21a9, 0x1c1e0655, 0x551125a7,   // hr.pt.un_330 jw.su.ga_544  de.ms.id_442 eu.ro.rw_532 
  0x0a041055, 0x17110a0d, 0x092012ee, 0x073f0308,   // be.ru.mk_442 mk.ro.sr_554  hu.sq.pl_422 nl.af.it_443 
  0x2d180da4, 0x3f211fee, 0x10441704, 0x06031f02,   // cs.ga.sk_433 cy.jw.af_422  sr.kk.be_332 cy.nl.de_222 
  // [9ea0]
  0x032a2013, 0x0e1f64a4, 0x301117a4, 0x016b6ea0,   // sq.mt.nl_665 lg.cy.is_433  sr.ro.uz_433 hmn.ceb.en_322 
  0x05041307, 0x130f2aad, 0x31020807, 0x09001602,   // et.fi.fr_432 mt.lv.et_643  no.da.az_432 hr.pl.un_220 
  0x23002721, 0x1300070e, 0x29032da9, 0x29002a02,   // gd.ca.un_860 it.et.un_550  sk.nl.sl_544 mt.sl.un_220 
  0x063f230c, 0x0400351a, 0x0e3f06a4, 0x3d002a12,   // ca.af.de_543 tg.ru.un_760  de.af.is_433 mt.ku.un_640 
  // [9eb0]
  0x23080204, 0x060104a0, 0x64041355, 0x07302a0c,   // da.no.ca_332 fi.en.de_322  et.fi.lg_442 mt.uz.it_543 
  0x212f1c08, 0x0f1e3f0c, 0x20002519, 0x105607a4,   // id.su.jw_443 af.ms.lv_543  eu.sq.un_750 it.mg.lt_433 
  0x37735604, 0x0a2f23ee, 0x2a031f07, 0x56001007,   // mg.ny.st_332 ca.su.pt_422  cy.nl.mt_432 lt.mg.un_420 
  0x3f006b07, 0x37300b04, 0x3100370d, 0x3000051a,   // ceb.af.un_420 es.uz.st_332  st.az.un_540 fr.uz.un_760 
  // [9ec0]
  0x08041fec, 0x1f5510ac, 0x05000a21, 0x0c0555a4,   // cy.fi.no_644 lt.rw.cy_632  pt.fr.un_860 rw.fr.sv_433 
  0x0510560c, 0x0f5655a6, 0x37205307, 0x16005507,   // mg.lt.fr_543 rw.mg.lv_521  ht.sq.st_432 rw.hr.un_420 
  0x190527ec, 0x042330a7, 0x04133f04, 0x0b000505,   // gd.fr.gl_644 uz.ky.ru_532  af.et.fi_332 fr.es.un_330 
  0x190a0414, 0x3700011a, 0x372f550c, 0x07000a34,   // fi.pt.gl_666 en.st.un_760  rw.su.st_543 mk.bg.un_A80 
  // [9ed0]
  0x100b5507, 0x04000514, 0x5530370c, 0x10550707,   // rw.es.lt_432 fr.fi.un_660  st.uz.rw_543 it.rw.lt_432 
  0x0a2137a4, 0x283f3707, 0x2d003207, 0x1c0937ad,   // st.jw.pt_433 st.af.sw_432  bs.sk.un_420 st.pl.id_643 
  0x081110af, 0x0c020608, 0x321610ec, 0x35234414,   // be.ro.uk_655 de.da.sv_443  lt.hr.bs_644 kk.ky.tg_666 
  0x5528370b, 0x2b1e0107, 0x28640107, 0x04003707,   // st.sw.rw_542 en.ms.vi_432  en.lg.sw_432 st.fi.un_420 
  // [9ee0]
  0x64007309, 0x1632170b, 0x3511175a, 0x0a103508,   // ny.lg.un_440 sr.bs.hr_542  sr.ro.tg_553 tg.be.mk_443 
  0x23052fac, 0x0d005309, 0x2a006e09, 0x32100fa0,   // su.fr.ca_632 ht.cs.un_440  hmn.mt.un_440 lv.lt.bs_322 
  0x09001f22, 0x2a006e19, 0x2b002f08, 0x02000d04,   // cy.pl.un_870 hmn.mt.un_750  su.vi.un_430 cs.da.un_320 
  0x231905ee, 0x28005514, 0x1030355a, 0x0807040e,   // fr.gl.ca_422 rw.sw.un_660  tg.uz.be_553 ru.bg.uk_555 
  // [9ef0]
  0x56006404, 0x281e6ba0, 0x2a0f1007, 0x1a28640c,   // lg.mg.un_320 ceb.ms.sw_322  lt.lv.mt_432 lg.sw.tl_543 
  0x530405ad, 0x2b001302, 0x30351008, 0x07001604,   // fr.fi.ht_643 et.vi.un_220  be.tg.uz_443 hr.it.un_320 
  0x12251b02, 0x35044404, 0x2a077312, 0x1700291b,   // tr.eu.hu_222 kk.ru.tg_332  ny.it.mt_654 sl.sr.un_770 
  0x300764ad, 0x1b533255, 0x3d005320, 0x371f11a0,   // lg.it.uz_643 bs.ht.tr_442  ht.ku.un_850 ro.cy.st_322 
  // [9f00]
  0x01090da0, 0x050307a6, 0x13645607, 0x12645512,   // cs.pl.en_322 it.nl.fr_521  mg.lg.et_432 rw.lg.hu_654 
  0x080419a0, 0x6e002019, 0x1e001902, 0x2d0f10ec,   // gl.fi.no_322 sq.hmn.un_750  gl.ms.un_220 lt.lv.sk_644 
  0x0e0c730c, 0x27002f19, 0x2a302d07, 0x07002a0d,   // ny.sv.is_543 su.gd.un_750  sk.uz.mt_432 mt.it.un_540 
  0x0f0313a0, 0x07046408, 0x030c13a4, 0x291703af,   // et.nl.lv_322 lg.fi.it_443  et.sv.nl_433 nl.sr.sl_655 
  // [9f10]
  0x19000702, 0x0b0323ee, 0x1f640112, 0x08021fec,   // it.gl.un_220 ca.nl.es_422  en.lg.cy_654 cy.da.no_644 
  0x3f0603ec, 0x230a6e07, 0x063f0e05, 0x27002f08,   // nl.de.af_644 hmn.pt.ca_432  is.af.de_333 su.gd.un_430 
  0x0a0711a0, 0x0c0810a0, 0x2520040b, 0x31131b02,   // ro.bg.mk_322 lt.no.sv_322  fi.sq.eu_542 tr.et.az_222 
  0x07173502, 0x6b5564a4, 0x100504a7, 0x1e37290c,   // tg.sr.bg_222 lg.rw.ceb_433  fi.fr.lt_532 sl.st.ms_543 
  // [9f20]
  0x1c1e2712, 0x041710a9, 0x2356050c, 0x082a07af,   // gd.ms.id_654 be.sr.ru_544  fr.mg.ca_543 it.mt.no_655 
  0x1c2037a0, 0x13001e05, 0x2b000704, 0x20321605,   // st.sq.id_322 ms.et.un_330  it.vi.un_320 hr.bs.sq_333 
  0x322f23a7, 0x070a2805, 0x211a1ea7, 0x20001e04,   // ca.su.bs_532 sw.pt.it_333  ms.tl.jw_532 ms.sq.un_320 
  0x033f0ea9, 0x23002d19, 0x1b0a0407, 0x321625ee,   // is.af.nl_544 sk.ca.un_750  fi.pt.tr_432 eu.hr.bs_422 
  // [9f30]
  0x06231108, 0x122701a9, 0x103f06ac, 0x2b000e05,   // ro.ca.de_443 en.gd.hu_544  de.af.lt_632 is.vi.un_330 
  0x6b537308, 0x19002908, 0x05000f02, 0x0e0c31a4,   // ny.ht.ceb_443 sl.gl.un_430  lv.fr.un_220 az.sv.is_433 
  0x19002705, 0x070f25ad, 0x13310eb2, 0x1b2111ee,   // gd.gl.un_330 eu.lv.it_643  is.az.et_732 ro.jw.tr_422 
  0x2d100d04, 0x281173a0, 0x3d6b01a4, 0x020531a0,   // cs.lt.sk_332 ny.ro.sw_322  en.ceb.ku_433 az.fr.da_322 
  // [9f40]
  0x12116e07, 0x0b3025a4, 0x25001b08, 0x08062004,   // hmn.ro.hu_432 eu.uz.es_433  tr.eu.un_430 sq.de.no_332 
  0x0c3d0412, 0x310e1b13, 0x122f1ba6, 0x0802060c,   // fi.ku.sv_654 tr.is.az_665  tr.su.hu_521 de.da.no_543 
  0x07005613, 0x1e250704, 0x043511ad, 0x6b190ba6,   // mg.it.un_650 it.eu.ms_332  ro.tg.ru_643 es.gl.ceb_521 
  0x091f0504, 0x0c001b08, 0x12000a20, 0x09040555,   // fr.cy.pl_332 tr.sv.un_430  pt.hu.un_850 fr.fi.pl_442 
  // [9f50]
  0x1e2d0d55, 0x2f3f04ad, 0x1b310cec, 0x061332ad,   // cs.sk.ms_442 fi.af.su_643  sv.az.tr_644 bs.et.de_643 
  0x28000e13, 0x23251904, 0x1100070c, 0x13052fa9,   // is.sw.un_650 gl.eu.ca_332  it.ro.un_530 su.fr.et_544 
  0x19001219, 0x44231108, 0x6b557307, 0x181f2504,   // hu.gl.un_750 ro.ky.kk_443  ny.rw.ceb_432 eu.cy.ga_332 
  0x2a735312, 0x20007309, 0x73003d08, 0x022873a9,   // ht.ny.mt_654 ny.sq.un_440  ku.ny.un_430 ny.sw.da_544 
  // [9f60]
  0x02080c60, 0x29320807, 0x19000618, 0x2f050907,   // sv.no.da_664 no.bs.sl_432  de.gl.un_740 pl.fr.su_432 
  0x442304ee, 0x2f1305ac, 0x19003004, 0x13052f0c,   // ru.ky.kk_422 fr.et.su_632  uz.gl.un_320 su.fr.et_543 
  0x555373a7, 0x0900551a, 0x2a55530c, 0x1b00300b,   // ny.ht.rw_532 rw.pl.un_760  ht.rw.mt_543 uz.tr.un_520 
  0x1f00550e, 0x123130a0, 0x6b190a0d, 0x2f211e0c,   // rw.cy.un_550 uz.az.hu_322  pt.gl.ceb_554 ms.jw.su_543 
  // [9f70]
  0x21732808, 0x17070a0b, 0x23000419, 0x09120607,   // sw.ny.jw_443 mk.bg.sr_542  ru.ky.un_750 de.hu.pl_432 
  0x23353014, 0x1704100c, 0x17303507, 0x02082f12,   // uz.tg.ky_666 be.ru.sr_543  tg.uz.sr_432 su.no.da_654 
  0x25001e13, 0x0c021ca0, 0x11003d21, 0x56081ea9,   // ms.eu.un_650 id.da.sv_322  ku.ro.un_860 ms.no.mg_544 
  0x135564a0, 0x6b132aa0, 0x05070b08, 0x0b311b1d,   // lg.rw.et_322 mt.et.ceb_322  es.it.fr_443 tr.az.es_852 
  // [9f80]
  0x2f0304a7, 0x131a29a0, 0x2120560c, 0x083510a4,   // fi.nl.su_532 sl.tl.et_322  mg.sq.jw_543 be.tg.uk_433 
  0x10000a0d, 0x12000d0e, 0x113f6404, 0x030618a9,   // pt.lt.un_540 cs.hu.un_550  lg.af.ro_332 ga.de.nl_544 
  0x12001f14, 0x070b0a09, 0x213d250c, 0x06002522,   // cy.hu.un_660 pt.es.it_444  eu.ku.jw_543 eu.de.un_870 
  0x30060e07, 0x042028a0, 0x1b100e0c, 0x0e1206ec,   // is.de.uz_432 sw.sq.fi_322  is.lt.tr_543 de.hu.is_644 
  // [9f90]
  0x0b0501a4, 0x10320f04, 0x1e1c2014, 0x10201107,   // en.fr.es_433 lv.bs.lt_332  sq.id.ms_666 ro.sq.lt_432 
  0x10042309, 0x2a112014, 0x04202511, 0x213f0907,   // ky.ru.be_444 sq.ro.mt_666  eu.sq.fi_653 pl.af.jw_432 
  0x13100f12, 0x01001e05, 0x0400181a, 0x2a2f2104,   // lv.lt.et_654 ms.en.un_330  ga.fi.un_760 jw.su.mt_332 
  0x271a1811, 0x6b2d0dad, 0x13043dee, 0x29302704,   // ga.tl.gd_653 cs.sk.ceb_643  ku.fi.et_422 gd.uz.sl_332 
  // [9fa0]
  0x30070a0e, 0x070a3005, 0x6b1206a0, 0x051e1c04,   // mk.bg.uz_555 uz.mk.bg_333  de.hu.ceb_322 id.ms.fr_332 
  0x1e313008, 0x1a0301ee, 0x0e040cee, 0x101135a4,   // uz.az.ms_443 en.nl.tl_422  sv.fi.is_422 tg.ro.be_433 
  0x18000911, 0x062832a0, 0x1f000108, 0x06106ba0,   // pl.ga.un_630 bs.sw.de_322  en.cy.un_430 ceb.lt.de_322 
  0x0d292dee, 0x01000511, 0x03001f20, 0x4400111a,   // sk.sl.cs_422 fr.en.un_630  cy.nl.un_850 ro.kk.un_760 
  // [9fb0]
  0x08001029, 0x080b0a02, 0x01003f05, 0x23003011,   // be.uk.un_960 pt.es.no_222  af.en.un_330 uz.ky.un_630 
  0x212f28a0, 0x0c1b05a0, 0x0b321704, 0x11007313,   // sw.su.jw_322 fr.tr.sv_322  sr.bs.es_332 ny.ro.un_650 
  0x562f1ca0, 0x06111704, 0x736455a9, 0x23001207,   // id.su.mg_322 sr.ro.de_332  rw.lg.ny_544 hu.ca.un_420 
  0x536437af, 0x64000911, 0x375355a9, 0x3f7328ad,   // st.lg.ht_655 pl.lg.un_630  rw.ht.st_544 sw.ny.af_643 
  // [9fc0]
  0x55371cac, 0x73001e04, 0x53372814, 0x061b3f12,   // id.st.rw_632 ms.ny.un_320  sw.st.ht_666 af.tr.de_654 
  0x13031b0c, 0x3f73550c, 0x64092a0d, 0x55735360,   // tr.nl.et_543 rw.ny.af_543  mt.pl.lg_554 ht.ny.rw_664 
  0x25000f1b, 0x08174412, 0x3700061a, 0x552864af,   // lv.eu.un_770 kk.sr.uk_654  de.st.un_760 lg.sw.rw_655 
  0x5564730c, 0x3d000314, 0x060c0255, 0x1f063fa4,   // ny.lg.rw_543 nl.ku.un_660  da.sv.de_442 af.de.cy_433 
  // [9fd0]
  0x0300010b, 0x6b0373a4, 0x21001902, 0x0955285a,   // en.nl.un_520 ny.nl.ceb_433  gl.jw.un_220 sw.rw.pl_553 
  0x3f00732a, 0x6455090c, 0x100704a4, 0x0c061302,   // ny.af.un_970 pl.rw.lg_543  ru.bg.be_433 et.de.sv_222 
  0x08063d0c, 0x190512ac, 0x37286455, 0x092873a0,   // ku.de.no_543 hu.fr.gl_632  lg.sw.st_442 ny.sw.pl_322 
  0x28371c0c, 0x531a2813, 0x09000f0c, 0x1c371eee,   // id.st.sw_543 sw.tl.ht_665  lv.pl.un_530 ms.st.id_422 
  // [9fe0]
  0x303d310c, 0x2a3f03a9, 0x64002114, 0x05000612,   // az.ku.uz_543 nl.af.mt_544  jw.lg.un_660 de.fr.un_640 
  0x3d3f030d, 0x3f031bee, 0x3f5501a4, 0x18000412,   // nl.af.ku_554 tr.nl.af_422  en.rw.af_433 fi.ga.un_640 
  0x3f6b73ee, 0x12300ca0, 0x376b0e04, 0x0f001a07,   // ny.ceb.af_422 sv.uz.hu_322  is.ceb.st_332 tl.lv.un_420 
  0x0d091c55, 0x23200b13, 0x10173512, 0x2a6b1a0c,   // mr.hi.ne_442 es.sq.ca_665  tg.sr.be_654 tl.ceb.mt_543 
  // [9ff0]
  0x64550fa4, 0x19641308, 0x011f2aee, 0x202f1a0b,   // lv.rw.lg_433 et.lg.gl_443  mt.cy.en_422 tl.su.sq_542 
  0x080c1fec, 0x645530ad, 0x2a001c04, 0x556b1aa7,   // cy.sv.no_644 uz.rw.lg_643  id.mt.un_320 tl.ceb.rw_532 
  0x216b1a05, 0x216b1a08, 0x08000c21, 0x0b032ba7,   // tl.ceb.jw_333 tl.ceb.jw_443  sv.no.un_860 vi.nl.es_532 
  0x23170aa4, 0x0a006b05, 0x1f2f1a08, 0x2f1301a7,   // mk.sr.ky_433 ceb.pt.un_330  tl.su.cy_443 en.et.su_532 
  
  // [a000]
  0x050701a6, 0x2a2007ee, 0x23002f22, 0x1a0401a0,   // en.it.fr_521 it.sq.mt_422  su.ca.un_870 en.fi.tl_322 
  0x321618a0, 0x2f211a09, 0x2d3128a7, 0x11000e13,   // ga.hr.bs_322 tl.jw.su_444  sw.az.sk_532 is.ro.un_650 
  0x111a6bad, 0x5520280b, 0x1e1c25ee, 0x0410530b,   // ceb.tl.ro_643 sw.sq.rw_542  eu.id.ms_422 ht.lt.fi_542 
  0x64212fad, 0x01070508, 0x372f01ac, 0x0900280c,   // su.jw.lg_643 fr.it.en_443  en.su.st_632 sw.pl.un_530 
  // [a010]
  0x27001321, 0x1f002814, 0x2718130d, 0x0000292d,   // et.gd.un_860 sw.cy.un_660  et.ga.gd_554 sl.un.un_A00 
  0x1b002512, 0x03647312, 0x07100409, 0x0807045a,   // eu.tr.un_640 ny.lg.nl_654  ru.be.bg_444 ru.bg.uk_553 
  0x21063f12, 0x1300121a, 0x231b0aec, 0x020a0cee,   // af.de.jw_654 hu.et.un_760  pt.tr.ca_644 sv.pt.da_422 
  0x305308a0, 0x020720ee, 0x233004ac, 0x0f253007,   // no.ht.uz_322 sq.it.da_422  ru.uz.ky_632 uz.eu.lv_432 
  // [a020]
  0x0c002f08, 0x0504030c, 0x2d120e55, 0x1f190704,   // su.sv.un_430 nl.fi.fr_543  is.hu.sk_442 it.gl.cy_332 
  0x113017a0, 0x0c001b19, 0x1b001005, 0x20001008,   // sr.uz.ro_322 tr.sv.un_750  lt.tr.un_330 lt.sq.un_430 
  0x2b001f09, 0x135520a0, 0x1b10200b, 0x20001005,   // cy.vi.un_440 sq.rw.et_322  sq.lt.tr_542 lt.sq.un_330 
  0x102d20ee, 0x04000e0d, 0x311b0eac, 0x040a23ad,   // sq.sk.lt_422 is.fi.un_540  is.tr.az_632 ky.mk.ru_643 
  // [a030]
  0x13052008, 0x1b3d2007, 0x09301fa0, 0x281255a9,   // sq.fr.et_443 sq.ku.tr_432  cy.uz.pl_322 rw.hu.sw_544 
  0x130c08a0, 0x1e1c2805, 0x05230b02, 0x0b003018,   // no.sv.et_322 sw.id.ms_333  es.ca.fr_222 uz.es.un_740 
  0x19116407, 0x30252bee, 0x1b3173a4, 0x09287307,   // lg.ro.gl_432 vi.eu.uz_422  ny.az.tr_433 ny.sw.pl_432 
  0x05252004, 0x6b5673a9, 0x2500200e, 0x440a17ee,   // sq.eu.fr_332 ny.mg.ceb_544  sq.eu.un_550 sr.mk.kk_422 
  // [a040]
  0x201013a9, 0x10040809, 0x12642811, 0x202a07a7,   // et.lt.sq_544 uk.ru.be_444  sw.lg.hu_653 it.mt.sq_532 
  0x0e73640e, 0x0b207304, 0x132f21a7, 0x290e09a7,   // lg.ny.is_555 ny.sq.es_332  jw.su.et_532 pl.is.sl_532 
  0x062a7304, 0x17000e08, 0x3f645512, 0x0e2f130c,   // ny.mt.de_332 is.sr.un_430  rw.lg.af_654 et.su.is_543 
  0x32100ea7, 0x202a0707, 0x64281ea9, 0x100423ee,   // is.lt.bs_532 it.mt.sq_432  ms.sw.lg_544 ky.ru.be_422 
  // [a050]
  0x12550a0c, 0x08021eee, 0x05002112, 0x08000c0b,   // pt.rw.hu_543 ms.da.no_422  jw.fr.un_640 sv.no.un_520 
  0x2500301b, 0x0e00130e, 0x32000e08, 0x230b25a4,   // uz.eu.un_770 et.is.un_550  is.bs.un_430 eu.es.ca_433 
  0x18001604, 0x19135507, 0x0e12560c, 0x0c212f04,   // hr.ga.un_320 rw.et.gl_432  mg.hu.is_543 su.jw.sv_332 
  0x300e040c, 0x086455ad, 0x1c0f01ee, 0x27005509,   // fi.is.uz_543 rw.lg.no_643  en.lv.id_422 rw.gd.un_440 
  // [a060]
  0x1f1c21a0, 0x100a0805, 0x0906120d, 0x1800170e,   // jw.id.cy_322 uk.mk.be_333  hu.de.pl_554 sr.ga.un_550 
  0x0e001602, 0x1c062fa0, 0x28000c07, 0x64001021,   // hr.is.un_220 su.de.id_322  sv.sw.un_420 lt.lg.un_860 
  0x2a071ca9, 0x080c02ec, 0x100e640c, 0x353044ad,   // id.it.mt_544 da.sv.no_644  lg.is.lt_543 kk.uz.tg_643 
  0x2d292008, 0x05011e07, 0x31200ea4, 0x200f10a7,   // sq.sl.sk_443 ms.en.fr_432  is.sq.az_433 lt.lv.sq_532 
  // [a070]
  0x131107a4, 0x06040305, 0x0d11230e, 0x2d0d23ee,   // it.ro.et_433 nl.fi.de_333  ca.ro.cs_555 ca.cs.sk_422 
  0x06013fa0, 0x0e2a04ad, 0x2a1264ad, 0x31281ba0,   // af.en.de_322 fi.mt.is_643  lg.hu.mt_643 tr.sw.az_322 
  0x101225ad, 0x300e1012, 0x1c6b0107, 0x21002a05,   // eu.hu.lt_643 lt.is.uz_654  en.ceb.id_432 mt.jw.un_330 
  0x042a0712, 0x0f0710a4, 0x0f1304a7, 0x0b000a29,   // it.mt.fi_654 lt.it.lv_433  fi.et.lv_532 pt.es.un_960 
  // [a080]
  0x1e136e04, 0x08066b02, 0x1f006e19, 0x17233509,   // hmn.et.ms_332 ceb.de.no_222  hmn.cy.un_750 tg.ky.sr_444 
  0x196e1a12, 0x04061208, 0x13072a5a, 0x31002704,   // tl.hmn.gl_654 hu.de.fi_443  mt.it.et_553 gd.az.un_320 
  0x6e001f22, 0x1a0b6ea7, 0x1108040c, 0x2d003205,   // cy.hmn.un_870 hmn.es.tl_532  ru.uk.ro_543 bs.sk.un_330 
  0x230c1fad, 0x0e1a30a7, 0x1a0e270c, 0x64000a02,   // cy.sv.ca_643 uz.tl.is_532  gd.is.tl_543 pt.lg.un_220 
  // [a090]
  0x2d0d29a6, 0x110a1012, 0x23080407, 0x1f04050c,   // sl.cs.sk_521 lt.pt.ro_654  ru.uk.ky_432 fr.fi.cy_543 
  0x640510a0, 0x6e00050d, 0x5500111b, 0x0b270a04,   // lt.fr.lg_322 fr.hmn.un_540  ro.rw.un_770 pt.gd.es_332 
  0x0d000a12, 0x1c216407, 0x23170aee, 0x100a3005,   // pt.cs.un_640 lg.jw.id_432  mk.sr.ky_422 uz.mk.be_333 
  0x550804a6, 0x1000130c, 0x73003720, 0x1e11370c,   // fi.no.rw_521 et.lt.un_530  st.ny.un_850 st.ro.ms_543 
  // [a0a0]
  0x103127ad, 0x3100302b, 0x730c3707, 0x3500170c,   // gd.az.lt_643 uz.az.un_980  st.sv.ny_432 sr.tg.un_530 
  0x1a2f6b02, 0x190d2d0c, 0x1c2f2111, 0x2b2a25a0,   // ceb.su.tl_222 sk.cs.gl_543  jw.su.id_653 eu.mt.vi_322 
  0x2d0d0ba0, 0x53000405, 0x2a072013, 0x6b311b0e,   // es.cs.sk_322 fi.ht.un_330  sq.it.mt_665 tr.az.ceb_555 
  0x2f6421af, 0x44111707, 0x0e3013ad, 0x2f005502,   // jw.lg.su_655 sr.ro.kk_432  et.uz.is_643 rw.su.un_220 
  // [a0b0]
  0x53002519, 0x10001307, 0x1a000604, 0x0410170c,   // eu.ht.un_750 et.lt.un_420  de.tl.un_320 sr.be.ru_543 
  0x08007307, 0x53552811, 0x0f001313, 0x0d0f2807,   // ny.no.un_420 sw.rw.ht_653  et.lv.un_650 sw.lv.cs_432 
  0x0e6b64a0, 0x32000808, 0x271a2807, 0x0f280ead,   // lg.ceb.is_322 no.bs.un_430  sw.tl.gd_432 is.sw.lv_643 
  0x213f06ee, 0x271f18a0, 0x1b1013ac, 0x07110a05,   // de.af.jw_422 ga.cy.gd_322  et.lt.tr_632 mk.ro.bg_333 
  // [a0c0]
  0x44040a02, 0x44100807, 0x5632730c, 0x6b1a73af,   // mk.ru.kk_222 uk.be.kk_432  ny.bs.mg_543 ny.tl.ceb_655 
  0x73555613, 0x2155730c, 0x301028ee, 0x28005614,   // mg.rw.ny_665 ny.rw.jw_543  sw.lt.uz_422 mg.sw.un_660 
  0x1a552105, 0x27002f02, 0x1a001b20, 0x0c376412,   // jw.rw.tl_333 su.gd.un_220  tr.tl.un_850 lg.st.sv_654 
  0x091a7309, 0x04002013, 0x305573ec, 0x55001b14,   // ny.tl.pl_444 sq.fi.un_650  ny.rw.uz_644 tr.rw.un_660 
  // [a0d0]
  0x10200fa4, 0x0973560c, 0x560f05a0, 0x64041055,   // lv.sq.lt_433 mg.ny.pl_543  fr.lv.mg_322 lt.fi.lg_442 
  0x1600560c, 0x2864555a, 0x566428a9, 0x0418130d,   // mg.hr.un_530 rw.lg.sw_553  sw.lg.mg_544 et.ga.fi_554 
  0x3d536b08, 0x372856ad, 0x730f560c, 0x0812185a,   // ceb.ht.ku_443 mg.sw.st_643  mg.lv.ny_543 ga.hu.no_553 
  0x0528010c, 0x642a2f0c, 0x1a555608, 0x181125ad,   // en.sw.fr_543 su.mt.lg_543  mg.rw.tl_443 eu.ro.ga_643 
  // [a0e0]
  0x21282f09, 0x11090709, 0x1e1c030c, 0x12292aa7,   // su.sw.jw_444 it.pl.ro_444  nl.id.ms_543 mt.sl.hu_532 
  0x201b29ec, 0x06281e05, 0x29001c13, 0x130a0807,   // sl.tr.sq_644 ms.sw.de_333  id.sl.un_650 no.pt.et_432 
  0x12080255, 0x033f6404, 0x1b0c0208, 0x02123f0c,   // da.no.hu_442 lg.af.nl_332  da.sv.tr_443 af.hu.da_543 
  0x181f23a4, 0x0b230508, 0x302512a7, 0x1e1c0305,   // ca.cy.ga_433 fr.ca.es_443  hu.eu.uz_532 nl.id.ms_333 
  // [a0f0]
  0x0f100e04, 0x0e00270d, 0x11000a05, 0x31300aa9,   // is.lt.lv_332 gd.is.un_540  pt.ro.un_330 pt.uz.az_544 
  0x23002514, 0x3f2527a0, 0x30123d04, 0x133f2904,   // eu.ca.un_660 gd.eu.af_322  ku.hu.uz_332 sl.af.et_332 
  0x04231113, 0x131e0ea0, 0x120530a4, 0x0a2a070e,   // ro.ky.ru_665 is.ms.et_322  uz.fr.hu_433 it.mt.pt_555 
  0x100504a0, 0x1200251a, 0x10040f08, 0x3d211c05,   // fi.fr.lt_322 eu.hu.un_760  lv.fi.lt_443 id.jw.ku_333 
  // [a100]
  0x2b001113, 0x3200050d, 0x253f100c, 0x12290e12,   // ro.vi.un_650 fr.bs.un_540  lt.af.eu_543 is.sl.hu_654 
  0x230f0aa4, 0x0d0306ee, 0x12132a08, 0x0f002f08,   // pt.lv.ca_433 de.nl.cs_422  mt.et.hu_443 su.lv.un_430 
  0x20115504, 0x10081707, 0x251004a0, 0x17001b04,   // rw.ro.sq_332 sr.uk.be_432  fi.lt.eu_322 tr.sr.un_320 
  0x0a2b010c, 0x44003519, 0x05232907, 0x1e1b12ee,   // en.vi.pt_543 tg.kk.un_750  sl.ca.fr_432 hu.tr.ms_422 
  // [a110]
  0x04732807, 0x03002f11, 0x13046b0d, 0x6e00010d,   // sw.ny.fi_432 su.nl.un_630  ceb.fi.et_554 en.hmn.un_540 
  0x17440808, 0x300c1ba4, 0x20001819, 0x292d30a0,   // uk.kk.sr_443 tr.sv.uz_433  ga.sq.un_750 uz.sk.sl_322 
  0x18732713, 0x060b270c, 0x6b303104, 0x100407a0,   // gd.ny.ga_665 gd.es.de_543  az.uz.ceb_332 bg.ru.be_322 
  0x730b55ad, 0x18372708, 0x6b1a550d, 0x2f211309,   // rw.es.ny_643 gd.st.ga_443  rw.tl.ceb_554 et.jw.su_444 
  // [a120]
  0x321c2107, 0x6b1a01a0, 0x2d0d23a0, 0x05002904,   // jw.id.bs_432 en.tl.ceb_322  ca.cs.sk_322 sl.fr.un_320 
  0x6b1a2fa9, 0x301f53a0, 0x1e1c10ec, 0x03007320,   // su.tl.ceb_544 ht.cy.uz_322  lt.id.ms_644 ny.nl.un_850 
  0x17001308, 0x08021a0b, 0x1e1c11ec, 0x551a530d,   // et.sr.un_430 tl.da.no_542  ro.id.ms_644 ht.tl.rw_554 
  0x5530730e, 0x0711100c, 0x212f1a08, 0x0511180c,   // ny.uz.rw_555 lt.ro.it_543  tl.su.jw_443 ga.ro.fr_543 
  // [a130]
  0x10002809, 0x04031ca0, 0x281053a4, 0x30001809,   // sw.lt.un_440 id.nl.fi_322  ht.lt.sw_433 ga.uz.un_440 
  0x0710230c, 0x0d280307, 0x09000f0e, 0x1e130409,   // ca.lt.it_543 nl.sw.cs_432  lv.pl.un_550 fi.et.ms_444 
  0x031806a4, 0x0800290d, 0x103711a7, 0x2f12070c,   // de.ga.nl_433 sl.no.un_540  ro.st.lt_532 it.hu.su_543 
  0x6b0f2fa9, 0x532a0a12, 0x28645505, 0x0f1a130d,   // su.lv.ceb_544 pt.mt.ht_654  rw.lg.sw_333 et.tl.lv_554 
  // [a140]
  0x3f561355, 0x2d000a09, 0x11003713, 0x2b0410ee,   // et.mg.af_442 pt.sk.un_440  st.ro.un_650 lt.fi.vi_422 
  0x1b0413ee, 0x1e1c130c, 0x37111008, 0x03092507,   // et.fi.tr_422 et.id.ms_543  lt.ro.st_443 eu.pl.nl_432 
  0x04101c07, 0x2f1c21ac, 0x11050404, 0x070a2355,   // id.lt.fi_432 jw.id.su_632  fi.fr.ro_332 ca.pt.it_442 
  0x64003d13, 0x536409ad, 0x06001307, 0x1700130c,   // ku.lg.un_650 pl.lg.ht_643  et.de.un_420 et.sr.un_530 
  // [a150]
  0x6b0913a4, 0x043713a4, 0x30043502, 0x31321708,   // et.pl.ceb_433 et.st.fi_433  tg.ru.uz_222 sr.bs.az_443 
  0x04133755, 0x0b006b02, 0x37002014, 0x06003002,   // st.et.fi_442 ceb.es.un_220  sq.st.un_660 uz.de.un_220 
  0x0a0735ad, 0x091655a0, 0x1c371fad, 0x44040860,   // tg.bg.mk_643 rw.hr.pl_322  cy.st.id_643 uk.ru.kk_664 
  0x37003d1b, 0x07173507, 0x0e000412, 0x19050a07,   // ku.st.un_770 tg.sr.bg_432  fi.is.un_640 pt.fr.gl_432 
  // [a160]
  0x32170fec, 0x0400010c, 0x302f2155, 0x37016ba4,   // lv.sr.bs_644 en.fi.un_530  jw.su.uz_442 ceb.en.st_433 
  0x3d002113, 0x0d00041a, 0x0d2928a6, 0x07551004,   // jw.ku.un_650 fi.cs.un_760  sw.sl.cs_521 lt.rw.it_332 
  0x2d0d01ee, 0x0e0406a9, 0x1304060c, 0x2b170ba0,   // en.cs.sk_422 de.fi.is_544  de.fi.et_543 es.sr.vi_322 
  0x1e002104, 0x08022014, 0x37001c02, 0x182b20a4,   // jw.ms.un_320 sq.da.no_666  id.st.un_220 sq.vi.ga_433 
  // [a170]
  0x28003712, 0x2d00190e, 0x081f0c0c, 0x3544305a,   // st.sw.un_640 gl.sk.un_550  sv.cy.no_543 uz.kk.tg_553 
  0x04000908, 0x012d0d55, 0x20182707, 0x1b003d1a,   // pl.fi.un_430 cs.sk.en_442  gd.ga.sq_432 ku.tr.un_760 
  0x27002018, 0x55003713, 0x32171ca0, 0x0400011a,   // sq.gd.un_740 st.rw.un_650  id.sr.bs_322 en.fi.un_760 
  0x29320ca0, 0x0900010d, 0x560901a4, 0x2d0d01a9,   // sv.bs.sl_322 en.pl.un_540  en.pl.mg_433 en.cs.sk_544 
  // [a180]
  0x071008a0, 0x19122d55, 0x2d000a13, 0x0e2a200c,   // uk.be.bg_322 sk.hu.gl_442  pt.sk.un_650 sq.mt.is_543 
  0x531c0e04, 0x1f11070b, 0x0d000419, 0x53050e05,   // is.id.ht_332 it.ro.cy_542  fi.cs.un_750 is.fr.ht_333 
  0x13280e0c, 0x0a3f200b, 0x201b30a7, 0x1b001e13,   // is.sw.et_543 sq.af.pt_542  uz.tr.sq_532 ms.tr.un_650 
  0x23002b2b, 0x072a1309, 0x285537a7, 0x2b1c1e0c,   // vi.ca.un_980 et.mt.it_444  st.rw.sw_532 ms.id.vi_543 
  // [a190]
  0x552f0e0c, 0x230a0b5a, 0x5300110c, 0x13121f12,   // is.su.rw_543 es.pt.ca_553  ro.ht.un_530 cy.hu.et_654 
  0x3f1e01a7, 0x311e2dad, 0x310e2da4, 0x192d1205,   // en.ms.af_532 sk.ms.az_643  sk.is.az_433 hu.sk.gl_333 
  0x1b30530c, 0x212f20a4, 0x180e12b4, 0x0e071c0c,   // ht.uz.tr_543 sq.su.jw_433  hu.is.ga_754 id.it.is_543 
  0x032b1cee, 0x11132813, 0x1f0e2512, 0x301b060b,   // id.vi.nl_422 sw.et.ro_665  eu.is.cy_654 de.tr.uz_542 
  // [a1a0]
  0x29072da0, 0x0e002504, 0x0f002104, 0x113130a6,   // sk.it.sl_322 eu.is.un_320  jw.lv.un_320 uz.az.ro_521 
  0x10234407, 0x29002d07, 0x12002f0c, 0x0500010c,   // kk.ky.be_432 sk.sl.un_420  su.hu.un_530 en.fr.un_530 
  0x04001721, 0x53000719, 0x2f110aa0, 0x0b002505,   // sr.ru.un_860 it.ht.un_750  pt.ro.su_322 eu.es.un_330 
  0x6e25040d, 0x05002807, 0x03063fec, 0x042528a9,   // fi.eu.hmn_554 sw.fr.un_420  af.de.nl_644 sw.eu.fi_544 
  // [a1b0]
  0x25002823, 0x12006413, 0x25282308, 0x0c070805,   // sw.eu.un_880 lg.hu.un_650  ca.sw.eu_443 no.it.sv_333 
  0x13001a07, 0x25126404, 0x0a372804, 0x02002504,   // tl.et.un_420 lg.hu.eu_332  sw.st.pt_332 eu.da.un_320 
  0x64557309, 0x282025af, 0x2f080204, 0x18000913,   // ny.rw.lg_444 eu.sq.sw_655  da.no.su_332 pl.ga.un_650 
  0x6e280407, 0x100b0a02, 0x28251e0c, 0x17071002,   // fi.sw.hmn_432 pt.es.lt_222  ms.eu.sw_543 be.bg.sr_222 
  // [a1c0]
  0x282f250d, 0x2104250c, 0x04001c08, 0x56000509,   // eu.su.sw_554 eu.fi.jw_543  id.fi.un_430 fr.mg.un_440 
  0x1f531eee, 0x080a02a0, 0x1f006e09, 0x043023ee,   // ms.ht.cy_422 da.pt.no_322  hmn.cy.un_440 ky.uz.ru_422 
  0x133116ee, 0x35101712, 0x28002a0b, 0x2d000914,   // hr.az.et_422 sr.be.tg_654  mt.sw.un_520 pl.sk.un_660 
  0x09213f07, 0x10002812, 0x011f23a7, 0x351730a0,   // af.jw.pl_432 sw.lt.un_640  ca.cy.en_532 uz.sr.tg_322 
  // [a1d0]
  0x04303560, 0x130802ee, 0x19180bee, 0x07170a55,   // tg.uz.ru_664 da.no.et_422  es.ga.gl_422 mk.sr.bg_442 
  0x1a5530a0, 0x20303fa4, 0x216b2fec, 0x6b3d20ee,   // uz.rw.tl_322 af.uz.sq_433  su.ceb.jw_644 sq.ku.ceb_422 
  0x283720a9, 0x09103fa4, 0x05271904, 0x0b0603af,   // sq.st.sw_544 af.lt.pl_433  gl.gd.fr_332 nl.de.es_655 
  0x2809040c, 0x20000404, 0x100904ac, 0x23111114,   // fi.pl.sw_543 fi.sq.un_320  fi.pl.lt_632 ro.ro.ky_666 
  // [a1e0]
  0x1b1120a6, 0x1a28010b, 0x1e2025a9, 0x09022d0c,   // sq.ro.tr_521 en.sw.tl_542  eu.sq.ms_544 sk.da.pl_543 
  0x250928a7, 0x1a6428a9, 0x07092d0b, 0x215573a7,   // sw.pl.eu_532 sw.lg.tl_544  sk.pl.it_542 ny.rw.jw_532 
  0x2d070ba4, 0x286b1a08, 0x08042aee, 0x2700230c,   // es.it.sk_433 tl.ceb.sw_443  mt.fi.no_422 ca.gd.un_530 
  0x3f1129a0, 0x1c1a1ea9, 0x2a0e110c, 0x096b21a4,   // sl.ro.af_322 ms.tl.id_544  ro.is.mt_543 jw.ceb.pl_433 
  // [a1f0]
  0x1200640b, 0x03060912, 0x3530440c, 0x2f3721a0,   // lg.hu.un_520 pl.de.nl_654  kk.uz.tg_543 jw.st.su_322 
  0x173201a6, 0x211a6b5a, 0x0e6b1a07, 0x083f27a0,   // en.bs.sr_521 ceb.tl.jw_553  tl.ceb.is_432 gd.af.no_322 
  0x73003019, 0x73280960, 0x04084460, 0x2d0a050c,   // uz.ny.un_750 pl.sw.ny_664  kk.uk.ru_664 fr.pt.sk_543 
  0x27001702, 0x0b072304, 0x103f04a9, 0x09110f14,   // sr.gd.un_220 ca.it.es_332  fi.af.lt_544 lv.ro.pl_666 
  // [a200]
  0x1a2d0d04, 0x0400062b, 0x1c2f1ea7, 0x03000929,   // cs.sk.tl_332 de.fi.un_980  ms.su.id_532 pl.nl.un_960 
  0x18120e08, 0x2d042a0c, 0x25071807, 0x18311b13,   // is.hu.ga_443 mt.fi.sk_543  ga.it.eu_432 tr.az.ga_665 
  0x04131104, 0x64190a0d, 0x282f1c09, 0x1c1a1e0c,   // ro.et.fi_332 pt.gl.lg_554  id.su.sw_444 ms.tl.id_543 
  0x2d0d1105, 0x100e120c, 0x1e210107, 0x122a2008,   // ro.cs.sk_333 hu.is.lt_543  en.jw.ms_432 sq.mt.hu_443 
  // [a210]
  0x04072d07, 0x12080c0d, 0x2a6425a9, 0x180a0ca9,   // sk.it.fi_432 sv.no.hu_554  eu.lg.mt_544 sv.pt.ga_544 
  0x17111055, 0x5611200c, 0x3f0902a0, 0x373f03a0,   // be.ro.sr_442 sq.ro.mg_543  da.pl.af_322 nl.af.st_322 
  0x06006408, 0x3f120ca4, 0x1a080205, 0x53001204,   // lg.de.un_430 sv.hu.af_433  da.no.tl_333 hu.ht.un_320 
  0x0c6408a0, 0x6b1a0ba4, 0x300a3f08, 0x2a003d21,   // no.lg.sv_322 es.tl.ceb_433  af.pt.uz_443 ku.mt.un_860 
  // [a220]
  0x2f311e0c, 0x31001704, 0x12001e13, 0x12071108,   // ms.az.su_543 sr.az.un_320  ms.hu.un_650 ro.it.hu_443 
  0x1a185608, 0x120a2d0d, 0x1811010c, 0x28115602,   // mg.ga.tl_443 sk.pt.hu_554  en.ro.ga_543 mg.ro.sw_222 
  0x1b0e0c0c, 0x071156ad, 0x64215604, 0x172d20ee,   // sv.is.tr_543 mg.ro.it_643  mg.jw.lg_332 sq.sk.sr_422 
  0x100a040d, 0x6b2f1aaf, 0x64103712, 0x230410a7,   // ru.mk.be_554 tl.su.ceb_655  st.lt.lg_654 be.ru.ky_532 
  // [a230]
  0x3d2537a7, 0x12232d0b, 0x3010230c, 0x10001718,   // st.eu.ku_532 sk.ca.hu_542  ky.be.uz_543 sr.be.un_740 
  0x2f3773af, 0x73043da4, 0x2f211b05, 0x2f041ca0,   // ny.st.su_655 ku.fi.ny_433  tr.jw.su_333 id.fi.su_322 
  0x0d001604, 0x1600170c, 0x552f28ee, 0x110625a4,   // hr.cs.un_320 sr.hr.un_530  sw.su.rw_422 eu.de.ro_433 
  0x28133707, 0x6b2f2ba9, 0x2f281ea4, 0x1a2b2fa0,   // st.et.sw_432 vi.su.ceb_544  ms.sw.su_433 su.vi.tl_322 
  // [a240]
  0x080c37a4, 0x112d01a4, 0x44083502, 0x1e1c3109,   // st.sv.no_433 en.sk.ro_433  tg.uk.kk_222 az.id.ms_444 
  0x11013007, 0x06112fa0, 0x1b00320c, 0x0a2319a0,   // uz.en.ro_432 su.ro.de_322  bs.tr.un_530 gl.ca.pt_322 
  0x111004ad, 0x072317a0, 0x536e01a0, 0x02563d07,   // ru.be.ro_643 sr.ky.bg_322  en.hmn.ht_322 ku.mg.da_432 
  0x2d0d0e0c, 0x081017a9, 0x1e2f0fee, 0x3f0304ec,   // is.cs.sk_543 sr.be.uk_544  lv.su.ms_422 fi.nl.af_644 
  // [a250]
  0x37002823, 0x376b1caf, 0x043023a6, 0x371a01a4,   // sw.st.un_880 id.ceb.st_655  ky.uz.ru_521 en.tl.st_433 
  0x25033d0c, 0x30111755, 0x6b0604a0, 0x10040e08,   // ku.nl.eu_543 sr.ro.uz_442  fi.de.ceb_322 is.fi.lt_443 
  0x6b371a12, 0x73042dee, 0x351704a9, 0x2f1a370d,   // tl.st.ceb_654 sk.fi.ny_422  ru.sr.tg_544 st.tl.su_554 
  0x03283fa4, 0x041006a4, 0x1e005509, 0x1a371e0c,   // af.sw.nl_433 de.lt.fi_433  rw.ms.un_440 ms.st.tl_543 
  // [a260]
  0x28003002, 0x2f3f030c, 0x6b377311, 0x101a040c,   // uz.sw.un_220 nl.af.su_543  ny.st.ceb_653 fi.tl.lt_543 
  0x1a0f10a0, 0x2f6b1a12, 0x1c552fa4, 0x1b0e0307,   // lt.lv.tl_322 tl.ceb.su_654  su.rw.id_433 nl.is.tr_432 
  0x2f28375a, 0x6b371a0c, 0x1364040c, 0x2b2f2104,   // st.sw.su_553 tl.st.ceb_543  fi.lg.et_543 jw.su.vi_332 
  0x731c2fa4, 0x21041c11, 0x3f001705, 0x05235604,   // su.id.ny_433 id.fi.jw_653  sr.af.un_330 mg.ca.fr_332 
  // [a270]
  0x2d0d20af, 0x1f042014, 0x121b7305, 0x10112502,   // sq.cs.sk_655 sq.fi.cy_666  ny.tr.hu_333 eu.ro.lt_222 
  0x10071c07, 0x31006e13, 0x1f2b12ad, 0x10302a12,   // id.it.lt_432 hmn.az.un_650  hu.vi.cy_643 mt.uz.lt_654 
  0x07112304, 0x0f040655, 0x0100080d, 0x1a3708a4,   // ca.ro.it_332 de.fi.lv_442  no.en.un_540 no.st.tl_433 
  0x28270ba4, 0x2f371aa4, 0x04100607, 0x070e56a4,   // es.gd.sw_433 tl.st.su_433  de.lt.fi_432 mg.is.it_433 
  // [a280]
  0x0b002f0c, 0x0e300da0, 0x5600010d, 0x73553712,   // su.es.un_530 cs.uz.is_322  en.mg.un_540 st.rw.ny_654 
  0x2f641008, 0x442308a4, 0x2a071c0c, 0x0600640b,   // lt.lg.su_443 uk.ky.kk_433  id.it.mt_543 lg.de.un_520 
  0x11001704, 0x20312aa7, 0x2d0d100c, 0x3530170b,   // sr.ro.un_320 mt.az.sq_532  lt.cs.sk_543 sr.uz.tg_542 
  0x10170aa4, 0x111304a4, 0x182f2112, 0x233f1107,   // mk.sr.be_433 fi.et.ro_433  jw.su.ga_654 ro.af.ca_432 
  // [a290]
  0x27282504, 0x2b040804, 0x04111307, 0x10350812,   // eu.sw.gd_332 no.fi.vi_332  et.ro.fi_432 uk.tg.be_654 
  0x215530a0, 0x110f13ee, 0x11130413, 0x0413110c,   // uz.rw.jw_322 et.lv.ro_422  fi.et.ro_665 ro.et.fi_543 
  0x01001102, 0x1800010e, 0x095601a4, 0x301805a0,   // ro.en.un_220 en.ga.un_550  en.mg.pl_433 fr.ga.uz_322 
  0x07043513, 0x30040702, 0x30042307, 0x53132a04,   // tg.ru.bg_665 bg.ru.uz_222  ky.ru.uz_432 mt.et.ht_332 
  // [a2a0]
  0x2a6b010c, 0x37015608, 0x10004422, 0x170430a4,   // en.ceb.mt_543 mg.en.st_443  kk.be.un_870 uz.ru.sr_433 
  0x30006b02, 0x532f05ee, 0x530d3fee, 0x07005313,   // ceb.uz.un_220 fr.su.ht_422  af.cs.ht_422 ht.it.un_650 
  0x0f6b01ad, 0x5600011a, 0x10000202, 0x12003005,   // en.ceb.lv_643 en.mg.un_760  da.lt.un_220 uz.hu.un_330 
  0x12007313, 0x733d6b04, 0x0c2a01a4, 0x1e2721a0,   // ny.hu.un_650 ceb.ku.ny_332  en.mt.sv_433 jw.gd.ms_322 
  // [a2b0]
  0x08733704, 0x03003014, 0x2a003114, 0x17002f02,   // st.ny.no_332 uz.nl.un_660  az.mt.un_660 su.sr.un_220 
  0x191729a9, 0x0c001212, 0x37001c04, 0x1f002f0e,   // sl.sr.gl_544 hu.sv.un_640  id.st.un_320 su.cy.un_550 
  0x1f002f08, 0x122d0a04, 0x1e730dec, 0x21640307,   // su.cy.un_430 pt.sk.hu_332  cs.ny.ms_644 nl.lg.jw_432 
  0x250f5612, 0x1103130c, 0x190b0c09, 0x0f1b1308,   // mg.lv.eu_654 et.nl.ro_543  sv.es.gl_444 et.tr.lv_443 
  // [a2c0]
  0x171b250b, 0x080e1f05, 0x1035305a, 0x2a30310e,   // eu.tr.sr_542 cy.is.no_333  uz.tg.be_553 az.uz.mt_555 
  0x0f257307, 0x04080c0c, 0x6b5308a0, 0x37640a0c,   // ny.eu.lv_432 sv.no.fi_543  no.ht.ceb_322 pt.lg.st_543 
  0x13036404, 0x302127a0, 0x3f041307, 0x0c022a05,   // lg.nl.et_332 gd.jw.uz_322  et.fi.af_432 mt.da.sv_333 
  0x27132dad, 0x0b0c0255, 0x0c2a0e02, 0x0b00180d,   // sk.et.gd_643 da.sv.es_442  is.mt.sv_222 ga.es.un_540 
  // [a2d0]
  0x2b000c07, 0x3d0c080c, 0x300a10a4, 0x0e6b2714,   // sv.vi.un_420 no.sv.ku_543  be.mk.uz_433 gd.ceb.is_666 
  0x05002f13, 0x733029a0, 0x56001e09, 0x31002a13,   // su.fr.un_650 sl.uz.ny_322  ms.mg.un_440 mt.az.un_650 
  0x10090fac, 0x12002721, 0x3f120207, 0x20322a02,   // lv.pl.lt_632 gd.hu.un_860  da.hu.af_432 mt.bs.sq_222 
  0x30007302, 0x02066bee, 0x1800050c, 0x28257312,   // ny.uz.un_220 ceb.de.da_422  fr.ga.un_530 ny.eu.sw_654 
  // [a2e0]
  0x3d1a6b0c, 0x0f097305, 0x09003d18, 0x37007336,   // ceb.tl.ku_543 ny.pl.lv_333  ku.pl.un_740 ny.st.un_AA0 
  0x0c0a04ec, 0x110c7313, 0x10070413, 0x041b3f08,   // fi.pt.sv_644 ny.sv.ro_665  ru.bg.be_665 af.tr.fi_443 
  0x3730550c, 0x312a30ec, 0x0f310c02, 0x29000e04,   // rw.uz.st_543 uz.mt.az_644  sv.az.lv_222 is.sl.un_320 
  0x10130f04, 0x04271813, 0x020611ee, 0x030c730c,   // lv.et.lt_332 ga.gd.fi_665  ro.de.da_422 ny.sv.nl_543 
  // [a2f0]
  0x2a001e05, 0x101827ad, 0x2705010c, 0x64000b04,   // ms.mt.un_330 gd.ga.lt_643  en.fr.gd_543 es.lg.un_320 
  0x04001822, 0x1c2b640c, 0x11002809, 0x310e2aa0,   // ga.fi.un_870 lg.vi.id_543  sw.ro.un_440 mt.is.az_322 
  0x1f091855, 0x16291704, 0x08006b02, 0x73552814,   // ga.pl.cy_442 sr.sl.hr_332  ceb.no.un_220 sw.rw.ny_666 
  0x1c0309a9, 0x04442355, 0x371213ec, 0x27002105,   // pl.nl.id_544 ky.kk.ru_442  et.hu.st_644 jw.gd.un_330 
  // [a300]
  0x53113708, 0x27006e0d, 0x190527ad, 0x2000210d,   // st.ro.ht_443 hmn.gd.un_540  gd.fr.gl_643 jw.sq.un_540 
  0x18000d0c, 0x271107a4, 0x11002a04, 0x0d001318,   // cs.ga.un_530 it.ro.gd_433  mt.ro.un_320 bh.ne.un_740 
  0x2f0f250b, 0x4404350c, 0x18000522, 0x081e1c55,   // eu.lv.su_542 tg.ru.kk_543  fr.ga.un_870 id.ms.no_442 
  0x052701a4, 0x2100100d, 0x061155a0, 0x041801a4,   // en.gd.fr_433 lt.jw.un_540  rw.ro.de_322 en.ga.fi_433 
  // [a310]
  0x1100230c, 0x30171aee, 0x371f20a4, 0x0d080260,   // ca.ro.un_530 tl.sr.uz_422  sq.cy.st_433 da.no.cs_664 
  0x30551bad, 0x1629120c, 0x27001f09, 0x2f301e07,   // tr.rw.uz_643 hu.sl.hr_543  cy.gd.un_440 ms.uz.su_432 
  0x02080c08, 0x062b1802, 0x1a0c6ba4, 0x0400102a,   // sv.no.da_443 ga.vi.de_222  ceb.sv.tl_433 be.ru.un_970 
  0x04300aa4, 0x2a001e07, 0x2a6455a0, 0x2a011fee,   // mk.uz.ru_433 ms.mt.un_420  rw.lg.mt_322 cy.en.mt_422 
  // [a320]
  0x30000707, 0x28181fa9, 0x051f18a4, 0x53007322,   // bg.uz.un_420 cy.ga.sw_544  ga.cy.fr_433 ny.ht.un_870 
  0x10001a07, 0x065301a4, 0x2025050d, 0x1b002507,   // tl.lt.un_420 en.ht.de_433  fr.eu.sq_554 eu.tr.un_420 
  0x1f1b3fa4, 0x0600280e, 0x04133fa7, 0x0306270c,   // af.tr.cy_433 sw.de.un_550  af.et.fi_532 gd.de.nl_543 
  0x30043512, 0x195306a4, 0x050f3007, 0x73000909,   // tg.ru.uz_654 de.ht.gl_433  uz.lv.fr_432 pl.ny.un_440 
  // [a330]
  0x64730607, 0x2506040b, 0x3d6b730c, 0x072a04a4,   // de.ny.lg_432 fi.de.eu_542  ny.ceb.ku_543 fi.mt.it_433 
  0x7305060c, 0x0911730c, 0x31121ba7, 0x53030507,   // de.fr.ny_543 ny.ro.pl_543  tr.hu.az_532 fr.nl.ht_432 
  0x0e1b3107, 0x032873af, 0x181f270c, 0x35043002,   // az.tr.is_432 ny.sw.nl_655  gd.cy.ga_543 uz.ru.tg_222 
  0x202321ec, 0x6400280e, 0x181221a7, 0x6b000e04,   // jw.ca.sq_644 sw.lg.un_550  fa.ur.ar_532 is.ceb.un_320 
  // [a340]
  0x181327ee, 0x08170408, 0x21002011, 0x0518270c,   // gd.et.ga_422 ru.sr.uk_443  sq.jw.un_630 gd.ga.fr_543 
  0x02131a08, 0x12000407, 0x19080507, 0x2000051f,   // tl.et.da_443 fi.hu.un_420  fr.no.gl_432 fr.sq.un_840 
  0x56093f0d, 0x550964a0, 0x131923ad, 0x09041104,   // af.pl.mg_554 lg.pl.rw_322  ca.gl.et_643 ro.fi.pl_332 
  0x28042507, 0x25321704, 0x10000404, 0x080e2504,   // eu.fi.sw_432 sr.bs.eu_332  fi.lt.un_320 eu.is.no_332 
  // [a350]
  0x536428a0, 0x3510170c, 0x37100407, 0x02002718,   // sw.lg.ht_322 sr.be.tg_543  fi.lt.st_432 gd.da.un_740 
  0x3d003120, 0x031813a0, 0x10200fee, 0x35440707,   // az.ku.un_850 et.ga.nl_322  lv.sq.lt_422 bg.kk.tg_432 
  0x041710a7, 0x3d052f09, 0x010809a7, 0x17000811,   // be.sr.ru_532 su.fr.ku_444  pl.no.en_532 uk.sr.un_630 
  0x0a07045a, 0x18000512, 0x1204060d, 0x13041155,   // ru.bg.mk_553 fr.ga.un_640  de.fi.hu_554 ro.fi.et_442 
  // [a360]
  0x092504a4, 0x11286404, 0x731b31ee, 0x3700110c,   // fi.eu.pl_433 lg.sw.ro_332  az.tr.ny_422 ro.st.un_530 
  0x060456a0, 0x640428a4, 0x2a000f1b, 0x251a2804,   // mg.fi.de_322 sw.fi.lg_433  lv.mt.un_770 sw.tl.eu_332 
  0x2a00731a, 0x04177302, 0x13736bee, 0x736428a4,   // ny.mt.un_760 ny.sr.fi_222  ceb.ny.et_422 sw.lg.ny_433 
  0x04100e07, 0x1e002021, 0x0d001c29, 0x11073007,   // is.lt.fi_432 sq.ms.un_860  mr.ne.un_960 uz.it.ro_432 
  // [a370]
  0x1a55280d, 0x0f002a29, 0x1300370c, 0x1c2f53ee,   // sw.rw.tl_554 mt.lv.un_960  st.et.un_530 ht.su.id_422 
  0x043003a0, 0x13212507, 0x2d121902, 0x11102f08,   // nl.uz.fi_322 eu.jw.et_432  gl.hu.sk_222 su.lt.ro_443 
  0x2d000e13, 0x04370805, 0x12000f02, 0x03086407,   // is.sk.un_650 no.st.fi_333  lv.hu.un_220 lg.no.nl_432 
  0x730501a4, 0x03001b21, 0x0711110b, 0x1c041aa0,   // en.fr.ny_433 tr.nl.un_860  ro.ro.bg_542 tl.fi.id_322 
  // [a380]
  0x0e006407, 0x28371aee, 0x04733060, 0x042f25a0,   // lg.is.un_420 tl.st.sw_422  uz.ny.fi_664 eu.su.fi_322 
  0x16300404, 0x0a0d0407, 0x02041308, 0x252f11ad,   // fi.uz.hr_332 fi.cs.pt_432  et.fi.da_443 ro.su.eu_643 
  0x03002d02, 0x17100aec, 0x2b2d3fa0, 0x0c00110c,   // sk.nl.un_220 mk.be.sr_644  af.sk.vi_322 ro.sv.un_530 
  0x040f2aec, 0x1310115a, 0x111704a4, 0x0612040c,   // mt.lv.fi_644 ro.lt.et_553  ru.sr.ro_433 fi.hu.de_543 
  // [a390]
  0x17233504, 0x2a005602, 0x080223ac, 0x020b6eee,   // tg.ky.sr_332 mg.mt.un_220  ca.da.no_632 hmn.es.da_422 
  0x13293f0c, 0x104435a4, 0x190a13ee, 0x08013fa7,   // af.sl.et_543 tg.kk.be_433  et.pt.gl_422 af.en.no_532 
  0x56132f05, 0x44171107, 0x18052702, 0x56251307,   // su.et.mg_333 ro.sr.kk_432  gd.fr.ga_222 et.eu.mg_432 
  0x1b31300b, 0x37100804, 0x1b313d13, 0x3d002f08,   // uz.az.tr_542 no.lt.st_332  ku.az.tr_665 su.ku.un_430 
  // [a3a0]
  0x2f2932a0, 0x730c370c, 0x230d1213, 0x13102a02,   // bs.sl.su_322 st.sv.ny_543  hu.cs.ca_665 mt.lt.et_222 
  0x55252fa4, 0x1b002905, 0x13030109, 0x2064130c,   // su.eu.rw_433 sl.tr.un_330  en.nl.et_444 et.lg.sq_543 
  0x2d0a1207, 0x040a19ee, 0x093125a9, 0x2b211cee,   // hu.pt.sk_432 gl.pt.fi_422  eu.az.pl_544 id.jw.vi_422 
  0x25001c08, 0x13007308, 0x53002004, 0x080e0c0b,   // id.eu.un_430 ny.et.un_430  sq.ht.un_320 sv.is.no_542 
  // [a3b0]
  0x3d2025a4, 0x1700301a, 0x1373640c, 0x12533da0,   // eu.sq.ku_433 uz.sr.un_760  lg.ny.et_543 ku.ht.hu_322 
  0x0a051107, 0x021208a9, 0x08130caf, 0x1f732860,   // ro.fr.pt_432 no.hu.da_544  sv.et.no_655 sw.ny.cy_664 
  0x03211e0b, 0x1a00011a, 0x13002f19, 0x11002a0d,   // ms.jw.nl_542 en.tl.un_760  su.et.un_750 mt.ro.un_540 
  0x011a2114, 0x011a21af, 0x2f1e0407, 0x0300010d,   // jw.tl.en_666 jw.tl.en_655  fi.ms.su_432 en.nl.un_540 
  // [a3c0]
  0x2a001304, 0x300137a0, 0x3f1a010b, 0x640413a6,   // et.mt.un_320 st.en.uz_322  en.tl.af_542 et.fi.lg_521 
  0x04002d0e, 0x211a1c0c, 0x212f01a4, 0x30002812,   // sk.fi.un_550 id.tl.jw_543  en.su.jw_433 sw.uz.un_640 
  0x56530555, 0x1a002821, 0x1e1c5502, 0x03080113,   // fr.ht.mg_442 sw.tl.un_860  rw.id.ms_222 en.no.nl_665 
  0x290b530c, 0x031a01a9, 0x212f6ba7, 0x203055a4,   // ht.es.sl_543 en.tl.nl_544  ceb.su.jw_532 rw.uz.sq_433 
  // [a3d0]
  0x560a2305, 0x55302808, 0x170a1011, 0x2f01210c,   // ca.pt.mg_333 sw.uz.rw_443  be.mk.sr_653 jw.en.su_543 
  0x553028ec, 0x2a103709, 0x1e001119, 0x092d0faf,   // sw.uz.rw_644 st.lt.mt_444  ro.ms.un_750 lv.sk.pl_655 
  0x30002014, 0x040609b3, 0x2855300c, 0x55251a05,   // sq.uz.un_660 pl.de.fi_743  uz.rw.sw_543 tl.eu.rw_333 
  0x01112fa0, 0x172b20a0, 0x5500202b, 0x0e08020c,   // su.ro.en_322 sq.vi.sr_322  sq.rw.un_980 da.no.is_543 
  // [a3e0]
  0x376425a0, 0x2000010d, 0x28200107, 0x3f2055ec,   // eu.lg.st_322 en.sq.un_540  en.sq.sw_432 rw.sq.af_644 
  0x73182708, 0x117325a9, 0x272028a7, 0x0a230855,   // gd.ga.ny_443 eu.ny.ro_544  sw.sq.gd_532 uk.ky.mk_442 
  0x050c560c, 0x0c0637ee, 0x55003023, 0x121c6405,   // mg.sv.fr_543 st.de.sv_422  uz.rw.un_880 lg.id.hu_333 
  0x036406a0, 0x25001319, 0x231910a4, 0x1113320d,   // de.lg.nl_322 et.eu.un_750  lt.gl.ca_433 bs.et.ro_554 
  // [a3f0]
  0x6b0f20a7, 0x0c060407, 0x072030ad, 0x203f30a4,   // sq.lv.ceb_532 fi.de.sv_432  uz.sq.it_643 uz.af.sq_433 
  0x06000412, 0x552801a4, 0x0e10010b, 0x113530a4,   // fi.de.un_640 en.sw.rw_433  en.lt.is_542 uz.tg.ro_433 
  0x273773ec, 0x2800200d, 0x072108a0, 0x3f0237ee,   // ny.st.gd_644 sq.sw.un_540  no.jw.it_322 st.da.af_422 
  0x0817300c, 0x11187307, 0x280a7307, 0x2d1b0107,   // uz.sr.uk_543 ny.ga.ro_432  ny.pt.sw_432 en.tr.sk_432 
  
  // [a400]
  0x03001007, 0x0556275a, 0x0f003704, 0x161732a7,   // lt.nl.un_420 gd.mg.fr_553  st.lv.un_320 bs.sr.hr_532 
  0x442330a4, 0x6b182708, 0x04002505, 0x01062055,   // uz.ky.kk_433 gd.ga.ceb_443  eu.fi.un_330 sq.de.en_442 
  0x0f103f04, 0x13292aa4, 0x3f0c0605, 0x282711a0,   // af.lt.lv_332 mt.sl.et_433  de.sv.af_333 ro.gd.sw_322 
  0x252a2907, 0x29002a1b, 0x12003f08, 0x09130408,   // sl.mt.eu_432 mt.sl.un_770  af.hu.un_430 fi.et.pl_443 
  // [a410]
  0x013f0307, 0x231008a4, 0x30442355, 0x203f08ee,   // nl.af.en_432 uk.be.ky_433  ky.kk.uz_442 no.af.sq_422 
  0x20002a22, 0x17040809, 0x2a2029af, 0x09080e07,   // mt.sq.un_870 uk.ru.sr_444  sl.sq.mt_655 is.no.pl_432 
  0x202a29a0, 0x0c0601ee, 0x1856050c, 0x10440855,   // sl.mt.sq_322 en.de.sv_422  fr.mg.ga_543 uk.kk.be_442 
  0x23443007, 0x25033da4, 0x10052704, 0x23002905,   // uz.kk.ky_432 ku.nl.eu_433  gd.fr.lt_332 sl.ca.un_330 
  // [a420]
  0x2518270e, 0x31182709, 0x10182707, 0x121b25ee,   // gd.ga.eu_555 gd.ga.az_444  gd.ga.lt_432 eu.tr.hu_422 
  0x2a322912, 0x061e1ca4, 0x31203dee, 0x29122004,   // sl.bs.mt_654 id.ms.de_433  ku.sq.az_422 sq.hu.sl_332 
  0x1304290c, 0x032a0107, 0x2f042a0c, 0x30292aec,   // sl.fi.et_543 en.mt.nl_432  mt.fi.su_543 mt.sl.uz_644 
  0x13290413, 0x0e00120d, 0x01000c07, 0x2d0506a0,   // fi.sl.et_665 hu.is.un_540  sv.en.un_420 de.fr.sk_322 
  // [a430]
  0x300407a4, 0x0e000909, 0x1a736412, 0x13022007,   // bg.ru.uz_433 pl.is.un_440  lg.ny.tl_654 sq.da.et_432 
  0x07201804, 0x080a10ee, 0x2b0301ad, 0x2a2873a7,   // ga.sq.it_332 be.mk.uk_422  en.nl.vi_643 ny.sw.mt_532 
  0x322d1702, 0x370201a4, 0x1b0129a0, 0x042311ee,   // sr.sk.bs_222 en.da.st_433  sl.en.tr_322 ro.ky.ru_422 
  0x1704070e, 0x281a56a0, 0x1a6b01a0, 0x2f002134,   // bg.ru.sr_555 mg.tl.sw_322  en.ceb.tl_322 jw.su.un_A80 
  // [a440]
  0x160729a0, 0x28001e13, 0x35233060, 0x210a2f09,   // sl.it.hr_322 ms.sw.un_650  uz.ky.tg_664 su.pt.jw_444 
  0x07001213, 0x19230b08, 0x1e731aad, 0x0a111713,   // hu.it.un_650 es.ca.gl_443  tl.ny.ms_643 sr.ro.mk_665 
  0x0d2911a0, 0x2f1921a9, 0x312030ad, 0x321701ee,   // ro.sl.cs_322 jw.gl.su_544  uz.sq.az_643 en.sr.bs_422 
  0x101f0107, 0x1f2718a4, 0x551b1aec, 0x0e5608a0,   // en.cy.lt_432 ga.gd.cy_433  tl.tr.rw_644 no.mg.is_322 
  // [a450]
  0x1b1a1ea9, 0x272118ee, 0x28065502, 0x0b092f0e,   // ms.tl.tr_544 ga.jw.gd_422  rw.de.sw_222 su.pl.es_555 
  0x1b561ea4, 0x64283012, 0x55561e0c, 0x0a236b02,   // ms.mg.tr_433 uz.sw.lg_654  ms.mg.rw_543 ceb.ca.pt_222 
  0x73131008, 0x1b022907, 0x1f002902, 0x061c6ea6,   // lt.et.ny_443 sl.da.tr_432  sl.cy.un_220 hmn.id.de_521 
  0x0f101104, 0x25002019, 0x06056eee, 0x2f552108,   // ro.lt.lv_332 sq.eu.un_750  hmn.fr.de_422 jw.rw.su_443 
  // [a460]
  0x20131eee, 0x1c00280d, 0x282173ee, 0x1f006e12,   // ms.et.sq_422 sw.id.un_540  ny.jw.sw_422 hmn.cy.un_640 
  0x1e001c2a, 0x073011ec, 0x100830a4, 0x731b550c,   // id.ms.un_970 ro.uz.bg_644  uz.uk.be_433 rw.tr.ny_543 
  0x1144040c, 0x302031af, 0x091a13ee, 0x551a7308,   // ru.kk.ro_543 az.sq.uz_655  et.tl.pl_422 ny.tl.rw_443 
  0x55001f07, 0x30561308, 0x731e25a0, 0x1e303107,   // cy.rw.un_420 et.mg.uz_443  eu.ms.ny_322 az.uz.ms_432 
  // [a470]
  0x08000220, 0x21001f19, 0x55271e0c, 0x1a731ca0,   // da.no.un_850 cy.jw.un_750  ms.gd.rw_543 id.ny.tl_322 
  0x100f7312, 0x071104a0, 0x20005607, 0x163d0804,   // ny.lv.lt_654 fi.ro.it_322  mg.sq.un_420 no.ku.hr_332 
  0x30000812, 0x0f0c1304, 0x0c063f02, 0x35084408,   // uk.uz.un_640 et.sv.lv_332  af.de.sv_222 kk.uk.tg_443 
  0x0b0f0ca4, 0x085327a4, 0x0600280d, 0x050413ee,   // sv.lv.es_433 gd.ht.no_433  sw.de.un_540 et.fi.fr_422 
  // [a480]
  0x12000a07, 0x0e001318, 0x0a110709, 0x2b000e09,   // pt.hu.un_420 et.is.un_740  bg.ro.mk_444 is.vi.un_440 
  0x03131902, 0x27001835, 0x2d0d6eee, 0x1723300b,   // gl.et.nl_222 ga.gd.un_A90  hmn.cs.sk_422 uz.ky.sr_542 
  0x3f080e04, 0x13001f0e, 0x6b095507, 0x6e2718ad,   // is.no.af_332 cy.et.un_550  rw.pl.ceb_432 ga.gd.hmn_643 
  0x04113007, 0x174411a4, 0x082706ad, 0x2300100d,   // uz.ro.ru_432 ro.kk.sr_433  de.gd.no_643 be.ky.un_540 
  // [a490]
  0x2d001813, 0x12131b08, 0x0b2d0d05, 0x03211b0c,   // ga.sk.un_650 tr.et.hu_443  cs.sk.es_333 tr.jw.nl_543 
  0x016b1307, 0x033d1b07, 0x18270ea7, 0x0f003002,   // et.ceb.en_432 tr.ku.nl_432  is.gd.ga_532 uz.lv.un_220 
  0x191327a9, 0x031a3f04, 0x44102304, 0x2f1f210d,   // gd.et.gl_544 af.tl.nl_332  ky.be.kk_332 jw.cy.su_554 
  0x041008a0, 0x23071005, 0x2b3f010b, 0x0417080d,   // uk.be.ru_322 be.bg.ky_333  en.af.vi_542 uk.sr.ru_554 
  // [a4a0]
  0x12002d0b, 0x641702a4, 0x30100fee, 0x13000e18,   // sk.hu.un_520 da.sr.lg_433  lv.lt.uz_422 is.et.un_740 
  0x033f1b08, 0x1c1b1e0c, 0x20251005, 0x030408a4,   // tr.af.nl_443 ms.tr.id_543  lt.eu.sq_333 no.fi.nl_433 
  0x0f001b12, 0x13002913, 0x1a1113a0, 0x1c292a05,   // tr.lv.un_640 sl.et.un_650  et.ro.tl_322 mt.sl.id_333 
  0x2f1c3004, 0x3f1311ec, 0x1f00110b, 0x120d2d07,   // uz.id.su_332 ro.et.af_644  ro.cy.un_520 sk.cs.hu_432 
  // [a4b0]
  0x2b0221a0, 0x171629af, 0x190b30ac, 0x070a35ee,   // jw.da.vi_322 sl.hr.sr_655  uz.es.gl_632 tg.mk.bg_422 
  0x04301007, 0x0e131b0b, 0x0735300b, 0x070c0412,   // be.uz.ru_432 tr.et.is_542  uz.tg.bg_542 fi.sv.it_654 
  0x281f2aee, 0x0f042fa4, 0x32000c02, 0x0d001818,   // mt.cy.sw_422 su.fi.lv_433  sv.bs.un_220 ga.cs.un_740 
  0x29132a12, 0x646b1a14, 0x05073f08, 0x16002104,   // mt.et.sl_654 tl.ceb.lg_666  af.it.fr_443 jw.hr.un_320 
  // [a4c0]
  0x31112fa0, 0x130f28ee, 0x3d312aa4, 0x13041207,   // su.ro.az_322 sw.lv.et_422  mt.az.ku_433 hu.fi.et_432 
  0x0d2a5312, 0x180427a0, 0x18000408, 0x2a313004,   // ht.mt.cs_654 gd.fi.ga_322  fi.ga.un_430 uz.az.mt_332 
  0x09000f20, 0x0a0704a9, 0x1a040fec, 0x0417070d,   // lv.pl.un_850 ru.bg.mk_544  lv.fi.tl_644 bg.sr.ru_554 
  0x20003022, 0x6b160807, 0x3f0f0302, 0x2511285a,   // uz.sq.un_870 no.hr.ceb_432  nl.lv.af_222 sw.ro.eu_553 
  // [a4d0]
  0x53640912, 0x18562760, 0x040e1307, 0x1218270d,   // pl.lg.ht_654 gd.mg.ga_664  et.is.fi_432 gd.ga.hu_554 
  0x232d1ba0, 0x30093204, 0x033f02af, 0x0e0906a0,   // tr.sk.ca_322 bs.pl.uz_332  da.af.nl_655 de.pl.is_322 
  0x1e1c210c, 0x27062a55, 0x281b25ee, 0x29310e0c,   // jw.id.ms_543 mt.de.gd_442  eu.tr.sw_422 is.az.sl_543 
  0x642810ad, 0x23285502, 0x1c160407, 0x250f56a4,   // lt.sw.lg_643 rw.sw.ca_222  fi.hr.id_432 mg.lv.eu_433 
  // [a4e0]
  0x0f060704, 0x0500270c, 0x31302aad, 0x5304055a,   // it.de.lv_332 gd.fr.un_530  mt.uz.az_643 fr.fi.ht_553 
  0x16290d12, 0x1e3130ec, 0x6b131c07, 0x17080aee,   // cs.sl.hr_654 uz.az.ms_644  id.et.ceb_432 mk.uk.sr_422 
  0x1123445a, 0x2a00301b, 0x11000f19, 0x28201108,   // kk.ky.ro_553 uz.mt.un_770  lv.ro.un_750 ro.sq.sw_443 
  0x0a170707, 0x3f0810a0, 0x285311a9, 0x123f13a0,   // bg.sr.mk_432 lt.no.af_322  ro.ht.sw_544 et.af.hu_322 
  // [a4f0]
  0x2d0e11a0, 0x030f2a07, 0x135525a4, 0x0b2d1008,   // ro.is.sk_322 mt.lv.nl_432  eu.rw.et_433 lt.sk.es_443 
  0x06130855, 0x28200855, 0x062b27a6, 0x0a173505,   // no.et.de_442 no.sq.sw_442  gd.vi.de_521 tg.sr.mk_333 
  0x35170a02, 0x06085308, 0x206473ad, 0x2a071ea4,   // mk.sr.tg_222 ht.no.de_443  ny.lg.sq_643 ms.it.mt_433 
  0x1604530c, 0x11041312, 0x280e200c, 0x11000205,   // ht.fi.hr_543 et.fi.ro_654  sq.is.sw_543 da.ro.un_330 
  // [a500]
  0x0d00290b, 0x2f211aa4, 0x64001b04, 0x641b3713,   // sl.cs.un_520 tl.jw.su_433  tr.lg.un_320 st.tr.lg_665 
  0x35043055, 0x12001e04, 0x190553a0, 0x2d0d1ba4,   // uz.ru.tg_442 ms.hu.un_320  ht.fr.gl_322 tr.cs.sk_433 
  0x04130107, 0x293217ee, 0x27551308, 0x532b2f14,   // en.et.fi_432 sr.bs.sl_422  et.rw.gd_443 su.vi.ht_666 
  0x286437a4, 0x28557355, 0x1e2028a0, 0x37001321,   // st.lg.sw_433 ny.rw.sw_442  sw.sq.ms_322 et.st.un_860 
  // [a510]
  0x32001722, 0x0600021b, 0x27083f12, 0x1c041307,   // sr.bs.un_870 da.de.un_770  af.no.gd_654 et.fi.id_432 
  0x192d0d60, 0x2a230c5a, 0x050418ad, 0x440710ee,   // cs.sk.gl_664 sv.ca.mt_553  ga.fi.fr_643 be.bg.kk_422 
  0x10002a0c, 0x37002807, 0x2d0d0f09, 0x093216a4,   // mt.lt.un_530 sw.st.un_420  lv.cs.sk_444 hr.bs.pl_433 
  0x1e1c1305, 0x1b1330a4, 0x13301ba9, 0x04556412,   // et.id.ms_333 uz.et.tr_433  tr.uz.et_544 lg.rw.fi_654 
  // [a520]
  0x1b640604, 0x073004ee, 0x17300a09, 0x551f2fa0,   // de.lg.tr_332 fi.uz.it_422  mk.uz.sr_444 su.cy.rw_322 
  0x371304a9, 0x132a3f09, 0x2101130c, 0x30081314,   // fi.et.st_544 af.mt.et_444  et.en.jw_543 et.no.uz_666 
  0x25120709, 0x30533fa6, 0x0d092d0d, 0x1a6b3f13,   // it.hu.eu_444 af.ht.uz_521  sk.pl.cs_554 af.ceb.tl_665 
  0x0a250107, 0x64280405, 0x64003002, 0x53231f55,   // en.eu.pt_432 fi.sw.lg_333  uz.lg.un_220 cy.ca.ht_442 
  // [a530]
  0x072501a4, 0x2a000121, 0x05190b13, 0x53000322,   // en.eu.it_433 en.mt.un_860  es.gl.fr_665 nl.ht.un_870 
  0x531a6ba4, 0x07042a0c, 0x251f1304, 0x276b37ad,   // ceb.tl.ht_433 mt.fi.it_543  et.cy.eu_332 st.ceb.gd_643 
  0x2a6455a9, 0x55001c04, 0x303f130c, 0x25123fee,   // rw.lg.mt_544 id.rw.un_320  et.af.uz_543 af.hu.eu_422 
  0x232b11ad, 0x10082102, 0x11232ba7, 0x3000130d,   // ro.vi.ca_643 jw.no.lt_222  vi.ca.ro_532 et.uz.un_540 
  // [a540]
  0x112a01a4, 0x533f2aa9, 0x055623ad, 0x23203d0c,   // en.mt.ro_433 mt.af.ht_544  ca.mg.fr_643 ku.sq.ca_543 
  0x21102fa4, 0x531f6b04, 0x29182704, 0x1f10300c,   // su.lt.jw_433 ceb.cy.ht_332  gd.ga.sl_332 uz.lt.cy_543 
  0x170807a7, 0x18022302, 0x086b0c08, 0x2d022b07,   // bg.uk.sr_532 ca.da.ga_222  sv.ceb.no_443 vi.da.sk_432 
  0x101705a4, 0x6e00202b, 0x0f1705ee, 0x213210a4,   // fr.sr.lt_433 sq.hmn.un_980  fr.sr.lv_422 lt.bs.jw_433 
  // [a550]
  0x080e235a, 0x21001a02, 0x2f216455, 0x1b2830a6,   // ca.is.no_553 tl.jw.un_220  lg.jw.su_442 uz.sw.tr_521 
  0x443530a4, 0x0f001609, 0x2f0c6b04, 0x04441711,   // uz.tg.kk_433 hr.lv.un_440  ceb.sv.su_332 sr.kk.ru_653 
  0x040a2304, 0x1200040c, 0x182701a0, 0x3004080c,   // ky.mk.ru_332 fi.hu.un_530  en.gd.ga_322 uk.ru.uz_543 
  0x1200640c, 0x101f1105, 0x1200551b, 0x562504af,   // lg.hu.un_530 ro.cy.lt_333  rw.hu.un_770 fi.eu.mg_655 
  // [a560]
  0x0800071a, 0x1f030ca0, 0x044408a4, 0x04005602,   // bg.uk.un_760 sv.nl.cy_322  uk.kk.ru_433 mg.fi.un_220 
  0x2f1f0407, 0x17074407, 0x1f232512, 0x0d000e02,   // fi.cy.su_432 kk.bg.sr_432  eu.ca.cy_654 is.cs.un_220 
  0x2a200307, 0x19181104, 0x30000c07, 0x1023040d,   // nl.sq.mt_432 ro.ga.gl_332  sv.uz.un_420 ru.ky.be_554 
  0x273d01a9, 0x07110460, 0x10306e07, 0x555356ad,   // en.ku.gd_544 ru.ro.bg_664  hmn.uz.lt_432 mg.ht.rw_643 
  // [a570]
  0x6e533012, 0x050729a0, 0x6e001609, 0x18306e04,   // uz.ht.hmn_654 sl.it.fr_322  hr.hmn.un_440 hmn.uz.ga_332 
  0x6b080108, 0x04641311, 0x12316ead, 0x1a306e07,   // en.no.ceb_443 et.lg.fi_653  hmn.az.hu_643 hmn.uz.tl_432 
  0x036b3fa0, 0x2800302a, 0x230f53a0, 0x2a000408,   // af.ceb.nl_322 uz.sw.un_970  ht.lv.ca_322 fi.mt.un_430 
  0x29000607, 0x0900130e, 0x3700250b, 0x30006e12,   // de.sl.un_420 bh.hi.un_550  eu.st.un_520 hmn.uz.un_640 
  // [a580]
  0x12211aa0, 0x6e003013, 0x0e003d1a, 0x1e3137a7,   // tl.jw.hu_322 uz.hmn.un_650  ku.is.un_760 st.az.ms_532 
  0x07350aa4, 0x3d181f13, 0x0a1023ad, 0x235553a0,   // mk.tg.bg_433 cy.ga.ku_665  ky.be.mk_643 ht.rw.ca_322 
  0x53000e04, 0x30006e1a, 0x2f211cec, 0x641f28ad,   // is.ht.un_320 hmn.uz.un_760  id.jw.su_644 sw.cy.lg_643 
  0x07200ea0, 0x1b533d04, 0x09320da0, 0x6e016b05,   // is.sq.it_322 ku.ht.tr_332  cs.bs.pl_322 ceb.en.hmn_333 
  // [a590]
  0x30121102, 0x1b123713, 0x04080aac, 0x172344ee,   // ro.hu.uz_222 st.hu.tr_665  mk.uk.ru_632 kk.ky.sr_422 
  0x0d190ba7, 0x0a1117af, 0x271811a0, 0x0118060c,   // es.gl.cs_532 sr.ro.mk_655  ro.ga.gd_322 de.ga.en_543 
  0x081011a0, 0x281e5504, 0x20020555, 0x20003d27,   // ro.be.uk_322 rw.ms.sw_332  fr.da.sq_442 ku.sq.un_940 
  0x562504ad, 0x0b001802, 0x23201ca0, 0x2f1b13a7,   // fi.eu.mg_643 ga.es.un_220  id.sq.ca_322 et.tr.su_532 
  // [a5a0]
  0x0d005502, 0x1e13180c, 0x30000402, 0x230730ee,   // rw.cs.un_220 ga.et.ms_543  ru.uz.un_220 uz.bg.ky_422 
  0x201b5312, 0x3f2f2112, 0x25001605, 0x176e20ad,   // ht.tr.sq_654 jw.su.af_654  hr.eu.un_330 sq.hmn.sr_643 
  0x31321602, 0x17002102, 0x06000f02, 0x64000f13,   // hr.bs.az_222 jw.sr.un_220  lv.de.un_220 lv.lg.un_650 
  0x23441060, 0x210520ad, 0x2000210e, 0x190b18a7,   // be.kk.ky_664 sq.fr.jw_643  jw.sq.un_550 ga.es.gl_532 
  // [a5b0]
  0x2d0d21af, 0x6b0607ee, 0x0b05210b, 0x28217307,   // jw.cs.sk_655 it.de.ceb_422  jw.fr.es_542 ny.jw.sw_432 
  0x3500100e, 0x0e001b2b, 0x28202108, 0x3d232005,   // be.tg.un_550 tr.is.un_980  jw.sq.sw_443 sq.ca.ku_333 
  0x322f2108, 0x5305230c, 0x1a000713, 0x2f2128ec,   // jw.su.bs_443 ca.fr.ht_543  it.tl.un_650 sw.jw.su_644 
  0x556473a7, 0x1b0d31a0, 0x111e1c04, 0x2f731ea0,   // ny.lg.rw_532 az.cs.tr_322  id.ms.ro_332 ms.ny.su_322 
  // [a5c0]
  0x07203055, 0x3f000704, 0x30170a07, 0x100e1aee,   // uz.sq.it_442 it.af.un_320  mk.sr.uz_432 tl.is.lt_422 
  0x07282008, 0x281c2104, 0x0e311b11, 0x205573a9,   // sq.sw.it_443 jw.id.sw_332  tr.az.is_653 ny.rw.sq_544 
  0x162d29a9, 0x0213290c, 0x2a2973a4, 0x21051007,   // sl.sk.hr_544 sl.et.da_543  ny.sl.mt_433 lt.fr.jw_432 
  0x322a53a0, 0x20120e0e, 0x283d1c0b, 0x6e00062a,   // ht.mt.bs_322 is.hu.sq_555  id.ku.sw_542 de.hmn.un_970 
  // [a5d0]
  0x1c211e12, 0x10060107, 0x21006405, 0x2f6e27ee,   // ms.jw.id_654 en.de.lt_432  lg.jw.un_330 gd.hmn.su_422 
  0x113f0312, 0x1b53120c, 0x23000a08, 0x27001e0d,   // nl.af.ro_654 hu.ht.tr_543  pt.ca.un_430 ms.gd.un_540 
  0x192a0aad, 0x0c371208, 0x03096ead, 0x1b2f32ee,   // pt.mt.gl_643 hu.st.sv_443  hmn.pl.nl_643 bs.su.tr_422 
  0x19110b12, 0x565305ee, 0x0f6e11ad, 0x1a1c6b07,   // es.ro.gl_654 fr.ht.mg_422  ro.hmn.lv_643 ceb.id.tl_432 
  // [a5e0]
  0x27000419, 0x173007a4, 0x13042da4, 0x3d1c64ac,   // fi.gd.un_750 bg.uz.sr_433  sk.fi.et_433 lg.id.ku_632 
  0x23305507, 0x0b00190b, 0x29563dad, 0x122a6e02,   // rw.uz.ca_432 gl.es.un_520  ku.mg.sl_643 hmn.mt.hu_222 
  0x10350805, 0x35071013, 0x18003708, 0x0408020d,   // uk.tg.be_333 be.bg.tg_665  st.ga.un_430 da.no.fi_554 
  0x2a006e08, 0x1c002d02, 0x30441104, 0x081004ee,   // hmn.mt.un_430 sk.id.un_220  ro.kk.uz_332 ru.be.uk_422 
  // [a5f0]
  0x55252a04, 0x0e080ca7, 0x17552907, 0x04182711,   // mt.eu.rw_332 sv.no.is_532  sl.rw.sr_432 gd.ga.fi_653 
  0x0e120807, 0x040f27a9, 0x0c121f0c, 0x0b000a0c,   // no.hu.is_432 gd.lv.fi_544  cy.hu.sv_543 pt.es.un_530 
  0x12060c07, 0x022a0808, 0x1a002704, 0x185373ee,   // sv.de.hu_432 no.mt.da_443  gd.tl.un_320 ny.ht.ga_422 
  0x0f0456ee, 0x18212704, 0x44001018, 0x2a0b0a02,   // mg.fi.lv_422 gd.jw.ga_332  be.kk.un_740 pt.es.mt_222 
  // [a600]
  0x08000e05, 0x0e0c0808, 0x21005605, 0x271f1813,   // is.no.un_330 no.sv.is_443  mg.jw.un_330 ga.cy.gd_665 
  0x18002b1a, 0x31130612, 0x092556ec, 0x1f003202,   // vi.ga.un_760 de.et.az_654  mg.eu.pl_644 bs.cy.un_220 
  0x0c1308ad, 0x37562507, 0x16000e19, 0x08100a05,   // no.et.sv_643 eu.mg.st_432  is.hr.un_750 mk.be.uk_333 
  0x171c08ee, 0x320f0a08, 0x081a2111, 0x0f001213,   // no.id.sr_422 pt.lv.bs_443  jw.tl.no_653 hu.lv.un_650 
  // [a610]
  0x17092d09, 0x28001009, 0x08000405, 0x0a0f1102,   // sk.pl.sr_444 lt.sw.un_440  ru.uk.un_330 ro.lv.pt_222 
  0x2a001604, 0x17122902, 0x6b060107, 0x216b01ec,   // hr.mt.un_320 sl.hu.sr_222  en.de.ceb_432 en.ceb.jw_644 
  0x12201fad, 0x18002d04, 0x202a06ad, 0x212a2fa4,   // cy.sq.hu_643 sk.ga.un_320  de.mt.sq_643 su.mt.jw_433 
  0x29002809, 0x0473370c, 0x17162aa0, 0x2d0d0e14,   // sw.sl.un_440 st.ny.fi_543  mt.hr.sr_322 is.cs.sk_666 
  // [a620]
  0x0a0f1208, 0x1f23060c, 0x270f1ea0, 0x126e2da0,   // hu.lv.pt_443 de.ca.cy_543  ms.lv.gd_322 sk.hmn.hu_322 
  0x110a05af, 0x271f0ea0, 0x11001214, 0x1b000c0b,   // fr.pt.ro_655 is.cy.gd_322  hu.ro.un_660 sv.tr.un_520 
  0x0400370c, 0x2f190b05, 0x092d0daf, 0x182711ee,   // st.fi.un_530 es.gl.su_333  cs.sk.pl_655 ro.gd.ga_422 
  0x08190aa0, 0x20020ca4, 0x305613ad, 0x041e1c05,   // pt.gl.no_322 sv.da.sq_433  et.mg.uz_643 id.ms.fi_333 
  // [a630]
  0x3d003f34, 0x6e370107, 0x1f3d06ec, 0x016b5307,   // af.ku.un_A80 en.st.hmn_432  de.ku.cy_644 ht.ceb.en_432 
  0x27001f0c, 0x28002d0d, 0x37020107, 0x02083713,   // cy.gd.un_530 sk.sw.un_540  en.da.st_432 st.no.da_665 
  0x28176407, 0x2f000a07, 0x2a002807, 0x1f5553ee,   // lg.sr.sw_432 pt.su.un_420  sw.mt.un_420 ht.rw.cy_422 
  0x05212fa0, 0x27180555, 0x01302b55, 0x0c1309a6,   // su.jw.fr_322 fr.ga.gd_442  vi.uz.en_442 pl.et.sv_521 
  // [a640]
  0x0423080c, 0x2f052112, 0x532705a7, 0x0d000e0d,   // uk.ky.ru_543 jw.fr.su_654  fr.gd.ht_532 is.cs.un_540 
  0x3f1827ad, 0x173004ee, 0x3f001104, 0x28002b0b,   // gd.ga.af_643 ru.uz.sr_422  ro.af.un_320 vi.sw.un_520 
  0x27001a04, 0x120b1911, 0x17442305, 0x13080e0c,   // tl.gd.un_320 gl.es.hu_653  ky.kk.sr_333 is.no.et_543 
  0x07041005, 0x043f0302, 0x013f0507, 0x13001109,   // be.ru.bg_333 nl.af.fi_222  fr.af.en_432 ro.et.un_440 
  // [a650]
  0x27000513, 0x3f00270e, 0x3f1a6ba0, 0x09041313,   // fr.gd.un_650 gd.af.un_550  ceb.tl.af_322 et.fi.pl_665 
  0x32642808, 0x071108ad, 0x2a251e07, 0x1e2f1005,   // sw.lg.bs_443 uk.ro.bg_643  ms.eu.mt_432 lt.su.ms_333 
  0x56002305, 0x04000e1a, 0x310f73a0, 0x093f370b,   // ca.mg.un_330 is.fi.un_760  ny.lv.az_322 st.af.pl_542 
  0x12100907, 0x1a1755a0, 0x081030ad, 0x2b00371b,   // pl.lt.hu_432 rw.sr.tl_322  uz.be.uk_643 st.vi.un_770 
  // [a660]
  0x05000205, 0x29536404, 0x1c001e1a, 0x170929a4,   // da.fr.un_330 lg.ht.sl_332  ms.id.un_760 sl.pl.sr_433 
  0x04003d07, 0x18005622, 0x641373ee, 0x290201a0,   // ku.fi.un_420 mg.ga.un_870  ny.et.lg_422 en.da.sl_322 
  0x1800050b, 0x73003d0e, 0x08171604, 0x04002808,   // fr.ga.un_520 ku.ny.un_550  hr.sr.no_332 sw.fi.un_430 
  0x100a23ec, 0x230a17ec, 0x37002505, 0x0a001111,   // ky.mk.be_644 sr.mk.ky_644  eu.st.un_330 ro.mk.un_630 
  // [a670]
  0x190b12a9, 0x4410085a, 0x28136ba0, 0x2a6b1a04,   // hu.es.gl_544 uk.be.kk_553  ceb.et.sw_322 tl.ceb.mt_332 
  0x2a001a09, 0x28137304, 0x0a351105, 0x0b2d0aa0,   // tl.mt.un_440 ny.et.sw_332  ro.tg.mk_333 pt.sk.es_322 
  0x05000b0e, 0x3773050c, 0x05007313, 0x552a1aa7,   // es.fr.un_550 fr.ny.st_543  ny.fr.un_650 tl.mt.rw_532 
  0x0305070c, 0x31000504, 0x29090d07, 0x04642a0c,   // it.fr.nl_543 fr.az.un_320  cs.pl.sl_432 mt.lg.fi_543 
  // [a680]
  0x0413640c, 0x55000504, 0x23007304, 0x12046408,   // lg.et.fi_543 fr.rw.un_320  ny.ca.un_320 lg.fi.hu_443 
  0x291613a4, 0x6b0820a9, 0x6b042a04, 0x13200f07,   // et.hr.sl_433 sq.no.ceb_544  mt.fi.ceb_332 lv.sq.et_432 
  0x0c0e6bee, 0x566e050b, 0x0807040c, 0x07080a07,   // ceb.is.sv_422 fr.hmn.mg_542  ru.bg.uk_543 mk.uk.bg_432 
  0x04350708, 0x1c002f0d, 0x015305ad, 0x0802055a,   // bg.tg.ru_443 su.id.un_540  fr.ht.en_643 fr.da.no_553 
  // [a690]
  0x25000912, 0x1900370c, 0x2f002007, 0x55007307,   // pl.eu.un_640 st.gl.un_530  sq.su.un_420 ny.rw.un_420 
  0x0c003f0c, 0x321612a0, 0x11002012, 0x2a29120c,   // af.sv.un_530 hu.hr.bs_322  sq.ro.un_640 hu.sl.mt_543 
  0x07000b02, 0x201b530c, 0x3500041a, 0x041b73ad,   // es.it.un_220 ht.tr.sq_543  ru.tg.un_760 ny.tr.fi_643 
  0x0c021008, 0x08022da0, 0x55020807, 0x20110a07,   // lt.da.sv_443 sk.da.no_322  no.da.rw_432 pt.ro.sq_432 
  // [a6a0]
  0x11007304, 0x07002d07, 0x302a0712, 0x31201e04,   // ny.ro.un_320 sk.it.un_420  it.mt.uz_654 ms.sq.az_332 
  0x2d0f17a0, 0x271118ee, 0x0d000508, 0x18000b04,   // sr.lv.sk_322 ga.ro.gd_422  fr.cs.un_430 es.ga.un_320 
  0x2d000513, 0x53002708, 0x313028ec, 0x55003708,   // fr.sk.un_650 gd.ht.un_430  sw.uz.az_644 st.rw.un_430 
  0x1c212ba0, 0x170844a7, 0x17000905, 0x3d1827a7,   // vi.jw.id_322 kk.uk.sr_532  pl.sr.un_330 gd.ga.ku_532 
  // [a6b0]
  0x2801130b, 0x03190bad, 0x375655ad, 0x30552dee,   // et.en.sw_542 es.gl.nl_643  rw.mg.st_643 sk.rw.uz_422 
  0x0f64130c, 0x562a2f07, 0x07002819, 0x21255607,   // et.lg.lv_543 su.mt.mg_432  sw.it.un_750 mg.eu.jw_432 
  0x1f090ba4, 0x16001b07, 0x21282a05, 0x08170460,   // es.pl.cy_433 tr.hr.un_420  mt.sw.jw_333 ru.sr.uk_664 
  0x302d0d12, 0x040a30ee, 0x735610ec, 0x06301f07,   // cs.sk.uz_654 uz.mk.ru_422  lt.mg.ny_644 cy.uz.de_432 
  // [a6c0]
  0x250e1aa0, 0x0d531fad, 0x0f001c08, 0x55001907,   // tl.is.eu_322 cy.ht.cs_643  id.lv.un_430 gl.rw.un_420 
  0x1b001c04, 0x531b2fec, 0x21001c1a, 0x04006413,   // id.tr.un_320 su.tr.ht_644  id.jw.un_760 lg.fi.un_650 
  0x12076409, 0x0e002104, 0x0c0e64a7, 0x0306050d,   // lg.it.hu_444 jw.is.un_320  lg.is.sv_532 fr.de.nl_554 
  0x6b6456ee, 0x06003721, 0x0b19535a, 0x55005620,   // mg.lg.ceb_422 st.de.un_860  ht.gl.es_553 mg.rw.un_850 
  // [a6d0]
  0x21001e13, 0x6b002f08, 0x03001119, 0x73555612,   // ms.jw.un_650 su.ceb.un_430  ro.nl.un_750 mg.rw.ny_654 
  0x55282014, 0x53202812, 0x212f1217, 0x550c08ad,   // sq.sw.rw_666 sw.sq.ht_654  hu.su.jw_753 no.sv.rw_643 
  0x2f311e07, 0x190b56ec, 0x2f293013, 0x061e1c13,   // ms.az.su_432 mg.es.gl_644  uz.sl.su_665 id.ms.de_665 
  0x30002f1a, 0x2f001a05, 0x010225a0, 0x21043004,   // su.uz.un_760 tl.su.un_330  eu.da.en_322 uz.fi.jw_332 
  // [a6e0]
  0x136404ec, 0x300a04a7, 0x04641360, 0x6400041a,   // fi.lg.et_644 ru.mk.uz_532  et.lg.fi_664 fi.lg.un_760 
  0x21302fa7, 0x285564ad, 0x1c2b1eee, 0x56001123,   // su.uz.jw_532 lg.rw.sw_643  ms.vi.id_422 ro.mg.un_880 
  0x04006b0c, 0x17100460, 0x285629ee, 0x10070460,   // ceb.fi.un_530 ru.be.sr_664  sl.mg.sw_422 ru.bg.be_664 
  0x30212fad, 0x31001802, 0x1710080e, 0x2d0d2f0c,   // su.jw.uz_643 ga.az.un_220  uk.be.sr_555 su.cs.sk_543 
  // [a6f0]
  0x2d0d0a0e, 0x1704110e, 0x55000307, 0x2f211e09,   // pt.cs.sk_555 ro.ru.sr_555  nl.rw.un_420 ms.jw.su_444 
  0x0807100e, 0x640128a6, 0x30311ea0, 0x28553012,   // be.bg.uk_555 sw.en.lg_521  ms.az.uz_322 uz.rw.sw_654 
  0x073028ad, 0x1c002012, 0x23001009, 0x081b0ea7,   // sw.uz.it_643 sq.id.un_640  be.ky.un_440 is.tr.no_532 
  0x1729280c, 0x19560aa7, 0x313053a4, 0x110730a9,   // sw.sl.sr_543 pt.mg.gl_532  ht.uz.az_433 uz.it.ro_544 
  // [a700]
  0x0c00040b, 0x120613a0, 0x09210504, 0x0b18190c,   // fi.sv.un_520 et.de.hu_322  fr.jw.pl_332 gl.ga.es_543 
  0x172930ee, 0x060c0802, 0x0100240e, 0x56320fa4,   // uz.sl.sr_422 no.sv.de_222  yi.iw.un_550 lv.bs.mg_433 
  0x5364310d, 0x0e0801a0, 0x0a3027a4, 0x13060c55,   // az.lg.ht_554 en.no.is_322  gd.uz.pt_433 sv.de.et_442 
  0x1a1f27a4, 0x12000805, 0x1c282a04, 0x18000113,   // gd.cy.tl_433 no.hu.un_330  mt.sw.id_332 en.ga.un_650 
  // [a710]
  0x1b3130a9, 0x30000d14, 0x1000042a, 0x09005311,   // uz.az.tr_544 cs.uz.un_660  ru.be.un_970 ht.pl.un_630 
  0x11100fee, 0x3016290c, 0x20313012, 0x084417a0,   // lv.lt.ro_422 sl.hr.uz_543  uz.az.sq_654 sr.kk.uk_322 
  0x2d000f13, 0x2f121ca4, 0x0d2d0e11, 0x08120c04,   // lv.sk.un_650 id.hu.su_433  is.sk.cs_653 sv.hu.no_332 
  0x2a1e31ee, 0x0a1111a4, 0x29000804, 0x08133d04,   // az.ms.mt_422 ro.ro.mk_433  no.sl.un_320 ku.et.no_332 
  // [a720]
  0x09131012, 0x131c09a4, 0x16306b02, 0x09286408,   // lt.et.pl_654 hi.mr.bh_433  ceb.uz.hr_222 lg.sw.pl_443 
  0x2a002805, 0x3f1a3705, 0x566455a7, 0x0e2d12a4,   // sw.mt.un_330 st.tl.af_333  rw.lg.mg_532 hu.sk.is_433 
  0x2b211ca0, 0x1a553da9, 0x311c2f0e, 0x10003f13,   // id.jw.vi_322 ku.rw.tl_544  su.id.az_555 af.lt.un_650 
  0x3d001e1a, 0x6b001b14, 0x1b066baf, 0x3d5525a4,   // ms.ku.un_760 tr.ceb.un_660  ceb.de.tr_655 eu.rw.ku_433 
  // [a730]
  0x0a005507, 0x16552904, 0x0807350c, 0x101a11a4,   // rw.pt.un_420 sl.rw.hr_332  tg.bg.uk_543 ro.tl.lt_433 
  0x0600131b, 0x350410ad, 0x1c565505, 0x552f21ec,   // et.de.un_770 be.ru.tg_643  rw.mg.id_333 jw.su.rw_644 
  0x0f006e13, 0x192f1211, 0x13062a12, 0x2a6425ad,   // hmn.lv.un_650 hu.su.gl_653  mt.de.et_654 eu.lg.mt_643 
  0x6e000113, 0x18005321, 0x100313a0, 0x200f1b07,   // en.hmn.un_650 ht.ga.un_860  et.nl.lt_322 tr.lv.sq_432 
  // [a740]
  0x2a0320ee, 0x23000d0e, 0x0d2d2104, 0x2a0f6e12,   // sq.nl.mt_422 cs.ca.un_550  jw.sk.cs_332 hmn.lv.mt_654 
  0x1e1c1b14, 0x10111113, 0x0a370ca6, 0x040710af,   // tr.id.ms_666 ro.ro.be_665  sv.st.pt_521 be.bg.ru_655 
  0x162d0d02, 0x0956250c, 0x02560ca4, 0x060c1308,   // cs.sk.hr_222 eu.mg.pl_543  sv.mg.da_433 et.sv.de_443 
  0x25205655, 0x31002304, 0x201b0f04, 0x732a2305,   // mg.sq.eu_442 ca.az.un_320  lv.tr.sq_332 ca.mt.ny_333 
  // [a750]
  0x12002505, 0x11011f0c, 0x12000509, 0x1b2030a4,   // eu.hu.un_330 cy.en.ro_543  fr.hu.un_440 uz.sq.tr_433 
  0x250456a0, 0x25561ea0, 0x21045604, 0x30003102,   // mg.fi.eu_322 ms.mg.eu_322  mg.fi.jw_332 az.uz.un_220 
  0x56200404, 0x0b271a12, 0x121f53a0, 0x6b001e04,   // fi.sq.mg_332 tl.gd.es_654  ht.cy.hu_322 ms.ceb.un_320 
  0x6b0b550c, 0x23103507, 0x1b120c0c, 0x12130ea0,   // rw.es.ceb_543 tg.be.ky_432  sv.hu.tr_543 is.et.hu_322 
  // [a760]
  0x0800250d, 0x0e061207, 0x1b000c09, 0x6b551aa0,   // eu.no.un_540 hu.de.is_432  sv.tr.un_440 tl.rw.ceb_322 
  0x062313ec, 0x0f301b08, 0x56000d0b, 0x060c12ec,   // et.ca.de_644 tr.uz.lv_443  cs.mg.un_520 hu.sv.de_644 
  0x25112008, 0x73005321, 0x2d00090e, 0x29050107,   // sq.ro.eu_443 ht.ny.un_860  pl.sk.un_550 en.fr.sl_432 
  0x1b0e0cad, 0x17001a19, 0x3d001f19, 0x2000281a,   // sv.is.tr_643 tl.sr.un_750  cy.ku.un_750 sw.sq.un_760 
  // [a770]
  0x64732812, 0x20002819, 0x212f6b08, 0x13001a05,   // sw.ny.lg_654 sw.sq.un_750  ceb.su.jw_443 tl.et.un_330 
  0x2000371a, 0x1f033705, 0x05001022, 0x287353a9,   // st.sq.un_760 st.nl.cy_333  lt.fr.un_870 ht.ny.sw_544 
  0x04642308, 0x310c1b12, 0x56370aa0, 0x051f37ee,   // ca.lg.fi_443 tr.sv.az_654  pt.st.mg_322 st.cy.fr_422 
  0x1a6b120c, 0x0b120504, 0x130c1b08, 0x0264010c,   // hu.ceb.tl_543 fr.hu.es_332  tr.sv.et_443 en.lg.da_543 
  // [a780]
  0x44170a05, 0x6431250d, 0x0600200d, 0x1f0337ee,   // mk.sr.kk_333 eu.az.lg_554  sq.de.un_540 st.nl.cy_422 
  0x06300f07, 0x3d071b0c, 0x1f7337ec, 0x1f190a05,   // lv.uz.de_432 tr.it.ku_543  st.ny.cy_644 pt.gl.cy_333 
  0x250c0307, 0x32645512, 0x2a030407, 0x44071055,   // nl.sv.eu_432 rw.lg.bs_654  fi.nl.mt_432 be.bg.kk_442 
  0x01002007, 0x1110310c, 0x201c3005, 0x1b3173af,   // sq.en.un_420 az.lt.ro_543  uz.id.sq_333 ny.az.tr_655 
  // [a790]
  0x1c101e07, 0x03063707, 0x5320110d, 0x312030a9,   // ms.lt.id_432 st.de.nl_432  ro.sq.ht_554 uz.sq.az_544 
  0x6b3d200c, 0x64280208, 0x100208a4, 0x0f007307,   // sq.ku.ceb_543 da.sw.lg_443  no.da.lt_433 ny.lv.un_420 
  0x642173ee, 0x122a3004, 0x063f3004, 0x0b006412,   // ny.jw.lg_422 uz.mt.hu_332  uz.af.de_332 lg.es.un_640 
  0x27001e02, 0x30440a0c, 0x1a301308, 0x282d10a0,   // ms.gd.un_220 mk.kk.uz_543  et.uz.tl_443 lt.sk.sw_322 
  // [a7a0]
  0x2d732008, 0x080c0ead, 0x2109730c, 0x371355a4,   // sq.ny.sk_443 is.sv.no_643  ny.pl.jw_543 rw.et.st_433 
  0x10552d0c, 0x07730304, 0x13001a09, 0x043008a0,   // sk.rw.lt_543 nl.ny.it_332  tl.et.un_440 uk.uz.ru_322 
  0x2b005521, 0x0a0417ad, 0x05190b04, 0x0a0c0607,   // rw.vi.un_860 sr.ru.mk_643  es.gl.fr_332 de.sv.pt_432 
  0x0e00210c, 0x080417ec, 0x130c0f04, 0x132925a0,   // jw.is.un_530 sr.ru.uk_644  lv.sv.et_332 eu.sl.et_322 
  // [a7b0]
  0x170a3513, 0x643f73a4, 0x282d0305, 0x0f0c13a4,   // tg.mk.sr_665 ny.af.lg_433  nl.sk.sw_333 et.sv.lv_433 
  0x1a005613, 0x55732804, 0x2d10130c, 0x645573ee,   // mg.tl.un_650 sw.ny.rw_332  et.lt.sk_543 ny.rw.lg_422 
  0x09172907, 0x041a7307, 0x551e73a4, 0x3d1b2f0c,   // sl.sr.pl_432 ny.tl.fi_432  ny.ms.rw_433 su.tr.ku_543 
  0x2000121b, 0x04006b08, 0x3d003118, 0x00001c37,   // hu.sq.un_770 ceb.fi.un_430  az.ku.un_740 mr.un.un_B00 
  // [a7c0]
  0x0e285504, 0x3d301b09, 0x0f301ba4, 0x1a001b04,   // rw.sw.is_332 tr.uz.ku_444  tr.uz.lv_433 tr.tl.un_320 
  0x302a0aa4, 0x28731fec, 0x032911a0, 0x091e1c04,   // pt.mt.uz_433 cy.ny.sw_644  ro.sl.nl_322 id.ms.pl_332 
  0x375564af, 0x552873a0, 0x13000e0e, 0x01646ba4,   // lg.rw.st_655 ny.sw.rw_322  is.et.un_550 ceb.lg.en_433 
  0x20645555, 0x012111a4, 0x12003d0e, 0x3d040807,   // rw.lg.sq_442 ro.jw.en_433  ku.hu.un_550 no.fi.ku_432 
  // [a7d0]
  0x1f005509, 0x3d2518a4, 0x20552813, 0x130d2da4,   // rw.cy.un_440 ga.eu.ku_433  sw.rw.sq_665 sk.cs.et_433 
  0x09072aee, 0x301a6b55, 0x32121707, 0x07081712,   // mt.it.pl_422 ceb.tl.uz_442  sr.hu.bs_432 sr.uk.bg_654 
  0x092a1eee, 0x252f2105, 0x352308af, 0x563725a7,   // ms.mt.pl_422 jw.su.eu_333  uk.ky.tg_655 eu.st.mg_532 
  0x08317307, 0x303d1c12, 0x20007320, 0x0c001e04,   // ny.az.no_432 id.ku.uz_654  ny.sq.un_850 ms.sv.un_320 
  // [a7e0]
  0x1b212fa4, 0x3100010c, 0x1a00030c, 0x023d0e0c,   // su.jw.tr_433 en.az.un_530  nl.tl.un_530 is.ku.da_543 
  0x553d5604, 0x6b053da0, 0x100a110c, 0x18102755,   // mg.ku.rw_332 ku.fr.ceb_322  ro.mk.be_543 gd.lt.ga_442 
  0x533d1b08, 0x1b31300d, 0x10234409, 0x641b30a7,   // tr.ku.ht_443 uz.az.tr_554  kk.ky.be_444 uz.tr.lg_532 
  0x17000f08, 0x081f270c, 0x09217302, 0x0a0b05a0,   // lv.sr.un_430 gd.cy.no_543  ny.jw.pl_222 fr.es.pt_322 
  // [a7f0]
  0x2f311bad, 0x2f103d5a, 0x11007319, 0x2564550c,   // tr.az.su_643 ku.lt.su_553  ny.ro.un_750 rw.lg.eu_543 
  0x12130112, 0x050b19ee, 0x1716130c, 0x55282a04,   // en.et.hu_654 gl.es.fr_422  et.hr.sr_543 mt.sw.rw_332 
  0x251923a0, 0x2b18010b, 0x1800010c, 0x100b070c,   // ca.gl.eu_322 en.ga.vi_542  en.ga.un_530 it.es.lt_543 
  0x2f2128ad, 0x2b092a04, 0x1e126ba0, 0x0d002a0b,   // sw.jw.su_643 mt.pl.vi_332  ceb.hu.ms_322 mt.cs.un_520 
  
  // [a800]
  0x28002a1a, 0x13002119, 0x562f55af, 0x306b1aee,   // mt.sw.un_760 jw.et.un_750  rw.su.mg_655 tl.ceb.uz_422 
  0x3217640c, 0x1e6b1aaf, 0x642a730c, 0x031c1104,   // lg.sr.bs_543 tl.ceb.ms_655  ny.mt.lg_543 ro.id.nl_332 
  0x3120300c, 0x2d001208, 0x10045307, 0x1304110c,   // uz.sq.az_543 hu.sk.un_430  ht.fi.lt_432 ro.fi.et_543 
  0x1e551fa4, 0x201304ee, 0x182730a4, 0x02080ca7,   // cy.rw.ms_433 fi.et.sq_422  uz.gd.ga_433 sv.no.da_532 
  // [a810]
  0x17000922, 0x13120713, 0x1100291a, 0x130d1ca4,   // pl.sr.un_870 it.hu.et_665  sl.ro.un_760 mr.ne.bh_433 
  0x30090d11, 0x111e1c13, 0x1a6b1b04, 0x0c0804a4,   // cs.pl.uz_653 id.ms.ro_665  tr.ceb.tl_332 fi.no.sv_433 
  0x0c020811, 0x21001a04, 0x2d1721ad, 0x13110413,   // no.da.sv_653 tl.jw.un_320  jw.sr.sk_643 fi.ro.et_665 
  0x2f001113, 0x23171007, 0x353011ad, 0x10044404,   // ro.su.un_650 be.sr.ky_432  ro.uz.tg_643 kk.ru.be_332 
  // [a820]
  0x1f0e0b04, 0x6b5330a0, 0x04301108, 0x11231705,   // es.is.cy_332 uz.ht.ceb_322  ro.uz.ru_443 sr.ky.ro_333 
  0x04002502, 0x235329a0, 0x32031ca0, 0x283229a0,   // eu.fi.un_220 sl.ht.ca_322  id.nl.bs_322 sl.bs.sw_322 
  0x04201312, 0x18201e07, 0x1a135304, 0x1a2f270c,   // et.sq.fi_654 ms.sq.ga_432  ht.et.tl_332 gd.su.tl_543 
  0x35171105, 0x12000f1a, 0x12212f13, 0x1b182712,   // ro.sr.tg_333 lv.hu.un_760  su.jw.hu_665 gd.ga.tr_654 
  // [a830]
  0x551273a7, 0x281355a0, 0x5600730d, 0x05120aa0,   // ny.hu.rw_532 rw.et.sw_322  ny.mg.un_540 pt.hu.fr_322 
  0x112a070c, 0x371b310b, 0x180111a7, 0x732837a4,   // it.mt.ro_543 az.tr.st_542  ro.en.ga_532 st.sw.ny_433 
  0x2f05210d, 0x2112030c, 0x3f126b04, 0x271f2a12,   // jw.fr.su_554 nl.hu.jw_543  ceb.hu.af_332 mt.cy.gd_654 
  0x0e001122, 0x2f001220, 0x3f1f0107, 0x03005307,   // ro.is.un_870 hu.su.un_850  en.cy.af_432 ht.nl.un_420 
  // [a840]
  0x1b033f07, 0x18052712, 0x21311b12, 0x12003705,   // af.nl.tr_432 gd.fr.ga_654  tr.az.jw_654 st.hu.un_330 
  0x3f1264a4, 0x2a3f1a08, 0x16300da0, 0x022a03ec,   // lg.hu.af_433 tl.af.mt_443  cs.uz.hr_322 nl.mt.da_644 
  0x1c005608, 0x1b315312, 0x55212f0e, 0x1f372807,   // mg.id.un_430 ht.az.tr_654  su.jw.rw_555 sw.st.cy_432 
  0x19133d07, 0x0e001f05, 0x172a56a4, 0x080e2707,   // ku.et.gl_432 cy.is.un_330  mg.mt.sr_433 gd.is.no_432 
  // [a850]
  0x0506560c, 0x6b531a0c, 0x162f56ee, 0x0c2930ee,   // mg.de.fr_543 tl.ht.ceb_543  mg.su.hr_422 uz.sl.sv_422 
  0x7312030e, 0x286412ad, 0x55735607, 0x3d731208,   // nl.hu.ny_555 hu.lg.sw_643  mg.ny.rw_432 hu.ny.ku_443 
  0x0364280b, 0x033f55a9, 0x2153370c, 0x2f213760,   // sw.lg.nl_542 rw.af.nl_544  st.ht.jw_543 st.jw.su_664 
  0x122d0aee, 0x082812a4, 0x1a2137ac, 0x440723a4,   // pt.sk.hu_422 hu.sw.no_433  st.jw.tl_632 ky.bg.kk_433 
  // [a860]
  0x2f1a6b0c, 0x0d001f19, 0x2f11270d, 0x2f3d1a09,   // ceb.tl.su_543 cy.cs.un_750  gd.ro.su_554 tl.ku.su_444 
  0x2803730c, 0x08111708, 0x3f032fee, 0x2b2a37ee,   // ny.nl.sw_543 sr.ro.uk_443  su.nl.af_422 st.mt.vi_422 
  0x1f00181b, 0x0e2f210c, 0x353007ec, 0x2d005618,   // ga.cy.un_770 jw.su.is_543  bg.uz.tg_644 mg.sk.un_740 
  0x19560b5a, 0x092d11a4, 0x1a2873a9, 0x37002119,   // es.mg.gl_553 ro.sk.pl_433  ny.sw.tl_544 jw.st.un_750 
  // [a870]
  0x032f1aa0, 0x282f1307, 0x12001c0d, 0x1c041e08,   // tl.su.nl_322 et.su.sw_432  id.hu.un_540 ms.fi.id_443 
  0x212f370e, 0x2855110c, 0x371301ad, 0x2f372112,   // st.su.jw_555 ro.rw.sw_543  en.et.st_643 jw.st.su_654 
  0x2f5673ad, 0x08023d09, 0x2f3216ee, 0x37212fa9,   // ny.mg.su_643 ku.da.no_444  hr.bs.su_422 su.jw.st_544 
  0x212f37ec, 0x3d080255, 0x23033f60, 0x3f2f13a4,   // st.su.jw_644 da.no.ku_442  af.nl.ca_664 et.su.af_433 
  // [a880]
  0x121e5504, 0x32291ca0, 0x12002b22, 0x072001ee,   // rw.ms.hu_332 id.sl.bs_322  vi.hu.un_870 en.sq.it_422 
  0x0c13060d, 0x25000419, 0x0e122b12, 0x29002a0c,   // de.et.sv_554 fi.eu.un_750  vi.hu.is_654 mt.sl.un_530 
  0x04083f12, 0x2d0d6ba0, 0x2100300c, 0x056473a7,   // af.no.fi_654 ceb.cs.sk_322  uz.jw.un_530 ny.lg.fr_532 
  0x0e0d2b11, 0x0f2156ee, 0x0f2a2905, 0x6456550c,   // vi.cs.is_653 mg.jw.lv_422  sl.mt.lv_333 rw.mg.lg_543 
  // [a890]
  0x212f06ec, 0x6e0b5307, 0x2d0d1ca0, 0x3d002f18,   // de.su.jw_644 ht.es.hmn_432  id.cs.sk_322 su.ku.un_740 
  0x3217290e, 0x2f00212c, 0x53211b12, 0x0a230e07,   // sl.sr.bs_555 jw.su.un_990  tr.jw.ht_654 is.ca.pt_432 
  0x1b002909, 0x030625ee, 0x290e1e08, 0x1b313d12,   // sl.tr.un_440 eu.de.nl_422  ms.is.sl_443 ku.az.tr_654 
  0x30003d13, 0x21731baf, 0x04005323, 0x3d730508,   // ku.uz.un_650 tr.ny.jw_655  ht.fi.un_880 fr.ny.ku_443 
  // [a8a0]
  0x3f0803a0, 0x32055304, 0x2b3073a7, 0x3f00110d,   // nl.no.af_322 ht.fr.bs_332  ny.uz.vi_532 ro.af.un_540 
  0x56071f05, 0x3530100d, 0x6b05530c, 0x17293f12,   // cy.it.mg_333 be.uz.tg_554  ht.fr.ceb_543 af.sl.sr_654 
  0x295305a4, 0x530c0a07, 0x28002007, 0x565373ee,   // fr.ht.sl_433 pt.sv.ht_432  sq.sw.un_420 ny.ht.mg_422 
  0x2d005602, 0x0753050c, 0x64551b08, 0x083f03ad,   // mg.sk.un_220 fr.ht.it_543  tr.rw.lg_443 nl.af.no_643 
  // [a8b0]
  0x05530d12, 0x53020508, 0x1e531104, 0x0d53050c,   // cs.ht.fr_654 fr.da.ht_443  ro.ht.ms_332 fr.ht.cs_543 
  0x0f000e12, 0x17290207, 0x30090da0, 0x32311b05,   // is.lv.un_640 da.sl.sr_432  cs.pl.uz_322 tr.az.bs_333 
  0x10006422, 0x321c1ea0, 0x32735507, 0x06130c55,   // lg.lt.un_870 ms.id.bs_322  rw.ny.bs_432 sv.et.de_442 
  0x07272aee, 0x35080a07, 0x212a200c, 0x09112da0,   // mt.gd.it_422 mk.uk.tg_432  sq.mt.jw_543 sk.ro.pl_322 
  // [a8c0]
  0x041b0f0c, 0x10130b08, 0x56270407, 0x73552860,   // lv.tr.fi_543 es.et.lt_443  fi.gd.mg_432 sw.rw.ny_664 
  0x530a110c, 0x2300271b, 0x040f1bad, 0x561f200c,   // ro.pt.ht_543 gd.ca.un_770  tr.lv.fi_643 sq.cy.mg_543 
  0x1b3064a0, 0x08000108, 0x280107a0, 0x19230a07,   // lg.uz.tr_322 en.no.un_430  it.en.sw_322 pt.ca.gl_432 
  0x130e06ee, 0x0b001b08, 0x3f5604ee, 0x32170da4,   // de.is.et_422 tr.es.un_430  fi.mg.af_422 cs.sr.bs_433 
  // [a8d0]
  0x3f082707, 0x1a080b04, 0x02321604, 0x30213d08,   // gd.no.af_432 es.no.tl_332  hr.bs.da_332 ku.jw.uz_443 
  0x03026e0c, 0x18002b07, 0x29322d14, 0x182b53a0,   // hmn.da.nl_543 vi.ga.un_420  sk.bs.sl_666 ht.vi.ga_322 
  0x55287302, 0x230a35a4, 0x026b55ad, 0x170a07a7,   // ny.sw.rw_222 tg.mk.ky_433  rw.ceb.da_643 bg.mk.sr_532 
  0x2a0e06a4, 0x1a3130ec, 0x11311b0d, 0x37003f04,   // de.is.mt_433 uz.az.tl_644  tr.az.ro_554 af.st.un_320 
  // [a8e0]
  0x567337ec, 0x170a1bee, 0x5655370d, 0x735525af,   // st.ny.mg_644 tr.pt.sr_422  st.rw.mg_554 eu.rw.ny_655 
  0x0e2b120c, 0x31130808, 0x0b1029af, 0x171b29ad,   // hu.vi.is_543 no.et.az_443  sl.lt.es_655 sl.tr.sr_643 
  0x190b3709, 0x03002b0d, 0x01311ba4, 0x180501ee,   // st.es.gl_444 vi.nl.un_540  tr.az.en_433 en.fr.ga_422 
  0x55372d0e, 0x2123050c, 0x0c0904ee, 0x562037a7,   // sk.st.rw_555 fr.ca.jw_543  fi.pl.sv_422 st.sq.mg_532 
  // [a8f0]
  0x531273a4, 0x0e0464a0, 0x061f0e04, 0x0e00060e,   // ny.hu.ht_433 lg.fi.is_322  is.cy.de_332 de.is.un_550 
  0x736b640e, 0x250a190c, 0x53000608, 0x011b12a6,   // lg.ceb.ny_555 gl.pt.eu_543  de.ht.un_430 hu.tr.en_521 
  0x09736413, 0x6b001a2a, 0x03090ba0, 0x3728555a,   // lg.ny.pl_665 tl.ceb.un_970  es.pl.nl_322 rw.sw.st_553 
  0x190b1312, 0x1f005305, 0x0b64370d, 0x2b002f0e,   // et.es.gl_654 ht.cy.un_330  st.lg.es_554 su.vi.un_550 
  // [a900]
  0x73000d08, 0x203130ac, 0x12562302, 0x230b13a9,   // cs.ny.un_430 uz.az.sq_632  ca.mg.hu_222 et.es.ca_544 
  0x070c08a0, 0x0c192aee, 0x130f01a4, 0x07083509,   // no.sv.it_322 mt.gl.sv_422  en.lv.et_433 tg.uk.bg_444 
  0x17202d07, 0x05000d1a, 0x173756a4, 0x0c1e25a7,   // sk.sq.sr_432 cs.fr.un_760  mg.st.sr_433 eu.ms.sv_532 
  0x273f010c, 0x272f285a, 0x230710a0, 0x3700201a,   // en.af.gd_543 sw.su.gd_553  be.bg.ky_322 sq.st.un_760 
  // [a910]
  0x28005605, 0x0c00030e, 0x0f062d08, 0x2a063fad,   // mg.sw.un_330 nl.sv.un_550  sk.de.lv_443 af.de.mt_643 
  0x0e171355, 0x0e00280c, 0x03066b02, 0x181f27af,   // et.sr.is_442 sw.is.un_530  ceb.de.nl_222 gd.cy.ga_655 
  0x182b1c04, 0x12003009, 0x01033fa9, 0x30441112,   // id.vi.ga_332 uz.hu.un_440  af.nl.en_544 ro.kk.uz_654 
  0x04170a0b, 0x552a01a0, 0x100c6bad, 0x30002105,   // mk.sr.ru_542 en.mt.rw_322  ceb.sv.lt_643 jw.uz.un_330 
  // [a920]
  0x077312a9, 0x1e1c23a4, 0x171613a4, 0x09000a07,   // hu.ny.it_544 ca.id.ms_433  et.hr.sr_433 pt.pl.un_420 
  0x0d1b30a0, 0x16285507, 0x08002307, 0x1f0128a6,   // uz.tr.cs_322 rw.sw.hr_432  ky.uk.un_420 sw.en.cy_521 
  0x0f006412, 0x552f28a0, 0x1b000d05, 0x30001f13,   // lg.lv.un_640 sw.su.rw_322  cs.tr.un_330 cy.uz.un_650 
  0x172d29ee, 0x1e53050c, 0x1f001b14, 0x301a20ee,   // sl.sk.sr_422 fr.ht.ms_543  tr.cy.un_660 sq.tl.uz_422 
  // [a930]
  0x2a000421, 0x11162da7, 0x53002a05, 0x10120407,   // fi.mt.un_860 sk.hr.ro_532  mt.ht.un_330 fi.hu.lt_432 
  0x312a1c09, 0x641620ee, 0x100112ee, 0x08304408,   // id.mt.az_444 sq.hr.lg_422  hu.en.lt_422 kk.uz.uk_443 
  0x5300200e, 0x23440aad, 0x12030404, 0x21002809,   // sq.ht.un_550 mk.kk.ky_643  fi.nl.hu_332 sw.jw.un_440 
  0x083f6412, 0x1b253108, 0x1a6b0107, 0x090d2005,   // lg.af.no_654 az.eu.tr_443  en.ceb.tl_432 sq.cs.pl_333 
  // [a940]
  0x0e3f0305, 0x02036409, 0x11311b12, 0x12060c09,   // nl.af.is_333 lg.nl.da_444  tr.az.ro_654 sv.de.hu_444 
  0x3f001208, 0x563f1f08, 0x170a350c, 0x12002705,   // hu.af.un_430 cy.af.mg_443  tg.mk.sr_543 gd.hu.un_330 
  0x1a00060c, 0x04036405, 0x201e270c, 0x07170811,   // de.tl.un_530 lg.nl.fi_333  gd.ms.sq_543 uk.sr.bg_653 
  0x0b0a23a0, 0x110730a4, 0x302a200c, 0x1a21275a,   // ca.pt.es_322 uz.bg.ro_433  sq.mt.uz_543 gd.jw.tl_553 
  // [a950]
  0x0721270c, 0x1e271f0d, 0x29321709, 0x18082704,   // gd.jw.it_543 cy.gd.ms_554  sr.bs.sl_444 gd.no.ga_332 
  0x182a06ee, 0x0600320c, 0x27230ba0, 0x3073010c,   // de.mt.ga_422 bs.de.un_530  es.ca.gd_322 en.ny.uz_543 
  0x0f001018, 0x061856ee, 0x07000e11, 0x251827ac,   // lt.lv.un_740 mg.ga.de_422  is.it.un_630 gd.ga.eu_632 
  0x285673a4, 0x18002b13, 0x322d73a6, 0x21001022,   // ny.mg.sw_433 vi.ga.un_650  ny.sk.bs_521 lt.jw.un_870 
  // [a960]
  0x202813a4, 0x6b11130c, 0x041113af, 0x3f1311ee,   // et.sw.sq_433 et.ro.ceb_543  et.ro.fi_655 ro.et.af_422 
  0x44043004, 0x2a006405, 0x32170f14, 0x100820ee,   // uz.ru.kk_332 lg.mt.un_330  lv.sr.bs_666 sq.no.lt_422 
  0x2511135a, 0x0e2811ee, 0x11000a04, 0x020e08a0,   // et.ro.eu_553 ro.sw.is_422  pt.ro.un_320 no.is.da_322 
  0x112017ee, 0x442330ee, 0x13042009, 0x18282aa0,   // sr.sq.ro_422 uz.ky.kk_422  sq.fi.et_444 mt.sw.ga_322 
  // [a970]
  0x190b05ad, 0x302801a0, 0x202873ad, 0x300735a4,   // fr.es.gl_643 en.sw.uz_322  ny.sw.sq_643 tg.bg.uz_433 
  0x16072a07, 0x31253004, 0x2d070d04, 0x7337130c,   // mt.it.hr_432 uz.eu.az_332  cs.it.sk_332 et.st.ny_543 
  0x01112aee, 0x1c002105, 0x3d1f2aec, 0x01213707,   // mt.ro.en_422 jw.id.un_330  mt.cy.ku_644 st.jw.en_432 
  0x1c292860, 0x23001f1b, 0x01371307, 0x1e2f1ca4,   // sw.sl.id_664 cy.ca.un_770  et.st.en_432 id.su.ms_433 
  // [a980]
  0x1f302f02, 0x6b002f07, 0x3f1f3707, 0x172f1fac,   // su.uz.cy_222 su.ceb.un_420  st.cy.af_432 cy.su.sr_632 
  0x03080cad, 0x6b2f1307, 0x06001f09, 0x041c2102,   // sv.no.nl_643 et.su.ceb_432  cy.de.un_440 jw.id.fi_222 
  0x210a2f0c, 0x19201107, 0x28133f04, 0x05005317,   // su.pt.jw_543 ro.sq.gl_432  af.et.sw_332 ht.fr.un_730 
  0x11442313, 0x440407ee, 0x200911a9, 0x6b0e2fa4,   // ky.kk.ro_665 bg.ru.kk_422  ro.pl.sq_544 su.is.ceb_433 
  // [a990]
  0x6b002f04, 0x5300201a, 0x29230f04, 0x120964ad,   // su.ceb.un_320 sq.ht.un_760  lv.ca.sl_332 lg.pl.hu_643 
  0x2812730b, 0x05001a02, 0x21122fa4, 0x0f08120c,   // ny.hu.sw_542 tl.fr.un_220  su.hu.jw_433 hu.no.lv_543 
  0x20000702, 0x64000618, 0x1b2f2108, 0x2808120c,   // it.sq.un_220 de.lg.un_740  jw.su.tr_443 hu.no.sw_543 
  0x061e1c05, 0x25551308, 0x2f371207, 0x1f3f020b,   // id.ms.de_333 et.rw.eu_443  hu.st.su_432 da.af.cy_542 
  // [a9a0]
  0x040d2fa0, 0x29090f05, 0x2f281f07, 0x2f010ca0,   // su.cs.fi_322 lv.pl.sl_333  cy.sw.su_432 sv.en.su_322 
  0x060c0107, 0x35070408, 0x1f0e0ca0, 0x230804ee,   // en.sv.de_432 ru.bg.tg_443  sv.is.cy_322 ru.uk.ky_422 
  0x0c0906a4, 0x1b002104, 0x16060c04, 0x063101ee,   // de.pl.sv_433 jw.tr.un_320  sv.de.hr_332 en.az.de_422 
  0x0200551a, 0x1c3031a4, 0x0c000e11, 0x4400171b,   // rw.da.un_760 az.uz.id_433  is.sv.un_630 sr.kk.un_770 
  // [a9b0]
  0x01060ca4, 0x6e00370d, 0x0c6b0107, 0x230b05ac,   // sv.de.en_433 st.hmn.un_540  en.ceb.sv_432 fr.es.ca_632 
  0x2d0d0702, 0x13000322, 0x3f005502, 0x0a08170e,   // it.cs.sk_222 nl.et.un_870  rw.af.un_220 sr.uk.mk_555 
  0x2d0d2bee, 0x05003d07, 0x3f13030e, 0x290a01a4,   // vi.cs.sk_422 ku.fr.un_420  nl.et.af_555 en.pt.sl_433 
  0x733f37a7, 0x0a070811, 0x531c0302, 0x1e1b1a08,   // st.af.ny_532 uk.bg.mk_653  nl.id.ht_222 tl.tr.ms_443 
  // [a9c0]
  0x0c000622, 0x051f01af, 0x051b1a0b, 0x301b3d07,   // de.sv.un_870 en.cy.fr_655  tl.tr.fr_542 ku.tr.uz_432 
  0x1330280c, 0x270401a9, 0x6b1b015a, 0x1a6b1b0d,   // sw.uz.et_543 en.fi.gd_544  en.tr.ceb_553 tr.ceb.tl_554 
  0x130e3fa0, 0x032a2da0, 0x211c1b07, 0x10002804,   // af.is.et_322 sk.mt.nl_322  tr.id.jw_432 sw.lt.un_320 
  0x04311b0c, 0x0e001f1a, 0x07183fa0, 0x2000530d,   // tr.az.fi_543 cy.is.un_760  af.ga.it_322 ht.sq.un_540 
  // [a9d0]
  0x10070412, 0x230b19ad, 0x01001313, 0x200f2a02,   // ru.bg.be_654 gl.es.ca_643  et.en.un_650 mt.lv.sq_222 
  0x04234405, 0x16000b07, 0x2f0521a9, 0x1a1f0111,   // kk.ky.ru_333 es.hr.un_420  jw.fr.su_544 en.cy.tl_653 
  0x1e1c64af, 0x2f001e1a, 0x0c0106a9, 0x1b1c0107,   // lg.id.ms_655 ms.su.un_760  de.en.sv_544 en.id.tr_432 
  0x185323a7, 0x071f1804, 0x041918ad, 0x0a043007,   // ca.ht.ga_532 ga.cy.it_332  ga.gl.fi_643 uz.ru.mk_432 
  // [a9e0]
  0x1a011f0d, 0x0c001c04, 0x211228a4, 0x10005621,   // cy.en.tl_554 id.sv.un_320  sw.hu.jw_433 mg.lt.un_860 
  0x0500561a, 0x0500730c, 0x12212fa7, 0x21201307,   // mg.fr.un_760 ny.fr.un_530  su.jw.hu_532 et.sq.jw_432 
  0x05000202, 0x1b003209, 0x0a056ba7, 0x1f1373a9,   // da.fr.un_220 bs.tr.un_440  ceb.fr.pt_532 ny.et.cy_544 
  0x55002004, 0x0700210d, 0x1b256ba0, 0x06001e08,   // sq.rw.un_320 jw.it.un_540  ceb.eu.tr_322 ms.de.un_430 
  // [a9f0]
  0x10004418, 0x065537a0, 0x73281e07, 0x301173a7,   // kk.be.un_740 st.rw.de_322  ms.sw.ny_432 ny.ro.uz_532 
  0x29181eee, 0x175307ee, 0x1200080c, 0x2d2928ee,   // ms.ga.sl_422 it.ht.sr_422  no.hu.un_530 sw.sl.sk_422 
  0x0e003007, 0x371a53ac, 0x190b120c, 0x0e0205a0,   // uz.is.un_420 ht.tl.st_632  hu.es.gl_543 fr.da.is_322 
  0x0c00020b, 0x1e00280c, 0x12230507, 0x0b001812,   // da.sv.un_520 sw.ms.un_530  fr.ca.hu_432 ga.es.un_640 
  // [aa00]
  0x31000608, 0x04073507, 0x190b2da9, 0x073530a0,   // de.az.un_430 tg.bg.ru_432  sk.es.gl_544 uz.tg.bg_322 
  0x300a35a0, 0x0407175a, 0x0c002508, 0x53000707,   // tg.mk.uz_322 sr.bg.ru_553  eu.sv.un_430 it.ht.un_420 
  0x04000305, 0x19120e55, 0x23070aa7, 0x10002907,   // nl.fi.un_330 is.hu.gl_442  mk.bg.ky_532 sl.lt.un_420 
  0x2d0d27af, 0x0d2011ee, 0x1700270c, 0x30001a05,   // gd.cs.sk_655 ro.sq.cs_422  gd.sr.un_530 tl.uz.un_330 
  // [aa10]
  0x230b1912, 0x0f003207, 0x0b190aad, 0x0b0a0714,   // gl.es.ca_654 bs.lv.un_420  pt.gl.es_643 it.pt.es_666 
  0x043f08a0, 0x09190b0c, 0x2d001a05, 0x3128550c,   // no.af.fi_322 es.gl.pl_543  tl.sk.un_330 rw.sw.az_543 
  0x112f07ad, 0x372d0d04, 0x73553008, 0x10201a07,   // it.su.ro_643 cs.sk.st_332  uz.rw.ny_443 tl.sq.lt_432 
  0x562a3711, 0x09001334, 0x0b290d0c, 0x2f550ba0,   // st.mt.mg_653 bh.hi.un_A80  cs.sl.es_543 es.rw.su_322 
  // [aa20]
  0x23443004, 0x1f10290c, 0x0b0a0c11, 0x30100f14,   // uz.kk.ky_332 sl.lt.cy_543  sv.pt.es_653 lv.lt.uz_666 
  0x641a55a4, 0x2d0d73a0, 0x02032fee, 0x2d0d1014,   // rw.tl.lg_433 ny.cs.sk_322  su.nl.da_422 lt.cs.sk_666 
  0x232d0deb, 0x31006412, 0x0a560512, 0x06001a07,   // cs.sk.ca_662 lg.az.un_640  fr.mg.pt_654 tl.de.un_420 
  0x06001319, 0x301655ec, 0x2900090e, 0x0911200c,   // et.de.un_750 rw.hr.uz_644  pl.sl.un_550 sq.ro.pl_543 
  // [aa30]
  0x0a0d2dec, 0x0410110b, 0x17292aa4, 0x06370307,   // sk.cs.pt_644 ro.be.ru_542  mt.sl.sr_433 nl.st.de_432 
  0x2920730e, 0x32080255, 0x02001213, 0x2a0728af,   // ny.sq.sl_555 da.no.bs_442  hu.da.un_650 sw.it.mt_655 
  0x3d2d0db6, 0x23111905, 0x6b2137a9, 0x56001104,   // cs.sk.ku_766 gl.ro.ca_333  st.jw.ceb_544 ro.mg.un_320 
  0x3f112514, 0x3d002d19, 0x2b3f10ec, 0x1b07120c,   // eu.ro.af_666 sk.ku.un_750  lt.af.vi_644 hu.it.tr_543 
  // [aa40]
  0x133764a9, 0x0a1011ad, 0x56281a07, 0x21033f07,   // lg.st.et_544 ro.be.mk_643  tl.sw.mg_432 af.nl.jw_432 
  0x160c0eee, 0x23271f0c, 0x060f1fa7, 0x55561a0b,   // is.sv.hr_422 cy.gd.ca_543  cy.lv.de_532 tl.mg.rw_542 
  0x10081304, 0x2f561a0c, 0x6431730d, 0x28131aa0,   // et.no.lt_332 tl.mg.su_543  ny.az.lg_554 tl.et.sw_322 
  0x18120a55, 0x132f56ee, 0x351711af, 0x21553dad,   // pt.hu.ga_442 mg.su.et_422  ro.sr.tg_655 ku.rw.jw_643 
  // [aa50]
  0x0a11170e, 0x53552855, 0x300717a4, 0x2f5621a7,   // sr.ro.mk_555 sw.rw.ht_442  sr.bg.uz_433 jw.mg.su_532 
  0x2f567307, 0x2055310c, 0x08441005, 0x181f0807,   // ny.mg.su_432 az.rw.sq_543  be.kk.uk_333 no.cy.ga_432 
  0x0400731a, 0x04000214, 0x10202807, 0x202973ec,   // ny.fi.un_760 da.fi.un_660  sw.sq.lt_432 ny.sl.sq_644 
  0x0f37730c, 0x131a0404, 0x17440aa4, 0x55561b5a,   // ny.st.lv_543 fi.tl.et_332  mk.kk.sr_433 tr.mg.rw_553 
  // [aa60]
  0x1a2f6b0c, 0x0a120ea0, 0x0e180a04, 0x11100460,   // ceb.su.tl_543 is.hu.pt_322  pt.ga.is_332 ru.be.ro_664 
  0x2100301b, 0x232d0daf, 0x0e000d0d, 0x6e2804a0,   // uz.jw.un_770 cs.sk.ca_655  cs.is.un_540 fi.sw.hmn_322 
  0x10282f08, 0x7300201b, 0x0a250b07, 0x0f0413af,   // su.sw.lt_443 sq.ny.un_770  es.eu.pt_432 et.fi.lv_655 
  0x046b2804, 0x060a0308, 0x17303560, 0x53272b07,   // sw.ceb.fi_332 nl.pt.de_443  tg.uz.sr_664 vi.gd.ht_432 
  // [aa70]
  0x23060704, 0x29731113, 0x35000822, 0x732a07af,   // it.de.ca_332 ro.ny.sl_665  uk.tg.un_870 it.mt.ny_655 
  0x0a000e0d, 0x2f050807, 0x37030804, 0x55001e13,   // is.pt.un_540 no.fr.su_432  no.nl.st_332 ms.rw.un_650 
  0x354404a0, 0x03112d08, 0x122003ee, 0x37100f5a,   // ru.kk.tg_322 sk.ro.nl_443  nl.sq.hu_422 lv.lt.st_553 
  0x0b002307, 0x73370aa9, 0x07011fa0, 0x10082355,   // ca.es.un_420 pt.st.ny_544  cy.en.it_322 ky.uk.be_442 
  // [aa80]
  0x042523af, 0x732d3007, 0x1f123fa7, 0x10002502,   // ca.eu.fi_655 uz.sk.ny_432  af.hu.cy_532 eu.lt.un_220 
  0x2d0d0ea9, 0x0a0410a4, 0x443023a0, 0x29000d22,   // is.cs.sk_544 be.ru.mk_433  ky.uz.kk_322 cs.sl.un_870 
  0x08001302, 0x041a6b0c, 0x186e64a4, 0x0b000513,   // et.no.un_220 ceb.tl.fi_543  lg.hmn.ga_433 fr.es.un_650 
  0x17071004, 0x07006e08, 0x2b290ca6, 0x530c2da0,   // be.bg.sr_332 hmn.it.un_430  sv.sl.vi_521 sk.sv.ht_322 
  // [aa90]
  0x2b136ba0, 0x2d0d12b2, 0x21002821, 0x12182daf,   // ceb.et.vi_322 hu.cs.sk_732  sw.jw.un_860 sk.ga.hu_655 
  0x100704af, 0x102917a7, 0x1c2d07a6, 0x0e060902,   // ru.bg.be_655 sr.sl.lt_532  it.sk.id_521 pl.de.is_222 
  0x25193705, 0x2d001f19, 0x2d0d23af, 0x13006e02,   // st.gl.eu_333 cy.sk.un_750  ca.cs.sk_655 hmn.et.un_220 
  0x03133faf, 0x13296e0c, 0x02003712, 0x20005305,   // af.et.nl_655 hmn.sl.et_543  st.da.un_640 ht.sq.un_330 
  // [aaa0]
  0x2d6e29af, 0x3d2318a4, 0x030b050c, 0x3d006e22,   // sl.hmn.sk_655 ga.ca.ku_433  fr.es.nl_543 hmn.ku.un_870 
  0x0d001f0c, 0x20006e0b, 0x16006e08, 0x31181b14,   // cy.cs.un_530 hmn.sq.un_520  hmn.hr.un_430 tr.ga.az_666 
  0x645573af, 0x01001a05, 0x35000707, 0x03061812,   // ny.rw.lg_655 tl.en.un_330  bg.tg.un_420 ga.de.nl_654 
  0x0a441108, 0x32101655, 0x1b2531a4, 0x1a006b18,   // ro.kk.mk_443 hr.lt.bs_442  az.eu.tr_433 ceb.tl.un_740 
  // [aab0]
  0x64281902, 0x090628a0, 0x73530508, 0x1b00230e,   // gl.sw.lg_222 sw.de.pl_322  fr.ht.ny_443 ca.tr.un_550 
  0x020f0804, 0x321706a0, 0x6b2f1c11, 0x27002a02,   // no.lv.da_332 de.sr.bs_322  id.su.ceb_653 mt.gd.un_220 
  0x1e1c30a4, 0x53002f02, 0x08022fee, 0x121b1002,   // uz.id.ms_433 su.ht.un_220  su.da.no_422 lt.tr.hu_222 
  0x12003d14, 0x19121307, 0x17070455, 0x3d002108,   // ku.hu.un_660 et.hu.gl_432  ru.bg.sr_442 jw.ku.un_430 
  // [aac0]
  0x6b001c05, 0x12053dad, 0x377304a4, 0x080c060c,   // id.ceb.un_330 ku.fr.hu_643  fi.ny.st_433 de.sv.no_543 
  0x2d120513, 0x191a5511, 0x6b01060c, 0x08060c55,   // fr.hu.sk_665 rw.tl.gl_653  de.en.ceb_543 sv.de.no_442 
  0x12000813, 0x10002905, 0x1708020d, 0x20121702,   // no.hu.un_650 sl.lt.un_330  da.no.sr_554 sr.hu.sq_222 
  0x1c301eaf, 0x16000d0c, 0x551930af, 0x2d560911,   // ms.uz.id_655 cs.hr.un_530  uz.gl.rw_655 pl.mg.sk_653 
  // [aad0]
  0x2a23060c, 0x050d12ec, 0x30001019, 0x53001212,   // de.ca.mt_543 hu.cs.fr_644  lt.uz.un_750 hu.ht.un_640 
  0x1c3d1e0c, 0x070105ee, 0x1f071104, 0x0b105507,   // ms.ku.id_543 fr.en.it_422  ro.it.cy_332 rw.lt.es_432 
  0x1b000521, 0x550a07a4, 0x19002004, 0x1b001002,   // fr.tr.un_860 it.pt.rw_433  sq.gl.un_320 lt.tr.un_220 
  0x250602af, 0x20001a04, 0x32000604, 0x532b06ee,   // da.de.eu_655 tl.sq.un_320  de.bs.un_320 de.vi.ht_422 
  // [aae0]
  0x32063007, 0x060313ee, 0x08170711, 0x2a0c060c,   // uz.de.bs_432 et.nl.de_422  bg.sr.uk_653 de.sv.mt_543 
  0x07191aa4, 0x0e2030a0, 0x0a081009, 0x0c0628a0,   // tl.gl.it_433 uz.sq.is_322  be.uk.mk_444 sw.de.sv_322 
  0x21005519, 0x3d003018, 0x081c1e11, 0x64211ca4,   // rw.jw.un_750 uz.ku.un_740  ms.id.no_653 id.jw.lg_433 
  0x13001b23, 0x27090b07, 0x16006b0c, 0x0a1117a9,   // tr.et.un_880 es.pl.gd_432  ceb.hr.un_530 sr.ro.mk_544 
  // [aaf0]
  0x27066ea0, 0x6e005314, 0x64121fa0, 0x292d0d11,   // hmn.de.gd_322 ht.hmn.un_660  cy.hu.lg_322 cs.sk.sl_653 
  0x17066e07, 0x1a2f640b, 0x111656ee, 0x291a6eee,   // hmn.de.sr_432 lg.su.tl_542  mg.hr.ro_422 hmn.tl.sl_422 
  0x2a04550e, 0x3f6408a4, 0x0a0773a9, 0x32121ca0,   // rw.fi.mt_555 no.lg.af_433  ny.it.pt_544 id.hu.bs_322 
  0x12091812, 0x033021a0, 0x6e120da0, 0x6b3d06a6,   // ga.pl.hu_654 jw.uz.nl_322  cs.hu.hmn_322 de.ku.ceb_521 
  // [ab00]
  0x12182312, 0x28640307, 0x30001c08, 0x111b13a4,   // ca.ga.hu_654 nl.lg.sw_432  id.uz.un_430 et.tr.ro_433 
  0x0d043f04, 0x732f64ee, 0x0f1123ad, 0x35000802,   // af.fi.cs_332 lg.su.ny_422  ca.ro.lv_643 uk.tg.un_220 
  0x102511a4, 0x13041a0c, 0x2f6b1a04, 0x132a0455,   // ro.eu.lt_433 tl.fi.et_543  tl.ceb.su_332 fi.mt.et_442 
  0x074417a0, 0x043f30a4, 0x29000a08, 0x1f006e23,   // sr.kk.bg_322 uz.af.fi_433  pt.sl.un_430 hmn.cy.un_880 
  // [ab10]
  0x3f0308af, 0x64033f12, 0x040208a4, 0x350730a0,   // no.nl.af_655 af.nl.lg_654  no.da.fi_433 uz.bg.tg_322 
  0x1b190aa4, 0x0d122d07, 0x17002902, 0x3508170b,   // pt.gl.tr_433 sk.hu.cs_432  sl.sr.un_220 sr.uk.tg_542 
  0x0d190aa9, 0x07351004, 0x35001712, 0x04001a07,   // pt.gl.cs_544 be.tg.bg_332  sr.tg.un_640 tl.fi.un_420 
  0x180a12a4, 0x351007a7, 0x23083008, 0x25212faf,   // hu.pt.ga_433 bg.be.tg_532  uz.uk.ky_443 su.jw.eu_655 
  // [ab20]
  0x12000a08, 0x0b0d2da9, 0x2f03210c, 0x32006b08,   // pt.hu.un_430 sk.cs.es_544  jw.nl.su_543 ceb.bs.un_430 
  0x2f002d08, 0x2f2125af, 0x06002907, 0x736437a9,   // sk.su.un_430 eu.jw.su_655  sl.de.un_420 st.lg.ny_544 
  0x23001217, 0x2830210c, 0x18002735, 0x7321370c,   // hu.ca.un_730 jw.uz.sw_543  gd.ga.un_A90 st.jw.ny_543 
  0x30003712, 0x2f6e2a07, 0x181923a4, 0x23190a55,   // st.uz.un_640 mt.hmn.su_432  ca.gl.ga_433 pt.gl.ca_442 
  // [ab30]
  0x1c2f1e0d, 0x12006405, 0x250c3f08, 0x06182713,   // ms.su.id_554 lg.hu.un_330  af.sv.eu_443 gd.ga.de_665 
  0x5673250c, 0x19122da7, 0x1b132508, 0x55642fad,   // eu.ny.mg_543 sk.hu.gl_532  eu.et.tr_443 su.lg.rw_643 
  0x1b251ea9, 0x120d060d, 0x3d0413a4, 0x03282f07,   // ms.eu.tr_544 de.cs.hu_554  et.fi.ku_433 su.sw.nl_432 
  0x090e0404, 0x1a001c0d, 0x08212f08, 0x21371aaf,   // fi.is.pl_332 id.tl.un_540  su.jw.no_443 tl.st.jw_655 
  // [ab40]
  0x2f371e0c, 0x2f2108a4, 0x21372f0c, 0x19003d09,   // ms.st.su_543 no.jw.su_433  su.st.jw_543 ku.gl.un_440 
  0x18001b07, 0x1a371ea4, 0x1c642104, 0x271f01a9,   // tr.ga.un_420 ms.st.tl_433  jw.lg.id_332 en.cy.gd_544 
  0x0c530e13, 0x29001712, 0x2030010c, 0x271918ee,   // is.ht.sv_665 sr.sl.un_640  en.uz.sq_543 ga.gl.gd_422 
  0x37000608, 0x06081355, 0x026b1a0d, 0x08003f1a,   // de.st.un_430 et.no.de_442  tl.ceb.da_554 af.no.un_760 
  // [ab50]
  0x1100181a, 0x376b1a0d, 0x033f06ac, 0x20110fa4,   // ga.ro.un_760 tl.ceb.st_554  de.af.nl_632 lv.ro.sq_433 
  0x310f1baf, 0x6b1b280c, 0x13292807, 0x25231fa9,   // tr.lv.az_655 sw.tr.ceb_543  sw.sl.et_432 cy.ca.eu_544 
  0x1e2f1c11, 0x300a0707, 0x04170aa4, 0x731e280c,   // id.su.ms_653 bg.mk.uz_432  mk.sr.ru_433 sw.ms.ny_543 
  0x37005314, 0x08230611, 0x6b001307, 0x03002513,   // ht.st.un_660 de.ca.no_653  et.ceb.un_420 eu.nl.un_650 
  // [ab60]
  0x2f211aaf, 0x642718ec, 0x16327307, 0x19303114,   // tl.jw.su_655 ga.gd.lg_644  ny.bs.hr_432 az.uz.gl_666 
  0x2f371a0d, 0x6b000808, 0x6b7325a4, 0x0d1c130d,   // tl.st.su_554 no.ceb.un_430  eu.ny.ceb_433 bh.mr.ne_554 
  0x2f006e09, 0x190b11a4, 0x56000714, 0x1c1a2f09,   // hmn.su.un_440 ro.es.gl_433  it.mg.un_660 su.tl.id_444 
  0x0e311ea0, 0x2f135514, 0x06000821, 0x73000f18,   // ms.az.is_322 rw.et.su_666  no.de.un_860 lv.ny.un_740 
  // [ab70]
  0x01072d05, 0x0d29130d, 0x11050708, 0x1200130d,   // sk.it.en_333 et.sl.cs_554  it.fr.ro_443 et.hu.un_540 
  0x230d2da9, 0x1300080e, 0x12046baf, 0x201e1c04,   // sk.cs.ca_544 no.et.un_550  ceb.fi.hu_655 id.ms.sq_332 
  0x02180607, 0x1f030e04, 0x0c033fa4, 0x190b10ee,   // de.ga.da_432 is.nl.cy_332  af.nl.sv_433 lt.es.gl_422 
  0x1208025a, 0x1e2f21a0, 0x55732f04, 0x19730aa4,   // da.no.hu_553 jw.su.ms_322  su.ny.rw_332 pt.ny.gl_433 
  // [ab80]
  0x0c1a0fad, 0x09531107, 0x31303da0, 0x0e190b10,   // lv.tl.sv_643 ro.ht.pl_432  ku.uz.az_322 es.gl.is_642 
  0x5300030d, 0x080218ee, 0x031c08ad, 0x301704ad,   // nl.ht.un_540 ga.da.no_422  no.id.nl_643 ru.sr.uz_643 
  0x06130412, 0x3f130302, 0x0d001313, 0x1708110c,   // fi.et.de_654 nl.et.af_222  bh.ne.un_650 ro.uk.sr_543 
  0x123031a4, 0x08172302, 0x100a04ee, 0x060c010c,   // az.uz.hu_433 ky.sr.uk_222  fi.pt.lt_422 en.sv.de_543 
  // [ab90]
  0x302311ac, 0x19180da7, 0x08001122, 0x08040e0c,   // ro.ky.uz_632 cs.ga.gl_532  ro.uk.un_870 is.fi.no_543 
  0x0a003520, 0x07170808, 0x64531a02, 0x12041004,   // tg.mk.un_850 uk.sr.bg_443  tl.ht.lg_222 lt.fi.hu_332 
  0x64001308, 0x2310110d, 0x1a23300c, 0x0c0601a6,   // et.lg.un_430 ro.be.ky_554  uz.ca.tl_543 en.de.sv_521 
  0x033f1312, 0x013f06a0, 0x180106a0, 0x1c1309a7,   // et.af.nl_654 de.af.en_322  de.en.ga_322 hi.bh.mr_532 
  // [aba0]
  0x041110af, 0x0c00010d, 0x07641fa0, 0x0e0f1011,   // be.ro.ru_655 en.sv.un_540  cy.lg.it_322 lt.lv.is_653 
  0x2173200c, 0x0e002009, 0x0e03100c, 0x73306404,   // sq.ny.jw_543 sq.is.un_440  lt.nl.is_543 lg.uz.ny_332 
  0x0a005508, 0x23443009, 0x2a3f64a0, 0x0b191812,   // rw.pt.un_430 uz.kk.ky_444  lg.af.mt_322 ga.gl.es_654 
  0x033f010b, 0x0e002d13, 0x231964ee, 0x3f036e08,   // en.af.nl_542 sk.is.un_650  lg.gl.ca_422 hmn.nl.af_443 
  // [abb0]
  0x30171107, 0x180e27a0, 0x731a0107, 0x136b1a07,   // ro.sr.uz_432 gd.is.ga_322  en.tl.ny_432 tl.ceb.et_432 
  0x0f2511a7, 0x085528ee, 0x1c190b08, 0x1e026407,   // ro.eu.lv_532 sw.rw.no_422  es.gl.id_443 lg.da.ms_432 
  0x1f131aee, 0x28011805, 0x0a0730a9, 0x550664a0,   // tl.et.cy_422 ga.en.sw_333  uz.bg.mk_544 lg.de.rw_322 
  0x06093f04, 0x3f000107, 0x0f29110c, 0x070511af,   // af.pl.de_332 en.af.un_420  ro.sl.lv_543 ro.fr.it_655 
  // [abc0]
  0x016b075a, 0x1a036ba4, 0x287325a4, 0x25050d07,   // it.ceb.en_553 ceb.nl.tl_433  eu.ny.sw_433 cs.fr.eu_432 
  0x21131105, 0x106b1a08, 0x042820a4, 0x04732804,   // ro.et.jw_333 tl.ceb.lt_443  sq.sw.fi_433 sw.ny.fi_332 
  0x131a100c, 0x2f211aa6, 0x2955280c, 0x110d55a0,   // lt.tl.et_543 tl.jw.su_521  sw.rw.sl_543 rw.cs.ro_322 
  0x6b102904, 0x0d00250c, 0x0e1137a4, 0x3f0112a9,   // sl.lt.ceb_332 eu.cs.un_530  st.ro.is_433 hu.en.af_544 
  // [abd0]
  0x27371f09, 0x21001122, 0x0e2a080d, 0x2a070cec,   // cy.st.gd_444 ro.jw.un_870  no.mt.is_554 sv.it.mt_644 
  0x1a115507, 0x01041007, 0x1f73280d, 0x0d28730c,   // rw.ro.tl_432 lt.fi.en_432  sw.ny.cy_554 ny.sw.cs_543 
  0x253f01a4, 0x35233013, 0x201b73ac, 0x05212f12,   // en.af.eu_433 uz.ky.tg_665  ny.tr.sq_632 su.jw.fr_654 
  0x28645602, 0x28732112, 0x08291607, 0x2821120c,   // mg.lg.sw_222 jw.ny.sw_654  hr.sl.no_432 hu.jw.sw_543 
  // [abe0]
  0x29001f14, 0x280413a4, 0x253d1b08, 0x1c1b1ea0,   // cy.sl.un_660 et.fi.sw_433  tr.ku.eu_443 ms.tr.id_322 
  0x250c08a4, 0x1f080c04, 0x556428af, 0x10071107,   // no.sv.eu_433 sv.no.cy_332  sw.lg.rw_655 ro.bg.be_432 
  0x1b123da4, 0x3f032f0c, 0x041b3da0, 0x126455ee,   // ku.hu.tr_433 su.nl.af_543  ku.tr.fi_322 rw.lg.hu_422 
  0x1100062b, 0x29001002, 0x32163005, 0x2907090c,   // de.ro.un_980 lt.sl.un_220  uz.hr.bs_333 pl.it.sl_543 
  // [abf0]
  0x11002005, 0x30072905, 0x1b6b1a0e, 0x1c211eaf,   // sq.ro.un_330 sl.it.uz_333  tl.ceb.tr_555 ms.jw.id_655 
  0x0e120aee, 0x090a18ec, 0x0a00121b, 0x29000a02,   // pt.hu.is_422 ga.pt.pl_644  hu.pt.un_770 pt.sl.un_220 
  0x070823ee, 0x313013ad, 0x0b230a07, 0x121301af,   // ky.uk.bg_422 et.uz.az_643  pt.ca.es_432 en.et.hu_655 
  0x130e2007, 0x56002308, 0x1f001e04, 0x1a002b04,   // sq.is.et_432 ca.mg.un_430  ms.cy.un_320 vi.tl.un_320 
  
  // [ac00]
  0x02000122, 0x122d0aa4, 0x32002b08, 0x11100805,   // en.da.un_870 pt.sk.hu_433  vi.bs.un_430 uk.be.ro_333 
  0x0a002310, 0x1b003d1b, 0x37003f13, 0x25000502,   // ca.pt.un_620 ku.tr.un_770  af.st.un_650 fr.eu.un_220 
  0x0b005304, 0x301004ad, 0x12002504, 0x0200130d,   // ht.es.un_320 ru.be.uz_643  eu.hu.un_320 et.da.un_540 
  0x080c1f0d, 0x04000a33, 0x0e001104, 0x2d300da0,   // cy.sv.no_554 mk.ru.un_A70  ro.is.un_320 cs.uz.sk_322 
  // [ac10]
  0x25562fee, 0x18111eee, 0x0a042307, 0x03040604,   // su.mg.eu_422 ms.ro.ga_422  ky.ru.mk_432 de.fi.nl_332 
  0x2d170a04, 0x011f0604, 0x1b082502, 0x08001305,   // pt.sr.sk_332 de.cy.en_332  eu.no.tr_222 et.no.un_330 
  0x046b1304, 0x44000802, 0x3530040d, 0x30083505,   // et.ceb.fi_332 uk.kk.un_220  ru.uz.tg_554 tg.uk.uz_333 
  0x0a4430a0, 0x3f030205, 0x180a1902, 0x1b0e13a0,   // uz.kk.mk_322 da.nl.af_333  gl.pt.ga_222 et.is.tr_322 
  // [ac20]
  0x35082312, 0x32001e02, 0x131b0e07, 0x080a2307,   // ky.uk.tg_654 ms.bs.un_220  is.tr.et_432 ky.mk.uk_432 
  0x37640107, 0x13040d0b, 0x3d2f1ea0, 0x1f193d07,   // en.lg.st_432 cs.fi.et_542  ms.su.ku_322 ku.gl.cy_432 
  0x16201104, 0x08311bad, 0x0c001b14, 0x0e1e1c5a,   // ro.sq.hr_332 tr.az.no_643  tr.sv.un_660 id.ms.is_553 
  0x01372f04, 0x18282b11, 0x3f00280b, 0x21190bad,   // su.st.en_332 vi.sw.ga_653  sw.af.un_520 es.gl.jw_643 
  // [ac30]
  0x29000907, 0x20000705, 0x1200200c, 0x3f1b3104,   // pl.sl.un_420 it.sq.un_330  sq.hu.un_530 az.tr.af_332 
  0x281e1c0d, 0x64002823, 0x0413080c, 0x53003112,   // id.ms.sw_554 sw.lg.un_880  no.et.fi_543 az.ht.un_640 
  0x25000f21, 0x2a6b13a9, 0x10531ca4, 0x070f7313,   // lv.eu.un_860 et.ceb.mt_544  id.ht.lt_433 ny.lv.it_665 
  0x1e3d1c04, 0x302344ee, 0x730753a4, 0x033f2102,   // id.ku.ms_332 kk.ky.uz_422  ht.it.ny_433 jw.af.nl_222 
  // [ac40]
  0x07230a05, 0x6b2f1309, 0x73251a5a, 0x53255514,   // mk.ky.bg_333 et.su.ceb_444  tl.eu.ny_553 rw.eu.ht_666 
  0x04441707, 0x1a00070d, 0x19000a11, 0x440410ec,   // sr.kk.ru_432 it.tl.un_540  pt.gl.un_630 be.ru.kk_644 
  0x0c082a0d, 0x2f531c02, 0x44303505, 0x31732511,   // mt.no.sv_554 id.ht.su_222  tg.uz.kk_333 eu.ny.az_653 
  0x132f2508, 0x03095308, 0x2f11030c, 0x192a0714,   // eu.su.et_443 ht.pl.nl_443  nl.ro.su_543 it.mt.gl_666 
  // [ac50]
  0x0f002313, 0x0f212aa4, 0x305525af, 0x2f1a530c,   // ca.lv.un_650 mt.jw.lv_433  eu.rw.uz_655 ht.tl.su_543 
  0x04001114, 0x04101308, 0x732864af, 0x2825135a,   // ro.ru.un_660 et.lt.fi_443  lg.sw.ny_655 et.eu.sw_553 
  0x092a2dee, 0x0a17070b, 0x1125130c, 0x070a1113,   // sk.mt.pl_422 bg.sr.mk_542  et.eu.ro_543 ro.mk.bg_665 
  0x73251a09, 0x44003508, 0x322d29a4, 0x3773130c,   // tl.eu.ny_444 tg.kk.un_430  sl.sk.bs_433 et.ny.st_543 
  // [ac60]
  0x370f13a9, 0x35000804, 0x30230a08, 0x01371308,   // et.lv.st_544 uk.tg.un_320  mk.ky.uz_443 et.st.en_443 
  0x04133205, 0x73371304, 0x0b000f0e, 0x12182dad,   // bs.et.fi_333 et.st.ny_332  lv.es.un_550 sk.ga.hu_643 
  0x09001608, 0x061803a0, 0x32000f07, 0x283d1b0c,   // hr.pl.un_430 nl.ga.de_322  lv.bs.un_420 tr.ku.sw_543 
  0x0b0105af, 0x192311ee, 0x28642fa0, 0x04132105,   // fr.en.es_655 ro.ca.gl_422  su.lg.sw_322 jw.et.fi_333 
  // [ac70]
  0x10040aa7, 0x560b01a0, 0x53041307, 0x010a2b04,   // mk.ru.be_532 en.es.mg_322  et.fi.ht_432 vi.pt.en_332 
  0x0d2d3004, 0x2b0b27a0, 0x166e2912, 0x256409a4,   // uz.sk.cs_332 gd.es.vi_322  sl.hmn.hr_654 pl.lg.eu_433 
  0x3035235a, 0x53006e22, 0x561b53ee, 0x06032fee,   // ky.tg.uz_553 hmn.ht.un_870  ht.tr.mg_422 su.nl.de_422 
  0x100408ee, 0x2d6e2912, 0x07081014, 0x08171105,   // uk.ru.be_422 sl.hmn.sk_654  be.uk.bg_666 ro.sr.uk_333 
  // [ac80]
  0x28120aa0, 0x28641f0c, 0x301b0ea0, 0x6e001e0d,   // pt.hu.sw_322 cy.lg.sw_543  is.tr.uz_322 ms.hmn.un_540 
  0x0b000808, 0x11000b0c, 0x5331305a, 0x12206eec,   // no.es.un_430 es.ro.un_530  uz.az.ht_553 hmn.sq.hu_644 
  0x1b0604ad, 0x08005507, 0x0c18275a, 0x1c005307,   // fi.de.tr_643 rw.no.un_420  gd.ga.sv_553 ht.id.un_420 
  0x0a351008, 0x230b3da0, 0x29002023, 0x6e00532c,   // be.tg.mk_443 ku.es.ca_322  sq.sl.un_880 ht.hmn.un_990 
  // [ac90]
  0x30001705, 0x07300a09, 0x02292da9, 0x273f07ee,   // sr.uz.un_330 mk.uz.bg_444  sk.sl.da_544 it.af.gd_422 
  0x0e321713, 0x040e130c, 0x08041760, 0x192021a0,   // sr.bs.is_665 et.is.fi_543  sr.ru.uk_664 jw.sq.gl_322 
  0x0c3031a0, 0x1000231a, 0x1217290c, 0x13040660,   // az.uz.sv_322 ky.be.un_760  sl.sr.hu_543 de.fi.et_664 
  0x3d005513, 0x30000302, 0x205329a9, 0x30043707,   // rw.ku.un_650 nl.uz.un_220  sl.ht.sq_544 st.fi.uz_432 
  // [aca0]
  0x18252804, 0x1b2856a0, 0x051103a0, 0x09006e2c,   // sw.eu.ga_332 mg.sw.tr_322  nl.ro.fr_322 hmn.pl.un_990 
  0x06046411, 0x551108af, 0x03023f07, 0x04020811,   // lg.fi.de_653 no.ro.rw_655  af.da.nl_432 no.da.fi_653 
  0x010c10a7, 0x17002a13, 0x2a640412, 0x16002a05,   // lt.sv.en_532 mt.sr.un_650  fi.lg.mt_654 mt.hr.un_330 
  0x131204ec, 0x042a0760, 0x20300112, 0x01211ba7,   // fi.hu.et_644 it.mt.fi_664  en.uz.sq_654 tr.jw.en_532 
  // [acb0]
  0x2a070107, 0x2000131a, 0x08201ba4, 0x2b271805,   // en.it.mt_432 et.sq.un_760  tr.sq.no_433 ga.gd.vi_333 
  0x35001719, 0x3f6408ee, 0x6b060807, 0x0a1707ac,   // sr.tg.un_750 no.lg.af_422  no.de.ceb_432 bg.sr.mk_632 
  0x3f0212a0, 0x640704a4, 0x1c2b21a0, 0x071301ee,   // hu.da.af_322 fi.it.lg_433  jw.vi.id_322 en.et.it_422 
  0x13042aec, 0x1b3713a0, 0x0b0123a0, 0x6b640407,   // mt.fi.et_644 et.st.tr_322  ca.en.es_322 fi.lg.ceb_432 
  // [acc0]
  0x1202080b, 0x31072a55, 0x200408a0, 0x64050702,   // no.da.hu_542 mt.it.az_442  no.fi.sq_322 it.fr.lg_222 
  0x04080aee, 0x2d04290b, 0x02050702, 0x29205504,   // mk.uk.ru_422 sl.fi.sk_542  it.fr.da_222 rw.sq.sl_332 
  0x373f0308, 0x130f6b08, 0x25033fa9, 0x3d2012a4,   // nl.af.st_443 ceb.lv.et_443  af.nl.eu_544 hu.sq.ku_433 
  0x0b1a6bee, 0x07110407, 0x12000412, 0x130c0255,   // ceb.tl.es_422 ru.ro.bg_432  fi.hu.un_640 da.sv.et_442 
  // [acd0]
  0x130f010c, 0x32292dee, 0x236e060c, 0x370c04af,   // en.lv.et_543 sk.sl.bs_422  de.hmn.ca_543 fi.sv.st_655 
  0x6e001c0d, 0x050256a0, 0x1f006e21, 0x2b1107a0,   // id.hmn.un_540 mg.da.fr_322  hmn.cy.un_860 it.ro.vi_322 
  0x320d2955, 0x2513020c, 0x1f0e180e, 0x011f6ea7,   // sl.cs.bs_442 da.et.eu_543  ga.is.cy_555 hmn.cy.en_532 
  0x19292fa0, 0x032f3fa0, 0x0f000619, 0x23002004,   // su.sl.gl_322 af.su.nl_322  de.lv.un_750 sq.ca.un_320 
  // [ace0]
  0x130e0caf, 0x300f730d, 0x07002907, 0x64552802,   // sv.is.et_655 ny.lv.uz_554  sl.it.un_420 sw.rw.lg_222 
  0x20230509, 0x301e6e02, 0x203f10a0, 0x56133107,   // fr.ca.sq_444 hmn.ms.uz_222  lt.af.sq_322 az.et.mg_432 
  0x550a53a0, 0x30002a04, 0x3504170e, 0x1e306e55,   // ht.pt.rw_322 mt.uz.un_320  sr.ru.tg_555 hmn.uz.ms_442 
  0x0500121a, 0x301309a9, 0x0c136ea7, 0x64093705,   // hu.fr.un_760 pl.et.uz_544  hmn.et.sv_532 st.pl.lg_333 
  // [acf0]
  0x53050eaf, 0x1a2f02a4, 0x09735511, 0x18290111,   // is.fr.ht_655 da.su.tl_433  rw.ny.pl_653 en.sl.ga_653 
  0x2f64735a, 0x3f2903a4, 0x080e6b02, 0x0928550c,   // ny.lg.su_553 nl.sl.af_433  ceb.is.no_222 rw.sw.pl_543 
  0x2a735511, 0x07230a13, 0x212f64a0, 0x08020fa0,   // rw.ny.mt_653 mk.ky.bg_665  lg.su.jw_322 lv.da.no_322 
  0x320e17a9, 0x08006b0d, 0x21172f0c, 0x1c001e2a,   // sr.is.bs_544 ceb.no.un_540  su.sr.jw_543 ms.id.un_970 
  // [ad00]
  0x29212f11, 0x06026bad, 0x32002d05, 0x28556404,   // su.jw.sl_653 ceb.da.de_643  sk.bs.un_330 lg.rw.sw_332 
  0x202f6ea4, 0x2f293d07, 0x09005502, 0x060a7309,   // hmn.su.sq_433 ku.sl.su_432  rw.pl.un_220 ny.pt.de_444 
  0x21557308, 0x3200730c, 0x070b0a05, 0x732d5508,   // ny.rw.jw_443 ny.bs.un_530  pt.es.it_333 rw.sk.ny_443 
  0x01033f0e, 0x030c11a4, 0x73641b08, 0x55216411,   // af.nl.en_555 ro.sv.nl_433  tr.lg.ny_443 lg.jw.rw_653 
  // [ad10]
  0x29550c04, 0x0c0306a0, 0x060e1ca0, 0x350a1704,   // sv.rw.sl_332 de.nl.sv_322  id.is.de_322 sr.mk.tg_332 
  0x55286405, 0x73212fa9, 0x44001719, 0x06212f07,   // lg.sw.rw_333 su.jw.ny_544  sr.kk.un_750 su.jw.de_432 
  0x292f1e07, 0x3d003f13, 0x2f2917a4, 0x300a0709,   // ms.su.sl_432 af.ku.un_650  sr.sl.su_433 bg.mk.uz_444 
  0x0100180e, 0x12556405, 0x2d0d21ec, 0x55062805,   // ga.en.un_550 lg.rw.hu_333  jw.cs.sk_644 sw.de.rw_333 
  // [ad20]
  0x3f271a05, 0x73640908, 0x212d0d13, 0x5500170e,   // tl.gd.af_333 pl.lg.ny_443  cs.sk.jw_665 sr.rw.un_550 
  0x200e30ad, 0x3011350c, 0x12190b5a, 0x2a1e28ac,   // uz.is.sq_643 tg.ro.uz_543  es.gl.hu_553 sw.ms.mt_632 
  0x0e000707, 0x2f1e2104, 0x0d2d2110, 0x231103a0,   // it.is.un_420 jw.ms.su_332  jw.sk.cs_642 nl.ro.ca_322 
  0x1c3d3004, 0x32000704, 0x0d3d2daf, 0x6b3001a0,   // uz.ku.id_332 it.bs.un_320  sk.ku.cs_655 en.uz.ceb_322 
  // [ad30]
  0x550719a6, 0x3d002120, 0x3d2d0d6d, 0x07440aee,   // gl.it.rw_521 jw.ku.un_850  cs.sk.ku_874 mk.kk.bg_422 
  0x2d3d2113, 0x2d002119, 0x1200070e, 0x2d3d2119,   // jw.ku.sk_665 jw.sk.un_750  it.hu.un_550 jw.ku.sk_765 
  0x071a0caf, 0x211b0b12, 0x531b2aee, 0x6e001e12,   // sv.tl.it_655 es.tr.jw_654  mt.tr.ht_422 ms.hmn.un_640 
  0x080e3d07, 0x53000705, 0x30000f09, 0x311b2505,   // ku.is.no_432 it.ht.un_330  lv.uz.un_440 eu.tr.az_333 
  // [ad40]
  0x09006409, 0x3f1337a4, 0x091b53ad, 0x31001118,   // lg.pl.un_440 st.et.af_433  ht.tr.pl_643 ro.az.un_740 
  0x373f0360, 0x31002b02, 0x53000a21, 0x1f000f04,   // nl.af.st_664 vi.az.un_220  pt.ht.un_860 lv.cy.un_320 
  0x37300aee, 0x110c03ec, 0x1a281012, 0x0a1330a0,   // pt.uz.st_422 nl.sv.ro_644  lt.sw.tl_654 uz.et.pt_322 
  0x251c56ee, 0x291e30ee, 0x0a062512, 0x08303513,   // mg.id.eu_422 uz.ms.sl_422  eu.de.pt_654 tg.uz.uk_665 
  // [ad50]
  0x133f06a4, 0x090d37a0, 0x092f6412, 0x28062a07,   // de.af.et_433 st.cs.pl_322  lg.su.pl_654 mt.de.sw_432 
  0x033f1307, 0x230d2da7, 0x6b1a5505, 0x35001020,   // et.af.nl_432 sk.cs.ca_532  rw.tl.ceb_333 be.tg.un_850 
  0x350a17a0, 0x0f1056ee, 0x53003f02, 0x08233507,   // sr.mk.tg_322 mg.lt.lv_422  af.ht.un_220 tg.ky.uk_432 
  0x212d0d5a, 0x30006e1b, 0x122f1caf, 0x5300641a,   // cs.sk.jw_553 hmn.uz.un_770  id.su.hu_655 lg.ht.un_760 
  // [ad60]
  0x6e3d6b04, 0x01122a12, 0x6b2855ac, 0x2d001805,   // ceb.ku.hmn_332 mt.hu.en_654  rw.sw.ceb_632 ga.sk.un_330 
  0x647328ad, 0x0900530c, 0x6b002507, 0x19200b5a,   // sw.ny.lg_643 ht.pl.un_530  eu.ceb.un_420 es.sq.gl_553 
  0x0c311b07, 0x73212804, 0x2118270b, 0x0c1c530c,   // tr.az.sv_432 sw.jw.ny_332  gd.ga.jw_542 ht.id.sv_543 
  0x3f1e6408, 0x443507ee, 0x0700560d, 0x0802190c,   // lg.ms.af_443 bg.tg.kk_422  mg.it.un_540 gl.da.no_543 
  // [ad70]
  0x080417ad, 0x23192005, 0x1304280c, 0x12025607,   // sr.ru.uk_643 sq.gl.ca_333  sw.fi.et_543 mg.da.hu_432 
  0x552a530c, 0x1e001308, 0x130904a0, 0x2a645508,   // ht.mt.rw_543 et.ms.un_430  fi.pl.et_322 rw.lg.mt_443 
  0x160b1104, 0x371e640b, 0x1a000705, 0x557328ac,   // ro.es.hr_332 lg.ms.st_542  it.tl.un_330 sw.ny.rw_632 
  0x2d320aa0, 0x12001829, 0x1923010b, 0x311b13a4,   // pt.bs.sk_322 ar.ur.un_960  en.ca.gl_542 et.tr.az_433 
  // [ad80]
  0x44100704, 0x23190aa4, 0x0b0a2daf, 0x18271112,   // bg.be.kk_332 pt.gl.ca_433  sk.pt.es_655 ro.gd.ga_654 
  0x0b2507a0, 0x3f2125ac, 0x3f3d29ad, 0x0b2d0a07,   // it.eu.es_322 eu.jw.af_632  sl.ku.af_643 pt.sk.es_432 
  0x032a30ac, 0x316428a6, 0x07372305, 0x230830a4,   // uz.mt.nl_632 sw.lg.az_521  ca.st.it_333 uz.no.ca_433 
  0x1a005505, 0x31272a08, 0x12255607, 0x0d002913,   // rw.tl.un_330 mt.gd.az_443  mg.eu.hu_432 sl.cs.un_650 
  // [ad90]
  0x3f0f0da4, 0x0c06120d, 0x01072a11, 0x2810110d,   // cs.lv.af_433 hu.de.sv_554  mt.it.en_653 ro.lt.sw_554 
  0x3f30110c, 0x312029a0, 0x6b732aa4, 0x1704075a,   // ro.uz.af_543 sl.sq.az_322  mt.ny.ceb_433 bg.ru.sr_553 
  0x07000119, 0x182706a4, 0x552873a7, 0x0a041755,   // en.it.un_750 de.gd.ga_433  ny.sw.rw_532 sr.ru.mk_442 
  0x275625a7, 0x311b5504, 0x6b3d6e0c, 0x250411af,   // eu.mg.gd_532 rw.tr.az_332  hmn.ku.ceb_543 ro.fi.eu_655 
  // [ada0]
  0x556453a4, 0x1a105307, 0x56003711, 0x253d2a0c,   // ht.lg.rw_433 ht.lt.tl_432  st.mg.un_630 mt.ku.eu_543 
  0x05000f36, 0x32162d0c, 0x53001b1b, 0x0d0a0b60,   // lv.fr.un_AA0 sk.hr.bs_543  tr.ht.un_770 es.pt.cs_664 
  0x0e3f030c, 0x18002a0d, 0x04560708, 0x0f2910a9,   // nl.af.is_543 mt.ga.un_540  it.mg.fi_443 lt.sl.lv_544 
  0x536b1107, 0x5309060c, 0x2d0d0eee, 0x1c7353ee,   // ro.ceb.ht_432 de.pl.ht_543  is.cs.sk_422 ht.ny.id_422 
  // [adb0]
  0x37001f04, 0x1a1b535a, 0x532a6404, 0x010511af,   // cy.st.un_320 ht.tr.tl_553  lg.mt.ht_332 ro.fr.en_655 
  0x44080455, 0x0d2d12a9, 0x1e1c0e0e, 0x0e002d18,   // ru.uk.kk_442 hu.sk.cs_544  is.id.ms_555 sk.is.un_740 
  0x2a020812, 0x20040607, 0x31190a0c, 0x080c23a7,   // no.da.mt_654 de.fi.sq_432  pt.gl.az_543 ca.sv.no_532 
  0x05000712, 0x02040804, 0x2b002313, 0x53002a02,   // it.fr.un_640 no.fi.da_332  ca.vi.un_650 mt.ht.un_220 
  // [adc0]
  0x1b080214, 0x072d0a55, 0x030937a9, 0x231710a4,   // da.no.tr_666 pt.sk.it_442  st.pl.nl_544 be.sr.ky_433 
  0x2a0c020d, 0x0c0801a4, 0x250c2aec, 0x270511ad,   // da.sv.mt_554 en.no.sv_433  mt.sv.eu_644 ro.fr.gd_643 
  0x010a1f0c, 0x53290c04, 0x0220080d, 0x230208ee,   // cy.pt.en_543 sv.sl.ht_332  no.sq.da_554 no.da.ca_422 
  0x02060804, 0x5300060c, 0x1a000307, 0x25005304,   // no.de.da_332 de.ht.un_530  nl.tl.un_420 ht.eu.un_320 
  // [add0]
  0x56020812, 0x02311bad, 0x08071b07, 0x442307a0,   // no.da.mg_654 tr.az.da_643  tr.it.no_432 bg.ky.kk_322 
  0x04212304, 0x29000c05, 0x032305a4, 0x17073507,   // ca.jw.fi_332 sv.sl.un_330  fr.ca.nl_433 tg.bg.sr_432 
  0x0c001802, 0x04172307, 0x0c291f07, 0x07001f1a,   // ga.sv.un_220 ky.sr.ru_432  cy.sl.sv_432 cy.it.un_760 
  0x01080260, 0x12022004, 0x070a175a, 0x040a100c,   // da.no.en_664 sq.da.hu_332  sr.mk.bg_553 be.mk.ru_543 
  // [ade0]
  0x101956ee, 0x0d131c04, 0x30044407, 0x293f53ee,   // mg.gl.lt_422 mr.bh.ne_332  kk.ru.uz_432 ht.af.sl_422 
  0x353017a9, 0x111a6b12, 0x0d033f09, 0x07171005,   // sr.uz.tg_544 ceb.tl.ro_654  af.nl.cs_444 be.sr.bg_333 
  0x3d211ea0, 0x6b1f0507, 0x05317307, 0x311e1bee,   // ms.jw.ku_322 fr.cy.ceb_432  ny.az.fr_432 tr.ms.az_422 
  0x211304a0, 0x641a5504, 0x301111ec, 0x182f21a6,   // fi.et.jw_322 rw.tl.lg_332  ro.ro.uz_644 jw.su.ga_521 
  // [adf0]
  0x0b23180e, 0x03000a04, 0x2f001b02, 0x6b2a18a4,   // ga.ca.es_555 pt.nl.un_320  tr.su.un_220 ga.mt.ceb_433 
  0x17303505, 0x281e2fa7, 0x18002812, 0x1735300c,   // tg.uz.sr_333 su.ms.sw_532  sw.ga.un_640 uz.tg.sr_543 
  0x350830af, 0x32171ea4, 0x3d002105, 0x290c090c,   // uz.uk.tg_655 ms.sr.bs_433  jw.ku.un_330 pl.sv.sl_543 
  0x0430440c, 0x13090c04, 0x30313dad, 0x11190ba4,   // kk.uz.ru_543 sv.pl.et_332  ku.az.uz_643 es.gl.ro_433 
  // [ae00]
  0x033f010c, 0x290207ee, 0x07063007, 0x102d3fee,   // en.af.nl_543 it.da.sl_422  uz.de.it_432 af.sk.lt_422 
  0x25060fa0, 0x0c0803ec, 0x1a556ba4, 0x1e1c1aa0,   // lv.de.eu_322 nl.no.sv_644  ceb.rw.tl_433 tl.id.ms_322 
  0x3f271f12, 0x31035512, 0x0e000904, 0x192d0d5a,   // cy.gd.af_654 rw.nl.az_654  pl.is.un_320 cs.sk.gl_553 
  0x2a002121, 0x17001608, 0x05032107, 0x04002814,   // jw.mt.un_860 hr.sr.un_430  jw.nl.fr_432 sw.fi.un_660 
  // [ae10]
  0x066407a4, 0x64072aec, 0x062f0413, 0x271f010b,   // it.lg.de_433 mt.it.lg_644  fi.su.de_665 en.cy.gd_542 
  0x19252aa4, 0x27002f1a, 0x03122755, 0x2012070c,   // mt.eu.gl_433 su.gd.un_760  gd.hu.nl_442 it.hu.sq_543 
  0x2f0f1ca0, 0x05122fad, 0x25001a07, 0x17443005,   // id.lv.su_322 su.hu.fr_643  tl.eu.un_420 uz.kk.sr_333 
  0x097364a7, 0x64077307, 0x28212007, 0x1a2f53ee,   // lg.ny.pl_532 ny.it.lg_432  sq.jw.sw_432 ht.su.tl_422 
  // [ae20]
  0x17003519, 0x21016b02, 0x282f1f0c, 0x370828ee,   // tg.sr.un_750 ceb.en.jw_222  cy.su.sw_543 sw.no.st_422 
  0x1a736407, 0x13110507, 0x12072807, 0x3d002012,   // lg.ny.tl_432 fr.ro.et_432  sw.it.hu_432 sq.ku.un_640 
  0x19230707, 0x2f191208, 0x0a005302, 0x1e00640c,   // it.ca.gl_432 hu.gl.su_443  ht.pt.un_220 lg.ms.un_530 
  0x121b0908, 0x3d641b60, 0x3f032107, 0x1c212f60,   // pl.tr.hu_443 tr.lg.ku_664  jw.nl.af_432 su.jw.id_664 
  // [ae30]
  0x21171aa4, 0x2b732f07, 0x121173af, 0x28567307,   // tl.sr.jw_433 su.ny.vi_432  ny.ro.hu_655 ny.mg.sw_432 
  0x08025605, 0x2f1b1105, 0x17643004, 0x02033fa4,   // mg.da.no_333 ro.tr.su_333  uz.lg.sr_332 af.nl.da_433 
  0x2953280c, 0x04005314, 0x122f19a0, 0x1a001012,   // sw.ht.sl_543 ht.fi.un_660  gl.su.hu_322 lt.tl.un_640 
  0x1364040b, 0x1c212f13, 0x202d0ba0, 0x0a00280c,   // fi.lg.et_542 su.jw.id_665  es.sk.sq_322 sw.pt.un_530 
  // [ae40]
  0x082f2112, 0x1e2d6411, 0x3f232f0c, 0x13640412,   // jw.su.no_654 lg.sk.ms_653  su.ca.af_543 fi.lg.et_654 
  0x56732508, 0x2f532aa7, 0x2800100d, 0x1f003708,   // eu.ny.mg_443 mt.ht.su_532  lt.sw.un_540 st.cy.un_430 
  0x07022da0, 0x0e0c0404, 0x1e1c5609, 0x5600250d,   // sk.da.it_322 fi.sv.is_332  mg.id.ms_444 eu.mg.un_540 
  0x6b735608, 0x04000c09, 0x08125607, 0x03006418,   // mg.ny.ceb_443 sv.fi.un_440  mg.hu.no_432 lg.nl.un_740 
  // [ae50]
  0x28002105, 0x101e1c05, 0x561e1c5a, 0x120c0e55,   // jw.sw.un_330 id.ms.lt_333  id.ms.mg_553 is.sv.hu_442 
  0x211628ee, 0x29000b02, 0x53280307, 0x170410a9,   // sw.hr.jw_422 es.sl.un_220  nl.sw.ht_432 be.ru.sr_544 
  0x0a6b2da0, 0x211273ee, 0x56100408, 0x251e56af,   // sk.ceb.pt_322 ny.hu.jw_422  fi.lt.mg_443 mg.ms.eu_655 
  0x197356ec, 0x2d000f0e, 0x53002016, 0x136b0412,   // mg.ny.gl_644 lv.sk.un_550  sq.ht.un_720 fi.ceb.et_654 
  // [ae60]
  0x203f040d, 0x01033faf, 0x3f003008, 0x3044170c,   // fi.af.sq_554 af.nl.en_655  uz.af.un_430 sr.kk.uz_543 
  0x3f030c11, 0x0d000507, 0x08131a0c, 0x23001007,   // sv.nl.af_653 fr.cs.un_420  tl.et.no_543 be.ky.un_420 
  0x0f00092b, 0x0600131a, 0x6b0a0155, 0x1c2f1eaf,   // pl.lv.un_980 et.de.un_760  en.pt.ceb_442 ms.su.id_655 
  0x1b313da0, 0x301128a9, 0x73302809, 0x1311040e,   // ku.az.tr_322 sw.ro.uz_544  sw.uz.ny_444 fi.ro.et_555 
  // [ae70]
  0x13321604, 0x18001113, 0x11182708, 0x2128730c,   // hr.bs.et_332 ro.ga.un_650  gd.ga.ro_443 ny.sw.jw_543 
  0x1a216b11, 0x1c732904, 0x2173280c, 0x6b2f0107,   // ceb.jw.tl_653 sl.ny.id_332  sw.ny.jw_543 en.su.ceb_432 
  0x09000f05, 0x73042aa9, 0x28002908, 0x230b0a14,   // lv.pl.un_330 mt.fi.ny_544  sl.sw.un_430 pt.es.ca_666 
  0x2a0413af, 0x5564730d, 0x28373005, 0x2f047305,   // et.fi.mt_655 ny.lg.rw_554  uz.st.sw_333 ny.fi.su_333 
  // [ae80]
  0x12000e2a, 0x273f030e, 0x1a126b0c, 0x202864ad,   // is.hu.un_970 nl.af.gd_555  ceb.hu.tl_543 lg.sw.sq_643 
  0x212f27a4, 0x1b303104, 0x04171002, 0x1017070c,   // gd.su.jw_433 az.uz.tr_332  be.sr.ru_222 bg.sr.be_543 
  0x3021730c, 0x25072a0c, 0x01271802, 0x07321709,   // ny.jw.uz_543 mt.it.eu_543  ga.gd.en_222 sr.bs.it_444 
  0x6b732808, 0x5512730c, 0x17300aac, 0x06002f09,   // sw.ny.ceb_443 ny.hu.rw_543  mk.uz.sr_632 su.de.un_440 
  // [ae90]
  0x21001e22, 0x08202a04, 0x2031300d, 0x0a1c1eec,   // ms.jw.un_870 mt.sq.no_332  uz.az.sq_554 ms.id.pt_644 
  0x3f002722, 0x040613ee, 0x0e1e1007, 0x13041c07,   // gd.af.un_870 et.de.fi_422  lt.ms.is_432 id.fi.et_432 
  0x1023445a, 0x1b190b13, 0x0f372855, 0x3f042f04,   // kk.ky.be_553 es.gl.tr_665  sw.st.lv_442 su.fi.af_332 
  0x074435a9, 0x171e1c5a, 0x07041f12, 0x091729a9,   // tg.kk.bg_544 id.ms.sr_553  cy.fi.it_654 sl.sr.pl_544 
  // [aea0]
  0x171b290c, 0x132104a0, 0x04122aa4, 0x070810ad,   // sl.tr.sr_543 fi.jw.et_322  mt.hu.fi_433 be.uk.bg_643 
  0x09033f0d, 0x28371a0c, 0x1a106bec, 0x082f13ee,   // af.nl.pl_554 tl.st.sw_543  ceb.lt.tl_644 et.su.no_422 
  0x3f080ea4, 0x23000b08, 0x231135af, 0x0e0308a4,   // is.no.af_433 es.ca.un_430  tg.ro.ky_655 no.nl.is_433 
  0x0b130807, 0x0f00250d, 0x04080a12, 0x0b04370b,   // no.et.es_432 eu.lv.un_540  mk.uk.ru_654 st.fi.es_542 
  // [aeb0]
  0x25206b08, 0x1b321604, 0x3d00641a, 0x250413a7,   // ceb.sq.eu_443 hr.bs.tr_332  lg.ku.un_760 et.fi.eu_532 
  0x08351707, 0x35000413, 0x0c0813ee, 0x130408ad,   // sr.tg.uk_432 ru.tg.un_650  et.no.sv_422 no.fi.et_643 
  0x0e08135a, 0x293d3108, 0x131b04ee, 0x1a0f2a0d,   // et.no.is_553 az.ku.sl_443  fi.tr.et_422 mt.lv.tl_554 
  0x2a303113, 0x28301e07, 0x233017a4, 0x2f1b2712,   // az.uz.mt_665 ms.uz.sw_432  sr.uz.ky_433 gd.tr.su_654 
  // [aec0]
  0x55001f0c, 0x2800370c, 0x733f03af, 0x6b552d07,   // cy.rw.un_530 st.sw.un_530  nl.af.ny_655 sk.rw.ceb_432 
  0x730601a0, 0x23173512, 0x033f7307, 0x2f1a040c,   // en.de.ny_322 tg.sr.ky_654  ny.af.nl_432 fi.tl.su_543 
  0x3d283708, 0x1a3d370c, 0x2100641b, 0x210637a7,   // st.sw.ku_443 st.ku.tl_543  lg.jw.un_770 st.de.jw_532 
  0x1a043707, 0x2b20370c, 0x043756ad, 0x250a1911,   // st.fi.tl_432 st.sq.vi_543  mg.st.fi_643 gl.pt.eu_653 
  // [aed0]
  0x132f5604, 0x10250707, 0x053f015a, 0x1a002f0d,   // mg.su.et_332 it.eu.lt_432  en.af.fr_553 su.tl.un_540 
  0x441007a7, 0x2100370e, 0x23000511, 0x08120204,   // bg.be.kk_532 st.jw.un_550  fr.ca.un_630 da.hu.no_332 
  0x17006e08, 0x04000d08, 0x0a111705, 0x043f03a4,   // hmn.sr.un_430 cs.fi.un_430  sr.ro.mk_333 nl.af.fi_433 
  0x30003707, 0x0a015502, 0x173011ad, 0x032a0412,   // st.uz.un_420 rw.en.pt_222  ro.uz.sr_643 fi.mt.nl_654 
  // [aee0]
  0x56001113, 0x371356a0, 0x23120507, 0x6b1a56a4,   // ro.mg.un_650 mg.et.st_322  fr.hu.ca_432 mg.tl.ceb_433 
  0x301e3207, 0x29003702, 0x02090808, 0x070a3502,   // bs.ms.uz_432 st.sl.un_220  no.pl.da_443 tg.mk.bg_222 
  0x081017ad, 0x281304ec, 0x120608a0, 0x133f0360,   // sr.be.uk_643 fi.et.sw_644  no.de.hu_322 nl.af.et_664 
  0x041356a0, 0x120413af, 0x03121107, 0x21272fee,   // mg.et.fi_322 et.fi.hu_655  ro.hu.nl_432 su.gd.jw_422 
  // [aef0]
  0x300108a7, 0x252820a4, 0x37732555, 0x321b28a0,   // no.en.uz_532 sq.sw.eu_433  eu.ny.st_442 sw.tr.bs_322 
  0x30281b08, 0x0f64280c, 0x1e07280c, 0x531925a0,   // tr.sw.uz_443 sw.lg.lv_543  sw.it.ms_543 eu.gl.ht_322 
  0x04131114, 0x072531a9, 0x0b1905a9, 0x050b07a4,   // ro.et.fi_666 az.eu.it_544  fr.gl.es_544 it.es.fr_433 
  0x11313205, 0x29532104, 0x29170704, 0x0a3031a4,   // bs.az.ro_333 jw.ht.sl_332  it.sr.sl_332 az.uz.pt_433 
  // [af00]
  0x0a533712, 0x10000e05, 0x25002104, 0x13002804,   // st.ht.pt_654 is.lt.un_330  jw.eu.un_320 sw.et.un_320 
  0x64190a09, 0x0a1b3202, 0x1e003105, 0x53202aa9,   // pt.gl.lg_444 bs.tr.pt_222  az.ms.un_330 mt.sq.ht_544 
  0x070a01a0, 0x3d310faf, 0x73070f0c, 0x312030ec,   // en.pt.it_322 lv.az.ku_655  lv.it.ny_543 uz.sq.az_644 
  0x64020807, 0x100a30ad, 0x11073155, 0x013206ee,   // no.da.lg_432 uz.pt.lt_643  az.it.ro_442 de.bs.en_422 
  // [af10]
  0x0c180607, 0x17100804, 0x73120607, 0x0d005302,   // de.ga.sv_432 uk.be.sr_332  de.hu.ny_432 ht.cs.un_220 
  0x25075605, 0x1b02080c, 0x12190ea7, 0x1711080c,   // mg.it.eu_333 no.da.tr_543  is.gl.hu_532 uk.ro.sr_543 
  0x06003209, 0x0d3f0307, 0x0a1004ad, 0x20062aac,   // bs.de.un_440 nl.af.cs_432  ru.be.mk_643 mt.de.sq_632 
  0x27000612, 0x3f530304, 0x120153a0, 0x30561a07,   // de.gd.un_640 nl.ht.af_332  ht.en.hu_322 tl.mg.uz_432 
  // [af20]
  0x25002004, 0x01530504, 0x016b0207, 0x2b315607,   // sq.eu.un_320 fr.ht.en_332  da.ceb.en_432 mg.az.vi_432 
  0x55050302, 0x0100530c, 0x20000502, 0x17000820,   // nl.fr.rw_222 ht.en.un_530  fr.sq.un_220 uk.sr.un_850 
  0x011f53a0, 0x160c0804, 0x30250705, 0x230a30a0,   // ht.cy.en_322 no.sv.hr_332  it.eu.uz_333 uz.mk.ky_322 
  0x3f002b04, 0x03060807, 0x0c130602, 0x28302fee,   // vi.af.un_320 no.de.nl_432  de.et.sv_222 su.uz.sw_422 
  // [af30]
  0x0e0c08a0, 0x1f001702, 0x060f0c13, 0x311b06ee,   // no.sv.is_322 sr.cy.un_220  sv.lv.de_665 de.tr.az_422 
  0x20000719, 0x30042308, 0x30170812, 0x11006b04,   // it.sq.un_750 ky.ru.uz_443  uk.sr.uz_654 ceb.ro.un_320 
  0x040b19a0, 0x35300a13, 0x0a44230c, 0x0e001313,   // gl.es.fi_322 mk.uz.tg_665  ky.kk.mk_543 et.is.un_650 
  0x3000060e, 0x2d005305, 0x1b002808, 0x100804a7,   // de.uz.un_550 ht.sk.un_330  sw.tr.un_430 fi.no.lt_532 
  // [af40]
  0x23111109, 0x354423a9, 0x552f1ea4, 0x6b005512,   // ro.ro.ky_444 ky.kk.tg_544  ms.su.rw_433 rw.ceb.un_640 
  0x30282da0, 0x051156a9, 0x21305308, 0x2f101a0d,   // sk.sw.uz_322 mg.ro.fr_544  ht.uz.jw_443 tl.lt.su_554 
  0x0f000312, 0x37001c1a, 0x13041aa0, 0x252f55a9,   // nl.lv.un_640 id.st.un_760  tl.fi.et_322 rw.su.eu_544 
  0x5500110e, 0x072f1e0c, 0x07001719, 0x3f1e3707,   // ro.rw.un_550 ms.su.it_543  sr.bg.un_750 st.ms.af_432 
  // [af50]
  0x641b3dee, 0x645521a4, 0x233517ee, 0x530e565a,   // ku.tr.lg_422 jw.rw.lg_433  sr.tg.ky_422 mg.is.ht_553 
  0x372718a4, 0x561810ad, 0x3d562d0b, 0x30070413,   // ga.gd.st_433 lt.ga.mg_643  sk.mg.ku_542 ru.bg.uz_665 
  0x1a1e1c0d, 0x1b30550c, 0x072f56a7, 0x075612a7,   // id.ms.tl_554 rw.uz.tr_543  mg.su.it_532 hu.mg.it_532 
  0x56251aa9, 0x2b1f6bac, 0x1004440e, 0x312a30a6,   // tl.eu.mg_544 ceb.cy.vi_632  kk.ru.be_555 uz.mt.az_521 
  // [af60]
  0x3f0302ec, 0x531f5604, 0x311b1ea9, 0x200727ad,   // da.nl.af_644 mg.cy.ht_332  ms.tr.az_544 gd.it.sq_643 
  0x07270907, 0x0e183f07, 0x07112daf, 0x1a536b13,   // pl.gd.it_432 af.ga.is_432  sk.ro.it_655 ceb.ht.tl_665 
  0x061b3107, 0x3f030112, 0x01061fa9, 0x036e53ee,   // az.tr.de_432 en.nl.af_654  cy.de.en_544 ht.hmn.nl_422 
  0x27060302, 0x3f031f09, 0x21006b05, 0x07350aa7,   // nl.de.gd_222 cy.nl.af_444  ceb.jw.un_330 mk.tg.bg_532 
  // [af70]
  0x350408a4, 0x2a002514, 0x28006b18, 0x100e2f0b,   // uk.ru.tg_433 eu.mt.un_660  ceb.sw.un_740 su.is.lt_542 
  0x11070804, 0x25072a13, 0x05000619, 0x060e3fa9,   // no.it.ro_332 mt.it.eu_665  de.fr.un_750 af.is.de_544 
  0x6e001e07, 0x551b3104, 0x11202904, 0x27002305,   // ms.hmn.un_420 az.tr.rw_332  sl.sq.ro_332 ca.gd.un_330 
  0x2d3029a4, 0x0a10440c, 0x23120513, 0x070823a4,   // sl.uz.sk_433 kk.be.mk_543  fr.hu.ca_665 ca.no.it_433 
  // [af80]
  0x0f082aa4, 0x083f2aa7, 0x0810110c, 0x071017a4,   // mt.no.lv_433 mt.af.no_532  ro.be.uk_543 sr.be.bg_433 
  0x30230408, 0x082b03a7, 0x3f0f0907, 0x2a0f08a4,   // ru.ky.uz_443 nl.vi.no_532  pl.lv.af_432 no.lv.mt_433 
  0x32203055, 0x0a4411a0, 0x06092a14, 0x0c081f0c,   // uz.sq.bs_442 ro.kk.mk_322  mt.pl.de_666 cy.no.sv_543 
  0x20030f07, 0x56002f0d, 0x0c2b2f07, 0x640f2ba4,   // lv.nl.sq_432 su.mg.un_540  su.vi.sv_432 vi.lv.lg_433 
  // [af90]
  0x3f002a0c, 0x0f080214, 0x050119a7, 0x2b0727a0,   // mt.af.un_530 da.no.lv_666  gl.en.fr_532 gd.it.vi_322 
  0x020c0fa7, 0x2f2a2da0, 0x230730a9, 0x0e00110d,   // lv.sv.da_532 sk.mt.su_322  uz.bg.ky_544 ro.is.un_540 
  0x16003211, 0x31301bee, 0x0708040b, 0x0131300b,   // bs.hr.un_630 tr.uz.az_422  ru.uk.bg_542 uz.az.en_542 
  0x062a07ac, 0x21095609, 0x55287308, 0x5600730e,   // it.mt.de_632 mg.pl.jw_444  ny.sw.rw_443 ny.mg.un_550 
  // [afa0]
  0x08170204, 0x17111160, 0x640413a4, 0x1300042c,   // da.sr.no_332 ro.ro.sr_664  et.fi.lg_433 fi.et.un_990 
  0x56556412, 0x18121904, 0x1e6e1cad, 0x25001109,   // lg.rw.mg_654 gl.hu.ga_332  id.hmn.ms_643 ro.eu.un_440 
  0x0f252da4, 0x0b000714, 0x2f1c1eec, 0x023f08a9,   // sk.eu.lv_433 it.es.un_660  ms.id.su_644 no.af.da_544 
  0x322d0d07, 0x555673a4, 0x216473af, 0x1a1c2fa0,   // cs.sk.bs_432 ny.mg.rw_433  ny.lg.jw_655 su.id.tl_322 
  // [afb0]
  0x011b30a7, 0x29002109, 0x557364a4, 0x07002a04,   // uz.tr.en_532 jw.sl.un_440  lg.ny.rw_433 mt.it.un_320 
  0x0a100855, 0x28555612, 0x275373af, 0x1b1c1ead,   // uk.be.mk_442 mg.rw.sw_654  ny.ht.gd_655 ms.id.tr_643 
  0x171320a0, 0x293f56af, 0x53172907, 0x2a1827a0,   // sq.et.sr_322 mg.af.sl_655  sl.sr.ht_432 gd.ga.mt_322 
  0x0e130855, 0x21003f0d, 0x02060c0d, 0x2f211eaf,   // no.et.is_442 af.jw.un_540  sv.de.da_554 ms.jw.su_655 
  // [afc0]
  0x301827ad, 0x20370e02, 0x285520ec, 0x060208ee,   // gd.ga.uz_643 is.st.sq_222  sq.rw.sw_644 no.da.de_422 
  0x181311a0, 0x16647360, 0x211820a7, 0x281655a9,   // ro.et.ga_322 ny.lg.hr_664  sq.ga.jw_532 rw.hr.sw_544 
  0x23736405, 0x0f000708, 0x281b2905, 0x04201112,   // lg.ny.ca_333 it.lv.un_430  sl.tr.sw_333 ro.sq.fi_654 
  0x190b0302, 0x302f56ee, 0x2b031ea0, 0x0b0a2360,   // nl.es.gl_222 mg.su.uz_422  ms.nl.vi_322 ca.pt.es_664 
  // [afd0]
  0x29000d0b, 0x0c130b07, 0x08131ea4, 0x25182714,   // cs.sl.un_520 es.et.sv_432  ms.et.no_433 gd.ga.eu_666 
  0x3f0c08ee, 0x251801a4, 0x2711180d, 0x0a231704,   // no.sv.af_422 en.ga.eu_433  ga.ro.gd_554 sr.ky.mk_332 
  0x35041711, 0x21287311, 0x190b1fa4, 0x2100730c,   // sr.ru.tg_653 ny.sw.jw_653  cy.es.gl_433 ny.jw.un_530 
  0x132d28a4, 0x0b001114, 0x29130908, 0x07101fa7,   // sw.sk.et_433 ro.es.un_660  pl.et.sl_443 cy.lt.it_532 
  // [afe0]
  0x2d120e12, 0x042137ec, 0x321609ec, 0x0d0855ec,   // is.hu.sk_654 st.jw.fi_644  pl.hr.bs_644 rw.no.cs_644 
  0x08441708, 0x1c642107, 0x10002b04, 0x12070fa7,   // sr.kk.uk_443 jw.lg.id_432  vi.lt.un_320 lv.it.hu_532 
  0x320c020c, 0x21001f02, 0x1c17290c, 0x1700300d,   // da.sv.bs_543 cy.jw.un_220  sl.sr.id_543 uz.sr.un_540 
  0x3f0c6ea4, 0x6e002d1a, 0x041007ad, 0x13001007,   // hmn.sv.af_433 sk.hmn.un_760  bg.be.ru_643 lt.et.un_420 
  // [aff0]
  0x01731a04, 0x132925a7, 0x6b000208, 0x3d00552a,   // tl.ny.en_332 eu.sl.et_532  da.ceb.un_430 rw.ku.un_970 
  0x270208a4, 0x3f6b6eec, 0x1f27180d, 0x551264ec,   // no.da.gd_433 hmn.ceb.af_644  ga.gd.cy_554 lg.hu.rw_644 
  0x1a3f0304, 0x04212808, 0x100411a9, 0x3f6e1fa9,   // nl.af.tl_332 sw.jw.fi_443  ro.ru.be_544 cy.hmn.af_544 
  0x1f02030c, 0x020c2912, 0x03005605, 0x37186b0c,   // nl.da.cy_543 sl.sv.da_654  mg.nl.un_330 ceb.ga.st_543 
  
  // [b000]
  0x23441002, 0x036e270e, 0x2f3073a9, 0x04081ea0,   // be.kk.ky_222 gd.hmn.nl_555  ny.uz.su_544 ms.no.fi_322 
  0x096e2d11, 0x0f00301a, 0x306b1355, 0x0a0737ee,   // sk.hmn.pl_653 uz.lv.un_760  et.ceb.uz_442 st.it.pt_422 
  0x6b100aa4, 0x2a073d13, 0x6b1c1e0c, 0x12005608,   // pt.lt.ceb_433 ku.it.mt_665  ms.id.ceb_543 mg.hu.un_430 
  0x021a6bad, 0x126410a0, 0x53001904, 0x190b0fa9,   // ceb.tl.da_643 lt.lg.hu_322  gl.ht.un_320 lv.es.gl_544 
  // [b010]
  0x19051108, 0x442310af, 0x1b3130ad, 0x201009ee,   // ro.fr.gl_443 be.ky.kk_655  uz.az.tr_643 pl.lt.sq_422 
  0x25551104, 0x640410a0, 0x64033fec, 0x6b1a2aa9,   // ro.rw.eu_332 lt.fi.lg_322  af.nl.lg_644 mt.tl.ceb_544 
  0x02005605, 0x7302080c, 0x306428ec, 0x0a042f12,   // mg.da.un_330 no.da.ny_543  sw.lg.uz_644 su.fi.pt_654 
  0x04303511, 0x231228a0, 0x1b531f07, 0x01033f11,   // tg.uz.ru_653 sw.hu.ca_322  cy.ht.tr_432 af.nl.en_653 
  // [b020]
  0x1c201e11, 0x551a6bee, 0x301023a9, 0x0802270d,   // ms.sq.id_653 ceb.tl.rw_422  ky.be.uz_544 gd.da.no_554 
  0x25001c02, 0x281e37a7, 0x2a6407af, 0x0e071107,   // id.eu.un_220 st.ms.sw_532  it.lg.mt_655 ro.it.is_432 
  0x08000418, 0x35000a14, 0x25555612, 0x09131c08,   // ru.uk.un_740 mk.tg.un_660  mg.rw.eu_654 mr.bh.hi_443 
  0x187301a0, 0x182821ad, 0x08230413, 0x10000f11,   // en.ny.ga_322 jw.sw.ga_643  ru.ky.uk_665 lv.lt.un_630 
  // [b030]
  0x0f08130c, 0x271873a0, 0x31306b07, 0x080723ec,   // et.no.lv_543 ny.ga.gd_322  ceb.uz.az_432 ky.bg.uk_644 
  0x1b2512a7, 0x202830a0, 0x2027370c, 0x30070a0c,   // hu.eu.tr_532 uz.sw.sq_322  st.gd.sq_543 mk.bg.uz_543 
  0x0c130eac, 0x13530e04, 0x17295655, 0x23080455,   // is.et.sv_632 is.ht.et_332  mg.sl.sr_442 ru.uk.ky_442 
  0x37041312, 0x29563d07, 0x552a3dad, 0x0e003d09,   // et.fi.st_654 ku.mg.sl_432  ku.mt.rw_643 ku.is.un_440 
  // [b040]
  0x3d256b0c, 0x0a291cee, 0x3d1f0312, 0x1e006e07,   // ceb.eu.ku_543 id.sl.pt_422  nl.cy.ku_654 hmn.ms.un_420 
  0x30112a07, 0x05550208, 0x121355a4, 0x19236eee,   // mt.ro.uz_432 da.rw.fr_443  rw.et.hu_433 hmn.ca.gl_422 
  0x05321602, 0x1f006e22, 0x6e301e07, 0x050106a0,   // hr.bs.fr_222 hmn.cy.un_870  ms.uz.hmn_432 de.en.fr_322 
  0x10006e08, 0x070601ad, 0x21001b07, 0x27001818,   // hmn.lt.un_430 en.de.it_643  tr.jw.un_420 ga.gd.un_740 
  // [b050]
  0x3008170c, 0x3f182707, 0x130f04a4, 0x0200200c,   // sr.uk.uz_543 gd.ga.af_432  fi.lv.et_433 sq.da.un_530 
  0x20002f0d, 0x0c081213, 0x08061804, 0x0f136ead,   // su.sq.un_540 hu.no.sv_665  ga.de.no_332 hmn.et.lv_643 
  0x12080c11, 0x061f0ea4, 0x302a2812, 0x1200530e,   // sv.no.hu_653 is.cy.de_433  sw.mt.uz_654 ht.hu.un_550 
  0x080c1a09, 0x17313008, 0x0c21200c, 0x55112aec,   // tl.sv.no_444 uz.az.sr_443  sq.jw.sv_543 mt.ro.rw_644 
  // [b060]
  0x2100531e, 0x27051807, 0x13000520, 0x646b1804,   // ht.jw.un_830 ga.fr.gd_432  fr.et.un_850 ga.ceb.lg_332 
  0x11311baf, 0x20060ca0, 0x083f035a, 0x080e0660,   // tr.az.ro_655 sv.de.sq_322  nl.af.no_553 de.is.no_664 
  0x05001109, 0x2d000604, 0x64730604, 0x1200201a,   // ro.fr.un_440 de.sk.un_320  de.ny.lg_332 sq.hu.un_760 
  0x2806370c, 0x20211205, 0x300120a0, 0x5517180c,   // st.de.sw_543 hu.jw.sq_333  sq.en.uz_322 ga.sr.rw_543 
  // [b070]
  0x12080c60, 0x0c181a08, 0x2f065507, 0x080c200c,   // sv.no.hu_664 tl.ga.sv_443  rw.de.su_432 sq.sv.no_543 
  0x1004170c, 0x132711ee, 0x1a37550c, 0x02133f0c,   // sr.ru.be_543 ro.gd.et_422  rw.st.tl_543 af.et.da_543 
  0x070a1711, 0x301e1c05, 0x10440805, 0x06005519,   // sr.mk.bg_653 id.ms.uz_333  uk.kk.be_333 rw.de.un_750 
  0x06002821, 0x20001f19, 0x170a11ec, 0x041735a4,   // sw.de.un_860 cy.sq.un_750  ro.mk.sr_644 tg.sr.ru_433 
  // [b080]
  0x350411a0, 0x3000040c, 0x31102805, 0x251b31a4,   // ro.ru.tg_322 fi.uz.un_530  sw.lt.az_333 az.tr.eu_433 
  0x2d00291b, 0x326b64a0, 0x1f001602, 0x11233011,   // sl.sk.un_770 lg.ceb.bs_322  hr.cy.un_220 uz.ky.ro_653 
  0x2500642b, 0x2d002a02, 0x3d0e0604, 0x0a2a0c07,   // lg.eu.un_980 mt.sk.un_220  de.is.ku_332 sv.mt.pt_432 
  0x12003d19, 0x10253da4, 0x1e033f07, 0x07042007,   // ku.hu.un_750 ku.eu.lt_433  af.nl.ms_432 sq.fi.it_432 
  // [b090]
  0x0d002918, 0x2f2112ec, 0x06190a08, 0x551a2f08,   // sl.cs.un_740 hu.jw.su_644  pt.gl.de_443 su.tl.rw_443 
  0x19002d04, 0x2b206eee, 0x56003208, 0x0f000707,   // sk.gl.un_320 hmn.sq.vi_422  bs.mg.un_430 it.lv.un_420 
  0x09303113, 0x250407ad, 0x04100809, 0x25002022,   // az.uz.pl_665 it.fi.eu_643  uk.be.ru_444 sq.eu.un_870 
  0x2f1c21a9, 0x012520a7, 0x11006b08, 0x1b002a11,   // jw.id.su_544 sq.eu.en_532  ceb.ro.un_430 mt.tr.un_630 
  // [b0a0]
  0x3f0e0214, 0x2d0d27a0, 0x1f211ca0, 0x0b003009,   // da.is.af_666 gd.cs.sk_322  id.jw.cy_322 uz.es.un_440 
  0x53231807, 0x35080411, 0x2b2718a4, 0x2700180b,   // ga.ca.ht_432 ru.uk.tg_653  ga.gd.vi_433 ga.gd.un_520 
  0x18112704, 0x080219a0, 0x443523a4, 0x08170a14,   // gd.ro.ga_332 gl.da.no_322  ky.tg.kk_433 mk.sr.uk_666 
  0x280756a0, 0x050811a7, 0x11170a0c, 0x06002a12,   // mg.it.sw_322 ro.no.fr_532  mk.sr.ro_543 mt.de.un_640 
  // [b0b0]
  0x1200530c, 0x271101a4, 0x1e061c04, 0x300804a4,   // ht.hu.un_530 en.ro.gd_433  id.de.ms_332 ru.uk.uz_433 
  0x311b060c, 0x0d292d10, 0x192b0aee, 0x2f12100b,   // de.tr.az_543 sk.sl.cs_642  pt.vi.gl_422 lt.hu.su_542 
  0x44001005, 0x2a123f07, 0x081213a0, 0x12001a2a,   // be.kk.un_330 af.hu.mt_432  et.hu.no_322 tl.hu.un_970 
  0x080205ac, 0x0c00011a, 0x2d0e0a0b, 0x1a12560c,   // fr.da.no_632 en.sv.un_760  pt.is.sk_542 mg.hu.tl_543 
  // [b0c0]
  0x0a006b04, 0x2f1a1ea4, 0x536b1a08, 0x1a6b53a9,   // ceb.pt.un_320 ms.tl.su_433  tl.ceb.ht_443 ht.ceb.tl_544 
  0x11351009, 0x20005621, 0x53125612, 0x100208a7,   // be.tg.ro_444 mg.sq.un_860  mg.hu.ht_654 no.da.lt_532 
  0x2b002a02, 0x0a233004, 0x07000408, 0x231156a4,   // mt.vi.un_220 uz.ky.mk_332  ru.bg.un_430 mg.ro.ca_433 
  0x301111af, 0x1e000619, 0x11070a13, 0x1735235a,   // ro.ro.uz_655 de.ms.un_750  mk.bg.ro_665 ky.tg.sr_553 
  // [b0d0]
  0x1c0d09a6, 0x376b1312, 0x12005613, 0x6b3d1b12,   // hi.ne.mr_521 et.ceb.st_654  mg.hu.un_650 tr.ku.ceb_654 
  0x0817040b, 0x73000709, 0x733037a9, 0x1a036407,   // ru.sr.uk_542 it.ny.un_440  st.uz.ny_544 lg.nl.tl_432 
  0x1b190a08, 0x0e2156a7, 0x103d560c, 0x033f1fac,   // pt.gl.tr_443 mg.jw.is_532  mg.ku.lt_543 cy.af.nl_632 
  0x56306ba9, 0x1f1811af, 0x080e3dad, 0x080253a4,   // ceb.uz.mg_544 ro.ga.cy_655  ku.is.no_643 ht.da.no_433 
  // [b0e0]
  0x1f0f1112, 0x02060807, 0x37736404, 0x3f211007,   // ro.lv.cy_654 no.de.da_432  lg.ny.st_332 lt.jw.af_432 
  0x55033f11, 0x0e00232b, 0x1f0c3d12, 0x64000c07,   // af.nl.rw_653 ca.is.un_980  ku.sv.cy_654 sv.lg.un_420 
  0x3d002521, 0x3f311aad, 0x0900300c, 0x2864730c,   // eu.ku.un_860 tl.az.af_643  uz.pl.un_530 ny.lg.sw_543 
  0x3053010c, 0x090627ec, 0x11051b5a, 0x306b73a0,   // en.ht.uz_543 gd.de.pl_644  tr.fr.ro_553 ny.ceb.uz_322 
  // [b0f0]
  0x30315313, 0x64005307, 0x21000502, 0x1807110d,   // ht.az.uz_665 ht.lg.un_420  fr.jw.un_220 ro.it.ga_554 
  0x2f1c21ee, 0x2d090107, 0x20072313, 0x25233708,   // jw.id.su_422 en.pl.sk_432  ca.it.sq_665 st.ca.eu_443 
  0x3d000620, 0x190a29a9, 0x28186ba7, 0x161a3007,   // de.ku.un_850 sl.pt.gl_544  ceb.ga.sw_532 uz.tl.hr_432 
  0x060c27a4, 0x53053d09, 0x53041012, 0x1f090d0c,   // gd.sv.de_433 ku.fr.ht_444  lt.fi.ht_654 cs.pl.cy_543 
  // [b100]
  0x3f3d0314, 0x1b001312, 0x033f04a6, 0x732528af,   // nl.ku.af_666 et.tr.un_640  fi.af.nl_521 sw.eu.ny_655 
  0x3d111b60, 0x18270608, 0x1c2f21a6, 0x1f0601ec,   // tr.ro.ku_664 de.gd.ga_443  jw.su.id_521 en.de.cy_644 
  0x3f030611, 0x13033f0b, 0x042344a0, 0x1a5553ad,   // de.nl.af_653 af.nl.et_542  kk.ky.ru_322 ht.rw.tl_643 
  0x21091f07, 0x53000a02, 0x2a1f0111, 0x642f21a0,   // cy.pl.jw_432 pt.ht.un_220  en.cy.mt_653 jw.su.lg_322 
  // [b110]
  0x2a001f0c, 0x091f2aa0, 0x033f530c, 0x0e2d0d55,   // cy.mt.un_530 mt.cy.pl_322  ht.af.nl_543 cs.sk.is_442 
  0x1f005307, 0x2b1c01ee, 0x53190b02, 0x1f00092a,   // ht.cy.un_420 en.id.vi_422  es.gl.ht_222 pl.cy.un_970 
  0x2b00730b, 0x2a091f0c, 0x053f0312, 0x0a301007,   // ny.vi.un_520 cy.pl.mt_543  nl.af.fr_654 be.uz.mk_432 
  0x53033f55, 0x070d1ba0, 0x203703a4, 0x1b00730c,   // af.nl.ht_442 tr.cs.it_322  nl.st.sq_433 ny.tr.un_530 
  // [b120]
  0x567328ad, 0x10320dee, 0x64287312, 0x052755a0,   // sw.ny.mg_643 cs.bs.lt_422  ny.sw.lg_654 rw.gd.fr_322 
  0x281a6b13, 0x6b002f1b, 0x641b730c, 0x07033f0c,   // ceb.tl.sw_665 su.ceb.un_770  ny.tr.lg_543 af.nl.it_543 
  0x1704100d, 0x0700170b, 0x321f07ad, 0x0b0a11ec,   // be.ru.sr_554 sr.bg.un_520  it.cy.bs_643 ro.pt.es_644 
  0x23016ba0, 0x28012f04, 0x64551b02, 0x64735504,   // ceb.en.ca_322 su.en.sw_332  tr.rw.lg_222 rw.ny.lg_332 
  // [b130]
  0x28200407, 0x12052f07, 0x11070111, 0x0d192dee,   // fi.sq.sw_432 su.fr.hu_432  en.it.ro_653 sk.gl.cs_422 
  0x37002521, 0x257356af, 0x06040cec, 0x736456af,   // eu.st.un_860 mg.ny.eu_655  sv.fi.de_644 mg.lg.ny_655 
  0x11003d0d, 0x64285612, 0x2a1806ee, 0x2f1c040c,   // ku.ro.un_540 mg.sw.lg_654  de.ga.mt_422 fi.id.su_543 
  0x5564370e, 0x2a070512, 0x05192f02, 0x211a1ea4,   // st.lg.rw_555 fr.it.mt_654  su.gl.fr_222 ms.tl.jw_433 
  // [b140]
  0x051f0713, 0x281a56a9, 0x37005608, 0x55283711,   // it.cy.fr_665 mg.tl.sw_544  mg.st.un_430 st.sw.rw_653 
  0x1e1c3da4, 0x08182712, 0x551a3da4, 0x11271808,   // ku.id.ms_433 gd.ga.no_654  ku.tl.rw_433 ga.gd.ro_443 
  0x132811a4, 0x216b5507, 0x0a37640d, 0x6b31550c,   // ro.sw.et_433 rw.ceb.jw_432  lg.st.pt_554 rw.az.ceb_543 
  0x3d2a300c, 0x04000b05, 0x13002707, 0x5300280d,   // uz.mt.ku_543 es.fi.un_330  gd.et.un_420 sw.ht.un_540 
  // [b150]
  0x311a5555, 0x13563d05, 0x1c1a2fa4, 0x211a2807,   // rw.tl.az_442 ku.mg.et_333  su.tl.id_433 sw.tl.jw_432 
  0x281a5609, 0x32006402, 0x0c001809, 0x0804075a,   // mg.tl.sw_444 lg.bs.un_220  ga.sv.un_440 bg.ru.uk_553 
  0x561a6b08, 0x041a6bee, 0x19230aa7, 0x110118a7,   // ceb.tl.mg_443 ceb.tl.fi_422  pt.ca.gl_532 ga.en.ro_532 
  0x05130808, 0x170a08ec, 0x732f21a0, 0x18080cad,   // no.et.fr_443 uk.mk.sr_644  jw.su.ny_322 sv.no.ga_643 
  // [b160]
  0x050a0ba0, 0x040a35ee, 0x13000e07, 0x050b0a05,   // es.pt.fr_322 tg.mk.ru_422  is.et.un_420 pt.es.fr_333 
  0x6b1e1c0c, 0x281a300c, 0x301229ec, 0x131b0c0d,   // id.ms.ceb_543 uz.tl.sw_543  sl.hu.uz_644 sv.tr.et_554 
  0x08231107, 0x07041755, 0x35000712, 0x0700200c,   // ro.ky.uk_432 sr.ru.bg_442  bg.tg.un_640 sq.it.un_530 
  0x10006408, 0x030e0804, 0x230810a0, 0x190b64ac,   // lg.lt.un_430 no.is.nl_332  be.uk.ky_322 lg.es.gl_632 
  // [b170]
  0x1b00121b, 0x311b12ec, 0x2000251b, 0x6e0b3d05,   // hu.tr.un_770 hu.tr.az_644  eu.sq.un_770 ku.es.hmn_333 
  0x205653ec, 0x061b12ad, 0x73290914, 0x0c0821a0,   // ht.mg.sq_644 hu.tr.de_643  pl.sl.ny_666 jw.no.sv_322 
  0x080420ee, 0x35080404, 0x07043008, 0x1c0e30ee,   // sq.fi.no_422 ru.uk.tg_332  uz.ru.bg_443 uz.is.id_422 
  0x311b1211, 0x012a2007, 0x3216300e, 0x44040811,   // hu.tr.az_653 sq.mt.en_432  uz.hr.bs_555 uk.ru.kk_653 
  // [b180]
  0x070830a4, 0x53311ea0, 0x0d00200c, 0x0b002904,   // uz.uk.bg_433 ms.az.ht_322  sq.cs.un_530 sl.es.un_320 
  0x12321655, 0x64006b13, 0x73000919, 0x1a6b64ad,   // hr.bs.hu_442 ceb.lg.un_650  pl.ny.un_750 lg.ceb.tl_643 
  0x290820ee, 0x1b042012, 0x19001808, 0x08201608,   // sq.no.sl_422 sq.fi.tr_654  ga.gl.un_430 hr.sq.no_443 
  0x201e0405, 0x736b1aad, 0x1a6b64ec, 0x35004423,   // fi.ms.sq_333 tl.ceb.ny_643  lg.ceb.tl_644 kk.tg.un_880 
  // [b190]
  0x2800641a, 0x3f001302, 0x1a00640c, 0x353017a0,   // lg.sw.un_760 et.af.un_220  lg.tl.un_530 sr.uz.tg_322 
  0x313f01a0, 0x08172307, 0x04300707, 0x73002811,   // en.af.az_322 ky.sr.uk_432  bg.uz.ru_432 sw.ny.un_630 
  0x182112a7, 0x0a0423a4, 0x1b003005, 0x13000420,   // ur.fa.ar_532 ky.ru.mk_433  uz.tr.un_330 fi.et.un_850 
  0x2f002013, 0x0a17100d, 0x32290d55, 0x0823300c,   // sq.su.un_650 be.sr.mk_554  cs.sl.bs_442 uz.ky.uk_543 
  // [b1a0]
  0x06250c05, 0x301208ec, 0x17111114, 0x0e202a0d,   // sv.eu.de_333 no.hu.uz_644  ro.ro.sr_666 mt.sq.is_554 
  0x07000a36, 0x0e200c07, 0x0d042d0c, 0x230701a9,   // mk.bg.un_AA0 sv.sq.is_432  sk.fi.cs_543 en.it.ca_544 
  0x25001c07, 0x13002505, 0x3111300c, 0x0a2f1908,   // id.eu.un_420 eu.et.un_330  uz.ro.az_543 gl.su.pt_443 
  0x190b2fec, 0x18001708, 0x30033f12, 0x1100290d,   // su.es.gl_644 sr.ga.un_430  af.nl.uz_654 sl.ro.un_540 
  // [b1b0]
  0x160d29ad, 0x1b2330ee, 0x53002707, 0x350a17ee,   // sl.cs.hr_643 uz.ca.tr_422  gd.ht.un_420 sr.mk.tg_422 
  0x233035a7, 0x0d001907, 0x13002314, 0x1c2903a0,   // tg.uz.ky_532 gl.cs.un_420  ca.et.un_660 nl.sl.id_322 
  0x3f000202, 0x12200107, 0x04292da4, 0x273f53a0,   // da.af.un_220 en.sq.hu_432  sk.sl.fi_433 ht.af.gd_322 
  0x53321609, 0x371e1c12, 0x643d0f09, 0x2f3f19a0,   // hr.bs.ht_444 id.ms.st_654  lv.ku.lg_444 gl.af.su_322 
  // [b1c0]
  0x56002013, 0x73272907, 0x062a6e12, 0x061e1bee,   // sq.mg.un_650 sl.gd.ny_432  hmn.mt.de_654 tr.ms.de_422 
  0x10001f0c, 0x27006b07, 0x2a12080b, 0x2d1819a0,   // cy.lt.un_530 ceb.gd.un_420  no.hu.mt_542 gl.ga.sk_322 
  0x06001607, 0x28121fec, 0x1b006405, 0x1f25190c,   // hr.de.un_420 cy.hu.sw_644  lg.tr.un_330 gl.eu.cy_543 
  0x01032a02, 0x21251fad, 0x04080a11, 0x0f000702,   // mt.nl.en_222 cy.eu.jw_643  mk.uk.ru_653 it.lv.un_220 
  // [b1d0]
  0x0b05010c, 0x060e05ee, 0x19001c04, 0x06003d21,   // en.fr.es_543 fr.is.de_422  id.gl.un_320 ku.de.un_860 
  0x02040807, 0x35001005, 0x21376408, 0x17090da7,   // no.fi.da_432 be.tg.un_330  lg.st.jw_443 cs.pl.sr_532 
  0x17200907, 0x25003205, 0x13002a0e, 0x0c252a04,   // pl.sq.sr_432 bs.eu.un_330  mt.et.un_550 mt.eu.sv_332 
  0x44351007, 0x21000a07, 0x1f001b13, 0x2a080ca9,   // be.tg.kk_432 pt.jw.un_420  tr.cy.un_650 sv.no.mt_544 
  // [b1e0]
  0x3f010310, 0x21031f04, 0x1e006b07, 0x031f0dac,   // nl.en.af_642 cy.nl.jw_332  ceb.ms.un_420 cs.cy.nl_632 
  0x076b0a04, 0x3217290c, 0x1a002a04, 0x1b0f1008,   // pt.ceb.it_332 sl.sr.bs_543  mt.tl.un_320 lt.lv.tr_443 
  0x2100030c, 0x083f0ca4, 0x1e253004, 0x2d001b08,   // nl.jw.un_530 sv.af.no_433  uz.eu.ms_332 tr.sk.un_430 
  0x0c022d12, 0x0a100407, 0x29321708, 0x102f0408,   // sk.da.sv_654 fi.lt.pt_432  sr.bs.sl_443 fi.su.lt_443 
  // [b1f0]
  0x043010ee, 0x3f001212, 0x56000d08, 0x37000411,   // be.uz.ru_422 hu.af.un_640  cs.mg.un_430 fi.st.un_630 
  0x07083002, 0x131004a4, 0x120208a0, 0x1f287313,   // uz.uk.bg_222 fi.lt.et_433  no.da.hu_322 ny.sw.cy_665 
  0x20041007, 0x2f0f1007, 0x0408230b, 0x531855ad,   // lt.fi.sq_432 lt.lv.su_432  ky.uk.ru_542 rw.ga.ht_643 
  0x20000b04, 0x0a001e0c, 0x1710040c, 0x13003f0d,   // es.sq.un_320 ms.pt.un_530  ru.be.sr_543 af.et.un_540 
  // [b200]
  0x12530504, 0x20042d07, 0x2010040c, 0x1719640c,   // fr.ht.hu_332 sk.fi.sq_432  fi.lt.sq_543 lg.gl.sr_543 
  0x083523ee, 0x040f2d07, 0x30000314, 0x017328ac,   // ky.tg.uk_422 sk.lv.fi_432  nl.uz.un_660 sw.ny.en_632 
  0x0429200e, 0x17081012, 0x201304a4, 0x113106a0,   // sq.sl.fi_555 be.uk.sr_654  fi.et.sq_433 de.az.ro_322 
  0x53180ba0, 0x2500560d, 0x20002512, 0x136e2512,   // es.ga.ht_322 mg.eu.un_540  eu.sq.un_640 eu.hmn.et_654 
  // [b210]
  0x111e1912, 0x16172da4, 0x0c0801ee, 0x3d000d1a,   // gl.ms.ro_654 sk.sr.hr_433  en.no.sv_422 cs.ku.un_760 
  0x110307a4, 0x0600031b, 0x10002309, 0x53170da0,   // it.nl.ro_433 nl.de.un_770  ky.be.un_440 cs.sr.ht_322 
  0x04234460, 0x09105305, 0x061b030c, 0x1f000705,   // kk.ky.ru_664 ht.lt.pl_333  nl.tr.de_543 it.cy.un_330 
  0x55000422, 0x19311b07, 0x1c250455, 0x641b31a0,   // fi.rw.un_870 tr.az.gl_432  fi.eu.id_442 az.tr.lg_322 
  // [b220]
  0x291055a4, 0x531a5607, 0x09001221, 0x2011530c,   // rw.lt.sl_433 mg.tl.ht_432  hu.pl.un_860 ht.ro.sq_543 
  0x0a1c2dee, 0x56007308, 0x03303f04, 0x1b300407,   // sk.id.pt_422 ny.mg.un_430  af.uz.nl_332 fi.uz.tr_432 
  0x64005614, 0x2d290704, 0x0e2f21ad, 0x27000512,   // mg.lg.un_660 it.sl.sk_332  jw.su.is_643 fr.gd.un_640 
  0x12291307, 0x13270602, 0x20000e02, 0x10292faf,   // et.sl.hu_432 de.gd.et_222  is.sq.un_220 su.sl.lt_655 
  // [b230]
  0x2f2118ad, 0x552128a4, 0x2f0c5604, 0x2f5653ec,   // ga.jw.su_643 sw.jw.rw_433  mg.sv.su_332 ht.mg.su_644 
  0x21132f13, 0x022b250c, 0x190b120e, 0x21561ca4,   // su.et.jw_665 eu.vi.da_543  hu.es.gl_555 id.mg.jw_433 
  0x56001e0e, 0x1a2f6ba0, 0x29001012, 0x09203207,   // ms.mg.un_550 ceb.su.tl_322  lt.sl.un_640 bs.sq.pl_432 
  0x130d1c12, 0x0a003514, 0x0613560c, 0x1b303107,   // mr.ne.bh_654 tg.mk.un_660  mg.et.de_543 az.uz.tr_432 
  // [b240]
  0x2b000804, 0x32006b02, 0x171610a0, 0x1825270c,   // no.vi.un_320 ceb.bs.un_220  lt.hr.sr_322 gd.eu.ga_543 
  0x052101ee, 0x3544230d, 0x043d030b, 0x353023a4,   // en.jw.fr_422 ky.kk.tg_554  nl.ku.fi_542 ky.uz.tg_433 
  0x160e6402, 0x281a7314, 0x101a1e0c, 0x326456a4,   // lg.is.hr_222 ny.tl.sw_666  ms.tl.lt_543 mg.lg.bs_433 
  0x122d6ba0, 0x37002121, 0x0a1735ec, 0x6b131aa4,   // ceb.sk.hu_322 jw.st.un_860  tg.sr.mk_644 tl.et.ceb_433 
  // [b250]
  0x6b007314, 0x1e5556a0, 0x6b731aa4, 0x11012307,   // ny.ceb.un_660 mg.rw.ms_322  tl.ny.ceb_433 ca.en.ro_432 
  0x01002105, 0x04131807, 0x05010d07, 0x21252f11,   // jw.en.un_330 ga.et.fi_432  cs.en.fr_432 su.eu.jw_653 
  0x172d29a6, 0x082913a0, 0x56041307, 0x377364a4,   // sl.sk.sr_521 et.sl.no_322  et.fi.mg_432 lg.ny.st_433 
  0x562873a4, 0x12060cac, 0x73131aa4, 0x08001802,   // ny.sw.mg_433 sv.de.hu_632  tl.et.ny_433 ga.no.un_220 
  // [b260]
  0x301b3d55, 0x0f001214, 0x11272b0b, 0x28041aa0,   // ku.tr.uz_442 hu.lv.un_660  vi.gd.ro_542 tl.fi.sw_322 
  0x23051fa9, 0x5600530b, 0x0118270c, 0x6b041a04,   // cy.fr.ca_544 ht.mg.un_520  gd.ga.en_543 tl.fi.ceb_332 
  0x280501a4, 0x321610a4, 0x180301ee, 0x1a00560d,   // en.fr.sw_433 lt.hr.bs_433  en.nl.ga_422 mg.tl.un_540 
  0x180111ee, 0x2d2b0907, 0x30031ea9, 0x3d1c1eaf,   // ro.en.ga_422 pl.vi.sk_432  ms.nl.uz_544 ms.id.ku_655 
  // [b270]
  0x01112da4, 0x1b00041b, 0x7327300c, 0x551f300c,   // sk.ro.en_433 fi.tr.un_770  uz.gd.ny_543 uz.cy.rw_543 
  0x302025a4, 0x2f211a0d, 0x1e00531a, 0x53370107,   // eu.sq.uz_433 tl.jw.su_554  ht.ms.un_760 en.st.ht_432 
  0x1f0627a4, 0x64002a07, 0x010373a0, 0x04072a04,   // gd.de.cy_433 mt.lg.un_420  ny.nl.en_322 mt.it.fi_332 
  0x18002822, 0x2a000711, 0x043756ac, 0x090a0ba0,   // sw.ga.un_870 it.mt.un_630  mg.st.fi_632 es.pt.pl_322 
  // [b280]
  0x05110f0c, 0x01002a0d, 0x310e01a0, 0x0c5604ee,   // lv.ro.fr_543 mt.en.un_540  en.is.az_322 fi.mg.sv_422 
  0x2f215608, 0x10040802, 0x1a536b07, 0x120a07a0,   // mg.jw.su_443 uk.ru.be_222  ceb.ht.tl_432 it.pt.hu_322 
  0x281e73a4, 0x01003002, 0x73300112, 0x290701a0,   // ny.ms.sw_433 uz.en.un_220  en.uz.ny_654 en.it.sl_322 
  0x0c3f0304, 0x30070107, 0x09006e0e, 0x01182fa4,   // nl.af.sv_332 en.it.uz_432  hmn.pl.un_550 su.ga.en_433 
  // [b290]
  0x2b3018a9, 0x017306a0, 0x04004407, 0x0e2d2a07,   // ga.uz.vi_544 de.ny.en_322  kk.ru.un_420 mt.sk.is_432 
  0x063f2705, 0x0a070ba4, 0x033f0cee, 0x3f0325ad,   // gd.af.de_333 es.it.pt_433  sv.af.nl_422 eu.nl.af_643 
  0x0100061a, 0x17041060, 0x03002f0c, 0x1e3f035a,   // de.en.un_760 be.ru.sr_664  su.nl.un_530 nl.af.ms_553 
  0x0e083fa4, 0x29001107, 0x1e1c1a0c, 0x053f03a4,   // af.no.is_433 ro.sl.un_420  tl.id.ms_543 nl.af.fr_433 
  // [b2a0]
  0x19070b60, 0x103035ee, 0x20557307, 0x16007307,   // es.it.gl_664 tg.uz.be_422  ny.rw.sq_432 ny.hr.un_420 
  0x3f0106a0, 0x556473ec, 0x3f30030c, 0x0403270b,   // de.en.af_322 ny.lg.rw_644  nl.uz.af_543 gd.nl.fi_542 
  0x0200111b, 0x11305608, 0x190b28a4, 0x30350a04,   // ro.da.un_770 mg.uz.ro_443  sw.es.gl_433 mk.tg.uz_332 
  0x11030707, 0x3f001c02, 0x1800060c, 0x0c00090d,   // it.nl.ro_432 id.af.un_220  de.ga.un_530 pl.sv.un_540 
  // [b2b0]
  0x31002008, 0x2d1629a4, 0x280955a4, 0x562855ad,   // sq.az.un_430 sl.hr.sk_433  rw.pl.sw_433 rw.sw.mg_643 
  0x211329a0, 0x17000a18, 0x321713ee, 0x07033f07,   // sl.et.jw_322 mk.sr.un_740  et.sr.bs_422 af.nl.it_432 
  0x32000307, 0x31000b02, 0x133f0355, 0x131c0907,   // nl.bs.un_420 es.az.un_220  nl.af.et_442 hi.mr.bh_432 
  0x303119a0, 0x12060812, 0x3000060b, 0x231011a4,   // gl.az.uz_322 no.de.hu_654  de.uz.un_520 ro.be.ky_433 
  // [b2c0]
  0x1b020812, 0x3f130904, 0x050601a9, 0x550820ee,   // no.da.tr_654 pl.et.af_332  en.de.fr_544 sq.no.rw_422 
  0x32313008, 0x30350407, 0x04171011, 0x2a102505,   // uz.az.bs_443 ru.tg.uz_432  be.sr.ru_653 eu.lt.mt_333 
  0x04001b13, 0x28211eee, 0x37002809, 0x1b1c28a0,   // tr.fi.un_650 ms.jw.sw_422  sw.st.un_440 sw.id.tr_322 
  0x0e203f07, 0x03006407, 0x377301af, 0x2a000807,   // af.sq.is_432 lg.nl.un_420  en.ny.st_655 no.mt.un_420 
  // [b2d0]
  0x28001a05, 0x01133f07, 0x0800200d, 0x04300855,   // tl.sw.un_330 af.et.en_432  sq.no.un_540 uk.uz.ru_442 
  0x0a352355, 0x23002b08, 0x321716ac, 0x1600280b,   // ky.tg.mk_442 vi.ca.un_430  hr.sr.bs_632 sw.hr.un_520 
  0x06001a0b, 0x066b13a9, 0x21110fa0, 0x23001f0e,   // tl.de.un_520 et.ceb.de_544  lv.ro.jw_322 cy.ca.un_550 
  0x16005602, 0x04000911, 0x1a64280c, 0x19250b55,   // mg.hr.un_220 pl.fi.un_630  sw.lg.tl_543 es.eu.gl_442 
  // [b2e0]
  0x3f100c0b, 0x3f0320a4, 0x0f0308ee, 0x100d2d12,   // sv.lt.af_542 sq.nl.af_433  no.nl.lv_422 sk.cs.lt_654 
  0x1f1827a0, 0x0400100b, 0x0e0c080c, 0x6b1a28a0,   // gd.ga.cy_322 lt.fi.un_520  no.sv.is_543 sw.tl.ceb_322 
  0x0744230d, 0x1123440d, 0x0400230e, 0x7323070c,   // ky.kk.bg_554 kk.ky.ro_554  ky.ru.un_550 it.ca.ny_543 
  0x0a0711a7, 0x233755af, 0x1b3012af, 0x1b002f07,   // ro.bg.mk_532 rw.st.ca_655  hu.uz.tr_655 su.tr.un_420 
  // [b2f0]
  0x30311013, 0x12001820, 0x191755ac, 0x11006413,   // lt.az.uz_665 ar.ur.un_850  rw.sr.gl_632 lg.ro.un_650 
  0x19000721, 0x321353a0, 0x040c2dee, 0x211c6ea7,   // it.gl.un_860 ht.et.bs_322  sk.sv.fi_422 hmn.id.jw_532 
  0x13002513, 0x0c060e09, 0x350a11a6, 0x193728a4,   // eu.et.un_650 is.de.sv_444  ro.mk.tg_521 sw.st.gl_433 
  0x04003034, 0x181e1c0c, 0x370d530c, 0x181304a9,   // uz.fi.un_A80 id.ms.ga_543  ht.cs.st_543 fi.et.ga_544 
  // [b300]
  0x2a6b1aec, 0x645511ee, 0x182927a0, 0x3f03230c,   // tl.ceb.mt_644 ro.rw.lg_422  gd.sl.ga_322 ca.nl.af_543 
  0x321b3104, 0x3d001f0d, 0x196e0aad, 0x093d2512,   // az.tr.bs_332 cy.ku.un_540  pt.hmn.gl_643 eu.ku.pl_654 
  0x251155a4, 0x100f31a7, 0x2a00300d, 0x020108ad,   // rw.ro.eu_433 az.lv.lt_532  uz.mt.un_540 no.en.da_643 
  0x12000318, 0x03172a07, 0x115320a9, 0x233d1911,   // nl.hu.un_740 mt.sr.nl_432  sq.ht.ro_544 gl.ku.ca_653 
  // [b310]
  0x2810640c, 0x0300041b, 0x1208020d, 0x1c0a6e08,   // lg.lt.sw_543 fi.nl.un_770  da.no.hu_554 hmn.pt.id_443 
  0x09532aa4, 0x063f03af, 0x27180a13, 0x0a0401a4,   // mt.ht.pl_433 nl.af.de_655  pt.ga.gd_665 en.fi.pt_433 
  0x111a04a4, 0x56375504, 0x0a186ea0, 0x133037ee,   // fi.tl.ro_433 rw.st.mg_332  hmn.ga.pt_322 st.uz.et_422 
  0x16002a08, 0x37735555, 0x21001234, 0x123f030d,   // mt.hr.un_430 rw.ny.st_442  ur.fa.un_A80 nl.af.hu_554 
  // [b320]
  0x0c3725a0, 0x1a2f21a9, 0x17311ba0, 0x37555607,   // eu.st.sv_322 jw.su.tl_544  tr.az.sr_322 mg.rw.st_432 
  0x55002a0e, 0x28311b13, 0x3d6b1a09, 0x1e230ba9,   // mt.rw.un_550 tr.az.sw_665  tl.ceb.ku_444 es.ca.ms_544 
  0x283d0dec, 0x6b190b09, 0x1a2f21ec, 0x17103512,   // cs.ku.sw_644 es.gl.ceb_444  jw.su.tl_644 tg.be.sr_654 
  0x37732814, 0x131a280c, 0x0e191012, 0x6b5564ec,   // sw.ny.st_666 sw.tl.et_543  lt.gl.is_654 lg.rw.ceb_644 
  // [b330]
  0x560f04ec, 0x565537ec, 0x1a2801a0, 0x181b31a7,   // fi.lv.mg_644 st.rw.mg_644  en.sw.tl_322 az.tr.ga_532 
  0x551356a4, 0x25072704, 0x06020c55, 0x04301355,   // mg.et.rw_433 gd.it.eu_332  sv.da.de_442 et.uz.fi_442 
  0x642925a0, 0x216b1aec, 0x28001b09, 0x275564ec,   // eu.sl.lg_322 tl.ceb.jw_644  tr.sw.un_440 lg.rw.gd_644 
  0x1a3055a0, 0x27115509, 0x2a073007, 0x102f0107,   // rw.uz.tl_322 rw.ro.gd_444  uz.it.mt_432 en.su.lt_432 
  // [b340]
  0x100f1aa0, 0x19090aaf, 0x050d1905, 0x30181ca4,   // tl.lv.lt_322 pt.pl.gl_655  gl.cs.fr_333 id.ga.uz_433 
  0x1a732155, 0x736b1a0c, 0x2809550b, 0x03020ca0,   // jw.ny.tl_442 tl.ceb.ny_543  rw.pl.sw_542 sv.da.nl_322 
  0x10002119, 0x13091c11, 0x310e0cee, 0x2d1918a7,   // jw.lt.un_750 mr.hi.bh_653  sv.is.az_422 ga.gl.sk_532 
  0x040a17ad, 0x091b0ea0, 0x53003002, 0x6412230c,   // sr.mk.ru_643 is.tr.pl_322  uz.ht.un_220 ca.hu.lg_543 
  // [b350]
  0x0c290f0c, 0x175621a7, 0x100a17a0, 0x2b000802,   // lv.sl.sv_543 jw.mg.sr_532  sr.mk.be_322 no.vi.un_220 
  0x04231704, 0x56211a04, 0x53001b08, 0x0e002b19,   // sr.ky.ru_332 tl.jw.mg_332  tr.ht.un_430 vi.is.un_750 
  0x1f002312, 0x08002905, 0x30080208, 0x2f1312a9,   // ca.cy.un_640 sl.no.un_330  da.no.uz_443 hu.et.su_544 
  0x21111707, 0x0f312907, 0x561353a4, 0x010e08a4,   // sr.ro.jw_432 sl.az.lv_432  ht.et.mg_433 no.is.en_433 
  // [b360]
  0x0f00170c, 0x5373280b, 0x302320af, 0x64000207,   // sr.lv.un_530 sw.ny.ht_542  sq.ca.uz_655 da.lg.un_420 
  0x311b300e, 0x09212f02, 0x2100372a, 0x12081fad,   // uz.tr.az_555 su.jw.pl_222  st.jw.un_970 cy.no.hu_643 
  0x23000610, 0x03043f5a, 0x110c1fa7, 0x07002f04,   // de.ca.un_620 af.fi.nl_553  cy.sv.ro_532 su.it.un_320 
  0x016b04ee, 0x23300707, 0x3f060f12, 0x29033f0b,   // fi.ceb.en_422 bg.uz.ky_432  lv.de.af_654 af.nl.sl_542 
  // [b370]
  0x28001304, 0x01003f09, 0x08200c07, 0x641325a4,   // et.sw.un_320 af.en.un_440  sv.sq.no_432 eu.et.lg_433 
  0x283f370d, 0x55285611, 0x64312813, 0x1a180107,   // st.af.sw_554 mg.sw.rw_653  sw.az.lg_665 en.ga.tl_432 
  0x271819a9, 0x326428a6, 0x37000e14, 0x130e0b04,   // gl.ga.gd_544 sw.lg.bs_521  is.st.un_660 es.is.et_332 
  0x04002109, 0x0764550c, 0x6b0401a7, 0x37001e09,   // jw.fi.un_440 rw.lg.it_543  en.fi.ceb_532 ms.st.un_440 
  // [b380]
  0x21002905, 0x0f2d10af, 0x190b280c, 0x1e1c2fec,   // sl.jw.un_330 lt.sk.lv_655  sw.es.gl_543 su.id.ms_644 
  0x111b0b02, 0x1e1c30a9, 0x287364ee, 0x03643fa0,   // es.tr.ro_222 uz.id.ms_544  lg.ny.sw_422 af.lg.nl_322 
  0x73000e04, 0x10170404, 0x20001e02, 0x1e000404,   // is.ny.un_320 ru.sr.be_332  ms.sq.un_220 fi.ms.un_320 
  0x09203d04, 0x02003205, 0x211a6b14, 0x23104413,   // ku.sq.pl_332 bs.da.un_330  ceb.tl.jw_666 kk.be.ky_665 
  // [b390]
  0x08130c0c, 0x170a30ee, 0x09000f22, 0x21112f13,   // sv.et.no_543 uz.mk.sr_422  lv.pl.un_870 su.ro.jw_665 
  0x090c2dee, 0x1a0f6402, 0x0e2d19af, 0x010c0207,   // sk.sv.pl_422 lg.lv.tl_222  gl.sk.is_655 da.sv.en_432 
  0x09002304, 0x557364ee, 0x09001121, 0x373f6412,   // ca.pl.un_320 lg.ny.rw_422  ro.pl.un_860 lg.af.st_654 
  0x2801180c, 0x31066b07, 0x641b5505, 0x0f190b07,   // ga.en.sw_543 ceb.de.az_432  rw.tr.lg_333 es.gl.lv_432 
  // [b3a0]
  0x3000101a, 0x25000507, 0x1e1c1ba0, 0x073035a9,   // be.uz.un_760 fr.eu.un_420  tr.id.ms_322 tg.uz.bg_544 
  0x081b0c11, 0x250a280c, 0x0a130707, 0x5537640c,   // sv.tr.no_653 sw.pt.eu_543  it.et.pt_432 lg.st.rw_543 
  0x072305a4, 0x02000d08, 0x212f08ee, 0x053719ad,   // fr.ca.it_433 cs.da.un_430  no.su.jw_422 gl.st.fr_643 
  0x04190a13, 0x28011807, 0x1a6b0111, 0x21001107,   // pt.gl.fi_665 ga.en.sw_432  en.ceb.tl_653 ro.jw.un_420 
  // [b3b0]
  0x05003721, 0x100844a4, 0x080a04ee, 0x100f25a0,   // st.fr.un_860 kk.uk.be_433  ru.mk.uk_422 eu.lv.lt_322 
  0x182704ad, 0x0a060507, 0x23072004, 0x120c2812,   // fi.gd.ga_643 fr.de.pt_432  sq.it.ca_332 sw.sv.hu_654 
  0x304404a4, 0x05000422, 0x130c1b0c, 0x04130ca6,   // ru.kk.uz_433 fi.fr.un_870  tr.sv.et_543 sv.et.fi_521 
  0x28001a21, 0x217328ec, 0x2010530c, 0x232d0a04,   // tl.sw.un_860 sw.ny.jw_644  ht.lt.sq_543 pt.sk.ca_332 
  // [b3c0]
  0x16090dad, 0x64001a22, 0x281a7304, 0x556b3711,   // cs.pl.hr_643 tl.lg.un_870  ny.tl.sw_332 st.ceb.rw_653 
  0x64005602, 0x25562fa0, 0x1200200d, 0x531a6baf,   // mg.lg.un_220 su.mg.eu_322  sq.hu.un_540 ceb.tl.ht_655 
  0x21561e07, 0x21002814, 0x0f13040d, 0x2f0921a4,   // ms.mg.jw_432 sw.jw.un_660  fi.et.lv_554 jw.pl.su_433 
  0x07271808, 0x0a00110e, 0x04006b07, 0x031f27a0,   // ga.gd.it_443 ro.mk.un_550  ceb.fi.un_420 gd.cy.nl_322 
  // [b3d0]
  0x045625ad, 0x252f1309, 0x23001f05, 0x56003204,   // eu.mg.fi_643 et.su.eu_444  cy.ca.un_330 bs.mg.un_320 
  0x2308100d, 0x231117a7, 0x0c120ea7, 0x3f00010d,   // be.uk.ky_554 sr.ro.ky_532  is.hu.sv_532 en.af.un_540 
  0x37101311, 0x06300e0c, 0x18002307, 0x21321604,   // et.lt.st_653 is.uz.de_543  ca.ga.un_420 hr.bs.jw_332 
  0x207355ee, 0x55647309, 0x05000309, 0x051f0702,   // rw.ny.sq_422 ny.lg.rw_444  nl.fr.un_440 it.cy.fr_222 
  // [b3e0]
  0x32171102, 0x17291604, 0x0817350c, 0x0d002007,   // ro.sr.bs_222 hr.sl.sr_332  tg.sr.uk_543 sq.cs.un_420 
  0x05003705, 0x1f1b0e02, 0x37006e08, 0x0444300b,   // st.fr.un_330 is.tr.cy_222  hmn.st.un_430 uz.kk.ru_542 
  0x230e0c12, 0x0c1827a9, 0x07003002, 0x1e253daf,   // sv.is.ca_654 gd.ga.sv_544  uz.bg.un_220 ku.eu.ms_655 
  0x123f03ee, 0x06020304, 0x050409ad, 0x20000c0c,   // nl.af.hu_422 nl.da.de_332  pl.fi.fr_643 sv.sq.un_530 
  // [b3f0]
  0x032b0804, 0x0e002304, 0x18122a04, 0x1a1e0804,   // no.vi.nl_332 ca.is.un_320  mt.hu.ga_332 no.ms.tl_332 
  0x0d642d0c, 0x5600121b, 0x132a12ad, 0x2b005612,   // sk.lg.cs_543 hu.mg.un_770  hu.mt.et_643 mg.vi.un_640 
  0x0e081f0b, 0x033f30a4, 0x56003709, 0x01370da0,   // cy.no.is_542 uz.af.nl_433  st.mg.un_440 cs.st.en_322 
  0x0e080604, 0x11041005, 0x212d05a7, 0x130f04ec,   // de.no.is_332 be.ru.ro_333  fr.sk.jw_532 fi.lv.et_644 
  
  // [b400]
  0x13005602, 0x32552907, 0x08233d07, 0x1b003d21,   // mg.et.un_220 sl.rw.bs_432  ku.ca.no_432 ku.tr.un_860 
  0x012123ee, 0x04001904, 0x0d0301ee, 0x64080ca7,   // ca.jw.en_422 gl.fi.un_320  en.nl.cs_422 sv.no.lg_532 
  0x11005604, 0x01001705, 0x1f00271a, 0x1f003713,   // mg.ro.un_320 sr.en.un_330  gd.cy.un_760 st.cy.un_650 
  0x100f01a4, 0x082d1f07, 0x371e1c09, 0x2f131ea0,   // en.lv.lt_433 cy.sk.no_432  id.ms.st_444 ms.et.su_322 
  // [b410]
  0x35080407, 0x10190a08, 0x12000f04, 0x0d012dee,   // ru.uk.tg_432 pt.gl.lt_443  lv.hu.un_320 sk.en.cs_422 
  0x04121bee, 0x131a0107, 0x070553a4, 0x12172004,   // tr.hu.fi_422 en.tl.et_432  ht.fr.it_433 sq.sr.hu_332 
  0x6b2a0a55, 0x0c007308, 0x27003108, 0x30001013,   // pt.mt.ceb_442 ny.sv.un_430  az.gd.un_430 be.uz.un_650 
  0x18003f07, 0x2d172304, 0x08552da0, 0x44302360,   // af.ga.un_420 ca.sr.sk_332  sk.rw.no_322 ky.uz.kk_664 
  // [b420]
  0x29000a04, 0x6400732c, 0x27001107, 0x08350412,   // pt.sl.un_320 ny.lg.un_990  ro.gd.un_420 ru.tg.uk_654 
  0x73555609, 0x53001a07, 0x733d2805, 0x64732508,   // mg.rw.ny_444 tl.ht.un_420  sw.ku.ny_333 eu.ny.lg_443 
  0x20005307, 0x25645511, 0x104423af, 0x09000c19,   // ht.sq.un_420 rw.lg.eu_653  ky.kk.be_655 sv.pl.un_750 
  0x10080a12, 0x29556412, 0x033f0f07, 0x0500230b,   // mk.uk.be_654 lg.rw.sl_654  lv.af.nl_432 ca.fr.un_520 
  // [b430]
  0x033f10a4, 0x20062f10, 0x3000190d, 0x3f030f02,   // lt.af.nl_433 su.de.sq_642  gl.uz.un_540 lv.nl.af_222 
  0x190b1102, 0x2955730c, 0x100106ee, 0x0c2d0d09,   // ro.es.gl_222 ny.rw.sl_543  de.en.lt_422 cs.sk.sv_444 
  0x23003522, 0x0a071012, 0x550473a7, 0x3713730d,   // tg.ky.un_870 be.bg.mk_654  ny.fi.rw_532 ny.et.st_554 
  0x5556730c, 0x32002a07, 0x202f2155, 0x20133712,   // ny.mg.rw_543 mt.bs.un_420  jw.su.sq_442 st.et.sq_654 
  // [b440]
  0x230435a7, 0x06000418, 0x127328a7, 0x731a1255,   // tg.ru.ky_532 fi.de.un_740  sw.ny.hu_532 hu.tl.ny_442 
  0x13125504, 0x32063f04, 0x103217a6, 0x06045309,   // rw.hu.et_332 af.de.bs_332  sr.bs.lt_521 ht.fi.de_444 
  0x04230805, 0x73251aa4, 0x0a04085a, 0x0a190b11,   // uk.ky.ru_333 tl.eu.ny_433  uk.ru.mk_553 es.gl.pt_653 
  0x0300731a, 0x0d5556a0, 0x10557308, 0x1b033f05,   // ny.nl.un_760 mg.rw.cs_322  ny.rw.lt_443 af.nl.tr_333 
  // [b450]
  0x01040555, 0x10350a13, 0x30732512, 0x73005519,   // fr.fi.en_442 mk.tg.be_665  eu.ny.uz_654 rw.ny.un_750 
  0x031b06a0, 0x55641a08, 0x04190bee, 0x1b001902,   // de.tr.nl_322 tl.lg.rw_443  es.gl.fi_422 gl.tr.un_220 
  0x565573ad, 0x1e271813, 0x731337ec, 0x090711a7,   // ny.rw.mg_643 ga.gd.ms_665  st.et.ny_644 ro.it.pl_532 
  0x3756730c, 0x551225a9, 0x1b060305, 0x31002b04,   // ny.mg.st_543 eu.hu.rw_544  nl.de.tr_333 vi.az.un_320 
  // [b460]
  0x093d03ee, 0x0a000505, 0x646b73a0, 0x031b53ad,   // nl.ku.pl_422 fr.pt.un_330  ny.ceb.lg_322 ht.tr.nl_643 
  0x31080205, 0x06031ba4, 0x736b1a0b, 0x041710ee,   // da.no.az_333 tr.nl.de_433  tl.ceb.ny_542 be.sr.ru_422 
  0x06031bee, 0x071811a0, 0x23002014, 0x35070aad,   // tr.nl.de_422 ro.ga.it_322  sq.ca.un_660 mk.bg.tg_643 
  0x35100404, 0x55000c04, 0x181107a0, 0x2b0c3707,   // ru.be.tg_332 sv.rw.un_320  it.ro.ga_322 st.sv.vi_432 
  // [b470]
  0x28642307, 0x01000507, 0x2d250a05, 0x35114408,   // ca.lg.sw_432 fr.en.un_420  pt.eu.sk_333 kk.ro.tg_443 
  0x190b0e05, 0x1e1c13ee, 0x16002f07, 0x0807170c,   // is.es.gl_333 et.id.ms_422  su.hr.un_420 sr.bg.uk_543 
  0x080e2aec, 0x1b000b05, 0x3500110c, 0x080c01a0,   // mt.is.no_644 es.tr.un_330  ro.tg.un_530 en.sv.no_322 
  0x21001e0c, 0x013f03ad, 0x300717ee, 0x2a080e07,   // ms.jw.un_530 nl.af.en_643  sr.bg.uz_422 is.no.mt_432 
  // [b480]
  0x0e030ca7, 0x1e2f1cec, 0x13080260, 0x0a1e0113,   // sv.nl.is_532 id.su.ms_644  da.no.et_664 en.ms.pt_665 
  0x08441704, 0x016b08a0, 0x290d17a9, 0x56001907,   // sr.kk.uk_332 no.ceb.en_322  sr.cs.sl_544 gl.mg.un_420 
  0x3f000e14, 0x6e016b04, 0x6b0a01ac, 0x0d091c04,   // is.af.un_660 ceb.en.hmn_332  en.pt.ceb_632 mr.hi.ne_332 
  0x442311a4, 0x27080e04, 0x233101a4, 0x13123f07,   // ro.ky.kk_433 is.no.gd_332  en.az.ca_433 af.hu.et_432 
  // [b490]
  0x28202907, 0x181f280c, 0x30287312, 0x35000719,   // sl.sq.sw_432 sw.cy.ga_543  ny.sw.uz_654 bg.tg.un_750 
  0x0c080109, 0x19730b12, 0x031827ec, 0x0f0706a9,   // en.no.sv_444 es.ny.gl_654  gd.ga.nl_644 de.it.lv_544 
  0x13001907, 0x05275307, 0x0d292da4, 0x271903ee,   // gl.et.un_420 ht.gd.fr_432  sk.sl.cs_433 nl.gl.gd_422 
  0x1100060c, 0x08170a07, 0x2a00030b, 0x092d0da4,   // de.ro.un_530 mk.sr.uk_432  nl.mt.un_520 cs.sk.pl_433 
  // [b4a0]
  0x09276404, 0x0903060c, 0x0f2913ee, 0x2d0d06ac,   // lg.gd.pl_332 de.nl.pl_543  et.sl.lv_422 de.cs.sk_632 
  0x1e000908, 0x030928a0, 0x736b1a60, 0x35231704,   // pl.ms.un_430 sw.pl.nl_322  tl.ceb.ny_664 sr.ky.tg_332 
  0x0d2d1213, 0x531a6ba0, 0x287364a4, 0x293707ee,   // hu.sk.cs_665 ceb.tl.ht_322  lg.ny.sw_433 it.st.sl_422 
  0x305637a4, 0x6b001c04, 0x731c30a4, 0x1f0130a4,   // st.mg.uz_433 id.ceb.un_320  uz.id.ny_433 uz.en.cy_433 
  // [b4b0]
  0x0f1c2fa0, 0x211c3004, 0x21551f0c, 0x18003014,   // su.id.lv_322 uz.id.jw_332  cy.rw.jw_543 uz.ga.un_660 
  0x12322804, 0x13001b0e, 0x0b0710a0, 0x13081004,   // sw.bs.hu_332 tr.et.un_550  lt.it.es_322 lt.no.et_332 
  0x250b300c, 0x2800270e, 0x31002308, 0x2d560da4,   // uz.es.eu_543 gd.sw.un_550  ca.az.un_430 cs.mg.sk_433 
  0x230c55a0, 0x100f1704, 0x2a290f12, 0x210964a0,   // rw.sv.ca_322 sr.lv.lt_332  lv.sl.mt_654 lg.pl.jw_322 
  // [b4c0]
  0x073125a9, 0x281b2007, 0x28735613, 0x25120107,   // eu.az.it_544 sq.tr.sw_432  mg.ny.sw_665 en.hu.eu_432 
  0x1c212fa0, 0x37072a08, 0x0c733707, 0x300a0708,   // su.jw.id_322 mt.it.st_443  st.ny.sv_432 bg.mk.uz_443 
  0x310230ee, 0x123031a7, 0x06070413, 0x7316280c,   // uz.da.az_422 az.uz.hu_532  fi.it.de_665 sw.hr.ny_543 
  0x132f5307, 0x64000f19, 0x122f1e02, 0x170744a4,   // ht.su.et_432 lv.lg.un_750  ms.su.hu_222 kk.bg.sr_433 
  // [b4d0]
  0x2f7321ad, 0x0c001102, 0x642f6ba4, 0x6b007308,   // jw.ny.su_643 ro.sv.un_220  ceb.su.lg_433 ny.ceb.un_430 
  0x07000a35, 0x53097355, 0x37275607, 0x09002f0c,   // mk.bg.un_A90 ny.pl.ht_442  mg.gd.st_432 su.pl.un_530 
  0x53217312, 0x646b730c, 0x0a302307, 0x2b30120c,   // ny.jw.ht_654 ny.ceb.lg_543  ky.uz.mk_432 hu.uz.vi_543 
  0x736453ec, 0x0900730e, 0x1900120b, 0x372f56a0,   // ht.lg.ny_644 ny.pl.un_550  hu.gl.un_520 mg.su.st_322 
  // [b4e0]
  0x0e060c04, 0x371f180b, 0x736b09a7, 0x0e060cee,   // sv.de.is_332 ga.cy.st_542  pl.ceb.ny_532 sv.de.is_422 
  0x6b095355, 0x53006b08, 0x37180107, 0x17070aa6,   // ht.pl.ceb_442 ceb.ht.un_430  en.ga.st_432 mk.bg.sr_521 
  0x6e182713, 0x2a531c0c, 0x44302309, 0x1c006b0d,   // gd.ga.hmn_665 id.ht.mt_543  ky.uz.kk_444 ceb.id.un_540 
  0x300c0804, 0x73050107, 0x170711a0, 0x30003120,   // no.sv.uz_332 en.fr.ny_432  ro.bg.sr_322 az.uz.un_850 
  // [b4f0]
  0x043f3da0, 0x212f1a05, 0x19005307, 0x133f1f04,   // ku.af.fi_322 tl.su.jw_333  ht.gl.un_420 cy.af.et_332 
  0x290f1f12, 0x233f2aee, 0x0f0813a0, 0x01003d05,   // cy.lv.sl_654 mt.af.ca_422  et.no.lv_322 ku.en.un_330 
  0x10042807, 0x2f126404, 0x210f10a4, 0x1b3f060c,   // sw.fi.lt_432 lg.hu.su_332  lt.lv.jw_433 de.af.tr_543 
  0x21731ca4, 0x230744ec, 0x0a040811, 0x17001f0c,   // id.ny.jw_433 kk.bg.ky_644  uk.ru.mk_653 cy.sr.un_530 
  // [b500]
  0x1b3113ad, 0x03000622, 0x64211c55, 0x13001e20,   // et.az.tr_643 de.nl.un_870  id.jw.lg_442 ms.et.un_850 
  0x232a1355, 0x111123ec, 0x6b283007, 0x5373090c,   // et.mt.ca_442 ky.ro.ro_644  uz.sw.ceb_432 pl.ny.ht_543 
  0x11100da0, 0x03006e04, 0x0b0a7305, 0x120429a0,   // cs.lt.ro_322 hmn.nl.un_320  ny.pt.es_333 sl.fi.hu_322 
  0x072d0d07, 0x2f122107, 0x2f641b04, 0x3f002304,   // cs.sk.it_432 jw.hu.su_432  tr.lg.su_332 ca.af.un_320 
  // [b510]
  0x2b732708, 0x0a173009, 0x1f001e22, 0x042853af,   // gd.ny.vi_443 uz.sr.mk_444  ms.cy.un_870 ht.sw.fi_655 
  0x21052f09, 0x102518ad, 0x562f050c, 0x2f21190c,   // su.fr.jw_444 ga.eu.lt_643  fr.su.mg_543 gl.jw.su_543 
  0x6b181aee, 0x1e3725ec, 0x1f002522, 0x073035a0,   // tl.ga.ceb_422 eu.st.ms_644  eu.cy.un_870 tg.uz.bg_322 
  0x190f2512, 0x035305ee, 0x30042a0c, 0x3500440c,   // eu.lv.gl_654 fr.ht.nl_422  mt.fi.uz_543 kk.tg.un_530 
  // [b520]
  0x0c003005, 0x2000282b, 0x270f04a0, 0x131f0f0c,   // uz.sv.un_330 sw.sq.un_980  fi.lv.gd_322 lv.cy.et_543 
  0x2f1c2aa0, 0x131804a7, 0x0f0410ee, 0x1f000113,   // mt.id.su_322 fi.ga.et_532  lt.fi.lv_422 en.cy.un_650 
  0x1f04180c, 0x2a0e3da0, 0x012055ad, 0x20305555,   // ga.fi.cy_543 ku.is.mt_322  rw.sq.en_643 rw.uz.sq_442 
  0x09002b14, 0x2000552a, 0x1b043002, 0x033f0e55,   // vi.pl.un_660 rw.sq.un_970  uz.fi.tr_222 is.af.nl_442 
  // [b530]
  0x2a043060, 0x6b2128ee, 0x35234407, 0x7300210e,   // uz.fi.mt_664 sw.jw.ceb_422  kk.ky.tg_432 jw.ny.un_550 
  0x64005304, 0x23002b1a, 0x170708a0, 0x1300230d,   // ht.lg.un_320 vi.ca.un_760  uk.bg.sr_322 ca.et.un_540 
  0x073011a4, 0x0f000508, 0x10000709, 0x08001212,   // ro.uz.bg_433 fr.lv.un_430  it.lt.un_440 hu.no.un_640 
  0x130d0955, 0x28071004, 0x2a000e12, 0x641a06a0,   // hi.ne.bh_442 lt.it.sw_332  is.mt.un_640 de.tl.lg_322 
  // [b540]
  0x05032308, 0x35070455, 0x201f27af, 0x28002133,   // ca.nl.fr_443 ru.bg.tg_442  gd.cy.sq_655 jw.sw.un_A70 
  0x0600040c, 0x2d0d06ee, 0x08101712, 0x0e311ba6,   // fi.de.un_530 de.cs.sk_422  sr.be.uk_654 tr.az.is_521 
  0x32001a07, 0x0604180c, 0x0a1b3d05, 0x07300808,   // tl.bs.un_420 ga.fi.de_543  ku.tr.pt_333 uk.uz.bg_443 
  0x1c000107, 0x04353005, 0x0d2a0e07, 0x443035a9,   // en.id.un_420 uz.tg.ru_333  is.mt.cs_432 tg.uz.kk_544 
  // [b550]
  0x080c06a4, 0x01000202, 0x0a00040b, 0x033f64ee,   // de.sv.no_433 da.en.un_220  ru.mk.un_520 lg.af.nl_422 
  0x210a1ba0, 0x6b013d05, 0x0c3013a7, 0x2a001222,   // tr.pt.jw_322 ku.en.ceb_333  et.uz.sv_532 hu.mt.un_870 
  0x0a173502, 0x0e130804, 0x553f0604, 0x07231104,   // tg.sr.mk_222 no.et.is_332  de.af.rw_332 ro.ky.bg_332 
  0x17291e05, 0x311830af, 0x303523a7, 0x0e2708af,   // ms.sl.sr_333 uz.ga.az_655  ky.tg.uz_532 no.gd.is_655 
  // [b560]
  0x06006b0e, 0x2f10065a, 0x1c281ea9, 0x29001613,   // ceb.de.un_550 de.lt.su_553  ms.sw.id_544 hr.sl.un_650 
  0x180c0eee, 0x0a080709, 0x1c091310, 0x2f2873a9,   // is.sv.ga_422 bg.uk.mk_444  bh.hi.mr_642 ny.sw.su_544 
  0x202f27ee, 0x2d050a55, 0x3f2301ad, 0x1f000a02,   // gd.su.sq_422 pt.fr.sk_442  en.ca.af_643 pt.cy.un_220 
  0x271f1808, 0x6b0c21ad, 0x03253fee, 0x2b2319a0,   // ga.cy.gd_443 jw.sv.ceb_643  af.eu.nl_422 gl.ca.vi_322 
  // [b570]
  0x04130f02, 0x04000322, 0x042f10a7, 0x561364a0,   // lv.et.fi_222 nl.fi.un_870  lt.su.fi_532 lg.et.mg_322 
  0x25210604, 0x0e1806ad, 0x080e300c, 0x321f130c,   // de.jw.eu_332 de.ga.is_643  uz.is.no_543 et.cy.bs_543 
  0x07081705, 0x0a006404, 0x13552ba0, 0x32291605,   // sr.uk.bg_333 lg.pt.un_320  vi.rw.et_322 hr.sl.bs_333 
  0x21552f12, 0x7364110c, 0x731a11a9, 0x290d17a4,   // su.rw.jw_654 ro.lg.ny_543  ro.tl.ny_544 sr.cs.sl_433 
  // [b580]
  0x6b1a110c, 0x12000505, 0x6b731aa9, 0x6473250d,   // ro.tl.ceb_543 fr.hu.un_330  tl.ny.ceb_544 eu.ny.lg_554 
  0x07111113, 0x1c2111a7, 0x211c37a0, 0x2f112108,   // ro.ro.bg_665 ro.jw.id_532  st.id.jw_322 jw.ro.su_443 
  0x082d0c04, 0x3f13040c, 0x117364ec, 0x4400110e,   // sv.sk.no_332 fi.et.af_543  lg.ny.ro_644 ro.kk.un_550 
  0x3f64280d, 0x3125110c, 0x0430100d, 0x1b31110e,   // sw.lg.af_554 ro.eu.az_543  be.uz.ru_554 ro.az.tr_555 
  // [b590]
  0x170723a4, 0x641b31ad, 0x31731107, 0x2a00130c,   // ky.bg.sr_433 az.tr.lg_643  ro.ny.az_432 et.mt.un_530 
  0x311b1112, 0x20326b02, 0x6b111e0c, 0x11003705,   // ro.tr.az_654 ceb.bs.sq_222  ms.ro.ceb_543 st.ro.un_330 
  0x12200204, 0x1c002502, 0x233f01a0, 0x37012307,   // da.sq.hu_332 eu.id.un_220  en.af.ca_322 ca.en.st_432 
  0x04130c0d, 0x0f002a07, 0x170a0855, 0x23441704,   // sv.et.fi_554 mt.lv.un_420  uk.mk.sr_442 sr.kk.ky_332 
  // [b5a0]
  0x08320c07, 0x04080a55, 0x0000192d, 0x03230555,   // sv.bs.no_432 mk.uk.ru_442  gl.un.un_A00 fr.ca.nl_442 
  0x09001112, 0x1f0b180d, 0x201205af, 0x375573a0,   // ro.pl.un_640 ga.es.cy_554  fr.hu.sq_655 ny.rw.st_322 
  0x130520ad, 0x3f0123a7, 0x085507a0, 0x03160ea0,   // sq.fr.et_643 ca.en.af_532  it.rw.no_322 is.hr.nl_322 
  0x230f010c, 0x16170dad, 0x0e270813, 0x0e060c0c,   // en.lv.ca_543 cs.sr.hr_643  no.gd.is_665 sv.de.is_543 
  // [b5b0]
  0x01230f0d, 0x2f556404, 0x071744a7, 0x12132fa6,   // lv.ca.en_554 lg.rw.su_332  kk.sr.bg_532 su.et.hu_521 
  0x030805a0, 0x10132505, 0x1e003704, 0x64042f0c,   // fr.no.nl_322 eu.et.lt_333  st.ms.un_320 su.fi.lg_543 
  0x0a171005, 0x132f2005, 0x252f5502, 0x301b2104,   // be.sr.mk_333 sq.su.et_333  rw.su.eu_222 jw.tr.uz_332 
  0x0c087307, 0x3755640d, 0x0e0827ec, 0x08250e04,   // ny.no.sv_432 lg.rw.st_554  gd.no.is_644 is.eu.no_332 
  // [b5c0]
  0x0c73560b, 0x105525a9, 0x350710a0, 0x0d17290b,   // mg.ny.sv_542 eu.rw.lt_544  be.bg.tg_322 sl.sr.cs_542 
  0x1a316b09, 0x04100f07, 0x2507130c, 0x1701080b,   // ceb.az.tl_444 lv.lt.fi_432  et.it.eu_543 no.en.sr_542 
  0x256b290c, 0x07286b08, 0x062f21ad, 0x04132f0c,   // sl.ceb.eu_543 ceb.sw.it_443  jw.su.de_643 su.et.fi_543 
  0x25106ba4, 0x06211e07, 0x530a1105, 0x0c2f08a6,   // ceb.lt.eu_433 ms.jw.de_432  ro.pt.ht_333 no.su.sv_521 
  // [b5d0]
  0x0e27080c, 0x2f06210d, 0x0e042fa0, 0x2f210609,   // no.gd.is_543 jw.de.su_554  su.fi.is_322 de.jw.su_444 
  0x64121307, 0x09532da4, 0x04231712, 0x3d000e21,   // et.hu.lg_432 sk.ht.pl_433  sr.ky.ru_654 is.ku.un_860 
  0x06003714, 0x040f5605, 0x2a04100c, 0x2f736b04,   // st.de.un_660 mg.lv.fi_333  lt.fi.mt_543 ceb.ny.su_332 
  0x530f0405, 0x252f6b07, 0x1800210b, 0x563d1c07,   // fi.lv.ht_333 ceb.su.eu_432  fa.ar.un_520 id.ku.mg_432 
  // [b5e0]
  0x13042a0d, 0x0e00201b, 0x1e0425ad, 0x03002a09,   // mt.fi.et_554 sq.is.un_770  eu.fi.ms_643 mt.nl.un_440 
  0x0f2853a4, 0x21002f2b, 0x310c02ad, 0x1c121ea0,   // ht.sw.lv_433 su.jw.un_980  da.sv.az_643 ms.hu.id_322 
  0x1a212f08, 0x080229ec, 0x212f065a, 0x2f21060d,   // su.jw.tl_443 sl.da.no_644  de.su.jw_553 de.jw.su_554 
  0x73001308, 0x530304ad, 0x10032aaf, 0x1a001c1a,   // et.ny.un_430 fi.nl.ht_643  mt.nl.lt_655 id.tl.un_760 
  // [b5f0]
  0x1a0430a0, 0x1a5630a9, 0x6b1a1c12, 0x250f370c,   // uz.fi.tl_322 uz.mg.tl_544  id.tl.ceb_654 st.lv.eu_543 
  0x25000f0c, 0x2f1c2108, 0x53281ea0, 0x083155a4,   // lv.eu.un_530 jw.id.su_443  ms.sw.ht_322 rw.az.no_433 
  0x1e212f07, 0x27011804, 0x17160da0, 0x0d001614,   // su.jw.ms_432 ga.en.gd_332  cs.hr.sr_322 hr.cs.un_660 
  0x2b182d07, 0x2512300c, 0x1b123007, 0x11193d55,   // sk.ga.vi_432 uz.hu.eu_543  uz.hu.tr_432 ku.gl.ro_442 
  // [b600]
  0x21092fee, 0x30003123, 0x21107309, 0x1104530c,   // su.pl.jw_422 az.uz.un_880  ny.lt.jw_444 ht.fi.ro_543 
  0x3d303113, 0x0e06035a, 0x0d1b2504, 0x130501ad,   // az.uz.ku_665 nl.de.is_553  eu.tr.cs_332 en.fr.et_643 
  0x3d001122, 0x190b11af, 0x2d0d0b0e, 0x2a003107,   // ro.ku.un_870 ro.es.gl_655  es.cs.sk_555 az.mt.un_420 
  0x01000708, 0x0f00031a, 0x08022fa0, 0x0a082304,   // it.en.un_430 nl.lv.un_760  su.da.no_322 ky.uk.mk_332 
  // [b610]
  0x6b3d2555, 0x132504a7, 0x026b08a9, 0x0223110c,   // eu.ku.ceb_442 fi.eu.et_532  no.ceb.da_544 ro.ca.da_543 
  0x076b01ac, 0x1800110c, 0x101729a0, 0x322910a0,   // en.ceb.it_632 ro.ga.un_530  sl.sr.lt_322 lt.sl.bs_322 
  0x21000519, 0x55530708, 0x1b0f04ad, 0x3f001a05,   // fr.jw.un_750 it.ht.rw_443  fi.lv.tr_643 tl.af.un_330 
  0x051101a4, 0x6b012ba4, 0x23440412, 0x2313250d,   // en.ro.fr_433 vi.en.ceb_433  ru.kk.ky_654 eu.et.ca_554 
  // [b620]
  0x30001909, 0x04371307, 0x0300020e, 0x03126e07,   // gl.uz.un_440 et.st.fi_432  da.nl.un_550 hmn.hu.nl_432 
  0x12180555, 0x0911010c, 0x026b0808, 0x08173508,   // fr.ga.hu_442 en.ro.pl_543  no.ceb.da_443 tg.sr.uk_443 
  0x0d0b18a4, 0x121821a4, 0x35103005, 0x043725a7,   // ga.es.cs_433 fa.ar.ur_433  uz.be.tg_333 eu.st.fi_532 
  0x443530a9, 0x17041008, 0x130e0804, 0x3f060809,   // uz.tg.kk_544 be.ru.sr_443  no.is.et_332 no.de.af_444 
  // [b630]
  0x061308a4, 0x03080ca9, 0x1e283008, 0x300b28a9,   // no.et.de_433 sv.no.nl_544  uz.sw.ms_443 sw.es.uz_544 
  0x56122dad, 0x07001e04, 0x0b0a30a6, 0x0a073d07,   // sk.hu.mg_643 ms.it.un_320  uz.pt.es_521 ku.it.pt_432 
  0x3500232a, 0x071117a4, 0x307353ad, 0x0a103511,   // ky.tg.un_970 sr.ro.bg_433  ht.ny.uz_643 tg.be.mk_653 
  0x73553011, 0x1c062f02, 0x1c19300c, 0x205553a0,   // uz.rw.ny_653 su.de.id_222  uz.gl.id_543 ht.rw.sq_322 
  // [b640]
  0x21281c04, 0x071710a9, 0x190b30a9, 0x1000300d,   // id.sw.jw_332 be.sr.bg_544  uz.es.gl_544 uz.lt.un_540 
  0x0a2f13a4, 0x23001819, 0x170a35a4, 0x292d0f0c,   // et.su.pt_433 ga.ca.un_750  tg.mk.sr_433 lv.sk.sl_543 
  0x1837010c, 0x18007305, 0x3700531b, 0x2f112007,   // en.st.ga_543 ny.ga.un_330  ht.st.un_770 sq.ro.su_432 
  0x103d2a04, 0x3013040c, 0x08040ca4, 0x6b136412,   // mt.ku.lt_332 fi.et.uz_543  sv.fi.no_433 lg.et.ceb_654 
  // [b650]
  0x0a1017ec, 0x0c0e13ac, 0x04000e12, 0x64000708,   // sr.be.mk_644 et.is.sv_632  is.fi.un_640 it.lg.un_430 
  0x040e0805, 0x13080eee, 0x0704560c, 0x07042308,   // no.is.fi_333 is.no.et_422  mg.fi.it_543 ky.ru.bg_443 
  0x190a0702, 0x132d0d02, 0x131220a4, 0x2f13560c,   // it.pt.gl_222 cs.sk.et_222  sq.hu.et_433 mg.et.su_543 
  0x21301c07, 0x3d2f37af, 0x32160d14, 0x0e041308,   // id.uz.jw_432 st.su.ku_655  cs.hr.bs_666 et.fi.is_443 
  // [b660]
  0x55311aa4, 0x29160ca6, 0x130c1012, 0x13005634,   // tl.az.rw_433 sv.hr.sl_521  lt.sv.et_654 mg.et.un_A80 
  0x06020508, 0x132f2a04, 0x2d1356a0, 0x6b2a5504,   // fr.da.de_443 mt.su.et_332  mg.et.sk_322 rw.mt.ceb_332 
  0x0f002d19, 0x2164730c, 0x212025ee, 0x19110a07,   // sk.lv.un_750 ny.lg.jw_543  eu.sq.jw_422 pt.ro.gl_432 
  0x64211c05, 0x301b25ad, 0x6400552c, 0x3500100c,   // id.jw.lg_333 eu.tr.uz_643  rw.lg.un_990 be.tg.un_530 
  // [b670]
  0x10000e21, 0x06032aa0, 0x101c1ea6, 0x1b2513a7,   // is.lt.un_860 mt.nl.de_322  ms.id.lt_521 et.eu.tr_532 
  0x3f0c08a0, 0x0802310c, 0x080c040d, 0x050b070d,   // no.sv.af_322 az.da.no_543  fi.sv.no_554 it.es.fr_554 
  0x35000821, 0x1f1108a4, 0x197325a0, 0x1f0864ee,   // uk.tg.un_860 no.ro.cy_433  eu.ny.gl_322 lg.no.cy_422 
  0x1a002d1a, 0x0b3f01ee, 0x530802a9, 0x07055609,   // sk.tl.un_760 en.af.es_422  da.no.ht_544 mg.fr.it_444 
  // [b680]
  0x0c006e07, 0x55281e04, 0x042718ad, 0x55641b12,   // hmn.sv.un_420 ms.sw.rw_332  ga.gd.fi_643 tr.lg.rw_654 
  0x0e1227a9, 0x01041155, 0x30003529, 0x1c530455,   // gd.hu.is_544 ro.fi.en_442  tg.uz.un_960 fi.ht.id_442 
  0x30443514, 0x53730da0, 0x0f060e07, 0x3008350b,   // tg.kk.uz_666 cs.ny.ht_322  is.de.lv_432 tg.uk.uz_542 
  0x21000508, 0x04181f08, 0x73006421, 0x5304210c,   // fr.jw.un_430 cy.ga.fi_443  lg.ny.un_860 jw.fi.ht_543 
  // [b690]
  0x25000707, 0x0a17440c, 0x290e2d0c, 0x08022905,   // it.eu.un_420 kk.sr.mk_543  sk.is.sl_543 sl.da.no_333 
  0x1f000202, 0x64552aaf, 0x0c133fa0, 0x2d29020e,   // da.cy.un_220 mt.rw.lg_655  af.et.sv_322 da.sl.sk_555 
  0x06250f13, 0x3504300c, 0x271821ad, 0x322a17a0,   // lv.eu.de_665 uz.ru.tg_543  jw.ga.gd_643 sr.mt.bs_322 
  0x1e1c730c, 0x190b0509, 0x110e2f04, 0x5528130b,   // ny.id.ms_543 fr.es.gl_444  su.is.ro_332 et.sw.rw_542 
  // [b6a0]
  0x04130ca0, 0x210c3702, 0x08040302, 0x01282004,   // sv.et.fi_322 st.sv.jw_222  nl.fi.no_222 sq.sw.en_332 
  0x552513a4, 0x1a311ba4, 0x293f2d05, 0x0800230c,   // et.eu.rw_433 tr.az.tl_433  sk.af.sl_333 ky.uk.un_530 
  0x030623a0, 0x0e000311, 0x0e292d13, 0x120e0aa4,   // ca.de.nl_322 nl.is.un_630  sk.sl.is_665 pt.is.hu_433 
  0x17041111, 0x0600092a, 0x06001b22, 0x1200092b,   // ro.ru.sr_653 pl.de.un_970  tr.de.un_870 pl.hu.un_980 
  // [b6b0]
  0x0b0230ad, 0x062b0302, 0x18002129, 0x3f0c1fee,   // uz.da.es_643 nl.vi.de_222  fa.ar.un_960 cy.sv.af_422 
  0x131b1207, 0x25001a0c, 0x04003f0d, 0x3f2503af,   // hu.tr.et_432 tl.eu.un_530  af.fi.un_540 nl.eu.af_655 
  0x0f003208, 0x170a35ee, 0x10253707, 0x061b0807,   // bs.lv.un_430 tg.mk.sr_422  st.eu.lt_432 no.tr.de_432 
  0x07100aa0, 0x273006af, 0x111e1c09, 0x03021f04,   // mk.be.bg_322 de.uz.gd_655  id.ms.ro_444 cy.da.nl_332 
  // [b6c0]
  0x1b315314, 0x120310a0, 0x03001b0b, 0x211b3107,   // ht.az.tr_666 lt.nl.hu_322  tr.nl.un_520 az.tr.jw_432 
  0x081113ad, 0x040e13ad, 0x3f010304, 0x3d0a13ad,   // et.ro.no_643 et.is.fi_643  nl.en.af_332 et.pt.ku_643 
  0x0802310b, 0x1c300c07, 0x3d00040d, 0x062009a4,   // az.da.no_542 sv.uz.id_432  fi.ku.un_540 pl.sq.de_433 
  0x37271804, 0x08131c07, 0x1b0e300c, 0x0e041ea0,   // ga.gd.st_332 id.et.no_432  uz.is.tr_543 ms.fi.is_322 
  // [b6d0]
  0x053f0314, 0x302a1ea9, 0x021a1355, 0x101716ac,   // nl.af.fr_666 ms.mt.uz_544  et.tl.da_442 hr.sr.lt_632 
  0x11000919, 0x01000512, 0x316b0807, 0x1a3d090c,   // pl.ro.un_750 fr.en.un_640  no.ceb.az_432 pl.ku.tl_543 
  0x131104ec, 0x01081307, 0x11110408, 0x64251312,   // fi.ro.et_644 et.no.en_432  ru.ro.ro_443 et.eu.lg_654 
  0x21531ca4, 0x300e0855, 0x110f0404, 0x171606a0,   // id.ht.jw_433 no.is.uz_442  fi.lv.ro_332 de.hr.sr_322 
  // [b6e0]
  0x321753ee, 0x23440407, 0x31005308, 0x2873560c,   // ht.sr.bs_422 ru.kk.ky_432  ht.az.un_430 mg.ny.sw_543 
  0x041707ec, 0x0d00110d, 0x08170aad, 0x0a1735ad,   // bg.sr.ru_644 ro.cs.un_540  mk.sr.uk_643 tg.sr.mk_643 
  0x213710a4, 0x3f005507, 0x2b016bee, 0x55007318,   // lt.st.jw_433 rw.af.un_420  ceb.en.vi_422 ny.rw.un_740 
  0x350a17ec, 0x301e280c, 0x09002a14, 0x300a1705,   // sr.mk.tg_644 sw.ms.uz_543  mt.pl.un_660 sr.mk.uz_333 
  // [b6f0]
  0x23100808, 0x07114411, 0x01072302, 0x0d191810,   // uk.be.ky_443 kk.ro.bg_653  ca.it.en_222 ga.gl.cs_642 
  0x55033f60, 0x071110a9, 0x2d0802a0, 0x0711300b,   // af.nl.rw_664 be.ro.bg_544  da.no.sk_322 uz.ro.bg_542 
  0x37313f07, 0x07030fee, 0x1a2a01a0, 0x04102104,   // af.az.st_432 lv.nl.it_422  en.mt.tl_322 jw.lt.fi_332 
  0x0e1a55ec, 0x110f0307, 0x27000204, 0x555628a9,   // rw.tl.is_644 nl.lv.ro_432  da.gd.un_320 sw.mg.rw_544 
  // [b700]
  0x122903a0, 0x131e1c0c, 0x100428a4, 0x083035ee,   // nl.sl.hu_322 id.ms.et_543  sw.fi.lt_433 tg.uz.uk_422 
  0x1c5523a4, 0x08020da9, 0x042d0faf, 0x251a01af,   // ca.rw.id_433 cs.da.no_544  lv.sk.fi_655 en.tl.eu_655 
  0x28271804, 0x3d2118a0, 0x733028a4, 0x0b11235a,   // ga.gd.sw_332 ga.jw.ku_322  sw.uz.ny_433 ca.ro.es_553 
  0x2a0413a7, 0x212a2fa0, 0x04552fee, 0x060c20a4,   // et.fi.mt_532 su.mt.jw_322  su.rw.fi_422 sq.sv.de_433 
  // [b710]
  0x2025115a, 0x55736409, 0x111035a4, 0x13071007,   // ro.eu.sq_553 lg.ny.rw_444  tg.be.ro_433 lt.it.et_432 
  0x231301a0, 0x252f23a4, 0x273018a0, 0x23040aa0,   // en.et.ca_322 ca.su.eu_433  ga.uz.gd_322 pt.fi.ca_322 
  0x1b531c04, 0x1f0c08a7, 0x28042da0, 0x3f051312,   // id.ht.tr_332 no.sv.cy_532  sk.fi.sw_322 et.fr.af_654 
  0x28040aa4, 0x041329ad, 0x2a0609ad, 0x0c3f0313,   // pt.fi.sw_433 sl.et.fi_643  pl.de.mt_643 nl.af.sv_665 
  // [b720]
  0x2d001f08, 0x185323a0, 0x20003d22, 0x3f092a12,   // cy.sk.un_430 ca.ht.ga_322  ku.sq.un_870 mt.pl.af_654 
  0x040717a7, 0x172a0704, 0x11170a0d, 0x640107ee,   // sr.bg.ru_532 it.mt.sr_332  mk.sr.ro_554 it.en.lg_422 
  0x092a3f12, 0x351704ec, 0x3130100c, 0x0c1f0ea0,   // af.mt.pl_654 ru.sr.tg_644  lt.uz.az_543 is.cy.sv_322 
  0x07190b14, 0x53211ca4, 0x3f0206a0, 0x122d0e0c,   // es.gl.it_666 id.jw.ht_433  de.da.af_322 is.sk.hu_543 
  // [b730]
  0x18010ca7, 0x13001c02, 0x100e0c04, 0x201f23a7,   // sv.en.ga_532 id.et.un_220  sv.is.lt_332 ca.cy.sq_532 
  0x0f102a0e, 0x0b121807, 0x08020302, 0x0704105a,   // mt.lt.lv_555 ga.hu.es_432  nl.da.no_222 be.ru.bg_553 
  0x32000a02, 0x1f001912, 0x040501a0, 0x113530ec,   // pt.bs.un_220 gl.cy.un_640  en.fr.fi_322 uz.tg.ro_644 
  0x0912180c, 0x01082a07, 0x1c090da6, 0x050609a9,   // ga.hu.pl_543 mt.no.en_432  ne.hi.mr_521 pl.de.fr_544 
  // [b740]
  0x170911a4, 0x0400371a, 0x084435a7, 0x0b000c07,   // ro.pl.sr_433 st.fi.un_760  tg.kk.uk_532 sv.es.un_420 
  0x300e0705, 0x202a1c07, 0x08200405, 0x08321602,   // it.is.uz_333 id.mt.sq_432  fi.sq.no_333 hr.bs.no_222 
  0x101c2fee, 0x04001907, 0x2f6473a0, 0x120b0e0c,   // su.id.lt_422 gl.fi.un_420  ny.lg.su_322 is.es.hu_543 
  0x03023f5a, 0x300a170d, 0x231104a4, 0x200c56ec,   // af.da.nl_553 sr.mk.uz_554  ru.ro.ky_433 mg.sv.sq_644 
  // [b750]
  0x646b1a09, 0x082855a7, 0x17163207, 0x302855a0,   // tl.ceb.lg_444 rw.sw.no_532  bs.hr.sr_432 rw.sw.uz_322 
  0x17080208, 0x566410a7, 0x1c003004, 0x18010502,   // da.no.sr_443 lt.lg.mg_532  uz.id.un_320 fr.en.ga_222 
  0x182007af, 0x1a735508, 0x1708070c, 0x0900121b,   // it.sq.ga_655 rw.ny.tl_443  bg.uk.sr_543 hu.pl.un_770 
  0x2f2164a4, 0x6b003705, 0x055537ee, 0x3d000919,   // lg.jw.su_433 st.ceb.un_330  st.rw.fr_422 pl.ku.un_750 
  // [b760]
  0x0b001819, 0x28735504, 0x04350807, 0x080c06a0,   // ga.es.un_750 rw.ny.sw_332  uk.tg.ru_432 de.sv.no_322 
  0x731a6408, 0x08003f0e, 0x233530af, 0x376425a7,   // lg.tl.ny_443 af.no.un_550  uz.tg.ky_655 eu.lg.st_532 
  0x280b73a4, 0x3d00370d, 0x23070a0d, 0x1008445a,   // ny.es.sw_433 st.ku.un_540  mk.bg.ky_554 kk.uk.be_553 
  0x286455a9, 0x0c060eac, 0x09005619, 0x562d0d12,   // rw.lg.sw_544 is.de.sv_632  mg.pl.un_750 cs.sk.mg_654 
  // [b770]
  0x11291207, 0x09015608, 0x313010ee, 0x281e1c55,   // hu.sl.ro_432 mg.en.pl_443  lt.uz.az_422 id.ms.sw_442 
  0x21002d11, 0x160725ee, 0x1a2f6b04, 0x2a190709,   // sk.jw.un_630 eu.it.hr_422  ceb.su.tl_332 it.gl.mt_444 
  0x070430a9, 0x0f003209, 0x556423af, 0x07000a11,   // uz.ru.bg_544 bs.lv.un_440  ca.lg.rw_655 mk.bg.un_630 
  0x56001702, 0x56190b0c, 0x0f04050c, 0x190b0a0d,   // sr.mg.un_220 es.gl.mg_543  fr.fi.lv_543 pt.es.gl_554 
  // [b780]
  0x2809070b, 0x2a070907, 0x0a442307, 0x2500050c,   // it.pl.sw_542 pl.it.mt_432  ky.kk.mk_432 fr.eu.un_530 
  0x060c0eec, 0x190b055a, 0x0b532f0c, 0x0956010d,   // is.sv.de_644 fr.es.gl_553  su.ht.es_543 en.mg.pl_554 
  0x100f1ca0, 0x08003f1b, 0x070c0807, 0x563f0fa7,   // id.lv.lt_322 af.no.un_770  no.sv.it_432 lv.af.mg_532 
  0x17160fee, 0x041a2107, 0x311003a7, 0x30001b1b,   // lv.hr.sr_422 jw.tl.fi_432  nl.lt.az_532 tr.uz.un_770 
  // [b790]
  0x55000a08, 0x17100f04, 0x2b1f0755, 0x090f04a9,   // pt.rw.un_430 lv.lt.sr_332  it.cy.vi_442 fi.lv.pl_544 
  0x06040f14, 0x07100f12, 0x130e0f0c, 0x190b25a4,   // lv.fi.de_666 lv.lt.it_654  lv.is.et_543 eu.es.gl_433 
  0x3f2a0bad, 0x032d17a4, 0x0f2d1007, 0x2b002108,   // es.mt.af_643 sr.sk.nl_433  lt.sk.lv_432 jw.vi.un_430 
  0x05003708, 0x0811110b, 0x35003011, 0x0e0409ec,   // st.fr.un_430 ro.ro.uk_542  uz.tg.un_630 pl.fi.is_644 
  // [b7a0]
  0x35000a0d, 0x030c1307, 0x0c0f03a4, 0x73300da4,   // mk.tg.un_540 et.sv.nl_432  nl.lv.sv_433 cs.uz.ny_433 
  0x01053f0b, 0x281955ad, 0x640f730e, 0x080301a0,   // af.fr.en_542 rw.gl.sw_643  ny.lv.lg_555 en.nl.no_322 
  0x73285513, 0x040605ac, 0x642855a0, 0x3f130802,   // rw.sw.ny_665 fr.de.fi_632  rw.sw.lg_322 no.et.af_222 
  0x16002107, 0x55732813, 0x321673ee, 0x0a2973ee,   // jw.hr.un_420 sw.ny.rw_665  ny.hr.bs_422 ny.sl.pt_422 
  // [b7b0]
  0x03000611, 0x162d32a0, 0x0b192da4, 0x12002109,   // de.nl.un_630 bs.sk.hr_322  sk.gl.es_433 fa.ur.un_440 
  0x11005502, 0x64285512, 0x10170409, 0x173764ee,   // rw.ro.un_220 rw.sw.lg_654  ru.sr.be_444 lg.st.sr_422 
  0x3f080202, 0x64377307, 0x64190b08, 0x135311ee,   // da.no.af_222 ny.st.lg_432  es.gl.lg_443 ro.ht.et_422 
  0x010937ee, 0x190b2805, 0x162953a0, 0x08111104,   // st.pl.en_422 sw.es.gl_333  ht.sl.hr_322 ro.ro.uk_332 
  // [b7c0]
  0x1c1125a7, 0x6400071a, 0x190f0b0c, 0x6400282a,   // eu.ro.id_532 it.lg.un_760  es.lv.gl_543 sw.lg.un_970 
  0x07376412, 0x08060505, 0x070511ac, 0x08030404,   // lg.st.it_654 fr.de.no_333  ro.fr.it_632 fi.nl.no_332 
  0x053f5505, 0x300a230c, 0x1a000702, 0x0a170814,   // rw.af.fr_333 ky.mk.uz_543  it.tl.un_220 uk.sr.mk_666 
  0x64005318, 0x2f281bee, 0x0a07080e, 0x050e08a0,   // ht.lg.un_740 tr.sw.su_422  uk.bg.mk_555 no.is.fr_322 
  // [b7d0]
  0x01001a07, 0x2f211e07, 0x35071012, 0x033f530d,   // tl.en.un_420 ms.jw.su_432  be.bg.tg_654 ht.af.nl_554 
  0x35041707, 0x0b1a3008, 0x100a07a6, 0x01255504,   // sr.ru.tg_432 uz.tl.es_443  it.pt.lt_521 rw.eu.en_332 
  0x0b000709, 0x19100ba0, 0x0d0e0ba0, 0x27230107,   // it.es.un_440 es.lt.gl_322  es.is.cs_322 en.ca.gd_432 
  0x182d0d60, 0x3d562355, 0x73005308, 0x01110fa0,   // cs.sk.ga_664 ca.mg.ku_442  ht.ny.un_430 lv.ro.en_322 
  // [b7e0]
  0x20183055, 0x0a001f04, 0x216b1ea0, 0x2d0d2a02,   // uz.ga.sq_442 cy.pt.un_320  ms.ceb.jw_322 mt.cs.sk_222 
  0x300435a7, 0x19120b12, 0x200c1a08, 0x080e1212,   // tg.ru.uz_532 es.hu.gl_654  tl.sv.sq_443 hu.is.no_654 
  0x06007309, 0x1b733dec, 0x20370ba0, 0x0717100b,   // ny.de.un_440 ku.ny.tr_644  es.st.sq_322 be.sr.bg_542 
  0x100f0302, 0x561c1ea7, 0x30202812, 0x0a300705,   // nl.lv.lt_222 ms.id.mg_532  sw.sq.uz_654 bg.uz.mk_333 
  // [b7f0]
  0x73285560, 0x0e04300d, 0x2a003204, 0x64001b0c,   // rw.sw.ny_664 uz.fi.is_554  bs.mt.un_320 tr.lg.un_530 
  0x06002d05, 0x0b030e55, 0x310f2504, 0x30002909,   // sk.de.un_330 is.nl.es_442  eu.lv.az_332 sl.uz.un_440 
  0x1b042a12, 0x133d1ea4, 0x07000a20, 0x64732514,   // mt.fi.tr_654 ms.ku.et_433  mk.bg.un_850 eu.ny.lg_666 
  0x252373ec, 0x12001e08, 0x25000b14, 0x01031fa7,   // ny.ca.eu_644 ms.hu.un_430  es.eu.un_660 cy.nl.en_532 
  
  // [b800]
  0x73255509, 0x64257312, 0x6b001a05, 0x2300071b,   // rw.eu.ny_444 ny.eu.lg_654  tl.ceb.un_330 bg.ky.un_770 
  0x250b73a9, 0x1130310d, 0x0d293007, 0x73113da4,   // ny.es.eu_544 az.uz.ro_554  uz.sl.cs_432 ku.ro.ny_433 
  0x17041005, 0x03133fee, 0x271001ee, 0x31000702,   // be.ru.sr_333 af.et.nl_422  en.lt.gd_422 it.az.un_220 
  0x31211004, 0x10004411, 0x20110107, 0x0e0b0a04,   // lt.jw.az_332 kk.be.un_630  en.ro.sq_432 pt.es.is_332 
  // [b810]
  0x203d730c, 0x1b1029ec, 0x286e3712, 0x23192512,   // ny.ku.sq_543 sl.lt.tr_644  st.hmn.sw_654 eu.gl.ca_654 
  0x53280aa4, 0x0b002704, 0x2a090ba0, 0x01051307,   // pt.sw.ht_433 gd.es.un_320  es.pl.mt_322 et.fr.en_432 
  0x0a180e04, 0x2d0d0fa9, 0x13090d08, 0x302d0da7,   // is.ga.pt_332 lv.cs.sk_544  ne.hi.bh_443 cs.sk.uz_532 
  0x291630a0, 0x0e001805, 0x29211e02, 0x160d32a7,   // uz.hr.sl_322 ga.is.un_330  ms.jw.sl_222 bs.cs.hr_532 
  // [b820]
  0x44001111, 0x27001e04, 0x290501a4, 0x3f00560d,   // ro.kk.un_630 ms.gd.un_320  en.fr.sl_433 mg.af.un_540 
  0x55377312, 0x0c5637a9, 0x1100301a, 0x17302907,   // ny.st.rw_654 st.mg.sv_544  uz.ro.un_760 sl.uz.sr_432 
  0x135573af, 0x2a002919, 0x07127311, 0x1b00280b,   // ny.rw.et_655 sl.mt.un_750  ny.hu.it_653 sw.tr.un_520 
  0x0c003734, 0x0a5637a0, 0x37002f02, 0x2d2304a0,   // st.sv.un_A80 st.mg.pt_322  su.st.un_220 fi.ca.sk_322 
  // [b830]
  0x03001c04, 0x20127307, 0x081704af, 0x20080c04,   // id.nl.un_320 ny.hu.sq_432  ru.sr.uk_655 sv.no.sq_332 
  0x29100e04, 0x73123005, 0x321673a0, 0x7300372a,   // is.lt.sl_332 uz.hu.ny_333  ny.hr.bs_322 st.ny.un_970 
  0x2537730c, 0x35041708, 0x35230407, 0x1a2b010b,   // ny.st.eu_543 sr.ru.tg_443  ru.ky.tg_432 en.vi.tl_542 
  0x320d295e, 0x29081ba7, 0x0a35230d, 0x101b20ec,   // sl.cs.bs_652 tr.no.sl_532  ky.tg.mk_554 sq.tr.lt_644 
  // [b840]
  0x05132a07, 0x0b1831a0, 0x060c5307, 0x05002322,   // mt.et.fr_432 az.ga.es_322  ht.sv.de_432 ca.fr.un_870 
  0x44111705, 0x20001b21, 0x090e100c, 0x0e0c27a0,   // sr.ro.kk_333 tr.sq.un_860  lt.is.pl_543 gd.sv.is_322 
  0x08120eec, 0x20005312, 0x28000e14, 0x1204080c,   // is.hu.no_644 ht.sq.un_640  is.sw.un_660 no.fi.hu_543 
  0x2f000813, 0x11281360, 0x2d170d09, 0x300411a4,   // no.su.un_650 et.sw.ro_664  cs.sr.sk_444 ro.ru.uz_433 
  // [b850]
  0x01132855, 0x2f1028a6, 0x02007304, 0x1900060b,   // sw.et.en_442 sw.lt.su_521  ny.da.un_320 de.gl.un_520 
  0x061b2a07, 0x126b1a05, 0x30286bee, 0x1a3d6b08,   // mt.tr.de_432 tl.ceb.hu_333  ceb.sw.uz_422 ceb.ku.tl_443 
  0x25232aaf, 0x040e08a0, 0x1a122104, 0x30002f08,   // mt.ca.eu_655 no.is.fi_322  jw.hu.tl_332 su.uz.un_430 
  0x30012aee, 0x120e1f55, 0x6b250aad, 0x1f180f5a,   // mt.en.uz_422 cy.is.hu_442  pt.eu.ceb_643 lv.ga.cy_553 
  // [b860]
  0x0e18270d, 0x02003202, 0x07006b21, 0x277311a4,   // gd.ga.is_554 bs.da.un_220  ceb.it.un_860 ro.ny.gd_433 
  0x44353005, 0x111b310d, 0x10060e55, 0x123217a7,   // uz.tg.kk_333 az.tr.ro_554  is.de.lt_442 sr.bs.hu_532 
  0x28001f11, 0x08002904, 0x18190a09, 0x1b002904,   // cy.sw.un_630 sl.no.un_320  pt.gl.ga_444 sl.tr.un_320 
  0x18000612, 0x280308a0, 0x2f000714, 0x132501a0,   // de.ga.un_640 no.nl.sw_322  it.su.un_660 en.eu.et_322 
  // [b870]
  0x1800010d, 0x311b3002, 0x550273ee, 0x1e5528ee,   // en.ga.un_540 uz.tr.az_222  ny.da.rw_422 sw.rw.ms_422 
  0x1a6b1b60, 0x041306ad, 0x131a2012, 0x13040aa4,   // tr.ceb.tl_664 de.et.fi_643  sq.tl.et_654 pt.fi.et_433 
  0x64301ea0, 0x040708a7, 0x11001308, 0x1f00062b,   // ms.uz.lg_322 uk.bg.ru_532  et.ro.un_430 de.cy.un_980 
  0x116b64ee, 0x08000723, 0x0423080e, 0x3f000e02,   // lg.ceb.ro_422 bg.uk.un_880  uk.ky.ru_555 is.af.un_220 
  // [b880]
  0x27000c04, 0x1225270d, 0x0a170755, 0x32082aa0,   // sv.gd.un_320 gd.eu.hu_554  bg.sr.mk_442 mt.no.bs_322 
  0x04000d13, 0x1e1c0205, 0x291617a9, 0x040a1055,   // cs.fi.un_650 da.id.ms_333  sr.hr.sl_544 be.mk.ru_442 
  0x13060cee, 0x11002102, 0x2a306ea4, 0x09003704,   // sv.de.et_422 jw.ro.un_220  hmn.uz.mt_433 st.pl.un_320 
  0x271e1cac, 0x0d1029a4, 0x29171614, 0x07003708,   // id.ms.gd_632 sl.lt.cs_433  hr.sr.sl_666 st.it.un_430 
  // [b890]
  0x73003f08, 0x301044a0, 0x181f37ad, 0x0d6b1f11,   // af.ny.un_430 kk.be.uz_322  st.cy.ga_643 cy.ceb.cs_653 
  0x17002d02, 0x2f211aa0, 0x10081714, 0x013f1aa0,   // sk.sr.un_220 tl.jw.su_322  sr.uk.be_666 tl.af.en_322 
  0x56086404, 0x31090dee, 0x35002302, 0x11040708,   // lg.no.mg_332 cs.pl.az_422  ky.tg.un_220 bg.ru.ro_443 
  0x44000709, 0x0a3035a7, 0x092b3dee, 0x06031f04,   // bg.kk.un_440 tg.uz.mk_532  ku.vi.pl_422 cy.nl.de_332 
  // [b8a0]
  0x29003008, 0x37001a1b, 0x313012ec, 0x071c05a0,   // uz.sl.un_430 tl.st.un_770  hu.uz.az_644 fr.id.it_322 
  0x02550804, 0x32162d02, 0x04136412, 0x6b730307,   // no.rw.da_332 sk.hr.bs_222  lg.et.fi_654 nl.ny.ceb_432 
  0x0e081309, 0x1b005508, 0x18000305, 0x17006404,   // et.no.is_444 rw.tr.un_430  nl.ga.un_330 lg.sr.un_320 
  0x05110309, 0x1b2d30a4, 0x3f002805, 0x6400130c,   // nl.ro.fr_444 uz.sk.tr_433  sw.af.un_330 et.lg.un_530 
  // [b8b0]
  0x56055307, 0x0b555612, 0x28072a0c, 0x04212804,   // ht.fr.mg_432 mg.rw.es_654  mt.it.sw_543 sw.jw.fi_332 
  0x253773a0, 0x1c3273a0, 0x313028a4, 0x0e6455ec,   // ny.st.eu_322 ny.bs.id_322  sw.uz.az_433 rw.lg.is_644 
  0x06001104, 0x73002008, 0x06012007, 0x2a002019,   // ro.de.un_320 sq.ny.un_430  sq.en.de_432 sq.mt.un_750 
  0x6b0105a4, 0x2a0728ac, 0x031f2807, 0x2a131aa4,   // fr.en.ceb_433 sw.it.mt_632  sw.cy.nl_432 tl.et.mt_433 
  // [b8c0]
  0x55001f02, 0x2f287355, 0x6b3d3005, 0x12005614,   // cy.rw.un_220 ny.sw.su_442  uz.ku.ceb_333 mg.hu.un_660 
  0x20121304, 0x072028ee, 0x122f56ad, 0x20373daf,   // et.hu.sq_332 sw.sq.it_422  mg.su.hu_643 ku.st.sq_655 
  0x20641304, 0x2007640b, 0x11182713, 0x3f6b5507,   // et.lg.sq_332 lg.it.sq_542  gd.ga.ro_665 rw.ceb.af_432 
  0x2f553d0b, 0x2f0d3dad, 0x070a64ad, 0x04000909,   // ku.rw.su_542 ku.cs.su_643  lg.pt.it_643 pl.fi.un_440 
  // [b8d0]
  0x0a4423a0, 0x532a0704, 0x273f0107, 0x04001219,   // ky.kk.mk_322 it.mt.ht_332  en.af.gd_432 hu.fi.un_750 
  0x110c53ee, 0x2a07180c, 0x3d1301ee, 0x1827130c,   // ht.sv.ro_422 ga.it.mt_543  en.et.ku_422 et.gd.ga_543 
  0x20005507, 0x0c0e3fee, 0x16001002, 0x29302dec,   // rw.sq.un_420 af.is.sv_422  lt.hr.un_220 sk.uz.sl_644 
  0x562012ee, 0x0c08560c, 0x27000507, 0x6b2701ad,   // hu.sq.mg_422 mg.no.sv_543  fr.gd.un_420 en.gd.ceb_643 
  // [b8e0]
  0x442304a7, 0x102313a9, 0x10052855, 0x13536b07,   // ru.ky.kk_532 et.ca.lt_544  sw.fr.lt_442 ceb.ht.et_432 
  0x03073f09, 0x3f10530c, 0x1a276b07, 0x1b000305,   // af.it.nl_444 ht.lt.af_543  ceb.gd.tl_432 nl.tr.un_330 
  0x5604130c, 0x2a0b1007, 0x53041004, 0x03073fa9,   // et.fi.mg_543 lt.es.mt_432  lt.fi.ht_332 af.it.nl_544 
  0x1600060c, 0x2000130c, 0x25005609, 0x082a25ad,   // de.hr.un_530 et.sq.un_530  mg.eu.un_440 eu.mt.no_643 
  // [b8f0]
  0x080413ee, 0x0e001f22, 0x190a2502, 0x32102d07,   // et.fi.no_422 cy.is.un_870  eu.pt.gl_222 sk.lt.bs_432 
  0x0c001214, 0x3f27100b, 0x11000614, 0x105601a0,   // hu.sv.un_660 lt.gd.af_542  de.ro.un_660 en.mg.lt_322 
  0x0c060404, 0x28006423, 0x642a10af, 0x07110a0b,   // fi.de.sv_332 lg.sw.un_880  lt.mt.lg_655 mk.ro.bg_542 
  0x27001811, 0x286410ec, 0x306410ee, 0x251c21a0,   // ga.gd.un_630 lt.lg.sw_644  lt.lg.uz_422 jw.id.eu_322 
  // [b900]
  0x1f5306a4, 0x2023110c, 0x2d00091b, 0x2a1f05ec,   // de.ht.cy_433 ro.ca.sq_543  pl.sk.un_770 fr.cy.mt_644 
  0x37111309, 0x200a04ad, 0x30002902, 0x135337a4,   // et.ro.st_444 fi.pt.sq_643  sl.uz.un_220 st.ht.et_433 
  0x171608a0, 0x12000212, 0x2818010c, 0x133f6413,   // no.hr.sr_322 da.hu.un_640  en.ga.sw_543 lg.af.et_665 
  0x1c286408, 0x281364a6, 0x27183705, 0x11070513,   // lg.sw.id_443 lg.et.sw_521  st.ga.gd_333 fr.it.ro_665 
  // [b910]
  0x13000314, 0x1f010611, 0x2b1c13af, 0x041c2502,   // nl.et.un_660 de.en.cy_653  et.id.vi_655 eu.id.fi_222 
  0x04252fa7, 0x131a6402, 0x323029a7, 0x31553707,   // su.eu.fi_532 lg.tl.et_222  sl.uz.bs_532 st.rw.az_432 
  0x3f006408, 0x3700090d, 0x130711ec, 0x303523ec,   // lg.af.un_430 pl.st.un_540  ro.it.et_644 ky.tg.uz_644 
  0x53551c07, 0x64033fad, 0x13031a14, 0x230a35a0,   // id.rw.ht_432 af.nl.lg_643  tl.nl.et_666 tg.mk.ky_322 
  // [b920]
  0x1a001313, 0x0704230c, 0x646b13a9, 0x530428ad,   // et.tl.un_650 ky.ru.bg_543  et.ceb.lg_544 sw.fi.ht_643 
  0x1c2a2f02, 0x04073005, 0x19206408, 0x303504af,   // su.mt.id_222 uz.bg.ru_333  lg.sq.gl_443 ru.tg.uz_655 
  0x550f03ee, 0x0f0610a0, 0x02000305, 0x0437550c,   // nl.lv.rw_422 lt.de.lv_322  nl.da.un_330 rw.st.fi_543 
  0x10092aee, 0x6b732b11, 0x181c28a0, 0x100a1108,   // mt.pl.lt_422 vi.ny.ceb_653  sw.id.ga_322 ro.mk.be_443 
  // [b930]
  0x2a073da4, 0x641355ec, 0x2f255507, 0x0844350c,   // ku.it.mt_433 rw.et.lg_644  rw.eu.su_432 tg.kk.uk_543 
  0x0a10110d, 0x30272b13, 0x111b3008, 0x27002019,   // ro.lt.pt_554 vi.gd.uz_665  uz.tr.ro_443 sq.gd.un_750 
  0x0710080c, 0x640c56ad, 0x30310e11, 0x30310ead,   // uk.be.bg_543 mg.sv.lg_643  is.az.uz_653 is.az.uz_643 
  0x170723ee, 0x0c120807, 0x13086eec, 0x111c01ec,   // ky.bg.sr_422 no.hu.sv_432  hmn.no.et_644 en.id.ro_644 
  // [b940]
  0x2b2f3dad, 0x552873ee, 0x05001704, 0x03290955,   // ku.su.vi_643 ny.sw.rw_422  sr.fr.un_320 pl.sl.nl_442 
  0x30006e21, 0x11113012, 0x3f201ca0, 0x050a1fa0,   // hmn.uz.un_860 uz.ro.ro_654  id.sq.af_322 cy.pt.fr_322 
  0x2f000308, 0x6b1f01ee, 0x0a005305, 0x0a3507ee,   // nl.su.un_430 en.cy.ceb_422  ht.pt.un_330 bg.tg.mk_422 
  0x376b01ac, 0x1b303160, 0x1c2f1fa0, 0x271801a4,   // en.ceb.st_632 az.uz.tr_664  cy.su.id_322 en.ga.gd_433 
  // [b950]
  0x1f00182c, 0x25190b09, 0x2300171b, 0x64251307,   // ga.cy.un_990 es.gl.eu_444  sr.ky.un_770 et.eu.lg_432 
  0x44042311, 0x0b110407, 0x170e2107, 0x370d18a4,   // ky.ru.kk_653 fi.ro.es_432  jw.is.sr_432 ga.cs.st_433 
  0x12002134, 0x0c120207, 0x0f120eee, 0x560105a7,   // fa.ur.un_A80 da.hu.sv_432  is.hu.lv_422 fr.en.mg_532 
  0x10251b07, 0x18000111, 0x2d0d3da0, 0x0e311b04,   // tr.eu.lt_432 en.ga.un_630  ku.cs.sk_322 tr.az.is_332 
  // [b960]
  0x231f3007, 0x28001f07, 0x0e0501a4, 0x18000608,   // uz.cy.ca_432 cy.sw.un_420  en.fr.is_433 de.ga.un_430 
  0x0c6b560c, 0x05001308, 0x04130d0c, 0x7328555a,   // mg.ceb.sv_543 et.fr.un_430  cs.et.fi_543 rw.sw.ny_553 
  0x251b13ec, 0x2f000404, 0x13080c0c, 0x1f000122,   // et.tr.eu_644 fi.su.un_320  sv.no.et_543 en.cy.un_870 
  0x1b25130c, 0x25041308, 0x1b3d1307, 0x0e130408,   // et.eu.tr_543 et.fi.eu_443  et.ku.tr_432 fi.et.is_443 
  // [b970]
  0x04370a0c, 0x311b3dec, 0x556410af, 0x07051304,   // pt.st.fi_543 ku.tr.az_644  lt.lg.rw_655 et.fr.it_332 
  0x171107a4, 0x313008a4, 0x073001a0, 0x280155a4,   // bg.ro.sr_433 no.uz.az_433  en.uz.it_322 rw.en.sw_433 
  0x2b030508, 0x31200f05, 0x2a00551a, 0x53052b04,   // fr.nl.vi_443 lv.sq.az_333  rw.mt.un_760 vi.fr.ht_332 
  0x06531b07, 0x2a735512, 0x13060c07, 0x7308010c,   // tr.ht.de_432 rw.ny.mt_654  sv.de.et_432 en.no.ny_543 
  // [b980]
  0x2a005508, 0x09211aee, 0x01131b08, 0x231044a9,   // rw.mt.un_430 tl.jw.pl_422  tr.et.en_443 kk.be.ky_544 
  0x25000508, 0x640f5512, 0x2f210107, 0x6b000c07,   // fr.eu.un_430 rw.lv.lg_654  en.jw.su_432 sv.ceb.un_420 
  0x070a08a0, 0x05002f12, 0x23052fa0, 0x290507a7,   // uk.mk.bg_322 su.fr.un_640  su.fr.ca_322 it.fr.sl_532 
  0x2a37040d, 0x060413ad, 0x32562aee, 0x55002a1a,   // fi.st.mt_554 et.fi.de_643  mt.mg.bs_422 mt.rw.un_760 
  // [b990]
  0x233530a9, 0x211a5611, 0x56311ba4, 0x531b1e09,   // uz.tg.ky_544 mg.tl.jw_653  tr.az.mg_433 ms.tr.ht_444 
  0x56112a07, 0x3d5620a4, 0x210156ec, 0x2100251b,   // mt.ro.mg_432 sq.mg.ku_433  mg.en.jw_644 eu.jw.un_770 
  0x0c11370b, 0x2f1a5612, 0x08287311, 0x0400371b,   // st.ro.sv_542 mg.tl.su_654  ny.sw.no_653 st.fi.un_770 
  0x1a080204, 0x21731a04, 0x1e002a04, 0x320701a7,   // da.no.tl_332 tl.ny.jw_332  mt.ms.un_320 en.it.bs_532 
  // [b9a0]
  0x64040808, 0x642501a0, 0x64182707, 0x191a0b5a,   // no.fi.lg_443 en.eu.lg_322  gd.ga.lg_432 es.tl.gl_553 
  0x121b30a0, 0x010b0a09, 0x3130280d, 0x11003005,   // uz.tr.hu_322 pt.es.en_444  sw.uz.az_554 uz.ro.un_330 
  0x126b1a12, 0x27001604, 0x16202912, 0x3d561708,   // tl.ceb.hu_654 hr.gd.un_320  sl.sq.hr_654 sr.mg.ku_443 
  0x131107a9, 0x0c040812, 0x0800042a, 0x3d3130af,   // it.ro.et_544 no.fi.sv_654  ru.uk.un_970 uz.az.ku_655 
  // [b9b0]
  0x1c6b1e0c, 0x13640a04, 0x55735612, 0x55006b07,   // ms.ceb.id_543 pt.lg.et_332  mg.ny.rw_654 ceb.rw.un_420 
  0x552864a0, 0x021008a4, 0x0e1729ac, 0x0607250d,   // lg.sw.rw_322 no.lt.da_433  sl.sr.is_632 eu.it.de_554 
  0x10020f13, 0x1a215504, 0x1173070c, 0x2f1a370b,   // lv.da.lt_665 rw.jw.tl_332  it.ny.ro_543 st.tl.su_542 
  0x044423a4, 0x16731aad, 0x23005313, 0x111827ac,   // ky.kk.ru_433 tl.ny.hr_643  ht.ca.un_650 gd.ga.ro_632 
  // [b9c0]
  0x1e1c1309, 0x23530560, 0x17040a11, 0x531e56ee,   // et.id.ms_444 fr.ht.ca_664  mk.ru.sr_653 mg.ms.ht_422 
  0x301b5502, 0x0e290f0c, 0x292f1eec, 0x030f1fa0,   // rw.tr.uz_222 lv.sl.is_543  ms.su.sl_644 cy.lv.nl_322 
  0x23290bee, 0x182027ad, 0x29171609, 0x6b002112,   // es.sl.ca_422 gd.sq.ga_643  hr.sr.sl_444 jw.ceb.un_640 
  0x23005305, 0x12005602, 0x07080a55, 0x120364ee,   // ht.ca.un_330 mg.hu.un_220  mk.uk.bg_442 lg.nl.hu_422 
  // [b9d0]
  0x19000113, 0x32003105, 0x0c001f1a, 0x0a00640c,   // en.gl.un_650 az.bs.un_330  cy.sv.un_760 lg.pt.un_530 
  0x08023da0, 0x02003f0d, 0x3f090804, 0x0c1b28ee,   // ku.da.no_322 af.da.un_540  no.pl.af_332 sw.tr.sv_422 
  0x28041312, 0x0e0d2dec, 0x08021b02, 0x070a11ec,   // et.fi.sw_654 sk.cs.is_644  tr.da.no_222 ro.mk.bg_644 
  0x2a0918ee, 0x31002808, 0x18051108, 0x5355280b,   // ga.pl.mt_422 sw.az.un_430  ro.fr.ga_443 sw.rw.ht_542 
  // [b9e0]
  0x21312da0, 0x300710a0, 0x06001008, 0x2d120d02,   // sk.az.jw_322 be.bg.uz_322  lt.de.un_430 cs.hu.sk_222 
  0x16110f55, 0x04003f05, 0x021b0604, 0x322129a0,   // lv.ro.hr_442 af.fi.un_330  de.tr.da_332 sl.jw.bs_322 
  0x206b0807, 0x30000f05, 0x121a27a7, 0x06373d07,   // no.ceb.sq_432 lv.uz.un_330  gd.tl.hu_532 ku.st.de_432 
  0x1e563709, 0x2b00180c, 0x56001f23, 0x3f3755a6,   // st.mg.ms_444 ga.vi.un_530  cy.mg.un_880 rw.st.af_521 
  // [b9f0]
  0x32171ba4, 0x07000114, 0x55372808, 0x0d001a04,   // tr.sr.bs_433 en.it.un_660  sw.st.rw_443 tl.cs.un_320 
  0x1227180c, 0x1f1e5605, 0x0c7330a0, 0x181127af,   // ga.gd.hu_543 mg.ms.cy_333  uz.ny.sv_322 gd.ro.ga_655 
  0x733755a7, 0x56205513, 0x0a190b07, 0x07300408,   // rw.st.ny_532 rw.sq.mg_665  es.gl.pt_432 ru.uz.bg_443 
  0x562b1fa7, 0x29375604, 0x550b1f07, 0x06002f02,   // cy.vi.mg_532 mg.st.sl_332  cy.es.rw_432 su.de.un_220 
  // [ba00]
  0x300723ec, 0x28305504, 0x55020812, 0x3f001e07,   // ky.bg.uz_644 rw.uz.sw_332  no.da.rw_654 ms.af.un_420 
  0x06080207, 0x353011a7, 0x101b06af, 0x31642007,   // da.no.de_432 ro.uz.tg_532  de.tr.lt_655 sq.lg.az_432 
  0x0a04230c, 0x1300551a, 0x0a2801a0, 0x041c550c,   // ky.ru.mk_543 rw.et.un_760  en.sw.pt_322 rw.id.fi_543 
  0x31002a19, 0x56007313, 0x1a033fac, 0x1f562808,   // mt.az.un_750 ny.mg.un_650  af.nl.tl_632 sw.mg.cy_443 
  // [ba10]
  0x29080207, 0x273f02ad, 0x080255ee, 0x1a2f13a4,   // da.no.sl_432 da.af.gd_643  rw.da.no_422 et.su.tl_433 
  0x035501a4, 0x6428735a, 0x03070507, 0x6455280b,   // en.rw.nl_433 ny.sw.lg_553  fr.it.nl_432 sw.rw.lg_542 
  0x190b7307, 0x1b0f28a0, 0x0b5564a7, 0x070408ac,   // ny.es.gl_432 sw.lv.tr_322  lg.rw.es_532 uk.ru.bg_632 
  0x210c2f05, 0x2f0621ad, 0x100c08af, 0x2f213708,   // su.sv.jw_333 jw.de.su_643  no.sv.lt_655 st.jw.su_443 
  // [ba20]
  0x350a07a7, 0x1113370c, 0x16102909, 0x230407ec,   // bg.mk.tg_532 st.et.ro_543  sl.lt.hr_444 bg.ru.ky_644 
  0x375608a0, 0x190b1aa4, 0x1e1137a7, 0x306b64ad,   // no.mg.st_322 tl.es.gl_433  st.ro.ms_532 lg.ceb.uz_643 
  0x7355640c, 0x092d1aee, 0x1c04280b, 0x190b64a0,   // lg.rw.ny_543 tl.sk.pl_422  sw.fi.id_542 lg.es.gl_322 
  0x0c08290c, 0x1a5637ad, 0x11561fee, 0x0b2f2112,   // sl.no.sv_543 st.mg.tl_643  cy.mg.ro_422 jw.su.es_654 
  // [ba30]
  0x04101a07, 0x5513280c, 0x190b56a0, 0x12010b08,   // tl.lt.fi_432 sw.et.rw_543  mg.es.gl_322 es.en.hu_443 
  0x64551aa4, 0x0d190b09, 0x37006e20, 0x0e0804a7,   // tl.rw.lg_433 es.gl.cs_444  hmn.st.un_850 fi.no.is_532 
  0x3d09250c, 0x0a0d73ee, 0x100813a0, 0x190b55ec,   // eu.pl.ku_543 ny.cs.pt_422  et.no.lt_322 rw.es.gl_644 
  0x1e371cec, 0x11082308, 0x55732aec, 0x0e1f0c0d,   // id.st.ms_644 ky.uk.ro_443  mt.ny.rw_644 sv.cy.is_554 
  // [ba40]
  0x082a07a7, 0x027305ad, 0x3011170c, 0x131c1ea4,   // it.mt.no_532 fr.ny.da_643  sr.ro.uz_543 ms.id.et_433 
  0x28321613, 0x21006e0d, 0x1b006422, 0x55642908,   // hr.bs.sw_665 hmn.jw.un_540  lg.tr.un_870 sl.lg.rw_443 
  0x31000a19, 0x642a5508, 0x0a0b190b, 0x3f732faf,   // pt.az.un_750 rw.mt.lg_443  gl.es.pt_542 su.ny.af_655 
  0x21532f05, 0x212f1a55, 0x532f2807, 0x234417a0,   // su.ht.jw_333 tl.su.jw_442  sw.su.ht_432 sr.kk.ky_322 
  // [ba50]
  0x0e3f1f04, 0x20321608, 0x37020812, 0x070523a0,   // cy.af.is_332 hr.bs.sq_443  no.da.st_654 ca.fr.it_322 
  0x28190b07, 0x110735a9, 0x130c010b, 0x010309a6,   // es.gl.sw_432 tg.bg.ro_544  en.sv.et_542 pl.nl.en_521 
  0x0a0417a7, 0x180b19a0, 0x0500271b, 0x37002513,   // sr.ru.mk_532 gl.es.ga_322  gd.fr.un_770 eu.st.un_650 
  0x2a0201a4, 0x3f1827a4, 0x1f312308, 0x1b0c0804,   // en.da.mt_433 gd.ga.af_433  ca.az.cy_443 no.sv.tr_332 
  // [ba60]
  0x05200107, 0x27000c21, 0x313f0104, 0x291053a9,   // en.sq.fr_432 sv.gd.un_860  en.af.az_332 ht.lt.sl_544 
  0x20230107, 0x013f09ac, 0x2013040c, 0x55117307,   // en.ca.sq_432 pl.af.en_632  fi.et.sq_543 ny.ro.rw_432 
  0x20302aa0, 0x200c080c, 0x6b1827ad, 0x0d0a0ea9,   // mt.uz.sq_322 no.sv.sq_543  gd.ga.ceb_643 is.pt.cs_544 
  0x44100804, 0x113d2908, 0x07230414, 0x350a3007,   // uk.be.kk_332 sl.ku.ro_443  ru.ky.bg_666 uz.mk.tg_432 
  // [ba70]
  0x060c20a0, 0x443035ec, 0x2109550d, 0x3d0b1fa7,   // sq.sv.de_322 tg.uz.kk_644  rw.pl.jw_554 cy.es.ku_532 
  0x2b000d0b, 0x0800070b, 0x28325508, 0x132a20ee,   // cs.vi.un_520 bg.uk.un_520  rw.bs.sw_443 sq.mt.et_422 
  0x06001b0d, 0x081220ad, 0x082f1c12, 0x180164a0,   // tr.de.un_540 sq.hu.no_643  id.su.no_654 lg.en.ga_322 
  0x1e53100c, 0x55005605, 0x11081013, 0x1a1e1c11,   // lt.ht.ms_543 mg.rw.un_330  be.uk.ro_665 id.ms.tl_653 
  // [ba80]
  0x64162807, 0x6b535504, 0x286455ad, 0x202832a0,   // sw.hr.lg_432 rw.ht.ceb_332  rw.lg.sw_643 bs.sw.sq_322 
  0x10283d11, 0x0b292d0c, 0x0a440712, 0x73565512,   // ku.sw.lt_653 sk.sl.es_543  bg.kk.mk_654 rw.mg.ny_654 
  0x160c0807, 0x213d3108, 0x10280da4, 0x0b090709,   // no.sv.hr_432 az.ku.jw_443  cs.sw.lt_433 it.pl.es_444 
  0x0400090c, 0x082f0708, 0x18072712, 0x1725280c,   // pl.fi.un_530 it.su.no_443  gd.it.ga_654 sw.eu.sr_543 
  // [ba90]
  0x04282560, 0x0f202a0c, 0x28555312, 0x73281904,   // eu.sw.fi_664 mt.sq.lv_543  ht.rw.sw_654 gl.sw.ny_332 
  0x0c0f1005, 0x37556408, 0x25640c55, 0x25211ca9,   // lt.lv.sv_333 lg.rw.st_443  sv.lg.eu_442 id.jw.eu_544 
  0x37002812, 0x0a641a0c, 0x00000737, 0x0a080107,   // sw.st.un_640 tl.lg.pt_543  it.un.un_B00 en.no.pt_432 
  0x11071308, 0x2900300d, 0x2b00181b, 0x082311a6,   // et.it.ro_443 uz.sl.un_540  ga.vi.un_770 ro.ky.uk_521 
  // [baa0]
  0x300723a9, 0x30041204, 0x03162907, 0x1e00080d,   // ky.bg.uz_544 hu.fi.uz_332  sl.hr.nl_432 no.ms.un_540 
  0x1f080255, 0x202a13a4, 0x55001313, 0x060c1205,   // da.no.cy_442 et.mt.sq_433  et.rw.un_650 hu.sv.de_333 
  0x56732807, 0x3d290da4, 0x21003002, 0x213773ec,   // sw.ny.mg_432 cs.sl.ku_433  uz.jw.un_220 ny.st.jw_644 
  0x30083502, 0x29555608, 0x1e0d1802, 0x0a07310c,   // tg.uk.uz_222 mg.rw.sl_443  ga.cs.ms_222 az.it.pt_543 
  // [bab0]
  0x1b23310c, 0x18000904, 0x10642805, 0x30256407,   // az.ca.tr_543 pl.ga.un_320  sw.lg.lt_333 lg.eu.uz_432 
  0x2a002f02, 0x12295611, 0x6b1a64a4, 0x0a233002,   // su.mt.un_220 mg.sl.hu_653  lg.tl.ceb_433 uz.ca.pt_222 
  0x2d0c6bac, 0x302a31a4, 0x300410ad, 0x030608a0,   // ceb.sv.sk_632 az.mt.uz_433  be.ru.uz_643 no.de.nl_322 
  0x23000f12, 0x5323560c, 0x200f10af, 0x19640aa0,   // lv.ca.un_640 mg.ca.ht_543  lt.lv.sq_655 pt.lg.gl_322 
  // [bac0]
  0x1213040d, 0x3011115a, 0x1a1255ee, 0x3f002108,   // fi.et.hu_554 ro.ro.uz_553  rw.hu.tl_422 jw.af.un_430 
  0x043517a0, 0x0844230c, 0x30070404, 0x0e121804,   // sr.tg.ru_322 ky.kk.uk_543  ru.bg.uz_332 ga.hu.is_332 
  0x304423ad, 0x0a002a08, 0x01130304, 0x23003713,   // ky.kk.uz_643 mt.pt.un_430  nl.et.en_332 st.ca.un_650 
  0x0a11175a, 0x12080e07, 0x09000e09, 0x0e1208ee,   // sr.ro.mk_553 is.no.hu_432  is.pl.un_440 no.hu.is_422 
  // [bad0]
  0x0c301104, 0x3d27550c, 0x136b2aa0, 0x2d003d13,   // ro.uz.sv_332 rw.gd.ku_543  mt.ceb.et_322 ku.sk.un_650 
  0x17311b5a, 0x23060ca7, 0x2156170c, 0x11233060,   // tr.az.sr_553 sv.de.ca_532  sr.mg.jw_543 uz.ky.ro_664 
  0x033f5307, 0x2f1b56a9, 0x1f050ca0, 0x0b3d560c,   // ht.af.nl_432 mg.tr.su_544  sv.fr.cy_322 mg.ku.es_543 
  0x20641bee, 0x211c1ea9, 0x0600640c, 0x21232aee,   // tr.lg.sq_422 ms.id.jw_544  lg.de.un_530 mt.ca.jw_422 
  // [bae0]
  0x0e562813, 0x21551ea9, 0x0d001212, 0x08031208,   // sw.mg.is_665 ms.rw.jw_544  hu.cs.un_640 hu.nl.no_443 
  0x55562809, 0x1b553d55, 0x23070207, 0x1b312012,   // sw.mg.rw_444 ku.rw.tr_442  da.it.ca_432 sq.az.tr_654 
  0x12080eaf, 0x08023014, 0x10233012, 0x07292da0,   // is.no.hu_655 uz.da.no_666  uz.ky.be_654 sk.sl.it_322 
  0x562555a4, 0x2d1218af, 0x28106404, 0x202804a4,   // rw.eu.mg_433 ga.hu.sk_655  lg.lt.sw_332 fi.sw.sq_433 
  // [baf0]
  0x29002d21, 0x281b0412, 0x1b2904ee, 0x7337560d,   // sk.sl.un_860 fi.tr.sw_654  fi.sl.tr_422 mg.st.ny_554 
  0x032153ee, 0x0b7304a4, 0x13303708, 0x125573a6,   // ht.jw.nl_422 fi.ny.es_433  st.uz.et_443 ny.rw.hu_521 
  0x18122105, 0x29040d08, 0x161330a4, 0x08351012,   // fa.ur.ar_333 cs.fi.sl_443  uz.et.hr_433 be.tg.uk_654 
  0x130428a7, 0x3700551a, 0x07083505, 0x5573300c,   // sw.fi.et_532 rw.st.un_760  tg.uk.bg_333 uz.ny.rw_543 
  // [bb00]
  0x30557313, 0x1327180b, 0x557337af, 0x56302509,   // ny.rw.uz_665 ga.gd.et_542  st.ny.rw_655 eu.uz.mg_444 
  0x250c13a4, 0x05002714, 0x323773ad, 0x16290d07,   // et.sv.eu_433 gd.fr.un_660  ny.st.bs_643 cs.sl.hr_432 
  0x0a0804a7, 0x042d0d60, 0x07050c05, 0x033f1c04,   // ru.uk.mk_532 cs.sk.fi_664  sv.fr.it_333 id.af.nl_332 
  0x051a02ee, 0x0b302aa7, 0x2f070504, 0x21000505,   // da.tl.fr_422 mt.uz.es_532  fr.it.su_332 fr.jw.un_330 
  // [bb10]
  0x1f6b090c, 0x070a30a7, 0x322973a9, 0x11000819,   // pl.ceb.cy_543 uz.mk.bg_532  ny.sl.bs_544 uk.ro.un_750 
  0x0f00061a, 0x28001e1a, 0x06020fad, 0x292705ad,   // de.lv.un_760 ms.sw.un_760  lv.da.de_643 fr.gd.sl_643 
  0x16000507, 0x2a000c07, 0x03001c02, 0x25295608,   // fr.hr.un_420 sv.mt.un_420  id.nl.un_220 mg.sl.eu_443 
  0x64212907, 0x44003009, 0x11002323, 0x73000113,   // sl.jw.lg_432 uz.kk.un_440  ca.ro.un_880 en.ny.un_650 
  // [bb20]
  0x073510af, 0x2000090e, 0x102925a0, 0x190a2aa6,   // be.tg.bg_655 pl.sq.un_550  eu.sl.lt_322 mt.pt.gl_521 
  0x0e0208a4, 0x30252a04, 0x1a3d6ba4, 0x080e10a4,   // no.da.is_433 mt.eu.uz_332  ceb.ku.tl_433 lt.is.no_433 
  0x13000621, 0x2d180ba9, 0x0c0308a9, 0x032a20af,   // de.et.un_860 es.ga.sk_544  no.nl.sv_544 sq.mt.nl_655 
  0x300717ad, 0x37201fa0, 0x1c002004, 0x080435a4,   // sr.it.uz_643 cy.sq.st_322  sq.id.un_320 tg.ru.uk_433 
  // [bb30]
  0x02060107, 0x271101a9, 0x212f1cec, 0x20287307,   // en.de.da_432 en.ro.gd_544  id.su.jw_644 ny.sw.sq_432 
  0x55732d11, 0x250803a0, 0x280104ee, 0x37732108,   // sk.ny.rw_653 nl.no.eu_322  fi.en.sw_422 jw.ny.st_443 
  0x27181fad, 0x08001a04, 0x230d3704, 0x3d313012,   // cy.ga.gd_643 tl.no.un_320  st.cs.ca_332 uz.az.ku_654 
  0x07001018, 0x2a08120e, 0x3d303114, 0x0d2f01a9,   // be.bg.un_740 hu.no.mt_555  az.uz.ku_666 en.su.cs_544 
  // [bb40]
  0x013f03af, 0x1f1a3d0d, 0x6b006409, 0x01033f08,   // nl.af.en_655 ku.tl.cy_554  lg.ceb.un_440 af.nl.en_443 
  0x08110309, 0x3f100a07, 0x3f000119, 0x2f1c1205,   // nl.ro.no_444 pt.lt.af_432  en.af.un_750 hu.id.su_333 
  0x17350405, 0x216b1aee, 0x031c1e0c, 0x1200080d,   // ru.tg.sr_333 tl.ceb.jw_422  ms.id.nl_543 no.hu.un_540 
  0x0a0911a7, 0x041364a4, 0x27201f0c, 0x2a0e0407,   // ro.pl.pt_532 lg.et.fi_433  cy.sq.gd_543 fi.is.mt_432 
  // [bb50]
  0x3d0321a4, 0x0e0c040c, 0x0d2d1260, 0x310453ec,   // jw.nl.ku_433 fi.sv.is_543  hu.sk.cs_664 ht.fi.az_644 
  0x0e000d0e, 0x182720ad, 0x301a5312, 0x01030f04,   // cs.is.un_550 sq.gd.ga_643  ht.tl.uz_654 lv.nl.en_332 
  0x3f200807, 0x0e000a19, 0x282f1e0b, 0x120d2daf,   // no.sq.af_432 pt.is.un_750  ms.su.sw_542 sk.cs.hu_655 
  0x3d536ba7, 0x03270613, 0x06233fad, 0x2a0173a4,   // ceb.ht.ku_532 de.gd.nl_665  af.ca.de_643 ny.en.mt_433 
  // [bb60]
  0x293217a4, 0x23013f0c, 0x531b6b08, 0x44002320,   // sr.bs.sl_433 af.en.ca_543  ceb.tr.ht_443 ky.kk.un_850 
  0x1f00300d, 0x18000a18, 0x2d6437ad, 0x18000e0e,   // uz.cy.un_540 pt.ga.un_740  st.lg.sk_643 is.ga.un_550 
  0x3d2d0905, 0x0e181912, 0x55000612, 0x2000270e,   // pl.sk.ku_333 gl.ga.is_654  de.rw.un_640 gd.sq.un_550 
  0x08021b05, 0x3d53300c, 0x13251ea4, 0x213d01a4,   // tr.da.no_333 uz.ht.ku_543  ms.eu.et_433 en.ku.jw_433 
  // [bb70]
  0x5528370c, 0x0b231907, 0x1b30530b, 0x56251308,   // st.sw.rw_543 gl.ca.es_432  ht.uz.tr_542 et.eu.mg_443 
  0x0a2d0d0b, 0x04251308, 0x2d5355a4, 0x3f00130b,   // cs.sk.pt_542 et.eu.fi_443  rw.ht.sk_433 et.af.un_520 
  0x3004350d, 0x1312530b, 0x21250c08, 0x11000b08,   // tg.ru.uz_554 ht.hu.et_542  sv.eu.jw_443 es.ro.un_430 
  0x03000714, 0x2d0f0d0c, 0x0a073502, 0x111707a9,   // it.nl.un_660 cs.lv.sk_543  tg.bg.mk_222 bg.sr.ro_544 
  // [bb80]
  0x642d0d07, 0x1b022fad, 0x30202509, 0x286420af,   // cs.sk.lg_432 su.da.tr_643  eu.sq.uz_444 sq.lg.sw_655 
  0x165623a4, 0x1a6421af, 0x3000111a, 0x0b051104,   // ca.mg.hr_433 jw.lg.tl_655  ro.uz.un_760 ro.fr.es_332 
  0x130c0808, 0x2021130c, 0x2f1c21af, 0x080f0c04,   // no.sv.et_443 et.jw.sq_543  jw.id.su_655 sv.lv.no_332 
  0x30006e0b, 0x3f080f04, 0x18003f04, 0x0a006b0b,   // hmn.uz.un_520 lv.no.af_332  af.ga.un_320 ceb.pt.un_520 
  // [bb90]
  0x0528730c, 0x04170aa7, 0x29001c02, 0x1c130d12,   // ny.sw.fr_543 mk.sr.ru_532  id.sl.un_220 ne.bh.mr_654 
  0x180c1304, 0x11350405, 0x080221ee, 0x30276b12,   // et.sv.ga_332 ru.tg.ro_333  jw.da.no_422 ceb.gd.uz_654 
  0x123701a9, 0x13001f08, 0x0c270805, 0x283018a9,   // en.st.hu_544 cy.et.un_430  no.gd.sv_333 ga.uz.sw_544 
  0x012b050c, 0x0d000612, 0x6b030ca0, 0x0c0f3fa0,   // fr.vi.en_543 de.cs.un_640  sv.nl.ceb_322 af.lv.sv_322 
  // [bba0]
  0x23000412, 0x531164ec, 0x0e3708a4, 0x0d180aaf,   // ru.ky.un_640 lg.ro.ht_644  no.st.is_433 pt.ga.cs_655 
  0x072a1212, 0x082a06a0, 0x171b2304, 0x2d001713,   // hu.mt.it_654 de.mt.no_322  ca.tr.sr_332 sr.sk.un_650 
  0x1b3d3107, 0x046b1a60, 0x2d373d08, 0x292a0dee,   // az.ku.tr_432 tl.ceb.fi_664  ku.st.sk_443 cs.mt.sl_422 
  0x1f0827ac, 0x0c530809, 0x2d5528ad, 0x290c0e11,   // gd.no.cy_632 no.ht.sv_444  sw.rw.sk_643 is.sv.sl_653 
  // [bbb0]
  0x306418a0, 0x301b3da0, 0x0d00550d, 0x44300405,   // ga.lg.uz_322 ku.tr.uz_322  rw.cs.un_540 ru.uz.kk_333 
  0x2b002902, 0x03736412, 0x09001a04, 0x73000a07,   // sl.vi.un_220 lg.ny.nl_654  tl.pl.un_320 pt.ny.un_420 
  0x64731a09, 0x2f2064ad, 0x0d006419, 0x04110707,   // tl.ny.lg_444 lg.sq.su_643  lg.cs.un_750 bg.ro.ru_432 
  0x0e04200c, 0x130464af, 0x060902a0, 0x1030640c,   // sq.fi.is_543 lg.fi.et_655  da.pl.de_322 lg.uz.lt_543 
  // [bbc0]
  0x03110208, 0x06000d0c, 0x04070809, 0x083f03ec,   // da.ro.nl_443 cs.de.un_530  uk.bg.ru_444 nl.af.no_644 
  0x011809a4, 0x10040711, 0x73126b05, 0x5300190d,   // pl.ga.en_433 bg.ru.be_653  ceb.hu.ny_333 gl.ht.un_540 
  0x64163055, 0x300835ad, 0x04003107, 0x2d2916a7,   // uz.hr.lg_442 tg.uk.uz_643  az.fi.un_420 hr.sl.sk_532 
  0x1e1a53a4, 0x29007304, 0x0e133f04, 0x25040e02,   // ht.tl.ms_433 ny.sl.un_320  af.et.is_332 is.fi.eu_222 
  // [bbd0]
  0x04647314, 0x190a2da4, 0x0a111304, 0x05232b08,   // ny.lg.fi_666 sk.pt.gl_433  et.ro.pt_332 vi.ca.fr_443 
  0x5564285a, 0x170a1008, 0x2153230c, 0x05101fec,   // sw.lg.rw_553 be.mk.sr_443  ca.ht.jw_543 cy.lt.fr_644 
  0x281a5512, 0x041a280c, 0x0430230c, 0x0b130411,   // rw.tl.sw_654 sw.tl.fi_543  ky.uz.ru_543 fi.et.es_653 
  0x211b7308, 0x04642804, 0x0a4407ee, 0x13551a07,   // ny.tr.jw_443 sw.lg.fi_332  bg.kk.mk_422 tl.rw.et_432 
  // [bbe0]
  0x2f1156a7, 0x13092d0c, 0x64556b04, 0x05312a04,   // mg.ro.su_532 sk.pl.et_543  ceb.rw.lg_332 mt.az.fr_332 
  0x05005502, 0x040e530c, 0x033f0811, 0x13042a0c,   // rw.fr.un_220 ht.is.fi_543  no.af.nl_653 mt.fi.et_543 
  0x20005304, 0x293216ee, 0x28131a04, 0x0e000202,   // ht.sq.un_320 hr.bs.sl_422  tl.et.sw_332 da.is.un_220 
  0x216b1a07, 0x13002105, 0x1b060c12, 0x0d003708,   // tl.ceb.jw_432 jw.et.un_330  sv.de.tr_654 st.cs.un_430 
  // [bbf0]
  0x30001b07, 0x73005511, 0x28217311, 0x0b1f23af,   // tr.uz.un_420 rw.ny.un_630  ny.jw.sw_653 ca.cy.es_655 
  0x0c130fa0, 0x10003504, 0x2123730c, 0x027308a4,   // lv.et.sv_322 tg.be.un_320  ny.ca.jw_543 no.ny.da_433 
  0x201f0107, 0x250b01ee, 0x20131e0c, 0x530913a9,   // en.cy.sq_432 en.es.eu_422  ms.et.sq_543 et.pl.ht_544 
  0x252f64a0, 0x0a040711, 0x552d0305, 0x552112ad,   // lg.su.eu_322 bg.ru.mk_653  nl.sk.rw_333 hu.jw.rw_643 
  
  // [bc00]
  0x53290305, 0x07003021, 0x1a003704, 0x1e1c2902,   // nl.sl.ht_333 uz.bg.un_860  st.tl.un_320 sl.id.ms_222 
  0x03552808, 0x2d1b30a4, 0x201164a0, 0x11010404,   // sw.rw.nl_443 uz.tr.sk_433  lg.ro.sq_322 fi.en.ro_332 
  0x1f5301a0, 0x2f2101a0, 0x3d550b08, 0x30201ea4,   // en.ht.cy_322 en.jw.su_322  es.rw.ku_443 ms.sq.uz_433 
  0x12002014, 0x0a1c2f08, 0x280b55a4, 0x0c0809af,   // sq.hu.un_660 su.id.pt_443  rw.es.sw_433 pl.no.sv_655 
  // [bc10]
  0x2f3f2807, 0x072d2907, 0x28001b0c, 0x300420af,   // sw.af.su_432 sl.sk.it_432  tr.sw.un_530 sq.fi.uz_655 
  0x08000d08, 0x182701af, 0x07001321, 0x28033704,   // cs.no.un_430 en.gd.ga_655  et.it.un_860 st.nl.sw_332 
  0x32092907, 0x532130ec, 0x0d003007, 0x2a00020e,   // sl.pl.bs_432 uz.jw.ht_644  uz.cs.un_420 da.mt.un_550 
  0x1b0d0107, 0x071f2904, 0x18001f07, 0x065605a6,   // en.cs.tr_432 sl.cy.it_332  cy.ga.un_420 fr.mg.de_521 
  // [bc20]
  0x036e3f04, 0x060c1f10, 0x050e1fee, 0x0d6b1fee,   // af.hmn.nl_332 cy.sv.de_642  cy.is.fr_422 cy.ceb.cs_422 
  0x1f303108, 0x04002507, 0x2f1c2707, 0x04251ca7,   // az.uz.cy_443 eu.fi.un_420  gd.id.su_432 id.eu.fi_532 
  0x044407ac, 0x1f6b1aa9, 0x31005321, 0x283f0e04,   // bg.kk.ru_632 tl.ceb.cy_544  ht.az.un_860 is.af.sw_332 
  0x3d21530c, 0x1f6b0eec, 0x12001b11, 0x2a001f19,   // ht.jw.ku_543 is.ceb.cy_644  tr.hu.un_630 cy.mt.un_750 
  // [bc30]
  0x2a3d130c, 0x271e1c08, 0x56100d07, 0x25301b07,   // et.ku.mt_543 id.ms.gd_443  cs.lt.mg_432 tr.uz.eu_432 
  0x033f0513, 0x531a0bee, 0x12001e05, 0x27050411,   // fr.af.nl_665 es.tl.ht_422  ms.hu.un_330 fi.fr.gd_653 
  0x29111355, 0x05122fa7, 0x12200607, 0x6b560412,   // et.ro.sl_442 su.hu.fr_532  de.sq.hu_432 fi.mg.ceb_654 
  0x0c6406ee, 0x1f1a1bee, 0x5600040c, 0x0c060ea0,   // de.lg.sv_422 tr.tl.cy_422  fi.mg.un_530 is.de.sv_322 
  // [bc40]
  0x03080c07, 0x27000404, 0x16000607, 0x182b01ad,   // sv.no.nl_432 fi.gd.un_320  de.hr.un_420 en.vi.ga_643 
  0x01000204, 0x0c020607, 0x27250407, 0x13120bee,   // da.en.un_320 de.da.sv_432  fi.eu.gd_432 es.hu.et_422 
  0x12130908, 0x56000519, 0x2012130c, 0x566b2f07,   // pl.et.hu_443 fr.mg.un_750  et.hu.sq_543 su.ceb.mg_432 
  0x73286455, 0x080253ec, 0x201c2fee, 0x201325a4,   // lg.sw.ny_442 ht.da.no_644  su.id.sq_422 eu.et.sq_433 
  // [bc50]
  0x1210200c, 0x1b001a02, 0x1264550e, 0x13645508,   // sq.lt.hu_543 tl.tr.un_220  rw.lg.hu_555 rw.lg.et_443 
  0x100823a9, 0x0d071304, 0x28321608, 0x122073a4,   // ky.uk.be_544 et.it.cs_332  hr.bs.sw_443 ny.sq.hu_433 
  0x0f030ea7, 0x19000d04, 0x02292d08, 0x293f0308,   // is.nl.lv_532 cs.gl.un_320  sk.sl.da_443 nl.af.sl_443 
  0x280e13ad, 0x076b730c, 0x060e3fa4, 0x1c2f1a07,   // et.is.sw_643 ny.ceb.it_543  af.is.de_433 tl.su.id_432 
  // [bc60]
  0x1c012d07, 0x041013a4, 0x04003005, 0x1a0c0807,   // sk.en.id_432 et.lt.fi_433  uz.fi.un_330 no.sv.tl_432 
  0x44001108, 0x04023007, 0x2a1b2f02, 0x29090f0e,   // ro.kk.un_430 uz.da.fi_432  su.tr.mt_222 lv.pl.sl_555 
  0x171f04ee, 0x0573300c, 0x3f080f07, 0x272d0d04,   // fi.cy.sr_422 uz.ny.fr_543  lv.no.af_432 cs.sk.gd_332 
  0x162d0d0c, 0x30001f19, 0x13033f02, 0x2a3028a4,   // cs.sk.hr_543 cy.uz.un_750  af.nl.et_222 sw.uz.mt_433 
  // [bc70]
  0x533d1b0c, 0x2a00200b, 0x11000d0d, 0x1b1930a4,   // tr.ku.ht_543 sq.mt.un_520  cs.ro.un_540 uz.gl.tr_433 
  0x64001902, 0x2a301211, 0x071e1c02, 0x1e0e1ca0,   // gl.lg.un_220 hu.uz.mt_653  id.ms.it_222 id.is.ms_322 
  0x080e64a0, 0x1e2864a0, 0x044423ec, 0x300804ec,   // lg.is.no_322 lg.sw.ms_322  ky.kk.ru_644 ru.uk.uz_644 
  0x1f1b3005, 0x1000441a, 0x110c23af, 0x0c081304,   // uz.tr.cy_333 kk.be.un_760  ca.sv.ro_655 et.no.sv_332 
  // [bc80]
  0x35040a04, 0x0e182dad, 0x3f130312, 0x1c215355,   // mk.ru.tg_332 sk.ga.is_643  nl.et.af_654 ht.jw.id_442 
  0x2f1c1ea6, 0x28557309, 0x08003704, 0x552028a4,   // ms.id.su_521 ny.rw.sw_444  st.no.un_320 sw.sq.rw_433 
  0x0a040808, 0x040710ec, 0x4423100d, 0x1b311ead,   // uk.ru.mk_443 be.bg.ru_644  be.ky.kk_554 ms.az.tr_643 
  0x1c005604, 0x311e3012, 0x011b0507, 0x37001905,   // mg.id.un_320 uz.ms.az_654  fr.tr.en_432 gl.st.un_330 
  // [bc90]
  0x2a006402, 0x05312104, 0x19005319, 0x3f1f040d,   // lg.mt.un_220 jw.az.fr_332  ht.gl.un_750 fi.cy.af_554 
  0x1f2718ee, 0x18001304, 0x0710350c, 0x08071007,   // ga.gd.cy_422 et.ga.un_320  tg.be.bg_543 be.bg.uk_432 
  0x1f003f1a, 0x10002323, 0x230b19ec, 0x25002f08,   // af.cy.un_760 ky.be.un_880  gl.es.ca_644 su.eu.un_430 
  0x2f2556a4, 0x30566ba4, 0x252f5608, 0x190b2da0,   // mg.eu.su_433 ceb.mg.uz_433  mg.su.eu_443 sk.es.gl_322 
  // [bca0]
  0x2f252112, 0x566b25ec, 0x23005619, 0x28000713,   // jw.eu.su_654 eu.ceb.mg_644  mg.ca.un_750 it.sw.un_650 
  0x551b64a0, 0x25005614, 0x08001f09, 0x56252fa4,   // lg.tr.rw_322 mg.eu.un_660  cy.no.un_440 su.eu.mg_433 
  0x2f255613, 0x08234412, 0x102f6b0c, 0x03190b55,   // mg.eu.su_665 kk.ky.uk_654  ceb.su.lt_543 es.gl.nl_442 
  0x2b2556af, 0x2d0d18ee, 0x030511ee, 0x0b110560,   // mg.eu.vi_655 ga.cs.sk_422  ro.fr.nl_422 fr.ro.es_664 
  // [bcb0]
  0x1b255504, 0x0a3035a6, 0x060c0305, 0x08551104,   // rw.eu.tr_332 tg.uz.mk_521  nl.sv.de_333 ro.rw.no_332 
  0x30070aa0, 0x1b0953ad, 0x11095507, 0x0a080202,   // mk.bg.uz_322 ht.pl.tr_643  rw.pl.ro_432 da.no.pt_222 
  0x55001108, 0x1c0c3007, 0x6e6b01ad, 0x0f100112,   // ro.rw.un_430 uz.sv.id_432  en.ceb.hmn_643 en.lt.lv_654 
  0x1b0306ec, 0x0a201b12, 0x1000060c, 0x0c0f1309,   // de.nl.tr_644 tr.sq.pt_654  de.lt.un_530 et.lv.sv_444 
  // [bcc0]
  0x050f100c, 0x063120ee, 0x2f2a560c, 0x2300181a,   // lt.lv.fr_543 sq.az.de_422  mg.mt.su_543 ga.ca.un_760 
  0x370111a4, 0x0f101aa7, 0x1c130d09, 0x010f3f07,   // ro.en.st_433 tl.lt.lv_532  ne.bh.mr_444 af.lv.en_432 
  0x010f13ec, 0x0f000322, 0x08113007, 0x0a2f11ee,   // et.lv.en_644 nl.lv.un_870  uz.ro.uk_432 ro.su.pt_422 
  0x0f185609, 0x233f01a9, 0x21001a05, 0x010e050c,   // mg.ga.lv_444 en.af.ca_544  tl.jw.un_330 fr.is.en_543 
  // [bcd0]
  0x161029a4, 0x16002508, 0x3d000613, 0x0a005502,   // sl.lt.hr_433 eu.hr.un_430  de.ku.un_650 rw.pt.un_220 
  0x2a002011, 0x060f0107, 0x31001007, 0x180123a9,   // sq.mt.un_630 en.lv.de_432  lt.az.un_420 ca.en.ga_544 
  0x10171604, 0x2b18270c, 0x051e73ee, 0x300128a7,   // hr.sr.lt_332 gd.ga.vi_543  ny.ms.fr_422 sw.en.uz_532 
  0x37003f1a, 0x23001f21, 0x252d29ad, 0x04301ea4,   // af.st.un_760 cy.ca.un_860  sl.sk.eu_643 ms.uz.fi_433 
  // [bce0]
  0x1b643111, 0x181027ec, 0x0f100607, 0x561a3013,   // az.lg.tr_653 gd.lt.ga_644  de.lt.lv_432 uz.tl.mg_665 
  0x6e00012b, 0x1a3d3108, 0x1a3008a0, 0x1e213702,   // en.hmn.un_980 az.ku.tl_443  no.uz.tl_322 st.jw.ms_222 
  0x6e00100e, 0x2d0d03a9, 0x1a561ea4, 0x1a30310c,   // lt.hmn.un_550 nl.cs.sk_544  ms.mg.tl_433 az.uz.tl_543 
  0x082a010d, 0x172a070b, 0x3f190aa7, 0x091308ad,   // en.mt.no_554 it.mt.sr_542  pt.gl.af_532 no.et.pl_643 
  // [bcf0]
  0x302f1ca4, 0x0b133202, 0x131a1ca4, 0x1b1f300c,   // id.su.uz_433 bs.et.es_222  id.tl.et_433 uz.cy.tr_543 
  0x06040fa0, 0x6b306409, 0x3f0809ad, 0x01302004,   // lv.fi.de_322 lg.uz.ceb_444  pl.no.af_643 sq.uz.en_332 
  0x1b106b60, 0x01190b04, 0x73556455, 0x1b002508,   // ceb.lt.tr_664 es.gl.en_332  lg.rw.ny_442 eu.tr.un_430 
  0x046e3707, 0x3f132fa4, 0x0c0110ee, 0x25303109,   // st.hmn.fi_432 su.et.af_433  lt.en.sv_422 az.uz.eu_444 
  // [bd00]
  0x28090407, 0x08002713, 0x6b3001a7, 0x172d29a0,   // fi.pl.sw_432 gd.no.un_650  en.uz.ceb_532 sl.sk.sr_322 
  0x301b530c, 0x171c1eee, 0x1f2327a7, 0x641a1e07,   // ht.tr.uz_543 ms.id.sr_422  gd.ca.cy_532 ms.tl.lg_432 
  0x28207308, 0x25001b04, 0x08071b04, 0x08230702,   // ny.sq.sw_443 tr.eu.un_320  tr.it.no_332 bg.ky.uk_222 
  0x3d55200c, 0x3d371008, 0x2d002807, 0x21287304,   // sq.rw.ku_543 lt.st.ku_443  sw.sk.un_420 ny.sw.jw_332 
  // [bd10]
  0x1b73280b, 0x08025505, 0x55000714, 0x2f551207,   // sw.ny.tr_542 rw.da.no_333  it.rw.un_660 hu.rw.su_432 
  0x182d1211, 0x08003712, 0x3f002b0d, 0x200f3d04,   // hu.sk.ga_653 st.no.un_640  vi.af.un_540 ku.lv.sq_332 
  0x1b213702, 0x0a000e19, 0x061101a4, 0x08000b02,   // st.jw.tr_222 is.pt.un_750  en.ro.de_433 es.no.un_220 
  0x73012905, 0x0d071313, 0x160125a0, 0x08022da9,   // sl.en.ny_333 et.it.cs_665  eu.en.hr_322 sk.da.no_544 
  // [bd20]
  0x20001b19, 0x303507a4, 0x12645507, 0x0d1b1104,   // tr.sq.un_750 bg.tg.uz_433  rw.lg.hu_432 ro.tr.cs_332 
  0x29002008, 0x29172da6, 0x230420ad, 0x0e53040c,   // sq.sl.un_430 sk.sr.sl_521  sq.fi.ca_643 fi.ht.is_543 
  0x1a5573a0, 0x1a007322, 0x0e00040e, 0x1b04200b,   // ny.rw.tl_322 ny.tl.un_870  fi.is.un_550 sq.fi.tr_542 
  0x2b641c0c, 0x2f003702, 0x18120107, 0x13080f07,   // id.lg.vi_543 st.su.un_220  en.hu.ga_432 lv.no.et_432 
  // [bd30]
  0x2f000e08, 0x1c1316a0, 0x643f035a, 0x1a00130e,   // is.su.un_430 hr.et.id_322  nl.af.lg_553 et.tl.un_550 
  0x0a003508, 0x30234460, 0x040701a0, 0x18002507,   // tg.mk.un_430 kk.ky.uz_664  en.it.fi_322 eu.ga.un_420 
  0x20000d09, 0x0a3007a4, 0x731c1eec, 0x20040eec,   // cs.sq.un_440 bg.uz.mk_433  ms.id.ny_644 is.fi.sq_644 
  0x6e003204, 0x09132f04, 0x171023ec, 0x3f1e1c0c,   // bs.hmn.un_320 su.et.pl_332  ky.be.sr_644 id.ms.af_543 
  // [bd40]
  0x1b0f2f0c, 0x2500290d, 0x2f3f060c, 0x1b6e1604,   // su.lv.tr_543 sl.eu.un_540  de.af.su_543 hr.hmn.tr_332 
  0x327325a0, 0x230a070b, 0x040735a4, 0x033f29ee,   // eu.ny.bs_322 bg.mk.ky_542  tg.bg.ru_433 sl.af.nl_422 
  0x271e1c09, 0x2f6b1ba9, 0x29206e07, 0x0c03730c,   // id.ms.gd_444 tr.ceb.su_544  hmn.sq.sl_432 ny.nl.sv_543 
  0x311b3da0, 0x1e1c0ca9, 0x3d6b2107, 0x3d0a300c,   // ku.tr.az_322 sv.id.ms_544  jw.ceb.ku_432 uz.pt.ku_543 
  // [bd50]
  0x306b1aa0, 0x30002020, 0x040f1012, 0x110a1760,   // tl.ceb.uz_322 sq.uz.un_850  lt.lv.fi_654 sr.mk.ro_664 
  0x30003d07, 0x0e020812, 0x350708a7, 0x190a31a9,   // ku.uz.un_420 no.da.is_654  uk.bg.tg_532 az.pt.gl_544 
  0x10170410, 0x211a2fa4, 0x0f000209, 0x20102812,   // ru.sr.be_642 su.tl.jw_433  da.lv.un_440 sw.lt.sq_654 
  0x2f641307, 0x2f231a08, 0x27001008, 0x6b000d08,   // et.lg.su_432 tl.ca.su_443  lt.gd.un_430 cs.ceb.un_430 
  // [bd60]
  0x200802ad, 0x1b317304, 0x252053a4, 0x31000505,   // da.no.sq_643 ny.az.tr_332  ht.sq.eu_433 fr.az.un_330 
  0x0830310c, 0x1c2b010c, 0x230a1002, 0x440411a7,   // az.uz.no_543 en.vi.id_543  be.mk.ky_222 ro.ru.kk_532 
  0x2a002102, 0x320a0e04, 0x13281fee, 0x070a1155,   // jw.mt.un_220 is.pt.bs_332  cy.sw.et_422 ro.mk.bg_442 
  0x35100412, 0x11736408, 0x555611a7, 0x061c21ee,   // ru.be.tg_654 lg.ny.ro_443  ro.mg.rw_532 jw.id.de_422 
  // [bd70]
  0x27003721, 0x21281107, 0x01193d07, 0x18642fa4,   // st.gd.un_860 ro.sw.jw_432  ku.gl.en_432 su.lg.ga_433 
  0x18052711, 0x32301602, 0x641155a4, 0x046b1309,   // gd.fr.ga_653 hr.uz.bs_222  rw.ro.lg_433 et.ceb.fi_444 
  0x2f001108, 0x2d296460, 0x313029a0, 0x092864a0,   // ro.su.un_430 lg.sl.sk_664  sl.uz.az_322 lg.sw.pl_322 
  0x111827a9, 0x64281a05, 0x1c201602, 0x376b1807,   // gd.ga.ro_544 tl.sw.lg_333  hr.sq.id_222 ga.ceb.st_432 
  // [bd80]
  0x645529a7, 0x64315512, 0x5300270c, 0x091f2d04,   // sl.rw.lg_532 rw.az.lg_654  gd.ht.un_530 sk.cy.pl_332 
  0x04645504, 0x32092d04, 0x1f553d04, 0x6b1c1aec,   // rw.lg.fi_332 sk.pl.bs_332  ku.rw.cy_332 tl.id.ceb_644 
  0x13371112, 0x283711af, 0x28536ba0, 0x033f11af,   // ro.st.et_654 ro.st.sw_655  ceb.ht.sw_322 ro.af.nl_655 
  0x033713a9, 0x32161114, 0x29020c60, 0x1b11130c,   // et.st.nl_544 ro.hr.bs_666  sv.da.sl_664 et.ro.tr_543 
  // [bd90]
  0x313016ee, 0x64211caf, 0x09006e34, 0x11003729,   // hr.uz.az_422 id.jw.lg_655  hmn.pl.un_A80 st.ro.un_960 
  0x11640408, 0x56001c05, 0x110a0714, 0x321b1107,   // fi.lg.ro_443 id.mg.un_330  bg.mk.ro_666 ro.tr.bs_432 
  0x031c1102, 0x210e56a0, 0x2f036e0e, 0x1c1b1eee,   // ro.id.nl_222 mg.is.jw_322  hmn.nl.su_555 ms.tr.id_422 
  0x23070a55, 0x2d0d6e11, 0x531b11ad, 0x12002804,   // mk.bg.ky_442 hmn.cs.sk_653  ro.tr.ht_643 sw.hu.un_320 
  // [bda0]
  0x0e04270d, 0x0d131113, 0x561e1c14, 0x0c0620a4,   // gd.fi.is_554 ro.et.cs_665  id.ms.mg_666 sq.de.sv_433 
  0x07191f07, 0x1b01530c, 0x10313012, 0x3f13110c,   // cy.gl.it_432 ht.en.tr_543  uz.az.lt_654 ro.et.af_543 
  0x37111311, 0x180d1205, 0x1104070d, 0x731137ac,   // et.ro.st_653 hu.cs.ga_333  bg.ru.ro_554 st.ro.ny_632 
  0x100711ec, 0x170423a0, 0x0e3d060c, 0x052321ad,   // ro.bg.be_644 ky.ru.sr_322  de.ku.is_543 jw.ca.fr_643 
  // [bdb0]
  0x05001a0d, 0x6456730c, 0x11000611, 0x1a276b12,   // tl.fr.un_540 ny.mg.lg_543  de.ro.un_630 ceb.gd.tl_654 
  0x30252a07, 0x0c00180c, 0x0c033fad, 0x1a00041b,   // mt.eu.uz_432 ga.sv.un_530  af.nl.sv_643 fi.tl.un_770 
  0x05001813, 0x1b110504, 0x641b37ee, 0x131a04ad,   // ga.fr.un_650 fr.ro.tr_332  st.tr.lg_422 fi.tl.et_643 
  0x6b1a04a9, 0x09291807, 0x02001f12, 0x313001ee,   // fi.tl.ceb_544 ga.sl.pl_432  cy.da.un_640 en.uz.az_422 
  // [bdc0]
  0x310e1bad, 0x6e000a1b, 0x030c3f60, 0x086e30ad,   // tr.is.az_643 pt.hmn.un_770  af.sv.nl_664 uz.hmn.no_643 
  0x1200021a, 0x21531aee, 0x09006e0d, 0x1a042fee,   // da.hu.un_760 tl.ht.jw_422  hmn.pl.un_540 su.fi.tl_422 
  0x250c0ea4, 0x6b1a2107, 0x1a0e6b07, 0x1e041302,   // is.sv.eu_433 jw.tl.ceb_432  ceb.is.tl_432 et.fi.ms_222 
  0x056e1f0c, 0x072304a4, 0x02273f07, 0x6e530a09,   // cy.hmn.fr_543 ru.ky.bg_433  af.gd.da_432 pt.ht.hmn_444 
  // [bdd0]
  0x3f6e3013, 0x05530308, 0x030c3fa4, 0x1b006b0c,   // uz.hmn.af_665 nl.ht.fr_443  af.sv.nl_433 ceb.tr.un_530 
  0x0730355a, 0x0f2916ee, 0x44303508, 0x0f0413ee,   // tg.uz.bg_553 hr.sl.lv_422  tg.uz.kk_443 et.fi.lv_422 
  0x131a0411, 0x0a2f6ea9, 0x0c0204ad, 0x2a6e0107,   // fi.tl.et_653 hmn.su.pt_544  fi.da.sv_643 en.hmn.mt_432 
  0x03563f0c, 0x1800120b, 0x080a1755, 0x190b64a9,   // af.mg.nl_543 ur.ar.un_520  sr.mk.uk_442 lg.es.gl_544 
  // [bde0]
  0x6e000e1a, 0x250f100c, 0x0a1011a0, 0x300a35ec,   // is.hmn.un_760 lt.lv.eu_543  ro.be.mk_322 tg.mk.uz_644 
  0x443004ec, 0x3f557304, 0x13121bee, 0x230603a4,   // ru.uz.kk_644 ny.rw.af_332  tr.hu.et_422 nl.de.ca_433 
  0x311a1ba4, 0x73002922, 0x6b530107, 0x050b0a02,   // tr.tl.az_433 sl.ny.un_870  en.ht.ceb_432 pt.es.fr_222 
  0x6b1b3112, 0x0d040107, 0x567325ec, 0x64055304,   // az.tr.ceb_654 en.fi.cs_432  eu.ny.mg_644 ht.fr.lg_332 
  // [bdf0]
  0x566473ad, 0x31301b05, 0x3719010c, 0x1a1b3007,   // ny.lg.mg_643 tr.uz.az_333  en.gl.st_543 uz.tr.tl_432 
  0x0f0e10a0, 0x0f106e60, 0x531c01a6, 0x13001b05,   // lt.is.lv_322 hmn.lt.lv_664  en.id.ht_521 tr.et.un_330 
  0x2f023fad, 0x081b0255, 0x532801ee, 0x043031a0,   // af.da.su_643 da.tr.no_442  en.sw.ht_422 az.uz.fi_322 
  0x03073f12, 0x02321605, 0x731b02ee, 0x30311b08,   // af.it.nl_654 hr.bs.da_333  da.tr.ny_422 tr.az.uz_443 
  // [be00]
  0x02071ba0, 0x132f0208, 0x35080412, 0x040823a4,   // tr.it.da_322 da.su.et_443  ru.uk.tg_654 ky.uk.ru_433 
  0x1200180b, 0x023f1707, 0x1b190b08, 0x0a231111,   // ga.hu.un_520 sr.af.da_432  es.gl.tr_443 ro.ky.mk_653 
  0x1b000c0e, 0x3d001b08, 0x64000609, 0x6413550c,   // sv.tr.un_550 tr.ku.un_430  de.lg.un_440 rw.et.lg_543 
  0x1b02080b, 0x3f10230c, 0x02532908, 0x312a1fa7,   // no.da.tr_542 ca.lt.af_543  sl.ht.da_443 cy.mt.az_532 
  // [be10]
  0x021b11ad, 0x0704110b, 0x1f020807, 0x56530512,   // ro.tr.da_643 ro.ru.bg_542  no.da.cy_432 fr.ht.mg_654 
  0x20301b55, 0x3d736ea4, 0x03000212, 0x6b130f07,   // tr.uz.sq_442 hmn.ny.ku_433  da.nl.un_640 lv.et.ceb_432 
  0x01550504, 0x1f0364a9, 0x2a180a09, 0x301004a9,   // fr.rw.en_332 lg.nl.cy_544  pt.ga.mt_444 ru.be.uz_544 
  0x055301a9, 0x0f103fa7, 0x0a013707, 0x230c0e11,   // en.ht.fr_544 af.lt.lv_532  st.en.pt_432 is.sv.ca_653 
  // [be20]
  0x2a0c08a0, 0x02081107, 0x0c041fa0, 0x0c086b08,   // no.sv.mt_322 ro.no.da_432  cy.fi.sv_322 ceb.no.sv_443 
  0x1035300d, 0x0c0e0fee, 0x0f230507, 0x080c0f55,   // uz.tg.be_554 lv.is.sv_422  fr.ca.lv_432 lv.sv.no_442 
  0x2f1805ee, 0x0200012a, 0x1e531ca4, 0x1202080c,   // fr.ga.su_422 en.da.un_970  id.ht.ms_433 no.da.hu_543 
  0x2900160e, 0x28185612, 0x1c2f2811, 0x3507080c,   // hr.sl.un_550 mg.ga.sw_654  sw.su.id_653 uk.bg.tg_543 
  // [be30]
  0x0553020c, 0x04443007, 0x0500560c, 0x0d000307,   // da.ht.fr_543 uz.kk.ru_432  mg.fr.un_530 nl.cs.un_420 
  0x1153050c, 0x3f060313, 0x063f270b, 0x6b5625a4,   // fr.ht.ro_543 nl.de.af_665  gd.af.de_542 eu.mg.ceb_433 
  0x35171104, 0x3f552104, 0x2f271804, 0x28071108,   // ro.sr.tg_332 jw.rw.af_332  ga.gd.su_332 ro.it.sw_443 
  0x08020114, 0x04561e07, 0x0f002305, 0x1e28110c,   // en.da.no_666 ms.mg.fi_432  ca.lv.un_330 ro.sw.ms_543 
  // [be40]
  0x1c302107, 0x190a05ec, 0x033f1207, 0x21002a07,   // jw.uz.id_432 fr.pt.gl_644  hu.af.nl_432 mt.jw.un_420 
  0x6b1001a7, 0x53080204, 0x2f211f0c, 0x37286460,   // en.lt.ceb_532 da.no.ht_332  cy.jw.su_543 lg.sw.st_664 
  0x2f1156ee, 0x060801a0, 0x301b31ee, 0x1c002504,   // mg.ro.su_422 en.no.de_322  az.tr.uz_422 eu.id.un_320 
  0x23071907, 0x01115607, 0x20001013, 0x6b091aa0,   // gl.it.ca_432 mg.ro.en_432  lt.sq.un_650 tl.pl.ceb_322 
  // [be50]
  0x0a6b18ee, 0x080602ee, 0x09000634, 0x11001a09,   // ga.ceb.pt_422 da.de.no_422  de.pl.un_A80 tl.ro.un_440 
  0x1e1c6ba9, 0x2d04050c, 0x30042312, 0x102d0f13,   // ceb.id.ms_544 fr.fi.sk_543  ky.ru.uz_654 lv.sk.lt_665 
  0x09560155, 0x12005611, 0x11441112, 0x25125508,   // en.mg.pl_442 mg.hu.un_630  ro.kk.ro_654 rw.hu.eu_443 
  0x56090dec, 0x08020607, 0x23001b12, 0x250a30ee,   // cs.pl.mg_644 de.da.no_432  tr.ca.un_640 uz.pt.eu_422 
  // [be60]
  0x131112a4, 0x311b32a0, 0x2f131a0d, 0x07231008,   // hu.ro.et_433 bs.tr.az_322  tl.et.su_554 be.ky.bg_443 
  0x100f20af, 0x280c0807, 0x56211ca4, 0x2d0d2912,   // sq.lv.lt_655 no.sv.sw_432  id.jw.mg_433 sl.cs.sk_654 
  0x2d301107, 0x052a2708, 0x20131e07, 0x2f000807,   // ro.uz.sk_432 gd.mt.fr_443  ms.et.sq_432 no.su.un_420 
  0x3f040314, 0x302f25a4, 0x203031af, 0x281f01a0,   // nl.fi.af_666 eu.su.uz_433  az.uz.sq_655 en.cy.sw_322 
  // [be70]
  0x04082309, 0x0c2808ee, 0x3d001319, 0x35443011,   // ky.uk.ru_444 no.sw.sv_422  et.ku.un_750 uz.kk.tg_653 
  0x0e641f07, 0x2f1f0807, 0x56370612, 0x135520a4,   // cy.lg.is_432 no.cy.su_432  de.st.mg_654 sq.rw.et_433 
  0x354423af, 0x2a5328ad, 0x56000921, 0x291364a4,   // ky.kk.tg_655 sw.ht.mt_643  pl.mg.un_860 lg.et.sl_433 
  0x11036ea7, 0x01732704, 0x55005613, 0x051b530d,   // hmn.nl.ro_532 gd.ny.en_332  mg.rw.un_650 ht.tr.fr_554 
  // [be80]
  0x2f286e07, 0x370d55a0, 0x01181302, 0x1b000607,   // hmn.sw.su_432 rw.cs.st_322  et.ga.en_222 de.tr.un_420 
  0x300931a9, 0x1c0811a0, 0x17080e0c, 0x0e001f11,   // az.pl.uz_544 ro.no.id_322  is.no.sr_543 cy.is.un_630 
  0x3f1304a4, 0x1b293007, 0x30073504, 0x303216ad,   // fi.et.af_433 uz.sl.tr_432  tg.bg.uz_332 hr.bs.uz_643 
  0x0c085609, 0x0b0a27a0, 0x046b6402, 0x051f270b,   // mg.no.sv_444 gd.pt.es_322  lg.ceb.fi_222 gd.cy.fr_542 
  // [be90]
  0x211e29ee, 0x234430a4, 0x1a006e0c, 0x18061f0c,   // sl.ms.jw_422 uz.kk.ky_433  hmn.tl.un_530 cy.de.ga_543 
  0x303507ee, 0x282a6408, 0x07002d1a, 0x1a556b05,   // bg.tg.uz_422 lg.mt.sw_443  sk.it.un_760 ceb.rw.tl_333 
  0x31001805, 0x231801ee, 0x01561f0c, 0x44000423,   // ga.az.un_330 en.ga.ca_422  cy.mg.en_543 ru.kk.un_880 
  0x353044a0, 0x066b01a0, 0x3f006e0d, 0x190a05a7,   // kk.uz.tg_322 en.ceb.de_322  hmn.af.un_540 fr.pt.gl_532 
  // [bea0]
  0x190a050c, 0x230410a4, 0x0f5528ee, 0x1e1c31a0,   // fr.pt.gl_543 be.ru.ky_433  sw.rw.lv_422 az.id.ms_322 
  0x0400060c, 0x100a07a0, 0x1000300e, 0x11070a05,   // de.fi.un_530 bg.mk.be_322  uz.be.un_550 mk.bg.ro_333 
  0x07041112, 0x23000e0e, 0x061b1307, 0x73003714,   // ro.ru.bg_654 is.ca.un_550  et.tr.de_432 st.ny.un_660 
  0x1a001812, 0x1f00300e, 0x1f041aad, 0x00000903,   // ga.tl.un_640 uz.cy.un_550  tl.fi.cy_643 hi.un.un_300 
  // [beb0]
  0x1b322fa4, 0x3f002505, 0x0a002d11, 0x282721ac,   // su.bs.tr_433 eu.af.un_330  sk.pt.un_630 jw.gd.sw_632 
  0x2a1107a0, 0x08002b02, 0x03253fa9, 0x0a230eaf,   // it.ro.mt_322 vi.no.un_220  af.eu.nl_544 is.ca.pt_655 
  0x302801a4, 0x080a35a0, 0x283773ad, 0x170a0404,   // en.sw.uz_433 tg.mk.uk_322  ny.st.sw_643 ru.mk.sr_332 
  0x12001811, 0x1820010c, 0x2720010b, 0x31000613,   // ar.ur.un_630 en.sq.ga_543  en.sq.gd_542 de.az.un_650 
  // [bec0]
  0x01055604, 0x641f5508, 0x64000614, 0x0e130404,   // mg.fr.en_332 rw.cy.lg_443  de.lg.un_660 fi.et.is_332 
  0x060955ad, 0x06550111, 0x0a000404, 0x311b12b4,   // rw.pl.de_643 en.rw.de_653  ru.mk.un_320 hu.tr.az_754 
  0x2800210d, 0x1b060507, 0x061f37a0, 0x2d001608,   // jw.sw.un_540 fr.de.tr_432  st.cy.de_322 hr.sk.un_430 
  0x250b23a7, 0x0664550d, 0x23190a0e, 0x052a0107,   // ca.es.eu_532 rw.lg.de_554  pt.gl.ca_555 en.mt.fr_432 
  // [bed0]
  0x066455a0, 0x1e1c0b0c, 0x28061fa0, 0x282f2104,   // rw.lg.de_322 es.id.ms_543  cy.de.sw_322 jw.su.sw_332 
  0x3000100d, 0x05001f19, 0x1f3f64a0, 0x06552112,   // be.uz.un_540 cy.fr.un_750  lg.af.cy_322 jw.rw.de_654 
  0x2f1f2812, 0x0a10080c, 0x063f09ad, 0x2800290e,   // sw.cy.su_654 uk.be.mk_543  pl.af.de_643 sl.sw.un_550 
  0x08000a0e, 0x1711115a, 0x043517a4, 0x2f1f37a9,   // mk.uk.un_550 ro.ro.sr_553  sr.tg.ru_433 st.cy.su_544 
  // [bee0]
  0x1f2f2104, 0x282f29ee, 0x230b28a7, 0x1f0c25a7,   // jw.su.cy_332 sl.su.sw_422  sw.es.ca_532 eu.sv.cy_532 
  0x122118a7, 0x0a2913a4, 0x1f2f1c02, 0x212f37af,   // ar.fa.ur_532 et.sl.pt_433  id.su.cy_222 st.su.jw_655 
  0x1a041fa7, 0x53731304, 0x3f002813, 0x132d0da4,   // cy.fi.tl_532 et.ny.ht_332  sw.af.un_650 cs.sk.et_433 
  0x1a1c1fa0, 0x0830030c, 0x373013ac, 0x06132807,   // cy.id.tl_322 nl.uz.no_543  et.uz.st_632 sw.et.de_432 
  // [bef0]
  0x113f370c, 0x3f1e1c05, 0x370c2508, 0x2a0827a0,   // st.af.ro_543 id.ms.af_333  eu.sv.st_443 gd.no.mt_322 
  0x13120613, 0x12190b14, 0x190b05af, 0x1b5355af,   // de.hu.et_665 es.gl.hu_666  fr.es.gl_655 rw.ht.tr_655 
  0x3f55730e, 0x3f2a0809, 0x32001f04, 0x29080907,   // ny.rw.af_555 no.mt.af_444  cy.bs.un_320 pl.no.sl_432 
  0x0e091f0c, 0x2f060c04, 0x2a00060d, 0x1100101b,   // cy.pl.is_543 sv.de.su_332  de.mt.un_540 be.ro.un_770 
  // [bf00]
  0x2100060d, 0x3530070d, 0x17001018, 0x17060804,   // de.jw.un_540 bg.uz.tg_554  be.sr.un_740 no.de.sr_332 
  0x3f020807, 0x040c1fa4, 0x040c1308, 0x2b2f010b,   // no.da.af_432 cy.sv.fi_433  et.sv.fi_443 en.su.vi_542 
  0x0c000209, 0x32303155, 0x3f020fa0, 0x041007a7,   // da.sv.un_440 az.uz.bs_442  lv.da.af_322 bg.be.ru_532 
  0x6b3f01a0, 0x08043f07, 0x12060ca0, 0x56255508,   // en.af.ceb_322 af.fi.no_432  sv.de.hu_322 rw.eu.mg_443 
  // [bf10]
  0x04101708, 0x012805ee, 0x28271808, 0x3507040b,   // sr.be.ru_443 fr.sw.en_422  ga.gd.sw_443 ru.bg.tg_542 
  0x56002519, 0x2b6b040c, 0x2b2f1c02, 0x532b28ee,   // eu.mg.un_750 fi.ceb.vi_543  id.su.vi_222 sw.vi.ht_422 
  0x29203202, 0x7305010c, 0x180a1107, 0x11003534,   // bs.sq.sl_222 en.fr.ny_543  ro.pt.ga_432 tg.ro.un_A80 
  0x28002109, 0x102b2309, 0x271828a4, 0x6b1a27ad,   // jw.sw.un_440 ca.vi.lt_444  sw.ga.gd_433 gd.tl.ceb_643 
  // [bf20]
  0x181a0702, 0x1f5327a9, 0x132506ee, 0x27001113,   // it.tl.ga_222 gd.ht.cy_544  de.eu.et_422 ro.gd.un_650 
  0x2b000712, 0x04255608, 0x30000122, 0x181a0e05,   // it.vi.un_640 mg.eu.fi_443  en.uz.un_870 is.tl.ga_333 
  0x130d09ac, 0x1f1801a4, 0x1c0d2fad, 0x0418270c,   // hi.ne.bh_632 en.ga.cy_433  su.cs.id_643 gd.ga.fi_543 
  0x273718af, 0x11040da4, 0x552528af, 0x202723a4,   // ga.st.gd_655 cs.fi.ro_433  sw.eu.rw_655 ca.gd.sq_433 
  // [bf30]
  0x1c0a21a0, 0x53001804, 0x1900050c, 0x0b071104,   // jw.pt.id_322 ga.ht.un_320  fr.gl.un_530 ro.it.es_332 
  0x110a2355, 0x30441113, 0x2800291a, 0x00000142,   // ca.pt.ro_442 ro.kk.uz_665  sl.sw.un_760 en.un.un_C00 
  0x1a2f10a7, 0x55002f07, 0x0d180e04, 0x250930a6,   // lt.su.tl_532 su.rw.un_420  is.ga.cs_332 uz.pl.eu_521 
  0x23052107, 0x283764a0, 0x07171002, 0x0e010407,   // jw.fr.ca_432 lg.st.sw_322  be.sr.bg_222 fi.en.is_432 
  // [bf40]
  0x0a1007ee, 0x042f0bee, 0x07001907, 0x2a110107,   // bg.be.mk_422 es.su.fi_422  gl.it.un_420 en.ro.mt_432 
  0x07001812, 0x21190bee, 0x3f005607, 0x11001904,   // ga.it.un_640 es.gl.jw_422  mg.af.un_420 gl.ro.un_320 
  0x040e0c04, 0x060b1fa0, 0x071023a6, 0x0c0601a0,   // sv.is.fi_332 cy.es.de_322  ky.be.bg_521 en.de.sv_322 
  0x11112314, 0x070a440d, 0x0a0735ee, 0x070a080e,   // ky.ro.ro_666 kk.mk.bg_554  tg.bg.mk_422 uk.mk.bg_555 
  // [bf50]
  0x08001f1a, 0x0a051960, 0x56370705, 0x03001205,   // cy.no.un_760 gl.fr.pt_664  it.st.mg_333 hu.nl.un_330 
  0x560d2d07, 0x191f0aa4, 0x2d0d37a9, 0x2d0d6b14,   // sk.cs.mg_432 pt.cy.gl_433  st.cs.sk_544 ceb.cs.sk_666 
  0x190b3705, 0x18010607, 0x12040c07, 0x10376407,   // st.es.gl_333 de.en.ga_432  sv.fi.hu_432 lg.st.lt_432 
  0x051f6b55, 0x10044407, 0x30442302, 0x0b000723,   // ceb.cy.fr_442 kk.ru.be_432  ky.kk.uz_222 it.es.un_880 
  // [bf60]
  0x212f1c55, 0x56000d0d, 0x030113ee, 0x10645511,   // id.su.jw_442 cs.mg.un_540  et.en.nl_422 rw.lg.lt_653 
  0x3064090c, 0x532d5605, 0x64195304, 0x55071c04,   // pl.lg.uz_543 mg.sk.ht_333  ht.gl.lg_332 id.it.rw_332 
  0x11110708, 0x3500230d, 0x173530a4, 0x06002904,   // bg.ro.ro_443 ky.tg.un_540  uz.tg.sr_433 sl.de.un_320 
  0x55303112, 0x1a556408, 0x16001a07, 0x3f060309,   // az.uz.rw_654 lg.rw.tl_443  tl.hr.un_420 nl.de.af_444 
  // [bf70]
  0x17100a0d, 0x2d29010c, 0x04132304, 0x64001a0c,   // mk.be.sr_554 en.sl.sk_543  ca.et.fi_332 tl.lg.un_530 
  0x556b1aa9, 0x25001002, 0x29000c14, 0x29001713,   // tl.ceb.rw_544 lt.eu.un_220  sv.sl.un_660 sr.sl.un_650 
  0x646b550c, 0x074423ee, 0x292d1ea0, 0x09561e04,   // rw.ceb.lg_543 ky.kk.bg_422  ms.sk.sl_322 ms.mg.pl_332 
  0x201b3105, 0x1e1337ee, 0x06000e0c, 0x2064730d,   // az.tr.sq_333 st.et.ms_422  is.de.un_530 ny.lg.sq_554 
  // [bf80]
  0x06003f13, 0x08120eee, 0x641a6ba7, 0x20292d07,   // af.de.un_650 is.hu.no_422  ceb.tl.lg_532 sk.sl.sq_432 
  0x5520300c, 0x1b202908, 0x041e1c13, 0x0e1c1ead,   // uz.sq.rw_543 sl.sq.tr_443  id.ms.fi_665 ms.id.is_643 
  0x29202dee, 0x08304455, 0x2920305a, 0x073504a9,   // sk.sq.sl_422 kk.uz.uk_442  uz.sq.sl_553 ru.tg.bg_544 
  0x201029a4, 0x1b072014, 0x25040308, 0x1e1c080e,   // sl.lt.sq_433 sq.it.tr_666  nl.fi.eu_443 no.id.ms_555 
  // [bf90]
  0x551b200c, 0x1a00130c, 0x0f000421, 0x04071713,   // sq.tr.rw_543 et.tl.un_530  fi.lv.un_860 sr.bg.ru_665 
  0x033f06ec, 0x08371fad, 0x3f0908a0, 0x1000072b,   // de.af.nl_644 cy.st.no_643  no.pl.af_322 bg.be.un_980 
  0x121f1104, 0x29007314, 0x2f003d18, 0x0a190513,   // ro.cy.hu_332 ny.sl.un_660  ku.su.un_740 fr.gl.pt_665 
  0x0b0705ee, 0x050b2307, 0x532d0d55, 0x190b30ee,   // fr.it.es_422 ca.es.fr_432  cs.sk.ht_442 uz.es.gl_422 
  // [bfa0]
  0x350a3008, 0x6b287312, 0x28250da0, 0x25100f12,   // uz.mk.tg_443 ny.sw.ceb_654  cs.eu.sw_322 lv.lt.eu_654 
  0x0b0a05a4, 0x1f007308, 0x1a002f09, 0x0e000113,   // fr.pt.es_433 ny.cy.un_430  su.tl.un_440 en.is.un_650 
  0x0d562daf, 0x050f2f07, 0x1a2f1105, 0x09560da4,   // sk.mg.cs_655 su.lv.fr_432  ro.su.tl_333 cs.mg.pl_433 
  0x01023fa0, 0x28250604, 0x0b00230e, 0x0b1823a0,   // af.da.en_322 de.eu.sw_332  ca.es.un_550 ca.ga.es_322 
  // [bfb0]
  0x0106280d, 0x20280ea7, 0x0c0837ee, 0x562d0d14,   // sw.de.en_554 is.sw.sq_532  st.no.sv_422 cs.sk.mg_666 
  0x731a6ba4, 0x051f07ee, 0x13040ca0, 0x560d2d11,   // ceb.tl.ny_433 it.cy.fr_422  sv.fi.et_322 sk.cs.mg_653 
  0x55732809, 0x3500232b, 0x0f1b3255, 0x0e2a23a6,   // sw.ny.rw_444 ky.tg.un_980  bs.tr.lv_442 ca.mt.is_521 
  0x300c2aec, 0x105507ee, 0x4430230c, 0x02130107,   // mt.sv.uz_644 it.rw.lt_422  ky.uz.kk_543 en.et.da_432 
  // [bfc0]
  0x73112511, 0x202d0d08, 0x64305513, 0x03006b07,   // eu.ro.ny_653 cs.sk.sq_443  rw.uz.lg_665 ceb.nl.un_420 
  0x23080411, 0x21006b07, 0x160a11a0, 0x09642504,   // ru.uk.ky_653 ceb.jw.un_420  ro.pt.hr_322 eu.lg.pl_332 
  0x20122907, 0x20736411, 0x271c010c, 0x07212f0e,   // sl.hu.sq_432 lg.ny.sq_653  en.id.gd_543 su.jw.it_555 
  0x1b301f12, 0x1a6b04ec, 0x0400050d, 0x28000413,   // cy.uz.tr_654 fi.ceb.tl_644  fr.fi.un_540 fi.sw.un_650 
  // [bfd0]
  0x0f133dee, 0x1c000921, 0x310355a7, 0x10003005,   // ku.et.lv_422 hi.mr.un_860  rw.nl.az_532 uz.lt.un_330 
  0x0320060c, 0x1c002805, 0x30352360, 0x0e000507,   // de.sq.nl_543 sw.id.un_330  ky.tg.uz_664 fr.is.un_420 
  0x645530ec, 0x6b3d5605, 0x287321ad, 0x04110855,   // uz.rw.lg_644 mg.ku.ceb_333  jw.ny.sw_643 uk.ro.ru_442 
  0x6b2b6e04, 0x350723a4, 0x062f29a0, 0x19006e0d,   // hmn.vi.ceb_332 ky.bg.tg_433  sl.su.de_322 hmn.gl.un_540 
  // [bfe0]
  0x23003502, 0x55062509, 0x120a0dad, 0x533f1355,   // tg.ky.un_220 eu.de.rw_444  cs.pt.hu_643 et.af.ht_442 
  0x6e131c04, 0x01283002, 0x553756a4, 0x32285608,   // id.et.hmn_332 uz.sw.en_222  mg.st.rw_433 mg.sw.bs_443 
  0x2a375504, 0x13002004, 0x27001304, 0x371255af,   // rw.st.mt_332 sq.et.un_320  et.gd.un_320 rw.hu.st_655 
  0x120e0c02, 0x283725ad, 0x03531ca4, 0x27182ba7,   // sv.is.hu_222 eu.st.sw_643  id.ht.nl_433 vi.ga.gd_532 
  // [bff0]
  0x44231007, 0x123753a4, 0x04322aee, 0x1700320c,   // be.ky.kk_432 ht.st.hu_433  mt.bs.fi_422 bs.sr.un_530 
  0x3f6413ee, 0x552821af, 0x200c0208, 0x11170a12,   // et.lg.af_422 jw.sw.rw_655  da.sv.sq_443 mk.sr.ro_654 
  0x2a001107, 0x2b271e0c, 0x040a350c, 0x23170a04,   // ro.mt.un_420 ms.gd.vi_543  tg.mk.ru_543 mk.sr.ky_332 
  0x061b310d, 0x1f003007, 0x040a1104, 0x170a1005,   // az.tr.de_554 uz.cy.un_420  ro.mk.ru_332 be.mk.sr_333 
  
  // [c000]
  0x1a136b07, 0x0d01560d, 0x08040a13, 0x033f1b0c,   // ceb.et.tl_432 mg.en.cs_554  mk.ru.uk_665 tr.af.nl_543 
  0x55282f05, 0x10002f35, 0x64551208, 0x322f1ba7,   // su.sw.rw_333 su.lt.un_A90  hu.rw.lg_443 tr.su.bs_532 
  0x08000d04, 0x30311bec, 0x53190a04, 0x051104a4,   // cs.no.un_320 tr.az.uz_644  pt.gl.ht_332 fi.ro.fr_433 
  0x55200107, 0x102001ad, 0x12000309, 0x2a1b3204,   // en.sq.rw_432 en.sq.lt_643  nl.hu.un_440 bs.tr.mt_332 
  // [c010]
  0x6b2f13ad, 0x132f2507, 0x03002021, 0x083f0604,   // et.su.ceb_643 eu.su.et_432  sq.nl.un_860 de.af.no_332 
  0x1f1118ac, 0x071e2511, 0x07111308, 0x06563712,   // ga.ro.cy_632 eu.ms.it_653  et.ro.it_443 st.mg.de_654 
  0x253d19a9, 0x37552f0c, 0x03553fa0, 0x121e1c0d,   // gl.ku.eu_544 su.rw.st_543  af.rw.nl_322 id.ms.hu_554 
  0x1a001707, 0x17110a05, 0x282f5607, 0x06312fee,   // sr.tl.un_420 mk.ro.sr_333  mg.su.sw_432 su.az.de_422 
  // [c020]
  0x2f045608, 0x6b3d1b07, 0x1e552807, 0x0c006e04,   // mg.fi.su_443 tr.ku.ceb_432  sw.rw.ms_432 hmn.sv.un_320 
  0x30731a12, 0x3f0803a4, 0x17532902, 0x73645560,   // tl.ny.uz_654 nl.no.af_433  sl.ht.sr_222 rw.lg.ny_664 
  0x16000105, 0x3010110c, 0x11000a13, 0x1a211fa7,   // en.hr.un_330 ro.be.uz_543  mk.ro.un_650 cy.jw.tl_532 
  0x12002f13, 0x2f001f22, 0x32000407, 0x026b1a0c,   // su.hu.un_650 cy.su.un_870  fi.bs.un_420 tl.ceb.da_543 
  // [c030]
  0x08001707, 0x17080a11, 0x0a3011ac, 0x03060207,   // sr.uk.un_420 mk.uk.sr_653  ro.uz.mk_632 da.de.nl_432 
  0x6e1a6b08, 0x16286408, 0x0f286408, 0x64100fee,   // ceb.tl.hmn_443 lg.sw.hr_443  lg.sw.lv_443 lv.lt.lg_422 
  0x080435af, 0x1f1a6bec, 0x0a300709, 0x1800191a,   // tg.ru.uk_655 ceb.tl.cy_644  bg.uz.mk_444 gl.ga.un_760 
  0x3d137308, 0x08110404, 0x3f00070d, 0x0f64550d,   // ny.et.ku_443 ru.ro.uk_332  it.af.un_540 rw.lg.lv_554 
  // [c040]
  0x133773a9, 0x1107130c, 0x23443060, 0x28641ea7,   // ny.st.et_544 et.it.ro_543  uz.kk.ky_664 ms.lg.sw_532 
  0x30122304, 0x73286407, 0x1e1c7305, 0x280756a9,   // ca.hu.uz_332 lg.sw.ny_432  ny.id.ms_333 mg.it.sw_544 
  0x05110713, 0x05212f02, 0x10730412, 0x12082907,   // it.ro.fr_665 su.jw.fr_222  fi.ny.lt_654 sl.no.hu_432 
  0x08071009, 0x072f210c, 0x16732555, 0x3d537307,   // be.bg.uk_444 jw.su.it_543  eu.ny.hr_442 ny.ht.ku_432 
  // [c050]
  0x0964730c, 0x0d005507, 0x6b0431ee, 0x0500101b,   // ny.lg.pl_543 rw.cs.un_420  az.fi.ceb_422 lt.fr.un_770 
  0x2a000c05, 0x0c00270d, 0x37003104, 0x1f212fa9,   // sv.mt.un_330 gd.sv.un_540  az.st.un_320 su.jw.cy_544 
  0x202a2104, 0x022008ad, 0x0a182708, 0x0c20080c,   // jw.mt.sq_332 no.sq.da_643  gd.ga.pt_443 no.sq.sv_543 
  0x2f001802, 0x190a13a0, 0x180e2709, 0x55643d07,   // ga.su.un_220 et.pt.gl_322  gd.is.ga_444 ku.lg.rw_432 
  // [c060]
  0x05060fad, 0x1a0964a0, 0x0e0827a4, 0x55005619,   // lv.de.fr_643 lg.pl.tl_322  gd.no.is_433 mg.rw.un_750 
  0x040e2304, 0x17081004, 0x25005313, 0x06001f1a,   // ca.is.fi_332 be.uk.sr_332  ht.eu.un_650 cy.de.un_760 
  0x0c00041b, 0x302344a0, 0x18271ea0, 0x0c092055,   // fi.sv.un_770 kk.ky.uz_322  ms.gd.ga_322 sq.pl.sv_442 
  0x1f006402, 0x182701ad, 0x0e250504, 0x13052707,   // lg.cy.un_220 en.gd.ga_643  fr.eu.is_332 gd.fr.et_432 
  // [c070]
  0x080e1907, 0x08071709, 0x08171107, 0x0a170812,   // gl.is.no_432 sr.bg.uk_444  ro.sr.uk_432 uk.sr.mk_654 
  0x23114412, 0x10111707, 0x203721a4, 0x1a2820a0,   // kk.ro.ky_654 sr.ro.be_432  jw.st.sq_433 sq.sw.tl_322 
  0x3f55070c, 0x2d172913, 0x1b002119, 0x100907a4,   // it.rw.af_543 sl.sr.sk_665  jw.tr.un_750 it.pl.lt_433 
  0x641f07ec, 0x250a0fa4, 0x12192004, 0x190113a4,   // it.cy.lg_644 lv.pt.eu_433  sq.gl.hu_332 et.en.gl_433 
  // [c080]
  0x291c21ee, 0x0c002d0d, 0x1b311112, 0x133f0c08,   // jw.id.sl_422 sk.sv.un_540  ro.az.tr_654 sv.af.et_443 
  0x13060307, 0x173f0c07, 0x442307af, 0x2d1b310c,   // nl.de.et_432 sv.af.sr_432  bg.ky.kk_655 az.tr.sk_543 
  0x28640708, 0x28211e02, 0x320c13ee, 0x19000a36,   // it.lg.sw_443 ms.jw.sw_222  et.sv.bs_422 pt.gl.un_AA0 
  0x29311ba7, 0x080210af, 0x08070ba0, 0x130c0208,   // tr.az.sl_532 lt.da.no_655  es.it.no_322 da.sv.et_443 
  // [c090]
  0x6b101f05, 0x042013ad, 0x2118280b, 0x063f0c0c,   // cy.lt.ceb_333 et.sq.fi_643  sw.ga.jw_542 sv.af.de_543 
  0x09101f11, 0x30006421, 0x03010904, 0x2f132508,   // cy.lt.pl_653 lg.uz.un_860  pl.en.nl_332 eu.et.su_443 
  0x55003108, 0x31190a55, 0x64197304, 0x645373a0,   // az.rw.un_430 pt.gl.az_442  ny.gl.lg_332 ny.ht.lg_322 
  0x3517100c, 0x063f030e, 0x190a0c0c, 0x20103205,   // be.sr.tg_543 nl.af.de_555  sv.pt.gl_543 bs.lt.sq_333 
  // [c0a0]
  0x09001f18, 0x09000422, 0x550c2da0, 0x130c2d07,   // cy.pl.un_740 fi.pl.un_870  sk.sv.rw_322 sk.sv.et_432 
  0x101f090c, 0x44100a60, 0x2d0d02a4, 0x09002014,   // pl.cy.lt_543 mk.be.kk_664  da.cs.sk_433 sq.pl.un_660 
  0x0435300b, 0x32060fa0, 0x080e2107, 0x110c080c,   // uz.tg.ru_542 lv.de.bs_322  jw.is.no_432 no.sv.ro_543 
  0x0b2f5505, 0x20552555, 0x1c0e2aa0, 0x2f025511,   // rw.su.es_333 eu.rw.sq_442  mt.is.id_322 rw.da.su_653 
  // [c0b0]
  0x1b00641b, 0x17282011, 0x53551e05, 0x250b19a7,   // lg.tr.un_770 sq.sw.sr_653  ms.rw.ht_333 gl.es.eu_532 
  0x02312fa0, 0x11000307, 0x32002018, 0x19020b0c,   // su.az.da_322 nl.ro.un_420  sq.bs.un_740 es.da.gl_543 
  0x09003f05, 0x190b0207, 0x06110a08, 0x122911a0,   // af.pl.un_330 da.es.gl_432  pt.ro.de_443 ro.sl.hu_322 
  0x28092913, 0x0e180d12, 0x29000207, 0x120432a0,   // sl.pl.sw_665 cs.ga.is_654  da.sl.un_420 bs.fi.hu_322 
  // [c0c0]
  0x015327a0, 0x0c001a07, 0x37000304, 0x13557311,   // gd.ht.en_322 tl.sv.un_420  nl.st.un_320 ny.rw.et_653 
  0x0c002b02, 0x3f2b1a04, 0x102d0d0e, 0x080109a0,   // vi.sv.un_220 tl.vi.af_332  cs.sk.lt_555 pl.en.no_322 
  0x25002707, 0x18000914, 0x180901ee, 0x2f646b05,   // gd.eu.un_420 pl.ga.un_660  en.pl.ga_422 ceb.lg.su_333 
  0x532f1c04, 0x1c003102, 0x091801a0, 0x6b0127ee,   // id.su.ht_332 az.id.un_220  en.ga.pl_322 gd.en.ceb_422 
  // [c0d0]
  0x6b5564a0, 0x062b3704, 0x1200060b, 0x211e1a07,   // lg.rw.ceb_322 st.vi.de_332  de.hu.un_520 tl.ms.jw_432 
  0x11003019, 0x21096ea7, 0x06311b07, 0x53000907,   // uz.ro.un_750 hmn.pl.jw_532  tr.az.de_432 pl.ht.un_420 
  0x080c0eec, 0x056b1e05, 0x08073560, 0x066b1aad,   // is.sv.no_644 ms.ceb.fr_333  tg.bg.uk_664 tl.ceb.de_643 
  0x282f21a0, 0x251710af, 0x08001020, 0x080e29a7,   // jw.su.sw_322 lt.sr.eu_655  be.uk.un_850 sl.is.no_532 
  // [c0e0]
  0x040513a0, 0x050b010c, 0x28377307, 0x10231107,   // et.fr.fi_322 en.es.fr_543  ny.st.sw_432 ro.ky.be_432 
  0x371a6b07, 0x371a2b0c, 0x10001313, 0x21375307,   // ceb.tl.st_432 vi.tl.st_543  et.lt.un_650 ht.st.jw_432 
  0x301035ad, 0x6b272fa9, 0x101b0f60, 0x37006b04,   // tg.be.uz_643 su.gd.ceb_544  lv.tr.lt_664 ceb.st.un_320 
  0x6e033f0d, 0x3510040b, 0x2f3721a4, 0x23560107,   // af.nl.hmn_554 ru.be.tg_542  jw.st.su_433 en.mg.ca_432 
  // [c0f0]
  0x1f060807, 0x27081855, 0x3f0864ad, 0x1f10560e,   // no.de.cy_432 ga.no.gd_442  lg.no.af_643 mg.lt.cy_555 
  0x033f23a9, 0x5630250c, 0x0c283d04, 0x0f000305,   // ca.af.nl_544 eu.uz.mg_543  ku.sw.sv_332 nl.lv.un_330 
  0x07210107, 0x07001f23, 0x06202aa9, 0x2f0306ad,   // en.jw.it_432 cy.it.un_880  mt.sq.de_544 de.nl.su_643 
  0x5610285a, 0x201308ec, 0x1c282f07, 0x0a001f20,   // sw.lt.mg_553 no.et.sq_644  su.sw.id_432 cy.pt.un_850 
  // [c100]
  0x03000708, 0x06002f0b, 0x062a010c, 0x11190b09,   // it.nl.un_430 su.de.un_520  en.mt.de_543 es.gl.ro_444 
  0x31002512, 0x6b1a1f05, 0x37642508, 0x0700252c,   // eu.az.un_640 cy.tl.ceb_333  eu.lg.st_443 eu.it.un_990 
  0x6b2519a7, 0x18005522, 0x190b01ee, 0x0e2a1609,   // gl.eu.ceb_532 rw.ga.un_870  en.es.gl_422 hr.mt.is_444 
  0x101f1ca0, 0x072a11ee, 0x1e301207, 0x080f13a0,   // id.cy.lt_322 ro.mt.it_422  hu.uz.ms_432 et.lv.no_322 
  // [c110]
  0x11012855, 0x08351704, 0x0b002502, 0x311f0e0c,   // sw.en.ro_442 sr.tg.uk_332  eu.es.un_220 is.cy.az_543 
  0x163f03a0, 0x3231205a, 0x2f12550b, 0x31011802,   // nl.af.hr_322 sq.az.bs_553  rw.hu.su_542 ga.en.az_222 
  0x04562007, 0x212f73ec, 0x1b250e08, 0x20002109,   // sq.mg.fi_432 ny.su.jw_644  is.eu.tr_443 jw.sq.un_440 
  0x2573285a, 0x0e203dad, 0x10533708, 0x04001804,   // sw.ny.eu_553 ku.sq.is_643  st.ht.lt_443 ga.fi.un_320 
  // [c120]
  0x122d0da9, 0x17440a04, 0x27001707, 0x190b13ee,   // cs.sk.hu_544 mk.kk.sr_332  sr.gd.un_420 et.es.gl_422 
  0x1e301f08, 0x37000a04, 0x2f551fa0, 0x0b00040c,   // cy.uz.ms_443 pt.st.un_320  cy.rw.su_322 fi.es.un_530 
  0x73560511, 0x180327af, 0x041323a0, 0x213d370c,   // fr.mg.ny_653 gd.nl.ga_655  ca.et.fi_322 st.ku.jw_543 
  0x21072f12, 0x05000c13, 0x733f2808, 0x25051ea0,   // su.it.jw_654 sv.fr.un_650  sw.af.ny_443 ms.fr.eu_322 
  // [c130]
  0x08101713, 0x0c041f04, 0x113011ec, 0x2f551ba0,   // sr.be.uk_665 cy.fi.sv_332  ro.uz.ro_644 tr.rw.su_322 
  0x1b002a08, 0x2a20020c, 0x310c1bee, 0x1f005507,   // mt.tr.un_430 da.sq.mt_543  tr.sv.az_422 rw.cy.un_420 
  0x230a5604, 0x050123a4, 0x0400070b, 0x21551f07,   // mg.pt.ca_332 ca.en.fr_433  bg.ru.un_520 cy.rw.jw_432 
  0x28095512, 0x73120d07, 0x280d03a4, 0x1b0208af,   // rw.pl.sw_654 cs.hu.ny_432  nl.cs.sw_433 no.da.tr_655 
  // [c140]
  0x0f002513, 0x2f033f05, 0x3d731207, 0x12007322,   // eu.lv.un_650 af.nl.su_333  hu.ny.ku_432 ny.hu.un_870 
  0x73001214, 0x08000307, 0x18080c0d, 0x040601a0,   // hu.ny.un_660 nl.no.un_420  sv.no.ga_554 en.de.fi_322 
  0x271f6b02, 0x1e375507, 0x172118b4, 0x2a002808,   // ceb.cy.gd_222 rw.st.ms_432  ar.fa.sr_754 sw.mt.un_430 
  0x070e20a0, 0x640629ad, 0x200c0404, 0x190b010c,   // sq.is.it_322 sl.de.lg_643  fi.sv.sq_332 en.es.gl_543 
  // [c150]
  0x2007010b, 0x0d00560c, 0x1318270b, 0x2009120c,   // en.it.sq_542 mg.cs.un_530  gd.ga.et_542 hu.pl.sq_543 
  0x647312ad, 0x0364280c, 0x73562509, 0x182725a0,   // hu.ny.lg_643 sw.lg.nl_543  eu.mg.ny_444 eu.gd.ga_322 
  0x1900310d, 0x1e3f0355, 0x25647308, 0x111301a4,   // az.gl.un_540 nl.af.ms_442  ny.lg.eu_443 en.et.ro_433 
  0x0d0655ad, 0x113701a4, 0x552512af, 0x1e003f07,   // rw.de.cs_643 en.st.ro_433  hu.eu.rw_655 af.ms.un_420 
  // [c160]
  0x072001a0, 0x1029130c, 0x31302a0c, 0x28002113,   // en.sq.it_322 et.sl.lt_543  mt.uz.az_543 jw.sw.un_650 
  0x12000a0e, 0x061e0107, 0x042313a9, 0x231f1aa4,   // pt.hu.un_550 en.ms.de_432  et.ca.fi_544 tl.cy.ca_433 
  0x02270812, 0x5655110c, 0x32272d0c, 0x271a08a0,   // no.gd.da_654 ro.rw.mg_543  sk.gd.bs_543 no.tl.gd_322 
  0x1c211f12, 0x070111a9, 0x08005618, 0x0c126b08,   // cy.jw.id_654 ro.en.it_544  mg.no.un_740 ceb.hu.sv_443 
  // [c170]
  0x0c3f02a7, 0x2a110709, 0x0d1219a7, 0x20735513,   // da.af.sv_532 it.ro.mt_444  gl.hu.cs_532 rw.ny.sq_665 
  0x0c2129ee, 0x123f1fa9, 0x0600181a, 0x252d1112,   // sl.jw.sv_422 cy.af.hu_544  ga.de.un_760 ro.sk.eu_654 
  0x020612a4, 0x2b216404, 0x37131b07, 0x0713010c,   // hu.de.da_433 lg.jw.vi_332  tr.et.st_432 en.et.it_543 
  0x20190bec, 0x17001904, 0x2511010b, 0x250711a4,   // es.gl.sq_644 gl.sr.un_320  en.ro.eu_542 ro.it.eu_433 
  // [c180]
  0x123003ad, 0x30126e0c, 0x552f2104, 0x6e000c0e,   // nl.uz.hu_643 hmn.hu.uz_543  jw.su.rw_332 sv.hmn.un_550 
  0x08003d0e, 0x11095505, 0x1b285511, 0x6e000c12,   // ku.no.un_550 rw.pl.ro_333  rw.sw.tr_653 sv.hmn.un_640 
  0x1a003f1a, 0x033f100b, 0x0a00530c, 0x052f19a4,   // af.tl.un_760 lt.af.nl_542  ht.pt.un_530 gl.su.fr_433 
  0x282a370d, 0x1a6e3f5a, 0x200712a4, 0x08126b0c,   // st.mt.sw_554 af.hmn.tl_553  hu.it.sq_433 ceb.hu.no_543 
  // [c190]
  0x11002322, 0x0a55215a, 0x19252007, 0x072a25a0,   // ky.ro.un_870 jw.rw.pt_553  sq.eu.gl_432 eu.mt.it_322 
  0x283753ee, 0x186e2aa9, 0x56053755, 0x560553a0,   // ht.st.sw_422 mt.hmn.ga_544  st.fr.mg_442 ht.fr.mg_322 
  0x291603ee, 0x23000e04, 0x561837ad, 0x230a1b07,   // nl.hr.sl_422 is.ca.un_320  st.ga.mg_643 tr.pt.ca_432 
  0x3700561b, 0x56287312, 0x09301b07, 0x0e2708a9,   // mg.st.un_770 ny.sw.mg_654  tr.uz.pl_432 no.gd.is_544 
  // [c1a0]
  0x02060c08, 0x1e251702, 0x566b1aa0, 0x311b1ea0,   // sv.de.da_443 sr.eu.ms_222  tl.ceb.mg_322 ms.tr.az_322 
  0x28172507, 0x321a19a4, 0x313027ad, 0x1704080b,   // eu.sr.sw_432 gl.tl.bs_433  gd.uz.az_643 uk.ru.sr_542 
  0x31301fa4, 0x28001a0e, 0x1a116ba4, 0x56001608,   // cy.uz.az_433 tl.sw.un_550  ceb.ro.tl_433 hr.mg.un_430 
  0x2500270c, 0x10302804, 0x281a56ec, 0x2b1b3107,   // gd.eu.un_530 sw.uz.lt_332  mg.tl.sw_644 az.tr.vi_432 
  // [c1b0]
  0x07080a0c, 0x185673a4, 0x06081107, 0x5673550c,   // mk.uk.bg_543 ny.mg.ga_433  ro.no.de_432 rw.ny.mg_543 
  0x645304ee, 0x1200550d, 0x17000711, 0x56000b08,   // fi.ht.lg_422 rw.hu.un_540  bg.sr.un_630 es.mg.un_430 
  0x281b64a9, 0x2a001808, 0x1f6b1a07, 0x04731aa4,   // lg.tr.sw_544 ga.mt.un_430  tl.ceb.cy_432 tl.ny.fi_433 
  0x3d3130a4, 0x03645509, 0x04371314, 0x02001a04,   // uz.az.ku_433 rw.lg.nl_444  et.st.fi_666 tl.da.un_320 
  // [c1c0]
  0x55640da4, 0x2302110c, 0x30316bec, 0x28273702,   // cs.lg.rw_433 ro.da.ca_543  ceb.az.uz_644 st.gd.sw_222 
  0x18000d1a, 0x55001a0c, 0x0811060d, 0x20001307,   // cs.ga.un_760 tl.rw.un_530  de.ro.no_554 et.sq.un_420 
  0x21052fa9, 0x31001f13, 0x55731213, 0x0c005507,   // su.fr.jw_544 cy.az.un_650  hu.ny.rw_665 rw.sv.un_420 
  0x1b557309, 0x2a1e1c02, 0x032319a0, 0x2d0d0faf,   // ny.rw.tr_444 id.ms.mt_222  gl.ca.nl_322 lv.cs.sk_655 
  // [c1d0]
  0x190a0509, 0x23173005, 0x100f110c, 0x73371308,   // fr.pt.gl_444 uz.sr.ky_333  ro.lv.lt_543 et.st.ny_443 
  0x04002309, 0x232573ec, 0x35111007, 0x210701a0,   // ky.ru.un_440 ny.eu.ca_644  be.ro.tg_432 en.it.jw_322 
  0x2d2110a6, 0x2d0201a0, 0x08291204, 0x09002519,   // lt.jw.sk_521 en.da.sk_322  hu.sl.no_332 eu.pl.un_750 
  0x080b06ee, 0x182820a4, 0x73005314, 0x73281fad,   // de.es.no_422 sq.sw.ga_433  ht.ny.un_660 cy.sw.ny_643 
  // [c1e0]
  0x1700080c, 0x17000c13, 0x44111155, 0x0e0f13ad,   // uk.sr.un_530 sv.sr.un_650  ro.ro.kk_442 et.lv.is_643 
  0x18002a0c, 0x121b06ee, 0x2900090d, 0x0e0306a4,   // mt.ga.un_530 de.tr.hu_422  pl.sl.un_540 de.nl.is_433 
  0x2704060d, 0x05002d08, 0x133f060c, 0x3f00041a,   // de.fi.gd_554 sk.fr.un_430  de.af.et_543 fi.af.un_760 
  0x090c0812, 0x6b033fee, 0x213773ad, 0x271203ee,   // no.sv.pl_654 af.nl.ceb_422  ny.st.jw_643 nl.hu.gd_422 
  // [c1f0]
  0x2f5521a6, 0x0e080602, 0x35300404, 0x6b1a7304,   // jw.rw.su_521 de.no.is_222  ru.uz.tg_332 ny.tl.ceb_332 
  0x23003023, 0x73280b0e, 0x17000418, 0x12002f11,   // uz.ky.un_880 es.sw.ny_555  ru.sr.un_740 su.hu.un_630 
  0x0d000e0c, 0x210601a4, 0x322820a6, 0x441017ee,   // is.cs.un_530 en.de.jw_433  sq.sw.bs_521 sr.be.kk_422 
  0x03000404, 0x53046e11, 0x1a0405a0, 0x552137ee,   // fi.nl.un_320 hmn.fi.ht_653  fr.fi.tl_322 st.jw.rw_422 
  // [c200]
  0x07081005, 0x27201f5a, 0x180c0207, 0x11101713,   // be.uk.bg_333 cy.sq.gd_553  da.sv.ga_432 sr.be.ro_665 
  0x0c2f02a7, 0x20000d02, 0x1e001c12, 0x082f20af,   // da.su.sv_532 cs.sq.un_220  id.ms.un_640 sq.su.no_655 
  0x08041355, 0x0c1b12ad, 0x092a28a7, 0x20190a08,   // et.fi.no_442 hu.tr.sv_643  sw.mt.pl_532 pt.gl.sq_443 
  0x13020807, 0x560c0e07, 0x041b03a4, 0x1b00121a,   // no.da.et_432 is.sv.mg_432  nl.tr.fi_433 hu.tr.un_760 
  // [c210]
  0x09002d1b, 0x06041b07, 0x2f000713, 0x31041ba4,   // sk.pl.un_770 tr.fi.de_432  it.su.un_650 tr.fi.az_433 
  0x1c2573ee, 0x03041ba7, 0x050e0c07, 0x1b02030c,   // ny.eu.id_422 tr.fi.nl_532  sv.is.fr_432 nl.da.tr_543 
  0x16002702, 0x056b0709, 0x11006408, 0x35082304,   // gd.hr.un_220 it.ceb.fr_444  lg.ro.un_430 ky.uk.tg_332 
  0x2500640d, 0x0e0820ad, 0x12001a05, 0x070e0ca4,   // lg.eu.un_540 sq.no.is_643  tl.hu.un_330 sv.is.it_433 
  // [c220]
  0x04102305, 0x1b311aad, 0x0c0508a0, 0x1b06030c,   // ky.be.ru_333 tl.az.tr_643  no.fr.sv_322 nl.de.tr_543 
  0x1a5505a7, 0x31031b07, 0x73002523, 0x083f0c02,   // fr.rw.tl_532 tr.nl.az_432  eu.ny.un_880 sv.af.no_222 
  0x09013f12, 0x091f1a12, 0x10170a09, 0x37250b05,   // af.en.pl_654 tl.cy.pl_654  mk.sr.be_444 es.eu.st_333 
  0x13643fa0, 0x3f03130b, 0x103f0d11, 0x2d1b25ec,   // af.lg.et_322 et.nl.af_542  cs.af.lt_653 eu.tr.sk_644 
  // [c230]
  0x2b561a04, 0x3f640604, 0x100704ee, 0x2f211c0d,   // tl.mg.vi_332 de.lg.af_332  ru.bg.be_422 id.jw.su_554 
  0x1a536ba7, 0x2d0d09a6, 0x043f1305, 0x30730f04,   // ceb.ht.tl_532 pl.cs.sk_521  et.af.fi_333 lv.ny.uz_332 
  0x04234412, 0x0a23195a, 0x050e2107, 0x2f1c1307,   // kk.ky.ru_654 gl.ca.pt_553  jw.is.fr_432 et.id.su_432 
  0x061809ad, 0x03001313, 0x641f3704, 0x3f130112,   // pl.ga.de_643 et.nl.un_650  st.cy.lg_332 en.et.af_654 
  // [c240]
  0x3012040e, 0x230c0407, 0x44001113, 0x08020c0d,   // fi.hu.uz_555 fi.sv.ca_432  ro.kk.un_650 sv.da.no_554 
  0x031a3faf, 0x640337a0, 0x252f2704, 0x2500272b,   // af.tl.nl_655 st.nl.lg_322  gd.su.eu_332 gd.eu.un_980 
  0x2700252b, 0x08073509, 0x21080c07, 0x25042fa4,   // eu.gd.un_980 tg.bg.uk_444  sv.no.jw_432 su.fi.eu_433 
  0x53001105, 0x2f25275a, 0x27002819, 0x092930ee,   // ro.ht.un_330 gd.eu.su_553  sw.gd.un_750 uz.sl.pl_422 
  // [c250]
  0x252f18a4, 0x28377355, 0x28000a05, 0x116b27a0,   // ga.su.eu_433 ny.st.sw_442  pt.sw.un_330 gd.ceb.ro_322 
  0x0c3f2f07, 0x070e060c, 0x042d7305, 0x2d2928a4,   // su.af.sv_432 de.is.it_543  ny.sk.fi_333 sw.sl.sk_433 
  0x0429090c, 0x3725560c, 0x281f6407, 0x07051fad,   // pl.sl.fi_543 mg.eu.st_543  lg.cy.sw_432 cy.fr.it_643 
  0x56642508, 0x531a6b04, 0x6400040d, 0x2d092908,   // eu.lg.mg_443 ceb.tl.ht_332  fi.lg.un_540 sl.pl.sk_443 
  // [c260]
  0x071a25ec, 0x0a3011ee, 0x252d64a4, 0x2f25070c,   // eu.tl.it_644 ro.uz.mk_422  lg.sk.eu_433 it.eu.su_543 
  0x0464250c, 0x05190aa7, 0x37001b2c, 0x6e003714,   // eu.lg.fi_543 pt.gl.fr_532  tr.st.un_990 st.hmn.un_660 
  0x06201109, 0x085653a4, 0x31301bac, 0x0400350e,   // ro.sq.de_444 ht.mg.no_433  tr.uz.az_632 tg.ru.un_550 
  0x31083009, 0x04191f11, 0x092d0da9, 0x730264a0,   // uz.no.az_444 cy.gl.fi_653  cs.sk.pl_544 lg.da.ny_322 
  // [c270]
  0x04162da9, 0x0b30310d, 0x0408115a, 0x100464a4,   // sk.hr.fi_544 az.uz.es_554  ro.uk.ru_553 lg.fi.lt_433 
  0x530527a0, 0x1b2331ad, 0x37110aa9, 0x25000411,   // gd.fr.ht_322 az.ca.tr_643  pt.ro.st_544 fi.eu.un_630 
  0x16002708, 0x0c1b300c, 0x130c04a6, 0x250810ee,   // gd.hr.un_430 uz.tr.sv_543  fi.sv.et_521 lt.no.eu_422 
  0x31300ca9, 0x56003008, 0x12532812, 0x1b0c300c,   // sv.uz.az_544 uz.mg.un_430  sw.ht.hu_654 uz.sv.tr_543 
  // [c280]
  0x30000808, 0x215628a4, 0x0d090c07, 0x0a0f0d11,   // no.uz.un_430 sw.mg.jw_433  sv.pl.cs_432 cs.lv.pt_653 
  0x0c0413ec, 0x30081b0c, 0x53053da4, 0x290937ad,   // et.fi.sv_644 tr.no.uz_543  ku.fr.ht_433 st.pl.sl_643 
  0x2f213da4, 0x21002f29, 0x351730a4, 0x32563007,   // ku.jw.su_433 su.jw.un_960  uz.sr.tg_433 uz.mg.bs_432 
  0x56006408, 0x09000105, 0x1f5605a0, 0x5300640c,   // lg.mg.un_430 en.pl.un_330  fr.mg.cy_322 lg.ht.un_530 
  // [c290]
  0x040925ee, 0x3d1a04a4, 0x2f2a07ad, 0x0c201c12,   // eu.pl.fi_422 fi.tl.ku_433  it.mt.su_643 id.sq.sv_654 
  0x084410a0, 0x06000805, 0x1f180911, 0x104408a9,   // be.kk.uk_322 no.de.un_330  pl.ga.cy_653 uk.kk.be_544 
  0x090a2da4, 0x30081b07, 0x0f1b3708, 0x37001e13,   // sk.pt.pl_433 tr.no.uz_432  st.tr.lv_443 ms.st.un_650 
  0x11190a02, 0x17083508, 0x23070408, 0x09001c2b,   // pt.gl.ro_222 tg.uk.sr_443  ru.bg.ky_443 mr.hi.un_980 
  // [c2a0]
  0x08200ead, 0x0b0d1907, 0x0f022508, 0x09130d5a,   // is.sq.no_643 gl.cs.es_432  eu.da.lv_443 ne.bh.hi_553 
  0x301b3707, 0x2f560a07, 0x30173504, 0x35113013,   // st.tr.uz_432 pt.mg.su_432  tg.sr.uz_332 uz.ro.tg_665 
  0x0800442a, 0x37102305, 0x370f1ba4, 0x2a3130ec,   // kk.uk.un_970 ca.lt.st_333  tr.lv.st_433 uz.az.mt_644 
  0x1b001a1b, 0x19000e0c, 0x30350a02, 0x302310a9,   // tl.tr.un_770 is.gl.un_530  mk.tg.uz_222 be.ky.uz_544 
  // [c2b0]
  0x042330ec, 0x3f002b11, 0x1c130da4, 0x0c000222,   // uz.ky.ru_644 vi.af.un_630  ne.bh.mr_433 da.sv.un_870 
  0x09002b08, 0x2a000912, 0x05005318, 0x2500131b,   // vi.pl.un_430 pl.mt.un_640  ht.fr.un_740 et.eu.un_770 
  0x23002b07, 0x1b6b73ad, 0x731a6bee, 0x20555302,   // vi.ca.un_420 ny.ceb.tr_643  ceb.tl.ny_422 ht.rw.sq_222 
  0x0a003002, 0x042310ee, 0x371a6b05, 0x316b01ee,   // uz.mk.un_220 be.ky.ru_422  ceb.tl.st_333 en.ceb.az_422 
  // [c2c0]
  0x2100270d, 0x1a6b7309, 0x162d0da4, 0x04081760,   // gd.jw.un_540 ny.ceb.tl_444  cs.sk.hr_433 sr.uk.ru_664 
  0x10001a12, 0x321a300c, 0x0a30355a, 0x10531e07,   // tl.lt.un_640 uz.tl.bs_543  tg.uz.mk_553 ms.ht.lt_432 
  0x012321a4, 0x3f1f0308, 0x30551a0c, 0x532a07a0,   // jw.ca.en_433 nl.cy.af_443  tl.rw.uz_543 it.mt.ht_322 
  0x256b550c, 0x3500230c, 0x3f1f3d08, 0x6b255311,   // rw.ceb.eu_543 ky.tg.un_530  ku.cy.af_443 ht.eu.ceb_653 
  // [c2d0]
  0x55080cad, 0x13001c0b, 0x05000a1a, 0x1a3d55af,   // sv.no.rw_643 mr.bh.un_520  pt.fr.un_760 rw.ku.tl_655 
  0x1b001605, 0x0c002707, 0x6e003f2b, 0x3f6e0811,   // hr.tr.un_330 gd.sv.un_420  af.hmn.un_980 no.hmn.af_653 
  0x0d03110c, 0x30201eac, 0x19182760, 0x182730af,   // ro.nl.cs_543 ms.sq.uz_632  gd.ga.gl_664 uz.gd.ga_655 
  0x08306e0c, 0x2564555a, 0x052718ec, 0x031c3fa6,   // hmn.uz.no_543 rw.lg.eu_553  ga.gd.fr_644 af.id.nl_521 
  // [c2e0]
  0x6e052314, 0x2a2f2704, 0x091a550c, 0x2b290a12,   // ca.fr.hmn_666 gd.su.mt_332  rw.tl.pl_543 pt.sl.vi_654 
  0x031a07a4, 0x2d090c09, 0x0a230da0, 0x233f2ba9,   // it.tl.nl_433 sv.pl.sk_444  cs.ca.pt_322 vi.af.ca_544 
  0x2f1c2807, 0x1300280d, 0x016e6b04, 0x56051807,   // sw.id.su_432 sw.et.un_540  ceb.hmn.en_332 ga.fr.mg_432 
  0x2b00300d, 0x2b00081a, 0x27002809, 0x11000622,   // uz.vi.un_540 no.vi.un_760  sw.gd.un_440 de.ro.un_870 
  // [c2f0]
  0x21063fa4, 0x3f002012, 0x12080c0c, 0x030701a0,   // af.de.jw_433 sq.af.un_640  sv.no.hu_543 en.it.nl_322 
  0x1b063107, 0x211e050c, 0x1c082f04, 0x32162da0,   // az.de.tr_432 fr.ms.jw_543  su.no.id_332 sk.hr.bs_322 
  0x2d00200b, 0x03011ea0, 0x350830ec, 0x07000113,   // sq.sk.un_520 ms.en.nl_322  uz.uk.tg_644 en.it.un_650 
  0x190a0daf, 0x040c1f12, 0x06002f08, 0x10170809,   // cs.pt.gl_655 cy.sv.fi_654  su.de.un_430 uk.sr.be_444 
  // [c300]
  0x030507a4, 0x252f1f12, 0x0d27180c, 0x17083504,   // it.fr.nl_433 cy.su.eu_654  ga.gd.cs_543 tg.uk.sr_332 
  0x080c1c02, 0x030e1f07, 0x3f002f1b, 0x55002702,   // id.sv.no_222 cy.is.nl_432  su.af.un_770 gd.rw.un_220 
  0x53003f08, 0x211c08a4, 0x556420a7, 0x13002d09,   // af.ht.un_430 no.id.jw_433  sq.lg.rw_532 sk.et.un_440 
  0x271f3755, 0x03085311, 0x0d005607, 0x6e092da0,   // st.cy.gd_442 ht.no.nl_653  mg.cs.un_420 sk.pl.hmn_322 
  // [c310]
  0x120c1bec, 0x2a7328ee, 0x1e283007, 0x0b111908,   // tr.sv.hu_644 sw.ny.mt_422  uz.sw.ms_432 gl.ro.es_443 
  0x35001118, 0x2d3216a0, 0x73001122, 0x130c0413,   // ro.tg.un_740 hr.bs.sk_322  ro.ny.un_870 fi.sv.et_665 
  0x6428730b, 0x20000b09, 0x09002d08, 0x37001b08,   // ny.sw.lg_542 es.sq.un_440  sk.pl.un_430 tr.st.un_430 
  0x301b0e04, 0x16002d02, 0x64001f1a, 0x201f01a4,   // is.tr.uz_332 sk.hr.un_220  cy.lg.un_760 en.cy.sq_433 
  // [c320]
  0x010e6b04, 0x29002a13, 0x121b0e07, 0x06003205,   // ceb.is.en_332 mt.sl.un_650  is.tr.hu_432 bs.de.un_330 
  0x21002008, 0x37001119, 0x280518a4, 0x033f56af,   // sq.jw.un_430 ro.st.un_750  ga.fr.sw_433 mg.af.nl_655 
  0x0304210c, 0x092d3f04, 0x066b010c, 0x081e0305,   // jw.fi.nl_543 af.sk.pl_332  en.ceb.de_543 nl.ms.no_333 
  0x0c13060b, 0x0f001f0e, 0x13640fa0, 0x30233f09,   // de.et.sv_542 cy.lv.un_550  lv.lg.et_322 af.ca.uz_444 
  // [c330]
  0x287355ad, 0x3000290c, 0x167355a0, 0x05010705,   // rw.ny.sw_643 sl.uz.un_530  rw.ny.hr_322 it.en.fr_333 
  0x293756a4, 0x73642808, 0x0a001012, 0x29211ca4,   // mg.st.sl_433 sw.lg.ny_443  lt.pt.un_640 id.jw.sl_433 
  0x041a6ba9, 0x2f04300c, 0x556b7314, 0x560a11ad,   // ceb.tl.fi_544 uz.fi.su_543  ny.ceb.rw_666 ro.pt.mg_643 
  0x647355a4, 0x6410305a, 0x28002a12, 0x212f56ec,   // rw.ny.lg_433 uz.lt.lg_553  mt.sw.un_640 mg.su.jw_644 
  // [c340]
  0x37002d04, 0x012708a0, 0x1913370b, 0x3208020c,   // sk.st.un_320 no.gd.en_322  st.et.gl_542 da.no.bs_543 
  0x2a1a5612, 0x2d1f05a0, 0x112f2108, 0x07100805,   // mg.tl.mt_654 fr.cy.sk_322  jw.su.ro_443 uk.be.bg_333 
  0x09281ca4, 0x01035604, 0x73005514, 0x0c003107,   // id.sw.pl_433 mg.nl.en_332  rw.ny.un_660 az.sv.un_420 
  0x532f37ac, 0x1b1e31a4, 0x29322104, 0x557328a9,   // st.su.ht_632 az.ms.tr_433  jw.bs.sl_332 sw.ny.rw_544 
  // [c350]
  0x3500100d, 0x110a1109, 0x13556ba4, 0x21551107,   // be.tg.un_540 ro.mk.ro_444  ceb.rw.et_433 ro.rw.jw_432 
  0x28736b05, 0x100a1104, 0x0f2a070c, 0x120a23ee,   // ceb.ny.sw_333 ro.pt.lt_332  it.mt.lv_543 ca.pt.hu_422 
  0x047353a4, 0x733f28ee, 0x2d001809, 0x08111114,   // ht.ny.fi_433 sw.af.ny_422  ga.sk.un_440 ro.ro.uk_666 
  0x2109550c, 0x530912ee, 0x18033f04, 0x2900320c,   // rw.pl.jw_543 hu.pl.ht_422  af.nl.ga_332 bs.sl.un_530 
  // [c360]
  0x0b00111a, 0x3d131f08, 0x13251260, 0x11120aa0,   // ro.es.un_760 cy.et.ku_443  hu.eu.et_664 pt.hu.ro_322 
  0x3d12370c, 0x2f09730e, 0x32002802, 0x3500040d,   // st.hu.ku_543 ny.pl.su_555  sw.bs.un_220 ru.tg.un_540 
  0x0900730c, 0x04002314, 0x2a1f5607, 0x3f021fec,   // ny.pl.un_530 ky.ru.un_660  mg.cy.mt_432 cy.da.af_644 
  0x3f060314, 0x092d56a0, 0x0a100702, 0x040a0760,   // nl.de.af_666 mg.sk.pl_322  bg.be.mk_222 bg.mk.ru_664 
  // [c370]
  0x35000705, 0x2a0628a9, 0x2d000f11, 0x3d001214,   // bg.tg.un_330 sw.de.mt_544  lv.sk.un_630 hu.ku.un_660 
  0x133d120c, 0x732f1c05, 0x0700042a, 0x0900102a,   // hu.ku.et_543 id.su.ny_333  ru.bg.un_970 lt.pl.un_970 
  0x041008a7, 0x173510a7, 0x130e23ee, 0x10000923,   // uk.be.ru_532 be.tg.sr_532  ca.is.et_422 pl.lt.un_880 
  0x10006402, 0x103511ee, 0x2d00101a, 0x2b001a12,   // lg.lt.un_220 ro.tg.be_422  lt.sk.un_760 tl.vi.un_640 
  // [c380]
  0x35100a08, 0x1c06020d, 0x2b000404, 0x08231013,   // mk.be.tg_443 da.de.id_554  fi.vi.un_320 be.ky.uk_665 
  0x0e051b12, 0x280720ad, 0x29002808, 0x206e0112,   // tr.fr.is_654 sq.it.sw_643  sw.sl.un_430 en.hmn.sq_654 
  0x16002307, 0x08040b02, 0x1a00090c, 0x0e29090c,   // ca.hr.un_420 es.fi.no_222  pl.tl.un_530 pl.sl.is_543 
  0x0c002902, 0x112013a7, 0x0e00081a, 0x211b1a04,   // sl.sv.un_220 et.sq.ro_532  no.is.un_760 tl.tr.jw_332 
  // [c390]
  0x06647307, 0x642556a7, 0x120720af, 0x2006370c,   // ny.lg.de_432 mg.eu.lg_532  sq.it.hu_655 st.de.sq_543 
  0x046b53a0, 0x1b2f020c, 0x0b001104, 0x20280ead,   // ht.ceb.fi_322 da.su.tr_543  ro.es.un_320 is.sw.sq_643 
  0x2300731a, 0x25000418, 0x0c735605, 0x08020c08,   // ny.ca.un_760 fi.eu.un_740  mg.ny.sv_333 sv.da.no_443 
  0x64250608, 0x645655a4, 0x306b2712, 0x531b1e02,   // de.eu.lg_443 rw.mg.lg_433  gd.ceb.uz_654 ms.tr.ht_222 
  // [c3a0]
  0x041c3dee, 0x0b5511a4, 0x080e0c12, 0x2d0d55a0,   // ku.id.fi_422 ro.rw.es_433  sv.is.no_654 rw.cs.sk_322 
  0x03002009, 0x25015504, 0x0a080e12, 0x6b1b5504,   // sq.nl.un_440 rw.en.eu_332  is.no.pt_654 rw.tr.ceb_332 
  0x31002507, 0x0c0e08a4, 0x08560d07, 0x0a3755a9,   // eu.az.un_420 no.is.sv_433  cs.mg.no_432 rw.st.pt_544 
  0x6b080c02, 0x1f00231b, 0x251b370c, 0x1f0419ee,   // sv.no.ceb_222 ca.cy.un_770  st.tr.eu_543 gl.fi.cy_422 
  // [c3b0]
  0x230c08af, 0x190b1105, 0x0f136b04, 0x0e1f06a9,   // no.sv.ca_655 ro.es.gl_333  ceb.et.lv_332 de.cy.is_544 
  0x12250a07, 0x0825040c, 0x271f060c, 0x0d005619,   // pt.eu.hu_432 fi.eu.no_543  de.cy.gd_543 mg.cs.un_750 
  0x642f5507, 0x0c080e55, 0x0a230eec, 0x081f0508,   // rw.su.lg_432 is.no.sv_442  is.ca.pt_644 fr.cy.no_443 
  0x08000c11, 0x1e1b28ad, 0x230956ec, 0x560923a4,   // sv.no.un_630 sw.tr.ms_643  mg.pl.ca_644 ca.pl.mg_433 
  // [c3c0]
  0x041b13ad, 0x0c025509, 0x5300370b, 0x1b00250c,   // et.tr.fi_643 rw.da.sv_444  st.ht.un_520 eu.tr.un_530 
  0x270b05a0, 0x032964ec, 0x19000e13, 0x2f5521a9,   // fr.es.gd_322 lg.sl.nl_644  is.gl.un_650 jw.rw.su_544 
  0x04006b04, 0x531f1207, 0x130c0804, 0x0b1f070c,   // ceb.fi.un_320 hu.cy.ht_432  no.sv.et_332 it.cy.es_543 
  0x2d000905, 0x1f000204, 0x05002702, 0x01091f04,   // pl.sk.un_330 da.cy.un_320  gd.fr.un_220 cy.pl.en_332 
  // [c3d0]
  0x302d1e08, 0x28550260, 0x03001b02, 0x04100a08,   // ms.sk.uz_443 da.rw.sw_664  tr.nl.un_220 pt.lt.fi_443 
  0x09016ba4, 0x100a3505, 0x0e0c0812, 0x0a303513,   // ceb.en.pl_433 tg.mk.be_333  no.sv.is_654 tg.uz.mk_665 
  0x0b1c10a0, 0x01001308, 0x282a0a07, 0x17161009,   // lt.id.es_322 et.en.un_430  pt.mt.sw_432 lt.hr.sr_444 
  0x3216100c, 0x64550aa4, 0x16200d05, 0x27563004,   // lt.hr.bs_543 pt.rw.lg_433  cs.sq.hr_333 uz.mg.gd_332 
  // [c3e0]
  0x08110308, 0x05002311, 0x55532808, 0x11002505,   // nl.ro.no_443 ca.fr.un_630  sw.ht.rw_443 eu.ro.un_330 
  0x10043507, 0x285564a4, 0x0a041011, 0x071711a0,   // tg.ru.be_432 lg.rw.sw_433  be.ru.mk_653 ro.sr.bg_322 
  0x44112308, 0x0d131c0c, 0x10002918, 0x28643da7,   // ky.ro.kk_443 mr.bh.ne_543  sl.lt.un_740 ku.lg.sw_532 
  0x0d092908, 0x3d640dad, 0x10080c07, 0x04004409,   // sl.pl.cs_443 cs.lg.ku_643  sv.no.lt_432 kk.ru.un_440 
  // [c3f0]
  0x1744230b, 0x1b002520, 0x2d55730c, 0x030b01a9,   // ky.kk.sr_542 eu.tr.un_850  ny.rw.sk_543 en.es.nl_544 
  0x193056a4, 0x56005321, 0x53003f35, 0x1c041360,   // mg.uz.gl_433 ht.mg.un_860  af.ht.un_A90 et.fi.id_664 
  0x551a5613, 0x320901ac, 0x233f53ec, 0x53001c2b,   // mg.tl.rw_665 en.pl.bs_632  ht.af.ca_644 id.ht.un_980 
  0x300929a4, 0x53233fad, 0x18230507, 0x05532308,   // sl.pl.uz_433 af.ca.ht_643  fr.ca.ga_432 ca.ht.fr_443 
  
  // [c400]
  0x2d180d12, 0x132f04a4, 0x53003f1a, 0x10043d08,   // cs.ga.sk_654 fi.su.et_433  af.ht.un_760 ku.fi.lt_443 
  0x182d0d0c, 0x27070b08, 0x230b3007, 0x550e53a9,   // cs.sk.ga_543 es.it.gd_443  uz.es.ca_432 ht.is.rw_544 
  0x2d000d2b, 0x012730a0, 0x0c0306a4, 0x13003207,   // cs.sk.un_980 uz.gd.en_322  de.nl.sv_433 bs.et.un_420 
  0x0f300107, 0x551f28a0, 0x53113f55, 0x6b306412,   // en.uz.lv_432 sw.cy.rw_322  af.ro.ht_442 lg.uz.ceb_654 
  // [c410]
  0x3f005334, 0x290d1755, 0x01193009, 0x7300560b,   // ht.af.un_A80 sr.cs.sl_442  uz.gl.en_444 mg.ny.un_520 
  0x53647360, 0x04121bac, 0x3f190aad, 0x03533f12,   // ny.lg.ht_664 tr.hu.fi_632  pt.gl.af_643 af.ht.nl_654 
  0x0a001c08, 0x18000d21, 0x20000534, 0x210825a7,   // id.pt.un_430 cs.ga.un_860  fr.sq.un_A80 eu.no.jw_532 
  0x6b0929a4, 0x2f7355ec, 0x100f250c, 0x21082504,   // sl.pl.ceb_433 rw.ny.su_644  eu.lv.lt_543 eu.no.jw_332 
  // [c420]
  0x0b2308a4, 0x1e533f04, 0x230f0608, 0x040c3fa4,   // no.ca.es_433 af.ht.ms_332  de.lv.ca_443 af.sv.fi_433 
  0x23000a0b, 0x18002d22, 0x13300412, 0x182d0dad,   // pt.ca.un_520 sk.ga.un_870  fi.uz.et_654 cs.sk.ga_643 
  0x443507a0, 0x44082302, 0x0c00100d, 0x10011f12,   // bg.tg.kk_322 ky.uk.kk_222  lt.sv.un_540 cy.en.lt_654 
  0x09001220, 0x21082fa0, 0x19000609, 0x1c0301a0,   // hu.pl.un_850 su.no.jw_322  de.gl.un_440 en.nl.id_322 
  // [c430]
  0x03023fa9, 0x08051902, 0x6b005309, 0x18001220,   // af.da.nl_544 gl.fr.no_222  ht.ceb.un_440 ur.ar.un_850 
  0x1e1a28a7, 0x053f2312, 0x231925a4, 0x11255612,   // sw.tl.ms_532 ca.af.fr_654  eu.gl.ca_433 mg.eu.ro_654 
  0x37562faf, 0x0d001812, 0x08113d0b, 0x1f190b55,   // su.mg.st_655 ga.cs.un_640  ku.ro.no_542 es.gl.cy_442 
  0x0a073507, 0x2d190d05, 0x1e1c7314, 0x53000307,   // tg.bg.mk_432 cs.gl.sk_333  ny.id.ms_666 nl.ht.un_420 
  // [c440]
  0x0a1b110c, 0x30173512, 0x27556404, 0x6b132007,   // ro.tr.pt_543 tg.sr.uz_654  lg.rw.gd_332 sq.et.ceb_432 
  0x136b1a08, 0x0f11250d, 0x3d551bec, 0x73552508,   // tl.ceb.et_443 eu.ro.lv_554  tr.rw.ku_644 eu.rw.ny_443 
  0x2300171a, 0x0407300c, 0x6b551aaf, 0x130329ee,   // sr.ky.un_760 uz.bg.ru_543  tl.rw.ceb_655 sl.nl.et_422 
  0x23002507, 0x5511255a, 0x016b1104, 0x23440a05,   // eu.ca.un_420 eu.ro.rw_553  ro.ceb.en_332 mk.kk.ky_333 
  // [c450]
  0x23040702, 0x2a2031ad, 0x2f5564a9, 0x44100408,   // bg.ru.ky_222 az.sq.mt_643  lg.rw.su_544 ru.be.kk_443 
  0x1b2d3105, 0x27002805, 0x120c2a12, 0x2a001112,   // az.sk.tr_333 sw.gd.un_330  mt.sv.hu_654 ro.mt.un_640 
  0x2a201212, 0x295630ad, 0x6b562f09, 0x27006e07,   // hu.sq.mt_654 uz.mg.sl_643  su.mg.ceb_444 hmn.gd.un_420 
  0x3f002904, 0x02080e0c, 0x080f17ee, 0x2f255304,   // sl.af.un_320 is.no.da_543  sr.lv.no_422 ht.eu.su_332 
  // [c460]
  0x3d00530e, 0x1e180107, 0x17103505, 0x12003105,   // ht.ku.un_550 en.ga.ms_432  tg.be.sr_333 az.hu.un_330 
  0x1f5325ad, 0x6b00100d, 0x44043002, 0x1e271ca9,   // eu.ht.cy_643 lt.ceb.un_540  uz.ru.kk_222 id.gd.ms_544 
  0x132721ee, 0x562519a0, 0x6b1f270c, 0x07103007,   // jw.gd.et_422 gl.eu.mg_322  gd.cy.ceb_543 uz.lt.it_432 
  0x6b532b04, 0x1a18270c, 0x5302250d, 0x0c251a0c,   // vi.ht.ceb_332 gd.ga.tl_543  eu.da.ht_554 tl.eu.sv_543 
  // [c470]
  0x27180a11, 0x0b071055, 0x27181ca4, 0x0400050e,   // pt.ga.gd_653 lt.it.es_442  id.ga.gd_433 fr.fi.un_550 
  0x1f002721, 0x53002512, 0x10290dad, 0x27002b0e,   // gd.cy.un_860 eu.ht.un_640  cs.sl.lt_643 vi.gd.un_550 
  0x272318a9, 0x20293202, 0x07641f12, 0x1e2855a0,   // ga.ca.gd_544 bs.sl.sq_222  cy.lg.it_654 rw.sw.ms_322 
  0x18270507, 0x320810a0, 0x731f3da4, 0x1f00530e,   // fr.gd.ga_432 lt.no.bs_322  ku.cy.ny_433 ht.cy.un_550 
  // [c480]
  0x2110055a, 0x2b1f2708, 0x56001902, 0x73536e0c,   // fr.lt.jw_553 gd.cy.vi_443  gl.mg.un_220 hmn.ht.ny_543 
  0x2500561b, 0x27052fa4, 0x033f2b0c, 0x1f001a1b,   // mg.eu.un_770 su.fr.gd_433  vi.af.nl_543 tl.cy.un_770 
  0x101f3012, 0x180401af, 0x300807a9, 0x561f27a4,   // uz.cy.lt_654 en.fi.ga_655  bg.uk.uz_544 gd.cy.mg_433 
  0x16000104, 0x536e1f0c, 0x051c1aa4, 0x2f3f03a0,   // en.hr.un_320 cy.hmn.ht_543  tl.id.fr_433 nl.af.su_322 
  // [c490]
  0x07056407, 0x6e000d0d, 0x03003f20, 0x10203d13,   // lg.fr.it_432 cs.hmn.un_540  af.nl.un_850 ku.sq.lt_665 
  0x1e1827a7, 0x1c05210c, 0x44040807, 0x37005619,   // gd.ga.ms_532 jw.fr.id_543  uk.ru.kk_432 mg.st.un_750 
  0x35043005, 0x173f0304, 0x3f0305a0, 0x3f000a0d,   // uz.ru.tg_333 nl.af.sr_332  fr.nl.af_322 pt.af.un_540 
  0x30051f0d, 0x0a3705ad, 0x320f0da0, 0x13120b04,   // cy.fr.uz_554 fr.st.pt_643  cs.lv.bs_322 es.hu.et_332 
  // [c4a0]
  0x23000614, 0x1a1b310c, 0x29003209, 0x35304408,   // de.ca.un_660 az.tr.tl_543  bs.sl.un_440 kk.uz.tg_443 
  0x1f1e270c, 0x2f211aec, 0x1b303155, 0x30202804,   // gd.ms.cy_543 tl.jw.su_644  az.uz.tr_442 sw.sq.uz_332 
  0x1b0e310c, 0x084423ad, 0x1b3113a0, 0x03000d0c,   // az.is.tr_543 ky.kk.uk_643  et.az.tr_322 cs.nl.un_530 
  0x1b311f04, 0x0e0c1fa4, 0x30311b04, 0x190a01ee,   // cy.az.tr_332 cy.sv.is_433  tr.az.uz_332 en.pt.gl_422 
  // [c4b0]
  0x2d0d040c, 0x04000f05, 0x04023107, 0x100d09ad,   // fi.cs.sk_543 lv.fi.un_330  az.da.fi_432 pl.cs.lt_643 
  0x0e041309, 0x0e311ba4, 0x20131004, 0x0e1b3108,   // et.fi.is_444 tr.az.is_433  lt.et.sq_332 az.tr.is_443 
  0x06020702, 0x1c1b210c, 0x0a0c070c, 0x6b13010c,   // it.da.de_222 jw.tr.id_543  it.sv.pt_543 en.et.ceb_543 
  0x11090da4, 0x553f2aa0, 0x122a130d, 0x20043da4,   // cs.pl.ro_433 mt.af.rw_322  et.mt.hu_554 ku.fi.sq_433 
  // [c4c0]
  0x1c0312a7, 0x0c041309, 0x13070fa0, 0x0800350e,   // hu.nl.id_532 et.fi.sv_444  lv.it.et_322 tg.uk.un_550 
  0x0a0810ec, 0x203025ee, 0x08002a08, 0x2d290d14,   // be.uk.mk_644 eu.uz.sq_422  mt.no.un_430 cs.sl.sk_666 
  0x02000e02, 0x081f0107, 0x303121a0, 0x122006ee,   // is.da.un_220 en.cy.no_432  jw.az.uz_322 de.sq.hu_422 
  0x311b300b, 0x1e6b01ee, 0x3204130c, 0x04201007,   // uz.tr.az_542 en.ceb.ms_422  et.fi.bs_543 lt.sq.fi_432 
  // [c4d0]
  0x0b002314, 0x16000e05, 0x076b04ad, 0x0500130d,   // ca.es.un_660 is.hr.un_330  fi.ceb.it_643 et.fr.un_540 
  0x306b1a55, 0x27002a0c, 0x21102fad, 0x12212f0c,   // tl.ceb.uz_442 mt.gd.un_530  su.lt.jw_643 su.jw.hu_543 
  0x28035507, 0x23440807, 0x55000302, 0x0e001f0d,   // rw.nl.sw_432 uk.kk.ky_432  nl.rw.un_220 cy.is.un_540 
  0x2855030c, 0x0413030c, 0x1c211e0d, 0x0400372a,   // nl.rw.sw_543 nl.et.fi_543  ms.jw.id_554 st.fi.un_970 
  // [c4e0]
  0x216b1c09, 0x1c041e11, 0x13030405, 0x042f1ea9,   // id.ceb.jw_444 ms.fi.id_653  fi.nl.et_333 ms.su.fi_544 
  0x212b1c04, 0x17322955, 0x133f1812, 0x551b310c,   // id.vi.jw_332 sl.bs.sr_442  ga.af.et_654 az.tr.rw_543 
  0x2a2103ac, 0x1c1128ac, 0x07440809, 0x08044405,   // nl.jw.mt_632 sw.ro.id_632  uk.kk.bg_444 kk.ru.uk_333 
  0x12200c02, 0x230b05a9, 0x1a2f1e07, 0x1f212fad,   // sv.sq.hu_222 fr.es.ca_544  ms.su.tl_432 su.jw.cy_643 
  // [c4f0]
  0x04110a07, 0x06030c05, 0x25216e08, 0x190b03a4,   // mk.ro.ru_432 sv.nl.de_333  hmn.jw.eu_443 nl.es.gl_433 
  0x081044ec, 0x06041312, 0x06100c04, 0x031a1309,   // kk.be.uk_644 et.fi.de_654  sv.lt.de_332 et.tl.nl_444 
  0x1b310eee, 0x041730a0, 0x3f000419, 0x033f0855,   // is.az.tr_422 uz.sr.ru_322  fi.af.un_750 no.af.nl_442 
  0x1b000e05, 0x3f00040d, 0x03002821, 0x10040a07,   // is.tr.un_330 fi.af.un_540  sw.nl.un_860 mk.ru.be_432 
  // [c500]
  0x192f2160, 0x062053a0, 0x160908a0, 0x2f041a08,   // jw.su.gl_664 ht.sq.de_322  no.pl.hr_322 tl.fi.su_443 
  0x29003013, 0x3f030907, 0x06005504, 0x21002f23,   // uz.sl.un_650 pl.nl.af_432  rw.de.un_320 su.jw.un_880 
  0x310b23ee, 0x1a2b18a0, 0x042029ad, 0x2a000a1b,   // ca.es.az_422 ga.vi.tl_322  sl.sq.fi_643 pt.mt.un_770 
  0x6b0910ec, 0x06120305, 0x042310a6, 0x111108a9,   // lt.pl.ceb_644 nl.hu.de_333  be.ky.ru_521 uk.ro.ro_544 
  // [c510]
  0x0400281a, 0x0a301707, 0x30173514, 0x033f1e0d,   // sw.fi.un_760 sr.uz.mk_432  tg.sr.uz_666 ms.af.nl_554 
  0x18272104, 0x3f0806a4, 0x093f13a4, 0x182a270c,   // jw.gd.ga_332 de.no.af_433  et.af.pl_433 gd.mt.ga_543 
  0x0b2955ac, 0x070811af, 0x0f327312, 0x17200655,   // rw.sl.es_632 ro.uk.bg_655  ny.bs.lv_654 de.sq.sr_442 
  0x0c091055, 0x10290d07, 0x2f2104ee, 0x06001221,   // lt.pl.sv_442 cs.sl.lt_432  fi.jw.su_422 hu.de.un_860 
  // [c520]
  0x020c01a0, 0x2b001f13, 0x3d0e1ca4, 0x1b005608,   // en.sv.da_322 cy.vi.un_650  id.is.ku_433 mg.tr.un_430 
  0x072d0d08, 0x2a562008, 0x311b20a0, 0x08020daf,   // cs.sk.it_443 sq.mg.mt_443  sq.tr.az_322 cs.da.no_655 
  0x0a0410a6, 0x3f120804, 0x2b002a04, 0x561728a9,   // be.ru.mk_521 no.hu.af_332  mt.vi.un_320 sw.sr.mg_544 
  0x280b37a9, 0x103216ee, 0x045618ad, 0x32002807,   // st.es.sw_544 hr.bs.lt_422  ga.mg.fi_643 sw.bs.un_420 
  // [c530]
  0x6b1301a9, 0x0a4407a9, 0x2d0d0c05, 0x2800560c,   // en.et.ceb_544 bg.kk.mk_544  sv.cs.sk_333 mg.sw.un_530 
  0x53120911, 0x2b561904, 0x112f2702, 0x2f27210e,   // pl.hu.ht_653 gl.mg.vi_332  gd.su.ro_222 jw.gd.su_555 
  0x08353055, 0x081017af, 0x37000b1b, 0x0b005619,   // uz.tg.uk_442 sr.be.uk_655  es.st.un_770 mg.es.un_750 
  0x190b18a9, 0x27181f55, 0x100723a0, 0x562f070c,   // ga.es.gl_544 cy.ga.gd_442  ky.bg.be_322 it.su.mg_543 
  // [c540]
  0x28003007, 0x0a071013, 0x09000402, 0x18000807,   // uz.sw.un_420 be.bg.mk_665  fi.pl.un_220 no.ga.un_420 
  0x120c170c, 0x130608ee, 0x082d0d0d, 0x0c0e1fad,   // sr.sv.hu_543 no.de.et_422  cs.sk.no_554 cy.is.sv_643 
  0x2d0d0ea7, 0x642f2808, 0x19180ba4, 0x28136407,   // is.cs.sk_532 sw.su.lg_443  es.ga.gl_433 lg.et.sw_432 
  0x11000a1b, 0x1a313008, 0x31005504, 0x281809ad,   // mk.ro.un_770 uz.az.tl_443  rw.az.un_320 pl.ga.sw_643 
  // [c550]
  0x20000e11, 0x64296ba7, 0x10353011, 0x552964a0,   // is.sq.un_630 ceb.sl.lg_532  uz.tg.be_653 lg.sl.rw_322 
  0x2300170d, 0x35113008, 0x11100808, 0x190b18a6,   // sr.ky.un_540 uz.ro.tg_443  uk.be.ro_443 ga.es.gl_521 
  0x0b190a60, 0x0a005608, 0x1328550c, 0x0e0c0507,   // pt.gl.es_664 mg.pt.un_430  rw.sw.et_543 fr.sv.is_432 
  0x6b2d0dee, 0x23122004, 0x296e6ba0, 0x10640407,   // cs.sk.ceb_422 sq.hu.ca_332  ceb.hmn.sl_322 fi.lg.lt_432 
  // [c560]
  0x190a0602, 0x0203050c, 0x0300050b, 0x2902080c,   // de.pt.gl_222 fr.nl.da_543  fr.nl.un_520 no.da.sl_543 
  0x6b0930a9, 0x031b0e04, 0x640973a4, 0x09731fa9,   // uz.pl.ceb_544 is.tr.nl_332  ny.pl.lg_433 cy.ny.pl_544 
  0x1f000e0c, 0x30003d22, 0x645373a4, 0x09211f04,   // is.cy.un_530 ku.uz.un_870  ny.ht.lg_433 cy.jw.pl_332 
  0x2904550c, 0x110623ec, 0x0b2305a0, 0x25002305,   // rw.fi.sl_543 ca.de.ro_644  fr.ca.es_322 ca.eu.un_330 
  // [c570]
  0x2f1b31a6, 0x2a0e0807, 0x312f0ca0, 0x372173a4,   // az.tr.su_521 no.is.mt_432  sv.su.az_322 ny.jw.st_433 
  0x0e130802, 0x29736408, 0x531a56ee, 0x64001214,   // no.et.is_222 lg.ny.sl_443  mg.tl.ht_422 hu.lg.un_660 
  0x29003d09, 0x1b3d315a, 0x2f3f1cad, 0x2156120c,   // ku.sl.un_440 az.ku.tr_553  id.af.su_643 hu.mg.jw_543 
  0x08033fa9, 0x23201308, 0x44103504, 0x6b121f55,   // af.nl.no_544 et.sq.ca_443  tg.be.kk_332 cy.hu.ceb_442 
  // [c580]
  0x042d0da7, 0x1b105307, 0x3f211f60, 0x0c0306ee,   // cs.sk.fi_532 ht.lt.tr_432  cy.jw.af_664 de.nl.sv_422 
  0x212f1fa4, 0x05170dee, 0x18212fa7, 0x1a162102,   // cy.su.jw_433 cs.sr.fr_422  su.jw.ga_532 jw.hr.tl_222 
  0x04000c11, 0x036b0aee, 0x1000350c, 0x06120807,   // sv.fi.un_630 pt.ceb.nl_422  tg.be.un_530 no.hu.de_432 
  0x16091207, 0x12006b13, 0x052f6ba9, 0x3f080e0c,   // hu.pl.hr_432 ceb.hu.un_650  ceb.su.fr_544 is.no.af_543 
  // [c590]
  0x2307300e, 0x0c1f12a4, 0x180d0ba0, 0x1f296ea4,   // uz.it.ca_555 hu.cy.sv_433  es.cs.ga_322 hmn.sl.cy_433 
  0x08010ea0, 0x3f030655, 0x0c2d1b08, 0x060b110c,   // is.en.no_322 de.nl.af_442  tr.sk.sv_443 ro.es.de_543 
  0x0c020307, 0x55642814, 0x32030607, 0x3f190a55,   // nl.da.sv_432 sw.lg.rw_666  de.nl.bs_432 pt.gl.af_442 
  0x0f060111, 0x060c0e07, 0x110a0107, 0x3544300d,   // en.de.lv_653 is.sv.de_432  en.pt.ro_432 uz.kk.tg_554 
  // [c5a0]
  0x0400560d, 0x0708105a, 0x35443009, 0x0a1110a4,   // mg.fi.un_540 be.uk.bg_553  uz.kk.tg_444 lt.ro.pt_433 
  0x232d0d13, 0x27040607, 0x0c030e04, 0x25735508,   // cs.sk.ca_665 de.fi.gd_432  is.nl.sv_332 rw.ny.eu_443 
  0x13075607, 0x35041155, 0x32271fa9, 0x120b56a0,   // mg.it.et_432 ro.ru.tg_442  cy.gd.bs_544 mg.es.hu_322 
  0x12000d04, 0x12530aa0, 0x6e00252b, 0x19003d05,   // cs.hu.un_320 pt.ht.hu_322  eu.hmn.un_980 ku.gl.un_330 
  // [c5b0]
  0x32011107, 0x2b211c11, 0x2b6e25a9, 0x28003704,   // ro.en.bs_432 id.jw.vi_653  eu.hmn.vi_544 st.sw.un_320 
  0x02005602, 0x2500532b, 0x170553a0, 0x732a30ee,   // mg.da.un_220 ht.eu.un_980  ht.fr.sr_322 uz.mt.ny_422 
  0x0d000a07, 0x12530104, 0x313f1f55, 0x25001f14,   // pt.cs.un_420 en.ht.hu_332  cy.af.az_442 cy.eu.un_660 
  0x230937a0, 0x11006e08, 0x07003707, 0x310c13a4,   // st.pl.ca_322 hmn.ro.un_430  st.it.un_420 et.sv.az_433 
  // [c5c0]
  0x30002823, 0x112b6e04, 0x3008040c, 0x170a04a9,   // sw.uz.un_880 hmn.vi.ro_332  ru.uk.uz_543 ru.mk.sr_544 
  0x311a2d07, 0x1b2f32a0, 0x6e2b1114, 0x050a230b,   // sk.tl.az_432 bs.su.tr_322  ro.vi.hmn_666 ca.pt.fr_542 
  0x55206455, 0x1f3007ee, 0x1a00060d, 0x04236e04,   // lg.sq.rw_442 it.uz.cy_422  de.tl.un_540 hmn.ca.fi_332 
  0x070a04ec, 0x1e002118, 0x350810a4, 0x32160bee,   // ru.mk.bg_644 jw.ms.un_740  be.uk.tg_433 es.hr.bs_422 
  // [c5d0]
  0x101a6b13, 0x0b002822, 0x253d53a4, 0x110a17af,   // ceb.tl.lt_665 sw.es.un_870  ht.ku.eu_433 sr.mk.ro_655 
  0x5553290c, 0x302335a0, 0x08020609, 0x1806030c,   // sl.ht.rw_543 tg.ky.uz_322  de.da.no_444 nl.de.ga_543 
  0x3100730e, 0x18000702, 0x311b0907, 0x64203007,   // ny.az.un_550 it.ga.un_220  pl.tr.az_432 uz.sq.lg_432 
  0x53001e05, 0x2a100f09, 0x023f0313, 0x300a070e,   // ms.ht.un_330 lv.lt.mt_444  nl.af.da_665 bg.mk.uz_555 
  // [c5e0]
  0x1a190b04, 0x16293704, 0x196b1aad, 0x1a003723,   // es.gl.tl_332 st.sl.hr_332  tl.ceb.gl_643 st.tl.un_880 
  0x3200031a, 0x30080455, 0x5528200c, 0x256455ad,   // nl.bs.un_760 ru.uk.uz_442  sq.sw.rw_543 rw.lg.eu_643 
  0x2f645504, 0x05003d13, 0x2b001304, 0x3500231b,   // rw.lg.su_332 ku.fr.un_650  et.vi.un_320 ky.tg.un_770 
  0x0d002012, 0x16032a08, 0x1b1f37a4, 0x202f2aa7,   // sq.cs.un_640 mt.nl.hr_443  st.cy.tr_433 mt.su.sq_532 
  // [c5f0]
  0x0c08230d, 0x2520550c, 0x301b3160, 0x1f00070e,   // ca.no.sv_554 rw.sq.eu_543  az.tr.uz_664 it.cy.un_550 
  0x0b2a2508, 0x04555604, 0x11375505, 0x736e37af,   // eu.mt.es_443 mg.rw.fi_332  rw.st.ro_333 st.hmn.ny_655 
  0x0d212f04, 0x2a000918, 0x2f215507, 0x05003d22,   // su.jw.cs_332 pl.mt.un_740  rw.jw.su_432 ku.fr.un_870 
  0x07190a08, 0x110823a4, 0x353017ad, 0x2773180e,   // pt.gl.it_443 ky.uk.ro_433  sr.uz.tg_643 ga.ny.gd_555 
  // [c600]
  0x1a005507, 0x0208120c, 0x12001b12, 0x443507a4,   // rw.tl.un_420 hu.no.da_543  tr.hu.un_640 bg.tg.kk_433 
  0x190b1baf, 0x0a080413, 0x21000a02, 0x0c3f030c,   // tr.es.gl_655 ru.uk.mk_665  pt.jw.un_220 nl.af.sv_543 
  0x28302704, 0x17100809, 0x371f01a4, 0x1b002704,   // gd.uz.sw_332 uk.be.sr_444  en.cy.st_433 gd.tr.un_320 
  0x04001b0d, 0x0a0456ee, 0x040f56a4, 0x0b0a08a0,   // tr.fi.un_540 mg.fi.pt_422  mg.lv.fi_433 no.pt.es_322 
  // [c610]
  0x287355a4, 0x13732513, 0x0c005505, 0x551373ad,   // rw.ny.sw_433 eu.ny.et_665  rw.sv.un_330 ny.et.rw_643 
  0x05191bee, 0x07302309, 0x551b730c, 0x065513ad,   // tr.gl.fr_422 ky.uz.bg_444  ny.tr.rw_543 et.rw.de_643 
  0x080525a4, 0x03001218, 0x082f55a7, 0x2b005609,   // eu.fr.no_433 hu.nl.un_740  rw.su.no_532 mg.vi.un_440 
  0x1e000e05, 0x302855af, 0x2b5511a0, 0x0801070d,   // is.ms.un_330 rw.sw.uz_655  ro.rw.vi_322 it.en.no_554 
  // [c620]
  0x0600120c, 0x0c085512, 0x18001e18, 0x55087307,   // hu.de.un_530 rw.no.sv_654  ms.ga.un_740 ny.no.rw_432 
  0x73251b08, 0x0f1e1c02, 0x557328ad, 0x551e1c14,   // tr.eu.ny_443 id.ms.lv_222  sw.ny.rw_643 id.ms.rw_666 
  0x041117af, 0x21003004, 0x28000d0d, 0x0f291009,   // sr.ro.ru_655 uz.jw.un_320  cs.sw.un_540 lt.sl.lv_444 
  0x1a09100c, 0x25000709, 0x080a070b, 0x1100020c,   // lt.pl.tl_543 it.eu.un_440  bg.mk.uk_542 da.ro.un_530 
  // [c630]
  0x1b273da4, 0x08022502, 0x3d092aa4, 0x2d0929a4,   // ku.gd.tr_433 eu.da.no_222  mt.pl.ku_433 sl.pl.sk_433 
  0x016b2a04, 0x0a1730a0, 0x01005307, 0x075321ee,   // mt.ceb.en_332 uz.sr.mk_322  ht.en.un_420 jw.ht.it_422 
  0x1f3d2a07, 0x20212a04, 0x0f0931a4, 0x0b272f07,   // mt.ku.cy_432 mt.jw.sq_332  az.pl.lv_433 su.gd.es_432 
  0x530a04ee, 0x230410a0, 0x09645512, 0x170a3011,   // fi.pt.ht_422 be.ru.ky_322  rw.lg.pl_654 uz.mk.sr_653 
  // [c640]
  0x040a1110, 0x103035ad, 0x09001a0d, 0x11070a12,   // ro.mk.ru_642 tg.uz.be_643  tl.pl.un_540 mk.bg.ro_654 
  0x2d0d17a9, 0x1b190ba9, 0x2d070907, 0x301735a0,   // sr.cs.sk_544 es.gl.tr_544  pl.it.sk_432 tg.sr.uz_322 
  0x08120c08, 0x532a09ec, 0x10440405, 0x06190b05,   // sv.hu.no_443 pl.mt.ht_644  ru.kk.be_333 es.gl.de_333 
  0x2a2f5304, 0x1f2a5304, 0x100f285a, 0x3d042a07,   // ht.su.mt_332 ht.mt.cy_332  sw.lv.lt_553 mt.fi.ku_432 
  // [c650]
  0x212f23a4, 0x032f21a0, 0x3d0b04a4, 0x1a303112,   // ca.su.jw_433 jw.su.nl_322  fi.es.ku_433 az.uz.tl_654 
  0x28000412, 0x04192aa0, 0x09235611, 0x2b1c7312,   // fi.sw.un_640 mt.gl.fi_322  mg.ca.pl_653 ny.id.vi_654 
  0x29090fad, 0x2b301cee, 0x552f21af, 0x1a190b08,   // lv.pl.sl_643 id.uz.vi_422  jw.su.rw_655 es.gl.tl_443 
  0x56000919, 0x05042804, 0x12001823, 0x73280411,   // pl.mg.un_750 sw.fi.fr_332  ar.ur.un_880 fi.sw.ny_653 
  // [c660]
  0x0730010c, 0x04000a2a, 0x23560907, 0x0c190ba7,   // en.uz.it_543 pt.fi.un_970  pl.mg.ca_432 es.gl.sv_532 
  0x04000511, 0x07060360, 0x103f0313, 0x2b002a0d,   // fr.fi.un_630 nl.de.it_664  nl.af.lt_665 mt.vi.un_540 
  0x27230509, 0x0a072304, 0x2f3f035a, 0x300d56ad,   // fr.ca.gd_444 ky.bg.mk_332  nl.af.su_553 mg.cs.uz_643 
  0x2a0823af, 0x04440704, 0x040f13a0, 0x23005621,   // ca.no.mt_655 bg.kk.ru_332  et.lv.fi_322 mg.ca.un_860 
  // [c670]
  0x033f2712, 0x050413a4, 0x050b01a4, 0x2b0123ee,   // gd.af.nl_654 et.fi.fr_433  en.es.fr_433 ca.en.vi_422 
  0x0b232707, 0x1f2a2360, 0x234404a0, 0x1e003202,   // gd.ca.es_432 ca.mt.cy_664  ru.kk.ky_322 bs.ms.un_220 
  0x16002a12, 0x32000607, 0x2d0756ee, 0x100555a0,   // mt.hr.un_640 de.bs.un_420  mg.it.sk_422 rw.fr.lt_322 
  0x10252908, 0x2d0d3f5a, 0x08441009, 0x2825550e,   // sl.eu.lt_443 af.cs.sk_553  be.kk.uk_444 rw.eu.sw_555 
  // [c680]
  0x2d060f55, 0x0b006b18, 0x640955a4, 0x31302aa0,   // lv.de.sk_442 ceb.es.un_740  rw.pl.lg_433 mt.uz.az_322 
  0x101a090c, 0x12000d12, 0x072164a4, 0x1008230c,   // pl.tl.lt_543 cs.hu.un_640  lg.jw.it_433 ky.uk.be_543 
  0x0b25190d, 0x043113ec, 0x040710a7, 0x2d0d29a7,   // gl.eu.es_554 et.az.fi_644  be.bg.ru_532 sl.cs.sk_532 
  0x190b73a7, 0x0c00120c, 0x080211a0, 0x0b001f09,   // ny.es.gl_532 hu.sv.un_530  ro.da.no_322 cy.es.un_440 
  // [c690]
  0x233544a4, 0x44231060, 0x0a315555, 0x06311b11,   // kk.tg.ky_433 be.ky.kk_664  rw.az.pt_442 tr.az.de_653 
  0x12311b0b, 0x0410170d, 0x1200182a, 0x18000613,   // tr.az.hu_542 sr.be.ru_554  ar.ur.un_970 de.ga.un_650 
  0x28003f04, 0x056e6ba0, 0x0a350702, 0x071704af,   // af.sw.un_320 ceb.hmn.fr_322  bg.tg.mk_222 ru.sr.bg_655 
  0x1c005609, 0x10030f02, 0x0d090aa0, 0x32002304,   // mg.id.un_440 lv.nl.lt_222  pt.pl.cs_322 ca.bs.un_320 
  // [c6a0]
  0x101b06a0, 0x21002d12, 0x100430a0, 0x08002902,   // de.tr.lt_322 sk.jw.un_640  uz.ru.be_322 sl.no.un_220 
  0x17231155, 0x0c000421, 0x170408ec, 0x0d016ba0,   // ro.ky.sr_442 fi.sv.un_860  uk.ru.sr_644 ceb.en.cs_322 
  0x29061fa0, 0x0a351755, 0x0e031004, 0x0e080c05,   // cy.de.sl_322 sr.tg.mk_442  lt.nl.is_332 sv.no.is_333 
  0x0f1729a0, 0x09130da6, 0x20000411, 0x080c3fee,   // sl.sr.lv_322 cs.et.pl_521  fi.sq.un_630 af.sv.no_422 
  // [c6b0]
  0x2827180e, 0x060c04a9, 0x11303512, 0x07000207,   // ga.gd.sw_555 fi.sv.de_544  tg.uz.ro_654 da.it.un_420 
  0x1b203255, 0x03080ea4, 0x170f03ac, 0x3f032da4,   // bs.sq.tr_442 is.no.nl_433  nl.lv.sr_632 sk.nl.af_433 
  0x04001318, 0x08120c07, 0x070523a4, 0x03001109,   // et.fi.un_740 sv.hu.no_432  ca.fr.it_433 ro.nl.un_440 
  0x1e292d07, 0x3f002d07, 0x2a556412, 0x1b00300c,   // sk.sl.ms_432 sk.af.un_420  lg.rw.mt_654 uz.tr.un_530 
  // [c6c0]
  0x64552014, 0x10110855, 0x17230a02, 0x2a00121b,   // sq.rw.lg_666 no.ro.lt_442  mk.ky.sr_222 hu.mt.un_770 
  0x2d002a08, 0x640e13ec, 0x0f100ea0, 0x0b1125a4,   // mt.sk.un_430 et.is.lg_644  is.lt.lv_322 eu.ro.es_433 
  0x060103ad, 0x06006407, 0x30000e09, 0x6b0106a4,   // nl.en.de_643 lg.de.un_420  is.uz.un_440 de.en.ceb_433 
  0x551f07a4, 0x18000a0d, 0x114411a9, 0x08131b04,   // it.cy.rw_433 pt.ga.un_540  ro.kk.ro_544 tr.et.no_332 
  // [c6d0]
  0x02120508, 0x08001b18, 0x170a440c, 0x2d291605,   // fr.hu.da_443 tr.no.un_740  kk.mk.sr_543 hr.sl.sk_333 
  0x20000e14, 0x03002a14, 0x112123af, 0x321b0a04,   // is.sq.un_660 mt.nl.un_660  ca.jw.ro_655 pt.tr.bs_332 
  0x133f1b0c, 0x321603a4, 0x2500210e, 0x29173fa4,   // tr.af.et_543 nl.hr.bs_433  jw.eu.un_550 af.sr.sl_433 
  0x2a2d09a6, 0x062f1eee, 0x11055308, 0x64000512,   // pl.sk.mt_521 ms.su.de_422  ht.fr.ro_443 fr.lg.un_640 
  // [c6e0]
  0x12000c18, 0x3f0c12a6, 0x040506a7, 0x353044af,   // sv.hu.un_740 hu.sv.af_521  de.fr.fi_532 kk.uz.tg_655 
  0x230b25a9, 0x0c082104, 0x0508020e, 0x3f6b03ee,   // eu.es.ca_544 jw.no.sv_332  da.no.fr_555 nl.ceb.af_422 
  0x1b00131a, 0x2330040d, 0x05007309, 0x3f1b1ca0,   // et.tr.un_760 ru.uz.ky_554  ny.fr.un_440 id.tr.af_322 
  0x041b1002, 0x133f1b07, 0x213755a0, 0x041328a4,   // lt.tr.fi_222 tr.af.et_432  rw.st.jw_322 sw.et.fi_433 
  // [c6f0]
  0x0a230709, 0x2d002012, 0x13001804, 0x04123fa0,   // bg.ky.mk_444 sq.sk.un_640  ga.et.un_320 af.hu.fi_322 
  0x30120807, 0x08020705, 0x180e130c, 0x25110b04,   // no.hu.uz_432 it.da.no_333  et.is.ga_543 es.ro.eu_332 
  0x2f372812, 0x2f003705, 0x030208ad, 0x17300708,   // sw.st.su_654 st.su.un_330  no.da.nl_643 bg.uz.sr_443 
  0x1308180d, 0x1735305a, 0x28000408, 0x53001307,   // ga.no.et_554 uz.tg.sr_553  fi.sw.un_430 et.ht.un_420 
  // [c700]
  0x08001311, 0x0a441002, 0x2f215504, 0x0953010c,   // et.no.un_630 be.kk.mk_222  rw.jw.su_332 en.ht.pl_543 
  0x08441007, 0x073008a0, 0x095510ad, 0x170823ee,   // be.kk.uk_432 uk.uz.bg_322  lt.rw.pl_643 ky.uk.sr_422 
  0x531a5505, 0x321609af, 0x080930a0, 0x190b1f0c,   // rw.tl.ht_333 pl.hr.bs_655  uz.pl.no_322 cy.es.gl_543 
  0x3d0d25ad, 0x30550905, 0x2f21730e, 0x0a0206a7,   // eu.cs.ku_643 pl.rw.uz_333  ny.jw.su_555 de.da.pt_532 
  // [c710]
  0x12003708, 0x12002f21, 0x2f56370c, 0x1c282f08,   // st.hu.un_430 su.hu.un_860  st.mg.su_543 su.sw.id_443 
  0x093f10a4, 0x560437a4, 0x103d5307, 0x35001114,   // lt.af.pl_433 st.fi.mg_433  ht.ku.lt_432 ro.tg.un_660 
  0x1900310c, 0x1f0955ee, 0x1607370c, 0x291805ec,   // az.gl.un_530 rw.pl.cy_422  st.it.hr_543 fr.ga.sl_644 
  0x12002909, 0x050c010c, 0x31300e0c, 0x556473a4,   // sl.hu.un_440 en.sv.fr_543  is.uz.az_543 ny.lg.rw_433 
  // [c720]
  0x051827a0, 0x37002b04, 0x230a0412, 0x6b3056ee,   // gd.ga.fr_322 vi.st.un_320  ru.mk.ky_654 mg.uz.ceb_422 
  0x310e1f12, 0x64001f13, 0x553f2804, 0x1e1c2909,   // cy.is.az_654 cy.lg.un_650  sw.af.rw_332 sl.id.ms_444 
  0x2f08560c, 0x291b30ee, 0x530973a7, 0x0f2f2104,   // mg.no.su_543 uz.tr.sl_422  ny.pl.ht_532 jw.su.lv_332 
  0x06286ba4, 0x160929ee, 0x0528190d, 0x312a3008,   // ceb.sw.de_433 sl.pl.hr_422  gl.sw.fr_554 uz.mt.az_443 
  // [c730]
  0x010a6ba4, 0x03301307, 0x303f0304, 0x020106ee,   // ceb.pt.en_433 et.uz.nl_432  nl.af.uz_332 de.en.da_422 
  0x0e083004, 0x081306ee, 0x18003012, 0x2a00130b,   // uz.no.is_332 de.et.no_422  uz.ga.un_640 et.mt.un_520 
  0x10233004, 0x122d2105, 0x0410565a, 0x2d162904,   // uz.ky.be_332 jw.sk.hu_333  mg.lt.fi_553 sl.hr.sk_332 
  0x102106a6, 0x562d0d0e, 0x0a1e1c04, 0x536e070b,   // de.jw.lt_521 cs.sk.mg_555  id.ms.pt_332 it.hmn.ht_542 
  // [c740]
  0x31133009, 0x373f03ee, 0x0a4404ee, 0x040811ac,   // uz.et.az_444 nl.af.st_422  ru.kk.mk_422 ro.uk.ru_632 
  0x2b232f07, 0x03373fa7, 0x23001302, 0x6b5630a0,   // su.ca.vi_432 af.st.nl_532  et.ca.un_220 uz.mg.ceb_322 
  0x192f2102, 0x25190b0b, 0x0a102d55, 0x12180e07,   // jw.su.gl_222 es.gl.eu_542  sk.lt.pt_442 is.ga.hu_432 
  0x19182b0c, 0x16001004, 0x191e1c04, 0x3504085a,   // vi.ga.gl_543 lt.hr.un_320  id.ms.gl_332 uk.ru.tg_553 
  // [c750]
  0x53002523, 0x0f00290e, 0x0200180d, 0x2f32170d,   // eu.ht.un_880 sl.lv.un_550  ga.da.un_540 sr.bs.su_554 
  0x53003d13, 0x100f1708, 0x03041b0c, 0x0f321708,   // ku.ht.un_650 sr.lv.lt_443  tr.fi.nl_543 sr.bs.lv_443 
  0x033f200c, 0x28000714, 0x192f0904, 0x0d321702,   // sq.af.nl_543 it.sw.un_660  pl.su.gl_332 sr.bs.cs_222 
  0x172129a7, 0x2900202a, 0x0f1b10ee, 0x28002d04,   // sl.jw.sr_532 sq.sl.un_970  lt.tr.lv_422 sk.sw.un_320 
  // [c760]
  0x53256bad, 0x3f1f0913, 0x033d1f12, 0x04132a0c,   // ceb.eu.ht_643 pl.cy.af_665  cy.ku.nl_654 mt.et.fi_543 
  0x0a102da0, 0x643f29a4, 0x2503090b, 0x1e1003a7,   // sk.lt.pt_322 sl.af.lg_433  pl.nl.eu_542 nl.lt.ms_532 
  0x1c1f21a4, 0x25001812, 0x3d000912, 0x561f0d07,   // jw.cy.id_433 ga.eu.un_640  pl.ku.un_640 cs.cy.mg_432 
  0x1b2831af, 0x3530100b, 0x0f003013, 0x160c06ee,   // az.sw.tr_655 be.uz.tg_542  uz.lv.un_650 de.sv.hr_422 
  // [c770]
  0x1b0e3da7, 0x0d000807, 0x080e3d0c, 0x0c033d07,   // ku.is.tr_532 no.cs.un_420  ku.is.no_543 ku.nl.sv_432 
  0x55212012, 0x27003d14, 0x1a253d55, 0x1e2d0d11,   // sq.jw.rw_654 ku.gd.un_660  ku.eu.tl_442 cs.sk.ms_653 
  0x29003d0d, 0x0c203da7, 0x0e0c1f0c, 0x0844100d,   // ku.sl.un_540 ku.sq.sv_532  cy.sv.is_543 be.kk.uk_554 
  0x1e1c25a9, 0x18001913, 0x170807a4, 0x0a4423a7,   // eu.id.ms_544 gl.ga.un_650  bg.uk.sr_433 ky.kk.mk_532 
  // [c780]
  0x1a551b55, 0x19310b55, 0x64001f12, 0x0630310c,   // tr.rw.tl_442 es.az.gl_442  cy.lg.un_640 az.uz.de_543 
  0x0d2d3d07, 0x1f003d04, 0x30083da4, 0x1b0b08a0,   // ku.sk.cs_432 ku.cy.un_320  ku.no.uz_433 no.es.tr_322 
  0x16207304, 0x19000604, 0x296b1a04, 0x2916040e,   // ny.sq.hr_332 de.gl.un_320  tl.ceb.sl_332 fi.hr.sl_555 
  0x182713a4, 0x552932a0, 0x2f131f07, 0x1e003d1a,   // et.gd.ga_433 bs.sl.rw_322  cy.et.su_432 ku.ms.un_760 
  // [c790]
  0x1b001014, 0x02000d02, 0x23002a1a, 0x232013a7,   // lt.tr.un_660 cs.da.un_220  mt.ca.un_760 et.sq.ca_532 
  0x070a100d, 0x0e122107, 0x1e171c04, 0x2f005513,   // be.mk.bg_554 jw.hu.is_432  id.sr.ms_332 rw.su.un_650 
  0x2330170c, 0x0a1723a9, 0x166b0eee, 0x730425a4,   // sr.uz.ky_543 ky.sr.mk_544  is.ceb.hr_422 eu.fi.ny_433 
  0x20002105, 0x2b2856a0, 0x0b1b30a0, 0x56002808,   // jw.sq.un_330 mg.sw.vi_322  uz.tr.es_322 sw.mg.un_430 
  // [c7a0]
  0x070b01a4, 0x2b000705, 0x130d095a, 0x3f020313,   // en.es.it_433 it.vi.un_330  hi.ne.bh_553 nl.da.af_665 
  0x1600280d, 0x32000a08, 0x0b0a0eec, 0x302f0ea4,   // sw.hr.un_540 pt.bs.un_430  is.pt.es_644 is.su.uz_433 
  0x07001011, 0x281a7308, 0x081f02ee, 0x19250aa4,   // be.bg.un_630 ny.tl.sw_443  da.cy.no_422 pt.eu.gl_433 
  0x2f372804, 0x180601a0, 0x321a56a9, 0x08001a13,   // sw.st.su_332 en.de.ga_322  mg.tl.bs_544 tl.no.un_650 
  // [c7b0]
  0x18190f04, 0x2b190fa0, 0x1a27180e, 0x18191f08,   // lv.gl.ga_332 lv.gl.vi_322  ga.gd.tl_555 cy.gl.ga_443 
  0x6e532ba4, 0x1e292007, 0x21033f02, 0x27180807,   // vi.ht.hmn_433 sq.sl.ms_432  af.nl.jw_222 no.ga.gd_432 
  0x6e532b08, 0x11170aaf, 0x53206e05, 0x180a0807,   // vi.ht.hmn_443 mk.sr.ro_655  hmn.sq.ht_333 no.pt.ga_432 
  0x232873a0, 0x1b3d6eaf, 0x10005313, 0x01033fad,   // ny.sw.ca_322 hmn.ku.tr_655  ht.lt.un_650 af.nl.en_643 
  // [c7c0]
  0x0f006e0d, 0x231a10a0, 0x3d1b6e04, 0x19181f0c,   // hmn.lv.un_540 lt.tl.ca_322  hmn.tr.ku_332 cy.ga.gl_543 
  0x0f160404, 0x441011ec, 0x17230704, 0x641a1ca4,   // fi.hr.lv_332 ro.be.kk_644  bg.ky.sr_332 id.tl.lg_433 
  0x0a1730ec, 0x1c000704, 0x290e0d0b, 0x6b1a1baf,   // uz.sr.mk_644 it.id.un_320  cs.is.sl_542 tr.tl.ceb_655 
  0x0c0a2913, 0x1a736b0c, 0x020c04a0, 0x251a64a9,   // sl.pt.sv_665 ceb.ny.tl_543  fi.sv.da_322 lg.tl.eu_544 
  // [c7d0]
  0x6453060b, 0x29000a2c, 0x12102da6, 0x30081e07,   // de.ht.lg_542 pt.sl.un_990  sk.lt.hu_521 ms.no.uz_432 
  0x11007307, 0x03130602, 0x1b0901a4, 0x2f081ea0,   // ny.ro.un_420 de.et.nl_222  en.pl.tr_433 ms.no.su_322 
  0x27130a07, 0x217328a0, 0x35230a04, 0x300c6404,   // pt.et.gd_432 sw.ny.jw_322  mk.ky.tg_332 lg.sv.uz_332 
  0x280f73ec, 0x120f11a7, 0x110c03af, 0x216b1a13,   // ny.lv.sw_644 ro.lv.hu_532  nl.sv.ro_655 tl.ceb.jw_665 
  // [c7e0]
  0x08231702, 0x31373055, 0x18033f02, 0x031b31a0,   // sr.ky.uk_222 uz.st.az_442  af.nl.ga_222 az.tr.nl_322 
  0x17350404, 0x0807105a, 0x3d001b21, 0x04080c14,   // ru.tg.sr_332 be.bg.uk_553  tr.ku.un_860 sv.no.fi_666 
  0x100a1107, 0x033f19a0, 0x100a170c, 0x0e256ba9,   // ro.mk.be_432 gl.af.nl_322  sr.mk.be_543 ceb.eu.is_544 
  0x120c64a7, 0x07301007, 0x21287307, 0x160f0c0c,   // lg.sv.hu_532 be.uz.bg_432  ny.sw.jw_432 sv.lv.hr_543 
  // [c7f0]
  0x0e0c1f07, 0x0d1b3007, 0x21377308, 0x642837af,   // cy.sv.is_432 uz.tr.cs_432  ny.st.jw_443 st.sw.lg_655 
  0x12566407, 0x06082a55, 0x05011008, 0x280c560e,   // lg.mg.hu_432 mt.no.de_442  lt.en.fr_443 mg.sv.sw_555 
  0x55006b0e, 0x0c130a08, 0x04201f0d, 0x2a0a07a0,   // ceb.rw.un_550 pt.et.sv_443  cy.sq.fi_554 it.pt.mt_322 
  0x3f1a1208, 0x2a000e19, 0x0f1b30ee, 0x0e041fee,   // hu.tl.af_443 is.mt.un_750  uz.tr.lv_422 cy.fi.is_422 
  
  // [c800]
  0x276b1a12, 0x5300212a, 0x17043512, 0x080220a0,   // tl.ceb.gd_654 jw.ht.un_970  tg.ru.sr_654 sq.da.no_322 
  0x0a3517a4, 0x291320a4, 0x0305020c, 0x531f0bee,   // sr.tg.mk_433 sq.et.sl_433  da.fr.nl_543 es.cy.ht_422 
  0x2f3f0fad, 0x21123d07, 0x73253712, 0x0c0e0407,   // lv.af.su_643 ku.hu.jw_432  st.eu.ny_654 fi.is.sv_432 
  0x100407af, 0x3d000f21, 0x130428af, 0x53113707,   // bg.ru.be_655 lv.ku.un_860  sw.fi.et_655 st.ro.ht_432 
  // [c810]
  0x2d0929a0, 0x53282104, 0x2f001221, 0x08120ca0,   // sl.pl.sk_322 jw.sw.ht_332  hu.su.un_860 sv.hu.no_322 
  0x31272f0c, 0x172905ee, 0x3d311b13, 0x111901a0,   // su.gd.az_543 fr.sl.sr_422  tr.az.ku_665 en.gl.ro_322 
  0x1b3111a4, 0x310827a0, 0x066404ee, 0x121a6b60,   // ro.az.tr_433 gd.no.az_322  fi.lg.de_422 ceb.tl.hu_664 
  0x3f2003ee, 0x731c1eaf, 0x070a1bee, 0x230b64a4,   // nl.sq.af_422 ms.id.ny_655  tr.pt.it_422 lg.es.ca_433 
  // [c820]
  0x12030209, 0x1b06310c, 0x060c6bec, 0x3d1e1cee,   // da.nl.hu_444 az.de.tr_543  ceb.sv.de_644 id.ms.ku_422 
  0x1f1b0e0c, 0x21302f0b, 0x2718110e, 0x132d2907,   // is.tr.cy_543 su.uz.jw_542  ro.ga.gd_555 sl.sk.et_432 
  0x73000e1a, 0x3f1a0213, 0x1e0c21af, 0x210b1805,   // is.ny.un_760 da.tl.af_665  jw.sv.ms_655 ga.es.jw_333 
  0x0b0127a7, 0x111201a7, 0x1c005504, 0x053f0308,   // gd.en.es_532 en.hu.ro_532  rw.id.un_320 nl.af.fr_443 
  // [c830]
  0x0813040c, 0x08180cac, 0x64212fa4, 0x04103511,   // fi.et.no_543 sv.ga.no_632  su.jw.lg_433 tg.be.ru_653 
  0x2f043711, 0x021827a7, 0x040c0855, 0x641a01ec,   // st.fi.su_653 gd.ga.da_532  no.sv.fi_442 en.tl.lg_644 
  0x06005513, 0x07181907, 0x0a002504, 0x1a000607,   // rw.de.un_650 gl.ga.it_432  eu.pt.un_320 de.tl.un_420 
  0x0c04060e, 0x0c0504ac, 0x6b000105, 0x112701ad,   // de.fi.sv_555 fi.fr.sv_632  en.ceb.un_330 en.gd.ro_643 
  // [c840]
  0x190a0e09, 0x311a3d05, 0x1c2101a4, 0x6e006404,   // is.pt.gl_444 ku.tl.az_333  en.jw.id_433 lg.hmn.un_320 
  0x27282f12, 0x35070a12, 0x230e2da0, 0x18270a07,   // su.sw.gd_654 mk.bg.tg_654  sk.is.ca_322 pt.gd.ga_432 
  0x0b1827a0, 0x01002714, 0x566455ad, 0x07040a55,   // gd.ga.es_322 gd.en.un_660  rw.lg.mg_643 mk.ru.bg_442 
  0x3f001314, 0x23040755, 0x0a070507, 0x120d2dad,   // et.af.un_660 bg.ru.ky_442  fr.it.pt_432 sk.cs.hu_643 
  // [c850]
  0x3f04130c, 0x040c0660, 0x207353a0, 0x73003007,   // et.fi.af_543 de.sv.fi_664  ht.ny.sq_322 uz.ny.un_420 
  0x533d1b13, 0x211a0108, 0x1b3d53a9, 0x07231004,   // tr.ku.ht_665 en.tl.jw_443  ht.ku.tr_544 be.ky.bg_332 
  0x53001a08, 0x6473280e, 0x11371a0c, 0x0c192507,   // tl.ht.un_430 sw.ny.lg_555  tl.st.ro_543 eu.gl.sv_432 
  0x1f1201a0, 0x55056bee, 0x060a64a7, 0x0c076407,   // en.hu.cy_322 ceb.fr.rw_422  lg.pt.de_532 lg.it.sv_432 
  // [c860]
  0x300a17a7, 0x1200020d, 0x1f0406ee, 0x030429ee,   // sr.mk.uz_532 da.hu.un_540  de.fi.cy_422 sl.fi.nl_422 
  0x2f000107, 0x35302360, 0x132f55a0, 0x1b0c04a4,   // en.su.un_420 ky.uz.tg_664  rw.su.et_322 fi.sv.tr_433 
  0x170a110d, 0x0b2d0ead, 0x29092d12, 0x233064ee,   // ro.mk.sr_554 is.sk.es_643  sk.pl.sl_654 lg.uz.ca_422 
  0x03253f02, 0x040830a4, 0x3035110d, 0x1b0630a4,   // af.eu.nl_222 uz.uk.ru_433  ro.tg.uz_554 uz.de.tr_433 
  // [c870]
  0x07112312, 0x02031fec, 0x09000b04, 0x11040711,   // ca.ro.it_654 cy.nl.da_644  es.pl.un_320 bg.ru.ro_653 
  0x0a0318a4, 0x0c1830a4, 0x44040711, 0x111220a4,   // ga.nl.pt_433 uz.ga.sv_433  bg.ru.kk_653 sq.hu.ro_433 
  0x16070aad, 0x1823270c, 0x732d0aac, 0x04032a55,   // pt.it.hr_643 gd.ca.ga_543  pt.sk.ny_632 mt.nl.fi_442 
  0x29041809, 0x0a212960, 0x17115504, 0x190b04ee,   // ga.fi.sl_444 sl.jw.pt_664  rw.ro.sr_332 fi.es.gl_422 
  // [c880]
  0x0e00640c, 0x25000407, 0x31301b04, 0x072b1ca0,   // lg.is.un_530 fi.eu.un_420  tr.uz.az_332 id.vi.it_322 
  0x06301b07, 0x1b0231a4, 0x211e56a4, 0x6e006405,   // tr.uz.de_432 az.da.tr_433  mg.ms.jw_433 lg.hmn.un_330 
  0x1b23020c, 0x561012a4, 0x0e0413a4, 0x6e070912,   // da.ca.tr_543 hu.lt.mg_433  et.fi.is_433 pl.it.hmn_654 
  0x093f1007, 0x016b040c, 0x0c025607, 0x100304a4,   // lt.af.pl_432 fi.ceb.en_543  mg.da.sv_432 fi.nl.lt_433 
  // [c890]
  0x31000e1a, 0x182f04ee, 0x043f10a7, 0x0e002102,   // is.az.un_760 fi.su.ga_422  lt.af.fi_532 jw.is.un_220 
  0x30042305, 0x0d103f07, 0x2d0712a4, 0x560709af,   // ky.ru.uz_333 af.lt.cs_432  hu.it.sk_433 pl.it.mg_655 
  0x53053faf, 0x25000212, 0x2d180d0d, 0x192d0d17,   // af.fr.ht_655 da.eu.un_640  cs.ga.sk_554 cs.sk.gl_753 
  0x0f001219, 0x290f0da0, 0x2d1b09ac, 0x03001008,   // hu.lv.un_750 cs.lv.sl_322  pl.tr.sk_632 lt.nl.un_430 
  // [c8a0]
  0x032d1007, 0x3f071060, 0x6b053da9, 0x6b00300e,   // lt.sk.nl_432 lt.it.af_664  ku.fr.ceb_544 uz.ceb.un_550 
  0x070423a7, 0x0f001212, 0x0d00050c, 0x2f00050e,   // ky.ru.bg_532 hu.lv.un_640  fr.cs.un_530 fr.su.un_550 
  0x0a173007, 0x301023ad, 0x110b010c, 0x04272107,   // uz.sr.mk_432 ky.be.uz_643  en.es.ro_543 jw.gd.fi_432 
  0x11001809, 0x2d1219a9, 0x0a1011a6, 0x6b1a2a12,   // ga.ro.un_440 gl.hu.sk_544  ro.be.mk_521 mt.tl.ceb_654 
  // [c8b0]
  0x1a56110c, 0x732a53a4, 0x2a6b1a13, 0x301a0da0,   // ro.mg.tl_543 ht.mt.ny_433  tl.ceb.mt_665 cs.tl.uz_322 
  0x122d190c, 0x1a6e6b08, 0x73561aec, 0x531f2aee,   // gl.sk.hu_543 ceb.hmn.tl_443  tl.mg.ny_644 mt.cy.ht_422 
  0x0a040755, 0x07040802, 0x1b1a010c, 0x0d12050c,   // bg.ru.mk_442 uk.ru.bg_222  en.tl.tr_543 fr.hu.cs_543 
  0x2a6b1a12, 0x730406a0, 0x29002104, 0x130f1008,   // tl.ceb.mt_654 de.fi.ny_322  jw.sl.un_320 lt.lv.et_443 
  // [c8c0]
  0x096b1a60, 0x121a30af, 0x64003204, 0x1b00110b,   // tl.ceb.pl_664 uz.tl.hu_655  bs.lg.un_320 ro.tr.un_520 
  0x1e1c1a09, 0x2d300aa4, 0x083f03ee, 0x301b64ad,   // tl.id.ms_444 pt.uz.sk_433  nl.af.no_422 lg.tr.uz_643 
  0x252330ee, 0x06023002, 0x102a3f05, 0x561e28a0,   // uz.ca.eu_422 uz.da.de_222  af.mt.lt_333 sw.ms.mg_322 
  0x2f002a07, 0x55002519, 0x6b1a2a09, 0x2f5337a0,   // mt.su.un_420 eu.rw.un_750  mt.tl.ceb_444 st.ht.su_322 
  // [c8d0]
  0x13000504, 0x17003f1a, 0x2a6b01a4, 0x6e6b1a04,   // fr.et.un_320 af.sr.un_760  en.ceb.mt_433 tl.ceb.hmn_332 
  0x0e23180d, 0x1a6b2a12, 0x30000504, 0x120a2508,   // ga.ca.is_554 mt.ceb.tl_654  fr.uz.un_320 eu.pt.hu_443 
  0x44041060, 0x56000422, 0x28000b08, 0x23005505,   // be.ru.kk_664 fi.mg.un_870  es.sw.un_430 rw.ca.un_330 
  0x0a23440b, 0x02000e08, 0x06531307, 0x11733708,   // kk.ky.mk_542 is.da.un_430  et.ht.de_432 st.ny.ro_443 
  // [c8e0]
  0x17110107, 0x030c08ad, 0x1e080cee, 0x2a005323,   // en.ro.sr_432 no.sv.nl_643  sv.no.ms_422 ht.mt.un_880 
  0x046b1aee, 0x2f21050d, 0x2a001912, 0x1b230504,   // tl.ceb.fi_422 fr.jw.su_554  gl.mt.un_640 fr.ca.tr_332 
  0x01051fac, 0x050e2f04, 0x19000519, 0x20006e09,   // cy.fr.en_632 su.is.fr_332  fr.gl.un_750 hmn.sq.un_440 
  0x0100051a, 0x23100ea4, 0x56052308, 0x3f0c0813,   // fr.en.un_760 is.lt.ca_433  ca.fr.mg_443 no.sv.af_665 
  // [c8f0]
  0x0c180e05, 0x0e001c04, 0x1a2b01ee, 0x052312a4,   // is.ga.sv_333 id.is.un_320  en.vi.tl_422 hu.ca.fr_433 
  0x122d0aac, 0x120a2d0c, 0x0e000513, 0x050e0fa4,   // pt.sk.hu_632 sk.pt.hu_543  fr.is.un_650 lv.is.fr_433 
  0x2f052165, 0x310c30ee, 0x2d120aa0, 0x56001912,   // jw.fr.su_763 uz.sv.az_422  pt.hu.sk_322 gl.mg.un_640 
  0x0704170e, 0x0e2d0a04, 0x092d3fee, 0x06000e12,   // sr.ru.bg_555 pt.sk.is_332  af.sk.pl_422 is.de.un_640 
  // [c900]
  0x03000d07, 0x37135504, 0x041828a6, 0x111f64a0,   // cs.nl.un_420 rw.et.st_332  sw.ga.fi_521 lg.cy.ro_322 
  0x19000507, 0x0a002802, 0x12000a1a, 0x210413a4,   // fr.gl.un_420 sw.pt.un_220  pt.hu.un_760 et.fi.jw_433 
  0x230735a7, 0x2f00130d, 0x190e0aad, 0x0430070d,   // tg.bg.ky_532 et.su.un_540  pt.is.gl_643 bg.uz.ru_554 
  0x3f73070c, 0x55001309, 0x060e1307, 0x2b203055,   // it.ny.af_543 et.rw.un_440  et.is.de_432 uz.sq.vi_442 
  // [c910]
  0x562f230b, 0x7364280e, 0x2b532f08, 0x23110aa9,   // ca.su.mg_542 sw.lg.ny_555  su.ht.vi_443 pt.ro.ca_544 
  0x0a531108, 0x270102a0, 0x06001f2a, 0x2b000b04,   // ro.ht.pt_443 da.en.gd_322  cy.de.un_970 es.vi.un_320 
  0x44040a04, 0x6b1055a4, 0x03202fee, 0x2b1e3f02,   // mk.ru.kk_332 rw.lt.ceb_433  su.sq.nl_422 af.ms.vi_222 
  0x0b0a19ac, 0x732f2105, 0x287313a7, 0x2f002505,   // gl.pt.es_632 jw.su.ny_333  et.ny.sw_532 eu.su.un_330 
  // [c920]
  0x2d052f07, 0x550711a4, 0x6455110c, 0x175321a0,   // su.fr.sk_432 ro.it.rw_433  ro.rw.lg_543 jw.ht.sr_322 
  0x2f0421ad, 0x2f562a55, 0x3f0c02a0, 0x28731008,   // jw.fi.su_643 mt.mg.su_442  da.sv.af_322 lt.ny.sw_443 
  0x03001707, 0x10080212, 0x103523ad, 0x23000521,   // sr.nl.un_420 da.no.lt_654  ky.tg.be_643 fr.ca.un_860 
  0x5325565a, 0x3d1b1904, 0x28375504, 0x070430a4,   // mg.eu.ht_553 gl.tr.ku_332  rw.st.sw_332 uz.ru.bg_433 
  // [c930]
  0x1e251aa4, 0x07001118, 0x08000c14, 0x0a002123,   // tl.eu.ms_433 ro.it.un_740  sv.no.un_660 jw.pt.un_880 
  0x23192fec, 0x2864530c, 0x30560fad, 0x0d1b2d55,   // su.gl.ca_644 ht.lg.sw_543  lv.mg.uz_643 sk.tr.cs_442 
  0x3f300204, 0x212f1caf, 0x18000513, 0x233d0e0c,   // da.uz.af_332 id.su.jw_655  fr.ga.un_650 is.ku.ca_543 
  0x1f6b110c, 0x1144235a, 0x25003012, 0x530f215a,   // ro.ceb.cy_543 ky.kk.ro_553  uz.eu.un_640 jw.lv.ht_553 
  // [c940]
  0x10003d07, 0x44100aec, 0x051f2aee, 0x2d0e12a9,   // ku.lt.un_420 mk.be.kk_644  mt.cy.fr_422 hu.is.sk_544 
  0x0e550ba0, 0x10170fa4, 0x0f100cad, 0x212a3d07,   // es.rw.is_322 lv.sr.lt_433  sv.lt.lv_643 ku.mt.jw_432 
  0x6e00372c, 0x30081712, 0x0b121902, 0x0c1c2fa7,   // st.hmn.un_990 sr.uk.uz_654  gl.hu.es_222 su.id.sv_532 
  0x376b2811, 0x10290f07, 0x052519a6, 0x282511a4,   // sw.ceb.st_653 lv.sl.lt_432  gl.eu.fr_521 ro.eu.sw_433 
  // [c950]
  0x0a006405, 0x0e002d05, 0x64533755, 0x04351060,   // lg.pt.un_330 sk.is.un_330  st.ht.lg_442 be.tg.ru_664 
  0x050b1e02, 0x0b1f37ad, 0x2d020d0c, 0x0a3023ee,   // ms.es.fr_222 st.cy.es_643  cs.da.sk_543 ky.uz.mk_422 
  0x170a2304, 0x190b050c, 0x2d001112, 0x100f32a0,   // ky.mk.sr_332 fr.es.gl_543  ro.sk.un_640 bs.lv.lt_322 
  0x181225a7, 0x081f0cec, 0x3f002114, 0x203031ee,   // eu.hu.ga_532 sv.cy.no_644  jw.af.un_660 az.uz.sq_422 
  // [c960]
  0x0605190c, 0x18003f02, 0x306b19ac, 0x56000d13,   // gl.fr.de_543 af.ga.un_220  gl.ceb.uz_632 cs.mg.un_650 
  0x2d000508, 0x3f062907, 0x081004ec, 0x03060b04,   // fr.sk.un_430 sl.de.af_432  ru.be.uk_644 es.de.nl_332 
  0x07003018, 0x230744ee, 0x08271860, 0x03083faf,   // uz.bg.un_740 kk.bg.ky_422  ga.gd.no_664 af.no.nl_655 
  0x231030a9, 0x234417a4, 0x0a2d05a9, 0x44233008,   // uz.be.ky_544 sr.kk.ky_433  fr.sk.pt_544 uz.ky.kk_443 
  // [c970]
  0x2f070407, 0x0e132707, 0x18002d07, 0x11111005,   // fi.it.su_432 gd.et.is_432  sk.ga.un_420 be.ro.ro_333 
  0x551304ee, 0x101304af, 0x0a1a28a4, 0x110b23ad,   // fi.et.rw_422 fi.et.lt_655  sw.tl.pt_433 ca.es.ro_643 
  0x07001a2b, 0x1a0e64af, 0x0a301104, 0x13565507,   // tl.it.un_980 lg.is.tl_655  ro.uz.mk_332 rw.mg.et_432 
  0x182a27ee, 0x120e2aa0, 0x20002119, 0x17112307,   // gd.mt.ga_422 mt.is.hu_322  jw.sq.un_750 ky.ro.sr_432 
  // [c980]
  0x6b1a55ee, 0x2f1f5604, 0x182728a6, 0x16103004,   // rw.tl.ceb_422 mg.cy.su_332  sw.gd.ga_521 uz.lt.hr_332 
  0x07300e0c, 0x301e27a4, 0x110528a0, 0x300106a0,   // is.uz.it_543 gd.ms.uz_433  sw.fr.ro_322 de.en.uz_322 
  0x0b00280c, 0x0c20210c, 0x1f195607, 0x2f551c0c,   // sw.es.un_530 jw.sq.sv_543  mg.gl.cy_432 id.rw.su_543 
  0x1200060d, 0x55212fa9, 0x0a441008, 0x1e2d0d07,   // de.hu.un_540 su.jw.rw_544  be.kk.mk_443 cs.sk.ms_432 
  // [c990]
  0x073530af, 0x3d55250c, 0x30732705, 0x2f645505,   // uz.tg.bg_655 eu.rw.ku_543  gd.ny.uz_333 rw.lg.su_333 
  0x27002013, 0x131223a7, 0x552d2855, 0x04132912,   // sq.gd.un_650 ca.hu.et_532  sw.sk.rw_442 sl.et.fi_654 
  0x6b551a04, 0x281a6412, 0x03006408, 0x2f001212,   // tl.rw.ceb_332 lg.tl.sw_654  lg.nl.un_430 hu.su.un_640 
  0x30556409, 0x100b0fa7, 0x101a1305, 0x321a0307,   // lg.rw.uz_444 lv.es.lt_532  et.tl.lt_333 nl.tl.bs_432 
  // [c9a0]
  0x30170804, 0x2d1f0ca4, 0x12101313, 0x1c1e3da7,   // uk.sr.uz_332 sv.cy.sk_433  et.lt.hu_665 ku.ms.id_532 
  0x1b5573a9, 0x1200310d, 0x170a0812, 0x28181ba4,   // ny.rw.tr_544 az.hu.un_540  uk.mk.sr_654 tr.ga.sw_433 
  0x0b3d1b0d, 0x2a00640c, 0x0a2f2102, 0x3523170e,   // tr.ku.es_554 lg.mt.un_530  jw.su.pt_222 sr.ky.tg_555 
  0x1f002708, 0x102330a9, 0x0a000e05, 0x0208135a,   // gd.cy.un_430 uz.ky.be_544  is.pt.un_330 et.no.da_553 
  // [c9b0]
  0x120e04ee, 0x11311fad, 0x11055604, 0x0d120c05,   // fi.is.hu_422 cy.az.ro_643  mg.fr.ro_332 sv.hu.cs_333 
  0x25001b14, 0x200709ad, 0x12251fad, 0x0c0802af,   // tr.eu.un_660 pl.it.sq_643  cy.eu.hu_643 da.no.sv_655 
  0x25002d0e, 0x190e2d5a, 0x062d1104, 0x3f0106ac,   // sk.eu.un_550 sk.is.gl_553  ro.sk.de_332 de.en.af_632 
  0x53250f08, 0x0e002708, 0x44081012, 0x042330a0,   // lv.eu.ht_443 gd.is.un_430  be.uk.kk_654 uz.ky.ru_322 
  // [c9c0]
  0x3f0203a0, 0x0f046408, 0x35111113, 0x270c190b,   // nl.da.af_322 lg.fi.lv_443  ro.ro.tg_665 gl.sv.gd_542 
  0x0608020e, 0x21080255, 0x08113511, 0x041111ad,   // da.no.de_555 da.no.jw_442  tg.ro.uk_653 ro.ro.ru_643 
  0x2d000e07, 0x072a3011, 0x3f0e0aee, 0x301f2755,   // is.sk.un_420 uz.mt.it_653  pt.is.af_422 gd.cy.uz_442 
  0x1f006b0d, 0x16000808, 0x30004412, 0x08160c04,   // ceb.cy.un_540 no.hr.un_430  kk.uz.un_640 sv.hr.no_332 
  // [c9d0]
  0x182120a9, 0x0c032aee, 0x28311ba4, 0x0653030c,   // sq.jw.ga_544 mt.nl.sv_422  tr.az.sw_433 nl.ht.de_543 
  0x30081055, 0x04083560, 0x0f001312, 0x56002512,   // be.uk.uz_442 tg.uk.ru_664  et.lv.un_640 eu.mg.un_640 
  0x560208ee, 0x2a6437a0, 0x556428a7, 0x031a6bee,   // no.da.mg_422 st.lg.mt_322  sw.lg.rw_532 ceb.tl.nl_422 
  0x1f0d31a9, 0x2d0d1f14, 0x311b0c0c, 0x0e2a08ee,   // az.cs.cy_544 cy.cs.sk_666  sv.tr.az_543 no.mt.is_422 
  // [c9e0]
  0x16552508, 0x1f00070c, 0x55212fad, 0x13000d18,   // eu.rw.hr_443 it.cy.un_530  su.jw.rw_643 ne.bh.un_740 
  0x0e082004, 0x30195508, 0x032001a0, 0x30000f0c,   // sq.no.is_332 rw.gl.uz_443  en.sq.nl_322 lv.uz.un_530 
  0x1156285a, 0x04082a0c, 0x3f080ca6, 0x23532504,   // sw.mg.ro_553 mt.no.fi_543  sv.no.af_521 eu.ht.ca_332 
  0x2f1c5605, 0x19050108, 0x13001b19, 0x202d0d04,   // mg.id.su_333 en.fr.gl_443  tr.et.un_750 cs.sk.sq_332 
  // [c9f0]
  0x03250f60, 0x0417070e, 0x02001b0c, 0x071f27ec,   // lv.eu.nl_664 bg.sr.ru_555  tr.da.un_530 gd.cy.it_644 
  0x1a125607, 0x1a006412, 0x0e000f11, 0x0a5625ad,   // mg.hu.tl_432 lg.tl.un_640  lv.is.un_630 eu.mg.pt_643 
  0x0f375307, 0x325525a7, 0x09566ba9, 0x2700080c,   // ht.st.lv_432 eu.rw.bs_532  ceb.mg.pl_544 no.gd.un_530 
  0x250f0baf, 0x23001105, 0x09000308, 0x0b212fa0,   // es.lv.eu_655 ro.ca.un_330  nl.pl.un_430 su.jw.es_322 
  // [ca00]
  0x180127a0, 0x173011a7, 0x3f100b0c, 0x56200a08,   // gd.en.ga_322 ro.uz.sr_532  es.lt.af_543 pt.sq.mg_443 
  0x10083507, 0x132718ec, 0x55286414, 0x06180107,   // tg.uk.be_432 ga.gd.et_644  lg.sw.rw_666 en.ga.de_432 
  0x18120307, 0x030602a0, 0x1a001008, 0x3f1f09a9,   // nl.hu.ga_432 da.de.nl_322  lt.tl.un_430 pl.cy.af_544 
  0x1b1056ad, 0x30114407, 0x080f2d07, 0x171111ad,   // mg.lt.tr_643 kk.ro.uz_432  sk.lv.no_432 ro.ro.sr_643 
  // [ca10]
  0x230407a0, 0x04131005, 0x3012040c, 0x0c083f0b,   // bg.ru.ky_322 lt.et.fi_333  fi.hu.uz_543 af.no.sv_542 
  0x0a3017a0, 0x303117a0, 0x03123f02, 0x18000d12,   // sr.uz.mk_322 sr.az.uz_322  af.hu.nl_222 cs.ga.un_640 
  0x30041009, 0x03005604, 0x6b1a1f0c, 0x211a090b,   // be.ru.uz_444 mg.nl.un_320  cy.tl.ceb_543 pl.tl.jw_542 
  0x072a64a4, 0x1a2873ec, 0x1b313dee, 0x0f000419,   // lg.mt.it_433 ny.sw.tl_644  ku.az.tr_422 fi.lv.un_750 
  // [ca20]
  0x1f002805, 0x2d000e21, 0x28731a12, 0x100904a6,   // sw.cy.un_330 is.sk.un_860  tl.ny.sw_654 fi.pl.lt_521 
  0x56000505, 0x04000509, 0x04300704, 0x01212d07,   // fr.mg.un_330 fr.fi.un_440  it.uz.fi_332 sk.jw.en_432 
  0x2f092107, 0x233530a0, 0x046e130e, 0x350407a7,   // jw.pl.su_432 uz.tg.ky_322  et.hmn.fi_555 bg.ru.tg_532 
  0x0d003205, 0x2f210911, 0x182d0dec, 0x0c136407,   // bs.cs.un_330 pl.jw.su_653  cs.sk.ga_644 lg.et.sv_432 
  // [ca30]
  0x2f00090c, 0x212f1aa0, 0x3f033705, 0x2f211a0c,   // pl.su.un_530 tl.su.jw_322  st.nl.af_333 tl.jw.su_543 
  0x6b6e3da0, 0x32172fa0, 0x552156ad, 0x6e1e1ca4,   // ku.hmn.ceb_322 su.sr.bs_322  mg.jw.rw_643 id.ms.hmn_433 
  0x190c32a0, 0x20282107, 0x20000a07, 0x292f21a4,   // bs.sv.gl_322 jw.sw.sq_432  pt.sq.un_420 jw.su.sl_433 
  0x07004419, 0x30100807, 0x1055130c, 0x03200807,   // kk.bg.un_750 uk.be.uz_432  et.rw.lt_543 no.sq.nl_432 
  // [ca40]
  0x2344110e, 0x1b006e08, 0x0e025609, 0x2f3f1b04,   // ro.kk.ky_555 hmn.tr.un_430  mg.da.is_444 tr.af.su_332 
  0x0b0a01a4, 0x6b1107a7, 0x56190bee, 0x05031907,   // en.pt.es_433 it.ro.ceb_532  es.gl.mg_422 gl.nl.fr_432 
  0x6e000613, 0x30443511, 0x11043505, 0x195623a4,   // de.hmn.un_650 tg.kk.uz_653  tg.ru.ro_333 ca.mg.gl_433 
  0x27001f23, 0x136b1a05, 0x1f006b23, 0x182112ee,   // cy.gd.un_880 tl.ceb.et_333  ceb.cy.un_880 ur.fa.ar_422 
  // [ca50]
  0x03285504, 0x2f13010c, 0x30002802, 0x2b001f07,   // rw.sw.nl_332 en.et.su_543  sw.uz.un_220 cy.vi.un_420 
  0x301023a0, 0x0b0c1307, 0x171008ec, 0x1e312aa4,   // ky.be.uz_322 et.sv.es_432  uk.be.sr_644 mt.az.ms_433 
  0x0a2d2504, 0x18287314, 0x55053f05, 0x1f000921,   // eu.sk.pt_332 ny.sw.ga_666  af.fr.rw_333 pl.cy.un_860 
  0x30731b04, 0x0a1f2d11, 0x1f00090d, 0x2d002105,   // tr.ny.uz_332 sk.cy.pt_653  pl.cy.un_540 jw.sk.un_330 
  // [ca60]
  0x0b37730d, 0x323055ee, 0x1b042aa0, 0x0d2d10ac,   // ny.st.es_554 rw.uz.bs_422  mt.fi.tr_322 lt.sk.cs_632 
  0x04252309, 0x051106a9, 0x05131b04, 0x180327a4,   // ca.eu.fi_444 de.ro.fr_544  tr.et.fr_332 gd.nl.ga_433 
  0x0e00021b, 0x033f2fa4, 0x09276b08, 0x2f1b0904,   // da.is.un_770 su.af.nl_433  ceb.gd.pl_443 pl.tr.su_332 
  0x181f27ad, 0x1a1801ee, 0x1f182712, 0x53301fee,   // gd.cy.ga_643 en.ga.tl_422  gd.ga.cy_654 cy.uz.ht_422 
  // [ca70]
  0x1b00100e, 0x64271808, 0x1e271812, 0x0a3035ad,   // lt.tr.un_550 ga.gd.lg_443  ga.gd.ms_654 tg.uz.mk_643 
  0x1b005309, 0x1023305a, 0x03001311, 0x07000519,   // ht.tr.un_440 uz.ky.be_553  et.nl.un_630 fr.it.un_750 
  0x03182712, 0x6b531a14, 0x0a2327a4, 0x2f531f13,   // gd.ga.nl_654 tl.ht.ceb_666  gd.ca.pt_433 cy.ht.su_665 
  0x061e0804, 0x1f6409a7, 0x2d2a07a4, 0x092d1108,   // no.ms.de_332 pl.lg.cy_532  it.mt.sk_433 ro.sk.pl_443 
  // [ca80]
  0x3f2a0714, 0x30081008, 0x567337a0, 0x01532702,   // it.mt.af_666 be.uk.uz_443  st.ny.mg_322 gd.ht.en_222 
  0x10321608, 0x5600290d, 0x2500101a, 0x18190b13,   // hr.bs.lt_443 sl.mg.un_540  lt.eu.un_760 es.gl.ga_665 
  0x06080302, 0x1b31205a, 0x10005304, 0x2d280b04,   // nl.no.de_222 sq.az.tr_553  ht.lt.un_320 es.sw.sk_332 
  0x5321290c, 0x532311a7, 0x0b0601a0, 0x20002904,   // sl.jw.ht_543 ro.ca.ht_532  en.de.es_322 sl.sq.un_320 
  // [ca90]
  0x321602ee, 0x1f001b09, 0x181f01a7, 0x1f53230c,   // da.hr.bs_422 tr.cy.un_440  en.cy.ga_532 ca.ht.cy_543 
  0x5300081a, 0x30071704, 0x2a0523a9, 0x350430af,   // no.ht.un_760 sr.bg.uz_332  ca.fr.mt_544 uz.ru.tg_655 
  0x441711a7, 0x441704ad, 0x373d30ad, 0x1104230c,   // ro.sr.kk_532 ru.sr.kk_643  uz.ku.st_643 ky.ru.ro_543 
  0x3f280a12, 0x371b730c, 0x130408a4, 0x07042507,   // pt.sw.af_654 ny.tr.st_543  no.fi.et_433 eu.fi.it_432 
  // [caa0]
  0x6b3f130c, 0x282153ec, 0x56645507, 0x21002705,   // et.af.ceb_543 ht.jw.sw_644  rw.lg.mg_432 gd.jw.un_330 
  0x532103a4, 0x73000f19, 0x2b0364a0, 0x12271811,   // nl.jw.ht_433 lv.ny.un_750  lg.nl.vi_322 ga.gd.hu_653 
  0x0b0a23ee, 0x08091307, 0x080e0c0d, 0x29000d17,   // ca.pt.es_422 et.pl.no_432  sv.is.no_554 cs.sl.un_730 
  0x301135ec, 0x100e13a7, 0x56002a07, 0x56130e09,   // tg.ro.uz_644 et.is.lt_532  mt.mg.un_420 is.et.mg_444 
  // [cab0]
  0x190b3d05, 0x1e081007, 0x201209ec, 0x1b3132a0,   // ku.es.gl_333 lt.no.ms_432  pl.hu.sq_644 bs.az.tr_322 
  0x2f1123ad, 0x531b55ee, 0x0f641005, 0x28642b55,   // ca.ro.su_643 rw.tr.ht_422  lt.lg.lv_333 vi.lg.sw_442 
  0x301f6b13, 0x641b3102, 0x2a0413ec, 0x03645307,   // ceb.cy.uz_665 az.tr.lg_222  et.fi.mt_644 ht.lg.nl_432 
  0x1e0a05a9, 0x1c2164ad, 0x3f030912, 0x6427180c,   // fr.pt.ms_544 lg.jw.id_643  pl.nl.af_654 ga.gd.lg_543 
  // [cac0]
  0x53251c07, 0x042a0ca0, 0x040e0c11, 0x110a7302,   // id.eu.ht_432 sv.mt.fi_322  sv.is.fi_653 ny.pt.ro_222 
  0x301310a7, 0x25313013, 0x53001c07, 0x04020cee,   // lt.et.uz_532 uz.az.eu_665  id.ht.un_420 sv.da.fi_422 
  0x270f5507, 0x251c53ec, 0x0a231908, 0x641a280d,   // rw.lv.gd_432 ht.id.eu_644  gl.ca.pt_443 sw.tl.lg_554 
  0x562153a0, 0x32132a5a, 0x052964a0, 0x73552855,   // ht.jw.mg_322 mt.et.bs_553  lg.sl.fr_322 sw.rw.ny_442 
  // [cad0]
  0x04203da7, 0x1913040c, 0x0d000e0e, 0x1700350e,   // ku.sq.fi_532 fi.et.gl_543  is.cs.un_550 tg.sr.un_550 
  0x2a055507, 0x13063f55, 0x23101713, 0x0a04100c,   // rw.fr.mt_432 af.de.et_442  sr.be.ky_665 be.ru.mk_543 
  0x17301012, 0x0400120c, 0x130410ec, 0x1f000c0e,   // be.uz.sr_654 hu.fi.un_530  lt.fi.et_644 sv.cy.un_550 
  0x192003a0, 0x180e1b04, 0x09020807, 0x55300ca9,   // nl.sq.gl_322 tr.is.ga_332  no.da.pl_432 sv.uz.rw_544 
  // [cae0]
  0x1b640f11, 0x0f1b28a4, 0x0d000304, 0x0500231a,   // lv.lg.tr_653 sw.tr.lv_433  nl.cs.un_320 ca.fr.un_760 
  0x101b0fa4, 0x0f000b04, 0x28000f23, 0x23200aaf,   // lv.tr.lt_433 es.lv.un_320  lv.sw.un_880 pt.sq.ca_655 
  0x1a212308, 0x640f280c, 0x64280f13, 0x30350713,   // ca.jw.tl_443 sw.lv.lg_543  lv.sw.lg_665 bg.tg.uz_665 
  0x21252f08, 0x092d0f04, 0x1b0e10ad, 0x73642fee,   // su.eu.jw_443 lv.sk.pl_332  lt.is.tr_643 su.lg.ny_422 
  // [caf0]
  0x3d2a200c, 0x2f1011a6, 0x03001704, 0x171011a9,   // sq.mt.ku_543 ro.lt.su_521  sr.nl.un_320 ro.be.sr_544 
  0x13730612, 0x7308130c, 0x08050e07, 0x55640faf,   // de.ny.et_654 et.no.ny_543  is.fr.no_432 lv.lg.rw_655 
  0x282d0f08, 0x2a001114, 0x05230a0d, 0x291b17a9,   // lv.sk.sw_443 ro.mt.un_660  pt.ca.fr_554 sr.tr.sl_544 
  0x03061312, 0x13736413, 0x64280fa0, 0x191323a7,   // et.de.nl_654 lg.ny.et_665  lv.sw.lg_322 ca.et.gl_532 
  // [cb00]
  0x30311eaf, 0x0111050c, 0x18000a04, 0x73002829,   // ms.az.uz_655 fr.ro.en_543  pt.ga.un_320 sw.ny.un_960 
  0x0d006e0c, 0x555325a4, 0x28305602, 0x3f205304,   // hmn.cs.un_530 eu.ht.rw_433  mg.uz.sw_222 ht.sq.af_332 
  0x643055a0, 0x73002505, 0x2b00010d, 0x1f000a1a,   // rw.uz.lg_322 eu.ny.un_330  en.vi.un_540 pt.cy.un_760 
  0x27000a23, 0x0313120c, 0x07645555, 0x10173002,   // pt.gd.un_880 hu.et.nl_543  rw.lg.it_442 uz.sr.be_222 
  // [cb10]
  0x5531250c, 0x2d005513, 0x0f1113ad, 0x73136405,   // eu.az.rw_543 rw.sk.un_650  et.ro.lv_643 lg.et.ny_333 
  0x160513a0, 0x2d09530c, 0x302d060c, 0x6455310d,   // et.fr.hr_322 ht.pl.sk_543  de.sk.uz_543 az.rw.lg_554 
  0x3d1b3112, 0x3504080c, 0x171b1304, 0x0613250b,   // az.tr.ku_654 uk.ru.tg_543  et.tr.sr_332 eu.et.de_542 
  0x040a10af, 0x732f550c, 0x0523070c, 0x200a230c,   // be.mk.ru_655 rw.su.ny_543  it.ca.fr_543 ca.pt.sq_543 
  // [cb20]
  0x21000723, 0x312830a7, 0x56102907, 0x1f1827ad,   // it.jw.un_880 uz.sw.az_532  sl.lt.mg_432 gd.ga.cy_643 
  0x3f030409, 0x190721a0, 0x0137730b, 0x120604a4,   // fi.nl.af_444 jw.it.gl_322  ny.st.en_542 fi.de.hu_433 
  0x07190bad, 0x10292107, 0x04120604, 0x071704ad,   // es.gl.it_643 jw.sl.lt_432  de.hu.fi_332 ru.sr.bg_643 
  0x080430ee, 0x06231204, 0x040744a4, 0x3d00050e,   // uz.ru.uk_422 hu.ca.de_332  kk.bg.ru_433 fr.ku.un_550 
  // [cb30]
  0x210a37a0, 0x0a122d0d, 0x290421ee, 0x31251307,   // st.pt.jw_322 sk.hu.pt_554  jw.fi.sl_422 et.eu.az_432 
  0x09132507, 0x08002b04, 0x5300040c, 0x2b001e04,   // eu.et.pl_432 vi.no.un_320  fi.ht.un_530 ms.vi.un_320 
  0x13120408, 0x19002d05, 0x122304a0, 0x2d002304,   // fi.hu.et_443 sk.gl.un_330  fi.ca.hu_322 ca.sk.un_320 
  0x291b0f55, 0x07000418, 0x0b0929ee, 0x3d311baf,   // lv.tr.sl_442 ru.bg.un_740  sl.pl.es_422 tr.az.ku_655 
  // [cb40]
  0x04004408, 0x11002b0c, 0x070113a7, 0x0a100705,   // kk.ru.un_430 vi.ro.un_530  et.en.it_532 bg.be.mk_333 
  0x07101107, 0x0800130d, 0x641321ad, 0x01281307,   // ro.be.bg_432 et.no.un_540  jw.et.lg_643 et.sw.en_432 
  0x1b000b04, 0x043f1a08, 0x0f000407, 0x56206b07,   // es.tr.un_320 tl.af.fi_443  fi.lv.un_420 ceb.sq.mg_432 
  0x091f37a7, 0x0b0a11ac, 0x0c1c53ad, 0x1a206ea0,   // st.cy.pl_532 ro.pt.es_632  ht.id.sv_643 hmn.sq.tl_322 
  // [cb50]
  0x0c0210a4, 0x3d130204, 0x13000207, 0x0804130c,   // lt.da.sv_433 da.et.ku_332  da.et.un_420 et.fi.no_543 
  0x1b002013, 0x27063d55, 0x08130407, 0x06301e0c,   // sq.tr.un_650 ku.de.gd_442  fi.et.no_432 ms.uz.de_543 
  0x0c100f0c, 0x2a00550b, 0x21003704, 0x2a080caf,   // lv.lt.sv_543 rw.mt.un_520  st.jw.un_320 sv.no.mt_655 
  0x0c051304, 0x2a732804, 0x5304130c, 0x03020c0d,   // et.fr.sv_332 sw.ny.mt_332  et.fi.ht_543 sv.da.nl_554 
  // [cb60]
  0x641e1c12, 0x2d0d100b, 0x73230b05, 0x0c6b08a0,   // id.ms.lg_654 lt.cs.sk_542  es.ca.ny_333 no.ceb.sv_322 
  0x17116408, 0x301a6b08, 0x0c3d0611, 0x0c3f2907,   // lg.ro.sr_443 ceb.tl.uz_443  de.ku.sv_653 sl.af.sv_432 
  0x0c3d0608, 0x6b0c0604, 0x0a001209, 0x09131ca0,   // de.ku.sv_443 de.sv.ceb_332  hu.pt.un_440 id.et.pl_322 
  0x31006b05, 0x18002d18, 0x251b0ba0, 0x31531aa4,   // ceb.az.un_330 sk.ga.un_740  es.tr.eu_322 tl.ht.az_433 
  // [cb70]
  0x552f08a0, 0x071305a4, 0x182b1c07, 0x0a1708ec,   // no.su.rw_322 fr.et.it_433  id.vi.ga_432 uk.sr.mk_644 
  0x216b1aa7, 0x5300211a, 0x21000b07, 0x6b1a1213,   // tl.ceb.jw_532 jw.ht.un_760  es.jw.un_420 hu.tl.ceb_665 
  0x09161707, 0x1c552109, 0x55006429, 0x2505190c,   // sr.hr.pl_432 jw.rw.id_444  lg.rw.un_960 gl.fr.eu_543 
  0x550b0a02, 0x09102504, 0x1e003012, 0x30073512,   // pt.es.rw_222 eu.lt.pl_332  uz.ms.un_640 tg.bg.uz_654 
  // [cb80]
  0x161304a4, 0x1b000308, 0x0f0310ec, 0x31002102,   // fi.et.hr_433 nl.tr.un_430  lt.nl.lv_644 jw.az.un_220 
  0x2330350e, 0x30001202, 0x1a256b08, 0x051101af,   // tg.uz.ky_555 hu.uz.un_220  ceb.eu.tl_443 en.ro.fr_655 
  0x3f0c25a4, 0x3d312107, 0x3f005513, 0x6b315308,   // eu.sv.af_433 jw.az.ku_432  rw.af.un_650 ht.az.ceb_443 
  0x3f531e08, 0x1b003018, 0x271f3f0c, 0x1c1e1360,   // ms.ht.af_443 uz.tr.un_740  af.cy.gd_543 et.ms.id_664 
  // [cb90]
  0x55002507, 0x0a3017ee, 0x0a033f14, 0x04137307,   // eu.rw.un_420 sr.uz.mk_422  af.nl.pt_666 ny.et.fi_432 
  0x190b04a4, 0x05070307, 0x1b1e2f07, 0x23190aa6,   // fi.es.gl_433 nl.it.fr_432  su.ms.tr_432 pt.gl.ca_521 
  0x1b080ca4, 0x2f321ca4, 0x0435070d, 0x03001005,   // sv.no.tr_433 id.bs.su_433  bg.tg.ru_554 lt.nl.un_330 
  0x3f005602, 0x6b201a0b, 0x17322055, 0x5517040c,   // mg.af.un_220 tl.sq.ceb_542  sq.bs.sr_442 fi.sr.rw_543 
  // [cba0]
  0x236404a0, 0x05072004, 0x1b5530a7, 0x0c103d08,   // fi.lg.ca_322 sq.it.fr_332  uz.rw.tr_532 ku.lt.sv_443 
  0x130464a0, 0x0600230d, 0x10006414, 0x17531baf,   // lg.fi.et_322 ca.de.un_540  lg.lt.un_660 tr.ht.sr_655 
  0x20002308, 0x3100370b, 0x180130a0, 0x08001307,   // ca.sq.un_430 st.az.un_520  uz.en.ga_322 et.no.un_420 
  0x040107a4, 0x3f050402, 0x201a300c, 0x051a20ee,   // it.en.fi_433 fi.fr.af_222  uz.tl.sq_543 sq.tl.fr_422 
  // [cbb0]
  0x0c0855a0, 0x2a100504, 0x30102912, 0x641b1307,   // rw.no.sv_322 fr.lt.mt_332  sl.lt.uz_654 et.tr.lg_432 
  0x031c1ea0, 0x73005613, 0x2a00200d, 0x181327a0,   // ms.id.nl_322 mg.ny.un_650  sq.mt.un_540 gd.et.ga_322 
  0x18282713, 0x2a1f07a4, 0x07110a04, 0x252d29a0,   // gd.sw.ga_665 it.cy.mt_433  mk.ro.bg_332 sl.sk.eu_322 
  0x060f08a0, 0x1c000304, 0x06100f0d, 0x0b2f2807,   // no.lv.de_322 nl.id.un_320  lv.lt.de_554 sw.su.es_432 
  // [cbc0]
  0x11060107, 0x3d190b0c, 0x080a30ee, 0x311b2012,   // en.de.ro_432 es.gl.ku_543  uz.mk.uk_422 sq.tr.az_654 
  0x376b0107, 0x562730ee, 0x100f01a0, 0x557356af,   // en.ceb.st_432 uz.gd.mg_422  en.lv.lt_322 mg.ny.rw_655 
  0x0c130fa4, 0x2873370c, 0x130f12a4, 0x1200190d,   // lv.et.sv_433 st.ny.sw_543  hu.lv.et_433 gl.hu.un_540 
  0x1c5330ee, 0x111330a7, 0x11040aa4, 0x1c306e0c,   // uz.ht.id_422 uz.et.ro_532  mk.ru.ro_433 hmn.uz.id_543 
  // [cbd0]
  0x20001902, 0x3053730c, 0x301a3da9, 0x6b301aad,   // gl.sq.un_220 ny.ht.uz_543  ku.tl.uz_544 tl.uz.ceb_643 
  0x1a6b3daf, 0x32001b08, 0x6b1a21a4, 0x64003d1a,   // ku.ceb.tl_655 tr.bs.un_430  jw.tl.ceb_433 ku.lg.un_760 
  0x1b1a3da9, 0x31303d0c, 0x28002114, 0x272118af,   // ku.tl.tr_544 ku.uz.az_543  jw.sw.un_660 ga.jw.gd_655 
  0x3d313055, 0x0f10270e, 0x18000707, 0x0b0f1008,   // uz.az.ku_442 gd.lt.lv_555  it.ga.un_420 lt.lv.es_443 
  // [cbe0]
  0x2f1b1ea0, 0x060c020e, 0x112b28a4, 0x21303105,   // ms.tr.su_322 da.sv.de_555  sw.vi.ro_433 az.uz.jw_333 
  0x1a6e1f12, 0x1b1a31af, 0x64553da9, 0x293027a0,   // cy.hmn.tl_654 az.tl.tr_655  ku.rw.lg_544 gd.uz.sl_322 
  0x083035a4, 0x1b3d21a9, 0x733d31a4, 0x31303dec,   // tg.uz.uk_433 jw.ku.tr_544  az.ku.ny_433 ku.uz.az_644 
  0x2304070e, 0x28733dad, 0x3d5521a4, 0x1b1a210c,   // bg.ru.ky_555 ku.ny.sw_643  jw.rw.ku_433 jw.tl.tr_543 
  // [cbf0]
  0x6b731f0c, 0x6b553dec, 0x301735ad, 0x3d73310c,   // cy.ny.ceb_543 ku.rw.ceb_644  tg.sr.uz_643 az.ny.ku_543 
  0x17005608, 0x736428ad, 0x0d020c12, 0x0b1f6b11,   // mg.sr.un_430 sw.lg.ny_643  sv.da.cs_654 ceb.cy.es_653 
  0x3d1a6b08, 0x306431a0, 0x08060207, 0x17005619,   // ceb.tl.ku_443 az.lg.uz_322  da.de.no_432 mg.sr.un_750 
  0x23304409, 0x060e56a0, 0x1b000602, 0x0c0b0a07,   // kk.uz.ky_444 mg.is.de_322  de.tr.un_220 pt.es.sv_432 
  
  // [cc00]
  0x3d1a1205, 0x19003105, 0x1b2d12ad, 0x0d1710a4,   // hu.tl.ku_333 az.gl.un_330  hu.sk.tr_643 lt.sr.cs_433 
  0x1a1b080c, 0x131f6ba4, 0x120b23a0, 0x0c003118,   // no.tr.tl_543 ceb.cy.et_433  ca.es.hu_322 az.sv.un_740 
  0x2b1201a0, 0x25006b0d, 0x12053da6, 0x1a280107,   // en.hu.vi_322 ceb.eu.un_540  ku.fr.hu_521 en.sw.tl_432 
  0x27553704, 0x102f56ad, 0x1c002d04, 0x21253707,   // st.rw.gd_332 mg.su.lt_643  sk.id.un_320 st.eu.jw_432 
  // [cc10]
  0x1e532a02, 0x201255a0, 0x3f003705, 0x0a2301a0,   // mt.ht.ms_222 rw.hu.sq_322  st.af.un_330 en.ca.pt_322 
  0x11001b02, 0x173f010c, 0x11292da4, 0x11172911,   // tr.ro.un_220 en.af.sr_543  sk.sl.ro_433 sl.sr.ro_653 
  0x0100120d, 0x05370f04, 0x130f6b0c, 0x080612a4,   // hu.en.un_540 lv.st.fr_332  ceb.lv.et_543 hu.de.no_433 
  0x101113a0, 0x1101070c, 0x3256550c, 0x6e003735,   // et.ro.lt_322 it.en.ro_543  rw.mg.bs_543 st.hmn.un_A90 
  // [cc20]
  0x120c1304, 0x10072512, 0x03091f0c, 0x0c082aad,   // et.sv.hu_332 eu.it.lt_654  cy.pl.nl_543 mt.no.sv_643 
  0x0c2a12a9, 0x1c003204, 0x11552507, 0x0c2a06a4,   // hu.mt.sv_544 bs.id.un_320  eu.rw.ro_432 de.mt.sv_433 
  0x040e0ca0, 0x29000a05, 0x166429ee, 0x0e6b1a0c,   // sv.is.fi_322 pt.sl.un_330  sl.lg.hr_422 tl.ceb.is_543 
  0x1c036b02, 0x0c086b07, 0x07040a11, 0x3f6b1a12,   // ceb.nl.id_222 ceb.no.sv_432  mk.ru.bg_653 tl.ceb.af_654 
  // [cc30]
  0x10251111, 0x28077312, 0x01212a04, 0x25130108,   // ro.eu.lt_653 ny.it.sw_654  mt.jw.en_332 en.et.eu_443 
  0x29003005, 0x07020c08, 0x21110807, 0x37001004,   // uz.sl.un_330 sv.da.it_443  no.ro.jw_432 lt.st.un_320 
  0x35000718, 0x0c080412, 0x0e041bad, 0x08040212,   // bg.tg.un_740 fi.no.sv_654  tr.fi.is_643 da.fi.no_654 
  0x55000704, 0x2d003719, 0x104407ee, 0x033f20ac,   // it.rw.un_320 st.sk.un_750  bg.kk.be_422 sq.af.nl_632 
  // [cc40]
  0x562d5508, 0x286b1a04, 0x642d37a0, 0x313019af,   // rw.sk.mg_443 tl.ceb.sw_332  st.sk.lg_322 gl.uz.az_655 
  0x2855730b, 0x0a3511ec, 0x6b283008, 0x016e02ee,   // ny.rw.sw_542 ro.tg.mk_644  uz.sw.ceb_443 da.hmn.en_422 
  0x290a0f04, 0x30000423, 0x271013a0, 0x37185605,   // lv.pt.sl_332 fi.uz.un_880  et.lt.gd_322 mg.ga.st_333 
  0x11001807, 0x081f560c, 0x080220af, 0x6b007313,   // ga.ro.un_420 mg.cy.no_543  sq.da.no_655 ny.ceb.un_650 
  // [cc50]
  0x13005612, 0x042d5504, 0x1c131a55, 0x32006e04,   // mg.et.un_640 rw.sk.fi_332  tl.et.id_442 hmn.bs.un_320 
  0x2b00250e, 0x07001121, 0x1a6b55a9, 0x23311b0e,   // eu.vi.un_550 ro.it.un_860  rw.ceb.tl_544 tr.az.ca_555 
  0x37003112, 0x20071aa0, 0x1000352a, 0x25531f05,   // az.st.un_640 tl.it.sq_322  tg.be.un_970 cy.ht.eu_333 
  0x2f2b1cee, 0x17350813, 0x09212fee, 0x300728ee,   // id.vi.su_422 uk.tg.sr_665  su.jw.pl_422 sw.it.uz_422 
  // [cc60]
  0x08003021, 0x0f181ea9, 0x557320a4, 0x32003f08,   // uz.uk.un_860 ms.ga.lv_544  sq.ny.rw_433 af.bs.un_430 
  0x130553ad, 0x070a11a6, 0x28001014, 0x35100407,   // ht.fr.et_643 ro.mk.bg_521  lt.sw.un_660 ru.be.tg_432 
  0x1a0155a0, 0x10282507, 0x0b0a25a4, 0x1a070404,   // rw.en.tl_322 eu.sw.lt_432  eu.pt.es_433 fi.it.tl_332 
  0x1035300c, 0x0b1f5607, 0x28102508, 0x0f1e28a0,   // uz.tg.be_543 mg.cy.es_432  eu.lt.sw_443 sw.ms.lv_322 
  // [cc70]
  0x01646b02, 0x010a1eee, 0x2f120dee, 0x1e0c1c0c,   // ceb.lg.en_222 ms.pt.en_422  cs.hu.su_422 id.sv.ms_543 
  0x052a0408, 0x3d00310d, 0x322a160c, 0x28000f04,   // fi.mt.fr_443 az.ku.un_540  hr.mt.bs_543 lv.sw.un_320 
  0x3f0704a4, 0x0d32160d, 0x04070505, 0x04000e1b,   // fi.it.af_433 hr.bs.cs_554  fr.it.fi_333 is.fi.un_770 
  0x04303112, 0x080b060c, 0x232a2807, 0x55645607,   // az.uz.fi_654 de.es.no_543  sw.mt.ca_432 mg.lg.rw_432 
  // [cc80]
  0x032f3fec, 0x072a0a0c, 0x3f250b0d, 0x285573a4,   // af.su.nl_644 pt.mt.it_543  es.eu.af_554 ny.rw.sw_433 
  0x061364a0, 0x23050707, 0x02285507, 0x07100455,   // lg.et.de_322 it.fr.ca_432  rw.sw.da_432 ru.be.bg_442 
  0x28001012, 0x30295504, 0x0a1c2104, 0x2d3d0da4,   // lt.sw.un_640 rw.sl.uz_332  jw.id.pt_332 cs.ku.sk_433 
  0x0a0735a7, 0x03062a08, 0x1017290c, 0x050704a4,   // tg.bg.mk_532 mt.de.nl_443  sl.sr.lt_543 fi.it.fr_433 
  // [cc90]
  0x06002012, 0x13120409, 0x0305040c, 0x230504ee,   // sq.de.un_640 fi.hu.et_444  fi.fr.nl_543 fi.fr.ca_422 
  0x201b56a4, 0x1708300c, 0x0a233504, 0x73002b0c,   // mg.tr.sq_433 uz.uk.sr_543  tg.ky.mk_332 vi.ny.un_530 
  0x0300370d, 0x3017080d, 0x081220a6, 0x12000c0b,   // st.nl.un_540 uk.sr.uz_554  sq.hu.no_521 sv.hu.un_520 
  0x131c1ea0, 0x0f000502, 0x301f09a7, 0x192307a4,   // ms.id.et_322 fr.lv.un_220  pl.cy.uz_532 it.ca.gl_433 
  // [cca0]
  0x23033fa4, 0x6b000705, 0x0e3d5608, 0x1a3f0907,   // af.nl.ca_433 it.ceb.un_330  mg.ku.is_443 pl.af.tl_432 
  0x0f101704, 0x0f000705, 0x043f0fa0, 0x28040304,   // sr.lt.lv_332 it.lv.un_330  lv.af.fi_322 nl.fi.sw_332 
  0x206b30ee, 0x08036402, 0x2930050b, 0x120413a7,   // uz.ceb.sq_422 lg.nl.no_222  fr.uz.sl_542 et.fi.hu_532 
  0x01130a05, 0x20033f08, 0x081704a0, 0x25102805,   // pt.et.en_333 af.nl.sq_443  ru.sr.uk_322 sw.lt.eu_333 
  // [ccb0]
  0x084411ad, 0x29003f04, 0x2a200f09, 0x03000813,   // ro.kk.uk_643 af.sl.un_320  lv.sq.mt_444 no.nl.un_650 
  0x232030ad, 0x10002704, 0x06033f09, 0x0b001009,   // uz.sq.ca_643 gd.lt.un_320  af.nl.de_444 lt.es.un_440 
  0x3f060312, 0x1e1c0dee, 0x03733f0e, 0x1a0f10a4,   // nl.de.af_654 cs.id.ms_422  af.ny.nl_555 lt.lv.tl_433 
  0x131f0c05, 0x190a0faf, 0x02006b07, 0x130f0ba4,   // sv.cy.et_333 lv.pt.gl_655  ceb.da.un_420 es.lv.et_433 
  // [ccc0]
  0x6e3d6b05, 0x04562804, 0x2f210bee, 0x112520a4,   // ceb.ku.hmn_333 sw.mg.fi_332  es.jw.su_422 sq.eu.ro_433 
  0x072f1a04, 0x28002505, 0x2d0d0407, 0x01000513,   // tl.su.it_332 eu.sw.un_330  fi.cs.sk_432 fr.en.un_650 
  0x2f1a6b07, 0x19052fa0, 0x1000280c, 0x2d0d080c,   // ceb.tl.su_432 su.fr.gl_322  sw.lt.un_530 no.cs.sk_543 
  0x052d12ad, 0x6b190ba4, 0x550f6e07, 0x211f1012,   // hu.sk.fr_643 es.gl.ceb_433  hmn.lv.rw_432 lt.cy.jw_654 
  // [ccd0]
  0x195305a0, 0x2f0e6bad, 0x07001905, 0x5364730c,   // fr.ht.gl_322 ceb.is.su_643  gl.it.un_330 ny.lg.ht_543 
  0x2f0f1002, 0x0b076b07, 0x1e000808, 0x11070460,   // lt.lv.su_222 ceb.it.es_432  no.ms.un_430 ru.bg.ro_664 
  0x042d3708, 0x0f1013a4, 0x071a56ee, 0x1f00640d,   // st.sk.fi_443 et.lt.lv_433  mg.tl.it_422 lg.cy.un_540 
  0x1c001f07, 0x062a37ad, 0x01730408, 0x301f37a7,   // cy.id.un_420 st.mt.de_643  fi.ny.en_443 st.cy.uz_532 
  // [cce0]
  0x300e1307, 0x080d02ee, 0x27113f02, 0x3200040c,   // et.is.uz_432 da.cs.no_422  af.ro.gd_222 fi.bs.un_530 
  0x100823ec, 0x042a370c, 0x06040ea0, 0x1b0f1304,   // ky.uk.be_644 st.mt.fi_543  is.fi.de_322 et.lv.tr_332 
  0x080a3509, 0x1f000d18, 0x31081b07, 0x20301b04,   // tg.mk.uk_444 cs.cy.un_740  tr.no.az_432 tr.uz.sq_332 
  0x30441005, 0x0411170d, 0x07003521, 0x17075607,   // be.kk.uz_333 sr.ro.ru_554  tg.bg.un_860 mg.it.sr_432 
  // [ccf0]
  0x03105608, 0x2d7310a9, 0x05115607, 0x561003ad,   // mg.lt.nl_443 lt.ny.sk_544  mg.ro.fr_432 nl.lt.mg_643 
  0x35170aac, 0x09000405, 0x081044a0, 0x23000812,   // mk.sr.tg_632 fi.pl.un_330  kk.be.uk_322 uk.ky.un_640 
  0x55211009, 0x28551a0b, 0x120456ac, 0x2d0d0f0c,   // lt.jw.rw_444 tl.rw.sw_542  mg.fi.hu_632 lv.cs.sk_543 
  0x37306b0c, 0x0c200f08, 0x12210408, 0x03735604,   // ceb.uz.st_543 lv.sq.sv_443  fi.jw.hu_443 mg.ny.nl_332 
  // [cd00]
  0x12211008, 0x56103707, 0x10030ead, 0x3000550e,   // lt.jw.hu_443 st.lt.mg_432  is.nl.lt_643 rw.uz.un_550 
  0x20083704, 0x252112ee, 0x1c130d07, 0x560c080c,   // st.no.sq_332 hu.jw.eu_422  ne.bh.mr_432 no.sv.mg_543 
  0x033f1812, 0x12283007, 0x133f0807, 0x6b122804,   // ga.af.nl_654 uz.sw.hu_432  no.af.et_432 sw.hu.ceb_332 
  0x03020d0c, 0x3f0802ad, 0x1106070c, 0x09002f13,   // cs.da.nl_543 da.no.af_643  it.de.ro_543 su.pl.un_650 
  // [cd10]
  0x06033f0b, 0x561228a9, 0x73006e0d, 0x100f73a9,   // af.nl.de_542 sw.hu.mg_544  hmn.ny.un_540 ny.lv.lt_544 
  0x20123da4, 0x16292da7, 0x3f110304, 0x56121ca9,   // ku.hu.sq_433 sk.sl.hr_532  nl.ro.af_332 id.hu.mg_544 
  0x372528a6, 0x182f05ee, 0x17080704, 0x2037280c,   // sw.eu.st_521 fr.su.ga_422  bg.uk.sr_332 sw.st.sq_543 
  0x1f3f03af, 0x1c201e12, 0x083530ad, 0x2704050c,   // nl.af.cy_655 ms.sq.id_654  uz.tg.uk_643 fr.fi.gd_543 
  // [cd20]
  0x11010707, 0x08090d07, 0x05010408, 0x3f0802a4,   // it.en.ro_432 cs.pl.no_432  fi.en.fr_443 da.no.af_433 
  0x371b2fa4, 0x300905a4, 0x18270aaf, 0x3f321708,   // su.tr.st_433 fr.pl.uz_433  pt.gd.ga_655 sr.bs.af_443 
  0x271119a0, 0x25080255, 0x0b0a19a6, 0x231035ec,   // gl.ro.gd_322 da.no.eu_442  gl.pt.es_521 tg.be.ky_644 
  0x080444a4, 0x0a043012, 0x180b05a0, 0x10090ead,   // kk.ru.uk_433 uz.ru.mk_654  fr.es.ga_322 is.pl.lt_643 
  // [cd30]
  0x041801a0, 0x0a0723ad, 0x0500041a, 0x28171605,   // en.ga.fi_322 ky.bg.mk_643  fi.fr.un_760 hr.sr.sw_333 
  0x06180308, 0x18270412, 0x25285512, 0x28190a08,   // nl.ga.de_443 fi.gd.ga_654  rw.sw.eu_654 pt.gl.sw_443 
  0x16072aa7, 0x02251302, 0x2a000a02, 0x32002809,   // mt.it.hr_532 et.eu.da_222  pt.mt.un_220 sw.bs.un_440 
  0x0f733755, 0x08230f08, 0x2f0821a6, 0x311f2a04,   // st.ny.lv_442 lv.ca.no_443  jw.no.su_521 mt.cy.az_332 
  // [cd40]
  0x3f000507, 0x29370da4, 0x08001a0c, 0x1610020c,   // fr.af.un_420 cs.st.sl_433  tl.no.un_530 da.lt.hr_543 
  0x033f5604, 0x03643708, 0x11552804, 0x353008a9,   // mg.af.nl_332 st.lg.nl_443  sw.rw.ro_332 uk.uz.tg_544 
  0x286b5304, 0x08000507, 0x2d0d2505, 0x1a0b6b13,   // ht.ceb.sw_332 fr.no.un_420  eu.cs.sk_333 ceb.es.tl_665 
  0x280456a0, 0x29001723, 0x5600040d, 0x56003723,   // mg.fi.sw_322 sr.sl.un_880  fi.mg.un_540 st.mg.un_880 
  // [cd50]
  0x17370a55, 0x1c13090b, 0x080373a0, 0x1708040d,   // pt.st.sr_442 hi.bh.mr_542  ny.nl.no_322 ru.uk.sr_554 
  0x1712200c, 0x30005613, 0x31033f0c, 0x02301b04,   // sq.hu.sr_543 mg.uz.un_650  af.nl.az_543 tr.uz.da_332 
  0x212f1c5a, 0x0a352302, 0x12000307, 0x1900180b,   // id.su.jw_553 ky.tg.mk_222  nl.hu.un_420 ga.gl.un_520 
  0x3d001b13, 0x300835af, 0x080c13a4, 0x291773ad,   // tr.ku.un_650 tg.uk.uz_655  et.sv.no_433 ny.sr.sl_643 
  // [cd60]
  0x2d1e2305, 0x18000a02, 0x2b322dad, 0x131b0655,   // ca.ms.sk_333 pt.ga.un_220  sk.bs.vi_643 de.tr.et_442 
  0x2a1208a0, 0x080c2104, 0x1b041308, 0x09002f02,   // no.hu.mt_322 jw.sv.no_332  et.fi.tr_443 su.pl.un_220 
  0x731a5505, 0x03081207, 0x12277304, 0x302855ec,   // rw.tl.ny_333 hu.no.nl_432  ny.gd.hu_332 rw.sw.uz_644 
  0x0b2318a4, 0x044407a4, 0x28002f0d, 0x12082f07,   // ga.ca.es_433 bg.kk.ru_433  su.sw.un_540 su.no.hu_432 
  // [cd70]
  0x1a00211a, 0x1e1b1aaf, 0x2000730e, 0x2d1c0804,   // jw.tl.un_760 tl.tr.ms_655  ny.sq.un_550 no.id.sk_332 
  0x3220170c, 0x041708ad, 0x100473a4, 0x2a005609,   // sr.sq.bs_543 uk.sr.ru_643  ny.fi.lt_433 mg.mt.un_440 
  0x1111070c, 0x32172905, 0x0773280d, 0x230a2fee,   // bg.ro.ro_543 sl.sr.bs_333  sw.ny.it_554 su.pt.ca_422 
  0x0b002f02, 0x56007302, 0x070b23a4, 0x2000120c,   // su.es.un_220 ny.mg.un_220  ca.es.it_433 hu.sq.un_530 
  // [cd80]
  0x37002b02, 0x2b2f2807, 0x09561107, 0x6b001105,   // vi.st.un_220 sw.su.vi_432  ro.mg.pl_432 ro.ceb.un_330 
  0x100d2812, 0x372b1ca0, 0x276b06ee, 0x117301ee,   // sw.cs.lt_654 id.vi.st_322  de.ceb.gd_422 en.ny.ro_422 
  0x31121bec, 0x12111304, 0x0c1308a7, 0x06002902,   // tr.hu.az_644 et.ro.hu_332  no.et.sv_532 sl.de.un_220 
  0x121306a7, 0x032325a0, 0x6b100f07, 0x1c1013ee,   // de.et.hu_532 eu.ca.nl_322  lv.lt.ceb_432 et.lt.id_422 
  // [cd90]
  0x13001214, 0x3f180107, 0x28212fa0, 0x210e1ca4,   // hu.et.un_660 en.ga.af_432  su.jw.sw_322 id.is.jw_433 
  0x1100561a, 0x0f103fac, 0x0e003f13, 0x080723a7,   // mg.ro.un_760 af.lt.lv_632  af.is.un_650 ky.bg.uk_532 
  0x122d0dee, 0x08270cad, 0x0f000411, 0x172d53a4,   // cs.sk.hu_422 sv.gd.no_643  fi.lv.un_630 ht.sk.sr_433 
  0x2f1c6ea0, 0x0810350c, 0x0f0e0611, 0x31301807,   // hmn.id.su_322 tg.be.uk_543  de.is.lv_653 ga.uz.az_432 
  // [cda0]
  0x0b200fa7, 0x2800131a, 0x37003007, 0x0f000604,   // lv.sq.es_532 et.sw.un_760  uz.st.un_420 de.lv.un_320 
  0x731a6ea0, 0x132a07ee, 0x44000a0c, 0x2a003002,   // hmn.tl.ny_322 it.mt.et_422  mk.kk.un_530 uz.mt.un_220 
  0x55282007, 0x03273f12, 0x1f0c08a0, 0x080c0607,   // sq.sw.rw_432 af.gd.nl_654  no.sv.cy_322 de.sv.no_432 
  0x06123f04, 0x53060c55, 0x0c063d55, 0x0c000602,   // af.hu.de_332 sv.de.ht_442  ku.de.sv_442 de.sv.un_220 
  // [cdb0]
  0x19110f07, 0x2d2910a4, 0x04350804, 0x190b2509,   // lv.ro.gl_432 lt.sl.sk_433  uk.tg.ru_332 eu.es.gl_444 
  0x017327ee, 0x070a3004, 0x0c1b0307, 0x31061ba7,   // gd.ny.en_422 uz.mk.bg_332  nl.tr.sv_432 tr.de.az_532 
  0x050108a4, 0x530c0ea0, 0x040a1f05, 0x10000309,   // no.en.fr_433 is.sv.ht_322  cy.pt.fi_333 nl.lt.un_440 
  0x17290f0c, 0x321f2a07, 0x10030107, 0x2f302012,   // lv.sl.sr_543 mt.cy.bs_432  en.nl.lt_432 sq.uz.su_654 
  // [cdc0]
  0x04003f13, 0x12002319, 0x03002321, 0x1f001012,   // af.fi.un_650 ca.hu.un_750  ca.nl.un_860 lt.cy.un_640 
  0x1800050e, 0x1300011a, 0x0a0b1960, 0x2f005608,   // fr.ga.un_550 en.et.un_760  gl.es.pt_664 mg.su.un_430 
  0x2f1a1c05, 0x05010807, 0x0413640d, 0x11530855,   // id.tl.su_333 no.en.fr_432  lg.et.fi_554 no.ht.ro_442 
  0x0c021108, 0x1100201b, 0x103f0807, 0x1723300d,   // ro.da.sv_443 sq.ro.un_770  no.af.lt_432 uz.ky.sr_554 
  // [cdd0]
  0x1a212fa0, 0x1c002a0d, 0x060e0ca0, 0x3f13060b,   // su.jw.tl_322 mt.id.un_540  sv.is.de_322 de.et.af_542 
  0x1c532f07, 0x1f040f55, 0x04641a09, 0x2d0637a7,   // su.ht.id_432 lv.fi.cy_442  tl.lg.fi_444 st.de.sk_532 
  0x09283da0, 0x732f280c, 0x083f02ee, 0x5318010c,   // ku.sw.pl_322 sw.su.ny_543  da.af.no_422 en.ga.ht_543 
  0x2f0f28a6, 0x271332a0, 0x122564a0, 0x32002005,   // sw.lv.su_521 bs.et.gd_322  lg.eu.hu_322 sq.bs.un_330 
  // [cde0]
  0x04006412, 0x531a2aee, 0x1e1c5505, 0x136404a4,   // lg.fi.un_640 mt.tl.ht_422  rw.id.ms_333 fi.lg.et_433 
  0x103523a0, 0x290d12af, 0x1c000c05, 0x0f0c130c,   // ky.tg.be_322 hu.cs.sl_655  sv.id.un_330 et.sv.lv_543 
  0x03130508, 0x1c000c18, 0x0b1912a9, 0x180b2707,   // fr.et.nl_443 sv.id.un_740  hu.gl.es_544 gd.es.ga_432 
  0x55641105, 0x310305ee, 0x07282a13, 0x1f6b10ac,   // ro.lg.rw_333 fr.nl.az_422  mt.sw.it_665 lt.ceb.cy_632 
  // [cdf0]
  0x3f030e02, 0x120d2012, 0x3f230512, 0x162909a7,   // is.nl.af_222 sq.cs.hu_654  fr.ca.af_654 pl.sl.hr_532 
  0x172d0dee, 0x170810a7, 0x290353af, 0x0f100c0b,   // cs.sk.sr_422 be.uk.sr_532  ht.nl.sl_655 sv.lt.lv_542 
  0x2100280c, 0x0f003708, 0x162856ad, 0x731264a4,   // sw.jw.un_530 st.lv.un_430  mg.sw.hr_643 lg.hu.ny_433 
  0x171c21a6, 0x233056ad, 0x1a7328ec, 0x2d120daf,   // jw.id.sr_521 mg.uz.ca_643  sw.ny.tl_644 cs.hu.sk_655 
  // [ce00]
  0x19001207, 0x0b230712, 0x1f0164a0, 0x375619a0,   // hu.gl.un_420 it.ca.es_654  lg.en.cy_322 gl.mg.st_322 
  0x1f006409, 0x04111708, 0x032d0513, 0x2128300c,   // lg.cy.un_440 sr.ro.ru_443  fr.sk.nl_665 uz.sw.jw_543 
  0x64002821, 0x12180ea4, 0x73092a04, 0x212f7307,   // sw.lg.un_860 is.ga.hu_433  mt.pl.ny_332 ny.su.jw_432 
  0x211112a4, 0x10033f04, 0x120413a4, 0x180b3da0,   // hu.ro.jw_433 af.nl.lt_332  et.fi.hu_433 ku.es.ga_322 
  // [ce10]
  0x25370107, 0x03063d11, 0x1b3120ad, 0x533f6b02,   // en.st.eu_432 ku.de.nl_653  sq.az.tr_643 ceb.af.ht_222 
  0x31230aa0, 0x64557312, 0x23000a2b, 0x030a0107,   // pt.ca.az_322 ny.rw.lg_654  pt.ca.un_980 en.pt.nl_432 
  0x172d0d02, 0x6b732aa0, 0x351708ec, 0x21001318,   // cs.sk.sr_222 mt.ny.ceb_322  uk.sr.tg_644 et.jw.un_740 
  0x170d1607, 0x2a171602, 0x130e0f12, 0x11002f13,   // hr.cs.sr_432 hr.sr.mt_222  lv.is.et_654 su.ro.un_650 
  // [ce20]
  0x05001807, 0x3d003112, 0x3d002518, 0x1b0a230c,   // ga.fr.un_420 az.ku.un_640  eu.ku.un_740 ca.pt.tr_543 
  0x19110a0c, 0x270a1907, 0x121a6ba9, 0x231017a4,   // pt.ro.gl_543 gl.pt.gd_432  ceb.tl.hu_544 sr.be.ky_433 
  0x290f2d07, 0x0f28130d, 0x0b27180c, 0x25002a05,   // sk.lv.sl_432 et.sw.lv_554  ga.gd.es_543 mt.eu.un_330 
  0x6e1827ad, 0x200a0702, 0x071b1107, 0x0a1827ad,   // gd.ga.hmn_643 it.pt.sq_222  ro.tr.it_432 gd.ga.pt_643 
  // [ce30]
  0x316407ee, 0x2f0a21ee, 0x0c0802ad, 0x550c6407,   // it.lg.az_422 jw.pt.su_422  da.no.sv_643 lg.sv.rw_432 
  0x053f230c, 0x1b3764a0, 0x281b1e08, 0x2a120707,   // ca.af.fr_543 lg.st.tr_322  ms.tr.sw_443 it.hu.mt_432 
  0x55643705, 0x6b003008, 0x646b1a13, 0x1e1c6ba4,   // st.lg.rw_333 uz.ceb.un_430  tl.ceb.lg_665 ceb.id.ms_433 
  0x55641a09, 0x3f3d0607, 0x270a13a4, 0x10292d08,   // tl.lg.rw_444 de.ku.af_432  et.pt.gd_433 sk.sl.lt_443 
  // [ce40]
  0x1a7328a6, 0x533d1a09, 0x27001308, 0x1300251b,   // sw.ny.tl_521 tl.ku.ht_444  et.gd.un_430 eu.et.un_770 
  0x6b641a13, 0x05001b12, 0x25066b02, 0x553d73a9,   // tl.lg.ceb_665 tr.fr.un_640  ceb.de.eu_222 ny.ku.rw_544 
  0x1b732809, 0x73001a13, 0x083f0508, 0x300c2f04,   // sw.ny.tr_444 tl.ny.un_650  fr.af.no_443 su.sv.uz_332 
  0x1a252fa4, 0x3f1f0807, 0x030f08a0, 0x6b1a55a9,   // su.eu.tl_433 no.cy.af_432  no.lv.nl_322 rw.tl.ceb_544 
  // [ce50]
  0x17112004, 0x040711ad, 0x316e1307, 0x557328ee,   // sq.ro.sr_332 ro.bg.ru_643  et.hmn.az_432 sw.ny.rw_422 
  0x31001111, 0x55211802, 0x0a003d0d, 0x3508070b,   // ro.az.un_630 ga.jw.rw_222  ku.pt.un_540 bg.uk.tg_542 
  0x2f231aa0, 0x56006407, 0x08000b04, 0x043007a4,   // tl.ca.su_322 lg.mg.un_420  es.no.un_320 bg.uz.ru_433 
  0x19120aa6, 0x130b0a55, 0x56003708, 0x0e2f6ba0,   // pt.hu.gl_521 pt.es.et_442  st.mg.un_430 ceb.su.is_322 
  // [ce60]
  0x2d00210c, 0x06000b05, 0x2f000516, 0x25036ba0,   // jw.sk.un_530 es.de.un_330  fr.su.un_720 ceb.nl.eu_322 
  0x192305a9, 0x20042aad, 0x2821250c, 0x04231055,   // fr.ca.gl_544 mt.fi.sq_643  eu.jw.sw_543 be.ky.ru_442 
  0x190a6eec, 0x0e2d0d1b, 0x040e200c, 0x55530505,   // hmn.pt.gl_644 cs.sk.is_777  sq.is.fi_543 fr.ht.rw_333 
  0x131c0d07, 0x2a00200e, 0x11313d08, 0x0b0a10a6,   // ne.mr.bh_432 sq.mt.un_550  ku.az.ro_443 lt.pt.es_521 
  // [ce70]
  0x0f1720a0, 0x132856a4, 0x1b2f110c, 0x182112a0,   // sq.sr.lv_322 mg.sw.et_433  ro.su.tr_543 ur.fa.ar_322 
  0x64005511, 0x09062507, 0x0e2a1ba4, 0x01282bad,   // rw.lg.un_630 eu.de.pl_432  tr.mt.is_433 vi.sw.en_643 
  0x0a08175a, 0x04203d0c, 0x30002320, 0x0e202b05,   // sr.uk.mk_553 ku.sq.fi_543  ky.uz.un_850 vi.sq.is_333 
  0x0a002311, 0x08060e55, 0x11051fa0, 0x2d0d0b02,   // ky.mk.un_630 is.de.no_442  cy.fr.ro_322 es.cs.sk_222 
  // [ce80]
  0x02100fa0, 0x190b0ea4, 0x250d120c, 0x641125ad,   // lv.lt.da_322 is.es.gl_433  hu.cs.eu_543 eu.ro.lg_643 
  0x3f1f11a7, 0x18001909, 0x44302314, 0x083035a9,   // ro.cy.af_532 gl.ga.un_440  ky.uz.kk_666 tg.uz.uk_544 
  0x0c1a5607, 0x085328a4, 0x0e311b0b, 0x731e1c11,   // mg.tl.sv_432 sw.ht.no_433  tr.az.is_542 id.ms.ny_653 
  0x3d003f12, 0x566b1aaf, 0x2f0b0a02, 0x370e1a14,   // af.ku.un_640 tl.ceb.mg_655  pt.es.su_222 tl.is.st_666 
  // [ce90]
  0x09321704, 0x08120607, 0x1b000208, 0x0e080c5a,   // sr.bs.pl_332 de.hu.no_432  da.tr.un_430 sv.no.is_553 
  0x551b37ec, 0x11120707, 0x642853a0, 0x0c1f100d,   // st.tr.rw_644 it.hu.ro_432  ht.sw.lg_322 lt.cy.sv_554 
  0x0b0a01ec, 0x186b7309, 0x060c0860, 0x0b006b08,   // en.pt.es_644 ny.ceb.ga_444  no.sv.de_664 ceb.es.un_430 
  0x563753a4, 0x2d210d0c, 0x35043004, 0x1b560e04,   // ht.st.mg_433 cs.jw.sk_543  uz.ru.tg_332 is.mg.tr_332 
  // [cea0]
  0x372f73a4, 0x04311ba7, 0x29090e0c, 0x10003f07,   // ny.su.st_433 tr.az.fi_532  is.pl.sl_543 af.lt.un_420 
  0x18002f02, 0x1005280d, 0x1805100d, 0x13042513,   // su.ga.un_220 sw.fr.lt_554  lt.fr.ga_554 eu.fi.et_665 
  0x180413a9, 0x0c6b64a0, 0x092155af, 0x37100508,   // et.fi.ga_544 lg.ceb.sv_322  rw.jw.pl_655 fr.lt.st_443 
  0x080c2aec, 0x0c000820, 0x3707010c, 0x0e2d0d11,   // mt.sv.no_644 no.sv.un_850  en.it.st_543 cs.sk.is_653 
  // [ceb0]
  0x0d05120c, 0x052718af, 0x27100f0c, 0x280464a9,   // hu.fr.cs_543 ga.gd.fr_655  lv.lt.gd_543 lg.fi.sw_544 
  0x31002302, 0x17072055, 0x180727a0, 0x0a005309,   // ca.az.un_220 sq.it.sr_442  gd.it.ga_322 ht.pt.un_440 
  0x1e1a565a, 0x2a0807a9, 0x04050fa9, 0x07001e05,   // mg.tl.ms_553 it.no.mt_544  lv.fr.fi_544 ms.it.un_330 
  0x2d0d23ec, 0x190510ad, 0x271018a9, 0x0b000208,   // ca.cs.sk_644 lt.fr.gl_643  ga.lt.gd_544 da.es.un_430 
  // [cec0]
  0x11110a0c, 0x551a6b13, 0x0f080e08, 0x6404050c,   // mk.ro.ro_543 ceb.tl.rw_665  is.no.lv_443 fr.fi.lg_543 
  0x55640b07, 0x281a6b60, 0x3700550c, 0x645655ec,   // es.lg.rw_432 ceb.tl.sw_664  rw.st.un_530 rw.mg.lg_644 
  0x2311440c, 0x11200d07, 0x060218ee, 0x03001604,   // kk.ro.ky_543 cs.sq.ro_432  ga.da.de_422 hr.nl.un_320 
  0x230e18a0, 0x1a0904a7, 0x13000a09, 0x1c001e20,   // ga.is.ca_322 fi.pl.tl_532  pt.et.un_440 ms.id.un_850 
  // [ced0]
  0x27311b07, 0x531a1b0c, 0x321608af, 0x08180755,   // tr.az.gd_432 tr.tl.ht_543  no.hr.bs_655 it.ga.no_442 
  0x186e27a7, 0x1f120c07, 0x081b3d12, 0x032512a4,   // gd.hmn.ga_532 sv.hu.cy_432  ku.tr.no_654 hu.eu.nl_433 
  0x0811550b, 0x3d08070c, 0x0e000d12, 0x1c0b0807,   // rw.ro.no_542 it.no.ku_543  cs.is.un_640 no.es.id_432 
  0x09216407, 0x083f0e0c, 0x25063dac, 0x1f032fa7,   // lg.jw.pl_432 is.af.no_543  ku.de.eu_632 su.nl.cy_532 
  // [cee0]
  0x21050ba0, 0x0b080204, 0x2d0d20a0, 0x3d1b3105,   // es.fr.jw_322 da.no.es_332  sq.cs.sk_322 az.tr.ku_333 
  0x062a070c, 0x06102507, 0x1101230c, 0x08040760,   // it.mt.de_543 eu.lt.de_432  ca.en.ro_543 bg.ru.uk_664 
  0x3f0308ee, 0x0c0218ee, 0x53002f08, 0x0c27250c,   // no.nl.af_422 ga.da.sv_422  su.ht.un_430 eu.gd.sv_543 
  0x64551a0c, 0x3d0c3109, 0x0711010c, 0x2a1b6ba4,   // tl.rw.lg_543 az.sv.ku_444  en.ro.it_543 ceb.tr.mt_433 
  // [cef0]
  0x300a3560, 0x73282f08, 0x18000313, 0x08231c0b,   // tg.mk.uz_664 su.sw.ny_443  nl.ga.un_650 id.ca.no_542 
  0x1331110c, 0x04110502, 0x082501a4, 0x2f551305,   // ro.az.et_543 fr.ro.fi_222  en.eu.no_433 et.rw.su_333 
  0x030501a9, 0x3f00060b, 0x08001e0d, 0x0600031a,   // en.fr.nl_544 de.af.un_520  ms.no.un_540 nl.de.un_760 
  0x25080205, 0x170a1007, 0x2b001a07, 0x04111a02,   // da.no.eu_333 be.mk.sr_432  tl.vi.un_420 tl.ro.fi_222 
  // [cf00]
  0x16212f0b, 0x04060c07, 0x21002907, 0x4400040e,   // su.jw.hr_542 sv.de.fi_432  sl.jw.un_420 ru.kk.un_550 
  0x1c002b02, 0x0a10170c, 0x0a072305, 0x10005502,   // vi.id.un_220 sr.be.mk_543  ky.bg.mk_333 rw.lt.un_220 
  0x08303505, 0x190f0bad, 0x270a110c, 0x532718ad,   // tg.uz.uk_333 es.lv.gl_643  ro.pt.gd_543 ga.gd.ht_643 
  0x3f301307, 0x080c1aa0, 0x110a0808, 0x04032704,   // et.uz.af_432 tl.sv.no_322  no.pt.ro_443 gd.nl.fi_332 
  // [cf10]
  0x44303502, 0x041c25a9, 0x302319ec, 0x25190a07,   // tg.uz.kk_222 eu.id.fi_544  gl.ca.uz_644 pt.gl.eu_432 
  0x2f1820a0, 0x272d04a0, 0x53063007, 0x070e64ee,   // sq.ga.su_322 fi.sk.gd_322  uz.de.ht_432 lg.is.it_422 
  0x042f1312, 0x29000a12, 0x23271804, 0x130464ec,   // et.su.fi_654 pt.sl.un_640  ga.gd.ca_332 lg.fi.et_644 
  0x0a002104, 0x120e180d, 0x07181005, 0x230817af,   // jw.pt.un_320 ga.is.hu_554  lt.ga.it_333 sr.uk.ky_655 
  // [cf20]
  0x23072007, 0x3f5528a0, 0x031364a7, 0x0d000f12,   // sq.it.ca_432 sw.rw.af_322  lg.et.nl_532 lv.cs.un_640 
  0x37001307, 0x23041055, 0x03641311, 0x0a2311af,   // et.st.un_420 be.ru.ky_442  et.lg.nl_653 ro.ca.pt_655 
  0x3f1003a0, 0x64281ea0, 0x2d1c0c04, 0x31000709,   // nl.lt.af_322 ms.sw.lg_322  sv.id.sk_332 it.az.un_440 
  0x6e230504, 0x6b2d0d09, 0x2330190c, 0x64001602,   // fr.ca.hmn_332 cs.sk.ceb_444  gl.uz.ca_543 hr.lg.un_220 
  // [cf30]
  0x3f032704, 0x2900160d, 0x03130407, 0x03043f05,   // gd.nl.af_332 hr.sl.un_540  fi.et.nl_432 af.fi.nl_333 
  0x031304ad, 0x21371c0c, 0x3028130c, 0x0c060207,   // fi.et.nl_643 id.st.jw_543  et.sw.uz_543 da.de.sv_432 
  0x27002d09, 0x1b1027a0, 0x072320a4, 0x3f0325ec,   // sk.gd.un_440 gd.lt.tr_322  sq.ca.it_433 eu.nl.af_644 
  0x23110a0d, 0x0a000711, 0x19000a22, 0x2d18270d,   // pt.ro.ca_554 bg.mk.un_630  pt.gl.un_870 gd.ga.sk_554 
  // [cf40]
  0x10116ea6, 0x08170414, 0x44300412, 0x20272104,   // hmn.ro.lt_521 ru.sr.uk_666  ru.uz.kk_654 jw.gd.sq_332 
  0x0c000308, 0x270b18af, 0x2f0a05a4, 0x0f1310ec,   // nl.sv.un_430 ga.es.gd_655  fr.pt.su_433 lt.et.lv_644 
  0x232105a4, 0x080413ad, 0x440410a7, 0x21001604,   // fr.jw.ca_433 et.fi.no_643  be.ru.kk_532 hr.jw.un_320 
  0x1a006e0d, 0x120a050c, 0x211c05a9, 0x100f0c09,   // hmn.tl.un_540 fr.pt.hu_543  fr.id.jw_544 sv.lv.lt_444 
  // [cf50]
  0x1b043005, 0x281b37a4, 0x216428ad, 0x1730370c,   // uz.fi.tr_333 st.tr.sw_433  sw.lg.jw_643 st.uz.sr_543 
  0x56002809, 0x3f2f28a0, 0x272105a4, 0x23170704,   // sw.mg.un_440 sw.su.af_322  fr.jw.gd_433 bg.sr.ky_332 
  0x32043fa0, 0x2b006b02, 0x0e101307, 0x0300250d,   // af.fi.bs_322 ceb.vi.un_220  et.lt.is_432 eu.nl.un_540 
  0x1a101304, 0x043f1f55, 0x6b1c0408, 0x2a0e2007,   // et.lt.tl_332 cy.af.fi_442  fi.id.ceb_443 sq.is.mt_432 
  // [cf60]
  0x535564af, 0x303d200d, 0x3d1b1ca0, 0x1c2f2155,   // lg.rw.ht_655 sq.ku.uz_554  id.tr.ku_322 jw.su.id_442 
  0x1c552105, 0x0405310c, 0x312a6b04, 0x1312100c,   // jw.rw.id_333 az.fr.fi_543  ceb.mt.az_332 lt.hu.et_543 
  0x56201fa4, 0x080430ac, 0x09100f11, 0x1c6b1207,   // cy.sq.mg_433 uz.ru.uk_632  lv.lt.pl_653 hu.ceb.id_432 
  0x2021040c, 0x1a216b60, 0x1c212f5a, 0x56042008,   // fi.jw.sq_543 ceb.jw.tl_664  su.jw.id_553 sq.fi.mg_443 
  // [cf70]
  0x1f00280c, 0x091f2108, 0x250420ac, 0x31321ba0,   // sw.cy.un_530 jw.cy.pl_443  sq.fi.eu_632 tr.bs.az_322 
  0x2f2b6e04, 0x0f001b02, 0x29101604, 0x252f1e0c,   // hmn.vi.su_332 tr.lv.un_220  hr.lt.sl_332 ms.su.eu_543 
  0x25201aa4, 0x1a002722, 0x1c2b2707, 0x252f1c07,   // tl.sq.eu_433 gd.tl.un_870  gd.vi.id_432 id.su.eu_432 
  0x182b2709, 0x28007320, 0x0f0c21a4, 0x311b64ee,   // gd.vi.ga_444 ny.sw.un_850  jw.sv.lv_433 lg.tr.az_422 
  // [cf80]
  0x7355645a, 0x1b111a08, 0x1b1a6b12, 0x556411ec,   // lg.rw.ny_553 tl.ro.tr_443  ceb.tl.tr_654 ro.lg.rw_644 
  0x0612040b, 0x560205ad, 0x04002812, 0x25002012,   // fi.hu.de_542 fr.da.mg_643  sw.fi.un_640 sq.eu.un_640 
  0x6b1e1aa4, 0x1e251ca4, 0x0f091212, 0x1e1c1a02,   // tl.ms.ceb_433 id.eu.ms_433  hu.pl.lv_654 tl.id.ms_222 
  0x1a2f25a9, 0x0f02270c, 0x1e2025a7, 0x20002b04,   // eu.su.tl_544 gd.da.lv_543  eu.sq.ms_532 vi.sq.un_320 
  // [cf90]
  0x4410305a, 0x12285511, 0x28641aee, 0x311a6b12,   // uz.be.kk_553 rw.sw.hu_653  tl.lg.sw_422 ceb.tl.az_654 
  0x6b033f11, 0x30000514, 0x08130c07, 0x25000505,   // af.nl.ceb_653 fr.uz.un_660  sv.et.no_432 fr.eu.un_330 
  0x05531907, 0x1104130b, 0x19000502, 0x29000408,   // gl.ht.fr_432 et.fi.ro_542  fr.gl.un_220 fi.sl.un_430 
  0x30001108, 0x0407300d, 0x0c0153a4, 0x30001014,   // ro.uz.un_430 uz.bg.ru_554  ht.en.sv_433 be.uz.un_660 
  // [cfa0]
  0x0d530aee, 0x041711ee, 0x23041004, 0x1a2f110b,   // pt.ht.cs_422 ro.sr.ru_422  be.ru.ky_332 ro.su.tl_542 
  0x04073002, 0x29111604, 0x10000f05, 0x0c0f1011,   // uz.bg.ru_222 hr.ro.sl_332  lv.lt.un_330 lt.lv.sv_653 
  0x11005621, 0x100f13ee, 0x21002f2c, 0x21001a12,   // mg.ro.un_860 et.lv.lt_422  su.jw.un_990 tl.jw.un_640 
  0x647337ad, 0x10005504, 0x10000c1a, 0x21205504,   // st.ny.lg_643 rw.lt.un_320  sv.lt.un_760 rw.sq.jw_332 
  // [cfb0]
  0x0d212da7, 0x11002921, 0x2d022955, 0x070a2309,   // sk.jw.cs_532 sl.ro.un_860  sl.da.sk_442 ca.pt.it_444 
  0x120532a0, 0x2b5655ad, 0x1716550c, 0x3f0f1304,   // bs.fr.hu_322 rw.mg.vi_643  rw.hr.sr_543 et.lv.af_332 
  0x6e0f1014, 0x56291604, 0x31182705, 0x28552104,   // lt.lv.hmn_666 hr.sl.mg_332  gd.ga.az_333 jw.rw.sw_332 
  0x281e1207, 0x3f3d290c, 0x16231f08, 0x560b2555,   // hu.ms.sw_432 sl.ku.af_543  cy.ca.hr_443 eu.es.mg_442 
  // [cfc0]
  0x07043002, 0x55321708, 0x05321fee, 0x311b6b05,   // uz.ru.bg_222 sr.bs.rw_443  cy.bs.fr_422 ceb.tr.az_333 
  0x0e000609, 0x2a1a6bec, 0x1221560c, 0x53272f05,   // de.is.un_440 ceb.tl.mt_644  mg.jw.hu_543 su.gd.ht_333 
  0x2327040c, 0x03002a0e, 0x08005307, 0x09060304,   // fi.gd.ca_543 mt.nl.un_550  ht.no.un_420 nl.de.pl_332 
  0x1000440c, 0x53003120, 0x110b0504, 0x3f0c0604,   // kk.be.un_530 az.ht.un_850  fr.es.ro_332 de.sv.af_332 
  // [cfd0]
  0x131c0d0d, 0x060923a0, 0x052f2107, 0x20002d12,   // ne.mr.bh_554 ca.pl.de_322  jw.su.fr_432 sk.sq.un_640 
  0x37303da9, 0x0f311bec, 0x0a287307, 0x55003d13,   // ku.uz.st_544 tr.az.lv_644  ny.sw.pt_432 ku.rw.un_650 
  0x1a2873ad, 0x32162a14, 0x2d043fad, 0x193f0b11,   // ny.sw.tl_643 mt.hr.bs_666  af.fi.sk_643 es.af.gl_653 
  0x03000620, 0x11081108, 0x3f00730d, 0x18011aa0,   // de.nl.un_850 ro.uk.ro_443  ny.af.un_540 tl.en.ga_322 
  // [cfe0]
  0x10001f22, 0x3d00640d, 0x53130555, 0x0e286b0b,   // cy.lt.un_870 lg.ku.un_540  fr.et.ht_442 ceb.sw.is_542 
  0x0711230c, 0x1a7328ad, 0x313d3013, 0x0c3f0208,   // ky.ro.bg_543 sw.ny.tl_643  uz.ku.az_665 da.af.sv_443 
  0x10567307, 0x1704300c, 0x3d64730e, 0x05232aad,   // ny.mg.lt_432 uz.ru.sr_543  ny.lg.ku_555 mt.ca.fr_643 
  0x25560a0c, 0x1b002a0d, 0x250711ee, 0x1b313014,   // pt.mg.eu_543 mt.tr.un_540  ro.it.eu_422 uz.az.tr_666 
  // [cff0]
  0x1c0c1a0c, 0x301b1e07, 0x37007320, 0x060107ee,   // tl.sv.id_543 ms.tr.uz_432  ny.st.un_850 it.en.de_422 
  0x0a00250e, 0x020c2555, 0x070311a7, 0x015605a6,   // eu.pt.un_550 eu.sv.da_442  ro.nl.it_532 fr.mg.en_521 
  0x04002a04, 0x31002508, 0x10002521, 0x211f3fa0,   // mt.fi.un_320 eu.az.un_430  eu.lt.un_860 af.cy.jw_322 
  0x011a1e02, 0x641a6b04, 0x322f1ea0, 0x040e7309,   // ms.tl.en_222 ceb.tl.lg_332  ms.su.bs_322 ny.is.fi_444 
  
  // [d000]
  0x06312a0b, 0x28003707, 0x2b005314, 0x1f6b2102,   // mt.az.de_542 st.sw.un_420  ht.vi.un_660 jw.ceb.cy_222 
  0x190b1a14, 0x313230ee, 0x043d1b08, 0x28003719,   // tl.es.gl_666 uz.bs.az_422  tr.ku.fi_443 st.sw.un_750 
  0x05231ea0, 0x5604070c, 0x16292da9, 0x0f2a1207,   // ms.ca.fr_322 it.fi.mg_543  sk.sl.hr_544 hu.mt.lv_432 
  0x0a0905a0, 0x100708ac, 0x04441012, 0x2a6b55ee,   // fr.pl.pt_322 uk.bg.be_632  be.kk.ru_654 rw.ceb.mt_422 
  // [d010]
  0x19100b02, 0x532b07a0, 0x2d0d0ba4, 0x27003204,   // es.lt.gl_222 it.vi.ht_322  es.cs.sk_433 bs.gd.un_320 
  0x645520af, 0x120b0aa9, 0x32006404, 0x30351004,   // sq.rw.lg_655 pt.es.hu_544  lg.bs.un_320 be.tg.uz_332 
  0x112007ad, 0x2511050e, 0x21556460, 0x04084408,   // it.sq.ro_643 fr.ro.eu_555  lg.rw.jw_664 kk.uk.ru_443 
  0x2f5655a7, 0x730428af, 0x11081705, 0x730428ec,   // rw.mg.su_532 sw.fi.ny_655  sr.uk.ro_333 sw.fi.ny_644 
  // [d020]
  0x3011350e, 0x07250604, 0x2011075a, 0x040723ee,   // tg.ro.uz_555 de.eu.it_332  it.ro.sq_553 ky.bg.ru_422 
  0x110a0709, 0x112a1904, 0x1f3f0b02, 0x313d1b13,   // it.pt.ro_444 gl.mt.ro_332  es.af.cy_222 tr.ku.az_665 
  0x2d1a1fee, 0x3d5301a0, 0x2f211fa0, 0x0d1107a0,   // cy.tl.sk_422 en.ht.ku_322  cy.jw.su_322 it.ro.cs_322 
  0x07000d04, 0x560a0704, 0x115525a4, 0x20000202,   // cs.it.un_320 it.pt.mg_332  eu.rw.ro_433 da.sq.un_220 
  // [d030]
  0x17002d35, 0x1b0f130d, 0x081044a4, 0x28041304,   // sk.sr.un_A90 et.lv.tr_554  kk.be.uk_433 et.fi.sw_332 
  0x29003f1b, 0x32372da0, 0x2f181902, 0x2a000d08,   // af.sl.un_770 sk.st.bs_322  gl.ga.su_222 cs.mt.un_430 
  0x080a075a, 0x0a282508, 0x3523300e, 0x0a070807,   // bg.mk.uk_553 eu.sw.pt_443  uz.ky.tg_555 uk.bg.mk_432 
  0x1e642a07, 0x321c64a0, 0x640b30a0, 0x64132a07,   // mt.lg.ms_432 lg.id.bs_322  uz.es.lg_322 mt.et.lg_432 
  // [d040]
  0x1b007307, 0x13003f14, 0x11353005, 0x0b1805a7,   // ny.tr.un_420 af.et.un_660  uz.tg.ro_333 fr.ga.es_532 
  0x2a006421, 0x2a56640c, 0x301c1e0c, 0x211f270c,   // lg.mt.un_860 lg.mg.mt_543  ms.id.uz_543 gd.cy.jw_543 
  0x0f27100d, 0x071028ad, 0x231744ee, 0x64002a09,   // lt.gd.lv_554 sw.lt.it_643  kk.sr.ky_422 mt.lg.un_440 
  0x551b1905, 0x641a53ad, 0x29170aa0, 0x2728180c,   // gl.tr.rw_333 ht.tl.lg_643  pt.sr.sl_322 ga.sw.gd_543 
  // [d050]
  0x2100370c, 0x1f270f09, 0x30642a0c, 0x060704a9,   // st.jw.un_530 lv.gd.cy_444  mt.lg.uz_543 fi.it.de_544 
  0x2a040708, 0x0f272512, 0x281f27a6, 0x64002a19,   // it.fi.mt_443 eu.gd.lv_654  gd.cy.sw_521 mt.lg.un_750 
  0x072b110c, 0x0c313004, 0x060412ec, 0x070a1112,   // ro.vi.it_543 uz.az.sv_332  hu.fi.de_644 ro.mk.bg_654 
  0x040812a4, 0x35001008, 0x035319a0, 0x2f042704,   // hu.no.fi_433 be.tg.un_430  gl.ht.nl_322 gd.fi.su_332 
  // [d060]
  0x04531a0c, 0x1a0456a0, 0x052a010c, 0x56003f05,   // tl.ht.fi_543 mg.fi.tl_322  en.mt.fr_543 af.mg.un_330 
  0x21041a0c, 0x0f1310a9, 0x041f270c, 0x070a010c,   // tl.fi.jw_543 lt.et.lv_544  gd.cy.fi_543 en.pt.it_543 
  0x01000508, 0x0f18270c, 0x27002823, 0x1a6b3005,   // fr.en.un_430 gd.ga.lv_543  sw.gd.un_880 uz.ceb.tl_333 
  0x1e1c23a0, 0x30206412, 0x0a120612, 0x10083504,   // ca.id.ms_322 lg.sq.uz_654  de.hu.pt_654 tg.uk.be_332 
  // [d070]
  0x2a643f04, 0x1b3130ee, 0x06000e02, 0x110a0705,   // af.lg.mt_332 uz.az.tr_422  is.de.un_220 bg.mk.ro_333 
  0x070a12a4, 0x080c0e02, 0x2f6b06a0, 0x0e003f0d,   // hu.pt.it_433 is.sv.no_222  de.ceb.su_322 af.is.un_540 
  0x6b270ea0, 0x29122d0c, 0x2a1b30a0, 0x0a234408,   // is.gd.ceb_322 sk.hu.sl_543  uz.tr.mt_322 kk.ky.mk_443 
  0x2d2917ee, 0x170c13a7, 0x21090155, 0x6e2d1255,   // sr.sl.sk_422 et.sv.sr_532  en.pl.jw_442 hu.sk.hmn_442 
  // [d080]
  0x162d2904, 0x250a0702, 0x161229ee, 0x04110aa9,   // sl.sk.hr_332 it.pt.eu_222  sl.hu.hr_422 pt.ro.fi_544 
  0x56003d07, 0x16002008, 0x290e0c08, 0x08000e14,   // ku.mg.un_420 sq.hr.un_430  sv.is.sl_443 is.no.un_660 
  0x32162a07, 0x25002321, 0x0e001f21, 0x0a0811a9,   // mt.hr.bs_432 ca.eu.un_860  cy.is.un_860 ro.uk.mk_544 
  0x0c530604, 0x3f080307, 0x35040808, 0x130e0807,   // de.ht.sv_332 nl.no.af_432  uk.ru.tg_443 no.is.et_432 
  // [d090]
  0x28645507, 0x11130605, 0x0f00110c, 0x25000a02,   // rw.lg.sw_432 de.et.ro_333  ro.lv.un_530 pt.eu.un_220 
  0x08002d08, 0x122855ee, 0x6b060c55, 0x2100060c,   // sk.no.un_430 rw.sw.hu_422  sv.de.ceb_442 de.jw.un_530 
  0x4411110c, 0x130c0614, 0x062055a4, 0x08060c0c,   // ro.ro.kk_543 de.sv.et_666  rw.sq.de_433 sv.de.no_543 
  0x1a2913ee, 0x29130460, 0x095373a9, 0x3f001f22,   // et.sl.tl_422 fi.et.sl_664  ny.ht.pl_544 cy.af.un_870 
  // [d0a0]
  0x732155ad, 0x3d003119, 0x0a1017ad, 0x102f1c02,   // rw.jw.ny_643 az.ku.un_750  sr.be.mk_643 id.su.lt_222 
  0x1e002802, 0x17001609, 0x07170a5a, 0x0f076407,   // sw.ms.un_220 hr.sr.un_440  mk.sr.bg_553 lg.it.lv_432 
  0x30130fa7, 0x07561005, 0x733f3708, 0x730f6412,   // lv.et.uz_532 lt.mg.it_333  st.af.ny_443 lg.lv.ny_654 
  0x1e2813ec, 0x6b0313ee, 0x100f1a12, 0x550506a0,   // et.sw.ms_644 et.nl.ceb_422  tl.lv.lt_654 de.fr.rw_322 
  // [d0b0]
  0x21002018, 0x13286baf, 0x216b28ad, 0x06190b55,   // sq.jw.un_740 ceb.sw.et_655  sw.ceb.jw_643 es.gl.de_442 
  0x0b27110c, 0x081704ee, 0x30352311, 0x0f136b55,   // ro.gd.es_543 ru.sr.uk_422  ky.tg.uz_653 ceb.et.lv_442 
  0x560f30ad, 0x370d3fa4, 0x211b11a0, 0x64551007,   // uz.lv.mg_643 af.cs.st_433  ro.tr.jw_322 lt.rw.lg_432 
  0x0b136404, 0x18561a5a, 0x1b007314, 0x28003f02,   // lg.et.es_332 tl.mg.ga_553  ny.tr.un_660 af.sw.un_220 
  // [d0c0]
  0x19050ba7, 0x3d063f07, 0x2f007308, 0x190b5514,   // es.fr.gl_532 af.de.ku_432  ny.su.un_430 rw.es.gl_666 
  0x3f0208ee, 0x25005602, 0x5330310c, 0x0f132009,   // no.da.af_422 mg.eu.un_220  az.uz.ht_543 sq.et.lv_444 
  0x09181f04, 0x292d3f0e, 0x135604af, 0x1c1b21a9,   // cy.ga.pl_332 af.sk.sl_555  fi.mg.et_655 jw.tr.id_544 
  0x01002905, 0x046410ee, 0x061a6ba0, 0x0f2813a0,   // sl.en.un_330 lt.lg.fi_422  ceb.tl.de_322 et.sw.lv_322 
  // [d0d0]
  0x2710090c, 0x32191704, 0x28001314, 0x2b041307,   // pl.lt.gd_543 sr.gl.bs_332  et.sw.un_660 et.fi.vi_432 
  0x25005608, 0x3d311ba4, 0x01002b07, 0x30000521,   // mg.eu.un_430 tr.az.ku_433  vi.en.un_420 fr.uz.un_860 
  0x0a001711, 0x282b1fee, 0x20041355, 0x12302a09,   // sr.mk.un_630 cy.vi.sw_422  et.fi.sq_442 mt.uz.hu_444 
  0x12300c07, 0x231e2fa0, 0x23001f12, 0x0f0830a0,   // sv.uz.hu_432 su.ms.ca_322  cy.ca.un_640 uz.no.lv_322 
  // [d0e0]
  0x013d12a0, 0x040730a9, 0x02000502, 0x6b281307,   // hu.ku.en_322 uz.bg.ru_544  fr.da.un_220 et.sw.ceb_432 
  0x30000319, 0x23001235, 0x2d0d2105, 0x6b0501ad,   // nl.uz.un_750 hu.ca.un_A90  jw.cs.sk_333 en.fr.ceb_643 
  0x132f25a0, 0x0c000112, 0x08300609, 0x1e000a02,   // eu.su.et_322 en.sv.un_640  de.uz.no_444 pt.ms.un_220 
  0x3d2555af, 0x0d010507, 0x271c2fee, 0x1c0830ee,   // rw.eu.ku_655 fr.en.cs_432  su.id.gd_422 uz.no.id_422 
  // [d0f0]
  0x3f0608a4, 0x7328200c, 0x53163fa9, 0x6b005523,   // no.de.af_433 sq.sw.ny_543  af.hr.ht_544 rw.ceb.un_880 
  0x3f73640c, 0x562873af, 0x201373a0, 0x084404ee,   // lg.ny.af_543 ny.sw.mg_655  ny.et.sq_322 ru.kk.uk_422 
  0x3f2a2512, 0x2f5625a4, 0x20533dec, 0x25180aaf,   // eu.mt.af_654 eu.mg.su_433  ku.ht.sq_644 pt.ga.eu_655 
  0x01370813, 0x35230aee, 0x2873200c, 0x06033da7,   // no.st.en_665 mk.ky.tg_422  sq.ny.sw_543 ku.nl.de_532 
  // [d100]
  0x553d0107, 0x0f092507, 0x29011a02, 0x29122fa0,   // en.ku.rw_432 eu.pl.lv_432  tl.en.sl_222 su.hu.sl_322 
  0x10730fad, 0x3f0308ad, 0x060c0e0c, 0x082056a0,   // lv.ny.lt_643 no.nl.af_643  is.sv.de_543 mg.sq.no_322 
  0x23000f09, 0x0e1125a4, 0x20001e11, 0x25000f07,   // lv.ca.un_440 eu.ro.is_433  ms.sq.un_630 lv.eu.un_420 
  0x31006405, 0x202b08ee, 0x440a0713, 0x2d0d05af,   // lg.az.un_330 no.vi.sq_422  bg.mk.kk_665 fr.cs.sk_655 
  // [d110]
  0x1b2f120c, 0x20132fad, 0x0a100408, 0x082853a0,   // hu.su.tr_543 su.et.sq_643  ru.be.mk_443 ht.sw.no_322 
  0x0c002507, 0x21003020, 0x30003721, 0x13001e04,   // eu.sv.un_420 uz.jw.un_850  st.uz.un_860 ms.et.un_320 
  0x08010c07, 0x1a3f37a9, 0x0f0a25a0, 0x1f001a12,   // sv.en.no_432 st.af.tl_544  eu.pt.lv_322 tl.cy.un_640 
  0x73302bec, 0x212f0904, 0x3f002f05, 0x0b00120b,   // vi.uz.ny_644 pl.su.jw_332  su.af.un_330 hu.es.un_520 
  // [d120]
  0x1a0601ad, 0x280c0802, 0x6b080213, 0x1104080e,   // en.de.tl_643 no.sv.sw_222  da.no.ceb_665 uk.ru.ro_555 
  0x28003008, 0x30001b09, 0x536b30a9, 0x28001a1a,   // uz.sw.un_430 tr.uz.un_440  uz.ceb.ht_544 tl.sw.un_760 
  0x0a00250c, 0x3f2864ac, 0x19230a11, 0x042f1e07,   // eu.pt.un_530 lg.sw.af_632  pt.ca.gl_653 ms.su.fi_432 
  0x25730fa0, 0x1c736408, 0x27301f07, 0x1e002508,   // lv.ny.eu_322 lg.ny.id_443  cy.uz.gd_432 eu.ms.un_430 
  // [d130]
  0x300453a0, 0x53050405, 0x2f060307, 0x080504ad,   // ht.fi.uz_322 fi.fr.ht_333  nl.de.su_432 fi.fr.no_643 
  0x32162911, 0x30000312, 0x30125304, 0x053064a4,   // sl.hr.bs_653 nl.uz.un_640  ht.hu.uz_332 lg.uz.fr_433 
  0x0a1205af, 0x041011a6, 0x06035305, 0x1809050c,   // fr.hu.pt_655 ro.be.ru_521  ht.nl.de_333 fr.pl.ga_543 
  0x316b1ca0, 0x0a071760, 0x23011e0c, 0x1c3d2307,   // id.ceb.az_322 sr.bg.mk_664  ms.en.ca_543 ca.ku.id_432 
  // [d140]
  0x1c0553a0, 0x18110a08, 0x2113040c, 0x132a0ca9,   // ht.fr.id_322 pt.ro.ga_443  fi.et.jw_543 sv.mt.et_544 
  0x44351107, 0x2f082104, 0x28551b04, 0x01050407,   // ro.tg.kk_432 jw.no.su_332  tr.rw.sw_332 fi.fr.en_432 
  0x0f0e13af, 0x0d271860, 0x16102911, 0x21647307,   // et.is.lv_655 ga.gd.cs_664  sl.lt.hr_653 ny.lg.jw_432 
  0x100a04a4, 0x2f255355, 0x53042fa4, 0x2b03010c,   // ru.mk.be_433 ht.eu.su_442  su.fi.ht_433 en.nl.vi_543 
  // [d150]
  0x1a12255a, 0x216456a4, 0x0b040e0d, 0x27092508,   // eu.hu.tl_553 mg.lg.jw_433  is.fi.es_554 eu.pl.gd_443 
  0x11050a05, 0x11070d07, 0x07162fee, 0x032553a0,   // pt.fr.ro_333 cs.it.ro_432  su.hr.it_422 ht.eu.nl_322 
  0x1b000707, 0x2104100b, 0x10041112, 0x3711010c,   // it.tr.un_420 lt.fi.jw_542  ro.fi.lt_654 en.ro.st_543 
  0x301108ad, 0x162911a4, 0x082105ee, 0x642a2807,   // uk.ro.uz_643 ro.sl.hr_433  fr.jw.no_422 sw.mt.lg_432 
  // [d160]
  0x282a37ad, 0x112718a4, 0x082505ad, 0x23131007,   // st.mt.sw_643 ga.gd.ro_433  fr.eu.no_643 lt.et.ca_432 
  0x18276412, 0x3d1b230b, 0x11531e05, 0x2a120c07,   // lg.gd.ga_654 ca.tr.ku_542  ms.ht.ro_333 sv.hu.mt_432 
  0x080e180c, 0x082518a4, 0x07302308, 0x311c1eee,   // ga.is.no_543 ga.eu.no_433  ky.uz.bg_443 ms.id.az_422 
  0x3f2a0605, 0x033f13ec, 0x11000e21, 0x2a040f0c,   // de.mt.af_333 et.af.nl_644  is.ro.un_860 lv.fi.mt_543 
  // [d170]
  0x29110da7, 0x06250704, 0x035325ee, 0x2500060e,   // cs.ro.sl_532 it.eu.de_332  eu.ht.nl_422 de.eu.un_550 
  0x180608a0, 0x27001c08, 0x08100e0d, 0x21251cec,   // no.de.ga_322 id.gd.un_430  is.lt.no_554 id.eu.jw_644 
  0x2900010d, 0x18000919, 0x2a0406a9, 0x11003f07,   // en.sl.un_540 pl.ga.un_750  de.fi.mt_544 af.ro.un_420 
  0x1f0618a4, 0x320d2aad, 0x252010a4, 0x27002508,   // ga.de.cy_433 mt.cs.bs_643  lt.sq.eu_433 eu.gd.un_430 
  // [d180]
  0x04212fa9, 0x18002308, 0x0c062707, 0x04100b05,   // su.jw.fi_544 ca.ga.un_430  gd.de.sv_432 es.lt.fi_333 
  0x04533f08, 0x291f06af, 0x0e120cec, 0x321e2aa7,   // af.ht.fi_443 de.cy.sl_655  sv.hu.is_644 mt.ms.bs_532 
  0x0435230c, 0x1b002521, 0x110a0707, 0x64100f04,   // ky.tg.ru_543 eu.tr.un_860  it.pt.ro_432 lv.lt.lg_332 
  0x0f2d09ec, 0x21060908, 0x21073fad, 0x10251213,   // pl.sk.lv_644 pl.de.jw_443  af.it.jw_643 hu.eu.lt_665 
  // [d190]
  0x27212f04, 0x16002502, 0x101306a4, 0x2a3020a6,   // su.jw.gd_332 eu.hr.un_220  de.et.lt_433 sq.uz.mt_521 
  0x0f2d04a4, 0x202a18ee, 0x112d0d02, 0x0a122dad,   // fi.sk.lv_433 ga.mt.sq_422  cs.sk.ro_222 sk.hu.pt_643 
  0x092a13ad, 0x3f001812, 0x23532107, 0x230a10a4,   // et.mt.pl_643 ga.af.un_640  jw.ht.ca_432 be.mk.ky_433 
  0x0d180402, 0x1723440d, 0x2f005521, 0x0f042107,   // fi.ga.cs_222 kk.ky.sr_554  rw.su.un_860 jw.fi.lv_432 
  // [d1a0]
  0x0e3f53ad, 0x2500110e, 0x233773ee, 0x110725af,   // ht.af.is_643 ro.eu.un_550  ny.st.ca_422 eu.it.ro_655 
  0x1a6b2509, 0x01050ea0, 0x23120d09, 0x122f2109,   // eu.ceb.tl_444 is.fr.en_322  cs.hu.ca_444 jw.su.hu_444 
  0x0f2d0d0d, 0x301b2a08, 0x040b070c, 0x1e0a1107,   // cs.sk.lv_554 mt.tr.uz_443  it.es.fi_543 ro.pt.ms_432 
  0x20000414, 0x0a072da9, 0x21642f07, 0x1900110d,   // fi.sq.un_660 sk.it.pt_544  su.lg.jw_432 ro.gl.un_540 
  // [d1b0]
  0x1a6b2d0c, 0x2d1925a4, 0x21322dee, 0x03051f04,   // sk.ceb.tl_543 eu.gl.sk_433  sk.bs.jw_422 cy.fr.nl_332 
  0x060c3f04, 0x252d0d60, 0x735528ee, 0x23160a07,   // af.sv.de_332 cs.sk.eu_664  sw.rw.ny_422 pt.hr.ca_432 
  0x0a003114, 0x012a18a0, 0x21110702, 0x041307a4,   // az.pt.un_660 ga.mt.en_322  it.ro.jw_222 it.et.fi_433 
  0x060428a7, 0x29287311, 0x0200200e, 0x1e000505,   // sw.fi.de_532 ny.sw.sl_653  sq.da.un_550 fr.ms.un_330 
  // [d1c0]
  0x29321609, 0x32003d05, 0x19557307, 0x23071fa0,   // hr.bs.sl_444 ku.bs.un_330  ny.rw.gl_432 cy.it.ca_322 
  0x08170aa9, 0x081025a0, 0x0c291e55, 0x0b071107,   // mk.sr.uk_544 eu.lt.no_322  ms.sl.sv_442 ro.it.es_432 
  0x231b0fa9, 0x0c110807, 0x64000502, 0x10271f12,   // lv.tr.ca_544 no.ro.sv_432  fr.lg.un_220 cy.gd.lt_654 
  0x20735507, 0x180809a7, 0x05003008, 0x3055730c,   // rw.ny.sq_432 pl.no.ga_532  uz.fr.un_430 ny.rw.uz_543 
  // [d1d0]
  0x2700040d, 0x21122307, 0x0c1f30af, 0x10000b19,   // fi.gd.un_540 ca.hu.jw_432  uz.cy.sv_655 es.lt.un_750 
  0x370d1007, 0x13281104, 0x440a17a4, 0x1a00020c,   // lt.cs.st_432 ro.sw.et_332  sr.mk.kk_433 da.tl.un_530 
  0x2a001207, 0x556e2804, 0x123073ac, 0x37080255,   // hu.mt.un_420 sw.hmn.rw_332  ny.uz.hu_632 da.no.st_442 
  0x283773a0, 0x10000e13, 0x10003522, 0x19041309,   // ny.st.sw_322 is.lt.un_650  tg.be.un_870 et.fi.gl_444 
  // [d1e0]
  0x35071002, 0x130f1ca4, 0x02001f13, 0x121307a4,   // be.bg.tg_222 id.lv.et_433  cy.da.un_650 it.et.hu_433 
  0x0f281f07, 0x0c64370c, 0x033f28a0, 0x30080e08,   // cy.sw.lv_432 st.lg.sv_543  sw.af.nl_322 is.no.uz_443 
  0x552853a0, 0x30001921, 0x172025a0, 0x21001b1a,   // ht.sw.rw_322 gl.uz.un_860  eu.sq.sr_322 tr.jw.un_760 
  0x23170aaf, 0x28097312, 0x041307ad, 0x31040107,   // mk.sr.ky_655 ny.pl.sw_654  it.et.fi_643 en.fi.az_432 
  // [d1f0]
  0x17201bee, 0x3f032012, 0x3113040c, 0x0830230c,   // tr.sq.sr_422 sq.nl.af_654  fi.et.az_543 ky.uz.uk_543 
  0x100717a0, 0x37551ea4, 0x101721a7, 0x28001f12,   // sr.bg.be_322 ms.rw.st_433  jw.sr.lt_532 cy.sw.un_640 
  0x1f000507, 0x04233002, 0x080406a4, 0x0a1e1c13,   // fr.cy.un_420 uz.ky.ru_222  de.fi.no_433 id.ms.pt_665 
  0x371a21a4, 0x09002f0d, 0x270823a0, 0x16321712,   // jw.tl.st_433 su.pl.un_540  ca.no.gd_322 sr.bs.hr_654 
  // [d200]
  0x1f27180c, 0x23000512, 0x05120b05, 0x010603ee,   // ga.gd.cy_543 fr.ca.un_640  es.hu.fr_333 nl.de.en_422 
  0x080b1907, 0x18055502, 0x132018a4, 0x113755a4,   // gl.es.no_432 rw.fr.ga_222  ga.sq.et_433 rw.st.ro_433 
  0x23005613, 0x1712640c, 0x1c051e07, 0x64203707,   // mg.ca.un_650 lg.hu.sr_543  ms.fr.id_432 st.sq.lg_432 
  0x29230ba4, 0x0a2308af, 0x1b133755, 0x0613080c,   // es.ca.sl_433 uk.ky.mk_655  st.et.tr_442 no.et.de_543 
  // [d210]
  0x08001111, 0x08211ca0, 0x3f27130c, 0x20270511,   // ro.uk.un_630 id.jw.no_322  et.gd.af_543 fr.gd.sq_653 
  0x20005505, 0x2008110c, 0x2056290c, 0x04100e08,   // rw.sq.un_330 ro.no.sq_543  sl.mg.sq_543 is.lt.fi_443 
  0x1300102c, 0x3d201109, 0x37551ba4, 0x05271809,   // lt.et.un_990 ro.sq.ku_444  tr.rw.st_433 ga.gd.fr_444 
  0x270519a0, 0x183f0608, 0x281c1ea7, 0x6b190aee,   // gl.fr.gd_322 de.af.ga_443  ms.id.sw_532 pt.gl.ceb_422 
  // [d220]
  0x27060305, 0x271913ee, 0x112056a7, 0x08190a04,   // nl.de.gd_333 et.gl.gd_422  mg.sq.ro_532 pt.gl.no_332 
  0x0a082308, 0x12041305, 0x116455a4, 0x11642004,   // ky.uk.mk_443 et.fi.hu_333  rw.lg.ro_433 sq.lg.ro_332 
  0x2300270b, 0x01002119, 0x28042107, 0x05371307,   // gd.ca.un_520 jw.en.un_750  jw.fi.sw_432 et.st.fr_432 
  0x0e006b0c, 0x010520a4, 0x6b002522, 0x06212a04,   // ceb.is.un_530 sq.fr.en_433  eu.ceb.un_870 mt.jw.de_332 
  // [d230]
  0x271f18ad, 0x234410af, 0x231211ee, 0x04132f05,   // ga.cy.gd_643 be.kk.ky_655  ro.hu.ca_422 su.et.fi_333 
  0x1a001307, 0x2f11230c, 0x0a0744a0, 0x0600100e,   // et.tl.un_420 ca.ro.su_543  kk.bg.mk_322 lt.de.un_550 
  0x2d003208, 0x0d003019, 0x321729a9, 0x0e061fa4,   // bs.sk.un_430 uz.cs.un_750  sl.sr.bs_544 cy.de.is_433 
  0x23000712, 0x281853a7, 0x440730a9, 0x536b05ee,   // bg.ky.un_640 ht.ga.sw_532  uz.bg.kk_544 fr.ceb.ht_422 
  // [d240]
  0x010d1f04, 0x230a0714, 0x081a0e07, 0x04073009,   // cy.cs.en_332 bg.mk.ky_666  is.tl.no_432 uz.bg.ru_444 
  0x3d0f3012, 0x2d0d17a4, 0x060a21a0, 0x37001e04,   // uz.lv.ku_654 sr.cs.sk_433  jw.pt.de_322 ms.st.un_320 
  0x11202508, 0x23043505, 0x11174412, 0x2f1204ad,   // eu.sq.ro_443 tg.ru.ky_333  kk.sr.ro_654 fi.hu.su_643 
  0x033f27a9, 0x730b280c, 0x0f062a02, 0x3d133704,   // gd.af.nl_544 sw.es.ny_543  mt.de.lv_222 st.et.ku_332 
  // [d250]
  0x27112304, 0x1a001014, 0x3f0f1307, 0x02551304,   // ca.ro.gd_332 lt.tl.un_660  et.lv.af_432 et.rw.da_332 
  0x272d2a07, 0x190a56a4, 0x280a1004, 0x05033f09,   // mt.sk.gd_432 mg.pt.gl_433  lt.pt.sw_332 af.nl.fr_444 
  0x272b05a0, 0x07280b13, 0x25002f1a, 0x7309280c,   // fr.vi.gd_322 es.sw.it_665  su.eu.un_760 sw.pl.ny_543 
  0x2f252a08, 0x25211fa4, 0x2d090ea0, 0x251e1c11,   // mt.eu.su_443 cy.jw.eu_433  is.pl.sk_322 id.ms.eu_653 
  // [d260]
  0x213d64a4, 0x173511a4, 0x25162a07, 0x281f21ee,   // lg.ku.jw_433 ro.tg.sr_433  mt.hr.eu_432 jw.cy.sw_422 
  0x64092507, 0x0b232f04, 0x0c001308, 0x07321707,   // eu.pl.lg_432 su.ca.es_332  et.sv.un_430 sr.bs.it_432 
  0x211a3fa4, 0x053f1007, 0x6b3d17a6, 0x202537a4,   // af.tl.jw_433 lt.af.fr_432  sr.ku.ceb_521 st.eu.sq_433 
  0x062d0f07, 0x1f0728ec, 0x73002504, 0x291e1804,   // lv.sk.de_432 sw.it.cy_644  eu.ny.un_320 ga.ms.sl_332 
  // [d270]
  0x56003022, 0x73002513, 0x0b251a08, 0x30350a0b,   // uz.mg.un_870 eu.ny.un_650  tl.eu.es_443 mk.tg.uz_542 
  0x28257305, 0x0700210c, 0x2100030d, 0x13120ca0,   // ny.eu.sw_333 jw.it.un_530  nl.jw.un_540 sv.hu.et_322 
  0x18001108, 0x21002307, 0x1c2501a0, 0x01271112,   // ro.ga.un_430 ca.jw.un_420  en.eu.id_322 ro.gd.en_654 
  0x27191812, 0x2f003d19, 0x27033fa0, 0x1b2f1ea4,   // ga.gl.gd_654 ku.su.un_750  af.nl.gd_322 ms.su.tr_433 
  // [d280]
  0x73016b0d, 0x182719a0, 0x732f1a08, 0x3d371b0c,   // ceb.en.ny_554 gl.gd.ga_322  tl.su.ny_443 tr.st.ku_543 
  0x1a2f28a9, 0x1a1b31a4, 0x64281a04, 0x1b6b1a09,   // sw.su.tl_544 az.tr.tl_433  tl.sw.lg_332 tl.ceb.tr_444 
  0x2f1b310c, 0x320216a4, 0x0127180c, 0x3f271811,   // az.tr.su_543 hr.da.bs_433  ga.gd.en_543 ga.gd.af_653 
  0x73551aaf, 0x180b2708, 0x270b1855, 0x1744350c,   // tl.rw.ny_655 gd.es.ga_443  ga.es.gd_442 tg.kk.sr_543 
  // [d290]
  0x1b2f2104, 0x300b2f04, 0x2d003712, 0x1a73310c,   // jw.su.tr_332 su.es.uz_332  st.sk.un_640 az.ny.tl_543 
  0x04641309, 0x731b1a09, 0x6430280c, 0x311b2f0c,   // et.lg.fi_444 tl.tr.ny_444  sw.uz.lg_543 su.tr.az_543 
  0x640e5508, 0x731b1a0c, 0x562f1c05, 0x2d0d08a4,   // rw.is.lg_443 tl.tr.ny_543  id.su.mg_333 no.cs.sk_433 
  0x30006407, 0x302f1fad, 0x250456a4, 0x2f301fee,   // lg.uz.un_420 cy.su.uz_643  mg.fi.eu_433 cy.uz.su_422 
  // [d2a0]
  0x35081702, 0x126403a9, 0x0a00560d, 0x29071f0d,   // sr.uk.tg_222 nl.lg.hu_544  mg.pt.un_540 cy.it.sl_554 
  0x12052f04, 0x3f060e0c, 0x0700561a, 0x32290f07,   // su.fr.hu_332 is.de.af_543  mg.it.un_760 lv.sl.bs_432 
  0x080413a4, 0x0a111105, 0x1f1a10ee, 0x30000a1a,   // et.fi.no_433 ro.ro.mk_333  lt.tl.cy_422 pt.uz.un_760 
  0x08002a13, 0x6b0a0707, 0x08000402, 0x2f6b10a0,   // mt.no.un_650 it.pt.ceb_432  ru.uk.un_220 lt.ceb.su_322 
  // [d2b0]
  0x1f002320, 0x11001f12, 0x3d001f12, 0x53130eee,   // ca.cy.un_850 cy.ro.un_640  cy.ku.un_640 is.et.ht_422 
  0x13000205, 0x0d0e1908, 0x19300205, 0x1e212fee,   // da.et.un_330 gl.is.cs_443  da.uz.gl_333 su.jw.ms_422 
  0x44231113, 0x0208060d, 0x08006b20, 0x04033fa4,   // ro.ky.kk_665 de.no.da_554  ceb.no.un_850 af.nl.fi_433 
  0x23122da0, 0x0f000720, 0x300410a4, 0x0e190b09,   // sk.hu.ca_322 it.lv.un_850  be.ru.uz_433 es.gl.is_444 
  // [d2c0]
  0x0a000e13, 0x1905230c, 0x23002502, 0x07001a1a,   // is.pt.un_650 ca.fr.gl_543  eu.ca.un_220 tl.it.un_760 
  0x0a1219a9, 0x2f1a6bee, 0x64005308, 0x0b001708,   // gl.hu.pt_544 ceb.tl.su_422  ht.lg.un_430 sr.es.un_430 
  0x060c080b, 0x0f0c08a0, 0x132d0855, 0x1a2f6bee,   // no.sv.de_542 no.sv.lv_322  no.sk.et_442 ceb.su.tl_422 
  0x3f001309, 0x06180812, 0x6e2f0e04, 0x23001820,   // et.af.un_440 no.ga.de_654  is.su.hmn_332 ga.ca.un_850 
  // [d2d0]
  0x023f030d, 0x0e0b1a08, 0x3f6e6b55, 0x646b73ee,   // nl.af.da_554 tl.es.is_443  ceb.hmn.af_442 ny.ceb.lg_422 
  0x13080702, 0x12190b0d, 0x0311250b, 0x076b11a0,   // it.no.et_222 es.gl.hu_554  eu.ro.nl_542 ro.ceb.it_322 
  0x6400090d, 0x310525a0, 0x31000e02, 0x050306a4,   // pl.lg.un_540 eu.fr.az_322  is.az.un_220 de.nl.fr_433 
  0x31000e12, 0x12002f02, 0x23180d0c, 0x010c7355,   // is.az.un_640 su.hu.un_220  cs.ga.ca_543 ny.sv.en_442 
  // [d2e0]
  0x083f0e07, 0x533f0955, 0x280f2504, 0x315330ee,   // is.af.no_432 pl.af.ht_442  eu.lv.sw_332 uz.ht.az_422 
  0x37311e0e, 0x11112360, 0x32167305, 0x12002d14,   // ms.az.st_555 ky.ro.ro_664  ny.hr.bs_333 sk.hu.un_660 
  0x2a1e7305, 0x31000e0b, 0x11100fa0, 0x532173a0,   // ny.ms.mt_333 is.az.un_520  lv.lt.ro_322 ny.jw.ht_322 
  0x5600201b, 0x0725040c, 0x13100f13, 0x1009190c,   // sq.mg.un_770 fi.eu.it_543  lv.lt.et_665 gl.pl.lt_543 
  // [d2f0]
  0x1e002a0c, 0x07041011, 0x280f0d09, 0x1a271855,   // mt.ms.un_530 be.ru.bg_653  cs.lv.sw_444 ga.gd.tl_442 
  0x301204ee, 0x32171aec, 0x130430a4, 0x04073502,   // fi.hu.uz_422 tl.sr.bs_644  uz.fi.et_433 tg.bg.ru_222 
  0x555605af, 0x29080e0c, 0x2a000618, 0x081f1955,   // fr.mg.rw_655 is.no.sl_543  de.mt.un_740 gl.cy.no_442 
  0x64001209, 0x16131e08, 0x173720ee, 0x05000a05,   // hu.lg.un_440 ms.et.hr_443  sq.st.sr_422 pt.fr.un_330 
  // [d300]
  0x0c271809, 0x19212fa9, 0x13050455, 0x5328370d,   // ga.gd.sv_444 su.jw.gl_544  fi.fr.et_442 st.sw.ht_554 
  0x0400051b, 0x3f18275a, 0x3f280605, 0x070c5660,   // fr.fi.un_770 gd.ga.af_553  de.sw.af_333 mg.sv.it_664 
  0x1b00371a, 0x372f2007, 0x071328a7, 0x28641a02,   // st.tr.un_760 sq.su.st_432  sw.et.it_532 tl.lg.sw_222 
  0x640837ee, 0x6b030107, 0x111017a4, 0x0d000f04,   // st.no.lg_422 en.nl.ceb_432  sr.be.ro_433 lv.cs.un_320 
  // [d310]
  0x532105ee, 0x20372308, 0x230c0aa4, 0x04441107,   // fr.jw.ht_422 ca.st.sq_443  pt.sv.ca_433 ro.kk.ru_432 
  0x100f090c, 0x2a110702, 0x13006409, 0x1a007312,   // pl.lv.lt_543 it.ro.mt_222  lg.et.un_440 ny.tl.un_640 
  0x170a10ee, 0x106b3702, 0x2a005607, 0x350830a0,   // be.mk.sr_422 st.ceb.lt_222  mg.mt.un_420 uz.uk.tg_322 
  0x05001912, 0x0e120da7, 0x25003022, 0x27001809,   // gl.fr.un_640 cs.hu.is_532  uz.eu.un_870 ga.gd.un_440 
  // [d320]
  0x5300291a, 0x2d0d1205, 0x2a003f0d, 0x081b02ad,   // sl.ht.un_760 hu.cs.sk_333  af.mt.un_540 da.tr.no_643 
  0x042310a0, 0x321b21a0, 0x081b1305, 0x2f002d05,   // be.ky.ru_322 jw.tr.bs_322  et.tr.no_333 sk.su.un_330 
  0x2f001808, 0x1f18375a, 0x10083511, 0x1e1c2802,   // ga.su.un_430 st.ga.cy_553  tg.uk.be_653 sw.id.ms_222 
  0x2f213f04, 0x211f3707, 0x2d252807, 0x3f000e0b,   // af.jw.su_332 st.cy.jw_432  sw.eu.sk_432 is.af.un_520 
  // [d330]
  0x2d0a23af, 0x0f3764ee, 0x2d0f7304, 0x21033f04,   // ca.pt.sk_655 lg.st.lv_422  ny.lv.sk_332 af.nl.jw_332 
  0x1c031eee, 0x21101aa7, 0x190b0ea0, 0x03131ba7,   // ms.nl.id_422 tl.lt.jw_532  is.es.gl_322 tr.et.nl_532 
  0x120f29a7, 0x17043007, 0x1f122b0d, 0x3f130805,   // sl.lv.hu_532 uz.ru.sr_432  vi.hu.cy_554 no.et.af_333 
  0x0800102a, 0x730437ec, 0x35300405, 0x0e101355,   // be.uk.un_970 st.fi.ny_644  ru.uz.tg_333 et.lt.is_442 
  // [d340]
  0x0a736ea7, 0x2700182a, 0x0c082f07, 0x283d1c14,   // hmn.ny.pt_532 ga.gd.un_970  su.no.sv_432 id.ku.sw_666 
  0x32201702, 0x2f041304, 0x2056530c, 0x190a2d07,   // sr.sq.bs_222 et.fi.su_332  ht.mg.sq_543 sk.pt.gl_432 
  0x3f211ca0, 0x09071813, 0x73375604, 0x1e1c03a0,   // id.jw.af_322 ga.it.pl_665  mg.st.ny_332 nl.id.ms_322 
  0x3f210604, 0x3d001f13, 0x23005308, 0x3f001313,   // de.jw.af_332 cy.ku.un_650  ht.ca.un_430 et.af.un_650 
  // [d350]
  0x251e1cad, 0x181013a4, 0x2a00280d, 0x190b2d05,   // id.ms.eu_643 et.lt.ga_433  sw.mt.un_540 sk.es.gl_333 
  0x3f1056a0, 0x2564090e, 0x1735300d, 0x0a2d23ec,   // mg.lt.af_322 pl.lg.eu_555  uz.tg.sr_554 ca.sk.pt_644 
  0x13033f5a, 0x10121f55, 0x312a55a0, 0x180e2d07,   // af.nl.et_553 cy.hu.lt_442  rw.mt.az_322 sk.is.ga_432 
  0x170e16a4, 0x0e00200c, 0x28552a5a, 0x20005509,   // hr.is.sr_433 sq.is.un_530  mt.rw.sw_553 rw.sq.un_440 
  // [d360]
  0x0c083d09, 0x190a55af, 0x56131008, 0x0b2312ec,   // ku.no.sv_444 rw.pt.gl_655  lt.et.mg_443 hu.ca.es_644 
  0x1f0e5312, 0x191655a0, 0x6e005522, 0x163017a0,   // ht.is.cy_654 rw.hr.gl_322  rw.hmn.un_870 sr.uz.hr_322 
  0x292d200c, 0x2300090c, 0x2f6e6455, 0x645355a9,   // sq.sk.sl_543 pl.ca.un_530  lg.hmn.su_442 rw.ht.lg_544 
  0x100c0ea9, 0x05120a02, 0x19120a0d, 0x0c290da4,   // is.sv.lt_544 pt.hu.fr_222  pt.hu.gl_554 cs.sl.sv_433 
  // [d370]
  0x230a0711, 0x0d102d12, 0x080a3013, 0x2d0d23a4,   // bg.mk.ky_653 sk.lt.cs_654  uz.mk.uk_665 ca.cs.sk_433 
  0x122f05a0, 0x2d0d1fec, 0x05001913, 0x171104a4,   // fr.su.hu_322 cy.cs.sk_644  gl.fr.un_650 ru.ro.sr_433 
  0x170435ee, 0x21052f55, 0x0500100d, 0x6b000307,   // tg.ru.sr_422 su.fr.jw_442  lt.fr.un_540 nl.ceb.un_420 
  0x5305110c, 0x01003d0c, 0x25040604, 0x21001210,   // ro.fr.ht_543 ku.en.un_530  de.fi.eu_332 hu.jw.un_620 
  // [d380]
  0x093f0ea4, 0x37550202, 0x01003d0e, 0x092a0f13,   // is.af.pl_433 da.rw.st_222  ku.en.un_550 lv.mt.pl_665 
  0x0900020e, 0x05093f08, 0x73643da0, 0x23111809,   // da.pl.un_550 af.pl.fr_443  ku.lg.ny_322 ga.ro.ca_444 
  0x2a090fad, 0x273f0312, 0x102308a4, 0x23170aa9,   // lv.pl.mt_643 nl.af.gd_654  uk.ky.be_433 mk.sr.ky_544 
  0x234410ad, 0x1c641eaf, 0x07002b07, 0x09000f21,   // be.kk.ky_643 ms.lg.id_655  vi.it.un_420 lv.pl.un_860 
  // [d390]
  0x05186ba4, 0x08003508, 0x2d2973a9, 0x09000f1b,   // ceb.ga.fr_433 tg.uk.un_430  ny.sl.sk_544 lv.pl.un_770 
  0x235305ee, 0x033f0da9, 0x090f05a9, 0x09000f12,   // fr.ht.ca_422 cs.af.nl_544  fr.lv.pl_544 lv.pl.un_640 
  0x23100707, 0x645505a0, 0x3d007321, 0x05075507,   // bg.be.ky_432 fr.rw.lg_322  ny.ku.un_860 rw.it.fr_432 
  0x2b00071a, 0x010603a0, 0x1c001f12, 0x2a126408,   // it.vi.un_760 nl.de.en_322  cy.id.un_640 lg.hu.mt_443 
  // [d3a0]
  0x0f1813a4, 0x17442308, 0x23113011, 0x13100fee,   // et.ga.lv_433 ky.kk.sr_443  uz.ro.ky_653 lv.lt.et_422 
  0x3f001f07, 0x1f002a22, 0x17441008, 0x3f270c07,   // cy.af.un_420 mt.cy.un_870  be.kk.sr_443 sv.gd.af_432 
  0x73002f19, 0x5302080c, 0x1e006402, 0x6e001f13,   // su.ny.un_750 no.da.ht_543  lg.ms.un_220 cy.hmn.un_650 
  0x090a05a0, 0x2d002b05, 0x1f006e13, 0x300a10ee,   // fr.pt.pl_322 vi.sk.un_330  hmn.cy.un_650 be.mk.uz_422 
  // [d3b0]
  0x1e033fee, 0x276b1a04, 0x060f64ee, 0x12113702,   // af.nl.ms_422 tl.ceb.gd_332  lg.lv.de_422 st.ro.hu_222 
  0x3f1210af, 0x55002a14, 0x350407af, 0x2a0930a0,   // lt.hu.af_655 mt.rw.un_660  bg.ru.tg_655 uz.pl.mt_322 
  0x301112a0, 0x1819110c, 0x53006413, 0x07041955,   // hu.ro.uz_322 ro.gl.ga_543  lg.ht.un_650 gl.fi.it_442 
  0x112344a4, 0x2d0d11af, 0x0d002305, 0x2d001913,   // kk.ky.ro_433 ro.cs.sk_655  ca.cs.un_330 gl.sk.un_650 
  // [d3c0]
  0x071105ee, 0x0d122d60, 0x311011a0, 0x170a0807,   // fr.ro.it_422 sk.hu.cs_664  ro.lt.az_322 uk.mk.sr_432 
  0x1a2d0907, 0x0e000605, 0x6e2b2fa4, 0x301123af,   // pl.sk.tl_432 de.is.un_330  su.vi.hmn_433 ky.ro.uz_655 
  0x130e1f08, 0x0a352304, 0x0e6b1aa0, 0x44080409,   // cy.is.et_443 ky.tg.mk_332  tl.ceb.is_322 ru.uk.kk_444 
  0x10251aee, 0x3700130d, 0x6b001e22, 0x0d0e1704,   // tl.eu.lt_422 et.st.un_540  ms.ceb.un_870 sr.is.cs_332 
  // [d3d0]
  0x0b0764a4, 0x2a1f25af, 0x552f2812, 0x2b006407,   // lg.it.es_433 eu.cy.mt_655  sw.su.rw_654 lg.vi.un_420 
  0x2f06250c, 0x16002f0b, 0x31281ca4, 0x32002a0d,   // eu.de.su_543 su.hr.un_520  id.sw.az_433 mt.bs.un_540 
  0x10000e0d, 0x012711a0, 0x0a091107, 0x050753ec,   // is.lt.un_540 ro.gd.en_322  ro.pl.pt_432 ht.it.fr_644 
  0x2f271c07, 0x530f30a7, 0x6400300d, 0x282d0d08,   // id.gd.su_432 uz.lv.ht_532  uz.lg.un_540 cs.sk.sw_443 
  // [d3e0]
  0x282f2aa0, 0x171035ee, 0x0e556407, 0x123f07a4,   // mt.su.sw_322 tg.be.sr_422  lg.rw.is_432 it.af.hu_433 
  0x30205307, 0x121e1c04, 0x55287313, 0x1964550c,   // ht.sq.uz_432 id.ms.hu_332  ny.sw.rw_665 rw.lg.gl_543 
  0x070e53ad, 0x042a10ec, 0x7300320d, 0x555364ad,   // ht.is.it_643 lt.mt.fi_644  bs.ny.un_540 lg.ht.rw_643 
  0x09030404, 0x2d100f08, 0x03373fa0, 0x09102d12,   // fi.nl.pl_332 lv.lt.sk_443  af.st.nl_322 sk.lt.pl_654 
  // [d3f0]
  0x730964a0, 0x033753a0, 0x25033fa0, 0x28003f13,   // lg.pl.ny_322 ht.st.nl_322  af.nl.eu_322 af.sw.un_650 
  0x1f00642a, 0x052f1902, 0x21003f22, 0x5500091b,   // lg.cy.un_970 gl.su.fr_222  af.jw.un_870 pl.rw.un_770 
  0x3f00101b, 0x065355ad, 0x042f17a0, 0x1028160c,   // lt.af.un_770 rw.ht.de_643  sr.su.fi_322 hr.sw.lt_543 
  0x32101707, 0x30104408, 0x2a0f10af, 0x55062807,   // sr.lt.bs_432 kk.be.uz_443  lt.lv.mt_655 sw.de.rw_432 
  
  // [d400]
  0x2a132807, 0x280a3707, 0x6b000418, 0x170f1007,   // sw.et.mt_432 st.pt.sw_432  fi.ceb.un_740 lt.lv.sr_432 
  0x04002511, 0x1000130e, 0x0b1223a4, 0x25192311,   // eu.fi.un_630 et.lt.un_550  ca.hu.es_433 ca.gl.eu_653 
  0x100f0707, 0x28003713, 0x532125ad, 0x0710040e,   // it.lv.lt_432 st.sw.un_650  eu.jw.ht_643 ru.be.bg_555 
  0x101701a0, 0x23301904, 0x0417100d, 0x6b1e1a05,   // en.sr.lt_322 gl.uz.ca_332  be.sr.ru_554 tl.ms.ceb_333 
  // [d410]
  0x03042802, 0x30070a5a, 0x1f2827ee, 0x30001212,   // sw.fi.nl_222 mk.bg.uz_553  gd.sw.cy_422 hu.uz.un_640 
  0x09160804, 0x070a3509, 0x2d120c04, 0x0a302507,   // no.hr.pl_332 tg.mk.bg_444  sv.hu.sk_332 eu.uz.pt_432 
  0x071130a0, 0x09002502, 0x302a1910, 0x06032a0c,   // uz.ro.it_322 eu.pl.un_220  gl.mt.uz_642 mt.nl.de_543 
  0x0b0a2dee, 0x73001819, 0x252d0d08, 0x29112704,   // sk.pt.es_422 ga.ny.un_750  cs.sk.eu_443 gd.ro.sl_332 
  // [d420]
  0x1c293005, 0x300a5307, 0x0e3d1b12, 0x05001e04,   // uz.sl.id_333 ht.pt.uz_432  tr.ku.is_654 ms.fr.un_320 
  0x1b3d0e12, 0x3f1b3005, 0x2505110c, 0x440804a4,   // is.ku.tr_654 uz.tr.af_333  ro.fr.eu_543 ru.uk.kk_433 
  0x301825a0, 0x6400280d, 0x32201ba7, 0x0d2d0c0c,   // eu.ga.uz_322 sw.lg.un_540  tr.sq.bs_532 sv.sk.cs_543 
  0x1b000e22, 0x321b0e08, 0x28126eee, 0x033f2507,   // is.tr.un_870 is.tr.bs_443  hmn.hu.sw_422 eu.af.nl_432 
  // [d430]
  0x37645302, 0x07010504, 0x232d18a0, 0x04234408,   // ht.lg.st_222 fr.en.it_332  ga.sk.ca_322 kk.ky.ru_443 
  0x28236407, 0x13000505, 0x07001e02, 0x1f2837a0,   // lg.ca.sw_432 fr.et.un_330  ms.it.un_220 st.sw.cy_322 
  0x0a3756a0, 0x13001f0c, 0x28045612, 0x23041013,   // mg.st.pt_322 cy.et.un_530  mg.fi.sw_654 be.ru.ky_665 
  0x2f55640d, 0x350a1104, 0x12002908, 0x53125607,   // lg.rw.su_554 ro.mk.tg_332  sl.hu.un_430 mg.hu.ht_432 
  // [d440]
  0x306455ad, 0x1312060c, 0x283f03a0, 0x12556455,   // rw.lg.uz_643 de.hu.et_543  nl.af.sw_322 lg.rw.hu_442 
  0x280337ee, 0x170430af, 0x28736b07, 0x371064ee,   // st.nl.sw_422 uz.ru.sr_655  ceb.ny.sw_432 lg.lt.st_422 
  0x06100f07, 0x35170a55, 0x370456ec, 0x211353a0,   // lv.lt.de_432 mk.sr.tg_442  mg.fi.st_644 ht.et.jw_322 
  0x0603050b, 0x04170811, 0x040e0804, 0x18276e12,   // fr.nl.de_542 uk.sr.ru_653  no.is.fi_332 hmn.gd.ga_654 
  // [d450]
  0x200429ee, 0x1f2710a4, 0x173504ec, 0x29002105,   // sl.fi.sq_422 lt.gd.cy_433  ru.tg.sr_644 jw.sl.un_330 
  0x1309040e, 0x170a11ad, 0x3d1c1ead, 0x20000608,   // fi.pl.et_555 ro.mk.sr_643  ms.id.ku_643 de.sq.un_430 
  0x0f190a08, 0x2a0e08ad, 0x20321ba0, 0x10060ca0,   // pt.gl.lv_443 no.is.mt_643  tr.bs.sq_322 sv.de.lt_322 
  0x29210aee, 0x10190f12, 0x301735ee, 0x0b00050b,   // pt.jw.sl_422 lv.gl.lt_654  tg.sr.uz_422 fr.es.un_520 
  // [d460]
  0x0c00550c, 0x12000c0c, 0x0f1005a4, 0x0f1810a9,   // rw.sv.un_530 sv.hu.un_530  fr.lt.lv_433 lt.ga.lv_544 
  0x28733f07, 0x08300410, 0x10000508, 0x131004a7,   // af.ny.sw_432 fi.uz.no_642  fr.lt.un_430 fi.lt.et_532 
  0x033f290c, 0x191023a7, 0x121e1c5a, 0x6b287307,   // sl.af.nl_543 ca.lt.gl_532  id.ms.hu_553 ny.sw.ceb_432 
  0x1a537304, 0x556437ec, 0x0c002013, 0x64735508,   // ny.ht.tl_332 st.lg.rw_644  sq.sv.un_650 rw.ny.lg_443 
  // [d470]
  0x55270413, 0x1b25550c, 0x18201b12, 0x0e0c08a7,   // fi.gd.rw_665 rw.eu.tr_543  tr.sq.ga_654 no.sv.is_532 
  0x2a0c200c, 0x0a173512, 0x0c1808ac, 0x2d302511,   // sq.sv.mt_543 tg.sr.mk_654  no.ga.sv_632 eu.uz.sk_653 
  0x032f7307, 0x211c1eaf, 0x2f001f05, 0x28557313,   // ny.su.nl_432 ms.id.jw_655  cy.su.un_330 ny.rw.sw_665 
  0x20006413, 0x25000f08, 0x2f1e2807, 0x271823a0,   // lg.sq.un_650 lv.eu.un_430  sw.ms.su_432 ca.ga.gd_322 
  // [d480]
  0x1e1c2aa0, 0x0c003111, 0x1e1a1f07, 0x0e0c0813,   // mt.id.ms_322 az.sv.un_630  cy.tl.ms_432 no.sv.is_665 
  0x0b000804, 0x180105a0, 0x080e100d, 0x2f2120a9,   // no.es.un_320 fr.en.ga_322  lt.is.no_554 sq.jw.su_544 
  0x64207312, 0x20001009, 0x3217730c, 0x25007309,   // ny.sq.lg_654 lt.sq.un_440  ny.sr.bs_543 ny.eu.un_440 
  0x08000721, 0x1a0973a0, 0x550c0860, 0x2a0507a4,   // bg.uk.un_860 ny.pl.tl_322  no.sv.rw_664 it.fr.mt_433 
  // [d490]
  0x311a1b55, 0x325530a7, 0x162031a4, 0x2f033f14,   // tr.tl.az_442 uz.rw.bs_532  az.sq.hr_433 af.nl.su_666 
  0x3d311b09, 0x641a1e0c, 0x2f1c21ec, 0x311b3da9,   // tr.az.ku_444 ms.tl.lg_543  jw.id.su_644 ku.tr.az_544 
  0x301b3dad, 0x213d5507, 0x1b562855, 0x20001105,   // ku.tr.uz_643 rw.ku.jw_432  sw.mg.tr_442 ro.sq.un_330 
  0x6b202fa0, 0x30003d12, 0x313d1b0c, 0x2b005313,   // su.sq.ceb_322 ku.uz.un_640  tr.ku.az_543 ht.vi.un_650 
  // [d4a0]
  0x10002008, 0x112b07ee, 0x303155ec, 0x082335a0,   // sq.lt.un_430 it.vi.ro_422  rw.az.uz_644 tg.ky.uk_322 
  0x553d1b05, 0x1e7356a4, 0x20111bad, 0x1b001e0c,   // tr.ku.rw_333 mg.ny.ms_433  tr.ro.sq_643 ms.tr.un_530 
  0x281a640c, 0x53733d0c, 0x281c1ea9, 0x301c1ea9,   // lg.tl.sw_543 ku.ny.ht_543  ms.id.sw_544 ms.id.uz_544 
  0x08071011, 0x091f6404, 0x55003d0c, 0x1a1e1c0e,   // be.bg.uk_653 lg.cy.pl_332  ku.rw.un_530 id.ms.tl_555 
  // [d4b0]
  0x1b553d0c, 0x440a1713, 0x551b3da9, 0x192d0d55,   // ku.rw.tr_543 sr.mk.kk_665  ku.tr.rw_544 cs.sk.gl_442 
  0x3d1b55a4, 0x06010505, 0x732830ad, 0x372f28a0,   // rw.tr.ku_433 fr.en.de_333  uz.sw.ny_643 sw.su.st_322 
  0x1f130807, 0x290f0d07, 0x6400210d, 0x0a0830a0,   // no.et.cy_432 cs.lv.sl_432  jw.lg.un_540 uz.uk.mk_322 
  0x230b0a0e, 0x1b736e08, 0x2a001c0d, 0x0a006e1b,   // pt.es.ca_555 hmn.ny.tr_443  id.mt.un_540 hmn.pt.un_770 
  // [d4c0]
  0x1b041307, 0x55011fa0, 0x73203713, 0x1c532f02,   // et.fi.tr_432 cy.en.rw_322  st.sq.ny_665 su.ht.id_222 
  0x231173af, 0x2500230e, 0x130f1a04, 0x08001e02,   // ny.ro.ca_655 ca.eu.un_550  tl.lv.et_332 ms.no.un_220 
  0x6b2518ee, 0x11082307, 0x093d0f07, 0x0f0912af,   // ga.eu.ceb_422 ca.no.ro_432  lv.ku.pl_432 hu.pl.lv_655 
  0x05122da0, 0x2b316eee, 0x0b0a0805, 0x2a0c020c,   // sk.hu.fr_322 hmn.az.vi_422  no.pt.es_333 da.sv.mt_543 
  // [d4d0]
  0x12050a0e, 0x44041702, 0x06020c08, 0x033f1304,   // pt.fr.hu_555 sr.ru.kk_222  sv.da.de_443 et.af.nl_332 
  0x3d557304, 0x182d0d0d, 0x1e6e1faf, 0x133753a4,   // ny.rw.ku_332 cs.sk.ga_554  cy.hmn.ms_655 ht.st.et_433 
  0x13041608, 0x32163714, 0x020a07a0, 0x3f002f0c,   // hr.fi.et_443 st.hr.bs_666  it.pt.da_322 su.af.un_530 
  0x080237ee, 0x231911ee, 0x082f3f04, 0x3d007313,   // st.da.no_422 ro.gl.ca_422  af.su.no_332 ny.ku.un_650 
  // [d4e0]
  0x08003d0d, 0x37006414, 0x3f2821ad, 0x07173504,   // ku.no.un_540 lg.st.un_660  jw.sw.af_643 tg.sr.bg_332 
  0x322925ad, 0x55373d08, 0x5508640c, 0x562d0deb,   // eu.sl.bs_643 ku.st.rw_443  lg.no.rw_543 cs.sk.mg_662 
  0x16006407, 0x37302fec, 0x170a3004, 0x080e12a9,   // lg.hr.un_420 su.uz.st_644  uz.mk.sr_332 hu.is.no_544 
  0x2500301a, 0x1a3f6ba0, 0x64255504, 0x292508ee,   // uz.eu.un_760 ceb.af.tl_322  rw.eu.lg_332 no.eu.sl_422 
  // [d4f0]
  0x043530af, 0x0d006b0c, 0x2f6455a0, 0x3f00121b,   // uz.tg.ru_655 ceb.cs.un_530  rw.lg.su_322 hu.af.un_770 
  0x02001a02, 0x21252fa4, 0x551a1c55, 0x2f1130ee,   // tl.da.un_220 su.eu.jw_433  id.tl.rw_442 uz.ro.su_422 
  0x1a556ba0, 0x1a5373ad, 0x082f37ad, 0x2f213f55,   // ceb.rw.tl_322 ny.ht.tl_643  st.su.no_643 af.jw.su_442 
  0x53313d07, 0x17092905, 0x12292104, 0x170710a7,   // ku.az.ht_432 sl.pl.sr_333  jw.sl.hu_332 be.bg.sr_532 
  // [d500]
  0x25001f12, 0x30001e08, 0x55536ba0, 0x0d1f3705,   // cy.eu.un_640 ms.uz.un_430  ceb.ht.rw_322 st.cy.cs_333 
  0x1b1e1c04, 0x18311ba9, 0x0c2a1207, 0x21003009,   // id.ms.tr_332 tr.az.ga_544  hu.mt.sv_432 uz.jw.un_440 
  0x211b3113, 0x353023a0, 0x2f001b07, 0x180a3107,   // az.tr.jw_665 ky.uz.tg_322  tr.su.un_420 az.pt.ga_432 
  0x053d37a0, 0x3f020605, 0x0a2f1e0e, 0x1a1f6b04,   // st.ku.fr_322 de.da.af_333  ms.su.pt_555 ceb.cy.tl_332 
  // [d510]
  0x0d5304ad, 0x170a1112, 0x070a3504, 0x0e000a07,   // fi.ht.cs_643 ro.mk.sr_654  tg.mk.bg_332 pt.is.un_420 
  0x53000f0e, 0x102509ee, 0x3f090409, 0x1f0737a0,   // lv.ht.un_550 pl.eu.lt_422  fi.pl.af_444 st.it.cy_322 
  0x04003f1b, 0x21311b08, 0x19000505, 0x6b311ba0,   // af.fi.un_770 tr.az.jw_443  fr.gl.un_330 tr.az.ceb_322 
  0x213f37a0, 0x03001f0b, 0x1006090b, 0x2f002b07,   // st.af.jw_322 cy.nl.un_520  pl.de.lt_542 vi.su.un_420 
  // [d520]
  0x1c201ea4, 0x112f1e05, 0x3f1105a7, 0x100925ad,   // ms.sq.id_433 ms.su.ro_333  fr.ro.af_532 eu.pl.lt_643 
  0x53280504, 0x1f30250c, 0x280a20a6, 0x2856550e,   // fr.sw.ht_332 eu.uz.cy_543  sq.pt.sw_521 rw.mg.sw_555 
  0x271b18af, 0x04093f0c, 0x29002a0d, 0x0100071b,   // ga.tr.gd_655 af.pl.fi_543  mt.sl.un_540 it.en.un_770 
  0x271f3dee, 0x1b313d09, 0x0e001702, 0x181f53a0,   // ku.cy.gd_422 ku.az.tr_444  sr.is.un_220 ht.cy.ga_322 
  // [d530]
  0x0a110409, 0x070a0107, 0x191b0a07, 0x533705ad,   // ru.ro.mk_444 en.pt.it_432  pt.tr.gl_432 fr.st.ht_643 
  0x1b190a04, 0x19002102, 0x191b0da0, 0x0a2320ad,   // pt.gl.tr_332 jw.gl.un_220  cs.tr.gl_322 sq.ca.pt_643 
  0x53020807, 0x07011ea0, 0x030727a0, 0x350408ec,   // no.da.ht_432 ms.en.it_322  gd.it.nl_322 uk.ru.tg_644 
  0x103517a0, 0x052f56a7, 0x560304ad, 0x033f130d,   // sr.tg.be_322 mg.su.fr_532  fi.nl.mg_643 et.af.nl_554 
  // [d540]
  0x2a0c0e07, 0x1f000d0d, 0x2f00120e, 0x10231708,   // is.sv.mt_432 cs.cy.un_540  hu.su.un_550 sr.ky.be_443 
  0x040a1007, 0x2f10200d, 0x323717ad, 0x21122f0c,   // be.mk.ru_432 sq.lt.su_554  sr.st.bs_643 su.hu.jw_543 
  0x31251ba0, 0x111c2f02, 0x1a066ba0, 0x0500020b,   // tr.eu.az_322 su.id.ro_222  ceb.de.tl_322 da.fr.un_520 
  0x1a040104, 0x641305a0, 0x292d1f08, 0x0e2f1208,   // en.fi.tl_332 fr.et.lg_322  cy.sk.sl_443 hu.su.is_443 
  // [d550]
  0x291c2104, 0x56370704, 0x170a0808, 0x040364ee,   // jw.id.sl_332 it.st.mg_332  uk.mk.sr_443 lg.nl.fi_422 
  0x2d091605, 0x1a1053a0, 0x1c0413a6, 0x0e311b0c,   // hr.pl.sk_333 ht.lt.tl_322  et.fi.id_521 tr.az.is_543 
  0x19080c11, 0x10190bad, 0x073f01ee, 0x1000071b,   // sv.no.gl_653 es.gl.lt_643  en.af.it_422 bg.be.un_770 
  0x053f03a0, 0x53110707, 0x17041055, 0x01181f08,   // nl.af.fr_322 it.ro.ht_432  be.ru.sr_442 cy.ga.en_443 
  // [d560]
  0x040735ad, 0x01003102, 0x301c01a0, 0x0c000a04,   // tg.bg.ru_643 az.en.un_220  en.id.uz_322 pt.sv.un_320 
  0x28012aad, 0x2a3f03ec, 0x072b01ee, 0x10003d1b,   // mt.en.sw_643 nl.af.mt_644  en.vi.it_422 ku.lt.un_770 
  0x2800160e, 0x03003018, 0x0c0e0b0c, 0x02005319,   // hr.sw.un_550 uz.nl.un_740  es.is.sv_543 ht.da.un_750 
  0x0964560c, 0x0e0a23a0, 0x1a566ba0, 0x08372807,   // mg.lg.pl_543 ca.pt.is_322  ceb.mg.tl_322 sw.st.no_432 
  // [d570]
  0x30040a60, 0x1a736b04, 0x641b305a, 0x1a2a53a7,   // mk.ru.uz_664 ceb.ny.tl_332  uz.tr.lg_553 ht.mt.tl_532 
  0x1b645505, 0x111144a4, 0x01183705, 0x3f090407,   // rw.lg.tr_333 kk.ro.ro_433  st.ga.en_333 fi.pl.af_432 
  0x3f280f0c, 0x55643704, 0x551e1c08, 0x3d003113,   // lv.sw.af_543 st.lg.rw_332  id.ms.rw_443 az.ku.un_650 
  0x07731fee, 0x732a0607, 0x092804a4, 0x6e2a53af,   // cy.ny.it_422 de.mt.ny_432  fi.sw.pl_433 ht.mt.hmn_655 
  // [d580]
  0x73041307, 0x311e1ca9, 0x29730da4, 0x530f0cad,   // et.fi.ny_432 id.ms.az_544  cs.ny.sl_433 sv.lv.ht_643 
  0x3f0103a4, 0x64531b04, 0x2a072704, 0x73002a22,   // nl.en.af_433 tr.ht.lg_332  gd.it.mt_332 mt.ny.un_870 
  0x3d641b0c, 0x050c0909, 0x6b1a5508, 0x02002308,   // tr.lg.ku_543 pl.sv.fr_444  rw.tl.ceb_443 ca.da.un_430 
  0x28557308, 0x18000e1a, 0x562f6bee, 0x1c5303a0,   // ny.rw.sw_443 is.ga.un_760  ceb.su.mg_422 nl.ht.id_322 
  // [d590]
  0x0900061b, 0x30281ea4, 0x1630040c, 0x126473ad,   // de.pl.un_770 ms.sw.uz_433  fi.uz.hr_543 ny.lg.hu_643 
  0x21003d09, 0x032a09ec, 0x21007314, 0x646b1a11,   // ku.jw.un_440 pl.mt.nl_644  ny.jw.un_660 tl.ceb.lg_653 
  0x5373090e, 0x73100705, 0x2d00081a, 0x64531b55,   // pl.ny.ht_555 it.lt.ny_333  no.sk.un_760 tr.ht.lg_442 
  0x09550fa4, 0x53003d12, 0x090f06af, 0x2300080d,   // lv.rw.pl_433 ku.ht.un_640  de.lv.pl_655 uk.ky.un_540 
  // [d5a0]
  0x07100fa0, 0x23211c07, 0x181f1ca9, 0x350407ee,   // lv.lt.it_322 id.jw.ca_432  id.cy.ga_544 bg.ru.tg_422 
  0x321c2f04, 0x12107307, 0x2f271a0c, 0x1a27560c,   // su.id.bs_332 ny.lt.hu_432  tl.gd.su_543 mg.gd.tl_543 
  0x6b1a2112, 0x301b13ee, 0x44071005, 0x131b30a0,   // jw.tl.ceb_654 et.tr.uz_422  be.bg.kk_333 uz.tr.et_322 
  0x0435305a, 0x122f1cee, 0x081f0e07, 0x0c2d0dad,   // uz.tg.ru_553 id.su.hu_422  is.cy.no_432 cs.sk.sv_643 
  // [d5b0]
  0x08000c18, 0x2f0f1807, 0x2a050eaf, 0x12735504,   // sv.no.un_740 ga.lv.su_432  is.fr.mt_655 rw.ny.hu_332 
  0x2f1b210c, 0x04443004, 0x041801a9, 0x04100f08,   // jw.tr.su_543 uz.kk.ru_332  en.ga.fi_544 lv.lt.fi_443 
  0x3700101a, 0x27000b13, 0x37085604, 0x05005607,   // lt.st.un_760 es.gd.un_650  mg.no.st_332 mg.fr.un_420 
  0x64561a0c, 0x370c08af, 0x311e3004, 0x37202d02,   // tl.mg.lg_543 no.sv.st_655  uz.ms.az_332 sk.sq.st_222 
  // [d5c0]
  0x2311115a, 0x062f18a0, 0x0c1a56ee, 0x10440813,   // ro.ro.ky_553 ga.su.de_322  mg.tl.sv_422 uk.kk.be_665 
  0x0e193dee, 0x0e002913, 0x271f1807, 0x1b3704a6,   // ku.gl.is_422 sl.is.un_650  ga.cy.gd_432 fi.st.tr_521 
  0x35081005, 0x182d0107, 0x3d033f0b, 0x2b1a3712,   // be.uk.tg_333 en.sk.ga_432  af.nl.ku_542 st.tl.vi_654 
  0x322010a7, 0x052b010c, 0x040717ec, 0x6b6e2b07,   // lt.sq.bs_532 en.vi.fr_543  sr.bg.ru_644 vi.hmn.ceb_432 
  // [d5d0]
  0x0500040c, 0x1a2b3711, 0x021c2b0c, 0x1f531e0c,   // fi.fr.un_530 st.vi.tl_653  vi.id.da_543 ms.ht.cy_543 
  0x2d000104, 0x1f0737a9, 0x0d37130c, 0x30001a09,   // en.sk.un_320 st.it.cy_544  et.st.cs_543 tl.uz.un_440 
  0x10731f0b, 0x06080e09, 0x73372812, 0x13070305,   // cy.ny.lt_542 is.no.de_444  sw.st.ny_654 nl.it.et_333 
  0x132b2111, 0x2137130b, 0x073f190c, 0x071e1aee,   // jw.vi.et_653 et.st.jw_542  gl.af.it_543 tl.ms.it_422 
  // [d5e0]
  0x0d533704, 0x3f6421a4, 0x2b1a2f0c, 0x1b371955,   // st.ht.cs_332 jw.lg.af_433  su.tl.vi_543 gl.st.tr_442 
  0x040f2aa7, 0x11321604, 0x0f002a12, 0x13071904,   // mt.lv.fi_532 hr.bs.ro_332  mt.lv.un_640 gl.it.et_332 
  0x0f072aa4, 0x0d122f0b, 0x64553fa9, 0x04005605,   // mt.it.lv_433 su.hu.cs_542  af.rw.lg_544 mg.fi.un_330 
  0x190a2005, 0x2b007319, 0x37190da4, 0x077337a0,   // sq.pt.gl_333 ny.vi.un_750  cs.gl.st_433 st.ny.it_322 
  // [d5f0]
  0x2a003f12, 0x73131104, 0x0d000e0b, 0x733f0307,   // af.mt.un_640 ro.et.ny_332  is.cs.un_520 nl.af.ny_432 
  0x1f2d0d0d, 0x1c00092b, 0x11006409, 0x28011804,   // cs.sk.cy_554 hi.mr.un_980  lg.ro.un_440 ga.en.sw_332 
  0x13002822, 0x042d0fa4, 0x2a003f21, 0x6455280d,   // sw.et.un_870 lv.sk.fi_433  af.mt.un_860 sw.rw.lg_554 
  0x075564a4, 0x0b3f10a4, 0x0c1e73ee, 0x2823730c,   // lg.rw.it_433 lt.af.es_433  ny.ms.sv_422 ny.ca.sw_543 
  // [d600]
  0x0612250c, 0x37001b04, 0x23051aa4, 0x731a2a0c,   // eu.hu.de_543 tr.st.un_320  tl.fr.ca_433 mt.tl.ny_543 
  0x1c002f05, 0x122a1f0c, 0x0f100455, 0x021f080c,   // su.id.un_330 cy.mt.hu_543  fi.lt.lv_442 no.cy.da_543 
  0x091011a7, 0x10041305, 0x2f1e1a0c, 0x08002a07,   // ro.lt.pl_532 et.fi.lt_333  tl.ms.su_543 mt.no.un_420 
  0x12111905, 0x2a1a11a7, 0x293d0c04, 0x0b0519ee,   // gl.ro.hu_333 ro.tl.mt_532  sv.ku.sl_332 gl.fr.es_422 
  // [d610]
  0x37042807, 0x0a000f0c, 0x10000605, 0x35073005,   // sw.fi.st_432 lv.pt.un_530  de.lt.un_330 uz.bg.tg_333 
  0x27211aee, 0x0c060813, 0x28211a0c, 0x11000b1b,   // tl.jw.gd_422 no.de.sv_665  tl.jw.sw_543 es.ro.un_770 
  0x033f23a7, 0x0e00120e, 0x111908ee, 0x1b230cee,   // ca.af.nl_532 hu.is.un_550  no.gl.ro_422 sv.ca.tr_422 
  0x25000d08, 0x0a073005, 0x10230704, 0x08303514,   // cs.eu.un_430 uz.bg.mk_333  bg.ky.be_332 tg.uz.uk_666 
  // [d620]
  0x19000d08, 0x29003207, 0x19002002, 0x1023440c,   // cs.gl.un_430 bs.sl.un_420  sq.gl.un_220 kk.ky.be_543 
  0x30233504, 0x130e1704, 0x0b0a1fa0, 0x13163da9,   // tg.ky.uz_332 sr.is.et_332  cy.pt.es_322 ku.hr.et_544 
  0x201f0ea9, 0x53162913, 0x2f73300c, 0x126b7308,   // is.cy.sq_544 sl.hr.ht_665  uz.ny.su_543 ny.ceb.hu_443 
  0x00001615, 0x323017a0, 0x0b0a13ee, 0x32001b05,   // hr.un.un_700 sr.uz.bs_322  et.pt.es_422 tr.bs.un_330 
  // [d630]
  0x0a1744a0, 0x310f1207, 0x132512ee, 0x030a0104,   // kk.sr.mk_322 hu.lv.az_432  hu.eu.et_422 en.pt.nl_332 
  0x55003718, 0x02002505, 0x070501ad, 0x021206ad,   // st.rw.un_740 eu.da.un_330  en.fr.it_643 de.hu.da_643 
  0x2b2d0d55, 0x6b005507, 0x3216230c, 0x27051b0c,   // cs.sk.vi_442 rw.ceb.un_420  ca.hr.bs_543 tr.fr.gd_543 
  0x37211f0b, 0x02033f12, 0x07351007, 0x040e2d07,   // cy.jw.st_542 af.nl.da_654  be.tg.bg_432 sk.is.fi_432 
  // [d640]
  0x2a2007ec, 0x64011aa4, 0x2a121f0c, 0x2718730c,   // it.sq.mt_644 tl.en.lg_433  cy.hu.mt_543 ny.ga.gd_543 
  0x276b28a0, 0x28101112, 0x55006e08, 0x1b041f08,   // sw.ceb.gd_322 ro.lt.sw_654  hmn.rw.un_430 cy.fi.tr_443 
  0x06121fa7, 0x3f06040c, 0x5573640d, 0x7304640e,   // cy.hu.de_532 fi.de.af_543  lg.ny.rw_554 lg.fi.ny_555 
  0x092f0808, 0x73123755, 0x0c532008, 0x0502530b,   // no.su.pl_443 st.hu.ny_442  sq.ht.sv_443 ht.da.fr_542 
  // [d650]
  0x272028a4, 0x25006b1a, 0x64161aa0, 0x281b30a4,   // sw.sq.gd_433 ceb.eu.un_760  tl.hr.lg_322 uz.tr.sw_433 
  0x37001823, 0x2500231a, 0x2b64050b, 0x0c000702,   // ga.st.un_880 ca.eu.un_760  fr.lg.vi_542 it.sv.un_220 
  0x300b6ba4, 0x3f641f07, 0x18002814, 0x641a1fa0,   // ceb.es.uz_433 cy.lg.af_432  sw.ga.un_660 cy.tl.lg_322 
  0x011237ec, 0x04060805, 0x0e3f02ad, 0x2d041f0c,   // st.hu.en_644 no.de.fi_333  da.af.is_643 cy.fi.sk_543 
  // [d660]
  0x0d6b1aec, 0x03061207, 0x091310ee, 0x131a6b5a,   // tl.ceb.cs_644 hu.de.nl_432  lt.et.pl_422 ceb.tl.et_553 
  0x551b280c, 0x1a73280c, 0x083510ad, 0x2f1a2811,   // sw.tr.rw_543 sw.ny.tl_543  be.tg.uk_643 sw.tl.su_653 
  0x1b006407, 0x186b27ec, 0x0720215a, 0x10181f05,   // lg.tr.un_420 gd.ceb.ga_644  jw.sq.it_553 cy.ga.lt_333 
  0x1b7330ad, 0x05032aee, 0x1f1a73a4, 0x73043008,   // uz.ny.tr_643 mt.nl.fr_422  ny.tl.cy_433 uz.fi.ny_443 
  // [d670]
  0x35173009, 0x23000721, 0x0730235a, 0x552a250c,   // uz.sr.tg_444 bg.ky.un_860  ky.uz.bg_553 eu.mt.rw_543 
  0x090b190c, 0x0a0444a9, 0x0b20050d, 0x20000527,   // gl.es.pl_543 kk.ru.mk_544  fr.sq.es_554 fr.sq.un_940 
  0x35040a0c, 0x042528ec, 0x1000640c, 0x06020807,   // mk.ru.tg_543 sw.eu.fi_644  lg.lt.un_530 no.da.de_432 
  0x0a002a04, 0x107330a4, 0x2a213fad, 0x64293008,   // mt.pt.un_320 uz.ny.lt_433  af.jw.mt_643 uz.sl.lg_443 
  // [d680]
  0x25043007, 0x0f3010af, 0x21005507, 0x033f1805,   // uz.fi.eu_432 lt.uz.lv_655  rw.jw.un_420 ga.af.nl_333 
  0x53106ba0, 0x122013a7, 0x04000520, 0x16101704,   // ceb.lt.ht_322 et.sq.hu_532  fr.fi.un_850 sr.lt.hr_332 
  0x286b1012, 0x3f6b1aa0, 0x100435ee, 0x081f3f08,   // lt.ceb.sw_654 tl.ceb.af_322  tg.ru.be_422 af.cy.no_443 
  0x042528a0, 0x02080c12, 0x0f107308, 0x3d001219,   // sw.eu.fi_322 sv.no.da_654  ny.lt.lv_443 hu.ku.un_750 
  // [d690]
  0x5500200c, 0x1c7364a4, 0x531073a0, 0x64532812,   // sq.rw.un_530 lg.ny.id_433  ny.lt.ht_322 sw.ht.lg_654 
  0x080e020b, 0x1b20565a, 0x21290d07, 0x3f121a55,   // da.is.no_542 mg.sq.tr_553  cs.sl.jw_432 tl.hu.af_442 
  0x27311ea4, 0x2f7337a4, 0x562f3d0c, 0x0b030ca4,   // ms.az.gd_433 st.ny.su_433  ku.su.mg_543 sv.nl.es_433 
  0x646b2f04, 0x735637ac, 0x2a2856ec, 0x183701ee,   // su.ceb.lg_332 st.mg.ny_632  mg.sw.mt_644 en.st.ga_422 
  // [d6a0]
  0x03183fa4, 0x6b001b1a, 0x090802ee, 0x160325a0,   // af.ga.nl_433 tr.ceb.un_760  da.no.pl_422 eu.nl.hr_322 
  0x372d290b, 0x17160905, 0x281a07a9, 0x0b0723ec,   // sl.sk.st_542 pl.hr.sr_333  it.tl.sw_544 ca.it.es_644 
  0x5600030c, 0x1e37130c, 0x3f08030d, 0x37081904,   // nl.mg.un_530 et.st.ms_543  nl.no.af_554 gl.no.st_332 
  0x0f00251b, 0x040b13a4, 0x1700280c, 0x172910a6,   // eu.lv.un_770 et.es.fi_433  sw.sr.un_530 lt.sl.sr_521 
  // [d6b0]
  0x12080aa7, 0x1c000807, 0x31001908, 0x1c2f2a04,   // pt.no.hu_532 no.id.un_420  gl.az.un_430 mt.su.id_332 
  0x25072d07, 0x3f003708, 0x11122908, 0x2000370d,   // sk.it.eu_432 st.af.un_430  sl.hu.ro_443 st.sq.un_540 
  0x04021ba0, 0x2b2f1cee, 0x300b73a0, 0x04002a1b,   // tr.da.fi_322 id.su.vi_422  ny.es.uz_322 mt.fi.un_770 
  0x1a092811, 0x02000e11, 0x32281a0c, 0x311b1155,   // sw.pl.tl_653 is.da.un_630  tl.sw.bs_543 ro.tr.az_442 
  // [d6c0]
  0x0d1a5305, 0x0a3504a7, 0x10002d11, 0x1b110107,   // ht.tl.cs_333 ru.tg.mk_532  sk.lt.un_630 en.ro.tr_432 
  0x04352308, 0x21001b04, 0x0b120507, 0x12003d0d,   // ky.tg.ru_443 tr.jw.un_320  fr.hu.es_432 ku.hu.un_540 
  0x3000440c, 0x1008440e, 0x0d2a076c, 0x00001242,   // kk.uz.un_530 kk.uk.be_555  it.mt.cs_873 ur.un.un_C00 
  0x1e002a0b, 0x1c2f1a11, 0x0c160107, 0x306b01a0,   // mt.ms.un_520 tl.su.id_653  en.hr.sv_432 en.ceb.uz_322 
  // [d6d0]
  0x04001320, 0x56536ba9, 0x18000f19, 0x111f2512,   // et.fi.un_850 ceb.ht.mg_544  lv.ga.un_750 eu.cy.ro_654 
  0x066b1ca4, 0x20000809, 0x0b001a08, 0x080c30ad,   // id.ceb.de_433 no.sq.un_440  tl.es.un_430 uz.sv.no_643 
  0x0c6b01a0, 0x06001a0d, 0x32100f07, 0x21532f08,   // en.ceb.sv_322 tl.de.un_540  lv.lt.bs_432 su.ht.jw_443 
  0x04121aa0, 0x283053ee, 0x5608020b, 0x072a73a4,   // tl.hu.fi_322 ht.uz.sw_422  da.no.mg_542 ny.mt.it_433 
  // [d6e0]
  0x20530107, 0x1a536b14, 0x3d5501ad, 0x1f5321a9,   // en.ht.sq_432 ceb.ht.tl_666  en.rw.ku_643 jw.ht.cy_544 
  0x022f3f55, 0x0711115a, 0x126b1a13, 0x28216402,   // af.su.da_442 ro.ro.bg_553  tl.ceb.hu_665 lg.jw.sw_222 
  0x0e53010c, 0x1b233109, 0x6b1a0107, 0x28080c12,   // en.ht.is_543 az.ca.tr_444  en.tl.ceb_432 sv.no.sw_654 
  0x733728ad, 0x0a230705, 0x16005607, 0x21641709,   // sw.st.ny_643 it.ca.pt_333  mg.hr.un_420 sr.lg.jw_444 
  // [d6f0]
  0x3f282112, 0x25641bad, 0x250f0107, 0x6b002822,   // jw.sw.af_654 tr.lg.eu_643  en.lv.eu_432 sw.ceb.un_870 
  0x251001a0, 0x2a285504, 0x2d280713, 0x2a1628ee,   // en.lt.eu_322 rw.sw.mt_332  it.sw.sk_665 sw.hr.mt_422 
  0x06007321, 0x73372f0b, 0x3f0327a4, 0x2a071312,   // ny.de.un_860 su.st.ny_542  gd.nl.af_433 et.it.mt_654 
  0x2d10090d, 0x287355ec, 0x23033f0c, 0x1b6b1aad,   // pl.lt.sk_554 rw.ny.sw_644  af.nl.ca_543 tl.ceb.tr_643 
  // [d700]
  0x212507ee, 0x190b0109, 0x320f2907, 0x03567304,   // it.eu.jw_422 en.es.gl_444  sl.lv.bs_432 ny.mg.nl_332 
  0x04002f0b, 0x130419a7, 0x04072a12, 0x030f08a4,   // su.fi.un_520 gl.fi.et_532  mt.it.fi_654 no.lv.nl_433 
  0x03100f08, 0x3f1a5604, 0x12192f04, 0x27001a07,   // lv.lt.nl_443 mg.tl.af_332  su.gl.hu_332 tl.gd.un_420 
  0x2d271808, 0x37001b0e, 0x6b1a55a4, 0x030c0807,   // ga.gd.sk_443 tr.st.un_550  rw.tl.ceb_433 no.sv.nl_432 
  // [d710]
  0x04102da0, 0x0d2908a7, 0x104408af, 0x3229160e,   // sk.lt.fi_322 no.sl.cs_532  uk.kk.be_655 hr.sl.bs_555 
  0x0a1735a9, 0x2a00190b, 0x301827af, 0x28553707,   // tg.sr.mk_544 gl.mt.un_520  gd.ga.uz_655 st.rw.sw_432 
  0x08120cee, 0x1a6b1ea4, 0x0d190ba4, 0x202f1312,   // sv.hu.no_422 ms.ceb.tl_433  es.gl.cs_433 et.su.sq_654 
  0x731a6b08, 0x02041355, 0x35111114, 0x16000f0b,   // ceb.tl.ny_443 et.fi.da_442  ro.ro.tg_666 lv.hr.un_520 
  // [d720]
  0x6b005522, 0x0b181907, 0x55002119, 0x2f1b040c,   // rw.ceb.un_870 gl.ga.es_432  jw.rw.un_750 fi.tr.su_543 
  0x082f1ca0, 0x2908020d, 0x13002113, 0x0d001605,   // id.su.no_322 da.no.sl_554  jw.et.un_650 hr.cs.un_330 
  0x13046ba4, 0x55000414, 0x255537ad, 0x55532113,   // ceb.fi.et_433 fi.rw.un_660  st.rw.eu_643 jw.ht.rw_665 
  0x17080c0e, 0x16080ca4, 0x09001702, 0x21033dee,   // sv.no.sr_555 sv.no.hr_433  sr.pl.un_220 ku.nl.jw_422 
  // [d730]
  0x0a1030ad, 0x0325730b, 0x190b64a4, 0x0e002b09,   // uz.be.mk_643 ny.eu.nl_542  lg.es.gl_433 vi.is.un_440 
  0x12002b05, 0x280121a7, 0x03202108, 0x2f0c08a9,   // vi.hu.un_330 jw.en.sw_532  jw.sq.nl_443 no.sv.su_544 
  0x133f21a4, 0x29212f0c, 0x231c210c, 0x080c0307,   // jw.af.et_433 su.jw.sl_543  jw.id.ca_543 nl.sv.no_432 
  0x0128730b, 0x37302f0c, 0x2956010c, 0x09033f05,   // ny.sw.en_542 su.uz.st_543  en.mg.sl_543 af.nl.pl_333 
  // [d740]
  0x21371a12, 0x301e0307, 0x2100070c, 0x2f007312,   // tl.st.jw_654 nl.ms.uz_432  it.jw.un_530 ny.su.un_640 
  0x2f002b0d, 0x0700121a, 0x2f6e2ba7, 0x30037308,   // vi.su.un_540 hu.it.un_760  vi.hmn.su_532 ny.nl.uz_443 
  0x07002919, 0x110a0760, 0x1c212b09, 0x2a1107a4,   // sl.it.un_750 bg.mk.ro_664  vi.jw.id_444 it.ro.mt_433 
  0x2000071a, 0x736b1aa9, 0x27000713, 0x6e3f2b08,   // it.sq.un_760 tl.ceb.ny_544  it.gd.un_650 vi.af.hmn_443 
  // [d750]
  0x2f071007, 0x1a732ba7, 0x213773af, 0x0c063db3,   // lt.it.su_432 vi.ny.tl_532  ny.st.jw_655 ku.de.sv_743 
  0x280f64a4, 0x101764ee, 0x56053fa6, 0x07002812,   // lg.lv.sw_433 lg.sr.lt_422  af.fr.mg_521 sw.it.un_640 
  0x2d032007, 0x28106408, 0x055528a0, 0x2a002814,   // sq.nl.sk_432 lg.lt.sw_443  sw.rw.fr_322 sw.mt.un_660 
  0x120a180b, 0x642831a4, 0x0a042704, 0x080c0ea4,   // ga.pt.hu_542 az.sw.lg_433  gd.fi.pt_332 is.sv.no_433 
  // [d760]
  0x09001b08, 0x25182702, 0x21002320, 0x112901a4,   // tr.pl.un_430 gd.ga.eu_222  ca.jw.un_850 en.sl.ro_433 
  0x102304a7, 0x091f2f04, 0x3d121bad, 0x281309ee,   // fi.ca.lt_532 su.cy.pl_332  tr.hu.ku_643 pl.et.sw_422 
  0x013f7360, 0x735506ec, 0x12321604, 0x06180807,   // ny.af.en_664 de.rw.ny_644  hr.bs.hu_332 no.ga.de_432 
  0x32160405, 0x17001009, 0x1b6404a4, 0x20080408,   // fi.hr.bs_333 be.sr.un_440  fi.lg.tr_433 fi.no.sq_443 
  // [d770]
  0x0e136408, 0x1b1007ee, 0x563d53ec, 0x53002319,   // lg.et.is_443 it.lt.tr_422  ht.ku.mg_644 ca.ht.un_750 
  0x0e2820ac, 0x190b2fa0, 0x200812ad, 0x641e2104,   // sq.sw.is_632 su.es.gl_322  hu.no.sq_643 jw.ms.lg_332 
  0x081a6b07, 0x251e64a0, 0x5300730d, 0x4410045a,   // ceb.tl.no_432 lg.ms.eu_322  ny.ht.un_540 ru.be.kk_553 
  0x12190bee, 0x2f312807, 0x32161214, 0x0500190b,   // es.gl.hu_422 sw.az.su_432  hu.hr.bs_666 gl.fr.un_520 
  // [d780]
  0x190b3dba, 0x321620a4, 0x3216130c, 0x043f0809,   // ku.es.gl_843 sq.hr.bs_433  et.hr.bs_543 no.af.fi_444 
  0x10170707, 0x112005af, 0x02001e04, 0x1c1a21a4,   // bg.sr.be_432 fr.sq.ro_655  ms.da.un_320 jw.tl.id_433 
  0x0b0d01a4, 0x25190a11, 0x180509ee, 0x320b190c,   // en.cs.es_433 pt.gl.eu_653  pl.fr.ga_422 gl.es.bs_543 
  0x55290dad, 0x53092a04, 0x1b00061a, 0x0b0a1f05,   // cs.sl.rw_643 mt.pl.ht_332  de.tr.un_760 cy.pt.es_333 
  // [d790]
  0x11070555, 0x111011af, 0x1819010c, 0x0a44110c,   // fr.it.ro_442 ro.be.ro_655  en.gl.ga_543 ro.kk.mk_543 
  0x0b001f04, 0x11080602, 0x06083f08, 0x083f2302,   // cy.es.un_320 de.no.ro_222  af.no.de_443 ca.af.no_222 
  0x120b19a7, 0x07320dee, 0x301b37a0, 0x04000309,   // gl.es.hu_532 cs.bs.it_422  st.tr.uz_322 nl.fi.un_440 
  0x0d003204, 0x21000f0c, 0x0107050c, 0x35231708,   // bs.cs.un_320 lv.jw.un_530  fr.it.en_543 sr.ky.tg_443 
  // [d7a0]
  0x04003011, 0x731a640d, 0x20000c18, 0x1b3d1112,   // uz.ru.un_630 lg.tl.ny_554  sv.sq.un_740 ro.ku.tr_654 
  0x120b0ea0, 0x64557311, 0x0e1827ad, 0x0b190aee,   // is.es.hu_322 ny.rw.lg_653  gd.ga.is_643 pt.gl.es_422 
  0x253f06ec, 0x13121104, 0x3f0806ee, 0x3f00080e,   // de.af.eu_644 ro.hu.et_332  de.no.af_422 no.af.un_550 
  0x0e000c1b, 0x12001321, 0x120208a9, 0x09122da0,   // sv.is.un_770 et.hu.un_860  no.da.hu_544 sk.hu.pl_322 
  // [d7b0]
  0x250831a4, 0x10120404, 0x232756a0, 0x2f281ca4,   // az.no.eu_433 fi.hu.lt_332  mg.gd.ca_322 id.sw.su_433 
  0x732f37a9, 0x31000c12, 0x162a1ea4, 0x0f3202a9,   // st.su.ny_544 sv.az.un_640  ms.mt.hr_433 da.bs.lv_544 
  0x0710440c, 0x0300550d, 0x04060c08, 0x06003208,   // kk.be.bg_543 rw.nl.un_540  sv.de.fi_443 bs.de.un_430 
  0x11041712, 0x736428a9, 0x06002d04, 0x136455a0,   // sr.ru.ro_654 sw.lg.ny_544  sk.de.un_320 rw.lg.et_322 
  // [d7c0]
  0x56055305, 0x121906ad, 0x09291713, 0x17111109,   // ht.fr.mg_333 de.gl.hu_643  sr.sl.pl_665 ro.ro.sr_444 
  0x30041008, 0x080e0c05, 0x303153ad, 0x16020807,   // be.ru.uz_443 sv.is.no_333  ht.az.uz_643 no.da.hr_432 
  0x0804020c, 0x536b6404, 0x2a13255a, 0x13060cec,   // da.fi.no_543 lg.ceb.ht_332  eu.et.mt_553 sv.de.et_644 
  0x3f000707, 0x30292da9, 0x122523a4, 0x0600310e,   // it.af.un_420 sk.sl.uz_544  ca.eu.hu_433 az.de.un_550 
  // [d7d0]
  0x04002f02, 0x302d2909, 0x29002d2a, 0x0a232555,   // su.fi.un_220 sl.sk.uz_444  sk.sl.un_970 eu.ca.pt_442 
  0x100f020b, 0x31292d0c, 0x0a002d10, 0x0e2a23ec,   // da.lv.lt_542 sk.sl.az_543  sk.pt.un_620 ca.mt.is_644 
  0x17043504, 0x0e1208a0, 0x30312da4, 0x316e2da6,   // tg.ru.sr_332 no.hu.is_322  sk.az.uz_433 sk.hmn.az_521 
  0x23070808, 0x1306250c, 0x285573a7, 0x31292da7,   // uk.bg.ky_443 eu.de.et_543  ny.rw.sw_532 sk.sl.az_532 
  // [d7e0]
  0x30292d5a, 0x13000d22, 0x293d2da9, 0x1b0118a0,   // sk.sl.uz_553 ne.bh.un_870  sk.ku.sl_544 ga.en.tr_322 
  0x11292d0c, 0x30292d12, 0x070a1007, 0x012a1fa0,   // sk.sl.ro_543 sk.sl.uz_654  be.mk.bg_432 cy.mt.en_322 
  0x080a11a0, 0x11081109, 0x13001705, 0x0d102905,   // ro.mk.uk_322 ro.uk.ro_444  sr.et.un_330 sl.lt.cs_333 
  0x1f000804, 0x2d0d53ee, 0x1b310f0d, 0x170435a9,   // no.cy.un_320 ht.cs.sk_422  lv.az.tr_554 tg.ru.sr_544 
  // [d7f0]
  0x0f100da0, 0x0a192bb2, 0x350717a0, 0x20003f13,   // cs.lt.lv_322 vi.gl.pt_732  sr.bg.tg_322 af.sq.un_650 
  0x0c000219, 0x201b7307, 0x303129af, 0x060e3f04,   // da.sv.un_750 ny.tr.sq_432  sl.az.uz_655 af.is.de_332 
  0x0a072308, 0x2300040b, 0x2f306bee, 0x0e201008,   // ca.it.pt_443 ru.ky.un_520  ceb.uz.su_422 lt.sq.is_443 
  0x06100305, 0x234404a4, 0x44233504, 0x06005512,   // nl.lt.de_333 ru.kk.ky_433  tg.ky.kk_332 rw.de.un_640 
  
  // [d800]
  0x3f030f05, 0x31005313, 0x063f0309, 0x082f06a7,   // lv.nl.af_333 ht.az.un_650  nl.af.de_444 de.su.no_532 
  0x111108af, 0x530210ee, 0x2a001302, 0x2917100c,   // uk.ro.ro_655 lt.da.ht_422  et.mt.un_220 lt.sr.sl_543 
  0x1a205612, 0x23060e11, 0x371a6b13, 0x1b3d3113,   // mg.sq.tl_654 is.de.ca_653  ceb.tl.st_665 az.ku.tr_665 
  0x23192da0, 0x04023f0c, 0x1b2a1205, 0x37005304,   // sk.gl.ca_322 af.da.fi_543  hu.mt.tr_333 ht.st.un_320 
  // [d810]
  0x211f30ee, 0x04253daf, 0x20302d07, 0x531f5608,   // uz.cy.jw_422 ku.eu.fi_655  sk.uz.sq_432 mg.cy.ht_443 
  0x44041712, 0x0925210c, 0x182d0a07, 0x0d1c21a0,   // sr.ru.kk_654 jw.eu.pl_543  pt.sk.ga_432 jw.id.cs_322 
  0x07173008, 0x19111308, 0x283d300c, 0x0a11100c,   // uz.sr.bg_443 et.ro.gl_443  uz.ku.sw_543 be.ro.mk_543 
  0x313d040d, 0x03095305, 0x1a2001a0, 0x0613010c,   // fi.ku.az_554 ht.pl.nl_333  en.sq.tl_322 en.et.de_543 
  // [d820]
  0x27000505, 0x642f2112, 0x100901a4, 0x642037a7,   // fr.gd.un_330 jw.su.lg_654  en.pl.lt_433 st.sq.lg_532 
  0x04303160, 0x5537730c, 0x201a0da0, 0x12000c1a,   // az.uz.fi_664 ny.st.rw_543  cs.tl.sq_322 sv.hu.un_760 
  0x131937a0, 0x203130af, 0x29251bec, 0x0b6419a0,   // st.gl.et_322 uz.az.sq_655  tr.eu.sl_644 gl.lg.es_322 
  0x19016b08, 0x2537010c, 0x01071904, 0x2f0e645a,   // ceb.en.gl_443 en.st.eu_543  gl.it.en_332 lg.is.su_553 
  // [d830]
  0x6b000714, 0x301035ee, 0x2f005312, 0x0c5511a7,   // it.ceb.un_660 tg.be.uz_422  ht.su.un_640 ro.rw.sv_532 
  0x1f2f2009, 0x084410a4, 0x170d290c, 0x113035a4,   // sq.su.cy_444 be.kk.uk_433  sl.cs.sr_543 tg.uz.ro_433 
  0x64285505, 0x23050b04, 0x190b13a9, 0x11131907,   // rw.sw.lg_333 es.fr.ca_332  et.es.gl_544 gl.et.ro_432 
  0x020c0107, 0x013d190c, 0x21130807, 0x170229a4,   // en.sv.da_432 gl.ku.en_543  no.et.jw_432 sl.da.sr_433 
  // [d840]
  0x73211aee, 0x0d2d5308, 0x55732807, 0x6b2f21a7,   // tl.jw.ny_422 ht.sk.cs_443  sw.ny.rw_432 jw.su.ceb_532 
  0x250413a6, 0x0810040b, 0x6e3d6b0d, 0x1700080b,   // et.fi.eu_521 ru.be.uk_542  ceb.ku.hmn_554 uk.sr.un_520 
  0x03121304, 0x083004a7, 0x04130804, 0x1b7301a0,   // et.hu.nl_332 ru.uz.uk_532  no.et.fi_332 en.ny.tr_322 
  0x6b1f3f04, 0x53000609, 0x101f1c07, 0x131b2aa0,   // af.cy.ceb_332 de.ht.un_440  id.cy.lt_432 mt.tr.et_322 
  // [d850]
  0x033f2a07, 0x0c115355, 0x0d001322, 0x10040755,   // mt.af.nl_432 ht.ro.sv_442  bh.ne.un_870 bg.ru.be_442 
  0x130e2fa4, 0x040306ee, 0x301c0eee, 0x0e2d1908,   // su.is.et_433 de.nl.fi_422  is.id.uz_422 gl.sk.is_443 
  0x20321604, 0x3000080e, 0x0e3025a0, 0x303507af,   // hr.bs.sq_332 no.uz.un_550  eu.uz.is_322 bg.tg.uz_655 
  0x09002309, 0x2d0d0709, 0x30190b12, 0x2f003d04,   // ca.pl.un_440 it.cs.sk_444  es.gl.uz_654 ku.su.un_320 
  // [d860]
  0x071320ee, 0x250d28a9, 0x3523040c, 0x250f30a4,   // sq.et.it_422 sw.cs.eu_544  ru.ky.tg_543 uz.lv.eu_433 
  0x0a00190b, 0x103217a0, 0x12131007, 0x1c0e0907,   // gl.pt.un_520 sr.bs.lt_322  lt.et.hu_432 pl.is.id_432 
  0x0e003107, 0x080213a9, 0x190a0907, 0x07110b0c,   // az.is.un_420 et.da.no_544  pl.pt.gl_432 es.ro.it_543 
  0x303d1b11, 0x1b553d12, 0x321708a0, 0x20551104,   // tr.ku.uz_653 ku.rw.tr_654  no.sr.bs_322 ro.rw.sq_332 
  // [d870]
  0x051b31ee, 0x2773180d, 0x20290402, 0x2d080ea4,   // az.tr.fr_422 ga.ny.gd_554  fi.sl.sq_222 is.no.sk_433 
  0x177325a7, 0x051c2a04, 0x252f55ee, 0x2d295602,   // eu.ny.sr_532 mt.id.fr_332  rw.su.eu_422 mg.sl.sk_222 
  0x321773ee, 0x07005507, 0x2d642507, 0x1c110a02,   // ny.sr.bs_422 rw.it.un_420  eu.lg.sk_432 pt.ro.id_222 
  0x2f3d1b11, 0x32005304, 0x53553d13, 0x64533dee,   // tr.ku.su_653 ht.bs.un_320  ku.rw.ht_665 ku.ht.lg_422 
  // [d880]
  0x12001f13, 0x53550d0e, 0x1b185607, 0x5600071b,   // cy.hu.un_650 cs.rw.ht_555  mg.ga.tr_432 it.mg.un_770 
  0x0a0804a9, 0x172029a0, 0x7300252a, 0x232120a4,   // ru.uk.mk_544 sl.sq.sr_322  eu.ny.un_970 sq.jw.ca_433 
  0x3f256412, 0x732f5605, 0x56000802, 0x23353005,   // lg.eu.af_654 mg.su.ny_333  no.mg.un_220 uz.tg.ky_333 
  0x3f3773a0, 0x6b0801ee, 0x1a00130b, 0x0d000e1a,   // ny.st.af_322 en.no.ceb_422  et.tl.un_520 is.cs.un_760 
  // [d890]
  0x04033f12, 0x13003708, 0x300653a0, 0x03132102,   // af.nl.fi_654 st.et.un_430  ht.de.uz_322 jw.et.nl_222 
  0x13006422, 0x04005618, 0x10043dad, 0x230a1907,   // lg.et.un_870 mg.fi.un_740  ku.fi.lt_643 gl.pt.ca_432 
  0x18232dac, 0x253f030c, 0x3f200804, 0x03000507,   // sk.ca.ga_632 nl.af.eu_543  no.sq.af_332 fr.nl.un_420 
  0x7300010d, 0x2321050b, 0x73001a12, 0x211c3f07,   // en.ny.un_540 fr.jw.ca_542  tl.ny.un_640 af.id.jw_432 
  // [d8a0]
  0x02030ca0, 0x2b035307, 0x03563faf, 0x3f25030d,   // sv.nl.da_322 ht.nl.vi_432  af.mg.nl_655 nl.eu.af_554 
  0x05000c02, 0x25003f1a, 0x1c080e0c, 0x171004a9,   // sv.fr.un_220 af.eu.un_760  is.no.id_543 ru.be.sr_544 
  0x1e1c0609, 0x060828a0, 0x2a0c3f07, 0x0a1f3707,   // de.id.ms_444 sw.no.de_322  af.sv.mt_432 st.cy.pt_432 
  0x052f2311, 0x08033fad, 0x08000519, 0x2f040e04,   // ca.su.fr_653 af.nl.no_643  fr.no.un_750 is.fi.su_332 
  // [d8b0]
  0x041b3d12, 0x1b020307, 0x212f53a7, 0x11100804,   // ku.tr.fi_654 nl.da.tr_432  ht.su.jw_532 no.lt.ro_332 
  0x0e181fad, 0x111c1e0c, 0x02180ea4, 0x03023f0e,   // cy.ga.is_643 ms.id.ro_543  is.ga.da_433 af.da.nl_555 
  0x64182708, 0x2f271807, 0x06130cad, 0x200f0608,   // gd.ga.lg_443 ga.gd.su_432  sv.et.de_643 de.lv.sq_443 
  0x0a076402, 0x06030ea0, 0x013f64a6, 0x061c55a0,   // lg.it.pt_222 is.nl.de_322  lg.af.en_521 rw.id.de_322 
  // [d8c0]
  0x12313d07, 0x102d29a4, 0x1002040c, 0x0f132d07,   // ku.az.hu_432 sl.sk.lt_433  fi.da.lt_543 sk.et.lv_432 
  0x07640107, 0x3000202b, 0x210c08a4, 0x1e1c180c,   // en.lg.it_432 sq.uz.un_980  no.sv.jw_433 ga.id.ms_543 
  0x132a070c, 0x2d0d73af, 0x05000809, 0x28006e0b,   // it.mt.et_543 ny.cs.sk_655  no.fr.un_440 hmn.sw.un_520 
  0x23080c04, 0x212f7312, 0x28731f12, 0x062f1e0c,   // sv.no.ca_332 ny.su.jw_654  cy.ny.sw_654 ms.su.de_543 
  // [d8d0]
  0x3f0910ee, 0x2f217309, 0x080255a0, 0x08100aa4,   // lt.pl.af_422 ny.jw.su_444  rw.da.no_322 mk.be.uk_433 
  0x73643013, 0x532d0d09, 0x301a6408, 0x050b11ac,   // uz.lg.ny_665 cs.sk.ht_444  lg.tl.uz_443 ro.es.fr_632 
  0x0c10290c, 0x2f001a12, 0x17001219, 0x03062d07,   // sl.lt.sv_543 tl.su.un_640  hu.sr.un_750 sk.de.nl_432 
  0x30171002, 0x0a1a0208, 0x2d030611, 0x373f06a0,   // be.sr.uz_222 da.tl.pt_443  de.nl.sk_653 de.af.st_322 
  // [d8e0]
  0x120b07a4, 0x2800302b, 0x046b1a05, 0x1a000423,   // it.es.hu_433 uz.sw.un_980  tl.ceb.fi_333 fi.tl.un_880 
  0x09083f04, 0x076b1aa9, 0x063f0205, 0x1f1b0205,   // af.no.pl_332 tl.ceb.it_544  da.af.de_333 da.tr.cy_333 
  0x1b2a07ac, 0x08070209, 0x1a0601a0, 0x730e5602,   // it.mt.tr_632 da.it.no_444  en.de.tl_322 mg.is.ny_222 
  0x732a0955, 0x73000114, 0x0f2a3fa4, 0x13081bad,   // pl.mt.ny_442 en.ny.un_660  af.mt.lv_433 tr.no.et_643 
  // [d8f0]
  0x2a007312, 0x64002109, 0x13042a04, 0x32041cee,   // ny.mt.un_640 jw.lg.un_440  mt.fi.et_332 id.fi.bs_422 
  0x0c0810ee, 0x2f6e21a9, 0x6b1a0712, 0x06120207,   // lt.no.sv_422 jw.hmn.su_544  it.tl.ceb_654 da.hu.de_432 
  0x30040507, 0x2a251b0c, 0x31321bac, 0x1a732807,   // fr.fi.uz_432 tr.eu.mt_543  tr.bs.az_632 sw.ny.tl_432 
  0x211c2f12, 0x211b1eaf, 0x1c003202, 0x30074404,   // su.id.jw_654 ms.tr.jw_655  bs.id.un_220 kk.bg.uz_332 
  // [d900]
  0x301b20ee, 0x1a556b0c, 0x1f00130c, 0x12001b07,   // sq.tr.uz_422 ceb.rw.tl_543  et.cy.un_530 tr.hu.un_420 
  0x536430a4, 0x30041fee, 0x0f041307, 0x301e1b12,   // uz.lg.ht_433 cy.fi.uz_422  et.fi.lv_432 tr.ms.uz_654 
  0x040c13a0, 0x1f0e0408, 0x171b3f07, 0x10020d0d,   // et.sv.fi_322 fi.is.cy_443  af.tr.sr_432 cs.da.lt_554 
  0x55002502, 0x27011207, 0x735301a4, 0x25287304,   // eu.rw.un_220 hu.en.gd_432  en.ht.ny_433 ny.sw.eu_332 
  // [d910]
  0x18271f55, 0x4410300e, 0x0e001008, 0x1e1c06a0,   // cy.gd.ga_442 uz.be.kk_555  lt.is.un_430 de.id.ms_322 
  0x373d01a6, 0x2b1f37ad, 0x0d13290c, 0x1800371a,   // en.ku.st_521 st.cy.vi_643  sl.et.cs_543 st.ga.un_760 
  0x6e53290c, 0x190a30a4, 0x6e080208, 0x120c0e05,   // sl.ht.hmn_543 uz.pt.gl_433  da.no.hmn_443 is.sv.hu_333 
  0x5300040d, 0x2d290da0, 0x050f1305, 0x2d090d13,   // fi.ht.un_540 cs.sl.sk_322  et.lv.fr_333 cs.pl.sk_665 
  // [d920]
  0x112d0d13, 0x16100ca0, 0x2a0b0ea0, 0x12002129,   // cs.sk.ro_665 sv.lt.hr_322  is.es.mt_322 fa.ur.un_960 
  0x07351708, 0x3f0e085a, 0x1113530c, 0x090d17ad,   // sr.tg.bg_443 no.is.af_553  ht.et.ro_543 sr.cs.pl_643 
  0x28180107, 0x11001221, 0x18002d09, 0x1c0e6ba0,   // en.ga.sw_432 hu.ro.un_860  sk.ga.un_440 ceb.is.id_322 
  0x040c02a0, 0x30113512, 0x300a1713, 0x1f0601a0,   // da.sv.fi_322 tg.ro.uz_654  sr.mk.uz_665 en.de.cy_322 
  // [d930]
  0x234411af, 0x301135a7, 0x350810a0, 0x2a002502,   // ro.kk.ky_655 tg.ro.uz_532  be.uk.tg_322 eu.mt.un_220 
  0x0c001807, 0x301111ad, 0x37010755, 0x10233008,   // ga.sv.un_420 ro.ro.uz_643  it.en.st_442 uz.ky.be_443 
  0x64001f23, 0x0e642f04, 0x07006408, 0x536b2a0b,   // cy.lg.un_880 su.lg.is_332  lg.it.un_430 mt.ceb.ht_542 
  0x033f135a, 0x1f090ea4, 0x230817a0, 0x250b0ca0,   // et.af.nl_553 is.pl.cy_433  sr.uk.ky_322 sv.es.eu_322 
  // [d940]
  0x3f040307, 0x042513af, 0x2f006b14, 0x07080aa9,   // nl.fi.af_432 et.eu.fi_655  ceb.su.un_660 mk.uk.bg_544 
  0x044411ad, 0x13112f5a, 0x12007319, 0x1f132702,   // ro.kk.ru_643 su.ro.et_553  ny.hu.un_750 gd.et.cy_222 
  0x2f216407, 0x28002a1b, 0x3f64280c, 0x3f130360,   // lg.jw.su_432 mt.sw.un_770  sw.lg.af_543 nl.et.af_664 
  0x132a30ad, 0x012b1b04, 0x64001b22, 0x3f001312,   // uz.mt.et_643 tr.vi.en_332  tr.lg.un_870 et.af.un_640 
  // [d950]
  0x13043f12, 0x060413a0, 0x3f033755, 0x562105a6,   // af.fi.et_654 et.fi.de_322  st.nl.af_442 fr.jw.mg_521 
  0x53040d14, 0x313010a9, 0x301a100d, 0x280c2507,   // cs.fi.ht_666 lt.uz.az_544  lt.tl.uz_554 eu.sv.sw_432 
  0x09002505, 0x561b30a4, 0x1a5510a9, 0x11000423,   // eu.pl.un_330 uz.tr.mg_433  lt.rw.tl_544 ru.ro.un_880 
  0x10002121, 0x13101c07, 0x3256100c, 0x1a6e30a9,   // jw.lt.un_860 id.lt.et_432  lt.mg.bs_543 uz.hmn.tl_544 
  // [d960]
  0x136425a7, 0x092a25a4, 0x17162907, 0x301c2f02,   // eu.lg.et_532 eu.mt.pl_433  sl.hr.sr_432 su.id.uz_222 
  0x310710a4, 0x080c0e04, 0x091a1bee, 0x641b310c,   // lt.it.az_433 is.sv.no_332  tr.tl.pl_422 az.tr.lg_543 
  0x2d530d12, 0x181f23ad, 0x2d0d53a9, 0x1f2109a7,   // cs.ht.sk_654 ca.cy.ga_643  ht.cs.sk_544 pl.jw.cy_532 
  0x6b006405, 0x1b31300e, 0x2d120d05, 0x531b10a4,   // lg.ceb.un_330 uz.az.tr_555  cs.hu.sk_333 lt.tr.ht_433 
  // [d970]
  0x091b12a7, 0x01080e11, 0x312030af, 0x201028a4,   // hu.tr.pl_532 is.no.en_653  uz.sq.az_655 sw.lt.sq_433 
  0x130f1112, 0x2812730c, 0x03001c0d, 0x0e1711a4,   // ro.lv.et_654 ny.hu.sw_543  id.nl.un_540 ro.sr.is_433 
  0x645608a0, 0x0800050b, 0x2a641f12, 0x13301c04,   // no.mg.lg_322 fr.no.un_520  cy.lg.mt_654 id.uz.et_332 
  0x10006b07, 0x234430a7, 0x08291f04, 0x182d0d08,   // ceb.lt.un_420 uz.kk.ky_532  cy.sl.no_332 cs.sk.ga_443 
  // [d980]
  0x13643008, 0x301711a7, 0x1e000307, 0x0c3f080c,   // uz.lg.et_443 ro.sr.uz_532  nl.ms.un_420 no.af.sv_543 
  0x3d303112, 0x10011102, 0x3111120c, 0x1e101ca4,   // az.uz.ku_654 ro.en.lt_222  hu.ro.az_543 id.lt.ms_433 
  0x300a11ee, 0x64552860, 0x04280fa4, 0x2100070e,   // ro.mk.uz_422 sw.rw.lg_664  lv.sw.fi_433 it.jw.un_550 
  0x567328ee, 0x1b003d07, 0x110a3014, 0x56003012,   // sw.ny.mg_422 ku.tr.un_420  uz.mk.ro_666 uz.mg.un_640 
  // [d990]
  0x101107ad, 0x080a11a4, 0x3d2b55a4, 0x2f211f08,   // bg.ro.be_643 ro.mk.uk_433  rw.vi.ku_433 cy.jw.su_443 
  0x300423ee, 0x55732513, 0x06000705, 0x05002309,   // ky.ru.uz_422 eu.ny.rw_665  it.de.un_330 ca.fr.un_440 
  0x112801a0, 0x0b07250c, 0x0a08170b, 0x1711300c,   // en.sw.ro_322 eu.it.es_543  sr.uk.mk_542 uz.ro.sr_543 
  0x291601a0, 0x162917a4, 0x0a441155, 0x2b641207,   // en.hr.sl_322 sr.sl.hr_433  ro.kk.mk_442 hu.lg.vi_432 
  // [d9a0]
  0x64001213, 0x0e2821a6, 0x04071002, 0x55283708,   // hu.lg.un_650 jw.sw.is_521  be.bg.ru_222 st.sw.rw_443 
  0x132a55ad, 0x533f02a0, 0x0a0d010c, 0x21282007,   // rw.mt.et_643 da.af.ht_322  en.cs.pt_543 sq.sw.jw_432 
  0x55250607, 0x0d001805, 0x2a3701a4, 0x30001808,   // de.eu.rw_432 ga.cs.un_330  en.st.mt_433 ga.uz.un_430 
  0x13122507, 0x732d0d02, 0x562528a4, 0x043023a7,   // eu.hu.et_432 cs.sk.ny_222  sw.eu.mg_433 ky.uz.ru_532 
  // [d9b0]
  0x2d0d1ca4, 0x07182707, 0x2d0d3d09, 0x732a180c,   // id.cs.sk_433 gd.ga.it_432  ku.cs.sk_444 ga.mt.ny_543 
  0x27080205, 0x2b287355, 0x6b731a04, 0x28550404,   // da.no.gd_333 ny.sw.vi_442  tl.ny.ceb_332 fi.rw.sw_332 
  0x7300090d, 0x0d1827a0, 0x0830120c, 0x1b0d100c,   // pl.ny.un_540 gd.ga.cs_322  hu.uz.no_543 lt.cs.tr_543 
  0x3f2d0fa7, 0x56122fa4, 0x2d122fa6, 0x120130a4,   // lv.sk.af_532 su.hu.mg_433  su.hu.sk_521 uz.en.hu_433 
  // [d9c0]
  0x070411a6, 0x3f2d0308, 0x6e050107, 0x044410ad,   // ro.ru.bg_521 nl.sk.af_443  en.fr.hmn_432 be.kk.ru_643 
  0x313009ee, 0x211c1f04, 0x101225a7, 0x1b032dad,   // pl.uz.az_422 cy.id.jw_332  eu.hu.lt_532 sk.nl.tr_643 
  0x5507230c, 0x29002721, 0x0312250c, 0x210a3db4,   // ca.it.rw_543 gd.sl.un_860  eu.hu.nl_543 ku.pt.jw_754 
  0x161b0e55, 0x30556405, 0x17287307, 0x3f041909,   // is.tr.hr_442 lg.rw.uz_333  ny.sw.sr_432 gl.fi.af_444 
  // [d9d0]
  0x25000319, 0x251055ec, 0x6430130c, 0x2d291708,   // nl.eu.un_750 rw.lt.eu_644  et.uz.lg_543 sr.sl.sk_443 
  0x2a2319a0, 0x1b641108, 0x0c000611, 0x3f030fa4,   // gl.ca.mt_322 ro.lg.tr_443  de.sv.un_630 lv.nl.af_433 
  0x060c20b4, 0x033f53a9, 0x6b113014, 0x2d093fa7,   // sq.sv.de_754 ht.af.nl_544  uz.ro.ceb_666 af.pl.sk_532 
  0x073035ee, 0x1a00551a, 0x253f2da0, 0x11000a11,   // tg.uz.bg_422 rw.tl.un_760  sk.af.eu_322 pt.ro.un_630 
  // [d9e0]
  0x08003012, 0x06120ea0, 0x0e192f07, 0x3f1325a4,   // uz.no.un_640 is.hu.de_322  su.gl.is_432 eu.et.af_433 
  0x640c1314, 0x2a3130a0, 0x2d120d55, 0x122108ee,   // et.sv.lg_666 uz.az.mt_322  cs.hu.sk_442 no.jw.hu_422 
  0x0c000821, 0x25050107, 0x070a040d, 0x21100f09,   // no.sv.un_860 en.fr.eu_432  ru.mk.bg_554 lv.lt.jw_444 
  0x2d002708, 0x0d00132a, 0x080702a6, 0x2a0708a0,   // gd.sk.un_430 bh.ne.un_970  da.it.no_521 no.it.mt_322 
  // [d9f0]
  0x281155ee, 0x1c216e08, 0x0d2d0e12, 0x3f1f12af,   // rw.ro.sw_422 hmn.jw.id_443  is.sk.cs_654 hu.cy.af_655 
  0x08043511, 0x043523a4, 0x06001208, 0x06120e05,   // tg.ru.uk_653 ky.tg.ru_433  hu.de.un_430 is.hu.de_333 
  0x0e00180d, 0x0b1219a0, 0x44040705, 0x56000404,   // ga.is.un_540 gl.hu.es_322  bg.ru.kk_333 fi.mg.un_320 
  0x37006e21, 0x0716730c, 0x03001e05, 0x23191113,   // hmn.st.un_860 ny.hr.it_543  ms.nl.un_330 ro.gl.ca_665 
  // [da00]
  0x2500180e, 0x3f282fee, 0x73002f12, 0x08003014,   // ga.eu.un_550 su.sw.af_422  su.ny.un_640 uz.uk.un_660 
  0x44100409, 0x20001b13, 0x3f2b27a7, 0x230b19a0,   // ru.be.kk_444 tr.sq.un_650  gd.vi.af_532 gl.es.ca_322 
  0x070f2f0c, 0x04006421, 0x0e0b1907, 0x13001821,   // su.lv.it_543 lg.fi.un_860  gl.es.is_432 ga.et.un_860 
  0x13250504, 0x1b120cec, 0x1c1e11ad, 0x11200707,   // fr.eu.et_332 sv.hu.tr_644  ro.ms.id_643 it.sq.ro_432 
  // [da10]
  0x110525a0, 0x172d0d60, 0x11283005, 0x11022a0d,   // eu.fr.ro_322 cs.sk.sr_664  uz.sw.ro_333 mt.da.ro_554 
  0x13000719, 0x53026ea4, 0x020c3207, 0x28301b0c,   // it.et.un_750 hmn.da.ht_433  bs.sv.da_432 tr.uz.sw_543 
  0x350423ec, 0x07080455, 0x2b003708, 0x56376baf,   // ky.ru.tg_644 ru.uk.bg_442  st.vi.un_430 ceb.st.mg_655 
  0x10070aad, 0x300f1fad, 0x012f28a4, 0x081353a0,   // mk.bg.be_643 cy.lv.uz_643  sw.su.en_433 ht.et.no_322 
  // [da20]
  0x532113a0, 0x2d1309af, 0x2d12180d, 0x20003011,   // et.jw.ht_322 pl.et.sk_655  ga.hu.sk_554 uz.sq.un_630 
  0x07321608, 0x2d190b13, 0x0e190b55, 0x0a0b19a4,   // hr.bs.it_443 es.gl.sk_665  es.gl.is_442 gl.es.pt_433 
  0x1a6e560c, 0x0500251a, 0x060504ad, 0x3f250507,   // mg.hmn.tl_543 eu.fr.un_760  fi.fr.de_643 fr.eu.af_432 
  0x2b371c0c, 0x2d055312, 0x20292aee, 0x03000d08,   // id.st.vi_543 ht.fr.sk_654  mt.sl.sq_422 cs.nl.un_430 
  // [da30]
  0x5300640d, 0x6e000605, 0x23002f05, 0x19003708,   // lg.ht.un_540 de.hmn.un_330  su.ca.un_330 st.gl.un_430 
  0x0a272305, 0x07003013, 0x53005613, 0x060c0805,   // ca.gd.pt_333 uz.bg.un_650  mg.ht.un_650 no.sv.de_333 
  0x21133705, 0x111007ad, 0x18122d0b, 0x1a182711,   // st.et.jw_333 bg.be.ro_643  sk.hu.ga_542 gd.ga.tl_653 
  0x2b731ca7, 0x12182dec, 0x111728a4, 0x2d1218ad,   // id.ny.vi_532 sk.ga.hu_644  sw.sr.ro_433 ga.hu.sk_643 
  // [da40]
  0x3500442b, 0x55041313, 0x530b190c, 0x2a00050c,   // kk.tg.un_980 et.fi.rw_665  gl.es.ht_543 fr.mt.un_530 
  0x04351709, 0x1a0c1b0c, 0x190e0ba4, 0x301b1fa4,   // sr.tg.ru_444 tr.sv.tl_543  es.is.gl_433 cy.tr.uz_433 
  0x56190b05, 0x1a270cee, 0x10001908, 0x0a0b18a6,   // es.gl.mg_333 sv.gd.tl_422  gl.lt.un_430 ga.es.pt_521 
  0x301f01a0, 0x17001020, 0x0d1c1313, 0x6e1f0107,   // en.cy.uz_322 be.sr.un_850  bh.mr.ne_665 en.cy.hmn_432 
  // [da50]
  0x04002008, 0x190b18af, 0x070c2a13, 0x0e190b0e,   // sq.fi.un_430 ga.es.gl_655  mt.sv.it_665 es.gl.is_555 
  0x56041304, 0x060e3fa7, 0x192d0d0c, 0x1700101a,   // et.fi.mg_332 af.is.de_532  cs.sk.gl_543 be.sr.un_760 
  0x0c0804a0, 0x645613ac, 0x301320ee, 0x091f3faf,   // fi.no.sv_322 et.mg.lg_632  sq.et.uz_422 af.cy.pl_655 
  0x303f0312, 0x0c021c04, 0x020c1c05, 0x07113507,   // nl.af.uz_654 id.da.sv_332  id.sv.da_333 tg.ro.bg_432 
  // [da60]
  0x32003d07, 0x35301007, 0x30313d07, 0x13190b04,   // ku.bs.un_420 be.uz.tg_432  ku.az.uz_432 es.gl.et_332 
  0x1c063104, 0x32002b0c, 0x29033f04, 0x1c2f73a7,   // az.de.id_332 vi.bs.un_530  af.nl.sl_332 ny.su.id_532 
  0x202f37ee, 0x2d050d0c, 0x3d10120c, 0x033f1c0c,   // st.su.sq_422 cs.fr.sk_543  hu.lt.ku_543 id.af.nl_543 
  0x55000e23, 0x211b2f05, 0x3d031c04, 0x0b3f2d02,   // is.rw.un_880 su.tr.jw_333  id.nl.ku_332 sk.af.es_222 
  // [da70]
  0x37001219, 0x55006411, 0x2d121904, 0x25020b04,   // hu.st.un_750 lg.rw.un_630  gl.hu.sk_332 es.da.eu_332 
  0x070835ee, 0x04020ca4, 0x3700040d, 0x44353007,   // tg.uk.bg_422 sv.da.fi_433  fi.st.un_540 uz.tg.kk_432 
  0x1e3f1c0c, 0x281e1c13, 0x1e000811, 0x37003022,   // id.af.ms_543 id.ms.sw_665  no.ms.un_630 uz.st.un_870 
  0x01182aa0, 0x033f040d, 0x30002102, 0x030e23ee,   // mt.ga.en_322 fi.af.nl_554  jw.uz.un_220 ca.is.nl_422 
  // [da80]
  0x2f213712, 0x2800030b, 0x320425a0, 0x3f0403a4,   // st.jw.su_654 nl.sw.un_520  eu.fi.bs_322 nl.fi.af_433 
  0x0e3028a7, 0x301f3dad, 0x21171602, 0x1c0e1eee,   // sw.uz.is_532 ku.cy.uz_643  hr.sr.jw_222 ms.is.id_422 
  0x0c3f03a0, 0x32160da4, 0x213037a0, 0x25131aee,   // nl.af.sv_322 cs.hr.bs_433  st.uz.jw_322 tl.et.eu_422 
  0x3d00371a, 0x7304250c, 0x3f2a230c, 0x20022a5a,   // st.ku.un_760 eu.fi.ny_543  ca.mt.af_543 mt.da.sq_553 
  // [da90]
  0x30003729, 0x052f0e08, 0x64311bee, 0x1e1c080c,   // st.uz.un_960 is.su.fr_443  tr.az.lg_422 no.id.ms_543 
  0x172937a4, 0x321e31a0, 0x070a1aec, 0x0b00270b,   // st.sl.sr_433 az.ms.bs_322  tl.pt.it_644 gd.es.un_520 
  0x646b1ea4, 0x37551f04, 0x2932165a, 0x1a556b12,   // ms.ceb.lg_433 cy.rw.st_332  hr.bs.sl_553 ceb.rw.tl_654 
  0x3f000612, 0x556b2805, 0x6b1a1ca0, 0x18015607,   // de.af.un_640 sw.ceb.rw_333  id.tl.ceb_322 mg.en.ga_432 
  // [daa0]
  0x311b28a0, 0x07551308, 0x550c6402, 0x0b6b1aa0,   // sw.tr.az_322 et.rw.it_443  lg.sv.rw_222 tl.ceb.es_322 
  0x10303108, 0x1f313004, 0x1200370c, 0x23000d19,   // az.uz.lt_443 uz.az.cy_332  st.hu.un_530 cs.ca.un_750 
  0x321b2dee, 0x351704a4, 0x111711a4, 0x09190b13,   // sk.tr.bs_422 ru.sr.tg_433  ro.sr.ro_433 es.gl.pl_665 
  0x0c103f04, 0x230410ee, 0x35081712, 0x28001608,   // af.lt.sv_332 be.ru.ky_422  sr.uk.tg_654 hr.sw.un_430 
  // [dab0]
  0x3f031fa4, 0x321b0ea0, 0x64552d07, 0x1f031ea4,   // cy.nl.af_433 is.tr.bs_322  sk.rw.lg_432 ms.nl.cy_433 
  0x304435af, 0x20001707, 0x25063f08, 0x1f321ba4,   // tg.kk.uz_655 sr.sq.un_420  af.de.eu_443 tr.bs.cy_433 
  0x28556455, 0x170437a4, 0x1020550c, 0x0a070813,   // lg.rw.sw_442 st.fi.sr_433  rw.sq.lt_543 uk.bg.mk_665 
  0x6b1a250c, 0x1a646bad, 0x556b1a07, 0x04170755,   // eu.tl.ceb_543 ceb.lg.tl_643  tl.ceb.rw_432 bg.sr.ru_442 
  // [dac0]
  0x11532512, 0x30310ea7, 0x561830a6, 0x172d0d14,   // eu.ht.ro_654 is.az.uz_532  uz.ga.mg_521 cs.sk.sr_666 
  0x30315304, 0x6b3d0805, 0x2d1629a0, 0x08022dee,   // ht.az.uz_332 no.ku.ceb_333  sl.hr.sk_322 sk.da.no_422 
  0x06002113, 0x300a35a7, 0x09211607, 0x1e002f0e,   // jw.de.un_650 tg.mk.uz_532  hr.jw.pl_432 su.ms.un_550 
  0x28160907, 0x170a11ac, 0x0d003f0b, 0x05000b09,   // pl.hr.sw_432 ro.mk.sr_632  af.cs.un_520 es.fr.un_440 
  // [dad0]
  0x10062aec, 0x6400561a, 0x6b092da0, 0x1008175a,   // mt.de.lt_644 mg.lg.un_760  sk.pl.ceb_322 sr.uk.be_553 
  0x30002f07, 0x18003019, 0x092d0fee, 0x0c120ead,   // su.uz.un_420 uz.ga.un_750  lv.sk.pl_422 is.hu.sv_643 
  0x090118a0, 0x0a1027a7, 0x01122a0c, 0x100835a9,   // ga.en.pl_322 gd.lt.pt_532  mt.hu.en_543 tg.uk.be_544 
  0x6e00640d, 0x30291707, 0x170a11a7, 0x01300ca0,   // lg.hmn.un_540 sr.sl.uz_432  ro.mk.sr_532 sv.uz.en_322 
  // [dae0]
  0x17001907, 0x2a02080c, 0x30002d07, 0x3517040e,   // gl.sr.un_420 no.da.mt_543  sk.uz.un_420 ru.sr.tg_555 
  0x0d3f2a11, 0x55312f55, 0x0900132b, 0x2a050fa4,   // mt.af.cs_653 su.az.rw_442  bh.hi.un_980 lv.fr.mt_433 
  0x2a252104, 0x04441104, 0x19000704, 0x03001b19,   // jw.eu.mt_332 ro.kk.ru_332  it.gl.un_320 tr.nl.un_750 
  0x19270105, 0x2f2129a0, 0x56533714, 0x1b05370c,   // en.gd.gl_333 sl.jw.su_322  st.ht.mg_666 st.fr.tr_543 
  // [daf0]
  0x210b2307, 0x1b0737a4, 0x29370d04, 0x2000090d,   // ca.es.jw_432 st.it.tr_433  cs.st.sl_332 pl.sq.un_540 
  0x372a73a0, 0x18000510, 0x06252f05, 0x0744350b,   // ny.mt.st_322 fr.ga.un_620  su.eu.de_333 tg.kk.bg_542 
  0x19160bac, 0x177337ad, 0x291f07ad, 0x25556405,   // es.hr.gl_632 st.ny.sr_643  it.cy.sl_643 lg.rw.eu_333 
  0x12041007, 0x31007304, 0x313d73ad, 0x2d0d160e,   // lt.fi.hu_432 ny.az.un_320  ny.ku.az_643 hr.cs.sk_555 
  // [db00]
  0x301710ee, 0x10081108, 0x557325a9, 0x37001b13,   // be.sr.uz_422 ro.uk.be_443  eu.ny.rw_544 tr.st.un_650 
  0x2953050c, 0x28731b12, 0x29533755, 0x16001a04,   // fr.ht.sl_543 tr.ny.sw_654  st.ht.sl_442 tl.hr.un_320 
  0x1b53370c, 0x05080c0d, 0x307355a0, 0x530501ad,   // st.ht.tr_543 sv.no.fr_554  rw.ny.uz_322 en.fr.ht_643 
  0x551a2807, 0x6b31550b, 0x08000e18, 0x31005505,   // sw.tl.rw_432 rw.az.ceb_542  is.no.un_740 rw.az.un_330 
  // [db10]
  0x070a2360, 0x11005504, 0x01003d02, 0x0b2f21a0,   // ca.pt.it_664 rw.ro.un_320  ku.en.un_220 jw.su.es_322 
  0x08095305, 0x56731f0c, 0x28040e08, 0x283d015a,   // ht.pl.no_333 cy.ny.mg_543  is.fi.sw_443 en.ku.sw_553 
  0x3f003d1a, 0x1a100408, 0x2a1207ad, 0x53302012,   // ku.af.un_760 fi.lt.tl_443  it.hu.mt_643 sq.uz.ht_654 
  0x31531ba7, 0x04100f0d, 0x535573ad, 0x0410110d,   // tr.ht.az_532 lv.lt.fi_554  ny.rw.ht_643 ro.be.ru_554 
  // [db20]
  0x321709af, 0x31553d13, 0x73000509, 0x160306a0,   // pl.sr.bs_655 ku.rw.az_665  fr.ny.un_440 de.nl.hr_322 
  0x31532011, 0x02080e07, 0x231101a9, 0x112a23a4,   // sq.ht.az_653 is.no.da_432  en.ro.ca_544 ca.mt.ro_433 
  0x080e100c, 0x00000637, 0x3f641aa0, 0x09000d23,   // lt.is.no_543 de.un.un_B00  tl.lg.af_322 ne.hi.un_880 
  0x6e041004, 0x730f2f0b, 0x250d2da4, 0x210410a4,   // lt.fi.hmn_332 su.lv.ny_542  sk.cs.eu_433 lt.fi.jw_433 
  // [db30]
  0x20311b12, 0x211b1c0c, 0x20301f0c, 0x08021005,   // tr.az.sq_654 id.tr.jw_543  cy.uz.sq_543 lt.da.no_333 
  0x311a6b04, 0x25041307, 0x641307a0, 0x163037a9,   // ceb.tl.az_332 et.fi.eu_432  it.et.lg_322 st.uz.hr_544 
  0x0c006405, 0x31732804, 0x3d001213, 0x302f0fa6,   // lg.sv.un_330 sw.ny.az_332  hu.ku.un_650 lv.su.uz_521 
  0x25110704, 0x11040aa9, 0x234410a0, 0x2d2104ee,   // it.ro.eu_332 pt.fi.ro_544  be.kk.ky_322 fi.jw.sk_422 
  // [db40]
  0x21000c12, 0x12110fa0, 0x08022b0c, 0x286b1aaf,   // sv.jw.un_640 lv.ro.hu_322  vi.da.no_543 tl.ceb.sw_655 
  0x280813ee, 0x30003f02, 0x06271fa0, 0x311f18a4,   // et.no.sw_422 af.uz.un_220  cy.gd.de_322 ga.cy.az_433 
  0x16100d07, 0x25003d0d, 0x530b0aa6, 0x30250cee,   // cs.lt.hr_432 ku.eu.un_540  pt.es.ht_521 sv.eu.uz_422 
  0x2a070411, 0x20082da0, 0x550264ee, 0x2f1e11ad,   // fi.it.mt_653 sk.no.sq_322  lg.da.rw_422 ro.ms.su_643 
  // [db50]
  0x55000707, 0x562718ad, 0x0a172308, 0x07122a07,   // it.rw.un_420 ga.gd.mg_643  ky.sr.mk_443 mt.hu.it_432 
  0x0b001112, 0x11302360, 0x2a0753a0, 0x180130a7,   // ro.es.un_640 ky.uz.ro_664  ht.it.mt_322 uz.en.ga_532 
  0x106b55a4, 0x0f002505, 0x281e3004, 0x11282304,   // rw.ceb.lt_433 eu.lv.un_330  uz.ms.sw_332 ca.sw.ro_332 
  0x0a303d07, 0x282f55a4, 0x022808ad, 0x03232704,   // ku.uz.pt_432 rw.su.sw_433  no.sw.da_643 gd.ca.nl_332 
  // [db60]
  0x552f11ac, 0x102d13a7, 0x1c2f55a0, 0x550d05a7,   // ro.su.rw_632 et.sk.lt_532  rw.su.id_322 fr.cs.rw_532 
  0x1300050c, 0x082f550c, 0x2f1155af, 0x0a074405,   // fr.et.un_530 rw.su.no_543  rw.ro.su_655 kk.bg.mk_333 
  0x182112ac, 0x13033fec, 0x21033702, 0x212f05af,   // ur.fa.ar_632 af.nl.et_644  st.nl.jw_222 fr.su.jw_655 
  0x532b01ee, 0x2d2b0d13, 0x07043013, 0x30131b0c,   // en.vi.ht_422 cs.vi.sk_665  uz.ru.bg_665 tr.et.uz_543 
  // [db70]
  0x21052f04, 0x041723a9, 0x0a083055, 0x1a6b2808,   // su.fr.jw_332 ky.sr.ru_544  uz.uk.mk_442 sw.ceb.tl_443 
  0x03230107, 0x01532a09, 0x64735614, 0x2d370d12,   // en.ca.nl_432 mt.ht.en_444  mg.ny.lg_666 cs.st.sk_654 
  0x042a01a0, 0x0b005307, 0x010208ee, 0x2a132702,   // en.mt.fi_322 ht.es.un_420  no.da.en_422 gd.et.mt_222 
  0x2d0d250e, 0x081a02ee, 0x1f033f5a, 0x0e303107,   // eu.cs.sk_555 da.tl.no_422  af.nl.cy_553 az.uz.is_432 
  // [db80]
  0x300e1baf, 0x1f072aa0, 0x1f3d2a12, 0x0b23070c,   // tr.is.uz_655 mt.it.cy_322  mt.ku.cy_654 it.ca.es_543 
  0x2f000d04, 0x10173508, 0x29371ea4, 0x27180a08,   // cs.su.un_320 tg.sr.be_443  ms.st.sl_433 pt.ga.gd_443 
  0x0f105308, 0x1b125305, 0x19180b12, 0x532a060d,   // ht.lt.lv_443 ht.hu.tr_333  es.ga.gl_654 de.mt.ht_554 
  0x3f2908a0, 0x64001b1b, 0x015673ec, 0x1b00070e,   // no.sl.af_322 tr.lg.un_770  ny.mg.en_644 it.tr.un_550 
  // [db90]
  0x0f050208, 0x2a130a08, 0x2a30290c, 0x033f065a,   // da.fr.lv_443 pt.et.mt_443  sl.uz.mt_543 de.af.nl_553 
  0x1e002112, 0x2f001e18, 0x291f0711, 0x122f20ee,   // jw.ms.un_640 ms.su.un_740  it.cy.sl_653 sq.su.hu_422 
  0x1f122007, 0x0a560411, 0x080e3104, 0x110701af,   // sq.hu.cy_432 fi.mg.pt_653  az.is.no_332 en.it.ro_655 
  0x06283007, 0x0a53010c, 0x306453ee, 0x31003204,   // uz.sw.de_432 en.ht.pt_543  ht.lg.uz_422 bs.az.un_320 
  // [dba0]
  0x6b1a73ec, 0x16290f0c, 0x090608a0, 0x31371ba4,   // ny.tl.ceb_644 lv.sl.hr_543  no.de.pl_322 tr.st.az_433 
  0x3d2a3fad, 0x270608af, 0x303d2a0c, 0x3f00100d,   // af.mt.ku_643 no.de.gd_655  mt.ku.uz_543 lt.af.un_540 
  0x07100809, 0x293216a7, 0x551701a4, 0x0413210c,   // uk.be.bg_444 hr.bs.sl_532  en.sr.rw_433 jw.et.fi_543 
  0x20001b0e, 0x35170a05, 0x20311b07, 0x53206404,   // tr.sq.un_550 mk.sr.tg_333  tr.az.sq_432 lg.sq.ht_332 
  // [dbb0]
  0x18002519, 0x20102514, 0x10000e0e, 0x20252a0c,   // eu.ga.un_750 eu.lt.sq_666  is.lt.un_550 mt.eu.sq_543 
  0x1b3f17a0, 0x1025060c, 0x09021f12, 0x1e003f0c,   // sr.af.tr_322 de.eu.lt_543  cy.da.pl_654 af.ms.un_530 
  0x08100fec, 0x201f3fec, 0x20080209, 0x10252a07,   // lv.lt.no_644 af.cy.sq_644  da.no.sq_444 mt.eu.lt_432 
  0x070a11a7, 0x10070a55, 0x293f0e04, 0x2b002f09,   // ro.mk.bg_532 mk.bg.be_442  is.af.sl_332 su.vi.un_440 
  // [dbc0]
  0x2521730c, 0x30113555, 0x08001011, 0x1a1f18ee,   // ny.jw.eu_543 tg.ro.uz_442  be.uk.un_630 ga.cy.tl_422 
  0x10173005, 0x0729120c, 0x731028ec, 0x13121fad,   // uz.sr.be_333 hu.sl.it_543  sw.lt.ny_644 cy.hu.et_643 
  0x28003012, 0x10084409, 0x2832160d, 0x04001f0c,   // uz.sw.un_640 kk.uk.be_444  hr.bs.sw_554 cy.fi.un_530 
  0x2a1b20a4, 0x21121107, 0x0c00020c, 0x052b0107,   // sq.tr.mt_433 ro.hu.jw_432  da.sv.un_530 en.vi.fr_432 
  // [dbd0]
  0x320d1107, 0x070a170b, 0x12312813, 0x55001b18,   // ro.cs.bs_432 sr.mk.bg_542  sw.az.hu_665 tr.rw.un_740 
  0x1e1c18a9, 0x11291708, 0x3011200c, 0x1004130d,   // ga.id.ms_544 sr.sl.ro_443  sq.ro.uz_543 et.fi.lt_554 
  0x03000122, 0x16101e07, 0x111b17a0, 0x172a2bee,   // en.nl.un_870 ms.lt.hr_432  sr.tr.ro_322 vi.mt.sr_422 
  0x0a2311a7, 0x0c000521, 0x1e136405, 0x53101ca4,   // ro.ky.mk_532 fr.sv.un_860  lg.et.ms_333 id.lt.ht_433 
  // [dbe0]
  0x2b231904, 0x1f2701a9, 0x646b13a4, 0x01080255,   // gl.ca.vi_332 en.gd.cy_544  et.ceb.lg_433 da.no.en_442 
  0x1f275307, 0x2f0c0814, 0x56003712, 0x13190ba4,   // ht.gd.cy_432 no.sv.su_666  st.mg.un_640 es.gl.et_433 
  0x135628ac, 0x3f006b02, 0x311f30a4, 0x16371107,   // sw.mg.et_632 ceb.af.un_220  uz.cy.az_433 ro.st.hr_432 
  0x2d002704, 0x230b190c, 0x16003f0c, 0x06080213,   // gd.sk.un_320 gl.es.ca_543  af.hr.un_530 da.no.de_665 
  // [dbf0]
  0x645355a4, 0x11000c29, 0x09001e05, 0x1f002712,   // rw.ht.lg_433 sv.ro.un_960  ms.pl.un_330 gd.cy.un_640 
  0x100f2a60, 0x1a732812, 0x6b041307, 0x0c001b07,   // mt.lv.lt_664 sw.ny.tl_654  et.fi.ceb_432 tr.sv.un_420 
  0x08302304, 0x3f1f08ee, 0x1b301207, 0x0c230aa9,   // ky.uz.uk_332 no.cy.af_422  hu.uz.tr_432 pt.ca.sv_544 
  0x2800371a, 0x040807a7, 0x7337560c, 0x0a2319ad,   // st.sw.un_760 bg.uk.ru_532  mg.st.ny_543 gl.ca.pt_643 
  
  // [dc00]
  0x30000711, 0x043017a9, 0x070a23af, 0x6b7328af,   // it.uz.un_630 sr.uz.ru_544  ky.mk.bg_655 sw.ny.ceb_655 
  0x0f000802, 0x211a64a0, 0x3f1c1e07, 0x64001104,   // no.lv.un_220 lg.tl.jw_322  ms.id.af_432 ro.lg.un_320 
  0x01041311, 0x3f0713ee, 0x21000207, 0x103035af,   // et.fi.en_653 et.it.af_422  da.jw.un_420 tg.uz.be_655 
  0x1c5521a4, 0x11050aa4, 0x53111302, 0x28000c08,   // jw.rw.id_433 pt.fr.ro_433  et.ro.ht_222 sv.sw.un_430 
  // [dc10]
  0x1c1221ee, 0x3f300404, 0x09041a55, 0x130e30ad,   // jw.hu.id_422 fi.uz.af_332  tl.fi.pl_442 uz.is.et_643 
  0x1107040d, 0x19130aec, 0x100844ac, 0x1a190bee,   // ru.bg.ro_554 pt.et.gl_644  kk.uk.be_632 es.gl.tl_422 
  0x0f103005, 0x3f081c0c, 0x551a6404, 0x070b230c,   // uz.lt.lv_333 id.no.af_543  lg.tl.rw_332 ca.es.it_543 
  0x03001012, 0x08021a0e, 0x0a000c0c, 0x07230a07,   // lt.nl.un_640 tl.da.no_555  sv.pt.un_530 pt.ca.it_432 
  // [dc20]
  0x19000705, 0x303517ad, 0x253f0313, 0x04082fa4,   // it.gl.un_330 sr.tg.uz_643  nl.af.eu_665 su.no.fi_433 
  0x02002909, 0x25200612, 0x56002d13, 0x080418ad,   // sl.da.un_440 de.sq.eu_654  sk.mg.un_650 ga.fi.no_643 
  0x1200071b, 0x1600530b, 0x0a11070b, 0x03000419,   // it.hu.un_770 ht.hr.un_520  it.ro.pt_542 fi.nl.un_750 
  0x0c1f060c, 0x0c03060e, 0x17000722, 0x17161ba0,   // de.cy.sv_543 de.nl.sv_555  bg.sr.un_870 tr.hr.sr_322 
  // [dc30]
  0x21120660, 0x046b5507, 0x06003f12, 0x1037730c,   // de.hu.jw_664 rw.ceb.fi_432  af.de.un_640 ny.st.lt_543 
  0x0f203209, 0x29032512, 0x190c230c, 0x31006b29,   // bs.sq.lv_444 eu.nl.sl_654  ca.sv.gl_543 ceb.az.un_960 
  0x1f530308, 0x73005304, 0x25230611, 0x0c0823ec,   // nl.ht.cy_443 ht.ny.un_320  de.ca.eu_653 ca.no.sv_644 
  0x060325af, 0x30005313, 0x122503a9, 0x080e2004,   // eu.nl.de_655 ht.uz.un_650  nl.eu.hu_544 sq.is.no_332 
  // [dc40]
  0x081e0c11, 0x6b301a04, 0x2b00300c, 0x73122507,   // sv.ms.no_653 tl.uz.ceb_332  uz.vi.un_530 eu.hu.ny_432 
  0x371a3f04, 0x10190b0d, 0x2b1e01a7, 0x1900300d,   // af.tl.st_332 es.gl.lt_554  en.ms.vi_532 uz.gl.un_540 
  0x062004a0, 0x20113004, 0x293004ac, 0x070f01a4,   // fi.sq.de_322 uz.ro.sq_332  fi.uz.sl_632 en.lv.it_433 
  0x162937ad, 0x302023a4, 0x30081705, 0x2300200d,   // st.sl.hr_643 ca.sq.uz_433  sr.uk.uz_333 sq.ca.un_540 
  // [dc50]
  0x645301a0, 0x0d302daf, 0x110916a0, 0x110804a4,   // en.ht.lg_322 sk.uz.cs_655  hr.pl.ro_322 ru.uk.ro_433 
  0x041130af, 0x17110711, 0x0f2d0da7, 0x0e001e0d,   // uz.ro.fi_655 bg.ro.sr_653  cs.sk.lv_532 ms.is.un_540 
  0x0d372109, 0x11004413, 0x3000131a, 0x551b64ee,   // jw.st.cs_444 kk.ro.un_650  et.uz.un_760 lg.tr.rw_422 
  0x2f006b07, 0x251c10a7, 0x08000429, 0x0a2313a0,   // ceb.su.un_420 lt.id.eu_532  ru.uk.un_960 et.ca.pt_322 
  // [dc60]
  0x30251fac, 0x1a561fad, 0x1b1f2aa0, 0x08050cee,   // cy.eu.uz_632 cy.mg.tl_643  mt.cy.tr_322 sv.fr.no_422 
  0x3f0c0205, 0x102718ad, 0x040a080c, 0x64003705,   // da.sv.af_333 ga.gd.lt_643  uk.mk.ru_543 st.lg.un_330 
  0x13000218, 0x192d2302, 0x641f1baf, 0x200c1f05,   // da.et.un_740 ca.sk.gl_222  tr.cy.lg_655 cy.sv.sq_333 
  0x0800060c, 0x30352309, 0x1e561c0c, 0x530802ee,   // de.no.un_530 ky.tg.uz_444  id.mg.ms_543 da.no.ht_422 
  // [dc70]
  0x3f000211, 0x3f0312ee, 0x10180c07, 0x0c0603a4,   // da.af.un_630 hu.nl.af_422  sv.ga.lt_432 nl.de.sv_433 
  0x03092d07, 0x190b13a4, 0x08001313, 0x29110307,   // sk.pl.nl_432 et.es.gl_433  et.no.un_650 nl.ro.sl_432 
  0x013718ee, 0x37030604, 0x0d1b3f0c, 0x043008a7,   // ga.st.en_422 de.nl.st_332  af.tr.cs_543 uk.uz.ru_532 
  0x2a070612, 0x0b2d1955, 0x1c0210a0, 0x3f3703a7,   // de.it.mt_654 gl.sk.es_442  lt.da.id_322 nl.st.af_532 
  // [dc80]
  0x28000e05, 0x17001118, 0x0b191811, 0x0a1023a0,   // is.sw.un_330 ro.sr.un_740  ga.gl.es_653 ky.be.mk_322 
  0x281a6b05, 0x6b732f07, 0x051253ad, 0x1a3d1b12,   // ceb.tl.sw_333 su.ny.ceb_432  ht.hu.fr_643 tr.ku.tl_654 
  0x0f3f02ec, 0x1b007312, 0x1b531e5a, 0x25001707,   // da.af.lv_644 ny.tr.un_640  ms.ht.tr_553 sr.eu.un_420 
  0x0a3511a0, 0x162909a9, 0x1a6b64a0, 0x30001b12,   // ro.tg.mk_322 pl.sl.hr_544  lg.ceb.tl_322 tr.uz.un_640 
  // [dc90]
  0x440a1707, 0x0a083004, 0x3f030daf, 0x11000304,   // sr.mk.kk_432 uz.uk.mk_332  cs.nl.af_655 nl.ro.un_320 
  0x033f0e08, 0x313f5507, 0x56002a02, 0x072f0f0c,   // is.af.nl_443 rw.af.az_432  mt.mg.un_220 lv.su.it_543 
  0x35040704, 0x1620100c, 0x2f1b3d05, 0x04731304,   // bg.ru.tg_332 lt.sq.hr_543  ku.tr.su_333 et.ny.fi_332 
  0x11050da0, 0x2f281c07, 0x730628a0, 0x1c311b07,   // cs.fr.ro_322 id.sw.su_432  sw.de.ny_322 tr.az.id_432 
  // [dca0]
  0x0506010b, 0x0f531014, 0x0600730c, 0x372b3f08,   // en.de.fr_542 lt.ht.lv_666  ny.de.un_530 af.vi.st_443 
  0x202d0d02, 0x03003f35, 0x11042808, 0x0f1a1011,   // cs.sk.sq_222 af.nl.un_A90  sw.fi.ro_443 lt.tl.lv_653 
  0x051127a0, 0x2d006e0d, 0x281173a7, 0x072d1fa0,   // gd.ro.fr_322 hmn.sk.un_540  ny.ro.sw_532 cy.sk.it_322 
  0x1f001a0c, 0x732304a4, 0x0507230c, 0x02001107,   // tl.cy.un_530 fi.ca.ny_433  ca.it.fr_543 ro.da.un_420 
  // [dcb0]
  0x0d005508, 0x17070412, 0x0f1001a9, 0x1a0a6b09,   // rw.cs.un_430 ru.bg.sr_654  en.lt.lv_544 ceb.pt.tl_444 
  0x56001a02, 0x0e1812af, 0x30060c0c, 0x01052307,   // tl.mg.un_220 hu.ga.is_655  sv.de.uz_543 ca.fr.en_432 
  0x27000408, 0x5356730c, 0x0413250e, 0x13001019,   // fi.gd.un_430 ny.mg.ht_543  eu.et.fi_555 lt.et.un_750 
  0x2f3021ec, 0x2f0420ee, 0x09030fa0, 0x2f281a11,   // jw.uz.su_644 sq.fi.su_422  lv.nl.pl_322 tl.sw.su_653 
  // [dcc0]
  0x25200407, 0x29101a0c, 0x2f1221a0, 0x101901a4,   // fi.sq.eu_432 tl.lt.sl_543  jw.hu.su_322 en.gl.lt_433 
  0x64002822, 0x3d30310e, 0x11170a13, 0x6b551aad,   // sw.lg.un_870 az.uz.ku_555  mk.sr.ro_665 tl.rw.ceb_643 
  0x4410230d, 0x03001312, 0x56371004, 0x561e1ba7,   // ky.be.kk_554 et.nl.un_640  lt.st.mg_332 tr.ms.mg_532 
  0x190a1eee, 0x2a3731a4, 0x011c6ba0, 0x64002834,   // ms.pt.gl_422 az.st.mt_433  ceb.id.en_322 sw.lg.un_A80 
  // [dcd0]
  0x133f6404, 0x100f1955, 0x070d0e07, 0x08033fec,   // lg.af.et_332 gl.lv.lt_442  is.cs.it_432 af.nl.no_644 
  0x29170f0c, 0x0a0410a7, 0x642f03ee, 0x641b73a0,   // lv.sr.sl_543 be.ru.mk_532  nl.su.lg_422 ny.tr.lg_322 
  0x0c2106ee, 0x110a29a0, 0x17350412, 0x23002b04,   // de.jw.sv_422 sl.pt.ro_322  ru.tg.sr_654 vi.ca.un_320 
  0x16290d55, 0x0a203d0c, 0x35301760, 0x080710a7,   // cs.sl.hr_442 ku.sq.pt_543  sr.uz.tg_664 be.bg.uk_532 
  // [dce0]
  0x1f000e0e, 0x1f0e0ca4, 0x55642804, 0x0d2120ee,   // is.cy.un_550 sv.is.cy_433  sw.lg.rw_332 sq.jw.cs_422 
  0x17100812, 0x1225280b, 0x2d0d21ee, 0x1044230e,   // uk.be.sr_654 sw.eu.hu_542  jw.cs.sk_422 ky.kk.be_555 
  0x21052fa7, 0x00000e37, 0x0a23210d, 0x04002321,   // su.fr.jw_532 is.un.un_B00  jw.ca.pt_554 ky.ru.un_860 
  0x04100a12, 0x1b061213, 0x371b56ad, 0x21053d10,   // mk.be.ru_654 hu.de.tr_665  mg.tr.st_643 ku.fr.jw_642 
  // [dcf0]
  0x2f052104, 0x12250804, 0x0d002107, 0x04060ea7,   // jw.fr.su_332 no.eu.hu_332  jw.cs.un_420 is.de.fi_532 
  0x1204250c, 0x08002013, 0x04000113, 0x02061fee,   // eu.fi.hu_543 sq.no.un_650  en.fi.un_650 cy.de.da_422 
  0x072501ad, 0x1f016ba0, 0x041f1311, 0x6e0d3d0c,   // en.eu.it_643 ceb.en.cy_322  et.cy.fi_653 ku.cs.hmn_543 
  0x09002d0e, 0x30000108, 0x3d06250c, 0x290d6e0c,   // sk.pl.un_550 en.uz.un_430  eu.de.ku_543 hmn.cs.sl_543 
  // [dd00]
  0x13046407, 0x293113a4, 0x12080eee, 0x3730250c,   // lg.fi.et_432 et.az.sl_433  is.no.hu_422 eu.uz.st_543 
  0x6b003713, 0x213d2508, 0x0a2056ee, 0x1e1c0f14,   // st.ceb.un_650 eu.ku.jw_443  mg.sq.pt_422 lv.id.ms_666 
  0x56181f07, 0x126413ee, 0x0c023107, 0x230a100c,   // cy.ga.mg_432 et.lg.hu_422  az.da.sv_432 be.mk.ky_543 
  0x1b0802ee, 0x2a3031ec, 0x2a1a2da0, 0x1b00190d,   // da.no.tr_422 az.uz.mt_644  sk.tl.mt_322 gl.tr.un_540 
  // [dd10]
  0x56006e22, 0x3d232511, 0x296428a4, 0x3000312a,   // hmn.mg.un_870 eu.ca.ku_653  sw.lg.sl_433 az.uz.un_970 
  0x070103a0, 0x732a1e0c, 0x312f18a4, 0x1a37280c,   // nl.en.it_322 ms.mt.ny_543  ga.su.az_433 sw.st.tl_543 
  0x071704ee, 0x1c281e0c, 0x20551008, 0x2a3130a4,   // ru.sr.bg_422 ms.sw.id_543  lt.rw.sq_443 uz.az.mt_433 
  0x0a105608, 0x6b732da4, 0x44070a14, 0x21092fa0,   // mg.lt.pt_443 sk.ny.ceb_433  mk.bg.kk_666 su.pl.jw_322 
  // [dd20]
  0x102a550d, 0x1a000119, 0x3f000613, 0x0600032b,   // rw.mt.lt_554 en.tl.un_750  de.af.un_650 nl.de.un_980 
  0x3f041309, 0x3211070c, 0x12080411, 0x3073640c,   // et.fi.af_444 it.ro.bs_543  fi.no.hu_653 lg.ny.uz_543 
  0x0a2b1c0c, 0x2a0964a9, 0x0b010707, 0x0a002d13,   // id.vi.pt_543 lg.pl.mt_544  it.en.es_432 sk.pt.un_650 
  0x200413a7, 0x171a37a4, 0x123025a0, 0x0b2307a0,   // et.fi.sq_532 st.tl.sr_433  eu.uz.hu_322 it.ca.es_322 
  // [dd30]
  0x0f002911, 0x37006e29, 0x3f031305, 0x0912300c,   // sl.lv.un_630 hmn.st.un_960  et.nl.af_333 uz.hu.pl_543 
  0x1b000a02, 0x033f0111, 0x350444a4, 0x28301b12,   // pt.tr.un_220 en.af.nl_653  kk.ru.tg_433 tr.uz.sw_654 
  0x1b3d300e, 0x732864a9, 0x023f20ac, 0x0a060c04,   // uz.ku.tr_555 lg.sw.ny_544  sq.af.da_632 sv.de.pt_332 
  0x1b001e05, 0x133f6e04, 0x1a00640b, 0x06250ea7,   // ms.tr.un_330 hmn.af.et_332  lg.tl.un_520 is.eu.de_532 
  // [dd40]
  0x3023350b, 0x07050108, 0x442335a9, 0x166409a0,   // tg.ky.uz_542 en.fr.it_443  tg.ky.kk_544 pl.lg.hr_322 
  0x732f370c, 0x73206407, 0x2a092da9, 0x3016560c,   // st.su.ny_543 lg.sq.ny_432  sk.pl.mt_544 mg.hr.uz_543 
  0x1b562d12, 0x106b1a0c, 0x071730a9, 0x291b2d0c,   // sk.mg.tr_654 tl.ceb.lt_543  uz.sr.bg_544 sk.tr.sl_543 
  0x55002a1b, 0x0c1f08a4, 0x271928af, 0x2d200d07,   // mt.rw.un_770 no.cy.sv_433  sw.gl.gd_655 cs.sq.sk_432 
  // [dd50]
  0x11111012, 0x2d291fa4, 0x53201b0c, 0x2900171a,   // be.ro.ro_654 cy.sl.sk_433  tr.sq.ht_543 sr.sl.un_760 
  0x2f2a28a4, 0x32002104, 0x731f2108, 0x3f080502,   // sw.mt.su_433 jw.bs.un_320  jw.cy.ny_443 fr.no.af_222 
  0x3130210c, 0x5300302a, 0x31281ba4, 0x73003021,   // jw.uz.az_543 uz.ht.un_970  tr.sw.az_433 uz.ny.un_860 
  0x561a6455, 0x102901a0, 0x28303707, 0x21732805,   // lg.tl.mg_442 en.sl.lt_322  st.uz.sw_432 sw.ny.jw_333 
  // [dd60]
  0x1c2f1e55, 0x1a000207, 0x08022d0c, 0x211a2f04,   // ms.su.id_442 da.tl.un_420  sk.da.no_543 su.tl.jw_332 
  0x28001019, 0x1e2f64ad, 0x3f091aa4, 0x2d0f64a0,   // lt.sw.un_750 lg.su.ms_643  tl.pl.af_433 lg.lv.sk_322 
  0x2317350b, 0x1e1a1c04, 0x100364ad, 0x73213007,   // tg.sr.ky_542 id.tl.ms_332  lg.nl.lt_643 uz.jw.ny_432 
  0x2128370b, 0x160d2908, 0x190118a0, 0x2829305a,   // st.sw.jw_542 sl.cs.hr_443  ga.en.gl_322 uz.sl.sw_553 
  // [dd70]
  0x37283114, 0x3f136e07, 0x20033f11, 0x1c002b04,   // az.sw.st_666 hmn.et.af_432  af.nl.sq_653 vi.id.un_320 
  0x2f6b7304, 0x3f02010c, 0x04641312, 0x04351704,   // ny.ceb.su_332 en.da.af_543  et.lg.fi_654 sr.tg.ru_332 
  0x076b1a04, 0x0a003504, 0x21000d0c, 0x31111b14,   // tl.ceb.it_332 tg.mk.un_320  cs.jw.un_530 tr.ro.az_666 
  0x73005621, 0x082317a0, 0x2b000c08, 0x31120ca0,   // mg.ny.un_860 sr.ky.uk_322  sv.vi.un_430 sv.hu.az_322 
  // [dd80]
  0x101744ac, 0x09110fad, 0x07002721, 0x29000f18,   // kk.sr.be_632 lv.ro.pl_643  gd.it.un_860 lv.sl.un_740 
  0x02086ea7, 0x081007ec, 0x10321602, 0x2b00560e,   // hmn.no.da_532 bg.be.uk_644  hr.bs.lt_222 mg.vi.un_550 
  0x0c00270e, 0x1b002a1a, 0x28122511, 0x10080faf,   // gd.sv.un_550 mt.tr.un_760  eu.hu.sw_653 lv.no.lt_655 
  0x6b002807, 0x2a002d12, 0x130e0f04, 0x532a01a4,   // sw.ceb.un_420 sk.mt.un_640  lv.is.et_332 en.mt.ht_433 
  // [dd90]
  0x6b251a13, 0x01000807, 0x06020eee, 0x64000e14,   // tl.eu.ceb_665 no.en.un_420  is.da.de_422 is.lg.un_660 
  0x13005511, 0x1b000302, 0x1f003f13, 0x20080caf,   // rw.et.un_630 nl.tr.un_220  af.cy.un_650 sv.no.sq_655 
  0x1b0c08af, 0x0c083f08, 0x08003f0d, 0x080a04ec,   // no.sv.tr_655 af.no.sv_443  af.no.un_540 ru.mk.uk_644 
  0x10002014, 0x535520a0, 0x092f01a4, 0x102a0f13,   // sq.lt.un_660 sq.rw.ht_322  en.su.pl_433 lv.mt.lt_665 
  // [dda0]
  0x13002f02, 0x64066ba7, 0x040837ec, 0x011205ee,   // su.et.un_220 ceb.de.lg_532  st.no.fi_644 fr.hu.en_422 
  0x0e025304, 0x1008020d, 0x29001108, 0x16000907,   // ht.da.is_332 da.no.lt_554  ro.sl.un_430 pl.hr.un_420 
  0x1e1c0eaf, 0x6b2a1a55, 0x1f12640c, 0x104435a0,   // is.id.ms_655 tl.mt.ceb_442  lg.hu.cy_543 tg.kk.be_322 
  0x28121fa0, 0x53033fa0, 0x282f6408, 0x2a0813ee,   // cy.hu.sw_322 af.nl.ht_322  lg.su.sw_443 et.no.mt_422 
  // [ddb0]
  0x091c0dee, 0x05002504, 0x173544a4, 0x1b3d1a13,   // ne.mr.hi_422 eu.fr.un_320  kk.tg.sr_433 tl.ku.tr_665 
  0x08040a0e, 0x28373da9, 0x211c2f13, 0x1e5301a0,   // mk.ru.uk_555 ku.st.sw_544  su.id.jw_665 en.ht.ms_322 
  0x231128a4, 0x301a010c, 0x0744230c, 0x0a191155,   // sw.ro.ca_433 en.tl.uz_543  ky.kk.bg_543 ro.gl.pt_442 
  0x3f2a0704, 0x13253fa4, 0x55001704, 0x131230a9,   // it.mt.af_332 af.eu.et_433  sr.rw.un_320 uz.hu.et_544 
  // [ddc0]
  0x1e2a3007, 0x32252da4, 0x17040a14, 0x3d3031ec,   // uz.mt.ms_432 sk.eu.bs_433  mk.ru.sr_666 az.uz.ku_644 
  0x530f0107, 0x5310010c, 0x07170414, 0x073523ad,   // en.lv.ht_432 en.lt.ht_543  ru.sr.bg_666 ky.tg.bg_643 
  0x2f2873a4, 0x1b282d07, 0x1004110c, 0x19182da0,   // ny.sw.su_433 sk.sw.tr_432  ro.ru.be_543 sk.ga.gl_322 
  0x0b191807, 0x2b00530d, 0x30040713, 0x53072b12,   // ga.gl.es_432 ht.vi.un_540  bg.ru.uz_665 vi.it.ht_654 
  // [ddd0]
  0x37002308, 0x30005504, 0x192f050b, 0x17001612,   // ca.st.un_430 rw.uz.un_320  fr.su.gl_542 hr.sr.un_640 
  0x04081055, 0x2b005312, 0x1a001011, 0x073025ad,   // be.uk.ru_442 ht.vi.un_640  lt.tl.un_630 eu.uz.it_643 
  0x555337a4, 0x07005319, 0x01002504, 0x21001b12,   // st.ht.rw_433 ht.it.un_750  eu.en.un_320 tr.jw.un_640 
  0x0e001013, 0x30440408, 0x01282fee, 0x0e0c130c,   // lt.is.un_650 ru.kk.uz_443  su.sw.en_422 et.sv.is_543 
  // [dde0]
  0x021629a7, 0x0f05100c, 0x105313af, 0x1f0501ee,   // sl.hr.da_532 lt.fr.lv_543  et.ht.lt_655 en.fr.cy_422 
  0x2f2110ee, 0x56000614, 0x530507a0, 0x06530e0c,   // lt.jw.su_422 de.mg.un_660  it.fr.ht_322 is.ht.de_543 
  0x7306040d, 0x130406a0, 0x1e0b2ba0, 0x23103007,   // fi.de.ny_554 de.fi.et_322  vi.es.ms_322 uz.be.ky_432 
  0x736401a7, 0x3d003013, 0x1008045a, 0x046413ee,   // en.lg.ny_532 uz.ku.un_650  ru.uk.be_553 et.lg.fi_422 
  // [ddf0]
  0x35041709, 0x4430100c, 0x1118010c, 0x2d290d09,   // sr.ru.tg_444 be.uz.kk_543  en.ga.ro_543 cs.sl.sk_444 
  0x32001613, 0x30000b05, 0x440830a4, 0x080710ad,   // hr.bs.un_650 es.uz.un_330  uz.uk.kk_433 be.bg.uk_643 
  0x0a303555, 0x040a23a7, 0x2d0d1807, 0x17002104,   // tg.uz.mk_442 ky.mk.ru_532  ga.cs.sk_432 jw.sr.un_320 
  0x050b01af, 0x37000112, 0x234407a0, 0x202a32a4,   // en.es.fr_655 en.st.un_640  bg.kk.ky_322 bs.mt.sq_433 
  // [de00]
  0x310730ee, 0x072155a9, 0x2f00031a, 0x32110708,   // uz.it.az_422 rw.jw.it_544  nl.su.un_760 it.ro.bs_443 
  0x252f0307, 0x121b0c55, 0x6b1004ad, 0x121b0ca4,   // nl.su.eu_432 sv.tr.hu_442  fi.lt.ceb_643 sv.tr.hu_433 
  0x01212fee, 0x29230202, 0x0a123004, 0x10001e09,   // su.jw.en_422 da.ca.sl_222  uz.hu.pt_332 ms.lt.un_440 
  0x286b1a12, 0x09000c08, 0x311c1aa0, 0x0a2718ec,   // tl.ceb.sw_654 sv.pl.un_430  tl.id.az_322 ga.gd.pt_644 
  // [de10]
  0x1b313dac, 0x10563d0c, 0x1c002f11, 0x13295307,   // ku.az.tr_632 ku.mg.lt_543  su.id.un_630 ht.sl.et_432 
  0x3d3f030b, 0x32080204, 0x171007a0, 0x1b1c07ad,   // nl.af.ku_542 da.no.bs_332  it.lt.sr_322 it.id.tr_643 
  0x08001c02, 0x1e2104a0, 0x301b3114, 0x27003104,   // id.no.un_220 fi.jw.ms_322  az.tr.uz_666 az.gd.un_320 
  0x07081008, 0x18090eec, 0x13010f07, 0x53000f19,   // be.uk.bg_443 is.pl.ga_644  lv.en.et_432 lv.ht.un_750 
  // [de20]
  0x0410110c, 0x31132fee, 0x1c100fad, 0x29161104,   // ro.be.ru_543 su.et.az_422  lv.lt.id_643 ro.hr.sl_332 
  0x0c0f10af, 0x101827a9, 0x100b1ca4, 0x200f18ee,   // lt.lv.sv_655 gd.ga.lt_544  id.es.lt_433 ga.lv.sq_422 
  0x0c0f1012, 0x300811a0, 0x090c20a4, 0x23090ba0,   // lt.lv.sv_654 ro.uk.uz_322  sq.sv.pl_433 es.pl.ca_322 
  0x12000a22, 0x0f101aad, 0x29100f04, 0x20255307,   // pt.hu.un_870 tl.lt.lv_643  lv.lt.sl_332 ht.eu.sq_432 
  // [de30]
  0x19131a04, 0x2a190aa7, 0x0b2f1c0c, 0x0a00120b,   // tl.et.gl_332 pt.gl.mt_532  id.su.es_543 hu.pt.un_520 
  0x732f25ec, 0x0a0f1004, 0x55281212, 0x0f0b1007,   // eu.su.ny_644 lt.lv.pt_332  hu.sw.rw_654 lt.es.lv_432 
  0x2b295504, 0x06120c0b, 0x044423a9, 0x30120507,   // rw.sl.vi_332 sv.hu.de_542  ky.kk.ru_544 fr.hu.uz_432 
  0x301e1c09, 0x0417080e, 0x3f131e0c, 0x2f1e1aad,   // id.ms.uz_444 uk.sr.ru_555  ms.et.af_543 tl.ms.su_643 
  // [de40]
  0x12001a19, 0x135607a4, 0x12190508, 0x2f00190d,   // tl.hu.un_750 it.mg.et_433  fr.gl.hu_443 gl.su.un_540 
  0x35083011, 0x2d0c30ee, 0x080f2907, 0x182128ac,   // uz.uk.tg_653 uz.sv.sk_422  sl.lv.no_432 sw.jw.ga_632 
  0x1f032a04, 0x0700010c, 0x234410a4, 0x21282f0c,   // mt.nl.cy_332 en.it.un_530  be.kk.ky_433 su.sw.jw_543 
  0x061f730c, 0x122f30a0, 0x251e1c07, 0x212f1c11,   // ny.cy.de_543 uz.su.hu_322  id.ms.eu_432 id.su.jw_653 
  // [de50]
  0x01202804, 0x1e1c11a9, 0x271f25a9, 0x1f002d08,   // sw.sq.en_332 ro.id.ms_544  eu.cy.gd_544 sk.cy.un_430 
  0x28000420, 0x3727180c, 0x18270304, 0x3f00040c,   // fi.sw.un_850 ga.gd.st_543  nl.gd.ga_332 fi.af.un_530 
  0x6b1201a0, 0x13303d12, 0x2f370109, 0x2b00190c,   // en.hu.ceb_322 ku.uz.et_654  en.st.su_444 gl.vi.un_530 
  0x273f0360, 0x6b3d27a0, 0x031837a7, 0x530b19ee,   // nl.af.gd_664 gd.ku.ceb_322  st.ga.nl_532 gl.es.ht_422 
  // [de60]
  0x2700050c, 0x04441055, 0x2f2723ee, 0x19253114,   // fr.gd.un_530 be.kk.ru_442  ca.gd.su_422 az.eu.gl_666 
  0x04003f22, 0x1f052304, 0x303106af, 0x2b2f1c0c,   // af.fi.un_870 ca.fr.cy_332  de.az.uz_655 id.su.vi_543 
  0x13000e19, 0x0c001808, 0x6b211ea9, 0x2d0d04ec,   // is.et.un_750 ga.sv.un_430  ms.jw.ceb_544 fi.cs.sk_644 
  0x033f2fa9, 0x13060f07, 0x29111e0b, 0x203d3104,   // su.af.nl_544 lv.de.et_432  ms.ro.sl_542 az.ku.sq_332 
  // [de70]
  0x1b130507, 0x6b130e08, 0x031c23a0, 0x30135304,   // fr.et.tr_432 is.et.ceb_443  ca.id.nl_322 ht.et.uz_332 
  0x10271812, 0x561b310c, 0x27183f14, 0x10300f12,   // ga.gd.lt_654 az.tr.mg_543  af.ga.gd_666 lv.uz.lt_654 
  0x565323a0, 0x0719010c, 0x170810af, 0x015319ee,   // ca.ht.mg_322 en.gl.it_543  be.uk.sr_655 gl.ht.en_422 
  0x0e033f13, 0x2a2305a4, 0x1f023f04, 0x292311ac,   // af.nl.is_665 fr.ca.mt_433  af.da.cy_332 ro.ca.sl_632 
  // [de80]
  0x0c121f12, 0x0d313005, 0x130407a4, 0x05533fee,   // cy.hu.sv_654 uz.az.cs_333  it.fi.et_433 af.ht.fr_422 
  0x283031af, 0x29002a2b, 0x09003f09, 0x04321605,   // az.uz.sw_655 mt.sl.un_980  af.pl.un_440 hr.bs.fi_333 
  0x373d23ad, 0x1f3f03ad, 0x21001229, 0x2330350b,   // ca.ku.st_643 nl.af.cy_643  ur.fa.un_960 tg.uz.ky_542 
  0x354404a4, 0x12040c05, 0x0e000c11, 0x3000170e,   // ru.kk.tg_433 sv.fi.hu_333  sv.is.un_630 sr.uz.un_550 
  // [de90]
  0x21303107, 0x17440804, 0x102d1605, 0x19231108,   // az.uz.jw_432 uk.kk.sr_332  hr.sk.lt_333 ro.ca.gl_443 
  0x6b001109, 0x300407ee, 0x350711a7, 0x0f161713,   // ro.ceb.un_440 bg.ru.uz_422  ro.bg.tg_532 sr.hr.lv_665 
  0x13001e02, 0x1a002904, 0x1a1e10a4, 0x0e1c06a9,   // ms.et.un_220 sl.tl.un_320  lt.ms.tl_433 de.id.is_544 
  0x13182704, 0x131e1c09, 0x2a7364ee, 0x10530c04,   // gd.ga.et_332 id.ms.et_444  lg.ny.mt_422 sv.ht.lt_332 
  // [dea0]
  0x13551205, 0x03001e08, 0x37000b04, 0x0f003114,   // hu.rw.et_333 ms.nl.un_430  es.st.un_320 az.lv.un_660 
  0x0f2f0e07, 0x21641a0c, 0x301353a6, 0x2f123708,   // is.su.lv_432 tl.lg.jw_543  ht.et.uz_521 st.hu.su_443 
  0x09202a04, 0x11232a05, 0x2a110707, 0x04070813,   // mt.sq.pl_332 mt.ca.ro_333  it.ro.mt_432 uk.bg.ru_665 
  0x202a73a7, 0x21300e07, 0x1a1e1c0c, 0x21291855,   // ny.mt.sq_532 is.uz.jw_432  id.ms.tl_543 ga.sl.jw_442 
  // [deb0]
  0x13215308, 0x07001b04, 0x0c1f0e0c, 0x1f0123a4,   // ht.jw.et_443 tr.it.un_320  is.cy.sv_543 ca.en.cy_433 
  0x032806ad, 0x192a0b07, 0x30731f0c, 0x161b310c,   // de.sw.nl_643 es.mt.gl_432  cy.ny.uz_543 az.tr.hr_543 
  0x0d0910a0, 0x2f00110d, 0x0c030e0c, 0x1f060e0e,   // lt.pl.cs_322 ro.su.un_540  is.nl.sv_543 is.de.cy_555 
  0x321816ee, 0x30280ea4, 0x200b18a0, 0x16202804,   // hr.ga.bs_422 is.sw.uz_433  ga.es.sq_322 sw.sq.hr_332 
  // [dec0]
  0x2f043011, 0x6e1e1c08, 0x21097355, 0x1f001e08,   // uz.fi.su_653 id.ms.hmn_443  ny.pl.jw_442 ms.cy.un_430 
  0x1118250c, 0x27001802, 0x64287313, 0x101704ad,   // eu.ga.ro_543 ga.gd.un_220  ny.sw.lg_665 ru.sr.be_643 
  0x642f21ee, 0x122f3dad, 0x230b07ee, 0x53007309,   // jw.su.lg_422 ku.su.hu_643  it.es.ca_422 ny.ht.un_440 
  0x130b3d0c, 0x1c0921ad, 0x306e1a04, 0x73211ca0,   // ku.es.et_543 jw.pl.id_643  tl.hmn.uz_332 id.jw.ny_322 
  // [ded0]
  0x0a101104, 0x56000107, 0x07001b21, 0x0800021a,   // ro.lt.pt_332 en.mg.un_420  tr.it.un_860 da.no.un_760 
  0x531b30ad, 0x28005312, 0x17043502, 0x3f311b04,   // uz.tr.ht_643 ht.sw.un_640  tg.ru.sr_222 tr.az.af_332 
  0x1b00301a, 0x25123d04, 0x1a6e28ee, 0x2f6473a4,   // uz.tr.un_760 ku.hu.eu_332  sw.hmn.tl_422 ny.lg.su_433 
  0x0a1723a0, 0x322916ee, 0x04001f0d, 0x080c2702,   // ky.sr.mk_322 hr.sl.bs_422  cy.fi.un_540 gd.sv.no_222 
  // [dee0]
  0x13120609, 0x06032d02, 0x25001e05, 0x201e1c55,   // de.hu.et_444 sk.nl.de_222  ms.eu.un_330 id.ms.sq_442 
  0x12311b08, 0x37556bec, 0x2d0d64a4, 0x050a6407,   // tr.az.hu_443 ceb.rw.st_644  lg.cs.sk_433 lg.pt.fr_432 
  0x122f230c, 0x08071107, 0x0f020c07, 0x23001a08,   // ca.su.hu_543 ro.bg.uk_432  sv.da.lv_432 tl.ca.un_430 
  0x0700250c, 0x27251e04, 0x0720080c, 0x18121baf,   // eu.it.un_530 ms.eu.gd_332  no.sq.it_543 tr.hu.ga_655 
  // [def0]
  0x192311a7, 0x04373060, 0x271a6ba0, 0x081011ad,   // ro.ca.gl_532 uz.st.fi_664  ceb.tl.gd_322 ro.be.uk_643 
  0x53001012, 0x040a230c, 0x230f0b13, 0x231131a0,   // lt.ht.un_640 ky.mk.ru_543  es.lv.ca_665 az.ro.ca_322 
  0x27000a08, 0x0a002102, 0x10182708, 0x212306ee,   // pt.gd.un_430 jw.pt.un_220  gd.ga.lt_443 de.ca.jw_422 
  0x110723ad, 0x16123705, 0x561904ad, 0x060305ee,   // ca.it.ro_643 st.hu.hr_333  fi.gl.mg_643 fr.nl.de_422 
  // [df00]
  0x100a0713, 0x060c0811, 0x1c2d1ea0, 0x3f1b3707,   // bg.mk.be_665 no.sv.de_653  ms.sk.id_322 st.tr.af_432 
  0x0411250c, 0x1b120807, 0x05006b08, 0x09000202,   // eu.ro.fi_543 no.hu.tr_432  ceb.fr.un_430 da.pl.un_220 
  0x0e567308, 0x0a3025a0, 0x073010a0, 0x05000421,   // ny.mg.is_443 eu.uz.pt_322  be.uz.bg_322 fi.fr.un_860 
  0x1156040c, 0x1c2f11ee, 0x3f0513af, 0x27043008,   // fi.mg.ro_543 ro.su.id_422  et.fr.af_655 uz.fi.gd_443 
  // [df10]
  0x282556ec, 0x440810a9, 0x08104411, 0x12000722,   // mg.eu.sw_644 be.uk.kk_544  kk.be.uk_653 it.hu.un_870 
  0x3f000602, 0x0710080d, 0x1900120d, 0x1b0e3d07,   // de.af.un_220 uk.be.bg_554  hu.gl.un_540 ku.is.tr_432 
  0x17000419, 0x0435235a, 0x05202509, 0x0e002522,   // ru.sr.un_750 ky.tg.ru_553  eu.sq.fr_444 eu.is.un_870 
  0x0e100f0d, 0x08073007, 0x25040ea4, 0x0f1305a7,   // lv.lt.is_554 uz.bg.uk_432  is.fi.eu_433 fr.et.lv_532 
  // [df20]
  0x232725ad, 0x20003d0c, 0x13080214, 0x131b3d08,   // eu.gd.ca_643 ku.sq.un_530  da.no.et_666 ku.tr.et_443 
  0x2b0810a4, 0x13005314, 0x011310a7, 0x311b3d55,   // lt.no.vi_433 ht.et.un_660  lt.et.en_532 ku.tr.az_442 
  0x17083507, 0x0d11085a, 0x172855ee, 0x302a25a7,   // tg.uk.sr_432 no.ro.cs_553  rw.sw.sr_422 eu.mt.uz_532 
  0x531129a0, 0x1e1c0a02, 0x1f012aa0, 0x010e1007,   // sl.ro.ht_322 pt.id.ms_222  mt.en.cy_322 lt.is.en_432 
  // [df30]
  0x12000314, 0x23182707, 0x736b3705, 0x0223250c,   // nl.hu.un_660 gd.ga.ca_432  st.ceb.ny_333 eu.ca.da_543 
  0x6e002d08, 0x53006e08, 0x3200130c, 0x2800251a,   // sk.hmn.un_430 hmn.ht.un_430  et.bs.un_530 eu.sw.un_760 
  0x04302012, 0x6b042007, 0x12003f05, 0x2a1b3113,   // sq.uz.fi_654 sq.fi.ceb_432  af.hu.un_330 az.tr.mt_665 
  0x10040712, 0x2a0725a0, 0x16111a07, 0x04104404,   // bg.ru.be_654 eu.it.mt_322  tl.ro.hr_432 kk.be.ru_332 
  // [df40]
  0x2a00010c, 0x6400121b, 0x311a6b0c, 0x10001f04,   // en.mt.un_530 hu.lg.un_770  ceb.tl.az_543 cy.lt.un_320 
  0x2a285511, 0x1200190e, 0x0b0a1ca0, 0x230735a0,   // rw.sw.mt_653 gl.hu.un_550  id.pt.es_322 tg.bg.ky_322 
  0x04001723, 0x05000d0d, 0x0a17040d, 0x08173007,   // sr.ru.un_880 cs.fr.un_540  ru.sr.mk_554 uz.sr.uk_432 
  0x19000708, 0x0e270607, 0x6b0a1911, 0x32091004,   // it.gl.un_430 de.gd.is_432  gl.pt.ceb_653 lt.pl.bs_332 
  // [df50]
  0x533f2a05, 0x353008a4, 0x08110a05, 0x010a56a0,   // mt.af.ht_333 uk.uz.tg_433  mk.ro.uk_333 mg.pt.en_322 
  0x091f3fa7, 0x10042907, 0x100f1702, 0x12000e1b,   // af.cy.pl_532 sl.fi.lt_432  sr.lv.lt_222 is.hu.un_770 
  0x6b321602, 0x0c082107, 0x282a5655, 0x07030611,   // hr.bs.ceb_222 jw.no.sv_432  mg.mt.sw_442 de.nl.it_653 
  0x02002d04, 0x08023fec, 0x3f000336, 0x730b010c,   // sk.da.un_320 af.da.no_644  nl.af.un_AA0 en.es.ny_543 
  // [df60]
  0x2b102005, 0x0f00092a, 0x0f005613, 0x290d01a9,   // sq.lt.vi_333 pl.lv.un_970  mg.lv.un_650 en.cs.sl_544 
  0x21122f08, 0x18272a04, 0x100f17a0, 0x100f01a9,   // su.hu.jw_443 mt.gd.ga_332  sr.lv.lt_322 en.lv.lt_544 
  0x1805080b, 0x12000f12, 0x3f0409ec, 0x085323ad,   // no.fr.ga_542 lv.hu.un_640  pl.fi.af_644 ca.ht.no_643 
  0x1f003f02, 0x310e0111, 0x17350aad, 0x2d09300c,   // af.cy.un_220 en.is.az_653  mk.tg.sr_643 uz.pl.sk_543 
  // [df70]
  0x250410ad, 0x0f0c3fa9, 0x55092da4, 0x082519ee,   // lt.fi.eu_643 af.sv.lv_544  sk.pl.rw_433 gl.eu.no_422 
  0x0f080208, 0x32080ca4, 0x080227a4, 0x030625af,   // da.no.lv_443 sv.no.bs_433  gd.da.no_433 eu.de.nl_655 
  0x55212faf, 0x0f000308, 0x30092daf, 0x2f53020c,   // su.jw.rw_655 nl.lv.un_430  sk.pl.uz_655 da.ht.su_543 
  0x735628a9, 0x06005309, 0x6b301307, 0x042053a7,   // sw.mg.ny_544 ht.de.un_440  et.uz.ceb_432 ht.sq.fi_532 
  // [df80]
  0x562001a0, 0x37201ba4, 0x17352307, 0x29093d0c,   // en.sq.mg_322 tr.sq.st_433  ky.tg.sr_432 ku.pl.sl_543 
  0x19001702, 0x550c02a0, 0x2f136b0c, 0x0c3d23ec,   // sr.gl.un_220 da.sv.rw_322  ceb.et.su_543 ca.ku.sv_644 
  0x0b236b05, 0x136b1aad, 0x080c55a0, 0x0f100a11,   // ceb.ca.es_333 tl.ceb.et_643  rw.sv.no_322 pt.lt.lv_653 
  0x2f071807, 0x305513a4, 0x1b30100d, 0x1a5513a4,   // ga.it.su_432 et.rw.uz_433  lt.uz.tr_554 et.rw.tl_433 
  // [df90]
  0x17090dee, 0x07002702, 0x190b0fa0, 0x03533f05,   // cs.pl.sr_422 gd.it.un_220  lv.es.gl_322 af.ht.nl_333 
  0x1a2f2107, 0x10040f0c, 0x101744a4, 0x210a3da7,   // jw.su.tl_432 lv.fi.lt_543  kk.sr.be_433 ku.pt.jw_532 
  0x211e2f55, 0x1c1b1e0d, 0x0b0a2505, 0x0f1729a4,   // su.ms.jw_442 ms.tr.id_554  eu.pt.es_333 sl.sr.lv_433 
  0x0d1b53a0, 0x06031b0c, 0x25080c04, 0x0f000602,   // ht.tr.cs_322 tr.nl.de_543  sv.no.eu_332 de.lv.un_220 
  // [dfa0]
  0x31002a02, 0x282f3008, 0x0e1a6bec, 0x040c1312,   // mt.az.un_220 uz.su.sw_443  ceb.tl.is_644 et.sv.fi_654 
  0x0f001007, 0x1b0c0a0c, 0x536b1a11, 0x6b041c07,   // lt.lv.un_420 pt.sv.tr_543  tl.ceb.ht_653 id.fi.ceb_432 
  0x0a002a02, 0x440804a9, 0x56530504, 0x6b1f55ee,   // mt.pt.un_220 ru.uk.kk_544  fr.ht.mg_332 rw.cy.ceb_422 
  0x55212f08, 0x53642808, 0x1b110507, 0x25051902,   // su.jw.rw_443 sw.lg.ht_443  fr.ro.tr_432 gl.fr.eu_222 
  // [dfb0]
  0x64551a5a, 0x0b0a05a0, 0x100844ec, 0x0a181c02,   // tl.rw.lg_553 fr.pt.es_322  kk.uk.be_644 id.ga.pt_222 
  0x64251007, 0x53000a08, 0x163d290c, 0x64553008,   // lt.eu.lg_432 pt.ht.un_430  sl.ku.hr_543 uz.rw.lg_443 
  0x21190bec, 0x311b3d08, 0x10005608, 0x012b08a4,   // es.gl.jw_644 ku.tr.az_443  mg.lt.un_430 no.vi.en_433 
  0x103508a4, 0x05002519, 0x735528a7, 0x12171609,   // uk.tg.be_433 eu.fr.un_750  sw.rw.ny_532 hr.sr.hu_444 
  // [dfc0]
  0x11250512, 0x1100050c, 0x1a016ba0, 0x090a2daf,   // fr.eu.ro_654 fr.ro.un_530  ceb.en.tl_322 sk.pt.pl_655 
  0x12050eee, 0x06291105, 0x04132f04, 0x53112911,   // is.fr.hu_422 ro.sl.de_333  su.et.fi_332 sl.ro.ht_653 
  0x1330210c, 0x6b1318a0, 0x2d1806a4, 0x1a6b20ee,   // jw.uz.et_543 ga.et.ceb_322  de.ga.sk_433 sq.ceb.tl_422 
  0x07735655, 0x56003d0c, 0x2a202da0, 0x0d162dac,   // mg.ny.it_442 ku.mg.un_530  sk.sq.mt_322 sk.hr.cs_632 
  // [dfd0]
  0x111f3fa0, 0x1e315611, 0x07230105, 0x250113a0,   // af.cy.ro_322 mg.az.ms_653  en.ca.it_333 et.en.eu_322 
  0x130e280d, 0x735531af, 0x0c27180c, 0x0a000518,   // sw.is.et_554 az.rw.ny_655  ga.gd.sv_543 fr.pt.un_740 
  0x2a2d730c, 0x3f002708, 0x17113008, 0x55000e04,   // ny.sk.mt_543 gd.af.un_430  uz.ro.sr_443 is.rw.un_320 
  0x1f002b11, 0x11080709, 0x2500290c, 0x2873530c,   // vi.cy.un_630 bg.uk.ro_444  sl.eu.un_530 ht.ny.sw_543 
  // [dfe0]
  0x131a1f02, 0x11000d07, 0x2d1b3107, 0x12000514,   // cy.tl.et_222 cs.ro.un_420  az.tr.sk_432 fr.hu.un_660 
  0x1c0b180c, 0x73125612, 0x18007308, 0x12050a08,   // ga.es.id_543 mg.hu.ny_654  ny.ga.un_430 pt.fr.hu_443 
  0x35101112, 0x732856a4, 0x2a2906ee, 0x5653120c,   // ro.be.tg_654 mg.sw.ny_433  de.sl.mt_422 hu.ht.mg_543 
  0x561b28a4, 0x0500190c, 0x552f210e, 0x0c001312,   // sw.tr.mg_433 gl.fr.un_530  jw.su.rw_555 et.sv.un_640 
  // [dff0]
  0x1f2b18ee, 0x17004412, 0x3f2705a0, 0x131c0d0c,   // ga.vi.cy_422 kk.sr.un_640  fr.gd.af_322 ne.mr.bh_543 
  0x2b18270b, 0x17350811, 0x3d101baf, 0x00001837,   // gd.ga.vi_542 uk.tg.sr_653  tr.lt.ku_655 ar.un.un_B00 
  0x121a10a4, 0x10313f5a, 0x021708a9, 0x12190512,   // lt.tl.hu_433 af.az.lt_553  no.sr.da_544 fr.gl.hu_654 
  0x3d002d1a, 0x0e040c04, 0x02005302, 0x27071111,   // sk.ku.un_760 sv.fi.is_332  ht.da.un_220 ro.it.gd_653 
  
  // [e000]
  0x02001102, 0x301306a4, 0x0f0906a6, 0x3f00060e,   // ro.da.un_220 de.et.uz_433  de.pl.lv_521 de.af.un_550 
  0x0a35070c, 0x0817040d, 0x102d0d02, 0x211c73a6,   // bg.tg.mk_543 ru.sr.uk_554  cs.sk.lt_222 ny.id.jw_521 
  0x170823ad, 0x21303104, 0x1e000605, 0x0b1905ee,   // ky.uk.sr_643 az.uz.jw_332  de.ms.un_330 fr.gl.es_422 
  0x1a200607, 0x0b00550c, 0x0c20290c, 0x111008ec,   // de.sq.tl_432 rw.es.un_530  sl.sq.sv_543 uk.be.ro_644 
  // [e010]
  0x1c0330a7, 0x06302055, 0x190d20a0, 0x081004ac,   // uz.nl.id_532 sq.uz.de_442  sq.cs.gl_322 ru.be.uk_632 
  0x321b20a0, 0x2f006404, 0x2d0d07ee, 0x0c0511a6,   // sq.tr.bs_322 lg.su.un_320  it.cs.sk_422 ro.fr.sv_521 
  0x17351107, 0x090f2955, 0x0d0a2da4, 0x3013045a,   // ro.tg.sr_432 sl.lv.pl_442  sk.pt.cs_433 fi.et.uz_553 
  0x1f003014, 0x06281a02, 0x1b1e0ea0, 0x01000404,   // uz.cy.un_660 tl.sw.de_222  is.ms.tr_322 fi.en.un_320 
  // [e020]
  0x2d002104, 0x230c07a4, 0x2320010c, 0x18192705,   // jw.sk.un_320 it.sv.ca_433  en.sq.ca_543 gd.gl.ga_333 
  0x040c1304, 0x3f020304, 0x0f1612a4, 0x122f2307,   // et.sv.fi_332 nl.da.af_332  hu.hr.lv_433 ca.su.hu_432 
  0x06006402, 0x091b3007, 0x2b000307, 0x070a115a,   // lg.de.un_220 uz.tr.pl_432  nl.vi.un_420 ro.mk.bg_553 
  0x44081005, 0x0f0973ad, 0x07012a14, 0x1c001704,   // be.uk.kk_333 ny.pl.lv_643  mt.en.it_666 sr.id.un_320 
  // [e030]
  0x033f0709, 0x64552fad, 0x3700560d, 0x20000e08,   // it.af.nl_444 su.rw.lg_643  mg.st.un_540 is.sq.un_430 
  0x102d3204, 0x09532107, 0x0f731302, 0x0a072aa4,   // bs.sk.lt_332 jw.ht.pl_432  et.ny.lv_222 mt.it.pt_433 
  0x2b001019, 0x28212f13, 0x04001105, 0x6b2f5307,   // lt.vi.un_750 su.jw.sw_665  ro.fi.un_330 ht.su.ceb_432 
  0x09736b13, 0x2b102fa0, 0x29002a0e, 0x5500370c,   // ceb.ny.pl_665 su.lt.vi_322  mt.sl.un_550 st.rw.un_530 
  // [e040]
  0x2153640d, 0x5621530b, 0x27000708, 0x1f6473a0,   // lg.ht.jw_554 ht.jw.mg_542  it.gd.un_430 ny.lg.cy_322 
  0x6400730e, 0x562f3712, 0x73532155, 0x05002507,   // ny.lg.un_550 st.su.mg_654  jw.ht.ny_442 eu.fr.un_420 
  0x102311ee, 0x21736b0c, 0x300411ee, 0x7310300c,   // ro.ky.be_422 ceb.ny.jw_543  ro.ru.uz_422 uz.lt.ny_543 
  0x1e1c0308, 0x2300120d, 0x2d560112, 0x060e0107,   // nl.id.ms_443 hu.ca.un_540  en.mg.sk_654 en.is.de_432 
  // [e050]
  0x0a2312b2, 0x04000519, 0x0f102955, 0x1f0103a0,   // hu.ca.pt_732 fr.fi.un_750  sl.lt.lv_442 nl.en.cy_322 
  0x0410230c, 0x08130ca0, 0x29105613, 0x0a0512bb,   // ky.be.ru_543 sv.et.no_322  mg.lt.sl_665 hu.fr.pt_854 
  0x180a12ac, 0x320f1007, 0x110408a0, 0x06040504,   // hu.pt.ga_632 lt.lv.bs_432  no.fi.ro_322 fr.fi.de_332 
  0x04002012, 0x0a081005, 0x1044230c, 0x351030a9,   // sq.fi.un_640 be.uk.mk_333  ky.kk.be_543 uz.be.tg_544 
  // [e060]
  0x44102307, 0x0407100c, 0x02100f07, 0x07440aa0,   // ky.be.kk_432 be.bg.ru_543  lv.lt.da_432 mk.kk.bg_322 
  0x073023ad, 0x04033fa0, 0x06003d0c, 0x11072d0c,   // ky.uz.bg_643 af.nl.fi_322  ku.de.un_530 sk.it.ro_543 
  0x17103504, 0x310630ee, 0x300408a6, 0x042010af,   // tg.be.sr_332 uz.de.az_422  uk.ru.uz_521 lt.sq.fi_655 
  0x0717300c, 0x1a0405ad, 0x252d0507, 0x3100030d,   // uz.sr.bg_543 fr.fi.tl_643  fr.sk.eu_432 nl.az.un_540 
  // [e070]
  0x10181f07, 0x2d211f0c, 0x253d3007, 0x100513ee,   // cy.ga.lt_432 cy.jw.sk_543  uz.ku.eu_432 et.fr.lt_422 
  0x1b0405a7, 0x642873a7, 0x0a070814, 0x18030612,   // fr.fi.tr_532 ny.sw.lg_532  uk.bg.mk_666 de.nl.ga_654 
  0x2d293da0, 0x10001708, 0x250730ee, 0x0b0d040c,   // ku.sl.sk_322 sr.be.un_430  uz.it.eu_422 fi.cs.es_543 
  0x300d3fee, 0x03233f02, 0x55003002, 0x13647304,   // af.cs.uz_422 af.ca.nl_222  uz.rw.un_220 ny.lg.et_332 
  // [e080]
  0x1f005309, 0x1f1220ec, 0x0110070c, 0x111320ee,   // ht.cy.un_440 sq.hu.cy_644  it.lt.en_543 sq.et.ro_422 
  0x1e1c2da4, 0x07251108, 0x440a070d, 0x561137ec,   // sk.id.ms_433 ro.eu.it_443  bg.mk.kk_554 st.ro.mg_644 
  0x212f1ba9, 0x040817ad, 0x640f28a7, 0x35070a08,   // tr.su.jw_544 sr.uk.ru_643  sw.lv.lg_532 mk.bg.tg_443 
  0x040a0812, 0x290d53a0, 0x211f2fad, 0x0a530107,   // uk.mk.ru_654 ht.cs.sl_322  su.cy.jw_643 en.ht.pt_432 
  // [e090]
  0x1e23055a, 0x06201ea0, 0x2a101304, 0x0f300402,   // fr.ca.ms_553 ms.sq.de_322  et.lt.mt_332 fi.uz.lv_222 
  0x0410080b, 0x2d002804, 0x2f5321a0, 0x0e08100c,   // uk.be.ru_542 sw.sk.un_320  jw.ht.su_322 lt.no.is_543 
  0x174407a9, 0x0407100d, 0x44040704, 0x29001302,   // bg.kk.sr_544 be.bg.ru_554  bg.ru.kk_332 et.sl.un_220 
  0x0a0710a9, 0x181221ac, 0x35111160, 0x0e0c0802,   // be.bg.mk_544 fa.ur.ar_632  ro.ro.tg_664 no.sv.is_222 
  // [e0a0]
  0x28131a0c, 0x32123007, 0x0b0528a7, 0x063f035a,   // tl.et.sw_543 uz.hu.bs_432  sw.fr.es_532 nl.af.de_553 
  0x286b07ee, 0x300704ad, 0x0d000b04, 0x311b1cec,   // it.ceb.sw_422 ru.bg.uz_643  es.cs.un_320 id.tr.az_644 
  0x32311bee, 0x18000619, 0x02001704, 0x1f052307,   // tr.az.bs_422 de.ga.un_750  sr.da.un_320 ca.fr.cy_432 
  0x030618a7, 0x083035ec, 0x30001307, 0x73182112,   // ga.de.nl_532 tg.uz.uk_644  et.uz.un_420 jw.ga.ny_654 
  // [e0b0]
  0x073508a6, 0x1103060c, 0x25115309, 0x06000414,   // uk.tg.bg_521 de.nl.ro_543  ht.ro.eu_444 fi.de.un_660 
  0x090f7309, 0x111328a0, 0x2d0d25af, 0x18000b02,   // ny.lv.pl_444 sw.et.ro_322  eu.cs.sk_655 es.ga.un_220 
  0x0f17290b, 0x01642aa7, 0x1e1f1c07, 0x6b00090c,   // sl.sr.lv_542 mt.lg.en_532  id.cy.ms_432 pl.ceb.un_530 
  0x2a0703a0, 0x080a170b, 0x0e000407, 0x10060955,   // nl.it.mt_322 sr.mk.uk_542  fi.is.un_420 pl.de.lt_442 
  // [e0c0]
  0x16296b07, 0x090312ec, 0x18041f07, 0x2f3d1207,   // ceb.sl.hr_432 hu.nl.pl_644  cy.fi.ga_432 hu.ku.su_432 
  0x11000513, 0x3000211a, 0x13252d08, 0x2d0f1707,   // fr.ro.un_650 jw.uz.un_760  sk.eu.et_443 sr.lv.sk_432 
  0x10055607, 0x0a1007a0, 0x2f2864a0, 0x0408440c,   // mg.fr.lt_432 bg.be.mk_322  lg.sw.su_322 kk.uk.ru_543 
  0x7300270d, 0x20060c5a, 0x09066413, 0x1f060ea9,   // gd.ny.un_540 sv.de.sq_553  lg.de.pl_665 is.de.cy_544 
  // [e0d0]
  0x2f001907, 0x08104412, 0x1300060e, 0x03002318,   // gl.su.un_420 kk.be.uk_654  de.et.un_550 ca.nl.un_740 
  0x100a2313, 0x30231007, 0x17353009, 0x10002013,   // ky.mk.be_665 be.ky.uz_432  uz.tg.sr_444 sq.lt.un_650 
  0x18001308, 0x7300641a, 0x1f000614, 0x44070411,   // et.ga.un_430 lg.ny.un_760  de.cy.un_660 ru.bg.kk_653 
  0x0e000c21, 0x160f1bad, 0x25647360, 0x08063fa0,   // sv.is.un_860 tr.lv.hr_643  ny.lg.eu_664 af.de.no_322 
  // [e0e0]
  0x0c00730d, 0x210f3107, 0x1b002812, 0x191206a6,   // ny.sv.un_540 az.lv.jw_432  sw.tr.un_640 de.hu.gl_521 
  0x3f28370c, 0x27121a07, 0x1a001221, 0x2a001f0b,   // st.sw.af_543 tl.hu.gd_432  hu.tl.un_860 cy.mt.un_520 
  0x07171109, 0x1b3055ec, 0x20211212, 0x37283102,   // ro.sr.bg_444 rw.uz.tr_644  hu.jw.sq_654 az.sw.st_222 
  0x1b736b02, 0x6400250e, 0x1b005507, 0x0c002b04,   // ceb.ny.tr_222 eu.lg.un_550  rw.tr.un_420 vi.sv.un_320 
  // [e0f0]
  0x12100455, 0x1b06120e, 0x2a0410ad, 0x20123712,   // fi.lt.hu_442 hu.de.tr_555  lt.fi.mt_643 st.hu.sq_654 
  0x0709190d, 0x12377313, 0x110a07af, 0x046b56ec,   // gl.pl.it_554 ny.st.hu_665  it.pt.ro_655 mg.ceb.fi_644 
  0x282f30ec, 0x01271807, 0x171156a9, 0x04100aec,   // uz.su.sw_644 ga.gd.en_432  mg.ro.sr_544 mk.be.ru_644 
  0x041e1c0d, 0x11100f13, 0x04132a07, 0x0800351a,   // id.ms.fi_554 lv.lt.ro_665  mt.et.fi_432 tg.uk.un_760 
  // [e100]
  0x551b560c, 0x20063f0b, 0x27111812, 0x0a3207a0,   // mg.tr.rw_543 af.de.sq_542  ga.ro.gd_654 it.bs.pt_322 
  0x03093f04, 0x25553d09, 0x29120707, 0x10003f08,   // af.pl.nl_332 ku.rw.eu_444  it.hu.sl_432 af.lt.un_430 
  0x10250460, 0x100453ec, 0x553d6baf, 0x552a3d04,   // fi.eu.lt_664 ht.fi.lt_644  ceb.ku.rw_655 ku.mt.rw_332 
  0x0f565504, 0x32172911, 0x2f301ea7, 0x55003013,   // rw.mg.lv_332 sl.sr.bs_653  ms.uz.su_532 uz.rw.un_650 
  // [e110]
  0x131204af, 0x20000508, 0x16122fee, 0x32172d0c,   // fi.hu.et_655 fr.sq.un_430  su.hu.hr_422 sk.sr.bs_543 
  0x12003702, 0x16375504, 0x05070da0, 0x31286bee,   // st.hu.un_220 rw.st.hr_332  cs.it.fr_322 ceb.sw.az_422 
  0x031237a4, 0x183f13a0, 0x0d00100c, 0x03000119,   // st.hu.nl_433 et.af.ga_322  lt.cs.un_530 en.nl.un_750 
  0x3700130b, 0x3f001f0d, 0x110301ad, 0x130c0607,   // et.st.un_520 cy.af.un_540  en.nl.ro_643 de.sv.et_432 
  // [e120]
  0x2f561e02, 0x090d050d, 0x10111155, 0x1b64280b,   // ms.mg.su_222 fr.cs.pl_554  ro.ro.be_442 sw.lg.tr_542 
  0x130c04a7, 0x02001812, 0x311b11ac, 0x2d0d2855,   // fi.sv.et_532 ga.da.un_640  ro.tr.az_632 sw.cs.sk_442 
  0x02001108, 0x084404ec, 0x07004409, 0x10002f04,   // ro.da.un_430 ru.kk.uk_644  kk.bg.un_440 su.lt.un_320 
  0x2d001708, 0x311b1e0c, 0x27000105, 0x23043002,   // sr.sk.un_430 ms.tr.az_543  en.gd.un_330 uz.ru.ky_222 
  // [e130]
  0x3217030c, 0x2f001c12, 0x102317a4, 0x17002002,   // nl.sr.bs_543 id.su.un_640  sr.ky.be_433 sq.sr.un_220 
  0x302864a9, 0x02001702, 0x122f1902, 0x0b2f2802,   // lg.sw.uz_544 sr.da.un_220  gl.su.hu_222 sw.su.es_222 
  0x03321704, 0x273155ec, 0x56000704, 0x075564ee,   // sr.bs.nl_332 rw.az.gd_644  it.mg.un_320 lg.rw.it_422 
  0x01002902, 0x13040111, 0x3d000807, 0x1b646b02,   // sl.en.un_220 en.fi.et_653  no.ku.un_420 ceb.lg.tr_222 
  // [e140]
  0x0810130c, 0x12551902, 0x063f1ba9, 0x3d3130ee,   // et.lt.no_543 gl.rw.hu_222  tr.af.de_544 uz.az.ku_422 
  0x120425af, 0x643007a0, 0x1f026ea0, 0x0d000c02,   // eu.fi.hu_655 it.uz.lg_322  hmn.da.cy_322 sv.cs.un_220 
  0x64041ba4, 0x0a113505, 0x1a00530c, 0x063028a0,   // tr.fi.lg_433 tg.ro.mk_333  ht.tl.un_530 sw.uz.de_322 
  0x01121ba7, 0x04133005, 0x1e1c37a9, 0x010521a0,   // tr.hu.en_532 uz.et.fi_333  st.id.ms_544 jw.fr.en_322 
  // [e150]
  0x10130cee, 0x1e001b07, 0x100b050c, 0x091f3fa9,   // sv.et.lt_422 tr.ms.un_420  fr.es.lt_543 af.cy.pl_544 
  0x215564ee, 0x01056b07, 0x022d0305, 0x1a311bad,   // lg.rw.jw_422 ceb.fr.en_432  nl.sk.da_333 tr.az.tl_643 
  0x041c1313, 0x0302185a, 0x1b001302, 0x1c251eec,   // et.id.fi_665 ga.da.nl_553  et.tr.un_220 ms.eu.id_644 
  0x21056ea7, 0x0e250fac, 0x02172a04, 0x20292855,   // hmn.fr.jw_532 lv.eu.is_632  mt.sr.da_332 sw.sl.sq_442 
  // [e160]
  0x0f002b07, 0x320928a0, 0x112330ad, 0x120609ec,   // vi.lv.un_420 sw.pl.bs_322  uz.ky.ro_643 pl.de.hu_644 
  0x2f1b2155, 0x28300504, 0x100f0455, 0x3500102b,   // jw.tr.su_442 fr.uz.sw_332  fi.lv.lt_442 be.tg.un_980 
  0x0c001313, 0x05000102, 0x0a1730af, 0x09002913,   // et.sv.un_650 en.fr.un_220  uz.sr.mk_655 sl.pl.un_650 
  0x1f2109a0, 0x11110714, 0x1a130f07, 0x1b0428a0,   // pl.jw.cy_322 bg.ro.ro_666  lv.et.tl_432 sw.fi.tr_322 
  // [e170]
  0x35110aa4, 0x271820ee, 0x25001302, 0x16173212,   // mk.ro.tg_433 sq.ga.gd_422  et.eu.un_220 bs.sr.hr_654 
  0x130c080e, 0x0a001b02, 0x09000d2a, 0x0c001322,   // no.sv.et_555 tr.pt.un_220  ne.hi.un_970 et.sv.un_870 
  0x120106a0, 0x2a005304, 0x130308a4, 0x08003104,   // de.en.hu_322 ht.mt.un_320  no.nl.et_433 az.no.un_320 
  0x2d131702, 0x16001b08, 0x0c083709, 0x31000f04,   // sr.et.sk_222 tr.hr.un_430  st.no.sv_444 lv.az.un_320 
  // [e180]
  0x73642113, 0x1b001805, 0x03053f04, 0x080a0760,   // jw.lg.ny_665 ga.tr.un_330  af.fr.nl_332 bg.mk.uk_664 
  0x2917080c, 0x0a0423ec, 0x03532155, 0x07301708,   // no.sr.sl_543 ky.ru.mk_644  jw.ht.nl_442 sr.uz.bg_443 
  0x1a322fa6, 0x120e18af, 0x080e02ac, 0x16566b07,   // su.bs.tl_521 ga.is.hu_655  da.is.no_632 ceb.mg.hr_432 
  0x53192811, 0x211f1ca0, 0x561328a4, 0x080c03ee,   // sw.gl.ht_653 id.cy.jw_322  sw.et.mg_433 nl.sv.no_422 
  // [e190]
  0x0b0407a7, 0x56211008, 0x6b00101a, 0x6e2d29ad,   // it.fi.es_532 lt.jw.mg_443  lt.ceb.un_760 sl.sk.hmn_643 
  0x12205607, 0x16130d07, 0x64001319, 0x6b1037af,   // mg.sq.hu_432 cs.et.hr_432  et.lg.un_750 st.lt.ceb_655 
  0x1300371b, 0x0a0b10a7, 0x17291a04, 0x0e0d2dee,   // st.et.un_770 lt.es.pt_532  tl.sl.sr_332 sk.cs.is_422 
  0x02005312, 0x13550207, 0x1b7318a9, 0x13001123,   // ht.da.un_640 da.rw.et_432  ga.ny.tr_544 ro.et.un_880 
  // [e1a0]
  0x53230514, 0x08000319, 0x03023dee, 0x0b0a2fa0,   // fr.ca.ht_666 nl.no.un_750  ku.da.nl_422 su.pt.es_322 
  0x10110807, 0x1a000b05, 0x1a002d08, 0x162053a4,   // uk.ro.be_432 es.tl.un_330  sk.tl.un_430 ht.sq.hr_433 
  0x733d01ee, 0x060113a9, 0x6e3719a0, 0x1300010c,   // en.ku.ny_422 et.en.de_544  gl.st.hmn_322 en.et.un_530 
  0x552113ee, 0x1b313d11, 0x0916730c, 0x0c001813,   // et.jw.rw_422 ku.az.tr_653  ny.hr.pl_543 ga.sv.un_650 
  // [e1b0]
  0x061923a0, 0x2d0e0dad, 0x30313da4, 0x2a190a09,   // ca.gl.de_322 cs.is.sk_643  ku.az.uz_433 pt.gl.mt_444 
  0x55006b09, 0x20003013, 0x1b160fa4, 0x20132aad,   // ceb.rw.un_440 uz.sq.un_650  lv.hr.tr_433 mt.et.sq_643 
  0x25303da9, 0x060c0307, 0x1b1f310c, 0x17083555,   // ku.uz.eu_544 nl.sv.de_432  az.cy.tr_543 tg.uk.sr_442 
  0x31000402, 0x06180eee, 0x11200fee, 0x0a3035af,   // fi.az.un_220 is.ga.de_422  lv.sq.ro_422 tg.uz.mk_655 
  // [e1c0]
  0x28182a05, 0x09003f12, 0x30000e0e, 0x010506a0,   // mt.ga.sw_333 af.pl.un_640  is.uz.un_550 de.fr.en_322 
  0x1f000302, 0x1b182713, 0x12003113, 0x232b0c07,   // nl.cy.un_220 gd.ga.tr_665  az.hu.un_650 sv.vi.ca_432 
  0x1004170b, 0x440430ad, 0x55283007, 0x0c04130c,   // sr.ru.be_542 uz.ru.kk_643  uz.sw.rw_432 et.fi.sv_543 
  0x060701ee, 0x0c00131a, 0x3530110c, 0x100502ee,   // en.it.de_422 et.sv.un_760  ro.uz.tg_543 da.fr.lt_422 
  // [e1d0]
  0x031856ee, 0x1b042aa4, 0x2a000d05, 0x0f2012ad,   // mg.ga.nl_422 mt.fi.tr_433  cs.mt.un_330 hu.sq.lv_643 
  0x251b0107, 0x1a285611, 0x251b73ad, 0x23350a04,   // en.tr.eu_432 mg.sw.tl_653  ny.tr.eu_643 mk.tg.ky_332 
  0x233010a4, 0x173725ad, 0x21736455, 0x55102805,   // be.uz.ky_433 eu.st.sr_643  lg.ny.jw_442 sw.lt.rw_333 
  0x0a735607, 0x2a301702, 0x73001b0c, 0x35002322,   // mg.ny.pt_432 sr.uz.mt_222  tr.ny.un_530 ky.tg.un_870 
  // [e1e0]
  0x0e000307, 0x25030604, 0x55253105, 0x2f0f2507,   // nl.is.un_420 de.nl.eu_332  az.eu.rw_333 eu.lv.su_432 
  0x132528a0, 0x73001705, 0x10070804, 0x23001b08,   // sw.eu.et_322 sr.ny.un_330  uk.bg.be_332 tr.ca.un_430 
  0x2a003f08, 0x0c002914, 0x060308a0, 0x1f002b07,   // af.mt.un_430 sl.sv.un_660  no.nl.de_322 vi.cy.un_420 
  0x111628a9, 0x03060955, 0x04531ba0, 0x29060c60,   // sw.hr.ro_544 pl.de.nl_442  tr.ht.fi_322 sv.de.sl_664 
  // [e1f0]
  0x2f002808, 0x0400121a, 0x1a16370c, 0x647328a7,   // sw.su.un_430 hu.fi.un_760  st.hr.tl_543 sw.ny.lg_532 
  0x060304a9, 0x73562807, 0x1a0828ee, 0x170c0612,   // fi.nl.de_544 sw.mg.ny_432  sw.no.tl_422 de.sv.sr_654 
  0x030619ee, 0x64193da7, 0x0e2873a0, 0x1c0f2f08,   // gl.de.nl_422 ku.gl.lg_532  ny.sw.is_322 su.lv.id_443 
  0x53071104, 0x190c010b, 0x290916a4, 0x0200042b,   // ro.it.ht_332 en.sv.gl_542  hr.pl.sl_433 fi.da.un_980 
  // [e200]
  0x29132a09, 0x0c0d2d0c, 0x112307ee, 0x1200041b,   // mt.et.sl_444 sk.cs.sv_543  it.ca.ro_422 fi.hu.un_770 
  0x190556a0, 0x2f200707, 0x2d131212, 0x0d0311a4,   // mg.fr.gl_322 it.sq.su_432  hu.et.sk_654 ro.nl.cs_433 
  0x2f1b20a9, 0x3000051b, 0x0e0864a4, 0x64040e08,   // sq.tr.su_544 fr.uz.un_770  lg.no.is_433 is.fi.lg_443 
  0x132f2a07, 0x297328a4, 0x2a002007, 0x731264a0,   // mt.su.et_432 sw.ny.sl_433  sq.mt.un_420 lg.hu.ny_322 
  // [e210]
  0x131c2f0d, 0x04000e11, 0x090220a0, 0x30640e12,   // su.id.et_554 is.fi.un_630  sq.da.pl_322 is.lg.uz_654 
  0x2f1a6b12, 0x08006408, 0x31000e09, 0x32000e07,   // ceb.tl.su_654 lg.no.un_430  is.az.un_440 is.bs.un_420 
  0x160b10ad, 0x23001313, 0x1e002009, 0x13042909,   // lt.es.hr_643 et.ca.un_650  sq.ms.un_440 sl.fi.et_444 
  0x31190b08, 0x070b06a4, 0x0f190b04, 0x0d002a05,   // es.gl.az_443 de.es.it_433  es.gl.lv_332 mt.cs.un_330 
  // [e220]
  0x07030612, 0x080c6408, 0x08001c08, 0x2300250e,   // de.nl.it_654 lg.sv.no_443  id.no.un_430 eu.ca.un_550 
  0x07060309, 0x040e2102, 0x0c030655, 0x0f103104,   // nl.de.it_444 jw.is.fi_222  de.nl.sv_442 az.lt.lv_332 
  0x310e3d07, 0x010910ad, 0x1b1a0a07, 0x09010504,   // ku.is.az_432 lt.pl.en_643  pt.tl.tr_432 fr.en.pl_332 
  0x03060714, 0x182d0e0c, 0x1c3f030c, 0x170804a0,   // it.de.nl_666 is.sk.ga_543  nl.af.id_543 ru.uk.sr_322 
  // [e230]
  0x03080604, 0x1b2006ac, 0x2a6b01a0, 0x303203a4,   // de.no.nl_332 de.sq.tr_632  en.ceb.mt_322 nl.bs.uz_433 
  0x1744110c, 0x03213fa4, 0x07002a2b, 0x53002322,   // ro.kk.sr_543 af.jw.nl_433  mt.it.un_980 ca.ht.un_870 
  0x354423ad, 0x3d730e08, 0x2f002809, 0x2800101a,   // ky.kk.tg_643 is.ny.ku_443  sw.su.un_440 lt.sw.un_760 
  0x12006419, 0x28121e0c, 0x20001b0d, 0x0c000318,   // lg.hu.un_750 ms.hu.sw_543  tr.sq.un_540 nl.sv.un_740 
  // [e240]
  0x06373f07, 0x0e002b14, 0x1f00230e, 0x12231b08,   // af.st.de_432 vi.is.un_660  ca.cy.un_550 tr.ca.hu_443 
  0x300a07af, 0x11642804, 0x3f1137a7, 0x02000508,   // bg.mk.uz_655 sw.lg.ro_332  st.ro.af_532 fr.da.un_430 
  0x0b110604, 0x270518af, 0x28182a08, 0x28645509,   // de.ro.es_332 ga.fr.gd_655  mt.ga.sw_443 rw.lg.sw_444 
  0x070a05ee, 0x30113105, 0x1812080c, 0x08022309,   // fr.pt.it_422 az.ro.uz_333  no.hu.ga_543 ca.da.no_444 
  // [e250]
  0x011803ee, 0x090c29a4, 0x051101a9, 0x03123f04,   // nl.ga.en_422 sl.sv.pl_433  en.ro.fr_544 af.hu.nl_332 
  0x0d2d270d, 0x050c0107, 0x37007314, 0x300c0713,   // gd.sk.cs_554 en.sv.fr_432  ny.st.un_660 it.sv.uz_665 
  0x27182860, 0x272128ec, 0x07042309, 0x071155ee,   // sw.ga.gd_664 sw.jw.gd_644  ky.ru.bg_444 rw.ro.it_422 
  0x1300050d, 0x110d55a4, 0x2508040c, 0x052707a7,   // fr.et.un_540 rw.cs.ro_433  fi.no.eu_543 it.gd.fr_532 
  // [e260]
  0x0e006e08, 0x733f0360, 0x130706a4, 0x1107230d,   // hmn.is.un_430 nl.af.ny_664  de.it.et_433 ca.it.ro_554 
  0x27180705, 0x0c290107, 0x07001307, 0x23070107,   // it.ga.gd_333 en.sl.sv_432  et.it.un_420 en.it.ca_432 
  0x13071bee, 0x201307a0, 0x2a111814, 0x16290aa9,   // tr.it.et_422 it.et.sq_322  ga.ro.mt_666 pt.sl.hr_544 
  0x21002009, 0x3f125302, 0x280c200c, 0x05000805,   // sq.jw.un_440 ht.hu.af_222  sq.sv.sw_543 no.fr.un_330 
  // [e270]
  0x073023a9, 0x21002a12, 0x0b0a0da6, 0x0c5605a0,   // ky.uz.bg_544 mt.jw.un_640  cs.pt.es_521 fr.mg.sv_322 
  0x232a0708, 0x1907235a, 0x08442302, 0x0b040f04,   // it.mt.ca_443 ca.it.gl_553  ky.kk.uk_222 lv.fi.es_332 
  0x2d005607, 0x0a04080d, 0x2a00111a, 0x0900250e,   // mg.sk.un_420 uk.ru.mk_554  ro.mt.un_760 eu.pl.un_550 
  0x0a300807, 0x0900551b, 0x05005319, 0x641a6b0d,   // uk.uz.mk_432 rw.pl.un_770  ht.fr.un_750 ceb.tl.lg_554 
  // [e280]
  0x0835175a, 0x033f27a0, 0x185509ad, 0x64550960,   // sr.tg.uk_553 gd.af.nl_322  pl.rw.ga_643 pl.rw.lg_664 
  0x190955a4, 0x353010af, 0x55002902, 0x44170402,   // rw.pl.gl_433 be.uz.tg_655  sl.rw.un_220 ru.sr.kk_222 
  0x182f0512, 0x21005305, 0x0e000f1a, 0x07170804,   // fr.su.ga_654 ht.jw.un_330  lv.is.un_760 uk.sr.bg_332 
  0x2100530c, 0x21005322, 0x280410ee, 0x130f0411,   // ht.jw.un_530 ht.jw.un_870  lt.fi.sw_422 fi.lv.et_653 
  // [e290]
  0x09320f0c, 0x04100f0b, 0x170804ac, 0x0b372860,   // lv.bs.pl_543 lv.lt.fi_542  ru.uk.sr_632 sw.st.es_664 
  0x09100fa9, 0x12080507, 0x0e100f0e, 0x29101602,   // lv.lt.pl_544 fr.no.hu_432  lv.lt.is_555 hr.lt.sl_222 
  0x191123a0, 0x130f0dee, 0x0f000e1a, 0x18005309,   // ca.ro.gl_322 cs.lv.et_422  is.lv.un_760 ht.ga.un_440 
  0x0f301614, 0x230b3d0c, 0x171030ec, 0x0f041305,   // hr.uz.lv_666 ku.es.ca_543  uz.be.sr_644 et.fi.lv_333 
  // [e2a0]
  0x032a2007, 0x10062aee, 0x3f2a070c, 0x212b5304,   // sq.mt.nl_432 mt.de.lt_422  it.mt.af_543 ht.vi.jw_332 
  0x4430230b, 0x0a07010b, 0x1300250b, 0x10043fa0,   // ky.uz.kk_542 en.it.pt_542  eu.et.un_520 af.fi.lt_322 
  0x216b06ee, 0x0f0510ee, 0x1b000412, 0x2a000419,   // de.ceb.jw_422 lt.fr.lv_422  fi.tr.un_640 fi.mt.un_750 
  0x3f0f2da4, 0x040201a0, 0x063f2a07, 0x070b0a04,   // sk.lv.af_433 en.da.fi_322  mt.af.de_432 pt.es.it_332 
  // [e2b0]
  0x0700130c, 0x033f2aa4, 0x11000321, 0x171029a0,   // et.it.un_530 mt.af.nl_433  nl.ro.un_860 sl.lt.sr_322 
  0x2a1f64a0, 0x3217280c, 0x042d2b02, 0x08007305,   // lg.cy.mt_322 sw.sr.bs_543  vi.sk.fi_222 ny.no.un_330 
  0x0a0408af, 0x2d3f03ee, 0x063f0b0c, 0x0e030807,   // uk.ru.mk_655 nl.af.sk_422  es.af.de_543 no.nl.is_432 
  0x04083513, 0x033f0e07, 0x2f001102, 0x233130a0,   // tg.uk.ru_665 is.af.nl_432  ro.su.un_220 uz.az.ca_322 
  // [e2c0]
  0x11290f07, 0x12292307, 0x101b0304, 0x23440a08,   // lv.sl.ro_432 ca.sl.hu_432  nl.tr.lt_332 mk.kk.ky_443 
  0x23440404, 0x170a0711, 0x290d17a6, 0x0c060307,   // ru.kk.ky_332 bg.mk.sr_653  sr.cs.sl_521 nl.de.sv_432 
  0x64171caf, 0x0508210c, 0x55000907, 0x100b30a0,   // id.sr.lg_655 jw.no.fr_543  pl.rw.un_420 uz.es.lt_322 
  0x0a1f6407, 0x1b2f0d07, 0x0c001208, 0x0f281008,   // lg.cy.pt_432 cs.su.tr_432  hu.sv.un_430 lt.sw.lv_443 
  // [e2d0]
  0x553003a9, 0x0d022d60, 0x2f2d0d05, 0x20000304,   // nl.uz.rw_544 sk.da.cs_664  cs.sk.su_333 nl.sq.un_320 
  0x28642902, 0x03000907, 0x1108175a, 0x560719a0,   // sl.lg.sw_222 pl.nl.un_420  sr.uk.ro_553 gl.it.mg_322 
  0x302f1b0c, 0x122016a4, 0x0e0c08ad, 0x202912ee,   // tr.su.uz_543 hr.sq.hu_433  no.sv.is_643 hu.sl.sq_422 
  0x10293007, 0x170a040b, 0x0f121008, 0x190b2f09,   // uz.sl.lt_432 ru.mk.sr_542  lt.hu.lv_443 su.es.gl_444 
  // [e2e0]
  0x323055ad, 0x1b0e08a4, 0x0d6b2d0c, 0x09000809,   // rw.uz.bs_643 no.is.tr_433  sk.ceb.cs_543 no.pl.un_440 
  0x031b120b, 0x12203202, 0x11283707, 0x130a11a0,   // hu.tr.nl_542 bs.sq.hu_222  st.sw.ro_432 ro.pt.et_322 
  0x080a2310, 0x0e000304, 0x201b08ee, 0x32166ea0,   // ca.pt.no_642 nl.is.un_320  no.tr.sq_422 hmn.hr.bs_322 
  0x19002012, 0x19002b07, 0x0600110c, 0x05001821,   // sq.gl.un_640 vi.gl.un_420  ro.de.un_530 ga.fr.un_860 
  // [e2f0]
  0x0717350d, 0x0973640c, 0x18001f19, 0x06200c13,   // tg.sr.bg_554 lg.ny.pl_543  cy.ga.un_750 sv.sq.de_665 
  0x0d2911af, 0x55002013, 0x01001113, 0x1a280604,   // ro.sl.cs_655 sq.rw.un_650  ro.en.un_650 de.sw.tl_332 
  0x011f23ee, 0x3f25130c, 0x27003722, 0x11180707,   // ca.cy.en_422 et.eu.af_543  st.gd.un_870 it.ga.ro_432 
  0x29033f07, 0x0d11290c, 0x1109290c, 0x05291111,   // af.nl.sl_432 sl.ro.cs_543  sl.pl.ro_543 ro.sl.fr_653 
  // [e300]
  0x0c1b53ec, 0x290d110c, 0x53000c09, 0x372721ec,   // ht.tr.sv_644 ro.cs.sl_543  sv.ht.un_440 jw.gd.st_644 
  0x042d1007, 0x27002108, 0x0f0823a0, 0x20082aa0,   // lt.sk.fi_432 jw.gd.un_430  ca.no.lv_322 mt.no.sq_322 
  0x3200100c, 0x1c080c12, 0x0c030602, 0x06000109,   // lt.bs.un_530 sv.no.id_654  de.nl.sv_222 en.de.un_440 
  0x0f1130ee, 0x73125504, 0x0e053d0c, 0x64127355,   // uz.ro.lv_422 rw.hu.ny_332  ku.fr.is_543 ny.hu.lg_442 
  // [e310]
  0x2b2019a0, 0x0e192d09, 0x2000560d, 0x060c08ec,   // gl.sq.vi_322 sk.gl.is_444  mg.sq.un_540 no.sv.de_644 
  0x113d56a4, 0x16003213, 0x30286407, 0x16305604,   // mg.ku.ro_433 bs.hr.un_650  lg.sw.uz_432 mg.uz.hr_332 
  0x0f122808, 0x100306ee, 0x312f29a0, 0x5500250c,   // sw.hu.lv_443 de.nl.lt_422  sl.su.az_322 eu.rw.un_530 
  0x1100091b, 0x2a002307, 0x041130ec, 0x015318a0,   // pl.ro.un_770 ca.mt.un_420  uz.ro.ru_644 ga.ht.en_322 
  // [e320]
  0x2a162f07, 0x304404ee, 0x0f28040d, 0x1f0406a4,   // su.hr.mt_432 ru.kk.uz_422  fi.sw.lv_554 de.fi.cy_433 
  0x0e0704a7, 0x0600110d, 0x040806a4, 0x353017af,   // fi.it.is_532 ro.de.un_540  de.no.fi_433 sr.uz.tg_655 
  0x13063f0c, 0x2a050712, 0x031f01ec, 0x0a001f22,   // af.de.et_543 it.fr.mt_654  en.cy.nl_644 cy.pt.un_870 
  0x173507a4, 0x251f0611, 0x021e1c55, 0x2d0b19af,   // bg.tg.sr_433 de.cy.eu_653  id.ms.da_442 gl.es.sk_655 
  // [e330]
  0x0e3f0307, 0x08002a02, 0x280e640c, 0x190a0e14,   // nl.af.is_432 mt.no.un_220  lg.is.sw_543 is.pt.gl_666 
  0x3d311b60, 0x3d287307, 0x06003705, 0x06113fad,   // tr.az.ku_664 ny.sw.ku_432  st.de.un_330 af.ro.de_643 
  0x213f56ee, 0x643f03a4, 0x190a0609, 0x1a6b06a0,   // mg.af.jw_422 nl.af.lg_433  de.pt.gl_444 de.ceb.tl_322 
  0x041f06ad, 0x033f11a7, 0x0f0425a4, 0x06371faf,   // de.cy.fi_643 ro.af.nl_532  eu.fi.lv_433 cy.st.de_655 
  // [e340]
  0x01530602, 0x05007307, 0x281a3f0c, 0x3f1f73a0,   // de.ht.en_222 ny.fr.un_420  af.tl.sw_543 ny.cy.af_322 
  0x131c0d08, 0x736b1fee, 0x04000f13, 0x04030204,   // ne.mr.bh_443 cy.ceb.ny_422  lv.fi.un_650 da.nl.fi_332 
  0x0e122d55, 0x08350755, 0x030e13a0, 0x090d1c5a,   // sk.hu.is_442 bg.tg.uk_442  et.is.nl_322 mr.ne.hi_553 
  0x032a5307, 0x2f551ea0, 0x08041fac, 0x072344a4,   // ht.mt.nl_432 ms.rw.su_322  cy.fi.no_632 kk.ky.bg_433 
  // [e350]
  0x20731ea4, 0x1c281e55, 0x2f2813a4, 0x01061f04,   // ms.ny.sq_433 ms.sw.id_442  et.sw.su_433 cy.de.en_332 
  0x0e131ba7, 0x0b0e1204, 0x0b203209, 0x21556408,   // tr.et.is_532 hu.is.es_332  bs.sq.es_444 lg.rw.jw_443 
  0x4400351a, 0x29172004, 0x20560107, 0x56553008,   // tg.kk.un_760 sq.sr.sl_332  en.mg.sq_432 uz.rw.mg_443 
  0x060910ad, 0x1204530b, 0x11300b08, 0x1e1827a0,   // lt.pl.de_643 ht.fi.hu_542  es.uz.ro_443 gd.ga.ms_322 
  // [e360]
  0x37021fee, 0x44041005, 0x212925a4, 0x16552555,   // cy.da.st_422 be.ru.kk_333  eu.sl.jw_433 eu.rw.hr_442 
  0x1c1e2108, 0x1c0b27ee, 0x173028ad, 0x17022a0c,   // jw.ms.id_443 gd.es.id_422  sw.uz.sr_643 mt.da.sr_543 
  0x21203dad, 0x3d172508, 0x730f01a9, 0x32093008,   // ku.sq.jw_643 eu.sr.ku_443  en.lv.ny_544 uz.pl.bs_443 
  0x231c3007, 0x1156070c, 0x2f19560c, 0x10001e04,   // uz.id.ca_432 it.mg.ro_543  mg.gl.su_543 ms.lt.un_320 
  // [e370]
  0x0e00230c, 0x09213702, 0x1711120c, 0x25100507,   // ca.is.un_530 st.jw.pl_222  hu.ro.sr_543 fr.lt.eu_432 
  0x2d000620, 0x2d060f07, 0x0f233f08, 0x040f0807,   // de.sk.un_850 lv.de.sk_432  af.ca.lv_443 no.lv.fi_432 
  0x2a010607, 0x062a0f0c, 0x0d0929a0, 0x070625a0,   // de.en.mt_432 lv.mt.de_543  sl.pl.cs_322 eu.de.it_322 
  0x23033f04, 0x100817ec, 0x040813a0, 0x17000a34,   // af.nl.ca_332 sr.uk.be_644  et.no.fi_322 mk.sr.un_A80 
  // [e380]
  0x1a2f21ad, 0x032d050c, 0x272a1fad, 0x0f06010b,   // jw.su.tl_643 fr.sk.nl_543  cy.mt.gd_643 en.de.lv_542 
  0x2a2501a4, 0x0a070f08, 0x0e3f03a0, 0x530806ee,   // en.eu.mt_433 lv.it.pt_443  nl.af.is_322 de.no.ht_422 
  0x44040aa4, 0x032b3fa0, 0x04171009, 0x2800270d,   // mk.ru.kk_433 af.vi.nl_322  be.sr.ru_444 gd.sw.un_540 
  0x07271855, 0x0e040cec, 0x0711010b, 0x31003f0d,   // ga.gd.it_442 sv.fi.is_644  en.ro.it_542 af.az.un_540 
  // [e390]
  0x551a64af, 0x13200f05, 0x311e1a12, 0x44000408,   // lg.tl.rw_655 lv.sq.et_333  tl.ms.az_654 ru.kk.un_430 
  0x11002307, 0x0a181205, 0x1c2f1a0c, 0x32160fa4,   // ca.ro.un_420 ur.ar.mk_333  tl.su.id_543 lv.hr.bs_433 
  0x030c0604, 0x53232807, 0x1928730c, 0x071730ee,   // de.sv.nl_332 sw.ca.ht_432  ny.sw.gl_543 uz.sr.bg_422 
  0x3f101fa7, 0x0a1104a0, 0x04120da0, 0x1f00010d,   // cy.lt.af_532 fi.ro.pt_322  cs.hu.fi_322 en.cy.un_540 
  // [e3a0]
  0x55641ea4, 0x32101307, 0x530c1f0b, 0x07002b08,   // ms.lg.rw_433 et.lt.bs_432  cy.sv.ht_542 vi.it.un_430 
  0x1c3d21a9, 0x0302300c, 0x30000507, 0x536e05a0,   // jw.ku.id_544 uz.da.nl_543  fr.uz.un_420 fr.hmn.ht_322 
  0x041044a4, 0x73052707, 0x0500250d, 0x01030c07,   // kk.be.ru_433 gd.fr.ny_432  eu.fr.un_540 sv.nl.en_432 
  0x2f3f6ba4, 0x2a052108, 0x2a1e5307, 0x05080107,   // ceb.af.su_433 jw.fr.mt_443  ht.ms.mt_432 en.no.fr_432 
  // [e3b0]
  0x10130fa4, 0x01732812, 0x1f20090c, 0x0e00131b,   // lv.et.lt_433 sw.ny.en_654  pl.sq.cy_543 et.is.un_770 
  0x25302008, 0x1b552aa7, 0x0e0c1314, 0x0c000411,   // sq.uz.eu_443 mt.rw.tr_532  et.sv.is_666 fi.sv.un_630 
  0x271f1e05, 0x3f001f21, 0x091f04a4, 0x1b0b01a0,   // ms.cy.gd_333 cy.af.un_860  fi.cy.pl_433 en.es.tr_322 
  0x4400102a, 0x12040aa0, 0x0c081fa7, 0x08130eaf,   // be.kk.un_970 pt.fi.hu_322  cy.no.sv_532 is.et.no_655 
  // [e3c0]
  0x13000c21, 0x07170107, 0x056b08a4, 0x302335a4,   // sv.et.un_860 en.sr.it_432  no.ceb.fr_433 tg.ky.uz_433 
  0x1f271860, 0x060c1312, 0x192301a0, 0x3d0d10ad,   // ga.gd.cy_664 et.sv.de_654  en.ca.gl_322 lt.cs.ku_643 
  0x44003505, 0x0c1b1009, 0x2a06070c, 0x28001c07,   // tg.kk.un_330 lt.tr.sv_444  it.de.mt_543 id.sw.un_420 
  0x07001e07, 0x1f2a18a0, 0x080313af, 0x203d2d0c,   // ms.it.un_420 ga.mt.cy_322  et.nl.no_655 sk.ku.sq_543 
  // [e3d0]
  0x083d13a9, 0x30001e05, 0x0e081312, 0x160e03a4,   // et.ku.no_544 ms.uz.un_330  et.no.is_654 nl.is.hr_433 
  0x202a31a4, 0x052d11a0, 0x06182704, 0x281f0107,   // az.mt.sq_433 ro.sk.fr_322  gd.ga.de_332 en.cy.sw_432 
  0x11002907, 0x29232a04, 0x0a0830a4, 0x21002a23,   // sl.ro.un_420 mt.ca.sl_332  uz.uk.mk_433 mt.jw.un_880 
  0x20000f07, 0x282f21ee, 0x3000290b, 0x2500280d,   // lv.sq.un_420 jw.su.sw_422  sl.uz.un_520 sw.eu.un_540 
  // [e3e0]
  0x352310ad, 0x2537550d, 0x3010350c, 0x200e0807,   // be.ky.tg_643 rw.st.eu_554  tg.be.uz_543 no.is.sq_432 
  0x5300730c, 0x32200ea7, 0x3011230c, 0x31007309,   // ny.ht.un_530 is.sq.bs_532  ky.ro.uz_543 ny.az.un_440 
  0x281318a4, 0x18002012, 0x10082308, 0x12000e11,   // ga.et.sw_433 sq.ga.un_640  ky.uk.be_443 is.hu.un_630 
  0x3100250d, 0x11312012, 0x30002507, 0x11133007,   // eu.az.un_540 sq.az.ro_654  eu.uz.un_420 uz.et.ro_432 
  // [e3f0]
  0x550b0504, 0x1a040e55, 0x350a17a9, 0x556425ee,   // fr.es.rw_332 is.fi.tl_442  sr.mk.tg_544 eu.lg.rw_422 
  0x646b29a0, 0x28011102, 0x216455ec, 0x55002b0e,   // sl.ceb.lg_322 ro.en.sw_222  rw.lg.jw_644 vi.rw.un_550 
  0x550b7304, 0x561205a0, 0x560a28a4, 0x64553108,   // ny.es.rw_332 fr.hu.mg_322  sw.pt.mg_433 az.rw.lg_443 
  0x17091308, 0x07081711, 0x211f55a0, 0x3d231ea4,   // et.pl.sr_443 sr.uk.bg_653  rw.cy.jw_322 ms.ca.ku_433 
  
  // [e400]
  0x17072304, 0x0b2b55a9, 0x230830ee, 0x12000b08,   // ky.bg.sr_332 rw.vi.es_544  uz.uk.ky_422 es.hu.un_430 
  0x1b2b0ba0, 0x3f0f2a07, 0x083f2a04, 0x05001b04,   // es.vi.tr_322 mt.lv.af_432  mt.af.no_332 tr.fr.un_320 
  0x081b0507, 0x111f1804, 0x0f043f14, 0x18286ba0,   // fr.tr.no_432 ga.cy.ro_332  af.fi.lv_666 ceb.sw.ga_322 
  0x09177309, 0x3f092da7, 0x1e001c29, 0x090f73a9,   // ny.sr.pl_444 sk.pl.af_532  id.ms.un_960 ny.lv.pl_544 
  // [e410]
  0x0b007308, 0x211c3d07, 0x32023d0c, 0x07003f02,   // ny.es.un_430 ku.id.jw_432  ku.da.bs_543 af.it.un_220 
  0x1e28210e, 0x091273ec, 0x35071011, 0x3f2a2108,   // jw.sw.ms_555 ny.hu.pl_644  be.bg.tg_653 jw.mt.af_443 
  0x6428730e, 0x110b27ee, 0x10007313, 0x2d001f04,   // ny.sw.lg_555 gd.es.ro_422  ny.lt.un_650 cy.sk.un_320 
  0x1e301b13, 0x0c1b53ee, 0x3f2513a4, 0x641c3704,   // tr.uz.ms_665 ht.tr.sv_422  et.eu.af_433 st.id.lg_332 
  // [e420]
  0x230a11a4, 0x07102008, 0x2b535507, 0x2a083fa4,   // ro.pt.ca_433 sq.lt.it_443  rw.ht.vi_432 af.no.mt_433 
  0x19110b09, 0x08074408, 0x12041313, 0x73090d0c,   // es.ro.gl_444 kk.bg.uk_443  et.fi.hu_665 cs.pl.ny_543 
  0x180627ee, 0x2f002a13, 0x0900731a, 0x11002d12,   // gd.de.ga_422 mt.su.un_650  ny.pl.un_760 sk.ro.un_640 
  0x2a0f120c, 0x30350a13, 0x1b001e08, 0x2a1b3012,   // hu.lv.mt_543 mk.tg.uz_665  ms.tr.un_430 uz.tr.mt_654 
  // [e430]
  0x05003d0c, 0x1b046b07, 0x07532a07, 0x2a110304,   // ku.fr.un_530 ceb.fi.tr_432  mt.ht.it_432 nl.ro.mt_332 
  0x0a0408a9, 0x040b110c, 0x031004ee, 0x186b0107,   // uk.ru.mk_544 ro.es.fi_543  fi.lt.nl_422 en.ceb.ga_432 
  0x113f1308, 0x202f5505, 0x111e2f55, 0x13072da7,   // et.af.ro_443 rw.su.sq_333  su.ms.ro_442 sk.it.et_532 
  0x6b552512, 0x080c2aa9, 0x1e2f250c, 0x12002520,   // eu.rw.ceb_654 mt.sv.no_544  eu.su.ms_543 eu.hu.un_850 
  // [e440]
  0x100409a4, 0x0c300507, 0x3100110d, 0x1312300c,   // pl.fi.lt_433 fr.uz.sv_432  ro.az.un_540 uz.hu.et_543 
  0x0604080c, 0x061230ad, 0x04100a05, 0x28311b07,   // no.fi.de_543 uz.hu.de_643  mk.be.ru_333 tr.az.sw_432 
  0x03040da4, 0x12113f08, 0x1b55280d, 0x2f55210c,   // cs.fi.nl_433 af.ro.hu_443  sw.rw.tr_554 jw.rw.su_543 
  0x55282504, 0x070417ec, 0x303f12ee, 0x100407a7,   // eu.sw.rw_332 sr.ru.bg_644  hu.af.uz_422 bg.ru.be_532 
  // [e450]
  0x3d1255a0, 0x2f2025a7, 0x02002d0c, 0x6b1a550c,   // rw.hu.ku_322 eu.sq.su_532  sk.da.un_530 rw.tl.ceb_543 
  0x531a3704, 0x556453ad, 0x09001014, 0x1c0f64ad,   // st.tl.ht_332 ht.lg.rw_643  lt.pl.un_660 lg.lv.id_643 
  0x1a6455ee, 0x31641107, 0x1a136ba0, 0x130730a4,   // rw.lg.tl_422 ro.lg.az_432  ceb.et.tl_322 uz.it.et_433 
  0x09001c34, 0x2b006e13, 0x53000519, 0x190b0faf,   // mr.hi.un_A80 hmn.vi.un_650  fr.ht.un_750 lv.es.gl_655 
  // [e460]
  0x05003d08, 0x250164ee, 0x6416550c, 0x042310ac,   // ku.fr.un_430 lg.en.eu_422  rw.hr.lg_543 be.ky.ru_632 
  0x0b1f2bad, 0x13292aee, 0x375528a4, 0x271f5302,   // vi.cy.es_643 mt.sl.et_422  sw.rw.st_433 ht.cy.gd_222 
  0x30100aa0, 0x3f211c0b, 0x1b1253a0, 0x6b1a370c,   // mk.be.uz_322 id.jw.af_542  ht.hu.tr_322 st.tl.ceb_543 
  0x551f3707, 0x17080a13, 0x01285307, 0x02323704,   // st.cy.rw_432 mk.uk.sr_665  ht.sw.en_432 st.bs.da_332 
  // [e470]
  0x2f1c5507, 0x2b006e0d, 0x1a210704, 0x2a645555,   // rw.id.su_432 hmn.vi.un_540  it.jw.tl_332 rw.lg.mt_442 
  0x1e1c1b0c, 0x020c08ad, 0x731b0fee, 0x53001f0e,   // tr.id.ms_543 no.sv.da_643  lv.tr.ny_422 cy.ht.un_550 
  0x17135502, 0x10320fa7, 0x13003719, 0x440a0708,   // rw.et.sr_222 lv.bs.lt_532  st.et.un_750 bg.mk.kk_443 
  0x553764a0, 0x121f2da0, 0x550464a0, 0x27000304,   // lg.st.rw_322 sk.cy.hu_322  lg.fi.rw_322 nl.gd.un_320 
  // [e480]
  0x2900371b, 0x25562a02, 0x13003107, 0x013007a4,   // st.sl.un_770 mt.mg.eu_222  az.et.un_420 it.uz.en_433 
  0x1a063fa0, 0x32001713, 0x05000a23, 0x19001f07,   // af.de.tl_322 sr.bs.un_650  pt.fr.un_880 cy.gl.un_420 
  0x07003702, 0x200e18ee, 0x13102f07, 0x37291707,   // st.it.un_220 ga.is.sq_422  su.lt.et_432 sr.sl.st_432 
  0x080430af, 0x6b5637a4, 0x55293202, 0x07081755,   // uz.ru.uk_655 st.mg.ceb_433  bs.sl.rw_222 sr.uk.bg_442 
  // [e490]
  0x10111705, 0x10350807, 0x100408ec, 0x322012ad,   // sr.ro.be_333 uk.tg.be_432  uk.ru.be_644 hu.sq.bs_643 
  0x64010304, 0x084435a0, 0x561e1aa9, 0x1e551ca4,   // nl.en.lg_332 tg.kk.uk_322  tl.ms.mg_544 id.rw.ms_433 
  0x1e283da7, 0x29556408, 0x083004a0, 0x56551207,   // ku.sw.ms_532 lg.rw.sl_443  ru.uz.uk_322 hu.rw.mg_432 
  0x28551bec, 0x193130a9, 0x731a3d0c, 0x551e31a9,   // tr.rw.sw_644 uz.az.gl_544  ku.tl.ny_543 az.ms.rw_544 
  // [e4a0]
  0x2a0928a0, 0x642916a9, 0x095511a4, 0x3d190b0d,   // sw.pl.mt_322 hr.sl.lg_544  ro.rw.pl_433 es.gl.ku_554 
  0x303d20af, 0x172d0da9, 0x1a551307, 0x30000c1b,   // sq.ku.uz_655 cs.sk.sr_544  et.rw.tl_432 sv.uz.un_770 
  0x0b0e19a4, 0x551b31a9, 0x1e063007, 0x08300c0c,   // gl.is.es_433 az.tr.rw_544  uz.de.ms_432 sv.uz.no_543 
  0x11003d05, 0x27281809, 0x1a001304, 0x211c6402,   // ku.ro.un_330 ga.sw.gd_444  et.tl.un_320 lg.id.jw_222 
  // [e4b0]
  0x25321608, 0x29256407, 0x6b251a14, 0x1c072bee,   // hr.bs.eu_443 lg.eu.sl_432  tl.eu.ceb_666 vi.it.id_422 
  0x1e1c73a6, 0x1806010c, 0x1c0c0807, 0x17536404,   // ny.id.ms_521 en.de.ga_543  no.sv.id_432 lg.ht.sr_332 
  0x3002080c, 0x0a0c300c, 0x3f020c0b, 0x230727ee,   // no.da.uz_543 uz.sv.pt_543  sv.da.af_542 gd.it.ca_422 
  0x18282bee, 0x440735ee, 0x16092904, 0x27181c07,   // vi.sw.ga_422 tg.bg.kk_422  sl.pl.hr_332 id.ga.gd_432 
  // [e4c0]
  0x0d022dec, 0x2b000a05, 0x09002007, 0x251a6baf,   // sk.da.cs_644 pt.vi.un_330  sq.pl.un_420 ceb.tl.eu_655 
  0x55121307, 0x190a0b11, 0x30001708, 0x182b01ac,   // et.hu.rw_432 es.pt.gl_653  sr.uz.un_430 en.vi.ga_632 
  0x6400070e, 0x0f322909, 0x100817af, 0x123f0705,   // it.lg.un_550 sl.bs.lv_444  sr.uk.be_655 it.af.hu_333 
  0x0402280d, 0x05000608, 0x0407445a, 0x3f566402,   // sw.da.fi_554 de.fr.un_430  kk.bg.ru_553 lg.mg.af_222 
  // [e4d0]
  0x1e6b5305, 0x56002922, 0x53001e11, 0x250b37a4,   // ht.ceb.ms_333 sl.mg.un_870  ms.ht.un_630 st.es.eu_433 
  0x0a6b0ca4, 0x060c0513, 0x0e000c2a, 0x06000129,   // sv.ceb.pt_433 fr.sv.de_665  sv.is.un_970 en.de.un_960 
  0x0f000605, 0x080e2a12, 0x2f1905ee, 0x351130a9,   // de.lv.un_330 mt.is.no_654  fr.gl.su_422 uz.ro.tg_544 
  0x1f1a0aa6, 0x09002d14, 0x2b060aad, 0x0a2b1a04,   // pt.tl.cy_521 sk.pl.un_660  pt.de.vi_643 tl.vi.pt_332 
  // [e4e0]
  0x2a092d60, 0x2b0a2a07, 0x201a6b04, 0x04730aa7,   // sk.pl.mt_664 mt.pt.vi_432  ceb.tl.sq_332 pt.ny.fi_532 
  0x09002d21, 0x0e6b1aa4, 0x5300370c, 0x560a11a0,   // sk.pl.un_860 tl.ceb.is_433  st.ht.un_530 ro.pt.mg_322 
  0x3125370c, 0x10002305, 0x2b3d0a05, 0x28012b07,   // st.eu.az_543 ky.be.un_330  pt.ku.vi_333 vi.en.sw_432 
  0x0d372aa7, 0x272a28ec, 0x6b0105ee, 0x6e092d12,   // mt.st.cs_532 sw.mt.gd_644  fr.en.ceb_422 sk.pl.hmn_654 
  // [e4f0]
  0x230b21ee, 0x31212a07, 0x2a080eac, 0x0c0e1ca4,   // jw.es.ca_422 mt.jw.az_432  is.no.mt_632 id.is.sv_433 
  0x2b000a0c, 0x270f18a4, 0x11000e23, 0x091f1012,   // pt.vi.un_530 ga.lv.gd_433  is.ro.un_880 lt.cy.pl_654 
  0x0500532b, 0x182b0aa6, 0x1b562507, 0x2b040a07,   // ht.fr.un_980 pt.vi.ga_521  eu.mg.tr_432 pt.fi.vi_432 
  0x09101f08, 0x09002d19, 0x311b3f04, 0x11002802,   // cy.lt.pl_443 sk.pl.un_750  af.tr.az_332 sw.ro.un_220 
  // [e500]
  0x11136b04, 0x10071705, 0x0c5307af, 0x28001107,   // ceb.et.ro_332 sr.bg.be_333  it.ht.sv_655 ro.sw.un_420 
  0x0a001c0d, 0x1a111e07, 0x2a2073a9, 0x13110cad,   // id.pt.un_540 ms.ro.tl_432  ny.sq.mt_544 sv.ro.et_643 
  0x112a2faf, 0x11110805, 0x10020c08, 0x2a000f05,   // su.mt.ro_655 uk.ro.ro_333  sv.da.lt_443 lv.mt.un_330 
  0x1b5355ad, 0x1f0507a0, 0x16003107, 0x02000f19,   // rw.ht.tr_643 it.fr.cy_322  az.hr.un_420 lv.da.un_750 
  // [e510]
  0x02030611, 0x29001019, 0x32000f0c, 0x30080e05,   // de.nl.da_653 lt.sl.un_750  lv.bs.un_530 is.no.uz_333 
  0x20001019, 0x12050107, 0x2f007307, 0x2a640e07,   // lt.sq.un_750 en.fr.hu_432  ny.su.un_420 is.lg.mt_432 
  0x0a2055a0, 0x0d100908, 0x111b1e08, 0x20001018,   // rw.sq.pt_322 pl.lt.cs_443  ms.tr.ro_443 lt.sq.un_740 
  0x066b03ee, 0x0802290c, 0x21081ca0, 0x29080c11,   // nl.ceb.de_422 sl.da.no_543  id.no.jw_322 sv.no.sl_653 
  // [e520]
  0x0e0c06ee, 0x23000b0c, 0x6b051aa4, 0x040a3504,   // de.sv.is_422 es.ca.un_530  tl.fr.ceb_433 tg.mk.ru_332 
  0x0b552507, 0x02050812, 0x010b09ee, 0x2d0f06a9,   // eu.rw.es_432 no.fr.da_654  pl.es.en_422 de.lv.sk_544 
  0x0a081055, 0x05123004, 0x086b1a07, 0x07050aa9,   // be.uk.mk_442 uz.hu.fr_332  tl.ceb.no_432 pt.fr.it_544 
  0x05271807, 0x323029ee, 0x10000d0d, 0x050253a0,   // ga.gd.fr_432 sl.uz.bs_422  cs.lt.un_540 ht.da.fr_322 
  // [e530]
  0x55201011, 0x102d0d0c, 0x08300c05, 0x01070505,   // lt.sq.rw_653 cs.sk.lt_543  sv.uz.no_333 fr.it.en_333 
  0x55201008, 0x09002a12, 0x17202aa4, 0x18110713,   // lt.sq.rw_443 mt.pl.un_640  mt.sq.sr_433 it.ro.ga_665 
  0x112d1b07, 0x05000705, 0x0e07050d, 0x130725a9,   // tr.sk.ro_432 it.fr.un_330  fr.it.is_554 eu.it.et_544 
  0x112d2104, 0x23000c04, 0x08070aee, 0x2a080ca0,   // jw.sk.ro_332 sv.ca.un_320  mk.bg.uk_422 sv.no.mt_322 
  // [e540]
  0x0804350b, 0x07440a08, 0x122f0da7, 0x2a185608,   // tg.ru.uk_542 mk.kk.bg_443  cs.su.hu_532 mg.ga.mt_443 
  0x2d0e0da9, 0x0a0817a7, 0x37736e12, 0x3f1206a0,   // cs.is.sk_544 sr.uk.mk_532  hmn.ny.st_654 de.hu.af_322 
  0x08000502, 0x03732ba7, 0x6b04130c, 0x0735110c,   // fr.no.un_220 vi.ny.nl_532  et.fi.ceb_543 ro.tg.bg_543 
  0x12080c02, 0x0e000913, 0x28003013, 0x12042513,   // sv.no.hu_222 pl.is.un_650  uz.sw.un_650 eu.fi.hu_665 
  // [e550]
  0x0f1020ec, 0x1b005319, 0x0d560408, 0x2344300e,   // sq.lt.lv_644 ht.tr.un_750  fi.mg.cs_443 uz.kk.ky_555 
  0x1c32160d, 0x0c6412a0, 0x37005613, 0x37003f0d,   // hr.bs.id_554 hu.lg.sv_322  mg.st.un_650 af.st.un_540 
  0x28371e07, 0x10080705, 0x072a04a0, 0x301044a9,   // ms.st.sw_432 bg.uk.be_333  fi.mt.it_322 kk.be.uz_544 
  0x111b310c, 0x731c64ad, 0x55132802, 0x0d562d08,   // az.tr.ro_543 lg.id.ny_643  sw.et.rw_222 sk.mg.cs_443 
  // [e560]
  0x170a08ad, 0x2d370d07, 0x06102aa4, 0x2b080255,   // uk.mk.sr_643 cs.st.sk_432  mt.lt.de_433 da.no.vi_442 
  0x2d2956ee, 0x04304412, 0x20191004, 0x0e070da9,   // mg.sl.sk_422 kk.uz.ru_654  lt.gl.sq_332 cs.it.is_544 
  0x080d2904, 0x28536407, 0x051227a0, 0x16002f0c,   // sl.cs.no_332 lg.ht.sw_432  gd.hu.fr_322 su.hr.un_530 
  0x2d002f02, 0x135630a0, 0x5500251a, 0x73646b13,   // su.sk.un_220 uz.mg.et_322  eu.rw.un_760 ceb.lg.ny_665 
  // [e570]
  0x06271811, 0x04171013, 0x113155a0, 0x12000b07,   // ga.gd.de_653 be.sr.ru_665  rw.az.ro_322 es.hu.un_420 
  0x105327ee, 0x08071755, 0x2703180b, 0x0c2a10af,   // gd.ht.lt_422 sr.bg.uk_442  ga.nl.gd_542 lt.mt.sv_655 
  0x35103013, 0x2d0d0b0c, 0x0717080e, 0x06311ba9,   // uz.be.tg_665 es.cs.sk_543  uk.sr.bg_555 tr.az.de_544 
  0x13000502, 0x1c1929a0, 0x73372b13, 0x080710ac,   // fr.et.un_220 sl.gl.id_322  vi.st.ny_665 be.bg.uk_632 
  // [e580]
  0x1f182760, 0x07004408, 0x642511a0, 0x55561204,   // gd.ga.cy_664 kk.bg.un_430  ro.eu.lg_322 hu.mg.rw_332 
  0x5318735a, 0x2a531807, 0x1b530108, 0x250405ec,   // ny.ga.ht_553 ga.ht.mt_432  en.ht.tr_443 fr.fi.eu_644 
  0x041306a6, 0x100e21af, 0x12000c11, 0x27051f07,   // de.et.fi_521 jw.is.lt_655  sv.hu.un_630 cy.fr.gd_432 
  0x3d081055, 0x03000519, 0x3027180c, 0x6b2b0111,   // lt.no.ku_442 fr.nl.un_750  ga.gd.uz_543 en.vi.ceb_653 
  // [e590]
  0x0d1729a7, 0x2723070c, 0x030601a7, 0x732001a0,   // sl.sr.cs_532 it.ca.gd_543  en.de.nl_532 en.sq.ny_322 
  0x0a1707a7, 0x12001b02, 0x011b3d0c, 0x643f23a4,   // bg.sr.mk_532 tr.hu.un_220  ku.tr.en_543 ca.af.lg_433 
  0x03021307, 0x136404a9, 0x550118a0, 0x55002a11,   // et.da.nl_432 fi.lg.et_544  ga.en.rw_322 mt.rw.un_630 
  0x04181055, 0x1004180c, 0x6b0464a9, 0x440407af,   // lt.ga.fi_442 ga.fi.lt_543  lg.fi.ceb_544 bg.ru.kk_655 
  // [e5a0]
  0x033f0802, 0x35300aa0, 0x5610180c, 0x28532b0b,   // no.af.nl_222 mk.uz.tg_322  ga.lt.mg_543 vi.ht.sw_542 
  0x35172304, 0x251805ec, 0x0f131008, 0x6b000805,   // ky.sr.tg_332 fr.ga.eu_644  lt.et.lv_443 no.ceb.un_330 
  0x6b0a0604, 0x642a07a9, 0x181025ee, 0x03002514,   // de.pt.ceb_332 it.mt.lg_544  eu.lt.ga_422 eu.nl.un_660 
  0x16092908, 0x050111a4, 0x251a1f13, 0x0728110c,   // sl.pl.hr_443 ro.en.fr_433  cy.tl.eu_665 ro.sw.it_543 
  // [e5b0]
  0x04001c13, 0x06001004, 0x06002520, 0x130464ac,   // id.fi.un_650 lt.de.un_320  eu.de.un_850 lg.fi.et_632 
  0x04003113, 0x0c0630a4, 0x2b6b1aee, 0x0300061b,   // az.fi.un_650 uz.de.sv_433  tl.ceb.vi_422 de.nl.un_770 
  0x2b001c0e, 0x3f1a09a4, 0x0c0601a4, 0x013f1314,   // id.vi.un_550 pl.tl.af_433  en.de.sv_433 et.af.en_666 
  0x10041808, 0x08133f08, 0x052f17a6, 0x3718730c,   // ga.fi.lt_443 af.et.no_443  sr.su.fr_521 ny.ga.st_543 
  // [e5c0]
  0x17001105, 0x3f23190c, 0x2531180c, 0x31001808,   // ro.sr.un_330 gl.ca.af_543  ga.az.eu_543 ga.az.un_430 
  0x0f000907, 0x131b040c, 0x2d0f7308, 0x1b073012,   // pl.lv.un_420 fi.tr.et_543  ny.lv.sk_443 uz.it.tr_654 
  0x0f007319, 0x2a091104, 0x44350702, 0x0c133f07,   // ny.lv.un_750 ro.pl.mt_332  bg.tg.kk_222 af.et.sv_432 
  0x182d07a0, 0x190711ee, 0x1e0910ec, 0x04133709,   // it.sk.ga_322 ro.it.gl_422  lt.pl.ms_644 st.et.fi_444 
  // [e5d0]
  0x0735230c, 0x073011ad, 0x06030107, 0x1104130c,   // ky.tg.bg_543 ro.uz.it_643  en.nl.de_432 et.fi.ro_543 
  0x1e1c32a0, 0x0a080711, 0x2b0c0308, 0x20232fee,   // bs.id.ms_322 bg.uk.mk_653  nl.sv.vi_443 su.ca.sq_422 
  0x30000a0e, 0x35081707, 0x0e0c13a0, 0x03101302,   // mk.uz.un_550 sr.uk.tg_432  et.sv.is_322 et.lt.nl_222 
  0x063f0eee, 0x6b060cee, 0x1e1a0405, 0x230b0aa9,   // is.af.de_422 sv.de.ceb_422  fi.tl.ms_333 pt.es.ca_544 
  // [e5e0]
  0x293216a6, 0x3d552f0e, 0x03203f08, 0x115520af,   // hr.bs.sl_521 su.rw.ku_555  af.sq.nl_443 sq.rw.ro_655 
  0x08070a0b, 0x64251ea0, 0x18122dec, 0x3000130c,   // mk.bg.uk_542 ms.eu.lg_322  sk.hu.ga_644 et.uz.un_530 
  0x31081ba4, 0x1303060d, 0x1c645507, 0x55312805,   // tr.no.az_433 de.nl.et_554  rw.lg.id_432 sw.az.rw_333 
  0x0e120811, 0x1a013d04, 0x2b001007, 0x1b202104,   // no.hu.is_653 ku.en.tl_332  lt.vi.un_420 jw.sq.tr_332 
  // [e5f0]
  0x20230b07, 0x25002f0c, 0x0a0811a4, 0x0a0817ee,   // es.ca.sq_432 su.eu.un_530  ro.uk.mk_433 sr.uk.mk_422 
  0x0c001602, 0x21303dec, 0x192004a0, 0x443523ec,   // hr.sv.un_220 ku.uz.jw_644  fi.sq.gl_322 ky.tg.kk_644 
  0x0d202aa0, 0x21302f04, 0x2a640708, 0x550307a4,   // mt.sq.cs_322 su.uz.jw_332  it.lg.mt_443 it.nl.rw_433 
  0x04211008, 0x03000914, 0x7355060e, 0x0f2004ad,   // lt.jw.fi_443 pl.nl.un_660  de.rw.ny_555 fi.sq.lv_643 
  // [e600]
  0x0d1208ad, 0x0107200c, 0x1c2f04a7, 0x215605a7,   // no.hu.cs_643 sq.it.en_543  fi.su.id_532 fr.mg.jw_532 
  0x372055a4, 0x21005309, 0x0b11205a, 0x072025a4,   // rw.sq.st_433 ht.jw.un_440  sq.ro.es_553 eu.sq.it_433 
  0x0d322004, 0x012005ad, 0x231b55ee, 0x732a6414,   // sq.bs.cs_332 fr.sq.en_643  rw.tr.ca_422 lg.mt.ny_666 
  0x1304030c, 0x55072a09, 0x192a07a4, 0x21002b13,   // nl.fi.et_543 mt.it.rw_444  it.mt.gl_433 vi.jw.un_650 
  // [e610]
  0x0d202812, 0x0c021aa0, 0x0400030c, 0x56645508,   // sw.sq.cs_654 tl.da.sv_322  nl.fi.un_530 rw.lg.mg_443 
  0x280430ad, 0x252007ad, 0x0c002b08, 0x07002021,   // uz.fi.sw_643 it.sq.eu_643  vi.sv.un_430 sq.it.un_860 
  0x2f1e64ec, 0x0755200c, 0x2104640c, 0x2a2073a7,   // lg.ms.su_644 sq.rw.it_543  lg.fi.jw_543 ny.sq.mt_532 
  0x3f1364ee, 0x03001b07, 0x2f0b2055, 0x643773a4,   // lg.et.af_422 tr.nl.un_420  sq.es.su_442 ny.st.lg_433 
  // [e620]
  0x0a551107, 0x21641107, 0x3f041312, 0x072155a0,   // ro.rw.pt_432 ro.lg.jw_432  et.fi.af_654 rw.jw.it_322 
  0x062725ec, 0x2b002802, 0x13042faf, 0x0f312512,   // eu.gd.de_644 sw.vi.un_220  su.fi.et_655 eu.az.lv_654 
  0x03000412, 0x1a1364ee, 0x282164a4, 0x64000408,   // fi.nl.un_640 lg.et.tl_422  lg.jw.sw_433 fi.lg.un_430 
  0x35000708, 0x2a060c0c, 0x35080a0c, 0x122f2104,   // bg.tg.un_430 sv.de.mt_543  mk.uk.tg_543 jw.su.hu_332 
  // [e630]
  0x016b56a4, 0x0c006e08, 0x022a080b, 0x08023f07,   // mg.ceb.en_433 hmn.sv.un_430  no.mt.da_542 af.da.no_432 
  0x011911ee, 0x041213a0, 0x53000508, 0x11123f0d,   // ro.gl.en_422 et.hu.fi_322  fr.ht.un_430 af.hu.ro_554 
  0x180c0609, 0x23053f07, 0x0f001f08, 0x3f0f03a4,   // de.sv.ga_444 af.fr.ca_432  cy.lv.un_430 nl.lv.af_433 
  0x0c000e19, 0x05122aec, 0x20132a0c, 0x081323ee,   // is.sv.un_750 mt.hu.fr_644  mt.et.sq_543 ca.et.no_422 
  // [e640]
  0x07044412, 0x0a004404, 0x56033f08, 0x084404ad,   // kk.ru.bg_654 kk.mk.un_320  af.nl.mg_443 ru.kk.uk_643 
  0x3d0425a4, 0x2d0d2a05, 0x160329a4, 0x0a1307ee,   // eu.fi.ku_433 mt.cs.sk_333  sl.nl.hr_433 it.et.pt_422 
  0x6b730f0d, 0x313d1b07, 0x20002a1a, 0x04101709,   // lv.ny.ceb_554 tr.ku.az_432  mt.sq.un_760 sr.be.ru_444 
  0x370f2d07, 0x3d645511, 0x041107a4, 0x0c6b1a04,   // sk.lv.st_432 rw.lg.ku_653  bg.ro.ru_433 tl.ceb.sv_332 
  // [e650]
  0x64071305, 0x325373a4, 0x64051309, 0x17205607,   // et.it.lg_333 ny.ht.bs_433  et.fr.lg_444 mg.sq.sr_432 
  0x32175505, 0x2800121b, 0x0f2f1104, 0x56321614,   // rw.sr.bs_333 hu.sw.un_770  ro.su.lv_332 hr.bs.mg_666 
  0x73001319, 0x050208a9, 0x20135508, 0x162955a4,   // et.ny.un_750 no.da.fr_544  rw.et.sq_443 rw.sl.hr_433 
  0x28732009, 0x2f2110a4, 0x081a2502, 0x55110aa7,   // sq.ny.sw_444 lt.jw.su_433  eu.tl.no_222 pt.ro.rw_532 
  // [e660]
  0x6b051208, 0x5500170d, 0x2100250c, 0x73280e12,   // hu.fr.ceb_443 sr.rw.un_540  eu.jw.un_530 is.sw.ny_654 
  0x55001107, 0x32161eaf, 0x29001b09, 0x210f73ac,   // ro.rw.un_420 ms.hr.bs_655  tr.sl.un_440 ny.lv.jw_632 
  0x12022fa0, 0x1f080da7, 0x2d0d2a0c, 0x09003708,   // su.da.hu_322 cs.no.cy_532  mt.cs.sk_543 st.pl.un_430 
  0x0f041312, 0x1b001f18, 0x08002107, 0x081a0e04,   // et.fi.lv_654 cy.tr.un_740  jw.no.un_420 is.tl.no_332 
  // [e670]
  0x0e250807, 0x64250802, 0x06081aa4, 0x732d0d08,   // no.eu.is_432 no.eu.lg_222  tl.no.de_433 cs.sk.ny_443 
  0x272f05ee, 0x53321608, 0x1e1c2905, 0x320d1bee,   // fr.su.gd_422 hr.bs.ht_443  sl.id.ms_333 tr.cs.bs_422 
  0x01091b07, 0x18006e0b, 0x18010d04, 0x1b371209,   // tr.pl.en_432 hmn.ga.un_520  cs.en.ga_332 hu.st.tr_444 
  0x080a0409, 0x043044a4, 0x1c031b0c, 0x3f230ea7,   // ru.mk.uk_444 kk.uz.ru_433  tr.nl.id_543 is.ca.af_532 
  // [e680]
  0x080c3f0d, 0x052927a0, 0x302310ec, 0x092937ad,   // af.sv.no_554 gd.sl.fr_322  be.ky.uz_644 st.sl.pl_643 
  0x53736baf, 0x120905a4, 0x29002319, 0x0d2909af,   // ceb.ny.ht_655 fr.pl.hu_433  ca.sl.un_750 pl.sl.cs_655 
  0x73000613, 0x08070a10, 0x11113508, 0x2d0d73ec,   // de.ny.un_650 mk.bg.uk_642  tg.ro.ro_443 ny.cs.sk_644 
  0x44233004, 0x35173008, 0x0c290fa0, 0x25000c0b,   // uz.ky.kk_332 uz.sr.tg_443  lv.sl.sv_322 sv.eu.un_520 
  // [e690]
  0x290973a7, 0x28000708, 0x302344ec, 0x131b04ec,   // ny.pl.sl_532 it.sw.un_430  kk.ky.uz_644 fi.tr.et_644 
  0x2f000511, 0x112506a0, 0x3d001b14, 0x0e100f5a,   // fr.su.un_630 de.eu.ro_322  tr.ku.un_660 lv.lt.is_553 
  0x1a006b2a, 0x083507a4, 0x10083509, 0x116b1804,   // ceb.tl.un_970 bg.tg.uk_433  tg.uk.be_444 ga.ceb.ro_332 
  0x2a0407ee, 0x010464a0, 0x25002f13, 0x37567314,   // it.fi.mt_422 lg.fi.en_322  su.eu.un_650 ny.mg.st_666 
  // [e6a0]
  0x131a73ee, 0x13121107, 0x0f090dec, 0x0b1912ad,   // ny.tl.et_422 ro.hu.et_432  cs.pl.lv_644 hu.gl.es_643 
  0x13040e07, 0x080744ee, 0x0f130ca0, 0x2f215305,   // is.fi.et_432 kk.bg.uk_422  sv.et.lv_322 ht.jw.su_333 
  0x562a2faf, 0x28645308, 0x040807ec, 0x11190a0c,   // su.mt.mg_655 ht.lg.sw_443  bg.uk.ru_644 pt.gl.ro_543 
  0x125655a4, 0x131b04ad, 0x64000802, 0x083d370c,   // rw.mg.hu_433 fi.tr.et_643  no.lg.un_220 st.ku.no_543 
  // [e6b0]
  0x16001c07, 0x015608a0, 0x11253d12, 0x53256405,   // id.hr.un_420 no.mg.en_322  ku.eu.ro_654 lg.eu.ht_333 
  0x2d101c07, 0x110b2307, 0x2700110e, 0x07001309,   // id.lt.sk_432 ca.es.ro_432  ro.gd.un_550 et.it.un_440 
  0x32642504, 0x01563da4, 0x1b3d1ea0, 0x021f2fa0,   // eu.lg.bs_332 ku.mg.en_433  ms.ku.tr_322 su.cy.da_322 
  0x10233512, 0x0100640b, 0x530b10ad, 0x01007307,   // tg.ky.be_654 lg.en.un_520  lt.es.ht_643 ny.en.un_420 
  // [e6c0]
  0x3d001e05, 0x013f0e04, 0x12112f07, 0x091c110c,   // ms.ku.un_330 is.af.en_332  su.ro.hu_432 ro.id.pl_543 
  0x25003019, 0x1b002307, 0x6b005305, 0x13001904,   // uz.eu.un_750 ca.tr.un_420  ht.ceb.un_330 gl.et.un_320 
  0x2f101ead, 0x306b0eee, 0x1c051ea4, 0x6b010bee,   // ms.lt.su_643 is.ceb.uz_422  ms.fr.id_433 es.en.ceb_422 
  0x12002719, 0x2a030807, 0x120e18ad, 0x0825370c,   // gd.hu.un_750 no.nl.mt_432  ga.is.hu_643 st.eu.no_543 
  // [e6d0]
  0x10132509, 0x10230807, 0x3f37250c, 0x07002504,   // eu.et.lt_444 uk.ky.be_432  eu.st.af_543 eu.it.un_320 
  0x2a0437ee, 0x2f033f11, 0x0e002f07, 0x2f002118,   // st.fi.mt_422 af.nl.su_653  su.is.un_420 jw.su.un_740 
  0x37002519, 0x29092d07, 0x0a006b09, 0x2d082ba0,   // eu.st.un_750 sk.pl.sl_432  ceb.pt.un_440 vi.no.sk_322 
  0x2f00290e, 0x0a6b2504, 0x02250511, 0x25032812,   // sl.su.un_550 eu.ceb.pt_332  fr.eu.da_653 sw.nl.eu_654 
  // [e6e0]
  0x13010604, 0x21190b09, 0x250f0ca7, 0x253f37a4,   // de.en.et_332 es.gl.jw_444  sv.lv.eu_532 st.af.eu_433 
  0x282f080e, 0x0b2f21ee, 0x12006b0c, 0x04735612,   // no.su.sw_555 jw.su.es_422  ceb.hu.un_530 mg.ny.fi_654 
  0x37000b02, 0x2a1308a0, 0x440407a7, 0x03193fa4,   // es.st.un_220 no.et.mt_322  bg.ru.kk_532 af.gl.nl_433 
  0x0b1107a4, 0x1e0609a4, 0x25001b07, 0x20002118,   // it.ro.es_433 pl.de.ms_433  tr.eu.un_420 jw.sq.un_740 
  // [e6f0]
  0x3f031fa0, 0x27182112, 0x2f192104, 0x3d1c1ea9,   // cy.nl.af_322 jw.ga.gd_654  jw.gl.su_332 ms.id.ku_544 
  0x12190b07, 0x3d231f0c, 0x212027ee, 0x033f3d08,   // es.gl.hu_432 cy.ca.ku_543  gd.sq.jw_422 ku.af.nl_443 
  0x640a1ba4, 0x6e1a56a9, 0x020c03a4, 0x53272104,   // tr.pt.lg_433 mg.tl.hmn_544  nl.sv.da_433 jw.gd.ht_332 
  0x3f1b08a7, 0x3d001f1b, 0x73531b5a, 0x023d08a4,   // no.tr.af_532 cy.ku.un_770  tr.ht.ny_553 no.ku.da_433 
  // [e700]
  0x201213a4, 0x2f561a11, 0x32090d0c, 0x31322809,   // et.hu.sq_433 tl.mg.su_653  cs.pl.bs_543 sw.bs.az_444 
  0x73535507, 0x6b3756a9, 0x0600251a, 0x190a08a9,   // rw.ht.ny_432 mg.st.ceb_544  eu.de.un_760 no.pt.gl_544 
  0x6b001004, 0x0d1020ee, 0x282955ee, 0x191223a4,   // lt.ceb.un_320 sq.lt.cs_422  rw.sl.sw_422 ca.hu.gl_433 
  0x032508a9, 0x1a3d2f0c, 0x1b093dad, 0x0b110755,   // no.eu.nl_544 su.ku.tl_543  ku.pl.tr_643 it.ro.es_442 
  // [e710]
  0x1805070c, 0x32000a0c, 0x033d06ad, 0x5611250c,   // it.fr.ga_543 pt.bs.un_530  de.ku.nl_643 eu.ro.mg_543 
  0x01051104, 0x0a001221, 0x0325090c, 0x251b3112,   // ro.fr.en_332 hu.pt.un_860  pl.eu.nl_543 az.tr.eu_654 
  0x1b2053a9, 0x53000d19, 0x1c561ead, 0x550153ee,   // ht.sq.tr_544 cs.ht.un_750  ms.mg.id_643 ht.en.rw_422 
  0x081155a7, 0x53556408, 0x13045607, 0x2f132aee,   // rw.ro.no_532 lg.rw.ht_443  mg.fi.et_432 mt.et.su_422 
  // [e720]
  0x016455ee, 0x102f0f08, 0x0e17080c, 0x13561ca4,   // rw.lg.en_422 lv.su.lt_443  no.sr.is_543 id.mg.et_433 
  0x566b5512, 0x28562f0d, 0x1b1112a4, 0x280c080b,   // rw.ceb.mg_654 su.mg.sw_554  hu.ro.tr_433 no.sv.sw_542 
  0x1a005605, 0x11190b14, 0x211a2f0c, 0x28300402,   // mg.tl.un_330 es.gl.ro_666  su.tl.jw_543 fi.uz.sw_222 
  0x022d0d04, 0x2d0d2955, 0x322073ee, 0x2a531a04,   // cs.sk.da_332 sl.cs.sk_442  ny.sq.bs_422 tl.ht.mt_332 
  // [e730]
  0x30100a0b, 0x06041e04, 0x2f005302, 0x110a300c,   // mk.be.uz_542 ms.fi.de_332  ht.su.un_220 uz.mk.ro_543 
  0x440a1007, 0x32000302, 0x2f0e0c07, 0x0a074407,   // be.mk.kk_432 nl.bs.un_220  sv.is.su_432 kk.bg.mk_432 
  0x0e0c0655, 0x030e0808, 0x02130604, 0x061f0ea0,   // de.sv.is_442 no.is.nl_443  de.et.da_332 is.cy.de_322 
  0x1704070c, 0x1a0c0e07, 0x182a060b, 0x0d3121a0,   // bg.ru.sr_543 is.sv.tl_432  de.mt.ga_542 jw.az.cs_322 
  // [e740]
  0x28201013, 0x182721a0, 0x102804ad, 0x1a001319,   // lt.sq.sw_665 jw.gd.ga_322  fi.sw.lt_643 et.tl.un_750 
  0x0e072a55, 0x05061005, 0x30730107, 0x137355ec,   // mt.it.is_442 lt.de.fr_333  en.ny.uz_432 rw.ny.et_644 
  0x0c370eee, 0x17001e05, 0x02060ea4, 0x202855a0,   // is.st.sv_422 ms.sr.un_330  is.de.da_433 rw.sw.sq_322 
  0x3523445a, 0x01081f0c, 0x07281a0c, 0x351030a4,   // kk.ky.tg_553 cy.no.en_543  tl.sw.it_543 uz.be.tg_433 
  // [e750]
  0x11005513, 0x21202f0c, 0x0b1153af, 0x11645505,   // rw.ro.un_650 su.sq.jw_543  ht.ro.es_655 rw.lg.ro_333 
  0x18736413, 0x0f002012, 0x201f18ad, 0x110755af,   // lg.ny.ga_665 sq.lv.un_640  ga.cy.sq_643 rw.it.ro_655 
  0x1800061b, 0x03230cee, 0x071004af, 0x071328a9,   // de.ga.un_770 sv.ca.nl_422  fi.lt.it_655 sw.et.it_544 
  0x3d735509, 0x2a0730a4, 0x01271fee, 0x53060c07,   // rw.ny.ku_444 uz.it.mt_433  cy.gd.en_422 sv.de.ht_432 
  // [e760]
  0x31106ea0, 0x64553d11, 0x1a255608, 0x1f001819,   // hmn.lt.az_322 ku.rw.lg_653  mg.eu.tl_443 ga.cy.un_750 
  0x2d0920a9, 0x2f000a21, 0x25002708, 0x2500530e,   // sq.pl.sk_544 pt.su.un_860  gd.eu.un_430 ht.eu.un_550 
  0x1b3d55a9, 0x091820a0, 0x55071160, 0x17110712,   // rw.ku.tr_544 sq.ga.pl_322  ro.it.rw_664 bg.ro.sr_654 
  0x180d56a9, 0x646b1b0c, 0x28642f0c, 0x64735308,   // mg.cs.ga_544 tr.ceb.lg_543  su.lg.sw_543 ht.ny.lg_443 
  // [e770]
  0x1e1c07a4, 0x2807215a, 0x1200551a, 0x27000619,   // it.id.ms_433 jw.it.sw_553  rw.hu.un_760 de.gd.un_750 
  0x271f180b, 0x2f006b19, 0x055311a7, 0x01271804,   // ga.cy.gd_542 ceb.su.un_750  ro.ht.fr_532 ga.gd.en_332 
  0x13002018, 0x0a070f12, 0x530b6ba0, 0x55070509,   // sq.et.un_740 lv.it.pt_654  ceb.es.ht_322 fr.it.rw_444 
  0x0f182713, 0x052755a9, 0x2f27370c, 0x115501a0,   // gd.ga.lv_665 rw.gd.fr_544  st.gd.su_543 en.rw.ro_322 
  // [e780]
  0x21005622, 0x6b005307, 0x230444ec, 0x2a007305,   // mg.jw.un_870 ht.ceb.un_420  kk.ru.ky_644 ny.mt.un_330 
  0x35073013, 0x2f2513a4, 0x11071c07, 0x100701a4,   // uz.bg.tg_665 et.eu.su_433  id.it.ro_432 en.it.lt_433 
  0x55211ca0, 0x32002f02, 0x3023350e, 0x21000509,   // id.jw.rw_322 su.bs.un_220  tg.ky.uz_555 fr.jw.un_440 
  0x0e000502, 0x042a1baf, 0x1b001212, 0x0a0e18ad,   // fr.is.un_220 tr.mt.fi_655  hu.tr.un_640 ga.is.pt_643 
  // [e790]
  0x20006e05, 0x443035af, 0x21130707, 0x190523a0,   // hmn.sq.un_330 tg.uz.kk_655  it.et.jw_432 ca.fr.gl_322 
  0x0c022504, 0x1b006402, 0x0f6b02ec, 0x28641cee,   // eu.da.sv_332 lg.tr.un_220  da.ceb.lv_644 id.lg.sw_422 
  0x181737ee, 0x080212a7, 0x2a011807, 0x6e00230d,   // st.sr.ga_422 hu.da.no_532  ga.en.mt_432 ca.hmn.un_540 
  0x562553a4, 0x090f1308, 0x173132ee, 0x171e1107,   // ht.eu.mg_433 et.lv.pl_443  bs.az.sr_422 ro.ms.sr_432 
  // [e7a0]
  0x03321702, 0x23070b05, 0x23000613, 0x0e041fa9,   // sr.bs.nl_222 es.it.ca_333  de.ca.un_650 cy.fi.is_544 
  0x73015304, 0x563f13ad, 0x29132dec, 0x04280dee,   // ht.en.ny_332 et.af.mg_643  sk.et.sl_644 cs.sw.fi_422 
  0x04083509, 0x1b311ea0, 0x06020c04, 0x1a126b07,   // tg.uk.ru_444 ms.az.tr_322  sv.da.de_332 ceb.hu.tl_432 
  0x0603080c, 0x1e301c12, 0x3f102fad, 0x20000f13,   // no.nl.de_543 id.uz.ms_654  su.lt.af_643 lv.sq.un_650 
  // [e7b0]
  0x1e00100c, 0x2f201c07, 0x1b37060c, 0x170835a9,   // lt.ms.un_530 id.sq.su_432  de.st.tr_543 tg.uk.sr_544 
  0x30052812, 0x04250807, 0x03002d13, 0x64372dad,   // sw.fr.uz_654 no.eu.fi_432  sk.nl.un_650 sk.st.lg_643 
  0x2b1f0eaf, 0x5300210c, 0x530137a4, 0x05020811,   // is.cy.vi_655 jw.ht.un_530  st.en.ht_433 no.da.fr_653 
  0x300c25a0, 0x110c07a0, 0x0700050c, 0x376b01ad,   // eu.sv.uz_322 it.sv.ro_322  fr.it.un_530 en.ceb.st_643 
  // [e7c0]
  0x0a231105, 0x050107a0, 0x2f6b30ee, 0x03000819,   // ro.ca.pt_333 it.en.fr_322  uz.ceb.su_422 no.nl.un_750 
  0x30321605, 0x311b25ec, 0x0f211ea0, 0x08104413,   // hr.bs.uz_333 eu.tr.az_644  ms.jw.lv_322 kk.be.uk_665 
  0x311b1ca0, 0x08305507, 0x2b281c55, 0x30253102,   // id.tr.az_322 rw.uz.no_432  id.sw.vi_442 az.eu.uz_222 
  0x04003122, 0x1f002122, 0x022d080b, 0x11182707,   // az.fi.un_870 jw.cy.un_870  no.sk.da_542 gd.ga.ro_432 
  // [e7d0]
  0x32030eee, 0x10160707, 0x53000d08, 0x311b25a9,   // is.nl.bs_422 it.hr.lt_432  cs.ht.un_430 eu.tr.az_544 
  0x1e1c21ec, 0x0c006b02, 0x06270111, 0x3f0364a7,   // jw.id.ms_644 ceb.sv.un_220  en.gd.de_653 lg.nl.af_532 
  0x061103ec, 0x0c1325a7, 0x0e130c0b, 0x0c1206a0,   // nl.ro.de_644 eu.et.sv_532  sv.et.is_542 de.hu.sv_322 
  0x641e28ee, 0x1803010b, 0x2f2d3007, 0x2f302a04,   // sw.ms.lg_422 en.nl.ga_542  uz.sk.su_432 mt.uz.su_332 
  // [e7e0]
  0x21000221, 0x18270107, 0x73002121, 0x27370111,   // da.jw.un_860 en.gd.ga_432  jw.ny.un_860 en.st.gd_653 
  0x06377307, 0x10080aa4, 0x285321a0, 0x31002502,   // ny.st.de_432 mk.uk.be_433  jw.ht.sw_322 eu.az.un_220 
  0x35440405, 0x07440404, 0x06271855, 0x3f1f37ee,   // ru.kk.tg_333 ru.kk.bg_332  ga.gd.de_442 st.cy.af_422 
  0x20007314, 0x074411a7, 0x0d162904, 0x2f21560c,   // ny.sq.un_660 ro.kk.bg_532  sl.hr.cs_332 mg.jw.su_543 
  // [e7f0]
  0x2d2f12a4, 0x3d00190d, 0x03190a07, 0x060501a7,   // hu.su.sk_433 gl.ku.un_540  pt.gl.nl_432 en.fr.de_532 
  0x2a003f02, 0x08023107, 0x3f0f050c, 0x55001805,   // af.mt.un_220 az.da.no_432  fr.lv.af_543 ga.rw.un_330 
  0x1b00550c, 0x252855af, 0x090c530c, 0x071710a7,   // rw.tr.un_530 rw.sw.eu_655  ht.sv.pl_543 be.sr.bg_532 
  0x07001736, 0x551e3da4, 0x0c003f13, 0x552a1b08,   // sr.bg.un_AA0 ku.ms.rw_433  af.sv.un_650 tr.mt.rw_443 
  
  // [e800]
  0x19005309, 0x2a212007, 0x0a0417a9, 0x04002a1a,   // ht.gl.un_440 sq.jw.mt_432  sr.ru.mk_544 mt.fi.un_760 
  0x0c1056ec, 0x0c1f08a0, 0x35043014, 0x0e0f0707,   // mg.lt.sv_644 no.cy.sv_322  uz.ru.tg_666 it.lv.is_432 
  0x070f0a04, 0x371c1eee, 0x53001304, 0x122a08a4,   // pt.lv.it_332 ms.id.st_422  et.ht.un_320 no.mt.hu_433 
  0x100804ec, 0x20001911, 0x30212f0c, 0x28006e08,   // ru.uk.be_644 gl.sq.un_630  su.jw.uz_543 hmn.sw.un_430 
  // [e810]
  0x04060e04, 0x270c060c, 0x021f0c04, 0x643725a4,   // is.de.fi_332 de.sv.gd_543  sv.cy.da_332 eu.st.lg_433 
  0x370e06af, 0x0e0f10ad, 0x322d29a9, 0x0f080e05,   // de.is.st_655 lt.lv.is_643  sl.sk.bs_544 is.no.lv_333 
  0x3f020308, 0x092910a6, 0x051b310c, 0x083d550c,   // nl.da.af_443 lt.sl.pl_521  az.tr.fr_543 rw.ku.no_543 
  0x063f03a9, 0x10066b0c, 0x12052aa7, 0x0c0803af,   // nl.af.de_544 ceb.de.lt_543  mt.fr.hu_532 nl.no.sv_655 
  // [e820]
  0x05041004, 0x2a0701a0, 0x062a1c07, 0x112923ee,   // lt.fi.fr_332 en.it.mt_322  id.mt.de_432 ca.sl.ro_422 
  0x31002a0e, 0x06080ead, 0x03213f04, 0x130e100c,   // mt.az.un_550 is.no.de_643  af.jw.nl_332 lt.is.et_543 
  0x30040712, 0x2000131b, 0x20003719, 0x011273ee,   // bg.ru.uz_654 et.sq.un_770  st.sq.un_750 ny.hu.en_422 
  0x04372011, 0x065520a6, 0x19090b12, 0x553220ad,   // sq.st.fi_653 sq.rw.de_521  es.pl.gl_654 sq.bs.rw_643 
  // [e830]
  0x2b000521, 0x18001c02, 0x21252b07, 0x061007a4,   // fr.vi.un_860 id.ga.un_220  vi.eu.jw_432 it.lt.de_433 
  0x070625ad, 0x552f20ad, 0x1e002502, 0x0b00052b,   // eu.de.it_643 sq.su.rw_643  eu.ms.un_220 fr.es.un_980 
  0x091025a4, 0x280f10ad, 0x04202807, 0x531a1c0c,   // eu.lt.pl_433 lt.lv.sw_643  sw.sq.fi_432 id.tl.ht_543 
  0x20012302, 0x171601a4, 0x1a6b1ca0, 0x08050ba0,   // ca.en.sq_222 en.hr.sr_433  id.ceb.tl_322 es.fr.no_322 
  // [e840]
  0x730f1ea4, 0x052b6ea4, 0x352310a4, 0x17291aa9,   // ms.lv.ny_433 hmn.vi.fr_433  be.ky.tg_433 tl.sl.sr_544 
  0x1e1c2114, 0x25000321, 0x3f050308, 0x1a1e1c14,   // jw.id.ms_666 nl.eu.un_860  nl.fr.af_443 id.ms.tl_666 
  0x6b251aa9, 0x37002020, 0x04253008, 0x1f1827af,   // tl.eu.ceb_544 sq.st.un_850  uz.eu.fi_443 gd.ga.cy_655 
  0x56552012, 0x042313ac, 0x0b050fec, 0x2b100faf,   // sq.rw.mg_654 et.ca.fi_632  lv.fr.es_644 lv.lt.vi_655 
  // [e850]
  0x28731bad, 0x2f001e0e, 0x032b3f08, 0x10041308,   // tr.ny.sw_643 ms.su.un_550  af.vi.nl_443 et.fi.lt_443 
  0x0a234413, 0x090810a9, 0x100e0f0c, 0x0a2f1a0c,   // kk.ky.mk_665 lt.no.pl_544  lv.is.lt_543 tl.su.pt_543 
  0x55641a05, 0x561204a9, 0x07171108, 0x320e18a4,   // tl.lg.rw_333 fi.hu.mg_544  ro.sr.bg_443 ga.is.bs_433 
  0x04100e0c, 0x27302904, 0x210e20ee, 0x04021304,   // is.lt.fi_543 sl.uz.gd_332  sq.is.jw_422 et.da.fi_332 
  // [e860]
  0x1e1c53a4, 0x2a04550c, 0x2a00310d, 0x160b0eec,   // ht.id.ms_433 rw.fi.mt_543  az.mt.un_540 is.es.hr_644 
  0x19170ca4, 0x322530a7, 0x250e1011, 0x13001008,   // sv.sr.gl_433 uz.eu.bs_532  lt.is.eu_653 lt.et.un_430 
  0x56370ca0, 0x30043d05, 0x07280e07, 0x0a111005,   // sv.st.mg_322 ku.fi.uz_333  is.sw.it_432 be.ro.mk_333 
  0x550706a7, 0x17072755, 0x55195612, 0x2056730c,   // de.it.rw_532 gd.it.sr_442  mg.gl.rw_654 ny.mg.sq_543 
  // [e870]
  0x1756280b, 0x180a07a0, 0x373d0507, 0x25283d0c,   // sw.mg.sr_542 it.pt.ga_322  fr.ku.st_432 ku.sw.eu_543 
  0x2800561a, 0x255528a7, 0x21311b04, 0x060907ee,   // mg.sw.un_760 sw.rw.eu_532  tr.az.jw_332 it.pl.de_422 
  0x092f21a4, 0x182856ee, 0x041711ac, 0x3d0a0508,   // jw.su.pl_433 mg.sw.ga_422  ro.sr.ru_632 fr.pt.ku_443 
  0x270b0704, 0x072805af, 0x73001a0d, 0x17080ca4,   // it.es.gd_332 fr.sw.it_655  tl.ny.un_540 sv.no.sr_433 
  // [e880]
  0x02002a02, 0x28001821, 0x55002a13, 0x53212355,   // mt.da.un_220 ga.sw.un_860  mt.rw.un_650 ca.jw.ht_442 
  0x17205605, 0x323f09a7, 0x31043da0, 0x230b530c,   // mg.sq.sr_333 pl.af.bs_532  ku.fi.az_322 ht.es.ca_543 
  0x0a07350d, 0x161118a7, 0x07102d02, 0x73190b09,   // tg.bg.mk_554 ga.ro.hr_532  sk.lt.it_222 es.gl.ny_444 
  0x300c73a6, 0x190b300c, 0x30060205, 0x0e000c20,   // ny.sv.uz_521 uz.es.gl_543  da.de.uz_333 sv.is.un_850 
  // [e890]
  0x0c0e04a0, 0x180111a0, 0x2a0853a4, 0x1f093007,   // fi.is.sv_322 ro.en.ga_322  ht.no.mt_433 uz.pl.cy_432 
  0x166429a0, 0x3f0501a4, 0x21055305, 0x64255507,   // sl.lg.hr_322 en.fr.af_433  ht.fr.jw_333 rw.eu.lg_432 
  0x2a080202, 0x3d1b250d, 0x211020a4, 0x04104407,   // da.no.mt_222 eu.tr.ku_554  sq.lt.jw_433 kk.be.ru_432 
  0x442307a9, 0x2a640c07, 0x56002b09, 0x1107350c,   // bg.ky.kk_544 sv.lg.mt_432  vi.mg.un_440 tg.bg.ro_543 
  // [e8a0]
  0x04060e13, 0x12002d21, 0x18122db6, 0x12000612,   // is.de.fi_665 sk.hu.un_860  sk.hu.ga_766 de.hu.un_640 
  0x170411a4, 0x0b190aa0, 0x640b6ba0, 0x0d00210c,   // ro.ru.sr_433 pt.gl.es_322  ceb.es.lg_322 jw.cs.un_530 
  0x440430a4, 0x0d0f0607, 0x0c2301a0, 0x1b060e55,   // uz.ru.kk_433 de.lv.cs_432  en.ca.sv_322 is.de.tr_442 
  0x0728550c, 0x072806a4, 0x06072aa9, 0x35230708,   // rw.sw.it_543 de.sw.it_433  mt.it.de_544 bg.ky.tg_443 
  // [e8b0]
  0x04000721, 0x0b002a05, 0x190b07ec, 0x13042504,   // bg.ru.un_860 mt.es.un_330  it.es.gl_644 eu.fi.et_332 
  0x321707ee, 0x11012302, 0x110f25ad, 0x0e2707a4,   // it.sr.bs_422 ca.en.ro_222  eu.lv.ro_643 it.gd.is_433 
  0x2a732811, 0x110853ec, 0x64551ea4, 0x21282012,   // sw.ny.mt_653 ht.no.ro_644  ms.rw.lg_433 sq.sw.jw_654 
  0x10003704, 0x2d1e1c0d, 0x643d5512, 0x30136ea9,   // st.lt.un_320 id.ms.sk_554  rw.ku.lg_654 hmn.et.uz_544 
  // [e8c0]
  0x2d0d28a6, 0x55072a12, 0x12006b04, 0x552a0708,   // sw.cs.sk_521 mt.it.rw_654  ceb.hu.un_320 it.mt.rw_443 
  0x081111ad, 0x25552d0c, 0x1e28180c, 0x07002514,   // ro.ro.uk_643 sk.rw.eu_543  ga.sw.ms_543 eu.it.un_660 
  0x193d2505, 0x376e7312, 0x0e0c010c, 0x270a050c,   // eu.ku.gl_333 ny.hmn.st_654  en.sv.is_543 fr.pt.gd_543 
  0x13126b08, 0x17080a14, 0x55000c0d, 0x050b53af,   // ceb.hu.et_443 mk.uk.sr_666  sv.rw.un_540 ht.es.fr_655 
  // [e8d0]
  0x17080aac, 0x190a250d, 0x0f080e07, 0x28182008,   // mk.uk.sr_632 eu.pt.gl_554  is.no.lv_432 sq.ga.sw_443 
  0x310d30a0, 0x53002014, 0x181a27ad, 0x1000170b,   // uz.cs.az_322 sq.ht.un_660  gd.tl.ga_643 sr.be.un_520 
  0x181312a0, 0x23010507, 0x0a0573a4, 0x301f2812,   // hu.et.ga_322 fr.en.ca_432  ny.fr.pt_433 sw.cy.uz_654 
  0x1e000b04, 0x2a0812ad, 0x12002511, 0x2f121c07,   // es.ms.un_320 hu.no.mt_643  eu.hu.un_630 id.hu.su_432 
  // [e8e0]
  0x09122a0e, 0x1b00061b, 0x12281807, 0x32000802,   // mt.hu.pl_555 de.tr.un_770  ga.sw.hu_432 no.bs.un_220 
  0x443035a7, 0x05190b05, 0x23001f18, 0x6b090d0c,   // tg.uz.kk_532 es.gl.fr_333  cy.ca.un_740 cs.pl.ceb_543 
  0x08100aa0, 0x647301a7, 0x2d090205, 0x09123d14,   // mk.be.uk_322 en.ny.lg_532  da.pl.sk_333 ku.hu.pl_666 
  0x0d1b3d08, 0x09001105, 0x0a2344af, 0x2a00640e,   // ku.tr.cs_443 ro.pl.un_330  kk.ky.mk_655 lg.mt.un_550 
  // [e8f0]
  0x6b0137a0, 0x030d200c, 0x0e080c02, 0x10000e0c,   // st.en.ceb_322 sq.cs.nl_543  sv.no.is_222 is.lt.un_530 
  0x4404110c, 0x3044355a, 0x10000802, 0x300119a6,   // ro.ru.kk_543 tg.kk.uz_553  no.lt.un_220 gl.en.uz_521 
  0x2f0e1e09, 0x641e1c13, 0x6e003f12, 0x0e0608ad,   // ms.is.su_444 id.ms.lg_665  af.hmn.un_640 no.de.is_643 
  0x1713200c, 0x20080ea4, 0x0e251fad, 0x0a112d04,   // sq.et.sr_543 is.no.sq_433  cy.eu.is_643 sk.ro.pt_332 
  // [e900] --- double_langprob_start=e904 ---
  0x0a083712, 0x201130a7, 0x1f04080c, 0x286b11a0,   // st.no.pt_654 uz.ro.sq_532  no.fi.cy_543 ro.ceb.sw_322 
                                                    // 
  };

//  COMPILE_ASSERT(59652 <= 65536, k_indirectbits_too_small);

extern const CLD2TableSummary kQuad_obj = {
  kQuadChrome1015_2,
  kQuadChrome1015_2Ind,
  kQuadChrome1015_2SizeOne,
  kQuadChrome1015_2Size,
  kQuadChrome1015_2KeyMask,
  kQuadChrome1015_2BuildDate,
  kQuadChrome1015_2RecognizedLangScripts,
};

static const uint32 kQuadChrome1015_2_2Size = 0;    // Bucket count
static const uint32 kQuadChrome1015_2_2KeyMask = 0xffffffff;    // Mask hash key

// NOTE: Some compilers will not allow an array of structs to have a constant
//       size of zero. Thus, we tell the code that the size is zero, but
//       actually allocate a single element array that will never be read.
//       More info: https://code.google.com/p/cld2/issues/detail?id=9
static const IndirectProbBucket4 kQuadChrome1015_2_2[1] = {
  // hash_indirect[4], tokens[4] in UTF-8
  {0x00000000,0x00000000,0x00000000,0x00000000} // UNUSED, see above!
  };
  // table_hash = ffff-ffff, unused_entries = 0 (0.00%)

static const uint32 kQuadChrome1015_2_2SizeOne = 2;    // Bucket count one-lang
extern const uint32 kQuadChrome2IndSize = kQuadChrome1015_2_2SizeOne; // Source-agnostic named constant
static const uint32 kQuadChrome1015_2_2Ind[2] = {
  // [0000] --- double_langprob_start=0002 ---
  0x00000000, 0x00000000,                           // -- --  
                                                    // 
  };

extern const CLD2TableSummary kQuad_obj2 = {
  kQuadChrome1015_2_2,
  kQuadChrome1015_2_2Ind,
  kQuadChrome1015_2_2SizeOne,
  kQuadChrome1015_2_2Size,
  kQuadChrome1015_2_2KeyMask,
  kQuadChrome1015_2BuildDate,
  kQuadChrome1015_2RecognizedLangScripts,
};

}       // End namespace CLD2

// End of generated tables
